class FullQuranData {
  static final List<Map<String, dynamic>> full = [
        {
          "number": 1,
          "name": "سُورَةُ ٱلْفَاتِحَةِ",
          "englishName": "Al-Faatiha",
          "englishNameTranslation": "The Opening",
          "revelationType": "Meccan",
          "verse": 7,
          "words": 74,
          "chars": 314,
          "ayahs": [
            {
              "number": 1,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1.mp3"
              ],
              "text": "﻿بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ",
              "translate_bn": "শুরু করছি আল্লাহর নামে যিনি পরম করুণাময়, অতি দয়ালু।",
              "numberInSurah": 1,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "বিছমিল্লাহির রাহমানির রাহিম।",
              "words_arabic": "بِسْمِ/بِسۡمِ/bis'mi//اللّٰهِ/ٱللَّهِ/al-lahi//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//الرَّحِیْمِ/ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "নামে//আল্লাহ (র)//পরম করুণাময়//অসীম দয়ালু"
            },
            {
              "number": 2,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2.mp3"
              ],
              "text": "ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "যাবতীয় প্রশংসা আল্লাহ তাআলার যিনি সকল সৃষ্টি জগতের পালনকর্তা।",
              "numberInSurah": 2,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আল হামদুলিল্লা-হি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সকল প্রশংসা//আল্লাহ্‌রই জন্য//(যিনি) রব//সারা জগতের"
            },
            {
              "number": 3,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3.mp3"
              ],
              "text": "ٱلرَّحْمَٰنِ ٱلرَّحِيمِ",
              "translate_bn": "যিনি নিতান্ত মেহেরবান ও দয়ালু।",
              "numberInSurah": 3,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আররাহমা-নির রাহীম।",
              "words_arabic": "الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//الرَّحِیْمِۙ/ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "অশেষ করুণাময়//পরম দয়ালু"
            },
            {
              "number": 4,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4.mp3"
              ],
              "text": "مَٰلِكِ يَوْمِ ٱلدِّينِ",
              "translate_bn": "যিনি বিচার দিনের মালিক।",
              "numberInSurah": 4,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "মা-লিকি ইয়াওমিদ্দীন।",
              "words_arabic": "مٰلِكِ/مَٰلِكِ/maliki//یَوْمِ/يَوۡمِ/yawmi//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "অধিপতি//দিনের//বিচারের"
            },
            {
              "number": 5,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5.mp3"
              ],
              "text": "إِيَّاكَ نَعْبُدُ وَإِيَّاكَ نَسْتَعِينُ",
              "translate_bn": "আমরা একমাত্র তোমারই ইবাদত করি এবং শুধুমাত্র তোমারই সাহায্য প্রার্থনা করি।",
              "numberInSurah": 5,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইয়্যা-কা না‘বুদুওয়া ইয়্যা-কা নাছতা‘ঈন।",
              "words_arabic": "اِیَّاكَ/إِيَّاكَ/iyyaka//نَعْبُدُ/نَعۡبُدُ/na'budu//وَ اِیَّاكَ/وَإِيَّاكَ/wa-iyyaka//نَسْتَعِیْنُؕ/نَسۡتَعِينُ/nasta'inu",
              "words_bangla": "আপনারই শুধু//আমরা ইবাদত করি//এবং আপনারই (কাছে  শুধু)//আমরা সাহায্য চাই।"
            },
            {
              "number": 6,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6.mp3"
              ],
              "text": "ٱهْدِنَا ٱلصِّرَٰطَ ٱلْمُسْتَقِيمَ",
              "translate_bn": "আমাদেরকে সরল পথ দেখাও,",
              "numberInSurah": 6,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইহদিনাসসিরা-তাল মুছতাকীম।",
              "words_arabic": "اِهْدِنَا/ٱهۡدِنَا/ih'dina//الصِّرَاطَ/ٱلصِّرَٰطَ/al-sirata//الْمُسْتَقِیْمَۙ/ٱلۡمُسۡتَقِيمَ/al-mus'taqima",
              "words_bangla": "আমাদেরকে দেখান//পথ//সরল সঠিক"
            },
            {
              "number": 7,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/7.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/7.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/7.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/7.mp3"
              ],
              "text": "صِرَٰطَ ٱلَّذِينَ أَنْعَمْتَ عَلَيْهِمْ غَيْرِ ٱلْمَغْضُوبِ عَلَيْهِمْ وَلَا ٱلضَّآلِّينَ",
              "translate_bn": "সে সমস্ত লোকের পথ, যাদেরকে তুমি নেয়ামত দান করেছ। তাদের পথ নয়, যাদের প্রতি তোমার গজব নাযিল হয়েছে এবং যারা পথভ্রষ্ট হয়েছে।",
              "numberInSurah": 7,
              "juz": 1,
              "manzil": 1,
              "page": 1,
              "ruku": 1,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "সিরা-তাল্লাযীনা আন‘আমতা ‘আলাইহিম । গাইরিল মাগদূ বি ‘আলাইহিম ওয়ালাদ্দাল্লীন।",
              "words_arabic": "صِرَاطَ/صِرَٰطَ/sirata//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَنْعَمْتَ/أَنۡعَمۡتَ/an'amta//عَلَیْهِمْ ۙ۬ۦ/عَلَيۡهِمۡ/alayhim//غَیْرِ/غَيۡرِ/ghayri//الْمَغْضُوْبِ/ٱلۡمَغۡضُوبِ/al-maghdubi//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//الضَّآلِّیْنَ۠/ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "(সেই) পথে//যাদেরকে//আপনি অনুগ্রহ দান করেছেন//তাদের উপর//নয় (পথ)//অভিশপ্তদের//যাদের উপর (গজব পরেছে)//এবং না//পথভ্রষ্টদের"
            }
          ]
        },
        {
          "number": 2,
          "name": "سُورَةُ البَقَرَةِ",
          "englishName": "Al-Baqara",
          "englishNameTranslation": "The Cow",
          "revelationType": "Medinan",
          "verse": 286,
          "words": 12316,
          "chars": 52639,
          "ayahs": [
            {
              "number": 8,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/8.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/8.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/8.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/8.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ লাম মীম।",
              "numberInSurah": 1,
              "juz": 1,
              "manzil": 1,
              "page": 2,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আলিফ লামমীম।",
              "words_arabic": "الٓمّٓ ۚ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ লা-ম মী-ম"
            },
            {
              "number": 9,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/9.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/9.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/9.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/9.mp3"
              ],
              "text": "ذَٰلِكَ ٱلْكِتَٰبُ لَا رَيْبَ ۛ فِيهِ ۛ هُدًۭى لِّلْمُتَّقِينَ",
              "translate_bn": "এ সেই কিতাব যাতে কোনই সন্দেহ নেই। পথ প্রদর্শনকারী পরহেযগারদের জন্য,",
              "numberInSurah": 2,
              "juz": 1,
              "manzil": 1,
              "page": 2,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "যা-লিকাল কিতা-বুলা-রাইবা ফীহি হুদাল লিলমুত্তাকীন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//لَا/لَا/la//رَیْبَ ۛۖۚ/رَيۡبَۛ/rayba//فِیْهِ ۛۚ/فِيهِۛ/fihi//هُدًی/هُدٗى/hudan//لِّلْمُتَّقِیْنَ ۙ/لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "(এটা) সেই//মহাগ্রন্থ (আল্লাহর)//নেই//কোনো সন্দেহ//তাঁরমধ্যে//সৎপথ নির্দেশ (হেদায়াত)//মুত্তাকীদের জন্য"
            },
            {
              "number": 10,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/10.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/10.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/10.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/10.mp3"
              ],
              "text": "ٱلَّذِينَ يُؤْمِنُونَ بِٱلْغَيْبِ وَيُقِيمُونَ ٱلصَّلَوٰةَ وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "যারা অদেখা বিষয়ের উপর বিশ্বাস স্থাপন করে এবং নামায প্রতিষ্ঠা করে। আর আমি তাদেরকে যে রুযী দান করেছি তা থেকে ব্যয় করে",
              "numberInSurah": 3,
              "juz": 1,
              "manzil": 1,
              "page": 2,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউ’মিনূনা বিলগাইবি ওয়াইউকীমূনাসসালা-তা ওয়া মিম্মা-রাঝাকনা-হুমইউনফিকূ ন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//وَ یُقِیْمُوْنَ/وَيُقِيمُونَ/wayuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَ ۙ/يُنفِقُونَ/yunfiquna",
              "words_bangla": "যারা//বিশ্বাস করে//অদৃশ্যের ওপর//এবং প্রতিষ্ঠিত করে//সালাত//ও তা হতে যা//তাদের আমরা জীবিকা দিয়েছি//তারা ব্যয় করে"
            },
            {
              "number": 11,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/11.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/11.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/11.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/11.mp3"
              ],
              "text": "وَٱلَّذِينَ يُؤْمِنُونَ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ وَبِٱلْءَاخِرَةِ هُمْ يُوقِنُونَ",
              "translate_bn": "এবং যারা বিশ্বাস স্থাপন করেছে সেসব বিষয়ের উপর যা কিছু তোমার প্রতি অবতীর্ণ হয়েছে এবং সেসব বিষয়ের উপর যা তোমার পূর্ববর্তীদের প্রতি অবতীর্ণ হয়েছে। আর আখেরাতকে যারা নিশ্চিত বলে বিশ্বাস করে।",
              "numberInSurah": 4,
              "juz": 1,
              "manzil": 1,
              "page": 2,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউ’মিনূনা বিমাউনঝিলা ইলাইকা ওয়ামাদ উনঝিলা মিন কাবলিকা ওয়াবিল আ-খিরাতি হুম ইউকিনূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//مِنْ/مِن/min//قَبْلِكَ ۚ/قَبۡلِكَ/qablika//وَ بِالْاٰخِرَةِ/وَبِٱلۡأٓخِرَةِ/wabil-akhirati//هُمْ/هُمۡ/hum//یُوْقِنُوْنَ ؕ/يُوقِنُونَ/yuqinuna",
              "words_bangla": "এবং যারা//বিশ্বাস করে//ঐ বিষয়ে যা//অবতীর্ণ করা হয়েছে//তোমার প্রতি//এবং যা//অবতীর্ণ করা হয়েছে//থেকে//তোমার পূর্বে//এবং আখিরাতের উপর//তারা//দৃঢ়বিশ্বাস রাখে"
            },
            {
              "number": 12,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/12.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/12.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/12.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/12.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ عَلَىٰ هُدًۭى مِّن رَّبِّهِمْ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "তারাই নিজেদের পালনকর্তার পক্ষ থেকে সুপথ প্রাপ্ত, আর তারাই যথার্থ সফলকাম।",
              "numberInSurah": 5,
              "juz": 1,
              "manzil": 1,
              "page": 2,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ‘আলা-হুদাম মিররাব্বিহিম ওয়া উলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//عَلٰی/عَلَىٰ/ala//هُدًی/هُدٗى/hudan//مِّنْ/مِّن/min//رَّبِّهِمْ ۗ/رَّبِّهِمۡۖ/rabbihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "তারাই (প্রতিষ্ঠিত)//উপর//সত্যপথের//পক্ষ হতে//তাদের রবের//এবং তারাই (ঐসব লোক)//যারা//সফলকাম"
            },
            {
              "number": 13,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/13.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/13.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/13.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/13.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ سَوَآءٌ عَلَيْهِمْ ءَأَنذَرْتَهُمْ أَمْ لَمْ تُنذِرْهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "নিশ্চিতই যারা কাফের হয়েছে তাদেরকে আপনি ভয় প্রদর্শন করুন আর নাই করুন তাতে কিছুই আসে যায় না, তারা ঈমান আনবে না।",
              "numberInSurah": 6,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ ছাওয়াউন‘আলাইহিম আআনযারতাহুম আম লাম তুনযিরহুম লাইউ’মিনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ءَاَنْذَرْتَهُمْ/ءَأَنذَرۡتَهُمۡ/a-andhartahum//اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//تُنْذِرْهُمْ/تُنذِرۡهُمۡ/tundhir'hum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//যারা//অবিশ্বাস করেছে//সমান//তাদের জন্যে//তাদের তুমি সতর্ক কর কি//অথবা//না//সতর্ক কর তুমি তাদেরকে//না//তারা ঈমান আনবে"
            },
            {
              "number": 14,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/14.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/14.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/14.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/14.mp3"
              ],
              "text": "خَتَمَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَعَلَىٰ سَمْعِهِمْ ۖ وَعَلَىٰٓ أَبْصَٰرِهِمْ غِشَٰوَةٌۭ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "আল্লাহ তাদের অন্তকরণ এবং তাদের কানসমূহ বন্ধ করে দিয়েছেন, আর তাদের চোখসমূহ পর্দায় ঢেকে দিয়েছেন। আর তাদের জন্য রয়েছে কঠোর শাস্তি।",
              "numberInSurah": 7,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 2,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "খাতামাল্লা-হু ‘আলা- কুলূবিহিম ওয়া ‘আলা-ছাম‘ইহিমওয়া‘আলাদ আবসা-রিহিম গিশা-ওয়াতুও ওয়ালাহুম ‘আযা-বুন ‘আজীম।",
              "words_arabic": "خَتَمَ/خَتَمَ/khatama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//وَ عَلٰی/وَعَلَىٰ/wa'ala//سَمْعِهِمْ ؕ/سَمۡعِهِمۡۖ/sam'ihim//وَ عَلٰۤی/وَعَلَىٰٓ/wa'ala//اَبْصَارِهِمْ/أَبۡصَٰرِهِمۡ/absarihim//غِشَاوَةٌ ؗ/غِشَٰوَةٞۖ/ghishawatun//وَّ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ ۠/عَظِيمٞ/azimun",
              "words_bangla": "সিল মেরে দিয়েছেন//আল্লাহ//উপর//তাদের অন্তরের//এবং উপর//তাদের শ্রবণশক্তির//এবং উপর//তাদের দৃষ্টিশক্তির//আবরণ (দিয়েছেন)//এবং তাদেরজন্যে (রয়েছে)//শাস্তি//কঠিন"
            },
            {
              "number": 15,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/15.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/15.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/15.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/15.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَقُولُ ءَامَنَّا بِٱللَّهِ وَبِٱلْيَوْمِ ٱلْءَاخِرِ وَمَا هُم بِمُؤْمِنِينَ",
              "translate_bn": "আর মানুষের মধ্যে কিছু লোক এমন রয়েছে যারা বলে, আমরা আল্লাহ ও পরকালের প্রতি ঈমান এনেছি অথচ আদৌ তারা ঈমানদার নয়।",
              "numberInSurah": 8,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইয়াকূলু আ-মান্না- বিল্লা-হি ওয়া বিলইয়াওমিল আ-খিরি ওয়ামা-হুম বিমু’মিনীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّقُوْلُ/يَقُولُ/yaqulu//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ بِالْیَوْمِ/وَبِٱلۡيَوۡمِ/wabil-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِمُؤْمِنِیْنَ ۘ/بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "এবং মধ্যহতে//মানুষের (এমনও আছে)//যারা//বলে//''আমরা ঈমান এনেছি//আল্লাহর উপর//ও দিনের উপর//আখিরাতের''//অথচ না//তারা//মুমিন"
            },
            {
              "number": 16,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/16.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/16.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/16.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/16.mp3"
              ],
              "text": "يُخَٰدِعُونَ ٱللَّهَ وَٱلَّذِينَ ءَامَنُوا۟ وَمَا يَخْدَعُونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ",
              "translate_bn": "তারা আল্লাহ এবং ঈমানদারগণকে ধোঁকা দেয়। অথচ এতে তারা নিজেদেরকে ছাড়া অন্য কাউকে ধোঁকা দেয় না অথচ তারা তা অনুভব করতে পারে না।",
              "numberInSurah": 9,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইউখা-দি‘ঊনাল্লা-হা ওয়াল্লাযীনা আ-মানূ ওয়ামা- ইয়াখদা‘ঊনা ইল্লাআনফুছাহুম ওয়ামাইয়াশ‘উরূন।",
              "words_arabic": "یُخٰدِعُوْنَ/يُخَٰدِعُونَ/yukhadi'una//اللّٰهَ/ٱللَّهَ/al-laha//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا ۚ/ءَامَنُواْ/amanu//وَ مَا/وَمَا/wama//یَخْدَعُوْنَ/يَخۡدَعُونَ/yakhda'una//اِلَّاۤ/إِلَّآ/illa//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ ؕ/يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "তারা প্রতারিত করতে চায়//আল্লাহকে//ও (তাদেরকে) যারা//ঈমান এনেছে//কিন্তু না//তারা প্রতারিত করে//ছাড়া//তাদের নিজেদেরকে//এবং না//তারা অনুভব করে"
            },
            {
              "number": 17,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/17.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/17.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/17.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/17.mp3"
              ],
              "text": "فِى قُلُوبِهِم مَّرَضٌۭ فَزَادَهُمُ ٱللَّهُ مَرَضًۭا ۖ وَلَهُمْ عَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْذِبُونَ",
              "translate_bn": "তাদের অন্তঃকরণ ব্যধিগ্রস্ত আর আল্লাহ তাদের ব্যধি আরো বাড়িয়ে দিয়েছেন। বস্তুতঃ তাদের জন্য নির্ধারিত রয়েছে ভয়াবহ আযাব, তাদের মিথ্যাচারের দরুন।",
              "numberInSurah": 10,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ফী কুলূবিহিম মারাদুন ফাঝা-দাহুমুল্লা-হু মারাদাওূঁ ওয়ালাহুম ‘আযা-বুন আলীমুম বিমা- কা-নূ ইয়াকযিবূন।",
              "words_arabic": "فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ ۙ/مَّرَضٞ/maradun//فَزَادَهُمُ/فَزَادَهُمُ/fazadahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مَرَضًا ۚ/مَرَضٗاۖ/maradan//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌۢ ۙ۬/أَلِيمُۢ/alimun//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْذِبُوْنَ /يَكۡذِبُونَ/yakdhibuna",
              "words_bangla": "মধ্যে আছে//তাদের অন্তর সমূহের//রোগ (আছে)//বৃদ্ধি করলেন তাই (আরও) তাদেরকে//আল্লাহ্‌//(তাদের) রোগ//এবং তাদের জন্য (রয়েছে)//শাস্তি//কষ্টদায়ক//এজন্যে যে//তারা ছিল//তারা মিথ্যা বলতো"
            },
            {
              "number": 18,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/18.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/18.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/18.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/18.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ لَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ قَالُوٓا۟ إِنَّمَا نَحْنُ مُصْلِحُونَ",
              "translate_bn": "আর যখন তাদেরকে বলা হয় যে, দুনিয়ার বুকে দাঙ্গা-হাঙ্গামা সৃষ্টি করো না, তখন তারা বলে, আমরা তো মীমাংসার পথ অবলম্বন করেছি।",
              "numberInSurah": 11,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা- কীলা লাহুম লা-তুফছিদূফিল আরদিকা-লইন্নামা- নাহনুমুসলিহূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//لَا/لَا/la//تُفْسِدُوْا/تُفۡسِدُواْ/tuf'sidu//فِی/فِي/fi//الْاَرْضِ ۙ/ٱلۡأَرۡضِ/al-ardi//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّمَا/إِنَّمَا/innama//نَحْنُ/نَحۡنُ/nahnu//مُصْلِحُوْنَ /مُصۡلِحُونَ/mus'lihuna",
              "words_bangla": "এবং যখন//বলা হয়//তাদের উদ্দেশ্যে//''না//বিপর্যয় সৃষ্টি করো//মধ্যে//পৃথিবীর''//তারা বলে//''মূলতঃ//আমরা//সংশোধনকারী''"
            },
            {
              "number": 19,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/19.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/19.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/19.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/19.mp3"
              ],
              "text": "أَلَآ إِنَّهُمْ هُمُ ٱلْمُفْسِدُونَ وَلَٰكِن لَّا يَشْعُرُونَ",
              "translate_bn": "মনে রেখো, তারাই হাঙ্গামা সৃষ্টিকারী, কিন্তু তারা তা উপলব্ধি করে না।",
              "numberInSurah": 12,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আলাইন্নাহুম হুমুল মুফছিদূনা ওয়ালা- কিল্লা- ইয়াশ‘উরূন।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّهُمْ/إِنَّهُمۡ/innahum//هُمُ/هُمُ/humu//الْمُفْسِدُوْنَ/ٱلۡمُفۡسِدُونَ/al-muf'siduna//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "সাবধান//তারা নিশ্চয়ই//তারাই//বিপর্যয় সৃষ্টিকারী//কিন্তু//না//তারা অনুভব করে"
            },
            {
              "number": 20,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/20.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/20.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/20.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/20.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ ءَامِنُوا۟ كَمَآ ءَامَنَ ٱلنَّاسُ قَالُوٓا۟ أَنُؤْمِنُ كَمَآ ءَامَنَ ٱلسُّفَهَآءُ ۗ أَلَآ إِنَّهُمْ هُمُ ٱلسُّفَهَآءُ وَلَٰكِن لَّا يَعْلَمُونَ",
              "translate_bn": "আর যখন তাদেরকে বলা হয়, অন্যান্যরা যেভাবে ঈমান এনেছে তোমরাও সেভাবে ঈমান আন, তখন তারা বলে, আমরাও কি ঈমান আনব বোকাদেরই মত! মনে রেখো, প্রকৃতপক্ষে তারাই বোকা, কিন্তু তারা তা বোঝে না।",
              "numberInSurah": 13,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুম আ-মিনূকামাআ-মানান্না-ছুকা-লআনু’মিনু কামাআমানাছছুফাহাউ ‘আলাইন্নাহুম হুমুছছুফাহাউ ওয়ালা-কিল্লা-ইয়া‘লামূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//اٰمِنُوْا/ءَامِنُواْ/aminu//كَمَاۤ/كَمَآ/kama//اٰمَنَ/ءَامَنَ/amana//النَّاسُ/ٱلنَّاسُ/al-nasu//قَالُوْۤا/قَالُوٓاْ/qalu//اَنُؤْمِنُ/أَنُؤۡمِنُ/anu'minu//كَمَاۤ/كَمَآ/kama//اٰمَنَ/ءَامَنَ/amana//السُّفَهَآءُ ؕ/ٱلسُّفَهَآءُۗ/al-sufahau//اَلَاۤ/أَلَآ/ala//اِنَّهُمْ/إِنَّهُمۡ/innahum//هُمُ/هُمُ/humu//السُّفَهَآءُ/ٱلسُّفَهَآءُ/al-sufahau//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যখন//বলা হয়//তাদের উদ্দেশ্যে//''তোমরা ঈমান আনো//যেমন//ঈমান এনেছে//মানুষ''//তারা বলে//''আমরা কি ঈমান আনবো//যেমন//ঈমান এনেছে//বোকারা''//সাবধান//নিশ্চয়ই তারা//তারাই//বোকা//কিন্তু//না//তারা জানে"
            },
            {
              "number": 21,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/21.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/21.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/21.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/21.mp3"
              ],
              "text": "وَإِذَا لَقُوا۟ ٱلَّذِينَ ءَامَنُوا۟ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَوْا۟ إِلَىٰ شَيَٰطِينِهِمْ قَالُوٓا۟ إِنَّا مَعَكُمْ إِنَّمَا نَحْنُ مُسْتَهْزِءُونَ",
              "translate_bn": "আর তারা যখন ঈমানদারদের সাথে মিশে, তখন বলে, আমরা ঈমান এনেছি। আবার যখন তাদের শয়তানদের সাথে একান্তে সাক্ষাৎ করে, তখন বলে, আমরা তোমাদের সাথে রয়েছি। আমরা তো (মুসলমানদের সাথে) উপহাস করি মাত্রা।",
              "numberInSurah": 14,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযা- লাকুল্লাযীনা আ-মানূকা-লআ-মান্না-ওয়াইযা- খালাও ইলা-শাইয়াতীনিহিম কা-লূইন্না- মা‘আকুম ইন্নামা নাহনুমুছতাহঝিউন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//لَقُوا/لَقُواْ/laqu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا ۖۚ/ءَامَنَّا/amanna//وَ اِذَا/وَإِذَا/wa-idha//خَلَوْا/خَلَوۡاْ/khalaw//اِلٰی/إِلَىٰ/ila//شَیٰطِیْنِهِمْ ۙ/شَيَٰطِينِهِمۡ/shayatinihim//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//مَعَكُمْ ۙ/مَعَكُمۡ/ma'akum//اِنَّمَا/إِنَّمَا/innama//نَحْنُ/نَحۡنُ/nahnu//مُسْتَهْزِءُوْنَ /مُسۡتَهۡزِءُونَ/mus'tahziuna",
              "words_bangla": "এবং যখন//তারা মিলিত হয়//(তাদের সাথে) যারা//ঈমান এনেছে//তারা বলে//''আমরা ঈমান এনেছি''//এবং যখন//গোপনে মিলে//সাথে//তাদের শয়তান (বন্ধুদের)//তারা বলে//''নিশ্চয়ই আমরা//তোমাদের সাথে//মূলতঃ//আমরা//উপহাসকারী (মু'মিনদের সাথে)''"
            },
            {
              "number": 22,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/22.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/22.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/22.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/22.mp3"
              ],
              "text": "ٱللَّهُ يَسْتَهْزِئُ بِهِمْ وَيَمُدُّهُمْ فِى طُغْيَٰنِهِمْ يَعْمَهُونَ",
              "translate_bn": "বরং আল্লাহই তাদের সাথে উপহাস করেন। আর তাদেরকে তিনি ছেড়ে দিয়েছেন যেন তারা নিজেদের অহংকার ও কুমতলবে হয়রান ও পেরেশান থাকে।",
              "numberInSurah": 15,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াছতাহঝিউ বিহিম ওয়া ইয়ামুদ্দুহুম ফী তুগইয়া-নিহিম ইয়া‘মাহূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَسْتَهْزِئُ/يَسۡتَهۡزِئُ/yastahzi-u//بِهِمْ/بِهِمۡ/bihim//وَ یَمُدُّهُمْ/وَيَمُدُّهُمۡ/wayamudduhum//فِیْ/فِي/fi//طُغْیَانِهِمْ/طُغۡيَٰنِهِمۡ/tugh'yanihim//یَعْمَهُوْنَ /يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "আল্লাহ্‌//উপহাস করেন//তাদের সাথে//এবং তাদের ঢিলদেন//মধ্যে//তাদের অবাধ্যতার//তারা উদভ্রান্ত হয়ে ফিরে"
            },
            {
              "number": 23,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/23.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/23.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/23.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/23.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلضَّلَٰلَةَ بِٱلْهُدَىٰ فَمَا رَبِحَت تِّجَٰرَتُهُمْ وَمَا كَانُوا۟ مُهْتَدِينَ",
              "translate_bn": "তারা সে সমস্ত লোক, যারা হেদায়েতের বিনিময়ে গোমরাহী খরিদ করে। বস্তুতঃ তারা তাদের এ ব্যবসায় লাভবান হতে পারেনি এবং তারা হেদায়েতও লাভ করতে পারেনি।",
              "numberInSurah": 16,
              "juz": 1,
              "manzil": 1,
              "page": 3,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনাশ তারাউদ্দালা-লাতা বিলহুদা-ফামা-রাবিহাত্তিজা-রাতুহুম ওয়ামা কা-নূমুহতাদীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اشْتَرَوُا/ٱشۡتَرَوُاْ/ish'tarawu//الضَّلٰلَةَ/ٱلضَّلَٰلَةَ/al-dalalata//بِالْهُدٰی ۪/بِٱلۡهُدَىٰ/bil-huda//فَمَا/فَمَا/fama//رَبِحَتْ/رَبِحَت/rabihat//تِّجَارَتُهُمْ/تِّجَٰرَتُهُمۡ/tijaratuhum//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُهْتَدِیْنَ /مُهۡتَدِينَ/muh'tadina",
              "words_bangla": "তারাই (ঐসব লোক)//যারা//কিনেছে//পথভ্রশ্ততা//সৎপথের বিনিময়//সুতরাং না//লাভজনক হয়//তাদের ব্যবসা//এবং না//তারা ছিল//সৎপথে পরিচালিত"
            },
            {
              "number": 24,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/24.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/24.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/24.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/24.mp3"
              ],
              "text": "مَثَلُهُمْ كَمَثَلِ ٱلَّذِى ٱسْتَوْقَدَ نَارًۭا فَلَمَّآ أَضَآءَتْ مَا حَوْلَهُۥ ذَهَبَ ٱللَّهُ بِنُورِهِمْ وَتَرَكَهُمْ فِى ظُلُمَٰتٍۢ لَّا يُبْصِرُونَ",
              "translate_bn": "তাদের অবস্থা সে ব্যক্তির মত, যে লোক কোথাও আগুন জ্বালালো এবং তার চারদিককার সবকিছুকে যখন আগুন স্পষ্ট করে তুললো, ঠিক এমনি সময় আল্লাহ তার চারদিকের আলোকে উঠিয়ে নিলেন এবং তাদেরকে অন্ধকারে ছেড়ে দিলেন। ফলে, তারা কিছুই দেখতে পায় না।",
              "numberInSurah": 17,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "মাছালুহুম কামাছালিল্লাযীছতাওকাদা না-রান ফালাম্মাআদাআত মা-হাওলাহূ যাহাবাল্লা-হু বিনূরিহিম ওয়া তারাকাহুম ফী জুলুমা-তিল লা-ইউবসিরূন।",
              "words_arabic": "مَثَلُهُمْ/مَثَلُهُمۡ/mathaluhum//كَمَثَلِ/كَمَثَلِ/kamathali//الَّذِی/ٱلَّذِي/alladhi//اسْتَوْقَدَ/ٱسۡتَوۡقَدَ/is'tawqada//نَارًا ۚ/نَارٗا/naran//فَلَمَّاۤ/فَلَمَّآ/falamma//اَضَآءَتْ/أَضَآءَتۡ/adaat//مَا/مَا/ma//حَوْلَهٗ/حَوۡلَهُۥ/hawlahu//ذَهَبَ/ذَهَبَ/dhahaba//اللّٰهُ/ٱللَّهُ/al-lahu//بِنُوْرِهِمْ/بِنُورِهِمۡ/binurihim//وَ تَرَكَهُمْ/وَتَرَكَهُمۡ/watarakahum//فِیْ/فِي/fi//ظُلُمٰتٍ/ظُلُمَٰتٖ/zulumatin//لَّا/لَّا/la//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "তাদের উপমা//উপমা যেমন (এক ব্যক্তির)//যে//জ্বালালো//আগুন//অতঃপর যখন//আলোকিত করলো//যা//তার চারপাশে//নিলেন//আল্লাহ্‌//তাদের আলো নিয়ে//এবং তাদের ছেড়ে দিলেন//মধ্যে//অন্ধকার সমূহের//না//তারা দেখতে পায়"
            },
            {
              "number": 25,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/25.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/25.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/25.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/25.mp3"
              ],
              "text": "صُمٌّۢ بُكْمٌ عُمْىٌۭ فَهُمْ لَا يَرْجِعُونَ",
              "translate_bn": "তারা বধির, মূক ও অন্ধ। সুতরাং তারা ফিরে আসবে না।",
              "numberInSurah": 18,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "সুম্মুম বুকমুন ‘উমইয়ুন ফাহুম লা-ইয়ারজি‘ঊন।",
              "words_arabic": "صُمٌّۢ/صُمُّۢ/summun//بُكْمٌ/بُكۡمٌ/buk'mun//عُمْیٌ/عُمۡيٞ/um'yun//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَرْجِعُوْنَ ۙ/يَرۡجِعُونَ/yarji'una",
              "words_bangla": "বধির//বোবা//অন্ধ//সুতরাং তারা//না//প্রত্যাবর্তন করবে"
            },
            {
              "number": 26,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/26.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/26.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/26.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/26.mp3"
              ],
              "text": "أَوْ كَصَيِّبٍۢ مِّنَ ٱلسَّمَآءِ فِيهِ ظُلُمَٰتٌۭ وَرَعْدٌۭ وَبَرْقٌۭ يَجْعَلُونَ أَصَٰبِعَهُمْ فِىٓ ءَاذَانِهِم مِّنَ ٱلصَّوَٰعِقِ حَذَرَ ٱلْمَوْتِ ۚ وَٱللَّهُ مُحِيطٌۢ بِٱلْكَٰفِرِينَ",
              "translate_bn": "আর তাদের উদাহরণ সেসব লোকের মত যারা দুর্যোগপূর্ণ ঝড়ো রাতে পথ চলে, যাতে থাকে আঁধার, গর্জন ও বিদ্যুৎচমক। মৃত্যুর ভয়ে গর্জনের সময় কানে আঙ্গুল দিয়ে রক্ষা পেতে চায়। অথচ সমস্ত কাফেরই আল্লাহ কর্তৃক পরিবেষ্ঠিত।",
              "numberInSurah": 19,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আও কাসাইয়িবিম মিনাছছামাই ফীহি জুলুমা-তুওঁ ওয়া রা‘দুওঁ ওয়া বারকুইঁ ইয়াজ‘আলূনা আসা-বি‘আহুম ফীআ-যা-নিহিম মিনাসসাওয়া-‘ইকিহাযারাল মাওতি ওয়াল্লা-হু মুহীতূম বিলকা-ফিরীন।",
              "words_arabic": "اَوْ/أَوۡ/aw//كَصَیِّبٍ/كَصَيِّبٖ/kasayyibin//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فِیْهِ/فِيهِ/fihi//ظُلُمٰتٌ/ظُلُمَٰتٞ/zulumatun//وَّ رَعْدٌ/وَرَعۡدٞ/wara'dun//وَّ بَرْقٌ ۚ/وَبَرۡقٞ/wabarqun//یَجْعَلُوْنَ/يَجۡعَلُونَ/yaj'aluna//اَصَابِعَهُمْ/أَصَٰبِعَهُمۡ/asabi'ahum//فِیْۤ/فِيٓ/fi//اٰذَانِهِمْ/ءَاذَانِهِم/adhanihim//مِّنَ/مِّنَ/mina//الصَّوَاعِقِ/ٱلصَّوَٰعِقِ/al-sawa'iqi//حَذَرَ/حَذَرَ/hadhara//الْمَوْتِ ؕ/ٱلۡمَوۡتِۚ/al-mawti//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مُحِیْطٌۢ/مُحِيطُۢ/muhitun//بِالْكٰفِرِیْنَ /بِٱلۡكَٰفِرِينَ/bil-kafirina",
              "words_bangla": "অথবা//মতো বৃষ্টিপাতের//থেকে//আকাশ//তার মধ্যে (আছে)//অন্ধকার//এবং গর্জন//ও বিদ্যুৎচমক//তারা রাখে//তাদের আঙ্গুলগুলোকে//মধ্যে//তাদের কানগুলোর//কারনে//বজ্রধ্বনির//ভয়ে//মৃত্যুর//অথচ আল্লাহ্‌//পরিবেষ্টনকারী//কাফিরদের"
            },
            {
              "number": 27,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/27.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/27.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/27.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/27.mp3"
              ],
              "text": "يَكَادُ ٱلْبَرْقُ يَخْطَفُ أَبْصَٰرَهُمْ ۖ كُلَّمَآ أَضَآءَ لَهُم مَّشَوْا۟ فِيهِ وَإِذَآ أَظْلَمَ عَلَيْهِمْ قَامُوا۟ ۚ وَلَوْ شَآءَ ٱللَّهُ لَذَهَبَ بِسَمْعِهِمْ وَأَبْصَٰرِهِمْ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "বিদ্যুতালোকে যখন সামান্য আলোকিত হয়, তখন কিছুটা পথ চলে। আবার যখন অন্ধকার হয়ে যায়, তখন ঠাঁয় দাঁড়িয়ে থাকে। যদি আল্লাহ ইচ্ছা করেন, তাহলে তাদের শ্রবণশক্তি ও দৃষ্টিশক্তি ছিনিয়ে নিতে পারেন। আল্লাহ যাবতীয় বিষয়ের উপর সর্বময় ক্ষমতাশীল।",
              "numberInSurah": 20,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 3,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইয়াকা-দুল বারকুইয়াখতাফুআবসা-রাহুম কুল্লামাআদাআ লাহুম মাশাও ফীহি ওয়া ইযাআজলামা ‘আলাইহিম কা-মূ ওয়ালাও শাআল্লা-হু লাযাহাবা বিছাম‘ইহিম ওয়া আবসা-রিহিম ; ইন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "یَكَادُ/يَكَادُ/yakadu//الْبَرْقُ/ٱلۡبَرۡقُ/al-barqu//یَخْطَفُ/يَخۡطَفُ/yakhtafu//اَبْصَارَهُمْ ؕ/أَبۡصَٰرَهُمۡۖ/absarahum//كُلَّمَاۤ/كُلَّمَآ/kullama//اَضَآءَ/أَضَآءَ/adaa//لَهُمْ/لَهُم/lahum//مَّشَوْا/مَّشَوۡاْ/mashaw//فِیْهِ ۙۗ/فِيهِ/fihi//وَ اِذَاۤ/وَإِذَآ/wa-idha//اَظْلَمَ/أَظۡلَمَ/azlama//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//قَامُوْا ؕ/قَامُواْۚ/qamu//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَذَهَبَ/لَذَهَبَ/ladhahaba//بِسَمْعِهِمْ/بِسَمۡعِهِمۡ/bisam'ihim//وَ اَبْصَارِهِمْ ؕ/وَأَبۡصَٰرِهِمۡۚ/wa-absarihim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ ۠/قَدِيرٞ/qadirun",
              "words_bangla": "প্রায়//বিদ্যুৎচমক//কেড়ে নেয়//তাদের দৃষ্টিসমূহের//যখনই//আলোকিত হয়//তাদের জন্য//তারা চলে//তারমধ্যে//এবং যখন//অন্ধকার হয়//তাদের উপর//তারা দাড়িয়ে যায়//আর যদি//চান//আল্লাহ্‌//অবশ্যই নিয়ে নিবেন//তাদের শ্রবণশক্তি//এবং তাদের দর্শনশক্তি//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 28,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/28.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/28.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/28.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/28.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ ٱعْبُدُوا۟ رَبَّكُمُ ٱلَّذِى خَلَقَكُمْ وَٱلَّذِينَ مِن قَبْلِكُمْ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "হে মানব সমাজ! তোমরা তোমাদের পালনকর্তার এবাদত কর, যিনি তোমাদিগকে এবং তোমাদের পূর্ববর্তীদিগকে সৃষ্টি করেছেন। তাতে আশা করা যায়, তোমরা পরহেযগারী অর্জন করতে পারবে।",
              "numberInSurah": 21,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 4,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছু‘বুদূ রাব্বাকুমুল্লাযী খালাকাকুম, ওয়াল্লাযীনা মিন কাবলিকুম লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اعْبُدُوْا/ٱعۡبُدُواْ/u'budu//رَبَّكُمُ/رَبَّكُمُ/rabbakumu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَ ۙ/تَتَّقُونَ/tattaquna",
              "words_bangla": "হে//মানুষ//তোমরা ইবাদত করো//তোমাদের রবের,//যিনি//তোমাদের সৃষ্টি করেছেন//এবং যারা (ছিল)//থেকে//তোমাদের পূর্ব (তাদেরও স্রষ্টা)//তোমরা যেন//বেঁচে চলতে পারো (পাপ হতে)"
            },
            {
              "number": 29,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/29.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/29.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/29.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/29.mp3"
              ],
              "text": "ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ فِرَٰشًۭا وَٱلسَّمَآءَ بِنَآءًۭ وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَخْرَجَ بِهِۦ مِنَ ٱلثَّمَرَٰتِ رِزْقًۭا لَّكُمْ ۖ فَلَا تَجْعَلُوا۟ لِلَّهِ أَندَادًۭا وَأَنتُمْ تَعْلَمُونَ",
              "translate_bn": "যে পবিত্রসত্তা তোমাদের জন্য ভূমিকে বিছানা এবং আকাশকে ছাদ স্বরূপ স্থাপন করে দিয়েছেন, আর আকাশ থেকে পানি বর্ষণ করে তোমাদের জন্য ফল-ফসল উৎপাদন করেছেন তোমাদের খাদ্য হিসাবে। অতএব, আল্লাহর সাথে তোমরা অন্য কাকেও সমকক্ষ করো না। বস্তুতঃ এসব তোমরা জান।",
              "numberInSurah": 22,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 4,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জা‘আলা লাকুমুল আরদা ফিরা-শাওঁ ওয়াছছামাআ বিনাআওঁ ওয়া আনঝালা মিনাছছামাই মাআন ফাআখরাজা বিহী মিনাছছামারা-তি রিঝকাল্লাকুম ফালা-তাজ‘আলূলিল্লা-হি আনদা-দাওঁ ওয়া আনতুম তা‘লামূন।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//فِرَاشًا/فِرَٰشٗا/firashan//وَّ السَّمَآءَ/وَٱلسَّمَآءَ/wal-samaa//بِنَآءً ۪/بِنَآءٗ/binaan//وَّ اَنْزَلَ/وَأَنزَلَ/wa-anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَخْرَجَ/فَأَخۡرَجَ/fa-akhraja//بِهٖ/بِهِۦ/bihi//مِنَ/مِنَ/mina//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//رِزْقًا/رِزۡقٗا/riz'qan//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//فَلَا/فَلَا/fala//تَجْعَلُوْا/تَجۡعَلُواْ/taj'alu//لِلّٰهِ/لِلَّهِ/lillahi//اَنْدَادًا/أَندَادٗا/andadan//وَّ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "যিনি//করেছেন//তোমাদের জন্য//পৃথিবীকে//শয্যা//ও আকাশকে//ছাদ স্বরূপ,//এবং বর্ষণ করেছেন//থেকে//আকাশ//পানি,//এরপর বের করেছেন//তা দ্বারা//কোনো//(নানা ধরণের) ফলমূল//রিযক হিসাবে//তোমাদের জন্য//অতএব না//দাড় করিও//আল্লাহর সাথে//সমতুল্য (অন্য কাউকে)//অথচ তোমরা//জানো"
            },
            {
              "number": 30,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/30.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/30.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/30.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/30.mp3"
              ],
              "text": "وَإِن كُنتُمْ فِى رَيْبٍۢ مِّمَّا نَزَّلْنَا عَلَىٰ عَبْدِنَا فَأْتُوا۟ بِسُورَةٍۢ مِّن مِّثْلِهِۦ وَٱدْعُوا۟ شُهَدَآءَكُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "এতদসম্পর্কে যদি তোমাদের কোন সন্দেহ থাকে যা আমি আমার বান্দার প্রতি অবতীর্ণ করেছি, তাহলে এর মত একটি সূরা রচনা করে নিয়ে এস। তোমাদের সেসব সাহায্যকারীদেরকে সঙ্গে নাও-এক আল্লাহকে ছাড়া, যদি তোমরা সত্যবাদী হয়ে থাকো।",
              "numberInSurah": 23,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 4,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কুনতুম ফী রাইবিম মিম্মা-নাঝঝালনা- ‘আলা-আবদিনা- ফা’তূবিছূরাতিম মিম্মিছলিহী ওয়াদ‘ঊ শুহাদাআকুম মিন দূ নিল্লা-হি ইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْ/فِي/fi//رَیْبٍ/رَيۡبٖ/raybin//مِّمَّا/مِّمَّا/mimma//نَزَّلْنَا/نَزَّلۡنَا/nazzalna//عَلٰی/عَلَىٰ/ala//عَبْدِنَا/عَبۡدِنَا/abdina//فَاْتُوْا/فَأۡتُواْ/fatu//بِسُوْرَةٍ/بِسُورَةٖ/bisuratin//مِّنْ/مِّن/min//مِّثْلِهٖ ۪/مِّثۡلِهِۦ/mith'lihi//وَ ادْعُوْا/وَٱدۡعُواْ/wa-id'u//شُهَدَآءَكُمْ/شُهَدَآءَكُم/shuhadaakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং যদি//তোমরা থাক//মধ্যে//সন্দেহের//তা হতে যা//আমরা অবতীর্ণ করেছি//উপর//আমাদের দাসের,//তবে তোমরা আনো//একটি সূরা//মধ্য হতে//তার সদৃশ//এবং তোমরা ডাকো//তোমাদের সাক্ষীদেরকে//দিয়ে//বাদ//আল্লাহকে//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 31,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/31.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/31.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/31.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/31.mp3"
              ],
              "text": "فَإِن لَّمْ تَفْعَلُوا۟ وَلَن تَفْعَلُوا۟ فَٱتَّقُوا۟ ٱلنَّارَ ٱلَّتِى وَقُودُهَا ٱلنَّاسُ وَٱلْحِجَارَةُ ۖ أُعِدَّتْ لِلْكَٰفِرِينَ",
              "translate_bn": "আর যদি তা না পার-অবশ্য তা তোমরা কখনও পারবে না, তাহলে সে দোযখের আগুন থেকে রক্ষা পাওয়ার চেষ্টা কর, যার জ্বালানী হবে মানুষ ও পাথর। যা প্রস্তুত করা হয়েছে কাফেরদের জন্য।",
              "numberInSurah": 24,
              "juz": 1,
              "manzil": 1,
              "page": 4,
              "ruku": 4,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ফাইল্লাম তাফ‘আলূওয়া লান তাফ‘আলূফাত্তাকুন্না-রাল্লাতী ওয়াকূদুহান্না-ছুওয়াল হিজা-রাতু উ‘ইদ্দাত লিলকা-ফিরীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//وَ لَنْ/وَلَن/walan//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//النَّارَ/ٱلنَّارَ/al-nara//الَّتِیْ/ٱلَّتِي/allati//وَ قُوْدُهَا/وَقُودُهَا/waquduha//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ الْحِجَارَةُ ۖۚ/وَٱلۡحِجَارَةُۖ/wal-hijaratu//اُعِدَّتْ/أُعِدَّتۡ/u'iddat//لِلْكٰفِرِیْنَ /لِلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "কিন্তু যদি//না//তোমরা করো//এবং কখনও না//তোমরা করতে পারবে//তোমরা ভয় করো//আগুনের//যা (এমন যে)//তার ইন্ধন (হবে)//মানুষ//ও পাথরসমূহ//যা প্রস্তুুত করা হয়েছে//কাফিরদের জন্য"
            },
            {
              "number": 32,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/32.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/32.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/32.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/32.mp3"
              ],
              "text": "وَبَشِّرِ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ أَنَّ لَهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ كُلَّمَا رُزِقُوا۟ مِنْهَا مِن ثَمَرَةٍۢ رِّزْقًۭا ۙ قَالُوا۟ هَٰذَا ٱلَّذِى رُزِقْنَا مِن قَبْلُ ۖ وَأُتُوا۟ بِهِۦ مُتَشَٰبِهًۭا ۖ وَلَهُمْ فِيهَآ أَزْوَٰجٌۭ مُّطَهَّرَةٌۭ ۖ وَهُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "আর হে নবী (সাঃ), যারা ঈমান এনেছে এবং সৎকাজসমূহ করেছে, আপনি তাদেরকে এমন বেহেশতের সুসংবাদ দিন, যার পাদদেশে নহরসমূহ প্রবাহমান থাকবে। যখনই তারা খাবার হিসেবে কোন ফল প্রাপ্ত হবে, তখনই তারা বলবে, এতো অবিকল সে ফলই যা আমরা ইতিপূর্বেও লাভ করেছিলাম। বস্তুতঃ তাদেরকে একই প্রকৃতির ফল প্রদান করা হবে। এবং সেখানে তাদের জন্য শুদ্ধচারিনী রমণীকূল থাকবে। আর সেখানে তারা অনন্তকাল অবস্থান করবে।",
              "numberInSurah": 25,
              "juz": 1,
              "manzil": 1,
              "page": 5,
              "ruku": 4,
              "hizbQuarter": 1,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাশশিরিল্লাযীনা আ-মানূওয়া‘আমিলুসসালিহা-তি আন্না লাহুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু কুল্লামা- রুঝিকূমিনহা- মিন ছামারাতির রিঝকান কা-লূহা-যাল্লাযী রুঝিকনা- মিন কাবলু ওয়া উতূবিহী মুতাশা-বিহাওঁ ওয়া লাহুম ফীহাআঝওয়া-জুম মুতাহহারাতুওঁ ওয়া হুম ফীহা- খা-লিদূ ন।",
              "words_arabic": "وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؕ/ٱلۡأَنۡهَٰرُۖ/al-anharu//كُلَّمَا/كُلَّمَا/kullama//رُزِقُوْا/رُزِقُواْ/ruziqu//مِنْهَا/مِنۡهَا/min'ha//مِنْ/مِن/min//ثَمَرَةٍ/ثَمَرَةٖ/thamaratin//رِّزْقًا ۙ/رِّزۡقٗا/riz'qan//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//رُزِقْنَا/رُزِقۡنَا/ruziq'na//مِنْ/مِن/min//قَبْلُ ۙ/قَبۡلُۖ/qablu//وَ اُتُوْا/وَأُتُواْ/wa-utu//بِهٖ/بِهِۦ/bihi//مُتَشَابِهًا ؕ/مُتَشَٰبِهٗاۖ/mutashabihan//وَ لَهُمْ/وَلَهُمۡ/walahum//فِیْهَاۤ/فِيهَآ/fiha//اَزْوَاجٌ/أَزۡوَٰجٞ/azwajun//مُّطَهَّرَةٌ ۙۗ/مُّطَهَّرَةٞۖ/mutahharatun//وَّ هُمْ/وَهُمۡ/wahum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং সুসংবাদ দাও//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//যে//তাদের জন্যে (রয়েছে)//জান্নাত//প্রবাহিত হয়//দিয়ে//তার নিচ//ঝর্ণাধারা//যখনই//তাদের রিযক দেয়া হবে//তা থেকে//কোনো//ফলমূল//রিযক হিসেবে//তারা বলবে//''এটা//(তাই) যা//আমাদের রিযক দেওয়া হয়েছিল//থেকে//পূর্ব''//এবং তাদেরকে যা দেওয়া হয়েছিল//(তা থেকে)//সদৃশ হবে (পরস্পরে)//এবং তাদের জন্যে//তারমধ্যে (থাকবে)//স্ত্রীরা//পবিত্র//এবং তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 33,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/33.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/33.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/33.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/33.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ لَا يَسْتَحْىِۦٓ أَن يَضْرِبَ مَثَلًۭا مَّا بَعُوضَةًۭ فَمَا فَوْقَهَا ۚ فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ فَيَعْلَمُونَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّهِمْ ۖ وَأَمَّا ٱلَّذِينَ كَفَرُوا۟ فَيَقُولُونَ مَاذَآ أَرَادَ ٱللَّهُ بِهَٰذَا مَثَلًۭا ۘ يُضِلُّ بِهِۦ كَثِيرًۭا وَيَهْدِى بِهِۦ كَثِيرًۭا ۚ وَمَا يُضِلُّ بِهِۦٓ إِلَّا ٱلْفَٰسِقِينَ",
              "translate_bn": "আল্লাহ পাক নিঃসন্দেহে মশা বা তদুর্ধ্ব বস্তু দ্বারা উপমা পেশ করতে লজ্জাবোধ করেন না। বস্তুতঃ যারা মুমিন তারা নিশ্চিতভাবে বিশ্বাস করে যে, তাদের পালনকর্তা কর্তৃক উপস্থাপিত এ উপমা সম্পূর্ণ নির্ভূল ও সঠিক। আর যারা কাফের তারা বলে, এরূপ উপমা উপস্থাপনে আল্লাহর মতলবই বা কি ছিল। এ দ্বারা আল্লাহ তা’আলা অনেককে বিপথগামী করেন, আবার অনেককে সঠিক পথও প্রদর্শন করেন। তিনি অনুরূপ উপমা দ্বারা অসৎ ব্যক্তিবর্গ ভিন্ন কাকেও বিপথগামী করেন না।",
              "numberInSurah": 26,
              "juz": 1,
              "manzil": 1,
              "page": 5,
              "ruku": 4,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াছতাহঈআইঁ ইয়াদরিবা মাছালাম্মা- বা‘ঊদাতান ফামা- ফাওকাহা- ফাআম্মাল্লাযীনা আ-মানূফাইয়া‘লামূনা আন্নাহুল হাক্কুমিররাব্বিহিম ওয়া আম্মাল্লাযীনা কাফারূ ফাইয়াকূলূনা মা-যাআরা-দাল্লা-হু বিহা-যা- মাছালা- । ইউদিল্লুবিহী কাছীরাওঁ ওয়াহদী বিহী কাছীরাওঁ ওয়ামা- ইউদিল্লুবিহীইল্লাল ফা-ছিকীন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَسْتَحْیٖۤ/يَسۡتَحۡيِۦٓ/yastahyi//اَنْ/أَن/an//یَّضْرِبَ/يَضۡرِبَ/yadriba//مَثَلًا/مَثَلٗا/mathalan//مَّا/مَّا/ma//بَعُوْضَةً/بَعُوضَةٗ/ba'udatan//فَمَا/فَمَا/fama//فَوْقَهَا ؕ/فَوۡقَهَاۚ/fawqaha//فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//فَیَعْلَمُوْنَ/فَيَعۡلَمُونَ/faya'lamuna//اَنَّهُ/أَنَّهُ/annahu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّهِمْ ۚ/رَّبِّهِمۡۖ/rabbihim//وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَیَقُوْلُوْنَ/فَيَقُولُونَ/fayaquluna//مَا ذَاۤ/مَاذَآ/madha//اَرَادَ/أَرَادَ/arada//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٰذَا/بِهَٰذَا/bihadha//مَثَلًا ۘ/مَثَلٗاۘ/mathalan//یُضِلُّ/يُضِلُّ/yudillu//بِهٖ/بِهِۦ/bihi//كَثِیْرًا ۙ/كَثِيرٗا/kathiran//وَّ یَهْدِیْ/وَيَهۡدِي/wayahdi//بِهٖ/بِهِۦ/bihi//كَثِیْرًا ؕ/كَثِيرٗاۚ/kathiran//وَ مَا/وَمَا/wama//یُضِلُّ/يُضِلُّ/yudillu//بِهٖۤ/بِهِۦٓ/bihi//اِلَّا/إِلَّا/illa//الْفٰسِقِیْنَ ۙ/ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//না//লজ্জাবোধ করেন//যে//তিনি পেশ করবেন//দৃষ্টান্ত//যা//মশা//কিংবা যা//তারচেয়ে ক্ষুদ্রতর//তাই//যারা//ঈমান এনেছে//জানতে পারে তখন//তা নিশ্চয়ই//সত্য//পক্ষ থেকে//তাদের রবের//পক্ষান্তরে//যারা//অবিশ্বাস করেছে//তারা বলে তখন//কি//চেয়েছেন//আল্লাহ//এই দিয়ে//উপমা//তিনি বিভ্রান্ত করেন//তা দিয়ে//অনেককে//এবং পথ প্রদর্শন করেন//তা দিয়ে//অনেককে,//এবং না//বিভ্রান্ত করেন//এ দিয়ে//ছাড়া//স্বত্বত্যাগীদেরকে"
            },
            {
              "number": 34,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/34.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/34.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/34.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/34.mp3"
              ],
              "text": "ٱلَّذِينَ يَنقُضُونَ عَهْدَ ٱللَّهِ مِنۢ بَعْدِ مِيثَٰقِهِۦ وَيَقْطَعُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيُفْسِدُونَ فِى ٱلْأَرْضِ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "(বিপথগামী ওরাই) যারা আল্লাহর সঙ্গে অঙ্গীকারাবদ্ধ হওয়ার পর তা ভঙ্গ করে এবং আল্লাহ পাক যা অবিচ্ছিন্ন রাখতে নির্দেশ দিয়েছেন, তা ছিন্ন করে, আর পৃথিবীর বুকে অশান্তি সৃষ্টি করে। ওরা যথার্থই ক্ষতিগ্রস্ত।",
              "numberInSurah": 27,
              "juz": 1,
              "manzil": 1,
              "page": 5,
              "ruku": 4,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়ানকুদূ না ‘আহদাল্লা-হি মিম বা‘দি মীছা-কিহী ওয়া ইয়াকতা‘ঊনা মা আমারাল্লাহু বিহীআইঁ ইউসালা ওয়া ইউফছিদূ না ফিল আরদিউলাইকা হুমুল খাছিরূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَنْقُضُوْنَ/يَنقُضُونَ/yanquduna//عَهْدَ/عَهۡدَ/ahda//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مِیْثَاقِهٖ ۪/مِيثَٰقِهِۦ/mithaqihi//وَ یَقْطَعُوْنَ/وَيَقۡطَعُونَ/wayaqta'una//مَاۤ/مَآ/ma//اَمَرَ/أَمَرَ/amara//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖۤ/بِهِۦٓ/bihi//اَنْ/أَن/an//یُّوْصَلَ/يُوصَلَ/yusala//وَ یُفْسِدُوْنَ/وَيُفۡسِدُونَ/wayuf'siduna//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "যারা//ভঙ্গকরে//প্রতিশ্রুতি//আল্লাহর//থেকে//পরে//তা আবদ্ধ হওয়ার,//এবং তারা ছিন্নকরে//যা//নির্দেশ দিয়েছেন//আল্লাহ//তাঁর সম্পর্কে//যে//যুক্ত করতে//এবং তারা বিপর্যয় সৃষ্টি করে//মধ্যে//পৃথিবীর//ঐসব (লোক),//(তারাই)//ক্ষতিগ্রস্ত"
            },
            {
              "number": 35,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/35.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/35.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/35.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/35.mp3"
              ],
              "text": "كَيْفَ تَكْفُرُونَ بِٱللَّهِ وَكُنتُمْ أَمْوَٰتًۭا فَأَحْيَٰكُمْ ۖ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ثُمَّ إِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "কেমন করে তোমরা আল্লাহর ব্যাপারে কুফরী অবলম্বন করছ? অথচ তোমরা ছিলে নিষ্প্রাণ। অতঃপর তিনিই তোমাদেরকে প্রাণ দান করেছেন, আবার মৃত্যু দান করবেন। পুনরায় তোমাদেরকে জীবনদান করবেন। অতঃপর তারই প্রতি প্রত্যাবর্তন করবে।",
              "numberInSurah": 28,
              "juz": 1,
              "manzil": 1,
              "page": 5,
              "ruku": 4,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "কাইফা তাকফুরূনা বিল্লা-হি ওয়া কুনতুম আমওয়া-তান ফাআহইয়া-কুম ছু ম্মা ইউমীতুকুম, ছু ম্মা ইউহঈকুম ছুম্মা ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "كَیْفَ/كَيۡفَ/kayfa//تَكْفُرُوْنَ/تَكۡفُرُونَ/takfuruna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//اَمْوَاتًا/أَمۡوَٰتٗا/amwatan//فَاَحْیَاكُمْ ۚ/فَأَحۡيَٰكُمۡۖ/fa-ahyakum//ثُمَّ/ثُمَّ/thumma//یُمِیْتُكُمْ/يُمِيتُكُمۡ/yumitukum//ثُمَّ/ثُمَّ/thumma//یُحْیِیْكُمْ/يُحۡيِيكُمۡ/yuh'yikum//ثُمَّ/ثُمَّ/thumma//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "কিরূপে//তোমরা অবিশ্বাস করবে//আল্লাহর উপর//অথচ তোমরা ছিলে//মৃত অবস্থায়//পরে তিনি তোমাদের জীবিত করেছেন//এরপর//তোমাদের মৃত্যু দেবেন//এরপর//তোমাদের জীবিত করবেন//এরপরে//তাঁর দিকেই//ফিরে যেতে হবে তোমাদেরকে"
            },
            {
              "number": 36,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/36.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/36.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/36.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/36.mp3"
              ],
              "text": "هُوَ ٱلَّذِى خَلَقَ لَكُم مَّا فِى ٱلْأَرْضِ جَمِيعًۭا ثُمَّ ٱسْتَوَىٰٓ إِلَى ٱلسَّمَآءِ فَسَوَّىٰهُنَّ سَبْعَ سَمَٰوَٰتٍۢ ۚ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "তিনিই সে সত্ত্বা যিনি সৃষ্টি করেছেন তোমাদের জন্য যা কিছু জমীনে রয়েছে সে সমস্ত। তারপর তিনি মনোসংযোগ করেছেন আকাশের প্রতি। বস্তুতঃ তিনি তৈরী করেছেন সাত আসমান। আর আল্লাহ সর্ববিষয়ে অবহিত।",
              "numberInSurah": 29,
              "juz": 1,
              "manzil": 1,
              "page": 5,
              "ruku": 4,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী খালাকালাকুম মা-ফিল আরদিজামী‘আন ছু ম্মাছ তাওয়াইলাছছামাই ফাছাওওয়া-হুন্না ছাব‘আ ছামা-ওয়া-তিওঁ ওয়া হুওয়া বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا ۗ/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//اسْتَوٰۤی/ٱسۡتَوَىٰٓ/is'tawa//اِلَی/إِلَى/ila//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَسَوّٰىهُنَّ/فَسَوَّىٰهُنَّ/fasawwahunna//سَبْعَ/سَبۡعَ/sab'a//سَمٰوٰتٍ ؕ/سَمَٰوَٰتٖۚ/samawatin//وَ هُوَ/وَهُوَ/wahuwa//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ ۠/عَلِيمٞ/alimun",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//সৃষ্টি করেছেন//তোমাদের জন্যে//যা কিছু//মধ্যে (আছে)//পৃথিবীর,//সবকিছুকেই//এরপর//লক্ষ্য দিলেন//দিকে//আকাশের//অতঃপর তাদেরকে সম্পূর্ণ করলেন//সাত//আকাশ//এবং তিনি//সব//জিনিস সম্পর্কে//মহাজ্ঞানী"
            },
            {
              "number": 37,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/37.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/37.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/37.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/37.mp3"
              ],
              "text": "وَإِذْ قَالَ رَبُّكَ لِلْمَلَٰٓئِكَةِ إِنِّى جَاعِلٌۭ فِى ٱلْأَرْضِ خَلِيفَةًۭ ۖ قَالُوٓا۟ أَتَجْعَلُ فِيهَا مَن يُفْسِدُ فِيهَا وَيَسْفِكُ ٱلدِّمَآءَ وَنَحْنُ نُسَبِّحُ بِحَمْدِكَ وَنُقَدِّسُ لَكَ ۖ قَالَ إِنِّىٓ أَعْلَمُ مَا لَا تَعْلَمُونَ",
              "translate_bn": "আর তোমার পালনকর্তা যখন ফেরেশতাদিগকে বললেনঃ আমি পৃথিবীতে একজন প্রতিনিধি বানাতে যাচ্ছি, তখন ফেরেশতাগণ বলল, তুমি কি পৃথিবীতে এমন কাউকে সৃষ্টি করবে যে দাঙ্গা-হাঙ্গামার সৃষ্টি করবে এবং রক্তপাত ঘটাবে? অথচ আমরা নিয়ত তোমার গুণকীর্তন করছি এবং তোমার পবিত্র সত্তাকে স্মরণ করছি। তিনি বললেন, নিঃসন্দেহে আমি জানি, যা তোমরা জান না।",
              "numberInSurah": 30,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা রাব্বুকা লিলমালইকাতি ইন্নী জা-‘ইলুন ফিল আরদিখালীফাতান কালূআতাজ‘আলুফীহা- মাইঁ ইউফছিদুফীহা- ওয়া ইয়াছফিকু দ দিমাআ ওয়ানাহনু নুছাব্বিহুবিহামদিকা ওয়া নুকাদ্দিছুলাকা কা-লা ইন্নী আ‘লামুমা-লা- তা‘লামূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//رَبُّكَ/رَبُّكَ/rabbuka//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اِنِّیْ/إِنِّي/inni//جَاعِلٌ/جَاعِلٞ/ja'ilun//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//خَلِیْفَةً ؕ/خَلِيفَةٗۖ/khalifatan//قَالُوْۤا/قَالُوٓاْ/qalu//اَتَجْعَلُ/أَتَجۡعَلُ/ataj'alu//فِیْهَا/فِيهَا/fiha//مَنْ/مَن/man//یُّفْسِدُ/يُفۡسِدُ/yuf'sidu//فِیْهَا/فِيهَا/fiha//وَ یَسْفِكُ/وَيَسۡفِكُ/wayasfiku//الدِّمَآءَ ۚ/ٱلدِّمَآءَ/al-dimaa//وَ نَحْنُ/وَنَحۡنُ/wanahnu//نُسَبِّحُ/نُسَبِّحُ/nusabbihu//بِحَمْدِكَ/بِحَمۡدِكَ/bihamdika//وَ نُقَدِّسُ/وَنُقَدِّسُ/wanuqaddisu//لَكَ ؕ/لَكَۖ/laka//قَالَ/قَالَ/qala//اِنِّیْۤ/إِنِّيٓ/inni//اَعْلَمُ/أَعۡلَمُ/a'lamu//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলেন//তোমার রব//ফেরেশতাদের উদ্দেশে//''নিশ্চয়ই আমি//সৃষ্টিকারী//মধ্যে//পৃথিবীতর//প্রতিনিধি//তারা বলেছিলো//''আপনি কি সৃষ্টি করবেন//তার মধ্যে (পৃথিবীতে)//যে//বিপর্যয় সৃষ্টি করবে//তার মধ্যে//ও ঝরাবে//রক্ত//এবং আমরাইতো//পবিত্র মহিমা ঘোষণা করি//আপনার প্রশংসা//ও মহিমা ঘোষণা করি//আপনার//তিনি বলেছিলেন//''নিশ্চয়ই আমি//জানি//যা//না//তোমরা জান''"
            },
            {
              "number": 38,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/38.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/38.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/38.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/38.mp3"
              ],
              "text": "وَعَلَّمَ ءَادَمَ ٱلْأَسْمَآءَ كُلَّهَا ثُمَّ عَرَضَهُمْ عَلَى ٱلْمَلَٰٓئِكَةِ فَقَالَ أَنۢبِـُٔونِى بِأَسْمَآءِ هَٰٓؤُلَآءِ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "আর আল্লাহ তা’আলা শিখালেন আদমকে সমস্ত বস্তু-সামগ্রীর নাম। তারপর সে সমস্ত বস্তু-সামগ্রীকে ফেরেশতাদের সামনে উপস্থাপন করলেন। অতঃপর বললেন, আমাকে তোমরা এগুলোর নাম বলে দাও, যদি তোমরা সত্য হয়ে থাক।",
              "numberInSurah": 31,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘আল্লামা আ-দামাল আছমাআ কুল্লাহা- ছু ম্মা ‘আরাদাহুম ‘আলাল মালাইকাতি ফাকা-লা আম্বিঊনী বিআছমাই হাউলাই ইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ عَلَّمَ/وَعَلَّمَ/wa'allama//اٰدَمَ/ءَادَمَ/adama//الْاَسْمَآءَ/ٱلۡأَسۡمَآءَ/al-asmaa//كُلَّهَا/كُلَّهَا/kullaha//ثُمَّ/ثُمَّ/thumma//عَرَضَهُمْ/عَرَضَهُمۡ/aradahum//عَلَی/عَلَى/ala//الْمَلٰٓىِٕكَةِ ۙ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//فَقَالَ/فَقَالَ/faqala//اَنْۢبِـُٔوْنِیْ/أَنۢبِـُٔونِي/anbiuni//بِاَسْمَآءِ/بِأَسۡمَآءِ/bi-asmai//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং শিখালেন//আদমকে//নামসমূহ//সবকিছুর//এরপর//সেগুলো উপস্থাপন করলেন//সামনে//ফেরেশতাদের//এরপর বললেন//''আমাকে অবহিত করো//নাম সম্পর্কে//এসবের//যদি//তোমরা হও//সত্যবাদী''"
            },
            {
              "number": 39,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/39.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/39.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/39.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/39.mp3"
              ],
              "text": "قَالُوا۟ سُبْحَٰنَكَ لَا عِلْمَ لَنَآ إِلَّا مَا عَلَّمْتَنَآ ۖ إِنَّكَ أَنتَ ٱلْعَلِيمُ ٱلْحَكِيمُ",
              "translate_bn": "তারা বলল, তুমি পবিত্র! আমরা কোন কিছুই জানি না, তবে তুমি যা আমাদিগকে শিখিয়েছ (সেগুলো ব্যতীত) নিশ্চয় তুমিই প্রকৃত জ্ঞানসম্পন্ন, হেকমতওয়ালা।",
              "numberInSurah": 32,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "কা-লূছুবহা-নাকা লা- ‘ইলমা লানা ইল্লা-মা ‘আল্লামতানা-ইন্নাকা আনতাল ‘আলীমুল হাকীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//لَا/لَا/la//عِلْمَ/عِلۡمَ/il'ma//لَنَاۤ/لَنَآ/lana//اِلَّا/إِلَّا/illa//مَا/مَا/ma//عَلَّمْتَنَا ؕ/عَلَّمۡتَنَآۖ/allamtana//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তারা বলেছিল//''আপনি পবিত্র//না (আছে)//জ্ঞান//আমাদের//এছাড়া//যা//আমাদের আপনি শিখিয়েছেন//নিশ্চয়ই আপনি//আপনিই//মহাজ্ঞানী//মহাবিজ্ঞ"
            },
            {
              "number": 40,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/40.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/40.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/40.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/40.mp3"
              ],
              "text": "قَالَ يَٰٓـَٔادَمُ أَنۢبِئْهُم بِأَسْمَآئِهِمْ ۖ فَلَمَّآ أَنۢبَأَهُم بِأَسْمَآئِهِمْ قَالَ أَلَمْ أَقُل لَّكُمْ إِنِّىٓ أَعْلَمُ غَيْبَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَأَعْلَمُ مَا تُبْدُونَ وَمَا كُنتُمْ تَكْتُمُونَ",
              "translate_bn": "তিনি বললেন, হে আদম, ফেরেশতাদেরকে বলে দাও এসবের নাম। তারপর যখন তিনি বলে দিলেন সে সবের নাম, তখন তিনি বললেন, আমি কি তোমাদেরকে বলিনি যে, আমি আসমান ও যমীনের যাবতীয় গোপন বিষয় সম্পর্কে খুব ভাল করেই অবগত রয়েছি? এবং সেসব বিষয়ও জানি যা তোমরা প্রকাশ কর, আর যা তোমরা গোপন কর!",
              "numberInSurah": 33,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়াআ-দামূআম্বি’হুম বিআছমাইহিম ফালাম্মাআম্বাআহুম বিআছমাইহিম কা-লা আলাম আকুল্লাকুম ইন্নী আ‘লামুগাইবাছছামা-ওয়া-তি ওয়ল আরদি, ওয়া আ‘লামুমা- তুবদূ না ওয়ামা- কুনতুম তাকতুমূন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰۤاٰدَمُ/يَـٰٓـَٔادَمُ/yaadamu//اَنْۢبِئْهُمْ/أَنۢبِئۡهُم/anbi'hum//بِاَسْمَآىِٕهِمْ ۚ/بِأَسۡمَآئِهِمۡۖ/bi-asmaihim//فَلَمَّاۤ/فَلَمَّآ/falamma//اَنْۢبَاَهُمْ/أَنۢبَأَهُم/anba-ahum//بِاَسْمَآىِٕهِمْ ۙ/بِأَسۡمَآئِهِمۡ/bi-asmaihim//قَالَ/قَالَ/qala//اَلَمْ/أَلَمۡ/alam//اَقُلْ/أَقُل/aqul//لَّكُمْ/لَّكُمۡ/lakum//اِنِّیْۤ/إِنِّيٓ/inni//اَعْلَمُ/أَعۡلَمُ/a'lamu//غَیْبَ/غَيۡبَ/ghayba//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۙ/وَٱلۡأَرۡضِ/wal-ardi//وَ اَعْلَمُ/وَأَعۡلَمُ/wa-a'lamu//مَا/مَا/ma//تُبْدُوْنَ/تُبۡدُونَ/tub'duna//وَ مَا/وَمَا/wama//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْتُمُوْنَ /تَكۡتُمُونَ/taktumuna",
              "words_bangla": "তিনি বললেন//''হে আদম//তাদেরকে অবহিত করো//তাদের নামগুলো সম্পর্কে''//অতঃপর যখন//সে তাদেরকে অবহিত করল//তাদের নামগুলো//তিনি বললেন//''আমি কি//বলি নি//তোমাদেরকে//নিশ্চয়ই//আমি জানি//অদৃশ্যকে//আকাশ সমূহের//ও পাৃথিবীর//এবং আমি জানি//যা//তোমরা প্রকাশ কর//ও যা//তোমরা//গোপন করো''"
            },
            {
              "number": 41,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/41.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/41.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/41.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/41.mp3"
              ],
              "text": "وَإِذْ قُلْنَا لِلْمَلَٰٓئِكَةِ ٱسْجُدُوا۟ لِءَادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ أَبَىٰ وَٱسْتَكْبَرَ وَكَانَ مِنَ ٱلْكَٰفِرِينَ",
              "translate_bn": "এবং যখন আমি হযরত আদম (আঃ)-কে সেজদা করার জন্য ফেরেশতাগণকে নির্দেশ দিলাম, তখনই ইবলীস ব্যতীত সবাই সিজদা করলো। সে (নির্দেশ) পালন করতে অস্বীকার করল এবং অহংকার প্রদর্শন করল। ফলে সে কাফেরদের অন্তর্ভূক্ত হয়ে গেল।",
              "numberInSurah": 34,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলনা- লিলমালাইকাতিছজু দূলিআ-দামা ফাছাজাদূ ইল্লা ইবলীছা আবা-ওয়াছতাকবারা ওয়া কা-না মিনাল কা-ফিরীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اسْجُدُوْا/ٱسۡجُدُواْ/us'judu//لِاٰدَمَ/لِأٓدَمَ/liadama//فَسَجَدُوْۤا/فَسَجَدُوٓاْ/fasajadu//اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//اَبٰی/أَبَىٰ/aba//وَ اسْتَكْبَرَ ؗۗ/وَٱسۡتَكۡبَرَ/wa-is'takbara//وَ كَانَ/وَكَانَ/wakana//مِنَ/مِنَ/mina//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং যখন//আমরা বলেছিলাম//ফেরেশতাদেরকে//''তোমরা সিজদা করো//আদমকে''//তখন তারা সিজদা করল//ব্যতীত//ইবলিস//সে অমান্য করল//ও অহংকার করল,//এবং সে হল//অন্তর্ভুক্ত//কাফিরদের"
            },
            {
              "number": 42,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/42.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/42.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/42.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/42.mp3"
              ],
              "text": "وَقُلْنَا يَٰٓـَٔادَمُ ٱسْكُنْ أَنتَ وَزَوْجُكَ ٱلْجَنَّةَ وَكُلَا مِنْهَا رَغَدًا حَيْثُ شِئْتُمَا وَلَا تَقْرَبَا هَٰذِهِ ٱلشَّجَرَةَ فَتَكُونَا مِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "এবং আমি আদমকে হুকুম করলাম যে, তুমি ও তোমার স্ত্রী জান্নাতে বসবাস করতে থাক এবং ওখানে যা চাও, যেখান থেকে চাও, পরিতৃপ্তিসহ খেতে থাক, কিন্তু এ গাছের নিকটবর্তী হয়ো না। অন্যথায় তোমরা যালিমদের অন্তর্ভূক্ত হয়ে পড়বে।",
              "numberInSurah": 35,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়াকু লনা-ইয়া আ-দামুছকুন আনতা ওয়াঝাওজুকাল জান্নাতা ওয়াকুলা-মিনহা-রাগাদান হাইছুশি’তুমা- ওয়ালা-তাকরাবা- হা-যিহিশশাজারাতা ফাতাকূনা- মিনাজ্জা-লিমীন।",
              "words_arabic": "وَ قُلْنَا/وَقُلۡنَا/waqul'na//یٰۤاٰدَمُ/يَـٰٓـَٔادَمُ/yaadamu//اسْكُنْ/ٱسۡكُنۡ/us'kun//اَنْتَ/أَنتَ/anta//وَ زَوْجُكَ/وَزَوۡجُكَ/wazawjuka//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ كُلَا/وَكُلَا/wakula//مِنْهَا/مِنۡهَا/min'ha//رَغَدًا/رَغَدًا/raghadan//حَیْثُ/حَيۡثُ/haythu//شِئْتُمَا ۪/شِئۡتُمَا/shi'tuma//وَ لَا/وَلَا/wala//تَقْرَبَا/تَقۡرَبَا/taqraba//هٰذِهِ/هَٰذِهِ/hadhihi//الشَّجَرَةَ/ٱلشَّجَرَةَ/al-shajarata//فَتَكُوْنَا/فَتَكُونَا/fatakuna//مِنَ/مِنَ/mina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং আমরা বললাম,//''হে আদম//বসবাস করো//তুমি//ও তোমার স্ত্রী//জান্নাতে//এবং দুজনে খাও//তা হতে//স্বাচ্ছন্দে//যেখান থেকে//তোমরা দুজনে চাও;//এবং না//দুজনে নিকটে যেয়ো//এই//গাছের//অতঃপর তোমরা দুজনে হবে//অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের''"
            },
            {
              "number": 43,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/43.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/43.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/43.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/43.mp3"
              ],
              "text": "فَأَزَلَّهُمَا ٱلشَّيْطَٰنُ عَنْهَا فَأَخْرَجَهُمَا مِمَّا كَانَا فِيهِ ۖ وَقُلْنَا ٱهْبِطُوا۟ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّۭ ۖ وَلَكُمْ فِى ٱلْأَرْضِ مُسْتَقَرٌّۭ وَمَتَٰعٌ إِلَىٰ حِينٍۢ",
              "translate_bn": "অনন্তর শয়তান তাদের উভয়কে ওখান থেকে পদস্খলিত করেছিল। পরে তারা যে সুখ-স্বাচ্ছন্দ্যে ছিল তা থেকে তাদেরকে বের করে দিল এবং আমি বললাম, তোমরা নেমে যাও। তোমরা পরস্পর একে অপরের শক্র হবে এবং তোমাদেরকে সেখানে কিছুকাল অবস্থান করতে হবে ও লাভ সংগ্রহ করতে হবে।",
              "numberInSurah": 36,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ফাআঝাল্লাহুমাশশাইতা-নু‘আনহা- ফাআখরাজাহুমা- মিম্মা-কা-না ফীহি ওয়া কুলনাহ বিতূবা‘দুকুম লিবা‘দিন ‘আদুওউওঁ ওয়া লাকুম ফিল আরদিমুছতাকাররুওঁ ওয়ামাতা-‘উন ইলা-হীন ।",
              "words_arabic": "فَاَزَلَّهُمَا/فَأَزَلَّهُمَا/fa-azallahuma//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//عَنْهَا/عَنۡهَا/anha//فَاَخْرَجَهُمَا/فَأَخۡرَجَهُمَا/fa-akhrajahuma//مِمَّا/مِمَّا/mimma//كَانَا/كَانَا/kana//فِیْهِ ۪/فِيهِۖ/fihi//وَ قُلْنَا/وَقُلۡنَا/waqul'na//اهْبِطُوْا/ٱهۡبِطُواْ/ih'bitu//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//لِبَعْضٍ/لِبَعۡضٍ/liba'din//عَدُوٌّ ۚ/عَدُوّٞۖ/aduwwun//وَ لَكُمْ/وَلَكُمۡ/walakum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُسْتَقَرٌّ/مُسۡتَقَرّٞ/mus'taqarrun//وَّ مَتَاعٌ/وَمَتَٰعٌ/wamata'un//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "তাদেরকে এরপর পদস্থলন ঘটাল//শয়তান//তা হতে,//তাদের দুজনকে অতঃপর বের করল//সেখান থেকে//দুজনে ছিল//যার মধ্যে//এবং আমরা বললাম,//''তোমরা নেমে যাও (এখান থেকে)//তোমাদের একে//অপরের জন্যে//শত্রু//এবং তোমাদের জন্যে//মধ্যে (থাকবে)//পৃথিবীর//অবস্থান (কিছু কালের)//ও জীবন সামগ্রী//পর্যন্ত//একটা নির্দিষ্ট সময়''"
            },
            {
              "number": 44,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/44.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/44.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/44.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/44.mp3"
              ],
              "text": "فَتَلَقَّىٰٓ ءَادَمُ مِن رَّبِّهِۦ كَلِمَٰتٍۢ فَتَابَ عَلَيْهِ ۚ إِنَّهُۥ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "অতঃপর হযরত আদম (আঃ) স্বীয় পালনকর্তার কাছ থেকে কয়েকটি কথা শিখে নিলেন, অতঃপর আল্লাহ পাক তাঁর প্রতি (করুণাভরে) লক্ষ্য করলেন। নিশ্চয়ই তিনি মহা-ক্ষমাশীল ও অসীম দয়ালু।",
              "numberInSurah": 37,
              "juz": 1,
              "manzil": 1,
              "page": 6,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ফাতালাক্কা আ-দামুমির রাব্বিহী কালিমা-তিন ফাতা-বা ‘আলাইহি ইন্নাহূ হুওয়াত্তাওওয়া-বুর রাহীম।",
              "words_arabic": "فَتَلَقّٰۤی/فَتَلَقَّىٰٓ/fatalaqqa//اٰدَمُ/ءَادَمُ/adamu//مِنْ/مِن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//كَلِمٰتٍ/كَلِمَٰتٖ/kalimatin//فَتَابَ/فَتَابَ/fataba//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "তখন শিখে নিল//আদম//নিকট হতে//তার রবের//কিছু বাণী (ও ক্ষমা চাইল)//ফলে তিনি ক্ষমা করলেন//তাকে//নিশ্চয়ই তিনি//তিনিই//বড় ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 45,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/45.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/45.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/45.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/45.mp3"
              ],
              "text": "قُلْنَا ٱهْبِطُوا۟ مِنْهَا جَمِيعًۭا ۖ فَإِمَّا يَأْتِيَنَّكُم مِّنِّى هُدًۭى فَمَن تَبِعَ هُدَاىَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "আমি হুকুম করলাম, তোমরা সবাই নীচে নেমে যাও। অতঃপর যদি তোমাদের নিকট আমার পক্ষ থেকে কোন হেদায়েত পৌঁছে, তবে যে ব্যক্তি আমার সে হেদায়েত অনুসারে চলবে, তার উপর না কোন ভয় আসবে, না (কোন কারণে) তারা চিন্তাগ্রস্ত ও সন্তপ্ত হবে।",
              "numberInSurah": 38,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "কুলনাহ বিতূমিনহা-জামী‘আন ফাইম্মা- ইয়া’তিইয়ান্নাকুম মিন্নী হুদান ফামান তাবি‘আ হুদা-ইয়া ফালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "قُلْنَا/قُلۡنَا/qul'na//اهْبِطُوْا/ٱهۡبِطُواْ/ih'bitu//مِنْهَا/مِنۡهَا/min'ha//جَمِیْعًا ۚ/جَمِيعٗاۖ/jami'an//فَاِمَّا/فَإِمَّا/fa-imma//یَاْتِیَنَّكُمْ/يَأۡتِيَنَّكُم/yatiyannakum//مِّنِّیْ/مِّنِّي/minni//هُدًی/هُدٗى/hudan//فَمَنْ/فَمَن/faman//تَبِعَ/تَبِعَ/tabi'a//هُدَایَ/هُدَايَ/hudaya//فَلَا/فَلَا/fala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "আমরা বললাম,//''তোমরা নামো//এখান থেকে//সবাই//অতঃপর যখন//তোমাদের কাছে আসবে অবশ্যই//আমার পক্ষ হতে//পথনির্দেশনা//তখন যে//অনুসরণ করবে//আমার পথনির্দেশনা//অতঃপর নেই//কোনো ভয়//তাদের জন্যে//এবং না//তারা//দুঃখিত হবে"
            },
            {
              "number": 46,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/46.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/46.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/46.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/46.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "আর যে লোক তা অস্বীকার করবে এবং আমার নিদর্শনগুলোকে মিথ্যা প্রতিপন্ন করার প্রয়াস পাবে, তারাই হবে জাহান্নামবাসী; অন্তকাল সেখানে থাকবে।",
              "numberInSurah": 39,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 5,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূ ওয়াকাযযাবূবিআ-য়া-তিনাউলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ ۠/خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং যারা//অবিশ্বাস করবে//ও মিথ্যা মনে করবে//আমার নিদর্শনসমূহকে//তারা//অধিবাসী (হবে)//(জাহান্নামের) আগুনের//তারা//তার মধ্যে//চিরস্থায়ী হবে''"
            },
            {
              "number": 47,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/47.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/47.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/47.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/47.mp3"
              ],
              "text": "يَٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَوْفُوا۟ بِعَهْدِىٓ أُوفِ بِعَهْدِكُمْ وَإِيَّٰىَ فَٱرْهَبُونِ",
              "translate_bn": "হে বনী-ইসরাঈলগণ, তোমরা স্মরণ কর আমার সে অনুগ্রহ যা আমি তোমাদের প্রতি করেছি এবং তোমরা পূরণ কর আমার সাথে কৃত প্রতিজ্ঞা, তাহলে আমি তোমাদেরকে প্রদত্ত প্রতিশ্রুতি পূরণ করব। আর ভয় কর আমাকেই।",
              "numberInSurah": 40,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানী ইছরাঈলাযকুরূনি‘মাতিয়াল্লাতী আন‘আমতু‘আলাইকুম ওয়াআওফূ বি‘আহদি ঊফি বি‘আহদিকুম ওয়াইয়্যা-ইয়া ফারহাবূন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَتِیَ/نِعۡمَتِيَ/ni'matiya//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْعَمْتُ/أَنۡعَمۡتُ/an'amtu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ اَوْفُوْا/وَأَوۡفُواْ/wa-awfu//بِعَهْدِیْۤ/بِعَهۡدِيٓ/bi'ahdi//اُوْفِ/أُوفِ/ufi//بِعَهْدِكُمْ ۚ/بِعَهۡدِكُمۡ/bi'ahdikum//وَ اِیَّایَ/وَإِيَّـٰيَ/wa-iyyaya//فَارْهَبُوْنِ /فَٱرۡهَبُونِ/fa-ir'habuni",
              "words_bangla": "হে সন্তান//ইসরাঈলের//তোমরা স্মরণ করো//আমার নেয়ামতের//যা//আমি নেয়ামত দিয়েছি//তোমাদের উপর//এবং তোমরা পূর্ণ করো//আমার (কাছে কৃত) প্রতিশ্রুতি//আমি পূর্ণ কর//তোমাদের (কাছে কৃত) প্রতিশ্রুতি;//এবং শুধু আমাকেই//তোমরা ভয় করো"
            },
            {
              "number": 48,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/48.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/48.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/48.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/48.mp3"
              ],
              "text": "وَءَامِنُوا۟ بِمَآ أَنزَلْتُ مُصَدِّقًۭا لِّمَا مَعَكُمْ وَلَا تَكُونُوٓا۟ أَوَّلَ كَافِرٍۭ بِهِۦ ۖ وَلَا تَشْتَرُوا۟ بِـَٔايَٰتِى ثَمَنًۭا قَلِيلًۭا وَإِيَّٰىَ فَٱتَّقُونِ",
              "translate_bn": "আর তোমরা সে গ্রন্থের প্রতি বিশ্বাস স্থাপন কর, যা আমি অবতীর্ণ করেছি সত্যবক্তা হিসেবে তোমাদের কাছে। বস্তুতঃ তোমরা তার প্রাথমিক অস্বীকারকারী হয়ো না আর আমার আয়াতের অল্প মূল্য দিও না। এবং আমার (আযাব) থেকে বাঁচ।",
              "numberInSurah": 41,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়াআ-মিনূবিমা আনঝালতুমুসাদ্দিকালিল মা- মা‘আকুম ওয়ালা-তাকূনূ আওওয়ালা কা-ফিরিম বিহী ওয়ালা-তাশতারূবিআ-য়া-তী ছামানান কালীলাওঁ ওয়াইয়্যা-ইয়া ফাত্তাকূন।",
              "words_arabic": "وَ اٰمِنُوْا/وَءَامِنُواْ/waaminu//بِمَاۤ/بِمَآ/bima//اَنْزَلْتُ/أَنزَلۡتُ/anzaltu//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//مَعَكُمْ/مَعَكُمۡ/ma'akum//وَ لَا/وَلَا/wala//تَكُوْنُوْۤا/تَكُونُوٓاْ/takunu//اَوَّلَ/أَوَّلَ/awwala//كَافِرٍۭ/كَافِرِۭ/kafirin//بِهٖ ۪/بِهِۦۖ/bihi//وَ لَا/وَلَا/wala//تَشْتَرُوْا/تَشۡتَرُواْ/tashtaru//بِاٰیٰتِیْ/بِـَٔايَٰتِي/biayati//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؗ/قَلِيلٗا/qalilan//وَ اِیَّایَ/وَإِيَّـٰيَ/wa-iyyaya//فَاتَّقُوْنِ /فَٱتَّقُونِ/fa-ittaquni",
              "words_bangla": "এবং তোমরা ঈমান আনো//ঐ বিষয়ে যা//আমি অবতীর্ণ করেছি//সমর্থনকারী//তার যা//তোমাদের সাথে আছে//এবং না//তোমরা হয়ো//প্রথম//অস্বীকারকারী//তার প্রতি//এবং না//তোমরা বিক্রয় করো//আমার আয়াতের বিনিময়ে//মূল্যে//সামান্য//এবং শুধু আমাকেই//অতএব তোমরা ভয় করো"
            },
            {
              "number": 49,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/49.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/49.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/49.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/49.mp3"
              ],
              "text": "وَلَا تَلْبِسُوا۟ ٱلْحَقَّ بِٱلْبَٰطِلِ وَتَكْتُمُوا۟ ٱلْحَقَّ وَأَنتُمْ تَعْلَمُونَ",
              "translate_bn": "তোমরা সত্যকে মিথ্যার সাথে মিশিয়ে দিও না এবং জানা সত্ত্বে সত্যকে তোমরা গোপন করো না।",
              "numberInSurah": 42,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তালবিছুল হাক্কা বিলবা-তিলি ওয়া তাকতুমুল হাক্কা ওয়া আনতুম তা‘লামূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَلْبِسُوا/تَلۡبِسُواْ/talbisu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//وَ تَكْتُمُوا/وَتَكۡتُمُواْ/wataktumu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং না//তোমরা মিশ্রণ করো//সত্যকে//অসত্যের সাথে//এবং তোমরা লুকাবে (না)//সত্যকে//এমতাবস্থায় যে তোমরা//জান"
            },
            {
              "number": 50,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/50.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/50.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/50.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/50.mp3"
              ],
              "text": "وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَٱرْكَعُوا۟ مَعَ ٱلرَّٰكِعِينَ",
              "translate_bn": "আর নামায কায়েম কর, যাকাত দান কর এবং নামাযে অবনত হও তাদের সাথে, যারা অবনত হয়।",
              "numberInSurah": 43,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 2,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকীমুস সালা-তা ওয়া আ-তুঝঝাকা-তা ওয়ারকা‘ঊ মা‘আর রা-কি‘ঈন।",
              "words_arabic": "وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ ارْكَعُوْا/وَٱرۡكَعُواْ/wa-ir'ka'u//مَعَ/مَعَ/ma'a//الرّٰكِعِیْنَ /ٱلرَّـٰكِعِينَ/al-raki'ina",
              "words_bangla": "এবং তোমরা প্রতিষ্ঠা করো//সালাত//ও তোমরা দাও//যাকাত//এবং তোমরা রুকু করো//সাথে//রুকুকারীদের"
            },
            {
              "number": 51,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/51.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/51.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/51.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/51.mp3"
              ],
              "text": "۞ أَتَأْمُرُونَ ٱلنَّاسَ بِٱلْبِرِّ وَتَنسَوْنَ أَنفُسَكُمْ وَأَنتُمْ تَتْلُونَ ٱلْكِتَٰبَ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "তোমরা কি মানুষকে সৎকর্মের নির্দেশ দাও এবং নিজেরা নিজেদেরকে ভূলে যাও, অথচ তোমরা কিতাব পাঠ কর? তবুও কি তোমরা চিন্তা কর না?",
              "numberInSurah": 44,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "আতা’মুরূনান্না-ছা বিলবিরবিওয়া তানছাওনা আনফুছাকুম ওয়া আনতুম তাতলূনাল কিতা-বা আফালা-তা‘কিলূন।",
              "words_arabic": "اَتَاْمُرُوْنَ/۞أَتَأۡمُرُونَ/atamuruna//النَّاسَ/ٱلنَّاسَ/al-nasa//بِالْبِرِّ/بِٱلۡبِرِّ/bil-biri//وَ تَنْسَوْنَ/وَتَنسَوۡنَ/watansawna//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَتْلُوْنَ/تَتۡلُونَ/tatluna//الْكِتٰبَ ؕ/ٱلۡكِتَٰبَۚ/al-kitaba//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "তোমরা নির্দেশ দিচ্ছ কি//মানুষদের//সৎকাজের//আর তোমরা ভুলে যাচ্ছ//তোমাদের নিজেদেরকে//অথচ তোমরা//তিলাওয়াত কর//কিতাব//না তবে কি//তোমরা বুঝ"
            },
            {
              "number": 52,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/52.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/52.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/52.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/52.mp3"
              ],
              "text": "وَٱسْتَعِينُوا۟ بِٱلصَّبْرِ وَٱلصَّلَوٰةِ ۚ وَإِنَّهَا لَكَبِيرَةٌ إِلَّا عَلَى ٱلْخَٰشِعِينَ",
              "translate_bn": "ধৈর্য্যর সাথে সাহায্য প্রার্থনা কর নামাযের মাধ্যমে। অবশ্য তা যথেষ্ট কঠিন। কিন্তু সে সমস্ত বিনয়ী লোকদের পক্ষেই তা সম্ভব।",
              "numberInSurah": 45,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতা‘ঈনূ বিসসাবরি ওয়াসসালা-তি ওয়া ইন্নাহা-লাকাবীরাতুন ইল্লা-‘আলাল খা-শি‘ঈন।",
              "words_arabic": "وَ اسْتَعِیْنُوْا/وَٱسۡتَعِينُواْ/wa-is'ta'inu//بِالصَّبْرِ/بِٱلصَّبۡرِ/bil-sabri//وَ الصَّلٰوةِ ؕ/وَٱلصَّلَوٰةِۚ/wal-salati//وَ اِنَّهَا/وَإِنَّهَا/wa-innaha//لَكَبِیْرَةٌ/لَكَبِيرَةٌ/lakabiratun//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//الْخٰشِعِیْنَ ۙ/ٱلۡخَٰشِعِينَ/al-khashi'ina",
              "words_bangla": "এবং তোমরা সাহায্য চাও//ধৈর্যের মাধ্যমে//ও সালাতের (মাধ্যমে)//এবং তা নিশ্চয়ই//বড় (কঠিন) অবশ্যই//তবে//উপর//বিনীতদের (কঠিন নয়)"
            },
            {
              "number": 53,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/53.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/53.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/53.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/53.mp3"
              ],
              "text": "ٱلَّذِينَ يَظُنُّونَ أَنَّهُم مُّلَٰقُوا۟ رَبِّهِمْ وَأَنَّهُمْ إِلَيْهِ رَٰجِعُونَ",
              "translate_bn": "যারা একথা খেয়াল করে যে, তাদেরকে সম্মুখীন হতে হবে স্বীয় পরওয়ারদেগারের এবং তাঁরই দিকে ফিরে যেতে হবে।",
              "numberInSurah": 46,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 6,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াজুন্নূনা আন্নাহুম মুলা-কূরাব্বিহিম ওয়াআন্নাহুম ইলাইহি রা-জি‘উন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَظُنُّوْنَ/يَظُنُّونَ/yazunnuna//اَنَّهُمْ/أَنَّهُم/annahum//مُّلٰقُوْا/مُّلَٰقُواْ/mulaqu//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ اَنَّهُمْ/وَأَنَّهُمۡ/wa-annahum//اِلَیْهِ/إِلَيۡهِ/ilayhi//رٰجِعُوْنَ ۠/رَٰجِعُونَ/raji'una",
              "words_bangla": "যারা//বিশ্বাস করে//তারা নিশ্চয়ই//সাক্ষাতকারী//তাদের রবের সাথে//এবং তারা নিশ্চয়ই//তাঁরই দিকে//প্রত্যাবর্তনকারী"
            },
            {
              "number": 54,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/54.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/54.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/54.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/54.mp3"
              ],
              "text": "يَٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَنِّى فَضَّلْتُكُمْ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "হে বনী-ইসরাঈলগণ! তোমরা স্মরণ কর আমার অনুগ্রহের কথা, যা আমি তোমাদের উপর করেছি এবং (স্মরণ কর) সে বিষয়টি যে, আমি তোমাদেরকে উচ্চমর্যাদা দান করেছি সমগ্র বিশ্বের উপর।",
              "numberInSurah": 47,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানী ইছরাূঈলাযকুর নি‘মাতিইয়াল্লাতী আন‘আমতু ‘আলাইকুম ওয়াআন্নী ফাদ্দালতুকুম ‘আলাল ‘আ-লামীন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَتِیَ/نِعۡمَتِيَ/ni'matiya//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْعَمْتُ/أَنۡعَمۡتُ/an'amtu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ اَنِّیْ/وَأَنِّي/wa-anni//فَضَّلْتُكُمْ/فَضَّلۡتُكُمۡ/faddaltukum//عَلَی/عَلَى/ala//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "হে সন্তান//ইসরাইলের//তোমরা স্মরণ করো//আমার নেয়ামতকে//যা//আমি নেয়ামত দিয়েছি//তোমাদের উপর//এবং আমি//তোমাদেরকে শ্রেষ্ঠত্ব দিয়েছি//উপর//বিশ্ববাসীর"
            },
            {
              "number": 55,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/55.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/55.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/55.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/55.mp3"
              ],
              "text": "وَٱتَّقُوا۟ يَوْمًۭا لَّا تَجْزِى نَفْسٌ عَن نَّفْسٍۢ شَيْـًۭٔا وَلَا يُقْبَلُ مِنْهَا شَفَٰعَةٌۭ وَلَا يُؤْخَذُ مِنْهَا عَدْلٌۭ وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "আর সে দিনের ভয় কর, যখন কেউ কারও সামান্য উপকারে আসবে না এবং তার পক্ষে কোন সুপারিশও কবুল হবে না; কারও কাছ থেকে ক্ষতিপূরণও নেয়া হবে না এবং তারা কোন রকম সাহায্যও পাবে না।",
              "numberInSurah": 48,
              "juz": 1,
              "manzil": 1,
              "page": 7,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকূইয়াওমাল্লা-তাজঝী নাফুছুন ‘আন নাফছিন শাইআওঁ ওয়ালা-ইউকবালু মিনহা-শাফা‘আতুওঁ ওয়ালা-ইউ’খাযুমিনহা-‘আদলুওঁ ওয়ালা-হুম ইউনসারূন।",
              "words_arabic": "وَ اتَّقُوْا/وَٱتَّقُواْ/wa-ittaqu//یَوْمًا/يَوۡمٗا/yawman//لَّا/لَّا/la//تَجْزِیْ/تَجۡزِي/tajzi//نَفْسٌ/نَفۡسٌ/nafsun//عَنْ/عَن/an//نَّفْسٍ/نَّفۡسٖ/nafsin//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یُقْبَلُ/يُقۡبَلُ/yuq'balu//مِنْهَا/مِنۡهَا/min'ha//شَفَاعَةٌ/شَفَٰعَةٞ/shafa'atun//وَّ لَا/وَلَا/wala//یُؤْخَذُ/يُؤۡخَذُ/yu'khadhu//مِنْهَا/مِنۡهَا/min'ha//عَدْلٌ/عَدۡلٞ/adlun//وَّ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "এবং তোমরা ভয় করো//সে দিনকে//(যখন) না//কাজে আসবে//কোনো ব্যক্তি//জন্যে//(অন্যকোন)ব্যাক্তির//কিছুই (মাত্রও)//এবং না//গ্রহণ করা হবে//তার থেকে//কোনো সুপারিশ//আর না//নেওয়া হবে//তার থেকে//কোনো বিনিময়//এবং না//তাদের//সাহায্য করা হবে"
            },
            {
              "number": 56,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/56.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/56.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/56.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/56.mp3"
              ],
              "text": "وَإِذْ نَجَّيْنَٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ يُذَبِّحُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌۭ مِّن رَّبِّكُمْ عَظِيمٌۭ",
              "translate_bn": "আর (স্মরণ কর) সে সময়ের কথা, যখন আমি তোমাদিগকে মুক্তিদান করেছি ফেরআউনের লোকদের কবল থেকে যারা তোমাদিগকে কঠিন শাস্তি দান করত; তোমাদের পুত্রসন্তানদেরকে জবাই করত এবং তোমাদের স্ত্রীদিগকে অব্যাহতি দিত। বস্তুতঃ তাতে পরীক্ষা ছিল তোমাদের পালনকর্তার পক্ষ থেকে, মহা পরীক্ষা।",
              "numberInSurah": 49,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযনাজ্জাইনা-কুম মিন আ-লি ফির‘আওনা ইয়াছুমূনাকুম ছূআল ‘আযা-বি ইউযাব্বিহুনা আবনাআকুম ওয়াইয়াছতাহইউনা নিছাআকুম ওয়া ফী যা-লিকুম বালাউম মিররাব্বিকুম ‘আজীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//نَجَّیْنٰكُمْ/نَجَّيۡنَٰكُم/najjaynakum//مِّنْ/مِّنۡ/min//اٰلِ/ءَالِ/ali//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//یَسُوْمُوْنَكُمْ/يَسُومُونَكُمۡ/yasumunakum//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//یُذَبِّحُوْنَ/يُذَبِّحُونَ/yudhabbihuna//اَبْنَآءَكُمْ/أَبۡنَآءَكُمۡ/abnaakum//وَ یَسْتَحْیُوْنَ/وَيَسۡتَحۡيُونَ/wayastahyuna//نِسَآءَكُمْ ؕ/نِسَآءَكُمۡۚ/nisaakum//وَ فِیْ/وَفِي/wafi//ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بَلَآءٌ/بَلَآءٞ/balaon//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "এবং (স্মরণ করো) যখন//তোমাদেরকে মুক্তি দিয়েছিলাম//হতে//সম্প্রদায়ের//ফিরাউনের//তোমাদেরকে তারা যন্ত্রণা দিত//নিকৃষ্ট//যন্ত্রণা//তারা জবাই করত//তোমাদের ছেলে সন্তানদের//এবং জীবিত রাখত//তোমাদের কন্যা সন্তানদের//এবং মধ্যে (ছিল)//এর//পরীক্ষা//পক্ষ হতে//তোমাদের রবের//কঠিন"
            },
            {
              "number": 57,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/57.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/57.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/57.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/57.mp3"
              ],
              "text": "وَإِذْ فَرَقْنَا بِكُمُ ٱلْبَحْرَ فَأَنجَيْنَٰكُمْ وَأَغْرَقْنَآ ءَالَ فِرْعَوْنَ وَأَنتُمْ تَنظُرُونَ",
              "translate_bn": "আর যখন আমি তোমাদের জন্য সাগরকে দ্বিখন্ডিত করেছি, অতঃপর তোমাদেরকে বাঁচিয়ে দিয়েছি এবং ডুবিয়ে দিয়েছি ফেরআউনের লোকদিগকে অথচ তোমরা দেখছিলে।",
              "numberInSurah": 50,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযফারাকনা-বিকুমুল বাহরা ফাআনজাইনা-কুমওয়াআগরাকনাআ-লা ফির ‘আওনা ওয়া আনতুম তানজুরূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//فَرَقْنَا/فَرَقۡنَا/faraqna//بِكُمُ/بِكُمُ/bikumu//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//فَاَنْجَیْنٰكُمْ/فَأَنجَيۡنَٰكُمۡ/fa-anjaynakum//وَ اَغْرَقْنَاۤ/وَأَغۡرَقۡنَآ/wa-aghraqna//اٰلَ/ءَالَ/ala//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَنْظُرُوْنَ /تَنظُرُونَ/tanzuruna",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা বিভক্ত করেছিলাম//তোমাদের (জন্যে)//সাগরকে//এরপর আমরা উদ্ধার করেছিলাম//এবং আমরা ডুবিয়ে দিয়েছিলাম//সম্প্রদায়কে//ফেরাঊনের//এমতাবস্থায় তোমরা//দেখছিলে"
            },
            {
              "number": 58,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/58.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/58.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/58.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/58.mp3"
              ],
              "text": "وَإِذْ وَٰعَدْنَا مُوسَىٰٓ أَرْبَعِينَ لَيْلَةًۭ ثُمَّ ٱتَّخَذْتُمُ ٱلْعِجْلَ مِنۢ بَعْدِهِۦ وَأَنتُمْ ظَٰلِمُونَ",
              "translate_bn": "আর যখন আমি মূসার সাথে ওয়াদা করেছি চল্লিশ রাত্রির অতঃপর তোমরা গোবৎস বানিয়ে নিয়েছ মূসার অনুপস্থিতিতে। বস্তুতঃ তোমরা ছিলে যালেম।",
              "numberInSurah": 51,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়াইয ওয়া- ‘আদনা-মূছা আরবা‘ঈনা লাইলাতান ছুম্মাত তাখাযতুমুল ‘ইজলা মিম বা‘দিহী ওয়া আনতুমজা-লিমূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//وٰعَدْنَا/وَٰعَدۡنَا/wa'adna//مُوْسٰۤی/مُوسَىٰٓ/musa//اَرْبَعِیْنَ/أَرۡبَعِينَ/arba'ina//لَیْلَةً/لَيۡلَةٗ/laylatan//ثُمَّ/ثُمَّ/thumma//اتَّخَذْتُمُ/ٱتَّخَذۡتُمُ/ittakhadhtumu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "এবং যখন//নির্ধারিত করেছিলাম//মূসার জন্যে//চল্লিশ//রাত//এরপর//তোমরা গ্রহণ করেছিলে//গরুর বাছুরকে (উপাস্যরূপে)//তার//পরে//যখন তোমরা//সীমালঙ্ঘঙ্কারী (ছিলে)"
            },
            {
              "number": 59,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/59.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/59.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/59.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/59.mp3"
              ],
              "text": "ثُمَّ عَفَوْنَا عَنكُم مِّنۢ بَعْدِ ذَٰلِكَ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তারপর আমি তাতেও তোমাদেরকে ক্ষমা করে দিয়েছি, যাতে তোমরা কৃতজ্ঞতা স্বীকার করে নাও।",
              "numberInSurah": 52,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ‘আফাওনা- ‘আনকুম মিম বা‘দি যা-লিকা লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//عَفَوْنَا/عَفَوۡنَا/afawna//عَنْكُمْ/عَنكُم/ankum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "অতঃপর//আমরা ক্ষমা করেছিলাম//তোমাদের প্রতি//(থেকে)//পরেও//এর//যেন তোমরা//কৃতজ্ঞতা প্রকাশ কর"
            },
            {
              "number": 60,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/60.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/60.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/60.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/60.mp3"
              ],
              "text": "وَإِذْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ وَٱلْفُرْقَانَ لَعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "আর (স্মরণ কর) যখন আমি মূসাকে কিতাব এবং সত্য-মিথ্যার পার্থক্য বিধানকারী নির্দেশ দান করেছি, যাতে তোমরা সরল পথ প্রাপ্ত হতে পার।",
              "numberInSurah": 53,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআ-তাইনা- মূছাল কিতা-বা ওয়াল ফুরকা-না লা‘আল্লাকুম তাহতাদূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْفُرْقَانَ/وَٱلۡفُرۡقَانَ/wal-fur'qana//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَهْتَدُوْنَ /تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা দিয়েছিলাম//মুসাকে//কিতাব//এবং ফুরকান//তোমরা যেন//সঠিক পথ প্রাপ্ত হও"
            },
            {
              "number": 61,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/61.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/61.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/61.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/61.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَٰقَوْمِ إِنَّكُمْ ظَلَمْتُمْ أَنفُسَكُم بِٱتِّخَاذِكُمُ ٱلْعِجْلَ فَتُوبُوٓا۟ إِلَىٰ بَارِئِكُمْ فَٱقْتُلُوٓا۟ أَنفُسَكُمْ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ عِندَ بَارِئِكُمْ فَتَابَ عَلَيْكُمْ ۚ إِنَّهُۥ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "আর যখন মূসা তার সম্প্রদায়কে বলল, হে আমার সম্প্রদায়, তোমরা তোমাদেরই ক্ষতিসাধন করেছ এই গোবৎস নির্মাণ করে। কাজেই এখন তওবা কর স্বীয় স্রষ্টার প্রতি এবং নিজ নিজ প্রাণ বিসর্জন দাও। এটাই তোমাদের জন্য কল্যাণকর তোমাদের স্রষ্টার নিকট। তারপর তোমাদের প্রতি লক্ষ্য করা হল। নিঃসন্দেহে তিনিই ক্ষমাকারী, অত্যন্ত মেহেরবান।",
              "numberInSurah": 54,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা মূছা- লিকাওমিহী ইয়া-কাওমি ইন্নাকুম জালামতুম আনফুছাকুম বিত্তিখা-যিকুমুল ‘ইজলা ফাতূবূ ইলা-বা-রিইকুম ফাকতুলূআনফুছাকুম যা-লিকুম খাইরুল্লাকুম ‘ইনদা বা-রিইকুম ফাতা-বা ‘আলাইকুম ইন্নাহূ হুওয়াত্তাওওয়া-বুররাহীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهٖ/لِقَوۡمِهِۦ/liqawmihi//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنَّكُمْ/إِنَّكُمۡ/innakum//ظَلَمْتُمْ/ظَلَمۡتُمۡ/zalamtum//اَنْفُسَكُمْ/أَنفُسَكُم/anfusakum//بِاتِّخَاذِكُمُ/بِٱتِّخَاذِكُمُ/bi-ittikhadhikumu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//فَتُوْبُوْۤا/فَتُوبُوٓاْ/fatubu//اِلٰی/إِلَىٰ/ila//بَارِىِٕكُمْ/بَارِئِكُمۡ/bari-ikum//فَاقْتُلُوْۤا/فَٱقۡتُلُوٓاْ/fa-uq'tulu//اَنْفُسَكُمْ ؕ/أَنفُسَكُمۡ/anfusakum//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//عِنْدَ/عِندَ/inda//بَارِىِٕكُمْ ؕ/بَارِئِكُمۡ/bari-ikum//فَتَابَ/فَتَابَ/fataba//عَلَیْكُمْ ؕ/عَلَيۡكُمۡۚ/alaykum//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিল//মুসা//তার জাতির উদ্দ্যেশে//''হে আমার জাতি//তোমরা নিশ্চয়ই//তোমরা অত্যাচার করেছ//তোমাদের নিজেদের (উপর)//তোমাদের গ্রহণ করার মাধ্যমে//গো বাছুরকে (উপাস্যরূপে)//সুতরাং তোমরা ফিরে এস//দিকে//তোমাদের সৃষ্টিকর্তার//এরপর তোমরা প্রাণ সংহার করো//তোমাদের (অপরাধী) লোকদেরকে//এটাই//উত্তম//তোমাদের জন্যে//কাছে//তোমাদের স্রষ্টার''//তিনি তখন ক্ষমা করলেন//তোমাদেরকে//তিনি নিশ্চয়ই//তিনিই//অতীব ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 62,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/62.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/62.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/62.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/62.mp3"
              ],
              "text": "وَإِذْ قُلْتُمْ يَٰمُوسَىٰ لَن نُّؤْمِنَ لَكَ حَتَّىٰ نَرَى ٱللَّهَ جَهْرَةًۭ فَأَخَذَتْكُمُ ٱلصَّٰعِقَةُ وَأَنتُمْ تَنظُرُونَ",
              "translate_bn": "আর যখন তোমরা বললে, হে মূসা, কস্মিনকালেও আমরা তোমাকে বিশ্বাস করব না, যতক্ষণ না আমরা আল্লাহকে (প্রকাশ্যে) দেখতে পাব। বস্তুতঃ তোমাদিগকে পাকড়াও করল বিদ্যুৎ। অথচ তোমরা তা প্রত্যক্ষ করছিলে।",
              "numberInSurah": 55,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয কুলতুমইয়া-মূছা- লান নু’মিনা লাকা হাত্তা- নারাল্লা-হা জাহরাতান ফা-আখাযাতকুমুসসা-‘ইকাতুওয়া আনতুম তানজুরূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْتُمْ/قُلۡتُمۡ/qul'tum//یٰمُوْسٰی/يَٰمُوسَىٰ/yamusa//لَنْ/لَن/lan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//لَكَ/لَكَ/laka//حَتّٰی/حَتَّىٰ/hatta//نَرَی/نَرَى/nara//اللّٰهَ/ٱللَّهَ/al-laha//جَهْرَةً/جَهۡرَةٗ/jahratan//فَاَخَذَتْكُمُ/فَأَخَذَتۡكُمُ/fa-akhadhatkumu//الصّٰعِقَةُ/ٱلصَّـٰعِقَةُ/al-sa'iqatu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَنْظُرُوْنَ /تَنظُرُونَ/tanzuruna",
              "words_bangla": "এবং স্মরণ কর যখন//তোমরা বলেছিলে//''হে মুসা//কখনও//আমরা ঈমান আনব//তোমার উপর//যতক্ষণ না//আমরা দেখব//আল্লাহকে//প্রকাশ্যভাবে''//ফলে তোমাদেরকে ধরেছিল//বজ্রপাত//এ অবস্থায় যে তোমরা//দেখছিলে"
            },
            {
              "number": 63,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/63.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/63.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/63.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/63.mp3"
              ],
              "text": "ثُمَّ بَعَثْنَٰكُم مِّنۢ بَعْدِ مَوْتِكُمْ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তারপর, মরে যাবার পর তোমাদিগকে আমি তুলে দাঁড় করিয়েছি, যাতে করে তোমরা কৃতজ্ঞতা স্বীকার করে নাও।",
              "numberInSurah": 56,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বা‘আছনা-কুম মিম বা‘দি মাওতিকুম লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَعَثْنٰكُمْ/بَعَثۡنَٰكُم/ba'athnakum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَوْتِكُمْ/مَوۡتِكُمۡ/mawtikum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এরপর//তোমাদের আমরা আবার জীবিত করলাম//(থেকে)//পরে//তোমাদের মৃত্যুর//যেন তোমরা//কৃতজ্ঞতা প্রকাশ কর"
            },
            {
              "number": 64,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/64.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/64.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/64.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/64.mp3"
              ],
              "text": "وَظَلَّلْنَا عَلَيْكُمُ ٱلْغَمَامَ وَأَنزَلْنَا عَلَيْكُمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ ۖ كُلُوا۟ مِن طَيِّبَٰتِ مَا رَزَقْنَٰكُمْ ۖ وَمَا ظَلَمُونَا وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "আর আমি তোমাদের উপর ছায়া দান করেছি মেঘমালার দ্বারা এবং তোমাদের জন্য খাবার পাঠিয়েছি ’মান্না’ ও সালওয়া’। সেসব পবিত্র বস্তু তোমরা ভক্ষন কর, যা আমি তোমাদেরকে দান করেছি। বস্তুতঃ তারা আমার কোন ক্ষতি করতে পারেনি, বরং নিজেদেরই ক্ষতি সাধন করেছে।",
              "numberInSurah": 57,
              "juz": 1,
              "manzil": 1,
              "page": 8,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়াজাল্লালনা-‘আলাইকুমুল গামা-মা ওয়া আনঝালনা-‘আলাইকুমুল মান্না ওয়াছছালওয়া- কুলূমিন তাইয়িবা-তি মা-রাঝাকনা-কুম ওয়ামা-জালামূনা- ওয়ালা-কিন কানূআনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "وَ ظَلَّلْنَا/وَظَلَّلۡنَا/wazallalna//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْغَمَامَ/ٱلۡغَمَامَ/al-ghamama//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْمَنَّ/ٱلۡمَنَّ/al-mana//وَ السَّلْوٰی ؕ/وَٱلسَّلۡوَىٰۖ/wal-salwa//كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَا/مَا/ma//رَزَقْنٰكُمْ ؕ/رَزَقۡنَٰكُمۡۚ/razaqnakum//وَ مَا/وَمَا/wama//ظَلَمُوْنَا/ظَلَمُونَا/zalamuna//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "এবং আমরা ছায়া দিয়েছিলাম//তোমাদের উপর//মেঘের//এবং আমরা পাঠিয়েছিলাম//তোমাদের কাছে//মান্না//ও সালওয়া//''(বলেছিলাম) তোমরা খাও//হতে//পবিত্র (খাদ্য)//যা//তোমাদেরকে আমরা জীবিকা দিয়েছি''//এবং না//আমাদের (উপর) তারা অবিচার করেছে//কিন্তু//তারা ছিল//তাদের নিজেদের (উপর)//অবিচার করত"
            },
            {
              "number": 65,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/65.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/65.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/65.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/65.mp3"
              ],
              "text": "وَإِذْ قُلْنَا ٱدْخُلُوا۟ هَٰذِهِ ٱلْقَرْيَةَ فَكُلُوا۟ مِنْهَا حَيْثُ شِئْتُمْ رَغَدًۭا وَٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًۭا وَقُولُوا۟ حِطَّةٌۭ نَّغْفِرْ لَكُمْ خَطَٰيَٰكُمْ ۚ وَسَنَزِيدُ ٱلْمُحْسِنِينَ",
              "translate_bn": "আর যখন আমি বললাম, তোমরা প্রবেশ কর এ নগরীতে এবং এতে যেখানে খুশী খেয়ে স্বাচ্ছন্দ্যে বিচরণ করতে থাক এবং দরজার ভিতর দিয়ে প্রবেশ করার সময় সেজদা করে ঢুক, আর বলতে থাক-‘আমাদিগকে ক্ষমা করে দাও’-তাহলে আমি তোমাদের অপরাধ ক্ষমা করব এবং সৎ কর্মশীলদেরকে অতিরিক্ত দানও করব।",
              "numberInSurah": 58,
              "juz": 1,
              "manzil": 1,
              "page": 9,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযকুলনাদখুলূ হা-যিহিল কারইয়াতা ফাকুলূমিনহা-হাইছুশি’তুম রাগাদাওঁ ওয়াদখুলূল বা-বা ছুজ্জাদাওঁ ওয়া কূলূহিত্তাতুন্নাগফিরলাকুম খাতা-ইয়া-কুম ওয়া ছানাঝীদুল মুহছিনীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//هٰذِهِ/هَٰذِهِ/hadhihi//الْقَرْیَةَ/ٱلۡقَرۡيَةَ/al-qaryata//فَكُلُوْا/فَكُلُواْ/fakulu//مِنْهَا/مِنۡهَا/min'ha//حَیْثُ/حَيۡثُ/haythu//شِئْتُمْ/شِئۡتُمۡ/shi'tum//رَغَدًا/رَغَدٗا/raghadan//وَّ ادْخُلُوا/وَٱدۡخُلُواْ/wa-ud'khulu//الْبَابَ/ٱلۡبَابَ/al-baba//سُجَّدًا/سُجَّدٗا/sujjadan//وَّ قُوْلُوْا/وَقُولُواْ/waqulu//حِطَّةٌ/حِطَّةٞ/hittatun//نَّغْفِرْ/نَّغۡفِرۡ/naghfir//لَكُمْ/لَكُمۡ/lakum//خَطٰیٰكُمْ ؕ/خَطَٰيَٰكُمۡۚ/khatayakum//وَ سَنَزِیْدُ/وَسَنَزِيدُ/wasanazidu//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং স্মরণ করো যখন//আমরা বলেছিলাম//''তোমরা প্রবেশ কর//এই//নগরীতে//তোমরা খাও//তা হতে//যেভাবে//তোমরা যাও//স্বানন্দে//এবং তোমরা প্রবেশ করো//(নগর) দরজায়//সিজদা অবনত হয়ে//এবং তোমরা বলো//''ক্ষমার কথা//ক্ষমা করবো আমরা//তোমাদের প্রতি//তোমাদের ত্রুটিগুলোকে//এবং অচিরেই (অনুগ্রহ) বাড়িয়ে দিব//সৎকর্মশীলদেরকে''"
            },
            {
              "number": 66,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/66.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/66.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/66.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/66.mp3"
              ],
              "text": "فَبَدَّلَ ٱلَّذِينَ ظَلَمُوا۟ قَوْلًا غَيْرَ ٱلَّذِى قِيلَ لَهُمْ فَأَنزَلْنَا عَلَى ٱلَّذِينَ ظَلَمُوا۟ رِجْزًۭا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَفْسُقُونَ",
              "translate_bn": "অতঃপর যালেমরা কথা পাল্টে দিয়েছে, যা কিছু তাদেরকে বলে দেয়া হয়েছিল তা থেকে। তারপর আমি অবতীর্ণ করেছি যালেমদের উপর আযাব, আসমান থেকে, নির্দেশ লংঘন করার কারণে।",
              "numberInSurah": 59,
              "juz": 1,
              "manzil": 1,
              "page": 9,
              "ruku": 7,
              "hizbQuarter": 3,
              "sajda": false,
              "pronunciation_bn": "ফাবাদ্দালাল্লাযীনা জালামূ কাওলান গাইরাল্লাযীকীলা লাহুম ফাআনঝালনা- ‘আলাল্লাযীনা জালামূ রিজঝাম্মিনাছছামাই বিমা- কা-নূইয়াফছুকূন।",
              "words_arabic": "فَبَدَّلَ/فَبَدَّلَ/fabaddala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//قَوْلًا/قَوۡلًا/qawlan//غَیْرَ/غَيۡرَ/ghayra//الَّذِیْ/ٱلَّذِي/alladhi//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//فَاَنْزَلْنَا/فَأَنزَلۡنَا/fa-anzalna//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//رِجْزًا/رِجۡزٗا/rij'zan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْسُقُوْنَ ۠/يَفۡسُقُونَ/yafsuquna",
              "words_bangla": "কিন্তু পরিবর্তন করল//যারা//সীমালঙ্ঘন করেছিল//কথা//অন্য কিছু//(তা হতে) যা//বলা হয়েছিল//তাদের উদ্দেশ্যে//আমরা তাই অবতীর্ণ করলাম//(তাদের) উপর//যারা//সীমালঙ্ঘন করেছিল//শাস্তি//থেকে//আকাশ//এ কারণে যা//তারা ছিল//তারা সত্যত্যাগ করে"
            },
            {
              "number": 67,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/67.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/67.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/67.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/67.mp3"
              ],
              "text": "۞ وَإِذِ ٱسْتَسْقَىٰ مُوسَىٰ لِقَوْمِهِۦ فَقُلْنَا ٱضْرِب بِّعَصَاكَ ٱلْحَجَرَ ۖ فَٱنفَجَرَتْ مِنْهُ ٱثْنَتَا عَشْرَةَ عَيْنًۭا ۖ قَدْ عَلِمَ كُلُّ أُنَاسٍۢ مَّشْرَبَهُمْ ۖ كُلُوا۟ وَٱشْرَبُوا۟ مِن رِّزْقِ ٱللَّهِ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ",
              "translate_bn": "আর মূসা যখন নিজ জাতির জন্য পানি চাইল, তখন আমি বললাম, স্বীয় যষ্ঠির দ্বারা আঘাত কর পাথরের উপরে। অতঃপর তা থেকে প্রবাহিত হয়ে এল বারটি প্রস্রবণ। তাদের সব গোত্রই চিনে নিল নিজ নিজ ঘাট। আল্লাহর দেয়া রিযিক খাও, পান কর আর দুনিয়ার বুকে দাংগা-হাংগামা করে বেড়িও না।",
              "numberInSurah": 60,
              "juz": 1,
              "manzil": 1,
              "page": 9,
              "ruku": 8,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযিছতাছকা-মূছা- লিকাওমিহী ফাকুলনাদরিব্বি‘আসা-কাল হাজারা ফানফাজারাত মিনহুছনাতা- ‘আশরাতা ‘আইনান কাদ ‘আলিমা কুল্লুউনা-ছিম মাশরাবাহুম কুলূওয়াশরাবূমির রিঝকিল্লা-হি ওয়ালা-তা‘ছাও ফিল আরদিমুফছিদীন।",
              "words_arabic": "وَ اِذِ/۞وَإِذِ/wa-idhi//اسْتَسْقٰی/ٱسۡتَسۡقَىٰ/is'tasqa//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهٖ/لِقَوۡمِهِۦ/liqawmihi//فَقُلْنَا/فَقُلۡنَا/faqul'na//اضْرِبْ/ٱضۡرِب/id'rib//بِّعَصَاكَ/بِّعَصَاكَ/bi'asaka//الْحَجَرَ ؕ/ٱلۡحَجَرَۖ/al-hajara//فَانْفَجَرَتْ/فَٱنفَجَرَتۡ/fa-infajarat//مِنْهُ/مِنۡهُ/min'hu//اثْنَتَا/ٱثۡنَتَا/ith'nata//عَشْرَةَ/عَشۡرَةَ/ashrata//عَیْنًا ؕ/عَيۡنٗاۖ/aynan//قَدْ/قَدۡ/qad//عَلِمَ/عَلِمَ/alima//كُلُّ/كُلُّ/kullu//اُنَاسٍ/أُنَاسٖ/unasin//مَّشْرَبَهُمْ ؕ/مَّشۡرَبَهُمۡۖ/mashrabahum//كُلُوْا/كُلُواْ/kulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//مِنْ/مِن/min//رِّزْقِ/رِّزۡقِ/riz'qi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//تَعْثَوْا/تَعۡثَوۡاْ/ta'thaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُفْسِدِیْنَ /مُفۡسِدِينَ/muf'sidina",
              "words_bangla": "এবং স্মরণ করো যখন//পানি চাইল//মুসা//তার জাতির জন্য//তখন আমরা বলেছিলাম//''আঘাত কর//তোমার লাঠি দিয়ে//পাথরে''//ফলে ফেটে বের হল//তা থেকে//বারটি//(দশ)//ঝর্ণা//নিশ্চয়ই//চিনে নিল//প্রত্যেক//(গোত্রের) মানুষ//তাদের পানি পানের স্থান//''(বলা হল) তোমরা খাও//ও তোমরা পান করো//থেকে//জীবিকা//আল্লাহ্‌র (দেয়া)//এবং না//তোমরা বিপর্যয় সৃষ্টি করো//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টিকারী হয়ে''"
            },
            {
              "number": 68,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/68.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/68.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/68.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/68.mp3"
              ],
              "text": "وَإِذْ قُلْتُمْ يَٰمُوسَىٰ لَن نَّصْبِرَ عَلَىٰ طَعَامٍۢ وَٰحِدٍۢ فَٱدْعُ لَنَا رَبَّكَ يُخْرِجْ لَنَا مِمَّا تُنۢبِتُ ٱلْأَرْضُ مِنۢ بَقْلِهَا وَقِثَّآئِهَا وَفُومِهَا وَعَدَسِهَا وَبَصَلِهَا ۖ قَالَ أَتَسْتَبْدِلُونَ ٱلَّذِى هُوَ أَدْنَىٰ بِٱلَّذِى هُوَ خَيْرٌ ۚ ٱهْبِطُوا۟ مِصْرًۭا فَإِنَّ لَكُم مَّا سَأَلْتُمْ ۗ وَضُرِبَتْ عَلَيْهِمُ ٱلذِّلَّةُ وَٱلْمَسْكَنَةُ وَبَآءُو بِغَضَبٍۢ مِّنَ ٱللَّهِ ۗ ذَٰلِكَ بِأَنَّهُمْ كَانُوا۟ يَكْفُرُونَ بِـَٔايَٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلنَّبِيِّۦنَ بِغَيْرِ ٱلْحَقِّ ۗ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ",
              "translate_bn": "আর তোমরা যখন বললে, হে মূসা, আমরা একই ধরনের খাদ্য-দ্রব্যে কখনও ধৈর্য্যধারণ করব না। কাজেই তুমি তোমার পালনকর্তার নিকট আমাদের পক্ষে প্রার্থনা কর, তিনি যেন আমাদের জন্যে এমন বস্তুসামগ্রী দান করেন যা জমিতে উৎপন্ন হয়, তরকারী, কাকড়ী, গম, মসুরি, পেঁয়াজ প্রভৃতি। মূসা (আঃ) বললেন, তোমরা কি এমন বস্তু নিতে চাও যা নিকৃষ্ট সে বস্তুর পরিবর্তে যা উত্তম? তোমরা কোন নগরীতে উপনীত হও, তাহলেই পাবে যা তোমরা কামনা করছ। আর তাদের উপর আরোপ করা হল লাঞ্ছনা ও পরমুখাপেক্ষিতা। তারা আল্লাহর রোষানলে পতিত হয়ে ঘুরতে থাকল। এমন হলো এ জন্য যে, তারা আল্লাহর বিধি বিধান মানতো না এবং নবীগনকে অন্যায়ভাবে হত্যা করত। তার কারণ, তারা ছিল নাফরমান সীমালংঘকারী।",
              "numberInSurah": 61,
              "juz": 1,
              "manzil": 1,
              "page": 9,
              "ruku": 8,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলতুম ইয়া-মূছা-লান নাসবিরা ‘আলা- তা‘আ-মিওঁ ওয়া-হিদিন ফাদ‘উলানারাব্বাকা ইউখরিজলানা- মিম্মা-তুমবিতুল আরদুমিম বাকলিহা- ওয়াকিছছাইহা-ওয়াফূমিহা- ওয়া‘আদাছিহা-ওয়া বাসালিহা-; কা-লা আতাছতাবদিলূনাল্লাযী হুওয়া আদনাবিল্লাযী হুওয়া খাইরুন ইহবিতূমিসরান ফাইন্না লাকুম মা- ছাআলতুম ওয়া দুরিবাত ‘আলাইহিমুযযিল্লাতু ওয়ালমাছকানাতু ওয়াবাউ বিগাদাবিম মিনাল্লা-হি যা-লিকা বিআন্নাহুম কা-নূইয়াকফুরূনা বিআ-য়া-তিল্লা-হি ওয়া ইয়াকতুলূনান্নাবিইঈনা বিগাইরিল হাক্কিযা-লিকা বিমা-‘আসাও ওয়া কা-নূইয়া‘তাদূ ন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْتُمْ/قُلۡتُمۡ/qul'tum//یٰمُوْسٰی/يَٰمُوسَىٰ/yamusa//لَنْ/لَن/lan//نَّصْبِرَ/نَّصۡبِرَ/nasbira//عَلٰی/عَلَىٰ/ala//طَعَامٍ/طَعَامٖ/ta'amin//وَّاحِدٍ/وَٰحِدٖ/wahidin//فَادْعُ/فَٱدۡعُ/fa-ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//یُخْرِجْ/يُخۡرِجۡ/yukh'rij//لَنَا/لَنَا/lana//مِمَّا/مِمَّا/mimma//تُنْۢبِتُ/تُنۢبِتُ/tunbitu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//مِنْۢ/مِنۢ/min//بَقْلِهَا/بَقۡلِهَا/baqliha//وَ قِثَّآىِٕهَا/وَقِثَّآئِهَا/waqithaiha//وَ فُوْمِهَا/وَفُومِهَا/wafumiha//وَ عَدَسِهَا/وَعَدَسِهَا/wa'adasiha//وَ بَصَلِهَا ؕ/وَبَصَلِهَاۖ/wabasaliha//قَالَ/قَالَ/qala//اَتَسْتَبْدِلُوْنَ/أَتَسۡتَبۡدِلُونَ/atastabdiluna//الَّذِیْ/ٱلَّذِي/alladhi//هُوَ/هُوَ/huwa//اَدْنٰی/أَدۡنَىٰ/adna//بِالَّذِیْ/بِٱلَّذِي/bi-alladhi//هُوَ/هُوَ/huwa//خَیْرٌ ؕ/خَيۡرٌۚ/khayrun//اِهْبِطُوْا/ٱهۡبِطُواْ/ih'bitu//مِصْرًا/مِصۡرٗا/mis'ran//فَاِنَّ/فَإِنَّ/fa-inna//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//سَاَلْتُمْ ؕ/سَأَلۡتُمۡۗ/sa-altum//وَ ضُرِبَتْ/وَضُرِبَتۡ/waduribat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الذِّلَّةُ/ٱلذِّلَّةُ/al-dhilatu//وَ الْمَسْكَنَةُ ۗ/وَٱلۡمَسۡكَنَةُ/wal-maskanatu//وَ بَآءُوْ/وَبَآءُو/wabau//بِغَضَبٍ/بِغَضَبٖ/bighadabin//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَانُوْا/كَانُواْ/kanu//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَقْتُلُوْنَ/وَيَقۡتُلُونَ/wayaqtuluna//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//عَصَوْا/عَصَواْ/asaw//وَّ كَانُوْا/وَّكَانُواْ/wakanu//یَعْتَدُوْنَ ۠/يَعۡتَدُونَ/ya'taduna",
              "words_bangla": "এবং (স্মরণ করো)//বলেছিলে তোমরা//''হে মুসা//কখনও না//আমরা ধৈর্য ধরতে পারব//উপর//খানার//একই (ধরণের)//তাই দুআ করো//আমাদের জন্য//তোমার রবের কাছে//(যেন) বের করেন তিনি//আমাদের জন্য//তাহতে যা//উৎপাদন করে//মাটি//অর্থাৎ//তার শাকসবজি//ও তার শশা কাকুড়//ও তার গম (বা রসুন)//ও তার মুশুর ডাল//ও তার পেয়াজ (ইত্যাদি)''//তিনি বললেন//''কি তোমরা পরিবর্তন করতে চাও//তাই//যা//নগণ্য জিনিষ//সেটার পরিবর্তে//যা//উত্তম//(তাহলে) তোমরা নামো//(কোনো) শহরে//অতঃপর নিশ্চয়ই//তোমাদের জন্য (পাবে)//যা//তোমরা চেয়েছ''//এবং আপতিত হলো//তাদের উপর//অপমান//ও অনটন//এবং পরিবেষ্টিত হল তারা//রাগের//পক্ষ হতে//আল্লাহ্‌র//এটা//এ কারণে যে তারা//তারা ছিল//অস্বীকার করতে//আয়াতগুলোর প্রতি//আল্লাহ্‌র//ও তারা হত্যা করছিল//নবীদেরকে//ব্যাতীত//ন্যায়ভাবে//এটা//একারণে যে//তারা অবাধ্যতা করেছিল//এবং করে//তারা সীমালঙ্ঘন"
            },
            {
              "number": 69,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/69.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/69.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/69.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/69.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلنَّصَٰرَىٰ وَٱلصَّٰبِـِٔينَ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَعَمِلَ صَٰلِحًۭا فَلَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "নিঃসন্দেহে যারা মুসলমান হয়েছে এবং যারা ইহুদী, নাসারা ও সাবেঈন, (তাদের মধ্য থেকে) যারা ঈমান এনেছে আল্লাহর প্রতি ও কিয়ামত দিবসের প্রতি এবং সৎকাজ করেছে, তাদের জন্য রয়েছে তার সওয়াব তাদের পালনকর্তার কাছে। আর তাদের কোনই ভয়-ভীতি নেই, তারা দুঃখিতও হবে না।",
              "numberInSurah": 62,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়াল্লাযীনা হা-দূওয়ান্নাসা-রা- ওয়াসসা-বিঈনা মান আ-মানা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া‘আমিলা সা-লিহান ফালাহুম আজরুহুম ‘ইনদা রাব্বিহিম ওয়ালা- খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَادُوْا/هَادُواْ/hadu//وَ النَّصٰرٰی/وَٱلنَّصَٰرَىٰ/wal-nasara//وَ الصّٰبِـِٕیْنَ/وَٱلصَّـٰبِـِٔينَ/wal-sabiina//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَلِحًا/صَٰلِحٗا/salihan//فَلَهُمْ/فَلَهُمۡ/falahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ ۪ۚ/رَبِّهِمۡ/rabbihim//وَ لَا/وَلَا/wala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//কিংবা যারা//ইহুদী হয়েছে//এবং খ্রিষ্টান//ও সাবী//যে (কেউ)//ঈমান আনবে//আল্লাহ্‌র উপর//ও দিনে//আখিরাতের//এবং কাজ করবে//সৎ//ফলে তাদের জন্য//তাদের পুরস্কার (থাকবে)//কাছে//তাদের রবের//এবং না//ভয় (থাকবে)//তাদের জন্য//আর না//তারা//দুঃখিত হবে"
            },
            {
              "number": 70,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/70.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/70.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/70.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/70.mp3"
              ],
              "text": "وَإِذْ أَخَذْنَا مِيثَٰقَكُمْ وَرَفَعْنَا فَوْقَكُمُ ٱلطُّورَ خُذُوا۟ مَآ ءَاتَيْنَٰكُم بِقُوَّةٍۢ وَٱذْكُرُوا۟ مَا فِيهِ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "আর আমি যখন তোমাদের কাছ থেকে অঙ্গীকার নিয়েছিলাম এবং তুর পর্বতকে তোমাদের মাথার উপর তুলে ধরেছিলাম এই বলে যে, তোমাদিগকে যে কিতাব দেয়া হয়েছে তাকে ধর সুদৃঢ়ভাবে এবং এতে যা কিছু রয়েছে তা মনে রেখো যাতে তোমরা ভয় কর।",
              "numberInSurah": 63,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআখাযনা-মীছা-কাকুম ওয়া রাফা‘না-ফাওকাকুমুত্তূরা; খুযূমাআ-তাইনা-কুম বিকুওওয়াতিওঁ ওয়াযকুরূমা-ফীহি লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَكُمْ/مِيثَٰقَكُمۡ/mithaqakum//وَ رَفَعْنَا/وَرَفَعۡنَا/warafa'na//فَوْقَكُمُ/فَوۡقَكُمُ/fawqakumu//الطُّوْرَ ؕ/ٱلطُّورَ/al-tura//خُذُوْا/خُذُواْ/khudhu//مَاۤ/مَآ/ma//اٰتَیْنٰكُمْ/ءَاتَيۡنَٰكُم/ataynakum//بِقُوَّةٍ/بِقُوَّةٖ/biquwwatin//وَّ اذْكُرُوْا/وَٱذۡكُرُواْ/wa-udh'kuru//مَا/مَا/ma//فِیْهِ/فِيهِ/fihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা গ্রহণ করেছিলাম//তোমাদের প্রতিশ্রুতি//এবং আমরা উঠিয়ে নিয়েছিলাম//তোমাদের উপর//তুর পাহাড়//''(আর বলেছিলাম)তোমরা গ্রহণ করো//যা//তোমাদেরকে আমরা দিয়েছি//শক্তভাবে//এবং তোমরা স্মরণ রাখো//(তা)যা//তার মধ্যে(আছে)//তোমরা যাতে//তাকওয়া অবলম্বন করতে পার''"
            },
            {
              "number": 71,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/71.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/71.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/71.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/71.mp3"
              ],
              "text": "ثُمَّ تَوَلَّيْتُم مِّنۢ بَعْدِ ذَٰلِكَ ۖ فَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ لَكُنتُم مِّنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "তারপরেও তোমরা তা থেকে ফিরে গেছ। কাজেই আল্লাহর অনুগ্রহ ও মেহেরবানী যদি তোমাদের উপর না থাকত, তবে অবশ্যই তোমরা ধবংস হয়ে যেতে।",
              "numberInSurah": 64,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা তাওয়াল্লাইতুম মিম বা‘দি যা-লিকা, ফালাও লা-ফাদলুল্লা-হি ‘আলাইকুম ওয়া রাহমাতুহূ লাকুনতুম মিনাল খা-ছিরীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//تَوَلَّیْتُمْ/تَوَلَّيۡتُم/tawallaytum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ ۚ/ذَٰلِكَۖ/dhalika//فَلَوْ لَا/فَلَوۡلَا/falawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//لَكُنْتُمْ/لَكُنتُم/lakuntum//مِّنَ/مِّنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "আবার//তোমরা ফিরে গিয়েছিলে//(থেকে)//পর থেকে//এর//যদি তাই না (হতো)//অনুগ্রহ//আল্লাহ্‌র//তোমাদের উপর//ও তার দয়া//তোমরা অবশ্যই হতে//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 72,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/72.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/72.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/72.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/72.mp3"
              ],
              "text": "وَلَقَدْ عَلِمْتُمُ ٱلَّذِينَ ٱعْتَدَوْا۟ مِنكُمْ فِى ٱلسَّبْتِ فَقُلْنَا لَهُمْ كُونُوا۟ قِرَدَةً خَٰسِـِٔينَ",
              "translate_bn": "তোমরা তাদেরকে ভালরূপে জেনেছ, যারা শনিবারের ব্যাপারে সীমা লঙ্ঘণ করেছিল। আমি বলেছিলামঃ তোমরা লাঞ্ছিত বানর হয়ে যাও।",
              "numberInSurah": 65,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ‘আলিমতুমুল্লাযীনা‘তাদাও মিনকুম ফিছছাবতি ফাকুলনা-লাহুম কূনূকিরাদাতান খা-ছিঈন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//عَلِمْتُمُ/عَلِمۡتُمُ/alim'tumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اعْتَدَوْا/ٱعۡتَدَوۡاْ/i'tadaw//مِنْكُمْ/مِنكُمۡ/minkum//فِی/فِي/fi//السَّبْتِ/ٱلسَّبۡتِ/al-sabti//فَقُلْنَا/فَقُلۡنَا/faqul'na//لَهُمْ/لَهُمۡ/lahum//كُوْنُوْا/كُونُواْ/kunu//قِرَدَةً/قِرَدَةً/qiradatan//خٰسِـِٕیْنَ ۚ/خَٰسِـِٔينَ/khasiina",
              "words_bangla": "এবং নিশ্চয়ই//তোমরা জেনেছো//তাদেরকে যারা//সীমালঙ্ঘন করেছিল//তোমাদের মধ্য হতে//সম্পর্কে//শনিবারের (বিধান)//আমরা তখন বলেছিলাম//তাদের//''তোমরা হও//বানর//ঘৃণিত''"
            },
            {
              "number": 73,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/73.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/73.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/73.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/73.mp3"
              ],
              "text": "فَجَعَلْنَٰهَا نَكَٰلًۭا لِّمَا بَيْنَ يَدَيْهَا وَمَا خَلْفَهَا وَمَوْعِظَةًۭ لِّلْمُتَّقِينَ",
              "translate_bn": "অতঃপর আমি এ ঘটনাকে তাদের সমসাময়িক ও পরবর্তীদের জন্য দৃষ্টান্ত এবং আল্লাহভীরুদের জন্য উপদেশ গ্রহণের উপাদান করে দিয়েছি।",
              "numberInSurah": 66,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলনা-হা-নাকা-লালিলমা-বাইনাইয়াদাইহা-ওয়ামা-খালফাহা ওয়ামাও‘ইজাতালিললমুত্তাকীন।",
              "words_arabic": "فَجَعَلْنٰهَا/فَجَعَلۡنَٰهَا/faja'alnaha//نَكَالًا/نَكَٰلٗا/nakalan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهَا/يَدَيۡهَا/yadayha//وَ مَا/وَمَا/wama//خَلْفَهَا/خَلۡفَهَا/khalfaha//وَ مَوْعِظَةً/وَمَوۡعِظَةٗ/wamaw'izatan//لِّلْمُتَّقِیْنَ /لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "আমরা এরপর এটাকে বানিয়েছি//(শিক্ষামূলক) শাস্তি//তাদের জন্য যারা (ছিল)//আগে(মাঝে)//তার(হাতের)//ও যারা (ছিল)//তারপরে//এবং উপদেশ//মুত্তাকীদের জন্য"
            },
            {
              "number": 74,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/74.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/74.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/74.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/74.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦٓ إِنَّ ٱللَّهَ يَأْمُرُكُمْ أَن تَذْبَحُوا۟ بَقَرَةًۭ ۖ قَالُوٓا۟ أَتَتَّخِذُنَا هُزُوًۭا ۖ قَالَ أَعُوذُ بِٱللَّهِ أَنْ أَكُونَ مِنَ ٱلْجَٰهِلِينَ",
              "translate_bn": "যখন মূসা (আঃ) স্বীয় সম্প্রদায়কে বললেনঃ আল্লাহ তোমাদের একটি গরু জবাই করতে বলেছেন। তারা বলল, তুমি কি আমাদের সাথে উপহাস করছ? মূসা (আঃ) বললেন, মূর্খদের অন্তর্ভুক্ত হওয়া থেকে আমি আল্লাহর আশ্রয় প্রার্থনা করছি।",
              "numberInSurah": 67,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা মূছা- লিকাওমিহী ইন্নাল্লা-হা ইয়া’মুরূকুম আন তাযবাহুবাকারাতান কা-লূআতাত্তাখিযুনা হুঝুওয়ান কা-লা আ‘ঊযুবিল্লা-হি আন আকূনা মিনাল জা-হিলীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهٖۤ/لِقَوۡمِهِۦٓ/liqawmihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَاْمُرُكُمْ/يَأۡمُرُكُمۡ/yamurukum//اَنْ/أَن/an//تَذْبَحُوْا/تَذۡبَحُواْ/tadhbahu//بَقَرَةً ؕ/بَقَرَةٗۖ/baqaratan//قَالُوْۤا/قَالُوٓاْ/qalu//اَتَتَّخِذُنَا/أَتَتَّخِذُنَا/atattakhidhuna//هُزُوًا ؕ/هُزُوٗاۖ/huzuwan//قَالَ/قَالَ/qala//اَعُوْذُ/أَعُوذُ/a'udhu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//مِنَ/مِنَ/mina//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "এবং (স্মরণ কর) যখন//বলেছিল//মুসা//তার জাতির উদ্দেশে//''নিশ্চয়ই//আল্লাহ্‌//তোমাদের নির্দেশ দিচ্ছেন//যে//তোমরা জবাই কর//একটি গাভীকে''//তারা বলেছিল//''আমাদের তুমি গ্রহণ করেছ কি//বিদ্রুপের (বস্তু) হিসেবে''//সে বলল//''আমি আশ্রয় চাই//আল্লাহ্‌র কাছে//যে//আমি হব//অন্তর্ভুক্ত//মূর্খদের''"
            },
            {
              "number": 75,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/75.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/75.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/75.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/75.mp3"
              ],
              "text": "قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا هِىَ ۚ قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌۭ لَّا فَارِضٌۭ وَلَا بِكْرٌ عَوَانٌۢ بَيْنَ ذَٰلِكَ ۖ فَٱفْعَلُوا۟ مَا تُؤْمَرُونَ",
              "translate_bn": "তারা বলল, তুমি তোমার পালনকর্তার কাছে আমাদের জন্য প্রার্থনা কর, যেন সেটির রূপ বিশ্লেষণ করা হয়। মূসা (আঃ) বললেন, তিনি বলছেন, সেটা হবে একটা গাভী, যা বৃদ্ধ নয় এবং কুমারীও নয়-বার্ধক্য ও যৌবনের মাঝামাঝি বয়সের। এখন আদিষ্ট কাজ করে ফেল।",
              "numberInSurah": 68,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "কা-লুদ‘উলানা- রাব্বাকা ইউবাইয়িল্লানা- মা-হিয়া কা-লা ইন্নাহূ ইয়াকূলুইন্নাহাবাকারাতুল লা-ফা-রিদুওঁ ওয়ালা-বিকরুন ‘আওয়া-নুম বাইনা যা-লিকা ফাফ‘আলূ মা-তু’মারূন।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//ادْعُ/ٱدۡعُ/ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//یُبَیِّنْ/يُبَيِّن/yubayyin//لَّنَا/لَّنَا/lana//مَا/مَا/ma//هِیَ ؕ/هِيَۚ/hiya//قَالَ/قَالَ/qala//اِنَّهٗ/إِنَّهُۥ/innahu//یَقُوْلُ/يَقُولُ/yaqulu//اِنَّهَا/إِنَّهَا/innaha//بَقَرَةٌ/بَقَرَةٞ/baqaratun//لَّا/لَّا/la//فَارِضٌ/فَارِضٞ/faridun//وَّ لَا/وَلَا/wala//بِكْرٌ ؕ/بِكۡرٌ/bik'run//عَوَانٌۢ/عَوَانُۢ/awanun//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ ؕ/ذَٰلِكَۖ/dhalika//فَافْعَلُوْا/فَٱفۡعَلُواْ/fa-if'alu//مَا/مَا/ma//تُؤْمَرُوْنَ /تُؤۡمَرُونَ/tu'maruna",
              "words_bangla": "তারা বলেছিল//''দোয়া করো//আমাদের জন্য//তোমার রবের কাছে (যেন)//তিনি বর্ননা করেন//আমাদের জন্য//কেমন//সেটা''//সে বলল//''তিনি নিশ্চয়ই//বলেন//''তা নিশ্চয়ই//একটি গাভী//না//বুড়ো//আর না//বাচ্চা//মধ্যম বয়সের//মাঝামাঝি//এর''//অতএব তোমরা করো//যা//তোমাদেরকে নির্দেশ দেওয়া হয়েছে''"
            },
            {
              "number": 76,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/76.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/76.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/76.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/76.mp3"
              ],
              "text": "قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا لَوْنُهَا ۚ قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌۭ صَفْرَآءُ فَاقِعٌۭ لَّوْنُهَا تَسُرُّ ٱلنَّٰظِرِينَ",
              "translate_bn": "তারা বলল, তোমার পালনকর্তার কাছে আমাদের জন্য প্রার্থনা কর যে, তার রঙ কিরূপ হবে? মূসা (আঃ) বললেন, তিনি বলেছেন যে, গাঢ় পীতবর্ণের গাভী-যা দর্শকদের চমৎকৃত করবে।",
              "numberInSurah": 69,
              "juz": 1,
              "manzil": 1,
              "page": 10,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "কালুদ‘উ লানা- রাব্বাকা ইউবাইয়িল্লানা-মা-লাওনুহা- কা-লা ইন্নাহূ ইয়াকূলুইন্নাহাবাকারাতুন সাফরাউ ফা-কি‘উল্লাওনুহা- তাছুররুন্না-জিরীন।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//ادْعُ/ٱدۡعُ/ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//یُبَیِّنْ/يُبَيِّن/yubayyin//لَّنَا/لَّنَا/lana//مَا/مَا/ma//لَوْنُهَا ؕ/لَوۡنُهَاۚ/lawnuha//قَالَ/قَالَ/qala//اِنَّهٗ/إِنَّهُۥ/innahu//یَقُوْلُ/يَقُولُ/yaqulu//اِنَّهَا/إِنَّهَا/innaha//بَقَرَةٌ/بَقَرَةٞ/baqaratun//صَفْرَآءُ ۙ/صَفۡرَآءُ/safrau//فَاقِعٌ/فَاقِعٞ/faqi'un//لَّوْنُهَا/لَّوۡنُهَا/lawnuha//تَسُرُّ/تَسُرُّ/tasurru//النّٰظِرِیْنَ /ٱلنَّـٰظِرِينَ/al-nazirina",
              "words_bangla": "তারা বলেছিল//''দোয়া করো//আমাদের জন্য//তোমার রবের কাছে//তিনি বর্ণনা করেন (যেন)//আমাদের জন্য//কী হবে//তার রং''//সে বলল//''তিনি নিশ্চয়ই//বলেন//তা নিশ্চয়ই//গাভী//হলুদ রঙের//উজ্জল গাড়//তার রং//আনন্দদেয়//দর্শকদের জন্য"
            },
            {
              "number": 77,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/77.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/77.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/77.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/77.mp3"
              ],
              "text": "قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا هِىَ إِنَّ ٱلْبَقَرَ تَشَٰبَهَ عَلَيْنَا وَإِنَّآ إِن شَآءَ ٱللَّهُ لَمُهْتَدُونَ",
              "translate_bn": "তারা বলল, আপনি প্রভুর কাছে প্রার্থনা করুন-তিনি বলে দিন যে, সেটা কিরূপ? কেননা, গরু আমাদের কাছে সাদৃশ্যশীল মনে হয়। ইনশাআল্লাহ এবার আমরা অবশ্যই পথপ্রাপ্ত হব। মূসা (আঃ) বললেন, তিনি বলেন যে, এ গাভী ভূকর্ষণ ও জল সেচনের শ্রমে অভ্যস্ত নয়-হবে নিষ্কলঙ্ক, নিখুঁত।",
              "numberInSurah": 70,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "কা-লুদ‘উলানা-রাববকা ইউবাইয়িল্লানা- মা-হিয়া ইন্নাল বাকারা তাশা-বাহা ‘আলাইনা-ওয়া ইন্না ইনশাআল্লা-হু লামুহতাদূ ন।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//ادْعُ/ٱدۡعُ/ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//یُبَیِّنْ/يُبَيِّن/yubayyin//لَّنَا/لَّنَا/lana//مَا/مَا/ma//هِیَ ۙ/هِيَ/hiya//اِنَّ/إِنَّ/inna//الْبَقَرَ/ٱلۡبَقَرَ/al-baqara//تَشٰبَهَ/تَشَٰبَهَ/tashabaha//عَلَیْنَا ؕ/عَلَيۡنَا/alayna//وَ اِنَّاۤ/وَإِنَّآ/wa-inna//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَمُهْتَدُوْنَ /لَمُهۡتَدُونَ/lamuh'taduna",
              "words_bangla": "তারা বলেছিল//''তুমি দোয়া করো//আমদের জন্য//তোমার রবের কাছে//তিনি বর্ণনা করেন (যেন)//আমাদের জন্য//কেমন//তা//নিশ্চয়ই//গাভীটি//একই রকম//আমাদের কাছে//এবং নিশ্চয়ই আমরা//যদি//চান//আল্লাহ্‌//অবশ্যই সঠিক জ্ঞান প্রাপ্ত হব''"
            },
            {
              "number": 78,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/78.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/78.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/78.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/78.mp3"
              ],
              "text": "قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌۭ لَّا ذَلُولٌۭ تُثِيرُ ٱلْأَرْضَ وَلَا تَسْقِى ٱلْحَرْثَ مُسَلَّمَةٌۭ لَّا شِيَةَ فِيهَا ۚ قَالُوا۟ ٱلْـَٰٔنَ جِئْتَ بِٱلْحَقِّ ۚ فَذَبَحُوهَا وَمَا كَادُوا۟ يَفْعَلُونَ",
              "translate_bn": "তারা বলল, এবার সঠিক তথ্য এনেছ। অতঃপর তারা সেটা জবাই করল, অথচ জবাই করবে বলে মনে হচ্ছিল না।",
              "numberInSurah": 71,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 9,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নাহূ, ইয়াকূলুইন্নাহা-বাকারাতুল্লা- যালূলুন তুছীরুল আরদা ওয়ালা-তাছকিল হারছা মুছাল্লামাতুল লা-শিয়াতা ফীহা- কা-লুল আ-না জি’তা বিলহাক্কি ফাযাবাহুহা-ওয়ামা-কা-দূইয়াফ‘আলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّهٗ/إِنَّهُۥ/innahu//یَقُوْلُ/يَقُولُ/yaqulu//اِنَّهَا/إِنَّهَا/innaha//بَقَرَةٌ/بَقَرَةٞ/baqaratun//لَّا/لَّا/la//ذَلُوْلٌ/ذَلُولٞ/dhalulun//تُثِیْرُ/تُثِيرُ/tuthiru//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ لَا/وَلَا/wala//تَسْقِی/تَسۡقِي/tasqi//الْحَرْثَ ۚ/ٱلۡحَرۡثَ/al-hartha//مُسَلَّمَةٌ/مُسَلَّمَةٞ/musallamatun//لَّا/لَّا/la//شِیَةَ/شِيَةَ/shiyata//فِیْهَا ؕ/فِيهَاۚ/fiha//قَالُوا/قَالُواْ/qalu//الْـٰٔنَ/ٱلۡـَٰٔنَ/al-ana//جِئْتَ/جِئۡتَ/ji'ta//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//فَذَبَحُوْهَا/فَذَبَحُوهَا/fadhabahuha//وَ مَا/وَمَا/wama//كَادُوْا/كَادُواْ/kadu//یَفْعَلُوْنَ ۠/يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "(মূসা) বলল//''তিনি নিশ্চয়ই//বলেন//''তা নিশ্চয়ই//একটি গাভী//না//লাগান হয়েছে//চাষে//জমি//আর না//সেচ করেছে//ক্ষেতে//সুস্থ্য//নেই//কোনো খুঁত//তার মধ্যে''//তারা বলেছিল//''এখন//তুমি এনেছ (বর্ণনা)//সঠিক তথ্য নিয়ে''//তারা জবাই করল তখন তা//এবং না//আগ্রহী ছিল//তারা করতে"
            },
            {
              "number": 79,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/79.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/79.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/79.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/79.mp3"
              ],
              "text": "وَإِذْ قَتَلْتُمْ نَفْسًۭا فَٱدَّٰرَْٰٔتُمْ فِيهَا ۖ وَٱللَّهُ مُخْرِجٌۭ مَّا كُنتُمْ تَكْتُمُونَ",
              "translate_bn": "যখন তোমরা একজনকে হত্যা করে পরে সে সম্পর্কে একে অপরকে অভিযুক্ত করেছিলে। যা তোমরা গোপন করছিলে, তা প্রকাশ করে দেয়া ছিল আল্লাহর অভিপ্রায়।",
              "numberInSurah": 72,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 10,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকাতালতুম নাফছান ফাদ্দা-রা’তুম ফীহা- ওয়াল্লা-হু মুখরিজুম মা-কুনতুম তাকতুমূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَتَلْتُمْ/قَتَلۡتُمۡ/qataltum//نَفْسًا/نَفۡسٗا/nafsan//فَادّٰرَءْتُمْ/فَٱدَّـٰرَٰٔتُمۡ/fa-iddaratum//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مُخْرِجٌ/مُخۡرِجٞ/mukh'rijun//مَّا/مَّا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْتُمُوْنَ ۚ/تَكۡتُمُونَ/taktumuna",
              "words_bangla": "এবং (স্মরণ করো) যখন//তোমরা হত্যা করেছিলে//এক ব্যক্তিকে//তোমরা অতঃপর একে অন্যের ওপর দোষ চাপাচ্ছিলে//সে ব্যাপারে//এবং আল্লাহ্‌//প্রকাশকারী//যা//(আপনি)//তোমরা গোপন করছিলে"
            },
            {
              "number": 80,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/80.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/80.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/80.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/80.mp3"
              ],
              "text": "فَقُلْنَا ٱضْرِبُوهُ بِبَعْضِهَا ۚ كَذَٰلِكَ يُحْىِ ٱللَّهُ ٱلْمَوْتَىٰ وَيُرِيكُمْ ءَايَٰتِهِۦ لَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "অতঃপর আমি বললামঃ গরুর একটি খন্ড দ্বারা মৃতকে আঘাত কর। এভাবে আল্লাহ মৃতকে জীবিত করেন এবং তোমাদেরকে তাঁর নিদর্শণ সমূহ প্রদর্শন করেন-যাতে তোমরা চিন্তা কর।",
              "numberInSurah": 73,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 10,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ফাকুলনাদরিবূহু ব্বিা‘দিহা- কাযা-লিকা ইউহইল্লা-হুল মাওতা- ওয়া ইউরীকুম আ-য়া-তিহী লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "فَقُلْنَا/فَقُلۡنَا/faqul'na//اضْرِبُوْهُ/ٱضۡرِبُوهُ/id'ribuhu//بِبَعْضِهَا ؕ/بِبَعۡضِهَاۚ/biba'diha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُحْیِ/يُحۡيِ/yuh'yi//اللّٰهُ/ٱللَّهُ/al-lahu//الْمَوْتٰی ۙ/ٱلۡمَوۡتَىٰ/al-mawta//وَ یُرِیْكُمْ/وَيُرِيكُمۡ/wayurikum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "আমরা তখন বলেছিলাম//''তাকে তোমরা আঘাত কর//তার কিছু অংশ দিয়ে (এবং সে বেঁচে উঠল)''//এভাবে//জীবিত করেন//আল্লাহ্‌//মৃতকে//এবং তোমাদের দেখান//তাঁর নিদর্শনগুলোকে//তোমরা যাতে//বুঝতে পার"
            },
            {
              "number": 81,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/81.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/81.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/81.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/81.mp3"
              ],
              "text": "ثُمَّ قَسَتْ قُلُوبُكُم مِّنۢ بَعْدِ ذَٰلِكَ فَهِىَ كَٱلْحِجَارَةِ أَوْ أَشَدُّ قَسْوَةًۭ ۚ وَإِنَّ مِنَ ٱلْحِجَارَةِ لَمَا يَتَفَجَّرُ مِنْهُ ٱلْأَنْهَٰرُ ۚ وَإِنَّ مِنْهَا لَمَا يَشَّقَّقُ فَيَخْرُجُ مِنْهُ ٱلْمَآءُ ۚ وَإِنَّ مِنْهَا لَمَا يَهْبِطُ مِنْ خَشْيَةِ ٱللَّهِ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "অতঃপর এ ঘটনার পরে তোমাদের অন্তর কঠিন হয়ে গেছে। তা পাথরের মত অথবা তদপেক্ষাও কঠিন। পাথরের মধ্যে এমন ও আছে; যা থেকে ঝরণা প্রবাহিত হয়, এমনও আছে, যা বিদীর্ণ হয়, অতঃপর তা থেকে পানি নির্গত হয় এবং এমনও আছে, যা আল্লাহর ভয়ে খসেপড়তে থাকে! আল্লাহ তোমাদের কাজকর্ম সম্পর্কে বে-খবর নন।",
              "numberInSurah": 74,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 10,
              "hizbQuarter": 4,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কাছাত কুলূবুকুম মিম বা‘দি যা-লিকা ফাহিয়া কাল হিজা-রাতি আও আশাদ্দু কাছওয়াতাওঁ ওয়াইন্না মিনাল হিজা-রাতি লামা-ইয়াতাফাজ্জারু মিনহুল আনহা-রু ওয়াইন্না মিনহা-লামা-ইয়াশশাক্কাকু ফাইয়াখরুজুমিনহুল মাউ ওয়া ইন্না মিনহা-লামা-ইয়াহবিতুমিন খাশইয়াতিল্লা-হি ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قَسَتْ/قَسَتۡ/qasat//قُلُوْبُكُمْ/قُلُوبُكُم/qulubukum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//فَهِیَ/فَهِيَ/fahiya//كَالْحِجَارَةِ/كَٱلۡحِجَارَةِ/kal-hijarati//اَوْ/أَوۡ/aw//اَشَدُّ/أَشَدُّ/ashaddu//قَسْوَةً ؕ/قَسۡوَةٗۚ/qaswatan//وَ اِنَّ/وَإِنَّ/wa-inna//مِنَ/مِنَ/mina//الْحِجَارَةِ/ٱلۡحِجَارَةِ/al-hijarati//لَمَا/لَمَا/lama//یَتَفَجَّرُ/يَتَفَجَّرُ/yatafajjaru//مِنْهُ/مِنۡهُ/min'hu//الْاَنْهٰرُ ؕ/ٱلۡأَنۡهَٰرُۚ/al-anharu//وَ اِنَّ/وَإِنَّ/wa-inna//مِنْهَا/مِنۡهَا/min'ha//لَمَا/لَمَا/lama//یَشَّقَّقُ/يَشَّقَّقُ/yashaqqaqu//فَیَخْرُجُ/فَيَخۡرُجُ/fayakhruju//مِنْهُ/مِنۡهُ/min'hu//الْمَآءُ ؕ/ٱلۡمَآءُۚ/al-mau//وَ اِنَّ/وَإِنَّ/wa-inna//مِنْهَا/مِنۡهَا/min'ha//لَمَا/لَمَا/lama//یَهْبِطُ/يَهۡبِطُ/yahbitu//مِنْ/مِنۡ/min//خَشْیَةِ/خَشۡيَةِ/khashyati//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "পরে//কঠিন হয়ে গেল//তোমাদের অন্তরগুলো//থেকে//পরে//এর//তা অতঃপর (হয়ে গেল)//মতো পাথরে//অথবা (তার চেয়েও)//অধিকতর//কঠিন//অথচ নিশ্চয়ই//কিছু//পাথর (এমনও আছে)//অবশ্যই যা//ফেটে বের হয়//তা হতে//ঝর্ণাধারা//এবং নিশ্চয়ই//তার কিছু (এমনও আছে)//অবশ্যই যা//ফেটে যায়//অতঃপর বের হয়//তা থেকে//পানি//এবং নিশ্চয়ই//তার কিছু (এমনও আছে)//অবশ্যই যা//ধসে পড়ে//কারণে//ভয়ের//আল্লাহ্‌র//এবং না//আল্লাহ্‌//অনবহিত//তাহতে যা//তোমরা করছো"
            },
            {
              "number": 82,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/82.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/82.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/82.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/82.mp3"
              ],
              "text": "۞ أَفَتَطْمَعُونَ أَن يُؤْمِنُوا۟ لَكُمْ وَقَدْ كَانَ فَرِيقٌۭ مِّنْهُمْ يَسْمَعُونَ كَلَٰمَ ٱللَّهِ ثُمَّ يُحَرِّفُونَهُۥ مِنۢ بَعْدِ مَا عَقَلُوهُ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "হে মুসলমানগণ, তোমরা কি আশা কর যে, তারা তোমাদের কথায় ঈমান আনবে? তাদের মধ্যে একদল ছিল, যারা আল্লাহর বাণী শ্রবণ করত; অতঃপর বুঝে-শুনে তা পরিবর্তন করে দিত এবং তারা তা অবগত ছিল।",
              "numberInSurah": 75,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "আফাতাতমা‘ঊনা আইঁ ইউ’মিনূ লাকুম ওয়া কাদ কা-না ফারীকুম মিনহুম ইয়াছমা‘ঊনা কালা-মাল্লা-হি ছুম্মা ইউহাররিফূনাহু মিম বা‘দি মা- ‘আকালূহু ওয়া হুম ইয়া‘লামূন।",
              "words_arabic": "اَفَتَطْمَعُوْنَ/۞أَفَتَطۡمَعُونَ/afatatma'una//اَنْ/أَن/an//یُّؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//لَكُمْ/لَكُمۡ/lakum//وَ قَدْ/وَقَدۡ/waqad//كَانَ/كَانَ/kana//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//كَلٰمَ/كَلَٰمَ/kalama//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//یُحَرِّفُوْنَهٗ/يُحَرِّفُونَهُۥ/yuharrifunahu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//عَقَلُوْهُ/عَقَلُوهُ/aqaluhu//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তবে কি তোমরা আশা কর//যে//তারা ঈমান আনবে//তোমাদের (দাওয়াতে)//অথচ নিশ্চয়ই//আছে//একদল//তাদের মধ্যে//(যারা) শুনে//(কালাম) বাণী//আল্লাহ্‌র//পরে//তা তারা বিকৃত করে//থেকে//এরপর//যা//তা তারা বুঝেছিল//অথচ তারা//(ভালভাবে) জানেও"
            },
            {
              "number": 83,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/83.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/83.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/83.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/83.mp3"
              ],
              "text": "وَإِذَا لَقُوا۟ ٱلَّذِينَ ءَامَنُوا۟ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَا بَعْضُهُمْ إِلَىٰ بَعْضٍۢ قَالُوٓا۟ أَتُحَدِّثُونَهُم بِمَا فَتَحَ ٱللَّهُ عَلَيْكُمْ لِيُحَآجُّوكُم بِهِۦ عِندَ رَبِّكُمْ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "যখন তারা মুসলমানদের সাথে মিলিত হয়, তখন বলেঃ আমরা মুসলমান হয়েছি। আর যখন পরস্পরের সাথে নিভৃতে অবস্থান করে, তখন বলে, পালনকর্তা তোমাদের জন্যে যা প্রকাশ করেছেন, তা কি তাদের কাছে বলে দিচ্ছ? তাহলে যে তারা এ নিয়ে পালকর্তার সামনে তোমাদেরকে মিথ্যা প্রতিপন্ন করবে। তোমরা কি তা উপলব্ধি কর না?",
              "numberInSurah": 76,
              "juz": 1,
              "manzil": 1,
              "page": 11,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-লাকুল্লাযীনা আ-মানূ কা-লুআ-মান্না- ওয়াইযা-খালা-বা‘দুহুম ইলা-বা‘দিন কা-লূ আতুহাদ্দিছূনাহুম বিমা- ফাতাহাল্লা-হু ‘আলাইকুম লিইউহাজ্জূকুম বিহী ‘ইনদারাব্বিকুম আফালা-তা‘কিলূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//لَقُوا/لَقُواْ/laqu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا ۖۚ/ءَامَنَّا/amanna//وَ اِذَا/وَإِذَا/wa-idha//خَلَا/خَلَا/khala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اِلٰی/إِلَىٰ/ila//بَعْضٍ/بَعۡضٖ/ba'din//قَالُوْۤا/قَالُوٓاْ/qalu//اَتُحَدِّثُوْنَهُمْ/أَتُحَدِّثُونَهُم/atuhaddithunahum//بِمَا/بِمَا/bima//فَتَحَ/فَتَحَ/fataha//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لِیُحَآجُّوْكُمْ/لِيُحَآجُّوكُم/liyuhajjukum//بِهٖ/بِهِۦ/bihi//عِنْدَ/عِندَ/inda//رَبِّكُمْ ؕ/رَبِّكُمۡۚ/rabbikum//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এবং যখন//তারা মিলে (তাদের সাথে)//যারা//ঈমান এনেছে//তারা বলে//''আমরা ঈমান এনেছি''//এবং যখন//মিলে গোপনে//তাদের কেউ//সাথে//কারো//তারা বলে//''তাদেরকে তোমরা বলে দাও কি//ঐ বিষয়ে যা//প্রকাশ করেছেন//আল্লাহ্‌//তোমাদের কাছে//তোমাদের বিরুদ্ধে যেন প্রমাণ পেশ করতে পারে//তা দিয়ে//কাছে//তোমাদের রবের//না তবে কি?//তোমরা বুঝ''"
            },
            {
              "number": 84,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/84.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/84.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/84.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/84.mp3"
              ],
              "text": "أَوَلَا يَعْلَمُونَ أَنَّ ٱللَّهَ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ",
              "translate_bn": "তারা কি এতটুকুও জানে না যে, আল্লাহ সেসব বিষয়ও পরিজ্ঞাত যা তারা গোপন করে এবং যা প্রকাশ করে?",
              "numberInSurah": 77,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "আওয়ালা-ইয়া‘লামূনা আন্নাল্লা-হা ইয়া‘লামুমা-ইউছিররূনা ওয়ামা-ইউ‘লিনূন।",
              "words_arabic": "اَوَ لَا/أَوَلَا/awala//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یُسِرُّوْنَ/يُسِرُّونَ/yusirruna//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ /يُعۡلِنُونَ/yu'linuna",
              "words_bangla": "না কি//তারা জানে//যে//আল্লাহ্‌//জানেন//যা কিছু//তারা গোপন করে//ও যা//তারা প্রকাশ করে"
            },
            {
              "number": 85,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/85.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/85.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/85.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/85.mp3"
              ],
              "text": "وَمِنْهُمْ أُمِّيُّونَ لَا يَعْلَمُونَ ٱلْكِتَٰبَ إِلَّآ أَمَانِىَّ وَإِنْ هُمْ إِلَّا يَظُنُّونَ",
              "translate_bn": "তোমাদের কিছু লোক নিরক্ষর। তারা মিথ্যা আকাঙ্খা ছাড়া আল্লাহর গ্রন্থের কিছুই জানে না। তাদের কাছে কল্পনা ছাড়া কিছুই নেই।",
              "numberInSurah": 78,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম উম্মিইয়ূনা লা-ইয়া‘লামূনাল কিতা-বা ইল্লা আমা-নিইইয়া ওয়াইনহুম ইল্লা-ইয়াজু ন্নূন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُمۡ/wamin'hum//اُمِّیُّوْنَ/أُمِّيُّونَ/ummiyyuna//لَا/لَا/la//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//اِلَّاۤ/إِلَّآ/illa//اَمَانِیَّ/أَمَانِيَّ/amaniyya//وَ اِنْ/وَإِنۡ/wa-in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//یَظُنُّوْنَ /يَظُنُّونَ/yazunnuna",
              "words_bangla": "এবং তাদের মধ্যে কিছু (আছে)//নিরক্ষর//না//তারা জানে//কিতাব//এছাড়া//আশা আকাঙ্ক্ষা//এবং না//তারা//এছাড়া//(অমূলক) ধারণা করে"
            },
            {
              "number": 86,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/86.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/86.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/86.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/86.mp3"
              ],
              "text": "فَوَيْلٌۭ لِّلَّذِينَ يَكْتُبُونَ ٱلْكِتَٰبَ بِأَيْدِيهِمْ ثُمَّ يَقُولُونَ هَٰذَا مِنْ عِندِ ٱللَّهِ لِيَشْتَرُوا۟ بِهِۦ ثَمَنًۭا قَلِيلًۭا ۖ فَوَيْلٌۭ لَّهُم مِّمَّا كَتَبَتْ أَيْدِيهِمْ وَوَيْلٌۭ لَّهُم مِّمَّا يَكْسِبُونَ",
              "translate_bn": "অতএব তাদের জন্যে আফসোস! যারা নিজ হাতে গ্রন্থ লেখে এবং বলে, এটা আল্লাহর পক্ষ থেকে অবতীর্ণ-যাতে এর বিনিময়ে সামান্য অর্থ গ্রহণ করতে পারে। অতএব তাদের প্রতি আক্ষেপ, তাদের হাতের লেখার জন্য এবং তাদের প্রতি আক্ষেপ, তাদের উপার্জনের জন্যে।",
              "numberInSurah": 79,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াইলুল লিল্লাযীনা ইয়াকতুবূনাল কিতা-বা বিআইদীহিম ছু ম্মা ইয়াকূলূনা হা-যা-মিন ‘ইনদিল্লা-হি লিইয়াশতারূ বিহী ছামানান কালীলান ফাওয়াইলুল্লাহুম মিম্মা-কাতাবাত আইদিহিম ওয়া ওয়াইলুল্লাহুম মিম্মা-ইয়াকছিবূন।",
              "words_arabic": "فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یَكْتُبُوْنَ/يَكۡتُبُونَ/yaktubuna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِاَیْدِیْهِمْ ۗ/بِأَيۡدِيهِمۡ/bi-aydihim//ثُمَّ/ثُمَّ/thumma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//هٰذَا/هَٰذَا/hadha//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//لِیَشْتَرُوْا/لِيَشۡتَرُواْ/liyashtaru//بِهٖ/بِهِۦ/bihi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؕ/قَلِيلٗاۖ/qalilan//فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لَّهُمْ/لَّهُم/lahum//مِّمَّا/مِّمَّا/mimma//كَتَبَتْ/كَتَبَتۡ/katabat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ وَیْلٌ/وَوَيۡلٞ/wawaylun//لَّهُمْ/لَّهُم/lahum//مِّمَّا/مِّمَّا/mimma//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "অতএব দুর্ভোগ//তাদের জন্য (যারা)//লিখে//কিতাবে (অর্থাৎ শরয়ীবিধান)//তাদের হাত দিয়ে//পরে//তারা বলে//''এটা (এসেছে)//থেকে//নিকট//আল্লাহ্‌র''//(এরূপ করে) তারা কিনতে পারে//তা দিয়ে//মূল্য (অর্থাৎ স্বার্থ)//সামান্য//অতএব দুর্ভোগ//তাদের জন্য//তা হতে যা//লিখেছে//তাদের হাত//এবং দুর্ভোগ//তাদের জন্য//তা হতে যা//তারা উপার্জন করেছে"
            },
            {
              "number": 87,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/87.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/87.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/87.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/87.mp3"
              ],
              "text": "وَقَالُوا۟ لَن تَمَسَّنَا ٱلنَّارُ إِلَّآ أَيَّامًۭا مَّعْدُودَةًۭ ۚ قُلْ أَتَّخَذْتُمْ عِندَ ٱللَّهِ عَهْدًۭا فَلَن يُخْلِفَ ٱللَّهُ عَهْدَهُۥٓ ۖ أَمْ تَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তারা বলেঃ আগুন আমাদিগকে কখনও স্পর্শ করবে না; কিন্তু গণাগনতি কয়েকদিন। বলে দিনঃ তোমরা কি আল্লাহর কাছ থেকে কোন অঙ্গীকার পেয়েছ যে, আল্লাহ কখনও তার খেলাফ করবেন না-না তোমরা যা জান না, তা আল্লাহর সাথে জুড়ে দিচ্ছ।",
              "numberInSurah": 80,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লূলান তামাছ ছানান্না-রু ইল্লা আইইয়া-মাম মা‘দূদাতান কুল আত্তাখাযতুম ‘ইনদাল্লা-হি ‘ আহদান ফালাইঁ ইউখলিফাল্লা-হু ‘আহদাহূ আম তাকূলূনা ‘আলাল্লা-হি মা-লা-তা‘লামূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَنْ/لَن/lan//تَمَسَّنَا/تَمَسَّنَا/tamassana//النَّارُ/ٱلنَّارُ/al-naru//اِلَّاۤ/إِلَّآ/illa//اَیَّامًا/أَيَّامٗا/ayyaman//مَّعْدُوْدَةً ؕ/مَّعۡدُودَةٗۚ/ma'dudatan//قُلْ/قُلۡ/qul//اَتَّخَذْتُمْ/أَتَّخَذۡتُمۡ/attakhadhtum//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//عَهْدًا/عَهۡدٗا/ahdan//فَلَنْ/فَلَن/falan//یُّخْلِفَ/يُخۡلِفَ/yukh'lifa//اللّٰهُ/ٱللَّهُ/al-lahu//عَهْدَهٗۤ/عَهۡدَهُۥٓۖ/ahdahu//اَمْ/أَمۡ/am//تَقُوْلُوْنَ/تَقُولُونَ/taquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং তারা বলে//''কখনও না//আমাদেরকে স্পর্শ করবে//আগুন//(যদিও করে) তবে//কিছুদিন//গোনাগাঁথা''//তুমি বলো//''তোমরা গ্রহণ করেছ কি//নিকট হতে//আল্লাহ্‌র//অঙ্গীকার (যা)//কখনও না//ভঙ্গ করবেন//আল্লাহ্‌//তাঁর অঙ্গীকার//অথবা//তোমরা বলছ//উপর(সম্বন্ধে)//আল্লাহর//যা//না//তোমরা জান''"
            },
            {
              "number": 88,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/88.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/88.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/88.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/88.mp3"
              ],
              "text": "بَلَىٰ مَن كَسَبَ سَيِّئَةًۭ وَأَحَٰطَتْ بِهِۦ خَطِيٓـَٔتُهُۥ فَأُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "হাঁ, যে ব্যক্তি পাপ অর্জন করেছে এবং সে পাপ তাকে পরিবেষ্টিত করে নিয়েছে, তারাই দোযখের অধিবাসী। তারা সেখানেই চিরকাল থাকবে।",
              "numberInSurah": 81,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "বালা- মান কাছাবা ছাইয়িআতাওঁ ওয়া আহা-তাত বিহী খাতীআতুহূ ফাউলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "بَلٰی/بَلَىٰۚ/bala//مَنْ/مَن/man//كَسَبَ/كَسَبَ/kasaba//سَیِّئَةً/سَيِّئَةٗ/sayyi-atan//وَّ اَحَاطَتْ/وَأَحَٰطَتۡ/wa-ahatat//بِهٖ/بِهِۦ/bihi//خَطِیْٓـَٔتُهٗ/خَطِيٓـَٔتُهُۥ/khatiatuhu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "বরং (সত্য হলো)//যে কেউ//উপার্জন করবে//পাপ//এবং ঘিরে নিয়েছে//তাকে নিয়ে//তার পাপসমূহ//ফলে ঐসব লোক//অধিবাসী (হবে)//আগুনের//তারাই//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 89,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/89.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/89.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/89.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/89.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "পক্ষান্তরে যারা ঈমান এনেছে এবং সৎকাজ করেছে, তারাই জান্নাতের অধিবাসী। তারা সেখানেই চিরকাল থাকবে।",
              "numberInSurah": 82,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 10,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূ ওয়া‘আমিলুসসা-লিহা-তি উলাইকা আসহা-বুল জান্নাতি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ ۚ/ٱلۡجَنَّةِۖ/al-janati//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ ۠/خَٰلِدُونَ/khaliduna",
              "words_bangla": "আর যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//ঐসব লোক//অধিবাসী (হবে)//জান্নাতের//তারাই//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 90,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/90.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/90.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/90.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/90.mp3"
              ],
              "text": "وَإِذْ أَخَذْنَا مِيثَٰقَ بَنِىٓ إِسْرَٰٓءِيلَ لَا تَعْبُدُونَ إِلَّا ٱللَّهَ وَبِٱلْوَٰلِدَيْنِ إِحْسَانًۭا وَذِى ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينِ وَقُولُوا۟ لِلنَّاسِ حُسْنًۭا وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ ثُمَّ تَوَلَّيْتُمْ إِلَّا قَلِيلًۭا مِّنكُمْ وَأَنتُم مُّعْرِضُونَ",
              "translate_bn": "যখন আমি বনী-ইসরাঈলের কাছ থেকে অঙ্গীকার নিলাম যে, তোমরা আল্লাহ ছাড়া কারও উপাসনা করবে না, পিতা-মাতা, আত্নীয়-স্বজন, এতীম ও দীন-দরিদ্রদের সাথে সদ্ব্যবহার করবে, মানুষকে সৎ কথাবার্তা বলবে, নামায প্রতিষ্ঠা করবে এবং যাকাত দেবে, তখন সামান্য কয়েকজন ছাড়া তোমরা মুখ ফিরিয়ে নিলে, তোমরাই অগ্রাহ্যকারী।",
              "numberInSurah": 83,
              "juz": 1,
              "manzil": 1,
              "page": 12,
              "ruku": 11,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযআখাযনা-মীছা-কা বানীইছরাঈলা লা-তা‘ বুদূ না ইল্লাল্লা-হা ওয়া বিলওয়া-লিদাইনি ইহছা-নাওঁ ওয়া যিলকুরবা- ওয়ালইয়াতা-মা-ওয়ালমাছা-কীনি ওয়াকূলূ লিন্না-ছি হুছনাওঁ ওয়া আকীমুসসালা-তা ওয়া আ-তুঝঝাকা-তা ছু ম্মা তাওয়াল্লাইতুম ইল্লা-কালীলাম মিনকুম ওয়া আনতুম মু‘রিদূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَ/مِيثَٰقَ/mithaqa//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//لَا/لَا/la//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//اِلَّا/إِلَّا/illa//اللّٰهَ ۫/ٱللَّهَ/al-laha//وَ بِالْوَالِدَیْنِ/وَبِٱلۡوَٰلِدَيۡنِ/wabil-walidayni//اِحْسَانًا/إِحۡسَانٗا/ih'sanan//وَّ ذِی/وَذِي/wadhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ قُوْلُوْا/وَقُولُواْ/waqulu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//حُسْنًا/حُسۡنٗا/hus'nan//وَّ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ ؕ/ٱلزَّكَوٰةَ/al-zakata//ثُمَّ/ثُمَّ/thumma//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّنْكُمْ/مِّنكُمۡ/minkum//وَ اَنْتُمْ/وَأَنتُم/wa-antum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা নিয়ে ছিলাম//প্রতিশ্রুতি//বনী//ইসরাঈলের (থেকে)//''(যে) না//তোমরা ইবাদাত করবে//ছাড়া//আল্লাহর//এবং পিতামাতার সাথে//সদয় ব্যবহার করবে//এবং//আত্বীয়স্বজনের//ও ইয়াতীমদের//ও দরিদ্রের(সাথে)//এবং তোমরা বলবে//মানুষের উদ্দেশে//ভালভাবে (কথা)//এবং তোমরা প্রতিষ্ঠা করবে//সলাত//ও তোমরা দেবে//যাকাত//এরপরেও//তোমরা মুখ ফিরিয়ে নিয়েছিলে//ব্যতীত//সামান্য কিছু (লোক)//তোমাদের মধ্য হতে//এবং তোমরা (আজও)//মুখ ফিরিয়ে নিচ্ছ"
            },
            {
              "number": 91,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/91.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/91.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/91.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/91.mp3"
              ],
              "text": "وَإِذْ أَخَذْنَا مِيثَٰقَكُمْ لَا تَسْفِكُونَ دِمَآءَكُمْ وَلَا تُخْرِجُونَ أَنفُسَكُم مِّن دِيَٰرِكُمْ ثُمَّ أَقْرَرْتُمْ وَأَنتُمْ تَشْهَدُونَ",
              "translate_bn": "যখন আমি তোমাদের কাছ থেকে অঙ্গীকার নিলাম যে, তোমরা পরস্পর খুনাখুনি করবে না এবং নিজেদেরকে দেশ থেকে বহিস্কার করবে না, তখন তোমরা তা স্বীকার করেছিলে এবং তোমরা তার সাক্ষ্য দিচ্ছিলে।",
              "numberInSurah": 84,
              "juz": 1,
              "manzil": 1,
              "page": 13,
              "ruku": 11,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয আখাযনা-মীছা-কাকুম লা-তাছফিকূনা দিমাআকুম ওয়ালা-তুখরিজূনা আনফুছাকুম মিন দিয়া-রিকুম ছু ম্মা আকরারতুম ওয়া আনতুম তাশহাদূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَكُمْ/مِيثَٰقَكُمۡ/mithaqakum//لَا/لَا/la//تَسْفِكُوْنَ/تَسۡفِكُونَ/tasfikuna//دِمَآءَكُمْ/دِمَآءَكُمۡ/dimaakum//وَ لَا/وَلَا/wala//تُخْرِجُوْنَ/تُخۡرِجُونَ/tukh'rijuna//اَنْفُسَكُمْ/أَنفُسَكُم/anfusakum//مِّنْ/مِّن/min//دِیَارِكُمْ/دِيَٰرِكُمۡ/diyarikum//ثُمَّ/ثُمَّ/thumma//اَقْرَرْتُمْ/أَقۡرَرۡتُمۡ/aqrartum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَشْهَدُوْنَ /تَشۡهَدُونَ/tashhaduna",
              "words_bangla": "এবং যখন//আমরা নিয়েছিলাম//তোমাদের প্রতিশ্রুতি//''(যে) না//তোমরা ঝরাবে//তোমাদের রক্ত//না এবং//তোমরা তাড়িয়ে দেবে//তোমাদের নিজেদেরকে//থেকে//তোমাদের ঘর''//এরপর//তোমরা স্বীকার করেছিলে//এবং তোমরাই//সাক্ষ্য দিচ্ছ"
            },
            {
              "number": 92,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/92.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/92.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/92.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/92.mp3"
              ],
              "text": "ثُمَّ أَنتُمْ هَٰٓؤُلَآءِ تَقْتُلُونَ أَنفُسَكُمْ وَتُخْرِجُونَ فَرِيقًۭا مِّنكُم مِّن دِيَٰرِهِمْ تَظَٰهَرُونَ عَلَيْهِم بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَإِن يَأْتُوكُمْ أُسَٰرَىٰ تُفَٰدُوهُمْ وَهُوَ مُحَرَّمٌ عَلَيْكُمْ إِخْرَاجُهُمْ ۚ أَفَتُؤْمِنُونَ بِبَعْضِ ٱلْكِتَٰبِ وَتَكْفُرُونَ بِبَعْضٍۢ ۚ فَمَا جَزَآءُ مَن يَفْعَلُ ذَٰلِكَ مِنكُمْ إِلَّا خِزْىٌۭ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَيَوْمَ ٱلْقِيَٰمَةِ يُرَدُّونَ إِلَىٰٓ أَشَدِّ ٱلْعَذَابِ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "অতঃপর তোমরাই পরস্পর খুনাখুনি করছ এবং তোমাদেরই একদলকে তাদের দেশ থেকে বহিস্কার করছ। তাদের বিরুদ্ধে পাপ ও অন্যায়ের মাধ্যমে আক্রমণ করছ। আর যদি তারাই কারও বন্দী হয়ে তোমাদের কাছে আসে, তবে বিনিময় নিয়ে তাদের মুক্ত করছ। অথচ তাদের বহিস্কার করাও তোমাদের জন্য অবৈধ। তবে কি তোমরা গ্রন্থের কিয়দংশ বিশ্বাস কর এবং কিয়দংশ অবিশ্বাস কর? যারা এরূপ করে পার্থিব জীবনে দূগর্তি ছাড়া তাদের আর কোনই পথ নেই। কিয়ামতের দিন তাদের কঠোরতম শাস্তির দিকে পৌঁছে দেয়া হবে। আল্লাহ তোমাদের কাজ-কর্ম সম্পর্কে বে-খবর নন।",
              "numberInSurah": 85,
              "juz": 1,
              "manzil": 1,
              "page": 13,
              "ruku": 11,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আনতুম হাউলাই তাকতুলূনা আনফুছাকুম ওয়াতুখরিজূনা ফারীকাম মিনকুম মিন দিয়া-রিহিম তাজা-হারূনা ‘আলাইহিম বিলইছমি ওয়াল‘উদওয়া-নি ওয়াইয়ঁ ইয়া’তূকুম উছা-রা-তুফা-দূ হুম ওয়া হুওয়া মুহাররামুন ‘আলাইকুম ইখরা-জুহুম আফাতু’মিনূনা ব্বিা‘দিল কিতা-বি ওয়া তাকফুরূনা ব্বিা‘দিন ফামা-জাঝাউ মাইঁ ইয়াফ‘আলুযা-লিকা মিনকুম ইল্লা-খিঝইয়ুন ফিল হায়া-তিদ্দুনইয়া-ওয়া ইয়াওমাল কিয়া-মাতি ইউরাদ্দূনা ইলা আশাদ্দিল ‘আযা-বি ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَنْتُمْ/أَنتُمۡ/antum//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//تَقْتُلُوْنَ/تَقۡتُلُونَ/taqtuluna//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//وَ تُخْرِجُوْنَ/وَتُخۡرِجُونَ/watukh'rijuna//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنْكُمْ/مِّنكُم/minkum//مِّنْ/مِّن/min//دِیَارِهِمْ ؗ/دِيَٰرِهِمۡ/diyarihim//تَظٰهَرُوْنَ/تَظَٰهَرُونَ/tazaharuna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِالْاِثْمِ/بِٱلۡإِثۡمِ/bil-ith'mi//وَ الْعُدْوَانِ ؕ/وَٱلۡعُدۡوَٰنِ/wal-'ud'wani//وَ اِنْ/وَإِن/wa-in//یَّاْتُوْكُمْ/يَأۡتُوكُمۡ/yatukum//اُسٰرٰی/أُسَٰرَىٰ/usara//تُفٰدُوْهُمْ/تُفَٰدُوهُمۡ/tufaduhum//وَ هُوَ/وَهُوَ/wahuwa//مُحَرَّمٌ/مُحَرَّمٌ/muharramun//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِخْرَاجُهُمْ ؕ/إِخۡرَاجُهُمۡۚ/ikh'rajuhum//اَفَتُؤْمِنُوْنَ/أَفَتُؤۡمِنُونَ/afatu'minuna//بِبَعْضِ/بِبَعۡضِ/biba'di//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ تَكْفُرُوْنَ/وَتَكۡفُرُونَ/watakfuruna//بِبَعْضٍ ۚ/بِبَعۡضٖۚ/biba'din//فَمَا/فَمَا/fama//جَزَآءُ/جَزَآءُ/jazau//مَنْ/مَن/man//یَّفْعَلُ/يَفۡعَلُ/yaf 'alu//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْكُمْ/مِنكُمۡ/minkum//اِلَّا/إِلَّا/illa//خِزْیٌ/خِزۡيٞ/khiz'yun//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//یُرَدُّوْنَ/يُرَدُّونَ/yuradduna//اِلٰۤی/إِلَىٰٓ/ila//اَشَدِّ/أَشَدِّ/ashaddi//الْعَذَابِ ؕ/ٱلۡعَذَابِۗ/al-'adhabi//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "আবার//তোমরাই//ঐসব (লোক যারা)//তোমরা হত্যা করছ//তোমাদের নিজেদেরকে//এবং তোমরা তাড়িয়ে দিচ্ছ//এক দলকে//তোমাদের মধ্য থেকে//হতে//তাদের ঘরগুলো//তোমরা সাহায্য করছ//তাদের বিরুদ্ধে//অন্যায়//ও সীমালঙ্ঘন//এবং যদি//তোমাদের কাছে আসে//বন্দি (হয়ে)//তাদের ছাড়াও মুক্তিপণ দিয়ে//অথচ তা//নিষিদ্ধ//তোমাদের উপর//তাদের তাড়িয়ে দেওয়া//তোমরা তবে কি বিশ্বাস কর//কিছু অংশের(ব্যাপারে)//কিতাবের//এবং অবিশ্বাস কর//(অপর) কিছু অংশকে//সুতরাং কী(হতে পারে)//প্রতিদান//যে//করবে//এরূপ//তোমাদের মধ্য থেকে//এছাড়া যে//অপমান//মধ্যে//জীবনের//পার্থিব//এবং দিনে//কিয়ামাতের//তারা নিক্ষিপ্ত হবে//দিকে//কঠোর//শাস্তির//এবং না//আল্লাহ্‌//উদাসীন//এ বিষয়ে যা//তোমরা করছ"
            },
            {
              "number": 93,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/93.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/93.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/93.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/93.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلْحَيَوٰةَ ٱلدُّنْيَا بِٱلْءَاخِرَةِ ۖ فَلَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "এরাই পরকালের বিনিময়ে পার্থিব জীবন ক্রয় করেছে। অতএব এদের শাস্তি লঘু হবে না এবং এরা সাহায্যও পাবে না।",
              "numberInSurah": 86,
              "juz": 1,
              "manzil": 1,
              "page": 13,
              "ruku": 11,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনাশ তারাউল হায়া-তাদ্দুনইয়া-বিলআ-খিরাতি ফালা- ইউখাফফাফু ‘আনহুমুল ‘আযা-বু ওয়া লাহুম ইউনসারূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اشْتَرَوُا/ٱشۡتَرَوُاْ/ish'tarawu//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//بِالْاٰخِرَةِ ؗ/بِٱلۡأٓخِرَةِۖ/bil-akhirati//فَلَا/فَلَا/fala//یُخَفَّفُ/يُخَفَّفُ/yukhaffafu//عَنْهُمُ/عَنۡهُمُ/anhumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَ۠/يُنصَرُونَ/yunsaruna",
              "words_bangla": "ঐ সব (লোক)//(তারাই) যারা//কিনে নিয়েছে//জীবনকে//পার্থিব//আখিরাতের বিনিময়ে//না ফলে//হালকা করা হবে//তাদের থেকে//শাস্তি//এবং না//তারা//সাহায্যপ্রাপ্ত হবে"
            },
            {
              "number": 94,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/94.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/94.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/94.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/94.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ وَقَفَّيْنَا مِنۢ بَعْدِهِۦ بِٱلرُّسُلِ ۖ وَءَاتَيْنَا عِيسَى ٱبْنَ مَرْيَمَ ٱلْبَيِّنَٰتِ وَأَيَّدْنَٰهُ بِرُوحِ ٱلْقُدُسِ ۗ أَفَكُلَّمَا جَآءَكُمْ رَسُولٌۢ بِمَا لَا تَهْوَىٰٓ أَنفُسُكُمُ ٱسْتَكْبَرْتُمْ فَفَرِيقًۭا كَذَّبْتُمْ وَفَرِيقًۭا تَقْتُلُونَ",
              "translate_bn": "অবশ্যই আমি মূসাকে কিতাব দিয়েছি। এবং তার পরে পর্যায়ক্রমে রসূল পাঠিয়েছি। আমি মরিয়ম তনয় ঈসাকে সুস্পষ্ট মোজেযা দান করেছি এবং পবিত্র রূহের মাধ্যমে তাকে শক্তিদান করেছি। অতঃপর যখনই কোন রসূল এমন নির্দেশ নিয়ে তোমাদের কাছে এসেছে, যা তোমাদের মনে ভাল লাগেনি, তখনই তোমরা অহংকার করেছ। শেষ পর্যন্ত তোমরা একদলকে মিথ্যাবাদী বলেছ এবং একদলকে হত্যা করেছ।",
              "numberInSurah": 87,
              "juz": 1,
              "manzil": 1,
              "page": 13,
              "ruku": 12,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আ-তাইনা-মূছাল কিতা-বা ওয়া কাফফাইনা-মিম বা‘দিহী বিররুছুলি ওয়াআতাইনা-ঈছাবনা মারইয়ামাল বাইয়িনা-তি ওয়া আইয়াদনা-হুবিরূহিলকুদুছি আফাকুল্লামা-জাআকুম রাছূলুম বিমা-লা-তাহওয়াআনফুছুকুমুছতাকবারতুম, ফাফারীকান কাযযাবতুম ওয়া ফারীকান তাকতুলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ قَفَّیْنَا/وَقَفَّيۡنَا/waqaffayna//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//بِالرُّسُلِ ؗ/بِٱلرُّسُلِۖ/bil-rusuli//وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//عِیْسَی/عِيسَى/isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//الْبَیِّنٰتِ/ٱلۡبَيِّنَٰتِ/al-bayinati//وَ اَیَّدْنٰهُ/وَأَيَّدۡنَٰهُ/wa-ayyadnahu//بِرُوْحِ/بِرُوحِ/biruhi//الْقُدُسِ ؕ/ٱلۡقُدُسِۗ/al-qudusi//اَفَكُلَّمَا/أَفَكُلَّمَا/afakullama//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رَسُوْلٌۢ/رَسُولُۢ/rasulun//بِمَا/بِمَا/bima//لَا/لَا/la//تَهْوٰۤی/تَهۡوَىٰٓ/tahwa//اَنْفُسُكُمُ/أَنفُسُكُمُ/anfusukumu//اسْتَكْبَرْتُمْ ۚ/ٱسۡتَكۡبَرۡتُمۡ/is'takbartum//فَفَرِیْقًا/فَفَرِيقٗا/fafariqan//كَذَّبْتُمْ ؗ/كَذَّبۡتُمۡ/kadhabtum//وَ فَرِیْقًا/وَفَرِيقٗا/wafariqan//تَقْتُلُوْنَ /تَقۡتُلُونَ/taqtuluna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছি//মূসাকে//কিতাব//এবং পর্যায়ক্রমে আমরা পাঠিয়েছি//থেকে//তারপর//রাসূলদেরকে//এবং আমরা দিয়েছি//ঈসাকে//পুত্র//মারইয়ামের//সুস্পষ্ট নিদর্শনসমূহ//ও তাকে আমরা সাহায্য করেছি//আত্মা দিয়ে//পবিত্র//যখনই অতঃপর কি//তোমাদের কাছে এসেছে//কোনো রাসূল//তা নিয়ে যা//না//পছন্দ করে//তোমাদের মন//তোমরা অহঙ্কার করেছ//অতঃপর একদলকে//তোমরা অস্বীকার করছো//আর একদলকে//তোমরা হত্যা করেছ"
            },
            {
              "number": 95,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/95.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/95.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/95.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/95.mp3"
              ],
              "text": "وَقَالُوا۟ قُلُوبُنَا غُلْفٌۢ ۚ بَل لَّعَنَهُمُ ٱللَّهُ بِكُفْرِهِمْ فَقَلِيلًۭا مَّا يُؤْمِنُونَ",
              "translate_bn": "তারা বলে, আমাদের হৃদয় অর্ধাবৃত। এবং তাদের কুফরের কারণে আল্লাহ অভিসম্পাত করেছেন। ফলে তারা অল্পই ঈমান আনে।",
              "numberInSurah": 88,
              "juz": 1,
              "manzil": 1,
              "page": 13,
              "ruku": 12,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূকূলূবুনা-গুলফুন বাল্লা‘আনাহুমুল্লা-হু বিকুফরিহিম ফাকালীলাম মা-ইউমিনূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//قُلُوْبُنَا/قُلُوبُنَا/qulubuna//غُلْفٌ ؕ/غُلۡفُۢۚ/ghul'fun//بَلْ/بَل/bal//لَّعَنَهُمُ/لَّعَنَهُمُ/la'anahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُفْرِهِمْ/بِكُفۡرِهِمۡ/bikuf'rihim//فَقَلِیْلًا/فَقَلِيلٗا/faqalilan//مَّا/مَّا/ma//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং তারা বলেছিল//''আমাদের অন্তর//আচ্ছাদিত (সুরক্ষিত)''//বরং (সত্য হল)//তাদেরকে অভিশাপ দিয়েছেন//আল্লাহ্‌//তাদের অবিশ্বাসের কারণে//তাই কম (লোকই)//যারা//ঈমান আনবে"
            },
            {
              "number": 96,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/96.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/96.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/96.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/96.mp3"
              ],
              "text": "وَلَمَّا جَآءَهُمْ كِتَٰبٌۭ مِّنْ عِندِ ٱللَّهِ مُصَدِّقٌۭ لِّمَا مَعَهُمْ وَكَانُوا۟ مِن قَبْلُ يَسْتَفْتِحُونَ عَلَى ٱلَّذِينَ كَفَرُوا۟ فَلَمَّا جَآءَهُم مَّا عَرَفُوا۟ كَفَرُوا۟ بِهِۦ ۚ فَلَعْنَةُ ٱللَّهِ عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "যখন তাদের কাছে আল্লাহর পক্ষ থেকে কিতাব এসে পৌঁছাল, যা সে বিষয়ের সত্যায়ন করে, যা তাদের কাছে রয়েছে এবং তারা পূর্বে করত। অবশেষে যখন তাদের কাছে পৌঁছল যাকে তারা চিনে রেখেছিল, তখন তারা তা অস্বীকার করে বসল। অতএব, অস্বীকারকারীদের উপর আল্লাহর অভিসম্পাত।",
              "numberInSurah": 89,
              "juz": 1,
              "manzil": 1,
              "page": 14,
              "ruku": 12,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাম্মা- জাআহুম কিতা-বুম মিন ‘ইনদিল্লা-হি মুসাদ্দিকুল লিমা- মা ‘আহুম ওয়া কা-নূ মিন কাবলু ইয়াছতাফতিহূনা ‘আলাল্লাযীনা কাফারূ ফালাম্মা- জাআহুম মা‘আরাফূ কাফারূ বিহী ফালা‘নাতুল্লা-হি ‘আলাল কা-ফিরীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَهُمْ/جَآءَهُمۡ/jaahum//كِتٰبٌ/كِتَٰبٞ/kitabun//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//مُصَدِّقٌ/مُصَدِّقٞ/musaddiqun//لِّمَا/لِّمَا/lima//مَعَهُمْ ۙ/مَعَهُمۡ/ma'ahum//وَ كَانُوْا/وَكَانُواْ/wakanu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//یَسْتَفْتِحُوْنَ/يَسۡتَفۡتِحُونَ/yastaftihuna//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ۖۚ/كَفَرُواْ/kafaru//فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُم/jaahum//مَّا/مَّا/ma//عَرَفُوْا/عَرَفُواْ/arafu//كَفَرُوْا/كَفَرُواْ/kafaru//بِهٖ ؗ/بِهِۦۚ/bihi//فَلَعْنَةُ/فَلَعۡنَةُ/fala'natu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং যখন//এসেছে তাদের কাছে//কিতাব//থেকে//নিকট//আল্লাহ্‌র//সত্যায়নকারী//তার জন্য যা//তাদের সাথে(আছে)//এবং তারা ছিল//(থেকে)//পূর্ব থেকে//বিজয় চাইত//উপর(বিরুদ্ধে)//(তাদের) যারা//অবিশ্বাস করেছে//অতঃপর যখন//আসল তাদের কাছে//যা//তারা জানত//অস্বীকার করল//তার প্রতি//ফলে অভিশাপ//আল্লাহ্‌র//উপর//প্রত্যাখ্যানকারীদের"
            },
            {
              "number": 97,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/97.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/97.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/97.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/97.mp3"
              ],
              "text": "بِئْسَمَا ٱشْتَرَوْا۟ بِهِۦٓ أَنفُسَهُمْ أَن يَكْفُرُوا۟ بِمَآ أَنزَلَ ٱللَّهُ بَغْيًا أَن يُنَزِّلَ ٱللَّهُ مِن فَضْلِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ فَبَآءُو بِغَضَبٍ عَلَىٰ غَضَبٍۢ ۚ وَلِلْكَٰفِرِينَ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "যার বিনিময়ে তারা নিজেদের বিক্রি করেছে, তা খুবই মন্দ; যেহেতু তারা আল্লাহ যা নযিল করেছেন, তা অস্বীকার করেছে এই হঠকারিতার দরুন যে, আল্লাহ স্বীয় বান্দাদের মধ্যে যার প্রতি ইচ্ছা অনুগ্রহ নাযিল করেন। অতএব, তারা ক্রোধের উপর ক্রোধ অর্জন করেছে। আর কাফেরদের জন্য রয়েছে অপমানজনক শাস্তি।",
              "numberInSurah": 90,
              "juz": 1,
              "manzil": 1,
              "page": 14,
              "ruku": 12,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "বি’ছামাশ তারাও বিহী আনফুছাহুম আইঁ ইয়াকফুরূবিমা আনঝালাল্লা-হু বাগইয়ান আইঁ ইউনাঝঝিলাল্লা-হু মিন ফাদলিহী ‘আলা-মাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ফাবাউ বিগাদিন ‘আলা-গাদাবিন ওয়া লিলকা-ফিরীনা ‘আযা-বুম মুহীন।\r\n",
              "words_arabic": "بِئْسَمَا/بِئۡسَمَا/bi'sama//اشْتَرَوْا/ٱشۡتَرَوۡاْ/ish'taraw//بِهٖۤ/بِهِۦٓ/bihi//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//اَنْ/أَن/an//یَّكْفُرُوْا/يَكۡفُرُواْ/yakfuru//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//بَغْیًا/بَغۡيًا/baghyan//اَنْ/أَن/an//یُّنَزِّلَ/يُنَزِّلَ/yunazzila//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ ۚ/عِبَادِهِۦۖ/ibadihi//فَبَآءُوْ/فَبَآءُو/fabau//بِغَضَبٍ/بِغَضَبٍ/bighadabin//عَلٰی/عَلَىٰ/ala//غَضَبٍ ؕ/غَضَبٖۚ/ghadabin//وَ لِلْكٰفِرِیْنَ/وَلِلۡكَٰفِرِينَ/walil'kafirina//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ /مُّهِينٞ/muhinun",
              "words_bangla": "কতই নিকৃষ্ট তা//তারা বিক্রি করেছে//যার বিনিময়ে//তাদের আত্মাকে//(থেকে)//তারা অস্বীকার করে যে//ঐ বিষয় যা//অবতীর্ণ করেছেন//আল্লাহ্‌//জিদ বশতঃ//(এজন্য) যে//অবতীর্ণ করেছেন//আল্লাহ্‌//কারণে//তাঁর অনুগ্রহের//উপর//যাকে//তিনি চান//মধ্য হতে//তাঁর বান্দাদের//তারা ফলে পরিবেষ্টিত হয়েছে//রাগ দিয়ে//উপর//রাগের//এবং কাফিরদের জন্য(রয়েছে)//শাস্তি//অপমানকর"
            },
            {
              "number": 98,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/98.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/98.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/98.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/98.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ ءَامِنُوا۟ بِمَآ أَنزَلَ ٱللَّهُ قَالُوا۟ نُؤْمِنُ بِمَآ أُنزِلَ عَلَيْنَا وَيَكْفُرُونَ بِمَا وَرَآءَهُۥ وَهُوَ ٱلْحَقُّ مُصَدِّقًۭا لِّمَا مَعَهُمْ ۗ قُلْ فَلِمَ تَقْتُلُونَ أَنۢبِيَآءَ ٱللَّهِ مِن قَبْلُ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "যখন তাদেরকে বলা হয়, আল্লাহ যা পাঠিয়েছেন তা মেনে নাও, তখন তারা বলে, আমরা মানি যা আমাদের প্রতি অবর্তীণ হয়েছে। সেটি ছাড়া সবগুলোকে তারা অস্বীকার করে। অথচ এ গ্রন্থটি সত্য এবং সত্যায়ন করে ঐ গ্রন্থের যা তাদের কাছে রয়েছে। বলে দিন, তবে তোমরা ইতিপূর্বে পয়গম্বরদের হত্যা করতে কেন যদি তোমরা বিশ্বাসী ছিলে?",
              "numberInSurah": 91,
              "juz": 1,
              "manzil": 1,
              "page": 14,
              "ruku": 12,
              "hizbQuarter": 5,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুম আ-মিনূ বিমাআনঝালাল্লা-হু কা-লূ নু’মিনু বিমাউনঝিলা ‘আলাইনা-ওয়া ইয়াকফুরূনা বিমা- ওয়ারাআহূ ওয়া হুওয়াল হাক্কুমুসাদ্দিকালিল মা- মা‘আহুম কুল ফালিমা তাকতুলূনা আম্বিয়াআল্লা-হি মিন কাবলুইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//اٰمِنُوْا/ءَامِنُواْ/aminu//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//قَالُوْا/قَالُواْ/qalu//نُؤْمِنُ/نُؤۡمِنُ/nu'minu//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْنَا/عَلَيۡنَا/alayna//وَ یَكْفُرُوْنَ/وَيَكۡفُرُونَ/wayakfuruna//بِمَا/بِمَا/bima//وَرَآءَهٗ ۗ/وَرَآءَهُۥ/waraahu//وَ هُوَ/وَهُوَ/wahuwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//مَعَهُمْ ؕ/مَعَهُمۡۗ/ma'ahum//قُلْ/قُلۡ/qul//فَلِمَ/فَلِمَ/falima//تَقْتُلُوْنَ/تَقۡتُلُونَ/taqtuluna//اَنْۢبِیَآءَ/أَنۢبِيَآءَ/anbiyaa//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং যখন//বলা হয়//তাদের উদ্দেশে//''তোমরা ঈমান আনো//ঐবিষয়ে যা//অবতীর্ণ করেছেন//আল্লাহ্‌''//তারা বলে//''আমরা ঈমান আনব//ঐবিষয়ে যা//অবতীর্ণ করা হয়েছে//আমাদের উপর''//ও তারা অস্বীকার করে//যা(আছে)//তা ছাড়া//অথচ সেটাই//সত্য//সত্যায়নকারী//তার জন্য যা//তাদের সাথে(আছে)//বলো//''কেন তাহলে//তোমরা হত্যা করেছ//নবীদেরকে//আল্লাহ্‌র//থেকে//পূর্ব//যদি//তোমরা হয়ে থাক//মুমিন''"
            },
            {
              "number": 99,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/99.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/99.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/99.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/99.mp3"
              ],
              "text": "۞ وَلَقَدْ جَآءَكُم مُّوسَىٰ بِٱلْبَيِّنَٰتِ ثُمَّ ٱتَّخَذْتُمُ ٱلْعِجْلَ مِنۢ بَعْدِهِۦ وَأَنتُمْ ظَٰلِمُونَ",
              "translate_bn": "সুস্পষ্ট মু’জেযাসহ মূসা তোমাদের কাছে এসেছেন। এরপর তার অনুপস্থিতিতে তোমরা গোবৎস বানিয়েছ। বাস্তবিকই তোমরা অত্যাচারী।",
              "numberInSurah": 92,
              "juz": 1,
              "manzil": 1,
              "page": 14,
              "ruku": 12,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জাআকুম মূছা- বিলবাইয়িনা-তি ছু ম্মাত্তাখাযতুমুল ‘ইজলা মিম বা‘দিহী ওয়া আনতুম জা-লিমূন।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//جَآءَكُمْ/جَآءَكُم/jaakum//مُّوْسٰی/مُّوسَىٰ/musa//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//ثُمَّ/ثُمَّ/thumma//اتَّخَذْتُمُ/ٱتَّخَذۡتُمُ/ittakhadhtumu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "এবং নিশ্চয়ই//তোমাদের কাছে এসেছিল//মূসা//সুস্পষ্ট নিদর্শন সমূহ নিয়ে//এরপর//গ্রহণ করেছিলে তোমরা//গো বাছুরকে (উপাস্যরূপে)//থেকে//তারপর//এবং তোমরা(ছিলে)//সীমালঙ্ঘনকারী"
            },
            {
              "number": 100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/100.mp3"
              ],
              "text": "وَإِذْ أَخَذْنَا مِيثَٰقَكُمْ وَرَفَعْنَا فَوْقَكُمُ ٱلطُّورَ خُذُوا۟ مَآ ءَاتَيْنَٰكُم بِقُوَّةٍۢ وَٱسْمَعُوا۟ ۖ قَالُوا۟ سَمِعْنَا وَعَصَيْنَا وَأُشْرِبُوا۟ فِى قُلُوبِهِمُ ٱلْعِجْلَ بِكُفْرِهِمْ ۚ قُلْ بِئْسَمَا يَأْمُرُكُم بِهِۦٓ إِيمَٰنُكُمْ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আর যখন আমি তোমাদের কাছ থেকে প্রতিশ্রুতি নিলাম এবং তুর পর্বতকে তোমাদের উপর তুলে ধরলাম যে, শক্ত করে ধর, আমি যা তোমাদের দিয়েছি আর শোন। তারা বলল, আমরা শুনেছি আর অমান্য করেছি। কুফরের কারণে তাদের অন্তরে গোবৎসপ্রীতি পান করানো হয়েছিল। বলে দিন, তোমরা বিশ্বাসী হলে, তোমাদের সে বিশ্বাস মন্দ বিষয়াদি শিক্ষা দেয়।",
              "numberInSurah": 93,
              "juz": 1,
              "manzil": 1,
              "page": 14,
              "ruku": 12,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআখাযনা- মীছা-কাকুম ওয়া রাফা‘না- ফাওকাকুমুত্তূরা খুযূমা আ-তাইনা-কুম বিকুওওয়াতিওঁ ওয়াছমা‘উ কা-লূছামি‘না ওয়া ‘আসাইনা- ওয়া উশরিবূফী কুলূবিহিমুল ‘ইজলা বিকুফরিহিম কুল বি’ছামা-ইয়া’মুরুকুম বিহী ঈমা-নুকুম ইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَكُمْ/مِيثَٰقَكُمۡ/mithaqakum//وَ رَفَعْنَا/وَرَفَعۡنَا/warafa'na//فَوْقَكُمُ/فَوۡقَكُمُ/fawqakumu//الطُّوْرَ ؕ/ٱلطُّورَ/al-tura//خُذُوْا/خُذُواْ/khudhu//مَاۤ/مَآ/ma//اٰتَیْنٰكُمْ/ءَاتَيۡنَٰكُم/ataynakum//بِقُوَّةٍ/بِقُوَّةٖ/biquwwatin//وَّ اسْمَعُوْا ؕ/وَٱسۡمَعُواْۖ/wa-is'ma'u//قَالُوْا/قَالُواْ/qalu//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ عَصَیْنَا ۗ/وَعَصَيۡنَا/wa'asayna//وَ اُشْرِبُوْا/وَأُشۡرِبُواْ/wa-ush'ribu//فِیْ/فِي/fi//قُلُوْبِهِمُ/قُلُوبِهِمُ/qulubihimu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//بِكُفْرِهِمْ ؕ/بِكُفۡرِهِمۡۚ/bikuf'rihim//قُلْ/قُلۡ/qul//بِئْسَمَا/بِئۡسَمَا/bi'sama//یَاْمُرُكُمْ/يَأۡمُرُكُم/yamurukum//بِهٖۤ/بِهِۦٓ/bihi//اِیْمَانُكُمْ/إِيمَٰنُكُمۡ/imanukum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং যখন//আমরা গ্রহণ করেছিলাম//তোমাদের প্রতিশ্রুতি//এবং উঠিয়েছিলাম//তোমাদের উপর//তুর পাহাড়কে//''(বলেছিলাম) তোমরা ধরো//(তা)যা//তোমাদেরকে আমরা দিয়েছি//শক্তভাবে//ও তোমরা শুনো''//তারা বলেছিল//''আমরা শুনলাম//কিন্তু আমরা অমান্য করলাম''//এবং সিঞ্চিত হয়েছিল//মধ্যে//তাদের অন্তরগুলোর//গোবাছুর (পূজা)//অবিশ্বাসের কারণে তাদের//বলো//''কতই না নিকৃষ্ট//তোমাদের নির্দেশ দেয়//যার প্রতি//তোমাদের ঈমান//যদি//তোমরা হয়ে থাক//মুমিন''"
            },
            {
              "number": 101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/101.mp3"
              ],
              "text": "قُلْ إِن كَانَتْ لَكُمُ ٱلدَّارُ ٱلْءَاخِرَةُ عِندَ ٱللَّهِ خَالِصَةًۭ مِّن دُونِ ٱلنَّاسِ فَتَمَنَّوُا۟ ٱلْمَوْتَ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বলে দিন, যদি আখেরাতের বাসস্থান আল্লাহর কাছে একমাত্র তোমাদের জন্যই বরাদ্দ হয়ে থাকে-অন্য লোকদের বাদ দিয়ে, তবে মৃত্যু কামনা কর, যদি সত্যবাদী হয়ে থাক।",
              "numberInSurah": 94,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 12,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "কুল ইন কা-নাত লাকুমুদ্দা-রুল আ-খিরাতু ‘ইনদাল্লা-হি খা-লিসাতাম মিন দূনিন্না-ছি ফাতামান্নাউল মাওতা ইন কুনতুম সা-দিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//كَانَتْ/كَانَتۡ/kanat//لَكُمُ/لَكُمُ/lakumu//الدَّارُ/ٱلدَّارُ/al-daru//الْاٰخِرَةُ/ٱلۡأٓخِرَةُ/al-akhiratu//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//خَالِصَةً/خَالِصَةٗ/khalisatan//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//النَّاسِ/ٱلنَّاسِ/al-nasi//فَتَمَنَّوُا/فَتَمَنَّوُاْ/fatamannawu//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "বলো//''যদি//হয় (নির্দিষ্ট)//তোমাদের জন্য//ঘর//আখিরাতের//কাছে//আল্লাহ//কেবল (তোমাদেরই)//থেকে(দিয়ে)//ব্যতীত(বাদ)//(সমগ্র)মানুষকে//তোমরা তাহলে কামনা করো//মৃত্যুর//যদি//তোমরা হয়ে থাক//সত্যবাদী''"
            },
            {
              "number": 102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/102.mp3"
              ],
              "text": "وَلَن يَتَمَنَّوْهُ أَبَدًۢا بِمَا قَدَّمَتْ أَيْدِيهِمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّٰلِمِينَ",
              "translate_bn": "কস্মিনকালেও তারা মৃত্যু কামনা করবে না ঐসব গোনাহর কারণে, যা তাদের হাত পাঠিয়ে দিয়েছে। আল্লাহ গোনাহগারদের সম্পর্কে সম্যক অবগত রয়েছেন।",
              "numberInSurah": 95,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 12,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইঁ ইয়াতামান্নাওহু আবাদাম বিমা- কাদ্দামাত আইদীহিম ওয়াল্লা-হু ‘আলীমুম বিজ্জা-লিমীন।",
              "words_arabic": "وَ لَنْ/وَلَن/walan//یَّتَمَنَّوْهُ/يَتَمَنَّوۡهُ/yatamannawhu//اَبَدًۢا/أَبَدَۢا/abadan//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ ؕ/أَيۡدِيهِمۡۚ/aydihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالظّٰلِمِیْنَ /بِٱلظَّـٰلِمِينَ/bil-zalimina",
              "words_bangla": "কিন্তু নিশ্চয়ই না//তা কামনা করবে তারা//কখনও//এ কারণে যা//আগে পাঠিয়েছে//তাদের হাত//এবং আল্লাহ্‌//খুবই অবহিত//সীমালঙ্ঘঙ্কারীদের সম্পর্কে"
            },
            {
              "number": 103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/103.mp3"
              ],
              "text": "وَلَتَجِدَنَّهُمْ أَحْرَصَ ٱلنَّاسِ عَلَىٰ حَيَوٰةٍۢ وَمِنَ ٱلَّذِينَ أَشْرَكُوا۟ ۚ يَوَدُّ أَحَدُهُمْ لَوْ يُعَمَّرُ أَلْفَ سَنَةٍۢ وَمَا هُوَ بِمُزَحْزِحِهِۦ مِنَ ٱلْعَذَابِ أَن يُعَمَّرَ ۗ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ",
              "translate_bn": "আপনি তাদেরকে জীবনের প্রতি সবার চাইতে, এমনকি মুশরিকদের চাইতেও অধিক লোভী দেখবেন। তাদের প্রত্যেকে কামনা করে, যেন হাজার বছর আয়ু পায়। অথচ এরূপ আয়ু প্রাপ্তি তাদেরকে শাস্তি থেকে রক্ষা করতে পারবে না। আল্লাহ দেখেন যা কিছু তারা করে।",
              "numberInSurah": 96,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 12,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাতাজিদান্নাহুম আহরাসান্না-ছি ‘আলা- হায়া-তিওঁ ওয়া মিনাল্লাযীনা আশরাকূ ইয়াওয়াদ্দু আহাদুহুম লাও ইউ‘আম্মারু আলফা ছানাতিওঁ ওয়ামা-হুওয়া বিমুঝাহঝিহিহী মিনাল ‘আযা-বি আইঁ ইউ‘আম্মারা ওয়াল্লা-হু বাসীরুম বিমা-ইয়া‘মালূন।",
              "words_arabic": "وَ لَتَجِدَنَّهُمْ/وَلَتَجِدَنَّهُمۡ/walatajidannahum//اَحْرَصَ/أَحۡرَصَ/ahrasa//النَّاسِ/ٱلنَّاسِ/al-nasi//عَلٰی/عَلَىٰ/ala//حَیٰوةٍ ۛۚ/حَيَوٰةٖ/hayatin//وَ مِنَ/وَمِنَ/wamina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَشْرَكُوْا ۛۚ/أَشۡرَكُواْۚ/ashraku//یَوَدُّ/يَوَدُّ/yawaddu//اَحَدُهُمْ/أَحَدُهُمۡ/ahaduhum//لَوْ/لَوۡ/law//یُعَمَّرُ/يُعَمَّرُ/yu'ammaru//اَلْفَ/أَلۡفَ/alfa//سَنَةٍ ۚ/سَنَةٖ/sanatin//وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِمُزَحْزِحِهٖ/بِمُزَحۡزِحِهِۦ/bimuzahzihihi//مِنَ/مِنَ/mina//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//اَنْ/أَن/an//یُّعَمَّرَ ؕ/يُعَمَّرَۗ/yu'ammara//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِمَا/بِمَا/bima//یَعْمَلُوْنَ ۠/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং তোমরা অবশ্যই তাদেরকে পাবে//অত্যধিক লোভী//মানুষের মধ্যে//প্রতি//বেঁচে থাকার//এবং (তাদের) চেয়েও//যারা//শিরক করে//চায়//তাদের প্রত্যেকে//যদি//আয়ু দেয়া হত//এক হাজার//বছরের//অথচ না//তা (অর্থাৎ দীর্ঘায়ু)//তাকে টলাতে পারবে//থেকে//শাস্তি//যে//আয়ু দেয়া হয়ও//এবং আল্লাহ্‌//খুব দেখেন//ঐ বিষয় যা//তারা করছে"
            },
            {
              "number": 104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/104.mp3"
              ],
              "text": "قُلْ مَن كَانَ عَدُوًّۭا لِّجِبْرِيلَ فَإِنَّهُۥ نَزَّلَهُۥ عَلَىٰ قَلْبِكَ بِإِذْنِ ٱللَّهِ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ وَهُدًۭى وَبُشْرَىٰ لِلْمُؤْمِنِينَ",
              "translate_bn": "আপনি বলে দিন, যে কেউ জিবরাঈলের শত্রু হয়-যেহেতু তিনি আল্লাহর আদেশে এ কালাম আপনার অন্তরে নাযিল করেছেন, যা সত্যায়নকারী তাদের সম্মুখস্থ কালামের এবং মুমিনদের জন্য পথপ্রদর্শক ও সুসংবাদদাতা।",
              "numberInSurah": 97,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "কুল মান কা-না‘আদুওওয়ালিল জিবরীলা ফাইন্নাহূনাঝঝালাহূ ‘আলা-কালবিকা বিইযনিল্লা-হি মুসাদ্দিকাল লিমা-বাইনা ইয়াদাইহি ওয়া হুদাওঁ ওয়াবুশরা- লিলমু’মিনীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//كَانَ/كَانَ/kana//عَدُوًّا/عَدُوّٗا/aduwwan//لِّجِبْرِیْلَ/لِّـجِبۡرِيلَ/lijib'rila//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//نَزَّلَهٗ/نَزَّلَهُۥ/nazzalahu//عَلٰی/عَلَىٰ/ala//قَلْبِكَ/قَلۡبِكَ/qalbika//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ/ٱللَّهِ/al-lahi//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ هُدًی/وَهُدٗى/wahudan//وَّ بُشْرٰی/وَبُشۡرَىٰ/wabush'ra//لِلْمُؤْمِنِیْنَ /لِلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "বলো//''যে//হবে//শত্রু//জিব্রাইলের (সে জেনে রাখুক)//সে নিশ্চয়ই//তা অবতীর্ণ করেছে//উপর//তোমার অন্তরে//অনুমতি নিয়ে//আল্লাহ্‌র//সত্যায়নকারী//(তার জন্য) যা//মাঝে//তার সামনে (আছে)//এবং পথপ্রদর্শক//ও সুসংবাদ//মুমিনদের জন্য''"
            },
            {
              "number": 105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/105.mp3"
              ],
              "text": "مَن كَانَ عَدُوًّۭا لِّلَّهِ وَمَلَٰٓئِكَتِهِۦ وَرُسُلِهِۦ وَجِبْرِيلَ وَمِيكَىٰلَ فَإِنَّ ٱللَّهَ عَدُوٌّۭ لِّلْكَٰفِرِينَ",
              "translate_bn": "যে ব্যক্তি আল্লাহ তাঁর ফেরেশতা ও রসূলগণ এবং জিবরাঈল ও মিকাঈলের শত্রু হয়, নিশ্চিতই আল্লাহ সেসব কাফেরের শত্রু।",
              "numberInSurah": 98,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ‘আদুওওয়াল লিল্লা-হি ওয়ামালাইকাতিহী ওয়া রুছুলিহী ওয়াজিবরীলা ওয়ামীকা-লা ফাইন্নাল্লা-হা ‘আদুওউলিললকা-ফিরীন।",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//عَدُوًّا/عَدُوّٗا/aduwwan//لِّلّٰهِ/لِّلَّهِ/lillahi//وَ مَلٰٓىِٕكَتِهٖ/وَمَلَـٰٓئِكَتِهِۦ/wamalaikatihi//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//وَ جِبْرِیْلَ/وَجِبۡرِيلَ/wajib'rila//وَ مِیْكٰىلَ/وَمِيكَىٰلَ/wamikala//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//عَدُوٌّ/عَدُوّٞ/aduwwun//لِّلْكٰفِرِیْنَ /لِّلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "যে//হবে//শত্রু//আল্লাহ্‌র জন্য//ও তাঁর ফেরেশতাদের//ও তার রাসূলদের//ও জীব্রাঈলের//ও মিকাঈলের//নিশ্চয়ই ফলে//আল্লাহ্‌ (হবেন)//শত্রু//(সেইসব) কাফিরদের জন্য"
            },
            {
              "number": 106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/106.mp3"
              ],
              "text": "وَلَقَدْ أَنزَلْنَآ إِلَيْكَ ءَايَٰتٍۭ بَيِّنَٰتٍۢ ۖ وَمَا يَكْفُرُ بِهَآ إِلَّا ٱلْفَٰسِقُونَ",
              "translate_bn": "আমি আপনার প্রতি উজ্জ্বল নিদর্শনসমূহ অবতীর্ণ করেছি। অবাধ্যরা ব্যতীত কেউ এগুলো অস্বীকার করে না।",
              "numberInSurah": 99,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আনঝালনাইলাইকা আ-য়া-তিম বাইয়িনা-তিওঁ ওয়ামা-ইয়াকফুরু বিহা ইল্লাল ফা-ছিকূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ ۚ/بَيِّنَٰتٖۖ/bayyinatin//وَ مَا/وَمَا/wama//یَكْفُرُ/يَكۡفُرُ/yakfuru//بِهَاۤ/بِهَآ/biha//اِلَّا/إِلَّا/illa//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা অবতীর্ণ করেছি//তোমার প্রতি//আয়াত সমূহ//সুস্পষ্ট//এবং না//অস্বীকার করে//তার প্রতি//ছাড়া//সত্যত্যাগী"
            },
            {
              "number": 107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/107.mp3"
              ],
              "text": "أَوَكُلَّمَا عَٰهَدُوا۟ عَهْدًۭا نَّبَذَهُۥ فَرِيقٌۭ مِّنْهُم ۚ بَلْ أَكْثَرُهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "কি আশ্চর্য, যখন তারা কোন অঙ্গীকারে আবদ্ধ হয়, তখন তাদের একদল তা ছুঁড়ে ফেলে, বরং অধিকাংশই বিশ্বাস করে না।",
              "numberInSurah": 100,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "আওয়া কুল্লামা- ‘আ-হাদূ‘আহদান নাবাযাহূ ফারীকুম মিনহুম বাল আকছারুহুম লা-ইউ’মিনূন।",
              "words_arabic": "اَوَ كُلَّمَا/أَوَكُلَّمَا/awakullama//عٰهَدُوْا/عَٰهَدُواْ/ahadu//عَهْدًا/عَهۡدٗا/ahdan//نَّبَذَهٗ/نَّبَذَهُۥ/nabadhahu//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ ؕ/مِّنۡهُمۚ/min'hum//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এমন নয়কি যখনই//তারা প্রতিশ্রুতি দিয়েছে//কোন প্রতিশ্রুতি//তা নিক্ষেপ করেছে//কোনো একদল//তাদের মধ্য থেকে//বরং//তাদের অধিকাংশ//না//বিশ্বাস করে"
            },
            {
              "number": 108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/108.mp3"
              ],
              "text": "وَلَمَّا جَآءَهُمْ رَسُولٌۭ مِّنْ عِندِ ٱللَّهِ مُصَدِّقٌۭ لِّمَا مَعَهُمْ نَبَذَ فَرِيقٌۭ مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ كِتَٰبَ ٱللَّهِ وَرَآءَ ظُهُورِهِمْ كَأَنَّهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "যখন তাদের কাছে আল্লাহর পক্ষ থেকে একজন রসূল আগমন করলেন-যিনি ঐ কিতাবের সত্যায়ন করেন, যা তাদের কাছে রয়েছে, তখন আহলে কেতাবদের একদল আল্লাহর গ্রন্থকে পশ্চাতে নিক্ষেপ করল-যেন তারা জানেই না।",
              "numberInSurah": 101,
              "juz": 1,
              "manzil": 1,
              "page": 15,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআহুম রাছূলুম মিন ‘ইনদিল্লা-হি মুসাদ্দিকুল্লিমা-মা‘আহুম নাবাযা ফারীকুম মিনাল্লাযীনা ঊতুল কিতা-বা কিতা-বাল্লা-হি ওয়ারাআ জুহূরিহিম কাআন্নাহুম লাইয়া‘লামূন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَهُمْ/جَآءَهُمۡ/jaahum//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//مُصَدِّقٌ/مُصَدِّقٞ/musaddiqun//لِّمَا/لِّمَا/lima//مَعَهُمْ/مَعَهُمۡ/ma'ahum//نَبَذَ/نَبَذَ/nabadha//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ ۙۗ/ٱلۡكِتَٰبَ/al-kitaba//كِتٰبَ/كِتَٰبَ/kitaba//اللّٰهِ/ٱللَّهِ/al-lahi//وَرَآءَ/وَرَآءَ/waraa//ظُهُوْرِهِمْ/ظُهُورِهِمۡ/zuhurihim//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//لَا/لَا/la//یَعْلَمُوْنَ ؗ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যখনই//তাদের কাছে এসেছে//কোন রাসূল//থেকে//কাছ//আল্লাহ্‌র//সত্যায়নকারী//(তার জন্য) যা//তাদের সাথে (আছে)//নিক্ষেপ করেছে//কোনো একদল//(তাদের) মধ্য থেকে//যাদের//দেয়া হয়েছে//কিতাব//কিতাব//আল্লাহর//পিছনে//তাদের পিঠের//তারা যেন//না//তারা জানেই"
            },
            {
              "number": 109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/109.mp3"
              ],
              "text": "وَٱتَّبَعُوا۟ مَا تَتْلُوا۟ ٱلشَّيَٰطِينُ عَلَىٰ مُلْكِ سُلَيْمَٰنَ ۖ وَمَا كَفَرَ سُلَيْمَٰنُ وَلَٰكِنَّ ٱلشَّيَٰطِينَ كَفَرُوا۟ يُعَلِّمُونَ ٱلنَّاسَ ٱلسِّحْرَ وَمَآ أُنزِلَ عَلَى ٱلْمَلَكَيْنِ بِبَابِلَ هَٰرُوتَ وَمَٰرُوتَ ۚ وَمَا يُعَلِّمَانِ مِنْ أَحَدٍ حَتَّىٰ يَقُولَآ إِنَّمَا نَحْنُ فِتْنَةٌۭ فَلَا تَكْفُرْ ۖ فَيَتَعَلَّمُونَ مِنْهُمَا مَا يُفَرِّقُونَ بِهِۦ بَيْنَ ٱلْمَرْءِ وَزَوْجِهِۦ ۚ وَمَا هُم بِضَآرِّينَ بِهِۦ مِنْ أَحَدٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَيَتَعَلَّمُونَ مَا يَضُرُّهُمْ وَلَا يَنفَعُهُمْ ۚ وَلَقَدْ عَلِمُوا۟ لَمَنِ ٱشْتَرَىٰهُ مَا لَهُۥ فِى ٱلْءَاخِرَةِ مِنْ خَلَٰقٍۢ ۚ وَلَبِئْسَ مَا شَرَوْا۟ بِهِۦٓ أَنفُسَهُمْ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "তারা ঐ শাস্ত্রের অনুসরণ করল, যা সুলায়মানের রাজত্ব কালে শয়তানরা আবৃত্তি করত। সুলায়মান কুফর করেনি; শয়তানরাই কুফর করেছিল। তারা মানুষকে জাদুবিদ্যা এবং বাবেল শহরে হারুত ও মারুত দুই ফেরেশতার প্রতি যা অবতীর্ণ হয়েছিল, তা শিক্ষা দিত। তারা উভয়ই একথা না বলে কাউকে শিক্ষা দিত না যে, আমরা পরীক্ষার জন্য; কাজেই তুমি কাফের হয়ো না। অতঃপর তারা তাদের কাছ থেকে এমন জাদু শিখত, যদ্দ্বারা স্বামী ও স্ত্রীর মধ্যে বিচ্ছেদ ঘটে। তারা আল্লাহর আদেশ ছাড়া তদ্দ্বারা কারও অনিষ্ট করতে পারত না। যা তাদের ক্ষতি করে এবং উপকার না করে, তারা তাই শিখে। তারা ভালরূপে জানে যে, যে কেউ জাদু অবলম্বন করে, তার জন্য পরকালে কোন অংশ নেই। যার বিনিময়ে তারা আত্নবিক্রয় করেছে, তা খুবই মন্দ যদি তারা জানত।",
              "numberInSurah": 102,
              "juz": 1,
              "manzil": 1,
              "page": 16,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাবা‘উ মা-তাতলুশশাইয়া-তীনু‘আলা- মুলকি ছুলাইমা-না ওয়ামা-কাফারা ছুলাইমা-নু ওয়ালা- কিন্নাশশাইয়া-তীনা কাফারূ ইউ‘আলিলমূনান্না-ছাছছিহরা ওয়ামা উনঝিলা ‘আলাল মালাকাইনি ব্বিা-বিলা হা-রূতা ওয়ামা-রূতা ওয়ামা- ইউ‘আলিলমা-নি মিন আহাদিন হাত্তা-ইয়াকূলা ইন্নামা-নাহনুফিতনাতুন ফালা-তাকফুর ফাইয়াতা‘আল্লামূনা মিনহুমা- মা-ইউফাররিকূনা বিহী বাইনাল মারই ওয়াঝাওজিহী ওয়ামা-হুম বিদাররীনা বিহী মিন আহাদিন ইল্লা- বিইযনিল্লা-হি ওয়াইয়াতা‘আল্লামূনা মা-ইয়াদুররুহুম ওয়ালাইয়ানফা‘উহুম ওয়ালাকাদ ‘আলিমূলামানিশতারা-হু মা-লাহূফিল আ-খিরাতি মিন খালাকিওঁ ওয়ালাবি’ছা মা-শারাও বিহী আনফুছাহুম লাও কা-নূইয়া‘লামূন।",
              "words_arabic": "وَ اتَّبَعُوْا/وَٱتَّبَعُواْ/wa-ittaba'u//مَا/مَا/ma//تَتْلُوا/تَتۡلُواْ/tatlu//الشَّیٰطِیْنُ/ٱلشَّيَٰطِينُ/al-shayatinu//عَلٰی/عَلَىٰ/ala//مُلْكِ/مُلۡكِ/mul'ki//سُلَیْمٰنَ ۚ/سُلَيۡمَٰنَۖ/sulaymana//وَ مَا/وَمَا/wama//كَفَرَ/كَفَرَ/kafara//سُلَیْمٰنُ/سُلَيۡمَٰنُ/sulaymanu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الشَّیٰطِیْنَ/ٱلشَّيَٰطِينَ/al-shayatina//كَفَرُوْا/كَفَرُواْ/kafaru//یُعَلِّمُوْنَ/يُعَلِّمُونَ/yu'allimuna//النَّاسَ/ٱلنَّاسَ/al-nasa//السِّحْرَ ۗ/ٱلسِّحۡرَ/al-sih'ra//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//عَلَی/عَلَى/ala//الْمَلَكَیْنِ/ٱلۡمَلَكَيۡنِ/al-malakayni//بِبَابِلَ/بِبَابِلَ/bibabila//هَارُوْتَ/هَٰرُوتَ/haruta//وَ مَارُوْتَ ؕ/وَمَٰرُوتَۚ/wamaruta//وَ مَا/وَمَا/wama//یُعَلِّمٰنِ/يُعَلِّمَانِ/yu'allimani//مِنْ/مِنۡ/min//اَحَدٍ/أَحَدٍ/ahadin//حَتّٰی/حَتَّىٰ/hatta//یَقُوْلَاۤ/يَقُولَآ/yaqula//اِنَّمَا/إِنَّمَا/innama//نَحْنُ/نَحۡنُ/nahnu//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//فَلَا/فَلَا/fala//تَكْفُرْ ؕ/تَكۡفُرۡۖ/takfur//فَیَتَعَلَّمُوْنَ/فَيَتَعَلَّمُونَ/fayata'allamuna//مِنْهُمَا/مِنۡهُمَا/min'huma//مَا/مَا/ma//یُفَرِّقُوْنَ/يُفَرِّقُونَ/yufarriquna//بِهٖ/بِهِۦ/bihi//بَیْنَ/بَيۡنَ/bayna//الْمَرْءِ/ٱلۡمَرۡءِ/al-mari//وَ زَوْجِهٖ ؕ/وَزَوۡجِهِۦۚ/wazawjihi//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِضَآرِّیْنَ/بِضَآرِّينَ/bidarrina//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//اَحَدٍ/أَحَدٍ/ahadin//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ یَتَعَلَّمُوْنَ/وَيَتَعَلَّمُونَ/wayata'allamuna//مَا/مَا/ma//یَضُرُّهُمْ/يَضُرُّهُمۡ/yadurruhum//وَ لَا/وَلَا/wala//یَنْفَعُهُمْ ؕ/يَنفَعُهُمۡۚ/yanfa'uhum//وَ لَقَدْ/وَلَقَدۡ/walaqad//عَلِمُوْا/عَلِمُواْ/alimu//لَمَنِ/لَمَنِ/lamani//اشْتَرٰىهُ/ٱشۡتَرَىٰهُ/ish'tarahu//مَا/مَا/ma//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//مِنْ/مِنۡ/min//خَلَاقٍ ؕ۫/خَلَٰقٖۚ/khalaqin//وَ لَبِئْسَ/وَلَبِئۡسَ/walabi'sa//مَا/مَا/ma//شَرَوْا/شَرَوۡاْ/sharaw//بِهٖۤ/بِهِۦٓ/bihi//اَنْفُسَهُمْ ؕ/أَنفُسَهُمۡۚ/anfusahum//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং তারা অনুসরণ করেছে//(তার) যা//পাঠ করত//শয়তানরা//সম্পর্কে//রাজত্বের//সুলায়মানের//আর না//অবিশ্বাস করেছিল//সুলাইমান//কিন্তু//শয়তানরা//অবিশ্বাস করেছিল//(তারাই) শিখাত//মানুষদেরকে//জাদু//এবং (আয়ত্ত্ব করত) যা//অবতীর্ণ করা হয়েছিল//উপর//দুই ফেরেশতার//বাবেল (শহরে)//হারুত//ও মারূত (নামের)//অথচ না//দুজনে শিখিয়েছে//কোনো//কাউকে//যতক্ষণ না//দুজনে বলেছে//''মূলত//আমরা//পরীক্ষা (মাত্র)//অতএব না//অবিশ্বাস করো''//তবুও তারা শিখে//তাদের দুজন থেকে//যা//তারা বিচ্ছেদ ঘটাত//তা দিয়ে//মাঝে//পুরুষের (স্বামীর)//ও তার স্ত্রীর//এবং না//তারা//ক্ষতি করতে পারত//এ দিয়ে//কোনো//কাউকে//এ ছাড়া//অনুমতি নিয়ে//আল্লাহ্‌র//এবং তারা শিখে//(এমনকিছু) যা//ক্ষতি করত তাদের//এবং না//তাদের উপকার করত//এবং নিশ্চয়ই//তারা জেনেছিল//অবশ্যই যে কেউ//তা কিনবে//নেই//তার জন্য//মধ্যে//আখিরাতে//কোনো//অংশ//এবং অবশ্যই কত নিকৃষ্ট//তা//বিনিময়ে তারা বিক্রি করে//যার//তাদের জীবনকে//যদি//(তারা)//তারা জানতো"
            },
            {
              "number": 110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/110.mp3"
              ],
              "text": "وَلَوْ أَنَّهُمْ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَمَثُوبَةٌۭ مِّنْ عِندِ ٱللَّهِ خَيْرٌۭ ۖ لَّوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "যদি তারা ঈমান আনত এবং খোদাভীরু হত, তবে আল্লাহর কাছ থেকে উত্তম প্রতিদান পেত। যদি তারা জানত।",
              "numberInSurah": 103,
              "juz": 1,
              "manzil": 1,
              "page": 16,
              "ruku": 13,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্নাহুম আ-মানূ ওয়াত্তাকাও লামাছূবাতুম মিন ‘ইনদিল্লা-হি খাইরুল লাও কা-নূ ইয়া‘লামূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ اتَّقَوْا/وَٱتَّقَوۡاْ/wa-ittaqaw//لَمَثُوْبَةٌ/لَمَثُوبَةٞ/lamathubatun//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ ؕ/خَيۡرٞۚ/khayrun//لَوْ/لَّوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যদি//তারা//ঈমান আনত//এবং তাকওয়া অবলম্বন করত//অবশ্যই পুরস্কার পেত//থেকে//নিকট//আল্লাহ্‌র//উত্তম//যদি//(তারা)//তারা জানত"
            },
            {
              "number": 111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/111.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقُولُوا۟ رَٰعِنَا وَقُولُوا۟ ٱنظُرْنَا وَٱسْمَعُوا۟ ۗ وَلِلْكَٰفِرِينَ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "হে মুমিন গণ, তোমরা ‘রায়িনা’ বলো না-‘উনযুরনা’ বল এবং শুনতে থাক। আর কাফেরদের জন্যে রয়েছে বেদনাদায়ক শাস্তি।",
              "numberInSurah": 104,
              "juz": 1,
              "manzil": 1,
              "page": 16,
              "ruku": 14,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূ লা-তাকূলূরা-‘ইনা- ওয়া কূলুনজু রনা- ওয়াছমা‘ঊ ওয়া লিলকা-ফিরীনা ‘আযা-বুন আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَقُوْلُوْا/تَقُولُواْ/taqulu//رَاعِنَا/رَٰعِنَا/ra'ina//وَ قُوْلُوا/وَقُولُواْ/waqulu//انْظُرْنَا/ٱنظُرۡنَا/unzur'na//وَ اسْمَعُوْا ؕ/وَٱسۡمَعُواْۗ/wa-is'ma'u//وَ لِلْكٰفِرِیْنَ/وَلِلۡكَٰفِرِينَ/walil'kafirina//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//''না//তোমরা বলো//''রায়িনা''//বরং তোমরা বলো//''উনজুরনা''//এবং তোমরা শুনো//এবং কাফিরদের জন্য (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/112.mp3"
              ],
              "text": "مَّا يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَٰبِ وَلَا ٱلْمُشْرِكِينَ أَن يُنَزَّلَ عَلَيْكُم مِّنْ خَيْرٍۢ مِّن رَّبِّكُمْ ۗ وَٱللَّهُ يَخْتَصُّ بِرَحْمَتِهِۦ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "আহলে-কিতাব ও মুশরিকদের মধ্যে যারা কাফের, তাদের মনঃপুত নয় যে, তোমাদের পালনকর্তার পক্ষ থেকে তোমাদের প্রতি কোন কল্যাণ অবতীর্ণ হোক। আল্লাহ যাকে ইচ্ছা বিশেষ ভাবে স্বীয় অনুগ্রহ দান করেন। আল্লাহ মহান অনুগ্রহদাতা।",
              "numberInSurah": 105,
              "juz": 1,
              "manzil": 1,
              "page": 16,
              "ruku": 14,
              "hizbQuarter": 6,
              "sajda": false,
              "pronunciation_bn": "মা-ইয়াওয়াদ্দুল্লাযীনা কাফারূ মিন আহলিল কিতা-বি ওয়ালাল মুশরিকীনা আইঁ ইউনাঝঝালা ‘আলাইকুম মিন খাইরিম মির রাব্বিকুম ওয়াল্লা-হু ইয়াখতাসসু বিরাহমাতিহী মাইঁ ইয়াশাউ ওয়াল্লা-হু যুল ফাদলিল ‘আজীম।",
              "words_arabic": "مَا/مَّا/ma//یَوَدُّ/يَوَدُّ/yawaddu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ لَا/وَلَا/wala//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//اَنْ/أَن/an//یُّنَزَّلَ/يُنَزَّلَ/yunazzala//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْ/مِّنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//مِّنْ/مِّن/min//رَّبِّكُمْ ؕ/رَّبِّكُمۡۚ/rabbikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَخْتَصُّ/يَخۡتَصُّ/yakhtassu//بِرَحْمَتِهٖ/بِرَحۡمَتِهِۦ/birahmatihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "না//চায়//যারা//অবিশ্বাস করেছে//মধ্য হতে//আহলে//কিতাবের//এবং না//মুশরিকদের (মধ্য হতে)//যে//অবতীর্ণ হোক//তোমাদের উপর//কোনো//কল্যাণ//পক্ষ হতে//তোমাদের রবের//কিন্তু আল্লাহ্‌//বিশেষভাবে মনোনীত করেন//তার দয়া দিয়ে//যাকে//তিনি চান//এবং আল্লাহ্‌//(একটি)//অনুগ্রহের অধিকারী//মহা"
            },
            {
              "number": 113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/113.mp3"
              ],
              "text": "۞ مَا نَنسَخْ مِنْ ءَايَةٍ أَوْ نُنسِهَا نَأْتِ بِخَيْرٍۢ مِّنْهَآ أَوْ مِثْلِهَآ ۗ أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "আমি কোন আয়াত রহিত করলে অথবা বিস্মৃত করিয়ে দিলে তদপেক্ষা উত্তম অথবা তার সমপর্যায়ের আয়াত আনয়ন করি। তুমি কি জান না যে, আল্লাহ সব কিছুর উপর শক্তিমান?",
              "numberInSurah": 106,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "মা-নানছাখ মিন আ-য়াতিন আও নুনছিহা- না’তি বিখাইরিম মিনহাআও মিছলিহা- আলাম তা‘লাম আন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "مَا/۞مَا/ma//نَنْسَخْ/نَنسَخۡ/nansakh//مِنْ/مِنۡ/min//اٰیَةٍ/ءَايَةٍ/ayatin//اَوْ/أَوۡ/aw//نُنْسِهَا/نُنسِهَا/nunsiha//نَاْتِ/نَأۡتِ/nati//بِخَیْرٍ/بِخَيۡرٖ/bikhayrin//مِّنْهَاۤ/مِّنۡهَآ/min'ha//اَوْ/أَوۡ/aw//مِثْلِهَا ؕ/مِثۡلِهَآۗ/mith'liha//اَلَمْ/أَلَمۡ/alam//تَعْلَمْ/تَعۡلَمۡ/ta'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "যা//আমরা রহিত করি//(অর্থাৎ) কোনো//আয়াত//অথবা//তা আমরা ভুলিয়ে দিই//আনি আমরা//উত্তম//তার চেয়ে//অথবা//তার অনুরূপ//নাকি//তুমি জান//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/114.mp3"
              ],
              "text": "أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّۢ وَلَا نَصِيرٍ",
              "translate_bn": "তুমি কি জান না যে, আল্লাহর জন্যই নভোমন্ডল ও ভূমন্ডলের আধিপত্য? আল্লাহ ব্যতীত তোমাদের কোন বন্ধু ও সাহায্যকারী নেই।",
              "numberInSurah": 107,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "আলাম তা‘লাম আন্নাল্লা-হা লাহমুলকুছছামা-ওয়া-তি ওয়াল আর দিওয়ামা-লাকুম মিন দূনিল্লা-হি মিওঁ ওয়ালিইয়িওঁ ওয়ালা-নাসীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَعْلَمْ/تَعۡلَمۡ/ta'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ /نَصِيرٍ/nasirin",
              "words_bangla": "নাকি//তুমি জান//যে//আল্লাহ্‌ (এমন যে)//তাঁরই জন্যে//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এবং//নেই তোমাদের জন্য//দিয়ে(থেকে)//বাদ//আল্লাহ্‌কে//কোনো//বন্ধু//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/115.mp3"
              ],
              "text": "أَمْ تُرِيدُونَ أَن تَسْـَٔلُوا۟ رَسُولَكُمْ كَمَا سُئِلَ مُوسَىٰ مِن قَبْلُ ۗ وَمَن يَتَبَدَّلِ ٱلْكُفْرَ بِٱلْإِيمَٰنِ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ",
              "translate_bn": "ইতিপূর্বে মূসা (আঃ) যেমন জিজ্ঞাসিত হয়েছিলেন, (মুসলমানগন, ) তোমরাও কি তোমাদের রসূলকে তেমনি প্রশ্ন করতে চাও? যে কেউ ঈমানের পরিবর্তে কুফর গ্রহন করে, সে সরল পথ থেকে বিচ্যুত হয়ে যায়।",
              "numberInSurah": 108,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "আম তুরীদূ না আন তাছআলূ রাছূলাকুম কামা-ছুইলা মূছা-মিন কাবলু ওয়া মাইঁ ইয়াতাবাদ্দালিল কুফরা বিলঈমা-নি ফাকাদ্দাল্লা ছাওয়াআছছাবীল।",
              "words_arabic": "اَمْ/أَمۡ/am//تُرِیْدُوْنَ/تُرِيدُونَ/turiduna//اَنْ/أَن/an//تَسْـَٔلُوْا/تَسۡـَٔلُواْ/tasalu//رَسُوْلَكُمْ/رَسُولَكُمۡ/rasulakum//كَمَا/كَمَا/kama//سُىِٕلَ/سُئِلَ/su-ila//مُوْسٰی/مُوسَىٰ/musa//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۗ/qablu//وَ مَنْ/وَمَن/waman//یَّتَبَدَّلِ/يَتَبَدَّلِ/yatabaddali//الْكُفْرَ/ٱلۡكُفۡرَ/al-kuf'ra//بِالْاِیْمَانِ/بِٱلۡإِيمَٰنِ/bil-imani//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//سَوَآءَ/سَوَآءَ/sawaa//السَّبِیْلِ /ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "কি//তোমরা চাও//যে//প্রশ্ন করবে//তোমাদের রাসূলকে//যেমন//প্রশ্ন করা হয়েছিল//মূসা//থেকে//পূর্বে//এবং যে//পরিবর্তন করল//অবিশ্বাস//ঈমানের বদলে//নিশ্চয়ই//সে হারাল//সরল সোজা//পথ"
            },
            {
              "number": 116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/116.mp3"
              ],
              "text": "وَدَّ كَثِيرٌۭ مِّنْ أَهْلِ ٱلْكِتَٰبِ لَوْ يَرُدُّونَكُم مِّنۢ بَعْدِ إِيمَٰنِكُمْ كُفَّارًا حَسَدًۭا مِّنْ عِندِ أَنفُسِهِم مِّنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْحَقُّ ۖ فَٱعْفُوا۟ وَٱصْفَحُوا۟ حَتَّىٰ يَأْتِىَ ٱللَّهُ بِأَمْرِهِۦٓ ۗ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "আহলে কিতাবদের অনেকেই প্রতিহিংসাবশতঃ চায় যে, মুসলমান হওয়ার পর তোমাদেরকে কোন রকমে কাফের বানিয়ে দেয়। তাদের কাছে সত্য প্রকাশিত হওয়ার পর (তারা এটা চায়)। যাক তোমরা আল্লাহর নির্দেশ আসা পর্যন্ত তাদের ক্ষমা কর এবং উপেক্ষা কর। নিশ্চয় আল্লাহ সব কিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 109,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়াদ্দা কাছীরুম মিন আহলিল কিতা-বি লাও ইয়ারুদ্দূনাকুম মিম বা‘দি ঈমা-নিকুম কুফফা-রান হাছাদাম মিন ‘ইনদি আনফুছিহিম মিম বা‘দি মা-তাবাইইয়ানা লাহুমুল হাক্কু ফা‘ফূ ওয়াসফাহূহাত্তা- ইয়া’তিয়াল্লা-হু বিআমরিহী ইন্নাল্লা-হা ‘আলা- কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَدَّ/وَدَّ/wadda//كَثِیْرٌ/كَثِيرٞ/kathirun//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَوْ/لَوۡ/law//یَرُدُّوْنَكُمْ/يَرُدُّونَكُم/yaruddunakum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اِیْمَانِكُمْ/إِيمَٰنِكُمۡ/imanikum//كُفَّارًا ۖۚ/كُفَّارًا/kuffaran//حَسَدًا/حَسَدٗا/hasadan//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اَنْفُسِهِمْ/أَنفُسِهِم/anfusihim//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهُمُ/لَهُمُ/lahumu//الْحَقُّ ۚ/ٱلۡحَقُّۖ/al-haqu//فَاعْفُوْا/فَٱعۡفُواْ/fa-i'fu//وَ اصْفَحُوْا/وَٱصۡفَحُواْ/wa-is'fahu//حَتّٰی/حَتَّىٰ/hatta//یَاْتِیَ/يَأۡتِيَ/yatiya//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦٓۗ/bi-amrihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "কামনা করে//অনেকে//মধ্য থেকে//অধিকারীদের//কিতাবের//যদি//তোমাদের ফিরাতে পারত//থেকে//পর//তোমাদের ঈমানের//অবিশ্বাস//হিংসা বশত//থেকে//কাছে//তাদের নিজেদের//থেকে//এরপর//যা//সুস্পষ্ট হয়েছে//তাদের কাছে//প্রকৃত সত্য//অতএব তোমরা ক্ষমা করো//ও উপেক্ষা করো//যতক্ষণ না//(ফায়সালা করে) দেন//আল্লাহ্‌//তাঁর নির্দেশ দিয়ে//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/117.mp3"
              ],
              "text": "وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ ۚ وَمَا تُقَدِّمُوا۟ لِأَنفُسِكُم مِّنْ خَيْرٍۢ تَجِدُوهُ عِندَ ٱللَّهِ ۗ إِنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "তোমরা নামায প্রতিষ্ঠা কর এবং যাকাত দাও। তোমরা নিজের জন্যে পূর্বে যে সৎকর্ম প্রেরণ করবে, তা আল্লাহর কাছে পাবে। তোমরা যা কিছু কর, নিশ্চয় আল্লাহ তা প্রত্যক্ষ করেন।",
              "numberInSurah": 110,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকীমুসসালা-তা ওয়া আ-তুঝঝাকা-তা ওয়ামা- তুকাদ্দিমূ লিআনফুছিকুম মিন খাইরিন তাজিদূ হু ‘ইনদাল্লা-হি ইন্নাল্লা-হা বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ ؕ/ٱلزَّكَوٰةَۚ/al-zakata//وَ مَا/وَمَا/wama//تُقَدِّمُوْا/تُقَدِّمُواْ/tuqaddimu//لِاَنْفُسِكُمْ/لِأَنفُسِكُم/li-anfusikum//مِّنْ/مِّنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//تَجِدُوْهُ/تَجِدُوهُ/tajiduhu//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "এবং তোমরা প্রতিষ্ঠা করো//সলাত//ও তোমরা আদায় করো//যাকাত//এবং যা//তোমরা আগে পাঠাবে//তোমাদের নিজেদের জন্য//কোনো//কল্যাণ//তা তোমরা পাবে//কাছে//আল্লাহ্‌র//নিশ্চয়ই//আল্লাহ্‌//ঐ ব্যাপারে//তোমরা করছ//খুব দেখছেন"
            },
            {
              "number": 118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/118.mp3"
              ],
              "text": "وَقَالُوا۟ لَن يَدْخُلَ ٱلْجَنَّةَ إِلَّا مَن كَانَ هُودًا أَوْ نَصَٰرَىٰ ۗ تِلْكَ أَمَانِيُّهُمْ ۗ قُلْ هَاتُوا۟ بُرْهَٰنَكُمْ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "ওরা বলে, ইহুদী অথবা খ্রীস্টান ব্যতীত কেউ জান্নাতে যাবে না। এটা ওদের মনের বাসনা। বলে দিন, তোমরা সত্যবাদী হলে, প্রমাণ উপস্থিত কর।",
              "numberInSurah": 111,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূ লাইঁ ইয়াদখুলাল জান্নাতা ইল্লা-মান কা-না হূদান আও নাসা-রা- তিলকা আমা নিইয়ুহুম কূল হা-তূ বুরহা-নাকুম ইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَنْ/لَن/lan//یَّدْخُلَ/يَدۡخُلَ/yadkhula//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//كَانَ/كَانَ/kana//هُوْدًا/هُودًا/hudan//اَوْ/أَوۡ/aw//نَصٰرٰی ؕ/نَصَٰرَىٰۗ/nasara//تِلْكَ/تِلۡكَ/til'ka//اَمَانِیُّهُمْ ؕ/أَمَانِيُّهُمۡۗ/amaniyyuhum//قُلْ/قُلۡ/qul//هَاتُوْا/هَاتُواْ/hatu//بُرْهَانَكُمْ/بُرۡهَٰنَكُمۡ/bur'hanakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//''কখনও না//প্রবেশ করবে (অন্য কেউ)//জান্নাতে//এছাড়া//যে//হবে//ইহুদী//অথবা//খ্রিষ্টান''//এটা//তাদের মিথ্যাআসা মাত্র//বলো//''তোমরা নিয়ে আস//তোমাদের প্রমাণ//যদি//তোমরা হও//সত্যবাদী''"
            },
            {
              "number": 119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/119.mp3"
              ],
              "text": "بَلَىٰ مَنْ أَسْلَمَ وَجْهَهُۥ لِلَّهِ وَهُوَ مُحْسِنٌۭ فَلَهُۥٓ أَجْرُهُۥ عِندَ رَبِّهِۦ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "হাঁ, যে ব্যক্তি নিজেকে আল্লাহর উদ্দেশ্যে সমর্পন করেছে এবং সে সৎকর্মশীলও বটে তার জন্য তার পালনকর্তার কাছে পুরস্কার বয়েছে। তাদের ভয় নেই এবং তারা চিন্তিতও হবে না।",
              "numberInSurah": 112,
              "juz": 1,
              "manzil": 1,
              "page": 17,
              "ruku": 14,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "বালা- মান আছলামা ওয়াজহাহূ লিল্লা-হি ওয়া হুওয়া মুহছিনুন ফালাহূ আজরুহু ‘ইনদা রাব্বিহী ওয়ালা- খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "بَلٰی ۗ/بَلَىٰۚ/bala//مَنْ/مَنۡ/man//اَسْلَمَ/أَسۡلَمَ/aslama//وَجْهَهٗ/وَجۡهَهُۥ/wajhahu//لِلّٰهِ/لِلَّهِ/lillahi//وَ هُوَ/وَهُوَ/wahuwa//مُحْسِنٌ/مُحۡسِنٞ/muh'sinun//فَلَهٗۤ/فَلَهُۥٓ/falahu//اَجْرُهٗ/أَجۡرُهُۥ/ajruhu//عِنْدَ/عِندَ/inda//رَبِّهٖ ۪/رَبِّهِۦ/rabbihi//وَ لَا/وَلَا/wala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ۠/يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "তবে হ্যাঁ//যে//সঁপে দিয়েছে//তার সত্তাকে//আল্লাহ্‌র জন্য//এবং সে//সত্যনিষ্ঠও//তবে তার জন্য//তার প্রতিফল (রয়েছে)//কাছে//তার রবের//এবং না (আছে)//কোনো ভয়//তাদের জন্য//আর না//তারা//চিন্তা করবে"
            },
            {
              "number": 120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/120.mp3"
              ],
              "text": "وَقَالَتِ ٱلْيَهُودُ لَيْسَتِ ٱلنَّصَٰرَىٰ عَلَىٰ شَىْءٍۢ وَقَالَتِ ٱلنَّصَٰرَىٰ لَيْسَتِ ٱلْيَهُودُ عَلَىٰ شَىْءٍۢ وَهُمْ يَتْلُونَ ٱلْكِتَٰبَ ۗ كَذَٰلِكَ قَالَ ٱلَّذِينَ لَا يَعْلَمُونَ مِثْلَ قَوْلِهِمْ ۚ فَٱللَّهُ يَحْكُمُ بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "ইহুদীরা বলে, খ্রীস্টানরা কোন ভিত্তির উপরেই নয় এবং খ্রীস্টানরা বলে, ইহুদীরা কোন ভিত্তির উপরেই নয়। অথচ ওরা সবাই কিতাব পাঠ করে! এমনিভাবে যারা মূর্খ, তারাও ওদের মতই উক্তি করে। অতএব, আল্লাহ কেয়ামতের দিন তাদের মধ্যে ফয়সালা দেবেন, যে বিষয়ে তারা মতবিরোধ করছিল।",
              "numberInSurah": 113,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লাতিল ইয়াহূদূ লাইছাতিন নাসা-রা- ‘আলা- শাইয়িওঁ ওয়াকা-লাতিন নাসা-রা-লাইছাতিল ইয়াহূদূ ‘আলা শাইয়িওঁ ওয়া হুম ইয়াতলূনাল কিতা-বা কাযা-লিকা কা-লাল্লাযীনা লা-ইয়া‘লামূনা মিছলা কাওলিহিম ফাল্লা-হু ইয়াহকুমুবাইনাহুম ইয়াওমাল কিয়া-মাতি ফীমা-কানূ ফীহি ইয়াখতালিফূন।",
              "words_arabic": "وَ قَالَتِ/وَقَالَتِ/waqalati//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//لَیْسَتِ/لَيۡسَتِ/laysati//النَّصٰرٰی/ٱلنَّصَٰرَىٰ/al-nasara//عَلٰی/عَلَىٰ/ala//شَیْءٍ ۪/شَيۡءٖ/shayin//وَّ قَالَتِ/وَقَالَتِ/waqalati//النَّصٰرٰی/ٱلنَّصَٰرَىٰ/al-nasara//لَیْسَتِ/لَيۡسَتِ/laysati//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//عَلٰی/عَلَىٰ/ala//شَیْءٍ ۙ/شَيۡءٖ/shayin//وَّ هُمْ/وَهُمۡ/wahum//یَتْلُوْنَ/يَتۡلُونَ/yatluna//الْكِتٰبَ ؕ/ٱلۡكِتَٰبَۗ/al-kitaba//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//مِثْلَ/مِثۡلَ/mith'la//قَوْلِهِمْ ۚ/قَوۡلِهِمۡۚ/qawlihim//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "এবং বলে//ইহূদীরা//''নেই//খ্রিষ্টানরা//উপর//কোন কিছুর (প্রতিষ্ঠিত)''//এবং বলে//খ্রিষ্টানরা//''নেই//ইহুদীরা//উপর//কোন কিছুর (প্রতিষ্ঠিত)''//অথচ তারা//তিলাওয়াত করে//কিতাব//এভাবে//(তারাও) বলে//যারা//না//জানে (প্রকৃত সত্য)//মতো//তাদের কথার//অতএব আল্লাহ্‌//মীমাংসা করবেন//তাদের মাঝে//দিনে//কিয়ামাতের//সে বিষয়ে যা//তারা ছিল//সে ব্যাপারে//তারা মতবিরোধ করত"
            },
            {
              "number": 121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/121.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّن مَّنَعَ مَسَٰجِدَ ٱللَّهِ أَن يُذْكَرَ فِيهَا ٱسْمُهُۥ وَسَعَىٰ فِى خَرَابِهَآ ۚ أُو۟لَٰٓئِكَ مَا كَانَ لَهُمْ أَن يَدْخُلُوهَآ إِلَّا خَآئِفِينَ ۚ لَهُمْ فِى ٱلدُّنْيَا خِزْىٌۭ وَلَهُمْ فِى ٱلْءَاخِرَةِ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "যে ব্যাক্তি আল্লাহর মসজিদসমূহে তাঁর নাম উচ্চারণ করতে বাধা দেয় এবং সেগুলোকে উজাড় করতে চেষ্টা করে, তার চাইতে বড় যালেম আর কে? এদের পক্ষে মসজিদসমূহে প্রবেশ করা বিধেয় নয়, অবশ্য ভীত-সন্ত্রস্ত অবস্থায়। ওদের জন্য ইহকালে লাঞ্ছনা এবং পরকালে কঠিন শাস্তি রয়েছে।",
              "numberInSurah": 114,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়ামান আজলামু মিম্মাম মানা‘আ মাছা-জিদাল্লা-হি আইঁ ইউযকারা ফীহাছমুহূওয়া ছা‘আ-ফী খারা-বিহা- উলাইকা মা-কা-না লাহুম আইঁ উয়াদখুলূহাইল্লা-খাইফীন লাহুম ফিদ্দুনইয়া-খিঝয়ুউঁ ওয়া লাহুম ফিল আ-খিরাতি ‘আযা-বুন ‘আজীম।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//مَّنَعَ/مَّنَعَ/mana'a//مَسٰجِدَ/مَسَٰجِدَ/masajida//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْ/أَن/an//یُّذْكَرَ/يُذۡكَرَ/yudh'kara//فِیْهَا/فِيهَا/fiha//اسْمُهٗ/ٱسۡمُهُۥ/us'muhu//وَ سَعٰی/وَسَعَىٰ/wasa'a//فِیْ/فِي/fi//خَرَابِهَا ؕ/خَرَابِهَآۚ/kharabiha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//مَا/مَا/ma//كَانَ/كَانَ/kana//لَهُمْ/لَهُمۡ/lahum//اَنْ/أَن/an//یَّدْخُلُوْهَاۤ/يَدۡخُلُوهَآ/yadkhuluha//اِلَّا/إِلَّا/illa//خَآىِٕفِیْنَ ؕ۬/خَآئِفِينَۚ/khaifina//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//خِزْیٌ/خِزۡيٞ/khiz'yun//وَّ لَهُمْ/وَلَهُمۡ/walahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "এবং কে (আছে)//বড় সীমালঙ্ঘনকারী//তার চেয়ে যে//বাধা দেয়//মাসজিদে//আল্লাহ্‌র//যে//স্মরণ করা//তার মধ্যে//তার নাম//এবং সে চেষ্টা করে//ব্যাপারে//তার ধ্বংসের//ঐসব লোক//নয়//(সঙ্গত) ছিল//তাদের জন্য//যে//তাতে প্রবেশ করবে//এছাড়া যে//ভীত হয়ে//তাদের জন্য(রয়েছে)//মধ্যে//পৃথিবীর//লাঞ্ছনা//ও তাদের জন্য(রয়েছে)//মধ্যে//আখিরাতের//শাস্তি//কঠিন"
            },
            {
              "number": 122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/122.mp3"
              ],
              "text": "وَلِلَّهِ ٱلْمَشْرِقُ وَٱلْمَغْرِبُ ۚ فَأَيْنَمَا تُوَلُّوا۟ فَثَمَّ وَجْهُ ٱللَّهِ ۚ إِنَّ ٱللَّهَ وَٰسِعٌ عَلِيمٌۭ",
              "translate_bn": "পূর্ব ও পশ্চিম আল্লারই। অতএব, তোমরা যেদিকেই মুখ ফেরাও, সেদিকেই আল্লাহ বিরাজমান। নিশ্চয় আল্লাহ সর্বব্যাপী, সর্বজ্ঞ।",
              "numberInSurah": 115,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হিল মাশরিকু ওয়াল মাগরিবু ফাআইনামা-তুওয়াললূ ফাছাম্মা ওয়াজহুল্লা-হি ইন্নাল্লা-হা ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//الْمَشْرِقُ/ٱلۡمَشۡرِقُ/al-mashriqu//وَ الْمَغْرِبُ ۗ/وَٱلۡمَغۡرِبُۚ/wal-maghribu//فَاَیْنَمَا/فَأَيۡنَمَا/fa-aynama//تُوَلُّوْا/تُوَلُّواْ/tuwallu//فَثَمَّ/فَثَمَّ/fathamma//وَجْهُ/وَجۡهُ/wajhu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং আল্লাহরই জন্যে//পূর্ব//ও পশ্চিম//অতএব যে দিকেই//মুখ ফিরাও তোমরা//অতঃপর সেখানেই//দিক//আল্লাহ্‌র//নিশ্চয়ই//আল্লাহ্‌//সর্বব্যাপী//সবকিছু জানেন"
            },
            {
              "number": 123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/123.mp3"
              ],
              "text": "وَقَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًۭا ۗ سُبْحَٰنَهُۥ ۖ بَل لَّهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ كُلٌّۭ لَّهُۥ قَٰنِتُونَ",
              "translate_bn": "তারা বলে, আল্লাহ সন্তান গ্রহণ করেছেন। তিনি তো এসব কিছু থেকে পবিত্র, বরং নভোমন্ডল ও ভূমন্ডলে যা কিছু রয়েছে সবই তার আজ্ঞাধীন।",
              "numberInSurah": 116,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লুত্তাখাযাল্লা-হু ওয়ালাদান ছুবহা-নাহূ বাল লাহূ মা-ফিছছামা-ওয়া-তি ওয়াল আরদিকুল্লুল লাহূকা-নিতূন।",
              "words_arabic": "وَ قَالُوا/وَقَالُواْ/waqalu//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اللّٰهُ/ٱللَّهُ/al-lahu//وَلَدًا ۙ/وَلَدٗاۗ/waladan//سُبْحٰنَهٗ ؕ/سُبۡحَٰنَهُۥۖ/sub'hanahu//بَلْ/بَل/bal//لَّهٗ/لَّهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//كُلٌّ/كُلّٞ/kullun//لَّهٗ/لَّهُۥ/lahu//قٰنِتُوْنَ /قَٰنِتُونَ/qanituna",
              "words_bangla": "এবং তারা বলে//''গ্রহণ করেছেন//আল্লাহ্‌//সন্তান''//তিনি পবিত্র//বরং//(রয়েছে) তাঁর জন্যে//যাকিছু (আছে)//মধ্যে//আকাশ সমূহের//ও পৃথিবীর//সবকিছুই//তাঁরই জন্য//অনুগত"
            },
            {
              "number": 124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/124.mp3"
              ],
              "text": "بَدِيعُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ وَإِذَا قَضَىٰٓ أَمْرًۭا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "তিনি নভোমন্ডল ও ভূমন্ডলের উদ্ভাবক। যখন তিনি কোন কার্য সম্পাদনের সিন্ধান্ত নেন, তখন সেটিকে একথাই বলেন, ‘হয়ে যাও’ তৎক্ষণাৎ তা হয়ে যায়।",
              "numberInSurah": 117,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "বাদী‘উছছামা-ওয়া-তি ওয়াল আর দিওয়া ইযা-কাদাআমরান ফাইন্নামা-ইয়াকূলু লাহূ কুন ফাইয়াকূন।",
              "words_arabic": "بَدِیْعُ/بَدِيعُ/badi'u//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//وَ اِذَا/وَإِذَا/wa-idha//قَضٰۤی/قَضَىٰٓ/qada//اَمْرًا/أَمۡرٗا/amran//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَقُوْلُ/يَقُولُ/yaqulu//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ /فَيَكُونُ/fayakunu",
              "words_bangla": "(তিনি) স্রষ্টা//আকাশ সমূহের//ও পৃথিবীর//এবং যখন//সিদ্ধান্ত করেন//কোনো কাজ (করার)//শুধুমাত্র//বলেন//তার//''হও''//তখনই তা হয়ে যায়"
            },
            {
              "number": 125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/125.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ لَا يَعْلَمُونَ لَوْلَا يُكَلِّمُنَا ٱللَّهُ أَوْ تَأْتِينَآ ءَايَةٌۭ ۗ كَذَٰلِكَ قَالَ ٱلَّذِينَ مِن قَبْلِهِم مِّثْلَ قَوْلِهِمْ ۘ تَشَٰبَهَتْ قُلُوبُهُمْ ۗ قَدْ بَيَّنَّا ٱلْءَايَٰتِ لِقَوْمٍۢ يُوقِنُونَ",
              "translate_bn": "যারা কিছু জানে না, তারা বলে, আল্লাহ আমাদের সঙ্গে কেন কথা বলেন না? অথবা আমাদের কাছে কোন নিদর্শন কেন আসে না? এমনি ভাবে তাদের পূর্বে যারা ছিল তারাও তাদেরই অনুরূপ কথা বলেছে। তাদের অন্তর একই রকম। নিশ্চয় আমি উজ্জ্বল নিদর্শনসমূহ বর্ণনা করেছি তাদের জন্যে যারা প্রত্যয়শীল।",
              "numberInSurah": 118,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা লা-ইয়া‘লামূনা লাওলা-ইউকালিলমুনাল্লা-হু আও তা’তীনা আ-য়াতুন কাযা-লিকা কালাল্লাযীনা মিন কাবলিহিম মিছলা কাওলিহিম তাশা-বাহাত কূলূবুহুম কাদ বাইইয়ান্নাল আ-য়া-তি লিকাওমিইঁ ইঊকিনূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//لَوْ لَا/لَوۡلَا/lawla//یُكَلِّمُنَا/يُكَلِّمُنَا/yukallimuna//اللّٰهُ/ٱللَّهُ/al-lahu//اَوْ/أَوۡ/aw//تَاْتِیْنَاۤ/تَأۡتِينَآ/tatina//اٰیَةٌ ؕ/ءَايَةٞۗ/ayatun//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّثْلَ/مِّثۡلَ/mith'la//قَوْلِهِمْ ؕ/قَوۡلِهِمۡۘ/qawlihim//تَشَابَهَتْ/تَشَٰبَهَتۡ/tashabahat//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۗ/qulubuhum//قَدْ/قَدۡ/qad//بَیَّنَّا/بَيَّنَّا/bayyanna//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یُّوْقِنُوْنَ /يُوقِنُونَ/yuqinuna",
              "words_bangla": "এবং বলে//যারা//না//জানে//''কেন না//আমাদের সাথে কথা বলেন//আল্লাহ্‌//অথবা//আমাদের কাছে আসে (না)//কোনো নিদর্শন''//এভাবে//বলেছিল//যারা (ছিল)//(থেকে)//তাদের পূর্বে//অনূরূপ//তাদের কথার//সদৃশ হয়েছে//তাদের অন্তরসমুহ//নিশ্চয়ই//বর্ণনা করেছি আমরা//নিদর্শন সমূহ//(সেই) সম্প্রদায়ের জন্য//(যারা) বিশ্বাস করে"
            },
            {
              "number": 126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/126.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَٰكَ بِٱلْحَقِّ بَشِيرًۭا وَنَذِيرًۭا ۖ وَلَا تُسْـَٔلُ عَنْ أَصْحَٰبِ ٱلْجَحِيمِ",
              "translate_bn": "নিশ্চয় আমি আপনাকে সত্যধর্মসহ সুসংবাদদাতা ও ভীতি প্রদর্শনকারীরূপে পাঠিয়েছি। আপনি দোযখবাসীদের সম্পর্কে জিজ্ঞাসিত হবেন না।",
              "numberInSurah": 119,
              "juz": 1,
              "manzil": 1,
              "page": 18,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-কা বিলহাক্কি বাশীরাওঁ ওয়ানাযীরাওঁ ওয়ালা-তুছআলু‘আন আসহাবিল জাহীম।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//بَشِیْرًا/بَشِيرٗا/bashiran//وَّ نَذِیْرًا ۙ/وَنَذِيرٗاۖ/wanadhiran//وَّ لَا/وَلَا/wala//تُسْـَٔلُ/تُسۡـَٔلُ/tus'alu//عَنْ/عَنۡ/an//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "নিশ্চয়ই আমরা//তোমাকে পাঠিয়েছি//সত্য দিয়ে//সুসংবাদদাতা//ও সতর্ককারী হিসাবে//এবং না//তোমাকে জিজ্ঞাসা করা হবে//সম্পর্কে//আধিবাসীদের//জাহান্নামের"
            },
            {
              "number": 127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/127.mp3"
              ],
              "text": "وَلَن تَرْضَىٰ عَنكَ ٱلْيَهُودُ وَلَا ٱلنَّصَٰرَىٰ حَتَّىٰ تَتَّبِعَ مِلَّتَهُمْ ۗ قُلْ إِنَّ هُدَى ٱللَّهِ هُوَ ٱلْهُدَىٰ ۗ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم بَعْدَ ٱلَّذِى جَآءَكَ مِنَ ٱلْعِلْمِ ۙ مَا لَكَ مِنَ ٱللَّهِ مِن وَلِىٍّۢ وَلَا نَصِيرٍ",
              "translate_bn": "ইহুদী ও খ্রীষ্টানরা কখনই আপনার প্রতি সন্তুষ্ট হবে না, যে পর্যন্ত না আপনি তাদের ধর্মের অনুসরণ করেন। বলে দিন, যে পথ আল্লাহ প্রদর্শন করেন, তাই হল সরল পথ। যদি আপনি তাদের আকাঙ্খাসমূহের অনুসরণ করেন, ঐ জ্ঞান লাভের পর, যা আপনার কাছে পৌঁছেছে, তবে কেউ আল্লাহর কবল থেকে আপনার উদ্ধারকারী ও সাহায্যকারী নেই।",
              "numberInSurah": 120,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়ালান তারদা-‘আনকাল ইয়াহূদু ওয়ালান নাসা-রা-হাত্তা-তাত্তাবি‘আ মিল্লাতাহুম কূল ইন্না হুদাল্লা-হি হুওয়াল হুদা-ওয়ালাইনিত্তাবা‘তা আহওয়াআহুম বা‘দাল্লাযী জাআকা মিনাল ‘ইলমি মা-লাকা মিনাল্লা-হি মিওঁ ওয়ালিইয়ূওঁ ওয়ালা-নাসীর।",
              "words_arabic": "وَ لَنْ/وَلَن/walan//تَرْضٰی/تَرۡضَىٰ/tarda//عَنْكَ/عَنكَ/anka//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//وَ لَا/وَلَا/wala//النَّصٰرٰی/ٱلنَّصَٰرَىٰ/al-nasara//حَتّٰی/حَتَّىٰ/hatta//تَتَّبِعَ/تَتَّبِعَ/tattabi'a//مِلَّتَهُمْ ؕ/مِلَّتَهُمۡۗ/millatahum//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//هُدَی/هُدَى/huda//اللّٰهِ/ٱللَّهِ/al-lahi//هُوَ/هُوَ/huwa//الْهُدٰی ؕ/ٱلۡهُدَىٰۗ/al-huda//وَ لَىِٕنِ/وَلَئِنِ/wala-ini//اتَّبَعْتَ/ٱتَّبَعۡتَ/ittaba'ta//اَهْوَآءَهُمْ/أَهۡوَآءَهُم/ahwaahum//بَعْدَ/بَعۡدَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//جَآءَكَ/جَآءَكَ/jaaka//مِنَ/مِنَ/mina//الْعِلْمِ ۙ/ٱلۡعِلۡمِ/al-'il'mi//مَا/مَا/ma//لَكَ/لَكَ/laka//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍؔ /نَصِيرٍ/nasirin",
              "words_bangla": "এবং কখনও না//খুশি হবে//তোমার প্রতি//ইহূদীরা//আর না//খ্রিষ্টানরা//যতক্ষণ না//তুমি অনুসরণ করবে//তাদের ধর্মাদর্শ//বলো//''নিশ্চয়ই//পথ নির্দেশনা//আল্লাহ্‌র//সেটাই//সঠিক পথনির্দেশনা''//এবং অবশ্যই যদি//তুমি অনুসরণ কর//তাদের খেয়ালখুশির//পরেও//যা//তোমার কাছে এসেছে//থেকে//(সঠিক) জ্ঞান//না//তোমার জন্য (পাবে)//হতে//আল্লাহ্‌ (বাঁচাতে)//কোনো//বন্ধু//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/128.mp3"
              ],
              "text": "ٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يَتْلُونَهُۥ حَقَّ تِلَاوَتِهِۦٓ أُو۟لَٰٓئِكَ يُؤْمِنُونَ بِهِۦ ۗ وَمَن يَكْفُرْ بِهِۦ فَأُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "আমি যাদেরকে গ্রন্থ দান করেছি, তারা তা যথাযথভাবে পাঠ করে। তারাই তৎপ্রতি বিশ্বাস করে। আর যারা তা অবিশ্বাস করে, তারাই হবে ক্ষতিগ্রস্ত।",
              "numberInSurah": 121,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 15,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ইয়াতলূনাহূ হাক্কা তিলা-ওয়াতিহী উলাইকা ইউ’মিনূনা বিহী ওয়া মাইঁ ইয়াকফুর বিহী ফাউলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَتْلُوْنَهٗ/يَتۡلُونَهُۥ/yatlunahu//حَقَّ/حَقَّ/haqqa//تِلَاوَتِهٖ ؕ/تِلَاوَتِهِۦٓ/tilawatihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ ؕ/بِهِۦۗ/bihi//وَ مَنْ/وَمَن/waman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِهٖ/بِهِۦ/bihi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ۠/ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "যারা//তাদের আমরা দিয়েছি//কিতাব//তা তারা তিলাওয়াত//যথোপযুক্ত//তার তিলাওয়াত//তারাই//ঈমান আনে//এর উপর//এবং যে//অস্বীকার করে//তার প্রতি//ঐসব (লোক) মূলত//তারাই//ক্ষতিগ্রস্থ"
            },
            {
              "number": 129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/129.mp3"
              ],
              "text": "يَٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَنِّى فَضَّلْتُكُمْ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "হে বনী-ইসরাঈল! আমার অনুগ্রহের কথা স্মরণ কর, যা আমি তোমাদের দিয়েছি। আমি তোমাদেরকে বিশ্বাবাসীর উপর শ্রেষ্ঠত্ব দান করেছি।",
              "numberInSurah": 122,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 16,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানী ইছরাঈলাযকুরূ নি‘মাতিইয়াল্লাতী আন‘আমতু ‘আলাইকুম ওয়া আন্নী ফাদ্দালতুকুম ‘আলাল ‘আ-লামীন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَتِیَ/نِعۡمَتِيَ/ni'matiya//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْعَمْتُ/أَنۡعَمۡتُ/an'amtu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ اَنِّیْ/وَأَنِّي/wa-anni//فَضَّلْتُكُمْ/فَضَّلۡتُكُمۡ/faddaltukum//عَلَی/عَلَى/ala//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "হে বনী//ইসরাঈল//তোমরা স্মরণ করো//আমার অনুগ্রহের(কথা)//যা//আমি অনুগ্রহ দিয়েছি//তোমাদের উপর//ও আমি নিশ্চয়ই//তোমাদেরকে শ্রেষ্ঠত্ব দিয়েছি//উপর//সারা বিশ্বের"
            },
            {
              "number": 130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/130.mp3"
              ],
              "text": "وَٱتَّقُوا۟ يَوْمًۭا لَّا تَجْزِى نَفْسٌ عَن نَّفْسٍۢ شَيْـًۭٔا وَلَا يُقْبَلُ مِنْهَا عَدْلٌۭ وَلَا تَنفَعُهَا شَفَٰعَةٌۭ وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "তোমরা ভয় কর সেদিনকে, যে দিন এক ব্যক্তি থেকে অন্য ব্যক্তি বিন্দুমাত্র উপকৃত হবে না, কারও কাছ থেকে বিনিময় গৃহীত হবে না, কার ও সুপারিশ ফলপ্রদ হবে না এবং তারা সাহায্য প্রাপ্ত ও হবে না।",
              "numberInSurah": 123,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 16,
              "hizbQuarter": 7,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকূ ইয়াওমাল্লা-তাজঝী নাফছুন ‘আন নাফছিন শাইআওঁ ওয়ালা-ইউকবালু মিনহা‘আদলুওঁ ওয়ালা-তানফা‘উহা-শাফা-‘আতুওঁ ওয়ালা-হুম ইউনসারূন।",
              "words_arabic": "وَ اتَّقُوْا/وَٱتَّقُواْ/wa-ittaqu//یَوْمًا/يَوۡمٗا/yawman//لَّا/لَّا/la//تَجْزِیْ/تَجۡزِي/tajzi//نَفْسٌ/نَفۡسٌ/nafsun//عَنْ/عَن/an//نَّفْسٍ/نَّفۡسٖ/nafsin//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یُقْبَلُ/يُقۡبَلُ/yuq'balu//مِنْهَا/مِنۡهَا/min'ha//عَدْلٌ/عَدۡلٞ/adlun//وَّ لَا/وَلَا/wala//تَنْفَعُهَا/تَنفَعُهَا/tanfa'uha//شَفَاعَةٌ/شَفَٰعَةٞ/shafa'atun//وَّ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "এবং তোমরা ভয় করো//সেদিনের//না//কাজে আসবে//কোনো ব্যক্তি//জন্য//কোনো ব্যক্তির//কিছুমাত্রও//এবং না//গ্রহণ করা হবে//তার থেকে//কোনো বিনিময়//এবং না//তাকে উপকার দেবে//কোনো সুপারিশ//এবং না//তারা//সাহায্যপ্রাপ্ত হবে"
            },
            {
              "number": 131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/131.mp3"
              ],
              "text": "۞ وَإِذِ ٱبْتَلَىٰٓ إِبْرَٰهِۦمَ رَبُّهُۥ بِكَلِمَٰتٍۢ فَأَتَمَّهُنَّ ۖ قَالَ إِنِّى جَاعِلُكَ لِلنَّاسِ إِمَامًۭا ۖ قَالَ وَمِن ذُرِّيَّتِى ۖ قَالَ لَا يَنَالُ عَهْدِى ٱلظَّٰلِمِينَ",
              "translate_bn": "যখন ইব্রাহীমকে তাঁর পালনকর্তা কয়েকটি বিষয়ে পরীক্ষা করলেন, অতঃপর তিনি তা পূর্ণ করে দিলেন, তখন পালনকর্তা বললেন, আমি তোমাকে মানবজাতির নেতা করব। তিনি বললেন, আমার বংশধর থেকেও! তিনি বললেন আমার অঙ্গীকার অত্যাচারীদের পর্যন্ত পৌঁছাবে না।",
              "numberInSurah": 124,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযিবতালাইবরা-হীমা রাব্বুহূ বিকালিমা-তিন ফাআতাম্মাহুন্না কা-লা ইন্নী জা‘ইলুকা লিন্না-ছি ইমা-মান কা-লা ওয়া মিন যুররিইইয়াতী কা-লা লা-ইয়ানা-লু ‘আহদিজ্জা-লিমীন।",
              "words_arabic": "وَ اِذِ/۞وَإِذِ/wa-idhi//ابْتَلٰۤی/ٱبۡتَلَىٰٓ/ib'tala//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//رَبُّهٗ/رَبُّهُۥ/rabbuhu//بِكَلِمٰتٍ/بِكَلِمَٰتٖ/bikalimatin//فَاَتَمَّهُنَّ ؕ/فَأَتَمَّهُنَّۖ/fa-atammahunna//قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//جَاعِلُكَ/جَاعِلُكَ/ja'iluka//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//اِمَامًا ؕ/إِمَامٗاۖ/imaman//قَالَ/قَالَ/qala//وَ مِنْ/وَمِن/wamin//ذُرِّیَّتِیْ ؕ/ذُرِّيَّتِيۖ/dhurriyyati//قَالَ/قَالَ/qala//لَا/لَا/la//یَنَالُ/يَنَالُ/yanalu//عَهْدِی/عَهۡدِي/ahdi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং (স্মরণ করো) যখন//পরীক্ষা করেছিলেন//ইবরাহীমকে//তার রব//কয়েকটা কথা দ্বারা//সে অতঃপর সেগুলো পূর্ণ করল//(আল্লাহ্‌) বললেন//''নিশ্চয়ই আমি//তোমাকে নিয়োগ করব//মানুষের জন্য//নেতা হিসাবে''//সে বলল//''এবং থেকেও//আমার বংশধরদের''//(আল্লাহ্‌) বললেন//''না//প্রযোজ্য হবে//আমার প্রতিশ্রুতি//সীমালঙ্ঘনকারীদের (জন্য)''"
            },
            {
              "number": 132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/132.mp3"
              ],
              "text": "وَإِذْ جَعَلْنَا ٱلْبَيْتَ مَثَابَةًۭ لِّلنَّاسِ وَأَمْنًۭا وَٱتَّخِذُوا۟ مِن مَّقَامِ إِبْرَٰهِۦمَ مُصَلًّۭى ۖ وَعَهِدْنَآ إِلَىٰٓ إِبْرَٰهِۦمَ وَإِسْمَٰعِيلَ أَن طَهِّرَا بَيْتِىَ لِلطَّآئِفِينَ وَٱلْعَٰكِفِينَ وَٱلرُّكَّعِ ٱلسُّجُودِ",
              "translate_bn": "যখন আমি কা’বা গৃহকে মানুষের জন্যে সম্মিলন স্থল ও শান্তির আলয় করলাম, আর তোমরা ইব্রাহীমের দাঁড়ানোর জায়গাকে নামাযের জায়গা বানাও এবং আমি ইব্রাহীম ও ইসমাঈলকে আদেশ করলাম, তোমরা আমার গৃহকে তওয়াফকারী, অবস্থানকারী ও রুকু-সেজদাকারীদের জন্য পবিত্র রাখ।",
              "numberInSurah": 125,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়াইয জা‘আলনাল বাইতা মাছা-বাতাল লিন্না-ছি ওয়াআমনাওঁ ওয়াত্তাখিযূ মিম্মাকা-মি ইবরা-হীমা মুসাল্লাওঁ ওয়া‘আহিদনা ইলা ইবরা-হীমা ওয়াইছমা-‘ঈলা আন তাহহিরা বাইতিয়া লিত্তাইফীনা ওয়াল ‘আ-কিফীনা ওয়াররুক্কা‘ইছছুজূদ।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//جَعَلْنَا/جَعَلۡنَا/ja'alna//الْبَیْتَ/ٱلۡبَيۡتَ/al-bayta//مَثَابَةً/مَثَابَةٗ/mathabatan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ اَمْنًا ؕ/وَأَمۡنٗا/wa-amnan//وَ اتَّخِذُوْا/وَٱتَّخِذُواْ/wa-ittakhidhu//مِنْ/مِن/min//مَّقَامِ/مَّقَامِ/maqami//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//مُصَلًّی ؕ/مُصَلّٗىۖ/musallan//وَ عَهِدْنَاۤ/وَعَهِدۡنَآ/wa'ahid'na//اِلٰۤی/إِلَىٰٓ/ila//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//اَنْ/أَن/an//طَهِّرَا/طَهِّرَا/tahhira//بَیْتِیَ/بَيۡتِيَ/baytiya//لِلطَّآىِٕفِیْنَ/لِلطَّآئِفِينَ/lilttaifina//وَ الْعٰكِفِیْنَ/وَٱلۡعَٰكِفِينَ/wal-'akifina//وَ الرُّكَّعِ/وَٱلرُّكَّعِ/wal-ruka'i//السُّجُوْدِ /ٱلسُّجُودِ/al-sujudi",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা নির্দিষ্ট করেছলাম//(কাবা) ঘরকে//মিলনকেন্দ্র//মানুষের জন্যে//ও শাস্তির (জায়গা হিসেবে)//এবং (নির্দেশ দিলাম) তোমরা গ্রহণ করো//থেকে//দাঁড়ানোর জায়গাকে//ইবরাহিমের//সলাতের জায়গা হিসেবে''//এবং আমরা আদেশ করেছিলাম//প্রতি//ইবরাহীমের//ও ইসমাঈলের (প্রতি)//যে//''পবিত্র রাখো(উভয়ে)//আমার ঘরকে//তওয়াফকারীদের জন্য//ও ইতিকাফকারীদের//ও রুকুকারীদের//সিজদাকারীদের (জন্য)"
            },
            {
              "number": 133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/133.mp3"
              ],
              "text": "وَإِذْ قَالَ إِبْرَٰهِۦمُ رَبِّ ٱجْعَلْ هَٰذَا بَلَدًا ءَامِنًۭا وَٱرْزُقْ أَهْلَهُۥ مِنَ ٱلثَّمَرَٰتِ مَنْ ءَامَنَ مِنْهُم بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۖ قَالَ وَمَن كَفَرَ فَأُمَتِّعُهُۥ قَلِيلًۭا ثُمَّ أَضْطَرُّهُۥٓ إِلَىٰ عَذَابِ ٱلنَّارِ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "যখন ইব্রাহীম বললেন, পরওয়ারদেগার! এ স্থানকে তুমি শান্তিধান কর এবং এর অধিবাসীদের মধ্যে যারা অল্লাহ ও কিয়ামতে বিশ্বাস করে, তাদেরকে ফলের দ্বারা রিযিক দান কর। বললেনঃ যারা অবিশ্বাস করে, আমি তাদেরও কিছুদিন ফায়দা ভোগ করার সুযোগ দেব, অতঃপর তাদেরকে বলপ্রয়োগে দোযখের আযাবে ঠেলে দেবো; সেটা নিকৃষ্ট বাসস্থান।",
              "numberInSurah": 126,
              "juz": 1,
              "manzil": 1,
              "page": 19,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযকা-লা ইবরা-হীমু রাব্বিজ‘আল হা-যা-বালাদান আ-মিনাওঁ ওয়ারঝুকআহলাহূ মিনাছছামারা-তি মান আ-মানা মিনহুম বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি কা-লা ওয়ামান কাফারা ফাইমাত্তি‘উহূ কালীলান ছুম্মা আদতাররুহূইলা-‘আযা-বিন্না-রি ওয়াবি’ছাল মাসীর।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//رَبِّ/رَبِّ/rabbi//اجْعَلْ/ٱجۡعَلۡ/ij'al//هٰذَا/هَٰذَا/hadha//بَلَدًا/بَلَدًا/baladan//اٰمِنًا/ءَامِنٗا/aminan//وَّ ارْزُقْ/وَٱرۡزُقۡ/wa-ur'zuq//اَهْلَهٗ/أَهۡلَهُۥ/ahlahu//مِنَ/مِنَ/mina//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//مِنْهُمْ/مِنۡهُم/min'hum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاَخِرِ ؕ/ٱلۡأٓخِرِۚ/al-akhiri//قَالَ/قَالَ/qala//وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//فَاُمَتِّعُهٗ/فَأُمَتِّعُهُۥ/fa-umatti'uhu//قَلِیْلًا/قَلِيلٗا/qalilan//ثُمَّ/ثُمَّ/thumma//اَضْطَرُّهٗۤ/أَضۡطَرُّهُۥٓ/adtarruhu//اِلٰی/إِلَىٰ/ila//عَذَابِ/عَذَابِ/adhabi//النَّارِ ؕ/ٱلنَّارِۖ/al-nari//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিল//ইবরাহীম//''হে আমার রব//বানাও//এই//নগরকে//নিরাপদ//ও জীবিকা দাও//তার অধিবাসীদের//থেকে//(সব রকমের) ফলমূল//যে কেউ//ঈমান আনবে//তাদের মধ্য থেকে//আল্লাহ্‌র উপরই//ও দিনে//আখিরাতের''//(আল্লাহ্‌) বললেন//''আর যে কেউ//অবিশ্বাস করবে//তাকেও উপভোগ করাব//কিছুদিন পর্যন্ত//এরপর//তাকে আমি বাধ্য করব//দিকে//শাস্তির//আগুনের//এবং (তা) অতি নিকৃষ্ট//স্থান"
            },
            {
              "number": 134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/134.mp3"
              ],
              "text": "وَإِذْ يَرْفَعُ إِبْرَٰهِۦمُ ٱلْقَوَاعِدَ مِنَ ٱلْبَيْتِ وَإِسْمَٰعِيلُ رَبَّنَا تَقَبَّلْ مِنَّآ ۖ إِنَّكَ أَنتَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "স্মরণ কর, যখন ইব্রাহীম ও ইসমাঈল কা’বাগৃহের ভিত্তি স্থাপন করছিল। তারা দোয়া করেছিলঃ পরওয়ারদেগার! আমাদের থেকে কবুল কর। নিশ্চয়ই তুমি শ্রবণকারী, সর্বজ্ঞ।",
              "numberInSurah": 127,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয ইয়ারফা‘উ ইবরা-হীমুল কাওয়া‘ইদা মিনাল বাইতি ওয়াইছমা-‘ঈলু রাব্বানা-তাকাব্বাল মিন্না-ইন্নাকা আনতাছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یَرْفَعُ/يَرۡفَعُ/yarfa'u//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//الْقَوَاعِدَ/ٱلۡقَوَاعِدَ/al-qawa'ida//مِنَ/مِنَ/mina//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//وَ اِسْمٰعِیْلُ ؕ/وَإِسۡمَٰعِيلُ/wa-is'ma'ilu//رَبَّنَا/رَبَّنَا/rabbana//تَقَبَّلْ/تَقَبَّلۡ/taqabbal//مِنَّا ؕ/مِنَّآۖ/minna//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং (স্মরণ করো) যখন//উঠায়//ইবরাহীম//প্রাচীর বা ভিত্তি//এর//(কাবা) ঘর//ও ইসমাঈল//(তারা বলেছিল) হে আমাদের রব//প্রহন করো//আমাদের থেকে (এ কাজ)//তুমি নিশ্চয়ই//তুমিই//শ্রবণকারী//সবকিছু জ্ঞাত"
            },
            {
              "number": 135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/135.mp3"
              ],
              "text": "رَبَّنَا وَٱجْعَلْنَا مُسْلِمَيْنِ لَكَ وَمِن ذُرِّيَّتِنَآ أُمَّةًۭ مُّسْلِمَةًۭ لَّكَ وَأَرِنَا مَنَاسِكَنَا وَتُبْ عَلَيْنَآ ۖ إِنَّكَ أَنتَ ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "পরওয়ারদেগার! আমাদের উভয়কে তোমার আজ্ঞাবহ কর এবং আমাদের বংশধর থেকেও একটি অনুগত দল সৃষ্টি কর, আমাদের হজ্বের রীতিনীতি বলে দাও এবং আমাদের ক্ষমা কর। নিশ্চয় তুমি তওবা কবুলকারী। দয়ালু।",
              "numberInSurah": 128,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-ওয়াজা‘আলনা-মুছলিমাইনি লাকা ওয়ামিন যুররিইইয়াতিনা-উম্মাতাম মুছলিমাতাল্লাকা ওয়া আরিনা-মানা-ছিকানা-ওয়াতুব ‘আলাইনা-ইন্নাকা আনতাত্তাওওয়া-বুর রাহীম।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//وَ اجْعَلْنَا/وَٱجۡعَلۡنَا/wa-ij'alna//مُسْلِمَیْنِ/مُسۡلِمَيۡنِ/mus'limayni//لَكَ/لَكَ/laka//وَ مِنْ/وَمِن/wamin//ذُرِّیَّتِنَاۤ/ذُرِّيَّتِنَآ/dhurriyyatina//اُمَّةً/أُمَّةٗ/ummatan//مُّسْلِمَةً/مُّسۡلِمَةٗ/mus'limatan//لَّكَ ۪/لَّكَ/laka//وَ اَرِنَا/وَأَرِنَا/wa-arina//مَنَاسِكَنَا/مَنَاسِكَنَا/manasikana//وَ تُبْ/وَتُبۡ/watub//عَلَیْنَا ۚ/عَلَيۡنَآۖ/alayna//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "হে আমাদের রব//এবং আমাদেরকে বানাও//উভয়কে অনুগত//তোমারই জন্য//এবং মধ্যে হতেও//আমাদের বংশধরদের//একটি জাতি (বানাও)//অনুগত//তোমারই//এবং আমাদেরকে দেখাও//আমাদের ইবাদাতের নিয়মপদ্ধতি//এবং ক্ষমাশীল হও//আমাদের উপর//নিশ্চয়ই তুমি//তুমিই//ক্ষমাশীল//পরমদয়ালু"
            },
            {
              "number": 136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/136.mp3"
              ],
              "text": "رَبَّنَا وَٱبْعَثْ فِيهِمْ رَسُولًۭا مِّنْهُمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَٰتِكَ وَيُعَلِّمُهُمُ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَيُزَكِّيهِمْ ۚ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "হে পরওয়ারদেগার! তাদের মধ্যে থেকেই তাদের নিকট একজন পয়গম্বর প্রেরণ করুণ যিনি তাদের কাছে তোমার আয়াতসমূহ তেলাওয়াত করবেন, তাদেরকে কিতাব ও হেকমত শিক্ষা দিবেন। এবং তাদের পবিত্র করবেন। নিশ্চয় তুমিই পরাক্রমশালী হেকমতওয়ালা।",
              "numberInSurah": 129,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 16,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা ওয়াব‘আছফীহিম রাছূলাম মিনহুম ইয়াতলূ‘আলাইহিম আ-য়া-তিকা ওয়া ইউ‘আলিলমুহুমুল কিতা-বা ওয়াল হিকমাতা ওয়াইউঝাক্কীহিম ইন্নাকা আনতাল ‘আঝীঝুল হাকীম।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//وَ ابْعَثْ/وَٱبۡعَثۡ/wa-ib'ath//فِیْهِمْ/فِيهِمۡ/fihim//رَسُوْلًا/رَسُولٗا/rasulan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِكَ/ءَايَٰتِكَ/ayatika//وَ یُعَلِّمُهُمُ/وَيُعَلِّمُهُمُ/wayu'allimuhumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ یُزَكِّیْهِمْ ؕ/وَيُزَكِّيهِمۡۖ/wayuzakkihim//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "হে আমাদের রব//এবং পাঠাও//তাদের মাঝে//একজন রাসূল//তাদের মধ্য হতে//সে তিলাওাত করবে//তাদের কাছে//তোমার আয়াতগুলোকে//এবং তাদের সে শিখাবে//কিতাব//ও প্রজ্ঞা//ও তাদের পরিশুদ্ধ করবে//তুমি নিশ্চয়ই//তুমিই//পরাক্রমশালী//মহাবিজ্ঞ''"
            },
            {
              "number": 137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/137.mp3"
              ],
              "text": "وَمَن يَرْغَبُ عَن مِّلَّةِ إِبْرَٰهِۦمَ إِلَّا مَن سَفِهَ نَفْسَهُۥ ۚ وَلَقَدِ ٱصْطَفَيْنَٰهُ فِى ٱلدُّنْيَا ۖ وَإِنَّهُۥ فِى ٱلْءَاخِرَةِ لَمِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "ইব্রাহীমের ধর্ম থেকে কে মুখ ফেরায়? কিন্তু সে ব্যক্তি, যে নিজেকে বোকা প্রতিপন্ন করে। নিশ্চয়ই আমি তাকে পৃথিবীতে মনোনীত করেছি এবং সে পরকালে সৎকর্মশীলদের অন্তর্ভুক্ত।",
              "numberInSurah": 130,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়ারগাবু‘আম মিল্লাতি ইবরা-হীমা ইল্লা-মান ছাফিহা নাফছাহু ওয়ালাকাদিসতাফাইনা-হু ফিদ্দুনইয়া-ওয়া ইন্নাহূ ফিল আ-খিরাতি লামিনাসসা-লিহীন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّرْغَبُ/يَرۡغَبُ/yarghabu//عَنْ/عَن/an//مِّلَّةِ/مِّلَّةِ/millati//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//سَفِهَ/سَفِهَ/safiha//نَفْسَهٗ ؕ/نَفۡسَهُۥۚ/nafsahu//وَ لَقَدِ/وَلَقَدِ/walaqadi//اصْطَفَیْنٰهُ/ٱصۡطَفَيۡنَٰهُ/is'tafaynahu//فِی/فِي/fi//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//لَمِنَ/لَمِنَ/lamina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "আর কে//মুখ ফেরাবে//হতে//দীন//ইবরাহীমের//এছাড়া//যে//নির্বোধ বানিয়েছে//তার নিজেকে//এবং নিশ্চয়ই//তাকে আমরা মনোনীত করেছি//মধ্যে//পৃথিবীর//এবং সে নিশ্চয়ই(হবে)//মধ্যে//আখিরাতের''//অন্তর্ভুক্ত অবশ্যই//সৎলোকদের"
            },
            {
              "number": 138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/138.mp3"
              ],
              "text": "إِذْ قَالَ لَهُۥ رَبُّهُۥٓ أَسْلِمْ ۖ قَالَ أَسْلَمْتُ لِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "স্মরণ কর, যখন তাকে তার পালনকর্তা বললেনঃ অনুগত হও। সে বললঃ আমি বিশ্বপালকের অনুগত হলাম।",
              "numberInSurah": 131,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহূ রাব্বুহূ আছলিম কা-লা আছলামতু লিল্লাহি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//رَبُّهٗۤ/رَبُّهُۥٓ/rabbuhu//اَسْلِمْ ۙ/أَسۡلِمۡۖ/aslim//قَالَ/قَالَ/qala//اَسْلَمْتُ/أَسۡلَمۡتُ/aslamtu//لِرَبِّ/لِرَبِّ/lirabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "(সে ছিল এমন যে) যখন//বলেছিলেন//তার//তার রব//''তুমি আত্মসমর্পণ করো''//সে বলেছিল//''আমি আত্মসমর্পণ করলাম//রবের কাছে//জগতের''"
            },
            {
              "number": 139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/139.mp3"
              ],
              "text": "وَوَصَّىٰ بِهَآ إِبْرَٰهِۦمُ بَنِيهِ وَيَعْقُوبُ يَٰبَنِىَّ إِنَّ ٱللَّهَ ٱصْطَفَىٰ لَكُمُ ٱلدِّينَ فَلَا تَمُوتُنَّ إِلَّا وَأَنتُم مُّسْلِمُونَ",
              "translate_bn": "এরই ওছিয়ত করেছে ইব্রাহীম তার সন্তানদের এবং ইয়াকুবও যে, হে আমার সন্তানগণ, নিশ্চয় আল্লাহ তোমাদের জন্য এ ধর্মকে মনোনীত করেছেন। কাজেই তোমরা মুসলমান না হয়ে কখনও মৃত্যুবরণ করো না।",
              "numberInSurah": 132,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াসসা-বিহাইবরা-হীমু বানীহি ওয়াইয়া‘কূবু ইয়া-বানিইইয়া ইন্নাল্লা-হাসতাফা-লাকুমুদ্দীনা ফালা-তামূতুন্না ইল্লা-ওয়া আনতুম মুছলিমূন।",
              "words_arabic": "وَ وَصّٰی/وَوَصَّىٰ/wawassa//بِهَاۤ/بِهَآ/biha//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//بَنِیْهِ/بَنِيهِ/banihi//وَ یَعْقُوْبُ ؕ/وَيَعۡقُوبُ/waya'qubu//یٰبَنِیَّ/يَٰبَنِيَّ/yabaniyya//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اصْطَفٰی/ٱصۡطَفَىٰ/is'tafa//لَكُمُ/لَكُمُ/lakumu//الدِّیْنَ/ٱلدِّينَ/al-dina//فَلَا/فَلَا/fala//تَمُوْتُنَّ/تَمُوتُنَّ/tamutunna//اِلَّا/إِلَّا/illa//وَ اَنْتُمْ/وَأَنتُم/wa-antum//مُّسْلِمُوْنَؕ/مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং জোর নির্দেশ দিয়েছিল//এ সম্বন্ধে//ইবরাহীম//তার সন্তানদেরকে//এবং ইয়াকুবও//''(সে বলেছিল) হে আমার সন্তানেরা//নিশ্চয়ই//আল্লাহ্‌//মনোনীত করেছেন//তোমাদের জন্য//(এই) দীনকে//না অতএব//তোমরা মৃত্যুবরণ করো//এছাড়া//তোমরা যখন//আত্মসমর্পণকারী হবে''"
            },
            {
              "number": 140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/140.mp3"
              ],
              "text": "أَمْ كُنتُمْ شُهَدَآءَ إِذْ حَضَرَ يَعْقُوبَ ٱلْمَوْتُ إِذْ قَالَ لِبَنِيهِ مَا تَعْبُدُونَ مِنۢ بَعْدِى قَالُوا۟ نَعْبُدُ إِلَٰهَكَ وَإِلَٰهَ ءَابَآئِكَ إِبْرَٰهِۦمَ وَإِسْمَٰعِيلَ وَإِسْحَٰقَ إِلَٰهًۭا وَٰحِدًۭا وَنَحْنُ لَهُۥ مُسْلِمُونَ",
              "translate_bn": "তোমরা কি উপস্থিত ছিলে, যখন ইয়াকুবের মৃত্যু নিকটবর্তী হয়? যখন সে সন্তানদের বললঃ আমার পর তোমরা কার এবাদত করবে? তারা বললো, আমরা তোমার পিতৃ-পুরুষ ইব্রাহীম, ইসমাঈল ও ইসহাকের উপাস্যের এবাদত করব। তিনি একক উপাস্য।",
              "numberInSurah": 133,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "আম কুনতুম শুহাদাআ ইযহাদারা ইয়া‘কূবাল মাওতু ইযকা-লা লিবানীহি মাতা‘বুদূ না মিম বা‘দী কা-লূনা‘বুদু ইলা-হাকা ওয়া ইলা-হা আ-বাইকা ইবরা-হীমা ওয়া ইছমা-‘ঈলা ওয়াইছহা-কা ইলা-হাওঁ ওয়া-হিদাওঁ ওয়ানাহনু লাহূ মুছলিমূন।",
              "words_arabic": "اَمْ/أَمۡ/am//كُنْتُمْ/كُنتُمۡ/kuntum//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//اِذْ/إِذۡ/idh//حَضَرَ/حَضَرَ/hadara//یَعْقُوْبَ/يَعۡقُوبَ/ya'quba//الْمَوْتُ ۙ/ٱلۡمَوۡتُ/al-mawtu//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِبَنِیْهِ/لِبَنِيهِ/libanihi//مَا/مَا/ma//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْۢ/مِنۢ/min//بَعْدِیْ ؕ/بَعۡدِيۖ/ba'di//قَالُوْا/قَالُواْ/qalu//نَعْبُدُ/نَعۡبُدُ/na'budu//اِلٰهَكَ/إِلَٰهَكَ/ilahaka//وَ اِلٰهَ/وَإِلَٰهَ/wa-ilaha//اٰبَآىِٕكَ/ءَابَآئِكَ/abaika//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//اِلٰهًا/إِلَٰهٗا/ilahan//وَّاحِدًا ۖۚ/وَٰحِدٗا/wahidan//وَّ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "অথবা (কি)//তোমরা ছিলে//উপস্থিত//যখন//উপস্থিত হয়েছিল//ইয়াকুবের//মৃত্যু//যখন//সে বলেছিল//তার পুত্রদের উদ্দেশ্য//''কার//তোমরা উপাসনা করবে//থেকে//আমার পর''//তারা বলেছিল//''ইবাদাত করব আমরা//তোমার ইলাহকে//এবং ইলাহ//তোমার পূর্ব পুরুষের//(অর্থাৎ) ইবরাহীমের//ও ইসমাঈলের//ও ইসহাকের (ইলাহকে)//(যিনি) ইলাহ//একই//এবং আমরা//তাঁরই কাছে//আত্মসমর্পণকারী''"
            },
            {
              "number": 141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/141.mp3"
              ],
              "text": "تِلْكَ أُمَّةٌۭ قَدْ خَلَتْ ۖ لَهَا مَا كَسَبَتْ وَلَكُم مَّا كَسَبْتُمْ ۖ وَلَا تُسْـَٔلُونَ عَمَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আমরা সবাই তাঁর আজ্ঞাবহ। তারা ছিল এক সম্প্রদায়-যারা গত হয়ে গেছে। তারা যা করেছে, তা তাদেরই জন্যে। তারা কি করত, সে সম্পর্কে তোমরা জিজ্ঞাসিত হবে না।",
              "numberInSurah": 134,
              "juz": 1,
              "manzil": 1,
              "page": 20,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "তিলকা উম্মাতুন কাদ খালাত লাহা-মা-কাছাবাত ওয়া লাকুম মা-কাছাবতুম ওয়ালা-তুছআলূনা ‘আম্মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اُمَّةٌ/أُمَّةٞ/ummatun//قَدْ/قَدۡ/qad//خَلَتْ ۚ/خَلَتۡۖ/khalat//لَهَا/لَهَا/laha//مَا/مَا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ لَكُمْ/وَلَكُم/walakum//مَّا/مَّا/ma//كَسَبْتُمْ ۚ/كَسَبۡتُمۡۖ/kasabtum//وَ لَا/وَلَا/wala//تُسْـَٔلُوْنَ/تُسۡـَٔلُونَ/tus'aluna//عَمَّا/عَمَّا/amma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "সেই//জাতি//নিশ্চয়ই//গত হয়েছে//তার জন্য(আছে)//যা//সে অর্জন করেছে//আর তোমাদের জন্য(আছে)//যা//তোমরা অর্জন করেছ//এবং না//তোমাদের প্রশ্ন করা হবে//সে সম্পর্কে যা//তারা ছিল//তারা কাজ করছিল"
            },
            {
              "number": 142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/142.mp3"
              ],
              "text": "وَقَالُوا۟ كُونُوا۟ هُودًا أَوْ نَصَٰرَىٰ تَهْتَدُوا۟ ۗ قُلْ بَلْ مِلَّةَ إِبْرَٰهِۦمَ حَنِيفًۭا ۖ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "তারা বলে, তোমরা ইহুদী অথবা খ্রীষ্টান হয়ে যাও, তবেই সুপথ পাবে। আপনি বলুন, কখনই নয়; বরং আমরা ইব্রাহীমের ধর্মে আছি যাতে বক্রতা নেই। সে মুশরিকদের অন্তর্ভুক্ত ছিল না।",
              "numberInSurah": 135,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূ কূনূ হূদান আও নাসা-রা তাহতাদূ কূল বাল মিল্লাতা ইবরা-হীমা হানীফাওঁ ওয়ামা-কা-না মিনাল মুশরিকীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//كُوْنُوْا/كُونُواْ/kunu//هُوْدًا/هُودًا/hudan//اَوْ/أَوۡ/aw//نَصٰرٰی/نَصَٰرَىٰ/nasara//تَهْتَدُوْا ؕ/تَهۡتَدُواْۗ/tahtadu//قُلْ/قُلۡ/qul//بَلْ/بَلۡ/bal//مِلَّةَ/مِلَّةَ/millata//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//حَنِیْفًا ؕ/حَنِيفٗاۖ/hanifan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "এবং তারা বলে//''তোমরা হও//ইহুদী//অথবা//খ্রিষ্টান//তোমরা সঠিক পথ পাবে''//বলো//''(না তা নয়) বরং//(গ্রহণ কর) দীনকে//ইবরাহীমের//একনিষ্ঠভাবে//এবং না//সেছিল//অন্তর্ভুক্ত//মুশরিকদের''"
            },
            {
              "number": 143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/143.mp3"
              ],
              "text": "قُولُوٓا۟ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْنَا وَمَآ أُنزِلَ إِلَىٰٓ إِبْرَٰهِۦمَ وَإِسْمَٰعِيلَ وَإِسْحَٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَمَآ أُوتِىَ مُوسَىٰ وَعِيسَىٰ وَمَآ أُوتِىَ ٱلنَّبِيُّونَ مِن رَّبِّهِمْ لَا نُفَرِّقُ بَيْنَ أَحَدٍۢ مِّنْهُمْ وَنَحْنُ لَهُۥ مُسْلِمُونَ",
              "translate_bn": "তোমরা বল, আমরা ঈমান এনেছি আল্লাহর উপর এবং যা অবতীর্ণ হয়েছে আমাদের প্রতি এবং যা অবতীর্ণ হয়েছে ইব্রাহীম, ইসমাঈল, ইসহাক, ইয়াকুব এবং তদীয় বংশধরের প্রতি এবং মূসা, ঈসা, অন্যান্য নবীকে পালনকর্তার পক্ষ থেকে যা দান করা হয়েছে, তৎসমুদয়ের উপর। আমরা তাদের মধ্যে পার্থক্য করি না। আমরা তাঁরই আনুগত্যকারী।",
              "numberInSurah": 136,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "কুলূ আ-মান্না-বিল্লা-হি ওয়ামাউনঝিলা ইলাইনা-ওয়ামা-উনঝিলা ইলাইবরা-হীমা ওয়াইছমা-ঈলা ওয়াইছহা-কা ওয়াইয়া‘কূবা ওয়াল আছবাতিওয়ামা ঊতিইয়া মূছাওয়া‘ঈছা-ওয়ামা ঊতিইয়ান নাবিইয়ূনা মির রাব্বিহিম লা-নুফাররিকু বাইনা আহাদিম মিনহুম ওয়ানাহনু লাহূ মুছলিমূন।",
              "words_arabic": "قُوْلُوْۤا/قُولُوٓاْ/qulu//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْنَا/إِلَيۡنَا/ilayna//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلٰۤی/إِلَىٰٓ/ila//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//وَ الْاَسْبَاطِ/وَٱلۡأَسۡبَاطِ/wal-asbati//وَ مَاۤ/وَمَآ/wama//اُوْتِیَ/أُوتِيَ/utiya//مُوْسٰی/مُوسَىٰ/musa//وَ عِیْسٰی/وَعِيسَىٰ/wa'isa//وَ مَاۤ/وَمَآ/wama//اُوْتِیَ/أُوتِيَ/utiya//النَّبِیُّوْنَ/ٱلنَّبِيُّونَ/al-nabiyuna//مِنْ/مِن/min//رَّبِّهِمْ ۚ/رَّبِّهِمۡ/rabbihim//لَا/لَا/la//نُفَرِّقُ/نُفَرِّقُ/nufarriqu//بَیْنَ/بَيۡنَ/bayna//اَحَدٍ/أَحَدٖ/ahadin//مِّنْهُمْ ۖؗ/مِّنۡهُمۡ/min'hum//وَ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "(হে মুসলমান) তোমরা বলো//''আমরা ঈমান এনেছি//আল্লাহ্‌র উপর//এবং যা//অবতীর্ণ করা হয়েছে//আমাদের প্রতি//এবং যা//অবতীর্ণ করা হয়েছে//প্রতি//ইবরাহীমের//ও ইসমাঈলের//ও ইসহাকের//ও ইয়াকুবের//ও (তাদের) বংশধরদের (উপর)//এবং যা//দেওয়া হয়েছে//মূসাকে//ও ঈসাকে//এবং যা//দেয়া হয়েছে//নবীদেরকে//পক্ষ হতে//তাদের রবের//না//আমরা পার্থক্য করি//মাঝে//কারো//তাদের মধ্য হতে//এবং আমরা//তাঁরই কাছে//আত্মসমর্পণকারী (মুসলিম) হয়েছি''"
            },
            {
              "number": 144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/144.mp3"
              ],
              "text": "فَإِنْ ءَامَنُوا۟ بِمِثْلِ مَآ ءَامَنتُم بِهِۦ فَقَدِ ٱهْتَدَوا۟ ۖ وَّإِن تَوَلَّوْا۟ فَإِنَّمَا هُمْ فِى شِقَاقٍۢ ۖ فَسَيَكْفِيكَهُمُ ٱللَّهُ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "অতএব তারা যদি ঈমান আনে, তোমাদের ঈমান আনার মত, তবে তারা সুপথ পাবে। আর যদি মুখ ফিরিয়ে নেয়, তবে তারাই হঠকারিতায় রয়েছে। সুতরাং এখন তাদের জন্যে আপনার পক্ষ থেকে আল্লাহই যথেষ্ট। তিনিই শ্রবণকারী, মহাজ্ঞানী।",
              "numberInSurah": 137,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "ফাইন আ-মানূ বিমিছলি মাআ-মানতুম বিহী ফাকাদিহ তাদাও ওয়াইন তাওয়াল্লাও ফাইন্নামা-হুম ফী শিকা-কিন ফাছাইয়াকফীকাহুমুল্লা-হু ওয়াহুয়াছছামী‘উল ‘আলীম।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//اٰمَنُوْا/ءَامَنُواْ/amanu//بِمِثْلِ/بِمِثۡلِ/bimith'li//مَاۤ/مَآ/ma//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِهٖ/بِهِۦ/bihi//فَقَدِ/فَقَدِ/faqadi//اهْتَدَوْا ۚ/ٱهۡتَدَواْۖ/ih'tadaw//وَ اِنْ/وَّإِن/wa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّمَا/فَإِنَّمَا/fa-innama//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//شِقَاقٍ ۚ/شِقَاقٖۖ/shiqaqin//فَسَیَكْفِیْكَهُمُ/فَسَيَكۡفِيكَهُمُ/fasayakfikahumu//اللّٰهُ ۚ/ٱللَّهُۚ/al-lahu//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُؕ/ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "অতএব যদি//তারা ঈমান আনে//অনুরূপ//যেমন//তোমরা ঈমান এনেছ//তার উপর//তবে নিশ্চয়ই//তারা সঠিক পথ পাবে//আর যদি//তারা মুখ ফিরায়ে নেয়//তবে প্রকৃতপক্ষে//তারা//মধ্যে (লিপ্ত)//বিরোধের//সুতরাং তাদের বিরুদ্ধে তোমার জন্য যথেষ্ট//আল্লাহই//এবং তিনি//সবকিছু শোনেন//সবকিছু জানেন"
            },
            {
              "number": 145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/145.mp3"
              ],
              "text": "صِبْغَةَ ٱللَّهِ ۖ وَمَنْ أَحْسَنُ مِنَ ٱللَّهِ صِبْغَةًۭ ۖ وَنَحْنُ لَهُۥ عَٰبِدُونَ",
              "translate_bn": "আমরা আল্লাহর রং গ্রহণ করেছি। আল্লাহর রং এর চাইতে উত্তম রং আর কার হতে পারে?আমরা তাঁরই এবাদত করি।",
              "numberInSurah": 138,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "সিবগাতাল্লা-হি ওয়ামান আহছানুমিনাল্লা-হি সিবগাতাওঁ ওয়ানাহনুলাহু ‘আবিদূ ন।",
              "words_arabic": "صِبْغَةَ/صِبۡغَةَ/sib'ghata//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//وَ مَنْ/وَمَنۡ/waman//اَحْسَنُ/أَحۡسَنُ/ahsanu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//صِبْغَةً ؗ/صِبۡغَةٗۖ/sib'ghatan//وَّ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//عٰبِدُوْنَ /عَٰبِدُونَ/abiduna",
              "words_bangla": "(গ্রহণ কর) রং (অর্থাৎ দীন)//আল্লাহ্‌র//এবং কে (আছে)//বেশী//চেয়ে//আল্লাহ্‌র//রঙে//এবং আমরা//তাঁরই//ইবাদাতকারী"
            },
            {
              "number": 146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/146.mp3"
              ],
              "text": "قُلْ أَتُحَآجُّونَنَا فِى ٱللَّهِ وَهُوَ رَبُّنَا وَرَبُّكُمْ وَلَنَآ أَعْمَٰلُنَا وَلَكُمْ أَعْمَٰلُكُمْ وَنَحْنُ لَهُۥ مُخْلِصُونَ",
              "translate_bn": "আপনি বলে দিন, তোমরা কি আমাদের সাথে আল্লাহ সম্পর্কে তর্ক করছ? অথচ তিনিই আমাদের পালনকর্তা এবং তোমাদের ও পালনকর্তা। আমাদের জন্যে আমাদের কর্ম তোমাদের জন্যে তোমাদের কর্ম। এবং আমরা তাঁরই প্রতি একনিষ্ঠ।",
              "numberInSurah": 139,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "কুলআতুহাজ্জূনানা-ফিল্লা-হি ওয়াহুওয়া রাব্বুনা-ওয়ারাব্বুকুম ওয়ালানাআ‘মা-লূনা-ওয়ালাকুম আ‘মা-লুকুম ওয়ানাহনূ লাহূ মুখলিসূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَتُحَآجُّوْنَنَا/أَتُحَآجُّونَنَا/atuhajjunana//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ هُوَ/وَهُوَ/wahuwa//رَبُّنَا/رَبُّنَا/rabbuna//وَ رَبُّكُمْ ۚ/وَرَبُّكُمۡ/warabbukum//وَ لَنَاۤ/وَلَنَآ/walana//اَعْمَالُنَا/أَعۡمَٰلُنَا/a'maluna//وَ لَكُمْ/وَلَكُمۡ/walakum//اَعْمَالُكُمْ ۚ/أَعۡمَٰلُكُمۡ/a'malukum//وَ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//مُخْلِصُوْنَۙ/مُخۡلِصُونَ/mukh'lisuna",
              "words_bangla": "বলো//''আমাদের সাথে কি তর্ক করছ//ব্যাপারে//আল্লাহ্‌র//অথচ তিনি//আমাদের রব//ও তোমাদের রব//এবং আমাদের জন্য//আমাদের কাজ//ও তোমাদের জন্য//তোমাদের কাজ//এবং আমরা//তাঁরই//একনিষ্ঠভাবে (দাসত্বকারী)"
            },
            {
              "number": 147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/147.mp3"
              ],
              "text": "أَمْ تَقُولُونَ إِنَّ إِبْرَٰهِۦمَ وَإِسْمَٰعِيلَ وَإِسْحَٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطَ كَانُوا۟ هُودًا أَوْ نَصَٰرَىٰ ۗ قُلْ ءَأَنتُمْ أَعْلَمُ أَمِ ٱللَّهُ ۗ وَمَنْ أَظْلَمُ مِمَّن كَتَمَ شَهَٰدَةً عِندَهُۥ مِنَ ٱللَّهِ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "অথবা তোমরা কি বলছ যে, নিশ্চয়ই ইব্রাহীম, ইসমাঈল, ইসহাক, ইয়াকুব (আঃ) ও তাদের সন্তানগন ইহুদী অথবা খ্রীষ্টান ছিলেন? আপনি বলে দিন, তোমরা বেশী জান, না আল্লাহ বেশী জানেন?",
              "numberInSurah": 140,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "আম তাকূলূনা ইন্না ইবরা-হীমা ওয়াইছমা-‘ঈলা ওয়াইছহা-কাওয়া ইয়া‘কূবা ওয়াল আছবা-তা কা-নূ হূদান আও নাসা-রা-কুল আআনতুম ‘আলামুআমিল্লা-হু ওয়ামান আজলামু মিম্মান কাতামা শাহা-দাতান ‘ইনদাহূ মিনাল্লা-হি ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "اَمْ/أَمۡ/am//تَقُوْلُوْنَ/تَقُولُونَ/taquluna//اِنَّ/إِنَّ/inna//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//وَ الْاَسْبَاطَ/وَٱلۡأَسۡبَاطَ/wal-asbata//كَانُوْا/كَانُواْ/kanu//هُوْدًا/هُودًا/hudan//اَوْ/أَوۡ/aw//نَصٰرٰی ؕ/نَصَٰرَىٰۗ/nasara//قُلْ/قُلۡ/qul//ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//اَعْلَمُ/أَعۡلَمُ/a'lamu//اَمِ/أَمِ/ami//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//كَتَمَ/كَتَمَ/katama//شَهَادَةً/شَهَٰدَةً/shahadatan//عِنْدَهٗ/عِندَهُۥ/indahu//مِنَ/مِنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "অথবা (কি)//তোমরা বল//নিশ্চয়ই//ইবরাহীম//ও ইসমাঈল//ও ইসহাক//ও ইয়াকুব//এবং (তাদের) বংশধর//তারা ছিল//ইহুদী//অথবা//খ্রিষ্টান''//বলো//''তোমরা কি//বেশি জান//অথবা//আল্লাহ্‌ (বেশি জানেন)''//এবং কে//বড় সীমালঙ্ঘনকারী//তার চেয়ে যে//গোপন করে//একটি সাক্ষ্য (বা প্রমাণ)//(যা আছে) তার কাছে//পক্ষ হতে//আল্লাহ্‌র//এবং না//আল্লাহ্‌//উদাসীন//সে সম্পর্কে যা//তোমরা কাজ করছ"
            },
            {
              "number": 148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/148.mp3"
              ],
              "text": "تِلْكَ أُمَّةٌۭ قَدْ خَلَتْ ۖ لَهَا مَا كَسَبَتْ وَلَكُم مَّا كَسَبْتُمْ ۖ وَلَا تُسْـَٔلُونَ عَمَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তার চাইতে অত্যাচারী কে, যে আল্লাহর পক্ষ থেকে তার কাছে প্রমাণিত সাক্ষ্যকে গোপন করে? আল্লাহ তোমাদের কর্ম সম্পর্কে বেখবর নন। সে সম্প্রদায় অতীত হয়ে গেছে। তারা যা করেছে, তা তাদের জন্যে এবং তোমরা যা করছ, তা তোমাদের জন্যে। তাদের কর্ম সম্পর্কে তোমাদের জিজ্ঞেস করা হবে না।",
              "numberInSurah": 141,
              "juz": 1,
              "manzil": 1,
              "page": 21,
              "ruku": 17,
              "hizbQuarter": 8,
              "sajda": false,
              "pronunciation_bn": "তিলকা উম্মাতুন কাদ খালাত লাহা-মা-কাছাবাত ওয়া লাকুম মা-কাছাব তুম ওয়ালা-তুছআলূনা ‘আম্মা-কা-নূ ইয়া‘মালূন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اُمَّةٌ/أُمَّةٞ/ummatun//قَدْ/قَدۡ/qad//خَلَتْ ۚ/خَلَتۡۖ/khalat//لَهَا/لَهَا/laha//مَا/مَا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ لَكُمْ/وَلَكُم/walakum//مَّا/مَّا/ma//كَسَبْتُمْ ۚ/كَسَبۡتُمۡۖ/kasabtum//وَ لَا/وَلَا/wala//تُسْـَٔلُوْنَ/تُسۡـَٔلُونَ/tus'aluna//عَمَّا/عَمَّا/amma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ۠/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "সেই//জাতি//নিশ্চয়ই//অতীত হয়েছে তা//তার জন্য(আছে)//যা//সে উপার্জন করেছে//এবং তোমাদের জন্য//যা//তোমরা উপার্জন করেছ//এবং না//তোমাদের প্রশ্ন করা হবে//সে সম্পর্কে যা//তারা ছিল//তারা কাজ করতে"
            },
            {
              "number": 149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/149.mp3"
              ],
              "text": "۞ سَيَقُولُ ٱلسُّفَهَآءُ مِنَ ٱلنَّاسِ مَا وَلَّىٰهُمْ عَن قِبْلَتِهِمُ ٱلَّتِى كَانُوا۟ عَلَيْهَا ۚ قُل لِّلَّهِ ٱلْمَشْرِقُ وَٱلْمَغْرِبُ ۚ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "এখন নির্বোধেরা বলবে, কিসে মুসলমানদের ফিরিয়ে দিল তাদের ঐ কেবলা থেকে, যার উপর তারা ছিল? আপনি বলুনঃ পূর্ব ও পশ্চিম আল্লাহরই। তিনি যাকে ইচ্ছা সরল পথে চালান।",
              "numberInSurah": 142,
              "juz": 2,
              "manzil": 1,
              "page": 22,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলুছ ছুফাহাউ মিনান্না-ছি মা-ওয়াল্লা-হুম ‘আন কিবলাতিহিমুল্লাতী কা-নূ ‘আলাইহা-কুল লিল্লা-হিল মাশরিকু ওয়াল মাগরিবু ইয়াহদী মাইঁ ইয়াশাউ ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "سَیَقُوْلُ/۞سَيَقُولُ/sayaqulu//السُّفَهَآءُ/ٱلسُّفَهَآءُ/al-sufahau//مِنَ/مِنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَا/مَا/ma//وَلّٰىهُمْ/وَلَّىٰهُمۡ/wallahum//عَنْ/عَن/an//قِبْلَتِهِمُ/قِبۡلَتِهِمُ/qib'latihimu//الَّتِیْ/ٱلَّتِي/allati//كَانُوْا/كَانُواْ/kanu//عَلَیْهَا ؕ/عَلَيۡهَاۚ/alayha//قُلْ/قُل/qul//لِّلّٰهِ/لِّلَّهِ/lillahi//الْمَشْرِقُ/ٱلۡمَشۡرِقُ/al-mashriqu//وَ الْمَغْرِبُ ؕ/وَٱلۡمَغۡرِبُۚ/wal-maghribu//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "বলবে অচিরেই//নির্বোধরা//মধ্য হতে//মানুষদের//''কিসে//তাদের মুখ ফিরাল//হতে//তাদের কিবলা//সেই (কিবলা হতে)//তারা ছিল//যার দিকে (মুখ করত)''//বলো//''আল্লাহরই//পূর্ব//ও পশ্চিম//তিনি পথ দেখান//যাকে//তিনি চান//দিকে//পথের//সরলসোজা''"
            },
            {
              "number": 150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/150.mp3"
              ],
              "text": "وَكَذَٰلِكَ جَعَلْنَٰكُمْ أُمَّةًۭ وَسَطًۭا لِّتَكُونُوا۟ شُهَدَآءَ عَلَى ٱلنَّاسِ وَيَكُونَ ٱلرَّسُولُ عَلَيْكُمْ شَهِيدًۭا ۗ وَمَا جَعَلْنَا ٱلْقِبْلَةَ ٱلَّتِى كُنتَ عَلَيْهَآ إِلَّا لِنَعْلَمَ مَن يَتَّبِعُ ٱلرَّسُولَ مِمَّن يَنقَلِبُ عَلَىٰ عَقِبَيْهِ ۚ وَإِن كَانَتْ لَكَبِيرَةً إِلَّا عَلَى ٱلَّذِينَ هَدَى ٱللَّهُ ۗ وَمَا كَانَ ٱللَّهُ لِيُضِيعَ إِيمَٰنَكُمْ ۚ إِنَّ ٱللَّهَ بِٱلنَّاسِ لَرَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "এমনিভাবে আমি তোমাদেরকে মধ্যপন্থী সম্প্রদায় করেছি যাতে করে তোমরা সাক্ষ্যদাতা হও মানবমন্ডলীর জন্যে এবং যাতে রসূল সাক্ষ্যদাতা হন তোমাদের জন্য। আপনি যে কেবলার উপর ছিলেন, তাকে আমি এজন্যই কেবলা করেছিলাম, যাতে একথা প্রতীয়মান হয় যে, কে রসূলের অনুসারী থাকে আর কে পিঠটান দেয়। নিশ্চিতই এটা কঠোরতর বিষয়, কিন্তু তাদের জন্যে নয়, যাদেরকে আল্লাহ পথপ্রদর্শন করেছেন। আল্লাহ এমন নন যে, তোমাদের ঈমান নষ্ট করে দেবেন। নিশ্চয়ই আল্লাহ, মানুষের প্রতি অত্যন্ত স্নেহশীল, করুনাময়।",
              "numberInSurah": 143,
              "juz": 2,
              "manzil": 1,
              "page": 22,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা জা‘আলনা-কুম উম্মাতাওঁ ওয়াছাতাল লিতাকূনূ শুহাদাআ ‘আলান্না-ছি ওয়া ইয়াকূনার রাছূলু‘আলাইকুম শাহীদাওঁ ওয়ামা-জা‘আলনাল কিবলাতাল্লাতী কুনতা ‘আলাইহা ইল্লা-লিনা‘লামা মাইঁ ইয়াত্তাবি‘উররাছূলা মিম্মাইঁ ইয়ানকালিবু‘আলা-‘আকিবাইহি ওয়া ইন কা-নাত লাকাবীরাতান ইল্লা-‘আলাল্লাযীনা হাদাল্লা-হু ওয়ামা-কা-নাল্লাহু লিইউদী‘আ ঈমা-নাকুম ইন্নাল্লা-হা বিন্না-ছি লারাঊফুররাহীম।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//جَعَلْنٰكُمْ/جَعَلۡنَٰكُمۡ/ja'alnakum//اُمَّةً/أُمَّةٗ/ummatan//وَّسَطًا/وَسَطٗا/wasatan//لِّتَكُوْنُوْا/لِّتَكُونُواْ/litakunu//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ یَكُوْنَ/وَيَكُونَ/wayakuna//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//شَهِیْدًا ؕ/شَهِيدٗاۗ/shahidan//وَ مَا/وَمَا/wama//جَعَلْنَا/جَعَلۡنَا/ja'alna//الْقِبْلَةَ/ٱلۡقِبۡلَةَ/al-qib'lata//الَّتِیْ/ٱلَّتِي/allati//كُنْتَ/كُنتَ/kunta//عَلَیْهَاۤ/عَلَيۡهَآ/alayha//اِلَّا/إِلَّا/illa//لِنَعْلَمَ/لِنَعۡلَمَ/lina'lama//مَنْ/مَن/man//یَّتَّبِعُ/يَتَّبِعُ/yattabi'u//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//مِمَّنْ/مِمَّن/mimman//یَّنْقَلِبُ/يَنقَلِبُ/yanqalibu//عَلٰی/عَلَىٰ/ala//عَقِبَیْهِ ؕ/عَقِبَيۡهِۚ/aqibayhi//وَ اِنْ/وَإِن/wa-in//كَانَتْ/كَانَتۡ/kanat//لَكَبِیْرَةً/لَكَبِيرَةً/lakabiratan//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَدَی/هَدَى/hada//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُضِیْعَ/لِيُضِيعَ/liyudi'a//اِیْمَانَكُمْ ؕ/إِيمَٰنَكُمۡۚ/imanakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِالنَّاسِ/بِٱلنَّاسِ/bil-nasi//لَرَءُوْفٌ/لَرَءُوفٞ/laraufun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং এভাবে//তোমাদের আমরা বানিয়েছি//একটি জাতি//মধ্যমপন্থী//তোমরা হও যেন//সাক্ষী//উপর(জন্য)//(পৃথিবীর) মানুষের//ও হয়//রাসূল//তোমাদের উপর(জন্য)//সাক্ষী//এবং না//আমরা বানিয়েছিলাম//কিবলা//সেটাকে//তুমি ছিলে//যার উপর//এ ছাড়া//আমরা যেন জানতে পারি//কে//অনুসরণ করে//রাসূলকে (আর)//কে তাদের মধ্য হতে//ফিরে যায়//উপর//তার দুই গোড়ালির (অর্থাৎ উল্টোদিকে)//এবং যদিও//তা ছিল (মেনে চলা)//অবশ্যই কঠিন//তবে (নয় কঠিন)//(তাদের) উপর//যাদেরকে//পথ দেখিয়েছেন//আল্লাহ্‌//এবং নন//(ছিল)//আল্লাহ্‌ (এরূপ যে)//নষ্ট করবেন//তোমাদের ঈমান//নিশ্চয়ই//আল্লাহ্‌//মানুষের উপর//বড়ই দয়ালু//পরম দয়ালু"
            },
            {
              "number": 151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/151.mp3"
              ],
              "text": "قَدْ نَرَىٰ تَقَلُّبَ وَجْهِكَ فِى ٱلسَّمَآءِ ۖ فَلَنُوَلِّيَنَّكَ قِبْلَةًۭ تَرْضَىٰهَا ۚ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَحَيْثُ مَا كُنتُمْ فَوَلُّوا۟ وُجُوهَكُمْ شَطْرَهُۥ ۗ وَإِنَّ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ لَيَعْلَمُونَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّهِمْ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا يَعْمَلُونَ",
              "translate_bn": "নিশ্চয়ই আমি আপনাকে বার বার আকাশের দিকে তাকাতে দেখি। অতএব, অবশ্যই আমি আপনাকে সে কেবলার দিকেই ঘুরিয়ে দেব যাকে আপনি পছন্দ করেন। এখন আপনি মসজিদুল-হারামের দিকে মুখ করুন এবং তোমরা যেখানেই থাক, সেদিকে মুখ কর। যারা আহলে-কিতাব, তারা অবশ্যই জানে যে, এটাই ঠিক পালনকর্তার পক্ষ থেকে। আল্লাহ বেখবর নন, সে সমস্ত কর্ম সম্পর্কে যা তারা করে।",
              "numberInSurah": 144,
              "juz": 2,
              "manzil": 1,
              "page": 22,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "কাদ নারা-তাকাল্লুবা ওয়াজহিকা ফিছছামাই ফালানুওয়ালিলয়ান্নাকা কিবলাতান তারদাহা-ফাওয়ালিল ওয়াজহাকা শাতরাল মাছজিদিল হারা-মি ওয়া হাইছুমা-কুনতুম ফাওয়াললূ উজূহাকুম শাতরাহূ ওয়া ইন্নাল্লাযীনা ঊতুল কিতা-বা লাইয়া‘লামূনা আন্নাহুল হাক্কুমির রাব্বিহিম ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-ইয়া‘মালূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//نَرٰی/نَرَىٰ/nara//تَقَلُّبَ/تَقَلُّبَ/taqalluba//وَجْهِكَ/وَجۡهِكَ/wajhika//فِی/فِي/fi//السَّمَآءِ ۚ/ٱلسَّمَآءِۖ/al-samai//فَلَنُوَلِّیَنَّكَ/فَلَنُوَلِّيَنَّكَ/falanuwalliyannaka//قِبْلَةً/قِبۡلَةٗ/qib'latan//تَرْضٰىهَا ۪/تَرۡضَىٰهَاۚ/tardaha//فَوَلِّ/فَوَلِّ/fawalli//وَجْهَكَ/وَجۡهَكَ/wajhaka//شَطْرَ/شَطۡرَ/shatra//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ ؕ/ٱلۡحَرَامِۚ/al-harami//وَ حَیْثُ/وَحَيۡثُ/wahaythu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//فَوَلُّوْا/فَوَلُّواْ/fawallu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//شَطْرَهٗ ؕ/شَطۡرَهُۥۗ/shatrahu//وَ اِنَّ/وَإِنَّ/wa-inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//لَیَعْلَمُوْنَ/لَيَعۡلَمُونَ/laya'lamuna//اَنَّهُ/أَنَّهُ/annahu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّهِمْ ؕ/رَّبِّهِمۡۗ/rabbihim//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "অবশ্যই//দেখেছি আমরা//বার বার ফিরাতে//তোমার মুখ//দিকে//আকাশের//তাই তোমাকে আমরা ঘুরিয়ে দিচ্ছি//কিবলার (দিকে)//যা পছন্দ কর তুমি//ফিরাও তাই//তোমার মুখ//দিকে//মাসজিদে//হারামের//এবং যেখানেই//(কি)//তোমরা থাক//ফিরাও তখন তোমরা//তোমাদের মুখ//তার দিকে//এবং নিশ্চয়ই//যাদের//দেয়া হয়েছ//কিতাব//তারা জানে অবশ্যই//তা যে//সত্য//পক্ষ হতে//তার রবের//এবং নন//আল্লাহ্‌//উদাসীন//সে সমন্ধে যা//তারা করছে"
            },
            {
              "number": 152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/152.mp3"
              ],
              "text": "وَلَئِنْ أَتَيْتَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ بِكُلِّ ءَايَةٍۢ مَّا تَبِعُوا۟ قِبْلَتَكَ ۚ وَمَآ أَنتَ بِتَابِعٍۢ قِبْلَتَهُمْ ۚ وَمَا بَعْضُهُم بِتَابِعٍۢ قِبْلَةَ بَعْضٍۢ ۚ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم مِّنۢ بَعْدِ مَا جَآءَكَ مِنَ ٱلْعِلْمِ ۙ إِنَّكَ إِذًۭا لَّمِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "যদি আপনি আহলে কিতাবদের কাছে সমুদয় নিদর্শন উপস্থাপন করেন, তবুও তারা আপনার কেবলা মেনে নেবে না এবং আপনিও তাদের কেবলা মানেন না। তারাও একে অন্যের কেবলা মানে না। যদি আপনি তাদের বাসনার অনুসরণ করেন, সে জ্ঞানলাভের পর, যা আপনার কাছে পৌঁছেছে, তবে নিশ্চয় আপনি অবিচারকারীদের অন্তর্ভুক্ত হবেন।",
              "numberInSurah": 145,
              "juz": 2,
              "manzil": 1,
              "page": 22,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা ইন আতাইতাল্লাযীনা ঊতূল কিতা-বা বিকুল্লি আ-য়াতিম মা-তাবি‘ঊ কিবলাতাকা ওয়ামা আনতা বিতা-বি‘ইন কিবলাতাহুম ওয়ামা-বা‘দুহুম বিতা-বি‘ইন কিবলাতা বা‘দিওঁ ওয়ালাইনিত্তাবা‘তা আহওয়াআহুম মিম বা‘দি মা-জাআকা মিনাল ‘ইলমি ইন্নাকা ইযাল্লামিনাজ্জা-লিমীন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَتَیْتَ/أَتَيۡتَ/atayta//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِكُلِّ/بِكُلِّ/bikulli//اٰیَةٍ/ءَايَةٖ/ayatin//مَّا/مَّا/ma//تَبِعُوْا/تَبِعُواْ/tabi'u//قِبْلَتَكَ ۚ/قِبۡلَتَكَۚ/qib'lataka//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//بِتَابِعٍ/بِتَابِعٖ/bitabi'in//قِبْلَتَهُمْ ۚ/قِبۡلَتَهُمۡۚ/qib'latahum//وَ مَا/وَمَا/wama//بَعْضُهُمْ/بَعۡضُهُم/ba'duhum//بِتَابِعٍ/بِتَابِعٖ/bitabi'in//قِبْلَةَ/قِبۡلَةَ/qib'lata//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//وَ لَىِٕنِ/وَلَئِنِ/wala-ini//اتَّبَعْتَ/ٱتَّبَعۡتَ/ittaba'ta//اَهْوَآءَهُمْ/أَهۡوَآءَهُم/ahwaahum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَكَ/جَآءَكَ/jaaka//مِنَ/مِنَ/mina//الْعِلْمِ ۙ/ٱلۡعِلۡمِ/al-'il'mi//اِنَّكَ/إِنَّكَ/innaka//اِذًا/إِذٗا/idhan//لَّمِنَ/لَّمِنَ/lamina//الظّٰلِمِیْنَۘ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং অবশ্যই যদি//তুমি আস//(তাদেরকে) যাদের//দেয়া হয়েছে//কিতাব//সব নিয়ে//নিদর্শন//(তবুও) না//অনুসরণ করবে তারা//তোমার কিবলার//এবং নও//তুমি//অনুসারী//তাদের কিবলার//এবং নয়//তাদের কেউ//অনুসারী//কিবলার//কারোর//এবং অবশ্যই যদি//তুমি অনুসরণ কর//তাদের খেয়াল খুশির//থেকে//এর পরও//যা//তোমার কাছে এসেছে//থেকে//(সঠিক) জ্ঞান//নিশ্চয়ই তুমি//তাহলে//অবশ্যই অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/153.mp3"
              ],
              "text": "ٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يَعْرِفُونَهُۥ كَمَا يَعْرِفُونَ أَبْنَآءَهُمْ ۖ وَإِنَّ فَرِيقًۭا مِّنْهُمْ لَيَكْتُمُونَ ٱلْحَقَّ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "আমি যাদেরকে কিতাব দান করেছি, তারা তাকে চেনে, যেমন করে চেনে নিজেদের পুত্রদেরকে। আর নিশ্চয়ই তাদের একটি সম্প্রদায় জেনে শুনে সত্যকে গোপন করে।",
              "numberInSurah": 146,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ইয়া‘রিফূনাহূ কামা ইয়া‘রিফূনা আবনাূআহুম ওয়া ইন্না ফারীকাম মিনহুম লাইয়াকতুমূনাল হাক্কা ওয়াহুম ইয়া‘লামূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَعْرِفُوْنَهٗ/يَعۡرِفُونَهُۥ/ya'rifunahu//كَمَا/كَمَا/kama//یَعْرِفُوْنَ/يَعۡرِفُونَ/ya'rifuna//اَبْنَآءَهُمْ ؕ/أَبۡنَآءَهُمۡۖ/abnaahum//وَ اِنَّ/وَإِنَّ/wa-inna//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//لَیَكْتُمُوْنَ/لَيَكۡتُمُونَ/layaktumuna//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ ؔ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "যারা//তাদেরকে আমরা দিয়েছি//কিতাব//তা তারা চিনে//যেমন//তারা চিনে//তাদের সন্তানদেরকে//এবং নিশ্চয়ই//একদল//তাদের মধ্য হতে//অবশ্যই গোপন করে//সত্যকে//এমতাবস্থায় যে তারা//জানেও"
            },
            {
              "number": 154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/154.mp3"
              ],
              "text": "ٱلْحَقُّ مِن رَّبِّكَ ۖ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ",
              "translate_bn": "বাস্তব সত্য সেটাই যা তোমার পালনকর্তা বলেন। কাজেই তুমি সন্দিহান হয়ো না।",
              "numberInSurah": 147,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 18,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "আলহাক্কু মির রাব্বিকা ফালা-তাকূনান্না মিনাল মুমতারীন।",
              "words_arabic": "اَلْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//فَلَا/فَلَا/fala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُمْتَرِیْنَ۠/ٱلۡمُمۡتَرِينَ/al-mum'tarina",
              "words_bangla": "প্রকৃত সত্য//পক্ষ হতে//তোমার রবের//না তাই//তোমরা হবে//অন্তর্ভুক্ত//সন্দেহ পোষণকারীর"
            },
            {
              "number": 155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/155.mp3"
              ],
              "text": "وَلِكُلٍّۢ وِجْهَةٌ هُوَ مُوَلِّيهَا ۖ فَٱسْتَبِقُوا۟ ٱلْخَيْرَٰتِ ۚ أَيْنَ مَا تَكُونُوا۟ يَأْتِ بِكُمُ ٱللَّهُ جَمِيعًا ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "আর সবার জন্যই রয়েছে কেবলা একেক দিকে, যে দিকে সে মুখ করে (এবাদত করবে)। কাজেই সৎকাজে প্রতিযোগিতামূলকভাবে এগিয়ে যাও। যেখানেই তোমরা থাকবে, আল্লাহ অবশ্যই তোমাদেরকে সমবেত করবেন। নিশ্চয়ই আল্লাহ সর্ব বিষয়ে ক্ষমতাশীল।",
              "numberInSurah": 148,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 19,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লিওঁ বিজহাতুন হুওয়া মুওয়াললীহা-ফাছতাবিকূল খাইরা-তি আইনা মা-তাকূনূ ইয়া’তি বিকুমুল্লা-হু জামী‘আন ইন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ لِكُلٍّ/وَلِكُلّٖ/walikullin//وِّجْهَةٌ/وِجۡهَةٌ/wij'hatun//هُوَ/هُوَ/huwa//مُوَلِّیْهَا/مُوَلِّيهَاۖ/muwalliha//فَاسْتَبِقُوْا/فَٱسۡتَبِقُواْ/fa-is'tabiqu//الْخَیْرٰتِ ؔؕ/ٱلۡخَيۡرَٰتِۚ/al-khayrati//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//تَكُوْنُوْا/تَكُونُواْ/takunu//یَاْتِ/يَأۡتِ/yati//بِكُمُ/بِكُمُ/bikumu//اللّٰهُ/ٱللَّهُ/al-lahu//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "এবং প্রত্যেকের জন্য//একটি দিক (আছে)//সে//মুখ ফিরায় তার দিকে//তোমরা তাই প্রতিযোগিতা করো//কল্যাণের//যেখানেই//(কি)//তোমরা থাক//আসবেন//তোমাদেরকে//আল্লাহ্‌//সকলকেই (একসাথে)//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/156.mp3"
              ],
              "text": "وَمِنْ حَيْثُ خَرَجْتَ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۖ وَإِنَّهُۥ لَلْحَقُّ مِن رَّبِّكَ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "আর যে স্থান থেকে তুমি বের হও, নিজের মুখ মসজিদে হারামের দিকে ফেরাও-নিঃসন্দেহে এটাই হলো তোমার পালনকর্তার পক্ষ থেকে নির্ধারিত বাস্তব সত্য। বস্তুতঃ তোমার পালনকর্তা তোমাদের কার্যকলাপ সম্পর্কে অনবহিত নন।",
              "numberInSurah": 149,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 19,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়ামিন হাইছু খারাজতা ফাওয়ালিল ওয়াজহাকা শাতরাল মাছজিদিল হারা-মি ওয়া ইন্নাহূলালহাক্কুমির রাব্বিকা ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//حَیْثُ/حَيۡثُ/haythu//خَرَجْتَ/خَرَجۡتَ/kharajta//فَوَلِّ/فَوَلِّ/fawalli//وَجْهَكَ/وَجۡهَكَ/wajhaka//شَطْرَ/شَطۡرَ/shatra//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ ؕ/ٱلۡحَرَامِۖ/al-harami//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَلْحَقُّ/لَلۡحَقُّ/lalhaqqu//مِنْ/مِن/min//رَّبِّكَ ؕ/رَّبِّكَۗ/rabbika//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং থেকেই//যেখান//তুমি বের হও//তখন ফিরাও//তোমার মুখ//দিকে//মাসজিদে//হারামের//এবং তা নিশ্চয়ই//অবশ্যই সত্য//পক্ষ হতে//তোমার রবের//এবং নন//আল্লাহ্‌//উদাসীন//তা হতে যা//তোমরা করেছ"
            },
            {
              "number": 157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/157.mp3"
              ],
              "text": "وَمِنْ حَيْثُ خَرَجْتَ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَحَيْثُ مَا كُنتُمْ فَوَلُّوا۟ وُجُوهَكُمْ شَطْرَهُۥ لِئَلَّا يَكُونَ لِلنَّاسِ عَلَيْكُمْ حُجَّةٌ إِلَّا ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ فَلَا تَخْشَوْهُمْ وَٱخْشَوْنِى وَلِأُتِمَّ نِعْمَتِى عَلَيْكُمْ وَلَعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "আর তোমরা যেখান থেকেই বেরিয়ে আস এবং যেখানেই অবস্থান কর, সেদিকেই মুখ ফেরাও, যাতে করে মানুষের জন্য তোমাদের সাথে ঝগড়া করার অবকাশ না থাকে। অবশ্য যারা অবিবেচক, তাদের কথা আলাদা। কাজেই তাদের আপত্তিতে ভীত হয়ো না। আমাকেই ভয় কর। যাতে আমি তোমাদের জন্যে আমার অনুগ্রহ সমূহ পূর্ণ করে দেই এবং তাতে যেন তোমরা সরলপথ প্রাপ্ত হও।",
              "numberInSurah": 150,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 19,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়ামিন হাইছু খারাজতা ফাওয়ালিল ওয়াজহাকা শাতরাল মাছজিদিল হারা-মি ওয়া হাইছুমা-কুনতুম ফাওয়াললূ উজূহাকুম শাতরাহূ লিআল্লা-ইয়াকূনা লিন্না-ছি ‘আলাইকুম হুজ্জাতুন ইল্লাল্লাযীনা জালামূ মিনহুম ফালা-তাখশাওহুম ওয়াখশাওনী ওয়ালিউতিম্মা নি‘মাতী ‘আলাইকুম ওয়া লা‘আল্লাকুম তাহতাদূ ন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//حَیْثُ/حَيۡثُ/haythu//خَرَجْتَ/خَرَجۡتَ/kharajta//فَوَلِّ/فَوَلِّ/fawalli//وَجْهَكَ/وَجۡهَكَ/wajhaka//شَطْرَ/شَطۡرَ/shatra//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ ؕ/ٱلۡحَرَامِۚ/al-harami//وَ حَیْثُ/وَحَيۡثُ/wahaythu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//فَوَلُّوْا/فَوَلُّواْ/fawallu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//شَطْرَهٗ ۙ/شَطۡرَهُۥ/shatrahu//لِئَلَّا/لِئَلَّا/li-alla//یَكُوْنَ/يَكُونَ/yakuna//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//حُجَّةٌ ۙۗ/حُجَّةٌ/hujjatun//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْهُمْ ۗ/مِنۡهُمۡ/min'hum//فَلَا/فَلَا/fala//تَخْشَوْهُمْ/تَخۡشَوۡهُمۡ/takhshawhum//وَ اخْشَوْنِیْ ۗ/وَٱخۡشَوۡنِي/wa-ikh'shawni//وَ لِاُتِمَّ/وَلِأُتِمَّ/wali-utimma//نِعْمَتِیْ/نِعۡمَتِي/ni'mati//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَهْتَدُوْنَۙۛ/تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "এবং হতেই//যেখান//তুমি বের হও//তুমি তখন ফিরাও//তোমার মুখ//দিকে//মসজিদে//হারামের//এবং যেখানেই//(কি)//তোমরা থাক//তোমরা তখন ফিরাবে//তোমাদের মুখ//তার দিকে//না যেন//হয়//মানুষের জন্য//তোমাদের বিরুদ্ধে//কোন প্রমাণ//তবে//যারা//সীমালঙ্ঘন করেছে//তাদের মধ্যে থেকে (তাদের কথা ভিন্ন)//না তাই//ভয় কর তাদেরকে//বরং তোমরা আমাকেই ভয় করো//এবং আমি পূর্ণ করি যেন//আমার অনুগ্রহ//তোমাদের উপর//ও আশা করা যায় তোমরা//সঠিক পথে চলবে"
            },
            {
              "number": 158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/158.mp3"
              ],
              "text": "كَمَآ أَرْسَلْنَا فِيكُمْ رَسُولًۭا مِّنكُمْ يَتْلُوا۟ عَلَيْكُمْ ءَايَٰتِنَا وَيُزَكِّيكُمْ وَيُعَلِّمُكُمُ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَيُعَلِّمُكُم مَّا لَمْ تَكُونُوا۟ تَعْلَمُونَ",
              "translate_bn": "যেমন, আমি পাঠিয়েছি তোমাদেরই মধ্য থেকে তোমাদের জন্যে একজন রসূল, যিনি তোমাদের নিকট আমার বাণীসমুহ পাঠ করবেন এবং তোমাদের পবিত্র করবেন; আর তোমাদের শিক্ষা দেবেন কিতাব ও তাঁর তত্ত্বজ্ঞান এবং শিক্ষা দেবেন এমন বিষয় যা কখনো তোমরা জানতে না।",
              "numberInSurah": 151,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 19,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "কামাআরছালনা-ফীকুম রাছূলাম মিনকুম ইয়াতলূ‘আলাইকুম আ-য়া-তিনা-ওয়া ইউঝাক্কীকুম ওয়া ইউ‘আলিলমুকুমুল কিতা-বা ওয়াল হিকমাতা ওয়া ইউ‘আলিলমুকুম মা-লাম তাকূনূতা‘লামূন।",
              "words_arabic": "كَمَاۤ/كَمَآ/kama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//فِیْكُمْ/فِيكُمۡ/fikum//رَسُوْلًا/رَسُولٗا/rasulan//مِّنْكُمْ/مِّنكُمۡ/minkum//یَتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//وَ یُزَكِّیْكُمْ/وَيُزَكِّيكُمۡ/wayuzakkikum//وَ یُعَلِّمُكُمُ/وَيُعَلِّمُكُمُ/wayu'allimukumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ یُعَلِّمُكُمْ/وَيُعَلِّمُكُم/wayu'allimukum//مَّا/مَّا/ma//لَمْ/لَمۡ/lam//تَكُوْنُوْا/تَكُونُواْ/takunu//تَعْلَمُوْنَؕۛ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "যেমন//আমরা প্রেরণ করেছি//তোমাদের মধ্যে//একজন রাসূল//তোমাদের মধ্য হতে//সে তিলাওয়াত করে//তোমাদের কাছে//আমাদের আয়াত সমূহ//ও তোমাদেরকে পরিশুদ্ধ করে//এবং তোমাদেরকে শিক্ষা দেয়//কিতাব//ও প্রজ্ঞা//আর তোমাদেরকে শিক্ষা দেয়//যা//না//তোমরা থাক//জানতে"
            },
            {
              "number": 159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/159.mp3"
              ],
              "text": "فَٱذْكُرُونِىٓ أَذْكُرْكُمْ وَٱشْكُرُوا۟ لِى وَلَا تَكْفُرُونِ",
              "translate_bn": "সুতরাং তোমরা আমাকে স্মরণ কর, আমিও তোমাদের স্মরণ রাখবো এবং আমার কৃতজ্ঞতা প্রকাশ কর; অকৃতজ্ঞ হয়ো না।",
              "numberInSurah": 152,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 19,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ফাযকুরূনী আযকুরকুম ওয়াশকুরূলী ওয়ালা-তাকফুরূন।",
              "words_arabic": "فَاذْكُرُوْنِیْۤ/فَٱذۡكُرُونِيٓ/fa-udh'kuruni//اَذْكُرْكُمْ/أَذۡكُرۡكُمۡ/adhkur'kum//وَ اشْكُرُوْا/وَٱشۡكُرُواْ/wa-ush'kuru//لِیْ/لِي/li//وَ لَا/وَلَا/wala//تَكْفُرُوْنِ۠/تَكۡفُرُونِ/takfuruni",
              "words_bangla": "সুতরাং স্মরণ করো তোমরা আমাকে//আমি স্মরণ করব তোমাদেরকে//এবং কৃতজ্ঞতা প্রকাশ করো//আমার প্রতি//এবং না//তোমরা অকৃতজ্ঞ হয়ো"
            },
            {
              "number": 160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/160.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱسْتَعِينُوا۟ بِٱلصَّبْرِ وَٱلصَّلَوٰةِ ۚ إِنَّ ٱللَّهَ مَعَ ٱلصَّٰبِرِينَ",
              "translate_bn": "হে মুমিন গন! তোমরা ধৈর্য্য ও নামাযের মাধ্যমে সাহায্য প্রার্থনা কর। নিশ্চিতই আল্লাহ ধৈর্য্যশীলদের সাথে রয়েছেন।",
              "numberInSurah": 153,
              "juz": 2,
              "manzil": 1,
              "page": 23,
              "ruku": 20,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুছতা‘ঈনূ বিসসাবরি ওয়াসসালা-তি; ইন্নাল্লা-হা মা‘আসসাবিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اسْتَعِیْنُوْا/ٱسۡتَعِينُواْ/is'ta'inu//بِالصَّبْرِ/بِٱلصَّبۡرِ/bil-sabri//وَ الصَّلٰوةِ ؕ/وَٱلصَّلَوٰةِۚ/wal-salati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা সাহায্য চাও//ধৈর্য্য দ্বারা//ও সলাতের (মাধ্যমে)//নিশ্চয়ই//আল্লাহ (আছেন)//সাথে//ধৈর্যশীলদের"
            },
            {
              "number": 161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/161.mp3"
              ],
              "text": "وَلَا تَقُولُوا۟ لِمَن يُقْتَلُ فِى سَبِيلِ ٱللَّهِ أَمْوَٰتٌۢ ۚ بَلْ أَحْيَآءٌۭ وَلَٰكِن لَّا تَشْعُرُونَ",
              "translate_bn": "আর যারা আল্লাহর রাস্তায় নিহত হয়, তাদের মৃত বলো না। বরং তারা জীবিত, কিন্তু তোমরা তা বুঝ না।",
              "numberInSurah": 154,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূলূ লিমাইঁ ইউকতালুফী ছাবীলিল্লা-হি আমওয়া-তুন বাল আহইয়াউওঁ ওয়ালা-কিল্লা-তাশ‘উরূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقُوْلُوْا/تَقُولُواْ/taqulu//لِمَنْ/لِمَن/liman//یُّقْتَلُ/يُقۡتَلُ/yuq'talu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اَمْوَاتٌ ؕ/أَمۡوَٰتُۢۚ/amwatun//بَلْ/بَلۡ/bal//اَحْیَآءٌ/أَحۡيَآءٞ/ahyaon//وَّ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تَشْعُرُوْنَ /تَشۡعُرُونَ/tash'uruna",
              "words_bangla": "এবং না//তোমরা বলো//(তাদের) যারা//নিহত হয়//মধ্যে//পথে//আল্লাহর//''মৃত//বরং//তারা জীবিত//কিন্তু//না//তোমরা অনুভব কর"
            },
            {
              "number": 162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/162.mp3"
              ],
              "text": "وَلَنَبْلُوَنَّكُم بِشَىْءٍۢ مِّنَ ٱلْخَوْفِ وَٱلْجُوعِ وَنَقْصٍۢ مِّنَ ٱلْأَمْوَٰلِ وَٱلْأَنفُسِ وَٱلثَّمَرَٰتِ ۗ وَبَشِّرِ ٱلصَّٰبِرِينَ",
              "translate_bn": "এবং অবশ্যই আমি তোমাদিগকে পরীক্ষা করব কিছুটা ভয়, ক্ষুধা, মাল ও জানের ক্ষতি ও ফল-ফসল বিনষ্টের মাধ্যমে। তবে সুসংবাদ দাও সবরকারীদের।",
              "numberInSurah": 155,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "ওয়ালানাবলুওয়ান্নাকুম বিশাইয়িম মিনাল খাওফি ওয়ালজূ‘ই ওয়ানাকসিম মিনাল আমওয়া-লি ওয়াল আনফুছি ওয়াছছামারা-তি ওয়া বাশশিরিসসা-বিরীন।",
              "words_arabic": "وَ لَنَبْلُوَنَّكُمْ/وَلَنَبۡلُوَنَّكُم/walanabluwannakum//بِشَیْءٍ/بِشَيۡءٖ/bishayin//مِّنَ/مِّنَ/mina//الْخَوْفِ/ٱلۡخَوۡفِ/al-khawfi//وَ الْجُوْعِ/وَٱلۡجُوعِ/wal-ju'i//وَ نَقْصٍ/وَنَقۡصٖ/wanaqsin//مِّنَ/مِّنَ/mina//الْاَمْوَالِ/ٱلۡأَمۡوَٰلِ/al-amwali//وَ الْاَنْفُسِ/وَٱلۡأَنفُسِ/wal-anfusi//وَ الثَّمَرٰتِ ؕ/وَٱلثَّمَرَٰتِۗ/wal-thamarati//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الصّٰبِرِیْنَۙ/ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "এবং তোমাদের অবশ্যই পরীক্ষা করব আমরা//কিছু জিনিস দিয়ে//যেমন//ভয়//ও ক্ষুধা//ও ক্ষয়ক্ষতি//কিছু//ধনসম্পদের//ও জীবনের//ও ফল ফসলাদির//এবং সুসংবাদ দাও//(ঐসব) ধৈর্যশীলদের"
            },
            {
              "number": 163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/163.mp3"
              ],
              "text": "ٱلَّذِينَ إِذَآ أَصَٰبَتْهُم مُّصِيبَةٌۭ قَالُوٓا۟ إِنَّا لِلَّهِ وَإِنَّآ إِلَيْهِ رَٰجِعُونَ",
              "translate_bn": "যখন তারা বিপদে পতিত হয়, তখন বলে, নিশ্চয় আমরা সবাই আল্লাহর জন্য এবং আমরা সবাই তাঁরই সান্নিধ্যে ফিরে যাবো।",
              "numberInSurah": 156,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইযাআসা-বাতহুম মুসীবাতুন কা-লূইন্না-লিল্লা-হি ওয়াইন্না-ইলাইহি রাজি‘ঊন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَاۤ/إِذَآ/idha//اَصَابَتْهُمْ/أَصَٰبَتۡهُم/asabathum//مُّصِیْبَةٌ ۙ/مُّصِيبَةٞ/musibatun//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//لِلّٰهِ/لِلَّهِ/lillahi//وَ اِنَّاۤ/وَإِنَّآ/wa-inna//اِلَیْهِ/إِلَيۡهِ/ilayhi//رٰجِعُوْنَؕ/رَٰجِعُونَ/raji'una",
              "words_bangla": "যারা//যখন//তাদের উপর এসে পড়ে//কোনো বিপদ//(তখন) তারা বলে//''নিশ্চয়ই আমরা//আল্লাহরই জন্যে//ও নিশ্চয়ই আমরা//তাঁরই দিকে//প্রত্যাবর্তনকারী''"
            },
            {
              "number": 164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/164.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ عَلَيْهِمْ صَلَوَٰتٌۭ مِّن رَّبِّهِمْ وَرَحْمَةٌۭ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُهْتَدُونَ",
              "translate_bn": "তারা সে সমস্ত লোক, যাদের প্রতি আল্লাহর অফুরন্ত অনুগ্রহ ও রহমত রয়েছে এবং এসব লোকই হেদায়েত প্রাপ্ত।",
              "numberInSurah": 157,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 9,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ‘আলাইহিম সালাওয়া-তুম মির রাব্বিহিম ওয়ারাহমাতুওঁ ওয়া উলাইকা হুমুল মুহতাদূ ন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//صَلَوٰتٌ/صَلَوَٰتٞ/salawatun//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//وَرَحْمَةٌ ۫/وَرَحۡمَةٞۖ/warahmatun//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُهْتَدُوْنَ /ٱلۡمُهۡتَدُونَ/al-muh'taduna",
              "words_bangla": "ঐসব লোক//তাদের উপর (রয়েছে)//বিপুল অনুগ্রহ//পক্ষ হতে//তাদের রবের//এবং দয়া//ঐসব লোক//তারাই//সঠিক পথপ্রাপ্ত"
            },
            {
              "number": 165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/165.mp3"
              ],
              "text": "۞ إِنَّ ٱلصَّفَا وَٱلْمَرْوَةَ مِن شَعَآئِرِ ٱللَّهِ ۖ فَمَنْ حَجَّ ٱلْبَيْتَ أَوِ ٱعْتَمَرَ فَلَا جُنَاحَ عَلَيْهِ أَن يَطَّوَّفَ بِهِمَا ۚ وَمَن تَطَوَّعَ خَيْرًۭا فَإِنَّ ٱللَّهَ شَاكِرٌ عَلِيمٌ",
              "translate_bn": "নিঃসন্দেহে সাফা ও মারওয়া আল্লাহ তা’আলার নিদর্শন গুলোর অন্যতম। সুতরাং যারা কা’বা ঘরে হজ্ব বা ওমরাহ পালন করে, তাদের পক্ষে এ দুটিতে প্রদক্ষিণ করাতে কোন দোষ নেই। বরং কেউ যদি স্বেচ্ছায় কিছু নেকীর কাজ করে, তবে আল্লাহ তা’আলার অবশ্যই তা অবগত হবেন এবং তার সে আমলের সঠিক মুল্য দেবেন।",
              "numberInSurah": 158,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নাসসাফা-ওয়াল মারওয়াতা মিন শা‘আ-ইরিল্লা-হি ফামান হাজ্জাল বাইতা আবি‘তামারা ফালা-জুনা-হা ‘আলাইহি আইঁ ইয়াত্তাওওয়াফা বিহিমা-ওয়ামান তাতাওওয়া‘আ খাইরান ফাইন্নাল্লা-হা শাকিরুন ‘আলীম।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//الصَّفَا/ٱلصَّفَا/al-safa//وَ الْمَرْوَةَ/وَٱلۡمَرۡوَةَ/wal-marwata//مِنْ/مِن/min//شَعَآىِٕرِ/شَعَآئِرِ/sha'airi//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//فَمَنْ/فَمَنۡ/faman//حَجَّ/حَجَّ/hajja//الْبَیْتَ/ٱلۡبَيۡتَ/al-bayta//اَوِ/أَوِ/awi//اعْتَمَرَ/ٱعۡتَمَرَ/i'tamara//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِ/عَلَيۡهِ/alayhi//اَنْ/أَن/an//یَّطَّوَّفَ/يَطَّوَّفَ/yattawwafa//بِهِمَا ؕ/بِهِمَاۚ/bihima//وَ مَنْ/وَمَن/waman//تَطَوَّعَ/تَطَوَّعَ/tatawwa'a//خَیْرًا ۙ/خَيۡرٗا/khayran//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//شَاكِرٌ/شَاكِرٌ/shakirun//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "নিশ্চয়ই//সাফা//ও মারওয়া//অন্তর্ভুক্ত//নিদর্শনসমূহের//আল্লাহর//সুতরাং যে//হজ্জ করবে//(কাবা) ঘরের//বা//ওমরা করবে//সেক্ষেত্রে নেই//কোনো পাপ//তার জন্য//যে//সে প্রদক্ষিণ করবে//তার দুইয়ের (মাঝে)//আর যে কেউ//স্বেচ্ছায় করে//কোনো কল্যাণ//নিশ্চয়ই তবে//আল্লাহ//(তার) মূল্যদানকারী//খুব অবহিত"
            },
            {
              "number": 166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/166.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَكْتُمُونَ مَآ أَنزَلْنَا مِنَ ٱلْبَيِّنَٰتِ وَٱلْهُدَىٰ مِنۢ بَعْدِ مَا بَيَّنَّٰهُ لِلنَّاسِ فِى ٱلْكِتَٰبِ ۙ أُو۟لَٰٓئِكَ يَلْعَنُهُمُ ٱللَّهُ وَيَلْعَنُهُمُ ٱللَّٰعِنُونَ",
              "translate_bn": "নিশ্চয় যারা গোপন করে, আমি যেসব বিস্তারিত তথ্য এবং হেদায়েতের কথা নাযিল করেছি মানুষের জন্য কিতাবের মধ্যে বিস্তারিত বর্ণনা করার পরও; সে সমস্ত লোকের প্রতিই আল্লাহর অভিসম্পাত এবং অন্যান্য অভিসম্পাতকারীগণের ও।",
              "numberInSurah": 159,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াকতুমূনা মা-আনঝালনা-মিনাল বাইয়িনা-তি ওয়াল হুদা-মিম বা‘দি মা-বাইয়ান্না-হু লিন্না-ছি ফিল কিতা-বি উলাইকা ইয়াল ‘আনুহুমুল্লা-হু ওয়া ইয়াল‘আনুহুমুল্লা-‘ইনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَكْتُمُوْنَ/يَكۡتُمُونَ/yaktumuna//مَاۤ/مَآ/ma//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//مِنَ/مِنَ/mina//الْبَیِّنٰتِ/ٱلۡبَيِّنَٰتِ/al-bayinati//وَ الْهُدٰی/وَٱلۡهُدَىٰ/wal-huda//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//بَیَّنّٰهُ/بَيَّنَّـٰهُ/bayyannahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//فِی/فِي/fi//الْكِتٰبِ ۙ/ٱلۡكِتَٰبِ/al-kitabi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یَلْعَنُهُمُ/يَلۡعَنُهُمُ/yal'anuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ یَلْعَنُهُمُ/وَيَلۡعَنُهُمُ/wayal'anuhumu//اللّٰعِنُوْنَۙ/ٱللَّـٰعِنُونَ/al-la'inuna",
              "words_bangla": "নিশ্চয়ই//যারা//গোপন করে//যা//আমরা অবতীর্ণ করেছি//থেকে//স্পষ্ট নিদর্শনাদি//ও পথনির্দেশ//থেকে//এর পরও//যা//তা স্পষ্ট বর্ণনা করেছি আমরা//মানুষের জন্যে//মধ্যে//কিতাবের//ঐসব লোক//তাদেরকে অভিশাপ দেন//আল্লাহ//ও তাদেরকে অভিশাপ দেয়//অভিশাপকারীরা"
            },
            {
              "number": 167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/167.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ تَابُوا۟ وَأَصْلَحُوا۟ وَبَيَّنُوا۟ فَأُو۟لَٰٓئِكَ أَتُوبُ عَلَيْهِمْ ۚ وَأَنَا ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "তবে যারা তওবা করে এবং বর্ণিত তথ্যাদির সংশোধন করে মানুষের কাছে তা বর্ণনা করে দেয়, সে সমস্ত লোকের তওবা আমি কবুল করি এবং আমি তওবা কবুলকারী পরম দয়ালু।",
              "numberInSurah": 160,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা তা-বূ ওয়াআসলাহূওয়া বাইয়ানূ ফাউলাইকা আতূবু‘আলাইহিম ওয়া আনাত তাওওয়া-বুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَابُوْا/تَابُواْ/tabu//وَ اَصْلَحُوْا/وَأَصۡلَحُواْ/wa-aslahu//وَ بَیَّنُوْا/وَبَيَّنُواْ/wabayyanu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//اَتُوْبُ/أَتُوبُ/atubu//عَلَیْهِمْ ۚ/عَلَيۡهِمۡ/alayhim//وَ اَنَا/وَأَنَا/wa-ana//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "ছাড়া//(তাদের) যারা//তওবা করেছে//ও সংশোধিত হয়েছে//এবং (স্পষ্টভাবে সত্য) বর্ণনা করেছে//অতঃপর ঐসবলোক//আমি ক্ষমা করব//তাদের উপর//এবং আমি//বড় ক্ষমাশীল//পরমদয়ালু"
            },
            {
              "number": 168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/168.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَمَاتُوا۟ وَهُمْ كُفَّارٌ أُو۟لَٰٓئِكَ عَلَيْهِمْ لَعْنَةُ ٱللَّهِ وَٱلْمَلَٰٓئِكَةِ وَٱلنَّاسِ أَجْمَعِينَ",
              "translate_bn": "নিশ্চয় যারা কুফরী করে এবং কাফের অবস্থায়ই মৃত্যুবরণ করে, সে সমস্ত লোকের প্রতি আল্লাহর ফেরেশতাগনের এবং সমগ্র মানুষের লা’নত।",
              "numberInSurah": 161,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ ওয়া মা-তূ ওয়াহুম কুফফা-রুন উলাইকা ‘আলাইহিম লা‘নাতুল্লা-হি ওয়াল মালাইকাতি ওয়ান্না-ছি আজমা‘ঈন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ مَاتُوْا/وَمَاتُواْ/wamatu//وَ هُمْ/وَهُمۡ/wahum//كُفَّارٌ/كُفَّارٌ/kuffarun//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لَعْنَةُ/لَعۡنَةُ/la'natu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْمَلٰٓىِٕكَةِ/وَٱلۡمَلَـٰٓئِكَةِ/wal-malaikati//وَ النَّاسِ/وَٱلنَّاسِ/wal-nasi//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "নিশ্চয়ই//যারা//অবিশ্বাস করেছে//ও মরে গেছে//এ অবস্থায় যে তারা//কাফির (ছিল)//ঐসব লোক//তাদের উপর//অভিশাপ//আল্লাহর//ও ফেরেশতাদের//ও মানুষের//সকলেরই"
            },
            {
              "number": 169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/169.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا ۖ لَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنظَرُونَ",
              "translate_bn": "এরা চিরকাল এ লা’নতের মাঝেই থাকবে। তাদের উপর থেকে আযাব কখনও হালকা করা হবে না বরং এরা বিরাম ও পাবে না।",
              "numberInSurah": 162,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-লা-ইউখাফফাফু‘আনহুমুল ‘আযা-বুওয়ালা-হুম ইউনজারূন।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ۚ/فِيهَا/fiha//لَا/لَا/la//یُخَفَّفُ/يُخَفَّفُ/yukhaffafu//عَنْهُمُ/عَنۡهُمُ/anhumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْظَرُوْنَ /يُنظَرُونَ/yunzaruna",
              "words_bangla": "তারা চিরস্থায়ী হবে//তার মধ্যে//না//কমানো হবে//তাদের থেকে//শাস্তি//আর না//তাদের//অবকাশ দেয়া হবে"
            },
            {
              "number": 170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/170.mp3"
              ],
              "text": "وَإِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ ۖ لَّآ إِلَٰهَ إِلَّا هُوَ ٱلرَّحْمَٰنُ ٱلرَّحِيمُ",
              "translate_bn": "আর তোমাদের উপাস্য একইমাত্র উপাস্য। তিনি ছাড়া মহা করুণাময় দয়ালু কেউ নেই।",
              "numberInSurah": 163,
              "juz": 2,
              "manzil": 1,
              "page": 24,
              "ruku": 20,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-হুকুম ইলা-হুওঁ ওয়া-হিদুল লা ইলা-হা ইল্লা-হুওয়ার রাহমা-নূর রাহীম।",
              "words_arabic": "وَ اِلٰهُكُمْ/وَإِلَٰهُكُمۡ/wa-ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ۚ/وَٰحِدٞۖ/wahidun//لَاۤ/لَّآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং তোমাদের ইলাহ//ইলাহ//একই//নেই//কোনো ইলাহ//ছাড়া//তিনি//করুণাময়//পরমদয়ালু"
            },
            {
              "number": 171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/171.mp3"
              ],
              "text": "إِنَّ فِى خَلْقِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَٱلْفُلْكِ ٱلَّتِى تَجْرِى فِى ٱلْبَحْرِ بِمَا يَنفَعُ ٱلنَّاسَ وَمَآ أَنزَلَ ٱللَّهُ مِنَ ٱلسَّمَآءِ مِن مَّآءٍۢ فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا وَبَثَّ فِيهَا مِن كُلِّ دَآبَّةٍۢ وَتَصْرِيفِ ٱلرِّيَٰحِ وَٱلسَّحَابِ ٱلْمُسَخَّرِ بَيْنَ ٱلسَّمَآءِ وَٱلْأَرْضِ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "নিশ্চয়ই আসমান ও যমীনের সৃষ্টিতে, রাত ও দিনের বিবর্তনে এবং নদীতে নৌকাসমূহের চলাচলে মানুষের জন্য কল্যাণ রয়েছে। আর আল্লাহ তা’ আলা আকাশ থেকে যে পানি নাযিল করেছেন, তদ্দ্বারা মৃত যমীনকে সজীব করে তুলেছেন এবং তাতে ছড়িয়ে দিয়েছেন সবরকম জীব-জন্তু। আর আবহাওয়া পরিবর্তনে এবং মেঘমালার যা তাঁরই হুকুমের অধীনে আসমান ও যমীনের মাঝে বিচরণ করে, নিশ্চয়ই সে সমস্ত বিষয়ের মাঝে নিদর্শন রয়েছে বুদ্ধিমান সম্প্রদায়ের জন্যে।",
              "numberInSurah": 164,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 21,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী খালকিছছামা-ওয়াতি ওয়াল আর দিওয়াখতিলা-ফিল্লাইলি ওয়ান্নাহা-রি ওয়াল ফুলকিল্লাতী তাজরী ফিল বাহরি বিমা-ইয়ানফা‘উন্না-ছা ওয়ামাআনঝালাল্লা-হু মিনাছছামাই মিম্মাইন ফাআহইয়া-বিহিল আরদা বা‘দা মাওতিহা ওয়া বাছছা ফীহামিন কুল্লি দাব্বাতিওঁ ওয়া তাসরীফির রিয়া-হিওয়াছছাহা-বিল মুছাখখারি বাইনাছ ছামাই ওয়াল আরদিলাআ-য়া-তিল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//خَلْقِ/خَلۡقِ/khalqi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ اخْتِلَافِ/وَٱخۡتِلَٰفِ/wa-ikh'tilafi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//وَ الْفُلْكِ/وَٱلۡفُلۡكِ/wal-ful'ki//الَّتِیْ/ٱلَّتِي/allati//تَجْرِیْ/تَجۡرِي/tajri//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//بِمَا/بِمَا/bima//یَنْفَعُ/يَنفَعُ/yanfa'u//النَّاسَ/ٱلنَّاسَ/al-nasa//وَ مَاۤ/وَمَآ/wama//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مِنْ/مِن/min//مَّآءٍ/مَّآءٖ/main//فَاَحْیَا/فَأَحۡيَا/fa-ahya//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا/مَوۡتِهَا/mawtiha//وَ بَثَّ/وَبَثَّ/wabatha//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//دَآبَّةٍ ۪/دَآبَّةٖ/dabbatin//وَّ تَصْرِیْفِ/وَتَصۡرِيفِ/watasrifi//الرِّیٰحِ/ٱلرِّيَٰحِ/al-riyahi//وَ السَّحَابِ/وَٱلسَّحَابِ/wal-sahabi//الْمُسَخَّرِ/ٱلۡمُسَخَّرِ/al-musakhari//بَیْنَ/بَيۡنَ/bayna//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//সৃষ্টির//আকাশ মন্ডলীর//ও পৃথিবীর//ও পরিবর্তনের//রাতের//ও দিনের//ও নৌযানসমূহে//যা//চলে//মধ্যে//সাগরের//তা নিয়ে//উপকার দেয়//মানুষের//এবং যা কিছু//বর্ষণ করে//আল্লাহ//থেকে//আকাশ//থেকে//পানি//অতপর জীবিত করেন//তা দিয়ে//জমিনকে//পর//তার মৃত্যুর//ও বিস্তার ঘটান//তার মধ্যে//থেকে//সব (রকমের)//প্রাণী//ও প্রবাহে//বাতাসের//ও মেঘমালার//(যা) নিয়ন্ত্রিত//মাঝে//আকাশের//ও পৃথিবীর//অবশ্যই নিদর্শনাদি//সম্প্রদায়ের জন্যে(রয়েছে)//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/172.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَتَّخِذُ مِن دُونِ ٱللَّهِ أَندَادًۭا يُحِبُّونَهُمْ كَحُبِّ ٱللَّهِ ۖ وَٱلَّذِينَ ءَامَنُوٓا۟ أَشَدُّ حُبًّۭا لِّلَّهِ ۗ وَلَوْ يَرَى ٱلَّذِينَ ظَلَمُوٓا۟ إِذْ يَرَوْنَ ٱلْعَذَابَ أَنَّ ٱلْقُوَّةَ لِلَّهِ جَمِيعًۭا وَأَنَّ ٱللَّهَ شَدِيدُ ٱلْعَذَابِ",
              "translate_bn": "আর কোন লোক এমনও রয়েছে যারা অন্যান্যকে আল্লাহর সমকক্ষ সাব্যস্ত করে এবং তাদের প্রতি তেমনি ভালবাসা পোষণ করে, যেমন আল্লাহর প্রতি ভালবাসা হয়ে থাকে। কিন্তু যারা আল্লাহর প্রতি ঈমানদার তাদের ভালবাসা ওদের তুলনায় বহুগুণ বেশী। আর কতইনা উত্তম হ’ত যদি এ জালেমরা পার্থিব কোন কোন আযাব প্রত্যক্ষ করেই উপলব্ধি করে নিত যে, যাবতীয় ক্ষমতা শুধুমাত্র আল্লাহরই জন্য এবং আল্লাহর আযাবই সবচেয়ে কঠিনতর।",
              "numberInSurah": 165,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 21,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্নাছি মাইঁ ইয়াত্তাখিযুমিন দূ নিল্লা-হি আনদা-দাই ইউহিববূনাহুম কাহুব্বিল্লা-হি ওয়াল্লাযীনা আ-মানূ আশাদ্দু হুব্বাল লিল্লা-হি ওয়া লাও ইয়ারাল্লাযীনা জালামূ ইয ইয়ারাওনাল ‘আযা-বা আন্নাল কুওওয়াতা লিল্লা-হি জামী‘আও ওয়া আন্নাল্লাহা শাদীদুল ‘আযা-ব।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّتَّخِذُ/يَتَّخِذُ/yattakhidhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْدَادًا/أَندَادٗا/andadan//یُّحِبُّوْنَهُمْ/يُحِبُّونَهُمۡ/yuhibbunahum//كَحُبِّ/كَحُبِّ/kahubbi//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَشَدُّ/أَشَدُّ/ashaddu//حُبًّا/حُبّٗا/hubban//لِّلّٰهِ ؕ/لِّلَّهِۗ/lillahi//وَ لَوْ/وَلَوۡ/walaw//یَرَی/يَرَى/yara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اِذْ/إِذۡ/idh//یَرَوْنَ/يَرَوۡنَ/yarawna//الْعَذَابَ ۙ/ٱلۡعَذَابَ/al-'adhaba//اَنَّ/أَنَّ/anna//الْقُوَّةَ/ٱلۡقُوَّةَ/al-quwata//لِلّٰهِ/لِلَّهِ/lillahi//جَمِیْعًا ۙ/جَمِيعٗا/jami'an//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعَذَابِ /ٱلۡعَذَابِ/al-'adhabi",
              "words_bangla": "কিন্তু মধ্যে//মানুষের (এমনও আছে)//যারা//গ্রহণ করে//থেকে(দিয়ে)//বাদ//আল্লাহকে//(অন্যকে) সমতুল্যরূপে//তাদেরকে তারা ভালবাসে//মতো ভালবাসার//আল্লাহর (প্রতি হওয়া উচিৎ)//অথচ যারা//ঈমান আনে (তাদের রয়েছে)//সবচেয়ে দৃঢ় //ভালবাসা//আল্লাহর জন্যে//এবং যদি (আজ)//(ভেবে) দেখত//যারা//অবিচার করেছে//যখন//তারা দেখবে//শাস্তি (এবং অনুভব করবে)//যে//শক্তি//আল্লাহরই জন্য//সবটুকুই//এবং এও যে//আল্লাহ//কঠোর//শাস্তিদানে"
            },
            {
              "number": 173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/173.mp3"
              ],
              "text": "إِذْ تَبَرَّأَ ٱلَّذِينَ ٱتُّبِعُوا۟ مِنَ ٱلَّذِينَ ٱتَّبَعُوا۟ وَرَأَوُا۟ ٱلْعَذَابَ وَتَقَطَّعَتْ بِهِمُ ٱلْأَسْبَابُ",
              "translate_bn": "অনুসৃতরা যখন অনুসরণকারীদের প্রতি অসন্তুষ্ট হয়ে যাবে এবং যখন আযাব প্রত্যক্ষ করবে আর বিচ্ছিন্ন হয়ে যাবে তাদের পারস্পরিক সমস্ত সম্পর্ক।",
              "numberInSurah": 166,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 21,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইয তাবাররা আল্লাযীনাত্তুবি‘ঊ মিনাল্লাযীনাত্তাবা‘ঊ ওয়ারাআউল ‘আযা-বা ওয়াতাকাত্তা‘আত বিহিমুল আছবা-ব।",
              "words_arabic": "اِذْ/إِذۡ/idh//تَبَرَّاَ/تَبَرَّأَ/tabarra-a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتُّبِعُوْا/ٱتُّبِعُواْ/ittubi'u//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّبَعُوْا/ٱتَّبَعُواْ/ittaba'u//وَ رَاَوُا/وَرَأَوُاْ/wara-awu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//وَ تَقَطَّعَتْ/وَتَقَطَّعَتۡ/wataqatta'at//بِهِمُ/بِهِمُ/bihimu//الْاَسْبَابُ /ٱلۡأَسۡبَابُ/al-asbabu",
              "words_bangla": "যখন//সম্পর্ক ছিন্ন করবে//(তারা) যাদের//অনুসরণ করা হয়েছিল (অর্থাৎ নেতারা)//হতে//(তাদের) যারা//অনুসরণ করত (অর্থাৎ অনুসারীদের)//ও দেখবে//শাস্তি//বিচ্ছিন্ন হবে//তাদের সাথে//সকল উপায় উপকরণ(সম্পর্ক)"
            },
            {
              "number": 174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/174.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ ٱتَّبَعُوا۟ لَوْ أَنَّ لَنَا كَرَّةًۭ فَنَتَبَرَّأَ مِنْهُمْ كَمَا تَبَرَّءُوا۟ مِنَّا ۗ كَذَٰلِكَ يُرِيهِمُ ٱللَّهُ أَعْمَٰلَهُمْ حَسَرَٰتٍ عَلَيْهِمْ ۖ وَمَا هُم بِخَٰرِجِينَ مِنَ ٱلنَّارِ",
              "translate_bn": "এবং অনুসারীরা বলবে, কতইনা ভাল হত, যদি আমাদিগকে পৃথিবীতে ফিরে যাবার সুযোগ দেয়া হত। তাহলে আমরাও তাদের প্রতি তেমনি অসন্তুষ্ট হয়ে যেতাম, যেমন তারা অসন্তুষ্ট হয়েছে আমাদের প্রতি। এভাবেই আল্লাহ তা’আলা তাদেরকে দেখাবেন তাদের কৃতকর্ম তাদেরকে অনুতপ্ত করার জন্যে। অথচ, তারা কস্মিনকালেও আগুন থেকে বের হতে পারবে না।",
              "numberInSurah": 167,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 21,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনাত্তাবা‘ঊ লাও আন্না লানা-কাররাতান ফানাতাবাররাআ মিনহুম কামা-তাবাররাঊ মিন্না-কাযা-লিকা ইউরীহিমুল্লা-হু আ‘মা-লাহুম হাছারা-তিন ‘আলাইহিম; ওয়ামা-হুম বিখা-রিজীনা মিনান্না-র।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّبَعُوْا/ٱتَّبَعُواْ/ittaba'u//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//لَنَا/لَنَا/lana//كَرَّةً/كَرَّةٗ/karratan//فَنَتَبَرَّاَ/فَنَتَبَرَّأَ/fanatabarra-a//مِنْهُمْ/مِنۡهُمۡ/min'hum//كَمَا/كَمَا/kama//تَبَرَّءُوْا/تَبَرَّءُواْ/tabarrau//مِنَّا ؕ/مِنَّاۗ/minna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُرِیْهِمُ/يُرِيهِمُ/yurihimu//اللّٰهُ/ٱللَّهُ/al-lahu//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//حَسَرٰتٍ/حَسَرَٰتٍ/hasaratin//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۖ/alayhim//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِخٰرِجِیْنَ/بِخَٰرِجِينَ/bikharijina//مِنَ/مِنَ/mina//النَّارِ۠/ٱلنَّارِ/al-nari",
              "words_bangla": "এবং বলবে//যারা//অনুসরণ করেছিল//''যদি//নিশ্চিত (এমন হত)//আমাদের জন্যে//একবার (ফিরার সুযোগ)//আমরাও তবে সম্পর্ক ছিন্ন করতাম//তাদের থেকে//যেমন (আজ)//সম্পর্ক ছিন্ন করেছে তারা//আমাদের থেকে''//এভাবে//তাদের দেখাবেন//আল্লাহ//তাদের কাজকর্মগুলোকে//পরিতাপরূপে//তাদের কাছে//এবং না//তারা//বহির্গমনকারী//হতে//(দোযখের) আগুন"
            },
            {
              "number": 175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/175.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ كُلُوا۟ مِمَّا فِى ٱلْأَرْضِ حَلَٰلًۭا طَيِّبًۭا وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّۭ مُّبِينٌ",
              "translate_bn": "হে মানব মন্ডলী, পৃথিবীর হালাল ও পবিত্র বস্তু-সামগ্রী ভক্ষন কর। আর শয়তানের পদাঙ্ক অনুসরণ করো না। সে নিঃসন্দেহে তোমাদের প্রকাশ্য শত্রু।",
              "numberInSurah": 168,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ূহান্না-ছু কুলূ মিম্মা-ফিলআরদি হালা-লান তাইয়িাবাওঁ ওয়ালা-তাত্তাবি‘ঊ খুতুওয়া-তিশশাইতা-নি ইন্নাহু লাকুম ‘আদুওউম্মুম মুবীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//كُلُوْا/كُلُواْ/kulu//مِمَّا/مِمَّا/mimma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//حَلٰلًا/حَلَٰلٗا/halalan//طَیِّبًا ۖؗ/طَيِّبٗا/tayyiban//وَّ لَا/وَلَا/wala//تَتَّبِعُوْا/تَتَّبِعُواْ/tattabi'u//خُطُوٰتِ/خُطُوَٰتِ/khutuwati//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۚ/al-shaytani//اِنَّهٗ/إِنَّهُۥ/innahu//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "হে//মানবজাতি//তোমরা খাও//তা হতে যা//মধ্যে (আছে)//পৃথিবীর//হালাল//পবিত্র//এবং না//তোমরা অনুসরণ করো//পদাঙ্কগুলোর//শয়তানের//সে নিশ্চয়ই//তোমাদের জন্যে//শত্রু//প্রকাশ্য"
            },
            {
              "number": 176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/176.mp3"
              ],
              "text": "إِنَّمَا يَأْمُرُكُم بِٱلسُّوٓءِ وَٱلْفَحْشَآءِ وَأَن تَقُولُوا۟ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "সে তো এ নির্দেশই তোমাদিগকে দেবে যে, তোমরা অন্যায় ও অশ্লীল কাজ করতে থাক এবং আল্লাহর প্রতি এমন সব বিষয়ে মিথ্যারোপ কর যা তোমরা জান না।",
              "numberInSurah": 169,
              "juz": 2,
              "manzil": 1,
              "page": 25,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়া’মুরুকুম বিছছূ ই ওয়াল ফাহশা-ই ওয়া আনতাকূলূ‘আলাল্লা-হি মা-লা-তা‘লামূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یَاْمُرُكُمْ/يَأۡمُرُكُم/yamurukum//بِالسُّوْٓءِ/بِٱلسُّوٓءِ/bil-sui//وَ الْفَحْشَآءِ/وَٱلۡفَحۡشَآءِ/wal-fahshai//وَ اَنْ/وَأَن/wa-an//تَقُوْلُوْا/تَقُولُواْ/taqulu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "মূলতঃ//তোমাদেরকে নির্দেশ দেয় সে//পাপকাজের প্রতি//ও অশ্লীল//এবং যেন//তোমরা বল (এমন কথা)//সম্বন্ধে//আল্লাহর//যা//না//তোমরা জান"
            },
            {
              "number": 177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/177.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمُ ٱتَّبِعُوا۟ مَآ أَنزَلَ ٱللَّهُ قَالُوا۟ بَلْ نَتَّبِعُ مَآ أَلْفَيْنَا عَلَيْهِ ءَابَآءَنَآ ۗ أَوَلَوْ كَانَ ءَابَآؤُهُمْ لَا يَعْقِلُونَ شَيْـًۭٔا وَلَا يَهْتَدُونَ",
              "translate_bn": "আর যখন তাদেরকে কেউ বলে যে, সে হুকুমেরই আনুগত্য কর যা আল্লাহ তা’আলা নাযিল করেছেন, তখন তারা বলে কখনো না, আমরা তো সে বিষয়েরই অনুসরণ করব। যাতে আমরা আমাদের বাপ-দাদাদেরকে দেখেছি। যদি ও তাদের বাপ দাদারা কিছুই জানতো না, জানতো না সরল পথও।",
              "numberInSurah": 170,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযা-কীলা লাহুমুত্তাবি‘ঊ মাআনঝালাল্লা-হু কা-লু বাল নাত্তাবি‘ঊ মা আলফাইনা ‘আলাইহি আ-বাআনা-আওয়ালাও কা-না আ-বাউহুম লা-ইয়া‘কিলূনা শাইআওঁ ওয়ালা-ইয়াহতাদূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//اتَّبِعُوْا/ٱتَّبِعُواْ/ittabi'u//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//قَالُوْا/قَالُواْ/qalu//بَلْ/بَلۡ/bal//نَتَّبِعُ/نَتَّبِعُ/nattabi'u//مَاۤ/مَآ/ma//اَلْفَیْنَا/أَلۡفَيۡنَا/alfayna//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰبَآءَنَا ؕ/ءَابَآءَنَآۚ/abaana//اَوَ لَوْ/أَوَلَوۡ/awalaw//كَانَ/كَانَ/kana//اٰبَآؤُهُمْ/ءَابَآؤُهُمۡ/abauhum//لَا/لَا/la//یَعْقِلُوْنَ/يَعۡقِلُونَ/ya'qiluna//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "এবং যখন//বলা হয়//তাদের//''তোমরা অনুসরণ করো//যা//অবতীর্ণ করেছেন//আল্লাহ''//তারা বলে//''বরং//আমরা অনুসরণ করব//তা//আমরা পেয়েছি//যার উপর//আমাদের বাপ-দাদাদেরকে//যদিও কি//ছিল//বাপ দাদারা তাদের (এমন যে)//না//তারা বুঝতো//কিছুই//এবং না//তারা সৎ পথে চলত"
            },
            {
              "number": 178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/178.mp3"
              ],
              "text": "وَمَثَلُ ٱلَّذِينَ كَفَرُوا۟ كَمَثَلِ ٱلَّذِى يَنْعِقُ بِمَا لَا يَسْمَعُ إِلَّا دُعَآءًۭ وَنِدَآءًۭ ۚ صُمٌّۢ بُكْمٌ عُمْىٌۭ فَهُمْ لَا يَعْقِلُونَ",
              "translate_bn": "বস্তুতঃ এহেন কাফেরদের উদাহরণ এমন, যেন কেউ এমন কোন জীবকে আহবান করছে যা কোন কিছুই শোনে না, হাঁক-ডাক আর চিৎকার ছাড়া বধির মুক, এবং অন্ধ। সুতরাং তারা কিছুই বোঝে না।",
              "numberInSurah": 171,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাছালুল্লাযীনা কাফারূ কামাছালিলযী ইয়ান‘ইকু বিমা-লা-ইয়াছমা‘ঊ ইল্লা-দু‘আআওঁ ওয়া নিদাআন সুম্মুম বুকমুন ‘উমইউন ফাহুম লা-ইয়া‘কিলূন।",
              "words_arabic": "وَ مَثَلُ/وَمَثَلُ/wamathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//كَمَثَلِ/كَمَثَلِ/kamathali//الَّذِیْ/ٱلَّذِي/alladhi//یَنْعِقُ/يَنۡعِقُ/yan'iqu//بِمَا/بِمَا/bima//لَا/لَا/la//یَسْمَعُ/يَسۡمَعُ/yasma'u//اِلَّا/إِلَّا/illa//دُعَآءً/دُعَآءٗ/du'aan//وَّ نِدَآءً ؕ/وَنِدَآءٗۚ/wanidaan//صُمٌّۢ/صُمُّۢ/summun//بُكْمٌ/بُكۡمٌ/buk'mun//عُمْیٌ/عُمۡيٞ/um'yun//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং উপমা//(তাদের) যারা//অস্বীকার করেছে//এরূপ//(এক রাখাল) যে//(চিৎকার করে)ডাকে//ঐ বিষয় যা//না//শুনে (তার পশু)//এ ছাড়া//হাঁকডাক//ও আওয়াজ//বধির//বোবা//অন্ধ//তারা তাই (কোনো কথাই)//না//বুঝতে পারে"
            },
            {
              "number": 179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/179.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُلُوا۟ مِن طَيِّبَٰتِ مَا رَزَقْنَٰكُمْ وَٱشْكُرُوا۟ لِلَّهِ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ",
              "translate_bn": "হে ঈমানদারগণ, তোমরা পবিত্র বস্তু সামগ্রী আহার কর, যেগুলো আমি তোমাদেরকে রুযী হিসাবে দান করেছি এবং শুকরিয়া আদায় কর আল্লাহর, যদি তোমরা তাঁরই বন্দেগী কর।",
              "numberInSurah": 172,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ কুলূ মিন তাইয়িবা-তি মা-রাযাকনা-কুম ওয়াশকুরূ লিল্লা-হি ইন কুনতুম ইয়্যা-হু তা‘বুদূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَا/مَا/ma//رَزَقْنٰكُمْ/رَزَقۡنَٰكُمۡ/razaqnakum//وَ اشْكُرُوْا/وَٱشۡكُرُواْ/wa-ush'kuru//لِلّٰهِ/لِلَّهِ/lillahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//اِیَّاهُ/إِيَّاهُ/iyyahu//تَعْبُدُوْنَ /تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা খাও//হতে//পবিত্র জিনিসগুলো//যা//তোমাদের জীবিকা দিয়েছি আমরা//ও তোমরা কৃতজ্ঞতা প্রকাশ করো//আল্লাহর কাছে//যদি//তোমরা হও (এমন যে)//শুধু তাকেই//তোমরা ইবাদাত কর"
            },
            {
              "number": 180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/180.mp3"
              ],
              "text": "إِنَّمَا حَرَّمَ عَلَيْكُمُ ٱلْمَيْتَةَ وَٱلدَّمَ وَلَحْمَ ٱلْخِنزِيرِ وَمَآ أُهِلَّ بِهِۦ لِغَيْرِ ٱللَّهِ ۖ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍۢ وَلَا عَادٍۢ فَلَآ إِثْمَ عَلَيْهِ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "তিনি তোমাদের উপর হারাম করেছেন, মৃত জীব, রক্ত, শুকর মাংস এবং সেসব জীব-জন্তু যা আল্লাহ ব্যাতীত অপর কারো নামে উৎসর্গ করা হয়। অবশ্য যে লোক অনন্যোপায় হয়ে পড়ে এবং নাফরমানী ও সীমালঙ্ঘনকারী না হয়, তার জন্য কোন পাপ নেই। নিঃসন্দেহে আল্লাহ মহান ক্ষমাশীল, অত্যন্ত দয়ালু।",
              "numberInSurah": 173,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-হাররামা ‘আলাইকুমুল মাইতাতা ওয়াদ্দামা ওয়া লাহমাল খিনঝীরি ওয়ামা উহিল্লা বিহী লিগাইরিল্লা-হি ফামানিদতুররা গাইরা বা-গিওঁ ওয়ালা-‘আ-দিন ফালা-ইছমা ‘আলাইহি ইনাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//حَرَّمَ/حَرَّمَ/harrama//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْمَیْتَةَ/ٱلۡمَيۡتَةَ/al-maytata//وَ الدَّمَ/وَٱلدَّمَ/wal-dama//وَ لَحْمَ/وَلَحۡمَ/walahma//الْخِنْزِیْرِ/ٱلۡخِنزِيرِ/al-khinziri//وَ مَاۤ/وَمَآ/wama//اُهِلَّ/أُهِلَّ/uhilla//بِهٖ/بِهِۦ/bihi//لِغَیْرِ/لِغَيۡرِ/lighayri//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//فَمَنِ/فَمَنِ/famani//اضْطُرَّ/ٱضۡطُرَّ/ud'turra//غَیْرَ/غَيۡرَ/ghayra//بَاغٍ/بَاغٖ/baghin//وَّ لَا/وَلَا/wala//عَادٍ/عَادٖ/adin//فَلَاۤ/فَلَآ/fala//اِثْمَ/إِثۡمَ/ith'ma//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "মূলতঃ//(হারাম) করেছেন//তোমাদের উপর//মৃত (জন্তু)//ও (প্রবাহিত) রক্ত//মাংস//শুকরের//এবং তা//নাম নেয়া হয়েছে//যার উপর//ছাড়া//আল্লাহ (অন্য কারো)//যে তবে//নিরুপায় হয়ে যায়//না//বিদ্রোহী (হয়ে)//আর না//সীমালংঘনকারী//নেই তবে//কোনো পাপ//তার উপর//নিশ্চয়ই//আল্লাহ//বড় ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/181.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَكْتُمُونَ مَآ أَنزَلَ ٱللَّهُ مِنَ ٱلْكِتَٰبِ وَيَشْتَرُونَ بِهِۦ ثَمَنًۭا قَلِيلًا ۙ أُو۟لَٰٓئِكَ مَا يَأْكُلُونَ فِى بُطُونِهِمْ إِلَّا ٱلنَّارَ وَلَا يُكَلِّمُهُمُ ٱللَّهُ يَوْمَ ٱلْقِيَٰمَةِ وَلَا يُزَكِّيهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌ",
              "translate_bn": "নিশ্চয় যারা সেসব বিষয় গোপন করে, যা আল্লাহ কিতাবে নাযিল করেছেন এবং সেজন্য অল্প মূল্য গ্রহণ করে, তারা আগুন ছাড়া নিজের পেটে আর কিছুই ঢুকায় না। আর আল্লাহ কেয়ামতের দিন তাদের সাথে না কথা বলবেন, না তাদের পবিত্র করা হবে, বস্তুতঃ তাদের জন্যে রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 174,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াকতুমূনা মা আনঝালাল্লা-হু মিনাল কিতা-বি ওয়া ইয়াশতারূনা বিহী ছামানান কালীলান উলাইকা মা-ইয়া’কুলূনা ফী বুতূনিহিম ইল্লান্না-রা ওয়ালাইউকালিলমুহুমুল্লা-হু ইয়াওমাল কিয়া-মাতি ওয়ালা-ইউঝাক্কীহিম ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَكْتُمُوْنَ/يَكۡتُمُونَ/yaktumuna//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ یَشْتَرُوْنَ/وَيَشۡتَرُونَ/wayashtaruna//بِهٖ/بِهِۦ/bihi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ۙ/قَلِيلًا/qalilan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//مَا/مَا/ma//یَاْكُلُوْنَ/يَأۡكُلُونَ/yakuluna//فِیْ/فِي/fi//بُطُوْنِهِمْ/بُطُونِهِمۡ/butunihim//اِلَّا/إِلَّا/illa//النَّارَ/ٱلنَّارَ/al-nara//وَ لَا/وَلَا/wala//یُكَلِّمُهُمُ/يُكَلِّمُهُمُ/yukallimuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ لَا/وَلَا/wala//یُزَكِّیْهِمْ ۖۚ/يُزَكِّيهِمۡ/yuzakkihim//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "নিশ্চয়ই//যারা//গোপন করে//যা//অবতীর্ণ করেছেন//আল্লাহ//হতে//কিতাব//ও তারা কিনে(ক্রয়করে)//বিনিময়ে//মূল্য (অর্থাৎ স্বার্থ)//অতি নগণ্য//ঐসব লোক//না//তারা খায়//মধ্যে//তাদের পেটের//এছাড়া//আগুন//এবং না//তাদের সাথে কথা বলবেন//আল্লাহ//দিনে//কিয়ামাতের//এবং না//তাদেরকে পরিশুদ্ধ করবেন//ও তাদের জন্যে(রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/182.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلضَّلَٰلَةَ بِٱلْهُدَىٰ وَٱلْعَذَابَ بِٱلْمَغْفِرَةِ ۚ فَمَآ أَصْبَرَهُمْ عَلَى ٱلنَّارِ",
              "translate_bn": "এরাই হল সে সমস্ত লোক, যারা হেদায়েতের বিনিময়ে গোমরাহী খরিদ করেছে এবং (খরিদ করেছে) ক্ষমা ও অনুগ্রহের বিনিময়ে আযাব। অতএব, তারা দোযখের উপর কেমন ধৈর্য্য ধারণকারী।",
              "numberInSurah": 175,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনাশতারাউদ্দালা-লাতা বিলহুদা-ওয়াল ‘আযা-বা বিলমাগফিরাতি ফামাআসবারাহুম ‘আলান্না-র।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اشْتَرَوُا/ٱشۡتَرَوُاْ/ish'tarawu//الضَّلٰلَةَ/ٱلضَّلَٰلَةَ/al-dalalata//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//وَ الْعَذَابَ/وَٱلۡعَذَابَ/wal-'adhaba//بِالْمَغْفِرَةِ ۚ/بِٱلۡمَغۡفِرَةِۚ/bil-maghfirati//فَمَاۤ/فَمَآ/fama//اَصْبَرَهُمْ/أَصۡبَرَهُمۡ/asbarahum//عَلَی/عَلَى/ala//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "ঐসব লোক//(তারাই) যারা//কিনেছে//ভ্রান্তপথ//সঠিকপথের পরিবর্তে//এবং শাস্তি//ক্ষমার পরিবর্তে//অতঃপর কতই না//ধৈর্যশীল//উপর//আগুনের"
            },
            {
              "number": 183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/183.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ نَزَّلَ ٱلْكِتَٰبَ بِٱلْحَقِّ ۗ وَإِنَّ ٱلَّذِينَ ٱخْتَلَفُوا۟ فِى ٱلْكِتَٰبِ لَفِى شِقَاقٍۭ بَعِيدٍۢ",
              "translate_bn": "আর এটা এজন্যে যে, আল্লাহ নাযিল করেছেন সত্যপূর্ণ কিতাব। আর যারা কেতাবের মাঝে মতবিরোধ সৃষ্টি করেছে নিশ্চয়ই তারা জেদের বশবর্তী হয়ে অনেক দূরে চলে গেছে।",
              "numberInSurah": 176,
              "juz": 2,
              "manzil": 1,
              "page": 26,
              "ruku": 22,
              "hizbQuarter": 10,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা নাঝঝলাল কিতা-বা বিলহাক্কিওয়া ইন্নাল্লাযীনাখ তালাফূ ফিল কিতা-বি লাফী শিকা-কিম বা‘ঈদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//نَزَّلَ/نَزَّلَ/nazzala//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ ؕ/بِٱلۡحَقِّۗ/bil-haqi//وَ اِنَّ/وَإِنَّ/wa-inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَفِیْ/لَفِي/lafi//شِقَاقٍۭ/شِقَاقِۭ/shiqaqin//بَعِیْدٍ۠/بَعِيدٖ/ba'idin",
              "words_bangla": "এটা//এজন্য যে//আল্লাহ//অবতীর্ণ করেছেন//কিতাব//সত্য সহকারে//এবং নিশ্চয়ই//যারা//মতভেদ করেছে//মধ্যে//কিতাবের//অবশ্যই মধ্যে(আছে)//বিশুদ্ধতার//(প্রকৃত সত্য হতে) বহুদূরে"
            },
            {
              "number": 184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/184.mp3"
              ],
              "text": "۞ لَّيْسَ ٱلْبِرَّ أَن تُوَلُّوا۟ وُجُوهَكُمْ قِبَلَ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ وَلَٰكِنَّ ٱلْبِرَّ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَٱلْمَلَٰٓئِكَةِ وَٱلْكِتَٰبِ وَٱلنَّبِيِّۦنَ وَءَاتَى ٱلْمَالَ عَلَىٰ حُبِّهِۦ ذَوِى ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينَ وَٱبْنَ ٱلسَّبِيلِ وَٱلسَّآئِلِينَ وَفِى ٱلرِّقَابِ وَأَقَامَ ٱلصَّلَوٰةَ وَءَاتَى ٱلزَّكَوٰةَ وَٱلْمُوفُونَ بِعَهْدِهِمْ إِذَا عَٰهَدُوا۟ ۖ وَٱلصَّٰبِرِينَ فِى ٱلْبَأْسَآءِ وَٱلضَّرَّآءِ وَحِينَ ٱلْبَأْسِ ۗ أُو۟لَٰٓئِكَ ٱلَّذِينَ صَدَقُوا۟ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُتَّقُونَ",
              "translate_bn": "সৎকর্ম শুধু এই নয় যে, পূর্ব কিংবা পশ্চিমদিকে মুখ করবে, বরং বড় সৎকাজ হল এই যে, ঈমান আনবে আল্লাহর উপর কিয়ামত দিবসের উপর, ফেরেশতাদের উপর এবং সমস্ত নবী-রসূলগণের উপর, আর সম্পদ ব্যয় করবে তাঁরই মহব্বতে আত্নীয়-স্বজন, এতীম-মিসকীন, মুসাফির-ভিক্ষুক ও মুক্তিকামী ক্রীতদাসদের জন্যে। আর যারা নামায প্রতিষ্ঠা করে, যাকাত দান করে এবং যারা কৃত প্রতিজ্ঞা সম্পাদনকারী এবং অভাবে, রোগে-শোকে ও যুদ্ধের সময় ধৈর্য্য ধারণকারী তারাই হল সত্যাশ্রয়ী, আর তারাই পরহেযগার।",
              "numberInSurah": 177,
              "juz": 2,
              "manzil": 1,
              "page": 27,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "লাইছাল বিররা আন তুওয়াললূ উজূহাকুম কিবালাল মাশরিকিওয়াল মাগরিবি ওয়ালা-কিন্নাল বিররা মান আ-মানা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়াল মালাইকাতি ওয়াল কিতা-বি ওয়ান্নাবিইয়ীনা ওয়া আ-তাল মা-লা ‘আলা-হুব্বিহী যাবিল কুরবা-ওয়াল ইয়াতামা-ওয়ালমাছা-কীনা ওয়াবনাছছাবীলি ওয়াছছাইলীনা ওয়াফিররিকা-বি ওয়া আকা-মাসসালা-তা ওয়া আ-তাঝঝাকা-তা ওয়ালমূফূনা বি‘আহদিহিম ইযা-‘আ-হাদূ ওয়াসসা-বিরীনা ফিল বা’ছাই ওয়াদ্দাররাই ওয়া হীনালবা’ছি উলাইকাল্লাযীনা সাদাকূওয়া উলাউকা হুমুল মুত্তাকূন।",
              "words_arabic": "لَیْسَ/۞لَّيۡسَ/laysa//الْبِرَّ/ٱلۡبِرَّ/al-bira//اَنْ/أَن/an//تُوَلُّوْا/تُوَلُّواْ/tuwallu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//قِبَلَ/قِبَلَ/qibala//الْمَشْرِقِ/ٱلۡمَشۡرِقِ/al-mashriqi//وَ الْمَغْرِبِ/وَٱلۡمَغۡرِبِ/wal-maghribi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الْبِرَّ/ٱلۡبِرَّ/al-bira//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ الْمَلٰٓىِٕكَةِ/وَٱلۡمَلَـٰٓئِكَةِ/wal-malaikati//وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//وَ النَّبِیّٖنَ ۚ/وَٱلنَّبِيِّـۧنَ/wal-nabiyina//وَ اٰتَی/وَءَاتَى/waata//الْمَالَ/ٱلۡمَالَ/al-mala//عَلٰی/عَلَىٰ/ala//حُبِّهٖ/حُبِّهِۦ/hubbihi//ذَوِی/ذَوِي/dhawi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنَ/وَٱلۡمَسَٰكِينَ/wal-masakina//وَ ابْنَ/وَٱبۡنَ/wa-ib'na//السَّبِیْلِ ۙ/ٱلسَّبِيلِ/al-sabili//وَ السَّآىِٕلِیْنَ/وَٱلسَّآئِلِينَ/wal-sailina//وَ فِی/وَفِي/wafi//الرِّقَابِ ۚ/ٱلرِّقَابِ/al-riqabi//وَ اَقَامَ/وَأَقَامَ/wa-aqama//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَی/وَءَاتَى/waata//الزَّكٰوةَ ۚ/ٱلزَّكَوٰةَ/al-zakata//وَ الْمُوْفُوْنَ/وَٱلۡمُوفُونَ/wal-mufuna//بِعَهْدِهِمْ/بِعَهۡدِهِمۡ/bi'ahdihim//اِذَا/إِذَا/idha//عٰهَدُوْا ۚ/عَٰهَدُواْۖ/ahadu//وَ الصّٰبِرِیْنَ/وَٱلصَّـٰبِرِينَ/wal-sabirina//فِی/فِي/fi//الْبَاْسَآءِ/ٱلۡبَأۡسَآءِ/al-basai//وَ الضَّرَّآءِ/وَٱلضَّرَّآءِ/wal-darai//وَ حِیْنَ/وَحِينَ/wahina//الْبَاْسِ ؕ/ٱلۡبَأۡسِۗ/al-basi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَدَقُوْا ؕ/صَدَقُواْۖ/sadaqu//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُتَّقُوْنَ /ٱلۡمُتَّقُونَ/al-mutaquna",
              "words_bangla": "নেই//পূণ্য//যে//তোমরাও ফেরাবে//তোমাদের মুখ//দিকে//পূর্ব//অথবা পশ্চিমে//কিন্তু//পূণ্য (হল)//যে কেউ//ঈমান আনল//আল্লাহর প্রতি//ও দিনের//আখিরাতের//ও ফেরেশতাদের//ও কিতাবের//ও নবীদের (প্রতি)//এবং দান করল//সম্পদ//কারণে//তাঁরই ভালবাসার//সম্পন্ন//নিকট আত্নীয়স্বজনদেরকে//ও ইয়াতিমদেরকে//ও অভাবগ্রস্ত//(এবং পুত্র)//ও পথিকদেরকে//ও সাহায্যপ্রার্থীদেরকে//এবং জন্যে//দাসমুক্তির//এবং প্রতিষ্ঠা করে//সলাত//ও প্রদান করে//যাকাত//এবং পূর্ণকারী//তাদের প্রতিশ্রুতি//যখন//প্রতিশ্রুতিকরে তারা//এবং ধৈর্যধারণকারী//মধ্যে//অর্থসংকটের//ও রোগব্যাধিতে//ও সময়ে//সংগ্রাম সংকটে//তারা ঐসব লোক//যারা//সত্যঅবলম্বন করেছে (ঈমানের দাবীতে)//এবং ঐসব লোক//তারাই//মুত্তাকী"
            },
            {
              "number": 185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/185.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُتِبَ عَلَيْكُمُ ٱلْقِصَاصُ فِى ٱلْقَتْلَى ۖ ٱلْحُرُّ بِٱلْحُرِّ وَٱلْعَبْدُ بِٱلْعَبْدِ وَٱلْأُنثَىٰ بِٱلْأُنثَىٰ ۚ فَمَنْ عُفِىَ لَهُۥ مِنْ أَخِيهِ شَىْءٌۭ فَٱتِّبَاعٌۢ بِٱلْمَعْرُوفِ وَأَدَآءٌ إِلَيْهِ بِإِحْسَٰنٍۢ ۗ ذَٰلِكَ تَخْفِيفٌۭ مِّن رَّبِّكُمْ وَرَحْمَةٌۭ ۗ فَمَنِ ٱعْتَدَىٰ بَعْدَ ذَٰلِكَ فَلَهُۥ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "হে ঈমানদারগন! তোমাদের প্রতি নিহতদের ব্যাপারে কেসাস গ্রহণ করা বিধিবদ্ধ করা হয়েছে। স্বাধীন ব্যক্তি স্বাধীন ব্যক্তির বদলায়, দাস দাসের বদলায় এবং নারী নারীর বদলায়। অতঃপর তার ভাইয়ের তরফ থেকে যদি কাউকে কিছুটা মাফ করে দেয়া হয়, তবে প্রচলিত নিয়মের অনুসরণ করবে এবং ভালভাবে তাকে তা প্রদান করতে হবে। এটা তোমাদের পালনকর্তার তরফ থেকে সহজ এবং বিশেষ অনুগ্রহ। এরপরও যে ব্যাক্তি বাড়াবাড়ি করে, তার জন্য রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 178,
              "juz": 2,
              "manzil": 1,
              "page": 27,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূ কুতিবা ‘আলাইকুমুল কিসা-সু ফিলকাতলা- আলহুররু বিলহুররি ওয়াল ‘আবদু বিল‘আবদি ওয়াল উনছা-বিলউনছা-ফামান ‘উফিয়া লাহু মিন আখীহি শাইউন ফাত্তিবা-‘উম বিলমা‘রূফি ওয়া আদাউন ইলাইহি বিইহছানিন যা-লিকা তাখফীফুম মিররাব্বিকুম ওয়া রাহমাতুন ফামানি‘তাদা-বা‘দা যা-লিকা ফালাহু ‘আযা-বুন আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُتِبَ/كُتِبَ/kutiba//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْقِصَاصُ/ٱلۡقِصَاصُ/al-qisasu//فِی/فِي/fi//الْقَتْلٰی ؕ/ٱلۡقَتۡلَىۖ/al-qatla//اَلْحُرُّ/ٱلۡحُرُّ/al-huru//بِالْحُرِّ/بِٱلۡحُرِّ/bil-huri//وَ الْعَبْدُ/وَٱلۡعَبۡدُ/wal-'abdu//بِالْعَبْدِ/بِٱلۡعَبۡدِ/bil-'abdi//وَ الْاُنْثٰی/وَٱلۡأُنثَىٰ/wal-untha//بِالْاُنْثٰی ؕ/بِٱلۡأُنثَىٰۚ/bil-untha//فَمَنْ/فَمَنۡ/faman//عُفِیَ/عُفِيَ/ufiya//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//اَخِیْهِ/أَخِيهِ/akhihi//شَیْءٌ/شَيۡءٞ/shayon//فَاتِّبَاعٌۢ/فَٱتِّبَاعُۢ/fa-ittiba'un//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ اَدَآءٌ/وَأَدَآءٌ/wa-adaon//اِلَیْهِ/إِلَيۡهِ/ilayhi//بِاِحْسَانٍ ؕ/بِإِحۡسَٰنٖۗ/bi-ih'sanin//ذٰلِكَ/ذَٰلِكَ/dhalika//تَخْفِیْفٌ/تَخۡفِيفٞ/takhfifun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ رَحْمَةٌ ؕ/وَرَحۡمَةٞۗ/warahmatun//فَمَنِ/فَمَنِ/famani//اعْتَدٰی/ٱعۡتَدَىٰ/i'tada//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//فَلَهٗ/فَلَهُۥ/falahu//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//ফরজ করা হয়েছে//তোমাদের উপর//কিসাস(বদলা)//ব্যাপারে//(অন্যায়) হত্যার//স্বাধীন ব্যাক্তি//স্বাধীন ব্যাক্তির পরিবর্তে //ও ক্রীতদাস//ক্রীতদাসের পরিবর্তে//এবং মহিলা//মহিলার পরিবর্তে//অতঃপর তার (ক্ষেত্রে)//ক্ষমা করে দেয়া হয়//তার জন্য//পক্ষ হতে//তার ভাইয়ের//কোনো কিছু//তবে অনুসরণ করা//সদয়ভাবে//এবং (রক্তপণ) আদায় করা//তার কাছে//নিষ্ঠার সাথে (অপরিহার্য হবে)//এটা//লাঘব//পক্ষ থেকে//তোমাদের রবের//এবং রহমত(দয়া)//যে অতঃপর//সীমালংঘন করবে//পর//এর//তার জন্যে(আছে)//শাস্তি//অতি কষ্টদায়ক"
            },
            {
              "number": 186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/186.mp3"
              ],
              "text": "وَلَكُمْ فِى ٱلْقِصَاصِ حَيَوٰةٌۭ يَٰٓأُو۟لِى ٱلْأَلْبَٰبِ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "হে বুদ্ধিমানগণ! কেসাসের মধ্যে তোমাদের জন্যে জীবন রয়েছে, যাতে তোমরা সাবধান হতে পার।",
              "numberInSurah": 179,
              "juz": 2,
              "manzil": 1,
              "page": 27,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকুম ফিল কিসা-সি হায়া-তুঁই ইয়াঊলিল আলবা-বি লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "وَ لَكُمْ/وَلَكُمۡ/walakum//فِی/فِي/fi//الْقِصَاصِ/ٱلۡقِصَاصِ/al-qisasi//حَیٰوةٌ/حَيَوٰةٞ/hayatun//یّٰۤاُولِی/يَـٰٓأُوْلِي/yauli//الْاَلْبَابِ/ٱلۡأَلۡبَٰبِ/al-albabi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং তোমাদের জন্যে(রয়েছে)//মধ্যে//কিসাসের(বদলার)//জীবন//হে লোকেরা//বোধ(সম্পন্ন)//আশা করা যায়//তোমরা সাবধান হয়ে চলবে"
            },
            {
              "number": 187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/187.mp3"
              ],
              "text": "كُتِبَ عَلَيْكُمْ إِذَا حَضَرَ أَحَدَكُمُ ٱلْمَوْتُ إِن تَرَكَ خَيْرًا ٱلْوَصِيَّةُ لِلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُتَّقِينَ",
              "translate_bn": "তোমাদের কারো যখন মৃত্যুর সময় উপস্থিত হয়, সে যদি কিছু ধন-সম্পদ ত্যাগ করে যায়, তবে তার জন্য ওসীয়ত করা বিধিবদ্ধ করা হলো, পিতা-মাতা ও নিকটাত্নীয়দের জন্য ইনসাফের সাথে পরহেযগারদের জন্য এ নির্দেশ জরুরী। নিশ্চয় আল্লাহ তা’আলা সবকিছু শোনেন ও জানেন।",
              "numberInSurah": 180,
              "juz": 2,
              "manzil": 1,
              "page": 27,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "কুতিবা ‘আলাইকুম ইযা-হাদারা আহাদাকুমুল মাওতু ইন তারাকা খাইরানিল ওয়াসিইইয়াতু লিলওয়া-লিদাইনি ওয়াল আকরাবীনা বিলমা‘রূফি হাক্কান ‘আলাল মুত্তাকীন।",
              "words_arabic": "كُتِبَ/كُتِبَ/kutiba//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذَا/إِذَا/idha//حَضَرَ/حَضَرَ/hadara//اَحَدَكُمُ/أَحَدَكُمُ/ahadakumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//اِنْ/إِن/in//تَرَكَ/تَرَكَ/taraka//خَیْرَا ۖۚ/خَيۡرًا/khayran//لْوَصِیَّةُ/ٱلۡوَصِيَّةُ/al-wasiyatu//لِلْوَالِدَیْنِ/لِلۡوَٰلِدَيۡنِ/lil'walidayni//وَ الْاَقْرَبِیْنَ/وَٱلۡأَقۡرَبِينَ/wal-aqrabina//بِالْمَعْرُوْفِ ۚ/بِٱلۡمَعۡرُوفِۖ/bil-ma'rufi//حَقًّا/حَقًّا/haqqan//عَلَی/عَلَى/ala//الْمُتَّقِیْنَؕ/ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "ফরজ করা হয়েছে//তোমাদের উপর//যখন//উপস্থিত হয়//তোমাদের কারও//মৃত্যু//যদি//সে ছেড়ে যায়//ধনসম্পত্তি//ওসীয়ত করা(জোর নির্দেশ)//পিতা-মাতার জন্য//ও আত্নীয়-স্বজনদের (জন্যে)//ন্যায় অনুযায়ী//একটি অধিকার//উপর//মুত্তাকীদের"
            },
            {
              "number": 188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/188.mp3"
              ],
              "text": "فَمَنۢ بَدَّلَهُۥ بَعْدَمَا سَمِعَهُۥ فَإِنَّمَآ إِثْمُهُۥ عَلَى ٱلَّذِينَ يُبَدِّلُونَهُۥٓ ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "যদি কেউ ওসীয়ত শোনার পর তাতে কোন রকম পরিবর্তন সাধন করে, তবে যারা পরিবর্তন করে তাদের উপর এর পাপ পতিত হবে।",
              "numberInSurah": 181,
              "juz": 2,
              "manzil": 1,
              "page": 27,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ফামাম বাদ্দালাহু বা‘দা মা-ছামি‘আহূ ফাইন্নামা-ইছমুহূ ‘আলাল্লাযীনা ইউবাদ্দিলূনাহূ ইন্নাল্লা-হা ছামীউন ‘আলীম।",
              "words_arabic": "فَمَنْۢ/فَمَنۢ/faman//بَدَّلَهٗ/بَدَّلَهُۥ/baddalahu//بَعْدَ مَا/بَعۡدَمَا/ba'dama//سَمِعَهٗ/سَمِعَهُۥ/sami'ahu//فَاِنَّمَاۤ/فَإِنَّمَآ/fa-innama//اِثْمُهٗ/إِثۡمُهُۥ/ith'muhu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُبَدِّلُوْنَهٗ ؕ/يُبَدِّلُونَهُۥٓۚ/yubaddilunahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌؕ/عَلِيمٞ/alimun",
              "words_bangla": "যে অতঃপর//তা পরিবর্তন করে//এরপরেও যা//তা শুনেছে//মূলতঃ তবে//তার গুনাহ//উপর//(তাদের) যারা//তা পরিবর্তন করেছে//নিশ্চয়ই//আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/189.mp3"
              ],
              "text": "فَمَنْ خَافَ مِن مُّوصٍۢ جَنَفًا أَوْ إِثْمًۭا فَأَصْلَحَ بَيْنَهُمْ فَلَآ إِثْمَ عَلَيْهِ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যদি কেউ ওসীয়তকারীর পক্ষ থেকে আশংকা করে পক্ষপাতিত্বের অথবা কোন অপরাধমূলক সিদ্ধান্তের এবং তাদের মধ্যে মীমাংসা করে দেয়, তবে তার কোন গোনাহ হবে না। নিশ্চয় আল্লাহ তা’আলা ক্ষমাশীল, অতি দয়ালু।",
              "numberInSurah": 182,
              "juz": 2,
              "manzil": 1,
              "page": 28,
              "ruku": 23,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ফামান খা-ফা মিম্মূছিন জানাফান আও ইছমান ফাআসলাহা বাইনাহুম ফালা ইছমা ‘আলাইহি ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "فَمَنْ/فَمَنۡ/faman//خَافَ/خَافَ/khafa//مِنْ/مِن/min//مُّوْصٍ/مُّوصٖ/musin//جَنَفًا/جَنَفًا/janafan//اَوْ/أَوۡ/aw//اِثْمًا/إِثۡمٗا/ith'man//فَاَصْلَحَ/فَأَصۡلَحَ/fa-aslaha//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//فَلَاۤ/فَلَآ/fala//اِثْمَ/إِثۡمَ/ith'ma//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "যে তবে//ভয় করে//হতে//ওসীয়তকারী//পক্ষপাতিত্বের//বা//অন্যায়ের//তারপর সে মীমাংসা করে দেবে//তাদের মাঝে//তবে নেই//কোনো গোনাহ//তার উপর//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরমদয়ালু"
            },
            {
              "number": 190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/190.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُتِبَ عَلَيْكُمُ ٱلصِّيَامُ كَمَا كُتِبَ عَلَى ٱلَّذِينَ مِن قَبْلِكُمْ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "হে ঈমানদারগণ! তোমাদের উপর রোজা ফরয করা হয়েছে, যেরূপ ফরজ করা হয়েছিল তোমাদের পূর্ববর্তী লোকদের উপর, যেন তোমরা পরহেযগারী অর্জন করতে পার।",
              "numberInSurah": 183,
              "juz": 2,
              "manzil": 1,
              "page": 28,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ কুতিবা ‘আলাইকুমসসিয়া-মু কামা-কুতিবা ‘আলাল্লাযীনা মিন কাবলিকুম লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُتِبَ/كُتِبَ/kutiba//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الصِّیَامُ/ٱلصِّيَامُ/al-siyamu//كَمَا/كَمَا/kama//كُتِبَ/كُتِبَ/kutiba//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَۙ/تَتَّقُونَ/tattaquna",
              "words_bangla": "হে//যারা//ঈমান এনেছে//ফরজ করা হয়েছে//তোমাদের উপর//রোযা(সাওম)//যেমন//ফরজ করা হয়েছিল//উপর//(তাদের) যারা//থেকে//তোমাদের পূর্বে (ছিলো)//আশা করা যায়//তোমরা তাকওয়া অবলম্বন করবে"
            },
            {
              "number": 191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/191.mp3"
              ],
              "text": "أَيَّامًۭا مَّعْدُودَٰتٍۢ ۚ فَمَن كَانَ مِنكُم مَّرِيضًا أَوْ عَلَىٰ سَفَرٍۢ فَعِدَّةٌۭ مِّنْ أَيَّامٍ أُخَرَ ۚ وَعَلَى ٱلَّذِينَ يُطِيقُونَهُۥ فِدْيَةٌۭ طَعَامُ مِسْكِينٍۢ ۖ فَمَن تَطَوَّعَ خَيْرًۭا فَهُوَ خَيْرٌۭ لَّهُۥ ۚ وَأَن تَصُومُوا۟ خَيْرٌۭ لَّكُمْ ۖ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "গণনার কয়েকটি দিনের জন্য অতঃপর তোমাদের মধ্যে যে, অসুখ থাকবে অথবা সফরে থাকবে, তার পক্ষে অন্য সময়ে সে রোজা পূরণ করে নিতে হবে। আর এটি যাদের জন্য অত্যন্ত কষ্ট দায়ক হয়, তারা এর পরিবর্তে একজন মিসকীনকে খাদ্যদান করবে। যে ব্যক্তি খুশীর সাথে সৎকর্ম করে, তা তার জন্য কল্যাণ কর হয়। আর যদি রোজা রাখ, তবে তোমাদের জন্যে বিশেষ কল্যাণকর, যদি তোমরা তা বুঝতে পার।",
              "numberInSurah": 184,
              "juz": 2,
              "manzil": 1,
              "page": 28,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "আইয়া-মাম্মা‘দূদা-তিন ফামান কা-না মিনকুম মারীদান আও ‘আলা-ছাফারিন ফা‘ইদ্দাতুম মিন আইয়া-মিন উখারা ওয়া ‘আলাল্লাযীনা ইউতীকূনাহূ ফিদইয়াতুন তা‘আ-মু মিছকীনিন ফামান তাতাওওয়া‘আ খাইরান ফাহুওয়া খাইরুল্লাহূ ওয়া আন তাসূমূ খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "اَیَّامًا/أَيَّامٗا/ayyaman//مَّعْدُوْدٰتٍ ؕ/مَّعۡدُودَٰتٖۚ/ma'dudatin//فَمَنْ/فَمَن/faman//كَانَ/كَانَ/kana//مِنْكُمْ/مِنكُم/minkum//مَّرِیْضًا/مَّرِيضًا/maridan//اَوْ/أَوۡ/aw//عَلٰی/عَلَىٰ/ala//سَفَرٍ/سَفَرٖ/safarin//فَعِدَّةٌ/فَعِدَّةٞ/fa'iddatun//مِّنْ/مِّنۡ/min//اَیَّامٍ/أَيَّامٍ/ayyamin//اُخَرَ ؕ/أُخَرَۚ/ukhara//وَ عَلَی/وَعَلَى/wa'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُطِیْقُوْنَهٗ/يُطِيقُونَهُۥ/yutiqunahu//فِدْیَةٌ/فِدۡيَةٞ/fid'yatun//طَعَامُ/طَعَامُ/ta'amu//مِسْكِیْنٍ ؕ/مِسۡكِينٖۖ/mis'kinin//فَمَنْ/فَمَن/faman//تَطَوَّعَ/تَطَوَّعَ/tatawwa'a//خَیْرًا/خَيۡرٗا/khayran//فَهُوَ/فَهُوَ/fahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّهٗ ؕ/لَّهُۥۚ/lahu//وَ اَنْ/وَأَن/wa-an//تَصُوْمُوْا/تَصُومُواْ/tasumu//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "দিনগুলোতে//নির্দিষ্ট সংখ্যক//যে অতঃপর//হবে//তোমাদের মধ্যে//অসুস্থ//অথবা//মধ্যে//সফরের//সংখ্যা (পূরণ করবে)//থেকে//দিনগুলো//অন্যান্য//এবং উপর//(তাদের) যারা//তার সামর্থ্য রাখে (কিন্তু রাখবে না)//বিনিময় দিবে//খাদ্য দান করে//এক অভাবগ্রস্তকে//যে অতঃপর//স্বেচ্ছায় করে (অতিরিক্ত)//কোনো কল্যাণ//তাহলে তা//উত্তম//তার জন্যে//কিন্তু যে//তোমাদের রোজা(সাওম) রাখবে//উত্তম//তোমাদের জন্যে//যদি//তোমরা//জানতে"
            },
            {
              "number": 192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/192.mp3"
              ],
              "text": "شَهْرُ رَمَضَانَ ٱلَّذِىٓ أُنزِلَ فِيهِ ٱلْقُرْءَانُ هُدًۭى لِّلنَّاسِ وَبَيِّنَٰتٍۢ مِّنَ ٱلْهُدَىٰ وَٱلْفُرْقَانِ ۚ فَمَن شَهِدَ مِنكُمُ ٱلشَّهْرَ فَلْيَصُمْهُ ۖ وَمَن كَانَ مَرِيضًا أَوْ عَلَىٰ سَفَرٍۢ فَعِدَّةٌۭ مِّنْ أَيَّامٍ أُخَرَ ۗ يُرِيدُ ٱللَّهُ بِكُمُ ٱلْيُسْرَ وَلَا يُرِيدُ بِكُمُ ٱلْعُسْرَ وَلِتُكْمِلُوا۟ ٱلْعِدَّةَ وَلِتُكَبِّرُوا۟ ٱللَّهَ عَلَىٰ مَا هَدَىٰكُمْ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "রমযান মাসই হল সে মাস, যাতে নাযিল করা হয়েছে কোরআন, যা মানুষের জন্য হেদায়েত এবং সত্যপথ যাত্রীদের জন্য সুষ্পষ্ট পথ নির্দেশ আর ন্যায় ও অন্যায়ের মাঝে পার্থক্য বিধানকারী। কাজেই তোমাদের মধ্যে যে লোক এ মাসটি পাবে, সে এ মাসের রোযা রাখবে। আর যে লোক অসুস্থ কিংবা মুসাফির অবস্থায় থাকবে সে অন্য দিনে গণনা পূরণ করবে। আল্লাহ তোমাদের জন্য সহজ করতে চান; তোমাদের জন্য জটিলতা কামনা করেন না যাতে তোমরা গণনা পূরণ কর এবং তোমাদের হেদায়েত দান করার দরুন আল্লাহ তা’আলার মহত্ত্ব বর্ণনা কর, যাতে তোমরা কৃতজ্ঞতা স্বীকার কর।",
              "numberInSurah": 185,
              "juz": 2,
              "manzil": 1,
              "page": 28,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "শাহরু রামাদা-নাল্লাযীউনঝিলা ফীহিল কুরআ-নু হুদাল লিন্না-ছি ওয়া বাইয়িনা-তিম মিনাল হুদা-ওয়াল ফুরকা-নি ফামান শাহিদা মিনকুমুশশাহরা ফালইয়াসুমহু ওয়া মান কা-না মারীদান আও ‘আলা-ছাফারিন ফা‘ইদ্দাতুম মিন আইয়া-মিন উখারা-ইউরীদুল্লা-হু বিকুমুল ইউছরা ওয়ালা-ইউরীদুবিকুমুল ‘উছরা ওয়ালিতুকমিলুল ‘ইদ্দাতা ওয়া লিতুকাব্বিরুল্লা-হা ‘আলা-মা-হাদা-কুম ওয়া লা‘আল্লাকুম তাশকরূন।",
              "words_arabic": "شَهْرُ/شَهۡرُ/shahru//رَمَضَانَ/رَمَضَانَ/ramadana//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اُنْزِلَ/أُنزِلَ/unzila//فِیْهِ/فِيهِ/fihi//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//هُدًی/هُدٗى/hudan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ بَیِّنٰتٍ/وَبَيِّنَٰتٖ/wabayyinatin//مِّنَ/مِّنَ/mina//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//وَ الْفُرْقَانِ ۚ/وَٱلۡفُرۡقَانِۚ/wal-fur'qani//فَمَنْ/فَمَن/faman//شَهِدَ/شَهِدَ/shahida//مِنْكُمُ/مِنكُمُ/minkumu//الشَّهْرَ/ٱلشَّهۡرَ/al-shahra//فَلْیَصُمْهُ ؕ/فَلۡيَصُمۡهُۖ/falyasum'hu//وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//مَرِیْضًا/مَرِيضًا/maridan//اَوْ/أَوۡ/aw//عَلٰی/عَلَىٰ/ala//سَفَرٍ/سَفَرٖ/safarin//فَعِدَّةٌ/فَعِدَّةٞ/fa'iddatun//مِّنْ/مِّنۡ/min//اَیَّامٍ/أَيَّامٍ/ayyamin//اُخَرَ ؕ/أُخَرَۗ/ukhara//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُمُ/بِكُمُ/bikumu//الْیُسْرَ/ٱلۡيُسۡرَ/al-yus'ra//وَ لَا/وَلَا/wala//یُرِیْدُ/يُرِيدُ/yuridu//بِكُمُ/بِكُمُ/bikumu//الْعُسْرَ ؗ/ٱلۡعُسۡرَ/al-'us'ra//وَ لِتُكْمِلُوا/وَلِتُكۡمِلُواْ/walituk'milu//الْعِدَّةَ/ٱلۡعِدَّةَ/al-'idata//وَ لِتُكَبِّرُوا/وَلِتُكَبِّرُواْ/walitukabbiru//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//هَدٰىكُمْ/هَدَىٰكُمۡ/hadakum//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "মাস//রমাদান//যা//অবতীর্ণ করা হয়েছে//তার মধ্যে//কুরআন (যা)//সঠিক পথ নির্দেশনা//মানুষের জন্য//এবং সুস্পষ্ট নিদর্শন//থেকে//সঠিক পথের//এবং ন্যায় ও বাতিলের পার্থক্যকারী//সুতরাং যে কেউ//পাবে//তোমাদের মধ্যে//এ মাস//তাতে সে রোজা(সাওম) রাখে যেন//এবং যে//হবে//অসুস্থ//অথবা//মধ্যে//সফরের (থাকবে)//তবে সংখ্যা (পূর্ণ করবে)//থেকে//দিনগুলো//অন্যান্য//চান//আল্লাহ//তোমাদের জন্য//সহজতা//এবং না//তিনি চান//তোমাদের জন্য//কঠোরতা//এবং তোমরা পূর্ণ কর যেন//সংখ্যা//এবং তোমরা যেন মহিমা প্রকাশ কর//আল্লাহর//জন্য//যে//তিনি তোমাদের পথ দেখিয়েছেন//এবং আশা করা যায়//তোমরা কৃতজ্ঞতা প্রকাশ করবে"
            },
            {
              "number": 193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/193.mp3"
              ],
              "text": "وَإِذَا سَأَلَكَ عِبَادِى عَنِّى فَإِنِّى قَرِيبٌ ۖ أُجِيبُ دَعْوَةَ ٱلدَّاعِ إِذَا دَعَانِ ۖ فَلْيَسْتَجِيبُوا۟ لِى وَلْيُؤْمِنُوا۟ بِى لَعَلَّهُمْ يَرْشُدُونَ",
              "translate_bn": "আর আমার বান্দারা যখন তোমার কাছে জিজ্ঞেস করে আমার ব্যাপারে বস্তুতঃ আমি রয়েছি সন্নিকটে। যারা প্রার্থনা করে, তাদের প্রার্থনা কবুল করে নেই, যখন আমার কাছে প্রার্থনা করে। কাজেই আমার হুকুম মান্য করা এবং আমার প্রতি নিঃসংশয়ে বিশ্বাস করা তাদের একান্ত কর্তব্য। যাতে তারা সৎপথে আসতে পারে।",
              "numberInSurah": 186,
              "juz": 2,
              "manzil": 1,
              "page": 28,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ছাআলাকা ‘ইবা-দী ‘আন্নী ফাইন্নী কারীবুন উজীবুদা‘ওয়াতাদ্দা-‘ই ইযা-দা‘আ-নি ফালইয়াছতাজীবূলী ওয়াল ইউ’মিনূ বী লা‘আল্লাহুম ইয়ারশুদূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//سَاَلَكَ/سَأَلَكَ/sa-alaka//عِبَادِیْ/عِبَادِي/ibadi//عَنِّیْ/عَنِّي/anni//فَاِنِّیْ/فَإِنِّي/fa-inni//قَرِیْبٌ ؕ/قَرِيبٌۖ/qaribun//اُجِیْبُ/أُجِيبُ/ujibu//دَعْوَةَ/دَعۡوَةَ/da'wata//الدَّاعِ/ٱلدَّاعِ/al-da'i//اِذَا/إِذَا/idha//دَعَانِ ۙ/دَعَانِۖ/da'ani//فَلْیَسْتَجِیْبُوْا/فَلۡيَسۡتَجِيبُواْ/falyastajibu//لِیْ/لِي/li//وَ لْیُؤْمِنُوْا/وَلۡيُؤۡمِنُواْ/walyu'minu//بِیْ/بِي/bi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْشُدُوْنَ /يَرۡشُدُونَ/yarshuduna",
              "words_bangla": "এবং যখন//তোমাকে প্রশ্ন করে//আমার বান্দারা//আমার সম্পর্কে//তখন (বল) আমি নিশ্চয়ই//নিকটেই//আমি সাড়া দিই//ডাকে//প্রার্থনাকারীর//যখন//আমাকে ডাকে//অতএব তারাও সাড়া দিক//আমার//এবং তারা ঈমান আনুক//আমার উপর//হয়ত তারা//সত্যের সন্ধান পাবে"
            },
            {
              "number": 194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/194.mp3"
              ],
              "text": "أُحِلَّ لَكُمْ لَيْلَةَ ٱلصِّيَامِ ٱلرَّفَثُ إِلَىٰ نِسَآئِكُمْ ۚ هُنَّ لِبَاسٌۭ لَّكُمْ وَأَنتُمْ لِبَاسٌۭ لَّهُنَّ ۗ عَلِمَ ٱللَّهُ أَنَّكُمْ كُنتُمْ تَخْتَانُونَ أَنفُسَكُمْ فَتَابَ عَلَيْكُمْ وَعَفَا عَنكُمْ ۖ فَٱلْـَٰٔنَ بَٰشِرُوهُنَّ وَٱبْتَغُوا۟ مَا كَتَبَ ٱللَّهُ لَكُمْ ۚ وَكُلُوا۟ وَٱشْرَبُوا۟ حَتَّىٰ يَتَبَيَّنَ لَكُمُ ٱلْخَيْطُ ٱلْأَبْيَضُ مِنَ ٱلْخَيْطِ ٱلْأَسْوَدِ مِنَ ٱلْفَجْرِ ۖ ثُمَّ أَتِمُّوا۟ ٱلصِّيَامَ إِلَى ٱلَّيْلِ ۚ وَلَا تُبَٰشِرُوهُنَّ وَأَنتُمْ عَٰكِفُونَ فِى ٱلْمَسَٰجِدِ ۗ تِلْكَ حُدُودُ ٱللَّهِ فَلَا تَقْرَبُوهَا ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ ءَايَٰتِهِۦ لِلنَّاسِ لَعَلَّهُمْ يَتَّقُونَ",
              "translate_bn": "রোযার রাতে তোমাদের স্ত্রীদের সাথে সহবাস করা তোমাদের জন্য হালাল করা হয়েছে। তারা তোমাদের পরিচ্ছদ এবং তোমরা তাদের পরিচ্ছদ। আল্লাহ অবগত রয়েছেন যে, তোমরা আত্নপ্রতারণা করছিলে, সুতরাং তিনি তোমাদেরকে ক্ষমা করেছেন এবং তোমাদের অব্যাহতি দিয়েছেন। অতঃপর তোমরা নিজেদের স্ত্রীদের সাথে সহবাস কর এবং যা কিছু তোমাদের জন্য আল্লাহ দান করেছেন, তা আহরন কর। আর পানাহার কর যতক্ষণ না কাল রেখা থেকে ভোরের শুভ্র রেখা পরিষ্কার দেখা যায়। অতঃপর রোযা পূর্ণ কর রাত পর্যন্ত। আর যতক্ষণ তোমরা এতেকাফ অবস্থায় মসজিদে অবস্থান কর, ততক্ষণ পর্যন্ত স্ত্রীদের সাথে মিশো না। এই হলো আল্লাহ কর্তৃক বেঁধে দেয়া সীমানা। অতএব, এর কাছেও যেও না। এমনিভাবে বর্ণনা করেন আল্লাহ নিজের আয়াত সমূহ মানুষের জন্য, যাতে তারা বাঁচতে পারে।",
              "numberInSurah": 187,
              "juz": 2,
              "manzil": 1,
              "page": 29,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "উহিল্লা লাকুম লাইলাতাসসিয়া-মিররাফাছুইলা-নিছাইকুম হুন্না লিবা-ছুল্লাকুম ওয়া আনতুম লিবা-ছুল লাহুন্না ‘আলিমাল্লা-হু আন্নাকুম কুনতুম তাখতা-নূনা আনফুছাকুম ফাতাবা ‘আলাইকুম ওয়া ‘আফা- ‘আনকুম ফালআ-না বা-শিরূহুন্না ওয়াবতাগূ মা-কাতাবাল্লা-হু লাকুম ওয়া কুলূ ওয়াশরাবূ হাত্তা-ইয়াতাবাইয়ানা লাকুমুল খাইতুল আবইয়াদুমিনাল খাইতিল আছওয়াদি মিনাল ফাজরি ছু ম্মা আতিম্মুস সিয়া-মা ইলাল্লাইলি ওয়ালাতুবা-শিরূহুন্না ওয়া আনতুম ‘আ-কিফূনা ফিল মাছা-জিদি তিলকা হুদূদুল্লা-হি ফালাতাকরাবূহা-কাযা-লিকা ইউবাইয়িনুল্লা-হু আ-য়া-তিহী লিন্না-ছি লা‘আল্লাহুম ইয়াত্তাকূন।",
              "words_arabic": "اُحِلَّ/أُحِلَّ/uhilla//لَكُمْ/لَكُمۡ/lakum//لَیْلَةَ/لَيۡلَةَ/laylata//الصِّیَامِ/ٱلصِّيَامِ/al-siyami//الرَّفَثُ/ٱلرَّفَثُ/al-rafathu//اِلٰی/إِلَىٰ/ila//نِسَآىِٕكُمْ ؕ/نِسَآئِكُمۡۚ/nisaikum//هُنَّ/هُنَّ/hunna//لِبَاسٌ/لِبَاسٞ/libasun//لَّكُمْ/لَّكُمۡ/lakum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لِبَاسٌ/لِبَاسٞ/libasun//لَّهُنَّ ؕ/لَّهُنَّۗ/lahunna//عَلِمَ/عَلِمَ/alima//اللّٰهُ/ٱللَّهُ/al-lahu//اَنَّكُمْ/أَنَّكُمۡ/annakum//كُنْتُمْ/كُنتُمۡ/kuntum//تَخْتَانُوْنَ/تَخۡتَانُونَ/takhtanuna//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//فَتَابَ/فَتَابَ/fataba//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ عَفَا/وَعَفَا/wa'afa//عَنْكُمْ ۚ/عَنكُمۡۖ/ankum//فَالْـٰٔنَ/فَٱلۡـَٰٔنَ/fal-ana//بَاشِرُوْهُنَّ/بَٰشِرُوهُنَّ/bashiruhunna//وَ ابْتَغُوْا/وَٱبۡتَغُواْ/wa-ib'taghu//مَا/مَا/ma//كَتَبَ/كَتَبَ/kataba//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ ۪/لَكُمۡۚ/lakum//وَ كُلُوْا/وَكُلُواْ/wakulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//حَتّٰی/حَتَّىٰ/hatta//یَتَبَیَّنَ/يَتَبَيَّنَ/yatabayyana//لَكُمُ/لَكُمُ/lakumu//الْخَیْطُ/ٱلۡخَيۡطُ/al-khaytu//الْاَبْیَضُ/ٱلۡأَبۡيَضُ/al-abyadu//مِنَ/مِنَ/mina//الْخَیْطِ/ٱلۡخَيۡطِ/al-khayti//الْاَسْوَدِ/ٱلۡأَسۡوَدِ/al-aswadi//مِنَ/مِنَ/mina//الْفَجْرِ ۪/ٱلۡفَجۡرِۖ/al-fajri//ثُمَّ/ثُمَّ/thumma//اَتِمُّوا/أَتِمُّواْ/atimmu//الصِّیَامَ/ٱلصِّيَامَ/al-siyama//اِلَی/إِلَى/ila//الَّیْلِ ۚ/ٱلَّيۡلِۚ/al-layli//وَ لَا/وَلَا/wala//تُبَاشِرُوْهُنَّ/تُبَٰشِرُوهُنَّ/tubashiruhunna//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//عٰكِفُوْنَ ۙ/عَٰكِفُونَ/akifuna//فِی/فِي/fi//الْمَسٰجِدِ ؕ/ٱلۡمَسَٰجِدِۗ/al-masajidi//تِلْكَ/تِلۡكَ/til'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَا/فَلَا/fala//تَقْرَبُوْهَا ؕ/تَقۡرَبُوهَاۗ/taqrabuha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "(হালাল) করা হয়েছে//তোমাদের জন্যে//রাতে//সাওমের//স্ত্রী সহবাস//সাথে//তোমাদের স্ত্রীদের//তারা//পোশাক//তোমাদের জন্যে//ও তোমরা//পোশাক//তাদের জন্যে//জেনেছেন//আল্লাহ//তোমরা যে//তোমরা ছিলে//প্রতারণা করতে//তোমাদের নিজেদের (সাথে)//তওবা গ্রহণ করলেন//তোমাদের উপর//এবং ক্ষমা করলেন//তোমাদের//অতএব এখন//তাদের সাথে তোমরা সহবাস করো//এবং তোমরা সন্ধান করো//যা//লিখে দিয়েছেন//আল্লাহ//তোমাদের জন্য//ও তোমরা খাও//ও তোমরা পান করো//যতক্ষণ না//স্পষ্ট হয়ে যায়//তোমাদের কাছে//রেখা//সাদা (অর্থাৎ সুবেহ সাদেক)//হতে//রেখা//কাল (অর্থাৎ রাতের অন্ধকার)//থেকে//ফজরে//এরপর//তোমরা পূর্ণ করো//সাওম//পর্যন্ত//রাত্র (অর্থাৎ সূর্যাস্ত)//এবং না//তাদের সাথে তোমরা সহবাস কর//এমতাবস্থায় তোমরা//এতিকাফরত//মধ্যে//মসজিদের//এই//সীমাসমূহ//আল্লাহর//না তাই//তার নিকটে যাবে তোমরা//এভাবে//স্পষ্ট বর্ণনা করেন//আল্লাহ//তার নিদর্শনগুলো//মানুষের জন্যে//আশা করা যায় তারা//তাকওয়া অবলম্বন করবে"
            },
            {
              "number": 195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/195.mp3"
              ],
              "text": "وَلَا تَأْكُلُوٓا۟ أَمْوَٰلَكُم بَيْنَكُم بِٱلْبَٰطِلِ وَتُدْلُوا۟ بِهَآ إِلَى ٱلْحُكَّامِ لِتَأْكُلُوا۟ فَرِيقًۭا مِّنْ أَمْوَٰلِ ٱلنَّاسِ بِٱلْإِثْمِ وَأَنتُمْ تَعْلَمُونَ",
              "translate_bn": "তোমরা অন্যায়ভাবে একে অপরের সম্পদ ভোগ করো না। এবং জনগণের সম্পদের কিয়দংশ জেনে-শুনে পাপ পন্থায় আত্নসাৎ করার উদ্দেশে শাসন কতৃপক্ষের হাতেও তুলে দিও না।",
              "numberInSurah": 188,
              "juz": 2,
              "manzil": 1,
              "page": 29,
              "ruku": 24,
              "hizbQuarter": 11,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তা’কূলূআমওয়া-লাকুম বাইনাকুম বিলবা-তিলি ওয়াতুদ লূবিহাইলাল হুক্কা-মি লিতা’কুলূ ফারীকাম মিন আমওয়া-লিন্না-ছি বিলইছমি ওয়া আনতুম তা‘লামুন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَاْكُلُوْۤا/تَأۡكُلُوٓاْ/takulu//اَمْوَالَكُمْ/أَمۡوَٰلَكُم/amwalakum//بَیْنَكُمْ/بَيۡنَكُم/baynakum//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//وَ تُدْلُوْا/وَتُدۡلُواْ/watud'lu//بِهَاۤ/بِهَآ/biha//اِلَی/إِلَى/ila//الْحُكَّامِ/ٱلۡحُكَّامِ/al-hukami//لِتَاْكُلُوْا/لِتَأۡكُلُواْ/litakulu//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنْ/مِّنۡ/min//اَمْوَالِ/أَمۡوَٰلِ/amwali//النَّاسِ/ٱلنَّاسِ/al-nasi//بِالْاِثْمِ/بِٱلۡإِثۡمِ/bil-ith'mi//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَعْلَمُوْنَ۠/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং না//তোমরা খেয়ো//ধন-সম্পদসমূহকে//তোমাদের পরস্পরের//অন্যায়ভাবে//তোমরা (না) পেশ কর//তা নিয়ে//কাছে//বিচারকদের//তোমরা খেতে পার যেন//কিয়দংশ//হতে//ধন-সম্পদের//মানুষের//অন্যায়ভাবে//এমতাবস্থায় তোমরা//জান"
            },
            {
              "number": 196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/196.mp3"
              ],
              "text": "۞ يَسْـَٔلُونَكَ عَنِ ٱلْأَهِلَّةِ ۖ قُلْ هِىَ مَوَٰقِيتُ لِلنَّاسِ وَٱلْحَجِّ ۗ وَلَيْسَ ٱلْبِرُّ بِأَن تَأْتُوا۟ ٱلْبُيُوتَ مِن ظُهُورِهَا وَلَٰكِنَّ ٱلْبِرَّ مَنِ ٱتَّقَىٰ ۗ وَأْتُوا۟ ٱلْبُيُوتَ مِنْ أَبْوَٰبِهَا ۚ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "তোমার নিকট তারা জিজ্ঞেস করে নতুন চাঁদের বিষয়ে। বলে দাও যে এটি মানুষের জন্য সময় নির্ধারণ এবং হজ্বের সময় ঠিক করার মাধ্যম। আর পেছনের দিক দিয়ে ঘরে প্রবেশ করার মধ্যে কোন নেকী বা কল্যাণ নেই। অবশ্য নেকী হল আল্লাহকে ভয় করার মধ্যে। আর তোমরা ঘরে প্রবেশ কর দরজা দিয়ে এবং আল্লাহকে ভয় করতে থাক যাতে তোমরা নিজেদের বাসনায় কৃতকার্য হতে পার।",
              "numberInSurah": 189,
              "juz": 2,
              "manzil": 1,
              "page": 29,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা ‘আনিল আহিল্লাতি কুল হিয়া মাওয়া-কীতু লিন্না-ছি ওয়ালহাজ্জি ওয়া লাইছাল বিররু বিআন তা’তুল বুয়ূতা মিন জুহুরিহা-ওয়ালা-কিন্নালবিররা মানিত্তাকা-ওয়া’তুল বুয়ূতা মিন আবওয়া-বিহা-ওয়াত্তাকুল্লা-হা লা‘আল্লাকুম তুফলিহুন।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/۞يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//الْاَهِلَّةِ ؕ/ٱلۡأَهِلَّةِۖ/al-ahilati//قُلْ/قُلۡ/qul//هِیَ/هِيَ/hiya//مَوَاقِیْتُ/مَوَٰقِيتُ/mawaqitu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ الْحَجِّ ؕ/وَٱلۡحَجِّۗ/wal-haji//وَ لَیْسَ/وَلَيۡسَ/walaysa//الْبِرُّ/ٱلۡبِرُّ/al-biru//بِاَنْ/بِأَن/bi-an//تَاْتُوا/تَأۡتُواْ/tatu//الْبُیُوْتَ/ٱلۡبُيُوتَ/al-buyuta//مِنْ/مِن/min//ظُهُوْرِهَا/ظُهُورِهَا/zuhuriha//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الْبِرَّ/ٱلۡبِرَّ/al-bira//مَنِ/مَنِ/mani//اتَّقٰی ۚ/ٱتَّقَىٰۗ/ittaqa//وَ اْتُوا/وَأۡتُواْ/watu//الْبُیُوْتَ/ٱلۡبُيُوتَ/al-buyuta//مِنْ/مِنۡ/min//اَبْوَابِهَا ۪/أَبۡوَٰبِهَاۚ/abwabiha//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "তোমাকে তারা জিজ্ঞেস করে//সম্বন্ধে//নতুন চাঁদ//তুমি বলো//''তা//সময় (তারিখ) নির্দেশক//মানুষের জন্য//ও হজ্জের//এবং নেই//পূণ্য//যে এতে//তোমরা আস//ঘরগুলোতে//হতে//তার পিছন দিক//কিন্তু//পূণ্য//যে কেউ//তাকওয়া অবলম্বন করবে//এবং তোমরা আসো//ঘরগুলোতে//দিয়ে//তার সম্মুখ দরজাগুলো//এবং তোমরা ভয় করো//আল্লাহকে//আশা করা যায়//তোমরা সফল হবে"
            },
            {
              "number": 197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/197.mp3"
              ],
              "text": "وَقَٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ ٱلَّذِينَ يُقَٰتِلُونَكُمْ وَلَا تَعْتَدُوٓا۟ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُعْتَدِينَ",
              "translate_bn": "আর লড়াই কর আল্লাহর ওয়াস্তে তাদের সাথে, যারা লড়াই করে তোমাদের সাথে। অবশ্য কারো প্রতি বাড়াবাড়ি করো না। নিশ্চয়ই আল্লাহ সীমালঙ্ঘনকারীদেরকে পছন্দ করেন না।",
              "numberInSurah": 190,
              "juz": 2,
              "manzil": 1,
              "page": 29,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-তিলূ ফী ছাবীলিল্লা-হিল্লাযীনা ইউকা-তিলূনাকুম ওয়ালা-তা‘তাদূ ইন্নাল্লা-হা লা-ইউহিব্বুল মু‘তাদীন।",
              "words_arabic": "وَ قَاتِلُوْا/وَقَٰتِلُواْ/waqatilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقَاتِلُوْنَكُمْ/يُقَٰتِلُونَكُمۡ/yuqatilunakum//وَ لَا/وَلَا/wala//تَعْتَدُوْا ؕ/تَعۡتَدُوٓاْۚ/ta'tadu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُعْتَدِیْنَ  /ٱلۡمُعۡتَدِينَ/al-mu'tadina",
              "words_bangla": "এবং তোমরা যুদ্ধ করো//মধ্যে//পথের//আল্লাহর//(তাদের সাথে) যারা//তোমাদের সাথে যুদ্ধ করে//কিন্তু না//তোমরা সীমালংঘন করো//নিশ্চয়ই//আল্লাহ//না//ভালবাসেন//সীমালংঘনকারীদেরকে"
            },
            {
              "number": 198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/198.mp3"
              ],
              "text": "وَٱقْتُلُوهُمْ حَيْثُ ثَقِفْتُمُوهُمْ وَأَخْرِجُوهُم مِّنْ حَيْثُ أَخْرَجُوكُمْ ۚ وَٱلْفِتْنَةُ أَشَدُّ مِنَ ٱلْقَتْلِ ۚ وَلَا تُقَٰتِلُوهُمْ عِندَ ٱلْمَسْجِدِ ٱلْحَرَامِ حَتَّىٰ يُقَٰتِلُوكُمْ فِيهِ ۖ فَإِن قَٰتَلُوكُمْ فَٱقْتُلُوهُمْ ۗ كَذَٰلِكَ جَزَآءُ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর তাদেরকে হত্যাকর যেখানে পাও সেখানেই এবং তাদেরকে বের করে দাও সেখান থেকে যেখান থেকে তারা বের করেছে তোমাদেরকে। বস্তুতঃ ফেতনা ফ্যাসাদ বা দাঙ্গা-হাঙ্গামা সৃষ্টি করা হত্যার চেয়েও কঠিন অপরাধ। আর তাদের সাথে লড়াই করো না মসজিদুল হারামের নিকটে যতক্ষণ না তারা তোমাদের সাথে সেখানে লড়াই করে। অবশ্য যদি তারা নিজেরাই তোমাদের সাথে লড়াই করে। তাহলে তাদেরকে হত্যা কর। এই হল কাফেরদের শাস্তি।",
              "numberInSurah": 191,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়াকতুলূহুম হাইছু ছাকিফতুমূহুম ওয়া আখরিজূহুম মিন হাইছুআখরাজূকুম ওয়াল ফিতনাতু আশাদ্দু মিনাল কাতলি ওয়ালা-তুকা-তিলূহুম ‘ইনদাল মাছজিদিল হারা-মি হাত্তা-ইউকা-তিলূকুম ফীহি ফাইন কা-তালূকুম ফাকতুলূহুম কাযা-লিকা জাঝাউল কা-ফিরীন।",
              "words_arabic": "وَ اقْتُلُوْهُمْ/وَٱقۡتُلُوهُمۡ/wa-uq'tuluhum//حَیْثُ/حَيۡثُ/haythu//ثَقِفْتُمُوْهُمْ/ثَقِفۡتُمُوهُمۡ/thaqif'tumuhum//وَ اَخْرِجُوْهُمْ/وَأَخۡرِجُوهُم/wa-akhrijuhum//مِّنْ/مِّنۡ/min//حَیْثُ/حَيۡثُ/haythu//اَخْرَجُوْكُمْ/أَخۡرَجُوكُمۡۚ/akhrajukum//وَ الْفِتْنَةُ/وَٱلۡفِتۡنَةُ/wal-fit'natu//اَشَدُّ/أَشَدُّ/ashaddu//مِنَ/مِنَ/mina//الْقَتْلِ ۚ/ٱلۡقَتۡلِۚ/al-qatli//وَ لَا/وَلَا/wala//تُقٰتِلُوْهُمْ/تُقَٰتِلُوهُمۡ/tuqatiluhum//عِنْدَ/عِندَ/inda//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//حَتّٰی/حَتَّىٰ/hatta//یُقٰتِلُوْكُمْ/يُقَٰتِلُوكُمۡ/yuqatilukum//فِیْهِ ۚ/فِيهِۖ/fihi//فَاِنْ/فَإِن/fa-in//قٰتَلُوْكُمْ/قَٰتَلُوكُمۡ/qatalukum//فَاقْتُلُوْهُمْ ؕ/فَٱقۡتُلُوهُمۡۗ/fa-uq'tuluhum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//جَزَآءُ/جَزَآءُ/jazau//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং তাদেরকে হত্যা করো//যেখানেই//তাদেরকে তোমরা পাও//ও তাদেরকে বের করে দাও//থেকে//যেখান//তোমাদের বের করেছে তারা//এবং বিপর্যয়//গুরুতর//চেয়ে//হত্যার//এবং না//তাদের সাথে যুদ্ধ কর//কাছে//মসজিদে//হারামের//যতক্ষণ না//তোমাদের সাথে যুদ্ধ করে তারা//তার মধ্যে//তবে যদি//তোমাদের সাথে যুদ্ধ করে তারা//তাহলে তোমরা হত্যা করো//এরূপই//শাস্তি//কাফেরদের"
            },
            {
              "number": 199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/199.mp3"
              ],
              "text": "فَإِنِ ٱنتَهَوْا۟ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর তারা যদি বিরত থাকে, তাহলে আল্লাহ অত্যন্ত দয়ালু।",
              "numberInSurah": 192,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ফাইনিন তাহাও ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "فَاِنِ/فَإِنِ/fa-ini//انْتَهَوْا/ٱنتَهَوۡاْ/intahaw//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "অতঃপর যদি//তারা বিরত হয়//তবে নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/200.mp3"
              ],
              "text": "وَقَٰتِلُوهُمْ حَتَّىٰ لَا تَكُونَ فِتْنَةٌۭ وَيَكُونَ ٱلدِّينُ لِلَّهِ ۖ فَإِنِ ٱنتَهَوْا۟ فَلَا عُدْوَٰنَ إِلَّا عَلَى ٱلظَّٰلِمِينَ",
              "translate_bn": "আর তোমরা তাদের সাথে লড়াই কর, যে পর্যন্ত না ফেতনার অবসান হয় এবং আল্লাহর দ্বীন প্রতিষ্ঠিত হয়। অতঃপর যদি তারা নিবৃত হয়ে যায় তাহলে কারো প্রতি কোন জবরদস্তি নেই, কিন্তু যারা যালেম (তাদের ব্যাপারে আলাদা)।",
              "numberInSurah": 193,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-তিলূহুম হাত্তা-লা-তাকূনা ফিতনাতুওঁ ওয়া ইয়াকূনাদ্দীনু লিল্লা-হি ফাইনিন তাহাও ফালা-‘উদওয়া-না ইল্লা-‘আলাজ্জা-লিমীন।",
              "words_arabic": "وَ قٰتِلُوْهُمْ/وَقَٰتِلُوهُمۡ/waqatiluhum//حَتّٰی/حَتَّىٰ/hatta//لَا/لَا/la//تَكُوْنَ/تَكُونَ/takuna//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//وَّ یَكُوْنَ/وَيَكُونَ/wayakuna//الدِّیْنُ/ٱلدِّينُ/al-dinu//لِلّٰهِ ؕ/لِلَّهِۖ/lillahi//فَاِنِ/فَإِنِ/fa-ini//انْتَهَوْا/ٱنتَهَوۡاْ/intahaw//فَلَا/فَلَا/fala//عُدْوَانَ/عُدۡوَٰنَ/ud'wana//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং তোমরা যুদ্ধ করতে থাকো তাদেরকে//যতক্ষণ//না//থাকে//বিপর্যয়//ও হয়//দ্বীন//আল্লাহর জন্যে (নির্দিষ্ট)//যদি অতঃপর//তারা বিরত হয়//নেই তবে//আক্রমণের (সুযোগ)//ছাড়া//উপর//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/201.mp3"
              ],
              "text": "ٱلشَّهْرُ ٱلْحَرَامُ بِٱلشَّهْرِ ٱلْحَرَامِ وَٱلْحُرُمَٰتُ قِصَاصٌۭ ۚ فَمَنِ ٱعْتَدَىٰ عَلَيْكُمْ فَٱعْتَدُوا۟ عَلَيْهِ بِمِثْلِ مَا ٱعْتَدَىٰ عَلَيْكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ",
              "translate_bn": "সম্মানিত মাসই সম্মানিত মাসের বদলা। আর সম্মান রক্ষা করারও বদলা রয়েছে। বস্তুতঃ যারা তোমাদের উপর জবর দস্তি করেছে, তোমরা তাদের উপর জবরদস্তি কর, যেমন জবরদস্তি তারা করেছে তোমাদের উপর। আর তোমরা আল্লাহকে ভয় কর এবং জেনে রাখ, যারা পরহেযগার, আল্লাহ তাদের সাথে রয়েছেন।",
              "numberInSurah": 194,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "আশশাহরুল হারা-মু বিশশাহরিল হারা-মি ওয়াল হুরুমা-তুকিসা-সুন ফামানি‘তাদা‘আলাইকুম ফা‘তাদূ ‘আলাইহি বিমিছলি মা‘তাদা-‘আলাইকুম ওয়াত্তাকুল্লা-হা ওয়া‘লামু আন্নাল্লা-হা মা‘আল মুত্তাকীন।",
              "words_arabic": "اَلشَّهْرُ/ٱلشَّهۡرُ/al-shahru//الْحَرَامُ/ٱلۡحَرَامُ/al-haramu//بِالشَّهْرِ/بِٱلشَّهۡرِ/bil-shahri//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//وَ الْحُرُمٰتُ/وَٱلۡحُرُمَٰتُ/wal-hurumatu//قِصَاصٌ ؕ/قِصَاصٞۚ/qisasun//فَمَنِ/فَمَنِ/famani//اعْتَدٰی/ٱعۡتَدَىٰ/i'tada//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَاعْتَدُوْا/فَٱعۡتَدُواْ/fa-i'tadu//عَلَیْهِ/عَلَيۡهِ/alayhi//بِمِثْلِ/بِمِثۡلِ/bimith'li//مَا/مَا/ma//اعْتَدٰی/ٱعۡتَدَىٰ/i'tada//عَلَیْكُمْ ۪/عَلَيۡكُمۡۚ/alaykum//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "মাস//পবিত্র//মাস বিনিময়ে//পবিত্র//এবং সমস্ত পবিত্র বিষয় (লংঘনের)//বদলা (রয়েছে)//যে তাই//বাড়াবাড়ি করবে//তোমাদের উপর//তোমরাও তখন বাড়াবাড়ির বদলা নাও//তার উপর//অনুরূপ//যেমন//বাড়াবাড়ি করেছে//তোমাদের উপর//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//সাথে (আছেন)//মুত্তাকীদের"
            },
            {
              "number": 202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/202.mp3"
              ],
              "text": "وَأَنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ وَلَا تُلْقُوا۟ بِأَيْدِيكُمْ إِلَى ٱلتَّهْلُكَةِ ۛ وَأَحْسِنُوٓا۟ ۛ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُحْسِنِينَ",
              "translate_bn": "আর ব্যয় কর আল্লাহর পথে, তবে নিজের জীবনকে ধ্বংসের সম্মুখীন করো না। আর মানুষের প্রতি অনুগ্রহ কর। আল্লাহ অনুগ্রহকারীদেরকে ভালবাসেন।",
              "numberInSurah": 195,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনফিকূফী ছাবীলিল্লা-হি ওয়ালা-তুলকূবিআইদীকুম ইলাত্তাহলুকাতি ওয়া আহছিনূ ইন্নাল্লা-হা ইউহিব্বুল মুহছিনীন।",
              "words_arabic": "وَ اَنْفِقُوْا/وَأَنفِقُواْ/wa-anfiqu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//تُلْقُوْا/تُلۡقُواْ/tul'qu//بِاَیْدِیْكُمْ/بِأَيۡدِيكُمۡ/bi-aydikum//اِلَی/إِلَى/ila//التَّهْلُكَةِ ۛۖۚ/ٱلتَّهۡلُكَةِ/al-tahlukati//وَ اَحْسِنُوْا ۛۚ/وَأَحۡسِنُوٓاْۚ/wa-ahsinu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং তোমরা ব্যয় করো//মধ্যে //পথের//আল্লাহর//এবং না//তোমরা নিক্ষেপ করো//তোমাদের হাতে (নিজেদেরকে)//দিকে//ধ্বংসের//এবং তোমরা অনুগ্রহ করো//নিশ্চয়ই//আল্লাহ//ভালবাসেন//অনুগ্রহকারীদেরকে"
            },
            {
              "number": 203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/203.mp3"
              ],
              "text": "وَأَتِمُّوا۟ ٱلْحَجَّ وَٱلْعُمْرَةَ لِلَّهِ ۚ فَإِنْ أُحْصِرْتُمْ فَمَا ٱسْتَيْسَرَ مِنَ ٱلْهَدْىِ ۖ وَلَا تَحْلِقُوا۟ رُءُوسَكُمْ حَتَّىٰ يَبْلُغَ ٱلْهَدْىُ مَحِلَّهُۥ ۚ فَمَن كَانَ مِنكُم مَّرِيضًا أَوْ بِهِۦٓ أَذًۭى مِّن رَّأْسِهِۦ فَفِدْيَةٌۭ مِّن صِيَامٍ أَوْ صَدَقَةٍ أَوْ نُسُكٍۢ ۚ فَإِذَآ أَمِنتُمْ فَمَن تَمَتَّعَ بِٱلْعُمْرَةِ إِلَى ٱلْحَجِّ فَمَا ٱسْتَيْسَرَ مِنَ ٱلْهَدْىِ ۚ فَمَن لَّمْ يَجِدْ فَصِيَامُ ثَلَٰثَةِ أَيَّامٍۢ فِى ٱلْحَجِّ وَسَبْعَةٍ إِذَا رَجَعْتُمْ ۗ تِلْكَ عَشَرَةٌۭ كَامِلَةٌۭ ۗ ذَٰلِكَ لِمَن لَّمْ يَكُنْ أَهْلُهُۥ حَاضِرِى ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "আর তোমরা আল্লাহর উদ্দেশ্যে হজ্জ্ব ওমরাহ পরিপূর্ণ ভাবে পালন কর। যদি তোমরা বাধা প্রাপ্ত হও, তাহলে কোরবানীর জন্য যাকিছু সহজলভ্য, তাই তোমাদের উপর ধার্য। আর তোমরা ততক্ষণ পর্যন্ত মাথা মুন্ডন করবে না, যতক্ষণ না কোরবাণী যথাস্থানে পৌছে যাবে। যারা তোমাদের মধ্যে অসুস্থ হয়ে পড়বে কিংবা মাথায় যদি কোন কষ্ট থাকে, তাহলে তার পরিবর্তে রোজা করবে কিংবা খয়রাত দেবে অথবা কুরবানী করবে। আর তোমাদের মধ্যে যারা হজ্জ্ব ওমরাহ একত্রে একই সাথে পালন করতে চাও, তবে যাকিছু সহজলভ্য, তা দিয়ে কুরবানী করাই তার উপর কর্তব্য। বস্তুতঃ যারা কোরবানীর পশু পাবে না, তারা হজ্জ্বের দিনগুলোর মধ্যে রোজা রাখবে তিনটি আর সাতটি রোযা রাখবে ফিরে যাবার পর। এভাবে দশটি রোযা পূর্ণ হয়ে যাবে। এ নির্দেশটি তাদের জন্য, যাদের পরিবার পরিজন মসজিদুল হারামের আশে-পাশে বসবাস করে না। আর আল্লাহকে ভয় করতে থাক। সন্দেহাতীতভাবে জেনো যে, আল্লাহর আযাব বড়ই কঠিন।",
              "numberInSurah": 196,
              "juz": 2,
              "manzil": 1,
              "page": 30,
              "ruku": 25,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতিম্মুল হাজ্জা ওয়াল ‘উমরাতা লিল্লা-হি ফাইন উহসিরতুম ফামাছ তাইছারা মিনাল হাদয়ি ওয়ালা-তাহলিকূরুঊছাকুম হাত্তা-ইয়াবলুগাল হাদইউ মাহিল্লা-হূ ফামান কা-না মিনকুম মারীদান আও বিহীআযাম মির রা’ছিহী ফাফিদইয়াতুম মিন সিয়া-মিন আও সাদাকাতিন আও নুছুকিন ফাইযা-আমিনতুম ফামান তামাত্তা‘আ বিল ‘উমরাতি ইলাল হাজ্জি ফামাছতাইছারা মিনাল হাদয়ি ফামাল্লাম ইয়াজিদ ফাসিয়া-মু ছালা-ছাতি আইয়া-মিন ফিল হাজ্জি ওয়া ছাব‘আতিন ইযা-রাজা‘তুম তিলকা ‘আশারাতুন কা-মিলাতুন যা-লিকা লিমাল্লাম ইয়াকুন আহলুহূহা-দিরিল মাছজিদিল হারা-মি ওয়াত্তাকূল্লা-হা ওয়া‘লামূআন্নাল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "وَ اَتِمُّوا/وَأَتِمُّواْ/wa-atimmu//الْحَجَّ/ٱلۡحَجَّ/al-haja//وَ الْعُمْرَةَ/وَٱلۡعُمۡرَةَ/wal-'um'rata//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//فَاِنْ/فَإِنۡ/fa-in//اُحْصِرْتُمْ/أُحۡصِرۡتُمۡ/uh'sir'tum//فَمَا/فَمَا/fama//اسْتَیْسَرَ/ٱسۡتَيۡسَرَ/is'taysara//مِنَ/مِنَ/mina//الْهَدْیِ ۚ/ٱلۡهَدۡيِۖ/al-hadyi//وَ لَا/وَلَا/wala//تَحْلِقُوْا/تَحۡلِقُواْ/tahliqu//رُءُوْسَكُمْ/رُءُوسَكُمۡ/ruusakum//حَتّٰی/حَتَّىٰ/hatta//یَبْلُغَ/يَبۡلُغَ/yablugha//الْهَدْیُ/ٱلۡهَدۡيُ/al-hadyu//مَحِلَّهٗ ؕ/مَحِلَّهُۥۚ/mahillahu//فَمَنْ/فَمَن/faman//كَانَ/كَانَ/kana//مِنْكُمْ/مِنكُم/minkum//مَّرِیْضًا/مَّرِيضًا/maridan//اَوْ/أَوۡ/aw//بِهٖۤ/بِهِۦٓ/bihi//اَذًی/أَذٗى/adhan//مِّنْ/مِّن/min//رَّاْسِهٖ/رَّأۡسِهِۦ/rasihi//فَفِدْیَةٌ/فَفِدۡيَةٞ/fafid'yatun//مِّنْ/مِّن/min//صِیَامٍ/صِيَامٍ/siyamin//اَوْ/أَوۡ/aw//صَدَقَةٍ/صَدَقَةٍ/sadaqatin//اَوْ/أَوۡ/aw//نُسُكٍ ۚ/نُسُكٖۚ/nusukin//فَاِذَاۤ/فَإِذَآ/fa-idha//اَمِنْتُمْ ۥ/أَمِنتُمۡ/amintum//فَمَنْ/فَمَن/faman//تَمَتَّعَ/تَمَتَّعَ/tamatta'a//بِالْعُمْرَةِ/بِٱلۡعُمۡرَةِ/bil-'um'rati//اِلَی/إِلَى/ila//الْحَجِّ/ٱلۡحَجِّ/al-haji//فَمَا/فَمَا/fama//اسْتَیْسَرَ/ٱسۡتَيۡسَرَ/is'taysara//مِنَ/مِنَ/mina//الْهَدْیِ ۚ/ٱلۡهَدۡيِۚ/al-hadyi//فَمَنْ/فَمَن/faman//لَّمْ/لَّمۡ/lam//یَجِدْ/يَجِدۡ/yajid//فَصِیَامُ/فَصِيَامُ/fasiyamu//ثَلٰثَةِ/ثَلَٰثَةِ/thalathati//اَیَّامٍ/أَيَّامٖ/ayyamin//فِی/فِي/fi//الْحَجِّ/ٱلۡحَجِّ/al-haji//وَ سَبْعَةٍ/وَسَبۡعَةٍ/wasab'atin//اِذَا/إِذَا/idha//رَجَعْتُمْ ؕ/رَجَعۡتُمۡۗ/raja'tum//تِلْكَ/تِلۡكَ/til'ka//عَشَرَةٌ/عَشَرَةٞ/asharatun//كَامِلَةٌ ؕ/كَامِلَةٞۗ/kamilatun//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَن/liman//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُنۡ/yakun//اَهْلُهٗ/أَهۡلُهُۥ/ahluhu//حَاضِرِی/حَاضِرِي/hadiri//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ ؕ/ٱلۡحَرَامِۚ/al-harami//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ۠/ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এবং তোমরা পূর্ণ করো//হজ্জ//ও ওমরাহ//আল্লাহরই জন্যে//অতঃপর যদি//তোমরা বাধাপ্রাপ্ত হও//যা তবে//সহজলভ্য হয়//থেকে//কুরবানি (তাই পেশ কর)//এবং না//তোমরা মুণ্ডন করো//তোমাদের মাথা//যতক্ষণ না//পৌঁছে//কুরবানি (তাই পেশ কর)//তার স্থানে//যে অতঃপর//হয়//তোমাদের মধ্যে//পীড়িত//বা//তার আছে//কষ্টদায়ক//মধ্যে//তার মাথার//তবে বিনিময় (দিবে)//দ্বারা//একটি সাওমের//বা//সদকা//বা//কুরবানি (দ্বারা)//অতঃপর যখন//তোমরা নিরাপদ হও//যে তখন//লাভবান হতে চায়//ওমরাহর//পর্যন্ত//হজ্জ//যা তবে//সহজলভ্য হবে//থেকে//কুরবানি (দেবে)//কিন্তু যে//না//পায়//তাহলে সাওম রাখবে//তিন//দিনের//মধ্যে//হজ্জের//ও সাত (দিন)//যখন//তোমরা ফিরবে//এই//দশ (দিন)//পূর্ণ (রোযা রাখবে)//এটা//তার জন্যে যার//না//হয়//তার পরিজনবর্গ//বাসিন্দা//মসজিদে//হারামের//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//কঠোর//(মন্দ কাজের) শাস্তিদানে"
            },
            {
              "number": 204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/204.mp3"
              ],
              "text": "ٱلْحَجُّ أَشْهُرٌۭ مَّعْلُومَٰتٌۭ ۚ فَمَن فَرَضَ فِيهِنَّ ٱلْحَجَّ فَلَا رَفَثَ وَلَا فُسُوقَ وَلَا جِدَالَ فِى ٱلْحَجِّ ۗ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍۢ يَعْلَمْهُ ٱللَّهُ ۗ وَتَزَوَّدُوا۟ فَإِنَّ خَيْرَ ٱلزَّادِ ٱلتَّقْوَىٰ ۚ وَٱتَّقُونِ يَٰٓأُو۟لِى ٱلْأَلْبَٰبِ",
              "translate_bn": "হজ্জ্বে কয়েকটি মাস আছে সুবিদিত। এসব মাসে যে লোক হজ্জ্বের পরিপূর্ণ নিয়ত করবে, তার পক্ষে স্ত্রীও সাথে নিরাভরণ হওয়া জায়েজ নয়। না অশোভন কোন কাজ করা, না ঝাগড়া-বিবাদ করা হজ্জ্বের সেই সময় জায়েজ নয়। আর তোমরা যাকিছু সৎকাজ কর, আল্লাহ তো জানেন। আর তোমরা পাথেয় সাথে নিয়ে নাও। নিঃসন্দেহে সর্বোত্তম পাথেয় হচ্ছে আল্লাহর ভয়। আর আমাকে ভয় করতে থাক, হে বুদ্ধিমানগন! তোমাদের উপর তোমাদের পালনকর্তার অনুগ্রহ অন্বেষণ করায় কোন পাপ নেই।",
              "numberInSurah": 197,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "আলহাজ্জু আশহুরুম মা‘লূমা-তুন ফামান ফারাদাফীহিন্নাল হাজ্জা ফালা-রাফাছা ওয়ালা-ফুছূকা ওয়ালা-জিদা-লা ফিল হাজ্জি ওয়ামা-তাফ‘আলূ মিন খাইরিইঁ ইয়া‘লাম হুল্লা-হু ওয়া তাঝাওওয়াদূ ফাইন্না খাইরাঝঝা-দিত্তাকওয়া-ওয়াত্তাকূনি ইয়া ঊলিল আলবা-ব।",
              "words_arabic": "اَلْحَجُّ/ٱلۡحَجُّ/al-haju//اَشْهُرٌ/أَشۡهُرٞ/ashhurun//مَّعْلُوْمٰتٌ ۚ/مَّعۡلُومَٰتٞۚ/ma'lumatun//فَمَنْ/فَمَن/faman//فَرَضَ/فَرَضَ/farada//فِیْهِنَّ/فِيهِنَّ/fihinna//الْحَجَّ/ٱلۡحَجَّ/al-haja//فَلَا/فَلَا/fala//رَفَثَ/رَفَثَ/rafatha//وَ لَا/وَلَا/wala//فُسُوْقَ ۙ/فُسُوقَ/fusuqa//وَ لَا/وَلَا/wala//جِدَالَ/جِدَالَ/jidala//فِی/فِي/fi//الْحَجِّ ؕ/ٱلۡحَجِّۗ/al-haji//وَ مَا/وَمَا/wama//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//یَّعْلَمْهُ/يَعۡلَمۡهُ/ya'lamhu//اللّٰهُ ؔؕ/ٱللَّهُۗ/al-lahu//وَ تَزَوَّدُوْا/وَتَزَوَّدُواْ/watazawwadu//فَاِنَّ/فَإِنَّ/fa-inna//خَیْرَ/خَيۡرَ/khayra//الزَّادِ/ٱلزَّادِ/al-zadi//التَّقْوٰی ؗ/ٱلتَّقۡوَىٰۖ/al-taqwa//وَ اتَّقُوْنِ/وَٱتَّقُونِ/wa-ittaquni//یٰۤاُولِی/يَـٰٓأُوْلِي/yauli//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "হজ্জের//মাসগুলো//সুবিদিত//তাই যে কেউ//স্থির করল//তার মধ্যে//হজ্জ করার//না তখন//যৌন সম্ভোগ করবে (হজ্জের সময়)//এবং না//অন্যায় আচরণ করবে//এবং না//কলহ-বিবাদ করবে//মধ্যে//হজ্জের//এবং যা//তোমরা কর//কোনো//কল্যাণ//তা জানেন//আল্লাহ//এবং তোমরা পাথেয় সাথে নাও//নিশ্চয়ই তবে//উত্তম//পাথেয় (হল)//তাকওয়া//এবং আমাকে তোমরা ভয় করো//হে//বুদ্ধিমান লোকেরা"
            },
            {
              "number": 205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/205.mp3"
              ],
              "text": "لَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَبْتَغُوا۟ فَضْلًۭا مِّن رَّبِّكُمْ ۚ فَإِذَآ أَفَضْتُم مِّنْ عَرَفَٰتٍۢ فَٱذْكُرُوا۟ ٱللَّهَ عِندَ ٱلْمَشْعَرِ ٱلْحَرَامِ ۖ وَٱذْكُرُوهُ كَمَا هَدَىٰكُمْ وَإِن كُنتُم مِّن قَبْلِهِۦ لَمِنَ ٱلضَّآلِّينَ",
              "translate_bn": "তোমাদের উপর তোমাদের পালনকর্তার অনুগ্রহ অন্বেষন করায় কোন পাপ নেই। অতঃপর যখন তওয়াফের জন্য ফিরে আসবে আরাফাত থেকে, তখন মাশ‘ আরে-হারামের নিকটে আল্লাহকে স্মরণ কর। আর তাঁকে স্মরণ কর তেমনি করে, যেমন তোমাদিগকে হেদায়েত করা হয়েছে। আর নিশ্চয়ই ইতিপূর্বে তোমরা ছিলে অজ্ঞ।",
              "numberInSurah": 198,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাইকুম জুনা-হুন আন তাবতাগূ ফাদলাম মিররাব্বিকুম ফাইযাআফাদতুম মিন ‘আরাফা-তিন ফাযকুরুল্লা-হা ‘ইনদাল মাশ‘আরিল হারা-মি ওয়াযকুরুহু কা-মাহাদা-কুম ওয়া ইন কুনতুম মিন কাবলিহী লামিনাদ্দাল্লীন।",
              "words_arabic": "لَیْسَ/لَيۡسَ/laysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٌ/junahun//اَنْ/أَن/an//تَبْتَغُوْا/تَبۡتَغُواْ/tabtaghu//فَضْلًا/فَضۡلٗا/fadlan//مِّنْ/مِّن/min//رَّبِّكُمْ ؕ/رَّبِّكُمۡۚ/rabbikum//فَاِذَاۤ/فَإِذَآ/fa-idha//اَفَضْتُمْ/أَفَضۡتُم/afadtum//مِّنْ/مِّنۡ/min//عَرَفٰتٍ/عَرَفَٰتٖ/arafatin//فَاذْكُرُوا/فَٱذۡكُرُواْ/fa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//عِنْدَ/عِندَ/inda//الْمَشْعَرِ/ٱلۡمَشۡعَرِ/al-mash'ari//الْحَرَامِ ۪/ٱلۡحَرَامِۖ/al-harami//وَ اذْكُرُوْهُ/وَٱذۡكُرُوهُ/wa-udh'kuruhu//كَمَا/كَمَا/kama//هَدٰىكُمْ ۚ/هَدَىٰكُمۡ/hadakum//وَ اِنْ/وَإِن/wa-in//كُنْتُمْ/كُنتُم/kuntum//مِّنْ/مِّن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//لَمِنَ/لَمِنَ/lamina//الضَّآلِّیْنَ /ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "নেই//তোমাদের উপর//কোন পাপ//যে//তোমরা সন্ধান করবে//অনুগ্রহ//কাছ থেকে//তোমাদের রবের//অতঃপর যখন//তোমরা প্রত্যাবর্তন কর//থেকে//আরাফাত//তোমরা স্মরণ করো//আল্লাহকে//কাছে//মাশআরিল//হারামের (মুজাদালেফায়)//এবং তাকে স্মরণ করো//যেমন//তোমাদের নির্দেশ দিয়েছেন তিনি//এবং যদিও//তোমরা ছিলে//থেকে//এর পূর্বেই//অবশ্যই অন্তর্ভুক্ত//পথভ্রষ্টদের"
            },
            {
              "number": 206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/206.mp3"
              ],
              "text": "ثُمَّ أَفِيضُوا۟ مِنْ حَيْثُ أَفَاضَ ٱلنَّاسُ وَٱسْتَغْفِرُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "অতঃপর তওয়াফের জন্যে দ্রুতগতিতে সেখান থেকে ফিরে আস, যেখান থেকে সবাই ফিরে। আর আল্লাহর কাছেই মাগফেরাত কামনা কর। নিশ্চয়ই আল্লাহ ক্ষমাকারী, করুনাময়।",
              "numberInSurah": 199,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আফীদূ মিন হাইছুআফা-দান্না-ছুওয়াছতাগফিরুল্লা-হা ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَفِیْضُوْا/أَفِيضُواْ/afidu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//اَفَاضَ/أَفَاضَ/afada//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ اسْتَغْفِرُوا/وَٱسۡتَغۡفِرُواْ/wa-is'taghfiru//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এরপর//তোমরা প্রত্যাবর্তন করো//থেকে//যেখান//প্রত্যাবর্তন করে//মানুষ //এবং তোমরা ক্ষমা চাও//আল্লাহর (কাছে)//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/207.mp3"
              ],
              "text": "فَإِذَا قَضَيْتُم مَّنَٰسِكَكُمْ فَٱذْكُرُوا۟ ٱللَّهَ كَذِكْرِكُمْ ءَابَآءَكُمْ أَوْ أَشَدَّ ذِكْرًۭا ۗ فَمِنَ ٱلنَّاسِ مَن يَقُولُ رَبَّنَآ ءَاتِنَا فِى ٱلدُّنْيَا وَمَا لَهُۥ فِى ٱلْءَاخِرَةِ مِنْ خَلَٰقٍۢ",
              "translate_bn": "আর অতঃপর যখন হজ্জ্বের যাবতীয় অনুষ্ঠানক্রিয়াদি সমাপ্ত করে সারবে, তখন স্মরণ করবে আল্লাহকে, যেমন করে তোমরা স্মরণ করতে নিজেদের বাপ-দাদাদেরকে; বরং তার চেয়েও বেশী স্মরণ করবে। তারপর অনেকে তো বলে যে পরওয়াদেগার! আমাদিগকে দুনিয়াতে দান কর। অথচ তার জন্যে পরকালে কোন অংশ নেই।",
              "numberInSurah": 200,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-কাদাইতুম মানা-ছিকাকুম ফাযকুরুল্লা-হা কাযিকরিকুম আ-বাআকুম আও আশাদ্দা যিকরান ফামিনান্না-ছি মাইঁ ইয়াকূলু রাব্বানাআ-তিনা-ফিদ্দুনইয়া-ওয়ামা-লাহু ফিল আ-খিরাতি মিন খালা-ক।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//قَضَیْتُمْ/قَضَيۡتُم/qadaytum//مَّنَاسِكَكُمْ/مَّنَٰسِكَكُمۡ/manasikakum//فَاذْكُرُوا/فَٱذۡكُرُواْ/fa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//كَذِكْرِكُمْ/كَذِكۡرِكُمۡ/kadhik'rikum//اٰبَآءَكُمْ/ءَابَآءَكُمۡ/abaakum//اَوْ/أَوۡ/aw//اَشَدَّ/أَشَدَّ/ashadda//ذِكْرًا ؕ/ذِكۡرٗاۗ/dhik'ran//فَمِنَ/فَمِنَ/famina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّقُوْلُ/يَقُولُ/yaqulu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰتِنَا/ءَاتِنَا/atina//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ مَا/وَمَا/wama//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//مِنْ/مِنۡ/min//خَلَاقٍ /خَلَٰقٖ/khalaqin",
              "words_bangla": "অতঃপর যখন//তোমরা সম্পন্ন করবে//তোমাদের হজ্জের অনুষ্ঠানাদি//তখন তোমরা স্মরণ করবে//আল্লাহকে//তোমরা স্মরণ করতে যেমন//তোমাদের বাপ-দাদাদেরকে//বরং (এখন)//অধিকতর//স্মরণ কর (আল্লাহকে)//অতঃপর কিছু//মানুষ (এমন আছে)//যারা//বলে//হে আমাদের রব//আমাদের দাও//মধ্যে//(এই) পৃথিবীর//আর নেই//তার জন্যে//মধ্যে//আখেরাতের//কোনো//অংশ"
            },
            {
              "number": 208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/208.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَقُولُ رَبَّنَآ ءَاتِنَا فِى ٱلدُّنْيَا حَسَنَةًۭ وَفِى ٱلْءَاخِرَةِ حَسَنَةًۭ وَقِنَا عَذَابَ ٱلنَّارِ",
              "translate_bn": "আর তাদের মধ্যে কেউ কেউ বলে-হে পরওয়ারদেগার! আমাদিগকে দুনয়াতেও কল্যাণ দান কর এবং আখেরাতেও কল্যাণ দান কর এবং আমাদিগকে দোযখের আযাব থেকে রক্ষা কর।",
              "numberInSurah": 201,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়াকূলুরাব্বানাআ-তিনা-ফিদ্দুনইয়া-হাছানাতাওঁ ওয়া ফিল আ-খিরাতি হাছানাতাওঁ ওয়া কিনা-‘আযা-বান্না-র।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّقُوْلُ/يَقُولُ/yaqulu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰتِنَا/ءَاتِنَا/atina//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةً/حَسَنَةٗ/hasanatan//وَّ فِی/وَفِي/wafi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//حَسَنَةً/حَسَنَةٗ/hasanatan//وَّ قِنَا/وَقِنَا/waqina//عَذَابَ/عَذَابَ/adhaba//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "এবং তাদের মধ্যে (এমনও আছে)//যারা//বলে//হে আমাদের রব//আমাদের দাও//মধ্যে//(এই) পৃথিবীর//কল্যাণ//ও//আখেরাতের মধ্যে//কল্যাণ//এবং আমাদের বাঁচাও//শাস্তি (হতে)//দোজখের আগুনের"
            },
            {
              "number": 209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/209.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ لَهُمْ نَصِيبٌۭ مِّمَّا كَسَبُوا۟ ۚ وَٱللَّهُ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "এদেরই জন্য অংশ রয়েছে নিজেদের উপার্জিত সম্পদের। আর আল্লাহ দ্রুত হিসাব গ্রহণকারী।",
              "numberInSurah": 202,
              "juz": 2,
              "manzil": 1,
              "page": 31,
              "ruku": 26,
              "hizbQuarter": 12,
              "sajda": false,
              "pronunciation_bn": "উলাইকা লাহুম নাসীবুম মিম্মা-কাছাবূ ওয়াল্লা-হু ছারী‘উল হিছা-ব।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّمَّا/مِّمَّا/mimma//كَسَبُوْا ؕ/كَسَبُواْۚ/kasabu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "ঐসব লোক//তাদের জন্য (রয়েছে)//অংশ (উভয় স্থানে)//তা থেকে যা//তারা অর্জন করেছে//আর আল্লাহ//দ্রুত//হিসাব নিতে"
            },
            {
              "number": 210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/210.mp3"
              ],
              "text": "۞ وَٱذْكُرُوا۟ ٱللَّهَ فِىٓ أَيَّامٍۢ مَّعْدُودَٰتٍۢ ۚ فَمَن تَعَجَّلَ فِى يَوْمَيْنِ فَلَآ إِثْمَ عَلَيْهِ وَمَن تَأَخَّرَ فَلَآ إِثْمَ عَلَيْهِ ۚ لِمَنِ ٱتَّقَىٰ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّكُمْ إِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "আর স্মরণ কর আল্লাহকে নির্দিষ্ট সংখ্যক কয়েকটি দিনে। অতঃপর যে লোক তাড়াহুড়া করে চলে যাবে শুধু দু, দিনের মধ্যে, তার জন্যে কোন পাপ নেই। আর যে লোক থেকে যাবে তাঁর উপর কোন পাপ নেই, অবশ্য যারা ভয় করে। আর তোমরা আল্লাহকে ভয় করতে থাক এবং নিশ্চিত জেনে রাখ, তোমরা সবাই তার সামনে সমবেত হবে।",
              "numberInSurah": 203,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরুল্লা-হা ফীআইয়া-মিম মা‘দূদা-তিন ফামান তা‘আজ্জালা ফী ইয়াওমাইনি ফালা-ইছমা ‘আলাইহি ওয়ামান তাআখখারা ফালা-ইছমা ‘আলাইহি লিমানিত্তাকা- ওয়াত্তাকুল্লা-হা ওয়া‘লামূআন্নাকুম ইলাইহি তুহশারূন।",
              "words_arabic": "وَ اذْكُرُوا/۞وَٱذۡكُرُواْ/wa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//فِیْۤ/فِيٓ/fi//اَیَّامٍ/أَيَّامٖ/ayyamin//مَّعْدُوْدٰتٍ ؕ/مَّعۡدُودَٰتٖۚ/ma'dudatin//فَمَنْ/فَمَن/faman//تَعَجَّلَ/تَعَجَّلَ/ta'ajjala//فِیْ/فِي/fi//یَوْمَیْنِ/يَوۡمَيۡنِ/yawmayni//فَلَاۤ/فَلَآ/fala//اِثْمَ/إِثۡمَ/ith'ma//عَلَیْهِ ۚ/عَلَيۡهِ/alayhi//وَ مَنْ/وَمَن/waman//تَاَخَّرَ/تَأَخَّرَ/ta-akhara//فَلَاۤ/فَلَآ/fala//اِثْمَ/إِثۡمَ/ith'ma//عَلَیْهِ ۙ/عَلَيۡهِۖ/alayhi//لِمَنِ/لِمَنِ/limani//اتَّقٰی ؕ/ٱتَّقَىٰۗ/ittaqa//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّكُمْ/أَنَّكُمۡ/annakum//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "এবং তোমরা স্মরণ করো//আল্লাহকে//মধ্যে//দিনগুলোর//নির্দিষ্ট সংখ্যক//যে অতঃপর//তাড়াতাড়ি করে//মধ্যে//দুইদিনের (চলে আসে)//নেই তবে//কোন পাপ//তার উপর//আর যে//বিলম্ব করে (ফিরে)//তাতেও নাই//কোন পাপ//তার উপর//তার জন্য যে//তাকওয়া অবলম্বন করে//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা জেনে রাখো//যে তোমাদেরকে//তারই দিকে//একত্র করা হবে"
            },
            {
              "number": 211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/211.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يُعْجِبُكَ قَوْلُهُۥ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَيُشْهِدُ ٱللَّهَ عَلَىٰ مَا فِى قَلْبِهِۦ وَهُوَ أَلَدُّ ٱلْخِصَامِ",
              "translate_bn": "আর এমন কিছু লোক রযেছে যাদের পার্থিব জীবনের কথাবার্তা তোমাকে চমৎকৃত করবে। আর তারা সাক্ষ্য স্থাপন করে আল্লাহকে নিজের মনের কথার ব্যাপারে। প্রকৃতপক্ষে তারা কঠিন ঝগড়াটে লোক।",
              "numberInSurah": 204,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাই ইউ‘জিবুকা কাওলুহূ ফিল হায়া-তিদ্দুনইয়া-ওয়া ইউশহিদুল্লা-হা ‘আলামা-ফী কালবিহী ওয়াহুওয়া আলাদ্দুল খিসা-ম।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یُّعْجِبُكَ/يُعۡجِبُكَ/yu'jibuka//قَوْلُهٗ/قَوۡلُهُۥ/qawluhu//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ یُشْهِدُ/وَيُشۡهِدُ/wayush'hidu//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فِیْ/فِي/fi//قَلْبِهٖ ۙ/قَلۡبِهِۦ/qalbihi//وَ هُوَ/وَهُوَ/wahuwa//اَلَدُّ/أَلَدُّ/aladdu//الْخِصَامِ /ٱلۡخِصَامِ/al-khisami",
              "words_bangla": "এবং মধ্যে(কেউ কেউ)//লোকদের (এমনও আছে)//যে//তোমাকে মুগ্ধ করে//তার কথাবার্তা//মধ্যে//জীবনের //পার্থিব//ও সে সাক্ষী রাখে//আল্লাহকে//(এর) উপর//যা//মধ্যে(আছে)//তার অন্তরের//এবং সে//সাংঘাতিক//ঝগড়াটে"
            },
            {
              "number": 212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/212.mp3"
              ],
              "text": "وَإِذَا تَوَلَّىٰ سَعَىٰ فِى ٱلْأَرْضِ لِيُفْسِدَ فِيهَا وَيُهْلِكَ ٱلْحَرْثَ وَٱلنَّسْلَ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلْفَسَادَ",
              "translate_bn": "যখন ফিরে যায় তখন চেষ্টা করে যাতে সেখানে অকল্যাণ সৃষ্টি করতে পারে এবং শস্যক্ষেত্র ও প্রাণনাশ করতে পারে। আল্লাহ ফাসাদ ও দাঙ্গা-হাঙ্গামা পছন্দ করেন না।",
              "numberInSurah": 205,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তাওয়াল্লা-ছা‘আ-ফিল আরদিলিইউফছিদা ফীহা-ওয়া ইউহলিকাল হারছা ওয়ান্নাছলা ওয়াল্লা-হু লা-ইউহিব্বুল ফাছা-দ।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تَوَلّٰی/تَوَلَّىٰ/tawalla//سَعٰی/سَعَىٰ/sa'a//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//لِیُفْسِدَ/لِيُفۡسِدَ/liyuf'sida//فِیْهَا/فِيهَا/fiha//وَ یُهْلِكَ/وَيُهۡلِكَ/wayuh'lika//الْحَرْثَ/ٱلۡحَرۡثَ/al-hartha//وَ النَّسْلَ ؕ/وَٱلنَّسۡلَۚ/wal-nasla//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْفَسَادَ /ٱلۡفَسَادَ/al-fasada",
              "words_bangla": "এবং যখন//সে কর্তৃত্ব পায়//সে চেষ্টা করে//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টির জন্যে//তার মধ্যে//ও ধ্বংস করতে//শস্যক্ষেত//ও জীব-জন্তুর বংশ//এবং আল্লাহ//না//পছন্দ করনে//বিপর্যয়"
            },
            {
              "number": 213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/213.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُ ٱتَّقِ ٱللَّهَ أَخَذَتْهُ ٱلْعِزَّةُ بِٱلْإِثْمِ ۚ فَحَسْبُهُۥ جَهَنَّمُ ۚ وَلَبِئْسَ ٱلْمِهَادُ",
              "translate_bn": "আর যখন তাকে বলা হয় যে, আল্লাহকে ভয় কর, তখন তার পাপ তাকে অহঙ্কারে উদ্বুদ্ধ করে। সুতরাং তার জন্যে দোযখই যথেষ্ট। আর নিঃসন্দেহে তা হলো নিকৃষ্টতর ঠিকানা।",
              "numberInSurah": 206,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযা-কীলা লাহুত্তাকিল্লা-হা আখাযাতহুল ‘ইঝঝাতু বিলইছমি ফাহাছবহু জাহান্নামু ওয়ালাবি’ছাল মিহা-দ।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُ/لَهُ/lahu//اتَّقِ/ٱتَّقِ/ittaqi//اللّٰهَ/ٱللَّهَ/al-laha//اَخَذَتْهُ/أَخَذَتۡهُ/akhadhathu//الْعِزَّةُ/ٱلۡعِزَّةُ/al-'izatu//بِالْاِثْمِ/بِٱلۡإِثۡمِۚ/bil-ith'mi//فَحَسْبُهٗ/فَحَسۡبُهُۥ/fahasbuhu//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ لَبِئْسَ/وَلَبِئۡسَ/walabi'sa//الْمِهَادُ /ٱلۡمِهَادُ/al-mihadu",
              "words_bangla": "এবং যখন//বলা হয়//তার উদ্দেশে//ভয় করো//আল্লাহকে//তাকে ধরে//(তার) মর্যাদা সম্মান//পাপের (পথে)//তার জন্যে তাই যথেষ্ট//জাহান্নাম//এবং (তা) অবশ্যই অতি নিকৃষ্ট//আবাস"
            },
            {
              "number": 214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/214.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَشْرِى نَفْسَهُ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ ۗ وَٱللَّهُ رَءُوفٌۢ بِٱلْعِبَادِ",
              "translate_bn": "আর মানুষের মাঝে এক শ্রেণীর লোক রয়েছে যারা আল্লাহর সন্তুষ্টিকল্পে নিজেদের জানের বাজি রাখে। আল্লাহ হলেন তাঁর বান্দাদের প্রতি অত্যন্ত মেহেরবান।",
              "numberInSurah": 207,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইয়াশরী নাফছাহুব তিগাআ মারদা-তিল্লাহি ওয়াল্লা-হু রাঊফুম বিল‘ইবা-দ।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّشْرِیْ/يَشۡرِي/yashri//نَفْسَهُ/نَفۡسَهُ/nafsahu//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//مَرْضَاتِ/مَرۡضَاتِ/mardati//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//رَءُوْفٌۢ/رَءُوفُۢ/raufun//بِالْعِبَادِ /بِٱلۡعِبَادِ/bil-'ibadi",
              "words_bangla": "এবং মধ্য হতে//লোকদের (এমনও আছে)//যে//বিক্রি করে//তার প্রাণ//উদ্দেশ্যে//সন্তুষ্টির//আল্লাহর//এবং আল্লাহ//খুব দয়ালু//এ ধরনের দাসদের সাথে"
            },
            {
              "number": 215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/215.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱدْخُلُوا۟ فِى ٱلسِّلْمِ كَآفَّةًۭ وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "হে ঈমানদার গন! তোমরা পরিপূর্ণভাবে ইসলামের অন্তর্ভুক্ত হয়ে যাও এবং শয়তানের পদাংক অনুসরণ কর না। নিশ্চিত রূপে সে তোমাদের প্রকাশ্য শত্রু।",
              "numberInSurah": 208,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুদ খুলূ ফিছছিলমি কাফফাতাওঁ ওয়ালা-তাত্তাবি‘ঊ খুতুওয়া-তিশশাইতা-নি ; ইন্নাহু লাকুম ‘আদুওউম মুবীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//فِی/فِي/fi//السِّلْمِ/ٱلسِّلۡمِ/al-sil'mi//كَآفَّةً ۪/كَآفَّةٗ/kaffatan//وَّ لَا/وَلَا/wala//تَتَّبِعُوْا/تَتَّبِعُواْ/tattabi'u//خُطُوٰتِ/خُطُوَٰتِ/khutuwati//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۚ/al-shaytani//اِنَّهٗ/إِنَّهُۥ/innahu//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//তোমরা প্রবেশ করো//মধ্যে//ইসলামের//সম্পূর্ণভাবে//এবং না//তোমরা অনুসরণ করো//পদাঙ্কগুলোর//শয়তানের//সে নিশ্চয়ই//তোমাদের জন্যে//শত্রু//প্রকাশ্য"
            },
            {
              "number": 216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/216.mp3"
              ],
              "text": "فَإِن زَلَلْتُم مِّنۢ بَعْدِ مَا جَآءَتْكُمُ ٱلْبَيِّنَٰتُ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ",
              "translate_bn": "অতঃপর তোমাদের মাঝে পরিস্কার নির্দেশ এসে গেছে বলে জানার পরেও যদি তোমরা পদস্খলিত হও, তাহলে নিশ্চিত জেনে রেখো, আল্লাহ, পরাক্রমশালী, বিজ্ঞ।",
              "numberInSurah": 209,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ফাইন ঝালালতুম মিম বা‘দি মা-জাআতকুমুল বাইয়িনা-তু ফা‘লামূআন্নাল্লা-হা, ‘আঝীঝুন হাকীম।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//زَلَلْتُمْ/زَلَلۡتُم/zalaltum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْكُمُ/جَآءَتۡكُمُ/jaatkumu//الْبَیِّنٰتُ/ٱلۡبَيِّنَٰتُ/al-bayinatu//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٌ/hakimun",
              "words_bangla": "অতঃপর যদি//তোমরা পদস্খলন কর//(এর)//পর থেকে//যা//তোমাদের কাছে এসেছে//সুস্পষ্ট নিদর্শন//তোমরা তবে জেনে রাখো//যে//আল্লাহ//মহাপরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/217.mp3"
              ],
              "text": "هَلْ يَنظُرُونَ إِلَّآ أَن يَأْتِيَهُمُ ٱللَّهُ فِى ظُلَلٍۢ مِّنَ ٱلْغَمَامِ وَٱلْمَلَٰٓئِكَةُ وَقُضِىَ ٱلْأَمْرُ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "তারা কি সে দিকেই তাকিয়ে রয়েছে যে, মেঘের আড়ালে তাদের সামনে আসবেন আল্লাহ ও ফেরেশতাগণ ? আর তাতেই সব মীমাংসা হয়ে যাবে। বস্তুতঃ সবকার্যকলাপই আল্লাহর নিকট গিয়ে পৌঁছবে।",
              "numberInSurah": 210,
              "juz": 2,
              "manzil": 1,
              "page": 32,
              "ruku": 26,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "হাল ইয়ানজুরূনা ইল্লা-আইঁয়া’তিয়াহুমুল্লা-হু ফী জুলালিম মিনাল গামা-মি ওয়ালমালাইকাতু ওয়া কুদিয়াল আমরু ওয়া ইলাল্লা-হি তুর জা‘উল উমূর।",
              "words_arabic": "هَلْ/هَلۡ/hal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّاْتِیَهُمُ/يَأۡتِيَهُمُ/yatiyahumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//ظُلَلٍ/ظُلَلٖ/zulalin//مِّنَ/مِّنَ/mina//الْغَمَامِ/ٱلۡغَمَامِ/al-ghamami//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//وَ قُضِیَ/وَقُضِيَ/waqudiya//الْاَمْرُ ؕ/ٱلۡأَمۡرُۚ/al-amru//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ۠/ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "কি//তারা অপেক্ষা করছে//এছাড়া//যে//তাদের কাছে আসবেন//আল্লাহ//মধ্যে//ছায়ার//হতে//মেঘমালা//এবং ফেরেশতারাও//আর মীমাংসা হয়ে যাবে//সব কাজের//এবং দিকে//আল্লাহর//প্রত্যাবর্তিত হবে//সব ব্যাপার"
            },
            {
              "number": 218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/218.mp3"
              ],
              "text": "سَلْ بَنِىٓ إِسْرَٰٓءِيلَ كَمْ ءَاتَيْنَٰهُم مِّنْ ءَايَةٍۭ بَيِّنَةٍۢ ۗ وَمَن يُبَدِّلْ نِعْمَةَ ٱللَّهِ مِنۢ بَعْدِ مَا جَآءَتْهُ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "বনী ইসরাঈলদিগকে জিজ্ঞেস কর, তাদেরকে আমি কত স্পষ্ট নির্দশনাবলী দান করেছি। আর আল্লাহর নেয়ামত পৌছে যাওয়ার পর যদি কেউ সে নেয়ামতকে পরিবর্তিত করে দেয়, তবে আল্লাহর আযাব অতি কঠিন।",
              "numberInSurah": 211,
              "juz": 2,
              "manzil": 1,
              "page": 33,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ছাল বানীইছরাঈলা কাম আ-তাইনা-হুম মিন আ-য়াতিম বাইয়িনাতিওঁ ওয়া মাইঁ ইউবাদ্দিল নি‘মাতাল্লা-হি মিম বা‘দি মা-জাআতহু ফাইন্নাল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "سَلْ/سَلۡ/sal//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//كَمْ/كَمۡ/kam//اٰتَیْنٰهُمْ/ءَاتَيۡنَٰهُم/ataynahum//مِّنْ/مِّنۡ/min//اٰیَةٍۭ/ءَايَةِۭ/ayatin//بَیِّنَةٍ ؕ/بَيِّنَةٖۗ/bayyinatin//وَ مَنْ/وَمَن/waman//یُّبَدِّلْ/يُبَدِّلۡ/yubaddil//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْهُ/جَآءَتۡهُ/jaathu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "জিজ্ঞাসা করো//বনী//ইসরাঈলদেরকে//কত//তাদেরকে দিয়েছি আমরা//থেকে//নিদর্শন//সুস্পষ্ট//এবং যে//পরিবর্তন করে//অনুগ্রহ//আল্লাহর//(এর)//পর থেকে//যা//তার কাছে এসেছে//তাহলে নিশ্চয়ই//আল্লাহ//কঠোর//(অন্যায়ের) শাস্তিদানে"
            },
            {
              "number": 219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/219.mp3"
              ],
              "text": "زُيِّنَ لِلَّذِينَ كَفَرُوا۟ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَيَسْخَرُونَ مِنَ ٱلَّذِينَ ءَامَنُوا۟ ۘ وَٱلَّذِينَ ٱتَّقَوْا۟ فَوْقَهُمْ يَوْمَ ٱلْقِيَٰمَةِ ۗ وَٱللَّهُ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "পার্থিব জীবনের উপর কাফেরদিগকে উম্মত্ত করে দেয়া হয়েছে। আর তারা ঈমানদারদের প্রতি লক্ষ্য করে হাসাহাসি করে। পক্ষান্তরে যারা পরহেযগার তারা সেই কাফেরদের তুলনায় কেয়ামতের দিন অত্যন্ত উচ্চমর্যাদায় থাকবে। আর আল্লাহ যাকে ইচ্ছা সীমাহীন রুযী দান করেন।",
              "numberInSurah": 212,
              "juz": 2,
              "manzil": 1,
              "page": 33,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ঝুইয়িনা লিল্লাযীনা কাফারুল হায়া-তুদ্দুনইয়া-ওয়া ইয়াছখারূনা মিনাল্লাযীনা আ-মানূ। ওয়াল্লাযী নাত্তাকাও ফাওকাহুম ইয়াওমাল কিয়া-মাতি ওয়াল্লা-হু ইয়ারঝুকুমাইঁ ইয়াশাউ বিগাইরি হিছা-ব।",
              "words_arabic": "زُیِّنَ/زُيِّنَ/zuyyina//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَفَرُوا/كَفَرُواْ/kafaru//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ یَسْخَرُوْنَ/وَيَسۡخَرُونَ/wayaskharuna//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ۘ/ءَامَنُواْۘ/amanu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَرْزُقُ/يَرۡزُقُ/yarzuqu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "সুশোভিত করা হয়েছে//তাদের জন্যে//অবিশ্বাস করেছে (যারা)//জীবনকে//পার্থিব//ও তারা বিদ্রূপ করে//মধ্য হতে//(তাদেরকে) যারা//ঈমান এনেছে//অথচ যারা//তাকওয়া অবলম্বন করে//তাদের উপর (মর্যাদা সম্পন্ন হবে)//দিনে//কিয়ামতের//এবং আল্লাহ//জীবিকা দেন//যাকে//তিনি চান//ছাড়া//কোনো হিসাব"
            },
            {
              "number": 220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/220.mp3"
              ],
              "text": "كَانَ ٱلنَّاسُ أُمَّةًۭ وَٰحِدَةًۭ فَبَعَثَ ٱللَّهُ ٱلنَّبِيِّۦنَ مُبَشِّرِينَ وَمُنذِرِينَ وَأَنزَلَ مَعَهُمُ ٱلْكِتَٰبَ بِٱلْحَقِّ لِيَحْكُمَ بَيْنَ ٱلنَّاسِ فِيمَا ٱخْتَلَفُوا۟ فِيهِ ۚ وَمَا ٱخْتَلَفَ فِيهِ إِلَّا ٱلَّذِينَ أُوتُوهُ مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَٰتُ بَغْيًۢا بَيْنَهُمْ ۖ فَهَدَى ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ لِمَا ٱخْتَلَفُوا۟ فِيهِ مِنَ ٱلْحَقِّ بِإِذْنِهِۦ ۗ وَٱللَّهُ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍ",
              "translate_bn": "সকল মানুষ একই জাতি সত্তার অন্তর্ভুক্ত ছিল। অতঃপর আল্লাহ তা’আলা পয়গম্বর পাঠালেন সুসংবাদদাতা ও ভীতি প্রদর্শনকরী হিসাবে। আর তাঁদের সাথে অবর্তীণ করলেন সত্য কিতাব, যাতে মানুষের মাঝে বিতর্কমূলক বিষয়ে মীমাংসা করতে পারেন। বস্তুতঃ কিতাবের ব্যাপারে অন্য কেউ মতভেদ করেনি; কিন্তু পরিষ্কার নির্দেশ এসে যাবার পর নিজেদের পারস্পরিক জেদবশতঃ তারাই করেছে, যারা কিতাব প্রাপ্ত হয়েছিল। অতঃপর আল্লাহ ঈমানদারদেরকে হেদায়েত করেছেন সেই সত্য বিষয়ে, যে ব্যাপারে তারা মতভেদ লিপ্ত হয়েছিল। আল্লাহ যাকে ইচ্ছা, সরল পথ বাতলে দেন।",
              "numberInSurah": 213,
              "juz": 2,
              "manzil": 1,
              "page": 33,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "কা-নান্না-ছু উম্মাতাওঁ ওয়া-হিদাতান ফাবা‘আছাল্লা-হুন্নাবিইয়ীনা মুবাশশিরীনা ওয়া মুনযিরীনা ওয়া আনঝালা মা‘আহুমুল কিতা-বা বিলহাক্কিলিইয়াহকুমা বাইনান্না-ছি ফীমাখ তালাফূ ফীহি ওয়ামাখ তালাফা ফীহি ইল্লাল্লাযীনা ঊতূহু মিম বা‘দি মাজাআতহুমুল বাইয়িনা-তুবাগইয়াম বাইনাহুম ফাহাদাল্লা-হুল্লাযীনা আ-মানূ লিমাখতালাফূ ফীহি মিনাল হাক্কিবিইযনিহী ওয়াল্লা-হু ইয়াহদী মাইঁ ইয়াশাউ ইলাসিরা-তিম মুছতাকীম।",
              "words_arabic": "كَانَ/كَانَ/kana//النَّاسُ/ٱلنَّاسُ/al-nasu//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً ۫/وَٰحِدَةٗ/wahidatan//فَبَعَثَ/فَبَعَثَ/faba'atha//اللّٰهُ/ٱللَّهُ/al-lahu//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//مُبَشِّرِیْنَ/مُبَشِّرِينَ/mubashirina//وَ مُنْذِرِیْنَ ۪/وَمُنذِرِينَ/wamundhirina//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//مَعَهُمُ/مَعَهُمُ/ma'ahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لِیَحْكُمَ/لِيَحۡكُمَ/liyahkuma//بَیْنَ/بَيۡنَ/bayna//النَّاسِ/ٱلنَّاسِ/al-nasi//فِیْمَا/فِيمَا/fima//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِیْهِ ؕ/فِيهِۚ/fihi//وَ مَا/وَمَا/wama//اخْتَلَفَ/ٱخۡتَلَفَ/ikh'talafa//فِیْهِ/فِيهِ/fihi//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوْهُ/أُوتُوهُ/utuhu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الْبَیِّنٰتُ/ٱلۡبَيِّنَٰتُ/al-bayinatu//بَغْیًۢا/بَغۡيَۢا/baghyan//بَیْنَهُمْ ۚ/بَيۡنَهُمۡۖ/baynahum//فَهَدَی/فَهَدَى/fahada//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لِمَا/لِمَا/lima//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِیْهِ/فِيهِ/fihi//مِنَ/مِنَ/mina//الْحَقِّ/ٱلۡحَقِّ/al-haqi//بِاِذْنِهٖ ؕ/بِإِذۡنِهِۦۗ/bi-idh'nihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٍ/mus'taqimin",
              "words_bangla": "ছিল//সব মানুষ//জাতি//একই//(তাদের পথভ্রষ্টতার) পাঠালেন//আল্লাহ//নবীদেরকে//সুসংবাদদাতা//ও সতর্ককারী (হিসেবে)//এবং অবতীর্ণ করলেন//তাদের সাথে//কিতাব//সত্য সহ//তিনি মীমাংসা করতে পারেন যাতে//মাঝে//মানুষের//সে বিষয়ে যা//তারা মতভেদ করেছিলো//তার মধ্যে//এবং নি//মতভেদ করে//তার মধ্যে//এছাড়া//যাদের//তা দেয়া হয়েছিল//থেকে//পর//যা//তাদের কাছে এসেছে//স্পষ্ট নিদর্শনগুলো//বাড়াবাড়ির (কারণে)//তাদের মাঝে//অতঃপর পথ দেখালেন’//আল্লাহ//(তাদেরকে) যারা//ঈমান এনেছে//যে বিষয়ে//তারা মতভেদ করেছিলো//তার মধ্যে//সম্পর্কে//সত্য//তার অনুমতির মাধ্যমে (ও অনুগ্রহে)//এবং আল্লাহ//পথ দেখান//যাকে//তিনি চান//দিকে//পথের//সহজ-সরল"
            },
            {
              "number": 221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/221.mp3"
              ],
              "text": "أَمْ حَسِبْتُمْ أَن تَدْخُلُوا۟ ٱلْجَنَّةَ وَلَمَّا يَأْتِكُم مَّثَلُ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِكُم ۖ مَّسَّتْهُمُ ٱلْبَأْسَآءُ وَٱلضَّرَّآءُ وَزُلْزِلُوا۟ حَتَّىٰ يَقُولَ ٱلرَّسُولُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ مَتَىٰ نَصْرُ ٱللَّهِ ۗ أَلَآ إِنَّ نَصْرَ ٱللَّهِ قَرِيبٌۭ",
              "translate_bn": "তোমাদের কি এই ধারণা যে, তোমরা জান্নাতে চলে যাবে, অথচ সে লোকদের অবস্থা অতিক্রম করনি যারা তোমাদের পূর্বে অতীত হয়েছে। তাদের উপর এসেছে বিপদ ও কষ্ট। আর এমনি ভাবে শিহরিত হতে হয়েছে যাতে নবী ও তাঁর প্রতি যারা ঈমান এনেছিল তাদেরকে পর্যন্ত একথা বলতে হয়েছে যে, কখন আসবে আল্লাহর সাহায্যে! তোমরা শোনে নাও, আল্লাহর সাহায্যে একান্তই নিকটবর্তী।",
              "numberInSurah": 214,
              "juz": 2,
              "manzil": 1,
              "page": 33,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবতুম আন তাদখুলুল জান্নাতা ওয়া লাম্মা-ইয়া’তিকুম মাছালুল্লাযীনা খালাও মিন কাবলিকুম মাছছাতহুমুল বা’ছাউ ওয়াদ্দাররাউ ওয়াঝুলঝিলূ হাত্তা-ইয়াকূলার রাছূলু ওয়াল্লাযীনা আ-মানূমা‘আহূ মাতা-নাসরুল্লা-হি আলা-ইন্না নাসরাল্লা-হি কারীব।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبْتُمْ/حَسِبۡتُمۡ/hasib'tum//اَنْ/أَن/an//تَدْخُلُوا/تَدۡخُلُواْ/tadkhulu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ لَمَّا/وَلَمَّا/walamma//یَاْتِكُمْ/يَأۡتِكُم/yatikum//مَّثَلُ/مَّثَلُ/mathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَلَوْا/خَلَوۡاْ/khalaw//مِنْ/مِن/min//قَبْلِكُمْ ؕ/قَبۡلِكُمۖ/qablikum//مَسَّتْهُمُ/مَّسَّتۡهُمُ/massathumu//الْبَاْسَآءُ/ٱلۡبَأۡسَآءُ/al-basau//وَ الضَّرَّآءُ/وَٱلضَّرَّآءُ/wal-darau//وَ زُلْزِلُوْا/وَزُلۡزِلُواْ/wazul'zilu//حَتّٰی/حَتَّىٰ/hatta//یَقُوْلَ/يَقُولَ/yaqula//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//مَتٰی/مَتَىٰ/mata//نَصْرُ/نَصۡرُ/nasru//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//نَصْرَ/نَصۡرَ/nasra//اللّٰهِ/ٱللَّهِ/al-lahi//قَرِیْبٌ /قَرِيبٞ/qaribun",
              "words_bangla": "কি//তোমরা মনে করেছ//যে//তোমরা প্রবেশ করবে//জান্নাতে//অথচ এখনও//তোমাদের আসে নি//(তাদের) অবস্থা//যারা//গত হয়েছে//(থেকে)//তোমাদের পূর্বে থেকে//তাদের স্পর্শ করেছিল//অভাব-অনটন//ও দুঃখদারিদ্র//এবং তাদের কম্পিত করা হয়েছিল//এমনকি//বলল//রাসূল//এবং যারা//ঈমান এনেছিল//তার সাথে//কখন (আসবে)//সাহায্য//আল্লাহর//জেনে রেখো//নিশ্চয়ই//সাহায্য//আল্লাহর//নিকটে"
            },
            {
              "number": 222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/222.mp3"
              ],
              "text": "يَسْـَٔلُونَكَ مَاذَا يُنفِقُونَ ۖ قُلْ مَآ أَنفَقْتُم مِّنْ خَيْرٍۢ فَلِلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينِ وَٱبْنِ ٱلسَّبِيلِ ۗ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍۢ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌۭ",
              "translate_bn": "তোমার কাছে জিজ্ঞেস করে, কি তারা ব্যয় করবে? বলে দাও-যে বস্তুই তোমরা ব্যয় কর, তা হবে পিতা-মাতার জন্যে, আত্নীয়-আপনজনের জন্যে, এতীম-অনাথদের জন্যে, অসহায়দের জন্যে এবং মুসাফিরদের জন্যে। আর তোমরা যে কোন সৎকাজ করবে, নিঃসন্দেহে তা অত্যন্ত ভালভাবেই আল্লাহর জানা রয়েছে।",
              "numberInSurah": 215,
              "juz": 2,
              "manzil": 1,
              "page": 33,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা মা-যা ইউনফিকূনা কুল মাআনফাকতুম মিন খাইরিন ফালিলওয়া-লিদাইনি ওয়াল আকরাবীনা ওয়াল ইয়াতা-মা-ওয়াল মাছা-কীনি ওয়াবনিছছাবীলি ওয়ামাতাফ‘আলূমিন খাইরিন ফাইন্নাল্লা-হা বিহী ‘আলীম।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//مَا ذَا/مَاذَا/madha//یُنْفِقُوْنَ ؕ۬/يُنفِقُونَۖ/yunfiquna//قُلْ/قُلۡ/qul//مَاۤ/مَآ/ma//اَنْفَقْتُمْ/أَنفَقۡتُم/anfaqtum//مِّنْ/مِّنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَلِلْوَالِدَیْنِ/فَلِلۡوَٰلِدَيۡنِ/falil'walidayni//وَ الْاَقْرَبِیْنَ/وَٱلۡأَقۡرَبِينَ/wal-aqrabina//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ ابْنِ/وَٱبۡنِ/wa-ib'ni//السَّبِیْلِ ؕ/ٱلسَّبِيلِۗ/al-sabili//وَ مَا/وَمَا/wama//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//بِهٖ/بِهِۦ/bihi//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "তোমাকে তারা প্রশ্ন করে//কি//ব্যয় করবে তারা//তুমি বলো//যা//তোমরা ব্যয় কর//হতে//ধন-সম্পদ//তা পিতা-মাতার জন্যে(তবে)//এবং আত্মীয়-স্বজনদের//ও ইয়াতীমদের//ও অভাবগ্রস্তদের//ও//মুসাফিরদের (পথের জন্য ব্যয় করবে)//এবং যা কিছু//তোমরা কর//থেকে//কল্যাণ//নিশ্চয়ই তবেই//আল্লাহ//তা সম্পর্কে//খুব অবহিত"
            },
            {
              "number": 223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/223.mp3"
              ],
              "text": "كُتِبَ عَلَيْكُمُ ٱلْقِتَالُ وَهُوَ كُرْهٌۭ لَّكُمْ ۖ وَعَسَىٰٓ أَن تَكْرَهُوا۟ شَيْـًۭٔا وَهُوَ خَيْرٌۭ لَّكُمْ ۖ وَعَسَىٰٓ أَن تُحِبُّوا۟ شَيْـًۭٔا وَهُوَ شَرٌّۭ لَّكُمْ ۗ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "তোমাদের উপর যুদ্ধ ফরয করা হয়েছে, অথচ তা তোমাদের কাছে অপছন্দনীয়। পক্ষান্তরে তোমাদের কাছে হয়তো কোন একটা বিষয় পছন্দসই নয়, অথচ তা তোমাদের জন্য কল্যাণকর। আর হয়তোবা কোন একটি বিষয় তোমাদের কাছে পছন্দনীয় অথচ তোমাদের জন্যে অকল্যাণকর। বস্তুতঃ আল্লাহই জানেন, তোমরা জান না।",
              "numberInSurah": 216,
              "juz": 2,
              "manzil": 1,
              "page": 34,
              "ruku": 27,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "কুতিবা ‘আলাইকুমুল কিতা-লুওয়া হুওয়া কুরহুল্লাকুম ওয়া ‘আছা-আন তাকরাহূ শাইআওঁ ওয়া হুওয়া খাইরুল্লাকুম ওয়া ‘আছাআন তুহিববূ শাইআওঁ ওয়া হুওয়া শাররুল্লাকুম ওয়াল্লা-হু ইয়া‘লামুওয়া আনতুম লা-তা‘লামূন।",
              "words_arabic": "كُتِبَ/كُتِبَ/kutiba//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْقِتَالُ/ٱلۡقِتَالُ/al-qitalu//وَ هُوَ/وَهُوَ/wahuwa//كُرْهٌ/كُرۡهٞ/kur'hun//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//وَ عَسٰۤی/وَعَسَىٰٓ/wa'asa//اَنْ/أَن/an//تَكْرَهُوْا/تَكۡرَهُواْ/takrahu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ هُوَ/وَهُوَ/wahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//وَ عَسٰۤی/وَعَسَىٰٓ/wa'asa//اَنْ/أَن/an//تُحِبُّوْا/تُحِبُّواْ/tuhibbu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ هُوَ/وَهُوَ/wahuwa//شَرٌّ/شَرّٞ/sharrun//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَعْلَمُوْنَ۠/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "ফরজ করা হল//তোমাদের ওপর//যুদ্ধ//অথচ তা//অপ্রিয়//তোমাদের কাছে//কিন্তু হতে পারে//যে//তোমরা অপছন্দ কর//কোনো জিনিস//অথচ তা//কল্যাণকর//তোমাদের জন্যে//আবার হতে পারে//যে//তোমরা পছন্দ কর//কোনো জিনিস//অথচ তা//অকল্যাণকর//তোমাদের জন্যে//এবং আল্লাহ//জানেন//কিন্তু তোমরা//না//জান"
            },
            {
              "number": 224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/224.mp3"
              ],
              "text": "يَسْـَٔلُونَكَ عَنِ ٱلشَّهْرِ ٱلْحَرَامِ قِتَالٍۢ فِيهِ ۖ قُلْ قِتَالٌۭ فِيهِ كَبِيرٌۭ ۖ وَصَدٌّ عَن سَبِيلِ ٱللَّهِ وَكُفْرٌۢ بِهِۦ وَٱلْمَسْجِدِ ٱلْحَرَامِ وَإِخْرَاجُ أَهْلِهِۦ مِنْهُ أَكْبَرُ عِندَ ٱللَّهِ ۚ وَٱلْفِتْنَةُ أَكْبَرُ مِنَ ٱلْقَتْلِ ۗ وَلَا يَزَالُونَ يُقَٰتِلُونَكُمْ حَتَّىٰ يَرُدُّوكُمْ عَن دِينِكُمْ إِنِ ٱسْتَطَٰعُوا۟ ۚ وَمَن يَرْتَدِدْ مِنكُمْ عَن دِينِهِۦ فَيَمُتْ وَهُوَ كَافِرٌۭ فَأُو۟لَٰٓئِكَ حَبِطَتْ أَعْمَٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۖ وَأُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "সম্মানিত মাস সম্পর্কে তোমার কাছে জিজ্ঞেস করে যে, তাতে যুদ্ধ করা কেমন? বলে দাও এতে যুদ্ধ করা ভীষণ বড় পাপ। আর আল্লাহর পথে প্রতিবন্দ্বকতা সৃষ্টি করা এবং কুফরী করা, মসজিদে-হারামের পথে বাধা দেয়া এবং সেখানকার অধিবাসীদেরকে বহিস্কার করা, আল্লাহর নিকট তার চেয়েও বড় পাপ। আর ধর্মের ব্যাপারে ফেতনা সৃষ্টি করা নরহত্যা অপেক্ষাও মহা পাপ। বস্তুতঃ তারা তো সর্বদাই তোমাদের সাথে যুদ্ধ করতে থাকবে, যাতে করে তোমাদিগকে দ্বীন থেকে ফিরিয়ে দিতে পারে যদি সম্ভব হয়। তোমাদের মধ্যে যারা নিজের দ্বীন থেকে ফিরে দাঁড়াবে এবং কাফের অবস্থায় মৃত্যুবরণ করবে, দুনিয়া ও আখেরাতে তাদের যাবতীয় আমল বিনষ্ট হয়ে যাবে। আর তারাই হলো দোযখবাসী। তাতে তারা চিরকাল বাস করবে।",
              "numberInSurah": 217,
              "juz": 2,
              "manzil": 1,
              "page": 34,
              "ruku": 28,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা আনিশশাহরিল হারা-মি কিতা-লিন ফীহি কুল কিতা-লুন ফীহি কাবীরুওঁ ওয়াসাদ্দুন ‘আন ছাবীলিল্লা-হি ওয়া কুফরুম বিহী ওয়াল মাছজিদিল হারা-মি ওয়া ইখরা-জুআহলিহী মিনহু আকবারু ‘ইনদাল্লা-হি ওয়াল ফিতনাতুআকবারু মিনাল কাতলি ওয়া লা-ইঝা-লূনা ইউকা-তিলূনাকুম হাত্তা-ইয়ারুদ্দূকুম ‘আন দীনিকুম ইনিছতাতা‘ঊ ওয়া মাইঁ ইয়ারতাদিদ মিনকুম ‘আন দীনিহী ফাইয়ামুত ওয়া হুওয়া কা-ফিরুন ফউলাইকা হাবিতাত আ‘মা-লুহুম ফিদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়া উলাইকা আসহা-বুন্নারি হুম ফীহা-খা-লিদুন।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//الشَّهْرِ/ٱلشَّهۡرِ/al-shahri//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//قِتَالٍ/قِتَالٖ/qitalin//فِیْهِ ؕ/فِيهِۖ/fihi//قُلْ/قُلۡ/qul//قِتَالٌ/قِتَالٞ/qitalun//فِیْهِ/فِيهِ/fihi//كَبِیْرٌ ؕ/كَبِيرٞۚ/kabirun//وَ صَدٌّ/وَصَدٌّ/wasaddun//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كُفْرٌۢ/وَكُفۡرُۢ/wakuf'run//بِهٖ/بِهِۦ/bihi//وَ الْمَسْجِدِ/وَٱلۡمَسۡجِدِ/wal-masjidi//الْحَرَامِ ۗ/ٱلۡحَرَامِ/al-harami//وَ اِخْرَاجُ/وَإِخۡرَاجُ/wa-ikh'raju//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//مِنْهُ/مِنۡهُ/min'hu//اَكْبَرُ/أَكۡبَرُ/akbaru//عِنْدَ/عِندَ/inda//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//وَ الْفِتْنَةُ/وَٱلۡفِتۡنَةُ/wal-fit'natu//اَكْبَرُ/أَكۡبَرُ/akbaru//مِنَ/مِنَ/mina//الْقَتْلِ ؕ/ٱلۡقَتۡلِۗ/al-qatli//وَ لَا/وَلَا/wala//یَزَالُوْنَ/يَزَالُونَ/yazaluna//یُقَاتِلُوْنَكُمْ/يُقَٰتِلُونَكُمۡ/yuqatilunakum//حَتّٰی/حَتَّىٰ/hatta//یَرُدُّوْكُمْ/يَرُدُّوكُمۡ/yaruddukum//عَنْ/عَن/an//دِیْنِكُمْ/دِينِكُمۡ/dinikum//اِنِ/إِنِ/ini//اسْتَطَاعُوْا ؕ/ٱسۡتَطَٰعُواْۚ/is'tata'u//وَ مَنْ/وَمَن/waman//یَّرْتَدِدْ/يَرۡتَدِدۡ/yartadid//مِنْكُمْ/مِنكُمۡ/minkum//عَنْ/عَن/an//دِیْنِهٖ/دِينِهِۦ/dinihi//فَیَمُتْ/فَيَمُتۡ/fayamut//وَ هُوَ/وَهُوَ/wahuwa//كَافِرٌ/كَافِرٞ/kafirun//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ۚ/وَٱلۡأٓخِرَةِۖ/wal-akhirati//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "তোমাকে প্রশ্ন করে তারা//সম্পর্কে//মাসে//নিষিদ্ধ//যুদ্ধ করা//তার মধ্যে//তুমি বলো//যুদ্ধ করা//তার মধ্যে//বড় (পাপ)//কিন্তু বাধাদেওয়া//হতে//পথ//আল্লাহর//ও অস্বীকার করা//তার প্রতি//ও মসজিদে//হারামে (যেতে বাধাদান)//ও বের করে দেওয়া//তার বাসিন্দাদেরকে//তা থেকে//অনেক বড় (পাপ)//কাছে//আল্লাহর//এবং বিপর্যয় (সৃষ্টি করা)//অনেক বড় পাপ//চেয়েও//হত্যার//এবং না//তারা থামবে (অর্থাৎ সর্বদাই)//তোমাদের সাথে যুদ্ধ করবে//যতক্ষণ না//তোমাদেরকে ফিরাতে পারবে//হতে//তোমাদের দ্বীন//যদি//তারা করতে পারে//এবং যে কেউ//ফিরে যাবে//তোমাদের মধ্যথেকে//হতে//তার দ্বীন//অতঃপর মারা যাবে//এ অবস্থায় যে সে//কাফের//তাহলে ঐসব লোকদের//নষ্ট হয়ে যাবে//তাদের সব কাজ-কর্ম//মধ্যে//পৃথিবীর//ও পরকালের//এবং ঐসব লোক//অধিবাসী হবে//আগুনের//তারাই//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/225.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَاجَرُوا۟ وَجَٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ أُو۟لَٰٓئِكَ يَرْجُونَ رَحْمَتَ ٱللَّهِ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর এতে কোন সন্দেহের অবকাশ নেই যে, যারা ঈমান এনেছে এবং যারা হিজরত করেছে আর আল্লাহর পথে লড়াই (জেহাদ) করেছে, তারা আল্লাহর রহমতের প্রত্যাশী। আর আল্লাহ হচ্ছেন ক্ষমাকারী করুনাময়।",
              "numberInSurah": 218,
              "juz": 2,
              "manzil": 1,
              "page": 34,
              "ruku": 28,
              "hizbQuarter": 13,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূ ওয়াল্লাযীনা হা-জারূওয়া জা-হাদূফী ছাবীলিল্লা-হি উলাইকা ইয়ারজূনা রাহমাতাল্লা-হি ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَاجَرُوْا/هَاجَرُواْ/hajaru//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//رَحْمَتَ/رَحۡمَتَ/rahmata//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও যারা//হিজরত করেছে//ও জিহাদ করেছে//মধ্যে//পথের//আল্লাহর//ঐসব লোকেরা//আশা করে//দয়ার//আল্লাহর//এবং আল্লাহ//বড় ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/226.mp3"
              ],
              "text": "۞ يَسْـَٔلُونَكَ عَنِ ٱلْخَمْرِ وَٱلْمَيْسِرِ ۖ قُلْ فِيهِمَآ إِثْمٌۭ كَبِيرٌۭ وَمَنَٰفِعُ لِلنَّاسِ وَإِثْمُهُمَآ أَكْبَرُ مِن نَّفْعِهِمَا ۗ وَيَسْـَٔلُونَكَ مَاذَا يُنفِقُونَ قُلِ ٱلْعَفْوَ ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْءَايَٰتِ لَعَلَّكُمْ تَتَفَكَّرُونَ",
              "translate_bn": "তারা তোমাকে মদ ও জুয়া সম্পর্কে জিজ্ঞেস করে। বলে দাও, এতদুভয়ের মধ্যে রয়েছে মহাপাপ। আর মানুষের জন্যে উপকারিতাও রয়েছে, তবে এগুলোর পাপ উপকারিতা অপেক্ষা অনেক বড়। আর তোমার কাছে জিজ্ঞেস করে, কি তারা ব্যয় করবে? বলে দাও, নিজেদের প্রয়োজনীয় ব্যয়ের পর যা বাঁচে তাই খরচ করবে। এভাবেই আল্লাহ তোমাদের জন্যে নির্দেশ সুস্পষ্টরূপে বর্ণনা করেন, যাতে তোমরা চিন্তা করতে পার।",
              "numberInSurah": 219,
              "juz": 2,
              "manzil": 1,
              "page": 34,
              "ruku": 28,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা ‘আনিল খামরি ওয়াল মাইছিরি কুল ফীহিমা ইছমুন কাবীরুওঁ ওয়া মানাফি‘উ লিন্না-ছি ওয়া ইছমুহুমাআকবারু মিন নাফ‘ইহিমা-ওয়া ইয়াছআলূনাকা মা যা-ইউনফিকূনা কুল্লি ‘আফওয়া কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুমুল আ-য়াতি লা‘আল্লাকুম তাতাফাক্কারুন।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/۞يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//الْخَمْرِ/ٱلۡخَمۡرِ/al-khamri//وَ الْمَیْسِرِ ؕ/وَٱلۡمَيۡسِرِۖ/wal-maysiri//قُلْ/قُلۡ/qul//فِیْهِمَاۤ/فِيهِمَآ/fihima//اِثْمٌ/إِثۡمٞ/ith'mun//كَبِیْرٌ/كَبِيرٞ/kabirun//وَّ مَنَافِعُ/وَمَنَٰفِعُ/wamanafi'u//لِلنَّاسِ ؗ/لِلنَّاسِ/lilnnasi//وَ اِثْمُهُمَاۤ/وَإِثۡمُهُمَآ/wa-ith'muhuma//اَكْبَرُ/أَكۡبَرُ/akbaru//مِنْ/مِن/min//نَّفْعِهِمَا ؕ/نَّفۡعِهِمَاۗ/naf'ihima//وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//مَا ذَا/مَاذَا/madha//یُنْفِقُوْنَ ؕ۬/يُنفِقُونَۖ/yunfiquna//قُلِ/قُلِ/quli//الْعَفْوَ ؕ/ٱلۡعَفۡوَۗ/al-'afwa//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَفَكَّرُوْنَۙ/تَتَفَكَّرُونَ/tatafakkaruna",
              "words_bangla": "তোমাকে তারা জিজ্ঞাসা করে//সম্পর্কে//মদ (পান)//ও জুয়া (খেলা)//তুমি বলো//দু’টির মধ্যে (রয়েছে)//পাপ (ক্ষতি)//বড়//ও উপকারও (কিছু)//মানুষের জন্য//কিন্তু সে দু’টির পাপ (ক্ষতি)//অধিকতর (ক্ষতিকর)//চেয়েও//দু’টির উপকারের//এবং তোমাকে তারা প্রশ্ন করে//কী//তারা ব্যয় করবে//তুমি বলো//(যা) উদ্বৃত্ত//এভাবে//বর্ণনা করেন//আল্লাহ//তোমাদের জন্যে//নিদর্শনবলী//আশা করা যায় তোমরা//চিন্তা-ভাবনা করবে"
            },
            {
              "number": 227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/227.mp3"
              ],
              "text": "فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۗ وَيَسْـَٔلُونَكَ عَنِ ٱلْيَتَٰمَىٰ ۖ قُلْ إِصْلَاحٌۭ لَّهُمْ خَيْرٌۭ ۖ وَإِن تُخَالِطُوهُمْ فَإِخْوَٰنُكُمْ ۚ وَٱللَّهُ يَعْلَمُ ٱلْمُفْسِدَ مِنَ ٱلْمُصْلِحِ ۚ وَلَوْ شَآءَ ٱللَّهُ لَأَعْنَتَكُمْ ۚ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "দুনিয়া ও আখেরাতের বিষয়ে। আর তোমার কাছে জিজ্ঞেস করে, এতীম সংক্রান্ত হুকুম। বলে দাও, তাদের কাজ-কর্ম সঠিকভাবে গুছিয়ে দেয়া উত্তম আর যদি তাদের ব্যয়ভার নিজের সাথে মিশিয়ে নাও, তাহলে মনে করবে তারা তোমাদের ভাই । বস্তুতঃ অমঙ্গলকামী ও মঙ্গলকামীদেরকে আল্লাহ জানেন। আল্লাহ যদি ইচ্ছা করতেন, তাহলে তোমাদের উপর জটিলতা আরোপ করতে পারতেন। নিশ্চয়ই তিনি পরাক্রমশালী, মহাপ্রজ্ঞ।",
              "numberInSurah": 220,
              "juz": 2,
              "manzil": 1,
              "page": 35,
              "ruku": 28,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ফিদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়া ইয়াছআলূনাকা ‘আনিলইয়াতা-মা কুলইসলাহুল্লাহুম খাইরুওঁ ওয়া ইন তুখা-লিতূহুম ফাইখওয়া-নুকুম ওয়াল্লা-হু ইয়া‘লামুল মুফছিদা মিনাল মুসলিহিওয়ালাও শাআল্লা-হু লাআ‘নাতাকুম ইন্নাল্লা-হা ‘আঝীঝুন হাকীম।",
              "words_arabic": "فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ؕ/وَٱلۡأٓخِرَةِۗ/wal-akhirati//وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//عَنِ/عَنِ/ani//الْیَتٰمٰی ؕ/ٱلۡيَتَٰمَىٰۖ/al-yatama//قُلْ/قُلۡ/qul//اِصْلَاحٌ/إِصۡلَاحٞ/is'lahun//لَّهُمْ/لَّهُمۡ/lahum//خَیْرٌ ؕ/خَيۡرٞۖ/khayrun//وَ اِنْ/وَإِن/wa-in//تُخَالِطُوْهُمْ/تُخَالِطُوهُمۡ/tukhalituhum//فَاِخْوَانُكُمْ ؕ/فَإِخۡوَٰنُكُمۡۚ/fa-ikh'wanukum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//الْمُفْسِدَ/ٱلۡمُفۡسِدَ/al-muf'sida//مِنَ/مِنَ/mina//الْمُصْلِحِ ؕ/ٱلۡمُصۡلِحِۚ/al-mus'lihi//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَاَعْنَتَكُمْ ؕ/لَأَعۡنَتَكُمۡۚ/la-a'natakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "সম্পর্কে//ইহকাল//ও পরকাল//এবং তোমাকে তারা প্রশ্ন করে//(আচরণ) সম্পর্কে//ইয়াতীমদের (সাথে)//তুমি বলো//সুব্যবস্থা করা//তাদের জন্যে//উত্তম//এবং যদি//তাদের সাথে (খরচ পত্রে) সংমিশ্রণ কর (দোষ নেই)//তারা তাহলে তোমাদের ভাই//এবং আল্লাহ//জানেন//অনিষ্টকারীকে (পৃথক করতে)//হতে//হিতকারী//এবং যদি//চাইতেন//আল্লাহ//তোমাদেরকে অবশ্যই কষ্টে ফেলতে পারতেন//নিশ্চয়ই//আল্লাহ//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/228.mp3"
              ],
              "text": "وَلَا تَنكِحُوا۟ ٱلْمُشْرِكَٰتِ حَتَّىٰ يُؤْمِنَّ ۚ وَلَأَمَةٌۭ مُّؤْمِنَةٌ خَيْرٌۭ مِّن مُّشْرِكَةٍۢ وَلَوْ أَعْجَبَتْكُمْ ۗ وَلَا تُنكِحُوا۟ ٱلْمُشْرِكِينَ حَتَّىٰ يُؤْمِنُوا۟ ۚ وَلَعَبْدٌۭ مُّؤْمِنٌ خَيْرٌۭ مِّن مُّشْرِكٍۢ وَلَوْ أَعْجَبَكُمْ ۗ أُو۟لَٰٓئِكَ يَدْعُونَ إِلَى ٱلنَّارِ ۖ وَٱللَّهُ يَدْعُوٓا۟ إِلَى ٱلْجَنَّةِ وَٱلْمَغْفِرَةِ بِإِذْنِهِۦ ۖ وَيُبَيِّنُ ءَايَٰتِهِۦ لِلنَّاسِ لَعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আর তোমরা মুশরেক নারীদেরকে বিয়ে করোনা, যতক্ষণ না তারা ঈমান গ্রহণ করে। অবশ্য মুসলমান ক্রীতদাসী মুশরেক নারী অপেক্ষা উত্তম, যদিও তাদেরকে তোমাদের কাছে ভালো লাগে। এবং তোমরা (নারীরা) কোন মুশরেকের সঙ্গে বিবাহ বন্ধনে আবদ্ধ হয়ো না, যে পর্যন্ত সে ঈমান না আনে। একজন মুসলমান ক্রীতদাসও একজন মুশরেকের তুলনায় অনেক ভাল, যদিও তোমরা তাদের দেখে মোহিত হও। তারা দোযখের দিকে আহ্বান করে, আর আল্লাহ নিজের হুকুমের মাধ্যমে আহ্বান করেন জান্নাত ও ক্ষমার দিকে। আর তিনি মানুষকে নিজের নির্দেশ বাতলে দেন যাতে তারা উপদেশ গ্রহণ করে।",
              "numberInSurah": 221,
              "juz": 2,
              "manzil": 1,
              "page": 35,
              "ruku": 28,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়া লা-তানকিহুল মুশরিকা-তি হাত্তা-ইউ’মিন্না ওয়া লাআমাতুম মু’মিনাতুন খাইরুম মিম মুশরিকাতিওঁ ওয়ালাও আ‘জাবাতকুম ওয়ালা-তুনকিহুল মুশরিকীনা হাত্তা-ইউমিনূ ওয়ালা ‘আবদুম মু’মিনুন খাইরুম মিম মুশরিকিওঁ ওয়া লাও আ‘জাবাকুম উলাইকা ইয়াদ‘ঊনা ইলান্না-রি ওয়াল্লা-হু ইয়াদ‘ঊইলাল জান্নাতি ওয়াল মাগফিরাতি বিইযনিহী ওয়া ইউবাইয়িনুআ-য়া-তিহী লিন্না-ছি লা‘আল্লাহুম ইয়াতাযাক্কারুন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَنْكِحُوا/تَنكِحُواْ/tankihu//الْمُشْرِكٰتِ/ٱلۡمُشۡرِكَٰتِ/al-mush'rikati//حَتّٰی/حَتَّىٰ/hatta//یُؤْمِنَّ ؕ/يُؤۡمِنَّۚ/yu'minna//وَ لَاَمَةٌ/وَلَأَمَةٞ/wala-amatun//مُّؤْمِنَةٌ/مُّؤۡمِنَةٌ/mu'minatun//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّن/min//مُّشْرِكَةٍ/مُّشۡرِكَةٖ/mush'rikatin//وَّ لَوْ/وَلَوۡ/walaw//اَعْجَبَتْكُمْ ۚ/أَعۡجَبَتۡكُمۡۗ/a'jabatkum//وَ لَا/وَلَا/wala//تُنْكِحُوا/تُنكِحُواْ/tunkihu//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//حَتّٰی/حَتَّىٰ/hatta//یُؤْمِنُوْا ؕ/يُؤۡمِنُواْۚ/yu'minu//وَ لَعَبْدٌ/وَلَعَبۡدٞ/wala'abdun//مُّؤْمِنٌ/مُّؤۡمِنٌ/mu'minun//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّن/min//مُّشْرِكٍ/مُّشۡرِكٖ/mush'rikin//وَّ لَوْ/وَلَوۡ/walaw//اَعْجَبَكُمْ ؕ/أَعۡجَبَكُمۡۗ/a'jabakum//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یَدْعُوْنَ/يَدۡعُونَ/yad'una//اِلَی/إِلَى/ila//النَّارِ ۖۚ/ٱلنَّارِۖ/al-nari//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَدْعُوْۤا/يَدۡعُوٓاْ/yad'u//اِلَی/إِلَى/ila//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//وَ الْمَغْفِرَةِ/وَٱلۡمَغۡفِرَةِ/wal-maghfirati//بِاِذْنِهٖ ۚ/بِإِذۡنِهِۦۖ/bi-idh'nihi//وَ یُبَیِّنُ/وَيُبَيِّنُ/wayubayyinu//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَ۠/يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "এবং না//তোমরা বিয়ে করো//মুশরিক নারীদেরকে//যতক্ষণ না//ঈমান আনে//এবং অবশ্যই ক্রীতদাসী//মুমিন নারী//উত্তম//থেকে//মুশরিক নারী//এবং যদিও//তোমাদের মুগ্ধ করে সে//এবং না//তোমরা বিয়ে দিও (মুসলিম নারীকে)//মুশরিক পুরুষদের (সাথে)//যতক্ষণ না//তারা ঈমান আনে//এবং অবশ্যই ক্রীতদাস//মু’মিন//উত্তম//অপেক্ষা//মুশরিক পুরুষ//এবং যদিও//তোমাদের মুগ্ধ করে সে//ঐসব লোক//ডাকে (তোমাদেরকে)//দিকে//(আগুনের)//আর আল্লাহ//ডাকেন//দিকে//জান্নাতের//ও ক্ষমার//তাঁর অনুমতিমাধ্যমে (ও অনুগ্রহে)//এবং স্পষ্ট বর্ণনা করেন//তাঁর নিদর্শনাবলী//মানুষের জন্য//আশা করা যায় তারা//শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/229.mp3"
              ],
              "text": "وَيَسْـَٔلُونَكَ عَنِ ٱلْمَحِيضِ ۖ قُلْ هُوَ أَذًۭى فَٱعْتَزِلُوا۟ ٱلنِّسَآءَ فِى ٱلْمَحِيضِ ۖ وَلَا تَقْرَبُوهُنَّ حَتَّىٰ يَطْهُرْنَ ۖ فَإِذَا تَطَهَّرْنَ فَأْتُوهُنَّ مِنْ حَيْثُ أَمَرَكُمُ ٱللَّهُ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلتَّوَّٰبِينَ وَيُحِبُّ ٱلْمُتَطَهِّرِينَ",
              "translate_bn": "আর তোমার কাছে জিজ্ঞেস করে হায়েয (ঋতু) সম্পর্কে। বলে দাও, এটা অশুচি। কাজেই তোমরা হায়েয অবস্থায় স্ত্রীগমন থেকে বিরত থাক। তখন পর্যন্ত তাদের নিকটবর্তী হবে না, যতক্ষণ না তারা পবিত্র হয়ে যায়। যখন উত্তম রূপে পরিশুদ্ধ হয়ে যাবে, তখন গমন কর তাদের কাছে, যেভাবে আল্লাহ তোমাদেরকে হুকুম দিয়েছেন। নিশ্চয়ই আল্লাহ তওবাকারী এবং অপবিত্রতা থেকে যারা বেঁচে থাকে তাদেরকে পছন্দ করেন।",
              "numberInSurah": 222,
              "juz": 2,
              "manzil": 1,
              "page": 35,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছআলূনাকা ‘আনিল মাহীদি কুল হুওয়া আযান ফা‘তাঝিলুন্নিছাআ ফিল মাহীদি ওয়ালা-তাকরাবূহুন্না হাত্তা-ইয়াতহুরনা ফাইযা-তাতাহহারনা ফা’তূহুন্না মিন হাইছুআমারাকুমুল্লা-হু ইন্নাল্লাহা ইউহিব্বুত্তাওওয়া-বীনা ওয়াইউহিব্বুল মুতাতাহহিরীন।",
              "words_arabic": "وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//عَنِ/عَنِ/ani//الْمَحِیْضِ ؕ/ٱلۡمَحِيضِۖ/al-mahidi//قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//اَذًی ۙ/أَذٗى/adhan//فَاعْتَزِلُوا/فَٱعۡتَزِلُواْ/fa-i'tazilu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فِی/فِي/fi//الْمَحِیْضِ ۙ/ٱلۡمَحِيضِ/al-mahidi//وَ لَا/وَلَا/wala//تَقْرَبُوْهُنَّ/تَقۡرَبُوهُنَّ/taqrabuhunna//حَتّٰی/حَتَّىٰ/hatta//یَطْهُرْنَ ۚ/يَطۡهُرۡنَۖ/yathur'na//فَاِذَا/فَإِذَا/fa-idha//تَطَهَّرْنَ/تَطَهَّرۡنَ/tatahharna//فَاْتُوْهُنَّ/فَأۡتُوهُنَّ/fatuhunna//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//اَمَرَكُمُ/أَمَرَكُمُ/amarakumu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//التَّوَّابِیْنَ/ٱلتَّوَّـٰبِينَ/al-tawabina//وَ یُحِبُّ/وَيُحِبُّ/wayuhibbu//الْمُتَطَهِّرِیْنَ /ٱلۡمُتَطَهِّرِينَ/al-mutatahirina",
              "words_bangla": "এবং তোমাকে তারা প্রশ্ন করে//সম্পর্কে//(রজঃস্রাব)//তুমি বলো//তা//অশুচি/কষ্ট//তাই তোমরা দূরে থাক//স্ত্রীদের (থেকে)//(মধ্যে)//(রজঃস্রাব)কালে//এবং না//তাদের নিকটে যেয়ো (স্ত্রী মিলনে)//যতক্ষণ না//তারা পবিত্র হয়(রজঃস্রাব বন্ধ হয়)//অতঃপর যখন//তারা পবিত্র হয়(উত্তমরূপে গোসল করে)//তখন তাদের কাছে আসো//(থেকে)//যেমন ভাবে//তোমাদেরকে নির্দেশ দিয়েছেন//আল্লাহ//নিশ্চয়ই//আল্লাহ//ভালবাসেন//তওবাকারীদেরকে//ও ভালবাসেন//পবিত্রতা অবলম্বনকারীদের"
            },
            {
              "number": 230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/230.mp3"
              ],
              "text": "نِسَآؤُكُمْ حَرْثٌۭ لَّكُمْ فَأْتُوا۟ حَرْثَكُمْ أَنَّىٰ شِئْتُمْ ۖ وَقَدِّمُوا۟ لِأَنفُسِكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّكُم مُّلَٰقُوهُ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "তোমাদের স্ত্রীরা হলো তোমাদের জন্য শস্য ক্ষেত্র। তোমরা যেভাবে ইচ্ছা তাদেরকে ব্যবহার কর। আর নিজেদের জন্য আগামী দিনের ব্যবস্থা কর এবং আল্লাহকে ভয় করতে থাক। আর নিশ্চিতভাবে জেনে রাখ যে, আল্লাহর সাথে তোমাদেরকে সাক্ষাত করতেই হবে। আর যারা ঈমান এনেছে তাদেরকে সুসংবাদ জানিয়ে দাও।",
              "numberInSurah": 223,
              "juz": 2,
              "manzil": 1,
              "page": 35,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "নিছাউকুম হারছুল্লাকুম ফা’তূহারছাকুম আন্না-শি’তুম ওয়া কাদ্দিমূ লিআনফুছিকুম ওয়াত্তাকুল্লা-হা ওয়া‘লামূ আন্নাকুম মুলা-কূহু ওয়া বাশশিরিল মু’মিনীন।",
              "words_arabic": "نِسَآؤُكُمْ/نِسَآؤُكُمۡ/nisaukum//حَرْثٌ/حَرۡثٞ/harthun//لَّكُمْ ۪/لَّكُمۡ/lakum//فَاْتُوْا/فَأۡتُواْ/fatu//حَرْثَكُمْ/حَرۡثَكُمۡ/harthakum//اَنّٰی/أَنَّىٰ/anna//شِئْتُمْ ؗ/شِئۡتُمۡۖ/shi'tum//وَ قَدِّمُوْا/وَقَدِّمُواْ/waqaddimu//لِاَنْفُسِكُمْ ؕ/لِأَنفُسِكُمۡۚ/li-anfusikum//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّكُمْ/أَنَّكُم/annakum//مُّلٰقُوْهُ ؕ/مُّلَٰقُوهُۗ/mulaquhu//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "তোমাদের স্ত্রীরা//শস্যক্ষেত্র//তোমাদের জন্য//অতএব তোমরা যাও//তোমাদের শস্যক্ষেত্রে//যেভাবে//তোমরা চাও//এবং তোমরা আগে পাঠাও//তোমাদের নিজেদের জন্যে//এবং তোমরা ভয় করো//আল্লাহকে//এবং জেনে রাখো তোমরা//তোমরা যে//তাঁর সাক্ষাৎকারী (হবে)//এবং সুসংবাদ দাও//মু’মিনদেরকে"
            },
            {
              "number": 231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/231.mp3"
              ],
              "text": "وَلَا تَجْعَلُوا۟ ٱللَّهَ عُرْضَةًۭ لِّأَيْمَٰنِكُمْ أَن تَبَرُّوا۟ وَتَتَّقُوا۟ وَتُصْلِحُوا۟ بَيْنَ ٱلنَّاسِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "আর নিজেদের শপথের জন্য আল্লাহর নামকে লক্ষ্যবস্তু বানিও না মানুষের সাথে কোন আচার আচরণ থেকে পরহেযগারী থেকে এবং মানুষের মাঝে মীমাংসা করে দেয়া থেকে বেঁচে থাকার উদ্দেশ্যে। আল্লাহ সবকিছুই শুনেন ও জানেন।",
              "numberInSurah": 224,
              "juz": 2,
              "manzil": 1,
              "page": 35,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাজ‘আলুল্লা-হা ‘উরদাতাল লিআইমা-নিকুম আন তাবাররূওয়াতাত্তাকূওয়াতুসলিহু বাইনান্না-ছি ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَجْعَلُوا/تَجۡعَلُواْ/taj'alu//اللّٰهَ/ٱللَّهَ/al-laha//عُرْضَةً/عُرۡضَةٗ/ur'datan//لِّاَیْمَانِكُمْ/لِّأَيۡمَٰنِكُمۡ/li-aymanikum//اَنْ/أَن/an//تَبَرُّوْا/تَبَرُّواْ/tabarru//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//وَ تُصْلِحُوْا/وَتُصۡلِحُواْ/watus'lihu//بَیْنَ/بَيۡنَ/bayna//النَّاسِ ؕ/ٱلنَّاسِۚ/al-nasi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং না//তোমরা ব্যবহার করো//আল্লাহর (নামকে)//লক্ষ্যবস্তু হিসেবে//তোমাদের শপথের জন্য//যে (না)//তোমরা সৎকাজ করবে//ও (না) তোমরা আত্মসংযম করবে//ও (না) তোমরা শান্তি স্থাপন করবে//মাঝে//মানুষের//এবং আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/232.mp3"
              ],
              "text": "لَّا يُؤَاخِذُكُمُ ٱللَّهُ بِٱللَّغْوِ فِىٓ أَيْمَٰنِكُمْ وَلَٰكِن يُؤَاخِذُكُم بِمَا كَسَبَتْ قُلُوبُكُمْ ۗ وَٱللَّهُ غَفُورٌ حَلِيمٌۭ",
              "translate_bn": "তোমাদের নিরর্থক শপথের জন্য আল্লাহ তোমাদেরকে ধরবেন না, কিন্তু সেসব কসমের ব্যাপারে ধরবেন, তোমাদের মন যার প্রতিজ্ঞা করেছে। আর আল্লাহ হচ্ছেন ক্ষমাকারী ধৈর্য্যশীল।",
              "numberInSurah": 225,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "লা-ইউআ-খিযু কুমুল্লা-হু বিল্লাগবিফী আইমা-নিকুম ওয়ালা-কিই ইউআ-খিযু কুম বিমাকাছাবাত কুলূবুকুম ওয়াল্লা-হু গাফরুন হালীম।",
              "words_arabic": "لَا/لَّا/la//یُؤَاخِذُكُمُ/يُؤَاخِذُكُمُ/yuakhidhukumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِاللَّغْوِ/بِٱللَّغۡوِ/bil-laghwi//فِیْۤ/فِيٓ/fi//اَیْمَانِكُمْ/أَيۡمَٰنِكُمۡ/aymanikum//وَ لٰكِنْ/وَلَٰكِن/walakin//یُّؤَاخِذُكُمْ/يُؤَاخِذُكُم/yuakhidhukum//بِمَا/بِمَا/bima//كَسَبَتْ/كَسَبَتۡ/kasabat//قُلُوْبُكُمْ ؕ/قُلُوبُكُمۡۗ/qulubukum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٌ/ghafurun//حَلِیْمٌ /حَلِيمٞ/halimun",
              "words_bangla": "না//তোমাদেরকে ধরবেন//আল্লাহ//অর্থহীন (শপথের) জন্য//মধ্যে//তোমাদের শপথগুলোর//কিন্তু//তোমাদেরকে তিনি ধরবেন//এ কারণে যা//(অর্জন করেছে)//তোমাদের অন্তরগুলো//এবং আল্লাহ//বড় ক্ষমাশীল//বড় সহনশীল"
            },
            {
              "number": 233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/233.mp3"
              ],
              "text": "لِّلَّذِينَ يُؤْلُونَ مِن نِّسَآئِهِمْ تَرَبُّصُ أَرْبَعَةِ أَشْهُرٍۢ ۖ فَإِن فَآءُو فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যারা নিজেদের স্ত্রীদের নিকট গমন করবেনা বলে কসম খেয়ে বসে তাদের জন্য চার মাসের অবকাশ রয়েছে অতঃপর যদি পারস্পরিক মিল-মিশ করে নেয়, তবে আল্লাহ ক্ষামাকারী দয়ালু।",
              "numberInSurah": 226,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "লিল্লাযীনা ইউ’লূনা মিন্নিছাইহিম তারাব্বুসু আরবা‘আতি আশহুরিন ফাইন ফাউ ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "لِلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یُؤْلُوْنَ/يُؤۡلُونَ/yu'luna//مِنْ/مِن/min//نِّسَآىِٕهِمْ/نِّسَآئِهِمۡ/nisaihim//تَرَبُّصُ/تَرَبُّصُ/tarabbusu//اَرْبَعَةِ/أَرۡبَعَةِ/arba'ati//اَشْهُرٍ ۚ/أَشۡهُرٖۖ/ashhurin//فَاِنْ/فَإِن/fa-in//فَآءُوْ/فَآءُو/fau//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "(তাদের) জন্য যারা//(সম্পর্ক না রাখার)শপথ করে//হতে//তাদের স্ত্রীদের//অপেক্ষা করবে//চার//মাস//অতঃপর যদি//তারা ফিরে আসে//নিশ্চয়ই তবে//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/234.mp3"
              ],
              "text": "وَإِنْ عَزَمُوا۟ ٱلطَّلَٰقَ فَإِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "আর যদি বর্জন করার সংকল্প করে নেয়, তাহলে নিশ্চয়ই আল্লাহ শ্রবণকারী ও জ্ঞানী।",
              "numberInSurah": 227,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন ‘আঝামুত্তালা-কা ফাইন্নাল্লা-হা ছামী‘উন ‘আলীম।",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//عَزَمُوا/عَزَمُواْ/azamu//الطَّلَاقَ/ٱلطَّلَٰقَ/al-talaqa//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং যদি//তারা সংকল্প করে//তালাকের//তবে নিশ্চয়ই//আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/235.mp3"
              ],
              "text": "وَٱلْمُطَلَّقَٰتُ يَتَرَبَّصْنَ بِأَنفُسِهِنَّ ثَلَٰثَةَ قُرُوٓءٍۢ ۚ وَلَا يَحِلُّ لَهُنَّ أَن يَكْتُمْنَ مَا خَلَقَ ٱللَّهُ فِىٓ أَرْحَامِهِنَّ إِن كُنَّ يُؤْمِنَّ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۚ وَبُعُولَتُهُنَّ أَحَقُّ بِرَدِّهِنَّ فِى ذَٰلِكَ إِنْ أَرَادُوٓا۟ إِصْلَٰحًۭا ۚ وَلَهُنَّ مِثْلُ ٱلَّذِى عَلَيْهِنَّ بِٱلْمَعْرُوفِ ۚ وَلِلرِّجَالِ عَلَيْهِنَّ دَرَجَةٌۭ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ",
              "translate_bn": "আর তালাকপ্রাপ্তা নারী নিজেকে অপেক্ষায় রাখবে তিন হায়েয পর্যন্ত। আর যদি সে আল্লাহর প্রতি এবং আখেরাত দিবসের উপর ঈমানদার হয়ে থাকে, তাহলে আল্লাহ যা তার জরায়ুতে সৃষ্টি করেছেন তা লুকিয়ে রাখা জায়েজ নয়। আর যদি সদ্ভাব রেখে চলতে চায়, তাহলে তাদেরকে ফিরিয়ে নেবার অধিকার তাদের স্বামীরা সংরক্ষণ করে। আর পুরুষদের যেমন স্ত্রীদের উপর অধিকার রয়েছে, তেমনি ভাবে স্ত্রীদেরও অধিকার রয়েছে পুরুষদের উপর নিয়ম অনুযায়ী। আর নারীরদের ওপর পুরুষদের শ্রেষ্ঠত্ব রয়েছে। আর আল্লাহ হচ্ছে পরাক্রমশালী, বিজ্ঞ।",
              "numberInSurah": 228,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 29,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মুতাল্লাকা-তুইয়াতারাব্বাসনা বিআনফুছিহিন্না ছালা-ছাতা কুরূইওঁ ওয়ালা-ইয়াহিল্লুলাহুন্না আইয়াকতুম না মা-খালাকাল্লা-হু ফী আরহা-মিহিন্না ইন কুন্না ইউ’মিন্না বিল্লাহি ওয়াল ইয়াওমিল আ-খিরি ওয়া বু‘ঊলাতুহুন্না আহাক্কুবিরাদ্দিহিন্না ফী যা-লিকা ইন আরা-দূ ইসলা-হাওঁ ওয়া লাহুন্না মিছলুল্লাযী ‘আলাইহিন্না বিলমা‘রূফি ওয়া লিররিজা-লি ‘আলাইহিন্না দারাজাতুওঁ ওয়াল্লা-হু ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ الْمُطَلَّقٰتُ/وَٱلۡمُطَلَّقَٰتُ/wal-mutalaqatu//یَتَرَبَّصْنَ/يَتَرَبَّصۡنَ/yatarabbasna//بِاَنْفُسِهِنَّ/بِأَنفُسِهِنَّ/bi-anfusihinna//ثَلٰثَةَ/ثَلَٰثَةَ/thalathata//قُرُوْٓءٍ ؕ/قُرُوٓءٖۚ/quruin//وَ لَا/وَلَا/wala//یَحِلُّ/يَحِلُّ/yahillu//لَهُنَّ/لَهُنَّ/lahunna//اَنْ/أَن/an//یَّكْتُمْنَ/يَكۡتُمۡنَ/yaktum'na//مَا/مَا/ma//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْۤ/فِيٓ/fi//اَرْحَامِهِنَّ/أَرۡحَامِهِنَّ/arhamihinna//اِنْ/إِن/in//كُنَّ/كُنَّ/kunna//یُؤْمِنَّ/يُؤۡمِنَّ/yu'minna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِۚ/al-akhiri//وَ بُعُوْلَتُهُنَّ/وَبُعُولَتُهُنَّ/wabu'ulatuhunna//اَحَقُّ/أَحَقُّ/ahaqqu//بِرَدِّهِنَّ/بِرَدِّهِنَّ/biraddihinna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//اِنْ/إِنۡ/in//اَرَادُوْۤا/أَرَادُوٓاْ/aradu//اِصْلَاحًا ؕ/إِصۡلَٰحٗاۚ/is'lahan//وَ لَهُنَّ/وَلَهُنَّ/walahunna//مِثْلُ/مِثۡلُ/mith'lu//الَّذِیْ/ٱلَّذِي/alladhi//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//بِالْمَعْرُوْفِ ۪/بِٱلۡمَعۡرُوفِۚ/bil-ma'rufi//وَ لِلرِّجَالِ/وَلِلرِّجَالِ/walilrrijali//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//دَرَجَةٌ ؕ/دَرَجَةٞۗ/darajatun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ۠/حَكِيمٌ/hakimun",
              "words_bangla": "এবং তালাকপ্রাপ্তা স্ত্রীরা//অপেক্ষা করবে//তাদের নিজেদের জন্যে//তিন//রজঃস্রাবকাল (পর্যন্ত)//এবং না//বৈধ হবে//তাদের জন্যে//যে//তারা গোপন করবে//যা//সৃষ্টি করেছেন//আল্লাহ//মধ্যে//তাদের গর্ভাশয়ে//যদি//থাকে তারা//ঈমান এনে//আল্লাহর উপর//ও দিনে//আখেরাতের (উপর)//এবং তাদের স্বামীরা//বেশি অধিকারী//তাদেরকে ফিরিয়ে নেওয়ার ব্যাপারে//ক্ষেত্রে//এই//যদি//তারা চায়//আপোষ নিষ্পত্তি (করতে)//এবং তাদের (অর্থাৎ স্ত্রীদের অধিকার আছে)//যেমন//তার (অর্থাৎ স্বামীর)//তাদের উপর (অধিকার আছে)//ন্যায়সংগতভাবে//এবং পুরুষদের জন্যে(আছে)//তাদের উপর//একটি মর্যাদা আছে//এবং আল্লাহ//মহাপরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/236.mp3"
              ],
              "text": "ٱلطَّلَٰقُ مَرَّتَانِ ۖ فَإِمْسَاكٌۢ بِمَعْرُوفٍ أَوْ تَسْرِيحٌۢ بِإِحْسَٰنٍۢ ۗ وَلَا يَحِلُّ لَكُمْ أَن تَأْخُذُوا۟ مِمَّآ ءَاتَيْتُمُوهُنَّ شَيْـًٔا إِلَّآ أَن يَخَافَآ أَلَّا يُقِيمَا حُدُودَ ٱللَّهِ ۖ فَإِنْ خِفْتُمْ أَلَّا يُقِيمَا حُدُودَ ٱللَّهِ فَلَا جُنَاحَ عَلَيْهِمَا فِيمَا ٱفْتَدَتْ بِهِۦ ۗ تِلْكَ حُدُودُ ٱللَّهِ فَلَا تَعْتَدُوهَا ۚ وَمَن يَتَعَدَّ حُدُودَ ٱللَّهِ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "তালাকে-‘রাজঈ’ হ’ল দুবার পর্যন্ত তারপর হয় নিয়মানুযায়ী রাখবে, না হয় সহৃদয়তার সঙ্গে বর্জন করবে। আর নিজের দেয়া সম্পদ থেকে কিছু ফিরিয়ে নেয়া তোমাদের জন্য জায়েয নয় তাদের কাছ থেকে। কিন্তু যে ক্ষেত্রে স্বামী ও স্ত্রী উভয়েই এ ব্যাপারে ভয় করে যে, তারা আল্লাহর নির্দেশ বজায় রাখতে পারবে না, অতঃপর যদি তোমাদের ভয় হয় যে, তারা উভয়েই আল্লাহর নির্দেশ বজায় রাখতে পারবে না, তাহলে সেক্ষেত্রে স্ত্রী যদি বিনিময় দিয়ে অব্যাহতি নিয়ে নেয়, তবে উভয়ের মধ্যে কারোরই কোন পাপ নেই। এই হলো আল্লাহ কর্তৃক নির্ধারিত সীমা। কাজেই একে অতিক্রম করো না। বস্তুতঃ যারা আল্লাহ কর্তৃক নির্ধারিত সীমা লঙ্ঘন করবে, তারাই জালেম।",
              "numberInSurah": 229,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 30,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "আত্তালা-কুমার রাতা-নি ফাইমছা-কুম বিমা‘রূফিন আও তাছরীহুম বিইহছা-নিওঁ ওয়ালা-ইয়াহিল্লুলাকুম আন তা’খুযূমিম্মা আ-তাইতুমূহুন্না শাইআন ইল্লাআইঁ ইয়াখাফা আল্লা-ইউকীমা-হুদূদাল্লা-হি ফাইন খিফতুম আল্লা-ইউকীমা-হুদাল্লা-হি ফালা-জুনা-হা ‘আলাইহিমা-ফীমাফতাদাতবিহী তিলকা হুদূদুল্লা-হি ফালা-তা‘তাদূ হা-ওয়ামাইইয়াতা‘আদ্দা হুদূদাল্লা-হি ফাউলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "اَلطَّلَاقُ/ٱلطَّلَٰقُ/al-talaqu//مَرَّتٰنِ ۪/مَرَّتَانِۖ/marratani//فَاِمْسَاكٌۢ/فَإِمۡسَاكُۢ/fa-im'sakun//بِمَعْرُوْفٍ/بِمَعۡرُوفٍ/bima'rufin//اَوْ/أَوۡ/aw//تَسْرِیْحٌۢ/تَسۡرِيحُۢ/tasrihun//بِاِحْسَانٍ ؕ/بِإِحۡسَٰنٖۗ/bi-ih'sanin//وَ لَا/وَلَا/wala//یَحِلُّ/يَحِلُّ/yahillu//لَكُمْ/لَكُمۡ/lakum//اَنْ/أَن/an//تَاْخُذُوْا/تَأۡخُذُواْ/takhudhu//مِمَّاۤ/مِمَّآ/mimma//اٰتَیْتُمُوْهُنَّ/ءَاتَيۡتُمُوهُنَّ/ataytumuhunna//شَیْـًٔا/شَيۡـًٔا/shayan//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّخَافَاۤ/يَخَافَآ/yakhafa//اَلَّا/أَلَّا/alla//یُقِیْمَا/يُقِيمَا/yuqima//حُدُوْدَ/حُدُودَ/hududa//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//فَاِنْ/فَإِنۡ/fa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//اَلَّا/أَلَّا/alla//یُقِیْمَا/يُقِيمَا/yuqima//حُدُوْدَ/حُدُودَ/hududa//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِمَا/عَلَيۡهِمَا/alayhima//فِیْمَا/فِيمَا/fima//افْتَدَتْ/ٱفۡتَدَتۡ/if'tadat//بِهٖ ؕ/بِهِۦۗ/bihi//تِلْكَ/تِلۡكَ/til'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَا/فَلَا/fala//تَعْتَدُوْهَا ۚ/تَعۡتَدُوهَاۚ/ta'taduha//وَ مَنْ/وَمَن/waman//یَّتَعَدَّ/يَتَعَدَّ/yata'adda//حُدُوْدَ/حُدُودَ/hududa//اللّٰهِ/ٱللَّهِ/al-lahi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "তালাক//দুইবার//অতঃপর রেখে দেওয়া //ন্যায়সংগত ভাবে//অথবা//মুক্ত করে দেয়া//সদয়ভাবে (উত্তম)//এবং না//বৈধ হবে//তোমাদের জন্যে//যে//তোমরা গ্রহণ করবে//তা থেকে যা//তোমরা দিয়েছ তাদেরকে//কোনো কিছুই//এছাড়া//যদি//দু’জনে ভয় করে//না যে//দু’জনে রক্ষা করতে পারবে//সীমারেখাগুলো//আল্লাহর//যদি তাই//তোমরা ভয় করো//যে না//দুজনে রক্ষা করতে পারবে//সীমারেখা গুলোকে//আল্লাহর//নেই তবে//কোনো পাপ//তাদের দুজনের উপর//এরমধ্যে যা//সে নিষ্কৃতি চাইলে (স্ত্রী বিচ্ছেদ ঘটায়)//তার বিনিময়ে//এটা//সীমারেখা//আল্লাহর//অতএব না//তা তোমরা লংঘন করো//এবং যে//লংঘন করবে//সীমারেখাগুলোকে//আল্লাহর//ঐসব লোক তাহলে//তারাই//অত্যাচারী (হবে)"
            },
            {
              "number": 237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/237.mp3"
              ],
              "text": "فَإِن طَلَّقَهَا فَلَا تَحِلُّ لَهُۥ مِنۢ بَعْدُ حَتَّىٰ تَنكِحَ زَوْجًا غَيْرَهُۥ ۗ فَإِن طَلَّقَهَا فَلَا جُنَاحَ عَلَيْهِمَآ أَن يَتَرَاجَعَآ إِن ظَنَّآ أَن يُقِيمَا حُدُودَ ٱللَّهِ ۗ وَتِلْكَ حُدُودُ ٱللَّهِ يُبَيِّنُهَا لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "তারপর যদি সে স্ত্রীকে (তৃতীয়বার) তালাক দেয়া হয়, তবে সে স্ত্রী যে পর্যন্ত তাকে ছাড়া অপর কোন স্বামীর সাথে বিয়ে করে না নেবে, তার জন্য হালাল নয়। অতঃপর যদি দ্বিতীয় স্বামী তালাক দিয়ে দেয়, তাহলে তাদের উভয়ের জন্যই পরস্পরকে পুনরায় বিয়ে করাতে কোন পাপ নেই। যদি আল্লাহর হুকুম বজায় রাখার ইচ্ছা থাকে। আর এই হলো আল্লাহ কতৃꦣ2453; নির্ধারিত সীমা; যারা উপলব্ধি করে তাদের জন্য এসব বর্ণনা করা হয়।",
              "numberInSurah": 230,
              "juz": 2,
              "manzil": 1,
              "page": 36,
              "ruku": 30,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাল্লাকাহা-ফালা-তাহিল্লু লাহূ মিম বা‘দুহাত্তা-তানকিহা ঝাওজান গাইরাহূ ফাইন তাল্লাকাহা-ফালা-জুনা-হা ‘আলাইহিমা-আই ইয়াতারা-জা‘আইন জান্না-আইঁ ইউকীমা-হুদূদাল্লা-হি ওয়া তিলকা হুদূদুল্লা-হি ইউবাইয়িনুহা-লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//طَلَّقَهَا/طَلَّقَهَا/tallaqaha//فَلَا/فَلَا/fala//تَحِلُّ/تَحِلُّ/tahillu//لَهٗ/لَهُۥ/lahu//مِنْۢ/مِنۢ/min//بَعْدُ/بَعۡدُ/ba'du//حَتّٰی/حَتَّىٰ/hatta//تَنْكِحَ/تَنكِحَ/tankiha//زَوْجًا/زَوۡجًا/zawjan//غَیْرَهٗ ؕ/غَيۡرَهُۥۗ/ghayrahu//فَاِنْ/فَإِن/fa-in//طَلَّقَهَا/طَلَّقَهَا/tallaqaha//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِمَاۤ/عَلَيۡهِمَآ/alayhima//اَنْ/أَن/an//یَّتَرَاجَعَاۤ/يَتَرَاجَعَآ/yataraja'a//اِنْ/إِن/in//ظَنَّاۤ/ظَنَّآ/zanna//اَنْ/أَن/an//یُّقِیْمَا/يُقِيمَا/yuqima//حُدُوْدَ/حُدُودَ/hududa//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ تِلْكَ/وَتِلۡكَ/watil'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ/ٱللَّهِ/al-lahi//یُبَیِّنُهَا/يُبَيِّنُهَا/yubayyinuha//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতঃপর যদি//তাকে সে তালাক দেয়//না তবে//(বৈধ) হবে//তার জন্য//থেকে//পরে (তালাকের)//যতক্ষণ না//সে বিয়ে করবে//(অন্য) স্বামীকে//সে ছাড়া //অতঃপর যদি//সে তাকে তালাক দেয়//নেই তবে//পাপ//তাদের দুজনের উপর//যে//পরস্পরে ফিরে আসবে//যদি//দুজনেই মনে করে//যে//তারা দুজনে রক্ষা করতে পারবে//সীমারেখা//আল্লাহর//এবং এটা//সীমারেখা//আল্লাহর//তা স্পষ্ট বর্ণনা করেন তিনি//সম্প্রদায়ের জন্যে//(যারা) জানে"
            },
            {
              "number": 238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/238.mp3"
              ],
              "text": "وَإِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَبَلَغْنَ أَجَلَهُنَّ فَأَمْسِكُوهُنَّ بِمَعْرُوفٍ أَوْ سَرِّحُوهُنَّ بِمَعْرُوفٍۢ ۚ وَلَا تُمْسِكُوهُنَّ ضِرَارًۭا لِّتَعْتَدُوا۟ ۚ وَمَن يَفْعَلْ ذَٰلِكَ فَقَدْ ظَلَمَ نَفْسَهُۥ ۚ وَلَا تَتَّخِذُوٓا۟ ءَايَٰتِ ٱللَّهِ هُزُوًۭا ۚ وَٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ وَمَآ أَنزَلَ عَلَيْكُم مِّنَ ٱلْكِتَٰبِ وَٱلْحِكْمَةِ يَعِظُكُم بِهِۦ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "আর যখন তোমরা স্ত্রীদেরকে তালাক দিয়ে দাও, অতঃপর তারা নির্ধারিত ইদ্দত সমাপ্ত করে নেয়, তখন তোমরা নিয়ম অনুযায়ী তাদেরকে রেখে দাও অথবা সহানুভুতির সাথে তাদেরকে মুক্ত করে দাও। আর তোমরা তাদেরকে জ্বালাতন ও বাড়াবাড়ি করার উদ্দেশ্যে আটকে রেখো না। আর যারা এমন করবে, নিশ্চয়ই তারা নিজেদেরই ক্ষতি করবে। আর আল্লাহর নির্দেশকে হাস্যকর বিষয়ে পরিণত করো না। আল্লাহর সে অনুগ্রহের কথা স্মরণ কর, যা তোমাদের উপর রয়েছে এবং তাও স্মরণ কর, যে কিতাব ও জ্ঞানের কথা তোমাদের উপর নাযিল করা হয়েছে যার দ্বারা তোমাদেরকে উপদেশ দান করা হয়। আল্লাহকে ভয় কর এবং জেনে রাখ যে, আল্লাহ সর্ববিষয়েই জ্ঞানময়।",
              "numberInSurah": 231,
              "juz": 2,
              "manzil": 1,
              "page": 37,
              "ruku": 30,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তাল্লাকতুমুন নিছাআ ফাবালাগনা আজালাহুন্না ফাআমছিকূহুন্না বিমা‘রূফিন আও ছাররিহুহুন্না বিমা‘রূফিওঁ ওয়ালা-তুম ছিকূহুন্না দিরা-রাল লিতা‘তাদূ ওয়া মাইঁ ইয়াফ‘আল যা-লিকা ফাকাদ জালামা নাফছাহূ ওয়ালা-তাত্তাখিযূআ-য়া-তিল্লা-হি হুঝুওয়াও ওয়াযকুরূ নি‘মাতাল্লা-হি ‘আলাইকুম ওয়ামা-আনঝালা ‘আলাইকুম মিনাল কিতা-বি ওয়াল হিকমাতি ইয়া‘ইজু কুম বিহী ওয়াত্তাকুল্লা-হা ওয়া‘লামূআন্নাল্লা-হা বিকুল্লি শাইইন ‘আলীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//طَلَّقْتُمُ/طَلَّقۡتُمُ/tallaqtumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فَبَلَغْنَ/فَبَلَغۡنَ/fabalaghna//اَجَلَهُنَّ/أَجَلَهُنَّ/ajalahunna//فَاَمْسِكُوْهُنَّ/فَأَمۡسِكُوهُنَّ/fa-amsikuhunna//بِمَعْرُوْفٍ/بِمَعۡرُوفٍ/bima'rufin//اَوْ/أَوۡ/aw//سَرِّحُوْهُنَّ/سَرِّحُوهُنَّ/sarrihuhunna//بِمَعْرُوْفٍ ۪/بِمَعۡرُوفٖۚ/bima'rufin//وَّ لَا/وَلَا/wala//تُمْسِكُوْهُنَّ/تُمۡسِكُوهُنَّ/tum'sikuhunna//ضِرَارًا/ضِرَارٗا/diraran//لِّتَعْتَدُوْا ۚ/لِّتَعۡتَدُواْۚ/lita'tadu//وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//فَقَدْ/فَقَدۡ/faqad//ظَلَمَ/ظَلَمَ/zalama//نَفْسَهٗ ؕ/نَفۡسَهُۥۚ/nafsahu//وَ لَا/وَلَا/wala//تَتَّخِذُوْۤا/تَتَّخِذُوٓاْ/tattakhidhu//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//هُزُوًا ؗ/هُزُوٗاۚ/huzuwan//وَّ اذْكُرُوْا/وَٱذۡكُرُواْ/wa-udh'kuru//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ مَاۤ/وَمَآ/wama//اَنْزَلَ/أَنزَلَ/anzala//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنَ/مِّنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ الْحِكْمَةِ/وَٱلۡحِكۡمَةِ/wal-hik'mati//یَعِظُكُمْ/يَعِظُكُم/ya'izukum//بِهٖ ؕ/بِهِۦۚ/bihi//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ۠/عَلِيمٞ/alimun",
              "words_bangla": "এবং যখন//তোমরা তালাক দাও//স্ত্রীদেরকে//তারা অতঃপর পৌঁছে//তাদের মেয়াদে//তাদেরকে রেখে দাও তখন//ন্যায়সঙ্গতভাবে//অথবা//তাদের মুক্ত করে দাও//ন্যায় সংগতভাবে//এবং না//তাদেরকে তোমরা আটকে রেখো//ক্ষতির (উদ্দেশ্যে)//বাড়াবাড়ি করার জন্যে//এবং যে কেউ//করবে//এটা//তাহলে নিশ্চয়ই//অবিচার করবে//তারা নিজের (উপর)//এবং না//তোমরা গ্রহণ করো//নিদর্শনাবলীকে//আল্লাহর//ঠাট্টাতামাশার বস্তু হিসেবে হিসেবে//এবং তোমরা স্মরণ করো//অনুগ্রহকে//আল্লাহর//তোমাদের উপর//এবং যা//অবতীর্ণ করেছেন//তোমাদের উপর//থেকে//কিতাব//ও প্রজ্ঞা//তোমাদেরকে তিনি উপদেশ দিচ্ছেন//তা দিয়ে//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//সব সম্পর্কে//কিছুর//খুব অবহিত"
            },
            {
              "number": 239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/239.mp3"
              ],
              "text": "وَإِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَبَلَغْنَ أَجَلَهُنَّ فَلَا تَعْضُلُوهُنَّ أَن يَنكِحْنَ أَزْوَٰجَهُنَّ إِذَا تَرَٰضَوْا۟ بَيْنَهُم بِٱلْمَعْرُوفِ ۗ ذَٰلِكَ يُوعَظُ بِهِۦ مَن كَانَ مِنكُمْ يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۗ ذَٰلِكُمْ أَزْكَىٰ لَكُمْ وَأَطْهَرُ ۗ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "আর যখন তোমরা স্ত্রীদেরকে তালাক দিয়ে দাও এবং তারপর তারাও নির্ধারিত ইদ্দত পূর্ন করতে থাকে, তখন তাদেরকে পূর্ব স্বামীদের সাথে পারস্পরিক সম্মতির ভিত্তিতে নিয়মানুযায়ী বিয়ে করতে বাধাদান করো না। এ উপদেশ তাকেই দেয়া হচ্ছে, যে আল্লাহ ও কেয়ামত দিনের উপর বিশ্বাস স্থাপন করেছে। এর মধ্যে তোমাদের জন্য রয়েছে একান্ত পরিশুদ্ধতা ও অনেক পবিত্রতা। আর আল্লাহ জানেন, তোমরা জান না।",
              "numberInSurah": 232,
              "juz": 2,
              "manzil": 1,
              "page": 37,
              "ruku": 31,
              "hizbQuarter": 14,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তাল্লাকতুমুন্নিছাআ ফাবালাগনা আজালাহুন্না ফালা-তা‘দুলূহুন্না আইঁ ইয়ানকিহনা আঝওয়া-জাহুন্না ইযা-তারা-দাও বাইনাহুম বিলমা‘রূফি যা-লিকা ইঊ‘আজুবিহী মান কা-না মিনকুম ইয়ুমিনুবিল্লা-হি ওয়াল ইয়াওমিল আখিরি যা-লিকুম আঝকা-লাকুম ওয়াআতহারু ওয়াল্লাহু ইয়া‘লামুওয়া আনতুম লা-তা‘লামুন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//طَلَّقْتُمُ/طَلَّقۡتُمُ/tallaqtumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فَبَلَغْنَ/فَبَلَغۡنَ/fabalaghna//اَجَلَهُنَّ/أَجَلَهُنَّ/ajalahunna//فَلَا/فَلَا/fala//تَعْضُلُوْهُنَّ/تَعۡضُلُوهُنَّ/ta'duluhunna//اَنْ/أَن/an//یَّنْكِحْنَ/يَنكِحۡنَ/yankih'na//اَزْوَاجَهُنَّ/أَزۡوَٰجَهُنَّ/azwajahunna//اِذَا/إِذَا/idha//تَرَاضَوْا/تَرَٰضَوۡاْ/taradaw//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۗ/bil-ma'rufi//ذٰلِكَ/ذَٰلِكَ/dhalika//یُوْعَظُ/يُوعَظُ/yu'azu//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//كَانَ/كَانَ/kana//مِنْكُمْ/مِنكُمۡ/minkum//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِۗ/al-akhiri//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//اَزْكٰی/أَزۡكَىٰ/azka//لَكُمْ/لَكُمۡ/lakum//وَ اَطْهَرُ ؕ/وَأَطۡهَرُۚ/wa-atharu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং যখন//তালাক দাও তোমরা//স্ত্রীদেরকে//অতঃপর তারা পৌঁছে যায়//তাদের মেয়াদে//না তখন//তাদেরকে বাধা দিয়ো//যে//তারা বিয়ে করতে চায়//তাদের (পূর্বের) স্বামীকে//যখন//তারা পরস্পর সম্মত হয়//তাদের মাঝে//ন্যায় সংগত উপায়ে//এটা//উপদেশ দেয়া হচ্ছে//তার প্রতি//(তার জন্যে) যে কেউ//হয়//তোমাদের মধ্যথেকে//ঈমান এনে থাকে//আল্লাহর উপর//ও দিনের//আখেরাতের//এটা//শুদ্ধতম পন্থা//তোমাদের জন্যে//ও পবিত্রতম//এবং আল্লাহ//জানেন//আর তোমরা//না//জান"
            },
            {
              "number": 240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/240.mp3"
              ],
              "text": "۞ وَٱلْوَٰلِدَٰتُ يُرْضِعْنَ أَوْلَٰدَهُنَّ حَوْلَيْنِ كَامِلَيْنِ ۖ لِمَنْ أَرَادَ أَن يُتِمَّ ٱلرَّضَاعَةَ ۚ وَعَلَى ٱلْمَوْلُودِ لَهُۥ رِزْقُهُنَّ وَكِسْوَتُهُنَّ بِٱلْمَعْرُوفِ ۚ لَا تُكَلَّفُ نَفْسٌ إِلَّا وُسْعَهَا ۚ لَا تُضَآرَّ وَٰلِدَةٌۢ بِوَلَدِهَا وَلَا مَوْلُودٌۭ لَّهُۥ بِوَلَدِهِۦ ۚ وَعَلَى ٱلْوَارِثِ مِثْلُ ذَٰلِكَ ۗ فَإِنْ أَرَادَا فِصَالًا عَن تَرَاضٍۢ مِّنْهُمَا وَتَشَاوُرٍۢ فَلَا جُنَاحَ عَلَيْهِمَا ۗ وَإِنْ أَرَدتُّمْ أَن تَسْتَرْضِعُوٓا۟ أَوْلَٰدَكُمْ فَلَا جُنَاحَ عَلَيْكُمْ إِذَا سَلَّمْتُم مَّآ ءَاتَيْتُم بِٱلْمَعْرُوفِ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "আর সন্তানবতী নারীরা তাদের সন্তানদেরকে পূর্ন দু’বছর দুধ খাওয়াবে, যদি দুধ খাওয়াবার পূর্ণ মেয়াদ সমাপ্ত করতে চায়। আর সন্তানের অধিকারী অর্থাৎ, পিতার উপর হলো সে সমস্ত নারীর খোর-পোষের দায়িত্ব প্রচলিত নিয়ম অনুযায়ী। কাউকে তার সামর্থাতিরিক্ত চাপের সম্মুখীন করা হয় না। আর মাকে তার সন্তানের জন্য ক্ষতিগ্রস্ত করা যাবে না। এবং যার সন্তান তাকেও তার সন্তানের কারণে ক্ষতির সম্মুখীন করা যাবে না। আর ওয়ারিসদের উপরও দায়িত্ব এই। তারপর যদি পিতা-মাতা ইচ্ছা করে, তাহলে দু’বছরের ভিতরেই নিজেদের পারস্পরিক পরামর্শক্রমে দুধ ছাড়িয়ে দিতে পারে, তাতে তাদের কোন পাপ নেই, আর যদি তোমরা কোন ধাত্রীর দ্বারা নিজের সন্তানদেরকে দুধ খাওয়াতে চাও, তাহলে যদি তোমরা সাব্যস্তকৃত প্রচলিত বিনিময় দিয়ে দাও তাতেও কোন পাপ নেই। আর আল্লাহকে ভয় কর এবং জেনে রেখো যে, আল্লাহ তোমাদের যাবতীয় কাজ অত্যন্ত ভাল করেই দেখেন।",
              "numberInSurah": 233,
              "juz": 2,
              "manzil": 1,
              "page": 37,
              "ruku": 31,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ওয়া-লিদা-তু ইউরদি না আওলা-দাহুন্না হাওলাইনি কা-মিলাইনি লিমান আরা-দা আই ইউতিম্মাররাদা-‘আতাওঁ ওয়া আলাল মাওলূদি লাহু রিঝকুহুন্না ওয়া কিছওয়াতুহুন্না বিলমা‘রূফি লা-তুকাল্লাফুনাফছুন ইল্লা-উছ‘আহা-লা-তুদাররা ওয়া-লিদাতুম বিওয়ালাদিহা-ওয়ালা-মাওলূদুল্লাহু বিওয়ালাদিহি ওয়া ‘আলাল ওয়া-রিছিমিছলুযালিকা ফাইন আরা-দা-ফিসা-লান ‘আন তারা-দিম মিনহুমা-ওয়াতাশা-উরিন ফালাজুনা-হা ‘আলাইহিমা- ওয়া ইন আরাত্তুম আন তাছতারদি‘ঊ আওলা-দাকুম ফালা-জুনাহা ‘আলাইকুম ইযা-ছাল্লামতুম মাআ-তাইতুম বিলমা‘রূফি ওয়াত্তাকুল্লা-হা ওয়া‘লামূআন্নাল্লা-হা বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "وَ الْوَالِدٰتُ/۞وَٱلۡوَٰلِدَٰتُ/wal-walidatu//یُرْضِعْنَ/يُرۡضِعۡنَ/yur'di'na//اَوْلَادَهُنَّ/أَوۡلَٰدَهُنَّ/awladahunna//حَوْلَیْنِ/حَوۡلَيۡنِ/hawlayni//كَامِلَیْنِ/كَامِلَيۡنِۖ/kamilayni//لِمَنْ/لِمَنۡ/liman//اَرَادَ/أَرَادَ/arada//اَنْ/أَن/an//یُّتِمَّ/يُتِمَّ/yutimma//الرَّضَاعَةَ ؕ/ٱلرَّضَاعَةَۚ/al-rada'ata//وَ عَلَی/وَعَلَى/wa'ala//الْمَوْلُوْدِ/ٱلۡمَوۡلُودِ/al-mawludi//لَهٗ/لَهُۥ/lahu//رِزْقُهُنَّ/رِزۡقُهُنَّ/riz'quhunna//وَ كِسْوَتُهُنَّ/وَكِسۡوَتُهُنَّ/wakis'watuhunna//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۚ/bil-ma'rufi//لَا/لَا/la//تُكَلَّفُ/تُكَلَّفُ/tukallafu//نَفْسٌ/نَفۡسٌ/nafsun//اِلَّا/إِلَّا/illa//وُسْعَهَا ۚ/وُسۡعَهَاۚ/wus'aha//لَا/لَا/la//تُضَآرَّ/تُضَآرَّ/tudarra//وَالِدَةٌۢ/وَٰلِدَةُۢ/walidatun//بِوَلَدِهَا/بِوَلَدِهَا/biwaladiha//وَ لَا/وَلَا/wala//مَوْلُوْدٌ/مَوۡلُودٞ/mawludun//لَّهٗ/لَّهُۥ/lahu//بِوَلَدِهٖ ۗ/بِوَلَدِهِۦۚ/biwaladihi//وَ عَلَی/وَعَلَى/wa'ala//الْوَارِثِ/ٱلۡوَارِثِ/al-warithi//مِثْلُ/مِثۡلُ/mith'lu//ذٰلِكَ ۚ/ذَٰلِكَۗ/dhalika//فَاِنْ/فَإِنۡ/fa-in//اَرَادَا/أَرَادَا/arada//فِصَالًا/فِصَالًا/fisalan//عَنْ/عَن/an//تَرَاضٍ/تَرَاضٖ/taradin//مِّنْهُمَا/مِّنۡهُمَا/min'huma//وَ تَشَاوُرٍ/وَتَشَاوُرٖ/watashawurin//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِمَا ؕ/عَلَيۡهِمَاۗ/alayhima//وَ اِنْ/وَإِنۡ/wa-in//اَرَدْتُّمْ/أَرَدتُّمۡ/aradttum//اَنْ/أَن/an//تَسْتَرْضِعُوْۤا/تَسۡتَرۡضِعُوٓاْ/tastardi'u//اَوْلَادَكُمْ/أَوۡلَٰدَكُمۡ/awladakum//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذَا/إِذَا/idha//سَلَّمْتُمْ/سَلَّمۡتُم/sallamtum//مَّاۤ/مَّآ/ma//اٰتَیْتُمْ/ءَاتَيۡتُم/ataytum//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۗ/bil-ma'rufi//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "এবং মায়েরা//স্তন্য পান করাবে//তাদের সন্তানদের//দু’বছর//পূর্ণ//তার জন্য যে (বাপ)//চায়//যে//পূর্ণ করবে//স্তন্যপান করানোর সময়//এবং (দায়িত্ব তার) উপর//যার নবজাতক //জন্য //তাদের (অর্থাৎ মাদের) জীবিকা//ও তাদের পোশাকের//ন্যায় সংগত উপায়ে//না//দায়িত্বভার দেওয়া হবে//কাউকে//এছাড়া//তার সামর্থ্য//না//ক্ষতিগ্রস্ত করা হবে//মাকে//তার সন্তানের কারণে//আর না//যার নবজাতক (অর্থাৎ বাপকে)//জন্য//তার সন্তানের কারণে//এবং উপর//উত্তরাধিকারীর//অনুরূপ//এটা (অধিকার)//অতঃপর যদি//উভয়ে চায়//দুধ ছাড়াতে//মাধ্যমে//পরস্পর সম্মতির//উভয় পক্ষের//ও পরামর্শের ভিত্তিতে//নেই তবে//কোনো পাপ//তাদের উভয়ের উপর//এবং যদি//তোমরা চাও//যে//তোমরা দুধপান করাবে (কোনো ধাত্রী দিয়ে)//তোমাদের সন্তানদের//নেই তবে//কোনো পাপ//তোমাদের উপর//যখন//তোমরা অর্পন কর//যা//তোমরা দিতে চেয়েছিলে//সংগত ভাবে//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//ঐ বিষয় যা//তোমরা কাজ করছ//সবকিছু দেখেন"
            },
            {
              "number": 241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/241.mp3"
              ],
              "text": "وَٱلَّذِينَ يُتَوَفَّوْنَ مِنكُمْ وَيَذَرُونَ أَزْوَٰجًۭا يَتَرَبَّصْنَ بِأَنفُسِهِنَّ أَرْبَعَةَ أَشْهُرٍۢ وَعَشْرًۭا ۖ فَإِذَا بَلَغْنَ أَجَلَهُنَّ فَلَا جُنَاحَ عَلَيْكُمْ فِيمَا فَعَلْنَ فِىٓ أَنفُسِهِنَّ بِٱلْمَعْرُوفِ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "আর তোমাদের মধ্যে যারা মৃত্যুবরণ করবে এবং নিজেদের স্ত্রীদেরকে ছেড়ে যাবে, তখন সে স্ত্রীদের কর্তব্য হলো নিজেকে চার মাস দশ দিন পর্যন্ত অপেক্ষা করিয়ে রাখা। তারপর যখন ইদ্দত পূর্ণ করে নেবে, তখন নিজের ব্যাপারে নীতি সঙ্গত ব্যবস্থা নিলে কোন পাপ নেই। আর তোমাদের যাবতীয় কাজের ব্যাপারেই আল্লাহর অবগতি রয়েছে।",
              "numberInSurah": 234,
              "juz": 2,
              "manzil": 1,
              "page": 38,
              "ruku": 31,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউতাওয়াফফাওনা মিনকুমওয়া ইয়াযারূনা আঝওয়া-জাইঁ ইয়াতারাব্বাসনা বিআনফুছিহিন্না আরবা‘আতা আশহুরিওঁ ওয়া‘আশরান ফাইযা-বালাগনা আজালাহুন্না ফালা-জুনা-হা ‘আলাইকুম ফীমা-ফা‘আলনা ফীআনফুছিহিন্না বিলমা‘রূফি ওয়াল্লা-হু বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُتَوَفَّوْنَ/يُتَوَفَّوۡنَ/yutawaffawna//مِنْكُمْ/مِنكُمۡ/minkum//وَ یَذَرُوْنَ/وَيَذَرُونَ/wayadharuna//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//یَّتَرَبَّصْنَ/يَتَرَبَّصۡنَ/yatarabbasna//بِاَنْفُسِهِنَّ/بِأَنفُسِهِنَّ/bi-anfusihinna//اَرْبَعَةَ/أَرۡبَعَةَ/arba'ata//اَشْهُرٍ/أَشۡهُرٖ/ashhurin//وَّ عَشْرًا ۚ/وَعَشۡرٗاۖ/wa'ashran//فَاِذَا/فَإِذَا/fa-idha//بَلَغْنَ/بَلَغۡنَ/balaghna//اَجَلَهُنَّ/أَجَلَهُنَّ/ajalahunna//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِیْمَا/فِيمَا/fima//فَعَلْنَ/فَعَلۡنَ/fa'alna//فِیْۤ/فِيٓ/fi//اَنْفُسِهِنَّ/أَنفُسِهِنَّ/anfusihinna//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۗ/bil-ma'rufi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "এবং যারা//মারা যায়//তোমাদের মধ্যেথেকে//এবং তারা রেখে যায়//স্ত্রীদেরকে//তারা অপেক্ষায় রাখবে (অর্থাৎ স্ত্রীরা)//তাদের নিজেদেরকে//চার//মাস//ও দশ (দিন পর্যন্ত)//অতঃপর যখন//তারা পৌঁছে//তাদের মেয়াদে//নেই তখন//কোনো পাপ//তোমাদের উপর//সেক্ষেত্রে যা//তারা করে//সম্পর্কে//তাদের নিজেদের//ন্যায়সংগত ভাবে//এবং আল্লাহ//ঐ বিষয়ে যা//তোমরা কাজ কর//সবিশেষ অবহিত"
            },
            {
              "number": 242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/242.mp3"
              ],
              "text": "وَلَا جُنَاحَ عَلَيْكُمْ فِيمَا عَرَّضْتُم بِهِۦ مِنْ خِطْبَةِ ٱلنِّسَآءِ أَوْ أَكْنَنتُمْ فِىٓ أَنفُسِكُمْ ۚ عَلِمَ ٱللَّهُ أَنَّكُمْ سَتَذْكُرُونَهُنَّ وَلَٰكِن لَّا تُوَاعِدُوهُنَّ سِرًّا إِلَّآ أَن تَقُولُوا۟ قَوْلًۭا مَّعْرُوفًۭا ۚ وَلَا تَعْزِمُوا۟ عُقْدَةَ ٱلنِّكَاحِ حَتَّىٰ يَبْلُغَ ٱلْكِتَٰبُ أَجَلَهُۥ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِىٓ أَنفُسِكُمْ فَٱحْذَرُوهُ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَفُورٌ حَلِيمٌۭ",
              "translate_bn": "আর যদি তোমরা আকার ইঙ্গিতে সে নারীর বিয়ের পয়গাম দাও, কিংবা নিজেদের মনে গোপন রাখ, তবে তাতেও তোমাদের কোন পাপ নেই, আল্লাহ জানেন যে, তোমরা অবশ্যই সে নারীদের কথা উল্লেখ করবে। কিন্তু তাদের সাথে বিয়ে করার গোপন প্রতিশ্রুতি দিয়ে রেখো না। অবশ্য শরীয়তের নির্ধারিত প্রথা অনুযায়ী কোন কথা সাব্যস্ত করে নেবে। আর নির্ধারিত ইদ্দত সমাপ্তি পর্যায়ে না যাওয়া অবধি বিয়ে করার কোন ইচ্ছা করো না। আর একথা জেনে রেখো যে, তোমাদের মনে যে কথা রয়েছে, আল্লাহর তা জানা আছে। কাজেই তাঁকে ভয় করতে থাক। আর জেনে রেখো যে, আল্লাহ ক্ষমাকারী ও ধৈর্য্যশীল।",
              "numberInSurah": 235,
              "juz": 2,
              "manzil": 1,
              "page": 38,
              "ruku": 31,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-জুনা-হা ‘আলাইকুম ফীমা-‘আররাদতুম বিহী মিন খিতবাতিন নিছাই আও আকনানতুম ফী-আনফুছিকুম ‘আলিমাল্লা-হু আন্নাকুম ছাতাযকুরূনাহুন্না ওয়ালা-কিল্লাতুওয়া-‘ইদূ হুন্না ছিররান ইল্লাআন তাকূলূ কাওলাম মা‘রূফাওঁ ওয়ালা-তা‘ঝিমূ ‘উকদাতান নিকা-হিহাত্তা-ইয়াবলুগাল কিতা-বুআজালাহূ ওয়া‘লামূআন্নাল্লা-হা ইয়া‘লামুমা-ফী আনফুছিকুম ফাহযারূহু ওয়া‘লামূআন্নাল্লা-হা গাফুরুন হালীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِیْمَا/فِيمَا/fima//عَرَّضْتُمْ/عَرَّضۡتُم/arradtum//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//خِطْبَةِ/خِطۡبَةِ/khit'bati//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//اَوْ/أَوۡ/aw//اَكْنَنْتُمْ/أَكۡنَنتُمۡ/aknantum//فِیْۤ/فِيٓ/fi//اَنْفُسِكُمْ ؕ/أَنفُسِكُمۡۚ/anfusikum//عَلِمَ/عَلِمَ/alima//اللّٰهُ/ٱللَّهُ/al-lahu//اَنَّكُمْ/أَنَّكُمۡ/annakum//سَتَذْكُرُوْنَهُنَّ/سَتَذۡكُرُونَهُنَّ/satadhkurunahunna//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تُوَاعِدُوْهُنَّ/تُوَاعِدُوهُنَّ/tuwa'iduhunna//سِرًّا/سِرًّا/sirran//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَقُوْلُوْا/تَقُولُواْ/taqulu//قَوْلًا/قَوۡلٗا/qawlan//مَّعْرُوْفًا ؕ۬/مَّعۡرُوفٗاۚ/ma'rufan//وَ لَا/وَلَا/wala//تَعْزِمُوْا/تَعۡزِمُواْ/ta'zimu//عُقْدَةَ/عُقۡدَةَ/uq'data//النِّكَاحِ/ٱلنِّكَاحِ/al-nikahi//حَتّٰی/حَتَّىٰ/hatta//یَبْلُغَ/يَبۡلُغَ/yablugha//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//اَجَلَهٗ ؕ/أَجَلَهُۥۚ/ajalahu//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِیْۤ/فِيٓ/fi//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//فَاحْذَرُوْهُ ۚ/فَٱحۡذَرُوهُۚ/fa-ih'dharuhu//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٌ/ghafurun//حَلِیْمٌ۠/حَلِيمٞ/halimun",
              "words_bangla": "এবং নেই//কোনো পাপ//তোমাদের উপর//সেক্ষেত্রে যা//তোমরা আভাস-ইঙ্গিতে প্রকাশ কর//তা//বিষয়টি//বিয়ের প্রস্তাবের//(বিধবা) নারীদের//বা//তোমরা গোপন কর//মধ্যে//তোমাদের মনের//জানেন//আল্লাহ//তোমরা যে//তাদেরকে আলোচনা করবে তোমরা//কিন্তু//না//তাদেরকে অঙ্গীকার করবে তোমরা//গোপনে//এছাড়া//যে//তোমরা বলবে//কথা//বিধি মতো//এবং না//তোমরা সংকল্প করো//বন্ধনের//বিয়ের//যতক্ষণ না//পৌঁছে//বিধান (অর্থাৎ ইদ্দত)//তার নির্দিষ্ট সময়ে//এবং তোমরা জেনে রেখো//যে//আল্লাহ//জানেন//যা (আছে)//মধ্যে//তোমাদের মনের//অতএব তাকে তোমরা ভয় করো//এবং তোমরা জেনে রেখো//যে//আল্লাহ//ক্ষমাশীল//বড় সহনশীল"
            },
            {
              "number": 243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/243.mp3"
              ],
              "text": "لَّا جُنَاحَ عَلَيْكُمْ إِن طَلَّقْتُمُ ٱلنِّسَآءَ مَا لَمْ تَمَسُّوهُنَّ أَوْ تَفْرِضُوا۟ لَهُنَّ فَرِيضَةًۭ ۚ وَمَتِّعُوهُنَّ عَلَى ٱلْمُوسِعِ قَدَرُهُۥ وَعَلَى ٱلْمُقْتِرِ قَدَرُهُۥ مَتَٰعًۢا بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُحْسِنِينَ",
              "translate_bn": "স্ত্রীদেরকে স্পর্শ করার আগে এবং কোন মোহর সাব্যস্ত করার পূর্বেও যদি তালাক দিয়ে দাও, তবে তাতেও তোমাদের কোন পাপ নেই। তবে তাদেরকে কিছু খরচ দেবে। আর সামর্থ্যবানদের জন্য তাদের সামর্থ্য অনুযায়ী এবং কম সামর্থ্যবানদের জন্য তাদের সাধ্য অনুযায়ী। যে খরচ প্রচলিত রয়েছে তা সৎকর্মশীলদের উপর দায়িত্ব।",
              "numberInSurah": 236,
              "juz": 2,
              "manzil": 1,
              "page": 38,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "লা-জুনা-হা ‘আলাইকুম ইন তাল্লাকতুমুন্নিছাআ মা-লাম তামাছছূহুন্না আও তাফরিদূ লাহুন্না ফারীদাতাওঁ ওয়ামাত্তি‘ঊহুন্না ‘আলাল মূছি‘ই কাদারুহূ ওয়া ‘আলাল মুকতিরি কাদারুহু মাতা-‘আম বিলমা‘রূফি হাক্কান ‘আলাল মুহছিনীন।",
              "words_arabic": "لَا/لَّا/la//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِنْ/إِن/in//طَلَّقْتُمُ/طَلَّقۡتُمُ/tallaqtumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//مَا/مَا/ma//لَمْ/لَمۡ/lam//تَمَسُّوْهُنَّ/تَمَسُّوهُنَّ/tamassuhunna//اَوْ/أَوۡ/aw//تَفْرِضُوْا/تَفۡرِضُواْ/tafridu//لَهُنَّ/لَهُنَّ/lahunna//فَرِیْضَةً ۖۚ/فَرِيضَةٗۚ/faridatan//وَّ مَتِّعُوْهُنَّ ۚ/وَمَتِّعُوهُنَّ/wamatti'uhunna//عَلَی/عَلَى/ala//الْمُوْسِعِ/ٱلۡمُوسِعِ/al-musi'i//قَدَرُهٗ/قَدَرُهُۥ/qadaruhu//وَ عَلَی/وَعَلَى/wa'ala//الْمُقْتِرِ/ٱلۡمُقۡتِرِ/al-muq'tiri//قَدَرُهٗ ۚ/قَدَرُهُۥ/qadaruhu//مَتَاعًۢا/مَتَٰعَۢا/mata'an//بِالْمَعْرُوْفِ ۚ/بِٱلۡمَعۡرُوفِۖ/bil-ma'rufi//حَقًّا/حَقًّا/haqqan//عَلَی/عَلَى/ala//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "নেই//কোনো পাপ//তোমাদের উপর//যদি//তোমরা তালাক দাও//স্ত্রীদেরকে//যে পর্যন্ত//না//তাদেরকে স্পর্শ কর//অথবা//তোমরা ধার্য কর (নাই)//তাদের জন্য//কোনো মোহর//এবং তাদেরকে কিছু খরচপত্র দাও//উপর//সংগতিসম্পন্ন ব্যক্তি//তার সাধ্যমত//ও উপর//বিত্তহীনের//তার সাধ্যমত//খরচপত্র দেবে//ন্যায়সংগত ভাবে//কর্তব্য//উপর//সৎকর্মশীল লোকদের"
            },
            {
              "number": 244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/244.mp3"
              ],
              "text": "وَإِن طَلَّقْتُمُوهُنَّ مِن قَبْلِ أَن تَمَسُّوهُنَّ وَقَدْ فَرَضْتُمْ لَهُنَّ فَرِيضَةًۭ فَنِصْفُ مَا فَرَضْتُمْ إِلَّآ أَن يَعْفُونَ أَوْ يَعْفُوَا۟ ٱلَّذِى بِيَدِهِۦ عُقْدَةُ ٱلنِّكَاحِ ۚ وَأَن تَعْفُوٓا۟ أَقْرَبُ لِلتَّقْوَىٰ ۚ وَلَا تَنسَوُا۟ ٱلْفَضْلَ بَيْنَكُمْ ۚ إِنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌ",
              "translate_bn": "আর যদি মোহর সাব্যস্ত করার পর স্পর্শ করার পূর্বে তালাক দিয়ে দাও, তাহলে যে, মোহর সাব্যস্ত করা হয়েছে তার অর্ধেক দিয়ে দিতে হবে। অবশ্য যদি নারীরা ক্ষমা করে দেয় কিংবা বিয়ের বন্ধন যার অধিকারে সে (অর্থাৎ, স্বামী) যদি ক্ষমা করে দেয় তবে তা স্বতন্ত্র কথা। আর তোমরা পুরুষরা যদি ক্ষমা কর, তবে তা হবে পরহেযগারীর নিকটবর্তী। আর পারস্পরিক সহানুভূতির কথা বিস্মৃত হয়ো না। নিশ্চয় তোমরা যা কিছু কর আল্লাহ সেসবই অত্যন্ত ভাল করে দেখেন।",
              "numberInSurah": 237,
              "juz": 2,
              "manzil": 1,
              "page": 38,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাল্লাকতুমূহুন্না মিন কাবলি আন তামাছছূহুন্না ওয়াকাদ ফারাদতুম লাহুন্না ফারীদাতান ফানিসফুমা-ফারাদতুম ইল্লাআই ইয়া‘ফূনা আও ইয়া‘ফুওয়াল্লাযী বিয়াদিহী ‘উকদাতন নিকা-হিওয়া আন তা‘ফূআকরাবুলিত্তাকওয়া-ওয়ালা-তানছাউল ফাদলা বাইনাক ুম ইন্নাল্লা-হা বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//طَلَّقْتُمُوْهُنَّ/طَلَّقۡتُمُوهُنَّ/tallaqtumuhunna//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تَمَسُّوْهُنَّ/تَمَسُّوهُنَّ/tamassuhunna//وَ قَدْ/وَقَدۡ/waqad//فَرَضْتُمْ/فَرَضۡتُمۡ/faradtum//لَهُنَّ/لَهُنَّ/lahunna//فَرِیْضَةً/فَرِيضَةٗ/faridatan//فَنِصْفُ/فَنِصۡفُ/fanis'fu//مَا/مَا/ma//فَرَضْتُمْ/فَرَضۡتُمۡ/faradtum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّعْفُوْنَ/يَعۡفُونَ/ya'funa//اَوْ/أَوۡ/aw//یَعْفُوَا/يَعۡفُوَاْ/ya'fuwa//الَّذِیْ/ٱلَّذِي/alladhi//بِیَدِهٖ/بِيَدِهِۦ/biyadihi//عُقْدَةُ/عُقۡدَةُ/uq'datu//النِّكَاحِ ؕ/ٱلنِّكَاحِۚ/al-nikahi//وَ اَنْ/وَأَن/wa-an//تَعْفُوْۤا/تَعۡفُوٓاْ/ta'fu//اَقْرَبُ/أَقۡرَبُ/aqrabu//لِلتَّقْوٰی ؕ/لِلتَّقۡوَىٰۚ/lilttaqwa//وَ لَا/وَلَا/wala//تَنْسَوُا/تَنسَوُاْ/tansawu//الْفَضْلَ/ٱلۡفَضۡلَ/al-fadla//بَیْنَكُمْ ؕ/بَيۡنَكُمۡۚ/baynakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "এবং যদি//তাদেরকে তোমরা তালাক দিয়ে দাও//থেকে//এর পূর্বেই//যে//তাদেরকে স্পর্শ করবে//অথচ নিশ্চয়ই//তোমরা ধার্য করেছ//তাদের জন্য//মোহর//অর্ধেক তবে//যা//তোমরা ধার্য করেছ (মোহর)//কিন্তু//যে ছাড়া (স্ত্রীরা)//তারা ক্ষমা প্রকাশ করে (না নেয়)//অথবা//সে ক্ষমা করে (পূর্ণ দেয়)//যে (পুরুষ)//যার হাতের মধ্যে (রয়েছে)//বন্ধন//বিয়ের (তা স্বতন্ত্র কথা)//এবং (এও) যে//তোমরা ক্ষমা করবে//(তা) নিকটতর//তাকওয়ার ক্ষেত্রে//এবং না//তোমরা ভুলে যেয়ো//সহৃদয়তা//তোমাদের মাঝে//নিশ্চয়ই //আল্লাহ//ঐ বিষয় যা//তোমরা কাজ কর//খুব দেখেন"
            },
            {
              "number": 245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/245.mp3"
              ],
              "text": "حَٰفِظُوا۟ عَلَى ٱلصَّلَوَٰتِ وَٱلصَّلَوٰةِ ٱلْوُسْطَىٰ وَقُومُوا۟ لِلَّهِ قَٰنِتِينَ",
              "translate_bn": "সমস্ত নামাযের প্রতি যত্নবান হও, বিশেষ করে মধ্যবর্তী নামাযের ব্যাপারে। আর আল্লাহর সামনে একান্ত আদবের সাথে দাঁড়াও।",
              "numberInSurah": 238,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "হা-ফিজূ‘আলাসসালাওয়া-তি ওয়াসসালা-তিল উছতা-ওয়াকূমূলিল্লা-হি কানিতীন।",
              "words_arabic": "حٰفِظُوْا/حَٰفِظُواْ/hafizu//عَلَی/عَلَى/ala//الصَّلَوٰتِ/ٱلصَّلَوَٰتِ/al-salawati//وَ الصَّلٰوةِ/وَٱلصَّلَوٰةِ/wal-salati//الْوُسْطٰی ۗ/ٱلۡوُسۡطَىٰ/al-wus'ta//وَ قُوْمُوْا/وَقُومُواْ/waqumu//لِلّٰهِ/لِلَّهِ/lillahi//قٰنِتِیْنَ /قَٰنِتِينَ/qanitina",
              "words_bangla": "তোমরা সংরক্ষণ করো//প্রতি//সব সালাত গুলোর//এবং (বিশেষ করে) সালাত//মধ্যবর্তী (অর্থাৎ আছরের)//এবং তোমরা দাঁড়িয়ে যাও//আল্লাহর জন্য//একান্ত বিনীত ভাবে"
            },
            {
              "number": 246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/246.mp3"
              ],
              "text": "فَإِنْ خِفْتُمْ فَرِجَالًا أَوْ رُكْبَانًۭا ۖ فَإِذَآ أَمِنتُمْ فَٱذْكُرُوا۟ ٱللَّهَ كَمَا عَلَّمَكُم مَّا لَمْ تَكُونُوا۟ تَعْلَمُونَ",
              "translate_bn": "অতঃপর যদি তোমাদের কারো ব্যাপারে ভয় থাকে, তাহলে পদচারী অবস্থাতেই পড়ে নাও অথবা সওয়ারীর উপরে। তারপর যখন তোমরা নিরাপত্তা পাবে, তখন আল্লাহকে স্মরণ কর, যেভাবে তোমাদের শেখানো হয়েছে, যা তোমরা ইতিপূর্বে জানতে না।",
              "numberInSurah": 239,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ফাইন খিফতুম ফারিজা-লান আও রুকবা-নান ফাইযা-আমিনতুম ফাযকুরুল্লা-হা কামা‘আল্লামাকুম মা-লাম তাকূনূ তা‘লামূন।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//فَرِجَالًا/فَرِجَالًا/farijalan//اَوْ/أَوۡ/aw//رُكْبَانًا ۚ/رُكۡبَانٗاۖ/ruk'banan//فَاِذَاۤ/فَإِذَآ/fa-idha//اَمِنْتُمْ/أَمِنتُمۡ/amintum//فَاذْكُرُوا/فَٱذۡكُرُواْ/fa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//كَمَا/كَمَا/kama//عَلَّمَكُمْ/عَلَّمَكُم/allamakum//مَّا/مَّا/ma//لَمْ/لَمۡ/lam//تَكُوْنُوْا/تَكُونُواْ/takunu//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "অতঃপর যদি//তোমরা ভয় করো//তবে হেঁটে চলা অবস্থায়//বা//আরোহী অবস্থায় (সালাত পড়বে)//অতঃপর যখন//তোমরা নিরাপদ হও//স্মরণ করো তখন//আল্লাহকে//যেমন//তোমাদের তিনি শিখিয়েছেন//যা//না//তোমরা হও//তোমরা জানতে"
            },
            {
              "number": 247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/247.mp3"
              ],
              "text": "وَٱلَّذِينَ يُتَوَفَّوْنَ مِنكُمْ وَيَذَرُونَ أَزْوَٰجًۭا وَصِيَّةًۭ لِّأَزْوَٰجِهِم مَّتَٰعًا إِلَى ٱلْحَوْلِ غَيْرَ إِخْرَاجٍۢ ۚ فَإِنْ خَرَجْنَ فَلَا جُنَاحَ عَلَيْكُمْ فِى مَا فَعَلْنَ فِىٓ أَنفُسِهِنَّ مِن مَّعْرُوفٍۢ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "আর যখন তোমাদের মধ্যে যারা মৃত্যুবরণ করবে তখন স্ত্রীদের ঘর থেকে বের না করে এক বছর পর্যন্ত তাদের খরচের ব্যাপারে ওসিয়ত করে যাবে। অতঃপর যদি সে স্ত্রীরা নিজে থেকে বেরিয়ে যায়, তাহলে সে নারী যদি নিজের ব্যাপারে কোন উত্তম ব্যবস্থা করে, তবে তাতে তোমাদের উপর কোন পাপ নেই। আর আল্লাহ হচ্ছেন পরাক্রমশালী বিজ্ঞতা সম্পন্ন।",
              "numberInSurah": 240,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউতাওয়াফফাওনা মিনকুম ওয়া ইয়াযারূনা আঝওয়াজাওঁ ওয়াসিইইয়াতাল লিআঝওয়া-জিহিম মাতা‘আন ইলাল হাওলি গাইরা ইখরা-জিন ফাইন খারাজনা ফালাজুনা-হা ‘আলাইকুম ফী মা-ফা‘আলনা ফীআনফুছিহিন্না মিম্মা‘রূফিওঁ ওয়াল্লা-হু ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُتَوَفَّوْنَ/يُتَوَفَّوۡنَ/yutawaffawna//مِنْكُمْ/مِنكُمۡ/minkum//وَ یَذَرُوْنَ/وَيَذَرُونَ/wayadharuna//اَزْوَاجًا ۖۚ/أَزۡوَٰجٗا/azwajan//وَّصِیَّةً/وَصِيَّةٗ/wasiyyatan//لِّاَزْوَاجِهِمْ/لِّأَزۡوَٰجِهِم/li-azwajihim//مَّتَاعًا/مَّتَٰعًا/mata'an//اِلَی/إِلَى/ila//الْحَوْلِ/ٱلۡحَوۡلِ/al-hawli//غَیْرَ/غَيۡرَ/ghayra//اِخْرَاجٍ ۚ/إِخۡرَاجٖۚ/ikh'rajin//فَاِنْ/فَإِنۡ/fa-in//خَرَجْنَ/خَرَجۡنَ/kharajna//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِیْ/فِي/fi//مَا/مَا/ma//فَعَلْنَ/فَعَلۡنَ/fa'alna//فِیْۤ/فِيٓ/fi//اَنْفُسِهِنَّ/أَنفُسِهِنَّ/anfusihinna//مِنْ/مِن/min//مَّعْرُوْفٍ ؕ/مَّعۡرُوفٖۗ/ma'rufin//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং যারা//মারা যায়//তোমাদের মধ্য হতে//এবং তারা রেখে যায়//স্ত্রীদেরকে//(তাদের উচিৎ) জোর নির্দেশ করা//তাদের স্ত্রীদের জন্যে//ভরণ পোষণের//পর্যন্ত//এক বছর//ছাড়া//বহিষ্কার (ঘর থেকে)//যদি তবে//তারা বের হয় (নিজেরাই)//নেই তবে//কোনো পাপ//তোমাদের উপর//সেক্ষেত্রে//যা//তারা করেছে//ব্যাপারে//তাদের নিজেদের//থেকে//ন্যায় সংগত ভাবে//এবং আল্লাহ//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/248.mp3"
              ],
              "text": "وَلِلْمُطَلَّقَٰتِ مَتَٰعٌۢ بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُتَّقِينَ",
              "translate_bn": "আর তালাকপ্রাপ্তা নারীদের জন্য প্রচলিত নিয়ম অনুযায়ী খরচ দেয়া পরহেযগারদের উপর কর্তব্য।",
              "numberInSurah": 241,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল মুতাল্লাকা-তি মাতা-‘উম বিলমা‘রূফি হাক্কান ‘আলাল মুত্তাকীন।",
              "words_arabic": "وَ لِلْمُطَلَّقٰتِ/وَلِلۡمُطَلَّقَٰتِ/walil'mutallaqati//مَتَاعٌۢ/مَتَٰعُۢ/mata'un//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۖ/bil-ma'rufi//حَقًّا/حَقًّا/haqqan//عَلَی/عَلَى/ala//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "এবং তালাক প্রাপ্তাদের জন্যে//কিছু ভরণপোষণ দেওয়া//উপযুক্তভাবে//কর্তব্য//উপর//মুত্তাকীদের"
            },
            {
              "number": 249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/249.mp3"
              ],
              "text": "كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَٰتِهِۦ لَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "এভাবেই আল্লাহ তা’আলা তোমাদের জন্য স্বীয় নির্দেশ বর্ণনা করেন যাতে তোমরা তা বুঝতে পার।",
              "numberInSurah": 242,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 32,
              "hizbQuarter": 15,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুম আ-য়া-তিহী লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ۠/تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এভাবে//বর্ণনা করেন//আল্লাহ//তোমাদের জন্য//তাঁর বিধানাবলীকে//তোমরা যেন//বুঝতে পার"
            },
            {
              "number": 250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/250.mp3"
              ],
              "text": "۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ خَرَجُوا۟ مِن دِيَٰرِهِمْ وَهُمْ أُلُوفٌ حَذَرَ ٱلْمَوْتِ فَقَالَ لَهُمُ ٱللَّهُ مُوتُوا۟ ثُمَّ أَحْيَٰهُمْ ۚ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ",
              "translate_bn": "তুমি কি তাদেরকে দেখনি, যারা মৃত্যুর ভয়ে নিজেদের ঘর ছেড়ে বেরিয়ে গিয়েছিলেন? অথচ তারা ছিল হাজার হাজার। তারপর আল্লাহ তাদেরকে বললেন মরে যাও। তারপর তাদেরকে জীবিত করে দিলেন। নিশ্চয়ই আল্লাহ মানুষের উপর অনুগ্রহকারী। কিন্তু অধিকাংশ লোক শুকরিয়া প্রকাশ করে না।",
              "numberInSurah": 243,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা খারাজূ মিন দিয়া-রিহিম ওয়া হুম উলূফুন হাযারাল মাওতি ফাকা-লা লাহুমুল্লা-হু মূতূ ছু ম্মা আহইয়া-হুম; ইন্নাল্লা-হা লাযূ ফাদলিন ‘আলান্নাছি ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়াশকুরূন।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَرَجُوْا/خَرَجُواْ/kharaju//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//وَ هُمْ/وَهُمۡ/wahum//اُلُوْفٌ/أُلُوفٌ/ulufun//حَذَرَ/حَذَرَ/hadhara//الْمَوْتِ ۪/ٱلۡمَوۡتِ/al-mawti//فَقَالَ/فَقَالَ/faqala//لَهُمُ/لَهُمُ/lahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مُوْتُوْا ۫/مُوتُواْ/mutu//ثُمَّ/ثُمَّ/thumma//اَحْیَاهُمْ ؕ/أَحۡيَٰهُمۡۚ/ahyahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَذُوْ/لَذُو/ladhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "নি কি//তুমি দেখ//প্রতি//(তাদের) যারা//বের হয়েছিল//থেকে//ঘরগুলো তাদের//অথচ তারা (ছিল)//হাজার হাজার//ভয়ে//মৃত্যুর//অতঃপর বললেন//তাদের উদ্দেশে//আল্লাহ//তোমরা মরে যাও//এরপর//তিনি জীবিত করলেন (আবার) তাদেরকে//নিশ্চয়ই//আল্লাহ//(অধিকারী)//অনুগ্রহের//উপর//মানুষের//কিন্তু//অধিকাংশ//মানুষ//না//তারা কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/251.mp3"
              ],
              "text": "وَقَٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "আল্লাহর পথে লড়াই কর এবং জেনে রাখ, নিঃসন্দেহে আল্লাহ সবকিছু জানেন, সবকিছু শুনেন।",
              "numberInSurah": 244,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-তিলূ ফী ছাবীলিল্লা-হি ওয়া‘লামূ আন্নাল্লা-হা ছামী‘উন ‘আলীম।",
              "words_arabic": "وَ قَاتِلُوْا/وَقَٰتِلُواْ/waqatilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং যুদ্ধ করো তোমরা//মধ্যে//পথের//আল্লাহর//এবং তোমরা জেনে রেখো//যে//আল্লাহ//সবকিছু শুনেন//সবকিছু দেখেন"
            },
            {
              "number": 252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/252.mp3"
              ],
              "text": "مَّن ذَا ٱلَّذِى يُقْرِضُ ٱللَّهَ قَرْضًا حَسَنًۭا فَيُضَٰعِفَهُۥ لَهُۥٓ أَضْعَافًۭا كَثِيرَةًۭ ۚ وَٱللَّهُ يَقْبِضُ وَيَبْصُۜطُ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "এমন কে আছে যে, আল্লাহকে করজ দেবে, উত্তম করজ; অতঃপর আল্লাহ তাকে দ্বিগুণ-বহুগুণ বৃদ্ধি করে দিবেন। আল্লাহই সংকোচিত করেন এবং তিনিই প্রশস্ততা দান করেন এবং তাঁরই নিকট তোমরা সবাই ফিরে যাবে।",
              "numberInSurah": 245,
              "juz": 2,
              "manzil": 1,
              "page": 39,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "মান যাল্লাযী ইউকরিদুল্লা-হা কারদান হাছানান ফাইউদা-‘ইফাহূলাহুআদ‘আ ফান কাছীরাতাওঁ ওয়াল্লা-হু ইয়াকবিদুওয়া ইয়াবছুতুওয়াইলাইহি তুরজা‘ঊন।",
              "words_arabic": "مَنْ/مَّن/man//ذَا/ذَا/dha//الَّذِیْ/ٱلَّذِي/alladhi//یُقْرِضُ/يُقۡرِضُ/yuq'ridu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا/حَسَنٗا/hasanan//فَیُضٰعِفَهٗ/فَيُضَٰعِفَهُۥ/fayuda'ifahu//لَهٗۤ/لَهُۥٓ/lahu//اَضْعَافًا/أَضۡعَافٗا/ad'afan//كَثِیْرَةً ؕ/كَثِيرَةٗۚ/kathiratan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَقْبِضُ/يَقۡبِضُ/yaqbidu//وَیَبْصُۜطُ ۪/وَيَبۡصُۜطُ/wayabsutu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "কে//সে (এমন)//যে//ঋণ দেবে//আল্লাহকে//ঋণ//উত্তম//তিনি তা বৃদ্ধি এরপর করবেন//তার জন্য//গুণ বৃদ্ধি//অনেক//এবং আল্লাহ//সংকুচিত করেন//ও সম্প্রসারিত করেন//এবং তাঁরই দিকে//তোমাদের ফিরিয়ে নেয়া হবে"
            },
            {
              "number": 253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/253.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلْمَلَإِ مِنۢ بَنِىٓ إِسْرَٰٓءِيلَ مِنۢ بَعْدِ مُوسَىٰٓ إِذْ قَالُوا۟ لِنَبِىٍّۢ لَّهُمُ ٱبْعَثْ لَنَا مَلِكًۭا نُّقَٰتِلْ فِى سَبِيلِ ٱللَّهِ ۖ قَالَ هَلْ عَسَيْتُمْ إِن كُتِبَ عَلَيْكُمُ ٱلْقِتَالُ أَلَّا تُقَٰتِلُوا۟ ۖ قَالُوا۟ وَمَا لَنَآ أَلَّا نُقَٰتِلَ فِى سَبِيلِ ٱللَّهِ وَقَدْ أُخْرِجْنَا مِن دِيَٰرِنَا وَأَبْنَآئِنَا ۖ فَلَمَّا كُتِبَ عَلَيْهِمُ ٱلْقِتَالُ تَوَلَّوْا۟ إِلَّا قَلِيلًۭا مِّنْهُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّٰلِمِينَ",
              "translate_bn": "মূসার পরে তুমি কি বনী ইসরাঈলের একটি দলকে দেখনি, যখন তারা বলেছে নিজেদের নবীর কাছে যে, আমাদের জন্য একজন বাদশাহ নির্ধারিত করে দিন যাতে আমরা আল্লাহর পথে যুদ্ধ করতে পারি। নবী বললেন, তোমাদের প্রতিও কি এমন ধারণা করা যায় যে, লড়াইর হুকুম যদি হয়, তাহলে তখন তোমরা লড়বে না? তারা বলল, আমাদের কি হয়েছে যে, আমরা আল্লাহর পথে লড়াই করব না। অথচ আমরা বিতাড়িত হয়েছি নিজেদের ঘর-বাড়ী ও সন্তান-সন্ততি থেকে। অতঃপর যখন লড়াইয়ের নির্দেশ হলো, তখন সামান্য কয়েকজন ছাড়া তাদের সবাই ঘুরে দাঁড়ালো। আর আল্লাহ তা’আলা জালেমদের ভাল করেই জানেন।",
              "numberInSurah": 246,
              "juz": 2,
              "manzil": 1,
              "page": 40,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল মালাই মিমবানী ইছরাঈলা মিম বা‘দি মূছা-। ইযকা-লূ লিনাবিইয়িল্লাহুমুব ‘আছলানা-মালিকান্নুকা-তিল ফী ছাবীলিল্লা-হি কা-লা হাল ‘আছাইতুম ইন কুতিবা ‘আলাইকুমুল কিতা-লুআল্লা-তুকা-তিলূ কা-লূওয়ামা লানাআল্লা-নুকা-তিলা ফী ছাবীলিল্লা-হি ওয়া কাদ উখরিজনা-মিন দিয়া-রিনা-ওয়া আবনাইনা ফালাম্মা কুতিবা ‘আলাইহিমুল কিতা-লুতাওয়াল্লাও ইল্লা-কালীলাম মিনহুম ওয়াল্লাহু ‘আলীমুম বিজ্জা-লিমীন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الْمَلَاِ/ٱلۡمَلَإِ/al-mala-i//مِنْۢ/مِنۢ/min//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مُوْسٰی ۘ/مُوسَىٰٓ/musa//اِذْ/إِذۡ/idh//قَالُوْا/قَالُواْ/qalu//لِنَبِیٍّ/لِنَبِيّٖ/linabiyyin//لَّهُمُ/لَّهُمُ/lahumu//ابْعَثْ/ٱبۡعَثۡ/ib'ath//لَنَا/لَنَا/lana//مَلِكًا/مَلِكٗا/malikan//نُّقَاتِلْ/نُّقَٰتِلۡ/nuqatil//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالَ/قَالَ/qala//هَلْ/هَلۡ/hal//عَسَیْتُمْ/عَسَيۡتُمۡ/asaytum//اِنْ/إِن/in//كُتِبَ/كُتِبَ/kutiba//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْقِتَالُ/ٱلۡقِتَالُ/al-qitalu//اَلَّا/أَلَّا/alla//تُقَاتِلُوْا ؕ/تُقَٰتِلُواْۖ/tuqatilu//قَالُوْا/قَالُواْ/qalu//وَ مَا/وَمَا/wama//لَنَاۤ/لَنَآ/lana//اَلَّا/أَلَّا/alla//نُقَاتِلَ/نُقَٰتِلَ/nuqatila//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَدْ/وَقَدۡ/waqad//اُخْرِجْنَا/أُخۡرِجۡنَا/ukh'rij'na//مِنْ/مِن/min//دِیَارِنَا/دِيَٰرِنَا/diyarina//وَ اَبْنَآىِٕنَا ؕ/وَأَبۡنَآئِنَاۖ/wa-abnaina//فَلَمَّا/فَلَمَّا/falamma//كُتِبَ/كُتِبَ/kutiba//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقِتَالُ/ٱلۡقِتَالُ/al-qitalu//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّنْهُمْ ؕ/مِّنۡهُمۡۚ/min'hum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالظّٰلِمِیْنَ /بِٱلظَّـٰلِمِينَ/bil-zalimina",
              "words_bangla": "নি কি//তুমি দেখ//প্রতি//প্রধানদের//মধ্য থেকে//বনী//ইসরাঈলদের//থেকে//পর//মূসার//যখন//তারা বলেছিল//নবীর//তাদের জন্য//পাঠান//আমাদের জন্য//একজন রাজা//যুদ্ধ করব আমরা (তার নের্তৃত্বে)//মধ্যে//পথের//আল্লাহর//সে বলল//যদি//তোমরা আশা কর//যদি//ফরজ করা হয়//তোমাদের উপর//যুদ্ধ//যে না//তোমরা যুদ্ধ করবে//তারা বলেছিল//এবং কি//আমাদের হয়েছে//যে না//আমরা যুদ্ধ করব//মধ্যে//পথের//আল্লাহর//অথচ নিশ্চয়ই//আমাদেরকে বের করে দেওয়া হয়েছে//হতে//আমাদের ঘরবাড়ি//ও আমাদের সন্তানদের (হতে)//অতঃপর যখন//ফরজ করা হল//তাদের উপর//যুদ্ধের//তারা পিঠ ফিরাল//এছাড়া//স্বল্প সংখ্যক//তাদের মধ্য হতে//এবং আল্লাহ//খুব অবহিত//সীমালঙ্ঘনকারী সম্পর্কে"
            },
            {
              "number": 254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/254.mp3"
              ],
              "text": "وَقَالَ لَهُمْ نَبِيُّهُمْ إِنَّ ٱللَّهَ قَدْ بَعَثَ لَكُمْ طَالُوتَ مَلِكًۭا ۚ قَالُوٓا۟ أَنَّىٰ يَكُونُ لَهُ ٱلْمُلْكُ عَلَيْنَا وَنَحْنُ أَحَقُّ بِٱلْمُلْكِ مِنْهُ وَلَمْ يُؤْتَ سَعَةًۭ مِّنَ ٱلْمَالِ ۚ قَالَ إِنَّ ٱللَّهَ ٱصْطَفَىٰهُ عَلَيْكُمْ وَزَادَهُۥ بَسْطَةًۭ فِى ٱلْعِلْمِ وَٱلْجِسْمِ ۖ وَٱللَّهُ يُؤْتِى مُلْكَهُۥ مَن يَشَآءُ ۚ وَٱللَّهُ وَٰسِعٌ عَلِيمٌۭ",
              "translate_bn": "আর তাদেরকে তাদের নবী বললেন, নিশ্চয়ই আল্লাহ তালূতকে তোমাদের জন্য বাদশাহ সাব্যস্ত করেছেন। তারা বলতে লাগল তা কেমন করে হয় যে, তার শাসন চলবে আমাদের উপর। অথচ রাষ্ট্রক্ষমতা পাওয়ার ক্ষেত্রে তার চেয়ে আমাদেরই অধিকার বেশী। আর সে সম্পদের দিক দিয়েও সচ্ছল নয়। নবী বললেন, নিশ্চয় আল্লাহ তোমাদের উপর তাকে পছন্দ করেছেন এবং স্বাস্থ্য ও জ্ঞানের দিক দিয়ে প্রাচুর্য দান করেছেন। বস্তুতঃ আল্লাহ তাকেই রাজ্য দান করেন, যাকে ইচ্ছা। আর আল্লাহ হলেন অনুগ্রহ দানকারী এবং সব বিষয়ে অবগত।",
              "numberInSurah": 247,
              "juz": 2,
              "manzil": 1,
              "page": 40,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা লাহুম নাবিইয়ুহুম ইন্নাল্লা-হা কাদ বা ‘আছা লাকুম তা-লূতা মালিকান কালূআন্না-ইয়াকূনু লাহুল মুলকু‘আলাইনা-ওয়া নাহনুআহাক্কুবিলমুলকি মিনহু ওয়ালাম ইউ’তা ছা‘আতাম মিনাল মা-লি কা-লা ইন্নাল্লা-হাসতাফা-হু ‘আলাইকুম ওয়াঝা-দাহু বাছতাতান ফিল‘ইলমি ওয়াল জিছমি ওয়াল্লা-হু ইউ’তী মুলকাহু মাইঁ ইয়াশাউ ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//لَهُمْ/لَهُمۡ/lahum//نَبِیُّهُمْ/نَبِيُّهُمۡ/nabiyyuhum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَدْ/قَدۡ/qad//بَعَثَ/بَعَثَ/ba'atha//لَكُمْ/لَكُمۡ/lakum//طَالُوْتَ/طَالُوتَ/taluta//مَلِكًا ؕ/مَلِكٗاۚ/malikan//قَالُوْۤا/قَالُوٓاْ/qalu//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لَهُ/لَهُ/lahu//الْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//عَلَیْنَا/عَلَيۡنَا/alayna//وَ نَحْنُ/وَنَحۡنُ/wanahnu//اَحَقُّ/أَحَقُّ/ahaqqu//بِالْمُلْكِ/بِٱلۡمُلۡكِ/bil-mul'ki//مِنْهُ/مِنۡهُ/min'hu//وَ لَمْ/وَلَمۡ/walam//یُؤْتَ/يُؤۡتَ/yu'ta//سَعَةً/سَعَةٗ/sa'atan//مِّنَ/مِّنَ/mina//الْمَالِ ؕ/ٱلۡمَالِۚ/al-mali//قَالَ/قَالَ/qala//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اصْطَفٰىهُ/ٱصۡطَفَىٰهُ/is'tafahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ زَادَهٗ/وَزَادَهُۥ/wazadahu//بَسْطَةً/بَسۡطَةٗ/bastatan//فِی/فِي/fi//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//وَ الْجِسْمِ ؕ/وَٱلۡجِسۡمِۖ/wal-jis'mi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُؤْتِیْ/يُؤۡتِي/yu'ti//مُلْكَهٗ/مُلۡكَهُۥ/mul'kahu//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং বলেছিল//তাদের উদ্দেশে//তাদের নবী//নিশ্চয়ই//আল্লাহ//অবশ্যই//পাঠিয়েছেন//তোমাদের জন্য//তালুতকে//রাজা হিসেবে//তারা বলেছিল//কিরূপে//হবে//তার জন্য//রাজত্ব//আমাদের উপর//অথচ আমরা//অধিক যোগ্য//রাজত্বের//তার চেয়ে//এবং নি//দেওয়া হয় তাকে//প্রাচুর্য//মাধ্যমে//ধন সম্পদের//সে বলল//নিশ্চয়ই//আল্লাহ//তাকে মনোনীত করেছেন//তোমাদের উপর//ও তাকে বেশি দিয়েছেন//প্রসারতা//মধ্যে//জ্ঞানের//ও শারীরিক শক্তিতে//এবং আল্লাহ//দেন//তাঁর রাজত্ব//যাকে//তিনি চান//এবং আল্লাহ//প্রাচুর্যময়//মহাজ্ঞানী"
            },
            {
              "number": 255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/255.mp3"
              ],
              "text": "وَقَالَ لَهُمْ نَبِيُّهُمْ إِنَّ ءَايَةَ مُلْكِهِۦٓ أَن يَأْتِيَكُمُ ٱلتَّابُوتُ فِيهِ سَكِينَةٌۭ مِّن رَّبِّكُمْ وَبَقِيَّةٌۭ مِّمَّا تَرَكَ ءَالُ مُوسَىٰ وَءَالُ هَٰرُونَ تَحْمِلُهُ ٱلْمَلَٰٓئِكَةُ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "বনী-ইসরাঈলদেরকে তাদের নবী আরো বললেন, তালূতের নেতৃত্বের চিহ্ন হলো এই যে, তোমাদের কাছে একটা সিন্দুক আসবে তোমাদের পালকর্তার পক্ষ থেকে তোমাদের মনের সন্তুষ্টির নিমিত্তে। আর তাতে থাকবে মূসা, হারুন এবং তাঁদের সন্তানবর্গের পরিত্যক্ত কিছু সামগ্রী। সিন্দুকটিকে বয়ে আনবে ফেরেশতারা। তোমরা যদি ঈমানদার হয়ে থাক, তাহলে এতে তোমাদের জন্য নিশ্চিতই পরিপূর্ণ নিদর্শন রয়েছে।",
              "numberInSurah": 248,
              "juz": 2,
              "manzil": 1,
              "page": 40,
              "ruku": 33,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লা লাহুম নাবিইয়ুহুম ইন্না আ-য়াতা মুলকিহী আই ইয়া’তিয়াকুমুত্তা-বূতু ফীহি ছাকীনাতুম মির রাব্বিকুম ওয়া বাকিইইয়াতুম মিম্মা-তারাকা আ-লুমূছা-ওয়া আ-লু হা-রূনা তাহমিলুহুমুল মালাইকাতু ইন্না ফী যা-লিকা লাআ-য়াতাল্লাকুম ইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//لَهُمْ/لَهُمۡ/lahum//نَبِیُّهُمْ/نَبِيُّهُمۡ/nabiyyuhum//اِنَّ/إِنَّ/inna//اٰیَةَ/ءَايَةَ/ayata//مُلْكِهٖۤ/مُلۡكِهِۦٓ/mul'kihi//اَنْ/أَن/an//یَّاْتِیَكُمُ/يَأۡتِيَكُمُ/yatiyakumu//التَّابُوْتُ/ٱلتَّابُوتُ/al-tabutu//فِیْهِ/فِيهِ/fihi//سَكِیْنَةٌ/سَكِينَةٞ/sakinatun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ بَقِیَّةٌ/وَبَقِيَّةٞ/wabaqiyyatun//مِّمَّا/مِّمَّا/mimma//تَرَكَ/تَرَكَ/taraka//اٰلُ/ءَالُ/alu//مُوْسٰی/مُوسَىٰ/musa//وَ اٰلُ/وَءَالُ/waalu//هٰرُوْنَ/هَٰرُونَ/haruna//تَحْمِلُهُ/تَحۡمِلُهُ/tahmiluhu//الْمَلٰٓىِٕكَةُ ؕ/ٱلۡمَلَـٰٓئِكَةُۚ/al-malaikatu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ۠/مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং বলল//তাদের উদ্দেশে//তাদের নবী//নিশ্চয়ই//নিদর্শন (হবে)//তার রাজত্বের//(এই) যে//তোমাদের কাছে আসবে//সেই সিন্ধুক//যার মধ্যে (আছে)//প্রশান্তি//পক্ষ হতে//তোমাদের রবের//ও অবশিষ্ট//তা হতে যা//ছেড়ে গেছে//বংশধর//মূসার//ও বংশধর//হারুনের//তা বহন করে চলছে//ফেরেশতারা//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//তোমাদের জন্য//যদি//তোমরা হও//মু'মিন"
            },
            {
              "number": 256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/256.mp3"
              ],
              "text": "فَلَمَّا فَصَلَ طَالُوتُ بِٱلْجُنُودِ قَالَ إِنَّ ٱللَّهَ مُبْتَلِيكُم بِنَهَرٍۢ فَمَن شَرِبَ مِنْهُ فَلَيْسَ مِنِّى وَمَن لَّمْ يَطْعَمْهُ فَإِنَّهُۥ مِنِّىٓ إِلَّا مَنِ ٱغْتَرَفَ غُرْفَةًۢ بِيَدِهِۦ ۚ فَشَرِبُوا۟ مِنْهُ إِلَّا قَلِيلًۭا مِّنْهُمْ ۚ فَلَمَّا جَاوَزَهُۥ هُوَ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ قَالُوا۟ لَا طَاقَةَ لَنَا ٱلْيَوْمَ بِجَالُوتَ وَجُنُودِهِۦ ۚ قَالَ ٱلَّذِينَ يَظُنُّونَ أَنَّهُم مُّلَٰقُوا۟ ٱللَّهِ كَم مِّن فِئَةٍۢ قَلِيلَةٍ غَلَبَتْ فِئَةًۭ كَثِيرَةًۢ بِإِذْنِ ٱللَّهِ ۗ وَٱللَّهُ مَعَ ٱلصَّٰبِرِينَ",
              "translate_bn": "অতঃপর তালূত যখন সৈন্য-সামন্ত নিয়ে বেরুল, তখন বলল, নিশ্চয় আল্লাহ তোমাদিগকে পরীক্ষা করবেন একটি নদীর মাধ্যমে। সুতরাং যে লোক সেই নদীর পানি পান করবে সে আমার নয়। আর যে, লোক তার স্বাদ গ্রহণ করলো না, নিশ্চয়ই সে আমার লোক। কিন্তু যে লোক হাতের আঁজলা ভরে সামান্য খেয়ে নেবে তার দোষঅবশ্য তেমন গুরুতর হবে না। অতঃপর সবাই পান করল সে পানি, সামান্য কয়েকজন ছাড়া। পরে তালূত যখন তা পার হলো এবং তার সাথে ছিল মাত্র কয়েকজন ঈমানদার, তখন তারা বলতে লাগল, আজকের দিনে জালূত এবং তার সেনাবাহিনীর সাথে যুদ্ধ করার শক্তি আমাদের নেই, যাদের ধারণা ছিল যে, আল্লাহর সামনে তাদের একদিন উপস্থিত হতে হবে, তারা বার বার বলতে লাগল, সামান্য দলই বিরাট দলের মোকাবেলায় জয়ী হয়েছে আল্লাহর হুকুমে। আর যারা ধৈর্য্যশীল আল্লাহ তাদের সাথে রয়েছেন।",
              "numberInSurah": 249,
              "juz": 2,
              "manzil": 1,
              "page": 41,
              "ruku": 34,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-ফাসালা তা-লূতু বিলজুনূদি কা-লা ইন্নাল্লা-হা মুবতালীকুম বিনাহারিন ফামান শারিবা মিনহু ফালাইছা মিন্নী ওয়া মাল্লাম ইয়াত‘আমহু ফাইন্নাহু মিন্নী-ইল্লা-মানিগতারাফা গুরফাতাম বিয়াদিহী ফাশারিবূ মিনহু ইল্লা-কালীলাম মিনহুম ফালাম্মা-জা-ওয়াঝাহু হুওয়া ওয়াল্লাযীনা আ-মানূ মা‘আহু কা-লূ লা-তা-কাতালানাল ইয়াওমা বিজা-লূতা ওয়া জুনূদিহী কালাল্লাযীনা ইয়াজুন্নূনা আন্নাহুম মুলা-কুল্লা-হি কাম মিন ফিআতিন কালীলাতিন, গালাবাত ফিআতান কাছীরাতাম বিইযনিল্লা-হি ওয়াল্লা-হু মা‘আসসা-বিরীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//فَصَلَ/فَصَلَ/fasala//طَالُوْتُ/طَالُوتُ/talutu//بِالْجُنُوْدِ ۙ/بِٱلۡجُنُودِ/bil-junudi//قَالَ/قَالَ/qala//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مُبْتَلِیْكُمْ/مُبۡتَلِيكُم/mub'talikum//بِنَهَرٍ ۚ/بِنَهَرٖ/binaharin//فَمَنْ/فَمَن/faman//شَرِبَ/شَرِبَ/shariba//مِنْهُ/مِنۡهُ/min'hu//فَلَیْسَ/فَلَيۡسَ/falaysa//مِنِّیْ ۚ/مِنِّي/minni//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَطْعَمْهُ/يَطۡعَمۡهُ/yat'amhu//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//مِنِّیْۤ/مِنِّيٓ/minni//اِلَّا/إِلَّا/illa//مَنِ/مَنِ/mani//اغْتَرَفَ/ٱغۡتَرَفَ/igh'tarafa//غُرْفَةًۢ/غُرۡفَةَۢ/ghur'fatan//بِیَدِهٖ ۚ/بِيَدِهِۦۚ/biyadihi//فَشَرِبُوْا/فَشَرِبُواْ/fasharibu//مِنْهُ/مِنۡهُ/min'hu//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّنْهُمْ ؕ/مِّنۡهُمۡۚ/min'hum//فَلَمَّا/فَلَمَّا/falamma//جَاوَزَهٗ/جَاوَزَهُۥ/jawazahu//هُوَ/هُوَ/huwa//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ ۙ/مَعَهُۥ/ma'ahu//قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//طَاقَةَ/طَاقَةَ/taqata//لَنَا/لَنَا/lana//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//بِجَالُوْتَ/بِجَالُوتَ/bijaluta//وَ جُنُوْدِهٖ ؕ/وَجُنُودِهِۦۚ/wajunudihi//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَظُنُّوْنَ/يَظُنُّونَ/yazunnuna//اَنَّهُمْ/أَنَّهُم/annahum//مُّلٰقُوا/مُّلَٰقُواْ/mulaqu//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//كَمْ/كَم/kam//مِّنْ/مِّن/min//فِئَةٍ/فِئَةٖ/fi-atin//قَلِیْلَةٍ/قَلِيلَةٍ/qalilatin//غَلَبَتْ/غَلَبَتۡ/ghalabat//فِئَةً/فِئَةٗ/fi-atan//كَثِیْرَةًۢ/كَثِيرَةَۢ/kathiratan//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مَعَ/مَعَ/ma'a//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "যখন অতঃপর//রওনা হল//তালুত//সৈন্যদের নিয়ে//বলল//নিশ্চয়ই//আল্লাহ//তোমাদের পরীক্ষা করবেন//একটা নদী দিয়ে//যে অতঃপর//পান করবে//তা থেকে//সে নয় তখন //আমার দলে//এবং যে//না//তার স্বাদ নেবে//নিশ্চয়ই তবে সে//আমার দলভুক্ত (থাকবে)//কিন্তু//যে//আঁজলা ভরে নেবে (পানি)//এক আঁজলা//তার হাত দিয়ে (সেটা ভিন্ন)//তারা অতঃপর পান করল//তা থেকে//ছাড়া//স্বল্প সংখ্যক//তাদের মধ্য হতে//অতঃপর যখন//তা অতিক্রম করল//সে//ও যারা//ঈমান এনেছিল//তার সাথে//তারা বলেছিল//নেই//শক্তি//আমাদের কাছে//আজ//জালুতের সাথে//ও তার সৈন্যদের (সাথে যুদ্ধের)//বলল//যারা//মনে করত//তারা যে//সাক্ষাৎকারী//আল্লাহর সাথে//কত//থেকে//দল (রয়েছে)//ছোট ছোট//বিজয়ী হয়েছে (যারা)//দলের (উপর)//বড় বড়//অনুমতিক্রমে//আল্লাহর//এবং আল্লাহ//(সাথে আছেন)//ধৈর্যশীল"
            },
            {
              "number": 257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/257.mp3"
              ],
              "text": "وَلَمَّا بَرَزُوا۟ لِجَالُوتَ وَجُنُودِهِۦ قَالُوا۟ رَبَّنَآ أَفْرِغْ عَلَيْنَا صَبْرًۭا وَثَبِّتْ أَقْدَامَنَا وَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর যখন তালূত ও তার সেনাবাহিনী শত্রুর সম্মুখীন হল, তখন বলল, হে আমাদের পালনকর্তা, আমাদের মনে ধৈর্য্য সৃষ্টি করে দাও এবং আমাদেরকে দৃঢ়পদ রাখ-আর আমাদের সাহায্য কর সে কাফের জাতির বিরুদ্ধে।",
              "numberInSurah": 250,
              "juz": 2,
              "manzil": 1,
              "page": 41,
              "ruku": 34,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-বারাঝূ লিজা-লূতা ওয়াজুনূদিহী কা-লূরাব্বানা-আফরিগ আলাইনা-সাবরাওঁ ওয়া ছাব্বিত আকদা-মানা-ওয়ানসুরনা-‘আলাল কাওমিল কা-ফরীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//بَرَزُوْا/بَرَزُواْ/barazu//لِجَالُوْتَ/لِجَالُوتَ/lijaluta//وَ جُنُوْدِهٖ/وَجُنُودِهِۦ/wajunudihi//قَالُوْا/قَالُواْ/qalu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَفْرِغْ/أَفۡرِغۡ/afrigh//عَلَیْنَا/عَلَيۡنَا/alayna//صَبْرًا/صَبۡرٗا/sabran//وَّ ثَبِّتْ/وَثَبِّتۡ/wathabbit//اَقْدَامَنَا/أَقۡدَامَنَا/aqdamana//وَ انْصُرْنَا/وَٱنصُرۡنَا/wa-unsur'na//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْكٰفِرِیْنَؕ/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং যখন//তারা সম্মুখীন হল//জালুতের বিরুদ্ধে//ও তার সৈন্যদের (বিরুদ্ধে)//বলেছিল তারা//হে আমাদের রব//ঢেলে দাও(দান করো)//আমাদের ওপর//ধৈর্য//ও দৃঢ় করো//আমাদের পাগুলোকে//এবং আমাদেরকে সাহায্য করো//বিরুদ্ধে//জাতির//কাফির"
            },
            {
              "number": 258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/258.mp3"
              ],
              "text": "فَهَزَمُوهُم بِإِذْنِ ٱللَّهِ وَقَتَلَ دَاوُۥدُ جَالُوتَ وَءَاتَىٰهُ ٱللَّهُ ٱلْمُلْكَ وَٱلْحِكْمَةَ وَعَلَّمَهُۥ مِمَّا يَشَآءُ ۗ وَلَوْلَا دَفْعُ ٱللَّهِ ٱلنَّاسَ بَعْضَهُم بِبَعْضٍۢ لَّفَسَدَتِ ٱلْأَرْضُ وَلَٰكِنَّ ٱللَّهَ ذُو فَضْلٍ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "তারপর ঈমানদাররা আল্লাহর হুকুমে জালূতের বাহিনীকে পরাজিত করে দিল এবং দাউদ জালূতকে হত্যা করল। আর আল্লাহ দাউদকে দান করলেন রাজ্য ও অভিজ্ঞতা। আর তাকে যা চাইলেন শিখালেন। আল্লাহ যদি একজনকে অপরজনের দ্বারা প্রতিহত না করতেন, তাহলে গোটা দুনিয়া বিধ্বস্ত হয়ে যেতো। কিন্তু বিশ্ববাসীর প্রতি আল্লাহ একান্তই দয়ালু, করুণাময়।",
              "numberInSurah": 251,
              "juz": 2,
              "manzil": 1,
              "page": 41,
              "ruku": 34,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "ফাহাঝামূহুম বিইযনিল্লা-হি ওয়াকাতালা দা-ঊদু জা-লূতা ওয়া আ-তা-হুল্লা-হুল মুলকা ওয়াল হিকমাতা ওয়া‘আল্লামাহু মিম্মা-ইয়াশাউ ওয়া লাওলা-দাফ‘উল্লা-হিন্না-ছা বা‘দাহুম ব্বিা‘দিল লাফাছাদাতিল আরদুওয়া লা-কিন্নাল্লা-হা যূফাদলিন ‘আলাল ‘আ-লামীন।",
              "words_arabic": "فَهَزَمُوْهُمْ/فَهَزَمُوهُم/fahazamuhum//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ۙ۫/ٱللَّهِ/al-lahi//وَ قَتَلَ/وَقَتَلَ/waqatala//دَاوٗدُ/دَاوُۥدُ/dawudu//جَالُوْتَ/جَالُوتَ/jaluta//وَ اٰتٰىهُ/وَءَاتَىٰهُ/waatahu//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُلْكَ/ٱلۡمُلۡكَ/al-mul'ka//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ عَلَّمَهٗ/وَعَلَّمَهُۥ/wa'allamahu//مِمَّا/مِمَّا/mimma//یَشَآءُ ؕ/يَشَآءُۗ/yashau//وَ لَوْ لَا/وَلَوۡلَا/walawla//دَفْعُ/دَفۡعُ/daf'u//اللّٰهِ/ٱللَّهِ/al-lahi//النَّاسَ/ٱلنَّاسَ/al-nasa//بَعْضَهُمْ/بَعۡضَهُم/ba'dahum//بِبَعْضٍ ۙ/بِبَعۡضٖ/biba'din//لَّفَسَدَتِ/لَّفَسَدَتِ/lafasadati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//ذُوْ/ذُو/dhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তারা অতঃপর পরাজিত করল তাদেরকে//অনুমতিক্রমে//আল্লাহর//এবং হত্যা করল//দাঊদ//জালুতকে//এবং তাকে দিয়ে দিয়েছিলেন//আল্লাহ//রাজত্ব//ও প্রজ্ঞা//ও তাকে শিক্ষা দিয়েছিলেন//তা থেকে (বিভিন্ন জিনিসের) যা//তিনি চেয়েছেন//এবং যদি না//প্রতিহত (করা হত)//আল্লাহর (পক্ষ হতে)//মানুষের//তাদের কাউকে//(অন্য) কাউকে দিয়ে//(তাহলে) অবশ্যই বিপর্যস্ত হয়ে যেত//পৃথিবী//কিন্তু//আল্লাহ//(অধিকারী)//(অনুগ্রহের)//উপর//বিশ্বজগতের"
            },
            {
              "number": 259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/259.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۚ وَإِنَّكَ لَمِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "এগুলো হলো আল্লাহর নিদর্শন, যা আমরা তোমাদেরকে যথাযথভাবে শুনিয়ে থাকি। আর আপনি নিশ্চিতই আমার রসূলগণের অন্তর্ভুক্ত।",
              "numberInSurah": 252,
              "juz": 2,
              "manzil": 1,
              "page": 41,
              "ruku": 34,
              "hizbQuarter": 16,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-য়া-তুল্লা-হি নাতলূহা-‘আলাইকা বিলহাক্কিওয়া ইন্নাকা লামিনাল মুরছালীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//اللّٰهِ/ٱللَّهِ/al-lahi//نَتْلُوْهَا/نَتۡلُوهَا/natluha//عَلَیْكَ/عَلَيۡكَ/alayka//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَمِنَ/لَمِنَ/lamina//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এই//নিদর্শনাদি//আল্লাহর//তা তিলাওয়াত করছি আমরা//তোমার কাছে//যথাযথভাবে//এবং তুমি নিশ্চয়ই//অবশ্যই অর্ন্তভুক্ত//রাসূলদের"
            },
            {
              "number": 260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/260.mp3"
              ],
              "text": "۞ تِلْكَ ٱلرُّسُلُ فَضَّلْنَا بَعْضَهُمْ عَلَىٰ بَعْضٍۢ ۘ مِّنْهُم مَّن كَلَّمَ ٱللَّهُ ۖ وَرَفَعَ بَعْضَهُمْ دَرَجَٰتٍۢ ۚ وَءَاتَيْنَا عِيسَى ٱبْنَ مَرْيَمَ ٱلْبَيِّنَٰتِ وَأَيَّدْنَٰهُ بِرُوحِ ٱلْقُدُسِ ۗ وَلَوْ شَآءَ ٱللَّهُ مَا ٱقْتَتَلَ ٱلَّذِينَ مِنۢ بَعْدِهِم مِّنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَٰتُ وَلَٰكِنِ ٱخْتَلَفُوا۟ فَمِنْهُم مَّنْ ءَامَنَ وَمِنْهُم مَّن كَفَرَ ۚ وَلَوْ شَآءَ ٱللَّهُ مَا ٱقْتَتَلُوا۟ وَلَٰكِنَّ ٱللَّهَ يَفْعَلُ مَا يُرِيدُ",
              "translate_bn": "এই রসূলগণ-আমি তাদের কাউকে কারো উপর মর্যাদা দিয়েছি। তাদের মধ্যে কেউ তো হলো তারা যার সাথে আল্লাহ কথা বলেছেন, আর কারও মর্যাদা উচ্চতর করেছেন এবং আমি মরিয়ম তনয় ঈসাকে প্রকৃষ্ট মু’জেযা দান করেছি এবং তাকে শক্তি দান করেছি ‘রুহূল কুদ্দুস’ অর্থৎ জিবরাঈলের মাধ্যমে। আর আল্লাহ যদি ইচ্ছা করতেন, তাহলে পরিস্কার নির্দেশ এসে যাবার পর পয়গম্বরদের পেছনে যারা ছিল তারা লড়াই করতো না। কিন্তু তাদের মধ্যে মতবিরোধ সৃষ্টি হয়ে গেছে। অতঃপর তাদের কেউ তো ঈমান এনেছে, আর কেউ হয়েছে কাফের। আর আল্লাহ যদি ইচ্ছা করতেন, তাহলে তারা পরস্পর লড়াই করতো, কিন্তু আল্লাহ তাই করেন, যা তিনি ইচ্ছা করেন।",
              "numberInSurah": 253,
              "juz": 3,
              "manzil": 1,
              "page": 42,
              "ruku": 34,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "তিলকার রুছুলুফাদ্দালনা-বা‘দাহুম ‘আলা-বা‘দ। মিনহুম মান কাল্লামাল্লা-হু ওয়া রাফা‘আ বা‘দাহুম দারাজা-তিওঁ ওয়া আ-তাইনা-‘ঈছাবনা মারইয়ামাল বাইয়িনা-তি ওয়া আই ইয়াদনা-হু বিরূহিল কুদুছি ওয়ালাও শাআল্লা-হু মাকতাতালাল্লাযীনা মিম বা‘দিহিম মিম বা‘দি মা-জাআতহুমুল বাইয়িনা-তুওয়ালা-কিনিখ তালাফূ ফামিনহুম মান আমানা ওয়া মিনহুম মান কাফারা ওয়ালাও শাআল্লা-হু মাকতাতালূ ওয়ালা-কিন্নাল্লাহা ইয়াফ‘আলুমা-ইউরীদ।",
              "words_arabic": "تِلْكَ/۞تِلۡكَ/til'ka//الرُّسُلُ/ٱلرُّسُلُ/al-rusulu//فَضَّلْنَا/فَضَّلۡنَا/faddalna//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//عَلٰی/عَلَىٰ/ala//بَعْضٍ ۘ/بَعۡضٖۘ/ba'din//مِنْهُمْ/مِّنۡهُم/min'hum//مَّنْ/مَّن/man//كَلَّمَ/كَلَّمَ/kallama//اللّٰهُ/ٱللَّهُۖ/al-lahu//وَ رَفَعَ/وَرَفَعَ/warafa'a//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//دَرَجٰتٍ ؕ/دَرَجَٰتٖۚ/darajatin//وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//عِیْسَی/عِيسَى/isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//الْبَیِّنٰتِ/ٱلۡبَيِّنَٰتِ/al-bayinati//وَ اَیَّدْنٰهُ/وَأَيَّدۡنَٰهُ/wa-ayyadnahu//بِرُوْحِ/بِرُوحِ/biruhi//الْقُدُسِ ؕ/ٱلۡقُدُسِۗ/al-qudusi//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//اقْتَتَلَ/ٱقۡتَتَلَ/iq'tatala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِم/ba'dihim//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الْبَیِّنٰتُ/ٱلۡبَيِّنَٰتُ/al-bayinatu//وَ لٰكِنِ/وَلَٰكِنِ/walakini//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّنۡ/man//اٰمَنَ/ءَامَنَ/amana//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//كَفَرَ ؕ/كَفَرَۚ/kafara//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//اقْتَتَلُوْا ۫/ٱقۡتَتَلُواْ/iq'tatalu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//مَا/مَا/ma//یُرِیْدُ۠/يُرِيدُ/yuridu",
              "words_bangla": "এই//রাসূলগণ//আমরা মর্যাদা দিয়েছি//তাদের কাউকে//উপর//কারও//তাদের মধ্যে হতে//কারও (সাথে)//বলেছেন কথা//আল্লাহ//এবং উন্নীত করেছেন//তাদের কাউকে//(উচ্চ) মর্যাদায়//এবং আমরা দিয়েছি//ঈসাকে//পুত্র//মারইয়ামের//সুষ্পষ্ট প্রমাণ সমূহ//এবং তাকে সাহায্য করেছি আমরা//আত্মা দিয়ে//পবিত্র (অর্থাৎ জিবরাইল)//এবং যদি//চাইতেন//আল্লাহ//না//তারা পরস্পর যুদ্ধ করত//যারা (ছিল)//থেকে//তাদের পরে//থেকেও//এরপর//যা//তাদের কাছে এসেছিল//সুষ্পষ্ট নিদর্শনাদি//কিন্তু//মতবিরোধ করল তারা//তাদের পরে মধ্যথেকে//কেউ//ঈমান আনল//আবার তাদের মধ্যেথেকে//কেউ//অস্বীকার করল//এবং যদি//ইচ্ছা করতেন//আল্লাহ//না//তারা একে অপরে লড়ত//কিন্তু//আল্লাহ//করেন//যা//তিনি চান"
            },
            {
              "number": 261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/261.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَنفِقُوا۟ مِمَّا رَزَقْنَٰكُم مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌۭ لَّا بَيْعٌۭ فِيهِ وَلَا خُلَّةٌۭ وَلَا شَفَٰعَةٌۭ ۗ وَٱلْكَٰفِرُونَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "হে ঈমানদারগণ! আমি তোমাদেরকে যে রুযী দিয়েছি, সেদিন আসার পূর্বেই তোমরা তা থেকে ব্যয় কর, যাতে না আছে বেচা-কেনা, না আছে সুপারিশ কিংবা বন্ধুত্ব। আর কাফেররাই হলো প্রকৃত যালেম।",
              "numberInSurah": 254,
              "juz": 3,
              "manzil": 1,
              "page": 42,
              "ruku": 35,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ আনফিকূমিম্মা-রাঝাকনা-কুম মিন কাবলি আইঁ ইয়া’তিইয়া ইয়াওমুল্লা-বাই‘উন ফীহি ওয়ালা-খুল্লাতুওঁ ওয়ালা-শাফা-‘আতুওঁ ওয়াল কা-ফিরূনা হুমুজ্জা-লিমূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنْفِقُوْا/أَنفِقُواْ/anfiqu//مِمَّا/مِمَّا/mimma//رَزَقْنٰكُمْ/رَزَقۡنَٰكُم/razaqnakum//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//یَوْمٌ/يَوۡمٞ/yawmun//لَّا/لَّا/la//بَیْعٌ/بَيۡعٞ/bay'un//فِیْهِ/فِيهِ/fihi//وَ لَا/وَلَا/wala//خُلَّةٌ/خُلَّةٞ/khullatun//وَّ لَا/وَلَا/wala//شَفَاعَةٌ ؕ/شَفَٰعَةٞۗ/shafa'atun//وَ الْكٰفِرُوْنَ/وَٱلۡكَٰفِرُونَ/wal-kafiruna//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা ব্যয় করো//তা থেকে যা//তোমাদের আমরা জীবিকা দিয়েছি//থেকে//এর পূর্ব//যে//আসবে//দিন//না//কেনাবেচা হবে//তার মধ্যে//আর না//বন্ধুত্ব//আর না//সুপারিশ (কাজে আসবে)//এবং কাফিররা//তারাই//সীমালঙ্ঘনকারী"
            },
            {
              "number": 262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/262.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ٱلْحَىُّ ٱلْقَيُّومُ ۚ لَا تَأْخُذُهُۥ سِنَةٌۭ وَلَا نَوْمٌۭ ۚ لَّهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ مَن ذَا ٱلَّذِى يَشْفَعُ عِندَهُۥٓ إِلَّا بِإِذْنِهِۦ ۚ يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ ۖ وَلَا يُحِيطُونَ بِشَىْءٍۢ مِّنْ عِلْمِهِۦٓ إِلَّا بِمَا شَآءَ ۚ وَسِعَ كُرْسِيُّهُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ ۖ وَلَا يَـُٔودُهُۥ حِفْظُهُمَا ۚ وَهُوَ ٱلْعَلِىُّ ٱلْعَظِيمُ",
              "translate_bn": "আল্লাহ ছাড়া অন্য কোন উপাস্য নেই, তিনি জীবিত, সবকিছুর ধারক। তাঁকে তন্দ্রাও স্পর্শ করতে পারে না এবং নিদ্রাও নয়। আসমান ও যমীনে যা কিছু রয়েছে, সবই তাঁর। কে আছ এমন, যে সুপারিশ করবে তাঁর কাছে তাঁর অনুমতি ছাড়া? দৃষ্টির সামনে কিংবা পিছনে যা কিছু রয়েছে সে সবই তিনি জানেন। তাঁর জ্ঞানসীমা থেকে তারা কোন কিছুকেই পরিবেষ্টিত করতে পারে না, কিন্তু যতটুকু তিনি ইচ্ছা করেন। তাঁর সিংহাসন সমস্ত আসমান ও যমীনকে পরিবেষ্টিত করে আছে। আর সেগুলোকে ধারণ করা তাঁর পক্ষে কঠিন নয়। তিনিই সর্বোচ্চ এবং সর্বাপেক্ষা মহান।",
              "numberInSurah": 255,
              "juz": 3,
              "manzil": 1,
              "page": 42,
              "ruku": 35,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লাইলা-হা ইল্লা-হুওয়া আল হাইয়ুল কাইয়ূমু লা-তা’খুযুহূ ছিনাতুওঁ ওয়ালা-নাওমুন লাহূ মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি মান যাল্লাযী ইয়াশফা‘উ ‘ইনদাহূইল্লা-বিইযনিহী ইয়া‘লামুমা-বাইনা আইদীহিম ওয়ামা-খালফাহুম ওয়ালা-ইউহ ীতূনা বিশাইইম মিন ‘ইলমিহীইল্লা-বিমা-শাআ ওয়াছি‘আ কুরছিইয়ুহুছ ছামা-ওয়া-তি ওয়াল আরদা ওয়ালা-ইয়াঊদুহু হিফজু হুমা-ওয়া হুওয়াল ‘আলিইয়ূল ‘আজীম।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَ/huwa//اَلْحَیُّ/ٱلۡحَيُّ/al-hayu//الْقَیُّوْمُ ۚ۬/ٱلۡقَيُّومُۚ/al-qayumu//لَا/لَا/la//تَاْخُذُهٗ/تَأۡخُذُهُۥ/takhudhuhu//سِنَةٌ/سِنَةٞ/sinatun//وَّ لَا/وَلَا/wala//نَوْمٌ ؕ/نَوۡمٞۚ/nawmun//لَهٗ/لَّهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//مَنْ/مَن/man//ذَا/ذَا/dha//الَّذِیْ/ٱلَّذِي/alladhi//یَشْفَعُ/يَشۡفَعُ/yashfa'u//عِنْدَهْۤ/عِندَهُۥٓ/indahu//اِلَّا/إِلَّا/illa//بِاِذْنِهٖ ؕ/بِإِذۡنِهِۦۚ/bi-idh'nihi//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ ۚ/خَلۡفَهُمۡۖ/khalfahum//وَ لَا/وَلَا/wala//یُحِیْطُوْنَ/يُحِيطُونَ/yuhituna//بِشَیْءٍ/بِشَيۡءٖ/bishayin//مِّنْ/مِّنۡ/min//عِلْمِهٖۤ/عِلۡمِهِۦٓ/il'mihi//اِلَّا/إِلَّا/illa//بِمَا/بِمَا/bima//شَآءَ ۚ/شَآءَۚ/shaa//وَسِعَ/وَسِعَ/wasi'a//كُرْسِیُّهُ/كُرۡسِيُّهُ/kur'siyyuhu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ ۚ/وَٱلۡأَرۡضَۖ/wal-arda//وَ لَا/وَلَا/wala//یَـُٔوْدُهٗ/يَـُٔودُهُۥ/yauduhu//حِفْظُهُمَا ۚ/حِفۡظُهُمَاۚ/hif'zuhuma//وَ هُوَ/وَهُوَ/wahuwa//الْعَلِیُّ/ٱلۡعَلِيُّ/al-'aliyu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "আল্লাহ//নেই//কোনো ইলাহ//ছাড়া//তিনি//চিরঞ্জীব//সর্বসত্তার ধারক//না//তাকে স্পর্শ করতে পারে//তন্দ্রা//আর না//ঘুম//তাঁরই জন্য//যা কিছু//মধ্যে (আছে)//আকাশ সমূহের//এবং যা কিছু//মধ্যে (আছে)//পৃথিবীর//কে//সে (এমন সম্পন্ন)//যে//সুপারিশ করবে//তাঁর কাছে//ছাড়া//তাঁর অনুমতি//তিনি জানেন//যা (আছে)//(মাঝে)//তাদের সামনে(হাতের)//এবং যা কিছু//তাদের পিছনে//এবং না//তারা আয়ত্ত করতে পারে//সামান্য কিছুও//হতে//তাঁর জ্ঞান//এছাড়া//যা সে বিষয়ে//তিনি চান//পরিব্যাপ্ত করে আছে//তাঁর (কর্তৃত্ব) আসন//আকাশ সমূহে//ও পৃথিবীতে//এবং না//তাঁকে ক্লান্ত করে//এ দুটোর রক্ষণাবেক্ষণ//এবং তিনি//সুউচ্চ (সত্তা)//সুমহান"
            },
            {
              "number": 263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/263.mp3"
              ],
              "text": "لَآ إِكْرَاهَ فِى ٱلدِّينِ ۖ قَد تَّبَيَّنَ ٱلرُّشْدُ مِنَ ٱلْغَىِّ ۚ فَمَن يَكْفُرْ بِٱلطَّٰغُوتِ وَيُؤْمِنۢ بِٱللَّهِ فَقَدِ ٱسْتَمْسَكَ بِٱلْعُرْوَةِ ٱلْوُثْقَىٰ لَا ٱنفِصَامَ لَهَا ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ",
              "translate_bn": "দ্বীনের ব্যাপারে কোন জবরদস্তি বা বাধ্য-বাধকতা নেই। নিঃসন্দেহে হেদায়াত গোমরাহী থেকে পৃথক হয়ে গেছে। এখন যারা গোমরাহকারী ‘তাগুত’দেরকে মানবে না এবং আল্লাহতে বিশ্বাস স্থাপন করবে, সে ধারণ করে নিয়েছে সুদৃঢ় হাতল যা ভাংবার নয়। আর আল্লাহ সবই শুনেন এবং জানেন।",
              "numberInSurah": 256,
              "juz": 3,
              "manzil": 1,
              "page": 42,
              "ruku": 35,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "লাইকরা-হা ফিদ্দীনি কাততাবাইইয়ানার রুশদু মিনাল গাইয়ি ফামাইঁ ইয়াকফুর বিত্তা-গূতি ওয়া ইউ’মিমবিল্লা-হি ফাকাদিছ তামছাকা বিল‘উরওয়াতিল উছকা লানফিসা-মা লাহা-ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "لَاۤ/لَآ/la//اِكْرَاهَ/إِكۡرَاهَ/ik'raha//فِی/فِي/fi//الدِّیْنِ ۙ۫/ٱلدِّينِۖ/al-dini//قَدْ/قَد/qad//تَّبَیَّنَ/تَّبَيَّنَ/tabayyana//الرُّشْدُ/ٱلرُّشۡدُ/al-rush'du//مِنَ/مِنَ/mina//الْغَیِّ ۚ/ٱلۡغَيِّۚ/al-ghayi//فَمَنْ/فَمَن/faman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِالطَّاغُوْتِ/بِٱلطَّـٰغُوتِ/bil-taghuti//وَ یُؤْمِنْۢ/وَيُؤۡمِنۢ/wayu'min//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَقَدِ/فَقَدِ/faqadi//اسْتَمْسَكَ/ٱسۡتَمۡسَكَ/is'tamsaka//بِالْعُرْوَةِ/بِٱلۡعُرۡوَةِ/bil-'ur'wati//الْوُثْقٰی ۗ/ٱلۡوُثۡقَىٰ/al-wuth'qa//لَا/لَا/la//انْفِصَامَ/ٱنفِصَامَ/infisama//لَهَا ؕ/لَهَاۗ/laha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "নেই//জবরদস্তি//মধ্যে//দীনের//নিশ্চয়ই//স্পষ্ট হয়েছে//সত্য পথ//হতে//ভ্রান্ত পথ//যে অতঃপর//অস্বীকার করবে//তাগুতের (অসত্য দেবতার) প্রতি//ও ঈমান আনবে//আল্লাহর উপর//তাহলে নিশ্চয়ই//সে ধারণ করল//রাশি (বা হাতলকে)//সুদৃঢ় করে//না//ছিন্ন হওয়ার//যা//এবং আল্লাহ//সব শুনেন//সব জানেন"
            },
            {
              "number": 264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/264.mp3"
              ],
              "text": "ٱللَّهُ وَلِىُّ ٱلَّذِينَ ءَامَنُوا۟ يُخْرِجُهُم مِّنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ ۖ وَٱلَّذِينَ كَفَرُوٓا۟ أَوْلِيَآؤُهُمُ ٱلطَّٰغُوتُ يُخْرِجُونَهُم مِّنَ ٱلنُّورِ إِلَى ٱلظُّلُمَٰتِ ۗ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যারা ঈমান এনেছে, আল্লাহ তাদের অভিভাবক। তাদেরকে তিনি বের করে আনেন অন্ধকার থেকে আলোর দিকে। আর যারা কুফরী করে তাদের অভিভাবক হচ্ছে তাগুত। তারা তাদেরকে আলো থেকে বের করে অন্ধকারের দিকে নিয়ে যায়। এরাই হলো দোযখের অধিবাসী, চিরকাল তারা সেখানেই থাকবে।",
              "numberInSurah": 257,
              "juz": 3,
              "manzil": 1,
              "page": 43,
              "ruku": 35,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ওয়ালিইয়ূল্লাযীনা আ-মানূ ইউখরিজুহুম মিনাজ্জু লুমা-তি ইলান নূরি ওয়াল্লাযীনা কাফারুআওলিয়াউহুমুত্তা-গুতু ইউখরিজূনাহুম মিনান নূরি ইলাজ্জুলুমা-তি উলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//وَلِیُّ/وَلِيُّ/waliyyu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ۙ/ءَامَنُواْ/amanu//یُخْرِجُهُمْ/يُخۡرِجُهُم/yukh'rijuhum//مِّنَ/مِّنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ؕ۬/ٱلنُّورِۖ/al-nuri//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَوْلِیٰٓـُٔهُمُ/أَوۡلِيَآؤُهُمُ/awliyauhumu//الطَّاغُوْتُ ۙ/ٱلطَّـٰغُوتُ/al-taghutu//یُخْرِجُوْنَهُمْ/يُخۡرِجُونَهُم/yukh'rijunahum//مِّنَ/مِّنَ/mina//النُّوْرِ/ٱلنُّورِ/al-nuri//اِلَی/إِلَى/ila//الظُّلُمٰتِ ؕ/ٱلظُّلُمَٰتِۗ/al-zulumati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ۠/خَٰلِدُونَ/khaliduna",
              "words_bangla": "আল্লাহ//অভিভাবক//(তাদের) যারা//ঈমান এনেছে//তিনি তাদের বের করে আনেন//হতে//অন্ধকারগুলো//দিকে//আলোর//এবং যারা//অস্বীকার করেছে//তাদের অভিভাবক//তাগুত (অসত্য দেবতা)//তাদেরকে তারা বের করে নিয়ে যায়//থেকে//আলো//দিকে//অন্ধকারগুলোর//ঐ সব লোক//অধিবাসী//(জাহান্নামের) আগুনের//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/265.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِى حَآجَّ إِبْرَٰهِۦمَ فِى رَبِّهِۦٓ أَنْ ءَاتَىٰهُ ٱللَّهُ ٱلْمُلْكَ إِذْ قَالَ إِبْرَٰهِۦمُ رَبِّىَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ قَالَ أَنَا۠ أُحْىِۦ وَأُمِيتُ ۖ قَالَ إِبْرَٰهِۦمُ فَإِنَّ ٱللَّهَ يَأْتِى بِٱلشَّمْسِ مِنَ ٱلْمَشْرِقِ فَأْتِ بِهَا مِنَ ٱلْمَغْرِبِ فَبُهِتَ ٱلَّذِى كَفَرَ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "তুমি কি সে লোককে দেখনি, যে পালনকর্তার ব্যাপারে বাদানুবাদ করেছিল ইব্রাহীমের সাথে এ কারণে যে, আল্লাহ সে ব্যাক্তিকে রাজ্য দান করেছিলেন? ইব্রাহীম যখন বললেন, আমার পালনকর্তা হলেন তিনি, যিনি জীবন দান করেন এবং মৃত্যু ঘটান। সে বলল, আমি জীবন দান করি এবং মৃত্যু ঘটিয়ে থাকি। ইব্রাহীম বললেন, নিশ্চয়ই তিনি সুর্যকে উদিত করেন পূর্ব দিক থেকে এবার তুমি তাকে পশ্চিম দিক থেকে উদিত কর। তখন সে কাফের হতভম্ব হয়ে গেল। আর আল্লাহ সীমালংঘণকারী সম্প্রদায়কে সরল পথ প্রদর্শন করেন না।",
              "numberInSurah": 258,
              "juz": 3,
              "manzil": 1,
              "page": 43,
              "ruku": 36,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযী হাজ্জা ইবরা-হীমা ফী রাব্বিহীআন আ-তা-হুল্লা-হুল মুলক । ইযকা-লা ইবরা-হীমু রাব্বিইয়াল্লাযী ইউহয়ী ওয়া ইউমীতু কা-লা আনা উহঈ ওয়াউমীতু কা-লা ইবরা-হীমু ফাইন্নাল্লা-হা ইয়া’তী বিশশামছি মিনাল মাশরিকি ফা’তি বিহা- মিনাল মাগরিবি ফাবুহিতাল্লাযী কাফারা ওয়াল্লা-হু লা ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْ/ٱلَّذِي/alladhi//حَآجَّ/حَآجَّ/hajja//اِبْرٰهٖمَ/إِبۡرَٰهِـۧمَ/ib'rahima//فِیْ/فِي/fi//رَبِّهٖۤ/رَبِّهِۦٓ/rabbihi//اَنْ/أَنۡ/an//اٰتٰىهُ/ءَاتَىٰهُ/atahu//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُلْكَ ۘ/ٱلۡمُلۡكَ/al-mul'ka//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//رَبِّیَ/رَبِّيَ/rabbiya//الَّذِیْ/ٱلَّذِي/alladhi//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ۙ/وَيُمِيتُ/wayumitu//قَالَ/قَالَ/qala//اَنَا/أَنَا۠/ana//اُحْیٖ/أُحۡيِۦ/uh'yi//وَ اُمِیْتُ ؕ/وَأُمِيتُۖ/wa-umitu//قَالَ/قَالَ/qala//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//یَاْتِیْ/يَأۡتِي/yati//بِالشَّمْسِ/بِٱلشَّمۡسِ/bil-shamsi//مِنَ/مِنَ/mina//الْمَشْرِقِ/ٱلۡمَشۡرِقِ/al-mashriqi//فَاْتِ/فَأۡتِ/fati//بِهَا/بِهَا/biha//مِنَ/مِنَ/mina//الْمَغْرِبِ/ٱلۡمَغۡرِبِ/al-maghribi//فَبُهِتَ/فَبُهِتَ/fabuhita//الَّذِیْ/ٱلَّذِي/alladhi//كَفَرَ ؕ/كَفَرَۗ/kafara//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَۚ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "নি কি//তুমি দেখ//প্রতি//(তার) যে//বিতর্ক করেছিল//ইবরাহীমের (সাথে)//সম্বন্ধে//তার রব//(এজন্য) যে//তাকে দিয়ে ছিলেন//আল্লাহ//রাজত্ব//যখন//বলেছিল//ইবরাহীম//আমার রব (হচ্ছেন)//(ঐ সত্তা) যিনি//জীবিত করেন//এবং মৃত্যু ঘটান//সে বলল//আমি//জীবন দান করি//ও মৃত্যু ঘটাই//বলল//ইবরাহীম//নিশ্চয়ই তবে//আল্লাহ//আনেন//সূর্যকে নিয়ে//হতে//পূর্বদিক//তুমি তাহলে আনো//তাকে নিয়ে//হতে//পশ্চিমদিক//হতবুদ্ধি হয়ে তখন গেল//যে//অস্বীকার করেছিল//এবং আল্লাহ//না//সঠিক পথ দেখান//সম্প্রদায়কে//সীমালঙ্ঘনকারী"
            },
            {
              "number": 266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/266.mp3"
              ],
              "text": "أَوْ كَٱلَّذِى مَرَّ عَلَىٰ قَرْيَةٍۢ وَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا قَالَ أَنَّىٰ يُحْىِۦ هَٰذِهِ ٱللَّهُ بَعْدَ مَوْتِهَا ۖ فَأَمَاتَهُ ٱللَّهُ مِا۟ئَةَ عَامٍۢ ثُمَّ بَعَثَهُۥ ۖ قَالَ كَمْ لَبِثْتَ ۖ قَالَ لَبِثْتُ يَوْمًا أَوْ بَعْضَ يَوْمٍۢ ۖ قَالَ بَل لَّبِثْتَ مِا۟ئَةَ عَامٍۢ فَٱنظُرْ إِلَىٰ طَعَامِكَ وَشَرَابِكَ لَمْ يَتَسَنَّهْ ۖ وَٱنظُرْ إِلَىٰ حِمَارِكَ وَلِنَجْعَلَكَ ءَايَةًۭ لِّلنَّاسِ ۖ وَٱنظُرْ إِلَى ٱلْعِظَامِ كَيْفَ نُنشِزُهَا ثُمَّ نَكْسُوهَا لَحْمًۭا ۚ فَلَمَّا تَبَيَّنَ لَهُۥ قَالَ أَعْلَمُ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "তুমি কি সে লোককে দেখনি যে এমন এক জনপদ দিয়ে যাচ্ছিল যার বাড়ীঘরগুলো ভেঙ্গে ছাদের উপর পড়ে ছিল? বলল, কেমন করে আল্লাহ মরনের পর একে জীবিত করবেন? অতঃপর আল্লাহ তাকে মৃত অবস্থায় রাখলেন একশ বছর। তারপর তাকে উঠালেন। বললেন, কত কাল এভাবে ছিলে? বলল আমি ছিলাম, একদিন কংবা একদিনের কিছু কম সময়। বললেন, তা নয়; বরং তুমি তো একশ বছর ছিলে। এবার চেয়ে দেখ নিজের খাবার ও পানীয়ের দিকে-সেগুলো পচে যায় নি এবং দেখ নিজের গাধাটির দিকে। আর আমি তোমাকে মানুষের জন্য দৃষ্টান্ত বানাতে চেয়েছি। আর হাড়গুলোর দিকে চেয়ে দেখ যে, আমি এগুলোকে কেমন করে জুড়ে দেই এবং সেগুলোর উপর মাংসের আবরণ পরিয়ে দেই। অতঃপর যখন তার উপর এ অবস্থা প্রকাশিত হল, তখন বলে উঠল-আমি জানি, নিঃসন্দেহে আল্লাহ সর্ব বিষয়ে ক্ষমতাশীল।",
              "numberInSurah": 259,
              "juz": 3,
              "manzil": 1,
              "page": 43,
              "ruku": 36,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "আও কাল্লাযী মাররা ‘আলা-কারইয়াতিওঁ ওয়াহিয়া খা-বিয়াতুন ‘আলা-‘উরুশিহা-কা-লা আন্না-ইউহয়ী হা-যিহিল্লা-হু বা‘দা মাওতিহা-ফাআমাতাহুল্লা-হু মিআতা ‘আমিন ছু ম্মা বা‘আছাহু কা-লা কাম লাবিছতা কা-লা লাবিছতুইয়াওমান আও বা‘দা ইয়াওমিন কা-লা ‘বাল্লাবিছতা মিআতা ‘আ-মিন ফানজু র ইলা-তা‘আ-মিকা ওয়াশারা-বিকা লাম ইয়াতাছান্নাহু ওয়ানজু র ইলা-হিমা-রিকা ওয়া লিনাজ‘আলাকা আয়াতাল লিন্না-ছি ওয়ানজু র ইলাল ‘ইজা-মি কাইফা নুনশিঝুহা- ছু ম্মা নাকছূহা-লাহমান ফালাম্মা-তাবাইয়ানা লাহু কালা আ‘লামুআন্নাল্লা-হা ‘আলা-কুল্লি শাইইন কাদীর।",
              "words_arabic": "اَوْ/أَوۡ/aw//كَالَّذِیْ/كَٱلَّذِي/ka-alladhi//مَرَّ/مَرَّ/marra//عَلٰی/عَلَىٰ/ala//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//وَّ هِیَ/وَهِيَ/wahiya//خَاوِیَةٌ/خَاوِيَةٌ/khawiyatun//عَلٰی/عَلَىٰ/ala//عُرُوْشِهَا ۚ/عُرُوشِهَا/urushiha//قَالَ/قَالَ/qala//اَنّٰی/أَنَّىٰ/anna//یُحْیٖ/يُحۡيِۦ/yuh'yi//هٰذِهِ/هَٰذِهِ/hadhihi//اللّٰهُ/ٱللَّهُ/al-lahu//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ۚ/مَوۡتِهَاۖ/mawtiha//فَاَمَاتَهُ/فَأَمَاتَهُ/fa-amatahu//اللّٰهُ/ٱللَّهُ/al-lahu//مِائَةَ/مِاْئَةَ/mi-ata//عَامٍ/عَامٖ/amin//ثُمَّ/ثُمَّ/thumma//بَعَثَهٗ ؕ/بَعَثَهُۥۖ/ba'athahu//قَالَ/قَالَ/qala//كَمْ/كَمۡ/kam//لَبِثْتَ ؕ/لَبِثۡتَۖ/labith'ta//قَالَ/قَالَ/qala//لَبِثْتُ/لَبِثۡتُ/labith'tu//یَوْمًا/يَوۡمًا/yawman//اَوْ/أَوۡ/aw//بَعْضَ/بَعۡضَ/ba'da//یَوْمٍ ؕ/يَوۡمٖۖ/yawmin//قَالَ/قَالَ/qala//بَلْ/بَل/bal//لَّبِثْتَ/لَّبِثۡتَ/labith'ta//مِائَةَ/مِاْئَةَ/mi-ata//عَامٍ/عَامٖ/amin//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//اِلٰی/إِلَىٰ/ila//طَعَامِكَ/طَعَامِكَ/ta'amika//وَ شَرَابِكَ/وَشَرَابِكَ/washarabika//لَمْ/لَمۡ/lam//یَتَسَنَّهْ ۚ/يَتَسَنَّهۡۖ/yatasannah//وَ انْظُرْ/وَٱنظُرۡ/wa-unzur//اِلٰی/إِلَىٰ/ila//حِمَارِكَ/حِمَارِكَ/himarika//وَ لِنَجْعَلَكَ/وَلِنَجۡعَلَكَ/walinaj'alaka//اٰیَةً/ءَايَةٗ/ayatan//لِّلنَّاسِ/لِّلنَّاسِۖ/lilnnasi//وَ انْظُرْ/وَٱنظُرۡ/wa-unzur//اِلَی/إِلَى/ila//الْعِظَامِ/ٱلۡعِظَامِ/al-'izami//كَیْفَ/كَيۡفَ/kayfa//نُنْشِزُهَا/نُنشِزُهَا/nunshizuha//ثُمَّ/ثُمَّ/thumma//نَكْسُوْهَا/نَكۡسُوهَا/naksuha//لَحْمًا ؕ/لَحۡمٗاۚ/lahman//فَلَمَّا/فَلَمَّا/falamma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهٗ ۙ/لَهُۥ/lahu//قَالَ/قَالَ/qala//اَعْلَمُ/أَعۡلَمُ/a'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "অথবা//যে দৃষ্টান্ত (ঐলোকের)//অতিক্রম করছিল//উপর দিয়ে//এক নগরের//এমনঅবস্থায় যে তা (ছিল)//ধ্বংসস্তুপ হয়েছিল//উপর//তার ছাদগুলোর//সে বলল//কিরূপে//জীবিত করবেন//এটাকে//আল্লাহ//পর//তার (মৃত্যুর)//তাকে তখন মৃত্যু দিলেন//আল্লাহ//একশত//বছর (পর্যন্ত)//এরপর//তাকে পুনরুজ্জীবিত করলেন//(তাকে) বললেন//কতকাল//তুমি অবস্থান করেছ//সে বলল//অবস্থান করেছি আমি//একদিন//কিংবা//কিছু অংশ//দিনের//তিনি বললেন//বরং//তুমি অবস্থান করেছ//একশত//বছর//অতঃপর লক্ষ করো//দিকে//তোমার খাদ্যের//ও তোমার পানীয়ের (দিকে)//নি//বিকৃত হয়//এবং লক্ষ করো তুমি//প্রতি//তোমার গাধার//এবং তোমাকে আমরা বানাতে পারি//নিদর্শন//মানুষের জন্য//ও তুমি দেখো//প্রতি//হাড়গুলোর//কীভাবে//আমরা তা সংযোজিত করি//এরপর//তা ঢেকে দিই আমরা//গোশত (দিয়ে)//অতঃপর যখন//প্রকাশ পেল//তার নিকটে//সে বলল//আমি জানি//যে//আল্লাহ//ওপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/267.mp3"
              ],
              "text": "وَإِذْ قَالَ إِبْرَٰهِۦمُ رَبِّ أَرِنِى كَيْفَ تُحْىِ ٱلْمَوْتَىٰ ۖ قَالَ أَوَلَمْ تُؤْمِن ۖ قَالَ بَلَىٰ وَلَٰكِن لِّيَطْمَئِنَّ قَلْبِى ۖ قَالَ فَخُذْ أَرْبَعَةًۭ مِّنَ ٱلطَّيْرِ فَصُرْهُنَّ إِلَيْكَ ثُمَّ ٱجْعَلْ عَلَىٰ كُلِّ جَبَلٍۢ مِّنْهُنَّ جُزْءًۭا ثُمَّ ٱدْعُهُنَّ يَأْتِينَكَ سَعْيًۭا ۚ وَٱعْلَمْ أَنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "আর স্মরণ কর, যখন ইব্রাহীম বলল, হে আমার পালনকর্তা আমাকে দেখাও, কেমন করে তুমি মৃতকে জীবিত করবে। বললেন; তুমি কি বিশ্বাস কর না? বলল, অবশ্যই বিশ্বাস করি, কিন্তু দেখতে এজন্যে চাইছি যাতে অন্তরে প্রশান্তি লাভ করতে পারি। বললেন, তাহলে চারটি পাখী ধরে নাও। পরে সেগুলোকে নিজের পোষ মানিয়ে নাও, অতঃপর সেগুলোর দেহের একেকটি অংশ বিভিন্ন পাহাড়ের উপর রেখে দাও। তারপর সেগুলোকে ডাক; তোমার নিকট দৌড়ে চলে আসবে। আর জেনে রাখো, নিশ্চয়ই আল্লাহ পরাক্রমশালী, অতি জ্ঞান সম্পন্ন।",
              "numberInSurah": 260,
              "juz": 3,
              "manzil": 1,
              "page": 44,
              "ruku": 36,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা ইবরা-হীমু রাব্বি আরিনী কাইফা তুহয়িলমাওতা-কা-লা আওয়ালাম তু’মিন কা-লা বালা- ওয়ালা-কিল লিইয়াতমাইন্না কালবী কা-লা ফাখুয আরবা‘আতাম মিনাত্তাইরি ফাসুরহুন্না ইলাইকা ছুম্মাজ‘আল ‘আলা-কুল্লি জাবালিম মিনহুন্না জুঝআন ছুম্মাদ ‘উহুন্না ইয়া তীনাকা ছা‘ইয়াওঁ ওয়া‘লাম আন্নাল্লা-হা ‘আঝীঝূন হাকীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اِبْرٰهٖمُ/إِبۡرَٰهِـۧمُ/ib'rahimu//رَبِّ/رَبِّ/rabbi//اَرِنِیْ/أَرِنِي/arini//كَیْفَ/كَيۡفَ/kayfa//تُحْیِ/تُحۡيِ/tuh'yi//الْمَوْتٰی ؕ/ٱلۡمَوۡتَىٰۖ/al-mawta//قَالَ/قَالَ/qala//اَوَ لَمْ/أَوَلَمۡ/awalam//تُؤْمِنْ ؕ/تُؤۡمِنۖ/tu'min//قَالَ/قَالَ/qala//بَلٰی/بَلَىٰ/bala//وَ لٰكِنْ/وَلَٰكِن/walakin//لِّیَطْمَىِٕنَّ/لِّيَطۡمَئِنَّ/liyatma-inna//قَلْبِیْ ؕ/قَلۡبِيۖ/qalbi//قَالَ/قَالَ/qala//فَخُذْ/فَخُذۡ/fakhudh//اَرْبَعَةً/أَرۡبَعَةٗ/arba'atan//مِّنَ/مِّنَ/mina//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//فَصُرْهُنَّ/فَصُرۡهُنَّ/fasur'hunna//اِلَیْكَ/إِلَيۡكَ/ilayka//ثُمَّ/ثُمَّ/thumma//اجْعَلْ/ٱجۡعَلۡ/ij'al//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//جَبَلٍ/جَبَلٖ/jabalin//مِّنْهُنَّ/مِّنۡهُنَّ/min'hunna//جُزْءًا/جُزۡءٗا/juz'an//ثُمَّ/ثُمَّ/thumma//ادْعُهُنَّ/ٱدۡعُهُنَّ/ud'uhunna//یَاْتِیْنَكَ/يَأۡتِينَكَ/yatinaka//سَعْیًا ؕ/سَعۡيٗاۚ/sa'yan//وَ اعْلَمْ/وَٱعۡلَمۡ/wa-i'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ۠/حَكِيمٞ/hakimun",
              "words_bangla": "এবং যখন//বলল//ইবরাহীম//হে আমার রব//দেখাও আমাকে//কীভাবে//তুমি জীবিত কর//মৃতদেরকে//তিনি বললেন//না কি//তুমি বিশ্বাস কর//সে বলল//হ্যাঁ অবশ্যই//কিন্তু//প্রশান্ত লাভ করে//আমার অন্তর//তিনি বললেন//তুমি তাহলে ধরো//চারটি//থেকে//পাখি//তাদেরকে এরপর পোষ মানাও//তোমার প্রতি//এরপর//রেখে দাও//উপর//প্রত্যেক//পাহাড়ের//তাদের থেকে//(কর্তিত এক এক) অংশ//এরপর//তাদেরকে ডাকো//তোমার কাছে আসবে//দৌড়ে//এবং তুমি জেনে রাখো//যে//আল্লাহ//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/268.mp3"
              ],
              "text": "مَّثَلُ ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ فِى سَبِيلِ ٱللَّهِ كَمَثَلِ حَبَّةٍ أَنۢبَتَتْ سَبْعَ سَنَابِلَ فِى كُلِّ سُنۢبُلَةٍۢ مِّا۟ئَةُ حَبَّةٍۢ ۗ وَٱللَّهُ يُضَٰعِفُ لِمَن يَشَآءُ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ",
              "translate_bn": "যারা আল্লাহর রাস্তায় স্বীয় ধন সম্পদ ব্যয় করে, তাদের উদাহরণ একটি বীজের মত, যা থেকে সাতটি শীষ জন্মায়। প্রত্যেকটি শীষে একশ করে দানা থাকে। আল্লাহ অতি দানশীল, সর্বজ্ঞ।",
              "numberInSurah": 261,
              "juz": 3,
              "manzil": 1,
              "page": 44,
              "ruku": 37,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "মাছালুল্লাযীনা ইউনফিকূনা আমওয়া-লাহুম ফী ছাবীলিল্লা-হি কামাছালি হাব্বাতিন আমবাতাত ছাব‘আ ছানা-বিলা ফী কুল্লি ছুমবুলাতিম মিআতুহাব্বাতিওঁ ওয়াল্লা-হু ইউদা‘ইফু লিামইঁ ইয়াশাূউ ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "مَثَلُ/مَّثَلُ/mathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//كَمَثَلِ/كَمَثَلِ/kamathali//حَبَّةٍ/حَبَّةٍ/habbatin//اَنْۢبَتَتْ/أَنۢبَتَتۡ/anbatat//سَبْعَ/سَبۡعَ/sab'a//سَنَابِلَ/سَنَابِلَ/sanabila//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//سُنْۢبُلَةٍ/سُنۢبُلَةٖ/sunbulatin//مِّائَةُ/مِّاْئَةُ/mi-atu//حَبَّةٍ ؕ/حَبَّةٖۗ/habbatin//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُضٰعِفُ/يُضَٰعِفُ/yuda'ifu//لِمَنْ/لِمَن/liman//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "উপমা (তাদের ঐরূপ)//যারা//ব্যয় করে//তাদের ধন সম্পদ//মধ্যে//পথের//আল্লাহর//মতো উপমা//একটা শস্যদানা (বীজের)//তা উৎপন্ন করে//সাতটি//শীষ//মধ্যে (আছে)//প্রত্যেকটি//শীষে//একশত//শস্যদানা//এবং আল্লাহ//বৃদ্ধি করেন বহুগুনে//তার জন্য যাকে//তিনি ইচ্ছা করেন//এবং আল্লাহ//প্রাচুর্যময়//সর্বজ্ঞ"
            },
            {
              "number": 269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/269.mp3"
              ],
              "text": "ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ فِى سَبِيلِ ٱللَّهِ ثُمَّ لَا يُتْبِعُونَ مَآ أَنفَقُوا۟ مَنًّۭا وَلَآ أَذًۭى ۙ لَّهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "যারা স্বীয় ধন সম্পদ আল্লাহর রাস্তায় ব্যয় করে, এরপর ব্যয় করার পর সে অনুগ্রহের কথা প্রকাশ করে না এবং কষ্টও দেয় না, তাদেরই জন্যে তাদের পালনকর্তার কাছে রয়েছে পুরস্কার এবং তাদের কোন আশংকা নেই, তারা চিন্তিতও হবে না।",
              "numberInSurah": 262,
              "juz": 3,
              "manzil": 1,
              "page": 44,
              "ruku": 37,
              "hizbQuarter": 17,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউনফিকূনা আমওয়া-লাহুম ফী ছাবীলিল্লা-হি ছুম্মা লা-ইউতবি‘ঊনা মাআনফাকূমান্নাওঁ ওয়ালাআযাল লাহুম আজরুহুম ‘ইনদা রাব্বিহিম ওয়ালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানুন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُتْبِعُوْنَ/يُتۡبِعُونَ/yut'bi'una//مَاۤ/مَآ/ma//اَنْفَقُوْا/أَنفَقُواْ/anfaqu//مَنًّا/مَنّٗا/mannan//وَّ لَاۤ/وَلَآ/wala//اَذًی ۙ/أَذٗى/adhan//لَّهُمْ/لَّهُمۡ/lahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ ۚ/رَبِّهِمۡ/rabbihim//وَ لَا/وَلَا/wala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "যারা//ব্যয় করে//তাদের ধন সম্পদ//মধ্যে//পথের//আল্লাহর//এরপর//না//তারা পেছনে থাকে//(তার) যা//তারা ব্যয় করেছে//(অনুগ্রহ করার) খোটা//আর না//কষ্ট//তাদের জন্য (রয়েছে)//তাদের পুরস্কার//কাছে//তাদের রবের//এবং নেই//কোনো ভয়//তাদের জন্য//আর না//তারা//দুঃখ করবে"
            },
            {
              "number": 270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/270.mp3"
              ],
              "text": "۞ قَوْلٌۭ مَّعْرُوفٌۭ وَمَغْفِرَةٌ خَيْرٌۭ مِّن صَدَقَةٍۢ يَتْبَعُهَآ أَذًۭى ۗ وَٱللَّهُ غَنِىٌّ حَلِيمٌۭ",
              "translate_bn": "নম্র কথা বলে দেয়া এবং ক্ষমা প্রদর্শন করা ঐ দান খয়রাত অপেক্ষা উত্তম, যার পরে কষ্ট দেয়া হয়। আল্লাহ তা’আলা সম্পদশালী, সহিঞ্চু।",
              "numberInSurah": 263,
              "juz": 3,
              "manzil": 1,
              "page": 44,
              "ruku": 37,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "কাওলুম মা‘রূফুওঁ ওয়া মাগফিরাতুন খাইরুম মিন সাদাকাতিইঁ ইয়াতবা‘উহাআযা-ওয়াল্লা-হু গানিউয়ুন হালীম।",
              "words_arabic": "قَوْلٌ/۞قَوۡلٞ/qawlun//مَّعْرُوْفٌ/مَّعۡرُوفٞ/ma'rufun//وَّ مَغْفِرَةٌ/وَمَغۡفِرَةٌ/wamaghfiratun//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّن/min//صَدَقَةٍ/صَدَقَةٖ/sadaqatin//یَّتْبَعُهَاۤ/يَتۡبَعُهَآ/yatba'uha//اَذًی ؕ/أَذٗىۗ/adhan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَنِیٌّ/غَنِيٌّ/ghaniyyun//حَلِیْمٌ /حَلِيمٞ/halimun",
              "words_bangla": "কথা//ভাল//ও ক্ষমা//উত্তম//চেয়ে//(এমন) দানের//যার পেছনে আসে//কষ্ট//এবং আল্লাহ//অভাবমুক্ত//পরম সহনশীল"
            },
            {
              "number": 271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/271.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُبْطِلُوا۟ صَدَقَٰتِكُم بِٱلْمَنِّ وَٱلْأَذَىٰ كَٱلَّذِى يُنفِقُ مَالَهُۥ رِئَآءَ ٱلنَّاسِ وَلَا يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۖ فَمَثَلُهُۥ كَمَثَلِ صَفْوَانٍ عَلَيْهِ تُرَابٌۭ فَأَصَابَهُۥ وَابِلٌۭ فَتَرَكَهُۥ صَلْدًۭا ۖ لَّا يَقْدِرُونَ عَلَىٰ شَىْءٍۢ مِّمَّا كَسَبُوا۟ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَٰفِرِينَ",
              "translate_bn": "হে ঈমানদারগণ!তোমরা অনুগ্রহের কথা প্রকাশ করে এবং কষ্ট দিয়ে নিজেদের দান খয়রাত বরবাদ করো না সে ব্যক্তির মত যে নিজের ধন-সম্পদ লোক দেখানোর উদ্দেশ্যে ব্যয় করে এবং আল্লাহ ও পরকালের প্রতি বিশ্বাস রাখে না। অতএব, এ ব্যাক্তির দৃষ্টান্ত একটি মসৃণ পাথরের মত যার উপর কিছু মাটি পড়েছিল। অতঃপর এর উপর প্রবল বৃষ্টি বর্ষিত হলো, অনন্তর তাকে সম্পূর্ণ পরিষ্কার করে দিল। তারা ঐ বস্তুর কোন সওয়াব পায় না, যা তারা উপার্জন করেছে। আল্লাহ কাফের সম্প্রদায়কে পথ প্রদর্শন করেন না।",
              "numberInSurah": 264,
              "juz": 3,
              "manzil": 1,
              "page": 44,
              "ruku": 37,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূ লা-তুবতিলূ সাদাকা-তিকুম বিলমান্নি ওয়ালআযা-কাল্লাযী ইউনফিকু মা-লাহূ রিআআন্না-ছি ওয়ালা-ইউমিনুবিল্লা-হি ওয়াল ইয়াওমিল আখিরি ফামাছালুহূকামাছালি সাফওয়া-নিন ‘আলাইহি তুরা-বুন ফাআসা-বাহু ওয়া-বিলুন ফাতারাকাহূ সালদান লা-ইয়াকদিরূনা ‘আলা-শাইইম মিম্মা-কাছাবূ ওয়াল্লা-হু লাইয়াহদিল কাওমাল কা-ফিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تُبْطِلُوْا/تُبۡطِلُواْ/tub'tilu//صَدَقٰتِكُمْ/صَدَقَٰتِكُم/sadaqatikum//بِالْمَنِّ/بِٱلۡمَنِّ/bil-mani//وَ الْاَذٰی ۙ/وَٱلۡأَذَىٰ/wal-adha//كَالَّذِیْ/كَٱلَّذِي/ka-alladhi//یُنْفِقُ/يُنفِقُ/yunfiqu//مَالَهٗ/مَالَهُۥ/malahu//رِئَآءَ/رِئَآءَ/riaa//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لَا/وَلَا/wala//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِۖ/al-akhiri//فَمَثَلُهٗ/فَمَثَلُهُۥ/famathaluhu//كَمَثَلِ/كَمَثَلِ/kamathali//صَفْوَانٍ/صَفۡوَانٍ/safwanin//عَلَیْهِ/عَلَيۡهِ/alayhi//تُرَابٌ/تُرَابٞ/turabun//فَاَصَابَهٗ/فَأَصَابَهُۥ/fa-asabahu//وَابِلٌ/وَابِلٞ/wabilun//فَتَرَكَهٗ/فَتَرَكَهُۥ/fatarakahu//صَلْدًا ؕ/صَلۡدٗاۖ/saldan//لَا/لَّا/la//یَقْدِرُوْنَ/يَقۡدِرُونَ/yaqdiruna//عَلٰی/عَلَىٰ/ala//شَیْءٍ/شَيۡءٖ/shayin//مِّمَّا/مِّمَّا/mimma//كَسَبُوْا ؕ/كَسَبُواْۗ/kasabu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "হে//যারা//ঈমান এনেছ//না//তোমরা নষ্ট করো//তোমাদের দান সমূহ//(অনুগ্রহ প্রদানের) খোটা দিয়ে//ও কষ্ট (দিয়ে)//(ঐ ব্যক্তির) মতো যে//ব্যয় করে//তার ধন সম্পদ//দেখানোর জন্য//মানুষ//আর না//বিশ্বাস করে//আল্লাহর প্রতি//ও দিনে//আখিরাতের//সুতরাং তার উপমা//উপমার মতো//একটি পাথরের মসৃণ//তার উপর (আছে)//মাটি//তাতে অতঃপর বর্ষিত হয়//প্রবল বৃষ্টি//ফলে তাকে রেখে দেয়//পরিস্কার করে//না//তারা সক্ষম হয় (কাজে লাগাতে)//এক্ষেত্রে//কোনো কিছুই//তা হতে যা//তারা অর্জন করেছে//এবং আল্লাহ//না//সৎপথে পরিচালিত করেন//সম্প্রদায়কে//(যারা) অস্বীকারকারী"
            },
            {
              "number": 272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/272.mp3"
              ],
              "text": "وَمَثَلُ ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمُ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ وَتَثْبِيتًۭا مِّنْ أَنفُسِهِمْ كَمَثَلِ جَنَّةٍۭ بِرَبْوَةٍ أَصَابَهَا وَابِلٌۭ فَـَٔاتَتْ أُكُلَهَا ضِعْفَيْنِ فَإِن لَّمْ يُصِبْهَا وَابِلٌۭ فَطَلٌّۭ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ",
              "translate_bn": "যারা আল্লাহর রাস্তায় স্বীয় ধন-সম্পদ ব্যয় করে আল্লাহর সন্তুষ্টি অর্জনের লক্ষ্যে এবং নিজের মনকে সুদৃঢ় করার জন্যে তাদের উদাহরণ টিলায় অবস্থিত বাগানের মত, যাতে প্রবল বৃষ্টিপাত হয়; অতঃপর দ্বিগুণ ফসল দান করে। যদি এমন প্রবল বৃষ্টিপাত নাও হয়, তবে হাল্কা বর্ষণই যথেষ্ট। আল্লাহ তোমাদের কাজকর্ম যথার্থই প্রত্যক্ষ করেন।",
              "numberInSurah": 265,
              "juz": 3,
              "manzil": 1,
              "page": 45,
              "ruku": 37,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাছালুল্লাযীনা ইউনফিকূনা আমওয়া-লাহুমুব তিগাআ মারদা-তিল্লা-হি ওয়া তাছবীতাম মিন আনফুছিহিম কামাছালি জান্নাতিম বিরাবওয়াতিন আসা-বাহা-ওয়া-বিলুন ফাআ-তাত উকুলাহা-দি‘ফাইনি ফাইল্লাম ইউসিবহা-ওয়া-বিলুন ফাতাল্লুওঁ ওয়াল্লাহু বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "وَ مَثَلُ/وَمَثَلُ/wamathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمُ/أَمۡوَٰلَهُمُ/amwalahumu//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//مَرْضَاتِ/مَرۡضَاتِ/mardati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ تَثْبِیْتًا/وَتَثۡبِيتٗا/watathbitan//مِّنْ/مِّنۡ/min//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//كَمَثَلِ/كَمَثَلِ/kamathali//جَنَّةٍۭ/جَنَّةِۭ/jannatin//بِرَبْوَةٍ/بِرَبۡوَةٍ/birabwatin//اَصَابَهَا/أَصَابَهَا/asabaha//وَابِلٌ/وَابِلٞ/wabilun//فَاٰتَتْ/فَـَٔاتَتۡ/faatat//اُكُلَهَا/أُكُلَهَا/ukulaha//ضِعْفَیْنِ ۚ/ضِعۡفَيۡنِ/di'fayni//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//یُصِبْهَا/يُصِبۡهَا/yusib'ha//وَابِلٌ/وَابِلٞ/wabilun//فَطَلٌّ ؕ/فَطَلّٞۗ/fatallun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "এবং উপমা//(তাদের) যারা//ব্যয় করে//তাদের সম্পদগুলো//সন্ধানে//সন্তুষ্টির//আল্লাহর//এবং সুদৃঢ় করতে//বিষয়টিকে//তাদের আত্মার//(তাদের) উপমা যেমন//একটি বাগানের//উঁচু ভূমিতে অবস্থিত//তাতে বর্ষিত হয়//প্রবল বৃষ্টি//আসে অতঃপর//তার ফলমূল//দ্বিগুণ//যদি তবে//না//তাতে বর্ষিত হয়//প্রবল বৃষ্টি//সামান্য তবে বৃষ্টিই (যথেষ্ট)//এবং আল্লাহ//ঐ বিষয়ে যা//তোমরা কাজ করছ//সম্যক দ্রষ্টা"
            },
            {
              "number": 273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/273.mp3"
              ],
              "text": "أَيَوَدُّ أَحَدُكُمْ أَن تَكُونَ لَهُۥ جَنَّةٌۭ مِّن نَّخِيلٍۢ وَأَعْنَابٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ لَهُۥ فِيهَا مِن كُلِّ ٱلثَّمَرَٰتِ وَأَصَابَهُ ٱلْكِبَرُ وَلَهُۥ ذُرِّيَّةٌۭ ضُعَفَآءُ فَأَصَابَهَآ إِعْصَارٌۭ فِيهِ نَارٌۭ فَٱحْتَرَقَتْ ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْءَايَٰتِ لَعَلَّكُمْ تَتَفَكَّرُونَ",
              "translate_bn": "তোমাদের কেউ পছন্দ করে যে, তার একটি খেজুর ও আঙ্গুরের বাগান হবে, এর তলদেশ দিয়ে নহর প্রবাহিত হবে, আর এতে সর্বপ্রকার ফল-ফসল থাকবে এবং সে বার্ধক্যে পৌছবে, তার দুর্বল সন্তান সন্ততিও থাকবে, এমতাবস্থায় এ বাগানের একটি ঘূর্ণিবায়ু আসবে, যাতে আগুন রয়েছে, অনন্তর বাগানটি ভষ্মীভূত হয়ে যাবে? এমনিভাবে আল্লাহ তা’আলা তোমাদের জন্যে নিদর্শনসমূহ বর্ননা করেন-যাতে তোমরা চিন্তা-ভাবনা কর।",
              "numberInSurah": 266,
              "juz": 3,
              "manzil": 1,
              "page": 45,
              "ruku": 37,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "আইয়াওয়াদ্দুআহাদুকুম আন তাকূনা লাহু জান্নাতুম মিন নাখীলিওঁ ওয়া আ‘না-বিন তাজরী মিন তাহতিহাল আনহা-রু লাহু ফীহা-মিন কুল্লিছছামারা-তি ওয়া আসা-বাহুল কিবারু ওয়ালাহু যুররিইইয়াতুন দু‘আফাউ ফাআসা-বাহা ই‘সা-রুন ফীহি না-রুন ফাহতারাকাত কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুমুল আ-য়া-তি ল‘আল্লাকুম তাতাফাক্কারূন।",
              "words_arabic": "اَیَوَدُّ/أَيَوَدُّ/ayawaddu//اَحَدُكُمْ/أَحَدُكُمۡ/ahadukum//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//لَهٗ/لَهُۥ/lahu//جَنَّةٌ/جَنَّةٞ/jannatun//مِّنْ/مِّن/min//نَّخِیْلٍ/نَّخِيلٖ/nakhilin//وَّ اَعْنَابٍ/وَأَعۡنَابٖ/wa-a'nabin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۙ/ٱلۡأَنۡهَٰرُ/al-anharu//لَهٗ/لَهُۥ/lahu//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ ۙ/ٱلثَّمَرَٰتِ/al-thamarati//وَ اَصَابَهُ/وَأَصَابَهُ/wa-asabahu//الْكِبَرُ/ٱلۡكِبَرُ/al-kibaru//وَ لَهٗ/وَلَهُۥ/walahu//ذُرِّیَّةٌ/ذُرِّيَّةٞ/dhurriyyatun//ضُعَفَآءُ ۪ۖ/ضُعَفَآءُ/du'afau//فَاَصَابَهَاۤ/فَأَصَابَهَآ/fa-asabaha//اِعْصَارٌ/إِعۡصَارٞ/i'sarun//فِیْهِ/فِيهِ/fihi//نَارٌ/نَارٞ/narun//فَاحْتَرَقَتْ ؕ/فَٱحۡتَرَقَتۡۗ/fa-ih'taraqat//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَفَكَّرُوْنَ۠/تَتَفَكَّرُونَ/tatafakkaruna",
              "words_bangla": "কামনা করে কি//তোমাদের কেউ//যে//হবে//তার জন্য//একটি বাগান//এর//খেজুর//ও আঙ্গুরের//প্রবাহিত হয়//দিয়ে//তার নিচ//ঝর্ণাসমূহ//তার (আছে)//তার মধ্যে//থেকে//সব ধরণের//ফলমূল//এবং তার আপতিত হল//বার্ধক্য//যখন তার আছে//সন্তান সন্ততি//দুর্বল//তাকে অতঃপর আঘাত করল//ঘূর্ণিঝড়//তার মধ্য (আছে)//আগুন//পুড়ে গেল অতঃপর (সেই বাগান)//এভাবে//বর্ণনা করেন//আল্লাহ//তোমাদের জন্য//নিদর্শনাবলী//আশা করা যায় তোমরা//চিন্তা করবে"
            },
            {
              "number": 274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/274.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَنفِقُوا۟ مِن طَيِّبَٰتِ مَا كَسَبْتُمْ وَمِمَّآ أَخْرَجْنَا لَكُم مِّنَ ٱلْأَرْضِ ۖ وَلَا تَيَمَّمُوا۟ ٱلْخَبِيثَ مِنْهُ تُنفِقُونَ وَلَسْتُم بِـَٔاخِذِيهِ إِلَّآ أَن تُغْمِضُوا۟ فِيهِ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَنِىٌّ حَمِيدٌ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা স্বীয় উপার্জন থেকে এবং যা আমি তোমাদের জন্যে ভূমি থেকে উৎপন্ন করেছি, তা থেকে উৎকৃষ্ট বস্তু ব্যয় কর এবং তা থেকে নিকৃষ্ট জিনিস ব্যয় করতে মনস্থ করো না। কেননা, তা তোমরা কখনও গ্রহণ করবে না; তবে যদি তোমরা চোখ বন্ধ করে নিয়ে নাও। জেনে রেখো, আল্লাহ অভাব মুক্ত, প্রশংসিত।",
              "numberInSurah": 267,
              "juz": 3,
              "manzil": 1,
              "page": 45,
              "ruku": 38,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ আনফিকূমিন তাইয়িবা-তি মা-কাছাবতুম ওয়া মিম্মাআখরাজনা-লাকুম মিনাল আরদিওয়ালা-তাইয়াম্মামুল খাবীছা মিনহু তুনফিকূনা ওয়া লাছতুম বিআ-খিযীহি ইল্লাআন তুগমিদূ ফীহি ওয়া‘লামূআন্নাল্লা-হা গানিইয়ুন হামীদ।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنْفِقُوْا/أَنفِقُواْ/anfiqu//مِنْ/مِن/min//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَا/مَا/ma//كَسَبْتُمْ/كَسَبۡتُمۡ/kasabtum//وَ مِمَّاۤ/وَمِمَّآ/wamimma//اَخْرَجْنَا/أَخۡرَجۡنَا/akhrajna//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الْاَرْضِ ۪/ٱلۡأَرۡضِۖ/al-ardi//وَ لَا/وَلَا/wala//تَیَمَّمُوا/تَيَمَّمُواْ/tayammamu//الْخَبِیْثَ/ٱلۡخَبِيثَ/al-khabitha//مِنْهُ/مِنۡهُ/min'hu//تُنْفِقُوْنَ/تُنفِقُونَ/tunfiquna//وَ لَسْتُمْ/وَلَسۡتُم/walastum//بِاٰخِذِیْهِ/بِـَٔاخِذِيهِ/biakhidhihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تُغْمِضُوْا/تُغۡمِضُواْ/tugh'midu//فِیْهِ ؕ/فِيهِۚ/fihi//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//غَنِیٌّ/غَنِيٌّ/ghaniyyun//حَمِیْدٌ /حَمِيدٌ/hamidun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//ব্যয় কর তোমরা//হতে//পবিত্র জিনিসগুলো//যা//তোমরা অর্জন করেছ//এবং তা হতেও যা//বের করেছি আমরা//তোমাদের জন্য//থেকে//জমি//এবং না//তোমরা সংকল্প করো//নিকৃষ্ট বস্তুগুলোকে//তা থেকে//ব্যয় করতে//অথচ তোমরা নও//তা গ্রহণকারী//এছাড়া//যে//তোমরা চোখ বন্ধ করে থাক//তা হতে//এবং তোমরা জেনে রেখো//যে//আল্লাহ//অভাবমুক্ত//প্রশংসিত"
            },
            {
              "number": 275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/275.mp3"
              ],
              "text": "ٱلشَّيْطَٰنُ يَعِدُكُمُ ٱلْفَقْرَ وَيَأْمُرُكُم بِٱلْفَحْشَآءِ ۖ وَٱللَّهُ يَعِدُكُم مَّغْفِرَةًۭ مِّنْهُ وَفَضْلًۭا ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌۭ",
              "translate_bn": "শয়তান তোমাদেরকে অভাব অনটনের ভীতি প্রদর্শন করে এবং অশ্লীলতার আদেশ দেয়। পক্ষান্তরে আল্লাহ তোমাদেরকে নিজের পক্ষ থেকে ক্ষমা ও বেশী অনুগ্রহের ওয়াদা করেন। আল্লাহ প্রাচুর্যময়, সুবিজ্ঞ।",
              "numberInSurah": 268,
              "juz": 3,
              "manzil": 1,
              "page": 45,
              "ruku": 38,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "আশশাইতা-নুইয়া‘ইদুকুমুল ফাকরা ওয়া ইয়া’মরুকুম বিলফাহশাই ওয়াল্লা-হু ইয়া‘ইদুকুম মাগফিরাতাম মিনহু ওয়া ফাদলাওঁ ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "اَلشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//یَعِدُكُمُ/يَعِدُكُمُ/ya'idukumu//الْفَقْرَ/ٱلۡفَقۡرَ/al-faqra//وَ یَاْمُرُكُمْ/وَيَأۡمُرُكُم/wayamurukum//بِالْفَحْشَآءِ ۚ/بِٱلۡفَحۡشَآءِۖ/bil-fahshai//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعِدُكُمْ/يَعِدُكُم/ya'idukum//مَّغْفِرَةً/مَّغۡفِرَةٗ/maghfiratan//مِّنْهُ/مِّنۡهُ/min'hu//وَ فَضْلًا ؕ/وَفَضۡلٗاۗ/wafadlan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌۖۙ/عَلِيمٞ/alimun",
              "words_bangla": "শয়তান//তোমাদের ভয় দেখায়//দারিদ্র্যের//এবং নির্দেশ দেয়//অশ্লীলতার//এবং আল্লাহ//তোমাদের প্রতিশ্রুতি দেন//ক্ষমার//তাঁর থেকে//ও তাঁর অনুগ্রহের//এবং আল্লাহ//প্রাচুর্যময়//সর্বজ্ঞ"
            },
            {
              "number": 276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/276.mp3"
              ],
              "text": "يُؤْتِى ٱلْحِكْمَةَ مَن يَشَآءُ ۚ وَمَن يُؤْتَ ٱلْحِكْمَةَ فَقَدْ أُوتِىَ خَيْرًۭا كَثِيرًۭا ۗ وَمَا يَذَّكَّرُ إِلَّآ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "তিনি যাকে ইচ্ছা বিশেষ জ্ঞান দান করেন এবং যাকে বিশেষ জ্ঞান দান করা হয়, সে প্রভুত কল্যাণকর বস্তু প্রাপ্ত হয়। উপদেশ তারাই গ্রহণ করে, যারা জ্ঞানবান।",
              "numberInSurah": 269,
              "juz": 3,
              "manzil": 1,
              "page": 45,
              "ruku": 38,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ইউ’তিল হিকমাতা মাইঁ ইয়াশাউ ওয়া মাইঁ ইউ’তাল হিকমাতা ফাকাদ ঊতিয়া খাইরান কাছীরাওঁ ওয়ামা-ইয়াযযাক্কারু ইল্লাউলুল আলবা-ব।",
              "words_arabic": "یُّؤْتِی/يُؤۡتِي/yu'ti//الْحِكْمَةَ/ٱلۡحِكۡمَةَ/al-hik'mata//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۚ/yashau//وَ مَنْ/وَمَن/waman//یُّؤْتَ/يُؤۡتَ/yu'ta//الْحِكْمَةَ/ٱلۡحِكۡمَةَ/al-hik'mata//فَقَدْ/فَقَدۡ/faqad//اُوْتِیَ/أُوتِيَ/utiya//خَیْرًا/خَيۡرٗا/khayran//كَثِیْرًا ؕ/كَثِيرٗاۗ/kathiran//وَ مَا/وَمَا/wama//یَذَّكَّرُ/يَذَّكَّرُ/yadhakkaru//اِلَّاۤ/إِلَّآ/illa//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "দেন তিনি//প্রজ্ঞা//যাকে//তিনি ইচ্ছা করেন//এবং যাকে//দেয়া হয়েছে//প্রজ্ঞা//তবে নিশ্চয়ই//তাকে দেয়া হয়েছে//কল্যাণ//অনেক//এবং না//শিক্ষা নেয় (এ থেকে)//এছাড়া//সম্পন্নরা//বোধশক্তি"
            },
            {
              "number": 277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/277.mp3"
              ],
              "text": "وَمَآ أَنفَقْتُم مِّن نَّفَقَةٍ أَوْ نَذَرْتُم مِّن نَّذْرٍۢ فَإِنَّ ٱللَّهَ يَعْلَمُهُۥ ۗ وَمَا لِلظَّٰلِمِينَ مِنْ أَنصَارٍ",
              "translate_bn": "তোমরা যে খয়রাত বা সদ্ব্যয় কর কিংবা কোন মানত কর, আল্লাহ নিশ্চয়ই সেসব কিছুই জানেন। অন্যায়কারীদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 270,
              "juz": 3,
              "manzil": 1,
              "page": 46,
              "ruku": 38,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনফাকতুম মিন নাফাকাতিন আও নাযারতুম মিন নাযরিন ফাইন্নাল্লা-হা ইয়া‘লামুহু ওয়ামা-লিজ্জা-লিমীনা মিন আনসা-র।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْفَقْتُمْ/أَنفَقۡتُم/anfaqtum//مِّنْ/مِّن/min//نَّفَقَةٍ/نَّفَقَةٍ/nafaqatin//اَوْ/أَوۡ/aw//نَذَرْتُمْ/نَذَرۡتُم/nadhartum//مِّنْ/مِّن/min//نَّذْرٍ/نَّذۡرٖ/nadhrin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُهٗ ؕ/يَعۡلَمُهُۥۗ/ya'lamuhu//وَ مَا/وَمَا/wama//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِنۡ/min//اَنْصَارٍ /أَنصَارٍ/ansarin",
              "words_bangla": "এবং যা//তোমরা ব্যয় করেছ//কোনো//খরচা খরচ//অথবা//তোমরা মানত কর//কোনো//মানত//নিশ্চয়ই অতঃপর//আল্লাহ//তা জানেন//এবং নেই//সীমালঙ্ঘনকারীদের জন্য//কোনো //সাহায্যকারী"
            },
            {
              "number": 278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/278.mp3"
              ],
              "text": "إِن تُبْدُوا۟ ٱلصَّدَقَٰتِ فَنِعِمَّا هِىَ ۖ وَإِن تُخْفُوهَا وَتُؤْتُوهَا ٱلْفُقَرَآءَ فَهُوَ خَيْرٌۭ لَّكُمْ ۚ وَيُكَفِّرُ عَنكُم مِّن سَيِّـَٔاتِكُمْ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "যদি তোমরা প্রকাশ্যে দান-খয়রাত কর, তবে তা কতইনা উত্তম। আর যদি খয়রাত গোপনে কর এবং অভাবগ্রস্তদের দিয়ে দাও, তবে তা তোমাদের জন্যে আরও উত্তম। আল্লাহ তা’আলা তোমাদের কিছু গোনাহ দূর করে দিবেন। আল্লাহ তোমাদের কাজ কর্মের খুব খবর রাখেন।",
              "numberInSurah": 271,
              "juz": 3,
              "manzil": 1,
              "page": 46,
              "ruku": 38,
              "hizbQuarter": 18,
              "sajda": false,
              "pronunciation_bn": "ইন তুবদুসসাদাকা-তি ফানি‘ইমমা-হিয়া ওয়া ইন তুখফূহা-ওয়া তু’তূহাল ফুকারাআ ফাহুওয়া খাইরুল্লাকুম ওয়া ইউকাফফিরু ‘আনকুম মিন ছাইয়িআ-তিকুম ওয়াল্লা-হু বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "اِنْ/إِن/in//تُبْدُوا/تُبۡدُواْ/tub'du//الصَّدَقٰتِ/ٱلصَّدَقَٰتِ/al-sadaqati//فَنِعِمَّا/فَنِعِمَّا/fani'imma//هِیَ ۚ/هِيَۖ/hiya//وَ اِنْ/وَإِن/wa-in//تُخْفُوْهَا/تُخۡفُوهَا/tukh'fuha//وَ تُؤْتُوْهَا/وَتُؤۡتُوهَا/watu'tuha//الْفُقَرَآءَ/ٱلۡفُقَرَآءَ/al-fuqaraa//فَهُوَ/فَهُوَ/fahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//وَ یُكَفِّرُ/وَيُكَفِّرُ/wayukaffiru//عَنْكُمْ/عَنكُم/ankum//مِّنْ/مِّن/min//سَیِّاٰتِكُمْ ؕ/سَيِّـَٔاتِكُمۡۗ/sayyiatikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "যদি//তোমরা প্রকাশ্যে দাও//সদকা সমূহ//উত্তম তবে//তা//আর যদি//তা তোমরা গোপনে কর//ও তোমরা তা দাও//অভাবগ্রস্তদেরকে//তা তবে//(আরও) ভালো//তোমাদের জন্য//এবং দূর করবেন//তোমাদের থেকে//কিছু কিছু//তোমাদের পাপগুলো//এবং আল্লাহ//ঐ বিষয় যা//তোমরা কাজ কর//ভালোভাবে অবহিত"
            },
            {
              "number": 279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/279.mp3"
              ],
              "text": "۞ لَّيْسَ عَلَيْكَ هُدَىٰهُمْ وَلَٰكِنَّ ٱللَّهَ يَهْدِى مَن يَشَآءُ ۗ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍۢ فَلِأَنفُسِكُمْ ۚ وَمَا تُنفِقُونَ إِلَّا ٱبْتِغَآءَ وَجْهِ ٱللَّهِ ۚ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍۢ يُوَفَّ إِلَيْكُمْ وَأَنتُمْ لَا تُظْلَمُونَ",
              "translate_bn": "তাদেরকে সৎপথে আনার দায় তোমার নয়। বরং আল্লাহ যাকে ইচ্ছা সৎপথে পরিচালিত করেন। যে মাল তোমরা ব্যয় কর, তা নিজ উপাকারার্থেই কর। আল্লাহর সন্তুষ্টি ছাড়া অন্য কোন উদ্দেশ্যে ব্যয় করো না। তোমরা যে, অর্থ ব্যয় করবে, তার পুরস্কার পুরোপুরি পেয়ে যাবে এবং তোমাদের প্রতি অন্যায় করা হবে না।",
              "numberInSurah": 272,
              "juz": 3,
              "manzil": 1,
              "page": 46,
              "ruku": 38,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাইকা হুদা-হুম ওয়ালা-কিন্নাল্লা-হা ইয়াহদী মাইঁ ইয়াশাূউ ওয়ামা-তুনফিকূ মিন খাইরিন ফালিআনফুছিকুম ওয়ামা-তুনফিকূনা ইল্লাবতিগাআ ওয়াজহিল্লা-হি ওয়ামা-তুনফিকূমিন খাইরিয়ঁ ইউওয়াফফা ইলাইকুম ওয়া আনতুম লা-তুজলামূন।",
              "words_arabic": "لَیْسَ/۞لَّيۡسَ/laysa//عَلَیْكَ/عَلَيۡكَ/alayka//هُدٰىهُمْ/هُدَىٰهُمۡ/hudahum//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ مَا/وَمَا/wama//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَلِاَنْفُسِكُمْ ؕ/فَلِأَنفُسِكُمۡۚ/fali-anfusikum//وَ مَا/وَمَا/wama//تُنْفِقُوْنَ/تُنفِقُونَ/tunfiquna//اِلَّا/إِلَّا/illa//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//وَجْهِ/وَجۡهِ/wajhi//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ مَا/وَمَا/wama//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//یُّوَفَّ/يُوَفَّ/yuwaffa//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تُظْلَمُوْنَ /تُظۡلَمُونَ/tuz'lamuna",
              "words_bangla": "নয়//তোমার উপর (দায়িত্ব)//তাদের সৎপথ গ্রহণের//কিন্তু//আল্লাহ//পথ দেখান//যাকে//তিনি চান//এবং যা//তোমরা ব্যয় কর//কোনো//সম্পদ//তোমাদের তবে তা নিজেদের জন্য//এবং না//তোমরা ব্যয় কর//এছাড়া যে//সন্ধানে//চেহারা//আল্লাহর//এবং যা//তোমরা খরচ কর//কোনো//সম্পদ//পূর্ণ দেয়া হবে//তোমাদের প্রতি//ও তোমাদের (প্রতি)//না//অন্যায় করা হবে"
            },
            {
              "number": 280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/280.mp3"
              ],
              "text": "لِلْفُقَرَآءِ ٱلَّذِينَ أُحْصِرُوا۟ فِى سَبِيلِ ٱللَّهِ لَا يَسْتَطِيعُونَ ضَرْبًۭا فِى ٱلْأَرْضِ يَحْسَبُهُمُ ٱلْجَاهِلُ أَغْنِيَآءَ مِنَ ٱلتَّعَفُّفِ تَعْرِفُهُم بِسِيمَٰهُمْ لَا يَسْـَٔلُونَ ٱلنَّاسَ إِلْحَافًۭا ۗ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍۢ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌ",
              "translate_bn": "খয়রাত ঐ সকল গরীব লোকের জন্যে যারা আল্লাহর পথে আবদ্ধ হয়ে গেছে-জীবিকার সন্ধানে অন্যত্র ঘোরাফেরা করতে সক্ষম নয়। অজ্ঞ লোকেরা যাঞ্চা না করার কারণে তাদেরকে অভাবমুক্ত মনে করে। তোমরা তাদেরকে তাদের লক্ষণ দ্বারা চিনবে। তারা মানুষের কাছে কাকুতি-মিনতি করে ভিক্ষা চায় না। তোমরা যে অর্থ ব্যয় করবে, তা আল্লাহ তা’আলা অবশ্যই পরিজ্ঞাত।",
              "numberInSurah": 273,
              "juz": 3,
              "manzil": 1,
              "page": 46,
              "ruku": 38,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "লিলফুকারাইল্লাযীনা উহসিরূ ফী ছাবীলিল্লা-হি লা-ইয়াছতাতী‘ঊনা দারবান ফিল আরদিইয়াহছাবুহুমুল জা-হিলুআগনিয়াআ মিনাত্তা‘আফফুফি তা‘রিফুহুম বিছীমাহুম লা-ইয়াছআলূন্না-ছা ইলাহা-ফাওঁ ওয়ামা-তুনফিকূমিন খাইরিন ফাইন্নাল্লা-হা বিহী ‘আলীম।",
              "words_arabic": "لِلْفُقَرَآءِ/لِلۡفُقَرَآءِ/lil'fuqarai//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُحْصِرُوْا/أُحۡصِرُواْ/uh'siru//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//ضَرْبًا/ضَرۡبٗا/darban//فِی/فِي/fi//الْاَرْضِ ؗ/ٱلۡأَرۡضِ/al-ardi//یَحْسَبُهُمُ/يَحۡسَبُهُمُ/yahsabuhumu//الْجَاهِلُ/ٱلۡجَاهِلُ/al-jahilu//اَغْنِیَآءَ/أَغۡنِيَآءَ/aghniyaa//مِنَ/مِنَ/mina//التَّعَفُّفِ ۚ/ٱلتَّعَفُّفِ/al-ta'afufi//تَعْرِفُهُمْ/تَعۡرِفُهُم/ta'rifuhum//بِسِیْمٰىهُمْ ۚ/بِسِيمَٰهُمۡ/bisimahum//لَا/لَا/la//یَسْـَٔلُوْنَ/يَسۡـَٔلُونَ/yasaluna//النَّاسَ/ٱلنَّاسَ/al-nasa//اِلْحَافًا ؕ/إِلۡحَافٗاۗ/il'hafan//وَ مَا/وَمَا/wama//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//بِهٖ/بِهِۦ/bihi//عَلِیْمٌ۠/عَلِيمٌ/alimun",
              "words_bangla": "অভাবগ্রস্তদের জন্য//যারা//আটকে পড়েছে (ব্যস্ততার কারণে)//মধ্যে//পথের//আল্লাহর//না//তারা পারে//ঘোরাফিরা করতে//মধ্যে//পৃথিবীর (অর্থাৎ উপার্জন করতে)//তাদেরকে মনে করে//অজ্ঞ লোকেরা//অভাবমুক্ত//কারণে//না চাওয়ার//তাদেরকে তুমি চিনবে//তাদের লক্ষণ দিয়ে//না//তারা চায়//মানুষ (থেকে)//নাছোড় হয়ে//এবং যা//তোমরা ব্যয় কর//হতে//সম্পদ//অতঃপর নিশ্চয়ই//আল্লাহ//তা সম্পর্কে//খুব অবহিত"
            },
            {
              "number": 281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/281.mp3"
              ],
              "text": "ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُم بِٱلَّيْلِ وَٱلنَّهَارِ سِرًّۭا وَعَلَانِيَةًۭ فَلَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "যারা স্বীয় ধন-সম্পদ ব্যয় করে, রাত্রে ও দিনে, গোপনে ও প্রকাশ্যে। তাদের জন্যে তাদের সওয়াব রয়েছে তাদের পালনকর্তার কাছে। তাদের কোন আশংঙ্কা নেই এবং তারা চিন্তিত ও হবে না।",
              "numberInSurah": 274,
              "juz": 3,
              "manzil": 1,
              "page": 46,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউনফিকূনা আমওয়া-লাহুম বিল্লাইলি ওয়ান্নাহা-রি ছিররাওঁ ওয়া‘আলা-নিইয়াতান ফালাহুম আজরুহুম ‘ইনদা রাব্বিহিম ওয়ালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمْ/أَمۡوَٰلَهُم/amwalahum//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//سِرًّا/سِرّٗا/sirran//وَّ عَلَانِیَةً/وَعَلَانِيَةٗ/wa'alaniyatan//فَلَهُمْ/فَلَهُمۡ/falahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ ۚ/رَبِّهِمۡ/rabbihim//وَ لَا/وَلَا/wala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ ؔ/يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "যারা//ব্যয় করে//তাদের সম্পদ সমূহকে//রাতে//ও দিনে//গোপনে//ও প্রকাশ্যে//ফলে (রয়েছে) তাদের জন্য//তাদের পুরস্কার//কাছে//তাদের রবের//এবং নেই//কোনো ভয়//তাদের জন্য//এবং না//তারা//দুঃখিত হবে"
            },
            {
              "number": 282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/282.mp3"
              ],
              "text": "ٱلَّذِينَ يَأْكُلُونَ ٱلرِّبَوٰا۟ لَا يَقُومُونَ إِلَّا كَمَا يَقُومُ ٱلَّذِى يَتَخَبَّطُهُ ٱلشَّيْطَٰنُ مِنَ ٱلْمَسِّ ۚ ذَٰلِكَ بِأَنَّهُمْ قَالُوٓا۟ إِنَّمَا ٱلْبَيْعُ مِثْلُ ٱلرِّبَوٰا۟ ۗ وَأَحَلَّ ٱللَّهُ ٱلْبَيْعَ وَحَرَّمَ ٱلرِّبَوٰا۟ ۚ فَمَن جَآءَهُۥ مَوْعِظَةٌۭ مِّن رَّبِّهِۦ فَٱنتَهَىٰ فَلَهُۥ مَا سَلَفَ وَأَمْرُهُۥٓ إِلَى ٱللَّهِ ۖ وَمَنْ عَادَ فَأُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যারা সুদ খায়, তারা কিয়ামতে দন্ডায়মান হবে, যেভাবে দন্ডায়মান হয় ঐ ব্যক্তি, যাকে শয়তান আসর করে মোহাবিষ্ট করে দেয়। তাদের এ অবস্থার কারণ এই যে, তারা বলেছেঃ ক্রয়-বিক্রয় ও তো সুদ নেয়ারই মত! অথচ আল্লা’হ তা’আলা ক্রয়-বিক্রয় বৈধ করেছেন এবং সুদ হারাম করেছেন। অতঃপর যার কাছে তার পালনকর্তার পক্ষ থেকে উপদেশ এসেছে এবং সে বিরত হয়েছে, পূর্বে যা হয়ে গেছে, তা তার। তার ব্যাপার আল্লাহর উপর নির্ভরশীল। আর যারা পুনরায় সুদ নেয়, তারাই দোযখে যাবে। তারা সেখানে চিরকাল অবস্থান করবে।",
              "numberInSurah": 275,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়া’কুলুনার রিবা-লা-ইয়াকূমূনা ইল্লা-কামা-ইয়াকূমুল্লাযী ইয়াতাখাব্বাতুহুশশাইতা-নুমিনাল মাছছি যা-লিকা বিআন্নাহুম কা-লূ ইন্নামাল বাই‘উ মিছলূর রিবা-। ওয়া আহাল্লাল্লা-হুল বাই‘আ ওয়া হাররামার রিবা-ফামান জাআহু মাওইজাতুম মির রাব্বিহী ফানতাহা-ফালাহু মা-ছালাফা ওয়া আমরুহু ইলাল্লা-হি ওয়া মান ‘আ-দা ফাউলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَاْكُلُوْنَ/يَأۡكُلُونَ/yakuluna//الرِّبٰوا/ٱلرِّبَوٰاْ/al-riba//لَا/لَا/la//یَقُوْمُوْنَ/يَقُومُونَ/yaqumuna//اِلَّا/إِلَّا/illa//كَمَا/كَمَا/kama//یَقُوْمُ/يَقُومُ/yaqumu//الَّذِیْ/ٱلَّذِي/alladhi//یَتَخَبَّطُهُ/يَتَخَبَّطُهُ/yatakhabbatuhu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//مِنَ/مِنَ/mina//الْمَسِّ ؕ/ٱلۡمَسِّۚ/al-masi//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّمَا/إِنَّمَا/innama//الْبَیْعُ/ٱلۡبَيۡعُ/al-bay'u//مِثْلُ/مِثۡلُ/mith'lu//الرِّبٰوا ۘ/ٱلرِّبَوٰاْۗ/al-riba//وَ اَحَلَّ/وَأَحَلَّ/wa-ahalla//اللّٰهُ/ٱللَّهُ/al-lahu//الْبَیْعَ/ٱلۡبَيۡعَ/al-bay'a//وَ حَرَّمَ/وَحَرَّمَ/waharrama//الرِّبٰوا ؕ/ٱلرِّبَوٰاْۚ/al-riba//فَمَنْ/فَمَن/faman//جَآءَهٗ/جَآءَهُۥ/jaahu//مَوْعِظَةٌ/مَوۡعِظَةٞ/maw'izatun//مِّنْ/مِّن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//فَانْتَهٰی/فَٱنتَهَىٰ/fa-intaha//فَلَهٗ/فَلَهُۥ/falahu//مَا/مَا/ma//سَلَفَ ؕ/سَلَفَ/salafa//وَ اَمْرُهٗۤ/وَأَمۡرُهُۥٓ/wa-amruhu//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//وَ مَنْ/وَمَنۡ/waman//عَادَ/عَادَ/ada//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "যারা//খায়//সুদ//না//তারা দাঁড়াবে//এছাড়া//যেমন//দাঁড়ায়//সেই (ব্যক্তি)//যাকে পাগল করেছে//শয়তান//দ্বারা//(তার) স্পর্শ//এটা//এ জন্য যে তারা//বলে//মূলতঃ//ব্যবসাও//মতো//সুদেরই//অথচ বৈধ করেছেন//আল্লাহ//ব্যবসাকে//ও নিষিদ্ধ করেছেন//সুদকে//অতঃপর যে//তার কাছে এসেছে//উপদেশ//পক্ষ হতে//তার রবের//সে অতঃপর বিরত হয়েছে (সুদখোরী হতে)//তবে তার জন্য//যা//অতীত হয়ছে (হয়ে গেছে)//এবং তার ব্যাপার (সোপর্দ)//কাছে//আল্লাহ//আর যে//পুনরাবৃত্তি করবে//তাহলে ঐসব লোক//অধিবাসী (হবে)//আগুনের//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/283.mp3"
              ],
              "text": "يَمْحَقُ ٱللَّهُ ٱلرِّبَوٰا۟ وَيُرْبِى ٱلصَّدَقَٰتِ ۗ وَٱللَّهُ لَا يُحِبُّ كُلَّ كَفَّارٍ أَثِيمٍ",
              "translate_bn": "আল্লাহ তা’আলা সুদকে নিশ্চিহ্ন করেন এবং দান খয়রাতকে বর্ধিত করেন। আল্লাহ পছন্দ করেন না কোন অবিশ্বাসী পাপীকে।",
              "numberInSurah": 276,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ইয়ামহাকুল্লা-হুর রিবা-ওয়া ইউরবিসসাদাকা-তি ওয়াল্লা-হু লা-ইউহিব্বু কুল্লা কাফফা-রিন আছীম।",
              "words_arabic": "یَمْحَقُ/يَمۡحَقُ/yamhaqu//اللّٰهُ/ٱللَّهُ/al-lahu//الرِّبٰوا/ٱلرِّبَوٰاْ/al-riba//وَ یُرْبِی/وَيُرۡبِي/wayur'bi//الصَّدَقٰتِ ؕ/ٱلصَّدَقَٰتِۗ/al-sadaqati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//كُلَّ/كُلَّ/kulla//كَفَّارٍ/كَفَّارٍ/kaffarin//اَثِیْمٍ /أَثِيمٍ/athimin",
              "words_bangla": "নিশ্চিহ্ন করেন//আল্লাহ//সুদকে//ও বর্ধিত করেন//দানকে//এবং আল্লাহ//না//ভালোবাসেন//প্রত্যেক//অকৃতজ্ঞ//পাপীকে"
            },
            {
              "number": 284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/284.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ لَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "নিশ্চয়ই যারা বিশ্বাস স্থাপন করেছে, সৎকাজ করেছে, নামায প্রতিষ্ঠিত করেছে এবং যাকাত দান করেছে, তাদের জন্যে তাদের পুরষ্কার তাদের পালনকর্তার কছে রয়েছে। তাদের কোন শঙ্কা নেই এবং তারা দুঃখিত হবে না।",
              "numberInSurah": 277,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া আকা-মুসসালা-তা ওয়া আ-তাউঝঝাকা-তা লাহুম আজরুহুম ‘ইনদা রাব্বিহিম ওয়ালা-খাওফুন ‘আলাইহিম ওয়ালাহুম ইয়াহঝানূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَوُا/وَءَاتَوُاْ/waatawu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//لَهُمْ/لَهُمۡ/lahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ ۚ/رَبِّهِمۡ/rabbihim//وَ لَا/وَلَا/wala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//ও প্রতিষ্ঠা করেছে//সালাত//ও দিয়েছে//যাকাত//তাদের জন্য (রয়েছে)//তাদের পুরস্কার//কাছে//তাদের রবের//এবং না//ভয় (থাকবে)//তাদের উপর//আর না//তারা//তারা দুঃখিত হবে"
            },
            {
              "number": 285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/285.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَذَرُوا۟ مَا بَقِىَ مِنَ ٱلرِّبَوٰٓا۟ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "হে ঈমানদারগণ, তোমরা আল্লাহকে ভয় কর এবং সুদের যে সমস্ত বকেয়া আছে, তা পরিত্যাগ কর, যদি তোমরা ঈমানদার হয়ে থাক।",
              "numberInSurah": 278,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা ওয়াযারু মা-বাকিয়া মিনার রিবাইন কুনতুম মু’মিনীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ ذَرُوْا/وَذَرُواْ/wadharu//مَا/مَا/ma//بَقِیَ/بَقِيَ/baqiya//مِنَ/مِنَ/mina//الرِّبٰۤوا/ٱلرِّبَوٰٓاْ/al-riba//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা ভয় করো//আল্লাহকে//এবং ছেড়ে দাও//যা//বকেয়া আছে//হতে//সুদ//যদি//তোমরা হও//মু'মিন"
            },
            {
              "number": 286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/286.mp3"
              ],
              "text": "فَإِن لَّمْ تَفْعَلُوا۟ فَأْذَنُوا۟ بِحَرْبٍۢ مِّنَ ٱللَّهِ وَرَسُولِهِۦ ۖ وَإِن تُبْتُمْ فَلَكُمْ رُءُوسُ أَمْوَٰلِكُمْ لَا تَظْلِمُونَ وَلَا تُظْلَمُونَ",
              "translate_bn": "অতঃপর যদি তোমরা পরিত্যাগ না কর, তবে আল্লাহ ও তাঁর রসূলের সাথে যুদ্ধ করতে প্রস্তুত হয়ে যাও। কিন্তু যদি তোমরা তওবা কর, তবে তোমরা নিজের মূলধন পেয়ে যাবে। তোমরা কারও প্রতি অত্যাচার করো না এবং কেউ তোমাদের প্রতি অত্যাচার করবে না।",
              "numberInSurah": 279,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ফাইল্লাম তাফ‘আলূ ফা’যানু বিহারবিম মিনাল্লা-হি ওয়ারাছূলিহী ওয়া ইন তুবতুম ফালাকুম রুঊছুআমওয়া-লিকুম লা-তাজলিমূনা ওয়ালা-তুজলামূন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//فَاْذَنُوْا/فَأۡذَنُواْ/fadhanu//بِحَرْبٍ/بِحَرۡبٖ/biharbin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ ۚ/وَرَسُولِهِۦۖ/warasulihi//وَ اِنْ/وَإِن/wa-in//تُبْتُمْ/تُبۡتُمۡ/tub'tum//فَلَكُمْ/فَلَكُمۡ/falakum//رُءُوْسُ/رُءُوسُ/ruusu//اَمْوَالِكُمْ ۚ/أَمۡوَٰلِكُمۡ/amwalikum//لَا/لَا/la//تَظْلِمُوْنَ/تَظۡلِمُونَ/tazlimuna//وَ لَا/وَلَا/wala//تُظْلَمُوْنَ /تُظۡلَمُونَ/tuz'lamuna",
              "words_bangla": "অতঃপর যদি//না//তোমরা কর//তোমরা তবে ঘোষণা শুনে রাখো//যুদ্ধের (বিষয়ে)//পক্ষ হতে//আল্লাহর//ও তাঁর রাসূল//আর যদি//তোমরা তওবা কর//তবে (থাকবে) তোমাদের জন্য//মূলধন//তোমাদের সম্পদের//না//তোমরা অবিচার করো//আর না//অবিচার করা হবে (তোমাদের উপর)"
            },
            {
              "number": 287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/287.mp3"
              ],
              "text": "وَإِن كَانَ ذُو عُسْرَةٍۢ فَنَظِرَةٌ إِلَىٰ مَيْسَرَةٍۢ ۚ وَأَن تَصَدَّقُوا۟ خَيْرٌۭ لَّكُمْ ۖ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "যদি খাতক অভাবগ্রস্থ হয়, তবে তাকে সচ্ছলতা আসা পর্যন্ত সময় দেয়া উচিত। আর যদি ক্ষমা করে দাও, তবে তা খুবই উত্তম যদি তোমরা উপলব্ধি কর।",
              "numberInSurah": 280,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-না যূ‘উছরাতিন ফানাযিরাতুন ইলা-মাইছারাতিওঁ ওয়া আন তাসাদ্দাকূ খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//ذُوْ/ذُو/dhu//عُسْرَةٍ/عُسۡرَةٖ/us'ratin//فَنَظِرَةٌ/فَنَظِرَةٌ/fanaziratun//اِلٰی/إِلَىٰ/ila//مَیْسَرَةٍ ؕ/مَيۡسَرَةٖۚ/maysaratin//وَ اَنْ/وَأَن/wa-an//تَصَدَّقُوْا/تَصَدَّقُواْ/tasaddaqu//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং যদি//হয় (খাতক)//(একটি)//অভাবগ্রস্ত//অবসর তবে দেবে//পর্যন্ত//সচ্ছলতা//এবং যে//তোমদের সদকা করে দেওয়া//উত্তম//তোমাদের জন্য//যদি//তোমরা ছিলে//তোমরা জানতে"
            },
            {
              "number": 288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/288.mp3"
              ],
              "text": "وَٱتَّقُوا۟ يَوْمًۭا تُرْجَعُونَ فِيهِ إِلَى ٱللَّهِ ۖ ثُمَّ تُوَفَّىٰ كُلُّ نَفْسٍۢ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "ঐ দিনকে ভয় কর, যে দিন তোমরা আল্লাহর কাছে প্রত্যাবর্তিত হবে। অতঃপর প্রত্যেকেই তার কর্মের ফল পুরোপুরি পাবে এবং তাদের প্রতি কোন রূপ অবিচার করা হবে না।",
              "numberInSurah": 281,
              "juz": 3,
              "manzil": 1,
              "page": 47,
              "ruku": 39,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকূইয়াওমান তুরজা‘ঊনা ফীহি ইলাল্লা-হি ছু ম্মা তুওয়াফফা-কুল্লু নাফছিম মা-কাছাবাত ওয়াহুম লা-ইউজলামূন।",
              "words_arabic": "وَ اتَّقُوْا/وَٱتَّقُواْ/wa-ittaqu//یَوْمًا/يَوۡمٗا/yawman//تُرْجَعُوْنَ/تُرۡجَعُونَ/tur'ja'una//فِیْهِ/فِيهِ/fihi//اِلَی/إِلَى/ila//اللّٰهِ ۫ۗ/ٱللَّهِۖ/al-lahi//ثُمَّ/ثُمَّ/thumma//تُوَفّٰی/تُوَفَّىٰ/tuwaffa//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ۠/يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং তোমরা ভয় করো//সে দিনের//তোমরা প্রত্যাবর্তিত হবে//যার মধ্যে//দিকে//আল্লাহরই//এরপর//পূর্ণ দেয়া হবে//প্রত্যেক//ব্যক্তিকে//যা//সে অর্জন করেছে//এবং তাদেরকে//না//অবিচার করা হবে"
            },
            {
              "number": 289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/289.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا تَدَايَنتُم بِدَيْنٍ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى فَٱكْتُبُوهُ ۚ وَلْيَكْتُب بَّيْنَكُمْ كَاتِبٌۢ بِٱلْعَدْلِ ۚ وَلَا يَأْبَ كَاتِبٌ أَن يَكْتُبَ كَمَا عَلَّمَهُ ٱللَّهُ ۚ فَلْيَكْتُبْ وَلْيُمْلِلِ ٱلَّذِى عَلَيْهِ ٱلْحَقُّ وَلْيَتَّقِ ٱللَّهَ رَبَّهُۥ وَلَا يَبْخَسْ مِنْهُ شَيْـًۭٔا ۚ فَإِن كَانَ ٱلَّذِى عَلَيْهِ ٱلْحَقُّ سَفِيهًا أَوْ ضَعِيفًا أَوْ لَا يَسْتَطِيعُ أَن يُمِلَّ هُوَ فَلْيُمْلِلْ وَلِيُّهُۥ بِٱلْعَدْلِ ۚ وَٱسْتَشْهِدُوا۟ شَهِيدَيْنِ مِن رِّجَالِكُمْ ۖ فَإِن لَّمْ يَكُونَا رَجُلَيْنِ فَرَجُلٌۭ وَٱمْرَأَتَانِ مِمَّن تَرْضَوْنَ مِنَ ٱلشُّهَدَآءِ أَن تَضِلَّ إِحْدَىٰهُمَا فَتُذَكِّرَ إِحْدَىٰهُمَا ٱلْأُخْرَىٰ ۚ وَلَا يَأْبَ ٱلشُّهَدَآءُ إِذَا مَا دُعُوا۟ ۚ وَلَا تَسْـَٔمُوٓا۟ أَن تَكْتُبُوهُ صَغِيرًا أَوْ كَبِيرًا إِلَىٰٓ أَجَلِهِۦ ۚ ذَٰلِكُمْ أَقْسَطُ عِندَ ٱللَّهِ وَأَقْوَمُ لِلشَّهَٰدَةِ وَأَدْنَىٰٓ أَلَّا تَرْتَابُوٓا۟ ۖ إِلَّآ أَن تَكُونَ تِجَٰرَةً حَاضِرَةًۭ تُدِيرُونَهَا بَيْنَكُمْ فَلَيْسَ عَلَيْكُمْ جُنَاحٌ أَلَّا تَكْتُبُوهَا ۗ وَأَشْهِدُوٓا۟ إِذَا تَبَايَعْتُمْ ۚ وَلَا يُضَآرَّ كَاتِبٌۭ وَلَا شَهِيدٌۭ ۚ وَإِن تَفْعَلُوا۟ فَإِنَّهُۥ فُسُوقٌۢ بِكُمْ ۗ وَٱتَّقُوا۟ ٱللَّهَ ۖ وَيُعَلِّمُكُمُ ٱللَّهُ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "হে মুমিনগণ! যখন তোমরা কোন নির্দিষ্ট সময়ের জন্যে ঋনের আদান-প্রদান কর, তখন তা লিপিবদ্ধ করে নাও এবং তোমাদের মধ্যে কোন লেখক ন্যায়সঙ্গতভাবে তা লিখে দেবে; লেখক লিখতে অস্বীকার করবে না। আল্লাহ তাকে যেমন শিক্ষা দিয়েছেন, তার উচিত তা লিখে দেয়া। এবং ঋন গ্রহীতা যেন লেখার বিষয় বলে দেয় এবং সে যেন স্বীয় পালনকর্তা আল্লাহকে ভয় করে এবং লেখার মধ্যে বিন্দুমাত্রও বেশ কম না করে। অতঃপর ঋণগ্রহীতা যদি নির্বোধ হয় কিংবা দূর্বল হয় অথবা নিজে লেখার বিষয়বস্তু বলে দিতে অক্ষম হয়, তবে তার অভিভাবক ন্যায়সঙ্গতভাবে লিখাবে। দুজন সাক্ষী কর, তোমাদের পুরুষদের মধ্যে থেকে। যদি দুজন পুরুষ না হয়, তবে একজন পুরুষ ও দুজন মহিলা। ঐ সাক্ষীদের মধ্য থেকে যাদেরকে তোমরা পছন্দ কর যাতে একজন যদি ভুলে যায়, তবে একজন অন্যজনকে স্মরণ করিয়ে দেয়। যখন ডাকা হয়, তখন সাক্ষীদের অস্বীকার করা উচিত নয়। তোমরা এটা লিখতে অলসতা করোনা, তা ছোট হোক কিংবা বড়, নির্দিষ্ট সময় পর্যন্ত। এ লিপিবদ্ধ করণ আল্লাহর কাছে সুবিচারকে অধিক কায়েম রাখে, সাক্ষ্যকে অধিক সুসংহত রাখে এবং তোমাদের সন্দেহে পতিত না হওয়ার পক্ষে অধিক উপযুক্ত। কিন্তু যদি কারবার নগদ হয়, পরস্পর হাতে হাতে আদান-প্রদান কর, তবে তা না লিখলে তোমাদের প্রতি কোন অভিযোগ নেই। তোমরা ক্রয়-বিক্রয়ের সময় সাক্ষী রাখ। কোন লেখক ও সাক্ষীকে ক্ষতিগ্রস্ত করো না। যদি তোমরা এরূপ কর, তবে তা তোমাদের পক্ষে পাপের বিষয়। আল্লাহকে ভয় কর তিনি তোমাদেরকে শিক্ষা দেন। আল্লাহ সব কিছু জানেন।",
              "numberInSurah": 282,
              "juz": 3,
              "manzil": 1,
              "page": 48,
              "ruku": 40,
              "hizbQuarter": 19,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ূহাল্লাযীনা আ-মানূইযা-তাদা-ইয়ানতুম বিদাইনিন ইলা-আজালিম মুছাম্মান ফাকতুবূহু ওয়ালইয়াকতুব বাইনাকুম কা-তিবুম বিল‘আদলি ওয়ালা-ইয়া’বা কাতিবুন আইঁ ইয়াকতুবা কামা-‘আল্লামাহুল্লা-হু ফালইয়াকতুব ওয়াল ইউমলিলিল্লাযী ‘আলাইহিল হাক্কুওয়াল ইয়াত্তাকিল্লা-হা রাব্বাহূওয়ালা-ইয়াবখাছ মিনহু শাইআন ফাইন কা-নাল্লাযী আলাইহিল হাক্কুছাফীহান আও দা‘ঈফান আও লা-ইয়াছতাতী‘উ আই ইউমিল্লা হুওয়া ফাল ইউমলিল ওয়ালিইইয়ুহু বিল‘আদলি ওয়াছতাশহিদূ শাহীদাইনি মিররিজা-লিকুম ফাইল্লাম ইয়াকূনা রাজুলাইনি ফারাজুলুওঁ ওয়ামরাআতা-নি মিম্মান তারদাওনা মিনাশ শুহাদাই আন তাদিল্লা ইহদা -হুমা ফাতুযাককিরা ইহদা-হুমাল উখরা ওয়ালা-ইয়া’বাশশুহাদাউ ইযা-মা দু‘ঊ ওয়ালা-তাছআমূ আন তাকতুবূহু ছাগীরান আও কাবীরান ইলা আজালিহী যা-লিকুম আকছাতু‘ইনদাল্লা-হি ওয়াআকওয়ামুলিশশাহা-দাতি ওয়াআদনা আল্লা-তারতা-বূইল্লা আন তাকূনা তিজারাতান হা-দিরাতান তুদীরূনাহা-বাইনাকুম ফালাইছা ‘আলাইকুম জুনা-হুন আল্লাতাকতুবূহা-ওয়াআশহিদূ ইযা-তাবা-ইয়া‘তুম ওয়ালা-ইউদাররা কা-তিবুওঁ ওয়ালা-শাহীদুওঁ ওয়া ইন তাফ‘আলূফাইষর নযধু -হরহ ওঅষ'সকুম ওয়াত্তাকুল্লা-হা ওয়া ইউ‘আলিলমুকুমুল্লা-হু ওয়াল্লা-হু বিকুল্লি শাইইন ‘আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//تَدَایَنْتُمْ/تَدَايَنتُم/tadayantum//بِدَیْنٍ/بِدَيۡنٍ/bidaynin//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//فَاكْتُبُوْهُ ؕ/فَٱكۡتُبُوهُۚ/fa-uk'tubuhu//وَ لْیَكْتُبْ/وَلۡيَكۡتُب/walyaktub//بَّیْنَكُمْ/بَّيۡنَكُمۡ/baynakum//كَاتِبٌۢ/كَاتِبُۢ/katibun//بِالْعَدْلِ ۪/بِٱلۡعَدۡلِۚ/bil-'adli//وَ لَا/وَلَا/wala//یَاْبَ/يَأۡبَ/yaba//كَاتِبٌ/كَاتِبٌ/katibun//اَنْ/أَن/an//یَّكْتُبَ/يَكۡتُبَ/yaktuba//كَمَا/كَمَا/kama//عَلَّمَهُ/عَلَّمَهُ/allamahu//اللّٰهُ/ٱللَّهُۚ/al-lahu//فَلْیَكْتُبْ ۚ/فَلۡيَكۡتُبۡ/falyaktub//وَ لْیُمْلِلِ/وَلۡيُمۡلِلِ/walyum'lili//الَّذِیْ/ٱلَّذِي/alladhi//عَلَیْهِ/عَلَيۡهِ/alayhi//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ لْیَتَّقِ/وَلۡيَتَّقِ/walyattaqi//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّهٗ/رَبَّهُۥ/rabbahu//وَ لَا/وَلَا/wala//یَبْخَسْ/يَبۡخَسۡ/yabkhas//مِنْهُ/مِنۡهُ/min'hu//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//الَّذِیْ/ٱلَّذِي/alladhi//عَلَیْهِ/عَلَيۡهِ/alayhi//الْحَقُّ/ٱلۡحَقُّ/al-haqu//سَفِیْهًا/سَفِيهًا/safihan//اَوْ/أَوۡ/aw//ضَعِیْفًا/ضَعِيفًا/da'ifan//اَوْ/أَوۡ/aw//لَا/لَا/la//یَسْتَطِیْعُ/يَسۡتَطِيعُ/yastati'u//اَنْ/أَن/an//یُّمِلَّ/يُمِلَّ/yumilla//هُوَ/هُوَ/huwa//فَلْیُمْلِلْ/فَلۡيُمۡلِلۡ/falyum'lil//وَلِیُّهٗ/وَلِيُّهُۥ/waliyyuhu//بِالْعَدْلِ ؕ/بِٱلۡعَدۡلِۚ/bil-'adli//وَ اسْتَشْهِدُوْا/وَٱسۡتَشۡهِدُواْ/wa-is'tashhidu//شَهِیْدَیْنِ/شَهِيدَيۡنِ/shahidayni//مِنْ/مِن/min//رِّجَالِكُمْ ۚ/رِّجَالِكُمۡۖ/rijalikum//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//یَكُوْنَا/يَكُونَا/yakuna//رَجُلَیْنِ/رَجُلَيۡنِ/rajulayni//فَرَجُلٌ/فَرَجُلٞ/farajulun//وَّ امْرَاَتٰنِ/وَٱمۡرَأَتَانِ/wa-im'ra-atani//مِمَّنْ/مِمَّن/mimman//تَرْضَوْنَ/تَرۡضَوۡنَ/tardawna//مِنَ/مِنَ/mina//الشُّهَدَآءِ/ٱلشُّهَدَآءِ/al-shuhadai//اَنْ/أَن/an//تَضِلَّ/تَضِلَّ/tadilla//اِحْدٰىهُمَا/إِحۡدَىٰهُمَا/ih'dahuma//فَتُذَكِّرَ/فَتُذَكِّرَ/fatudhakkira//اِحْدٰىهُمَا/إِحۡدَىٰهُمَا/ih'dahuma//الْاُخْرٰی ؕ/ٱلۡأُخۡرَىٰۚ/al-ukh'ra//وَ لَا/وَلَا/wala//یَاْبَ/يَأۡبَ/yaba//الشُّهَدَآءُ/ٱلشُّهَدَآءُ/al-shuhadau//اِذَا/إِذَا/idha//مَا/مَا/ma//دُعُوْا ؕ/دُعُواْۚ/du'u//وَ لَا/وَلَا/wala//تَسْـَٔمُوْۤا/تَسۡـَٔمُوٓاْ/tasamu//اَنْ/أَن/an//تَكْتُبُوْهُ/تَكۡتُبُوهُ/taktubuhu//صَغِیْرًا/صَغِيرًا/saghiran//اَوْ/أَوۡ/aw//كَبِیْرًا/كَبِيرًا/kabiran//اِلٰۤی/إِلَىٰٓ/ila//اَجَلِهٖ ؕ/أَجَلِهِۦۚ/ajalihi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//اَقْسَطُ/أَقۡسَطُ/aqsatu//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَقْوَمُ/وَأَقۡوَمُ/wa-aqwamu//لِلشَّهَادَةِ/لِلشَّهَٰدَةِ/lilshahadati//وَ اَدْنٰۤی/وَأَدۡنَىٰٓ/wa-adna//اَلَّا/أَلَّا/alla//تَرْتَابُوْۤا/تَرۡتَابُوٓاْ/tartabu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//تِجَارَةً/تِجَٰرَةً/tijaratan//حَاضِرَةً/حَاضِرَةٗ/hadiratan//تُدِیْرُوْنَهَا/تُدِيرُونَهَا/tudirunaha//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//فَلَیْسَ/فَلَيۡسَ/falaysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٌ/junahun//اَلَّا/أَلَّا/alla//تَكْتُبُوْهَا ؕ/تَكۡتُبُوهَاۗ/taktubuha//وَ اَشْهِدُوْۤا/وَأَشۡهِدُوٓاْ/wa-ashhidu//اِذَا/إِذَا/idha//تَبَایَعْتُمْ ۪/تَبَايَعۡتُمۡۚ/tabaya'tum//وَ لَا/وَلَا/wala//یُضَآرَّ/يُضَآرَّ/yudarra//كَاتِبٌ/كَاتِبٞ/katibun//وَّ لَا/وَلَا/wala//شَهِیْدٌ ؕ۬/شَهِيدٞۚ/shahidun//وَ اِنْ/وَإِن/wa-in//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//فُسُوْقٌۢ/فُسُوقُۢ/fusuqun//بِكُمْ ؕ/بِكُمۡۗ/bikum//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//وَ یُعَلِّمُكُمُ/وَيُعَلِّمُكُمُ/wayu'allimukumu//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যখন//তোমরা পরস্পরে আদান-প্রদান কর//ঋণের//পর্যন্ত//মেয়াদ//নির্দিষ্ট//তা তোমরা তখন লিখে রাখো//এবং যেন লেখে//তোমাদের মাঝে//একজন লেখক//ন্যায্যভাবে//এবং না//অস্বীকার করবে//কোনো লেখক//যে (না)//সে লিখবে//যেমন//শিখিয়েছেন তাকে//আল্লাহ//অতএব সে যেন লেখে//এবং যেন সে লিখিয়ে নেয় (লেখ্য বিষয়)//সেই (ব্যক্তি)//যার উপর (আছে)//অধিকার (অর্থাৎ ঋণগ্রহীতা)//এবং সে ভয় করে যেন (লেখক)//আল্লাহকে (যিনি)//তার রব//এবং না//কম করবে//তা থেকে//কিছুই//অতঃপর যদি//হয়//সে//যার উপর//অধিকার (অর্থাৎ ঋণগ্রহীতা)//নির্বোধ//বা//দুর্বল//বা//না//সে পারে//যে//সে লিখিয়ে নেবে//সে//তবে যেন লিখিয়ে নেয়//তার অভিভাবক//ন্যায্যভাবে//এবং তোমরা সাক্ষী রাখো//দুজন সাক্ষী//মধ্য হতে//তোমাদের পুরুষদের//অতঃপর যদি//না//থাকে//দুজন পুরুষ//তবে একজন পুরুষ//ও দুজন মহিলা//(তাদের) হতে যাদের//তোমরা পছন্দ কর//মধ্য হতে//সাক্ষীদের//যে//ভুল করলে//দুজনের একজন(মহিলাদের)//তখন স্মরণ করাবে//দুজনের একজন(মহিলা)//অন্যজনকে//এবং না//অস্বীকার করবে//সাক্ষীরা//যখন//(কি)//তাদের ডাকা হবে//এবং না//তোমরা বিরক্তিবোধ করবে//যে//তা তোমরা লিখবে//ছোট (ব্যাপার হোক)//বা//বড় (হোক)//পর্যন্ত//তার মেয়াদ//এটা//অধিকতর ন্যায়সঙ্গত//কাছে//আল্লাহর//ও দৃঢ়তর//সাক্ষ্য প্রমাণের জন্য//ও অধিক নিকটবর্তী//যেন না//তোমরা সন্দেহ কর//তবে//যে (সব)//হয়ে থাকে//ব্যবসা//নগদ//তা তোমরা পরস্পর পরিচালনা কর//তোমাদের মাঝে//নেই তবে//তোমাদের উপর//কোনো পাপ//যদি না//তা তোমরা লিখে রাখ//এবং তোমরা সাক্ষী রাখো//যখন//তোমরা বেচা কেনা কর//এবং না//ক্ষতিগ্রস্ত করা যাবে//লেখককে//আর না//সাক্ষীকে//এবং যদি//তোমরা কর//তবে তা নিশ্চয়ই//অন্যায় //তোমাদের জন্য//এবং তোমরা ভয় করো//আল্লাহকে//এবং তোমাদেরকে শিক্ষা দেন//আল্লাহ//এবং আল্লাহ//সম্পর্কে//সবকিছু//খুব অবহিত"
            },
            {
              "number": 290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/290.mp3"
              ],
              "text": "۞ وَإِن كُنتُمْ عَلَىٰ سَفَرٍۢ وَلَمْ تَجِدُوا۟ كَاتِبًۭا فَرِهَٰنٌۭ مَّقْبُوضَةٌۭ ۖ فَإِنْ أَمِنَ بَعْضُكُم بَعْضًۭا فَلْيُؤَدِّ ٱلَّذِى ٱؤْتُمِنَ أَمَٰنَتَهُۥ وَلْيَتَّقِ ٱللَّهَ رَبَّهُۥ ۗ وَلَا تَكْتُمُوا۟ ٱلشَّهَٰدَةَ ۚ وَمَن يَكْتُمْهَا فَإِنَّهُۥٓ ءَاثِمٌۭ قَلْبُهُۥ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ عَلِيمٌۭ",
              "translate_bn": "আর তোমরা যদি প্রবাসে থাক এবং কোন লেখক না পাও তবে বন্ধকী বন্তু হস্তগত রাখা উচিত। যদি একে অন্যকে বিশ্বাস করে, তবে যাকে বিশ্বাস করা হয়, তার উচিত অন্যের প্রাপ্য পরিশোধ করা এবং স্বীয় পালনকর্তা আল্লাহকে ভয় কর! তোমরা সাক্ষ্য গোপন করো না। যে কেউ তা গোপন করবে, তার অন্তর পাপপূর্ণ হবে। তোমরা যা করা, আল্লাহ সে সম্পর্কে খুব জ্ঞাত।",
              "numberInSurah": 283,
              "juz": 3,
              "manzil": 1,
              "page": 49,
              "ruku": 40,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কুনতুম ‘আলা-ছাফারিওঁ ওয়ালাম তাজিদূকা-তিবান ফারিহা-নুম মাকবূদাতুন ফাইন আমিনা বা‘দুকুম বা‘দান ফালইউআদ্দিল্লাযী’তুমিনা আমা-নাতাহু ওয়াল ইয়াত্তাকিল্লাহা রাব্বাহূ ওয়ালা-তাকতুমুশশাহা-দাতা ওয়া মাইঁ ইয়াকতুমহা-ফাইন্নাহুআছিমুন কালবুহু ওয়াল্লা-হু বিমা-তা‘মালূন ‘আলীম।",
              "words_arabic": "وَ اِنْ/۞وَإِن/wa-in//كُنْتُمْ/كُنتُمۡ/kuntum//عَلٰی/عَلَىٰ/ala//سَفَرٍ/سَفَرٖ/safarin//وَّ لَمْ/وَلَمۡ/walam//تَجِدُوْا/تَجِدُواْ/tajidu//كَاتِبًا/كَاتِبٗا/katiban//فَرِهٰنٌ/فَرِهَٰنٞ/farihanun//مَّقْبُوْضَةٌ ؕ/مَّقۡبُوضَةٞۖ/maqbudatun//فَاِنْ/فَإِنۡ/fa-in//اَمِنَ/أَمِنَ/amina//بَعْضُكُمْ/بَعۡضُكُم/ba'dukum//بَعْضًا/بَعۡضٗا/ba'dan//فَلْیُؤَدِّ/فَلۡيُؤَدِّ/falyu-addi//الَّذِی/ٱلَّذِي/alladhi//اؤْتُمِنَ/ٱؤۡتُمِنَ/u'tumina//اَمَانَتَهٗ/أَمَٰنَتَهُۥ/amanatahu//وَ لْیَتَّقِ/وَلۡيَتَّقِ/walyattaqi//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّهٗ ؕ/رَبَّهُۥۗ/rabbahu//وَ لَا/وَلَا/wala//تَكْتُمُوا/تَكۡتُمُواْ/taktumu//الشَّهَادَةَ ؕ/ٱلشَّهَٰدَةَۚ/al-shahadata//وَ مَنْ/وَمَن/waman//یَّكْتُمْهَا/يَكۡتُمۡهَا/yaktum'ha//فَاِنَّهٗۤ/فَإِنَّهُۥٓ/fa-innahu//اٰثِمٌ/ءَاثِمٞ/athimun//قَلْبُهٗ ؕ/قَلۡبُهُۥۗ/qalbuhu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//عَلِیْمٌ۠/عَلِيمٞ/alimun",
              "words_bangla": "এবং যদি//তোমরা থাক//মধ্যে//সফরের//এবং না//তোমরা পাও//কোনো লেখক//তবে বন্ধকি বস্তু//হস্তগত (রাখতে পার)//অতঃপর যদি//বিশ্বাস করে//তোমাদের কেউ//অন্যকে//তবে সে যেন ফিরেয়ে দেয়//যার (উপর)//বিশ্বাস করা হয়েছিল//তার আমানতের//এবং সে যেন ভয় করে//আল্লাহকে//(যিনি) তার রব//এবং না//তোমরা গোপন করবে//সাক্ষ্য//এবং যে//তা গোপন করবে//তাহলে সে নিশ্চয়ই//পাপী//তার অন্তর//এবং আল্লাহ//সে বিষয়ে//তোমরা কাজ কর//খুব অবহিত"
            },
            {
              "number": 291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/291.mp3"
              ],
              "text": "لِّلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَإِن تُبْدُوا۟ مَا فِىٓ أَنفُسِكُمْ أَوْ تُخْفُوهُ يُحَاسِبْكُم بِهِ ٱللَّهُ ۖ فَيَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "যা কিছু আকাশসমূহে রয়েছে এবং যা কিছু যমীনে আছে, সব আল্লাহরই। যদি তোমরা মনের কথা প্রকাশ কর কিংবা গোপন কর, আল্লাহ তোমাদের কাছ থেকে তার হিসাব নেবেন। অতঃপর যাকে ইচ্ছা তিনি ক্ষমা করবেন এবং যাকে ইচ্ছা তিনি শাস্তি দেবেন। আল্লাহ সর্ববিষয়ে শক্তিমান।",
              "numberInSurah": 284,
              "juz": 3,
              "manzil": 1,
              "page": 49,
              "ruku": 41,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "লিল্লা-হি মা ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদিওয়া ইন তুবদূমা-ফীআনফুছিকুম আও তুখফূহু ইউহা-ছিবকুম বিহিল্লা-হু ফাইয়াগফিরু লি মাইঁ ইয়াশাউ ওয়া ইউ‘আযযিবু মাইঁ ইয়াশাউ ওয়াল্লা-হু আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "لِلّٰهِ/لِّلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ اِنْ/وَإِن/wa-in//تُبْدُوْا/تُبۡدُواْ/tub'du//مَا/مَا/ma//فِیْۤ/فِيٓ/fi//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَوْ/أَوۡ/aw//تُخْفُوْهُ/تُخۡفُوهُ/tukh'fuhu//یُحَاسِبْكُمْ/يُحَاسِبۡكُم/yuhasib'kum//بِهِ/بِهِ/bihi//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//فَیَغْفِرُ/فَيَغۡفِرُ/fayaghfiru//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یُعَذِّبُ/وَيُعَذِّبُ/wayu'adhibu//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "আল্লাহর জন্য//যা কিছু//মধ্যে (আছে)//আকাশ সমূহের//ও যা কিছু//মধ্যে (আছে)//পৃথিবীর//এবং যদি//তোমরা প্রকাশ কর//যা কিছু//মধ্যে (আছে)//তোমাদের মনের//অথবা//গোপন কর তোমরা তা//তোমাদেরকে হিসাব নিবেন//তা সম্পর্কে//আল্লাহ//অতঃপর ক্ষমা করবেন//যাকে//তিনি ইচ্ছা করবেন//এবং তিনি শাস্তি দিবেন//যাকে//তিনি ইচ্ছা করবেন//এবং আল্লাহ//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/292.mp3"
              ],
              "text": "ءَامَنَ ٱلرَّسُولُ بِمَآ أُنزِلَ إِلَيْهِ مِن رَّبِّهِۦ وَٱلْمُؤْمِنُونَ ۚ كُلٌّ ءَامَنَ بِٱللَّهِ وَمَلَٰٓئِكَتِهِۦ وَكُتُبِهِۦ وَرُسُلِهِۦ لَا نُفَرِّقُ بَيْنَ أَحَدٍۢ مِّن رُّسُلِهِۦ ۚ وَقَالُوا۟ سَمِعْنَا وَأَطَعْنَا ۖ غُفْرَانَكَ رَبَّنَا وَإِلَيْكَ ٱلْمَصِيرُ",
              "translate_bn": "রসূল বিশ্বাস রাখেন ঐ সমস্ত বিষয় সম্পর্কে যা তাঁর পালনকর্তার পক্ষ থেকে তাঁর কাছে অবতীর্ণ হয়েছে এবং মুসলমানরাও সবাই বিশ্বাস রাখে আল্লাহর প্রতি, তাঁর ফেরেশতাদের প্রতি, তাঁর গ্রন্থসমুহের প্রতি এবং তাঁর পয়গম্বরগণের প্রতি। তারা বলে আমরা তাঁর পয়গম্বরদের মধ্যে কোন তারতম্য করিনা। তারা বলে, আমরা শুনেছি এবং কবুল করেছি। আমরা তোমার ক্ষমা চাই, হে আমাদের পালনকর্তা। তোমারই দিকে প্রত্যাবর্তন করতে হবে।",
              "numberInSurah": 285,
              "juz": 3,
              "manzil": 1,
              "page": 49,
              "ruku": 41,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "আ-মানাররাছূলু বিমাউনঝিলা ইলাইহি মির রাব্বিহী ওয়াল মু’মিনূনা কুল্লুন আ-মানা বিল্লাহি ওয়া মালাইকাতিহী ওয়া কুতুবিহী ওয়া রুছুলিহী লা-নুফাররিকুবাইনা আহাদিম মির রুছুলিহী ওয়া কা-লূ ছামি‘না ওয়াআতা‘না গুফরা-নাকা রাব্বানা-ওয়া ইলাইকাল মাসীর।",
              "words_arabic": "اٰمَنَ/ءَامَنَ/amana//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْهِ/إِلَيۡهِ/ilayhi//مِنْ/مِن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//وَ الْمُؤْمِنُوْنَ ؕ/وَٱلۡمُؤۡمِنُونَۚ/wal-mu'minuna//كُلٌّ/كُلٌّ/kullun//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَلٰٓىِٕكَتِهٖ/وَمَلَـٰٓئِكَتِهِۦ/wamalaikatihi//وَ كُتُبِهٖ/وَكُتُبِهِۦ/wakutubihi//وَرُسُلِهٖ ۫/وَرُسُلِهِۦ/warusulihi//لَا/لَا/la//نُفَرِّقُ/نُفَرِّقُ/nufarriqu//بَیْنَ/بَيۡنَ/bayna//اَحَدٍ/أَحَدٖ/ahadin//مِّنْ/مِّن/min//رُّسُلِهٖ ۫/رُّسُلِهِۦۚ/rusulihi//وَ قَالُوْا/وَقَالُواْ/waqalu//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ اَطَعْنَا ؗۗ/وَأَطَعۡنَاۖ/wa-ata'na//غُفْرَانَكَ/غُفۡرَانَكَ/ghuf'ranaka//رَبَّنَا/رَبَّنَا/rabbana//وَ اِلَیْكَ/وَإِلَيۡكَ/wa-ilayka//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "ঈমান এনেছে//রাসূল//ঐ বিষয় যা//অবতীর্ণ করা হয়েছে//তাঁর প্রতি//পক্ষ হতে//তাঁর রবের//এবং মু'মিনরাও//সবাই//ঈমান এনেছে//আল্লাহর উপর//এবং তাঁর ফেরেশতাদের//ও তাঁর কিতাবগুলোর//এবং তাঁর রাসূলদের (উপর)//(তারা বলে) না//আমরা পার্থক্য করি//মাঝে//কারো//মধ্য হতে//তাঁর রাসূলদের//এবং তারা বলে//আমরা শুনলাম//এবং আমরা মানলাম//আমরা তোমার ক্ষমা (চাই)//হে আমাদের রব//এবং তোমারই কাছে//প্রত্যাবর্তন (হবে)"
            },
            {
              "number": 293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/293.mp3"
              ],
              "text": "لَا يُكَلِّفُ ٱللَّهُ نَفْسًا إِلَّا وُسْعَهَا ۚ لَهَا مَا كَسَبَتْ وَعَلَيْهَا مَا ٱكْتَسَبَتْ ۗ رَبَّنَا لَا تُؤَاخِذْنَآ إِن نَّسِينَآ أَوْ أَخْطَأْنَا ۚ رَبَّنَا وَلَا تَحْمِلْ عَلَيْنَآ إِصْرًۭا كَمَا حَمَلْتَهُۥ عَلَى ٱلَّذِينَ مِن قَبْلِنَا ۚ رَبَّنَا وَلَا تُحَمِّلْنَا مَا لَا طَاقَةَ لَنَا بِهِۦ ۖ وَٱعْفُ عَنَّا وَٱغْفِرْ لَنَا وَٱرْحَمْنَآ ۚ أَنتَ مَوْلَىٰنَا فَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَٰفِرِينَ",
              "translate_bn": "আল্লাহ কাউকে তার সাধ্যাতীত কোন কাজের ভার দেন না, সে তাই পায় যা সে উপার্জন করে এবং তাই তার উপর বর্তায় যা সে করে। হে আমাদের পালনকর্তা, যদি আমরা ভুলে যাই কিংবা ভুল করি, তবে আমাদেরকে অপরাধী করো না। হে আমাদের পালনকর্তা! এবং আমাদের উপর এমন দায়িত্ব অর্পণ করো না, যেমন আমাদের পূর্ববর্তীদের উপর অর্পণ করেছ, হে আমাদের প্রভূ! এবং আমাদের দ্বারা ঐ বোঝা বহন করিও না, যা বহন করার শক্তি আমাদের নাই। আমাদের পাপ মোচন কর। আমাদেরকে ক্ষমা কর এবং আমাদের প্রতি দয়া কর। তুমিই আমাদের প্রভু। সুতরাং কাফের সম্প্রদায়ের বিরুদ্ধে আমাদের কে সাহায্যে কর।",
              "numberInSurah": 286,
              "juz": 3,
              "manzil": 1,
              "page": 49,
              "ruku": 41,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "লা-ইউকালিলফুল্লা-হু নাফছান ইল্লা-উছ‘আহা-লাহা-মা কাছাবাত ওয়া ‘আলাইহা-মাকতাছাবাত রাব্বানা-লা-তুআ-খিযনা ইন নাছীনা-আও আখতা’না-রাব্বানা ওয়ালা-তাহমিল ‘আলাইনা-ইসরান কামা-হামালতাহূ আলাল্লাযীনা মিন কাবলিনা-রাব্বানা-ওয়ালা তুহাম্মিলনা-মা-লা-তা-কাতা লানা-বিহী ওয়া‘ফু‘আন্না-ওয়াগফিরলানা-ওয়ারহামনা-আনতা মাওলা-না-ফানসুরনা-‘আলাল কাওমিল কা-ফিরীন।",
              "words_arabic": "لَا/لَا/la//یُكَلِّفُ/يُكَلِّفُ/yukallifu//اللّٰهُ/ٱللَّهُ/al-lahu//نَفْسًا/نَفۡسًا/nafsan//اِلَّا/إِلَّا/illa//وُسْعَهَا ؕ/وُسۡعَهَاۚ/wus'aha//لَهَا/لَهَا/laha//مَا/مَا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ عَلَیْهَا/وَعَلَيۡهَا/wa'alayha//مَا/مَا/ma//اكْتَسَبَتْ ؕ/ٱكۡتَسَبَتۡۗ/ik'tasabat//رَبَّنَا/رَبَّنَا/rabbana//لَا/لَا/la//تُؤَاخِذْنَاۤ/تُؤَاخِذۡنَآ/tuakhidh'na//اِنْ/إِن/in//نَّسِیْنَاۤ/نَّسِينَآ/nasina//اَوْ/أَوۡ/aw//اَخْطَاْنَا ۚ/أَخۡطَأۡنَاۚ/akhtana//رَبَّنَا/رَبَّنَا/rabbana//وَ لَا/وَلَا/wala//تَحْمِلْ/تَحۡمِلۡ/tahmil//عَلَیْنَاۤ/عَلَيۡنَآ/alayna//اِصْرًا/إِصۡرٗا/is'ran//كَمَا/كَمَا/kama//حَمَلْتَهٗ/حَمَلۡتَهُۥ/hamaltahu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِنَا ۚ/قَبۡلِنَاۚ/qablina//رَبَّنَا/رَبَّنَا/rabbana//وَ لَا/وَلَا/wala//تُحَمِّلْنَا/تُحَمِّلۡنَا/tuhammil'na//مَا/مَا/ma//لَا/لَا/la//طَاقَةَ/طَاقَةَ/taqata//لَنَا/لَنَا/lana//بِهٖ ۚ/بِهِۦۖ/bihi//وَ اعْفُ/وَٱعۡفُ/wa-u'fu//عَنَّا ۥ/عَنَّا/anna//وَ اغْفِرْ/وَٱغۡفِرۡ/wa-igh'fir//لَنَا ۥ/لَنَا/lana//وَارْحَمْنَا ۥ/وَٱرۡحَمۡنَآۚ/wa-ir'hamna//اَنْتَ/أَنتَ/anta//مَوْلٰىنَا/مَوۡلَىٰنَا/mawlana//فَانْصُرْنَا/فَٱنصُرۡنَا/fa-unsur'na//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْكٰفِرِیْنَ۠/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "না//দায়িত্বভার দেন//আল্লাহ//কোনো ব্যক্তিকে//এছাড়া যা//তার সামর্থ্য (আছে)//তার জন্য (আছে)//যা (পূণ্য)//সে অর্জন করেছে//এবং তার বিরুদ্ধে//যা (পাপ)//সে অর্জন করেছে//হে আমাদের রব//না//আমাদেরকে পাকড়াও করো//যদি//আমরা ভুলে যাই//বা//আমরা ভুল করি//হে আমাদের রব//এবং না//চাপিয়ে দিও//আমাদের উপর//বোঝা//যেমন//তা তুমি চাপিয়ে দিয়েছিলে//উপর//(তাদের) যারা//থেকে//আমাদের পূর্ব ছিল//হে আমাদের রব//এবং না//আমাদের উপর চাপিয়ে দিও//তা//নেই//শক্তি//আমাদের কাছে//যার//এবং মোচন করে দাও (ত্রুটি)//আমাদের থেকে//এবং ক্ষমা করো//আমাদেরকে//এবং আমাদের উপর দয়া করো//তুমিই//আমাদের অভিভাবক//আমাদের সাহায্য কর তাই//বিরুদ্ধে//সম্প্রদায়ের//(যারা) কাফির"
            }
          ]
        },
        {
          "number": 3,
          "name": "سُورَةُ آلِ عِمۡرَانَ",
          "englishName": "Aal-i-Imraan",
          "englishNameTranslation": "The Family of Imraan",
          "revelationType": "Medinan",
          "verse": 200,
          "words": 7080,
          "chars": 30276,
          "ayahs": [
            {
              "number": 294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/294.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ লাম মীম।",
              "numberInSurah": 1,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম।",
              "words_arabic": "الٓمَّٓ ۙ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ লা-ম মী-ম"
            },
            {
              "number": 295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/295.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ٱلْحَىُّ ٱلْقَيُّومُ",
              "translate_bn": "আল্লাহ ছাড়া কোন উপাস্য নেই, তিনি চিরঞ্জীব, সবকিছুর ধারক।",
              "numberInSurah": 2,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লাইলাহা ইল্লা-হুওয়াল হাইয়ুল কাইয়ূম।",
              "words_arabic": "اللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۙ/هُوَ/huwa//الْحَیُّ/ٱلۡحَيُّ/al-hayu//الْقَیُّوْمُؕ/ٱلۡقَيُّومُ/al-qayumu",
              "words_bangla": "আল্লাহ (এমন সত্তা)//নেই//কোনো ইলাহ//ছাড়া//তিনি//(তিনিই) চিরঞ্জীব//সর্বসত্তার ধারক"
            },
            {
              "number": 296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/296.mp3"
              ],
              "text": "نَزَّلَ عَلَيْكَ ٱلْكِتَٰبَ بِٱلْحَقِّ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ وَأَنزَلَ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ",
              "translate_bn": "তিনি আপনার প্রতি কিতাব নাযিল করেছেন সত্যতার সাথে; যা সত্যায়ন করে পূর্ববর্তী কিতাবসমুহের।",
              "numberInSurah": 3,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "নাঝঝালা ‘আলাইকাল কিতা-বা বিলহাক্কি মুসাদ্দিকালিলমা-বাইনা ইয়াদাইহি ওয়াআনঝালাত তাওরা-তা ওয়াল ইনজীল।",
              "words_arabic": "نَزَّلَ/نَزَّلَ/nazzala//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//التَّوْرٰىةَ/ٱلتَّوۡرَىٰةَ/al-tawrata//وَ الْاِنْجِیْلَۙ/وَٱلۡإِنجِيلَ/wal-injila",
              "words_bangla": "তিনি অবতীর্ণ করেছেন//তোমার উপর//কিতাব//সত্যসহ//সত্যায়নকারী//তার জন্য যা//মাঝে//(এসেছে হাতের) তার পূর্বে//এবং তিনি অবতীর্ণ করেছেন//তওরাত//ও ইঞ্জীল"
            },
            {
              "number": 297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/297.mp3"
              ],
              "text": "مِن قَبْلُ هُدًۭى لِّلنَّاسِ وَأَنزَلَ ٱلْفُرْقَانَ ۗ إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِ ٱللَّهِ لَهُمْ عَذَابٌۭ شَدِيدٌۭ ۗ وَٱللَّهُ عَزِيزٌۭ ذُو ٱنتِقَامٍ",
              "translate_bn": "নাযিল করেছেন তাওরত ও ইঞ্জিল, এ কিতাবের পূর্বে, মানুষের হেদায়েতের জন্যে এবং অবতীর্ণ করেছেন মীমাংসা। নিঃসন্দেহে যারা আল্লাহর আয়াতসমূহ অস্বীকার করে, তাদের জন্যে রয়েছে কঠিন আযাব। আর আল্লাহ হচ্ছেন পরাক্রমশীল, প্রতিশোধ গ্রহণকারী।",
              "numberInSurah": 4,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "মিন কাবলু হুদাল লিন্না-ছি ওয়া আনঝালাল ফুরকানা ইন্নাল্লাযীনা কাফারূ বিআ-য়াতিল্লা-হি লাহুম ‘আযা-বুন শাদীদুওঁ ওয়াল্লা-হু ‘আঝীঝুন যুনতিকা-ম।",
              "words_arabic": "مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//هُدًی/هُدٗى/hudan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//الْفُرْقَانَ ؕ۬/ٱلۡفُرۡقَانَۗ/al-fur'qana//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ ؕ/شَدِيدٞۗ/shadidun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٞ/azizun//ذُو/ذُو/dhu//انْتِقَامٍ /ٱنتِقَامٍ/intiqamin",
              "words_bangla": "থেকে//ইতিপূর্ব//সঠিকপথ (হিসেবে)//মানুষের জন্য//এবং তিনি অবতীর্ণ করেছেন//ফুরকান(ন্যায়-অন্যায়ের মীমাংসা)//নিশ্চয়ই//যারা//অস্বীকার করেছে//নিদর্শনগুলোর প্রতি//আল্লাহর//তাদের জন্য//শাস্তি (রয়েছে)//কঠিন//এবং আল্লাহ//পরাক্রমশালী//(একটি)//প্রতিশোধ ক্ষমতা সম্পন্ন"
            },
            {
              "number": 298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/298.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَا يَخْفَىٰ عَلَيْهِ شَىْءٌۭ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ",
              "translate_bn": "আল্লাহর নিকট আসমান ও যমীনের কোন বিষয়ই গোপন নেই।",
              "numberInSurah": 5,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াখফা-‘আলাইহি শাইউন ফিল আরদিওয়ালা-ফিছ ছামাই।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَخْفٰی/يَخۡفَىٰ/yakhfa//عَلَیْهِ/عَلَيۡهِ/alayhi//شَیْءٌ/شَيۡءٞ/shayon//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فِی/فِي/fi//السَّمَآءِؕ/ٱلسَّمَآءِ/al-samai",
              "words_bangla": "নিশ্চয়ই//আল্লাহ (এমন সত্তা)//না//গোপন থাকে//তাঁর কাছে//কোনো কিছু//মধ্যে//পৃথিবীর//আর না//মধ্যে//আকাশের"
            },
            {
              "number": 299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/299.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُصَوِّرُكُمْ فِى ٱلْأَرْحَامِ كَيْفَ يَشَآءُ ۚ لَآ إِلَٰهَ إِلَّا هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "তিনিই সেই আল্লাহ, যিনি তোমাদের আকৃতি গঠন করেন মায়ের গর্ভে, যেমন তিনি চেয়েছেন। তিনি ছাড়া আর কোন উপাস্য নেই। তিনি প্রবল পরাক্রমশীল, প্রজ্ঞাময়।",
              "numberInSurah": 6,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউসাওবিরুকুম ফিল আরহা-মি কাইফা ইয়াশাউ লাইলা-হা ইল্লা-হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُصَوِّرُكُمْ/يُصَوِّرُكُمۡ/yusawwirukum//فِی/فِي/fi//الْاَرْحَامِ/ٱلۡأَرۡحَامِ/al-arhami//كَیْفَ/كَيۡفَ/kayfa//یَشَآءُ ؕ/يَشَآءُۚ/yashau//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তিনিই (সেই সত্তা)//যিনি//আকৃতি গঠন করেন তোমাদের//মধ্যে//মাতৃগর্ভসমূহের//যেভাবে//তিনি চান//নেই//কোনো ইলাহ//ছাড়া//তিনি//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/300.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَنزَلَ عَلَيْكَ ٱلْكِتَٰبَ مِنْهُ ءَايَٰتٌۭ مُّحْكَمَٰتٌ هُنَّ أُمُّ ٱلْكِتَٰبِ وَأُخَرُ مُتَشَٰبِهَٰتٌۭ ۖ فَأَمَّا ٱلَّذِينَ فِى قُلُوبِهِمْ زَيْغٌۭ فَيَتَّبِعُونَ مَا تَشَٰبَهَ مِنْهُ ٱبْتِغَآءَ ٱلْفِتْنَةِ وَٱبْتِغَآءَ تَأْوِيلِهِۦ ۗ وَمَا يَعْلَمُ تَأْوِيلَهُۥٓ إِلَّا ٱللَّهُ ۗ وَٱلرَّٰسِخُونَ فِى ٱلْعِلْمِ يَقُولُونَ ءَامَنَّا بِهِۦ كُلٌّۭ مِّنْ عِندِ رَبِّنَا ۗ وَمَا يَذَّكَّرُ إِلَّآ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "তিনিই আপনার প্রতি কিতাব নাযিল করেছেন। তাতে কিছু আয়াত রয়েছে সুস্পষ্ট, সেগুলোই কিতাবের আসল অংশ। আর অন্যগুলো রূপক। সুতরাং যাদের অন্তরে কুটিলতা রয়েছে, তারা অনুসরণ করে ফিৎনা বিস্তার এবং অপব্যাখ্যার উদ্দেশে তন্মধ্যেকার রূপকগুলোর। আর সেগুলোর ব্যাখ্যা আল্লাহ ব্যতীত কেউ জানে না। আর যারা জ্ঞানে সুগভীর, তারা বলেনঃ আমরা এর প্রতি ঈমান এনেছি। এই সবই আমাদের পালনকর্তার পক্ষ থেকে অবতীর্ণ হয়েছে। আর বোধশক্তি সম্পন্নেরা ছাড়া অপর কেউ শিক্ষা গ্রহণ করে না।",
              "numberInSurah": 7,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীআনঝালা ‘আলাইকাল কিতা-বা মিনহু আ-য়া-তুম মুহকামা-তুন হুন্না উম্মুল কিতা-বি ওয়া উখারু মুতাশা-বিহা-তুন ফাআম্মাল্লাযীনা ফী কুলূবিহিম ঝাইগুন ফাইয়াত্তাবি‘ঊন মা-তাশা-বাহা মিনহুবতিগাআল ফিতনাতি ওয়াবতিগাআ তা’বিলিহী ওয়া মা-ইয়া‘লামুতা’বিলাহু ইল্লাল্লা-হ । ওয়ার রা-ছিখূনা ফিল ‘ইলমি ইয়াকূলূনা আমান্না-বিহী কুল্লুম মিন ‘ইনদি রাব্বিনা-ওয়ামা-ইয়াযযাককারু ইল্লা উলুল আলবা-ব।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْهُ/مِنۡهُ/min'hu//اٰیٰتٌ/ءَايَٰتٞ/ayatun//مُّحْكَمٰتٌ/مُّحۡكَمَٰتٌ/muh'kamatun//هُنَّ/هُنَّ/hunna//اُمُّ/أُمُّ/ummu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ اُخَرُ/وَأُخَرُ/wa-ukharu//مُتَشٰبِهٰتٌ ؕ/مُتَشَٰبِهَٰتٞۖ/mutashabihatun//فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//زَیْغٌ/زَيۡغٞ/zayghun//فَیَتَّبِعُوْنَ/فَيَتَّبِعُونَ/fayattabi'una//مَا/مَا/ma//تَشَابَهَ/تَشَٰبَهَ/tashabaha//مِنْهُ/مِنۡهُ/min'hu//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//الْفِتْنَةِ/ٱلۡفِتۡنَةِ/al-fit'nati//وَ ابْتِغَآءَ/وَٱبۡتِغَآءَ/wa-ib'tighaa//تَاْوِیْلِهٖ ؔۚ/تَأۡوِيلِهِۦۖ/tawilihi//وَ مَا/وَمَا/wama//یَعْلَمُ/يَعۡلَمُ/ya'lamu//تَاْوِیْلَهٗۤ/تَأۡوِيلَهُۥٓ/tawilahu//اِلَّا/إِلَّا/illa//اللّٰهُؔۘ/ٱللَّهُۗ/al-lahu//وَالرّٰسِخُوْنَ/وَٱلرَّـٰسِخُونَ/wal-rasikhuna//فِی/فِي/fi//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اٰمَنَّا/ءَامَنَّا/amanna//بِهٖ ۙ/بِهِۦ/bihi//كُلٌّ/كُلّٞ/kullun//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//رَبِّنَا ۚ/رَبِّنَاۗ/rabbina//وَ مَا/وَمَا/wama//یَذَّكَّرُ/يَذَّكَّرُ/yadhakkaru//اِلَّاۤ/إِلَّآ/illa//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "তিনিই (সেই সত্তা)//যিনি//অবতীর্ণ করেছেন//তোমার উপর//কিতাব//তাতে কিছু আছে//আয়াতসমূহ//মুহকাম (সুদৃঢ়)//সেগুলো//জননী (মূল অংশ)//কিতাবের//এবং অন্যগুলো//মুতাশাবিহ (রূপক সদৃশ)//সুতরাং//যারা//মধ্যে (আছে)//তাদের অন্তরে//বক্রতা//ফলে তারা অনুসরণ করে//(তার) যা//মুতাশাবিহাতের ফলে (রূপক অর্থ দেয়)//তার মধ্যে//অনুসন্ধানে//ফেতনা(বিরোধ)//এবং অনুসন্ধানে//তার ব্যখ্যা//এবং না//কেউ জানে//তার ব্যখ্যা//ছাড়া//আল্লাহ//এবং (যারা) সুগভীর//ব্যাপারে//জ্ঞানের//তারা বলে//আমরা বিশ্বাস করেছি//তার উপর//সবই (এসেছে)//থেকে//নিকট//আমাদের রবের//এবং না//শিক্ষা নেয় (তা হতে)//এছাড়া//লোকেরা//বোধশক্তি সম্পন্ন"
            },
            {
              "number": 301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/301.mp3"
              ],
              "text": "رَبَّنَا لَا تُزِغْ قُلُوبَنَا بَعْدَ إِذْ هَدَيْتَنَا وَهَبْ لَنَا مِن لَّدُنكَ رَحْمَةً ۚ إِنَّكَ أَنتَ ٱلْوَهَّابُ",
              "translate_bn": "হে আমাদের পালনকর্তা! সরল পথ প্রদর্শনের পর তুমি আমাদের অন্তরকে সত্যলংঘনে প্রবৃত্ত করোনা এবং তোমার নিকট থেকে আমাদিগকে অনুগ্রহ দান কর। তুমিই সব কিছুর দাতা।",
              "numberInSurah": 8,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-লা-তুঝিগ কুলূবানা-বা‘দা ইয হাদাইতানা -ওয়াহাবলানা-মিল্লা দুনকা রাহমাতান ইন্নাকা আনতাল ওয়াহহা-ব।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//لَا/لَا/la//تُزِغْ/تُزِغۡ/tuzigh//قُلُوْبَنَا/قُلُوبَنَا/qulubana//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//هَدَیْتَنَا/هَدَيۡتَنَا/hadaytana//وَ هَبْ/وَهَبۡ/wahab//لَنَا/لَنَا/lana//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//رَحْمَةً ۚ/رَحۡمَةًۚ/rahmatan//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْوَهَّابُ /ٱلۡوَهَّابُ/al-wahabu",
              "words_bangla": "(তারা বলে) হে আমাদের রব//না//বাঁকা করো//আমাদের অন্তরগুলো//এর পরে//যখন//আমাদের পথ প্রদর্শন করেছ তুমি//এবং দাও//আমাদের জন্য//থেকে//তোমার নিকট//দয়া//তুমি নিশ্চয়ই//তুমিই//মহাদাতা"
            },
            {
              "number": 302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/302.mp3"
              ],
              "text": "رَبَّنَآ إِنَّكَ جَامِعُ ٱلنَّاسِ لِيَوْمٍۢ لَّا رَيْبَ فِيهِ ۚ إِنَّ ٱللَّهَ لَا يُخْلِفُ ٱلْمِيعَادَ",
              "translate_bn": "হে আমাদের পালনকর্তা! তুমি মানুষকে একদিন অবশ্যই একত্রিত করবেঃ এতে কোনই সন্দেহ নেই। নিশ্চয় আল্লাহ তাঁর ওয়াদার অন্যথা করেন না।",
              "numberInSurah": 9,
              "juz": 3,
              "manzil": 1,
              "page": 50,
              "ruku": 42,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা ইন্নাকা জা-মি‘উন্না-ছি লিইয়াওমিল্লা-রাইবা ফীহি ইন্নাল্লা-হা লা-ইউখলিফুল মী‘আদ।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّكَ/إِنَّكَ/innaka//جَامِعُ/جَامِعُ/jami'u//النَّاسِ/ٱلنَّاسِ/al-nasi//لِیَوْمٍ/لِيَوۡمٖ/liyawmin//لَّا/لَّا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ؕ/فِيهِۚ/fihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُخْلِفُ/يُخۡلِفُ/yukh'lifu//الْمِیْعَادَ۠/ٱلۡمِيعَادَ/al-mi'ada",
              "words_bangla": "(তারা বলে) হে আমাদের রব//তুমি নিশ্চয়ই//সমবেতকারী//মানুষদের//সে দিনের//নেই (যাতে)//কোনো সন্দেহ//তার মধ্যে//নিশ্চয়ই//আল্লাহ//না//ব্যতিক্রম করেন//প্রতিশ্রুতির"
            },
            {
              "number": 303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/303.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَٰدُهُم مِّنَ ٱللَّهِ شَيْـًۭٔا ۖ وَأُو۟لَٰٓئِكَ هُمْ وَقُودُ ٱلنَّارِ",
              "translate_bn": "যারা কুফুরী করে, তাদের ধন-সম্পদ ও সন্তান-সন্ততি আল্লাহর সামনে কখনও কাজে আসবে না। আর তারাই হচ্ছে দোযখের ইন্ধন।",
              "numberInSurah": 10,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারু লান তুগনিয়া ‘আনহুম আমওয়া-লুহুম ওয়ালা আওলা-দুহুম মিনাল্লা-হি শাইআওঁ ওয়া উলাইকাহুম ওয়াকূদুন্না-র।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَنْ/لَن/lan//تُغْنِیَ/تُغۡنِيَ/tugh'niya//عَنْهُمْ/عَنۡهُمۡ/anhum//اَمْوَالُهُمْ/أَمۡوَٰلُهُمۡ/amwaluhum//وَلَاۤ/وَلَآ/wala//اَوْلَادُهُمْ/أَوۡلَٰدُهُم/awladuhum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـٔٗاۖ/shayan//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمْ/هُمۡ/hum//وَ قُوْدُ/وَقُودُ/waqudu//النَّارِۙ/ٱلنَّارِ/al-nari",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করেছে//কখনও না//উপকার দিবে//তাদের জন্য//তাদের ধনসম্পদগুলো//আর না//সন্তানাদি তাদের//কাছে//আল্লাহর//কিছুমাত্রই//এবং ঐসব লোক//তারাই (হবে)//ইন্ধন//আগুনের (দোজখের)"
            },
            {
              "number": 304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/304.mp3"
              ],
              "text": "كَدَأْبِ ءَالِ فِرْعَوْنَ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَّبُوا۟ بِـَٔايَٰتِنَا فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ ۗ وَٱللَّهُ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "ফেরআউনের সম্প্রদায় এবং তাদের পূর্ববর্তীদের ধারা অনুযায়ীই তারা আমার আয়াতসমূহকে মিথ্যা প্রতিপন্ন করেছে। ফলে তাদের পাপের কারণে আল্লাহ তাদেরকে পাকড়াও করেছেন আর আল্লাহর আযাব অতি কঠিন।",
              "numberInSurah": 11,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "কাদা’বি আ-লি ফির‘আওনা ওয়াল্লাযীনা মিন কাবলিহিম কাযযাবূ বিআ-য়া তিনা-ফাআখাযাহুমুল্লা-হু বিযুনূবিহিম ওয়াল্লা-হু শাদীদুল ‘ইকা-ব।",
              "words_arabic": "كَدَاْبِ/كَدَأۡبِ/kadabi//اٰلِ/ءَالِ/ali//فِرْعَوْنَ ۙ/فِرۡعَوۡنَ/fir'awna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ۚ/بِـَٔايَٰتِنَا/biayatina//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِذُنُوْبِهِمْ ؕ/بِذُنُوبِهِمۡۗ/bidhunubihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "পরিণতি মতো (হয়েছে)//সম্প্রদায়ের//ফিরআউনের//এবং যারা//(থেকে)//তাদের পূর্ব থেকে (ছিল)//তারা অস্বীকার করেছিল//আমাদের নিদর্শনগুলোর প্রতি//অতঃপর ধরলেন তাদেরকে//আল্লাহ//তাদের পাপের কারণে//এবং আল্লাহ//বড় কঠোর//শাস্তিদানে"
            },
            {
              "number": 305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/305.mp3"
              ],
              "text": "قُل لِّلَّذِينَ كَفَرُوا۟ سَتُغْلَبُونَ وَتُحْشَرُونَ إِلَىٰ جَهَنَّمَ ۚ وَبِئْسَ ٱلْمِهَادُ",
              "translate_bn": "কাফেরদিগকে বলে দিন, খুব শিগগীরই তোমরা পরাভূত হয়ে দোযখের দিকে হাঁকিয়ে নীত হবে-সেটা কতই না নিকৃষ্টতম অবস্থান।",
              "numberInSurah": 12,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "কুল লিল্লাযীনা কাফারু ছাতুগলাবূনা ওয়াতুহশারূনা ইলা-জাহান্নামা ওয়াবি’ছাল মিহা-দ।",
              "words_arabic": "قُلْ/قُل/qul//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//سَتُغْلَبُوْنَ/سَتُغۡلَبُونَ/satugh'labuna//وَ تُحْشَرُوْنَ/وَتُحۡشَرُونَ/watuh'sharuna//اِلٰی/إِلَىٰ/ila//جَهَنَّمَ ؕ/جَهَنَّمَۖ/jahannama//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمِهَادُ /ٱلۡمِهَادُ/al-mihadu",
              "words_bangla": "বলো তুমি//তাদের উদ্দেশে (যারা)//অস্বীকার করেছে//শীঘ্রই তোমাদের পরাজিত হবে//ও তোমাদের একত্র করা হবে//দিকে//জাহান্নামের//এবং (তা) অতিনিকৃষ্ট//আবাসস্থল"
            },
            {
              "number": 306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/306.mp3"
              ],
              "text": "قَدْ كَانَ لَكُمْ ءَايَةٌۭ فِى فِئَتَيْنِ ٱلْتَقَتَا ۖ فِئَةٌۭ تُقَٰتِلُ فِى سَبِيلِ ٱللَّهِ وَأُخْرَىٰ كَافِرَةٌۭ يَرَوْنَهُم مِّثْلَيْهِمْ رَأْىَ ٱلْعَيْنِ ۚ وَٱللَّهُ يُؤَيِّدُ بِنَصْرِهِۦ مَن يَشَآءُ ۗ إِنَّ فِى ذَٰلِكَ لَعِبْرَةًۭ لِّأُو۟لِى ٱلْأَبْصَٰرِ",
              "translate_bn": "নিশ্চয়ই দুটো দলের মোকাবিলার মধ্যে তোমাদের জন্য নিদর্শন ছিল। একটি দল আল্লাহর রাহে যুদ্ধ করে। আর অপর দল ছিল কাফেরদের এরা স্বচক্ষে তাদেরকে দ্বিগুন দেখছিল। আর আল্লাহ যাকে নিজের সাহায্যের মাধ্যমে শক্তি দান করেন। এরই মধ্যে শিক্ষনীয় রয়েছে দৃষ্টি সম্পন্নদের জন্য।",
              "numberInSurah": 13,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "কাদ কা-না লাকুম আ-য়াতুন ফী ফিআতাইনিল তাকাতা-ফিআতুন তুকা-তিলুফী ছাবীলিল্লা-হি ওয়া উখরা-কা-ফিরাতুইঁ ইয়ারাওনাহুম মিছলাইহিম রা’ইয়াল ‘আইনি ওয়াল্লা-হু ইউআইয়িদুবিনাসরিহী মাইঁ ইয়াশাউ ইন্না ফী যা-লিকা লা‘ইবরাতাল লিউলিল আবসা-র।",
              "words_arabic": "قَدْ/قَدۡ/qad//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//اٰیَةٌ/ءَايَةٞ/ayatun//فِیْ/فِي/fi//فِئَتَیْنِ/فِئَتَيۡنِ/fi-atayni//الْتَقَتَا ؕ/ٱلۡتَقَتَاۖ/al-taqata//فِئَةٌ/فِئَةٞ/fi-atun//تُقَاتِلُ/تُقَٰتِلُ/tuqatilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اُخْرٰی/وَأُخۡرَىٰ/wa-ukh'ra//كَافِرَةٌ/كَافِرَةٞ/kafiratun//یَّرَوْنَهُمْ/يَرَوۡنَهُم/yarawnahum//مِّثْلَیْهِمْ/مِّثۡلَيۡهِمۡ/mith'layhim//رَاْیَ/رَأۡيَ/raya//الْعَیْنِ ؕ/ٱلۡعَيۡنِۚ/al-'ayni//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُؤَیِّدُ/يُؤَيِّدُ/yu-ayyidu//بِنَصْرِهٖ/بِنَصۡرِهِۦ/binasrihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَعِبْرَةً/لَعِبۡرَةٗ/la'ib'ratan//لِّاُولِی/لِّأُوْلِي/li-uli//الْاَبْصَارِ /ٱلۡأَبۡصَٰرِ/al-absari",
              "words_bangla": "নিশ্চয়ই//রয়েছে//তোমাদের জন্য//নিদর্শন//মধ্যে//দুই দলের//সম্মুখীন হয়েছিল পরস্পর (বদরের যুদ্ধে)//একদল//লড়াই করেছে//মধ্যে//পথের //আল্লাহর//এবং অন্যটি//কাফির//তাদেরকে তারা(মুসলিমদেরকে) দেখে//তাদের দ্বিগুণ//(দেখ)//চাক্ষুসভাবে//এবং আল্লাহ//শক্তিশালী করেন//তাঁর সাহায্য দিয়ে//যাকে//তিনি চান//নিশ্চয়//মধ্যে (আছে)//এর//শিক্ষা অবশ্যই//জন্য//অন্তর্দৃষ্টি সম্পন্নদের"
            },
            {
              "number": 307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/307.mp3"
              ],
              "text": "زُيِّنَ لِلنَّاسِ حُبُّ ٱلشَّهَوَٰتِ مِنَ ٱلنِّسَآءِ وَٱلْبَنِينَ وَٱلْقَنَٰطِيرِ ٱلْمُقَنطَرَةِ مِنَ ٱلذَّهَبِ وَٱلْفِضَّةِ وَٱلْخَيْلِ ٱلْمُسَوَّمَةِ وَٱلْأَنْعَٰمِ وَٱلْحَرْثِ ۗ ذَٰلِكَ مَتَٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَٱللَّهُ عِندَهُۥ حُسْنُ ٱلْمَـَٔابِ",
              "translate_bn": "মানবকূলকে মোহগ্রস্ত করেছে নারী, সন্তান-সন্ততি, রাশিকৃত স্বর্ণ-রৌপ্য, চিহ্নিত অশ্ব, গবাদি পশুরাজি এবং ক্ষেত-খামারের মত আকর্ষণীয় বস্তুসামগ্রী। এসবই হচ্ছে পার্থিব জীবনের ভোগ্য বস্তু। আল্লাহর নিকটই হলো উত্তম আশ্রয়।",
              "numberInSurah": 14,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 20,
              "sajda": false,
              "pronunciation_bn": "ঝুইয়িনা লিন্না-ছি হুব্বুশশাহাওয়া-তি মিনান নিছাই ওয়াল বানীনা ওয়াল কানা-তীরিল মুকানতারাতি মিনাযযাহাবি ওয়াল ফিদ্দাতি ওয়াল খাইলিল মুছাওওয়ামাতি ওয়াল আন‘আমি ওয়াল হারছিযা-লিকা মাতা-‘উল হায়া-তিদ্দুনইয়া-ওয়াল্লা-হু ‘ইনদাহু হুছনুল মাআ-ব।",
              "words_arabic": "زُیِّنَ/زُيِّنَ/zuyyina//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//حُبُّ/حُبُّ/hubbu//الشَّهَوٰتِ/ٱلشَّهَوَٰتِ/al-shahawati//مِنَ/مِنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//وَ الْبَنِیْنَ/وَٱلۡبَنِينَ/wal-banina//وَ الْقَنَاطِیْرِ/وَٱلۡقَنَٰطِيرِ/wal-qanatiri//الْمُقَنْطَرَةِ/ٱلۡمُقَنطَرَةِ/al-muqantarati//مِنَ/مِنَ/mina//الذَّهَبِ/ٱلذَّهَبِ/al-dhahabi//وَ الْفِضَّةِ/وَٱلۡفِضَّةِ/wal-fidati//وَ الْخَیْلِ/وَٱلۡخَيۡلِ/wal-khayli//الْمُسَوَّمَةِ/ٱلۡمُسَوَّمَةِ/al-musawamati//وَ الْاَنْعَامِ/وَٱلۡأَنۡعَٰمِ/wal-an'ami//وَ الْحَرْثِ ؕ/وَٱلۡحَرۡثِۗ/wal-harthi//ذٰلِكَ/ذَٰلِكَ/dhalika//مَتَاعُ/مَتَٰعُ/mata'u//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عِنْدَهٗ/عِندَهُۥ/indahu//حُسْنُ/حُسۡنُ/hus'nu//الْمَاٰبِ /ٱلۡمَـَٔابِ/al-maabi",
              "words_bangla": "মনোরম করা হয়েছে//লোকদের জন্য//আসক্তি//কামনার//হতে//নারীদের//ও সন্তানাদির//এবং স্তুপ//রাশিকৃত//(থেকে)//সোনার//ও রূপার//ও ঘোড়ার//(যা) চিহ্নিত//ও গবাদিপশুর//এবং ক্ষেতখামারে//এটা//ভোগসামগ্রী//জীবনের//দুনিয়ার//কিন্তু আল্লাহ (এমন সত্তা)//যার কাছে আছে//উত্তম//আশ্রয়স্থল"
            },
            {
              "number": 308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/308.mp3"
              ],
              "text": "۞ قُلْ أَؤُنَبِّئُكُم بِخَيْرٍۢ مِّن ذَٰلِكُمْ ۚ لِلَّذِينَ ٱتَّقَوْا۟ عِندَ رَبِّهِمْ جَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا وَأَزْوَٰجٌۭ مُّطَهَّرَةٌۭ وَرِضْوَٰنٌۭ مِّنَ ٱللَّهِ ۗ وَٱللَّهُ بَصِيرٌۢ بِٱلْعِبَادِ",
              "translate_bn": "বলুন, আমি কি তোমাদেরকে এসবের চাইতেও উত্তম বিষয়ের সন্ধান বলবো?-যারা পরহেযগার, আল্লাহর নিকট তাদের জন্যে রয়েছে বেহেশত, যার তলদেশে প্রস্রবণ প্রবাহিত-তারা সেখানে থাকবে অনন্তকাল। আর রয়েছে পরিচ্ছন্ন সঙ্গিনীগণ এবং আল্লাহর সন্তুষ্টি। আর আল্লাহ তাঁর বান্দাদের প্রতি সুদৃষ্টি রাখেন।",
              "numberInSurah": 15,
              "juz": 3,
              "manzil": 1,
              "page": 51,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "কুল আউনাব্বিউকুম বিখাইরিম মিন যা-লিকুম লিল্লাযীনাত্তাকাও ‘ইনদা রাব্বিহিম জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-ওয়াআঝওয়াজুম মুতাহহারাতুওঁ ওয়ারিদওয়া-নুম মিনাল্লা-হি ওয়াল্লা-হু বাসীরুম বিল‘ইবা-দ।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//اَؤُنَبِّئُكُمْ/أَؤُنَبِّئُكُم/a-unabbi-ukum//بِخَیْرٍ/بِخَيۡرٖ/bikhayrin//مِّنْ/مِّن/min//ذٰلِكُمْ ؕ/ذَٰلِكُمۡۖ/dhalikum//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//جَنّٰتٌ/جَنَّـٰتٞ/jannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//وَ اَزْوَاجٌ/وَأَزۡوَٰجٞ/wa-azwajun//مُّطَهَّرَةٌ/مُّطَهَّرَةٞ/mutahharatun//وَّ رِضْوَانٌ/وَرِضۡوَٰنٞ/warid'wanun//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِالْعِبَادِۚ/بِٱلۡعِبَادِ/bil-'ibadi",
              "words_bangla": "তুমি বল//''তোমাদেরকে আমি বলে দেব কি//উত্তম (জিনিসের কথা)//অপেক্ষা//এসব,//(তাদের) জন্য যারা//তাকওয়া অবলম্বন করেছে//কাছে//তাদের রবের (রয়েছে)//জান্নাত//প্রবাহিত হয়//হতে//তার পাদদেশ//ঝর্ণাধারা//তারা চিরস্থায়ী হবে//তার মধ্যে//এবং স্ত্রীসমূহ (রয়েছে)//পবিত্র//এবং সন্তুষ্টি//পক্ষ হতে//আল্লাহর//এবং আল্লাহ//খুব দৃষ্টি রাখেন//বান্দাদের উপর''"
            },
            {
              "number": 309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/309.mp3"
              ],
              "text": "ٱلَّذِينَ يَقُولُونَ رَبَّنَآ إِنَّنَآ ءَامَنَّا فَٱغْفِرْ لَنَا ذُنُوبَنَا وَقِنَا عَذَابَ ٱلنَّارِ",
              "translate_bn": "যারা বলে, হে আমাদের পালনকর্তা, আমরা ঈমান এনেছি, কাজেই আমাদের গোনাহ ক্ষমা করে দাও আর আমাদেরকে দোযখের আযাব থেকে রক্ষা কর।",
              "numberInSurah": 16,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াকূ লূনা রাব্বানা ইন্নানা আ-মান্না-ফাগফিরলানা-যুনূবানা-ওয়াকিনা‘আযা-বান্না-র।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّنَاۤ/إِنَّنَآ/innana//اٰمَنَّا/ءَامَنَّا/amanna//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لَنَا/لَنَا/lana//ذُنُوْبَنَا/ذُنُوبَنَا/dhunubana//وَ قِنَا/وَقِنَا/waqina//عَذَابَ/عَذَابَ/adhaba//النَّارِۚ/ٱلنَّارِ/al-nari",
              "words_bangla": "যারা//বলে//''হে আমাদের রব//নিশ্চয়ই আমরা//আমরা ঈমান এনেছি//অতএব ক্ষমা কর//আমাদের//আমাদের গুনাহগুলোকে//এবং বাঁচাও আমাদের//শাস্তি (হতে)//জাহান্নামের''"
            },
            {
              "number": 310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/310.mp3"
              ],
              "text": "ٱلصَّٰبِرِينَ وَٱلصَّٰدِقِينَ وَٱلْقَٰنِتِينَ وَٱلْمُنفِقِينَ وَٱلْمُسْتَغْفِرِينَ بِٱلْأَسْحَارِ",
              "translate_bn": "তারা ধৈর্য্যধারণকারী, সত্যবাদী, নির্দেশ সম্পাদনকারী, সৎপথে ব্যয়কারী এবং শেষরাতে ক্ষমা প্রার্থনাকারী।",
              "numberInSurah": 17,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "আসসা-বিরীনা ওয়াসসা-দিকীনা ওয়াল কা-নিতীনা ওয়াল মুনফিকীনা ওয়াল মুছতাগফিরীনা বিলআছহা-র।",
              "words_arabic": "اَلصّٰبِرِیْنَ/ٱلصَّـٰبِرِينَ/al-sabirina//وَ الصّٰدِقِیْنَ/وَٱلصَّـٰدِقِينَ/wal-sadiqina//وَ الْقٰنِتِیْنَ/وَٱلۡقَٰنِتِينَ/wal-qanitina//وَ الْمُنْفِقِیْنَ/وَٱلۡمُنفِقِينَ/wal-munfiqina//وَ الْمُسْتَغْفِرِیْنَ/وَٱلۡمُسۡتَغۡفِرِينَ/wal-mus'taghfirina//بِالْاَسْحَارِ /بِٱلۡأَسۡحَارِ/bil-ashari",
              "words_bangla": "(তারা হবে) ধৈর্য্যশীল//ও সত্যবাদী-সত্যপন্থী//ও বিনীত-অনুগত//ও দাতা//এবং ক্ষমাপ্রার্থী//রাতের শেষপ্রান্তে"
            },
            {
              "number": 311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/311.mp3"
              ],
              "text": "شَهِدَ ٱللَّهُ أَنَّهُۥ لَآ إِلَٰهَ إِلَّا هُوَ وَٱلْمَلَٰٓئِكَةُ وَأُو۟لُوا۟ ٱلْعِلْمِ قَآئِمًۢا بِٱلْقِسْطِ ۚ لَآ إِلَٰهَ إِلَّا هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "আল্লাহ সাক্ষ্য দিয়েছেন যে, তাঁকে ছাড়া আর কোন উপাস্য নেই। ফেরেশতাগণ এবং ন্যায়নিষ্ঠ জ্ঞানীগণও সাক্ষ্য দিয়েছেন যে, তিনি ছাড়া আর কোন ইলাহ নেই। তিনি পরাক্রমশালী প্রজ্ঞাময়।",
              "numberInSurah": 18,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "শাহিদাল্লা-হু আন্নাহু লা ইলা-হা ইল্লা-হুওয়া ওয়াল মালাইকাতুওয়া উলুল ‘ইলমি কাইমাম বিলকিছতিলাইল্লা-হা ইল্লা-হুওয়াল আঝীঝুল হাকীম।",
              "words_arabic": "شَهِدَ/شَهِدَ/shahida//اللّٰهُ/ٱللَّهُ/al-lahu//اَنَّهٗ/أَنَّهُۥ/annahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۙ/هُوَ/huwa//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//وَ اُولُوا/وَأُوْلُواْ/wa-ulu//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//قَآىِٕمًۢا/قَآئِمَۢا/qaiman//بِالْقِسْطِ ؕ/بِٱلۡقِسۡطِۚ/bil-qis'ti//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُؕ/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "সাক্ষী দিচ্ছেন//আল্লাহ//তিনি নিশ্চয় (এমন যে)//নাই//কোন ইলাহ//ছাড়া//তিনি//এবং ফেরেশতারা (সাক্ষ্য দিচ্ছে)//এবং//জ্ঞানীগণও//(যারা) প্রতিষ্ঠিত//ন্যায়নীতিতে//নাই//কোন ইলাহ//ছাড়া//তিনি//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/312.mp3"
              ],
              "text": "إِنَّ ٱلدِّينَ عِندَ ٱللَّهِ ٱلْإِسْلَٰمُ ۗ وَمَا ٱخْتَلَفَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۗ وَمَن يَكْفُرْ بِـَٔايَٰتِ ٱللَّهِ فَإِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "নিঃসন্দেহে আল্লাহর নিকট গ্রহণযোগ্য দ্বীন একমাত্র ইসলাম। এবং যাদের প্রতি কিতাব দেয়া হয়েছে তাদের নিকট প্রকৃত জ্ঞান আসার পরও ওরা মতবিরোধে লিপ্ত হয়েছে, শুধুমাত্র পরস্পর বিদ্বেষবশতঃ, যারা আল্লাহর নিদর্শনসমূহের প্রতি কুফরী করে তাদের জানা উচিত যে, নিশ্চিতরূপে আল্লাহ হিসাব গ্রহণে অত্যন্ত দ্রুত।",
              "numberInSurah": 19,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "ইন্নাদ্দীনা ‘ইনদাল্লা-হিল ইছলা-মু ওয়ামাখতালাফাল্লাযীনা ঊতুল কিতা-বা ইল্লা-মিম বা‘দি মা-জাআহুমুল ‘ইলমুবাগইয়াম বাইনাহুম ওয়ামাইঁ ইয়াকফুর বিআ-য়া-তিল্লা-হি ফাইন্নাল্লা-হা ছারী‘উল হিছা-ব।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الدِّیْنَ/ٱلدِّينَ/al-dina//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//الْاِسْلَامُ ۫/ٱلۡإِسۡلَٰمُۗ/al-is'lamu//وَ مَا/وَمَا/wama//اخْتَلَفَ/ٱخۡتَلَفَ/ikh'talafa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْعِلْمُ/ٱلۡعِلۡمُ/al-'il'mu//بَغْیًۢا/بَغۡيَۢا/baghyan//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۗ/baynahum//وَ مَنْ/وَمَن/waman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "নিশ্চয়//জীবন ব্যবস্থা//কাছে//আল্লাহর (গ্রহণযোগ্য)//(একমাত্র) ইসলাম//এবং না//মতানৈক্য করেছে//যাদের//দেওয়া হয়েছিল//কিতাব//এছাড়া//(থেকে)//পরে//যা//তাদের কাছে এসেছে//জ্ঞান//বিদ্বেষের কারণে//তাদের মাঝে//এবং যে কেউ//অস্বীকার করবে//নিদর্শনগুলোকে//আল্লাহর//নিশ্চয়ই//আল্লাহ (তাদের হতে)//তৎপর//হিসাব (নিতে)"
            },
            {
              "number": 313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/313.mp3"
              ],
              "text": "فَإِنْ حَآجُّوكَ فَقُلْ أَسْلَمْتُ وَجْهِىَ لِلَّهِ وَمَنِ ٱتَّبَعَنِ ۗ وَقُل لِّلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ وَٱلْأُمِّيِّۦنَ ءَأَسْلَمْتُمْ ۚ فَإِنْ أَسْلَمُوا۟ فَقَدِ ٱهْتَدَوا۟ ۖ وَّإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْكَ ٱلْبَلَٰغُ ۗ وَٱللَّهُ بَصِيرٌۢ بِٱلْعِبَادِ",
              "translate_bn": "যদি তারা তোমার সাথে বিতর্কে অবতীর্ণ হয় তবে বলে দাও, \"আমি এবং আমার অনুসরণকারীগণ আল্লাহর প্রতি আত্নসমর্পণ করেছি।\" আর আহলে কিতাবদের এবং নিরক্ষরদের বলে দাও যে, তোমরাও কি আত্নসমর্পণ করেছ? তখন যদি তারা আত্নসমর্পণ করে, তবে সরল পথ প্রাপ্ত হলো, আর যদি মুখ ঘুরিয়ে নেয়, তাহলে তোমার দায়িত্ব হলো শুধু পৌছে দেয়া। আর আল্লাহর দৃষ্টিতে রয়েছে সকল বান্দা।",
              "numberInSurah": 20,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 43,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "ফাইন হাজ্জূকা ফাকুলআছলামতু ওয়াজহিইয়া লিল্লা-হি ওয়ামানিত তাবা‘আনি ওয়াকুল লিল্লাযীনা ঊতুল কিতা-বা ওয়াল উম্মিইয়ীনা আআছলামতুম ফাইন আছলামূ ফাকাদিহতাদাওঁ ওয়া ইন তাওয়াল্লাও ফাইন্নামা-‘আলাইকাল বালা-গু ওয়াল্লা-হু বাসীরুম বিল‘ইবা-দ।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//حَآجُّوْكَ/حَآجُّوكَ/hajjuka//فَقُلْ/فَقُلۡ/faqul//اَسْلَمْتُ/أَسۡلَمۡتُ/aslamtu//وَجْهِیَ/وَجۡهِيَ/wajhiya//لِلّٰهِ/لِلَّهِ/lillahi//وَ مَنِ/وَمَنِ/wamani//اتَّبَعَنِ ؕ/ٱتَّبَعَنِۗ/ittaba'ani//وَ قُلْ/وَقُل/waqul//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْاُمِّیّٖنَ/وَٱلۡأُمِّيِّـۧنَ/wal-umiyina//ءَاَسْلَمْتُمْ ؕ/ءَأَسۡلَمۡتُمۡۚ/a-aslamtum//فَاِنْ/فَإِنۡ/fa-in//اَسْلَمُوْا/أَسۡلَمُواْ/aslamu//فَقَدِ/فَقَدِ/faqadi//اهْتَدَوْا ۚ/ٱهۡتَدَواْۖ/ih'tadaw//وَ اِنْ/وَّإِن/wa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّمَا/فَإِنَّمَا/fa-innama//عَلَیْكَ/عَلَيۡكَ/alayka//الْبَلٰغُ ؕ/ٱلۡبَلَٰغُۗ/al-balaghu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِالْعِبَادِ۠/بِٱلۡعِبَادِ/bil-'ibadi",
              "words_bangla": "যদি এখন//তোমাদের সাথে বিতর্ক করে//বল তবে//''আমি সমর্পণ করেছি//আমার মুখ//আল্লাহর কাছে//ও যারা//আমার অনুসরণ করেছে (তারাও)''//এবং তুমি বল//তাদেরকে (যাদের)//দেয়া হয়েছিল//কিতাব//এবং নিরক্ষরদেরকেও//''কি তোমরা আত্মসমর্পণ করেছ''//অতএব যদি//তারা আত্মসমর্পণ করে থাকে//নিশ্চয়ই তবে//তারা সঠিক পথ পেয়েছে//আর যদি//তারা মুখ ফিরায়//তবে মূলত//তোমার (দায়িত্ব)//(দাওয়াত) পৌঁছান//এবং আল্লাহ//খুব দৃষ্টি রাখছেন//বান্দাদের উপর"
            },
            {
              "number": 314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/314.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَكْفُرُونَ بِـَٔايَٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلنَّبِيِّۦنَ بِغَيْرِ حَقٍّۢ وَيَقْتُلُونَ ٱلَّذِينَ يَأْمُرُونَ بِٱلْقِسْطِ مِنَ ٱلنَّاسِ فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍ",
              "translate_bn": "যারা আল্লাহর নিদর্শনাবলীকে অস্বীকার করে এবং পয়গম্বরগণকে হত্যা করে অন্যায়ভাবে, আর সেসব লোককে হত্যা করে যারা ন্যায়পরায়ণতার নির্দেশ দেয় তাদেরকে বেদনাদায়ক শাস্তির সংবাদ দিন।",
              "numberInSurah": 21,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াকফুরূনা বিআ-য়া-তিল্লা-হি ওয়াইয়াকতুলূনান্নাবিইয়ীনা বিগাইরি হাক্কিওঁ ওয়া ইয়াকতুলূনাল্লাযীনা ইয়া’মুরুনা বিলকিছতিমিনান্না-ছি ফাবাশশিরহুম বি‘আযা-বিন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَقْتُلُوْنَ/وَيَقۡتُلُونَ/wayaqtuluna//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//بِغَیْرِ/بِغَيۡرِ/bighayri//حَقٍّ ۙ/حَقّٖ/haqqin//وَّ یَقْتُلُوْنَ/وَيَقۡتُلُونَ/wayaqtuluna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَاْمُرُوْنَ/يَأۡمُرُونَ/yamuruna//بِالْقِسْطِ/بِٱلۡقِسۡطِ/bil-qis'ti//مِنَ/مِنَ/mina//النَّاسِ ۙ/ٱلنَّاسِ/al-nasi//فَبَشِّرْهُمْ/فَبَشِّرۡهُم/fabashir'hum//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍ /أَلِيمٍ/alimin",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করে//নিদর্শনাবলীকে//আল্লাহর//ও হত্যা করে//নবীদেরকে//ব্যাতিত//ন্যায়ভাবে//এবং হত্যা করে//(তাদেরকেও) যারা//নির্দেশ দেয়//ন্যায়পরায়ণতার//মধ্যে হতে//লোকদের//তাই সুসংবাদ দাও তাদেরকে//আজাবের//বড় যন্ত্রণাদায়ক"
            },
            {
              "number": 315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/315.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ حَبِطَتْ أَعْمَٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ وَمَا لَهُم مِّن نَّٰصِرِينَ",
              "translate_bn": "এরাই হলো সে লোক যাদের সমগ্র আমল দুনিয়া ও আখেরাত উভয়লোকেই বিনষ্ট হয়ে গেছে। পক্ষান্তরে তাদের কোন সাহায্যকারীও নেই।",
              "numberInSurah": 22,
              "juz": 3,
              "manzil": 1,
              "page": 52,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা হাবিতাত আ‘মা-লুহুম ফিদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়ামা-লাহুম মিন্না-সিরীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ؗ/وَٱلۡأٓخِرَةِ/wal-akhirati//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//نّٰصِرِیْنَ /نَّـٰصِرِينَ/nasirina",
              "words_bangla": "ঐসব লোক//(তারাই) যাদের//নষ্ট হয়েছে//তাদের আমলসমূহ//মধ্যে//দুনিয়ার//ও আখিরাতের//এবং নাই//তাদের জন্য//কোন//সাহায্যকারী"
            },
            {
              "number": 316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/316.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًۭا مِّنَ ٱلْكِتَٰبِ يُدْعَوْنَ إِلَىٰ كِتَٰبِ ٱللَّهِ لِيَحْكُمَ بَيْنَهُمْ ثُمَّ يَتَوَلَّىٰ فَرِيقٌۭ مِّنْهُمْ وَهُم مُّعْرِضُونَ",
              "translate_bn": "আপনি কি তাদের দেখেননি, যারা কিতাবের কিছু অংশ পেয়েছে-আল্লাহর কিতাবের প্রতি তাদের আহবান করা হয়েছিল যাতে তাদের মধ্যে মীমাংসা করা যায়। অতঃপর তাদের মধ্যে একদল তা অমান্য করে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 23,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ঊতূ নাসীবাম মিনাল কিতা-বি ইউদ‘আওনা ইলা-কিতা-বিল্লা-হি লিইয়াহকুমা বাইনাহুম ছুম্মা ইয়াতাওয়াল্লা-ফারীকুম মিনহুম ওয়া হুম মু‘রিদূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوْا/أُوتُواْ/utu//نَصِیْبًا/نَصِيبٗا/nasiban//مِّنَ/مِّنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//یُدْعَوْنَ/يُدۡعَوۡنَ/yud'awna//اِلٰی/إِلَىٰ/ila//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ/ٱللَّهِ/al-lahi//لِیَحْكُمَ/لِيَحۡكُمَ/liyahkuma//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//ثُمَّ/ثُمَّ/thumma//یَتَوَلّٰی/يَتَوَلَّىٰ/yatawalla//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//وَ هُمْ/وَهُم/wahum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "তুমি কি//দেখ নাই//প্রতি//(ঐ লোকদের) যাদের//দেয়া হয়েছে//অংশ//কিছু//কিতাবের//তাদের ডাকা হয়//দিকে//কিতাবের//আল্লাহর//ফয়সালা করার জন্য//তাদের মাঝে//এরপর//ফিরে যায়//একদল//তাদের মধ্য হতে//এবং তারা//মুখ ফিরিয়ে নেয়"
            },
            {
              "number": 317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/317.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لَن تَمَسَّنَا ٱلنَّارُ إِلَّآ أَيَّامًۭا مَّعْدُودَٰتٍۢ ۖ وَغَرَّهُمْ فِى دِينِهِم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "তা এজন্য যে, তারা বলে থাকে যে, দোযখের আগুন আমাদের স্পর্শ করবে না; তবে সামান্য হাতে গোনা কয়েকদিনের জন্য স্পর্শ করতে পারে। নিজেদের উদ্ভাবিত ভিত্তিহীন কথায় তারা ধোকা খেয়েছে।",
              "numberInSurah": 24,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম কা-লূ লান তামাছছানান্না-রু ইল্লা-আইয়া-মাম মা‘দূদা-তিওঁ ওয়াগাররাহুম ফী দীনিহিম মা-কা-নূ ইয়াফতারুন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَالُوْا/قَالُواْ/qalu//لَنْ/لَن/lan//تَمَسَّنَا/تَمَسَّنَا/tamassana//النَّارُ/ٱلنَّارُ/al-naru//اِلَّاۤ/إِلَّآ/illa//اَیَّامًا/أَيَّامٗا/ayyaman//مَّعْدُوْدٰتٍ ۪/مَّعۡدُودَٰتٖۖ/ma'dudatin//وَّ غَرَّهُمْ/وَغَرَّهُمۡ/wagharrahum//فِیْ/فِي/fi//دِیْنِهِمْ/دِينِهِم/dinihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এটা//এজন্য যে//তারা বলে//''কক্ষনো না//আমাদের স্পর্শ করবে//আগুন//তবে (যদি করেও)//কয়েকদিন (মাত্র)//সীমিত,''//আর তাদেরকে ধোঁকা দিয়েছে//ব্যাপারে//তাদের দ্বীনের//(তাই) যা//করছিল//তারা উদ্ভাবন"
            },
            {
              "number": 318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/318.mp3"
              ],
              "text": "فَكَيْفَ إِذَا جَمَعْنَٰهُمْ لِيَوْمٍۢ لَّا رَيْبَ فِيهِ وَوُفِّيَتْ كُلُّ نَفْسٍۢ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "কিন্তু তখন কি অবস্থা দাঁড়াবে যখন আমি তাদেরকে একদিন সমবেত করবো যে দিনের আগমনে কোন সন্দেহ নেই আর নিজেদের কৃতকর্ম তাদের প্রত্যেকেই পাবে তাদের প্রাপ্য প্রদান মোটেই অন্যায় করা হবে না।",
              "numberInSurah": 25,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা ইযা-জামা‘না-হুম লিইয়াওমিল লা-রাইবা ফীহি ওয়া উফফিয়াত কুল্লু নাফছিম মা-কাছাবাত ওয়াহুম লা-ইউজলামূন।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//اِذَا/إِذَا/idha//جَمَعْنٰهُمْ/جَمَعۡنَٰهُمۡ/jama'nahum//لِیَوْمٍ/لِيَوۡمٖ/liyawmin//لَّا/لَّا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ۫/فِيهِ/fihi//وَ وُفِّیَتْ/وَوُفِّيَتۡ/wawuffiyat//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "কেমন হবে তখন//যখন//তাদের আমরা একত্রিত করব//সেদিন//নাই//কোন সন্দেহ//যার মধ্যে//এবং পূর্ণ দেয়া হবে//প্রত্যেক//ব্যক্তিকে//যা//সে উপার্জন করেছে//এবং তাদেরকে//না//জুলুম করা হবে"
            },
            {
              "number": 319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/319.mp3"
              ],
              "text": "قُلِ ٱللَّهُمَّ مَٰلِكَ ٱلْمُلْكِ تُؤْتِى ٱلْمُلْكَ مَن تَشَآءُ وَتَنزِعُ ٱلْمُلْكَ مِمَّن تَشَآءُ وَتُعِزُّ مَن تَشَآءُ وَتُذِلُّ مَن تَشَآءُ ۖ بِيَدِكَ ٱلْخَيْرُ ۖ إِنَّكَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "বলুন ইয়া আল্লাহ! তুমিই সার্বভৌম শক্তির অধিকারী। তুমি যাকে ইচ্ছা রাজ্য দান কর এবং যার কাছ থেকে ইচ্ছা রাজ্য ছিনিয়ে নাও এবং যাকে ইচ্ছা সম্মান দান কর আর যাকে ইচ্ছা অপমানে পতিত কর। তোমারই হাতে রয়েছে যাবতীয় কল্যাণ। নিশ্চয়ই তুমি সর্ব বিষয়ে ক্ষমতাশীল।",
              "numberInSurah": 26,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হুম্মা মা-লিকাল মুলকি তু’তিল মুলকা মান তাশাউ ওয়া তানঝি‘উল মুলকা মিম্মান তাশাউ ওয়াতু‘ইঝঝুমান তাশাউ ওয়া তুযিল্লুমান তাশাউ বিইয়াদিকাল খাইরু; ইন্নাকা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهُمَّ/ٱللَّهُمَّ/al-lahuma//مٰلِكَ/مَٰلِكَ/malika//الْمُلْكِ/ٱلۡمُلۡكِ/al-mul'ki//تُؤْتِی/تُؤۡتِي/tu'ti//الْمُلْكَ/ٱلۡمُلۡكَ/al-mul'ka//مَنْ/مَن/man//تَشَآءُ/تَشَآءُ/tashau//وَ تَنْزِعُ/وَتَنزِعُ/watanzi'u//الْمُلْكَ/ٱلۡمُلۡكَ/al-mul'ka//مِمَّنْ/مِمَّن/mimman//تَشَآءُ ؗ/تَشَآءُ/tashau//وَ تُعِزُّ/وَتُعِزُّ/watu'izzu//مَنْ/مَن/man//تَشَآءُ/تَشَآءُ/tashau//وَ تُذِلُّ/وَتُذِلُّ/watudhillu//مَنْ/مَن/man//تَشَآءُ ؕ/تَشَآءُۖ/tashau//بِیَدِكَ/بِيَدِكَ/biyadika//الْخَیْرُ ؕ/ٱلۡخَيۡرُۖ/al-khayru//اِنَّكَ/إِنَّكَ/innaka//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "তুমি বল//''হে আল্লাহ//মালিক//রাজত্বের//দাও তুমি//শাসন ক্ষমতা//যাকে//তুমি ইচ্ছে কর//আর কেড়ে নাও//শাসন ক্ষমতা//যার থেকে//ইচ্ছেকর তুমি//এবং তুমি দাও ইজ্জত//যাকে//তুমি ইচ্ছে কর//আর লাঞ্ছিত কর//যাকে//তুমি ইচ্ছে কর,//তোমারই হাতে//সব কল্যাণ//তুমি নিশ্চয়//উপর//সব//কিছুর//ক্ষমতাবান"
            },
            {
              "number": 320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/320.mp3"
              ],
              "text": "تُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَتُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ ۖ وَتُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَتُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ ۖ وَتَرْزُقُ مَن تَشَآءُ بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "তুমি রাতকে দিনের ভেতরে প্রবেশ করাও এবং দিনকে রাতের ভেতরে প্রবেশ করিয়ে দাও। আর তুমিই জীবিতকে মৃতের ভেতর থেকে বের করে আন এবং মৃতকে জীবিতের ভেতর থেকে বের কর। আর তুমিই যাকে ইচ্ছা বেহিসাব রিযিক দান কর।",
              "numberInSurah": 27,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "তূলিজুল লাল্লাইলা ফিন্নাহা-রি ওয়াতূলিজুন্নাহা-রা ফিল্লাইলি ওয়াতুখরিজুল হাইইয়া মিনাল মাইয়িতি ওয়াতুখরিজুল মাইয়িতা মিনাল হাইয়ি ওয়াতারঝুকুমান তাশাউ বিগাইরি হিছা-ব।",
              "words_arabic": "تُوْلِجُ/تُولِجُ/tuliju//الَّیْلَ/ٱلَّيۡلَ/al-layla//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ تُوْلِجُ/وَتُولِجُ/watuliju//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فِی/فِي/fi//الَّیْلِ ؗ/ٱلَّيۡلِۖ/al-layli//وَ تُخْرِجُ/وَتُخۡرِجُ/watukh'riju//الْحَیَّ/ٱلۡحَيَّ/al-haya//مِنَ/مِنَ/mina//الْمَیِّتِ/ٱلۡمَيِّتِ/al-mayiti//وَ تُخْرِجُ/وَتُخۡرِجُ/watukh'riju//الْمَیِّتَ/ٱلۡمَيِّتَ/al-mayita//مِنَ/مِنَ/mina//الْحَیِّ ؗ/ٱلۡحَيِّۖ/al-hayi//وَ تَرْزُقُ/وَتَرۡزُقُ/watarzuqu//مَنْ/مَن/man//تَشَآءُ/تَشَآءُ/tashau//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "তুমি প্রবেশ করাও//রাতকে//মধ্যে//দিনের//আবার তুমি প্রবেশ করাও//দিনকে//মধ্যে//রাতের//এবং তুমি বের কর//জীবন্তকে//হতে//মৃত//আবার বের কর তুমি//মৃতকে//হতে//জীবন্ত//এবং রিয্‌ক দাও তুমি//যাকে//তুমি ইচ্ছে কর//ছাড়াই//কোন হিসেব''"
            },
            {
              "number": 321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/321.mp3"
              ],
              "text": "لَّا يَتَّخِذِ ٱلْمُؤْمِنُونَ ٱلْكَٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۖ وَمَن يَفْعَلْ ذَٰلِكَ فَلَيْسَ مِنَ ٱللَّهِ فِى شَىْءٍ إِلَّآ أَن تَتَّقُوا۟ مِنْهُمْ تُقَىٰةًۭ ۗ وَيُحَذِّرُكُمُ ٱللَّهُ نَفْسَهُۥ ۗ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ",
              "translate_bn": "মুমিনগন যেন অন্য মুমিনকে ছেড়ে কেন কাফেরকে বন্ধুরূপে গ্রহণ না করে। যারা এরূপ করবে আল্লাহর সাথে তাদের কেন সম্পর্ক থাকবে না। তবে যদি তোমরা তাদের পক্ষ থেকে কোন অনিষ্টের আশঙ্কা কর, তবে তাদের সাথে সাবধানতার সাথে থাকবে আল্লাহ তা’আলা তাঁর সম্পর্কে তোমাদের সতর্ক করেছেন। এবং সবাই কে তাঁর কাছে ফিরে যেতে হবে।",
              "numberInSurah": 28,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াত্তাখিযিল মু’মিনূনাল কা-ফিরীনা আওলিয়াআ মিন দূ নিল মু’মিমীনা ওয়া মাইঁ ইয়াফ‘আল যা-লিকা ফালাইছা মিনাল্লা-হি ফী শাইইন ইল্লাআন তাত্তাকূমিনহুম তুকা-তাওঁ ওয়া ইউহাযযিরুকুমুল্লা-হু নাফছাহূ ওয়া ইলাল্লা-হিল মাসীর।",
              "words_arabic": "لَا/لَّا/la//یَتَّخِذِ/يَتَّخِذِ/yattakhidhi//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//الْمُؤْمِنِیْنَ ۚ/ٱلۡمُؤۡمِنِينَۖ/al-mu'minina//وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//فَلَیْسَ/فَلَيۡسَ/falaysa//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//فِیْ/فِي/fi//شَیْءٍ/شَيۡءٍ/shayin//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَتَّقُوْا/تَتَّقُواْ/tattaqu//مِنْهُمْ/مِنۡهُمۡ/min'hum//تُقٰىةً ؕ/تُقَىٰةٗۗ/tuqatan//وَ یُحَذِّرُكُمُ/وَيُحَذِّرُكُمُ/wayuhadhirukumu//اللّٰهُ/ٱللَّهُ/al-lahu//نَفْسَهٗ ؕ/نَفۡسَهُۥۗ/nafsahu//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "না//গ্রহণ করবে//মু'মিনরা//কাফিরদেরকে//অভিভাবক হিসেবে//(থেকে)//ব্যতীত//মু'মিনদেরকে//এবং//করবে//এরূপ//নাই সেক্ষেত্রে//সাথে//আল্লাহর//(মধ্যে)//কোন কিছু (সম্পর্ক)//তবে//(যে)//তোমরা আত্মরক্ষা করলে//তাদের থেকে//আত্মরক্ষা হিসেবে (সেটা ভিন্ন কথা)//এবং তোমাদেরকে সাবধান করেছেন//আল্লাহ//তাঁর নিজের (সম্পর্কে)//এবং দিকে//আল্লাহরই//(তোমাদের) প্রত্যাবর্তন হবে"
            },
            {
              "number": 322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/322.mp3"
              ],
              "text": "قُلْ إِن تُخْفُوا۟ مَا فِى صُدُورِكُمْ أَوْ تُبْدُوهُ يَعْلَمْهُ ٱللَّهُ ۗ وَيَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "বলে দিন, তোমরা যদি মনের কথা গোপন করে রাখ অথবা প্রকাশ করে দাও, আল্লাহ সে সবই জানতে পারেন। আর আসমান ও জমিনে যা কিছু আছে, সেসব ও তিনি জানেন। আল্লাহ সর্ব বিষয়ে শক্তিমান।",
              "numberInSurah": 29,
              "juz": 3,
              "manzil": 1,
              "page": 53,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "কুল ইন তুখফু মা-ফী সুদূ রিকুম আও তুবদূ হু ইয়া‘লামহুল্লা-হু ওয়া ইয়া‘লামুমা-ফিছছামাওয়া-তি ওয়ামা-ফিল আরদিওয়াল্লা-হু ‘আলা-কুল্লি শাইইন কাদীর।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//تُخْفُوْا/تُخۡفُواْ/tukh'fu//مَا/مَا/ma//فِیْ/فِي/fi//صُدُوْرِكُمْ/صُدُورِكُمۡ/sudurikum//اَوْ/أَوۡ/aw//تُبْدُوْهُ/تُبۡدُوهُ/tub'duhu//یَعْلَمْهُ/يَعۡلَمۡهُ/ya'lamhu//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "তুমি বল//''যদি//তোমরা গোপন কর//যা কিছু//মধ্যে আছে//তোমাদের অন্তরের//বা//তা তোমরা প্রকাশ কর//তা জানেন//আল্লাহ//এবং তিনি জানেন//যা কিছু//মধ্যে আছে//আসমান সমূহের//এবং যা//মধ্যে আছে//জমিনের//এবং আল্লাহ//উপর//সব//কিছুরই//ক্ষমতাবান''"
            },
            {
              "number": 323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/323.mp3"
              ],
              "text": "يَوْمَ تَجِدُ كُلُّ نَفْسٍۢ مَّا عَمِلَتْ مِنْ خَيْرٍۢ مُّحْضَرًۭا وَمَا عَمِلَتْ مِن سُوٓءٍۢ تَوَدُّ لَوْ أَنَّ بَيْنَهَا وَبَيْنَهُۥٓ أَمَدًۢا بَعِيدًۭا ۗ وَيُحَذِّرُكُمُ ٱللَّهُ نَفْسَهُۥ ۗ وَٱللَّهُ رَءُوفٌۢ بِٱلْعِبَادِ",
              "translate_bn": "সেদিন প্রত্যেকেই যা কিছু সে ভাল কাজ করেছে; চোখের সামনে দেখতে পাবে এবং যা কিছু মন্দ কাজ করেছে তাও, ওরা তখন কামনা করবে, যদি তার এবং এসব কর্মের মধ্যে ব্যবধান দুরের হতো! আল্লাহ তাঁর নিজের সম্পর্কে তোমাদের সাবধান করছেন। আল্লাহ তাঁর বান্দাদের প্রতি অত্যন্ত দয়ালু।",
              "numberInSurah": 30,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 44,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তাজিদু কুল্লু নাফছিম মা-‘আমিলাত মিন খাইরিম মুহদারাও ওয়া-মা‘আমিলাত মিন ছূইন তাওয়াদ্দু লাও আন্না বাইনাহা-ওয়াবাইনাহূআমাদাম বা‘ঈদান ওয়া ইউহাযযিরুকুমুল্লা-হু নাফছাহু ওয়াল্লা-হু রাঊফুম বিল‘ইবা-দ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَجِدُ/تَجِدُ/tajidu//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//عَمِلَتْ/عَمِلَتۡ/amilat//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//مُّحْضَرًا ۛۖۚ/مُّحۡضَرٗا/muh'daran//وَّ مَا/وَمَا/wama//عَمِلَتْ/عَمِلَتۡ/amilat//مِنْ/مِن/min//سُوْٓءٍ ۛۚ/سُوٓءٖ/suin//تَوَدُّ/تَوَدُّ/tawaddu//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//بَیْنَهَا/بَيۡنَهَا/baynaha//وَ بَیْنَهٗۤ/وَبَيۡنَهُۥٓ/wabaynahu//اَمَدًۢا/أَمَدَۢا/amadan//بَعِیْدًا ؕ/بَعِيدٗاۗ/ba'idan//وَ یُحَذِّرُكُمُ/وَيُحَذِّرُكُمُ/wayuhadhirukumu//اللّٰهُ/ٱللَّهُ/al-lahu//نَفْسَهٗ ؕ/نَفۡسَهُۥۗ/nafsahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//رَءُوْفٌۢ/رَءُوفُۢ/raufun//بِالْعِبَادِ۠/بِٱلۡعِبَادِ/bil-'ibadi",
              "words_bangla": "যেদিন//পাবে//প্রত্যেক//ব্যক্তি//যা//সে কাজ করেছে//কোন//ভাল (কাজ)//বিদ্যমান (পাবে)//আর যা কিছু//কাজ করেছে//কোন//মন্দ//সে কামনা করবে//যদি//(এমন হতো) যে//তার মাঝে (ব্যক্তির)//ও তার মাঝে (মন্দ কাজের)//ব্যবধান//সুদূর//এবং তোমাদেরকে সাবধান করছেন//আল্লাহ//তার নিজের (সম্পর্কে)//এবং আল্লাহ//দয়াশীল//বান্দাদের উপর"
            },
            {
              "number": 324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/324.mp3"
              ],
              "text": "قُلْ إِن كُنتُمْ تُحِبُّونَ ٱللَّهَ فَٱتَّبِعُونِى يُحْبِبْكُمُ ٱللَّهُ وَيَغْفِرْ لَكُمْ ذُنُوبَكُمْ ۗ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "বলুন, যদি তোমরা আল্লাহকে ভালবাস, তাহলে আমাকে অনুসরণ কর, যাতে আল্লাহ ও তোমাদিগকে ভালবাসেন এবং তোমাদিগকে তোমাদের পাপ মার্জনা করে দেন। আর আল্লাহ হলেন ক্ষমাকারী দয়ালু।",
              "numberInSurah": 31,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "কুল ইন কুনতুম তুহিববূনাল্লা-হা ফাত্তাবি‘ঊনী ইউহব্বিকুমুল্লা-হু ওয়াইয়াগফির লাকুম যুনূবাকুম ওয়াল্লা-হু গাফুরূর রাহীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تُحِبُّوْنَ/تُحِبُّونَ/tuhibbuna//اللّٰهَ/ٱللَّهَ/al-laha//فَاتَّبِعُوْنِیْ/فَٱتَّبِعُونِي/fa-ittabi'uni//یُحْبِبْكُمُ/يُحۡبِبۡكُمُ/yuh'bib'kumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ/لَكُمۡ/lakum//ذُنُوْبَكُمْ ؕ/ذُنُوبَكُمۡۚ/dhunubakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "(হে নবী) তুমি বল//''যদি//তোমরা//ভালবেসে থাক//আল্লাহকে//আমাকে তোমরা তবে অনুসরণ কর//ভালোবাসবেন তোমাদেরকে//আল্লাহ//এবং মাফ করবেন//তোমাদের জন্য//গুনাহ সমুহকে//এবং আল্লাহ//বড় ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/325.mp3"
              ],
              "text": "قُلْ أَطِيعُوا۟ ٱللَّهَ وَٱلرَّسُولَ ۖ فَإِن تَوَلَّوْا۟ فَإِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْكَٰفِرِينَ",
              "translate_bn": "বলুন, আল্লাহ ও রসূলের আনুগত্য প্রকাশ কর। বস্তুতঃ যদি তারা বিমুখতা অবলম্বন করে, তাহলে আল্লাহ কাফেরদিগকে ভালবাসেন না।",
              "numberInSurah": 32,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 21,
              "sajda": false,
              "pronunciation_bn": "কুল আতী‘উল্লা-হা ওয়ার রাছূলা ফাইন তাওয়াল্লাও ফাইন্নাল্লা-হা লা-ইউহিব্বুল কাফিরীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَطِیْعُوا/أَطِيعُواْ/ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ الرَّسُوْلَ ۚ/وَٱلرَّسُولَۖ/wal-rasula//فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "তুমি বল//''আনুগত্য কর তোমরা//আল্লাহ//ও রাসূলের''//আত্ঃপর যদি//তারা মুখ ফিরায়//তবে নিশ্চয়//আল্লাহ//না//ভালোবাসেন//কাফিরদের কে"
            },
            {
              "number": 326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/326.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ ٱصْطَفَىٰٓ ءَادَمَ وَنُوحًۭا وَءَالَ إِبْرَٰهِيمَ وَءَالَ عِمْرَٰنَ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "নিঃসন্দেহে আল্লাহ আদম (আঃ) নূহ (আঃ)͠ও ইব্রাহীম (আঃ) এর বংশধর এবং এমরানের খান্দানকে নির্বাচিত করেছেন।",
              "numberInSurah": 33,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হাসতাফা আ-দামা ওয়ানূহাওঁ ওয়াআ-লা ইবরা-হীমা ওয়াআ-লা ‘ইমরা-না ‘আলাল ‘আ-লামীন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اصْطَفٰۤی/ٱصۡطَفَىٰٓ/is'tafa//اٰدَمَ/ءَادَمَ/adama//وَ نُوْحًا/وَنُوحٗا/wanuhan//وَّ اٰلَ/وَءَالَ/waala//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اٰلَ/وَءَالَ/waala//عِمْرٰنَ/عِمۡرَٰنَ/im'rana//عَلَی/عَلَى/ala//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "নিশ্চয়//আল্লাহ//মনোনীত করেছেন//আদম কে//ও নূহকে//ও বংশধরদেরকে//ইবরাহীমের//ও বংশধরদেরকে//ইমরানের//উপর//সারা দুনিয়ার (লোকদেরকে)"
            },
            {
              "number": 327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/327.mp3"
              ],
              "text": "ذُرِّيَّةًۢ بَعْضُهَا مِنۢ بَعْضٍۢ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ",
              "translate_bn": "যারা বংশধর ছিলেন পরস্পরের। আল্লাহ শ্রবণকারী ও মহাজ্ঞানী।",
              "numberInSurah": 34,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "যুররিইইয়াতাম বা‘দুহা-মিম বা‘দিন ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "ذُرِّیَّةًۢ/ذُرِّيَّةَۢ/dhurriyyatan//بَعْضُهَا/بَعۡضُهَا/ba'duha//مِنْۢ/مِنۢ/min//بَعْضٍ ؕ/بَعۡضٖۗ/ba'din//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌۚ/عَلِيمٌ/alimun",
              "words_bangla": "সন্তানসন্ততি//তাদের একে//হতে//অন্যের//এবং আল্লাহ//সবকিছুই শুনেন//সবকিছুই জানেন"
            },
            {
              "number": 328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/328.mp3"
              ],
              "text": "إِذْ قَالَتِ ٱمْرَأَتُ عِمْرَٰنَ رَبِّ إِنِّى نَذَرْتُ لَكَ مَا فِى بَطْنِى مُحَرَّرًۭا فَتَقَبَّلْ مِنِّىٓ ۖ إِنَّكَ أَنتَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "এমরানের স্ত্রী যখন বললো-হে আমার পালনকর্তা! আমার গর্ভে যা রয়েছে আমি তাকে তোমার নামে উৎসর্গ করলাম সবার কাছ থেকে মুক্ত রেখে। আমার পক্ষ থেকে তুমি তাকে কবুল করে নাও, নিশ্চয়ই তুমি শ্রবণকারী, সর্বজ্ঞাত।",
              "numberInSurah": 35,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লাতিম রাআতু‘ইমরা-না রাব্বি ইন্নী নাযারতুলাকা মা-ফী বাতনী মুহাররারান ফাতাকাব্বাল মিন্নী ইন্নাকা আনতাছ ছামী‘উল ‘আলীম।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَتِ/قَالَتِ/qalati//امْرَاَتُ/ٱمۡرَأَتُ/im'ra-atu//عِمْرٰنَ/عِمۡرَٰنَ/im'rana//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//نَذَرْتُ/نَذَرۡتُ/nadhartu//لَكَ/لَكَ/laka//مَا/مَا/ma//فِیْ/فِي/fi//بَطْنِیْ/بَطۡنِي/batni//مُحَرَّرًا/مُحَرَّرٗا/muharraran//فَتَقَبَّلْ/فَتَقَبَّلۡ/fataqabbal//مِنِّیْ ۚ/مِنِّيٓۖ/minni//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "(স্মরণ কর)যখন//বলেছিল//স্ত্রী//ইমরানের//''হে আমার রব//নিশ্চয় আমি//উৎসর্গ করেছি//তোমার জন্য//যা//মধ্যে আছে//আমার পেটে//(তোমারই কাজে) মুক্ত//অতএব তুমি কবুল কর//আমার থেকে//তুমি নিশ্চয়//তুমিই//সবকিছুই শোন//সবকিছুই জান"
            },
            {
              "number": 329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/329.mp3"
              ],
              "text": "فَلَمَّا وَضَعَتْهَا قَالَتْ رَبِّ إِنِّى وَضَعْتُهَآ أُنثَىٰ وَٱللَّهُ أَعْلَمُ بِمَا وَضَعَتْ وَلَيْسَ ٱلذَّكَرُ كَٱلْأُنثَىٰ ۖ وَإِنِّى سَمَّيْتُهَا مَرْيَمَ وَإِنِّىٓ أُعِيذُهَا بِكَ وَذُرِّيَّتَهَا مِنَ ٱلشَّيْطَٰنِ ٱلرَّجِيمِ",
              "translate_bn": "অতঃপর যখন তাকে প্রসব করলো বলল, হে আমার পালনকর্তা! আমি একে কন্যা প্রসব করেছি। বস্তুতঃ কি সে প্রসব করেছে আল্লাহ তা ভালই জানেন। সেই কন্যার মত কোন পুত্রই যে নেই। আর আমি তার নাম রাখলাম মারইয়াম। আর আমি তাকে ও তার সন্তানদেরকে তোমার আশ্রয়ে সমর্পণ করছি। অভিশপ্ত শয়তানের কবল থেকে।",
              "numberInSurah": 36,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-ওয়াদা‘আতহা-কালাত রাব্বি ইন্নী ওয়াদা‘তুহা উনছা-ওয়াল্লা-হু আ‘লামু বিমা-ওয়াদা‘আত ওয়ালাইছাযযাকারু কালউনছা-ওয়া ইন্নী ছাম্মাইতুহা-মারইয়ামা ওয়া ইন্নী উ‘ঈযুহা-বিকা ওয়া যুররিইইয়াতাহা-মিনাশশাইতানির রাজীম।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//وَضَعَتْهَا/وَضَعَتۡهَا/wada'atha//قَالَتْ/قَالَتۡ/qalat//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//وَضَعْتُهَاۤ/وَضَعۡتُهَآ/wada'tuha//اُنْثٰی ؕ/أُنثَىٰ/untha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//وَضَعَتْ ؕ/وَضَعَتۡ/wada'at//وَ لَیْسَ/وَلَيۡسَ/walaysa//الذَّكَرُ/ٱلذَّكَرُ/al-dhakaru//كَالْاُنْثٰی ۚ/كَٱلۡأُنثَىٰۖ/kal-untha//وَ اِنِّیْ/وَإِنِّي/wa-inni//سَمَّیْتُهَا/سَمَّيۡتُهَا/sammaytuha//مَرْیَمَ/مَرۡيَمَ/maryama//وَ اِنِّیْۤ/وَإِنِّيٓ/wa-inni//اُعِیْذُهَا/أُعِيذُهَا/u'idhuha//بِكَ/بِكَ/bika//وَ ذُرِّیَّتَهَا/وَذُرِّيَّتَهَا/wadhurriyyataha//مِنَ/مِنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//الرَّجِیْمِ /ٱلرَّجِيمِ/al-rajimi",
              "words_bangla": "অতঃপর যখন//তাকে সে প্রসব করল//(তখন) সে বলল//''হে আমার রব//নিশ্চয় আমি//তা প্রসব করেছি//কন্যা''//অথচ আল্লাহ//খুব জানেন//যা//সে প্রসব করেছিল//এবং নয়//ছেলে//মেয়ের মত//''এবং নিশ্চয় আমি//তার নাম রেখেছি//মারইয়াম//এবং নিশ্চয় আমি//আশ্রয়ে দিচ্ছি তাকে//তোমার(কাছে)//এবং তার বংশধরদেরকেও//হতে//শয়তান//অভিশপ্ত''"
            },
            {
              "number": 330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/330.mp3"
              ],
              "text": "فَتَقَبَّلَهَا رَبُّهَا بِقَبُولٍ حَسَنٍۢ وَأَنۢبَتَهَا نَبَاتًا حَسَنًۭا وَكَفَّلَهَا زَكَرِيَّا ۖ كُلَّمَا دَخَلَ عَلَيْهَا زَكَرِيَّا ٱلْمِحْرَابَ وَجَدَ عِندَهَا رِزْقًۭا ۖ قَالَ يَٰمَرْيَمُ أَنَّىٰ لَكِ هَٰذَا ۖ قَالَتْ هُوَ مِنْ عِندِ ٱللَّهِ ۖ إِنَّ ٱللَّهَ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍ",
              "translate_bn": "অতঃপর তাঁর পালনকর্তা তাঁকে উত্তম ভাবে গ্রহণ করে নিলেন এবং তাঁকে প্রবৃদ্ধি দান করলেন-অত্যন্ত সুন্দর প্রবৃদ্ধি। আর তাঁকে যাকারিয়ার তত্ত্বাবধানে সমর্পন করলেন। যখনই যাকারিয়া মেহরাবের মধ্যে তার কছে আসতেন তখনই কিছু খাবার দেখতে পেতেন। জিজ্ঞেস করতেন \"মারইয়াম! কোথা থেকে এসব তোমার কাছে এলো?\" তিনি বলতেন, \"এসব আল্লাহর নিকট থেকে আসে। আল্লাহ যাকে ইচ্ছা বেহিসাব রিযিক দান করেন।\"",
              "numberInSurah": 37,
              "juz": 3,
              "manzil": 1,
              "page": 54,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ফাতাকাব্বালাহা-রাব্বুহা-বিকাবূলিন হাছানিওঁ ওয়া আম্বাতাহা-নাবাতান হাছানাওঁ ওয়াকাফফালাহা-ঝাকারিইইয়া-কুল্লামা-দাখালা ‘আলাইহা-ঝাকারিইইয়াল মিহরা-বা ওয়াজাদা ‘ইনদাহা-রিঝকান কা-লা ইয়া-মারইয়ামুআন্না-লাকি হা-যা-কা লাত হুওয়া মিন ‘ইনদিল্লা-হি ইন্নাল্লা-হা ইয়ারঝুকুমাইঁ ইয়াশাউ বিগাইরি হিছা-ব।",
              "words_arabic": "فَتَقَبَّلَهَا/فَتَقَبَّلَهَا/fataqabbalaha//رَبُّهَا/رَبُّهَا/rabbuha//بِقَبُوْلٍ/بِقَبُولٍ/biqabulin//حَسَنٍ/حَسَنٖ/hasanin//وَّ اَنْۢبَتَهَا/وَأَنۢبَتَهَا/wa-anbataha//نَبَاتًا/نَبَاتًا/nabatan//حَسَنًا ۙ/حَسَنٗا/hasanan//وَّ كَفَّلَهَا/وَكَفَّلَهَا/wakaffalaha//زَكَرِیَّا ؕۚ/زَكَرِيَّاۖ/zakariyya//كُلَّمَا/كُلَّمَا/kullama//دَخَلَ/دَخَلَ/dakhala//عَلَیْهَا/عَلَيۡهَا/alayha//زَكَرِیَّا/زَكَرِيَّا/zakariyya//الْمِحْرَابَ ۙ/ٱلۡمِحۡرَابَ/al-mih'raba//وَجَدَ/وَجَدَ/wajada//عِنْدَهَا/عِندَهَا/indaha//رِزْقًا ۚ/رِزۡقٗاۖ/riz'qan//قَالَ/قَالَ/qala//یٰمَرْیَمُ/يَٰمَرۡيَمُ/yamaryamu//اَنّٰی/أَنَّىٰ/anna//لَكِ/لَكِ/laki//هٰذَا ؕ/هَٰذَاۖ/hadha//قَالَتْ/قَالَتۡ/qalat//هُوَ/هُوَ/huwa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَرْزُقُ/يَرۡزُقُ/yarzuqu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٍ/hisabin",
              "words_bangla": "তাকে অতঃপর কবুল করলেন//তার রব//কবুল হিসেবে//উত্তম//এবং তাকে গড়ে তুললেন//গড়া//উত্তমরুপে//এবং তার তত্তাবধায়ক বানালেন//যাকারিয়াকে//যখনই//প্রবেশ করত//তার কাছে//যাকারিয়া//(মারইয়ামের) কক্ষে//পেত//তার নিকট//খাদ্যসামগ্রী//(যাকারিয়া) বলল//''হে মারইয়াম//কোথা থেকে (আসে)//তোমার জন্য//এটা''//(মারইয়াম) বলল//''তা (আসে)//থেকে//নিকট//আল্লাহর//নিশ্চয়//আল্লাহ//রিয্ক দেন//যাকে//তিনি চান//ব্যতীত//কোন হিসাব''"
            },
            {
              "number": 331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/331.mp3"
              ],
              "text": "هُنَالِكَ دَعَا زَكَرِيَّا رَبَّهُۥ ۖ قَالَ رَبِّ هَبْ لِى مِن لَّدُنكَ ذُرِّيَّةًۭ طَيِّبَةً ۖ إِنَّكَ سَمِيعُ ٱلدُّعَآءِ",
              "translate_bn": "সেখানেই যাকারিয়া তাঁর পালনকর্তার নিকট প্রার্থনা করলেন। বললেন, হে, আমার পালনকর্তা! তোমার নিকট থেকে আমাকে পুত-পবিত্র সন্তান দান কর-নিশ্চয়ই তুমি প্রার্থনা শ্রবণকারী।",
              "numberInSurah": 38,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "হুনা-লিকা দা‘আ- ঝাকারিইইয়া-রাব্বাহূ কা-লা রাব্বি হাবলী মিল্লাদুনকা যুররিইইয়াতান তাইয়িবাতান ইন্নাকা ছামী‘উদ্দু‘আই।",
              "words_arabic": "هُنَالِكَ/هُنَالِكَ/hunalika//دَعَا/دَعَا/da'a//زَكَرِیَّا/زَكَرِيَّا/zakariyya//رَبَّهٗ ۚ/رَبَّهُۥۖ/rabbahu//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//هَبْ/هَبۡ/hab//لِیْ/لِي/li//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//ذُرِّیَّةً/ذُرِّيَّةٗ/dhurriyyatan//طَیِّبَةً ۚ/طَيِّبَةًۖ/tayyibatan//اِنَّكَ/إِنَّكَ/innaka//سَمِیْعُ/سَمِيعُ/sami'u//الدُّعَآءِ /ٱلدُّعَآءِ/al-du'ai",
              "words_bangla": "সেখানেই//দু'আ করল//যাকারিয়া//তার রবের কাছে//সে বলল//''হে আমার রব//দাও//আমাকে//থেকে//তোমার নিকট//বংশধর//পবিত্র (সৎ)//তুমি নিশ্চয়//শ্রবণকারী//দু'আ"
            },
            {
              "number": 332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/332.mp3"
              ],
              "text": "فَنَادَتْهُ ٱلْمَلَٰٓئِكَةُ وَهُوَ قَآئِمٌۭ يُصَلِّى فِى ٱلْمِحْرَابِ أَنَّ ٱللَّهَ يُبَشِّرُكَ بِيَحْيَىٰ مُصَدِّقًۢا بِكَلِمَةٍۢ مِّنَ ٱللَّهِ وَسَيِّدًۭا وَحَصُورًۭا وَنَبِيًّۭا مِّنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "যখন তিনি কামরার ভেতরে নামাযে দাঁড়িয়েছিলেন, তখন ফেরেশতারা তাঁকে ডেকে বললেন যে, আল্লাহ তোমাকে সুসংবাদ দিচ্ছেন ইয়াহইয়া সম্পর্কে, যিনি সাক্ষ্য দেবেন আল্লাহর নির্দেশের সত্যতা সম্পর্কে, যিনি নেতা হবেন এবং নারীদের সংস্পর্শে যাবেন না, তিনি অত্যন্ত সৎকর্মশীল নবী হবেন।",
              "numberInSurah": 39,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ফানা-দাতহুল মালাইকাতু ওয়া হুওয়া কাইমুইঁ ইউসাললী ফিল মিহরা-বি আন্নাল্লা-হা ইউবাশশিরুকা বিইয়াহইয়া-মুসাদ্দিকাম বিকালিমাতিম মিনাল্লা-হি ওয়া ছাইয়িদাওঁ ওয়াহাসূরাওঁ ওয়ানাবিইয়াম মিনাসসা-লিহীন।",
              "words_arabic": "فَنَادَتْهُ/فَنَادَتۡهُ/fanadathu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//وَ هُوَ/وَهُوَ/wahuwa//قَآىِٕمٌ/قَآئِمٞ/qaimun//یُّصَلِّیْ/يُصَلِّي/yusalli//فِی/فِي/fi//الْمِحْرَابِ ۙ/ٱلۡمِحۡرَابِ/al-mih'rabi//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یُبَشِّرُكَ/يُبَشِّرُكَ/yubashiruka//بِیَحْیٰی/بِيَحۡيَىٰ/biyahya//مُصَدِّقًۢا/مُصَدِّقَۢا/musaddiqan//بِكَلِمَةٍ/بِكَلِمَةٖ/bikalimatin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ سَیِّدًا/وَسَيِّدٗا/wasayyidan//وَّ حَصُوْرًا/وَحَصُورٗا/wahasuran//وَّ نَبِیًّا/وَنَبِيّٗا/wanabiyyan//مِّنَ/مِّنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "তাকে তখন ডেকে বলল//ফেরেশতারা//যখন সে//দন্ডায়মান হয়ে//সলাত পড়ছিল//মধ্যে//তার কক্ষে//''যে//আল্লাহ//সুসংবাদ দিচ্ছেন তো্মাকে//ইয়াহইয়ার//সত্যায়নকারী//একটা বাণীর//পক্ষ হতে//আল্লাহর//ও নেতা//এবং সাধু বৈশিষ্ট্যের//ও নবী//অন্যতম//সৎকর্মশীলদের"
            },
            {
              "number": 333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/333.mp3"
              ],
              "text": "قَالَ رَبِّ أَنَّىٰ يَكُونُ لِى غُلَٰمٌۭ وَقَدْ بَلَغَنِىَ ٱلْكِبَرُ وَٱمْرَأَتِى عَاقِرٌۭ ۖ قَالَ كَذَٰلِكَ ٱللَّهُ يَفْعَلُ مَا يَشَآءُ",
              "translate_bn": "তিনি বললেন হে পালনকর্তা! কেমন করে আমার পুত্র সন্তান হবে, আমার যে বার্ধক্য এসে গেছে, আমার স্ত্রীও যে বন্ধ্যা। বললেন, আল্লাহ এমনি ভাবেই যা ইচ্ছা করে থাকেন।",
              "numberInSurah": 40,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "কালা রাব্বি আন্না-ইয়াকূনু লী গুলা-মুওঁ ওয়াকাদ বালাগানিইয়াল কিবারু ওয়ামরাআতী ‘আ-কিরুন কা-লা কাযা-লিকাল্লা-হু ইয়াফ‘আলুমা-ইয়াশাউ।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لِیْ/لِي/li//غُلٰمٌ/غُلَٰمٞ/ghulamun//وَّ قَدْ/وَقَدۡ/waqad//بَلَغَنِیَ/بَلَغَنِيَ/balaghaniya//الْكِبَرُ/ٱلۡكِبَرُ/al-kibaru//وَ امْرَاَتِیْ/وَٱمۡرَأَتِي/wa-im'ra-ati//عَاقِرٌ ؕ/عَاقِرٞۖ/aqirun//قَالَ/قَالَ/qala//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//اللّٰهُ/ٱللَّهُ/al-lahu//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//مَا/مَا/ma//یَشَآءُ /يَشَآءُ/yashau",
              "words_bangla": "সে বলল//''হে আমার রব//কিরুপে//আমার হবে//ছেলে//এবং//নিশ্চয়//আমার পৌছে গেছে//বার্ধক্য//ও আমার স্ত্রী//বন্ধ্যা''//তিনি বললেন//''এভাবেই//আল্লাহ//করেন//যা//তিনি ইচ্ছা করেন''"
            },
            {
              "number": 334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/334.mp3"
              ],
              "text": "قَالَ رَبِّ ٱجْعَل لِّىٓ ءَايَةًۭ ۖ قَالَ ءَايَتُكَ أَلَّا تُكَلِّمَ ٱلنَّاسَ ثَلَٰثَةَ أَيَّامٍ إِلَّا رَمْزًۭا ۗ وَٱذْكُر رَّبَّكَ كَثِيرًۭا وَسَبِّحْ بِٱلْعَشِىِّ وَٱلْإِبْكَٰرِ",
              "translate_bn": "তিনি বললেন, হে পালনকর্তা আমার জন্য কিছু নিদর্শন দাও। তিনি বললেন, তোমার জন্য নিদর্শন হলো এই যে, তুমি তিন দিন পর্যন্ত কারও সাথে কথা বলবে না। তবে ইশারা ইঙ্গতে করতে পারবে এবং তোমার পালনকর্তাকে অধিক পরিমাণে স্মরণ করবে আর সকাল-সন্ধ্যা তাঁর পবিত্রতা ও মহিমা ঘোষনা করবে।",
              "numberInSurah": 41,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 45,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিজ ‘আললীআ-য়াতান কা-লা আ-য়াতুকা আল্লা-তুকালিলমান্না-ছা ছালাছাতা আইয়া-মিন ইল্লা-রামঝাওঁ ওয়াযকুর রাব্বাকা কাছীরা ওঁছাব্বিহবিল‘আশিইয়ি ওয়াল ইবকা-র।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اجْعَلْ/ٱجۡعَل/ij'al//لِّیْۤ/لِّيٓ/li//اٰیَةً ؕ/ءَايَةٗۖ/ayatan//قَالَ/قَالَ/qala//اٰیَتُكَ/ءَايَتُكَ/ayatuka//اَلَّا/أَلَّا/alla//تُكَلِّمَ/تُكَلِّمَ/tukallima//النَّاسَ/ٱلنَّاسَ/al-nasa//ثَلٰثَةَ/ثَلَٰثَةَ/thalathata//اَیَّامٍ/أَيَّامٍ/ayyamin//اِلَّا/إِلَّا/illa//رَمْزًا ؕ/رَمۡزٗاۗ/ramzan//وَ اذْكُرْ/وَٱذۡكُر/wa-udh'kur//رَّبَّكَ/رَّبَّكَ/rabbaka//كَثِیْرًا/كَثِيرٗا/kathiran//وَّ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِالْعَشِیِّ/بِٱلۡعَشِيِّ/bil-'ashiyi//وَ الْاِبْكَارِ۠/وَٱلۡإِبۡكَٰرِ/wal-ib'kari",
              "words_bangla": "সে বলল//''হে আমার রব//দাও//আমার জন্য//কোন নিদর্শন''//তিনি বললেন//তোমার নিদর্শন//এটা যে না//কথা বলবে//মানুষের (সাথে)//তিন//দিন (পর্যন্ত)//এছাড়া//ইঙ্গিত//এবং তুমি স্মরণ কর//তোমার রবকে//বেশী বেশী//ও তূমি তসবিহ কর//সন্ধ্যার সময়//ও প্রভাতে''"
            },
            {
              "number": 335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/335.mp3"
              ],
              "text": "وَإِذْ قَالَتِ ٱلْمَلَٰٓئِكَةُ يَٰمَرْيَمُ إِنَّ ٱللَّهَ ٱصْطَفَىٰكِ وَطَهَّرَكِ وَٱصْطَفَىٰكِ عَلَىٰ نِسَآءِ ٱلْعَٰلَمِينَ",
              "translate_bn": "আর যখন ফেরেশতা বলল হে মারইয়াম!, আল্লাহ তোমাকে পছন্দ করেছেন এবং তোমাকে পবিত্র পরিচ্ছন্ন করে দিয়েছেন। আর তোমাকে বিশ্ব নারী সমাজের উর্ধ্বে মনোনীত করেছেন।",
              "numberInSurah": 42,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয কা-লাতিল মালাইকাতুইয়া-মারইয়ামু ইন্নাল্লা-হাসতাফা-কি ওয়া তাহহারাকি ওয়াসতাফা-কি ‘আলা-নিছাইল ‘আ-লামীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَتِ/قَالَتِ/qalati//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//یٰمَرْیَمُ/يَٰمَرۡيَمُ/yamaryamu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اصْطَفٰىكِ/ٱصۡطَفَىٰكِ/is'tafaki//وَ طَهَّرَكِ/وَطَهَّرَكِ/watahharaki//وَ اصْطَفٰىكِ/وَٱصۡطَفَىٰكِ/wa-is'tafaki//عَلٰی/عَلَىٰ/ala//نِسَآءِ/نِسَآءِ/nisai//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "ও যখন//বলেছিল//ফেরেশতারা//''যে মারইয়াম//নিশ্চয়//আল্লাহ//তোমাকে মনোনীত করেছেন//এবং তোমাকে পবিত্র করেছেন//এবং তোমাকে শ্রেষ্ঠত্ব দিয়েছেন//উপর//নারীদের//সারা বিশ্বের''"
            },
            {
              "number": 336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/336.mp3"
              ],
              "text": "يَٰمَرْيَمُ ٱقْنُتِى لِرَبِّكِ وَٱسْجُدِى وَٱرْكَعِى مَعَ ٱلرَّٰكِعِينَ",
              "translate_bn": "হে মারইয়াম! তোমার পালনকর্তার উপাসনা কর এবং রুকুকারীদের সাথে সেজদা ও রুকু কর।",
              "numberInSurah": 43,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ইয়া-মারইয়ামুকনুতী লিরাব্বিকি ওয়াছজুদী ওয়ারকা‘ঈ মা‘আররা-কি‘ঈন।",
              "words_arabic": "یٰمَرْیَمُ/يَٰمَرۡيَمُ/yamaryamu//اقْنُتِیْ/ٱقۡنُتِي/uq'nuti//لِرَبِّكِ/لِرَبِّكِ/lirabbiki//وَ اسْجُدِیْ/وَٱسۡجُدِي/wa-us'judi//وَ ارْكَعِیْ/وَٱرۡكَعِي/wa-ir'ka'i//مَعَ/مَعَ/ma'a//الرّٰكِعِیْنَ /ٱلرَّـٰكِعِينَ/al-raki'ina",
              "words_bangla": "''হে মারইয়াম//তুমি অনুগত হও//তোমার রবের জন্য//এবং তুমি সিজদা কর//ও তূমি রুকু কর//সাথে//রুকুকারীদের''"
            },
            {
              "number": 337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/337.mp3"
              ],
              "text": "ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهِ إِلَيْكَ ۚ وَمَا كُنتَ لَدَيْهِمْ إِذْ يُلْقُونَ أَقْلَٰمَهُمْ أَيُّهُمْ يَكْفُلُ مَرْيَمَ وَمَا كُنتَ لَدَيْهِمْ إِذْ يَخْتَصِمُونَ",
              "translate_bn": "এ হলো গায়েবী সংবাদ, যা আমি আপনাকে পাঠিয়ে থাকি। আর আপনি তো তাদের কাছে ছিলেন না, যখন প্রতিযোগিতা করছিল যে, কে প্রতিপালন করবে মারইয়ামকে এবং আপনি তাদের কাছে ছিলেন না, যখন তারা ঝগড়া করছিলো।",
              "numberInSurah": 44,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা মিন আমবাইল গাইবি নূহীহি ইলাইকা ওয়ামা-কুনতা লাদাইহিম ইয ইউলকূনা আকলা-মাহুম আইয়ুহুম ইয়াকফুলু মারইয়ামা ওয়ামা-কুনতা লাদাইহিম ইযইয়াখতাসিমূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//نُوْحِیْهِ/نُوحِيهِ/nuhihi//اِلَیْكَ ؕ/إِلَيۡكَۚ/ilayka//وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//اِذْ/إِذۡ/idh//یُلْقُوْنَ/يُلۡقُونَ/yul'quna//اَقْلَامَهُمْ/أَقۡلَٰمَهُمۡ/aqlamahum//اَیُّهُمْ/أَيُّهُمۡ/ayyuhum//یَكْفُلُ/يَكۡفُلُ/yakfulu//مَرْیَمَ ۪/مَرۡيَمَ/maryama//وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//اِذْ/إِذۡ/idh//یَخْتَصِمُوْنَ /يَخۡتَصِمُونَ/yakhtasimuna",
              "words_bangla": "এটা//অংশবিশেষ//খবরাদির//গায়েবের//তা আমরা ওহী করছি//তোমার প্রতি//এবং না//তুমি ছিলে//তাদের কাছে//যখন//তারা নিক্ষেপ করে//তাদের কলমগুলো (লটারি করতে)//তাদের মধ্যে কে//তত্ত্বাবধান করবে//মারইয়ামের//এবং না//তুমি ছিলে//তাদের কাছে//যখন//তারা ঝগড়া করছিল পরস্পরে"
            },
            {
              "number": 338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/338.mp3"
              ],
              "text": "إِذْ قَالَتِ ٱلْمَلَٰٓئِكَةُ يَٰمَرْيَمُ إِنَّ ٱللَّهَ يُبَشِّرُكِ بِكَلِمَةٍۢ مِّنْهُ ٱسْمُهُ ٱلْمَسِيحُ عِيسَى ٱبْنُ مَرْيَمَ وَجِيهًۭا فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ وَمِنَ ٱلْمُقَرَّبِينَ",
              "translate_bn": "যখন ফেরেশতাগণ বললো, হে মারইয়াম আল্লাহ তোমাকে তাঁর এক বানীর সুসংবাদ দিচ্ছেন, যার নাম হলো মসীহ-মারইয়াম-তনয় ঈসা, দুনিয়া ও আখেরাতে তিনি মহাসম্মানের অধিকারী এবং আল্লাহর ঘনিষ্ঠদের অন্তর্ভূক্ত।",
              "numberInSurah": 45,
              "juz": 3,
              "manzil": 1,
              "page": 55,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লাতিল মালাইকাতুইয়া-মারইয়ামুইন্নাল্লা-হা ইউবাশশিরুকি বিকালিমাতিম মিনহু ছমুহুল মাছীহু‘ঈছাবনুমারইয়ামা ওয়াজীহান ফিদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়া মিনাল মুকাররাবীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَتِ/قَالَتِ/qalati//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//یٰمَرْیَمُ/يَٰمَرۡيَمُ/yamaryamu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُبَشِّرُكِ/يُبَشِّرُكِ/yubashiruki//بِكَلِمَةٍ/بِكَلِمَةٖ/bikalimatin//مِّنْهُ ۖۗ/مِّنۡهُ/min'hu//اسْمُهُ/ٱسۡمُهُ/us'muhu//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//وَجِیْهًا/وَجِيهٗا/wajihan//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ/وَٱلۡأٓخِرَةِ/wal-akhirati//وَ مِنَ/وَمِنَ/wamina//الْمُقَرَّبِیْنَۙ/ٱلۡمُقَرَّبِينَ/al-muqarabina",
              "words_bangla": "যখন//বলেছিল//ফেরেশতারা//''হে মারইয়াম//নিশ্চয়//আল্লাহ//তোমাকে সুসংবাদ দিচ্ছেন//একটি কথার (অর্থাৎ সন্তানের)//তাঁর পক্ষ হতে//তার নাম (হবে)//মাসীহ//ঈসা//পুত্র//মারইয়ামের//সম্মানিত হবে//মধ্যে//দুনিয়ার//ও আখিরাতে//এবং (গণ্য হবে) মধ্যে//সান্নিধ্য প্রাপ্তদের"
            },
            {
              "number": 339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/339.mp3"
              ],
              "text": "وَيُكَلِّمُ ٱلنَّاسَ فِى ٱلْمَهْدِ وَكَهْلًۭا وَمِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "যখন তিনি মায়ের কোলে থাকবেন এবং পূর্ণ বয়স্ক হবেন তখন তিনি মানুষের সাথে কথা বলবেন। আর তিনি সৎকর্মশীলদের অন্তর্ভুক্ত হবেন।",
              "numberInSurah": 46,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউকালিলমুন্না-ছা ফিল মাহদি ওয়া কাহলাওঁ ওয়া মিনাসসা-লিহীন।",
              "words_arabic": "وَ یُكَلِّمُ/وَيُكَلِّمُ/wayukallimu//النَّاسَ/ٱلنَّاسَ/al-nasa//فِی/فِي/fi//الْمَهْدِ/ٱلۡمَهۡدِ/al-mahdi//وَ كَهْلًا/وَكَهۡلٗا/wakahlan//وَّ مِنَ/وَمِنَ/wamina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং সে কথা বলবে//মানুষের (সাথে)//(মধ্যে)//দোলনায়//ও পরিণত বয়সে//এবং অন্যতম হবে//সৎকর্মশীলদের''"
            },
            {
              "number": 340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/340.mp3"
              ],
              "text": "قَالَتْ رَبِّ أَنَّىٰ يَكُونُ لِى وَلَدٌۭ وَلَمْ يَمْسَسْنِى بَشَرٌۭ ۖ قَالَ كَذَٰلِكِ ٱللَّهُ يَخْلُقُ مَا يَشَآءُ ۚ إِذَا قَضَىٰٓ أَمْرًۭا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "তিনি বললেন, পরওয়ারদেগার! কেমন করে আমার সন্তান হবে; আমাকে তো কোন মানুষ স্পর্শ করেনি। বললেন এ ভাবেই আল্লাহ যা ইচ্ছা সৃষ্টি করেন। যখন কোন কাজ করার জন্য ইচ্ছা করেন তখন বলেন যে, ‘হয়ে যাও’ অমনি তা হয়ে যায়।",
              "numberInSurah": 47,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "কা-লাত রাব্বি আন্না-ইয়াকূনু লী ওয়ালাদদুওঁ ওয়া লাম ইয়ামছাছনী বাশারুন কা-লা কাযা-লিকিল্লা-হু ইয়াখলুকুমা-ইয়াশা-উ ইযা-কাদা-আমরান ফাইন্নামা-ইয়াকূলু লাহু কুন ফাইয়াকূন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//رَبِّ/رَبِّ/rabbi//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لِیْ/لِي/li//وَلَدٌ/وَلَدٞ/waladun//وَّ لَمْ/وَلَمۡ/walam//یَمْسَسْنِیْ/يَمۡسَسۡنِي/yamsasni//بَشَرٌ ؕ/بَشَرٞۖ/basharun//قَالَ/قَالَ/qala//كَذٰلِكِ/كَذَٰلِكِ/kadhaliki//اللّٰهُ/ٱللَّهُ/al-lahu//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِذَا/إِذَا/idha//قَضٰۤی/قَضَىٰٓ/qada//اَمْرًا/أَمۡرٗا/amran//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَقُوْلُ/يَقُولُ/yaqulu//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ /فَيَكُونُ/fayakunu",
              "words_bangla": "সে বলল//''হে আমার রব//কিরূপে//হবে//আমার//ছেলে//অথচ নাই//আমাকে স্পর্শ করে//(কোন) মানুষ''//তিনি বললেন//''এভাবেই//আল্লাহ//সৃষ্টি করেন//যা//তিনি ইচ্ছে করেন//যখন//সিদ্ধান্ত নেন//কোন কাজের//মূলত//বলেন//তাকে//''হও''//অতঃপর হয়ে যায়"
            },
            {
              "number": 341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/341.mp3"
              ],
              "text": "وَيُعَلِّمُهُ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ",
              "translate_bn": "আর তাকে তিনি শিখিয়ে দেবেন কিতাব, হিকমত, তওরাত, ইঞ্জিল।",
              "numberInSurah": 48,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউ‘আলিলমুহুল কিতা-বা ওয়াল হিকমাতা ওয়াত্তাওরা-তা ওয়ালইনজীল।",
              "words_arabic": "وَ یُعَلِّمُهُ/وَيُعَلِّمُهُ/wayu'allimuhu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ التَّوْرٰىةَ/وَٱلتَّوۡرَىٰةَ/wal-tawrata//وَ الْاِنْجِیْلَۚ/وَٱلۡإِنجِيلَ/wal-injila",
              "words_bangla": "এবং তাকে শিক্ষা দিবেন//কিতাব//ও হিকমত//ও তাওরাত//ও ইনজীল"
            },
            {
              "number": 342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/342.mp3"
              ],
              "text": "وَرَسُولًا إِلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَنِّى قَدْ جِئْتُكُم بِـَٔايَةٍۢ مِّن رَّبِّكُمْ ۖ أَنِّىٓ أَخْلُقُ لَكُم مِّنَ ٱلطِّينِ كَهَيْـَٔةِ ٱلطَّيْرِ فَأَنفُخُ فِيهِ فَيَكُونُ طَيْرًۢا بِإِذْنِ ٱللَّهِ ۖ وَأُبْرِئُ ٱلْأَكْمَهَ وَٱلْأَبْرَصَ وَأُحْىِ ٱلْمَوْتَىٰ بِإِذْنِ ٱللَّهِ ۖ وَأُنَبِّئُكُم بِمَا تَأْكُلُونَ وَمَا تَدَّخِرُونَ فِى بُيُوتِكُمْ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আর বণী ইসরাঈলদের জন্যে রসূল হিসেবে তাকে মনোনীত করবেন। তিনি বললেন নিশ্চয়ই আমি তোমাদের নিকট তোমাদের পালনকর্তার পক্ষ থেকে এসেছি নিদর্শনসমূহ নিয়ে। আমি তোমাদের জন্য মাটির দ্বারা পাখীর আকৃতি তৈরী করে দেই। তারপর তাতে যখন ফুৎকার প্রদান করি, তখন তা উড়ন্ত পাখীতে পরিণত হয়ে যায় আল্লাহর হুকুমে। আর আমি সুস্থ করে তুলি জন্মান্ধকে এবং শ্বেত কুষ্ঠ রোগীকে। আর আমি জীবিত করে দেই মৃতকে আল্লাহর হুকুমে। আর আমি তোমাদেরকে বলে দেই যা তোমরা খেয়ে আস এবং যা তোমরা ঘরে রেখে আস। এতে প্রকৃষ্ট নিদর্শন রয়েছে, যদি তোমরা বিশ্বাসী হও।",
              "numberInSurah": 49,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাছূলান ইলা-বানীইছরাঈলা আন্নী কাদ জি’তুকুম বিআ-য়াতিম মিররাব্বিকুম আন্নী-আখলুকুলাকুম মিনাত্তীনি কাহাইআতিত্তাইরি ফাআনফুখু ফীহি ফাইয়াকূনু তাইরাম বিইযনিল্লা-হি ওয়াউবরিউল আকমাহা ওয়াল আবরাসা ওয়া উহয়িল মাওতাবিইযনিল্লা-হি ওয়া উনাব্বিউকুম বিমা-তা’কুলূনা ওয়ামা-তাদ্দাখিরূনা ফী বুইঊতিকুম ইন্না ফী যা-লিকা লাআ-য়াতাল্লাকুম ইন কুনতুম ম’ুমিনীন।",
              "words_arabic": "وَ رَسُوْلًا/وَرَسُولًا/warasulan//اِلٰی/إِلَىٰ/ila//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ ۙ۬/إِسۡرَـٰٓءِيلَ/is'raila//اَنِّیْ/أَنِّي/anni//قَدْ/قَدۡ/qad//جِئْتُكُمْ/جِئۡتُكُم/ji'tukum//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//مِّنْ/مِّن/min//رَّبِّكُمْ ۙ/رَّبِّكُمۡ/rabbikum//اَنِّیْۤ/أَنِّيٓ/anni//اَخْلُقُ/أَخۡلُقُ/akhluqu//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الطِّیْنِ/ٱلطِّينِ/al-tini//كَهَیْـَٔةِ/كَهَيۡـَٔةِ/kahayati//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//فَاَنْفُخُ/فَأَنفُخُ/fa-anfukhu//فِیْهِ/فِيهِ/fihi//فَیَكُوْنُ/فَيَكُونُ/fayakunu//طَیْرًۢا/طَيۡرَۢا/tayran//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ اُبْرِئُ/وَأُبۡرِئُ/wa-ub'ri-u//الْاَكْمَهَ/ٱلۡأَكۡمَهَ/al-akmaha//وَ الْاَبْرَصَ/وَٱلۡأَبۡرَصَ/wal-abrasa//وَ اُحْیِ/وَأُحۡيِ/wa-uh'yi//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ اُنَبِّئُكُمْ/وَأُنَبِّئُكُم/wa-unabbi-ukum//بِمَا/بِمَا/bima//تَاْكُلُوْنَ/تَأۡكُلُونَ/takuluna//وَ مَا/وَمَا/wama//تَدَّخِرُوْنَ ۙ/تَدَّخِرُونَ/taddakhiruna//فِیْ/فِي/fi//بُیُوْتِكُمْ ؕ/بُيُوتِكُمۡۚ/buyutikum//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَۚ/مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং (নিযুক্ত করবেন) রাসূল//প্রতি//বনী//ইসরাঈলের//''(সে বলবে) যে আমি//নিশ্চয়//তোমাদের কাছে এসেছি//একটি নিদর্শন সহকারে//পক্ষ হতে//তোমাদের রবের//(তা) এই যে আমি//আমি বানাই//তোমাদের জন্যে//থেকে//মাটি//আকৃতির মতো//পাখির//আমি অতঃপর ফুঁক দিই//তার মধ্যে//হয়ে যায় তখন//পাখি//হুকুমে//আল্লাহর//এবং সুস্থ করি//জন্মান্ধকে//ও কুষ্ঠ ব্যাধিগ্রস্থকে//এবং জীবিত করি//মৃতকে//হুকুমে//আল্লাহর//এবং তোমাদের বলে দেই আমি//যা কিছু//তোমরা খাও তোমাদের ঘরে//এবং যা//তোমরা মওজুদ কর//মধ্যে//তোমাদের গৃহগুলোর//নিশ্চয়//মধ্যে আছে//এর//অবশ্যই নিদর্শন//তোমাদের জন্যে//যদি//তোমরা হও//মু'মিন"
            },
            {
              "number": 343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/343.mp3"
              ],
              "text": "وَمُصَدِّقًۭا لِّمَا بَيْنَ يَدَىَّ مِنَ ٱلتَّوْرَىٰةِ وَلِأُحِلَّ لَكُم بَعْضَ ٱلَّذِى حُرِّمَ عَلَيْكُمْ ۚ وَجِئْتُكُم بِـَٔايَةٍۢ مِّن رَّبِّكُمْ فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "আর এটি পূর্ববর্তী কিতাব সমুহকে সত্যায়ন করে, যেমন তওরাত। আর তা এজন্য যাতে তোমাদের জন্য হালাল করে দেই কোন কোন বস্তু যা তোমাদের জন্য হারাম ছিল। আর আমি তোমাদের নিকট এসেছি তোমাদের পালনকর্তার নিদর্শনসহ। কাজেই আল্লাহকে ভয় কর এবং আমার অনুসরণ কর।",
              "numberInSurah": 50,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ওয়া মুসাদ্দিকালিল মা-বাইনা ইয়াদাইয়া মিনাত্তাওরা-তি ওয়া লিউহিল্লা লাকুম বা‘দাল্লাযী হূররিমা ‘আলাইকুম ওয়া জি’তুকুম বিআ-য়াতিম মির রাব্বিকুম ফাত্তাকুল্লা-হা, ওয়া আতী‘ঊন।",
              "words_arabic": "وَ مُصَدِّقًا/وَمُصَدِّقٗا/wamusaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیَّ/يَدَيَّ/yadayya//مِنَ/مِنَ/mina//التَّوْرٰىةِ/ٱلتَّوۡرَىٰةِ/al-tawrati//وَ لِاُحِلَّ/وَلِأُحِلَّ/wali-uhilla//لَكُمْ/لَكُم/lakum//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//حُرِّمَ/حُرِّمَ/hurrima//عَلَیْكُمْ/عَلَيۡكُمۡۚ/alaykum//وَ جِئْتُكُمْ/وَجِئۡتُكُم/waji'tukum//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//مِّنْ/مِّن/min//رَّبِّكُمْ ۫/رَّبِّكُمۡ/rabbikum//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِ /وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "এবং সত্যায়নকারী//(তার) যা//(মধ্যে)//আমার সামনে আছে//(থেকে)//(অর্থাৎ) তওরাত//এবং আমি হালাল করতে (এসেছি)//তোমাদের জন্যে//(এমন) কিছু//যা//হারাম করা হয়েছিল//তোমাদের উপর//ও তোমাদের কাছে এসেছি//নিদর্শনসহ//পক্ষ হতে//তোমাদের রবের//অতএব তোমরা ভয় কর//আল্লাহকে//এবং আমার আনুগত্য কর"
            },
            {
              "number": 344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/344.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۗ هَٰذَا صِرَٰطٌۭ مُّسْتَقِيمٌۭ",
              "translate_bn": "নিশ্চয়ই আল্লাহ আমার পালনকর্তা এবং তোমাদেরও পালনকর্তা-তাঁর এবাদত কর, এটাই হলো সরল পথ।",
              "numberInSurah": 51,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 22,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা রাববী ওয়া রাব্বুকুম ফা‘বুদূ হু হা-যা-সিরা-তুম মুছতাকীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//رَبِّیْ/رَبِّي/rabbi//وَ رَبُّكُمْ/وَرَبُّكُمۡ/warabbukum//فَاعْبُدُوْهُ ؕ/فَٱعۡبُدُوهُۚ/fa-u'buduhu//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٞ/siratun//مُّسْتَقِیْمٌ /مُّسۡتَقِيمٞ/mus'taqimun",
              "words_bangla": "নিশ্চয়//আল্লাহ//আমার রব//এবং তোমাদেরও রব//অতএব তোমরা ইবাদত কর তাঁর//এটাই//পথ''//সরল সঠিক''"
            },
            {
              "number": 345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/345.mp3"
              ],
              "text": "۞ فَلَمَّآ أَحَسَّ عِيسَىٰ مِنْهُمُ ٱلْكُفْرَ قَالَ مَنْ أَنصَارِىٓ إِلَى ٱللَّهِ ۖ قَالَ ٱلْحَوَارِيُّونَ نَحْنُ أَنصَارُ ٱللَّهِ ءَامَنَّا بِٱللَّهِ وَٱشْهَدْ بِأَنَّا مُسْلِمُونَ",
              "translate_bn": "অতঃপর ঈসা (আঃ) যখন বণী ইসরায়ীলের কুফরী সম্পর্কে উপলব্ধি করতে পারলেন, তখন বললেন, কারা আছে আল্লাহর পথে আমাকে সাহায্য করবে? সঙ্গী-সাথীরা বললো, আমরা রয়েছি আল্লাহর পথে সাহায্যকারী। আমরা আল্লাহর প্রতি ঈমান এনেছি। আর তুমি সাক্ষী থাক যে, আমরা হুকুম কবুল করে নিয়েছি।",
              "numberInSurah": 52,
              "juz": 3,
              "manzil": 1,
              "page": 56,
              "ruku": 46,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআহাছছা ‘ঈছা-মিনহুমুল কুফরা কা-লা মান আনসা-রীইলাল্লা-হি কা-লাল হাওয়া-রিইয়ূনা নাহনু আনসা-রুল্লা-হি আ-মান্না-বিল্লাহি ওয়াশহাদ বিআন্না-মুছলিমূন।",
              "words_arabic": "فَلَمَّاۤ/۞فَلَمَّآ/falamma//اَحَسَّ/أَحَسَّ/ahassa//عِیْسٰی/عِيسَىٰ/isa//مِنْهُمُ/مِنۡهُمُ/min'humu//الْكُفْرَ/ٱلۡكُفۡرَ/al-kuf'ra//قَالَ/قَالَ/qala//مَنْ/مَنۡ/man//اَنْصَارِیْۤ/أَنصَارِيٓ/ansari//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالَ/قَالَ/qala//الْحَوَارِیُّوْنَ/ٱلۡحَوَارِيُّونَ/al-hawariyuna//نَحْنُ/نَحۡنُ/nahnu//اَنْصَارُ/أَنصَارُ/ansaru//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ ۚ/بِٱللَّهِ/bil-lahi//وَ اشْهَدْ/وَٱشۡهَدۡ/wa-ish'had//بِاَنَّا/بِأَنَّا/bi-anna//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "অতঃপর যখন//অনুভব করল//ঈসা//তাদের হতে//কুফরীর (প্রতি অবিচলতা)//সে বলল//''কে (আছ)//আমার সাহায্যকারী//দিকে//আল্লাহর (পথে)''//বলল//হাওয়ারীরা//''আমরা//সাহায্যকারী//আল্লাহর (পথে)//আমরা ঈমান আনলাম//আল্লাহর উপর//এবং তুমি সাক্ষী থাক//যে আমরা//(আত্মসমর্পণকারী) মুসলমান"
            },
            {
              "number": 346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/346.mp3"
              ],
              "text": "رَبَّنَآ ءَامَنَّا بِمَآ أَنزَلْتَ وَٱتَّبَعْنَا ٱلرَّسُولَ فَٱكْتُبْنَا مَعَ ٱلشَّٰهِدِينَ",
              "translate_bn": "হে আমাদের পালনকর্তা! আমরা সে বিষয়ের প্রতি বিশ্বাস স্থাপন করেছি যা তুমি নাযিল করেছ, আমরা রসূলের অনুগত হয়েছি। অতএব, আমাদিগকে মান্যকারীদের তালিকাভুক্ত করে নাও।",
              "numberInSurah": 53,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 46,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাআ-মান্নাবিমাআনঝালতা ওয়াত্তবা‘নার রাছূলা ফাকতুবনা-মা‘আশশা-হিদীন।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰمَنَّا/ءَامَنَّا/amanna//بِمَاۤ/بِمَآ/bima//اَنْزَلْتَ/أَنزَلۡتَ/anzalta//وَ اتَّبَعْنَا/وَٱتَّبَعۡنَا/wa-ittaba'na//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//فَاكْتُبْنَا/فَٱكۡتُبۡنَا/fa-uk'tub'na//مَعَ/مَعَ/ma'a//الشّٰهِدِیْنَ /ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "হে আমাদের রব//আমরা ঈমান এনেছি//ঐ বিষয়ে যা//তুমি নাযিল করেছ//এবং আমরা অনুসরণ করেছি//রসূলকে//অতএব আমাদের লেখ (নাম)//সাথে//সাক্ষ্যদাতাদের''"
            },
            {
              "number": 347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/347.mp3"
              ],
              "text": "وَمَكَرُوا۟ وَمَكَرَ ٱللَّهُ ۖ وَٱللَّهُ خَيْرُ ٱلْمَٰكِرِينَ",
              "translate_bn": "এবং কাফেরেরা চক্রান্ত করেছে আর আল্লাহও কৌশল অবলম্বন করেছেন। বস্তুতঃ আল্লাহ হচ্ছেন সর্বোত্তম কুশলী।",
              "numberInSurah": 54,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 46,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাকারু ওয়া মাকারাল্লা-হু ওয়াল্লা-হু খাইরুল মা-কিরীন।",
              "words_arabic": "وَ مَكَرُوْا/وَمَكَرُواْ/wamakaru//وَ مَكَرَ/وَمَكَرَ/wamakara//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَیْرُ/خَيۡرُ/khayru//الْمٰكِرِیْنَ۠/ٱلۡمَٰكِرِينَ/al-makirina",
              "words_bangla": "এবং তারা ষড়যন্ত্র করল//ও কৌশল করলেন//আল্লাহ//আর আল্লাহই//উত্তম (কৌশলী)//সব ষড়যন্ত্রকারীদের"
            },
            {
              "number": 348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/348.mp3"
              ],
              "text": "إِذْ قَالَ ٱللَّهُ يَٰعِيسَىٰٓ إِنِّى مُتَوَفِّيكَ وَرَافِعُكَ إِلَىَّ وَمُطَهِّرُكَ مِنَ ٱلَّذِينَ كَفَرُوا۟ وَجَاعِلُ ٱلَّذِينَ ٱتَّبَعُوكَ فَوْقَ ٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ ۖ ثُمَّ إِلَىَّ مَرْجِعُكُمْ فَأَحْكُمُ بَيْنَكُمْ فِيمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ",
              "translate_bn": "আর স্মরণ কর, যখন আল্লাহ বলবেন, হে ঈসা! আমি তোমাকে নিয়ে নেবো এবং তোমাকে নিজের দিকে তুলে নিবো-কাফেরদের থেকে তোমাকে পবিত্র করে দেবো। আর যারা তোমার অনুগত রয়েছে তাদেরকে কিয়ামতের দিন পর্যন্ত যারা অস্বীকৃতি জ্ঞাপন করে তাদের উপর জয়ী করে রাখবো। বস্তুতঃ তোমাদের সবাইকে আমার কাছেই ফিরে আসতে হবে। তখন যে বিষয়ে তোমরা বিবাদ করতে, আমি তোমাদের মধ্যে তার ফয়সালা করে দেবো।",
              "numberInSurah": 55,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লাল্লা-হু ইয়া-‘ঈছা-ইন্নী মুতাওয়াফফীকা ওয়ারা-ফি‘উকা ইলাইইয়া ওয়ামুতাহহিরুকা মিনাল্লাযীনা কাফারু ওয়া জা-‘ইলুল্লায ীনাত্তাবা‘ঊকা ফাওকাল্লাযীনা কাফারূ ইলা-ইয়াওমিল কিয়া-মাতি ছু ম্মা ইলাইইয়া মারজি‘উকুম ফাআহকুমু বাইনাকুম ফীমা-কুনতুম ফীহি তাখতালিফূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//یٰعِیْسٰۤی/يَٰعِيسَىٰٓ/ya'isa//اِنِّیْ/إِنِّي/inni//مُتَوَفِّیْكَ/مُتَوَفِّيكَ/mutawaffika//وَ رَافِعُكَ/وَرَافِعُكَ/warafi'uka//اِلَیَّ/إِلَيَّ/ilayya//وَ مُطَهِّرُكَ/وَمُطَهِّرُكَ/wamutahhiruka//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ جَاعِلُ/وَجَاعِلُ/waja'ilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّبَعُوْكَ/ٱتَّبَعُوكَ/ittaba'uka//فَوْقَ/فَوۡقَ/fawqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ ۚ/ٱلۡقِيَٰمَةِۖ/al-qiyamati//ثُمَّ/ثُمَّ/thumma//اِلَیَّ/إِلَيَّ/ilayya//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//فَاَحْكُمُ/فَأَحۡكُمُ/fa-ahkumu//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//فِیْمَا/فِيمَا/fima//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْهِ/فِيهِ/fihi//تَخْتَلِفُوْنَ /تَخۡتَلِفُونَ/takhtalifuna",
              "words_bangla": "যখন//বলেছিলেন//আল্লাহ//''হে ঈসা//নিশ্চয় আমি//(আয়ুষ্কাল পূর্ণ করে) তোমাকে গ্রহণ করব//ও তোমাকে উঠিয়ে নেব//আমার কাছে//ও তোমাকে পবিত্র করব//(সংশ্রব) হতে//(তাদের) যারা//অস্বীকার করেছে//এবং আমি বানাব//(তাদেরকে) যারা//তোমাকে অনুসরণ করবে//উপর (বিজয়ী)//(তাদের) যারা//অস্বীকার করেছে//পর্যন্ত//দিন//কিয়ামতের//এরপর//আমারই কাছে//তোমাদের প্রত্যাবর্তন হবে//অতঃপর আমি ফয়সালা করব//তোমাদের মাঝে//ঐ ব্যাপারে যা//তোমরা ছিলে//যার মধ্যে//মতবিরোধ করতে"
            },
            {
              "number": 349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/349.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ كَفَرُوا۟ فَأُعَذِّبُهُمْ عَذَابًۭا شَدِيدًۭا فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ وَمَا لَهُم مِّن نَّٰصِرِينَ",
              "translate_bn": "অতএব যারা কাফের হয়েছে, তাদেরকে আমি কঠিন শাস্তি দেবো দুনিয়াতে এবং আখেরাতে-তাদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 56,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল্লাযীনা কাফারূফাউ‘আযযিবুহুম ‘আযা-বান শাদীদান ফিদ্দুনইয়া-ওয়াল আখিরাতি ওয়ামা-লাহুম মিন না-সিরীন।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَاُعَذِّبُهُمْ/فَأُعَذِّبُهُمۡ/fa-u'adhibuhum//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا/شَدِيدٗا/shadidan//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ؗ/وَٱلۡأٓخِرَةِ/wal-akhirati//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//نّٰصِرِیْنَ /نَّـٰصِرِينَ/nasirina",
              "words_bangla": "আর//যারা//কুফুরী করেছে//অতঃপর তাদেরকে আমি আযাব দিব//শাস্তি//কঠোর//মধ্যে//দুনিয়ার//ও আখেরাতে//এবং নাই//তাদের জন্যে//কোন//সাহায্যকারী"
            },
            {
              "number": 350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/350.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَيُوَفِّيهِمْ أُجُورَهُمْ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلظَّٰلِمِينَ",
              "translate_bn": "পক্ষান্তরে যারা ঈমান এনেছে এবং সৎকাজ করেছে। তাদের প্রাপ্য পরিপুর্ণভাবে দেয়া হবে। আর আল্লাহ অত্যাচারীদেরকে ভালবাসেন না।",
              "numberInSurah": 57,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল্লাযীনা আ-মানূ ওয়া ‘আমিলুসসা-লিহা-তি ফাইউওয়াফফীহিম উজুরাহুম ওয়াল্লা-হু লা-ইউহিব্বুজ্জা-লিমীন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَیُوَفِّیْهِمْ/فَيُوَفِّيهِمۡ/fayuwaffihim//اُجُوْرَهُمْ ؕ/أُجُورَهُمۡۗ/ujurahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "আর//যারা//ঈমান এনেছে//ও কাজ করেছে//নেকীর//তাদেরকে তখন তিনি পূর্ণ দিবেন//প্রতিফল তাদের//এবং আল্লাহ//না//ভালোবাসেন//জালেমদেরকে"
            },
            {
              "number": 351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/351.mp3"
              ],
              "text": "ذَٰلِكَ نَتْلُوهُ عَلَيْكَ مِنَ ٱلْءَايَٰتِ وَٱلذِّكْرِ ٱلْحَكِيمِ",
              "translate_bn": "আমি তোমাদেরকে পড়ে শুনাই এ সমস্ত আয়াত এবং নিশ্চিত বর্ণনা।",
              "numberInSurah": 58,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা নাতলূহু ‘আলাইকা মিনাল আ-য়া-তি ওয়াযযিকরিল হাকীম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//نَتْلُوْهُ/نَتۡلُوهُ/natluhu//عَلَیْكَ/عَلَيۡكَ/alayka//مِنَ/مِنَ/mina//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//وَ الذِّكْرِ/وَٱلذِّكۡرِ/wal-dhik'ri//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "এটা//তা পাঠ করছি আমরা//তোমার কাছে//হতে//নিদর্শনাবলী//ও উপদেশ//জ্ঞানগর্ভ"
            },
            {
              "number": 352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/352.mp3"
              ],
              "text": "إِنَّ مَثَلَ عِيسَىٰ عِندَ ٱللَّهِ كَمَثَلِ ءَادَمَ ۖ خَلَقَهُۥ مِن تُرَابٍۢ ثُمَّ قَالَ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "নিঃসন্দেহে আল্লাহর নিকট ঈসার দৃষ্টান্ত হচ্ছে আদমেরই মতো। তাকে মাটি দিয়ে তৈরী করেছিলেন এবং তারপর তাকে বলেছিলেন হয়ে যাও, সঙ্গে সঙ্গে হয়ে গেলেন।",
              "numberInSurah": 59,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইন্না মাছালা ‘ঈছা-‘ইনদাল্লা-হি কামাছালি আ-দামা খালাকাহু মিন তুরা-বিন ছু ম্মা কা-লা লাহু কুন ফাইয়াকূন",
              "words_arabic": "اِنَّ/إِنَّ/inna//مَثَلَ/مَثَلَ/mathala//عِیْسٰی/عِيسَىٰ/isa//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//كَمَثَلِ/كَمَثَلِ/kamathali//اٰدَمَ ؕ/ءَادَمَۖ/adama//خَلَقَهٗ/خَلَقَهُۥ/khalaqahu//مِنْ/مِن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ /فَيَكُونُ/fayakunu",
              "words_bangla": "নিশ্চয়//উদাহরণ//ঈসার//নিকট//আল্লাহর//উদাহরণের মতো//আদমের//তাকে তিনি সৃষ্টি করেছিলেন//হতে//মাটি//তারপর//তিনি বলেছিলেন//তাকে//''হও''//সে তখনই হয়ে যায়"
            },
            {
              "number": 353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/353.mp3"
              ],
              "text": "ٱلْحَقُّ مِن رَّبِّكَ فَلَا تَكُن مِّنَ ٱلْمُمْتَرِينَ",
              "translate_bn": "যা তোমার পালকর্তা বলেন তাই হচ্ছে যথার্থ সত্য। কাজেই তোমরা সংশয়বাদী হয়ো না।",
              "numberInSurah": 60,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "আলহাক্কুমিররাব্বিকা ফালা-তাকুম মিনাল মুমতারীন।",
              "words_arabic": "اَلْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//فَلَا/فَلَا/fala//تَكُنْ/تَكُن/takun//مِّنَ/مِّنَ/mina//الْمُمْتَرِیْنَ /ٱلۡمُمۡتَرِينَ/al-mum'tarina",
              "words_bangla": "(এটাই) প্রকৃত সত্য//পক্ষ হতে//তোমার রবের//অতএব না//তুমি হয়ো//অন্তর্ভুক্ত//সন্দেহকারীদের"
            },
            {
              "number": 354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/354.mp3"
              ],
              "text": "فَمَنْ حَآجَّكَ فِيهِ مِنۢ بَعْدِ مَا جَآءَكَ مِنَ ٱلْعِلْمِ فَقُلْ تَعَالَوْا۟ نَدْعُ أَبْنَآءَنَا وَأَبْنَآءَكُمْ وَنِسَآءَنَا وَنِسَآءَكُمْ وَأَنفُسَنَا وَأَنفُسَكُمْ ثُمَّ نَبْتَهِلْ فَنَجْعَل لَّعْنَتَ ٱللَّهِ عَلَى ٱلْكَٰذِبِينَ",
              "translate_bn": "অতঃপর তোমার নিকট সত্য সংবাদ এসে যাওয়ার পর যদি এই কাহিনী সম্পর্কে তোমার সাথে কেউ বিবাদ করে, তাহলে বল-এসো, আমরা ডেকে নেই আমাদের পুত্রদের এবং তোমাদের পুত্রদের এবং আমাদের স্ত্রীদের ও তোমাদের স্ত্রীদের এবং আমাদের নিজেদের ও তোমাদের নিজেদের আর তারপর চল আমরা সবাই মিলে প্রার্থনা করি এবং তাদের প্রতি আল্লাহর অভিসম্পাত করি যারা মিথ্যাবাদী।",
              "numberInSurah": 61,
              "juz": 3,
              "manzil": 1,
              "page": 57,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ফামান হাজ্জাকা ফীহি মিম বা‘দি মা-জাআকা মিনাল ‘ইলমি ফাকুল তা‘আ-লাও নাদ‘উ আবনাআনা-ওয়া আব নাআকুম ওয়া নিছাআনা-ওয়া নিছাআকুম ওয়া আনফুছা-নাওয়া আনফুছাকুম ছু ম্মা নাবতাহিল ফানাজ‘আল লা‘নাতাল্লা-হি আলাল কা-যিবীন।",
              "words_arabic": "فَمَنْ/فَمَنۡ/faman//حَآجَّكَ/حَآجَّكَ/hajjaka//فِیْهِ/فِيهِ/fihi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَكَ/جَآءَكَ/jaaka//مِنَ/مِنَ/mina//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//فَقُلْ/فَقُلۡ/faqul//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//نَدْعُ/نَدۡعُ/nad'u//اَبْنَآءَنَا/أَبۡنَآءَنَا/abnaana//وَ اَبْنَآءَكُمْ/وَأَبۡنَآءَكُمۡ/wa-abnaakum//وَ نِسَآءَنَا/وَنِسَآءَنَا/wanisaana//وَ نِسَآءَكُمْ/وَنِسَآءَكُمۡ/wanisaakum//وَ اَنْفُسَنَا/وَأَنفُسَنَا/wa-anfusana//وَ اَنْفُسَكُمْ ۫/وَأَنفُسَكُمۡ/wa-anfusakum//ثُمَّ/ثُمَّ/thumma//نَبْتَهِلْ/نَبۡتَهِلۡ/nabtahil//فَنَجْعَلْ/فَنَجۡعَل/fanaj'al//لَّعْنَتَ/لَّعۡنَتَ/la'nata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَی/عَلَى/ala//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "যে অতঃপর//তোমার সাথে বিতর্ক করে//সে ব্যাপারে//(থেকে)//এর পরেও//যা//তোমার কাছে এসেছে//(থেকে)//জ্ঞান//বল তাহলে//''তোমরা আস//ডাকি আমরা//আমাদের ছেলেদেরকে//ও তোমাদের ছেলেদেরকে//ও আমাদের নারীদেরকে//ও তোমাদের নারীদেরকে//ও আমাদের নিজেদেরকে//ও তোমাদের নিজেদেরকে//এরপর//বিনীতভাবে আমরা আবেদন করি//আমারা অতঃপর দেই//অভিশাপ//আল্লাহর//উপর//মিথ্যাবাদীদের"
            },
            {
              "number": 355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/355.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَهُوَ ٱلْقَصَصُ ٱلْحَقُّ ۚ وَمَا مِنْ إِلَٰهٍ إِلَّا ٱللَّهُ ۚ وَإِنَّ ٱللَّهَ لَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "নিঃসন্দেহে এটাই হলো সত্য ভাষণ। আর এক আল্লাহ ছাড়া অন্য কোন ইলাহ নেই। আর আল্লাহ; তিনিই হলেন পরাক্রমশালী মহাপ্রাজ্ঞ।",
              "numberInSurah": 62,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লাহুওয়াল কাসাসুল হাক্কুওয়ামা-মিন ইলা-হিন ইল্লাল্লা-হু ওয়া ইন্নাল্লা-হা লাহুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَهُوَ/لَهُوَ/lahuwa//الْقَصَصُ/ٱلۡقَصَصُ/al-qasasu//الْحَقُّ ۚ/ٱلۡحَقُّۚ/al-haqu//وَ مَا/وَمَا/wama//مِنْ/مِنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//اِلَّا/إِلَّا/illa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "নিশ্চয়//এটা//অবশ্যই সেই//বৃত্তান্ত//সত্য//আর নাই//কোন//ইলাহ//ছাড়া//আল্লাহ//এবং নিশ্চয়//আল্লাহ//নিশ্চয়ই তিনি//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/356.mp3"
              ],
              "text": "فَإِن تَوَلَّوْا۟ فَإِنَّ ٱللَّهَ عَلِيمٌۢ بِٱلْمُفْسِدِينَ",
              "translate_bn": "তারপর যদি তারা গ্রহণ না করে, তাহলে প্রমাদ সৃষ্টিকারীদেরকে আল্লাহ জানেন।",
              "numberInSurah": 63,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 47,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাও ফাইন্নাল্লা-হা ‘আলীমুম বিলমুফছিদীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالْمُفْسِدِیْنَ۠/بِٱلۡمُفۡسِدِينَ/bil-muf'sidina",
              "words_bangla": "যদি অতঃপর//তারা ফিরে যায়//তবে নিশ্চয়//আল্লাহ//খুব অবহিত//ফাসাদ সৃষ্টিকারীদের সম্পর্কে"
            },
            {
              "number": 357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/357.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ تَعَالَوْا۟ إِلَىٰ كَلِمَةٍۢ سَوَآءٍۭ بَيْنَنَا وَبَيْنَكُمْ أَلَّا نَعْبُدَ إِلَّا ٱللَّهَ وَلَا نُشْرِكَ بِهِۦ شَيْـًۭٔا وَلَا يَتَّخِذَ بَعْضُنَا بَعْضًا أَرْبَابًۭا مِّن دُونِ ٱللَّهِ ۚ فَإِن تَوَلَّوْا۟ فَقُولُوا۟ ٱشْهَدُوا۟ بِأَنَّا مُسْلِمُونَ",
              "translate_bn": "বলুনঃ ‘হে আহলে-কিতাবগণ! একটি বিষয়ের দিকে আস-যা আমাদের মধ্যে ও তোমাদের মধ্যে সমান-যে, আমরা আল্লাহ ছাড়া অন্য কারও ইবাদত করব না, তাঁর সাথে কোন শরীক সাব্যস্ত করব না এবং একমাত্র আল্লাহকে ছাড়া কাউকে পালনকর্তা বানাব না। তারপর যদি তারা স্বীকার না করে, তাহলে বলে দাও যে, ‘সাক্ষী থাক আমরা তো অনুগত।",
              "numberInSurah": 64,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআহলাল কিতা-বি তা‘আ-লাও ইলা-কালিমাতিন ছাওয়াইম বাইনানা-ওয়া বাইনাকুম আল্লা-না‘বুদা ইল্লাল্লাহা ওয়ালা-নুশরিকা বিহী শাইআওঁ ওয়ালা-ইয়াত্তাখিযা বা‘দুনা-বা‘দান আরবা-বাম মিন দূ নিল্লা-হি ফাইন তাওয়াল্লাও ফকূলুশহাদূ বিআন্নামুছলিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//اِلٰی/إِلَىٰ/ila//كَلِمَةٍ/كَلِمَةٖ/kalimatin//سَوَآءٍۭ/سَوَآءِۭ/sawain//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَكُمْ/وَبَيۡنَكُمۡ/wabaynakum//اَلَّا/أَلَّا/alla//نَعْبُدَ/نَعۡبُدَ/na'buda//اِلَّا/إِلَّا/illa//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَا/وَلَا/wala//نُشْرِكَ/نُشۡرِكَ/nush'rika//بِهٖ/بِهِۦ/bihi//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَتَّخِذَ/يَتَّخِذَ/yattakhidha//بَعْضُنَا/بَعۡضُنَا/ba'duna//بَعْضًا/بَعۡضًا/ba'dan//اَرْبَابًا/أَرۡبَابٗا/arbaban//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَقُوْلُوا/فَقُولُواْ/faqulu//اشْهَدُوْا/ٱشۡهَدُواْ/ish'hadu//بِاَنَّا/بِأَنَّا/bi-anna//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "তুমি বল//''হে আহলে//কিতাব//তোমরা এস//প্রতি//একটি বাণীর (যা)//সমান//আমাদের মাঝে//ও তোমাদের মাঝে//(এই) যে না//ইবাদাত করব আমরা//ছাড়া//আল্লাহর//এবং না//শেরক করব আমরা//তাঁর সাথে//কোন কিছুকেই//এবং না//গ্রহন করবে//আমাদের কেউ//কাউকে//রব হিসাবে//ছাড়া''//''(মহাশয়)//আল্লাহ''//যদি অতঃপর//তারা ফিরে যায়//তাোমরা তবে বল//''তোমরা সাক্ষী থাক//আমরা যে//(আল্লাহর অনুগত বান্দা) মুসলমান''"
            },
            {
              "number": 358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/358.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ لِمَ تُحَآجُّونَ فِىٓ إِبْرَٰهِيمَ وَمَآ أُنزِلَتِ ٱلتَّوْرَىٰةُ وَٱلْإِنجِيلُ إِلَّا مِنۢ بَعْدِهِۦٓ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "হে আহলে কিতাবগণ! কেন তোমরা ইব্রাহীমের বিষয়ে বাদানুবাদ কর? অথচ তওরাত ও ইঞ্জিল তাঁর পরেই নাযিল হয়েছে। তোমরা কি বুঝ না?",
              "numberInSurah": 65,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইয়াআহলাল কিতা-বি লিমা তুহাজজুনা ফীইবরা-হীমা ওয়ামা উনঝিলাতিত তাওরা-তু ওয়াল ইনজীলু ইল্লা-মিম বাদিহী আফালা-তা‘কিলূন।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لِمَ/لِمَ/lima//تُحَآجُّوْنَ/تُحَآجُّونَ/tuhajjuna//فِیْۤ/فِيٓ/fi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ مَاۤ/وَمَآ/wama//اُنْزِلَتِ/أُنزِلَتِ/unzilati//التَّوْرٰىةُ/ٱلتَّوۡرَىٰةُ/al-tawratu//وَ الْاِنْجِیْلُ/وَٱلۡإِنجِيلُ/wal-injilu//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِهٖ ؕ/بَعۡدِهِۦٓۚ/ba'dihi//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "হে আহলে//কিতাব//কেন//তোমরা বিতর্ক করছ//প্রশ্নে//ইবরাহীমের//অথছ না//নাযিল হয়েছে//তাওরাত//ও ইনজীল//কিন্তু//(থেকে)//তার পরে//না তবুও কি//তোমরা বুঝবে"
            },
            {
              "number": 359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/359.mp3"
              ],
              "text": "هَٰٓأَنتُمْ هَٰٓؤُلَآءِ حَٰجَجْتُمْ فِيمَا لَكُم بِهِۦ عِلْمٌۭ فَلِمَ تُحَآجُّونَ فِيمَا لَيْسَ لَكُم بِهِۦ عِلْمٌۭ ۚ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "শোন! ইতিপূর্বে তোমরা যে বিষয়ে কিছু জানতে, তাই নিয়ে বিবাদ করতে। এখন আবার যে বিষয়ে তোমরা কিছুই জান না, সে বিষয়ে কেন বিবাদ করছ?",
              "numberInSurah": 66,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "হা আনতুম হাউলাই হা-জাজতুম ফীমা-লাকুম বিহী ‘ইলমুন ফালিমা তুহাজ্জূনা ফীমা লাইছা লাকুম বিহী ‘ইলমুন ওয়াল্লা-হু ইয়া‘লামুওয়া আনতুম লা-তা‘লামূন।",
              "words_arabic": "هٰۤاَنْتُمْ/هَـٰٓأَنتُمۡ/haantum//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//حَاجَجْتُمْ/حَٰجَجۡتُمۡ/hajajtum//فِیْمَا/فِيمَا/fima//لَكُمْ/لَكُم/lakum//بِهٖ/بِهِۦ/bihi//عِلْمٌ/عِلۡمٞ/il'mun//فَلِمَ/فَلِمَ/falima//تُحَآجُّوْنَ/تُحَآجُّونَ/tuhajjuna//فِیْمَا/فِيمَا/fima//لَیْسَ/لَيۡسَ/laysa//لَكُمْ/لَكُم/lakum//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؕ/عِلۡمٞۚ/il'mun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "তোমরাই তো//ঐ সব লোক (যারা)//বিতর্ক করেছ//সে বিষয়ে//তোমাদের (আছে)//যে সম্পর্কে//(সামান্য) জ্ঞান//এখন কেন//তোমরা বিতর্ক করছ//সে সম্পর্কে//নাই//তোমাদের//যে সম্পর্কে//কোন জ্ঞান//এবং আল্লাহ//জানেন//আর তোমরা//না//(প্রকৃত সত্য) জান"
            },
            {
              "number": 360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/360.mp3"
              ],
              "text": "مَا كَانَ إِبْرَٰهِيمُ يَهُودِيًّۭا وَلَا نَصْرَانِيًّۭا وَلَٰكِن كَانَ حَنِيفًۭا مُّسْلِمًۭا وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "ইব্রাহীম ইহুদী ছিলেন না এবং নাসারাও ছিলেন না, কিক্তু তিনি ছিলেন ‘হানীফ’ অর্থাৎ, সব মিথ্যা ধর্মের প্রতি বিমুখ এবং আত্নসমর্পণকারী, এবং তিনি মুশরিক ছিলেন না।",
              "numberInSurah": 67,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "মা-কানা ইবরা-হীমুইয়াহূদিইইয়াওঁ ওয়ালা-নাসরা-নিয়ইইয়াওঁ ওয়ালা-কিন কা-না হানীফাম মুছলিমাওঁ ওয়ামা-কা-না মিনাল মুশরিকীন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//اِبْرٰهِیْمُ/إِبۡرَٰهِيمُ/ib'rahimu//یَهُوْدِیًّا/يَهُودِيّٗا/yahudiyyan//وَّ لَا/وَلَا/wala//نَصْرَانِیًّا/نَصۡرَانِيّٗا/nasraniyyan//وَّ لٰكِنْ/وَلَٰكِن/walakin//كَانَ/كَانَ/kana//حَنِیْفًا/حَنِيفٗا/hanifan//مُّسْلِمًا ؕ/مُّسۡلِمٗا/mus'liman//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "না//ছিল//ইবরাহীম//ইয়াহুদী//আর না//খৃষ্টান//কিন্তু//সে ছিল//একনিষ্ঠ//(আত্মসমর্পণকারী) মুসলিম//এবং না//সে ছিল//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/361.mp3"
              ],
              "text": "إِنَّ أَوْلَى ٱلنَّاسِ بِإِبْرَٰهِيمَ لَلَّذِينَ ٱتَّبَعُوهُ وَهَٰذَا ٱلنَّبِىُّ وَٱلَّذِينَ ءَامَنُوا۟ ۗ وَٱللَّهُ وَلِىُّ ٱلْمُؤْمِنِينَ",
              "translate_bn": "মানুষদের মধ্যে যারা ইব্রাহীমের অনুসরণ করেছিল, তারা, আর এই নবী এবং যারা এ নবীর প্রতি ঈমান এনেছে তারা ইব্রাহীমের ঘনিষ্ঠতম-আর আল্লাহ হচ্ছেন মুমিনদের বন্ধু।",
              "numberInSurah": 68,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইন্না আওলান্না-ছি বিইবরাহীমা লাল্লাযীনাত্তাবা‘উহু ওয়া হা-যান্নাবিইইয়ু ওয়াল্লাযীনা আমানূ ওয়াল্লা-হু ওয়ালিইয়ুল মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اَوْلَی/أَوۡلَى/awla//النَّاسِ/ٱلنَّاسِ/al-nasi//بِاِبْرٰهِیْمَ/بِإِبۡرَٰهِيمَ/bi-ib'rahima//لَلَّذِیْنَ/لَلَّذِينَ/lalladhina//اتَّبَعُوْهُ/ٱتَّبَعُوهُ/ittaba'uhu//وَ هٰذَا/وَهَٰذَا/wahadha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا ؕ/ءَامَنُواْۗ/amanu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَلِیُّ/وَلِيُّ/waliyyu//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "নিশ্চয়//অগ্রাধিকারী (ঘনিষ্ঠ হওয়ায়)//লোকদের (মধ্যে)//ইবরাহীমের সাথে//(তারা) অবশ্যই যারা//তার অনুসরণ করে//ও এই//নবী//ও যারা//ঈমান এনেছে//ও আল্লাহ//অভিভাবক//ঈমানদারদের"
            },
            {
              "number": 362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/362.mp3"
              ],
              "text": "وَدَّت طَّآئِفَةٌۭ مِّنْ أَهْلِ ٱلْكِتَٰبِ لَوْ يُضِلُّونَكُمْ وَمَا يُضِلُّونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ",
              "translate_bn": "কোন কোন আহলে-কিতাবের আকাঙ্খা, যাতে তোমাদের গোমরাহ করতে পারে, কিন্তু তারা নিজেদের ছাড়া অন্য কাউকেই গোমরাহ করে না। অথচ তারা বুঝতে পারে না।",
              "numberInSurah": 69,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ওয়াদ্দাত তাইফাতুম মিন আহলিল কিতা-বি লাও ইউদিললূনাকুম ওয়ামা ইউদিললূ না ইল্লা-আনফুছাহুম ওয়ামা-ইয়াশ‘উরূন।",
              "words_arabic": "وَدَّتْ/وَدَّت/waddat//طَّآىِٕفَةٌ/طَّآئِفَةٞ/taifatun//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَوْ/لَوۡ/law//یُضِلُّوْنَكُمْ ؕ/يُضِلُّونَكُمۡ/yudillunakum//وَ مَا/وَمَا/wama//یُضِلُّوْنَ/يُضِلُّونَ/yudilluna//اِلَّاۤ/إِلَّآ/illa//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "চায়//একদল//মধ্য হতে//আহলি//কিতাবদের//যদি//তোমাদেরকে তারা পথভ্রষ্ট করতে পারত//আর না//তারা পথভ্রষ্ট করে//এছাড়া//তাদের নিজেদেরকে//কিন্তু না//তারা উপলব্ধি করে"
            },
            {
              "number": 363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/363.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ لِمَ تَكْفُرُونَ بِـَٔايَٰتِ ٱللَّهِ وَأَنتُمْ تَشْهَدُونَ",
              "translate_bn": "হে আহলে-কিতাবগণ, কেন তোমরা আল্লাহর কালামকে অস্বীকার কর, অথচ তোমরাই তাঁর প্রবক্তা?",
              "numberInSurah": 70,
              "juz": 3,
              "manzil": 1,
              "page": 58,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইয়াআহলাল কিতা-বি লিমা তাকফুরুনা বিআ-য়া-তিল্লা-হি ওয়া আনতুম তাশহাদূন।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لِمَ/لِمَ/lima//تَكْفُرُوْنَ/تَكۡفُرُونَ/takfuruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَشْهَدُوْنَ /تَشۡهَدُونَ/tashhaduna",
              "words_bangla": "হে আহলি//কিতাব//কেন//তোমরা অস্বীকার করছ//নিদর্শনগুলোকে//আল্লাহর//অথচ তোমরাই//পর্যবেক্ষণ করছ"
            },
            {
              "number": 364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/364.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ لِمَ تَلْبِسُونَ ٱلْحَقَّ بِٱلْبَٰطِلِ وَتَكْتُمُونَ ٱلْحَقَّ وَأَنتُمْ تَعْلَمُونَ",
              "translate_bn": "হে আহলে কিতাবগণ, কেন তোমরা সত্যকে মিথ্যার সাথে সংমিশ্রণ করছ এবং সত্যকে গোপন করছ, অথচ তোমরা তা জান।",
              "numberInSurah": 71,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 48,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইয়াআহলাল কিতা-বি লিমা তালবিছূনাল হাক্কাবিলবা-তিলি ওয়া তাকতুমূনাল হাক্কাওয়া আনতুম তা‘লামূন।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لِمَ/لِمَ/lima//تَلْبِسُوْنَ/تَلۡبِسُونَ/talbisuna//الْحَقَّ/ٱلۡحَقَّ/al-haqa//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//وَ تَكْتُمُوْنَ/وَتَكۡتُمُونَ/wataktumuna//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَعْلَمُوْنَ۠/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "হে আহলি//কিতাব//কেন//তোমরা মিলাও//হককে//বাতিলের সাথে//এবং তোমরা গোপন করছ//হককে//অথচ তোমরা//(ভালভাবেই) জান"
            },
            {
              "number": 365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/365.mp3"
              ],
              "text": "وَقَالَت طَّآئِفَةٌۭ مِّنْ أَهْلِ ٱلْكِتَٰبِ ءَامِنُوا۟ بِٱلَّذِىٓ أُنزِلَ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَجْهَ ٱلنَّهَارِ وَٱكْفُرُوٓا۟ ءَاخِرَهُۥ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "আর আহলে-কিতাবগণের একদল বললো, মুসলমানগণের উপর যা কিছু অবর্তীণ হয়েছে তাকে দিনের প্রথম ভাগে মেনে নাও, আর দিনের শেষ ভাগে অস্বীকার ক র, হয়তো তারা মুখ ফিরিয়ে নিতে পারে।",
              "numberInSurah": 72,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাত্তাইফাতুম মিন আহলিল কিতা-বি আ-মিনূ বিল্লাযীউনঝিলা ‘আলাল্লাযীনা আ-মানূ ওয়াজহান্নাহা-রি ওয়াকফুরূআ-খিরাহু লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ قَالَتْ/وَقَالَت/waqalat//طَّآىِٕفَةٌ/طَّآئِفَةٞ/taifatun//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اٰمِنُوْا/ءَامِنُواْ/aminu//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اُنْزِلَ/أُنزِلَ/unzila//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَجْهَ/وَجۡهَ/wajha//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ اكْفُرُوْۤا/وَٱكۡفُرُوٓاْ/wa-uk'furu//اٰخِرَهٗ/ءَاخِرَهُۥ/akhirahu//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَۚۖ/يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং বলে//একদল//মধ্য হতে//আহলি//কিতাবদের//''তোমরা ঈমান আন//(তার) প্রতি যা//নাযীল করা হয়েছে//নিকট//(তাদের) যারা//ঈমান এনেছে//শুরুতে//দিনের//এবং তোমরা অস্বীকার কর//তার শেষে//তারা সম্ভবত//ফিরে যাবে"
            },
            {
              "number": 366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/366.mp3"
              ],
              "text": "وَلَا تُؤْمِنُوٓا۟ إِلَّا لِمَن تَبِعَ دِينَكُمْ قُلْ إِنَّ ٱلْهُدَىٰ هُدَى ٱللَّهِ أَن يُؤْتَىٰٓ أَحَدٌۭ مِّثْلَ مَآ أُوتِيتُمْ أَوْ يُحَآجُّوكُمْ عِندَ رَبِّكُمْ ۗ قُلْ إِنَّ ٱلْفَضْلَ بِيَدِ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌۭ",
              "translate_bn": "যারা তোমাদের ধর্মমতে চলবে, তাদের ছাড়া আর কাউকে বিশ্বাস করবে না। বলে দিন নিঃসন্দেহে হেদায়েত সেটাই, যে হেদায়েত আল্লাহ করেন। আর এসব কিছু এ জন্যে যে, তোমরা যা লাভ করেছিলে তা অন্য কেউ কেন প্রাপ্ত হবে, কিংবা তোমাদের পালনকর্তার সামনে তোমাদের উপর তারা কেন প্রবল হয়ে যাবে! বলে দিন, মর্যাদা আল্লাহরই হাতে; তিনি যাকে ইচ্ছা দান করেন এবং আল্লাহ প্রাচুর্যময় ও সর্বজ্ঞ।",
              "numberInSurah": 73,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তু’মিনূ ইল্লা-লিমান তাবি‘আ দীনাকুম কুল ইন্নাল হুদা-হুদাল্লা-হি আইঁ ইউ’তাআহাদুম মিছলা মা ঊতীতুম আও ইউহাজ্জূকুম ইনদা রাব্বিকুম কুল ইন্নাল ফাদলা বিইয়াদিল্লা-হি ইউ’তীহি মাইঁ ইয়াশাউ ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُؤْمِنُوْۤا/تُؤۡمِنُوٓاْ/tu'minu//اِلَّا/إِلَّا/illa//لِمَنْ/لِمَن/liman//تَبِعَ/تَبِعَ/tabi'a//دِیْنَكُمْ ؕ/دِينَكُمۡ/dinakum//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//هُدَی/هُدَى/huda//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//اَنْ/أَن/an//یُّؤْتٰۤی/يُؤۡتَىٰٓ/yu'ta//اَحَدٌ/أَحَدٞ/ahadun//مِّثْلَ/مِّثۡلَ/mith'la//مَاۤ/مَآ/ma//اُوْتِیْتُمْ/أُوتِيتُمۡ/utitum//اَوْ/أَوۡ/aw//یُحَآجُّوْكُمْ/يُحَآجُّوكُمۡ/yuhajjukum//عِنْدَ/عِندَ/inda//رَبِّكُمْ ؕ/رَبِّكُمۡۗ/rabbikum//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْفَضْلَ/ٱلۡفَضۡلَ/al-fadla//بِیَدِ/بِيَدِ/biyadi//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//یُؤْتِیْهِ/يُؤۡتِيهِ/yu'tihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌۚۙ/عَلِيمٞ/alimun",
              "words_bangla": "এবং না//তোমরা বিশ্বাস করো//ব্যতীত//(তাদেরকে) যারা//অনুসরণ করে//তোমাদের দ্বীনের''//(হে নবী) তুমি বল//''নিশ্চয়//প্রকৃত হেদায়াত//হেদায়াত//আল্লাহর//(এও) যে//দেয়া হচ্ছে (আজ)//কাউকে//অনুরুপ//(অতীতে) যা//তোমাদেরকে দেয়া হয়েছিল//নইলে//বিতর্ক করবে তারা তোমাদের (বিরুদ্ধে)//কাছে//তোমাদের রবের''//তুমি বল//''নিশ্চয়//সব অনুগ্রহ//হাতে//আল্লাহরই//তিনি দেন//যাকে//তিনি ইচ্ছে করেন//এবং আল্লাহ//প্রাচুর্যময়//সর্বজ্ঞ''"
            },
            {
              "number": 367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/367.mp3"
              ],
              "text": "يَخْتَصُّ بِرَحْمَتِهِۦ مَن يَشَآءُ ۗ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "তিনি যাকে ইচ্ছা নিজের বিশেষ অনুগ্রহ দান করেন। আর আল্লাহ মহা অনুগ্রহশীল।",
              "numberInSurah": 74,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 23,
              "sajda": false,
              "pronunciation_bn": "ইয়াখতাসসুবিরাহমাতিহী মাইঁ ইয়াশাউ ওয়াল্লা-হু যুলফাদলিল ‘আজীম।",
              "words_arabic": "یَّخْتَصُّ/يَخۡتَصُّ/yakhtassu//بِرَحْمَتِهٖ/بِرَحۡمَتِهِۦ/birahmatihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "তিনি বাছাই করেন//তাঁর রহমতের জন্যে//যাকে//তিনি ইচ্ছে করেন//এবং আল্লাহ//(একটি)//অনুগ্রহশীল//মহান"
            },
            {
              "number": 368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/368.mp3"
              ],
              "text": "۞ وَمِنْ أَهْلِ ٱلْكِتَٰبِ مَنْ إِن تَأْمَنْهُ بِقِنطَارٍۢ يُؤَدِّهِۦٓ إِلَيْكَ وَمِنْهُم مَّنْ إِن تَأْمَنْهُ بِدِينَارٍۢ لَّا يُؤَدِّهِۦٓ إِلَيْكَ إِلَّا مَا دُمْتَ عَلَيْهِ قَآئِمًۭا ۗ ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لَيْسَ عَلَيْنَا فِى ٱلْأُمِّيِّۦنَ سَبِيلٌۭ وَيَقُولُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "কোন কোন আহলে কিতাব এমনও রয়েছে, তোমরা যদি তাদের কাছে বহু ধন-সম্পদ আমানত রাখ, তাহলেও তা তোমাদের যথারীতি পরিশোধ করবে। আর তোদের মধ্যে অনেক এমনও রয়েছে যারা একটি দীনার গচ্ছিত রাখলেও ফেরত দেবে না-যে পর্যন্ত না তুমি তার মাথার উপর দাঁড়াতে পারবে। এটা এজন্য যে, তারা বলে রেখেছে যে, উম্মীদের অধিকার বিনষ্ট করাতে আমাদের কোন পাপ নেই। আর তারা আল্লাহ সম্পর্কে জেনে শুনেই মিথ্যা বলে।",
              "numberInSurah": 75,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আহলিল কিতা-বি মান ইন তা‘মানহু বিকিনতা-রিইঁ ইউআদ্দিহী ইলাইকা ওয়া মিনহুম মান ইন তা‘মানহু বিদীনা-রিল লা-ইউআদ্দিহীইলাইকা ইল্লা-মা-দুমতা ‘আলাইহি কাইমান যা-লিকা বিআন্নাহুম কা-লূলাইছা ‘আলাইনা-ফিল উম্মিইয়ীনা ছাবীলুওঁ ওয়া ইয়াকূলূনা ‘আলাল্লা-হিল কাযিবা ওয়াহুম ইয়া‘লামূন।",
              "words_arabic": "وَ مِنْ/۞وَمِنۡ/wamin//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مَنْ/مَنۡ/man//اِنْ/إِن/in//تَاْمَنْهُ/تَأۡمَنۡهُ/tamanhu//بِقِنْطَارٍ/بِقِنطَارٖ/biqintarin//یُّؤَدِّهٖۤ/يُؤَدِّهِۦٓ/yu-addihi//اِلَیْكَ ۚ/إِلَيۡكَ/ilayka//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//اِنْ/إِن/in//تَاْمَنْهُ/تَأۡمَنۡهُ/tamanhu//بِدِیْنَارٍ/بِدِينَارٖ/bidinarin//لَّا/لَّا/la//یُؤَدِّهٖۤ/يُؤَدِّهِۦٓ/yu-addihi//اِلَیْكَ/إِلَيۡكَ/ilayka//اِلَّا/إِلَّا/illa//مَا/مَا/ma//دُمْتَ/دُمۡتَ/dum'ta//عَلَیْهِ/عَلَيۡهِ/alayhi//قَآىِٕمًا ؕ/قَآئِمٗاۗ/qaiman//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَالُوْا/قَالُواْ/qalu//لَیْسَ/لَيۡسَ/laysa//عَلَیْنَا/عَلَيۡنَا/alayna//فِی/فِي/fi//الْاُمِّیّٖنَ/ٱلۡأُمِّيِّـۧنَ/al-umiyina//سَبِیْلٌ ۚ/سَبِيلٞ/sabilun//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং মধ্য হতে//আহলি//কিতাবদের (এমনও আছে)//যে//যদি//তাকে আমানত দাও//ধন সম্পদের স্তুপ//তা ফেরত দেবে//তোমার নিকট//আবার তাদের মধ্যে (এমনও আছে)//যে//যদি//তাকে আমানত দাও//একটি দিনারও//না//ফেরত দেবে//তোমার নিকট//এছাড়া//(কি)//যতক্ষণ না তুমি//তার উপর//দন্ডায়মান থাকবে//এটা//এজন্যে যে তারা//বলে//''নাই//আমাদের উপর//ব্যাপারে//নিরক্ষরদের (অর্থাৎ আরবদের জন্যে)//কোন দায়িত্ব''//এবং তারা বলে//উপর//আল্লাহর//মিথ্যা//অথচ তারা//ভালভাবে (জানে)"
            },
            {
              "number": 369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/369.mp3"
              ],
              "text": "بَلَىٰ مَنْ أَوْفَىٰ بِعَهْدِهِۦ وَٱتَّقَىٰ فَإِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ",
              "translate_bn": "যে লোক নিজ প্রতিজ্ঞা পূর্ন করবে এং পরহেজগার হবে, অবশ্যই আল্লাহ পরহেজগারদেরকে ভালবাসেন।",
              "numberInSurah": 76,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "বালা-মান আওফা-বিআহদিহী ওয়াত্তাকা-ফাইন্নাল্লা-হা ইউহিব্বুল মুত্তাকীন।",
              "words_arabic": "بَلٰی/بَلَىٰۚ/bala//مَنْ/مَنۡ/man//اَوْفٰی/أَوۡفَىٰ/awfa//بِعَهْدِهٖ/بِعَهۡدِهِۦ/bi'ahdihi//وَ اتَّقٰی/وَٱتَّقَىٰ/wa-ittaqa//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "হাঁ বরং//যে//পুর্ণ করবে//ওয়াদা//ও নাফরমানী থেকে বাঁচবে//তাহলে নিশ্চয়//আল্লাহ//ভালবাসবেন//নাফরমানী থেকে বেঁচে চলা লোকদের"
            },
            {
              "number": 370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/370.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَشْتَرُونَ بِعَهْدِ ٱللَّهِ وَأَيْمَٰنِهِمْ ثَمَنًۭا قَلِيلًا أُو۟لَٰٓئِكَ لَا خَلَٰقَ لَهُمْ فِى ٱلْءَاخِرَةِ وَلَا يُكَلِّمُهُمُ ٱللَّهُ وَلَا يَنظُرُ إِلَيْهِمْ يَوْمَ ٱلْقِيَٰمَةِ وَلَا يُزَكِّيهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যারা আল্লাহর নামে কৃত অঙ্গীকার এবং প্রতিজ্ঞা সামান্য মুল্যে বিক্রয় করে, আখেরাতে তাদের কেন অংশ নেই। আর তাদের সাথে কেয়ামতের দিন আল্লাহ কথা বলবেন না। তাদের প্রতি (করুণার) দৃষ্টিও দেবেন না। আর তাদেরকে পরিশুদ্ধও করবেন না। বস্তুতঃ তাদের জন্য রয়েছে যন্ত্রণাদায়ক আযাব।",
              "numberInSurah": 77,
              "juz": 3,
              "manzil": 1,
              "page": 59,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াশতারূনা বি‘আহদিল্লা-হি ওয়াআইমা-নিহিম ছামানান কালীলান উলাইকা লা-খালা-কা লাহুম ফিল আ-খিরাতি ওয়ালা-ইউকালিলমুহুমুল্লা-হু ওয়ালা-ইয়ানজু রু ইলাইহিম ইয়াওমাল কিয়া-মাতি ওয়ালা-ইউঝাক্কীহিম ওয়ালাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَشْتَرُوْنَ/يَشۡتَرُونَ/yashtaruna//بِعَهْدِ/بِعَهۡدِ/bi'ahdi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَیْمَانِهِمْ/وَأَيۡمَٰنِهِمۡ/wa-aymanihim//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا/قَلِيلًا/qalilan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَا/لَا/la//خَلَاقَ/خَلَٰقَ/khalaqa//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//وَ لَا/وَلَا/wala//یُكَلِّمُهُمُ/يُكَلِّمُهُمُ/yukallimuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لَا/وَلَا/wala//یَنْظُرُ/يَنظُرُ/yanzuru//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ لَا/وَلَا/wala//یُزَكِّیْهِمْ ۪/يُزَكِّيهِمۡ/yuzakkihim//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "নিশ্চয়//যারা//বিক্রয় করে//প্রতিশ্রুতিকে//আল্লাহর (সাথে কৃত)//ও তাদের শপথসমূহকে//মূল্যে//সামান্য//ঐসব লোক//নাই//কোন অংশ//তাদের জন্যে//(মধ্যে)//আখেরাতে//এবং না//তাদের সাথে কথা বলবেন//আল্লাহ//এবং না//(দয়ার দৃষ্টিতে) তাকাবেন//তাদের প্রতি//দিনে//কিয়ামতের//এবং না//তাদের পরিশুদ্ধ করবেন//এবং তাদের জন্যে রয়েছে//শাস্তি//অতি কষ্টদায়ক"
            },
            {
              "number": 371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/371.mp3"
              ],
              "text": "وَإِنَّ مِنْهُمْ لَفَرِيقًۭا يَلْوُۥنَ أَلْسِنَتَهُم بِٱلْكِتَٰبِ لِتَحْسَبُوهُ مِنَ ٱلْكِتَٰبِ وَمَا هُوَ مِنَ ٱلْكِتَٰبِ وَيَقُولُونَ هُوَ مِنْ عِندِ ٱللَّهِ وَمَا هُوَ مِنْ عِندِ ٱللَّهِ وَيَقُولُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "আর তাদের মধ্যে একদল রয়েছে, যারা বিকৃত উচ্চারণে মুখ বাঁকিয়ে কিতাব পাঠ করে, যাতে তোমরা মনে কর যে, তার কিতাব থেকেই পাঠ করছে। অথচ তারা যা আবৃত্তি করছে তা আদৌ কিতাব নয়। এবং তারা বলে যে, এসব কথা আল্লাহর তরফ থেকে আগত। অথচ এসব আল্লাহর তরফ থেকে প্রেরিত নয়। তারা বলে যে, এটি আল্লাহর কথা অথচ এসব আল্লাহর কথা নয়। আর তারা জেনে শুনে আল্লাহরই প্রতি মিথ্যারোপ করে।",
              "numberInSurah": 78,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না মিনহুম লাফারীকাইঁ ইয়ালঊনা আলছিনাতাহুম বিলকিতা-বি লিতাহছাবূহু মিনাল কিতা-বি ওয়ামা-হুওয়া মিনাল কিতা-বি ওয়া ইয়াকূলূনা হুওয়া মিন ‘ইনদিল্লা-হি ওয়ামা হুওয়া মিন ‘ইনদিল্লা-হি ওয়া ইয়াকূলূনা ‘আলাল্লা-হিল কাযিবা ওয়াহুম ইয়া‘লামূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//مِنْهُمْ/مِنۡهُمۡ/min'hum//لَفَرِیْقًا/لَفَرِيقٗا/lafariqan//یَّلْوٗنَ/يَلۡوُۥنَ/yalwuna//اَلْسِنَتَهُمْ/أَلۡسِنَتَهُم/alsinatahum//بِالْكِتٰبِ/بِٱلۡكِتَٰبِ/bil-kitabi//لِتَحْسَبُوْهُ/لِتَحۡسَبُوهُ/litahsabuhu//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//مِنَ/مِنَ/mina//الْكِتٰبِ ۚ/ٱلۡكِتَٰبِ/al-kitabi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//هُوَ/هُوَ/huwa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং নিশ্চয়//তাদের মধ্যে//অবশ্যই একদল (আছে)//তারা মুড়াতে থাকে//তাদের জিহবাগুলোকে//কিতাব (পাঠে)//তাকে তোমরা যেন মনে কর//অংশ (হিসেবে)//কিতাবের//অথচ না//তা//অংশ//কিতাবের//এবং তারা বলে//''তা (এসেছে)//থেকে''//কাছ''//আল্লাহর''//অথচ না//তা (এসেছে)//থেকে//নিকট//আল্লাহর//এবং তারা বলে//বিরুদ্ধে//আল্লাহর//মিথ্যা//অথচ তারা//(ভালভাবে) জানে"
            },
            {
              "number": 372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/372.mp3"
              ],
              "text": "مَا كَانَ لِبَشَرٍ أَن يُؤْتِيَهُ ٱللَّهُ ٱلْكِتَٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ ثُمَّ يَقُولَ لِلنَّاسِ كُونُوا۟ عِبَادًۭا لِّى مِن دُونِ ٱللَّهِ وَلَٰكِن كُونُوا۟ رَبَّٰنِيِّۦنَ بِمَا كُنتُمْ تُعَلِّمُونَ ٱلْكِتَٰبَ وَبِمَا كُنتُمْ تَدْرُسُونَ",
              "translate_bn": "কোন মানুষকে আল্লাহ কিতাব, হেকমত ও নবুওয়ত দান করার পর সে বলবে যে, ‘তোমরা আল্লাহকে পরিহার করে আমার বান্দা হয়ে যাও’-এটা সম্ভব নয়। বরং তারা বলবে, ‘তোমরা আল্লাহওয়ালা হয়ে যাও, যেমন, তোমরা কিতাব শিখাতে এবং যেমন তোমরা নিজেরা ও পড়তে।",
              "numberInSurah": 79,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিবাশারিন আই ইউ’তিইয়াহুল্লা-হুল কিতা-বা ওয়াল হুকমা ওয়ান্নুবুওওয়াতা ছু ম্মা ইয়াকূলা লিন্না-ছি কূনূ‘ইবা-দাললী মিন দুনিল্লা-হি ওয়ালা-কিন কূনূ রাব্বানিইয়ীনা বিমা-কুনতুম তু‘আলিল মূনাল কিতা-বা ওয়া বিমা কুনতুম তাদরুছূন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِبَشَرٍ/لِبَشَرٍ/libasharin//اَنْ/أَن/an//یُّؤْتِیَهُ/يُؤۡتِيَهُ/yu'tiyahu//اللّٰهُ/ٱللَّهُ/al-lahu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحُكْمَ/وَٱلۡحُكۡمَ/wal-huk'ma//وَ النُّبُوَّةَ/وَٱلنُّبُوَّةَ/wal-nubuwata//ثُمَّ/ثُمَّ/thumma//یَقُوْلَ/يَقُولَ/yaqula//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//كُوْنُوْا/كُونُواْ/kunu//عِبَادًا/عِبَادٗا/ibadan//لِّیْ/لِّي/li//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لٰكِنْ/وَلَٰكِن/walakin//كُوْنُوْا/كُونُواْ/kunu//رَبّٰنِیّٖنَ/رَبَّـٰنِيِّـۧنَ/rabbaniyyina//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تُعَلِّمُوْنَ/تُعَلِّمُونَ/tu'allimuna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ بِمَا/وَبِمَا/wabima//كُنْتُمْ/كُنتُمۡ/kuntum//تَدْرُسُوْنَۙ/تَدۡرُسُونَ/tadrusuna",
              "words_bangla": "নয়//শোভনীয়//কোন মানুষের জন্যে//যে//তাকে দেবেন//আল্লাহ//কিতাব//ও জ্ঞান//ও নবূয়্যত//এরপর//সে বলবে//মানুষকে//''তোমরা হয়ে যাও//দাস//আমার//(থেকে)//ব্যতীত//আল্লাহ//কিন্তু (সে বলবে)//''তোমরা হও//আল্লাহওয়ালা//যেহেতু//তোমরা//শিখিয়ে থাক//কিতাব//ও যেহেতু//(আপনি)//তোমরা অধ্যয়ন করে থাক''"
            },
            {
              "number": 373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/373.mp3"
              ],
              "text": "وَلَا يَأْمُرَكُمْ أَن تَتَّخِذُوا۟ ٱلْمَلَٰٓئِكَةَ وَٱلنَّبِيِّۦنَ أَرْبَابًا ۗ أَيَأْمُرُكُم بِٱلْكُفْرِ بَعْدَ إِذْ أَنتُم مُّسْلِمُونَ",
              "translate_bn": "তাছাড়া তোমাদেরকে একথা বলাও সম্ভব নয় যে, তোমরা ফেরেশতা ও নবীগনকে নিজেদের পালনকর্তা সাব্যস্ত করে নাও। তোমাদের মুসলমান হবার পর তারা কি তোমাদেরকে কুফরী শেখাবে?",
              "numberInSurah": 80,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 49,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়া’মুরাকুম আন তাত্তাখিযুল মালাইকাতা ওয়ান্নাবিইয়ীনা আরবা-বান আইয়া‘মুরুকুম বিলকুফরি বা‘দা ইযআনতুম মুছলিমূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَاْمُرَكُمْ/يَأۡمُرَكُمۡ/yamurakum//اَنْ/أَن/an//تَتَّخِذُوا/تَتَّخِذُواْ/tattakhidhu//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//وَ النَّبِیّٖنَ/وَٱلنَّبِيِّـۧنَ/wal-nabiyina//اَرْبَابًا ؕ/أَرۡبَابًاۚ/arbaban//اَیَاْمُرُكُمْ/أَيَأۡمُرُكُم/ayamurukum//بِالْكُفْرِ/بِٱلۡكُفۡرِ/bil-kuf'ri//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//اَنْتُمْ/أَنتُم/antum//مُّسْلِمُوْنَ۠/مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং না//তোমাদেরকে নির্দেশ দিবে সে//যে//তোমরা গ্রহণ করবে//ফেরেশতাদেরকে//ও নবীদেরকে//প্রভু হিসেবে//তোমাদের নির্দেশ দেবে কি//কুফরীর//এরপরেও//যখন//তোমরা//মুসলমান (তা কি সম্ভব?)"
            },
            {
              "number": 374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/374.mp3"
              ],
              "text": "وَإِذْ أَخَذَ ٱللَّهُ مِيثَٰقَ ٱلنَّبِيِّۦنَ لَمَآ ءَاتَيْتُكُم مِّن كِتَٰبٍۢ وَحِكْمَةٍۢ ثُمَّ جَآءَكُمْ رَسُولٌۭ مُّصَدِّقٌۭ لِّمَا مَعَكُمْ لَتُؤْمِنُنَّ بِهِۦ وَلَتَنصُرُنَّهُۥ ۚ قَالَ ءَأَقْرَرْتُمْ وَأَخَذْتُمْ عَلَىٰ ذَٰلِكُمْ إِصْرِى ۖ قَالُوٓا۟ أَقْرَرْنَا ۚ قَالَ فَٱشْهَدُوا۟ وَأَنَا۠ مَعَكُم مِّنَ ٱلشَّٰهِدِينَ",
              "translate_bn": "আর আল্লাহ যখন নবীগনের কাছ থেকে অস্বীকার গ্রহন করলেন যে, আমি যা কিছু তোমাদের দান করেছি কিতাব ও জ্ঞান এবং অতঃপর তোমাদের নিকট কোন রসূল আসেন তোমাদের কিতাবকে সত্য বলে দেয়ার জন্য, তখন সে রসূলের প্রতি ঈমান আনবে এবং তার সাহায্য করবে। তিনি বললেন, ‘তোমার কি অঙ্গীকার করছো এবং এই শর্তে আমার ওয়াদা গ্রহণ করে নিয়েছ? তারা বললো, ‘আমরা অঙ্গীকার করেছি’। তিনি বললেন, তাহলে এবার সাক্ষী থাক। আর আমিও তোমাদের সাথে সাক্ষী রইলাম।",
              "numberInSurah": 81,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআখাযাল্লা-হু মীছা-কান্নাবিইয়ীনা লামা আ-তাইতুকুম মিন কিতা-বিওঁ ওয়া হিকমাতিন ছু ম্মা জাআকুম রাছূলুম মুসাদ্দিকুল লিমা-মা‘আকুম লাতু’মিনুন্না বিহী ওয়ালাতানসুরুন্নাহু কা-লা আ আকরারতুম ওয়া আখাযতুম ‘আলা-যা-লিকুম ইসরী কালূ আকরারনা-কা-লা ফাশহাদূ ওয়া আনা মা‘আকুম মিনাশশা-হিদীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذَ/أَخَذَ/akhadha//اللّٰهُ/ٱللَّهُ/al-lahu//مِیْثَاقَ/مِيثَٰقَ/mithaqa//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//لَمَاۤ/لَمَآ/lama//اٰتَیْتُكُمْ/ءَاتَيۡتُكُم/ataytukum//مِّنْ/مِّن/min//كِتٰبٍ/كِتَٰبٖ/kitabin//وَّ حِكْمَةٍ/وَحِكۡمَةٖ/wahik'matin//ثُمَّ/ثُمَّ/thumma//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رَسُوْلٌ/رَسُولٞ/rasulun//مُّصَدِّقٌ/مُّصَدِّقٞ/musaddiqun//لِّمَا/لِّمَا/lima//مَعَكُمْ/مَعَكُمۡ/ma'akum//لَتُؤْمِنُنَّ/لَتُؤۡمِنُنَّ/latu'minunna//بِهٖ/بِهِۦ/bihi//وَ لَتَنْصُرُنَّهٗ ؕ/وَلَتَنصُرُنَّهُۥۚ/walatansurunnahu//قَالَ/قَالَ/qala//ءَاَقْرَرْتُمْ/ءَأَقۡرَرۡتُمۡ/a-aqrartum//وَ اَخَذْتُمْ/وَأَخَذۡتُمۡ/wa-akhadhtum//عَلٰی/عَلَىٰ/ala//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//اِصْرِیْ ؕ/إِصۡرِيۖ/is'ri//قَالُوْۤا/قَالُوٓاْ/qalu//اَقْرَرْنَا ؕ/أَقۡرَرۡنَاۚ/aqrarna//قَالَ/قَالَ/qala//فَاشْهَدُوْا/فَٱشۡهَدُواْ/fa-ish'hadu//وَ اَنَا/وَأَنَا۠/wa-ana//مَعَكُمْ/مَعَكُم/ma'akum//مِّنَ/مِّنَ/mina//الشّٰهِدِیْنَ /ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "এবং (স্মরণ কর) যখন//গ্রহণ করেন//আল্লাহ//অঙ্গীকার//নবীদের (থেকে এই বলে যে)//''অবশ্যই যা//তোমাদের আমি দিয়েছি//(থেকে)//কিতাব//ও হেকমত//এরপর (যখন)//তোমাদের কাছে আসবে//কোন রসূল//সত্যায়নকারী//তার যা//তোমাদের সাথে আছে//তোমরা অবশ্যই বিশ্বাস করবে//তার উপর//ও তাকে তোমরা অবশ্যই সাহায্য করবে''//তিনি বললেন//''তোমরা অঙ্গীকার করলে কি//ও তোমরা গ্রহণ করলে (কি)//উপর//এসবের//দায়িত্বভার//তারা বলল//''আমরা অঙ্গীকার করলাম''//তিনি বললেন//''তোমরা সাক্ষী থাকো//এবং আমিও//তোমাদের সাথে//অন্তর্ভুক্ত (রইলাম)//সাক্ষীদাতাদের''"
            },
            {
              "number": 375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/375.mp3"
              ],
              "text": "فَمَن تَوَلَّىٰ بَعْدَ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "অতঃপর যে লোক এই ওয়াদা থেকে ফিরে দাঁড়াবে, সেই হবে নাফরমান।",
              "numberInSurah": 82,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ফামান তাওয়াল্লা-বা‘দা যা-লিকা ফাউলাইকা হুমুল ফা-ছিকূ ন।",
              "words_arabic": "فَمَنْ/فَمَن/faman//تَوَلّٰی/تَوَلَّىٰ/tawalla//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "অতঃপর যে//ফিরে যাবে//পরও//এর//তাহলে ঐসব লোকই//তারাই//নাফরমান"
            },
            {
              "number": 376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/376.mp3"
              ],
              "text": "أَفَغَيْرَ دِينِ ٱللَّهِ يَبْغُونَ وَلَهُۥٓ أَسْلَمَ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ طَوْعًۭا وَكَرْهًۭا وَإِلَيْهِ يُرْجَعُونَ",
              "translate_bn": "তারা কি আল্লাহর দ্বীনের পরিবর্তে অন্য দ্বীন তালাশ করছে? আসমান ও যমীনে যা কিছু রয়েছে স্বেচ্ছায় হোক বা অনিচ্ছায় হোক, তাঁরই অনুগত হবে এবং তাঁর দিকেই ফিরে যাবে।",
              "numberInSurah": 83,
              "juz": 3,
              "manzil": 1,
              "page": 60,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "আফাগাইরা দীনিল্লা-হি ইয়াবগুনা ওয়ালাহূআছলামা মান ফিছ ছামা-ওয়া-তি ওয়াল আরদি তাও‘আওঁ ওয়াকারহাওঁ ওয়া ইলাইহি ইউরজা‘ঊন।",
              "words_arabic": "اَفَغَیْرَ/أَفَغَيۡرَ/afaghayra//دِیْنِ/دِينِ/dini//اللّٰهِ/ٱللَّهِ/al-lahi//یَبْغُوْنَ/يَبۡغُونَ/yabghuna//وَ لَهٗۤ/وَلَهُۥٓ/walahu//اَسْلَمَ/أَسۡلَمَ/aslama//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//طَوْعًا/طَوۡعٗا/taw'an//وَّ كَرْهًا/وَكَرۡهٗا/wakarhan//وَّ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//یُرْجَعُوْنَ /يُرۡجَعُونَ/yur'ja'una",
              "words_bangla": "তাহলে কি ব্যতীত//দ্বীন//আল্লাহর//তারা চায় (অন্যদ্বীন)//তার কাছে//আত্মসমর্পণ করেছে//যা কিছু//মধ্যে আছে//আসমান সমূহের//ও যমীনে//ইচ্ছায়//বা অনিচ্ছায়//আর তারই দিকে//তাদের প্রত্যাবর্তন করা হবে"
            },
            {
              "number": 377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/377.mp3"
              ],
              "text": "قُلْ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ عَلَيْنَا وَمَآ أُنزِلَ عَلَىٰٓ إِبْرَٰهِيمَ وَإِسْمَٰعِيلَ وَإِسْحَٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَمَآ أُوتِىَ مُوسَىٰ وَعِيسَىٰ وَٱلنَّبِيُّونَ مِن رَّبِّهِمْ لَا نُفَرِّقُ بَيْنَ أَحَدٍۢ مِّنْهُمْ وَنَحْنُ لَهُۥ مُسْلِمُونَ",
              "translate_bn": "বলুন, আমরা ঈমান এনেছি আল্লাহর উপর এবং যা কিছু অবতীর্ণ হয়েছে আমাদের উপর, ইব্রাহীম, ইসমাঈল, ইসহাক, ইয়াকুব এবং তাঁদের সন্তানবর্গের উপর আর যা কিছু পেয়েছেন মূসা ও ঈসা এবং অন্যান্য নবী রসূলগণ তাঁদের পালনকর্তার পক্ষ থেকে। আমরা তাঁদের কারো মধ্যে পার্থক্য করি না। আর আমরা তাঁরই অনুগত।",
              "numberInSurah": 84,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "কুলআ-মান্না-বিল্লা-হি ওয়ামাউনঝিলা ‘আলাইনা-ওয়ামা-উনঝিলা ‘আলাইবরা-হীমা ওয়া ইছমা-‘ঈলা ওয়া ইছহা-কা ওয়া ইয়া‘কূবা ওয়াল আছবা-তিওয়ামাঊতিইয়া মূছা-ওয়া ‘ঈছা-ওয়ান্নাবিইয়ূনা মির রাব্বিহিম লা-নুফাররিকুবাইনা আহাদিম মিনহুম ওয়া নাহনূ লাহূমূছলিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْنَا/عَلَيۡنَا/alayna//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//عَلٰۤی/عَلَىٰٓ/ala//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//وَ الْاَسْبَاطِ/وَٱلۡأَسۡبَاطِ/wal-asbati//وَ مَاۤ/وَمَآ/wama//اُوْتِیَ/أُوتِيَ/utiya//مُوْسٰی/مُوسَىٰ/musa//وَ عِیْسٰی/وَعِيسَىٰ/wa'isa//وَ النَّبِیُّوْنَ/وَٱلنَّبِيُّونَ/wal-nabiyuna//مِنْ/مِن/min//رَّبِّهِمْ ۪/رَّبِّهِمۡ/rabbihim//لَا/لَا/la//نُفَرِّقُ/نُفَرِّقُ/nufarriqu//بَیْنَ/بَيۡنَ/bayna//اَحَدٍ/أَحَدٖ/ahadin//مِّنْهُمْ ؗ/مِّنۡهُمۡ/min'hum//وَ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "তুমি বল//''আমরা ঈমান এনেছি//আল্লাহর উপর//ও যা কিছু//নাযিল করা হয়েছে//আমাদের উপর//ও যা কিছু//নাযিল করা হয়েছে//উপর//ইবরাহীমের//ও ইসমাঈলের//ও ইসহাকের//ও ইয়াকুবের//এবং (তাদের) বংশধরদের (উপর)//এবং যা কিছু//দেওয়া হয়েছে//মূসাকে//ও ঈসাকে//ও নবীদেরকে//পক্ষ হতে//তাদের রবের//না//আমরা পার্থক্য করি//মাঝে//কারো//তাদের মধ্যকার//আর আমরা//তারই কাছে//আত্মসমর্পণকারী (অর্থাৎ মুসলমান)"
            },
            {
              "number": 378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/378.mp3"
              ],
              "text": "وَمَن يَبْتَغِ غَيْرَ ٱلْإِسْلَٰمِ دِينًۭا فَلَن يُقْبَلَ مِنْهُ وَهُوَ فِى ٱلْءَاخِرَةِ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "যে লোক ইসলাম ছাড়া অন্য কোন ধর্ম তালাশ করে, কস্মিণকালেও তা গ্রহণ করা হবে না এবং আখেরাতে সে ক্ষতি গ্রস্ত।",
              "numberInSurah": 85,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাই ইয়াবতাগি গাইরাল ইছলা-মি দীনান ফালাই ইউকবালা মিনহু ওয়া হুওয়া ফিল আ-খিরাতি মিনাল খা-ছিরীন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّبْتَغِ/يَبۡتَغِ/yabtaghi//غَیْرَ/غَيۡرَ/ghayra//الْاِسْلَامِ/ٱلۡإِسۡلَٰمِ/al-is'lami//دِیْنًا/دِينٗا/dinan//فَلَنْ/فَلَن/falan//یُّقْبَلَ/يُقۡبَلَ/yuq'bala//مِنْهُ ۚ/مِنۡهُ/min'hu//وَ هُوَ/وَهُوَ/wahuwa//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "এবং যে কেউ//গ্রহণ করতে চায়//ব্যতীত//ইসলাম//(অন্যকোন) দ্বীন//তা কক্ষণ না//কবুল করা হবে//তার থেকে//এবং সে (হবে)//(মধ্যে)//আখেরাতে//অন্তর্ভুক্ত//ক্ষতিগ্রস্থদের"
            },
            {
              "number": 379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/379.mp3"
              ],
              "text": "كَيْفَ يَهْدِى ٱللَّهُ قَوْمًۭا كَفَرُوا۟ بَعْدَ إِيمَٰنِهِمْ وَشَهِدُوٓا۟ أَنَّ ٱلرَّسُولَ حَقٌّۭ وَجَآءَهُمُ ٱلْبَيِّنَٰتُ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "কেমন করে আল্লাহ এমন জাতিকে হেদায়েত দান করবেন, যারা ঈমান আনার পর এবং রসূলকে সত্য বলে সাক্ষ্য দেয়ার পর এবং তাদের নিকট প্রমাণ এসে যাওয়ার পর কাফের হয়েছে। আর আল্লাহ জালেম সম্প্রদায়কে হেদায়েত দান করেন না।",
              "numberInSurah": 86,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "কাইফা ইয়াহদিল্লা-হু কাওমান কাফারূ বা‘দা ঈমা-নিহিম ওয়াশাহিদূ আন্নাররাছূলা হাক্কুওঁ ওয়াজাআহুমুল বাইয়িনা-তু ওয়াল্লা-হু লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "كَیْفَ/كَيۡفَ/kayfa//یَهْدِی/يَهۡدِي/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//قَوْمًا/قَوۡمٗا/qawman//كَفَرُوْا/كَفَرُواْ/kafaru//بَعْدَ/بَعۡدَ/ba'da//اِیْمَانِهِمْ/إِيمَٰنِهِمۡ/imanihim//وَ شَهِدُوْۤا/وَشَهِدُوٓاْ/washahidu//اَنَّ/أَنَّ/anna//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//حَقٌّ/حَقّٞ/haqqun//وَّ جَآءَهُمُ/وَجَآءَهُمُ/wajaahumu//الْبَیِّنٰتُ ؕ/ٱلۡبَيِّنَٰتُۚ/al-bayinatu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "কিরূপে//হেদায়াত দিবেন//আল্লাহ//কোন সম্প্রদায়কে//(যারা) কুফরী করল//পরেও//আদের ঈমানের//অথচ তারা সাক্ষী দিল//যে//(এই) রসূল//সত্য//ও তাদের কাছে এসেছে//স্পষ্ট নিদর্শনাবলী//আর আল্লাহ//না//হেদায়াত দেন//সম্প্রদায়কে//(যারা) জালেম"
            },
            {
              "number": 380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/380.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ جَزَآؤُهُمْ أَنَّ عَلَيْهِمْ لَعْنَةَ ٱللَّهِ وَٱلْمَلَٰٓئِكَةِ وَٱلنَّاسِ أَجْمَعِينَ",
              "translate_bn": "এমন লোকের শাস্তি হলো আল্লাহ, ফেরেশতাগণ এবং মানুষ সকলেরই অভিসম্পাত।",
              "numberInSurah": 87,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "উলাইকা জাঝাউহুম আন্না ‘আলাইহিম লা‘নাতাল্লা-হি ওয়াল মালাইকাতি ওয়ান্না-ছি আজমা‘ঈন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//جَزَآؤُهُمْ/جَزَآؤُهُمۡ/jazauhum//اَنَّ/أَنَّ/anna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لَعْنَةَ/لَعۡنَةَ/la'nata//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْمَلٰٓىِٕكَةِ/وَٱلۡمَلَـٰٓئِكَةِ/wal-malaikati//وَ النَّاسِ/وَٱلنَّاسِ/wal-nasi//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "ঐসব লোক//তাদের প্রতিফল//এই যে//তাদের উপর//অভিশাপ (বর্ষিত হয়)//আল্লাহর//ও ফেরেশতাদের//ও মানুষদের//সকলকেই"
            },
            {
              "number": 381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/381.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا لَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنظَرُونَ",
              "translate_bn": "সর্বক্ষণই তারা তাতে থাকবে। তাদের আযাব হালকাও হবে না এবং তার এত অবকাশও পাবে না।",
              "numberInSurah": 88,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-লা-ইউখাফফাফু‘আনহুমুল ‘আযা-বু ওয়ালা-হুম ইউনজারূন।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ۚ/فِيهَا/fiha//لَا/لَا/la//یُخَفَّفُ/يُخَفَّفُ/yukhaffafu//عَنْهُمُ/عَنۡهُمُ/anhumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْظَرُوْنَۙ/يُنظَرُونَ/yunzaruna",
              "words_bangla": "তারা চিরস্থায়ী হবে//তার মধ্যে//না//হালকা করা হবে//তাদের থেকে//শাস্তি//আর না//তাদের//অবকাশ দেয়া হবে"
            },
            {
              "number": 382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/382.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "কিন্তু যারা অতঃপর তওবা করে নেবে এবং সৎকাজ করবে তারা ব্যতীত, নিশ্চয় আল্লাহ ক্ষমাশীল ও পরম দয়ালূ।",
              "numberInSurah": 89,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা তা-বূ মিম বা‘দি যা-লিকা ওয়া আসলাহুফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَابُوْا/تَابُواْ/tabu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ اَصْلَحُوْا ۫/وَأَصۡلَحُواْ/wa-aslahu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ/رَّحِيمٌ/rahimun",
              "words_bangla": "তবে//(ঐসব লোক) যারা//তওবা করেছে//(থেকে)//পরে//এর//ও তারা সংশোধন করেছে (নিজেদেরকে)//তখন নিশ্চয়//আল্লাহ//বড় ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/383.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ بَعْدَ إِيمَٰنِهِمْ ثُمَّ ٱزْدَادُوا۟ كُفْرًۭا لَّن تُقْبَلَ تَوْبَتُهُمْ وَأُو۟لَٰٓئِكَ هُمُ ٱلضَّآلُّونَ",
              "translate_bn": "যারা ঈমান আনার পর অস্বীকার করেছে এবং অস্বীকৃতিতে বৃদ্ধি ঘটেছে, কস্মিণকালেও তাদের তওবা কবুল করা হবে না। আর তারা হলো গোমরাহ।",
              "numberInSurah": 90,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ বা‘দা ঈমা-নিহিম ছু ম মাঝ দা-দূ কুফরাল্লান তুকবালা তাওবাতুহুম ওয়া উলাইকা হুমুদ্দাললূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بَعْدَ/بَعۡدَ/ba'da//اِیْمَانِهِمْ/إِيمَٰنِهِمۡ/imanihim//ثُمَّ/ثُمَّ/thumma//ازْدَادُوْا/ٱزۡدَادُواْ/iz'dadu//كُفْرًا/كُفۡرٗا/kuf'ran//لَّنْ/لَّن/lan//تُقْبَلَ/تُقۡبَلَ/tuq'bala//تَوْبَتُهُمْ ۚ/تَوۡبَتُهُمۡ/tawbatuhum//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الضَّآلُّوْنَ /ٱلضَّآلُّونَ/al-daluna",
              "words_bangla": "নিশ্চয়//যারা//অস্বীকার করেছে//পরে//তাদের ঈমানের//এরপর//তারা বৃদ্ধি করেছে//কুফরী//কক্ষণ না//কবুল করা হবে//তাদের তওবা//এবং ঐসব লোক//তারাই//পথভ্রষ্ট"
            },
            {
              "number": 384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/384.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَمَاتُوا۟ وَهُمْ كُفَّارٌۭ فَلَن يُقْبَلَ مِنْ أَحَدِهِم مِّلْءُ ٱلْأَرْضِ ذَهَبًۭا وَلَوِ ٱفْتَدَىٰ بِهِۦٓ ۗ أُو۟لَٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌۭ وَمَا لَهُم مِّن نَّٰصِرِينَ",
              "translate_bn": "যদি সারা পৃথিবী পরিমাণ স্বর্ণও তার পরিবর্তে দেয়া হয়, তবুও যারা কাফের হয়েছে এবং কাফের অবস্থায় মৃত্যুবরণ করেছে তাদের তওবা কবুল করা হবে না। তাদের জন্য রয়েছে যন্ত্রণাদায়ক আযাব! পক্ষান্তরে তাদের কোনই সাহায্যকারী নেই।",
              "numberInSurah": 91,
              "juz": 3,
              "manzil": 1,
              "page": 61,
              "ruku": 50,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "ইন্নাললযীনা কাফারু ওয়ামা-তূওয়া হুম কুফফা-রুন ফালাইঁ ইউকবালা মিন আহাদিহিম মিলউল আরদিযাহাবাওঁ ওয়ালাবিফতাদা-বিহী উলাইকা লাহুম ‘আযা-বুন আলীমুওঁ ওয়ামা-লাহুম মিন না-সিরীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ مَاتُوْا/وَمَاتُواْ/wamatu//وَ هُمْ/وَهُمۡ/wahum//كُفَّارٌ/كُفَّارٞ/kuffarun//فَلَنْ/فَلَن/falan//یُّقْبَلَ/يُقۡبَلَ/yuq'bala//مِنْ/مِنۡ/min//اَحَدِهِمْ/أَحَدِهِم/ahadihim//مِّلْءُ/مِّلۡءُ/mil'u//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//ذَهَبًا/ذَهَبٗا/dhahaban//وَّ لَوِ/وَلَوِ/walawi//افْتَدٰی/ٱفۡتَدَىٰ/if'tada//بِهٖ ؕ/بِهِۦٓۗ/bihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ/أَلِيمٞ/alimun//وَّ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//نّٰصِرِیْنَ۠/نَّـٰصِرِينَ/nasirina",
              "words_bangla": "নিশ্চয়//যারা//কুফরী করেছে//এবং মরে গেছে//এ অবস্থায় তারা (ছিল)//কাফির//সেক্ষেত্রে কক্ষনো না//কবুল করা হবে//হতে (কোন বিনিময়)//কারও তাদের//(যদি হয়) পূর্ণ//পৃথিবী//সোনা (দিয়ে)//এবং যদি//বিনিময় দেয়ও//তা//ঐসব লোক//তাদের জন্য (রয়েছে)//শাস্তি//অতি কষ্টদায়ক//এবং নাই//তাদের জন্য//কেউ//সাহায্যকারীদের"
            },
            {
              "number": 385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/385.mp3"
              ],
              "text": "لَن تَنَالُوا۟ ٱلْبِرَّ حَتَّىٰ تُنفِقُوا۟ مِمَّا تُحِبُّونَ ۚ وَمَا تُنفِقُوا۟ مِن شَىْءٍۢ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌۭ",
              "translate_bn": "কস্মিণকালেও কল্যাণ লাভ করতে পারবে না, যদি তোমাদের প্রিয় বস্তু থেকে তোমরা ব্যয় না কর। আর তোমরা যদি কিছু ব্যয় করবে আল্লাহ তা জানেন।",
              "numberInSurah": 92,
              "juz": 3,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 24,
              "sajda": false,
              "pronunciation_bn": "লান তানা-লুল বিররা হাত্তা-তুনফিকূমিম্মা-তুহিববূনা ওয়ামা-তুনফিকূমিন শাইইন ফাইন্নাল্লা-হা বিহী ‘আলীম।",
              "words_arabic": "لَنْ/لَن/lan//تَنَالُوا/تَنَالُواْ/tanalu//الْبِرَّ/ٱلۡبِرَّ/al-bira//حَتّٰی/حَتَّىٰ/hatta//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِمَّا/مِمَّا/mimma//تُحِبُّوْنَ ؕ۬/تُحِبُّونَۚ/tuhibbuna//وَ مَا/وَمَا/wama//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//بِهٖ/بِهِۦ/bihi//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "কক্ষনো না//তোমরা পাবে//কল্যাণ//যতক্ষণ না//তোমরা খরচ করবে//তা থেকে যা//তোমার ভালোবাস//এবং যা//তোমরা খরচ কর//(থেকে)//কোন কিছু//নিশ্চয়//আল্লাহ//সে সম্পর্কে আল্লাহ//খুব অবগত"
            },
            {
              "number": 386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/386.mp3"
              ],
              "text": "۞ كُلُّ ٱلطَّعَامِ كَانَ حِلًّۭا لِّبَنِىٓ إِسْرَٰٓءِيلَ إِلَّا مَا حَرَّمَ إِسْرَٰٓءِيلُ عَلَىٰ نَفْسِهِۦ مِن قَبْلِ أَن تُنَزَّلَ ٱلتَّوْرَىٰةُ ۗ قُلْ فَأْتُوا۟ بِٱلتَّوْرَىٰةِ فَٱتْلُوهَآ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তওরাত নাযিল হওয়ার পূর্বে ইয়াকুব যেগুলো নিজেদের জন্য হারাম করে নিয়েছিলেন, সেগুলো ব্যতীত সমস্ত আহার্য বস্তুই বনী-ইসরায়ীলদের জন্য হালাল ছিল। তুমি বলে দাও, তোমরা যদি সত্যবাদী হয়ে থাক। তাহলে তওরাত নিয়ে এসো এবং তা পাঠ কর।",
              "numberInSurah": 93,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "কুলুত্তা‘আ-মি কা-না হিল্লাল লিবানীইছরাঈলা ইল্লা-মা-হাররামা ইসরাঈলু‘আলানাফছিহী মিন কাবলি আন তুনাঝঝালাত তাওরা-তু কুল ফা’তূ বিত্তাওরা-তি ফাতলূহাইন কুনতুম সা-দিকীন।",
              "words_arabic": "كُلُّ/۞كُلُّ/kullu//الطَّعَامِ/ٱلطَّعَامِ/al-ta'ami//كَانَ/كَانَ/kana//حِلًّا/حِلّٗا/hillan//لِّبَنِیْۤ/لِّبَنِيٓ/libani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اِلَّا/إِلَّا/illa//مَا/مَا/ma//حَرَّمَ/حَرَّمَ/harrama//اِسْرَآءِیْلُ/إِسۡرَـٰٓءِيلُ/is'railu//عَلٰی/عَلَىٰ/ala//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تُنَزَّلَ/تُنَزَّلَ/tunazzala//التَّوْرٰىةُ ؕ/ٱلتَّوۡرَىٰةُۚ/al-tawratu//قُلْ/قُلۡ/qul//فَاْتُوْا/فَأۡتُواْ/fatu//بِالتَّوْرٰىةِ/بِٱلتَّوۡرَىٰةِ/bil-tawrati//فَاتْلُوْهَاۤ/فَٱتۡلُوهَآ/fa-it'luha//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "সব//খাদ্য//ছিল//হালাল//জন্য বনী//ইসরাঈলের//এছাড়া//যা//হারাম করেছিল//ইসরাঈল (হযরত ইয়াকুব আঃ)//উপর//তার নিজের//(থেকে)//পূর্বে//(যে)//নাযিল হওয়ার//তাওরাত//তুমি বল//''তবে তোমরা আন//তাওরাত//তোমরা অতঃপর পাঠ কর তা//যদি//তোমরা হও//সত্যবাদী''"
            },
            {
              "number": 387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/387.mp3"
              ],
              "text": "فَمَنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ ٱلْكَذِبَ مِنۢ بَعْدِ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "অতঃপর আল্লাহর প্রতি যারা মিথ্যা আরোপ করেছে, তারাই যালেম সীমালংঘনকারী।",
              "numberInSurah": 94,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ফামানিফ তারা-‘আলাল্লা-হিল কাযিবা মিম বা‘দি যা-লিকা ফাউলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "فَمَنِ/فَمَنِ/famani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ ؔ/ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "যে অতঃপর//আরোপ করে//উপর//আল্লাহর//মিথ্যা//(থেকে)//পরেও//এর//ফলে ঐ সব লোক//তারাই//জালিম"
            },
            {
              "number": 388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/388.mp3"
              ],
              "text": "قُلْ صَدَقَ ٱللَّهُ ۗ فَٱتَّبِعُوا۟ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًۭا وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "বল, ‘আল্লাহ সত্য বলেছেন। এখন সবাই ইব্রাহীমের ধর্মের অনুগত হয়ে যাও, যিনি ছিলেন একনিষ্ঠ ভাবে সত্যধর্মের অনুসারী। তিনি মুশরিকদের অন্তর্ভুক্ত ছিলেন না।",
              "numberInSurah": 95,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "কুল সাদাকাল্লা-হু ফাত্তাবি‘ঊ মিল্লাতা ইবরা-হীমা হানীফাওঁ ওয়ামা-কা-না মিনাল মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//صَدَقَ/صَدَقَ/sadaqa//اللّٰهُ ۫/ٱللَّهُۗ/al-lahu//فَاتَّبِعُوْا/فَٱتَّبِعُواْ/fa-ittabi'u//مِلَّةَ/مِلَّةَ/millata//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//حَنِیْفًا ؕ/حَنِيفٗاۖ/hanifan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "তুমি বল//সত্য বলেছেন//আল্লাহ//তোমরা অতঃপর অনুসরণ কর//পন্থা//ইব্রাহীমের//একমুখী হয়ে//এবং না//সে ছিল//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/389.mp3"
              ],
              "text": "إِنَّ أَوَّلَ بَيْتٍۢ وُضِعَ لِلنَّاسِ لَلَّذِى بِبَكَّةَ مُبَارَكًۭا وَهُدًۭى لِّلْعَٰلَمِينَ",
              "translate_bn": "নিঃসন্দেহে সর্বপ্রথম ঘর যা মানুষের জন্যে নির্ধারিত হয়েছে, সেটাই হচ্ছে এ ঘর, যা মক্কায় অবস্থিত এবং সারা জাহানের মানুষের জন্য হেদায়েত ও বরকতময়।",
              "numberInSurah": 96,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ইন্না আওওয়ালা বাইতিওঁ উদি‘আ লিন্না-ছি লাল্লাযী ব্বিাক্কাতা মুবা-রাকাওঁ ওয়াহুদাল লিল‘আ-লামীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اَوَّلَ/أَوَّلَ/awwala//بَیْتٍ/بَيۡتٖ/baytin//وُّضِعَ/وُضِعَ/wudi'a//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//لَلَّذِیْ/لَلَّذِي/lalladhi//بِبَكَّةَ/بِبَكَّةَ/bibakkata//مُبٰرَكًا/مُبَارَكٗا/mubarakan//وَّ هُدًی/وَهُدٗى/wahudan//لِّلْعٰلَمِیْنَۚ/لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "নিশ্চয়//প্রথম//ঘর//তৈরি করা হয়েছিল//লোকদের জন্য//যা অবশ্যই//মক্কায় (অবস্থিত)//বরকতময়//ও হিদায়াতের (কেন্দ্র)//বিশ্ববাসীদের জন্য"
            },
            {
              "number": 390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/390.mp3"
              ],
              "text": "فِيهِ ءَايَٰتٌۢ بَيِّنَٰتٌۭ مَّقَامُ إِبْرَٰهِيمَ ۖ وَمَن دَخَلَهُۥ كَانَ ءَامِنًۭا ۗ وَلِلَّهِ عَلَى ٱلنَّاسِ حِجُّ ٱلْبَيْتِ مَنِ ٱسْتَطَاعَ إِلَيْهِ سَبِيلًۭا ۚ وَمَن كَفَرَ فَإِنَّ ٱللَّهَ غَنِىٌّ عَنِ ٱلْعَٰلَمِينَ",
              "translate_bn": "এতে রয়েছে মকামে ইব্রাহীমের মত প্রকৃষ্ট নিদর্শন। আর যে, লোক এর ভেতরে প্রবেশ করেছে, সে নিরাপত্তা লাভ করেছে। আর এ ঘরের হজ্ব করা হলো মানুষের উপর আল্লাহর প্রাপ্য; যে লোকের সামর্থ?2480;য়েছে এ পর্যন্ত পৌছার। আর যে লোক তা মানে না। আল্লাহ সারা বিশ্বের কোন কিছুরই পরোয়া করেন না।",
              "numberInSurah": 97,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ফীহি আ-য়া-তুম বাইয়িনা-তুম মাকা-মুইবরা-হীমা ওয়া মান দাখালাহু কা-না আমিনাওঁ ওয়ালিল্লা-হি ‘আলান্না-ছি হিজ্জুল বাইতি মানিছতাতা-‘আ ইলাইহি ছাবীলাওঁ ওয়া মান কাফারা ফাইন্নাল্লা-হা গানিইয়ুন ‘আনিল ‘আ-লামীন।",
              "words_arabic": "فِیْهِ/فِيهِ/fihi//اٰیٰتٌۢ/ءَايَٰتُۢ/ayatun//بَیِّنٰتٌ/بَيِّنَٰتٞ/bayyinatun//مَّقَامُ/مَّقَامُ/maqamu//اِبْرٰهِیْمَ ۚ۬/إِبۡرَٰهِيمَۖ/ib'rahima//وَ مَنْ/وَمَن/waman//دَخَلَهٗ/دَخَلَهُۥ/dakhalahu//كَانَ/كَانَ/kana//اٰمِنًا ؕ/ءَامِنٗاۗ/aminan//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//حِجُّ/حِجُّ/hijju//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//مَنِ/مَنِ/mani//اسْتَطَاعَ/ٱسۡتَطَاعَ/is'tata'a//اِلَیْهِ/إِلَيۡهِ/ilayhi//سَبِیْلًا ؕ/سَبِيلٗاۚ/sabilan//وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَنِیٌّ/غَنِيٌّ/ghaniyyun//عَنِ/عَنِ/ani//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তার মধ্যে (আছে)//নিদর্শনাবলী//সুস্পষ্ট//মাকামে//ইব্রাহীম//এবং যে//তাতে প্রবেশ করল//সে হল//নিরাপদ//এবং আল্লাহরই জন্য//উপর//লোকদের//হজ্জ করা (ফরজ)//ঐ ঘরের//(তারাক্ষেত্রে) সে//সমর্থ রাখে//তার কাছে (পৌঁছুবার)//উপকরণের//এবং যে//অস্বীকার করল//তবে নিশ্চয়//আল্লাহ//মুখাপেক্ষীহীন//থেকে//দুনিয়াবাসীদের"
            },
            {
              "number": 391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/391.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ لِمَ تَكْفُرُونَ بِـَٔايَٰتِ ٱللَّهِ وَٱللَّهُ شَهِيدٌ عَلَىٰ مَا تَعْمَلُونَ",
              "translate_bn": "বলুন, হে আহলে কিতাবগণ, কেন তোমরা আল্লাহর কিতাব অমান্য করছো, অথচ তোমরা যা কিছু কর, তা আল্লাহর সামনেই রয়েছে।",
              "numberInSurah": 98,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআহলাল কিতা-বি লিমা তাকফুরূনা বিআ-য়া-তিল্লা-হি ওয়াল্লা-হু শাহীদুন ‘আলা-মা-তা‘মালূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لِمَ/لِمَ/lima//تَكْفُرُوْنَ/تَكۡفُرُونَ/takfuruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ ۖۗ/ٱللَّهِ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//شَهِیْدٌ/شَهِيدٌ/shahidun//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তুমি বল//''হে আহলি//''কিতাব//কেন//তোমরা অস্বীকার করছ//নিদর্শনাবলীকে//আল্লাহ্‌র//আর আল্লাহ//সাক্ষী//উপর//(তার) যা//তোমরা কাজ করছ''"
            },
            {
              "number": 392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/392.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ لِمَ تَصُدُّونَ عَن سَبِيلِ ٱللَّهِ مَنْ ءَامَنَ تَبْغُونَهَا عِوَجًۭا وَأَنتُمْ شُهَدَآءُ ۗ وَمَا ٱللَّهُ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "বলুন, হে আহলে কিতাবগণ! কেন তোমরা আল্লাহর পথে ঈমানদারদিগকে বাধা দান কর-তোমরা তাদের দ্বীনের মধ্যে বক্রতা অনুপ্রবেশ করানোর পন্থা অনুসন্ধান কর, অথচ তোমরা এ পথের সত্যতা প্রত্যক্ষ করছ। বস্তুতঃ আল্লাহ তোমাদের কার্যকলাপ সম্পর্কে অনবগত নন।",
              "numberInSurah": 99,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআহলাল কিতা-বি লিমা তাসুদ্দূনা ‘আন ছাবীলিল্লা-হি মান আ-মানা তাবগূনাহা ‘ইওয়াজাওঁ ওয়া আনতুম শুহাদাউ ওয়ামাল্লা-হু বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لِمَ/لِمَ/lima//تَصُدُّوْنَ/تَصُدُّونَ/tasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//تَبْغُوْنَهَا/تَبۡغُونَهَا/tabghunaha//عِوَجًا/عِوَجٗا/iwajan//وَّ اَنْتُمْ/وَأَنتُمۡ/wa-antum//شُهَدَآءُ ؕ/شُهَدَآءُۗ/shuhadau//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তুমি বল//''হে আহলি//কিতাব//কেন//তোমরা বাধা দাও//হতে//পথ//আল্লাহর//(তাকে) যে//ঈমান এনেছে//তাতে অনুসন্ধান করে//বক্রতা//অথচ তোমরা//প্রত্যক্ষ করছ//এবং নন//আল্লাহ//গাফিল//তা হতে যা//তোমরা কাজ করছ"
            },
            {
              "number": 393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/393.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تُطِيعُوا۟ فَرِيقًۭا مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ يَرُدُّوكُم بَعْدَ إِيمَٰنِكُمْ كَٰفِرِينَ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা যদি আহলে কিতাবদের কোন ফেরকার কথা মান, তাহলে ঈমান আনার পর তারা তোমাদিগকে কাফেরে পরিণত করে দেবে।",
              "numberInSurah": 100,
              "juz": 4,
              "manzil": 1,
              "page": 62,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন তুতী‘ঊ ফারীকাম মিনাল্লাযীনা ঊতুলকিতা-বা ইয়ারুদ্দূকুম বা‘দা ঈমা-নিকুম কা-ফিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنْ/إِن/in//تُطِیْعُوْا/تُطِيعُواْ/tuti'u//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَرُدُّوْكُمْ/يَرُدُّوكُم/yaruddukum//بَعْدَ/بَعۡدَ/ba'da//اِیْمَانِكُمْ/إِيمَٰنِكُمۡ/imanikum//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//যদি//তোমরা আনুগত্য কর//(কোন এক) দলের ও//মধ্য হতে//(তাদের) যাদের//দেয়া হয়েছে//কিতাব//তোমাদেরকে ফিরাবে//পরে//তোমাদের ঈমানের//কাফির হিসেবে"
            },
            {
              "number": 394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/394.mp3"
              ],
              "text": "وَكَيْفَ تَكْفُرُونَ وَأَنتُمْ تُتْلَىٰ عَلَيْكُمْ ءَايَٰتُ ٱللَّهِ وَفِيكُمْ رَسُولُهُۥ ۗ وَمَن يَعْتَصِم بِٱللَّهِ فَقَدْ هُدِىَ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আর তোমরা কেমন করে কাফের হতে পার, অথচ তোমাদের সামনে পাঠ করা হয় আল্লাহর আয়াত সমূহ এবং তোমাদের মধ্যে রয়েছেন আল্লাহর রসূল। আর যারা আল্লাহর কথা দৃঢ়ভাবে ধরবে, তারা হেদায়েত প্রাপ্ত হবে সরল পথের।",
              "numberInSurah": 101,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 51,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইফা তাকফুরূনা ওয়া আনতুম তুতলা-‘আলাইকুম আ-য়া-তুল্লা-হি ওয়া ফীকুম রাসূলুহু ওয়া মাইঁ ইয়া‘তাসিম বিল্লা-হি ফাকাদ হুদিয়া ইলা-সিরা-তিম্মুছতাকীম।",
              "words_arabic": "وَ كَیْفَ/وَكَيۡفَ/wakayfa//تَكْفُرُوْنَ/تَكۡفُرُونَ/takfuruna//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتُ/ءَايَٰتُ/ayatu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ فِیْكُمْ/وَفِيكُمۡ/wafikum//رَسُوْلُهٗ ؕ/رَسُولُهُۥۗ/rasuluhu//وَ مَنْ/وَمَن/waman//یَّعْتَصِمْ/يَعۡتَصِم/ya'tasim//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَقَدْ/فَقَدۡ/faqad//هُدِیَ/هُدِيَ/hudiya//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ۠/مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "এবং কিরূপে//তোমরা অস্বীকার করলে//অথচ তোমরা (এমন যে)//পাঠ করা হয়//তোমাদের নিকট//আয়াত সমূহকে//আল্লাহ্‌র//এবং তোমাদের মধ্যে (আছেন)//তাঁর রাসূল//এবং যে কেউ//দৃঢ়ভাবে ধারণ করবে//আল্লাহর (রজ্জুকে)//তাহলে নিশ্চয়//সে পরিচালিত হবে//দিকে//পথের//সরল সঠিক"
            },
            {
              "number": 395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/395.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ حَقَّ تُقَاتِهِۦ وَلَا تَمُوتُنَّ إِلَّا وَأَنتُم مُّسْلِمُونَ",
              "translate_bn": "হে ঈমানদারগণ! আল্লাহকে যেমন ভয় করা উচিৎ ঠিক তেমনিভাবে ভয় করতে থাক। এবং অবশ্যই মুসলমান না হয়ে মৃত্যুবরণ করো না।",
              "numberInSurah": 102,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা হাক্কাতুকা-তিহী ওয়ালা-তামূতুন্না ইল্লা-ওয়া আনতুম মুছলিমূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//حَقَّ/حَقَّ/haqqa//تُقٰتِهٖ/تُقَاتِهِۦ/tuqatihi//وَ لَا/وَلَا/wala//تَمُوْتُنَّ/تَمُوتُنَّ/tamutunna//اِلَّا/إِلَّا/illa//وَ اَنْتُمْ/وَأَنتُم/wa-antum//مُّسْلِمُوْنَ /مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছে//তোমরা ভয় কর//আল্লাহকে//যথোপযুক্ত//তাঁর ভয়//এবং না//তোমরা মৃত্যু বরণ করো//এছাড়া//যখন তোমরা//মুসলমান"
            },
            {
              "number": 396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/396.mp3"
              ],
              "text": "وَٱعْتَصِمُوا۟ بِحَبْلِ ٱللَّهِ جَمِيعًۭا وَلَا تَفَرَّقُوا۟ ۚ وَٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ إِذْ كُنتُمْ أَعْدَآءًۭ فَأَلَّفَ بَيْنَ قُلُوبِكُمْ فَأَصْبَحْتُم بِنِعْمَتِهِۦٓ إِخْوَٰنًۭا وَكُنتُمْ عَلَىٰ شَفَا حُفْرَةٍۢ مِّنَ ٱلنَّارِ فَأَنقَذَكُم مِّنْهَا ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَٰتِهِۦ لَعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "আর তোমরা সকলে আল্লাহর রজ্জুকে সুদৃঢ় হস্তে ধারণ কর; পরস্পর বিচ্ছিন্ন হয়ো না। আর তোমরা সে নেয়ামতের কথা স্মরণ কর, যা আল্লাহ তোমাদিগকে দান করেছেন। তোমরা পরস্পর শত্রু ছিলে। অতঃপর আল্লাহ তোমাদের মনে সম্প্রীতি দান করেছেন। ফলে, এখন তোমরা তাঁর অনুগ্রহের কারণে পরস্পর ভাই ভাই হয়েছ। তোমরা এক অগ্নিকুন্ডের পাড়ে অবস্থান করছিলে। অতঃপর তা থেকে তিনি তোমাদেরকে মুক্তি দিয়েছেন। এভাবেই আল্লাহ নিজের নিদর্শনসমুহ প্রকাশ করেন, যাতে তোমরা হেদায়েত প্রাপ্ত হতে পার।",
              "numberInSurah": 103,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘তাসিমূ বিহাবলিল্লা-হি জামী‘আওঁ ওয়ালা-তাফাররাকূওয়াযকুরূ নি‘মা-তাল্লাহি ‘আলাইকুম ইযকুনতুম আ‘দাআন ফাআল্লাফা বাইনা কুলূবিকুম ফাআসবাহতুম বিনি‘মাতিহীইখওয়া-নাওঁ ওয়া কুনতুম ‘আলা-শাফা হুফরাতিম মিনান্না-রি ফাআনকাযাকুম মিন হা-কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুম আ-য়া-তিহী লা‘আল্লাকুম তাহতাদূন।",
              "words_arabic": "وَ اعْتَصِمُوْا/وَٱعۡتَصِمُواْ/wa-i'tasimu//بِحَبْلِ/بِحَبۡلِ/bihabli//اللّٰهِ/ٱللَّهِ/al-lahi//جَمِیْعًا/جَمِيعٗا/jami'an//وَّ لَا/وَلَا/wala//تَفَرَّقُوْا ۪/تَفَرَّقُواْۚ/tafarraqu//وَ اذْكُرُوْا/وَٱذۡكُرُواْ/wa-udh'kuru//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذْ/إِذۡ/idh//كُنْتُمْ/كُنتُمۡ/kuntum//اَعْدَآءً/أَعۡدَآءٗ/a'daan//فَاَلَّفَ/فَأَلَّفَ/fa-allafa//بَیْنَ/بَيۡنَ/bayna//قُلُوْبِكُمْ/قُلُوبِكُمۡ/qulubikum//فَاَصْبَحْتُمْ/فَأَصۡبَحۡتُم/fa-asbahtum//بِنِعْمَتِهٖۤ/بِنِعۡمَتِهِۦٓ/bini'matihi//اِخْوَانًا ۚ/إِخۡوَٰنٗا/ikh'wanan//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//عَلٰی/عَلَىٰ/ala//شَفَا/شَفَا/shafa//حُفْرَةٍ/حُفۡرَةٖ/huf'ratin//مِّنَ/مِّنَ/mina//النَّارِ/ٱلنَّارِ/al-nari//فَاَنْقَذَكُمْ/فَأَنقَذَكُم/fa-anqadhakum//مِّنْهَا ؕ/مِّنۡهَاۗ/min'ha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَهْتَدُوْنَ /تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "এবং তোমরা শক্ত ভাবে ধর//রজ্জুকে//আল্লাহর//সবাই একত্রে//আর না//তোমরা বিচ্ছিন্ন হয়ো//এবং তোমরা স্মরণ কর//নিয়ামাতের//আল্লাহর//তোমাদের উপর//যখন//তোমরা ছিলে//(পরস্পর) শত্রু//তখন মিলিয়ে দিলেন//মাঝে//তোমাদের অন্তরের//তোমরা তাই হয়ে গেলে//তাঁর অনুগ্রহে//ভাই ভাই//এবং তোমরা ছিলে//উপর//কিনারার//গর্তের//(থেকে)//আগুনের//তোমাদের অতঃপর উদ্ধার করলেন//তা হতে//এভাবে//বর্ণনা করেন//আল্লাহ//তোমাদের জন্য//তাঁর আয়াত সমূহকে//তোমরা যাতে//সঠিক পথ পাও"
            },
            {
              "number": 397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/397.mp3"
              ],
              "text": "وَلْتَكُن مِّنكُمْ أُمَّةٌۭ يَدْعُونَ إِلَى ٱلْخَيْرِ وَيَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ ۚ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "আর তোমাদের মধ্যে এমন একটা দল থাকা উচিত যারা আহবান জানাবে সৎকর্মের প্রতি, নির্দেশ দেবে ভাল কাজের এবং বারণ করবে অন্যায় কাজ থেকে, আর তারাই হলো সফলকাম।",
              "numberInSurah": 104,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়ালতাকুম মিনকুম উম্মাতুইঁ ইয়াদ‘ঊনা ইলাল খাইরি ওয়াইয়া’মুরূনা বিলমা‘রূফি ওয়া ইয়ানহাওনা ‘আনিল মুনকারি ওয়া উলাইকা হুমুল মুফলিহুন।",
              "words_arabic": "وَ لْتَكُنْ/وَلۡتَكُن/waltakun//مِّنْكُمْ/مِّنكُمۡ/minkum//اُمَّةٌ/أُمَّةٞ/ummatun//یَّدْعُوْنَ/يَدۡعُونَ/yad'una//اِلَی/إِلَى/ila//الْخَیْرِ/ٱلۡخَيۡرِ/al-khayri//وَ یَاْمُرُوْنَ/وَيَأۡمُرُونَ/wayamuruna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ یَنْهَوْنَ/وَيَنۡهَوۡنَ/wayanhawna//عَنِ/عَنِ/ani//الْمُنْكَرِ ؕ/ٱلۡمُنكَرِۚ/al-munkari//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "এবং অবশ্যই থাকবে//তোমাদের মধ্যে//(এমন) একদল//(যারা) ডাকবে//দিকে//কল্যাণের//ও তারা নির্দেশ দিবে//ভাল (কাজের)//এবং তারা নিষেধ করবে//হতে//মন্দ (কাজ)//এবং ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/398.mp3"
              ],
              "text": "وَلَا تَكُونُوا۟ كَٱلَّذِينَ تَفَرَّقُوا۟ وَٱخْتَلَفُوا۟ مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْبَيِّنَٰتُ ۚ وَأُو۟لَٰٓئِكَ لَهُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "আর তাদের মত হয়ো না, যারা বিচ্ছিন্ন হয়ে গেছে এবং নিদর্শন সমূহ আসার পরও বিরোধিতা করতে শুরু করেছে-তাদের জন্যে রয়েছে ভয়ঙ্কর আযাব।",
              "numberInSurah": 105,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনূ কাল্লাযীনা তাফাররাকূওয়াখতালাফূ মিম বা‘দি মা-জাআহুমুল বাইয়িনা-তু ওয়া উলাইকা লাহুম ‘আযা-বুন ‘আজীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//تَفَرَّقُوْا/تَفَرَّقُواْ/tafarraqu//وَ اخْتَلَفُوْا/وَٱخۡتَلَفُواْ/wa-ikh'talafu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْبَیِّنٰتُ ؕ/ٱلۡبَيِّنَٰتُۚ/al-bayinatu//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌۙ/عَظِيمٞ/azimun",
              "words_bangla": "এবং না//তোমরা হয়ো//(তাদের) মত যারা//বিচ্ছিন্ন হয়েছিল//এবং মতভেদ করেছিল//(থেকে)//এর পরেও//যা//এসেছিল তাদের (কাছে)//স্পষ্ট নিদর্শনসমূহ//এবং ঐসব লোক//তাদের জন্য (রয়েছে)//আযাব//কঠিন"
            },
            {
              "number": 399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/399.mp3"
              ],
              "text": "يَوْمَ تَبْيَضُّ وُجُوهٌۭ وَتَسْوَدُّ وُجُوهٌۭ ۚ فَأَمَّا ٱلَّذِينَ ٱسْوَدَّتْ وُجُوهُهُمْ أَكَفَرْتُم بَعْدَ إِيمَٰنِكُمْ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ",
              "translate_bn": "সেদিন কোন কোন মুখ উজ্জ্বল হবে, আর কোন কোন মুখ হবে কালো। বস্তুতঃ যাদের মুখ কালো হবে, তাদের বলা হবে, তোমরা কি ঈমান আনার পর কাফের হয়ে গিয়েছিলে? এবার সে কুফরীর বিনিময়ে আযাবের আস্বাদ গ্রহণ কর।",
              "numberInSurah": 106,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তাবইয়াদ্দুউজূহুওঁ ওয়া তাছওয়াদ্দু উজূহুন ফাআম্মাল্লাযী নাছওয়াদ্দাত উজূহুহুম আকাফারতুম বা‘দা ঈমা-নিকুম ফাযূকুল ‘আযা-বা বিমা-কুনতুম তাকফুরূন।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//تَبْیَضُّ/تَبۡيَضُّ/tabyaddu//وُجُوْهٌ/وُجُوهٞ/wujuhun//وَّ تَسْوَدُّ/وَتَسۡوَدُّ/wataswaddu//وُجُوْهٌ ۚ/وُجُوهٞۚ/wujuhun//فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْوَدَّتْ/ٱسۡوَدَّتۡ/is'waddat//وُجُوْهُهُمْ ۫/وُجُوهُهُمۡ/wujuhuhum//اَكَفَرْتُمْ/أَكَفَرۡتُم/akafartum//بَعْدَ/بَعۡدَ/ba'da//اِیْمَانِكُمْ/إِيمَٰنِكُمۡ/imanikum//فَذُوْقُوا/فَذُوقُواْ/fadhuqu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْفُرُوْنَ /تَكۡفُرُونَ/takfuruna",
              "words_bangla": "সে দিন//উজ্জ্বল হবে//(অনেক) চেহারা//ও মলিন হবে//(অনেক) চেহারা//অতঃপর//যাদের//মলিন হবে//তাদের চেহারা//''(তাদের বলা হবে) তোমরা কুফরী করেছ কি//পরেও//তোমাদের ঈমানের//তোমরা তাই স্বাদ গ্রহণ কর//আযাবের//একারণে যা//করতেছিলে//তোমরা কুফরী''"
            },
            {
              "number": 400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/400.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ ٱبْيَضَّتْ وُجُوهُهُمْ فَفِى رَحْمَةِ ٱللَّهِ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "আর যাদের মুখ উজ্জ্বল হবে, তারা থাকবে রহমতের মাঝে। তাতে তারা অনন্তকাল অবস্থান করবে।",
              "numberInSurah": 107,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল্লাযীনাব ইয়াদ্দাত উজূহুহুম, ফাফী রাহমাতিল্লা-হি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ابْیَضَّتْ/ٱبۡيَضَّتۡ/ib'yaddat//وُجُوْهُهُمْ/وُجُوهُهُمۡ/wujuhuhum//فَفِیْ/فَفِي/fafi//رَحْمَةِ/رَحۡمَةِ/rahmati//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "আর//যাদের//উজ্জ্বল হবে//তাদের চেহারা//অতঃপর মধ্যে//রহমতে//আল্লাহর (আশ্রয় পাবে)//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/401.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۗ وَمَا ٱللَّهُ يُرِيدُ ظُلْمًۭا لِّلْعَٰلَمِينَ",
              "translate_bn": "এগুলো হচ্ছে আল্লাহর নির্দেশ, যা তোমাদিগকে যথাযথ পাঠ করে শুনানো হচ্ছে। আর আল্লাহ বিশ্ব জাহানের প্রতি উৎপীড়ন করতে চান না।",
              "numberInSurah": 108,
              "juz": 4,
              "manzil": 1,
              "page": 63,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-য়া-তুল্লা-হি নাতলূহা-‘আলাইকা বিলহাক্কি ওয়ামাল্লা-হু ইউরীদু জুলমাল লিল‘আ-লামীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//اللّٰهِ/ٱللَّهِ/al-lahi//نَتْلُوْهَا/نَتۡلُوهَا/natluha//عَلَیْكَ/عَلَيۡكَ/alayka//بِالْحَقِّ ؕ/بِٱلۡحَقِّۗ/bil-haqi//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//یُرِیْدُ/يُرِيدُ/yuridu//ظُلْمًا/ظُلۡمٗا/zul'man//لِّلْعٰلَمِیْنَ /لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এগুলো//আয়াত//আল্লাহর//তা পড়ছি আমরা//তোমার নিকট//যথাযথভাবে//এবং না//আল্লাহ//চান//যুলুম করতে//দুনিয়াবাসীর উপর"
            },
            {
              "number": 402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/402.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "আর যা কিছু আসমান ও যমীনে রয়েছে সে সবই আল্লাহর এবং আল্লাহর প্রতিই সব কিছু প্রত্যাবর্তনশীল।",
              "numberInSurah": 109,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 52,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদিওয়া ইলাল্লা-হি তুরজ‘উল উমূর।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ۠/ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "এবং আল্লাহর জন্যে//যা কিছু//মধ্যে আছে//আসমানসমূহের//ও যা কিছু//মধ্যে আছে//যমীনের//এবং দিকে//আল্লাহরই//ফিরানো হয়//সকল বিষয়"
            },
            {
              "number": 403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/403.mp3"
              ],
              "text": "كُنتُمْ خَيْرَ أُمَّةٍ أُخْرِجَتْ لِلنَّاسِ تَأْمُرُونَ بِٱلْمَعْرُوفِ وَتَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَتُؤْمِنُونَ بِٱللَّهِ ۗ وَلَوْ ءَامَنَ أَهْلُ ٱلْكِتَٰبِ لَكَانَ خَيْرًۭا لَّهُم ۚ مِّنْهُمُ ٱلْمُؤْمِنُونَ وَأَكْثَرُهُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "তোমরাই হলে সর্বোত্তম উম্মত, মানবজাতির কল্যানের জন্যেই তোমাদের উদ্ভব ঘটানো হয়েছে। তোমরা সৎকাজের নির্দেশ দান করবে ও অন্যায় কাজে বাধা দেবে এবং আল্লাহর প্রতি ঈমান আনবে। আর আহলে-কিতাবরা যদি ঈমান আনতো, তাহলে তা তাদের জন্য মঙ্গলকর হতো। তাদের মধ্যে কিছু তো রয়েছে ঈমানদার আর অধিকাংশই হলো পাপাচারী।",
              "numberInSurah": 110,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "কুনতুম খাইরা উম্মাতিন উখরিজাত লিন্না-ছি তা’মুরূনা বিলমা‘রূফি ওয়াতানহাওনা ‘আনিল মুনকারি ওয়া তু’মিনূনা বিল্লা-হি ওয়া লাও আ-মানা আহলুল কিতা-বি লাকা-না খাইরাল্লাহুম মিনহুমুল মু’মিনূনা ওয়া আকছারুহুমুল ফা-ছিকূন।",
              "words_arabic": "كُنْتُمْ/كُنتُمۡ/kuntum//خَیْرَ/خَيۡرَ/khayra//اُمَّةٍ/أُمَّةٍ/ummatin//اُخْرِجَتْ/أُخۡرِجَتۡ/ukh'rijat//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//تَاْمُرُوْنَ/تَأۡمُرُونَ/tamuruna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ تَنْهَوْنَ/وَتَنۡهَوۡنَ/watanhawna//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ تُؤْمِنُوْنَ/وَتُؤۡمِنُونَ/watu'minuna//بِاللّٰهِ ؕ/بِٱللَّهِۗ/bil-lahi//وَ لَوْ/وَلَوۡ/walaw//اٰمَنَ/ءَامَنَ/amana//اَهْلُ/أَهۡلُ/ahlu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَكَانَ/لَكَانَ/lakana//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ ؕ/لَّهُمۚ/lahum//مِنْهُمُ/مِّنۡهُمُ/min'humu//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//وَ اَكْثَرُهُمُ/وَأَكۡثَرُهُمُ/wa-aktharuhumu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "তোমরা হলে//উত্তম//জাতি//(তোমাদেরকে) বের করা হয়েছে//মানুষের (কল্যাণের) জন্যে//তোমরা নির্দেশ দাও//সৎকাজের//ও তোমরা নিষেধ কর//হতে//অসৎকাজ//এবং তোমরা ঈমান রাখ//আল্লাহর উপর//এবং যদি//ঈমান আনত//আহলি//কিতাবরা//অবশ্যই হত//উত্তম//তাদের জন্যে//তাদের মধ্যে কিছু//ঈমানদার (আছে)//কিন্তু অধিকাংশই তাদের//নাফরমান"
            },
            {
              "number": 404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/404.mp3"
              ],
              "text": "لَن يَضُرُّوكُمْ إِلَّآ أَذًۭى ۖ وَإِن يُقَٰتِلُوكُمْ يُوَلُّوكُمُ ٱلْأَدْبَارَ ثُمَّ لَا يُنصَرُونَ",
              "translate_bn": "যৎসামান্য কষ্ট দেয়া ছাড়া তারা তোমাদের কোনই ক্ষতি করতে পারবে না। আর যদি তারা তোমাদের সাথে লড়াই করে, তাহলে তারা পশ্চাদপসরণ করবে। অতঃপর তাদের সাহায্য করা হবে না।",
              "numberInSurah": 111,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "লাইঁ ইয়াদুররূকুম ইল্লাআযাওঁ ওয়া ইয়ঁ ইউকা-তিলূকুম ইউওয়াললূকুমুল আদবা-রা ছুম্মা লা-ইউনসারূন।\r\n",
              "words_arabic": "لَنْ/لَن/lan//یَّضُرُّوْكُمْ/يَضُرُّوكُمۡ/yadurrukum//اِلَّاۤ/إِلَّآ/illa//اَذًی ؕ/أَذٗىۖ/adhan//وَ اِنْ/وَإِن/wa-in//یُّقَاتِلُوْكُمْ/يُقَٰتِلُوكُمۡ/yuqatilukum//یُوَلُّوْكُمُ/يُوَلُّوكُمُ/yuwallukumu//الْاَدْبَارَ ۫/ٱلۡأَدۡبَارَ/al-adbara//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "কক্ষণ না//তোমাদেরকে ক্ষতি করতে পারবে//এছাড়া//কষ্ট দেওয়া//আর যদি//তোমাদের সাথে লড়ে তারা//তোমাদের দিকে ফিরাবে//পিঠসমূহ//এরপর//না//তাদের সাহায্যও করা হবে"
            },
            {
              "number": 405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/405.mp3"
              ],
              "text": "ضُرِبَتْ عَلَيْهِمُ ٱلذِّلَّةُ أَيْنَ مَا ثُقِفُوٓا۟ إِلَّا بِحَبْلٍۢ مِّنَ ٱللَّهِ وَحَبْلٍۢ مِّنَ ٱلنَّاسِ وَبَآءُو بِغَضَبٍۢ مِّنَ ٱللَّهِ وَضُرِبَتْ عَلَيْهِمُ ٱلْمَسْكَنَةُ ۚ ذَٰلِكَ بِأَنَّهُمْ كَانُوا۟ يَكْفُرُونَ بِـَٔايَٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّۢ ۚ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ",
              "translate_bn": "আল্লাহর প্রতিশ্রুতি কিংবা মানুষের প্রতিশ্রুতি ব্যতিত ওরা যেখানেই অবস্থান করেছে সেখানেই তাদের ওপর লাঞ্ছনা চাপিয়ে দেয়া হয়েছে। আর ওরা উপার্জন করেছে আল্লাহর গযব। ওদের উপর চাপানো হয়েছে গলগ্রহতা। তা এজন্যে যে, ওরা আল্লাহর আয়াতসমূহকে অনবরত অস্বীকার করেছে এবং নবীগনকে অন্যায়ভাবে হত্যা করেছে। তার কারণ, ওরা নাফরমানী করেছে এবং সীমা লংঘন করেছে।",
              "numberInSurah": 112,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 25,
              "sajda": false,
              "pronunciation_bn": "দুরিবাত ‘আলাইহিমুযযিল্লাতু আইনা মা-ছু কিফূইল্লা-বিহাবলিম মিনাল্লা-হি ওয়াহাবলিম মিনান্না-ছি ওয়া বাঊ বিগাদাবিম মিনাল্লা-হি ওয়া দুরিবাত ‘আলাইহিমুল মাছকানাতু যা-লিকা বিআন্নাহুম কানূ ইয়াকফুরূনা বিআ-য়া-তিল্লাহি ওয়াকতুলূনাল আমবিয়াআ বিগাইরিল হাক্কি যালিকা বিমা যা-লিকা বিমা-‘আসাওওয়া কা-নূ ইয়া‘তাদূ ন।",
              "words_arabic": "ضُرِبَتْ/ضُرِبَتۡ/duribat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الذِّلَّةُ/ٱلذِّلَّةُ/al-dhilatu//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//ثُقِفُوْۤا/ثُقِفُوٓاْ/thuqifu//اِلَّا/إِلَّا/illa//بِحَبْلٍ/بِحَبۡلٖ/bihablin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ حَبْلٍ/وَحَبۡلٖ/wahablin//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ بَآءُوْ/وَبَآءُو/wabau//بِغَضَبٍ/بِغَضَبٖ/bighadabin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ ضُرِبَتْ/وَضُرِبَتۡ/waduribat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْمَسْكَنَةُ ؕ/ٱلۡمَسۡكَنَةُۚ/al-maskanatu//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَانُوْا/كَانُواْ/kanu//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَقْتُلُوْنَ/وَيَقۡتُلُونَ/wayaqtuluna//الْاَنْۢبِیَآءَ/ٱلۡأَنۢبِيَآءَ/al-anbiyaa//بِغَیْرِ/بِغَيۡرِ/bighayri//حَقٍّ ؕ/حَقّٖۚ/haqqin//ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//عَصَوْا/عَصَواْ/asaw//وَّ كَانُوْا/وَّكَانُواْ/wakanu//یَعْتَدُوْنَۗ/يَعۡتَدُونَ/ya'taduna",
              "words_bangla": "মার পড়েছে//তাদের উপর//লাঞ্ছনা ও অপমানের//যেখানেই//(কি)//তাদের পাওয়া গিয়েছে//তবে এছাড়া//আশ্রয়ে//পক্ষ হতে//আল্লাহর//অথবা আশ্রয়ে//পক্ষ হতে//মানুষের//ও তারা ঘেরা পড়েছে//গযব দ্বারা//পক্ষ হতে//আল্লাহর//ও মার পড়েছে//তাদের উপর//দারিদ্রের//এটা//এই জন্যে যে//তারা//অস্বীকার করেছিল//আয়াতগুলোকে//আল্লাহর//ও তারা কতল করেছে//নবীদেরকে//অন্যায়ভাবে//(অধিকার)//এটা//এ জন্যে যে//তারা অবাধ্যতা করেছিল//এবং করত//তারা সীমালংঘন"
            },
            {
              "number": 406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/406.mp3"
              ],
              "text": "۞ لَيْسُوا۟ سَوَآءًۭ ۗ مِّنْ أَهْلِ ٱلْكِتَٰبِ أُمَّةٌۭ قَآئِمَةٌۭ يَتْلُونَ ءَايَٰتِ ٱللَّهِ ءَانَآءَ ٱلَّيْلِ وَهُمْ يَسْجُدُونَ",
              "translate_bn": "তারা সবাই সমান নয়। আহলে কিতাবদের মধ্যে কিছু লোক এমনও আছে যারা অবিচলভাবে আল্লাহর আয়াতসমূহ পাঠ করে এবং রাতের গভীরে তারা সেজদা করে।",
              "numberInSurah": 113,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "লাইছূ ছাওয়াআম; মিন আহলিল কিতা-বি উম্মাতুন কাইমাতুইঁ ইয়াতলূনা আ-য়া-তিল্লা হি আ-নাআল্লাইলি ওয়াহুম ইয়াছজুদূন।",
              "words_arabic": "لَیْسُوْا/۞لَيۡسُواْ/laysu//سَوَآءً ؕ/سَوَآءٗۗ/sawaan//مِنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اُمَّةٌ/أُمَّةٞ/ummatun//قَآىِٕمَةٌ/قَآئِمَةٞ/qaimatun//یَّتْلُوْنَ/يَتۡلُونَ/yatluna//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//اٰنَآءَ/ءَانَآءَ/anaa//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ هُمْ/وَهُمۡ/wahum//یَسْجُدُوْنَ /يَسۡجُدُونَ/yasjuduna",
              "words_bangla": "তারা নয়//(সব) সমান//মধ্য হতে//আহলে//কিতাবদের//(তাদের) একদল//(সত্যের উপর) দাঁড়িয়ে আছে//তারা পাঠ করে//আয়াত সমূহকে//আল্লাহর//সময়//রাতের//ও তারা//সিজদা অবনত হয়"
            },
            {
              "number": 407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/407.mp3"
              ],
              "text": "يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَيَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَيُسَٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَأُو۟لَٰٓئِكَ مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "তারা আল্লাহর প্রতি ও কিয়ামত দিবসের প্রতি ঈমান রাখে এবং কল্যাণকর বিষয়ের নির্দেশ দেয়; অকল্যাণ থেকে বারণ করে এবং সৎকাজের জন্য সাধ্যমত চেষ্টা করতে থাকে। আর এরাই হল সৎকর্মশীল।",
              "numberInSurah": 114,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইউ’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া ইয়া’মুরূনা বিলমা‘রূফি ওয়াইয়ানহাওনা ‘আনিল মুনকারি ওয়া ইউছা-রি‘ঊনা ফিল খাইরা-তি ওয়া উলাইকা মিনাসসা-লিহীন।",
              "words_arabic": "یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ یَاْمُرُوْنَ/وَيَأۡمُرُونَ/wayamuruna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ یَنْهَوْنَ/وَيَنۡهَوۡنَ/wayanhawna//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ یُسَارِعُوْنَ/وَيُسَٰرِعُونَ/wayusari'una//فِی/فِي/fi//الْخَیْرٰتِ ؕ/ٱلۡخَيۡرَٰتِۖ/al-khayrati//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "তারা ঈমান আনে//আল্লাহর উপর//ও দিনে//আখেরাতের//এবং তারা নির্দেশ দেয়//সৎকাজের//ও তারা নিষেধ করে//হতে//অসৎ কাজ//ও তারা তৎপর হয়//ক্ষেত্রে//কল্যাণকর কাজগুলোর ক্ষেত্রে//এবং তারাই//অন্তর্ভুক্ত//সৎলোকদের"
            },
            {
              "number": 408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/408.mp3"
              ],
              "text": "وَمَا يَفْعَلُوا۟ مِنْ خَيْرٍۢ فَلَن يُكْفَرُوهُ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلْمُتَّقِينَ",
              "translate_bn": "তারা যেসব সৎকাজ করবে, কোন অবস্থাতেই সেগুলোর প্রতি অবজ্ঞা প্রদর্শন করা হবে না। আর আল্লাহ পরহেযগারদের বিষয়ে অবগত।",
              "numberInSurah": 115,
              "juz": 4,
              "manzil": 1,
              "page": 64,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াফ‘আলূ মিন খাইরিন ফালাইঁ ইউকফারূহু ওল্লাহু আলীমুম বিলমুত্তাকীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَفْعَلُوْا/يَفۡعَلُواْ/yaf 'alu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَلَنْ/فَلَن/falan//یُّكْفَرُوْهُ ؕ/يُكۡفَرُوهُۗ/yuk'faruhu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالْمُتَّقِیْنَ /بِٱلۡمُتَّقِينَ/bil-mutaqina",
              "words_bangla": "এবং যা কিছু//তারা করবে//কোন//কল্যাণ//কক্ষণ না//তা অস্বীকার করা হবে//এবং আল্লাহ//অধিক অবহিত//মুত্তাকীদের সম্পর্কে"
            },
            {
              "number": 409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/409.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَٰدُهُم مِّنَ ٱللَّهِ شَيْـًۭٔا ۖ وَأُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۚ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "নিশ্চয় যারা কাফের হয়, তাদের ধন সম্পদ ও সন্তান-সন্ততি আল্লাহর সামনে কখনও কোন কাজে আসবে না। আর তারাই হলো দোযখের আগুনের অধিবাসী। তারা সে আগুনে চিরকাল থাকবে।",
              "numberInSurah": 116,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ লান তুগনিয়া ‘আনহুম আমওয়া-লুহুম ওয়ালা-আওলা-দুহুম মিনাল্লা-হি শাইআওঁ ওয়া উলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَنْ/لَن/lan//تُغْنِیَ/تُغۡنِيَ/tugh'niya//عَنْهُمْ/عَنۡهُمۡ/anhum//اَمْوَالُهُمْ/أَمۡوَٰلُهُمۡ/amwaluhum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُهُمْ/أَوۡلَٰدُهُم/awladuhum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـٔٗاۖ/shayan//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "নিশ্চয়//যারা//কুফরী করেছে//কক্ষণ না//উপকারে আসবে//তাদের জন্যে//তাদের ধনসম্পদ//আর না//সন্তান সন্ততি তাদের//হতে//আল্লাহ//কিছু মাত্রই//এবং ঐসব লোক//অধিবাসী//জাহান্নামের আগুনের//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/410.mp3"
              ],
              "text": "مَثَلُ مَا يُنفِقُونَ فِى هَٰذِهِ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَثَلِ رِيحٍۢ فِيهَا صِرٌّ أَصَابَتْ حَرْثَ قَوْمٍۢ ظَلَمُوٓا۟ أَنفُسَهُمْ فَأَهْلَكَتْهُ ۚ وَمَا ظَلَمَهُمُ ٱللَّهُ وَلَٰكِنْ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "এ দুনিয়ার জীবনে যা কিছু ব্যয় করা হয়, তার তুলনা হলো ঝড়ো হাওয়ার মতো, যাতে রয়েছে তুষারের শৈত্য, যা সে জাতির শস্যক্ষেত্রে গিয়ে লেগেছে যারা নিজের জন্য মন্দ করেছে। অতঃপর সেগুলোকে নিঃশেষ করে দিয়েছে। বস্তুতঃ আল্লাহ তাদের উপর কোন অন্যায় করেননি, কিন্তু তারা নিজেরাই নিজেদের উপর অত্যাচার করছিল।",
              "numberInSurah": 117,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "মাছালু মা-ইউনফিকূনা ফী হা-যিহিল হায়া-তিদ্দুনইয়া-কামাছালি রীহিন ফীহাসিররুন আসা-বাত হারছা কাওমিন জালামু-আনফুছাহুম ফাআহলাকাতহু ওয়ামা-জালামাহুমুল্লা-হু ওয়ালা-কিন আনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "مَثَلُ/مَثَلُ/mathalu//مَا/مَا/ma//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//كَمَثَلِ/كَمَثَلِ/kamathali//رِیْحٍ/رِيحٖ/rihin//فِیْهَا/فِيهَا/fiha//صِرٌّ/صِرٌّ/sirrun//اَصَابَتْ/أَصَابَتۡ/asabat//حَرْثَ/حَرۡثَ/hartha//قَوْمٍ/قَوۡمٖ/qawmin//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//فَاَهْلَكَتْهُ ؕ/فَأَهۡلَكَتۡهُۚ/fa-ahlakathu//وَ مَا/وَمَا/wama//ظَلَمَهُمُ/ظَلَمَهُمُ/zalamahumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لٰكِنْ/وَلَٰكِنۡ/walakin//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "উদাহরণ//যা//তারা খরচ করে//মধ্যে//এই//জীবনে//দুনিয়ার//উদাহরণ যেমন//বায়ু//তার মধ্যে আছে//ভীষণ ঠান্ডা//তা পড়ে//ক্ষেতে//লোকদের//জুলুম করেছে (যারা)//তাদের নিজেদের (উপর)//অতঃপর তা বরবাদ করে দেয়//এবং না//তাদের উপর জুলুম করেছেন//আল্লাহ//কিন্তু//তারা নিজেরা (নিজেদের উপর)//জুলুম করেছিল"
            },
            {
              "number": 411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/411.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ بِطَانَةًۭ مِّن دُونِكُمْ لَا يَأْلُونَكُمْ خَبَالًۭا وَدُّوا۟ مَا عَنِتُّمْ قَدْ بَدَتِ ٱلْبَغْضَآءُ مِنْ أَفْوَٰهِهِمْ وَمَا تُخْفِى صُدُورُهُمْ أَكْبَرُ ۚ قَدْ بَيَّنَّا لَكُمُ ٱلْءَايَٰتِ ۖ إِن كُنتُمْ تَعْقِلُونَ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা মুমিন ব্যতীত অন্য কাউকে অন্তরঙ্গরূপে গ্রহণ করো না, তারা তোমাদের অমঙ্গল সাধনে কোন ক্রটি করে না-তোমরা কষ্টে থাক, তাতেই তাদের আনন্দ। শত্রুতাপ্রসুত বিদ্বেষ তাদের মুখেই ফুটে বেরোয়। আর যা কিছু তাদের মনে লুকিয়ে রয়েছে, তা আরো অনেকগুণ বেশী জঘন্য। তোমাদের জন্যে নিদর্শন বিশদভাবে বর্ণনা করে দেয়া হলো, যদি তোমরা তা অনুধাবন করতে সমর্থ হও।",
              "numberInSurah": 118,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ লা-তাত্তাখিযূবিতা-নাতাম মিন দূ নিকুম লা-ইয়া’লূনাকুম খাবা-লাওঁ ওয়াদ্দূমা-‘আনিত্তুম কাদ বাদাতিল বাগদাউ মিন আফওয়া-হিহিম ওয়ামা-তুখফী সুদূ রুহুম আকবার কাদ বাইইয়ান্না-লাকুমুল আ-য়া-তি ইন কুনতুম তা‘কিলূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوْا/تَتَّخِذُواْ/tattakhidhu//بِطَانَةً/بِطَانَةٗ/bitanatan//مِّنْ/مِّن/min//دُوْنِكُمْ/دُونِكُمۡ/dunikum//لَا/لَا/la//یَاْلُوْنَكُمْ/يَأۡلُونَكُمۡ/yalunakum//خَبَالًا ؕ/خَبَالٗا/khabalan//وَدُّوْا/وَدُّواْ/waddu//مَا/مَا/ma//عَنِتُّمْ ۚ/عَنِتُّمۡ/anittum//قَدْ/قَدۡ/qad//بَدَتِ/بَدَتِ/badati//الْبَغْضَآءُ/ٱلۡبَغۡضَآءُ/al-baghdau//مِنْ/مِنۡ/min//اَفْوَاهِهِمْ ۖۚ/أَفۡوَٰهِهِمۡ/afwahihim//وَ مَا/وَمَا/wama//تُخْفِیْ/تُخۡفِي/tukh'fi//صُدُوْرُهُمْ/صُدُورُهُمۡ/suduruhum//اَكْبَرُ ؕ/أَكۡبَرُۚ/akbaru//قَدْ/قَدۡ/qad//بَیَّنَّا/بَيَّنَّا/bayyanna//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِۖ/al-ayati//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা গ্রহণ করো//অন্তরঙ্গ বন্ধু (হিসেবে)//(থেকে)//তোমাদের ছাড়া (অমুসলমানদেরকে)//না//তারা তোমাদের সুযোগ ছাড়ে//অনিষ্ট সাধনে//তারা কামনা করে//(তাই) যাতে//তোমরা অসুবিধায় পড়//নিশ্চয়//প্রকাশ পেয়েছে//বিদ্বেষ//হতে//তাদের মুখগুলো//এবং যা//গোপন করে//অন্তরগুলো তাদের//(তা আরও) গুরুতর//নিশ্চয়//আমরা বর্ণনা করেছি//তোমাদের জন্যে//নিদর্শনগুলোকে//যদি//তোমরা//অনুধাবন কর"
            },
            {
              "number": 412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/412.mp3"
              ],
              "text": "هَٰٓأَنتُمْ أُو۟لَآءِ تُحِبُّونَهُمْ وَلَا يُحِبُّونَكُمْ وَتُؤْمِنُونَ بِٱلْكِتَٰبِ كُلِّهِۦ وَإِذَا لَقُوكُمْ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَوْا۟ عَضُّوا۟ عَلَيْكُمُ ٱلْأَنَامِلَ مِنَ ٱلْغَيْظِ ۚ قُلْ مُوتُوا۟ بِغَيْظِكُمْ ۗ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "দেখ! তোমরাই তাদের ভালবাস, কিন্তু তারা তোমাদের প্রতি মোটেও সদভাব পোষণ করে না। আর তোমরা সমস্ত কিতাবেই বিশ্বাস কর। অথচ তারা যখন তোমাদের সাথে এসে মিশে, বলে, আমরা ঈমান এনেছি। পক্ষান্তরে তারা যখন পৃথক হয়ে যায়, তখন তোমাদের উপর রোষবশতঃ আঙ্গুল কামড়াতে থাকে। বলুন, তোমরা আক্রোশে মরতে থাক। আর আল্লাহ মনের কথা ভালই জানেন।",
              "numberInSurah": 119,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "হাআনতুম উলাই তুহিববূনাহুম ওয়ালা ইউহিববূনাকুম ওয়া তু’মিনূনা বিলকিতা-বি কুল্লিহী ওয়া ইযা-লাকূকুম কা-লূ আ-মান্না-ওয়া ইযা-খালাও ‘আদ্দূ‘আলাইকুমুল আনা-মিলা মিনাল গাইজিকুল মূতূ বিগাইজিকুম ইন্নাল্লা-হা ‘আলীমুম বিযাতিস সুদূ র।",
              "words_arabic": "هٰۤاَنْتُمْ/هَـٰٓأَنتُمۡ/haantum//اُولَآءِ/أُوْلَآءِ/ulai//تُحِبُّوْنَهُمْ/تُحِبُّونَهُمۡ/tuhibbunahum//وَ لَا/وَلَا/wala//یُحِبُّوْنَكُمْ/يُحِبُّونَكُمۡ/yuhibbunakum//وَ تُؤْمِنُوْنَ/وَتُؤۡمِنُونَ/watu'minuna//بِالْكِتٰبِ/بِٱلۡكِتَٰبِ/bil-kitabi//كُلِّهٖ ۚ/كُلِّهِۦ/kullihi//وَ اِذَا/وَإِذَا/wa-idha//لَقُوْكُمْ/لَقُوكُمۡ/laqukum//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا ۖۗۚ/ءَامَنَّا/amanna//وَ اِذَا/وَإِذَا/wa-idha//خَلَوْا/خَلَوۡاْ/khalaw//عَضُّوْا/عَضُّواْ/addu//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْاَنَامِلَ/ٱلۡأَنَامِلَ/al-anamila//مِنَ/مِنَ/mina//الْغَیْظِ ؕ/ٱلۡغَيۡظِۚ/al-ghayzi//قُلْ/قُلۡ/qul//مُوْتُوْا/مُوتُواْ/mutu//بِغَیْظِكُمْ ؕ/بِغَيۡظِكُمۡۗ/bighayzikum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "তোমরাই তো//ঐসব লোক//তাদেরকে ভালবাস//অথচ না//তোমাদেরকে তারা ভালবাসে//এবং তোমরা বিশ্বাস কর//কিতাবের উপর//সবগুলোর//এবং যখন//তারা তোমাদের সাথে সাক্ষাৎ করে//তারা বলে//''আমরাও ঈমান এনেছি''//আর যখন//তারা একান্তে মিলে//তারা কামড়ায়//তোমাদের বিরুদ্ধে//(তাদের) আঙ্গুলগুলোকে//কারণে//আক্রোশের//বলো//তোমরা মরো//তোমাদের আক্রোশে//নিশ্চয়//আল্লাহ//অধিক অবহিত//অবস্থা সম্পর্কে//(তোমাদের) বুকের (অর্থাৎ অন্তরের)''"
            },
            {
              "number": 413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/413.mp3"
              ],
              "text": "إِن تَمْسَسْكُمْ حَسَنَةٌۭ تَسُؤْهُمْ وَإِن تُصِبْكُمْ سَيِّئَةٌۭ يَفْرَحُوا۟ بِهَا ۖ وَإِن تَصْبِرُوا۟ وَتَتَّقُوا۟ لَا يَضُرُّكُمْ كَيْدُهُمْ شَيْـًٔا ۗ إِنَّ ٱللَّهَ بِمَا يَعْمَلُونَ مُحِيطٌۭ",
              "translate_bn": "তোমাদের যদি কোন মঙ্গল হয়; তাহলে তাদের খারাপ লাগে। আর তোমাদের যদি অমঙ্গল হয় তাহলে আনন্দিত হয় আর তাতে যদি তোমরা ধৈর্য্যধারণ কর এবং তাকওয়া অবলম্বন কর, তবে তাদের প্রতারণায় তোমাদের কোনই ক্ষতি হবে না। নিশ্চয়ই তারা যা কিছু করে সে সমস্তই আল্লাহর আয়ত্তে রয়েছে।",
              "numberInSurah": 120,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 53,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইন তামছাছকুম হাছানাতুন তাছু’হুম ওয়া ইন তুসিবকুম ছাইয়িআতুইঁ ইয়াফরাহুবিহা-ওয়া ইন তাসবিরূ ওয়া তাত্তাকূলা-ইয়াদুররুকুম কাইদুহুম শাইআন ইন্নাল্লা-হা বিমা-ইয়া‘মালূনা মুহীত।",
              "words_arabic": "اِنْ/إِن/in//تَمْسَسْكُمْ/تَمۡسَسۡكُمۡ/tamsaskum//حَسَنَةٌ/حَسَنَةٞ/hasanatun//تَسُؤْهُمْ ؗ/تَسُؤۡهُمۡ/tasu'hum//وَ اِنْ/وَإِن/wa-in//تُصِبْكُمْ/تُصِبۡكُمۡ/tusib'kum//سَیِّئَةٌ/سَيِّئَةٞ/sayyi-atun//یَّفْرَحُوْا/يَفۡرَحُواْ/yafrahu//بِهَا ؕ/بِهَاۖ/biha//وَ اِنْ/وَإِن/wa-in//تَصْبِرُوْا/تَصۡبِرُواْ/tasbiru//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//لَا/لَا/la//یَضُرُّكُمْ/يَضُرُّكُمۡ/yadurrukum//كَیْدُهُمْ/كَيۡدُهُمۡ/kayduhum//شَیْـًٔا ؕ/شَيۡـًٔاۗ/shayan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//مُحِیْطٌ۠/مُحِيطٞ/muhitun",
              "words_bangla": "যদি//তোমাদেরকে স্পর্শ করে//কোন কল্যাণ//খারাপ লাগে তাদের//আর যদি//তোমাদের পৌঁছে//কোন অকল্যাণ//তারা আনন্দ করে//তাতে//এবং যদি//তোমরা সবর কর//ও তোমরা তাকওয়া অবলম্বন কর//না//তোমাদের ক্ষতি করতে পারবে//তাদের চক্রান্ত//কিছুমাত্রই//নিশ্চয়//আল্লাহ//ঐ বিষয়ে যা//তারা কাজ করছে//বেষ্টন করে আছেন"
            },
            {
              "number": 414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/414.mp3"
              ],
              "text": "وَإِذْ غَدَوْتَ مِنْ أَهْلِكَ تُبَوِّئُ ٱلْمُؤْمِنِينَ مَقَٰعِدَ لِلْقِتَالِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ",
              "translate_bn": "আর আপনি যখন পরিজনদের কাছ থেকে সকাল বেলা বেরিয়ে গিয়ে মুমিনগণকে যুদ্ধের অবস্থানে বিন্যস্ত করলেন, আর আল্লাহ সব বিষয়েই শোনেন এবং জানেন।",
              "numberInSurah": 121,
              "juz": 4,
              "manzil": 1,
              "page": 65,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযগাদাওতা মিন আহলিকা তুবাওবিউল মু’মিনীনা মাকা-‘ইদা লিলকিতা-লি ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//غَدَوْتَ/غَدَوۡتَ/ghadawta//مِنْ/مِنۡ/min//اَهْلِكَ/أَهۡلِكَ/ahlika//تُبَوِّئُ/تُبَوِّئُ/tubawwi-u//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//مَقَاعِدَ/مَقَٰعِدَ/maqa'ida//لِلْقِتَالِ ؕ/لِلۡقِتَالِۗ/lil'qitali//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌۙ/عَلِيمٌ/alimun",
              "words_bangla": "এবং (স্মরণ কর) যখন//তুমি সকালে বের হয়েছিলে//হতে//তোমার পরিবার//মোতায়েন করছিলে//ঈমানদারদেরকে//ঘাঁটিসমূহে//লড়াইয়ের জন্য//এবং আল্লাহ//সবকিছু শুনেন//সব কিছু জানেন"
            },
            {
              "number": 415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/415.mp3"
              ],
              "text": "إِذْ هَمَّت طَّآئِفَتَانِ مِنكُمْ أَن تَفْشَلَا وَٱللَّهُ وَلِيُّهُمَا ۗ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "যখন তোমাদের দুটি দল সাহস হারাবার উপক্রম হলো, অথচ আল্লাহ তাদের সাহায্যকারী ছিলেন, আর আল্লাহর উপরই ভরসা করা মুমিনদের উচিত।",
              "numberInSurah": 122,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইযহাম্মাত তাইফাতা-নি মিনকুম আন তাফশালা-ওয়াল্লা-হু ওয়ালিইয়ুহুমা-ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//هَمَّتْ/هَمَّت/hammat//طَّآىِٕفَتٰنِ/طَّآئِفَتَانِ/taifatani//مِنْكُمْ/مِنكُمۡ/minkum//اَنْ/أَن/an//تَفْشَلَا ۙ/تَفۡشَلَا/tafshala//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَلِیُّهُمَا ؕ/وَلِيُّهُمَاۗ/waliyyuhuma//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "(স্মরণ কর) যখন//মনস্থ করেছিলে//দুইদল//তোমাদের মধ্যকার//(যে)//দুর্বলতা প্রদর্শনের//অথচ আল্লাহ//তাদের উভয়ের পৃষ্ঠপোষক (ছিলেন)//এবং উপর//আল্লাহরই//ভরসা করা উচিত//ঈমানদারদের"
            },
            {
              "number": 416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/416.mp3"
              ],
              "text": "وَلَقَدْ نَصَرَكُمُ ٱللَّهُ بِبَدْرٍۢ وَأَنتُمْ أَذِلَّةٌۭ ۖ فَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "বস্তুতঃ আল্লাহ বদরের যুদ্ধে তোমাদের সাহায্য করেছেন, অথচ তোমরা ছিলে দুর্বল। কাজেই আল্লাহকে ভয় করতে থাক, যাতে তোমরা কৃতজ্ঞ হতে পারো।",
              "numberInSurah": 123,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ নাসারাকুমুল্লা-হু ব্বিাদরিওঁ ওয়া আনতুম আযিল্লাতুন ফাত্তাকুল্লা-হা লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//نَصَرَكُمُ/نَصَرَكُمُ/nasarakumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِبَدْرٍ/بِبَدۡرٖ/bibadrin//وَّ اَنْتُمْ/وَأَنتُمۡ/wa-antum//اَذِلَّةٌ ۚ/أَذِلَّةٞۖ/adhillatun//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং নিশ্চয়//তোমাদের সাহায্য করেছিলেন//আল্লাহ//বদরে//অথচ তোমরা (ছিলে)//দুর্বল//তোমরা তাই ভয় কর//আল্লাহ্‌কে//তোমরা সম্ভবত//শোকর করবে"
            },
            {
              "number": 417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/417.mp3"
              ],
              "text": "إِذْ تَقُولُ لِلْمُؤْمِنِينَ أَلَن يَكْفِيَكُمْ أَن يُمِدَّكُمْ رَبُّكُم بِثَلَٰثَةِ ءَالَٰفٍۢ مِّنَ ٱلْمَلَٰٓئِكَةِ مُنزَلِينَ",
              "translate_bn": "আপনি যখন বলতে লাগলেন মুমিনগণকে-তোমাদের জন্য কি যথেষ্ট নয় যে, তোমাদের সাহায্যার্থে তোমাদের পালনকর্তা আসমান থেকে অবতীর্ণ তিন হাজার ফেরেশতা পাঠাবেন।",
              "numberInSurah": 124,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইযতাকূলুলিলমু’মিনীনা আলাইঁ ইয়াকফিয়াকুমআইঁ ইউমিদ্দাকুম রাব্বুকুমবিছালা-ছাতি আ-লা-ফিম মিনাল মালাইকাতি মুনঝালীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//تَقُوْلُ/تَقُولُ/taqulu//لِلْمُؤْمِنِیْنَ/لِلۡمُؤۡمِنِينَ/lil'mu'minina//اَلَنْ/أَلَن/alan//یَّكْفِیَكُمْ/يَكۡفِيَكُمۡ/yakfiyakum//اَنْ/أَن/an//یُّمِدَّكُمْ/يُمِدَّكُمۡ/yumiddakum//رَبُّكُمْ/رَبُّكُم/rabbukum//بِثَلٰثَةِ/بِثَلَٰثَةِ/bithalathati//اٰلٰفٍ/ءَالَٰفٖ/alafin//مِّنَ/مِّنَ/mina//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//مُنْزَلِیْنَؕ/مُنزَلِينَ/munzalina",
              "words_bangla": "(স্মরণ কর) যখন//তুমি বলেছিলে//মু'মিনদেরকে//''হবে না কি//তোমাদের জন্য যথেষ্ট//যে//তোমাদের সাহায্য করবেন//তোমাদের রব//দিয়ে তিন//সহস্র (ফেরেশতা)//মধ্য হতে//ফেরেশতাদের//অবতীর্ণ করা"
            },
            {
              "number": 418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/418.mp3"
              ],
              "text": "بَلَىٰٓ ۚ إِن تَصْبِرُوا۟ وَتَتَّقُوا۟ وَيَأْتُوكُم مِّن فَوْرِهِمْ هَٰذَا يُمْدِدْكُمْ رَبُّكُم بِخَمْسَةِ ءَالَٰفٍۢ مِّنَ ٱلْمَلَٰٓئِكَةِ مُسَوِّمِينَ",
              "translate_bn": "অবশ্য তোমরা যদি সবর কর এবং বিরত থাক আর তারা যদি তখনই তোমাদের উপর চড়াও হয়, তাহলে তোমাদের পালনকর্তা চিহিߦ#2468; ঘোড়ার উপর পাঁচ হাজার ফেরেশতা তোমাদের সাহায্যে পাঠাতে পারেন।",
              "numberInSurah": 125,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "বালা ইন তাসবিরু ওয়া তাত্তাকূওয়া ইয়া’তূকুম মিন ফাওরিহিম হা-যা- ইউমদিদকুম রাব্বুকুম বিখামছাতি আ-লা-ফিম মিনাল মালাইকাতি মুছাওবিমীন।",
              "words_arabic": "بَلٰۤی ۙ/بَلَىٰٓۚ/bala//اِنْ/إِن/in//تَصْبِرُوْا/تَصۡبِرُواْ/tasbiru//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//وَ یَاْتُوْكُمْ/وَيَأۡتُوكُم/wayatukum//مِّنْ/مِّن/min//فَوْرِهِمْ/فَوۡرِهِمۡ/fawrihim//هٰذَا/هَٰذَا/hadha//یُمْدِدْكُمْ/يُمۡدِدۡكُمۡ/yum'did'kum//رَبُّكُمْ/رَبُّكُم/rabbukum//بِخَمْسَةِ/بِخَمۡسَةِ/bikhamsati//اٰلٰفٍ/ءَالَٰفٖ/alafin//مِّنَ/مِّنَ/mina//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//مُسَوِّمِیْنَ /مُسَوِّمِينَ/musawwimina",
              "words_bangla": "হ্যাঁ (নিশ্চয়)//যদি//তোমরা সবর কর//ও (আল্লাহ্‌কে) ভয় কর//আর (যদি) তোমাদের উপর আসবে (চড়াও হয়ে)//(থেকে)//তাদের ত্বরিত গতিতে//এই (মুহূর্তে)//তোমাদেরকে সাহায্য করবেন//তোমাদের রব//দিয়ে পাঁচ//সহস্র (ফেরেশতা)//মধ্য হতে//ফেরেশতাদের//(যারা হবে) চিহ্ন যুক্ত"
            },
            {
              "number": 419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/419.mp3"
              ],
              "text": "وَمَا جَعَلَهُ ٱللَّهُ إِلَّا بُشْرَىٰ لَكُمْ وَلِتَطْمَئِنَّ قُلُوبُكُم بِهِۦ ۗ وَمَا ٱلنَّصْرُ إِلَّا مِنْ عِندِ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ",
              "translate_bn": "বস্তুতঃ এটা তো আল্লাহ তোমাদের সুসংবাদ দান করলেন, যাতে তোমাদের মনে এতে সান্ত্বনা আসতে পারে। আর সাহায্য শুধুমাত্র পরাক্রান্ত, মহাজ্ঞানী আল্লাহরই পক্ষ থেকে,",
              "numberInSurah": 126,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জা‘আলাহুল্লা-হু ইল্লা-বুশরা-লাকুম ওয়া লিতাতমাইন্না কুলূবুকুম বিহী ওয়ামান্নাসরু ইল্লা-মিন ‘ইনদিল্লা-হিল ‘আঝীঝিল হাকীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//جَعَلَهُ/جَعَلَهُ/ja'alahu//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//بُشْرٰی/بُشۡرَىٰ/bush'ra//لَكُمْ/لَكُمۡ/lakum//وَ لِتَطْمَىِٕنَّ/وَلِتَطۡمَئِنَّ/walitatma-inna//قُلُوْبُكُمْ/قُلُوبُكُم/qulubukum//بِهٖ ؕ/بِهِۦۗ/bihi//وَ مَا/وَمَا/wama//النَّصْرُ/ٱلنَّصۡرُ/al-nasru//اِلَّا/إِلَّا/illa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَكِیْمِۙ/ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "এবং না//তা করেছিলেন//আল্লাহ//এছাড়া//সুসংবাদ হিসেবে//তোমাদের জন্য//ও আশ্বস্ত করার জন্য//তোমাদের অন্তরগুলো//তা দিয়ে//আর না//বিজয় (আসে)//এছাড়া//হতে//নিকট//আল্লাহ্‌র//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/420.mp3"
              ],
              "text": "لِيَقْطَعَ طَرَفًۭا مِّنَ ٱلَّذِينَ كَفَرُوٓا۟ أَوْ يَكْبِتَهُمْ فَيَنقَلِبُوا۟ خَآئِبِينَ",
              "translate_bn": "যাতে ধবংস করে দেন কোন কোন কাফেরকে অথবা লাঞ্ছিত করে দেন-যেন ওরা বঞ্চিত হয়ে ফিরে যায়।",
              "numberInSurah": 127,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "লিইয়াকতা‘আ তারাফাম মিনাল্লাযীনা কাফারূ আও ইয়াকবিতাহুম ফাইয়ানকালিবূ খাইবীন।",
              "words_arabic": "لِیَقْطَعَ/لِيَقۡطَعَ/liyaqta'a//طَرَفًا/طَرَفٗا/tarafan//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَوْ/أَوۡ/aw//یَكْبِتَهُمْ/يَكۡبِتَهُمۡ/yakbitahum//فَیَنْقَلِبُوْا/فَيَنقَلِبُواْ/fayanqalibu//خَآىِٕبِیْنَ /خَآئِبِينَ/khaibina",
              "words_bangla": "কাটার জন্য//একটি অংশকে//মধ্য হতে//(তাদের) যারা//কুফরী করেছে//অথবা//তাদের লাঞ্ছনা দেয়ার (জন্য)//ফলে তারা ফিরে যাবে//ব্যর্থ হয়ে"
            },
            {
              "number": 421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/421.mp3"
              ],
              "text": "لَيْسَ لَكَ مِنَ ٱلْأَمْرِ شَىْءٌ أَوْ يَتُوبَ عَلَيْهِمْ أَوْ يُعَذِّبَهُمْ فَإِنَّهُمْ ظَٰلِمُونَ",
              "translate_bn": "হয় আল্লাহ তাদের ক্ষমা করবেন কিংবা তাদেরকে আযাব দেবেন। এ ব্যাপারে আপনার কোন করণীয় নাই। কারণ তারা রয়েছে অন্যায়ের উপর।",
              "numberInSurah": 128,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "লাইছা লাকা মিনাল আমরি শাইউন আও ইয়াতূবা ‘আলাইহিম আও ইউ‘আযযিবাহুম ফাইন্নাহুম জা-লিমূন।",
              "words_arabic": "لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//مِنَ/مِنَ/mina//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//شَیْءٌ/شَيۡءٌ/shayon//اَوْ/أَوۡ/aw//یَتُوْبَ/يَتُوبَ/yatuba//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَوْ/أَوۡ/aw//یُعَذِّبَهُمْ/يُعَذِّبَهُمۡ/yu'adhibahum//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "নাই//তোমার জন্য//কোন//এখতিয়ার//কোন কিছুরই//অথবা//তিনি মাফ করবেন//তাদেরকে//অথবা//তাদেরকে আজাব দিবেন//কেননা তারা নিশ্চয়//জালিম"
            },
            {
              "number": 422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/422.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর যা কিছু আসমান ও যমীনে রয়েছে, সেসবই আল্লাহর। তিনি যাকে ইচ্ছা ক্ষমা করবেন, যাকে ইচ্ছা আযাব দান করবেন। আর আল্লাহ হচ্ছেন ক্ষমাকারী, করুণাময়।",
              "numberInSurah": 129,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 54,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদিইয়াগফিরু লিমাইঁ ইয়াশাউ ওয়া ইউ‘আযযিবুমাইঁ ইয়াশাউ ওয়াল্লা-হু গাফুরূর রাহীম।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//یَغْفِرُ/يَغۡفِرُ/yaghfiru//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یُعَذِّبُ/وَيُعَذِّبُ/wayu'adhibu//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "এবং আল্লাহর জন্য//যা (কিছু)//মধ্যে আছে//আসমান সমুহের//আর যা কিছু//মধ্যে আছে//পৃথিবীর//তিনি মাফ করেন//যাকে//তিনি ইচ্ছা করেন//ও তিনি আজাব দেন//যাকে//তিনি ইচ্ছা করেন//এবং আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/423.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَأْكُلُوا۟ ٱلرِّبَوٰٓا۟ أَضْعَٰفًۭا مُّضَٰعَفَةًۭ ۖ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা চক্রবৃদ্ধি হারে সুদ খেয়ো না। আর আল্লাহকে ভয় করতে থাক, যাতে তোমরা কল্যাণ অর্জন করতে পারো।",
              "numberInSurah": 130,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 55,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তা’কুলুর রিবা-আদ‘আ-ফাম মু দা-‘আফাতাওঁ ওয়াত্তাকুল্লা-হা লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَاْكُلُوا/تَأۡكُلُواْ/takulu//الرِّبٰۤوا/ٱلرِّبَوٰٓاْ/al-riba//اَضْعَافًا/أَضۡعَٰفٗا/ad'afan//مُّضٰعَفَةً ۪/مُّضَٰعَفَةٗۖ/muda'afatan//وَّ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَۚ/تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা খেয়ো//সুদ//বহুগুণে//গুণ করা (অর্থাৎ চক্রবৃদ্ধিহারে)//এবং তোমরা ভয় কর//আল্লাহকে//আশা করা যায় তোমরা//কল্যাণ লাভ করবে"
            },
            {
              "number": 424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/424.mp3"
              ],
              "text": "وَٱتَّقُوا۟ ٱلنَّارَ ٱلَّتِىٓ أُعِدَّتْ لِلْكَٰفِرِينَ",
              "translate_bn": "এবং তোমরা সে আগুন থেকে বেঁচে থাক, যা কাফেরদের জন্য প্রস্তুত করা হয়েছে।",
              "numberInSurah": 131,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 55,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকুন্না-রাল্লাতী উ‘ইদ্দাত লিলকা-ফিরীন।",
              "words_arabic": "وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//النَّارَ/ٱلنَّارَ/al-nara//الَّتِیْۤ/ٱلَّتِيٓ/allati//اُعِدَّتْ/أُعِدَّتۡ/u'iddat//لِلْكٰفِرِیْنَۚ/لِلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "এবং তোমরা আত্মরক্ষা কর//(সেই) আগুন হতে//যা//তৈরী করা হয়েছে//কাফিরদের জন্য"
            },
            {
              "number": 425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/425.mp3"
              ],
              "text": "وَأَطِيعُوا۟ ٱللَّهَ وَٱلرَّسُولَ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "আর তোমরা আনুগত্য কর আল্লাহ ও রসূলের, যাতে তোমাদের উপর রহমত করা হয়।",
              "numberInSurah": 132,
              "juz": 4,
              "manzil": 1,
              "page": 66,
              "ruku": 55,
              "hizbQuarter": 26,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতি‘উল্লা-হা ওয়াররাছূলা লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ الرَّسُوْلَ/وَٱلرَّسُولَ/wal-rasula//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَۚ/تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "এবং তোমরা আনুগত্য কর//আল্লাহর//ও রাসূলের//আশা করা যায়//রহম করা হবে তোমাদেরকে"
            },
            {
              "number": 426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/426.mp3"
              ],
              "text": "۞ وَسَارِعُوٓا۟ إِلَىٰ مَغْفِرَةٍۢ مِّن رَّبِّكُمْ وَجَنَّةٍ عَرْضُهَا ٱلسَّمَٰوَٰتُ وَٱلْأَرْضُ أُعِدَّتْ لِلْمُتَّقِينَ",
              "translate_bn": "তোমরা তোমাদের পালনকর্তার ক্ষমা এবং জান্নাতের দিকে ছুটে যাও যার সীমানা হচ্ছে আসমান ও যমীন, যা তৈরী করা হয়েছে পরহেযগারদের জন্য।",
              "numberInSurah": 133,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছা-রি‘ঊইলা-মাগফিরাতিম মির রাব্বিকুম ওয়া জান্নাতিন ‘আরদুহাছছামা-ওয়া-তু ওয়াল আরদুউ‘ইদ্দাত লিলমুত্তাকীন।",
              "words_arabic": "وَ سَارِعُوْۤا/۞وَسَارِعُوٓاْ/wasari'u//اِلٰی/إِلَىٰ/ila//مَغْفِرَةٍ/مَغۡفِرَةٖ/maghfiratin//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ جَنَّةٍ/وَجَنَّةٍ/wajannatin//عَرْضُهَا/عَرۡضُهَا/arduha//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//وَ الْاَرْضُ ۙ/وَٱلۡأَرۡضُ/wal-ardu//اُعِدَّتْ/أُعِدَّتۡ/u'iddat//لِلْمُتَّقِیْنَۙ/لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এবং তোমরা দ্রুত আস//দিকে//ক্ষমার//পক্ষ হতে//তোমাদের রবের//ও জান্নাতের//যার প্রশস্ততা//আসমান সমূহের//ও জমিনের (সমান)//তৈরী করা হয়েছে//মুত্তাকীদের জন্য"
            },
            {
              "number": 427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/427.mp3"
              ],
              "text": "ٱلَّذِينَ يُنفِقُونَ فِى ٱلسَّرَّآءِ وَٱلضَّرَّآءِ وَٱلْكَٰظِمِينَ ٱلْغَيْظَ وَٱلْعَافِينَ عَنِ ٱلنَّاسِ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ",
              "translate_bn": "যারা স্বচ্ছলতায় ও অভাবের সময় ব্যয় করে, যারা নিজেদের রাগকে সংবরণ করে আর মানুষের প্রতি ক্ষমা প্রদর্শন করে, বস্তুতঃ আল্লাহ সৎকর্মশীলদিগকেই ভালবাসেন।",
              "numberInSurah": 134,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউনফিকূনা ফিছছাররাই ওয়াদ্দাররাই ওয়াল কা-জিমীনাল গাইজা ওয়াল‘আ-ফীনা ‘আনিন্না-ছি ওয়াল্লা-হু ইউহিব্বুল মুহছিনীন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//فِی/فِي/fi//السَّرَّآءِ/ٱلسَّرَّآءِ/al-sarai//وَ الضَّرَّآءِ/وَٱلضَّرَّآءِ/wal-darai//وَ الْكٰظِمِیْنَ/وَٱلۡكَٰظِمِينَ/wal-kazimina//الْغَیْظَ/ٱلۡغَيۡظَ/al-ghayza//وَ الْعَافِیْنَ/وَٱلۡعَافِينَ/wal-'afina//عَنِ/عَنِ/ani//النَّاسِ ؕ/ٱلنَّاسِۗ/al-nasi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُحْسِنِیْنَۚ/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "যারা//খরচ করে//মধ্যে//খুশীর (স্বচ্ছল অবস্থায়)//ও কষ্টে (দুরাবস্থায়)//এবং দমনকারী//রাগ//ও মাফকারী//(প্রায়)//লোকদের//আর আল্লাহ//ভালোবাসেন//নেক লোকদেরকে"
            },
            {
              "number": 428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/428.mp3"
              ],
              "text": "وَٱلَّذِينَ إِذَا فَعَلُوا۟ فَٰحِشَةً أَوْ ظَلَمُوٓا۟ أَنفُسَهُمْ ذَكَرُوا۟ ٱللَّهَ فَٱسْتَغْفَرُوا۟ لِذُنُوبِهِمْ وَمَن يَغْفِرُ ٱلذُّنُوبَ إِلَّا ٱللَّهُ وَلَمْ يُصِرُّوا۟ عَلَىٰ مَا فَعَلُوا۟ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "তারা কখনও কোন অশ্লীল কাজ করে ফেললে কিংবা কোন মন্দ কাজে জড়িত হয়ে নিজের উপর জুলুম করে ফেললে আল্লাহকে স্মরণ করে এবং নিজের পাপের জন্য ক্ষমা প্রার্থনা করে। আল্লাহ ছাড়া আর কে পাপ ক্ষমা করবেন? তারা নিজের কৃতকর্মের জন্য হঠকারিতা প্রদর্শন করে না এবং জেনে-শুনে তাই করতে থাকে না।",
              "numberInSurah": 135,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইযা-ফা‘আলূফা-হিশাতান আও জালামূআনফুছাহুম যাকারুল্লা-হা ফাছতাগফারু লিযুনূবিহিম ওয়া মাইঁ ইয়াগফিরুযযুনূবা ইল্লাল্লা-হু ওয়ালাম ইউছিররু ‘আলা-মা-ফা‘আলূওয়া হুম ইয়া‘লামূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اِذَا/إِذَا/idha//فَعَلُوْا/فَعَلُواْ/fa'alu//فَاحِشَةً/فَٰحِشَةً/fahishatan//اَوْ/أَوۡ/aw//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//ذَكَرُوا/ذَكَرُواْ/dhakaru//اللّٰهَ/ٱللَّهَ/al-laha//فَاسْتَغْفَرُوا/فَٱسۡتَغۡفَرُواْ/fa-is'taghfaru//لِذُنُوْبِهِمْ ۪/لِذُنُوبِهِمۡ/lidhunubihim//وَ مَنْ/وَمَن/waman//یَّغْفِرُ/يَغۡفِرُ/yaghfiru//الذُّنُوْبَ/ٱلذُّنُوبَ/al-dhunuba//اِلَّا/إِلَّا/illa//اللّٰهُ ۪۫/ٱللَّهُ/al-lahu//وَ لَمْ/وَلَمۡ/walam//یُصِرُّوْا/يُصِرُّواْ/yusirru//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَعَلُوْا/فَعَلُواْ/fa'alu//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যারা (এমন যে)//যখন//তারা করে ফেলে//অশ্লীলতা//অথবা//যুলুম করে ফেলে//তাদের নিজেদের (উপর)//স্মরণ করে (তৎক্ষণাৎ)//আল্লাহকে//অতঃপর তারা মাফ চায়//তাদের গুনাহর জন্য//আর কে (আছে)//(এমন যে) মাফ করতে পারে//গুনাহ সমূহকে//ব্যতীত//আল্লাহ//এবং না//বাড়া বাড়ি করে//(তার) উপর//যা//তারা করে ফেলেছে//যখন তারা//জানেও"
            },
            {
              "number": 429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/429.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ جَزَآؤُهُم مَّغْفِرَةٌۭ مِّن رَّبِّهِمْ وَجَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ وَنِعْمَ أَجْرُ ٱلْعَٰمِلِينَ",
              "translate_bn": "তাদেরই জন্য প্রতিদান হলো তাদের পালনকর্তার ক্ষমা ও জান্নাত, যার তলদেশে প্রবাহিত হচ্ছে প্রস্রবণ যেখানে তারা থাকবে অনন্তকাল। যারা কাজ করে তাদের জন্য কতইনা চমৎকার প্রতিদান।",
              "numberInSurah": 136,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "উলাইকা জাঝাউহুম মাগফিরাতুম মির রাব্বিহিম ওয়া জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-ওয়ানি‘মা আজরুল ‘আ-মিলীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//جَزَآؤُهُمْ/جَزَآؤُهُم/jazauhum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//وَ جَنّٰتٌ/وَجَنَّـٰتٞ/wajannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ نِعْمَ/وَنِعۡمَ/wani'ma//اَجْرُ/أَجۡرُ/ajru//الْعٰمِلِیْنَؕ/ٱلۡعَٰمِلِينَ/al-'amilina",
              "words_bangla": "(তারা) ঐসব লোক//যাদেরে প্রতিফল (হলো)//ক্ষমা//পক্ষ হতে//তাদের রবের//ও জান্নাত//প্রবাহিত হয়//(থেকে)//তার তলদেশে//ঝর্ণা সমূহ//তারা চিরস্থায়ী হবে//তার মধ্যে//এবং কত উত্তম//পুরস্কার (রয়েছে)//(সৎ) কর্মশীলদের (জন্য)"
            },
            {
              "number": 430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/430.mp3"
              ],
              "text": "قَدْ خَلَتْ مِن قَبْلِكُمْ سُنَنٌۭ فَسِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُكَذِّبِينَ",
              "translate_bn": "তোমাদের আগে অতীত হয়েছে অনেক ধরনের জীবনাচরণ। তোমরা পৃথিবীতে ভ্রমণ কর এবং দেখ যারা মিথ্যা প্রতিপন্ন করেছে তাদের পরিণতি কি হয়েছে।",
              "numberInSurah": 137,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "কাদ খালাত মিন কাবলিকুম ছুনানুন ফাছীরু ফিল আরদিফানজুরূকাইফা কা-না ‘আ-কিবাতুল মুকাযযিবীন।",
              "words_arabic": "قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//سُنَنٌ ۙ/سُنَنٞ/sunanun//فَسِیْرُوْا/فَسِيرُواْ/fasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَانْظُرُوْا/فَٱنظُرُواْ/fa-unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُكَذِّبِیْنَ /ٱلۡمُكَذِّبِينَ/al-mukadhibina",
              "words_bangla": "নিশ্চয়//অতীত হয়েছে//(থেকে)//তোমাদের পূর্বে//বহুযুগ//তোমরা তাই ভ্রমণ কর//মধ্যে//পৃথিবীর//অতঃপর তোমরা দেখ//কেমন//ছিল//পরিণতি//সত্য প্রত্যাখ্যানকারীদের"
            },
            {
              "number": 431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/431.mp3"
              ],
              "text": "هَٰذَا بَيَانٌۭ لِّلنَّاسِ وَهُدًۭى وَمَوْعِظَةٌۭ لِّلْمُتَّقِينَ",
              "translate_bn": "এই হলো মানুষের জন্য বর্ণনা। আর যারা ভয় করে তাদের জন্য উপদেশবাণী।",
              "numberInSurah": 138,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "হা-যা-বায়া-নুল লিন্না-ছি ওয়া হুদাওঁ ওয়া মাও‘ইজাতুল লিলমুত্তাকীন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//بَیَانٌ/بَيَانٞ/bayanun//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ هُدًی/وَهُدٗى/wahudan//وَّ مَوْعِظَةٌ/وَمَوۡعِظَةٞ/wamaw'izatun//لِّلْمُتَّقِیْنَ /لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এটা//সুস্পষ্ট বাণী//লোকদের জন্য//ও পথনির্দেশিকা//ও উপদেশ//মুত্তাকীদের জন্য"
            },
            {
              "number": 432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/432.mp3"
              ],
              "text": "وَلَا تَهِنُوا۟ وَلَا تَحْزَنُوا۟ وَأَنتُمُ ٱلْأَعْلَوْنَ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আর তোমরা নিরাশ হয়ো না এবং দুঃখ করো না। যদি তোমরা মুমিন হও তবে, তোমরাই জয়ী হবে।",
              "numberInSurah": 139,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাহিনূওয়ালা-তাহঝানূওয়া আনতুমুল আ‘লাওনা ইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَهِنُوْا/تَهِنُواْ/tahinu//وَ لَا/وَلَا/wala//تَحْزَنُوْا/تَحۡزَنُواْ/tahzanu//وَ اَنْتُمُ/وَأَنتُمُ/wa-antumu//الْاَعْلَوْنَ/ٱلۡأَعۡلَوۡنَ/al-a'lawna//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং না//তোমরা মন ভাঙ্গা হয়ো//আর না//তোমরা চিন্তা করো//এবং তোমরাই//সমুন্নত হবে (বিজয়ী হবে)//যদি//তোমরা হও//ঈমানদার"
            },
            {
              "number": 433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/433.mp3"
              ],
              "text": "إِن يَمْسَسْكُمْ قَرْحٌۭ فَقَدْ مَسَّ ٱلْقَوْمَ قَرْحٌۭ مِّثْلُهُۥ ۚ وَتِلْكَ ٱلْأَيَّامُ نُدَاوِلُهَا بَيْنَ ٱلنَّاسِ وَلِيَعْلَمَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَيَتَّخِذَ مِنكُمْ شُهَدَآءَ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلظَّٰلِمِينَ",
              "translate_bn": "তোমরা যদি আহত হয়ে থাক, তবে তারাও তো তেমনি আহত হয়েছে। আর এ দিনগুলোকে আমি মানুষের মধ্যে পালাক্রমে আবর্তন ঘটিয়ে থাকি। এভাবে আল্লাহ জানতে চান কারা ঈমানদার আর তিনি তোমাদের কিছু লোককে শহীদ হিসাবে গ্রহণ করতে চান। আর আল্লাহ অত্যাচারীদেরকে ভালবাসেন না।",
              "numberInSurah": 140,
              "juz": 4,
              "manzil": 1,
              "page": 67,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়ামছাছকুম কারহুন ফাকাদ মাছছাল কাওমা কারহুম মিছলুহু ওয়া তিলকাল আইইয়া-মুনুদা-বিলুহা-বাইনান্না-ছি ওয়ালিয়া‘লামাল্লা-হুল্লাযীনা আ-মানূওয়া ইয়াত্তাখিযা মিনকুম শুহাদাআ ওয়াল্লা-হু লা-ইউহিব্বুজ্জা-লিমীন।",
              "words_arabic": "اِنْ/إِن/in//یَّمْسَسْكُمْ/يَمۡسَسۡكُمۡ/yamsaskum//قَرْحٌ/قَرۡحٞ/qarhun//فَقَدْ/فَقَدۡ/faqad//مَسَّ/مَسَّ/massa//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//قَرْحٌ/قَرۡحٞ/qarhun//مِّثْلُهٗ ؕ/مِّثۡلُهُۥۚ/mith'luhu//وَ تِلْكَ/وَتِلۡكَ/watil'ka//الْاَیَّامُ/ٱلۡأَيَّامُ/al-ayamu//نُدَاوِلُهَا/نُدَاوِلُهَا/nudawiluha//بَیْنَ/بَيۡنَ/bayna//النَّاسِ ۚ/ٱلنَّاسِ/al-nasi//وَ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ یَتَّخِذَ/وَيَتَّخِذَ/wayattakhidha//مِنْكُمْ/مِنكُمۡ/minkum//شُهَدَآءَ ؕ/شُهَدَآءَۗ/shuhadaa//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "যদিও//তোমাদের স্পর্শ করেছে (ওহুদে)//আঘাত//তবে নিশ্চয়//স্পর্শ করেছিল//(ঐ সব) লোকদেরও//আঘাত (বদরে)//এর মত//আর এই//দিনগুলো//তা আবর্তিত করি আমরা//মাঝে//লোকদের//এবং জানেন যেন//আল্লাহ//(তাদেরকে) যারা//(প্রকৃত) ঈমান এনেছে//ও গ্রহণ করেন//তোমাদের মধ্যে কতককে//(সত্যের সাক্ষ্য) শহীদ হিসেবে//এবং আল্লাহ//না//ভালোবাসেন//জালিমমদেরকে"
            },
            {
              "number": 434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/434.mp3"
              ],
              "text": "وَلِيُمَحِّصَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَيَمْحَقَ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর এ কারণে আল্লাহ ঈমানদারদেরকে পাক-সাফ করতে চান এবং কাফেরদেরকে ধবংস করে দিতে চান।",
              "numberInSurah": 141,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিইউমাহহিসাল্লাহুল্লাযীনা আ-মানূওয়া ইয়ামহাকাল কা-ফিরীন।",
              "words_arabic": "وَ لِیُمَحِّصَ/وَلِيُمَحِّصَ/waliyumahhisa//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ یَمْحَقَ/وَيَمۡحَقَ/wayamhaqa//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং যেন ছেঁটে বাছাই করেন//আল্লাহ//(তাদেরকে) যারা//ঈমান এনেছে//এবং চূর্ণ করেন (যেন)//কাফিরদেরকে"
            },
            {
              "number": 435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/435.mp3"
              ],
              "text": "أَمْ حَسِبْتُمْ أَن تَدْخُلُوا۟ ٱلْجَنَّةَ وَلَمَّا يَعْلَمِ ٱللَّهُ ٱلَّذِينَ جَٰهَدُوا۟ مِنكُمْ وَيَعْلَمَ ٱلصَّٰبِرِينَ",
              "translate_bn": "তোমাদের কি ধারণা, তোমরা জান্নাতে প্রবেশ করবে? অথচ আল্লাহ এখনও দেখেননি তোমাদের মধ্যে কারা জেহাদ করেছে এবং কারা ধৈর্য্যশীল।",
              "numberInSurah": 142,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবতুমআনতাদখুলুল জান্নাতা ওয়া লাম্মা-ইয়া‘লামিল্লা-হুল্লাযীনা জা-হাদূমিনকুম ওয়া ইয়া‘লামাসসা-বিরীন।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبْتُمْ/حَسِبۡتُمۡ/hasib'tum//اَنْ/أَن/an//تَدْخُلُوا/تَدۡخُلُواْ/tadkhulu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ لَمَّا/وَلَمَّا/walamma//یَعْلَمِ/يَعۡلَمِ/ya'lami//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//جٰهَدُوْا/جَٰهَدُواْ/jahadu//مِنْكُمْ/مِنكُمۡ/minkum//وَ یَعْلَمَ/وَيَعۡلَمَ/waya'lama//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "কি//তোমরা ধারণা করেছ//যে//তোমরা প্রবেশ করবে//জান্নাতে//অথচ (এখনও) না//জেনেছেন (অর্থাৎ বাস্তবে দেখেননি)//আল্লাহ//(তাদেরকে) যারা//জিহাদ করেছে//তোমাদের মধ্যে//এবং তিনি জানেন//ধৈর্যশীলদেরকে"
            },
            {
              "number": 436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/436.mp3"
              ],
              "text": "وَلَقَدْ كُنتُمْ تَمَنَّوْنَ ٱلْمَوْتَ مِن قَبْلِ أَن تَلْقَوْهُ فَقَدْ رَأَيْتُمُوهُ وَأَنتُمْ تَنظُرُونَ",
              "translate_bn": "আর তোমরা তো মৃত্যু আসার আগেই মরণ কামনা করতে, কাজেই এখন তো তোমরা তা চোখের সামনে উপস্থিত দেখতে পাচ্ছ।",
              "numberInSurah": 143,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 55,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কুনতুম তামান্নাওনাল মাওতা মিন কাবলি আন তালকাওহু ফাকাদ রাআইতুমূহু ওয়া আনতুম তানজুরুন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كُنْتُمْ/كُنتُمۡ/kuntum//تَمَنَّوْنَ/تَمَنَّوۡنَ/tamannawna//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تَلْقَوْهُ ۪/تَلۡقَوۡهُ/talqawhu//فَقَدْ/فَقَدۡ/faqad//رَاَیْتُمُوْهُ/رَأَيۡتُمُوهُ/ra-aytumuhu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَنْظُرُوْنَ۠/تَنظُرُونَ/tanzuruna",
              "words_bangla": "এবং নিশ্চয়//তোমরা//কামনা করছিলে//মৃত্যুর//(থেকে)//ইতিপূর্বে//(যে)//তার সাক্ষাৎ পেতে//অতঃপর নিশ্চয়//তা তোমরা দেখছ//এবং তোমরা//প্রত্যক্ষ করছ"
            },
            {
              "number": 437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/437.mp3"
              ],
              "text": "وَمَا مُحَمَّدٌ إِلَّا رَسُولٌۭ قَدْ خَلَتْ مِن قَبْلِهِ ٱلرُّسُلُ ۚ أَفَإِي۟ن مَّاتَ أَوْ قُتِلَ ٱنقَلَبْتُمْ عَلَىٰٓ أَعْقَٰبِكُمْ ۚ وَمَن يَنقَلِبْ عَلَىٰ عَقِبَيْهِ فَلَن يَضُرَّ ٱللَّهَ شَيْـًۭٔا ۗ وَسَيَجْزِى ٱللَّهُ ٱلشَّٰكِرِينَ",
              "translate_bn": "আর মুহাম্মদ একজন রসূল বৈ তো নয়! তাঁর পূর্বেও বহু রসূল অতিবাহিত হয়ে গেছেন। তাহলে কি তিনি যদি মৃত্যুবরণ করেন অথবা নিহত হন, তবে তোমরা পশ্চাদপসরণ করবে? বস্তুতঃ কেউ যদি পশ্চাদপসরণ করে, তবে তাতে আল্লাহর কিছুই ক্ষতি-বৃদ্ধি হবে না। আর যারা কৃতজ্ঞ, আল্লাহ তাদের সওয়াব দান করবেন।",
              "numberInSurah": 144,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 56,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-মুহাম্মাদুন ইল্লা-রাছুলুন কাদ খালাত মিন কাবলিহির রুছুলু আফাইম্মা-তা আও কুতিলানকালাবতুম ‘আলাআ‘কা-বিকুম ওয়া মাইঁ ইয়ানকালিব ‘আলা‘আকিবাইহি ফালাইঁ ইয়াদুররাল্লা-হা শাইআওঁ ওয়াছাইয়াজঝিল্লা-হুশশা-কিরীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//مُحَمَّدٌ/مُحَمَّدٌ/muhammadun//اِلَّا/إِلَّا/illa//رَسُوْلٌ ۚ/رَسُولٞ/rasulun//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهِ/قَبۡلِهِ/qablihi//الرُّسُلُ ؕ/ٱلرُّسُلُۚ/al-rusulu//اَفَاۡىِٕنْ/أَفَإِيْن/afa-in//مَّاتَ/مَّاتَ/mata//اَوْ/أَوۡ/aw//قُتِلَ/قُتِلَ/qutila//انْقَلَبْتُمْ/ٱنقَلَبۡتُمۡ/inqalabtum//عَلٰۤی/عَلَىٰٓ/ala//اَعْقَابِكُمْ ؕ/أَعۡقَٰبِكُمۡۚ/a'qabikum//وَ مَنْ/وَمَن/waman//یَّنْقَلِبْ/يَنقَلِبۡ/yanqalib//عَلٰی/عَلَىٰ/ala//عَقِبَیْهِ/عَقِبَيۡهِ/aqibayhi//فَلَنْ/فَلَن/falan//یَّضُرَّ/يَضُرَّ/yadurra//اللّٰهَ/ٱللَّهَ/al-laha//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//وَ سَیَجْزِی/وَسَيَجۡزِي/wasayajzi//اللّٰهُ/ٱللَّهُ/al-lahu//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "এবং নয়//মুহাম্মদ (সাঃ)//এছাড়া//একজন রাসূল//নিশ্চয়//অতীত হয়েছে//(থেকে)//তাঁর পূর্বে//(অনেক) রাসূল//কি তবে যদি//সে মারা যায়//বা//নিহত হয়//তোমরা ফিরে যাবে//উপর//তোমাদের গোড়ালির (অর্থাৎ পিছন দিকে)//আর যে//ফিরে যাবে//উপর//তার দুই গোড়ালির//তাহলে কক্ষনো না//ক্ষতি করতে পারবে//আল্লাহর//কিছুই//এবং প্রতিফল দিবেন//আল্লাহ//শোকরকারীদেরকে"
            },
            {
              "number": 438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/438.mp3"
              ],
              "text": "وَمَا كَانَ لِنَفْسٍ أَن تَمُوتَ إِلَّا بِإِذْنِ ٱللَّهِ كِتَٰبًۭا مُّؤَجَّلًۭا ۗ وَمَن يُرِدْ ثَوَابَ ٱلدُّنْيَا نُؤْتِهِۦ مِنْهَا وَمَن يُرِدْ ثَوَابَ ٱلْءَاخِرَةِ نُؤْتِهِۦ مِنْهَا ۚ وَسَنَجْزِى ٱلشَّٰكِرِينَ",
              "translate_bn": "আর আল্লাহর হুকুম ছাড়া কেউ মরতে পারে না-সেজন্য একটা সময় নির্ধারিত রয়েছে। বস্তুতঃ যে লোক দুনিয়ায় বিনিময় কামনা করবে, আমি তাকে তা দুনিয়াতেই দান করব। পক্ষান্তরে-যে লোক আখেরাতে বিনিময় কামনা করবে, তা থেকে আমি তাকে তাই দেবো। আর যারা কৃতজ্ঞ তাদেরকে আমি প্রতিদান দেবো",
              "numberInSurah": 145,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 56,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লিনাফছিন আন তামূতা ইল্লা-বিইযনিল্লা-হি কিতা-বাম মুআজ্জালাওঁ ওয়া মাইঁ ইউরিদ ছাওয়া-বাদ্দুনইয়া-নু’তিহী মিনহা- ওয়া মাইঁ ইউরিদ ছাওয়া-বাল আখিরাতি নু’তিহী মিনহা-ওয়া ছানাজঝিশশা-কিরীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِنَفْسٍ/لِنَفۡسٍ/linafsin//اَنْ/أَن/an//تَمُوْتَ/تَمُوتَ/tamuta//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ/ٱللَّهِ/al-lahi//كِتٰبًا/كِتَٰبٗا/kitaban//مُّؤَجَّلًا ؕ/مُّؤَجَّلٗاۗ/mu-ajjalan//وَ مَنْ/وَمَن/waman//یُّرِدْ/يُرِدۡ/yurid//ثَوَابَ/ثَوَابَ/thawaba//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//نُؤْتِهٖ/نُؤۡتِهِۦ/nu'tihi//مِنْهَا ۚ/مِنۡهَا/min'ha//وَ مَنْ/وَمَن/waman//یُّرِدْ/يُرِدۡ/yurid//ثَوَابَ/ثَوَابَ/thawaba//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//نُؤْتِهٖ/نُؤۡتِهِۦ/nu'tihi//مِنْهَا ؕ/مِنۡهَاۚ/min'ha//وَ سَنَجْزِی/وَسَنَجۡزِي/wasanajzi//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "এবং নয়//(সম্ভব)//জন্য কোন প্রাণীর//যে//সে মরবে//এছাড়া//অনুমতিক্রমে//আল্লাহর//লিখিত//নির্দিষ্ট সময়//এবং যে//চায়//সওয়াব//দুনিয়ার//তাকে দিব আমরা//তা হতে//আর যে//চায়//সওয়াব//আখিরাতের//তাকে দিব আমরা//তা হতে//এবং আমরা শিগগীর প্রতিফল দিব//শোকরকারীদেরকে"
            },
            {
              "number": 439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/439.mp3"
              ],
              "text": "وَكَأَيِّن مِّن نَّبِىٍّۢ قَٰتَلَ مَعَهُۥ رِبِّيُّونَ كَثِيرٌۭ فَمَا وَهَنُوا۟ لِمَآ أَصَابَهُمْ فِى سَبِيلِ ٱللَّهِ وَمَا ضَعُفُوا۟ وَمَا ٱسْتَكَانُوا۟ ۗ وَٱللَّهُ يُحِبُّ ٱلصَّٰبِرِينَ",
              "translate_bn": "আর বহু নবী ছিলেন, যাঁদের সঙ্গী-সাথীরা তাঁদের অনুবর্তী হয়ে জেহাদ করেছে; আল্লাহর পথে-তাদের কিছু কষ্ট হয়েছে বটে, কিন্তু আল্লাহর রাহে তারা হেরেও যায়নি, ক্লান্তও হয়নি এবং দমেও যায়নি। আর যারা সবর করে, আল্লাহ তাদেরকে ভালবাসেন।",
              "numberInSurah": 146,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 56,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন নাবিইয়িন কা-তালা মা‘আহু রিব্বিইয়ূনা কাছীরুন ফামাওয়াহানূলিমাআসা-বাহুম ফী ছাবীলিল্লা-হি ওয়ামা-দা‘উফূওয়ামাছ তাকা-নূ ওয়াল্লাহু ইউহিব্বুসসা-বিরীন।",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّن/min//نَّبِیٍّ/نَّبِيّٖ/nabiyyin//قٰتَلَ ۙ/قَٰتَلَ/qatala//مَعَهٗ/مَعَهُۥ/ma'ahu//رِبِّیُّوْنَ/رِبِّيُّونَ/ribbiyyuna//كَثِیْرٌ ۚ/كَثِيرٞ/kathirun//فَمَا/فَمَا/fama//وَ هَنُوْا/وَهَنُواْ/wahanu//لِمَاۤ/لِمَآ/lima//اَصَابَهُمْ/أَصَابَهُمۡ/asabahum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//ضَعُفُوْا/ضَعُفُواْ/da'ufu//وَ مَا/وَمَا/wama//اسْتَكَانُوْا ؕ/ٱسۡتَكَانُواْۗ/is'takanu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحِبُّ/يُحِبُّ/yuhibbu//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "এবং কত (ছিল)//(থেকে)//নবী (যারা)//লড়াই করেছে (আল্লাহর পথে)//তাঁর সাথে (ছিল)//আল্লাহ ওয়ালা লোকেরা//অনেক//অতঃপর না//তারা হতাশ হয়েছে//(তারা) জন্য যা//তাদের (উপর) আপতিত হয়েছে//(মধ্যে)//পথে//আল্লাহর//এবং না//দুর্বলতা দেখিয়েছে//আর না//তারা মাথা নত করেছে//আর আল্লাহ//ভালোবাসেন//সবরকারীদেরকে"
            },
            {
              "number": 440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/440.mp3"
              ],
              "text": "وَمَا كَانَ قَوْلَهُمْ إِلَّآ أَن قَالُوا۟ رَبَّنَا ٱغْفِرْ لَنَا ذُنُوبَنَا وَإِسْرَافَنَا فِىٓ أَمْرِنَا وَثَبِّتْ أَقْدَامَنَا وَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَٰفِرِينَ",
              "translate_bn": "তারা আর কিছুই বলেনি-শুধু বলেছে, হে আমাদের পালনকর্তা! মোচন করে দাও আমাদের পাপ এবং যা কিছু বাড়াবাড়ি হয়ে গেছে আমাদের কাজে। আর আমাদিগকে দৃঢ় রাখ এবং কাফেরদের উপর আমাদিগকে সাহায্য কর।",
              "numberInSurah": 147,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 56,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না কাওলাহুম ইল্লাআন কা-লূরাব্বানাগ ফিরলানা-যুনূবানা-ওয়া ইছরা-ফানাফীআমরিনা-ওয়াছাব্বিত আকদা-মানা-ওয়ানসুরনা-‘আলাল কাওমিল কা-ফিরীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//قَوْلَهُمْ/قَوۡلَهُمۡ/qawlahum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْا/قَالُواْ/qalu//رَبَّنَا/رَبَّنَا/rabbana//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لَنَا/لَنَا/lana//ذُنُوْبَنَا/ذُنُوبَنَا/dhunubana//وَ اِسْرَافَنَا/وَإِسۡرَافَنَا/wa-is'rafana//فِیْۤ/فِيٓ/fi//اَمْرِنَا/أَمۡرِنَا/amrina//وَ ثَبِّتْ/وَثَبِّتۡ/wathabbit//اَقْدَامَنَا/أَقۡدَامَنَا/aqdamana//وَ انْصُرْنَا/وَٱنصُرۡنَا/wa-unsur'na//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং না//ছিল//তাদের কথা//এছাড়া//যে//তারা বলেছিল//''হে আমাদের রব//মাফ কর//আমাদের জন্য//আমাদের গুনাহ সমূহকে//ও আমাদের বাড়াবাড়িকে//ক্ষেত্রে//আমাদের কাজের//এবং দৃঢ় কর//আমাদের পদক্ষেপ//এবং আমাদের সাহায্য কর//বিরুদ্ধে//জাতির//কাফির''"
            },
            {
              "number": 441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/441.mp3"
              ],
              "text": "فَـَٔاتَىٰهُمُ ٱللَّهُ ثَوَابَ ٱلدُّنْيَا وَحُسْنَ ثَوَابِ ٱلْءَاخِرَةِ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ",
              "translate_bn": "অতঃপর আল্লাহ তাদেরকে দুনিয়ার সওয়াব দান করেছেন এবং যথার্থ আখেরাতের সওয়াব। আর যারা সৎকর্মশীল আল্লাহ তাদেরকে ভালবাসেন।",
              "numberInSurah": 148,
              "juz": 4,
              "manzil": 1,
              "page": 68,
              "ruku": 56,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ফাআ-তা-হুমুল্লা-হু ছাওয়া-বাদ্দুনইয়া-ওয়াহুছনা ছাওয়া-বিল আ-খিরাতি ওয়াল্লা-হু ইউহিব্বুল মুহছিনীন।",
              "words_arabic": "فَاٰتٰىهُمُ/فَـَٔاتَىٰهُمُ/faatahumu//اللّٰهُ/ٱللَّهُ/al-lahu//ثَوَابَ/ثَوَابَ/thawaba//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ حُسْنَ/وَحُسۡنَ/wahus'na//ثَوَابِ/ثَوَابِ/thawabi//الْاٰخِرَةِ ؕ/ٱلۡأٓخِرَةِۗ/al-akhirati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُحْسِنِیْنَ۠/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "অবশেষে তাদের দিলেন//আল্লাহ//সওয়াব//দুনিয়ায়//ও উত্তম//সওয়াব//আখিরাতের//এবং আল্লাহ//পছন্দ করেন//সৎকর্মশালীদেরকে"
            },
            {
              "number": 442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/442.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تُطِيعُوا۟ ٱلَّذِينَ كَفَرُوا۟ يَرُدُّوكُمْ عَلَىٰٓ أَعْقَٰبِكُمْ فَتَنقَلِبُوا۟ خَٰسِرِينَ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা যদি কাফেরদের কথা শোন, তাহলে ওরা তোমাদেরকে পেছনে ফিরিয়ে দেবে, তাতে তোমরা ক্ষতির সম্মুখীণ হয়ে পড়বে।",
              "numberInSurah": 149,
              "juz": 4,
              "manzil": 1,
              "page": 69,
              "ruku": 57,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূইন তুতী‘উল্লাযীনা কাফারু ইয়ারূদ্দূকুমআলাআ‘ক বিকুম ফাতানকালিবূখা-ছিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنْ/إِن/in//تُطِیْعُوا/تُطِيعُواْ/tuti'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یَرُدُّوْكُمْ/يَرُدُّوكُمۡ/yaruddukum//عَلٰۤی/عَلَىٰٓ/ala//اَعْقَابِكُمْ/أَعۡقَٰبِكُمۡ/a'qabikum//فَتَنْقَلِبُوْا/فَتَنقَلِبُواْ/fatanqalibu//خٰسِرِیْنَ /خَٰسِرِينَ/khasirina",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//যদি//তোমরা আনুগত্য কর//(তাদেরকে) যারা//কুফরী করেছে//তোমাদের তারা ফিরিয়ে দিবে//উপর//তোমাদের গোড়ালির (অর্থাৎ পিছন দিকে)//ফলে তোমরা ফিরবে//ক্ষতিগ্রস্ত হয়ে"
            },
            {
              "number": 443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/443.mp3"
              ],
              "text": "بَلِ ٱللَّهُ مَوْلَىٰكُمْ ۖ وَهُوَ خَيْرُ ٱلنَّٰصِرِينَ",
              "translate_bn": "বরং আল্লাহ তোমাদের সাহায্যকারী, আর তাঁর সাহায্যই হচ্ছে উত্তম সাহায্য।",
              "numberInSurah": 150,
              "juz": 4,
              "manzil": 1,
              "page": 69,
              "ruku": 57,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "বালিল্লা-হু মাওলা-কুম ওয়া হুয়া খাইরুন্না-সিরীন।",
              "words_arabic": "بَلِ/بَلِ/bali//اللّٰهُ/ٱللَّهُ/al-lahu//مَوْلٰىكُمْ ۚ/مَوۡلَىٰكُمۡۖ/mawlakum//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//النّٰصِرِیْنَ /ٱلنَّـٰصِرِينَ/al-nasirina",
              "words_bangla": "বরং//আল্লাহ//তোমাদের অভিভাবক//এবং তিনিই//উত্তম//সাহায্যকারীদের (মধ্যে)"
            },
            {
              "number": 444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/444.mp3"
              ],
              "text": "سَنُلْقِى فِى قُلُوبِ ٱلَّذِينَ كَفَرُوا۟ ٱلرُّعْبَ بِمَآ أَشْرَكُوا۟ بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَٰنًۭا ۖ وَمَأْوَىٰهُمُ ٱلنَّارُ ۚ وَبِئْسَ مَثْوَى ٱلظَّٰلِمِينَ",
              "translate_bn": "খুব শীঘ্রই আমি কাফেরদের মনে ভীতির সঞ্চার করবো। কারণ, ওরা আল্লাহর সাথে অংশীদার সাব্যস্ত করে যে সম্পর্কে কোন সনদ অবতীর্ণ করা হয়নি। আর ওদের ঠিকানা হলো দোযখের আগুন। বস্তুতঃ জালেমদের ঠিকানা অত্যন্ত নিকৃষ্ট।",
              "numberInSurah": 151,
              "juz": 4,
              "manzil": 1,
              "page": 69,
              "ruku": 57,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ছানুলকীফী কুলূবিল্লাযীনা কাফারুর রু‘বা বিমাআশরাকূবিল্লা-হি মা-লাম ইউনাঝঝিল বিহী ছুলতা-নাওঁ ওয়ামা’ওয়া-হুমুন্না-রু ওয়াবি’ছা মাছওয়াজ্জা-লিমীন।",
              "words_arabic": "سَنُلْقِیْ/سَنُلۡقِي/sanul'qi//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوا/كَفَرُواْ/kafaru//الرُّعْبَ/ٱلرُّعۡبَ/al-ru'ba//بِمَاۤ/بِمَآ/bima//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یُنَزِّلْ/يُنَزِّلۡ/yunazzil//بِهٖ/بِهِۦ/bihi//سُلْطٰنًا ۚ/سُلۡطَٰنٗاۖ/sul'tanan//وَ مَاْوٰىهُمُ/وَمَأۡوَىٰهُمُ/wamawahumu//النَّارُ ؕ/ٱلنَّارُۖ/al-naru//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//مَثْوَی/مَثۡوَى/mathwa//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "আমরা শীঘ্রই সঞ্চার করব//মধ্যে//অন্তরগুলোর//(তাদের) যারা//কুফরী করেছে//ভীতি//এ কারণে যে//তারা শিরক করেছে//আল্লাহর সাথে//যার//না//তিনি অবতীর্ণ করেছেন//সে ব্যাপারে//কোনো প্রমাণ//এবং তাদের ঠিকানা (হবে)//(জাহান্নামের) আগুন//এবং অতি নিকৃষ্ট//আবাসস্থল//জালিমদের (জন্য)"
            },
            {
              "number": 445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/445.mp3"
              ],
              "text": "وَلَقَدْ صَدَقَكُمُ ٱللَّهُ وَعْدَهُۥٓ إِذْ تَحُسُّونَهُم بِإِذْنِهِۦ ۖ حَتَّىٰٓ إِذَا فَشِلْتُمْ وَتَنَٰزَعْتُمْ فِى ٱلْأَمْرِ وَعَصَيْتُم مِّنۢ بَعْدِ مَآ أَرَىٰكُم مَّا تُحِبُّونَ ۚ مِنكُم مَّن يُرِيدُ ٱلدُّنْيَا وَمِنكُم مَّن يُرِيدُ ٱلْءَاخِرَةَ ۚ ثُمَّ صَرَفَكُمْ عَنْهُمْ لِيَبْتَلِيَكُمْ ۖ وَلَقَدْ عَفَا عَنكُمْ ۗ وَٱللَّهُ ذُو فَضْلٍ عَلَى ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর আল্লাহ সে ওয়াদাকে সত্যে পরিণত করেছেন, যখন তোমরা তাঁরই নির্দেশে ওদের খতম করছিলে। এমনকি যখন তোমরা ছত্রভঙ্গ হয়ে পড়েছে ও কর্তব্য স্থির করার ব্যাপারে বিবাদে লিপ্ত হয়েছে। আর যা তোমরা চাইতে তা দেখার পর কৃতঘ্নতা প্রদর্শন করেছ, তাতে তোমাদের কারো কাম্য ছিল দুনিয়া আর কারো বা কাম্য ছিল আখেরাত। অতঃপর তোমাদিগকে সরিয়ে দিলেন ওদের উপর থেকে যাতে তোমাদিগকে পরীক্ষা করেন। বস্তুতঃ তিনি তোমাদিগকে ক্ষমা করেছেন। আর আল্লাহর মুমিনদের প্রতি অনুগ্রহশীল।",
              "numberInSurah": 152,
              "juz": 4,
              "manzil": 1,
              "page": 69,
              "ruku": 57,
              "hizbQuarter": 27,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাদাকাকুমুল্লা-হু ওয়া‘দাহূইযতাহুছছূনাহুম বিইযনিহী হাত্তাইযাফাশিলতুম ওয়াতানা-ঝা‘তুম ফিল আমরি ওয়া‘আসাইতুম মিম বা‘দি মাআরা-কুম মাতুহিববূনা মিনকুম মাইঁ ইউরীদুদ্দুনইয়া-ওয়া মিনকুম মাইঁ ইউরীদুল আ-খিরাতা ছুম্মা সারাফাকুম ‘আনহুম লিইয়াবতালিয়াকুম ওয়া লাকাদ ‘আফা-‘আনকুম ওয়াল্লা-হু যূফাদলিন ‘আলাল মু’মিনীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَدَقَكُمُ/صَدَقَكُمُ/sadaqakumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَعْدَهٗۤ/وَعۡدَهُۥٓ/wa'dahu//اِذْ/إِذۡ/idh//تَحُسُّوْنَهُمْ/تَحُسُّونَهُم/tahussunahum//بِاِذْنِهٖ ۚ/بِإِذۡنِهِۦۖ/bi-idh'nihi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//فَشِلْتُمْ/فَشِلۡتُمۡ/fashil'tum//وَ تَنَازَعْتُمْ/وَتَنَٰزَعۡتُمۡ/watanaza'tum//فِی/فِي/fi//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//وَ عَصَیْتُمْ/وَعَصَيۡتُم/wa'asaytum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَاۤ/مَآ/ma//اَرٰىكُمْ/أَرَىٰكُم/arakum//مَّا/مَّا/ma//تُحِبُّوْنَ ؕ/تُحِبُّونَۚ/tuhibbuna//مِنْكُمْ/مِنكُم/minkum//مَّنْ/مَّن/man//یُّرِیْدُ/يُرِيدُ/yuridu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ مِنْكُمْ/وَمِنكُم/waminkum//مَّنْ/مَّن/man//یُّرِیْدُ/يُرِيدُ/yuridu//الْاٰخِرَةَ ۚ/ٱلۡأٓخِرَةَۚ/al-akhirata//ثُمَّ/ثُمَّ/thumma//صَرَفَكُمْ/صَرَفَكُمۡ/sarafakum//عَنْهُمْ/عَنۡهُمۡ/anhum//لِیَبْتَلِیَكُمْ ۚ/لِيَبۡتَلِيَكُمۡۖ/liyabtaliyakum//وَ لَقَدْ/وَلَقَدۡ/walaqad//عَفَا/عَفَا/afa//عَنْكُمْ ؕ/عَنكُمۡۗ/ankum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُوْ/ذُو/dhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং নিশ্চয়//তোমাদেরকে সত্য করে দেখিয়েছেন//আল্লাহ//তাঁর ওয়াদা//যখন//তাদেরকে তোমরা হত্যা করছিলে//তাঁর নির্দেশে//এমনকি//যখন//তোমরা দূর্বলতা দেখালে//এবং তোমরা মতবিরোধ করলে//ক্ষেত্রে//কাজের//ও তোমরা অবাধ্য হলে//(থেকে)//এরপরও//যা//তোমাদের তিনি দেখালেন//যা//তোমরা ভালবাস//তোমাদের মধ্যে (কিছু আছে)//(এমন) যারা//চায়//দুনিয়া//এবং তোমাদের মধ্যে কিছু (আছে)//(এমনও) যারা//চায়//আখিরাত//এরপর//তোমাদেরকে ফিরালেন//তাদের থেকে//তোমাদেরকে পরীক্ষা করার জন্য//এবং অবশ্য//মাফ করেছেন//তোমাদেরকে//এবং আল্লাহ//(একটি)//অনুগ্রহশীল//উপর//ঈমানদারদের"
            },
            {
              "number": 446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/446.mp3"
              ],
              "text": "۞ إِذْ تُصْعِدُونَ وَلَا تَلْوُۥنَ عَلَىٰٓ أَحَدٍۢ وَٱلرَّسُولُ يَدْعُوكُمْ فِىٓ أُخْرَىٰكُمْ فَأَثَٰبَكُمْ غَمًّۢا بِغَمٍّۢ لِّكَيْلَا تَحْزَنُوا۟ عَلَىٰ مَا فَاتَكُمْ وَلَا مَآ أَصَٰبَكُمْ ۗ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "আর তোমরা উপরে উঠে যাচ্ছিলে এবং পেছন দিকে ফিরে তাকাচ্ছিলে না কারো প্রতি, অথচ রসূল ডাকছিলেন তোমাদিগকে তোমাদের পেছন দিক থেকে। অতঃপর তোমাদের উপর এলো শোকের ওপরে শোক, যাতে তোমরা হাত থেকে বেরিয়ে যাওয়া বস্তুর জন্য দুঃখ না কর এবং যার সম্মুখীণ হচ্ছ সেজন্য বিমর্ষ না হও। আর আল্লাহ তোমাদের কাজের ব্যাপারে অবহিত রয়েছেন।",
              "numberInSurah": 153,
              "juz": 4,
              "manzil": 1,
              "page": 69,
              "ruku": 57,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ইযতুস‘ইদূ না ওয়ালা-তালঊনা ‘আলা-আহাদিওঁ ওয়ার রাছূলুইয়াদ‘ঊকুম ফীউখরা-কুম ফাআছা-বাকুম গাম্মাম বিগামমিল লিকাইলা-তাহঝানূ‘আলা-মা-ফা-তাকুম ওয়ালামাআসা-বাকুম ওয়াল্লা-হু খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "اِذْ/۞إِذۡ/idh//تُصْعِدُوْنَ/تُصۡعِدُونَ/tus'iduna//وَ لَا/وَلَا/wala//تَلْوٗنَ/تَلۡوُۥنَ/talwuna//عَلٰۤی/عَلَىٰٓ/ala//اَحَدٍ/أَحَدٖ/ahadin//وَّ الرَّسُوْلُ/وَٱلرَّسُولُ/wal-rasulu//یَدْعُوْكُمْ/يَدۡعُوكُمۡ/yad'ukum//فِیْۤ/فِيٓ/fi//اُخْرٰىكُمْ/أُخۡرَىٰكُمۡ/ukh'rakum//فَاَثَابَكُمْ/فَأَثَٰبَكُمۡ/fa-athabakum//غَمًّۢا/غَمَّۢا/ghamman//بِغَمٍّ/بِغَمّٖ/bighammin//لِّكَیْلَا/لِّكَيۡلَا/likayla//تَحْزَنُوْا/تَحۡزَنُواْ/tahzanu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَاتَكُمْ/فَاتَكُمۡ/fatakum//وَ لَا/وَلَا/wala//مَاۤ/مَآ/ma//اَصَابَكُمْ ؕ/أَصَٰبَكُمۡۗ/asabakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "(স্মরণ কর) যখন//তোমরা উর্ধ্বমুখে চলছিলে//এবং না//তোমরা ফিরে তাকাচ্ছিলে//প্রতি//কারো//এবং রাসূল//তোমাদেরকে ডাকছিল//(মধ্যে)//তোমাদের পিছনে//তোমাদেরকে তখন পৌঁছালেন//দুঃখ//দুঃখের পর//না যেন//তোমরা বিষণ্ন হও//(তা) জন্য//যা//তোমরা হারিয়েছ//আর না (দুঃখ কর)//যা//তোমাদের পৌঁছেছে//এবং আল্লাহ//খুব অবহিত//ঐবিষয়ে যা//তোমরা কাজ করছ"
            },
            {
              "number": 447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/447.mp3"
              ],
              "text": "ثُمَّ أَنزَلَ عَلَيْكُم مِّنۢ بَعْدِ ٱلْغَمِّ أَمَنَةًۭ نُّعَاسًۭا يَغْشَىٰ طَآئِفَةًۭ مِّنكُمْ ۖ وَطَآئِفَةٌۭ قَدْ أَهَمَّتْهُمْ أَنفُسُهُمْ يَظُنُّونَ بِٱللَّهِ غَيْرَ ٱلْحَقِّ ظَنَّ ٱلْجَٰهِلِيَّةِ ۖ يَقُولُونَ هَل لَّنَا مِنَ ٱلْأَمْرِ مِن شَىْءٍۢ ۗ قُلْ إِنَّ ٱلْأَمْرَ كُلَّهُۥ لِلَّهِ ۗ يُخْفُونَ فِىٓ أَنفُسِهِم مَّا لَا يُبْدُونَ لَكَ ۖ يَقُولُونَ لَوْ كَانَ لَنَا مِنَ ٱلْأَمْرِ شَىْءٌۭ مَّا قُتِلْنَا هَٰهُنَا ۗ قُل لَّوْ كُنتُمْ فِى بُيُوتِكُمْ لَبَرَزَ ٱلَّذِينَ كُتِبَ عَلَيْهِمُ ٱلْقَتْلُ إِلَىٰ مَضَاجِعِهِمْ ۖ وَلِيَبْتَلِىَ ٱللَّهُ مَا فِى صُدُورِكُمْ وَلِيُمَحِّصَ مَا فِى قُلُوبِكُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "অতঃপর তোমাদের উপর শোকের পর শান্তি অবতীর্ণ করলেন, যা ছিল তন্দ্রার মত। সে তন্দ্রায় তোমাদের মধ্যে কেউ কেউ ঝিমোচ্ছিল আর কেউ কেউ প্রাণের ভয়ে ভাবছিল। আল্লাহ সম্পর্কে তাদের মিথ্যা ধারণা হচ্ছিল মুর্খদের মত। তারা বলছিল আমাদের হাতে কি কিছুই করার নেই? তুমি বল, সবকিছুই আল্লাহর হাতে। তারা যা কিছু মনে লুকিয়ে রাখে-তোমার নিকট প্রকাশ করে না সে সবও। তারা বলে আমাদের হাতে যদি কিছু করার থাকতো, তাহলে আমরা এখানে নিহত হতাম না। তুমি বল, তোমরা যদি নিজেদের ঘরেও থাকতে তবুও তারা অবশ্যই বেরিয়ে আসত নিজেদের অবস্থান থেকে যাদের মৃত্যু লিখে দেয়া হয়েছে। তোমাদের বুকে যা রয়েছে তার পরীক্ষা করা ছিল আল্লাহর ইচ্ছা, আর তোমাদের অন্তরে যা কিছু রয়েছে তা পরিষ্কার করা ছিল তাঁর কাম্য। আল্লাহ মনের গোপন বিষয় জানেন।",
              "numberInSurah": 154,
              "juz": 4,
              "manzil": 1,
              "page": 70,
              "ruku": 57,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ছুম্মা আনঝালা ‘আলাইকুম মিম বা‘দিল গামমি আমানাতান নু‘আ-ছাইঁ ইয়াগশাতাইফাতাম মিনকুম ওয়া তাইফাতুন কাদ আহাম্মাতহুম আনফছুহুম ইয়াজুন্নূনা বিল্লা-হি গাইরাল হাক্কিজান্নাল জা-হিলিইইয়াতি ইয়াকূলূনা হাল্লানা-মিনাল আমরি মিন শাইইন কুল ইন্নাল আমরা কুল্লাহূলিল্লা-হি ইউখফূনা ফীআনফুছিহিম মা-লাইউবদূ না লাকা ইয়াকূলূনা লাও কা-না লানা-মিনাল আমরি শাইউম মা-কুতিলনা-হাহুনা-কুল্লাও কুনতুম ফী বুয়ূতিকুম লাবারাঝাল্লাযীনা কুতিবা ‘আলাইহিমুল কাতলুইলামাদা-জি‘ইহিম ওয়া লিইয়াবতালিইয়াল্লা-হু মা-ফী সুদূ রিকুম ওয়ালিইউমাহহিসা মাফী কুলূবিকুম ওয়াল্লা-হু ‘আলীমুম বিযা-তিসসুদূ র।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَنْزَلَ/أَنزَلَ/anzala//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//الْغَمِّ/ٱلۡغَمِّ/al-ghami//اَمَنَةً/أَمَنَةٗ/amanatan//نُّعَاسًا/نُّعَاسٗا/nu'asan//یَّغْشٰی/يَغۡشَىٰ/yaghsha//طَآىِٕفَةً/طَآئِفَةٗ/taifatan//مِّنْكُمْ ۙ/مِّنكُمۡۖ/minkum//وَ طَآىِٕفَةٌ/وَطَآئِفَةٞ/wataifatun//قَدْ/قَدۡ/qad//اَهَمَّتْهُمْ/أَهَمَّتۡهُمۡ/ahammathum//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//یَظُنُّوْنَ/يَظُنُّونَ/yazunnuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//غَیْرَ/غَيۡرَ/ghayra//الْحَقِّ/ٱلۡحَقِّ/al-haqi//ظَنَّ/ظَنَّ/zanna//الْجَاهِلِیَّةِ ؕ/ٱلۡجَٰهِلِيَّةِۖ/al-jahiliyati//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//هَلْ/هَل/hal//لَّنَا/لَّنَا/lana//مِنَ/مِنَ/mina//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۗ/shayin//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْاَمْرَ/ٱلۡأَمۡرَ/al-amra//كُلَّهٗ/كُلَّهُۥ/kullahu//لِلّٰهِ ؕ/لِلَّهِۗ/lillahi//یُخْفُوْنَ/يُخۡفُونَ/yukh'funa//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِم/anfusihim//مَّا/مَّا/ma//لَا/لَا/la//یُبْدُوْنَ/يُبۡدُونَ/yub'duna//لَكَ ؕ/لَكَۖ/laka//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//لَوْ/لَوۡ/law//كَانَ/كَانَ/kana//لَنَا/لَنَا/lana//مِنَ/مِنَ/mina//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//شَیْءٌ/شَيۡءٞ/shayon//مَّا/مَّا/ma//قُتِلْنَا/قُتِلۡنَا/qutil'na//هٰهُنَا ؕ/هَٰهُنَاۗ/hahuna//قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْ/فِي/fi//بُیُوْتِكُمْ/بُيُوتِكُمۡ/buyutikum//لَبَرَزَ/لَبَرَزَ/labaraza//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُتِبَ/كُتِبَ/kutiba//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقَتْلُ/ٱلۡقَتۡلُ/al-qatlu//اِلٰی/إِلَىٰ/ila//مَضَاجِعِهِمْ ۚ/مَضَاجِعِهِمۡۖ/madaji'ihim//وَ لِیَبْتَلِیَ/وَلِيَبۡتَلِيَ/waliyabtaliya//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//فِیْ/فِي/fi//صُدُوْرِكُمْ/صُدُورِكُمۡ/sudurikum//وَ لِیُمَحِّصَ/وَلِيُمَحِّصَ/waliyumahhisa//مَا/مَا/ma//فِیْ/فِي/fi//قُلُوْبِكُمْ ؕ/قُلُوبِكُمۡۚ/qulubikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "এরপর//তিনি অবতীর্ণ করলেন//তোমাদের উপর//(থেকে)//পরে//দুঃখের//প্রশান্তি//তন্দ্রারূপে//আচ্ছন্ন করে//একটি দলকে (মুমিনদেরকে)//তোমাদের মধ্য হতে//কিন্তু (আর) একটি দল (অর্থাৎ মুনাফিকরা)//নিশ্চয়//তাদেরকে গুরুত্ব দিল//তারা নিজেরা//ধারণা করে//আল্লাহর ব্যাপারে//বিপরীত//সত্যের//ধারণা//জাহিলিয়্যাতের//তারা বলে//''কি//আমাদের জন্য (আছে)//কোন//এখতিয়ার//কোন//কিছুর''//বল//''নিশ্চয়//এখতিয়ার//সবটাই//আল্লাহরই জন্য''//তারা লুকায়//মধ্যে//তাদের মনের//যা//না//তারা প্রকাশ করে//তোমার কাছে//তারা বলে//''যদি//থাকত//আমাদের জন্য//কোন//এখতিয়ার//কোন কিছুর//না//আমরা নিহত হতাম//এখানে''//বল//''যদি//তোমরা হতে//মধ্যে//তোমাদের ঘরের//অবশ্যই বের হতো//(তারা) যাদের//লেখা হয়েছে//তাদের উপর//নিহত হওয়া//দিকে//তাদের নিহত হওয়ার জায়গাগুলোর//এবং পরীক্ষা করার জন্য (এটা ঘটিয়েছেন)//আল্লাহ্‌//যা কিছু//মধ্যে আছে//তোমাদের বুকে (অর্থাৎ অন্তরে)//এবং বিশুদ্ধ করার জন্য//যা//মধ্যে আছে//তোমাদের অন্তরগুলোতে//এবং আল্লাহ//খুব অবহিত//অবস্থা সম্পর্কে//অন্তরের"
            },
            {
              "number": 448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/448.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ تَوَلَّوْا۟ مِنكُمْ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ إِنَّمَا ٱسْتَزَلَّهُمُ ٱلشَّيْطَٰنُ بِبَعْضِ مَا كَسَبُوا۟ ۖ وَلَقَدْ عَفَا ٱللَّهُ عَنْهُمْ ۗ إِنَّ ٱللَّهَ غَفُورٌ حَلِيمٌۭ",
              "translate_bn": "তোমাদের যে দুটি দল লড়াইয়ের দিনে ঘুরে দাঁড়িয়েছিল শয়তান তাদেরকে বিভ্রান্ত করেছিল, তাদেরই পাপের দরুন।",
              "numberInSurah": 155,
              "juz": 4,
              "manzil": 1,
              "page": 70,
              "ruku": 57,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা তাওয়াল্লাও মিনকুম ইয়াওমাল তাকাল জাম‘আ-নি ইন্নামাছ তাঝাল্লাহুমুশ শাইতা-নুব্বিা‘দিমা-কাছাবূ ওয়া লাকাদ ‘আফাল্লা-হু ‘আনহুম; ইন্নাল্লা-হা গাফূরুন হালীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//مِنْكُمْ/مِنكُمۡ/minkum//یَوْمَ/يَوۡمَ/yawma//الْتَقَی/ٱلۡتَقَى/al-taqa//الْجَمْعٰنِ ۙ/ٱلۡجَمۡعَانِ/al-jam'ani//اِنَّمَا/إِنَّمَا/innama//اسْتَزَلَّهُمُ/ٱسۡتَزَلَّهُمُ/is'tazallahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//بِبَعْضِ/بِبَعۡضِ/biba'di//مَا/مَا/ma//كَسَبُوْا ۚ/كَسَبُواْۖ/kasabu//وَ لَقَدْ/وَلَقَدۡ/walaqad//عَفَا/عَفَا/afa//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ ؕ/عَنۡهُمۡۗ/anhum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٌ/ghafurun//حَلِیْمٌ۠/حَلِيمٞ/halimun",
              "words_bangla": "নিশ্চয়//যারা//পিঠটান দিয়েছে//তোমাদের মধ্য হতে//দিনে//মুকাবিলার//দুই দলের//মূলত//তাদেরকে পদস্খলন ঘটিয়েছিল//শয়তান//কিছু জিনিসের কারণে//যা//তারা উপার্জন করেছিল//এবং নিশ্চয়//মাফ করেছেন//আল্লাহ//তাদেরকে//নিশ্চয়//আল্লাহ//ক্ষমাশীল//বড় সহনশীল"
            },
            {
              "number": 449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/449.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَكُونُوا۟ كَٱلَّذِينَ كَفَرُوا۟ وَقَالُوا۟ لِإِخْوَٰنِهِمْ إِذَا ضَرَبُوا۟ فِى ٱلْأَرْضِ أَوْ كَانُوا۟ غُزًّۭى لَّوْ كَانُوا۟ عِندَنَا مَا مَاتُوا۟ وَمَا قُتِلُوا۟ لِيَجْعَلَ ٱللَّهُ ذَٰلِكَ حَسْرَةًۭ فِى قُلُوبِهِمْ ۗ وَٱللَّهُ يُحْىِۦ وَيُمِيتُ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "হে ঈমাণদারগণ! তোমরা তাদের মত হয়ো না, যারা কাফের হয়েছে এবং নিজেদের ভাই বন্ধুরা যখন কোন অভিযানে বের হয় কিংবা জেহাদে যায়, তখন তাদের সম্পর্কে বলে, তারা যদি আমাদের সাথে থাকতো, তাহলে মরতোও না আহতও হতো না। যাতে তারা এ ধারণা সৃষ্টির মাধ্যমে সংশ্লিষ্টদের মনে অনুতাপ সৃষ্টি করতে পারে। অথচ আল্লাহই জীবন দান করেন এবং মৃত্যু দেন। তোমাদের সমস্ত কাজই, তোমরা যা কিছুই কর না কেন, আল্লাহ সবকিছুৃই দেখেন।",
              "numberInSurah": 156,
              "juz": 4,
              "manzil": 1,
              "page": 70,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাকূনূকাল্লাযীনা কাফারূ ওয়া কা-লূলিইখওয়া-নিহিম ইযা-দারাবূফিল আরদিআও কা-নূগুঝঝাল্লাও কা-নু‘ইনদানা-মা-মা-তূওয়ামাকুতিলূ লিইয়াজ‘আলাল্লা-হু যা-লিকা হাছরাতান ফী কুলূবিহিম ওয়াল্লা-হু ইউহয়ী ওয়া ইউমীতু ওয়াল্লা-হু বিমা-ত‘ামালূনা বাসীর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ قَالُوْا/وَقَالُواْ/waqalu//لِاِخْوَانِهِمْ/لِإِخۡوَٰنِهِمۡ/li-ikh'wanihim//اِذَا/إِذَا/idha//ضَرَبُوْا/ضَرَبُواْ/darabu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَوْ/أَوۡ/aw//كَانُوْا/كَانُواْ/kanu//غُزًّی/غُزّٗى/ghuzzan//لَّوْ/لَّوۡ/law//كَانُوْا/كَانُواْ/kanu//عِنْدَنَا/عِندَنَا/indana//مَا/مَا/ma//مَاتُوْا/مَاتُواْ/matu//وَ مَا/وَمَا/wama//قُتِلُوْا ۚ/قُتِلُواْ/qutilu//لِیَجْعَلَ/لِيَجۡعَلَ/liyaj'ala//اللّٰهُ/ٱللَّهُ/al-lahu//ذٰلِكَ/ذَٰلِكَ/dhalika//حَسْرَةً/حَسۡرَةٗ/hasratan//فِیْ/فِي/fi//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۗ/qulubihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ؕ/وَيُمِيتُۗ/wayumitu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা হয়ো//(তাদের) মতো যারা//কুফরী করেছে//ও তারা বলেছে//তাদের ভাইদেরকে//যখন//তারা ভ্রমণ করে//(মধ্যে)//দেশেবিদেশে//অথবা//তারা হয়//যুদ্ধে (শরিক)//''যদি//তারা থাকত//আমাদের কাছে//না//তারা মরতো//আর না//তারা নিহত হত''//(এরূপ হয়েছে) করেন যেন//আল্লাহ//এরূপ (কথাবার্তা)//মনস্তাপের (কারণ)//মধ্যে//তাদের অন্তরগুলোর//আর আল্লাহই//জীবন দেন//ও মৃত্যু দেন//এবং আল্লাহ//ঐ বিষয়ে যা//তোমরা কাজ করছ//ভালোভাবে দেখছেন"
            },
            {
              "number": 450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/450.mp3"
              ],
              "text": "وَلَئِن قُتِلْتُمْ فِى سَبِيلِ ٱللَّهِ أَوْ مُتُّمْ لَمَغْفِرَةٌۭ مِّنَ ٱللَّهِ وَرَحْمَةٌ خَيْرٌۭ مِّمَّا يَجْمَعُونَ",
              "translate_bn": "আর তোমরা যদি আল্লাহর পথে নিহত হও কিংবা মৃত্যুবরণ কর, তোমরা যা কিছু সংগ্রহ করে থাক আল্লাহ তা’আলার ক্ষমা ও করুণা সে সবকিছুর চেয়ে উত্তম।",
              "numberInSurah": 157,
              "juz": 4,
              "manzil": 1,
              "page": 70,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাইন কুতিলতুম ফী ছাবীলিল্লা-হি আও মুততুম লামাগফিরাতুমমিনাল্লা-হি ওয়া রাহমাতুন খাইরুম মিম্মা-ইয়াজমা‘ঊন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//قُتِلْتُمْ/قُتِلۡتُمۡ/qutil'tum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْ/أَوۡ/aw//مُتُّمْ/مُتُّمۡ/muttum//لَمَغْفِرَةٌ/لَمَغۡفِرَةٞ/lamaghfiratun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَحْمَةٌ/وَرَحۡمَةٌ/warahmatun//خَیْرٌ/خَيۡرٞ/khayrun//مِّمَّا/مِّمَّا/mimma//یَجْمَعُوْنَ /يَجۡمَعُونَ/yajma'una",
              "words_bangla": "এবং অবশ্যই যদি//তোমরা নিহত হও//(মধ্যে)//পথে//আল্লাহর//অথবা//তোমরা মরে যাও//ক্ষমা অবশ্যই//পক্ষ হতে//আল্লাহর//ও রহমাত//উত্তম//তা হতে যা//তোমরা জমা করেছ"
            },
            {
              "number": 451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/451.mp3"
              ],
              "text": "وَلَئِن مُّتُّمْ أَوْ قُتِلْتُمْ لَإِلَى ٱللَّهِ تُحْشَرُونَ",
              "translate_bn": "আর তোমরা মৃত্যুই বরণ কর অথবা নিহতই হও, অবশ্য আল্লাহ তা’আলার সামনেই সমবেত হবে।",
              "numberInSurah": 158,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাইম মুততুম আও কুতিলতুম লা ইলাল্লা-হি তুহশারূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//مُّتُّمْ/مُّتُّمۡ/muttum//اَوْ/أَوۡ/aw//قُتِلْتُمْ/قُتِلۡتُمۡ/qutil'tum//لَاۡاِلَی/لَإِلَى/la-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "এবং অবশ্যই যদি//তোমরা মারা যাও//অথবা//তোমরা নিহত হও//দিকে অবশ্যই//আল্লাহর//তোমাদের একত্রিত করা হবে"
            },
            {
              "number": 452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/452.mp3"
              ],
              "text": "فَبِمَا رَحْمَةٍۢ مِّنَ ٱللَّهِ لِنتَ لَهُمْ ۖ وَلَوْ كُنتَ فَظًّا غَلِيظَ ٱلْقَلْبِ لَٱنفَضُّوا۟ مِنْ حَوْلِكَ ۖ فَٱعْفُ عَنْهُمْ وَٱسْتَغْفِرْ لَهُمْ وَشَاوِرْهُمْ فِى ٱلْأَمْرِ ۖ فَإِذَا عَزَمْتَ فَتَوَكَّلْ عَلَى ٱللَّهِ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَوَكِّلِينَ",
              "translate_bn": "আল্লাহর রহমতেই আপনি তাদের জন্য কোমল হৃদয় হয়েছেন পক্ষান্তরে আপনি যদি রাগ ও কঠিন হৃদয় হতেন তাহলে তারা আপনার কাছ থেকে বিচ্ছিন্ন হয়ে যেতো। কাজেই আপনি তাদের ক্ষমা করে দিন এবং তাদের জন্য মাগফেরাত কামনা করুন এবং কাজে কর্মে তাদের পরামর্শ করুন। অতঃপর যখন কোন কাজের সিদ্ধান্ত গ্রহণ করে ফেলেন, তখন আল্লাহ তা’আলার উপর ভরসা করুন আল্লাহ তাওয়াক্কুল কারীদের ভালবাসেন।",
              "numberInSurah": 159,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ফাবিমা-রাহমাতিম মিনাল্লা-হি লিনতা লাহুম ওয়ালাও কুনতা ফাজ্জান গালীজাল কালবি লানফাদ্দূমিন হাওলিকা ফা‘ফু‘আনহুম ওয়াছতাগফির লাহুম ওয়া শাবিরহুম ফিল আমরি ফাইযা-‘আঝামতা ফাতাওয়াক্কাল ‘আলাল্লা-হি ইন্নাল্লা-হাইউহিব্বুল মুতাওয়াক্কিলীন।",
              "words_arabic": "فَبِمَا/فَبِمَا/fabima//رَحْمَةٍ/رَحۡمَةٖ/rahmatin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//لِنْتَ/لِنتَ/linta//لَهُمْ ۚ/لَهُمۡۖ/lahum//وَ لَوْ/وَلَوۡ/walaw//كُنْتَ/كُنتَ/kunta//فَظًّا/فَظًّا/fazzan//غَلِیْظَ/غَلِيظَ/ghaliza//الْقَلْبِ/ٱلۡقَلۡبِ/al-qalbi//لَا نْفَضُّوْا/لَٱنفَضُّواْ/la-infaddu//مِنْ/مِنۡ/min//حَوْلِكَ ۪/حَوۡلِكَۖ/hawlika//فَاعْفُ/فَٱعۡفُ/fa-u'fu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ اسْتَغْفِرْ/وَٱسۡتَغۡفِرۡ/wa-is'taghfir//لَهُمْ/لَهُمۡ/lahum//وَ شَاوِرْهُمْ/وَشَاوِرۡهُمۡ/washawir'hum//فِی/فِي/fi//الْاَمْرِ ۚ/ٱلۡأَمۡرِۖ/al-amri//فَاِذَا/فَإِذَا/fa-idha//عَزَمْتَ/عَزَمۡتَ/azamta//فَتَوَكَّلْ/فَتَوَكَّلۡ/fatawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُتَوَكِّلِیْنَ /ٱلۡمُتَوَكِّلِينَ/al-mutawakilina",
              "words_bangla": "বস্তুত কারণে//অনুগ্রহের//পক্ষ হতে//আল্লাহর//তুমি নরম হয়েছ//তাদের জন্য//এবং যদি//তুমি হতে//উগ্র স্বভাব//পাষাণ//হৃদয়ের//তারা অবশ্যই সরে যেত//হতে//তোমার চতুর্দিক//অতএব মাফকর//তাদেরকে//ও ক্ষমা চাও//তাদের জন্য//এবং পরামর্শ কর তাদের (সাথে)//ক্ষেত্রে//কাজের//অতঃপর যখন//তুমি সংকল্প কর//তখন ভরসা কর//উপর//আল্লাহর//নিশ্চয়//আল্লাহ্‌//ভালোবাসেন//ভরসাকারীদেরকে"
            },
            {
              "number": 453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/453.mp3"
              ],
              "text": "إِن يَنصُرْكُمُ ٱللَّهُ فَلَا غَالِبَ لَكُمْ ۖ وَإِن يَخْذُلْكُمْ فَمَن ذَا ٱلَّذِى يَنصُرُكُم مِّنۢ بَعْدِهِۦ ۗ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "যদি আল্লাহ তোমাদের সহায়তা করেন, তাহলে কেউ তোমাদের উপর পরাক্রান্ত হতে পারবে না। আর যদি তিনি তোমাদের সাহায্য না করেন, তবে এমন কে আছে, যে তোমাদের সাহায্য করতে পারে? আর আল্লাহর ওপরই মুসলমানগনের ভরসা করা উচিত।",
              "numberInSurah": 160,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়ানসুর কুমুল্লা-হু ফালা-গা-লিবা লাকুম ওয়াইয়ঁইয়াখযু লকুম ফামান যাল্লাযী ইয়ানসুরুকুম মিম বা‘দিহী ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "اِنْ/إِن/in//یَّنْصُرْكُمُ/يَنصُرۡكُمُ/yansur'kumu//اللّٰهُ/ٱللَّهُ/al-lahu//فَلَا/فَلَا/fala//غَالِبَ/غَالِبَ/ghaliba//لَكُمْ ۚ/لَكُمۡۖ/lakum//وَ اِنْ/وَإِن/wa-in//یَّخْذُلْكُمْ/يَخۡذُلۡكُمۡ/yakhdhul'kum//فَمَنْ/فَمَن/faman//ذَا/ذَا/dha//الَّذِیْ/ٱلَّذِي/alladhi//یَنْصُرُكُمْ/يَنصُرُكُم/yansurukum//مِّنْۢ/مِّنۢ/min//بَعْدِهٖ ؕ/بَعۡدِهِۦۗ/ba'dihi//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "যদি//তোমাদের সাহায্য করেন//আল্লাহ//না তবে//বিজয়ী হবে কেউ//তোমাদের উপর//আর যদি//তোমাদের তিনি ত্যাগ করেন//কে তবে//এমন//(আছে) যে//তোমাদের সাাহায্য করতে পারে//(থেকে)//তারপরে//এবং উপর//আল্লাহ্‌রই//ভরসা করা উচিত//ঈমানদারদের"
            },
            {
              "number": 454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/454.mp3"
              ],
              "text": "وَمَا كَانَ لِنَبِىٍّ أَن يَغُلَّ ۚ وَمَن يَغْلُلْ يَأْتِ بِمَا غَلَّ يَوْمَ ٱلْقِيَٰمَةِ ۚ ثُمَّ تُوَفَّىٰ كُلُّ نَفْسٍۢ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "আর কোন বিষয় গোপন করে রাখা নবীর কাজ নয়। আর যে লোক গোপন করবে সে কিয়ামতের দিন সেই গোপন বস্তু নিয়ে আসবে। অতঃপর পরিপূর্ণভাবে পাবে প্রত্যেকে, যা সে অর্জন করেছে। আর তাদের প্রতি কোন অন্যায় করা হবে না।",
              "numberInSurah": 161,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লিনাবিইয়িন আইঁ ইয়াগুল্লা ওয়ামাইঁ ইয়াগলুল ইয়া’তি বিমা-গাল্লা ইয়াওমাল কিয়া-মাতি ছু ম্মা তুওয়াফফা-কুল্লুনাফছিম মা-কাছাবাত ওয়াহুম লাইউজলামূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِنَبِیٍّ/لِنَبِيٍّ/linabiyyin//اَنْ/أَن/an//یَّغُلَّ ؕ/يَغُلَّۚ/yaghulla//وَ مَنْ/وَمَن/waman//یَّغْلُلْ/يَغۡلُلۡ/yaghlul//یَاْتِ/يَأۡتِ/yati//بِمَا/بِمَا/bima//غَلَّ/غَلَّ/ghalla//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ۚ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//ثُمَّ/ثُمَّ/thumma//تُوَفّٰی/تُوَفَّىٰ/tuwaffa//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং না//(শোভনীয়) হতে পারে//নবীর জন্য//যে//সে খিয়ানত করবে//এবং যে//খিয়ানত করবে//সে আসবে//তা নিয়ে যা//খিয়ানত করেছিল//দিনে//কিয়ামাতের//অতঃপর//দেয়া হবে পুরাপুরি//প্রত্যেক//ব্যক্তিকে//যা//সে অর্জন করেছে//এবং তাদের উপর//না//জুলুম করা হবে"
            },
            {
              "number": 455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/455.mp3"
              ],
              "text": "أَفَمَنِ ٱتَّبَعَ رِضْوَٰنَ ٱللَّهِ كَمَنۢ بَآءَ بِسَخَطٍۢ مِّنَ ٱللَّهِ وَمَأْوَىٰهُ جَهَنَّمُ ۚ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "যে লোক আল্লাহর ইচ্ছার অনুগত, সে কি ঐ লোকের সমান হতে পারে, যে আল্লাহর রোষ অর্জন করেছে? বস্তুতঃ তার ঠিকানা হল দোযখ। আর তা কতইনা নিকৃষ্ট অবস্থান!",
              "numberInSurah": 162,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "আফামানিত্তাবা‘আ রিদওয়া-নাল্লা-হি কামাম বা-আ বিছাখাতিম মিনাল্লা-হি ওয়ামা’ওয়া-হু জাহান্নামু; ওয়াবি’ছাল মাসীর।",
              "words_arabic": "اَفَمَنِ/أَفَمَنِ/afamani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//رِضْوَانَ/رِضۡوَٰنَ/rid'wana//اللّٰهِ/ٱللَّهِ/al-lahi//كَمَنْۢ/كَمَنۢ/kaman//بَآءَ/بَآءَ/baa//بِسَخَطٍ/بِسَخَطٖ/bisakhatin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَاْوٰىهُ/وَمَأۡوَىٰهُ/wamawahu//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "তবে কি যে//অনুসরণ করল//সন্তুষ্টির//আল্লাহর//তার মত যে//পরিবেষ্টিত হয়েছে//অসন্তুষ্টি দ্বারা//পক্ষ হতে//আল্লাহর//এবং তার ঠিকানা//জাহান্নাম//এবং (তা) অতি খারাপ//গন্তব্যস্থান"
            },
            {
              "number": 456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/456.mp3"
              ],
              "text": "هُمْ دَرَجَٰتٌ عِندَ ٱللَّهِ ۗ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ",
              "translate_bn": "আল্লাহর নিকট মানুষের মর্যাদা বিভিন্ন স্তরের আর আল্লাহ দেখেন যা কিছু তারা করে।",
              "numberInSurah": 163,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "হুম দারাজা-তুন ইনদাল্লা-হি ওয়াল্লা-হু বাসীরুম বিমা-ইয়া‘মালূন।",
              "words_arabic": "هُمْ/هُمۡ/hum//دَرَجٰتٌ/دَرَجَٰتٌ/darajatun//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِمَا/بِمَا/bima//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "তারা//মর্যাদার (এক নয়)//কাছে//আল্লাহ//এবং আল্লাহ//খুব দেখেন//ঐ বিষয়ে যা//তারা কাজ করছে"
            },
            {
              "number": 457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/457.mp3"
              ],
              "text": "لَقَدْ مَنَّ ٱللَّهُ عَلَى ٱلْمُؤْمِنِينَ إِذْ بَعَثَ فِيهِمْ رَسُولًۭا مِّنْ أَنفُسِهِمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَٰتِهِۦ وَيُزَكِّيهِمْ وَيُعَلِّمُهُمُ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَإِن كَانُوا۟ مِن قَبْلُ لَفِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "আল্লাহ ঈমানদারদের উপর অনুগ্রহ করেছেন যে, তাদের মাঝে তাদের নিজেদের মধ্য থেকে নবী পাঠিয়েছেন। তিনি তাদের জন্য তাঁর আয়াতসমূহ পাঠ করেন। তাদেরকে পরিশোধন করেন এবং তাদেরকে কিতাব ও কাজের কথা শিক্ষা দেন। বস্তুতঃ তারা ছিল পূর্ব থেকেই পথভ্রষ্ট।",
              "numberInSurah": 164,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "লাকাদ মান্নাল্লা-হু ‘আলাল মু’মিনীনা ইযবা‘আছা ফীহিম রাছূলাম মিন আনফুছিহিম ইয়াতলূ‘আলাইহিম আ-য়া-তিহী ওয়া ইউঝাক্কীহিম ওয়া ইউ‘আলিলমুহুমুল কিতা-বা ওয়াল হিকমাতা ওয়া ইন কা-নূমিন কাবলূলাফী দালা-লিম মুবীন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//مَنَّ/مَنَّ/manna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اِذْ/إِذۡ/idh//بَعَثَ/بَعَثَ/ba'atha//فِیْهِمْ/فِيهِمۡ/fihim//رَسُوْلًا/رَسُولٗا/rasulan//مِّنْ/مِّنۡ/min//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//یَتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//وَ یُزَكِّیْهِمْ/وَيُزَكِّيهِمۡ/wayuzakkihim//وَ یُعَلِّمُهُمُ/وَيُعَلِّمُهُمُ/wayu'allimuhumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ ۚ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ اِنْ/وَإِن/wa-in//كَانُوْا/كَانُواْ/kanu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//لَفِیْ/لَفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "নিশ্চয়//অনুগ্রহ করেছেন//আল্লাহ//উপর//মু'মিনদের//যখন//প্রেরণ করেন//তাদের মধ্যে//একজন রাসূল//মধ্য হতে//তাদের নিজেদের//সে পাঠ করে//তাদের কাছে//তাঁর নিদর্শনগুলো//ও পরিশুদ্ধ করে তাদেরকে//এবং শিক্ষা দেয় তাদেরকে//কিতাব//ও প্রজ্ঞা//এবং যদিও//তারা ছিল//(থেকে)//ইতিপূর্বে//অবশ্যই মধ্যে//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/458.mp3"
              ],
              "text": "أَوَلَمَّآ أَصَٰبَتْكُم مُّصِيبَةٌۭ قَدْ أَصَبْتُم مِّثْلَيْهَا قُلْتُمْ أَنَّىٰ هَٰذَا ۖ قُلْ هُوَ مِنْ عِندِ أَنفُسِكُمْ ۗ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "যখন তোমাদের উপর একটি মুসীবত এসে পৌছাল, অথচ তোমরা তার পূর্বেই দ্বিগুণ কষ্টে পৌছে গিয়েছ, তখন কি তোমরা বলবে, এটা কোথা থেকে এল? তাহলে বলে দাও, এ কষ্ট তোমাদের উপর পৌছেছে তোমারই পক্ষ থেকে। নিশ্চয়ই আল্লাহ প্রত্যেক বিষয়ের উপর ক্ষমতাশীল।",
              "numberInSurah": 165,
              "juz": 4,
              "manzil": 1,
              "page": 71,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম্মা-আসা-বাতকুম মুসীবাতুন কাদ আসাবতুম মিছলাইহা- কুলতুম আন্না-হাযা-কুল হুওয়া মিন ‘ইনদি আনফুছিকুম ইন্নাল্লা-হা ‘আলা-কুল্লি শাইইন কাদীর।",
              "words_arabic": "اَوَ لَمَّاۤ/أَوَلَمَّآ/awalamma//اَصَابَتْكُمْ/أَصَٰبَتۡكُم/asabatkum//مُّصِیْبَةٌ/مُّصِيبَةٞ/musibatun//قَدْ/قَدۡ/qad//اَصَبْتُمْ/أَصَبۡتُم/asabtum//مِّثْلَیْهَا ۙ/مِّثۡلَيۡهَا/mith'layha//قُلْتُمْ/قُلۡتُمۡ/qul'tum//اَنّٰی/أَنَّىٰ/anna//هٰذَا ؕ/هَٰذَاۖ/hadha//قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اَنْفُسِكُمْ ؕ/أَنفُسِكُمۡۗ/anfusikum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "না কি যখন//তোমাদের কাছে পৌঁছে//কোন মুসিবত//(অথচ) নিশ্চয়//তোমরা পৌঁছেছো (তাদের মুসিবতে)//তার দ্বিগুণ//তোমরা বলেছিলে//কোথা থেকে//''এটা (আসল)//তুমি বল''//তা (এসেছে)//''থেকে//কাছ//তোমাদের নিজেদের''//নিশ্চয়//আল্লাহ//উপর//সব//কিছুর//ক্ষমতাবান"
            },
            {
              "number": 459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/459.mp3"
              ],
              "text": "وَمَآ أَصَٰبَكُمْ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ فَبِإِذْنِ ٱللَّهِ وَلِيَعْلَمَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর যেদিন দু’দল সৈন্যের মোকাবিলা হয়েছে; সেদিন তোমাদের উপর যা আপতিত হয়েছে তা আল্লাহর হুকুমেই হয়েছে এবং তা এজন্য যে, তাতে ঈমানদারদিগকে জানা যায়।",
              "numberInSurah": 166,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআসা-বাকুম ইয়াওমাল তাকাল জাম‘আ-নি ফাবিইযনিল্লা-হি ওয়ালিইয়া‘লামাল মু’মিনীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَصَابَكُمْ/أَصَٰبَكُمۡ/asabakum//یَوْمَ/يَوۡمَ/yawma//الْتَقَی/ٱلۡتَقَى/al-taqa//الْجَمْعٰنِ/ٱلۡجَمۡعَانِ/al-jam'ani//فَبِاِذْنِ/فَبِإِذۡنِ/fabi-idh'ni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//الْمُؤْمِنِیْنَۙ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং যা (মুসিবত)//পৌঁছেছে তোমাদের//দিনে//মুকাবিলার//দুই দলের//তা (এসেছে) অনুমতিক্রমে//আল্লাহর//এবং তিনি যেন জানেন//মু'মিনদেরকে"
            },
            {
              "number": 460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/460.mp3"
              ],
              "text": "وَلِيَعْلَمَ ٱلَّذِينَ نَافَقُوا۟ ۚ وَقِيلَ لَهُمْ تَعَالَوْا۟ قَٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ أَوِ ٱدْفَعُوا۟ ۖ قَالُوا۟ لَوْ نَعْلَمُ قِتَالًۭا لَّٱتَّبَعْنَٰكُمْ ۗ هُمْ لِلْكُفْرِ يَوْمَئِذٍ أَقْرَبُ مِنْهُمْ لِلْإِيمَٰنِ ۚ يَقُولُونَ بِأَفْوَٰهِهِم مَّا لَيْسَ فِى قُلُوبِهِمْ ۗ وَٱللَّهُ أَعْلَمُ بِمَا يَكْتُمُونَ",
              "translate_bn": "এবং তাদেরকে যাতে সনাক্ত করা যায় যারা মুনাফিক ছিল। আর তাদেরকে বলা হল এসো, আল্লাহর রাহে লড়াই কর কিংবা শত্রুদিগকে প্রতিহত কর। তারা বলেছিল, আমরা যদি জানতাম যে, লড়াই হবে, তাহলে অবশ্যই তোমাদের সাথে থাকতাম। সে দিন তারা ঈমানের তুলনায় কুফরীর কাছাকাছি ছিল। যা তাদের অন্তরে নেই তারা নিজের মুখে সে কথাই বলে বস্তুতঃআল্লাহ ভালভাবে জানেন তারা যা কিছু গোপন করে থাকে।",
              "numberInSurah": 167,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিইয়া‘লামাল্লাযীনা না-ফাকূওয়া কীলা লাহুম তা‘আ-লাও কা-তিলূফী ছাবীলিল্লা-হি আবিদ ফা‘ঊ কা-লূলাও না‘লামুকিতা-লাল্লাত্তাবা‘না-কুম হুম লিলকুফরি ইয়াওমাইযিন আকরাবুমিনহুম লিলঈমা-নি ইয়াকূলূনা বিআফওয়া-হিহিম মা-লাইছা ফী কুলূবিহিম ওয়াল্লা-হু আ‘লামুবিমা-ইয়াকতুমূন।",
              "words_arabic": "وَ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//نَافَقُوْا ۖۚ/نَافَقُواْۚ/nafaqu//وَ قِیْلَ/وَقِيلَ/waqila//لَهُمْ/لَهُمۡ/lahum//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//قَاتِلُوْا/قَٰتِلُواْ/qatilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اَوِ/أَوِ/awi//ادْفَعُوْا ؕ/ٱدۡفَعُواْۖ/id'fa'u//قَالُوْا/قَالُواْ/qalu//لَوْ/لَوۡ/law//نَعْلَمُ/نَعۡلَمُ/na'lamu//قِتَالًا/قِتَالٗا/qitalan//لَّا تَّبَعْنٰكُمْ ؕ/لَّٱتَّبَعۡنَٰكُمۡۗ/la-ittaba'nakum//هُمْ/هُمۡ/hum//لِلْكُفْرِ/لِلۡكُفۡرِ/lil'kuf'ri//یَوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//اَقْرَبُ/أَقۡرَبُ/aqrabu//مِنْهُمْ/مِنۡهُمۡ/min'hum//لِلْاِیْمَانِ ۚ/لِلۡإِيمَٰنِۚ/lil'imani//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//بِاَفْوَاهِهِمْ/بِأَفۡوَٰهِهِم/bi-afwahihim//مَّا/مَّا/ma//لَیْسَ/لَيۡسَ/laysa//فِیْ/فِي/fi//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۚ/qulubihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَكْتُمُوْنَۚ/يَكۡتُمُونَ/yaktumuna",
              "words_bangla": "ও জানেন যেন//(তাদেরকে) যারা//মুনাফিকি করেছে//এবং বলা হল//তাদেরকে//''তোমরা এস//তোমরা যুদ্ধ কর//(মধ্যে)//পথে//আল্লাহর//বা//তোমরা প্রতিরক্ষা কর''//তারা বলেছিল//''যদি//আমরা জানতাম//যুদ্ধ (হবে)//অবশ্যই তোমাদের আমরা অনুসরণ করতাম''//তারা//কুফরীর ক্ষেত্রে//সেদিন (ছিল)//বেশী নিকটে//তাদের মধ্যে//ঈমানের চেয়ে//তারা বলে (এমন কথা)//তাদের মুখগুলো দিয়ে//যা//নাই//মধ্যে//তাদের অন্তরে//এবং আল্লাহ//খুব জানেন//ঐ বিষয়ে যা//তারা গোপন করেছে"
            },
            {
              "number": 461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/461.mp3"
              ],
              "text": "ٱلَّذِينَ قَالُوا۟ لِإِخْوَٰنِهِمْ وَقَعَدُوا۟ لَوْ أَطَاعُونَا مَا قُتِلُوا۟ ۗ قُلْ فَٱدْرَءُوا۟ عَنْ أَنفُسِكُمُ ٱلْمَوْتَ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "ওরা হলো যে সব লোক, যারা বসে থেকে নিজেদের ভাইদের সম্বদ্ধে বলে, যদি তারা আমাদের কথা শুনত, তবে নিহত হত না। তাদেরকে বলে দিন, এবার তোমাদের নিজেদের উপর থেকে মৃত্যুকে সরিয়ে দাও, যদি তোমরা সত্যবাদী হয়ে থাক।",
              "numberInSurah": 168,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কা-লূলিইখওয়া-নিহিম ওয়াকা‘আদূলাও আতা-‘ঊনা-মা-কুতিলূ কুল ফাদরাঊ ‘আন আনফুছিকুমুল মাওতা ইন কুনতুম সা-দিকীন।\r\n",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْا/قَالُواْ/qalu//لِاِخْوَانِهِمْ/لِإِخۡوَٰنِهِمۡ/li-ikh'wanihim//وَ قَعَدُوْا/وَقَعَدُواْ/waqa'adu//لَوْ/لَوۡ/law//اَطَاعُوْنَا/أَطَاعُونَا/ata'una//مَا/مَا/ma//قُتِلُوْا ؕ/قُتِلُواْۗ/qutilu//قُلْ/قُلۡ/qul//فَادْرَءُوْا/فَٱدۡرَءُواْ/fa-id'rau//عَنْ/عَنۡ/an//اَنْفُسِكُمُ/أَنفُسِكُمُ/anfusikumu//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "যারা//বলেছিল//তাদের ভাইদের সম্পর্কে//ও তারা বসে ছিল (ঘরে)//''যদি//আমাদের আনুগত্য করত//না//তারা নিহত হতো''//বল//''তোমরা তাহলে দূরে সরাও//হতে//তোমাদের নিজেদের//মৃত্যুকে//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/462.mp3"
              ],
              "text": "وَلَا تَحْسَبَنَّ ٱلَّذِينَ قُتِلُوا۟ فِى سَبِيلِ ٱللَّهِ أَمْوَٰتًۢا ۚ بَلْ أَحْيَآءٌ عِندَ رَبِّهِمْ يُرْزَقُونَ",
              "translate_bn": "আর যারা আল্লাহর রাহে নিহত হয়, তাদেরকে তুমি কখনো মৃত মনে করো না। বরং তারা নিজেদের পালনকর্তার নিকট জীবিত ও জীবিকাপ্রাপ্ত।",
              "numberInSurah": 169,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাহছাবান্নাল্লাযীনা কুতিলূফী ছাবীলিল্লা-হি আমওয়া-তাম বাল আহইয়াউন ‘ইনদা রাব্বিহিম ইউরঝাকুন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَحْسَبَنَّ/تَحۡسَبَنَّ/tahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قُتِلُوْا/قُتِلُواْ/qutilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اَمْوَاتًا ؕ/أَمۡوَٰتَۢاۚ/amwatan//بَلْ/بَلۡ/bal//اَحْیَآءٌ/أَحۡيَآءٌ/ahyaon//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یُرْزَقُوْنَۙ/يُرۡزَقُونَ/yur'zaquna",
              "words_bangla": "এবং না//মনে করো//(তাদেরকে) যারা//নিহত হয়েছে//(মধ্যে)//পথে//আল্লাহর//(তারা) মৃত//বরং//তারা জীবিত//কাছে//তাদের রবের//তাদের রিয্ক‌ দেয়া হয়"
            },
            {
              "number": 463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/463.mp3"
              ],
              "text": "فَرِحِينَ بِمَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ وَيَسْتَبْشِرُونَ بِٱلَّذِينَ لَمْ يَلْحَقُوا۟ بِهِم مِّنْ خَلْفِهِمْ أَلَّا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "আল্লাহ নিজের অনুগ্রহ থেকে যা দান করেছেন তার প্রেক্ষিতে তারা আনন্দ উদযাপন করছে। আর যারা এখনও তাদের কাছে এসে পৌঁছেনি তাদের পেছনে তাদের জন্যে আনন্দ প্রকাশ করে। কারণ, তাদের কোন ভয় ভীতিও নেই এবং কোন চিন্তা ভাবনাও নেই।",
              "numberInSurah": 170,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 28,
              "sajda": false,
              "pronunciation_bn": "ফারিহীনা বিমা-আ-তা-হুমুল্লা-হু মিন ফাদলিহী ওয়াইয়াছতাবশিরূনা বিল্লাযীনা লাম ইয়ালহাকূবিহিম মিন খালফিহিম আল্লা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "فَرِحِیْنَ/فَرِحِينَ/farihina//بِمَاۤ/بِمَآ/bima//اٰتٰىهُمُ/ءَاتَىٰهُمُ/atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ ۙ/فَضۡلِهِۦ/fadlihi//وَ یَسْتَبْشِرُوْنَ/وَيَسۡتَبۡشِرُونَ/wayastabshiruna//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//لَمْ/لَمۡ/lam//یَلْحَقُوْا/يَلۡحَقُواْ/yalhaqu//بِهِمْ/بِهِم/bihim//مِّنْ/مِّنۡ/min//خَلْفِهِمْ ۙ/خَلۡفِهِمۡ/khalfihim//اَلَّا/أَلَّا/alla//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَۘ/يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "তারা খুশী হয়েছে//যা কিছু//তাদের দিয়েছেন//আল্লাহ//(থেকে)//তাঁর অনুগ্রহে//এবং তারা আনন্দিত হবে (এসব জেনে)//(তাদের) জন্য যারা//নাই//মিলিত হয়//তাদের সাথে//(থেকে)//তাদের পিছনে (রয়ে গেছে এখনো)//যে না//কোন ভয় (আছে)//তাদের জন্য//এবং না//তারা//দুঃখিত হবে"
            },
            {
              "number": 464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/464.mp3"
              ],
              "text": "۞ يَسْتَبْشِرُونَ بِنِعْمَةٍۢ مِّنَ ٱللَّهِ وَفَضْلٍۢ وَأَنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আল্লাহর নেয়ামত ও অনুগ্রহের জন্যে তারা আনন্দ প্রকাশ করে এবং তা এভাবে যে, আল্লাহ, ঈমানদারদের শ্রমফল বিনষ্ট করেন না।",
              "numberInSurah": 171,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 58,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ইয়াছতাবশিরূনা বিনি‘মাতিম মিনাল্লা-হি ওয়াফাদলিওঁ ওয়া আন্নাল্লা-হা লা-ইউদী‘উ আজরাল মু’মিনীন।",
              "words_arabic": "یَسْتَبْشِرُوْنَ/۞يَسۡتَبۡشِرُونَ/yastabshiruna//بِنِعْمَةٍ/بِنِعۡمَةٖ/bini'matin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ فَضْلٍ ۙ/وَفَضۡلٖ/wafadlin//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُضِیْعُ/يُضِيعُ/yudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "তারা আনন্দিত হবে//নিয়ামতের কারণে//পক্ষ হতে//আল্লাহর//ও অনুগ্রহে//এবং (এও) যে//আল্লাহ//না//নষ্ট করেন//পুরস্কার//ঈমানদারদের"
            },
            {
              "number": 465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/465.mp3"
              ],
              "text": "ٱلَّذِينَ ٱسْتَجَابُوا۟ لِلَّهِ وَٱلرَّسُولِ مِنۢ بَعْدِ مَآ أَصَابَهُمُ ٱلْقَرْحُ ۚ لِلَّذِينَ أَحْسَنُوا۟ مِنْهُمْ وَٱتَّقَوْا۟ أَجْرٌ عَظِيمٌ",
              "translate_bn": "যারা আহত হয়ে পড়ার পরেও আল্লাহ এবং তাঁর রসূলের নির্দেশ মান্য করেছে, তাদের মধ্যে যারা সৎ ও পরহেযগার, তাদের জন্য রয়েছে মহান সওয়াব।",
              "numberInSurah": 172,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনাছতা জা-বূলিল্লা-হি ওয়ার রাছূলি মিম বা‘দি মা-আসা-বাহুমুল কারহু লিল্লাযীনা আহছানূমিনহুম ওয়াত্তাকাও আজরুন ‘আজীম।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَجَابُوْا/ٱسۡتَجَابُواْ/is'tajabu//لِلّٰهِ/لِلَّهِ/lillahi//وَ الرَّسُوْلِ/وَٱلرَّسُولِ/wal-rasuli//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَاۤ/مَآ/ma//اَصَابَهُمُ/أَصَابَهُمُ/asabahumu//الْقَرْحُ ۛؕ/ٱلۡقَرۡحُۚ/al-qarhu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اَحْسَنُوْا/أَحۡسَنُواْ/ahsanu//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ اتَّقَوْا/وَٱتَّقَوۡاْ/wa-ittaqaw//اَجْرٌ/أَجۡرٌ/ajrun//عَظِیْمٌۚ/عَظِيمٌ/azimun",
              "words_bangla": "যারা//সাড়া দেয়//আল্লাহর//ও রাসূলের (ডাকে)//(থেকে)//এরপরেও//যা//তাদের পৌঁছেছে//আঘাত//তাদের জন্য//নেকী করেছে (যারা)//তাদের মধ্যে//ও ভয় করেছে (আল্লাহকে)//পুরস্কার (রয়েছে)//বিরাট"
            },
            {
              "number": 466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/466.mp3"
              ],
              "text": "ٱلَّذِينَ قَالَ لَهُمُ ٱلنَّاسُ إِنَّ ٱلنَّاسَ قَدْ جَمَعُوا۟ لَكُمْ فَٱخْشَوْهُمْ فَزَادَهُمْ إِيمَٰنًۭا وَقَالُوا۟ حَسْبُنَا ٱللَّهُ وَنِعْمَ ٱلْوَكِيلُ",
              "translate_bn": "যাদেরকে লোকেরা বলেছে যে, তোমাদের সাথে মোকাবেলা করার জন্য লোকেরা সমাবেশ করেছে বহু সাজ-সরঞ্জাম; তাদের ভয় কর। তখন তাদের বিশ্বাস আরও দৃঢ়তর হয়ে যায় এবং তারা বলে, আমাদের জন্য আল্লাহই যথেষ্ট; কতই না চমৎকার কামিয়াবীদানকারী।",
              "numberInSurah": 173,
              "juz": 4,
              "manzil": 1,
              "page": 72,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কা-লা লাহুমুন্না-ছুইন্নান্না-ছা কাদ জামা‘ঊ লাকুম ফাখশাওহুম ফাঝা-দাহুম ঈমা-নাওঁ ওয়া কা-লূহাছবুনাল্লা-হু ওয়ানিমা‘ল ওয়াকীল।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالَ/قَالَ/qala//لَهُمُ/لَهُمُ/lahumu//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنَّ/إِنَّ/inna//النَّاسَ/ٱلنَّاسَ/al-nasa//قَدْ/قَدۡ/qad//جَمَعُوْا/جَمَعُواْ/jama'u//لَكُمْ/لَكُمۡ/lakum//فَاخْشَوْهُمْ/فَٱخۡشَوۡهُمۡ/fa-ikh'shawhum//فَزَادَهُمْ/فَزَادَهُمۡ/fazadahum//اِیْمَانًا ۖۗ/إِيمَٰنٗا/imanan//وَّ قَالُوْا/وَقَالُواْ/waqalu//حَسْبُنَا/حَسۡبُنَا/hasbuna//اللّٰهُ/ٱللَّهُ/al-lahu//وَ نِعْمَ/وَنِعۡمَ/wani'ma//الْوَكِیْلُ /ٱلۡوَكِيلُ/al-wakilu",
              "words_bangla": "(এমন) যারা//বলেছিল//তাদেরকে//লোকেরা//''নিশ্চয়//সব লোক (অর্থাৎ বড় বাহিনী)//অবশ্যই//জমা হয়েছে//তোমাদের জন্য//তাই ভয় কর তাদেরকে''//কিন্তু তাদের বেড়ে গেল//ঈমান//এবং তারা বলেছিল//''আমাদের জন্য যথেষ্ট//আল্লাহই//এবং (তিনিই) উত্তম//অভিভাবক''"
            },
            {
              "number": 467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/467.mp3"
              ],
              "text": "فَٱنقَلَبُوا۟ بِنِعْمَةٍۢ مِّنَ ٱللَّهِ وَفَضْلٍۢ لَّمْ يَمْسَسْهُمْ سُوٓءٌۭ وَٱتَّبَعُوا۟ رِضْوَٰنَ ٱللَّهِ ۗ وَٱللَّهُ ذُو فَضْلٍ عَظِيمٍ",
              "translate_bn": "অতঃপর ফিরে এল মুসলমানরা আল্লাহর অনুগ্রহ নিয়ে, তদের কিছুই অনিষ্ট হলো না। তারপর তারা আল্লাহর ইচ্ছার অনুগত হল। বস্তুতঃ আল্লাহর অনুগ্রহ অতি বিরাট।",
              "numberInSurah": 174,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ফানকালাবূ বিনি‘মাতিম মিনাল্লা-হি ওয়া ফাদলিল্লাম ইয়ামছাছহুম ছূূউওঁ ওয়াত্তাবা‘ঊ রিদওয়া-নাল্লা-হি ওয়াল্লা-হু যুফাদলিন ‘আজীম।",
              "words_arabic": "فَانْقَلَبُوْا/فَٱنقَلَبُواْ/fa-inqalabu//بِنِعْمَةٍ/بِنِعۡمَةٖ/bini'matin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ فَضْلٍ/وَفَضۡلٖ/wafadlin//لَّمْ/لَّمۡ/lam//یَمْسَسْهُمْ/يَمۡسَسۡهُمۡ/yamsashum//سُوْٓءٌ ۙ/سُوٓءٞ/suon//وَّ اتَّبَعُوْا/وَٱتَّبَعُواْ/wa-ittaba'u//رِضْوَانَ/رِضۡوَٰنَ/rid'wana//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُوْ/ذُو/dhu//فَضْلٍ/فَضۡلٍ/fadlin//عَظِیْمٍ /عَظِيمٍ/azimin",
              "words_bangla": "তারা ফলে ফিরে এল//অবদানে//(থেকে)//আল্লাহর//ও (তাঁর) অনুগ্রহে//নাই//তাদের স্পর্শ করে//কোন অকল্যাণ//এবং তারা অনুসরণ করেছিল//সন্তুষ্টির//আল্লাহর//এবং আল্লাহ//(একটি)//অনুগ্রহশীল//মহান"
            },
            {
              "number": 468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/468.mp3"
              ],
              "text": "إِنَّمَا ذَٰلِكُمُ ٱلشَّيْطَٰنُ يُخَوِّفُ أَوْلِيَآءَهُۥ فَلَا تَخَافُوهُمْ وَخَافُونِ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "এরা যে রয়েছে, এরাই হলে শয়তান, এরা নিজেদের বন্ধুদের ব্যাপারে ভীতি প্রদর্শন করে। সুতরাং তোমরা তাদের ভয় করো না। আর তোমরা যদি ঈমানদার হয়ে থাক, তবে আমাকে ভয় কর।",
              "numberInSurah": 175,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-যা-লিকুমুশশাইতা-নুইউখাওবিফুআওলিয়াআহু ফালা-তাখা-ফূহুম ওয়া খা-ফূনি ইন কুনতুম মু’মিনীন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//یُخَوِّفُ/يُخَوِّفُ/yukhawwifu//اَوْلِیَآءَهٗ ۪/أَوۡلِيَآءَهُۥ/awliyaahu//فَلَا/فَلَا/fala//تَخَافُوْهُمْ/تَخَافُوهُمۡ/takhafuhum//وَ خَافُوْنِ/وَخَافُونِ/wakhafuni//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "মূলত//তোমাদের এই//শয়তানই//ভয় দেখায়//তার বন্ধুদেরকে//অতএব না//তোমরা ভয় কর তাদেরকে//বরং আমাকেই তোমরা ভয় কর//যদি//তোমরা হও//মু'মিন"
            },
            {
              "number": 469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/469.mp3"
              ],
              "text": "وَلَا يَحْزُنكَ ٱلَّذِينَ يُسَٰرِعُونَ فِى ٱلْكُفْرِ ۚ إِنَّهُمْ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًۭٔا ۗ يُرِيدُ ٱللَّهُ أَلَّا يَجْعَلَ لَهُمْ حَظًّۭا فِى ٱلْءَاخِرَةِ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌ",
              "translate_bn": "আর যারা কুফরের দিকে ধাবিত হচ্ছে তারা যেন তোমাদিগকে চিন্তাম্বিত করে না তোলে। তারা আল্লাহ তা’আলার কোন কিছুই অনিষ্ট সাধন করতে পারবে না। আখেরাতে তাদেরকে কোন কল্যাণ দান না করাই আল্লাহর ইচ্ছা। বস্তুতঃ তাদের জন্যে রয়েছে মহা শাস্তি।",
              "numberInSurah": 176,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহঝুনকাল্লাযীনা ইউছা-রি‘ঊনা ফিল কুফরি ইন্নাহুম লাইঁ ইয়াদুররুল্লা-হা শাইআইঁ ইউরীদুল্লা-হু আল্লা-ইয়াজ‘আলা লাহুম হাজ্জান ফিল আ-খিরাতি ওয়া লাহুম ‘আযা-বুন ‘আজীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحْزُنْكَ/يَحۡزُنكَ/yahzunka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُسَارِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِی/فِي/fi//الْكُفْرِ ۚ/ٱلۡكُفۡرِۚ/al-kuf'ri//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَنْ/لَن/lan//یَّضُرُّوا/يَضُرُّواْ/yadurru//اللّٰهَ/ٱللَّهَ/al-laha//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//اَلَّا/أَلَّا/alla//یَجْعَلَ/يَجۡعَلَ/yaj'ala//لَهُمْ/لَهُمۡ/lahum//حَظًّا/حَظّٗا/hazzan//فِی/فِي/fi//الْاٰخِرَةِ ۚ/ٱلۡأٓخِرَةِۖ/al-akhirati//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٌ/azimun",
              "words_bangla": "এবং না//তোমাকে (যেন) চিন্তিত করে//(তারা) যারা//তৎপর হয়েছে//মধ্যে//কুফরীর//তারা নিশ্চয়//কক্ষনো না//ক্ষতি করতে পারবে//আল্লাহর//কিছুমাত্রও//চান//আল্লাহ//যে না//রাখবেন//তাদের জন্য//কোন অংশ//মধ্যে//আখিরাতের//এবং তাদের জন্য রয়েছে//শাস্তি//বড় কঠিন"
            },
            {
              "number": 470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/470.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلْكُفْرَ بِٱلْإِيمَٰنِ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًۭٔا وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যারা ঈমানের পরিবর্তে কুফর ক্রয় করে নিয়েছে, তারা আল্লাহ তা’আলার কিছুই ক্ষতিসাধন করতে পারবে না। আর তাদের জন্য রয়েছে বেদনাদায়ক শাস্তি।",
              "numberInSurah": 177,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনাশতারাউল কুফরা বিলঈমা-নি লাই ইয়াদুরুল্লা-হা শাইআওঁ ওয়ালাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اشْتَرَوُا/ٱشۡتَرَوُاْ/ish'tarawu//الْكُفْرَ/ٱلۡكُفۡرَ/al-kuf'ra//بِالْاِیْمَانِ/بِٱلۡإِيمَٰنِ/bil-imani//لَنْ/لَن/lan//یَّضُرُّوا/يَضُرُّواْ/yadurru//اللّٰهَ/ٱللَّهَ/al-laha//شَیْـًٔا ۚ/شَيۡـٔٗاۖ/shayan//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "নিশ্চয়//যারা//ক্রয় করেছে//কুফরীকে//ঈমানের বদলে//কক্ষনো না//ক্ষতি করতে পারবে//আল্লাহকে//কিছুমাত্রও//এবং তাদের জন্য রয়েছে//শাস্তি//বড়ই কষ্টদায়ক"
            },
            {
              "number": 471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/471.mp3"
              ],
              "text": "وَلَا يَحْسَبَنَّ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّمَا نُمْلِى لَهُمْ خَيْرٌۭ لِّأَنفُسِهِمْ ۚ إِنَّمَا نُمْلِى لَهُمْ لِيَزْدَادُوٓا۟ إِثْمًۭا ۚ وَلَهُمْ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "কাফেররা যেন মনে না করে যে আমি যে, অবকাশ দান করি, তা তাদের পক্ষে কল্যাণকর। আমি তো তাদেরকে অবকাশ দেই যাতে করে তারা পাপে উন্নতি লাভ করতে পারে। বস্তুতঃ তাদের জন্য রয়েছে লাঞ্ছনাজনক শাস্তি।",
              "numberInSurah": 178,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহছাবান্নাল্লাযীনা কাফারূআন্নামা-নুমলী লাহুম খাইরুল লিআনফুছিহম ইন্নামা-নুমলী লাহুম লিইয়াঝদা-দূ ইছমাওঁ ওয়ালাহুম ‘আযা-বুম মুহীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحْسَبَنَّ/يَحۡسَبَنَّ/yahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنَّمَا/أَنَّمَا/annama//نُمْلِیْ/نُمۡلِي/num'li//لَهُمْ/لَهُمۡ/lahum//خَیْرٌ/خَيۡرٞ/khayrun//لِّاَنْفُسِهِمْ ؕ/لِّأَنفُسِهِمۡۚ/li-anfusihim//اِنَّمَا/إِنَّمَا/innama//نُمْلِیْ/نُمۡلِي/num'li//لَهُمْ/لَهُمۡ/lahum//لِیَزْدَادُوْۤا/لِيَزۡدَادُوٓاْ/liyazdadu//اِثْمًا ۚ/إِثۡمٗاۖ/ith'man//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ /مُّهِينٞ/muhinun",
              "words_bangla": "এবং না//(যেন) তারা মনে করে//যারা//কুফরী করেছে//এই যে//আমরা ঢিল দিই//তাদেরকে//উত্তম//তাদের নিজেদের জন্য//মূলত//আমরা ঢিল দিই//তাদেরকে//তারা বৃদ্ধি করে যেন//পাপ//এবং তাদের জন্য (রয়েছে)//শাস্তি//বড় অপমানকর"
            },
            {
              "number": 472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/472.mp3"
              ],
              "text": "مَّا كَانَ ٱللَّهُ لِيَذَرَ ٱلْمُؤْمِنِينَ عَلَىٰ مَآ أَنتُمْ عَلَيْهِ حَتَّىٰ يَمِيزَ ٱلْخَبِيثَ مِنَ ٱلطَّيِّبِ ۗ وَمَا كَانَ ٱللَّهُ لِيُطْلِعَكُمْ عَلَى ٱلْغَيْبِ وَلَٰكِنَّ ٱللَّهَ يَجْتَبِى مِن رُّسُلِهِۦ مَن يَشَآءُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۚ وَإِن تُؤْمِنُوا۟ وَتَتَّقُوا۟ فَلَكُمْ أَجْرٌ عَظِيمٌۭ",
              "translate_bn": "নাপাককে পাক থেকে পৃথক করে দেয়া পর্যন্ত আল্লাহ এমন নন যে, ঈমানদারগণকে সে অবস্থাতেই রাখবেন যাতে তোমরা রয়েছ, আর আল্লাহ এমন নন যে, তোমাদিগকে গায়বের সংবাদ দেবেন। কিন্তু আল্লাহ স্বীয় রসূল গণের মধ্যে যাকে ইচ্ছা বাছাই করে নিয়েছেন। সুতরাং আল্লাহর ওপর এবং তাঁর রসূলগণের ওপর তোমরা প্রত্যয় স্থাপন কর। বস্তুতঃ তোমরা যদি বিশ্বাস ও পরহেযগারীর ওপর প্রতিষ্ঠিত থেকে থাক, তবে তোমাদের জন্যে রয়েছে বিরাট প্রতিদান।",
              "numberInSurah": 179,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "মা-কা-নাল্লা-হু লিইয়াযারাল মু’মিনীনা ‘আলা-মাআনতুম ‘আলাইহি হাত্তা-ইয়ামীঝাল খাবীছা মিনাত্তাইয়িবি ওয়ামা-কা-নাল্লা-হু লিইউতলি‘আকুম ‘আলাল গাইবি ওয়ালাকিনাল্লা-হা ইয়াজতাবী মিররুছুলিহী মাইঁ ইয়াশাউ ফাআ-মিনূবিল্লা-হি ওয়ারুছুলিহী ওয়া ইন তু’মিনূওয়া তাত্তাকূফালাকুম আজরুন ‘আজীম।",
              "words_arabic": "مَا/مَّا/ma//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَذَرَ/لِيَذَرَ/liyadhara//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اَنْتُمْ/أَنتُمۡ/antum//عَلَیْهِ/عَلَيۡهِ/alayhi//حَتّٰی/حَتَّىٰ/hatta//یَمِیْزَ/يَمِيزَ/yamiza//الْخَبِیْثَ/ٱلۡخَبِيثَ/al-khabitha//مِنَ/مِنَ/mina//الطَّیِّبِ ؕ/ٱلطَّيِّبِۗ/al-tayibi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُطْلِعَكُمْ/لِيُطۡلِعَكُمۡ/liyut'li'akum//عَلَی/عَلَى/ala//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یَجْتَبِیْ/يَجۡتَبِي/yajtabi//مِنْ/مِن/min//رُّسُلِهٖ/رُّسُلِهِۦ/rusulihi//مَنْ/مَن/man//یَّشَآءُ ۪/يَشَآءُۖ/yashau//فَاٰمِنُوْا/فَـَٔامِنُواْ/faaminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖ ۚ/وَرُسُلِهِۦۚ/warusulihi//وَ اِنْ/وَإِن/wa-in//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//فَلَكُمْ/فَلَكُمۡ/falakum//اَجْرٌ/أَجۡرٌ/ajrun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "নয়//(পদ্ধতি)//আল্লাহর//যে ছেড়ে দিবেন//মু'মিনদেরকে (এমনি)//উপর//যেমন//তোমরা (আছ)//তার উপর//যতক্ষণ না//পৃথক করবেন//নাপাক (অসৎ লোকদের)//হতে//পাক (সৎ লোকদের)//এবং নয়//(পদ্ধতি)//আল্লাহর//তোমাদের খবর দেয়া//সম্পর্কে//গায়েবের//কিন্তু//আল্লাহ//বাছাই করে নেন//মধ্য হতে//তাঁর রাসূলগণের//যাকে//তিনি চান//তোমরা তাই ঈমান আন//আল্লাহর উপর//ও তাঁর রাসূলদের (উপর)//এবং যদি//তোমরা ঈমান আন//ও তোমরা ভয় কর//তবে তোমাদের জন্য//পুরস্কার (রয়েছে)//বিরাট"
            },
            {
              "number": 473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/473.mp3"
              ],
              "text": "وَلَا يَحْسَبَنَّ ٱلَّذِينَ يَبْخَلُونَ بِمَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ هُوَ خَيْرًۭا لَّهُم ۖ بَلْ هُوَ شَرٌّۭ لَّهُمْ ۖ سَيُطَوَّقُونَ مَا بَخِلُوا۟ بِهِۦ يَوْمَ ٱلْقِيَٰمَةِ ۗ وَلِلَّهِ مِيرَٰثُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "আল্লাহ তাদেরকে নিজের অনুগ্রহে যা দান করেছেন তাতে যারা কৃপণতা করে এই কার্পন্য তাদের জন্য মঙ্গলকর হবে বলে তারা যেন ধারণা না করে। বরং এটা তাদের পক্ষে একান্তই ক্ষতিকর প্রতিপন্ন হবে। যাতে তারা কার্পন্য করে সে সমস্ত ধন-সম্পদকে কিয়ামতের দিন তাদের গলায় বেড়ী বানিয়ে পরানো হবে। আর আল্লাহ হচ্ছেন আসমান ও যমীনের পরম সত্ত্বাধিকারী। আর যা কিছু তোমরা কর; আল্লাহ সে সম্পর্কে জানেন।",
              "numberInSurah": 180,
              "juz": 4,
              "manzil": 1,
              "page": 73,
              "ruku": 59,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহছাবান্নাল্লাযীনা ইয়াবখালূনা বিমাআ-তা-হুমুল্লা-হু মিন ফাদলিহী হুওয়া খাইরাল্লাহুম বাল হুওয়া শাররুল্লাহুম ছাইউতাওওয়াকূনা মা-বাখিলূবিহী ইয়াওমাল কিয়া-মাতি ওয়ালিল্লা-হি মীরাছুছ ছামা-ওয়া-তি ওয়াল আরদিওয়াল্লাহু বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحْسَبَنَّ/يَحۡسَبَنَّ/yahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَبْخَلُوْنَ/يَبۡخَلُونَ/yabkhaluna//بِمَاۤ/بِمَآ/bima//اٰتٰىهُمُ/ءَاتَىٰهُمُ/atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//هُوَ/هُوَ/huwa//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ ؕ/لَّهُمۖ/lahum//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//شَرٌّ/شَرّٞ/sharrun//لَّهُمْ ؕ/لَّهُمۡۖ/lahum//سَیُطَوَّقُوْنَ/سَيُطَوَّقُونَ/sayutawwaquna//مَا/مَا/ma//بَخِلُوْا/بَخِلُواْ/bakhilu//بِهٖ/بِهِۦ/bihi//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مِیْرَاثُ/مِيرَٰثُ/mirathu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ۠/خَبِيرٞ/khabirun",
              "words_bangla": "এবং না (যেন)//তারা মনে করে//যারা//কৃপণতা করে//যা//তাদের দিয়েছেন//আল্লাহ//মধ্য হতে//তাঁর অনুগ্রহের//তা//কল্যাণ//তাদের জন্য//বরং//তা//অকল্যাণ//তাদের জন্য//তাদের (গলায়) বেড়ি পরানো হবে//যা//তারা কৃপণতা করেছে//তার//দিনে//কিয়ামাতের//এবং আল্লাহরই জন্য//সত্ত্বাধিকার//আকাশমন্ডলীর//ও পৃথিবীর//এবং আল্লাহ//সে সম্পর্কে যা//তোমরা কাজ করছ//খুবই অবহিত"
            },
            {
              "number": 474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/474.mp3"
              ],
              "text": "لَّقَدْ سَمِعَ ٱللَّهُ قَوْلَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ فَقِيرٌۭ وَنَحْنُ أَغْنِيَآءُ ۘ سَنَكْتُبُ مَا قَالُوا۟ وَقَتْلَهُمُ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّۢ وَنَقُولُ ذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ",
              "translate_bn": "নিঃসন্দেহে আল্লাহ তাদের কথা শুনেছেন, যারা বলেছে যে, আল্লাহ হচ্ছেন অভাবগ্রস্ত আর আমরা বিত্তবান! এখন আমি তাদের কথা এবং যেসব নবীকে তারা অন্যায়ভাবে হত্যা করেছে তা লিখে রাখব, অতঃপর বলব, আস্বাদন কর জ্বলন্ত আগুনের আযাব।",
              "numberInSurah": 181,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "লাকাদ ছামি‘আল্লা-হু কাওলাল্লাযীনা কালূইন্নাল্লা-হা ফাকীরুওঁ ওয়ানাহনু আগনিয়াউ । ছানাকতুবুমা-কা-লূওয়া কাতলাহুমুল আম্বিয়াআ বিগাইরি হাক্কিওঁ ওয়া নাকূলুযূকূ‘আযা-বাল হারীক।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//سَمِعَ/سَمِعَ/sami'a//اللّٰهُ/ٱللَّهُ/al-lahu//قَوْلَ/قَوۡلَ/qawla//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//فَقِیْرٌ/فَقِيرٞ/faqirun//وَّ نَحْنُ/وَنَحۡنُ/wanahnu//اَغْنِیَآءُ ۘ/أَغۡنِيَآءُۘ/aghniyau//سَنَكْتُبُ/سَنَكۡتُبُ/sanaktubu//مَا/مَا/ma//قَالُوْا/قَالُواْ/qalu//وَ قَتْلَهُمُ/وَقَتۡلَهُمُ/waqatlahumu//الْاَنْۢبِیَآءَ/ٱلۡأَنۢبِيَآءَ/al-anbiyaa//بِغَیْرِ/بِغَيۡرِ/bighayri//حَقٍّ ۙ/حَقّٖ/haqqin//وَّ نَقُوْلُ/وَنَقُولُ/wanaqulu//ذُوْقُوْا/ذُوقُواْ/dhuqu//عَذَابَ/عَذَابَ/adhaba//الْحَرِیْقِ /ٱلۡحَرِيقِ/al-hariqi",
              "words_bangla": "নিশ্চয়//শুনেছেন//আল্লাহ//(তাদের) কথা//যারা//বলেছিল//''নিশ্চয়//আল্লাহ//দরিদ্র//আর আমরা//ধনী''//আমরা লিখে রাখবো//যা//তারা বলেছিল//ও তাদের হত্যা করা//নবীদেরকে//ব্যাতিত//ন্যায়ভাবে//এবং আমরা বলব//''তোমরা স্বাদ নাও//শাস্তির//দহনের''"
            },
            {
              "number": 475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/475.mp3"
              ],
              "text": "ذَٰلِكَ بِمَا قَدَّمَتْ أَيْدِيكُمْ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّامٍۢ لِّلْعَبِيدِ",
              "translate_bn": "এ হল তারই প্রতিফল যা তোমরা ইতিপূর্বে নিজের হাতে পাঠিয়েছ। বস্তুতঃ আল্লাহ বান্দাদের প্রতি অত্যাচার করেন না।",
              "numberInSurah": 182,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিমা-কাদ্দামাত আইদীকুম ওয়া আন্নাল্লা-হা লাইছা বিজাল্লা-মিল লিল‘আবীদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْكُمْ/أَيۡدِيكُمۡ/aydikum//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَیْسَ/لَيۡسَ/laysa//بِظَلَّامٍ/بِظَلَّامٖ/bizallamin//لِّلْعَبِیْدِۚ/لِّلۡعَبِيدِ/lil'abidi",
              "words_bangla": "এটা//একারণে যা//আগে পাঠিয়েছে//তোমাদের হাত (অর্থাৎ) কৃতকর্ম//এবং নিশ্চয়//আল্লাহ//নন//জুলুমকারী//বান্দাদের উপর"
            },
            {
              "number": 476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/476.mp3"
              ],
              "text": "ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ عَهِدَ إِلَيْنَآ أَلَّا نُؤْمِنَ لِرَسُولٍ حَتَّىٰ يَأْتِيَنَا بِقُرْبَانٍۢ تَأْكُلُهُ ٱلنَّارُ ۗ قُلْ قَدْ جَآءَكُمْ رُسُلٌۭ مِّن قَبْلِى بِٱلْبَيِّنَٰتِ وَبِٱلَّذِى قُلْتُمْ فَلِمَ قَتَلْتُمُوهُمْ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "সে সমস্ত লোক, যারা বলে যে, আল্লাহ আমাদিগকে এমন কোন রসূলের ওপর বিশ্বাস না করতে বলে রেখেছেন যতক্ষণ না তারা আমাদের নিকট এমন কোরবানী নিয়ে আসবেন যাকে আগুন গ্রাস করে নেবে। তুমি তাদের বলে দাও, তোমাদের মাঝে আমার পূর্বে বহু রসূল নিদর্শনসমূহ এবং তোমরা যা আব্দার করেছ তা নিয়ে এসেছিলেন, তখন তোমরা কেন তাদেরকে হত্যা করলে যদি তোমরা সত্য হয়ে থাক।",
              "numberInSurah": 183,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কা-লূইন্নাল্লা-হা ‘আহিদা ইলাইনাআল্লা-নু’মিনা লিরাছূলিন হাত্তাইয়া’তিইয়ানা-বিকুরবা-নিন তা’কুলুহুন্না-রু কুল কাদ জাআকুম রুছুলুম মিন কাবলী বিলবাইয়িনা-তি ওয়াবিল্লাযী কুলতুম ফালিমা কাতালতুমূহুম ইন কুনতুম সা-দিকীন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَهِدَ/عَهِدَ/ahida//اِلَیْنَاۤ/إِلَيۡنَآ/ilayna//اَلَّا/أَلَّا/alla//نُؤْمِنَ/نُؤۡمِنَ/nu'mina//لِرَسُوْلٍ/لِرَسُولٍ/lirasulin//حَتّٰی/حَتَّىٰ/hatta//یَاْتِیَنَا/يَأۡتِيَنَا/yatiyana//بِقُرْبَانٍ/بِقُرۡبَانٖ/biqur'banin//تَاْكُلُهُ/تَأۡكُلُهُ/takuluhu//النَّارُ ؕ/ٱلنَّارُۗ/al-naru//قُلْ/قُلۡ/qul//قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رُسُلٌ/رُسُلٞ/rusulun//مِّنْ/مِّن/min//قَبْلِیْ/قَبۡلِي/qabli//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ بِالَّذِیْ/وَبِٱلَّذِي/wabi-alladhi//قُلْتُمْ/قُلۡتُمۡ/qul'tum//فَلِمَ/فَلِمَ/falima//قَتَلْتُمُوْهُمْ/قَتَلۡتُمُوهُمۡ/qataltumuhum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "যারা//বলে//''নিশ্চয়//আল্লাহ//নির্দেশ দিয়েছেন//আমাদের প্রতি//যে না//আমরা ঈমান আনব//কোন রাসূলের উপর//যতক্ষণ না//আমাদের কাছে নিয়ে আসবে//এক কুরবানী//তা খেয়ে ফেলবে//(অদৃশ্যের) আগুন''//বল//''নিশ্চয়//তোমাদের কাছে এসেছে//অনেক রাসূল//(থেকে)//আমার পূর্বে//উজ্জ্বল নিদর্শন সহকারে//এবং ঐ বিষয়ে যা//তোমরা বলেছ//তবে কেন//তোমরা হত্যা করেছ তাদেরকে//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/477.mp3"
              ],
              "text": "فَإِن كَذَّبُوكَ فَقَدْ كُذِّبَ رُسُلٌۭ مِّن قَبْلِكَ جَآءُو بِٱلْبَيِّنَٰتِ وَٱلزُّبُرِ وَٱلْكِتَٰبِ ٱلْمُنِيرِ",
              "translate_bn": "তাছাড়া এরা যদি তোমাকে মিথ্যা প্রতিপন্ন করে, তবে তোমার পূর্বেও এরা এমন বহু নবীকে মিথ্যা প্রতিপন্ন করেছে, যারা নিদর্শন সমূহ নিয়ে এসেছিলেন। এবং এনেছিলেন সহীফা ও প্রদীপ্ত গ্রন্থ।",
              "numberInSurah": 184,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "ফাইন কাযযাবূকা ফাকাদ কুযযিবা রুছুলুম মিন কাবলিকা জাঊ বিলবাইয়িনা-তি ওয়াঝঝুবুরি ওয়াল কিতা-বিল মুনীর।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//كَذَّبُوْكَ/كَذَّبُوكَ/kadhabuka//فَقَدْ/فَقَدۡ/faqad//كُذِّبَ/كُذِّبَ/kudhiba//رُسُلٌ/رُسُلٞ/rusulun//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//جَآءُوْ/جَآءُو/jau//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ الزُّبُرِ/وَٱلزُّبُرِ/wal-zuburi//وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//الْمُنِیْرِ /ٱلۡمُنِيرِ/al-muniri",
              "words_bangla": "যদি তবুও//তোমাকে অস্বীকার করে//তবে (নতুন কিছু নয়)//অস্বীকার করেছে//রাসূলদেরকে//(থেকে)//তোমার পূর্বেও//তারা এসেছিল//সুস্পষ্ট নিদর্শনসহ//ও (অনেক) সহীফা//ও কিতাব//আলোকদানকারী (সাথে নিয়ে)"
            },
            {
              "number": 478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/478.mp3"
              ],
              "text": "كُلُّ نَفْسٍۢ ذَآئِقَةُ ٱلْمَوْتِ ۗ وَإِنَّمَا تُوَفَّوْنَ أُجُورَكُمْ يَوْمَ ٱلْقِيَٰمَةِ ۖ فَمَن زُحْزِحَ عَنِ ٱلنَّارِ وَأُدْخِلَ ٱلْجَنَّةَ فَقَدْ فَازَ ۗ وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا مَتَٰعُ ٱلْغُرُورِ",
              "translate_bn": "প্রত্যেক প্রাণীকে আস্বাদন করতে হবে মৃত্যু। আর তোমরা কিয়ামতের দিন পরিপূর্ণ বদলা প্রাপ্ত হবে। তারপর যাকে দোযখ থেকে দূরে রাখা হবে এবং জান্নাতে প্রবেশ করানো হবে, তার কার্যসিদ্ধি ঘটবে। আর পার্থিব জীবন ধোঁকা ছাড়া অন্য কোন সম্পদ নয়।",
              "numberInSurah": 185,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 29,
              "sajda": false,
              "pronunciation_bn": "কুল্লুনাফছিন যাইকাতুল মাওতি ওয়া ইন্নামা-তুওয়াফফাওনা উজূরাকুম ইয়াওমাল কিয়া-মাতি ফামান ঝুহঝিহা ‘আনিন্না-রি ওয়া উদখিলাল জান্নাতা ফাকাদ ফা-ঝা ওয়ামাল হায়া-তুদ্দুনইয়া-ইল্লা-মাতা-‘উল গুরুর।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//ذَآىِٕقَةُ/ذَآئِقَةُ/dhaiqatu//الْمَوْتِ ؕ/ٱلۡمَوۡتِۗ/al-mawti//وَ اِنَّمَا/وَإِنَّمَا/wa-innama//تُوَفَّوْنَ/تُوَفَّوۡنَ/tuwaffawna//اُجُوْرَكُمْ/أُجُورَكُمۡ/ujurakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۖ/al-qiyamati//فَمَنْ/فَمَن/faman//زُحْزِحَ/زُحۡزِحَ/zuh'ziha//عَنِ/عَنِ/ani//النَّارِ/ٱلنَّارِ/al-nari//وَ اُدْخِلَ/وَأُدۡخِلَ/wa-ud'khila//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//فَقَدْ/فَقَدۡ/faqad//فَازَ ؕ/فَازَۗ/faza//وَ مَا/وَمَا/wama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَاۤ/ٱلدُّنۡيَآ/al-dun'ya//اِلَّا/إِلَّا/illa//مَتَاعُ/مَتَٰعُ/mata'u//الْغُرُوْرِ /ٱلۡغُرُورِ/al-ghururi",
              "words_bangla": "প্রত্যেক//ব্যক্তিই//স্বাদ গ্রহণকারী (হবে)//মৃত্যুর//এবং প্রকৃতপক্ষে//তোমাদের পূর্ণ দেয়া হবে//তোমাদের পুরস্কার সমূহ//দিনে//কিয়ামাতের//অতঃপর যাকে//রক্ষা করা হবে//থেকে//আগুন//এবং প্রবেশ করানো হবে//জান্নাতে//তবে নিশ্চয়//সে সফল হবে//এবং নয়//জীবন//দুনিয়ার//এ ছাড়া//সামগ্রী//ধোঁকার"
            },
            {
              "number": 479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/479.mp3"
              ],
              "text": "۞ لَتُبْلَوُنَّ فِىٓ أَمْوَٰلِكُمْ وَأَنفُسِكُمْ وَلَتَسْمَعُنَّ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ مِن قَبْلِكُمْ وَمِنَ ٱلَّذِينَ أَشْرَكُوٓا۟ أَذًۭى كَثِيرًۭا ۚ وَإِن تَصْبِرُوا۟ وَتَتَّقُوا۟ فَإِنَّ ذَٰلِكَ مِنْ عَزْمِ ٱلْأُمُورِ",
              "translate_bn": "অবশ্য ধন-সম্পদে এবং জনসম্পদে তোমাদের পরীক্ষা হবে এবং অবশ্য তোমরা শুনবে পূর্ববর্তী আহলে কিতাবদের কাছে এবং মুশরেকদের কাছে বহু অশোভন উক্তি। আর যদি তোমরা ধৈর্য্য ধারণ কর এবং পরহেযগারী অবলম্বন কর, তবে তা হবে একান্ত সৎসাহসের ব্যাপার।",
              "numberInSurah": 186,
              "juz": 4,
              "manzil": 1,
              "page": 74,
              "ruku": 60,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "লাতুবলাউন্না ফীআমওয়া-লিকুম ওয়া আনফুছিকুম ওয়ালা তাছমা‘উন্না মিনাল্লাযীনা ঊতুল কিতা-বা মিন কাবলিকুম ওয়া মিনাল্লাযীনা আশরাকূআযান কাছীরাওঁ ওয়া ইন তাসবিরু ওয়া তাত্তাকূফাইন্না যা-লিকা মিন ‘আঝমিল উমূর।",
              "words_arabic": "لَتُبْلَوُنَّ/۞لَتُبۡلَوُنَّ/latub'lawunna//فِیْۤ/فِيٓ/fi//اَمْوَالِكُمْ/أَمۡوَٰلِكُمۡ/amwalikum//وَاَنْفُسِكُمْ ۫/وَأَنفُسِكُمۡ/wa-anfusikum//وَ لَتَسْمَعُنَّ/وَلَتَسۡمَعُنَّ/walatasma'unna//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//وَ مِنَ/وَمِنَ/wamina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَشْرَكُوْۤا/أَشۡرَكُوٓاْ/ashraku//اَذًی/أَذٗى/adhan//كَثِیْرًا ؕ/كَثِيرٗاۚ/kathiran//وَ اِنْ/وَإِن/wa-in//تَصْبِرُوْا/تَصۡبِرُواْ/tasbiru//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//فَاِنَّ/فَإِنَّ/fa-inna//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//عَزْمِ/عَزۡمِ/azmi//الْاُمُوْرِ /ٱلۡأُمُورِ/al-umuri",
              "words_bangla": "তোমাদের অবশ্যই পরীক্ষা করা হবে//মধ্যে//তোমাদের সম্পদ সমূহের//ও তোমাদের জান সমূহে//এবং তোমরা অবশ্যই শুনবে//তাদের থেকে//যাদের//দেয়া হয়েছে//কিতাব//(থেকে)//তোমাদের পূর্বে//এবং হতেও//(তাদের) যারা//শিরক করেছে//কষ্টদায়ক (কথা)//অনেক//এবং যদি//তোমরা সবর কর//ও তোমরা তাকওয়া অবলম্বন কর//তবে নিশ্চয়//এটা//অন্যতম//দৃঢ় সংকল্পের//ব্যাপার"
            },
            {
              "number": 480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/480.mp3"
              ],
              "text": "وَإِذْ أَخَذَ ٱللَّهُ مِيثَٰقَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ لَتُبَيِّنُنَّهُۥ لِلنَّاسِ وَلَا تَكْتُمُونَهُۥ فَنَبَذُوهُ وَرَآءَ ظُهُورِهِمْ وَٱشْتَرَوْا۟ بِهِۦ ثَمَنًۭا قَلِيلًۭا ۖ فَبِئْسَ مَا يَشْتَرُونَ",
              "translate_bn": "আর আল্লাহ যখন আহলে কিতাবদের কাছ থেকে প্রতিজ্ঞা গ্রহণ করলেন যে, তা মানুষের নিকট বর্ণনা করবে এবং গোপন করবে না, তখন তারা সে প্রতিজ্ঞাকে নিজেদের পেছনে ফেলে রাখল আর তার কেনা-বেচা করল সামান্য মূল্যের বিনিময়ে। সুতরাং কতই না মন্দ তাদের এ বেচা-কেনা।",
              "numberInSurah": 187,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 60,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআখাযাল্লা-হু মীছাকাল্লাযীনা ঊতুল কিতা-বা লাতুবাইয়িনুন্নাহূ লিন্না-ছি ওয়ালাতাকতুমূনাহূ ফানাবাযূহু ওয়ারাআ জুহূরিহিম ওয়াশতারাও বিহী ছামানান কালীলান ফাবি’ছা মা-ইয়াশতারূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذَ/أَخَذَ/akhadha//اللّٰهُ/ٱللَّهُ/al-lahu//مِیْثَاقَ/مِيثَٰقَ/mithaqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//لَتُبَیِّنُنَّهٗ/لَتُبَيِّنُنَّهُۥ/latubayyinunnahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ لَا/وَلَا/wala//تَكْتُمُوْنَهٗ ؗ/تَكۡتُمُونَهُۥ/taktumunahu//فَنَبَذُوْهُ/فَنَبَذُوهُ/fanabadhuhu//وَرَآءَ/وَرَآءَ/waraa//ظُهُوْرِهِمْ/ظُهُورِهِمۡ/zuhurihim//وَ اشْتَرَوْا/وَٱشۡتَرَوۡاْ/wa-ish'taraw//بِهٖ/بِهِۦ/bihi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؕ/قَلِيلٗاۖ/qalilan//فَبِئْسَ/فَبِئۡسَ/fabi'sa//مَا/مَا/ma//یَشْتَرُوْنَ /يَشۡتَرُونَ/yashtaruna",
              "words_bangla": "এবং (স্মরণ কর) যখন//নিয়েছিলেন//আল্লাহ//প্রতিশ্রুতি//(তাদের থেকে) যাদেরকে//দেয়া হয়েছিল//কিতাব//''তা অবশ্যই তোমরা প্রচার করবে//লোকদের জন্য//এবং না//তোমরা গোপন করবে তা//অতঃপর তারা ফেলে দিল তা//পিছনে//তাদের পিঠের (অর্থাৎ অগ্রাহ্য করল)//এবং তারা ক্রয় করল//তা দিয়ে//মূল্যের (জিনিস)//অতি অল্প//অতএব কত নিকৃষ্ট//যা//তারা ক্রয় করে"
            },
            {
              "number": 481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/481.mp3"
              ],
              "text": "لَا تَحْسَبَنَّ ٱلَّذِينَ يَفْرَحُونَ بِمَآ أَتَوا۟ وَّيُحِبُّونَ أَن يُحْمَدُوا۟ بِمَا لَمْ يَفْعَلُوا۟ فَلَا تَحْسَبَنَّهُم بِمَفَازَةٍۢ مِّنَ ٱلْعَذَابِ ۖ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তুমি মনে করো না, যারা নিজেদের কৃতকর্মের উপর আনন্দিত হয় এবং না করা বিষয়ের জন্য প্রশংসা কামনা করে, তারা আমার নিকট থেকে অব্যাহতি লাভ করেছে। বস্তুতঃ তাদের জন্যে রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 188,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 60,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "লা-তাহছাবান্নাল্লাযীনা ইয়াফরাহূনা বিমাআতাওঁ ওয়া ইউহিববূনা আইঁ ইউহমাদূবিমালাম ইয়াফ‘আলূফালা-তাহছাবান্নাহুম বিমাফা-ঝাতিম মিনাল ‘আযা-বি ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "لَا/لَا/la//تَحْسَبَنَّ/تَحۡسَبَنَّ/tahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَفْرَحُوْنَ/يَفۡرَحُونَ/yafrahuna//بِمَاۤ/بِمَآ/bima//اَتَوْا/أَتَواْ/ataw//وَّ یُحِبُّوْنَ/وَّيُحِبُّونَ/wayuhibbuna//اَنْ/أَن/an//یُّحْمَدُوْا/يُحۡمَدُواْ/yuh'madu//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//یَفْعَلُوْا/يَفۡعَلُواْ/yaf 'alu//فَلَا/فَلَا/fala//تَحْسَبَنَّهُمْ/تَحۡسَبَنَّهُم/tahsabannahum//بِمَفَازَةٍ/بِمَفَازَةٖ/bimafazatin//مِّنَ/مِّنَ/mina//الْعَذَابِ ۚ/ٱلۡعَذَابِۖ/al-'adhabi//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "না//তারা (যেন) মনে করে//মনে করে//যারা আনুন্দ করে//ঐ বিষয়ে যা//তারা করেছে//তারা পছন্দ করে//যে//তাদের প্রশংসা করা হোক//ঐবিষয়ে যা//নাই//তারা করেও//অতএব না//তাদের মনে করবে//নিরাপদ স্থানে//হতে//আজাব//এবং তাদের জন্য রয়েছে//শাস্তি//কষ্টদায়ক"
            },
            {
              "number": 482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/482.mp3"
              ],
              "text": "وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "আর আল্লাহর জন্যই হল আসমান ও যমিনের বাদশাহী। আল্লাহই সর্ব বিষয়ে ক্ষমতার অধিকারী।",
              "numberInSurah": 189,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 60,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি মুলকুছ ছামা-ওয়া-তি ওয়াল আরদিওয়াল্লাহু ‘আলা-কুল্লি শাইইন কাদীর।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ۠/قَدِيرٌ/qadirun",
              "words_bangla": "এবং আল্লাহর জন্য//রাজত্ব//আকাশমন্ডলীর//ও পৃথিবীর//এবং আল্লাহ//উপর//সব//কিছুর//ক্ষমতাবান"
            },
            {
              "number": 483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/483.mp3"
              ],
              "text": "إِنَّ فِى خَلْقِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَٰفِ ٱلَّيْلِ وَٱلنَّهَارِ لَءَايَٰتٍۢ لِّأُو۟لِى ٱلْأَلْبَٰبِ",
              "translate_bn": "নিশ্চয় আসমান ও যমীন সৃষ্টিতে এবং রাত্রি ও দিনের আবর্তনে নিদর্শন রয়েছে বোধ সম্পন্ন লোকদের জন্যে।",
              "numberInSurah": 190,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী খালকিছ ছামা-ওয়া-তি ওয়াল আরদিওয়াখতিলা-ফিল্লাইলি ওয়ান্নাহা-রি লাআ-য়াতিল লিঊলিল আলবা-ব।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//خَلْقِ/خَلۡقِ/khalqi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ اخْتِلَافِ/وَٱخۡتِلَٰفِ/wa-ikh'tilafi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّاُولِی/لِّأُوْلِي/li-uli//الْاَلْبَابِۚۙ/ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "নিশ্চয়//মধ্যে রয়েছে//সৃষ্টির//আকাশ সমূহের//ও পৃথিবীর//ও আবর্তনে//রাতের//এবং দিনের//অবশ্যই নিদর্শন সমূহ//জন্য//বুদ্ধিমানদের"
            },
            {
              "number": 484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/484.mp3"
              ],
              "text": "ٱلَّذِينَ يَذْكُرُونَ ٱللَّهَ قِيَٰمًۭا وَقُعُودًۭا وَعَلَىٰ جُنُوبِهِمْ وَيَتَفَكَّرُونَ فِى خَلْقِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ رَبَّنَا مَا خَلَقْتَ هَٰذَا بَٰطِلًۭا سُبْحَٰنَكَ فَقِنَا عَذَابَ ٱلنَّارِ",
              "translate_bn": "যাঁরা দাঁড়িয়ে, বসে, ও শায়িত অবস্থায় আল্লাহকে স্মরণ করে এবং চিন্তা গবেষণা করে আসমান ও জমিন সৃষ্টির বিষযে, (তারা বলে) পরওয়ারদেগার! এসব তুমি অনর্থক সৃষ্টি করনি। সকল পবিত্রতা তোমারই, আমাদিগকে তুমি দোযখের শাস্তি থেকে বাঁচাও।",
              "numberInSurah": 191,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াযকুরূনাল্লা-হা কিয়া-মাওঁ ওয়াকু‘ঊদাওঁ ওয়া‘আলা-জুনূবিহিম ওয়া ইয়াতাফাক্কারূনা ফী খালকিছছামা-ওয়া-তি ওয়াল আরদিরাব্বানা-মা-খালাকতা হাযা-বা-তিলান ছুবহা-নাকা ফাকিনা-‘আযা-বান্না-র।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَذْكُرُوْنَ/يَذۡكُرُونَ/yadhkuruna//اللّٰهَ/ٱللَّهَ/al-laha//قِیٰمًا/قِيَٰمٗا/qiyaman//وَّ قُعُوْدًا/وَقُعُودٗا/waqu'udan//وَّ عَلٰی/وَعَلَىٰ/wa'ala//جُنُوْبِهِمْ/جُنُوبِهِمۡ/junubihim//وَ یَتَفَكَّرُوْنَ/وَيَتَفَكَّرُونَ/wayatafakkaruna//فِیْ/فِي/fi//خَلْقِ/خَلۡقِ/khalqi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِ/wal-ardi//رَبَّنَا/رَبَّنَا/rabbana//مَا/مَا/ma//خَلَقْتَ/خَلَقۡتَ/khalaqta//هٰذَا/هَٰذَا/hadha//بَاطِلًا ۚ/بَٰطِلٗا/batilan//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//فَقِنَا/فَقِنَا/faqina//عَذَابَ/عَذَابَ/adhaba//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "যারা//স্মরণ করে//আল্লাহ্‌কে//দাঁড়িয়ে//ও বসে//এবং উপর//তাদের পার্শ্ব সমূহের (শুয়ে)//আর তারা চিন্তা গবেষণা করে//বিষয়ে//সৃষ্টির//আকাশ মন্ডলীর//ও পৃথিবীর//''(তারা বলে) হে আমাদের রব//না//তুমি সৃষ্টি করেছ//এটা//অর্থহীন//তুমিই পবিত্র//অতঃপর আমাদেরকে বাঁচাও//শাস্তি (হতে)//আগুনের"
            },
            {
              "number": 485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/485.mp3"
              ],
              "text": "رَبَّنَآ إِنَّكَ مَن تُدْخِلِ ٱلنَّارَ فَقَدْ أَخْزَيْتَهُۥ ۖ وَمَا لِلظَّٰلِمِينَ مِنْ أَنصَارٍۢ",
              "translate_bn": "হে আমাদের পালনকর্তা! নিশ্চয় তুমি যাকে দোযখে নিক্ষেপ করলে তাকে সবসময়ে অপমানিত করলে; আর জালেমদের জন্যে তো সাহায্যকারী নেই।",
              "numberInSurah": 192,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাইন্নাকা মান তুদখিলিন্না-রা ফাকাদ আখঝাইতাহূ ওয়ামা-লিজ্জা-লিমীনা মিন আনসা-র।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّكَ/إِنَّكَ/innaka//مَنْ/مَن/man//تُدْخِلِ/تُدۡخِلِ/tud'khili//النَّارَ/ٱلنَّارَ/al-nara//فَقَدْ/فَقَدۡ/faqad//اَخْزَیْتَهٗ ؕ/أَخۡزَيۡتَهُۥۖ/akhzaytahu//وَ مَا/وَمَا/wama//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِنۡ/min//اَنْصَارٍ /أَنصَارٖ/ansarin",
              "words_bangla": "হে আমাদের রব//নিশ্চয় তুমি//যাকে//প্রবেশ করাও//আগুনে//তাহলে নিশ্চয়//তাকে তুমি অপমান করলে//এবং নাই//জালিমদের জন্য//কোন//সাহায্যকারী"
            },
            {
              "number": 486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/486.mp3"
              ],
              "text": "رَّبَّنَآ إِنَّنَا سَمِعْنَا مُنَادِيًۭا يُنَادِى لِلْإِيمَٰنِ أَنْ ءَامِنُوا۟ بِرَبِّكُمْ فَـَٔامَنَّا ۚ رَبَّنَا فَٱغْفِرْ لَنَا ذُنُوبَنَا وَكَفِّرْ عَنَّا سَيِّـَٔاتِنَا وَتَوَفَّنَا مَعَ ٱلْأَبْرَارِ",
              "translate_bn": "হে আমাদের পালনকর্তা! আমরা নিশ্চিতরূপে শুনেছি একজন আহবানকারীকে ঈমানের প্রতি আহবান করতে যে, তোমাদের পালনকর্তার প্রতি ঈমান আন; তাই আমরা ঈমান এনেছি। হে আমাদের পালনকর্তা! অতঃপর আমাদের সকল গোনাহ মাফ কর এবং আমাদের সকল দোষত্রুটি দুর করে দাও, আর আমাদের মৃত্যু দাও নেক লোকদের সাথে।",
              "numberInSurah": 193,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-ইন্নানা-ছামি‘না-মুনা-দিআইঁ ইউনা-দী লিল ঈমা-নি আন আ-মিনূবিরাব্বিকুম ফাআমান্না-রাব্বানা-ফাগফিরলানা-যুনূবানা-ওয়াকাফফির‘আন্না-ছাইয়িআ-তিনাওয়াতাওয়াফফানা-মা‘আল আব রা-র।",
              "words_arabic": "رَبَّنَاۤ/رَّبَّنَآ/rabbana//اِنَّنَا/إِنَّنَا/innana//سَمِعْنَا/سَمِعۡنَا/sami'na//مُنَادِیًا/مُنَادِيٗا/munadiyan//یُّنَادِیْ/يُنَادِي/yunadi//لِلْاِیْمَانِ/لِلۡإِيمَٰنِ/lil'imani//اَنْ/أَنۡ/an//اٰمِنُوْا/ءَامِنُواْ/aminu//بِرَبِّكُمْ/بِرَبِّكُمۡ/birabbikum//فَاٰمَنَّا ۖۗ/فَـَٔامَنَّاۚ/faamanna//رَبَّنَا/رَبَّنَا/rabbana//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لَنَا/لَنَا/lana//ذُنُوْبَنَا/ذُنُوبَنَا/dhunubana//وَ كَفِّرْ/وَكَفِّرۡ/wakaffir//عَنَّا/عَنَّا/anna//سَیِّاٰتِنَا/سَيِّـَٔاتِنَا/sayyiatina//وَ تَوَفَّنَا/وَتَوَفَّنَا/watawaffana//مَعَ/مَعَ/ma'a//الْاَبْرَارِۚ/ٱلۡأَبۡرَارِ/al-abrari",
              "words_bangla": "হে আমাদের রব//আমরা নিশ্চয়//আমরা শুনেছি//একজন আহ্বানকারীকে//আহ্বান করতে//ঈমানের দিকে//(এ বলে) যে//''তোমরা ঈমান আন//তোমাদের রবের প্রতি''//ফলে আমরা ঈমান এনেছি//হে আমাদের রব//অতএব মাফ কর//আমাদের জন্য//আমাদের অপরাধগুলোকে//ও দুর কর//আমাদের থেকে//আমাদের দোষত্রুটি//এবং আমাদের মৃত্যু দাও//সাথে//নেক লোকদের"
            },
            {
              "number": 487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/487.mp3"
              ],
              "text": "رَبَّنَا وَءَاتِنَا مَا وَعَدتَّنَا عَلَىٰ رُسُلِكَ وَلَا تُخْزِنَا يَوْمَ ٱلْقِيَٰمَةِ ۗ إِنَّكَ لَا تُخْلِفُ ٱلْمِيعَادَ",
              "translate_bn": "হে আমাদের পালনকর্তা! আমাদেরকে দাও, যা তুমি ওয়াদা করেছ তোমার রসূলগণের মাধ্যমে এবং কিয়ামতের দিন আমাদিগকে তুমি অপমানিত করো না। নিশ্চয় তুমি ওয়াদা খেলাফ করো না।",
              "numberInSurah": 194,
              "juz": 4,
              "manzil": 1,
              "page": 75,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-ওয়া আ-তিনা-মা-ওয়া-‘আত্তানা-‘আলা-রুছুলিকা ওয়ালা-তুখঝিনা-ইয়াওমাল কিয়া-মাতি ইন্নাকা লা-তুখলিফুল মী‘আ-দ।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//وَ اٰتِنَا/وَءَاتِنَا/waatina//مَا/مَا/ma//وَعَدْتَّنَا/وَعَدتَّنَا/wa'adttana//عَلٰی/عَلَىٰ/ala//رُسُلِكَ/رُسُلِكَ/rusulika//وَ لَا/وَلَا/wala//تُخْزِنَا/تُخۡزِنَا/tukh'zina//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۖ/al-qiyamati//اِنَّكَ/إِنَّكَ/innaka//لَا/لَا/la//تُخْلِفُ/تُخۡلِفُ/tukh'lifu//الْمِیْعَادَ /ٱلۡمِيعَادَ/al-mi'ada",
              "words_bangla": "হে আমাদের রব//আমাদেরকে দাও এবং//যা//আমাদেরকে তুমি ওয়াদা করেছ//নিকট//তোমার রাসূলদের//না এবং//আমাদেরকে অপমান করো//দিন//কিয়ামাতের//নিশ্চয় তুমি//না//খেলাফ কর//ওয়াদার''"
            },
            {
              "number": 488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/488.mp3"
              ],
              "text": "فَٱسْتَجَابَ لَهُمْ رَبُّهُمْ أَنِّى لَآ أُضِيعُ عَمَلَ عَٰمِلٍۢ مِّنكُم مِّن ذَكَرٍ أَوْ أُنثَىٰ ۖ بَعْضُكُم مِّنۢ بَعْضٍۢ ۖ فَٱلَّذِينَ هَاجَرُوا۟ وَأُخْرِجُوا۟ مِن دِيَٰرِهِمْ وَأُوذُوا۟ فِى سَبِيلِى وَقَٰتَلُوا۟ وَقُتِلُوا۟ لَأُكَفِّرَنَّ عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَأُدْخِلَنَّهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ثَوَابًۭا مِّنْ عِندِ ٱللَّهِ ۗ وَٱللَّهُ عِندَهُۥ حُسْنُ ٱلثَّوَابِ",
              "translate_bn": "অতঃপর তাদের পালনকর্তা তাদের দোয়া (এই বলে) কবুল করে নিলেন যে, আমি তোমাদের কোন পরিশ্রমকারীর পরিশ্রমই বিনষ্ট করি না, তা সে পুরুষ হোক কিংবা স্ত্রীলোক। তোমরা পরস্পর এক। তারপর সে সমস্ত লোক যারা হিজরত করেছে, তাদেরকে নিজেদের দেশ থেকে বের করে দেওয়া হয়েছে এবং তাদের প্রতি উৎপীড়ন করা হয়েছে আমার পথে এবং যারা লড়াই করেছে ও মৃত্যুবরণ করেছে, অবশ্যই আমি তাদের উপর থেকে অকল্যাণকে অপসারিত করব। এবং তাদেরকে প্রবিষ্ট করব জান্নাতে যার তলদেশে নহর সমূহ প্রবাহিত। এই হলো বিনিময় আল্লাহর পক্ষ থেকে। আর আল্লাহর নিকট রয়েছে উত্তম বিনিময়।",
              "numberInSurah": 195,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ফাছতাজাবা-লাহুম রাব্বুহুম আন্নী লাউদী‘উ ‘আমালা ‘আমিলিম মিনকুম মিন যাকারিন আও উনছা-বা‘দুকুম মিম বা‘দিন ফাল্লাযীনা হা-জারু ওয়া উখরিজুমিন দিয়া-রিহিম ওয়া ঊযূফী ছাবীলী ওয়া কা-তালূওয়া কুতিলূলাউকাফফিরান্না ‘আনহুম ছাইয়িআ-তিহিম ওয়ালা উদখিলান্নাহুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ছাওয়া-বাম মিন ‘ইনদিল্লা-হি ওয়াল্লা-হু ‘ইনদাহু হুছনুছছাওয়া-ব।",
              "words_arabic": "فَاسْتَجَابَ/فَٱسۡتَجَابَ/fa-is'tajaba//لَهُمْ/لَهُمۡ/lahum//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//اَنِّیْ/أَنِّي/anni//لَاۤ/لَآ/la//اُضِیْعُ/أُضِيعُ/udi'u//عَمَلَ/عَمَلَ/amala//عَامِلٍ/عَٰمِلٖ/amilin//مِّنْكُمْ/مِّنكُم/minkum//مِّنْ/مِّن/min//ذَكَرٍ/ذَكَرٍ/dhakarin//اَوْ/أَوۡ/aw//اُنْثٰی ۚ/أُنثَىٰۖ/untha//بَعْضُكُمْ/بَعۡضُكُم/ba'dukum//مِّنْۢ/مِّنۢ/min//بَعْضٍ ۚ/بَعۡضٖۖ/ba'din//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//هَاجَرُوْا/هَاجَرُواْ/hajaru//وَ اُخْرِجُوْا/وَأُخۡرِجُواْ/wa-ukh'riju//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//وَ اُوْذُوْا/وَأُوذُواْ/waudhu//فِیْ/فِي/fi//سَبِیْلِیْ/سَبِيلِي/sabili//وَ قٰتَلُوْا/وَقَٰتَلُواْ/waqatalu//وَ قُتِلُوْا/وَقُتِلُواْ/waqutilu//لَاُكَفِّرَنَّ/لَأُكَفِّرَنَّ/la-ukaffiranna//عَنْهُمْ/عَنۡهُمۡ/anhum//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//وَ لَاُدْخِلَنَّهُمْ/وَلَأُدۡخِلَنَّهُمۡ/wala-ud'khilannahum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۚ/ٱلۡأَنۡهَٰرُ/al-anharu//ثَوَابًا/ثَوَابٗا/thawaban//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عِنْدَهٗ/عِندَهُۥ/indahu//حُسْنُ/حُسۡنُ/hus'nu//الثَّوَابِ /ٱلثَّوَابِ/al-thawabi",
              "words_bangla": "তাই সাড়া দিলেন//তাদেরকে//তাদের রব//''(এ বলে) যে আমি//না//নষ্ট করব//আমল//কোনো আমলকারীর//তোমাদের মধ্যকার//মধ্য হতে//পুরুষ (লোকদের)//অথবা//স্ত্রী (লোকদের)//তোমাদের একে//হতে//অন্যের (অর্থাত্‌ সমশ্রেণী ভুক্ত)//কাজেই যারা//হিজরত করেছে//ও বহিস্কৃত হয়েছে//হতে//তাদের ঘরবাড়ি//এবং নির্যাতিত হয়েছে//(মধ্যে)//আমার পথে//এবং তারা যুদ্ধ করেছে//ও নিহত হয়েছে//আমি অবশ্যই দূর করে দিবই//তাদের থেকে//তাদের দোষত্রুটি//এবং তাদেরকে অবশ্যই আমি প্রবেশ করাবই//জান্নাতে//প্রবাহিত হয়//(থেকে)//তার পাদদেশে//ঝর্নাধারা//প্রতিফল//থেকে//নিকট//আল্লাহ্‌র//এবং আল্লাহ (এমন যে)//তাঁরই কাছে (আছে)//উত্তম//প্রতিফল''"
            },
            {
              "number": 489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/489.mp3"
              ],
              "text": "لَا يَغُرَّنَّكَ تَقَلُّبُ ٱلَّذِينَ كَفَرُوا۟ فِى ٱلْبِلَٰدِ",
              "translate_bn": "নগরীতে কাফেরদের চাল-চলন যেন তোমাদিগকে ধোঁকা না দেয়।",
              "numberInSurah": 196,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াগুররান্নাকা তাকাল্লুবুল্লাযীনা কাফারু ফিল বিলা-দ।",
              "words_arabic": "لَا/لَا/la//یَغُرَّنَّكَ/يَغُرَّنَّكَ/yaghurrannaka//تَقَلُّبُ/تَقَلُّبُ/taqallubu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فِی/فِي/fi//الْبِلَادِؕ/ٱلۡبِلَٰدِ/al-biladi",
              "words_bangla": "না  (যেন)//তোমাকে ধোঁকা দেয়//(দম্ভপূর্ণ) চলাফেরা//(তাদের) যারা//কুফরী করেছে//(মধ্যে)//দেশ দেশে"
            },
            {
              "number": 490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/490.mp3"
              ],
              "text": "مَتَٰعٌۭ قَلِيلٌۭ ثُمَّ مَأْوَىٰهُمْ جَهَنَّمُ ۚ وَبِئْسَ ٱلْمِهَادُ",
              "translate_bn": "এটা হলো সামান্য ফায়দা-এরপর তাদের ঠিকানা হবে দোযখ। আর সেটি হলো অতি নিকৃষ্ট অবস্থান।",
              "numberInSurah": 197,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "মাতা-‘উন কালীলুন ছু ম্মা মা’ওয়া-হুম জাহান্নামু ওয়া বি’ছাল মিহা-দ।",
              "words_arabic": "مَتَاعٌ/مَتَٰعٞ/mata'un//قَلِیْلٌ ۫/قَلِيلٞ/qalilun//ثُمَّ/ثُمَّ/thumma//مَاْوٰىهُمْ/مَأۡوَىٰهُمۡ/mawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمِهَادُ /ٱلۡمِهَادُ/al-mihadu",
              "words_bangla": "(এটা) ভোগবিলাস ও ফূর্তি//অতি সামান্য//এরপর//তাদের ঠিকানা (হবে)//জাহান্নাম//এবং অতি নিকৃষ্ট//বিশ্রামস্থল"
            },
            {
              "number": 491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/491.mp3"
              ],
              "text": "لَٰكِنِ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ لَهُمْ جَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا نُزُلًۭا مِّنْ عِندِ ٱللَّهِ ۗ وَمَا عِندَ ٱللَّهِ خَيْرٌۭ لِّلْأَبْرَارِ",
              "translate_bn": "কিন্তু যারা ভয় করে নিজেদের পালনকর্তাকে তাদের জন্যে রয়েছে জান্নাত যার তলদেশে প্রবাহিত রয়েছে প্রস্রবণ। তাতে আল্লাহর পক্ষ থেকে সদা আপ্যায়ন চলতে থাকবে। আর যা আল্লাহর নিকট রয়েছে, তা সৎকর্মশীলদের জন্যে একান্তই উত্তম।",
              "numberInSurah": 198,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "লা-কিনিল্লাযীনাত তাকাও রাব্বাহুম লাহুম জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-নুঝুলাম মিন ‘ইনদিল্লা-হি ওয়ামা-‘ইনদাল্লা-হি খাইরুল লিলআবরা-র।",
              "words_arabic": "لٰكِنِ/لَٰكِنِ/lakini//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٌ/جَنَّـٰتٞ/jannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//نُزُلًا/نُزُلٗا/nuzulan//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ مَا/وَمَا/wama//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//لِّلْاَبْرَارِ /لِّلۡأَبۡرَارِ/lil'abrari",
              "words_bangla": "কিন্তু//যারা//ভয় করে//তাদের রবকে//তাদের জন্য (রয়েছে)//জান্নাত সমূহ//প্রবাহিত হবে//(থেকে)//তার পাদদেশে//ঝর্নাধারা সমূহ//তারা চিরস্থায়ী হবে//তার মধ্যে//মেহমানদারী (পাবে)//হতে//নিকট//আল্লাহ্‌র//এবং যা কিছু//কাছে (রয়েছে)//আল্লাহ্‌র//(তাই) উত্তম//নেক লোকদের জন্য"
            },
            {
              "number": 492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/492.mp3"
              ],
              "text": "وَإِنَّ مِنْ أَهْلِ ٱلْكِتَٰبِ لَمَن يُؤْمِنُ بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْكُمْ وَمَآ أُنزِلَ إِلَيْهِمْ خَٰشِعِينَ لِلَّهِ لَا يَشْتَرُونَ بِـَٔايَٰتِ ٱللَّهِ ثَمَنًۭا قَلِيلًا ۗ أُو۟لَٰٓئِكَ لَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ ۗ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "আর আহলে কিতাবদের মধ্যে কেউ কেউ এমনও রয়েছে, যারা আল্লাহর উপর ঈমান আনে এবং যা কিছু তোমার উপর অবতীর্ণ হয় আর যা কিছু তাদের উপর অবতীর্ণ হয়েছে সেগুলোর উপর, আল্লাহর সামনে বিনয়াবনত থাকে এবং আল্লার আয়াতসমুহকে স্বল্পমুল্যের বিনিময়ে সওদা করে না, তারাই হলো সে লোক যাদের জন্য পারিশ্রমিক রয়েছে তাদের পালনকর্তার নিকট। নিশ্চয়ই আল্লাহ যথাশীঘ্র হিসাব চুকিয়ে দেন।",
              "numberInSurah": 199,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না মিন আহলিল কিতা-বি লামাইঁ ইউ’মিনুবিল্লা-হি ওয়ামাউনঝিলা ইলাইকুম ওয়ামাউনঝিলা ইলাইহিম খা-শি‘ঈনা লিল্লা-হি লা-ইয়াশতারূনা বিআ-য়া-তিল্লা-হি ছামানান কালীলান উলাইকা লাহুম আজরুহুম ‘ইনদা রাব্বিহিম ইন্নাল্লা-হা ছারী‘উল হিছা-ব।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَمَنْ/لَمَن/laman//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//خٰشِعِیْنَ/خَٰشِعِينَ/khashi'ina//لِلّٰهِ ۙ/لِلَّهِ/lillahi//لَا/لَا/la//یَشْتَرُوْنَ/يَشۡتَرُونَ/yashtaruna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؕ/قَلِيلًاۚ/qalilan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؕ/رَبِّهِمۡۗ/rabbihim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "এবং নিশ্চয়//মধ্যে//আহলি//কিতাবদের (এমনও আছে)//অবশ্যই যে//ঈমান আনে//আল্লাহ্‌র উপর//এবং যা//নাযিল হয়েছে//তোমাদের প্রতি//যা এবং//নাযিল হয়েছে//তাদের প্রতি//বিনয়ী হয়ে//আল্লাহর জন্য//না//তারা ক্রয় করে//আয়াতের বিনিময়ে//আল্লাহ্‌র//মূল্যের (জিনিস)//সামান্য//ঐসব লোক//তাদের জন্য (রয়েছে)//তাদের প্রতিফল//কাছে//তাদের রবের//নিশ্চয়//আল্লাহ//ত্বরিত//হিসাব গ্রহণকারী"
            },
            {
              "number": 493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/493.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱصْبِرُوا۟ وَصَابِرُوا۟ وَرَابِطُوا۟ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "হে ঈমানদানগণ! ধৈর্য্য ধারণ কর এবং মোকাবেলায় দৃঢ়তা অবলম্বন কর। আর আল্লাহকে ভয় করতে থাক যাতে তোমরা তোমাদের উদ্দেশ্য লাভে সমর্থ হতে পার।",
              "numberInSurah": 200,
              "juz": 4,
              "manzil": 1,
              "page": 76,
              "ruku": 61,
              "hizbQuarter": 30,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুসবিরু ওয়া সা-বিরু ওয়া রা-বিতূ ওয়াত্তাকুল্লা-হা লা‘আল্লাকুম তুফলিহুন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اصْبِرُوْا/ٱصۡبِرُواْ/is'biru//وَ صَابِرُوْا/وَصَابِرُواْ/wasabiru//وَ رَابِطُوْا ۫/وَرَابِطُواْ/warabitu//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ۠/تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা সবর কর//ও ধৈর্যে দৃঢ় থাক//এবং তোমরা প্রস্তুত থাক//তোমরা ভয় কর এবং//আল্লাহকে//আশা করা যায়  তোমরা//সফলকাম হবে"
            }
          ]
        },
        {
          "number": 4,
          "name": "سُورَةُ النِّسَاءِ",
          "englishName": "An-Nisaa",
          "englishNameTranslation": "The Women",
          "revelationType": "Medinan",
          "verse": 176,
          "words": 7347,
          "chars": 31845,
          "ayahs": [
            {
              "number": 494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/494.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمُ ٱلَّذِى خَلَقَكُم مِّن نَّفْسٍۢ وَٰحِدَةٍۢ وَخَلَقَ مِنْهَا زَوْجَهَا وَبَثَّ مِنْهُمَا رِجَالًۭا كَثِيرًۭا وَنِسَآءًۭ ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِى تَسَآءَلُونَ بِهِۦ وَٱلْأَرْحَامَ ۚ إِنَّ ٱللَّهَ كَانَ عَلَيْكُمْ رَقِيبًۭا",
              "translate_bn": "হে মানব সমাজ! তোমরা তোমাদের পালনকর্তাকে ভয় কর, যিনি তোমাদেরকে এক ব্যক্তি থেকে সৃষ্টি করেছেন এবং যিনি তার থেকে তার সঙ্গীনীকে সৃষ্টি করেছেন; আর বিস্তার করেছেন তাদের দু’জন থেকে অগণিত পুরুষ ও নারী। আর আল্লাহকে ভয় কর, যাঁর নামে তোমরা একে অপরের নিকট যাচঞ্ঝা করে থাক এবং আত্নীয় জ্ঞাতিদের ব্যাপারে সতর্কতা অবলম্বন কর। নিশ্চয় আল্লাহ তোমাদের ব্যাপারে সচেতন রয়েছেন।",
              "numberInSurah": 1,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুত্তাকূরাব্বাকুমুল্লাযীখালাকাকুম মিন নাফছিওঁ ওয়া-হিদাতিওঁ ওয়া খালাকা মিনহা-ঝাওজাহা-ওয়াবাছছা মিনহুমা-রিজা-লান কাছীরাওঁ ওয়ানিছাআওঁ ওয়াত্তাকুল্লাহাল্লাযী তাছাআলূনা বিহী ওয়াল আরহা-মা ইন্নাল্লা-হা কা-না ‘আলাইকুম রাকীবা।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اتَّقُوْا/ٱتَّقُواْ/ittaqu//رَبَّكُمُ/رَبَّكُمُ/rabbakumu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//نَّفْسٍ/نَّفۡسٖ/nafsin//وَّاحِدَةٍ/وَٰحِدَةٖ/wahidatin//وَّ خَلَقَ/وَخَلَقَ/wakhalaqa//مِنْهَا/مِنۡهَا/min'ha//زَوْجَهَا/زَوۡجَهَا/zawjaha//وَ بَثَّ/وَبَثَّ/wabatha//مِنْهُمَا/مِنۡهُمَا/min'huma//رِجَالًا/رِجَالٗا/rijalan//كَثِیْرًا/كَثِيرٗا/kathiran//وَّ نِسَآءً ۚ/وَنِسَآءٗۚ/wanisaan//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْ/ٱلَّذِي/alladhi//تَسَآءَلُوْنَ/تَسَآءَلُونَ/tasaaluna//بِهٖ/بِهِۦ/bihi//وَ الْاَرْحَامَ ؕ/وَٱلۡأَرۡحَامَۚ/wal-arhama//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//رَقِیْبًا /رَقِيبٗا/raqiban",
              "words_bangla": "''হে//মানবজাতি!//তোমরা ভয় কর//তোমাদের রবকে//যিনি//তোমাদেরকে সৃষ্টি করেছেন//থেকে//প্রাণ//একটি (অর্থাৎ আদম (আঃ))//ও তিনি সৃষ্টি করেছেন//তা হতে//তার জুড়ী (অর্থাৎ হাওয়া)//ও ছড়িয়ে দিয়েছেন//তাদের দুজন থেকে//পুরুষ লোক//অনেক//ও স্ত্রীলোক (অনেক)//এবং তোমরা ভয় কর//আল্লাহকে//সেই (সত্তার)//তোমরা পরস্পরে (হক) দাবী কর//যার (দোহাই দিয়ে)//আর আত্মীয়তার বন্ধন সম্পর্কে সতর্ক থাক//নিশ্চয়//আল্লাহ্‌//আছেন//তোমাদের উপর//দৃষ্টিবান"
            },
            {
              "number": 495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/495.mp3"
              ],
              "text": "وَءَاتُوا۟ ٱلْيَتَٰمَىٰٓ أَمْوَٰلَهُمْ ۖ وَلَا تَتَبَدَّلُوا۟ ٱلْخَبِيثَ بِٱلطَّيِّبِ ۖ وَلَا تَأْكُلُوٓا۟ أَمْوَٰلَهُمْ إِلَىٰٓ أَمْوَٰلِكُمْ ۚ إِنَّهُۥ كَانَ حُوبًۭا كَبِيرًۭا",
              "translate_bn": "এতীমদেরকে তাদের সম্পদ বুঝিয়ে দাও। খারাপ মালামালের সাথে ভালো মালামালের অদল-বদল করো না। আর তাদের ধন-সম্পদ নিজেদের ধন-সম্পদের সাথে সংমিশ্রিত করে তা গ্রাস করো না। নিশ্চয় এটা বড়ই মন্দ কাজ।",
              "numberInSurah": 2,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তুল ইয়াতা-মাআমওয়া-লাহুম ওয়ালা-তাতাবাদ্দালুল খাবীছা বিত্তাইয়িবি ওয়ালা-তা’কুলূআমওয়া-লাহুম ইলাআমওয়া-লিকুম ইন্নাহূকা-না হুবান কাবীরা-।",
              "words_arabic": "وَ اٰتُوا/وَءَاتُواْ/waatu//الْیَتٰمٰۤی/ٱلۡيَتَٰمَىٰٓ/al-yatama//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡۖ/amwalahum//وَ لَا/وَلَا/wala//تَتَبَدَّلُوا/تَتَبَدَّلُواْ/tatabaddalu//الْخَبِیْثَ/ٱلۡخَبِيثَ/al-khabitha//بِالطَّیِّبِ ۪/بِٱلطَّيِّبِۖ/bil-tayibi//وَ لَا/وَلَا/wala//تَاْكُلُوْۤا/تَأۡكُلُوٓاْ/takulu//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//اِلٰۤی/إِلَىٰٓ/ila//اَمْوَالِكُمْ ؕ/أَمۡوَٰلِكُمۡۚ/amwalikum//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//حُوْبًا/حُوبٗا/huban//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "এবং তোমরা (ফেরত) দাও//ইয়াতীমদেরকে//তাদের মাল সম্পদ সমূহ//এবং না//তোমরা বদল করো//খারাপ (মালকে)//ভাল (মালের) পরিবর্তে//এবং না//তোমরা খেয়ো//তাদের মাল সমূহকে//সাথে (মিশিয়ে)//তোমাদের মালসমূহের//তা নিশ্চয়ই//হলো//গুনাহর (কাজ)//বড়ই"
            },
            {
              "number": 496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/496.mp3"
              ],
              "text": "وَإِنْ خِفْتُمْ أَلَّا تُقْسِطُوا۟ فِى ٱلْيَتَٰمَىٰ فَٱنكِحُوا۟ مَا طَابَ لَكُم مِّنَ ٱلنِّسَآءِ مَثْنَىٰ وَثُلَٰثَ وَرُبَٰعَ ۖ فَإِنْ خِفْتُمْ أَلَّا تَعْدِلُوا۟ فَوَٰحِدَةً أَوْ مَا مَلَكَتْ أَيْمَٰنُكُمْ ۚ ذَٰلِكَ أَدْنَىٰٓ أَلَّا تَعُولُوا۟",
              "translate_bn": "আর যদি তোমরা ভয় কর যে, এতীম মেয়েদের হক যথাথভাবে পুরণ করতে পারবে না, তবে সেসব মেয়েদের মধ্যে থেকে যাদের ভাল লাগে তাদের বিয়ে করে নাও দুই, তিন, কিংবা চারটি পর্যন্ত। আর যদি এরূপ আশঙ্কা কর যে, তাদের মধ্যে ন্যায় সঙ্গত আচরণ বজায় রাখতে পারবে না, তবে, একটিই অথবা তোমাদের অধিকারভুক্ত দাসীদেরকে; এতেই পক্ষপাতিত্বে জড়িত না হওয়ার অধিকতর সম্ভাবনা।",
              "numberInSurah": 3,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন খিফতুম আল্লা-তুকছিতূফিল ইয়াতা-মা-ফানকিহূমা-তা-বা লাকুম মিনান নিছাই মাছনা-ওয়া ছুলা-ছা ওয়া রুবা-‘আ ফাইন খিফতুম আল্লা-তা‘দিলূফাওয়াহিদাতান আও মা-মালাকাত আইমা-নুকুম যা-লিকা আদনাআল্লা-তা‘ঊলূ",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//اَلَّا/أَلَّا/alla//تُقْسِطُوْا/تُقۡسِطُواْ/tuq'situ//فِی/فِي/fi//الْیَتٰمٰی/ٱلۡيَتَٰمَىٰ/al-yatama//فَانْكِحُوْا/فَٱنكِحُواْ/fa-inkihu//مَا/مَا/ma//طَابَ/طَابَ/taba//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//مَثْنٰی/مَثۡنَىٰ/mathna//وَ ثُلٰثَ/وَثُلَٰثَ/wathulatha//وَ رُبٰعَ ۚ/وَرُبَٰعَۖ/waruba'a//فَاِنْ/فَإِنۡ/fa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//اَلَّا/أَلَّا/alla//تَعْدِلُوْا/تَعۡدِلُواْ/ta'dilu//فَوَاحِدَةً/فَوَٰحِدَةً/fawahidatan//اَوْ/أَوۡ/aw//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ ؕ/أَيۡمَٰنُكُمۡۚ/aymanukum//ذٰلِكَ/ذَٰلِكَ/dhalika//اَدْنٰۤی/أَدۡنَىٰٓ/adna//اَلَّا/أَلَّا/alla//تَعُوْلُوْاؕ/تَعُولُواْ/ta'ulu",
              "words_bangla": "এবং যদি//তোমরা ভয় কর//যে না//তোমরা সুবিচার করতে পারবে//প্রতি//ইয়াতীমদের//তোমরা বিয়ে তবে কর//যা//পছন্দনীয়//তোমাদের জন্য//মধ্য হতে//(অন্য স্বাধীনা) নারীদের//দুই//বা তিন//বা চারটা (পর্যন্ত)//কিন্তু যদি//তোমরা ভয় কর//না যে//তোমরা ইনসাফ করতে পারবে//একজনকে তবে (বিয়ে করবে)//অথবা (বিয়ে কর)//যা//মালিক হয়েছে//তোমাদের ডান হাত (অর্থাৎ দাসী)//এটা//(সম্ভাবনার) নিকটবর্তী//যে না//তোমরা অবিচার করবে"
            },
            {
              "number": 497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/497.mp3"
              ],
              "text": "وَءَاتُوا۟ ٱلنِّسَآءَ صَدُقَٰتِهِنَّ نِحْلَةًۭ ۚ فَإِن طِبْنَ لَكُمْ عَن شَىْءٍۢ مِّنْهُ نَفْسًۭا فَكُلُوهُ هَنِيٓـًۭٔا مَّرِيٓـًۭٔا",
              "translate_bn": "আর তোমরা স্ত্রীদেরকে তাদের মোহর দিয়ে দাও খুশীমনে। তারা যদি খুশী হয়ে তা থেকে অংশ ছেড়ে দেয়, তবে তা তোমরা স্বাচ্ছন্দ্যে ভোগ কর।",
              "numberInSurah": 4,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তুন নিছাআ সাদুকা-তিহিন্না নিহলাতান ফাইন তিবনালাকুম ‘আন শাইইম মিনহু নাফছান ফাকুলূহু হানীআম মারীআ।",
              "words_arabic": "وَ اٰتُوا/وَءَاتُواْ/waatu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//صَدُقٰتِهِنَّ/صَدُقَٰتِهِنَّ/saduqatihinna//نِحْلَةً ؕ/نِحۡلَةٗۚ/nih'latan//فَاِنْ/فَإِن/fa-in//طِبْنَ/طِبۡنَ/tib'na//لَكُمْ/لَكُمۡ/lakum//عَنْ/عَن/an//شَیْءٍ/شَيۡءٖ/shayin//مِّنْهُ/مِّنۡهُ/min'hu//نَفْسًا/نَفۡسٗا/nafsan//فَكُلُوْهُ/فَكُلُوهُ/fakuluhu//هَنِیْٓـًٔا/هَنِيٓـٔٗا/hanian//مَّرِیْٓـًٔا /مَّرِيٓـٔٗا/marian",
              "words_bangla": "এবং তোমরা দাও//নারীদেরকে//তাদের মোহরগুলো//স্বতঃপ্রবৃত্ত হয়ে//যদি অতঃপর//তারা ছেড়ে দেয়//তোমাদের জন্য//(প্রায়)//কোন কিছু//তা থেকে//নিজেই//তোমরা খাও তবে তা//সানন্দে//তৃপ্তিসহ"
            },
            {
              "number": 498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/498.mp3"
              ],
              "text": "وَلَا تُؤْتُوا۟ ٱلسُّفَهَآءَ أَمْوَٰلَكُمُ ٱلَّتِى جَعَلَ ٱللَّهُ لَكُمْ قِيَٰمًۭا وَٱرْزُقُوهُمْ فِيهَا وَٱكْسُوهُمْ وَقُولُوا۟ لَهُمْ قَوْلًۭا مَّعْرُوفًۭا",
              "translate_bn": "আর যে সম্পদকে আল্লাহ তোমাদের জীবন-যাত্রার অবলম্বন করেছেন, তা অর্বাচীনদের হাতে তুলে দিও না। বরং তা থেকে তাদেরকে খাওয়াও, পরাও এবং তাদেরকে সান্তনার বানী শোনাও।",
              "numberInSurah": 5,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা তু’তুছছুফাহাআ আমওয়া-লাকুমুল্লাতী জা‘আলা ল্লা-হুলাকুমকিয়া-মাওঁ ওয়ারঝুকূহুম ফীহা-ওয়াকছূহুম ওয়াকূ লূলাহুম কাওলাম মা‘রূফা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُؤْتُوا/تُؤۡتُواْ/tu'tu//السُّفَهَآءَ/ٱلسُّفَهَآءَ/al-sufahaa//اَمْوَالَكُمُ/أَمۡوَٰلَكُمُ/amwalakumu//الَّتِیْ/ٱلَّتِي/allati//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//قِیٰمًا/قِيَٰمٗا/qiyaman//وَّ ارْزُقُوْهُمْ/وَٱرۡزُقُوهُمۡ/wa-ur'zuquhum//فِیْهَا/فِيهَا/fiha//وَ اكْسُوْهُمْ/وَٱكۡسُوهُمۡ/wa-ik'suhum//وَ قُوْلُوْا/وَقُولُواْ/waqulu//لَهُمْ/لَهُمۡ/lahum//قَوْلًا/قَوۡلٗا/qawlan//مَّعْرُوْفًا /مَّعۡرُوفٗا/ma'rufan",
              "words_bangla": "এবং না//তোমরা দিও//অবোধদেরকে//তোমাদের সম্পদগুলোকে//যা//বানিয়েছেন//আল্লাহ//তোমাদের জন্য//(জীবিকা) প্রতিষ্ঠার (জন্য)//এবং তোমরা খাওয়াও তাদেরকে//তা থেকে//ও তোমরা পরাও তাদেরকে//এবং তোমরা বল//তাদেরকে//কথা//উত্তম"
            },
            {
              "number": 499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/499.mp3"
              ],
              "text": "وَٱبْتَلُوا۟ ٱلْيَتَٰمَىٰ حَتَّىٰٓ إِذَا بَلَغُوا۟ ٱلنِّكَاحَ فَإِنْ ءَانَسْتُم مِّنْهُمْ رُشْدًۭا فَٱدْفَعُوٓا۟ إِلَيْهِمْ أَمْوَٰلَهُمْ ۖ وَلَا تَأْكُلُوهَآ إِسْرَافًۭا وَبِدَارًا أَن يَكْبَرُوا۟ ۚ وَمَن كَانَ غَنِيًّۭا فَلْيَسْتَعْفِفْ ۖ وَمَن كَانَ فَقِيرًۭا فَلْيَأْكُلْ بِٱلْمَعْرُوفِ ۚ فَإِذَا دَفَعْتُمْ إِلَيْهِمْ أَمْوَٰلَهُمْ فَأَشْهِدُوا۟ عَلَيْهِمْ ۚ وَكَفَىٰ بِٱللَّهِ حَسِيبًۭا",
              "translate_bn": "আর এতীমদের প্রতি বিশেষভাবে নজর রাখবে, যে পর্যন্ত না তারা বিয়ের বয়সে পৌঁছে। যদি তাদের মধ্যে বুদ্ধি-বিবেচনার উন্মেষ আঁচ করতে পার, তবে তাদের সম্পদ তাদের হাতে অর্পন করতে পার। এতীমের মাল প্রয়োজনাতিরিক্ত খরচ করো না বা তারা বড় হয়ে যাবে মনে করে তাড়াতাড়ি খেয়ে ফেলো না। যারা স্বচ্ছল তারা অবশ্যই এতীমের মাল খরচ করা থেকে বিরত থাকবে। আর যে অভাবগ্রস্ত সে সঙ্গত পরিমাণ খেতে পারে। যখন তাদের হাতে তাদের সম্পদ প্রত্যার্পণ কর, তখন সাক্ষী রাখবে। অবশ্য আল্লাহই হিসাব নেয়ার ব্যাপারে যথেষ্ট।",
              "numberInSurah": 6,
              "juz": 4,
              "manzil": 1,
              "page": 77,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়াবতালুল ইয়াতা-মা-হাত্তা ইযা- বালাগুন নিকা-হা ফাইন আ-নাছতুম মিনহুম রুশদান ফাদফা‘ঊ ইলাইহিম আমওয়া-লাহুম ওয়ালা- তা’কুলূহা-ইছরা-ফাওঁ ওয়া বিদারান আইঁ ইয়াকবারূ ওয়ামান কা-না গানিইইয়ান ফালইয়াছতা‘ফিফ ওয়ামান কা-না ফাকীরান ফালইয়া’কুল বিলমা‘রূফি ফাইযা-দাফা‘তুম ইলাইহিম আমওয়া-লাহুম ফাআশহিদূ‘আলাইহিম ওয়া কাফা-বিল্লাহি হাছীবা-।",
              "words_arabic": "وَ ابْتَلُوا/وَٱبۡتَلُواْ/wa-ib'talu//الْیَتٰمٰی/ٱلۡيَتَٰمَىٰ/al-yatama//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//بَلَغُوا/بَلَغُواْ/balaghu//النِّكَاحَ ۚ/ٱلنِّكَاحَ/al-nikaha//فَاِنْ/فَإِنۡ/fa-in//اٰنَسْتُمْ/ءَانَسۡتُم/anastum//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//رُشْدًا/رُشۡدٗا/rush'dan//فَادْفَعُوْۤا/فَٱدۡفَعُوٓاْ/fa-id'fa'u//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//اَمْوَالَهُمْ ۚ/أَمۡوَٰلَهُمۡۖ/amwalahum//وَ لَا/وَلَا/wala//تَاْكُلُوْهَاۤ/تَأۡكُلُوهَآ/takuluha//اِسْرَافًا/إِسۡرَافٗا/is'rafan//وَّ بِدَارًا/وَبِدَارًا/wabidaran//اَنْ/أَن/an//یَّكْبَرُوْا ؕ/يَكۡبَرُواْۚ/yakbaru//وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//غَنِیًّا/غَنِيّٗا/ghaniyyan//فَلْیَسْتَعْفِفْ ۚ/فَلۡيَسۡتَعۡفِفۡۖ/falyasta'fif//وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//فَقِیْرًا/فَقِيرٗا/faqiran//فَلْیَاْكُلْ/فَلۡيَأۡكُلۡ/falyakul//بِالْمَعْرُوْفِ ؕ/بِٱلۡمَعۡرُوفِۚ/bil-ma'rufi//فَاِذَا/فَإِذَا/fa-idha//دَفَعْتُمْ/دَفَعۡتُمۡ/dafa'tum//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//فَاَشْهِدُوْا/فَأَشۡهِدُواْ/fa-ashhidu//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//حَسِیْبًا /حَسِيبٗا/hasiban",
              "words_bangla": "এবং তোমরা পরিক্ষা কর//ইয়াতীমদেরকে//পর্যন্ত//যতক্ষণ//তারা পৌঁছে//বিবাহ (বয়সে)//অতঃপর যদি//তোমরা দেখ//তাদের মধ্যে//বিচারের জ্ঞান//তখন তোমরা অর্পণ কর//তাদের কাছে//তাদের ধন মাল//এবং না//তা খেয়ো তোমরা//সীমালঙ্ঘন করে//ও তাড়াতাড়ি করে//যে//তারা বড় হয়ে যাবে//আর যে (পৃষ্ঠপোষক )//হবে//অভাবমুক্ত//সে নিবৃত্ত থাকবে সে ক্ষেত্রে (তার মাল খাওয়া হতে)//আর যে//হবে//অভাবী//সে খাবে সেক্ষেত্রে//ন্যায় সঙ্গতভাবে//যখন তবে//তোমরা সমর্পণ কর//তাদের কাছে//তাদের সম্পদ সমূহ//তোমরা সাক্ষী রাখ তখন//তাদের উপর//এবং যথেষ্ট//আল্লাহই//হিসাবগ্রহণকারী হিসেবে"
            },
            {
              "number": 500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/500.mp3"
              ],
              "text": "لِّلرِّجَالِ نَصِيبٌۭ مِّمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ وَلِلنِّسَآءِ نَصِيبٌۭ مِّمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ مِمَّا قَلَّ مِنْهُ أَوْ كَثُرَ ۚ نَصِيبًۭا مَّفْرُوضًۭا",
              "translate_bn": "পিতা-মাতা ও আত্নীয়-স্বজনদের পরিত্যক্ত সম্পত্তিতে পুরুষদেরও অংশ আছে এবং পিতা-মাতা ও আত্নীয়-স্বজনদের পরিত্যক্ত সম্পত্তিতে নারীদেরও অংশ আছে; অল্প হোক কিংবা বেশী। এ অংশ নির্ধারিত।",
              "numberInSurah": 7,
              "juz": 4,
              "manzil": 1,
              "page": 78,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "লিররিজা-লি নাসীবুম মিম্মা-তারাকাল ওয়া-লিদা-নি ওয়াল আকরাবূনা, ওয়া লিননিছাই নাসীবুম মিম্মা-তারাকাল ওয়া-লিদা-নি ওয়াল আকরাবূনা মিম্মা-কাল্লা মিনহু আও কাছুরা নাসীবাম মাফরুদা-।",
              "words_arabic": "لِلرِّجَالِ/لِّلرِّجَالِ/lilrrijali//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّمَّا/مِّمَّا/mimma//تَرَكَ/تَرَكَ/taraka//الْوَالِدٰنِ/ٱلۡوَٰلِدَانِ/al-walidani//وَ الْاَقْرَبُوْنَ ۪/وَٱلۡأَقۡرَبُونَ/wal-aqrabuna//وَ لِلنِّسَآءِ/وَلِلنِّسَآءِ/walilnnisai//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّمَّا/مِّمَّا/mimma//تَرَكَ/تَرَكَ/taraka//الْوَالِدٰنِ/ٱلۡوَٰلِدَانِ/al-walidani//وَ الْاَقْرَبُوْنَ/وَٱلۡأَقۡرَبُونَ/wal-aqrabuna//مِمَّا/مِمَّا/mimma//قَلَّ/قَلَّ/qalla//مِنْهُ/مِنۡهُ/min'hu//اَوْ/أَوۡ/aw//كَثُرَ ؕ/كَثُرَۚ/kathura//نَصِیْبًا/نَصِيبٗا/nasiban//مَّفْرُوْضًا /مَّفۡرُوضٗا/mafrudan",
              "words_bangla": "পুরুষদের জন্য//অংশ//তা হতে যা//ছেড়ে গেছে (সম্পত্তি)//পিতা-মাতা//ও আত্মীয়-স্বজনরা//এবং নারীদের জন্য//অংশ//তা হতে যা//ছেড়ে গেছে (সম্পত্তি)//পিতা-মাতা//ও আত্মীয়স্বজন//তা হতে যা//কম হক//তা হতে//বা//বেশী হক//অংশ//নির্ধারিত"
            },
            {
              "number": 501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/501.mp3"
              ],
              "text": "وَإِذَا حَضَرَ ٱلْقِسْمَةَ أُو۟لُوا۟ ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينُ فَٱرْزُقُوهُم مِّنْهُ وَقُولُوا۟ لَهُمْ قَوْلًۭا مَّعْرُوفًۭا",
              "translate_bn": "সম্পতি বন্টনের সময় যখন আত্নীয়-স্বজন, এতীম ও মিসকীন উপস্থিত হয়, তখন তা থেকে তাদের কিছু খাইয়ে দাও এবং তাদের সাথে কিছু সদালাপ করো।",
              "numberInSurah": 8,
              "juz": 4,
              "manzil": 1,
              "page": 78,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-হাদরাল কিছমাতা ঊলুল কুরবা- ওয়াল ইয়াতা-মা- ওয়াল মাছা-কীনু ফারঝুকূহুম মিনহু ওয়াকূলূহুম কাওলাম মা‘রূফা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//حَضَرَ/حَضَرَ/hadara//الْقِسْمَةَ/ٱلۡقِسۡمَةَ/al-qis'mata//اُولُوا/أُوْلُواْ/ulu//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنُ/وَٱلۡمَسَٰكِينُ/wal-masakinu//فَارْزُقُوْهُمْ/فَٱرۡزُقُوهُم/fa-ur'zuquhum//مِّنْهُ/مِّنۡهُ/min'hu//وَ قُوْلُوْا/وَقُولُواْ/waqulu//لَهُمْ/لَهُمۡ/lahum//قَوْلًا/قَوۡلٗا/qawlan//مَّعْرُوْفًا /مَّعۡرُوفٗا/ma'rufan",
              "words_bangla": "এবং যখন//উপস্থিত হয়//বণ্টন (কালে)//দুর আত্মীয় -স্বজনরা//দুর আত্মীয় -স্বজনরা//ও ইয়াতীমরা//ও দরিদ্ররা//সেক্ষেত্রে তাদের দান কর//তা হতে//এবং তোমরা বল//তাদের//কথা//সদ্ভাবে"
            },
            {
              "number": 502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/502.mp3"
              ],
              "text": "وَلْيَخْشَ ٱلَّذِينَ لَوْ تَرَكُوا۟ مِنْ خَلْفِهِمْ ذُرِّيَّةًۭ ضِعَٰفًا خَافُوا۟ عَلَيْهِمْ فَلْيَتَّقُوا۟ ٱللَّهَ وَلْيَقُولُوا۟ قَوْلًۭا سَدِيدًا",
              "translate_bn": "তাদের ভয় করা উচিত, যারা নিজেদের পশ্চাতে দুর্বল অক্ষম সন্তান-সন্ততি ছেড়ে গেলে তাদের জন্যে তারাও আশঙ্কা করে; সুতরাং তারা যেন আল্লাহকে ভয় করে এবং সংগত কথা বলে।",
              "numberInSurah": 9,
              "juz": 4,
              "manzil": 1,
              "page": 78,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ইয়াখশাল্লাযীনা লাও তারাকূমিন খালফিহিম যুররিইইয়াতান দি‘আ-ফান খা-ফূ‘আলাইহিম ফালইয়াত্তাকূল্লা-হা ওয়াল ইয়াকূলূকাওলান ছাদীদা-।",
              "words_arabic": "وَ لْیَخْشَ/وَلۡيَخۡشَ/walyakhsha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَوْ/لَوۡ/law//تَرَكُوْا/تَرَكُواْ/taraku//مِنْ/مِنۡ/min//خَلْفِهِمْ/خَلۡفِهِمۡ/khalfihim//ذُرِّیَّةً/ذُرِّيَّةٗ/dhurriyyatan//ضِعٰفًا/ضِعَٰفًا/di'afan//خَافُوْا/خَافُواْ/khafu//عَلَیْهِمْ ۪/عَلَيۡهِمۡ/alayhim//فَلْیَتَّقُوا/فَلۡيَتَّقُواْ/falyattaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ لْیَقُوْلُوْا/وَلۡيَقُولُواْ/walyaqulu//قَوْلًا/قَوۡلٗا/qawlan//سَدِیْدًا /سَدِيدًا/sadidan",
              "words_bangla": "এবং ভয় করুক//তারা//যদি//ছেড়ে যায়//(থেকে)//তাদের পিছনে//সন্তান//অসহায় অবস্থায়//তারা ভয় পায়//তাদের জন্য//তারা অতএব ভয় করে যেন//আল্লাহকে//এবং তারা যেন বলে//কথা//সঠিক"
            },
            {
              "number": 503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/503.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَأْكُلُونَ أَمْوَٰلَ ٱلْيَتَٰمَىٰ ظُلْمًا إِنَّمَا يَأْكُلُونَ فِى بُطُونِهِمْ نَارًۭا ۖ وَسَيَصْلَوْنَ سَعِيرًۭا",
              "translate_bn": "যারা এতীমদের অর্থ-সম্পদ অন্যায়ভাবে খায়, তারা নিজেদের পেটে আগুনই ভর্তি করেছে এবং সত্ত্বরই তারা অগ্নিতে প্রবেশ করবে।",
              "numberInSurah": 10,
              "juz": 4,
              "manzil": 1,
              "page": 78,
              "ruku": 62,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়া’কুলূনা আমওয়া-লাল ইয়াতা-মা-জু লমান ইন্নামা-ইয়া’কুলূনা ফী বুতুনিহিম না-রাওঁ ওয়া ছাইয়াসলাওনা ছা‘ঈরা।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَاْكُلُوْنَ/يَأۡكُلُونَ/yakuluna//اَمْوَالَ/أَمۡوَٰلَ/amwala//الْیَتٰمٰی/ٱلۡيَتَٰمَىٰ/al-yatama//ظُلْمًا/ظُلۡمًا/zul'man//اِنَّمَا/إِنَّمَا/innama//یَاْكُلُوْنَ/يَأۡكُلُونَ/yakuluna//فِیْ/فِي/fi//بُطُوْنِهِمْ/بُطُونِهِمۡ/butunihim//نَارًا ؕ/نَارٗاۖ/naran//وَ سَیَصْلَوْنَ/وَسَيَصۡلَوۡنَ/wasayaslawna//سَعِیْرًا۠/سَعِيرٗا/sa'iran",
              "words_bangla": "নিশ্চয়ই//যারা//খায়//মালসমূহ//ইয়াতীমদের//অন্যায়ভাবে//মূলত//তারা খায়//মধ্যে//তাদের পেটগুলোর//আগুন//এবং জ্বলবে//আগুনে"
            },
            {
              "number": 504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/504.mp3"
              ],
              "text": "يُوصِيكُمُ ٱللَّهُ فِىٓ أَوْلَٰدِكُمْ ۖ لِلذَّكَرِ مِثْلُ حَظِّ ٱلْأُنثَيَيْنِ ۚ فَإِن كُنَّ نِسَآءًۭ فَوْقَ ٱثْنَتَيْنِ فَلَهُنَّ ثُلُثَا مَا تَرَكَ ۖ وَإِن كَانَتْ وَٰحِدَةًۭ فَلَهَا ٱلنِّصْفُ ۚ وَلِأَبَوَيْهِ لِكُلِّ وَٰحِدٍۢ مِّنْهُمَا ٱلسُّدُسُ مِمَّا تَرَكَ إِن كَانَ لَهُۥ وَلَدٌۭ ۚ فَإِن لَّمْ يَكُن لَّهُۥ وَلَدٌۭ وَوَرِثَهُۥٓ أَبَوَاهُ فَلِأُمِّهِ ٱلثُّلُثُ ۚ فَإِن كَانَ لَهُۥٓ إِخْوَةٌۭ فَلِأُمِّهِ ٱلسُّدُسُ ۚ مِنۢ بَعْدِ وَصِيَّةٍۢ يُوصِى بِهَآ أَوْ دَيْنٍ ۗ ءَابَآؤُكُمْ وَأَبْنَآؤُكُمْ لَا تَدْرُونَ أَيُّهُمْ أَقْرَبُ لَكُمْ نَفْعًۭا ۚ فَرِيضَةًۭ مِّنَ ٱللَّهِ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "আল্লাহ তোমাদেরকে তোমাদের সন্তানদের সম্পর্কে আদেশ করেনঃ একজন পুরুষের অংশ দু?জন নারীর অংশের সমান। অতঃপর যদি শুধু নারীই হয় দু' এর অধিক, তবে তাদের জন্যে ঐ মালের তিন ভাগের দুই ভাগ যা ত্যাগ করে মরে এবং যদি একজনই হয়, তবে তার জন্যে অর্ধেক। মৃতের পিতা-মাতার মধ্য থেকে প্রত্যেকের জন্যে ত্যাজ্য সম্পত্তির ছয় ভাগের এক ভাগ, যদি মৃতের পুত্র থাকে। যদি পুত্র না থাকে এবং পিতা-মাতাই ওয়ারিস হয়, তবে মাতা পাবে তিন ভাগের এক ভাগ। অতঃপর যদি মৃতের কয়েকজন ভাই থাকে, তবে তার মাতা পাবে ছয় ভাগের এক ভাগ ওছিয়্যতের পর, যা করে মরেছে কিংবা ঋণ পরিশোধের পর। তোমাদের পিতা ও পুত্রের মধ্যে কে তোমাদের জন্যে অধিক উপকারী তোমরা জান না। এটা আল্লাহ কতৃক নির্ধারিত অংশ নিশ্চয় আল্লাহ সর্বজ্ঞ, রহস্যবিদ।",
              "numberInSurah": 11,
              "juz": 4,
              "manzil": 1,
              "page": 78,
              "ruku": 63,
              "hizbQuarter": 31,
              "sajda": false,
              "pronunciation_bn": "ইঊসীকুমুল্লা-হু ফী আওলাদিকুম লিযযাকারি মিছলুহাজ্জিল উনছাইয়াইনি ফাইন কুন্না নিছাআন ফাওকাছনাতাইনি ফালাহুন্না ছুলুছা-মা-তারাকা ওয়া ইন কানাত ওয়া-হিদাতান ফালাহান নিসফু ওয়ালিআবাওয়াইহি লিকুল্লি ওয়া-হিদিম মিনহুমাছ ছু দুছুমিম্মা-তারাকা ইন কা-না লাহু ওয়ালাদুন ফাইল্লাম ইয়াকুল্লাহু ওয়ালাদুওঁ ওয়া ওয়ারিছাহুআবাওয়া-হু ফালিউম্মিহিছছু লুছু ফাইন কা-না লাহুইখওয়াতুন ফালিউম্মিহিছ ছু দুছুমিম বা‘দি ওয়াসিইইয়াতিইঁ ইউসী বিহা-আও দাইনিন আ-বাউকুম ওয়া আব নাউকুম লা-তাদরূনা আইয়ুহুম আকরাবুলাকুম নাফ‘আন ফারীদতাম মিনাল্লাহি ইন্নাল্লা-হা কা-না ‘আলীমান হাকীমা-।",
              "words_arabic": "یُوْصِیْكُمُ/يُوصِيكُمُ/yusikumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْۤ/فِيٓ/fi//اَوْلَادِكُمْ ۗ/أَوۡلَٰدِكُمۡۖ/awladikum//لِلذَّكَرِ/لِلذَّكَرِ/lildhakari//مِثْلُ/مِثۡلُ/mith'lu//حَظِّ/حَظِّ/hazzi//الْاُنْثَیَیْنِ ۚ/ٱلۡأُنثَيَيۡنِۚ/al-unthayayni//فَاِنْ/فَإِن/fa-in//كُنَّ/كُنَّ/kunna//نِسَآءً/نِسَآءٗ/nisaan//فَوْقَ/فَوۡقَ/fawqa//اثْنَتَیْنِ/ٱثۡنَتَيۡنِ/ith'natayni//فَلَهُنَّ/فَلَهُنَّ/falahunna//ثُلُثَا/ثُلُثَا/thulutha//مَا/مَا/ma//تَرَكَ ۚ/تَرَكَۖ/taraka//وَ اِنْ/وَإِن/wa-in//كَانَتْ/كَانَتۡ/kanat//وَاحِدَةً/وَٰحِدَةٗ/wahidatan//فَلَهَا/فَلَهَا/falaha//النِّصْفُ ؕ/ٱلنِّصۡفُۚ/al-nis'fu//وَ لِاَبَوَیْهِ/وَلِأَبَوَيۡهِ/wali-abawayhi//لِكُلِّ/لِكُلِّ/likulli//وَاحِدٍ/وَٰحِدٖ/wahidin//مِّنْهُمَا/مِّنۡهُمَا/min'huma//السُّدُسُ/ٱلسُّدُسُ/al-sudusu//مِمَّا/مِمَّا/mimma//تَرَكَ/تَرَكَ/taraka//اِنْ/إِن/in//كَانَ/كَانَ/kana//لَهٗ/لَهُۥ/lahu//وَلَدٌ ۚ/وَلَدٞۚ/waladun//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//وَلَدٌ/وَلَدٞ/waladun//وَّ وَرِثَهٗۤ/وَوَرِثَهُۥٓ/wawarithahu//اَبَوٰهُ/أَبَوَاهُ/abawahu//فَلِاُمِّهِ/فَلِأُمِّهِ/fali-ummihi//الثُّلُثُ ۚ/ٱلثُّلُثُۚ/al-thuluthu//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//لَهٗۤ/لَهُۥٓ/lahu//اِخْوَةٌ/إِخۡوَةٞ/ikh'watun//فَلِاُمِّهِ/فَلِأُمِّهِ/fali-ummihi//السُّدُسُ/ٱلسُّدُسُۚ/al-sudusu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//وَصِیَّةٍ/وَصِيَّةٖ/wasiyyatin//یُّوْصِیْ/يُوصِي/yusi//بِهَاۤ/بِهَآ/biha//اَوْ/أَوۡ/aw//دَیْنٍ ؕ/دَيۡنٍۗ/daynin//اٰبَآؤُكُمْ/ءَابَآؤُكُمۡ/abaukum//وَ اَبْنَآؤُكُمْ/وَأَبۡنَآؤُكُمۡ/wa-abnaukum//لَا/لَا/la//تَدْرُوْنَ/تَدۡرُونَ/tadruna//اَیُّهُمْ/أَيُّهُمۡ/ayyuhum//اَقْرَبُ/أَقۡرَبُ/aqrabu//لَكُمْ/لَكُمۡ/lakum//نَفْعًا ؕ/نَفۡعٗاۚ/naf 'an//فَرِیْضَةً/فَرِيضَةٗ/faridatan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "তোমাদের নির্দেশ দিচ্ছেন//আল্লাহ//সম্বন্ধে//তোমাদের সন্তানদের//এক পুত্রের জন্য//বরাবর//অংশ//দুই কন্যার//যদি অতএব//তারা হয়//কন্যা//উর্ধ্বে//দুই এর//তবে তাদের জন্য//দুই-তৃতীয়াংশ//যা//ছেড়ে গিয়েছে//এবং যদি//হয়//একজন (কন্যা)//তবে তার জন্য//অর্ধেক//এবং তারা মা বাপের জন্য//জন্য//প্রত্যেকের//দুজনের মধ্য হতে//ষষ্ঠাংশ//তা হতে যা//ছেড়ে গেছে//যদি//থাকে//তার জন্য//ছেলে সন্তান//অতঃপর যদি//না//থাকে//তার জন্য//ছেলে সন্তান//ও তার উত্তরাধিকারী//তার মা-বাপ//তার মার তবে জন্য//এক তৃতীয়াংশ//অতঃপর যদি//হয়//তার জন্য//ভাইবোন//তার মার জন্য তবে//এক ষষ্ঠাংশ//(থেকে)//পরে//অসীয়ত (পূর্ণ করার )//সে অসীয়ত করেছে (যা)//এ সম্পর্কে//বা//ঋণ (পরিশোধের)//তোমাদের মা-বাপ//বা তোমাদের সন্তান-সন্ততি//না//তোমরা জান//তাদের মধ্যে কে//নিকটতর//তোমাদের জন্য//উপকারে//নির্দিষ্ট//পক্ষ হতে//আল্লাহ//নিশ্চয়ই//আল্লাহ//হলেন//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/505.mp3"
              ],
              "text": "۞ وَلَكُمْ نِصْفُ مَا تَرَكَ أَزْوَٰجُكُمْ إِن لَّمْ يَكُن لَّهُنَّ وَلَدٌۭ ۚ فَإِن كَانَ لَهُنَّ وَلَدٌۭ فَلَكُمُ ٱلرُّبُعُ مِمَّا تَرَكْنَ ۚ مِنۢ بَعْدِ وَصِيَّةٍۢ يُوصِينَ بِهَآ أَوْ دَيْنٍۢ ۚ وَلَهُنَّ ٱلرُّبُعُ مِمَّا تَرَكْتُمْ إِن لَّمْ يَكُن لَّكُمْ وَلَدٌۭ ۚ فَإِن كَانَ لَكُمْ وَلَدٌۭ فَلَهُنَّ ٱلثُّمُنُ مِمَّا تَرَكْتُم ۚ مِّنۢ بَعْدِ وَصِيَّةٍۢ تُوصُونَ بِهَآ أَوْ دَيْنٍۢ ۗ وَإِن كَانَ رَجُلٌۭ يُورَثُ كَلَٰلَةً أَوِ ٱمْرَأَةٌۭ وَلَهُۥٓ أَخٌ أَوْ أُخْتٌۭ فَلِكُلِّ وَٰحِدٍۢ مِّنْهُمَا ٱلسُّدُسُ ۚ فَإِن كَانُوٓا۟ أَكْثَرَ مِن ذَٰلِكَ فَهُمْ شُرَكَآءُ فِى ٱلثُّلُثِ ۚ مِنۢ بَعْدِ وَصِيَّةٍۢ يُوصَىٰ بِهَآ أَوْ دَيْنٍ غَيْرَ مُضَآرٍّۢ ۚ وَصِيَّةًۭ مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَلِيمٌ حَلِيمٌۭ",
              "translate_bn": "আর, তোমাদের হবে অর্ধেক সম্পত্তি, যা ছেড়ে যায় তোমাদের স্ত্রীরা যদি তাদের কোন সন্তান না থাকে। যদি তাদের সন্তান থাকে, তবে তোমাদের হবে এক-চতুর্থাংশ ঐ সম্পত্তির, যা তারা ছেড়ে যায়; ওছিয়্যতের পর, যা তারা করে এবং ঋণ পরিশোধের পর। স্ত্রীদের জন্যে এক-চতুর্থাংশ হবে ঐ সম্পত্তির, যা তোমরা ছেড়ে যাও যদি তোমাদের কোন সন্তান না থাকে। আর যদি তোমাদের সন্তান থাকে, তবে তাদের জন্যে হবে ঐ সম্পত্তির আট ভাগের এক ভাগ, যা তোমরা ছেড়ে যাও ওছিয়্যতের পর, যা তোমরা কর এবং ঋণ পরিশোধের পর। যে পুরুষের, ত্যাজ্য সম্পত্তি, তার যদি পিতা-পুত্র কিংবা স্ত্রী না থাকে এবং এই মৃতের এক ভাই কিংবা এক বোন থাকে, তবে উভয়ের প্রত্যেকে ছয়-ভাগের এক পাবে। আর যদি ততোধিক থাকে, তবে তারা এক তৃতীয়াংশ অংশীদার হবে ওছিয়্যতের পর, যা করা হয় অথবা ঋণের পর এমতাবস্থায় যে, অপরের ক্ষতি না করে। এ বিধান আল্লাহর। আল্লাহ সর্বজ্ঞ, সহনশীল।",
              "numberInSurah": 12,
              "juz": 4,
              "manzil": 1,
              "page": 79,
              "ruku": 63,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকুম নিসফুমা-তারাকা আঝওয়া-জুকুম ইল্লাম ইয়াকুল্লাহুন্না ওয়ালাদুন ফাইন কা-না লাহুন্না ওয়ালাদুন ফালাকুমুর রুবু‘উ মিম্মা-তারাকনা মিম বা‘দি ওয়াসিইইয়াতিইঁ ইঊসীনা বিহাআওদাইনিওঁ ওয়ালাহুন্নার রুবু‘উ মিম্মা-তারাকতুম ইল্লাম ইয়াকুল্লাকুম ওয়ালাদুন ফাইন কা-না লাকুম ওয়ালাদুন ফালাহুন্নাছছু মুনুমিম্মা-তারাকতুম মিম বা‘দি ওয়াসিয়াতিন তূসূনা বিহাআও দাইনিওঁ ওয়া ইন কা-না রাজুলুইঁ ইঊরাছুকালা-লাতান আবিম রাআতুওঁ ওয়ালাহু আখুন আও উখতুন ফালিকুল্লি ওয়া-হিদিম মিনহুমাছ ছু দুছু ফাইন কা-নুআকছারা মিন যা-লিকা ফাহুম শুরাকাউ ফিছছু লুছিমিম বা‘দি ওয়াসিইইয়াতিই ইঊসা-বিহাআওদাইনিন গাইরা মুদাররিওঁ ওয়াসিইইয়াতাম মিনাল্লা-হি ওয়াল্লা-হু ‘আলীমুন হালীম।",
              "words_arabic": "وَ لَكُمْ/۞وَلَكُمۡ/walakum//نِصْفُ/نِصۡفُ/nis'fu//مَا/مَا/ma//تَرَكَ/تَرَكَ/taraka//اَزْوَاجُكُمْ/أَزۡوَٰجُكُمۡ/azwajukum//اِنْ/إِن/in//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُن/yakun//لَّهُنَّ/لَّهُنَّ/lahunna//وَلَدٌ ۚ/وَلَدٞۚ/waladun//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//لَهُنَّ/لَهُنَّ/lahunna//وَلَدٌ/وَلَدٞ/waladun//فَلَكُمُ/فَلَكُمُ/falakumu//الرُّبُعُ/ٱلرُّبُعُ/al-rubu'u//مِمَّا/مِمَّا/mimma//تَرَكْنَ/تَرَكۡنَۚ/tarakna//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//وَصِیَّةٍ/وَصِيَّةٖ/wasiyyatin//یُّوْصِیْنَ/يُوصِينَ/yusina//بِهَاۤ/بِهَآ/biha//اَوْ/أَوۡ/aw//دَیْنٍ ؕ/دَيۡنٖۚ/daynin//وَ لَهُنَّ/وَلَهُنَّ/walahunna//الرُّبُعُ/ٱلرُّبُعُ/al-rubu'u//مِمَّا/مِمَّا/mimma//تَرَكْتُمْ/تَرَكۡتُمۡ/taraktum//اِنْ/إِن/in//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُن/yakun//لَّكُمْ/لَّكُمۡ/lakum//وَلَدٌ ۚ/وَلَدٞۚ/waladun//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//وَلَدٌ/وَلَدٞ/waladun//فَلَهُنَّ/فَلَهُنَّ/falahunna//الثُّمُنُ/ٱلثُّمُنُ/al-thumunu//مِمَّا/مِمَّا/mimma//تَرَكْتُمْ/تَرَكۡتُمۚ/taraktum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//وَصِیَّةٍ/وَصِيَّةٖ/wasiyyatin//تُوْصُوْنَ/تُوصُونَ/tusuna//بِهَاۤ/بِهَآ/biha//اَوْ/أَوۡ/aw//دَیْنٍ ؕ/دَيۡنٖۗ/daynin//وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//رَجُلٌ/رَجُلٞ/rajulun//یُّوْرَثُ/يُورَثُ/yurathu//كَلٰلَةً/كَلَٰلَةً/kalalatan//اَوِ/أَوِ/awi//امْرَاَةٌ/ٱمۡرَأَةٞ/im'ra-atun//وَّ لَهٗۤ/وَلَهُۥٓ/walahu//اَخٌ/أَخٌ/akhun//اَوْ/أَوۡ/aw//اُخْتٌ/أُخۡتٞ/ukh'tun//فَلِكُلِّ/فَلِكُلِّ/falikulli//وَاحِدٍ/وَٰحِدٖ/wahidin//مِّنْهُمَا/مِّنۡهُمَا/min'huma//السُّدُسُ ۚ/ٱلسُّدُسُۚ/al-sudusu//فَاِنْ/فَإِن/fa-in//كَانُوْۤا/كَانُوٓاْ/kanu//اَكْثَرَ/أَكۡثَرَ/akthara//مِنْ/مِن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//فَهُمْ/فَهُمۡ/fahum//شُرَكَآءُ/شُرَكَآءُ/shurakau//فِی/فِي/fi//الثُّلُثِ/ٱلثُّلُثِۚ/al-thuluthi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//وَصِیَّةٍ/وَصِيَّةٖ/wasiyyatin//یُّوْصٰی/يُوصَىٰ/yusa//بِهَاۤ/بِهَآ/biha//اَوْ/أَوۡ/aw//دَیْنٍ ۙ/دَيۡنٍ/daynin//غَیْرَ/غَيۡرَ/ghayra//مُضَآرٍّ ۚ/مُضَآرّٖۚ/mudarrin//وَصِیَّةً/وَصِيَّةٗ/wasiyyatan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَلِیْمٌؕ/حَلِيمٞ/halimun",
              "words_bangla": "এবং তোমাদের জন্য//অর্ধেক//যা//ছেড়ে গিয়েছে//তোমাদের স্ত্রীগণ//যদি//না//থাকে//তাদের জন্য//কোন সন্তান//অতঃপর যদি//থাকে//তাদের জন্য//সন্তান//তোমাদের তবে জন্য//এক চতুর্থাংশ//তা হতে//তারা ছেড়েছে//(থেকে)//পরে//অসীয়াত (পূর্ণ করার)//তারা অসীয়ত করেছে (যা)//এ সম্পর্কে//অথবা//ঋণ পরিশোধের//এবং তাদের জন্য//এক চতুর্থাংশ//তা হতে যা//তোমরা ছেড়েছ//যদি//না//থাকে//তোমাদের জন্য//কোন সন্তান//অতঃপর যদি//থাকে//তোমাদের জন্য//কোন সন্তান//তাদের জন্য তবে//এক অষ্টমাংশ//তা হতে যা//তোমরা ছেড়ে গিয়েছ//(থেকে)//পরে//অসীয়তের (যা)//তোমরা অসীয়ত করেছ//সে সম্পর্কে//বা//ঋণ (পরিশোধের পরে)//এবং যদি//হয়//কোন পুরুষ (যার)//মিরাস বণ্টন করা হবে//পিতামাতা ও সন্তানহীন//অথবা//মহিলা (পিতামাতা ও সন্তানহীন)//এবং তার থাকে//এক ভাই (বৈপিত্রেয়)//অথবা//একবোন (বৈপিত্রেয়)//তবে//প্রত্যেকের জন্য//তাদের দুজনের (মধ্যকার)//এক ষষ্ঠাংশ (পাবে)//যদি অতঃপর//তারা হয়//অধিক//থেকে//এর//তারা তবে//(সমান হবে) অংশীদার//মধ্যে//এক তৃতীয়াংশের//(থেকে)//পরে//অসীয়তের//(যা) অসীয়ত করেছে//তা সম্পর্কে//অথবা//ঋণ (পরিশোধের পরে)//ব্যতীত//(কাউকে) ক্ষতি করা//এ নির্দেশ//পক্ষ হতে//আল্লাহর//এবং আল্লাহ//সর্বজ্ঞ//সহনশীল"
            },
            {
              "number": 506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/506.mp3"
              ],
              "text": "تِلْكَ حُدُودُ ٱللَّهِ ۚ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ يُدْخِلْهُ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "এগুলো আল্লাহর নির্ধারিত সীমা। যে কেউ আল্লাহ ও রসূলের আদেশমত চলে, তিনি তাকে জান্নাত সমূহে প্রবেশ করাবেন, যেগুলোর তলদেশ দিয়ে স্রোতস্বিনী প্রবাহিত হবে। তারা সেখানে চিরকাল থাকবে। এ হল বিরাট সাফল্য।",
              "numberInSurah": 13,
              "juz": 4,
              "manzil": 1,
              "page": 79,
              "ruku": 63,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "তিলকা হুদূদুল্লা-হি ওয়া মাই ইউতি‘ইল্লা-হা ওয়ারাছূলাহু ইউদখিলহু জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা- ওয়া যা-লিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ مَنْ/وَمَن/waman//یُّطِعِ/يُطِعِ/yuti'i//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//یُدْخِلْهُ/يُدۡخِلۡهُ/yud'khil'hu//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "এইসব//সীমাসমূহ//আল্লাহর//এবং যে//আনুগত্য করবে//আল্লাহর//ও তাঁর রাসূলের//তিনি তাকে প্রবেশ করাবেন//জান্নাতে//প্রবাহিত হয়//(থেকে)//তার পাদদেশে//ঝর্ণাধারা//তারা স্থায়ী হবে//তার মধ্যে//এবং এটাই//সাফল্য//বিরাট"
            },
            {
              "number": 507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/507.mp3"
              ],
              "text": "وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ وَيَتَعَدَّ حُدُودَهُۥ يُدْخِلْهُ نَارًا خَٰلِدًۭا فِيهَا وَلَهُۥ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "যে কেউ আল্লাহ ও রসূলের অবাধ্যতা করে এবং তার সীমা অতিক্রম করে তিনি তাকে আগুনে প্রবেশ করাবেন। সে সেখানে চিরকাল থাকবে। তার জন্যে রয়েছে অপমানজনক শাস্তি।",
              "numberInSurah": 14,
              "juz": 4,
              "manzil": 1,
              "page": 79,
              "ruku": 63,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাইঁ ইয়া‘সিল্লা-হা ওয়ারাছূলাহু ওয়াইয়াতা‘আদ্দা হুদূদাহু ইউদখিলহু না-রান খা-লিদান ফীহা- ওয়ালাহু ‘আযা-বুম মুহীন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْصِ/يَعۡصِ/ya'si//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ یَتَعَدَّ/وَيَتَعَدَّ/wayata'adda//حُدُوْدَهٗ/حُدُودَهُۥ/hududahu//یُدْخِلْهُ/يُدۡخِلۡهُ/yud'khil'hu//نَارًا/نَارًا/naran//خَالِدًا/خَٰلِدٗا/khalidan//فِیْهَا ۪/فِيهَا/fiha//وَ لَهٗ/وَلَهُۥ/walahu//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ۠/مُّهِينٞ/muhinun",
              "words_bangla": "এবং যে//অবাধ্য হবে//আল্লাহর//ও তাঁর রাসূলের//এবং লঙ্ঘন করবে//সীমাসমূহের তাঁর//তাকে তিনি প্রবেশ করাবেন//(জাহান্নামের) আগুনে//সে স্থায়ী হবে//তার মধ্যে//এবং তার জন্য (রয়েছে)//শাস্তি//অপমানকর"
            },
            {
              "number": 508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/508.mp3"
              ],
              "text": "وَٱلَّٰتِى يَأْتِينَ ٱلْفَٰحِشَةَ مِن نِّسَآئِكُمْ فَٱسْتَشْهِدُوا۟ عَلَيْهِنَّ أَرْبَعَةًۭ مِّنكُمْ ۖ فَإِن شَهِدُوا۟ فَأَمْسِكُوهُنَّ فِى ٱلْبُيُوتِ حَتَّىٰ يَتَوَفَّىٰهُنَّ ٱلْمَوْتُ أَوْ يَجْعَلَ ٱللَّهُ لَهُنَّ سَبِيلًۭا",
              "translate_bn": "আর তোমাদের নারীদের মধ্যে যারা ব্যভিচারিণী তাদের বিরুদ্ধে তোমাদের মধ্য থেকে চার জন পুরুষকে সাক্ষী হিসেবে তলব কর। অতঃপর যদি তারা সাক্ষ্য প্রদান করে তবে সংশ্লিষ্টদেরকে গৃহে আবদ্ধ রাখ, যে পর্যন্ত মৃত্যু তাদেরকে তুলে না নেয় অথবা আল্লাহ তাদের জন্য অন্য কোন পথ নির্দেশ না করেন।",
              "numberInSurah": 15,
              "juz": 4,
              "manzil": 1,
              "page": 80,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-তী ইয়া’তীনাল ফা-হিশাতা মিন নিছাইকুম ফাছতাশহিদূ‘আলাইহিন্না আরবা‘আতাম মিনকুম; ফাইন শাহিদূফাআমছিকূহুন্না ফিল বুয়ূতি হাত্তা-ইয়াতাওয়াফফা-হুন্নাল মাওতুআও ইয়া জ‘আলাল্লা-হু লাহুন্না ছাবীলা-।",
              "words_arabic": "وَ الّٰتِیْ/وَٱلَّـٰتِي/wa-allati//یَاْتِیْنَ/يَأۡتِينَ/yatina//الْفَاحِشَةَ/ٱلۡفَٰحِشَةَ/al-fahishata//مِنْ/مِن/min//نِّسَآىِٕكُمْ/نِّسَآئِكُمۡ/nisaikum//فَاسْتَشْهِدُوْا/فَٱسۡتَشۡهِدُواْ/fa-is'tashhidu//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//اَرْبَعَةً/أَرۡبَعَةٗ/arba'atan//مِّنْكُمْ ۚ/مِّنكُمۡۖ/minkum//فَاِنْ/فَإِن/fa-in//شَهِدُوْا/شَهِدُواْ/shahidu//فَاَمْسِكُوْهُنَّ/فَأَمۡسِكُوهُنَّ/fa-amsikuhunna//فِی/فِي/fi//الْبُیُوْتِ/ٱلۡبُيُوتِ/al-buyuti//حَتّٰی/حَتَّىٰ/hatta//یَتَوَفّٰهُنَّ/يَتَوَفَّىٰهُنَّ/yatawaffahunna//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//اَوْ/أَوۡ/aw//یَجْعَلَ/يَجۡعَلَ/yaj'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُنَّ/لَهُنَّ/lahunna//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "এবং যে সব মহিলা//লিপ্ত হয়//ব্যভিচারে//মধ্য হতে//তোমাদের নারীদের//তবে তোমরা সাক্ষী চাও//তাদের উপর//চার (জনের)//তোমাদের মধ্য থেকে//যদি অতঃপর//তারা সাক্ষী দেয়//তোমরা আবদ্ধ কর তবে তাদেরকে//মধ্যে//(তাদের) ঘরগুলোর//যতক্ষণ না//তাদের উঠিয়ে নেয়//মৃত্যু//অথবা//করে দেন//আল্লাহ//তাদের জন্য//কোন পথ"
            },
            {
              "number": 509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/509.mp3"
              ],
              "text": "وَٱلَّذَانِ يَأْتِيَٰنِهَا مِنكُمْ فَـَٔاذُوهُمَا ۖ فَإِن تَابَا وَأَصْلَحَا فَأَعْرِضُوا۟ عَنْهُمَآ ۗ إِنَّ ٱللَّهَ كَانَ تَوَّابًۭا رَّحِيمًا",
              "translate_bn": "তোমাদের মধ্য থেকে যে দু’জন সেই কুকর্মে লিপ্ত হয়, তাদেরকে শাস্তি প্রদান কর। অতঃপর যদি উভয়ে তওবা করে এবং নিজেদের সংশোধন করে, তবে তাদের থেকে হাত গুটিয়ে নাও। নিশ্চয় আল্লাহ তওবা কবুলকারী, দয়ালু।",
              "numberInSurah": 16,
              "juz": 4,
              "manzil": 1,
              "page": 80,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযা-নি ইয়া’তিইয়া-নিহা-মিনকুম ফাআ-যূহুমা- ফাইন তা-বা-ওয়াআসলাহাফাআ‘রিদূ ‘আনহুমা- ইন্নাল্লা-হা কা-না তাওওয়া-বার রাহীমা-।",
              "words_arabic": "وَ الَّذٰنِ/وَٱلَّذَانِ/wa-alladhani//یَاْتِیٰنِهَا/يَأۡتِيَٰنِهَا/yatiyaniha//مِنْكُمْ/مِنكُمۡ/minkum//فَاٰذُوْهُمَا ۚ/فَـَٔاذُوهُمَاۖ/faadhuhuma//فَاِنْ/فَإِن/fa-in//تَابَا/تَابَا/taba//وَ اَصْلَحَا/وَأَصۡلَحَا/wa-aslaha//فَاَعْرِضُوْا/فَأَعۡرِضُواْ/fa-a'ridu//عَنْهُمَا ؕ/عَنۡهُمَآۗ/anhuma//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//تَوَّابًا/تَوَّابٗا/tawwaban//رَّحِیْمًا /رَّحِيمًا/rahiman",
              "words_bangla": "এবং যে দুজন//তাতে লিপ্ত হবে//তোমাদের মধ্য হতে//তাদের দুজনকে অতঃপর শাস্তি দাও//অতঃপর যদি//দুজনে তওবা করে//ও দুজনে সংশোধন হয়//তোমরা তবে উপেক্ষা কর//তাদের দুজনকে (অর্থাৎ মাফ করে দাও)//নিশ্চয়//আল্লাহ//হলেন//বড়ই ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/510.mp3"
              ],
              "text": "إِنَّمَا ٱلتَّوْبَةُ عَلَى ٱللَّهِ لِلَّذِينَ يَعْمَلُونَ ٱلسُّوٓءَ بِجَهَٰلَةٍۢ ثُمَّ يَتُوبُونَ مِن قَرِيبٍۢ فَأُو۟لَٰٓئِكَ يَتُوبُ ٱللَّهُ عَلَيْهِمْ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "অবশ্যই আল্লাহ তাদের তওবা কবুল করবেন, যারা ভূলবশতঃ মন্দ কাজ করে, অতঃপর অনতিবিলম্বে তওবা করে; এরাই হল সেসব লোক যাদেরকে আল্লাহ ক্ষমা করে দেন। আল্লাহ মহাজ্ঞানী, রহস্যবিদ।",
              "numberInSurah": 17,
              "juz": 4,
              "manzil": 1,
              "page": 80,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাত তাওবাতু‘আলাল্লা-হি লিল্লাযীনা ইয়া‘মালূনাছ ছূআ বিজাহা-লাতিন ছুম্মা ইয়াতূবূনা মিন কারীবিন ফাউলাইকা ইয়াতূবুল্লা-হু ‘আলাইহিম ওয়া কা-নাল্লা-হু ‘আলীমান হাকীমা।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//التَّوْبَةُ/ٱلتَّوۡبَةُ/al-tawbatu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//السُّوْٓءَ/ٱلسُّوٓءَ/al-sua//بِجَهَالَةٍ/بِجَهَٰلَةٖ/bijahalatin//ثُمَّ/ثُمَّ/thumma//یَتُوْبُوْنَ/يَتُوبُونَ/yatubuna//مِنْ/مِن/min//قَرِیْبٍ/قَرِيبٖ/qaribin//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یَتُوْبُ/يَتُوبُ/yatubu//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۗ/alayhim//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "মুলতঃ//তওবা//কাছে//আল্লাহর//(তাদের) জন্য যারা//কাজ করে//মন্দ//অজ্ঞতার কারণে//এরপর//তারা তওবা করে//(থেকে)//অবিলম্বে//ঐসব লোক অতঃপর//ক্ষমাশীল হন//আল্লাহ//তাদের উপর//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/511.mp3"
              ],
              "text": "وَلَيْسَتِ ٱلتَّوْبَةُ لِلَّذِينَ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ حَتَّىٰٓ إِذَا حَضَرَ أَحَدَهُمُ ٱلْمَوْتُ قَالَ إِنِّى تُبْتُ ٱلْـَٰٔنَ وَلَا ٱلَّذِينَ يَمُوتُونَ وَهُمْ كُفَّارٌ ۚ أُو۟لَٰٓئِكَ أَعْتَدْنَا لَهُمْ عَذَابًا أَلِيمًۭا",
              "translate_bn": "আর এমন লোকদের জন্য কোন ক্ষমা নেই, যারা মন্দ কাজ করতেই থাকে, এমন কি যখন তাদের কারো মাথার উপর মৃত্যু উপস্থিত হয়, তখন বলতে থাকেঃ আমি এখন তওবা করছি। আর তওবা নেই তাদের জন্য, যারা কুফরী অবস্থায় মৃত্যুবরণ করে। আমি তাদের জন্য যন্ত্রণাদায়ক শাস্তি প্রস্তুত করে রেখেছি।",
              "numberInSurah": 18,
              "juz": 4,
              "manzil": 1,
              "page": 80,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইছাতিত্তাওবাতুলিল্লাযীনা ইয়া‘মালূনাছ ছাইয়িআ-তি হাত্তাইযা-হাদারা আহাদাহুমুল মাওতুকা-লা ইন্নী তুবতুল আ-না ওয়ালা ল্লাযীনা ইয়ামূতূনা ওয়াহুম কুফফারুন উলাইকা আ‘তাদনা-লাহুম ‘আযা-বান আলীমা।",
              "words_arabic": "وَ لَیْسَتِ/وَلَيۡسَتِ/walaysati//التَّوْبَةُ/ٱلتَّوۡبَةُ/al-tawbatu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//السَّیِّاٰتِ ۚ/ٱلسَّيِّـَٔاتِ/al-sayiati//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//حَضَرَ/حَضَرَ/hadara//اَحَدَهُمُ/أَحَدَهُمُ/ahadahumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//تُبْتُ/تُبۡتُ/tub'tu//الْـٰٔنَ/ٱلۡـَٰٔنَ/al-ana//وَ لَا/وَلَا/wala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَمُوْتُوْنَ/يَمُوتُونَ/yamutuna//وَ هُمْ/وَهُمۡ/wahum//كُفَّارٌ ؕ/كُفَّارٌۚ/kuffarun//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا /أَلِيمٗا/aliman",
              "words_bangla": "এবং নয়//তওবা//(তাদের) জন্য যারা//কাজ করে//পাপের//এমনকি//যখন//উপস্থিত হয়//কারও তাদের//মৃত্যু//সে বলে//''আমি নিশ্চয়ই//তওবা করছি//এখন''//এবং নয়//(তাদের জন্যও) যারা//মারা যায়//তারা এ অবস্থায় যে//কাফির//ঐসব লোক//আমরা তৈরী করে রেখেছি//তাদের জন্য//আজাব//বড় যন্ত্রণাদায়ক"
            },
            {
              "number": 512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/512.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا يَحِلُّ لَكُمْ أَن تَرِثُوا۟ ٱلنِّسَآءَ كَرْهًۭا ۖ وَلَا تَعْضُلُوهُنَّ لِتَذْهَبُوا۟ بِبَعْضِ مَآ ءَاتَيْتُمُوهُنَّ إِلَّآ أَن يَأْتِينَ بِفَٰحِشَةٍۢ مُّبَيِّنَةٍۢ ۚ وَعَاشِرُوهُنَّ بِٱلْمَعْرُوفِ ۚ فَإِن كَرِهْتُمُوهُنَّ فَعَسَىٰٓ أَن تَكْرَهُوا۟ شَيْـًۭٔا وَيَجْعَلَ ٱللَّهُ فِيهِ خَيْرًۭا كَثِيرًۭا",
              "translate_bn": "হে ঈমাণদারগণ! বলপূর্বক নারীদেরকে উত্তরাধিকারে গ্রহন করা তোমাদের জন্যে হালাল নয় এবং তাদেরকে আটক রেখো না যাতে তোমরা তাদেরকে যা প্রদান করেছ তার কিয়দংশ নিয়ে নাও; কিন্তু তারা যদি কোন প্রকাশ্য অশ্লীলতা করে! নারীদের সাথে সদ্ভাবে জীবন-যাপন কর। অতঃপর যদি তাদেরকে অপছন্দ কর, তবে হয়ত তোমরা এমন এক জিনিসকে অপছন্দ করছ, যাতে আল্লাহ, অনেক কল্যাণ রেখেছেন।",
              "numberInSurah": 19,
              "juz": 4,
              "manzil": 1,
              "page": 80,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-ইয়াহিল্লুলাকুম আন তারিছুন নিছাআ কারহাওঁ ওয়ালা-তা‘দুলূহুন্না লিতাযহাবূব্বিা‘দিমাআ-তাইতুমূহুন্না ইল্লাআইঁ ইয়া’তীনা বিফাহিশাতিম মুবাইয়িনাতিওঁ ওয়া‘আ-শিরূহুন্না বিলমা‘রূফি ফাইন কারিহতুমূহুন্না ফা‘আছাআন তাকরাহু শাইআওঁ ওয়াইয়াজ‘আলাল্লা-হু ফীহি খাইরান কাছীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//یَحِلُّ/يَحِلُّ/yahillu//لَكُمْ/لَكُمۡ/lakum//اَنْ/أَن/an//تَرِثُوا/تَرِثُواْ/tarithu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//كَرْهًا ؕ/كَرۡهٗاۖ/karhan//وَ لَا/وَلَا/wala//تَعْضُلُوْهُنَّ/تَعۡضُلُوهُنَّ/ta'duluhunna//لِتَذْهَبُوْا/لِتَذۡهَبُواْ/litadhhabu//بِبَعْضِ/بِبَعۡضِ/biba'di//مَاۤ/مَآ/ma//اٰتَیْتُمُوْهُنَّ/ءَاتَيۡتُمُوهُنَّ/ataytumuhunna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّاْتِیْنَ/يَأۡتِينَ/yatina//بِفَاحِشَةٍ/بِفَٰحِشَةٖ/bifahishatin//مُّبَیِّنَةٍ ۚ/مُّبَيِّنَةٖۚ/mubayyinatin//وَ عَاشِرُوْهُنَّ/وَعَاشِرُوهُنَّ/wa'ashiruhunna//بِالْمَعْرُوْفِ ۚ/بِٱلۡمَعۡرُوفِۚ/bil-ma'rufi//فَاِنْ/فَإِن/fa-in//كَرِهْتُمُوْهُنَّ/كَرِهۡتُمُوهُنَّ/karih'tumuhunna//فَعَسٰۤی/فَعَسَىٰٓ/fa'asa//اَنْ/أَن/an//تَكْرَهُوْا/تَكۡرَهُواْ/takrahu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ یَجْعَلَ/وَيَجۡعَلَ/wayaj'ala//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْهِ/فِيهِ/fihi//خَیْرًا/خَيۡرٗا/khayran//كَثِیْرًا /كَثِيرٗا/kathiran",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//বৈধ হবে//তোমাদের জন্য//যে//তোমরা উত্তরাধিকারী হবে//স্ত্রীলোকদের//জোরপূর্বক//এবং না//তোমরা বাধা দিও (বিবাহবন্ধন হতে) তাদেরকে//তোমরা নেয়ার জন্য//কিছু অংশ//যা//তোমরা দিয়েছ তাদেরকে//কিন্তু//(যে)//তারা লিপ্ত হলে//ব্যভিচারে//প্রকাশ্য (তা হতে বাধা দিও)//এবং তোমরা জীবনযাপন কর তাদের নিয়ে//সদ্ভাবে//যদি অতঃপর//তোমরা অপছন্দ কর তাদেরকে//হতে পারে তবে//যে//তোমরা অপছন্দ কর//এক জিনিস//কিন্তু রেখেছেন//আল্লাহ//তার মধ্যে//কল্যাণ//অনেক"
            },
            {
              "number": 513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/513.mp3"
              ],
              "text": "وَإِنْ أَرَدتُّمُ ٱسْتِبْدَالَ زَوْجٍۢ مَّكَانَ زَوْجٍۢ وَءَاتَيْتُمْ إِحْدَىٰهُنَّ قِنطَارًۭا فَلَا تَأْخُذُوا۟ مِنْهُ شَيْـًٔا ۚ أَتَأْخُذُونَهُۥ بُهْتَٰنًۭا وَإِثْمًۭا مُّبِينًۭا",
              "translate_bn": "যদি তোমরা এক স্ত্রীর স্থলে অন্য স্ত্রী পরিবর্তন করতে ইচ্ছা কর এবং তাদের একজনকে প্রচুর ধন-সম্পদ প্রদান করে থাক, তবে তা থেকে কিছুই ফেরত গ্রহণ করো না। তোমরা কি তা অন্যায়ভাবে ও প্রকাশ্য গোনাহর মাধ্যমে গ্রহণ করবে?",
              "numberInSurah": 20,
              "juz": 4,
              "manzil": 1,
              "page": 81,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন আরাত্তুমুছ তিবদা-লা ঝাওজিম মাকা-না ঝাওজিওঁ ওয়া আ-তাইতুম ইহদা-হুন্না কিনতা-রান ফালা-তা’খুযূমিনহু শাইআন আতা’খুযূনাহু বুহতা-নাওঁ ওয়া ইছমাম মুবীনা।",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//اَرَدْتُّمُ/أَرَدتُّمُ/aradttumu//اسْتِبْدَالَ/ٱسۡتِبۡدَالَ/is'tib'dala//زَوْجٍ/زَوۡجٖ/zawjin//مَّكَانَ/مَّكَانَ/makana//زَوْجٍ ۙ/زَوۡجٖ/zawjin//وَّ اٰتَیْتُمْ/وَءَاتَيۡتُمۡ/waataytum//اِحْدٰىهُنَّ/إِحۡدَىٰهُنَّ/ih'dahunna//قِنْطَارًا/قِنطَارٗا/qintaran//فَلَا/فَلَا/fala//تَاْخُذُوْا/تَأۡخُذُواْ/takhudhu//مِنْهُ/مِنۡهُ/min'hu//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اَتَاْخُذُوْنَهٗ/أَتَأۡخُذُونَهُۥ/atakhudhunahu//بُهْتَانًا/بُهۡتَٰنٗا/buh'tanan//وَّ اِثْمًا/وَإِثۡمٗا/wa-ith'man//مُّبِیْنًا /مُّبِينٗا/mubinan",
              "words_bangla": "এবং যদি//তোমরা ইচ্ছা করে থাক//পরিবর্তন করতে//এক স্ত্রী//জায়গায়//(অন্য) এক স্ত্রীর//এবং তোমরা দিয়েছ//তাদের কাউকে//অগাধ সম্পদ//না তবুও//তোমরা গ্রহণ করবে//তা থেকে//কোন কিছু//কি তা তোমরা নিবে//দোষারোপ (করে)//ও পাপ (করে)//সুস্পষ্ট"
            },
            {
              "number": 514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/514.mp3"
              ],
              "text": "وَكَيْفَ تَأْخُذُونَهُۥ وَقَدْ أَفْضَىٰ بَعْضُكُمْ إِلَىٰ بَعْضٍۢ وَأَخَذْنَ مِنكُم مِّيثَٰقًا غَلِيظًۭا",
              "translate_bn": "তোমরা কিরূপে তা গ্রহণ করতে পার, অথচ তোমাদের একজন অন্য জনের কাছে গমন এবং নারীরা তোমাদের কাছে থেকে সুদৃঢ় অঙ্গীকার গ্রহণ করেছে।",
              "numberInSurah": 21,
              "juz": 4,
              "manzil": 1,
              "page": 81,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইফা তা’খুযূনাহূওয়া কাদ আফদা-বা‘দুকুমইলা-বা‘দিওঁ ওয়া আখাযনা মিনকুম মীছাকান গালীজা।",
              "words_arabic": "وَ كَیْفَ/وَكَيۡفَ/wakayfa//تَاْخُذُوْنَهٗ/تَأۡخُذُونَهُۥ/takhudhunahu//وَ قَدْ/وَقَدۡ/waqad//اَفْضٰی/أَفۡضَىٰ/afda//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//اِلٰی/إِلَىٰ/ila//بَعْضٍ/بَعۡضٖ/ba'din//وَّ اَخَذْنَ/وَأَخَذۡنَ/wa-akhadhna//مِنْكُمْ/مِنكُم/minkum//مِّیْثَاقًا/مِّيثَٰقًا/mithaqan//غَلِیْظًا /غَلِيظٗا/ghalizan",
              "words_bangla": "এবং কিরূপে//তা তোমরা গ্রহণ করবে//অথচ নিশ্চয়//স্বাদ নিয়েছ (স্ত্রী মিলনের)//তোমাদের একে//থেকে//অপরের//এবং তারা নিয়েছে//তোমাদের থেকে//প্রতিশ্রুতি//দৃঢ়"
            },
            {
              "number": 515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/515.mp3"
              ],
              "text": "وَلَا تَنكِحُوا۟ مَا نَكَحَ ءَابَآؤُكُم مِّنَ ٱلنِّسَآءِ إِلَّا مَا قَدْ سَلَفَ ۚ إِنَّهُۥ كَانَ فَٰحِشَةًۭ وَمَقْتًۭا وَسَآءَ سَبِيلًا",
              "translate_bn": "যে নারীকে তোমাদের পিতা-পিতামহ বিবাহ করেছে তোমরা তাদের বিবাহ করো না। কিন্তু যা বিগত হয়ে গেছে। এটা অশ্লীল, গযবের কাজ এবং নিকৃষ্ট আচরণ।",
              "numberInSurah": 22,
              "juz": 4,
              "manzil": 1,
              "page": 81,
              "ruku": 64,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তানকিহুমা-নাকাহা আ-বাউকুম মিনান নিছাই ইল্লা-মা-কাদ সালাফা ইন্নাহু কা-না ফা-হিশাতাওঁ ওয়া মাকতাওঁ ওয়া ছাআ ছাবীলা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَنْكِحُوْا/تَنكِحُواْ/tankihu//مَا/مَا/ma//نَكَحَ/نَكَحَ/nakaha//اٰبَآؤُكُمْ/ءَابَآؤُكُم/abaukum//مِّنَ/مِّنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//اِلَّا/إِلَّا/illa//مَا/مَا/ma//قَدْ/قَدۡ/qad//سَلَفَ ؕ/سَلَفَۚ/salafa//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//فَاحِشَةً/فَٰحِشَةٗ/fahishatan//وَّ مَقْتًا ؕ/وَمَقۡتٗا/wamaqtan//وَ سَآءَ/وَسَآءَ/wasaa//سَبِیْلًا۠/سَبِيلًا/sabilan",
              "words_bangla": "এবং না//তোমরা বিবাহ করো//যাদের//বিবাহ করেছে//তোমাদের পিতা (পিতামহ ইত্যাদি)//মধ্য হতে//স্ত্রীলোকদের//কিন্তু//যা//হয়েছে//বিগত (সেটা ধর্তব্য নয়)//তা নিশ্চয়ই//হল//অশ্লীল কাজ//ও বড়ই অপছন্দনীয়//এবং নিকৃষ্ট//আচরণ"
            },
            {
              "number": 516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/516.mp3"
              ],
              "text": "حُرِّمَتْ عَلَيْكُمْ أُمَّهَٰتُكُمْ وَبَنَاتُكُمْ وَأَخَوَٰتُكُمْ وَعَمَّٰتُكُمْ وَخَٰلَٰتُكُمْ وَبَنَاتُ ٱلْأَخِ وَبَنَاتُ ٱلْأُخْتِ وَأُمَّهَٰتُكُمُ ٱلَّٰتِىٓ أَرْضَعْنَكُمْ وَأَخَوَٰتُكُم مِّنَ ٱلرَّضَٰعَةِ وَأُمَّهَٰتُ نِسَآئِكُمْ وَرَبَٰٓئِبُكُمُ ٱلَّٰتِى فِى حُجُورِكُم مِّن نِّسَآئِكُمُ ٱلَّٰتِى دَخَلْتُم بِهِنَّ فَإِن لَّمْ تَكُونُوا۟ دَخَلْتُم بِهِنَّ فَلَا جُنَاحَ عَلَيْكُمْ وَحَلَٰٓئِلُ أَبْنَآئِكُمُ ٱلَّذِينَ مِنْ أَصْلَٰبِكُمْ وَأَن تَجْمَعُوا۟ بَيْنَ ٱلْأُخْتَيْنِ إِلَّا مَا قَدْ سَلَفَ ۗ إِنَّ ٱللَّهَ كَانَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "তোমাদের জন্যে হারাম করা হয়েছে তোমাদের মাতা, তোমাদের কন্যা, তোমাদের বোন, তোমাদের ফুফু, তোমাদের খালা, ভ্রাতৃকণ্যা; ভগিনীকণ্যা তোমাদের সে মাতা, যারা তোমাদেরকে স্তন্যপান করিয়েছে, তোমাদের দুধ-বোন, তোমাদের স্ত্রীদের মাতা, তোমরা যাদের সাথে সহবাস করেছ সে স্ত্রীদের কন্যা যারা তোমাদের লালন-পালনে আছে। যদি তাদের সাথে সহবাস না করে থাক, তবে এ বিবাহে তোমাদের কোন গোনাহ নেই। তোমাদের ঔরসজাত পুত্রদের স্ত্রী এবং দুই বোনকে একত্রে বিবাহ করা; কিন্তু যা অতীত হয়ে গেছে। নিশ্চয় আল্লাহ ক্ষমাকরী, দয়ালু।",
              "numberInSurah": 23,
              "juz": 4,
              "manzil": 1,
              "page": 81,
              "ruku": 65,
              "hizbQuarter": 32,
              "sajda": false,
              "pronunciation_bn": "হুররিমাত ‘আলাইকুম উম্মাহা-তুকুম ওয়া বানা-তুকুম ওয়া আখাওয়া-তুকুম ওয়া ‘আম্মা-তুকুম ওয়া খা-লা-তুকুম ওয়া বানা-তুল আখি ওয়া বানা-তুল উখতি ওয়া উম্মাহা-তুকুমুল্লাতীআরদা‘নাকুম ওয়া আখাওয়া-তুকুম মিনাররাদা-‘আতি ওয়াউম্মাহা-তুনিছাইকুম ওয়া রাবাইবুকুমুল্লা-তী ফী হুজূরিকুম মিন নিছাইকুমুল্লা-তী দাখালতুম বিহিন্না ফাইল্লাম তাকূনূদাখালতুম বিহিন্না ফালা-জুনা-হা ‘আলাইকুম ওয়া হালাইলু আবনাইকুমুল্লাযীনা মিন আসলা-বিকুম ওয়া আন তাজমা‘ঊ বাইনাল উখতাইনি ইল্লামা-কাদ ছালাফা ইন্নাল্লা-হা কা-না গাফূরার রাহীমা-।",
              "words_arabic": "حُرِّمَتْ/حُرِّمَتۡ/hurrimat//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اُمَّهٰتُكُمْ/أُمَّهَٰتُكُمۡ/ummahatukum//وَ بَنٰتُكُمْ/وَبَنَاتُكُمۡ/wabanatukum//وَ اَخَوٰتُكُمْ/وَأَخَوَٰتُكُمۡ/wa-akhawatukum//وَ عَمّٰتُكُمْ/وَعَمَّـٰتُكُمۡ/wa'ammatukum//وَ خٰلٰتُكُمْ/وَخَٰلَٰتُكُمۡ/wakhalatukum//وَ بَنٰتُ/وَبَنَاتُ/wabanatu//الْاَخِ/ٱلۡأَخِ/al-akhi//وَ بَنٰتُ/وَبَنَاتُ/wabanatu//الْاُخْتِ/ٱلۡأُخۡتِ/al-ukh'ti//وَ اُمَّهٰتُكُمُ/وَأُمَّهَٰتُكُمُ/wa-ummahatukumu//الّٰتِیْۤ/ٱلَّـٰتِيٓ/allati//اَرْضَعْنَكُمْ/أَرۡضَعۡنَكُمۡ/arda'nakum//وَ اَخَوٰتُكُمْ/وَأَخَوَٰتُكُم/wa-akhawatukum//مِّنَ/مِّنَ/mina//الرَّضَاعَةِ/ٱلرَّضَٰعَةِ/al-rada'ati//وَ اُمَّهٰتُ/وَأُمَّهَٰتُ/wa-ummahatu//نِسَآىِٕكُمْ/نِسَآئِكُمۡ/nisaikum//وَ رَبَآىِٕبُكُمُ/وَرَبَـٰٓئِبُكُمُ/warabaibukumu//الّٰتِیْ/ٱلَّـٰتِي/allati//فِیْ/فِي/fi//حُجُوْرِكُمْ/حُجُورِكُم/hujurikum//مِّنْ/مِّن/min//نِّسَآىِٕكُمُ/نِّسَآئِكُمُ/nisaikumu//الّٰتِیْ/ٱلَّـٰتِي/allati//دَخَلْتُمْ/دَخَلۡتُم/dakhaltum//بِهِنَّ ؗ/بِهِنَّ/bihinna//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَكُوْنُوْا/تَكُونُواْ/takunu//دَخَلْتُمْ/دَخَلۡتُم/dakhaltum//بِهِنَّ/بِهِنَّ/bihinna//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ ؗ/عَلَيۡكُمۡ/alaykum//وَ حَلَآىِٕلُ/وَحَلَـٰٓئِلُ/wahalailu//اَبْنَآىِٕكُمُ/أَبۡنَآئِكُمُ/abnaikumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِنۡ/min//اَصْلَابِكُمْ ۙ/أَصۡلَٰبِكُمۡ/aslabikum//وَ اَنْ/وَأَن/wa-an//تَجْمَعُوْا/تَجۡمَعُواْ/tajma'u//بَیْنَ/بَيۡنَ/bayna//الْاُخْتَیْنِ/ٱلۡأُخۡتَيۡنِ/al-ukh'tayni//اِلَّا/إِلَّا/illa//مَا/مَا/ma//قَدْ/قَدۡ/qad//سَلَفَ ؕ/سَلَفَۗ/salafa//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًاۙ/رَّحِيمٗا/rahiman",
              "words_bangla": "নিষিদ্ধ করা হয়েছে (বিবাহ)//তোমাদের উপর//তোমাদের মাতাদেরকে//ও তোমাদের কন্যাদেরকে//ও তোমাদের বোনদেরকে//ও তোমাদের ফুফুদেরকে//ও তোমাদের খালাদেরকে//ও কন্যাদেরকে//ভাই এর//ও কন্যাদেরকে//বোনের//ও তোমাদের (সেই সব) মাতাদেরকে//যারা//তোমাদের দুধ পান করিয়েছেন//ও বোনদের//(থেকে)//দুধ পান করান (সম্পর্কিত)//ও মাতাদেরকে//তোমাদের স্ত্রীদের//ও তোমাদের স্ব-পত্নীদের কন্যাদেরকে//যারা//মধ্যে//তোমাদের ঘরে (লালিতা-পালিতা)//পক্ষ হতে//তোমাদের স্ত্রীদের//যাদের//তোমরা সহবাস করেছ//তাদের সাথে//যদি তবে//নাই//করে থাক//তোমরা সহবাস//তাদের সাথে//নাই তবে//কোন দোষ (তাদের কন্যা)//তোমাদের উপর//এবং (নিষিদ্ধ) স্ত্রীরা//তোমাদের ছেলেদের//যারা//হতে//তোমাদের ঔরস//এবং (এও নিষিদ্ধ) যে//তোমরা একত্রিত করবে//মাঝে//দুই বোনের//কিন্তু//যা//হয়েছে//অতীত (সেটা ধর্তব্য নয়)//নিশ্চয়//আল্লাহ//হলেন//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/517.mp3"
              ],
              "text": "۞ وَٱلْمُحْصَنَٰتُ مِنَ ٱلنِّسَآءِ إِلَّا مَا مَلَكَتْ أَيْمَٰنُكُمْ ۖ كِتَٰبَ ٱللَّهِ عَلَيْكُمْ ۚ وَأُحِلَّ لَكُم مَّا وَرَآءَ ذَٰلِكُمْ أَن تَبْتَغُوا۟ بِأَمْوَٰلِكُم مُّحْصِنِينَ غَيْرَ مُسَٰفِحِينَ ۚ فَمَا ٱسْتَمْتَعْتُم بِهِۦ مِنْهُنَّ فَـَٔاتُوهُنَّ أُجُورَهُنَّ فَرِيضَةًۭ ۚ وَلَا جُنَاحَ عَلَيْكُمْ فِيمَا تَرَٰضَيْتُم بِهِۦ مِنۢ بَعْدِ ٱلْفَرِيضَةِ ۚ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "এবং নারীদের মধ্যে তাদের ছাড়া সকল সধবা স্ত্রীলোক তোমাদের জন্যে নিষিদ্ধ; তোমাদের দক্ষিণ হস্ত যাদের মালিক হয়ে যায়-এটা তোমাদের জন্য আল্লাহর হুকুম। এদেরকে ছাড়া তোমাদের জন্যে সব নারী হালাল করা হয়েছে, শর্ত এই যে, তোমরা তাদেরকে স্বীয় অর্থের বিনিময়ে তলব করবে বিবাহ বন্ধনে আবদ্ধ করার জন্য-ব্যভিচারের জন্য নয়। অনন্তর তাদের মধ্যে যাকে তোমরা ভোগ করবে, তাকে তার নির্ধারিত হক দান কর। তোমাদের কোন গোনাহ হবে না যদি নির্ধারণের পর তোমরা পরস্পরে সম্মত হও। নিশ্চয় আল্লাহ সুবিজ্ঞ, রহস্যবিদ।",
              "numberInSurah": 24,
              "juz": 5,
              "manzil": 1,
              "page": 82,
              "ruku": 65,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মুহসানা-তুমিনান নিছাই ইল্লা-মা- মালাকাত আইমা-নুকুম কিতা-বাল্লা-হি ‘আলাইকুম ওয়া উহিল্লা লাকুম মা-ওয়ারাআ যা-লিকুম আন তাবতাগূবিআমওয়ালিকুম মুহসিনীনা গাইরা মুছা-ফিহীনা ফামাছ তামতা‘তুম বিহী মিনহুন্না ফাআ-তূহুন্না উজূরাহুন্না ফারীদাতাওঁ ওয়ালা-জুনা-হা ‘আলাইকুম ফীমা-তারাদাইতুম বিহী মিম বা‘দিল ফারীদাতি ইন্নাল্লা-হা কা-না ‘আলীমান হাকীমা-।",
              "words_arabic": "وَّ الْمُحْصَنٰتُ/۞وَٱلۡمُحۡصَنَٰتُ/wal-muh'sanatu//مِنَ/مِنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//اِلَّا/إِلَّا/illa//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ ۚ/أَيۡمَٰنُكُمۡۖ/aymanukum//كِتٰبَ/كِتَٰبَ/kitaba//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ ۚ/عَلَيۡكُمۡۚ/alaykum//وَ اُحِلَّ/وَأُحِلَّ/wa-uhilla//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//وَرَآءَ/وَرَآءَ/waraa//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//اَنْ/أَن/an//تَبْتَغُوْا/تَبۡتَغُواْ/tabtaghu//بِاَمْوَالِكُمْ/بِأَمۡوَٰلِكُم/bi-amwalikum//مُّحْصِنِیْنَ/مُّحۡصِنِينَ/muh'sinina//غَیْرَ/غَيۡرَ/ghayra//مُسٰفِحِیْنَ ؕ/مُسَٰفِحِينَۚ/musafihina//فَمَا/فَمَا/fama//اسْتَمْتَعْتُمْ/ٱسۡتَمۡتَعۡتُم/is'tamta'tum//بِهٖ/بِهِۦ/bihi//مِنْهُنَّ/مِنۡهُنَّ/min'hunna//فَاٰتُوْهُنَّ/فَـَٔاتُوهُنَّ/faatuhunna//اُجُوْرَهُنَّ/أُجُورَهُنَّ/ujurahunna//فَرِیْضَةً ؕ/فَرِيضَةٗۚ/faridatan//وَ لَا/وَلَا/wala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِیْمَا/فِيمَا/fima//تَرٰضَیْتُمْ/تَرَٰضَيۡتُم/taradaytum//بِهٖ/بِهِۦ/bihi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//الْفَرِیْضَةِ ؕ/ٱلۡفَرِيضَةِۚ/al-faridati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "এবং (বিবাহ নিষিদ্ধ) (অন্যের) বিবাহাধীন নারীদেরকে//মধ্য হতে//স্ত্রীলোকদের//এ ব্যতীত//যা//মালিক হয়েছে//তোমাদের ডান হাত (অর্থাৎ যুদ্ধ বন্দিনী)//নির্দেশ//আল্লাহর//তোমাদের উপর//এবং হালাল করা হয়েছে//তোমাদের জন্য//যা (আছে নারী)//ব্যতীত//এসব//(এশর্তে) যে//তোমরা চাইবে//তোমাদের ধন-মাল দিয়ে//বিবাহবন্ধনে আবদ্ধ হবে (হিসেবে)//নয়//ব্যভিচারী হিসেবে//অতঃপর যা//তোমরা সম্ভোগ কর//তা//তাদের মধ্য হতে//সেজন্য তাদেরকে দাও//মোহরানা তাদের//ফরজ (হিসেবে)//এবং নাই//কোন দোষ//তোমাদের উপর//ঐবিষয়ে যা//তোমরা পরস্পর রাজী হও//তা//(থেকে)//পরে//মোহর নির্ধারণের//নিশ্চয়ই//আল্লাহ//হলেন//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/518.mp3"
              ],
              "text": "وَمَن لَّمْ يَسْتَطِعْ مِنكُمْ طَوْلًا أَن يَنكِحَ ٱلْمُحْصَنَٰتِ ٱلْمُؤْمِنَٰتِ فَمِن مَّا مَلَكَتْ أَيْمَٰنُكُم مِّن فَتَيَٰتِكُمُ ٱلْمُؤْمِنَٰتِ ۚ وَٱللَّهُ أَعْلَمُ بِإِيمَٰنِكُم ۚ بَعْضُكُم مِّنۢ بَعْضٍۢ ۚ فَٱنكِحُوهُنَّ بِإِذْنِ أَهْلِهِنَّ وَءَاتُوهُنَّ أُجُورَهُنَّ بِٱلْمَعْرُوفِ مُحْصَنَٰتٍ غَيْرَ مُسَٰفِحَٰتٍۢ وَلَا مُتَّخِذَٰتِ أَخْدَانٍۢ ۚ فَإِذَآ أُحْصِنَّ فَإِنْ أَتَيْنَ بِفَٰحِشَةٍۢ فَعَلَيْهِنَّ نِصْفُ مَا عَلَى ٱلْمُحْصَنَٰتِ مِنَ ٱلْعَذَابِ ۚ ذَٰلِكَ لِمَنْ خَشِىَ ٱلْعَنَتَ مِنكُمْ ۚ وَأَن تَصْبِرُوا۟ خَيْرٌۭ لَّكُمْ ۗ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর তোমাদের মধ্যে যে ব্যক্তি স্বাধীন মুসলমান নারীকে বিয়ে করার সামর্থ্য রাখে না, সে তোমাদের অধিকারভুক্ত মুসলিম ক্রীতদাসীদেরকে বিয়ে করবে। আল্লাহ তোমাদের ঈমান সম্পর্কে ভালোভাবে জ্ঞাত রয়েছেন। তোমরা পরস্পর এক, অতএব, তাদেরকে তাদের মালিকের অনুমতিক্রমে বিয়ে কর এবং নিয়ম অনুযায়ী তাদেরকে মোহরানা প্রদান কর এমতাবস্থায় যে, তারা বিবাহ বন্ধনে আবদ্ধ হবে-ব্যভিচারিণী কিংবা উপ-পতি গ্রহণকারিণী হবে না। অতঃপর যখন তারা বিবাহ বন্ধনে এসে যায়, তখন যদি কোন অশ্লীল কাজ করে, তবে তাদেরকে স্বাধীন নারীদের অর্ধেক শাস্তি ভোগ করতে হবে। এ ব্যবস্থা তাদের জন্যে, তোমাদের মধ্যে যারা ব্যভিচারে লিপ্ত হওয়ার ব্যাপারে ভয় করে। আর যদি সবর কর, তবে তা তোমাদের জন্যে উত্তম। আল্লাহ ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 25,
              "juz": 5,
              "manzil": 1,
              "page": 82,
              "ruku": 65,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাল্লাম ইয়াছতাতি‘ই মিনকুম তাওলান আই ইয়ানকিহাল মুহসানা-তিল মু’মিনা-তি ফামিম্মা-মালকাত আইমা-নুকুম মিন ফাতাইয়া-তিকুমুল মু’মিনা-তি ওয়াল্লা-হু আ‘লামু বিঈমা-নিকুম বা‘দুকুম মিম বা‘দিন ফানকিহূহুন্না বিইযনি আহলিহিন্না ওয়া আতূ-হুন্না উজুরাহুন্না বিলমা‘রূফি মুহসানা-তিন গাইরা মুছা-ফিহা-তিওঁ ওয়ালা-মুত্তাখিযা-তি আখদা-নিন ফাইযা-উহসিন্না ফাইন আতাইনা বিফা-হিশাতিন ফা‘আলইহিন্না নিসফুমা‘আলাল মুহসানা-তি মিনাল ‘আযা-বি যা-লিকা লিমান খাশিইয়াল ‘আনাতা মিনকুম ওয়া আন তাসবিরূ খাইরুল্লাকুম ওয়াল্লা-হু গাফুরু রাহীম।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَسْتَطِعْ/يَسۡتَطِعۡ/yastati'//مِنْكُمْ/مِنكُمۡ/minkum//طَوْلًا/طَوۡلًا/tawlan//اَنْ/أَن/an//یَّنْكِحَ/يَنكِحَ/yankiha//الْمُحْصَنٰتِ/ٱلۡمُحۡصَنَٰتِ/al-muh'sanati//الْمُؤْمِنٰتِ/ٱلۡمُؤۡمِنَٰتِ/al-mu'minati//فَمِنْ/فَمِن/famin//مَّا/مَّا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ/أَيۡمَٰنُكُم/aymanukum//مِّنْ/مِّن/min//فَتَیٰتِكُمُ/فَتَيَٰتِكُمُ/fatayatikumu//الْمُؤْمِنٰتِ ؕ/ٱلۡمُؤۡمِنَٰتِۚ/al-mu'minati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِاِیْمَانِكُمْ ؕ/بِإِيمَٰنِكُمۚ/biimanikum//بَعْضُكُمْ/بَعۡضُكُم/ba'dukum//مِّنْۢ/مِّنۢ/min//بَعْضٍ ۚ/بَعۡضٖۚ/ba'din//فَانْكِحُوْهُنَّ/فَٱنكِحُوهُنَّ/fa-inkihuhunna//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اَهْلِهِنَّ/أَهۡلِهِنَّ/ahlihinna//وَ اٰتُوْهُنَّ/وَءَاتُوهُنَّ/waatuhunna//اُجُوْرَهُنَّ/أُجُورَهُنَّ/ujurahunna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//مُحْصَنٰتٍ/مُحۡصَنَٰتٍ/muh'sanatin//غَیْرَ/غَيۡرَ/ghayra//مُسٰفِحٰتٍ/مُسَٰفِحَٰتٖ/musafihatin//وَّ لَا/وَلَا/wala//مُتَّخِذٰتِ/مُتَّخِذَٰتِ/muttakhidhati//اَخْدَانٍ ۚ/أَخۡدَانٖۚ/akhdanin//فَاِذَاۤ/فَإِذَآ/fa-idha//اُحْصِنَّ/أُحۡصِنَّ/uh'sinna//فَاِنْ/فَإِنۡ/fa-in//اَتَیْنَ/أَتَيۡنَ/atayna//بِفَاحِشَةٍ/بِفَٰحِشَةٖ/bifahishatin//فَعَلَیْهِنَّ/فَعَلَيۡهِنَّ/fa'alayhinna//نِصْفُ/نِصۡفُ/nis'fu//مَا/مَا/ma//عَلَی/عَلَى/ala//الْمُحْصَنٰتِ/ٱلۡمُحۡصَنَٰتِ/al-muh'sanati//مِنَ/مِنَ/mina//الْعَذَابِ ؕ/ٱلۡعَذَابِۚ/al-'adhabi//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَنۡ/liman//خَشِیَ/خَشِيَ/khashiya//الْعَنَتَ/ٱلۡعَنَتَ/al-'anata//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//وَ اَنْ/وَأَن/wa-an//تَصْبِرُوْا/تَصۡبِرُواْ/tasbiru//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ؕ/لَّكُمۡۗ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যে//না//সামর্থ্য রাখে//তোমাদের মধ্য হতে//উপকরণের//যে//বিবাহ করবে//স্বাধীনা//মু'মিনা নারীকে//মধ্য হতে তবে (বিবাহ করবে)//যা//মালিক হয়েছে//তোমাদের ডান হাত সমূহ//মধ্য হতে//তোমাদের ক্রীতদাসীদের//মু'মিনা//এবং আল্লাহ//খুব জানেন//তোমাদের ঈমান সম্পর্কে//তোমাদের এক অংশ (সৃষ্ট)//হতে//অন্য অংশ (অর্থাৎ তোমরা সমগোত্রভুক্ত)//অতএব তাদেরকে তোমরা বিবাহ কর//অনুমতি নিয়ে//তাদের মালিকের//এবং তাদের তোমরা দাও//মোহরানা তাদের//প্রচলিত পন্থায়//(ঐসব দাসীদেরকে যারা) সচ্চরিত্রা//নয়//ব্যভিচারিণী//এবং না//গ্রহণকারিনী//উপ-পতি//যখন অতঃপর//বিবাহিতা হয়//যদি তখন//লিপ্ত হয়//ব্যভিচারে//তাদের উপর তবে//অর্ধেক (শাস্তি)//যা (নির্ধারিত)//উপর//স্বাধীনা নারীদের//(থেকে)//শাস্তি//এটা//(ঐ ব্যক্তির) জন্য যে//ভয় করে//ব্যভিচারের//তোমাদের মধ্য হতে//এবং যদি//তোমরা সবর কর//উত্তম//তোমাদের জন্য//এবং আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/519.mp3"
              ],
              "text": "يُرِيدُ ٱللَّهُ لِيُبَيِّنَ لَكُمْ وَيَهْدِيَكُمْ سُنَنَ ٱلَّذِينَ مِن قَبْلِكُمْ وَيَتُوبَ عَلَيْكُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে সব কিছু পরিষ্কার বর্ণনা করে দিতে চান, তোমাদের পূর্ববর্তীদের পথ প্রদর্শন করতে চান। এবং তোমাদেরকে ক্ষমা করতে চান, আল্লাহ মহাজ্ঞানী রহস্যবিদ।",
              "numberInSurah": 26,
              "juz": 5,
              "manzil": 1,
              "page": 82,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ইউরীদুল্লাহু লিইউবাইয়িনালাকুম ওয়া ইয়াহদিয়াকুম ছুনানাল্লাযীনা মিন কাবলিকুম ওয়া ইয়াতূবা ‘আলাইকুম ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُبَیِّنَ/لِيُبَيِّنَ/liyubayyina//لَكُمْ/لَكُمۡ/lakum//وَ یَهْدِیَكُمْ/وَيَهۡدِيَكُمۡ/wayahdiyakum//سُنَنَ/سُنَنَ/sunana//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//وَ یَتُوْبَ/وَيَتُوبَ/wayatuba//عَلَیْكُمْ ؕ/عَلَيۡكُمۡۗ/alaykum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "চান//আল্লাহ//বর্ণনা করতে (বিশদভাবে)//তোমাদের জন্য//ও তোমাদের পথ প্রদর্শন করতে//রীতিনীতি (নেকলোকদের)//যারা (ছিল)//(থেকে)//তোমাদের পূর্বে//এবং ক্ষমা করবেন//তোমাদেরকে//এবং আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/520.mp3"
              ],
              "text": "وَٱللَّهُ يُرِيدُ أَن يَتُوبَ عَلَيْكُمْ وَيُرِيدُ ٱلَّذِينَ يَتَّبِعُونَ ٱلشَّهَوَٰتِ أَن تَمِيلُوا۟ مَيْلًا عَظِيمًۭا",
              "translate_bn": "আল্লাহ তোমাদের প্রতি ক্ষমাশীল হতে চান, এবং যারা কামনা-বাসনার অনুসারী, তারা চায় যে, তোমরা পথ থেকে অনেক দূরে বিচ্যুত হয়ে পড়।",
              "numberInSurah": 27,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু ইউরীদুআইঁ ইয়াতূবা ‘আলাইকুম ওয়া ইউরীদুল্লাযীনা ইয়াত্তাবি‘ঊনাশ শাহাওয়া-তি আন তামীলূমাইলান ‘আজীমা।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یَّتُوْبَ/يَتُوبَ/yatuba//عَلَیْكُمْ ۫/عَلَيۡكُمۡ/alaykum//وَ یُرِیْدُ/وَيُرِيدُ/wayuridu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//الشَّهَوٰتِ/ٱلشَّهَوَٰتِ/al-shahawati//اَنْ/أَن/an//تَمِیْلُوْا/تَمِيلُواْ/tamilu//مَیْلًا/مَيۡلًا/maylan//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "এবং আল্লাহ//চান//যে//ক্ষমা করবেন//তোমাদেরকে//এবং চায়//(তারা) যারা//অনুসরণ করে//কুপ্রবৃত্তির//যে//তোমরা ঝুঁকে পড় (পথভ্রষ্টতার দিকে)//ঝুঁকা//ভীষণভাবে"
            },
            {
              "number": 521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/521.mp3"
              ],
              "text": "يُرِيدُ ٱللَّهُ أَن يُخَفِّفَ عَنكُمْ ۚ وَخُلِقَ ٱلْإِنسَٰنُ ضَعِيفًۭا",
              "translate_bn": "আল্লাহ তোমাদের বোঝা হালকা করতে চান। মানুষ দুর্বল সৃজিত হয়েছে।",
              "numberInSurah": 28,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ইউরীদুল্লা-হু আইঁ ইউখাফফিফা ‘আনকুম ওয়া খুলিকাল ইনছা-নুদা‘ঈফা-।",
              "words_arabic": "یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یُّخَفِّفَ/يُخَفِّفَ/yukhaffifa//عَنْكُمْ ۚ/عَنكُمۡۚ/ankum//وَ خُلِقَ/وَخُلِقَ/wakhuliqa//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//ضَعِیْفًا /ضَعِيفٗا/da'ifan",
              "words_bangla": "চান//আল্লাহ//(যে)//হালকা করতে//তোমাদের থেকে (বোঝা)//আর সৃষ্টি করা হয়েছে//মানুষকে//দুর্বলভাবে"
            },
            {
              "number": 522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/522.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَأْكُلُوٓا۟ أَمْوَٰلَكُم بَيْنَكُم بِٱلْبَٰطِلِ إِلَّآ أَن تَكُونَ تِجَٰرَةً عَن تَرَاضٍۢ مِّنكُمْ ۚ وَلَا تَقْتُلُوٓا۟ أَنفُسَكُمْ ۚ إِنَّ ٱللَّهَ كَانَ بِكُمْ رَحِيمًۭا",
              "translate_bn": "হে ঈমানদারগণ! তোমরা একে অপরের সম্পদ অন্যায়ভাবে গ্রাস করো না। কেবলমাত্র তোমাদের পরস্পরের সম্মতিক্রমে যে ব্যবসা করা হয় তা বৈধ। আর তোমরা নিজেদের কাউকে হত্যা করো না। নিঃসন্দেহে আল্লাহ তা’আলা তোমাদের প্রতি দয়ালু।",
              "numberInSurah": 29,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূলা-তা’কুলূ আমওয়া-লুকুম বাইনাকুম বিলবা-তিলি ইল্লাআন তাকূনা তিজা-রাতান ‘আন তারা-দিম মিনকুম ওয়ালা-তাকতুলূআনফুছাকুম ইন্নাল্লা-হা কা-না বিকুম রাহীমা।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَاْكُلُوْۤا/تَأۡكُلُوٓاْ/takulu//اَمْوَالَكُمْ/أَمۡوَٰلَكُم/amwalakum//بَیْنَكُمْ/بَيۡنَكُم/baynakum//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//تِجَارَةً/تِجَٰرَةً/tijaratan//عَنْ/عَن/an//تَرَاضٍ/تَرَاضٖ/taradin//مِّنْكُمْ ۫/مِّنكُمۡۚ/minkum//وَ لَا/وَلَا/wala//تَقْتُلُوْۤا/تَقۡتُلُوٓاْ/taqtulu//اَنْفُسَكُمْ ؕ/أَنفُسَكُمۡۚ/anfusakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِكُمْ/بِكُمۡ/bikum//رَحِیْمًا /رَحِيمٗا/rahiman",
              "words_bangla": "ওহে//যারা//ঈমান এনেছে//না//তোমরা খেয়ো//তোমাদের মাল-সম্পদ//তোমাদের মাঝে//অন্যায়ভাবে//তবে (অবশ্যই)//(যে)//হবে//ব্যবসা//ভিত্তিতে//সন্তোষের//তোমাদের মধ্যকার//এবং না//তোমরা হত্যা করো//তোমাদের নিজেদেরকে//নিশ্চয়ই//আল্লাহ//হলেন//তোমাদের উপর//মেহেরবান"
            },
            {
              "number": 523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/523.mp3"
              ],
              "text": "وَمَن يَفْعَلْ ذَٰلِكَ عُدْوَٰنًۭا وَظُلْمًۭا فَسَوْفَ نُصْلِيهِ نَارًۭا ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًا",
              "translate_bn": "আর যে কেউ সীমালঙ্ঘন কিংবা জুলুমের বশবর্তী হয়ে এরূপ করবে, তাকে খুব শীঘ্রই আগুনে নিক্ষেপ করা হবে। এটা আল্লাহর পক্ষে খুবই সহজসাধ্য।",
              "numberInSurah": 30,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াফ‘আল যা-লিকা ‘উদওয়া-নাওঁ ওয়া জুলমান ফাছাওফা নুসলীহি না-রাওঁ ওয়া কা-না যা-লিকা ‘আলাল্লা-হি ইয়াছীরা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//عُدْوَانًا/عُدۡوَٰنٗا/ud'wanan//وَّ ظُلْمًا/وَظُلۡمٗا/wazul'man//فَسَوْفَ/فَسَوۡفَ/fasawfa//نُصْلِیْهِ/نُصۡلِيهِ/nus'lihi//نَارًا ؕ/نَارٗاۚ/naran//وَ كَانَ/وَكَانَ/wakana//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرًا /يَسِيرًا/yasiran",
              "words_bangla": "এবং যে//করবে//এটা//বাড়াবাড়ি স্বরূপ//ও জুলুম স্বরূপ//শীঘ্রই তা হলে//তাকে ঝলসাব আমরা//আগুনে//এবং হলো//এটা//উপর//আল্লাহ্‌র//সহজ"
            },
            {
              "number": 524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/524.mp3"
              ],
              "text": "إِن تَجْتَنِبُوا۟ كَبَآئِرَ مَا تُنْهَوْنَ عَنْهُ نُكَفِّرْ عَنكُمْ سَيِّـَٔاتِكُمْ وَنُدْخِلْكُم مُّدْخَلًۭا كَرِيمًۭا",
              "translate_bn": "যেগুলো সম্পর্কে তোমাদের নিষেধ করা হয়েছে যদি তোমরা সেসব বড় গোনাহ গুলো থেকে বেঁচে থাকতে পার। তবে আমি তোমাদের ক্রটি-বিচ্যুতিগুলো ক্ষমা করে দেব এবং সম্মান জনক স্থানে তোমাদের প্রবেশ করার।",
              "numberInSurah": 31,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ইন তাজতানিবূকাবাইরা মা-তুনহাওনা ‘আনহু নুকাফফির ‘আনকুমছাইয়িআ-তিকুম ওয়ানুদখিলকুম মুদখালান কারীমা-।",
              "words_arabic": "اِنْ/إِن/in//تَجْتَنِبُوْا/تَجۡتَنِبُواْ/tajtanibu//كَبَآىِٕرَ/كَبَآئِرَ/kabaira//مَا/مَا/ma//تُنْهَوْنَ/تُنۡهَوۡنَ/tun'hawna//عَنْهُ/عَنۡهُ/anhu//نُكَفِّرْ/نُكَفِّرۡ/nukaffir//عَنْكُمْ/عَنكُمۡ/ankum//سَیِّاٰتِكُمْ/سَيِّـَٔاتِكُمۡ/sayyiatikum//وَ نُدْخِلْكُمْ/وَنُدۡخِلۡكُم/wanud'khil'kum//مُّدْخَلًا/مُّدۡخَلٗا/mud'khalan//كَرِیْمًا /كَرِيمٗا/kariman",
              "words_bangla": "যদি//তোমরা বেঁচে চল//বড় বড় গুনাহ (থেকে)//যা//তোমাদের নিষেধ করা হয়//তা থেকে//মোচন করব আমরা//তোমাদের থেকে//তোমাদের ছোট পাপগুলো//ও তোমাদের আমরা প্রবেশ করাব//প্রবেশ পথে//সন্মানজনক"
            },
            {
              "number": 525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/525.mp3"
              ],
              "text": "وَلَا تَتَمَنَّوْا۟ مَا فَضَّلَ ٱللَّهُ بِهِۦ بَعْضَكُمْ عَلَىٰ بَعْضٍۢ ۚ لِّلرِّجَالِ نَصِيبٌۭ مِّمَّا ٱكْتَسَبُوا۟ ۖ وَلِلنِّسَآءِ نَصِيبٌۭ مِّمَّا ٱكْتَسَبْنَ ۚ وَسْـَٔلُوا۟ ٱللَّهَ مِن فَضْلِهِۦٓ ۗ إِنَّ ٱللَّهَ كَانَ بِكُلِّ شَىْءٍ عَلِيمًۭا",
              "translate_bn": "আর তোমরা আকাঙ্ক্ষা করো না এমন সব বিষয়ে যাতে আল্লাহ তা’আলা তোমাদের একের উপর অপরের শ্রেষ্ঠত্ব দান করেছেন। পুরুষ যা অর্জন করে সেটা তার অংশ এবং নারী যা অর্জন করে সেটা তার অংশ। আর আল্লাহর কাছে তাঁর অনুগ্রহ প্রার্থনা কর। নিঃসন্দেহে আল্লাহ তা’আলা সর্ব বিষয়ে জ্ঞাত।",
              "numberInSurah": 32,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাতামান্নাওঁমা-ফাদ্দালাল্লা-হু বিহী বা‘দাকুম ‘আলা বা‘দিন লিররিজা-লি নাসীবুম মিম্মাকতাছাবূ ওয়ালিন নিছাই নাসীবুম মিম্মাক তাছাবনা ওয়াছ আলুল্লা-হা মিন ফাদলিহী ইন্নাল্লাহা কা-না বিকুল্লি শাইইন ‘আলীমা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَتَمَنَّوْا/تَتَمَنَّوۡاْ/tatamannaw//مَا/مَا/ma//فَضَّلَ/فَضَّلَ/faddala//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖ/بِهِۦ/bihi//بَعْضَكُمْ/بَعۡضَكُمۡ/ba'dakum//عَلٰی/عَلَىٰ/ala//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//لِلرِّجَالِ/لِّلرِّجَالِ/lilrrijali//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّمَّا/مِّمَّا/mimma//اكْتَسَبُوْا ؕ/ٱكۡتَسَبُواْۖ/ik'tasabu//وَ لِلنِّسَآءِ/وَلِلنِّسَآءِ/walilnnisai//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّمَّا/مِّمَّا/mimma//اكْتَسَبْنَ ؕ/ٱكۡتَسَبۡنَۚ/ik'tasabna//وَ سْـَٔلُوا/وَسۡـَٔلُواْ/wasalu//اللّٰهَ/ٱللَّهَ/al-laha//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦٓۚ/fadlihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمًا /عَلِيمٗا/aliman",
              "words_bangla": "এবং না//তোমরা লোভ করো//যা//শ্রেষ্টত্ব দিয়েছেন//আল্লাহ//তার//তোমাদের কাউকে//উপর//কারও//পুরুষদের জন্য//অংশ (রয়েছে)//তা হতে যা//তারা অর্জন করেছে//এবং মহিলাদের জন্য (রয়েছে)//অংশ//তা হতে যা//তারা অর্জন করে//এবং চাও তোমরা//আল্লাহর (কাছে)//হতে//তাঁর অনুগ্রহ//নিশ্চয়ই//আল্লাহ//হলেন//সম্বন্ধে সব//কিছুর//খুব অবহিত"
            },
            {
              "number": 526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/526.mp3"
              ],
              "text": "وَلِكُلٍّۢ جَعَلْنَا مَوَٰلِىَ مِمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ ۚ وَٱلَّذِينَ عَقَدَتْ أَيْمَٰنُكُمْ فَـَٔاتُوهُمْ نَصِيبَهُمْ ۚ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدًا",
              "translate_bn": "পিতা-মাতা এবং নিকটাত্নীয়গণ যা ত্যাগ করে যান সেসবের জন্যই আমি উত্তরাধিকারী নির্ধারণ করে দিয়েছি। আর যাদের সাথে তোমরা অঙ্গীকারাবদ্ধ হয়েছ তাদের প্রাপ্য দিয়ে দাও। আল্লাহ তা’আলা নিঃসন্দেহে সব কিছুই প্রত্যক্ষ করেন।",
              "numberInSurah": 33,
              "juz": 5,
              "manzil": 1,
              "page": 83,
              "ruku": 66,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিকুল্লিন জা‘আলনা-মাওয়া-লিয়া মিম্মা-তারাকাল ওয়া-লিদা-নি ওয়াল আকরাবূনা ওয়াল্লাযীনা ‘আকাদাত আইমা-নুকুম ফাআ-তুহুম নাসীবাহুম ইন্নাল্লা-হা কা-না ‘আলাকুল্লি শাইইন শাহীদা-।",
              "words_arabic": "وَ لِكُلٍّ/وَلِكُلّٖ/walikullin//جَعَلْنَا/جَعَلۡنَا/ja'alna//مَوَالِیَ/مَوَٰلِيَ/mawaliya//مِمَّا/مِمَّا/mimma//تَرَكَ/تَرَكَ/taraka//الْوَالِدٰنِ/ٱلۡوَٰلِدَانِ/al-walidani//وَ الْاَقْرَبُوْنَ ؕ/وَٱلۡأَقۡرَبُونَۚ/wal-aqrabuna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//عَقَدَتْ/عَقَدَتۡ/aqadat//اَیْمَانُكُمْ/أَيۡمَٰنُكُمۡ/aymanukum//فَاٰتُوْهُمْ/فَـَٔاتُوهُمۡ/faatuhum//نَصِیْبَهُمْ ؕ/نَصِيبَهُمۡۚ/nasibahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدًا۠/شَهِيدًا/shahidan",
              "words_bangla": "এবং প্রত্যেকের জন্য//আমরা বানিয়েছি//উত্তরাধিকারী//তাহতে যা//ত্যাগ করেছে//পিতা মাতা//এবং আত্মীয় স্বজনরা (তাদের)//আর যাদের (সাথে)//আবদ্ধ হয়েছে//তোমাদের অঙ্গীকার//সেক্ষেত্রে তাদেরকে দাও//তাদের অংশ//নিশ্চয়ই//আল্লাহ//হলেন//উপর//সব//কিছুরই//পর্যবেক্ষক"
            },
            {
              "number": 527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/527.mp3"
              ],
              "text": "ٱلرِّجَالُ قَوَّٰمُونَ عَلَى ٱلنِّسَآءِ بِمَا فَضَّلَ ٱللَّهُ بَعْضَهُمْ عَلَىٰ بَعْضٍۢ وَبِمَآ أَنفَقُوا۟ مِنْ أَمْوَٰلِهِمْ ۚ فَٱلصَّٰلِحَٰتُ قَٰنِتَٰتٌ حَٰفِظَٰتٌۭ لِّلْغَيْبِ بِمَا حَفِظَ ٱللَّهُ ۚ وَٱلَّٰتِى تَخَافُونَ نُشُوزَهُنَّ فَعِظُوهُنَّ وَٱهْجُرُوهُنَّ فِى ٱلْمَضَاجِعِ وَٱضْرِبُوهُنَّ ۖ فَإِنْ أَطَعْنَكُمْ فَلَا تَبْغُوا۟ عَلَيْهِنَّ سَبِيلًا ۗ إِنَّ ٱللَّهَ كَانَ عَلِيًّۭا كَبِيرًۭا",
              "translate_bn": "পুরুষেরা নারীদের উপর কৃর্তত্বশীল এ জন্য যে, আল্লাহ একের উপর অন্যের বৈশিষ্ট্য দান করেছেন এবং এ জন্য যে, তারা তাদের অর্থ ব্যয় করে। সে মতে নেককার স্ত্রীলোকগণ হয় অনুগতা এবং আল্লাহ যা হেফাযতযোগ্য করে দিয়েছেন লোক চক্ষুর অন্তরালেও তার হেফাযত করে। আর যাদের মধ্যে অবাধ্যতার আশঙ্কা কর তাদের সদুপদেশ দাও, তাদের শয্যা ত্যাগ কর এবং প্রহার কর। যদি তাতে তারা বাধ্য হয়ে যায়, তবে আর তাদের জন্য অন্য কোন পথ অনুসন্ধান করো না। নিশ্চয় আল্লাহ সবার উপর শ্রেষ্ঠ।",
              "numberInSurah": 34,
              "juz": 5,
              "manzil": 1,
              "page": 84,
              "ruku": 67,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "আররিজা-লুকাওওয়া-মূনা ‘আলাননিছাই, বিমা-ফাদ্দালাল্লা-হু বা‘দাহুম ‘আলাবা‘দিওঁ ওয়াবিমা-আনফাকূমিন আমওয়া-লিহিম ফাসসা-লিহা-তুকা-নিতা-তুন হাফিজা তুল লিল গাইবি বিমা-হাফিজাল্লা-হু ওয়াল্লা-তী তাখা-ফূনা নুশূঝাহুন্না ফা‘ইজূহুন্না ওয়াহজুরূহুন্না ফিল মাদা-জি‘ই ওয়াদরিবূহুন্না ফাইন আতা‘নাকুম ফালাতাবগূ‘আলাইহিন্না ছাবীলা- ইন্নাল্লা-হা কা-না ‘আলিইইয়ান কাবীরা।",
              "words_arabic": "اَلرِّجَالُ/ٱلرِّجَالُ/al-rijalu//قَوّٰمُوْنَ/قَوَّـٰمُونَ/qawwamuna//عَلَی/عَلَى/ala//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//بِمَا/بِمَا/bima//فَضَّلَ/فَضَّلَ/faddala//اللّٰهُ/ٱللَّهُ/al-lahu//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//وَّ بِمَاۤ/وَبِمَآ/wabima//اَنْفَقُوْا/أَنفَقُواْ/anfaqu//مِنْ/مِنۡ/min//اَمْوَالِهِمْ ؕ/أَمۡوَٰلِهِمۡۚ/amwalihim//فَالصّٰلِحٰتُ/فَٱلصَّـٰلِحَٰتُ/fal-salihatu//قٰنِتٰتٌ/قَٰنِتَٰتٌ/qanitatun//حٰفِظٰتٌ/حَٰفِظَٰتٞ/hafizatun//لِّلْغَیْبِ/لِّلۡغَيۡبِ/lil'ghaybi//بِمَا/بِمَا/bima//حَفِظَ/حَفِظَ/hafiza//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ الّٰتِیْ/وَٱلَّـٰتِي/wa-allati//تَخَافُوْنَ/تَخَافُونَ/takhafuna//نُشُوْزَهُنَّ/نُشُوزَهُنَّ/nushuzahunna//فَعِظُوْهُنَّ/فَعِظُوهُنَّ/fa'izuhunna//وَ اهْجُرُوْهُنَّ/وَٱهۡجُرُوهُنَّ/wa-uh'juruhunna//فِی/فِي/fi//الْمَضَاجِعِ/ٱلۡمَضَاجِعِ/al-madaji'i//وَ اضْرِبُوْهُنَّ ۚ/وَٱضۡرِبُوهُنَّۖ/wa-id'ribuhunna//فَاِنْ/فَإِنۡ/fa-in//اَطَعْنَكُمْ/أَطَعۡنَكُمۡ/ata'nakum//فَلَا/فَلَا/fala//تَبْغُوْا/تَبۡغُواْ/tabghu//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//سَبِیْلًا ؕ/سَبِيلًاۗ/sabilan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیًّا/عَلِيّٗا/aliyyan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "পুরুষেরা//পরিচালক//উপর//নারীদের//এ জন্য যে//বিশিষ্টতা দিয়েছেন//আল্লাহ//তাদের কাউকে//উপর//কারও//এবং এ জন্যও যে//তারা খরচ করে//থেকে//তাদের মাল সম্পদ//অতএব (যারা) সৎ মহিলা//আনুগত্য পরায়না (হয়ে থাকে)//(তারা) রক্ষণাবেক্ষণ কারিনী//লোক চক্ষুর অন্তরালে//ঐ বিষয়ে যা//হিফাজত করেছেন//আল্লাহ//এবং যাদেরকে//তোমরা ভয় কর//তাদের অবাধ্যতার//তোমরা তবে উপদেশ দাও তাদেরকে//ও তাদেরকে তোমরা ত্যাগ কর (একাকী)//উপর//শয্যার//ও তোমরা মার তাদেরকে//যদি অতঃপর//তোমাদের তারা অনুগত হয়//না তবে//তোমরা তালাশ করো//তাদের বিরুদ্ধে//কোন বাহানা//নিশ্চয়ই//আল্লাহ//হলেন//উচ্চতর//শ্রেষ্ট"
            },
            {
              "number": 528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/528.mp3"
              ],
              "text": "وَإِنْ خِفْتُمْ شِقَاقَ بَيْنِهِمَا فَٱبْعَثُوا۟ حَكَمًۭا مِّنْ أَهْلِهِۦ وَحَكَمًۭا مِّنْ أَهْلِهَآ إِن يُرِيدَآ إِصْلَٰحًۭا يُوَفِّقِ ٱللَّهُ بَيْنَهُمَآ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا خَبِيرًۭا",
              "translate_bn": "যদি তাদের মধ্যে সম্পর্কচ্ছেদ হওয়ার মত পরিস্থিতিরই আশঙ্কা কর, তবে স্বামীর পরিবার থেকে একজন এবং স্ত্রীর পরিবার থেকে একজন সালিস নিযুক্ত করবে। তারা উভয়ের মীমাংসা চাইলে আল্লাহ সর্বজ্ঞ, সবকিছু অবহিত।",
              "numberInSurah": 35,
              "juz": 5,
              "manzil": 1,
              "page": 84,
              "ruku": 67,
              "hizbQuarter": 33,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন খিফতুম শিকা-কা বাইনাহুমা-ফাব‘আছূহাকামাম মিন আহলিহী ওয়া হাকামাম মিন আহলিহা- ইয়ঁইউরীদা-ইসলা-হাইঁ ইউওয়াফফিকিল্লা-হু বাইনাহুম ইন্নাল্লা-হা কা-না ‘আলীমান খাবীরা।",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//شِقَاقَ/شِقَاقَ/shiqaqa//بَیْنِهِمَا/بَيۡنِهِمَا/baynihima//فَابْعَثُوْا/فَٱبۡعَثُواْ/fa-ib'athu//حَكَمًا/حَكَمٗا/hakaman//مِّنْ/مِّنۡ/min//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//وَ حَكَمًا/وَحَكَمٗا/wahakaman//مِّنْ/مِّنۡ/min//اَهْلِهَا ۚ/أَهۡلِهَآ/ahliha//اِنْ/إِن/in//یُّرِیْدَاۤ/يُرِيدَآ/yurida//اِصْلَاحًا/إِصۡلَٰحٗا/is'lahan//یُّوَفِّقِ/يُوَفِّقِ/yuwaffiqi//اللّٰهُ/ٱللَّهُ/al-lahu//بَیْنَهُمَا ؕ/بَيۡنَهُمَآۗ/baynahuma//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمًا/aliman//خَبِیْرًا /خَبِيرٗا/khabiran",
              "words_bangla": "এবং যদি//তোমরা আশঙ্কা কর//সম্পর্কচ্ছেদের//তাদের দুজনের মাঝে//তোমরা তবে নিযুক্ত কর//একজন সালিশ//মধ্যহতে//তাঁর পরিবারের (অর্থাৎ স্বামীর)//ও একজন সালিশ//মধ্যে হতে//তার পরিবারের (অর্থাৎ স্ত্রীর)//যদি//দুজনে চায়//মীমাংসা//তৌফিক দিবেন//আল্লাহ//তাদের দুজনের মাঝে//নিশ্চয়ই//আল্লাহ//হলেন//সর্বজ্ঞ//খুব অবহিত"
            },
            {
              "number": 529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/529.mp3"
              ],
              "text": "۞ وَٱعْبُدُوا۟ ٱللَّهَ وَلَا تُشْرِكُوا۟ بِهِۦ شَيْـًۭٔا ۖ وَبِٱلْوَٰلِدَيْنِ إِحْسَٰنًۭا وَبِذِى ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينِ وَٱلْجَارِ ذِى ٱلْقُرْبَىٰ وَٱلْجَارِ ٱلْجُنُبِ وَٱلصَّاحِبِ بِٱلْجَنۢبِ وَٱبْنِ ٱلسَّبِيلِ وَمَا مَلَكَتْ أَيْمَٰنُكُمْ ۗ إِنَّ ٱللَّهَ لَا يُحِبُّ مَن كَانَ مُخْتَالًۭا فَخُورًا",
              "translate_bn": "আর উপাসনা কর আল্লাহর, শরীক করো না তাঁর সাথে অপর কাউকে। পিতা-মাতার সাথে সৎ ও সদয় ব্যবহার কর এবং নিকটাত্নীয়, এতীম-মিসকীন, প্রতিবেশী, অসহায় মুসাফির এবং নিজের দাস-দাসীর প্রতিও। নিশ্চয়ই আল্লাহ পছন্দ করেন না দাম্ভিক-গর্বিতজনকে।",
              "numberInSurah": 36,
              "juz": 5,
              "manzil": 1,
              "page": 84,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘বুদুল্লা-হা ওয়ালা-তুশরিকূবিহী শাইআওঁ ওয়াবিল ওয়া-লিদাইনি ইহছানাওঁ ওয়াবিযিল কুরবা-ওয়াল ইয়াতা-মা-ওয়াল মাছা-কীনি ওয়াল জা-রিযিল কুরবা-ওয়ালজা-রিল জুনুবি ওয়াসসা-হিবি বিলজামবি ওয়াবনিছ ছাবীলি ওয়ামা-মালাকাত আইমা-নুকুম ইন্নাল্লাহা-লা ইউহিব্বুমান কা-না মুখতা-লান ফাখূরা-।",
              "words_arabic": "وَ اعْبُدُوا/۞وَٱعۡبُدُواْ/wa-u'budu//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَا/وَلَا/wala//تُشْرِكُوْا/تُشۡرِكُواْ/tush'riku//بِهٖ/بِهِۦ/bihi//شَیْـًٔا/شَيۡـٔٗاۖ/shayan//وَّ بِالْوَالِدَیْنِ/وَبِٱلۡوَٰلِدَيۡنِ/wabil-walidayni//اِحْسَانًا/إِحۡسَٰنٗا/ih'sanan//وَّ بِذِی/وَبِذِي/wabidhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ الْجَارِ/وَٱلۡجَارِ/wal-jari//ذِی/ذِي/dhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْجَارِ/وَٱلۡجَارِ/wal-jari//الْجُنُبِ/ٱلۡجُنُبِ/al-junubi//وَ الصَّاحِبِ/وَٱلصَّاحِبِ/wal-sahibi//بِالْجَنْۢبِ/بِٱلۡجَنۢبِ/bil-janbi//وَ ابْنِ/وَٱبۡنِ/wa-ib'ni//السَّبِیْلِ ۙ/ٱلسَّبِيلِ/al-sabili//وَ مَا/وَمَا/wama//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ ؕ/أَيۡمَٰنُكُمۡۗ/aymanukum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//مَنْ/مَن/man//كَانَ/كَانَ/kana//مُخْتَالًا/مُخۡتَالٗا/mukh'talan//فَخُوْرَاۙ/فَخُورًا/fakhuran",
              "words_bangla": "এবং তোমরা ইবাদাত কর//আল্লাহর//ও না//তোমরা শিরক করো//তাঁর সাথে//কোন কিছুকে//ও পিতা মাতার সাথে//সৎ ব্যবহার (করবে)//এবং সাথে//আত্মীয়-স্বজনদের সাথে//ও ইয়াতীমদের//ও অভাবগ্রস্তদের//ও প্রতিবেশী//(চিরকাল)//আত্মীয়//ও প্রতিবেশী//দূরের (অর্থাৎ অনাত্মীয়ও)//ও সাথী//পাশাপাশি চলার//ও//পথ চারী//ও যা//মালিক হয়েছে//তোমাদের ডান হাত (সবার সাথে ভাল ব্যবহার করবে)//নিশ্চয়ই//আল্লাহ//না//পছন্দ করেন//(তাকে) যে//হল//দাম্ভিক//গর্বকারী"
            },
            {
              "number": 530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/530.mp3"
              ],
              "text": "ٱلَّذِينَ يَبْخَلُونَ وَيَأْمُرُونَ ٱلنَّاسَ بِٱلْبُخْلِ وَيَكْتُمُونَ مَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَأَعْتَدْنَا لِلْكَٰفِرِينَ عَذَابًۭا مُّهِينًۭا",
              "translate_bn": "যারা নিজেরাও কার্পন্য করে এবং অন্যকেও কৃপণতা শিক্ষা দেয় আর গোপন করে সে সব বিষয় যা আল্লাহ তা’আলা তাদেরকে দান করেছেন স্বীয় অনুগ্রহে-বস্তুতঃ তৈরী করে রেখেছি কাফেরদের জন্য অপমান জনক আযাব।",
              "numberInSurah": 37,
              "juz": 5,
              "manzil": 1,
              "page": 84,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াবখালূনা ওয়া ইয়া’মুরূনান্না-ছা বিলবুখলি ওয়া ইয়াকতুমূনা মাআ-তা-হুমুল্লাহু মিন ফাদলিহী ওয়া আ‘তাদনা-লিলকা-ফিরীনা ‘আযাবাম মুহীনা-।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//یَبْخَلُوْنَ/يَبۡخَلُونَ/yabkhaluna//وَ یَاْمُرُوْنَ/وَيَأۡمُرُونَ/wayamuruna//النَّاسَ/ٱلنَّاسَ/al-nasa//بِالْبُخْلِ/بِٱلۡبُخۡلِ/bil-bukh'li//وَ یَكْتُمُوْنَ/وَيَكۡتُمُونَ/wayaktumuna//مَاۤ/مَآ/ma//اٰتٰىهُمُ/ءَاتَىٰهُمُ/atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦۗ/fadlihi//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَذَابًا/عَذَابٗا/adhaban//مُّهِیْنًاۚ/مُّهِينٗا/muhinan",
              "words_bangla": "যারা//কৃপণতা করে//ও নির্দেশ দেয়//মানুষকে//কৃপণতার জন্য//ও গোপন করে//যা//তাদের দিয়েছেন//আল্লাহ//হতে//তাঁর অনুগ্রহ//এবং আমরা প্রস্তুত করে রেখেছি//এমন অকৃতজ্ঞদের জন্য//আজাব//অপমানকর"
            },
            {
              "number": 531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/531.mp3"
              ],
              "text": "وَٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ رِئَآءَ ٱلنَّاسِ وَلَا يُؤْمِنُونَ بِٱللَّهِ وَلَا بِٱلْيَوْمِ ٱلْءَاخِرِ ۗ وَمَن يَكُنِ ٱلشَّيْطَٰنُ لَهُۥ قَرِينًۭا فَسَآءَ قَرِينًۭا",
              "translate_bn": "আর সে সমস্ত লোক যারা ব্যয় করে স্বীয় ধন-সম্পদ লোক-দেখানোর উদ্দেশে এবং যারা আল্লাহর উপর ঈমান আনে না, ঈমান আনে না কেয়ামত দিবসের প্রতি এবং শয়তান যার সাথী হয় সে হল নিকৃষ্টতর সাথী।",
              "numberInSurah": 38,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউনফিকূনা আমওয়া-লাহুম রিআআন্না-ছি ওয়ালা ইউ’মিনূনা বিল্লা-হি ওয়ালা-বিলইয়াওমিল আ-খিরি ওয়ামাইঁ ইয়াকুনিশশাইতা-নুলাহু কারীনান ফাছাআ কারীনা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//رِئَآءَ/رِئَآءَ/riaa//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لَا/وَلَا/wala//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ لَا/وَلَا/wala//بِالْیَوْمِ/بِٱلۡيَوۡمِ/bil-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِۗ/al-akhiri//وَ مَنْ/وَمَن/waman//یَّكُنِ/يَكُنِ/yakuni//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//لَهٗ/لَهُۥ/lahu//قَرِیْنًا/قَرِينٗا/qarinan//فَسَآءَ/فَسَآءَ/fasaa//قَرِیْنًا /قَرِينٗا/qarinan",
              "words_bangla": "এবং যারা//খুরচ করে//তাদের সম্পদ গুলো//দেখানোর জন্য//লোকদেরকে//এবং না//ঈমান আনে//আল্লাহর উপর//এবং না//দিনের উপর//আখিরাতের//এবং যার//হবে//শয়তান//তার জন্য//সঙ্গী//অতি অতঃপর খারাপ//সঙ্গী (তার জুটেছে)"
            },
            {
              "number": 532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/532.mp3"
              ],
              "text": "وَمَاذَا عَلَيْهِمْ لَوْ ءَامَنُوا۟ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَأَنفَقُوا۟ مِمَّا رَزَقَهُمُ ٱللَّهُ ۚ وَكَانَ ٱللَّهُ بِهِمْ عَلِيمًا",
              "translate_bn": "আর কিই বা ক্ষতি হত তাদের যদি তারা ঈমান আনত আল্লাহর উপর কেয়ামত দিবসের উপর এবং যদি ব্যয় করত আল্লাহ প্রদত্ত রিযিক থেকে! অথচ আল্লাহ, তাদের ব্যাপারে যথার্থভাবেই অবগত।",
              "numberInSurah": 39,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-যা-‘আললইহিম লাও আ-মানূবিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া আনফাকূ মিম্মা-রাঝাকাহুমুল্লা-হু ওয়াকা-নাল্লা-হু বিহিম ‘আলীমা।",
              "words_arabic": "وَ مَا ذَا/وَمَاذَا/wamadha//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لَوْ/لَوۡ/law//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ اَنْفَقُوْا/وَأَنفَقُواْ/wa-anfaqu//مِمَّا/مِمَّا/mimma//رَزَقَهُمُ/رَزَقَهُمُ/razaqahumu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِهِمْ/بِهِمۡ/bihim//عَلِیْمًا /عَلِيمًا/aliman",
              "words_bangla": "এবং কি (হত)//তাদের উপর//যদি//তারা ঈমান আনত//আল্লাহর উপর//ও দিনে//আখিরাতের//ও তারা খরচ করত//তা হতে যা//তাদের রিয্‌ক দিয়েছেন//আল্লাহ//এবং হলেন//আল্লাহ//তাদের সম্পর্কে//খুব অবগত"
            },
            {
              "number": 533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/533.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَا يَظْلِمُ مِثْقَالَ ذَرَّةٍۢ ۖ وَإِن تَكُ حَسَنَةًۭ يُضَٰعِفْهَا وَيُؤْتِ مِن لَّدُنْهُ أَجْرًا عَظِيمًۭا",
              "translate_bn": "নিশ্চয়ই আল্লাহ কারো প্রাপ্য হক বিন্দু-বিসর্গও রাখেন না; আর যদি তা সৎকর্ম হয়, তবে তাকে দ্বিগুণ করে দেন এবং নিজের পক্ষ থেকে বিপুল সওয়াব দান করেন।",
              "numberInSurah": 40,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াজলিমুমিছকা-লা যাররাতিওঁ ওয়া ইন তাকুহাছানাতাইঁ ইউদাইফহা-ওয়াইউ’তি মিল্লাদুনহু আজরান ‘আজীমা।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَظْلِمُ/يَظۡلِمُ/yazlimu//مِثْقَالَ/مِثۡقَالَ/mith'qala//ذَرَّةٍ ۚ/ذَرَّةٖۖ/dharratin//وَ اِنْ/وَإِن/wa-in//تَكُ/تَكُ/taku//حَسَنَةً/حَسَنَةٗ/hasanatan//یُّضٰعِفْهَا/يُضَٰعِفۡهَا/yuda'if'ha//وَ یُؤْتِ/وَيُؤۡتِ/wayu'ti//مِنْ/مِن/min//لَّدُنْهُ/لَّدُنۡهُ/ladun'hu//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//না//জুলুম করেন//পরিমাণ (কারও উপরে)//অনু//এবং যদি//হয়//নেকী (কারও)//তা দ্বিগুন করেন (তার জন্য)//এবং দেন//থেকে//তাঁর নিক//পুরস্কার//বিরাট"
            },
            {
              "number": 534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/534.mp3"
              ],
              "text": "فَكَيْفَ إِذَا جِئْنَا مِن كُلِّ أُمَّةٍۭ بِشَهِيدٍۢ وَجِئْنَا بِكَ عَلَىٰ هَٰٓؤُلَآءِ شَهِيدًۭا",
              "translate_bn": "আর তখন কি অবস্থা দাঁড়াবে, যখন আমি ডেকে আনব প্রতিটি উম্মতের মধ্য থেকে অবস্থা বর্ণনাকারী এবং আপনাকে ডাকব তাদের উপর অবস্থা বর্ণনাকারীরূপে।",
              "numberInSurah": 41,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা ইযা-জি’না-মিন কুল্লি উম্মাতিম বিশাহীদিওঁ ওয়াজি’না-বিকা ‘আলা-হাউল্লাই শাহীদা-।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//اِذَا/إِذَا/idha//جِئْنَا/جِئۡنَا/ji'na//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//اُمَّةٍۭ/أُمَّةِۭ/ummatin//بِشَهِیْدٍ/بِشَهِيدٖ/bishahidin//وَّ جِئْنَا/وَجِئۡنَا/waji'na//بِكَ/بِكَ/bika//عَلٰی/عَلَىٰ/ala//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//شَهِیْدًاؕؔ/شَهِيدٗا/shahidan",
              "words_bangla": "কেমন অতঃপর (হবে)//যখন//আমরা হাজির করব//মধ্য হতে//প্রত্যেক//উম্মতের//একজন সাক্ষী//এবং আমরা হাজির করব//তোমাকে//উপর//তাদের//সাক্ষী হিসেবে"
            },
            {
              "number": 535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/535.mp3"
              ],
              "text": "يَوْمَئِذٍۢ يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ وَعَصَوُا۟ ٱلرَّسُولَ لَوْ تُسَوَّىٰ بِهِمُ ٱلْأَرْضُ وَلَا يَكْتُمُونَ ٱللَّهَ حَدِيثًۭا",
              "translate_bn": "সেদিন কামনা করবে সে সমস্ত লোক, যারা কাফের হয়েছিল এবং রসূলের নাফরমানী করেছিল, যেন যমীনের সাথে মিশে যায়। কিন্তু গোপন করতে পারবে না আল্লাহর নিকট কোন বিষয়।",
              "numberInSurah": 42,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 67,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমায়িযিইঁ ইয়াওয়াদ্দুল্লাযীনা কাফারূ ওয়া ‘আসাউররাছূলা লাও তুছাওওয়া-বিহিমুল আরদু ওয়ালা-ইয়াকতুমূনাল্লা-হা হাদীছা-।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّوَدُّ/يَوَدُّ/yawaddu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ عَصَوُا/وَعَصَوُاْ/wa'asawu//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//لَوْ/لَوۡ/law//تُسَوّٰی/تُسَوَّىٰ/tusawwa//بِهِمُ/بِهِمُ/bihimu//الْاَرْضُ ؕ/ٱلۡأَرۡضُ/al-ardu//وَ لَا/وَلَا/wala//یَكْتُمُوْنَ/يَكۡتُمُونَ/yaktumuna//اللّٰهَ/ٱللَّهَ/al-laha//حَدِیْثًا۠/حَدِيثٗا/hadithan",
              "words_bangla": "সে দিন//কামনা করবে//যারা//কুফুরী করেছে//ও অবাধ্যতা করেছে//রাসূলের//যদি//মিশিয়ে দেয়া হত//তাদেরকে//জমিনে//কিন্তু (তবুও) না//গোপন করতে পারবে//আল্লাহ (থেকে)//কোন-কথা"
            },
            {
              "number": 536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/536.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقْرَبُوا۟ ٱلصَّلَوٰةَ وَأَنتُمْ سُكَٰرَىٰ حَتَّىٰ تَعْلَمُوا۟ مَا تَقُولُونَ وَلَا جُنُبًا إِلَّا عَابِرِى سَبِيلٍ حَتَّىٰ تَغْتَسِلُوا۟ ۚ وَإِن كُنتُم مَّرْضَىٰٓ أَوْ عَلَىٰ سَفَرٍ أَوْ جَآءَ أَحَدٌۭ مِّنكُم مِّنَ ٱلْغَآئِطِ أَوْ لَٰمَسْتُمُ ٱلنِّسَآءَ فَلَمْ تَجِدُوا۟ مَآءًۭ فَتَيَمَّمُوا۟ صَعِيدًۭا طَيِّبًۭا فَٱمْسَحُوا۟ بِوُجُوهِكُمْ وَأَيْدِيكُمْ ۗ إِنَّ ٱللَّهَ كَانَ عَفُوًّا غَفُورًا",
              "translate_bn": "হে ঈমাণদারগণ! তোমরা যখন নেশাগ্রস্ত থাক, তখন নামাযের ধারে-কাছেও যেওনা, যতক্ষণ না বুঝতে সক্ষম হও যা কিছু তোমরা বলছ, আর (নামাযের কাছে যেও না) ফরয গোসলের আবস্থায়ও যতক্ষণ না গোসল করে নাও। কিন্তু মুসাফির অবস্থার কথা স্বতন্ত্র আর যদি তোমরা অসুস্থ হয়ে থাক কিংবা সফরে থাক অথবা তোমাদের মধ্য থেকে কেউ যদি প্রস্রাব-পায়খানা থেকে এসে থাকে কিংবা নারী গমন করে থাকে, কিন্তু পরে যদি পানিপ্রাপ্তি সম্ভব না হয়, তবে পাক-পবিত্র মাটির দ্বারা তায়াম্মুম করে নাও-তাতে মুখমন্ডল ও হাতকে ঘষে নাও। নিশ্চয়ই আল্লাহ তা’আলা ক্ষমাশীল।",
              "numberInSurah": 43,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাকরাবুস সালা-তা ওয়া আনতুম ছুকা-রা-হাত্তাতা‘লামূমা-তাকূলূনা ওয়ালা-জুনুবান ইল্লা-‘আ-বিরী ছাবীলিন হাত্তা-তাগতাছিলূ ওয়া ইন কুনতুম মারদা-আও ‘আলা-ছাফারিন আও জাআ আহাদুম মিনকুম মিনাল গাইতি আও লা-মাছতুমুন নিছাআ ফালাম তাজিদূমাআন ফাতাইয়াম্মামূসা‘ঈদান তাইয়িবান ফামছাহূবিউজূহিকুম ওয়া আইদীকুম ইন্নাল্লা-হা কা-না ‘আফুওওয়ান গাফূরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَقْرَبُوا/تَقۡرَبُواْ/taqrabu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//سُكٰرٰی/سُكَٰرَىٰ/sukara//حَتّٰی/حَتَّىٰ/hatta//تَعْلَمُوْا/تَعۡلَمُواْ/ta'lamu//مَا/مَا/ma//تَقُوْلُوْنَ/تَقُولُونَ/taquluna//وَ لَا/وَلَا/wala//جُنُبًا/جُنُبًا/junuban//اِلَّا/إِلَّا/illa//عَابِرِیْ/عَابِرِي/abiri//سَبِیْلٍ/سَبِيلٍ/sabilin//حَتّٰی/حَتَّىٰ/hatta//تَغْتَسِلُوْا ؕ/تَغۡتَسِلُواْۚ/taghtasilu//وَ اِنْ/وَإِن/wa-in//كُنْتُمْ/كُنتُم/kuntum//مَّرْضٰۤی/مَّرۡضَىٰٓ/marda//اَوْ/أَوۡ/aw//عَلٰی/عَلَىٰ/ala//سَفَرٍ/سَفَرٍ/safarin//اَوْ/أَوۡ/aw//جَآءَ/جَآءَ/jaa//اَحَدٌ/أَحَدٞ/ahadun//مِّنْكُمْ/مِّنكُم/minkum//مِّنَ/مِّنَ/mina//الْغَآىِٕطِ/ٱلۡغَآئِطِ/al-ghaiti//اَوْ/أَوۡ/aw//لٰمَسْتُمُ/لَٰمَسۡتُمُ/lamastumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فَلَمْ/فَلَمۡ/falam//تَجِدُوْا/تَجِدُواْ/tajidu//مَآءً/مَآءٗ/maan//فَتَیَمَّمُوْا/فَتَيَمَّمُواْ/fatayammamu//صَعِیْدًا/صَعِيدٗا/sa'idan//طَیِّبًا/طَيِّبٗا/tayyiban//فَامْسَحُوْا/فَٱمۡسَحُواْ/fa-im'sahu//بِوُجُوْهِكُمْ/بِوُجُوهِكُمۡ/biwujuhikum//وَ اَیْدِیْكُمْ ؕ/وَأَيۡدِيكُمۡۗ/wa-aydikum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَفُوًّا/عَفُوًّا/afuwwan//غَفُوْرًا /غَفُورًا/ghafuran",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা কাছে যেয়ো//সলাতের//যখন তোমরা//নেশাগ্রস্ত (থাকবে)//যতঃক্ষণ না//তোমরা বুঝতে পার//যা//তোমরা বলছ//এবং না//অপবিত্র অবস্থায় (সলাত পড়বে)//কিন্তু//অতিক্রমকারী হলে//পথ (অন্যকথা)//যতঃক্ষণ না//তোমরা গোসল কর//এবং যদি//তোমরা হও//অসুস্থ//বা//উপর//সফরের//অথবা//আসে//কেউ//তোমাদের মধ্য হতে//হতে//পায়খানা (প্রস্রাব পায়খানা করে)//বা//তোমরা সহবাস কর//স্ত্রীদের (সাথে)//না অতঃপর//তোমরা পাও//পানি//তোমরা তবে তায়াম্মুম কর//মাটি দিয়ে//পবিত্র//অতঃপর তোমরা মাসেহ কর//তোমাদের মুখমন্ডলকে//ও তোমাদের হাতগুলোকে//নিশ্চয়ই//আল্লাহ//হলেন//মাফকারী//ক্ষমাশীল"
            },
            {
              "number": 537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/537.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًۭا مِّنَ ٱلْكِتَٰبِ يَشْتَرُونَ ٱلضَّلَٰلَةَ وَيُرِيدُونَ أَن تَضِلُّوا۟ ٱلسَّبِيلَ",
              "translate_bn": "তুমি কি ওদের দেখনি, যারা কিতাবের কিছু অংশ প্রাপ্ত হয়েছে, (অথচ) তারা পথভ্রষ্টতা খরিদ করে এবং কামনা করে, যাতে তোমরাও আল্লাহর পথ থেকে বিভ্রান্ত হয়ে যাও।",
              "numberInSurah": 44,
              "juz": 5,
              "manzil": 1,
              "page": 85,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ঊতূুনাসীবাম মিনাল কিতা-বি ইয়াশতারূনাদ্দালা-লাতা ওয়া ইউরীদূনা আন তাদিল্লুছ ছাবীল।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوْا/أُوتُواْ/utu//نَصِیْبًا/نَصِيبٗا/nasiban//مِّنَ/مِّنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//یَشْتَرُوْنَ/يَشۡتَرُونَ/yashtaruna//الضَّلٰلَةَ/ٱلضَّلَٰلَةَ/al-dalalata//وَ یُرِیْدُوْنَ/وَيُرِيدُونَ/wayuriduna//اَنْ/أَن/an//تَضِلُّوا/تَضِلُّواْ/tadillu//السَّبِیْلَؕ/ٱلسَّبِيلَ/al-sabila",
              "words_bangla": "নাই কি//তুমি দেখ//তাদের প্রতি//যাদের//দেয়া হয়েছিল//এক অংশ//(থেকে)//কিতাবের (জ্ঞানের)//তারা ক্রয় করে//পথ-ভ্রষ্টতা//ও তারা কামনা করে//যে//তোমরা হারিয়ে ফেল//(সঠিক) পথ"
            },
            {
              "number": 538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/538.mp3"
              ],
              "text": "وَٱللَّهُ أَعْلَمُ بِأَعْدَآئِكُمْ ۚ وَكَفَىٰ بِٱللَّهِ وَلِيًّۭا وَكَفَىٰ بِٱللَّهِ نَصِيرًۭا",
              "translate_bn": "অথচ আল্লাহ তোমাদের শত্রুদেরকে যথার্থই জানেন। আর অভিভাবক হিসাবে আল্লাহই যথেষ্ট এবং সাহায্যকারী হিসাবেও আল্লাহই যথেষ্ট।",
              "numberInSurah": 45,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু আ‘লামুবিআ‘দাইকুম ওয়া কাফা-বিল্লা-হি ওয়ালিইয়াওঁ ওয়া কাফাবিল্লা-হি নাসীরা-।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِاَعْدَآىِٕكُمْ ؕ/بِأَعۡدَآئِكُمۡۚ/bi-a'daikum//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَلِیًّا ؗۗ/وَلِيّٗا/waliyyan//وَّ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "এবং আল্লাহ//খুব জানেন//তোমাদের শত্রুদের সম্পর্কে//এবং যথেষ্ট//আল্লাহই//অভিভাবক হিসেবে//ও যথেষ্ট//আল্লাহই//সাহায্যকারী হিসেবে"
            },
            {
              "number": 539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/539.mp3"
              ],
              "text": "مِّنَ ٱلَّذِينَ هَادُوا۟ يُحَرِّفُونَ ٱلْكَلِمَ عَن مَّوَاضِعِهِۦ وَيَقُولُونَ سَمِعْنَا وَعَصَيْنَا وَٱسْمَعْ غَيْرَ مُسْمَعٍۢ وَرَٰعِنَا لَيًّۢا بِأَلْسِنَتِهِمْ وَطَعْنًۭا فِى ٱلدِّينِ ۚ وَلَوْ أَنَّهُمْ قَالُوا۟ سَمِعْنَا وَأَطَعْنَا وَٱسْمَعْ وَٱنظُرْنَا لَكَانَ خَيْرًۭا لَّهُمْ وَأَقْوَمَ وَلَٰكِن لَّعَنَهُمُ ٱللَّهُ بِكُفْرِهِمْ فَلَا يُؤْمِنُونَ إِلَّا قَلِيلًۭا",
              "translate_bn": "কোন কোন ইহুদী তার লক্ষ্য থেকে কথার মোড় ঘুড়িয়ে নেয় এবং বলে, আমরা শুনেছি কিন্তু অমান্য করছি। তারা আরো বলে, শোন, না শোনার মত। মুখ বাঁকিয়ে দ্বীনের প্রতি তাচ্ছিল্য প্রদর্শনের উদ্দেশে বলে, রায়েনা’ (আমাদের রাখাল)। অথচ যদি তারা বলত যে, আমরা শুনেছি ও মান্য করেছি এবং (যদি বলত, ) শোন এবং আমাদের প্রতি লক্ষ্য রাখ, তবে তাই ছিল তাদের জন্য উত্তম আর সেটাই ছিল যথার্থ ও সঠিক। কিন্তু আল্লাহ তাদের প্রতি অভিসম্পাত করেছেন তাদের কুফরীর দরুন। অতএব, তারা ঈমান আনছে না, কিন্তু অতি অল্পসংখ্যক।",
              "numberInSurah": 46,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "মিনাল্লাযীনা হা-দূইউহাররিফূনাল কালিমা ‘আম্মাওয়া-দি‘ইহী ওয়া ইয়াকূলূনা ছামি‘নাওয়া আসাইনা-ওয়াছমা‘ গাইরা মুছমা‘ইওঁ ওয়ারা‘ইনা-লাইইয়াম বিআলছিনাতিহিম ওয়া তা‘নান ফিদ্দীনি ওয়া লাও আন্নাহুম কা-লূছামি‘না ওয়া আতা‘না-ওয়াছমা‘ ওয়ানজু রনালাকা-না খাইরাল্লাহুম ওয়া আকওয়ামা ওয়ালা-কিল লা‘আনাহুমুল্লা-হু বিকুফরিহিম ফালা- ইউ’মিনূনা ইল্লা-কালীলা-।",
              "words_arabic": "مِنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْا/هَادُواْ/hadu//یُحَرِّفُوْنَ/يُحَرِّفُونَ/yuharrifuna//الْكَلِمَ/ٱلۡكَلِمَ/al-kalima//عَنْ/عَن/an//مَّوَاضِعِهٖ/مَّوَاضِعِهِۦ/mawadi'ihi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ عَصَیْنَا/وَعَصَيۡنَا/wa'asayna//وَ اسْمَعْ/وَٱسۡمَعۡ/wa-is'ma'//غَیْرَ/غَيۡرَ/ghayra//مُسْمَعٍ/مُسۡمَعٖ/mus'ma'in//وَّ رَاعِنَا/وَرَٰعِنَا/wara'ina//لَیًّۢا/لَيَّۢا/layyan//بِاَلْسِنَتِهِمْ/بِأَلۡسِنَتِهِمۡ/bi-alsinatihim//وَ طَعْنًا/وَطَعۡنٗا/wata'nan//فِی/فِي/fi//الدِّیْنِ ؕ/ٱلدِّينِۚ/al-dini//وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//قَالُوْا/قَالُواْ/qalu//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ اَطَعْنَا/وَأَطَعۡنَا/wa-ata'na//وَ اسْمَعْ/وَٱسۡمَعۡ/wa-is'ma'//وَ انْظُرْنَا/وَٱنظُرۡنَا/wa-unzur'na//لَكَانَ/لَكَانَ/lakana//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ/لَّهُمۡ/lahum//وَ اَقْوَمَ ۙ/وَأَقۡوَمَ/wa-aqwama//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّعَنَهُمُ/لَّعَنَهُمُ/la'anahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُفْرِهِمْ/بِكُفۡرِهِمۡ/bikuf'rihim//فَلَا/فَلَا/fala//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "(তাদের) মধ্য হতে//যারা//ইহুদী হয়েছে//তারা বিকৃত করে//শব্দগুলোকে//হতে//তাঁর জায়গাগুলো (অর্থ মূলঅর্থ হতে)//এবং তারা বলে//''আমরা শুনলাম//কিন্তু আমরা অমান্য করলাম''//ও শুনুন//ব্যতীত//শুনা//এবং (বলে) 'রাইনা'''//মুড়া দিয়ে//তাদের জিহ্বাগুলো (অর্থ বিকৃত করার জন্য)//ও তাচ্ছিল্য করে//ক্ষেত্রে//দ্বীনের//এবং যদি//তারা বাস্তবিক//বলত//''আমরা শুনলাম//এবং আমরা মানলাম''//ও শুনুন//ও আমাদের প্রতি লক্ষ্য করুন//হত নিশ্চয়//উত্তম//তাদের জন্য//ও সংগত (হত)//কিন্তু//তাদের অভিশাপ দিয়েছেন//আল্লাহ//কুফরীর কারণে তাদের//অতএব না//তারা ঈমান আনবে//এ ছাড়া//অল্প সংখ্যক"
            },
            {
              "number": 540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/540.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ ءَامِنُوا۟ بِمَا نَزَّلْنَا مُصَدِّقًۭا لِّمَا مَعَكُم مِّن قَبْلِ أَن نَّطْمِسَ وُجُوهًۭا فَنَرُدَّهَا عَلَىٰٓ أَدْبَارِهَآ أَوْ نَلْعَنَهُمْ كَمَا لَعَنَّآ أَصْحَٰبَ ٱلسَّبْتِ ۚ وَكَانَ أَمْرُ ٱللَّهِ مَفْعُولًا",
              "translate_bn": "হে আসমানী গ্রন্থের অধিকারীবৃন্দ! যা কিছু আমি অবতীর্ণ করেছি তার উপর বিশ্বাস স্থাপন কর, যা সে গ্রন্থের সত্যায়ন করে এবং যা তোমাদের নিকট রয়েছে পূর্ব থেকে। (বিশ্বাস স্থাপন কর) এমন হওয়ার আগেই যে, আমি মুছে দেব অনেক চেহারাকে এবং অতঃপর সেগুলোকে ঘুরিয়ে দেব পশ্চাৎ দিকে কিংবা অভিসম্পাত করব তাদের প্রতি যেমন করে অভিসম্পাত করেছি আছহাবে-সাবতের উপর। আর আল্লাহর নির্দেশ অবশ্যই কার্যকর হবে।",
              "numberInSurah": 47,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা ঊতুল কিতা-বা আ-মিনূবিমা-নাঝঝালনা-মুসাদ্দিকাল লিমামা‘আকুম মিন কাবলি আন নাতমিছা উজূহান ফানারুদ্দাহা-‘আলাআদবা-রিহা-আও নাল‘আনাহুম কামা-লা‘আন্নাআসহা-বাছছাবতি ওয়া কা-না আমরুল্লা-হি মাফ‘ঊলা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//اٰمِنُوْا/ءَامِنُواْ/aminu//بِمَا/بِمَا/bima//نَزَّلْنَا/نَزَّلۡنَا/nazzalna//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//مَعَكُمْ/مَعَكُم/ma'akum//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//نَّطْمِسَ/نَّطۡمِسَ/natmisa//وُجُوْهًا/وُجُوهٗا/wujuhan//فَنَرُدَّهَا/فَنَرُدَّهَا/fanaruddaha//عَلٰۤی/عَلَىٰٓ/ala//اَدْبَارِهَاۤ/أَدۡبَارِهَآ/adbariha//اَوْ/أَوۡ/aw//نَلْعَنَهُمْ/نَلۡعَنَهُمۡ/nal'anahum//كَمَا/كَمَا/kama//لَعَنَّاۤ/لَعَنَّآ/la'anna//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//السَّبْتِ ؕ/ٱلسَّبۡتِۚ/al-sabti//وَ كَانَ/وَكَانَ/wakana//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//مَفْعُوْلًا /مَفۡعُولًا/maf'ulan",
              "words_bangla": "ওহে//যাদের//দেয়া হয়েছে//কিতাব//তোমরা ঈমান আন//ঐবিষয়ে যা//আমরা নাযিল করেছি//সত্যায়নকারী//সেটারও যা//তোমাদের (আছে)//(থেকে)//ইতিপূর্বে//যে//বিকৃত করব আমরা//মুখের আকৃতি//অতঃপর ফিরাবো আমরা তা//উপর//তার পিছন দিয়ে//অথবা//তাদের অভিশাপ দেব আমরা//যেমন//আমরা অভিশাপ দিয়েছিলাম//ওয়ালাদেরকে//শনিবার//এবং হয় ই//আদেশ//আল্লাহ//কার্যকরী"
            },
            {
              "number": 541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/541.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَا يَغْفِرُ أَن يُشْرَكَ بِهِۦ وَيَغْفِرُ مَا دُونَ ذَٰلِكَ لِمَن يَشَآءُ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَقَدِ ٱفْتَرَىٰٓ إِثْمًا عَظِيمًا",
              "translate_bn": "নিঃসন্দেহে আল্লাহ তাকে ক্ষমা করেন না, যে লোক তাঁর সাথে শরীক করে। তিনি ক্ষমা করেন এর নিম্ন পর্যায়ের পাপ, যার জন্য তিনি ইচ্ছা করেন। আর যে লোক অংশীদার সাব্যস্ত করল আল্লাহর সাথে, সে যেন অপবাদ আরোপ করল।",
              "numberInSurah": 48,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াগফিরু আইঁ ইউশরাকা বিহী ওয়া ইয়াগফিরু মা-দূ না যা-লিকা লিমাইঁ ইয়াশাউ ওয়া মাই ইউশরিক বিল্লা-হি ফাকাদিফ তারা-ইছমান ‘আজীমা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَغْفِرُ/يَغۡفِرُ/yaghfiru//اَنْ/أَن/an//یُّشْرَكَ/يُشۡرَكَ/yush'raka//بِهٖ/بِهِۦ/bihi//وَ یَغْفِرُ/وَيَغۡفِرُ/wayaghfiru//مَا/مَا/ma//دُوْنَ/دُونَ/duna//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَن/liman//یَّشَآءُ ۚ/يَشَآءُۚ/yashau//وَ مَنْ/وَمَن/waman//یُّشْرِكْ/يُشۡرِكۡ/yush'rik//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَقَدِ/فَقَدِ/faqadi//افْتَرٰۤی/ٱفۡتَرَىٰٓ/if'tara//اِثْمًا/إِثۡمًا/ith'man//عَظِیْمًا /عَظِيمًا/aziman",
              "words_bangla": "নিশ্চয়//আল্লাহ//না//মাফ করেন//(যে)//শিরক করাকে//তার সাথে//কিন্তু মাফ করেন//যা (আছে)//ছাড়া//এটা (অর্থাৎ শিরক)//যাকে//তিনি ইচ্ছা করেন//এবং যে কেউ//শিরক করে//আল্লাহর সাথে//নিশ্চয়ই তবে//সে রচনা করল//গুনাহ//বিরাট"
            },
            {
              "number": 542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/542.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ يُزَكُّونَ أَنفُسَهُم ۚ بَلِ ٱللَّهُ يُزَكِّى مَن يَشَآءُ وَلَا يُظْلَمُونَ فَتِيلًا",
              "translate_bn": "তুমি কি তাদেকে দেখনি, যারা নিজেদেরকে পূত-পবিত্র বলে থাকে অথচ পবিত্র করেন আল্লাহ যাকে ইচ্ছা তাকেই? বস্তুতঃ তাদের উপর সুতা পরিমাণ অন্যায়ও হবে না।",
              "numberInSurah": 49,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ইউঝাক্কূনা আনফুছাহুম বালিল্লা-হু ইউঝাক্কী মাইঁ ইয়াশাউ ওয়ালা-ইউজলামূনা ফাতীলা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُزَكُّوْنَ/يُزَكُّونَ/yuzakkuna//اَنْفُسَهُمْ ؕ/أَنفُسَهُمۚ/anfusahum//بَلِ/بَلِ/bali//اللّٰهُ/ٱللَّهُ/al-lahu//یُزَكِّیْ/يُزَكِّي/yuzakki//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ لَا/وَلَا/wala//یُظْلَمُوْنَ/يُظۡلَمُونَ/yuz'lamuna//فَتِیْلًا /فَتِيلًا/fatilan",
              "words_bangla": "নাই কি//তুমি দেখ//প্রতি//(তাদের) যারা//পবিত্র করেছে (বলে দাবী করে)//তাদের নিজেদেরকে//বরং//আল্লাহ্‌ই//পবিত্র করেন//যাকে//তিনি ইচ্ছে করেন//এবং না//জুলুম করা হয় (কারও প্রতি)//সুতা পরিমাণও"
            },
            {
              "number": 543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/543.mp3"
              ],
              "text": "ٱنظُرْ كَيْفَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ ۖ وَكَفَىٰ بِهِۦٓ إِثْمًۭا مُّبِينًا",
              "translate_bn": "লক্ষ্য কর, কেমন করে তারা আল্লাহর প্রতি মিথ্যা অপবাদ আরোপ করে, অথচ এই প্রকাশ্য পাপই যথেষ্ট।",
              "numberInSurah": 50,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 68,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "উনজু র কাইফা ইয়াফতারূনা ‘আলাল্লা-হিল কাযিবা ওয়া কাফা-বিহী ইছমাম মুবীনা-।",
              "words_arabic": "اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//یَفْتَرُوْنَ/يَفۡتَرُونَ/yaftaruna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ ؕ/ٱلۡكَذِبَۖ/al-kadhiba//وَ كَفٰی/وَكَفَىٰ/wakafa//بِهٖۤ/بِهِۦٓ/bihi//اِثْمًا/إِثۡمٗا/ith'man//مُّبِیْنًا۠/مُّبِينًا/mubinan",
              "words_bangla": "লক্ষ্য কর//কেমন//তারা রচনা করে//উপর//আল্লাহ//মিথ্যার//এবং যথেষ্ট//তা//গুনাহ (হিসেবে)//সুস্পষ্ট"
            },
            {
              "number": 544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/544.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًۭا مِّنَ ٱلْكِتَٰبِ يُؤْمِنُونَ بِٱلْجِبْتِ وَٱلطَّٰغُوتِ وَيَقُولُونَ لِلَّذِينَ كَفَرُوا۟ هَٰٓؤُلَآءِ أَهْدَىٰ مِنَ ٱلَّذِينَ ءَامَنُوا۟ سَبِيلًا",
              "translate_bn": "তুমি কি তাদেরকে দেখনি, যারা কিতাবের কিছু অংশ প্রাপ্ত হয়েছে, যারা মান্য করে প্রতিমা ও শয়তানকে এবং কাফেরদেরকে বলে যে, এরা মুসলমানদের তুলনায় অধিকতর সরল সঠিক পথে রয়েছে।",
              "numberInSurah": 51,
              "juz": 5,
              "manzil": 1,
              "page": 86,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ঊতুনাসীবাম মিনাল কিতা-বি ইউ’মিনূনা বিলজিবতি ওয়াত্তা-গূতি ওয়া ইয়াকূ লূনা লিল্লাযীনা কাফারূ হাউলাইআহদা-মিনাল্লাযীনা আ-মানূছাবীলা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوْا/أُوتُواْ/utu//نَصِیْبًا/نَصِيبٗا/nasiban//مِّنَ/مِّنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْجِبْتِ/بِٱلۡجِبۡتِ/bil-jib'ti//وَ الطَّاغُوْتِ/وَٱلطَّـٰغُوتِ/wal-taghuti//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اَهْدٰی/أَهۡدَىٰ/ahda//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//سَبِیْلًا /سَبِيلًا/sabilan",
              "words_bangla": "নাই কি//তুমি দেখ//প্রতি//(তাদের) যাদের//দেওয়া হয়েছিল//এক অংশ//(থেকে)//কিতাবের (জ্ঞানের)//তারা বিশ্বাস করে//জিবতের' উপর//এবং তাগুতের (উপর)//ও তারা বলে//যারা (তাদেরকে)//কুফরী করেছে//''এরা//অধিকতর সঠিক//(তাদের) চেয়ে//যারা//ঈমান এনেছে//পথ (প্রাপ্তির ব্যাপারে)"
            },
            {
              "number": 545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/545.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ لَعَنَهُمُ ٱللَّهُ ۖ وَمَن يَلْعَنِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ نَصِيرًا",
              "translate_bn": "এরা হলো সে সমস্ত লোক, যাদের উপর লা’নত করেছেন আল্লাহ তা’আলা স্বয়ং। বস্তুতঃ আল্লাহ যার উপর লা’নত করেন তুমি তার কোন সাহায্যকারী খুঁজে পাবে না।",
              "numberInSurah": 52,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা লা‘আনাহুমুল্লা-হু ওয়ামাইঁ ইয়াল‘আনিল্লা-হু ফালান তাজিদালাহু নাসীরা।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَعَنَهُمُ/لَعَنَهُمُ/la'anahumu//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//وَ مَنْ/وَمَن/waman//یَّلْعَنِ/يَلۡعَنِ/yal'ani//اللّٰهُ/ٱللَّهُ/al-lahu//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لَهٗ/لَهُۥ/lahu//نَصِیْرًاؕ/نَصِيرًا/nasiran",
              "words_bangla": "ঐ সব লোক//(তারাই) যাদের//তাদেরকে অভিশাপ দিয়েছেন//আল্লাহ//এবং যাকে//অভিশাপ দেন//আল্লাহ//এরপর কক্ষনো না//তুমি পাবে//তাঁর জন্য//কোন সাহায্যকারী"
            },
            {
              "number": 546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/546.mp3"
              ],
              "text": "أَمْ لَهُمْ نَصِيبٌۭ مِّنَ ٱلْمُلْكِ فَإِذًۭا لَّا يُؤْتُونَ ٱلنَّاسَ نَقِيرًا",
              "translate_bn": "তাদের কাছে কি রাজ্যের কোন অংশ আছে? তাহলে যে এরা কাউকেও একটি তিল পরিমাণও দেবে না।",
              "numberInSurah": 53,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম নাসীবুম মিনাল মুলকি ফাইযাল্লা-ইউ’তূনান্না-ছা নাকীরা-।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّنَ/مِّنَ/mina//الْمُلْكِ/ٱلۡمُلۡكِ/al-mul'ki//فَاِذًا/فَإِذٗا/fa-idhan//لَّا/لَّا/la//یُؤْتُوْنَ/يُؤۡتُونَ/yu'tuna//النَّاسَ/ٱلنَّاسَ/al-nasa//نَقِیْرًاۙ/نَقِيرًا/naqiran",
              "words_bangla": "কি//তাদের জন্য আছে//কোন অংশ//(থেকে)//রাজশক্তিতে//অতঃপর যদি (থাকত)//না//তারা দিত//মানুষকে//এক কপর্দকও"
            },
            {
              "number": 547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/547.mp3"
              ],
              "text": "أَمْ يَحْسُدُونَ ٱلنَّاسَ عَلَىٰ مَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۖ فَقَدْ ءَاتَيْنَآ ءَالَ إِبْرَٰهِيمَ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَءَاتَيْنَٰهُم مُّلْكًا عَظِيمًۭا",
              "translate_bn": "নাকি যাকিছু আল্লাহ তাদেরকে স্বীয় অনুগ্রহে দান করেছেন সে বিষয়ের জন্য মানুষকে হিংসা করে। অবশ্যই আমি ইব্রাহীমের বংশধরদেরকে কিতাব ও হেকমত দান করেছিলাম আর তাদেরকে দান করেছিলাম বিশাল রাজ্য।",
              "numberInSurah": 54,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াহছু দূ নান না-ছা ‘আলা-মাআ-তা-হুমুল্লাহু মিন ফাদলিহী ফাকাদ আ-তাইনাআ-লা ইবরা-হীমাল কিতা-বা ওয়াল হিকমাতা ওয়া আ-তাইনা-হুম মুলকান ‘আজীমা।",
              "words_arabic": "اَمْ/أَمۡ/am//یَحْسُدُوْنَ/يَحۡسُدُونَ/yahsuduna//النَّاسَ/ٱلنَّاسَ/al-nasa//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اٰتٰىهُمُ/ءَاتَىٰهُمُ/atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ ۚ/فَضۡلِهِۦۖ/fadlihi//فَقَدْ/فَقَدۡ/faqad//اٰتَیْنَاۤ/ءَاتَيۡنَآ/atayna//اٰلَ/ءَالَ/ala//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ اٰتَیْنٰهُمْ/وَءَاتَيۡنَٰهُم/waataynahum//مُّلْكًا/مُّلۡكًا/mul'kan//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "(তাহলে) কি//তারা হিংসা করে//লোকদের//উপর//(এজন্য) যা//তাদের দিয়েছেন//আল্লাহ//থেকে//তাঁর অনুগ্রহ//(যদি তাই হয়) নিশ্চয় তবে//আমরা দিয়েছি//বংশধরদের//ইবরাহিমের//কিতাব//ও হিকমত//ও তাদেরকে আমরা দিয়েছি//রাজ্য//বিশাল"
            },
            {
              "number": 548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/548.mp3"
              ],
              "text": "فَمِنْهُم مَّنْ ءَامَنَ بِهِۦ وَمِنْهُم مَّن صَدَّ عَنْهُ ۚ وَكَفَىٰ بِجَهَنَّمَ سَعِيرًا",
              "translate_bn": "অতঃপর তাদের কেউ তাকে মান্য করেছে আবার কেউ তার কাছ থেকে দূরে সরে রয়েছে। বস্তুতঃ (তাদের জন্য) দোযখের শিখায়িত আগুনই যথেষ্ট।",
              "numberInSurah": 55,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ফামিনহুম মান আমানা বিহী ওয়া মিনহুম মান সাদ্দা ‘আনহু ওয়া কাফা-বিজাহান্নামা ছা‘ঈরা-।",
              "words_arabic": "فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِهٖ/بِهِۦ/bihi//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//صَدَّ/صَدَّ/sadda//عَنْهُ ؕ/عَنۡهُۚ/anhu//وَ كَفٰی/وَكَفَىٰ/wakafa//بِجَهَنَّمَ/بِجَهَنَّمَ/bijahannama//سَعِیْرًا /سَعِيرًا/sa'iran",
              "words_bangla": "অতঃপর তাদের মধ্যে//কেউ কেউ//ঈমান এনেছে//তাঁর উপর//আর তাদের মধ্য হতে//কেউ কেউ//বিরত রয়েছে//তা থেকে//এবং যথেষ্ট//জাহান্নামের//অগ্নিশিখা (তাদের জন্য)"
            },
            {
              "number": 549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/549.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِنَا سَوْفَ نُصْلِيهِمْ نَارًۭا كُلَّمَا نَضِجَتْ جُلُودُهُم بَدَّلْنَٰهُمْ جُلُودًا غَيْرَهَا لِيَذُوقُوا۟ ٱلْعَذَابَ ۗ إِنَّ ٱللَّهَ كَانَ عَزِيزًا حَكِيمًۭا",
              "translate_bn": "এতে সন্দেহ নেই যে, আমার নিদর্শন সমুহের প্রতি যেসব লোক অস্বীকৃতি জ্ঞাপন করবে, আমি তাদেরকে আগুনে নিক্ষেপ করব। তাদের চামড়াগুলো যখন জ্বলে-পুড়ে যাবে, তখন আবার আমি তা পালটে দেব অন্য চামড়া দিয়ে, যাতে তারা আযাব আস্বাদন করতে থাকে। নিশ্চয়ই আল্লাহ মহাপরাক্রমশালী, হেকমতের অধিকারী।",
              "numberInSurah": 56,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ বিআ-য়া-তিনা-ছাওফা নুসলীহিম না-রান কুল্লামা- নাদিজাত জুলু দুহুম বাদ্দালনা-হুম জুলূদান গায়রাহা-লিয়াযূকুল ‘আয-াব ইন্নাল্লা-হা কা-না ‘আঝীঝান হাকীমা- ।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//سَوْفَ/سَوۡفَ/sawfa//نُصْلِیْهِمْ/نُصۡلِيهِمۡ/nus'lihim//نَارًا ؕ/نَارٗا/naran//كُلَّمَا/كُلَّمَا/kullama//نَضِجَتْ/نَضِجَتۡ/nadijat//جُلُوْدُهُمْ/جُلُودُهُم/juluduhum//بَدَّلْنٰهُمْ/بَدَّلۡنَٰهُمۡ/baddalnahum//جُلُوْدًا/جُلُودًا/juludan//غَیْرَهَا/غَيۡرَهَا/ghayraha//لِیَذُوْقُوا/لِيَذُوقُواْ/liyadhuqu//الْعَذَابَ ؕ/ٱلۡعَذَابَۗ/al-'adhaba//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَزِیْزًا/عَزِيزًا/azizan//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "নিশ্চয়ই//যারা//প্রত্যাখ্যান করেছে//আমাদের নিদর্শনাদির//শীঘ্রই//তাদের জ্বালাবো আমরা//(দোজখের) আগুনে//যখনই//জ্বলে যাবে//চামড়া গুলো তাদের//আমরা পাল্টে দিব তাদের//(আরও অন্য) চামড়ায়//তা ব্যতীত//তারা স্বাদ নেয় যেন//আজাবের//নিশ্চয়ই//আল্লাহ//হলেন//প্ররাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/550.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ سَنُدْخِلُهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۖ لَّهُمْ فِيهَآ أَزْوَٰجٌۭ مُّطَهَّرَةٌۭ ۖ وَنُدْخِلُهُمْ ظِلًّۭا ظَلِيلًا",
              "translate_bn": "আর যারা ঈমান এনেছে এবং সৎকর্ম করেছে, অবশ্য আমি প্রবিষ্ট করাব তাদেরকে জান্নাতে, যার তলদেশে প্রবাহিত রয়েছে নহর সমূহ। সেখানে তারা থাকবে অনন্তকাল। সেখানে তাদের জন্য থাকবে পরিষ্কার-পরিচ্ছন্ন স্ত্রীগণ। তাদেরকে আমি প্রবিষ্ট করব ঘন ছায়া নীড়ে।",
              "numberInSurah": 57,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 34,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ছানুদখিলূহুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহাআবাদা- লাহুম ফীহাআঝওয়া-জুম মুতাহহারাতুওঁ ওয়া নুদখিলুহুম জিল্লান জালীলা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//سَنُدْخِلُهُمْ/سَنُدۡخِلُهُمۡ/sanud'khiluhum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۖ/abadan//لَهُمْ/لَّهُمۡ/lahum//فِیْهَاۤ/فِيهَآ/fiha//اَزْوَاجٌ/أَزۡوَٰجٞ/azwajun//مُّطَهَّرَةٌ ؗ/مُّطَهَّرَةٞۖ/mutahharatun//وَّ نُدْخِلُهُمْ/وَنُدۡخِلُهُمۡ/wanud'khiluhum//ظِلًّا/ظِلّٗا/zillan//ظَلِیْلًا /ظَلِيلًا/zalilan",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও কাজ করেছে//নেকীর//তাদের প্রবেশ করাব আমরা//জান্নাতে//প্রবাহিত হয়//(থেকে)//তার পাদদেশে//ঝর্ণাধারা//চিরস্থায়ী হবে তারা//তার মধ্যে//অনন্তকাল ধরে//তাদের জন্য//তাঁর মধ্যে (আছে)//স্ত্রীরা//পূত পবিত্রা//ও তাদের প্রবেশ করাব আমরা//ছায়ায়//ঘন"
            },
            {
              "number": 551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/551.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ يَأْمُرُكُمْ أَن تُؤَدُّوا۟ ٱلْأَمَٰنَٰتِ إِلَىٰٓ أَهْلِهَا وَإِذَا حَكَمْتُم بَيْنَ ٱلنَّاسِ أَن تَحْكُمُوا۟ بِٱلْعَدْلِ ۚ إِنَّ ٱللَّهَ نِعِمَّا يَعِظُكُم بِهِۦٓ ۗ إِنَّ ٱللَّهَ كَانَ سَمِيعًۢا بَصِيرًۭا",
              "translate_bn": "নিশ্চয়ই আল্লাহ তোমাদিগকে নির্দেশ দেন যে, তোমরা যেন প্রাপ্য আমানতসমূহ প্রাপকদের নিকট পৌছে দাও। আর যখন তোমরা মানুষের কোন বিচার-মীমাংসা করতে আরম্ভ কর, তখন মীমাংসা কর ন্যায় ভিত্তিক। আল্লাহ তোমাদিগকে সদুপদেশ দান করেন। নিশ্চয়ই আল্লাহ শ্রবণকারী, দর্শনকারী।",
              "numberInSurah": 58,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইয়া’মুরুকুম আন তুআদ্দুল আমা-না-তি ইলা আহলিহা- ওয়া ইযাহাকামতুম বাইনান্না-ছি আন তাহকুমূবিল‘আদলি ইন্নাল্লা-হা নি‘ইম্মা-ইয়া‘ইজু কুম বিহী ইন্নাল্লা-হা কা-না ছামী‘আম বাসীরা-।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَاْمُرُكُمْ/يَأۡمُرُكُمۡ/yamurukum//اَنْ/أَن/an//تُؤَدُّوا/تُؤَدُّواْ/tu-addu//الْاَمٰنٰتِ/ٱلۡأَمَٰنَٰتِ/al-amanati//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهَا ۙ/أَهۡلِهَا/ahliha//وَ اِذَا/وَإِذَا/wa-idha//حَكَمْتُمْ/حَكَمۡتُم/hakamtum//بَیْنَ/بَيۡنَ/bayna//النَّاسِ/ٱلنَّاسِ/al-nasi//اَنْ/أَن/an//تَحْكُمُوْا/تَحۡكُمُواْ/tahkumu//بِالْعَدْلِ ؕ/بِٱلۡعَدۡلِۚ/bil-'adli//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//نِعِمَّا/نِعِمَّا/ni'imma//یَعِظُكُمْ/يَعِظُكُم/ya'izukum//بِهٖ ؕ/بِهِۦٓۗ/bihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//سَمِیْعًۢا/سَمِيعَۢا/sami'an//بَصِیْرًا /بَصِيرٗا/basiran",
              "words_bangla": "(হে মুসলমান) নিশ্চয়ই//আল্লাহ//তোমাদেরকে নির্দেশ দিচ্ছেন//যে//তোমরা সমর্পণ কর//আমানত গুলোকে//কাছে//তাঁর উপযোগী লোকদের//এবং যখন//তোমরা ফয়সালা কর//মাঝে//লোকদের//(তখন) যেন//তোমরা ফয়সালা দিবে//ইনসাফের সাথে//নিশ্চয়ই//আল্লাহ//কত উত্তম তা//তোমাদের উপদেশ দেন//যে সম্পর্কে//নিশ্চয়//আল্লাহ//হলেন (এমন যে)//সবকিছু শুনেন//সবকিছু দেখেন"
            },
            {
              "number": 552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/552.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَأُو۟لِى ٱلْأَمْرِ مِنكُمْ ۖ فَإِن تَنَٰزَعْتُمْ فِى شَىْءٍۢ فَرُدُّوهُ إِلَى ٱللَّهِ وَٱلرَّسُولِ إِن كُنتُمْ تُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۚ ذَٰلِكَ خَيْرٌۭ وَأَحْسَنُ تَأْوِيلًا",
              "translate_bn": "হে ঈমানদারগণ! আল্লাহর নির্দেশ মান্য কর, নির্দেশ মান্য কর রসূলের এবং তোমাদের মধ্যে যারা বিচারক তাদের। তারপর যদি তোমরা কোন বিষয়ে বিবাদে প্রবৃত্ত হয়ে পড়, তাহলে তা আল্লাহ ও তাঁর রসূলের প্রতি প্রত্যর্পণ কর-যদি তোমরা আল্লাহ ও কেয়ামত দিবসের উপর বিশ্বাসী হয়ে থাক। আর এটাই কল্যাণকর এবং পরিণতির দিক দিয়ে উত্তম।",
              "numberInSurah": 59,
              "juz": 5,
              "manzil": 1,
              "page": 87,
              "ruku": 69,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ আতী‘উল্লা-হা ওয়া আতী‘উররাছূলা-ওয়া উলিল আমরি মিনকুম ফাইন তানা-ঝা‘তুম ফী শাইইন ফারুদ্দূহু ইলাল্লা-হি ওয়ার রাছূলি ইন কুনতুম তু’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি যা-লিকা খাইরুওঁ ওয়া আহছানু তা’বিলা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَطِیْعُوا/أَطِيعُواْ/ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//وَ اُولِی/وَأُوْلِي/wa-uli//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//مِنْكُمْ ۚ/مِنكُمۡۖ/minkum//فَاِنْ/فَإِن/fa-in//تَنَازَعْتُمْ/تَنَٰزَعۡتُمۡ/tanaza'tum//فِیْ/فِي/fi//شَیْءٍ/شَيۡءٖ/shayin//فَرُدُّوْهُ/فَرُدُّوهُ/farudduhu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الرَّسُوْلِ/وَٱلرَّسُولِ/wal-rasuli//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تُؤْمِنُوْنَ/تُؤۡمِنُونَ/tu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِۚ/al-akhiri//ذٰلِكَ/ذَٰلِكَ/dhalika//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَحْسَنُ/وَأَحۡسَنُ/wa-ahsanu//تَاْوِیْلًا۠/تَأۡوِيلًا/tawilan",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা আনুগত্য কর//আল্লাহর//ও তোমরা আনুগত্য কর//রাসূলের//এবং অধিকারীর//নির্দেশের (অর্থাৎ দায়িত্বশীলদের)//তোমাদের মধ্য হতে//যদি অতঃপর//তোমরা মতভেদ কর//ব্যাপারে//কোন কিছুর//তবে তা প্রত্যার্পণ কর//প্রতি//আল্লাহর//ও রাসূলদের//যদি//হয়ে থাক//তোমরা ঈমানদার//আল্লাহর উপর//ও দিনের//আখিরাতের (উপর)//এটা//উত্তম//ও প্রকৃষ্টতর//পরিণতিতে"
            },
            {
              "number": 553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/553.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ يَزْعُمُونَ أَنَّهُمْ ءَامَنُوا۟ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ يُرِيدُونَ أَن يَتَحَاكَمُوٓا۟ إِلَى ٱلطَّٰغُوتِ وَقَدْ أُمِرُوٓا۟ أَن يَكْفُرُوا۟ بِهِۦ وَيُرِيدُ ٱلشَّيْطَٰنُ أَن يُضِلَّهُمْ ضَلَٰلًۢا بَعِيدًۭا",
              "translate_bn": "আপনি কি তাদেরকে দেখেননি, যারা দাবী করে যে, যা আপনার প্রতি অবর্তীর্ণ হয়েছে আমরা সে বিষয়ের উপর ঈমান এনেছি এবং আপনার পূর্বে যা অবর্তীণ হয়েছে। তারা বিরোধীয় বিষয়কে শয়তানের দিকে নিয়ে যেতে চায়, অথচ তাদের প্রতি নির্দেশ হয়েছে, যাতে তারা ওকে মান্য না করে। পক্ষান্তরে শয়তান তাদেরকে প্রতারিত করে পথভ্রষ্ট করে ফেলতে চায়।",
              "numberInSurah": 60,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ইয়াঝ‘উমূনা আন্নাহুম আ-মানূবিমাউনঝিলা ইলাইকা ওয়ামাউনঝিলা মিন কাবলিকা ইউরীদূ না আইঁ ইয়াতাহা-কামূইলাত্তা-গূতি ওয়া কাদ উমিরূআইঁ ইয়াকফুরূ বিহী ওয়া ইউরীদুশশাইতা-নুআইঁ ইউদিল্লাহুম দালালাম বা‘ঈদা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَزْعُمُوْنَ/يَزۡعُمُونَ/yaz'umuna//اَنَّهُمْ/أَنَّهُمۡ/annahum//اٰمَنُوْا/ءَامَنُواْ/amanu//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اَنْ/أَن/an//یَّتَحَاكَمُوْۤا/يَتَحَاكَمُوٓاْ/yatahakamu//اِلَی/إِلَى/ila//الطَّاغُوْتِ/ٱلطَّـٰغُوتِ/al-taghuti//وَ قَدْ/وَقَدۡ/waqad//اُمِرُوْۤا/أُمِرُوٓاْ/umiru//اَنْ/أَن/an//یَّكْفُرُوْا/يَكۡفُرُواْ/yakfuru//بِهٖ ؕ/بِهِۦۖ/bihi//وَ یُرِیْدُ/وَيُرِيدُ/wayuridu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَنْ/أَن/an//یُّضِلَّهُمْ/يُضِلَّهُمۡ/yudillahum//ضَلٰلًۢا/ضَلَٰلَۢا/dalalan//بَعِیْدًا /بَعِيدٗا/ba'idan",
              "words_bangla": "নাই কি//তুমি দেখ//(তাদের) প্রতি//যারা//দাবী করে//যে তারা//ঈমান এনেছে//ঐ বিষয়ে যা//নাযিল হয়েছে//তোমার প্রতি//এবং যা//নাযিল হয়েছে//(থেকে)//তোমার পূর্বে//তারা চায়//যে//তারা বিচার প্রার্থী হবে//কাছে//তাগুতের'//অথচ নিশ্চয়//তারা নির্দেশিত হয়েছে//যে//তারা অস্বীকার করবে//তাকে//কিন্তু চায়//শয়তান//যে//তাদের পথ ভ্রষ্ট করবে//পথ ভ্রষ্টতায়//বহুদূরে"
            },
            {
              "number": 554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/554.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ إِلَىٰ مَآ أَنزَلَ ٱللَّهُ وَإِلَى ٱلرَّسُولِ رَأَيْتَ ٱلْمُنَٰفِقِينَ يَصُدُّونَ عَنكَ صُدُودًۭا",
              "translate_bn": "আর যখন আপনি তাদেরকে বলবেন, আল্লাহর নির্দেশের দিকে এসো-যা তিনি রসূলের প্রতি নাযিল করেছেন, তখন আপনি মুনাফেকদিগকে দেখবেন, ওরা আপনার কাছ থেকে সম্পূর্ণ ভাবে সরে যাচ্ছে।",
              "numberInSurah": 61,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুম তা‘আ-লাও ইলা-মাআনঝালাল্লা-হুওয়াইলাররাছূলি রাআইতাল মুনা-ফিকীনা ইয়াসুদ্দূনা ‘আনকা সুদূদা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//اِلٰی/إِلَىٰ/ila//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//وَ اِلَی/وَإِلَى/wa-ila//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//رَاَیْتَ/رَأَيۡتَ/ra-ayta//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//یَصُدُّوْنَ/يَصُدُّونَ/yasudduna//عَنْكَ/عَنكَ/anka//صُدُوْدًاۚ/صُدُودٗا/sududan",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//''তোমরা আস//দিকে//যা//নাযিল করেছেন//আল্লাহ//ও দিকে//রাসূলের''//তুমি দেখবে//মুনাফিকদেরকে//তারা পাশ কাটিয়ে যাচ্ছে//তোমার থেকে//(যেমন) পাশ কাটানো হয়"
            },
            {
              "number": 555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/555.mp3"
              ],
              "text": "فَكَيْفَ إِذَآ أَصَٰبَتْهُم مُّصِيبَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ ثُمَّ جَآءُوكَ يَحْلِفُونَ بِٱللَّهِ إِنْ أَرَدْنَآ إِلَّآ إِحْسَٰنًۭا وَتَوْفِيقًا",
              "translate_bn": "এমতাবস্থায় যদি তাদের কৃতকর্মের দরুন বিপদ আরোপিত হয়, তবে তাতে কি হল! অতঃপর তারা আপনার কাছে আল্লাহর নামে কসম খেয়ে খেয়ে ফিরে আসবে যে, মঙ্গল ও সম্প্রীতি ছাড়া আমাদের অন্য কোন উদ্দেশ্য ছিল না।",
              "numberInSurah": 62,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা ইযা-আসা-বাতহুম মুসীবাতুম বিমা-কাদ্দামাত আইদীহিম ছুম্মা জাঊকা ইয়াহলিফূনা বিল্লা-হি ইন আরাদনাইল্লা ইহছা-নাওঁ ওয়া তাওফীকা-।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//اِذَاۤ/إِذَآ/idha//اَصَابَتْهُمْ/أَصَٰبَتۡهُم/asabathum//مُّصِیْبَةٌۢ/مُّصِيبَةُۢ/musibatun//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//ثُمَّ/ثُمَّ/thumma//جَآءُوْكَ/جَآءُوكَ/jauka//یَحْلِفُوْنَ ۖۗ/يَحۡلِفُونَ/yahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//اِنْ/إِنۡ/in//اَرَدْنَاۤ/أَرَدۡنَآ/aradna//اِلَّاۤ/إِلَّآ/illa//اِحْسَانًا/إِحۡسَٰنٗا/ih'sanan//وَّ تَوْفِیْقًا /وَتَوۡفِيقًا/watawfiqan",
              "words_bangla": "কেমনে অতঃপর (হবে)//যখন//তাদের পৌঁছে//কোন বিপদ//এ কারণে যে//আগে পাঠিয়েছে//তাদের হাতগুলো//এরপর//তোমার কাছে তারা আসে//তারা হলফ করে (বলে)//আল্লাহর নামে//''না//আমরা চেয়েছিলাম//এছাড়া//কল্যাণ//ও সম্প্রীতিসহ''"
            },
            {
              "number": 556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/556.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ يَعْلَمُ ٱللَّهُ مَا فِى قُلُوبِهِمْ فَأَعْرِضْ عَنْهُمْ وَعِظْهُمْ وَقُل لَّهُمْ فِىٓ أَنفُسِهِمْ قَوْلًۢا بَلِيغًۭا",
              "translate_bn": "এরা হলো সে সমস্ত লোক, যাদের মনের গোপন বিষয় সম্পর্কেও আল্লাহ তা’আলা অবগত। অতএব, আপনি ওদেরকে উপেক্ষা করুন এবং ওদেরকে সদুপদেশ দিয়ে এমন কোন কথা বলুন যা তাদের জন্য কল্যাণকর।",
              "numberInSurah": 63,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা ইয়া‘লামূল্লা-হু মা-ফী কুলূবিহিম ফাআ‘রিদ‘আনহুম ওয়া ‘ইজহুম ওয়াকুল্লাহুম ফী-আনফুছিহিম কাওল্লাম বালীগা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//فِیْ/فِي/fi//قُلُوْبِهِمْ ۗ/قُلُوبِهِمۡ/qulubihim//فَاَعْرِضْ/فَأَعۡرِضۡ/fa-a'rid//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ عِظْهُمْ/وَعِظۡهُمۡ/wa'iz'hum//وَ قُلْ/وَقُل/waqul//لَّهُمْ/لَّهُمۡ/lahum//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//قَوْلًۢا/قَوۡلَۢا/qawlan//بَلِیْغًا /بَلِيغٗا/balighan",
              "words_bangla": "ঐসব লোক//যাদেরকে//জানেন//আল্লাহ//যা কিছু (আছে)//মধ্যে//তাদের অন্তরগুলোর//অতএব উপেক্ষা কর//তাদেরকে//ও তাদের উপদেশ দাও//এবং বল//তাদেরকে (যেন)//মধ্যে//তাদের অন্তরে//কথা//পৌঁছে"
            },
            {
              "number": 557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/557.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن رَّسُولٍ إِلَّا لِيُطَاعَ بِإِذْنِ ٱللَّهِ ۚ وَلَوْ أَنَّهُمْ إِذ ظَّلَمُوٓا۟ أَنفُسَهُمْ جَآءُوكَ فَٱسْتَغْفَرُوا۟ ٱللَّهَ وَٱسْتَغْفَرَ لَهُمُ ٱلرَّسُولُ لَوَجَدُوا۟ ٱللَّهَ تَوَّابًۭا رَّحِيمًۭا",
              "translate_bn": "বস্তুতঃ আমি একমাত্র এই উদ্দেশ্যেই রসূল প্রেরণ করেছি, যাতে আল্লাহর নির্দেশানুযায়ী তাঁদের আদেশ-নিষেধ মান্য করা হয়। আর সেসব লোক যখন নিজেদের অনিষ্ট সাধন করেছিল, তখন যদি আপনার কাছে আসত অতঃপর আল্লাহর নিকট ক্ষমা প্রার্থনা করত এবং রসূলও যদি তাদেরকে ক্ষমা করিয়ে দিতেন। অবশ্যই তারা আল্লাহকে ক্ষমাকারী, মেহেরবানরূপে পেত।",
              "numberInSurah": 64,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-মির রাছূলিন ইল্লা-লিইউতা-‘আ বিইযনিল্লা-হি ওয়ালাও আন্নাহুম ইযজালামূআনফুছাহুম জাঊকা ফাছতাগফারুল্লা-হা ওয়াছতাগফারা লাহুমুররাছূলু লাওয়াজাদুল্লা-হা তাওওয়া-বার রাহীমা।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//لِیُطَاعَ/لِيُطَاعَ/liyuta'a//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//اِذْ/إِذ/idh//ظَّلَمُوْۤا/ظَّلَمُوٓاْ/zalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//جَآءُوْكَ/جَآءُوكَ/jauka//فَاسْتَغْفَرُوا/فَٱسۡتَغۡفَرُواْ/fa-is'taghfaru//اللّٰهَ/ٱللَّهَ/al-laha//وَ اسْتَغْفَرَ/وَٱسۡتَغۡفَرَ/wa-is'taghfara//لَهُمُ/لَهُمُ/lahumu//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//لَوَجَدُوا/لَوَجَدُواْ/lawajadu//اللّٰهَ/ٱللَّهَ/al-laha//تَوَّابًا/تَوَّابٗا/tawwaban//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//(থেকে)//কোন রাসূল//এছাড়া যে//আনুগত্য করার জন্য//অনুমতিক্রমে//আল্লাহর//এবং যদি//তারা বাস্তবিক//যখন//জুলুম করেছিল//তাদের নিজেদের উপর//তোমার কাছে আসত//তারা অতঃপর ক্ষমা চাইত//আল্লাহর কাছে//ও ক্ষমা চাইত//তাদের জন্য//রাসূল//তারা পেত অবশ্যই//আল্লাহকে//ক্ষমাশীল//মেহেরবান (হিসেবে)"
            },
            {
              "number": 558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/558.mp3"
              ],
              "text": "فَلَا وَرَبِّكَ لَا يُؤْمِنُونَ حَتَّىٰ يُحَكِّمُوكَ فِيمَا شَجَرَ بَيْنَهُمْ ثُمَّ لَا يَجِدُوا۟ فِىٓ أَنفُسِهِمْ حَرَجًۭا مِّمَّا قَضَيْتَ وَيُسَلِّمُوا۟ تَسْلِيمًۭا",
              "translate_bn": "অতএব, তোমার পালনকর্তার কসম, সে লোক ঈমানদার হবে না, যতক্ষণ না তাদের মধ্যে সৃষ্ট বিবাদের ব্যাপারে তোমাকে ন্যায়বিচারক বলে মনে না করে। অতঃপর তোমার মীমাংসার ব্যাপারে নিজের মনে কোন রকম সংকীর্ণতা পাবে না এবং তা হূষ্টচিত্তে কবুল করে নেবে।",
              "numberInSurah": 65,
              "juz": 5,
              "manzil": 1,
              "page": 88,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ফালা-ওয়ারাব্বিকা লা-ইউ’মিনূনা হাত্তা-ইউহাক্কিমূকা ফীমা-শাজারা বাইনাহুম ছু ম্মা লাইয়াজিদূফীআনফুছিহিম হারাজাম মিম্মা-কাদাইতা ওয়া ইউছালিলমূতাছলীমা-।",
              "words_arabic": "فَلَا/فَلَا/fala//وَ رَبِّكَ/وَرَبِّكَ/warabbika//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//حَتّٰی/حَتَّىٰ/hatta//یُحَكِّمُوْكَ/يُحَكِّمُوكَ/yuhakkimuka//فِیْمَا/فِيمَا/fima//شَجَرَ/شَجَرَ/shajara//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَجِدُوْا/يَجِدُواْ/yajidu//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//حَرَجًا/حَرَجٗا/harajan//مِّمَّا/مِّمَّا/mimma//قَضَیْتَ/قَضَيۡتَ/qadayta//وَ یُسَلِّمُوْا/وَيُسَلِّمُواْ/wayusallimu//تَسْلِیْمًا /تَسۡلِيمٗا/tasliman",
              "words_bangla": "অতএব না//কসম তোমার রবের//না//তারা মু’মিন হবে//যতক্ষণ না//তোমাকে বিচারক মানবে//সে ক্ষেত্রে (যে বিষয়ে)//মতভেদ করে//তাদের মাঝে//এরপর//না//তারা পাবে//মধ্যে//তাদের মনের//কুণ্ঠাবোধ//তা হতে যা//তুমি সিদ্ধান্ত দিয়েছ//ও তারা আত্মসমর্পণ করবে//পূর্ণ আত্মসমর্পণ"
            },
            {
              "number": 559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/559.mp3"
              ],
              "text": "وَلَوْ أَنَّا كَتَبْنَا عَلَيْهِمْ أَنِ ٱقْتُلُوٓا۟ أَنفُسَكُمْ أَوِ ٱخْرُجُوا۟ مِن دِيَٰرِكُم مَّا فَعَلُوهُ إِلَّا قَلِيلٌۭ مِّنْهُمْ ۖ وَلَوْ أَنَّهُمْ فَعَلُوا۟ مَا يُوعَظُونَ بِهِۦ لَكَانَ خَيْرًۭا لَّهُمْ وَأَشَدَّ تَثْبِيتًۭا",
              "translate_bn": "আর যদি আমি তাদের নির্দেশ দিতাম যে, নিজেদের প্রাণ ধ্বংস করে দাও কিংবা নিজেদের নগরী ছেড়ে বেরিয়ে যাও, তবে তারা তা করত না; অবশ্য তাদের মধ্যে অল্প কয়েকজন। যদি তারা তাই করে যা তাদের উপদেশ দেয়া হয়, তবে তা অবশ্যই তাদের জন্য উত্তম এং তাদেরকে নিজের ধর্মের উপর সুদৃঢ় রাখার জন্য তা উত্তম হবে।",
              "numberInSurah": 66,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্না-কাতাবনা-‘আলাইহিম আনিকতুলূআনফুছাকুম আবিখরুজুমিন দিয়া-রিকুম মা-ফা‘আলূহু ইলা-কালীলুম মিনহুম ওয়ালাও আন্নাহুম ফা‘আলূমা-ইউ‘আজূনা বিহী লাকা-না খাইরাল্লাহুম ওয়া আশাদ্দা তাছবীতা-।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّا/أَنَّا/anna//كَتَبْنَا/كَتَبۡنَا/katabna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَنِ/أَنِ/ani//اقْتُلُوْۤا/ٱقۡتُلُوٓاْ/uq'tulu//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//اَوِ/أَوِ/awi//اخْرُجُوْا/ٱخۡرُجُواْ/ukh'ruju//مِنْ/مِن/min//دِیَارِكُمْ/دِيَٰرِكُم/diyarikum//مَّا/مَّا/ma//فَعَلُوْهُ/فَعَلُوهُ/fa'aluhu//اِلَّا/إِلَّا/illa//قَلِیْلٌ/قَلِيلٞ/qalilun//مِّنْهُمْ ؕ/مِّنۡهُمۡۖ/min'hum//وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//فَعَلُوْا/فَعَلُواْ/fa'alu//مَا/مَا/ma//یُوْعَظُوْنَ/يُوعَظُونَ/yu'azuna//بِهٖ/بِهِۦ/bihi//لَكَانَ/لَكَانَ/lakana//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ/لَّهُمۡ/lahum//وَ اَشَدَّ/وَأَشَدَّ/wa-ashadda//تَثْبِیْتًاۙ/تَثۡبِيتٗا/tathbitan",
              "words_bangla": "এবং যদি//নিশ্চয়ই আমরা//হুকুম দিতাম//তাদের উপর//যে//''তোমরা হত্যা কর//তোমাদের নিজেদেরকে''//বা//''তোমরা বের হও//থেকে//তোমাদের ঘরগুলো''//না//তা তারা করত//এছাড়া//অল্প কিছু সংখ্যক//তাদের মধ্যে হতে//এবং যদি//তারা বাস্তবিক//করত//যা//তাদের উপদেশ দেয়া হয়//সে সে সম্পর্কে//নিশ্চয়ই হত//উত্তম//তাদের জন্য//এবং দৃঢ়তর (হত)//চিত্ত স্থিরতায়"
            },
            {
              "number": 560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/560.mp3"
              ],
              "text": "وَإِذًۭا لَّءَاتَيْنَٰهُم مِّن لَّدُنَّآ أَجْرًا عَظِيمًۭا",
              "translate_bn": "আর তখন অবশ্যই আমি তাদেরকে নিজের পক্ষ থেকে মহান সওয়াব দেব।",
              "numberInSurah": 67,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল লাআ-তাইনা-হুম মিল্লাদুন্না-আজরান ‘আজীমা-।",
              "words_arabic": "وَّ اِذًا/وَإِذٗا/wa-idhan//لَّاٰتَیْنٰهُمْ/لَّأٓتَيۡنَٰهُم/laataynahum//مِّنْ/مِّن/min//لَّدُنَّاۤ/لَّدُنَّآ/ladunna//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًاۙ/عَظِيمٗا/aziman",
              "words_bangla": "এবং তখন//তাদের অবশ্যই দিতাম আমরা//থেকে//নিজের কাছ//প্রতিফল//বিরাট"
            },
            {
              "number": 561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/561.mp3"
              ],
              "text": "وَلَهَدَيْنَٰهُمْ صِرَٰطًۭا مُّسْتَقِيمًۭا",
              "translate_bn": "আর তাদেরকে সরল পথে পরিচালিত করব।",
              "numberInSurah": 68,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাহাদাইনা-হুম সিরা-তাম মুছতাকীমা-।",
              "words_arabic": "وَّ لَهَدَیْنٰهُمْ/وَلَهَدَيۡنَٰهُمۡ/walahadaynahum//صِرَاطًا/صِرَٰطٗا/siratan//مُّسْتَقِیْمًا /مُّسۡتَقِيمٗا/mus'taqiman",
              "words_bangla": "এবং আমরা তাদের হিদায়াত দিতাম//পথের//সরল সঠিক"
            },
            {
              "number": 562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/562.mp3"
              ],
              "text": "وَمَن يُطِعِ ٱللَّهَ وَٱلرَّسُولَ فَأُو۟لَٰٓئِكَ مَعَ ٱلَّذِينَ أَنْعَمَ ٱللَّهُ عَلَيْهِم مِّنَ ٱلنَّبِيِّۦنَ وَٱلصِّدِّيقِينَ وَٱلشُّهَدَآءِ وَٱلصَّٰلِحِينَ ۚ وَحَسُنَ أُو۟لَٰٓئِكَ رَفِيقًۭا",
              "translate_bn": "আর যে কেউ আল্লাহর হুকুম এবং তাঁর রসূলের হুকুম মান্য করবে, তাহলে যাঁদের প্রতি আল্লাহ নেয়ামত দান করেছেন, সে তাঁদের সঙ্গী হবে। তাঁরা হলেন নবী, ছিদ্দীক, শহীদ ও সৎকর্মশীল ব্যক্তিবর্গ। আর তাদের সান্নিধ্যই হল উত্তম।",
              "numberInSurah": 69,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউতি‘ইল্লা-হা ওয়াররাছূলা ফাউলাইকা মা‘আল্লাযীনা আন‘আমাল্লা-হু ‘আলাইহিম মিনান্নাবিইয়ীনা ওয়াসসিদ্দীকীনা ওয়াশ শুহাদাই ওয়াসসা-লিহীনা ওয়াহাছুনা উলাইকা রাফীকা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یُّطِعِ/يُطِعِ/yuti'i//اللّٰهَ/ٱللَّهَ/al-laha//وَ الرَّسُوْلَ/وَٱلرَّسُولَ/wal-rasula//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//مَعَ/مَعَ/ma'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَنْعَمَ/أَنۡعَمَ/an'ama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنَ/مِّنَ/mina//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//وَ الصِّدِّیْقِیْنَ/وَٱلصِّدِّيقِينَ/wal-sidiqina//وَ الشُّهَدَآءِ/وَٱلشُّهَدَآءِ/wal-shuhadai//وَ الصّٰلِحِیْنَ ۚ/وَٱلصَّـٰلِحِينَۚ/wal-salihina//وَ حَسُنَ/وَحَسُنَ/wahasuna//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//رَفِیْقًاؕ/رَفِيقٗا/rafiqan",
              "words_bangla": "এবং যে//আনুগত্য করবে//আল্লাহর//ও রাসূলের//ঐসব লোকে তখন (হবে)//সাথে//(তাদের) যাদের//নিয়ামত দিয়েছেন//আল্লাহ//তাদের উপর//(যেমন) থেকে//নবীদের//ও সিদ্দিকদের//ও শহীদদের//ও সৎ লোকদের (সাথে)//এবং কতই উত্তম//ঐসব//সাথী"
            },
            {
              "number": 563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/563.mp3"
              ],
              "text": "ذَٰلِكَ ٱلْفَضْلُ مِنَ ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ عَلِيمًۭا",
              "translate_bn": "এটা হল আল্লাহ-প্রদত্ত মহত্ত্ব। আর আল্লাহ যথেষ্ট পরিজ্ঞাত।",
              "numberInSurah": 70,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 70,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "যা-লিকাল ফাদলুমিনাল্লা-হি ওয়াকাফা-বিল্লা-হি ‘আলীমা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَضْلُ/ٱلۡفَضۡلُ/al-fadlu//مِنَ/مِنَ/mina//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//عَلِیْمًا۠/عَلِيمٗا/aliman",
              "words_bangla": "এটা//অনুগ্রহ//(থেকে)//আল্লাহর//এবং যথেষ্ট//আল্লাহই//জ্ঞানে"
            },
            {
              "number": 564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/564.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ خُذُوا۟ حِذْرَكُمْ فَٱنفِرُوا۟ ثُبَاتٍ أَوِ ٱنفِرُوا۟ جَمِيعًۭا",
              "translate_bn": "হে ঈমানদারগণ! নিজেদের অস্ত্র তুলে নাও এবং পৃথক পৃথক সৈন্যদলে কিংবা সমবেতভাবে বেরিয়ে পড়।",
              "numberInSurah": 71,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 71,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূখুযূহিযরাকুম ফানফিরূ ছু বা-তিন আবিনফিরূ জামী‘আ-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//خُذُوْا/خُذُواْ/khudhu//حِذْرَكُمْ/حِذۡرَكُمۡ/hidh'rakum//فَانْفِرُوْا/فَٱنفِرُواْ/fa-infiru//ثُبَاتٍ/ثُبَاتٍ/thubatin//اَوِ/أَوِ/awi//انْفِرُوْا/ٱنفِرُواْ/infiru//جَمِیْعًا /جَمِيعٗا/jami'an",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা অবলম্বন কর//তোমাদের সতর্কতা//তোমরা অতঃপর বের হও//পৃথক দলে//অথবা//তোমরা বের হও//একত্রে"
            },
            {
              "number": 565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/565.mp3"
              ],
              "text": "وَإِنَّ مِنكُمْ لَمَن لَّيُبَطِّئَنَّ فَإِنْ أَصَٰبَتْكُم مُّصِيبَةٌۭ قَالَ قَدْ أَنْعَمَ ٱللَّهُ عَلَىَّ إِذْ لَمْ أَكُن مَّعَهُمْ شَهِيدًۭا",
              "translate_bn": "আর তোমাদের মধ্যে এমনও কেউ কেউ রয়েছে, যারা অবশ্য বিলম্ব করবে এবং তোমাদের উপর কোন বিপদ উপস্থিত হলে বলবে, আল্লাহ আমার প্রতি অনুগ্রহ করেছেন যে, আমি তাদের সাথে যাইনি।",
              "numberInSurah": 72,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 71,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না মিনকুম লামাল লাইউবাত্তিআন্না ফাইন আসা-বাতকুম মুসীবাতুন কা-লা কাদ আন‘আমাল্লা-হু ‘আলাইইয়া ইযলাম আকুম মা‘আহুম শাহীদা-।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//مِنْكُمْ/مِنكُمۡ/minkum//لَمَنْ/لَمَن/laman//لَّیُبَطِّئَنَّ ۚ/لَّيُبَطِّئَنَّ/layubatti-anna//فَاِنْ/فَإِنۡ/fa-in//اَصَابَتْكُمْ/أَصَٰبَتۡكُم/asabatkum//مُّصِیْبَةٌ/مُّصِيبَةٞ/musibatun//قَالَ/قَالَ/qala//قَدْ/قَدۡ/qad//اَنْعَمَ/أَنۡعَمَ/an'ama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیَّ/عَلَيَّ/alayya//اِذْ/إِذۡ/idh//لَمْ/لَمۡ/lam//اَكُنْ/أَكُن/akun//مَّعَهُمْ/مَّعَهُمۡ/ma'ahum//شَهِیْدًا /شَهِيدٗا/shahidan",
              "words_bangla": "এবং নিশ্চয়ই//তোমাদের মধ্যে (এমনও আছে)//অবশ্যই যে//(যুদ্ধে) পশ্চাদপদ হবেই//অতঃপর যদি//তোমাদের পৌঁছে//কোন বিপদ//বলবে//''নিশ্চয়//অনুগ্রহ করেছেন//আল্লাহ//আমার উপর//তখন//না//আমি ছিলাম//তাদের সাথে''//উপস্থিত''"
            },
            {
              "number": 566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/566.mp3"
              ],
              "text": "وَلَئِنْ أَصَٰبَكُمْ فَضْلٌۭ مِّنَ ٱللَّهِ لَيَقُولَنَّ كَأَن لَّمْ تَكُنۢ بَيْنَكُمْ وَبَيْنَهُۥ مَوَدَّةٌۭ يَٰلَيْتَنِى كُنتُ مَعَهُمْ فَأَفُوزَ فَوْزًا عَظِيمًۭا",
              "translate_bn": "পক্ষান্তরে তোমাদের প্রতি আল্লাহর পক্ষ থেকে কোন অনুগ্রহ আসলে তারা এমন ভাবে বলতে শুরু করবে যেন তোমাদের মধ্যে এবং তাদের মধ্যে কোন মিত্রতাই ছিল না। (বলবে) হায়, আমি যদি তাদের সাথে থাকতাম, তাহলে আমি ও যে সফলতা লাভ করতাম।",
              "numberInSurah": 73,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 71,
              "hizbQuarter": 35,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন আসা-বাকুমফাদলুমমিনালল-হি লাইয়াকূলান্না কাআল লাম তাকুম বাইনাকুমওয়া বাইনাহূমাওয়াদ্দাতুইঁ ইয়া-লাইতানী কুনতুমা‘আহুম ফাআফূঝা ফাওঝান ‘আজীমা-।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَصَابَكُمْ/أَصَٰبَكُمۡ/asabakum//فَضْلٌ/فَضۡلٞ/fadlun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//لَیَقُوْلَنَّ/لَيَقُولَنَّ/layaqulanna//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//تَكُنْۢ/تَكُنۢ/takun//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَهٗ/وَبَيۡنَهُۥ/wabaynahu//مَوَدَّةٌ/مَوَدَّةٞ/mawaddatun//یّٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//كُنْتُ/كُنتُ/kuntu//مَعَهُمْ/مَعَهُمۡ/ma'ahum//فَاَفُوْزَ/فَأَفُوزَ/fa-afuza//فَوْزًا/فَوۡزًا/fawzan//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "এবং অবশ্য যদি//তোমাদের পৌঁছে//কোন অনুগ্রহ//পক্ষ হতে//আল্লাহর//তারা বলবেই//এমন ভাবে যে//না//ছিল//তোমাদের মাঝে//ও তার মাঝে//কোন সম্পর্ক//''হায় আফসোস আমার//আমি হতাম (যদি)//তাদের সাথে//তবে আমি সফল হতাম//সাফল্য//বিরাট''"
            },
            {
              "number": 567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/567.mp3"
              ],
              "text": "۞ فَلْيُقَٰتِلْ فِى سَبِيلِ ٱللَّهِ ٱلَّذِينَ يَشْرُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا بِٱلْءَاخِرَةِ ۚ وَمَن يُقَٰتِلْ فِى سَبِيلِ ٱللَّهِ فَيُقْتَلْ أَوْ يَغْلِبْ فَسَوْفَ نُؤْتِيهِ أَجْرًا عَظِيمًۭا",
              "translate_bn": "কাজেই আল্লাহর কাছে যারা পার্থিব জীবনকে আখেরাতের পরিবর্তে বিক্রি করে দেয় তাদের জেহাদ করাই কর্তব্য। বস্তুতঃ যারা আল্লাহর রাহে লড়াই করে এবং অতঃপর মৃত্যুবরণ করে কিংবা বিজয় অর্জন করে, আমি তাদেরকে মহাপুণ্য দান করব।",
              "numberInSurah": 74,
              "juz": 5,
              "manzil": 1,
              "page": 89,
              "ruku": 71,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ফালইউকা-তিল ফী ছাবীলিল্লা-হিল্লাযীনা ইয়াশরূনাল হায়া-তাদ্দুনইয়া-বিলআ-খিরাতি ওয়া মাইঁ ইউকা-তিল ফী ছাবীলিল্লা-হি ফাইউকতাল আও ইয়াগলিব ফাছাওফা নু’তীহি আজরান ‘আজীমা-।",
              "words_arabic": "فَلْیُقَاتِلْ/۞فَلۡيُقَٰتِلۡ/falyuqatil//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَشْرُوْنَ/يَشۡرُونَ/yashruna//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//بِالْاٰخِرَةِ ؕ/بِٱلۡأٓخِرَةِۚ/bil-akhirati//وَ مَنْ/وَمَن/waman//یُّقَاتِلْ/يُقَٰتِلۡ/yuqatil//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//فَیُقْتَلْ/فَيُقۡتَلۡ/fayuq'tal//اَوْ/أَوۡ/aw//یَغْلِبْ/يَغۡلِبۡ/yaghlib//فَسَوْفَ/فَسَوۡفَ/fasawfa//نُؤْتِیْهِ/نُؤۡتِيهِ/nu'tihi//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "অতএব লড়াই করা উচিত//(মধ্যে)//পথে//আল্লাহর//যারা//বিক্রয় করে//জীবন//দুনিয়ার//আখিরাতের বিনিময়ে//এবং যে//লড়াই করবে//(মধ্যে)//পথে//আল্লাহর//অতঃপর নিহত হবে//বা//বিজয়ী হবে//শীঘ্রই অতঃপর//তাকে দেব আমরা//পুরস্কার//বিরাট"
            },
            {
              "number": 568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/568.mp3"
              ],
              "text": "وَمَا لَكُمْ لَا تُقَٰتِلُونَ فِى سَبِيلِ ٱللَّهِ وَٱلْمُسْتَضْعَفِينَ مِنَ ٱلرِّجَالِ وَٱلنِّسَآءِ وَٱلْوِلْدَٰنِ ٱلَّذِينَ يَقُولُونَ رَبَّنَآ أَخْرِجْنَا مِنْ هَٰذِهِ ٱلْقَرْيَةِ ٱلظَّالِمِ أَهْلُهَا وَٱجْعَل لَّنَا مِن لَّدُنكَ وَلِيًّۭا وَٱجْعَل لَّنَا مِن لَّدُنكَ نَصِيرًا",
              "translate_bn": "আর তোমাদের কি হল যে, তেমারা আল্লাহর রাহে লড়াই করছ না দুর্বল সেই পুরুষ, নারী ও শিশুদের পক্ষে, যারা বলে, হে আমাদের পালনকর্তা! আমাদিগকে এই জনপদ থেকে নিষ্কৃতি দান কর; এখানকার অধিবাসীরা যে, অত্যাচারী! আর তোমার পক্ষ থেকে আমাদের জন্য পক্ষালম্বনকারী নির্ধারণ করে দাও এবং তোমার পক্ষ থেকে আমাদের জন্য সাহায্যকারী নির্ধারণ করে দাও।",
              "numberInSurah": 75,
              "juz": 5,
              "manzil": 1,
              "page": 90,
              "ruku": 71,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাকুম লা-তুকা-তিলূনা ফী ছাবীলিল্লা-হি ওয়াল মুছতাদ‘আফীনা মিনার রিজা-লি ওয়ান নিছাই ওয়াল বিলদা-নিল্লাযীনা ইয়াকূলূনা রাব্বানা-আখরিজনা-মিন হাযিহিল কারইয়াতিজ্জা-লিমি আহলুহা- ওয়াজ‘আল লানা-মিল্লাদুনকা ওয়ালিইইয়াওঁ ওয়াজ‘আল লানা-মিল্লাদুনকা নাসীরা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَكُمْ/لَكُمۡ/lakum//لَا/لَا/la//تُقَاتِلُوْنَ/تُقَٰتِلُونَ/tuqatiluna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْمُسْتَضْعَفِیْنَ/وَٱلۡمُسۡتَضۡعَفِينَ/wal-mus'tad'afina//مِنَ/مِنَ/mina//الرِّجَالِ/ٱلرِّجَالِ/al-rijali//وَ النِّسَآءِ/وَٱلنِّسَآءِ/wal-nisai//وَ الْوِلْدَانِ/وَٱلۡوِلۡدَٰنِ/wal-wil'dani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَخْرِجْنَا/أَخۡرِجۡنَا/akhrij'na//مِنْ/مِنۡ/min//هٰذِهِ/هَٰذِهِ/hadhihi//الْقَرْیَةِ/ٱلۡقَرۡيَةِ/al-qaryati//الظَّالِمِ/ٱلظَّالِمِ/al-zalimi//اَهْلُهَا ۚ/أَهۡلُهَا/ahluha//وَ اجْعَلْ/وَٱجۡعَل/wa-ij'al//لَّنَا/لَّنَا/lana//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//وَلِیًّا ۙۚ/وَلِيّٗا/waliyyan//وَّ اجْعَلْ/وَٱجۡعَل/wa-ij'al//لَّنَا/لَّنَا/lana//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//نَصِیْرًاؕ/نَصِيرًا/nasiran",
              "words_bangla": "এবং কি হলো//তোমাদের//(যে) না//তোমরা লড়াই করছ//(মধ্যে)//পথে//আল্লাহর//অথচ দুর্বল//(থেকে)//পুরুষ//ও নারী//ও শিশু//যারা//বলছে//''হে আমাদের রব//আমাদের বের কর//হতে//এই//জনপদ//জালিম//তার অধিবাসীরা//এবং বানিয়ে দাও//আমাদের জন্য//থেকে//তোমার নিকট//কোন অভিভাবক//ও বানাও//আমাদের জন্য//থেকে//তোমার নিকট//কোন সাহায্যকারী"
            },
            {
              "number": 569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/569.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ يُقَٰتِلُونَ فِى سَبِيلِ ٱللَّهِ ۖ وَٱلَّذِينَ كَفَرُوا۟ يُقَٰتِلُونَ فِى سَبِيلِ ٱلطَّٰغُوتِ فَقَٰتِلُوٓا۟ أَوْلِيَآءَ ٱلشَّيْطَٰنِ ۖ إِنَّ كَيْدَ ٱلشَّيْطَٰنِ كَانَ ضَعِيفًا",
              "translate_bn": "যারা ঈমানদার তারা যে, জেহাদ করে আল্লাহর রাহেই। পক্ষান্তরে যারা কাফের তারা লড়াই করে শয়তানের পক্ষে সুতরাং তোমরা জেহাদ করতে থাক শয়তানের পক্ষালম্বনকারীদের বিরুদ্ধে, (দেখবে) শয়তানের চক্রান্ত একান্তই দুর্বল।",
              "numberInSurah": 76,
              "juz": 5,
              "manzil": 1,
              "page": 90,
              "ruku": 71,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূইউকা-তিলূনা ফী ছাবীলিল্লা-হি ওয়াল্লাযীনা কাফারূ ইউকাতিলূনা ফী ছাবীলিততা-গূতি ফাকা-তিলূআওলিয়াআশশাইতা-নি ইন্নাকাইদাশশাইতা-নি কা-না দা‘ঈফা-।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//یُقَاتِلُوْنَ/يُقَٰتِلُونَ/yuqatiluna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یُقَاتِلُوْنَ/يُقَٰتِلُونَ/yuqatiluna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//الطَّاغُوْتِ/ٱلطَّـٰغُوتِ/al-taghuti//فَقَاتِلُوْۤا/فَقَٰتِلُوٓاْ/faqatilu//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//الشَّیْطٰنِ ۚ/ٱلشَّيۡطَٰنِۖ/al-shaytani//اِنَّ/إِنَّ/inna//كَیْدَ/كَيۡدَ/kayda//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//كَانَ/كَانَ/kana//ضَعِیْفًا۠/ضَعِيفًا/da'ifan",
              "words_bangla": "যারা//ঈমান এনেছে//তারা লড়ে//(মধ্যে)//পথে//আল্লাহর//এবং যারা//কুফরী করেছে//তারা লড়ে//(মধ্যে)//পথে//তাগুতের//অতএব তোমরা লড়//(বিরুদ্ধে) বন্ধুদের//শয়তানের//নিশ্চয়ই//কৌশল//শয়তানের//হলো//(বড়) দুর্বল"
            },
            {
              "number": 570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/570.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ قِيلَ لَهُمْ كُفُّوٓا۟ أَيْدِيَكُمْ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ فَلَمَّا كُتِبَ عَلَيْهِمُ ٱلْقِتَالُ إِذَا فَرِيقٌۭ مِّنْهُمْ يَخْشَوْنَ ٱلنَّاسَ كَخَشْيَةِ ٱللَّهِ أَوْ أَشَدَّ خَشْيَةًۭ ۚ وَقَالُوا۟ رَبَّنَا لِمَ كَتَبْتَ عَلَيْنَا ٱلْقِتَالَ لَوْلَآ أَخَّرْتَنَآ إِلَىٰٓ أَجَلٍۢ قَرِيبٍۢ ۗ قُلْ مَتَٰعُ ٱلدُّنْيَا قَلِيلٌۭ وَٱلْءَاخِرَةُ خَيْرٌۭ لِّمَنِ ٱتَّقَىٰ وَلَا تُظْلَمُونَ فَتِيلًا",
              "translate_bn": "তুমি কি সেসব লোককে দেখনি, যাদেরকে নির্দেশ দেয়া হয়েছিল যে, তোমরা নিজেদের হাতকে সংযত রাখ, নামায কায়েম কর এবং যাকাত দিতে থাক? অতঃপর যখন তাদের প্রতি জেহাদের নির্দেশ দেয়া হল, তৎক্ষণাৎ তাদের মধ্যে একদল লোক মানুষকে ভয় করতে আরম্ভ করল, যেমন করে ভয় করা হয় আল্লাহকে। এমন কি তার চেয়েও অধিক ভয়। আর বলতে লাগল, হায় পালনকর্তা, কেন আমাদের উপর যুদ্ধ ফরজ করলে! আমাদেরকে কেন আরও কিছুকাল অবকাশ দান করলে না। ( হে রসূল) তাদেরকে বলে দিন, পার্থিব ফায়দা সীমিত। আর আখেরাত পরহেযগারদের জন্য উত্তম। আর তোমাদের অধিকার একটি সূতা পরিমান ও খর্ব করা হবে না।",
              "numberInSurah": 77,
              "juz": 5,
              "manzil": 1,
              "page": 90,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা কীলা লাহুম কুফফূআইদিয়াকুম ওয়াআকীমুস সালা-তা ওয়া আ-তুঝঝাকা-তা ফালাম্মা-কুতিবা ‘আলাইহিমুল কিতা-লুইযা-ফারীকুম মিনহুম ইয়াখশাওনান না-ছা কাখাশইয়াতিল্লা-হি আও আশাদ্দা খাশইয়াতাওঁ ওয়া কা-লূরাব্বানালিমা কাতাবতা ‘আলাইনাল কিতা-লা লাওলাআখখারতানাইলাআজালিন কারীবিন কুল মাতা-‘উদ দুনইয়া-কালীলুওঁ ওয়াল আ-খিরাতুখাইরুল লিমানিত্তাকা- ওয়ালা-তুজলামূনা ফাতীলা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//كُفُّوْۤا/كُفُّوٓاْ/kuffu//اَیْدِیَكُمْ/أَيۡدِيَكُمۡ/aydiyakum//وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ ۚ/ٱلزَّكَوٰةَ/al-zakata//فَلَمَّا/فَلَمَّا/falamma//كُتِبَ/كُتِبَ/kutiba//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقِتَالُ/ٱلۡقِتَالُ/al-qitalu//اِذَا/إِذَا/idha//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//النَّاسَ/ٱلنَّاسَ/al-nasa//كَخَشْیَةِ/كَخَشۡيَةِ/kakhashyati//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْ/أَوۡ/aw//اَشَدَّ/أَشَدَّ/ashadda//خَشْیَةً ۚ/خَشۡيَةٗۚ/khashyatan//وَ قَالُوْا/وَقَالُواْ/waqalu//رَبَّنَا/رَبَّنَا/rabbana//لِمَ/لِمَ/lima//كَتَبْتَ/كَتَبۡتَ/katabta//عَلَیْنَا/عَلَيۡنَا/alayna//الْقِتَالَ ۚ/ٱلۡقِتَالَ/al-qitala//لَوْ لَاۤ/لَوۡلَآ/lawla//اَخَّرْتَنَاۤ/أَخَّرۡتَنَآ/akhartana//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//قَرِیْبٍ ؕ/قَرِيبٖۗ/qaribin//قُلْ/قُلۡ/qul//مَتَاعُ/مَتَٰعُ/mata'u//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//قَلِیْلٌ ۚ/قَلِيلٞ/qalilun//وَ الْاٰخِرَةُ/وَٱلۡأٓخِرَةُ/wal-akhiratu//خَیْرٌ/خَيۡرٞ/khayrun//لِّمَنِ/لِّمَنِ/limani//اتَّقٰی ۫/ٱتَّقَىٰ/ittaqa//وَ لَا/وَلَا/wala//تُظْلَمُوْنَ/تُظۡلَمُونَ/tuz'lamuna//فَتِیْلًا /فَتِيلًا/fatilan",
              "words_bangla": "নাই কি//তুমি দেখ//প্রতি//যাদের//বলা হয়েছিল//তাদেরকে//''সংবরণ কর (তোমরা)//তোমাদের হাতগুলো//ও তোমরা কায়েম কর//সলাত//ও তোমরা দাও//জাকাত''//যখন অতঃপর//নির্দেশ দেয়া হলো//তাদের উপর//যুদ্ধের//তখন//একদল//তাদের মধ্য হতে//ভয় করেছে//মানুষকে//ভয় যেমন (করা উচিৎ)//আল্লাহকে//বা//অধিকতর//ভয়//এবং তারা বলেছিল//''হে আমাদের রব//কেন//তুমি নির্ধারিত করলে//আমাদের উপর//যুদ্ধ//না কেন//আমাদের অবকাশ দিলে//পর্যন্ত//কাল''//আরও কিছু''//বল//''সম্ভোগ//দুনিয়ার//অতি সামান্য//আর আখিরাত//উত্তম//(তার) জন্য যে//ভয় করে (আল্লাহকে)//এবং না//তোমাদেরকে জুলুম করা হবে//একবিন্দুও''"
            },
            {
              "number": 571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/571.mp3"
              ],
              "text": "أَيْنَمَا تَكُونُوا۟ يُدْرِككُّمُ ٱلْمَوْتُ وَلَوْ كُنتُمْ فِى بُرُوجٍۢ مُّشَيَّدَةٍۢ ۗ وَإِن تُصِبْهُمْ حَسَنَةٌۭ يَقُولُوا۟ هَٰذِهِۦ مِنْ عِندِ ٱللَّهِ ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۭ يَقُولُوا۟ هَٰذِهِۦ مِنْ عِندِكَ ۚ قُلْ كُلٌّۭ مِّنْ عِندِ ٱللَّهِ ۖ فَمَالِ هَٰٓؤُلَآءِ ٱلْقَوْمِ لَا يَكَادُونَ يَفْقَهُونَ حَدِيثًۭا",
              "translate_bn": "তোমরা যেখানেই থাক না কেন; মৃত্যু কিন্তু তোমাদেরকে পাকড়াও করবেই। যদি তোমরা সুদৃঢ় দূর্গের ভেতরেও অবস্থান কর, তবুও। বস্তুতঃ তাদের কোন কল্যাণ সাধিত হলে তারা বলে যে, এটা সাধিত হয়েছে আল্লাহর পক্ষ থেকে। আর যদি তাদের কোন অকল্যাণ হয়, তবে বলে, এটা হয়েছে তোমার পক্ষ থেকে, বলে দাও, এসবই আল্লাহর পক্ষ থেকে। পক্ষান্তরে তাদের পরিণতি কি হবে, যারা কখনও কোন কথা বুঝতে চেষ্টা করে না।",
              "numberInSurah": 78,
              "juz": 5,
              "manzil": 1,
              "page": 90,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "আইনা মা-তাকূনূইউদরিককুমুল মাওতুওয়ালাও কুনতুম ফী বুরূজিম মুশাইইয়াদাতিওঁ ওয়া ইন তুসিবহুম হাছানাতুইঁ ইয়াকূলূহা-যিহী মিন ‘ইনদিল্লা-হি ওয়া ইন তুসিবহুম ছাইয়িআতুই ইয়াকূলূহা-যিহী মিন ‘ইনদিকা কুল কুল্লুম মিন ‘ইনদিল্লা-হি ফামালি হাউলাইল কাওমি লা-ইয়াকা-দূ না ইয়াফকাহূনা হাদীছা-।",
              "words_arabic": "اَیْنَ مَا/أَيۡنَمَا/aynama//تَكُوْنُوْا/تَكُونُواْ/takunu//یُدْرِكْكُّمُ/يُدۡرِككُّمُ/yud'rikkumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//وَ لَوْ/وَلَوۡ/walaw//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْ/فِي/fi//بُرُوْجٍ/بُرُوجٖ/burujin//مُّشَیَّدَةٍ ؕ/مُّشَيَّدَةٖۗ/mushayyadatin//وَ اِنْ/وَإِن/wa-in//تُصِبْهُمْ/تُصِبۡهُمۡ/tusib'hum//حَسَنَةٌ/حَسَنَةٞ/hasanatun//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//هٰذِهٖ/هَٰذِهِۦ/hadhihi//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ اِنْ/وَإِن/wa-in//تُصِبْهُمْ/تُصِبۡهُمۡ/tusib'hum//سَیِّئَةٌ/سَيِّئَةٞ/sayyi-atun//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//هٰذِهٖ/هَٰذِهِۦ/hadhihi//مِنْ/مِنۡ/min//عِنْدِكَ ؕ/عِندِكَۚ/indika//قُلْ/قُلۡ/qul//كُلٌّ/كُلّٞ/kullun//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//فَمَالِ/فَمَالِ/famali//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//لَا/لَا/la//یَكَادُوْنَ/يَكَادُونَ/yakaduna//یَفْقَهُوْنَ/يَفۡقَهُونَ/yafqahuna//حَدِیْثًا /حَدِيثٗا/hadithan",
              "words_bangla": "যেখানেই//তোমরা থাক//তোমাদের নাগাল পাবে//মৃত্যু//এবং যদিও//তোমরা হও//মধ্যে//কেল্লার//সুদৃঢ় (তবুও)//এবং যদি//তাদের পৌঁছে//কোন কল্যাণ//তারা বলে//''এটা (এসেছে)//হতে//নিকট//আল্লাহর''//আর যদি//তাদের পৌঁছে//কোন অকল্যাণ//তারা বলে//''এটা (এসেছে)//হতে//তোমার নিকট''//বল//''সব কিছুই (আসে)//হতে''//নিকট''//আল্লাহর''//অতঃপর কি হল//এসব//লোকদের//না//একেবারেই//তারা বুঝে//কোন কথা"
            },
            {
              "number": 572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/572.mp3"
              ],
              "text": "مَّآ أَصَابَكَ مِنْ حَسَنَةٍۢ فَمِنَ ٱللَّهِ ۖ وَمَآ أَصَابَكَ مِن سَيِّئَةٍۢ فَمِن نَّفْسِكَ ۚ وَأَرْسَلْنَٰكَ لِلنَّاسِ رَسُولًۭا ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًۭا",
              "translate_bn": "আপনার যে কল্যাণ হয়, তা হয় আল্লাহর পক্ষ থেকে আর আপনার যে অকল্যাণ হয়, সেটা হয় আপনার নিজের কারণে। আর আমি আপনাকে পাঠিয়েছি মানুষের প্রতি আমার পয়গামের বাহক হিসাবে। আর আল্লাহ সব বিষয়েই যথেষ্ট-সববিষয়ই তাঁর সম্মুখে উপস্থিত।",
              "numberInSurah": 79,
              "juz": 5,
              "manzil": 1,
              "page": 90,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "মাআসা-বাকা মিন হাছানাতিন ফামিনাল্লা-হি ওয়ামাআসা-বাকা মিন ছাইয়িআতিন ফামিন নাফছিকা ওয়া আরছালনা-কা লিন্না-ছি রাছূলাওঁ ওয়া কাফা-বিলা-হি শাহীদা-।",
              "words_arabic": "مَاۤ/مَّآ/ma//اَصَابَكَ/أَصَابَكَ/asabaka//مِنْ/مِنۡ/min//حَسَنَةٍ/حَسَنَةٖ/hasanatin//فَمِنَ/فَمِنَ/famina//اللّٰهِ ؗ/ٱللَّهِۖ/al-lahi//وَ مَاۤ/وَمَآ/wama//اَصَابَكَ/أَصَابَكَ/asabaka//مِنْ/مِن/min//سَیِّئَةٍ/سَيِّئَةٖ/sayyi-atin//فَمِنْ/فَمِن/famin//نَّفْسِكَ ؕ/نَّفۡسِكَۚ/nafsika//وَ اَرْسَلْنٰكَ/وَأَرۡسَلۡنَٰكَ/wa-arsalnaka//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//رَسُوْلًا ؕ/رَسُولٗاۚ/rasulan//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًا /شَهِيدٗا/shahidan",
              "words_bangla": "(হে মানুষ) যা//তোমার কাছে পৌঁছে//(থেকে)//কল্যাণ//তা (আসে) হতে//আল্লাহ//এবং যা//তোমার কাছে পৌঁছে//(থেকে)//অকল্যাণ//তা (আসে) হতে//তোমার নিজের//এবং (হে নবী) তোমাকে আমরা পাঠিয়েছি//মানুষের জন্য//রাসূল (হিসেবে)//এবং যথেষ্ট//আল্লাহই//সাক্ষী (এর) হিসেবে"
            },
            {
              "number": 573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/573.mp3"
              ],
              "text": "مَّن يُطِعِ ٱلرَّسُولَ فَقَدْ أَطَاعَ ٱللَّهَ ۖ وَمَن تَوَلَّىٰ فَمَآ أَرْسَلْنَٰكَ عَلَيْهِمْ حَفِيظًۭا",
              "translate_bn": "যে লোক রসূলের হুকুম মান্য করবে সে আল্লাহরই হুকুম মান্য করল। আর যে লোক বিমুখতা অবলম্বন করল, আমি আপনাকে (হে মুহাম্মদ), তাদের জন্য রক্ষণাবেক্ষণকারী নিযুক্ত করে পাঠাইনি।",
              "numberInSurah": 80,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইউতি‘ইর রাছূলা ফাকাদ আতা‘আল্লা-হা ওয়ামান তাওয়াল্লা-ফামাআরছালনা-কা ‘আলাইহিম হাফীজা-।",
              "words_arabic": "مَنْ/مَّن/man//یُّطِعِ/يُطِعِ/yuti'i//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//فَقَدْ/فَقَدۡ/faqad//اَطَاعَ/أَطَاعَ/ata'a//اللّٰهَ ۚ/ٱللَّهَۖ/al-laha//وَ مَنْ/وَمَن/waman//تَوَلّٰی/تَوَلَّىٰ/tawalla//فَمَاۤ/فَمَآ/fama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَفِیْظًاؕ/حَفِيظٗا/hafizan",
              "words_bangla": "যে//আনুগত্য করে//রাসূলের//তবে নিশ্চয়//সে আনুগত্য করল//আল্লাহর//এবং যে//মুখ ফিরাল (তাতে দুঃখ নেই)//কারণ না//তোমাকে আমরা পাঠিয়েছি//তাদের উপর//পাহারাদার হিসেবে"
            },
            {
              "number": 574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/574.mp3"
              ],
              "text": "وَيَقُولُونَ طَاعَةٌۭ فَإِذَا بَرَزُوا۟ مِنْ عِندِكَ بَيَّتَ طَآئِفَةٌۭ مِّنْهُمْ غَيْرَ ٱلَّذِى تَقُولُ ۖ وَٱللَّهُ يَكْتُبُ مَا يُبَيِّتُونَ ۖ فَأَعْرِضْ عَنْهُمْ وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا",
              "translate_bn": "আর তারা বলে, আপনার আনুগত্য করি। অতঃপর আপনার নিকট থেকে বেরিয়ে গেলেই তাদের মধ্য থেকে কেউ কেউ পরামর্শ করে রাতের বেলায় সে কথার পরিপন্থী যা তারা আপনার সাথে বলেছিল। আর আল্লাহ লিখে নেন, সে সব পরামর্শ যা তারা করে থাকে। সুতরাং আপনি তাদের ব্যাপারে নিস্পৃহতা অবলম্বন করুন এবং ভরসা করুন আল্লাহর উপর, আল্লাহ হলেন যথেষ্ট ও কার্যসম্পাদনকারী।",
              "numberInSurah": 81,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা তা-‘আতুন ফাইযা-বারাঝুমিন ‘ইনদিকা বাইইয়াতা তাইফাতুম মিনহুম গাইরাল্লাযী তাকূলু ওয়াল্লা-হু ইয়াকতুবুমা-ইউবাইয়িতূনা ফাআ‘রিদ ‘আনহুম ওয়াতাওয়াক্কাল ‘আল্লাল্লা-হি ওয়া কাফা-বিল্লা-হি ওয়াকীলা-।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//طَاعَةٌ ؗ/طَاعَةٞ/ta'atun//فَاِذَا/فَإِذَا/fa-idha//بَرَزُوْا/بَرَزُواْ/barazu//مِنْ/مِنۡ/min//عِنْدِكَ/عِندِكَ/indika//بَیَّتَ/بَيَّتَ/bayyata//طَآىِٕفَةٌ/طَآئِفَةٞ/taifatun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//غَیْرَ/غَيۡرَ/ghayra//الَّذِیْ/ٱلَّذِي/alladhi//تَقُوْلُ ؕ/تَقُولُۖ/taqulu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَكْتُبُ/يَكۡتُبُ/yaktubu//مَا/مَا/ma//یُبَیِّتُوْنَ ۚ/يُبَيِّتُونَۖ/yubayyituna//فَاَعْرِضْ/فَأَعۡرِضۡ/fa-a'rid//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَكِیْلًا /وَكِيلًا/wakilan",
              "words_bangla": "এবং তারা বলে//''আনুগত্য (করি আমরা)''//অতঃপর যখন//তারা বের হয়//হতে//তোমার নিকট//রাত্রে পরামর্শ করে//এক দল//তাদের মধ্য হতে//(তার) বিপরীত//যা//তুমি বল//এবং আল্লাহ//লিখছেন//যা//শলা পরামর্শ করে তারা//অতএব উপেক্ষা কর//তাদেরকে//ও ভরসা কর তুমি//উপর//আল্লাহর//এবং যথেষ্ট//আল্লাহই//ভরসার স্থল হিসেবে"
            },
            {
              "number": 575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/575.mp3"
              ],
              "text": "أَفَلَا يَتَدَبَّرُونَ ٱلْقُرْءَانَ ۚ وَلَوْ كَانَ مِنْ عِندِ غَيْرِ ٱللَّهِ لَوَجَدُوا۟ فِيهِ ٱخْتِلَٰفًۭا كَثِيرًۭا",
              "translate_bn": "এরা কি লক্ষ্য করে না কোরআনের প্রতি? পক্ষান্তরে এটা যদি আল্লাহ ব্যতীত অপর কারও পক্ষ থেকে হত, তবে এতো অবশ্যই বহু বৈপরিত্য দেখতে পেত।",
              "numberInSurah": 82,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়াতাদাব্বারূনাল কুরআ-না ওয়া লাও কা-না মিন ‘ইনদি গাইরিল্লা-হি লাওয়াজাদূফীহিখতিলা-ফান কাছীরা-।",
              "words_arabic": "اَفَلَا/أَفَلَا/afala//یَتَدَبَّرُوْنَ/يَتَدَبَّرُونَ/yatadabbaruna//الْقُرْاٰنَ ؕ/ٱلۡقُرۡءَانَۚ/al-qur'ana//وَ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//غَیْرِ/غَيۡرِ/ghayri//اللّٰهِ/ٱللَّهِ/al-lahi//لَوَجَدُوْا/لَوَجَدُواْ/lawajadu//فِیْهِ/فِيهِ/fihi//اخْتِلَافًا/ٱخۡتِلَٰفٗا/ikh'tilafan//كَثِیْرًا /كَثِيرٗا/kathiran",
              "words_bangla": "অতঃপর কি না//তারা চিন্তা-ভাবনা করে//কুরআন (সম্পর্কে)//এবং যদি//হতো//থেকে//নিকট (অন্য কারো)//ব্যতীত//আল্লাহ//তারা পেত অবশ্যই//তার মধ্যে//অসঙ্গতি//বহু"
            },
            {
              "number": 576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/576.mp3"
              ],
              "text": "وَإِذَا جَآءَهُمْ أَمْرٌۭ مِّنَ ٱلْأَمْنِ أَوِ ٱلْخَوْفِ أَذَاعُوا۟ بِهِۦ ۖ وَلَوْ رَدُّوهُ إِلَى ٱلرَّسُولِ وَإِلَىٰٓ أُو۟لِى ٱلْأَمْرِ مِنْهُمْ لَعَلِمَهُ ٱلَّذِينَ يَسْتَنۢبِطُونَهُۥ مِنْهُمْ ۗ وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ لَٱتَّبَعْتُمُ ٱلشَّيْطَٰنَ إِلَّا قَلِيلًۭا",
              "translate_bn": "আর যখন তাদের কছে পৌঁছে কোন সংবাদ শান্তি-সংক্রান্ত কিংবা ভয়ের, তখন তারা সেগুলোকে রটিয়ে দেয়। আর যদি সেগুলো পৌঁছে দিত রসূল পর্যন্ত কিংবা তাদের শাসকদের পর্যন্ত, তখন অনুসন্ধান করে দেখা যেত সেসব বিষয়, যা তাতে রয়েছে অনুসন্ধান করার মত। বস্তুতঃ আল্লাহর অনুগ্রহ ও করুণা যদি তোমাদের উপর বিদ্যমান না থাকত তবে তোমাদের অল্প কতিপয় লোক ব্যতীত সবাই শয়তানের অনুসরণ করতে শুরু করত!",
              "numberInSurah": 83,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-জাআহুম আমরুম মিনাল আমনি আবিলখাওফি আযা-‘ঊ বিহী ওয়া লাও রাদ্দূহু ইলার রাছূলি ওয়া ইলাঊলিল আমরি মিনহুম লা‘আলিমাহুল্লাযীনা ইয়াছতামবিতূনাহু মিনহুম ওয়া লাওলা-ফাদলুল্লা-হি ‘আল্লাইকুম ওয়া রাহমাতুহু লাত্তাবা‘তুমশশাইতা-না ইলা-কালীলা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//جَآءَهُمْ/جَآءَهُمۡ/jaahum//اَمْرٌ/أَمۡرٞ/amrun//مِّنَ/مِّنَ/mina//الْاَمْنِ/ٱلۡأَمۡنِ/al-amni//اَوِ/أَوِ/awi//الْخَوْفِ/ٱلۡخَوۡفِ/al-khawfi//اَذَاعُوْا/أَذَاعُواْ/adha'u//بِهٖ ؕ/بِهِۦۖ/bihi//وَ لَوْ/وَلَوۡ/walaw//رَدُّوْهُ/رَدُّوهُ/radduhu//اِلَی/إِلَى/ila//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//وَ اِلٰۤی/وَإِلَىٰٓ/wa-ila//اُولِی/أُوْلِي/uli//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//مِنْهُمْ/مِنۡهُمۡ/min'hum//لَعَلِمَهُ/لَعَلِمَهُ/la'alimahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَنْۢبِطُوْنَهٗ/يَسۡتَنۢبِطُونَهُۥ/yastanbitunahu//مِنْهُمْ ؕ/مِنۡهُمۡۗ/min'hum//وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//لَاتَّبَعْتُمُ/لَٱتَّبَعۡتُمُ/la-ittaba'tumu//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "এবং যখন//কাছে আসে তাদের//কোন বিষয় (সংবাদ)//(থেকে)//শান্তির//বা//ভয়ের//তারা প্রচার করে//তা সম্পর্কে//কিন্তু যদি//তা পৌঁছে দিত//কাছে//রাসূলের//ও কাছে//(প্রথম)//দায়িত্বশীলদের//তাদের মধ্যকার//তা অবশ্যই জেনে নিত//যারা//তার তথ্যানুসন্ধান করে//তাদের মধ্য হতে//এবং যদি না (থাকত)//অনুগ্রহ//আল্লাহর//তোমাদের উপর//ও তাঁর রহমত (তবে এ সব কারণে)//তোমরা অনুসরণ করতেই//শয়তানের//এ ব্যতীত//অল্প সংখ্যক"
            },
            {
              "number": 577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/577.mp3"
              ],
              "text": "فَقَٰتِلْ فِى سَبِيلِ ٱللَّهِ لَا تُكَلَّفُ إِلَّا نَفْسَكَ ۚ وَحَرِّضِ ٱلْمُؤْمِنِينَ ۖ عَسَى ٱللَّهُ أَن يَكُفَّ بَأْسَ ٱلَّذِينَ كَفَرُوا۟ ۚ وَٱللَّهُ أَشَدُّ بَأْسًۭا وَأَشَدُّ تَنكِيلًۭا",
              "translate_bn": "আল্লাহর রাহে যুদ্ধ করতে থাকুন, আপনি নিজের সত্তা ব্যতীত অন্য কোন বিষয়ের যিম্মাদার নন! আর আপনি মুসলমানদেরকে উৎসাহিত করতে থাকুন। শীঘ্রই আল্লাহ কাফেরদের শক্তি-সামর্থ খর্ব করে দেবেন। আর আল্লাহ শক্তি-সামর্থের দিক দিয়ে অত্যন্ত কঠোর এবং কঠিন শাস্তিদাতা।",
              "numberInSurah": 84,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ফাকা-তিল ফী ছাবীলিল্লা-হি লা-তুকাল্লাফুইলা-নাফছাকা ওয়াহাররিদিল মু’মিনীনা ‘আছাল্লা-হু আইঁ ইয়াকুফফা বা’ছাল্লাযীনা কাফারূ ওয়াল্লা-হু আশাদ্দুবা’ছাও ওয়া আশাদ্দুতানকীলা-।\r\n",
              "words_arabic": "فَقَاتِلْ/فَقَٰتِلۡ/faqatil//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//لَا/لَا/la//تُكَلَّفُ/تُكَلَّفُ/tukallafu//اِلَّا/إِلَّا/illa//نَفْسَكَ/نَفۡسَكَۚ/nafsaka//وَ حَرِّضِ/وَحَرِّضِ/waharridi//الْمُؤْمِنِیْنَ ۚ/ٱلۡمُؤۡمِنِينَۖ/al-mu'minina//عَسَی/عَسَى/asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّكُفَّ/يَكُفَّ/yakuffa//بَاْسَ/بَأۡسَ/basa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۚ/kafaru//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَشَدُّ/أَشَدُّ/ashaddu//بَاْسًا/بَأۡسٗا/basan//وَّ اَشَدُّ/وَأَشَدُّ/wa-ashaddu//تَنْكِیْلًا /تَنكِيلٗا/tankilan",
              "words_bangla": "লড়াই কর অতএব//(মধ্যে)//পথে//আল্লাহর//না//দায়ী করা হবে//এছাড়া//তোমার নিজেকে//ও উদ্বুদ্ধ কর (যুদ্ধে)//মু’মিনদেরকে//হয়ত//আল্লাহ//(যে)//খর্ব করবেন//শক্তি (ঐসব লোকদের)//যারা//কুফুরী করেছে//এবং আল্লাহ//প্রবলতর//শক্তিতে//ও কঠোরতর//শাস্তি দানে"
            },
            {
              "number": 578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/578.mp3"
              ],
              "text": "مَّن يَشْفَعْ شَفَٰعَةً حَسَنَةًۭ يَكُن لَّهُۥ نَصِيبٌۭ مِّنْهَا ۖ وَمَن يَشْفَعْ شَفَٰعَةًۭ سَيِّئَةًۭ يَكُن لَّهُۥ كِفْلٌۭ مِّنْهَا ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ مُّقِيتًۭا",
              "translate_bn": "যে লোক সৎকাজের জন্য কোন সুপারিশ করবে, তা থেকে সেও একটি অংশ পাবে। আর যে লোক সুপারিশ করবে মন্দ কাজের জন্যে সে তার বোঝারও একটি অংশ পাবে। বস্তুতঃ আল্লাহ সর্ব বিষয়ে ক্ষমতাশীল।",
              "numberInSurah": 85,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইয়াশফা‘ শাফা-‘আতান হাছানাতাইঁ ইয়াকুল্লাহূনাসীবুম মিনহা- ওয়া মাই ইয়াশফা‘ শাফা-আতান ছাইয়িআতাই ইয়াকুল্লাহু কিফলুম মিনহা- ওয়া কা-নাল্লা-হু ‘আলা-কুল্লি শাইইম মুকীতা-।",
              "words_arabic": "مَنْ/مَّن/man//یَّشْفَعْ/يَشۡفَعۡ/yashfa'//شَفَاعَةً/شَفَٰعَةً/shafa'atan//حَسَنَةً/حَسَنَةٗ/hasanatan//یَّكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//نَصِیْبٌ/نَصِيبٞ/nasibun//مِّنْهَا ۚ/مِّنۡهَاۖ/min'ha//وَ مَنْ/وَمَن/waman//یَّشْفَعْ/يَشۡفَعۡ/yashfa'//شَفَاعَةً/شَفَٰعَةٗ/shafa'atan//سَیِّئَةً/سَيِّئَةٗ/sayyi-atan//یَّكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//كِفْلٌ/كِفۡلٞ/kif'lun//مِّنْهَا ؕ/مِّنۡهَاۗ/min'ha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//مُّقِیْتًا /مُّقِيتٗا/muqitan",
              "words_bangla": "যে//সুপারিশ করবে//কোন সুপারিশ//উত্তম (কাজের)//থাকবে//তার জন্য//একটি অংশ//তা থেকে//ও যে//সুপারিশ করবে//কোন সুপারিশ//মন্দ (কাজের)//থাকবে//তার জন্য//একটি অংশ//তা থেকে//এবং আছেন//আল্লাহ//উপর//সব//কিছুরই//দৃষ্টিমান"
            },
            {
              "number": 579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/579.mp3"
              ],
              "text": "وَإِذَا حُيِّيتُم بِتَحِيَّةٍۢ فَحَيُّوا۟ بِأَحْسَنَ مِنْهَآ أَوْ رُدُّوهَآ ۗ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍ حَسِيبًا",
              "translate_bn": "আর তোমাদেরকে যদি কেউ দোয়া করে, তাহলে তোমরাও তার জন্য দোয়া কর; তারচেয়ে উত্তম দোয়া অথবা তারই মত ফিরিয়ে বল। নিশ্চয়ই আল্লাহ সর্ব বিষয়ে হিসাব-নিকাশ গ্রহণকারী।",
              "numberInSurah": 86,
              "juz": 5,
              "manzil": 1,
              "page": 91,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-হুইয়ীতুম বিতাহিইইয়াতিন ফাহাইয়ূবিআহছানা মিনহা-আও রুদ্দূহা- ইন্নাল্লা-হা কা-না ‘আলা-কুল্লি শাইইন হাছীবা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//حُیِّیْتُمْ/حُيِّيتُم/huyyitum//بِتَحِیَّةٍ/بِتَحِيَّةٖ/bitahiyyatin//فَحَیُّوْا/فَحَيُّواْ/fahayyu//بِاَحْسَنَ/بِأَحۡسَنَ/bi-ahsana//مِنْهَاۤ/مِنۡهَآ/min'ha//اَوْ/أَوۡ/aw//رُدُّوْهَا ؕ/رُدُّوهَآۗ/rudduha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٍ/shayin//حَسِیْبًا /حَسِيبًا/hasiban",
              "words_bangla": "এবং যখন//তোমাদেরকে সালাম করা হয়//সম্মান সহকারে//তোমরাও তখন সালাম দাও//উত্তমভাবে//তার চেয়েও//বা//তার জওয়াব দাও (অনুরূপ ভাবে)//নিশ্চয়ই//আল্লাহ//আছেন//উপর//সব//কিছুর//হিসাবগ্রহণকারী"
            },
            {
              "number": 580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/580.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ۚ لَيَجْمَعَنَّكُمْ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ لَا رَيْبَ فِيهِ ۗ وَمَنْ أَصْدَقُ مِنَ ٱللَّهِ حَدِيثًۭا",
              "translate_bn": "আল্লাহ ব্যতীত আর কোনোই উপাস্য নেই। অবশ্যই তিনি তোমাদেরকে সমবেত করবেন কেয়ামতের দিন, এতে বিন্দুমাত্র সন্দেহ নেই। তাছাড়া আল্লাহর চাইতে বেশী সত্য কথা আর কার হবে!",
              "numberInSurah": 87,
              "juz": 5,
              "manzil": 1,
              "page": 92,
              "ruku": 72,
              "hizbQuarter": 36,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লাইলা-হা ইলা-হুওয়া লাইয়াজমা‘আন্নাকুম ইলা-ইয়াওমিল কিয়া-মাতি লারাইবা ফীহি ওয়া মান আসদাকুমিনাল্লা-হি হাদীছা-।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//لَیَجْمَعَنَّكُمْ/لَيَجۡمَعَنَّكُمۡ/layajma'annakum//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ؕ/فِيهِۗ/fihi//وَ مَنْ/وَمَنۡ/waman//اَصْدَقُ/أَصۡدَقُ/asdaqu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//حَدِیْثًا۠/حَدِيثٗا/hadithan",
              "words_bangla": "আল্লাহ (এমন সত্তা যে)//নাই//কোন ইলাহ//ছাড়া//তিনি//তোমাদের একত্রিত করবেনই//(থেকে)//দিনে//কিয়ামাতের//নাই//কোন সন্দেহ (বিন্দুমাত্র)//তারে মধ্যে//এবং কে//অধিক সত্য//চেয়ে//আল্লাহর//কথায়"
            },
            {
              "number": 581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/581.mp3"
              ],
              "text": "۞ فَمَا لَكُمْ فِى ٱلْمُنَٰفِقِينَ فِئَتَيْنِ وَٱللَّهُ أَرْكَسَهُم بِمَا كَسَبُوٓا۟ ۚ أَتُرِيدُونَ أَن تَهْدُوا۟ مَنْ أَضَلَّ ٱللَّهُ ۖ وَمَن يُضْلِلِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ سَبِيلًۭا",
              "translate_bn": "অতঃপর তোমাদের কি হল যে, মুনাফিকদের সম্পর্কে তোমরা দু’দল হয়ে গেলে? অথচ আল্লাহ তা’আলা তাদেরকে ঘুরিয়ে দিয়েছেন তাদের মন্দ কাজের কারনে! তোমরা কি তাদেরকে পথ প্রদর্শন করতে চাও, যাদেরকে আল্লাহ পথভ্রষ্ট করেছেন? আল্লাহ যাকে পথভ্রান্ত করেন, তুমি তার জন্য কোন পথ পাবে না।",
              "numberInSurah": 88,
              "juz": 5,
              "manzil": 1,
              "page": 92,
              "ruku": 73,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ফামা-লাকুম ফিল মুনা-ফিকীনা ফিআতাইনি ওয়াল্লা-হু আরকাছা-হুম বিমা-কাছাবূ আতুরীদূ না আন তাহদূমান আদাল্লাল্লা-হু ওয়া মাইঁ ইউদলিলিল্লা-হু ফালান তাজিদালাহূছাবীলা-।",
              "words_arabic": "فَمَا/۞فَمَا/fama//لَكُمْ/لَكُمۡ/lakum//فِی/فِي/fi//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//فِئَتَیْنِ/فِئَتَيۡنِ/fi-atayni//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَرْكَسَهُمْ/أَرۡكَسَهُم/arkasahum//بِمَا/بِمَا/bima//كَسَبُوْا ؕ/كَسَبُوٓاْۚ/kasabu//اَتُرِیْدُوْنَ/أَتُرِيدُونَ/aturiduna//اَنْ/أَن/an//تَهْدُوْا/تَهۡدُواْ/tahdu//مَنْ/مَنۡ/man//اَضَلَّ/أَضَلَّ/adalla//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لَهٗ/لَهُۥ/lahu//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "অতঃপর কি হয়েছে//তোমাদের//(মধ্যে)//মুনাফিকদের//(তোমরা) দুই মতের অধিকারী//অথচ আল্লাহই//তাদের ঘুরিয়ে দিয়েছেন//এ কারণে যা//তারা অর্জন করেছে//কি তোমরা চাও//যে//তোমরা হিদায়াত দিবে//যাকে//পথভ্রষ্ট করেছেন//আল্লাহ//অথচ যাকে//পথভ্রষ্ট করেন//আল্লাহ//কক্ষনো না তখন//পাবে তুমি//তার জন্য//কোন পথ"
            },
            {
              "number": 582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/582.mp3"
              ],
              "text": "وَدُّوا۟ لَوْ تَكْفُرُونَ كَمَا كَفَرُوا۟ فَتَكُونُونَ سَوَآءًۭ ۖ فَلَا تَتَّخِذُوا۟ مِنْهُمْ أَوْلِيَآءَ حَتَّىٰ يُهَاجِرُوا۟ فِى سَبِيلِ ٱللَّهِ ۚ فَإِن تَوَلَّوْا۟ فَخُذُوهُمْ وَٱقْتُلُوهُمْ حَيْثُ وَجَدتُّمُوهُمْ ۖ وَلَا تَتَّخِذُوا۟ مِنْهُمْ وَلِيًّۭا وَلَا نَصِيرًا",
              "translate_bn": "তারা চায় যে, তারা যেমন কাফের, তোমরাও তেমনি কাফের হয়ে যাও, যাতে তোমরা এবং তারা সব সমান হয়ে যাও। অতএব, তাদের মধ্যে কাউকে বন্ধুরূপে গ্রহণ করো না, যে পর্যন্ত না তারা আল্লাহর পথে হিজরত করে চলে আসে। অতঃপর যদি তারা বিমুখ হয়, তবে তাদেরকে পাকড়াও কর এবং যেখানে পাও হত্যা কর। তাদের মধ্যে কাউকে বন্ধুরূপে গ্রহণ করো না এবং সাহায্যকারী বানিও না।",
              "numberInSurah": 89,
              "juz": 5,
              "manzil": 1,
              "page": 92,
              "ruku": 73,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ওয়াদ্দূ লাও তাকফুরূনা কামা-কাফারূ ফাতাকূনূনা ছাওয়াআন ফাল্লা-তাত্তাখিযূমিনহুম আওলিয়াআ হাত্তা-ইউহা-জিরূ ফী ছাবীলিল্লা-হি ফাইন তাওয়ালাও ফাখুযূহুম ওয়াকতুলূহুম হাইছুওয়াজাততুমূহুম ওয়ালা-তাত্তাখিযূমিনহুম ওয়ালিইইয়াওঁ ওয়ালানাসীরা-।",
              "words_arabic": "وَدُّوْا/وَدُّواْ/waddu//لَوْ/لَوۡ/law//تَكْفُرُوْنَ/تَكۡفُرُونَ/takfuruna//كَمَا/كَمَا/kama//كَفَرُوْا/كَفَرُواْ/kafaru//فَتَكُوْنُوْنَ/فَتَكُونُونَ/fatakununa//سَوَآءً/سَوَآءٗۖ/sawaan//فَلَا/فَلَا/fala//تَتَّخِذُوْا/تَتَّخِذُواْ/tattakhidhu//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//حَتّٰی/حَتَّىٰ/hatta//یُهَاجِرُوْا/يُهَاجِرُواْ/yuhajiru//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَخُذُوْهُمْ/فَخُذُوهُمۡ/fakhudhuhum//وَ اقْتُلُوْهُمْ/وَٱقۡتُلُوهُمۡ/wa-uq'tuluhum//حَیْثُ/حَيۡثُ/haythu//وَجَدْتُّمُوْهُمْ ۪/وَجَدتُّمُوهُمۡۖ/wajadttumuhum//وَ لَا/وَلَا/wala//تَتَّخِذُوْا/تَتَّخِذُواْ/tattakhidhu//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًاۙ/نَصِيرًا/nasiran",
              "words_bangla": "তারা কামনা করে//যদি//তোমরা কাফির হয়ে যাও//যেমন//তারা কাফির হয়েছে//তবে তোমরা হয়ে যাবে//(তাদের সাথে) সমান//না সুতরাং//তোমরা গ্রহণ করো//তাদেরকে//বন্ধুরূপে//যতক্ষণ না//তারা হিজরত করে//(মধ্যে)//পথে//আল্লাহর//অতঃপর যদি//তারা মুখ ফিরায়//তবে তাদের তোমরা ধর//ও তাদেরকে হত্যা কর//যেখানে//তাদের তোমরা পাও//এবং না//তোমরা গ্রহণ করো (কাউকে)//তাদের মধ্য হতে//বন্ধুরূপে//আর না//সাহায্যকারীরূপে"
            },
            {
              "number": 583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/583.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ يَصِلُونَ إِلَىٰ قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَٰقٌ أَوْ جَآءُوكُمْ حَصِرَتْ صُدُورُهُمْ أَن يُقَٰتِلُوكُمْ أَوْ يُقَٰتِلُوا۟ قَوْمَهُمْ ۚ وَلَوْ شَآءَ ٱللَّهُ لَسَلَّطَهُمْ عَلَيْكُمْ فَلَقَٰتَلُوكُمْ ۚ فَإِنِ ٱعْتَزَلُوكُمْ فَلَمْ يُقَٰتِلُوكُمْ وَأَلْقَوْا۟ إِلَيْكُمُ ٱلسَّلَمَ فَمَا جَعَلَ ٱللَّهُ لَكُمْ عَلَيْهِمْ سَبِيلًۭا",
              "translate_bn": "কিন্তু যারা এমন সম্প্রদায়ের সাথে মিলিত হয় যে, তোমাদের মধ্যে ও তাদের মধ্যে চুক্তি আছে অথবা তোমাদের কাছে এভাবে আসে যে, তাদের অন্তর তোমাদের সাথে এবং স্বজাতির সাথেও যুদ্ধ করতে অনিচ্ছুক। যদি আল্লাহ ইচ্ছে করতেন, তবে তোমাদের উপর তাদেরকে প্রবল করে দিতেন। ফলে তারা অবশ্যই তোমাদের সাথে যুদ্ধ করত। অতঃপর যদি তারা তোমাদের থেকে পৃথক থাকে তোমাদের সাথে যুদ্ধ না করে এবং তোমাদের সাথে সন্ধি করে, তবে আল্লাহ তোমাদের কে তাদের বিরুদ্ধে কোন পথ দেননি।",
              "numberInSurah": 90,
              "juz": 5,
              "manzil": 1,
              "page": 92,
              "ruku": 73,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা ইয়াসিলূনা ইলা-কাওমিম বাইনাকুম ওয়া বাইনাহুম মীছা-কুন আও জাউকুম হাছিরাত সুদূ রুহুম আইঁ ইউকা-তিলূকুম আওঁইউকা-তিলূকাওমাহুম ওয়ালাও শাআল্লা-হু লাছাল্লাতাহুম ‘আল্লাইকুম ফালাকা-তালূকুম ফাইনি‘তাঝালূকুম ফালাম ইউকা-তিলূকুম ওয়া আলকাও ইলাইকুমছ ছালামা ফামা-জা‘আলাল্লা-হু লাকুম ‘আললইহিম ছাবীলা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَصِلُوْنَ/يَصِلُونَ/yasiluna//اِلٰی/إِلَىٰ/ila//قَوْمٍۭ/قَوۡمِۭ/qawmin//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَهُمْ/وَبَيۡنَهُم/wabaynahum//مِّیْثَاقٌ/مِّيثَٰقٌ/mithaqun//اَوْ/أَوۡ/aw//جَآءُوْكُمْ/جَآءُوكُمۡ/jaukum//حَصِرَتْ/حَصِرَتۡ/hasirat//صُدُوْرُهُمْ/صُدُورُهُمۡ/suduruhum//اَنْ/أَن/an//یُّقَاتِلُوْكُمْ/يُقَٰتِلُوكُمۡ/yuqatilukum//اَوْ/أَوۡ/aw//یُقَاتِلُوْا/يُقَٰتِلُواْ/yuqatilu//قَوْمَهُمْ ؕ/قَوۡمَهُمۡۚ/qawmahum//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَسَلَّطَهُمْ/لَسَلَّطَهُمۡ/lasallatahum//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَلَقٰتَلُوْكُمْ ۚ/فَلَقَٰتَلُوكُمۡۚ/falaqatalukum//فَاِنِ/فَإِنِ/fa-ini//اعْتَزَلُوْكُمْ/ٱعۡتَزَلُوكُمۡ/i'tazalukum//فَلَمْ/فَلَمۡ/falam//یُقَاتِلُوْكُمْ/يُقَٰتِلُوكُمۡ/yuqatilukum//وَ اَلْقَوْا/وَأَلۡقَوۡاْ/wa-alqaw//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//السَّلَمَ ۙ/ٱلسَّلَمَ/al-salama//فَمَا/فَمَا/fama//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "তবে//যারা//মিলিত হয়//সাথে//(এমন কোন) জাতির//তোমাদের মাঝে//ও তাদের মাঝে//চুক্তি (রয়েছে)//অথবা//তোমাদের কাছে আসে (এমন ভাবে যে)//অনিচ্ছুক//তাদের অন্তর//(যে)//তোমাদের বিরুদ্ধে যুদ্ধ করতে//অথবা//যুদ্ধ করতে//তাদের জাতির বিরুদ্ধে (তবে ভিন্ন কথা)//এবং যদি//চাইতেন//আল্লাহ//তাদের চাপিয়ে দিতেনই//তোমাদের উপর//তোমাদের সাথে তখন যুদ্ধ করতই//সুতরাং যদি//তোমাদের থেকে সরে দাড়ায়//অতঃপর না//তোমাদের সাথে যুদ্ধ করে//ও তারা প্রস্তাব করে//তোমাদের কাছে//শান্তির//তবে না//রেখেছেন//আল্লাহ//তোমাদের জন্য//তাদের বিরুদ্ধে//(ব্যবস্থা গ্রহণের) কোন পথ"
            },
            {
              "number": 584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/584.mp3"
              ],
              "text": "سَتَجِدُونَ ءَاخَرِينَ يُرِيدُونَ أَن يَأْمَنُوكُمْ وَيَأْمَنُوا۟ قَوْمَهُمْ كُلَّ مَا رُدُّوٓا۟ إِلَى ٱلْفِتْنَةِ أُرْكِسُوا۟ فِيهَا ۚ فَإِن لَّمْ يَعْتَزِلُوكُمْ وَيُلْقُوٓا۟ إِلَيْكُمُ ٱلسَّلَمَ وَيَكُفُّوٓا۟ أَيْدِيَهُمْ فَخُذُوهُمْ وَٱقْتُلُوهُمْ حَيْثُ ثَقِفْتُمُوهُمْ ۚ وَأُو۟لَٰٓئِكُمْ جَعَلْنَا لَكُمْ عَلَيْهِمْ سُلْطَٰنًۭا مُّبِينًۭا",
              "translate_bn": "এখন তুমি আরও এক সম্প্রদায়কে পাবে। তারা তোমাদের কাছেও স্বজাতির কাছেও এবং নির্বিঘ্ন হয়ে থাকতে চায়। যখন তাদেরকে ফ্যাসাদের প্রতি মনোনিবেশ করানো হয়, তখন তারা তাতে নিপতিত হয়, অতএব তারা যদি তোমাদের থেকে নিবৃত্ত না হয়, তোমাদের সাথে সন্ধি না রাখে এবং স্বীয় হস্তসমূহকে বিরত না রাখে, তবে তোমরা তাদেরকে পাকড়াও কর এবং যেখানে পাও হত্যা কর। আমি তাদের বিরুদ্ধে তোমাদেরকে প্রকাশ্য যুক্তি-প্রমাণ দান করেছি।",
              "numberInSurah": 91,
              "juz": 5,
              "manzil": 1,
              "page": 92,
              "ruku": 73,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ছাতাজিদূ না আ-খারীনা ইউরীদূ না আইঁ ইয়া’মানূকুম ওয়া ইয়া’মানূকাওমাহুম কুল্লামারুদ্দূইলাল ফিতনাতি উরকিছূফীহা- ফাইল্লাম ইয়া‘তাঝিলূকুম ওয়া ইউলকূইলাইকুমুছছালামা ওয়া ইয়াকুফফূআইদিয়াহুম ফাখুযূহুম ওয়াকতুলূহুম হাইছু ছাকিফতুমূহুম ওয়া উলাইকুম জা‘আলনা-লাকুম ‘আলাইহিম ছুলতা-নাম মুবীনা-।",
              "words_arabic": "سَتَجِدُوْنَ/سَتَجِدُونَ/satajiduna//اٰخَرِیْنَ/ءَاخَرِينَ/akharina//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اَنْ/أَن/an//یَّاْمَنُوْكُمْ/يَأۡمَنُوكُمۡ/yamanukum//وَ یَاْمَنُوْا/وَيَأۡمَنُواْ/wayamanu//قَوْمَهُمْ ؕ/قَوۡمَهُمۡ/qawmahum//كُلَّ/كُلَّ/kulla//مَا/مَا/ma//رُدُّوْۤا/رُدُّوٓاْ/ruddu//اِلَی/إِلَى/ila//الْفِتْنَةِ/ٱلۡفِتۡنَةِ/al-fit'nati//اُرْكِسُوْا/أُرۡكِسُواْ/ur'kisu//فِیْهَا ۚ/فِيهَاۚ/fiha//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//یَعْتَزِلُوْكُمْ/يَعۡتَزِلُوكُمۡ/ya'tazilukum//وَ یُلْقُوْۤا/وَيُلۡقُوٓاْ/wayul'qu//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//السَّلَمَ/ٱلسَّلَمَ/al-salama//وَ یَكُفُّوْۤا/وَيَكُفُّوٓاْ/wayakuffu//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//فَخُذُوْهُمْ/فَخُذُوهُمۡ/fakhudhuhum//وَ اقْتُلُوْهُمْ/وَٱقۡتُلُوهُمۡ/wa-uq'tuluhum//حَیْثُ/حَيۡثُ/haythu//ثَقِفْتُمُوْهُمْ ؕ/ثَقِفۡتُمُوهُمۡۚ/thaqif'tumuhum//وَ اُولٰٓىِٕكُمْ/وَأُوْلَـٰٓئِكُمۡ/wa-ulaikum//جَعَلْنَا/جَعَلۡنَا/ja'alna//لَكُمْ/لَكُمۡ/lakum//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//مُّبِیْنًا۠/مُّبِينٗا/mubinan",
              "words_bangla": "তোমরা পাবে শীঘ্রই//অপর কতক (মুনাফিক)//তারা চায়//(যে)//তোমাদের থেকে নিরাপত্তা পেতে//ও নিরাপত্তা পেতে//তাদের জাতি হতেও//যখনই (সুযোগ পায়)//(কি)//তারা ফিরে যায়//দিকে//ফিতনার//তারা ঝাঁপিয়ে পড়ে//তার মধ্যে//অতএব যদি//না//তোমাদেরর থেকে সরে যায়//এবং প্রস্তাব ও (না) দেয়//তোমাদের কাছে//শান্তি চুক্তির//ও তারা বিরত (না) রাখে//তাদের হাতগুলো//তাদেরকে তোমরা তবে ধর//ও তাদের তোমরা হত্যা কর//যেখানেই//তাদের তোমরা পাও//ও ঐসব লোকদের//আমরা দিয়েছি//তোমাদেরকে//তাদের উপর//অধিকার//সুস্পষ্ট"
            },
            {
              "number": 585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/585.mp3"
              ],
              "text": "وَمَا كَانَ لِمُؤْمِنٍ أَن يَقْتُلَ مُؤْمِنًا إِلَّا خَطَـًۭٔا ۚ وَمَن قَتَلَ مُؤْمِنًا خَطَـًۭٔا فَتَحْرِيرُ رَقَبَةٍۢ مُّؤْمِنَةٍۢ وَدِيَةٌۭ مُّسَلَّمَةٌ إِلَىٰٓ أَهْلِهِۦٓ إِلَّآ أَن يَصَّدَّقُوا۟ ۚ فَإِن كَانَ مِن قَوْمٍ عَدُوٍّۢ لَّكُمْ وَهُوَ مُؤْمِنٌۭ فَتَحْرِيرُ رَقَبَةٍۢ مُّؤْمِنَةٍۢ ۖ وَإِن كَانَ مِن قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَٰقٌۭ فَدِيَةٌۭ مُّسَلَّمَةٌ إِلَىٰٓ أَهْلِهِۦ وَتَحْرِيرُ رَقَبَةٍۢ مُّؤْمِنَةٍۢ ۖ فَمَن لَّمْ يَجِدْ فَصِيَامُ شَهْرَيْنِ مُتَتَابِعَيْنِ تَوْبَةًۭ مِّنَ ٱللَّهِ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "মুসলমানের কাজ নয় যে, মুসলমানকে হত্যা করে; কিন্তু ভুলক্রমে। যে ব্যক্তি মুসলমানকে ভূলক্রমে হত্যা করে, সে একজন মুসলমান ক্রীতদাস মুক্ত করবে এবং রক্ত বিনিময় সমর্পন করবে তার স্বজনদেরকে; কিন্তু যদি তারা ক্ষমা করে দেয়। অতঃপর যদি নিহত ব্যক্তি তোমাদের শত্রু সম্প্রদায়ের অন্তর্গত হয়, তবে মুসলমান ক্রীতদাস মুক্ত করবে এবং যদি সে তোমাদের সাথে চুক্তিবদ্ধ কোন সম্প্রদায়ের অন্তর্গত হয়, তবে রক্ত বিনিময় সমর্পণ করবে তার স্বজনদেরকে এবং একজন মুসলমান ক্রীতদাস মুক্ত করবে। অতঃপর যে ব্যক্তি না পায়, সে আল্লাহর কাছ থেকে গোনাহ মাফ করানোর জন্যে উপর্যুপুরি দুই মাস রোযা রাখবে। আল্লাহ, মহাজ্ঞানী, প্রজ্ঞাময়।",
              "numberInSurah": 92,
              "juz": 5,
              "manzil": 1,
              "page": 93,
              "ruku": 74,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লিমু’মিনিন আইঁ ইয়াকতুলা মু’মিনান ইলা-খাতাআওঁ ওয়ামান কাতালা মু’মিনান খাতাআন ফাতাহরীরু রাকাবাতিম মু’মিনাতিওঁ ওয়া দিয়াতুম মুছাল্লামাতুন ইলা আহলিহী ইলাআইঁ ইয়াসসাদ্দাকূ ফাইন কা-না মিন কাওমিন ‘আদুওবিল্লাকুম ওয়া হুওয়া মু’মিনুন ফাতাহরীরু রাকাবাতিম মু’মিনাতিওঁ ওয়া ইন কা-না মিন কাওমিম বাইনাকুম ওয়া বাইনাহুম মীছা-কুন ফাদিয়াতুম মুছাল্লামাতুন ইলাআহলিহী ওয়া তাহরীরু রাকাবাতিম মু’মিনাতিন ফামাল্লাম ইয়াজিদ ফাসিয়া-মুশাহরাইনি মুতাতা-বি‘আইনি তাওবাতাম মিনাল্লাহি ওয়া কা-নাল্লা-হু ‘আলীমান হাকীমা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِمُؤْمِنٍ/لِمُؤۡمِنٍ/limu'minin//اَنْ/أَن/an//یَّقْتُلَ/يَقۡتُلَ/yaqtula//مُؤْمِنًا/مُؤۡمِنًا/mu'minan//اِلَّا/إِلَّا/illa//خَطَـًٔا ۚ/خَطَـٔٗاۚ/khata-an//وَ مَنْ/وَمَن/waman//قَتَلَ/قَتَلَ/qatala//مُؤْمِنًا/مُؤۡمِنًا/mu'minan//خَطَـًٔا/خَطَـٔٗا/khata-an//فَتَحْرِیْرُ/فَتَحۡرِيرُ/fatahriru//رَقَبَةٍ/رَقَبَةٖ/raqabatin//مُّؤْمِنَةٍ/مُّؤۡمِنَةٖ/mu'minatin//وَّ دِیَةٌ/وَدِيَةٞ/wadiyatun//مُّسَلَّمَةٌ/مُّسَلَّمَةٌ/musallamatun//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهٖۤ/أَهۡلِهِۦٓ/ahlihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّصَّدَّقُوْا ؕ/يَصَّدَّقُواْۚ/yassaddaqu//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//مِنْ/مِن/min//قَوْمٍ/قَوۡمٍ/qawmin//عَدُوٍّ/عَدُوّٖ/aduwwin//لَّكُمْ/لَّكُمۡ/lakum//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَتَحْرِیْرُ/فَتَحۡرِيرُ/fatahriru//رَقَبَةٍ/رَقَبَةٖ/raqabatin//مُّؤْمِنَةٍ ؕ/مُّؤۡمِنَةٖۖ/mu'minatin//وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//مِنْ/مِن/min//قَوْمٍۭ/قَوۡمِۭ/qawmin//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَهُمْ/وَبَيۡنَهُم/wabaynahum//مِّیْثَاقٌ/مِّيثَٰقٞ/mithaqun//فَدِیَةٌ/فَدِيَةٞ/fadiyatun//مُّسَلَّمَةٌ/مُّسَلَّمَةٌ/musallamatun//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//وَ تَحْرِیْرُ/وَتَحۡرِيرُ/watahriru//رَقَبَةٍ/رَقَبَةٖ/raqabatin//مُّؤْمِنَةٍ ۚ/مُّؤۡمِنَةٖۖ/mu'minatin//فَمَنْ/فَمَن/faman//لَّمْ/لَّمۡ/lam//یَجِدْ/يَجِدۡ/yajid//فَصِیَامُ/فَصِيَامُ/fasiyamu//شَهْرَیْنِ/شَهۡرَيۡنِ/shahrayni//مُتَتَابِعَیْنِ ؗ/مُتَتَابِعَيۡنِ/mutatabi'ayni//تَوْبَةً/تَوۡبَةٗ/tawbatan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "এবং নয়//কাজ//মু'মিনদের জন্য//যে//সে হত্যা করবে//কোন মু'মিনকে//এছাড়া//ভুলবশত//এবং যে//হত্যা করবে//কোন মু'মিনকে//ভুলবশত//মুক্তিদান তবে (কাফফারা)//(এমন একজন) দাসকে//(যে হবে) মু'মিন//ও রক্ত মূল্য//সমর্পিত হবে//কাছে//তার পরিবারের//তবে//যদি//তারা ক্ষমা করে দেয় (তবে ভিন্ন কথা)//অতঃপর যদি//সে হয়//মধ্য হতে//জাতির//শত্রু//তোমাদের//যখন সে//মু'মিনও//মুক্তি দান তবে (কাফফারা)//(এমন একজন) দাসকে//(যে হবে) মু'মিন//এবং যদি//হয়//মধ্য হতে//জাতির (এমন)//তোমাদের মাঝে//ও তাদের মাঝে//সন্ধি চুক্তি (রয়েছে)//তবে রক্তমূল্য//সমর্পিত হবে//কাছে//তার পরিবারের//ও মুক্তিদান//(এমন একজন) দাসকে//(যে হবে) মু'মিন//তবে যে//না//পায়//রোযা সেক্ষেত্রে রাখবে//দু'মাস//ক্রমাগত//তওবা (করার নীতি)//হতে//আল্লাহ্‌র//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/586.mp3"
              ],
              "text": "وَمَن يَقْتُلْ مُؤْمِنًۭا مُّتَعَمِّدًۭا فَجَزَآؤُهُۥ جَهَنَّمُ خَٰلِدًۭا فِيهَا وَغَضِبَ ٱللَّهُ عَلَيْهِ وَلَعَنَهُۥ وَأَعَدَّ لَهُۥ عَذَابًا عَظِيمًۭا",
              "translate_bn": "যে ব্যক্তি স্বেচ্ছাক্রমে মুসলমানকে হত্যা করে, তার শাস্তি জাহান্নাম, তাতেই সে চিরকাল থাকবে। আল্লাহ তার প্রতি ক্রুদ্ধ হয়েছেন, তাকে অভিসম্পাত করেছেন এবং তার জন্যে ভীষণ শাস্তি প্রস্তুত রেখেছেন।",
              "numberInSurah": 93,
              "juz": 5,
              "manzil": 1,
              "page": 93,
              "ruku": 74,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াকতুলমু’মিনাম মুতা‘আম্মিদান ফাজাঝাউহূজাহান্নামুখা-লিদান ফীহা-ওয়া গাদিবাল্লা-হু ‘আললইহি ওয়া লা‘আনাহু ওয়া আ‘আদ্দাল্লাহু ‘আযা-বান ‘আজীমা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّقْتُلْ/يَقۡتُلۡ/yaqtul//مُؤْمِنًا/مُؤۡمِنٗا/mu'minan//مُّتَعَمِّدًا/مُّتَعَمِّدٗا/muta'ammidan//فَجَزَآؤُهٗ/فَجَزَآؤُهُۥ/fajazauhu//جَهَنَّمُ/جَهَنَّمُ/jahannamu//خٰلِدًا/خَٰلِدٗا/khalidan//فِیْهَا/فِيهَا/fiha//وَ غَضِبَ/وَغَضِبَ/waghadiba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ لَعَنَهٗ/وَلَعَنَهُۥ/wala'anahu//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهٗ/لَهُۥ/lahu//عَذَابًا/عَذَابًا/adhaban//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "এবং যে//হত্যা করবে//মু'মিনকে//ইচ্ছাকৃত//তার শাস্তি (হলো)//জাহান্নাম//সে স্থায়ী হবে//তার মধ্যে//ও ক্রুদ্ধ হয়েছেন//আল্লাহ//তার উপর//তাকে লা'নত করেছেন//ও প্রস্তুত করে রেখেছেন//তার জন্য//শাস্তি//বিরাট"
            },
            {
              "number": 587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/587.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا ضَرَبْتُمْ فِى سَبِيلِ ٱللَّهِ فَتَبَيَّنُوا۟ وَلَا تَقُولُوا۟ لِمَنْ أَلْقَىٰٓ إِلَيْكُمُ ٱلسَّلَٰمَ لَسْتَ مُؤْمِنًۭا تَبْتَغُونَ عَرَضَ ٱلْحَيَوٰةِ ٱلدُّنْيَا فَعِندَ ٱللَّهِ مَغَانِمُ كَثِيرَةٌۭ ۚ كَذَٰلِكَ كُنتُم مِّن قَبْلُ فَمَنَّ ٱللَّهُ عَلَيْكُمْ فَتَبَيَّنُوٓا۟ ۚ إِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًۭا",
              "translate_bn": "হে ঈমানদারগণ! তোমরা যখন আল্লাহর পথে সফর কর, তখন যাচাই করে নিও এবং যে, তোমাদেরকে সালাম করে তাকে বলো না যে, তুমি মুসলমান নও। তোমরা পার্থিব জীবনের সম্পদ অন্বেষণ কর, বস্তুতঃ আল্লাহর কাছে অনেক সম্পদ রয়েছে। তোমরা ও তো এমনি ছিলে ইতিপূর্বে; অতঃপর আল্লাহ তোমাদের প্রতি অনুগ্রহ করেছেন। অতএব, এখন অনুসন্ধান করে নিও। নিশ্চয় আল্লাহ তোমাদের কাজ কর্মের খবর রাখেন।",
              "numberInSurah": 94,
              "juz": 5,
              "manzil": 1,
              "page": 93,
              "ruku": 74,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূইযা-দারাবতুম ফীছাবীলিল্লা-হি ফাতাবাইইয়ানূওয়ালাতাকূলূলিমান আলকাইলাইকুমছ ছালা-মা লাছতা মু’মিনান তাবতাগূনা ‘আরাদাল হায়া-তিদ্দুনইয়া- ফা‘ইনদাল্লা-হি মাগা-নিমুকাছীরাতুন কাযা-লিকা কুনতুম মিন কাবলুফামান্নাল্লা-হু ‘আল্লাইকুম ফাতাবাইইয়ানূ ইন্নাল্লা-হা কা-না বিমা-তা‘মালূনা খাবীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//ضَرَبْتُمْ/ضَرَبۡتُمۡ/darabtum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//فَتَبَیَّنُوْا/فَتَبَيَّنُواْ/fatabayyanu//وَ لَا/وَلَا/wala//تَقُوْلُوْا/تَقُولُواْ/taqulu//لِمَنْ/لِمَنۡ/liman//اَلْقٰۤی/أَلۡقَىٰٓ/alqa//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//السَّلٰمَ/ٱلسَّلَٰمَ/al-salama//لَسْتَ/لَسۡتَ/lasta//مُؤْمِنًا ۚ/مُؤۡمِنٗا/mu'minan//تَبْتَغُوْنَ/تَبۡتَغُونَ/tabtaghuna//عَرَضَ/عَرَضَ/arada//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؗ/ٱلدُّنۡيَا/al-dun'ya//فَعِنْدَ/فَعِندَ/fa'inda//اللّٰهِ/ٱللَّهِ/al-lahi//مَغَانِمُ/مَغَانِمُ/maghanimu//كَثِیْرَةٌ ؕ/كَثِيرَةٞۚ/kathiratun//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//كُنْتُمْ/كُنتُم/kuntum//مِّنْ/مِّن/min//قَبْلُ/قَبۡلُ/qablu//فَمَنَّ/فَمَنَّ/famanna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَتَبَیَّنُوْا ؕ/فَتَبَيَّنُوٓاْۚ/fatabayyanu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرًا /خَبِيرٗا/khabiran",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//যখন//তোমরা যাত্রা কর//(মধ্যে)//পথে//আল্লাহর//তোমরা (শত্রু-মিত্র) যাচাই করো তখন//ও না//তোমরা বলো//তাকে যে//পেশ করে//তোমাদের প্রতি//সালাম//''তুমি নও''//''মু'মিন''//তোমরা তালাশ কর//সম্পদ//জীবনের//দুনিয়ার//(আছে) তবে নিকট//আল্লাহর//গণিমতের মাল//প্রচুর//এরূপই//তোমরা ছিলে//(থেকে)//ইতিপূর্বে//অতঃপর অনুগ্রহ করেছেন//আল্লাহ//তোমাদের উপর//তোমরা সুতরাং যাচাই কর//নিশ্চয়ই//আল্লাহ//হলেন//ঐবিষয়ে যা//তোমরা কাজ কর//খুব অবহিত"
            },
            {
              "number": 588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/588.mp3"
              ],
              "text": "لَّا يَسْتَوِى ٱلْقَٰعِدُونَ مِنَ ٱلْمُؤْمِنِينَ غَيْرُ أُو۟لِى ٱلضَّرَرِ وَٱلْمُجَٰهِدُونَ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۚ فَضَّلَ ٱللَّهُ ٱلْمُجَٰهِدِينَ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ عَلَى ٱلْقَٰعِدِينَ دَرَجَةًۭ ۚ وَكُلًّۭا وَعَدَ ٱللَّهُ ٱلْحُسْنَىٰ ۚ وَفَضَّلَ ٱللَّهُ ٱلْمُجَٰهِدِينَ عَلَى ٱلْقَٰعِدِينَ أَجْرًا عَظِيمًۭا",
              "translate_bn": "গৃহে উপবিষ্ট মুসলমান-যাদের কোন সঙ্গত ওযর নেই এবং ঐ মুসলমান যারা জান ও মাল দ্বারা আল্লাহর পথে জেহাদ করে,-সমান নয়। যারা জান ও মাল দ্বারা জেহাদ করে, আল্লাহ তাদের পদমর্যাদা বাড়িয়ে দিয়েছেন গৃহে উপবিষ্টদের তুলনায় এবং প্রত্যেকের সাথেই আল্লাহ কল্যাণের ওয়াদা করেছেন। আল্লাহ মুজাহেদীনকে উপবিষ্টদের উপর মহান প্রতিদানে শ্রেষ্ঠ করেছেন।",
              "numberInSurah": 95,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 74,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছতাবিলকা-‘ইদূ না মিনাল মু’মিনীনা গাইরু উলিদ্দারারি ওয়াল মুজা-হিদূ না ফী ছাবীলিল্লা-হি বিআমওয়া-লিহিম ওয়া আনফুছিহিম ফাদ্দালাল্লা-হুল মুজা-হিদীনা বিআমওয়া-লিহিম ওয়া আনফুসিহিম ‘আলাল কা-‘ইদীনা দারাজাতাওঁ ওয়াকুল্লাওঁ ওয়া‘আদাল্লা-হুল হুছনা- ওয়াফাদ্দালাল্লা-হুল মুজা-হিদীনা ‘আলাল কা-‘ইদীনা আজরান ‘আজীমা-।",
              "words_arabic": "لَا/لَّا/la//یَسْتَوِی/يَسۡتَوِي/yastawi//الْقٰعِدُوْنَ/ٱلۡقَٰعِدُونَ/al-qa'iduna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//غَیْرُ/غَيۡرُ/ghayru//اُولِی/أُوْلِي/uli//الضَّرَرِ/ٱلضَّرَرِ/al-darari//وَ الْمُجٰهِدُوْنَ/وَٱلۡمُجَٰهِدُونَ/wal-mujahiduna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ ؕ/وَأَنفُسِهِمۡۚ/wa-anfusihim//فَضَّلَ/فَضَّلَ/faddala//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُجٰهِدِیْنَ/ٱلۡمُجَٰهِدِينَ/al-mujahidina//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ/وَأَنفُسِهِمۡ/wa-anfusihim//عَلَی/عَلَى/ala//الْقٰعِدِیْنَ/ٱلۡقَٰعِدِينَ/al-qa'idina//دَرَجَةً ؕ/دَرَجَةٗۚ/darajatan//وَ كُلًّا/وَكُلّٗا/wakullan//وَّعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الْحُسْنٰی ؕ/ٱلۡحُسۡنَىٰۚ/al-hus'na//وَ فَضَّلَ/وَفَضَّلَ/wafaddala//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُجٰهِدِیْنَ/ٱلۡمُجَٰهِدِينَ/al-mujahidina//عَلَی/عَلَى/ala//الْقٰعِدِیْنَ/ٱلۡقَٰعِدِينَ/al-qa'idina//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًاۙ/عَظِيمٗا/aziman",
              "words_bangla": "না//সমান হয়//(গৃহে) উপবেশনকারী (ঐসব লোক)//মধ্য হতে//মু'মিনদের//এব্যতীত//(প্রথম)//অক্ষমতাশীলরা//ও মুজাহিদরা (যারা জিহাদ করে)//(মধ্যে)//পথে//আল্লাহর//তাদের মাল-সম্পদ দিয়ে//ও তাদের জান (দিয়ে)//শ্রেষ্ঠত্ব দিয়েছেন//আল্লাহ//জিহাদকারীদেরকে//তাদের মাল-সম্পদ দিয়ে//ও তাদের জান (দিয়ে)//(তাদের) উপর//(যারা) (গৃহে) উপবেশনকারী//মর্যাদায়//এবং প্রত্যেকেরই//ওয়াদা দিয়েছেন//আল্লাহ//কল্যাণের//কিন্তু শ্রেষ্ঠত্ব দিয়েছেন//আল্লাহ//জিহাদকারীদেরকে//উপর//উপবিষ্টদের//পুরস্কারের (ক্ষেত্রে)//বিরাট"
            },
            {
              "number": 589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/589.mp3"
              ],
              "text": "دَرَجَٰتٍۢ مِّنْهُ وَمَغْفِرَةًۭ وَرَحْمَةًۭ ۚ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًا",
              "translate_bn": "এগুলো তাঁর পক্ষ থেকে পদমর্যাদা, ক্ষমা ও করুণা; আল্লাহ ক্ষমাশীল ও করুণাময়।",
              "numberInSurah": 96,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 74,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "দারাজা-তিম মিনহু মাগফিরাতাওঁ ওয়া রাহমাতাওঁ ওয়াকা-নালা-হু গাফূরার রাহীমা-।",
              "words_arabic": "دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//مِّنْهُ/مِّنۡهُ/min'hu//وَ مَغْفِرَةً/وَمَغۡفِرَةٗ/wamaghfiratan//وَّ رَحْمَةً ؕ/وَرَحۡمَةٗۚ/warahmatan//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا۠/رَّحِيمًا/rahiman",
              "words_bangla": "মর্যাদায়//তাঁর পক্ষ হতে//ও ক্ষমা//ও রহমত (রয়েছে)//এবং হলেন//আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/590.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ تَوَفَّىٰهُمُ ٱلْمَلَٰٓئِكَةُ ظَالِمِىٓ أَنفُسِهِمْ قَالُوا۟ فِيمَ كُنتُمْ ۖ قَالُوا۟ كُنَّا مُسْتَضْعَفِينَ فِى ٱلْأَرْضِ ۚ قَالُوٓا۟ أَلَمْ تَكُنْ أَرْضُ ٱللَّهِ وَٰسِعَةًۭ فَتُهَاجِرُوا۟ فِيهَا ۚ فَأُو۟لَٰٓئِكَ مَأْوَىٰهُمْ جَهَنَّمُ ۖ وَسَآءَتْ مَصِيرًا",
              "translate_bn": "যারা নিজের অনিষ্ট করে, ফেরেশতারা তাদের প্রাণ হরণ করে বলে, তোমরা কি অবস্থায় ছিলে? তারা বলেঃ এ ভূখন্ডে আমরা অসহায় ছিলাম। ফেরেশতারা বলেঃ আল্লাহর পৃথিবী কি প্রশস্ত ছিল না যে, তোমরা দেশত্যাগ করে সেখানে চলে যেতে? অতএব, এদের বাসস্থান হল জাহান্নাম এবং তা অত্যন্ত মন্দ স্থান।",
              "numberInSurah": 97,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 75,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা তাওয়াফফা-হুমুল মালাইকাতু জা-লিমীআনফুছিহিম কা-লূফীমা কুনতুম কা-লূকুন্না-মুছতাদ‘আফীনা ফিল আরদি কা-লূআলাম তাকুন আরদুল্লা-হি ওয়া-ছি‘আতান ফাতুহা-জিরূ ফীহা- ফাউলাইকা মা’ওয়া-হুম জাহান্নামু ওয়াছাআত মাসীরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَوَفّٰىهُمُ/تَوَفَّىٰهُمُ/tawaffahumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//ظَالِمِیْۤ/ظَالِمِيٓ/zalimi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//قَالُوْا/قَالُواْ/qalu//فِیْمَ/فِيمَ/fima//كُنْتُمْ ؕ/كُنتُمۡۖ/kuntum//قَالُوْا/قَالُواْ/qalu//كُنَّا/كُنَّا/kunna//مُسْتَضْعَفِیْنَ/مُسۡتَضۡعَفِينَ/mus'tad'afina//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//قَالُوْۤا/قَالُوٓاْ/qalu//اَلَمْ/أَلَمۡ/alam//تَكُنْ/تَكُنۡ/takun//اَرْضُ/أَرۡضُ/ardu//اللّٰهِ/ٱللَّهِ/al-lahi//وَاسِعَةً/وَٰسِعَةٗ/wasi'atan//فَتُهَاجِرُوْا/فَتُهَاجِرُواْ/fatuhajiru//فِیْهَا ؕ/فِيهَاۚ/fiha//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//مَاْوٰىهُمْ/مَأۡوَىٰهُمۡ/mawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ سَآءَتْ/وَسَآءَتۡ/wasaat//مَصِیْرًاۙ/مَصِيرًا/masiran",
              "words_bangla": "নিশ্চয়//যারা//তাদের জান কবজ করে//ফেরেশতারা//জুলুমকারী//তাদের নিজেদের উপর//(ফেরেশতারা) বলে//''কেমন তার মধ্যে//তোমরা ছিলে''//তারা বলে//''আমরা ছিলাম//দুর্বল//মধ্যে//দুনিয়ার//তারা বলে//''কি না//ছিল//জমিন//আল্লাহর//প্রশস্ত//তোমরা অতঃপর হিজরত করতে//তার মধ্যে''//ঐসব লোক অতএব//তাদের বাসস্থল (হবে)//জাহান্নাম//এবং অতি খারাপ//গন্তব্যস্থান"
            },
            {
              "number": 591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/591.mp3"
              ],
              "text": "إِلَّا ٱلْمُسْتَضْعَفِينَ مِنَ ٱلرِّجَالِ وَٱلنِّسَآءِ وَٱلْوِلْدَٰنِ لَا يَسْتَطِيعُونَ حِيلَةًۭ وَلَا يَهْتَدُونَ سَبِيلًۭا",
              "translate_bn": "কিন্তু পুরুষ, নারী ও শিশুদের মধ্যে যারা অসহায়, তারা কোন উপায় করতে পারে না এবং পথও জানে না।",
              "numberInSurah": 98,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 75,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল মুছতাদ‘আফীনা মিনাররিজা-লি ওয়াননিছাইওয়ালবিলদা-নি লা-ইয়াছতাতী‘ঊন হীলাতাওঁ ওয়ালা-ইয়াহতাদূনা ছাবীলা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الْمُسْتَضْعَفِیْنَ/ٱلۡمُسۡتَضۡعَفِينَ/al-mus'tad'afina//مِنَ/مِنَ/mina//الرِّجَالِ/ٱلرِّجَالِ/al-rijali//وَ النِّسَآءِ/وَٱلنِّسَآءِ/wal-nisai//وَ الْوِلْدَانِ/وَٱلۡوِلۡدَٰنِ/wal-wil'dani//لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//حِیْلَةً/حِيلَةٗ/hilatan//وَّ لَا/وَلَا/wala//یَهْتَدُوْنَ/يَهۡتَدُونَ/yahtaduna//سَبِیْلًاۙ/سَبِيلٗا/sabilan",
              "words_bangla": "তবে//(যারা ছিল) দুর্বল অসহায়//মধ্য হতে//পুরুষদের//ও নারীদের//ও শিশুদের (তাদের অবস্থা ভিন্ন)//না//(যারা) সক্ষম হয়//উপায় অবলম্বন//ও না//তারা চিনে//পথ"
            },
            {
              "number": 592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/592.mp3"
              ],
              "text": "فَأُو۟لَٰٓئِكَ عَسَى ٱللَّهُ أَن يَعْفُوَ عَنْهُمْ ۚ وَكَانَ ٱللَّهُ عَفُوًّا غَفُورًۭا",
              "translate_bn": "অতএব, আশা করা যায়, আল্লাহ তাদেরকে ক্ষমা করবেন। আল্লাহ মার্জনাকারী, ক্ষমাশীল।",
              "numberInSurah": 99,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 75,
              "hizbQuarter": 37,
              "sajda": false,
              "pronunciation_bn": "ফাউলাইকা ‘আসাল্লা-হু আইঁ ইয়া‘ফুওয়া ‘আনহুম ওয়াকা-নাল্লা-হু ‘আফুওওয়ান গাফূরা-।",
              "words_arabic": "فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//عَسَی/عَسَى/asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّعْفُوَ/يَعۡفُوَ/ya'fuwa//عَنْهُمْ ؕ/عَنۡهُمۡۚ/anhum//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَفُوًّا/عَفُوًّا/afuwwan//غَفُوْرًا /غَفُورٗا/ghafuran",
              "words_bangla": "সুতরাং ঐসব লোক//হয়ত//আল্লাহ//(যে)//মাফ করবেন//তাদেরকে//এবং হলেন//আল্লাহ//মার্জনাকারী//ক্ষমাশীল"
            },
            {
              "number": 593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/593.mp3"
              ],
              "text": "۞ وَمَن يُهَاجِرْ فِى سَبِيلِ ٱللَّهِ يَجِدْ فِى ٱلْأَرْضِ مُرَٰغَمًۭا كَثِيرًۭا وَسَعَةًۭ ۚ وَمَن يَخْرُجْ مِنۢ بَيْتِهِۦ مُهَاجِرًا إِلَى ٱللَّهِ وَرَسُولِهِۦ ثُمَّ يُدْرِكْهُ ٱلْمَوْتُ فَقَدْ وَقَعَ أَجْرُهُۥ عَلَى ٱللَّهِ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "যে কেউ আল্লাহর পথে দেশত্যাগ করে, সে এর বিনিময়ে অনেক স্থান ও সচ্ছলতা প্রাপ্ত হবে। যে কেউ নিজ গৃহ থেকে বের হয় আল্লাহ ও রসূলের প্রতি হিজরত করার উদ্দেশে, অতঃপর মৃত্যুমুখে পতিত হয়, তবে তার সওয়াব আল্লাহর কাছে অবধারিত হয়ে যায়। আল্লাহ ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 100,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 75,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউহা-জির ফী ছাবীলিল্লা-হি ইয়াজিদ ফিল আরদিমুরা-গমান কাছীরাওঁ ওয়াছা‘আতাওঁ ওয়া মাইঁ ইয়াখরুজ মিম বাইতিহী মুহা-জিরান ইলাল্লা-হি ওয়ারাছূলিহি ছু ম্মা ইউদরিকহুল মাওতুফাকাদ ওয়াকা‘আ আজরুহূ‘আলাল্লা-হি ওয়া কা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "وَ مَنْ/۞وَمَن/waman//یُّهَاجِرْ/يُهَاجِرۡ/yuhajir//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//یَجِدْ/يَجِدۡ/yajid//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُرٰغَمًا/مُرَٰغَمٗا/muraghaman//كَثِیْرًا/كَثِيرٗا/kathiran//وَّسَعَةً ؕ/وَسَعَةٗۚ/wasa'atan//وَ مَنْ/وَمَن/waman//یَّخْرُجْ/يَخۡرُجۡ/yakhruj//مِنْۢ/مِنۢ/min//بَیْتِهٖ/بَيۡتِهِۦ/baytihi//مُهَاجِرًا/مُهَاجِرًا/muhajiran//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//ثُمَّ/ثُمَّ/thumma//یُدْرِكْهُ/يُدۡرِكۡهُ/yud'rik'hu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//فَقَدْ/فَقَدۡ/faqad//وَ قَعَ/وَقَعَ/waqa'a//اَجْرُهٗ/أَجۡرُهُۥ/ajruhu//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا۠/رَّحِيمٗا/rahiman",
              "words_bangla": "এবং যে//হিজরত করবে//(মধ্যে)//পথে//আল্লাহর//সে পাবে//মধ্যে//পৃথিবীর//আশ্রয়স্থল//অনেক//ও প্রাচুর্য//এবং যে//বের হবে//থেকে//তার ঘর//মুহাজির হয়ে//দিকে//আল্লাহর//ও তাঁর রাসূলের (দিকে)//এরপর//তাকে পাবে//মৃত্যু//নিশ্চয় তবে//(দায়িত্ব ভার) পড়ল//তার পুরস্কারের//উপর//আল্লাহর//এবং হলেন//আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/594.mp3"
              ],
              "text": "وَإِذَا ضَرَبْتُمْ فِى ٱلْأَرْضِ فَلَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَقْصُرُوا۟ مِنَ ٱلصَّلَوٰةِ إِنْ خِفْتُمْ أَن يَفْتِنَكُمُ ٱلَّذِينَ كَفَرُوٓا۟ ۚ إِنَّ ٱلْكَٰفِرِينَ كَانُوا۟ لَكُمْ عَدُوًّۭا مُّبِينًۭا",
              "translate_bn": "যখন তোমরা কোন দেশ সফর কর, তখন নামাযে কিছুটা হ্রাস করলে তোমাদের কোন গোনাহ নেই, যদি তোমরা আশঙ্কা কর যে, কাফেররা তোমাদেরকে উত্ত্যক্ত করবে। নিশ্চয় কাফেররা তোমাদের প্রকাশ্য শত্রু।",
              "numberInSurah": 101,
              "juz": 5,
              "manzil": 1,
              "page": 94,
              "ruku": 76,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-দারাবতুম ফিল আরদিফালাইছা ‘আলাইকুম জুনা-হুন আন তাকসুরূমিনাসসালা-তি ইন খিফতুম আইঁ ইয়াফতিনাকুমুল্লাযীনা কাফারূ ইন্নাল কা-ফিরীনা কা-নূলাকুম ‘আদুওওয়াম মুবীনা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//ضَرَبْتُمْ/ضَرَبۡتُمۡ/darabtum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَلَیْسَ/فَلَيۡسَ/falaysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٌ/junahun//اَنْ/أَن/an//تَقْصُرُوْا/تَقۡصُرُواْ/taqsuru//مِنَ/مِنَ/mina//الصَّلٰوةِ ۖۗ/ٱلصَّلَوٰةِ/al-salati//اِنْ/إِنۡ/in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//اَنْ/أَن/an//یَّفْتِنَكُمُ/يَفۡتِنَكُمُ/yaftinakumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا ؕ/كَفَرُوٓاْۚ/kafaru//اِنَّ/إِنَّ/inna//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//كَانُوْا/كَانُواْ/kanu//لَكُمْ/لَكُمۡ/lakum//عَدُوًّا/عَدُوّٗا/aduwwan//مُّبِیْنًا /مُّبِينٗا/mubinan",
              "words_bangla": "এবং যখন//তোমরা সফর কর//(মধ্যে)//জমিনে//নাই তখন//তোমাদের উপর//কোন গুনাহ//যে//তোমরা কসর করবে//থেকে//সলাতে//যদি//তোমরা ভয় কর//যে//তোমাদের বিপদে ফেলবে//যারা//কুফরী করেছে//নিশ্চয়ই//কাফিররা//হলো//তোমাদের জন্য//শত্রু//প্রকাশ্য"
            },
            {
              "number": 595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/595.mp3"
              ],
              "text": "وَإِذَا كُنتَ فِيهِمْ فَأَقَمْتَ لَهُمُ ٱلصَّلَوٰةَ فَلْتَقُمْ طَآئِفَةٌۭ مِّنْهُم مَّعَكَ وَلْيَأْخُذُوٓا۟ أَسْلِحَتَهُمْ فَإِذَا سَجَدُوا۟ فَلْيَكُونُوا۟ مِن وَرَآئِكُمْ وَلْتَأْتِ طَآئِفَةٌ أُخْرَىٰ لَمْ يُصَلُّوا۟ فَلْيُصَلُّوا۟ مَعَكَ وَلْيَأْخُذُوا۟ حِذْرَهُمْ وَأَسْلِحَتَهُمْ ۗ وَدَّ ٱلَّذِينَ كَفَرُوا۟ لَوْ تَغْفُلُونَ عَنْ أَسْلِحَتِكُمْ وَأَمْتِعَتِكُمْ فَيَمِيلُونَ عَلَيْكُم مَّيْلَةًۭ وَٰحِدَةًۭ ۚ وَلَا جُنَاحَ عَلَيْكُمْ إِن كَانَ بِكُمْ أَذًۭى مِّن مَّطَرٍ أَوْ كُنتُم مَّرْضَىٰٓ أَن تَضَعُوٓا۟ أَسْلِحَتَكُمْ ۖ وَخُذُوا۟ حِذْرَكُمْ ۗ إِنَّ ٱللَّهَ أَعَدَّ لِلْكَٰفِرِينَ عَذَابًۭا مُّهِينًۭا",
              "translate_bn": "যখন আপনি তাদের মধ্যে থাকেন, অতঃপর নামাযে দাঁড়ান, তখন যেন একদল দাঁড়ায় আপনার সাথে এবং তারা যেন স্বীয় অস্ত্র সাথে নেয়। অতঃপর যখন তারা সেজদা সম্পন্ন করে, তখন আপনার কাছ থেকে যেন সরে যায় এবং অন্য দল যেন আসে, যারা নামায পড়েনি। অতঃপর তারা যেন আপনার সাথে নামায পড়ে এবং আত্মরক্ষার হাতিয়ার সাথে নেয়। কাফেররা চায় যে, তোমরা কোন রূপে অসতর্ক থাক, যাতে তারা একযোগে তোমাদেরকে আক্রমণ করে বসে। যদি বৃষ্টির কারণে তোমাদের কষ্ট হয় অথবা তোমরা অসুস্থ হও তবে স্বীয় অস্ত্র পরিত্যাগ করায় তোমাদের কোন গোনাহ নেই এবং সাথে নিয়ে নাও তোমাদের আত্নরক্ষার অস্ত্র। নিশ্চয় আল্লাহ কাফেরদের জন্যে অপমানকর শাস্তি প্রস্তুত করে রেখেছেন।",
              "numberInSurah": 102,
              "juz": 5,
              "manzil": 1,
              "page": 95,
              "ruku": 76,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কুনতা ফীহিম ফাআকামতালাহুমুসসালা-তা ফালতাকুম তাইফাতুম মিনহুম মা‘আকা ওয়ালইয়া’খুযূআছলিহাতাহুম ফাইযা-ছাজাদূফালইয়াকূনূমিওঁ ওয়া রাইকুম ওয়ালতা’তি তাইফাতুন উখরা-লাম ইউসাললূফালইউসাললূমা‘আকা ওয়ালইয়া’খুযুহিযরাহুম ওয়া আছলিহাতাহুম ওয়াদ্দাল্লাযীনা কাফারু লাও তাগফুলূনা ‘আন আছলিহাতিকুম ওয়া আমতি‘আতিকুম ফাইয়ামীলূনা ‘আলাইকুম মাইলাতাওঁ ওয়া-হিদাতাওঁ ওয়ালা-জুনা-হা ‘আলাইকুম ইন কা-না বিকুম আযাম মিম্মাতারিন আও কুনতুম মারদা-আন তাদাঊ-আছলিহাতাকুম ওয়া খুযূহিযরাকুম ইন্নাল্লাহা আ‘আদ্দা লিলকা-ফিরীনা ‘আযা-বাম মুহীনা-।\r\n",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//كُنْتَ/كُنتَ/kunta//فِیْهِمْ/فِيهِمۡ/fihim//فَاَقَمْتَ/فَأَقَمۡتَ/fa-aqamta//لَهُمُ/لَهُمُ/lahumu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//فَلْتَقُمْ/فَلۡتَقُمۡ/faltaqum//طَآىِٕفَةٌ/طَآئِفَةٞ/taifatun//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّعَكَ/مَّعَكَ/ma'aka//وَ لْیَاْخُذُوْۤا/وَلۡيَأۡخُذُوٓاْ/walyakhudhu//اَسْلِحَتَهُمْ ۫/أَسۡلِحَتَهُمۡۖ/aslihatahum//فَاِذَا/فَإِذَا/fa-idha//سَجَدُوْا/سَجَدُواْ/sajadu//فَلْیَكُوْنُوْا/فَلۡيَكُونُواْ/falyakunu//مِنْ/مِن/min//وَّرَآىِٕكُمْ ۪/وَرَآئِكُمۡ/waraikum//وَ لْتَاْتِ/وَلۡتَأۡتِ/waltati//طَآىِٕفَةٌ/طَآئِفَةٌ/taifatun//اُخْرٰی/أُخۡرَىٰ/ukh'ra//لَمْ/لَمۡ/lam//یُصَلُّوْا/يُصَلُّواْ/yusallu//فَلْیُصَلُّوْا/فَلۡيُصَلُّواْ/falyusallu//مَعَكَ/مَعَكَ/ma'aka//وَ لْیَاْخُذُوْا/وَلۡيَأۡخُذُواْ/walyakhudhu//حِذْرَهُمْ/حِذۡرَهُمۡ/hidh'rahum//وَ اَسْلِحَتَهُمْ ۚ/وَأَسۡلِحَتَهُمۡۗ/wa-aslihatahum//وَدَّ/وَدَّ/wadda//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ/لَوۡ/law//تَغْفُلُوْنَ/تَغۡفُلُونَ/taghfuluna//عَنْ/عَنۡ/an//اَسْلِحَتِكُمْ/أَسۡلِحَتِكُمۡ/aslihatikum//وَ اَمْتِعَتِكُمْ/وَأَمۡتِعَتِكُمۡ/wa-amti'atikum//فَیَمِیْلُوْنَ/فَيَمِيلُونَ/fayamiluna//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مَّیْلَةً/مَّيۡلَةٗ/maylatan//وَّاحِدَةً ؕ/وَٰحِدَةٗۚ/wahidatan//وَ لَا/وَلَا/wala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِنْ/إِن/in//كَانَ/كَانَ/kana//بِكُمْ/بِكُمۡ/bikum//اَذًی/أَذٗى/adhan//مِّنْ/مِّن/min//مَّطَرٍ/مَّطَرٍ/matarin//اَوْ/أَوۡ/aw//كُنْتُمْ/كُنتُم/kuntum//مَّرْضٰۤی/مَّرۡضَىٰٓ/marda//اَنْ/أَن/an//تَضَعُوْۤا/تَضَعُوٓاْ/tada'u//اَسْلِحَتَكُمْ ۚ/أَسۡلِحَتَكُمۡۖ/aslihatakum//وَ خُذُوْا/وَخُذُواْ/wakhudhu//حِذْرَكُمْ ؕ/حِذۡرَكُمۡۗ/hidh'rakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اَعَدَّ/أَعَدَّ/a'adda//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَذَابًا/عَذَابٗا/adhaban//مُّهِیْنًا /مُّهِينٗا/muhinan",
              "words_bangla": "এবং (হে নবী) যখন//তুমি হও//তাদের মধ্যে//তুমি অতঃপর কায়েম করবে//তাদের জন্য//সলাত//দাঁড়ায় যেন তখন//একদল//তাদের মধ্য হতে//তোমার সাথে//এবং তারা যেন রাখে//তাদের অস্ত্র (তাদের কাছে)//অতঃপর যখন//তারা সিজদা করে ফেলে//তারা তখন হবে//(থেকে)//তোমাদের পিছনে//এবং আসে যেন//দল//অন্য (যারা)//নাই//সলাত পড়ে//তারা পড়ে যেন তখন//তোমার সাথে//ও তারাও রাখে যেন//সতর্কতা তাদের//ও তাদের অস্ত্রশস্ত্র (তাদের কাছে)//কামনা করে//যারা//কুফরী করেছে//যদি//গাফিল হও তোমরা//হতে//তোমাদের অস্ত্রশস্ত্র//ও সাজসরঞ্জাম (হতে)//তারা তবে আক্রমণ করবে//তোমাদের উপর//আক্রমণ//একবারই//এবং না (হবে)//গুনাহ//তোমাদের উপর//যদি//হয়//তোমাদের//কষ্ট//হতে//বৃষ্টি//অথবা//তোমরা হও//অসুস্থ//(যে)//তোমাদের সংবরণ করায়//তোমাদের অস্ত্রশস্ত্র//কিন্তু তোমরা অবলম্বন করবে//তোমাদের সতর্কতা//নিশ্চয়ই//আল্লাহ্‌//প্রস্তুত করে রেখেছেন//কাফিরদের জন্য//আজাব//লাঞ্ছনাকর"
            },
            {
              "number": 596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/596.mp3"
              ],
              "text": "فَإِذَا قَضَيْتُمُ ٱلصَّلَوٰةَ فَٱذْكُرُوا۟ ٱللَّهَ قِيَٰمًۭا وَقُعُودًۭا وَعَلَىٰ جُنُوبِكُمْ ۚ فَإِذَا ٱطْمَأْنَنتُمْ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ ۚ إِنَّ ٱلصَّلَوٰةَ كَانَتْ عَلَى ٱلْمُؤْمِنِينَ كِتَٰبًۭا مَّوْقُوتًۭا",
              "translate_bn": "অতঃপর যখন তোমরা নামায সম্পন্ন কর, তখন দন্ডায়মান, উপবিষ্ট ও শায়িত অবস্থায় আল্লাহকে স্মরণ কর। অতঃপর যখন বিপদমুক্ত হয়ে যাও, তখন নামায ঠিক করে পড়। নিশ্চয় নামায মুসলমানদের উপর ফরয নির্দিষ্ট সময়ের মধ্যে।",
              "numberInSurah": 103,
              "juz": 5,
              "manzil": 1,
              "page": 95,
              "ruku": 76,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-কাদাইতুমুসসালা-তা ফাযকুরুল্লা-হা কিয়া-মাওঁ ওয়াকু‘ঊদাওঁ ওয়া‘আলা জুনূবিকুম ফাইযাতমা’নানতুম ফাআকীমুস সালা-তা ইন্নাসসালা-তা কা-নাত ‘আলাল মু’মিনীনা কিতা-বাম মাওকূতা-।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//قَضَیْتُمُ/قَضَيۡتُمُ/qadaytumu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//فَاذْكُرُوا/فَٱذۡكُرُواْ/fa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//قِیٰمًا/قِيَٰمٗا/qiyaman//وَّ قُعُوْدًا/وَقُعُودٗا/waqu'udan//وَّ عَلٰی/وَعَلَىٰ/wa'ala//جُنُوْبِكُمْ ۚ/جُنُوبِكُمۡۚ/junubikum//فَاِذَا/فَإِذَا/fa-idha//اطْمَاْنَنْتُمْ/ٱطۡمَأۡنَنتُمۡ/it'manantum//فَاَقِیْمُوا/فَأَقِيمُواْ/fa-aqimu//الصَّلٰوةَ ۚ/ٱلصَّلَوٰةَۚ/al-salata//اِنَّ/إِنَّ/inna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//كَانَتْ/كَانَتۡ/kanat//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//كِتٰبًا/كِتَٰبٗا/kitaban//مَّوْقُوْتًا /مَّوۡقُوتٗا/mawqutan",
              "words_bangla": "অতঃপর যখন//তোমরা সমাপ্ত কর//সলাত//তোমরা তখন স্মরণ কর//আল্লাহকে//দাঁড়িয়ে//ও বসে//ও উপর//তোমাদের পাশগুলোর (অর্থাৎ শুয়ে)//যখন অতঃপর//তোমরা নিরাপদ হও//তোমরা তখন কায়েম কর//সলাত//নিশ্চয়ই//সলাত//হলো//উপর//মু'মিনদের//ফরজ//নির্দিষ্ট সময়ে"
            },
            {
              "number": 597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/597.mp3"
              ],
              "text": "وَلَا تَهِنُوا۟ فِى ٱبْتِغَآءِ ٱلْقَوْمِ ۖ إِن تَكُونُوا۟ تَأْلَمُونَ فَإِنَّهُمْ يَأْلَمُونَ كَمَا تَأْلَمُونَ ۖ وَتَرْجُونَ مِنَ ٱللَّهِ مَا لَا يَرْجُونَ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا",
              "translate_bn": "তাদের পশ্চাদ্ধাবনে শৈথিল্য করো না। যদি তোমরা আঘাত প্রাপ্ত, তবে তারাও তো তোমাদের মতই হয়েছে আঘাতপ্রাপ্ত এবং তোমরা আল্লাহর কাছে আশা কর, যা তারা আশা করে না। আল্লাহ মহাজ্ঞানী, প্রজ্ঞাময়।",
              "numberInSurah": 104,
              "juz": 5,
              "manzil": 1,
              "page": 95,
              "ruku": 76,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাহিনূফিবতিগাইল কাওমি ইন তাকূনূতা’লামূনা ফাইন্নাহুম ইয়া’লামূনা কামাতা’লামূনা, ওয়া তারজূনা মিনাল্লা-হি মা-লা ইয়ারজূনাওয়া কা-নাল্লা-হু ‘আলীমান হাকীমা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَهِنُوْا/تَهِنُواْ/tahinu//فِی/فِي/fi//ابْتِغَآءِ/ٱبۡتِغَآءِ/ib'tighai//الْقَوْمِ ؕ/ٱلۡقَوۡمِۖ/al-qawmi//اِنْ/إِن/in//تَكُوْنُوْا/تَكُونُواْ/takunu//تَاْلَمُوْنَ/تَأۡلَمُونَ/talamuna//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//یَاْلَمُوْنَ/يَأۡلَمُونَ/yalamuna//كَمَا/كَمَا/kama//تَاْلَمُوْنَ ۚ/تَأۡلَمُونَۖ/talamuna//وَ تَرْجُوْنَ/وَتَرۡجُونَ/watarjuna//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَرْجُوْنَ ؕ/يَرۡجُونَۗ/yarjuna//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا۠/حَكِيمًا/hakiman",
              "words_bangla": "এবং না//তোমরা হতোদ্যম হয়ো//(মধ্যে)//পশ্চাদ্ধাবনে//(শত্রু) জাতির//যদি//পেয়ে থাকো//তোমরা যন্ত্রণা//নিশ্চয় তবে তারাও//যন্ত্রণা পায়//যেমন//তোমরা যন্ত্রণা পাও//আর তোমরা আশা কর (পুরস্কার)//হতে//আল্লাহ//যা//না//তারা আশা করে//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/598.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَٰبَ بِٱلْحَقِّ لِتَحْكُمَ بَيْنَ ٱلنَّاسِ بِمَآ أَرَىٰكَ ٱللَّهُ ۚ وَلَا تَكُن لِّلْخَآئِنِينَ خَصِيمًۭا",
              "translate_bn": "নিশ্চয় আমি আপনার প্রতি সত্য কিতাব অবতীর্ণ করেছি, যাতে আপনি মানুষের মধ্যে ফয়সালা করেন, যা আল্লাহ আপনাকে হৃদয়ঙ্গম করান। আপনি বিশ্বাসঘাতকদের পক্ষ থেকে বিতর্ককারী হবেন না।",
              "numberInSurah": 105,
              "juz": 5,
              "manzil": 1,
              "page": 95,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ইন্না-আনঝালনাইলাইকাল কিতা-বা বিলহাক্কিলিতাহকুমা বাইনান্না-ছি বিমাআরা-কাল্লাহু ওয়ালা-তাকুল লিলখাইনীনা খাসীমা-।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لِتَحْكُمَ/لِتَحۡكُمَ/litahkuma//بَیْنَ/بَيۡنَ/bayna//النَّاسِ/ٱلنَّاسِ/al-nasi//بِمَاۤ/بِمَآ/bima//اَرٰىكَ/أَرَىٰكَ/araka//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ لَا/وَلَا/wala//تَكُنْ/تَكُن/takun//لِّلْخَآىِٕنِیْنَ/لِّلۡخَآئِنِينَ/lil'khainina//خَصِیْمًاۙ/خَصِيمٗا/khasiman",
              "words_bangla": "আমরা নিশ্চয়ই//আমরা নাযিল করেছি//তোমার প্রতি//(এই) গ্রন্থখানি//সত্য সহকারে//তুমি যাতে বিচার কর//মাঝে//লোকদের//তেমনি যা//তোমাকে দেখিয়েছেন//আল্লাহ//এবং না//তুমি হয়ো//খিয়ানতকারীদের জন্য//বিতর্ককারী"
            },
            {
              "number": 599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/599.mp3"
              ],
              "text": "وَٱسْتَغْفِرِ ٱللَّهَ ۖ إِنَّ ٱللَّهَ كَانَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "এবং আল্লাহর কাছে ক্ষমা প্রার্থনা করুন। নিশ্চয় আল্লাহ ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 106,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতাগফিরিল্লা-হা ইন্নাল্লা-হা কা-না গাফূরার রাহীমা-।",
              "words_arabic": "وَّ اسْتَغْفِرِ/وَٱسۡتَغۡفِرِ/wa-is'taghfiri//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًاۚ/رَّحِيمٗا/rahiman",
              "words_bangla": "এবং ক্ষমা চাও (কাছে)//আল্লাহর//নিশ্চয়ই//আল্লাহ//হলেন//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/600.mp3"
              ],
              "text": "وَلَا تُجَٰدِلْ عَنِ ٱلَّذِينَ يَخْتَانُونَ أَنفُسَهُمْ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ مَن كَانَ خَوَّانًا أَثِيمًۭا",
              "translate_bn": "যারা মনে বিশ্বাস ঘাতকতা পোষণ করে তাদের পক্ষ থেকে বিতর্ক করবেন না। আল্লাহ পছন্দ করেন না তাকে, যে বিশ্বাস ঘাতক পাপী হয়।",
              "numberInSurah": 107,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা তুজা-দিল ‘আনিল্লাযীনা ইয়াখতা-নূনা আনফুছাহুম ইন্নাল্লা-হা লা-ইউহিব্বুমান কা-না খাওওয়া-নান আছীমা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُجَادِلْ/تُجَٰدِلۡ/tujadil//عَنِ/عَنِ/ani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخْتَانُوْنَ/يَخۡتَانُونَ/yakhtanuna//اَنْفُسَهُمْ ؕ/أَنفُسَهُمۡۚ/anfusahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//مَنْ/مَن/man//كَانَ/كَانَ/kana//خَوَّانًا/خَوَّانًا/khawwanan//اَثِیْمًاۚۙ/أَثِيمٗا/athiman",
              "words_bangla": "এবং না//তুমি বিসম্বাদ করো//(তাদের) জন্য//যারা//খিয়ানত করে//তাদের নিজেদের (উপর)//নিশ্চয়ই//আল্লাহ//না//পছন্দ করেন//যে//হবে//খিয়ানতকারী//পাপিষ্ঠ"
            },
            {
              "number": 601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/601.mp3"
              ],
              "text": "يَسْتَخْفُونَ مِنَ ٱلنَّاسِ وَلَا يَسْتَخْفُونَ مِنَ ٱللَّهِ وَهُوَ مَعَهُمْ إِذْ يُبَيِّتُونَ مَا لَا يَرْضَىٰ مِنَ ٱلْقَوْلِ ۚ وَكَانَ ٱللَّهُ بِمَا يَعْمَلُونَ مُحِيطًا",
              "translate_bn": "তারা মানুষের কাছে লজ্জিত হয় এবং আল্লাহর কাছে লজ্জিত হয় না। তিনি তাদের সাথে রয়েছেন, যখন তারা রাত্রে এমন বিষয়ে পরামর্শ করে, যাতে আল্লাহ সম্মত নন। তারা যাকিছু করে, সবই আল্লাহর আয়ত্তাধীণ।",
              "numberInSurah": 108,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ইয়াছতাখফূনা মিনান্না-ছি ওয়ালা-ইয়াছতাখফূনা মিনাল্লা-হি ওয়া হুওয়া মা‘আহুম ইয ইউবাইয়িতূনা মা-লা-ইয়ারদা-মিনাল কাওলি ওয়া কা-নাল্লা-হু বিমা-ইয়া‘মালূনা মুহীতা-।",
              "words_arabic": "یَّسْتَخْفُوْنَ/يَسۡتَخۡفُونَ/yastakhfuna//مِنَ/مِنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لَا/وَلَا/wala//یَسْتَخْفُوْنَ/يَسۡتَخۡفُونَ/yastakhfuna//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ هُوَ/وَهُوَ/wahuwa//مَعَهُمْ/مَعَهُمۡ/ma'ahum//اِذْ/إِذۡ/idh//یُبَیِّتُوْنَ/يُبَيِّتُونَ/yubayyituna//مَا/مَا/ma//لَا/لَا/la//یَرْضٰی/يَرۡضَىٰ/yarda//مِنَ/مِنَ/mina//الْقَوْلِ ؕ/ٱلۡقَوۡلِۚ/al-qawli//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//مُحِیْطًا /مُحِيطًا/muhitan",
              "words_bangla": "তারা লুকাতে চায়//থেকে//লোকদের//অথচ না//তারা লুকাতে পারে//থেকে//আল্লাহ//ও তিনি (ছিলেন)//তাদের সাথে//যখন//তারা রাতে পরামর্শ করে//যা//না//তিনি পছন্দ করেন//(থেকে)//(কুট-কৌশলের) কথাবার্তা//এবং হলেন//আল্লাহ//ঐ বিষয় যা//তারা কাজ করছে//আয়ত্তকারী"
            },
            {
              "number": 602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/602.mp3"
              ],
              "text": "هَٰٓأَنتُمْ هَٰٓؤُلَآءِ جَٰدَلْتُمْ عَنْهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا فَمَن يُجَٰدِلُ ٱللَّهَ عَنْهُمْ يَوْمَ ٱلْقِيَٰمَةِ أَم مَّن يَكُونُ عَلَيْهِمْ وَكِيلًۭا",
              "translate_bn": "শুনছ? তোমরা তাদের পক্ষ থেকে পার্থিব জীবনে বিবাদ করছ, অতঃপর কেয়ামতের দিনে তাদের পক্ষ হয়ে আল্লাহর সাথে কে বিবাদ করবে অথবা কে তাদের কার্যনির্বাহী হবে।",
              "numberInSurah": 109,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "হাআনতুম হাউলাই জা-দালতুম ‘আনহুম ফিল হায়া-তিদ্দুনইয়া- ফামাইঁ ইউজাদিলুল্লা-হা ‘আনহুম ইয়াওমাল কিয়া-মাতি আম মাইঁ ইয়াকূনু‘আলাইহিম ওয়াকীলা-।",
              "words_arabic": "هٰۤاَنْتُمْ/هَـٰٓأَنتُمۡ/haantum//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//جٰدَلْتُمْ/جَٰدَلۡتُمۡ/jadaltum//عَنْهُمْ/عَنۡهُمۡ/anhum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۫/ٱلدُّنۡيَا/al-dun'ya//فَمَنْ/فَمَن/faman//یُّجَادِلُ/يُجَٰدِلُ/yujadilu//اللّٰهَ/ٱللَّهَ/al-laha//عَنْهُمْ/عَنۡهُمۡ/anhum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//اَمْ/أَم/am//مَّنْ/مَّن/man//یَّكُوْنُ/يَكُونُ/yakunu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "হ্যাঁ তোমরাই//ঐসব লোক (যারা)//তোমরা ঝগড়া করেছ//তাদের পক্ষে//(মধ্যে)//জীবনে//দুনিয়ায়//কে অতঃপর//ঝগড়া করবে//আল্লাহর (সাথে)//তাদের পক্ষে//দিনে//কিয়ামাতের//অথবা//কে//হবে//তাদের পক্ষে//উকিল"
            },
            {
              "number": 603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/603.mp3"
              ],
              "text": "وَمَن يَعْمَلْ سُوٓءًا أَوْ يَظْلِمْ نَفْسَهُۥ ثُمَّ يَسْتَغْفِرِ ٱللَّهَ يَجِدِ ٱللَّهَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "যে গোনাহ, করে কিংবা নিজের অনিষ্ট করে, অতঃপর আল্লাহর কাছে ক্ষমা প্রার্থনা করে, সে আল্লাহকে ক্ষমাশীল, করুণাময় পায়।",
              "numberInSurah": 110,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাইঁ ইয়া‘মাল ছূআন আও ইয়াজলিম নাফছাহূছু ম্মা ইয়াছতাগফিরিল্লা-হা ইয়াজিদিল্লাহা গাফূরার রাহীমা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//سُوْٓءًا/سُوٓءًا/suan//اَوْ/أَوۡ/aw//یَظْلِمْ/يَظۡلِمۡ/yazlim//نَفْسَهٗ/نَفۡسَهُۥ/nafsahu//ثُمَّ/ثُمَّ/thumma//یَسْتَغْفِرِ/يَسۡتَغۡفِرِ/yastaghfiri//اللّٰهَ/ٱللَّهَ/al-laha//یَجِدِ/يَجِدِ/yajidi//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "এবং যে//কাজ করবে//মন্দ//বা//জুলুম করবে//তার নিজের উপর//এরপর//ক্ষমা চাইবে//আল্লাহর (কাছে)//সে পাবে//আল্লাহকে//ক্ষমাশীল//মেহেরবান হিসেবে"
            },
            {
              "number": 604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/604.mp3"
              ],
              "text": "وَمَن يَكْسِبْ إِثْمًۭا فَإِنَّمَا يَكْسِبُهُۥ عَلَىٰ نَفْسِهِۦ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "যে কেউ পাপ করে, সে নিজের পক্ষেই করে। আল্লাহ মহাজ্ঞানী, প্রজ্ঞাময়।",
              "numberInSurah": 111,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাই ইয়াকছিব ইছমান ফাইন্নামা-ইয়াকছিবুহূ‘আলা-নাফছিহী ওয়া কা-নাল্লা-হু ‘আলীমান হাকীমা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّكْسِبْ/يَكۡسِبۡ/yaksib//اِثْمًا/إِثۡمٗا/ith'man//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَكْسِبُهٗ/يَكۡسِبُهُۥ/yaksibuhu//عَلٰی/عَلَىٰ/ala//نَفْسِهٖ ؕ/نَفۡسِهِۦۚ/nafsihi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "আর যে//অর্জন করে//গুনাহ//তাহলে মূলত//তা অর্জন করে সে//উপর//তার নিজের//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/605.mp3"
              ],
              "text": "وَمَن يَكْسِبْ خَطِيٓـَٔةً أَوْ إِثْمًۭا ثُمَّ يَرْمِ بِهِۦ بَرِيٓـًۭٔا فَقَدِ ٱحْتَمَلَ بُهْتَٰنًۭا وَإِثْمًۭا مُّبِينًۭا",
              "translate_bn": "যে ব্যক্তি ভূল কিংবা গোনাহ করে, অতঃপর কোন নিরপরাধের উপর অপবাদ আরোপ করে সে নিজের মাথায় বহন করে জঘন্য মিথ্যা ও প্রকাশ্য গোনাহ।",
              "numberInSurah": 112,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 77,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াকছিব খাতীআতান আও ইছমান ছু ম্মা ইয়ারমি বিহী বারীআন ফাকাদিহতামালা বুহতা-নাওঁ ওয়া ইছমাম মুবীনা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّكْسِبْ/يَكۡسِبۡ/yaksib//خَطِیْٓئَةً/خَطِيٓـَٔةً/khatiatan//اَوْ/أَوۡ/aw//اِثْمًا/إِثۡمٗا/ith'man//ثُمَّ/ثُمَّ/thumma//یَرْمِ/يَرۡمِ/yarmi//بِهٖ/بِهِۦ/bihi//بَرِیْٓـًٔا/بَرِيٓـٔٗا/barian//فَقَدِ/فَقَدِ/faqadi//احْتَمَلَ/ٱحۡتَمَلَ/ih'tamala//بُهْتَانًا/بُهۡتَٰنٗا/buh'tanan//وَّ اِثْمًا/وَإِثۡمٗا/wa-ith'man//مُّبِیْنًا۠/مُّبِينٗا/mubinan",
              "words_bangla": "এবং যে//অর্জন করে//অন্যায়//বা//পাপ কাজ//এরপর//চাপিয়ে দেয়//তা//নির্দোষের (উপর)//নিশ্চয় তবে//সে বহন করল//মিথ্যা অপবাদ//ও পাপ//সুস্পষ্ট"
            },
            {
              "number": 606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/606.mp3"
              ],
              "text": "وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكَ وَرَحْمَتُهُۥ لَهَمَّت طَّآئِفَةٌۭ مِّنْهُمْ أَن يُضِلُّوكَ وَمَا يُضِلُّونَ إِلَّآ أَنفُسَهُمْ ۖ وَمَا يَضُرُّونَكَ مِن شَىْءٍۢ ۚ وَأَنزَلَ ٱللَّهُ عَلَيْكَ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَعَلَّمَكَ مَا لَمْ تَكُن تَعْلَمُ ۚ وَكَانَ فَضْلُ ٱللَّهِ عَلَيْكَ عَظِيمًۭا",
              "translate_bn": "যদি আপনার প্রতি আল্লাহর অনুগ্রহ ও করুণা না হত, তবে তাদের একদল আপনাকে পথভ্রষ্ট করার সংকল্প করেই ফেলেছিল। তারা পথভ্রান্ত করতে পারে না কিন্তু নিজেদেরকেই এবং আপনার কোন অনিষ্ট করতে পারে না। আল্লাহ আপনার প্রতি ঐশী গ্রন্থ ও প্রজ্ঞা অবতীর্ণ করেছেন এবং আপনাকে এমন বিষয় শিক্ষা দিয়েছেন, যা আপনি জানতেন না। আপনার প্রতি আল্লাহর করুণা অসীম।",
              "numberInSurah": 113,
              "juz": 5,
              "manzil": 1,
              "page": 96,
              "ruku": 78,
              "hizbQuarter": 38,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলা-ফাদলুল্লা-হি ‘আলাইকা ওয়া রাহমাতুহূলাহাম্মাত তাইফাতুম মিনহুম আইঁ ইউদিললূকা ওয়ামা-ইউদিললূনা ইলাআনফুছাহুম ওয়ামা-ইয়াদুররূনাকা মিন শাইইওঁ ওয়া আনঝালাল্লা-হু ‘আলাইকাল কিতা-বা ওয়াল হিকমাতা ওয়া ‘আল্লামাকা মা-লাম তাকুন তা‘লামু ওয়াকা-না ফাদলুল্লা-হি ‘আল্লাইকা ‘আজীমা-।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكَ/عَلَيۡكَ/alayka//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//لَهَمَّتْ/لَهَمَّت/lahammat//طَّآىِٕفَةٌ/طَّآئِفَةٞ/taifatun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَنْ/أَن/an//یُّضِلُّوْكَ ؕ/يُضِلُّوكَ/yudilluka//وَ مَا/وَمَا/wama//یُضِلُّوْنَ/يُضِلُّونَ/yudilluna//اِلَّاۤ/إِلَّآ/illa//اَنْفُسَهُمْ/أَنفُسَهُمۡۖ/anfusahum//وَ مَا/وَمَا/wama//یَضُرُّوْنَكَ/يَضُرُّونَكَ/yadurrunaka//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ عَلَّمَكَ/وَعَلَّمَكَ/wa'allamaka//مَا/مَا/ma//لَمْ/لَمۡ/lam//تَكُنْ/تَكُن/takun//تَعْلَمُ ؕ/تَعۡلَمُۚ/ta'lamu//وَ كَانَ/وَكَانَ/wakana//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكَ/عَلَيۡكَ/alayka//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "এবং যদি না//অনুগ্রহ (হত)//আল্লাহর//তোমার উপর//ও তাঁর রহমত (তবে)//সংকল্প করেই ফেলেছিল//একদল//তাদের মধ্য হতে//যে//তোমাকে পথভ্রষ্ট করবে//এবং না//তারা পথভ্রষ্ট করবে//এছাড়া//তাদের নিজেদেরকে//এবং না//তোমাকে তারা ক্ষতি করতে পারে//(থেকে)//কোন কিছুই//এবং নাযিল করেছেন//আল্লাহ//তোমার উপর//কিতাব//ও বুদ্ধিমত্তা//ও তোমাকে শিক্ষা দিয়েছেন//যা//না//(না)//তুমি জানতে//এবং হল//অনুগ্রহ//আল্লাহর//তোমার উপর//বিরাট"
            },
            {
              "number": 607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/607.mp3"
              ],
              "text": "۞ لَّا خَيْرَ فِى كَثِيرٍۢ مِّن نَّجْوَىٰهُمْ إِلَّا مَنْ أَمَرَ بِصَدَقَةٍ أَوْ مَعْرُوفٍ أَوْ إِصْلَٰحٍۭ بَيْنَ ٱلنَّاسِ ۚ وَمَن يَفْعَلْ ذَٰلِكَ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ فَسَوْفَ نُؤْتِيهِ أَجْرًا عَظِيمًۭا",
              "translate_bn": "তাদের অধিকাংশ সলা-পরামর্শ ভাল নয়; কিন্তু যে সলা-পরামর্শ দান খয়রাত করতে কিংবা সৎকাজ করতে কিংবা মানুষের মধ্যে সন্ধিস্থাপন কল্পে করতো তা স্বতন্ত্র। যে একাজ করে আল্লাহর সন্তুষ্টির জন্যে আমি তাকে বিরাট ছওয়াব দান করব।",
              "numberInSurah": 114,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 78,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "লা-খাইরা ফী কাছীরিম মিন নাজওয়া-হুম ইল্লা-মান আমারা বিসাদাকাতিন আও মা‘রূফিন আও ইসলা-হিম বাইনান্না-ছি ওয়া মাইঁ ইয়াফ‘আল যা-লিকাব তিগাআ মারদাতিল্লা-হি ফাছাওফা নু’তীহি আজরান ‘আজীমা-।",
              "words_arabic": "لَا/۞لَّا/la//خَیْرَ/خَيۡرَ/khayra//فِیْ/فِي/fi//كَثِیْرٍ/كَثِيرٖ/kathirin//مِّنْ/مِّن/min//نَّجْوٰىهُمْ/نَّجۡوَىٰهُمۡ/najwahum//اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اَمَرَ/أَمَرَ/amara//بِصَدَقَةٍ/بِصَدَقَةٍ/bisadaqatin//اَوْ/أَوۡ/aw//مَعْرُوْفٍ/مَعۡرُوفٍ/ma'rufin//اَوْ/أَوۡ/aw//اِصْلَاحٍۭ/إِصۡلَٰحِۭ/is'lahin//بَیْنَ/بَيۡنَ/bayna//النَّاسِ ؕ/ٱلنَّاسِۚ/al-nasi//وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//مَرْضَاتِ/مَرۡضَاتِ/mardati//اللّٰهِ/ٱللَّهِ/al-lahi//فَسَوْفَ/فَسَوۡفَ/fasawfa//نُؤْتِیْهِ/نُؤۡتِيهِ/nu'tihi//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "নাই//কোন কল্যাণ//মধ্যে//অধিকাংশের//(থেকে)//তাদের গোপন পরামর্শের//তবে (দোষ নেই তার শলাপরামর্শে)//যে//নির্দেশ দেয়//দান খয়রাতের//বা//সৎকাজের//বা//সন্ধি স্থাপনের//মাঝে//লোকদের//এবং যে//করে//এরূপ//সন্ধানে//সন্তুষ্টির//আল্লাহর//শীঘ্রই সেক্ষেত্রে//তাকে আমরা দেব//প্রতিফল//বিরাট"
            },
            {
              "number": 608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/608.mp3"
              ],
              "text": "وَمَن يُشَاقِقِ ٱلرَّسُولَ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُ ٱلْهُدَىٰ وَيَتَّبِعْ غَيْرَ سَبِيلِ ٱلْمُؤْمِنِينَ نُوَلِّهِۦ مَا تَوَلَّىٰ وَنُصْلِهِۦ جَهَنَّمَ ۖ وَسَآءَتْ مَصِيرًا",
              "translate_bn": "যে কেউ রসূলের বিরুদ্ধাচারণ করে, তার কাছে সরল পথ প্রকাশিত হওয়ার পর এবং সব মুসলমানের অনুসৃত পথের বিরুদ্ধে চলে, আমি তাকে ঐ দিকেই ফেরাব যে দিক সে অবলম্বন করেছে এবং তাকে জাহান্নামে নিক্ষেপ করব। আর তা নিকৃষ্টতর গন্তব্যস্থান।",
              "numberInSurah": 115,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 78,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউশাকিকিররাছূলা মিম বা‘দি মা-তাবাইইয়ানা লাহুল হুদা-ওয়া ইয়াত্তাবি‘ গাইরা ছাবীলিল মু’মিনীনা নুওয়ালিল হী মা-তাওয়াল্লা-ওয়ানুসলিহী জাহান্নামা ওয়া ছাআত মাসীরা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یُّشَاقِقِ/يُشَاقِقِ/yushaqiqi//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهُ/لَهُ/lahu//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//وَ یَتَّبِعْ/وَيَتَّبِعۡ/wayattabi'//غَیْرَ/غَيۡرَ/ghayra//سَبِیْلِ/سَبِيلِ/sabili//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//نُوَلِّهٖ/نُوَلِّهِۦ/nuwallihi//مَا/مَا/ma//تَوَلّٰی/تَوَلَّىٰ/tawalla//وَ نُصْلِهٖ/وَنُصۡلِهِۦ/wanus'lihi//جَهَنَّمَ ؕ/جَهَنَّمَۖ/jahannama//وَ سَآءَتْ/وَسَآءَتۡ/wasaat//مَصِیْرًا۠/مَصِيرًا/masiran",
              "words_bangla": "এবং যে//বিরুদ্ধাচারণ করে//রাসূলের//(থেকে)//এরপরেও//যা//সুস্পষ্ট হয়েছে//তার কাছে//সৎ পথ//ও অনুসরণ করে//ব্যতীত//পথ//মু'মিনদের (তাহলে)//তাকে ফিরাব আমরা//(সে দিকেই) যে দিকে//সে ফিরেছে//ও তাকে দগ্ধ করব আমরা//জাহান্নামে//এবং (তা) কত নিকৃষ্ট//গন্তব্যস্থল"
            },
            {
              "number": 609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/609.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَا يَغْفِرُ أَن يُشْرَكَ بِهِۦ وَيَغْفِرُ مَا دُونَ ذَٰلِكَ لِمَن يَشَآءُ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَقَدْ ضَلَّ ضَلَٰلًۢا بَعِيدًا",
              "translate_bn": "নিশ্চয় আল্লাহ তাকে ক্ষমা করেন না, যে তাঁর সাথে কাউকে শরীক করে। এছাড়া যাকে ইচ্ছা, ক্ষমা করেন। যে আল্লাহর সাথে শরীক করে সে সুদূর ভ্রান্তিতে পতিত হয়।",
              "numberInSurah": 116,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াগফিরু আইঁ ইউশরাকা বিহী ওয়া ইয়াগফিরু মা-দূ না যা-লিকা লিমাই ইয়াশাউ ওয়ামাইঁ ইউশরিক বিল্লা-হিফাকাদ দাল্লা দালা-লাম বা‘ঈদা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَغْفِرُ/يَغۡفِرُ/yaghfiru//اَنْ/أَن/an//یُّشْرَكَ/يُشۡرَكَ/yush'raka//بِهٖ/بِهِۦ/bihi//وَ یَغْفِرُ/وَيَغۡفِرُ/wayaghfiru//مَا/مَا/ma//دُوْنَ/دُونَ/duna//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَن/liman//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ مَنْ/وَمَن/waman//یُّشْرِكْ/يُشۡرِكۡ/yush'rik//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//ضَلٰلًۢا/ضَلَٰلَۢا/dalalan//بَعِیْدًا /بَعِيدًا/ba'idan",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//না//মাফ করেন//(যে)//শিরক করাকে//তার সাথে//কিন্তু মাফ করবেন//যা (আছে)//ব্যতীত//এটা//যাকে//তিনি ইচ্ছে করবেন//ও যে//শিরক করে//আল্লাহর সাথে//নিশ্চয় অতঃপর//সে পথভ্রষ্ট হয়েছে//পথভ্রষ্টতায়//বহুদূরে"
            },
            {
              "number": 610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/610.mp3"
              ],
              "text": "إِن يَدْعُونَ مِن دُونِهِۦٓ إِلَّآ إِنَٰثًۭا وَإِن يَدْعُونَ إِلَّا شَيْطَٰنًۭا مَّرِيدًۭا",
              "translate_bn": "তারা আল্লাহকে পরিত্যাগ করে শুধু নারীর আরাধনা করে এবং শুধু অবাধ্য শয়তানের পূজা করে।",
              "numberInSurah": 117,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াদ‘ঊনা মিন দূ নিহী ইল্লা ইনা-ছাওঁ ওয়াই ইয়াদ‘ঊনা ইল্লা-শাইতা-নাম মারীদা-।",
              "words_arabic": "اِنْ/إِن/in//یَّدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اِلَّاۤ/إِلَّآ/illa//اِنٰثًا ۚ/إِنَٰثٗا/inathan//وَ اِنْ/وَإِن/wa-in//یَّدْعُوْنَ/يَدۡعُونَ/yad'una//اِلَّا/إِلَّا/illa//شَیْطٰنًا/شَيۡطَٰنٗا/shaytanan//مَّرِیْدًاۙ/مَّرِيدٗا/maridan",
              "words_bangla": "না//তারা ডাকে//(থেকে)//তাঁকে ছাড়া//কিন্তু//দেবীদেরকে//এবং না//তারা ডাকে//এছাড়া//শয়তানকে//বিদ্রোহী"
            },
            {
              "number": 611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/611.mp3"
              ],
              "text": "لَّعَنَهُ ٱللَّهُ ۘ وَقَالَ لَأَتَّخِذَنَّ مِنْ عِبَادِكَ نَصِيبًۭا مَّفْرُوضًۭا",
              "translate_bn": "যার প্রতি আল্লাহ অভিসম্পাত করেছেন। শয়তান বললঃ আমি অবশ্যই তোমার বান্দাদের মধ্য থেকে নির্দিষ্ট অংশ গ্রহণ করব।",
              "numberInSurah": 118,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "লা‘আনাহুল্লা-হু । ওয়াকা-লা লাআত্তাখিযান্না মিন ‘ইবা-দিকা নাসীবাম মাফরূদা-।",
              "words_arabic": "لَّعَنَهُ/لَّعَنَهُ/la'anahu//اللّٰهُ ۘ/ٱللَّهُۘ/al-lahu//وَ قَالَ/وَقَالَ/waqala//لَاَتَّخِذَنَّ/لَأَتَّخِذَنَّ/la-attakhidhanna//مِنْ/مِنۡ/min//عِبَادِكَ/عِبَادِكَ/ibadika//نَصِیْبًا/نَصِيبٗا/nasiban//مَّفْرُوْضًاۙ/مَّفۡرُوضٗا/mafrudan",
              "words_bangla": "যাকে লানত দিয়েছেন//আল্লাহ//এবং (শয়তান) বলেছিল//''আমি অবশ্যই নিয়ে ছাড়ব//মধ্য হতে//তোমার বান্দাদের//এক অংশ//নির্দিষ্ট''"
            },
            {
              "number": 612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/612.mp3"
              ],
              "text": "وَلَأُضِلَّنَّهُمْ وَلَأُمَنِّيَنَّهُمْ وَلَءَامُرَنَّهُمْ فَلَيُبَتِّكُنَّ ءَاذَانَ ٱلْأَنْعَٰمِ وَلَءَامُرَنَّهُمْ فَلَيُغَيِّرُنَّ خَلْقَ ٱللَّهِ ۚ وَمَن يَتَّخِذِ ٱلشَّيْطَٰنَ وَلِيًّۭا مِّن دُونِ ٱللَّهِ فَقَدْ خَسِرَ خُسْرَانًۭا مُّبِينًۭا",
              "translate_bn": "তাদেরকে পথভ্রষ্ট করব, তাদেরকে আশ্বাস দেব; তাদেরকে পশুদের কর্ণ ছেদন করতে বলব এবং তাদেরকে আল্লাহর সৃষ্ট আকৃতি পরিবর্তন করতে আদেশ দেব। যে কেউ আল্লাহকে ছেড়ে শয়তানকে বন্ধুরূপে গ্রহণ করে, সে প্রকাশ্য ক্ষতিতে পতিত হয়।",
              "numberInSurah": 119,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা উদিল্লান্নাহুম ওয়ালা উমান্নিইয়ান্নাহুম ওয়ালা আ-মুরান্নাহুম ফালাইউবাত্তিকুন্না আ-যানাল আন‘আ-মি ওয়ালাআ-মুরান্নাহুম ফালাইউগাইয়িরুন্না খালকাল্লা-হি ওয়ামাইঁ ইয়াত্তাখিযিশশাইতা-না ওয়ালিইইয়াম মিন দূ নিল্লা-হি ফাকাদ খাছিরা খুছরা-নাম মুবীনা-।",
              "words_arabic": "وَّ لَاُضِلَّنَّهُمْ/وَلَأُضِلَّنَّهُمۡ/wala-udillannahum//وَ لَاُمَنِّیَنَّهُمْ/وَلَأُمَنِّيَنَّهُمۡ/wala-umanniyannahum//وَ لَاٰمُرَنَّهُمْ/وَلَأٓمُرَنَّهُمۡ/walaamurannahum//فَلَیُبَتِّكُنَّ/فَلَيُبَتِّكُنَّ/falayubattikunna//اٰذَانَ/ءَاذَانَ/adhana//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//وَ لَاٰمُرَنَّهُمْ/وَلَأٓمُرَنَّهُمۡ/walaamurannahum//فَلَیُغَیِّرُنَّ/فَلَيُغَيِّرُنَّ/falayughayyirunna//خَلْقَ/خَلۡقَ/khalqa//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ مَنْ/وَمَن/waman//یَّتَّخِذِ/يَتَّخِذِ/yattakhidhi//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//وَلِیًّا/وَلِيّٗا/waliyyan//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//فَقَدْ/فَقَدۡ/faqad//خَسِرَ/خَسِرَ/khasira//خُسْرَانًا/خُسۡرَانٗا/khus'ranan//مُّبِیْنًاؕ/مُّبِينٗا/mubinan",
              "words_bangla": "''এবং তাদের আমি অবশ্যই পথভ্রষ্ট করব//এবং তাদের আমি অবশ্যই আশা আকাঙ্ক্ষা দিব//এবং তাদের আমি অবশ্যই নির্দেশ দেব//অতঃপর তারা অবশ্যই ছেদ করবে//কানগুলো//গবাদিপশুর//ও তাদের অবশ্যই আমি নির্দেশ দেব//অতঃপর তারা অবশ্যই বিকৃত করবে//সৃষ্টিকে//আল্লাহর''//এবং যে//গ্রহণ করে//শয়তানকে//অভিভাবকরূপে//(থেকে)//ছাড়া//আল্লাহ//নিশ্চয়ই তবে//সে ক্ষতিগ্রস্ত হয়//ক্ষতিতে//প্রকাশ্য"
            },
            {
              "number": 613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/613.mp3"
              ],
              "text": "يَعِدُهُمْ وَيُمَنِّيهِمْ ۖ وَمَا يَعِدُهُمُ ٱلشَّيْطَٰنُ إِلَّا غُرُورًا",
              "translate_bn": "সে তাদেরকে প্রতিশ্রুতি দেয় এবং তাদেরকে আশ্বাস দেয়। শয়তান তাদেরকে যে প্রতিশ্রুতি দেয়, তা সব প্রতারণা বৈ নয়।",
              "numberInSurah": 120,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘ইদূ হুম ওয়া ইউমান্নীহিম ওয়ামা-ইয়া‘ইদুহুমশশাইতা-নুইল্লা-গুরূরা-।",
              "words_arabic": "یَعِدُهُمْ/يَعِدُهُمۡ/ya'iduhum//وَ یُمَنِّیْهِمْ ؕ/وَيُمَنِّيهِمۡۖ/wayumannihim//وَ مَا/وَمَا/wama//یَعِدُهُمُ/يَعِدُهُمُ/ya'iduhumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اِلَّا/إِلَّا/illa//غُرُوْرًا /غُرُورًا/ghururan",
              "words_bangla": "তাদের ওয়াদা দেয় সে//ও তাদের আশা দেয়//এবং না//তাদের ওয়াদা দেয়//শয়তান//এছাড়া//প্রতারণা"
            },
            {
              "number": 614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/614.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ مَأْوَىٰهُمْ جَهَنَّمُ وَلَا يَجِدُونَ عَنْهَا مَحِيصًۭا",
              "translate_bn": "তাদের বাসস্থান জাহান্নাম। তারা সেখান থেকে কোথাও পালাবার জায়গা পাবে না।",
              "numberInSurah": 121,
              "juz": 5,
              "manzil": 1,
              "page": 97,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "উলাইকা মা’ওয়া-হুম জাহান্নামু ওয়ালা-ইয়াজিদূ না ‘আনহা-মাহীসা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//مَاْوٰىهُمْ/مَأۡوَىٰهُمۡ/mawahum//جَهَنَّمُ ؗ/جَهَنَّمُ/jahannamu//وَ لَا/وَلَا/wala//یَجِدُوْنَ/يَجِدُونَ/yajiduna//عَنْهَا/عَنۡهَا/anha//مَحِیْصًا /مَحِيصٗا/mahisan",
              "words_bangla": "ঐসব লোক//তাদের আশ্রয়স্থল//জাহান্নাম//এবং না//তারা পাবে//তা থেকে//পালানোর জায়গা"
            },
            {
              "number": 615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/615.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ سَنُدْخِلُهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۖ وَعْدَ ٱللَّهِ حَقًّۭا ۚ وَمَنْ أَصْدَقُ مِنَ ٱللَّهِ قِيلًۭا",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছে এবং সৎকর্ম করেছে, আমি তাদেরকে উদ্যানসমূহে প্রবিষ্ট করাব, যেগুলোর তলদেশে নহরসমূহ প্রবাহিত হয়। তারা চিরকাল তথায় অবস্থান করবে। আল্লাহ প্রতিশ্রুতি দিয়েছেন সত্য সত্য। আল্লাহর চাইতে অধিক সত্যবাদী কে?",
              "numberInSurah": 122,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ছানুদখিলুহুম জান্নাতিন তাজরি মিন তা হতিহাল আনহা-রু খালিদীনা ফীহা-আবাদাওঁ ওয়া‘দাল্লা-হি হাক্কাওঁ ওয়ামান আসদাকুমিনাল্লা-হি কীলা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//سَنُدْخِلُهُمْ/سَنُدۡخِلُهُمۡ/sanud'khiluhum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۖ/abadan//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقًّا ؕ/حَقّٗاۚ/haqqan//وَ مَنْ/وَمَنۡ/waman//اَصْدَقُ/أَصۡدَقُ/asdaqu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//قِیْلًا /قِيلٗا/qilan",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও কাজ করেছে//নেকীর//তাদের প্রবেশ করাব আমরা//জান্নাতে//প্রবাহিত হয়//(থেকে)//তার পাদদেশে//ঝর্ণাধারাসমুহ//তারা অবস্থানকারী হবে//তার মধ্যে//চিরকাল//ওয়াদা//আল্লাহর//সত্য//এবং কে//অধিক সত্যবাদী//চেয়ে//আল্লাহর//কথায়"
            },
            {
              "number": 616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/616.mp3"
              ],
              "text": "لَّيْسَ بِأَمَانِيِّكُمْ وَلَآ أَمَانِىِّ أَهْلِ ٱلْكِتَٰبِ ۗ مَن يَعْمَلْ سُوٓءًۭا يُجْزَ بِهِۦ وَلَا يَجِدْ لَهُۥ مِن دُونِ ٱللَّهِ وَلِيًّۭا وَلَا نَصِيرًۭا",
              "translate_bn": "তোমাদের আশার উপর ও ভিত্তি নয় এবং আহলে-কিতাবদের আশার উপরও না। যে কেউ মন্দ কাজ করবে, সে তার শাস্তি পাবে এবং সে আল্লাহ ছাড়া নিজের কোন সমর্থক বা সাহায্যকারী পাবে না।",
              "numberInSurah": 123,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "লাইছা বিআমা-নিইইয়ুকুম ওয়ালাআমা-নিইয়ি আহলিল কিতাবি মাইঁ ইয়া‘মাল ছূআইঁ ইউজঝা বিহী ওয়ালা-ইয়াজিদ লাহু মিন দূ নিল্লা-হি ওয়ালিইইয়াওঁ ওয়ালা-নাসীরা-।",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//بِاَمَانِیِّكُمْ/بِأَمَانِيِّكُمۡ/bi-amaniyyikum//وَ لَاۤ/وَلَآ/wala//اَمَانِیِّ/أَمَانِيِّ/amaniyyi//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ ؕ/ٱلۡكِتَٰبِۗ/al-kitabi//مَنْ/مَن/man//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//سُوْٓءًا/سُوٓءٗا/suan//یُّجْزَ/يُجۡزَ/yuj'za//بِهٖ ۙ/بِهِۦ/bihi//وَ لَا/وَلَا/wala//یَجِدْ/يَجِدۡ/yajid//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "না (হবে শেষ পরিণিতি)//তোমাদের আকাঙ্ক্ষা অনুযায়ী//আর না//আকাঙ্ক্ষা (অনুযায়ী)//আহলি//কিতাবদের//যে//কাজ করবে//মন্দ//প্রতিফল দেয়া হবে//সে অনুযায়ী//এবং না//সে পাবে//তার জন্য//(থেকে)//ছাড়া//আল্লাহ//কোন অভিভাবক//এবং না//কোন সাহায্যকারী"
            },
            {
              "number": 617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/617.mp3"
              ],
              "text": "وَمَن يَعْمَلْ مِنَ ٱلصَّٰلِحَٰتِ مِن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌۭ فَأُو۟لَٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ وَلَا يُظْلَمُونَ نَقِيرًۭا",
              "translate_bn": "যে লোক পুরুষ হোক কিংবা নারী, কোন সৎকর্ম করে এবং বিশ্বাসী হয়, তবে তারা জান্নাতে প্রবেশ করবে এবং তাদের প্রাপ্য তিল পরিমাণ ও নষ্ট হবে না।",
              "numberInSurah": 124,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়া‘মাল মিনাসসা-লিহা-তি মিন যাকারিন আও উনছা-ওয়া হুওয়া মু’মিনুন ফাউলাইকা ইয়াদখুলূনাল জান্নাতা ওয়ালা-ইউজলামূনা নাকীরা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//مِنَ/مِنَ/mina//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//مِنْ/مِن/min//ذَكَرٍ/ذَكَرٍ/dhakarin//اَوْ/أَوۡ/aw//اُنْثٰی/أُنثَىٰ/untha//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ لَا/وَلَا/wala//یُظْلَمُوْنَ/يُظۡلَمُونَ/yuz'lamuna//نَقِیْرًا /نَقِيرٗا/naqiran",
              "words_bangla": "এবং যে//কাজ করবে//(থেকে)//নেকীসমূহের//মধ্য হতে//পুরুষদের//অথবা//নারীদের//এবং সে//মু'মিনও//ঐসব লোক তখন//প্রবেশ করবে//জান্নাতে//এবং না//জুলুম করা হবে//সামান্য পরিমাণেও"
            },
            {
              "number": 618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/618.mp3"
              ],
              "text": "وَمَنْ أَحْسَنُ دِينًۭا مِّمَّنْ أَسْلَمَ وَجْهَهُۥ لِلَّهِ وَهُوَ مُحْسِنٌۭ وَٱتَّبَعَ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًۭا ۗ وَٱتَّخَذَ ٱللَّهُ إِبْرَٰهِيمَ خَلِيلًۭا",
              "translate_bn": "যে আল্লাহর নির্দেশের সামনে মস্তক অবনত করে সৎকাজে নিয়োজিত থাকে এবং ইব্রাহীমের ধর্ম অনুসরণ করে, যিনি একনিষ্ঠ ছিলেন, তার চাইতে উত্তম ধর্ম কার? আল্লাহ ইব্রাহীমকে বন্ধুরূপে গ্রহণ করেছেন।",
              "numberInSurah": 125,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আহছানুদীনাম মিম্মান আছলামা ওয়াজহাহূলিল্লা-হি ওয়া হুওয়া মুহছিনুওঁ ওয়াত্তাবা‘আ মিল্লাতা ইবরা-হীমা হানীফাওঁ ওয়াত্তাখাযাল্লা-হু ইবরা-হীমা খালীলা-।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَحْسَنُ/أَحۡسَنُ/ahsanu//دِیْنًا/دِينٗا/dinan//مِّمَّنْ/مِّمَّنۡ/mimman//اَسْلَمَ/أَسۡلَمَ/aslama//وَجْهَهٗ/وَجۡهَهُۥ/wajhahu//لِلّٰهِ/لِلَّهِ/lillahi//وَ هُوَ/وَهُوَ/wahuwa//مُحْسِنٌ/مُحۡسِنٞ/muh'sinun//وَّ اتَّبَعَ/وَٱتَّبَعَ/wa-ittaba'a//مِلَّةَ/مِلَّةَ/millata//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//حَنِیْفًا ؕ/حَنِيفٗاۗ/hanifan//وَ اتَّخَذَ/وَٱتَّخَذَ/wa-ittakhadha//اللّٰهُ/ٱللَّهُ/al-lahu//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//خَلِیْلًا /خَلِيلٗا/khalilan",
              "words_bangla": "এবং কার//উত্তম//জীবন-যাপন পন্থা//(তার) চেয়ে যে//আত্মসমর্পণ করল//তার নিজেকে//আল্লাহর কাছে//এবং সে//সৎকর্মশীলও//এবং অনুসরণ করল//পন্থা//ইবরাহীমের//একনিষ্ঠভাবে//এবং গ্রহণ করেছেন//আল্লাহ//ইবরাহীমকে//বন্ধু হিসেবে"
            },
            {
              "number": 619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/619.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍۢ مُّحِيطًۭا",
              "translate_bn": "যা কিছু নভোন্ডলে আছে এবং যা কিছু ভুমন্ডলে আছে, সব আল্লাহরই। সব বস্তু আল্লাহর মুষ্ঠি বলয়ে।",
              "numberInSurah": 126,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 79,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়াকা-নাল্লা-হু বিকুল্লি শাইইম মুহীতা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٖ/shayin//مُّحِیْطًا۠/مُّحِيطٗا/muhitan",
              "words_bangla": "এবং আল্লাহরই জন্য//যা কিছু (আছে)//মধ্যে//আসমানসমূহের//ও যা কিছু (আছে)//মধ্যে//পৃথিবীর//এবং হলেন//আল্লাহ//সব//কিছুকে//পরিবেষ্টনকারী"
            },
            {
              "number": 620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/620.mp3"
              ],
              "text": "وَيَسْتَفْتُونَكَ فِى ٱلنِّسَآءِ ۖ قُلِ ٱللَّهُ يُفْتِيكُمْ فِيهِنَّ وَمَا يُتْلَىٰ عَلَيْكُمْ فِى ٱلْكِتَٰبِ فِى يَتَٰمَى ٱلنِّسَآءِ ٱلَّٰتِى لَا تُؤْتُونَهُنَّ مَا كُتِبَ لَهُنَّ وَتَرْغَبُونَ أَن تَنكِحُوهُنَّ وَٱلْمُسْتَضْعَفِينَ مِنَ ٱلْوِلْدَٰنِ وَأَن تَقُومُوا۟ لِلْيَتَٰمَىٰ بِٱلْقِسْطِ ۚ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍۢ فَإِنَّ ٱللَّهَ كَانَ بِهِۦ عَلِيمًۭا",
              "translate_bn": "তারা আপনার কাছে নারীদের বিবাহের অনুমতি চায়। বলে দিনঃ আল্লাহ তোমাদেরকে তাদের সম্পর্কে অনুমতি দেন এবং কোরআনে তোমাদেরকে যা যা পাট করে শুনানো হয়, তা ঐ সব পিতৃহীনা-নারীদের বিধান, যাদের কে তোমরা নির্ধারিত অধিকার প্রদান কর না অথচ বিবাহ বন্ধনে আবদ্ধ করার বাসনা রাখ। আর অক্ষম শিশুদের বিধান এই যে, এতীমদের জন্যে ইনসাফের উপর কায়েম থাক। তোমরা যা ভাল কাজ করবে, তা আল্লাহ জানেন।",
              "numberInSurah": 127,
              "juz": 5,
              "manzil": 1,
              "page": 98,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতাফতূনাকা ফিননিছা-ই কুল্লিলা-হু ইউফতীকুম ফীহিন্না ওয়ামা-ইউতলা‘আলাইকুম ফিল কিতা-বি ফী ইয়াতা-মাননিছাইল্লা-তী লা-তু’তূনাহুন্না মা-কুতিবা লাহুন্না ওয়া তারগাবূনা আন তানকিহূহুন্না ওয়ালমুছতাদ‘আফীনা মিনাল বিলদা-নি ওয়া আন তাকূমূলিলইয়াতা-মা-বিলকিছতি ওয়ামা-তাফ‘আলূমিন খাইরিন ফাইন্নাল্লা-হা কানা বিহী ‘আলীমা-।",
              "words_arabic": "وَ یَسْتَفْتُوْنَكَ/وَيَسۡتَفۡتُونَكَ/wayastaftunaka//فِی/فِي/fi//النِّسَآءِ ؕ/ٱلنِّسَآءِۖ/al-nisai//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یُفْتِیْكُمْ/يُفۡتِيكُمۡ/yuf'tikum//فِیْهِنَّ ۙ/فِيهِنَّ/fihinna//وَ مَا/وَمَا/wama//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//فِیْ/فِي/fi//یَتٰمَی/يَتَٰمَى/yatama//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//الّٰتِیْ/ٱلَّـٰتِي/allati//لَا/لَا/la//تُؤْتُوْنَهُنَّ/تُؤۡتُونَهُنَّ/tu'tunahunna//مَا/مَا/ma//كُتِبَ/كُتِبَ/kutiba//لَهُنَّ/لَهُنَّ/lahunna//وَ تَرْغَبُوْنَ/وَتَرۡغَبُونَ/watarghabuna//اَنْ/أَن/an//تَنْكِحُوْهُنَّ/تَنكِحُوهُنَّ/tankihuhunna//وَ الْمُسْتَضْعَفِیْنَ/وَٱلۡمُسۡتَضۡعَفِينَ/wal-mus'tad'afina//مِنَ/مِنَ/mina//الْوِلْدَانِ ۙ/ٱلۡوِلۡدَٰنِ/al-wil'dani//وَ اَنْ/وَأَن/wa-an//تَقُوْمُوْا/تَقُومُواْ/taqumu//لِلْیَتٰمٰی/لِلۡيَتَٰمَىٰ/lil'yatama//بِالْقِسْطِ ؕ/بِٱلۡقِسۡطِۚ/bil-qis'ti//وَ مَا/وَمَا/wama//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِهٖ/بِهِۦ/bihi//عَلِیْمًا /عَلِيمٗا/aliman",
              "words_bangla": "এবং তোমাকে তারা ব্যবস্থা জিজ্ঞাসা করে//সম্পর্কে//স্ত্রীলোকদের//বল//''আল্লাহ//তোমাদের ব্যবস্থা বলে দিচ্ছেন//তাদের সম্পর্কে//এবং (তাও স্মরণ কর) যা//শুনান হয়েছে//তোমাদের নিকট//মধ্যে//(এই) কিতাবের//সম্পর্কে//ইয়াতীম//নারীদের//যাদেরকে//না//তাদের দাও তোমরা (প্রাপ্য)//যা//নির্ধারিত//তাদের জন্য//অথচ আগ্রহ কর তোমরা//(যে)//তোমরা বিবাহ করতে তাদেরকে//এবং অসহায়//(থেকে)//শিশুদের (সম্পর্কেও)//এবং (এও নির্দেশ দিচ্ছেন) যে//তোমরা কায়েম থাক//ইয়াতীমদের জন্য//ইনসাফের সাথে//এবং যা//তোমরা কর//(থেকে)//কল্যাণ//নিশ্চয়ই//আল্লাহ//হলেন//সে ব্যাপারে//সবিশেষ অবহিত"
            },
            {
              "number": 621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/621.mp3"
              ],
              "text": "وَإِنِ ٱمْرَأَةٌ خَافَتْ مِنۢ بَعْلِهَا نُشُوزًا أَوْ إِعْرَاضًۭا فَلَا جُنَاحَ عَلَيْهِمَآ أَن يُصْلِحَا بَيْنَهُمَا صُلْحًۭا ۚ وَٱلصُّلْحُ خَيْرٌۭ ۗ وَأُحْضِرَتِ ٱلْأَنفُسُ ٱلشُّحَّ ۚ وَإِن تُحْسِنُوا۟ وَتَتَّقُوا۟ فَإِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًۭا",
              "translate_bn": "যদি কোন নারী স্বীয় স্বামীর পক্ষ থেকে অসদাচরণ কিংবা উপেক্ষার আশংকা করে, তবে পরস্পর কোন মীমাংসা করে নিলে তাদের উভয়ের কোন গোনাহ নাই। মীমাংসা উত্তম। মনের সামনে লোভ বিদ্যমান আছে। যদি তোমরা উত্তম কাজ কর এবং খোদাভীরু হও, তবে, আল্লাহ তোমাদের সব কাজের খবর রাখেন।",
              "numberInSurah": 128,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইনিমরাআতুন খা-ফাত মিমবা‘লিহানুশূঝান আও ই‘রা-দান ফালা- জুনা-হা ‘আলাইহিমা-আইঁ ইউসলিহা-বাইনাহুমা-সুলহাওঁ ওয়াসসুলহুখাইরুওঁ ওয়া উহদিরাতিল আনফুছশশুহহা ওয়া ইন তুহছিনূওয়া তাত্তাকূফাইন্নাল্লা-হা কা-না বিমাতা‘মালূনা খাবীরা-।",
              "words_arabic": "وَ اِنِ/وَإِنِ/wa-ini//امْرَاَةٌ/ٱمۡرَأَةٌ/im'ra-atun//خَافَتْ/خَافَتۡ/khafat//مِنْۢ/مِنۢ/min//بَعْلِهَا/بَعۡلِهَا/ba'liha//نُشُوْزًا/نُشُوزًا/nushuzan//اَوْ/أَوۡ/aw//اِعْرَاضًا/إِعۡرَاضٗا/i'radan//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِمَاۤ/عَلَيۡهِمَآ/alayhima//اَنْ/أَن/an//یُّصْلِحَا/يُصۡلِحَا/yus'liha//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//صُلْحًا ؕ/صُلۡحٗاۚ/sul'han//وَ الصُّلْحُ/وَٱلصُّلۡحُ/wal-sul'hu//خَیْرٌ ؕ/خَيۡرٞۗ/khayrun//وَ اُحْضِرَتِ/وَأُحۡضِرَتِ/wa-uh'dirati//الْاَنْفُسُ/ٱلۡأَنفُسُ/al-anfusu//الشُّحَّ ؕ/ٱلشُّحَّۚ/al-shuha//وَ اِنْ/وَإِن/wa-in//تُحْسِنُوْا/تُحۡسِنُواْ/tuh'sinu//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرًا /خَبِيرٗا/khabiran",
              "words_bangla": "এবং যদি//কোন স্ত্রী//ভয় করে//থেকে//তার স্বামীর//দুর্ব্যবহারের//বা//উপেক্ষার//নাই তবে//কোন দোষ//তাদের দুজনের উপর//যে//দুজনে আপোষ করবে//তাদের দুজনের মাঝে//কোন আপোষ নিষ্পত্তি//এবং আপোষ নিষ্পত্তি//উত্তম//আর বিদ্যমান আছে//নফসগুলোতে//সংকীর্ণতা//এবং যদি//তোমরা ইহসান কর//ও তোমরা ভয় কর (আল্লাহকে)//নিশ্চয়ই তবে//আল্লাহ//হলেন//ঐ বিষয়ে যা//তোমরা কাজ কর//খুব অবহিত"
            },
            {
              "number": 622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/622.mp3"
              ],
              "text": "وَلَن تَسْتَطِيعُوٓا۟ أَن تَعْدِلُوا۟ بَيْنَ ٱلنِّسَآءِ وَلَوْ حَرَصْتُمْ ۖ فَلَا تَمِيلُوا۟ كُلَّ ٱلْمَيْلِ فَتَذَرُوهَا كَٱلْمُعَلَّقَةِ ۚ وَإِن تُصْلِحُوا۟ وَتَتَّقُوا۟ فَإِنَّ ٱللَّهَ كَانَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "তোমরা কখনও নারীদেরকে সমান রাখতে পারবে না, যদিও এর আকাঙ্ক্ষী হও। অতএব, সম্পূর্ণ ঝুঁকেও পড়ো না যে, একজনকে ফেলে রাখ দোদুল্যমান অবস্থায়। যদি সংশোধন কর এবং খোদাভীরু হও, তবে আল্লাহ ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 129,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া লান তাছতাতী‘ঊআন তা‘দিলূবাইনাননিছাই ওয়ালাও হারাসতুম ফালা-তামীলূকুল্লাল মাইলি ফাতাযারূহা-কালমু‘আল্লাকাতি ওয়া ইন তুসলিহূওয়া তাত্তাকূ ফাইন্নাল্লা-হা কা-না গাফূরার রাহীমা-।",
              "words_arabic": "وَ لَنْ/وَلَن/walan//تَسْتَطِیْعُوْۤا/تَسۡتَطِيعُوٓاْ/tastati'u//اَنْ/أَن/an//تَعْدِلُوْا/تَعۡدِلُواْ/ta'dilu//بَیْنَ/بَيۡنَ/bayna//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//وَ لَوْ/وَلَوۡ/walaw//حَرَصْتُمْ/حَرَصۡتُمۡۖ/harastum//فَلَا/فَلَا/fala//تَمِیْلُوْا/تَمِيلُواْ/tamilu//كُلَّ/كُلَّ/kulla//الْمَیْلِ/ٱلۡمَيۡلِ/al-mayli//فَتَذَرُوْهَا/فَتَذَرُوهَا/fatadharuha//كَالْمُعَلَّقَةِ ؕ/كَٱلۡمُعَلَّقَةِۚ/kal-mu'alaqati//وَ اِنْ/وَإِن/wa-in//تُصْلِحُوْا/تُصۡلِحُواْ/tus'lihu//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "এবং কক্ষনো না//তোমরা পারবে//করতে//তোমরা পূর্ণ সমতা//মাঝে//(একাধিক) স্ত্রীর//এবং যদিও//তোমরা আকাঙ্ক্ষা কর//তবে না//তোমরা ঝুঁকে পড়ো (একজনের দিকে)//একেবারেই//ঝুঁকা//তোমরা অতঃপর রেখো (না) তাকে (অর্থাৎ অপরকে)//ঝুলানো অবস্থা যেমন//এবং যদি//তোমরা সংশোধিত হও//ও তোমরা ভয় কর//নিশ্চয়ই তবে//আল্লাহ//হলেন//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/623.mp3"
              ],
              "text": "وَإِن يَتَفَرَّقَا يُغْنِ ٱللَّهُ كُلًّۭا مِّن سَعَتِهِۦ ۚ وَكَانَ ٱللَّهُ وَٰسِعًا حَكِيمًۭا",
              "translate_bn": "যদি উভয়েই বিচ্ছিন্ন হয়ে যায়, তবে আল্লাহ স্বীয় প্রশস্ততা দ্বারা প্রত্যেককে অমুখাপেক্ষী করে দিবেন। আল্লাহ সুপ্রশস্ত, প্রজ্ঞাময়।",
              "numberInSurah": 130,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইয়াতাফাররাকা-ইউগনিল্লা-হু কুল্লাম মিন ছা‘আতিহী ওয়া কা-নাল্লা-হু ওয়াছি‘আন হাকীমা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّتَفَرَّقَا/يَتَفَرَّقَا/yatafarraqa//یُغْنِ/يُغۡنِ/yugh'ni//اللّٰهُ/ٱللَّهُ/al-lahu//كُلًّا/كُلّٗا/kullan//مِّنْ/مِّن/min//سَعَتِهٖ ؕ/سَعَتِهِۦۚ/sa'atihi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//وَاسِعًا/وَٰسِعًا/wasi'an//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "আর যদি//তারা দুজনে পৃথক হয়//অভাবমুক্ত করবেন//আল্লাহ//প্রত্যেককে//দ্বারা//তাঁর প্রাচুর্য//এবং হলেন//আল্লাহ//প্রাচুর্যময়//প্রজ্ঞাময়"
            },
            {
              "number": 624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/624.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَلَقَدْ وَصَّيْنَا ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ مِن قَبْلِكُمْ وَإِيَّاكُمْ أَنِ ٱتَّقُوا۟ ٱللَّهَ ۚ وَإِن تَكْفُرُوا۟ فَإِنَّ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ غَنِيًّا حَمِيدًۭا",
              "translate_bn": "আর যা কিছু রয়েছে আসমান সমূহে ও যমীনে সবই আল্লাহর। বস্তুতঃ আমি নির্দেশ দিয়েছি তোমাদের পূর্ববর্তী গ্রন্থের অধিকারীদেরকে এবং তোমাদেরকে যে, তোমরা সবাই ভয় করতে থাক আল্লাহকে। যদি তোমরা তা না মান, তবে জেনো, সে সব কিছুই আল্লাহ তা’আলার যা কিছু রয়েছে আসমান সমূহে ও যমীনে। আর আল্লাহ হচ্ছেন অভাবহীন, প্রসংশিত।",
              "numberInSurah": 131,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়ালাকাদ ওয়াসসাইনাল্লাযীনা ঊতুল কিতা-বা মিন কাবলিকুম ওয়া ইইয়া-কুম আনিত্তাকুল্লা-হা ওয়া ইন তাকফুরূ ফাইন্না লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া কা-নাল্লা-হু গানিইইয়ান হামীদা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ لَقَدْ/وَلَقَدۡ/walaqad//وَصَّیْنَا/وَصَّيۡنَا/wassayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//وَ اِیَّاكُمْ/وَإِيَّاكُمۡ/wa-iyyakum//اَنِ/أَنِ/ani//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//وَ اِنْ/وَإِن/wa-in//تَكْفُرُوْا/تَكۡفُرُواْ/takfuru//فَاِنَّ/فَإِنَّ/fa-inna//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَنِیًّا/غَنِيًّا/ghaniyyan//حَمِیْدًا /حَمِيدٗا/hamidan",
              "words_bangla": "এবং আল্লাহরই//যা কিছু (আছে)//মধ্যে//আসমানসমূহের//ও যা কিছু (আছে)//(মধ্যে)//পৃথিবীতে//এবং নিশ্চয়//আমরা নির্দেশ দিয়েছিলাম//(তাদেরকে) যাদের//দেয়া হয়েছিল//কিতাব//(থেকে)//তোমাদের পূর্বে//ও তোমাদের কেউ//যে//তোমরা ভয় কর//আল্লাহকে//এবং যদি//তোমরা না মান//তবুও নিশ্চয়//আল্লাহরই জন্য//যা কিছু আছে//মধ্যে//আসমানসমূহের//এবং যা কিছু আছে//মধ্যে//জমিনের//এবং হলেন//আল্লাহ//মুখাপেক্ষীহীন//প্রশংসিত"
            },
            {
              "number": 625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/625.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا",
              "translate_bn": "আর আল্লাহরই জন্যে সে সবকিছু যা কিছু রয়েছে আসমান সমূহে ও যমীনে। আল্লাহই যথেষ্ট কর্মবিধায়ক।",
              "numberInSurah": 132,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া কাফা-বিল্লা-হি ওয়াকীলা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَكِیْلًا /وَكِيلًا/wakilan",
              "words_bangla": "এবং আল্লাহরই জন্য//যা কিছু আছে//মধ্যে//আসমানসমূহের//ও যা কিছু আছে//মধ্যে//জমিনের//এবং যথেষ্ট//আল্লাহই//কর্মবিধায়ক হিসেবে"
            },
            {
              "number": 626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/626.mp3"
              ],
              "text": "إِن يَشَأْ يُذْهِبْكُمْ أَيُّهَا ٱلنَّاسُ وَيَأْتِ بِـَٔاخَرِينَ ۚ وَكَانَ ٱللَّهُ عَلَىٰ ذَٰلِكَ قَدِيرًۭا",
              "translate_bn": "হে মানবকূল, যদি আল্লাহ তোমাদেরকে সরিয়ে তোমাদের জায়গায় অন্য কাউকে প্রতিষ্ঠিত করেন? বস্তুতঃ আল্লাহর সে ক্ষমতা রয়েছে।",
              "numberInSurah": 133,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াশা’ ইউযহিবকুম আইয়ুহান্না-ছুওয়া ইয়া’তি বিআ-খারীনা ওয়া কা-নাল্লা-হু ‘আলা যা-লিকা কাদীরা-।",
              "words_arabic": "اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُذْهِبْكُمْ/يُذۡهِبۡكُمۡ/yudh'hib'kum//اَیُّهَا/أَيُّهَا/ayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ یَاْتِ/وَيَأۡتِ/wayati//بِاٰخَرِیْنَ ؕ/بِـَٔاخَرِينَۚ/biakharina//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//ذٰلِكَ/ذَٰلِكَ/dhalika//قَدِیْرًا /قَدِيرٗا/qadiran",
              "words_bangla": "যদি//তিনি ইচ্ছে করেন//তোমাদেরকে অপসারিত করবেন//হে//লোকেরা//এবং আনবেন//অন্যদেরকে (তোমাদের স্থানে)//এবং হলেন//আল্লাহ//উপর//এর//ক্ষমতাবান"
            },
            {
              "number": 627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/627.mp3"
              ],
              "text": "مَّن كَانَ يُرِيدُ ثَوَابَ ٱلدُّنْيَا فَعِندَ ٱللَّهِ ثَوَابُ ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۚ وَكَانَ ٱللَّهُ سَمِيعًۢا بَصِيرًۭا",
              "translate_bn": "যে কেউ দুনিয়ার কল্যাণ কামনা করবে, তার জেনে রাখা প্রয়োজন যে, দুনিয়া ও আখেরাতের কল্যাণ আল্লাহরই নিকট রয়েছে। আর আল্লাহ সব কিছু শোনেন ও দেখেন।",
              "numberInSurah": 134,
              "juz": 5,
              "manzil": 1,
              "page": 99,
              "ruku": 80,
              "hizbQuarter": 39,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইউরীদুছাওয়া-বাদ্দুনইয়া-ফা‘ইনদাল্লা-হি ছাওয়া-বুদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়া কা-নাল্লা-হু ছামী‘আম বাসীরা-।",
              "words_arabic": "مَنْ/مَّن/man//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//ثَوَابَ/ثَوَابَ/thawaba//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//فَعِنْدَ/فَعِندَ/fa'inda//اللّٰهِ/ٱللَّهِ/al-lahi//ثَوَابُ/ثَوَابُ/thawabu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ؕ/وَٱلۡأٓخِرَةِۚ/wal-akhirati//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//سَمِیْعًۢا/سَمِيعَۢا/sami'an//بَصِیْرًا۠/بَصِيرٗا/basiran",
              "words_bangla": "যে//(ছিল)//চায়//সওয়াব//দুনিয়ার (সে যেন জানে)//কাছে যে (আছে)//আল্লাহর//সওয়াব//দুনিয়ার//ও আখিরাতের//এবং হলেন//আল্লাহ (এমন যে)//সব কিছু শুনেন//সব কিছু দেখেন"
            },
            {
              "number": 628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/628.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوا۟ قَوَّٰمِينَ بِٱلْقِسْطِ شُهَدَآءَ لِلَّهِ وَلَوْ عَلَىٰٓ أَنفُسِكُمْ أَوِ ٱلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ ۚ إِن يَكُنْ غَنِيًّا أَوْ فَقِيرًۭا فَٱللَّهُ أَوْلَىٰ بِهِمَا ۖ فَلَا تَتَّبِعُوا۟ ٱلْهَوَىٰٓ أَن تَعْدِلُوا۟ ۚ وَإِن تَلْوُۥٓا۟ أَوْ تُعْرِضُوا۟ فَإِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًۭا",
              "translate_bn": "হে ঈমানদারগণ, তোমরা ন্যায়ের উপর প্রতিষ্ঠিত থাক; আল্লাহর ওয়াস্তে ন্যায়সঙ্গত সাক্ষ্যদান কর, তাতে তোমাদের নিজের বা পিতা-মাতার অথবা নিকটবর্তী আত্নীয়-স্বজনের যদি ক্ষতি হয় তবুও। কেউ যদি ধনী কিংবা দরিদ্র হয়, তবে আল্লাহ তাদের শুভাকাঙ্খী তোমাদের চাইতে বেশী। অতএব, তোমরা বিচার করতে গিয়ে রিপুর কামনা-বাসনার অনুসরণ করো না। আর যদি তোমরা ঘুরিয়ে-পেঁচিয়ে কথা বল কিংবা পাশ কাটিয়ে যাও, তবে আল্লাহ তোমাদের যাবতীয় কাজ কর্ম সম্পর্কেই অবগত।",
              "numberInSurah": 135,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূকূনূকাওওয়া-মীনা বিলকিছতিশুহাদাআ লিল্লা-হি ওয়া লাও ‘আলাআনফুছিকুম আবিল ওয়া-লিদাইনি ওয়ালআকরাবীনা ইয়ঁইয়াকুন গানিইইয়ান আও ফাকীরান ফাল্লা-হু আওলা-বিহিমা- ফালা-তাত্তাবি‘উল হাওয়া আন তা‘দিলূ ওয়া ইন তালউআও তু‘রিদূ ফাইনাল্লা-হা কা-না বিমা-তা‘মালূনা খাবীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُوْنُوْا/كُونُواْ/kunu//قَوّٰمِیْنَ/قَوَّـٰمِينَ/qawwamina//بِالْقِسْطِ/بِٱلۡقِسۡطِ/bil-qis'ti//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//لِلّٰهِ/لِلَّهِ/lillahi//وَ لَوْ/وَلَوۡ/walaw//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَوِ/أَوِ/awi//الْوَالِدَیْنِ/ٱلۡوَٰلِدَيۡنِ/al-walidayni//وَ الْاَقْرَبِیْنَ ۚ/وَٱلۡأَقۡرَبِينَۚ/wal-aqrabina//اِنْ/إِن/in//یَّكُنْ/يَكُنۡ/yakun//غَنِیًّا/غَنِيًّا/ghaniyyan//اَوْ/أَوۡ/aw//فَقِیْرًا/فَقِيرٗا/faqiran//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//اَوْلٰی/أَوۡلَىٰ/awla//بِهِمَا ۫/بِهِمَاۖ/bihima//فَلَا/فَلَا/fala//تَتَّبِعُوا/تَتَّبِعُواْ/tattabi'u//الْهَوٰۤی/ٱلۡهَوَىٰٓ/al-hawa//اَنْ/أَن/an//تَعْدِلُوْا ۚ/تَعۡدِلُواْۚ/ta'dilu//وَ اِنْ/وَإِن/wa-in//تَلْوٗۤا/تَلۡوُۥٓاْ/talwu//اَوْ/أَوۡ/aw//تُعْرِضُوْا/تُعۡرِضُواْ/tu'ridu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرًا /خَبِيرٗا/khabiran",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা থাক//প্রতিষ্ঠিত//ইনসাফের উপর//সাক্ষীদাতা হিসেবে//আল্লাহরই জন্য//এবং যদিও//বিরুদ্ধে (যায়)//তোমাদের নিজেদের//অথবা//পিতামাতার//এবং আত্মীয়স্বজনদের (বিরুদ্ধেও)//যদি//(তাদের কেউ) হয়//ধনী//বা//গরীব//তবুও আল্লাহই//(তোমাদের চেয়ে) বেশী শুভাকাঙ্ক্ষী//তাদের দুজনের//অতএব না//তোমরা অনুসরণ করো//প্রবৃত্তির কামনার//(যে)//ন্যায় বিচার করতে//এবং যদি//তোমরা মন রাখা কথা বল//বা//তোমরা পাশ কাটাও (সত্য হতে)//তবুও নিশ্চয়//আল্লাহ//হলেন//ঐ বিষয়ে যা//তোমরা কাজ করছ//খুব অবহিত"
            },
            {
              "number": 629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/629.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ ءَامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَٱلْكِتَٰبِ ٱلَّذِى نَزَّلَ عَلَىٰ رَسُولِهِۦ وَٱلْكِتَٰبِ ٱلَّذِىٓ أَنزَلَ مِن قَبْلُ ۚ وَمَن يَكْفُرْ بِٱللَّهِ وَمَلَٰٓئِكَتِهِۦ وَكُتُبِهِۦ وَرُسُلِهِۦ وَٱلْيَوْمِ ٱلْءَاخِرِ فَقَدْ ضَلَّ ضَلَٰلًۢا بَعِيدًا",
              "translate_bn": "হে ঈমানদারগণ, আল্লাহর উপর পরিপূর্ণ বিশ্বাস স্থাপন কর এবং বিশ্বাস স্থাপন কর তাঁর রসূলও তাঁর কিতাবের উপর, যা তিনি নাযিল করেছেন স্বীয় রসূলের উপর এবং সেসমস্ত কিতাবের উপর, যেগুলো নাযিল করা হয়েছিল ইতিপূর্বে। যে আল্লাহর উপর, তাঁর ফেরেশতাদের উপর, তাঁর কিতাব সমূহের উপর এবং রসূলগণের উপর ও কিয়ামতদিনের উপর বিশ্বাস করবে না, সে পথভ্রষ্ট হয়ে বহু দূরে গিয়ে পড়বে।",
              "numberInSurah": 136,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ আ-মিনূ বিল্লা-হি ওয়া রাছূলিহী ওয়াল কিতা-বিল্লাযী নাঝঝালা ‘আলা-রাছূলিহী ওয়াল কিতা-বিল্লাযী-আনঝাল্লা মিন কাবলু ওয়ামাইঁ ইয়াকফুর বিল্লা-হি ওয়া মালাইকাতিহী ওয়াকুতুবিহী ওয়ারুছুলিহী ওয়ালইয়াওমিল আ-খিরি ফাকাদ দাল্লা দাল্লা-লাম বা‘ঈদা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اٰمِنُوْا/ءَامِنُواْ/aminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//الَّذِیْ/ٱلَّذِي/alladhi//نَزَّلَ/نَزَّلَ/nazzala//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//وَ مَنْ/وَمَن/waman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَلٰٓىِٕكَتِهٖ/وَمَلَـٰٓئِكَتِهِۦ/wamalaikatihi//وَ كُتُبِهٖ/وَكُتُبِهِۦ/wakutubihi//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//ضَلٰلًۢا/ضَلَٰلَۢا/dalalan//بَعِیْدًا /بَعِيدًا/ba'idan",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//ঈমান আন//আল্লাহর উপর//ও তাঁর রাসূলের//ও কিতাবের (উপর)//যা//অবতীর্ণ করেছেন//উপর//তাঁর রাসূলের//এবং ঐ কিতাবেরও//যা//অবতীর্ণ করেছেন//(থেকে)//ইতিপূর্বে//এবং যে//অস্বীকার করে//আল্লাহকে//ও তাঁর ফেরেশতাদেরকে//ও তাঁর কিতাবগুলোকে//ও তাঁর রাসূলদেরকে//ও দিনকে//আখিরাতের//তবে নিশ্চয়ই//সে পথভ্রষ্ট হয়েছে//পথভ্রষ্টতায়//বহু দূরে"
            },
            {
              "number": 630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/630.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ ثُمَّ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ ثُمَّ ٱزْدَادُوا۟ كُفْرًۭا لَّمْ يَكُنِ ٱللَّهُ لِيَغْفِرَ لَهُمْ وَلَا لِيَهْدِيَهُمْ سَبِيلًۢا",
              "translate_bn": "যারা একবার মুসলমান হয়ে পরে পুনরায় কাফের হয়ে গেছে, আবার মুসলমান হয়েছে এবং আবারো কাফের হয়েছে এবং কুফরীতেই উন্নতি লাভ করেছে, আল্লাহ তাদেরকে না কখনও ক্ষমা করবেন, না পথ দেখাবেন।",
              "numberInSurah": 137,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূছু ম্মা কাফারু ছু ম্মা আ-মানূছু ম্মা কাফারু ছু ম্মাঝ দা-দূকুফরাল লাম ইয়াকুনিল্লা-হু লিইয়াগফিরালাহুম ওয়ালা- লিইয়াহদিয়াহুম ছাবীলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//ثُمَّ/ثُمَّ/thumma//كَفَرُوْا/كَفَرُواْ/kafaru//ثُمَّ/ثُمَّ/thumma//اٰمَنُوْا/ءَامَنُواْ/amanu//ثُمَّ/ثُمَّ/thumma//كَفَرُوْا/كَفَرُواْ/kafaru//ثُمَّ/ثُمَّ/thumma//ازْدَادُوْا/ٱزۡدَادُواْ/iz'dadu//كُفْرًا/كُفۡرٗا/kuf'ran//لَّمْ/لَّمۡ/lam//یَكُنِ/يَكُنِ/yakuni//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَغْفِرَ/لِيَغۡفِرَ/liyaghfira//لَهُمْ/لَهُمۡ/lahum//وَ لَا/وَلَا/wala//لِیَهْدِیَهُمْ/لِيَهۡدِيَهُمۡ/liyahdiyahum//سَبِیْلًاؕ/سَبِيلَۢا/sabilan",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//এরপর//কুফুরী করেছে//আবার//ঈমান এনেছে//আবার//কুফুরী করেছে//এরপর//তারা বৃদ্ধি করেছে//কুফুরী//না//(নিশ্চয়) হবেন//আল্লাহ (এমন যে)//মাফ করবেন//তাদেরকে//এবং না//তাদের হিদায়াত দিবেন//(সঠিক) পথের"
            },
            {
              "number": 631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/631.mp3"
              ],
              "text": "بَشِّرِ ٱلْمُنَٰفِقِينَ بِأَنَّ لَهُمْ عَذَابًا أَلِيمًا",
              "translate_bn": "সেসব মুনাফেককে সুসংবাদ শুনিয়ে দিন যে, তাদের জন্য নির্ধারিত রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 138,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "বাশশিরিল মুনা-ফিকীনা বিআন্না ল্লাহুম ‘আযাবান ‘আলীমা-।",
              "words_arabic": "بَشِّرِ/بَشِّرِ/bashiri//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//بِاَنَّ/بِأَنَّ/bi-anna//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمَاۙ/أَلِيمًا/aliman",
              "words_bangla": "সুসংবাদ দাও//মুনাফিকদেরকে//যে//তাদের জন্য (রয়েছে)//শাস্তি//মর্মন্তুদ"
            },
            {
              "number": 632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/632.mp3"
              ],
              "text": "ٱلَّذِينَ يَتَّخِذُونَ ٱلْكَٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۚ أَيَبْتَغُونَ عِندَهُمُ ٱلْعِزَّةَ فَإِنَّ ٱلْعِزَّةَ لِلَّهِ جَمِيعًۭا",
              "translate_bn": "যারা মুসলমানদের বর্জন করে কাফেরদেরকে নিজেদের বন্ধু বানিয়ে নেয় এবং তাদেরই কাছে সম্মান প্রত্যাশা করে, অথচ যাবতীয় সম্মান শুধুমাত্র আল্লাহরই জন্য।",
              "numberInSurah": 139,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াত্তাখিযূনাল কা-ফিরীনা আওলিয়াআ মিন দূ নিল মু’মিনীনা আইয়াবতাগূনা ‘ইনদাহুমুল ‘ইঝঝাতা ফাইন্নাল ‘ইঝঝাতা লিল্লা-হি জামী‘আ-।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَّخِذُوْنَ/يَتَّخِذُونَ/yattakhidhuna//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//الْمُؤْمِنِیْنَ ؕ/ٱلۡمُؤۡمِنِينَۚ/al-mu'minina//اَیَبْتَغُوْنَ/أَيَبۡتَغُونَ/ayabtaghuna//عِنْدَهُمُ/عِندَهُمُ/indahumu//الْعِزَّةَ/ٱلۡعِزَّةَ/al-'izata//فَاِنَّ/فَإِنَّ/fa-inna//الْعِزَّةَ/ٱلۡعِزَّةَ/al-'izata//لِلّٰهِ/لِلَّهِ/lillahi//جَمِیْعًاؕ/جَمِيعٗا/jami'an",
              "words_bangla": "যারা//গ্রহণ করে//কাফিরদেরকে//বন্ধুরূপে//(থেকে)//বাদ দিয়ে//মু'মিনদেরকে//তারা সন্ধান করে কি//তাদের কাছে//সম্মান//নিশ্চয় তবে (জেনে রাখুক)//সম্মান//আল্লাহরই জন্য//সবটুকুই"
            },
            {
              "number": 633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/633.mp3"
              ],
              "text": "وَقَدْ نَزَّلَ عَلَيْكُمْ فِى ٱلْكِتَٰبِ أَنْ إِذَا سَمِعْتُمْ ءَايَٰتِ ٱللَّهِ يُكْفَرُ بِهَا وَيُسْتَهْزَأُ بِهَا فَلَا تَقْعُدُوا۟ مَعَهُمْ حَتَّىٰ يَخُوضُوا۟ فِى حَدِيثٍ غَيْرِهِۦٓ ۚ إِنَّكُمْ إِذًۭا مِّثْلُهُمْ ۗ إِنَّ ٱللَّهَ جَامِعُ ٱلْمُنَٰفِقِينَ وَٱلْكَٰفِرِينَ فِى جَهَنَّمَ جَمِيعًا",
              "translate_bn": "আর কোরআনের মাধ্যমে তোমাদের প্রতি এই হুকুম জারি করে দিয়েছেন যে, যখন আল্লাহ তা’ আলার আয়াতসমূহের প্রতি অস্বীকৃতি জ্ঞাপন ও বিদ্রুপ হতে শুনবে, তখন তোমরা তাদের সাথে বসবে না, যতক্ষণ না তারা প্রসঙ্গান্তরে চলে যায়। তা না হলে তোমরাও তাদেরই মত হয়ে যাবে। আল্লাহ দোযখের মাঝে মুনাফেক ও কাফেরদেরকে একই জায়গায় সমবেত করবেন।",
              "numberInSurah": 140,
              "juz": 5,
              "manzil": 1,
              "page": 100,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাদ নাঝঝালা ‘আলাইকুম ফিল কিতা-বি আন ইযা-ছামি‘তুম আ-য়া-তিল্লা-হি ইউকফারু বিহা-ওয়া ইউছতাহঝাউ বিহা-ফালা-তাক‘ঊদূমা‘আহুম হাত্তা-ইয়াখূদূ ফী হাদীছিন গাইরিহী ইন্নাকুম ইযামমিছলুহুম ইন্নাল্লা-হা জা-মি‘উল মুনা-ফিকীনা ওয়াল কা-ফিরীনা ফী জাহান্নামা জামী‘আ-।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//نَزَّلَ/نَزَّلَ/nazzala//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اَنْ/أَنۡ/an//اِذَا/إِذَا/idha//سَمِعْتُمْ/سَمِعۡتُمۡ/sami'tum//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//یُكْفَرُ/يُكۡفَرُ/yuk'faru//بِهَا/بِهَا/biha//وَ یُسْتَهْزَاُ/وَيُسۡتَهۡزَأُ/wayus'tahza-u//بِهَا/بِهَا/biha//فَلَا/فَلَا/fala//تَقْعُدُوْا/تَقۡعُدُواْ/taq'udu//مَعَهُمْ/مَعَهُمۡ/ma'ahum//حَتّٰی/حَتَّىٰ/hatta//یَخُوْضُوْا/يَخُوضُواْ/yakhudu//فِیْ/فِي/fi//حَدِیْثٍ/حَدِيثٍ/hadithin//غَیْرِهٖۤ ۖؗ/غَيۡرِهِۦٓ/ghayrihi//اِنَّكُمْ/إِنَّكُمۡ/innakum//اِذًا/إِذٗا/idhan//مِّثْلُهُمْ ؕ/مِّثۡلُهُمۡۗ/mith'luhum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//جَامِعُ/جَامِعُ/jami'u//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//وَ الْكٰفِرِیْنَ/وَٱلۡكَٰفِرِينَ/wal-kafirina//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//جَمِیْعَاۙ/جَمِيعًا/jami'an",
              "words_bangla": "এবং নিশ্চয়//অবতীর্ণ করেছেন//তোমাদের উপর//মধ্যে//কিতাবের//যে//যখন//তোমরা শুনবে//আয়াতগুলো//আল্লাহর//অস্বীকার করা হচ্ছে//সেগুলোকে//ও ঠাট্টা করা হচ্ছে//সেগুলোকে//না তবে//তোমরা বসবে//তাদের সাথে//যতক্ষণ না//তারা লিপ্ত হয়//মধ্যে//(অন্য) কথার//তা ছাড়া//(তবে যদি বস) তোমরাও নিশ্চয়ই//তখন//তাদের মতো (হয়ে যাবে)//নিশ্চয়ই//আল্লাহ//একত্রিতকারী//মুনাফিকদেরকে//ও কাফিরদেরকে//মধ্যে//জাহান্নামের//সকলকে (একসাথে)"
            },
            {
              "number": 634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/634.mp3"
              ],
              "text": "ٱلَّذِينَ يَتَرَبَّصُونَ بِكُمْ فَإِن كَانَ لَكُمْ فَتْحٌۭ مِّنَ ٱللَّهِ قَالُوٓا۟ أَلَمْ نَكُن مَّعَكُمْ وَإِن كَانَ لِلْكَٰفِرِينَ نَصِيبٌۭ قَالُوٓا۟ أَلَمْ نَسْتَحْوِذْ عَلَيْكُمْ وَنَمْنَعْكُم مِّنَ ٱلْمُؤْمِنِينَ ۚ فَٱللَّهُ يَحْكُمُ بَيْنَكُمْ يَوْمَ ٱلْقِيَٰمَةِ ۗ وَلَن يَجْعَلَ ٱللَّهُ لِلْكَٰفِرِينَ عَلَى ٱلْمُؤْمِنِينَ سَبِيلًا",
              "translate_bn": "এরা এমনি মুনাফেক যারা তোমাদের কল্যাণ-অকল্যাণের প্রতীক্ষায় ওঁৎপেতে থাকে। অতঃপর আল্লাহর ইচ্ছায় তোমাদের যদি কোন বিজয় অর্জিত হয়, তবে তারা বলে, আমরাও কি তোমাদের সাথে ছিলাম না? পক্ষান্তরে কাফেরদের যদি আংশিক বিজয় হয়, তবে বলে, আমরা কি তোমাদেরকে ঘিরে রাখিনি এবং মুসলমানদের কবল থেকে রক্ষা করিনি? সুতরাং আল্লাহ তোমাদের মধ্যে কেয়ামতের দিন মীমাংসা করবেন এবং কিছুতেই আল্লাহ কাফেরদেরকে মুসলমানদের উপর বিজয় দান করবেন না।",
              "numberInSurah": 141,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 81,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াতারাব্বাসূনা বিকুম ফাইন কা-না লাকুম ফাতহুমমিনাল্লা-হি কা-লূ-আলাম নাকুম মা‘আকুম ওয়া ইন কা-না লিলকা-ফিরীনা নাসীবুন কা-লূআলাম নাছতাহবিয‘আলাইকুম ওয়া নামনা‘কুম মিনাল মু’মিনীনা ফাল্লা-হু ইয়াহকুমু বাইনাকুম ইয়াওমাল কিয়া-মাতি ওয়ালাইঁ ইয়াজ‘আলাল্লা-হু লিলকা-ফিরীনা ‘আলাল মু’মিনীনা ছাবীলা-।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَرَبَّصُوْنَ/يَتَرَبَّصُونَ/yatarabbasuna//بِكُمْ ۚ/بِكُمۡ/bikum//فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//فَتْحٌ/فَتۡحٞ/fathun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//قَالُوْۤا/قَالُوٓاْ/qalu//اَلَمْ/أَلَمۡ/alam//نَكُنْ/نَكُن/nakun//مَّعَكُمْ ۖؗ/مَّعَكُمۡ/ma'akum//وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//نَصِیْبٌ ۙ/نَصِيبٞ/nasibun//قَالُوْۤا/قَالُوٓاْ/qalu//اَلَمْ/أَلَمۡ/alam//نَسْتَحْوِذْ/نَسۡتَحۡوِذۡ/nastahwidh//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ نَمْنَعْكُمْ/وَنَمۡنَعۡكُم/wanamna'kum//مِّنَ/مِّنَ/mina//الْمُؤْمِنِیْنَ ؕ/ٱلۡمُؤۡمِنِينَۚ/al-mu'minina//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//وَ لَنْ/وَلَن/walan//یَّجْعَلَ/يَجۡعَلَ/yaj'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//سَبِیْلًا۠/سَبِيلًا/sabilan",
              "words_bangla": "যারা//অপেক্ষা করে//তোমাদের ব্যাপারে//যদি পরে//হয়//তোমাদের জন্য//বিজয়//পক্ষ হতে//আল্লাহর//তারা বলে (মুমিনদেরকে)//''নাকি//আমরা ছিলাম//তোমাদের সাথে''//আর যদি//হয়//কাফিরদের জন্য//ভাগ্য//তারা বলে (কাফিরদেরকে)//''নাকি//আমরা প্রবল ছিলাম//তোমাদের উপর//ও তোমাদের রক্ষা করেছিলাম আমরা//হতে//মু'মিনদের''//আল্লাহই তাই//ফয়সালা করে দিবেন//তোমাদের মাঝে//দিনে//কিয়ামাতের//এবং কক্ষনো না//রাখবেন//আল্লাহ//কাফিরদের জন্য//বিরুদ্ধে//মু'মিনদের//(এ ফয়সালার বিজয়ের) পথ"
            },
            {
              "number": 635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/635.mp3"
              ],
              "text": "إِنَّ ٱلْمُنَٰفِقِينَ يُخَٰدِعُونَ ٱللَّهَ وَهُوَ خَٰدِعُهُمْ وَإِذَا قَامُوٓا۟ إِلَى ٱلصَّلَوٰةِ قَامُوا۟ كُسَالَىٰ يُرَآءُونَ ٱلنَّاسَ وَلَا يَذْكُرُونَ ٱللَّهَ إِلَّا قَلِيلًۭا",
              "translate_bn": "অবশ্যই মুনাফেকরা প্রতারণা করছে আল্লাহর সাথে, অথচ তারা নিজেরাই নিজেদের প্রতারিত করে। বস্তুতঃ তারা যখন নামাযে দাঁড়ায় তখন দাঁড়ায়, একান্ত শিথিল ভাবে লোক দেখানোর জন্য। আর তারা আল্লাহকে অল্পই স্মরণ করে।",
              "numberInSurah": 142,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুনা-ফিকীনা ইউখা-দি‘ঊনাল্লা-হা ওয়া হুওয়া খা-দি‘উহুম ওয়া ইযা-কা-মূ ইলাসসালা-তি কা-মূকুছা-লা- ইউরাঊনান্না-ছা ওয়ালা-ইয়াযকুরূনাল্লা-হা ইল্লাকালীলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//یُخٰدِعُوْنَ/يُخَٰدِعُونَ/yukhadi'una//اللّٰهَ/ٱللَّهَ/al-laha//وَ هُوَ/وَهُوَ/wahuwa//خَادِعُهُمْ ۚ/خَٰدِعُهُمۡ/khadi'uhum//وَ اِذَا/وَإِذَا/wa-idha//قَامُوْۤا/قَامُوٓاْ/qamu//اِلَی/إِلَى/ila//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//قَامُوْا/قَامُواْ/qamu//كُسَالٰی ۙ/كُسَالَىٰ/kusala//یُرَآءُوْنَ/يُرَآءُونَ/yurauna//النَّاسَ/ٱلنَّاسَ/al-nasa//وَ لَا/وَلَا/wala//یَذْكُرُوْنَ/يَذۡكُرُونَ/yadhkuruna//اللّٰهَ/ٱللَّهَ/al-laha//اِلَّا/إِلَّا/illa//قَلِیْلًاؗۙ/قَلِيلٗا/qalilan",
              "words_bangla": "নিশ্চয়ই//মুনাফিকরা//ধোঁকাবাজী করে//আল্লাহর  (সাথে)//অথচ//তিনি তাদেরকে ধোঁকায় ফেলেছেন//এবং যখন//তারা উঠে//জন্য//সলাতের//তারা উঠে//শৈথিল্যভাবে//দেখানোর (জন্য)//লোকদেরকে//আর না//তারা স্মরণ করে//আল্লাহকে//কিন্তু//অতি সামান্য"
            },
            {
              "number": 636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/636.mp3"
              ],
              "text": "مُّذَبْذَبِينَ بَيْنَ ذَٰلِكَ لَآ إِلَىٰ هَٰٓؤُلَآءِ وَلَآ إِلَىٰ هَٰٓؤُلَآءِ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ سَبِيلًۭا",
              "translate_bn": "এরা দোদুল্যমান অবস্থায় ঝুলন্ত; এদিকেও নয় ওদিকেও নয়। বস্তুতঃ যাকে আল্লাহ গোমরাহ করে দেন, তুমি তাদের জন্য কোন পথই পাবে না কোথাও।",
              "numberInSurah": 143,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "মুযাবযাবীনা বাইনা যা-লিকা লাইলা-হাউলাই ওয়ালাইলা-হাউলাই ওয়া মাইঁ ইউদলিলিল্লা-হু ফালান তাজিদালাহু ছাবীলা-।",
              "words_arabic": "مُّذَبْذَبِیْنَ/مُّذَبۡذَبِينَ/mudhabdhabina//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ ۖۗ/ذَٰلِكَ/dhalika//لَاۤ/لَآ/la//اِلٰی/إِلَىٰ/ila//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//وَ لَاۤ/وَلَآ/wala//اِلٰی/إِلَىٰ/ila//هٰۤؤُلَآءِ ؕ/هَـٰٓؤُلَآءِۚ/haulai//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لَهٗ/لَهُۥ/lahu//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "(তারা) দোদুল্যমান//মাঝে//এর//না//দিকে//এদের//আর না//দিকে//ওদের//এবং যাকে//পথভ্রষ্ট করেন//আল্লাহ//অতঃপর কক্ষনো না//পাবে তুমি//তার জন্য//(মুক্তির) পথ"
            },
            {
              "number": 637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/637.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلْكَٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۚ أَتُرِيدُونَ أَن تَجْعَلُوا۟ لِلَّهِ عَلَيْكُمْ سُلْطَٰنًۭا مُّبِينًا",
              "translate_bn": "হে ঈমানদারগণ! তোমরা কাফেরদেরকে বন্ধু বানিও না মুসলমানদের বাদ দিয়ে। তোমরা কি এমনটি করে নিজের উপর আল্লাহর প্রকাশ্য দলীল কায়েম করে দেবে?",
              "numberInSurah": 144,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাখিযুল কা-ফিরীনা আওলিয়াআ মিন দুনিল মু’মিনীনা আতুরীদূ না আন তাজ‘আলূলিল্লা-হি ‘আলাইকুম ছুলতা-নাম মুবীনা-।\r\n",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوا/تَتَّخِذُواْ/tattakhidhu//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//الْمُؤْمِنِیْنَ ؕ/ٱلۡمُؤۡمِنِينَۚ/al-mu'minina//اَتُرِیْدُوْنَ/أَتُرِيدُونَ/aturiduna//اَنْ/أَن/an//تَجْعَلُوْا/تَجۡعَلُواْ/taj'alu//لِلّٰهِ/لِلَّهِ/lillahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//مُّبِیْنًا /مُّبِينًا/mubinan",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা গ্রহণ করো//কাফিরদেরকে//বন্ধুরূপে//(থেকে)//পরিবর্তে//মু'মিনদের//তোমরা চাও কি//যে//তোমরা রাখবে//আল্লাহর কাছে//তোমাদের বিরুদ্ধে//দলিল প্রমাণ//সুস্পষ্ট"
            },
            {
              "number": 638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/638.mp3"
              ],
              "text": "إِنَّ ٱلْمُنَٰفِقِينَ فِى ٱلدَّرْكِ ٱلْأَسْفَلِ مِنَ ٱلنَّارِ وَلَن تَجِدَ لَهُمْ نَصِيرًا",
              "translate_bn": "নিঃসন্দেহে মুনাফেকরা রয়েছে দোযখের সর্বনিম্ন স্তরে। আর তোমরা তাদের জন্য কোন সাহায্যকারী কখনও পাবে না।",
              "numberInSurah": 145,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুনা-ফিকীনা ফিদ্দারকিল আছফালি মিনান্না-রি ওয়ালান তাজিদালাহুম নাসীরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//فِی/فِي/fi//الدَّرْكِ/ٱلدَّرۡكِ/al-darki//الْاَسْفَلِ/ٱلۡأَسۡفَلِ/al-asfali//مِنَ/مِنَ/mina//النَّارِ ۚ/ٱلنَّارِ/al-nari//وَ لَنْ/وَلَن/walan//تَجِدَ/تَجِدَ/tajida//لَهُمْ/لَهُمۡ/lahum//نَصِیْرًاۙ/نَصِيرًا/nasiran",
              "words_bangla": "নিশ্চয়ই//মুনাফিকরা//(থাকবে) মধ্যে//স্তরের//নিম্নতম//(থেকে)//জাহান্নামের//এবং কক্ষনো না//তুমি পাবে//তাদের জন্য//কোন সাহায্যকারী"
            },
            {
              "number": 639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/639.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ تَابُوا۟ وَأَصْلَحُوا۟ وَٱعْتَصَمُوا۟ بِٱللَّهِ وَأَخْلَصُوا۟ دِينَهُمْ لِلَّهِ فَأُو۟لَٰٓئِكَ مَعَ ٱلْمُؤْمِنِينَ ۖ وَسَوْفَ يُؤْتِ ٱللَّهُ ٱلْمُؤْمِنِينَ أَجْرًا عَظِيمًۭا",
              "translate_bn": "অবশ্য যারা তওবা করে নিয়েছে, নিজেদের অবস্থার সংস্কার করেছে এবং আল্লাহর পথকে সুদৃঢ়ভাবে আঁকড়ে ধরে আল্লাহর ফরমাবরদার হয়েছে, তারা থাকবে মুসলমানদেরই সাথে। বস্তুতঃ আল্লাহ শীঘ্রই ঈমানদারগণকে মহাপূণ্য দান করবেন।",
              "numberInSurah": 146,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা তা-বূওয়া আসলাহূওয়া‘তাসামুবিল্লা-হি ওয়া আখলাসূদীনাহুম লিল্লা-হি ফাউলাইকা মা‘আল মু’মিনীনা ওয়া ছাওফা ইউ’তিল্লা-হুল মু’মিনীনা আজরান ‘আজীমা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَابُوْا/تَابُواْ/tabu//وَ اَصْلَحُوْا/وَأَصۡلَحُواْ/wa-aslahu//وَ اعْتَصَمُوْا/وَٱعۡتَصَمُواْ/wa-i'tasamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ اَخْلَصُوْا/وَأَخۡلَصُواْ/wa-akhlasu//دِیْنَهُمْ/دِينَهُمۡ/dinahum//لِلّٰهِ/لِلَّهِ/lillahi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//مَعَ/مَعَ/ma'a//الْمُؤْمِنِیْنَ ؕ/ٱلۡمُؤۡمِنِينَۖ/al-mu'minina//وَ سَوْفَ/وَسَوۡفَ/wasawfa//یُؤْتِ/يُؤۡتِ/yu'ti//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "তবে//যারা//তওবা করে//ও সংশোধন করে (তাদের কর্মনীতি)//ও দৃঢ়ভাবে ধারণ করে//আল্লাহর (রজ্জুকে)//ও একনিষ্ঠভাবে গ্রহণ করে//তাদের দ্বীনকে//আল্লাহরই জন্য//ঐসব লোক সেক্ষেত্রে//(থাকবে) সাথে//মু'মিনদের//ও শীঘ্রই//দিবেন//আল্লাহ//মু'মিনদেরকে//প্রতিফল//বিরাট"
            },
            {
              "number": 640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/640.mp3"
              ],
              "text": "مَّا يَفْعَلُ ٱللَّهُ بِعَذَابِكُمْ إِن شَكَرْتُمْ وَءَامَنتُمْ ۚ وَكَانَ ٱللَّهُ شَاكِرًا عَلِيمًۭا",
              "translate_bn": "তোমাদের আযাব দিয়ে আল্লাহ কি করবেন যদি তোমরা কৃতজ্ঞতা প্রকাশ কর এবং ঈমানের উপর প্রতিষ্ঠিত থাক! আর আল্লাহ হচ্ছেন সমুচিত মূল্যদানকারী সর্বজ্ঞ।",
              "numberInSurah": 147,
              "juz": 5,
              "manzil": 1,
              "page": 101,
              "ruku": 82,
              "hizbQuarter": 40,
              "sajda": false,
              "pronunciation_bn": "মা- ইয়াফ‘আলুল্লা-হু বি‘আযা-বিকুম ইন শাকারতুম ওয়া আ-মানতুম ওয়া কা-নাল্লা-হু শা-কিরান ‘আলীমা-।",
              "words_arabic": "مَا/مَّا/ma//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//اللّٰهُ/ٱللَّهُ/al-lahu//بِعَذَابِكُمْ/بِعَذَابِكُمۡ/bi'adhabikum//اِنْ/إِن/in//شَكَرْتُمْ/شَكَرۡتُمۡ/shakartum//وَ اٰمَنْتُمْ ؕ/وَءَامَنتُمۡۚ/waamantum//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//شَاكِرًا/شَاكِرًا/shakiran//عَلِیْمًا /عَلِيمٗا/aliman",
              "words_bangla": "কি//করবেন//আল্লাহ//তোমাদের আজাব দিয়ে//যদি//তোমরা শোকর কর//ও তোমরা ঈমান আন//এবং হলেন//আল্লাহ//মূল্যদানকারী//সবকিছু সম্পর্কে পূর্ণজ্ঞানী"
            },
            {
              "number": 641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/641.mp3"
              ],
              "text": "۞ لَّا يُحِبُّ ٱللَّهُ ٱلْجَهْرَ بِٱلسُّوٓءِ مِنَ ٱلْقَوْلِ إِلَّا مَن ظُلِمَ ۚ وَكَانَ ٱللَّهُ سَمِيعًا عَلِيمًا",
              "translate_bn": "আল্লাহ কোন মন্দ বিষয় প্রকাশ করা পছন্দ করেন না। তবে কারো প্রতি জুলুম হয়ে থাকলে সে কথা আলাদা। আল্লাহ শ্রবণকারী, বিজ্ঞ।",
              "numberInSurah": 148,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 82,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "লা-ইউহিব্বুল্লা-হুল জাহরা বিছছূই মিনাল কাওলি ইল্লা-মান জু লিমা ওয়াকা-নাল্লাহু ছামী‘আন ‘আলীমা-।",
              "words_arabic": "لَا/۞لَّا/la//یُحِبُّ/يُحِبُّ/yuhibbu//اللّٰهُ/ٱللَّهُ/al-lahu//الْجَهْرَ/ٱلۡجَهۡرَ/al-jahra//بِالسُّوْٓءِ/بِٱلسُّوٓءِ/bil-sui//مِنَ/مِنَ/mina//الْقَوْلِ/ٱلۡقَوۡلِ/al-qawli//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//ظُلِمَ ؕ/ظُلِمَۚ/zulima//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//سَمِیْعًا/سَمِيعًا/sami'an//عَلِیْمًا /عَلِيمًا/aliman",
              "words_bangla": "না//পছন্দ করেন//আল্লাহ//প্রকাশ করাকে//মন্দ দিক//(থেকে)//কথা (ও কাজের)//এ ব্যতীত//যাকে//জুলুম করা হয়েছে//এবং হলেন//আল্লাহ//সর্বশ্রোতা//সর্বজ্ঞ"
            },
            {
              "number": 642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/642.mp3"
              ],
              "text": "إِن تُبْدُوا۟ خَيْرًا أَوْ تُخْفُوهُ أَوْ تَعْفُوا۟ عَن سُوٓءٍۢ فَإِنَّ ٱللَّهَ كَانَ عَفُوًّۭا قَدِيرًا",
              "translate_bn": "তোমরা যদি কল্যাণ কর প্রকাশ্যভাবে কিংবা গোপনে অথবা যদি তোমরা আপরাধ ক্ষমা করে দাও, তবে জেনো, আল্লাহ নিজেও ক্ষমাকারী, মহাশক্তিশালী।",
              "numberInSurah": 149,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 82,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ইন তুবদূখাইরান আও তুখফূহুআওতা‘ফূ‘আন ছূইন ফাইন্নাল্লা-হা কা-না ‘আফুওওয়ান কাদীরা-।",
              "words_arabic": "اِنْ/إِن/in//تُبْدُوْا/تُبۡدُواْ/tub'du//خَیْرًا/خَيۡرًا/khayran//اَوْ/أَوۡ/aw//تُخْفُوْهُ/تُخۡفُوهُ/tukh'fuhu//اَوْ/أَوۡ/aw//تَعْفُوْا/تَعۡفُواْ/ta'fu//عَنْ/عَن/an//سُوْٓءٍ/سُوٓءٖ/suin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَفُوًّا/عَفُوّٗا/afuwwan//قَدِیْرًا /قَدِيرًا/qadiran",
              "words_bangla": "যদি//তোমরা প্রকাশ্যে কর//কোন কল্যাণ//বা//তা গোপনে কর//অথবা//ক্ষমা কর//(প্রায়)//মন্দকে//নিশ্চয় তবে//আল্লাহ//হলেন//ক্ষমাশীল//(শাস্তি দেওয়ারও) ক্ষমতাবান"
            },
            {
              "number": 643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/643.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَكْفُرُونَ بِٱللَّهِ وَرُسُلِهِۦ وَيُرِيدُونَ أَن يُفَرِّقُوا۟ بَيْنَ ٱللَّهِ وَرُسُلِهِۦ وَيَقُولُونَ نُؤْمِنُ بِبَعْضٍۢ وَنَكْفُرُ بِبَعْضٍۢ وَيُرِيدُونَ أَن يَتَّخِذُوا۟ بَيْنَ ذَٰلِكَ سَبِيلًا",
              "translate_bn": "যারা আল্লাহ ও তার রসূলের প্রতি অস্বীকৃতি জ্ঞাপনকারী তদুপরি আল্লাহ ও রসূলের প্রতি বিশ্বাসে তারতম্য করতে চায় আর বলে যে, আমরা কতককে বিশ্বাস করি কিন্তু কতককে প্রত্যাখ্যান করি এবং এরই মধ্যবর্তী কোন পথ অবলম্বন করতে চায়।",
              "numberInSurah": 150,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 82,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াকফুরূনা বিল্লা-হি ওয়া রুছুলিহী ওয়া ইউরীদূ না আইঁ ইউফাররিকূ বাইনাল্লাহি ওয়া রুছুলিহী ওয়া ইয়াকূলূনা নু’মিন ব্বি্বা‘দিওঁ ওয়া নাকফুরু ব্বিা‘দিওঁ ওয়া ইউরিদূ না আইঁ ইয়াত্তাখিযূবাইনা যা-লিকা ছাবীলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//وَ یُرِیْدُوْنَ/وَيُرِيدُونَ/wayuriduna//اَنْ/أَن/an//یُّفَرِّقُوْا/يُفَرِّقُواْ/yufarriqu//بَیْنَ/بَيۡنَ/bayna//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//نُؤْمِنُ/نُؤۡمِنُ/nu'minu//بِبَعْضٍ/بِبَعۡضٖ/biba'din//وَّ نَكْفُرُ/وَنَكۡفُرُ/wanakfuru//بِبَعْضٍ ۙ/بِبَعۡضٖ/biba'din//وَّ یُرِیْدُوْنَ/وَيُرِيدُونَ/wayuriduna//اَنْ/أَن/an//یَّتَّخِذُوْا/يَتَّخِذُواْ/yattakhidhu//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ/ذَٰلِكَ/dhalika//سَبِیْلًۙا/سَبِيلًا/sabilan",
              "words_bangla": "নিশ্চয়//যারা//অমান্য করে//আল্লাহকে//ও তাঁর রাসূলকে//ও তারা চায়//যে//তারা পার্থক্য করবে//মাঝে//আল্লাহর (প্রতি ঈমানে)//এবং তাঁর রাসূলদের (প্রতি ঈমানে)//ও তারা বলে//''ঈমান আনব আমরা//কাউকে//ও অস্বীকার করব আমরা//কাউকে''//ও তারা চায়//যে//তারা গ্রহণ করবে//মধ্যবর্তী//এর//পথ"
            },
            {
              "number": 644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/644.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ هُمُ ٱلْكَٰفِرُونَ حَقًّۭا ۚ وَأَعْتَدْنَا لِلْكَٰفِرِينَ عَذَابًۭا مُّهِينًۭا",
              "translate_bn": "প্রকৃতপক্ষে এরাই সত্য প্রত্যাখ্যাকারী। আর যারা সত্য প্রত্যাখ্যানকারী তাদের জন্য তৈরী করে রেখেছি অপমানজনক আযাব।",
              "numberInSurah": 151,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 82,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "উলাইকা হুমুল কা-ফিরূনা হাক্কাওঁ ওয়া আ‘তাদনা-লিল কা-ফিরীনা ‘আযা-বাম মুহীনা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//حَقًّا ۚ/حَقّٗاۚ/haqqan//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَذَابًا/عَذَابٗا/adhaban//مُّهِیْنًا /مُّهِينٗا/muhinan",
              "words_bangla": "ঐসব লোক//তারাই//কাফির//যথার্থ//এবং আমরা প্রস্তুত করে রেখেছি//কাফিরদের জন্য//শাস্তি//লাঞ্ছনাদায়ক"
            },
            {
              "number": 645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/645.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ وَلَمْ يُفَرِّقُوا۟ بَيْنَ أَحَدٍۢ مِّنْهُمْ أُو۟لَٰٓئِكَ سَوْفَ يُؤْتِيهِمْ أُجُورَهُمْ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "আর যারা ঈমান এনেছে আল্লাহর উপর, তাঁর রসূলের উপর এবং তাঁদের কারও প্রতি ঈমান আনতে গিয়ে কাউকে বাদ দেয়নি, শীঘ্রই তাদেরকে প্রাপ্য সওয়াব দান করা হবে। বস্তুতঃ আল্লাহ ক্ষমাশীল দয়ালু।",
              "numberInSurah": 152,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 82,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূবিল্লা-হি ওয়া রুছলিহী ওয়া লাম ইউফাররিকূবাইনা আহাদিম মিনহুমউলাইকা ছাওফা ইউ’তীহিম উজূরাহুম ওয়া কা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//وَ لَمْ/وَلَمۡ/walam//یُفَرِّقُوْا/يُفَرِّقُواْ/yufarriqu//بَیْنَ/بَيۡنَ/bayna//اَحَدٍ/أَحَدٖ/ahadin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//سَوْفَ/سَوۡفَ/sawfa//یُؤْتِیْهِمْ/يُؤۡتِيهِمۡ/yu'tihim//اُجُوْرَهُمْ ؕ/أُجُورَهُمۡۚ/ujurahum//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا۠/رَّحِيمٗا/rahiman",
              "words_bangla": "এবং যারা//ঈমান এনেছে//আল্লাহর উপর//ও তাঁর রাসূলদের উপর//ও করেনি//তারা পার্থক্য//মাঝে//কারও//তাদের মধ্য হতে//ঐসব লোকদের//শীঘ্রই//তাদের দিবেন তিনি//তাদের পুরস্কারগুলো//এবং হলেন//আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/646.mp3"
              ],
              "text": "يَسْـَٔلُكَ أَهْلُ ٱلْكِتَٰبِ أَن تُنَزِّلَ عَلَيْهِمْ كِتَٰبًۭا مِّنَ ٱلسَّمَآءِ ۚ فَقَدْ سَأَلُوا۟ مُوسَىٰٓ أَكْبَرَ مِن ذَٰلِكَ فَقَالُوٓا۟ أَرِنَا ٱللَّهَ جَهْرَةًۭ فَأَخَذَتْهُمُ ٱلصَّٰعِقَةُ بِظُلْمِهِمْ ۚ ثُمَّ ٱتَّخَذُوا۟ ٱلْعِجْلَ مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَٰتُ فَعَفَوْنَا عَن ذَٰلِكَ ۚ وَءَاتَيْنَا مُوسَىٰ سُلْطَٰنًۭا مُّبِينًۭا",
              "translate_bn": "আপনার নিকট আহলে-কিতাবরা আবেদন জানায় যে, আপনি তাদের উপর আসমান থেকে লিখিত কিতাব অবতীর্ণ করিয়ে নিয়ে আসুন। বস্তুতঃ এরা মূসার কাছে এর চেয়েও বড় জিনিস চেয়েছে। বলেছে, একেবারে সামনাসামনিভাবে আমাদের আল্লাহকে দেখিয়ে দাও। অতএব, তাদের উপর বজ্রপাত হয়েছে তাদের পাপের দরুন; অতঃপর তাদের নিকট সুস্পষ্ট প্রমাণ-নিদর্শন প্রকাশিত হবার পরেও তারা গো-বৎসকে উপাস্যরূপে গ্রহণ করেছিল; তাও আমি ক্ষমা করে দিয়েছিলাম এবং আমি মূসাকে প্রকৃষ্ট প্রভাব দান করেছিলাম।",
              "numberInSurah": 153,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলুকা আহলুল কিতা-বি আন তুনাঝঝিলা ‘আলাইহিম কিতা-বাম মিনাছছামাই ফাকাদ ছাআলূমূছাআকবারা মিন যা-লিকা ফাকা-লূ আরিনাল্লা-হা জাহরাতান ফাআখাযাতহুমসসা-ইকাতুবিজুলমিহিম ছুম্মাত্তাখাযুল ইজলা মিম বা‘দি মাজাআতহুমুল বাইয়িনা-তুফা‘আফাওনা-‘আন যা-লিকা ওয়া আ-তাইনা-মূছাছুলতা-নাম মুবীনা-।",
              "words_arabic": "یَسْـَٔلُكَ/يَسۡـَٔلُكَ/yasaluka//اَهْلُ/أَهۡلُ/ahlu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اَنْ/أَن/an//تُنَزِّلَ/تُنَزِّلَ/tunazzila//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//كِتٰبًا/كِتَٰبٗا/kitaban//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِۚ/al-samai//فَقَدْ/فَقَدۡ/faqad//سَاَلُوْا/سَأَلُواْ/sa-alu//مُوْسٰۤی/مُوسَىٰٓ/musa//اَكْبَرَ/أَكۡبَرَ/akbara//مِنْ/مِن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اَرِنَا/أَرِنَا/arina//اللّٰهَ/ٱللَّهَ/al-laha//جَهْرَةً/جَهۡرَةٗ/jahratan//فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الصّٰعِقَةُ/ٱلصَّـٰعِقَةُ/al-sa'iqatu//بِظُلْمِهِمْ ۚ/بِظُلۡمِهِمۡۚ/bizul'mihim//ثُمَّ/ثُمَّ/thumma//اتَّخَذُوا/ٱتَّخَذُواْ/ittakhadhu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الْبَیِّنٰتُ/ٱلۡبَيِّنَٰتُ/al-bayinatu//فَعَفَوْنَا/فَعَفَوۡنَا/fa'afawna//عَنْ/عَن/an//ذٰلِكَ ۚ/ذَٰلِكَۚ/dhalika//وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//مُوْسٰی/مُوسَىٰ/musa//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//مُّبِیْنًا /مُّبِينٗا/mubinan",
              "words_bangla": "তোমার কাছে দাবি করে//আহলি//কিতাবরা//যে//নাযিল করাবে তুমি//তাদের উপর//কিতাব (লিখিত দলীল)//হতে//আসমান//বস্তুত (এটা নতুন কিছু নয়)//তারা দাবি করেছিল//মূসার (কাছে)//অনেক বড়//চেয়েও//এর//অতঃপর তারা বলেছিল//''আমাদের দেখাও//আল্লাহকে//প্রকাশ্যে''//অতঃপর তাদের ধরে ছিল//বজ্রপাতে//তাদের জুলুমের কারণে//এরপর//তারা গ্রহণ করেছিল//বাছুরকে (উপাস্যরূপে)//(থেকে)//এরপরেও//যা//তাদের কাছে এসেছিল//সুস্পষ্ট প্রমাণগুলো//আমরা তবুও মাফ করেছিলাম//হতে//এটা//এবং আমরা দিয়েছিলাম//মূসাকে//প্রমাণ//সুস্পষ্ট"
            },
            {
              "number": 647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/647.mp3"
              ],
              "text": "وَرَفَعْنَا فَوْقَهُمُ ٱلطُّورَ بِمِيثَٰقِهِمْ وَقُلْنَا لَهُمُ ٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًۭا وَقُلْنَا لَهُمْ لَا تَعْدُوا۟ فِى ٱلسَّبْتِ وَأَخَذْنَا مِنْهُم مِّيثَٰقًا غَلِيظًۭا",
              "translate_bn": "আর তাদের কাছ থেকে প্রতিশ্রুতি নেবার উদ্দেশ্যে আমি তাদের উপর তূর পর্বতকে তুলে ধরেছিলাম এবং তাদেরকে বলেছিলাম, অবনত মস্তকে দরজায় ঢোক। আর বলেছিলাম, শনিবার দিন সীমালংঘন করো না। এভাবে তাদের কাছ থেকে দৃঢ় অঙ্গীকার নিয়েছিলাম।",
              "numberInSurah": 154,
              "juz": 6,
              "manzil": 1,
              "page": 102,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাফা‘না-ফাওকাহুমুততূরা বিমীছা-কিহিম ওয়া কুলনা-লাহুমুদখুলুলবা-বা সুজ্জাদাওঁ ওয়া কুলনা-লাহুম লা-তা‘দূফিছছাবতি ওয়া আখাযনা-মিনহুম মীছা-কান গালীজা-।",
              "words_arabic": "وَ رَفَعْنَا/وَرَفَعۡنَا/warafa'na//فَوْقَهُمُ/فَوۡقَهُمُ/fawqahumu//الطُّوْرَ/ٱلطُّورَ/al-tura//بِمِیْثَاقِهِمْ/بِمِيثَٰقِهِمۡ/bimithaqihim//وَ قُلْنَا/وَقُلۡنَا/waqul'na//لَهُمُ/لَهُمُ/lahumu//ادْخُلُوا/ٱدۡخُلُواْ/ud'khulu//الْبَابَ/ٱلۡبَابَ/al-baba//سُجَّدًا/سُجَّدٗا/sujjadan//وَّ قُلْنَا/وَقُلۡنَا/waqul'na//لَهُمْ/لَهُمۡ/lahum//لَا/لَا/la//تَعْدُوْا/تَعۡدُواْ/ta'du//فِی/فِي/fi//السَّبْتِ/ٱلسَّبۡتِ/al-sabti//وَ اَخَذْنَا/وَأَخَذۡنَا/wa-akhadhna//مِنْهُمْ/مِنۡهُم/min'hum//مِّیْثَاقًا/مِّيثَٰقًا/mithaqan//غَلِیْظًا /غَلِيظٗا/ghalizan",
              "words_bangla": "ও আমরা উঠিয়ে ছিলাম//তাদের উপর//তুর পাহাড়//তাদের অঙ্গীকারের জন্য//ও আমরা বলেছিলাম//তাদেরকে//''প্রবেশ কর//দরজায়//নতশিরে''//ও আমরা বলেছিলাম//তাদেরকে//''না//সীমালঙ্ঘন করো//(বিধিনিষেধ) সম্পর্কে//শনিবারের''//ও আমরা নিয়েছিলাম//তাদের থেকে//অঙ্গীকার//সুদৃঢ়"
            },
            {
              "number": 648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/648.mp3"
              ],
              "text": "فَبِمَا نَقْضِهِم مِّيثَٰقَهُمْ وَكُفْرِهِم بِـَٔايَٰتِ ٱللَّهِ وَقَتْلِهِمُ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّۢ وَقَوْلِهِمْ قُلُوبُنَا غُلْفٌۢ ۚ بَلْ طَبَعَ ٱللَّهُ عَلَيْهَا بِكُفْرِهِمْ فَلَا يُؤْمِنُونَ إِلَّا قَلِيلًۭا",
              "translate_bn": "অতএব, তারা যে শাস্তিপ্রাপ্ত হয়েছিল, তা ছিল তাদেরই অঙ্গীকার ভঙ্গর জন্য এবং অন্যায়ভাবে রসূলগণকে হত্যা করার কারণে এবং তাদের এই উক্তির দরুন যে, আমাদের হৃদয় আচ্ছন্ন। অবশ্য তা নয়, বরং কুফরীর কারণে স্বয়ং আল্লাহ তাদের অন্তরের উপর মোহর এঁটে দিয়েছেন। ফলে এরা ঈমান আনে না কিন্তু অতি অল্পসংখ্যক।",
              "numberInSurah": 155,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ফাবিমা-নাকদিহিম মীছা-কাহুম ওয়া কুফরিহিম বিআ-য়াতিল্লা-হিওয়া কাতলিহিমিুল আমবিইয়াআ বিগাইরি হাক্কিওঁ ওয়া কাওলিহিম কুলূবূনা-গুলফুন বাল তাবা‘আল্লাহু‘আলাইহা-বিকুফরিহিম ফালা-ইউ’মিনূনা ইল্লা-কালীলা-।",
              "words_arabic": "فَبِمَا/فَبِمَا/fabima//نَقْضِهِمْ/نَقۡضِهِم/naqdihim//مِّیْثَاقَهُمْ/مِّيثَٰقَهُمۡ/mithaqahum//وَ كُفْرِهِمْ/وَكُفۡرِهِم/wakuf'rihim//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَتْلِهِمُ/وَقَتۡلِهِمُ/waqatlihimu//الْاَنْۢبِیَآءَ/ٱلۡأَنۢبِيَآءَ/al-anbiyaa//بِغَیْرِ/بِغَيۡرِ/bighayri//حَقٍّ/حَقّٖ/haqqin//وَّ قَوْلِهِمْ/وَقَوۡلِهِمۡ/waqawlihim//قُلُوْبُنَا/قُلُوبُنَا/qulubuna//غُلْفٌ ؕ/غُلۡفُۢۚ/ghul'fun//بَلْ/بَلۡ/bal//طَبَعَ/طَبَعَ/taba'a//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهَا/عَلَيۡهَا/alayha//بِكُفْرِهِمْ/بِكُفۡرِهِمۡ/bikuf'rihim//فَلَا/فَلَا/fala//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//اِلَّا/إِلَّا/illa//قَلِیْلًا۪/قَلِيلٗا/qalilan",
              "words_bangla": "অতঃপর কারণে//তাদের ভঙ্গের//তাদের অঙ্গীকার//ও তাদের অস্বীকার করার//আয়াতগুলোকে//আল্লাহর//ও তাদের হত্যা করার//নবীদেরকে//(অন্যভাবে)//অন্যায়ভাবে//ও তাদের এ উক্তির (কারণে যে)//''আমাদের অন্তরগুলো//আচ্ছাদিত (তারা অভিশপ্ত হয়)''//বরং//মোহর মেরে দিয়েছেন//আল্লাহ//তার উপর//তাদের কুফরীর কারণে//তাই না//তারা ঈমান আনবে//তবে//অল্পসংখ্যক"
            },
            {
              "number": 649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/649.mp3"
              ],
              "text": "وَبِكُفْرِهِمْ وَقَوْلِهِمْ عَلَىٰ مَرْيَمَ بُهْتَٰنًا عَظِيمًۭا",
              "translate_bn": "আর তাদের কুফরী এবং মরিয়মের প্রতি মহা অপবাদ আরোপ করার কারণে।",
              "numberInSurah": 156,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়াবিকুফরিহিম ওয়াকাওলিহিম ‘আলা-মারইয়ামা বুহতা-নান ‘আজীমা।",
              "words_arabic": "وَّ بِكُفْرِهِمْ/وَبِكُفۡرِهِمۡ/wabikuf'rihim//وَ قَوْلِهِمْ/وَقَوۡلِهِمۡ/waqawlihim//عَلٰی/عَلَىٰ/ala//مَرْیَمَ/مَرۡيَمَ/maryama//بُهْتَانًا/بُهۡتَٰنًا/buh'tanan//عَظِیْمًاۙ/عَظِيمٗا/aziman",
              "words_bangla": "এবং তাদের কুফরীর কারণে//এবং তাদের উক্তির (কারণেও)//উপর//মারইয়ামের//(যা ছিল) অপবাদ//গুরুতর"
            },
            {
              "number": 650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/650.mp3"
              ],
              "text": "وَقَوْلِهِمْ إِنَّا قَتَلْنَا ٱلْمَسِيحَ عِيسَى ٱبْنَ مَرْيَمَ رَسُولَ ٱللَّهِ وَمَا قَتَلُوهُ وَمَا صَلَبُوهُ وَلَٰكِن شُبِّهَ لَهُمْ ۚ وَإِنَّ ٱلَّذِينَ ٱخْتَلَفُوا۟ فِيهِ لَفِى شَكٍّۢ مِّنْهُ ۚ مَا لَهُم بِهِۦ مِنْ عِلْمٍ إِلَّا ٱتِّبَاعَ ٱلظَّنِّ ۚ وَمَا قَتَلُوهُ يَقِينًۢا",
              "translate_bn": "আর তাদের একথা বলার কারণে যে, আমরা মরিয়ম পুত্র ঈসা মসীহকে হত্যা করেছি যিনি ছিলেন আল্লাহর রসূল। অথচ তারা না তাঁকে হত্যা করেছে, আর না শুলীতে চড়িয়েছে, বরং তারা এরূপ ধাঁধায় পতিত হয়েছিল। বস্তুতঃ তারা এ ব্যাপারে নানা রকম কথা বলে, তারা এক্ষেত্রে সন্দেহের মাঝে পড়ে আছে, শুধুমাত্র অনুমান করা ছাড়া তারা এ বিষয়ে কোন খবরই রাখে না। আর নিশ্চয়ই তাঁকে তারা হত্যা করেনি।",
              "numberInSurah": 157,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাওলিহিম ইন্না-কাতালনাল মাছীহা‘ঈছাবনা মারইয়ামা রাছূলাল্লা-হি ওয়ামাকাতালুহু ওয়ামা-সালাবূহু ওয়ালা-কিন শুব্বিহা লাহুম ওয়া ইন্নাল্লাযীনাখতালাফূফীহি লাফী শাক্কিম মিনহু মা-লাহুম বিহী মিন ‘ইলমিন ইল্লাততিবা-‘আজ্জান্নি ওয়ামাকাতালূহু ইয়াকীনা-।",
              "words_arabic": "وَّ قَوْلِهِمْ/وَقَوۡلِهِمۡ/waqawlihim//اِنَّا/إِنَّا/inna//قَتَلْنَا/قَتَلۡنَا/qatalna//الْمَسِیْحَ/ٱلۡمَسِيحَ/al-masiha//عِیْسَی/عِيسَى/isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//رَسُوْلَ/رَسُولَ/rasula//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//قَتَلُوْهُ/قَتَلُوهُ/qataluhu//وَ مَا/وَمَا/wama//صَلَبُوْهُ/صَلَبُوهُ/salabuhu//وَ لٰكِنْ/وَلَٰكِن/walakin//شُبِّهَ/شُبِّهَ/shubbiha//لَهُمْ ؕ/لَهُمۡۚ/lahum//وَ اِنَّ/وَإِنَّ/wa-inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِیْهِ/فِيهِ/fihi//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّنْهُ ؕ/مِّنۡهُۚ/min'hu//مَا/مَا/ma//لَهُمْ/لَهُم/lahum//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//عِلْمٍ/عِلۡمٍ/il'min//اِلَّا/إِلَّا/illa//اتِّبَاعَ/ٱتِّبَاعَ/ittiba'a//الظَّنِّ ۚ/ٱلظَّنِّۚ/al-zani//وَ مَا/وَمَا/wama//قَتَلُوْهُ/قَتَلُوهُ/qataluhu//یَقِیْنًۢاۙ/يَقِينَۢا/yaqinan",
              "words_bangla": "এবং তাদের উক্তি (এও যে)//''আমরা নিশ্চয়//আমরা হত্যা করেছি//মসীহকে//(অর্থাৎ) ঈসাকে//তনয়//মারইয়ামের//(যিনি) রাসূল//আল্লাহর''//এবং না//তাকে তারা হত্যা করেছে//এবং না//তাকে তারা শুলে চড়িয়েছে//কিন্তু//বিভ্রম হয়েছিল//তাদের জন্য//এবং নিশ্চয়//যারা//মতভেদ করেছিল//সে বিষয়ে//অবশ্যই মধ্যে আছে//সন্দেহের//তা থেকে//না//তাদের আছে//এ সম্পর্কে//কোন//জ্ঞান//এছাড়া যে//অনুসরণ করে//অনুমানের//এবং না//তাকে তারা হত্যা করেছে//নিঃসন্দেহে"
            },
            {
              "number": 651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/651.mp3"
              ],
              "text": "بَل رَّفَعَهُ ٱللَّهُ إِلَيْهِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًۭا",
              "translate_bn": "বরং তাঁকে উঠিয়ে নিয়েছেন আল্লাহ তা’আলা নিজের কাছে। আর আল্লাহ হচ্ছেন মহাপরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 158,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "বার রাফা‘আহুল্লা-হু ইলাইহি ওয়া কা-নাল্লা-হু ‘আঝীঝান হাকীমা-।",
              "words_arabic": "بَلْ/بَل/bal//رَّفَعَهُ/رَّفَعَهُ/rafa'ahu//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَزِیْزًا/عَزِيزًا/azizan//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "বরং//তাকে উঠিয়ে নেন//আল্লাহ//তাঁর দিকে//এবং হলেন//আল্লাহ//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/652.mp3"
              ],
              "text": "وَإِن مِّنْ أَهْلِ ٱلْكِتَٰبِ إِلَّا لَيُؤْمِنَنَّ بِهِۦ قَبْلَ مَوْتِهِۦ ۖ وَيَوْمَ ٱلْقِيَٰمَةِ يَكُونُ عَلَيْهِمْ شَهِيدًۭا",
              "translate_bn": "আর আহলে-কিতাবদের মধ্যে যত শ্রেণী রয়েছে তারা সবাই ঈমান আনবে ঈসার উপর তাদের মৃত্যুর পূর্বে। আর কেয়ামতের দিন তাদের জন্য সাক্ষীর উপর সাক্ষী উপস্থিত হবে।",
              "numberInSurah": 159,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম মিন আহলিল কিতা-বি ইল্লা-লাইউ‘মিনান্না বিহী কাবলা মাওতিহী ওয়া ইয়াওমাল কিয়া-মাতি ইয়াকূনু‘আলাইহিম শাহীদা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اِلَّا/إِلَّا/illa//لَیُؤْمِنَنَّ/لَيُؤۡمِنَنَّ/layu'minanna//بِهٖ/بِهِۦ/bihi//قَبْلَ/قَبۡلَ/qabla//مَوْتِهٖ ۚ/مَوۡتِهِۦۖ/mawtihi//وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//یَكُوْنُ/يَكُونُ/yakunu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//شَهِیْدًاۚ/شَهِيدٗا/shahidan",
              "words_bangla": "এবং না (আছে এমন কেউ)//মধ্য হতে//আহলি//কিতাবদের//এছাড়া//ঈমান আনবে অবশ্য//তার উপর//পূর্বে//তার মৃত্যুর//এবং দিনে//কিয়ামাতের//সে হবে//তাদের বিরুদ্ধে//সাক্ষী"
            },
            {
              "number": 653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/653.mp3"
              ],
              "text": "فَبِظُلْمٍۢ مِّنَ ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا عَلَيْهِمْ طَيِّبَٰتٍ أُحِلَّتْ لَهُمْ وَبِصَدِّهِمْ عَن سَبِيلِ ٱللَّهِ كَثِيرًۭا",
              "translate_bn": "বস্তুতঃ ইহুদীদের জন্য আমি হারাম করে দিয়েছি বহু পূত-পবিত্র বস্তু যা তাদের জন্য হালাল ছিল-তাদের পাপের কারণে এবং আল্লাহর পথে অধিক পরিমাণে বাধা দানের দরুন।",
              "numberInSurah": 160,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ফাবিজুলমিমমিনাল্লাযীনা হা-দূহাররামনা-‘আলাইহিমতাইয়িবা-তিনউহিল্লা ত লাহুম ওয়া বিসাদ্দিহিম ‘আন ছাবীলিল্লা-হি কাছীরা-।",
              "words_arabic": "فَبِظُلْمٍ/فَبِظُلۡمٖ/fabizul'min//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْا/هَادُواْ/hadu//حَرَّمْنَا/حَرَّمۡنَا/harramna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//طَیِّبٰتٍ/طَيِّبَٰتٍ/tayyibatin//اُحِلَّتْ/أُحِلَّتۡ/uhillat//لَهُمْ/لَهُمۡ/lahum//وَ بِصَدِّهِمْ/وَبِصَدِّهِمۡ/wabisaddihim//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//كَثِیْرًاۙ/كَثِيرٗا/kathiran",
              "words_bangla": "তাই জুলুমের কারণে//(তাদের) মধ্য হতে//যারা//ইহুদী রয়েছে//আমরা নিষিদ্ধ করেছিলাম//তাদের উপর//পবিত্র বস্তুগুলোকে (যা)//বৈধ করা হয়েছিল (পূর্বে)//তাদের জন্য//এবং তাদের বাধাদানের কারণেও//থেকে//পথ//আল্লাহর//অনেককে"
            },
            {
              "number": 654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/654.mp3"
              ],
              "text": "وَأَخْذِهِمُ ٱلرِّبَوٰا۟ وَقَدْ نُهُوا۟ عَنْهُ وَأَكْلِهِمْ أَمْوَٰلَ ٱلنَّاسِ بِٱلْبَٰطِلِ ۚ وَأَعْتَدْنَا لِلْكَٰفِرِينَ مِنْهُمْ عَذَابًا أَلِيمًۭا",
              "translate_bn": "আর এ কারণে যে, তারা সুদ গ্রহণ করত, অথচ এ ব্যাপারে নিষেধাজ্ঞা আরোপ করা হয়েছিল এবং এ কারণে যে, তারা অপরের সম্পদ ভোগ করতো অন্যায় ভাবে। বস্তুত; আমি কাফেরদের জন্য তৈরী করে রেখেছি বেদনাদায়ক আযাব।",
              "numberInSurah": 161,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "ওয়া আখযিহিমুর রিবা-ওয়া কাদ নুহু ‘আনহু ওয়া আকলিহিম আমওয়া-লান্না-ছি বিল বাতিলি ওয়াআ‘তাদনা-লিল কা-ফিরীনা মিনহুম ‘আযা-বান আলীমা-।",
              "words_arabic": "وَّ اَخْذِهِمُ/وَأَخۡذِهِمُ/wa-akhdhihimu//الرِّبٰوا/ٱلرِّبَوٰاْ/al-riba//وَ قَدْ/وَقَدۡ/waqad//نُهُوْا/نُهُواْ/nuhu//عَنْهُ/عَنۡهُ/anhu//وَ اَكْلِهِمْ/وَأَكۡلِهِمۡ/wa-aklihim//اَمْوَالَ/أَمۡوَٰلَ/amwala//النَّاسِ/ٱلنَّاسِ/al-nasi//بِالْبَاطِلِ ؕ/بِٱلۡبَٰطِلِۚ/bil-batili//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//مِنْهُمْ/مِنۡهُمۡ/min'hum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا /أَلِيمٗا/aliman",
              "words_bangla": "এবং তাদের গ্রহণেরও (কারণে)//সুদ//ও নিশ্চয়//তাদেরকে মানা করা হয়েছিল//তা থেকে//ও তাদের খাওয়ার (জন্য)//মালসমূহ//মানুষের//অন্যায়ভাবে (এ কঠোরতা দিয়েছিলাম)//ও আমরা প্রস্তুত করে রেখেছি//কাফিরদের জন্য//তাদের মধ্যকার//শাস্তি//মর্মন্তুদ"
            },
            {
              "number": 655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/655.mp3"
              ],
              "text": "لَّٰكِنِ ٱلرَّٰسِخُونَ فِى ٱلْعِلْمِ مِنْهُمْ وَٱلْمُؤْمِنُونَ يُؤْمِنُونَ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ ۚ وَٱلْمُقِيمِينَ ٱلصَّلَوٰةَ ۚ وَٱلْمُؤْتُونَ ٱلزَّكَوٰةَ وَٱلْمُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ أُو۟لَٰٓئِكَ سَنُؤْتِيهِمْ أَجْرًا عَظِيمًا",
              "translate_bn": "কিন্তু যারা তাদের মধ্যে জ্ঞানপক্ক ও ঈমানদার, তারা তাও মান্য করে যা আপনার উপর অবতীর্ণ হয়েছে এবং যা অবতীর্ণ হয়েছে আপনার পূর্বে। আর যারা নামাযে অনুবর্তিতা পালনকারী, যারা যাকাত দানকারী এবং যারা আল্লাহ ও কেয়ামতে আস্থাশীল। বস্তুতঃ এমন লোকদেরকে আমি দান করবো মহাপুণ্য।",
              "numberInSurah": 162,
              "juz": 6,
              "manzil": 1,
              "page": 103,
              "ruku": 83,
              "hizbQuarter": 41,
              "sajda": false,
              "pronunciation_bn": "লা-কিনির রা-ছিখূনা ফিল ‘ইলমি মিনহুম ওয়াল মু’মিনূনা ইউ’মিনূনা বিমা-উনঝিলা ইলাইকা ওয়ামা-উনঝিলা মিন কাবলিকা ওয়াল মুকীমীনাসসালা-তা ওয়াল মু’তূনাঝঝাকা-তা ওয়াল মু’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি উলাইকা ছানু’তীহিম আজরান ‘আজীমা-।",
              "words_arabic": "لٰكِنِ/لَّـٰكِنِ/lakini//الرّٰسِخُوْنَ/ٱلرَّـٰسِخُونَ/al-rasikhuna//فِی/فِي/fi//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ الْمُؤْمِنُوْنَ/وَٱلۡمُؤۡمِنُونَ/wal-mu'minuna//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَۚ/qablika//وَ الْمُقِیْمِیْنَ/وَٱلۡمُقِيمِينَ/wal-muqimina//الصَّلٰوةَ/ٱلصَّلَوٰةَۚ/al-salata//وَ الْمُؤْتُوْنَ/وَٱلۡمُؤۡتُونَ/wal-mu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ الْمُؤْمِنُوْنَ/وَٱلۡمُؤۡمِنُونَ/wal-mu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ/ٱلۡأٓخِرِ/al-akhiri//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//سَنُؤْتِیْهِمْ/سَنُؤۡتِيهِمۡ/sanu'tihim//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا۠/عَظِيمًا/aziman",
              "words_bangla": "কিন্তু//সুগভীর ব্যক্তিরা//(মধ্যে)//জ্ঞানে//তাদের মধ্যকার//ও মু'মিনরা//ঈমান আনে//(ঐবিষয়ে) যা//নাযিল করা হয়েছে//তোমার প্রতি//এবং যা//নাযিল করা হয়েছে//(থেকে)//তোমার পূর্বে//এবং (তারা) প্রতিষ্ঠাকারীরা//সলাত//ও (তারা) আদায়কারী//জাকাত//ও (তারা) ঈমানদার//আল্লাহর উপর//ও দিনের (উপর)//আখিরাতের//ঐসব লোকদেরকে//তাদের দিব আমরা//প্রতিফল//বিরাট"
            },
            {
              "number": 656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/656.mp3"
              ],
              "text": "۞ إِنَّآ أَوْحَيْنَآ إِلَيْكَ كَمَآ أَوْحَيْنَآ إِلَىٰ نُوحٍۢ وَٱلنَّبِيِّۦنَ مِنۢ بَعْدِهِۦ ۚ وَأَوْحَيْنَآ إِلَىٰٓ إِبْرَٰهِيمَ وَإِسْمَٰعِيلَ وَإِسْحَٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَعِيسَىٰ وَأَيُّوبَ وَيُونُسَ وَهَٰرُونَ وَسُلَيْمَٰنَ ۚ وَءَاتَيْنَا دَاوُۥدَ زَبُورًۭا",
              "translate_bn": "আমি আপনার প্রতি ওহী পাঠিয়েছি, যেমন করে ওহী পাঠিয়েছিলাম নূহের প্রতি এবং সে সমস্ত নবী-রসূলের প্রতি যাঁরা তাঁর পরে প্রেরিত হয়েছেন। আর ওহী পাঠিয়েছি, ইসমাঈল, ইব্রাহীম, ইসহাক, ইয়াকুব, ও তাঁর সন্তাবর্গের প্রতি এবং ঈসা, আইয়ুব, ইউনূস, হারুন ও সুলায়মানের প্রতি। আর আমি দাউদকে দান করেছি যবুর গ্রন্থ।",
              "numberInSurah": 163,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআওহাইনাইলাইকা কামাআওহাইনা ইলানূহিওঁ ওয়ান নাবিইঈনা মিম বা‘দিহী ওয়াআওহাইনা ইলাইবরা-হীমা ওয়া ইছমা-‘ঈলা ওয়া ইছহা-কা ওয়া ইয়া‘কূবা ওয়াল আছবা-তিওয়া ‘ঈসা-ওয়া আইয়ূবা ওয়া ইঊনুছা ওয়া হা-রূনা ওয়া ছুলাইমা-না ওয়া আ-তাইনা-দা-ঊদা ঝাবূরা-।",
              "words_arabic": "اِنَّاۤ/۞إِنَّآ/inna//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//كَمَاۤ/كَمَآ/kama//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلٰی/إِلَىٰ/ila//نُوْحٍ/نُوحٖ/nuhin//وَّ النَّبِیّٖنَ/وَٱلنَّبِيِّـۧنَ/wal-nabiyina//مِنْۢ/مِنۢ/min//بَعْدِهٖ ۚ/بَعۡدِهِۦۚ/ba'dihi//وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰۤی/إِلَىٰٓ/ila//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//وَ الْاَسْبَاطِ/وَٱلۡأَسۡبَاطِ/wal-asbati//وَ عِیْسٰی/وَعِيسَىٰ/wa'isa//وَ اَیُّوْبَ/وَأَيُّوبَ/wa-ayyuba//وَ یُوْنُسَ/وَيُونُسَ/wayunusa//وَ هٰرُوْنَ/وَهَٰرُونَ/waharuna//وَ سُلَیْمٰنَ ۚ/وَسُلَيۡمَٰنَۚ/wasulaymana//وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//دَاوٗدَ/دَاوُۥدَ/dawuda//زَبُوْرًاۚ/زَبُورٗا/zaburan",
              "words_bangla": "(হে নবী) আমরা নিশ্চয়//আমরা ওহী পাঠিয়েছি//তোমার প্রতি//যেমন//আমরা ওহী পাঠিয়েছি//প্রতি//নূহের//ও নবীদের//পরে//তার//ও আমরা ওহী পাঠিয়েছি//প্রতি//ইবরাহীমের//ও ইসমাঈলের//ও ইসহাকের//ও ইয়াকুবের//ও (তার) বংশধরদের (প্রতি)//ও ঈসার//ও আইয়ুবের//ও ইউনুসের//ও হারুনের//ও সুলাইমানের (প্রতি)//এবং আমরা দিয়েছি//দাঊদকে//যাবুর"
            },
            {
              "number": 657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/657.mp3"
              ],
              "text": "وَرُسُلًۭا قَدْ قَصَصْنَٰهُمْ عَلَيْكَ مِن قَبْلُ وَرُسُلًۭا لَّمْ نَقْصُصْهُمْ عَلَيْكَ ۚ وَكَلَّمَ ٱللَّهُ مُوسَىٰ تَكْلِيمًۭا",
              "translate_bn": "এছাড়া এমন রসূল পাঠিয়েছি যাদের ইতিবৃত্ত আমি আপনাকে শুনিয়েছি ইতিপূর্বে এবং এমন রসূল পাঠিয়েছি যাদের বৃত্তান্ত আপনাকে শোনাইনি। আর আল্লাহ মূসার সাথে কথোপকথন করেছেন সরাসরি।",
              "numberInSurah": 164,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ওয়া রুছুলান কাদ কাসাসনাহুম ‘আলাইকা মিন কাবলুওয়া রুছুলাল লাম নাকছুছহুম ‘আলাইকা ওয়া কাল্লামাল্লা-হু মূছা-তাকলীমা-।",
              "words_arabic": "وَ رُسُلًا/وَرُسُلٗا/warusulan//قَدْ/قَدۡ/qad//قَصَصْنٰهُمْ/قَصَصۡنَٰهُمۡ/qasasnahum//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ رُسُلًا/وَرُسُلٗا/warusulan//لَّمْ/لَّمۡ/lam//نَقْصُصْهُمْ/نَقۡصُصۡهُمۡ/naqsus'hum//عَلَیْكَ ؕ/عَلَيۡكَۚ/alayka//وَ كَلَّمَ/وَكَلَّمَ/wakallama//اللّٰهُ/ٱللَّهُ/al-lahu//مُوْسٰی/مُوسَىٰ/musa//تَكْلِیْمًاۚ/تَكۡلِيمٗا/takliman",
              "words_bangla": "এবং (এসব) রাসূলদেরকে//নিশ্চয়ই//তাদের আমরা বর্ণনা করেছি//তোমার নিকট//(থেকে)//ইতিপূর্বে//এবং (এমন সব) রাসূলও (ছিলেন)//না//তাদের আমরা বর্ণনা করেছি//তোমার কাছে//এবং কথা বলেছেন//আল্লাহ//মূসার (সাথে)//(সরাসরি) কথাবার্তা"
            },
            {
              "number": 658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/658.mp3"
              ],
              "text": "رُّسُلًۭا مُّبَشِّرِينَ وَمُنذِرِينَ لِئَلَّا يَكُونَ لِلنَّاسِ عَلَى ٱللَّهِ حُجَّةٌۢ بَعْدَ ٱلرُّسُلِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًۭا",
              "translate_bn": "সুসংবাদদাতা ও ভীতি-প্রদর্শনকারী রসূলগণকে প্রেরণ করেছি, যাতে রসূলগণের পরে আল্লাহর প্রতি অপবাদ আরোপ করার মত কোন অবকাশ মানুষের জন্য না থাকে। আল্লাহ প্রবল পরাক্রমশীল, প্রাজ্ঞ।",
              "numberInSurah": 165,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "রুছুলাম মুবাশশিরীনা ওয়া মুনযিরীনা লিআল্লা-ইয়াকূনা লিন্না-ছি ‘আলাল্লা-হি হুজ্জাতুম বা‘দার রুছুলি ওয়া কা-নাল্লা-হু ‘আঝীঝান হাকীমা-।",
              "words_arabic": "رُسُلًا/رُّسُلٗا/rusulan//مُّبَشِّرِیْنَ/مُّبَشِّرِينَ/mubashirina//وَ مُنْذِرِیْنَ/وَمُنذِرِينَ/wamundhirina//لِئَلَّا/لِئَلَّا/li-alla//یَكُوْنَ/يَكُونَ/yakuna//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//حُجَّةٌۢ/حُجَّةُۢ/hujjatun//بَعْدَ/بَعۡدَ/ba'da//الرُّسُلِ ؕ/ٱلرُّسُلِۚ/al-rusuli//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَزِیْزًا/عَزِيزًا/azizan//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "(এসব) রাসূল//সুসংবাদদাতা//ও সতর্ককারী (ছিলেন)//না যেন//থাকে//লোকদের জন্য//বিরুদ্ধে//আল্লাহর//কোন যুক্তি//পরে//রাসূলদের (আগমনের)//এবং হলেন//আল্লাহ//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/659.mp3"
              ],
              "text": "لَّٰكِنِ ٱللَّهُ يَشْهَدُ بِمَآ أَنزَلَ إِلَيْكَ ۖ أَنزَلَهُۥ بِعِلْمِهِۦ ۖ وَٱلْمَلَٰٓئِكَةُ يَشْهَدُونَ ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًا",
              "translate_bn": "আল্লাহ আপনার প্রতি যা অবতীর্ণ করেছেন তিনি যে তা সজ্ঞানেই করেছেন, সে ব্যাপারে আল্লাহ নিজেও সাক্ষী এবং ফেরেশতাগণও সাক্ষী। আর সাক্ষী হিসাবে আল্লাহই যথেষ্ট।",
              "numberInSurah": 166,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "লা-কিনিল্লা-হু ইয়াশহাদুবিমা আনঝালা ইলাইকা আনঝালাহু বি‘ইলমিহী ওয়াল মালাইকাতুইয়াশহাদূ ন ওয়া কাফা-বিল্লা-হি শাহীদা-।",
              "words_arabic": "لٰكِنِ/لَّـٰكِنِ/lakini//اللّٰهُ/ٱللَّهُ/al-lahu//یَشْهَدُ/يَشۡهَدُ/yashhadu//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اِلَیْكَ/إِلَيۡكَۖ/ilayka//اَنْزَلَهٗ/أَنزَلَهُۥ/anzalahu//بِعِلْمِهٖ ۚ/بِعِلۡمِهِۦۖ/bi'il'mihi//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//یَشْهَدُوْنَ ؕ/يَشۡهَدُونَۚ/yashhaduna//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًاؕ/شَهِيدًا/shahidan",
              "words_bangla": "কিন্তু//আল্লাহ//সাক্ষ্য দিচ্ছেন//(ঐ বিষয়ে) যা//নাযিল করেছেন//তোমার প্রতি//তা তিনি নাযিল করেছেন//তাঁর জ্ঞানের ভিত্তিতে//এবং ফেরেশতারাও//সাক্ষ্য দিচ্ছে//এবং যথেষ্ট//আল্লাহই//সাক্ষী হিসেবে"
            },
            {
              "number": 660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/660.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ قَدْ ضَلُّوا۟ ضَلَٰلًۢا بَعِيدًا",
              "translate_bn": "যারা কুফরী অবলম্বন করেছে, এবং আল্লাহর পথে বাধার সৃষ্টি করেছে, তারা বিভ্রান্তিতে সুদূরে পতিত হয়েছে।",
              "numberInSurah": 167,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারু ওযা সাদ্দূ‘আন ছাবীলিল্লা-হি কাদ দাললূদালা-লাম বা‘ঈদা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْا/وَصَدُّواْ/wasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//قَدْ/قَدۡ/qad//ضَلُّوْا/ضَلُّواْ/dallu//ضَلٰلًۢا/ضَلَٰلَۢا/dalalan//بَعِیْدًا /بَعِيدًا/ba'idan",
              "words_bangla": "নিশ্চয়ই//যারা//কুফরী করেছে//ও বাধা দিয়েছে//হতে//পথ//আল্লাহর//নিশ্চয়ই//তারা পথভ্রষ্ট হয়েছে//পথভ্রষ্টতায়//বহুদূরে"
            },
            {
              "number": 661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/661.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَظَلَمُوا۟ لَمْ يَكُنِ ٱللَّهُ لِيَغْفِرَ لَهُمْ وَلَا لِيَهْدِيَهُمْ طَرِيقًا",
              "translate_bn": "যারা কুফরী অবলম্বন করেছে এবং সত্য চাপা দিয়ে রেখেছে, আল্লাহ কখনও তাদের ক্ষমা করবেন না এবং সরল পথ দেখাবেন না।",
              "numberInSurah": 168,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ ওয়া জালামূ লাম ইয়াকুনিল্লা-হু লিইয়াগফিরা লাহুম ওয়ালালিইয়াহদিইয়াহুম তারিকিা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ ظَلَمُوْا/وَظَلَمُواْ/wazalamu//لَمْ/لَمۡ/lam//یَكُنِ/يَكُنِ/yakuni//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَغْفِرَ/لِيَغۡفِرَ/liyaghfira//لَهُمْ/لَهُمۡ/lahum//وَ لَا/وَلَا/wala//لِیَهْدِیَهُمْ/لِيَهۡدِيَهُمۡ/liyahdiyahum//طَرِیْقًاۙ/طَرِيقًا/tariqan",
              "words_bangla": "নিশ্চয়ই//যারা//কুফরী করেছে//ও জুলুম করেছে//না//হবেন//আল্লাহ (এমন যে)//মাফ করবেন//তাদেরকে//এবং না//তাদেরকে হিদায়াত দিবেন//(সঠিক) পথের"
            },
            {
              "number": 662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/662.mp3"
              ],
              "text": "إِلَّا طَرِيقَ جَهَنَّمَ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًۭا",
              "translate_bn": "তাদের জন্য রয়েছে জাহান্নামের পথ। সেখানে তারা বাস করবে অনন্তকাল। আর এমন করাটা আল্লাহর পক্ষে সহজ।",
              "numberInSurah": 169,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-তারীকা জাহান্নামা খা-লিদীনা ফীহাআবাদাওঁ ওয়া কা-না যা-লিকা ‘আলাল্লাহি ইয়াছীরা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//طَرِیْقَ/طَرِيقَ/tariqa//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۚ/abadan//وَ كَانَ/وَكَانَ/wakana//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرًا /يَسِيرٗا/yasiran",
              "words_bangla": "এছাড়া//পথ//জাহান্নামের//অবস্থানকারী হবে//তার মধ্যে//চিরকাল//এবং হলো//এটা//উপর//আল্লাহ//সহজ"
            },
            {
              "number": 663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/663.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُمُ ٱلرَّسُولُ بِٱلْحَقِّ مِن رَّبِّكُمْ فَـَٔامِنُوا۟ خَيْرًۭا لَّكُمْ ۚ وَإِن تَكْفُرُوا۟ فَإِنَّ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "হে মানবজাতি! তোমাদের পালনকর্তার যথার্থ বাণী নিয়ে তোমাদের নিকট রসূল এসেছেন, তোমরা তা মেনে নাও যাতে তোমাদের কল্যাণ হতে পারে। আর যদি তোমরা তা না মান, জেনে রাখ আসমানসমূহে ও যমীনে যা কিছু রয়েছে সে সবকিছুই আল্লাহর। আর আল্লাহ হচ্ছেন সর্বজ্ঞ, প্রাজ্ঞ।",
              "numberInSurah": 170,
              "juz": 6,
              "manzil": 1,
              "page": 104,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুকাদ জাআকমুর রাছূলূবিলহাক্কিমির রাব্বিকুম ফাআ-মিনুখাইরাল লাকুম ওয়া ইন তাকফুরূফাইন্না লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়া কা-নাল্লা-হু ‘আলীমান হাকীমা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//قَدْ/قَدۡ/qad//جَآءَكُمُ/جَآءَكُمُ/jaakumu//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//مِنْ/مِن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//فَاٰمِنُوْا/فَـَٔامِنُواْ/faaminu//خَیْرًا/خَيۡرٗا/khayran//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//وَ اِنْ/وَإِن/wa-in//تَكْفُرُوْا/تَكۡفُرُواْ/takfuru//فَاِنَّ/فَإِنَّ/fa-inna//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "হে//লোকেরা//নিশ্চয়ই//তোমাদের কাছে এসেছে//রাসূল//সত্য সহকারে//পক্ষ হতে//তোমাদের রবের//তোমরা অতএব ঈমান আন//(এটাই) উত্তম//তোমাদের জন্য//আর যদি//তোমরা অস্বীকার কর//নিশ্চয় তবে//আল্লাহরই জন্য//যা কিছু (আছে)//মধ্যে//আসমানসমূহের//ও পৃথিবীতে//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/664.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ لَا تَغْلُوا۟ فِى دِينِكُمْ وَلَا تَقُولُوا۟ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ ۚ إِنَّمَا ٱلْمَسِيحُ عِيسَى ٱبْنُ مَرْيَمَ رَسُولُ ٱللَّهِ وَكَلِمَتُهُۥٓ أَلْقَىٰهَآ إِلَىٰ مَرْيَمَ وَرُوحٌۭ مِّنْهُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۖ وَلَا تَقُولُوا۟ ثَلَٰثَةٌ ۚ ٱنتَهُوا۟ خَيْرًۭا لَّكُمْ ۚ إِنَّمَا ٱللَّهُ إِلَٰهٌۭ وَٰحِدٌۭ ۖ سُبْحَٰنَهُۥٓ أَن يَكُونَ لَهُۥ وَلَدٌۭ ۘ لَّهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَكَفَىٰ بِٱللَّهِ وَكِيلًۭا",
              "translate_bn": "হে আহলে-কিতাবগণ! তোমরা দ্বীনের ব্যাপারে বাড়াবাড়ি করো না এবং আল্লাহর শানে নিতান্ত সঙ্গত বিষয় ছাড়া কোন কথা বলো না। নিঃসন্দেহে মরিয়ম পুত্র মসীহ ঈসা আল্লাহর রসূল এবং তাঁর বাণী যা তিনি প্রেরণ করেছেন মরিয়মের নিকট এবং রূহ-তাঁরই কাছ থেকে আগত। অতএব, তোমরা আল্লাহকে এবং তার রসূলগণকে মান্য কর। আর একথা বলো না যে, আল্লাহ তিনের এক, একথা পরিহার কর; তোমাদের মঙ্গল হবে। নিঃসন্দেহে আল্লাহ একক উপাস্য। সন্তান-সন্ততি হওয়াটা তাঁর যোগ্য বিষয় নয়। যা কিছু আসমান সমূহ ও যমীনে রয়েছে সবই তার। আর কর্মবিধানে আল্লাহই যথেষ্ট।",
              "numberInSurah": 171,
              "juz": 6,
              "manzil": 1,
              "page": 105,
              "ruku": 84,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইয়াআহলাল কিতাবি লা-তাগলূফী দীনিকুম ওয়ালা-তাকূলূ‘আলাল্লা-হি ইল্লাল হাক্কা; ইন্নামাল মাছীহু‘ঈছাবনুমারইয়ামা রাছূলুল্লা-হি ওয়া কালিমাতুহু আলকা-হা ইলামারইয়ামা ওয়া রুহুম মিনহু ফাআ-মিনূবিল্লা-হি ওয়া রুছুলিহী ওয়ালা-তাকূলূছালা-ছাতুন ইনতাহু খাইরাল্লাকুম ইন্নামাল্লা-হু ইলা-হুওঁ ওয়া-হিদুন ছুবহানাহূআইঁ ইয়াকূনা লাহূওয়ালাদুন । লাহূমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া কাফা-বিল্লা-হি ওয়াকীলা-।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَا/لَا/la//تَغْلُوْا/تَغۡلُواْ/taghlu//فِیْ/فِي/fi//دِیْنِكُمْ/دِينِكُمۡ/dinikum//وَ لَا/وَلَا/wala//تَقُوْلُوْا/تَقُولُواْ/taqulu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الْحَقَّ ؕ/ٱلۡحَقَّۚ/al-haqa//اِنَّمَا/إِنَّمَا/innama//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَلِمَتُهٗ ۚ/وَكَلِمَتُهُۥٓ/wakalimatuhu//اَلْقٰىهَاۤ/أَلۡقَىٰهَآ/alqaha//اِلٰی/إِلَىٰ/ila//مَرْیَمَ/مَرۡيَمَ/maryama//وَ رُوْحٌ/وَرُوحٞ/waruhun//مِّنْهُ ؗ/مِّنۡهُۖ/min'hu//فَاٰمِنُوْا/فَـَٔامِنُواْ/faaminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖ ۫ۚ/وَرُسُلِهِۦۖ/warusulihi//وَ لَا/وَلَا/wala//تَقُوْلُوْا/تَقُولُواْ/taqulu//ثَلٰثَةٌ ؕ/ثَلَٰثَةٌۚ/thalathatun//اِنْتَهُوْا/ٱنتَهُواْ/intahu//خَیْرًا/خَيۡرٗا/khayran//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//اِنَّمَا/إِنَّمَا/innama//اللّٰهُ/ٱللَّهُ/al-lahu//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ؕ/وَٰحِدٞۖ/wahidun//سُبْحٰنَهٗۤ/سُبۡحَٰنَهُۥٓ/sub'hanahu//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//لَهٗ/لَهُۥ/lahu//وَلَدٌ ۘ/وَلَدٞۘ/waladun//لَهٗ/لَّهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَكِیْلًا۠/وَكِيلٗا/wakilan",
              "words_bangla": "হে আহলি//কিতাব//না//তোমরা বাড়াবাড়ি করো//ব্যাপারে//তোমাদের দ্বীনের//এবং না//তোমরা বলো//উপর//আল্লাহর//এছাড়া যা//হক//মূলত//মসীহ//ঈসা//পুত্র//মারইয়ামের//(তিনি ছিলেন) রাসূল//আল্লাহর//ও তাঁর ফরমান//যা তিনি প্রেরণ করেন//প্রতি//মারইয়ামের//ও রূহ//তাঁর পক্ষ হতে//তোমরা অতএব ঈমান আন//আল্লাহর উপর//ও তাঁর রাসূলদের (উপর)//এবং না//তোমরা বলো//''তিন (ইলাহ)''//তোমরা বিরত হও//(এটাই) উত্তম//তোমাদের জন্য//মূলত//আল্লাহ//ইলাহ//একই//তিনি পবিত্র//(এ হতে) যে//হবে//তার//কোন সন্তান//তারই//যা কিছু আছে//মধ্যে//আসমানসমূহের//ও যা কিছু (আছে)//মধ্যে//পৃথিবীর//এবং যথেষ্ট//আল্লাহই//কর্মবিধায়ক হিসেবে"
            },
            {
              "number": 665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/665.mp3"
              ],
              "text": "لَّن يَسْتَنكِفَ ٱلْمَسِيحُ أَن يَكُونَ عَبْدًۭا لِّلَّهِ وَلَا ٱلْمَلَٰٓئِكَةُ ٱلْمُقَرَّبُونَ ۚ وَمَن يَسْتَنكِفْ عَنْ عِبَادَتِهِۦ وَيَسْتَكْبِرْ فَسَيَحْشُرُهُمْ إِلَيْهِ جَمِيعًۭا",
              "translate_bn": "মসীহ আল্লাহর বান্দা হবেন, তাতে তার কোন লজ্জাবোধ নেই এবং ঘনিষ্ঠ ফেরেশতাদেরও না। বস্তুতঃ যারা আল্লাহর দাসত্বে লজ্জাবোধ করবে এবং অহংকার করবে, তিনি তাদের সবাইকে নিজের কাছে সমবেত করবেন।",
              "numberInSurah": 172,
              "juz": 6,
              "manzil": 1,
              "page": 105,
              "ruku": 85,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "লাইঁ ইয়াছতানকিফাল মাছীহুআইঁ ইয়াকূনা ‘আবদাল লিল্লা-হি ওয়ালাল মালাইকাতুল মুকাররাবূনা ওয়া মাইঁ ইয়াছতানকিফ ‘আন ‘ইবা-দাতিহী ওয়া ইয়াছতাকবির ফাছাইয়াহশুরুহুম ইলাইহি জামী‘আ-।",
              "words_arabic": "لَنْ/لَّن/lan//یَّسْتَنْكِفَ/يَسۡتَنكِفَ/yastankifa//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//عَبْدًا/عَبۡدٗا/abdan//لِّلّٰهِ/لِّلَّهِ/lillahi//وَ لَا/وَلَا/wala//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//الْمُقَرَّبُوْنَ ؕ/ٱلۡمُقَرَّبُونَۚ/al-muqarabuna//وَ مَنْ/وَمَن/waman//یَّسْتَنْكِفْ/يَسۡتَنكِفۡ/yastankif//عَنْ/عَنۡ/an//عِبَادَتِهٖ/عِبَادَتِهِۦ/ibadatihi//وَ یَسْتَكْبِرْ/وَيَسۡتَكۡبِرۡ/wayastakbir//فَسَیَحْشُرُهُمْ/فَسَيَحۡشُرُهُمۡ/fasayahshuruhum//اِلَیْهِ/إِلَيۡهِ/ilayhi//جَمِیْعًا /جَمِيعٗا/jami'an",
              "words_bangla": "কক্ষনো না//হেয় জ্ঞান করে//মসীহ//(যে)//হওয়াতে//বান্দা//আল্লাহর//এবং না//ফেরেশতারাও//(যারা) ঘনিষ্ঠ//এবং যে//হেয় জ্ঞান করে//হতে//তাঁর বন্দেগী//ও অহংকার করে//একত্র করবেন তবে তাদের//তাঁর দিকে//সকলকে"
            },
            {
              "number": 666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/666.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَيُوَفِّيهِمْ أُجُورَهُمْ وَيَزِيدُهُم مِّن فَضْلِهِۦ ۖ وَأَمَّا ٱلَّذِينَ ٱسْتَنكَفُوا۟ وَٱسْتَكْبَرُوا۟ فَيُعَذِّبُهُمْ عَذَابًا أَلِيمًۭا وَلَا يَجِدُونَ لَهُم مِّن دُونِ ٱللَّهِ وَلِيًّۭا وَلَا نَصِيرًۭا",
              "translate_bn": "অতঃপর যারা ঈমান এনেছে এবং সৎকাজ করেছে, তিনি তাদেরকে পরিপূর্ণ সওয়াব দান করবেন, বরং স্বীয় অনুগ্রহে আরো বেশী দেবেন। পক্ষান্তরে যারা লজ্জাবোধ করেছে এবং অহঙ্কার করেছে তিনি তাদেরকে দেবেন বেদনাদায়ক আযাব। আল্লাহকে ছাড়া তারা কোন সাহায্যকারী ও সমর্থক পাবে না।",
              "numberInSurah": 173,
              "juz": 6,
              "manzil": 1,
              "page": 105,
              "ruku": 85,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফাইউওয়াফফীহিম উজূরাহুম ওয়া ইয়াঝীদুহুম মিন ফাদলিহী ওয়া আম্মাল লাযীনাছ তানকাফূওয়াছতাকবারূফাইউ‘আযযিবুহুম ‘আযা-বান আলীমাওঁ ওয়ালা-ইয়াজিদূ না লাহুম মিন দূ নিল্লা-হি ওয়ালিইইয়াওঁ ওয়ালা-নাসীরা-।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَیُوَفِّیْهِمْ/فَيُوَفِّيهِمۡ/fayuwaffihim//اُجُوْرَهُمْ/أُجُورَهُمۡ/ujurahum//وَ یَزِیْدُهُمْ/وَيَزِيدُهُم/wayaziduhum//مِّنْ/مِّن/min//فَضْلِهٖ ۚ/فَضۡلِهِۦۖ/fadlihi//وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَنْكَفُوْا/ٱسۡتَنكَفُواْ/is'tankafu//وَ اسْتَكْبَرُوْا/وَٱسۡتَكۡبَرُواْ/wa-is'takbaru//فَیُعَذِّبُهُمْ/فَيُعَذِّبُهُمۡ/fayu'adhibuhum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا ۙ۬/أَلِيمٗا/aliman//وَّ لَا/وَلَا/wala//یَجِدُوْنَ/يَجِدُونَ/yajiduna//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "অতঃপর//যারা//ঈমান এনেছে//ও কাজ করেছে//নেকীসমূহের//তাদেরকে অতঃপর পূর্ণ দেবেন//তাদের কর্মফলসমূহ//এবং বেশীও দিবেন তাদেরকে//হতে//তাঁর অনুগ্রহ//আর//যারা//হেয় জ্ঞান করলো//ও অহংকার করল//তাদেরকে তাহলে শাস্তি দিবেন//শাস্তি//মর্মন্তুদ//এবং না//তারা পাবে//তাদের জন্য//(থেকে)//ছাড়া//আল্লাহ//কোন অভিভাবক//আর না//কোন সাহায্যকারী"
            },
            {
              "number": 667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/667.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُم بُرْهَٰنٌۭ مِّن رَّبِّكُمْ وَأَنزَلْنَآ إِلَيْكُمْ نُورًۭا مُّبِينًۭا",
              "translate_bn": "হে মানবকুল! তোমাদের পরওয়ারদেগারের পক্ষ থেকে তোমাদের নিকট সনদ পৌঁছে গেছে। আর আমি তোমাদের প্রতি প্রকৃষ্ট আলো অবতীর্ণ করেছি।",
              "numberInSurah": 174,
              "juz": 6,
              "manzil": 1,
              "page": 105,
              "ruku": 85,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুকাদ জাআকুমবুরহা-নুমমিররাব্বিকুমওয়াআনঝালনা-ইলাইকুম নূরাম মুবীনা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُم/jaakum//بُرْهَانٌ/بُرۡهَٰنٞ/bur'hanun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ اَنْزَلْنَاۤ/وَأَنزَلۡنَآ/wa-anzalna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//نُوْرًا/نُورٗا/nuran//مُّبِیْنًا /مُّبِينٗا/mubinan",
              "words_bangla": "হে//মানবজাতি//নিশ্চয়ই//কাছে এসেছে তোমাদের//দলীল প্রমাণ//পক্ষ হতে//তোমাদের রবের//ও আমরা নাযিল করেছি//তোমাদের প্রতি//আলো'//সুস্পষ্ট"
            },
            {
              "number": 668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/668.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَٱعْتَصَمُوا۟ بِهِۦ فَسَيُدْخِلُهُمْ فِى رَحْمَةٍۢ مِّنْهُ وَفَضْلٍۢ وَيَهْدِيهِمْ إِلَيْهِ صِرَٰطًۭا مُّسْتَقِيمًۭا",
              "translate_bn": "অতএব, যারা আল্লাহর প্রতি ঈমান এনেছে এবং তাতে দৃঢ়তা অবলম্বন করেছে তিনি তাদেরকে স্বীয় রহমত ও অনুগ্রহের আওতায় স্থান দেবেন এবং নিজের দিকে আসার মত সরল পথে তুলে দেবেন।",
              "numberInSurah": 175,
              "juz": 6,
              "manzil": 1,
              "page": 105,
              "ruku": 85,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল লাযীনা আ-মানূবিল্লা-হি ওয়া‘তাসামূবিহী ফাছাইউদখিলুহুম ফী রাহমাতিম মিনহু ওয়া ফাদলিওঁ ওয়া ইয়াহদীহিম ইলাইহি সিরা-তাম মুছতাকীমা-।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ اعْتَصَمُوْا/وَٱعۡتَصَمُواْ/wa-i'tasamu//بِهٖ/بِهِۦ/bihi//فَسَیُدْخِلُهُمْ/فَسَيُدۡخِلُهُمۡ/fasayud'khiluhum//فِیْ/فِي/fi//رَحْمَةٍ/رَحۡمَةٖ/rahmatin//مِّنْهُ/مِّنۡهُ/min'hu//وَ فَضْلٍ ۙ/وَفَضۡلٖ/wafadlin//وَّ یَهْدِیْهِمْ/وَيَهۡدِيهِمۡ/wayahdihim//اِلَیْهِ/إِلَيۡهِ/ilayhi//صِرَاطًا/صِرَٰطٗا/siratan//مُّسْتَقِیْمًاؕ/مُّسۡتَقِيمٗا/mus'taqiman",
              "words_bangla": "অতঃপর//যারা//ঈমান এনেছে//আল্লাহর উপর//ও দৃঢ়তা অবলম্বন করেছে//তাতে//অতঃপর শীঘ্রই তাদেরকে  প্রবেশ করাবেন//মধ্যে//রহমতের//তাঁর পক্ষ হতে//ও অনুগ্রহে//ও তাদেরকে পরিচালিত করবেন//তাঁর দিকে//(অর্থাৎ) পথে//সরল সঠিক"
            },
            {
              "number": 669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/669.mp3"
              ],
              "text": "يَسْتَفْتُونَكَ قُلِ ٱللَّهُ يُفْتِيكُمْ فِى ٱلْكَلَٰلَةِ ۚ إِنِ ٱمْرُؤٌا۟ هَلَكَ لَيْسَ لَهُۥ وَلَدٌۭ وَلَهُۥٓ أُخْتٌۭ فَلَهَا نِصْفُ مَا تَرَكَ ۚ وَهُوَ يَرِثُهَآ إِن لَّمْ يَكُن لَّهَا وَلَدٌۭ ۚ فَإِن كَانَتَا ٱثْنَتَيْنِ فَلَهُمَا ٱلثُّلُثَانِ مِمَّا تَرَكَ ۚ وَإِن كَانُوٓا۟ إِخْوَةًۭ رِّجَالًۭا وَنِسَآءًۭ فَلِلذَّكَرِ مِثْلُ حَظِّ ٱلْأُنثَيَيْنِ ۗ يُبَيِّنُ ٱللَّهُ لَكُمْ أَن تَضِلُّوا۟ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۢ",
              "translate_bn": "মানুষ আপনার নিকট ফতোয়া জানতে চায় অতএব, আপনি বলে দিন, আল্লাহ তোমাদিগকে কালালাহ এর মীরাস সংক্রান্ত সুস্পষ্ট নির্দেশ বাতলে দিচ্ছেন, যদি কোন পুরুষ মারা যায় এবং তার কোন সন্তানাদি না থাকে এবং এক বোন থাকে, তবে সে পাবে তার পরিত্যাক্ত সম্পত্তির অর্ধেক অংশ এবং সে যদি নিঃসন্তান হয়, তবে তার ভাই তার উত্তরাধিকারী হবে। তা দুই বোন থাকলে তাদের জন্য পরিত্যক্ত সম্পত্তির দুই তৃতীয়াংশ। পক্ষান্তরে যদি ভাই ও বোন উভয়ই থাকে, তবে একজন পুরুষের অংশ দুজন নারীর সমান। তোমরা বিভ্রান্ত হবে আল্লাহ তোমাদিগকে সুস্পষ্ট ভাবে জানিয়ে দিচ্ছেন। আর আল্লাহ হচ্ছেন সর্ব বিষয়ে পরিজ্ঞাত।",
              "numberInSurah": 176,
              "juz": 6,
              "manzil": 1,
              "page": 106,
              "ruku": 85,
              "hizbQuarter": 42,
              "sajda": false,
              "pronunciation_bn": "ইয়াছতাফতূনাকা কুল্লিলা-হু ইউফতীকুম ফিল কালা-লাতি ইনিমরুউন হালাকা লাইছা লাহু ওয়ালাদুওঁ ওয়া লাহুউখতুন ফালাহা-নিসফুমা-তারাকা ওয়া হুওয়া ইয়ারিছুহা-ইল্লাম ইয়াকুল্লাহা-ওয়ালাদুন ফাইন কা-নাতাছনাতাইনি ফালাহুমাছছুলুছানি মিম্মা-তারাকা ওয়া ইন কা-নু ইখওয়াতার রিজা-লাওঁ ওয়া নিছাআন ফালিযযাকারি মিছলুহাজ্জিল উনছাইয়াইনি ইউবাইয়িনুল্লা-হু লাকুম আন তাদিললূ ওয়াল্লা-হু বিকুল্লিা শাইয়িন ‘আলীম।",
              "words_arabic": "یَسْتَفْتُوْنَكَ ؕ/يَسۡتَفۡتُونَكَ/yastaftunaka//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یُفْتِیْكُمْ/يُفۡتِيكُمۡ/yuf'tikum//فِی/فِي/fi//الْكَلٰلَةِ ؕ/ٱلۡكَلَٰلَةِۚ/al-kalalati//اِنِ/إِنِ/ini//امْرُؤٌا/ٱمۡرُؤٌاْ/im'ru-on//هَلَكَ/هَلَكَ/halaka//لَیْسَ/لَيۡسَ/laysa//لَهٗ/لَهُۥ/lahu//وَلَدٌ/وَلَدٞ/waladun//وَّ لَهٗۤ/وَلَهُۥٓ/walahu//اُخْتٌ/أُخۡتٞ/ukh'tun//فَلَهَا/فَلَهَا/falaha//نِصْفُ/نِصۡفُ/nis'fu//مَا/مَا/ma//تَرَكَ ۚ/تَرَكَۚ/taraka//وَ هُوَ/وَهُوَ/wahuwa//یَرِثُهَاۤ/يَرِثُهَآ/yarithuha//اِنْ/إِن/in//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُن/yakun//لَّهَا/لَّهَا/laha//وَلَدٌ ؕ/وَلَدٞۚ/waladun//فَاِنْ/فَإِن/fa-in//كَانَتَا/كَانَتَا/kanata//اثْنَتَیْنِ/ٱثۡنَتَيۡنِ/ith'natayni//فَلَهُمَا/فَلَهُمَا/falahuma//الثُّلُثٰنِ/ٱلثُّلُثَانِ/al-thuluthani//مِمَّا/مِمَّا/mimma//تَرَكَ ؕ/تَرَكَۚ/taraka//وَ اِنْ/وَإِن/wa-in//كَانُوْۤا/كَانُوٓاْ/kanu//اِخْوَةً/إِخۡوَةٗ/ikh'watan//رِّجَالًا/رِّجَالٗا/rijalan//وَّ نِسَآءً/وَنِسَآءٗ/wanisaan//فَلِلذَّكَرِ/فَلِلذَّكَرِ/falildhakari//مِثْلُ/مِثۡلُ/mith'lu//حَظِّ/حَظِّ/hazzi//الْاُنْثَیَیْنِ ؕ/ٱلۡأُنثَيَيۡنِۗ/al-unthayayni//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//اَنْ/أَن/an//تَضِلُّوْا ؕ/تَضِلُّواْۗ/tadillu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ۠/عَلِيمُۢ/alimun",
              "words_bangla": "তোমার কাছে সমাধান চায় তারা//বল//''আল্লাহ//তোমাদেরকে সমাধান দিচ্ছেন//ব্যাপারে//মাতা-পিতাহীনও নিঃসন্তান ব্যক্তির//যদি//কোন পুরুষ (এ ধরনের)//মারা যায়//না (থাকে)//তার//কোন সন্তান//ও তার থাকে//এক বোন (বৈমাত্রেয় বা সহোদর)//তার জন্য তবে (অর্থাৎ সেই বোন)//(পাবে) অর্ধেক//যা আছে//পরিত্যক্ত সম্পত্তি//এবং সে (অর্থাৎ ভাই)//তার (অর্থাৎ মৃত বোনের) উত্তরাধিকারী হবে//যদি//না//থাকে//তার (অর্থাৎ বোনের)//কোন সন্তান//যদি তবে//তারা হয়//দুই (বোন মৃতের উত্তরাধিকারী)//তবে জন্য তাদের দুজনের//দুই তৃতীয়াংশ//তা হতে যা//পরিত্যক্ত সম্পত্তি//এবং যদি//তারা হয়//ভাই-বোন//পুরুষ (কয়েকজন)//ও নারী (কয়েকজন)//জন্য তবে একজন পুরুষের//সমান//অংশ//দুই নারীর//বর্ণনা করেন//আল্লাহ//তোমাদের জন্য//যেন//তোমরা বিভ্রান্ত (না) হও//এবং আল্লাহ//সম্পর্কে সব//কিছুর//খুব অবহিত"
            }
          ]
        },
        {
          "number": 5,
          "name": "سُورَةُ المَائـِدَةِ",
          "englishName": "Al-Maaida",
          "englishNameTranslation": "The Table",
          "revelationType": "Medinan",
          "verse": 120,
          "words": 5598,
          "chars": 23932,
          "ayahs": [
            {
              "number": 670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/670.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَوْفُوا۟ بِٱلْعُقُودِ ۚ أُحِلَّتْ لَكُم بَهِيمَةُ ٱلْأَنْعَٰمِ إِلَّا مَا يُتْلَىٰ عَلَيْكُمْ غَيْرَ مُحِلِّى ٱلصَّيْدِ وَأَنتُمْ حُرُمٌ ۗ إِنَّ ٱللَّهَ يَحْكُمُ مَا يُرِيدُ",
              "translate_bn": "মুমিনগণ, তোমরা অঙ্গীকারসমূহ পূর্ন কর। তোমাদের জন্য চতুষ্পদ জন্তু হালাল করা হয়েছে, যা তোমাদের কাছে বিবৃত হবে তা ব্যতীত। কিন্তু এহরাম বাধাঁ অবস্থায় শিকারকে হালাল মনে করো না! নিশ্চয় আল্লাহ তা’আলা যা ইচ্ছা করেন, নির্দেশ দেন।",
              "numberInSurah": 1,
              "juz": 6,
              "manzil": 2,
              "page": 106,
              "ruku": 86,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূআওফূবিল‘উকূদি উহিল্লাত লাকুম বাহীমাতুল আন‘আ-মি ইল্লা-মা-ইউতলা-‘আলাইকুম গাইরা মুহিলিলসসাইদি ওয়া আনতুম হুরুমুন ইন্নাল্লা-হা ইয়াহকুমুমা-ইউরীদ।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَوْفُوْا/أَوۡفُواْ/awfu//بِالْعُقُوْدِ ؕ۬/بِٱلۡعُقُودِۚ/bil-'uqudi//اُحِلَّتْ/أُحِلَّتۡ/uhillat//لَكُمْ/لَكُم/lakum//بَهِیْمَةُ/بَهِيمَةُ/bahimatu//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//اِلَّا/إِلَّا/illa//مَا/مَا/ma//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//غَیْرَ/غَيۡرَ/ghayra//مُحِلِّی/مُحِلِّي/muhilli//الصَّیْدِ/ٱلصَّيۡدِ/al-saydi//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//حُرُمٌ ؕ/حُرُمٌۗ/hurumun//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَحْكُمُ/يَحۡكُمُ/yahkumu//مَا/مَا/ma//یُرِیْدُ /يُرِيدُ/yuridu",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা পূর্ণ করো//অঙ্গীকারসমূহকে//বৈধ করা হয়েছে//জন্যে তোমাদের//চতুষ্পদ//গবাদিপশু//এ ছাড়া//যা//বর্ণিত হচ্ছে//নিকট তোমাদের//নয়//হালালকারী//শিকার//এমতাবস্হায় যে তোমরা (থাকো)//ইহরাম অবস্থায়//নিশ্চয়ই//আল্লাহ//আদেশ করেন//যা//তিনি চান"
            },
            {
              "number": 671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/671.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُحِلُّوا۟ شَعَٰٓئِرَ ٱللَّهِ وَلَا ٱلشَّهْرَ ٱلْحَرَامَ وَلَا ٱلْهَدْىَ وَلَا ٱلْقَلَٰٓئِدَ وَلَآ ءَآمِّينَ ٱلْبَيْتَ ٱلْحَرَامَ يَبْتَغُونَ فَضْلًۭا مِّن رَّبِّهِمْ وَرِضْوَٰنًۭا ۚ وَإِذَا حَلَلْتُمْ فَٱصْطَادُوا۟ ۚ وَلَا يَجْرِمَنَّكُمْ شَنَـَٔانُ قَوْمٍ أَن صَدُّوكُمْ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ أَن تَعْتَدُوا۟ ۘ وَتَعَاوَنُوا۟ عَلَى ٱلْبِرِّ وَٱلتَّقْوَىٰ ۖ وَلَا تَعَاوَنُوا۟ عَلَى ٱلْإِثْمِ وَٱلْعُدْوَٰنِ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "হে মুমিনগণ! হালাল মনে করো না আল্লাহর নিদর্শনসমূহ এবং সম্মানিত মাসসমূহকে এবং হরমে কুরবানীর জন্যে নির্দিষ্ট জন্তুকে এবং ঐসব জন্তুকে, যাদের গলায় কন্ঠাভরণ রয়েছে এবং ঐসব লোককে যারা সম্মানিত গৃহ অভিমুখে যাচ্ছে, যারা স্বীয় পালনকর্তার অনুগ্রহ ও সন্তুষ্টি কামনা করে। যখন তোমরা এহরাম থেকে বের হয়ে আস, তখন শিকার কর। যারা পবিত্র মসজিদ থেকে তোমাদেরকে বাধা প্রদান করেছিল, সেই সম্প্রদায়ের শুত্রুতা যেন তোমাদেরকে সীমালঙ্ঘনে প্ররোচিত না করে। সৎকর্ম ও খোদাভীতিতে একে অন্যের সাহায্য কর। পাপ ও সীমালঙ্ঘনের ব্যাপারে একে অন্যের সহায়তা করো না। আল্লাহকে ভয় কর। নিশ্চয় আল্লাহ তা’আলা কঠোর শাস্তিদাতা।",
              "numberInSurah": 2,
              "juz": 6,
              "manzil": 2,
              "page": 106,
              "ruku": 86,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ূহাল্লাযীনা আ-মানূলা-তুহিললূশা‘আইরাল্লা-হি ওলাশশাহরাল হারা-মা ওয়ালাল হাদইয়া ওয়ালাল কালাইদা ওয়ালাআম্মীনাল বাইতাল হারা-মা ইয়াবতাগূনা ফাদলাম মির রাব্বিহিম ওয়া রিদওয়ানাওঁ ওয়া ইযা-হালালতুম ফাসতা-দূ ওয়ালা-ইয়াজরিমান্নাকুম শানাআ-নুকাওমিন আন সাদ্দূকুম ‘আনিল মাছজিদিল হারা-মি আন তা‘তাদূ । ওয়া তা‘আ-ওয়ানূ‘আলাল বিররি ওয়াত্তাকওয়া- ওয়ালা-তা‘আ-ওয়ানূ‘আলাল ইছমি ওয়াল ‘উদওয়া-নি ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تُحِلُّوْا/تُحِلُّواْ/tuhillu//شَعَآىِٕرَ/شَعَـٰٓئِرَ/sha'aira//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//الشَّهْرَ/ٱلشَّهۡرَ/al-shahra//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//وَ لَا/وَلَا/wala//الْهَدْیَ/ٱلۡهَدۡيَ/al-hadya//وَ لَا/وَلَا/wala//الْقَلَآىِٕدَ/ٱلۡقَلَـٰٓئِدَ/al-qalaida//وَ لَاۤ/وَلَآ/wala//آٰمِّیْنَ/ءَآمِّينَ/ammina//الْبَیْتَ/ٱلۡبَيۡتَ/al-bayta//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//یَبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//فَضْلًا/فَضۡلٗا/fadlan//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//وَ رِضْوَانًا ؕ/وَرِضۡوَٰنٗاۚ/warid'wanan//وَ اِذَا/وَإِذَا/wa-idha//حَلَلْتُمْ/حَلَلۡتُمۡ/halaltum//فَاصْطَادُوْا ؕ/فَٱصۡطَادُواْۚ/fa-is'tadu//وَ لَا/وَلَا/wala//یَجْرِمَنَّكُمْ/يَجۡرِمَنَّكُمۡ/yajrimannakum//شَنَاٰنُ/شَنَـَٔانُ/shanaanu//قَوْمٍ/قَوۡمٍ/qawmin//اَنْ/أَن/an//صَدُّوْكُمْ/صَدُّوكُمۡ/saddukum//عَنِ/عَنِ/ani//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//اَنْ/أَن/an//تَعْتَدُوْا ۘ/تَعۡتَدُواْۘ/ta'tadu//وَ تَعَاوَنُوْا/وَتَعَاوَنُواْ/wata'awanu//عَلَی/عَلَى/ala//الْبِرِّ/ٱلۡبِرِّ/al-biri//وَ التَّقْوٰی ۪/وَٱلتَّقۡوَىٰۖ/wal-taqwa//وَ لَا/وَلَا/wala//تَعَاوَنُوْا/تَعَاوَنُواْ/ta'awanu//عَلَی/عَلَى/ala//الْاِثْمِ/ٱلۡإِثۡمِ/al-ith'mi//وَ الْعُدْوَانِ ۪/وَٱلۡعُدۡوَٰنِۚ/wal-'ud'wani//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা বৈধ মনে করো//নিদর্শনসমূহকে//আল্লাহর//এবং না (বৈধ করো)//মাসকে//পবিত্র//এবং না (হাত লাগাবে)//কুরবানির জন্যে কাবায় পাঠানো পশুকে//এবং না//গলায় চিহ্নবিশিষ্ট পশুগুলোকে//এবং না (কষ্ট দিও)//যাত্রীদেরকে//(অভিমুখী) ঘরের//পবিত্র//সন্ধান করছে তারা//অনুগ্রহ//পক্ষ থেকে//রবের তাদের//ও সন্তুষ্টি//এবং যখন//ইহরাম মুক্ত হবে তোমরা//তখন  তোমরা শিকার করতে পারো//এবং না (যেন)//প্ররোচিত করে তোমাদেরকে//বিদ্বেষ//কোনো সম্প্রদায়ের//(এ কারণে) যে//তারা বাধা দেয় তোমাদের//হতে//মসজীদে//হারাম//(এতদূর) যে//তোমরা সীমালংঘন করে বসো//এবং তোমরা সহযোগিতা করবে//ব্যাপারে//সৎকর্মের//ও তাকওয়ার//কিন্তু না//তোমরা সহযোগিতা করবে//ব্যাপারে//পাপের//ও সীমালংঘনের//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//কঠোর//শাস্তিদানে"
            },
            {
              "number": 672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/672.mp3"
              ],
              "text": "حُرِّمَتْ عَلَيْكُمُ ٱلْمَيْتَةُ وَٱلدَّمُ وَلَحْمُ ٱلْخِنزِيرِ وَمَآ أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ وَٱلْمُنْخَنِقَةُ وَٱلْمَوْقُوذَةُ وَٱلْمُتَرَدِّيَةُ وَٱلنَّطِيحَةُ وَمَآ أَكَلَ ٱلسَّبُعُ إِلَّا مَا ذَكَّيْتُمْ وَمَا ذُبِحَ عَلَى ٱلنُّصُبِ وَأَن تَسْتَقْسِمُوا۟ بِٱلْأَزْلَٰمِ ۚ ذَٰلِكُمْ فِسْقٌ ۗ ٱلْيَوْمَ يَئِسَ ٱلَّذِينَ كَفَرُوا۟ مِن دِينِكُمْ فَلَا تَخْشَوْهُمْ وَٱخْشَوْنِ ۚ ٱلْيَوْمَ أَكْمَلْتُ لَكُمْ دِينَكُمْ وَأَتْمَمْتُ عَلَيْكُمْ نِعْمَتِى وَرَضِيتُ لَكُمُ ٱلْإِسْلَٰمَ دِينًۭا ۚ فَمَنِ ٱضْطُرَّ فِى مَخْمَصَةٍ غَيْرَ مُتَجَانِفٍۢ لِّإِثْمٍۢ ۙ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "তোমাদের জন্যে হারাম করা হয়েছে মৃত জীব, রক্ত, শুকরের মাংস, যেসব জন্তু আল্লাহ ছাড়া অন্যের নামে উৎসর্গকৃত হয়, যা কন্ঠরোধে মারা যায়, যা আঘাত লেগে মারা যায়, যা উচ্চ স্থান থেকে পতনের ফলে মারা যা, যা শিং এর আঘাতে মারা যায় এবং যাকে হিংস্র জন্তু ভক্ষণ করেছে, কিন্তু যাকে তোমরা যবেহ করেছ। যে জন্তু যজ্ঞবেদীতে যবেহ করা হয় এবং যা ভাগ্য নির্ধারক শর দ্বারা বন্টন করা হয়। এসব গোনাহর কাজ। আজ কাফেররা তোমাদের দ্বীন থেকে নিরাশ হয়ে গেছে। অতএব তাদেরকে ভয় করো না বরং আমাকে ভয় কর। আজ আমি তোমাদের জন্যে তোমাদের দ্বীনকে পূর্নাঙ্গ করে দিলাম, তোমাদের প্রতি আমার অবদান সম্পূর্ণ করে দিলাম এবং ইসলামকে তোমাদের জন্যে দ্বীন হিসেবে পছন্দ করলাম। অতএব যে ব্যাক্তি তীব্র ক্ষুধায় কাতর হয়ে পড়ে; কিন্তু কোন গোনাহর প্রতি প্রবণতা না থাকে, তবে নিশ্চয়ই আল্লাহ তা’আলা ক্ষমাশীল।",
              "numberInSurah": 3,
              "juz": 6,
              "manzil": 2,
              "page": 107,
              "ruku": 86,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "হুররিমাত ‘আলাইকুমুল মাইতাতুওয়াদ্দামুওয়া লাহমুল খিনঝীরি ওয়ামা-উহিল্লা লিগাইরিল্লাহি বিহী ওয়াল মুনখানিকাতুওয়াল মাওকূযাতুওয়াল মুতারাদ্দিইয়াতুওয়ান্নাতীহাতু ওয়ামা-আকালাছ ছাবু‘উ ইল্লা-মা যাক্কাইতুম ওয়ামা-যুবিহা ‘আলান নুসুবি ওয়া আন তাছতাকছিমূবিলআঝলা-মি যা-লিকুম ফিছকুন আল ইয়াওমা ইয়াইছাল্লাযীনা কাফারূমিন দীনিকুম ফালা-তাখশাওহুম ওয়াখশাওনি আলইয়াওমা আকমালতুলাকুম দীনাকুম ওয়া আত মামতু‘আলাইকুম নি‘মাতী ওয়া রাদীতুলাকুমুল ইছলা-মা দীনান ফামানিদতুররা ফী মাখমাসাতিন গাইরা মুতাজা-নিফিললিইছমিন ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "حُرِّمَتْ/حُرِّمَتۡ/hurrimat//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْمَیْتَةُ/ٱلۡمَيۡتَةُ/al-maytatu//وَ الدَّمُ/وَٱلدَّمُ/wal-damu//وَ لَحْمُ/وَلَحۡمُ/walahmu//الْخِنْزِیْرِ/ٱلۡخِنزِيرِ/al-khinziri//وَ مَاۤ/وَمَآ/wama//اُهِلَّ/أُهِلَّ/uhilla//لِغَیْرِ/لِغَيۡرِ/lighayri//اللّٰهِ/ٱللَّهِ/al-lahi//بِهٖ/بِهِۦ/bihi//وَ الْمُنْخَنِقَةُ/وَٱلۡمُنۡخَنِقَةُ/wal-mun'khaniqatu//وَ الْمَوْقُوْذَةُ/وَٱلۡمَوۡقُوذَةُ/wal-mawqudhatu//وَ الْمُتَرَدِّیَةُ/وَٱلۡمُتَرَدِّيَةُ/wal-mutaradiyatu//وَ النَّطِیْحَةُ/وَٱلنَّطِيحَةُ/wal-natihatu//وَ مَاۤ/وَمَآ/wama//اَكَلَ/أَكَلَ/akala//السَّبُعُ/ٱلسَّبُعُ/al-sabu'u//اِلَّا/إِلَّا/illa//مَا/مَا/ma//ذَكَّیْتُمْ ۫/ذَكَّيۡتُمۡ/dhakkaytum//وَ مَا/وَمَا/wama//ذُبِحَ/ذُبِحَ/dhubiha//عَلَی/عَلَى/ala//النُّصُبِ/ٱلنُّصُبِ/al-nusubi//وَ اَنْ/وَأَن/wa-an//تَسْتَقْسِمُوْا/تَسۡتَقۡسِمُواْ/tastaqsimu//بِالْاَزْلَامِ ؕ/بِٱلۡأَزۡلَٰمِۚ/bil-azlami//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//فِسْقٌ ؕ/فِسۡقٌۗ/fis'qun//اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//یَىِٕسَ/يَئِسَ/ya-isa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//دِیْنِكُمْ/دِينِكُمۡ/dinikum//فَلَا/فَلَا/fala//تَخْشَوْهُمْ/تَخۡشَوۡهُمۡ/takhshawhum//وَ اخْشَوْنِ ؕ/وَٱخۡشَوۡنِۚ/wa-ikh'shawni//اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//اَكْمَلْتُ/أَكۡمَلۡتُ/akmaltu//لَكُمْ/لَكُمۡ/lakum//دِیْنَكُمْ/دِينَكُمۡ/dinakum//وَ اَتْمَمْتُ/وَأَتۡمَمۡتُ/wa-atmamtu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//نِعْمَتِیْ/نِعۡمَتِي/ni'mati//وَ رَضِیْتُ/وَرَضِيتُ/waraditu//لَكُمُ/لَكُمُ/lakumu//الْاِسْلَامَ/ٱلۡإِسۡلَٰمَ/al-is'lama//دِیْنًا ؕ/دِينٗاۚ/dinan//فَمَنِ/فَمَنِ/famani//اضْطُرَّ/ٱضۡطُرَّ/ud'turra//فِیْ/فِي/fi//مَخْمَصَةٍ/مَخۡمَصَةٍ/makhmasatin//غَیْرَ/غَيۡرَ/ghayra//مُتَجَانِفٍ/مُتَجَانِفٖ/mutajanifin//لِّاِثْمٍ ۙ/لِّإِثۡمٖ/li-ith'min//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "অবৈধ করা হয়েছে//উপর তোমাদের//মৃত (পশু পাখী)//ও (প্রবাহিত) রক্ত//ও গোশত//শুকরের//ও যা//জবাই করা হয়েছে//(জন্যে নয়) ছাড়া//আল্লাহর (নামে)//তা//ও শ্বাসরোধে মৃত জন্তু//ও আঘাতে মৃত জন্তু//ও উপর থেকে পড়ে মৃত জন্তু//ও শিঙের আঘাতে মৃত (পশু)//ও যাকে//খেয়েছে//হিংস্র পশুতে//এ ছাড়া//যা//তোমরা (জবাই করে) পবিত্র করেছো//এবং (হারাম) যা//বলি দেয়া হয়েছে//উপর//পূজার বেদীসমূহের//এবং (এও হারাম) যে//তোমরা ভাগ্য নির্ণয় করো//দিয়ে জুয়ার তীরগুলো//এসব//পাপকাজ  (কাজ)//আজ//নিরাশ হয়েছে//যারা//অবিশ্বাস করেছে//হতে//দীন তোমাদের//অতএব না//তোমরা ভয় কর তাদেরকে//এবং তোমরা ভয় কর আমাকে//আজ//আমি পূর্ণ করলাম//জন্যে তোমাদের//দীনকে তোমাদের//ও আমি সম্পূর্ণ করলাম//উপর তোমাদের//আমার অনুগ্রহ//ও আমি পছন্দ করলাম//জন্যে তোমাদের//ইসলামকে//দীন (হিসেবে)//অত:পর যে//বাধ্য হয় (খেতে)//কারণে//ক্ষুধার//নয়//ইচ্ছাকৃত ঝুঁকে//প্রতি পাপের//তবে নিশ্চয়ই//আল্লাহ (তার উপর)//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/673.mp3"
              ],
              "text": "يَسْـَٔلُونَكَ مَاذَآ أُحِلَّ لَهُمْ ۖ قُلْ أُحِلَّ لَكُمُ ٱلطَّيِّبَٰتُ ۙ وَمَا عَلَّمْتُم مِّنَ ٱلْجَوَارِحِ مُكَلِّبِينَ تُعَلِّمُونَهُنَّ مِمَّا عَلَّمَكُمُ ٱللَّهُ ۖ فَكُلُوا۟ مِمَّآ أَمْسَكْنَ عَلَيْكُمْ وَٱذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَيْهِ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "তারা আপনাকে জিজ্ঞেস করে যে, কি বস্তু তাদের জন্যে হালাল? বলে দিন, তোমাদের জন্যে পবিত্র বস্তুসমূহ হালাল করা হয়েছে। যেসব শিকারী জন্তুকে তোমরা প্রশিক্ষণ দান কর শিকারের প্রতি প্রেরণের জন্যে এবং ওদেরকে ঐ পদ্ধতিতে প্রশিক্ষণ দাও, যা আল্লাহ তোমাদেরকে শিক্ষা দিয়েছেন। এমন শিকারী জন্তু যে শিকারকে তোমাদের জন্যে ধরে রাখে, তা খাও এবং তার উপর আল্লাহর নাম উচ্চারণ কর। আল্লাহকে ভয় করতে থাক। নিশ্চয় আল্লাহ সত্ত্বর হিসাব গ্রহণকারী।",
              "numberInSurah": 4,
              "juz": 6,
              "manzil": 2,
              "page": 107,
              "ruku": 86,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা মা-যা উহিল্লা লাহু ম কুল উহিল্লা লাকুমুততাইয়িবা-তু ওয়ামা-‘আল্লামতুম মিনাল জাওয়া-রিহিমুকালিলবীনা তু‘আলিল মূনাহুন্না মিম্মা-‘আল্লামাকুমুল্লা-হু ফাকুলূমিম্মাআমছাকনা ‘আলাইকুম ওয়াযকুরুছমাল্লা-হি ‘আলাইহি ওয়াত্তাকুল্লাহা ইন্নাল্লা-হা ছারী‘উল হিছা-ব।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//مَا ذَاۤ/مَاذَآ/madha//اُحِلَّ/أُحِلَّ/uhilla//لَهُمْ ؕ/لَهُمۡۖ/lahum//قُلْ/قُلۡ/qul//اُحِلَّ/أُحِلَّ/uhilla//لَكُمُ/لَكُمُ/lakumu//الطَّیِّبٰتُ ۙ/ٱلطَّيِّبَٰتُ/al-tayibatu//وَ مَا/وَمَا/wama//عَلَّمْتُمْ/عَلَّمۡتُم/allamtum//مِّنَ/مِّنَ/mina//الْجَوَارِحِ/ٱلۡجَوَارِحِ/al-jawarihi//مُكَلِّبِیْنَ/مُكَلِّبِينَ/mukallibina//تُعَلِّمُوْنَهُنَّ/تُعَلِّمُونَهُنَّ/tu'allimunahunna//مِمَّا/مِمَّا/mimma//عَلَّمَكُمُ/عَلَّمَكُمُ/allamakumu//اللّٰهُ ؗ/ٱللَّهُۖ/al-lahu//فَكُلُوْا/فَكُلُواْ/fakulu//مِمَّاۤ/مِمَّآ/mimma//اَمْسَكْنَ/أَمۡسَكۡنَ/amsakna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ اذْكُرُوا/وَٱذۡكُرُواْ/wa-udh'kuru//اسْمَ/ٱسۡمَ/is'ma//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهِ ۪/عَلَيۡهِۖ/alayhi//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "তোমাকে তারা প্রশ্ন করে//কি//বৈধ করা হয়েছে//জন্যে তাদের//বলো//\"বৈধ করা হয়েছে//জন্যে তোমাদের//পবিত্র জিনিসগুলো//এবং যাদের//(শিকার) শিক্ষা দিয়েছো তোমরা//মধ্য হতে//শিকারি পশুপাখিদের//শিকারের প্রশিক্ষণদাতা  হিসেবে//তোমরা শিখিয়ে থাকো তাদের//তা হতে যা//শিখিয়েছেন তোমাদের//আল্লাহ//অতএব তোমরা খাও//(তা) থেকে যা//তারা ধরে আনবে//জন্যে তোমাদের//এবং (ছাড়ার সময়)স্মরণ করবে//নাম//আল্লাহর//উপর তার//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//দ্রুত//হিসাব (গ্রহণে)"
            },
            {
              "number": 674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/674.mp3"
              ],
              "text": "ٱلْيَوْمَ أُحِلَّ لَكُمُ ٱلطَّيِّبَٰتُ ۖ وَطَعَامُ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ حِلٌّۭ لَّكُمْ وَطَعَامُكُمْ حِلٌّۭ لَّهُمْ ۖ وَٱلْمُحْصَنَٰتُ مِنَ ٱلْمُؤْمِنَٰتِ وَٱلْمُحْصَنَٰتُ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ مِن قَبْلِكُمْ إِذَآ ءَاتَيْتُمُوهُنَّ أُجُورَهُنَّ مُحْصِنِينَ غَيْرَ مُسَٰفِحِينَ وَلَا مُتَّخِذِىٓ أَخْدَانٍۢ ۗ وَمَن يَكْفُرْ بِٱلْإِيمَٰنِ فَقَدْ حَبِطَ عَمَلُهُۥ وَهُوَ فِى ٱلْءَاخِرَةِ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "আজ তোমাদের জন্য পবিত্র বস্তুসমূহ হালাল করা হল। আহলে কিতাবদের খাদ্য তোমাদের জন্যে হালাল এবং তোমাদের খাদ্য তাদের জন্য হালাল। তোমাদের জন্যে হালাল সতী-সাধ্বী মুসলমান নারী এবং তাদের সতী-সাধ্বী নারী, যাদেরকে কিতাব দেয়া হয়েছে তোমাদের পূর্বে, যখন তোমরা তাদেরকে মোহরানা প্রদান কর তাদেরকে স্ত্রী করার জন্যে, কামবাসনা চরিতার্থ করার জন্যে কিংবা গুপ্ত প্রেমে লিপ্ত হওয়ার জন্যে নয়। যে ব্যক্তি বিশ্বাসের বিষয় অবিশ্বাস করে, তার শ্রম বিফলে যাবে এবং পরকালে সে ক্ষতিগ্রস্ত হবে।",
              "numberInSurah": 5,
              "juz": 6,
              "manzil": 2,
              "page": 107,
              "ruku": 86,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "আলইয়াওমা উহিল্লা লাকুমুততাইয়িবা-তু ওয়া তা‘আ-মুল্লাযীনা ঊতুল কিতা-বা হিল্লুল লাকুম ওয়া তা‘আ-মুকুম হিল্লুল লাহুম ওয়াল মুহসানা-তুমিনাল মু’মিনাতি ওয়াল মুহসানা-তুমিনাল্লাযীনা ঊতুল কিতা-বা মিন কাবলিকুম ইযাআ-তাইতুমূহুন্না উজুরাহুন্না মুহসিনীনা গাইরা মুছা-ফিহীনা ওয়ালা-মুত্তাখিযীআখদা-নিওঁ ওয়া মাইঁ ইয়াকফুর বিলঈমা-নি ফাকাদ হাবিতা ‘আমালুহূ ওয়া হুওয়া ফিল আ-খিরাতি মিনাল খা-ছিরীন।",
              "words_arabic": "اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//اُحِلَّ/أُحِلَّ/uhilla//لَكُمُ/لَكُمُ/lakumu//الطَّیِّبٰتُ ؕ/ٱلطَّيِّبَٰتُۖ/al-tayibatu//وَ طَعَامُ/وَطَعَامُ/wata'amu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//حِلٌّ/حِلّٞ/hillun//لَّكُمْ ۪/لَّكُمۡ/lakum//وَ طَعَامُكُمْ/وَطَعَامُكُمۡ/wata'amukum//حِلٌّ/حِلّٞ/hillun//لَّهُمْ ؗ/لَّهُمۡۖ/lahum//وَ الْمُحْصَنٰتُ/وَٱلۡمُحۡصَنَٰتُ/wal-muh'sanatu//مِنَ/مِنَ/mina//الْمُؤْمِنٰتِ/ٱلۡمُؤۡمِنَٰتِ/al-mu'minati//وَ الْمُحْصَنٰتُ/وَٱلۡمُحۡصَنَٰتُ/wal-muh'sanatu//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//اِذَاۤ/إِذَآ/idha//اٰتَیْتُمُوْهُنَّ/ءَاتَيۡتُمُوهُنَّ/ataytumuhunna//اُجُوْرَهُنَّ/أُجُورَهُنَّ/ujurahunna//مُحْصِنِیْنَ/مُحۡصِنِينَ/muh'sinina//غَیْرَ/غَيۡرَ/ghayra//مُسٰفِحِیْنَ/مُسَٰفِحِينَ/musafihina//وَ لَا/وَلَا/wala//مُتَّخِذِیْۤ/مُتَّخِذِيٓ/muttakhidhi//اَخْدَانٍ ؕ/أَخۡدَانٖۗ/akhdanin//وَ مَنْ/وَمَن/waman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِالْاِیْمَانِ/بِٱلۡإِيمَٰنِ/bil-imani//فَقَدْ/فَقَدۡ/faqad//حَبِطَ/حَبِطَ/habita//عَمَلُهٗ ؗ/عَمَلُهُۥ/amaluhu//وَ هُوَ/وَهُوَ/wahuwa//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ۠/ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "আজ//বৈধ করা হলো//জন্যে তোমাদের//পবিত্র (জিনিস) সমূহ//ও খাবার//(তাদের) যাদের//দেয়া হয়েছে//কিতাব//বৈধ//জন্যেও তোমাদের//এবং খাবার তোমাদের//বৈধ//জন্যে তাদের//এবং সচ্চরিত্রা নারীরা//মধ্য হতে//নারী মু'মিনদের//এবং সচ্চরিত্রা নারীরা//(তাদের) মধ্য হতে//যাদেরকে//দেয়া হয়েছে//কিতাব//থেকে//পূর্ব তোমাদের//যখন//তোমরা দাও তাদের//মোহরগুলো তাদের//বিবাহকারী হিসেবে//নয়//ব্যভিচারী হিসেবে//এবং না//গ্রহণকারী হিসেবে//উপপত্নী//এবং যে//অবিশ্বাস করবে//প্রতি ঈমানের (বিষয়াবলীকে)//তাহ'লে  নিশ্চয়ই//নষ্ট হবে//কাজ তার//এবং সে (হবে)//মধ্যে//আখেরাতের//অন্তর্ভূক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/675.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا قُمْتُمْ إِلَى ٱلصَّلَوٰةِ فَٱغْسِلُوا۟ وُجُوهَكُمْ وَأَيْدِيَكُمْ إِلَى ٱلْمَرَافِقِ وَٱمْسَحُوا۟ بِرُءُوسِكُمْ وَأَرْجُلَكُمْ إِلَى ٱلْكَعْبَيْنِ ۚ وَإِن كُنتُمْ جُنُبًۭا فَٱطَّهَّرُوا۟ ۚ وَإِن كُنتُم مَّرْضَىٰٓ أَوْ عَلَىٰ سَفَرٍ أَوْ جَآءَ أَحَدٌۭ مِّنكُم مِّنَ ٱلْغَآئِطِ أَوْ لَٰمَسْتُمُ ٱلنِّسَآءَ فَلَمْ تَجِدُوا۟ مَآءًۭ فَتَيَمَّمُوا۟ صَعِيدًۭا طَيِّبًۭا فَٱمْسَحُوا۟ بِوُجُوهِكُمْ وَأَيْدِيكُم مِّنْهُ ۚ مَا يُرِيدُ ٱللَّهُ لِيَجْعَلَ عَلَيْكُم مِّنْ حَرَجٍۢ وَلَٰكِن يُرِيدُ لِيُطَهِّرَكُمْ وَلِيُتِمَّ نِعْمَتَهُۥ عَلَيْكُمْ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "হে মুমিনগণ, যখন তোমরা নামাযের জন্যে উঠ, তখন স্বীয় মুখমন্ডল ও হস্তসমূহ কনুই পর্যন্ত ধৌত কর, মাথা মুছেহ কর এবং পদযুগল গিটসহ। যদি তোমরা অপবিত্র হও তবে সারা দেহ পবিত্র করে নাও এবং যদি তোমরা রুগ্ন হও, অথবা প্রবাসে থাক অথবা তোমাদের কেউ প্রসাব-পায়খানা সেরে আসে অথবা তোমরা স্ত্রীদের সাথে সহবাস কর, অতঃপর পানি না পাও, তবে তোমরা পবিত্র মাটি দ্বারা তায়াম্মুম করে নাও-অর্থাৎ, স্বীয় মুখ-মন্ডল ও হস্তদ্বয় মাটি দ্বারা মুছে ফেল। আল্লাহ তোমাদেরকে অসুবিধায় ফেলতে চান না; কিন্তু তোমাদেরকে পবিত্র রাখতে চান এবং তোমাদের প্রতি স্বীয় নেয়ামত পূর্ণ করতে চান-যাতে তোমরা কৃতজ্ঞাতা প্রকাশ কর।",
              "numberInSurah": 6,
              "juz": 6,
              "manzil": 2,
              "page": 108,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ূহাল্লাযীনা আ-মানূইযা-কুমতুম ইলাসসালা-তি ফাগছিলূউজূহাকুম ওয়া আইদিয়াকুম ইলাল মারা-ফিকিওয়ামছাহূবিরুঊছিকুম ওয়া আরজুলাকুম ইলাল কা‘বাইন ওয়া ইন কুনতুম জুনুবান ফাততাহহারূ ওয়া ইন কুনতুম মারদা-আও ‘আলাছাফারিন আও জাআ আহাদুম মিনকুম মিনাল গাইতিআও লা-মাছতুমুন নিছাআ ফালাম তাজিদূমাআন ফাতাইয়াম্মামূসা‘ঈদান তাইয়িবান ফামছাহূবিউজূহিকুম ওয়া আইদীকুম মিনহু মা-ইউরীদুল্লা-হু লিইয়াজ‘আলা ‘আলাইকুম মিন হারাজিওঁ ওয়ালা-কিইঁ ইউরীদুলিইউতাহহিরাকুম ওয়ালিইউতিম্মা নি‘মাতাহূ‘আলাইকুম লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//قُمْتُمْ/قُمۡتُمۡ/qum'tum//اِلَی/إِلَى/ila//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//فَاغْسِلُوْا/فَٱغۡسِلُواْ/fa-igh'silu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//وَ اَیْدِیَكُمْ/وَأَيۡدِيَكُمۡ/wa-aydiyakum//اِلَی/إِلَى/ila//الْمَرَافِقِ/ٱلۡمَرَافِقِ/al-marafiqi//وَ امْسَحُوْا/وَٱمۡسَحُواْ/wa-im'sahu//بِرُءُوْسِكُمْ/بِرُءُوسِكُمۡ/biruusikum//وَ اَرْجُلَكُمْ/وَأَرۡجُلَكُمۡ/wa-arjulakum//اِلَی/إِلَى/ila//الْكَعْبَیْنِ ؕ/ٱلۡكَعۡبَيۡنِۚ/al-ka'bayni//وَ اِنْ/وَإِن/wa-in//كُنْتُمْ/كُنتُمۡ/kuntum//جُنُبًا/جُنُبٗا/junuban//فَاطَّهَّرُوْا ؕ/فَٱطَّهَّرُواْۚ/fa-ittahharu//وَ اِنْ/وَإِن/wa-in//كُنْتُمْ/كُنتُم/kuntum//مَّرْضٰۤی/مَّرۡضَىٰٓ/marda//اَوْ/أَوۡ/aw//عَلٰی/عَلَىٰ/ala//سَفَرٍ/سَفَرٍ/safarin//اَوْ/أَوۡ/aw//جَآءَ/جَآءَ/jaa//اَحَدٌ/أَحَدٞ/ahadun//مِّنْكُمْ/مِّنكُم/minkum//مِّنَ/مِّنَ/mina//الْغَآىِٕطِ/ٱلۡغَآئِطِ/al-ghaiti//اَوْ/أَوۡ/aw//لٰمَسْتُمُ/لَٰمَسۡتُمُ/lamastumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فَلَمْ/فَلَمۡ/falam//تَجِدُوْا/تَجِدُواْ/tajidu//مَآءً/مَآءٗ/maan//فَتَیَمَّمُوْا/فَتَيَمَّمُواْ/fatayammamu//صَعِیْدًا/صَعِيدٗا/sa'idan//طَیِّبًا/طَيِّبٗا/tayyiban//فَامْسَحُوْا/فَٱمۡسَحُواْ/fa-im'sahu//بِوُجُوْهِكُمْ/بِوُجُوهِكُمۡ/biwujuhikum//وَ اَیْدِیْكُمْ/وَأَيۡدِيكُم/wa-aydikum//مِّنْهُ ؕ/مِّنۡهُۚ/min'hu//مَا/مَا/ma//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَجْعَلَ/لِيَجۡعَلَ/liyaj'ala//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْ/مِّنۡ/min//حَرَجٍ/حَرَجٖ/harajin//وَّ لٰكِنْ/وَلَٰكِن/walakin//یُّرِیْدُ/يُرِيدُ/yuridu//لِیُطَهِّرَكُمْ/لِيُطَهِّرَكُمۡ/liyutahhirakum//وَ لِیُتِمَّ/وَلِيُتِمَّ/waliyutimma//نِعْمَتَهٗ/نِعۡمَتَهُۥ/ni'matahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যখন//দাঁড়াবে তোমরা//জন্যে//সালাতের//তখন তোমরা ধু'বে//মুখমণ্ডলগুলো তোমাদের//ও হাতগুলো তোমাদের//পর্যন্ত//কনুইগুলো//ও তোমরা মাসেহ করবে//মাথাগুলো তোমাদের//ও পাগুলো তোমাদের//পর্যন্ত//দুই গিঁট//এবং যদি//হও তোমরা//অপবিত্র//তবে তোমরা পবিত্র হবে//এবং যদি//হও তোমরা//অসুস্থ//বা//উপর//সফরে (থাকো)//বা//আসে//কেউ//মধ্যে তোমাদের//হতে//পায়খানা (মলমূত্র ত্যাগ করে)//বা//স্পর্শ করো তোমরা (সহবাস করো)//স্ত্রীদের//অত:পর না//তোমরা পাও//পানি//তবে তোমরা তায়াম্মুম করবে//(দিয়ে) মাটি//পবিত্র//তাই তোমরা মাসেহ করবে//মুখমণ্ডলকে তোমাদের//ও হাতকে তোমাদের//দ্বারা তা//না//চান//আল্লাহ//যেন তিনি দেন//উপর তোমাদের//কোনো//কষ্ট//কিন্তু//তিনি চান//যেন তিনি পবিত্র করেন তোমাদেরকে//এবং পূর্ণ করেন//অনুগ্রহ তাঁর//উপর তোমাদের//যাতে তোমরা//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/676.mp3"
              ],
              "text": "وَٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ وَمِيثَٰقَهُ ٱلَّذِى وَاثَقَكُم بِهِۦٓ إِذْ قُلْتُمْ سَمِعْنَا وَأَطَعْنَا ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "তোমরা আল্লাহর নেয়ামতের কথা স্মরণ কর, যা তোমাদের প্রতি অবতীর্ণ হয়েছে এবং ঐ অঙ্গীকারকেও যা তোমাদের কাছ থেকে নিয়েছেন, যখন তোমরা বলেছিলেঃ আমরা শুনলাম এবং মেনে নিলাম। আল্লাহকে ভয় কর। নিশ্চয়ই আল্লাহ অন্তরের বিষয় সম্পর্কে পুরোপুরি খবর রাখেন।",
              "numberInSurah": 7,
              "juz": 6,
              "manzil": 2,
              "page": 108,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরূ নি‘মাতাল্লা-হি ‘আলাইকুম ওয়া মীছা-কাহুল্লাযী ওয়াছাকাকুম বিহী ইযকুলতুম ছামি‘না-ওয়া আতা‘না ওয়াত্তাকুল্লাহা ইন্নাল্লা-হা ‘আলীমুম বিযাতিসসুদূ র।",
              "words_arabic": "وَ اذْكُرُوْا/وَٱذۡكُرُواْ/wa-udh'kuru//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ مِیْثَاقَهُ/وَمِيثَٰقَهُ/wamithaqahu//الَّذِیْ/ٱلَّذِي/alladhi//وَاثَقَكُمْ/وَاثَقَكُم/wathaqakum//بِهٖۤ ۙ/بِهِۦٓ/bihi//اِذْ/إِذۡ/idh//قُلْتُمْ/قُلۡتُمۡ/qul'tum//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ اَطَعْنَا ؗ/وَأَطَعۡنَاۖ/wa-ata'na//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "এবং তোমরা স্মরণ করো//অনুগ্রহের//আল্লাহর//উপর তোমাদের//ও অংগীকারের তাঁর//যার//তোমাদের থেকে তিনি অঙ্গীকার নিয়েছেন//সম্পর্কে সে//যখন//বলেছিলে তোমরা//\"আমরা শুনলাম//ও আমরা মানলাম\"//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//খুব অবহিত//সম্পর্কে অবস্থা//অন্তরসমূহের"
            },
            {
              "number": 677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/677.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوا۟ قَوَّٰمِينَ لِلَّهِ شُهَدَآءَ بِٱلْقِسْطِ ۖ وَلَا يَجْرِمَنَّكُمْ شَنَـَٔانُ قَوْمٍ عَلَىٰٓ أَلَّا تَعْدِلُوا۟ ۚ ٱعْدِلُوا۟ هُوَ أَقْرَبُ لِلتَّقْوَىٰ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "হে মুমিনগণ, তোমরা আল্লাহর উদ্দেশে ন্যায় সাক্ষ্যদানের ব্যাপারে অবিচল থাকবে এবং কোন সম্প্রদায়ের শত্রুতার কারণে কখনও ন্যায়বিচার পরিত্যাগ করো না। সুবিচার কর এটাই খোদাভীতির অধিক নিকটবর্তী। আল্লাহকে ভয় কর। তোমরা যা কর, নিশ্চয় আল্লাহ সে বিষয়ে খুব জ্ঞাত।",
              "numberInSurah": 8,
              "juz": 6,
              "manzil": 2,
              "page": 108,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ কূনূ কাওওয়া-মীনা লিলল্লা-হি শুহাদাআ বিলকিছতি ওয়ালা-ইয়াজরিমান্নাকুম শানাআ-নুকাওমিন ‘আলাআল্লা-তা‘দিলূ ই‘দিলূ হুওয়া আকরাবুলিত্তাকওয়া- ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُوْنُوْا/كُونُواْ/kunu//قَوّٰمِیْنَ/قَوَّـٰمِينَ/qawwamina//لِلّٰهِ/لِلَّهِ/lillahi//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//بِالْقِسْطِ ؗ/بِٱلۡقِسۡطِۖ/bil-qis'ti//وَ لَا/وَلَا/wala//یَجْرِمَنَّكُمْ/يَجۡرِمَنَّكُمۡ/yajrimannakum//شَنَاٰنُ/شَنَـَٔانُ/shanaanu//قَوْمٍ/قَوۡمٍ/qawmin//عَلٰۤی/عَلَىٰٓ/ala//اَلَّا/أَلَّا/alla//تَعْدِلُوْا ؕ/تَعۡدِلُواْۚ/ta'dilu//اِعْدِلُوْا ۫/ٱعۡدِلُواْ/i'dilu//هُوَ/هُوَ/huwa//اَقْرَبُ/أَقۡرَبُ/aqrabu//لِلتَّقْوٰی ؗ/لِلتَّقۡوَىٰۖ/lilttaqwa//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা থাকো//অবিচল//জন্যে আল্লাহর//সাক্ষ্যদাতা হিসেবে//উপর ন্যায়ের//এবং না (যেন)//প্ররোচিত করে তোমাদেরকে//বিদ্বেষ//কোনো জাতির//(এর) উপর//যে না//তোমরা সুবিচার করো//তোমরা সুবিচার  করো//তা//নিকটতর//জন্যে তাকওয়ার//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//খুব অবগত//ঐ বিষয়ে যা//তোমরা কাজ করো"
            },
            {
              "number": 678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/678.mp3"
              ],
              "text": "وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ ۙ لَهُم مَّغْفِرَةٌۭ وَأَجْرٌ عَظِيمٌۭ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে, এবং সৎকর্ম সম্পাদন করে, আল্লাহ তা˦#2503;দরকে ক্ষমা ও মহান প্রতিদানের প্রতিশ্রুতি দিয়েছেন।",
              "numberInSurah": 9,
              "juz": 6,
              "manzil": 2,
              "page": 108,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘আদাল্লা-হুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লাহুম মাগফিরাতুওঁ ওয়া আজরুন ‘আজীম।",
              "words_arabic": "وَعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ۙ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ اَجْرٌ/وَأَجۡرٌ/wa-ajrun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "প্রতিশ্রুতি দিয়েছেন//আল্লাহ//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//জন্যে তাদের (রয়েছে)//ক্ষমা//ও প্রতিফল//মহা"
            },
            {
              "number": 679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/679.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَحِيمِ",
              "translate_bn": "যারা অবিশ্বাস করে এবং আমার নিদর্শনাবলীকে মিথ্যা বলে, তার দোযখী।",
              "numberInSurah": 10,
              "juz": 6,
              "manzil": 2,
              "page": 109,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূ ওয়া কাযযাবূবিাআ-য়া-তিনা উলাইকা আসহা-বুল জাহীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "কিন্তু যারা//অবিশ্বাস করেছে//ও মিথ্যা সাব্যস্ত করেছে//প্রতি আয়াতগুলোর আমাদের//ঐসব লোক//অধিবাসী//জাহান্নামের"
            },
            {
              "number": 680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/680.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ إِذْ هَمَّ قَوْمٌ أَن يَبْسُطُوٓا۟ إِلَيْكُمْ أَيْدِيَهُمْ فَكَفَّ أَيْدِيَهُمْ عَنكُمْ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "হে মুমিনগণ, তোমাদের প্রতি আল্লাহর অনুগ্রহ স্মরণ কর, যখন এক সম্প্রদায় তোমাদের দিকে স্বীয় হস্ত প্রসারিত করতে সচেষ্ট হয়েছিল, তখন তিনি তাদের হস্ত তোমাদের থেকে প্রতিহত করে দিলেন। আল্লাহকে ভয় কর এবং মুমিনদের আল্লাহর উপরই ভরসা করা উচিত।",
              "numberInSurah": 11,
              "juz": 6,
              "manzil": 2,
              "page": 109,
              "ruku": 87,
              "hizbQuarter": 43,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানুযকুরূনি‘মাতাল্লা-হি ‘আলাইকুম ইযহাম্মা কাওমুন আইঁ ইয়াবছুতূদ্মইলাইকুম আইদিইয়াহুম ফাকাফফা আইদিয়াহুম ‘আনকুম ওয়াত্তাকুল্লা-হা ওয়া‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذْ/إِذۡ/idh//هَمَّ/هَمَّ/hamma//قَوْمٌ/قَوۡمٌ/qawmun//اَنْ/أَن/an//یَّبْسُطُوْۤا/يَبۡسُطُوٓاْ/yabsutu//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//فَكَفَّ/فَكَفَّ/fakaffa//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//عَنْكُمْ ۚ/عَنكُمۡۖ/ankum//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ۠/ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//স্মরণ করো//অনুগ্রহসমূহের//আল্লাহর//উপর তোমাদের//যখন//সংকল্প করেছিলো//একটি সম্প্রদায়//যে//সম্প্রসারিত করবে//দিকে তোমাদের//হাতগুলো তাদের//তখন ঠেকিয়ে দিয়েছেন (আল্লাহ)//হাতগুলোকে তাদের//থেকে তোমাদের//এবং তোমরা ভয় করো//আল্লাহকে//এবং উপর//আল্লাহরই//উচিত নির্ভর করা//মু’মিনদের"
            },
            {
              "number": 681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/681.mp3"
              ],
              "text": "۞ وَلَقَدْ أَخَذَ ٱللَّهُ مِيثَٰقَ بَنِىٓ إِسْرَٰٓءِيلَ وَبَعَثْنَا مِنْهُمُ ٱثْنَىْ عَشَرَ نَقِيبًۭا ۖ وَقَالَ ٱللَّهُ إِنِّى مَعَكُمْ ۖ لَئِنْ أَقَمْتُمُ ٱلصَّلَوٰةَ وَءَاتَيْتُمُ ٱلزَّكَوٰةَ وَءَامَنتُم بِرُسُلِى وَعَزَّرْتُمُوهُمْ وَأَقْرَضْتُمُ ٱللَّهَ قَرْضًا حَسَنًۭا لَّأُكَفِّرَنَّ عَنكُمْ سَيِّـَٔاتِكُمْ وَلَأُدْخِلَنَّكُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۚ فَمَن كَفَرَ بَعْدَ ذَٰلِكَ مِنكُمْ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ",
              "translate_bn": "আল্লাহ বনী-ইসরাঈলের কাছ থেকে অঙ্গীকার নিয়েছিলেন এবং আমি তাদের মধ্য থেকে বার জন সর্দার নিযুক্ত করেছিলাম। আল্লাহ বলে দিলেনঃ আমি তোমাদের সঙ্গে আছি। যদি তোমরা নামায প্রতিষ্ঠিত কর, যাকাত দিতে থাক, আমার পয়গম্বরদের প্রতি বিশ্বাস রাখ, তাঁদের সাহায্য কর এবং আল্লাহকে উত্তম পন্থায় ঋন দিতে থাক, তবে আমি অবশ্যই তোমাদের গোনাহ দুর করে দিব এবং অবশ্যই তোমাদেরকে উদ্যান সমূহে প্রবিষ্ট করব, যেগুলোর তলদেশ দিয়ে নিঝরিনীসমূহ প্রবাহিত হয়। অতঃপর তোমাদের মধ্য থেকে যে ব্যক্তি এরপরও কাফের হয়, সে নিশ্চিতই সরল পথ থেকে বিচ্যুত হয়ে পড়ে।",
              "numberInSurah": 12,
              "juz": 6,
              "manzil": 2,
              "page": 109,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আখাযাল্লা-হু মীছা-কা বানী ইসরাঈলা ওয়া বা‘আছনামিনহুমুছনাই ‘আশারা নাকীবাওঁ ওয়া কা-লাল্লা-হু ইন্নী মা‘আকুম লাইন আকামতুমুসসালা-তা ওয়া আ-তাইতুমুঝঝাকা-তা ওয়া আ-মানতুম বিরুছুলী ওয়া আঝঝারতুমূহুম ওয়া আকরাদতুমুল্লা-হা কারদান হাছানাল লাউকাফফিরান্না ‘আনকুম ছাইয়িআ-তিকুম ওয়ালা উদখিলান্নাকুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ফামান কাফারা বা‘দা যা-লিকা মিনকুম ফাকাদ দাল্লা ছাওয়াআছছাবীল।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//اَخَذَ/أَخَذَ/akhadha//اللّٰهُ/ٱللَّهُ/al-lahu//مِیْثَاقَ/مِيثَٰقَ/mithaqa//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ ۚ/إِسۡرَـٰٓءِيلَ/is'raila//وَ بَعَثْنَا/وَبَعَثۡنَا/waba'athna//مِنْهُمُ/مِنۡهُمُ/min'humu//اثْنَیْ/ٱثۡنَيۡ/ith'nay//عَشَرَ/عَشَرَ/ashara//نَقِیْبًا ؕ/نَقِيبٗاۖ/naqiban//وَ قَالَ/وَقَالَ/waqala//اللّٰهُ/ٱللَّهُ/al-lahu//اِنِّیْ/إِنِّي/inni//مَعَكُمْ ؕ/مَعَكُمۡۖ/ma'akum//لَىِٕنْ/لَئِنۡ/la-in//اَقَمْتُمُ/أَقَمۡتُمُ/aqamtumu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَیْتُمُ/وَءَاتَيۡتُمُ/waataytumu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اٰمَنْتُمْ/وَءَامَنتُم/waamantum//بِرُسُلِیْ/بِرُسُلِي/birusuli//وَ عَزَّرْتُمُوْهُمْ/وَعَزَّرۡتُمُوهُمۡ/wa'azzartumuhum//وَ اَقْرَضْتُمُ/وَأَقۡرَضۡتُمُ/wa-aqradtumu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا/حَسَنٗا/hasanan//لَّاُكَفِّرَنَّ/لَّأُكَفِّرَنَّ/la-ukaffiranna//عَنْكُمْ/عَنكُمۡ/ankum//سَیِّاٰتِكُمْ/سَيِّـَٔاتِكُمۡ/sayyiatikum//وَ لَاُدْخِلَنَّكُمْ/وَلَأُدۡخِلَنَّكُمۡ/wala-ud'khilannakum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۚ/ٱلۡأَنۡهَٰرُۚ/al-anharu//فَمَنْ/فَمَن/faman//كَفَرَ/كَفَرَ/kafara//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْكُمْ/مِنكُمۡ/minkum//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//سَوَآءَ/سَوَآءَ/sawaa//السَّبِیْلِ /ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "এবং নিশ্চয়ই//নিয়েছিলেন//আল্লাহ//অঙ্গীকার//(হতে) বনী//ইসরাঈলদের//ও নিযুক্ত করেছিলাম আমরা//মধ্য হতে তাদের//বার (জন)//বার (জন)//দলনেতা//এবং বলেছিলেন//আল্লাহ//\"নিশ্চয়ই আমি//সাথে (আছি)তোমাদের//অবশ্যই যদি//প্রতিষ্ঠা করো তোমরা//সালাত//ও আদায় করো তোমরা//যাকাত//ও ঈমান আনো তোমরা//উপর আমার রাসূলদের//ও তোমরা সহযোগীতা করো তাদের//ও ঋণ দাও তোমরা//আল্লাহকে//ঋণ//উত্তম//অবশ্যই মোচন করবো আমি//থেকে তোমাদের//পাপসমূহ তোমাদের//এবং অবশ্যই প্রবেশ করাবো তোমাদের//জান্নাতে//প্রবাহিত হয়//থেকে//নিচ তার//ঝর্ণাধারাসমূহ//অত:পর যে//অবিশ্বাস করেছে//পরেও//এর//মধ্য হতে তোমাদের//ফলে নিশ্চয়ই//সে হারিয়ে ফেলেছে//সরল সোজা//পথ"
            },
            {
              "number": 682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/682.mp3"
              ],
              "text": "فَبِمَا نَقْضِهِم مِّيثَٰقَهُمْ لَعَنَّٰهُمْ وَجَعَلْنَا قُلُوبَهُمْ قَٰسِيَةًۭ ۖ يُحَرِّفُونَ ٱلْكَلِمَ عَن مَّوَاضِعِهِۦ ۙ وَنَسُوا۟ حَظًّۭا مِّمَّا ذُكِّرُوا۟ بِهِۦ ۚ وَلَا تَزَالُ تَطَّلِعُ عَلَىٰ خَآئِنَةٍۢ مِّنْهُمْ إِلَّا قَلِيلًۭا مِّنْهُمْ ۖ فَٱعْفُ عَنْهُمْ وَٱصْفَحْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُحْسِنِينَ",
              "translate_bn": "অতএব, তাদের অঙ্গীকার ভঙ্গের দরুন আমি তাদের উপর অভিসম্পাত করেছি এবং তাদের অন্তরকে কঠোর করে দিয়েছি। তারা কালামকে তার স্থান থেকে বিচ্যুত করে দেয় এবং তাদেরকে যে উপদেশ দেয়া হয়েছিল, তারা তা থেকে উপকার লাভ করার বিষয়টি বিস্মৃত হয়েছে। আপনি সর্বদা তাদের কোন না কোন প্রতারণা সম্পর্কে অবগত হতে থাকেন, তাদের অল্প কয়েকজন ছাড়া। অতএব, আপনি তাদেরকে ক্ষমা করুন এবং মার্জনা করুন। আল্লাহ অনুগ্রহকারীদেরকে ভালবাসেন।",
              "numberInSurah": 13,
              "juz": 6,
              "manzil": 2,
              "page": 109,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ফাবিমা-নাকদিহিম মীছা-কাহুম লা‘আন্না-হুম ওয়াজা‘আলনা-কুলূবাহুম কা-ছিইয়াতান ইউহাররিফূনাল কালিমা ‘আম মাওয়া-দি‘ইহী ওয়া নাছূহাজ্জাম মিম্মা-যুক্কিরূবিহী ওয়ালা-তাঝা-লুতাত্তালি‘উ ‘আলা-খাইনাতিম মিনহুম ইল্লা-কালীলাম মিনহুম ফা‘ফু‘আনহুম ওয়াসফাহ ইন্নাল্লা-হা ইউহিব্বুল মুহছিনীন।",
              "words_arabic": "فَبِمَا/فَبِمَا/fabima//نَقْضِهِمْ/نَقۡضِهِم/naqdihim//مِّیْثَاقَهُمْ/مِّيثَٰقَهُمۡ/mithaqahum//لَعَنّٰهُمْ/لَعَنَّـٰهُمۡ/la'annahum//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//قُلُوْبَهُمْ/قُلُوبَهُمۡ/qulubahum//قٰسِیَةً ۚ/قَٰسِيَةٗۖ/qasiyatan//یُحَرِّفُوْنَ/يُحَرِّفُونَ/yuharrifuna//الْكَلِمَ/ٱلۡكَلِمَ/al-kalima//عَنْ/عَن/an//مَّوَاضِعِهٖ ۙ/مَّوَاضِعِهِۦ/mawadi'ihi//وَ نَسُوْا/وَنَسُواْ/wanasu//حَظًّا/حَظّٗا/hazzan//مِّمَّا/مِّمَّا/mimma//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِهٖ ۚ/بِهِۦۚ/bihi//وَ لَا/وَلَا/wala//تَزَالُ/تَزَالُ/tazalu//تَطَّلِعُ/تَطَّلِعُ/tattali'u//عَلٰی/عَلَىٰ/ala//خَآىِٕنَةٍ/خَآئِنَةٖ/khainatin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّنْهُمْ/مِّنۡهُمۡۖ/min'hum//فَاعْفُ/فَٱعۡفُ/fa-u'fu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ اصْفَحْ ؕ/وَٱصۡفَحۡۚ/wa-is'fah//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "অতএব কারণে//ভঙ্গের তাদের//অংগীকারের তাদের//অভিশাপ দিয়েছি আমরা তাদের//ও আমরা করেছি//অন্তরসমূহকে তাদের//কঠিন//তারা বিকৃত করে//কথাকে//থেকে//তার (প্রসঙ্গ) স্থান//ও তারা ভুলে গিয়েছে//এক অংশ//তা হতে যা//তাদের উপদেশ দেওয়া হয়েছিলো//ব্যাপারে সে//এবং না//তুমি সর্বদাই//অবগত হতে থাকবে//সম্পর্কে//বিশ্বাস ভঙ্গ করা//মধ্য হতে তাদের//কিন্তু//অল্প (লোক)//মধ্য হতে তাদের (ব্যতিক্রম হবে)//সুতরাং ক্ষমা করো//থেকে তাদের//ও উপেক্ষা করো//নিশ্চয়ই//আল্লাহ//ভালবাসেন//সৎ কর্মশীলদেরকে"
            },
            {
              "number": 683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/683.mp3"
              ],
              "text": "وَمِنَ ٱلَّذِينَ قَالُوٓا۟ إِنَّا نَصَٰرَىٰٓ أَخَذْنَا مِيثَٰقَهُمْ فَنَسُوا۟ حَظًّۭا مِّمَّا ذُكِّرُوا۟ بِهِۦ فَأَغْرَيْنَا بَيْنَهُمُ ٱلْعَدَاوَةَ وَٱلْبَغْضَآءَ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ ۚ وَسَوْفَ يُنَبِّئُهُمُ ٱللَّهُ بِمَا كَانُوا۟ يَصْنَعُونَ",
              "translate_bn": "যারা বলেঃ আমরা নাছারা, আমি তাদের কাছ থেকেও তাদের অঙ্গীকার নিয়েছিলাম। অতঃপর তারাও যে উপদেশ প্রাপ্ত হয়েছিল, তা থেকে উপকার লাভ করা ভুলে গেল। অতঃপর আমি কেয়ামত পর্যন্ত তাদের মধ্যে পারস্পরিক শত্রুতা ও বিদ্বেষ সঞ্চারিত করে দিয়েছি। অবশেষে আল্লাহ তাদেরকে তাদের কৃতকর্ম সম্পর্কে অবহিত করবেন।",
              "numberInSurah": 14,
              "juz": 6,
              "manzil": 2,
              "page": 110,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ওয়ামিনাল্লাযীনা কা-লূইন্না-নাসা-রা-আখাযনা-মীছা-কাহুম ফানাছূহাজ্জাম মিম্মাযুক্কিরূবিহী ফাআগরাইনা-বাইনাহুমুল ‘আদা-ওয়াতা ওয়াল বাগদাআ ইলাইয়াওমিল কিয়া-মাতি ওয়া ছাওফা ইউনাব্বিউহুমুল্লা-হু বিমা-কা-নূইয়াসনা‘ঊন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//نَصٰرٰۤی/نَصَٰرَىٰٓ/nasara//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَهُمْ/مِيثَٰقَهُمۡ/mithaqahum//فَنَسُوْا/فَنَسُواْ/fanasu//حَظًّا/حَظّٗا/hazzan//مِّمَّا/مِّمَّا/mimma//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِهٖ ۪/بِهِۦ/bihi//فَاَغْرَیْنَا/فَأَغۡرَيۡنَا/fa-aghrayna//بَیْنَهُمُ/بَيۡنَهُمُ/baynahumu//الْعَدَاوَةَ/ٱلۡعَدَاوَةَ/al-'adawata//وَ الْبَغْضَآءَ/وَٱلۡبَغۡضَآءَ/wal-baghdaa//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//وَ سَوْفَ/وَسَوۡفَ/wasawfa//یُنَبِّئُهُمُ/يُنَبِّئُهُمُ/yunabbi-uhumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَصْنَعُوْنَ /يَصۡنَعُونَ/yasna'una",
              "words_bangla": "এবং মধ্য হতে//তাদের//(যারা) বলেছিলো//নিশ্চয়ই আমরা//খ্রিষ্টান\"//আমরা নিয়েছিলাম//অংগীকার তাদের//কিন্তু তারা ভুলে গেলো//এক অংশ//তা হতে যা//তাদের উপদেশ দেয়া হয়েছিলো//ব্যাপারে সে//সুতরাং আমরা সঞ্চারিত করেছি//মাঝে তাদের//শত্রুতা//ও বিদ্বেষ//পর্যন্ত//দিন//ক্বিয়ামাতের//এবং শীঘ্রই//জানিয়ে দিবেন তাদের//আল্লাহ//ঐ বিষয়ে যা//তারা ছিলো//তারা বানাতে"
            },
            {
              "number": 684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/684.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ قَدْ جَآءَكُمْ رَسُولُنَا يُبَيِّنُ لَكُمْ كَثِيرًۭا مِّمَّا كُنتُمْ تُخْفُونَ مِنَ ٱلْكِتَٰبِ وَيَعْفُوا۟ عَن كَثِيرٍۢ ۚ قَدْ جَآءَكُم مِّنَ ٱللَّهِ نُورٌۭ وَكِتَٰبٌۭ مُّبِينٌۭ",
              "translate_bn": "হে আহলে-কিতাবগণ! তোমাদের কাছে আমার রাসূল আগমন করেছেন! কিতাবের যেসব বিষয় তোমরা গোপন করতে, তিনি তার মধ্য থেকে অনেক বিষয় প্রকাশ করেন এবং অনেক বিষয় মার্জনা করেন। তোমাদের কাছে একটি উজ্জল জ্যোতি এসেছে এবং একটি সমুজ্জল গ্রন্থ।",
              "numberInSurah": 15,
              "juz": 6,
              "manzil": 2,
              "page": 110,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ইয়াআহলাল কিতা-বি কাদ জাআকুম রাছূলুনা-ইউবাইয়িনুলাকুম কাছীরাম মিম্মাকুনতুম তুখফূনা মিনাল কিতা-বি ওয়া ইয়া‘ফূ‘আন কাছীরিন কাদ জাআকুম মিনাল্লাহি নূরুওঁ ওয়া কিতা-বুম মুবীন।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رَسُوْلُنَا/رَسُولُنَا/rasuluna//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//لَكُمْ/لَكُمۡ/lakum//كَثِیْرًا/كَثِيرٗا/kathiran//مِّمَّا/مِّمَّا/mimma//كُنْتُمْ/كُنتُمۡ/kuntum//تُخْفُوْنَ/تُخۡفُونَ/tukh'funa//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ یَعْفُوْا/وَيَعۡفُواْ/waya'fu//عَنْ/عَن/an//كَثِیْرٍ ؕ۬/كَثِيرٖۚ/kathirin//قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُم/jaakum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//نُوْرٌ/نُورٞ/nurun//وَّ كِتٰبٌ/وَكِتَٰبٞ/wakitabun//مُّبِیْنٌۙ/مُّبِينٞ/mubinun",
              "words_bangla": "হে অধিকারীরা//কিতাবের//নিশ্চয়ই//কাছে এসেছে তোমাদের//আমাদের রাসূল//সে প্রকাশ করে//কাছে তোমাদের//অনেক (কথা)//(তা) হতে যা//তোমরা ছিলে//তোমরা গোপন করতে//মধ্য হতে//কিতাবের//ও সে উপেক্ষা করে//থেকে//অনেক কিছু//নিশ্চয়ই//কাছে এসেছে তোমাদের//পক্ষ হতে//আল্লাহর//আলো//ও কিতাব//উজ্জ্বল"
            },
            {
              "number": 685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/685.mp3"
              ],
              "text": "يَهْدِى بِهِ ٱللَّهُ مَنِ ٱتَّبَعَ رِضْوَٰنَهُۥ سُبُلَ ٱلسَّلَٰمِ وَيُخْرِجُهُم مِّنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ بِإِذْنِهِۦ وَيَهْدِيهِمْ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "এর দ্বারা আল্লাহ যারা তাঁর সন্তুষ্টি কামনা করে, তাদেরকে নিরাপত্তার পথ প্রদর্শন করেন এবং তাদেরকে স্বীয় নির্দেশ দ্বারা অন্ধকার থেকে বের করে আলোর দিকে আনয়ন করেন এবং সরল পথে পরিচালনা করেন।",
              "numberInSurah": 16,
              "juz": 6,
              "manzil": 2,
              "page": 110,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ইয়াহদী বিহিল্লা-হু মানিতত্তাবা‘আ রিদওয়া-নাহু ছুবুলাছছালা-মি ওয়া ইউখরিজুহুম মিনাজজু লুমা-তি ইলান নূরি বিইযনিহী ওয়া ইয়াহদীহিম ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "یَّهْدِیْ/يَهۡدِي/yahdi//بِهِ/بِهِ/bihi//اللّٰهُ/ٱللَّهُ/al-lahu//مَنِ/مَنِ/mani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//رِضْوَانَهٗ/رِضۡوَٰنَهُۥ/rid'wanahu//سُبُلَ/سُبُلَ/subula//السَّلٰمِ/ٱلسَّلَٰمِ/al-salami//وَ یُخْرِجُهُمْ/وَيُخۡرِجُهُم/wayukh'rijuhum//مِّنَ/مِّنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ/ٱلنُّورِ/al-nuri//بِاِذْنِهٖ/بِإِذۡنِهِۦ/bi-idh'nihi//وَ یَهْدِیْهِمْ/وَيَهۡدِيهِمۡ/wayahdihim//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "পরিচালিত করেন//দিয়ে তা//আল্লাহ//(তাকে) যে//অনুসরণ করে//সন্তুষ্টির তাঁর//পথে//শান্তির//ও বের করেন তাদের//থেকে//অন্ধকারসমূহ//দিকে//আলোর//অনুমতিক্রমে তাঁর//এবং পরিচালিত করেন তাদের//দিকে//পথের//সরল সঠিক"
            },
            {
              "number": 686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/686.mp3"
              ],
              "text": "لَّقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ هُوَ ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ ۚ قُلْ فَمَن يَمْلِكُ مِنَ ٱللَّهِ شَيْـًٔا إِنْ أَرَادَ أَن يُهْلِكَ ٱلْمَسِيحَ ٱبْنَ مَرْيَمَ وَأُمَّهُۥ وَمَن فِى ٱلْأَرْضِ جَمِيعًۭا ۗ وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۚ يَخْلُقُ مَا يَشَآءُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "নিশ্চয় তারা কাফের, যারা বলে, মসীহ ইবনে মরিয়মই আল্লাহ। আপনি জিজ্ঞেস করুন, যদি তাই হয়, তবে বল যদি আল্লাহ মসীহ ইবনে মরিয়ম, তাঁর জননী এবং ভূমন্ডলে যারা আছে, তাদের সবাইকে ধ্বংস করতে চান, তবে এমন কারও সাধ্য আছে কি যে আল্লাহর কাছ থেকে তাদেরকে বিন্দুমাত্রও বাঁচাতে পারে? নভোমন্ডল, ভুমন্ডল ও এতদুভয়ের মধ্যে যা আছে, সবকিছুর উপর আল্লাহ তা’আলার আধিপত্য। তিনি যা ইচ্ছা সৃষ্টি করেন। আল্লাহ সবকিছুর উপর শক্তিমান।",
              "numberInSurah": 17,
              "juz": 6,
              "manzil": 2,
              "page": 110,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কাফারাল্লাযীনা কা-লূ ইন্নাল্লা-হা হুওয়াল মাছীহুবনুমারইয়ামা কুল ফামাইঁ ইয়ামলিকুমিনাল্লা-হিশাইআন ইন আরা-দা আইঁ ইউহলিকাল মাছীহাবনা মারইয়ামা ওয়া উম্মাহূওয়া মান ফিল আরদিজামী‘আওঁ ওয়ালিলল্লা-হি মুলকুছছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা ইয়াখলুকুমা-ইয়াশাউ ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//كَفَرَ/كَفَرَ/kafara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ ؕ/مَرۡيَمَۚ/maryama//قُلْ/قُلۡ/qul//فَمَنْ/فَمَن/faman//یَّمْلِكُ/يَمۡلِكُ/yamliku//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا/شَيۡـًٔا/shayan//اِنْ/إِنۡ/in//اَرَادَ/أَرَادَ/arada//اَنْ/أَن/an//یُّهْلِكَ/يُهۡلِكَ/yuh'lika//الْمَسِیْحَ/ٱلۡمَسِيحَ/al-masiha//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//وَ اُمَّهٗ/وَأُمَّهُۥ/wa-ummahu//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا ؕ/جَمِيعٗاۗ/jami'an//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ؕ/بَيۡنَهُمَاۚ/baynahuma//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "নিশ্চয়ই//অবিশ্বাস করেছে//যারা//বলেছে//\"নিশ্চয়ই//আল্লাহ//তিনি//মসীহই//পুত্র//মারইয়ামের\"//বলো//\"অত:পর কে//ক্ষমতা রাখে (বাঁচাতে)//হতে//আল্লাহ//কিছু মাত্র//যদি//তিনি চান//যে//ধ্বংস করতে//মসীহকে//পুত্র//মারইয়ামের//ও মাকে তার//ও যা কিছু//মধ্যে (আছে)//পৃথিবীর//সমস্তই\"//এবং জন্যে আল্লাহরই//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//ও যা কিছু//উভয়ের মাঝে (আছে)//তিনি সৃষ্টি করেন//যা//তিনি ইচ্ছে করেন//এবং আল্লাহ//উপর//সব//কিছুুর//শক্তিশালী"
            },
            {
              "number": 687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/687.mp3"
              ],
              "text": "وَقَالَتِ ٱلْيَهُودُ وَٱلنَّصَٰرَىٰ نَحْنُ أَبْنَٰٓؤُا۟ ٱللَّهِ وَأَحِبَّٰٓؤُهُۥ ۚ قُلْ فَلِمَ يُعَذِّبُكُم بِذُنُوبِكُم ۖ بَلْ أَنتُم بَشَرٌۭ مِّمَّنْ خَلَقَ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۖ وَإِلَيْهِ ٱلْمَصِيرُ",
              "translate_bn": "ইহুদী ও খ্রীষ্টানরা বলে, আমরা আল্লাহর সন্তান ও তাঁর প্রিয়জন। আপনি বলুন, তবে তিনি তোমাদেরকে পাপের বিনিময়ে কেন শাস্তি দান করবেন? বরং তোমারও অন্যান্য সৃষ্ট মানবের অন্তর্ভুক্ত সাধারণ মানুষ। তিনি যাকে ইচ্ছা ক্ষমা করেন এবং যাকে ইচ্ছা শাস্তি প্রদান করেন। নভোমন্ডল, ভুমন্ডল ও এতদুভয়ের মধ্যে যা কিছু আছে, তাতে আল্লাহরই আধিপত্য রয়েছে এবং তাঁর দিকেই প্রত্যাবর্তন করতে হবে।",
              "numberInSurah": 18,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লাতিল ইয়াহুদুওয়ান নাসা-রা-নাহনুআবনাউল্লা-হি ওয়া আহিব্বাউহূ কুল ফালিমা ইউ‘আযযিবুকুম বিযুনূবিকুম বাল আনতুম বাশারূম মিম্মান খালাকা ইয়াগফিরু লিমাইঁ ইয়াশাউ ওয়া ইউ‘আযযিবুমাইঁ ইয়াশূউ ওয়া লিলল্লা-হি মুলকুছছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা; ওয়া ইলাইহিল মাসীর।",
              "words_arabic": "وَ قَالَتِ/وَقَالَتِ/waqalati//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//وَ النَّصٰرٰی/وَٱلنَّصَٰرَىٰ/wal-nasara//نَحْنُ/نَحۡنُ/nahnu//اَبْنٰٓؤُا/أَبۡنَـٰٓؤُاْ/abnau//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَحِبَّآؤُهٗ ؕ/وَأَحِبَّـٰٓؤُهُۥۚ/wa-ahibbauhu//قُلْ/قُلۡ/qul//فَلِمَ/فَلِمَ/falima//یُعَذِّبُكُمْ/يُعَذِّبُكُم/yu'adhibukum//بِذُنُوْبِكُمْ ؕ/بِذُنُوبِكُمۖ/bidhunubikum//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُم/antum//بَشَرٌ/بَشَرٞ/basharun//مِّمَّنْ/مِّمَّنۡ/mimman//خَلَقَ ؕ/خَلَقَۚ/khalaqa//یَغْفِرُ/يَغۡفِرُ/yaghfiru//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یُعَذِّبُ/وَيُعَذِّبُ/wayu'adhibu//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ؗ/بَيۡنَهُمَاۖ/baynahuma//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং বলে//ইয়াহুদীরা//ও খ্রিষ্টানরা//\"আমরা//সন্তানগণ//আল্লাহর//ও প্রিয় পাত্র তাঁর\"//বলো//\"তবে কেন (আল্লাহ)//শাস্তি দিবেন তোমাদের//পাপগুলোর কারণে তোমাদের\"//বরং//তোমরাও//মানুষ//অন্তর্ভুক্ত তাদের যাদের//তিনি সৃষ্টি করেছেন//ক্ষমা করেন//যাকে//তিনি ইচ্ছে করেন//ও তিনি শাস্তি দেন//যাকে//তিনি ইচ্ছে করেন//এবং জন্যে আল্লাহর//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//এবং যা//উভয়ের মাঝে (আছে)//এবং দিকে তাঁরই//প্রত্যাবর্তন হয় (সব কিছুরই)"
            },
            {
              "number": 688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/688.mp3"
              ],
              "text": "يَٰٓأَهْلَ ٱلْكِتَٰبِ قَدْ جَآءَكُمْ رَسُولُنَا يُبَيِّنُ لَكُمْ عَلَىٰ فَتْرَةٍۢ مِّنَ ٱلرُّسُلِ أَن تَقُولُوا۟ مَا جَآءَنَا مِنۢ بَشِيرٍۢ وَلَا نَذِيرٍۢ ۖ فَقَدْ جَآءَكُم بَشِيرٌۭ وَنَذِيرٌۭ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "হে আহলে-কিতাবগণ! তোমাদের কাছে আমার রসূল আগমণ করেছেন, যিনি পয়গম্বরদের বিরতির পর তোমাদের কাছে পুঙ্খানুপুঙ্খ বর্ণনা করেন-যাতে তোমরা একথা বলতে না পার যে, আমাদের কাছে কোন সুসংবাদদাতা ও ভীতিপ্রদর্শক আগমন করে নি। অতএব, তোমাদের কাছে সুসংবাদদাতা ও ভীতি প্রদর্শক আগমন করেননি। অতএব, তোমাদের কাছে সুসংবাদদাতা ও ভয় প্রদর্শক এসে গেছেন। আল্লাহ সবকিছুর উপর শক্তিমান।",
              "numberInSurah": 19,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 88,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ইয়া আহলাল কিতা-বি কাদ জাআকুম রাছূলুনা-ইউবাইয়িনুলাকুম ‘আলা-ফাতরাতিম মিনাররুছুলি আন তাকূলূমা-জাআনা-মিম বাশীরিওঁ ওয়ালা-নাযীরিন ফাকাদ জাআকুম বাশীরুওঁ ওয়া নাযীরুওঁ ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رَسُوْلُنَا/رَسُولُنَا/rasuluna//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//لَكُمْ/لَكُمۡ/lakum//عَلٰی/عَلَىٰ/ala//فَتْرَةٍ/فَتۡرَةٖ/fatratin//مِّنَ/مِّنَ/mina//الرُّسُلِ/ٱلرُّسُلِ/al-rusuli//اَنْ/أَن/an//تَقُوْلُوْا/تَقُولُواْ/taqulu//مَا/مَا/ma//جَآءَنَا/جَآءَنَا/jaana//مِنْۢ/مِنۢ/min//بَشِیْرٍ/بَشِيرٖ/bashirin//وَّ لَا/وَلَا/wala//نَذِیْرٍ ؗ/نَذِيرٖۖ/nadhirin//فَقَدْ/فَقَدۡ/faqad//جَآءَكُمْ/جَآءَكُم/jaakum//بَشِیْرٌ/بَشِيرٞ/bashirun//وَّ نَذِیْرٌ ؕ/وَنَذِيرٞۗ/wanadhirun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ۠/قَدِيرٞ/qadirun",
              "words_bangla": "হে অধিকারীরা//কিতাবের//নিশ্চয়ই//কাছে এসেছে তোমাদের//রাসূল আমাদের//স্পষ্ট বর্ণনা করেন//জন্যে তোমাদের//পরে//বিরতির//ধারায়//রাসূলদের (আগমনের)//যেন (না)//তোমরা বলো//\"না//কাছে এসেছে আমাদের//কোনো//সুসংবাদদাতা//আর না//কোনো সতর্ককারী\"//তাই নিশ্চয়ই//কাছে এসেছে তোমাদের//সুসংবাদদাতা//ও সতর্ককারী//এবং আল্লাহ//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/689.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَٰقَوْمِ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ جَعَلَ فِيكُمْ أَنۢبِيَآءَ وَجَعَلَكُم مُّلُوكًۭا وَءَاتَىٰكُم مَّا لَمْ يُؤْتِ أَحَدًۭا مِّنَ ٱلْعَٰلَمِينَ",
              "translate_bn": "যখন মূসা স্বীয় সম্প্রদায়কে বললেনঃ হে আমার সম্প্রদায়, তোমাদের প্রতি আল্লাহর নেয়ামত স্মরণ কর, যখন তিনি তোমাদের মধ্যে পয়গম্বর সৃষ্টি করেছেন, তোমাদেরকে রাজ্যাধিপতি করেছেন এবং তোমাদেরকে এমন জিনিস দিয়েছেন, যা বিশ্বজগতের কাউকে দেননি।",
              "numberInSurah": 20,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা মূছা-লিকাওমিহী ইয়া-কাওমিযকুরূ নি‘মাতাল্লা-হি ‘আলাইকুম ইয জা‘আলা ফীকুম আম্বিইয়াআ ওয়া জা‘আলাকুম মুলূকাওঁ ওয়া আ-তা-কুম মা-লাম ইউ’তি আহাদাম মিনাল ‘আ-লামীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهٖ/لِقَوۡمِهِۦ/liqawmihi//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذْ/إِذۡ/idh//جَعَلَ/جَعَلَ/ja'ala//فِیْكُمْ/فِيكُمۡ/fikum//اَنْۢبِیَآءَ/أَنۢبِيَآءَ/anbiyaa//وَ جَعَلَكُمْ/وَجَعَلَكُم/waja'alakum//مُّلُوْكًا ۖۗ/مُّلُوكٗا/mulukan//وَّ اٰتٰىكُمْ/وَءَاتَىٰكُم/waatakum//مَّا/مَّا/ma//لَمْ/لَمۡ/lam//یُؤْتِ/يُؤۡتِ/yu'ti//اَحَدًا/أَحَدٗا/ahadan//مِّنَ/مِّنَ/mina//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলো//মূসা//উদ্দেশ্যে তার জাতির//\"হে আমার জাতি//তোমরা স্মরণ করো//অনুগ্রহের//আল্লাহর//উপর তোমাদের//যখন//পাঠিয়েছিলেন//মধ্যে তোমাদের//নাবীদেরকে//ও করেছিলেন তোমাদের//রাজ্যের অধিপতি//ও দিয়েছিলেন তোমাদের(এমন অনেক কিছু)//যা//নি//দেন//কাউকে//মধ্যে//বিশ্ব জগতের"
            },
            {
              "number": 690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/690.mp3"
              ],
              "text": "يَٰقَوْمِ ٱدْخُلُوا۟ ٱلْأَرْضَ ٱلْمُقَدَّسَةَ ٱلَّتِى كَتَبَ ٱللَّهُ لَكُمْ وَلَا تَرْتَدُّوا۟ عَلَىٰٓ أَدْبَارِكُمْ فَتَنقَلِبُوا۟ خَٰسِرِينَ",
              "translate_bn": "হে আমার সম্প্রদায়, পবিত্র ভুমিতে প্রবেশ কর, যা আল্লাহ তোমাদের জন্যে নির্ধারিত করে দিয়েছেন এবং পেছন দিকে প্রত্যাবর্তন করো না। অন্যথায় তোমরা ক্ষতিগ্রস্ত হয়ে পড়বে।",
              "numberInSurah": 21,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "ইয়া-কাওমিদ খুলুলআরদাল মুকাদ্দাছাতাল্লাতী কাতাবাল্লা-হুলাকুমওয়ালা-তারতাদ্দু ‘আলাআদবা-রিকুম ফাতানকালিবূখা-ছিরীন।",
              "words_arabic": "یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//ادْخُلُوا/ٱدۡخُلُواْ/ud'khulu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//الْمُقَدَّسَةَ/ٱلۡمُقَدَّسَةَ/al-muqadasata//الَّتِیْ/ٱلَّتِي/allati//كَتَبَ/كَتَبَ/kataba//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//وَ لَا/وَلَا/wala//تَرْتَدُّوْا/تَرۡتَدُّواْ/tartaddu//عَلٰۤی/عَلَىٰٓ/ala//اَدْبَارِكُمْ/أَدۡبَارِكُمۡ/adbarikum//فَتَنْقَلِبُوْا/فَتَنقَلِبُواْ/fatanqalibu//خٰسِرِیْنَ /خَٰسِرِينَ/khasirina",
              "words_bangla": "\"হে আমার জাতি//তোমরা প্রবেশ করো//জমিনে//পবিত্র (ফিলিস্তিনের)//যা//নির্দিষ্ট করে দিয়েছেন//আল্লাহ//জন্যে তোমাদের//এবং না//তোমরা ফিরো//দিকে//পিছনের তোমাদের//তাহ'লে তোমরা প্রত্যাবর্তন করবে//ক্ষতিগ্রস্ত হয়ে\""
            },
            {
              "number": 691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/691.mp3"
              ],
              "text": "قَالُوا۟ يَٰمُوسَىٰٓ إِنَّ فِيهَا قَوْمًۭا جَبَّارِينَ وَإِنَّا لَن نَّدْخُلَهَا حَتَّىٰ يَخْرُجُوا۟ مِنْهَا فَإِن يَخْرُجُوا۟ مِنْهَا فَإِنَّا دَٰخِلُونَ",
              "translate_bn": "তারা বললঃ হে মূসা, সেখানে একটি প্রবল পরাক্রান্ত জাতি রয়েছে। আমরা কখনও সেখানে যাব না, যে পর্যন্ত না তারা সেখান থেকে বের হয়ে যায়। তারা যদি সেখান থেকে বের হয়ে যায় তবে নিশ্চিতই আমরা প্রবেশ করব।’",
              "numberInSurah": 22,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-মূসা ইন্না ফীহা-কাওমান জাব্বা-রীনা ওয়া ইন্না-লান নাদখুলাহা-হাত্তাইয়াখরুজুমিনহা- ফাইয়ঁইয়াখরুজূমিনহা-ফাইন্না-দা-খিলূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنَّ/إِنَّ/inna//فِیْهَا/فِيهَا/fiha//قَوْمًا/قَوۡمٗا/qawman//جَبَّارِیْنَ ۖۗ/جَبَّارِينَ/jabbarina//وَ اِنَّا/وَإِنَّا/wa-inna//لَنْ/لَن/lan//نَّدْخُلَهَا/نَّدۡخُلَهَا/nadkhulaha//حَتّٰی/حَتَّىٰ/hatta//یَخْرُجُوْا/يَخۡرُجُواْ/yakhruju//مِنْهَا ۚ/مِنۡهَا/min'ha//فَاِنْ/فَإِن/fa-in//یَّخْرُجُوْا/يَخۡرُجُواْ/yakhruju//مِنْهَا/مِنۡهَا/min'ha//فَاِنَّا/فَإِنَّا/fa-inna//دٰخِلُوْنَ /دَٰخِلُونَ/dakhiluna",
              "words_bangla": "তারা বলেছিলো//\"হে মূসা//নিশ্চয়ই//আছে সেখানে//জাতি//দুর্দান্ত শক্তিধর//এবং নিশ্চয়ই আমরা//কখনও না//প্রবেশ করবো সেখানে//যতক্ষণ না//তারা বের হবে//থেকে সেখান//অত:পর যদি//তারা বের হয়//থেকে সেখান//তবে নিশ্চয়ই আমরা//প্রবেশ করবো\""
            },
            {
              "number": 692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/692.mp3"
              ],
              "text": "قَالَ رَجُلَانِ مِنَ ٱلَّذِينَ يَخَافُونَ أَنْعَمَ ٱللَّهُ عَلَيْهِمَا ٱدْخُلُوا۟ عَلَيْهِمُ ٱلْبَابَ فَإِذَا دَخَلْتُمُوهُ فَإِنَّكُمْ غَٰلِبُونَ ۚ وَعَلَى ٱللَّهِ فَتَوَكَّلُوٓا۟ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "খোদাভীরুদের মধ্য থেকে দু’ব্যক্তি বলল, যাদের প্রতি আল্লাহ অনুগ্রহ করেছিলেনঃ তোমরা তাদের উপর আক্রমণ করে দরজায় প্রবেশ কর। অতঃপর তোমরা যখন তাতে পবেশ করবে, তখন তোমরাই জয়ী হবে। আর আল্লাহর উপর ভরসা কর যদি তোমরা বিশ্বাসী হও।",
              "numberInSurah": 23,
              "juz": 6,
              "manzil": 2,
              "page": 111,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাজুলা-নি মিনাল্লাযীনা ইয়াখা-ফূনা আন‘আমাল্লা-হু ‘আলাইহিমাদ খুলূ‘আলাইহিমুল বা-বা ফাইযা-দাখালতুমূহু ফাইন্নাকুম গা-লিবূন ওয়া ‘আলাল্লা-হি ফাতাওয়াক্কালূইন কুনতুম মু’মিনীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَجُلٰنِ/رَجُلَانِ/rajulani//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//اَنْعَمَ/أَنۡعَمَ/an'ama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمَا/عَلَيۡهِمَا/alayhima//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْبَابَ ۚ/ٱلۡبَابَ/al-baba//فَاِذَا/فَإِذَا/fa-idha//دَخَلْتُمُوْهُ/دَخَلۡتُمُوهُ/dakhaltumuhu//فَاِنَّكُمْ/فَإِنَّكُمۡ/fa-innakum//غٰلِبُوْنَ ۚ۬/غَٰلِبُونَۚ/ghalibuna//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَتَوَكَّلُوْۤا/فَتَوَكَّلُوٓاْ/fatawakkalu//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "বললো//দু’ব্যক্তি//(তাদের) মধ্য হতে//যারা//ভয় করে (আল্লাহকে)//অনুগ্রহ করেছিলেন//আল্লাহ//উপর দু’জনের তাদের//\"তোমরা প্রবেশ করো//সাথে তাদের (মুকাবেলা করে)//দরজায়//অত:পর যখন//তাতে তোমরা প্রবেশ করবে//তখন নিশ্চয়ই তোমরা//বিজয়ী হবে//এবং উপর//আল্লাহর//তাই তোমরা নির্ভর করো//যদি//হও তোমরা//মু'মিন"
            },
            {
              "number": 693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/693.mp3"
              ],
              "text": "قَالُوا۟ يَٰمُوسَىٰٓ إِنَّا لَن نَّدْخُلَهَآ أَبَدًۭا مَّا دَامُوا۟ فِيهَا ۖ فَٱذْهَبْ أَنتَ وَرَبُّكَ فَقَٰتِلَآ إِنَّا هَٰهُنَا قَٰعِدُونَ",
              "translate_bn": "তারা বললঃ হে মূসা, আমরা জীবনেও কখনো সেখানে যাব না, যতক্ষণ তারা সেখানে থাকবে। অতএব, আপনি ও আপনার পালনকর্তাই যান এবং উভয়ে যুদ্ধ করে নিন। আমরা তো এখানেই বসলাম।",
              "numberInSurah": 24,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "কা-লুইয়া-মূছাইন্না-লান নাদখুলাহাআবাদাম মা-দা-মূফীহা-ফাযহাব আনতা ওয়া রাব্বুকা ফাকা-তিলাইন্না-হা-হুনা-কা-‘ইদূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنَّا/إِنَّا/inna//لَنْ/لَن/lan//نَّدْخُلَهَاۤ/نَّدۡخُلَهَآ/nadkhulaha//اَبَدًا/أَبَدٗا/abadan//مَّا/مَّا/ma//دَامُوْا/دَامُواْ/damu//فِیْهَا/فِيهَا/fiha//فَاذْهَبْ/فَٱذۡهَبۡ/fa-idh'hab//اَنْتَ/أَنتَ/anta//وَ رَبُّكَ/وَرَبُّكَ/warabbuka//فَقَاتِلَاۤ/فَقَٰتِلَآ/faqatila//اِنَّا/إِنَّا/inna//هٰهُنَا/هَٰهُنَا/hahuna//قٰعِدُوْنَ /قَٰعِدُونَ/qa'iduna",
              "words_bangla": "(কিন্তু এ সত্ত্বেও) তারা বলেছিলো//হে মূসা//নিশ্চয়ই আমরা//কখনও না//প্রবেশ করবো আমরা তাতে//কখনও//যতক্ষণ//তারা থাকবে//মধ্যে তার//অতএব যাও//তুমি//ও রব তোমার//অত:পর উভয়ে যুদ্ধ করো//নিশ্চয়ই আমরা//এখানে//বসে থাকবো\""
            },
            {
              "number": 694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/694.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّى لَآ أَمْلِكُ إِلَّا نَفْسِى وَأَخِى ۖ فَٱفْرُقْ بَيْنَنَا وَبَيْنَ ٱلْقَوْمِ ٱلْفَٰسِقِينَ",
              "translate_bn": "মূসা বললঃ হে আমার পালনকর্তা, আমি শুধু নিজের উপর ও নিজের ভাইয়ের উপর ক্ষমতা রাখি। অতএব, আপনি আমাদের মধ্যে ও এ অবাধ্য সম্প্রদায়ের মধ্যে সম্পর্কচ্ছেদ করুন।",
              "numberInSurah": 25,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী লাআমলিকুইল্লা-নাফছী ওয়া আখী ফাফরুক বাইনানা-ওয়া বাইনাল কাওমিল ফা-ছিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//لَاۤ/لَآ/la//اَمْلِكُ/أَمۡلِكُ/amliku//اِلَّا/إِلَّا/illa//نَفْسِیْ/نَفۡسِي/nafsi//وَ اَخِیْ/وَأَخِيۖ/wa-akhi//فَافْرُقْ/فَٱفۡرُقۡ/fa-uf'ruq//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَ/وَبَيۡنَ/wabayna//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "সে বললো//\"হে আমার রব//নিশ্চয়ই আমি//না//ক্ষমতা রাখি আমি//ছাড়া//আমার নিজের//ও আমার ভাইয়ের//তাই পৃথক করো//মাঝে আমাদের//ও মাঝে//সম্প্রদায়ের\"//(যারা)সত্যত্যাগী\""
            },
            {
              "number": 695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/695.mp3"
              ],
              "text": "قَالَ فَإِنَّهَا مُحَرَّمَةٌ عَلَيْهِمْ ۛ أَرْبَعِينَ سَنَةًۭ ۛ يَتِيهُونَ فِى ٱلْأَرْضِ ۚ فَلَا تَأْسَ عَلَى ٱلْقَوْمِ ٱلْفَٰسِقِينَ",
              "translate_bn": "বললেনঃ এ দেশ চল্লিশ বছর পর্যন্ত তাদের জন্যে হারাম করা হল। তারা ভুপৃষ্ঠে উদভ্রান্ত হয়ে ফিরবে। অতএব, আপনি অবাধ্য সম্প্রদায়ের জন্যে দুঃখ করবেন না।",
              "numberInSurah": 26,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 89,
              "hizbQuarter": 44,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাইন্নাহা-মুহাররামাতুন ‘আলাইহিম আরবা‘ঈনা ছানাতাইঁ ইয়াতীহূনা ফিল আরদি ফালা-তা’ছা ‘আলাল কাওমিল ফা-ছিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاِنَّهَا/فَإِنَّهَا/fa-innaha//مُحَرَّمَةٌ/مُحَرَّمَةٌ/muharramatun//عَلَیْهِمْ/عَلَيۡهِمۡۛ/alayhim//اَرْبَعِیْنَ/أَرۡبَعِينَ/arba'ina//سَنَةً ۚ/سَنَةٗۛ/sanatan//یَتِیْهُوْنَ/يَتِيهُونَ/yatihuna//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//فَلَا/فَلَا/fala//تَاْسَ/تَأۡسَ/tasa//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْفٰسِقِیْنَ۠/ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "(আল্লাহ) বললেন//\"অত:পর নিশ্চয়ই তা//নিষিদ্ধ (করা হলো)//উপর তাদের//চল্লিশ//বছর (পর্যন্ত)//তারা উদ্ভ্রান্ত হয়ে ফিরবে//উপর//পৃথিবীর//অতএব না//দু:খ করো//জন্যে//(ঐসব)সম্প্রদায়ের\"//(যারা)সত্যত্যাগী\""
            },
            {
              "number": 696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/696.mp3"
              ],
              "text": "۞ وَٱتْلُ عَلَيْهِمْ نَبَأَ ٱبْنَىْ ءَادَمَ بِٱلْحَقِّ إِذْ قَرَّبَا قُرْبَانًۭا فَتُقُبِّلَ مِنْ أَحَدِهِمَا وَلَمْ يُتَقَبَّلْ مِنَ ٱلْءَاخَرِ قَالَ لَأَقْتُلَنَّكَ ۖ قَالَ إِنَّمَا يَتَقَبَّلُ ٱللَّهُ مِنَ ٱلْمُتَّقِينَ",
              "translate_bn": "আপনি তাদেরকে আদমের দুই পুত্রের বাস্তব অবস্থা পাঠ করে শুনান। যখন তারা ভয়েই কিছু উৎসর্গ নিবেদন করেছিল, তখন তাদের একজনের উৎসর্গ গৃহীত হয়েছিল এবং অপরজনের গৃহীত হয়নি। সে বললঃ আমি অবশ্যই তোমাকে হত্যা করব। সে বললঃ আল্লাহ ধর্মভীরুদের পক্ষ থেকেই তো গ্রহণ করেন।",
              "numberInSurah": 27,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ওয়াতলু‘আলাইহিম নাবাআবনাই আ-দামা বিলহাক্ক । ইযকাররাবা-কুরবা-নান ফাতুকুব্বিলা মিন আহাদিহিমা-ওয়া লাম ইউতাকাব্বাল মিনাল আ-খারি কা-লা লাআকতুলান্নাকা কা-লা ইন্নামা-ইয়াতাকাব্বালুল্লা-হু মিনাল মুত্তাকীন।",
              "words_arabic": "وَ اتْلُ/۞وَٱتۡلُ/wa-ut'lu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//نَبَاَ/نَبَأَ/naba-a//ابْنَیْ/ٱبۡنَيۡ/ib'nay//اٰدَمَ/ءَادَمَ/adama//بِالْحَقِّ ۘ/بِٱلۡحَقِّ/bil-haqi//اِذْ/إِذۡ/idh//قَرَّبَا/قَرَّبَا/qarraba//قُرْبَانًا/قُرۡبَانٗا/qur'banan//فَتُقُبِّلَ/فَتُقُبِّلَ/fatuqubbila//مِنْ/مِنۡ/min//اَحَدِهِمَا/أَحَدِهِمَا/ahadihima//وَ لَمْ/وَلَمۡ/walam//یُتَقَبَّلْ/يُتَقَبَّلۡ/yutaqabbal//مِنَ/مِنَ/mina//الْاٰخَرِ ؕ/ٱلۡأٓخَرِ/al-akhari//قَالَ/قَالَ/qala//لَاَقْتُلَنَّكَ ؕ/لَأَقۡتُلَنَّكَۖ/la-aqtulannaka//قَالَ/قَالَ/qala//اِنَّمَا/إِنَّمَا/innama//یَتَقَبَّلُ/يَتَقَبَّلُ/yataqabbalu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "এবং তিলাওয়াত করে//কাছে তাদের//সংবাদ//দু’ছেলের//আদমের//ভাবে যথাযথ//যখন//দু’জনে পেশ করলো//কুরবানি//তখন গ্রহণ করা হলো//হতে//দুু’জনের একজন তাদের//এবং না//গ্রহণ করা হলো//থেকে//অন্য জনের//সে বললো//\"অবশ্যই আমি হত্যা করবোই তোমাকে\"//সে বললো//\"মূলতঃ//গ্রহণ করেন (কুরবানি)//আল্লাহ//হতে//মুত্তাকীদের"
            },
            {
              "number": 697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/697.mp3"
              ],
              "text": "لَئِنۢ بَسَطتَ إِلَىَّ يَدَكَ لِتَقْتُلَنِى مَآ أَنَا۠ بِبَاسِطٍۢ يَدِىَ إِلَيْكَ لِأَقْتُلَكَ ۖ إِنِّىٓ أَخَافُ ٱللَّهَ رَبَّ ٱلْعَٰلَمِينَ",
              "translate_bn": "যদি তুমি আমাকে হত্যা করতে আমার দিকে হস্ত প্রসারিত কর, তবে আমি তোমাকে হত্যা করতে তোমার দিকে হস্ত প্রসারিত করব না। কেননা, আমি বিশ্বজগতের পালনকর্তা আল্লাহকে ভয় করি।",
              "numberInSurah": 28,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "লাইম বাছাততা ইলাইইয়া ইয়াদাকা লিতাক তুলানী মাআনা ব্বিা-ছিতিইঁ ইয়াদিইয়া ইলাইকা লিআকতুলাকা ইন্নীআখা-ফুল্লা-হা রাব্বাল ‘আ-লামীন।",
              "words_arabic": "لَىِٕنْۢ/لَئِنۢ/la-in//بَسَطْتَّ/بَسَطتَ/basatta//اِلَیَّ/إِلَيَّ/ilayya//یَدَكَ/يَدَكَ/yadaka//لِتَقْتُلَنِیْ/لِتَقۡتُلَنِي/litaqtulani//مَاۤ/مَآ/ma//اَنَا/أَنَا۠/ana//بِبَاسِطٍ/بِبَاسِطٖ/bibasitin//یَّدِیَ/يَدِيَ/yadiya//اِلَیْكَ/إِلَيۡكَ/ilayka//لِاَقْتُلَكَ ۚ/لِأَقۡتُلَكَۖ/li-aqtulaka//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّ/رَبَّ/rabba//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অবশ্যই যদি//তুমি সম্প্রসারিত করো//আমার দিকে//তোমার হাত//আমাকে তুমি হত্যা করো//না//আমি//সম্প্রসারিতকারী (হবো)//আমার হাত//তোমার দিকে//তোমাকে আমি হত্যা করার জন্যে//নিশ্চয়ই আমি//ভয় করি//আল্লাহকে//(যিনি) রব//বিশ্ব জগতের\""
            },
            {
              "number": 698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/698.mp3"
              ],
              "text": "إِنِّىٓ أُرِيدُ أَن تَبُوٓأَ بِإِثْمِى وَإِثْمِكَ فَتَكُونَ مِنْ أَصْحَٰبِ ٱلنَّارِ ۚ وَذَٰلِكَ جَزَٰٓؤُا۟ ٱلظَّٰلِمِينَ",
              "translate_bn": "আমি চাই যে, আমার পাপ ও তোমার পাপ তুমি নিজের মাথায় চাপিয়ে নাও। অতঃপর তুমি দোযখীদের অন্তর্ভূক্ত হয়ে যাও। এটাই অত্যাচারীদের শাস্তি।",
              "numberInSurah": 29,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইন্নী উরীদুআন তাবূআ বিইছমী ওয়া ইছমিকা ফাতাকূনা মিন আসহা-বিন্না-রি ওয়া যা-লিকা জাঝাউজ্জা-লিমীন।",
              "words_arabic": "اِنِّیْۤ/إِنِّيٓ/inni//اُرِیْدُ/أُرِيدُ/uridu//اَنْ/أَن/an//تَبُوْٓءَاۡ/تَبُوٓأَ/tabua//بِاِثْمِیْ/بِإِثۡمِي/bi-ith'mi//وَ اِثْمِكَ/وَإِثۡمِكَ/wa-ith'mika//فَتَكُوْنَ/فَتَكُونَ/fatakuna//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//النَّارِ ۚ/ٱلنَّارِۚ/al-nari//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//جَزٰٓؤُا/جَزَـٰٓؤُاْ/jazau//الظّٰلِمِیْنَۚ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "\"নিশ্চয়ই আমি//আমি চাই//যে//বহন করবে তুমি//নিয়ে আমার পাপ//ও তোমার পাপকে//অত:পর তুমি হবে//অন্তর্ভুক্ত//অধিবাসীদের//(দোযখের) আগুনের//এবং এটা//প্রতিফল//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/699.mp3"
              ],
              "text": "فَطَوَّعَتْ لَهُۥ نَفْسُهُۥ قَتْلَ أَخِيهِ فَقَتَلَهُۥ فَأَصْبَحَ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "অতঃপর তার অন্তর তাকে ভ্রাতৃহত্যায় উদুদ্ধ করল। অনন্তর সে তাকে হত্যা করল। ফলে সে ক্ষতিগ্রস্তদের অন্তর্ভুক্ত হয়ে গেল।",
              "numberInSurah": 30,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ফাতাওওয়া‘আত লাহূনাফছুহূকাতলা আখীহি ফাকাতালাহূফাআসবাহা মিনাল খা-ছিরীন।",
              "words_arabic": "فَطَوَّعَتْ/فَطَوَّعَتۡ/fatawwa'at//لَهٗ/لَهُۥ/lahu//نَفْسُهٗ/نَفۡسُهُۥ/nafsuhu//قَتْلَ/قَتۡلَ/qatla//اَخِیْهِ/أَخِيهِ/akhihi//فَقَتَلَهٗ/فَقَتَلَهُۥ/faqatalahu//فَاَصْبَحَ/فَأَصۡبَحَ/fa-asbaha//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "অত:পর উত্তেজিত করলো//তাকে//প্রবৃত্তি তার//হত্যায়//ভাইয়ের তার//অত:পর সে হত্যা করলো তাকে//ফলে সে হলো//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/700.mp3"
              ],
              "text": "فَبَعَثَ ٱللَّهُ غُرَابًۭا يَبْحَثُ فِى ٱلْأَرْضِ لِيُرِيَهُۥ كَيْفَ يُوَٰرِى سَوْءَةَ أَخِيهِ ۚ قَالَ يَٰوَيْلَتَىٰٓ أَعَجَزْتُ أَنْ أَكُونَ مِثْلَ هَٰذَا ٱلْغُرَابِ فَأُوَٰرِىَ سَوْءَةَ أَخِى ۖ فَأَصْبَحَ مِنَ ٱلنَّٰدِمِينَ",
              "translate_bn": "আল্লাহ এক কাক প্রেরণ করলেন। সে মাটি খনন করছিল যাতে তাকে শিক্ষা দেয় যে, আপন ভ্রাতার মৃতদেহ কিভাবে আবৃত করবে। সে বললঃ আফসোস, আমি কি এ কাকের সমতুল্যও হতে পারলাম না যে, আপন ভ্রাতার মৃতদেহ আবৃত করি। অতঃপর সে অনুতাপ করতে লাগল।",
              "numberInSurah": 31,
              "juz": 6,
              "manzil": 2,
              "page": 112,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ফাবা‘আছাল্লা-হু গুরা-বাইঁ ইয়াবহাছুফিল আরদিলিইউরিইয়াহূকাইফা ইউওয়া-রী ছাওআতা আখীহি কা-লা ইয়া-ওয়াইলাতা-আ‘আজাঝতুআন আকূনা মিছলা হা-যাল গুরা-বি ফাউওয়া-রিয়া ছাওআতা আখী ফাআসবাহা মিনান না-দিমীন।",
              "words_arabic": "فَبَعَثَ/فَبَعَثَ/faba'atha//اللّٰهُ/ٱللَّهُ/al-lahu//غُرَابًا/غُرَابٗا/ghuraban//یَّبْحَثُ/يَبۡحَثُ/yabhathu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//لِیُرِیَهٗ/لِيُرِيَهُۥ/liyuriyahu//كَیْفَ/كَيۡفَ/kayfa//یُوَارِیْ/يُوَٰرِي/yuwari//سَوْءَةَ/سَوۡءَةَ/sawata//اَخِیْهِ ؕ/أَخِيهِۚ/akhihi//قَالَ/قَالَ/qala//یٰوَیْلَتٰۤی/يَٰوَيۡلَتَىٰٓ/yawaylata//اَعَجَزْتُ/أَعَجَزۡتُ/a'ajaztu//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//مِثْلَ/مِثۡلَ/mith'la//هٰذَا/هَٰذَا/hadha//الْغُرَابِ/ٱلۡغُرَابِ/al-ghurabi//فَاُوَارِیَ/فَأُوَٰرِيَ/fa-uwariya//سَوْءَةَ/سَوۡءَةَ/sawata//اَخِیْۚ/أَخِيۖ/akhi//فَاَصْبَحَ/فَأَصۡبَحَ/fa-asbaha//مِنَ/مِنَ/mina//النّٰدِمِیْنَ/ٱلنَّـٰدِمِينَ/al-nadimina",
              "words_bangla": "অত:পর পাঠালেন//আল্লাহ//এক কাক//সে খুঁড়তে লাগলো//মধ্যে//মাটির//যাতে সে দেখাতে পারে তাকে//কিভাবে//সে লুকাবে//লাশ//ভাইয়ের তার//সে বললো//\"হায়! আমার দুর্ভোগ//কি আমি অক্ষম হলাম//যে//আমি হবো//মতো//এই//কাকের//যেন আমি লুকাতে পারি//লাশ//আমার ভাইয়ের\"//অবশেষে সে হলো//অন্তর্ভুক্ত//অনুতাপকারীদের"
            },
            {
              "number": 701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/701.mp3"
              ],
              "text": "مِنْ أَجْلِ ذَٰلِكَ كَتَبْنَا عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَنَّهُۥ مَن قَتَلَ نَفْسًۢا بِغَيْرِ نَفْسٍ أَوْ فَسَادٍۢ فِى ٱلْأَرْضِ فَكَأَنَّمَا قَتَلَ ٱلنَّاسَ جَمِيعًۭا وَمَنْ أَحْيَاهَا فَكَأَنَّمَآ أَحْيَا ٱلنَّاسَ جَمِيعًۭا ۚ وَلَقَدْ جَآءَتْهُمْ رُسُلُنَا بِٱلْبَيِّنَٰتِ ثُمَّ إِنَّ كَثِيرًۭا مِّنْهُم بَعْدَ ذَٰلِكَ فِى ٱلْأَرْضِ لَمُسْرِفُونَ",
              "translate_bn": "এ কারণেই আমি বনী-ইসলাঈলের প্রতি লিখে দিয়েছি যে, যে কেউ প্রাণের বিনিময়ে প্রাণ অথবাপৃথিবীতে অনর্থ সৃষ্টি করা ছাড়া কাউকে হত্যা করে সে যেন সব মানুষকেই হত্যা করে। এবং যে কারও জীবন রক্ষা করে, সে যেন সবার জীবন রক্ষা করে। তাদের কাছে আমার পয়গম্বরগণ প্রকাশ্য নিদর্শনাবলী নিয়ে এসেছেন। বস্তুতঃ এরপরও তাদের অনেক লোক পৃথিবীতে সীমাতিক্রম করে।",
              "numberInSurah": 32,
              "juz": 6,
              "manzil": 2,
              "page": 113,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "মিন আজলি যা-লিকা কাতাবনা-‘আলা-বানীইসরাঈলা আন্নাহূ মান কাতালা নাফছান বিগাইরি নাফছিন আও ফাছা-দিন ফিল আরদিফাকআন্নামা-কাতালান্না-ছা জামী‘আওঁ ওয়া মান আহইয়া-হা-ফাকাআন্নামা-আহইয়ান্না-ছা জামী‘আন ওয়া লাকাদ জাআতহুম রুছুলুনা-বিলবাইয়িনা-তি ছুম্মা ইন্না কাছীরাম মিনহুম বা‘দা যা-লিকা ফিল আরদিলামুছরিফূন।",
              "words_arabic": "مِنْ/مِنۡ/min//اَجْلِ/أَجۡلِ/ajli//ذٰلِكَ ؔۛۚ/ذَٰلِكَ/dhalika//كَتَبْنَا/كَتَبۡنَا/katabna//عَلٰی/عَلَىٰ/ala//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اَنَّهٗ/أَنَّهُۥ/annahu//مَنْ/مَن/man//قَتَلَ/قَتَلَ/qatala//نَفْسًۢا/نَفۡسَۢا/nafsan//بِغَیْرِ/بِغَيۡرِ/bighayri//نَفْسٍ/نَفۡسٍ/nafsin//اَوْ/أَوۡ/aw//فَسَادٍ/فَسَادٖ/fasadin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَكَاَنَّمَا/فَكَأَنَّمَا/faka-annama//قَتَلَ/قَتَلَ/qatala//النَّاسَ/ٱلنَّاسَ/al-nasa//جَمِیْعًا ؕ/جَمِيعٗا/jami'an//وَ مَنْ/وَمَنۡ/waman//اَحْیَاهَا/أَحۡيَاهَا/ahyaha//فَكَاَنَّمَاۤ/فَكَأَنَّمَآ/faka-annama//اَحْیَا/أَحۡيَا/ahya//النَّاسَ/ٱلنَّاسَ/al-nasa//جَمِیْعًا ؕ/جَمِيعٗاۚ/jami'an//وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُنَا/رُسُلُنَا/rusuluna//بِالْبَیِّنٰتِ ؗ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُم/min'hum//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//لَمُسْرِفُوْنَ /لَمُسۡرِفُونَ/lamus'rifuna",
              "words_bangla": "দ্বারা//হেতুর//এই//বিধান লিখেছিলাম আমরা//উপর//বনী//ইসরাঈলের//যে তা//যে কেউ//হত্যা করবে//কোনো ব্যক্তিকে//বিনিময় ছাড়া//কোন ব্যক্তির (হত্যাকারী হিসেবে)//বা//বিপর্যয়ের (জন্যে)//মধ্যে//পৃথিবীর//তাহ'লে যেন//সে হত্যা করলো//মানুষকে//সমস্ত//এবং যে//বাঁচালো তাকে//তাহ'লে যেন//সে বাঁচালো//মানুষকে//সমস্ত//এবং নিশ্চয়ই//কাছে এসেছিলো তাদের//রাসূলরা আমাদের//সহ সুস্পষ্ট প্রমাণ//এরপর//নিশ্চয়ই//অনেকে//মধ্য হতে তাদের//পরেও//এর//উপর//পৃথিবীর//অবশ্যই সীমাতিক্রমকারী হয়"
            },
            {
              "number": 702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/702.mp3"
              ],
              "text": "إِنَّمَا جَزَٰٓؤُا۟ ٱلَّذِينَ يُحَارِبُونَ ٱللَّهَ وَرَسُولَهُۥ وَيَسْعَوْنَ فِى ٱلْأَرْضِ فَسَادًا أَن يُقَتَّلُوٓا۟ أَوْ يُصَلَّبُوٓا۟ أَوْ تُقَطَّعَ أَيْدِيهِمْ وَأَرْجُلُهُم مِّنْ خِلَٰفٍ أَوْ يُنفَوْا۟ مِنَ ٱلْأَرْضِ ۚ ذَٰلِكَ لَهُمْ خِزْىٌۭ فِى ٱلدُّنْيَا ۖ وَلَهُمْ فِى ٱلْءَاخِرَةِ عَذَابٌ عَظِيمٌ",
              "translate_bn": "যারা আল্লাহ ও তাঁর রসূলের সাথে সংগ্রাম করে এবং দেশে হাঙ্গামা সৃষ্টি করতে সচেষ্ট হয়, তাদের শাস্তি হচ্ছে এই যে, তাদেরকে হত্যা করা হবে অথবা শূলীতে চড়ানো হবে অথবা তাদের হস্তপদসমূহ বিপরীত দিক থেকে কেটে দেয়া হবে অথবা দেশ থেকে বহিষ্কার করা হবে। এটি হল তাদের জন্য পার্থিব লাঞ্ছনা আর পরকালে তাদের জন্যে রয়েছে কঠোর শাস্তি।",
              "numberInSurah": 33,
              "juz": 6,
              "manzil": 2,
              "page": 113,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-জাঝাউল্লাযীনা ইউহা রিবূনাল্লা-হা ওয়া রাছূলাহূওয়া ইয়াছ‘আওনা ফিল আরদি ফাছা-দান আইঁ ইউকাত্তালূআও ইউসাল্লাবূআও তুকাত্তা‘আ আইদীহিম ওয়া আরজুলুহুম মিন খিলা-ফিন আও ইউনফাওঁমিনাল আরদি যা-লিকা লাহুম খিঝইউন ফিদদুনইয়াওয়া লাহুম ফিল আ-খিরাতি ‘আযা-বুন ‘আজীম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//جَزٰٓؤُا/جَزَـٰٓؤُاْ/jazau//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُحَارِبُوْنَ/يُحَارِبُونَ/yuharibuna//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ یَسْعَوْنَ/وَيَسۡعَوۡنَ/wayas'awna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَسَادًا/فَسَادًا/fasadan//اَنْ/أَن/an//یُّقَتَّلُوْۤا/يُقَتَّلُوٓاْ/yuqattalu//اَوْ/أَوۡ/aw//یُصَلَّبُوْۤا/يُصَلَّبُوٓاْ/yusallabu//اَوْ/أَوۡ/aw//تُقَطَّعَ/تُقَطَّعَ/tuqatta'a//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ اَرْجُلُهُمْ/وَأَرۡجُلُهُم/wa-arjuluhum//مِّنْ/مِّنۡ/min//خِلَافٍ/خِلَٰفٍ/khilafin//اَوْ/أَوۡ/aw//یُنْفَوْا/يُنفَوۡاْ/yunfaw//مِنَ/مِنَ/mina//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَهُمْ/لَهُمۡ/lahum//خِزْیٌ/خِزۡيٞ/khiz'yun//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَهُمْ/وَلَهُمۡ/walahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌۙ/عَظِيمٌ/azimun",
              "words_bangla": "মূলতঃ//প্রতিফল (অর্থাৎ শাস্তি)//(তাদের) যারা//যুদ্ধ করে//আল্লাহর//ও রাসূলের তাঁর(বিরুদ্ধে)//এবং সচেষ্ট হয়//উপর//পৃথিবীর//বিপর্যয়(সৃষ্টি করতে)//যে//তাদের হত্যা করা হবে//বা//তাদের ক্রুশবিদ্ধ করা হবে//বা//কেটে দেওয়া হবে//হাতগুলো তাদের//ও পাগুলো তাদের//থেকে//বিপরীত দিক//অথবা//তাদের নির্বাসিত করা হবে//থেকে//দেশ//এটা//জন্যে তাদের//অপমান//মধ্যে//পৃথিবীর//ও জন্যে তাদের (রয়েছে)//মধ্যে//আখেরাতের//শাস্তি//কঠোর"
            },
            {
              "number": 703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/703.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ تَابُوا۟ مِن قَبْلِ أَن تَقْدِرُوا۟ عَلَيْهِمْ ۖ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "কিন্তু যারা তোমাদের গ্রেফতারের পূর্বে তওবা করে; জেনে রাখ, আল্লাহ ক্ষমাকারী, দয়ালু।",
              "numberInSurah": 34,
              "juz": 6,
              "manzil": 2,
              "page": 113,
              "ruku": 90,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল লাযীনা তা-বূমিন কাবলি আন তাকদিরূ ‘আলাইহিম ফা‘লামূ-আন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَابُوْا/تَابُواْ/tabu//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تَقْدِرُوْا/تَقۡدِرُواْ/taqdiru//عَلَیْهِمْ ۚ/عَلَيۡهِمۡۖ/alayhim//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "কিন্তু//যারা//তওবা করে//থেকে//পূর্ব//যে//তোমরা সক্ষম হবে//উপর তাদের(আধিপত্য বিস্তারে)//তবে তোমরা জেনে রেখো//যে//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/704.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَٱبْتَغُوٓا۟ إِلَيْهِ ٱلْوَسِيلَةَ وَجَٰهِدُوا۟ فِى سَبِيلِهِۦ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "হে মুমিনগণ! আল্লাহকে ভয় কর, তাঁর নৈকট্য অন্বেষন কর এবং তাঁর পথে জেহাদ কর যাতে তোমরা সফলকাম হও।",
              "numberInSurah": 35,
              "juz": 6,
              "manzil": 2,
              "page": 113,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানুততাকুল্লা-হা ওয়াবতাগু ইলাইহিল ওয়াছীলাতা ওয়া জাহিদূফী ছাবীলিহী লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ ابْتَغُوْۤا/وَٱبۡتَغُوٓاْ/wa-ib'taghu//اِلَیْهِ/إِلَيۡهِ/ilayhi//الْوَسِیْلَةَ/ٱلۡوَسِيلَةَ/al-wasilata//وَ جَاهِدُوْا/وَجَٰهِدُواْ/wajahidu//فِیْ/فِي/fi//سَبِیْلِهٖ/سَبِيلِهِۦ/sabilihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা ভয় করো//আল্লাহকে//ও তোমরা সন্ধান করো//দিকে তাঁর//নৈকট্য লাভের উপায়//এবং তোমরা জিহাদ করো//মধ্যে//পথের তাঁর//সম্ভবতঃ তোমরা//সফলকাম হবে"
            },
            {
              "number": 705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/705.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَوْ أَنَّ لَهُم مَّا فِى ٱلْأَرْضِ جَمِيعًۭا وَمِثْلَهُۥ مَعَهُۥ لِيَفْتَدُوا۟ بِهِۦ مِنْ عَذَابِ يَوْمِ ٱلْقِيَٰمَةِ مَا تُقُبِّلَ مِنْهُمْ ۖ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যারা কাফের, যদি তাদের কাছে পৃথিবীর সমুদয় সম্পদ এবং তৎসহ আরও তদনুরূপ সম্পদ থাকে আর এগুলো বিনিময়ে দিয়ে কিয়ামতের শাস্তি থেকে পরিত্রান পেতে চায়, তবুও তাদের কাছ থেকে তা কবুল করা হবে না। তাদের জন্যে যন্ত্রনাদায়ক শাস্তি রয়েছে।",
              "numberInSurah": 36,
              "juz": 6,
              "manzil": 2,
              "page": 113,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূ লাও আন্না লাহুম মা-ফিল আরদিজামী‘আওঁ ওয়া মিছলাহূমা‘আহূলিইয়াফতাদূবিহী মিন ‘আযা-বি ইয়াওমিল কিয়া-মাতি মা-তুকুব্বিলা মিনহুম ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا/جَمِيعٗا/jami'an//وَّ مِثْلَهٗ/وَمِثۡلَهُۥ/wamith'lahu//مَعَهٗ/مَعَهُۥ/ma'ahu//لِیَفْتَدُوْا/لِيَفۡتَدُواْ/liyaftadu//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مَا/مَا/ma//تُقُبِّلَ/تُقُبِّلَ/tuqubbila//مِنْهُمْ ۚ/مِنۡهُمۡۖ/min'hum//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "নিশ্চয়ই//যারা//অবিশ্বাস করেছে//যদি//হয়//জন্যে তাদের//যা কিছু//মধ্যে (আছে)//পৃথিবীর//সমস্তই//ও সমতুল্য তার(আরও কিছু)//সাথে তার//জন্যে তাদের মুক্তিপণ দিয়ে বাঁচার//বিনিময়ে তার//হতে//শাস্তি//দিনের//ক্বিয়ামাতের (আর মুক্তিপণ দেয়ও)//(তবুও) না//গ্রহণ করা হবে//থেকে তাদের//এবং জন্যে তাদের (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/706.mp3"
              ],
              "text": "يُرِيدُونَ أَن يَخْرُجُوا۟ مِنَ ٱلنَّارِ وَمَا هُم بِخَٰرِجِينَ مِنْهَا ۖ وَلَهُمْ عَذَابٌۭ مُّقِيمٌۭ",
              "translate_bn": "তারা দোযখের আগুন থেকে বের হয়ে আসতে চাইবে কিন্তু তা থেকে বের হতে পারবে না। তারা চিরস্থায়ী শাস্তি ভোগ করবে।",
              "numberInSurah": 37,
              "juz": 6,
              "manzil": 2,
              "page": 114,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ইউরীদূ না আইঁ ইয়াখরুজুমিনান্না-রি ওয়ামা-হুম বিখা-রিজীনা মিনহা- ওয়া লাহুম ‘আযা-বুম মুকীম।\r\n",
              "words_arabic": "یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اَنْ/أَن/an//یَّخْرُجُوْا/يَخۡرُجُواْ/yakhruju//مِنَ/مِنَ/mina//النَّارِ/ٱلنَّارِ/al-nari//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِخٰرِجِیْنَ/بِخَٰرِجِينَ/bikharijina//مِنْهَا ؗ/مِنۡهَاۖ/min'ha//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٞ/adhabun//مُّقِیْمٌ /مُّقِيمٞ/muqimun",
              "words_bangla": "তারা চাইবে//যে//তারা বের হবে//থেকে//আগুন//কিন্তু না//তারা//বের হতে পারবে//থেকে তা//এবং জন্যে তাদের (রয়েছে)//শাস্তি//স্থায়ী"
            },
            {
              "number": 707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/707.mp3"
              ],
              "text": "وَٱلسَّارِقُ وَٱلسَّارِقَةُ فَٱقْطَعُوٓا۟ أَيْدِيَهُمَا جَزَآءًۢ بِمَا كَسَبَا نَكَٰلًۭا مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "যে পুরুষ চুরি করে এবং যে নারী চুরি করে তাদের হাত কেটে দাও তাদের কৃতকর্মের সাজা হিসেবে। আল্লাহর পক্ষ থেকে হুশিয়ারী। আল্লাহ পরাক্রান্ত, জ্ঞানময়।",
              "numberInSurah": 38,
              "juz": 6,
              "manzil": 2,
              "page": 114,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছা-রিকুওয়াছছা-রিকাতুফাকতাউআউদিয়াহুমা-জাঝাআম বিমা-কাছাবা-নাকালাম মিনাল্লা-হি ওয়াল্লা-হু ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ السَّارِقُ/وَٱلسَّارِقُ/wal-sariqu//وَ السَّارِقَةُ/وَٱلسَّارِقَةُ/wal-sariqatu//فَاقْطَعُوْۤا/فَٱقۡطَعُوٓاْ/fa-iq'ta'u//اَیْدِیَهُمَا/أَيۡدِيَهُمَا/aydiyahuma//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَسَبَا/كَسَبَا/kasaba//نَكَالًا/نَكَٰلٗا/nakalan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং পুরুষ চোর (হউক)//বা নারী চোর//অত:পর তোমরা কেটে দাও//হাত উভয়ের//প্রতিফলস্বরূপ//এ কারণে যা//অর্জন করেছে উভয়ে//দন্ড হিসেবে//পক্ষ হতে//আল্লাহর//এবং আল্লাহ//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/708.mp3"
              ],
              "text": "فَمَن تَابَ مِنۢ بَعْدِ ظُلْمِهِۦ وَأَصْلَحَ فَإِنَّ ٱللَّهَ يَتُوبُ عَلَيْهِ ۗ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "অতঃপর যে তওবা করে স্বীয় অত্যাচারের পর এবং সংশোধিত হয়, নিশ্চয় আল্লাহ তার তওবা কবুল করেন। নিশ্চয় আল্লাহ ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 39,
              "juz": 6,
              "manzil": 2,
              "page": 114,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "ফামান তা-বা মিম বা‘দি জু লমিহী ওয়া আসলাহা ফাইন্নাল্লা-হা ইয়াতূবু‘আলাইহি ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "فَمَنْ/فَمَن/faman//تَابَ/تَابَ/taba//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ظُلْمِهٖ/ظُلۡمِهِۦ/zul'mihi//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//یَتُوْبُ/يَتُوبُ/yatubu//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "তবে যে//তওবা করে//থেকে//পর//অন্যায়ের তার//ও সংশোধন হয়//তবে নিশ্চয়ই//আল্লাহ//ক্ষমা করবেন//উপর তার//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/709.mp3"
              ],
              "text": "أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ يُعَذِّبُ مَن يَشَآءُ وَيَغْفِرُ لِمَن يَشَآءُ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "তুমি কি জান না যে আল্লাহর নিমিত্তেই নভোমন্ডল ও ভূমন্ডলের আধিপত্য। তিনি যাকে ইচ্ছা শাস্তি দেন এবং যাকে ইচ্ছা ক্ষমা করেন। আল্লাহ সবকিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 40,
              "juz": 6,
              "manzil": 2,
              "page": 114,
              "ruku": 91,
              "hizbQuarter": 45,
              "sajda": false,
              "pronunciation_bn": "আলাম তা‘লাম আন্নাল্লা-হা লাহূমুলকুছছামা-ওয়া-তি ওয়াল আরদি ইউ‘আযযিবু মাইঁ ইয়াশাউ ওয়া ইয়াগফিরু লিমাইঁ ইয়াশাউ ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَعْلَمْ/تَعۡلَمۡ/ta'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِ/wal-ardi//یُعَذِّبُ/يُعَذِّبُ/yu'adhibu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَغْفِرُ/وَيَغۡفِرُ/wayaghfiru//لِمَنْ/لِمَن/liman//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "কি না//তুমি জানো//যে//আল্লাহ//জন্যে তাঁরই//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//তিনি শাস্তি দেন//যাকে//ইচ্ছে করেন//ও ক্ষমা করেন//যাকে//তিনি ইচ্ছে করেন//এবং আল্লাহ//উপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/710.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلرَّسُولُ لَا يَحْزُنكَ ٱلَّذِينَ يُسَٰرِعُونَ فِى ٱلْكُفْرِ مِنَ ٱلَّذِينَ قَالُوٓا۟ ءَامَنَّا بِأَفْوَٰهِهِمْ وَلَمْ تُؤْمِن قُلُوبُهُمْ ۛ وَمِنَ ٱلَّذِينَ هَادُوا۟ ۛ سَمَّٰعُونَ لِلْكَذِبِ سَمَّٰعُونَ لِقَوْمٍ ءَاخَرِينَ لَمْ يَأْتُوكَ ۖ يُحَرِّفُونَ ٱلْكَلِمَ مِنۢ بَعْدِ مَوَاضِعِهِۦ ۖ يَقُولُونَ إِنْ أُوتِيتُمْ هَٰذَا فَخُذُوهُ وَإِن لَّمْ تُؤْتَوْهُ فَٱحْذَرُوا۟ ۚ وَمَن يُرِدِ ٱللَّهُ فِتْنَتَهُۥ فَلَن تَمْلِكَ لَهُۥ مِنَ ٱللَّهِ شَيْـًٔا ۚ أُو۟لَٰٓئِكَ ٱلَّذِينَ لَمْ يُرِدِ ٱللَّهُ أَن يُطَهِّرَ قُلُوبَهُمْ ۚ لَهُمْ فِى ٱلدُّنْيَا خِزْىٌۭ ۖ وَلَهُمْ فِى ٱلْءَاخِرَةِ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "হে রসূল, তাদের জন্যে দুঃখ করবেন না, যারা দৌড়ে গিয়ে কুফরে পতিত হয়; যারা মুখে বলেঃ আমরা মুসলমান, অথচ তাদের অন্তর মুসলমান নয় এবং যারা ইহুদী; মিথ্যাবলার জন্যে তারা গুপ্তচর বৃত্তি করে। তারা অন্যদলের গুপ্তচর, যারা আপনার কাছে আসেনি। তারা বাক্যকে স্বস্থান থেকে পরিবর্তন করে। তারা বলেঃ যদি তোমরা এ নির্দেশ পাও, তবে কবুল করে নিও এবং যদি এ নির্দেশ না পাও, তবে বিরত থেকো। আল্লাহ যাকে পথভ্রষ্ট করতে চান, তার জন্যে আল্লাহর কাছে আপনি কিছু করতে পারবেন না। এরা এমনিই যে, আল্লাহ এদের অন্তরকে পবিত্র করতে চান না। তাদের জন্যে রয়েছে দুনিয়াতে লাঞ্ছনা এবং পরকালে বিরাট শাস্তি।",
              "numberInSurah": 41,
              "juz": 6,
              "manzil": 2,
              "page": 114,
              "ruku": 91,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাররাছূলুলা-ইয়াহঝুনকাল্লাযীনা ইউছা-রি‘ঊনা ফিল কুফরি মিনাল্লাযীনা কালূ আ-মান্না-বিআফওয়া-হিহিম ওয়া লাম তু’মিন কুলূবুহুম ওয়া মিনাল্লাযীনা হা-দু ছাম্মা-‘ঊনা লিলকাযিবি ছাম্মা-‘ঊনা লিকাওমিন আ-খারীনা লাম ইয়া’তূকা ইউহাররিফূনাল কালিমা মিম বা‘দি মাওয়া-দি‘ইহী ইয়াকূলূনা ইন ঊতীতুম হা-যাফাখুযূহু ওয়া ইল্লাম তু’তাওহু ফাহযারূ ওয়া মাইঁ ইউরিদিল্লা-হু ফিতনাতাহূফালান তামলিকা লাহূমিনাল্লা-হি শাইআন উলাইকাল্লাযীনা লাম ইউরিদিল্লা-হু আইঁ ইউতাহহিরা কুলূবাহুম লাহুম ফিদ দুনইয়া-খিঝইউওঁ ওয়া লাহুম ফিল আ-খিরাতি ‘আযা-বুন আজীম।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//لَا/لَا/la//یَحْزُنْكَ/يَحۡزُنكَ/yahzunka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُسَارِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِی/فِي/fi//الْكُفْرِ/ٱلۡكُفۡرِ/al-kuf'ri//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِاَفْوَاهِهِمْ/بِأَفۡوَٰهِهِمۡ/bi-afwahihim//وَ لَمْ/وَلَمۡ/walam//تُؤْمِنْ/تُؤۡمِن/tu'min//قُلُوْبُهُمْ ۛۚ/قُلُوبُهُمۡۛ/qulubuhum//وَ مِنَ/وَمِنَ/wamina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْا ۛۚ/هَادُواْۛ/hadu//سَمّٰعُوْنَ/سَمَّـٰعُونَ/samma'una//لِلْكَذِبِ/لِلۡكَذِبِ/lil'kadhibi//سَمّٰعُوْنَ/سَمَّـٰعُونَ/samma'una//لِقَوْمٍ/لِقَوۡمٍ/liqawmin//اٰخَرِیْنَ ۙ/ءَاخَرِينَ/akharina//لَمْ/لَمۡ/lam//یَاْتُوْكَ ؕ/يَأۡتُوكَۖ/yatuka//یُحَرِّفُوْنَ/يُحَرِّفُونَ/yuharrifuna//الْكَلِمَ/ٱلۡكَلِمَ/al-kalima//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَوَاضِعِهٖ ۚ/مَوَاضِعِهِۦۖ/mawadi'ihi//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِنْ/إِنۡ/in//اُوْتِیْتُمْ/أُوتِيتُمۡ/utitum//هٰذَا/هَٰذَا/hadha//فَخُذُوْهُ/فَخُذُوهُ/fakhudhuhu//وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//تُؤْتَوْهُ/تُؤۡتَوۡهُ/tu'tawhu//فَاحْذَرُوْا ؕ/فَٱحۡذَرُواْۚ/fa-ih'dharu//وَ مَنْ/وَمَن/waman//یُّرِدِ/يُرِدِ/yuridi//اللّٰهُ/ٱللَّهُ/al-lahu//فِتْنَتَهٗ/فِتۡنَتَهُۥ/fit'natahu//فَلَنْ/فَلَن/falan//تَمْلِكَ/تَمۡلِكَ/tamlika//لَهٗ/لَهُۥ/lahu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَمْ/لَمۡ/lam//یُرِدِ/يُرِدِ/yuridi//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یُّطَهِّرَ/يُطَهِّرَ/yutahhira//قُلُوْبَهُمْ ؕ/قُلُوبَهُمۡۚ/qulubahum//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//خِزْیٌ ۖۚ/خِزۡيٞۖ/khiz'yun//وَّ لَهُمْ/وَلَهُمۡ/walahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "হে//রাসূল//(যেন) না//তোমাকে দুঃখ দেয়//(তাদের কার্যক্রম) যারা//দ্রুত ধাবিত হয়//মধ্যে//অবিশ্বাসের//মধ্য হতে//(তাদের) যারা//বলে//\"ঈমান এনেছি আমরা\"//দিয়ে মুখগুলো তাদের//কিন্তু নি//ঈমান আনে//অন্তরগুলো তাদের//এবং মধ্য হতে//(তাদের) যারা//ইয়াহুদী হয়েছে//শুনতে বেশি আগ্রহী//প্রতি মিথ্যার//শুনতে বেশি আগ্রহী//প্রতি সম্প্রদায়ের//অন্যান্য (যারা)//নি//তোমার কাছে আসে//তারা বিকৃত করে//(আল্লাহর) কথা//থেকেও//পর//প্রসঙ্গস্থান তার (নির্ধারণের)//তারা বলে//\"যদি//দেয়া হয় তোমাদের//এই (আদেশ)//তবে গ্রহণ করো তা//এবং যদি//না//দেয়া হয় তা//তবে তোমরা বর্জন করো\"//এবং যাকে//চান//আল্লাহ//তার পরীক্ষায় (ফেলতে)//তবে কখনও না//সক্ষম হবে তুমি//তাকে (বাঁচাতে)//থেকে//আল্লাহ//কিছু মাত্রও//ঐসব লোক//(তারাই) যাদের//না//চেয়েছেন//আল্লাহ//যে//পবিত্র করবেন//অন্তরগুলোকে তাদের//জন্যে তাদের (রয়েছে)//মধ্যে//পৃথিবীর//অপমান//ও জন্যে তাদের (রয়েছে)//মধ্যে//আখেরাতে//শাস্তি//কঠোর"
            },
            {
              "number": 711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/711.mp3"
              ],
              "text": "سَمَّٰعُونَ لِلْكَذِبِ أَكَّٰلُونَ لِلسُّحْتِ ۚ فَإِن جَآءُوكَ فَٱحْكُم بَيْنَهُمْ أَوْ أَعْرِضْ عَنْهُمْ ۖ وَإِن تُعْرِضْ عَنْهُمْ فَلَن يَضُرُّوكَ شَيْـًۭٔا ۖ وَإِنْ حَكَمْتَ فَٱحْكُم بَيْنَهُم بِٱلْقِسْطِ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ",
              "translate_bn": "এরা মিথ্যা বলার জন্যে গুপ্তচরবৃত্তি করে, হারাম ভক্ষণ করে। অতএব, তারা যদি আপনার কাছে আসে, তবে হয় তাদের মধ্যে ফয়সালা করে দিন, না হয় তাদের ব্যাপারে নির্লিপ্ত থাকুন। যদি তাদের থেকে নির্লিপ্ত থাকেন, তবে তাদের সাধ্য নেই যে, আপনার বিন্দুমাত্র ক্ষতি করতে পারে। যদি ফয়সালা করেন, তবেন্যায় ভাবে ফয়সালা করুন। নিশ্চয় আল্লাহ সুবিচারকারীদেরকে ভালবাসেন।",
              "numberInSurah": 42,
              "juz": 6,
              "manzil": 2,
              "page": 115,
              "ruku": 91,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ছাম্মা-‘ঊনা লিলকাযিবি আক্কা-লূনা লিছছূহতি ফাইন জাঊকা ফাহকুম বাইনাহুম আও আ‘রিদ‘আনহুম ওয়া ইন তু‘রিদআনহুম ফালাইঁ ইয়াদুররূকা শাইআওঁ ওয়া ইন হাকামতা ফাহকুম বাইনাহুম বিল কিছতি ইন্নাল্লা-হা ইউহিব্বুল মুকছিতীন।",
              "words_arabic": "سَمّٰعُوْنَ/سَمَّـٰعُونَ/samma'una//لِلْكَذِبِ/لِلۡكَذِبِ/lil'kadhibi//اَكّٰلُوْنَ/أَكَّـٰلُونَ/akkaluna//لِلسُّحْتِ ؕ/لِلسُّحۡتِۚ/lilssuh'ti//فَاِنْ/فَإِن/fa-in//جَآءُوْكَ/جَآءُوكَ/jauka//فَاحْكُمْ/فَٱحۡكُم/fa-uh'kum//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اَوْ/أَوۡ/aw//اَعْرِضْ/أَعۡرِضۡ/a'rid//عَنْهُمْ ۚ/عَنۡهُمۡۖ/anhum//وَ اِنْ/وَإِن/wa-in//تُعْرِضْ/تُعۡرِضۡ/tu'rid//عَنْهُمْ/عَنۡهُمۡ/anhum//فَلَنْ/فَلَن/falan//یَّضُرُّوْكَ/يَضُرُّوكَ/yadurruka//شَیْـًٔا ؕ/شَيۡـٔٗاۖ/shayan//وَ اِنْ/وَإِنۡ/wa-in//حَكَمْتَ/حَكَمۡتَ/hakamta//فَاحْكُمْ/فَٱحۡكُم/fa-uh'kum//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْقِسْطِ ؕ/بِٱلۡقِسۡطِۚ/bil-qis'ti//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُقْسِطِیْنَ /ٱلۡمُقۡسِطِينَ/al-muq'sitina",
              "words_bangla": "তারা শুনতে বেশি আগ্রহী//প্রতি মিথ্যার//অধিক ভক্ষণকারী//জন্যে অবৈধ জিনিষের//অতএব যদি//তোমার কাছে আসে//তবে বিচার করে দাও//মাঝে তাদের//অথবা//উপেক্ষা করো//থেকে তাদের (এটা তোমার ইচ্ছা)//এবং যদি//তুমি উপেক্ষা করো//থেকে তাদের//তবে কখনও না//তারা তোমাকে ক্ষতি করতে পারবে//কিছুমাত্র//আর যদি//তুমি বিচার করো//তবে বিচার করো//মাঝে তাদের//সাথের ন্যায়ের//নিশ্চয়ই//আল্লাহ//ভালবাসেন//ন্যায়বিচারকারীদেরকে"
            },
            {
              "number": 712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/712.mp3"
              ],
              "text": "وَكَيْفَ يُحَكِّمُونَكَ وَعِندَهُمُ ٱلتَّوْرَىٰةُ فِيهَا حُكْمُ ٱللَّهِ ثُمَّ يَتَوَلَّوْنَ مِنۢ بَعْدِ ذَٰلِكَ ۚ وَمَآ أُو۟لَٰٓئِكَ بِٱلْمُؤْمِنِينَ",
              "translate_bn": "তারা আপনাকে কেমন করে বিচারক নিয়োগ করবে অথচ তাদের কাছে তওরাত রয়েছে। তাতে আল্লাহর নির্দেশ আছে। অতঃপর এরা পেছন দিকে মুখ ফিরিয়ে নেয়। তারা কখনও বিশ্বাসী নয়।",
              "numberInSurah": 43,
              "juz": 6,
              "manzil": 2,
              "page": 115,
              "ruku": 91,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইফা ইউহাক্কিমূনাকা ওয়া ‘ইনদাহুমুততাওরা-তুফীহা-হুকমুল্লা-হি ছুম্মা ইয়াতাওয়াল্লাওনা মিম বা‘দি যা-লিকা ওয়ামা-উলাইকা বিলমু’মিনীন।",
              "words_arabic": "وَ كَیْفَ/وَكَيۡفَ/wakayfa//یُحَكِّمُوْنَكَ/يُحَكِّمُونَكَ/yuhakkimunaka//وَ عِنْدَهُمُ/وَعِندَهُمُ/wa'indahumu//التَّوْرٰىةُ/ٱلتَّوۡرَىٰةُ/al-tawratu//فِیْهَا/فِيهَا/fiha//حُكْمُ/حُكۡمُ/huk'mu//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//یَتَوَلَّوْنَ/يَتَوَلَّوۡنَ/yatawallawna//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ ؕ/ذَٰلِكَۚ/dhalika//وَ مَاۤ/وَمَآ/wama//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//بِالْمُؤْمِنِیْنَ۠/بِٱلۡمُؤۡمِنِينَ/bil-mu'minina",
              "words_bangla": "এবং কিরূপে//তোমাকে তারা বিচারক মানবে//অথচ কাছে (আছে)তাদের//তাওরাত//মধ্যে তার(রয়েছে)//নির্দেশ//আল্লাহর//এরপর//তারা মুখ ফিরিয়ে নেয়//থেকেও//পর//এর//এবং না//ঐসব লোক//মু’মিন"
            },
            {
              "number": 713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/713.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَا ٱلتَّوْرَىٰةَ فِيهَا هُدًۭى وَنُورٌۭ ۚ يَحْكُمُ بِهَا ٱلنَّبِيُّونَ ٱلَّذِينَ أَسْلَمُوا۟ لِلَّذِينَ هَادُوا۟ وَٱلرَّبَّٰنِيُّونَ وَٱلْأَحْبَارُ بِمَا ٱسْتُحْفِظُوا۟ مِن كِتَٰبِ ٱللَّهِ وَكَانُوا۟ عَلَيْهِ شُهَدَآءَ ۚ فَلَا تَخْشَوُا۟ ٱلنَّاسَ وَٱخْشَوْنِ وَلَا تَشْتَرُوا۟ بِـَٔايَٰتِى ثَمَنًۭا قَلِيلًۭا ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَٰٓئِكَ هُمُ ٱلْكَٰفِرُونَ",
              "translate_bn": "আমি তওরাত অবর্তীর্ন করেছি। এতে হেদায়াত ও আলো রয়েছে। আল্লাহর আজ্ঞাবহ পয়গম্বর, দরবেশ ও আলেমরা এর মাধ্যমে ইহুদীদেরকে ফয়সালা দিতেন। কেননা, তাদেরকে এ খোদায়ী গ্রন্থের দেখাশোনা করার নির্দেশ দেয়া হয়েছিল এবং তাঁরা এর রক্ষণাবেক্ষণে নিযুক্ত ছিলেন। অতএব, তোমরা মানুষকে ভয় করো না এবং আমাকে ভয় কর এবং আমার আয়াত সমূহের বিনিময়ে স্বল্পমূল্যে গ্রহণ করো না, যেসব লোক আল্লাহ যা অবতীর্ণ করেছেন, তদনুযায়ী ফায়সালা করে না, তারাই কাফের।",
              "numberInSurah": 44,
              "juz": 6,
              "manzil": 2,
              "page": 115,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনাততাওরা-তা ফীহা-হুদাওঁ ওয়া নূরুইঁ ইয়াহকুমুবিহান্নাবিইয়ূনাল্লাযীনা আছলামূলিল্লাযীনা হা-দূওয়া রাব্বা-নিইয়ূনা ওয়াল আহবা-রু বিমাছ তুহফিজু মিন কিতাবিল্লা-হি ওয়া কা-নূআলাইহি শুহাদাআ ফালা-তাখশাউন্না-ছা ওয়াখশাওনি ওয়ালাতাশতারূ বিআ-য়াতী ছামানান কালীলান ওয়া মাল্লাম ইয়াহকুম বিমাআনঝালাল্লা-হু ফাউলাইকা হুমুল কা-ফিরূন।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//التَّوْرٰىةَ/ٱلتَّوۡرَىٰةَ/al-tawrata//فِیْهَا/فِيهَا/fiha//هُدًی/هُدٗى/hudan//وَّ نُوْرٌ ۚ/وَنُورٞۚ/wanurun//یَحْكُمُ/يَحۡكُمُ/yahkumu//بِهَا/بِهَا/biha//النَّبِیُّوْنَ/ٱلنَّبِيُّونَ/al-nabiyuna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَسْلَمُوْا/أَسۡلَمُواْ/aslamu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//هَادُوْا/هَادُواْ/hadu//وَ الرَّبّٰنِیُّوْنَ/وَٱلرَّبَّـٰنِيُّونَ/wal-rabaniyuna//وَ الْاَحْبَارُ/وَٱلۡأَحۡبَارُ/wal-ahbaru//بِمَا/بِمَا/bima//اسْتُحْفِظُوْا/ٱسۡتُحۡفِظُواْ/us'tuh'fizu//مِنْ/مِن/min//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَانُوْا/وَكَانُواْ/wakanu//عَلَیْهِ/عَلَيۡهِ/alayhi//شُهَدَآءَ ۚ/شُهَدَآءَۚ/shuhadaa//فَلَا/فَلَا/fala//تَخْشَوُا/تَخۡشَوُاْ/takhshawu//النَّاسَ/ٱلنَّاسَ/al-nasa//وَ اخْشَوْنِ/وَٱخۡشَوۡنِ/wa-ikh'shawni//وَ لَا/وَلَا/wala//تَشْتَرُوْا/تَشۡتَرُواْ/tashtaru//بِاٰیٰتِیْ/بِـَٔايَٰتِي/biayati//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؕ/قَلِيلٗاۚ/qalilan//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَحْكُمْ/يَحۡكُم/yahkum//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা অবতীর্ণ করেছি//তাওরাত//মধ্যে তার(ছিলো)//পথনির্দেশ//ও আলো//বিধান দিতেন//দিয়ে তা//নাবীগণ//যারা//আত্মসমর্পণ করেছিলো//জন্যে তাদের (যারা)//ইয়াহুদী হয়েছিলো//ও রব্বানিরা (বিধান দিতেন)//ও পন্ডিতগণ//কেননা//তাদের রক্ষক বানানো (হয়েছিলো)//থেকে//কিতাবের//আল্লাহর//এবং তারা ছিলো//উপর তার//সাক্ষী//(হে বনী ইসরাঈল)অতএব না//তোমরা ভয় করো//মানুষকে//এবং আমাকে তোমরা ভয় করো//এবং না//তোমরা ক্রয় করো//বিনিময়ে আমার আয়াতগুলোর//মূল্য//সামান্য//এবং যে কেউ//না//বিচার করে//তা দিয়ে যা//অবতীর্ণ করেছেন//আল্লাহ//তবে ঐ সব লোক//তারাই//কাফির"
            },
            {
              "number": 714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/714.mp3"
              ],
              "text": "وَكَتَبْنَا عَلَيْهِمْ فِيهَآ أَنَّ ٱلنَّفْسَ بِٱلنَّفْسِ وَٱلْعَيْنَ بِٱلْعَيْنِ وَٱلْأَنفَ بِٱلْأَنفِ وَٱلْأُذُنَ بِٱلْأُذُنِ وَٱلسِّنَّ بِٱلسِّنِّ وَٱلْجُرُوحَ قِصَاصٌۭ ۚ فَمَن تَصَدَّقَ بِهِۦ فَهُوَ كَفَّارَةٌۭ لَّهُۥ ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "আমি এ গ্রন্থে তাদের প্রতি লিখে দিয়েছি যে, প্রাণের বিনিময়ে প্রাণ, চক্ষুর বিনিময়ে চক্ষু, নাকের বিনিময়ে নাক, কানের বিনিময়ে কান, দাঁতের বিনিময়ে দাঁত এবং যখম সমূহের বিনিময়ে সমান যখম। অতঃপর যে ক্ষমা করে, সে গোনাহ থেকে পাক হয়ে যায়। যেসব লোক আল্লাহ যা অবতীর্ণ করেছেন, তদনুযায়ী ফয়সালা করে না তারাই জালেম।",
              "numberInSurah": 45,
              "juz": 6,
              "manzil": 2,
              "page": 115,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাতাবনা-‘আলাইহিম ফীহাআন্নান্নাফছা বিন্নাফছি ওয়াল‘আইনা বিলা‘আইনি ওয়াল আনফা বিলআনফি ওয়ালউযুনা বিলউযুনি ওয়াছছিন্না বিছছিন্নি ওয়াল জুরূহা কিসা-সুন ফামান তাসাদ্দাকা বিহী ফাহুওয়া কাফফা-রাতুল্লা-হূ ওয়া মাল্লাম ইয়াহকুম বিমাআনঝালাল্লা-হু ফাউলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "وَ كَتَبْنَا/وَكَتَبۡنَا/wakatabna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//فِیْهَاۤ/فِيهَآ/fiha//اَنَّ/أَنَّ/anna//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//بِالنَّفْسِ ۙ/بِٱلنَّفۡسِ/bil-nafsi//وَ الْعَیْنَ/وَٱلۡعَيۡنَ/wal-'ayna//بِالْعَیْنِ/بِٱلۡعَيۡنِ/bil-'ayni//وَ الْاَنْفَ/وَٱلۡأَنفَ/wal-anfa//بِالْاَنْفِ/بِٱلۡأَنفِ/bil-anfi//وَ الْاُذُنَ/وَٱلۡأُذُنَ/wal-udhuna//بِالْاُذُنِ/بِٱلۡأُذُنِ/bil-udhuni//وَ السِّنَّ/وَٱلسِّنَّ/wal-sina//بِالسِّنِّ ۙ/بِٱلسِّنِّ/bil-sini//وَ الْجُرُوْحَ/وَٱلۡجُرُوحَ/wal-juruha//قِصَاصٌ ؕ/قِصَاصٞۚ/qisasun//فَمَنْ/فَمَن/faman//تَصَدَّقَ/تَصَدَّقَ/tasaddaqa//بِهٖ/بِهِۦ/bihi//فَهُوَ/فَهُوَ/fahuwa//كَفَّارَةٌ/كَفَّارَةٞ/kaffaratun//لَّهٗ ؕ/لَّهُۥۚ/lahu//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَحْكُمْ/يَحۡكُم/yahkum//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "এবং বিধান দিয়েছি আমরা//উপর তাদের//মধ্যে তার  (অর্থাৎ তাওরাতে)//যে//প্রাণ//বদলে প্রাণের//ও চোখ//বদলে চোখের//ও নাক//বদলে নাকের//ও কান//বদলে কানের//ও দাঁত//বদলে দাঁতের//ও জখমগুলোর//(কিসাস)অনুরূপ জখম//তবে যে//ক্ষমা করে//দিয়ে তা (অর্থাৎ কিসাসের)//তবে তা//পাপ মোচন//জন্যে তার//এবং যে//না//বিচার করে//দিয়ে তা(যা)//অবতীর্ণ করেছেন//আল্লাহ//তবে ঐসব লোক//তারাই//সীমালঙ্ঘনকারী"
            },
            {
              "number": 715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/715.mp3"
              ],
              "text": "وَقَفَّيْنَا عَلَىٰٓ ءَاثَٰرِهِم بِعِيسَى ٱبْنِ مَرْيَمَ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلتَّوْرَىٰةِ ۖ وَءَاتَيْنَٰهُ ٱلْإِنجِيلَ فِيهِ هُدًۭى وَنُورٌۭ وَمُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلتَّوْرَىٰةِ وَهُدًۭى وَمَوْعِظَةًۭ لِّلْمُتَّقِينَ",
              "translate_bn": "আমি তাদের পেছনে মরিয়ম তনয় ঈসাকে প্রেরণ করেছি। তিনি পূর্ববর্তী গ্রন্থ তওরাতের সত্যায়নকারী ছিলেন। আমি তাঁকে ইঞ্জিল প্রদান করেছি। এতে হেদায়াত ও আলো রয়েছে। এটি পূর্ববতী গ্রন্থ তওরাতের সত্যায়ন করে পথ প্রদর্শন করে এবং এটি খোদাভীরুদের জন্যে হেদায়েত উপদেশ বানী।",
              "numberInSurah": 46,
              "juz": 6,
              "manzil": 2,
              "page": 116,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাফফাইনা ‘আলাআ-ছা-রিহিম বি‘ঈছাবনি মারইয়ামা মুসাদ্দিকাল লিমা-বাইনা ইয়াদাইহি মিনাততাওরা-তি ওয়া আ-তাইনা-হুল ইনজীলা ফিহি হুদাওঁ ওয়া নূরুওঁ ওয়া মুসাদ্দিকাললিমা-বাইনা ইয়াদাইহি মিনাততাওরা-তি ওয়া হুদাওঁ ওয়া মাও‘ইজাতাল লিল মুত্তাকীন।",
              "words_arabic": "وَ قَفَّیْنَا/وَقَفَّيۡنَا/waqaffayna//عَلٰۤی/عَلَىٰٓ/ala//اٰثَارِهِمْ/ءَاثَٰرِهِم/atharihim//بِعِیْسَی/بِعِيسَى/bi'isa//ابْنِ/ٱبۡنِ/ib'ni//مَرْیَمَ/مَرۡيَمَ/maryama//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//مِنَ/مِنَ/mina//التَّوْرٰىةِ ۪/ٱلتَّوۡرَىٰةِۖ/al-tawrati//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//الْاِنْجِیْلَ/ٱلۡإِنجِيلَ/al-injila//فِیْهِ/فِيهِ/fihi//هُدًی/هُدٗى/hudan//وَّ نُوْرٌ ۙ/وَنُورٞ/wanurun//وَّ مُصَدِّقًا/وَمُصَدِّقٗا/wamusaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//مِنَ/مِنَ/mina//التَّوْرٰىةِ/ٱلتَّوۡرَىٰةِ/al-tawrati//وَ هُدًی/وَهُدٗى/wahudan//وَّ مَوْعِظَةً/وَمَوۡعِظَةٗ/wamaw'izatan//لِّلْمُتَّقِیْنَؕ/لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এবং পিছনে পাঠিয়েছি আমরা//উপর//পদচিহ্নের তাদের//ঈসাকে//পুত্র//মারইয়ামের//সত্যায়নকারীরূপে//তার যা কিছু//মাঝে//হাতের তার//মধ্য হতে//তাওরাতের//ও আমরা দিয়েছি তাকে//ইঞ্জিল//মধ্যে তার(ছিলো)//পথনির্দেশ//ও আলো//এবং (ইঞ্জিলও) সত্যায়নকারী//তার যা কিছু//মাঝে//হাতের তার//মধ্য হতে//তওরাতের//এবং পথনির্দেশ//ও উপদেশ//জন্যে মুত্তাকীদের"
            },
            {
              "number": 716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/716.mp3"
              ],
              "text": "وَلْيَحْكُمْ أَهْلُ ٱلْإِنجِيلِ بِمَآ أَنزَلَ ٱللَّهُ فِيهِ ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَٰٓئِكَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "ইঞ্জিলের অধিকারীদের উচিত, আল্লাহ তাতে যা অবতীর্ণ করেছেন। তদানুযায়ী ফয়সালা করা। যারা আল্লাহ যা অবতীর্ণ করেছেন, তদনুযায়ী ফয়সালা করে না, তারাই পাপাচারী।",
              "numberInSurah": 47,
              "juz": 6,
              "manzil": 2,
              "page": 116,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ইয়াহকুম আহলুল ইনজীলি বিমাআনঝালাল্লা-হু ফীহি ওয়া মাল্লাম ইয়াহকুম বিমাআনঝালাল্লা-হু ফাউলাইকা হুমুলফা-ছিকূন।",
              "words_arabic": "وَ لْیَحْكُمْ/وَلۡيَحۡكُمۡ/walyahkum//اَهْلُ/أَهۡلُ/ahlu//الْاِنْجِیْلِ/ٱلۡإِنجِيلِ/al-injili//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْهِ ؕ/فِيهِۚ/fihi//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَحْكُمْ/يَحۡكُم/yahkum//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "এবং (নির্দেশ ছিলো) যেন বিচার করে//অনুসারীরা//ইঞ্জিলের//সেই অনুসারে যা//অবতীর্ণ করেছেন//আল্লাহ//মধ্যে তার//এবং যে//না//বিচার করে//তা দিয়ে যা//অবতীর্ণ করেছেন//আল্লাহ//তবে ঐসব লোক//তারা//সত্যত্যাগী"
            },
            {
              "number": 717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/717.mp3"
              ],
              "text": "وَأَنزَلْنَآ إِلَيْكَ ٱلْكِتَٰبَ بِٱلْحَقِّ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلْكِتَٰبِ وَمُهَيْمِنًا عَلَيْهِ ۖ فَٱحْكُم بَيْنَهُم بِمَآ أَنزَلَ ٱللَّهُ ۖ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ عَمَّا جَآءَكَ مِنَ ٱلْحَقِّ ۚ لِكُلٍّۢ جَعَلْنَا مِنكُمْ شِرْعَةًۭ وَمِنْهَاجًۭا ۚ وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَكُمْ أُمَّةًۭ وَٰحِدَةًۭ وَلَٰكِن لِّيَبْلُوَكُمْ فِى مَآ ءَاتَىٰكُمْ ۖ فَٱسْتَبِقُوا۟ ٱلْخَيْرَٰتِ ۚ إِلَى ٱللَّهِ مَرْجِعُكُمْ جَمِيعًۭا فَيُنَبِّئُكُم بِمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ",
              "translate_bn": "আমি আপনার প্রতি অবতীর্ণ করেছি সত্যগ্রন্থ, যা পূর্ববতী গ্রন্থ সমূহের সত্যায়নকারী এবং সেগুলোর বিষয়বস্তুর রক্ষণাবেক্ষণকারী। অতএব, আপনি তাদের পারস্পারিক ব্যাপারাদিতে আল্লাহ যা অবতীর্ণ করেছেন, তদনুযায়ী ফয়সালা করুন এবং আপনার কাছে যে সৎপথ এসেছে, তা ছেড়ে তাদের প্রবৃত্তির অনুসরণ করবেন না। আমি তোমাদের প্রত্যেককে একটি আইন ও পথ দিয়েছি। যদি আল্লাহ চাইতেন, তবে তোমাদের সবাইকে এক উম্মত করে দিতেন, কিন্তু এরূপ করেননি-যাতে তোমাদেরকে যে ধর্ম দিয়েছেন, তাতে তোমাদের পরীক্ষা নেন। অতএব, দৌড়ে কল্যাণকর বিষয়াদি অর্জন কর। তোমাদের সবাইকে আল্লাহর কাছে প্রত্যাবর্তন করতে হবে। অতঃপর তিনি অবহিত করবেন সে বিষয়, যাতে তোমরা মতবিরোধ করতে।",
              "numberInSurah": 48,
              "juz": 6,
              "manzil": 2,
              "page": 116,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনঝালনাইলাইকাল কিতা-বা বিলহাক্কি মুসাদ্দিকাল লিমা-বাইনা ইয়াদাইহি মিনাল কিতা-বি ওয়া মুহাইমিনান ‘আলাইহি ফাহকুম বাইনাহুম বিমাআনঝালাল্লা-হু ওয়ালা-তাত্তাবি‘ আহওয়াআহুম ‘আম্মা-জাআকা মিনাল হাক্কি লিকুল্লিন জা‘আলনা মিনকুম শির‘আতাওঁ ওয়া মিনহা-জাওঁ ওয়া লাও শাআল্লা-হু লাজা‘আলাকুম উম্মাতাওঁ ওয়াহিদাতাওঁ ওয়ালা-কিল লিইয়াবলুওয়াকুম ফী মা আ-তা-কুম ফাছতাবিকুল খাইরা-তি ইলাল্লা-হি মারজি‘উকুম জামী‘আন ফাইউনাব্বিউকুম বিমা-কুনতুম ফীহি তাখতালিফূন।",
              "words_arabic": "وَ اَنْزَلْنَاۤ/وَأَنزَلۡنَآ/wa-anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ مُهَیْمِنًا/وَمُهَيۡمِنًا/wamuhayminan//عَلَیْهِ/عَلَيۡهِۖ/alayhi//فَاحْكُمْ/فَٱحۡكُم/fa-uh'kum//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُۖ/al-lahu//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//اَهْوَآءَهُمْ/أَهۡوَآءَهُمۡ/ahwaahum//عَمَّا/عَمَّا/amma//جَآءَكَ/جَآءَكَ/jaaka//مِنَ/مِنَ/mina//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//لِكُلٍّ/لِكُلّٖ/likullin//جَعَلْنَا/جَعَلۡنَا/ja'alna//مِنْكُمْ/مِنكُمۡ/minkum//شِرْعَةً/شِرۡعَةٗ/shir'atan//وَّ مِنْهَاجًا ؕ/وَمِنۡهَاجٗاۚ/wamin'hajan//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَجَعَلَكُمْ/لَجَعَلَكُمۡ/laja'alakum//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//وَّ لٰكِنْ/وَلَٰكِن/walakin//لِّیَبْلُوَكُمْ/لِّيَبۡلُوَكُمۡ/liyabluwakum//فِیْ/فِي/fi//مَاۤ/مَآ/ma//اٰتٰىكُمْ/ءَاتَىٰكُمۡۖ/atakum//فَاسْتَبِقُوا/فَٱسۡتَبِقُواْ/fa-is'tabiqu//الْخَیْرٰتِ ؕ/ٱلۡخَيۡرَٰتِۚ/al-khayrati//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//جَمِیْعًا/جَمِيعٗا/jami'an//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْهِ/فِيهِ/fihi//تَخْتَلِفُوْنَۙ/تَخۡتَلِفُونَ/takhtalifuna",
              "words_bangla": "এবং (হে নাবী)অবতীর্ণ করেছি//প্রতি তোমার//কিতাব//সহকারে সত্য//সত্যায়নকারী//তার যা//মাঝে//হাতের তার//মধ্য হতে//সেই কিতাবের//ও সংরক্ষকরূপে//উপর তার//অতএব বিচার করো//মাঝে তাদের//সে অনুসারে যা//অবতীর্ণ করেছেন//আল্লাহ//এবং না//অনুসরণ করো//খেয়ালখুশির তাদের//তা ছেড়ে যা//তোমার কাছে এসেছে//থেকে//মহাসত্য (অর্থাৎ আল-কুরআন)//জন্যে প্রত্যেকের//নির্ধারণ করে দিয়েছি আমরা//মধ্য থেকে তোমাদের//(শরীয়তের) বিধান//ও কর্মপন্থা//এবং যদি//ইচ্ছে করতেন//আল্লাহ//অবশ্যই বানাতেন তোমাদের//জাতি//একটি (মাত্র)//কিন্তু (ভিন্ন ভিন্ন করেছেন)//যেন পরীক্ষা করেন তোমাদের//(তার) মধ্যে//যা//দিয়েছেন তোমাদের//তাই তোমরা প্রতিযোগিতা করো//কল্যাণসমূহের//দিকে//আল্লাহরই//প্রত্যাবর্তন হবে তোমাদের//সবারই//তখন তিনি জানিয়ে দিবেন তোমাদের//ঐ বিষয়ে যা//তোমরা ছিলে//মধ্যে তার//মতভেদ করতে"
            },
            {
              "number": 718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/718.mp3"
              ],
              "text": "وَأَنِ ٱحْكُم بَيْنَهُم بِمَآ أَنزَلَ ٱللَّهُ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ وَٱحْذَرْهُمْ أَن يَفْتِنُوكَ عَنۢ بَعْضِ مَآ أَنزَلَ ٱللَّهُ إِلَيْكَ ۖ فَإِن تَوَلَّوْا۟ فَٱعْلَمْ أَنَّمَا يُرِيدُ ٱللَّهُ أَن يُصِيبَهُم بِبَعْضِ ذُنُوبِهِمْ ۗ وَإِنَّ كَثِيرًۭا مِّنَ ٱلنَّاسِ لَفَٰسِقُونَ",
              "translate_bn": "আর আমি আদেশ করছি যে, আপনি তাদের পারস্পরিক ব্যাপারাদিতে আল্লাহ যা নাযিল করেছেন তদনুযায়ী ফয়সালা করুন; তাদের প্রবৃত্তির অনুসরণ করবেন না এবং তাদের থেকে সতর্ক থাকুন-যেন তারা আপনাকে এমন কোন নির্দেশ থেকে বিচ্যুত না করে, যা আল্লাহ আপনার প্রতি নাযিল করেছেন। অনন্তর যদি তার মুখ ফিরিয়ে নেয়, তবে জেনে নিন, আল্লাহ তাদেরকে তাদের গোনাহের কিছু শাস্তি দিতেই চেয়েছেন। মানুষের মধ্যে অনেকেই নাফরমান।",
              "numberInSurah": 49,
              "juz": 6,
              "manzil": 2,
              "page": 116,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনিহকুম বাইনাহুম বিমাআনঝালাল্লা-হু ওয়ালা তাত্তাবি‘ আহওয়াআহুম ওয়াহযারহুম আইয়াঁফতিনূকা ‘আম বা‘দিমাআনঝালাল্লাহু ইলাইকা ফাইন তাওয়াল্লাও ফা‘লাম আন্নামা-ইউরীদুল্লা-হু আইঁ ইউসীবাহুম ব্বিা‘দিযুনূবিহিম ওয়া ইন্না কাছীরাম মিনান্না-ছি লাফা-ছিকূ ন।",
              "words_arabic": "وَ اَنِ/وَأَنِ/wa-ani//احْكُمْ/ٱحۡكُم/uh'kum//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//اَهْوَآءَهُمْ/أَهۡوَآءَهُمۡ/ahwaahum//وَ احْذَرْهُمْ/وَٱحۡذَرۡهُمۡ/wa-ih'dharhum//اَنْ/أَن/an//یَّفْتِنُوْكَ/يَفۡتِنُوكَ/yaftinuka//عَنْۢ/عَنۢ/an//بَعْضِ/بَعۡضِ/ba'di//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَیْكَ ؕ/إِلَيۡكَۖ/ilayka//فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاعْلَمْ/فَٱعۡلَمۡ/fa-i'lam//اَنَّمَا/أَنَّمَا/annama//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یُّصِیْبَهُمْ/يُصِيبَهُم/yusibahum//بِبَعْضِ/بِبَعۡضِ/biba'di//ذُنُوْبِهِمْ ؕ/ذُنُوبِهِمۡۗ/dhunubihim//وَ اِنَّ/وَإِنَّ/wa-inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//لَفٰسِقُوْنَ /لَفَٰسِقُونَ/lafasiquna",
              "words_bangla": "এবং (এও নির্দেশ) যে//বিচার করো তুমি//মাঝে তাদের//তা দিয়ে যা//অবতীর্ণ করেছেন//আল্লাহ//এবং না//অনুসরণ করো//খেয়াল-খুশির তাদের//এবং তাদের সম্পর্কে সতর্ক হও//যেন (না)//তোমাকে বিপদে ফেলে (বিচ্যুত করে)//হতে//কিছু অংশ//যারা//অবতীর্ণ করেছেন//আল্লাহ//প্রতি তোমার//অতএব যদি//তারা মুখ ফিরিয়ে নেয়//তবে জেনে রাখো//মূলতঃ//চান//আল্লাহ//যে//পৌঁছাবেন তাদের(শাস্তি)//কারণে কিছু অংশের//পাপসমূহের তাদের//এবং নিশ্চয়ই//অনেকে//মধ্য হতে//মানুষের//অবশ্যই সত্যত্যাগী"
            },
            {
              "number": 719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/719.mp3"
              ],
              "text": "أَفَحُكْمَ ٱلْجَٰهِلِيَّةِ يَبْغُونَ ۚ وَمَنْ أَحْسَنُ مِنَ ٱللَّهِ حُكْمًۭا لِّقَوْمٍۢ يُوقِنُونَ",
              "translate_bn": "তারা কি জাহেলিয়াত আমলের ফয়সালা কামনা করে? আল্লাহ অপেক্ষা বিশ্বাসীদের জন্যে উত্তম ফয়সালাকারী কে?",
              "numberInSurah": 50,
              "juz": 6,
              "manzil": 2,
              "page": 116,
              "ruku": 92,
              "hizbQuarter": 46,
              "sajda": false,
              "pronunciation_bn": "আফা হুকমাল জা-হিলিইয়াতি ইয়াবগূনা ওয়া মান আহছানূমিনাল্লা-হি হুকমাল লিকাওমিইঁ ইঊকিনূন।",
              "words_arabic": "اَفَحُكْمَ/أَفَحُكۡمَ/afahuk'ma//الْجَاهِلِیَّةِ/ٱلۡجَٰهِلِيَّةِ/al-jahiliyati//یَبْغُوْنَ ؕ/يَبۡغُونَۚ/yabghuna//وَ مَنْ/وَمَنۡ/waman//اَحْسَنُ/أَحۡسَنُ/ahsanu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//حُكْمًا/حُكۡمٗا/huk'man//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّوْقِنُوْنَ۠/يُوقِنُونَ/yuqinuna",
              "words_bangla": "কি তবে বিধান//জাহিলীয়াতের//তারা চায়//এবং কে (আছে)//উত্তম//চেয়ে//আল্লাহর//বিধান দানে//(সেইসব) সম্প্রদায়ের জন্যে//(যারা) দৃঢ় বিশ্বাসী"
            },
            {
              "number": 720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/720.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلْيَهُودَ وَٱلنَّصَٰرَىٰٓ أَوْلِيَآءَ ۘ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍۢ ۚ وَمَن يَتَوَلَّهُم مِّنكُمْ فَإِنَّهُۥ مِنْهُمْ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "হে মুমিণগণ! তোমরা ইহুদী ও খ্রীষ্টানদেরকে বন্ধু হিসাবে গ্রহণ করো না। তারা একে অপরের বন্ধু। তোমাদের মধ্যে যে তাদের সাথে বন্ধুত্ব করবে, সে তাদেরই অন্তর্ভুক্ত। আল্লাহ জালেমদেরকে পথ প্রদর্শন করেন না।",
              "numberInSurah": 51,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাখিযুল ইয়াহূদা ওয়ান্নাসা-রাআওলিয়াআ ।বা‘দুহুম আওলিয়াউ বা‘দিওঁ ওয়া মাইঁ ইয়াতাওয়াল্লাহুম মিনকুম ফাইন্নাহূমিনহুম ইন্নাল্লা-হা লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوا/تَتَّخِذُواْ/tattakhidhu//الْیَهُوْدَ/ٱلۡيَهُودَ/al-yahuda//وَ النَّصٰرٰۤی/وَٱلنَّصَٰرَىٰٓ/wal-nasara//اَوْلِیَآءَ ؔۘ/أَوۡلِيَآءَۘ/awliyaa//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//وَ مَنْ/وَمَن/waman//یَّتَوَلَّهُمْ/يَتَوَلَّهُم/yatawallahum//مِّنْكُمْ/مِّنكُمۡ/minkum//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//مِنْهُمْ ؕ/مِنۡهُمۡۗ/min'hum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা গ্রহণ করো//ইয়াহুদীদেরকে//এবং খ্রিষ্টানদেরকে//বন্ধুরূপে//একে তাদের//বন্ধু//অপরের (অর্থাৎ পরস্পরে বন্ধু)//এবং যে//বন্ধু বানাবে তাদেরকে//মধ্য হতে তোমাদের//তবে নিশ্চয়ই সে//মধ্যকার তাদের(গণ্য হবে)//নিশ্চয়ই//আল্লাহ//না//সতপথ দেখান//(ঐসব)সম্প্রদায়ের//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/721.mp3"
              ],
              "text": "فَتَرَى ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ يُسَٰرِعُونَ فِيهِمْ يَقُولُونَ نَخْشَىٰٓ أَن تُصِيبَنَا دَآئِرَةٌۭ ۚ فَعَسَى ٱللَّهُ أَن يَأْتِىَ بِٱلْفَتْحِ أَوْ أَمْرٍۢ مِّنْ عِندِهِۦ فَيُصْبِحُوا۟ عَلَىٰ مَآ أَسَرُّوا۟ فِىٓ أَنفُسِهِمْ نَٰدِمِينَ",
              "translate_bn": "বস্তুতঃ যাদের অন্তরে রোগ রয়েছে, তাদেরকে আপনি দেখবেন, দৌড়ে গিয়ে তাদেরই মধ্যে প্রবেশ করে। তারা বলেঃ আমরা আশঙ্কা করি, পাছে না আমরা কোন দুর্ঘটনায় পতিত হই। অতএব, সেদিন দুরে নয়, যেদিন আল্লাহ তা’আলা বিজয় প্রকাশ করবেন অথবা নিজের পক্ষ থেকে কোন নির্দেশ দেবেন-ফলে তারা স্বীয় গোপন মনোভাবের জন্যে অনুতপ্ত হবে।",
              "numberInSurah": 52,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ফাতারাল্লাযীনা ফী কুলূবিহিম মারাদুইঁ ইউছা-রি‘ঊনা ফীহিম ইয়াকূলূনা নাখশাআন তুসীবানা-দাইরাতুন ফা‘আছাল্লা-হু আইঁ ইয়া‘তিয়া বিল ফাতহিআও আমরিম মিন ‘ইনদিহী ফাইউসবিহু‘আলা-মাআছাররূফীআনফুছিহিম না-দিমীন।",
              "words_arabic": "فَتَرَی/فَتَرَى/fatara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//یُّسَارِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِیْهِمْ/فِيهِمۡ/fihim//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//نَخْشٰۤی/نَخۡشَىٰٓ/nakhsha//اَنْ/أَن/an//تُصِیْبَنَا/تُصِيبَنَا/tusibana//دَآىِٕرَةٌ ؕ/دَآئِرَةٞۚ/dairatun//فَعَسَی/فَعَسَى/fa'asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//بِالْفَتْحِ/بِٱلۡفَتۡحِ/bil-fathi//اَوْ/أَوۡ/aw//اَمْرٍ/أَمۡرٖ/amrin//مِّنْ/مِّنۡ/min//عِنْدِهٖ/عِندِهِۦ/indihi//فَیُصْبِحُوْا/فَيُصۡبِحُواْ/fayus'bihu//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اَسَرُّوْا/أَسَرُّواْ/asarru//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//نٰدِمِیْنَؕ/نَٰدِمِينَ/nadimina",
              "words_bangla": "তাই তুমি দেখবে//যাদের//মধ্যে (আছে)//অন্তরগুলোতে তাদের//(মুনাফেকীর)রোগ//তারা দ্রুত ধাবিত হয়//মধ্যে তাদের//তারা বলে//\"ভয় করি আমরা//যে//আমাদের উপর পড়বে//কোনো ভাগ্য বিপর্যয়\"//অতঃপর হয়তো (যখন)//আল্লাহ//যে//আসবেন//নিয়ে বিজয় (তোমাদেরকে)//বা//(অন্য কিছু) বিষয়//থেকে//নিকট তাঁর//তখন তারা হবে//উপর//যা//তারা গোপন করতো (অর্থাৎ মুনাফেকী)//মধ্যে//নিজেদের তাদের (মনের)//অনুতাপকারী (হবে)"
            },
            {
              "number": 722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/722.mp3"
              ],
              "text": "وَيَقُولُ ٱلَّذِينَ ءَامَنُوٓا۟ أَهَٰٓؤُلَآءِ ٱلَّذِينَ أَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَٰنِهِمْ ۙ إِنَّهُمْ لَمَعَكُمْ ۚ حَبِطَتْ أَعْمَٰلُهُمْ فَأَصْبَحُوا۟ خَٰسِرِينَ",
              "translate_bn": "মুসলমানরা বলবেঃ এরাই কি সেসব লোক, যারা আল্লাহর নামে প্রতিজ্ঞা করত যে, আমরা তোমাদের সাথে আছি? তাদের কৃতকর্মসমূহ বিফল হয়ে গেছে, ফলে তারা ক্ষতিগ্রস্ত হয়ে আছে।",
              "numberInSurah": 53,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল্লাযীনা আ-মানূআহাউলাইল্লাযীনা আকছামূবিল্লা-হি জাহদা আইমানিহিম ইন্নাহুম লামা‘আকুম হাবিতাত আ‘মা-লুহুম ফাআসবাহূখা-ছিরীন।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَهٰۤؤُلَآءِ/أَهَـٰٓؤُلَآءِ/ahaulai//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَقْسَمُوْا/أَقۡسَمُواْ/aqsamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//جَهْدَ/جَهۡدَ/jahda//اَیْمَانِهِمْ ۙ/أَيۡمَٰنِهِمۡ/aymanihim//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَمَعَكُمْ ؕ/لَمَعَكُمۡۚ/lama'akum//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//خٰسِرِیْنَ /خَٰسِرِينَ/khasirina",
              "words_bangla": "এবং তারা বলবে//যারা//ঈমান এনেছে//\"কি এইসব লোকেরা//(তারাই) যারা//শপথ করেছিলো (বিশ্বাস করাতো)//নামে আল্লাহর//দৃঢ়ভাবে//শপথগুলোকে তাদের//নিশ্চয়ই তারা//অবশ্যই সাথে তোমাদের\"//বিনষ্ট হয়েছে//কাজগুলো তাদের//অতএব তারা হয়েছে//ক্ষতিগ্রস্ত"
            },
            {
              "number": 723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/723.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ مَن يَرْتَدَّ مِنكُمْ عَن دِينِهِۦ فَسَوْفَ يَأْتِى ٱللَّهُ بِقَوْمٍۢ يُحِبُّهُمْ وَيُحِبُّونَهُۥٓ أَذِلَّةٍ عَلَى ٱلْمُؤْمِنِينَ أَعِزَّةٍ عَلَى ٱلْكَٰفِرِينَ يُجَٰهِدُونَ فِى سَبِيلِ ٱللَّهِ وَلَا يَخَافُونَ لَوْمَةَ لَآئِمٍۢ ۚ ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ",
              "translate_bn": "হে মুমিনগণ, তোমাদের মধ্যে যে স্বীয় ধর্ম থেকে ফিরে যাবে, অচিরে আল্লাহ এমন সম্প্রদায় সৃষ্টি করবেন, যাদেরকে তিনি ভালবাসবেন এবং তারা তাঁকে ভালবাসবে। তারা মুসলমানদের প্রতি বিনয়-নম্র হবে এবং কাফেরদের প্রতি কঠোর হবে। তারা আল্লাহর পথে জেহাদ করবে এবং কোন তিরস্কারকারীর তিরস্কারে ভীত হবে না। এটি আল্লাহর অনুগ্রহ-তিনি যাকে ইচ্ছা দান করেন। আল্লাহ প্রাচুর্য দানকারী, মহাজ্ঞানী।",
              "numberInSurah": 54,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ মাইঁ ইয়ারতাদ্দা মিনকুম ‘আন দীনিহী ফাছাওফা ইয়া‘তিল্লা-হু বিকাওমিইঁ ইউহিব্বুহুম ওয়া ইউহিববূনাহূ আযিল্লাতিন ‘আলাল মু’মিনীনা আ‘ইঝঝাতিন ‘আলাল কা-ফিরীনা ইউজা-হিদূ না ফী ছাবীলিল্লা-হি ওয়ালা ইয়াখা-ফূনা লাওমাতা লাইমিন যা-লিকা ফাদলুল্লা-হি ইউ’তীহি মাইঁ ইয়াশাউ ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَنْ/مَن/man//یَّرْتَدَّ/يَرۡتَدَّ/yartadda//مِنْكُمْ/مِنكُمۡ/minkum//عَنْ/عَن/an//دِیْنِهٖ/دِينِهِۦ/dinihi//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَاْتِی/يَأۡتِي/yati//اللّٰهُ/ٱللَّهُ/al-lahu//بِقَوْمٍ/بِقَوۡمٖ/biqawmin//یُّحِبُّهُمْ/يُحِبُّهُمۡ/yuhibbuhum//وَ یُحِبُّوْنَهٗۤ ۙ/وَيُحِبُّونَهُۥٓ/wayuhibbunahu//اَذِلَّةٍ/أَذِلَّةٍ/adhillatin//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اَعِزَّةٍ/أَعِزَّةٍ/a'izzatin//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ ؗ/ٱلۡكَٰفِرِينَ/al-kafirina//یُجَاهِدُوْنَ/يُجَٰهِدُونَ/yujahiduna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//لَوْمَةَ/لَوۡمَةَ/lawmata//لَآىِٕمٍ ؕ/لَآئِمٖۚ/laimin//ذٰلِكَ/ذَٰلِكَ/dhalika//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//یُؤْتِیْهِ/يُؤۡتِيهِ/yu'tihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যে কেউ//ফিরে যাবে//মধ্য হতে তোমাদের//থেকে//তার দীন (যাক না)//এরপর শীঘ্রই//আসবেন (অর্থাৎ সৃষ্টি করবেন)//আল্লাহ//নিয়ে (এমন)সম্প্রদায়//ভালোবাসবেন তিনি যাদেরকে//এবং তারা ভালোবাসবে তাঁকে//(তারা)কোমল//উপর//মু’মিনদের//কঠোর//উপর//কাফিরদের//তারা জিহাদ করবে//মধ্যে//পথের//আল্লাহর//এবং না//তারা ভয় করবে//নিন্দার//(কোনো)নিন্দুকের//এটা//অনুগ্রহ//আল্লাহর//তিনি দেন তা//যাকে//তিনি ইচ্ছে করেন//এবং আল্লাহ//প্রাচুর্যময়//খুব অবহিত"
            },
            {
              "number": 724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/724.mp3"
              ],
              "text": "إِنَّمَا وَلِيُّكُمُ ٱللَّهُ وَرَسُولُهُۥ وَٱلَّذِينَ ءَامَنُوا۟ ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُمْ رَٰكِعُونَ",
              "translate_bn": "তোমাদের বন্ধু তো আল্লাহ তাঁর রসূল এবং মুমিনবৃন্দ-যারা নামায কায়েম করে, যাকাত দেয় এবং বিনম্র।",
              "numberInSurah": 55,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ওয়ালিইইয়ুকুমুল্লা-হুওয়ারাছূলুহূওয়াল্লাযীনা আ-মানূল্লাযীনা ইউকীমূনাসসালাতা ওয়া ইউ’তূনাঝঝাকা-তা ওয়া হুম রা-কি‘ঊন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//وَلِیُّكُمُ/وَلِيُّكُمُ/waliyyukumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقِیْمُوْنَ/يُقِيمُونَ/yuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُؤْتُوْنَ/وَيُؤۡتُونَ/wayu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ هُمْ/وَهُمۡ/wahum//رٰكِعُوْنَ /رَٰكِعُونَ/raki'una",
              "words_bangla": "প্রকৃত পক্ষে//তোমাদের বন্ধু//আল্লাহ//ও তাঁর রাসূল//ও যারা//ঈমান এনেছে (তারা)//যারা//প্রতিষ্ঠা করে//সালাত//ও প্রদান করে//যাকাত//এমতাবস্হায় যে তারা//অবনমিত (আল্লাহর কাছে)"
            },
            {
              "number": 725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/725.mp3"
              ],
              "text": "وَمَن يَتَوَلَّ ٱللَّهَ وَرَسُولَهُۥ وَٱلَّذِينَ ءَامَنُوا۟ فَإِنَّ حِزْبَ ٱللَّهِ هُمُ ٱلْغَٰلِبُونَ",
              "translate_bn": "আর যারা আল্লাহ তাঁর রসূল এবং বিশ্বাসীদেরকে বন্ধুরূপে গ্রহণ করে, তারাই আল্লাহর দল এবং তারাই বিজয়ী।",
              "numberInSurah": 56,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 93,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াতাওয়াল্লাল্লা-হা ওয়া রাছূলাহূওয়াল্লাযীনা আ-মানূফাইন্না হিঝবাল্লা-হি হুমুল গা-লিবূন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّتَوَلَّ/يَتَوَلَّ/yatawalla//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//فَاِنَّ/فَإِنَّ/fa-inna//حِزْبَ/حِزۡبَ/hiz'ba//اللّٰهِ/ٱللَّهِ/al-lahi//هُمُ/هُمُ/humu//الْغٰلِبُوْنَ۠/ٱلۡغَٰلِبُونَ/al-ghalibuna",
              "words_bangla": "এবং যে//বন্ধু বানাবে//আল্লাহকে//ও তাঁর রাসূলকে//ও (তাদেরকে) যারা//ঈমান এনেছে//তবে নিশ্চয়ই//(সেই) দল//আল্লাহর//তারাই//বিজয়ী হবে"
            },
            {
              "number": 726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/726.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَكُمْ هُزُوًۭا وَلَعِبًۭا مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ مِن قَبْلِكُمْ وَٱلْكُفَّارَ أَوْلِيَآءَ ۚ وَٱتَّقُوا۟ ٱللَّهَ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "হে মুমিনগণ, আহলে কিতাবদের মধ্য থেকে যারা তোমাদের ধর্মকে উপহাস ও খেলা মনে করে, তাদেরকে এবং অন্যান্য কাফেরকে বন্ধু রূপে গ্রহণ করো না। আল্লাহকে ভয় কর, যদি তোমরা ঈমানদার হও।",
              "numberInSurah": 57,
              "juz": 6,
              "manzil": 2,
              "page": 117,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাখিযুল্লাযীনাত্তাখাযূদীনাকুম হুঝুওয়াওঁ ওয়া লা‘ইবাম মিনাল্লাযীনা ঊতুল কিতা-বা মিন কাবলিকুম ওয়াল কুফফা-রা আওলিয়াআ ওয়াত্তাকুল্লা-হা ইন কুনতুম মু‘মিনীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوا/تَتَّخِذُواْ/tattakhidhu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//دِیْنَكُمْ/دِينَكُمۡ/dinakum//هُزُوًا/هُزُوٗا/huzuwan//وَّ لَعِبًا/وَلَعِبٗا/wala'iban//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//وَ الْكُفَّارَ/وَٱلۡكُفَّارَ/wal-kufara//اَوْلِیَآءَ ۚ/أَوۡلِيَآءَۚ/awliyaa//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা গ্রহণ করো//(তাদেরকে) যারা//গ্রহণ করেছে//দীনকে তোমাদের//বিদ্রুপরূপে//ও খেলার বস্তু হিসেবে//মধ্য হতে//(তাদের) যাদেরকে//দেয়া হয়েছিলো//কিতাব//থেকে//পূর্ব তোমাদের//এবং কাফিরদেরকেও//বন্ধুরূপে (গ্রহণ করো না)//এবং তোমরা ভয় করো//আল্লাহকে//যদি//তোমরা হও//মু’মিন"
            },
            {
              "number": 727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/727.mp3"
              ],
              "text": "وَإِذَا نَادَيْتُمْ إِلَى ٱلصَّلَوٰةِ ٱتَّخَذُوهَا هُزُوًۭا وَلَعِبًۭا ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌۭ لَّا يَعْقِلُونَ",
              "translate_bn": "আর যখন তোমরা নামাযের জন্যে আহবান কর, তখন তারা একে উপহাস ও খেলা বলে মনে করে। কারণ, তারা নিবোর্ধ।",
              "numberInSurah": 58,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-না-দাইতুম ইলাস সালা-তিত তাখাযূহা-হুঝুওয়াওঁ ওয়া লা‘ইবান যা-লিকা বিআন্নাহুম কাওমুল লা-ইয়া‘কিলূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//نَادَیْتُمْ/نَادَيۡتُمۡ/nadaytum//اِلَی/إِلَى/ila//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//اتَّخَذُوْهَا/ٱتَّخَذُوهَا/ittakhadhuha//هُزُوًا/هُزُوٗا/huzuwan//وَّ لَعِبًا ؕ/وَلَعِبٗاۚ/wala'iban//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং যখন//ডাকা হয় তোমাদেরকে//দিকে//সালাতের//তারা গ্রহণ করে তা//বিদ্রুপ (রূপে)//ও খেলা হিসেবে//এটা//এ কারণে যে তারা//(এমন)সম্প্রদায়//(যারা) না//বিচার বিবেচনা করে"
            },
            {
              "number": 728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/728.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ هَلْ تَنقِمُونَ مِنَّآ إِلَّآ أَنْ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْنَا وَمَآ أُنزِلَ مِن قَبْلُ وَأَنَّ أَكْثَرَكُمْ فَٰسِقُونَ",
              "translate_bn": "বলুনঃ হে আহলে কিতাবগণ, আমাদের সাথে তোমাদের এছাড়া কি শত্রুতা যে, আমরা বিশ্বাস স্থাপন করেছি আল্লাহর প্রতি, আমাদের উপর অবতীর্ণ গ্রন্থের প্রতি এবং পূর্বে অবতীর্ণ গ্রন্থের প্রতি। আর তোমাদের অধিকাংশই নাফরমান।",
              "numberInSurah": 59,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআহলাল কিতা-বি হাল তানকিমূনা মিন্নাইল্লা আন আ-মান্না-বিল্লা-হি ওয়ামাউনঝিলা ইলাইনা-ওয়ামা উনঝিলা মিন কাবলু ওয়া আন্না আকছারাকুম ফাছিকূ ন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//هَلْ/هَلۡ/hal//تَنْقِمُوْنَ/تَنقِمُونَ/tanqimuna//مِنَّاۤ/مِنَّآ/minna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَنۡ/an//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْنَا/إِلَيۡنَا/ilayna//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//مِنْ/مِن/min//قَبْلُ ۙ/قَبۡلُ/qablu//وَ اَنَّ/وَأَنَّ/wa-anna//اَكْثَرَكُمْ/أَكۡثَرَكُمۡ/aktharakum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "বলো//\"হে অধিকারীরা//কিতাবের//কি//তোমরা প্রতিশোধ নিচ্ছো//থেকে আমাদের//এ ছাড়া (অন্য কিছুর)//যে//ঈমান এনেছি আমরা//উপর আল্লাহর//এবং যা//অবতীর্ণ করা হয়েছে//প্রতি আমাদের//এবং যা//অবতীর্ণ করা হয়েছে//থেকে//পূর্ব//আর(মূল কথা হলো)যে//অধিকাংশ তোমাদের//সত্যত্যাগী\""
            },
            {
              "number": 729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/729.mp3"
              ],
              "text": "قُلْ هَلْ أُنَبِّئُكُم بِشَرٍّۢ مِّن ذَٰلِكَ مَثُوبَةً عِندَ ٱللَّهِ ۚ مَن لَّعَنَهُ ٱللَّهُ وَغَضِبَ عَلَيْهِ وَجَعَلَ مِنْهُمُ ٱلْقِرَدَةَ وَٱلْخَنَازِيرَ وَعَبَدَ ٱلطَّٰغُوتَ ۚ أُو۟لَٰٓئِكَ شَرٌّۭ مَّكَانًۭا وَأَضَلُّ عَن سَوَآءِ ٱلسَّبِيلِ",
              "translate_bn": "বলুনঃ আমি তোমাদেরকে বলি, তাদের মধ্যে কার মন্দ প্রতিফল রয়েছে আল্লাহর কাছে? যাদের প্রতি আল্লাহ অভিসম্পাত করেছেন, যাদের প্রতি তিনি ক্রোধাম্বিত হয়েছেন, যাদের কতককে বানর ও শুকরে রূপান্তরিত করে দিয়েছেন এবং যারা শয়তানের আরাধনা করেছে, তারাই মর্যাদার দিক দিয়ে নিকৃষ্টতর এবং সত্যপথ থেকেও অনেক দূরে।",
              "numberInSurah": 60,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "কুল হাল উনাব্বিউকুম বিশাররিম মিন যা-লিকা মাছূবাতান ইনদাল্লা-হি মাল্লা‘আনাহুল্লাহু ওয়া গাদিবা ‘আলাইহি ওয়াজা‘আলা মিনহুমুল কিরাদাতা ওয়াল খানা-ঝীরা ওয়া ‘আবাদাততা-গূতা উলাইকা শাররুম মাকা-নাওঁ ওয়া আদাল্লু‘আন ছাওয়াইছছাবীল।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//اُنَبِّئُكُمْ/أُنَبِّئُكُم/unabbi-ukum//بِشَرٍّ/بِشَرّٖ/bisharrin//مِّنْ/مِّن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//مَثُوْبَةً/مَثُوبَةً/mathubatan//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//مَنْ/مَن/man//لَّعَنَهُ/لَّعَنَهُ/la'anahu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ غَضِبَ/وَغَضِبَ/waghadiba//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ جَعَلَ/وَجَعَلَ/waja'ala//مِنْهُمُ/مِنۡهُمُ/min'humu//الْقِرَدَةَ/ٱلۡقِرَدَةَ/al-qiradata//وَ الْخَنَازِیْرَ/وَٱلۡخَنَازِيرَ/wal-khanazira//وَ عَبَدَ/وَعَبَدَ/wa'abada//الطَّاغُوْتَ ؕ/ٱلطَّـٰغُوتَۚ/al-taghuta//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//شَرٌّ/شَرّٞ/sharrun//مَّكَانًا/مَّكَانٗا/makanan//وَّ اَضَلُّ/وَأَضَلُّ/wa-adallu//عَنْ/عَن/an//سَوَآءِ/سَوَآءِ/sawai//السَّبِیْلِ /ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "বলো//\"কি//সংবাদ দিবো তোমাদের//ব্যাপারে নিকৃষ্টের//চেয়েও//এর//পরিণতির দিক দিয়ে//কাছে//আল্লাহর//(সে ঐলোক) যে//অভিশাপ দিয়েছেন তাকে//আল্লাহ//ও রাগ হয়েছেন//উপর তার//ও বানিয়েছেন//মধ্য হতে কাউকে তাদের//বানর//ও শুকর//ও সে উপাসনা করেছে//অসত্য দেবতার//ঐসব লোক//নিকৃষ্ট//মর্যাদায়//ও অধিক পথভ্রষ্ট//হতে//সরল সোজা//পথ\""
            },
            {
              "number": 730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/730.mp3"
              ],
              "text": "وَإِذَا جَآءُوكُمْ قَالُوٓا۟ ءَامَنَّا وَقَد دَّخَلُوا۟ بِٱلْكُفْرِ وَهُمْ قَدْ خَرَجُوا۟ بِهِۦ ۚ وَٱللَّهُ أَعْلَمُ بِمَا كَانُوا۟ يَكْتُمُونَ",
              "translate_bn": "যখন তারা তোমাদের কাছে আসে তখন বলে দাওঃ আমরা বিশ্বাস স্থাপন করেছি। অথচ তারা কুফর নিয়ে এসেছিল এবং কুফর নিয়েই প্রস্থান করেছে। তারা যা গোপন করত, আল্লাহ তা খুব জানেন।",
              "numberInSurah": 61,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা- জাঊকুম কা-লূআ-মান্না-ওয়া কাদ দাখালূবিলকুফরি ওয়া হুম কাদ খারাজু বিহী ওয়াল্লা-হু আ‘লামূবিমা-কা-নূইয়াকতুমূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//جَآءُوْكُمْ/جَآءُوكُمۡ/jaukum//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//وَ قَدْ/وَقَد/waqad//دَّخَلُوْا/دَّخَلُواْ/dakhalu//بِالْكُفْرِ/بِٱلۡكُفۡرِ/bil-kuf'ri//وَ هُمْ/وَهُمۡ/wahum//قَدْ/قَدۡ/qad//خَرَجُوْا/خَرَجُواْ/kharaju//بِهٖ ؕ/بِهِۦۚ/bihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْتُمُوْنَ /يَكۡتُمُونَ/yaktumuna",
              "words_bangla": "এবং যখন//কাছে আসে তোমাদের//তারা বলে//\"ঈমান এনেছি আমরা\"//এবং নিশ্চয়ই//তারা প্রবেশ করেছে//নিয়ে অবিশ্বাস//এবং তারা//নিশ্চয়ই//বের হয়েছে//নিয়ে তা//এবং আল্লাহ//খুব জানেন//ঐ বিষয়ে যা//তারা ছিলো//তারা গোপন করে (মনের মধ্যে)"
            },
            {
              "number": 731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/731.mp3"
              ],
              "text": "وَتَرَىٰ كَثِيرًۭا مِّنْهُمْ يُسَٰرِعُونَ فِى ٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَأَكْلِهِمُ ٱلسُّحْتَ ۚ لَبِئْسَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর আপনি তাদের অনেককে দেখবেন যে, দৌড়ে দৌড়ে পাপে, সীমালঙ্ঘনে এবং হারাম ভক্ষনে পতিত হয়। তারা অত্যন্ত মন্দ কাজ করছে।",
              "numberInSurah": 62,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারা-কাছীরাম মিনহুম ইউছা-রি‘উনা ফিল ইছমি ওয়াল ‘উদওয়া-নি ওয়া আকলিহিমুছছুহতা লাবি’ছা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ تَرٰی/وَتَرَىٰ/watara//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یُسَارِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِی/فِي/fi//الْاِثْمِ/ٱلۡإِثۡمِ/al-ith'mi//وَ الْعُدْوَانِ/وَٱلۡعُدۡوَٰنِ/wal-'ud'wani//وَ اَكْلِهِمُ/وَأَكۡلِهِمُ/wa-aklihimu//السُّحْتَ ؕ/ٱلسُّحۡتَۚ/al-suh'ta//لَبِئْسَ/لَبِئۡسَ/labi'sa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং তুমি দেখবে//অনেক (লোককে)//মধ্য থেকে তাদের//তারা দ্রুত ধাবিত হয়//মধ্যে//পাপের//ও সীমালঙ্ঘনে//ও তাদের খাওয়া//অবৈধ(অতি তৎপর)//অবশ্যই নিকৃষ্ট//যা//তারা ছিলো//তারা কাজ করে এসেছে"
            },
            {
              "number": 732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/732.mp3"
              ],
              "text": "لَوْلَا يَنْهَىٰهُمُ ٱلرَّبَّٰنِيُّونَ وَٱلْأَحْبَارُ عَن قَوْلِهِمُ ٱلْإِثْمَ وَأَكْلِهِمُ ٱلسُّحْتَ ۚ لَبِئْسَ مَا كَانُوا۟ يَصْنَعُونَ",
              "translate_bn": "দরবেশ ও আলেমরা কেন তাদেরকে পাপ কথা বলতে এবং হারাম ভক্ষণ করতে নিষেধ করে না? তারা খুবই মন্দ কাজ করছে।",
              "numberInSurah": 63,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "লাওলা-ইয়ানহা-হুমুর রাব্বা-নিইয়ূনা ওয়াল আহবা-রু ‘আন কাওলিহিমুল ইছমা ওয়া আকলিহিমুছছুহতা লাবি’ছা মা-কা-নূইয়াসনা‘ঊন।",
              "words_arabic": "لَوْ لَا/لَوۡلَا/lawla//یَنْهٰىهُمُ/يَنۡهَىٰهُمُ/yanhahumu//الرَّبّٰنِیُّوْنَ/ٱلرَّبَّـٰنِيُّونَ/al-rabaniyuna//وَ الْاَحْبَارُ/وَٱلۡأَحۡبَارُ/wal-ahbaru//عَنْ/عَن/an//قَوْلِهِمُ/قَوۡلِهِمُ/qawlihimu//الْاِثْمَ/ٱلۡإِثۡمَ/al-ith'ma//وَ اَكْلِهِمُ/وَأَكۡلِهِمُ/wa-aklihimu//السُّحْتَ ؕ/ٱلسُّحۡتَۚ/al-suh'ta//لَبِئْسَ/لَبِئۡسَ/labi'sa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَصْنَعُوْنَ /يَصۡنَعُونَ/yasna'una",
              "words_bangla": "কেন না//নিষেধ করে তাদের//রব্বানি//ও পন্ডিতগণ (তাদের মধ্যকার)//হতে//কথা তাদের (বলা)//পাপের//ও তাদের খাওয়া (হতে)//অবৈধ//অবশ্যই নিকৃষ্ট//যা//তারা ছিলো//তারা রচনা করে এসেছে"
            },
            {
              "number": 733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/733.mp3"
              ],
              "text": "وَقَالَتِ ٱلْيَهُودُ يَدُ ٱللَّهِ مَغْلُولَةٌ ۚ غُلَّتْ أَيْدِيهِمْ وَلُعِنُوا۟ بِمَا قَالُوا۟ ۘ بَلْ يَدَاهُ مَبْسُوطَتَانِ يُنفِقُ كَيْفَ يَشَآءُ ۚ وَلَيَزِيدَنَّ كَثِيرًۭا مِّنْهُم مَّآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ طُغْيَٰنًۭا وَكُفْرًۭا ۚ وَأَلْقَيْنَا بَيْنَهُمُ ٱلْعَدَٰوَةَ وَٱلْبَغْضَآءَ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ ۚ كُلَّمَآ أَوْقَدُوا۟ نَارًۭا لِّلْحَرْبِ أَطْفَأَهَا ٱللَّهُ ۚ وَيَسْعَوْنَ فِى ٱلْأَرْضِ فَسَادًۭا ۚ وَٱللَّهُ لَا يُحِبُّ ٱلْمُفْسِدِينَ",
              "translate_bn": "আর ইহুদীরা বলেঃ আল্লাহর হাত বন্ধ হয়ে গেছে। তাদেরই হাত বন্ধ হোক। একথা বলার জন্যে তাদের প্রতি অভিসম্পাত। বরং তাঁর উভয় হস্ত উম্মুক্ত। তিনি যেরূপ ইচ্ছা ব্যয় করেন। আপনার প্রতি পলনকর্তার পক্ষ থেকে যে কালাম অবর্তীণ হয়েছে, তার কারণে তাদের অনেকের অবাধ্যতা ও কুফর পরিবর্ধিত হবে। আমি তাদের পরস্পরের মধ্যে কেয়ামত পর্যন্ত শত্রুতা ও বিদ্বেষ সঞ্চারিত করে দিয়েছি। তারা যখনই যুদ্ধের আগুন প্রজ্জ?482;িত করে, আল্লাহ তা নির্বাপিত করে দেন। তারা দেশে অশান্তি উৎপাদন করে বেড়ায়। আল্লাহ অশান্তি ও বিশৃঙ্খলা সৃষ্টিকারীদেরকে পছন্দ করেন না।",
              "numberInSurah": 64,
              "juz": 6,
              "manzil": 2,
              "page": 118,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লাতিল ইয়াহূদুইয়াদুল্লা-হি মাগলূলাতুন গুল্লাত আইদীহিম ওয়া লু‘ইনূবিমা-কালূ । বাল ইয়াদা-হু মাবছূতাতা-নি ইউনফিকুকাইফা ইয়াশাউ ওয়ালাইয়াঝীদান্না কাছীরাম মিনহুম মাউনঝিলা ইলাইকা মির রাব্বিকা তুগইয়া-নাওঁ ওয়াকুফরাওঁ ওয়া আলকাইনা-বাইনাহুমুল ‘আদা-ওয়াতা ওয়াল বাগদাআ ইলাইয়াওমিল কিয়া-মাতি কুল্লামাআওকাদূনা-রাল লিলহারবি আতফাআহাল্লা-হু ওয়া ইয়াছ‘আওনা ফিল আরদিফাছা-দাওঁ ওয়াল্লা-হু লা-ইউহিব্বুল মুফছিদীন।",
              "words_arabic": "وَ قَالَتِ/وَقَالَتِ/waqalati//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//یَدُ/يَدُ/yadu//اللّٰهِ/ٱللَّهِ/al-lahi//مَغْلُوْلَةٌ ؕ/مَغۡلُولَةٌۚ/maghlulatun//غُلَّتْ/غُلَّتۡ/ghullat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ لُعِنُوْا/وَلُعِنُواْ/walu'inu//بِمَا/بِمَا/bima//قَالُوْا ۘ/قَالُواْۘ/qalu//بَلْ/بَلۡ/bal//یَدٰهُ/يَدَاهُ/yadahu//مَبْسُوْطَتٰنِ ۙ/مَبۡسُوطَتَانِ/mabsutatani//یُنْفِقُ/يُنفِقُ/yunfiqu//كَیْفَ/كَيۡفَ/kayfa//یَشَآءُ ؕ/يَشَآءُۚ/yashau//وَ لَیَزِیْدَنَّ/وَلَيَزِيدَنَّ/walayazidanna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّاۤ/مَّآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//طُغْیَانًا/طُغۡيَٰنٗا/tugh'yanan//وَّ كُفْرًا ؕ/وَكُفۡرٗاۚ/wakuf'ran//وَ اَلْقَیْنَا/وَأَلۡقَيۡنَا/wa-alqayna//بَیْنَهُمُ/بَيۡنَهُمُ/baynahumu//الْعَدَاوَةَ/ٱلۡعَدَٰوَةَ/al-'adawata//وَ الْبَغْضَآءَ/وَٱلۡبَغۡضَآءَ/wal-baghdaa//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//كُلَّمَاۤ/كُلَّمَآ/kullama//اَوْقَدُوْا/أَوۡقَدُواْ/awqadu//نَارًا/نَارٗا/naran//لِّلْحَرْبِ/لِّلۡحَرۡبِ/lil'harbi//اَطْفَاَهَا/أَطۡفَأَهَا/atfa-aha//اللّٰهُ ۙ/ٱللَّهُۚ/al-lahu//وَ یَسْعَوْنَ/وَيَسۡعَوۡنَ/wayas'awna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَسَادًا ؕ/فَسَادٗاۚ/fasadan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এবং বলে//ইয়াহুদীরা//হাত//আল্লাহর//অবরুদ্ধ\"//প্রকৃতপক্ষে অবরুদ্ধ হয়েছে//হাতগুলো তাদের (অর্থাৎ ইয়াহুদীদের)//ও তারা অভিশপ্ত হয়েছে//এ কারণে যা//তারা বলেছে//বরং//দু'হাত তাঁর//প্রসারিত//ব্যয় করেন তিনি//যেভাবে//ইচ্ছা করেন তিনি//এবং অবশ্যই বৃদ্ধি করবে//অনেককে//মধ্য থেকে তাদের//(তা) যা//অবতীর্ণ করা হয়েছে//প্রতি তোমার//পক্ষ হতে//তোমার রবের//সীমালংঘন//ও অবিশ্বাস//এবং সঞ্চারিত করেছি আমরা//মাঝে তাদের//শত্রুতা//ও বিদ্বেষ//পর্যন্ত//দিন//ক্বিয়ামাতের//যখনই//তারা জ্বালিয়েছে//আগুন//জন্যে যুদ্ধের//নিভিয়ে দিয়েছেন তা//আল্লাহ//এবং তারা চেষ্টা করে//মধ্যে//পৃথিবীর//বিপর্যয়ের//এবং আল্লাহ//না//পছন্দ করেন//বিপর্যয় সৃষ্টিকারীদের"
            },
            {
              "number": 734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/734.mp3"
              ],
              "text": "وَلَوْ أَنَّ أَهْلَ ٱلْكِتَٰبِ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَكَفَّرْنَا عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَأَدْخَلْنَٰهُمْ جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "আর যদি আহলে-কিতাবরা বিশ্বাস স্থাপন করত এবং খোদাভীতি অবলম্বন করত, তবে আমি তাদের মন্দ বিষয়সমূহ ক্ষমা করে দিতাম এবং তাদেরকে নেয়ামতের উদ্যানসমূহে প্রবিষ্ট করতাম।",
              "numberInSurah": 65,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্না আহলাল কিতা-বি আ-মানূওয়াত্তাকাও লাকাফফারনা-‘আনহুম ছাইয়িআতিহিম ওয়ালা আদখালনা-হুম জান্না-তিন না‘ঈম।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّ/أَنَّ/anna//اَهْلَ/أَهۡلَ/ahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ اتَّقَوْا/وَٱتَّقَوۡاْ/wa-ittaqaw//لَكَفَّرْنَا/لَكَفَّرۡنَا/lakaffarna//عَنْهُمْ/عَنۡهُمۡ/anhum//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//وَ لَاَدْخَلْنٰهُمْ/وَلَأَدۡخَلۡنَٰهُمۡ/wala-adkhalnahum//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِ /ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "এবং যদি//(এমন হতো) যে//অধিকারীরা//কিতাবের//ঈমান আনতো//এবং তারা ভয় করতো//অবশ্যই আমরা মুছে দিতাম//থেকে তাদের//দোষগুলো তাদের//এবং অবশ্যই আমরা প্রবেশ করাতাম তাদের//জান্নাতে//সুখকর"
            },
            {
              "number": 735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/735.mp3"
              ],
              "text": "وَلَوْ أَنَّهُمْ أَقَامُوا۟ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ وَمَآ أُنزِلَ إِلَيْهِم مِّن رَّبِّهِمْ لَأَكَلُوا۟ مِن فَوْقِهِمْ وَمِن تَحْتِ أَرْجُلِهِم ۚ مِّنْهُمْ أُمَّةٌۭ مُّقْتَصِدَةٌۭ ۖ وَكَثِيرٌۭ مِّنْهُمْ سَآءَ مَا يَعْمَلُونَ",
              "translate_bn": "যদি তারা তওরাত, ইঞ্জিল এবং যা প্রতিপালকের পক্ষ থেকে তাদের প্রতি অবতীর্ণ হয়েছে, পুরোপুরি পালন করত, তবে তারা উপর থেকে এবং পায়ের নীচ থেকে ভক্ষণ করত। তাদের কিছুসংখ্যক লোক সৎপথের অনুগামী এবং অনেকেই মন্দ কাজ করে যাচ্ছে।",
              "numberInSurah": 66,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 94,
              "hizbQuarter": 47,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্নাহুম আকা-মুত তাওরা-তা ওয়াল ইনজিলা ওয়ামাউনঝিলা ইলাইহিম মির রাব্বিহিম লাআকালূমিন ফাওকিহিম ওয়া মিন তাহতি আরজুলিহিম মিনহুম উম্মাতুম মুকতাসিদাতুওঁ ওয়াকাছিরুম মিনহুম ছাআ মা-ইয়া‘মালূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//اَقَامُوا/أَقَامُواْ/aqamu//التَّوْرٰىةَ/ٱلتَّوۡرَىٰةَ/al-tawrata//وَ الْاِنْجِیْلَ/وَٱلۡإِنجِيلَ/wal-injila//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْهِمْ/إِلَيۡهِم/ilayhim//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//لَاَكَلُوْا/لَأَكَلُواْ/la-akalu//مِنْ/مِن/min//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//وَ مِنْ/وَمِن/wamin//تَحْتِ/تَحۡتِ/tahti//اَرْجُلِهِمْ ؕ/أَرۡجُلِهِمۚ/arjulihim//مِنْهُمْ/مِّنۡهُمۡ/min'hum//اُمَّةٌ/أُمَّةٞ/ummatun//مُّقْتَصِدَةٌ ؕ/مُّقۡتَصِدَةٞۖ/muq'tasidatun//وَ كَثِیْرٌ/وَكَثِيرٞ/wakathirun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَعْمَلُوْنَ۠/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং যদি//যে তারা//প্রতিষ্ঠা করতো//তাওরাত//ও ইনজীল//এবং যা//অবতীর্ণ করা হয়েছে//প্রতি তাদের//পক্ষ হতে//তাদের রবের//অবশ্যই তারা খাবার পেতো//থেকে//উপর তাদের//ও থেকে//নিচ//পায়ের তাদের//মধ্য থেকে তাদের//একদল (আছে)//সত্যপন্থী//কিন্তু অধিকাংশই//মধ্য থেকে তাদের//নিকৃষ্ট//যা//তারা কাজ করছে"
            },
            {
              "number": 736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/736.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلرَّسُولُ بَلِّغْ مَآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ۖ وَإِن لَّمْ تَفْعَلْ فَمَا بَلَّغْتَ رِسَالَتَهُۥ ۚ وَٱللَّهُ يَعْصِمُكَ مِنَ ٱلنَّاسِ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَٰفِرِينَ",
              "translate_bn": "হে রসূল, পৌছে দিন আপনার প্রতিপালকের পক্ষ থেকে আপনার প্রতি যা অবতীর্ণ হয়েছে। আর যদি আপনি এরূপ না করেন, তবে আপনি তাঁর পয়গাম কিছুই পৌছালেন না। আল্লাহ আপনাকে মানুষের কাছ থেকে রক্ষা করবেন। নিশ্চয় আল্লাহ কাফেরদেরকে পথ প্রদর্শন করেন না।",
              "numberInSurah": 67,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহার রাছূলুবালিলগ মা উনযিলা ইলাইকা মির রাব্বিকা ওয়া ইল্লাম তাফ‘আল ফামা-বাল্লাগতা রিছা-লাতাহূ ওয়াল্লা-হু ইয়া‘সিমুকা মিনান্না-ছি ইন্নাল্লা-হা লাইয়াহদিল কাওমাল কা-ফিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//بَلِّغْ/بَلِّغۡ/balligh//مَاۤ/مَآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ ؕ/رَّبِّكَۖ/rabbika//وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//تَفْعَلْ/تَفۡعَلۡ/taf 'al//فَمَا/فَمَا/fama//بَلَّغْتَ/بَلَّغۡتَ/ballaghta//رِسَالَتَهٗ ؕ/رِسَالَتَهُۥۚ/risalatahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْصِمُكَ/يَعۡصِمُكَ/ya'simuka//مِنَ/مِنَ/mina//النَّاسِ ؕ/ٱلنَّاسِۗ/al-nasi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "হে//রাসূল//প্রচার করো//যা//অবতীর্ণ করা হয়েছে//প্রতি তোমার//পক্ষ হতে//তোমার রবের//এবং যদি//না//তুমি করো//তবে না//তুমি প্রচার করলে//বার্তা তাঁর//এবং আল্লাহ//তোমাকে রক্ষা করবেন//থেকে//মানুষের//নিশ্চয়ই//আল্লাহ//না//পথ দেখান//সম্প্রদায়কে//কাফিরদের"
            },
            {
              "number": 737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/737.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ لَسْتُمْ عَلَىٰ شَىْءٍ حَتَّىٰ تُقِيمُوا۟ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ وَمَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُمْ ۗ وَلَيَزِيدَنَّ كَثِيرًۭا مِّنْهُم مَّآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ طُغْيَٰنًۭا وَكُفْرًۭا ۖ فَلَا تَأْسَ عَلَى ٱلْقَوْمِ ٱلْكَٰفِرِينَ",
              "translate_bn": "বলে দিনঃ হে আহলে কিতাবগণ, তোমরা কোন পথেই নও, যে পর্যন্ত না তোমরা তওরাত, ইঞ্জিল এবং যে গ্রন্থ তোমাদের পালনকর্তার পক্ষ থেকে তোমাদের প্রতি অবতীর্ণ হয়েছে তাও পুরোপুরি পালন না কর। আপনার পালনকর্তার কাছ থেকে আপনার প্রতি যা অবর্তীণ হয়েছে, তার কারণে তাদের অনেকের অবাধ্যতা ও কুফর বৃদ্ধি পাবে। অতএব, এ কাফের সম্প্রদায়ের জন্যে দুঃখ করবেন না।",
              "numberInSurah": 68,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআহলাল কিতা-বি লাছতুম ‘আলা-শাইয়িন হাত্তা-তুকীমুত তাওরা-তা ওয়াল ইনজীলা ওয়ামাউনঝিলা ইলাইকুম মির রাব্বিকুম ওয়ালাইয়াঝীদান্না কাছীরাম মিনহুম মাউনঝিলা ইলাইকা মির রাব্বিকা তুগইয়া-নাওঁ ওয়া কুফরান ফালা-তা’ছা ‘আলাল কাওমিল কা-ফিরীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَسْتُمْ/لَسۡتُمۡ/lastum//عَلٰی/عَلَىٰ/ala//شَیْءٍ/شَيۡءٍ/shayin//حَتّٰی/حَتَّىٰ/hatta//تُقِیْمُوا/تُقِيمُواْ/tuqimu//التَّوْرٰىةَ/ٱلتَّوۡرَىٰةَ/al-tawrata//وَ الْاِنْجِیْلَ/وَٱلۡإِنجِيلَ/wal-injila//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مِّنْ/مِّن/min//رَّبِّكُمْ ؕ/رَّبِّكُمۡۗ/rabbikum//وَ لَیَزِیْدَنَّ/وَلَيَزِيدَنَّ/walayazidanna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّاۤ/مَّآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//طُغْیَانًا/طُغۡيَٰنٗا/tugh'yanan//وَّ كُفْرًا ۚ/وَكُفۡرٗاۖ/wakuf'ran//فَلَا/فَلَا/fala//تَاْسَ/تَأۡسَ/tasa//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "বল//\"হে অধিকারীরা//কিতাবের//নও তোমরা//উপর//কোনো কিছুর (দন্ডায়মান)//যতক্ষণ না//তোমরা প্রতিষ্ঠিত করো//তাওরাত//ও ইনজীল//এবং যা//অবতীর্ণ করা হয়েছে//প্রতি তোমাদের//পক্ষ হতে//তোমাদের রবের//এবং নিশ্চয়ই  বৃদ্ধি করবে//অনেক (লোককে)//মধ্য হতে তাদের//যা//অবতীর্ণ করা হয়েছে//প্রতি তোমার//পক্ষ হতে//তোমার রবের//সীমালঙ্ঘন//ও অবিশ্বাস//অতএব না//দুঃখ করো//উপর//সম্প্রদায়ের//কাফির"
            },
            {
              "number": 738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/738.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلصَّٰبِـُٔونَ وَٱلنَّصَٰرَىٰ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَعَمِلَ صَٰلِحًۭا فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "নিশ্চয় যারা মুসলমান, যারা ইহুদী, ছাবেয়ী বা খ্রীষ্টান, তাদের মধ্যে যারা বিশ্বাস স্থাপন করে আল্লাহর প্রতি, কিয়ামতের প্রতি এবং সৎকর্ম সম্পাদন করে, তাদের কোন ভয় নেই এবং তারা দুঃখিত হবে না।",
              "numberInSurah": 69,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়াল্লাযীনা হা-দূওয়াসসা-বিঊনা ওয়ান্নাসা-রা-মান আ-মানা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া ‘আমিলা সা-লিহান ফালা-খাওফুন‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَادُوْا/هَادُواْ/hadu//وَ الصّٰبِـُٔوْنَ/وَٱلصَّـٰبِـُٔونَ/wal-sabiuna//وَ النَّصٰرٰی/وَٱلنَّصَٰرَىٰ/wal-nasara//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//فَلَا/فَلَا/fala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও যারা//ইয়াহুদী হয়েছে//ও সাবরী//ও খ্রিষ্টান//যে কেউ//ঈমান আনবে//উপর আল্লাহর//ও দিনে//আখেরাতের//ও কাজ করবে//সৎ//তাহ'লে নেই//কোনো ভয়//উপর তাদের//আর না//তারা//দুশ্চিন্তা করবে"
            },
            {
              "number": 739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/739.mp3"
              ],
              "text": "لَقَدْ أَخَذْنَا مِيثَٰقَ بَنِىٓ إِسْرَٰٓءِيلَ وَأَرْسَلْنَآ إِلَيْهِمْ رُسُلًۭا ۖ كُلَّمَا جَآءَهُمْ رَسُولٌۢ بِمَا لَا تَهْوَىٰٓ أَنفُسُهُمْ فَرِيقًۭا كَذَّبُوا۟ وَفَرِيقًۭا يَقْتُلُونَ",
              "translate_bn": "আমি বনী-ইসরাঈলের কাছ থেকে অঙ্গীকার নিয়েছিলাম এবং তাদের কাছে অনেক পয়গম্বর প্রেরণ করে ছিলাম। যখনই তাদের কাছে কোন পয়গম্বর এমন নির্দেশ নিয়ে আসত যা তাদের মনে চাইত না, তখন তাদের অনেকের প্রতি তারা মিথ্যারোপ করত এবংঅনেককে হত্যা করে ফেলত।",
              "numberInSurah": 70,
              "juz": 6,
              "manzil": 2,
              "page": 119,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আখাযনা-মীছা-কা বানীইছরাঈলা ওয়া আরছালনাইলাইহিম রুছুলান কুল্লামা-জাআহুম রাছূলুম বিমা-লা-তাহওয়াআনফুছুহুম ফারীকান কাযযাবূওয়া ফারীকাইঁ ইয়াকতুলূন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِیْثَاقَ/مِيثَٰقَ/mithaqa//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//وَ اَرْسَلْنَاۤ/وَأَرۡسَلۡنَآ/wa-arsalna//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//رُسُلًا ؕ/رُسُلٗاۖ/rusulan//كُلَّمَا/كُلَّمَا/kullama//جَآءَهُمْ/جَآءَهُمۡ/jaahum//رَسُوْلٌۢ/رَسُولُۢ/rasulun//بِمَا/بِمَا/bima//لَا/لَا/la//تَهْوٰۤی/تَهۡوَىٰٓ/tahwa//اَنْفُسُهُمْ ۙ/أَنفُسُهُمۡ/anfusuhum//فَرِیْقًا/فَرِيقٗا/fariqan//كَذَّبُوْا/كَذَّبُواْ/kadhabu//وَ فَرِیْقًا/وَفَرِيقٗا/wafariqan//یَّقْتُلُوْنَۗ/يَقۡتُلُونَ/yaqtuluna",
              "words_bangla": "নিশ্চয়ই//আমরা নিয়েছিলাম//অঙ্গীকার//সন্তানদের (থেকে)//ইসরাঈলদের//ও আমরা পাঠিয়েছিলাম//প্রতি তাদের//বহু রাসূলকে//যখনই//এসেছে তাদের (কাছে)//কোনো রাসূল//(এমন কিছু) নিয়ে যা//না//কামনা করে//মন তাদের//একদলকে//মিথ্যা সাব্যস্ত করেছে তারা//ও এক দলকে//তারা হত্যা করেছে"
            },
            {
              "number": 740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/740.mp3"
              ],
              "text": "وَحَسِبُوٓا۟ أَلَّا تَكُونَ فِتْنَةٌۭ فَعَمُوا۟ وَصَمُّوا۟ ثُمَّ تَابَ ٱللَّهُ عَلَيْهِمْ ثُمَّ عَمُوا۟ وَصَمُّوا۟ كَثِيرٌۭ مِّنْهُمْ ۚ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ",
              "translate_bn": "তারা ধারণা করেছে যে, কোন অনিষ্ট হবে না। ফলে তারা আরও অন্ধ ও বধির হয়ে গেল। অতঃপর আল্লাহ তাদের তওবা কবুল করলেন। এরপরও তাদের অধিকাংশই অন্ধ ও বধির হয়ে রইল। আল্লাহ দেখেন তারা যা কিছু করে।",
              "numberInSurah": 71,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাছিবূআল্লা-তাকূনা ফিতনাতুন ফা‘আমূওয়া সাম্মূছু ম্মা তা-বাল্লা-হু ‘আলাইহিম ছু ম্মা ‘আমূওয়া সাম্মূকাছীরুম মিনহুম ওয়াল্লা-হু বাসীরুম বিমা-ইয়া‘মালূন।",
              "words_arabic": "وَ حَسِبُوْۤا/وَحَسِبُوٓاْ/wahasibu//اَلَّا/أَلَّا/alla//تَكُوْنَ/تَكُونَ/takuna//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//فَعَمُوْا/فَعَمُواْ/fa'amu//وَ صَمُّوْا/وَصَمُّواْ/wasammu//ثُمَّ/ثُمَّ/thumma//تَابَ/تَابَ/taba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ثُمَّ/ثُمَّ/thumma//عَمُوْا/عَمُواْ/amu//وَ صَمُّوْا/وَصَمُّواْ/wasammu//كَثِیْرٌ/كَثِيرٞ/kathirun//مِّنْهُمْ ؕ/مِّنۡهُمۡۚ/min'hum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِمَا/بِمَا/bima//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং তারা ধারণা করেছিলো//যে না//হবে//কোনো শাস্তি//ফলে তারা অন্ধ হলো//ও তারা বধির হলো//এরপর//ক্ষমা করলেন//আল্লাহ//উপর তাদের//এরপরও//অন্ধ হয়ে রইলো//ও বধির হয়ে রইলো//অনেক (লোক)//মধ্য হতে তাদের//এবং আল্লাহ//সর্বদ্রষ্টা//ঐ বিষয়ে যা//তারা কাজ করে"
            },
            {
              "number": 741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/741.mp3"
              ],
              "text": "لَقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ هُوَ ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ ۖ وَقَالَ ٱلْمَسِيحُ يَٰبَنِىٓ إِسْرَٰٓءِيلَ ٱعْبُدُوا۟ ٱللَّهَ رَبِّى وَرَبَّكُمْ ۖ إِنَّهُۥ مَن يُشْرِكْ بِٱللَّهِ فَقَدْ حَرَّمَ ٱللَّهُ عَلَيْهِ ٱلْجَنَّةَ وَمَأْوَىٰهُ ٱلنَّارُ ۖ وَمَا لِلظَّٰلِمِينَ مِنْ أَنصَارٍۢ",
              "translate_bn": "তারা কাফের, যারা বলে যে, মরিময়-তনয় মসীহ-ই আল্লাহ; অথচ মসীহ বলেন, হে বণী-ইসরাঈল, তোমরা আল্লাহর এবাদত কর, যিনি আমার পালন কর্তা এবং তোমাদেরও পালনকর্তা। নিশ্চয় যে ব্যক্তি আল্লাহর সাথে অংশীদার স্থির করে, আল্লাহ তার জন্যে জান্নাত হারাম করে দেন। এবং তার বাসস্থান হয় জাহান্নাম। অত্যাচারীদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 72,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কাফারাল্লাযীনা কা-লূইন্নাল্লা-হা হুওয়াল মাছীহুবনুমারইয়ামা ওয়া কা-লাল মাছীহু ইয়া-বানীইছরাঈলা‘বুদুল্লা-হা রাববী ওয়া রাব্বাকুম ইন্নাহূমাইঁ ইউশরিক বিল্লাহি ফাকাদ হাররামাল্লা-হু ‘আলাইহিল জান্নাতা ওয়া মা’ওয়াহুন্না-রু ওয়ামা-লিজ্জালিমীনা মিন আনসা-র।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//كَفَرَ/كَفَرَ/kafara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ ؕ/مَرۡيَمَۖ/maryama//وَ قَالَ/وَقَالَ/waqala//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//رَبِّیْ/رَبِّي/rabbi//وَ رَبَّكُمْ ؕ/وَرَبَّكُمۡۖ/warabbakum//اِنَّهٗ/إِنَّهُۥ/innahu//مَنْ/مَن/man//یُّشْرِكْ/يُشۡرِكۡ/yush'rik//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَقَدْ/فَقَدۡ/faqad//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِ/عَلَيۡهِ/alayhi//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ مَاْوٰىهُ/وَمَأۡوَىٰهُ/wamawahu//النَّارُ ؕ/ٱلنَّارُۖ/al-naru//وَ مَا/وَمَا/wama//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِنۡ/min//اَنْصَارٍ /أَنصَارٖ/ansarin",
              "words_bangla": "নিশ্চয়ই//অবিশ্বাস করেছে//যারা//বলেছে//\"নিশ্চয়ই//আল্লাহ//তিনি//মসীহই//পুত্র//মারইয়ামের\"//অথচ বলেছিলো//মসীহ//\"হে বনী//ইসরাঈল//তোমরা ইবাদত করো//আল্লাহর//(যিনি) আমার রব//ও তোমাদের রব\"//নিশ্চয়ই (কথা) এটা//যে কেউ//শিরক করে//সাথে আল্লাহর//তবে নিশ্চয়ই//নিষিদ্ধ করেছেন//আল্লাহ//জন্যে তার//জান্নাত//এবং আবাসস্থল তার (হবে)//আগুন//এবং নেই//জন্যে সীমালঙ্ঘনকারীদের//কোনো//সাহায্যকারী"
            },
            {
              "number": 742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/742.mp3"
              ],
              "text": "لَّقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ ثَالِثُ ثَلَٰثَةٍۢ ۘ وَمَا مِنْ إِلَٰهٍ إِلَّآ إِلَٰهٌۭ وَٰحِدٌۭ ۚ وَإِن لَّمْ يَنتَهُوا۟ عَمَّا يَقُولُونَ لَيَمَسَّنَّ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابٌ أَلِيمٌ",
              "translate_bn": "নিশ্চয় তারা কাফের, যারা বলেঃ আল্লাহ তিনের এক; অথচ এক উপাস্য ছাড়া কোন উপাস্য নেই। যদি তারা স্বীয় উক্তি থেকে নিবৃত্ত না হয়, তবে তাদের মধ্যে যারা কুফরে অটল থাকবে, তাদের উপর যন্ত্রনাদায়ক শাস্তি পতিত হবে।",
              "numberInSurah": 73,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কাফারাল্লাযীনা কা-লূইন্নাল্লা-হা ছা-লিছু ছালা-ছাহ । ওয়ামা-মিন ইলাহিন ইল্লাইলা-হুওঁ ওয়া-হিদুওঁ ওয়া ইল্লাম ইয়ানতাহূ‘আম্মা-ইয়াকূ লূনা লাইয়ামাছছান্নাল্লাযীনা কাফারূমিনহুম ‘আযা-বুন আলীম।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//كَفَرَ/كَفَرَ/kafara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//ثَالِثُ/ثَالِثُ/thalithu//ثَلٰثَةٍ ۘ/ثَلَٰثَةٖۘ/thalathatin//وَ مَا/وَمَا/wama//مِنْ/مِنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//اِلَّاۤ/إِلَّآ/illa//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ؕ/وَٰحِدٞۚ/wahidun//وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//یَنْتَهُوْا/يَنتَهُواْ/yantahu//عَمَّا/عَمَّا/amma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//لَیَمَسَّنَّ/لَيَمَسَّنَّ/layamassanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْهُمْ/مِنۡهُمۡ/min'hum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "নিশ্চয়ই//অবিশ্বাস করেছে//(তারা) যারা//বলেছে//\"নিশ্চয়ই//আল্লাহ//তৃতীয়//তিনজনের\"//অথচ (প্রকৃতপক্ষে) নেই//কোনো//ইলাহ//ছাড়া//ইলাহ//একজন (অর্থাৎ আল্লাহ)//এবং যদি//না//তারা নিবৃত্ত হয়//(তা) হতে যা//তারা বলে//অবশ্যই ধরবে//যারা//অবিশ্বাস করেছে//মধ্যে হতে তাদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/743.mp3"
              ],
              "text": "أَفَلَا يَتُوبُونَ إِلَى ٱللَّهِ وَيَسْتَغْفِرُونَهُۥ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "তারা আল্লাহর কাছে তওবা করে না কেন এবং ক্ষমা প্রার্থনা করে না কেন? আল্লাহ যে ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 74,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়াতূবূনা ইলাল্লা-হি ওয়া ইয়াছতাগফিরূনাহু ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "اَفَلَا/أَفَلَا/afala//یَتُوْبُوْنَ/يَتُوبُونَ/yatubuna//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَسْتَغْفِرُوْنَهٗ ؕ/وَيَسۡتَغۡفِرُونَهُۥۚ/wayastaghfirunahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "কি তবে না//তারা ফিরে আসবে//দিকে//আল্লাহর//ও তাঁর কাছে ক্ষমা চাইবে (না)//এবং আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/744.mp3"
              ],
              "text": "مَّا ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ إِلَّا رَسُولٌۭ قَدْ خَلَتْ مِن قَبْلِهِ ٱلرُّسُلُ وَأُمُّهُۥ صِدِّيقَةٌۭ ۖ كَانَا يَأْكُلَانِ ٱلطَّعَامَ ۗ ٱنظُرْ كَيْفَ نُبَيِّنُ لَهُمُ ٱلْءَايَٰتِ ثُمَّ ٱنظُرْ أَنَّىٰ يُؤْفَكُونَ",
              "translate_bn": "মরিয়ম-তনয় মসীহ রসূল ছাড়া আর কিছু নন। তাঁর পূর্বে অনেক রসূল অতিক্রান্ত হয়েছেন আর তার জননী একজন ওলী। তাঁরা উভয়েই খাদ্য ভক্ষণ করতেন। দেখুন, আমি তাদের জন্যে কিরূপ যুক্তি-প্রমাণ বর্ননা করি, আবার দেখুন, তারা উল্টা কোন দিকে যাচেছ।",
              "numberInSurah": 75,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "মাল মাছীহুবনুমারইয়ামা ইল্লা-রাছূলুন কাদ খালাত মিন কাবলিহিররুছুলু ওয়া উম্মুহূসিদ্দীকাতুন কা-না-ইয়া’কুলা-নিততা‘আ-মা উনজু র কাইফা নুবাইয়িনু লাহুমুল আ-য়া-তি ছুম্মানজু র আন্না-ইউ‘ফাকূন।",
              "words_arabic": "مَا/مَّا/ma//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//اِلَّا/إِلَّا/illa//رَسُوْلٌ ۚ/رَسُولٞ/rasulun//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهِ/قَبۡلِهِ/qablihi//الرُّسُلُ ؕ/ٱلرُّسُلُ/al-rusulu//وَ اُمُّهٗ/وَأُمُّهُۥ/wa-ummuhu//صِدِّیْقَةٌ ؕ/صِدِّيقَةٞۖ/siddiqatun//كَانَا/كَانَا/kana//یَاْكُلٰنِ/يَأۡكُلَانِ/yakulani//الطَّعَامَ ؕ/ٱلطَّعَامَۗ/al-ta'ama//اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//نُبَیِّنُ/نُبَيِّنُ/nubayyinu//لَهُمُ/لَهُمُ/lahumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//ثُمَّ/ثُمَّ/thumma//انْظُرْ/ٱنظُرۡ/unzur//اَنّٰی/أَنَّىٰ/anna//یُؤْفَكُوْنَ /يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "না (ছিলো)//মসীহ//পুত্র//মারইয়ামের//এ ছাড়া যে//একজন রাসূল (আল্লাহর)//নিশ্চয়ই//অতীত হয়েছে//থেকে//পূর্ব তার//(অনেক) রাসূল//এবং মা তার//সত্য নিষ্ঠা//দু'জনেই//খেতো//খাদ্য//দেখো//কিরূপে//বর্ণনা করি আমরা//জন্যে তাদের//নিদর্শনগুলো//এরপরও//দেখো//কিভাবে//তাদের ফিরিয়ে নেয়া হচ্ছে"
            },
            {
              "number": 745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/745.mp3"
              ],
              "text": "قُلْ أَتَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَمْلِكُ لَكُمْ ضَرًّۭا وَلَا نَفْعًۭا ۚ وَٱللَّهُ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "বলে দিনঃ তোমরা কি আল্লাহ ব্যতীত এমন বস্তুর এবাদত কর যে, তোমাদের অপকার বা উপকার করার ক্ষমতা রাখে না? অথচ আল্লাহ সব শুনেন ও জানেন।",
              "numberInSurah": 76,
              "juz": 6,
              "manzil": 2,
              "page": 120,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "কুল আতা‘বুদূ না মিন দূ নিল্লা-হি মা-লা-ইয়ামলিকুলাকুম দাররাওঁ ওয়ালা-নাফ‘আওঁ ওয়াল্লা-হু হুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَتَعْبُدُوْنَ/أَتَعۡبُدُونَ/ata'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَمْلِكُ/يَمۡلِكُ/yamliku//لَكُمْ/لَكُمۡ/lakum//ضَرًّا/ضَرّٗا/darran//وَّ لَا/وَلَا/wala//نَفْعًا ؕ/نَفۡعٗاۚ/naf 'an//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "বলো//\"কি তোমরা উপাসনা করো//দিয়ে//বাদ//আল্লাহকে (অন্যকিছুর)//যা//না//ক্ষমতা রাখে//জন্যে তোমাদের//কোনো ক্ষতির//এবং না//কোনো উপকারের//অথচ আল্লাহ//তিনিই//সবকিছু শুনেন//সবকিছুই জানেন"
            },
            {
              "number": 746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/746.mp3"
              ],
              "text": "قُلْ يَٰٓأَهْلَ ٱلْكِتَٰبِ لَا تَغْلُوا۟ فِى دِينِكُمْ غَيْرَ ٱلْحَقِّ وَلَا تَتَّبِعُوٓا۟ أَهْوَآءَ قَوْمٍۢ قَدْ ضَلُّوا۟ مِن قَبْلُ وَأَضَلُّوا۟ كَثِيرًۭا وَضَلُّوا۟ عَن سَوَآءِ ٱلسَّبِيلِ",
              "translate_bn": "বলুনঃ হে আহলে কিতাবগন, তোমরা স্বীয় ধর্মে অন্যায় বাড়াবাড়ি করো না এবং এতে ঐ সম্প্রদায়ের প্রবৃত্তির অনুসরণ করো না, যারা পূর্বে পথভ্রষ্ট হয়েছে এবং অনেককে পথভ্রষ্ট করেছে। তারা সরল পথ থেকে বিচ্যুত হয়ে পড়েছে।",
              "numberInSurah": 77,
              "juz": 6,
              "manzil": 2,
              "page": 121,
              "ruku": 95,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "কুলইয়াআহলাল কিতা-বি লা-তাগলূ ফী দীনিকুমগায়রালহাক্কি ওয়ালাতাত্তাবি‘ঊআহওয়াআ কাওমিন কাদ দাললূমিন কাবলুওয়া আদাললূ কাছীরাওঁ ওয়া দাললূ‘আন ছাওয়াইছছাবীল।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَا/لَا/la//تَغْلُوْا/تَغۡلُواْ/taghlu//فِیْ/فِي/fi//دِیْنِكُمْ/دِينِكُمۡ/dinikum//غَیْرَ/غَيۡرَ/ghayra//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ لَا/وَلَا/wala//تَتَّبِعُوْۤا/تَتَّبِعُوٓاْ/tattabi'u//اَهْوَآءَ/أَهۡوَآءَ/ahwaa//قَوْمٍ/قَوۡمٖ/qawmin//قَدْ/قَدۡ/qad//ضَلُّوْا/ضَلُّواْ/dallu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ اَضَلُّوْا/وَأَضَلُّواْ/wa-adallu//كَثِیْرًا/كَثِيرٗا/kathiran//وَّ ضَلُّوْا/وَضَلُّواْ/wadallu//عَنْ/عَن/an//سَوَآءِ/سَوَآءِ/sawai//السَّبِیْلِ۠/ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "বলো//\"হে অধিকারীরা//কিতাবের//না//তোমরা বাড়াবাড়ি করো//ব্যাপারে//দীনের তোমাদের//নয়//ন্যায়//এবং না//তোমরা অনুসরণ করো//খেয়ালখুশির//সম্প্রদায়ের//নিশ্চয়ই//তারা পথভ্রষ্ট হয়েছে//থেকেও//পূর্ব//ও তারা পথভ্রষ্ট করেছে//অনেককে//এবং তারা ভ্রষ্ট হয়েছে//হতে//সরল সোজা//পথ"
            },
            {
              "number": 747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/747.mp3"
              ],
              "text": "لُعِنَ ٱلَّذِينَ كَفَرُوا۟ مِنۢ بَنِىٓ إِسْرَٰٓءِيلَ عَلَىٰ لِسَانِ دَاوُۥدَ وَعِيسَى ٱبْنِ مَرْيَمَ ۚ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ",
              "translate_bn": "বনী-ইসলাঈলের মধ্যে যারা কাফের, তাদেরকে দাউদ ও মরিয়মতনয় ঈসার মুখে অভিসম্পাত করা হয়েছে। এটা একারণে যে, তারা অবাধ্যতা করত এবং সীমা লংঘন করত।",
              "numberInSurah": 78,
              "juz": 6,
              "manzil": 2,
              "page": 121,
              "ruku": 96,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "লু‘ইনাল্লাযীনা কাফারূ মিম বানীইছরাঈূলা ‘আলা-লিছা-নি দা-ঊদা ওয়া ‘ঈছাবনি মারইয়ামা যা-লিকা বিমা-‘আসাওঁ ওয়া কা-নূইয়া‘তাদূ ন।",
              "words_arabic": "لُعِنَ/لُعِنَ/lu'ina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْۢ/مِنۢ/min//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//عَلٰی/عَلَىٰ/ala//لِسَانِ/لِسَانِ/lisani//دَاوٗدَ/دَاوُۥدَ/dawuda//وَ عِیْسَی/وَعِيسَى/wa'isa//ابْنِ/ٱبۡنِ/ib'ni//مَرْیَمَ ؕ/مَرۡيَمَۚ/maryama//ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//عَصَوْا/عَصَواْ/asaw//وَّ كَانُوْا/وَّكَانُواْ/wakanu//یَعْتَدُوْنَ /يَعۡتَدُونَ/ya'taduna",
              "words_bangla": "অভিশাপ করা হয়েছে//(তাদেরকে) যারা//অবিশ্বাস করেছে//মধ্য হতে//বনী//ইসরাঈলদের//মাধ্যমে//ভাষার//দাউদের//ও ঈসার//পুত্র//মারইয়ামের//এটা//এ কারণে যে//তারা অবাধ্য হয়েছিলো//ও তারা ছিলো//তারা সীমালঙ্ঘন করতো"
            },
            {
              "number": 748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/748.mp3"
              ],
              "text": "كَانُوا۟ لَا يَتَنَاهَوْنَ عَن مُّنكَرٍۢ فَعَلُوهُ ۚ لَبِئْسَ مَا كَانُوا۟ يَفْعَلُونَ",
              "translate_bn": "তারা পরস্পরকে মন্দ কাজে নিষেধ করত না, যা তারা করত। তারা যা করত তা অবশ্যই মন্দ ছিল",
              "numberInSurah": 79,
              "juz": 6,
              "manzil": 2,
              "page": 121,
              "ruku": 96,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "কা-নূলা-ইয়াতানাহাওনা ‘আম মুনকারিন ফা‘আলূহু লাবি’ছা মা-কা-নূইয়াফ‘আলূন।",
              "words_arabic": "كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَتَنَاهَوْنَ/يَتَنَاهَوۡنَ/yatanahawna//عَنْ/عَن/an//مُّنْكَرٍ/مُّنكَرٖ/munkarin//فَعَلُوْهُ ؕ/فَعَلُوهُۚ/fa'aluhu//لَبِئْسَ/لَبِئۡسَ/labi'sa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "তারা ছিলো (এমন যে)//না//তারা পরস্পরে নিষেধ করতো//হতে//অন্যায় কাজ//তারা করতো যা//অবশ্যই নিকৃষ্ট//যা//তারা ছিলো//তারা করতে"
            },
            {
              "number": 749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/749.mp3"
              ],
              "text": "تَرَىٰ كَثِيرًۭا مِّنْهُمْ يَتَوَلَّوْنَ ٱلَّذِينَ كَفَرُوا۟ ۚ لَبِئْسَ مَا قَدَّمَتْ لَهُمْ أَنفُسُهُمْ أَن سَخِطَ ٱللَّهُ عَلَيْهِمْ وَفِى ٱلْعَذَابِ هُمْ خَٰلِدُونَ",
              "translate_bn": "আপনি তাদের অনেককে দেখবেন, কাফেরদের সাথে বন্ধুত্ব করে। তারা নিজেদের জন্য যা পাঠিয়েছে তা অবশ্যই মন্দ। তা এই যে, তাদের প্রতি আল্লাহ ক্রোধান্বিত হয়েছেন এবং তারা চিরকাল আযাবে থাকবে।",
              "numberInSurah": 80,
              "juz": 6,
              "manzil": 2,
              "page": 121,
              "ruku": 96,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "তারা-কাছীরাম মিনহুম ইয়াতাওয়াল্লাওনাল্লাযীনা কাফারূ লাবি’ছা মা-কাদ্দামাত লাহুম আনফুছুহুম আন ছাখিতাল্লা-হু ‘আলাইহিম ওয়া ফিল ‘আযা-বি হুম খা-লিদূ ন।",
              "words_arabic": "تَرٰی/تَرَىٰ/tara//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَتَوَلَّوْنَ/يَتَوَلَّوۡنَ/yatawallawna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۚ/kafaru//لَبِئْسَ/لَبِئۡسَ/labi'sa//مَا/مَا/ma//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//لَهُمْ/لَهُمۡ/lahum//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//اَنْ/أَن/an//سَخِطَ/سَخِطَ/sakhita//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ فِی/وَفِي/wafi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//هُمْ/هُمۡ/hum//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "তুমি দেখছো (আজ)//অনেককে//মধ্য হতে তাদের//তারা বন্ধুত্ব করে//(তাদের সাথে) যারা//অবিশ্বাস করেছে//অবশ্যই নিকৃষ্ট//যা//আগে পাঠিয়েছে//জন্যে তাদের//প্রবৃত্তিসমূহ তাদের//এ জন্যে//অসন্তুষ্ট হয়েছেন//আল্লাহ//উপর তাদের//এবং মধ্যে//শাস্তির//তারা//চিরস্থায়ী হবে"
            },
            {
              "number": 750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/750.mp3"
              ],
              "text": "وَلَوْ كَانُوا۟ يُؤْمِنُونَ بِٱللَّهِ وَٱلنَّبِىِّ وَمَآ أُنزِلَ إِلَيْهِ مَا ٱتَّخَذُوهُمْ أَوْلِيَآءَ وَلَٰكِنَّ كَثِيرًۭا مِّنْهُمْ فَٰسِقُونَ",
              "translate_bn": "যদি তারা আল্লাহর প্রতি ও রসূলের প্রতি অবতীর্ণ বিষয়ের প্রতি বিশ্বাস স্থাপন করত, তবে কাফেরদেরকে বন্ধুরূপে গ্রহণ করত না। কিন্তু তাদের মধ্যে অনেকেই দুরাচার।",
              "numberInSurah": 81,
              "juz": 6,
              "manzil": 2,
              "page": 121,
              "ruku": 96,
              "hizbQuarter": 48,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও কা-নূইউ’মিনূনা বিল্লা-হি ওয়ান্নাবিইয়ি ওয়ামাউনঝিলা ইলাইহি মাত্তাখাযূহুম আওলিয়াআ ওয়ালা-কিন্না কাছীরাম মিনহুম ফা-ছিকূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//كَانُوْا/كَانُواْ/kanu//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ النَّبِیِّ/وَٱلنَّبِيِّ/wal-nabiyi//وَ مَاۤ/وَمَآ/wama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَا/مَا/ma//اتَّخَذُوْهُمْ/ٱتَّخَذُوهُمۡ/ittakhadhuhum//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "এবং যদি//তারা ছিলো//তারা ঈমান আনতো//উপর আল্লাহর//ও নাবীর (উপর)//ও যা//অবতীর্ণ করা হয়েছে//প্রতি তার//(তবে) না//তারা গ্রহণ করতো তাদেরকে//বন্ধুরূপে//কিন্তু//অনেকেই//মধ্য হতে তাদের//সত্যত্যাগী"
            },
            {
              "number": 751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/751.mp3"
              ],
              "text": "۞ لَتَجِدَنَّ أَشَدَّ ٱلنَّاسِ عَدَٰوَةًۭ لِّلَّذِينَ ءَامَنُوا۟ ٱلْيَهُودَ وَٱلَّذِينَ أَشْرَكُوا۟ ۖ وَلَتَجِدَنَّ أَقْرَبَهُم مَّوَدَّةًۭ لِّلَّذِينَ ءَامَنُوا۟ ٱلَّذِينَ قَالُوٓا۟ إِنَّا نَصَٰرَىٰ ۚ ذَٰلِكَ بِأَنَّ مِنْهُمْ قِسِّيسِينَ وَرُهْبَانًۭا وَأَنَّهُمْ لَا يَسْتَكْبِرُونَ",
              "translate_bn": "আপনি সব মানুষের চাইতে মুসলমানদের অধিক শত্রু ইহুদী ও মুশরেকদেরকে পাবেন এবং আপনি সবার চাইতে মুসলমানদের সাথে বন্ধুত্বে অধিক নিকটবর্তী তাদেরকে পাবেন, যারা নিজেদেরকে খ্রীষ্টান বলে। এর কারণ এই যে, খ্রীষ্টানদের মধ্যে আলেম রয়েছে, দরবেশ রয়েছে এবং তারা অহঙ্কার করে না।",
              "numberInSurah": 82,
              "juz": 7,
              "manzil": 2,
              "page": 121,
              "ruku": 96,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "লাতাজিদান্না আশাদ্দান্না-ছি ‘আদা-ওয়াতাল লিলল্লাযীনা আ-মানুল ইয়াহূদাওয়াল্লাযীনা আশরাকূ ওয়ালাতাজিদান্না আকরাবাহুম মাওয়াদ্দাতাল লিলল্লাযীনা আ-মানুল্লাযীনা কালূইন্না-নাসা-রা- যা-লিকা বিআন্না মিনহুম কিছছীছীনা ওয়া রুহবা-নাওঁ ওয়া আন্নাহুম লা-ইয়াছতাকবিরূনা।",
              "words_arabic": "لَتَجِدَنَّ/۞لَتَجِدَنَّ/latajidanna//اَشَدَّ/أَشَدَّ/ashadda//النَّاسِ/ٱلنَّاسِ/al-nasi//عَدَاوَةً/عَدَٰوَةٗ/adawatan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوا/ءَامَنُواْ/amanu//الْیَهُوْدَ/ٱلۡيَهُودَ/al-yahuda//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اَشْرَكُوْا ۚ/أَشۡرَكُواْۖ/ashraku//وَ لَتَجِدَنَّ/وَلَتَجِدَنَّ/walatajidanna//اَقْرَبَهُمْ/أَقۡرَبَهُم/aqrabahum//مَّوَدَّةً/مَّوَدَّةٗ/mawaddatan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوا/ءَامَنُواْ/amanu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//نَصٰرٰی ؕ/نَصَٰرَىٰۚ/nasara//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//مِنْهُمْ/مِنۡهُمۡ/min'hum//قِسِّیْسِیْنَ/قِسِّيسِينَ/qissisina//وَ رُهْبَانًا/وَرُهۡبَانٗا/waruh'banan//وَّ اَنَّهُمْ/وَأَنَّهُمۡ/wa-annahum//لَا/لَا/la//یَسْتَكْبِرُوْنَ /يَسۡتَكۡبِرُونَ/yastakbiruna",
              "words_bangla": "অবশ্যই তুমি পাবে//সর্বাধিক উগ্র//মানুষের (মধ্যে)//শত্রুতায়//জন্যে তাদের(যারা)//ঈমান এনেছে//ইয়াহুদীদেরকে//ও যারা//শিরক করেছে (তাদেরকে)//এবং অবশ্যই তুমি পাবে//নিকটবর্তী তাদেরকে//বন্ধুত্বে//জন্যে তাদের(যারা)//ঈমান এনেছে//যারা//বলে//\"নিশ্চয়ই আমরা//খ্রিষ্টান\"//এটা//জন্যে যে এ//মধ্য থেকে তাদের//(অনেক) পন্ডিত(রয়েছে)//ও (আছে) সংসারবিরাগী (অনেক) ফকির//এবং (এও) যে তারা//না//অহঙ্কার করে"
            },
            {
              "number": 752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/752.mp3"
              ],
              "text": "وَإِذَا سَمِعُوا۟ مَآ أُنزِلَ إِلَى ٱلرَّسُولِ تَرَىٰٓ أَعْيُنَهُمْ تَفِيضُ مِنَ ٱلدَّمْعِ مِمَّا عَرَفُوا۟ مِنَ ٱلْحَقِّ ۖ يَقُولُونَ رَبَّنَآ ءَامَنَّا فَٱكْتُبْنَا مَعَ ٱلشَّٰهِدِينَ",
              "translate_bn": "আর তারা রসূলের প্রতি যা অবতীর্ণ হয়েছে, তা যখন শুনে, তখন আপনি তাদের চোখ অশ্রু সজল দেখতে পাবেন; এ কারণে যে, তারা সত্যকে চিনে নিয়েছে। তারা বলেঃ হে আমাদের প্রতি পালক, আমরা মুসলমান হয়ে গেলাম। অতএব, আমাদেরকেও মান্যকারীদের তালিকাভুক্ত করে নিন।",
              "numberInSurah": 83,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 96,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ছামি‘ঊ মাউনঝিলা ইলার রাছূলি তারাআ‘ইউনাহুম তাফীদুমিনাদ দাম‘ই মিম্মা‘আরাফূমিনাল হাক্কি ইয়াকূলূনা রাব্বানাআ-মান্না-ফাকতুবনা-মা‘আশশা-হিদীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//سَمِعُوْا/سَمِعُواْ/sami'u//مَاۤ/مَآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَی/إِلَى/ila//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//تَرٰۤی/تَرَىٰٓ/tara//اَعْیُنَهُمْ/أَعۡيُنَهُمۡ/a'yunahum//تَفِیْضُ/تَفِيضُ/tafidu//مِنَ/مِنَ/mina//الدَّمْعِ/ٱلدَّمۡعِ/al-dam'i//مِمَّا/مِمَّا/mimma//عَرَفُوْا/عَرَفُواْ/arafu//مِنَ/مِنَ/mina//الْحَقِّ ۚ/ٱلۡحَقِّۖ/al-haqi//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰمَنَّا/ءَامَنَّا/amanna//فَاكْتُبْنَا/فَٱكۡتُبۡنَا/fa-uk'tub'na//مَعَ/مَعَ/ma'a//الشّٰهِدِیْنَ /ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "এবং যখন//তারা শুনে//যা//অবতীর্ণ করা হয়েছে//প্রতি//রাসূলের//তুমি দেখবে//চোখগুলো তাদের//বিগলিত হচ্ছে//দ্বারা//অশ্রু//এ কারণে (যা)//তারা উপলব্ধি করেছে//বিষয়ে//মহাসত্যের//তারা বলে//\"হে আমাদের রব//আমরা ঈমান এনেছি//অতএব আমাদেরকে তালিকাভুক্ত করো//সাথে//সাক্ষীদাতাদের"
            },
            {
              "number": 753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/753.mp3"
              ],
              "text": "وَمَا لَنَا لَا نُؤْمِنُ بِٱللَّهِ وَمَا جَآءَنَا مِنَ ٱلْحَقِّ وَنَطْمَعُ أَن يُدْخِلَنَا رَبُّنَا مَعَ ٱلْقَوْمِ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমাদের কি ওযর থাকতে পারে যে, আমরা আল্লাহর প্রতি এবং যে সত্য আমাদের কাছে এসেছে, তৎপ্রতি বিশ্বাস স্থাপন করব না এবং এ আশা করবো না যে, আমদের প্রতিপালক আমাদেরকে সৎ লোকদের সাথে প্রবিষ্ট করবেন?",
              "numberInSurah": 84,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 96,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লানা-লা-নু’মিনুবিল্লা-হি ওয়ামা-জাআনা-মিনাল হাক্কি ওয়া নাতমা‘উ আইঁ ইউদখিলানা-রাব্বুনা-মা‘আল কাওমিসসা-লিহীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَنَا/لَنَا/lana//لَا/لَا/la//نُؤْمِنُ/نُؤۡمِنُ/nu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَا/وَمَا/wama//جَآءَنَا/جَآءَنَا/jaana//مِنَ/مِنَ/mina//الْحَقِّ ۙ/ٱلۡحَقِّ/al-haqi//وَ نَطْمَعُ/وَنَطۡمَعُ/wanatma'u//اَنْ/أَن/an//یُّدْخِلَنَا/يُدۡخِلَنَا/yud'khilana//رَبُّنَا/رَبُّنَا/rabbuna//مَعَ/مَعَ/ma'a//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং কি//হয়েছে আমাদের//(যে) না//ঈমান আনবো আমরা//উপর আল্লাহর//এবং যা//কাছে এসেছে আমাদের//বিষয়ে//মহাসত্যের//ও প্রত্যাশা করি আমরা//যে//অন্তর্ভুক্ত করবেন আমাদের//আমাদের রব//সাথে//সম্প্রদায়ের\"//সৎকর্মশীল\""
            },
            {
              "number": 754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/754.mp3"
              ],
              "text": "فَأَثَٰبَهُمُ ٱللَّهُ بِمَا قَالُوا۟ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ جَزَآءُ ٱلْمُحْسِنِينَ",
              "translate_bn": "অতঃপর তাদেরকে আল্লাহ এ উক্তির প্রতিদান স্বরূপ এমন উদ্যান দিবেন যার তলদেশে নির্ঝরিণীসমূহ প্রবাহিত হবে। তারা তন্মধ্যে চিরকাল অবস্থান করবে। এটাই সৎকর্মশীলদের প্রতিদান।",
              "numberInSurah": 85,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 96,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ফাআছাবাহুমুল্লা-হু বিমা-কা-লূজান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা- ওয়া যা-লিকা জাঝাউল মুহছিনীন।",
              "words_arabic": "فَاَثَابَهُمُ/فَأَثَٰبَهُمُ/fa-athabahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//قَالُوْا/قَالُواْ/qalu//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//جَزَآءُ/جَزَآءُ/jazau//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "তাই প্রতিদান দিলেন তাদের//আল্লাহ//এ কারণে যা//তারা বলেছিলো//জান্নাত//প্রবাহিত হয়//দিয়ে//নিচ তার//ঝর্ণাধারাসমূহ//চিরস্থায়ী হবে তারা//মধ্যে তার//এবং এটা//প্রতিদান//সৎকর্মপরায়ণদের"
            },
            {
              "number": 755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/755.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَحِيمِ",
              "translate_bn": "যারা কাফের হয়েছে এবং আমার নিদর্শনাবলীকে মিথ্যা বলেছে, তারাই দোযখী।",
              "numberInSurah": 86,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 96,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূওয়া কাযযাবূবিআ-য়া-তিনাউলাইকা আসহা-বুল জাহীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَحِیْمِ۠/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "কিন্তু যারা//অবিশ্বাস করেছে//ও মিথ্যারোপ করেছে//প্রতি আয়াতগুলোর আমাদের//ঐ সব লোক//অধিবাসী (হবে)//জাহান্নামের"
            },
            {
              "number": 756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/756.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُحَرِّمُوا۟ طَيِّبَٰتِ مَآ أَحَلَّ ٱللَّهُ لَكُمْ وَلَا تَعْتَدُوٓا۟ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُعْتَدِينَ",
              "translate_bn": "হে মুমিনগণ, তোমরা ঐসব সুস্বাদু বস্তু হারাম করো না, যেগুলো আল্লাহ তোমাদের জন্য হালাল করেছেন এবং সীমা অতিক্রম করো না। নিশ্চয় আল্লাহ সীমা অতিক্রমকারীদেরকে পছন্দ করেন না।",
              "numberInSurah": 87,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তুহাররিমূতাইয়িবা-তি মাআহাল্লাল্লা-হু লাকুম ওয়ালা-তা‘তাদূ ইন্নাল্লা-হা লা-ইউহিব্বুল মু‘তাদীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تُحَرِّمُوْا/تُحَرِّمُواْ/tuharrimu//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَاۤ/مَآ/ma//اَحَلَّ/أَحَلَّ/ahalla//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//وَ لَا/وَلَا/wala//تَعْتَدُوْا ؕ/تَعۡتَدُوٓاْۚ/ta'tadu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُعْتَدِیْنَ /ٱلۡمُعۡتَدِينَ/al-mu'tadina",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা নিষিদ্ধ করো//পবিত্র জিনিসসমূহকে//যা//বৈধ করেছেন//আল্লাহ//জন্যে তোমাদের//এবং না//তোমরা সীমালঙ্ঘন করো//নিশ্চয়ই//আল্লাহ//না//ভালোবাসেন//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/757.mp3"
              ],
              "text": "وَكُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ حَلَٰلًۭا طَيِّبًۭا ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ أَنتُم بِهِۦ مُؤْمِنُونَ",
              "translate_bn": "আল্লাহ তা’য়ালা যেসব বস্তু তোমাদেরকে দিয়েছেন, তন্মধ্য থেকে হালাল ও পবিত্র বস্তু খাও এবং আল্লাহকে ভয় কর, যার প্রতি তোমরা বিশ্বাসী।",
              "numberInSurah": 88,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ওয়াকুলূমিম্মা- রাঝাকাকুমুল্লা-হু হালা-লান তাইয়িবাওঁ ওয়াত্তাকুল্লা-হাল্লাযীআনতুম বিহী মু’মিনূন।",
              "words_arabic": "وَ كُلُوْا/وَكُلُواْ/wakulu//مِمَّا/مِمَّا/mimma//رَزَقَكُمُ/رَزَقَكُمُ/razaqakumu//اللّٰهُ/ٱللَّهُ/al-lahu//حَلٰلًا/حَلَٰلٗا/halalan//طَیِّبًا ۪/طَيِّبٗاۚ/tayyiban//وَّ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْتُمْ/أَنتُم/antum//بِهٖ/بِهِۦ/bihi//مُؤْمِنُوْنَ /مُؤۡمِنُونَ/mu'minuna",
              "words_bangla": "এবং তোমরা খাও//তা হতে যা//জীবিকা দিয়েছেন তোমাদের//আল্লাহ//বৈধ//পবিত্র//ও তোমরা ভয় করো//আল্লাহকে//যিনি (মহান সত্ত্বা)//তোমরা//উপর তাঁর//মু'মিন"
            },
            {
              "number": 758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/758.mp3"
              ],
              "text": "لَا يُؤَاخِذُكُمُ ٱللَّهُ بِٱللَّغْوِ فِىٓ أَيْمَٰنِكُمْ وَلَٰكِن يُؤَاخِذُكُم بِمَا عَقَّدتُّمُ ٱلْأَيْمَٰنَ ۖ فَكَفَّٰرَتُهُۥٓ إِطْعَامُ عَشَرَةِ مَسَٰكِينَ مِنْ أَوْسَطِ مَا تُطْعِمُونَ أَهْلِيكُمْ أَوْ كِسْوَتُهُمْ أَوْ تَحْرِيرُ رَقَبَةٍۢ ۖ فَمَن لَّمْ يَجِدْ فَصِيَامُ ثَلَٰثَةِ أَيَّامٍۢ ۚ ذَٰلِكَ كَفَّٰرَةُ أَيْمَٰنِكُمْ إِذَا حَلَفْتُمْ ۚ وَٱحْفَظُوٓا۟ أَيْمَٰنَكُمْ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَٰتِهِۦ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "আল্লাহ তোমাদেরকে পাকড়াও করেন না তোমাদের অনর্থক শপথের জন্যে; কিন্তু পাকড়াও করেন ঐ শপথের জন্যে যা তোমরা মজবুত করে বাধ। অতএব, এর কাফফরা এই যে, দশজন দরিদ্রকে খাদ্য প্রদান করবে; মধ্যম শ্রেনীর খাদ্য যা তোমরা স্বীয় পরিবারকে দিয়ে থাক। অথবা, তাদেরকে বস্তু প্রদান করবে অথবা, একজন ক্রীতদাস কিংবা দাসী মুক্ত করে দিবে। যে ব্যক্তি সামর্থ্য রাখে না, সে তিন দিন রোযা রাখবে। এটা কাফফরা তোমাদের শপথের, যখন শপথ করবে। তোমরা স্বীয় শপথসমূহ রক্ষা কর এমনিভাবে আল্লাহ তোমাদের জন্য স্বীয় নির্দেশ বর্ণনা করেন, যাতে তোমরা কৃতজ্ঞতা স্বীকার কর।",
              "numberInSurah": 89,
              "juz": 7,
              "manzil": 2,
              "page": 122,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "লা-ইউআ-খিযুকুমুল্লা-হু বিল লাগবিফীআইমা-নিকুম ওয়ালা-কিইঁ ইউআ-খিযুকুম বিমা‘আককাততুমুল আইমা-না ফাকাফফা-রাতুহূইত‘আ-মু‘আশারাতি মাছা-কীনা মিন আওছাতিমা-তুত‘ইমূনা আহলীকুম আও কিছওয়াতুহুম আও তাহরীরু রাকাবাতিন ফামাল্লাম ইয়াজিদ ফাসিয়া-মুছালা-ছাতি আইয়া-মিন যা-লিকা কাফফা-রাতুআইমানিকুম ইযা-হালাফতুম ওয়াহফাজূআইমা-নাকুম; কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুম আ-য়া-তিহী লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "لَا/لَا/la//یُؤَاخِذُكُمُ/يُؤَاخِذُكُمُ/yuakhidhukumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِاللَّغْوِ/بِٱللَّغۡوِ/bil-laghwi//فِیْۤ/فِيٓ/fi//اَیْمَانِكُمْ/أَيۡمَٰنِكُمۡ/aymanikum//وَ لٰكِنْ/وَلَٰكِن/walakin//یُّؤَاخِذُكُمْ/يُؤَاخِذُكُم/yuakhidhukum//بِمَا/بِمَا/bima//عَقَّدْتُّمُ/عَقَّدتُّمُ/aqqadttumu//الْاَیْمَانَ ۚ/ٱلۡأَيۡمَٰنَۖ/al-aymana//فَكَفَّارَتُهٗۤ/فَكَفَّـٰرَتُهُۥٓ/fakaffaratuhu//اِطْعَامُ/إِطۡعَامُ/it'amu//عَشَرَةِ/عَشَرَةِ/asharati//مَسٰكِیْنَ/مَسَٰكِينَ/masakina//مِنْ/مِنۡ/min//اَوْسَطِ/أَوۡسَطِ/awsati//مَا/مَا/ma//تُطْعِمُوْنَ/تُطۡعِمُونَ/tut'imuna//اَهْلِیْكُمْ/أَهۡلِيكُمۡ/ahlikum//اَوْ/أَوۡ/aw//كِسْوَتُهُمْ/كِسۡوَتُهُمۡ/kis'watuhum//اَوْ/أَوۡ/aw//تَحْرِیْرُ/تَحۡرِيرُ/tahriru//رَقَبَةٍ ؕ/رَقَبَةٖۖ/raqabatin//فَمَنْ/فَمَن/faman//لَّمْ/لَّمۡ/lam//یَجِدْ/يَجِدۡ/yajid//فَصِیَامُ/فَصِيَامُ/fasiyamu//ثَلٰثَةِ/ثَلَٰثَةِ/thalathati//اَیَّامٍ ؕ/أَيَّامٖۚ/ayyamin//ذٰلِكَ/ذَٰلِكَ/dhalika//كَفَّارَةُ/كَفَّـٰرَةُ/kaffaratu//اَیْمَانِكُمْ/أَيۡمَٰنِكُمۡ/aymanikum//اِذَا/إِذَا/idha//حَلَفْتُمْ ؕ/حَلَفۡتُمۡۚ/halaftum//وَ احْفَظُوْۤا/وَٱحۡفَظُوٓاْ/wa-ih'fazu//اَیْمَانَكُمْ ؕ/أَيۡمَٰنَكُمۡۚ/aymanakum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "না//পাকড়াও করবেন তোমাদের//আল্লাহ//কারণে অর্থহীন শপথের//মধ্যকার//শপথগুলোর তোমাদের//কিন্তু//পাকড়াও করবেন তোমাদের//এ কারণে যা//দৃঢ়ভাবে করো তোমরা//শপথগুলো//অতএব প্রায়শ্চিত্ত তার//খাদ্য খাওয়ানো//দশজন//দরিদ্র ব্যক্তিকে//ধরণের//মধ্যম//যা//তোমরা খাওয়াও//পরিবারকে তোমাদের//বা//কাপড় দান করা তাদের//বা//মুক্ত করা//একজন দাসের (শপথের প্রায়শ্চিত্ত)//তবে যে//না//পায় (অর্থাৎ অসমর্থ)//তাহ'লে রোজা (রাখবে)//তিন//দিন//এটা//প্রায়শ্চিত্ত//শপথের তোমাদের//যখন//শপথ করবে তোমরা//এবং তোমরা রক্ষা করো//শপথগুলোর তোমাদের//এভাবে//বর্ণনা করেন//আল্লাহ//জন্যে তোমাদের//নিদর্শনাবলী তাঁর//যেন তোমরা//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/759.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّمَا ٱلْخَمْرُ وَٱلْمَيْسِرُ وَٱلْأَنصَابُ وَٱلْأَزْلَٰمُ رِجْسٌۭ مِّنْ عَمَلِ ٱلشَّيْطَٰنِ فَٱجْتَنِبُوهُ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "হে মুমিনগণ, এই যে মদ, জুয়া, প্রতিমা এবং ভাগ্য-নির্ধারক শরসমূহ এসব শয়তানের অপবিত্র কার্য বৈ তো নয়। অতএব, এগুলো থেকে বেঁচে থাক-যাতে তোমরা কল্যাণপ্রাপ্ত হও।",
              "numberInSurah": 90,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন্নামাল খামরু ওয়াল মাইছিরু ওয়াল আনসা-বুওয়াল আঝলা-মুরিজছুম মিন ‘আমালিশ শাইতা-নি ফাজতানিবূহু লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّمَا/إِنَّمَا/innama//الْخَمْرُ/ٱلۡخَمۡرُ/al-khamru//وَ الْمَیْسِرُ/وَٱلۡمَيۡسِرُ/wal-maysiru//وَ الْاَنْصَابُ/وَٱلۡأَنصَابُ/wal-ansabu//وَ الْاَزْلَامُ/وَٱلۡأَزۡلَٰمُ/wal-azlamu//رِجْسٌ/رِجۡسٞ/rij'sun//مِّنْ/مِّنۡ/min//عَمَلِ/عَمَلِ/amali//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//فَاجْتَنِبُوْهُ/فَٱجۡتَنِبُوهُ/fa-ij'tanibuhu//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//মূলতঃ//মদ//ও জুয়া//ও পূজার বেদীগুলো//ও ভাগ্য নির্ধারক তীরগুলো//অপবিত্র//এক ধরণের//কাজ//শয়তানের//তাই বেঁচে থাকো তা হতে//যেন তোমরা//সফলকাম হতে পারো"
            },
            {
              "number": 760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/760.mp3"
              ],
              "text": "إِنَّمَا يُرِيدُ ٱلشَّيْطَٰنُ أَن يُوقِعَ بَيْنَكُمُ ٱلْعَدَٰوَةَ وَٱلْبَغْضَآءَ فِى ٱلْخَمْرِ وَٱلْمَيْسِرِ وَيَصُدَّكُمْ عَن ذِكْرِ ٱللَّهِ وَعَنِ ٱلصَّلَوٰةِ ۖ فَهَلْ أَنتُم مُّنتَهُونَ",
              "translate_bn": "শয়তান তো চায়, মদ ও জুয়ার মাধ্যমে তোমাদের পরস্পরের মাঝে শুত্রুতা ও বিদ্বেষ সঞ্চারিত করে দিতে এবং আল্লাহর স্মরণ ও নামায থেকে তোমাদেরকে বিরত রাখতে। অতএব, তোমরা এখন ও কি নিবৃত্ত হবে?",
              "numberInSurah": 91,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইউরীদুশশাইতা-নুআইঁ ইউকি‘আ বাইনাকুমুল ‘আদা-ওয়াতা ওয়াল বাগদাআ ফিল খামরি ওয়াল মাইছিরি ওয়া ইয়াসুদ্দাকুম ‘আন যিকরিল্লা-হি ওয়া ‘আনিসসালা-তি ফাহাল আনতুম মুনতাহূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یُرِیْدُ/يُرِيدُ/yuridu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَنْ/أَن/an//یُّوْقِعَ/يُوقِعَ/yuqi'a//بَیْنَكُمُ/بَيۡنَكُمُ/baynakumu//الْعَدَاوَةَ/ٱلۡعَدَٰوَةَ/al-'adawata//وَ الْبَغْضَآءَ/وَٱلۡبَغۡضَآءَ/wal-baghdaa//فِی/فِي/fi//الْخَمْرِ/ٱلۡخَمۡرِ/al-khamri//وَ الْمَیْسِرِ/وَٱلۡمَيۡسِرِ/wal-maysiri//وَ یَصُدَّكُمْ/وَيَصُدَّكُمۡ/wayasuddakum//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عَنِ/وَعَنِ/wa'ani//الصَّلٰوةِ ۚ/ٱلصَّلَوٰةِۖ/al-salati//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُم/antum//مُّنْتَهُوْنَ /مُّنتَهُونَ/muntahuna",
              "words_bangla": "মূলতঃ//চায়//শয়তান//যে//ঘটাবে//মাঝে তোমাদের//শত্রুতা//ও বিদ্বেষ//মাধ্যমে//মদের//ও জুয়ার//ও বাধা দিবে তোমাদের//হতে//স্মরণ//আল্লাহর//ও হতে//সালাত//তবুও কি//তোমরা//নিবৃত্ত হবে (না)"
            },
            {
              "number": 761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/761.mp3"
              ],
              "text": "وَأَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَٱحْذَرُوا۟ ۚ فَإِن تَوَلَّيْتُمْ فَٱعْلَمُوٓا۟ أَنَّمَا عَلَىٰ رَسُولِنَا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "তোমরা আল্লাহর অনুগত হও, রসূলের অনুগত হও এবং আত্মরক্ষা কর। কিন্তু যদি তোমরা বিমুখ হও, তবে জেনে রাখ, আমার রসূলের দায়িত্ব প্রকাশ্য প্রচার বৈধ নয়।",
              "numberInSurah": 92,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতী‘উল্লা-হা ওয়া আতী‘উর রাছূলা ওয়াহযারূ ফাইন তাওয়াল্লাইতুম ফা‘লামুআন্নামা-‘আলা-রাছূলিনাল বালা-গুল মুবীন।",
              "words_arabic": "وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//وَ احْذَرُوْا ۚ/وَٱحۡذَرُواْۚ/wa-ih'dharu//فَاِنْ/فَإِن/fa-in//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّمَا/أَنَّمَا/annama//عَلٰی/عَلَىٰ/ala//رَسُوْلِنَا/رَسُولِنَا/rasulina//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং তোমরা আনুগত্য করো//আল্লাহর//ও তোমরা আনুগত্য করো//রাসূলের//ও তোমরা সতর্ক হও//অতঃপর যদি//মুখ ফিরিয়ে নাও তোমরা//তবে তোমরা জেনে রেখো//যে কেবল//উপর//রাসূলের আমাদের (দায়িত্ব)//(নির্দেশাবলী)প্রচার করা//সুস্পষ্টভাবে"
            },
            {
              "number": 762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/762.mp3"
              ],
              "text": "لَيْسَ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ جُنَاحٌۭ فِيمَا طَعِمُوٓا۟ إِذَا مَا ٱتَّقَوا۟ وَّءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ ثُمَّ ٱتَّقَوا۟ وَّءَامَنُوا۟ ثُمَّ ٱتَّقَوا۟ وَّأَحْسَنُوا۟ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছে এবং সৎকর্ম করেছে, তারা পূর্বে যা ভক্ষণ করেছে, সে জন্য তাদের কোন গোনাহ নেই যখন ভবিষ্যতের জন্যে সংযত হয়েছে, বিশ্বাস স্থাপন করেছে এবং সৎকর্ম সম্পাদন করেছে। এরপর সংযত থাকে এবং বিশ্বাস স্থাপন করে। এরপর সংযত থাকে এবং সৎকর্ম করে। আল্লাহ সৎকর্মীদেরকে ভালবাসেন।",
              "numberInSurah": 93,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 97,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি জুনা-হুন ফীমা-তা‘ইমূইযামাত্তাকাও ওয়া আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ছুম্মাত্তাকাও ওয়া আ-মানূছু ম্মাত্তাকাও ওয়া আহছানূ ওয়াল্লা-হু ইউহিব্বুল মুহছিনীন।",
              "words_arabic": "لَیْسَ/لَيۡسَ/laysa//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//جُنَاحٌ/جُنَاحٞ/junahun//فِیْمَا/فِيمَا/fima//طَعِمُوْۤا/طَعِمُوٓاْ/ta'imu//اِذَا/إِذَا/idha//مَا/مَا/ma//اتَّقَوْا/ٱتَّقَواْ/ittaqaw//وَّ اٰمَنُوْا/وَّءَامَنُواْ/waamanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//ثُمَّ/ثُمَّ/thumma//اتَّقَوْا/ٱتَّقَواْ/ittaqaw//وَّ اٰمَنُوْا/وَّءَامَنُواْ/waamanu//ثُمَّ/ثُمَّ/thumma//اتَّقَوْا/ٱتَّقَواْ/ittaqaw//وَّ اَحْسَنُوْا ؕ/وَّأَحۡسَنُواْۚ/wa-ahsanu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُحْسِنِیْنَ۠/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "নেই//উপর//(তাদের) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//পাপ//তার মধ্যে যা//তারা খেয়েছে (পূর্বে)//যখন//যা//তারা ভয় করে//ও ঈমান আনে//ও কাজ করে//সৎ//এরপর//তারা বেঁচে চলে (নিষিদ্ধ জিনিষ হতে)//ও তারা মেনে নেয় (সব নির্দেশ)//এরপর//তারা সংযত থাকে//ও তারা উত্তম কাজ করে//এবং আল্লাহ//ভালোবাসেন//উত্তম কর্মশীলদেরকে"
            },
            {
              "number": 763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/763.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَيَبْلُوَنَّكُمُ ٱللَّهُ بِشَىْءٍۢ مِّنَ ٱلصَّيْدِ تَنَالُهُۥٓ أَيْدِيكُمْ وَرِمَاحُكُمْ لِيَعْلَمَ ٱللَّهُ مَن يَخَافُهُۥ بِٱلْغَيْبِ ۚ فَمَنِ ٱعْتَدَىٰ بَعْدَ ذَٰلِكَ فَلَهُۥ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "হে মুমিনগণ, আল্লাহ তোমাদেরকে এমন কিছু শিকারের মাধ্যমে পরীক্ষা করবেন, যে শিকার পর্যন্ত তোমাদের হাত ও বর্শা সহজেই পৌছতে পারবে-যাতে আল্লাহ বুঝতে পারেন যে, কে তাকে অদৃশ্যভাবে ভয়করে। অতএব, যে ব্যক্তি এরপর সীমা অতিক্রম করবে, তার জন্য যন্ত্রনাদায়ক শাস্তি রয়েছে।",
              "numberInSurah": 94,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 98,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলাইয়াবলুওয়ান্নাকুমুল্লা-হু বিশাইইম মিনাসসাইদি তানা-লুহূ আইদীকুম ওয়া রিমা-হুকুম লিইয়া‘লামাল্লা-হু মাইঁ ইয়াখা-ফুহু বিলগাইবি ফামানি‘তাদাবা‘দা যা-লিকা ফালাহু ‘আযা-বুন আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَیَبْلُوَنَّكُمُ/لَيَبۡلُوَنَّكُمُ/layabluwannakumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِشَیْءٍ/بِشَيۡءٖ/bishayin//مِّنَ/مِّنَ/mina//الصَّیْدِ/ٱلصَّيۡدِ/al-saydi//تَنَالُهٗۤ/تَنَالُهُۥٓ/tanaluhu//اَیْدِیْكُمْ/أَيۡدِيكُمۡ/aydikum//وَ رِمَاحُكُمْ/وَرِمَاحُكُمۡ/warimahukum//لِیَعْلَمَ/لِيَعۡلَمَ/liya'lama//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّخَافُهٗ/يَخَافُهُۥ/yakhafuhu//بِالْغَیْبِ ۚ/بِٱلۡغَيۡبِۚ/bil-ghaybi//فَمَنِ/فَمَنِ/famani//اعْتَدٰی/ٱعۡتَدَىٰ/i'tada//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//فَلَهٗ/فَلَهُۥ/falahu//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//অবশ্যই পরীক্ষা করবেন তোমাদের//আল্লাহ//দিয়ে(কিছু) জিনিস//থেকে//শিকারের//নাগালে আসে যা//হাতগুলোর তোমাদের//ও বর্শাগুলোর তোমাদের//যেন জানেন//আল্লাহ//কে//ভয় করে তাঁকে//অবস্থায় অদৃশ্য//অতঃপর যে//সীমালঙ্ঘন করবে//পরেও//এর//তবে জন্যে তার (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/764.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقْتُلُوا۟ ٱلصَّيْدَ وَأَنتُمْ حُرُمٌۭ ۚ وَمَن قَتَلَهُۥ مِنكُم مُّتَعَمِّدًۭا فَجَزَآءٌۭ مِّثْلُ مَا قَتَلَ مِنَ ٱلنَّعَمِ يَحْكُمُ بِهِۦ ذَوَا عَدْلٍۢ مِّنكُمْ هَدْيًۢا بَٰلِغَ ٱلْكَعْبَةِ أَوْ كَفَّٰرَةٌۭ طَعَامُ مَسَٰكِينَ أَوْ عَدْلُ ذَٰلِكَ صِيَامًۭا لِّيَذُوقَ وَبَالَ أَمْرِهِۦ ۗ عَفَا ٱللَّهُ عَمَّا سَلَفَ ۚ وَمَنْ عَادَ فَيَنتَقِمُ ٱللَّهُ مِنْهُ ۗ وَٱللَّهُ عَزِيزٌۭ ذُو ٱنتِقَامٍ",
              "translate_bn": "মুমিনগণ, তোমরা এহরাম অবস্থায় শিকার বধ করো না। তোমাদের মধ্যে যে জেনেশুনে শিকার বধ করবে, তার উপর বিনিময় ওয়াজেব হবে, যা সমান হবে ঐ জন্তুর, যাকে সে বধ করেছে। দু’জন নির্ভরযোগ্য ব্যক্তি এর ফয়সালা করবে-বিনিময়ের জন্তুটি উৎসর্গ হিসেবে কাবায় পৌছাতে হবে। অথবা তার উপর কাফফারা ওয়াজেব-কয়েকজন দরিদ্রকে খাওয়ানো অথবা তার সমপরিমাণ রোযা রাখতে যাতে সে স্বীয় কৃতকর্মের প্রতিফল আস্বাদন করে। যা হয়ে গেছে, তা আল্লাহ মাফ করেছেন। যে পুনরায় এ কান্ড করবে, আল্লাহ তার কাছ থেকে প্রতিশোধ নিবেন। আল্লাহ পরাক্রান্ত, প্রতিশোধ গ্রহণে সক্ষম।",
              "numberInSurah": 95,
              "juz": 7,
              "manzil": 2,
              "page": 123,
              "ruku": 98,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ লা-তাকতুলুসসাইদাওয়া আনতুম হুরুমুওঁ ওয়ামান কাতালাহূমিনকুম মুতা‘আম্মিদান ফাজাঝাউম মিছলুমা-কাতালা মিনান না‘আমি ইয়াহকুমুবিহী যাওয়া-‘আদলিম মিনকুম হাদইয়াম বা-লিগাল কা‘বাতি আও কাফফা-রাতুন তা‘আ-মুমাছা-কীনা আও ‘আদলুযা-লিকা সিয়া-মাল লিইয়াযূকা ওয়াবা-লা আমরিহী ‘আফাল্লা-হু ‘আম্মা-ছালাফা ওয়ামান ‘আ-দা ফাইয়ানতাকিমুল্লা-হু মিনহু ওয়াল্লা-হু ‘আঝীঝুন যুনতিকা-ম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَقْتُلُوا/تَقۡتُلُواْ/taqtulu//الصَّیْدَ/ٱلصَّيۡدَ/al-sayda//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//حُرُمٌ ؕ/حُرُمٞۚ/hurumun//وَ مَنْ/وَمَن/waman//قَتَلَهٗ/قَتَلَهُۥ/qatalahu//مِنْكُمْ/مِنكُم/minkum//مُّتَعَمِّدًا/مُّتَعَمِّدٗا/muta'ammidan//فَجَزَآءٌ/فَجَزَآءٞ/fajazaon//مِّثْلُ/مِّثۡلُ/mith'lu//مَا/مَا/ma//قَتَلَ/قَتَلَ/qatala//مِنَ/مِنَ/mina//النَّعَمِ/ٱلنَّعَمِ/al-na'ami//یَحْكُمُ/يَحۡكُمُ/yahkumu//بِهٖ/بِهِۦ/bihi//ذَوَا/ذَوَا/dhawa//عَدْلٍ/عَدۡلٖ/adlin//مِّنْكُمْ/مِّنكُمۡ/minkum//هَدْیًۢا/هَدۡيَۢا/hadyan//بٰلِغَ/بَٰلِغَ/baligha//الْكَعْبَةِ/ٱلۡكَعۡبَةِ/al-ka'bati//اَوْ/أَوۡ/aw//كَفَّارَةٌ/كَفَّـٰرَةٞ/kaffaratun//طَعَامُ/طَعَامُ/ta'amu//مَسٰكِیْنَ/مَسَٰكِينَ/masakina//اَوْ/أَوۡ/aw//عَدْلُ/عَدۡلُ/adlu//ذٰلِكَ/ذَٰلِكَ/dhalika//صِیَامًا/صِيَامٗا/siyaman//لِّیَذُوْقَ/لِّيَذُوقَ/liyadhuqa//وَ بَالَ/وَبَالَ/wabala//اَمْرِهٖ ؕ/أَمۡرِهِۦۗ/amrihi//عَفَا/عَفَا/afa//اللّٰهُ/ٱللَّهُ/al-lahu//عَمَّا/عَمَّا/amma//سَلَفَ ؕ/سَلَفَۚ/salafa//وَ مَنْ/وَمَنۡ/waman//عَادَ/عَادَ/ada//فَیَنْتَقِمُ/فَيَنتَقِمُ/fayantaqimu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْهُ ؕ/مِنۡهُۚ/min'hu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٞ/azizun//ذُو/ذُو/dhu//انْتِقَامٍ /ٱنتِقَامٍ/intiqamin",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা হত্যা করো//শিকারের জন্তুকে//এমতাবস্হায় যে তোমরা//ইহরামে থাকো//এবং যে//হত্যা করবে তা//মধ্য হতে তোমাদের//ইচ্ছাকৃতভাবে//তবে বিনিময়//(সেই জন্তুর) অনুরূপ//যা//সে হত্যা করেছে//মধ্য হতে//গৃহপালিত পশুর//মীমাংসা করবে//সম্পর্কে তা//সম্পন্ন//ন্যায//মধ্যকার তোমাদের//কোরবানীস্বরূপ//পৌঁছাতে হবে//ক্বাবায়//বা//প্রায়শ্চিত্ত//খাদ্য খাওয়ানো//(কয়েকজন) দরিদ্রকে//বা//সমতুল্য//এর//রোজা (রাখতে হবে)//যেন সে স্বাদ নেয়//প্রতিফল//কাজের তার//ক্ষমা করেছেন//আল্লাহ//তা (সব) যা//অতীত হয়েছে//কিন্তু যে//পুনরাবৃত্তি করবে//তখন প্রতিশোধ নিবেন//আল্লাহ//থেকে তার//এবং আল্লাহ//পরাক্রমশালী//সক্ষম//প্রতিশোধ গ্রহণে"
            },
            {
              "number": 765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/765.mp3"
              ],
              "text": "أُحِلَّ لَكُمْ صَيْدُ ٱلْبَحْرِ وَطَعَامُهُۥ مَتَٰعًۭا لَّكُمْ وَلِلسَّيَّارَةِ ۖ وَحُرِّمَ عَلَيْكُمْ صَيْدُ ٱلْبَرِّ مَا دُمْتُمْ حُرُمًۭا ۗ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "তোমাদের জন্য সমুদ্রের শিকার ও সুমুদ্রের খাদ্য হালাল করা হয়েছে তোমাদের উপকারার্থে এবং তোমাদের এহরামকারীদের জন্যে হারাম করা হয়েছে স্থল শিকার যতক্ষণ এহরাম অবস্থায় থাক। আল্লাহকে ভয় কর, যার কাছে তোমরা একত্রিত হবে।",
              "numberInSurah": 96,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 98,
              "hizbQuarter": 49,
              "sajda": false,
              "pronunciation_bn": "উহিল্লা লাকুম সাইদুল বাহরি ওয়া তা‘আ-মুহূমাতা-‘আল্লাকুম ওয়া লিছছাইয়ি-রাতি ওয়া হুররিমা ‘আলাইকুম সাইদুল বাররি মা-দুমতুম হুরুমাওঁ ওয়াত্তাকুল্লা-হাল্লাযীইলাইহি তুহশারূন।",
              "words_arabic": "اُحِلَّ/أُحِلَّ/uhilla//لَكُمْ/لَكُمۡ/lakum//صَیْدُ/صَيۡدُ/saydu//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//وَ طَعَامُهٗ/وَطَعَامُهُۥ/wata'amuhu//مَتَاعًا/مَتَٰعٗا/mata'an//لَّكُمْ/لَّكُمۡ/lakum//وَ لِلسَّیَّارَةِ ۚ/وَلِلسَّيَّارَةِۖ/walilssayyarati//وَ حُرِّمَ/وَحُرِّمَ/wahurrima//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//صَیْدُ/صَيۡدُ/saydu//الْبَرِّ/ٱلۡبَرِّ/al-bari//مَا/مَا/ma//دُمْتُمْ/دُمۡتُمۡ/dum'tum//حُرُمًا ؕ/حُرُمٗاۗ/huruman//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "বৈধ করা হয়েছে//জন্যে তোমাদের//শিকার//সাগরের//ও খাওয়া তা//ভোগ্যবস্তু হিসেবে (বৈধ)//জন্যে তোমাদের//এবং জন্যেও পর্যটকদের//কিন্তু নিষিদ্ধ করা হয়েছে//উপর তোমাদের//শিকার//ডাঙার//যতক্ষণ//তোমরা থাকো//ইহরামে//এবং তোমরা ভয় করো//আল্লাহকে//যিনি (এমন সত্ত্বা যে)//দিকে তাঁরই//তোমাদের একত্র করা হবে"
            },
            {
              "number": 766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/766.mp3"
              ],
              "text": "۞ جَعَلَ ٱللَّهُ ٱلْكَعْبَةَ ٱلْبَيْتَ ٱلْحَرَامَ قِيَٰمًۭا لِّلنَّاسِ وَٱلشَّهْرَ ٱلْحَرَامَ وَٱلْهَدْىَ وَٱلْقَلَٰٓئِدَ ۚ ذَٰلِكَ لِتَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَأَنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ",
              "translate_bn": "আল্লাহ সম্মানিত গৃহ কাবাকে মানুষের স্থীতিশীলতার কারণ করেছেন এবং সম্মানিত মাসসমূকে, হারাম কোরবানীর জন্তুকে ও যাদের গলায় আবরণ রয়েছে। এর কারণ এই যে, যাতে তোমরা জেনে নাও যে, আল্লাহ নভোমন্ডল ও ভুমন্ডলের সব কিছু জানেন এবং আল্লাহ সর্ব বিষয়ে মহাজ্ঞানী।",
              "numberInSurah": 97,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 98,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "জা‘আলাল্লা-হুল কা‘বাতাল বাইতাল হারা-মা কিয়া-মাল লিন্না-ছি ওয়াশশাহরাল হারা-মা ওয়াল হাদইয়া ওয়াল কালাইদা যা-লিকা লিতা‘লামূআন্নাল্লা-হা ইয়া‘লামুমাফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদিওয়াআন্নাল্লা-হা বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "جَعَلَ/۞جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//الْكَعْبَةَ/ٱلۡكَعۡبَةَ/al-ka'bata//الْبَیْتَ/ٱلۡبَيۡتَ/al-bayta//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//قِیٰمًا/قِيَٰمٗا/qiyaman//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ الشَّهْرَ/وَٱلشَّهۡرَ/wal-shahra//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//وَ الْهَدْیَ/وَٱلۡهَدۡيَ/wal-hadya//وَ الْقَلَآىِٕدَ ؕ/وَٱلۡقَلَـٰٓئِدَۚ/wal-qalaida//ذٰلِكَ/ذَٰلِكَ/dhalika//لِتَعْلَمُوْۤا/لِتَعۡلَمُوٓاْ/lita'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "নির্ধারিত করেছেন//আল্লাহ//ক্বাবা//ঘরকে//সম্মানিত//(কল্যাণ) প্রতিষ্ঠার উপকরণ//জন্যে মানুষের//ও মাস//সম্মানিত//ও কোরবানির জন্যে কাবায় পাঠানো জন্তু//ও গলায় মালা পরানো পশু//এটা//যেন তোমরা জানো//যে//আল্লাহ//জানেন//যা কিছু//মধ্যে (আছে)//আকাশসমূহের//ও যা কিছ//মধ্যে (আছে)//পৃথিবীর//এবং (এও) যে//আল্লাহ//সম্পর্কে সব//কিছুর//খুব অবহিত"
            },
            {
              "number": 767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/767.mp3"
              ],
              "text": "ٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ وَأَنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "জেনে নাও, নিশ্চয় আল্লাহ কঠোর শাস্তি দাতা ও নিশ্চয় আল্লাহ ক্ষমাশীল-দয়ালূ।",
              "numberInSurah": 98,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 98,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ই‘লামূআন্নাল্লা-হা শাদীদুল ‘ইকা-বি ওয়া আন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِعْلَمُوْۤا/ٱعۡلَمُوٓاْ/i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ/ٱلۡعِقَابِ/al-'iqabi//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌؕ/رَّحِيمٞ/rahimun",
              "words_bangla": "তোমরা জেনে রাখো//যে//আল্লাহ//কঠোর//শাস্তি দানে//এবং (এও) যে//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/768.mp3"
              ],
              "text": "مَّا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَٰغُ ۗ وَٱللَّهُ يَعْلَمُ مَا تُبْدُونَ وَمَا تَكْتُمُونَ",
              "translate_bn": "রসূলের দায়িত্ব শুধু পৌছিয়ে দেওয়া। আল্লাহ জানেন, যা কিছু তোমরা প্রকাশ্যে কর এবং যা কিছু গোপন কর।",
              "numberInSurah": 99,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 98,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "মা-‘আলাররাছূলি ইল্লাল বালা-গু ওয়াল্লা-হু ইয়া‘লামুমা-তুবদূ না ওয়ামা-তাকতুমূন।",
              "words_arabic": "مَا/مَّا/ma//عَلَی/عَلَى/ala//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//اِلَّا/إِلَّا/illa//الْبَلٰغُ ؕ/ٱلۡبَلَٰغُۗ/al-balaghu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تُبْدُوْنَ/تُبۡدُونَ/tub'duna//وَ مَا/وَمَا/wama//تَكْتُمُوْنَ /تَكۡتُمُونَ/taktumuna",
              "words_bangla": "না//উপর (দায়িত্ব)//রাসূলের//এ ছাড়া//প্রচার করা//এবং আল্লাহ//জানেন//যা কিছু//তোমরা প্রকাশ করো//ও যা কিছু//তোমরা গোপন করো"
            },
            {
              "number": 769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/769.mp3"
              ],
              "text": "قُل لَّا يَسْتَوِى ٱلْخَبِيثُ وَٱلطَّيِّبُ وَلَوْ أَعْجَبَكَ كَثْرَةُ ٱلْخَبِيثِ ۚ فَٱتَّقُوا۟ ٱللَّهَ يَٰٓأُو۟لِى ٱلْأَلْبَٰبِ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "বলে দিনঃ অপবিত্র ও পবিত্র সমান নয়, যদিও অপবিত্রের প্রাচুর্য তোমাকে বিস্মিত করে। অতএব, হে বুদ্ধিমানগণ, আল্লাহকে ভয় কর-যাতে তোমরা মুক্তি পাও।",
              "numberInSurah": 100,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 98,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "কুল্লা-ইয়াছতাবীল খাবীছুওয়াত্তাইয়িবুওয়ালাও আ‘জাবাকা কাছরাতুল খাবীছি ফাত্তাকুল্লা-হা ইয়াঊলিল আলবা-বি লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّا/لَّا/la//یَسْتَوِی/يَسۡتَوِي/yastawi//الْخَبِیْثُ/ٱلۡخَبِيثُ/al-khabithu//وَ الطَّیِّبُ/وَٱلطَّيِّبُ/wal-tayibu//وَ لَوْ/وَلَوۡ/walaw//اَعْجَبَكَ/أَعۡجَبَكَ/a'jabaka//كَثْرَةُ/كَثۡرَةُ/kathratu//الْخَبِیْثِ ۚ/ٱلۡخَبِيثِۚ/al-khabithi//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//یٰۤاُولِی/يَـٰٓأُوْلِي/yauli//الْاَلْبَابِ/ٱلۡأَلۡبَٰبِ/al-albabi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ۠/تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "(হে নাবী) বলো//\"না//সমান হয়//অপবিত্র//ও পবিত্র//এবং যদিও//চমৎকৃত করে তোমাকে//আধিক্য//অপবিত্রের//অতএব তোমরা ভয় করো//আল্লাহকে//হে অধিকারী//বিবেক বুদ্ধির//যাতে তোমরা//সফলকাম হও\""
            },
            {
              "number": 770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/770.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَسْـَٔلُوا۟ عَنْ أَشْيَآءَ إِن تُبْدَ لَكُمْ تَسُؤْكُمْ وَإِن تَسْـَٔلُوا۟ عَنْهَا حِينَ يُنَزَّلُ ٱلْقُرْءَانُ تُبْدَ لَكُمْ عَفَا ٱللَّهُ عَنْهَا ۗ وَٱللَّهُ غَفُورٌ حَلِيمٌۭ",
              "translate_bn": "হে মুমিণগন, এমন কথাবার্তা জিজ্ঞেস করো না, যা তোমাদের কাছে পরিব্যক্ত হলে তোমাদের খারাপ লাগবে। যদি কোরআন অবতরণকালে তোমরা এসব বিষয় জিজ্ঞেস কর, তবে তা তোমাদের জন্যে প্রকাশ করা হবে। অতীত বিষয় আল্লাহ ক্ষমা করেছেন আল্লাহ ক্ষমাশীল, সহনশীল।",
              "numberInSurah": 101,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাছআলূ‘আন আশইয়াআ ইনতুবদালাকুম তাছু’কুম ওয়া ইন তাছআলূ‘আনহা-হীনা ইউনাঝঝালুল কুরআ-নুতুবদালাকুম ‘আফাল্লা-হু ‘আনহা- ওয়াল্লা-হু গাফূরুন হালীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَسْـَٔلُوْا/تَسۡـَٔلُواْ/tasalu//عَنْ/عَنۡ/an//اَشْیَآءَ/أَشۡيَآءَ/ashyaa//اِنْ/إِن/in//تُبْدَ/تُبۡدَ/tub'da//لَكُمْ/لَكُمۡ/lakum//تَسُؤْكُمْ ۚ/تَسُؤۡكُمۡ/tasu'kum//وَ اِنْ/وَإِن/wa-in//تَسْـَٔلُوْا/تَسۡـَٔلُواْ/tasalu//عَنْهَا/عَنۡهَا/anha//حِیْنَ/حِينَ/hina//یُنَزَّلُ/يُنَزَّلُ/yunazzalu//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//تُبْدَ/تُبۡدَ/tub'da//لَكُمْ ؕ/لَكُمۡ/lakum//عَفَا/عَفَا/afa//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهَا ؕ/عَنۡهَاۗ/anha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٌ/ghafurun//حَلِیْمٌ /حَلِيمٞ/halimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা প্রশ্ন করো//সম্পর্কে//(এমন) বিষয়াদি//যদি//প্রকাশ করা হয়//জন্যে তোমাদের//খারাপ লাগবে তোমাদের//এবং যদি//তোমরা প্রশ্ন করো//সম্পর্কে তা//যে সময়ে//অবতীর্ণ হয়//কোরআন//প্রকাশ করা হবে//জন্যে তোমাদের//ক্ষমা করেছেন//আল্লাহ//সম্পর্কে সে(যা অতীত হয়েছে)//এবং আল্লাহ//ক্ষমাশীল//সহনশীল"
            },
            {
              "number": 771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/771.mp3"
              ],
              "text": "قَدْ سَأَلَهَا قَوْمٌۭ مِّن قَبْلِكُمْ ثُمَّ أَصْبَحُوا۟ بِهَا كَٰفِرِينَ",
              "translate_bn": "এরূপ কথা বার্তা তোমাদের পুর্বে এক সম্প্রদায় জিজ্ঞেস করেছিল। এর পর তারা এসব বিষয়ে অবিশ্বাসী হয়ে গেল।",
              "numberInSurah": 102,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "কাদ ছাআলাহা-কাওমুম মিন কাবলিকুম ছুম্মা আসবাহূবিহা-কা-ফিরীন।",
              "words_arabic": "قَدْ/قَدۡ/qad//سَاَلَهَا/سَأَلَهَا/sa-alaha//قَوْمٌ/قَوۡمٞ/qawmun//مِّنْ/مِّن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//ثُمَّ/ثُمَّ/thumma//اَصْبَحُوْا/أَصۡبَحُواْ/asbahu//بِهَا/بِهَا/biha//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "নিশ্চয়ই//প্রশ্ন করেছিলো তা//সম্প্রদায়//থেকে//পূর্ব তোমাদের//এরপর//তারা হয়ে গিয়েছিলো//সম্পর্কে তা//অস্বীকারকারী"
            },
            {
              "number": 772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/772.mp3"
              ],
              "text": "مَا جَعَلَ ٱللَّهُ مِنۢ بَحِيرَةٍۢ وَلَا سَآئِبَةٍۢ وَلَا وَصِيلَةٍۢ وَلَا حَامٍۢ ۙ وَلَٰكِنَّ ٱلَّذِينَ كَفَرُوا۟ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ ۖ وَأَكْثَرُهُمْ لَا يَعْقِلُونَ",
              "translate_bn": "আল্লাহ ‘বহিরা’ ‘সায়েবা’ ওসীলা’ এবং ‘হামী’ কে শরীয়তসিদ্ধ করেননি। কিন্তু যারা কাফের, তারা আল্লাহর উপর মিথ্যা অপবাদ আরোপ করে। তাদের অধিকাংশেরই বিবেক বুদ্ধি নেই।",
              "numberInSurah": 103,
              "juz": 7,
              "manzil": 2,
              "page": 124,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "মা-জা‘আলাল্লা-হু মিম বাহীরাতিওঁ ওয়ালা-ছায়িবাতিওঁ ওয়ালা-ওয়াসীলাতিওঁ ওয়ালাহা-মিওঁ ওয়ালা-কিন্নাল্লাযীনা কাফারূইয়াফতারূনা ‘আলাল্লা-হিল কাযিবা ওয়া আকছারুহুম লা-ইয়া‘কিলূন।\r\n",
              "words_arabic": "مَا/مَا/ma//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْۢ/مِنۢ/min//بَحِیْرَةٍ/بَحِيرَةٖ/bahiratin//وَّ لَا/وَلَا/wala//سَآىِٕبَةٍ/سَآئِبَةٖ/saibatin//وَّ لَا/وَلَا/wala//وَصِیْلَةٍ/وَصِيلَةٖ/wasilatin//وَّ لَا/وَلَا/wala//حَامٍ ۙ/حَامٖ/hamin//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یَفْتَرُوْنَ/يَفۡتَرُونَ/yaftaruna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ ؕ/ٱلۡكَذِبَۖ/al-kadhiba//وَ اَكْثَرُهُمْ/وَأَكۡثَرُهُمۡ/wa-aktharuhum//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "না//(নির্দিষ্ট) করেছেন//আল্লাহ//কোনো//’বাহীরা’//ও না//কোনো ‘সাইবা’//ও না//কোনো অসীলা//ও না//কোনো ‘হ্যাম’//কিন্তু//যারা//অবিশ্বাস করেছে//করে তারা রচনা//উপর//আল্লাহর//মিথ্যা//এবং অধিকাংশই তাদের//না//জ্ঞানবুদ্ধি রাখে"
            },
            {
              "number": 773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/773.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ إِلَىٰ مَآ أَنزَلَ ٱللَّهُ وَإِلَى ٱلرَّسُولِ قَالُوا۟ حَسْبُنَا مَا وَجَدْنَا عَلَيْهِ ءَابَآءَنَآ ۚ أَوَلَوْ كَانَ ءَابَآؤُهُمْ لَا يَعْلَمُونَ شَيْـًۭٔا وَلَا يَهْتَدُونَ",
              "translate_bn": "যখন তাদেরকে বলা হয় যে, আল্লাহর নাযিলকৃত বিধান এবং রসূলের দিকে এস, তখন তারা বলে, আমাদের জন্যে তাই যথেষ্ট, যার উপর আমরা আমাদের বাপ-দাদাকে পেয়েছি। যদি তাদের বাপ দাদারা কোন জ্ঞান না রাখে এবং হেদায়েত প্রাপ্ত না হয় তবুও কি তারা তাই করবে?",
              "numberInSurah": 104,
              "juz": 7,
              "manzil": 2,
              "page": 125,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুম তা‘আ-লাও ইলা-মাআনঝালাল্লাহু ওয়া ইলাররাছূলি কা-লূ হাছবুনা-মা-ওয়াজাদনা- ‘আলাইহি আ-বাআনা- আওয়া লাও কা-না আ-বাউহুম লা-ইয়া‘লামূনা শাইআওঁ ওয়ালা-ইয়াহতাদূ ন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//اِلٰی/إِلَىٰ/ila//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//وَ اِلَی/وَإِلَى/wa-ila//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//قَالُوْا/قَالُواْ/qalu//حَسْبُنَا/حَسۡبُنَا/hasbuna//مَا/مَا/ma//وَجَدْنَا/وَجَدۡنَا/wajadna//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰبَآءَنَا ؕ/ءَابَآءَنَآۚ/abaana//اَوَ لَوْ/أَوَلَوۡ/awalaw//كَانَ/كَانَ/kana//اٰبَآؤُهُمْ/ءَابَآؤُهُمۡ/abauhum//لَا/لَا/la//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "এবং যখন//বলা হয়//উদ্দেশ্যে তাদের//\"তোমরা এসো//(তার) দিকে//যা//অবতীর্ণ করেছেন//আল্লাহ//ও দিকে//রাসূলের\"//তারা বলে//\"আমাদের জন্য যথেষ্ট//(তা সব) যা//আমরা পেয়েছি (অনুসরণ করতে)//উপর তার//বাপ-দাদাদেরকে আমাদের\"//(তাদেরকে বলো) তবে কি যদি//হয়//বাপ-দাদারা তাদের//না//জানতো//কিছুই//এবং না//সঠিক পথে চলতো (তবুও অনুসরণ করবে)"
            },
            {
              "number": 774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/774.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ عَلَيْكُمْ أَنفُسَكُمْ ۖ لَا يَضُرُّكُم مَّن ضَلَّ إِذَا ٱهْتَدَيْتُمْ ۚ إِلَى ٱللَّهِ مَرْجِعُكُمْ جَمِيعًۭا فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "হে মুমিনগণ, তোমরা নিজেদের চিন্তা কর। তোমরা যখন সৎপথে রয়েছ, তখন কেউ পথভ্রান্ত হলে তাতে তোমাদের কোন ক্ষতি নাই। তোমাদের সবাইকে আল্লাহর কাছে ফিরে যেতে হবে। তখন তিনি তোমাদেরকে বলে দেবেন, যা কিছু তোমরা করতে।",
              "numberInSurah": 105,
              "juz": 7,
              "manzil": 2,
              "page": 125,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ‘আলাইকুম আনফুছাকুম লা-ইয়াদুররুকুম মান দাল্লা ইযাহ তাদাইতুম ইলাল্লা-হি মারজি‘উকুম জামী‘আন ফাইউনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَنْفُسَكُمْ ۚ/أَنفُسَكُمۡۖ/anfusakum//لَا/لَا/la//یَضُرُّكُمْ/يَضُرُّكُم/yadurrukum//مَّنْ/مَّن/man//ضَلَّ/ضَلَّ/dalla//اِذَا/إِذَا/idha//اهْتَدَیْتُمْ ؕ/ٱهۡتَدَيۡتُمۡۚ/ih'tadaytum//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//جَمِیْعًا/جَمِيعٗا/jami'an//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//উপর তোমাদের(দায়িত্ব)//নিজেদের তোমাদের//না//ক্ষতি করতে পারবে তোমাদের//যে//পথভ্রষ্ট হবে//যখন//সঠিক পথে থাকবে তোমরা//দিকে//আল্লাহরই//প্রত্যাবর্তন হবে তোমাদের//সবারই//তখন জানিয়ে দিবেন তিনি তোমাদেরকে//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা কাজ করতে"
            },
            {
              "number": 775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/775.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ شَهَٰدَةُ بَيْنِكُمْ إِذَا حَضَرَ أَحَدَكُمُ ٱلْمَوْتُ حِينَ ٱلْوَصِيَّةِ ٱثْنَانِ ذَوَا عَدْلٍۢ مِّنكُمْ أَوْ ءَاخَرَانِ مِنْ غَيْرِكُمْ إِنْ أَنتُمْ ضَرَبْتُمْ فِى ٱلْأَرْضِ فَأَصَٰبَتْكُم مُّصِيبَةُ ٱلْمَوْتِ ۚ تَحْبِسُونَهُمَا مِنۢ بَعْدِ ٱلصَّلَوٰةِ فَيُقْسِمَانِ بِٱللَّهِ إِنِ ٱرْتَبْتُمْ لَا نَشْتَرِى بِهِۦ ثَمَنًۭا وَلَوْ كَانَ ذَا قُرْبَىٰ ۙ وَلَا نَكْتُمُ شَهَٰدَةَ ٱللَّهِ إِنَّآ إِذًۭا لَّمِنَ ٱلْءَاثِمِينَ",
              "translate_bn": "হে, মুমিনগণ, তোমাদের মধ্যে যখন কারও মৃত্যু উপস্থিত হয়, তখন ওছিয়ত করার সময় তোমাদের মধ্য থেকে ধর্মপরায়ন দুজনকে সাক্ষী রেখো। তোমরা সফরে থাকলে এবং সে অবস্থায় তোমাদের মৃত্যু উপস্থিত হলে তোমরা তোমাদের ছাড়াও দু ব্যক্তিকে সাক্ষী রেখো। যদি তোমাদের সন্দেহ হয়, তবে উভয়কে নামাযের পর থাকতে বলবে। অতঃপর উভয়েই আল্লাহর নামে কসম খাবে যে, আমরা এ কসমের বিনিময়ে কোন উপকার গ্রহণ করতে চাই না, যদিও কোন আত্নীয়ও হয় এবং আল্লাহর সাক্ষ্য আমরা গোপন করব না। এমতাবস্থায় কঠোর গোনাহগার হব।",
              "numberInSurah": 106,
              "juz": 7,
              "manzil": 2,
              "page": 125,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূশাহা-দাতুবাইনিকুম ইযা-হাদারা আহাদাকুমুল মাওতু হীনাল ওয়াসিইইয়াতিছনা-নি যাওয়া-‘আদলিম মিনকুম আও আ-খারা-নি মিন গাইরিকুম ইন আনতুম দারাবতুম ফিল আরদিফাআসা-বাতকুম মুসীবাতুল মাওতি তাহবিছূনাহুমামিম বা‘দিস সালা-তি ফাইউকছিমা-নি বিল্লা-হি ইনিরতাবতুম লা-নাশতারী বিহী ছামানওঁ ওয়া লাও কা-না যা- কুরবা- ওয়ালা-নাকতুমুশাহা-দাতাল্লা-হি ইন্নাইযাল্লা মিনাল আ-ছিমীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//شَهَادَةُ/شَهَٰدَةُ/shahadatu//بَیْنِكُمْ/بَيۡنِكُمۡ/baynikum//اِذَا/إِذَا/idha//حَضَرَ/حَضَرَ/hadara//اَحَدَكُمُ/أَحَدَكُمُ/ahadakumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//حِیْنَ/حِينَ/hina//الْوَصِیَّةِ/ٱلۡوَصِيَّةِ/al-wasiyati//اثْنٰنِ/ٱثۡنَانِ/ith'nani//ذَوَا/ذَوَا/dhawa//عَدْلٍ/عَدۡلٖ/adlin//مِّنْكُمْ/مِّنكُمۡ/minkum//اَوْ/أَوۡ/aw//اٰخَرٰنِ/ءَاخَرَانِ/akharani//مِنْ/مِنۡ/min//غَیْرِكُمْ/غَيۡرِكُمۡ/ghayrikum//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//ضَرَبْتُمْ/ضَرَبۡتُمۡ/darabtum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَاَصَابَتْكُمْ/فَأَصَٰبَتۡكُم/fa-asabatkum//مُّصِیْبَةُ/مُّصِيبَةُ/musibatu//الْمَوْتِ ؕ/ٱلۡمَوۡتِۚ/al-mawti//تَحْبِسُوْنَهُمَا/تَحۡبِسُونَهُمَا/tahbisunahuma//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//فَیُقْسِمٰنِ/فَيُقۡسِمَانِ/fayuq'simani//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//اِنِ/إِنِ/ini//ارْتَبْتُمْ/ٱرۡتَبۡتُمۡ/ir'tabtum//لَا/لَا/la//نَشْتَرِیْ/نَشۡتَرِي/nashtari//بِهٖ/بِهِۦ/bihi//ثَمَنًا/ثَمَنٗا/thamanan//وَّ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//ذَا/ذَا/dha//قُرْبٰی ۙ/قُرۡبَىٰ/qur'ba//وَ لَا/وَلَا/wala//نَكْتُمُ/نَكۡتُمُ/naktumu//شَهَادَةَ ۙ/شَهَٰدَةَ/shahadata//اللّٰهِ/ٱللَّهِ/al-lahi//اِنَّاۤ/إِنَّآ/inna//اِذًا/إِذٗا/idhan//لَّمِنَ/لَّمِنَ/lamina//الْاٰثِمِیْنَ /ٱلۡأٓثِمِينَ/al-athimina",
              "words_bangla": "হে//যারা//ঈমান এনেছো (ওসীয়ত করতে চাইলে)//সাক্ষী (রাখো)//মাঝে তোমাদের//যখন//উপস্থিত হয়//তোমাদের কারও//মৃত্যু//সময়//ওসীয়তের (জোর উপদেশ)//দু’জন//সম্পন্ন//ন্যায়//মধ্যে হতে তোমাদের//অথবা (না পেলে)//অন্য দু’জন//থেকে//ছাড়া তোমাদের(অমুসলমান)//যদি//তোমরা//সফর করো তোমরা//মধ্যে//দূরদেশের//অতঃপর পৌঁছে তোমাদের//বিপদ//মৃত্যুর//অপেক্ষমাণ রাখবে উভয়কে//থেকে//পর//সালাতের//অতঃপর উভয় শপথ করবে//নামে আল্লাহর//যদি//সন্দেহ করো তোমরা//\"(এবং বলবে) না//\"গ্রহণ করবো আমরা//বিনিময়ে তার//কোন মূল্যই//এবং যদিও//সে হয়//সম্পন্ন//নৈকট্য//এবং না//গোপন করবো আমরা//সাক্ষ্য//আল্লাহর//নিশ্চয়ই আমরা//তাহলে (হবো)//অবশ্যই অন্তর্ভুক্ত//পাপীদের\""
            },
            {
              "number": 776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/776.mp3"
              ],
              "text": "فَإِنْ عُثِرَ عَلَىٰٓ أَنَّهُمَا ٱسْتَحَقَّآ إِثْمًۭا فَـَٔاخَرَانِ يَقُومَانِ مَقَامَهُمَا مِنَ ٱلَّذِينَ ٱسْتَحَقَّ عَلَيْهِمُ ٱلْأَوْلَيَٰنِ فَيُقْسِمَانِ بِٱللَّهِ لَشَهَٰدَتُنَآ أَحَقُّ مِن شَهَٰدَتِهِمَا وَمَا ٱعْتَدَيْنَآ إِنَّآ إِذًۭا لَّمِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর যদি জানা যায় যে, উভয় ওসি কোন গোনাহে জড়িত রয়েছে, তবে যাদের বিরুদ্ধে গোনাহ হয়েছিল, তাদের মধ্য থেকে মৃতু ব্যক্তির নিকটতম দু’ব্যক্তি তাদের স্থলাভিষিক্ত হবে। অতঃপর আল্লাহর নামে কসম খাবে যে, অবশ্যই আমাদের সাক্ষ্য তাদের সাক্ষ্যর চাইতে অধিক সত্য এবং আমরা সীমা অতিক্রম করিনি। এমতাবস্থায় আমরা অবশ্যই অত্যাচারী হব।",
              "numberInSurah": 107,
              "juz": 7,
              "manzil": 2,
              "page": 125,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "ফাইন ‘উছিরা ‘আলাআন্নাহুমাছ তাহাক্কা ইছমান ফাআ-খারা-নি ইয়াকূমা-নি মাকামাহুমা-মিনাল্লাযীনাছতাহাক্কা ‘আলাইহিমুল আওলাইয়া-নি ফাইউকছিমা-নি বিল্লা-হি লাশাহা-দাতুনাআহাককুমিন শাহা-দাতিহিমা-ওয়া মা‘তাদাইনা ইন্নাইযাল্লা মিনাজ্জা-লিমীন।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//عُثِرَ/عُثِرَ/uthira//عَلٰۤی/عَلَىٰٓ/ala//اَنَّهُمَا/أَنَّهُمَا/annahuma//اسْتَحَقَّاۤ/ٱسۡتَحَقَّآ/is'tahaqqa//اِثْمًا/إِثۡمٗا/ith'man//فَاٰخَرٰنِ/فَـَٔاخَرَانِ/faakharani//یَقُوْمٰنِ/يَقُومَانِ/yaqumani//مَقَامَهُمَا/مَقَامَهُمَا/maqamahuma//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَحَقَّ/ٱسۡتَحَقَّ/is'tahaqqa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْاَوْلَیٰنِ/ٱلۡأَوۡلَيَٰنِ/al-awlayani//فَیُقْسِمٰنِ/فَيُقۡسِمَانِ/fayuq'simani//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//لَشَهَادَتُنَاۤ/لَشَهَٰدَتُنَآ/lashahadatuna//اَحَقُّ/أَحَقُّ/ahaqqu//مِنْ/مِن/min//شَهَادَتِهِمَا/شَهَٰدَتِهِمَا/shahadatihima//وَ مَا/وَمَا/wama//اعْتَدَیْنَاۤ ۖؗ/ٱعۡتَدَيۡنَآ/i'tadayna//اِنَّاۤ/إِنَّآ/inna//اِذًا/إِذٗا/idhan//لَّمِنَ/لَّمِنَ/lamina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর যদি//প্রকাশ পায়//এ ক্ষেত্রে//যে তারা দু'জনে//লিপ্ত হয়েছে দু'জনে//অপরাধে//তবে অন্য দু’জন//দাঁড়াবে//দু’জনের জায়গায় তাদের//মধ্য থেকে//(ঐ লোকদের) যারা//উপযুক্ত হয়েছে (স্বার্থহানি ঘটেছে)//উপর তাদের//(দাঁড়াবে তাদের) নিকটতম দু’জন//অতঃপর দু'জনে শপথ করবে//নামে আল্লাহর//\"অবশ্যই সাক্ষ্য অামাদের//অধিক সত্য//চেয়ে//দু’জনের সাক্ষ্যের তাদের//এবং না//সীমালংঘন করছি আমরা//(যদি করি)নিশ্চয়ই আমরা//তাহ'লে (হবো)//অবশ্যই অন্তর্ভূক্ত//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/777.mp3"
              ],
              "text": "ذَٰلِكَ أَدْنَىٰٓ أَن يَأْتُوا۟ بِٱلشَّهَٰدَةِ عَلَىٰ وَجْهِهَآ أَوْ يَخَافُوٓا۟ أَن تُرَدَّ أَيْمَٰنٌۢ بَعْدَ أَيْمَٰنِهِمْ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱسْمَعُوا۟ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَٰسِقِينَ",
              "translate_bn": "এটি এ বিষয়ের নিকটতম উপায় যে, তারা ঘটনাকে সঠিকভাবে প্রকাশ করবে অথবা আশঙ্কা করবে যে, তাদের কাছ থেকে কসম নেয়ার পর আবার কসম চাওয়া হবে। আল্লাহকে ভয় কর এবং শুন, আল্লাহ দুরাচারীদেরকে পথ-প্রদর্শন করবেন না।",
              "numberInSurah": 108,
              "juz": 7,
              "manzil": 2,
              "page": 125,
              "ruku": 99,
              "hizbQuarter": 50,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা আদনা-আইঁ ইয়া’তূবিশশাহা-দাতি ‘আলা-ওয়াজহিহাআও ইয়াখা-ফূআন তুরাদ্দা আইমা-নুম বা‘দা আইমা-নিহিম ওয়াত্তাকুল্লা-হা ওয়াছমা‘ঊ ওয়াল্লা-হু লাইয়াহদিল কাওমাল ফা-ছিকীন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//اَدْنٰۤی/أَدۡنَىٰٓ/adna//اَنْ/أَن/an//یَّاْتُوْا/يَأۡتُواْ/yatu//بِالشَّهَادَةِ/بِٱلشَّهَٰدَةِ/bil-shahadati//عَلٰی/عَلَىٰ/ala//وَجْهِهَاۤ/وَجۡهِهَآ/wajhiha//اَوْ/أَوۡ/aw//یَخَافُوْۤا/يَخَافُوٓاْ/yakhafu//اَنْ/أَن/an//تُرَدَّ/تُرَدَّ/turadda//اَیْمَانٌۢ/أَيۡمَٰنُۢ/aymanun//بَعْدَ/بَعۡدَ/ba'da//اَیْمَانِهِمْ ؕ/أَيۡمَٰنِهِمۡۗ/aymanihim//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اسْمَعُوْا ؕ/وَٱسۡمَعُواْۗ/wa-is'ma'u//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْفٰسِقِیْنَ۠/ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "এটা//নিকটতর (সম্ভাবনা)//যে//তারা আসবে//নিয়ে সাক্ষ্য//উপর//সঠিকতার তার//বা//তারা ভয় করবে//যে//পুনরায় করানো হবে//শপথগুলো//পরে//শপথগুলোর তাদের//এবং তোমরা ভয় করো//আল্লাহকে//ও তোমরা শুনো//এবং আল্লাহ//না//পরিচালিত করেন//সম্প্রদায়কে//(যারা) সত্যত্যাগী"
            },
            {
              "number": 778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/778.mp3"
              ],
              "text": "۞ يَوْمَ يَجْمَعُ ٱللَّهُ ٱلرُّسُلَ فَيَقُولُ مَاذَآ أُجِبْتُمْ ۖ قَالُوا۟ لَا عِلْمَ لَنَآ ۖ إِنَّكَ أَنتَ عَلَّٰمُ ٱلْغُيُوبِ",
              "translate_bn": "যেদিন আল্লাহ সব পয়গম্বরকে একত্রিত করবেন, অতঃপর বলবেন তোমরা কি উত্তর পেয়েছিলে? তাঁরা বলবেনঃ আমরা অবগত নই, আপনিই অদৃশ্য বিষয়ে মহাজ্ঞানী।",
              "numberInSurah": 109,
              "juz": 7,
              "manzil": 2,
              "page": 126,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াজমা‘উল্লা-হুর রুছুলা ফাইয়াকূলুমা-যাউজিবতুম কা-লূলা-‘ইলমা লানা- ইন্নাকা আনতা ‘আল্লা-মুল গুয়ূব।",
              "words_arabic": "یَوْمَ/۞يَوۡمَ/yawma//یَجْمَعُ/يَجۡمَعُ/yajma'u//اللّٰهُ/ٱللَّهُ/al-lahu//الرُّسُلَ/ٱلرُّسُلَ/al-rusula//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//مَا ذَاۤ/مَاذَآ/madha//اُجِبْتُمْ ؕ/أُجِبۡتُمۡۖ/ujib'tum//قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//عِلْمَ/عِلۡمَ/il'ma//لَنَا ؕ/لَنَآۖ/lana//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//عَلَّامُ/عَلَّـٰمُ/allamu//الْغُیُوْبِ /ٱلۡغُيُوبِ/al-ghuyubi",
              "words_bangla": "যে দিন//একত্র করবেন//আল্লাহ//রাসূলেদেরকে//অতঃপর তিনি বলবেন//\"কি//উত্তর দেয়া হয়েছিলো তোমাদেরকে\"//তারা বলবে//\"নেই//কোনো জ্ঞান//কাছে আমাদের//নিশ্চয়ই আপনি//আপনিই//মহাজ্ঞানী//অদৃশ্যসমূহের অবস্থা\""
            },
            {
              "number": 779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/779.mp3"
              ],
              "text": "إِذْ قَالَ ٱللَّهُ يَٰعِيسَى ٱبْنَ مَرْيَمَ ٱذْكُرْ نِعْمَتِى عَلَيْكَ وَعَلَىٰ وَٰلِدَتِكَ إِذْ أَيَّدتُّكَ بِرُوحِ ٱلْقُدُسِ تُكَلِّمُ ٱلنَّاسَ فِى ٱلْمَهْدِ وَكَهْلًۭا ۖ وَإِذْ عَلَّمْتُكَ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ ۖ وَإِذْ تَخْلُقُ مِنَ ٱلطِّينِ كَهَيْـَٔةِ ٱلطَّيْرِ بِإِذْنِى فَتَنفُخُ فِيهَا فَتَكُونُ طَيْرًۢا بِإِذْنِى ۖ وَتُبْرِئُ ٱلْأَكْمَهَ وَٱلْأَبْرَصَ بِإِذْنِى ۖ وَإِذْ تُخْرِجُ ٱلْمَوْتَىٰ بِإِذْنِى ۖ وَإِذْ كَفَفْتُ بَنِىٓ إِسْرَٰٓءِيلَ عَنكَ إِذْ جِئْتَهُم بِٱلْبَيِّنَٰتِ فَقَالَ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "যখন আল্লাহ বলবেনঃ হে ঈসা ইবনে মরিয়ম, তোমার প্রতি ও তোমার মাতার প্রতি আমার অনুগ্রহ স্মরণ কর, যখন আমি তোমাকে পবিত্র আত্মার দ্বারা সাহায্য করেছি। তুমি মানুষের সাথে কথা বলতে কোলে থাকতেও এবং পরিণত বয়সেও এবং যখন আমি তোমাকে গ্রন্থ, প্রগাঢ় জ্ঞান, তওরাত ও ইঞ্জিল শিক্ষা দিয়েছি এবং যখন তুমি কাদামাটি দিয়ে পাখীর প্রতিকৃতির মত প্রতিকৃতি নির্মাণ করতে আমার আদেশে, অতঃপর তুমি তাতে ফুঁ দিতে; ফলে তা আমার আদেশে পাখী হয়ে যেত এবং তুমি আমার আদেশে জন্মান্ধ ও কুষ্টরোগীকে নিরাময় করে দিতে এবং যখন আমি বনী-ইসরাঈলকে তোমা থেকে নিবৃত্ত রেখেছিলাম, যখন তুমি তাদের কাছে প্রমাণাদি নিয়ে এসেছিলে, অতঃপর তাদের মধ্যে যারা কাফের ছিল, তারা বললঃ এটা প্রকাশ্য জাদু ছাড়া কিছুই নয়।",
              "numberInSurah": 110,
              "juz": 7,
              "manzil": 2,
              "page": 126,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লাল্লা-হু ইয়া-‘ঈছাব না মারইয়ামাযকুর নি‘মাতী ‘আলাইকা ওয়া ‘আলা-ওয়ালিদাতিক । ইযআইঁ ইয়াত্তুকা বিরুহিল কুদুছি তুকালিলমুন না-ছা ফিল মাহদি ওয়া কাহলাওঁ ওয়া ইয‘আল্লামতুকাল কিতা-বা ওয়াল হিকমাতা ওয়াত্তাওরা-তা ওয়াল ইনজীলা ওয়া ইযতাখলুকুমিনাততীনি কাহাইআতিততাইরি বিইযনী ফাতানফুখু ফীহা-ফাতাকূনুতাইরাম বিইযনী ওয়াতুবরিউল আকমাহা ওয়াল আবরাসা বিইযনী ওয়া ইযতুখরিজুল মাওতা-বিইযনী ওয়া ইযকাফাফতুবানীইছরাঈলা ‘আনকা ইযজি’তাহুম বিলবাইয়িনা-তি ফাকা-লাল্লাযীনা কাফারূমিনহুম ইন হা-যা ইল্লাছিহরুম মুবীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//یٰعِیْسَی/يَٰعِيسَى/ya'isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//اذْكُرْ/ٱذۡكُرۡ/udh'kur//نِعْمَتِیْ/نِعۡمَتِي/ni'mati//عَلَیْكَ/عَلَيۡكَ/alayka//وَ عَلٰی/وَعَلَىٰ/wa'ala//وَ الِدَتِكَ ۘ/وَٰلِدَتِكَ/walidatika//اِذْ/إِذۡ/idh//اَیَّدْتُّكَ/أَيَّدتُّكَ/ayyadttuka//بِرُوْحِ/بِرُوحِ/biruhi//الْقُدُسِ ۫/ٱلۡقُدُسِ/al-qudusi//تُكَلِّمُ/تُكَلِّمُ/tukallimu//النَّاسَ/ٱلنَّاسَ/al-nasa//فِی/فِي/fi//الْمَهْدِ/ٱلۡمَهۡدِ/al-mahdi//وَ كَهْلًا ۚ/وَكَهۡلٗاۖ/wakahlan//وَ اِذْ/وَإِذۡ/wa-idh//عَلَّمْتُكَ/عَلَّمۡتُكَ/allamtuka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ التَّوْرٰىةَ/وَٱلتَّوۡرَىٰةَ/wal-tawrata//وَ الْاِنْجِیْلَ ۚ/وَٱلۡإِنجِيلَۖ/wal-injila//وَ اِذْ/وَإِذۡ/wa-idh//تَخْلُقُ/تَخۡلُقُ/takhluqu//مِنَ/مِنَ/mina//الطِّیْنِ/ٱلطِّينِ/al-tini//كَهَیْـَٔةِ/كَهَيۡـَٔةِ/kahayati//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//بِاِذْنِیْ/بِإِذۡنِي/bi-idh'ni//فَتَنْفُخُ/فَتَنفُخُ/fatanfukhu//فِیْهَا/فِيهَا/fiha//فَتَكُوْنُ/فَتَكُونُ/fatakunu//طَیْرًۢا/طَيۡرَۢا/tayran//بِاِذْنِیْ/بِإِذۡنِيۖ/bi-idh'ni//وَ تُبْرِئُ/وَتُبۡرِئُ/watub'ri-u//الْاَكْمَهَ/ٱلۡأَكۡمَهَ/al-akmaha//وَ الْاَبْرَصَ/وَٱلۡأَبۡرَصَ/wal-abrasa//بِاِذْنِیْ ۚ/بِإِذۡنِيۖ/bi-idh'ni//وَ اِذْ/وَإِذۡ/wa-idh//تُخْرِجُ/تُخۡرِجُ/tukh'riju//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//بِاِذْنِیْ ۚ/بِإِذۡنِيۖ/bi-idh'ni//وَ اِذْ/وَإِذۡ/wa-idh//كَفَفْتُ/كَفَفۡتُ/kafaftu//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//عَنْكَ/عَنكَ/anka//اِذْ/إِذۡ/idh//جِئْتَهُمْ/جِئۡتَهُم/ji'tahum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَقَالَ/فَقَالَ/faqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْهُمْ/مِنۡهُمۡ/min'hum//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলেন//আল্লাহ//\"হে ঈসা//পূত্র//মারইয়ামের//তুমি স্মরণ করো//আমার অনুগ্রহ//উপর তোমার//ও উপর//তোমার মাতার//যখন//তোমাকে শক্তিশালী করেছিলাম//দিয়ে আত্মা//পবিত্র//তুমি কথা বলতে//মানুষের(সাথে)//মধ্যে//দোলনার//এবং পরিণত বয়সেও//এবং যখন//শিখিয়েছিলাম তোমাকে//কিতাব//ও প্রজ্ঞা//ও তাওরাত//ও ইনজীল//এবং (স্মরণ করো) যখন//তুমি তৈরী করতে//দিয়ে//মাটি//মতো আকৃতির//পাখির//নিয়ে আমার অনুমতি//এরপর ফুঁ দিতে//মধ্যে তার//তখন হয়ে যেতো সেটা//পাখি//মাধ্যমে আমার অনুুমতির//ও নিরাময় করতে তুমি//জন্মান্ধকে//ও কুষ্ঠ রোগীকে//মাধ্যমে আমার আদেশের//এবং যখন//বের করতে তুমি (জীবিত করে)//মৃতদেরকে//মাধ্যমে আমার আদেশের//এবং যখন//আমি নিবৃত্ত করেছিলাম//বনী//ইসরাঈলকে//থেকে তোমার//যখন//কাছে এসেছিলে তুমি তাদের//সহ স্পষ্ট নিদর্শনাদি//অতঃপর বলেছিলো//যারা//অস্বীকার করেছিল//মধ্য হতে তাদের//\"নয়//\"এটা (অন্য কিছু)//ছাড়া//জাদু\"//সুস্পষ্ট\""
            },
            {
              "number": 780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/780.mp3"
              ],
              "text": "وَإِذْ أَوْحَيْتُ إِلَى ٱلْحَوَارِيِّۦنَ أَنْ ءَامِنُوا۟ بِى وَبِرَسُولِى قَالُوٓا۟ ءَامَنَّا وَٱشْهَدْ بِأَنَّنَا مُسْلِمُونَ",
              "translate_bn": "আর যখন আমি হাওয়ারীদের মনে জাগ্রত করলাম যে, আমার প্রতি এবং আমার রসূলের প্রতি বিশ্বাস স্থাপন কর, তখন তারা বলতে লাগল, আমরা বিশ্বাস স্থাপন করলাম এবং আপনি সাক্ষী থাকুন যে, আমরা অনুগত্যশীল।",
              "numberInSurah": 111,
              "juz": 7,
              "manzil": 2,
              "page": 126,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআওহাইতুইলাল হাওয়া-রিইয়ীনা আন আ-মিনূবী ওয়াবিরাছূলী কা-লূআমান্না-ওয়াশহাদ বিআন্নানা-মুছলিমূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَوْحَیْتُ/أَوۡحَيۡتُ/awhaytu//اِلَی/إِلَى/ila//الْحَوَارِیّٖنَ/ٱلۡحَوَارِيِّـۧنَ/al-hawariyina//اَنْ/أَنۡ/an//اٰمِنُوْا/ءَامِنُواْ/aminu//بِیْ/بِي/bi//وَ بِرَسُوْلِیْ ۚ/وَبِرَسُولِي/wabirasuli//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//وَ اشْهَدْ/وَٱشۡهَدۡ/wa-ish'had//بِاَنَّنَا/بِأَنَّنَا/bi-annana//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং যখন//প্রেরণা দিয়েছিলাম//প্রতি//হাওয়ারীদের//যে//ঈমান আনো//প্রতি আমার//ও প্রতি আমার রাসূলের//তারা বলেছিলো//\"ঈমান আনলাম আমরা//ও সাক্ষী থাকো//যে আমরা//মুসলমান (হলাম)"
            },
            {
              "number": 781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/781.mp3"
              ],
              "text": "إِذْ قَالَ ٱلْحَوَارِيُّونَ يَٰعِيسَى ٱبْنَ مَرْيَمَ هَلْ يَسْتَطِيعُ رَبُّكَ أَن يُنَزِّلَ عَلَيْنَا مَآئِدَةًۭ مِّنَ ٱلسَّمَآءِ ۖ قَالَ ٱتَّقُوا۟ ٱللَّهَ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "যখন হাওয়ারীরা বললঃ হে মরিয়ম তনয় ঈসা, আপনার পালনকর্তা কি এরূপ করতে পারেন যে, আমাদের জন্যে আকাশ থেকে খাদ্যভর্তি খাঞ্চা অবতরণ করে দেবেন? তিনি বললেনঃ যদি তোমরা ঈমানদার হও, তবে আল্লাহকে ভয় কর।",
              "numberInSurah": 112,
              "juz": 7,
              "manzil": 2,
              "page": 126,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লাল হাওয়া-রিইয়ূনা ইয়া-‘ঈছাবনা মারইয়ামা হাল ইয়াছতাতী‘উ রাব্বুকা আইঁ ইউনাঝঝিলা ‘আলাইনা-মাইদাতাম মিনাছছামাই কা-লাত তাকুল্লা-হা ইন কুনতুম মু’মিনীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//الْحَوَارِیُّوْنَ/ٱلۡحَوَارِيُّونَ/al-hawariyuna//یٰعِیْسَی/يَٰعِيسَى/ya'isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//هَلْ/هَلۡ/hal//یَسْتَطِیْعُ/يَسۡتَطِيعُ/yastati'u//رَبُّكَ/رَبُّكَ/rabbuka//اَنْ/أَن/an//یُّنَزِّلَ/يُنَزِّلَ/yunazzila//عَلَیْنَا/عَلَيۡنَا/alayna//مَآىِٕدَةً/مَآئِدَةٗ/maidatan//مِّنَ/مِّنَ/mina//السَّمَآءِ ؕ/ٱلسَّمَآءِۖ/al-samai//قَالَ/قَالَ/qala//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//হাওয়ারীরা//\"হে ঈসা//পুত্র//মারইয়ামের//কি//পারেন//তোমার রব//যে//অবতীর্ণ করবেন//উপর আমাদের//খাদ্য পূর্ণ পাত্র//থেকে//আকাশ\"//সে বলেছিলো//\"তোমরা ভয় করো//আল্লাহকে//যদি//হও তোমরা//মু’মিন\""
            },
            {
              "number": 782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/782.mp3"
              ],
              "text": "قَالُوا۟ نُرِيدُ أَن نَّأْكُلَ مِنْهَا وَتَطْمَئِنَّ قُلُوبُنَا وَنَعْلَمَ أَن قَدْ صَدَقْتَنَا وَنَكُونَ عَلَيْهَا مِنَ ٱلشَّٰهِدِينَ",
              "translate_bn": "তারা বললঃ আমরা তা থেকে খেতে চাই; আমাদের অন্তর পরিতৃপ্ত হবে; আমরা জেনে নেব যে, আপনি সত্য বলেছেন এবং আমরা সাক্ষ্যদাতা হয়ে যাব।",
              "numberInSurah": 113,
              "juz": 7,
              "manzil": 2,
              "page": 126,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কা-লূনুরীদুআন না’কুলা মিনহা-ওয়া তাতমাইন্না কুলূবুনা-ওয়া না‘লামা আন কাদ সাদাকতানা-ওয়া নাকূনা ‘আলাইহা-মিনাশশা-হিদীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//نُرِیْدُ/نُرِيدُ/nuridu//اَنْ/أَن/an//نَّاْكُلَ/نَّأۡكُلَ/nakula//مِنْهَا/مِنۡهَا/min'ha//وَ تَطْمَىِٕنَّ/وَتَطۡمَئِنَّ/watatma-inna//قُلُوْبُنَا/قُلُوبُنَا/qulubuna//وَ نَعْلَمَ/وَنَعۡلَمَ/wana'lama//اَنْ/أَن/an//قَدْ/قَدۡ/qad//صَدَقْتَنَا/صَدَقۡتَنَا/sadaqtana//وَ نَكُوْنَ/وَنَكُونَ/wanakuna//عَلَیْهَا/عَلَيۡهَا/alayha//مِنَ/مِنَ/mina//الشّٰهِدِیْنَ /ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "তারা বলেছিলো//\"চাই আমরা//যে//খাবো আমরা//থেকে তা (খাদ্য)//ও প্রশান্তি লাভ করবে//অন্তরগুলো আমাদের//এবং আমরা জানবো//যে//নিশ্চয়ই//তুমি সত্য বলেছো আমাদেরকে//এবং হবো আমরা//উপর তার//অন্তর্ভূক্ত//সাক্ষীদাতাদের"
            },
            {
              "number": 783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/783.mp3"
              ],
              "text": "قَالَ عِيسَى ٱبْنُ مَرْيَمَ ٱللَّهُمَّ رَبَّنَآ أَنزِلْ عَلَيْنَا مَآئِدَةًۭ مِّنَ ٱلسَّمَآءِ تَكُونُ لَنَا عِيدًۭا لِّأَوَّلِنَا وَءَاخِرِنَا وَءَايَةًۭ مِّنكَ ۖ وَٱرْزُقْنَا وَأَنتَ خَيْرُ ٱلرَّٰزِقِينَ",
              "translate_bn": "ঈসা ইবনে মরিয়ম বললেনঃ হে আল্লাহ আমাদের পালনকর্তা আমাদের প্রতি আকাশ থেকে খাদ্যভর্তি খাঞ্চা অবতরণ করুন। তা আমাদের জন্যে অর্থাৎ, আমাদের প্রথম ও পরবর্তী সবার জন্যে আনন্দোৎসব হবে এবং আপনার পক্ষ থেকে একটি নিদর্শন হবে। আপনি আমাদের রুযী দিন। আপনিই শ্রেষ্ট রুযীদাতা।",
              "numberInSurah": 114,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কা-লা ‘ঈছাবনুমারইয়ামাল্লা-হুম্মা রাব্বানাআনঝিল ‘আলাইনা-মাইদাতাম মিনাছছামাই তাকূনুলানা-‘ঈদাল লিআওওয়ালিনা-ওয়া আ-খিরিনা-ওয়া আ-ইয়াতাম মিনকা ওয়ারঝুকনা-ওয়া আনতা খাইরুর রা-ঝিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//اللّٰهُمَّ/ٱللَّهُمَّ/al-lahuma//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَنْزِلْ/أَنزِلۡ/anzil//عَلَیْنَا/عَلَيۡنَا/alayna//مَآىِٕدَةً/مَآئِدَةٗ/maidatan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//تَكُوْنُ/تَكُونُ/takunu//لَنَا/لَنَا/lana//عِیْدًا/عِيدٗا/idan//لِّاَوَّلِنَا/لِّأَوَّلِنَا/li-awwalina//وَ اٰخِرِنَا/وَءَاخِرِنَا/waakhirina//وَ اٰیَةً/وَءَايَةٗ/waayatan//مِّنْكَ ۚ/مِّنكَۖ/minka//وَ ارْزُقْنَا/وَٱرۡزُقۡنَا/wa-ur'zuq'na//وَ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الرّٰزِقِیْنَ /ٱلرَّـٰزِقِينَ/al-raziqina",
              "words_bangla": "(তখন) বলেছিলো//ঈসা//পুত্র্র//মারইয়ামের//\"হে আল্লাহ//হে আমাদের রব//পাঠান//জন্যে আমাদের//খাদ্যপূর্ণ পাত্র//থেকে//আকাশ//যা হবে//জন্যে আমাদের//খুশির উপলক্ষ//জন্যে পূর্ববর্তীদের আমাদের//ও পরবর্তীদের আমাদের//ও নিদর্শন (হবে)//থেকে আপনার//এবং জীবিকা দিন আমাদেরকে//এবং আপনি//উত্তম//জীবিকাদাতা"
            },
            {
              "number": 784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/784.mp3"
              ],
              "text": "قَالَ ٱللَّهُ إِنِّى مُنَزِّلُهَا عَلَيْكُمْ ۖ فَمَن يَكْفُرْ بَعْدُ مِنكُمْ فَإِنِّىٓ أُعَذِّبُهُۥ عَذَابًۭا لَّآ أُعَذِّبُهُۥٓ أَحَدًۭا مِّنَ ٱلْعَٰلَمِينَ",
              "translate_bn": "আল্লাহ বললেনঃ নিশ্চয় আমি সে খাঞ্চা তোমাদের প্রতি অবতরণ করব। অতঃপর যে ব্যাক্তি এর পরেও অকৃতজ্ঞ হবে, আমি তাকে এমন শাস্তি দেব, যে শাস্তি বিশ্বজগতের অপর কাউকে দেব না।",
              "numberInSurah": 115,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 100,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লা-হু ইন্নী মুনাঝঝিলুহুা-‘আলাইকুম ফামাইঁ ইয়াকফুর বা‘দুমিনকুম ফাইন্নীউ‘আযযিবুহু ‘আযা-বাল লাউ‘আযযিবুহু-আহাদাম মিনাল ‘আ-লামীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//اِنِّیْ/إِنِّي/inni//مُنَزِّلُهَا/مُنَزِّلُهَا/munazziluha//عَلَیْكُمْ ۚ/عَلَيۡكُمۡۖ/alaykum//فَمَنْ/فَمَن/faman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بَعْدُ/بَعۡدُ/ba'du//مِنْكُمْ/مِنكُمۡ/minkum//فَاِنِّیْۤ/فَإِنِّيٓ/fa-inni//اُعَذِّبُهٗ/أُعَذِّبُهُۥ/u'adhibuhu//عَذَابًا/عَذَابٗا/adhaban//لَّاۤ/لَّآ/la//اُعَذِّبُهٗۤ/أُعَذِّبُهُۥٓ/u'adhibuhu//اَحَدًا/أَحَدٗا/ahadan//مِّنَ/مِّنَ/mina//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "বললেন//আল্লাহ//\"নিশ্চয়ই আমি//অবতীর্ণকারী তা//উপর তোমাদের//তবে যে//অস্বীকার করবে//এরপরেও//মধ্য হতে তোমাদের//তখন নিশ্চয়ই আমি//শাস্তি দিবো আমি তাকে//(এমন) শাস্তি//(যা) না//আমি শাস্তি দিয়েছি তা//কাউকে//মধ্যে//বিশ্বজগতের\""
            },
            {
              "number": 785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/785.mp3"
              ],
              "text": "وَإِذْ قَالَ ٱللَّهُ يَٰعِيسَى ٱبْنَ مَرْيَمَ ءَأَنتَ قُلْتَ لِلنَّاسِ ٱتَّخِذُونِى وَأُمِّىَ إِلَٰهَيْنِ مِن دُونِ ٱللَّهِ ۖ قَالَ سُبْحَٰنَكَ مَا يَكُونُ لِىٓ أَنْ أَقُولَ مَا لَيْسَ لِى بِحَقٍّ ۚ إِن كُنتُ قُلْتُهُۥ فَقَدْ عَلِمْتَهُۥ ۚ تَعْلَمُ مَا فِى نَفْسِى وَلَآ أَعْلَمُ مَا فِى نَفْسِكَ ۚ إِنَّكَ أَنتَ عَلَّٰمُ ٱلْغُيُوبِ",
              "translate_bn": "যখন আল্লাহ বললেনঃ হে ঈসা ইবনে মরিয়ম! তুমি কি লোকদেরকে বলে দিয়েছিলে যে, আল্লাহকে ছেড়ে আমাকে ও আমার মাতাকে উপাস্য সাব্যস্ত কর? ঈসা বলবেন; আপনি পবিত্র! আমার জন্যে শোভা পায় না যে, আমি এমন কথা বলি, যা বলার কোন অধিকার আমার নেই। যদি আমি বলে থাকি, তবে আপনি অবশ্যই পরিজ্ঞাত; আপনি তো আমার মনের কথা ও জানেন এবং আমি জানি না যা আপনার মনে আছে। নিশ্চয় আপনিই অদৃশ্য বিষয়ে জ্ঞাত।",
              "numberInSurah": 116,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 101,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লাল্লা-হু ইয়া-‘ঈছাবনা মারইয়ামা আআনতা কুলতা লিন্না-ছিততাখিযূনী ওয়া উম্মিয়া ইলা-হাইনি মিন দূ নিল্লা-হি কা-লা ছুবহা-নাকা মা-ইয়াকূনুলীআন আকূলা মা-লাইছা লী বিহাক্কিন ইন কুনতুকু লতুহূফাকাদ ‘আলিমতাহূ তা‘লামুমাফী নাফছী ওয়ালাআ‘লামুমা-ফী নাফছিকা ইন্নাকা আনতা ‘আল্লা-মুল গুয়ূব।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//یٰعِیْسَی/يَٰعِيسَى/ya'isa//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//ءَاَنْتَ/ءَأَنتَ/a-anta//قُلْتَ/قُلۡتَ/qul'ta//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//اتَّخِذُوْنِیْ/ٱتَّخِذُونِي/ittakhidhuni//وَ اُمِّیَ/وَأُمِّيَ/wa-ummiya//اِلٰهَیْنِ/إِلَٰهَيۡنِ/ilahayni//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالَ/قَالَ/qala//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//مَا/مَا/ma//یَكُوْنُ/يَكُونُ/yakunu//لِیْۤ/لِيٓ/li//اَنْ/أَنۡ/an//اَقُوْلَ/أَقُولَ/aqula//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لِیْ ۗ/لِي/li//بِحَقٍّ ؔؕ/بِحَقٍّۚ/bihaqqin//اِنْ/إِن/in//كُنْتُ/كُنتُ/kuntu//قُلْتُهٗ/قُلۡتُهُۥ/qul'tuhu//فَقَدْ/فَقَدۡ/faqad//عَلِمْتَهٗ ؕ/عَلِمۡتَهُۥۚ/alim'tahu//تَعْلَمُ/تَعۡلَمُ/ta'lamu//مَا/مَا/ma//فِیْ/فِي/fi//نَفْسِیْ/نَفۡسِي/nafsi//وَ لَاۤ/وَلَآ/wala//اَعْلَمُ/أَعۡلَمُ/a'lamu//مَا/مَا/ma//فِیْ/فِي/fi//نَفْسِكَ ؕ/نَفۡسِكَۚ/nafsika//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//عَلَّامُ/عَلَّـٰمُ/allamu//الْغُیُوْبِ /ٱلۡغُيُوبِ/al-ghuyubi",
              "words_bangla": "এবং যখন//বলবেন//আল্লাহ//\"হে ঈসা//পুত্র//মারইয়ামের//কি তুমি//বলেছিলে//উদ্দেশ্যে লোকদের//\"তোমরা গ্রহণ করো আমাকে//ও আমার মাকে//দুই ইলাহরূপে//দিয়ে//বাদ//আল্লাহকে\"//সে বলবে//\"মহিমাময় আপনি//না//সঙ্গত//জন্যে আমার//যে//বলবো আমি//যা//নয়//আমার//অধিকার//যদি//আমি বলে থাকি//আমি তা//তবে নিশ্চয়ই//আপনি জানেন তা//জানেন আপনি//যা কিছু//মধ্যে (আছে)//আমার অন্তরের//এবং না//জানি আমি//যা কিছু//মধ্যে (আছে)//আপনার মনের//নিশ্চয়ই আপনি//আপনিই//সর্বাধিক পরিজ্ঞাত//অদৃশ্য সম্বন্ধে"
            },
            {
              "number": 786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/786.mp3"
              ],
              "text": "مَا قُلْتُ لَهُمْ إِلَّا مَآ أَمَرْتَنِى بِهِۦٓ أَنِ ٱعْبُدُوا۟ ٱللَّهَ رَبِّى وَرَبَّكُمْ ۚ وَكُنتُ عَلَيْهِمْ شَهِيدًۭا مَّا دُمْتُ فِيهِمْ ۖ فَلَمَّا تَوَفَّيْتَنِى كُنتَ أَنتَ ٱلرَّقِيبَ عَلَيْهِمْ ۚ وَأَنتَ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌ",
              "translate_bn": "আমি তো তাদেরকে কিছুই বলিনি, শুধু সে কথাই বলেছি যা আপনি বলতে আদেশ করেছিলেন যে, তোমরা আল্লাহর দাসত্ব অবলম্বন কর যিনি আমার ও তোমাদের পালনকর্তা আমি তাদের সম্পর্কে অবগত ছিলাম যতদিন তাদের মধ্যে ছিলাম। অতঃপর যখন আপনি আমাকে লোকান্তরিত করলেন, তখন থেকে আপনিই তাদের সম্পর্কে অবগত রয়েছেন। আপনি সর্ববিষয়ে পূর্ণ পরিজ্ঞাত।",
              "numberInSurah": 117,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 101,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "মা-কুলতুলাহুম ইল্লা-মাআমারতানী বিহীআনি‘বুদুল্লা-হা রাববী ওয়া রাব্বাকুম ওয়া কুনতু‘আলাইহিম শাহীদাম মা-দুমতুফীহিম ফালাম্মা-তাওয়াফফাইতানী কুনতা আনতার রাকীবা ‘আলাইহিম ওয়া আনতা ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "مَا/مَا/ma//قُلْتُ/قُلۡتُ/qul'tu//لَهُمْ/لَهُمۡ/lahum//اِلَّا/إِلَّا/illa//مَاۤ/مَآ/ma//اَمَرْتَنِیْ/أَمَرۡتَنِي/amartani//بِهٖۤ/بِهِۦٓ/bihi//اَنِ/أَنِ/ani//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//رَبِّیْ/رَبِّي/rabbi//وَ رَبَّكُمْ ۚ/وَرَبَّكُمۡۚ/warabbakum//وَ كُنْتُ/وَكُنتُ/wakuntu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//شَهِیْدًا/شَهِيدٗا/shahidan//مَّا/مَّا/ma//دُمْتُ/دُمۡتُ/dum'tu//فِیْهِمْ ۚ/فِيهِمۡۖ/fihim//فَلَمَّا/فَلَمَّا/falamma//تَوَفَّیْتَنِیْ/تَوَفَّيۡتَنِي/tawaffaytani//كُنْتَ/كُنتَ/kunta//اَنْتَ/أَنتَ/anta//الرَّقِیْبَ/ٱلرَّقِيبَ/al-raqiba//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//وَ اَنْتَ/وَأَنتَ/wa-anta//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌ /شَهِيدٌ/shahidun",
              "words_bangla": "না//আমি বলেছি//উদ্দেশ্যে তাদের//এ ছাড়া//যা//আপনি আমাকে নির্দেশ দিয়েছিলেন//সম্পর্কে সে//যে//\"তোমরা ইবাদত করো//আল্লাহর (যিনি)//আমার রব//ও রব তোমাদের\"//এবং আমি ছিলাম//উপর তাদের//সাক্ষী//যতক্ষণ//আমি ছিলাম//মধ্যে তাদের (উপস্থিত)//অতঃপর যখন//আমাকে উঠিয়ে নিলেন আপনি//আপনি ছিলেন//আপনি//তত্ত্বাবধায়ক//উপর তাদের//এবং আপনি//উপর//সব//কিছুরই//সাক্ষী"
            },
            {
              "number": 787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/787.mp3"
              ],
              "text": "إِن تُعَذِّبْهُمْ فَإِنَّهُمْ عِبَادُكَ ۖ وَإِن تَغْفِرْ لَهُمْ فَإِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "যদি আপনি তাদেরকে শাস্তি দেন, তবে তারা আপনার দাস এবং যদি আপনি তাদেরকে ক্ষমা করেন, তবে আপনিই পরাক্রান্ত, মহাবিজ্ঞ।",
              "numberInSurah": 118,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 101,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ইন তু‘আযযিবহুম ফাইন্নাহুম ‘ইবা-দুকা ওয়া ইন তাগফির লাহুম ফাইন্নাকা আনতাল ‘আঝীঝুল হাকীম।",
              "words_arabic": "اِنْ/إِن/in//تُعَذِّبْهُمْ/تُعَذِّبۡهُمۡ/tu'adhib'hum//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//عِبَادُكَ ۚ/عِبَادُكَۖ/ibaduka//وَ اِنْ/وَإِن/wa-in//تَغْفِرْ/تَغۡفِرۡ/taghfir//لَهُمْ/لَهُمۡ/lahum//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//اَنْتَ/أَنتَ/anta//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "(এখন) যদি//শাস্তি দেন আপনি তাদের//তবুও নিশ্চয়ই তারা//দাস আপনার//আর যদি//ক্ষমা করেন আপনি//প্রতি তাদের//তবুও নিশ্চয়ই আপনি//আপনিই//পরাক্রমশালী//প্রজ্ঞাময়\""
            },
            {
              "number": 788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/788.mp3"
              ],
              "text": "قَالَ ٱللَّهُ هَٰذَا يَوْمُ يَنفَعُ ٱلصَّٰدِقِينَ صِدْقُهُمْ ۚ لَهُمْ جَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۚ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আল্লাহ বললেনঃ আজকের দিনে সত্যবাদীদের সত্যবাদিতা তাদের উপকারে আসবে। তাদের জন্যে উদ্যান রয়েছে, যার তলদেশে নির্ঝরিনী প্রবাহিত হবে; তারা তাতেই চিরকাল থাকবে। আল্লাহ তাদের প্রতি সন্তুষ্ট। এটিই মহান সফলতা।",
              "numberInSurah": 119,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 101,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লা-হু হা-যা-ইয়াওমুইয়ানফা‘উস সা-দিকীনা সিদকুহুম লাহুম জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহাআবাদার রাদিয়াল্লা-হু ‘আনহুম ওয়া রাদূ ‘আনহু যা-লিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//هٰذَا/هَٰذَا/hadha//یَوْمُ/يَوۡمُ/yawmu//یَنْفَعُ/يَنفَعُ/yanfa'u//الصّٰدِقِیْنَ/ٱلصَّـٰدِقِينَ/al-sadiqina//صِدْقُهُمْ ؕ/صِدۡقُهُمۡۚ/sid'quhum//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٌ/جَنَّـٰتٞ/jannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۖ/abadan//رَضِیَ/رَّضِيَ/radiya//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ رَضُوْا/وَرَضُواْ/waradu//عَنْهُ ؕ/عَنۡهُۚ/anhu//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "(তখন) বলবেন//আল্লাহ//\"এই//দিনে//উপকার দিবে//সত্যবাদীদেরকে//সত্যতা তাদের\"//জন্যে তাদের (রয়েছে)//জান্নাত//প্রবাহিত হয়//দিয়ে//নিচ তার//ঝর্ণাধারাসমূহ//তারা স্হায়ীভাবে বসবাস করবে//মধ্যে তার//সর্বদাই\"//সন্তুষ্ট হয়েছেন//আল্লাহ//প্রতি তাদের//ও তারা সন্তুষ্ট হয়েছে//প্রতি তাঁর//এটা//সাফল্য//মহা"
            },
            {
              "number": 789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/789.mp3"
              ],
              "text": "لِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا فِيهِنَّ ۚ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۢ",
              "translate_bn": "নভোমন্ডল, ভূমন্ডল এবং এতদুভয়ে অবস্থিত সবকিছুর আধিপত্য আল্লাহরই। তিনি সবকিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 120,
              "juz": 7,
              "manzil": 2,
              "page": 127,
              "ruku": 101,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "লিল্লা-হি মুলকুছছামা-ওয়া-তি ওয়াল আরদিওয়া মা- ফীহিন্না ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "لِلّٰهِ/لِلَّهِ/lillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//فِیْهِنَّ ؕ/فِيهِنَّۚ/fihinna//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ۠/قَدِيرُۢ/qadirun",
              "words_bangla": "জন্যে আল্লাহর(রয়েছে)//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//এবং যা কিছু//মধ্যে তাদের (আছে)//এবং তিনি//উপর//সব//কিছুরই//সর্বশক্তিমান"
            }
          ]
        },
        {
          "number": 6,
          "name": "سُورَةُ الأَنۡعَامِ",
          "englishName": "Al-An'aam",
          "englishNameTranslation": "The Cattle",
          "revelationType": "Meccan",
          "verse": 165,
          "words": 6226,
          "chars": 26109,
          "ayahs": [
            {
              "number": 790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/790.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَجَعَلَ ٱلظُّلُمَٰتِ وَٱلنُّورَ ۖ ثُمَّ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ يَعْدِلُونَ",
              "translate_bn": "সর্ববিধ প্রশংসা আল্লাহরই জন্য যিনি নভোমন্ডল ও ভূমন্ডল সৃষ্টি করেছেন এবং অন্ধকার ও আলোর উদ্ভব করেছেন। তথাপি কাফেররা স্বীয় পালনকর্তার সাথে অন্যান্যকে সমতুল্য স্থির করে।",
              "numberInSurah": 1,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "আলহামদুলিল্লা-হিল্লাযী খালকাছছামা-ওয়া-তি ওয়াল আরদা ওয়া জা‘আলাজজু লুমাতি ওয়াননূরা ছু ম্মাল্লাযীনা কাফারূ বিরাব্বিহীম ইয়া‘দিলূন।",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ جَعَلَ/وَجَعَلَ/waja'ala//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//وَ النُّوْرَ ؕ۬/وَٱلنُّورَۖ/wal-nura//ثُمَّ/ثُمَّ/thumma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//یَعْدِلُوْنَ /يَعۡدِلُونَ/ya'diluna",
              "words_bangla": "সকল প্রশংসা//জন্যে আল্লাহরই//যিনি//সৃষ্টি করেছেন//আকাশসমূহ//ও পৃথিবী//ও বানিয়েছেন//অন্ধকারসমূহ//ও আলো//এরপরও//যারা//অবিশ্বাস করেছে//প্রতি রবের তাদের//তাঁর সমকক্ষ দাঁড় করায় (অন্যান্যদেরকে)"
            },
            {
              "number": 791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/791.mp3"
              ],
              "text": "هُوَ ٱلَّذِى خَلَقَكُم مِّن طِينٍۢ ثُمَّ قَضَىٰٓ أَجَلًۭا ۖ وَأَجَلٌۭ مُّسَمًّى عِندَهُۥ ۖ ثُمَّ أَنتُمْ تَمْتَرُونَ",
              "translate_bn": "তিনিই তোমাদেরকে মাটির দ্বারা সৃষ্টি করেছেন, অতঃপর নির্দিষ্টকাল নির্ধারণ করেছেন। আর অপর নির্দিষ্টকাল আল্লাহর কাছে আছে। তথাপি তোমরা সন্দেহ কর।",
              "numberInSurah": 2,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী খালাকাকুম মিন তীনিন ছুম্মা কাদাআজালাওঁ ওয়া আজালুম মুছাম্মান ‘ইনদাহূছু ম্মা আনতুম তামতারূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//طِیْنٍ/طِينٖ/tinin//ثُمَّ/ثُمَّ/thumma//قَضٰۤی/قَضَىٰٓ/qada//اَجَلًا ؕ/أَجَلٗاۖ/ajalan//وَ اَجَلٌ/وَأَجَلٞ/wa-ajalun//مُّسَمًّی/مُّسَمًّى/musamman//عِنْدَهٗ/عِندَهُۥۖ/indahu//ثُمَّ/ثُمَّ/thumma//اَنْتُمْ/أَنتُمۡ/antum//تَمْتَرُوْنَ /تَمۡتَرُونَ/tamtaruna",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//সৃষ্টি করেছেন তোমাদের//হতে//মাটি//এরপর//নির্দিষ্ট করেছেন//একটি মেয়াদ (জীবনকাল)//এবং (এছাড়াও) একটি মেয়াদ (অর্থাৎ ক্বিয়ামাত)//নির্ধারিত (আছে)//কাছে তাঁর//এরপরও//তোমরা//সন্দেহ করছো"
            },
            {
              "number": 792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/792.mp3"
              ],
              "text": "وَهُوَ ٱللَّهُ فِى ٱلسَّمَٰوَٰتِ وَفِى ٱلْأَرْضِ ۖ يَعْلَمُ سِرَّكُمْ وَجَهْرَكُمْ وَيَعْلَمُ مَا تَكْسِبُونَ",
              "translate_bn": "তিনিই আল্লাহ নভোমন্ডলে এবং ভূমন্ডলে। তিনি তোমাদের গোপন ও প্রকাশ্য বিষয় জানেন এবং তোমরা যা কর তাও অবগত।",
              "numberInSurah": 3,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লা-হু ফিছছামা-ওয়া-তি ওয়া ফিল আরদি ইয়া‘লামুছিররাকুম ওয়া জাহরাকুম ওয়া ইয়া‘লামুমা-তাকছিবূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//اللّٰهُ/ٱللَّهُ/al-lahu//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ فِی/وَفِي/wafi//الْاَرْضِ ؕ/ٱلۡأَرۡضِ/al-ardi//یَعْلَمُ/يَعۡلَمُ/ya'lamu//سِرَّكُمْ/سِرَّكُمۡ/sirrakum//وَ جَهْرَكُمْ/وَجَهۡرَكُمۡ/wajahrakum//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//تَكْسِبُوْنَ /تَكۡسِبُونَ/taksibuna",
              "words_bangla": "এবং তিনিই//আল্লাহ (যিনি)//আছেন//আকাশসমূহে//এবং আছেন//পৃথিবীতে//তিনি জানেন//গোপন বিষয় তোমাদের//ও প্রকাশ্য বিষয় তোমাদের//এবং তিনি জানেন//যা//তোমরা অর্জন করো"
            },
            {
              "number": 793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/793.mp3"
              ],
              "text": "وَمَا تَأْتِيهِم مِّنْ ءَايَةٍۢ مِّنْ ءَايَٰتِ رَبِّهِمْ إِلَّا كَانُوا۟ عَنْهَا مُعْرِضِينَ",
              "translate_bn": "তাদের কাছে তাদের প্রতিপালকের নিদর্শনাবলী থেকে কোন নিদর্শন আসেনি; যার প্রতি তারা বিমুখ হয় না।",
              "numberInSurah": 4,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তা’তীহিম মিন আ-য়াতিম মিন আ-ইয়া-তি রাব্বিহিম ইল্লা-কা-নূ‘আনহা-মু‘রিদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَاْتِیْهِمْ/تَأۡتِيهِم/tatihim//مِّنْ/مِّنۡ/min//اٰیَةٍ/ءَايَةٖ/ayatin//مِّنْ/مِّنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//عَنْهَا/عَنۡهَا/anha//مُعْرِضِیْنَ /مُعۡرِضِينَ/mu'ridina",
              "words_bangla": "এবং না//কাছে এসেছে তাদের//কোনো//(এমন) নিদর্শন//মধ্য হতে//নিদর্শনগুলোর//রবের তাদের//এ ছাড়া যে//তারা হয়েছিলো//হতে তা//বিমুখ"
            },
            {
              "number": 794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/794.mp3"
              ],
              "text": "فَقَدْ كَذَّبُوا۟ بِٱلْحَقِّ لَمَّا جَآءَهُمْ ۖ فَسَوْفَ يَأْتِيهِمْ أَنۢبَٰٓؤُا۟ مَا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "অতএব, অবশ্য তারা সত্যকে মিথ্যা বলেছে যখন তা তাদের কাছে এসেছে। বস্তুতঃ অচিরেই তাদের কাছে ঐ বিষয়ের সংবাদ আসবে, যার সাথে তারা উপহাস করত।",
              "numberInSurah": 5,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ফাকাদ কাযযাবূবিলহাক্কিলাম্মা-জাআহুম ফাছাওফা ইয়া‘তীহিম আমবাউ মা- কা-নূ বিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "فَقَدْ/فَقَدۡ/faqad//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لَمَّا/لَمَّا/lamma//جَآءَهُمْ ؕ/جَآءَهُمۡ/jaahum//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَاْتِیْهِمْ/يَأۡتِيهِمۡ/yatihim//اَنْۢبٰٓؤُا/أَنۢبَـٰٓؤُاْ/anbau//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "সুতরাং নিশ্চয়ই//তারা মিথ্যা প্রতিপন্ন করেছে//প্রতি সত্যের//যখনই//কাছে তা এসেছে তাদের//সুতরাং শীঘ্রই//কাছে আসবে তাদের//সংবাদ//ঐ বিষয়ের//তারা ছিলো//নিয়ে যা//ঠাট্টা বিদ্রুপ করতো"
            },
            {
              "number": 795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/795.mp3"
              ],
              "text": "أَلَمْ يَرَوْا۟ كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّن قَرْنٍۢ مَّكَّنَّٰهُمْ فِى ٱلْأَرْضِ مَا لَمْ نُمَكِّن لَّكُمْ وَأَرْسَلْنَا ٱلسَّمَآءَ عَلَيْهِم مِّدْرَارًۭا وَجَعَلْنَا ٱلْأَنْهَٰرَ تَجْرِى مِن تَحْتِهِمْ فَأَهْلَكْنَٰهُم بِذُنُوبِهِمْ وَأَنشَأْنَا مِنۢ بَعْدِهِمْ قَرْنًا ءَاخَرِينَ",
              "translate_bn": "তারা কি দেখেনি যে, আমি তাদের পুর্বে কত সম্প্রদায়কে ধ্বংস করে দিয়েছি, যাদেরকে আমি পৃথিবীতে এমন প্রতিষ্ঠা দিয়েছিলাম, যা তোমাদেরকে দেইনি। আমি আকাশকে তাদের উপর অনবরত বৃষ্টি বর্ষণ করতে দিয়েছি এবং তাদের তলদেশে নদী সৃষ্টি করে দিয়েছি, অতঃপর আমি তাদেরকে তাদের পাপের কারণে ধ্বংস করে দিয়েছি এবং তাদের পরে অন্য সম্প্রদায় সৃষ্টি করেছি।",
              "numberInSurah": 6,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়ারাও কাম আহলাকনা-মিন কাবলিহিম মিন কারনিম মাককান্না-হুম ফিল আরদি মা-লাম নুমাককিল লাকুম ওয়া আরছালনাছছামাআ ‘আলাইহিম মিদরা-রাওঁ ওয়া জা‘আলনাল আন হা-রা তাজরী মিন তাহতিহিম ফাআহলাকনা-হুম বিযুনূবিহিম ওয়া আনশা’না-মিম বা‘দিহিম কারনান আ-খারীন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَرَوْا/يَرَوۡاْ/yaraw//كَمْ/كَمۡ/kam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنْ/مِّن/min//قَرْنٍ/قَرۡنٖ/qarnin//مَّكَّنّٰهُمْ/مَّكَّنَّـٰهُمۡ/makkannahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَا/مَا/ma//لَمْ/لَمۡ/lam//نُمَكِّنْ/نُمَكِّن/numakkin//لَّكُمْ/لَّكُمۡ/lakum//وَ اَرْسَلْنَا/وَأَرۡسَلۡنَا/wa-arsalna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّدْرَارًا ۪/مِّدۡرَارٗا/mid'raran//وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//الْاَنْهٰرَ/ٱلۡأَنۡهَٰرَ/al-anhara//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهِمْ/تَحۡتِهِمۡ/tahtihim//فَاَهْلَكْنٰهُمْ/فَأَهۡلَكۡنَٰهُم/fa-ahlaknahum//بِذُنُوْبِهِمْ/بِذُنُوبِهِمۡ/bidhunubihim//وَ اَنْشَاْنَا/وَأَنشَأۡنَا/wa-anshana//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//قَرْنًا/قَرۡنًا/qarnan//اٰخَرِیْنَ /ءَاخَرِينَ/akharina",
              "words_bangla": "কি নি//তারা দেখে//কত (জাতিকে)//ধ্বংস করেছি আমরা//থেকে//পূর্ব তাদের//হতে//মানবগোষ্ঠী//আমরা প্রতিষ্ঠিত করেছিলাম তাদের//মধ্যে//পৃথিবীর (এমনভাবে)//যেমনটি//না//আমরা প্রতিষ্ঠিত করেছি//তোমাদেরকে//এবং আমরা পাঠিয়েছিলাম//আকাশ (থেকে)//উপর তাদের//মুষলধারে বৃষ্টি//ও করেছিলাম আমরা//নদীসমূহকে//প্রবাহিত//থেকে//নিচ তাদের(ভূমি)//অতঃপর আমরা ধ্বংস করেছি তাদের//কারণে পাপের তাদের//ও সৃষ্টি করেছি আমরা//থেকে//পর তাদের//জাতিকে//অন্যান্য"
            },
            {
              "number": 796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/796.mp3"
              ],
              "text": "وَلَوْ نَزَّلْنَا عَلَيْكَ كِتَٰبًۭا فِى قِرْطَاسٍۢ فَلَمَسُوهُ بِأَيْدِيهِمْ لَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "যদি আমি কাগজে লিখিত কোন বিষয় তাদের প্রতি নাযিল করতাম, অতঃপর তারা তা সহস্তে স্পর্শ করত, তবুও অবিশ্বাসীরা একথাই বলত যে, এটা প্রকাশ্য জাদু বৈ কিছু নয়।",
              "numberInSurah": 7,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও নাঝঝালনা-আলাইকা কিতা-বান ফী কিরতা-ছিন ফালামাছূহু বিআইদীহিম লাকালাল্লাযীনা কাফারূ ইন হা-যা-ইল্লাছিহরুম মুবীন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَزَّلْنَا/نَزَّلۡنَا/nazzalna//عَلَیْكَ/عَلَيۡكَ/alayka//كِتٰبًا/كِتَٰبٗا/kitaban//فِیْ/فِي/fi//قِرْطَاسٍ/قِرۡطَاسٖ/qir'tasin//فَلَمَسُوْهُ/فَلَمَسُوهُ/falamasuhu//بِاَیْدِیْهِمْ/بِأَيۡدِيهِمۡ/bi-aydihim//لَقَالَ/لَقَالَ/laqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং যদি//অবতীর্ণ করতাম আমরা//উপর তোমার//(লিখিত) কিতাব//মধ্যে//কাগজের//অতঃপর তারা স্পর্শ করতো তা//দিয়ে হাত তাদের//(তবুও) অবশ্যই বলতো//যারা//অবিশ্বাস করেছে//\"নয়//\"এটা//এ ছাড়া যে//জাদু\"//সুস্পষ্ট\""
            },
            {
              "number": 797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/797.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ مَلَكٌۭ ۖ وَلَوْ أَنزَلْنَا مَلَكًۭا لَّقُضِىَ ٱلْأَمْرُ ثُمَّ لَا يُنظَرُونَ",
              "translate_bn": "তারা আরও বলে যে, তাঁর কাছে কোন ফেরেশতা কেন প্রেরণ করা হল না ? যদি আমি কোন ফেরেশতা প্রেরণ করতাম, তবে গোটা ব্যাপারটাই শেষ হয়ে যেত। অতঃপর তাদেরকে সামান্যও অবকাশ দেওয়া হতনা।",
              "numberInSurah": 8,
              "juz": 7,
              "manzil": 2,
              "page": 128,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাওলাউনঝিলা ‘আলাইহি মালাকুওঁ ওয়া লাও আনঝালনা-মালাকাল লাকুদিয়াল আমরু ছুম্মা লা-ইউনজারূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//مَلَكٌ ؕ/مَلَكٞۖ/malakun//وَ لَوْ/وَلَوۡ/walaw//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//مَلَكًا/مَلَكٗا/malakan//لَّقُضِیَ/لَّقُضِيَ/laqudiya//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُنْظَرُوْنَ /يُنظَرُونَ/yunzaruna",
              "words_bangla": "এবং তারা বলে//\"কেন না//অবতীর্ণ করা হলো//কাছে তার//ফেরেশতা (সাক্ষী রূপে)\"//এবং যদি//অবতীর্ণ করতাম আমরা//ফেরেশতা (সাক্ষীরূপে)//অবশ্যই মীমাংসা হয়ে যেতো//(সব) বিষয়ের//এরপর//না//তাদের অবকাশ দেয়া হতো"
            },
            {
              "number": 798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/798.mp3"
              ],
              "text": "وَلَوْ جَعَلْنَٰهُ مَلَكًۭا لَّجَعَلْنَٰهُ رَجُلًۭا وَلَلَبَسْنَا عَلَيْهِم مَّا يَلْبِسُونَ",
              "translate_bn": "যদি আমি কোন ফেরেশতাকে রসূল করে পাঠাতাম, তবে সে মানুষের আকারেই হত। এতেও ঐ সন্দেহই করত, যা এখন করছে।",
              "numberInSurah": 9,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও জা‘আলনা-হু মালাকাল্লাজা‘আলনা-হুরাজুলাওঁ ওয়া লালাবাছনা-‘আলাইহিম মাইয়ালবিছূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//مَلَكًا/مَلَكٗا/malakan//لَّجَعَلْنٰهُ/لَّجَعَلۡنَٰهُ/laja'alnahu//رَجُلًا/رَجُلٗا/rajulan//وَّ لَلَبَسْنَا/وَلَلَبَسۡنَا/walalabasna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّا/مَّا/ma//یَلْبِسُوْنَ /يَلۡبِسُونَ/yalbisuna",
              "words_bangla": "এবং যদি//আমরা করতাম তাকে//ফেরেশতা//অবশ্যই আমরা বানাতাম তাকে//মানুষরূপে//এবং অবশ্যই বিভ্রমে ফেলতাম আমরা//উপর তাদের//যেমন//তারা বিভ্রমে পড়েছে (এমন)"
            },
            {
              "number": 799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/799.mp3"
              ],
              "text": "وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍۢ مِّن قَبْلِكَ فَحَاقَ بِٱلَّذِينَ سَخِرُوا۟ مِنْهُم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "নিশ্চয়ই আপনার পূর্ববর্তী পয়গম্বরগণের সাথেও উপহাস করা হয়েছে। অতঃপর যারা তাঁদের সাথে উপহাস করেছিল, তাদেরকে ঐ শাস্তি বেষ্টন করে নিল, যা নিয়ে তারা উপহাস করত।",
              "numberInSurah": 10,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 102,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদিছ তুহঝিআ বিরুছুলিম মিন কাবলিকা ফাহা-কাবিল্লাযীনা ছাখিরূ মিনহুম মাকানূবিহী ইয়াছতাহঝিউ-ন।",
              "words_arabic": "وَ لَقَدِ/وَلَقَدِ/walaqadi//اسْتُهْزِئَ/ٱسۡتُهۡزِئَ/us'tuh'zi-a//بِرُسُلٍ/بِرُسُلٖ/birusulin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَحَاقَ/فَحَاقَ/fahaqa//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//سَخِرُوْا/سَخِرُواْ/sakhiru//مِنْهُمْ/مِنۡهُم/min'hum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং নিশ্চয়ই//বিদ্রুপ করা হয়েছে//সাথে রাসূলদের//থেকে//পূর্ব তোমার//তখন ঘিরে ফেলেছে//(তাদের)  উপর যারা//ঠাট্টা করেছিলো//মধ্যে হতে তাদের//ঐ বিষয়//তারা ছিলো//নিয়ে যা//ঠাট্টা বিদ্রুপ করতো"
            },
            {
              "number": 800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/800.mp3"
              ],
              "text": "قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ ثُمَّ ٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُكَذِّبِينَ",
              "translate_bn": "বলে দিনঃ তোমরা পৃথিবীতে পরিভ্রমণ কর, অতপর দেখ, মিথ্যারোপ কারীদের পরিণাম কি হয়েছে?",
              "numberInSurah": 11,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কুল ছীরূফিল আরদিছুম্মানজু রূ কাইফা কা-না ‘আ-কিবাতুল মুকাযযিবীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//سِیْرُوْا/سِيرُواْ/siru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//ثُمَّ/ثُمَّ/thumma//اَنْظُرُوْا/ٱنظُرُواْ/unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُكَذِّبِیْنَ /ٱلۡمُكَذِّبِينَ/al-mukadhibina",
              "words_bangla": "বলো//\"তোমরা ভ্রমণ করো//মধ্যে//পৃথিবীর//এরপর//তোমরা দেখো//কেমন//ছিলো//পরিণাম//সত্য অমান্যকারীদের\""
            },
            {
              "number": 801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/801.mp3"
              ],
              "text": "قُل لِّمَن مَّا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ قُل لِّلَّهِ ۚ كَتَبَ عَلَىٰ نَفْسِهِ ٱلرَّحْمَةَ ۚ لَيَجْمَعَنَّكُمْ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ لَا رَيْبَ فِيهِ ۚ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "জিজ্ঞেস করুন, নভোমন্ডল ও ভুমন্ডলে যা আছে, তার মালিক কে? বলে দিনঃআল্লাহ। তিনি অনুকম্পা প্রদর্শনকে নিজ দায়িত্বে লিপিবদ্ধ করে নিয়েছেন। তিনি অবশ্যই তোমাদেরকে কেয়ামতের দিন একত্রিত করবেন। এর আগমনে কোন সন্দেহ নেই। যারা নিজেদের কে ক্ষতিগ্রস্ত করেছে, তারাই বিশ্বাস স্থাপন করে না।",
              "numberInSurah": 12,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 51,
              "sajda": false,
              "pronunciation_bn": "কুল লিমাম মা-ফিছ ছামা-ওয়া-তি ওয়াল আরদি কুল লিল্লা-হি কাতাবা ‘আলানাফছিহির রাহমাতা লাইয়াজমা‘আন্নাকুম ইলা-ইয়াওমিল কিয়া-মাতি লা-রাইবা ফীহি আল্লাযীনা খাছিরূআনফুছাহুম ফাহুম লা-ইউ’মিনূন।",
              "words_arabic": "قُلْ/قُل/qul//لِّمَنْ/لِّمَن/liman//مَّا/مَّا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//قُلْ/قُل/qul//لِّلّٰهِ ؕ/لِّلَّهِۚ/lillahi//كَتَبَ/كَتَبَ/kataba//عَلٰی/عَلَىٰ/ala//نَفْسِهِ/نَفۡسِهِ/nafsihi//الرَّحْمَةَ ؕ/ٱلرَّحۡمَةَۚ/al-rahmata//لَیَجْمَعَنَّكُمْ/لَيَجۡمَعَنَّكُمۡ/layajma'annakum//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ؕ/فِيهِۚ/fihi//اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "বলো//\"কার (মালিকানায়)//যাকিছু//মধ্যে (আছে)//আকাশসমূহের//ও পৃথিবীর\"//বলো//\"জন্যে আল্লাহরই (মালিকানায়)\"//তিনি নির্ধারিত করে দিয়েছেন//উপর//নিজের তাঁর//দয়া করা//নিশ্চয়ই একত্র করবেন তোমাদের//দিকে//দিনে//ক্বিয়ামাতের//নেই//সন্দেহ//মধ্যে তার (বিন্দুমাত্র)//যারা//ক্ষতিগ্রস্ত করেছে//নিজেদেরকে তাদের//অতঃপর তারা//না//ঈমান আনবে"
            },
            {
              "number": 802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/802.mp3"
              ],
              "text": "۞ وَلَهُۥ مَا سَكَنَ فِى ٱلَّيْلِ وَٱلنَّهَارِ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "যা কিছু রাত ও দিনে স্থিতি লাভ করে, তাঁরই। তিনিই শ্রোতা, মহাজ্ঞানী।",
              "numberInSurah": 13,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহূমা-ছাকানা ফিল্লাইলি ওয়ান্নাহা-রি ওয়া হুওয়াছ ছামী‘ঊল ‘আলীম।",
              "words_arabic": "وَ لَهٗ/۞وَلَهُۥ/walahu//مَا/مَا/ma//سَكَنَ/سَكَنَ/sakana//فِی/فِي/fi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ ؕ/وَٱلنَّهَارِۚ/wal-nahari//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং জন্যে তাঁরই//যাকিছু//স্থিতি লাভ করে//মধ্যে//রাতের//ও দিনের//এবং তিনিই//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/803.mp3"
              ],
              "text": "قُلْ أَغَيْرَ ٱللَّهِ أَتَّخِذُ وَلِيًّۭا فَاطِرِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَهُوَ يُطْعِمُ وَلَا يُطْعَمُ ۗ قُلْ إِنِّىٓ أُمِرْتُ أَنْ أَكُونَ أَوَّلَ مَنْ أَسْلَمَ ۖ وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "আপনি বলে দিনঃ আমি কি আল্লাহ ব্যতীত-যিনি নভোমন্ডল ও ভুমন্ডলের স্রষ্টা এবং যিনি সবাইকে আহার্য দানকরেন ও তাঁকে কেউ আহার্য দান করে না অপরকে সাহায্যকারী স্থির করব? আপনি বলে দিনঃ আমি আদিষ্ট হয়েছি যে, সর্বাগ্রে আমিই আজ্ঞাবহ হব। আপনি কদাচ অংশীবাদীদের অন্তর্ভুক্ত হবেন না।",
              "numberInSurah": 14,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "কুল আগাইরাল্লা-হি আত্তাখিযুওয়ালিইইয়ান ফা-তিরিছছামা-ওয়া-তি ওয়াল আরদিওয়া হুওয়া ইউত‘ইমুওয়ালা-ইউত‘আমু কুল ইন্নীউমিরতুআন আকূনা আওওয়ালা মান আছলামা ওয়ালা-তাকূনান্না মিনাল মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَغَیْرَ/أَغَيۡرَ/aghayra//اللّٰهِ/ٱللَّهِ/al-lahi//اَتَّخِذُ/أَتَّخِذُ/attakhidhu//وَلِیًّا/وَلِيّٗا/waliyyan//فَاطِرِ/فَاطِرِ/fatiri//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//یُطْعِمُ/يُطۡعِمُ/yut'imu//وَ لَا/وَلَا/wala//یُطْعَمُ ؕ/يُطۡعَمُۗ/yut'amu//قُلْ/قُلۡ/qul//اِنِّیْۤ/إِنِّيٓ/inni//اُمِرْتُ/أُمِرۡتُ/umir'tu//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//اَوَّلَ/أَوَّلَ/awwala//مَنْ/مَنۡ/man//اَسْلَمَ/أَسۡلَمَۖ/aslama//وَ لَا/وَلَا/wala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "বলো//\"কি ছাড়া//আল্লাহ্‌//গ্রহণ করবো আমি//অভিভাবক (অন্য)//(অথচ আল্লাহ) স্রষ্টা//আকাশসমূহের//ও পৃথিবীর//এবং তিনিই//খাওয়ান//কিন্তু না//খাবার দেয়া হয় তাঁকে\"//বলো//\"নিশ্চয়ই আমি//আমাকে আদেশ দেয়া হয়েছে//যে//হই আমি//প্রথম//যে//আত্মসমর্পণ করে//এবং না//তুমি কিছুতেই হয়ো//অন্তর্ভুক্ত//মুশরিকদের\""
            },
            {
              "number": 804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/804.mp3"
              ],
              "text": "قُلْ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "আপনি বলুন, আমি আমার প্রতিপালকের অবাধ্য হতে ভয় পাই কেননা, আমি একটি মহাদিবসের শাস্তিকে ভয় করি।",
              "numberInSurah": 15,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নীআখা-ফুইন ‘আসাইতুরাববী ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اِنْ/إِنۡ/in//عَصَیْتُ/عَصَيۡتُ/asaytu//رَبِّیْ/رَبِّي/rabbi//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "বলো//\"নিশ্চয়ই আমি//ভয় করি আমি//যদি//আমি অবাধ্য হই//আমার রবের//শাস্তির//দিনের\"//ভয়াবহ\""
            },
            {
              "number": 805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/805.mp3"
              ],
              "text": "مَّن يُصْرَفْ عَنْهُ يَوْمَئِذٍۢ فَقَدْ رَحِمَهُۥ ۚ وَذَٰلِكَ ٱلْفَوْزُ ٱلْمُبِينُ",
              "translate_bn": "যার কাছ থেকে ঐদিন এ শাস্তি সরিয়ে নেওয়া হবে, তার প্রতি আল্লাহর অনুকম্পা হবে। এটাই বিরাট সাফল্য।",
              "numberInSurah": 16,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইউসরাফ ‘আনহু ইয়াওমাইযিন ফাকাদ রাহিমাহূ ওয়া যা-লিকাল ফাওঝুল মুবীন।",
              "words_arabic": "مَنْ/مَّن/man//یُّصْرَفْ/يُصۡرَفۡ/yus'raf//عَنْهُ/عَنۡهُ/anhu//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//فَقَدْ/فَقَدۡ/faqad//رَحِمَهٗ ؕ/رَحِمَهُۥۚ/rahimahu//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "যে//রেহাই পেলো//থেকে তা//সেদিন//তবে নিশ্চয়ই//তিনি দয়া করলেন তাকে//এবং এটা//সাফল্য//সুস্পষ্ট"
            },
            {
              "number": 806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/806.mp3"
              ],
              "text": "وَإِن يَمْسَسْكَ ٱللَّهُ بِضُرٍّۢ فَلَا كَاشِفَ لَهُۥٓ إِلَّا هُوَ ۖ وَإِن يَمْسَسْكَ بِخَيْرٍۢ فَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "আর যদি আল্লাহ তোমাকে কোন কষ্ট দেন, তবে তিনি ব্যতীত তা অপসারণকারী কেউ নেই। পক্ষান্তরে যদি তোমার মঙ্গল করেন, তবে তিনি সবকিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 17,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইয়ামছাছকাল্লা-হু বিদুররিন ফালা-কা-শিফা লাহূইল্লা-হুওয়া ওয়া ইয়ঁ ইয়ামছাছকা বিখাইরিন ফাহুওয়া ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّمْسَسْكَ/يَمۡسَسۡكَ/yamsaska//اللّٰهُ/ٱللَّهُ/al-lahu//بِضُرٍّ/بِضُرّٖ/bidurrin//فَلَا/فَلَا/fala//كَاشِفَ/كَاشِفَ/kashifa//لَهٗۤ/لَهُۥٓ/lahu//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۖ/huwa//وَ اِنْ/وَإِن/wa-in//یَّمْسَسْكَ/يَمۡسَسۡكَ/yamsaska//بِخَیْرٍ/بِخَيۡرٖ/bikhayrin//فَهُوَ/فَهُوَ/fahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "এবং যদি//তোমাকে স্পর্শ করেন//আল্লাহ//দিয়ে অনিষ্ট//তবে নেই//কোনো অপসারণকারী//জন্যে তার//ছাড়া//তিনি//এবং যদি//তোমাকে স্পর্শ করেন//দিয়ে কল্যাণ//তবুও তিনি//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/807.mp3"
              ],
              "text": "وَهُوَ ٱلْقَاهِرُ فَوْقَ عِبَادِهِۦ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ",
              "translate_bn": "তিনিই পরাক্রান্ত স্বীয় বান্দাদের উপর। তিনিই জ্ঞানময়, সর্বজ্ঞ।",
              "numberInSurah": 18,
              "juz": 7,
              "manzil": 2,
              "page": 129,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল কা-হিরু ফাওকা ‘ইবা-দিহী ওয়া হুওয়াল হাকীমুল খাবীর।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الْقَاهِرُ/ٱلۡقَاهِرُ/al-qahiru//فَوْقَ/فَوۡقَ/fawqa//عِبَادِهٖ ؕ/عِبَادِهِۦۚ/ibadihi//وَ هُوَ/وَهُوَ/wahuwa//الْحَكِیْمُ/ٱلۡحَكِيمُ/al-hakimu//الْخَبِیْرُ /ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "এবং তিনি//পরাক্রমশালী//উপর//দাসদের তাঁর//এবং তিনি//প্রজ্ঞাময়//খুবই অবহিত"
            },
            {
              "number": 808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/808.mp3"
              ],
              "text": "قُلْ أَىُّ شَىْءٍ أَكْبَرُ شَهَٰدَةًۭ ۖ قُلِ ٱللَّهُ ۖ شَهِيدٌۢ بَيْنِى وَبَيْنَكُمْ ۚ وَأُوحِىَ إِلَىَّ هَٰذَا ٱلْقُرْءَانُ لِأُنذِرَكُم بِهِۦ وَمَنۢ بَلَغَ ۚ أَئِنَّكُمْ لَتَشْهَدُونَ أَنَّ مَعَ ٱللَّهِ ءَالِهَةً أُخْرَىٰ ۚ قُل لَّآ أَشْهَدُ ۚ قُلْ إِنَّمَا هُوَ إِلَٰهٌۭ وَٰحِدٌۭ وَإِنَّنِى بَرِىٓءٌۭ مِّمَّا تُشْرِكُونَ",
              "translate_bn": "আপনি জিজ্ঞেস করুনঃ সর্ববৃহৎ সাক্ষ্যদাতা কে ? বলে দিনঃ আল্লাহ আমার ও তোমাদের মধ্যে সাক্ষী। আমার প্রতি এ কোরআন অবর্তীর্ণ হয়েছে-যাতে আমি তোমাদেরকে এবং যাদের কাছে এ কোরআন পৌঁছে সবাইকে ভীতি প্রদর্শন করি। তোমরা কি সাক্ষ্য দাও যে, আল্লাহর সাথে অন্যান্য উপাস্যও রয়েছে ? আপনি বলে দিনঃ আমি এরূপ সাক্ষ্য দেব না। বলে দিনঃ তিনিই একমাত্র উপাস্য; আমি অবশ্যই তোমাদের শিরক থেকে মুক্ত।",
              "numberInSurah": 19,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "কুল আইয়ুশাইয়িন আকবারু শাহা-দাতান কুল্লিলা-হু, শাহীদুম বাইনী ওয়া বাইনাকুম ওয়া ঊহিইয়া ইলাইইয়া হা-যাল কুরআ-নুলিউনযিরাকুম বিহী ওয়া মাম বালাগা আইন্নাকুম লাতাশহাদূ না আন্না মা‘আল্লা-হি আ-লিহাতান উখরা- কুল লাআশহাদু কুল ইন্নামা-হুওয়া ইলা-হুওঁ ওয়াহিদুওঁ ওয়া ইন্নানী বারীউম মিম্মা-তুশরিকূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَیُّ/أَيُّ/ayyu//شَیْءٍ/شَيۡءٍ/shayin//اَكْبَرُ/أَكۡبَرُ/akbaru//شَهَادَةً ؕ/شَهَٰدَةٗۖ/shahadatan//قُلِ/قُلِ/quli//اللّٰهُ ۙ۫/ٱللَّهُۖ/al-lahu//شَهِیْدٌۢ/شَهِيدُۢ/shahidun//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ ۫/وَبَيۡنَكُمۡۚ/wabaynakum//وَ اُوْحِیَ/وَأُوحِيَ/wauhiya//اِلَیَّ/إِلَيَّ/ilayya//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//لِاُنْذِرَكُمْ/لِأُنذِرَكُم/li-undhirakum//بِهٖ/بِهِۦ/bihi//وَ مَنْۢ/وَمَنۢ/waman//بَلَغَ ؕ/بَلَغَۚ/balagha//اَىِٕنَّكُمْ/أَئِنَّكُمۡ/a-innakum//لَتَشْهَدُوْنَ/لَتَشۡهَدُونَ/latashhaduna//اَنَّ/أَنَّ/anna//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اٰلِهَةً/ءَالِهَةً/alihatan//اُخْرٰی ؕ/أُخۡرَىٰۚ/ukh'ra//قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَشْهَدُ ۚ/أَشۡهَدُۚ/ashhadu//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//هُوَ/هُوَ/huwa//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ/وَٰحِدٞ/wahidun//وَّ اِنَّنِیْ/وَإِنَّنِي/wa-innani//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تُشْرِكُوْنَۘ/تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "বলো//\"কোনো//জিনিস//সবচেয়ে বড়//সাক্ষ্য হিসেবে\"//বলো//\"আল্লাহ//সাক্ষী//মাঝে আমার//ও মাঝে তোমাদের//এবং ওহী করা হয়েছে//আমার প্রতি//এই//কুরআন//যেন আমি সতর্ক করি তোমাদের//দিয়ে তা//এবং যাকে//পৌঁছে (তা)//কি নিশ্চয়ই তোমরা//অবশ্যই সাক্ষী দিচ্ছো//যে//সাথে//আল্লাহর//ইলাহ (আছে)//অন্য কোনো\"//বলো//\"না\"//\"সাক্ষী দিই আমি\"//বলো//\"প্রকৃতপক্ষে//তিনিই//ইলাহ//একই//এবং নিশ্চয়ই আমি//দায়িত্বমুক্ত//(তা) হতে যা//তোমরা শিরক করছো"
            },
            {
              "number": 809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/809.mp3"
              ],
              "text": "ٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يَعْرِفُونَهُۥ كَمَا يَعْرِفُونَ أَبْنَآءَهُمُ ۘ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "যাদেরকে আমি কিতাব দান করেছি, তারা তাকে চিনে, যেমন তাদের সন্তানদেরকে চিনে। যারা নিজেদেরকে ক্ষতির মধ্যে ফেলেছে, তারা বিশ্বাস স্থাপন করবে না।",
              "numberInSurah": 20,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 103,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ইয়া‘রিফূনাহু কামা-ইয়া‘রিফূনা আবনাআহুম । আল্লাযীনা খাছিরূআনফুছাহুম ফাহুম লা-ইউ’মিনূন ।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَعْرِفُوْنَهٗ/يَعۡرِفُونَهُۥ/ya'rifunahu//كَمَا/كَمَا/kama//یَعْرِفُوْنَ/يَعۡرِفُونَ/ya'rifuna//اَبْنَآءَهُمْ ۘ/أَبۡنَآءَهُمُۘ/abnaahumu//اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یُؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "যাদেরকে//আমরা দিয়েছি তাদের//কিতাব//তারা চিনে তাকে//যেমন//তারা চিনে//সন্তানদের তাদের//যারা//ক্ষতিগ্রস্ত  করেছে//নিজেদেরকে তাদের//অতঃপর তারা//না//বিশ্বাস করবে"
            },
            {
              "number": 810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/810.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَٰتِهِۦٓ ۗ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّٰلِمُونَ",
              "translate_bn": "আর যে, আল্লাহর প্রতি অপবাদ আরোপ করে অথবা তাঁর নিদর্শনাবলীকে মিথ্যা বলে, তার চাইতে বড় জালেম কে? নিশ্চয় জালেমরা সফলকাম হবে না।",
              "numberInSurah": 21,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামুমিম মানিফ তারা-‘আলাল্লা-হি কাযিবান আও কাযযাবা বিআ-য়াতিহী ইন্নাহু লা-ইউফলিহুজ্জা-লিমূন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَوْ/أَوۡ/aw//كَذَّبَ/كَذَّبَ/kadhaba//بِاٰیٰتِهٖ ؕ/بِـَٔايَٰتِهِۦٓۚ/biayatihi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "এবং কে//অধিক সীমালঙ্ঘনকারী (হতে পারে)//তার চেয়ে যে//রচনা করে//উপর//আল্লাহর//মিথ্যা//বা//মিথ্যারোপ করে//প্রতি নিদর্শনাদির তাঁর//নিশ্চয়ই//না//সফল হয়//সীমালঙ্ঘনকারীরা"
            },
            {
              "number": 811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/811.mp3"
              ],
              "text": "وَيَوْمَ نَحْشُرُهُمْ جَمِيعًۭا ثُمَّ نَقُولُ لِلَّذِينَ أَشْرَكُوٓا۟ أَيْنَ شُرَكَآؤُكُمُ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ",
              "translate_bn": "আর যেদিন আমি তাদের সবাইকে একত্রিত করব, অতঃপর যারা শিরক করেছিল, তাদের বলবঃ যাদেরকে তোমরা অংশীদার বলে ধারণা করতে, তারা কোথায়?",
              "numberInSurah": 22,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নাহশুরুহুম জামী‘আন ছু ম্মা নাকূলুলিল্লাযীনা আশরাকূ আইনা শুরাকাউকুমুল্লাযীনা কুনতুম তাঝ‘উমূন।\r\n",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نَحْشُرُهُمْ/نَحۡشُرُهُمۡ/nahshuruhum//جَمِیْعًا/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//نَقُوْلُ/نَقُولُ/naqulu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اَشْرَكُوْۤا/أَشۡرَكُوٓاْ/ashraku//اَیْنَ/أَيۡنَ/ayna//شُرَكَآؤُكُمُ/شُرَكَآؤُكُمُ/shurakaukumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُنْتُمْ/كُنتُمۡ/kuntum//تَزْعُمُوْنَ /تَزۡعُمُونَ/taz'umuna",
              "words_bangla": "এবং সেদিন//একত্র করবো আমরা তাদের//সকলকে//এরপর//আমরা বলবো//উদ্দেশ্যে তাদের(যারা)//শিরক করেছিলো//\"কোথায়//অংশীদাররা তোমাদের//যাদেরকে//তোমরা ছিলে//মনে করতে (শরিক হিসেবে)"
            },
            {
              "number": 812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/812.mp3"
              ],
              "text": "ثُمَّ لَمْ تَكُن فِتْنَتُهُمْ إِلَّآ أَن قَالُوا۟ وَٱللَّهِ رَبِّنَا مَا كُنَّا مُشْرِكِينَ",
              "translate_bn": "অতঃপর তাদের কোন অপরিচ্ছন্নতা থাকবে না; তবে এটুকুই যে তারা বলবে আমাদের প্রতিপালক আল্লাহর কসম, আমরা মুশরিক ছিলাম না।",
              "numberInSurah": 23,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লাম তাকুন ফিতনাতুহুম ইল্লাআন কা-লূওয়াল্লা-হি রাব্বিনা-মা-কুন্না-মুশরিকীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//تَكُنْ/تَكُن/takun//فِتْنَتُهُمْ/فِتۡنَتُهُمۡ/fit'natuhum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْا/قَالُواْ/qalu//وَ اللّٰهِ/وَٱللَّهِ/wal-lahi//رَبِّنَا/رَبِّنَا/rabbina//مَا/مَا/ma//كُنَّا/كُنَّا/kunna//مُشْرِكِیْنَ /مُشۡرِكِينَ/mush'rikina",
              "words_bangla": "এরপর//না//থাকবে//অজুহাত তাদের//এ ছাড়া//যে//তারা বলবে//\"শপথ আল্লাহর//হে আমাদের রব//না//আমরা ছিলাম//মুশরিক\""
            },
            {
              "number": 813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/813.mp3"
              ],
              "text": "ٱنظُرْ كَيْفَ كَذَبُوا۟ عَلَىٰٓ أَنفُسِهِمْ ۚ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "দেখতো, কিভাবে মিথ্যা বলছে নিজেদের বিপক্ষে ? এবং যেসব বিষয় তারা আপনার প্রতি মিছামিছি রচনা করত, তা সবই উধাও হয়ে গেছে।",
              "numberInSurah": 24,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "উনজু র কাইফা কাযাবূ‘আলাআনফুছিহিম ওয়া দাল্লা ‘আনহুম মা-কা-নূইয়াফতারূন।",
              "words_arabic": "اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//كَذَبُوْا/كَذَبُواْ/kadhabu//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡۚ/anfusihim//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "দেখো//কিভাবে//তারা মিথ্যা প্রতিপন্ন করে//উপর//নিজেদের তাদের//ও হারিয়ে যাবে//থেকে তাদের//যা//তারা ছিলো//তারা মিথ্যা রচনা করতো"
            },
            {
              "number": 814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/814.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَسْتَمِعُ إِلَيْكَ ۖ وَجَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًۭا ۚ وَإِن يَرَوْا۟ كُلَّ ءَايَةٍۢ لَّا يُؤْمِنُوا۟ بِهَا ۚ حَتَّىٰٓ إِذَا جَآءُوكَ يُجَٰدِلُونَكَ يَقُولُ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَٰذَآ إِلَّآ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "তাদের কেউ কেউ আপনার দিকে কান লাগিয়ে থাকে। আমি তাদের অন্তরের উপর আবরণ রেখে দিয়েছি যাতে একে না বুঝে এবং তাদের কানে বোঝা ভরে দিয়েছি। যদি তারা সব নিদর্শন অবলোকন করে তবুও সেগুলো বিশ্বাস করবে না। এমনকি, তারা যখন আপনার কাছে ঝগড়া করতে আসে, তখন কাফেররা বলেঃ এটি পুর্ববর্তীদের কিচ্ছাকাহিনী বৈ তো নয়।",
              "numberInSurah": 25,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়াছতামি‘উ ইলাইকা ওয়া জা‘আলনা-‘আলা-কুলূবিহিম আকিন্নাতান আইঁ ইয়াফকাহূহুওয়া ফীআ-যা-নিহিম ওয়াকরাওঁ ওয়া ইয়ঁইয়ারাও কুল্লা আয়াতিল লা-ইউ’মিনূবিহা- হাত্তাইযা-জাঊকা ইউজা-দিলূনাকা ইয়াকূলুল্লাযীনা কাফারুইন হা-যাইল্লাআছা-তীরুল আওওয়ালীন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّسْتَمِعُ/يَسۡتَمِعُ/yastami'u//اِلَیْكَ ۚ/إِلَيۡكَۖ/ilayka//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اَكِنَّةً/أَكِنَّةً/akinnatan//اَنْ/أَن/an//یَّفْقَهُوْهُ/يَفۡقَهُوهُ/yafqahuhu//وَ فِیْۤ/وَفِيٓ/wafi//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//وَقْرًا ؕ/وَقۡرٗاۚ/waqran//وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//كُلَّ/كُلَّ/kulla//اٰیَةٍ/ءَايَةٖ/ayatin//لَّا/لَّا/la//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//بِهَا ؕ/بِهَاۖ/biha//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءُوْكَ/جَآءُوكَ/jauka//یُجَادِلُوْنَكَ/يُجَٰدِلُونَكَ/yujadilunaka//یَقُوْلُ/يَقُولُ/yaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং তাদের মধ্যে হতে//কেউ কেউ//কান পেতে রাখে//তোমার দিকে//এবং আমরা দিয়েছি//উপর//অন্তরসমূহের তাদের//আবরণ//যেন (না)//বুঝে তারা তা//এবং মধ্যে//কানগুলোর তাদের//বধিরতা (দিয়েছি)//এবং যদি//তারা দেখে//সমস্ত//নিদর্শন (তবুও)//না//তারা ঈমান আনবে//প্রতি তার//এমনকি//যখন//তোমার কাছে তারা আসে//তোমার সাথে বিতর্ক করে//বলে//যারা//অস্বীকার করেছে//\"নয়//\"এটা//ছাড়া//উপকথাসমূহ//পূর্ববর্তীদের\""
            },
            {
              "number": 815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/815.mp3"
              ],
              "text": "وَهُمْ يَنْهَوْنَ عَنْهُ وَيَنْـَٔوْنَ عَنْهُ ۖ وَإِن يُهْلِكُونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ",
              "translate_bn": "তারা এ থেকে বাধা প্রদান করে এবং এ থেকে পলায়ন করে। তারা নিজেদেরকে ধ্বংস করেছে, কিন্তু বুঝছে না।",
              "numberInSurah": 26,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুম ইয়ানহাওনা ‘আনহু ওয়া ইয়ানআওনা ‘আনহু ওয়া ইয়ঁইউহলিকূনা ইল্লাআনফুছাহুম ওয়া মা-ইয়াশ‘উরুন।",
              "words_arabic": "وَ هُمْ/وَهُمۡ/wahum//یَنْهَوْنَ/يَنۡهَوۡنَ/yanhawna//عَنْهُ/عَنۡهُ/anhu//وَ یَنْـَٔوْنَ/وَيَنۡـَٔوۡنَ/wayanawna//عَنْهُ ۚ/عَنۡهُۖ/anhu//وَ اِنْ/وَإِن/wa-in//یُّهْلِكُوْنَ/يُهۡلِكُونَ/yuh'likuna//اِلَّاۤ/إِلَّآ/illa//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এবং তারা//নিষেধ করে (লোকদেরকে)//থেকে তা//ও তারা দূরে থাকে//হতে তা//এবং না//তারা ধ্বংস করে//এ ছাড়া//নিজেদেরকে তাদের//অথচ না//তারা উপলব্ধি করে"
            },
            {
              "number": 816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/816.mp3"
              ],
              "text": "وَلَوْ تَرَىٰٓ إِذْ وُقِفُوا۟ عَلَى ٱلنَّارِ فَقَالُوا۟ يَٰلَيْتَنَا نُرَدُّ وَلَا نُكَذِّبَ بِـَٔايَٰتِ رَبِّنَا وَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর আপনি যদি দেখেন, যখন তাদেরকে দোযখের উপর দাঁড় করানো হবে! তারা বলবেঃ কতই না ভাল হত, যদি আমরা পুনঃ প্রেরিত হতাম; তা হলে আমরা স্বীয় পালনকর্তার নিদর্শনসমূহে মিথ্যারোপ করতাম না এবং আমরা বিশ্বাসীদের অন্তর্ভুক্ত হয়ে যেতাম।",
              "numberInSurah": 27,
              "juz": 7,
              "manzil": 2,
              "page": 130,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও তারা ইযউকিফূ‘আলান্না-রি ফাকা-লূইয়া-লাইতানা-নুরাদ্দুওয়ালানুকাযযিবা বিআ-য়া-তি রাব্বিনা-ওয়া নাকূনা মিনাল মু’মিনীন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذْ/إِذۡ/idh//وُقِفُوْا/وُقِفُواْ/wuqifu//عَلَی/عَلَى/ala//النَّارِ/ٱلنَّارِ/al-nari//فَقَالُوْا/فَقَالُواْ/faqalu//یٰلَیْتَنَا/يَٰلَيۡتَنَا/yalaytana//نُرَدُّ/نُرَدُّ/nuraddu//وَ لَا/وَلَا/wala//نُكَذِّبَ/نُكَذِّبَ/nukadhiba//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّنَا/رَبِّنَا/rabbina//وَ نَكُوْنَ/وَنَكُونَ/wanakuna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং যদি//দেখতে তুমি//যখন//তাদের দাঁড় করান হবে//কাছে//(দোজখের) আগুনের//তখন তারা বলবে//\"হায়! আমাদের দুর্ভোগ//ফেরান হতো (সেখানে যদি) আমাদেরকে//এবং না//মিথ্যারোপ করতাম আমরা//প্রতি নিদর্শনগুলোর//রবের আমাদের//এবং  হতাম আমরা//অন্তর্ভুক্ত//মু'মিনদের\""
            },
            {
              "number": 817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/817.mp3"
              ],
              "text": "بَلْ بَدَا لَهُم مَّا كَانُوا۟ يُخْفُونَ مِن قَبْلُ ۖ وَلَوْ رُدُّوا۟ لَعَادُوا۟ لِمَا نُهُوا۟ عَنْهُ وَإِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "এবং তারা ইতি পূর্বে যা গোপন করত, তা তাদের সামনে প্রকাশ হয়ে পড়েছে। যদি তারা পুনঃ প্রেরিত হয়, তবুও তাই করবে, যা তাদেরকে নিষেধ করা হয়েছিল। নিশ্চয় তারা মিথ্যাবাদী।",
              "numberInSurah": 28,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "বাল বাদা-লাহুম মা-কা-নূইউখফূনা মিন কাবলু ওয়া লাও রুদ্দূলা‘আ-দূলিমা-নুহূ ‘আনহু ওয়া ইন্নাহুম লাকা-যিবূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//بَدَا/بَدَا/bada//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یُخْفُوْنَ/يُخۡفُونَ/yukh'funa//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۖ/qablu//وَ لَوْ/وَلَوۡ/walaw//رُدُّوْا/رُدُّواْ/ruddu//لَعَادُوْا/لَعَادُواْ/la'adu//لِمَا/لِمَا/lima//نُهُوْا/نُهُواْ/nuhu//عَنْهُ/عَنۡهُ/anhu//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "বরং//প্রকাশ পাবে//কাছে তাদের//যা//তারা ছিলো//তারা গোপন করতে//থেকে//পূর্ব//এবং যদি//তারা প্রত্যাবর্তিত হয়ও//অবশ্যই পুনরাবৃত্তি করবে//যা কিছু//তাদের নিষেধ করা হয়েছিলো//হতে তা//এবং নিশ্চয়ই তারা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/818.mp3"
              ],
              "text": "وَقَالُوٓا۟ إِنْ هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا وَمَا نَحْنُ بِمَبْعُوثِينَ",
              "translate_bn": "তারা বলেঃ আমাদের এ পার্থিব জীবনই জীবন। আমাদেরকে পুনরায় জীবিত হতে হবে না।",
              "numberInSurah": 29,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূইন হিয়া ইলা-হায়া-তুনাদদুনইয়া-ওয়া মা-নাহনুবিমাব‘ঊছীন।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اِنْ/إِنۡ/in//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//حَیَاتُنَا/حَيَاتُنَا/hayatuna//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمَبْعُوْثِیْنَ /بِمَبۡعُوثِينَ/bimab'uthina",
              "words_bangla": "এবং তারা বলে//\"নেই//\"এটা (অর্থাৎ আখিরাতের জীবন)//ছাড়া//জীবন আমাদের//পার্থিব//এবং না//আমরা//উত্থিত হবো\""
            },
            {
              "number": 819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/819.mp3"
              ],
              "text": "وَلَوْ تَرَىٰٓ إِذْ وُقِفُوا۟ عَلَىٰ رَبِّهِمْ ۚ قَالَ أَلَيْسَ هَٰذَا بِٱلْحَقِّ ۚ قَالُوا۟ بَلَىٰ وَرَبِّنَا ۚ قَالَ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ",
              "translate_bn": "আর যদি আপনি দেখেন; যখন তাদেরকে প্রতিপালকের সামনে দাঁড় করানো হবে। তিনি বলবেনঃ এটা কি বাস্তব সত্য নয়? তারা বলবেঃ হঁ্যা আমাদের প্রতিপালকের কসম। তিনি বলবেনঃ অতএব, স্বীয় কুফরের কারণে শাস্তি আস্বাদন কর।",
              "numberInSurah": 30,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 104,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও তারাইযউকিফূ‘আলা-রাব্বিহিম কালা আলাইছা হা-যা-বিলহাক্কি কালূবালা-ওয়া রাব্বিনা- কা-লা ফাযূকুল আযা-বা বিমা-কুনতুম তাকফুরূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذْ/إِذۡ/idh//وُقِفُوْا/وُقِفُواْ/wuqifu//عَلٰی/عَلَىٰ/ala//رَبِّهِمْ ؕ/رَبِّهِمۡۚ/rabbihim//قَالَ/قَالَ/qala//اَلَیْسَ/أَلَيۡسَ/alaysa//هٰذَا/هَٰذَا/hadha//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//قَالُوْا/قَالُواْ/qalu//بَلٰی/بَلَىٰ/bala//وَ رَبِّنَا ؕ/وَرَبِّنَاۚ/warabbina//قَالَ/قَالَ/qala//فَذُوْقُوا/فَذُوقُواْ/fadhuqu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْفُرُوْنَ۠/تَكۡفُرُونَ/takfuruna",
              "words_bangla": "এবং যদি//দেখতে তুমি (সে অবস্থা)//যখন//তাদের দাঁড় করানো হবে//সামনে//রবের তাদের//(আল্লাহ) বলবেন//\"কি নয়//এই (উত্থান)//ভাবে সঠিক\"//তারা বলবে//\"হ্যাঁ//শপথ রবের আমাদের\"//বলবেন তিনি//\"তাহ'লে তোমরা স্বাদ নাও//শাস্তির//এ কারণে যা//তোমরা ছিলে//তোমরা অস্বীকার করতে\""
            },
            {
              "number": 820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/820.mp3"
              ],
              "text": "قَدْ خَسِرَ ٱلَّذِينَ كَذَّبُوا۟ بِلِقَآءِ ٱللَّهِ ۖ حَتَّىٰٓ إِذَا جَآءَتْهُمُ ٱلسَّاعَةُ بَغْتَةًۭ قَالُوا۟ يَٰحَسْرَتَنَا عَلَىٰ مَا فَرَّطْنَا فِيهَا وَهُمْ يَحْمِلُونَ أَوْزَارَهُمْ عَلَىٰ ظُهُورِهِمْ ۚ أَلَا سَآءَ مَا يَزِرُونَ",
              "translate_bn": "নিশ্চয় তারা ক্ষতিগ্রস্ত, যারা আল্লাহর সাক্ষাৎকে মিথ্যা মনে করেছে। এমনকি, যখন কিয়ামত তাদের কাছে অকস্মাৎ এসে যাবে, তারা বলবেঃ হায় আফসোস, এর ব্যাপারে আমরা কতই না ক্রটি করেছি। তার স্বীয় বোঝা স্বীয় পৃষ্ঠে বহন করবে। শুনে রাখ, তারা যে বোঝা বহন করবে, তা নিকৃষ্টতর বোঝা।",
              "numberInSurah": 31,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 105,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "কাদ খাছিরাল্লাযীনা কাযযাবূবিলিকাইল্লা-হি হাত্তা-ইযাজাআতহুমুছছা‘আতুবাগতাতান কা-লূইয়া-হাছরাতানা-‘আলা-মা-ফাররাতনা-ফীহা- ওয়া হুম ইয়াহমিলূনা আওঝা-রাহুম ‘আলা-জু হূরিহিম ‘আলা-ছাআ মা-ইয়াঝিরূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//خَسِرَ/خَسِرَ/khasira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِلِقَآءِ/بِلِقَآءِ/biliqai//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//بَغْتَةً/بَغۡتَةٗ/baghtatan//قَالُوْا/قَالُواْ/qalu//یٰحَسْرَتَنَا/يَٰحَسۡرَتَنَا/yahasratana//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَرَّطْنَا/فَرَّطۡنَا/farratna//فِیْهَا ۙ/فِيهَا/fiha//وَ هُمْ/وَهُمۡ/wahum//یَحْمِلُوْنَ/يَحۡمِلُونَ/yahmiluna//اَوْزَارَهُمْ/أَوۡزَارَهُمۡ/awzarahum//عَلٰی/عَلَىٰ/ala//ظُهُوْرِهِمْ ؕ/ظُهُورِهِمۡۚ/zuhurihim//اَلَا/أَلَا/ala//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَزِرُوْنَ /يَزِرُونَ/yaziruna",
              "words_bangla": "নিশ্চয়ই//ক্ষতিগ্রস্ত হয়েছে//যারা//মিথ্যা আরোপ করেছে//প্রতি সাক্ষাতের//আল্লাহর//এমনকি//যখন//কাছে আসবে তাদের//ক্বিয়ামাত//হঠাৎ//তারা বলবে//\"হায় আক্ষেপ আমাদের//এর উপর//যা//অবজ্ঞা করেছি আমরা//মধ্যে তার\"//এবং তারা//বহন করবে//বোঝাসমূহ তাদের//উপর//পিঠগুলোর তাদের//সাবধান//নিকৃষ্ট//যা//তারা বহন করবে"
            },
            {
              "number": 821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/821.mp3"
              ],
              "text": "وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا لَعِبٌۭ وَلَهْوٌۭ ۖ وَلَلدَّارُ ٱلْءَاخِرَةُ خَيْرٌۭ لِّلَّذِينَ يَتَّقُونَ ۗ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "পার্থিব জীবন ক্রীড়া ও কৌতুক ব্যতীত কিছুই নয়। পরকালের আবাস পরহেযগারদের জন্যে শ্রেষ্টতর। তোমরা কি বুঝ না ?",
              "numberInSurah": 32,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 105,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাল হায়া-তুদ দুনইয়াইল্লা-লা‘ইবুওঁ ওয়া লাহ উরঁ ওয়া লাদ্দা-রুল আ-খিরাতু খাইরুল লিল্লাযীনা ইয়াত্তাকূনা আফালা-তা‘কিলূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَاۤ/ٱلدُّنۡيَآ/al-dun'ya//اِلَّا/إِلَّا/illa//لَعِبٌ/لَعِبٞ/la'ibun//وَّ لَهْوٌ ؕ/وَلَهۡوٞۖ/walahwun//وَ لَلدَّارُ/وَلَلدَّارُ/walalddaru//الْاٰخِرَةُ/ٱلۡأٓخِرَةُ/al-akhiratu//خَیْرٌ/خَيۡرٞ/khayrun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یَتَّقُوْنَ ؕ/يَتَّقُونَۚ/yattaquna//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এবং নয়//জীবন//পার্থিব//এ ছাড়া//ক্রীড়া//ও কৌতুক//এবং অবশ্যই আবাস//আখিরাতের//উত্তম//জন্যে তাদের (যারা)//আত্মরক্ষা করে চলে//কি তবুও না//তোমরা বুঝবে"
            },
            {
              "number": 822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/822.mp3"
              ],
              "text": "قَدْ نَعْلَمُ إِنَّهُۥ لَيَحْزُنُكَ ٱلَّذِى يَقُولُونَ ۖ فَإِنَّهُمْ لَا يُكَذِّبُونَكَ وَلَٰكِنَّ ٱلظَّٰلِمِينَ بِـَٔايَٰتِ ٱللَّهِ يَجْحَدُونَ",
              "translate_bn": "আমার জানা আছে যে, তাদের উক্তি আপনাকে দুঃখিত করে। অতএব, তারা আপনাকে মিথ্যা প্রতিপন্ন করে না, বরং জালেমরা আল্লাহর নিদর্শনাবলীকে অস্বীকার করে।",
              "numberInSurah": 33,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 105,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "কাদ না‘লামুইন্নাহূলাইয়াহঝুনুকাল্লাযীইয়াকূলূনা ফাইন্নাহুম লা- ইউকায যি ওয়ালা-কিন্নাজ্জা-লিমীনাবিআ-য়া-তিল্লা-হিইয়াজহাদূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//نَعْلَمُ/نَعۡلَمُ/na'lamu//اِنَّهٗ/إِنَّهُۥ/innahu//لَیَحْزُنُكَ/لَيَحۡزُنُكَ/layahzunuka//الَّذِیْ/ٱلَّذِي/alladhi//یَقُوْلُوْنَ/يَقُولُونَۖ/yaquluna//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//لَا/لَا/la//یُكَذِّبُوْنَكَ/يُكَذِّبُونَكَ/yukadhibunaka//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "নিশ্চয়ই//জানি আমরা//নিশ্চয়ই তা//অবশ্যই দুঃখ দেয় তোমাকে//যা//তারা বলে//তবে নিশ্চয়ই তারা//না//তোমাকে মিথ্যারোপ করে//কিন্তু//সীমালঙ্ঘনকারীরা//প্রতি নিদর্শনাবলীর//আল্লাহর//অস্বীকার করেছে"
            },
            {
              "number": 823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/823.mp3"
              ],
              "text": "وَلَقَدْ كُذِّبَتْ رُسُلٌۭ مِّن قَبْلِكَ فَصَبَرُوا۟ عَلَىٰ مَا كُذِّبُوا۟ وَأُوذُوا۟ حَتَّىٰٓ أَتَىٰهُمْ نَصْرُنَا ۚ وَلَا مُبَدِّلَ لِكَلِمَٰتِ ٱللَّهِ ۚ وَلَقَدْ جَآءَكَ مِن نَّبَإِى۟ ٱلْمُرْسَلِينَ",
              "translate_bn": "আপনার পূর্ববর্তী অনেক পয়গম্বরকে মিথ্যা বলা হয়েছে। তাঁরা এতে ছবর করেছেন। তাদের কাছে আমার সাহায্য পৌঁছে পর্যন্ত তারা নির্যাতিত হয়েছেন। আল্লাহর বানী কেউ পরিবর্তন করতে পারে না। আপনার কাছে পয়গম্বরদের কিছু কাহিনী পৌঁছেছে।",
              "numberInSurah": 34,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 105,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কুযযিবাত রুছুলুম মিন কাবলিকা ফাসাবারূ ‘আলা-মা-কুযযিবূওয়াঊযূ হাত্তাআতা-হুম নাসরুনা- ওয়ালা-মুবাদ্দিলা লিকালিমা-তিল্লা-হি ওয়ালাকাদ জাআকা মিন নাবাইল মুরছালীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كُذِّبَتْ/كُذِّبَتۡ/kudhibat//رُسُلٌ/رُسُلٞ/rusulun//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَصَبَرُوْا/فَصَبَرُواْ/fasabaru//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//كُذِّبُوْا/كُذِّبُواْ/kudhibu//وَ اُوْذُوْا/وَأُوذُواْ/waudhu//حَتّٰۤی/حَتَّىٰٓ/hatta//اَتٰىهُمْ/أَتَىٰهُمۡ/atahum//نَصْرُنَا ۚ/نَصۡرُنَاۚ/nasruna//وَ لَا/وَلَا/wala//مُبَدِّلَ/مُبَدِّلَ/mubaddila//لِكَلِمٰتِ/لِكَلِمَٰتِ/likalimati//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَكَ/جَآءَكَ/jaaka//مِنْ/مِن/min//نَّبَاِی/نَّبَإِيْ/naba-i//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//মিথ্যারোপ করা হয়েছে//রাসূলদেরকে//থেকে//পূর্ব তোমার//তবে তারা ধৈর্য্য ধরেছে//এর উপর//যাকিছু//তাদের মিথ্যারোপ করা হয়েছে//ও তাদের কষ্ট দেয়া হয়েছে//যতক্ষণ না//কাছে এসেছে তাদের//সাহায্য আমাদের//ও নেই//কোনো পরিবর্তনকারী//জন্যে বাণীসমূহের//আল্লাহর//এবং নিশ্চয়ই//তোমার কাছে এসেছে//কিছু//খবর//রাসূলদের (সম্পর্কে)"
            },
            {
              "number": 824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/824.mp3"
              ],
              "text": "وَإِن كَانَ كَبُرَ عَلَيْكَ إِعْرَاضُهُمْ فَإِنِ ٱسْتَطَعْتَ أَن تَبْتَغِىَ نَفَقًۭا فِى ٱلْأَرْضِ أَوْ سُلَّمًۭا فِى ٱلسَّمَآءِ فَتَأْتِيَهُم بِـَٔايَةٍۢ ۚ وَلَوْ شَآءَ ٱللَّهُ لَجَمَعَهُمْ عَلَى ٱلْهُدَىٰ ۚ فَلَا تَكُونَنَّ مِنَ ٱلْجَٰهِلِينَ",
              "translate_bn": "আর যদি তাদের বিমুখতা আপনার পক্ষে কষ্টকর হয়, তবে আপনি যদি ভূতলে কোন সুড়ঙ্গ অথবা আকাশে কোন সিড়ি অনুসন্ধান করতে সমর্থ হন, অতঃপর তাদের কাছে কোন একটি মোজেযা আনতে পারেন, তবে নিয়ে আসুন। আল্লাহ ইচ্ছা করলে সবাইকে সরল পথে সমবেত করতে পারতেন। অতএব, আপনি নির্বোধদের অন্তর্ভুক্ত হবেন না।",
              "numberInSurah": 35,
              "juz": 7,
              "manzil": 2,
              "page": 131,
              "ruku": 105,
              "hizbQuarter": 52,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-না কাবুরা ‘আলাইকা ই‘রা-দুহুম ফাইনিছতাতা‘তা আন তাবতাগিয়া নাফাকান ফিল আরদিআও ছুল্লামান ফিছছামাই ফাতা’তিয়াহুম বিআ-ইয়াতিওঁ ওয়া লাও শাআল্লা-হু লাজামা‘আহুম ‘আলাল হুদা-ফালা-তাকূনান্না মিনাল জা-হিলীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//كَبُرَ/كَبُرَ/kabura//عَلَیْكَ/عَلَيۡكَ/alayka//اِعْرَاضُهُمْ/إِعۡرَاضُهُمۡ/i'raduhum//فَاِنِ/فَإِنِ/fa-ini//اسْتَطَعْتَ/ٱسۡتَطَعۡتَ/is'tata'ta//اَنْ/أَن/an//تَبْتَغِیَ/تَبۡتَغِيَ/tabtaghiya//نَفَقًا/نَفَقٗا/nafaqan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَوْ/أَوۡ/aw//سُلَّمًا/سُلَّمٗا/sullaman//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَتَاْتِیَهُمْ/فَتَأۡتِيَهُم/fatatiyahum//بِاٰیَةٍ ؕ/بِـَٔايَةٖۚ/biayatin//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَجَمَعَهُمْ/لَجَمَعَهُمۡ/lajama'ahum//عَلَی/عَلَى/ala//الْهُدٰی/ٱلۡهُدَىٰۚ/al-huda//فَلَا/فَلَا/fala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "এবং যদি//হয়//কষ্টকর//তোমার উপর//উপেক্ষা করা তাদের//তবে যদি//তুমি সমর্থ হও//যে//সন্ধান করো তুমি//কোনো সুড়ঙ্গ//মধ্যে//মাটির//বা//সিঁড়ি (চড়ার জন্যে)//মধ্যে//আকাশের//অতঃপর কাছে আসো তাদের//নিয়ে কোনো নিদর্শন//এবং যদি//ইচ্ছে করতেন//আল্লাহ(তবে)//অবশ্যই একত্র করতেন তাদের//উপর//সৎপথের//অতএব না//তুমি হয়ো//অন্তর্ভুক্ত//মূর্খদের"
            },
            {
              "number": 825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/825.mp3"
              ],
              "text": "۞ إِنَّمَا يَسْتَجِيبُ ٱلَّذِينَ يَسْمَعُونَ ۘ وَٱلْمَوْتَىٰ يَبْعَثُهُمُ ٱللَّهُ ثُمَّ إِلَيْهِ يُرْجَعُونَ",
              "translate_bn": "তারাই মানে, যারা শ্রবণ করে। আল্লাহ মৃতদেরকে জীবিত করে উত্থিত করবেন। অতঃপর তারা তাঁরই দিকে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 36,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়াছতাজীবুল্লাযীনা ইয়াছমা‘ঊনা ওয়াল মাওতা-ইয়াব‘আছুহুমুল্লা-হু ছুম্মা ইলাইহি ইউরজা‘ঊন।",
              "words_arabic": "اِنَّمَا/۞إِنَّمَا/innama//یَسْتَجِیْبُ/يَسۡتَجِيبُ/yastajibu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْمَعُوْنَ ؔؕ/يَسۡمَعُونَۘ/yasma'una//وَالْمَوْتٰی/وَٱلۡمَوۡتَىٰ/wal-mawta//یَ بْعَثُهُمُ/يَبۡعَثُهُمُ/yab'athuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//ثُمَّ/ثُمَّ/thumma//اِلَیْهِ/إِلَيۡهِ/ilayhi//یُرْجَعُوْنَ/يُرۡجَعُونَ/yur'ja'una",
              "words_bangla": "প্রকৃতপক্ষে//ডাকে সাড়া দেয়//(তারাই) যারা//যারা শোনে//এবং মৃতদেরকে//উজ্জীবিত করবেন তাদের//আল্লাহ//এরপর//দিকে তাঁরই//তাদের ফিরিয়ে আনা হবে"
            },
            {
              "number": 826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/826.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْلَا نُزِّلَ عَلَيْهِ ءَايَةٌۭ مِّن رَّبِّهِۦ ۚ قُلْ إِنَّ ٱللَّهَ قَادِرٌ عَلَىٰٓ أَن يُنَزِّلَ ءَايَةًۭ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "তারা বলেঃ তার প্রতি তার পালনকর্তার পক্ষ থেকে কোন নিদর্শন অবতীর্ণ হয়নি কেন? বলে দিনঃ আল্লাহ নিদর্শন অবতরণ করতে পূর্ন সক্ষম; কিন্তু তাদের অধিকাংশই জানে না।",
              "numberInSurah": 37,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাওলা-নুঝঝিলা ‘আলাইহি আ-য়াতুম মির রাব্বিহী কুল ইন্নাল্লা-হা কাদিরুন ‘আলাআইঁ ইউনাঝঝিলা আ-য়াতাওঁ ওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ لَا/لَوۡلَا/lawla//نُزِّلَ/نُزِّلَ/nuzzila//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیَةٌ/ءَايَةٞ/ayatun//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦۚ/rabbihi//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَادِرٌ/قَادِرٌ/qadirun//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یُّنَزِّلَ/يُنَزِّلَ/yunazzila//اٰیَةً/ءَايَةٗ/ayatan//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং তারা বলে//\"কেন না//অবতীর্ণ করা হয়//উপর তার//কোনো নিদর্শন//পক্ষ হতে//রবের তার\"//বলো//\"নিশ্চয়ই//আল্লাহ//সক্ষম//এর উপর//যে//অবতীর্ণ করবেন//কোনো নিদর্শন//কিন্তু//অধিকাংশই তাদের//না//তারা জানে\""
            },
            {
              "number": 827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/827.mp3"
              ],
              "text": "وَمَا مِن دَآبَّةٍۢ فِى ٱلْأَرْضِ وَلَا طَٰٓئِرٍۢ يَطِيرُ بِجَنَاحَيْهِ إِلَّآ أُمَمٌ أَمْثَالُكُم ۚ مَّا فَرَّطْنَا فِى ٱلْكِتَٰبِ مِن شَىْءٍۢ ۚ ثُمَّ إِلَىٰ رَبِّهِمْ يُحْشَرُونَ",
              "translate_bn": "আর যত প্রকার প্রাণী পৃথিবীতে বিচরণশীল রয়েছে এবং যত প্রকার পাখী দু’ ডানাযোগে উড়ে বেড়ায় তারা সবাই তোমাদের মতই একেকটি শ্রেণী। আমি কোন কিছু লিখতে ছাড়িনি। অতঃপর সবাই স্বীয় প্রতিপালকের কাছে সমবেত হবে।",
              "numberInSurah": 38,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-মিন দাব্বাতিন ফিল আরদিওয়ালা-তাইরিইঁ ইয়াতীরু বিজানা-হাইহি ইল্লাউমামুন আমছা-লুকুম মা-ফাররাতনা-ফিল কিতা-বি মিন শাইয়িন ছু ম্মা ইলারাব্বিহিম ইউহশারূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//طٰٓىِٕرٍ/طَـٰٓئِرٖ/tairin//یَّطِیْرُ/يَطِيرُ/yatiru//بِجَنَاحَیْهِ/بِجَنَاحَيۡهِ/bijanahayhi//اِلَّاۤ/إِلَّآ/illa//اُمَمٌ/أُمَمٌ/umamun//اَمْثَالُكُمْ ؕ/أَمۡثَالُكُمۚ/amthalukum//مَا/مَّا/ma//فَرَّطْنَا/فَرَّطۡنَا/farratna//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖۚ/shayin//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یُحْشَرُوْنَ /يُحۡشَرُونَ/yuh'sharuna",
              "words_bangla": "এবং নেই//কোনো//বিচরণশীল জন্তু//মধ্যে//পৃথিবীর//আর না//পাখি (যা)//উড়ে//দিয়ে দু'ডানা তার//এছাড়া যে (তারাও)//জাতি (প্রজাতি)//মতো তোমাদের//না//ক্রুটি রেখেছি আমরা (নিয়তি নির্ধারণে)//মধ্যে//কিতাবের//কোনো//কিছুই//এরপর//দিকে//রবের তাদের//তাদের একত্র করা হবে"
            },
            {
              "number": 828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/828.mp3"
              ],
              "text": "وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا صُمٌّۭ وَبُكْمٌۭ فِى ٱلظُّلُمَٰتِ ۗ مَن يَشَإِ ٱللَّهُ يُضْلِلْهُ وَمَن يَشَأْ يَجْعَلْهُ عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "যারা আমার নিদর্শনসমূহকে মিথ্যা বলে, তারা অন্ধকারের মধ্যে মূক ও বধির। আল্লাহ যাকে ইচ্ছা পথভ্রষ্ট করেন এবং যাকে ইচ্ছা সরল পথে পরিচালিত করেন।",
              "numberInSurah": 39,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাযযাবূবিআ- ইয়া-তিনা-সুম্মুওঁ ওয়া বুকমন ফিজজু লুমা-তি মাইঁ ইয়াশাইল্লা-হু ইউদলিলহু ওয়া মাইঁ ইয়াশা’ ইয়াজ‘আলহু ‘আলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//صُمٌّ/صُمّٞ/summun//وَّ بُكْمٌ/وَبُكۡمٞ/wabuk'mun//فِی/فِي/fi//الظُّلُمٰتِ ؕ/ٱلظُّلُمَٰتِۗ/al-zulumati//مَنْ/مَن/man//یَّشَاِ/يَشَإِ/yasha-i//اللّٰهُ/ٱللَّهُ/al-lahu//یُضْلِلْهُ ؕ/يُضۡلِلۡهُ/yud'lil'hu//وَ مَنْ/وَمَن/waman//یَّشَاْ/يَشَأۡ/yasha//یَجْعَلْهُ/يَجۡعَلۡهُ/yaj'alhu//عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "এবং যারা//মিথ্যারোপ করেছে//নিয়ে নিদর্শনগুলোর আমাদের//(তারা) বধির//ও বোবা//(তারা আছে) মধ্যে//অন্ধকারের//যাকে//ইচ্ছে করেন//আল্লাহ//পথভ্রষ্ট করেন তাকে//এবং যাকে//ইচ্ছে করেন//রাখেন তাকে//উপর//পথের//সরল-সোজা"
            },
            {
              "number": 829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/829.mp3"
              ],
              "text": "قُلْ أَرَءَيْتَكُمْ إِنْ أَتَىٰكُمْ عَذَابُ ٱللَّهِ أَوْ أَتَتْكُمُ ٱلسَّاعَةُ أَغَيْرَ ٱللَّهِ تَدْعُونَ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বলুন, বলতো দেখি, যদি তোমাদের উপর আল্লাহর শাস্তি পতিত হয় কিংবা তোমাদের কাছে কিয়ামত এসে যায়, তবে তোমরা কি আল্লাহ ব্যতীত অন্যকে ডাকবে যদি তোমরা সত্যবাদী হও।",
              "numberInSurah": 40,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল আরা’আইতাকুম ইন আতা-কুম ‘আযা-বুল্লা-হি আও আতাতকুমুছছা-‘আতু আগাইরাল্লা-হি তাদ‘ঊনা ইন কুনতুম সা-দিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتَكُمْ/أَرَءَيۡتَكُمۡ/ara-aytakum//اِنْ/إِنۡ/in//اَتٰىكُمْ/أَتَىٰكُمۡ/atakum//عَذَابُ/عَذَابُ/adhabu//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْ/أَوۡ/aw//اَتَتْكُمُ/أَتَتۡكُمُ/atatkumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//اَغَیْرَ/أَغَيۡرَ/aghayra//اللّٰهِ/ٱللَّهِ/al-lahi//تَدْعُوْنَ ۚ/تَدۡعُونَ/tad'una//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "বলো//\"কি তোমরা (ভেবে) দেখেছো//যদি//কাছে আসে তোমাদের//শাস্তি//আল্লাহর//বা//কাছে আসে তোমাদের//ক্বিয়ামাত//(তবে) কি ছাড়া//আল্লাহ//ডাকবে তোমরা (অন্য কাউকে)//যদি//হও তোমরা//সত্যবাদী (তবে উত্তর দাও)\""
            },
            {
              "number": 830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/830.mp3"
              ],
              "text": "بَلْ إِيَّاهُ تَدْعُونَ فَيَكْشِفُ مَا تَدْعُونَ إِلَيْهِ إِن شَآءَ وَتَنسَوْنَ مَا تُشْرِكُونَ",
              "translate_bn": "বরং তোমরা তো তাঁকেই ডাকবে। অতঃপর যে বিপদের জন্যে তাঁকে ডাকবে, তিনি ইচ্ছা করলে তা দুরও করে দেন। যাদেরকে অংশীদার করছ, তখন তাদেরকে ভুলে যাবে।",
              "numberInSurah": 41,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 105,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "বাল ইয়্যা-হু তাদ‘ঊনা ফাইয়াকশিফুমা-তাদ‘ঊনা ইলাইহি ইন শাআ ওয়া তানছাওনা মাতুশরিকূন ।",
              "words_arabic": "بَلْ/بَلۡ/bal//اِیَّاهُ/إِيَّاهُ/iyyahu//تَدْعُوْنَ/تَدۡعُونَ/tad'una//فَیَكْشِفُ/فَيَكۡشِفُ/fayakshifu//مَا/مَا/ma//تَدْعُوْنَ/تَدۡعُونَ/tad'una//اِلَیْهِ/إِلَيۡهِ/ilayhi//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//وَ تَنْسَوْنَ/وَتَنسَوۡنَ/watansawna//مَا/مَا/ma//تُشْرِكُوْنَ۠/تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "\"(না) বরং//শুধু তাঁকেই//ডাকো তোমরা//অতঃপর তিনি দূর করেন//যে জন্য//তোমরা ডাকো (দু'আ করো)//কাছে তাঁর//যদি//তিনি ইচ্ছে করেন//এবং (তখন) তোমরা ভুলে যাও//যাকে//তোমরা শিরক করে থাকো\""
            },
            {
              "number": 831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/831.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَآ إِلَىٰٓ أُمَمٍۢ مِّن قَبْلِكَ فَأَخَذْنَٰهُم بِٱلْبَأْسَآءِ وَٱلضَّرَّآءِ لَعَلَّهُمْ يَتَضَرَّعُونَ",
              "translate_bn": "আর আমি আপনার পূর্ববর্তী উম্মতদের প্রতিও পয়গম্বর প্রেরণ করেছিলাম। অতঃপর আমি তাদেরকে অভাব-অনটন ও রোগ-ব্যধি দ্বারা পাকড়াও করেছিলাম যাতে তারা কাকুতি মিনতি করে।",
              "numberInSurah": 42,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনাইলাউমামিম মিন কাবলিকা ফাআখাযনা-হুম বিল বা’ছাই ওয়াদ্দাররাই লা‘আল্লাহুম ইয়াতাদাররা‘ঊন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلٰۤی/إِلَىٰٓ/ila//اُمَمٍ/أُمَمٖ/umamin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَاَخَذْنٰهُمْ/فَأَخَذۡنَٰهُم/fa-akhadhnahum//بِالْبَاْسَآءِ/بِٱلۡبَأۡسَآءِ/bil-basai//وَ الضَّرَّآءِ/وَٱلضَّرَّآءِ/wal-darai//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَضَرَّعُوْنَ /يَتَضَرَّعُونَ/yatadarra'una",
              "words_bangla": "এবং নিশ্চয়ই//পাঠিয়েছি আমরা (রাসূলগণকে)//প্রতি//জাতিগুলোর)//থেকে//পূর্ব তোমার//অতঃপর আমরা ধরেছি তাদেরকে//দিয়ে অর্থসংকট//ও দুঃখদৈন্য(দিয়ে)//যাতে তারা//বিনীত হয়"
            },
            {
              "number": 832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/832.mp3"
              ],
              "text": "فَلَوْلَآ إِذْ جَآءَهُم بَأْسُنَا تَضَرَّعُوا۟ وَلَٰكِن قَسَتْ قُلُوبُهُمْ وَزَيَّنَ لَهُمُ ٱلشَّيْطَٰنُ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "অতঃপর তাদের কাছে যখন আমার আযাব আসল, তখন কেন কাকুতি-মিনতি করল না ? বস্তুতঃ তাদের অন্তর কঠোর হয়ে গেল এবং শয়তান তাদের কাছে সুশোভিত করে দেখাল, যে কাজ তারা করছিল।",
              "numberInSurah": 43,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ফালাওলাইযজাআহুম বা’ছুনা-তাদাররা‘ঊ ওয়া লা-কিন কাছাত কুলূবুহুম ওয়া ঝাইইয়ানা লাহুমুশশাইতা-নুমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "فَلَوْ لَاۤ/فَلَوۡلَآ/falawla//اِذْ/إِذۡ/idh//جَآءَهُمْ/جَآءَهُم/jaahum//بَاْسُنَا/بَأۡسُنَا/basuna//تَضَرَّعُوْا/تَضَرَّعُواْ/tadarra'u//وَ لٰكِنْ/وَلَٰكِن/walakin//قَسَتْ/قَسَتۡ/qasat//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//وَ زَیَّنَ/وَزَيَّنَ/wazayyana//لَهُمُ/لَهُمُ/lahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "অতঃপর কেন না//যখন//এসেছিলো তাদের (কাছে)//শাস্তি আমাদের//তারা বিনীত হলো//বরং//শক্ত হয়ে গেলো//অন্তরগুলো তাদের//এবং সুশোভিত করেছিলো//জন্যে তাদের//শয়তান//যা//তারা ছিলো//কাজ করতে"
            },
            {
              "number": 833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/833.mp3"
              ],
              "text": "فَلَمَّا نَسُوا۟ مَا ذُكِّرُوا۟ بِهِۦ فَتَحْنَا عَلَيْهِمْ أَبْوَٰبَ كُلِّ شَىْءٍ حَتَّىٰٓ إِذَا فَرِحُوا۟ بِمَآ أُوتُوٓا۟ أَخَذْنَٰهُم بَغْتَةًۭ فَإِذَا هُم مُّبْلِسُونَ",
              "translate_bn": "অতঃপর তারা যখন ঐ উপদেশ ভুলে গেল, যা তাদেরকে দেয়া হয়েছিল, তখন আমি তাদের সামনে সব কিছুর দ্বার উম্মুক্ত করে দিলাম। এমনকি, যখন তাদেরকে প্রদত্ত বিষয়াদির জন্যে তারা খুব গর্বিত হয়ে পড়ল, তখন আমি অকস্মাৎ তাদেরকে পাকড়াও করলাম। তখন তারা নিরাশ হয়ে গেল।",
              "numberInSurah": 44,
              "juz": 7,
              "manzil": 2,
              "page": 132,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-নাছূমা-যুককিরূ বিহী ফাতাহনা- ‘আলাইহিম আবওয়া-বা কুল্লি শাইয়িন হাত্তাইযা-ফারিহূবিমাঊতূআখাযনা-হুম বাগতাতান ফাইযা-হুম মুবলিছূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//نَسُوْا/نَسُواْ/nasu//مَا/مَا/ma//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِهٖ/بِهِۦ/bihi//فَتَحْنَا/فَتَحۡنَا/fatahna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَبْوَابَ/أَبۡوَٰبَ/abwaba//كُلِّ/كُلِّ/kulli//شَیْءٍ ؕ/شَيۡءٍ/shayin//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//فَرِحُوْا/فَرِحُواْ/farihu//بِمَاۤ/بِمَآ/bima//اُوْتُوْۤا/أُوتُوٓاْ/utu//اَخَذْنٰهُمْ/أَخَذۡنَٰهُم/akhadhnahum//بَغْتَةً/بَغۡتَةٗ/baghtatan//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُم/hum//مُّبْلِسُوْنَ /مُّبۡلِسُونَ/mub'lisuna",
              "words_bangla": "অতঃপর যখন//তারা ভুলে গেল//যা//তাদের উপদেশ দেয়া হয়েছিলো//সম্পর্কে সে//তখন খুলে দিলাম আমরা//উপর তাদের//(স্বচ্ছলতার) দরজাসমূহ//সব//কিছুর//এমনকি//যখন//তারা উল্লসিত হলো//নিয়ে তা যা//তাদের দেয়া হয়েছিলো//আমরা ধরলাম তাদের//হঠাৎ//ফলে তখন//তারা//নিরাশ হয়ে পড়লো"
            },
            {
              "number": 834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/834.mp3"
              ],
              "text": "فَقُطِعَ دَابِرُ ٱلْقَوْمِ ٱلَّذِينَ ظَلَمُوا۟ ۚ وَٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "অতঃপর জালেমদের মূল শিকড় কর্তিত হল। সমস্ত প্রশংসা আল্লাহরই জন্যে, যিনি বিশ্বজগতের পালনকর্তা।",
              "numberInSurah": 45,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ফাকুতি‘আ দা-বিরুল কাওমিল্লাযীনা জালামূ ওয়াল হামদুলিল্লা-হি রাব্বিল ‘আলামীন।",
              "words_arabic": "فَقُطِعَ/فَقُطِعَ/faquti'a//دَابِرُ/دَابِرُ/dabiru//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا ؕ/ظَلَمُواْۚ/zalamu//وَ الْحَمْدُ/وَٱلۡحَمۡدُ/wal-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অতঃপর উচ্ছেদ করা হলো//মূল//(ঐ)সম্প্রদায়ের//যারা//সীমালঙ্ঘন করেছিলো//আর সব প্রশংসা//জন্যে আল্লাহরই//(যিনি) রব//বিশ্বজগতের"
            },
            {
              "number": 835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/835.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِنْ أَخَذَ ٱللَّهُ سَمْعَكُمْ وَأَبْصَٰرَكُمْ وَخَتَمَ عَلَىٰ قُلُوبِكُم مَّنْ إِلَٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِهِ ۗ ٱنظُرْ كَيْفَ نُصَرِّفُ ٱلْءَايَٰتِ ثُمَّ هُمْ يَصْدِفُونَ",
              "translate_bn": "আপনি বলুনঃ বল তো দেখি, যদি আল্লাহ তোমাদের কান ও চোখ নিয়ে যান এবং তোমাদের অন্তরে মোহর এঁটে দেন, তবে এবং তোমাদের আল্লাহ ব্যতীত এমন উপাস্য কে আছে, যে তোমাদেরকে এগুলো এনে দেবে? দেখ, আমি কিভাবে ঘুরিয়ে-ফিরিয়ে নিদর্শনাবলী বর্ণনা করি। তথাপি তারা বিমুখ হচ্ছে।",
              "numberInSurah": 46,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন আখাযাল্লা-হু ছাম‘আকুম ওয়া আবসা-রাকুম ওয়া খাতামা ‘আলাকুলূবিকুম মান ইলা-হুন গাইরুল্লা-হি ইয়া’তীকুম বিহী উনজু র কাইফা নুসাররিফুল আয়া-তি ছুম্মা হুম ইয়াসদিফূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِنۡ/in//اَخَذَ/أَخَذَ/akhadha//اللّٰهُ/ٱللَّهُ/al-lahu//سَمْعَكُمْ/سَمۡعَكُمۡ/sam'akum//وَ اَبْصَارَكُمْ/وَأَبۡصَٰرَكُمۡ/wa-absarakum//وَ خَتَمَ/وَخَتَمَ/wakhatama//عَلٰی/عَلَىٰ/ala//قُلُوْبِكُمْ/قُلُوبِكُم/qulubikum//مَّنْ/مَّنۡ/man//اِلٰهٌ/إِلَٰهٌ/ilahun//غَیْرُ/غَيۡرُ/ghayru//اللّٰهِ/ٱللَّهِ/al-lahi//یَاْتِیْكُمْ/يَأۡتِيكُم/yatikum//بِهٖ ؕ/بِهِۗ/bihi//اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//نُصَرِّفُ/نُصَرِّفُ/nusarrifu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//ثُمَّ/ثُمَّ/thumma//هُمْ/هُمۡ/hum//یَصْدِفُوْنَ /يَصۡدِفُونَ/yasdifuna",
              "words_bangla": "বলো//\"কি (ভেবে) দেখছো তোমরা//যদি//কেড়ে নেন//আল্লাহ//শ্রবণশক্তি তোমাদের//ও দৃষ্টিশক্তি তোমাদের//এবং সিল লাগান//উপর//অন্তরগুলোর তোমাদের//কোনো//ইলাহ (আছে)//ছাড়া//আল্লাহ (যে)//কাছে আসবে তোমাদের//নিয়ে তা//দেখো//কেমনভাবে//বারবার বর্ণনা করি আমরা//নিদর্শনগুলো//এরপরও//তারা//তারা মুখ ফিরিয়ে নেয়\""
            },
            {
              "number": 836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/836.mp3"
              ],
              "text": "قُلْ أَرَءَيْتَكُمْ إِنْ أَتَىٰكُمْ عَذَابُ ٱللَّهِ بَغْتَةً أَوْ جَهْرَةً هَلْ يُهْلَكُ إِلَّا ٱلْقَوْمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "বলে দিনঃ দেখতো, যদি আল্লাহর শাস্তি, আকস্মিক কিংবা প্রকাশ্যে তোমাদের উপর আসে, তবে জালেম, সম্প্রদায় ব্যতীত কে ধ্বংস হবে?",
              "numberInSurah": 47,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতাকুমইনআতা-কুম‘আযা-বুল্লা-হি বাগতাতান আও জাহরাতান হাল ইউহলাকুইল্লাল কাওমুজ্জা-লিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتَكُمْ/أَرَءَيۡتَكُمۡ/ara-aytakum//اِنْ/إِنۡ/in//اَتٰىكُمْ/أَتَىٰكُمۡ/atakum//عَذَابُ/عَذَابُ/adhabu//اللّٰهِ/ٱللَّهِ/al-lahi//بَغْتَةً/بَغۡتَةً/baghtatan//اَوْ/أَوۡ/aw//جَهْرَةً/جَهۡرَةً/jahratan//هَلْ/هَلۡ/hal//یُهْلَكُ/يُهۡلَكُ/yuh'laku//اِلَّا/إِلَّا/illa//الْقَوْمُ/ٱلۡقَوۡمُ/al-qawmu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "বলো//\"(ভেবে) দেখছো কি তোমরা//যদি//কাছে এসে পড়ে তোমাদের//শাস্তি//আল্লাহর//হঠাৎ//বা//প্রকাশ্যে//কি//ধ্বংস করা হবে//এ ছাড়া//(যারা)সম্প্রদায়//সীমালঙ্ঘনকারী"
            },
            {
              "number": 837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/837.mp3"
              ],
              "text": "وَمَا نُرْسِلُ ٱلْمُرْسَلِينَ إِلَّا مُبَشِّرِينَ وَمُنذِرِينَ ۖ فَمَنْ ءَامَنَ وَأَصْلَحَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "আমি পয়গম্বরদেরকে প্রেরণ করি না, কিন্তু সুসংবাদাতা ও ভীতি প্রদর্শকরূপে অতঃপর যে বিশ্বাস স্থাপন করে এবং সংশোধিত হয়, তাদের কোন শঙ্কা নেই এবং তারা দুঃখিত হবে না।",
              "numberInSurah": 48,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-নুরছিলুল মুরছালীনা ইল্লা-মুবাশশিরীনা ওয়া মুনযিরিনা ফামান আ-মানা ওয়া আসলাহা ফালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।\r\n",
              "words_arabic": "وَ مَا/وَمَا/wama//نُرْسِلُ/نُرۡسِلُ/nur'silu//الْمُرْسَلِیْنَ/ٱلۡمُرۡسَلِينَ/al-mur'salina//اِلَّا/إِلَّا/illa//مُبَشِّرِیْنَ/مُبَشِّرِينَ/mubashirina//وَ مُنْذِرِیْنَ ۚ/وَمُنذِرِينَۖ/wamundhirina//فَمَنْ/فَمَنۡ/faman//اٰمَنَ/ءَامَنَ/amana//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//فَلَا/فَلَا/fala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//রাসূলগণকে//এ ছাড়া যে//সুসংবাদদাতা//ও সতর্ককারী (হিসেবে)//অতএব যে//ঈমান আনবে//ও সংশোধন করবে//সেক্ষেত্রে নেই//কোনো ভয়//উপর তাদের//আর না//তারা//দুঃখিত হবে"
            },
            {
              "number": 838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/838.mp3"
              ],
              "text": "وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا يَمَسُّهُمُ ٱلْعَذَابُ بِمَا كَانُوا۟ يَفْسُقُونَ",
              "translate_bn": "যারা আমার নিদর্শনাবলীকে মিথ্যা বলে, তাদেরকে তাদের নাফরমানীর কারণে আযাব স্পর্শ করবে।",
              "numberInSurah": 49,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাযযাবূবিআ-য়া-তিনা- ইয়ামাছছুহুমুল ‘আযাবুবিমা- কা-নূইয়াফছুকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یَمَسُّهُمُ/يَمَسُّهُمُ/yamassuhumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْسُقُوْنَ /يَفۡسُقُونَ/yafsuquna",
              "words_bangla": "এবং যারা//মিথ্যারোপ করেছে//প্রতি নিদর্শনগুলোর আমার//স্পর্শ করবে তাদের//শাস্তি//এ কারণে যে//তারা ছিলো//তারা সত্যত্যাগ করে"
            },
            {
              "number": 839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/839.mp3"
              ],
              "text": "قُل لَّآ أَقُولُ لَكُمْ عِندِى خَزَآئِنُ ٱللَّهِ وَلَآ أَعْلَمُ ٱلْغَيْبَ وَلَآ أَقُولُ لَكُمْ إِنِّى مَلَكٌ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ ۚ قُلْ هَلْ يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ ۚ أَفَلَا تَتَفَكَّرُونَ",
              "translate_bn": "আপনি বলুনঃ আমি তোমাদেরকে বলি না যে, আমার কাছে আল্লাহর ভান্ডার রয়েছে। তাছাড়া আমি অদৃশ্য বিষয় অবগতও নই। আমি এমন বলি না যে, আমি ফেরেশতা। আমি তো শুধু ঐ ওহীর অনুসরণ করি, যা আমার কাছে আসে। আপনি বলে দিনঃ অন্ধ ও চক্ষুমান কি সমান হতে পারে? তোমরা কি চিন্তা কর না ?",
              "numberInSurah": 50,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 106,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল লাআকূলুলাকুম ‘ইনদী খাঝাইনুল্লা-হি ওয়ালাআ‘লামুল গাইবা ওয়ালাআকূলু লাকুম ইন্নী মালাকুন ইন আত্তাবি‘উ ইল্লা-মা-ইউহাইলাইইয়া কুল হাল ইয়াছতাবিল আ‘মা-ওয়াল বাসীরু আফালা-তাতাফাক্কারূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَقُوْلُ/أَقُولُ/aqulu//لَكُمْ/لَكُمۡ/lakum//عِنْدِیْ/عِندِي/indi//خَزَآىِٕنُ/خَزَآئِنُ/khazainu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَاۤ/وَلَآ/wala//اَعْلَمُ/أَعۡلَمُ/a'lamu//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//وَ لَاۤ/وَلَآ/wala//اَقُوْلُ/أَقُولُ/aqulu//لَكُمْ/لَكُمۡ/lakum//اِنِّیْ/إِنِّي/inni//مَلَكٌ ۚ/مَلَكٌۖ/malakun//اِنْ/إِنۡ/in//اَتَّبِعُ/أَتَّبِعُ/attabi'u//اِلَّا/إِلَّا/illa//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ ؕ/إِلَيَّۚ/ilayya//قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//یَسْتَوِی/يَسۡتَوِي/yastawi//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//وَ الْبَصِیْرُ ؕ/وَٱلۡبَصِيرُۚ/wal-basiru//اَفَلَا/أَفَلَا/afala//تَتَفَكَّرُوْنَ۠/تَتَفَكَّرُونَ/tatafakkaruna",
              "words_bangla": "(হে নাবী) বলো//\"না//\"আমি বলি//উদ্দেশ্যে তোমাদের (যে)//কাছে আমার (আছে)//ধনভান্ডারসমূহ//আল্লাহর//এবং না//জানি আমি//অদৃশ্যকে//এবং না//বলি আমি//উদ্দেশ্যে তোমাদের (যে)//নিশ্চয়ই আমি//ফেরেশতা//(প্রকৃতপক্ষে) না//অনুসরণ করি আমি//এ ছাড়া//যা//ওহী করা হয়//আমার প্রতি\"//বলো//\"কি//সমান হয়//অন্ধ//আর চক্ষুষ্মান\"//কি তবে না//তোমরা চিন্তা করো"
            },
            {
              "number": 840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/840.mp3"
              ],
              "text": "وَأَنذِرْ بِهِ ٱلَّذِينَ يَخَافُونَ أَن يُحْشَرُوٓا۟ إِلَىٰ رَبِّهِمْ ۙ لَيْسَ لَهُم مِّن دُونِهِۦ وَلِىٌّۭ وَلَا شَفِيعٌۭ لَّعَلَّهُمْ يَتَّقُونَ",
              "translate_bn": "আপনি এ কোরআন দ্বারা তাদেরকে ভয়-প্রদর্শন করুন, যারা আশঙ্কা করে স্বীয় পালনকর্তার কাছে এমতাবস্থায় একত্রিত হওয়ার যে, তাদের কোন সাহায্যকারী ও সুপারিশকারী হবে না-যাতে তারা গোনাহ থেকে বেঁচে থাকে।",
              "numberInSurah": 51,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 107,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনযিরবিহিল্লাযীনা ইয়াখা-ফূনা আইঁ ইউহশারূইলা-রাব্বিহিম লাইছা লাহুম মিন দূনিহী ওয়ালিইয়ুওঁ ওয়ালা-শাফী‘উল লা‘আল্লাহুম ইয়াত্তাকূন।",
              "words_arabic": "وَ اَنْذِرْ/وَأَنذِرۡ/wa-andhir//بِهِ/بِهِ/bihi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//اَنْ/أَن/an//یُّحْشَرُوْۤا/يُحۡشَرُوٓاْ/yuh'sharu//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//لَیْسَ/لَيۡسَ/laysa//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//وَلِیٌّ/وَلِيّٞ/waliyyun//وَّ لَا/وَلَا/wala//شَفِیْعٌ/شَفِيعٞ/shafi'un//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "আর (হে নাবী) তুমি সতর্ক করো//সম্পর্কে এ//(তাদেরকে) যারা//ভয় করে//যে//একত্র করা হবে//দিকে//রবের তাদের//নেই//জন্যে তাদের//দিয়ে//বাদ তাঁকে//কোনো অভিভাবক//এবং না//কোনো সুপারিশকারী//যাতে তারা//তাকওয়া অবলম্বন করে"
            },
            {
              "number": 841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/841.mp3"
              ],
              "text": "وَلَا تَطْرُدِ ٱلَّذِينَ يَدْعُونَ رَبَّهُم بِٱلْغَدَوٰةِ وَٱلْعَشِىِّ يُرِيدُونَ وَجْهَهُۥ ۖ مَا عَلَيْكَ مِنْ حِسَابِهِم مِّن شَىْءٍۢ وَمَا مِنْ حِسَابِكَ عَلَيْهِم مِّن شَىْءٍۢ فَتَطْرُدَهُمْ فَتَكُونَ مِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "আর তাদেরকে বিতাড়িত করবেন না, যারা সকাল-বিকাল স্বীয় পালকর্তার এবাদত করে, তাঁর সন্তুষ্টি কামনা করে। তাদের হিসাব বিন্দুমাত্রও আপনার দায়িত্বে নয় এবং আপনার হিসাব বিন্দুমাত্রও তাদের দায়িত্বে নয় যে, আপনি তাদেরকে বিতাড়িত করবেন। নতুবা আপনি অবিচারকারীদের অন্তর্ভূক্ত হয়ে যাবেন।",
              "numberInSurah": 52,
              "juz": 7,
              "manzil": 2,
              "page": 133,
              "ruku": 107,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাতরুদিল্লাযীনা ইয়াদ‘ঊনা রাব্বাহুম বিলগাদা-তি ওয়াল ‘আশিইয়ি ইউরীদূ না ওয়াজহাহূ মা-‘আলাইকা মিন হিছা-বিহিম মিন শাইয়িওঁ ওয়া মা-মিন হিছা-বিকা ‘আলাইহিম মিন শাইয়িন ফাতাতরুদাহুম ফাতাকূনা মিনাজ্জা-লিমীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَطْرُدِ/تَطۡرُدِ/tatrudi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//رَبَّهُمْ/رَبَّهُم/rabbahum//بِالْغَدٰوةِ/بِٱلۡغَدَوٰةِ/bil-ghadati//وَ الْعَشِیِّ/وَٱلۡعَشِيِّ/wal-'ashiyi//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//وَجْهَهٗ ؕ/وَجۡهَهُۥۖ/wajhahu//مَا/مَا/ma//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِنۡ/min//حِسَابِهِمْ/حِسَابِهِم/hisabihim//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//وَّ مَا/وَمَا/wama//مِنْ/مِنۡ/min//حِسَابِكَ/حِسَابِكَ/hisabika//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//فَتَطْرُدَهُمْ/فَتَطۡرُدَهُمۡ/fatatrudahum//فَتَكُوْنَ/فَتَكُونَ/fatakuna//مِنَ/مِنَ/mina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং না//তাড়িয়ে দিও//(তাদেরকে) যারা//ডাকে//তাদের রবকে//বেলায় সকাল//ও সন্ধ্যায়//তারা চায়//সন্তুষ্টি তাঁর//নেই//উপর তোমার//থেকে//হিসাব তাদের (দেয়ার দায়িত্ব)//কোনো//কিছুই//এবং না (আছে)//থেকে//তোমার হিসাব//উপর তাদের//কোনো//কিছুই//অতএব তুমি তাড়িয়ে দিলে তাদেরকে//তবে হবে তুমি//অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/842.mp3"
              ],
              "text": "وَكَذَٰلِكَ فَتَنَّا بَعْضَهُم بِبَعْضٍۢ لِّيَقُولُوٓا۟ أَهَٰٓؤُلَآءِ مَنَّ ٱللَّهُ عَلَيْهِم مِّنۢ بَيْنِنَآ ۗ أَلَيْسَ ٱللَّهُ بِأَعْلَمَ بِٱلشَّٰكِرِينَ",
              "translate_bn": "আর এভাবেই আমি কিছু লোককে কিছু লোক দ্বারা পরীক্ষায় ফেলেছি যাতে তারা বলে যে, এদেরকেই কি আমাদের সবার মধ্য থেকে আল্লাহ স্বীয় অনুগ্রহ দান করেছেন? আল্লাহ কি কৃতজ্ঞদের সম্পর্কে সুপরিজ্ঞাত নন ?",
              "numberInSurah": 53,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 107,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা ফাতান্না-বা‘দাহুম ব্বিা‘দিললিইয়াকূলআহাউলাই মান্নাল্লা-হু ‘আলাইহি মিম বাইনিনা- আলাইছাল্লা-হু বিআ‘লামা বিশশা-কিরীন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//فَتَنَّا/فَتَنَّا/fatanna//بَعْضَهُمْ/بَعۡضَهُم/ba'dahum//بِبَعْضٍ/بِبَعۡضٖ/biba'din//لِّیَقُوْلُوْۤا/لِّيَقُولُوٓاْ/liyaqulu//اَهٰۤؤُلَآءِ/أَهَـٰٓؤُلَآءِ/ahaulai//مَنَّ/مَنَّ/manna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْۢ/مِّنۢ/min//بَیْنِنَا ؕ/بَيۡنِنَآۗ/baynina//اَلَیْسَ/أَلَيۡسَ/alaysa//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَعْلَمَ/بِأَعۡلَمَ/bi-a'lama//بِالشّٰكِرِیْنَ /بِٱلشَّـٰكِرِينَ/bil-shakirina",
              "words_bangla": "এবং এভাবে//পরীক্ষা করেছি আমরা//কাউকে তাদের//দিয়ে (অন্য) কাউকে//যেন তারা বলে//\"কি এসব লোকদের//অনুগ্রহ করেছেন//আল্লাহ//উপর তাদের//হতে//মধ্যে আমাদের\"//নন কি//আল্লাহ//অধিক অবহিত//সম্পর্কে কৃতজ্ঞদের"
            },
            {
              "number": 843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/843.mp3"
              ],
              "text": "وَإِذَا جَآءَكَ ٱلَّذِينَ يُؤْمِنُونَ بِـَٔايَٰتِنَا فَقُلْ سَلَٰمٌ عَلَيْكُمْ ۖ كَتَبَ رَبُّكُمْ عَلَىٰ نَفْسِهِ ٱلرَّحْمَةَ ۖ أَنَّهُۥ مَنْ عَمِلَ مِنكُمْ سُوٓءًۢا بِجَهَٰلَةٍۢ ثُمَّ تَابَ مِنۢ بَعْدِهِۦ وَأَصْلَحَ فَأَنَّهُۥ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর যখন তারা আপনার কাছে আসবে যারা আমার নিদর্শনসমূহে বিশ্বাস করে, তখন আপনি বলে দিনঃ তোমাদের উপর শান্তি বর্ষিত হোক। তোমাদের পালনকর্তা রহমত করা নিজ দায়িত্বে লিখে নিয়েছেন যে, তোমাদের মধ্যে যে কেউ অজ্ঞতাবশতঃ কোন মন্দ কাজ করে, অনন্তর এরপরে তওবা করে নেয় এবং সৎ হয়ে যায়, তবে তিনি অত্যন্ত ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 54,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 107,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-জাআকাল্লাযীনা ইউ’মিনূনা বিআ-য়া-তিনা-ফাকুল ছালা-মুন ‘আলাইকুম কাতাবা রাব্বুকুম আলা-নাফছিহির রাহমাতা আন্নাহূমান ‘আমিলা মিনকুম ছূআম বিজাহা-লাতিন ছুম্মা তা-বা মিম বা‘দিহী ওয়া আসলাহা ফাআন্নাহূগাফূরুর রাহীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//جَآءَكَ/جَآءَكَ/jaaka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَقُلْ/فَقُلۡ/faqul//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمْ/عَلَيۡكُمۡۖ/alaykum//كَتَبَ/كَتَبَ/kataba//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//عَلٰی/عَلَىٰ/ala//نَفْسِهِ/نَفۡسِهِ/nafsihi//الرَّحْمَةَ ۙ/ٱلرَّحۡمَةَ/al-rahmata//اَنَّهٗ/أَنَّهُۥ/annahu//مَنْ/مَنۡ/man//عَمِلَ/عَمِلَ/amila//مِنْكُمْ/مِنكُمۡ/minkum//سُوْٓءًۢا/سُوٓءَۢا/suan//بِجَهَالَةٍ/بِجَهَٰلَةٖ/bijahalatin//ثُمَّ/ثُمَّ/thumma//تَابَ/تَابَ/taba//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//فَاَنَّهٗ/فَأَنَّهُۥ/fa-annahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যখন//তোমার কাছে আসে//(তারা) যারা//ঈমান এনেছে//উপর  নিদর্শনগুলোর আমাদের//তখন বলো//\"শান্তি (বর্ষিত হোক)//উপর তোমাদের//নির্ধারিত করে নিয়েছেন//রব তোমাদের//উপর//নিজের তাঁর//দয়া করা//এমন যে তা//কেউ//কাজ করে বসে//মধ্য থেকে তোমাদের//মন্দ//কারণে অজ্ঞতার//এরপর//তওবা করে//থেকে//তারপর//ও সংশোধিত হয়//তবে বাস্তবিকই তিনি//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/844.mp3"
              ],
              "text": "وَكَذَٰلِكَ نُفَصِّلُ ٱلْءَايَٰتِ وَلِتَسْتَبِينَ سَبِيلُ ٱلْمُجْرِمِينَ",
              "translate_bn": "আর এমনিভাবে আমি নিদর্শনসমূহ বিস্তারিত বর্ণনা করি-যাতে অপরাধীদের পথ সুস্পষ্ট হয়ে উঠে।",
              "numberInSurah": 55,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 107,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নুফাসসিলুল আ-য়া-তি ওয়ালিতাছতাবীনা ছাবীলুল মুজরিমীন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُفَصِّلُ/نُفَصِّلُ/nufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//وَ لِتَسْتَبِیْنَ/وَلِتَسۡتَبِينَ/walitastabina//سَبِیْلُ/سَبِيلُ/sabilu//الْمُجْرِمِیْنَ۠/ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এবং এভাবে//বিস্তারিত বর্ণনা করি আমরা//নিদর্শনগুলোকে//এবং যেন সুস্পষ্ট প্রকাশ হয়//পথ//অপরাধীদের"
            },
            {
              "number": 845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/845.mp3"
              ],
              "text": "قُلْ إِنِّى نُهِيتُ أَنْ أَعْبُدَ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ ۚ قُل لَّآ أَتَّبِعُ أَهْوَآءَكُمْ ۙ قَدْ ضَلَلْتُ إِذًۭا وَمَآ أَنَا۠ مِنَ ٱلْمُهْتَدِينَ",
              "translate_bn": "আপনি বলে দিনঃ আমাকে তাদের এবাদত করতে নিষেধ করা হয়েছে, তোমরা আল্লাহকে ছেড়ে যাদের এবাদত কর। আপনি বলে দিনঃ আমি তোমাদের খুশীমত চলবো না। কেননা, তাহলে আমি পথভ্রান্ত হয়ে যাব এবং সুপথগামীদের অন্তর্ভুক্ত হব না।",
              "numberInSurah": 56,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 108,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নী নুহীতুআন আ‘বুদাল্লাযীনা তাদ‘ঊনা মিন দূ নিল্লা-হি কুল লাআত্তাবি‘উ আহওয়াআকুম কাদ দালালতুইযাওঁ ওয়ামাআনা-মিনাল মুহতাদীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْ/إِنِّي/inni//نُهِیْتُ/نُهِيتُ/nuhitu//اَنْ/أَنۡ/an//اَعْبُدَ/أَعۡبُدَ/a'buda//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَتَّبِعُ/أَتَّبِعُ/attabi'u//اَهْوَآءَكُمْ ۙ/أَهۡوَآءَكُمۡ/ahwaakum//قَدْ/قَدۡ/qad//ضَلَلْتُ/ضَلَلۡتُ/dalaltu//اِذًا/إِذٗا/idhan//وَّ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//مِنَ/مِنَ/mina//الْمُهْتَدِیْنَ /ٱلۡمُهۡتَدِينَ/al-muh'tadina",
              "words_bangla": "বলো//\"নিশ্চয়ই আমাকে//আমাকে নিষেধ করা হয়েছে//যে//(যেন না) আমি ইবাদাত করি//(তাদেরকে) যাদের//তোমরা ডাকো//দিয়ে\"//বাদ\"//আল্লাহ\"//বলো//\"না//অনুসরণ করি আমি//খেয়ালখুশির তোমাদের//নিশ্চয়ই//আমি পথভ্রষ্ট হবো//তাহলে//এবং না (হবো)//আমি//অন্তর্ভুক্ত//সঠিক পথপ্রাপ্তদের\""
            },
            {
              "number": 846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/846.mp3"
              ],
              "text": "قُلْ إِنِّى عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّى وَكَذَّبْتُم بِهِۦ ۚ مَا عِندِى مَا تَسْتَعْجِلُونَ بِهِۦٓ ۚ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۖ يَقُصُّ ٱلْحَقَّ ۖ وَهُوَ خَيْرُ ٱلْفَٰصِلِينَ",
              "translate_bn": "আপনি বলে দিনঃ আমার কাছে প্রতিপালকের পক্ষ থেকে একটি প্রমাণ আছে এবং তোমরা তার প্রতি মিথ্যারোপ করেছ। তোমরা যে বস্তু শীঘ্র দাবী করছ, তা আমার কাছে নেই। আল্লাহ ছাড়া কারো নির্দেশ চলে না। তিনি সত্য বর্ণনা করেন এবং তিনিই শ্রেষ্ঠতম মীমাংসাকারী।",
              "numberInSurah": 57,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 108,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নী ‘আলা-বাইয়িনাতিম মিররাববী ওয়া কাযযাবতুম বিহী মা-‘ইনদী মাতাছতা‘জিলূনা বিহী ইনিল হুকমুইল্লা- লিল্লা-হি ইয়াকু সসুল হাক্কা-ওয়া হুওয়া খাইরুল ফা-সিলীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْ/إِنِّي/inni//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّیْ/رَّبِّي/rabbi//وَ كَذَّبْتُمْ/وَكَذَّبۡتُم/wakadhabtum//بِهٖ ؕ/بِهِۦۚ/bihi//مَا/مَا/ma//عِنْدِیْ/عِندِي/indi//مَا/مَا/ma//تَسْتَعْجِلُوْنَ/تَسۡتَعۡجِلُونَ/tasta'jiluna//بِهٖ ؕ/بِهِۦٓۚ/bihi//اِنِ/إِنِ/ini//الْحُكْمُ/ٱلۡحُكۡمُ/al-huk'mu//اِلَّا/إِلَّا/illa//لِلّٰهِ ؕ/لِلَّهِۖ/lillahi//یَقُصُّ/يَقُصُّ/yaqussu//الْحَقَّ/ٱلۡحَقَّۖ/al-haqa//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الْفٰصِلِیْنَ /ٱلۡفَٰصِلِينَ/al-fasilina",
              "words_bangla": "বলো//\"নিশ্চয়ই আমি//উপর//স্পষ্ট প্রমাণের (প্রতিষ্ঠিত)//পক্ষ হতে//আমার রবের//অথচ মিথ্যারোপ করছো তোমরা//প্রতি তাঁর//নেই//কাছে আমার//যা//তোমরা শীঘ্র চাচ্ছো//বিষয় সে//নেই//নির্দেশ দেয়ার ক্ষমতা//ছাড়্//আল্লাহ//তিনি বর্ণনা করেন//সত্যকে//এবং তিনিই//উত্তম//মীমাংসাকারী\""
            },
            {
              "number": 847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/847.mp3"
              ],
              "text": "قُل لَّوْ أَنَّ عِندِى مَا تَسْتَعْجِلُونَ بِهِۦ لَقُضِىَ ٱلْأَمْرُ بَيْنِى وَبَيْنَكُمْ ۗ وَٱللَّهُ أَعْلَمُ بِٱلظَّٰلِمِينَ",
              "translate_bn": "আপনি বলে দিনঃ যদি আমার কাছে তা থাকত, যা তোমরা শীঘ্র দাবী করছ, তবে আমার ও তোমাদের পারস্পরিক বিবাদ কবেই চুকে যেত। আল্লাহ জালেমদের সম্পর্কে যথেষ্ট পরিমাণে অবহিত।",
              "numberInSurah": 58,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 108,
              "hizbQuarter": 53,
              "sajda": false,
              "pronunciation_bn": "কুল্লাও আন্না ‘ইনদী মা-তাছতা‘জিলূনা বিহী লাকুদিয়াল আমরু বাইনী ওয়া বাইনাকুম ওয়াল্লা-হু আ‘লামুবিজ্জা-লিমীন।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//اَنَّ/أَنَّ/anna//عِنْدِیْ/عِندِي/indi//مَا/مَا/ma//تَسْتَعْجِلُوْنَ/تَسۡتَعۡجِلُونَ/tasta'jiluna//بِهٖ/بِهِۦ/bihi//لَقُضِیَ/لَقُضِيَ/laqudiya//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ ؕ/وَبَيۡنَكُمۡۗ/wabaynakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالظّٰلِمِیْنَ /بِٱلظَّـٰلِمِينَ/bil-zalimina",
              "words_bangla": "বলো//\"যদি//নিশ্চিত (থাকতো)//কাছে আমার//যা//তোমরা শীঘ্র চাচ্ছ//বিষয় সে//অবশ্যই মীমাংসা (তাহলে) হয়ে যেতো//ব্যাপারটির//মাঝে আমার//ও মাঝে তোমাদের//এবং আল্লাহই//খুব অবগত//সম্বন্ধে সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/848.mp3"
              ],
              "text": "۞ وَعِندَهُۥ مَفَاتِحُ ٱلْغَيْبِ لَا يَعْلَمُهَآ إِلَّا هُوَ ۚ وَيَعْلَمُ مَا فِى ٱلْبَرِّ وَٱلْبَحْرِ ۚ وَمَا تَسْقُطُ مِن وَرَقَةٍ إِلَّا يَعْلَمُهَا وَلَا حَبَّةٍۢ فِى ظُلُمَٰتِ ٱلْأَرْضِ وَلَا رَطْبٍۢ وَلَا يَابِسٍ إِلَّا فِى كِتَٰبٍۢ مُّبِينٍۢ",
              "translate_bn": "তাঁর কাছেই অদৃশ্য জগতের চাবি রয়েছে। এ গুলো তিনি ব্যতীত কেউ জানে না। স্থলে ও জলে যা আছে, তিনিই জানেন। কোন পাতা ঝরে না; কিন্তু তিনি তা জানেন। কোন শস্য কণা মৃত্তিকার অন্ধকার অংশে পতিত হয় না এবং কোন আর্দ্র ও শুস্ক দ্রব্য পতিত হয় না; কিন্তু তা সব প্রকাশ্য গ্রন্থে রয়েছে।",
              "numberInSurah": 59,
              "juz": 7,
              "manzil": 2,
              "page": 134,
              "ruku": 108,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইনদাহূমাফা-তিহুল গাইবি লা-ইয়া‘লামুহাইল্লা-হুওয়া ওয়া ইয়া‘লামুমা-ফিল বাররি ওয়াল বাহরি ওয়া মা-তাছকুতুমিওঁ ওয়ারাকাতিন ইল্লা-ইয়া‘লামুহা-ওয়ালাহাব্বাতিন ফী জুলুমা-তিল আরদিওয়ালা-রাতবিওঁ ওয়ালা-ইয়া-বিছিন ইল্লা-ফী কিতাবিম মুবীন।",
              "words_arabic": "وَ عِنْدَهٗ/۞وَعِندَهُۥ/wa'indahu//مَفَاتِحُ/مَفَاتِحُ/mafatihu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//لَا/لَا/la//یَعْلَمُهَاۤ/يَعۡلَمُهَآ/ya'lamuha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//فِی/فِي/fi//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ ؕ/وَٱلۡبَحۡرِۚ/wal-bahri//وَ مَا/وَمَا/wama//تَسْقُطُ/تَسۡقُطُ/tasqutu//مِنْ/مِن/min//وَّرَقَةٍ/وَرَقَةٍ/waraqatin//اِلَّا/إِلَّا/illa//یَعْلَمُهَا/يَعۡلَمُهَا/ya'lamuha//وَ لَا/وَلَا/wala//حَبَّةٍ/حَبَّةٖ/habbatin//فِیْ/فِي/fi//ظُلُمٰتِ/ظُلُمَٰتِ/zulumati//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//رَطْبٍ/رَطۡبٖ/ratbin//وَّ لَا/وَلَا/wala//یَابِسٍ/يَابِسٍ/yabisin//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং কাছে তাঁর(আছে)//চাবিসমূহ//অদৃশ্যের//না//জানে কেউ ত্//ছাড়া//তিনি//এবং তিনি জানেন//যা কিছু//মধ্যে (আছে)//স্থলভাগের//ও জলভাগে//এবং না//পড়ে//কোন//পাতা//এ ছাড়া যে//জানেন তিনি তা//এবং না//কোনো শস্যকণা//মধ্যে (আছে)//অন্ধকারের//মাটির//এবং না//আর্দ্র//আর না//শুষ্ক//এ ছাড়া যে//মধ্যে (আছে)//এক কিতাবের//সুস্পষ্টভাবে (লিখিত)"
            },
            {
              "number": 849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/849.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يَتَوَفَّىٰكُم بِٱلَّيْلِ وَيَعْلَمُ مَا جَرَحْتُم بِٱلنَّهَارِ ثُمَّ يَبْعَثُكُمْ فِيهِ لِيُقْضَىٰٓ أَجَلٌۭ مُّسَمًّۭى ۖ ثُمَّ إِلَيْهِ مَرْجِعُكُمْ ثُمَّ يُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তিনিই রাত্রি বেলায় তোমাদেরকে করায়ত্ত করে নেন এবং যা কিছু তোমরা দিনের বেলায় কর, তা জানেন। অতঃপর তোমাদেরকে দিবসে সম্মুখিত করেন-যাতে নির্দিষ্ট ওয়াদা পূর্ণ হয়।",
              "numberInSurah": 60,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 108,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী ইয়াতাওয়াফফা-কুম বিল্লাইলি ওয়া ইয়া‘লামুমা-জারাহতুম বিন্নাহা-রি ছু ম্মা ইয়াব‘আছুকুম ফীহি লিইউকদাআজালুম মুছাম্মান ছু ম্মা ইলাইহি মারজি‘উকুম ছু ম্মা ইউনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یَتَوَفّٰىكُمْ/يَتَوَفَّىٰكُم/yatawaffakum//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//جَرَحْتُمْ/جَرَحۡتُم/jarahtum//بِالنَّهَارِ/بِٱلنَّهَارِ/bil-nahari//ثُمَّ/ثُمَّ/thumma//یَبْعَثُكُمْ/يَبۡعَثُكُمۡ/yab'athukum//فِیْهِ/فِيهِ/fihi//لِیُقْضٰۤی/لِيُقۡضَىٰٓ/liyuq'da//اَجَلٌ/أَجَلٞ/ajalun//مُّسَمًّی ۚ/مُّسَمّٗىۖ/musamman//ثُمَّ/ثُمَّ/thumma//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//ثُمَّ/ثُمَّ/thumma//یُنَبِّئُكُمْ/يُنَبِّئُكُم/yunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং তিনিই  (আল্লাহ)//যিনি//মৃত্যু(অর্থাৎ নিদ্রা)দেন তোমাদের//বেলায় রাতের//ও তিনি জানেন//যা কিছু//অর্জন করো তোমরা//বেলায় দিনের//এরপর//জাগান তোমাদের//মধ্যে তার//যেন পূর্ণ হয়//একটি মেয়াদ//নির্দিষ্ট (অর্থাৎ জীবনকাল)//এরপর//দিকে তাঁরই//প্রত্যাবর্তন হবে তোমাদের//এরপর//তিনি জানিয়ে দিবেন তোমাদের//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা কাজ করতে"
            },
            {
              "number": 850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/850.mp3"
              ],
              "text": "وَهُوَ ٱلْقَاهِرُ فَوْقَ عِبَادِهِۦ ۖ وَيُرْسِلُ عَلَيْكُمْ حَفَظَةً حَتَّىٰٓ إِذَا جَآءَ أَحَدَكُمُ ٱلْمَوْتُ تَوَفَّتْهُ رُسُلُنَا وَهُمْ لَا يُفَرِّطُونَ",
              "translate_bn": "অনন্তর তাঁরই দিকে তোমাদের প্রত্যাবর্তন। অতঃপর তোমাদেরকে বলে দিবেন, যা কিছু তোমরা করছিলে। তিনিই স্বীয় বান্দাদের উপর প্রবল। তিনি প্রেরণ করেন তোমাদের কাছে রক্ষণাবেক্ষণকারী। এমন কি, যখন তোমাদের কারও মৃত্যু আসে তখন আমার প্রেরিত ফেরেশতারা তার আত্মা হস্তগত করে নেয়।",
              "numberInSurah": 61,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল কা-হিরু ফাওকা ‘ইবা-দিহী ওয়া ইউরছিলুস ‘আলাইকুম হাফাজাতান হাত্তাইযা-জাআ আহাদাকুমুল মাওতুতাওয়াফফাতহু রুছুলুনা-ওয়া হুম লাইউফাররিতূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الْقَاهِرُ/ٱلۡقَاهِرُ/al-qahiru//فَوْقَ/فَوۡقَ/fawqa//عِبَادِهٖ/عِبَادِهِۦۖ/ibadihi//وَ یُرْسِلُ/وَيُرۡسِلُ/wayur'silu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//حَفَظَةً ؕ/حَفَظَةً/hafazatan//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//اَحَدَكُمُ/أَحَدَكُمُ/ahadakumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//تَوَفَّتْهُ/تَوَفَّتۡهُ/tawaffathu//رُسُلُنَا/رُسُلُنَا/rusuluna//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُفَرِّطُوْنَ /يُفَرِّطُونَ/yufarrituna",
              "words_bangla": "এবং তিনিই//পরাক্রমশালী//উপর//দাসদের তাঁর//এবং পাঠান//প্রতি তোমাদের//তত্ত্বাবধায়ক//এমনকি//যখন//আসে//কারও তোমাদের//মৃত্যু//মৃত্যু ঘটায় তার//আমাদের প্রেরিত (ফেরেশতাগণ)//এমতাবস্হায় যে তারা//না//ভুল করে"
            },
            {
              "number": 851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/851.mp3"
              ],
              "text": "ثُمَّ رُدُّوٓا۟ إِلَى ٱللَّهِ مَوْلَىٰهُمُ ٱلْحَقِّ ۚ أَلَا لَهُ ٱلْحُكْمُ وَهُوَ أَسْرَعُ ٱلْحَٰسِبِينَ",
              "translate_bn": "অতঃপর সবাইকে সত্যিকার প্রভু আল্লাহর কাছে পৌঁছানো হবে। শুনে রাখ, ফয়সালা তাঁরই এবং তিনি দ্রুত হিসাব গ্রহণ করবেন।",
              "numberInSurah": 62,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা রুদ্দূইলাল্লা-হি মাওলা-হুমুল হাক্কি আলা-লাহুল হুকমু ওয়া হুওয়া আছরা‘উল হা-ছিবীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//رُدُّوْۤا/رُدُّوٓاْ/ruddu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَوْلٰىهُمُ/مَوۡلَىٰهُمُ/mawlahumu//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//اَلَا/أَلَا/ala//لَهُ/لَهُ/lahu//الْحُكْمُ ۫/ٱلۡحُكۡمُ/al-huk'mu//وَ هُوَ/وَهُوَ/wahuwa//اَسْرَعُ/أَسۡرَعُ/asra'u//الْحٰسِبِیْنَ /ٱلۡحَٰسِبِينَ/al-hasibina",
              "words_bangla": "এরপর//তাদেরকে আনা হবে//দিকে//আল্লাহর//(যিনি) তাদের মালিক//প্রকৃত//সাবধান//জন্যে তাঁরই//নির্দেশ দেয়ার ক্ষমতা//এবং তিনিই//দ্রুততর//হিসাব গ্রহণকারীদের (মধ্যে)"
            },
            {
              "number": 852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/852.mp3"
              ],
              "text": "قُلْ مَن يُنَجِّيكُم مِّن ظُلُمَٰتِ ٱلْبَرِّ وَٱلْبَحْرِ تَدْعُونَهُۥ تَضَرُّعًۭا وَخُفْيَةًۭ لَّئِنْ أَنجَىٰنَا مِنْ هَٰذِهِۦ لَنَكُونَنَّ مِنَ ٱلشَّٰكِرِينَ",
              "translate_bn": "আপনি বলুনঃ কে তোমাদেরকে স্থল ও জলের অন্ধকার থেকে উদ্ধার করেন, যখন তোমরা তাঁকে বিনীতভাবে ও গোপনে আহবান কর যে, যদি আপনি আমাদের কে এ থেকে উদ্ধার করে নেন, তবে আমরা অবশ্যই কৃতজ্ঞদের অন্তর্ভুক্ত হয়ে যাব।",
              "numberInSurah": 63,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "কুল মাইঁ ইউনাজ্জীকুম মিন জুলুমা-তিল বাররি ওয়াল বাহরি তাদ‘ঊনাহূতাদাররু‘আওঁ ওয়া খুফইয়াতাল লাইন আনজা-না-মিন হা-যিহী লানাকূনান্না মিনাশশা-কিরীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//یُّنَجِّیْكُمْ/يُنَجِّيكُم/yunajjikum//مِّنْ/مِّن/min//ظُلُمٰتِ/ظُلُمَٰتِ/zulumati//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ/وَٱلۡبَحۡرِ/wal-bahri//تَدْعُوْنَهٗ/تَدۡعُونَهُۥ/tad'unahu//تَضَرُّعًا/تَضَرُّعٗا/tadarru'an//وَّ خُفْیَةً ۚ/وَخُفۡيَةٗ/wakhuf'yatan//لَىِٕنْ/لَّئِنۡ/la-in//اَنْجٰىنَا/أَنجَىٰنَا/anjana//مِنْ/مِنۡ/min//هٰذِهٖ/هَٰذِهِۦ/hadhihi//لَنَكُوْنَنَّ/لَنَكُونَنَّ/lanakunanna//مِنَ/مِنَ/mina//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "(হে নাবী) বলো//\"কে//উদ্ধার করেন তোমাদের//হতে//অন্ধকারসমূহ//স্হলভাগের//ও জলভাগের//(যখন) তোমরা ডাকো তাঁকে//কাতরভাবে//ও গোপনে//\"(এবং বলে থাকো) অবশ্যই যদি//উদ্ধার করেন আমাদের//হতে//এই (বিপদ)//অবশ্যই হবো অামরা (তবে)//অন্তর্ভুক্ত//কৃতজ্ঞদের\""
            },
            {
              "number": 853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/853.mp3"
              ],
              "text": "قُلِ ٱللَّهُ يُنَجِّيكُم مِّنْهَا وَمِن كُلِّ كَرْبٍۢ ثُمَّ أَنتُمْ تُشْرِكُونَ",
              "translate_bn": "আপনি বলে দিনঃ আল্লাহ তোমাদেরকে তা থেকে মুক্তি দেন এব সব দুঃখ-বিপদ থেকে। তথাপি তোমরা শেরক কর।",
              "numberInSurah": 64,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হু ইউনাজ্জীকুম মিনহা-ওয়া মিন কুল্লি কারবিন ছুম্মা আনতুম তুশরিকূন।",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یُنَجِّیْكُمْ/يُنَجِّيكُم/yunajjikum//مِّنْهَا/مِّنۡهَا/min'ha//وَ مِنْ/وَمِن/wamin//كُلِّ/كُلِّ/kulli//كَرْبٍ/كَرۡبٖ/karbin//ثُمَّ/ثُمَّ/thumma//اَنْتُمْ/أَنتُمۡ/antum//تُشْرِكُوْنَ /تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "বলো//\"আল্লাহ্‌//উদ্ধার করেন তোমাদের//হতে তা//এবং হতে//সব//দুঃখ বিপদ//এরপরও//তোমরা//শিরক করো\""
            },
            {
              "number": 854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/854.mp3"
              ],
              "text": "قُلْ هُوَ ٱلْقَادِرُ عَلَىٰٓ أَن يَبْعَثَ عَلَيْكُمْ عَذَابًۭا مِّن فَوْقِكُمْ أَوْ مِن تَحْتِ أَرْجُلِكُمْ أَوْ يَلْبِسَكُمْ شِيَعًۭا وَيُذِيقَ بَعْضَكُم بَأْسَ بَعْضٍ ۗ ٱنظُرْ كَيْفَ نُصَرِّفُ ٱلْءَايَٰتِ لَعَلَّهُمْ يَفْقَهُونَ",
              "translate_bn": "আপনি বলুনঃ তিনিই শক্তিমান যে, তোমাদের উপর কোন শাস্তি উপর দিক থেকে অথবা তোমাদের পদতল থেকে প্রেরণ করবেন অথবা তোমাদেরকে দলে-উপদলে বিভক্ত করে সবাইকে মুখোমুখী করে দিবেন এবং এককে অন্যের উপর আক্রমণের স্বাদ আস্বাদন করাবেন। দেখ, আমি কেমন ঘুরিয়ে-ফিরিয়ে নিদর্শনাবলী বর্ণনা করি যাতে তারা বুঝে নেয়।",
              "numberInSurah": 65,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়াল কা-দিরু ‘আলাআইঁ ইয়াব‘আছা ‘আলাইকুম ‘আযা-বাম মিন ফাওকিকুম আও মিন তাহতি আরজুলিকুম আও ইয়াল বিছাকুম শিয়া‘আওঁ ওয়া ইউযীকা বা‘দাকুম বা’ছা বা‘দিন উনজু র কাইফা নুসাররিফুল আ-য়া-তি লা‘আল্লাহুম ইয়াফকাহূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//الْقَادِرُ/ٱلۡقَادِرُ/al-qadiru//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یَّبْعَثَ/يَبۡعَثَ/yab'atha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابًا/عَذَابٗا/adhaban//مِّنْ/مِّن/min//فَوْقِكُمْ/فَوۡقِكُمۡ/fawqikum//اَوْ/أَوۡ/aw//مِنْ/مِن/min//تَحْتِ/تَحۡتِ/tahti//اَرْجُلِكُمْ/أَرۡجُلِكُمۡ/arjulikum//اَوْ/أَوۡ/aw//یَلْبِسَكُمْ/يَلۡبِسَكُمۡ/yalbisakum//شِیَعًا/شِيَعٗا/shiya'an//وَّ یُذِیْقَ/وَيُذِيقَ/wayudhiqa//بَعْضَكُمْ/بَعۡضَكُم/ba'dakum//بَاْسَ/بَأۡسَ/basa//بَعْضٍ ؕ/بَعۡضٍۗ/ba'din//اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//نُصَرِّفُ/نُصَرِّفُ/nusarrifu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "বলো//\"তিনিই//সক্ষম//এর উপর//যে//পাঠাবেন//উপর তোমাদের//শাস্তি//থেকে//উপর তোমাদের//বা//থেকে//নিচ//পায়ের তোমাদের//বা//বিভক্ত করতে পারেন তোমাদের//বিভিন্ন দলে//এবং আস্বাদন করাতে পারেন//কাউকে তোমাদের (দিয়ে)//সংঘর্ষের (কুফল)//অন্য কাউকে\"//দেখো//কিভাবে//আমরা বারবার বর্ণনা করি//আমার নিদর্শনাবলী//সম্ভবত তারা//বুঝে নিবে (নিগুঢ় তথ্য)"
            },
            {
              "number": 855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/855.mp3"
              ],
              "text": "وَكَذَّبَ بِهِۦ قَوْمُكَ وَهُوَ ٱلْحَقُّ ۚ قُل لَّسْتُ عَلَيْكُم بِوَكِيلٍۢ",
              "translate_bn": "আপনার সম্প্রদায় একে মিথ্যা বলছে, অথচ তা সত্য। আপনি বলে দিনঃ আমি তোমাদের উপর নিয়োজিত নই।",
              "numberInSurah": 66,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযযাবা বিহী কাওমুকা ওয়া হুওয়াল হাক্কু কুল লাছতু‘আলাইকুম বিওয়াকীল।",
              "words_arabic": "وَ كَذَّبَ/وَكَذَّبَ/wakadhaba//بِهٖ/بِهِۦ/bihi//قَوْمُكَ/قَوۡمُكَ/qawmuka//وَ هُوَ/وَهُوَ/wahuwa//الْحَقُّ ؕ/ٱلۡحَقُّۚ/al-haqu//قُلْ/قُل/qul//لَّسْتُ/لَّسۡتُ/lastu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِوَكِیْلٍؕ/بِوَكِيلٖ/biwakilin",
              "words_bangla": "এবং অস্বীকার করেছে//সম্পর্কে সে//তোমার জাতি//অথচ তা (অর্থাৎ আয়াত)//সত্য//তুমি বলো//\"আমি নই//উপর তোমাদের//কর্মবিধায়ক\""
            },
            {
              "number": 856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/856.mp3"
              ],
              "text": "لِّكُلِّ نَبَإٍۢ مُّسْتَقَرٌّۭ ۚ وَسَوْفَ تَعْلَمُونَ",
              "translate_bn": "প্রত্যেক খবরের একটি সময় নির্দিষ্ট রয়েছে এবং অচিরেই তোমরা তা জেনে নিবে।",
              "numberInSurah": 67,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "লিকুল্লি নাবাইম মুছতাকাররুওঁ ওয়া ছাওফা তা‘লামূন।",
              "words_arabic": "لِكُلِّ/لِّكُلِّ/likulli//نَبَاٍ/نَبَإٖ/naba-in//مُّسْتَقَرٌّ ؗ/مُّسۡتَقَرّٞۚ/mus'taqarrun//وَّ سَوْفَ/وَسَوۡفَ/wasawfa//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "জন্যে প্রত্যেক//সংবাদ (প্রকাশের)//নির্দিষ্ট সময় (রয়েছে)//এবং শীঘ্রই//তোমরা জানবে"
            },
            {
              "number": 857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/857.mp3"
              ],
              "text": "وَإِذَا رَأَيْتَ ٱلَّذِينَ يَخُوضُونَ فِىٓ ءَايَٰتِنَا فَأَعْرِضْ عَنْهُمْ حَتَّىٰ يَخُوضُوا۟ فِى حَدِيثٍ غَيْرِهِۦ ۚ وَإِمَّا يُنسِيَنَّكَ ٱلشَّيْطَٰنُ فَلَا تَقْعُدْ بَعْدَ ٱلذِّكْرَىٰ مَعَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "যখন আপনি তাদেরকে দেখেন, যারা আমার আয়াত সমূহে ছিদ্রান্বেষণ করে, তখন তাদের কাছ থেকে সরে যান যে পর্যন্ত তারা অন্য কথায় প্রবৃত্ত না হয়, যদি শয়তান আপনাকে ভূলিয়ে দেয় তবে স্মরণ হওয়ার পর জালেমদের সাথে উপবেশন করবেন না।",
              "numberInSurah": 68,
              "juz": 7,
              "manzil": 2,
              "page": 135,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআইতাল্লাযীনা ইয়াখূদূ না ফীআ-য়া-তিনা-ফাআ‘রিদ‘আনহুম হাত্তাইয়াখূদূ ফী হাদীছিন গাইরিহী ওয়া ইম্মা-ইউনছিইয়ান্নাকাশ শাইতা-নুফালা-তাক‘উদ বা‘দাযযি করা-মা‘আল কাওমিজ্জা-লিমীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَیْتَ/رَأَيۡتَ/ra-ayta//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخُوْضُوْنَ/يَخُوضُونَ/yakhuduna//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//فَاَعْرِضْ/فَأَعۡرِضۡ/fa-a'rid//عَنْهُمْ/عَنۡهُمۡ/anhum//حَتّٰی/حَتَّىٰ/hatta//یَخُوْضُوْا/يَخُوضُواْ/yakhudu//فِیْ/فِي/fi//حَدِیْثٍ/حَدِيثٍ/hadithin//غَیْرِهٖ ؕ/غَيۡرِهِۦۚ/ghayrihi//وَ اِمَّا/وَإِمَّا/wa-imma//یُنْسِیَنَّكَ/يُنسِيَنَّكَ/yunsiyannaka//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//فَلَا/فَلَا/fala//تَقْعُدْ/تَقۡعُدۡ/taq'ud//بَعْدَ/بَعۡدَ/ba'da//الذِّكْرٰی/ٱلذِّكۡرَىٰ/al-dhik'ra//مَعَ/مَعَ/ma'a//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং যখন//তুমি দেখো//(তাদেরকে) যারা//আলোচনা করছে (উপহাসমূলক)//সম্বন্ধে//আয়াতগুলো আমাদের//তখন সরে থাকো//থেকে তাদের//যতক্ষণ না//তারা আলোচনা করে//সম্বন্ধে//(অন্য) কথা//ছাড়া তা//এবং যদি//ভুলিয়ে দেয় তোমাকে//শয়তান//তবে না//তুমি বসবে//পরে//স্মরণের//সাথে//সম্প্রদায়ের//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/858.mp3"
              ],
              "text": "وَمَا عَلَى ٱلَّذِينَ يَتَّقُونَ مِنْ حِسَابِهِم مِّن شَىْءٍۢ وَلَٰكِن ذِكْرَىٰ لَعَلَّهُمْ يَتَّقُونَ",
              "translate_bn": "এদের যখন বিচার করা হবে তখন পরহেযগারদের উপর এর কোন প্রভাব পড়বে না; কিন্তু তাদের দায়িত্ব উপদেশ দান করা যাতে ওরা ভীত হয়।",
              "numberInSurah": 69,
              "juz": 7,
              "manzil": 2,
              "page": 136,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-‘আলাল্লাযীনা ইয়াত্তাকূনা মিন হিছা-বিহিম মিন শাইয়িওঁ ওয়ালা-কিন যিকরালা‘আল্লাহুম ইয়াত্তাকূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَّقُوْنَ/يَتَّقُونَ/yattaquna//مِنْ/مِنۡ/min//حِسَابِهِمْ/حِسَابِهِم/hisabihim//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//وَّ لٰكِنْ/وَلَٰكِن/walakin//ذِكْرٰی/ذِكۡرَىٰ/dhik'ra//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "এবং নেই (দায়িত্ব)//উপর//(তাদের) যারা//ভয় করে//থেকে//হিসাবের তাদের//কোনো//কিছুই//কিন্তু//উপদেশের (দায়িত্ব আছে)//যাতে তারা//বিরত থাকে"
            },
            {
              "number": 859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/859.mp3"
              ],
              "text": "وَذَرِ ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَهُمْ لَعِبًۭا وَلَهْوًۭا وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ وَذَكِّرْ بِهِۦٓ أَن تُبْسَلَ نَفْسٌۢ بِمَا كَسَبَتْ لَيْسَ لَهَا مِن دُونِ ٱللَّهِ وَلِىٌّۭ وَلَا شَفِيعٌۭ وَإِن تَعْدِلْ كُلَّ عَدْلٍۢ لَّا يُؤْخَذْ مِنْهَآ ۗ أُو۟لَٰٓئِكَ ٱلَّذِينَ أُبْسِلُوا۟ بِمَا كَسَبُوا۟ ۖ لَهُمْ شَرَابٌۭ مِّنْ حَمِيمٍۢ وَعَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْفُرُونَ",
              "translate_bn": "তাদেরকে পরিত্যাগ করুন, যারা নিজেদের ধর্মকে ক্রীড়া ও কৌতুকরূপে গ্রহণ করেছে এবং পার্থিব জীবন যাদেরকে ধোঁকায় ফেলে রেখেছে। কোরআন দ্বারা তাদেরকে উপদেশ দিন, যাতে কেউ স্বীয় কর্মে এমন ভাবে গ্রেফতার না হয়ে যায় যে, আল্লাহ ব্যতীত তার কোন সাহায্যকারী ও সুপারিশকারী নেই এবং যদি তারা জগতের বিনিময়ও প্রদান কবে, তবু তাদের কাছ থেকে তা গ্রহণ করা হবে না। একাই স্বীয় কর্মে জড়িত হয়ে পড়েছে। তাদের জন্যে উত্তপ্ত পানি এবং যন্ত্রণাদায়ক শাস্তি রয়েছে-কুফরের কারণে।",
              "numberInSurah": 70,
              "juz": 7,
              "manzil": 2,
              "page": 136,
              "ruku": 109,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া যারিল্লাযীনাততাখাযূদীনাহুম লা‘ইবাওঁ ওয়া লাহওয়াওঁ ওয়া গাররাতহুমুল হায়াতুদ দুনইয়া-ওয়া যাক্কির বিহীআন তুবছালা নাফছুম বিমা-কাছাবাত লাইছা লাহা-মিন দূ নিল্লা-হি ওয়ালিইয়ুওঁ ওয়ালা-শাফী‘উওঁ ওয়া ইন তা‘দিল কুল্লা ‘আদলিল্লা-ইউ’খায মিনহা- উলাইকাল্লাযীনা উবছিলূবিমা-কাছাবূ লাহুম শারা-বুম মিন হামীমিওঁ ওয়া ‘আযা-বুন আলীমুম বিমা-কানূইয়াকফুরূন।",
              "words_arabic": "وَ ذَرِ/وَذَرِ/wadhari//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//دِیْنَهُمْ/دِينَهُمۡ/dinahum//لَعِبًا/لَعِبٗا/la'iban//وَّ لَهْوًا/وَلَهۡوٗا/walahwan//وَّ غَرَّتْهُمُ/وَغَرَّتۡهُمُ/wagharrathumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَاۚ/al-dun'ya//وَ ذَكِّرْ/وَذَكِّرۡ/wadhakkir//بِهٖۤ/بِهِۦٓ/bihi//اَنْ/أَن/an//تُبْسَلَ/تُبۡسَلَ/tub'sala//نَفْسٌۢ/نَفۡسُۢ/nafsun//بِمَا/بِمَا/bima//كَسَبَتْ ۖۗ/كَسَبَتۡ/kasabat//لَیْسَ/لَيۡسَ/laysa//لَهَا/لَهَا/laha//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَلِیٌّ/وَلِيّٞ/waliyyun//وَّ لَا/وَلَا/wala//شَفِیْعٌ ۚ/شَفِيعٞ/shafi'un//وَ اِنْ/وَإِن/wa-in//تَعْدِلْ/تَعۡدِلۡ/ta'dil//كُلَّ/كُلَّ/kulla//عَدْلٍ/عَدۡلٖ/adlin//لَّا/لَّا/la//یُؤْخَذْ/يُؤۡخَذۡ/yu'khadh//مِنْهَا ؕ/مِنۡهَآۗ/min'ha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُبْسِلُوْا/أُبۡسِلُواْ/ub'silu//بِمَا/بِمَا/bima//كَسَبُوْا ۚ/كَسَبُواْۖ/kasabu//لَهُمْ/لَهُمۡ/lahum//شَرَابٌ/شَرَابٞ/sharabun//مِّنْ/مِّنۡ/min//حَمِیْمٍ/حَمِيمٖ/hamimin//وَّ عَذَابٌ/وَعَذَابٌ/wa'adhabun//اَلِیْمٌۢ/أَلِيمُۢ/alimun//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْفُرُوْنَ۠/يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "এবং ছেড়ে দাও//(তাদেরকে) যারা//গ্রহণ করেছে//দীনকে তাদের//ক্রীড়া//ও কৌতুকরূপে//ও প্রতারিত করেছে তাদের//জীবন//পার্থিব//এবং উপদেশ দাও//দিয়ে তা (অর্থাৎ কুরআন)//যেন (না)//ধ্বংসে নিক্ষিপ্ত হয়//কোনো ব্যক্তি//কারণে যা//সে অর্জন করেছে//(সে সময়) না//জন্যে তার (থাকবে)//দিয়ে//বাদ//আল্লাহ্‌//কোনো বন্ধু//আর না//কোনো সুপারিশকারী//এবং যদি//সে বিনিময় দিতে চায়//(সম্ভাব্য) সবকিছু//বিনিময়//(তবুও) না//গ্রহণ করা হবে//থেকে তার//ঐসব লোক//(তারাই) যাদেরকে//ধ্বংসে নিক্ষেপ করা হবে//এ কারণে যা//তারা অর্জন করেছে//জন্যে তাদের (থাকবে)//পানীয়//হতে//ফুটন্ত পানি//ও শাস্তি//নিদারুণ//এ কারণে যা//তারা ছিলো//তারা অস্বীকার করতে"
            },
            {
              "number": 860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/860.mp3"
              ],
              "text": "قُلْ أَنَدْعُوا۟ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُنَا وَلَا يَضُرُّنَا وَنُرَدُّ عَلَىٰٓ أَعْقَابِنَا بَعْدَ إِذْ هَدَىٰنَا ٱللَّهُ كَٱلَّذِى ٱسْتَهْوَتْهُ ٱلشَّيَٰطِينُ فِى ٱلْأَرْضِ حَيْرَانَ لَهُۥٓ أَصْحَٰبٌۭ يَدْعُونَهُۥٓ إِلَى ٱلْهُدَى ٱئْتِنَا ۗ قُلْ إِنَّ هُدَى ٱللَّهِ هُوَ ٱلْهُدَىٰ ۖ وَأُمِرْنَا لِنُسْلِمَ لِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আপনি বলে দিনঃ আমরা কি আল্লাহ ব্যতীত এমন বস্তুকে আহবান করব, যে আমাদের উপকার করতে পারে না এবং ক্ষতিও করতে পারে না এবং আমরা কি পশ্চাৎপদে ফিরে যাব, এরপর যে, আল্লাহ আমাদেরকে পথ প্রদর্শন করেছেন? ঐ ব্যক্তির মত, যাকে শয়তানরা বনভুমিতে বিপথগামী করে দিয়েছে-সে উদভ্রান্ত হয়ে ঘোরাফেরা করছে। তার সহচররা তাকে পথের দিকে ডেকে বলছেঃ আস, আমাদের কাছে। আপনি বলে দিনঃ নিশ্চয় আল্লাহর পথই সুপথ। আমরা আদিষ্ট হয়েছি যাতে স্বীয় পালনকর্তা আজ্ঞাবহ হয়ে যাই।",
              "numberInSurah": 71,
              "juz": 7,
              "manzil": 2,
              "page": 136,
              "ruku": 110,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "কুল আনাদ‘ঊ-মিন দূ নিল্লা-হি মা-লা-ইয়ানফা‘উনা-ওয়ালা-ইয়াদুররুনা-ওয়ানুরাদ্দু ‘আলাআ‘কা-বিনা-বা‘দা ইযহাদা-নাল্লা-হু কাল্লাযিছ তাহওয়াতহুশশায়া-তীনুফিল আরদিহাইরা-না লাহূআসহা-বুইঁ ইয়াদ‘ঊনাহূইলাল হুদা’তিনা- কুল ইন্না হুদাল্লা-হি হুওয়াল হুদা- ওয়া উমিরনা-লিনুছলিমা লিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَنَدْعُوْا/أَنَدۡعُواْ/anad'u//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَنْفَعُنَا/يَنفَعُنَا/yanfa'una//وَ لَا/وَلَا/wala//یَضُرُّنَا/يَضُرُّنَا/yadurruna//وَ نُرَدُّ/وَنُرَدُّ/wanuraddu//عَلٰۤی/عَلَىٰٓ/ala//اَعْقَابِنَا/أَعۡقَابِنَا/a'qabina//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//هَدٰىنَا/هَدَىٰنَا/hadana//اللّٰهُ/ٱللَّهُ/al-lahu//كَالَّذِی/كَٱلَّذِي/ka-alladhi//اسْتَهْوَتْهُ/ٱسۡتَهۡوَتۡهُ/is'tahwathu//الشَّیٰطِیْنُ/ٱلشَّيَٰطِينُ/al-shayatinu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//حَیْرَانَ ۪/حَيۡرَانَ/hayrana//لَهٗۤ/لَهُۥٓ/lahu//اَصْحٰبٌ/أَصۡحَٰبٞ/ashabun//یَّدْعُوْنَهٗۤ/يَدۡعُونَهُۥٓ/yad'unahu//اِلَی/إِلَى/ila//الْهُدَی/ٱلۡهُدَى/al-huda//ائْتِنَا ؕ/ٱئۡتِنَاۗ/i'tina//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//هُدَی/هُدَى/huda//اللّٰهِ/ٱللَّهِ/al-lahi//هُوَ/هُوَ/huwa//الْهُدٰی ؕ/ٱلۡهُدَىٰۖ/al-huda//وَ اُمِرْنَا/وَأُمِرۡنَا/wa-umir'na//لِنُسْلِمَ/لِنُسۡلِمَ/linus'lima//لِرَبِّ/لِرَبِّ/lirabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "(হে নাবী) বলো//\"কি ডাকবো আমরা//দিয়ে//বাদ//আল্লাহ্‌কে (অন্যদেরকে)//যা//না//উপকার করতে পারে আমাদের//আর না//ক্ষতি করতে পারে আমাদের//এবং (কি) ফিরে যাবো আমরা//উপর//গোঁড়ালির আমাদের (অর্থাৎ পিছন দিকে)//এরপরেও//যখন//পথ দেখিয়েছেন আমাদের//আল্লাহ্‌//(তার) মতো যাকে//বিভ্রান্ত করেছে তাকে//শয়তান//মধ্যে//পৃথিবীর//হয়রান হয়ে (সে ফিরেছে)//আছে তার//সহচরগণ//তারা ডাকছে তাকে//দিকে//সঠিক পথের (এই বলে)//কাছে আসো আমাদের//বলো//\"নিশ্চয়ই//সঠিক পথই//আল্লাহ্‌র//সেটাই//সঠিক পথ//এবং আমাদেরকে আদেশ করা হয়েছে//যেন আত্মসমর্পণ করি আমরা//রকাছে রবের//বিশ্ব জগতের"
            },
            {
              "number": 861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/861.mp3"
              ],
              "text": "وَأَنْ أَقِيمُوا۟ ٱلصَّلَوٰةَ وَٱتَّقُوهُ ۚ وَهُوَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "এবং তা এই যে, নামায কায়েম কর এবং তাঁকে ভয় কর। তাঁর সামনেই তোমরা একত্রিত হবে।",
              "numberInSurah": 72,
              "juz": 7,
              "manzil": 2,
              "page": 136,
              "ruku": 110,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন আকীমুসসালা-তা ওয়াত্তাকূহু ওয়া হুওয়াল্লাযীইলাইহি তুহশারূন।",
              "words_arabic": "وَ اَنْ/وَأَنۡ/wa-an//اَقِیْمُوا/أَقِيمُواْ/aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اتَّقُوْهُ ؕ/وَٱتَّقُوهُۚ/wa-ittaquhu//وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "এবং (এ নির্দেশও) যে//তোমরা প্রতিষ্ঠা করো//সালাত//ও তোমরা ভয় করো তাঁকে//এবং তিনিই//যিনি//দিকে তাঁর//তোমাদের একত্র করা হবে\""
            },
            {
              "number": 862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/862.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۖ وَيَوْمَ يَقُولُ كُن فَيَكُونُ ۚ قَوْلُهُ ٱلْحَقُّ ۚ وَلَهُ ٱلْمُلْكُ يَوْمَ يُنفَخُ فِى ٱلصُّورِ ۚ عَٰلِمُ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ",
              "translate_bn": "তিনিই সঠিকভাবে নভোমন্ডল সৃষ্টি করেছেন। যেদিন তিনি বলবেনঃ হয়ে যা, অতঃপর হয়ে যাবে। তাঁর কথা সত্য। যেদিন শিঙ্গায় ফুৎকার করা হবে, সেদিন তাঁরই আধিপত্য হবে। তিনি অদৃশ্য বিষয়ে এবং প্রত্যক্ষ বিষয়ে জ্ঞাত। তিনিই প্রজ্ঞাময়, সর্বজ্ঞ।",
              "numberInSurah": 73,
              "juz": 7,
              "manzil": 2,
              "page": 136,
              "ruku": 110,
              "hizbQuarter": 54,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী খালাকাছছামা-ওয়া-তি ওয়াল আরদা বিলহাক্কি ওয়া ইয়াওমা ইয়াকূলুকুন ফাইয়াকূনু কাওলুহুল হাক্কু ওয়া লাহুল মুলকুইয়াওমা ইউনফাখু ফিসসূরি ‘আ-লিমুল গাইবি ওয়াশ শাহা-দাতি ওয়া হুওয়াল হাকীমুল খাবীর।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ ؕ/بِٱلۡحَقِّۖ/bil-haqi//وَ یَوْمَ/وَيَوۡمَ/wayawma//یَقُوْلُ/يَقُولُ/yaqulu//كُنْ/كُن/kun//فَیَكُوْنُ ؕ۬/فَيَكُونُۚ/fayakunu//قَوْلُهُ/قَوۡلُهُ/qawluhu//الْحَقُّ ؕ/ٱلۡحَقُّۚ/al-haqu//وَ لَهُ/وَلَهُ/walahu//الْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//یَوْمَ/يَوۡمَ/yawma//یُنْفَخُ/يُنفَخُ/yunfakhu//فِی/فِي/fi//الصُّوْرِ ؕ/ٱلصُّورِۚ/al-suri//عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ ؕ/وَٱلشَّهَٰدَةِۚ/wal-shahadati//وَ هُوَ/وَهُوَ/wahuwa//الْحَكِیْمُ/ٱلۡحَكِيمُ/al-hakimu//الْخَبِیْرُ /ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন//আকাশসমূহ//ও পৃথিবী//ভাবে যথাযথ//এবং যেদিন//বলবেন তিনি//\"হও (ক্বিয়ামাত)\"//তখনই তা হয়ে যাবে//কথাই তাঁর//সত্য//এবং তাঁরই (হবে)//আধিপত্য (নিরঙ্কুশভাবে)//যেদিন//ফুঁ দেয়া হবে//মধ্যে//শিঙার//তিনি অবহিত//অদৃশ্যের//এবং প্রকাশ্যের//এবং তিনিই//প্রজ্ঞাময়//সবিশেষ অবহিত"
            },
            {
              "number": 863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/863.mp3"
              ],
              "text": "۞ وَإِذْ قَالَ إِبْرَٰهِيمُ لِأَبِيهِ ءَازَرَ أَتَتَّخِذُ أَصْنَامًا ءَالِهَةً ۖ إِنِّىٓ أَرَىٰكَ وَقَوْمَكَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "স্মরণ কর, যখন ইব্রাহীম পিতা আযরকে বললেনঃ তুমি কি প্রতিমা সমূহকে উপাস্য মনে কর? আমি দেখতে পাচ্ছি যে, তুমি ও তোমার সম্প্রদায় প্রকাশ্য পথভ্রষ্ট।",
              "numberInSurah": 74,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা ইবরা-হীমুলিআবীহি আ-ঝারা আতাত্তাখিযুআসনা-মান আ-লিহাতান ইন্নীআরা-কা ওয়া কাওমাকা ফী দালা-লিম মুবীন।",
              "words_arabic": "وَ اِذْ/۞وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اِبْرٰهِیْمُ/إِبۡرَٰهِيمُ/ib'rahimu//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//اٰزَرَ/ءَازَرَ/azara//اَتَتَّخِذُ/أَتَتَّخِذُ/atattakhidhu//اَصْنَامًا/أَصۡنَامًا/asnaman//اٰلِهَةً ۚ/ءَالِهَةً/alihatan//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰىكَ/أَرَىٰكَ/araka//وَ قَوْمَكَ/وَقَوۡمَكَ/waqawmaka//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলো//ইবরাহীম//উদ্দেশ্যে তার পিতার//(অর্থাৎ) আজরকে//\"কি আপনি গ্রহণ করেন//মূর্তিগুলোকে//উপাস্যরূপে//নিশ্চয়ই আমি//আপনাকে দেখছি//ও আপনার সম্প্রদায়কে//মধ্যে//পথভ্রষ্টতার//সুস্পষ্ট\""
            },
            {
              "number": 864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/864.mp3"
              ],
              "text": "وَكَذَٰلِكَ نُرِىٓ إِبْرَٰهِيمَ مَلَكُوتَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَلِيَكُونَ مِنَ ٱلْمُوقِنِينَ",
              "translate_bn": "আমি এরূপ ভাবেই ইব্রাহীমকে নভোমন্ডল ও ভুমন্ডলের অত্যাশ্চর্য বস্তুসমূহ দেখাতে লাগলাম-যাতে সে দৃঢ় বিশ্বাসী হয়ে যায়।",
              "numberInSurah": 75,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নুরীইবরা-হীমা মালাকূতাছ ছামা-ওয়া-তি ওয়াল আরদি ওয়া লিয়াকূনা মিনাল মূকিনীন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُرِیْۤ/نُرِيٓ/nuri//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//مَلَكُوْتَ/مَلَكُوتَ/malakuta//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لِیَكُوْنَ/وَلِيَكُونَ/waliyakuna//مِنَ/مِنَ/mina//الْمُوْقِنِیْنَ /ٱلۡمُوقِنِينَ/al-muqinina",
              "words_bangla": "এবং এভাবে//দেখাই আমরা//ইবরাহীমকে//পরিচালনা ব্যবস্হা//আকাশসমূহের//ও পৃথিবীর//এবং যেন সে হয়//অন্তর্ভুক্ত//দৃঢ় বিশ্বাসীদের"
            },
            {
              "number": 865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/865.mp3"
              ],
              "text": "فَلَمَّا جَنَّ عَلَيْهِ ٱلَّيْلُ رَءَا كَوْكَبًۭا ۖ قَالَ هَٰذَا رَبِّى ۖ فَلَمَّآ أَفَلَ قَالَ لَآ أُحِبُّ ٱلْءَافِلِينَ",
              "translate_bn": "অনন্তর যখন রজনীর অন্ধকার তার উপর সমাচ্ছন্ন হল, তখন সে একটি তারকা দেখতে পেল, বললঃ ইহা আমার প্রতিপালক। অতঃপর যখন তা অস্তমিত হল তখন বললঃ আমি অস্তগামীদেরকে ভালবাসি না।",
              "numberInSurah": 76,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জান্না ‘আলাইহিল লাইলুরাআ-কাওকাবান কা-লা হা-যা-রাববী ফালাম্মাআফালা কা-লা লাউহিব্বুল আ-ফিলীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَنَّ/جَنَّ/janna//عَلَیْهِ/عَلَيۡهِ/alayhi//الَّیْلُ/ٱلَّيۡلُ/al-laylu//رَاٰ/رَءَا/raa//كَوْكَبًا ۚ/كَوۡكَبٗاۖ/kawkaban//قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//رَبِّیْ ۚ/رَبِّيۖ/rabbi//فَلَمَّاۤ/فَلَمَّآ/falamma//اَفَلَ/أَفَلَ/afala//قَالَ/قَالَ/qala//لَاۤ/لَآ/la//اُحِبُّ/أُحِبُّ/uhibbu//الْاٰفِلِیْنَ /ٱلۡأٓفِلِينَ/al-afilina",
              "words_bangla": "অতঃপর যখন//আচ্ছন্ন হলো//উপর তার//রাত//(ইবরাহীম) দেখলো//একটি তারা (উজ্জ্বল)//সে বললো//\"এই//আমার রব\"//অতঃপর যখন//তা অস্তমিত হলো//সে বললো//\"না//\"আমি ভালোবাসি//অস্তগামীদেরকে\""
            },
            {
              "number": 866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/866.mp3"
              ],
              "text": "فَلَمَّا رَءَا ٱلْقَمَرَ بَازِغًۭا قَالَ هَٰذَا رَبِّى ۖ فَلَمَّآ أَفَلَ قَالَ لَئِن لَّمْ يَهْدِنِى رَبِّى لَأَكُونَنَّ مِنَ ٱلْقَوْمِ ٱلضَّآلِّينَ",
              "translate_bn": "অতঃপর যখন চন্দ্রকে ঝলমল করতে দেখল, বললঃ এটি আমার প্রতিপালক। অনন্তর যখন তা অদৃশ্য হয়ে গেল, তখন বলল যদি আমার প্রতিপালক আমাকে পথ-প্রদর্শন না করেন, তবে অবশ্যই আমি বিভ্রান্ত সম্প্রদায়ের অন্তর্ভুক্ত হয়ে যাব।",
              "numberInSurah": 77,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআল কামারা বা-ঝিগান কা-লা হা-যা-রাববী ফালাম্মাআফালা কা-লা লাইল্লাম ইয়াহদিনী রাববী লাআকূনান্না মিনাল কাওমিদ্দাল্লীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَ/رَءَا/raa//الْقَمَرَ/ٱلۡقَمَرَ/al-qamara//بَازِغًا/بَازِغٗا/bazighan//قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//رَبِّیْ ۚ/رَبِّيۖ/rabbi//فَلَمَّاۤ/فَلَمَّآ/falamma//اَفَلَ/أَفَلَ/afala//قَالَ/قَالَ/qala//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//یَهْدِنِیْ/يَهۡدِنِي/yahdini//رَبِّیْ/رَبِّي/rabbi//لَاَكُوْنَنَّ/لَأَكُونَنَّ/la-akunanna//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الضَّآلِّیْنَ /ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "অতঃপর যখন//সে দেখলো//চাঁদকে//উদীয়মান (উজ্জ্বল)//সে বললো//\"এই//আমার রব\"//অতঃপর যখন//তা অস্তমিত হলো//সে বললো//\"অবশ্যই যদি//না//আমাকে সৎপথ দেখান//আমার রব//অবশ্যই হবো আমি//অন্তর্ভুক্ত//সম্প্রদায়ের//পথভ্রষ্ট\""
            },
            {
              "number": 867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/867.mp3"
              ],
              "text": "فَلَمَّا رَءَا ٱلشَّمْسَ بَازِغَةًۭ قَالَ هَٰذَا رَبِّى هَٰذَآ أَكْبَرُ ۖ فَلَمَّآ أَفَلَتْ قَالَ يَٰقَوْمِ إِنِّى بَرِىٓءٌۭ مِّمَّا تُشْرِكُونَ",
              "translate_bn": "অতঃপর যখন সূর্যকে চকচক করতে দেখল, বললঃ এটি আমার পালনকর্তা, এটি বৃহত্তর। অতপর যখন তা ডুবে গেল, তখন বলল হে আমার সম্প্রদায়, তোমরা যেসব বিষয়কে শরীক কর, আমি ওসব থেকে মুক্ত।",
              "numberInSurah": 78,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআশশামছা বা-ঝিগাতান কা-লা হা-যা-রাববী হা-যা-আকবারু ফালাম্মাআফালাত কা-লা ইয়া-কাওমি ইন্নি বারীউম মিম্মা-তুশরিকূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَ/رَءَا/raa//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//بَازِغَةً/بَازِغَةٗ/bazighatan//قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//رَبِّیْ/رَبِّي/rabbi//هٰذَاۤ/هَٰذَآ/hadha//اَكْبَرُ ۚ/أَكۡبَرُۖ/akbaru//فَلَمَّاۤ/فَلَمَّآ/falamma//اَفَلَتْ/أَفَلَتۡ/afalat//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنِّیْ/إِنِّي/inni//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تُشْرِكُوْنَ /تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "অতঃপর যখন//দেখলো//সূর্যকে//উদীয়মান (উজ্জ্বল)//সে বললো//\"এই//আমার রব//এই//সবচেয়ে বড়\"//অতঃপর যখন//তা অস্তমিত হলো//বললো সে//\"হে আমার জাতি//নিশ্চয়ই আমি//সম্পর্কহীন//(তা) হতে না//তোমরা শিরক করছো\""
            },
            {
              "number": 868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/868.mp3"
              ],
              "text": "إِنِّى وَجَّهْتُ وَجْهِىَ لِلَّذِى فَطَرَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ حَنِيفًۭا ۖ وَمَآ أَنَا۠ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "আমি এক মুখী হয়ে স্বীয় আনন ঐ সত্তার দিকে করেছি, যিনি নভোমন্ডল ও ভুমন্ডল সৃষ্টি করেছেন এবং আমি মুশরেক নই।",
              "numberInSurah": 79,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ইন্নী ওয়াজ্জাহতুওয়াজহিয়া লিল্লাযীফাতারাছছামা-ওয়া-তি ওয়াল আরদাহানীফাওঁ ওয়া মাআনা মিনাল মুশরিকীন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//وَجَّهْتُ/وَجَّهۡتُ/wajjahtu//وَجْهِیَ/وَجۡهِيَ/wajhiya//لِلَّذِیْ/لِلَّذِي/lilladhi//فَطَرَ/فَطَرَ/fatara//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//حَنِیْفًا/حَنِيفٗاۖ/hanifan//وَّ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَۚ/ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "নিশ্চয়ই আমি//আমি মুখ ফেরাচ্ছি//আমার মুখ (অর্থাৎ কেন্দ্রীভূত করেছি)//(তাঁর) দিকে যিনি//সৃষ্টি করেছেন//আকাশসমূহ//ও পৃথিবী//একনিষ্ঠভাবে//এবং নই//আমি//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/869.mp3"
              ],
              "text": "وَحَآجَّهُۥ قَوْمُهُۥ ۚ قَالَ أَتُحَٰٓجُّوٓنِّى فِى ٱللَّهِ وَقَدْ هَدَىٰنِ ۚ وَلَآ أَخَافُ مَا تُشْرِكُونَ بِهِۦٓ إِلَّآ أَن يَشَآءَ رَبِّى شَيْـًۭٔا ۗ وَسِعَ رَبِّى كُلَّ شَىْءٍ عِلْمًا ۗ أَفَلَا تَتَذَكَّرُونَ",
              "translate_bn": "তাঁর সাথে তার সম্প্রদায় বিতর্ক করল। সে বললঃ তোমরা কি আমার সাথে আল্লাহর একত্ববাদ সম্পর্কে বিতর্ক করছ; অথচ তিনি আমাকে পথ প্রদর্শন করেছেন। তোমরা যাদেরকে শরীক কর, আমি তাদেরকে ভয় করি না তবে আমার পালকর্তাই যদি কোন কষ্ট দিতে চান। আমার পালনকর্তাই প্রত্যেক বস্তুকে স্বীয় জ্ঞান দ্বারা বেষ্টন করে আছেন। তোমরা কি চিন্তা কর না ?",
              "numberInSurah": 80,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়াহাজ্জাহূকাওমুহূ কা-লা আতুহাজ্জুূন্নী ফিল্লা-হি ওয়াকাদ হাদা-নি ওয়া লাআখা-ফুমা-তুশরিকূনা বিহীইল্লাআইঁ ইয়াশাআ রাববী শাইআওঁ ওয়াছি‘আ রাববী কুল্লা-শাইয়িন ‘ইলমান আফালা-তাতাযাক্কারূনা ।",
              "words_arabic": "وَ حَآجَّهٗ/وَحَآجَّهُۥ/wahajjahu//قَوْمُهٗ ؕ/قَوۡمُهُۥۚ/qawmuhu//قَالَ/قَالَ/qala//اَتُحَآجُّوْٓنِّیْ/أَتُحَـٰٓجُّوٓنِّي/atuhajjunni//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَدْ/وَقَدۡ/waqad//هَدٰىنِ ؕ/هَدَىٰنِۚ/hadani//وَ لَاۤ/وَلَآ/wala//اَخَافُ/أَخَافُ/akhafu//مَا/مَا/ma//تُشْرِكُوْنَ/تُشۡرِكُونَ/tush'rikuna//بِهٖۤ/بِهِۦٓ/bihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//رَبِّیْ/رَبِّي/rabbi//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//وَسِعَ/وَسِعَ/wasi'a//رَبِّیْ/رَبِّي/rabbi//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//عِلْمًا ؕ/عِلۡمًاۚ/il'man//اَفَلَا/أَفَلَا/afala//تَتَذَكَّرُوْنَ /تَتَذَكَّرُونَ/tatadhakkaruna",
              "words_bangla": "কিন্তু তার সাথে বিতর্ক করলো//জাতি তার//সে বললো//\"কি আমার সাথে বিতর্ক করছো//সম্বন্ধে//আল্লাহ্‌//অথচ//তিনি সঠিক পথ দেখিয়েছেন আমাকে//এবং না//আমি ভয় করি//তার (যা কিছুর)//তোমরা শিরক করো//সাথে তাঁর//এ ছাড়া//যে (যদি)//ইচ্ছে করেন//আমার রব//(অন্য) কিছু//পরিব্যাপ্ত করেছেন//আমার রব//সব//কিছুকে//জ্ঞানে//কি তবুও না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/870.mp3"
              ],
              "text": "وَكَيْفَ أَخَافُ مَآ أَشْرَكْتُمْ وَلَا تَخَافُونَ أَنَّكُمْ أَشْرَكْتُم بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ عَلَيْكُمْ سُلْطَٰنًۭا ۚ فَأَىُّ ٱلْفَرِيقَيْنِ أَحَقُّ بِٱلْأَمْنِ ۖ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "যাদেরকে তোমরা আল্লাহর সাথে শরীক করে রেখেছ, তাদেরকে কিরূপে ভয় কর, অথচ তোমরা ভয় কর না যে, তোমরা আল্লাহর সাথে এমন বস্তুকে শরীক করছ, যাদের সম্পর্কে আল্লাহ তোমাদের প্রতি কোন প্রমাণ অবতীর্ণ করেননি। অতএব, উভয় সম্প্রদায়ের মধ্যে শাস্তি লাভের অধিক যোগ্য কে, যদি তোমরা জ্ঞানী হয়ে থাক।",
              "numberInSurah": 81,
              "juz": 7,
              "manzil": 2,
              "page": 137,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইফা আখা-ফুমাআশরাকতুম ওয়ালা-তাখা-ফূনা আন্নাকুম আশরাকতুম বিল্লা-হি মালাম ইউনাঝঝিল বিহী ‘আলাইকুম ছুলতা-নান ফাআইয়ুল ফারীকাইনি আহাক্কু বিলআমনি ইন কুনতুম তা‘লামূন।\r\n",
              "words_arabic": "وَ كَیْفَ/وَكَيۡفَ/wakayfa//اَخَافُ/أَخَافُ/akhafu//مَاۤ/مَآ/ma//اَشْرَكْتُمْ/أَشۡرَكۡتُمۡ/ashraktum//وَ لَا/وَلَا/wala//تَخَافُوْنَ/تَخَافُونَ/takhafuna//اَنَّكُمْ/أَنَّكُمۡ/annakum//اَشْرَكْتُمْ/أَشۡرَكۡتُم/ashraktum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یُنَزِّلْ/يُنَزِّلۡ/yunazzil//بِهٖ/بِهِۦ/bihi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//سُلْطٰنًا ؕ/سُلۡطَٰنٗاۚ/sul'tanan//فَاَیُّ/فَأَيُّ/fa-ayyu//الْفَرِیْقَیْنِ/ٱلۡفَرِيقَيۡنِ/al-fariqayni//اَحَقُّ/أَحَقُّ/ahaqqu//بِالْاَمْنِ ۚ/بِٱلۡأَمۡنِۖ/bil-amni//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَۘ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং কিরূপে//আমি ভয় করবো//তার (যা কিছুকে)//শিরক করেছো তোমরা//অথচ না//তোমরা ভয় করছো//যে তোমরা//শিরক করেছো//সাথে আল্লাহ্‌র//যা//না//তিনি অবতীর্ণ করেছেন//সম্বন্ধে সে//উপর তোমাদের//কোনো প্রমাণ//সুতরাং কোনো (পক্ষ)//দুই পক্ষের//অধিকযোগ্য//নিরাপত্তা লাভের//যদি//তোমরা থাকো//তোমরা জানো(তবে বলো)\""
            },
            {
              "number": 871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/871.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ وَلَمْ يَلْبِسُوٓا۟ إِيمَٰنَهُم بِظُلْمٍ أُو۟لَٰٓئِكَ لَهُمُ ٱلْأَمْنُ وَهُم مُّهْتَدُونَ",
              "translate_bn": "যারা ঈমান আনে এবং স্বীয় বিশ্বাসকে শেরেকীর সাথে মিশ্রিত করে না, তাদের জন্যেই শান্তি এবং তারাই সুপথগামী।",
              "numberInSurah": 82,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 110,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূওয়া লাম ইয়ালবিছূ ঈমা-নাহুম বিজু লমিন উলাইকা লাহুমুল আমনু ওয়া হুম মুহতাদূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ لَمْ/وَلَمۡ/walam//یَلْبِسُوْۤا/يَلۡبِسُوٓاْ/yalbisu//اِیْمَانَهُمْ/إِيمَٰنَهُم/imanahum//بِظُلْمٍ/بِظُلۡمٍ/bizul'min//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمُ/لَهُمُ/lahumu//الْاَمْنُ/ٱلۡأَمۡنُ/al-amnu//وَ هُمْ/وَهُم/wahum//مُّهْتَدُوْنَ۠/مُّهۡتَدُونَ/muh'taduna",
              "words_bangla": "যারা//ঈমান এনেছে//এবং নি//মিশ্রিত করেছে//ঈমান তাদের//সাথে সীমালঙ্ঘনের//ঐ সব লোক//জন্যে তাদের (রয়েছে)//নিরাপত্তা//এবং তারা//সৎপথ প্রাপ্ত"
            },
            {
              "number": 872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/872.mp3"
              ],
              "text": "وَتِلْكَ حُجَّتُنَآ ءَاتَيْنَٰهَآ إِبْرَٰهِيمَ عَلَىٰ قَوْمِهِۦ ۚ نَرْفَعُ دَرَجَٰتٍۢ مَّن نَّشَآءُ ۗ إِنَّ رَبَّكَ حَكِيمٌ عَلِيمٌۭ",
              "translate_bn": "এটি ছিল আমার যুক্তি, যা আমি ইব্রাহীমকে তাঁর সম্প্রަ#2470;ায়ের বিপক্ষে প্রদান করেছিলাম। আমি যাকে ইচ্ছা মর্যাদায় সমুন্নত করি। আপনার পালনকর্তা প্রজ্ঞাময়, মহাজ্ঞানী",
              "numberInSurah": 83,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকা হুজ্জাতুনাআ-তাইনা-হাইবরা-হীমা ‘আলা-কাওমিহী নারফা‘উ দারাজাতিম মান নাশাউ ইন্না রাব্বাকা হাকীমুন ‘আলীম।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//حُجَّتُنَاۤ/حُجَّتُنَآ/hujjatuna//اٰتَیْنٰهَاۤ/ءَاتَيۡنَٰهَآ/ataynaha//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//عَلٰی/عَلَىٰ/ala//قَوْمِهٖ ؕ/قَوۡمِهِۦۚ/qawmihi//نَرْفَعُ/نَرۡفَعُ/narfa'u//دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//مَّنْ/مَّن/man//نَّشَآءُ ؕ/نَّشَآءُۗ/nashau//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//حَكِیْمٌ/حَكِيمٌ/hakimun//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং এই//আমাদের যুক্তি//আমরা দিয়েছিলাম তা//ইবরাহীমের//মুকাবিলায়//জাতির তার//উন্নীত আমরা করি//মর্যাদাসমূহে//যাকে//ইচ্ছে করি আমরা//নিশ্চয়ই//তোমার রব//প্রজ্ঞাময়//মহাজ্ঞানী"
            },
            {
              "number": 873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/873.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُۥٓ إِسْحَٰقَ وَيَعْقُوبَ ۚ كُلًّا هَدَيْنَا ۚ وَنُوحًا هَدَيْنَا مِن قَبْلُ ۖ وَمِن ذُرِّيَّتِهِۦ دَاوُۥدَ وَسُلَيْمَٰنَ وَأَيُّوبَ وَيُوسُفَ وَمُوسَىٰ وَهَٰرُونَ ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "আমি তাঁকে দান করেছি ইসহাক এবং এয়াকুব। প্রত্যেককেই আমি পথ প্রদর্শন করেছি এবং পূর্বে আমি নূহকে পথ প্রদর্শন করেছি-তাঁর সন্তানদের মধ্যে দাউদ, সোলায়মান, আইউব, ইউসুফ, মূসা ও হারুনকে। এমনিভাবে আমি সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 84,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লাহূ ইছহাকা ওয়া ইয়া‘কূবা কুল্লান হাদাইনা- ওয়া নূহান হাদাইনা-মিন কাবলুওয়া মিন যুররিইইয়াতিহী দা-ঊদা ওয়া ছুলাইমা-না ওয়া আইয়ূবা ওয়া ইঊছুফা ওয়া মূছা-ওয়া হা-রূনা ওয়া কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗۤ/لَهُۥٓ/lahu//اِسْحٰقَ/إِسۡحَٰقَ/is'haqa//وَ یَعْقُوْبَ ؕ/وَيَعۡقُوبَۚ/waya'quba//كُلًّا/كُلًّا/kullan//هَدَیْنَا ۚ/هَدَيۡنَاۚ/hadayna//وَ نُوْحًا/وَنُوحًا/wanuhan//هَدَیْنَا/هَدَيۡنَا/hadayna//مِنْ/مِن/min//قَبْلُ/قَبۡلُۖ/qablu//وَ مِنْ/وَمِن/wamin//ذُرِّیَّتِهٖ/ذُرِّيَّتِهِۦ/dhurriyyatihi//دَاوٗدَ/دَاوُۥدَ/dawuda//وَ سُلَیْمٰنَ/وَسُلَيۡمَٰنَ/wasulaymana//وَ اَیُّوْبَ/وَأَيُّوبَ/wa-ayyuba//وَ یُوْسُفَ/وَيُوسُفَ/wayusufa//وَ مُوْسٰی/وَمُوسَىٰ/wamusa//وَ هٰرُوْنَ ؕ/وَهَٰرُونَۚ/waharuna//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَۙ/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং  দান করেছি আমরা//তাকে//ইসহাক//ও ইয়াকুবকে//প্রত্যেককে//সৎপথ দেখিয়েছি আমরা//এবং নূহকেও//সৎপথ দেখিয়েছি আমরা//থেকে//পূর্ব//এবং মধ্যে থেকে//বংশধরদের তার//(যেমন) দাউদ//ও সুলায়মান//ও আয়্যুব//ও ইউসুফ//ও মূসা//এবং হারুনকে (সৎপথ দেখিয়েছি)//এবং এভাবে//পুরস্কার দিই আমরা//সৎকর্মপরায়ণদেরকে"
            },
            {
              "number": 874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/874.mp3"
              ],
              "text": "وَزَكَرِيَّا وَيَحْيَىٰ وَعِيسَىٰ وَإِلْيَاسَ ۖ كُلٌّۭ مِّنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আর ও যাকারিয়া, ইয়াহিয়া, ঈসা এবং ইলিয়াসকে। তারা সবাই পুণ্যবানদের অন্তর্ভুক্ত ছিল।",
              "numberInSurah": 85,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া যাকারিইইয়া ওয়া ইয়াহইয়া-ওয়া ‘ঈছা-ওয়া ইলইয়া-ছা কুল্লুম মিনাসসা-লিহীন।",
              "words_arabic": "وَ زَكَرِیَّا/وَزَكَرِيَّا/wazakariyya//وَ یَحْیٰی/وَيَحۡيَىٰ/wayahya//وَ عِیْسٰی/وَعِيسَىٰ/wa'isa//وَ اِلْیَاسَ ؕ/وَإِلۡيَاسَۖ/wa-il'yasa//كُلٌّ/كُلّٞ/kullun//مِّنَ/مِّنَ/mina//الصّٰلِحِیْنَۙ/ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং যাকারিয়া//ও ইয়াহইয়া//ও ঈসা//ও ইলয়াস//প্রত্যেকেই ছিলো//অন্তর্ভুক্ত//সৎলোকদের"
            },
            {
              "number": 875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/875.mp3"
              ],
              "text": "وَإِسْمَٰعِيلَ وَٱلْيَسَعَ وَيُونُسَ وَلُوطًۭا ۚ وَكُلًّۭا فَضَّلْنَا عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "এবং ইসরাঈল, ইয়াসা, ইউনূস, লূতকে প্রত্যেককেই আমি সারা বিশ্বের উপর গৌরবাম্বিত করেছি।",
              "numberInSurah": 86,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইছমা‘ঈলা ওয়ালইয়াছা‘আ ওয়াইঊনুছা ওয়া লূতাওঁ ওয়া কুল্লান ফাদ্দালনা‘আলাল ‘আ-লামীন।",
              "words_arabic": "وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ الْیَسَعَ/وَٱلۡيَسَعَ/wal-yasa'a//وَ یُوْنُسَ/وَيُونُسَ/wayunusa//وَ لُوْطًا ؕ/وَلُوطٗاۚ/walutan//وَ كُلًّا/وَكُلّٗا/wakullan//فَضَّلْنَا/فَضَّلۡنَا/faddalna//عَلَی/عَلَى/ala//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং ইসমাঈল//ও আল-ইয়াসায়া//ও ইউনুস//ও লুত//এবং প্রত্যেককে//শ্রেষ্ঠত্ব দিয়েছি আমরা//উপর//বিশ্বজগতের (লোকদের)"
            },
            {
              "number": 876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/876.mp3"
              ],
              "text": "وَمِنْ ءَابَآئِهِمْ وَذُرِّيَّٰتِهِمْ وَإِخْوَٰنِهِمْ ۖ وَٱجْتَبَيْنَٰهُمْ وَهَدَيْنَٰهُمْ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আর ও তাদের কিছু সংখ্যক পিতৃপুরুষ, সন্তান-সন্ততি ও ভ্রাতাদেরকে; আমি তাদেরকে মনোনীত করেছি এবং সরল পথ প্রদর্শন করেছি।",
              "numberInSurah": 87,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-বাইহিম ওয়া যুররিইইয়া-তিহিম ওয়া ইখওয়া-নিহিম ওয়াজতাবাইনা-হুম ওয়া হাদাইনা-হুম ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰبَآىِٕهِمْ/ءَابَآئِهِمۡ/abaihim//وَ ذُرِّیّٰتِهِمْ/وَذُرِّيَّـٰتِهِمۡ/wadhurriyyatihim//وَ اِخْوَانِهِمْ ۚ/وَإِخۡوَٰنِهِمۡۖ/wa-ikh'wanihim//وَ اجْتَبَیْنٰهُمْ/وَٱجۡتَبَيۡنَٰهُمۡ/wa-ij'tabaynahum//وَ هَدَیْنٰهُمْ/وَهَدَيۡنَٰهُمۡ/wahadaynahum//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "এবং মধ্য হতে//পিতৃপুরুষদের তাদের//ও বংশধরদের তাদের//এবং ভ্রাতাদেরও তাদের//এবং আমরা মনোনীত করেছি তাদের//ও আমরা পথ দেখিয়েছি তাদের//দিকে//পথের//সরলসোজা"
            },
            {
              "number": 877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/877.mp3"
              ],
              "text": "ذَٰلِكَ هُدَى ٱللَّهِ يَهْدِى بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۚ وَلَوْ أَشْرَكُوا۟ لَحَبِطَ عَنْهُم مَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "এটি আল্লাহর হেদায়েত। স্বীয় বান্দাদের মধ্যে যাকে ইচ্ছা, এপথে চালান। যদি তারা শেরেকী করত, তবে তাদের কাজ কর্ম তাদের জন্যে ব্যর্থ হয়ে যেত।",
              "numberInSurah": 88,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা হুদাল্লা-হি ইয়াহদী বিহী মাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ওয়া লাও আশরাকূ লাহাবিতা ‘আনহুম মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//هُدَی/هُدَى/huda//اللّٰهِ/ٱللَّهِ/al-lahi//یَهْدِیْ/يَهۡدِي/yahdi//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ ؕ/عِبَادِهِۦۚ/ibadihi//وَ لَوْ/وَلَوۡ/walaw//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//لَحَبِطَ/لَحَبِطَ/lahabita//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এটা//সৎপথ//আল্লাহ্‌র//তিনি পরিচালনা করেন//উপর তার//যাকে//তিনি ইচ্ছে করেন//মধ্য হতে//দাসদের তাঁর//এবং যদি//তারা শিরক করতো//অবশ্যই নষ্ট হতো//থেকে তাদের//যা//তারা ছিলো//কাজ করতে"
            },
            {
              "number": 878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/878.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ ۚ فَإِن يَكْفُرْ بِهَا هَٰٓؤُلَآءِ فَقَدْ وَكَّلْنَا بِهَا قَوْمًۭا لَّيْسُوا۟ بِهَا بِكَٰفِرِينَ",
              "translate_bn": "তাদেরকেই আমি গ্রন্থ, শরীয়ত ও নবুয়ত দান করেছি। অতএব, যদি এরা আপনার নবুয়ত অস্বীকার করে, তবে এর জন্যে এমন সম্প্রদায় নির্দিষ্ট করেছি, যারা এতে অবিশ্বাসী হবে না।",
              "numberInSurah": 89,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ওয়ালা হুকমা ওয়াননুবুওওয়াতা ফাইয় ইয়াকফুর বিহা-হাউলাই ফাকাদওয়াক্কালনা-বিহা-কাওমাল লাইছূবিহা-বিকা-ফিরীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحُكْمَ/وَٱلۡحُكۡمَ/wal-huk'ma//وَ النُّبُوَّةَ ۚ/وَٱلنُّبُوَّةَۚ/wal-nubuwata//فَاِنْ/فَإِن/fa-in//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِهَا/بِهَا/biha//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//فَقَدْ/فَقَدۡ/faqad//وَ كَّلْنَا/وَكَّلۡنَا/wakkalna//بِهَا/بِهَا/biha//قَوْمًا/قَوۡمٗا/qawman//لَّیْسُوْا/لَّيۡسُواْ/laysu//بِهَا/بِهَا/biha//بِكٰفِرِیْنَ /بِكَٰفِرِينَ/bikafirina",
              "words_bangla": "ঐ সব লোক//তারাই//আমরা দিয়েছি যাদেরকে//কিতাব//ও হেকমত, প্রজ্ঞা, যোগ্যতা,কর্তৃত্ব//ও নবুয়্যত//তারপর যদি//অস্বীকার করে//প্রতি তার//এ সব (লোক)//তবে নিশ্চয়ই//ভার অর্পণ করেছি আমরা//তার//(এমন) সম্প্রদায়ের উপর//তারা নয়//তার প্রতি//অস্বীকারকারী"
            },
            {
              "number": 879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/879.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ هَدَى ٱللَّهُ ۖ فَبِهُدَىٰهُمُ ٱقْتَدِهْ ۗ قُل لَّآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا ۖ إِنْ هُوَ إِلَّا ذِكْرَىٰ لِلْعَٰلَمِينَ",
              "translate_bn": "এরা এমন ছিল, যাদেরকে আল্লাহ পথ প্রদর্শন করেছিলেন। অতএব, আপনিও তাদের পথ অনুসরণ করুন। আপনি বলে দিনঃ আমি তোমাদের কাছে এর জন্যে কোন পারিশ্রমিক চাই না। এটি সারা বিশ্বের জন্যে একটি উপদেশমাত্র।",
              "numberInSurah": 90,
              "juz": 7,
              "manzil": 2,
              "page": 138,
              "ruku": 111,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা হাদাল্লা-হু ফাবিহুদা হুমুকতাদিহ কুল লাআছআলুকুম ‘আলাইহি আজরান ইন হুওয়া ইল্লা-যিকরা-লিল ‘আ-লামীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَدَی/هَدَى/hada//اللّٰهُ/ٱللَّهُۖ/al-lahu//فَبِهُدٰىهُمُ/فَبِهُدَىٰهُمُ/fabihudahumu//اقْتَدِهْ ؕ/ٱقۡتَدِهۡۗ/iq'tadih//قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//اَجْرًا ؕ/أَجۡرًاۖ/ajran//اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٰی/ذِكۡرَىٰ/dhik'ra//لِلْعٰلَمِیْنَ۠/لِلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "ঐ সব (নাবী রাসূল)//তাদেরকে//সৎপথে পরিচালনা করেছিলেন//আল্লাহ্‌//সুতরাং প্রতি সঠিক পথের তাদের//তুমি অনুসরণ করো//(হে নাবী) বলো//\"না//তোমাদের কাছে চাই আমি//এর জন্য//কোনো পারিশ্রমিক//নয়//তা//এ ছাড়া//উপদেশ//জন্যে বিশ্বজগতের\""
            },
            {
              "number": 880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/880.mp3"
              ],
              "text": "وَمَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦٓ إِذْ قَالُوا۟ مَآ أَنزَلَ ٱللَّهُ عَلَىٰ بَشَرٍۢ مِّن شَىْءٍۢ ۗ قُلْ مَنْ أَنزَلَ ٱلْكِتَٰبَ ٱلَّذِى جَآءَ بِهِۦ مُوسَىٰ نُورًۭا وَهُدًۭى لِّلنَّاسِ ۖ تَجْعَلُونَهُۥ قَرَاطِيسَ تُبْدُونَهَا وَتُخْفُونَ كَثِيرًۭا ۖ وَعُلِّمْتُم مَّا لَمْ تَعْلَمُوٓا۟ أَنتُمْ وَلَآ ءَابَآؤُكُمْ ۖ قُلِ ٱللَّهُ ۖ ثُمَّ ذَرْهُمْ فِى خَوْضِهِمْ يَلْعَبُونَ",
              "translate_bn": "তারা আল্লাহকে যথার্থ মূল্যায়ন করতে পারেনি, যখন তারা বললঃ আল্লাহ কোন মানুষের প্রতি কোন কিছু অবতীর্ণ করেননি। আপনি জিজ্ঞেস করুনঃ ঐ গ্রন্থ কে নাযিল করেছে, যা মূসা নিয়ে এসেছিল ? যা জ্যোতিবিশেষ এবং মানব মন্ডলীর জন্যে হোদায়েতস্বরূপ, যা তোমরা বিক্ষিপ্তপত্রে রেখে লোকদের জন্যে প্রকাশ করছ এবং বহুলাংশকে গোপন করছ। তোমাদেরকে এমন অনেক বিষয় শিক্ষা দেয়া হয়েছে, যা তোমরা এবং তোমাদের পূর্বপুরুষরা জানতো না। আপনি বলে দিনঃ আল্লাহ নাযিল করেছেন। অতঃপর তাদেরকে তাদের ক্রীড়ামূলক বৃত্তিতে ব্যাপৃত থাকতে দিন।",
              "numberInSurah": 91,
              "juz": 7,
              "manzil": 2,
              "page": 139,
              "ruku": 112,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কাদারুল্লা-হা হাক্কাকাদরিহীইযকা-লূ মাআনঝালাল্লাহু ‘আলা-বাশারিম মিন শাইয়িন কুল মান আনঝালাল কিতা-বাল্লাযী জাআ বিহী মূছা-নূরাওঁ ওয়া হুদাল লিন্নাছি তাজ‘আলূনাহূকারা-তীছা তুবদূ নাহা-ওয়া তুখফূনা কাছীরাওঁ ওয়া ‘উলিলমতুম মালাম তা‘লামূআনতুম ওয়ালাআ-বাউকুম কুল্লিলা-হু ছু ম্মা যারহুম ফী খাওদিহিম ইয়াল‘আবূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//قَدَرُوا/قَدَرُواْ/qadaru//اللّٰهَ/ٱللَّهَ/al-laha//حَقَّ/حَقَّ/haqqa//قَدْرِهٖۤ/قَدۡرِهِۦٓ/qadrihi//اِذْ/إِذۡ/idh//قَالُوْا/قَالُواْ/qalu//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//بَشَرٍ/بَشَرٖ/basharin//مِّنْ/مِّن/min//شَیْءٍ ؕ/شَيۡءٖۗ/shayin//قُلْ/قُلۡ/qul//مَنْ/مَنۡ/man//اَنْزَلَ/أَنزَلَ/anzala//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//الَّذِیْ/ٱلَّذِي/alladhi//جَآءَ/جَآءَ/jaa//بِهٖ/بِهِۦ/bihi//مُوْسٰی/مُوسَىٰ/musa//نُوْرًا/نُورٗا/nuran//وَّ هُدًی/وَهُدٗى/wahudan//لِّلنَّاسِ/لِّلنَّاسِۖ/lilnnasi//تَجْعَلُوْنَهٗ/تَجۡعَلُونَهُۥ/taj'alunahu//قَرَاطِیْسَ/قَرَاطِيسَ/qaratisa//تُبْدُوْنَهَا/تُبۡدُونَهَا/tub'dunaha//وَ تُخْفُوْنَ/وَتُخۡفُونَ/watukh'funa//كَثِیْرًا ۚ/كَثِيرٗاۖ/kathiran//وَ عُلِّمْتُمْ/وَعُلِّمۡتُم/wa'ullim'tum//مَّا/مَّا/ma//لَمْ/لَمۡ/lam//تَعْلَمُوْۤا/تَعۡلَمُوٓاْ/ta'lamu//اَنْتُمْ/أَنتُمۡ/antum//وَ لَاۤ/وَلَآ/wala//اٰبَآؤُكُمْ ؕ/ءَابَآؤُكُمۡۖ/abaukum//قُلِ/قُلِ/quli//اللّٰهُ ۙ/ٱللَّهُۖ/al-lahu//ثُمَّ/ثُمَّ/thumma//ذَرْهُمْ/ذَرۡهُمۡ/dharhum//فِیْ/فِي/fi//خَوْضِهِمْ/خَوۡضِهِمۡ/khawdihim//یَلْعَبُوْنَ /يَلۡعَبُونَ/yal'abuna",
              "words_bangla": "এবং না//তারা মর্যাদা দিলো//আল্লাহ্‌কে//যথাযথ//মর্যাদা তাঁর//যখন//তারা বলেছিলো//\"না//\"অবতীর্ণ করেছেন//\"আল্লাহ্‌//উপর//কোনো মানুষের//কোনো//কিছুই (অর্থাৎ কিতাব)\"//বলো//\"কে//অবতীর্ণ করেছেন//কিতাব//যা//এসেছিলো//নিয়ে তা//মূসা//আলো//ও পথ নির্দেশস্বরূপ//জন্যে মানুষের//তোমরা রাখো তা//কাগজসমূহে//প্রকাশ করো (কিছু)তার//ও গোপন করো//অনেক (কিছু)//এবং শিক্ষা দেয়া হয়েছিলো তোমাদের//যা//না//তোমরা জানতে//(না) তোমরা//আর না//বাপ দাদারা তোমাদের\"//বলো//\"আল্লাহ্‌ই (অবতীর্ণ করেছেন)\"//এরপর//ছেড়ে দাও তাদের//মধ্যে//অর্থহীন আলোচনার তাদের//তারা খেলতে থাকুক"
            },
            {
              "number": 881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/881.mp3"
              ],
              "text": "وَهَٰذَا كِتَٰبٌ أَنزَلْنَٰهُ مُبَارَكٌۭ مُّصَدِّقُ ٱلَّذِى بَيْنَ يَدَيْهِ وَلِتُنذِرَ أُمَّ ٱلْقُرَىٰ وَمَنْ حَوْلَهَا ۚ وَٱلَّذِينَ يُؤْمِنُونَ بِٱلْءَاخِرَةِ يُؤْمِنُونَ بِهِۦ ۖ وَهُمْ عَلَىٰ صَلَاتِهِمْ يُحَافِظُونَ",
              "translate_bn": "এ কোরআন এমন গ্রন্থ, যা আমি অবতীর্ন করেছি; বরকতময়, পূর্ববর্তী গ্রন্থের সত্যতা প্রমাণকারী এবং যাতে আপনি মক্কাবাসী ও পাশ্ববর্তীদেরকে ভয় প্রদর্শন করেন। যারা পরকালে বিশ্বাস স্থাপন করে তারা এর প্রতি বিশ্বাস স্থাপন করে এবং তার স্বীয় নামায সংরক্ষণ করে।",
              "numberInSurah": 92,
              "juz": 7,
              "manzil": 2,
              "page": 139,
              "ruku": 112,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওহাযা কিতাবুন আনঝালনাহু মুবা-রাকুম মুসাদ্দিকু ল্লাযী বাইনা ইয়াদাইহি ওয়া লিতুনযিরা উম্মাল-কুরা-ওয়া মান হাওলাহা ওয়াল্লাযীনা ইউ’মিনূনা বিলআ-খিরাতি ইউ‘মিনূনা বিহী ওয়া হুম ‘আলা-সালা-তিহিম ইউহা-ফিজূন।",
              "words_arabic": "وَ هٰذَا/وَهَٰذَا/wahadha//كِتٰبٌ/كِتَٰبٌ/kitabun//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//مُبٰرَكٌ/مُبَارَكٞ/mubarakun//مُّصَدِّقُ/مُّصَدِّقُ/musaddiqu//الَّذِیْ/ٱلَّذِي/alladhi//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ لِتُنْذِرَ/وَلِتُنذِرَ/walitundhira//اُمَّ/أُمَّ/umma//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//وَ مَنْ/وَمَنۡ/waman//حَوْلَهَا ؕ/حَوۡلَهَاۚ/hawlaha//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ/بِهِۦۖ/bihi//وَ هُمْ/وَهُمۡ/wahum//عَلٰی/عَلَىٰ/ala//صَلَاتِهِمْ/صَلَاتِهِمۡ/salatihim//یُحَافِظُوْنَ /يُحَافِظُونَ/yuhafizuna",
              "words_bangla": "এবং এই//কিতাব//আমরা অবতীর্ণ করেছি তা//কল্যাণময়//সত্যায়নকারী (হিসেবে)//যা//মাঝে//হাতের তার//এবং যেন তুমি সতর্ক করো//মা//জনপদসমূহের (অর্থাৎ মক্কার লোকদেরকে)//ও যারা (আছে)//চারপাশে তার//এবং যারা//ঈমান আনে//উপর আখিরাতের//তারা ঈমান আনে//উপর তার//এবং তারা//উপর//তাদের সালাতের//রক্ষা করে"
            },
            {
              "number": 882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/882.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ قَالَ أُوحِىَ إِلَىَّ وَلَمْ يُوحَ إِلَيْهِ شَىْءٌۭ وَمَن قَالَ سَأُنزِلُ مِثْلَ مَآ أَنزَلَ ٱللَّهُ ۗ وَلَوْ تَرَىٰٓ إِذِ ٱلظَّٰلِمُونَ فِى غَمَرَٰتِ ٱلْمَوْتِ وَٱلْمَلَٰٓئِكَةُ بَاسِطُوٓا۟ أَيْدِيهِمْ أَخْرِجُوٓا۟ أَنفُسَكُمُ ۖ ٱلْيَوْمَ تُجْزَوْنَ عَذَابَ ٱلْهُونِ بِمَا كُنتُمْ تَقُولُونَ عَلَى ٱللَّهِ غَيْرَ ٱلْحَقِّ وَكُنتُمْ عَنْ ءَايَٰتِهِۦ تَسْتَكْبِرُونَ",
              "translate_bn": "ঐ ব্যক্তির চাইতে বড় জালেম কে হবে, যে আল্লাহর প্রতি মিথ্যা আরোপ করে অথবা বলেঃ আমার প্রতি ওহী অবতীর্ণ হয়েছে। অথচ তার প্রতি কোন ওহী আসেনি এবং যে দাবী করে যে, আমিও নাযিল করে দেখাচ্ছি যেমন আল্লাহ নাযিল করেছেন। যদি আপনি দেখেন যখন জালেমরা মৃত্যু যন্ত্রণায় থাকে এবং ফেরেশতারা স্বীয় হস্ত প্রসারিত করে বলে, বের কর স্বীয় আত্মা! অদ্য তোমাদেরকে অবমাননাকর শাস্তি প্রদান করা হবে। কারণ, তোমরা আল্লাহর উপর অসত্য বলতে এবং তাঁর আয়াত সমূহ থেকে অহংকার করতে।",
              "numberInSurah": 93,
              "juz": 7,
              "manzil": 2,
              "page": 139,
              "ruku": 112,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামু মিমমানিফ তারা-‘আলাল্লা-হিল কাযিবান আও কা-লা ঊহিয়া ইলাইইয়া ওয়া লাম ইঊহা ইলাইহি শাইয়ুওঁ ওয়া মান কা-লা ছাউনঝিলুমিছলা মাআনঝালাল্লা-হু ওয়া লাও তারাইযিজ্জা-লিমূনা ফী গামারা-তিল মাওতি ওয়াল মালাইকাতুবা-ছিতূআইদীহিম আখরিজূআনফুছাকুম আলইয়াওমা তুজঝাওনা ‘আযা-বাল হূনি বিমা-কুনতুম তাকূলূনা ‘আলাল্লা-হি গাইরাল হাক্কিওয়া কুনতুম ‘আন আয়া-তিহী তাছতাকবিরূন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَوْ/أَوۡ/aw//قَالَ/قَالَ/qala//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیَّ/إِلَيَّ/ilayya//وَ لَمْ/وَلَمۡ/walam//یُوْحَ/يُوحَ/yuha//اِلَیْهِ/إِلَيۡهِ/ilayhi//شَیْءٌ/شَيۡءٞ/shayon//وَّ مَنْ/وَمَن/waman//قَالَ/قَالَ/qala//سَاُنْزِلُ/سَأُنزِلُ/sa-unzilu//مِثْلَ/مِثۡلَ/mith'la//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذِ/إِذِ/idhi//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//فِیْ/فِي/fi//غَمَرٰتِ/غَمَرَٰتِ/ghamarati//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//بَاسِطُوْۤا/بَاسِطُوٓاْ/basitu//اَیْدِیْهِمْ ۚ/أَيۡدِيهِمۡ/aydihim//اَخْرِجُوْۤا/أَخۡرِجُوٓاْ/akhriju//اَنْفُسَكُمْ ؕ/أَنفُسَكُمُۖ/anfusakumu//اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//عَذَابَ/عَذَابَ/adhaba//الْهُوْنِ/ٱلۡهُونِ/al-huni//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَقُوْلُوْنَ/تَقُولُونَ/taquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//غَیْرَ/غَيۡرَ/ghayra//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//عَنْ/عَنۡ/an//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//تَسْتَكْبِرُوْنَ /تَسۡتَكۡبِرُونَ/tastakbiruna",
              "words_bangla": "এবং কে (হবে)//বড় সীমালঙ্ঘনকারী//(তার) চেয়ে যে//রচনা করে//উপর//আল্লাহ্‌র//মিথ্যা//বা//বলে//\"ওহী করা হয়েছে//আমার প্রতি\"//অথচ নি//ওহী করা হয়//প্রতি তার//কিছুই//এবং যে//বলে//\"অবতীর্ণ করবো আমিও//অনুরূপ//যা//অবতীর্ণ করেছেন\"//আল্লাহ্‌\"//এবং (হায়) যদি//তুমি দেখতে//যখন (থাকবে)//সীমালঙ্ঘনকারীরা//মধ্যে//যন্ত্রণার//মৃত্যুর//এবং ফেরেশতাগণ//প্রসারিত করে//তাদের হাতগুলো (এবং বলবে)//\"তোমরা বের করো//তোমাদের প্রাণগুলো//আজ//তোমাদের পুরস্কার দেওয়া হবে//শাস্তি//অপমানকর//এ কারণে যা//তোমরা ছিলে//তোমরা বলে এসেছো//উপর//আল্লাহ্‌র//নয়//ন্যায়//এবং তোমরা ছিলে//হতে//নিদর্শনাদি তাঁর//অহংকার করতে\""
            },
            {
              "number": 883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/883.mp3"
              ],
              "text": "وَلَقَدْ جِئْتُمُونَا فُرَٰدَىٰ كَمَا خَلَقْنَٰكُمْ أَوَّلَ مَرَّةٍۢ وَتَرَكْتُم مَّا خَوَّلْنَٰكُمْ وَرَآءَ ظُهُورِكُمْ ۖ وَمَا نَرَىٰ مَعَكُمْ شُفَعَآءَكُمُ ٱلَّذِينَ زَعَمْتُمْ أَنَّهُمْ فِيكُمْ شُرَكَٰٓؤُا۟ ۚ لَقَد تَّقَطَّعَ بَيْنَكُمْ وَضَلَّ عَنكُم مَّا كُنتُمْ تَزْعُمُونَ",
              "translate_bn": "তোমরা আমার কাছে নিঃসঙ্গ হয়ে এসেছ, আমি প্রথমবার তোমাদেরকে সৃষ্টি করেছিলাম। আমি তোদেরকে যা দিয়েছিলাম, তা পশ্চাতেই রেখে এসেছ। আমি তো তোমাদের সাথে তোমাদের সুপারিশকারীদের কে দেখছি না। যাদের সম্পর্কে তোমাদের দাবী ছিল যে, তারা তোমাদের ব্যাপারে অংশীদার। বাস্তুবিকই তোমাদের পরস্পরের সম্পর্ক ছিন্ন হয়ে গেছে এবং তোমাদের দাবী উধাও হয়ে গেছে।",
              "numberInSurah": 94,
              "juz": 7,
              "manzil": 2,
              "page": 139,
              "ruku": 112,
              "hizbQuarter": 55,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জি’তুমূনা-ফুরা-দা-কামা-খালাকনা-কুম আওয়ালা মাররাতিওঁ ওয়া তারাকতুম মা-খাওওয়ালনা-কুম ওয়ারাআ জুহূরিকুম ওয়ামা-নারা-মা‘আকুম শুফা‘আআকুমুল্লাযীনা ঝা‘আমতুম আন্নাহুম ফীকুম শুরাকাউ লাকাত তাকাত্তা‘আ বাইনাকুম ওয়া দাল্লা ‘আনকুম মা-কুনতুম তাঝ‘উমূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جِئْتُمُوْنَا/جِئۡتُمُونَا/ji'tumuna//فُرَادٰی/فُرَٰدَىٰ/furada//كَمَا/كَمَا/kama//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ/مَرَّةٖ/marratin//وَّ تَرَكْتُمْ/وَتَرَكۡتُم/wataraktum//مَّا/مَّا/ma//خَوَّلْنٰكُمْ/خَوَّلۡنَٰكُمۡ/khawwalnakum//وَرَآءَ/وَرَآءَ/waraa//ظُهُوْرِكُمْ ۚ/ظُهُورِكُمۡۖ/zuhurikum//وَ مَا/وَمَا/wama//نَرٰی/نَرَىٰ/nara//مَعَكُمْ/مَعَكُمۡ/ma'akum//شُفَعَآءَكُمُ/شُفَعَآءَكُمُ/shufa'aakumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//زَعَمْتُمْ/زَعَمۡتُمۡ/za'amtum//اَنَّهُمْ/أَنَّهُمۡ/annahum//فِیْكُمْ/فِيكُمۡ/fikum//شُرَكٰٓؤُا ؕ/شُرَكَـٰٓؤُاْۚ/shurakau//لَقَدْ/لَقَد/laqad//تَّقَطَّعَ/تَّقَطَّعَ/taqatta'a//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْكُمْ/عَنكُم/ankum//مَّا/مَّا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَزْعُمُوْنَ۠/تَزۡعُمُونَ/taz'umuna",
              "words_bangla": "এবং (তিনি বলবেন) নিশ্চয়ই//আমাদের কাছে তোমরা এসেছো//একাকী//যেমন//আমরা সৃষ্টি করেছি তোমাদের//প্রথম//বার//ও ছেড়ে এসেছো তোমরা//যা//আমরা দিয়েছিলাম তোমাদের//পিছনে//পিঠের তোমাদের//এবং না//দেখছি আমরা//সাথে তোমাদের//সুপারিশকারীদেরকে তোমাদের//যাদেরকে//ধারণা করতে তোমরা//যে তারা//তোমাদের ব্যাপার//অংশীদাররা (হবে কার্যোদ্ধারের জন্যে)//নিশ্চয়ই//ছিন্ন হয়েছে (সম্পর্ক)//মাঝে তোমাদের//ও হারিয়ে গিয়েছে//থেকে তোমাদের//যা//তোমরা ছিলে//তোমরা ধারণা করতে\""
            },
            {
              "number": 884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/884.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ فَالِقُ ٱلْحَبِّ وَٱلنَّوَىٰ ۖ يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَمُخْرِجُ ٱلْمَيِّتِ مِنَ ٱلْحَىِّ ۚ ذَٰلِكُمُ ٱللَّهُ ۖ فَأَنَّىٰ تُؤْفَكُونَ",
              "translate_bn": "নিশ্চয় আল্লাহই বীজ ও আঁটি থেকে অঙ্কুর সৃষ্টিকারী; তিনি জীবিতকে মৃত থেকে বের করেন ও মৃতকে জীবিত থেকে বের করেন। তিনি আল্লাহ অতঃপর তোমরা কোথায় বিভ্রান্ত হচ্ছ?",
              "numberInSurah": 95,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ফা-লিকুল হাব্বি ওয়ান্নাওয়া- ইয়ুখরিজুল হাইইয়া মিনাল মাইয়িতি ওয়া মুখরিজুল মাইয়িতি মিনাল হাইয়ি যা-লিকুমুল্লা-হু ফাআন্না-তু’ফাকূন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//فَالِقُ/فَالِقُ/faliqu//الْحَبِّ/ٱلۡحَبِّ/al-habi//وَ النَّوٰی ؕ/وَٱلنَّوَىٰۖ/wal-nawa//یُخْرِجُ/يُخۡرِجُ/yukh'riju//الْحَیَّ/ٱلۡحَيَّ/al-haya//مِنَ/مِنَ/mina//الْمَیِّتِ/ٱلۡمَيِّتِ/al-mayiti//وَ مُخْرِجُ/وَمُخۡرِجُ/wamukh'riju//الْمَیِّتِ/ٱلۡمَيِّتِ/al-mayiti//مِنَ/مِنَ/mina//الْحَیِّ ؕ/ٱلۡحَيِّۚ/al-hayi//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُۖ/al-lahu//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُؤْفَكُوْنَ /تُؤۡفَكُونَ/tu'fakuna",
              "words_bangla": "নিশ্চয়ই//আল্লাহ্‌//বিদীর্ণকারী//শস্য-বীজ//ও আঁটি//বের করেন তিনি//জীবন্তকে//থেকে//মৃতকে//ও নির্গতকারী//প্রাণহীনকে//থেকে//জীবন্ত//এই (হচ্ছেন)//আল্লাহ্‌//অতএব কোথায়//তোমাদের ফিরিয়ে নেয়া হচ্ছে"
            },
            {
              "number": 885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/885.mp3"
              ],
              "text": "فَالِقُ ٱلْإِصْبَاحِ وَجَعَلَ ٱلَّيْلَ سَكَنًۭا وَٱلشَّمْسَ وَٱلْقَمَرَ حُسْبَانًۭا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ",
              "translate_bn": "তিনি প্রভাত রশ্মির উন্মেষক। তিনি রাত্রিকে আরামদায়ক করেছেন এবং সূর্য ও চন্দ্রকে হিসেবের জন্য রেখেছেন। এটি পরাক্রান্ত, মহাজ্ঞানীর নির্ধারণ।",
              "numberInSurah": 96,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ফা-লিকুল ইসবা-হি ওয়া জ‘আলাল লাইলা ছাকানাওঁ ওয়াশশামছা ওয়াল কামারা হুছবা-নান যা-লিকা তাকদীরুল ‘আঝীঝুল ‘আলীম।",
              "words_arabic": "فَالِقُ/فَالِقُ/faliqu//الْاِصْبَاحِ ۚ/ٱلۡإِصۡبَاحِ/al-is'bahi//وَ جَعَلَ/وَجَعَلَ/waja'ala//الَّیْلَ/ٱلَّيۡلَ/al-layla//سَكَنًا/سَكَنٗا/sakanan//وَّ الشَّمْسَ/وَٱلشَّمۡسَ/wal-shamsa//وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//حُسْبَانًا ؕ/حُسۡبَانٗاۚ/hus'banan//ذٰلِكَ/ذَٰلِكَ/dhalika//تَقْدِیْرُ/تَقۡدِيرُ/taqdiru//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْعَلِیْمِ /ٱلۡعَلِيمِ/al-'alimi",
              "words_bangla": "তিনিই বিদীর্ণকারী (অন্ধকারের আবরণ)//প্রভাতের (জন্যে)//ও সৃষ্টি করেছেন//রাতকে//বিশ্রামের (জন্যে)//ও (নির্ধারিত করেছেন) সূর্য//ও চাঁদের//(উদয় অস্তের)গণনার জন্যে//এটা//নির্ধারিত//পরাক্রমশালী//মহাজ্ঞানীর (পক্ষ থেকে)"
            },
            {
              "number": 886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/886.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلنُّجُومَ لِتَهْتَدُوا۟ بِهَا فِى ظُلُمَٰتِ ٱلْبَرِّ وَٱلْبَحْرِ ۗ قَدْ فَصَّلْنَا ٱلْءَايَٰتِ لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "তিনিই তোমাদের জন্য নক্ষত্রপুঞ্জ সৃজন করেছেন যাতে তোমরা স্থল ও জলের অন্ধকারে পথ প্রাপ্ত হও। নিশ্চয় যারা জ্ঞানী তাদের জন্যে আমি নির্দেশনাবলী বিস্তারিত বর্ণনা করে দিয়েছি।",
              "numberInSurah": 97,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী জা‘আলা লাকুমুন নুজূমা লিতাহতাদূবিহা-ফী জুলুমা-তিল বাররি ওয়াল বাহরি কাদ ফাসসালনাল আ-য়া-তি লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//النُّجُوْمَ/ٱلنُّجُومَ/al-nujuma//لِتَهْتَدُوْا/لِتَهۡتَدُواْ/litahtadu//بِهَا/بِهَا/biha//فِیْ/فِي/fi//ظُلُمٰتِ/ظُلُمَٰتِ/zulumati//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ ؕ/وَٱلۡبَحۡرِۗ/wal-bahri//قَدْ/قَدۡ/qad//فَصَّلْنَا/فَصَّلۡنَا/fassalna//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন//জন্যে তোমাদের//নক্ষত্রগুলো//যেন তোমরা পথ পাও//সাহায্যে তার//মধ্যে//অন্ধকারে সমূহের//স্থলে//ও সাগরে//নিশ্চয়ই//বিশদ বর্ণনা করেছি আমরা//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/887.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِىٓ أَنشَأَكُم مِّن نَّفْسٍۢ وَٰحِدَةٍۢ فَمُسْتَقَرٌّۭ وَمُسْتَوْدَعٌۭ ۗ قَدْ فَصَّلْنَا ٱلْءَايَٰتِ لِقَوْمٍۢ يَفْقَهُونَ",
              "translate_bn": "তিনিই তোমাদের কে এক ব্যক্তি থেকে সৃষ্টি করেছেন। অনন্তর একটি হচ্ছে তোমাদের স্থায়ী ঠিকানা ও একটি হচ্ছে গচ্ছিত স্থল। নিশ্চয় আমি প্রমাণাদি বিস্তারিত ভাবে বর্ণনা করে দিয়েছি তাদের জন্যে, যারা চিন্তা করে।",
              "numberInSurah": 98,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীআনশাআকুম মিন নাফছিওঁ ওয়া-হিদাতিন ফামুছতাকাররুওঁ ওয়া মুছতাওদা‘ কাদ ফাসসালনাল আ-য়া-তি লিকাওমিইঁ ইয়াফকাহূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْشَاَكُمْ/أَنشَأَكُم/ansha-akum//مِّنْ/مِّن/min//نَّفْسٍ/نَّفۡسٖ/nafsin//وَّاحِدَةٍ/وَٰحِدَةٖ/wahidatin//فَمُسْتَقَرٌّ/فَمُسۡتَقَرّٞ/famus'taqarrun//وَّ مُسْتَوْدَعٌ ؕ/وَمُسۡتَوۡدَعٞۗ/wamus'tawda'un//قَدْ/قَدۡ/qad//فَصَّلْنَا/فَصَّلۡنَا/fassalna//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন তোমাদের//থেকে//ব্যক্তি//এক//অতঃপর বাসস্হান//ও গচ্ছিত রাখার স্থান (নির্ধারিত করেছেন)//নিশ্চয়ই//বিশদ বর্ণনা করেছি আমরা//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//(যারা)অনুধাবন করে"
            },
            {
              "number": 888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/888.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِىٓ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَخْرَجْنَا بِهِۦ نَبَاتَ كُلِّ شَىْءٍۢ فَأَخْرَجْنَا مِنْهُ خَضِرًۭا نُّخْرِجُ مِنْهُ حَبًّۭا مُّتَرَاكِبًۭا وَمِنَ ٱلنَّخْلِ مِن طَلْعِهَا قِنْوَانٌۭ دَانِيَةٌۭ وَجَنَّٰتٍۢ مِّنْ أَعْنَابٍۢ وَٱلزَّيْتُونَ وَٱلرُّمَّانَ مُشْتَبِهًۭا وَغَيْرَ مُتَشَٰبِهٍ ۗ ٱنظُرُوٓا۟ إِلَىٰ ثَمَرِهِۦٓ إِذَآ أَثْمَرَ وَيَنْعِهِۦٓ ۚ إِنَّ فِى ذَٰلِكُمْ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তিনিই আকাশ থেকে পানি বর্ষণ করেছেন অতঃপর আমি এর দ্বারা সর্বপ্রকার উদ্ভিদ উৎপন্ন করেছি, অতঃপর আমি এ থেকে সবুজ ফসল নির্গত করেছি, যা থেকে যুগ্ম বীজ উৎপন্ন করি। খেজুরের কাঁদি থেকে গুচ্ছ বের করি, যা নুয়ে থাকে এবং আঙ্গুরের বাগান, যয়তুন, আনার পরস্পর সাদৃশ্যযুক্ত এবং সাদৃশ্যহীন। বিভিন্ন গাছের ফলের প্রতি লক্ষ্য কর যখন সেুগুলো ফলন্ত হয় এবং তার পরিপক্কতার প্রতি লক্ষ্য কর। নিশ্চয় এ গুলোতে নিদর্শন রয়েছে ঈমানদারদের জন্যে।",
              "numberInSurah": 99,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীআনঝালা মিনাছছামাই মাআন ফাআখরাজনা-বিহীনাবা-তা কুল্লি শাইয়িন ফাআখরাজনা-মিনহু খাদিরান নুখরিজুমিনহু হাব্বাম মুতারা-কিবাওঁ ওয়া মিনান নাখলি মিন তাল‘ইহা-কিনওয়া-নুন দা-নিয়াতুওঁ ওয়া জান্না-তিম মিন আ‘না-বিওঁ ওয়াঝঝাইতূনা ওয়াররুম্মা-না মুশতাবিহাওঁ ওয়া গাইরা মুতাশা-বিহিন উনজু রূইলাছামারিহীইযাআছমারা ওয়া ইয়ান‘ইহী ইন্না ফী যা-লিকুম লাআ-য়া-তিল লিকাওমিইঁ ইঊ’মিনূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً ۚ/مَآءٗ/maan//فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//بِهٖ/بِهِۦ/bihi//نَبَاتَ/نَبَاتَ/nabata//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//مِنْهُ/مِنۡهُ/min'hu//خَضِرًا/خَضِرٗا/khadiran//نُّخْرِجُ/نُّخۡرِجُ/nukh'riju//مِنْهُ/مِنۡهُ/min'hu//حَبًّا/حَبّٗا/habban//مُّتَرَاكِبًا ۚ/مُّتَرَاكِبٗا/mutarakiban//وَ مِنَ/وَمِنَ/wamina//النَّخْلِ/ٱلنَّخۡلِ/al-nakhli//مِنْ/مِن/min//طَلْعِهَا/طَلۡعِهَا/tal'iha//قِنْوَانٌ/قِنۡوَانٞ/qin'wanun//دَانِیَةٌ/دَانِيَةٞ/daniyatun//وَّ جَنّٰتٍ/وَجَنَّـٰتٖ/wajannatin//مِّنْ/مِّنۡ/min//اَعْنَابٍ/أَعۡنَابٖ/a'nabin//وَّ الزَّیْتُوْنَ/وَٱلزَّيۡتُونَ/wal-zaytuna//وَ الرُّمَّانَ/وَٱلرُّمَّانَ/wal-rumana//مُشْتَبِهًا/مُشۡتَبِهٗا/mush'tabihan//وَّ غَیْرَ/وَغَيۡرَ/waghayra//مُتَشَابِهٍ ؕ/مُتَشَٰبِهٍۗ/mutashabihin//اُنْظُرُوْۤا/ٱنظُرُوٓاْ/unzuru//اِلٰی/إِلَىٰ/ila//ثَمَرِهٖۤ/ثَمَرِهِۦٓ/thamarihi//اِذَاۤ/إِذَآ/idha//اَثْمَرَ/أَثۡمَرَ/athmara//وَ یَنْعِهٖ ؕ/وَيَنۡعِهِۦٓۚ/wayan'ihi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং তিনিই//যিনি//বর্ষণ করেন//থেকে//আকাশ//পানি//অতঃপর বের করেছি আমরা//দিয়ে তা//উদ্ভিদ//সব//জিনিসের//অতঃপর বের করেছি আমরা//থেকে তা//সবুজ (ক্ষেত  ও বৃক্ষ)//বের করি আমরা//থেকে তা//শস্যদানা//ঘন সন্নিবিষ্ট//এবং এর//খেজুর গাছ//থেকে//মাথি তার//খেজুর থোকা (বের করি)//(যা)ঝুলন্ত//এবং বাগানগুলো//এর//আঙ্গুর//ও জলপাই//ও আনারের//সদৃশ//ও নয়//সদৃশ//তোমরা লক্ষ্য করো//প্রতি//তার ফলের//যখন//ফলবান হয়//ও পাকে তা//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা) ঈমান আনে"
            },
            {
              "number": 889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/889.mp3"
              ],
              "text": "وَجَعَلُوا۟ لِلَّهِ شُرَكَآءَ ٱلْجِنَّ وَخَلَقَهُمْ ۖ وَخَرَقُوا۟ لَهُۥ بَنِينَ وَبَنَٰتٍۭ بِغَيْرِ عِلْمٍۢ ۚ سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يَصِفُونَ",
              "translate_bn": "তারা জিনদেরকে আল্লাহর অংশীদার স্থির করে; অথচ তাদেরকে তিনিই সৃস্টি করেছেন। তারা অজ্ঞতাবশতঃ আল্লাহর জন্যে পুত্র ও কন্যা সাব্যস্ত করে নিয়েছে। তিনি পবিত্র ও সমুন্নত, তাদের বর্ননা থেকে।",
              "numberInSurah": 100,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 113,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলূলিল্লা-হি শুরাকাআল জিন্না ওয়া খালাকাহুম ওয়া খারাকূলাহূবানীনা ওয়াবানা-তিম বিগাইরি ‘ইলমিন ছুবহা-নাহূতা‘আ-লা-‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "وَ جَعَلُوْا/وَجَعَلُواْ/waja'alu//لِلّٰهِ/لِلَّهِ/lillahi//شُرَكَآءَ/شُرَكَآءَ/shurakaa//الْجِنَّ/ٱلۡجِنَّ/al-jina//وَ خَلَقَهُمْ/وَخَلَقَهُمۡۖ/wakhalaqahum//وَ خَرَقُوْا/وَخَرَقُواْ/wakharaqu//لَهٗ/لَهُۥ/lahu//بَنِیْنَ/بَنِينَ/banina//وَ بَنٰتٍۭ/وَبَنَٰتِۭ/wabanatin//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ؕ/عِلۡمٖۚ/il'min//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یَصِفُوْنَ۠/يَصِفُونَ/yasifuna",
              "words_bangla": "এবং তারা বানিয়েছে//জন্যে আল্লাহ্‌র//অংশীদার//জিনদেরকে//অথচ সৃষ্টি করেছেন তিনি তাদের//এবং তারা রচনা করেছে//জন্যে তাঁর//পুত্র//ও কন্যা//ছাড়া//কোনো জ্ঞান (মূর্খতাবশত)//মহিমান্বিত তিনি//এবং সমুন্নত//(তা) হতে যা//তারা রচনা করে"
            },
            {
              "number": 890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/890.mp3"
              ],
              "text": "بَدِيعُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ أَنَّىٰ يَكُونُ لَهُۥ وَلَدٌۭ وَلَمْ تَكُن لَّهُۥ صَٰحِبَةٌۭ ۖ وَخَلَقَ كُلَّ شَىْءٍۢ ۖ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "তিনি নভোমন্ডল ও ভূমন্ডলের আদি স্রষ্টা। কিরূপে আল্লাহর পুত্র হতে পারে, অথচ তাঁর কোন সঙ্গী নেই ? তিনি যাবতীয় কিছু সৃষ্টি করেছেন। তিনি সব বস্তু সম্পর্কে সুবিজ্ঞ।",
              "numberInSurah": 101,
              "juz": 7,
              "manzil": 2,
              "page": 140,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "বাদী‘উছছামা-ওয়া-তি ওয়াল আরদি আন্না-ইয়াকূনুলাহূওয়ালাদুওঁ ওয়া লাম তাকুল্লাহূ সা-হিবাতুওঁ ওয়া খালাকা কুল্লা শাইয়িওঁ ওয়া হুওয়া বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "بَدِیْعُ/بَدِيعُ/badi'u//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لَهٗ/لَهُۥ/lahu//وَلَدٌ/وَلَدٞ/waladun//وَّ لَمْ/وَلَمۡ/walam//تَكُنْ/تَكُن/takun//لَّهٗ/لَّهُۥ/lahu//صَاحِبَةٌ ؕ/صَٰحِبَةٞۖ/sahibatun//وَ خَلَقَ/وَخَلَقَ/wakhalaqa//كُلَّ/كُلَّ/kulla//شَیْءٍ ۚ/شَيۡءٖۖ/shayin//وَ هُوَ/وَهُوَ/wahuwa//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "তিনি স্রষ্টা//আকাশসমূহের//ও পৃথিবীর//কিরূপে//হবে//জন্যে তাঁর//কোনো সন্তান//অথচ নি//হয়//জন্যে তাঁর//কোনো সঙ্গিনী//এবং তিনি সৃষ্টি করেছেন//সব//কিছুই//এবং তিনি//সম্পর্কে সব//কিছু//সবিশেষ অবহিত"
            },
            {
              "number": 891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/891.mp3"
              ],
              "text": "ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ ۖ لَآ إِلَٰهَ إِلَّا هُوَ ۖ خَٰلِقُ كُلِّ شَىْءٍۢ فَٱعْبُدُوهُ ۚ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ وَكِيلٌۭ",
              "translate_bn": "তিনিই আল্লাহ তোমাদের পালনকর্তা। তিনি ব্যতীত কোন উপাস্য নেই। তিনিই সব কিছুর স্রষ্টা। অতএব, তোমরা তাঁরই এবাদত কর। তিনি প্রত্যেক বস্তুর কার্যনির্বাহী।",
              "numberInSurah": 102,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুমুল্লা-হু রাব্বুকুম লাইলা-হা ইল্লা-হুওয়া খা-লিকুকুল্লি শাইয়িন ফা‘বুদূ হু ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িওঁ ওয়াকীল।",
              "words_arabic": "ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ ۚ/رَبُّكُمۡۖ/rabbukum//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//خَالِقُ/خَٰلِقُ/khaliqu//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//فَاعْبُدُوْهُ ۚ/فَٱعۡبُدُوهُۚ/fa-u'buduhu//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّكِیْلٌ /وَكِيلٞ/wakilun",
              "words_bangla": "এই (হচ্ছেন)//আল্লাহ্‌//তোমাদের রব//নেই//কোনো ইলাহ//ছাড়া//তিনি//তিনি স্রষ্টা//সব//কিছুরই//সুতরাং তোমরা ইবাদাত করো তাঁরই//এবং তিনিই//উপর//সব//কিছুর//তত্ত্বাবধায়ক"
            },
            {
              "number": 892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/892.mp3"
              ],
              "text": "لَّا تُدْرِكُهُ ٱلْأَبْصَٰرُ وَهُوَ يُدْرِكُ ٱلْأَبْصَٰرَ ۖ وَهُوَ ٱللَّطِيفُ ٱلْخَبِيرُ",
              "translate_bn": "দৃষ্টিসমূহ তাঁকে পেতে পারে না, অবশ্য তিনি দৃষ্টিসমূহকে পেতে পারেন। তিনি অত্যন্ত সুক্ষদর্শী, সুবিজ্ঞ।",
              "numberInSurah": 103,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "লা-তুদরিকুহুল আবসা-রু ওয়া হুওয়া ইউদরিকুল আবসা-রা ওয়া হুওয়াল্লাতীফুল খাবীর।",
              "words_arabic": "لَا/لَّا/la//تُدْرِكُهُ/تُدۡرِكُهُ/tud'rikuhu//الْاَبْصَارُ ؗ/ٱلۡأَبۡصَٰرُ/al-absaru//وَ هُوَ/وَهُوَ/wahuwa//یُدْرِكُ/يُدۡرِكُ/yud'riku//الْاَبْصَارَ ۚ/ٱلۡأَبۡصَٰرَۖ/al-absara//وَ هُوَ/وَهُوَ/wahuwa//اللَّطِیْفُ/ٱللَّطِيفُ/al-latifu//الْخَبِیْرُ /ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "না//পেতে পারে তাঁকে//দৃষ্টিশক্তিসমূহ//বরং তিনি//অধিকার করে আছেন//দৃষ্টিশক্তিসমূহকে//এবং তিনি//সূক্ষ্মদর্শী//সম্যক অবহিত"
            },
            {
              "number": 893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/893.mp3"
              ],
              "text": "قَدْ جَآءَكُم بَصَآئِرُ مِن رَّبِّكُمْ ۖ فَمَنْ أَبْصَرَ فَلِنَفْسِهِۦ ۖ وَمَنْ عَمِىَ فَعَلَيْهَا ۚ وَمَآ أَنَا۠ عَلَيْكُم بِحَفِيظٍۢ",
              "translate_bn": "তোমাদের কাছে তোমাদের পালনকর্তার পক্ষ থেকে নিদর্শনাবলী এসে গেছে। অতএব, যে প্রত্যক্ষ করবে, সে নিজেরই উপকার করবে এবং যে অন্ধ হবে, সে নিজেরই ক্ষতি করবে। আমি তোমাদের পর্যবেক্ষক নই।",
              "numberInSurah": 104,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "কাদ জাআকুম বাসাইরু মির রাব্বিকুম ফামান আবসারা ফালিনাফছিহী ওয়া মান ‘আমিয়া ফা‘আলাইহা- ওয়া মাআনা ‘আলাইকুম বিহাফীজ।",
              "words_arabic": "قَدْ/قَدۡ/qad//جَآءَكُمْ/جَآءَكُم/jaakum//بَصَآىِٕرُ/بَصَآئِرُ/basairu//مِنْ/مِن/min//رَّبِّكُمْ ۚ/رَّبِّكُمۡۖ/rabbikum//فَمَنْ/فَمَنۡ/faman//اَبْصَرَ/أَبۡصَرَ/absara//فَلِنَفْسِهٖ ۚ/فَلِنَفۡسِهِۦۖ/falinafsihi//وَ مَنْ/وَمَنۡ/waman//عَمِیَ/عَمِيَ/amiya//فَعَلَیْهَا ؕ/فَعَلَيۡهَاۚ/fa'alayha//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِحَفِیْظٍ /بِحَفِيظٖ/bihafizin",
              "words_bangla": "নিশ্চয়ই//কাছে এসেছে তোমাদের//প্রত্যক্ষ প্রমাণ (অন্তর্দৃষ্টির আলো)//পক্ষ হতে//তোমাদের রবের//অতএব যে//দেখবে//(তা) তবে জন্যে নিজের তার//এবং যে//অন্ধ হবে//(তার ক্ষতি) তবে তার বিরুদ্ধে যাবে//এবং নই//আমি//উপর তোমাদের//কোন রক্ষক"
            },
            {
              "number": 894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/894.mp3"
              ],
              "text": "وَكَذَٰلِكَ نُصَرِّفُ ٱلْءَايَٰتِ وَلِيَقُولُوا۟ دَرَسْتَ وَلِنُبَيِّنَهُۥ لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "এমনি ভাবে আমি নিদর্শনাবলী ঘুরিয়ে-ফিরিয়ে বর্ণনা করি যাতে তারা না বলে যে, আপনি তো পড়ে নিয়েছেন এবং যাতে আমি একে সুধীবৃন্দের জন্যে খুব পরিব্যক্ত করে দেই।",
              "numberInSurah": 105,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নুসাররিফুলআ-য়া-তি ওয়ালিইয়াকূ লূ দারাছতা ওয়া লিনুবাইয়িনাহূ লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُصَرِّفُ/نُصَرِّفُ/nusarrifu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//وَ لِیَقُوْلُوْا/وَلِيَقُولُواْ/waliyaqulu//دَرَسْتَ/دَرَسۡتَ/darasta//وَ لِنُبَیِّنَهٗ/وَلِنُبَيِّنَهُۥ/walinubayyinahu//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং এভাবে//বারবার বর্ণনা করি আমরা//নিদর্শনাবলী//এবং তারা যেন (না) বলে//\"তুমি পড়েছো (কারো কাছে)\"//এবং যেন আমরা স্পষ্ট বর্ণনা করি তা//(সেসব) জন্যে সম্প্রদায়ের//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/895.mp3"
              ],
              "text": "ٱتَّبِعْ مَآ أُوحِىَ إِلَيْكَ مِن رَّبِّكَ ۖ لَآ إِلَٰهَ إِلَّا هُوَ ۖ وَأَعْرِضْ عَنِ ٱلْمُشْرِكِينَ",
              "translate_bn": "আপনি পথ অনুসরণ করুন, যার আদেশ পালনকর্তার পক্ষ থেকে আসে। তিনি ব্যতীত কোন উপাস্য নেই এবং মুশরিকদের তরফ থেকে মুখ ফিরিয়ে নিন।",
              "numberInSurah": 106,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ইত্তাবি‘ মাঊহিয়া ইলাইকা মির রাব্বিকা লাইলা-হা ইল্লা-হুওয়া ওয়া আ‘রিদ ‘আনিল মুশরিকীন।",
              "words_arabic": "اِتَّبِعْ/ٱتَّبِعۡ/ittabi'//مَاۤ/مَآ/ma//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ ۚ/رَّبِّكَۖ/rabbika//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//وَ اَعْرِضْ/وَأَعۡرِضۡ/wa-a'rid//عَنِ/عَنِ/ani//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "তুমি অনুসরণ করো//যা//ওহী করা হয়েছে//প্রতি তোমার//পক্ষ হতে//তোমার রবের//নেই//কোনো ইলাহ//ছাড়া//তিনি//এবং উপেক্ষা করো (মুখ ফিরাও)//হতে//মুশরিকদের"
            },
            {
              "number": 896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/896.mp3"
              ],
              "text": "وَلَوْ شَآءَ ٱللَّهُ مَآ أَشْرَكُوا۟ ۗ وَمَا جَعَلْنَٰكَ عَلَيْهِمْ حَفِيظًۭا ۖ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍۢ",
              "translate_bn": "যদি আল্লাহ চাইতেন তবে তারা শেরক করত না। আমি আপনাকে তাদের সংরক্ষক করিনি এবং আপনি তাদের কার্যনির্বাহী নন।",
              "numberInSurah": 107,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও শাআল্লা-হু মাআশরাকূ ওয়ামা-জা‘আলনা-কা ‘আলাইহিম হাফীজাওঁ ওয়ামাআনতা ‘আলাইহিম বিওয়াকীল।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَاۤ/مَآ/ma//اَشْرَكُوْا ؕ/أَشۡرَكُواْۗ/ashraku//وَ مَا/وَمَا/wama//جَعَلْنٰكَ/جَعَلۡنَٰكَ/ja'alnaka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَفِیْظًا ۚ/حَفِيظٗاۖ/hafizan//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِوَكِیْلٍ /بِوَكِيلٖ/biwakilin",
              "words_bangla": "এবং যদি//ইচ্ছে করতেন//আল্লাহ্‌//না//তাঁর শিরক করতো//এবং না//আমরা নিযুক্ত করেছি তোমাকে//উপর তাদের//কোনো সংরক্ষক//আর নও//তুমি//উপর তাদের//কোনো অভিভাবক"
            },
            {
              "number": 897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/897.mp3"
              ],
              "text": "وَلَا تَسُبُّوا۟ ٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ فَيَسُبُّوا۟ ٱللَّهَ عَدْوًۢا بِغَيْرِ عِلْمٍۢ ۗ كَذَٰلِكَ زَيَّنَّا لِكُلِّ أُمَّةٍ عَمَلَهُمْ ثُمَّ إِلَىٰ رَبِّهِم مَّرْجِعُهُمْ فَيُنَبِّئُهُم بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তোমরা তাদেরকে মন্দ বলো না, যাদের তারা আরাধনা করে আল্লাহকে ছেড়ে। তাহলে তারা ধৃষ্টতা করে অজ্ঞতাবশতঃ আল্লাহকে মন্দ বলবে। এমনিভাবে আমি প্রত্যেক সম্প্রদায়ের দৃষ্টিতে তাদের কাজ কর্ম সুশোভিত করে দিয়েছি। অতঃপর স্বীয় পালনকর্তার কাছে তাদেরকে প্রত্যাবর্তন করতে হবে। তখন তিনি তাদেরকে বলে দেবেন যা কিছু তারা করত।",
              "numberInSurah": 108,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাছুব্বুল্লাযিনা ইয়াদ‘ঊনা মিন দূ নিল্লা-হি ফাইয়াছুব্বুল্লা-হা ‘আদওয়াম বিগাইরি ‘ইলমিন কাযা-লিকা ঝাইইয়ান্না-লিকুল্লি উম্মাতিন ‘আমালাহুম ছু ম্মা ইলারাব্বিহিম মারজি‘উহুম ফাইউনাব্বিউহুম বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَسُبُّوا/تَسُبُّواْ/tasubbu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//فَیَسُبُّوا/فَيَسُبُّواْ/fayasubbu//اللّٰهَ/ٱللَّهَ/al-laha//عَدْوًۢا/عَدۡوَۢا/adwan//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ؕ/عِلۡمٖۗ/il'min//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//زَیَّنَّا/زَيَّنَّا/zayyanna//لِكُلِّ/لِكُلِّ/likulli//اُمَّةٍ/أُمَّةٍ/ummatin//عَمَلَهُمْ ۪/عَمَلَهُمۡ/amalahum//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ/رَبِّهِم/rabbihim//مَّرْجِعُهُمْ/مَّرۡجِعُهُمۡ/marji'uhum//فَیُنَبِّئُهُمْ/فَيُنَبِّئُهُم/fayunabbi-uhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং না//তোমরা গালি দিও//যাদেরকে//তারা ডাকে//দিয়ে//বাদ//আল্লাহ্‌কে//তবে তারা গালি দিবে//আল্লাহ্‌কে//সীমালঙ্ঘন করে//ছাড়া//কোনো জ্ঞান (মূর্খতাবশতঃ)//এভাবে//সুশোভিত করেছি আমরা//জন্যে প্রত্যেক//সম্প্রদায়ের//কাজকে তাদের//এরপর//দিকে//রবের তাদের//প্রত্যাবর্তন তাদের (হবে)//অতঃপর তাদের জানিয়ে দিবেন//সে সম্বন্ধে যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/898.mp3"
              ],
              "text": "وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَٰنِهِمْ لَئِن جَآءَتْهُمْ ءَايَةٌۭ لَّيُؤْمِنُنَّ بِهَا ۚ قُلْ إِنَّمَا ٱلْءَايَٰتُ عِندَ ٱللَّهِ ۖ وَمَا يُشْعِرُكُمْ أَنَّهَآ إِذَا جَآءَتْ لَا يُؤْمِنُونَ",
              "translate_bn": "তারা জোর দিয়ে আল্লাহর কসম খায় যে, যদি তাদের কাছে কোন নিদর্শন আসে, তবে অবশ্যই তারা বিশ্বাস স্থাপন করবে। আপনি বলে দিনঃ নিদর্শনাবলী তো আল্লাহর কাছেই আছে। হে মুসলমানগণ, তোমাদেরকে কে বলল যে, যখন তাদের কাছে নিদর্শনাবলী আসবে, তখন তারা বিশ্বাস স্থাপন করবেই ?",
              "numberInSurah": 109,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকছামূবিল্লা-হি জাহদা আইমা-নিহিম লাইন জাআতহুম আ-য়াতুল লাইউ’মিনুন্না বিহা- কুল ইন্নামাল আ-য়া-তু‘ইনদাল্লা-হি ওয়া মা-ইউশ‘ইরুকুম আন্নাহাইযাজাআত লা-ইউ’মিনূন।",
              "words_arabic": "وَ اَقْسَمُوْا/وَأَقۡسَمُواْ/wa-aqsamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//جَهْدَ/جَهۡدَ/jahda//اَیْمَانِهِمْ/أَيۡمَٰنِهِمۡ/aymanihim//لَىِٕنْ/لَئِن/la-in//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//اٰیَةٌ/ءَايَةٞ/ayatun//لَّیُؤْمِنُنَّ/لَّيُؤۡمِنُنَّ/layu'minunna//بِهَا ؕ/بِهَاۚ/biha//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//الْاٰیٰتُ/ٱلۡأٓيَٰتُ/al-ayatu//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِۖ/al-lahi//وَ مَا/وَمَا/wama//یُشْعِرُكُمْ ۙ/يُشۡعِرُكُمۡ/yush'irukum//اَنَّهَاۤ/أَنَّهَآ/annaha//اِذَا/إِذَا/idha//جَآءَتْ/جَآءَتۡ/jaat//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং তারা শপথ করে বলে//নামে আল্লাহ্‌র//কঠিন//শপথগুলো তাদের//অবশ্যই যদি//কাছে আসে তাদের//কোনো নিদর্শন//অবশ্যই তারা ঈমান আনবে//উপর তার//বলো//\"মূলতঃ//নিদর্শনাবলী//কাছে//আল্লাহ্‌রই\"//এবং কিসে//বোধগম্য করাবে তোমাদের//যে তা//যখন//আসবে//না//তারা ঈমান আনবে"
            },
            {
              "number": 899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/899.mp3"
              ],
              "text": "وَنُقَلِّبُ أَفْـِٔدَتَهُمْ وَأَبْصَٰرَهُمْ كَمَا لَمْ يُؤْمِنُوا۟ بِهِۦٓ أَوَّلَ مَرَّةٍۢ وَنَذَرُهُمْ فِى طُغْيَٰنِهِمْ يَعْمَهُونَ",
              "translate_bn": "আমি ঘুরিয়ে দিব তাদের অন্তর ও দৃষ্টিকে, যেমন-তারা এর প্রতি প্রথমবার বিশ্বাস স্থাপন করেনি এবং আমি তাদেরকে তাদের অবাধ্যতায় উদভ্রান্ত ছেড়ে দিব।",
              "numberInSurah": 110,
              "juz": 7,
              "manzil": 2,
              "page": 141,
              "ruku": 114,
              "hizbQuarter": 56,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুকালিলবুআফইদাতাহুম ওয়া আবসা-রাহুম কামা-লাম ইউ’মিনূবিহী আওওয়ালা মাররাতিওঁ ওয়া নাযারুহুম ফী তুগইয়া-নিহিম ইয়া‘মাহূন।",
              "words_arabic": "وَ نُقَلِّبُ/وَنُقَلِّبُ/wanuqallibu//اَفْـِٕدَتَهُمْ/أَفۡـِٔدَتَهُمۡ/afidatahum//وَ اَبْصَارَهُمْ/وَأَبۡصَٰرَهُمۡ/wa-absarahum//كَمَا/كَمَا/kama//لَمْ/لَمۡ/lam//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//بِهٖۤ/بِهِۦٓ/bihi//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ/مَرَّةٖ/marratin//وَّ نَذَرُهُمْ/وَنَذَرُهُمۡ/wanadharuhum//فِیْ/فِي/fi//طُغْیَانِهِمْ/طُغۡيَٰنِهِمۡ/tugh'yanihim//یَعْمَهُوْنَ۠/يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "এবং ফিরিয়ে দিবো আমরা//অন্তরগুলোকে তাদের//ও দৃষ্টিগুলোকে তাদের//যেমন//নি//তারা ঈমান আনে//উপর তার//প্রথম//বার//ও ছেড়ে দিবো আমরা তাদের//মধ্যে//অবাধ্যতার তাদের//তারা উদ্ভ্রান্ত হয়ে ঘুরে বেড়াবে"
            },
            {
              "number": 900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/900.mp3"
              ],
              "text": "۞ وَلَوْ أَنَّنَا نَزَّلْنَآ إِلَيْهِمُ ٱلْمَلَٰٓئِكَةَ وَكَلَّمَهُمُ ٱلْمَوْتَىٰ وَحَشَرْنَا عَلَيْهِمْ كُلَّ شَىْءٍۢ قُبُلًۭا مَّا كَانُوا۟ لِيُؤْمِنُوٓا۟ إِلَّآ أَن يَشَآءَ ٱللَّهُ وَلَٰكِنَّ أَكْثَرَهُمْ يَجْهَلُونَ",
              "translate_bn": "আমি যদি তাদের কাছে ফেরেশতাদেরকে অবতারণ করতাম এবং তাদের সাথে মৃতরা কথাবার্তা বলত এবং আমি সব বস্তুকে তাদের সামনে জীবিত করে দিতাম, তথাপি তারা কখনও বিশ্বাস স্থাপনকারী নয়; কিন্তু যদি আল্লাহ চান। কিন্তু তাদের অধিকাংশই মুর্খ।",
              "numberInSurah": 111,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্নানা-নাঝঝালনা-ইলাইহিমুল মালাইকাতা ওয়া কাল্লামাহুমুলমাওতা- ওয়া হাশারনা- ‘আলাইহিম কুল্লা শাইয়িন কুবুলাম মা-কা-নূ লিইউ’মিনূ ইল্লা আইঁ ইয়াশাআল্লা-হু ওয়া লা-কিন্না আকছারাহুম ইয়াজহালূন।",
              "words_arabic": "وَ لَوْ/۞وَلَوۡ/walaw//اَنَّنَا/أَنَّنَا/annana//نَزَّلْنَاۤ/نَزَّلۡنَآ/nazzalna//اِلَیْهِمُ/إِلَيۡهِمُ/ilayhimu//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//وَ كَلَّمَهُمُ/وَكَلَّمَهُمُ/wakallamahumu//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//وَ حَشَرْنَا/وَحَشَرۡنَا/wahasharna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٖ/shayin//قُبُلًا/قُبُلٗا/qubulan//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//لِیُؤْمِنُوْۤا/لِيُؤۡمِنُوٓاْ/liyu'minu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//یَجْهَلُوْنَ /يَجۡهَلُونَ/yajhaluna",
              "words_bangla": "এবং যদি (হতো)//যে আমরা//আমরা অবতীর্ণ করতাম//প্রতি তাদের//ফেরেশতাদেরকে//এবং তাদের সাথে কথাও বলত//মৃতরা//এবং আমরা একত্র করতাম//সামনে তাদের//সব//কিছুই//সামনাসামনি//(তবুও) না//তারা ছিলো//যেন তারা ঈমান আনবে//এ ছাড়া//যে//ইচ্ছে করতেন (তবে ভিন্ন কথা)//আল্লাহ্‌//কিন্তু//অধিকাংশই তাদের//মূর্খতা করে"
            },
            {
              "number": 901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/901.mp3"
              ],
              "text": "وَكَذَٰلِكَ جَعَلْنَا لِكُلِّ نَبِىٍّ عَدُوًّۭا شَيَٰطِينَ ٱلْإِنسِ وَٱلْجِنِّ يُوحِى بَعْضُهُمْ إِلَىٰ بَعْضٍۢ زُخْرُفَ ٱلْقَوْلِ غُرُورًۭا ۚ وَلَوْ شَآءَ رَبُّكَ مَا فَعَلُوهُ ۖ فَذَرْهُمْ وَمَا يَفْتَرُونَ",
              "translate_bn": "এমনিভাবে আমি প্রত্যেক নবীর জন্যে শত্রু করেছি শয়তান, মানব ও জিনকে। তারা ধোঁকা দেয়ার জন্যে একে অপরকে কারুকার্যখচিত কথাবার্তা শিক্ষা দেয়। যদি আপনার পালনকর্তা চাইতেন, তবে তারা এ কাজ করত না।",
              "numberInSurah": 112,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা জা‘আলনা-লিকুল্লি নাবিইয়িন ‘আদুওওয়ান শাইয়া-তীনাল ইনছি ওয়াল জিন্নি ইঊহী বা‘দুহুম ইলা-বা‘দিন ঝুখরুফাল কাওলি গুরূরাওঁ ওয়ালাওশাআ রাব্বুকা মা-ফা‘আলূহু ফাযারহুম ওয়া মা-ইয়াফতারূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//جَعَلْنَا/جَعَلۡنَا/ja'alna//لِكُلِّ/لِكُلِّ/likulli//نَبِیٍّ/نَبِيٍّ/nabiyyin//عَدُوًّا/عَدُوّٗا/aduwwan//شَیٰطِیْنَ/شَيَٰطِينَ/shayatina//الْاِنْسِ/ٱلۡإِنسِ/al-insi//وَ الْجِنِّ/وَٱلۡجِنِّ/wal-jini//یُوْحِیْ/يُوحِي/yuhi//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اِلٰی/إِلَىٰ/ila//بَعْضٍ/بَعۡضٖ/ba'din//زُخْرُفَ/زُخۡرُفَ/zukh'rufa//الْقَوْلِ/ٱلۡقَوۡلِ/al-qawli//غُرُوْرًا ؕ/غُرُورٗاۚ/ghururan//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//رَبُّكَ/رَبُّكَ/rabbuka//مَا/مَا/ma//فَعَلُوْهُ/فَعَلُوهُۖ/fa'aluhu//فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//وَ مَا/وَمَا/wama//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এবং এভাবে//আমরা বানিয়েছি//জন্যে প্রত্যেক//নাবীর//শত্রু//শয়তানদেরকে//(মধ্য হতে) মানুষের//ও জিনদের//উস্কানি দিতে থাকে//কিছু অংশ তাদের//প্রতি//(অন্য) কিছু অংশের//চাকচিক্য (দ্বারা)//কথার//ধোঁকার (উদ্দেশ্যে)//এবং যদি//ইচ্ছে করতেন//তোমার রব//না//তারা করতো তা//অতএব ছেড়ে দাও তাদেরকে (তাদের অবস্থায়)//এবং যা//তারা রচনা করছে"
            },
            {
              "number": 902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/902.mp3"
              ],
              "text": "وَلِتَصْغَىٰٓ إِلَيْهِ أَفْـِٔدَةُ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ وَلِيَرْضَوْهُ وَلِيَقْتَرِفُوا۟ مَا هُم مُّقْتَرِفُونَ",
              "translate_bn": "অতএব, আপনি তাদেরকে এবং তাদের মিথ্যাপবাদকে মুক্ত ছেড়ে দিন যাতে কারুকার্যখচিত বাক্যের প্রতি তাদের মন আকৃষ্ট হয় যারা পরকালে বিশ্বাস করে না এবং তারা একেও পছন্দ করে নেয় এবং যাতে ঐসব কাজ করে, যা তারা করছে।",
              "numberInSurah": 113,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিতাসগাইলাইহি আফইদাতুল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি ওয়ালিইয়ারদাওহু ওয়ালিইয়াকতারিফূমা-হুম মুকতারিফূন।",
              "words_arabic": "وَ لِتَصْغٰۤی/وَلِتَصۡغَىٰٓ/walitasgha//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَفْـِٕدَةُ/أَفۡـِٔدَةُ/afidatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//وَ لِیَرْضَوْهُ/وَلِيَرۡضَوۡهُ/waliyardawhu//وَ لِیَقْتَرِفُوْا/وَلِيَقۡتَرِفُواْ/waliyaqtarifu//مَا/مَا/ma//هُمْ/هُم/hum//مُّقْتَرِفُوْنَ /مُّقۡتَرِفُونَ/muq'tarifuna",
              "words_bangla": "এবং (তারা এজন্যে করে) যেন ঝুঁকে//প্রতি তার (অর্থাৎ চাকচিক্যের)//(তাদের) অন্তর//যারা//না//ঈমান আনে//উপর আখিরাতের//এবং যেন তাতে তারা পরিতুষ্ট হয়//এবং যেন তারা অপকর্ম করে//যা//তারা//অপকর্ম করছে"
            },
            {
              "number": 903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/903.mp3"
              ],
              "text": "أَفَغَيْرَ ٱللَّهِ أَبْتَغِى حَكَمًۭا وَهُوَ ٱلَّذِىٓ أَنزَلَ إِلَيْكُمُ ٱلْكِتَٰبَ مُفَصَّلًۭا ۚ وَٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يَعْلَمُونَ أَنَّهُۥ مُنَزَّلٌۭ مِّن رَّبِّكَ بِٱلْحَقِّ ۖ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ",
              "translate_bn": "তবে কি আমি আল্লাহ ব্যতীত অন্য কোন বিচারক অনুসন্ধান করব, অথচ তিনিই তোমাদের প্রতি বিস্তারিত গ্রন্থ অবতীর্ন করেছেন? আমি যাদেরকে গ্রন্থ প্রদান করেছি, তারা নিশ্চিত জানে যে, এটি আপনার প্রতি পালকের পক্ষ থেকে সত্যসহ অবর্তীর্ন হয়েছে। অতএব, আপনি সংশয়কারীদের অন্তর্ভুক্ত হবেন না।",
              "numberInSurah": 114,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "আফাগাইরাল্লা-হি আবতাগী হাকামাওঁ ওয়া হুওয়াল্লাযী-আনঝালা ইলাইকুমুল কিতা-বা মুফাসসালাওঁ ওয়াল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ইয়া‘লামূনা আন্নাহু মুনাঝঝালুম মির রাব্বিকা বিলহাক্কিফালা-তাকূনান্না মিনাল মুমতারীন ।",
              "words_arabic": "اَفَغَیْرَ/أَفَغَيۡرَ/afaghayra//اللّٰهِ/ٱللَّهِ/al-lahi//اَبْتَغِیْ/أَبۡتَغِي/abtaghi//حَكَمًا/حَكَمٗا/hakaman//وَّ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مُفَصَّلًا ؕ/مُفَصَّلٗاۚ/mufassalan//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//اَنَّهٗ/أَنَّهُۥ/annahu//مُنَزَّلٌ/مُنَزَّلٞ/munazzalun//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//بِالْحَقِّ/بِٱلۡحَقِّۖ/bil-haqi//فَلَا/فَلَا/fala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُمْتَرِیْنَ /ٱلۡمُمۡتَرِينَ/al-mum'tarina",
              "words_bangla": "\"কি তবে ছাড়া//আল্লাহ্‌//খোঁজ করবো আমি//বিচারক (অন্য কাউকে)//অথচ তিনিই//যিনি//অবতীর্ণ করেছেন//প্রতি তোমাদের//কিতাব//বিস্তারিত\"//এবং যাদেরকে (তোমার পূর্বে)//আমরা দিয়েছি তাদের//কিতাব//তারা জানে//যে তা//অবতীর্ণ হয়েছে//পক্ষ হতে//তোমার রবের//সহকারে সত্য//অতএব না//তুমি হয়ো//অন্তর্ভুক্ত//সন্দেহকারীদের"
            },
            {
              "number": 904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/904.mp3"
              ],
              "text": "وَتَمَّتْ كَلِمَتُ رَبِّكَ صِدْقًۭا وَعَدْلًۭا ۚ لَّا مُبَدِّلَ لِكَلِمَٰتِهِۦ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "আপনার প্রতিপালকের বাক্য পূর্ণ সত্য ও সুষম। তাঁর বাক্যের কোন পরিবর্তনকারী নেই। তিনিই শ্রবণকারী, মহাজ্ঞানী।",
              "numberInSurah": 115,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাম্মাত কালিমাতুরাব্বিকা সিদকাওঁ ওয়া ‘আদলাল লা-মুবাদ্দিলা লিকালিমা-তিহী ওয়া হুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ تَمَّتْ/وَتَمَّتۡ/watammat//كَلِمَتُ/كَلِمَتُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//صِدْقًا/صِدۡقٗا/sid'qan//وَّ عَدْلًا ؕ/وَعَدۡلٗاۚ/wa'adlan//لَا/لَّا/la//مُبَدِّلَ/مُبَدِّلَ/mubaddila//لِكَلِمٰتِهٖ ۚ/لِكَلِمَٰتِهِۦۚ/likalimatihi//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং পরিপূর্ণ হয়েছে//কথাগুলো//তোমার রবের//সত্যতায়//ও ন্যায়পরায়ণতায়//নেই//কোনো পরিবর্তনকারী//কথাগুলোকে তাঁর//এবং তিনি//সবকিছুই শুনেন//সবকিছুই জানেন"
            },
            {
              "number": 905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/905.mp3"
              ],
              "text": "وَإِن تُطِعْ أَكْثَرَ مَن فِى ٱلْأَرْضِ يُضِلُّوكَ عَن سَبِيلِ ٱللَّهِ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ هُمْ إِلَّا يَخْرُصُونَ",
              "translate_bn": "আর যদি আপনি পৃথিবীর অধিকাংশ লোকের কথা মেনে নেন, তবে তারা আপনাকে আল্লাহর পথ থেকে বিপথগামী করে দেবে। তারা শুধু অলীক কল্পনার অনুসরণ করে এবং সম্পূর্ণ অনুমান ভিত্তিক কথাবার্তা বলে থাকে।",
              "numberInSurah": 116,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তুতি‘ আকছারা মান ফিল আরদিইউদিললূকা ‘আন ছাবীলিল্লা-হি ইয়ঁ ইয়াত্তাবি‘ঊনা ইল্লাজ্জান্না ওয়া ইনহুম ইল্লা-ইয়াখরুসূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تُطِعْ/تُطِعۡ/tuti'//اَكْثَرَ/أَكۡثَرَ/akthara//مَنْ/مَن/man//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//یُضِلُّوْكَ/يُضِلُّوكَ/yudilluka//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنْ/إِن/in//یَّتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//اِلَّا/إِلَّا/illa//الظَّنَّ/ٱلظَّنَّ/al-zana//وَ اِنْ/وَإِنۡ/wa-in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//یَخْرُصُوْنَ /يَخۡرُصُونَ/yakhrusuna",
              "words_bangla": "এবং যদি//অনুসরণ করো//অধিকাংশের//যারা//মধ্যে (আছে)//পৃথিবীর//তারা তোমাকে পথভ্রষ্ট করবে//হতে//পথ//আল্লাহ্‌র//না//তারা অনুসরণ করে//এ ছাড়া//অনুমানের//এবং না//তারা//এ ছাড়া//অনুমান করে"
            },
            {
              "number": 906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/906.mp3"
              ],
              "text": "إِنَّ رَبَّكَ هُوَ أَعْلَمُ مَن يَضِلُّ عَن سَبِيلِهِۦ ۖ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ",
              "translate_bn": "আপনার প্রতিপালক তাদের সম্পর্কে খুব জ্ঞাত রয়েছেন, যারা তাঁর পথ থেকে বিপথগামী হয় এবং তিনি তাদেরকেও খুব ভাল করে জানেন, যারা তাঁর পথে অনুগমন করে।",
              "numberInSurah": 117,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা হুওয়া আ‘লামুমাইঁ ইয়াদিল্লু‘আন ছাবীলিহী ওয়া হুওয়া আ‘লামু বিলমুহতাদীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//مَنْ/مَن/man//یَّضِلُّ/يَضِلُّ/yadillu//عَنْ/عَن/an//سَبِیْلِهٖ ۚ/سَبِيلِهِۦۖ/sabilihi//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُهْتَدِیْنَ /بِٱلۡمُهۡتَدِينَ/bil-muh'tadina",
              "words_bangla": "নিশ্চয়ই//তোমার রব//তিনি//খুব জ্ঞাত//কে//ভ্রষ্ট হয়েছে//হতে//পথ তাঁর//এবং তিনি//খুব জ্ঞাত//সম্পর্কে সঠিক পথ প্রাপ্তদের"
            },
            {
              "number": 907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/907.mp3"
              ],
              "text": "فَكُلُوا۟ مِمَّا ذُكِرَ ٱسْمُ ٱللَّهِ عَلَيْهِ إِن كُنتُم بِـَٔايَٰتِهِۦ مُؤْمِنِينَ",
              "translate_bn": "অতঃপর যে জন্তুর উপর আল্লাহর নাম উচ্চারিত হয়, তা থেকে ভক্ষণ কর যদি তোমরা তাঁর বিধানসমূহে বিশ্বাসী হও।",
              "numberInSurah": 118,
              "juz": 8,
              "manzil": 2,
              "page": 142,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ফাকুলূমিম্মা-যুকিরাছমুল্লা-হি ‘আলাইহি ইন কুনতুম বিআ-য়া-তিহী মু’মিনীন।",
              "words_arabic": "فَكُلُوْا/فَكُلُواْ/fakulu//مِمَّا/مِمَّا/mimma//ذُكِرَ/ذُكِرَ/dhukira//اسْمُ/ٱسۡمُ/us'mu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهِ/عَلَيۡهِ/alayhi//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//بِاٰیٰتِهٖ/بِـَٔايَٰتِهِۦ/biayatihi//مُؤْمِنِیْنَ /مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "অতএব তোমরা খাও//তা হতে (যার উপর)//নেয়া হয়েছে//নাম//আল্লাহ্‌র//উপর তার//যদি//হও তোমরা//প্রতি আয়াতসমূহের তাঁর//বিশ্বাসী"
            },
            {
              "number": 908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/908.mp3"
              ],
              "text": "وَمَا لَكُمْ أَلَّا تَأْكُلُوا۟ مِمَّا ذُكِرَ ٱسْمُ ٱللَّهِ عَلَيْهِ وَقَدْ فَصَّلَ لَكُم مَّا حَرَّمَ عَلَيْكُمْ إِلَّا مَا ٱضْطُرِرْتُمْ إِلَيْهِ ۗ وَإِنَّ كَثِيرًۭا لَّيُضِلُّونَ بِأَهْوَآئِهِم بِغَيْرِ عِلْمٍ ۗ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِٱلْمُعْتَدِينَ",
              "translate_bn": "কোন কারণে তোমরা এমন জন্তু থেকে ভক্ষণ করবে না, যার উপর আল্লাহর নাম উচ্চারিত হয়, অথচ আল্লাহ ঐ সব জন্তুর বিশদ বিবরণ দিয়েছেন, যেগুলোকে তোমাদের জন্যে হারাম করেছেন; কিন্তু সেগুলোও তোমাদের জন্যে হালাল, যখন তোমরা নিরুপায় হয়ে যাও। অনেক লোক স্বীয় ভ্রান্ত প্রবৃত্তি দ্বারা না জেনে বিপথগামী করতে থাকে। আপনার প্রতিপালক সীমাতিক্রম কারীদেরকে যথার্থই জানেন।",
              "numberInSurah": 119,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাকুম আল্লা-তা’কুলূমিম্মা-যুকিরাছমুল্লা-হি ‘আলাইহি ওয়া কাদ ফাসসালা লাকুম মাহাররামা ‘আলাকুম ইল্লা-মাদতুরিরতুম ইলাইহি ওয়া ইন্না কাছীরাল লাইউদিললূনা বিআহওয়াইহিম বিগাইরি ‘ইলমিন ইন্না রাব্বাকা হুওয়া আ‘লামুবিলমু‘তাদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَكُمْ/لَكُمۡ/lakum//اَلَّا/أَلَّا/alla//تَاْكُلُوْا/تَأۡكُلُواْ/takulu//مِمَّا/مِمَّا/mimma//ذُكِرَ/ذُكِرَ/dhukira//اسْمُ/ٱسۡمُ/us'mu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ قَدْ/وَقَدۡ/waqad//فَصَّلَ/فَصَّلَ/fassala//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//حَرَّمَ/حَرَّمَ/harrama//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِلَّا/إِلَّا/illa//مَا/مَا/ma//اضْطُرِرْتُمْ/ٱضۡطُرِرۡتُمۡ/ud'turir'tum//اِلَیْهِ ؕ/إِلَيۡهِۗ/ilayhi//وَ اِنَّ/وَإِنَّ/wa-inna//كَثِیْرًا/كَثِيرٗا/kathiran//لَّیُضِلُّوْنَ/لَّيُضِلُّونَ/layudilluna//بِاَهْوَآىِٕهِمْ/بِأَهۡوَآئِهِم/bi-ahwaihim//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ؕ/عِلۡمٍۚ/il'min//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُعْتَدِیْنَ /بِٱلۡمُعۡتَدِينَ/bil-mu'tadina",
              "words_bangla": "এবং কি হয়েছে//তোমাদের//যে না//তোমরা খাও//তা হতে (যার উপর)//হয়েছে নেয়া//নাম//আল্লাহ্‌র//উপর তার//অথচ নিশ্চয়ই//তিনি বিস্তারিত বিবৃত করেছেন//জন্যে তোমাদের//যা//নিষিদ্ধ করেছেন (আল্লাহ্‌)//উপর তোমাদের//তবে//যা//নিরুপায় হয়ে যাও তোমরা//দিকে তার (সেটা ভিন্ন কথা)//এবং নিশ্চয়ই//অনেকে//অবশ্যই পথভ্রষ্ট করে(অন্যকে)//তাদের খেয়াল খুশী দ্বারা//ছাড়া//কোনো জ্ঞান (অর্থাৎ অজ্ঞতাবশত)//নিশ্চয়ই//তোমার রব//তিনি//খুব জানেন//সম্পর্কে সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/909.mp3"
              ],
              "text": "وَذَرُوا۟ ظَٰهِرَ ٱلْإِثْمِ وَبَاطِنَهُۥٓ ۚ إِنَّ ٱلَّذِينَ يَكْسِبُونَ ٱلْإِثْمَ سَيُجْزَوْنَ بِمَا كَانُوا۟ يَقْتَرِفُونَ",
              "translate_bn": "তোমরা প্রকাশ্য ও প্রচ্ছন্ন গোনাহ পরিত্যাগ কর। নিশ্চয় যারা গোনাহ করেছে, তারা অতিসত্বর তাদের কৃতকর্মের শাস্তি পাবে।",
              "numberInSurah": 120,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া যারূ জা-হিরাল ইছমি ওয়া বা-তিনাহূ ইন্নাল্লাযীনা ইয়াকছিবূনাল ইছমা ছাইউজঝাওনা বিমা-কা-নূইয়াকতারিফূন।",
              "words_arabic": "وَ ذَرُوْا/وَذَرُواْ/wadharu//ظَاهِرَ/ظَٰهِرَ/zahira//الْاِثْمِ/ٱلۡإِثۡمِ/al-ith'mi//وَ بَاطِنَهٗ ؕ/وَبَاطِنَهُۥٓۚ/wabatinahu//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَكْسِبُوْنَ/يَكۡسِبُونَ/yaksibuna//الْاِثْمَ/ٱلۡإِثۡمَ/al-ith'ma//سَیُجْزَوْنَ/سَيُجۡزَوۡنَ/sayuj'zawna//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَقْتَرِفُوْنَ /يَقۡتَرِفُونَ/yaqtarifuna",
              "words_bangla": "এবং তোমরা বর্জন করো//প্রকাশ্য//পাপের কাজ//এবং গোপন তার(কাজও)//নিশ্চয়ই//যারা//উপার্জন করে//পাপ//অচিরেই তাদের প্রতিদান দেয়া হবে//বিনিময়ে যা//তারা ছিলো//তারা কুকর্ম করতে"
            },
            {
              "number": 910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/910.mp3"
              ],
              "text": "وَلَا تَأْكُلُوا۟ مِمَّا لَمْ يُذْكَرِ ٱسْمُ ٱللَّهِ عَلَيْهِ وَإِنَّهُۥ لَفِسْقٌۭ ۗ وَإِنَّ ٱلشَّيَٰطِينَ لَيُوحُونَ إِلَىٰٓ أَوْلِيَآئِهِمْ لِيُجَٰدِلُوكُمْ ۖ وَإِنْ أَطَعْتُمُوهُمْ إِنَّكُمْ لَمُشْرِكُونَ",
              "translate_bn": "যেসব জন্তুর উপর আল্লাহর নাম উচ্চারিত হয় না, সেগুলো থেকে ভক্ষণ করো না; এ ভক্ষণ করা গোনাহ। নিশ্চয় শয়তানরা তাদের বন্ধুদেরকে প্রত্যাদেশ করে-যেন তারা তোমাদের সাথে তর্ক করে। যদি তোমরা তাদের আনুগত্য কর, তোমরাও মুশরেক হয়ে যাবে।",
              "numberInSurah": 121,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 115,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তা’কুলূমিম্মা-লাম ইউযকারিছমুল্লা-হি ‘আলাইহি ওয়া ইন্নাহূলাফিছকুওঁ ওয়া ইন্নাশশায়া-তীনা লাইঊহূনা ইলাআওলিয়াইহিম লিইউজা-দিলূকুম ওয়া ইন আতা‘তুমূহুম ইন্নাকুম লামুশরিকূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَاْكُلُوْا/تَأۡكُلُواْ/takulu//مِمَّا/مِمَّا/mimma//لَمْ/لَمۡ/lam//یُذْكَرِ/يُذۡكَرِ/yudh'kari//اسْمُ/ٱسۡمُ/us'mu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَفِسْقٌ ؕ/لَفِسۡقٞۗ/lafis'qun//وَ اِنَّ/وَإِنَّ/wa-inna//الشَّیٰطِیْنَ/ٱلشَّيَٰطِينَ/al-shayatina//لَیُوْحُوْنَ/لَيُوحُونَ/layuhuna//اِلٰۤی/إِلَىٰٓ/ila//اَوْلِیٰٓـِٕهِمْ/أَوۡلِيَآئِهِمۡ/awliyaihim//لِیُجَادِلُوْكُمْ ۚ/لِيُجَٰدِلُوكُمۡۖ/liyujadilukum//وَ اِنْ/وَإِنۡ/wa-in//اَطَعْتُمُوْهُمْ/أَطَعۡتُمُوهُمۡ/ata'tumuhum//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَمُشْرِكُوْنَ۠/لَمُشۡرِكُونَ/lamush'rikuna",
              "words_bangla": "এবং না//তোমরা খেয়ো//তা হতে (যার উপর)//নি//নেয়া হয়//নাম//আল্লাহ্‌র//উপর তার//এবং নিশ্চয়ই তা//অবশ্যই পাপ//এবং নিশ্চয়ই//শয়তানরা//অবশ্যই উস্কানি দেয়//প্রতি//তাদের বন্ধুদের//যেন তারা ঝগড়া করে তোমাদের (সাথে)//এবং যদি//তোমরা আনুগত্য করো তাদের//(তবে)তোমরাও নিশ্চয়ই//অবশ্যই মুশরিক"
            },
            {
              "number": 911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/911.mp3"
              ],
              "text": "أَوَمَن كَانَ مَيْتًۭا فَأَحْيَيْنَٰهُ وَجَعَلْنَا لَهُۥ نُورًۭا يَمْشِى بِهِۦ فِى ٱلنَّاسِ كَمَن مَّثَلُهُۥ فِى ٱلظُّلُمَٰتِ لَيْسَ بِخَارِجٍۢ مِّنْهَا ۚ كَذَٰلِكَ زُيِّنَ لِلْكَٰفِرِينَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর যে মৃত ছিল অতঃপর আমি তাকে জীবিত করেছি এবং তাকে এমন একটি আলো দিয়েছি, যা নিয়ে সে মানুষের মধ্যে চলাফেরা করে। সে কি ঐ ব্যক্তির সমতুল্য হতে পারে, যে অন্ধকারে রয়েছে-সেখান থেকে বের হতে পারছে না? এমনিভাবে কাফেরদের দৃষ্টিতে তাদের কাজকর্মকে সুশোভিত করে দেয়া হয়েছে।",
              "numberInSurah": 122,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 116,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "আওয়া মান কা-না মাইতান ফাআহইয়াইনা-হু ওয়া জা‘আলনা-লাহূনূরাইঁ ইয়ামশী বিহী ফিন্না-ছি কামাম মাছালুহূফিজজু লুমা-তি লাইছা বিখা-রিজিম মিনহা- কাযা-লিকা ঝুইয়িনা লিলকা-ফিরীনা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "اَوَ مَنْ/أَوَمَن/awaman//كَانَ/كَانَ/kana//مَیْتًا/مَيۡتٗا/maytan//فَاَحْیَیْنٰهُ/فَأَحۡيَيۡنَٰهُ/fa-ahyaynahu//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَهٗ/لَهُۥ/lahu//نُوْرًا/نُورٗا/nuran//یَّمْشِیْ/يَمۡشِي/yamshi//بِهٖ/بِهِۦ/bihi//فِی/فِي/fi//النَّاسِ/ٱلنَّاسِ/al-nasi//كَمَنْ/كَمَن/kaman//مَّثَلُهٗ/مَّثَلُهُۥ/mathaluhu//فِی/فِي/fi//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//لَیْسَ/لَيۡسَ/laysa//بِخَارِجٍ/بِخَارِجٖ/bikharijin//مِّنْهَا ؕ/مِّنۡهَاۚ/min'ha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//زُیِّنَ/زُيِّنَ/zuyyina//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "কি যে//ছিলো//মৃত//অতঃপর আমরা জীবিত করেছি তাকে//এবং আমরা দিয়েছি//জন্যে তার//আলো//সে চলে//দিয়ে তা//মধ্যে//মানুষের//মতো সেই ব্যক্তির//উদাহরণ যার//মধ্যে (আছে)//অন্ধকারসমূহের//নয়//সে বের হবার//থেকে তা//এভাবে//শোভন করা হয়েছে//কাছে কাফিরদের//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/912.mp3"
              ],
              "text": "وَكَذَٰلِكَ جَعَلْنَا فِى كُلِّ قَرْيَةٍ أَكَٰبِرَ مُجْرِمِيهَا لِيَمْكُرُوا۟ فِيهَا ۖ وَمَا يَمْكُرُونَ إِلَّا بِأَنفُسِهِمْ وَمَا يَشْعُرُونَ",
              "translate_bn": "আর এমনিভাবে আমি প্রত্যেক জনপদে অপরাধীদের জন্য কিছু সর্দার নিয়োগ করেছি-যেন তারা সেখানে চক্রান্ত করে। তাদের সে চক্রান্ত তাদের নিজেদের বিরুদ্ধেই; কিন্তু তারা তা উপলব্ধি করতে পারে না।",
              "numberInSurah": 123,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 116,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা জা‘আলনা-ফী কুল্লি কারইয়াতিন আকা-বিরা মুজরিমীহা-লিয়ামকুরূফীহা- ওয়া মা-ইয়ামকুরূনা ইল্লা-বিআনফুছিহিম ওয়া মা-ইয়াশ‘উরূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//جَعَلْنَا/جَعَلۡنَا/ja'alna//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَكٰبِرَ/أَكَٰبِرَ/akabira//مُجْرِمِیْهَا/مُجۡرِمِيهَا/muj'rimiha//لِیَمْكُرُوْا/لِيَمۡكُرُواْ/liyamkuru//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ مَا/وَمَا/wama//یَمْكُرُوْنَ/يَمۡكُرُونَ/yamkuruna//اِلَّا/إِلَّا/illa//بِاَنْفُسِهِمْ/بِأَنفُسِهِمۡ/bi-anfusihim//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এবং এভাবে//আমরা নিযুক্ত করেছি//মধ্যে//প্রত্যেক//জনপদের//বড় বড়//অপরাধীদেরকে তার//যেন তারা চক্রান্ত করে//মধ্যে তার//কিন্তু না//তারা চক্রান্ত করে//এ ছাড়া//সাথে  নিজেদের তাদের//অথচ না//তারা অনুভব করে"
            },
            {
              "number": 913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/913.mp3"
              ],
              "text": "وَإِذَا جَآءَتْهُمْ ءَايَةٌۭ قَالُوا۟ لَن نُّؤْمِنَ حَتَّىٰ نُؤْتَىٰ مِثْلَ مَآ أُوتِىَ رُسُلُ ٱللَّهِ ۘ ٱللَّهُ أَعْلَمُ حَيْثُ يَجْعَلُ رِسَالَتَهُۥ ۗ سَيُصِيبُ ٱلَّذِينَ أَجْرَمُوا۟ صَغَارٌ عِندَ ٱللَّهِ وَعَذَابٌۭ شَدِيدٌۢ بِمَا كَانُوا۟ يَمْكُرُونَ",
              "translate_bn": "যখন তাদের কাছে কোন আয়াত পৌঁছে, তখন বলে, আমরা কখনই মানব না যে, পর্যন্ত না আমরাও তা প্রদত্ত হই, যা আল্লাহর রসূলগণ প্রদত্ত হয়েছেন। আল্লাহ এ বিষয়ে সুপারিজ্ঞাত যে, কোথায় স্বীয় পয়গাম প্রেরণ করতে হবে। যারা অপরাধ করছে, তারা অতিসত্বর আল্লাহর কাছে পৌছে লাঞ্ছনা ও কঠোর শাস্তি পাবে, তাদের চক্রান্তের কারণে।",
              "numberInSurah": 124,
              "juz": 8,
              "manzil": 2,
              "page": 143,
              "ruku": 116,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-জাআতহুম আ-য়াতুন কা-লূলান নু’মিনা হাত্তা-নু’তা-মিছলা মা-ঊতিয়া রুছুলুল্লা-হ । আল্লা-হু আ‘লামুহাইছুইয়াজ‘আলুরিছা-লাতাহূ ছাইউসীবুল্লাযীনা আজরামূসাগা-রুন ‘ইনদাল্লা-হি ওয়া ‘আযা-বুন শাদীদুম বিমা-কা-নূইয়ামকুরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//اٰیَةٌ/ءَايَةٞ/ayatun//قَالُوْا/قَالُواْ/qalu//لَنْ/لَن/lan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//حَتّٰی/حَتَّىٰ/hatta//نُؤْتٰی/نُؤۡتَىٰ/nu'ta//مِثْلَ/مِثۡلَ/mith'la//مَاۤ/مَآ/ma//اُوْتِیَ/أُوتِيَ/utiya//رُسُلُ/رُسُلُ/rusulu//اللّٰهِ ؔۘؕ/ٱللَّهِۘ/al-lahi//اَللّٰهُ/ٱللَّهُ/al-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//حَیْثُ/حَيۡثُ/haythu//یَجْعَلُ/يَجۡعَلُ/yaj'alu//رِسَالَتَهٗ ؕ/رِسَالَتَهُۥۗ/risalatahu//سَیُصِیْبُ/سَيُصِيبُ/sayusibu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَجْرَمُوْا/أَجۡرَمُواْ/ajramu//صَغَارٌ/صَغَارٌ/sagharun//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عَذَابٌ/وَعَذَابٞ/wa'adhabun//شَدِیْدٌۢ/شَدِيدُۢ/shadidun//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَمْكُرُوْنَ /يَمۡكُرُونَ/yamkuruna",
              "words_bangla": "এবং যখন//কাছে আসে তাদের//কোনো নিদর্শন//তারা বলে//\"কখনও না//ঈমান আনবো আমরা//যতক্ষণ না//দেয়া হবে আমাদেরকেও//তেমনই//যা কিছু//দেয়া হয়েছে//রাসূলদেরকে//আল্লাহ্‌র\"//আল্লাহ্‌ই//খুব জানেন//যেখানে//অর্পণ করবেন//রিসালাতের তাঁর (দায়িত্বভার)//শীঘ্রই পৌঁছবে//(তাদের উপর) যারা//অপরাধ করেছে//অপমান//নিকট (হতে)//আল্লাহ্‌র//ও শাস্তি//কঠিন//এ কারণে যা//তারা ছিলো//তারা চক্রান্ত করতে"
            },
            {
              "number": 914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/914.mp3"
              ],
              "text": "فَمَن يُرِدِ ٱللَّهُ أَن يَهْدِيَهُۥ يَشْرَحْ صَدْرَهُۥ لِلْإِسْلَٰمِ ۖ وَمَن يُرِدْ أَن يُضِلَّهُۥ يَجْعَلْ صَدْرَهُۥ ضَيِّقًا حَرَجًۭا كَأَنَّمَا يَصَّعَّدُ فِى ٱلسَّمَآءِ ۚ كَذَٰلِكَ يَجْعَلُ ٱللَّهُ ٱلرِّجْسَ عَلَى ٱلَّذِينَ لَا يُؤْمِنُونَ",
              "translate_bn": "অতঃপর আল্লাহ যাকে পথ-প্রদর্শন করতে চান, তার বক্ষকে ইসলামের জন্যে উম্মুক্ত করে দেন এবং যাকে বিপথগামী করতে চান, তার বক্ষকে সংকীর্ণ অত্যধিক সংকীর্ণ করে দেন-যেন সে সবেগে আকাশে আরোহণ করছে। এমনি ভাবে যারা বিশ্বাস স্থাপন করে না। আল্লাহ তাদের উপর আযাব বর্ষন করেন।",
              "numberInSurah": 125,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 116,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ফামাইঁ ইউরিদিল্লা-হু আইঁ ইয়াহদিয়াহূইয়াশরাহ সাদরাহূলিলইছলা-মি ওয়া মাইঁ ইউরিদ আইঁ ইউদিল্লাহূইয়াজ‘আল সাদরাহূদাইয়িকান হারাজান কাআন্নামা-ইয়াসসা‘‘আদু ফিছছামাই কাযা-লিকা ইয়াজ‘আলুল্লা-হুর রিজছা ‘আলাল্লাযীনা লা-ইউ’মিনূন।",
              "words_arabic": "فَمَنْ/فَمَن/faman//یُّرِدِ/يُرِدِ/yuridi//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّهْدِیَهٗ/يَهۡدِيَهُۥ/yahdiyahu//یَشْرَحْ/يَشۡرَحۡ/yashrah//صَدْرَهٗ/صَدۡرَهُۥ/sadrahu//لِلْاِسْلَامِ ۚ/لِلۡإِسۡلَٰمِۖ/lil'is'lami//وَ مَنْ/وَمَن/waman//یُّرِدْ/يُرِدۡ/yurid//اَنْ/أَن/an//یُّضِلَّهٗ/يُضِلَّهُۥ/yudillahu//یَجْعَلْ/يَجۡعَلۡ/yaj'al//صَدْرَهٗ/صَدۡرَهُۥ/sadrahu//ضَیِّقًا/ضَيِّقًا/dayyiqan//حَرَجًا/حَرَجٗا/harajan//كَاَنَّمَا/كَأَنَّمَا/ka-annama//یَصَّعَّدُ/يَصَّعَّدُ/yassa'adu//فِی/فِي/fi//السَّمَآءِ ؕ/ٱلسَّمَآءِۚ/al-samai//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَجْعَلُ/يَجۡعَلُ/yaj'alu//اللّٰهُ/ٱللَّهُ/al-lahu//الرِّجْسَ/ٱلرِّجۡسَ/al-rij'sa//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "অতএব যাকে//চান//আল্লাহ্‌//যে//সৎপথে পরিচালিত করবেন তাকে//প্রশস্ত করে দেন//হৃদয়কে তার//জন্যে ইসলামের//এবং যাকে//চান//যে//বিপথগামী করবেন তাকে//করেছেন//হৃদয়কে তার//ইসলামের অনুসরণে//অতিশয় সংকীর্ণ//যেন (তার মনে হবে)//সে আরোহণ করছে//মধ্যে//আকাশের//এভাবে//রাখেন//আল্লাহ্‌//অপবিত্রতা//উপর//(তাদের) যারা//না//ঈমান আনে"
            },
            {
              "number": 915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/915.mp3"
              ],
              "text": "وَهَٰذَا صِرَٰطُ رَبِّكَ مُسْتَقِيمًۭا ۗ قَدْ فَصَّلْنَا ٱلْءَايَٰتِ لِقَوْمٍۢ يَذَّكَّرُونَ",
              "translate_bn": "আর এটাই আপনার পালনকর্তার সরল পথ। আমি উপদেশ গ্রহণকারীদের জন্যে আয়াতসমূহ পুঙ্খানুপুঙ্খ বর্ননা করেছি।",
              "numberInSurah": 126,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 116,
              "hizbQuarter": 57,
              "sajda": false,
              "pronunciation_bn": "ওয়া হা-যা-সিরা-তুরাব্বিকা মুছতাকীমান কাদ ফাসসালনাল আ-য়া-তি লিকাওমিইঁ ইয়াযযাক্কারূন।",
              "words_arabic": "وَ هٰذَا/وَهَٰذَا/wahadha//صِرَاطُ/صِرَٰطُ/siratu//رَبِّكَ/رَبِّكَ/rabbika//مُسْتَقِیْمًا ؕ/مُسۡتَقِيمٗاۗ/mus'taqiman//قَدْ/قَدۡ/qad//فَصَّلْنَا/فَصَّلۡنَا/fassalna//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "এবং এই//পথ//তোমার রবের//সরল-সঠিক (পথ)//নিশ্চয়ই//বিশদ বর্ণনা করেছি আমরা//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//(যারা) উপদেশ গ্রহণ করে"
            },
            {
              "number": 916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/916.mp3"
              ],
              "text": "۞ لَهُمْ دَارُ ٱلسَّلَٰمِ عِندَ رَبِّهِمْ ۖ وَهُوَ وَلِيُّهُم بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তাদের জন্যেই তাদের প্রতিপালকের কাছে নিরাপত্তার গৃহ রয়েছে এবং তিনি তাদের বন্ধু তাদের কর্মের কারণে।",
              "numberInSurah": 127,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 116,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "লাহুম দা-রুছছালা-মি ‘ইনদা রাব্বিহিম ওয়া হুওয়া ওয়ালিইয়ুহুম বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "لَهُمْ/۞لَهُمۡ/lahum//دَارُ/دَارُ/daru//السَّلٰمِ/ٱلسَّلَٰمِ/al-salami//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡۖ/rabbihim//وَ هُوَ/وَهُوَ/wahuwa//وَلِیُّهُمْ/وَلِيُّهُم/waliyyuhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "জন্যে তাদের (রয়েছে)//ঘর//শান্তির//নিকট//রবের তাদের//এবং তিনি//অভিভাবক তাদের//এ কারণে যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/917.mp3"
              ],
              "text": "وَيَوْمَ يَحْشُرُهُمْ جَمِيعًۭا يَٰمَعْشَرَ ٱلْجِنِّ قَدِ ٱسْتَكْثَرْتُم مِّنَ ٱلْإِنسِ ۖ وَقَالَ أَوْلِيَآؤُهُم مِّنَ ٱلْإِنسِ رَبَّنَا ٱسْتَمْتَعَ بَعْضُنَا بِبَعْضٍۢ وَبَلَغْنَآ أَجَلَنَا ٱلَّذِىٓ أَجَّلْتَ لَنَا ۚ قَالَ ٱلنَّارُ مَثْوَىٰكُمْ خَٰلِدِينَ فِيهَآ إِلَّا مَا شَآءَ ٱللَّهُ ۗ إِنَّ رَبَّكَ حَكِيمٌ عَلِيمٌۭ",
              "translate_bn": "যেদিন আল্লাহ সবাইকে একত্রিত করবেন, হে জিন সম্প্রদায়, তোমরা মানুষদের মধ্যে অনেককে অনুগামী করে নিয়েছ। তাদের মানব বন্ধুরা বলবেঃ হে আমাদের পালনকর্তা, আমরা পরস্পরে পরস্পরের মাধ্যমে ফল লাভ করেছি। আপনি আমাদের জন্যে যে সময় নির্ধারণ করেছিলেন, আমরা তাতে উপনীত হয়েছি। আল্লাহ বলবেনঃ আগুন হল তোমাদের বাসস্থান। তথায় তোমরা চিরকাল অবস্থান করবে; কিন্তু যখন চাইবেন আল্লাহ। নিশ্চয় আপনার পালনকর্তা প্রজ্ঞাময়, মহাজ্ঞানী।",
              "numberInSurah": 128,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 116,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়াহশুরুহুম জামী‘আন- ইয়া-মা‘শারাল জিন্নি কাদিছতাকছারতুম মিনাল ইনছি ওয়া কা-লা আওলিয়াউহুম মিনাল ইনছি রাব্বানাছ তামতা‘আ বা‘দুনাব্বিা‘দিওঁ ওয়া বালাগনাআজালানাল্লাযীআজ্জালতা লানা- কা-লান না-রু মাছওয়াকুম খা-লিদীনা ফীহা-ইল্লা-মা-শাআল্লা-হু ইন্না রাব্বাকা হাকীমুন ‘আলীম।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَحْشُرُهُمْ/يَحۡشُرُهُمۡ/yahshuruhum//جَمِیْعًا ۚ/جَمِيعٗا/jami'an//یٰمَعْشَرَ/يَٰمَعۡشَرَ/yama'shara//الْجِنِّ/ٱلۡجِنِّ/al-jini//قَدِ/قَدِ/qadi//اسْتَكْثَرْتُمْ/ٱسۡتَكۡثَرۡتُم/is'takthartum//مِّنَ/مِّنَ/mina//الْاِنْسِ ۚ/ٱلۡإِنسِۖ/al-insi//وَ قَالَ/وَقَالَ/waqala//اَوْلِیٰٓؤُهُمْ/أَوۡلِيَآؤُهُم/awliyauhum//مِّنَ/مِّنَ/mina//الْاِنْسِ/ٱلۡإِنسِ/al-insi//رَبَّنَا/رَبَّنَا/rabbana//اسْتَمْتَعَ/ٱسۡتَمۡتَعَ/is'tamta'a//بَعْضُنَا/بَعۡضُنَا/ba'duna//بِبَعْضٍ/بِبَعۡضٖ/biba'din//وَّ بَلَغْنَاۤ/وَبَلَغۡنَآ/wabalaghna//اَجَلَنَا/أَجَلَنَا/ajalana//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَجَّلْتَ/أَجَّلۡتَ/ajjalta//لَنَا ؕ/لَنَاۚ/lana//قَالَ/قَالَ/qala//النَّارُ/ٱلنَّارُ/al-naru//مَثْوٰىكُمْ/مَثۡوَىٰكُمۡ/mathwakum//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//حَكِیْمٌ/حَكِيمٌ/hakimun//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং যেদিন//একত্র করবেন তাদের (আল্লাহ্‌)//সকলকে (এবং বলবেন)//হে সম্প্রদায়//জিনদের//নিশ্চয়ই//অনেককে অনুগামী করেছো তোমরা//মধ্য হতে//মানুষের\"//এবং বলবে//(যারা ছিলো) বন্ধুরা তাদের//মধ্য হতে//মানুষের//\"হে আমাদের রব//লাভবান হয়েছে//অনেকে আমাদের//দ্বারা (অন্য) অনেকের//এবং আমরা পৌঁছেছি//নির্ধারিত মেয়াদে আমাদের//যা//তুমি নির্ধারিত করেছিলে//জন্যে আমাদের\"//বলবেন তিনি//\"(জাহান্নামের) আগুনই//বাসস্থান তোমাদের//তোমরা চিরদিন থাকবে//মধ্যে তার//তবে//যা//ইচ্ছে করবেন//আল্লাহ্‌ (সেটা ভিন্ন কথা)//নিশ্চয়ই//তোমার রব//প্রজ্ঞাময়//মহাজ্ঞানী"
            },
            {
              "number": 918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/918.mp3"
              ],
              "text": "وَكَذَٰلِكَ نُوَلِّى بَعْضَ ٱلظَّٰلِمِينَ بَعْضًۢا بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "এমনিভাবে আমি পাপীদেরকে একে অপরের সাথে যুক্ত করে দেব তাদের কাজকর্মের কারণে।",
              "numberInSurah": 129,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 116,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নুওয়াললী বা‘দাজ্জা-লিমীনা বা‘দাম বিমা-কা-নূইয়াকছিবূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُوَلِّیْ/نُوَلِّي/nuwalli//بَعْضَ/بَعۡضَ/ba'da//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//بَعْضًۢا/بَعۡضَۢا/ba'dan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ۠/يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "এবং এভাবে//বন্ধু বানাবো আমরা//কিছু অংশকে (অর্থাৎ একদলকে)//সীমালঙ্ঘনকারীদের//কোনো অংশ (অর্থাৎ অন্য দল) দ্বারা//এ কারণে যা//তারা ছিলো//তারা অর্জন করতে"
            },
            {
              "number": 919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/919.mp3"
              ],
              "text": "يَٰمَعْشَرَ ٱلْجِنِّ وَٱلْإِنسِ أَلَمْ يَأْتِكُمْ رُسُلٌۭ مِّنكُمْ يَقُصُّونَ عَلَيْكُمْ ءَايَٰتِى وَيُنذِرُونَكُمْ لِقَآءَ يَوْمِكُمْ هَٰذَا ۚ قَالُوا۟ شَهِدْنَا عَلَىٰٓ أَنفُسِنَا ۖ وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَشَهِدُوا۟ عَلَىٰٓ أَنفُسِهِمْ أَنَّهُمْ كَانُوا۟ كَٰفِرِينَ",
              "translate_bn": "হে জ্বিন ও মানব সম্প্রদায়, তোমাদের কাছে কি তোমাদের মধ্য থেকে পয়গম্বরগণ আগমন করেনি? যাঁরা তোমাদেরকে আমার বিধানাবলী বর্ণনা করতেন এবং তোমাদেরকে আজকের এ দিনের সাক্ষাতের ভীতি প্রদর্শন করতেন? তারা বলবেঃ আমরা স্বীয় গোনাহ স্বীকার করে নিলাম। পার্থিব জীবন তাদেরকে প্রতারিত করেছে। তারা নিজেদের বিরুদ্ধে স্বীকার করে নিয়েছে যে, তারা কাফের ছিল।",
              "numberInSurah": 130,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ইয়া-মা‘শারাল জিন্নি ওয়াল ইনছি আলামইয়া’তিকুমরুছুলুম মিনকুম ইয়াকু সসূনা ‘আলাইকুম আ-য়া-তী ওয়া ইউনযিরূনাকুম লিকাআ ইয়াওমিকুম হা-যা- কা-লূশাহিদনা‘আলাআনফুছিনা-ওয়া গার রাতহুমুল হায়া-তুদ দুনইয়া-ওয়া শাহিদূ‘আলাআনফুছিহিম আন্নাহুম কা-নুকা-ফিরীন।",
              "words_arabic": "یٰمَعْشَرَ/يَٰمَعۡشَرَ/yama'shara//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ/وَٱلۡإِنسِ/wal-insi//اَلَمْ/أَلَمۡ/alam//یَاْتِكُمْ/يَأۡتِكُمۡ/yatikum//رُسُلٌ/رُسُلٞ/rusulun//مِّنْكُمْ/مِّنكُمۡ/minkum//یَقُصُّوْنَ/يَقُصُّونَ/yaqussuna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتِیْ/ءَايَٰتِي/ayati//وَ یُنْذِرُوْنَكُمْ/وَيُنذِرُونَكُمۡ/wayundhirunakum//لِقَآءَ/لِقَآءَ/liqaa//یَوْمِكُمْ/يَوۡمِكُمۡ/yawmikum//هٰذَا ؕ/هَٰذَاۚ/hadha//قَالُوْا/قَالُواْ/qalu//شَهِدْنَا/شَهِدۡنَا/shahid'na//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِنَا/أَنفُسِنَاۖ/anfusina//وَ غَرَّتْهُمُ/وَغَرَّتۡهُمُ/wagharrathumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ شَهِدُوْا/وَشَهِدُواْ/washahidu//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//اَنَّهُمْ/أَنَّهُمۡ/annahum//كَانُوْا/كَانُواْ/kanu//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "(বলা হবে) হে সসম্প্রদায়//জিনদের//ও মানুষের//কি নি//কাছে আসে তোমাদের//রাসূলগণ//মধ্যে হতে তোমাদের//(যারা) বর্ণনা করতো//কাছে তোমাদের//আমার নিদর্শনসমূহকে//এবং তারা সতর্ক করতো তোমাদেরকে//সাক্ষাতের//দিনের তোমাদের (অর্থাৎ আখিরাতের)\"//এই\"//তারা বলবে//\"সাক্ষ্য দিচ্ছি আমরা//বিরুদ্ধে//নিজেদের আমাদের\"//কিন্তু প্রতারিত করেছে তাদেরকে//জীবন//পার্থিব//এবং (তখন) তারা সাক্ষ্য দিবে//বিরুদ্ধে//নিজেদের তাদের//যে তারা//তারা ছিলো//কাফির"
            },
            {
              "number": 920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/920.mp3"
              ],
              "text": "ذَٰلِكَ أَن لَّمْ يَكُن رَّبُّكَ مُهْلِكَ ٱلْقُرَىٰ بِظُلْمٍۢ وَأَهْلُهَا غَٰفِلُونَ",
              "translate_bn": "এটা এ জন্যে যে, আপনার প্রতিপালক কোন জনপদের অধিবাসীদেরকে জুলুমের কারণে ধ্বংস করেন না এমতাবস্থায় যে, তথাকার অধিবাসীরা অজ্ঞ থাকে।",
              "numberInSurah": 131,
              "juz": 8,
              "manzil": 2,
              "page": 144,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা আল লাম ইয়াকুররাব্বুকা মুহলিকাল কুরা-বিজু লমিওঁ ওয়া আহ লুহা-গা-ফিলূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//اَنْ/أَن/an//لَّمْ/لَّمۡ/lam//یَكُنْ/يَكُن/yakun//رَّبُّكَ/رَّبُّكَ/rabbuka//مُهْلِكَ/مُهۡلِكَ/muh'lika//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//بِظُلْمٍ/بِظُلۡمٖ/bizul'min//وَّ اَهْلُهَا/وَأَهۡلُهَا/wa-ahluha//غٰفِلُوْنَ /غَٰفِلُونَ/ghafiluna",
              "words_bangla": "এটা (এ জন্যে)//যে//না//ছিলেন//তোমার রব//ধ্বংসকারী//কোনো জনপদকে//অন্যায় দ্বারা//এমতাবস্হায় তার অধিবাসী (ছিলো)//(পরিণতি সম্পর্কে) অনবহিত"
            },
            {
              "number": 921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/921.mp3"
              ],
              "text": "وَلِكُلٍّۢ دَرَجَٰتٌۭ مِّمَّا عَمِلُوا۟ ۚ وَمَا رَبُّكَ بِغَٰفِلٍ عَمَّا يَعْمَلُونَ",
              "translate_bn": "প্রত্যেকের জন্যে তাদের কর্মের আনুপাতিক মর্যাদা আছে এবং আপনার প্রতিপালক তাদের কর্ম সম্পর্কে বেখবর নন।",
              "numberInSurah": 132,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লিন দারাজা-তুম মিম্মা-‘আমিলূ ওয়ামা-রাব্বুকা বিগা-ফিলিন ‘আম্মা ইয়া‘মালূন।",
              "words_arabic": "وَ لِكُلٍّ/وَلِكُلّٖ/walikullin//دَرَجٰتٌ/دَرَجَٰتٞ/darajatun//مِّمَّا/مِّمَّا/mimma//عَمِلُوْا ؕ/عَمِلُواْۚ/amilu//وَ مَا/وَمَا/wama//رَبُّكَ/رَبُّكَ/rabbuka//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং সবার জন্য (রয়েছে)//মর্যাদাসমূহ//সে অনুসারে যা//তারা কাজ করেছে//এবং নন//তোমার রব//অনবহিত//তা হতে যা//তারা কাজ করে"
            },
            {
              "number": 922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/922.mp3"
              ],
              "text": "وَرَبُّكَ ٱلْغَنِىُّ ذُو ٱلرَّحْمَةِ ۚ إِن يَشَأْ يُذْهِبْكُمْ وَيَسْتَخْلِفْ مِنۢ بَعْدِكُم مَّا يَشَآءُ كَمَآ أَنشَأَكُم مِّن ذُرِّيَّةِ قَوْمٍ ءَاخَرِينَ",
              "translate_bn": "আপনার প্রতিপালক অমুখাপেক্ষী, করুণাময়। তিনি ইচ্ছা করলে তোমাদের সবাইকে উচ্ছেদ করে দিবেন এবং তোমাদের পর যাকে ইচ্ছা তোমাদের স্থলে অভিষিক্ত করবেন; যেমন তোমাদেরকে অন্য এক সম্প্রদায়ের বংশধর থেকে সৃষ্টি করেছেন।",
              "numberInSurah": 133,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বুকাল গানিইয়ুযুররাহমাতি ইয়ঁইয়াশা’ ইউযহিবকুম ওয়া ইয়াছতাখলিফ মিম বা‘দিকুম মা-ইয়াশাউ কামাআনশাআকুম মিন যুররিইইয়াতি কাওমিন আ-খারীন।",
              "words_arabic": "وَ رَبُّكَ/وَرَبُّكَ/warabbuka//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//ذُو/ذُو/dhu//الرَّحْمَةِ ؕ/ٱلرَّحۡمَةِۚ/al-rahmati//اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُذْهِبْكُمْ/يُذۡهِبۡكُمۡ/yudh'hib'kum//وَ یَسْتَخْلِفْ/وَيَسۡتَخۡلِفۡ/wayastakhlif//مِنْۢ/مِنۢ/min//بَعْدِكُمْ/بَعۡدِكُم/ba'dikum//مَّا/مَّا/ma//یَشَآءُ/يَشَآءُ/yashau//كَمَاۤ/كَمَآ/kama//اَنْشَاَكُمْ/أَنشَأَكُم/ansha-akum//مِّنْ/مِّن/min//ذُرِّیَّةِ/ذُرِّيَّةِ/dhurriyyati//قَوْمٍ/قَوۡمٍ/qawmin//اٰخَرِیْنَؕ/ءَاخَرِينَ/akharina",
              "words_bangla": "এবং তোমার রব//অভাবমুক্ত//অধিকারী//দয়ার//যদি//ইচ্ছে করেন তিনি//অপসারিত করতে পারেন তোমাদের//ও স্থলাভিষিক্ত করতে পারেন//থেকে//পর তোমাদের//যাকে//ইচ্ছে করবেন তিনি//যেমন//সৃষ্টি করেছেন তোমাদের//থেকে//বংশধরদের//সম্প্রদায়ের//অন্যান্য"
            },
            {
              "number": 923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/923.mp3"
              ],
              "text": "إِنَّ مَا تُوعَدُونَ لَءَاتٍۢ ۖ وَمَآ أَنتُم بِمُعْجِزِينَ",
              "translate_bn": "যে বিষয়ের ওয়াদা তোমাদের সাথে করা হয়, তা অবশ্যই আগমন করবে এবং তোমরা অক্ষম করতে পারবে না।",
              "numberInSurah": 134,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-তূ‘আদূ না লাআ-তিওঁ ওয়া মাআনতুম বিমু‘জিঝীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//مَا/مَا/ma//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//لَاٰتٍ ۙ/لَأٓتٖۖ/laatin//وَّ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُعْجِزِیْنَ /بِمُعۡجِزِينَ/bimu'jizina",
              "words_bangla": "নিশ্চয়ই//যা//তোমাদের প্রতিশ্রুতি দেয়া হচ্ছে//অবশ্যই আসবে//এবং না//তোমরা (সমর্থ হবে)//অক্ষম করতে (আল্লাহ্‌কে)"
            },
            {
              "number": 924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/924.mp3"
              ],
              "text": "قُلْ يَٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَامِلٌۭ ۖ فَسَوْفَ تَعْلَمُونَ مَن تَكُونُ لَهُۥ عَٰقِبَةُ ٱلدَّارِ ۗ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّٰلِمُونَ",
              "translate_bn": "আপনি বলে দিনঃ হে আমার সম্প্রদায়, তোমরা স্বস্থানে কাজ করে যাও, আমিও কাজ করি। অচিরেই জানতে পারবে যে, পরিণাম গৃহ কে লাভ করে। নিশ্চয় জালেমরা সুফলপ্রাপ্ত হবে না।",
              "numberInSurah": 135,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়া-কাওমি‘মালূ‘আলা-মাকা-নাতিকুম ইন্নী ‘আ-মিলূন ফাছাওফা তা‘লামূনা মান তাকূনুলাহূ‘আ-কিবাতুদ দা-রি ইন্নাহূলা-ইউফলিহুজ্জা-লিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْمَلُوْا/ٱعۡمَلُواْ/i'malu//عَلٰی/عَلَىٰ/ala//مَكَانَتِكُمْ/مَكَانَتِكُمۡ/makanatikum//اِنِّیْ/إِنِّي/inni//عَامِلٌ ۚ/عَامِلٞۖ/amilun//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَ ۙ/تَعۡلَمُونَ/ta'lamuna//مَنْ/مَن/man//تَكُوْنُ/تَكُونُ/takunu//لَهٗ/لَهُۥ/lahu//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الدَّارِ ؕ/ٱلدَّارِۚ/al-dari//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "(হে নাবী) বলো//\"হে আমার জাতি//তোমরা কাজ করো//উপর//তোমাদের জায়গায়//নিশ্চয়ই আমি//কর্মসম্পাদনকারী (নিজের স্হানে)//অতঃপর শীঘ্রই//তোমরা জানবে//কে//হবে (এমন যে)//জন্যে তার (থাকবে)//পরিণামে//(কল্যাণকর) আবাসস্থল//নিশ্চয়ই তা (এমন সত্য যে)//না//সফল হয়//সীমালঙ্ঘনকারীরা\""
            },
            {
              "number": 925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/925.mp3"
              ],
              "text": "وَجَعَلُوا۟ لِلَّهِ مِمَّا ذَرَأَ مِنَ ٱلْحَرْثِ وَٱلْأَنْعَٰمِ نَصِيبًۭا فَقَالُوا۟ هَٰذَا لِلَّهِ بِزَعْمِهِمْ وَهَٰذَا لِشُرَكَآئِنَا ۖ فَمَا كَانَ لِشُرَكَآئِهِمْ فَلَا يَصِلُ إِلَى ٱللَّهِ ۖ وَمَا كَانَ لِلَّهِ فَهُوَ يَصِلُ إِلَىٰ شُرَكَآئِهِمْ ۗ سَآءَ مَا يَحْكُمُونَ",
              "translate_bn": "আল্লাহ যেসব শস্যক্ষেত্র ও জীবজন্তু সৃষ্টি করেছেন, সেগুলো থেকে তারা এক অংশ আল্লাহর জন্য নির্ধারণ করে অতঃপর নিজ ধারণা অনুসারে বলে এটা আল্লাহর এবং এটা আমাদের অংশীদারদের। অতঃপর যে অংশ তাদের অংশীদারদের, তা তো আল্লাহর দিকে পৌঁছে না এবং যা আল্লাহর তা তাদের উপাস্যদের দিকে পৌছে যায়। তাদের বিচার কতই না মন্দ।",
              "numberInSurah": 136,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলূ লিল্লা-হি মিম্মা-যারাআ মিনাল হারছিওয়াল আন‘আ-মি নাসীবান ফাকা-লূ হা-যা-লিল্লা-হি বিঝা‘মিহিম ওয়া হা-যা-লিশুরাকাইনা- ফামা-কা-না লিশুরাকাইহিম ফালা-ইয়াসিলুইলাল্লা-হি ওয়া মা-কা-না লিল্লা-হি ফাহুওয়া ইয়াসিলু ইলা-শুরাকাইহিম ছাআ মা-ইয়াহকুমূন।",
              "words_arabic": "وَ جَعَلُوْا/وَجَعَلُواْ/waja'alu//لِلّٰهِ/لِلَّهِ/lillahi//مِمَّا/مِمَّا/mimma//ذَرَاَ/ذَرَأَ/dhara-a//مِنَ/مِنَ/mina//الْحَرْثِ/ٱلۡحَرۡثِ/al-harthi//وَ الْاَنْعَامِ/وَٱلۡأَنۡعَٰمِ/wal-an'ami//نَصِیْبًا/نَصِيبٗا/nasiban//فَقَالُوْا/فَقَالُواْ/faqalu//هٰذَا/هَٰذَا/hadha//لِلّٰهِ/لِلَّهِ/lillahi//بِزَعْمِهِمْ/بِزَعۡمِهِمۡ/biza'mihim//وَ هٰذَا/وَهَٰذَا/wahadha//لِشُرَكَآىِٕنَا ۚ/لِشُرَكَآئِنَاۖ/lishurakaina//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//لِشُرَكَآىِٕهِمْ/لِشُرَكَآئِهِمۡ/lishurakaihim//فَلَا/فَلَا/fala//یَصِلُ/يَصِلُ/yasilu//اِلَی/إِلَى/ila//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِلّٰهِ/لِلَّهِ/lillahi//فَهُوَ/فَهُوَ/fahuwa//یَصِلُ/يَصِلُ/yasilu//اِلٰی/إِلَىٰ/ila//شُرَكَآىِٕهِمْ ؕ/شُرَكَآئِهِمۡۗ/shurakaihim//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَحْكُمُوْنَ /يَحۡكُمُونَ/yahkumuna",
              "words_bangla": "এবং তারা নির্দিষ্ট করেছে//জন্যে আল্লাহ্‌র//তা হতে যা//তিনি সৃষ্টি করেছেন//মধ্য হতে//ক্ষেত ফসলের//ও গবাদি পশুর//এক অংশ//অতঃপর তারা বলে//\"এটা//জন্যে আল্লাহ্‌র\"//অনুযায়ী ধারণা তাদের//\"এবং (বল) এই (অন্য অংশটা)//জন্যে আমাদের শরিকদের\"//অতঃপর যা//হয়//জন্যে তাদের শরিকদের//তবে না//পৌঁছায়//কাছে//আল্লাহ্‌র//অথচ যা কিছু//হয়//জন্যে আল্লাহ্‌র//পরে তা//পৌঁছায়//কাছে//শরিকদের তাদের//নিকৃষ্ট//যা কিছু//তারা মীমাংসা করে"
            },
            {
              "number": 926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/926.mp3"
              ],
              "text": "وَكَذَٰلِكَ زَيَّنَ لِكَثِيرٍۢ مِّنَ ٱلْمُشْرِكِينَ قَتْلَ أَوْلَٰدِهِمْ شُرَكَآؤُهُمْ لِيُرْدُوهُمْ وَلِيَلْبِسُوا۟ عَلَيْهِمْ دِينَهُمْ ۖ وَلَوْ شَآءَ ٱللَّهُ مَا فَعَلُوهُ ۖ فَذَرْهُمْ وَمَا يَفْتَرُونَ",
              "translate_bn": "এমনিভাবে অনেক মুশরেকের দৃষ্টিতে তাদের উপাস্যরা সন্তান হত্যাকে সুশোভিত করে দিয়েছে যেন তারা তাদেরকে বিনষ্ট করে দেয় এবং তাদের ধর্মমতকে তাদের কাছে বিভ্রান্ত করে দেয়। যদি আল্লাহ চাইতেন, তবে তারা এ কাজ করত না। অতএব, আপনি তাদেরকে এবং তাদের মনগড়া বুলিকে পরিত্যাগ করুন।",
              "numberInSurah": 137,
              "juz": 8,
              "manzil": 2,
              "page": 145,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা ঝাইইয়ানা লিকাছীরিম মিনাল মুশরিকীনা কাতলা আওলা-দিহিম শুরাকাউহুম লিইউরদূ হুম ওয়া লিইয়ালবিছূ‘আলাইহিম দীনাহুম ওয়া লাও শাআল্লা-হু মা-ফা‘আলূহু ফাযারহুম ওয়ামা-ইয়াফতারূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//زَیَّنَ/زَيَّنَ/zayyana//لِكَثِیْرٍ/لِكَثِيرٖ/likathirin//مِّنَ/مِّنَ/mina//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//قَتْلَ/قَتۡلَ/qatla//اَوْلَادِهِمْ/أَوۡلَٰدِهِمۡ/awladihim//شُرَكَآؤُهُمْ/شُرَكَآؤُهُمۡ/shurakauhum//لِیُرْدُوْهُمْ/لِيُرۡدُوهُمۡ/liyur'duhum//وَ لِیَلْبِسُوْا/وَلِيَلۡبِسُواْ/waliyalbisu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//دِیْنَهُمْ ؕ/دِينَهُمۡۖ/dinahum//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//فَعَلُوْهُ/فَعَلُوهُۖ/fa'aluhu//فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//وَ مَا/وَمَا/wama//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এবং এভাবে//শোভন করা করেছে//জন্যে অনেকের//মধ্য হতে//মুশরিকদের//হত্যা করাকে//সন্তানদের তাদের//শরিকরা তাদের//যেন তারা ধ্বংস করে তাদেরকে//এবং যেন তারা দুর্বোধ্য করে//উপর তাদের//দীনকে তাদের//এবং যদি//ইচ্ছে করতেন//আল্লাহ্‌//না//তারা করত তা//অতএব ছেড়ে দাও তাদেরকে//এবং যা কিছু//তারা রচনা করেছে"
            },
            {
              "number": 927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/927.mp3"
              ],
              "text": "وَقَالُوا۟ هَٰذِهِۦٓ أَنْعَٰمٌۭ وَحَرْثٌ حِجْرٌۭ لَّا يَطْعَمُهَآ إِلَّا مَن نَّشَآءُ بِزَعْمِهِمْ وَأَنْعَٰمٌ حُرِّمَتْ ظُهُورُهَا وَأَنْعَٰمٌۭ لَّا يَذْكُرُونَ ٱسْمَ ٱللَّهِ عَلَيْهَا ٱفْتِرَآءً عَلَيْهِ ۚ سَيَجْزِيهِم بِمَا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "তারা বলেঃ এসব চতুষ্পদ জন্তু ও শস্যক্ষেত্র নিষিদ্ধ। আমরা যাকে ইচছা করি, সে ছাড়া এগুলো কেউ খেতে পারবে না, তাদের ধারণা অনুসারে। আর কিছুসংখ্যক চতুষ্পদ জন্তুর পিঠে আরোহন হারাম করা হয়েছে এবং কিছু সংখ্যক চতুষ্পদ জন্তুর উপর তারা ভ্রান্ত ধারনা বশতঃ আল্লাহর নাম উচ্চারণ করে না, তাদের মনগড়া বুলির কারণে, অচিরেই তিনি তাদের কে শাস্তি দিবেন।",
              "numberInSurah": 138,
              "juz": 8,
              "manzil": 2,
              "page": 146,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূহা-যিহীআন‘আ-মুওঁ ওয়া হারছুন হিজরুল লা-ইয়াত‘আমুহা-ইল্লামান নাশাউ বিঝা‘মিহিম ওয়া আন‘আ-মুন হুররিমাত জুহূরুহা-ওয়া আন‘আ-মুল লাইয়াযকুরূনাছমাল্লা-হি ‘আলাইহাফতিরাআন ‘আলাইহি ছাইয়াজঝীহিম বিমা-কা-নূ ইয়াফতারূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اَنْعَامٌ/أَنۡعَٰمٞ/an'amun//وَّ حَرْثٌ/وَحَرۡثٌ/waharthun//حِجْرٌ ۖۗ/حِجۡرٞ/hij'run//لَّا/لَّا/la//یَطْعَمُهَاۤ/يَطۡعَمُهَآ/yat'amuha//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//نَّشَآءُ/نَّشَآءُ/nashau//بِزَعْمِهِمْ/بِزَعۡمِهِمۡ/biza'mihim//وَ اَنْعَامٌ/وَأَنۡعَٰمٌ/wa-an'amun//حُرِّمَتْ/حُرِّمَتۡ/hurrimat//ظُهُوْرُهَا/ظُهُورُهَا/zuhuruha//وَ اَنْعَامٌ/وَأَنۡعَٰمٞ/wa-an'amun//لَّا/لَّا/la//یَذْكُرُوْنَ/يَذۡكُرُونَ/yadhkuruna//اسْمَ/ٱسۡمَ/is'ma//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهَا/عَلَيۡهَا/alayha//افْتِرَآءً/ٱفۡتِرَآءً/if'tiraan//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//سَیَجْزِیْهِمْ/سَيَجۡزِيهِم/sayajzihim//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এবং তারা বলে//\"এই//গবাদিপশুগুলো//ও ক্ষেত ফসল//সুরক্ষিত//না//খাবে তা//এ ছাড়া//যাকে//ইচ্ছা করিবো আমরা\"//অনুযায়ী ধারণা তাদের//এবং (কিছু) গবাদিপশু//নিষিদ্ধ করা হয়েছে//পিঠগুলোতে তাদের(কিছু উঠাতে)//ও (কিছু) গবাদিপশু//না//তারা উচ্চারণ করে (জবাই করার সময়)//নাম//আল্লাহ্‌র//উপর তার//তারা মিথ্যা রচনা করে//উপর তার//শীঘ্রই প্রতিফল দিবেন তাদের//এ কারণে যা//তারা ছিলো//তারা মিথ্যা রচনা করতে"
            },
            {
              "number": 928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/928.mp3"
              ],
              "text": "وَقَالُوا۟ مَا فِى بُطُونِ هَٰذِهِ ٱلْأَنْعَٰمِ خَالِصَةٌۭ لِّذُكُورِنَا وَمُحَرَّمٌ عَلَىٰٓ أَزْوَٰجِنَا ۖ وَإِن يَكُن مَّيْتَةًۭ فَهُمْ فِيهِ شُرَكَآءُ ۚ سَيَجْزِيهِمْ وَصْفَهُمْ ۚ إِنَّهُۥ حَكِيمٌ عَلِيمٌۭ",
              "translate_bn": "তারা বলেঃ এসব চতুষ্পদ জন্তুর পেটে যা আছে, তা বিশেষ ভাবে আমাদের পুরুষদের জন্যে এবং আমাদের মহিলাদের জন্যে তা হারাম। যদি তা মৃত হয়, তবে তার প্রাপক হিসাবে সবাই সমান। অচিরেই তিনি তাদেরকে তাদের বর্ণনার শাস্তি দিবেন। তিনি প্রজ্ঞাময়, মহাজ্ঞানী।",
              "numberInSurah": 139,
              "juz": 8,
              "manzil": 2,
              "page": 146,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূমা-ফী বুতূনি হা-যিহিল আন‘আ-মি খা-লিসাতুল লিযুকূরিনা-ওয়া মুহাররামুন ‘আলাআঝওয়াজিনা- ওয়াইয়ঁইয়াকুম মাইতাতান ফাহুম ফীহি শুরাকাউ ছাইয়াজঝীহিম ওয়াসফাহুম ইন্নাহূহাকীমুন ‘আলীম।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//مَا/مَا/ma//فِیْ/فِي/fi//بُطُوْنِ/بُطُونِ/butuni//هٰذِهِ/هَٰذِهِ/hadhihi//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//خَالِصَةٌ/خَالِصَةٞ/khalisatun//لِّذُكُوْرِنَا/لِّذُكُورِنَا/lidhukurina//وَ مُحَرَّمٌ/وَمُحَرَّمٌ/wamuharramun//عَلٰۤی/عَلَىٰٓ/ala//اَزْوَاجِنَا ۚ/أَزۡوَٰجِنَاۖ/azwajina//وَ اِنْ/وَإِن/wa-in//یَّكُنْ/يَكُن/yakun//مَّیْتَةً/مَّيۡتَةٗ/maytatan//فَهُمْ/فَهُمۡ/fahum//فِیْهِ/فِيهِ/fihi//شُرَكَآءُ ؕ/شُرَكَآءُۚ/shurakau//سَیَجْزِیْهِمْ/سَيَجۡزِيهِمۡ/sayajzihim//وَصْفَهُمْ ؕ/وَصۡفَهُمۡۚ/wasfahum//اِنَّهٗ/إِنَّهُۥ/innahu//حَكِیْمٌ/حَكِيمٌ/hakimun//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং তারা বলে//\"যা কিছু//মধ্যে (আছে)//পেটের//এই//গবাদিপশুগুলোর//বিশেষভাবে (নির্দিষ্ট)//জন্যে পুরুষদের আমাদের//ও নিষিদ্ধ//জন্য//স্ত্রীদের আমাদের//এবং যদি//তা হয়//মৃত//তবে তারা (নারী পুরুষ উভয়)//মধ্যে তার\"//(খাওয়ায়) অংশীদার হবে\"//শীঘ্রই প্রতিফল দিবেন তিনি তাদের//(এরূপ)বিশ্লেষণের তাদের//নিশ্চয়ই তিনি//প্রজ্ঞাময়//মহাজ্ঞানী"
            },
            {
              "number": 929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/929.mp3"
              ],
              "text": "قَدْ خَسِرَ ٱلَّذِينَ قَتَلُوٓا۟ أَوْلَٰدَهُمْ سَفَهًۢا بِغَيْرِ عِلْمٍۢ وَحَرَّمُوا۟ مَا رَزَقَهُمُ ٱللَّهُ ٱفْتِرَآءً عَلَى ٱللَّهِ ۚ قَدْ ضَلُّوا۟ وَمَا كَانُوا۟ مُهْتَدِينَ",
              "translate_bn": "নিশ্চয় তারা ক্ষতিগ্রস্ত হয়েছে, যারা নিজ সন্তানদেরকে নির্বুদ্ধিতাবশতঃ কোন প্রমাণ ছাড়াই হত্যা করেছে এবং আল্লাহ তাদেরকে যেসব দিয়েছিলেন, সেগুলোকে আল্লাহর প্রতি ভ্রান্ত ধারণা পোষণ করে হারাম করে নিয়েছে। নিশ্চিতই তারা পথভ্রষ্ট হয়েছে এবং সুপথগামী হয়নি।",
              "numberInSurah": 140,
              "juz": 8,
              "manzil": 2,
              "page": 146,
              "ruku": 117,
              "hizbQuarter": 58,
              "sajda": false,
              "pronunciation_bn": "কাদ খাছিরাল্লাযীনা কাতালূআওলা-দাহুম ছাফাহাম বিগাইরি ‘ইলমিওঁ ওয়া হাররামূমারাঝাকাহুমুল্লা -হুফ তিরাআন ‘আলাল্লা-হি; কাদ দাল্লু-ওয়া মা-কা-নূমুহতাদীন।",
              "words_arabic": "قَدْ/قَدۡ/qad//خَسِرَ/خَسِرَ/khasira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَتَلُوْۤا/قَتَلُوٓاْ/qatalu//اَوْلَادَهُمْ/أَوۡلَٰدَهُمۡ/awladahum//سَفَهًۢا/سَفَهَۢا/safahan//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ/عِلۡمٖ/il'min//وَّ حَرَّمُوْا/وَحَرَّمُواْ/waharramu//مَا/مَا/ma//رَزَقَهُمُ/رَزَقَهُمُ/razaqahumu//اللّٰهُ/ٱللَّهُ/al-lahu//افْتِرَآءً/ٱفۡتِرَآءً/if'tiraan//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قَدْ/قَدۡ/qad//ضَلُّوْا/ضَلُّواْ/dallu//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُهْتَدِیْنَ۠/مُهۡتَدِينَ/muh'tadina",
              "words_bangla": "নিশ্চয়ই//ক্ষতিগ্রস্ত হয়েছে//যারা//হত্যা করেছে//সন্তানদেরকে তাদের//নির্বুদ্ধিতার কারণে//ছাড়া//কোনো জ্ঞান//ও তারা নিষিদ্ধ করেছে//যা//জীবিকা‌ দিয়েছেন তাদের//আল্লাহ্‌//মিথ্যা রচনা করে//উপর//আল্লাহ্‌র//নিশ্চয়ই//তারা পথভ্রষ্ট হয়েছে//এবং না//তারা ছিলো//সৎপথ প্রাপ্ত"
            },
            {
              "number": 930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/930.mp3"
              ],
              "text": "۞ وَهُوَ ٱلَّذِىٓ أَنشَأَ جَنَّٰتٍۢ مَّعْرُوشَٰتٍۢ وَغَيْرَ مَعْرُوشَٰتٍۢ وَٱلنَّخْلَ وَٱلزَّرْعَ مُخْتَلِفًا أُكُلُهُۥ وَٱلزَّيْتُونَ وَٱلرُّمَّانَ مُتَشَٰبِهًۭا وَغَيْرَ مُتَشَٰبِهٍۢ ۚ كُلُوا۟ مِن ثَمَرِهِۦٓ إِذَآ أَثْمَرَ وَءَاتُوا۟ حَقَّهُۥ يَوْمَ حَصَادِهِۦ ۖ وَلَا تُسْرِفُوٓا۟ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْرِفِينَ",
              "translate_bn": "তিনিই উদ্যান সমূহ সৃষ্টি করেছে-তাও, যা মাচার উপর তুলে দেয়া হয়, এবং যা মাচার উপর তোলা হয় না এবং খর্জুর বৃক্ষ ও শস্যক্ষেত্র যেসবের স্বাদবিশিষ্ট এবং যয়তুন ও আনার সৃষ্টি করেছেন-একে অন্যের সাদৃশ্যশীল এবং সাদৃশ্যহীন। এগুলোর ফল খাও, যখন ফলন্ত হয় এবং হক দান কর কর্তনের সময়ে এবং অপব্যয় করো না। নিশ্চয় তিনি অপব্যয়ীদেরকে পছন্দ করেন না।",
              "numberInSurah": 141,
              "juz": 8,
              "manzil": 2,
              "page": 146,
              "ruku": 118,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী আনশাআ জান্না-তিম মা‘রূশা-তিওঁ ওয়া গাইরা মা‘রূশা-তিওঁ ওয়ান নাখলা ওয়াঝঝার‘আ মুখতালিফান উকুলুহূওয়াঝঝাইতূনা ওয়াররুম্মা-না মুতাশা-বিহাওঁ ওয়া গাইরা মুতাশা-বিহিন কুলূমিন ছামারিহী ইযাআছমারা ওয়া আ-তূহাক্কাহূইয়াওমা হাসা-দিহী ওয়ালা-তুছরিফূ ইন্নাহূলা-ইউহিব্বুল মুছরিফীন।",
              "words_arabic": "وَ هُوَ/۞وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْشَاَ/أَنشَأَ/ansha-a//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//مَّعْرُوْشٰتٍ/مَّعۡرُوشَٰتٖ/ma'rushatin//وَّ غَیْرَ/وَغَيۡرَ/waghayra//مَعْرُوْشٰتٍ/مَعۡرُوشَٰتٖ/ma'rushatin//وَّ النَّخْلَ/وَٱلنَّخۡلَ/wal-nakhla//وَ الزَّرْعَ/وَٱلزَّرۡعَ/wal-zar'a//مُخْتَلِفًا/مُخۡتَلِفًا/mukh'talifan//اُكُلُهٗ/أُكُلُهُۥ/ukuluhu//وَ الزَّیْتُوْنَ/وَٱلزَّيۡتُونَ/wal-zaytuna//وَ الرُّمَّانَ/وَٱلرُّمَّانَ/wal-rumana//مُتَشَابِهًا/مُتَشَٰبِهٗا/mutashabihan//وَّ غَیْرَ/وَغَيۡرَ/waghayra//مُتَشَابِهٍ ؕ/مُتَشَٰبِهٖۚ/mutashabihin//كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//ثَمَرِهٖۤ/ثَمَرِهِۦٓ/thamarihi//اِذَاۤ/إِذَآ/idha//اَثْمَرَ/أَثۡمَرَ/athmara//وَ اٰتُوْا/وَءَاتُواْ/waatu//حَقَّهٗ/حَقَّهُۥ/haqqahu//یَوْمَ/يَوۡمَ/yawma//حَصَادِهٖ ۖؗ/حَصَادِهِۦۖ/hasadihi//وَ لَا/وَلَا/wala//تُسْرِفُوْا ؕ/تُسۡرِفُوٓاْۚ/tus'rifu//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُسْرِفِیْنَۙ/ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন//বাগানসমূহ//মাচার উপর চড়ান (অর্থাৎ লতা জাতীয়)//ও নয়//মাচার উপর চড়ান (অর্থাৎ কান্ড বিশিষ্ট)//এবং খেজুর গাছ//ও ফসল//বিভিন্ন//স্বাদ তার//ও জলপাই//ও আনার//সদৃশ//এবং নয়//সদৃশ//তোমরা খাও//থেকে//ফল তার//যখন//ফলবান হয়//এবং তোমরা দাও//অধিকার তার (অর্থাৎ ওশর)//দিনে//কাটার তার//এবং না//তোমরা অপব্যয় করো//নিশ্চয়ই তিনি//না//ভালোবাসেন//অপব্যয়কারীদেরকে"
            },
            {
              "number": 931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/931.mp3"
              ],
              "text": "وَمِنَ ٱلْأَنْعَٰمِ حَمُولَةًۭ وَفَرْشًۭا ۚ كُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "তিনি সৃষ্টি করেছেন চতুষ্পদ জন্তুর মধ্যে বোঝা বহনকারীকে এবং খর্বাকৃতিকে। আল্লাহ তোমাদেরকে যা কিছু দিয়েছেন, তা থেকে খাও এবং শয়তানের পদাঙ্ক অনুসরণ করো না। সে তোমাদের প্রকাশ্য শত্রু।",
              "numberInSurah": 142,
              "juz": 8,
              "manzil": 2,
              "page": 146,
              "ruku": 118,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল আন‘আ-মি হামূলাতাওঁ ওয়া ফারশান কূলূমিম্মা-রাঝাকাকুমুল্লা-হু ওয়ালাতাত্তাবি‘ঊ খুতুওয়া-তিশশাইতা-নি ইন্নাহূলাকুম ‘আদুওউম মুবীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//حَمُوْلَةً/حَمُولَةٗ/hamulatan//وَّ فَرْشًا ؕ/وَفَرۡشٗاۚ/wafarshan//كُلُوْا/كُلُواْ/kulu//مِمَّا/مِمَّا/mimma//رَزَقَكُمُ/رَزَقَكُمُ/razaqakumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لَا/وَلَا/wala//تَتَّبِعُوْا/تَتَّبِعُواْ/tattabi'u//خُطُوٰتِ/خُطُوَٰتِ/khutuwati//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۚ/al-shaytani//اِنَّهٗ/إِنَّهُۥ/innahu//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌۙ/مُّبِينٞ/mubinun",
              "words_bangla": "এবং (তিনিই সৃষ্টি করেছেন) মধ্য হতে//গবাদিপশুর//ভারবাহী পশু (যেমন উট, গরু)//আবার ছোট আকারের পশু (যেমন ছাগল, ভেড়া)//তোমরা খাও//তা হতে যা//জীবিকা‌ দিয়েছেন তোমাদের//আল্লাহ্‌//এবং না//তোমরা অনুসরণ করো//পদাঙ্কসমূহের//শয়তানের//নিশ্চয়ই সে//জন্যে তোমাদের//শত্রু//প্রকাশ্য"
            },
            {
              "number": 932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/932.mp3"
              ],
              "text": "ثَمَٰنِيَةَ أَزْوَٰجٍۢ ۖ مِّنَ ٱلضَّأْنِ ٱثْنَيْنِ وَمِنَ ٱلْمَعْزِ ٱثْنَيْنِ ۗ قُلْ ءَآلذَّكَرَيْنِ حَرَّمَ أَمِ ٱلْأُنثَيَيْنِ أَمَّا ٱشْتَمَلَتْ عَلَيْهِ أَرْحَامُ ٱلْأُنثَيَيْنِ ۖ نَبِّـُٔونِى بِعِلْمٍ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "সৃষ্টি করেছেন আটটি নর ও মাদী। ভেড়ার মধ্যে দুই প্রকার ও ছাগলের মধ্যে দুই প্রকার। জিজ্ঞেস করুন, তিনি কি উভয় নর হারাম করেছেন, না উভয় মাদীকে ? না যা উভয় মাদীর পেটে আছে? তোমরা আমাকে প্রমাণসহ বল, যদি তোমরা সত্যবাদী হও।",
              "numberInSurah": 143,
              "juz": 8,
              "manzil": 2,
              "page": 147,
              "ruku": 118,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ছামা-নিয়াতা আঝওয়া-জিম মিনাদ্দা’নিছনাইনি ওয়া মিনাল মা‘ঝিছনাইনি কুল আযযাকারাইনি হাররামা আমিল উনছাইয়াইনি আম্মাশতামালাত ‘আলাইহি আরহা-মুল উনছাইয়াইনি নাব্বিঊনী বি‘ইলমিন ইন কুনতুম সা-দিকীন।",
              "words_arabic": "ثَمٰنِیَةَ/ثَمَٰنِيَةَ/thamaniyata//اَزْوَاجٍ ۚ/أَزۡوَٰجٖۖ/azwajin//مِنَ/مِّنَ/mina//الضَّاْنِ/ٱلضَّأۡنِ/al-dani//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//وَ مِنَ/وَمِنَ/wamina//الْمَعْزِ/ٱلۡمَعۡزِ/al-ma'zi//اثْنَیْنِ ؕ/ٱثۡنَيۡنِۗ/ith'nayni//قُلْ/قُلۡ/qul//ءٰٓالذَّكَرَیْنِ/ءَآلذَّكَرَيۡنِ/aldhakarayni//حَرَّمَ/حَرَّمَ/harrama//اَمِ/أَمِ/ami//الْاُنْثَیَیْنِ/ٱلۡأُنثَيَيۡنِ/al-unthayayni//اَمَّا/أَمَّا/amma//اشْتَمَلَتْ/ٱشۡتَمَلَتۡ/ish'tamalat//عَلَیْهِ/عَلَيۡهِ/alayhi//اَرْحَامُ/أَرۡحَامُ/arhamu//الْاُنْثَیَیْنِ ؕ/ٱلۡأُنثَيَيۡنِۖ/al-unthayayni//نَبِّـُٔوْنِیْ/نَبِّـُٔونِي/nabbiuni//بِعِلْمٍ/بِعِلۡمٍ/bi'il'min//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَۙ/صَٰدِقِينَ/sadiqina",
              "words_bangla": "(এসব পশু) আট//প্রকার//(যেমন) মধ্য হতে//মেষ (শ্রেণীর)//দু'টি (অর্থাৎ নর ও মাদী)//এবং মধ্য হতে//ছাগল (শ্রেণীর)//দু'টি (অর্থাৎ নর ও মাদী)//বলো//\"কি নর দু'টিকে//নিষিদ্ধ করেছেন (আল্লাহ্‌)//না//মাদি দু'টিকে//অথবা যা//ধারণ করেছে//কাছে তার//গর্ভসমূহ (অর্থাৎ বাচ্চা)//মাদি দু'টির//আমাকে তোমরা জানাও//দিয়ে জ্ঞান//যদি//হও তোমরা//সত্যবাদী\""
            },
            {
              "number": 933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/933.mp3"
              ],
              "text": "وَمِنَ ٱلْإِبِلِ ٱثْنَيْنِ وَمِنَ ٱلْبَقَرِ ٱثْنَيْنِ ۗ قُلْ ءَآلذَّكَرَيْنِ حَرَّمَ أَمِ ٱلْأُنثَيَيْنِ أَمَّا ٱشْتَمَلَتْ عَلَيْهِ أَرْحَامُ ٱلْأُنثَيَيْنِ ۖ أَمْ كُنتُمْ شُهَدَآءَ إِذْ وَصَّىٰكُمُ ٱللَّهُ بِهَٰذَا ۚ فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًۭا لِّيُضِلَّ ٱلنَّاسَ بِغَيْرِ عِلْمٍ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "সৃষ্টি করেছেন উটের মধ্যে দুই প্রকার এবং গরুর মধ্যে দুই প্রকার। আপনি জিজ্ঞেস করুনঃ তিনি কি উভয় নর হারাম করেছেন, না উভয় মাদীকে, না যা উভয় মাদীর পেটে আছে? তোমরা কি উপস্থিত ছিলে, যখন আল্লাহ এ নির্দেশ দিয়েছিলেন? অতএব সে ব্যক্তি অপেক্ষা বেশী অত্যচারী কে, যে আল্লাহ সম্পর্কে মিথ্যা ধারণা পোষন করে যাতে করে মানুষকে বিনা প্রমাণে পথভ্রষ্ট করতে পারে? নিশ্চয় আল্লাহ অত্যাচারী সম্প্রদায়কে পথপ্রদর্শন করেন না।",
              "numberInSurah": 144,
              "juz": 8,
              "manzil": 2,
              "page": 147,
              "ruku": 118,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল ইবিলিছনাইনি ওয়া মিনাল বাকারিছনাইনি কুল আযযাকারাইনি হাররামা আমিল উনছাইয়াইনি আম্মাশ তামালাত ‘আলাইহি আরহা-মুল উনছাইয়াইনি আম কুনতুম শুহাদাআ ইযওয়াসসা-কুমুল্লা-হু বিহা-যা- ফামান আজলামুমিম মানিফ তারা-‘আলাল্লা-হি কাযিবাল লিইউদিল্লান্না-ছা বিগাইরি ‘ইলমিন ইন্নালা-হা লাইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الْاِبِلِ/ٱلۡإِبِلِ/al-ibili//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//وَ مِنَ/وَمِنَ/wamina//الْبَقَرِ/ٱلۡبَقَرِ/al-baqari//اثْنَیْنِ ؕ/ٱثۡنَيۡنِۗ/ith'nayni//قُلْ/قُلۡ/qul//ءٰٓالذَّكَرَیْنِ/ءَآلذَّكَرَيۡنِ/aldhakarayni//حَرَّمَ/حَرَّمَ/harrama//اَمِ/أَمِ/ami//الْاُنْثَیَیْنِ/ٱلۡأُنثَيَيۡنِ/al-unthayayni//اَمَّا/أَمَّا/amma//اشْتَمَلَتْ/ٱشۡتَمَلَتۡ/ish'tamalat//عَلَیْهِ/عَلَيۡهِ/alayhi//اَرْحَامُ/أَرۡحَامُ/arhamu//الْاُنْثَیَیْنِ ؕ/ٱلۡأُنثَيَيۡنِۖ/al-unthayayni//اَمْ/أَمۡ/am//كُنْتُمْ/كُنتُمۡ/kuntum//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//اِذْ/إِذۡ/idh//وَصّٰىكُمُ/وَصَّىٰكُمُ/wassakumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٰذَا ۚ/بِهَٰذَاۚ/bihadha//فَمَنْ/فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبٗا/kadhiban//لِّیُضِلَّ/لِّيُضِلَّ/liyudilla//النَّاسَ/ٱلنَّاسَ/al-nasa//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ؕ/عِلۡمٍۚ/il'min//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং মধ্য হতে//উট (শ্রেণীর)//দু'টি (অর্থাৎ নর ও মাদি)//এবং মধ্য হতে//গরু (শ্রেণীর)//দু'টি (অর্থাৎ নর ও মাদি)//বল//\"কি নর দু'টি//নিষিদ্ধ করেছেন (আল্লাহ)//অথবা//মাদি দু'টিকে//অথবা যা//ধারণ করেছে//কাছে তার//গর্ভসমূহ (বাচ্চা)//মাদি দু'টির//অথবা//তোমরা ছিলে//সাক্ষী//যখন//নির্দেশ দেন তোমাদের//আল্লাহ্‌//ব্যাপারে এটার//অতএব কে//বড় সীমালঙ্ঘনকারী (হতে পারে)//তার চেয়ে যে//রচনা করে//উপর//আল্লাহ্‌র//মিথ্যা//জন্যে পথভ্রষ্ট করার//মানুষকে//ছাড়া//কোনো জ্ঞান//নিশ্চয়ই//আল্লাহ্‌//না//সৎপথ দেখান//সম্প্রদায়কে\"//(যারা) সীমালঙ্ঘনকারী\""
            },
            {
              "number": 934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/934.mp3"
              ],
              "text": "قُل لَّآ أَجِدُ فِى مَآ أُوحِىَ إِلَىَّ مُحَرَّمًا عَلَىٰ طَاعِمٍۢ يَطْعَمُهُۥٓ إِلَّآ أَن يَكُونَ مَيْتَةً أَوْ دَمًۭا مَّسْفُوحًا أَوْ لَحْمَ خِنزِيرٍۢ فَإِنَّهُۥ رِجْسٌ أَوْ فِسْقًا أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ ۚ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍۢ وَلَا عَادٍۢ فَإِنَّ رَبَّكَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আপনি বলে দিনঃ যা কিছু বিধান ওহীর মাধ্যমে আমার কাছে পৌঁছেছে, তন্মধ্যে আমি কোন হারাম খাদ্য পাই না কোন ভক্ষণকারীর জন্যে, যা সে ভক্ষণ করে; কিন্তু মৃত অথবা প্রবাহিত রক্ত অথবা শুকরের মাংস এটা অপবিত্র অথবা অবৈধ; যবেহ করা জন্তু যা আল্লাহ ছাড়া অন্যের নামে উৎসর্গ করা হয়। অতপর যে ক্ষুধায় কাতর হয়ে পড়ে এমতাবস্থায় যে অবাধ্যতা করে না এবং সীমালঙ্গন করে না, নিশ্চয় আপনার পালনকর্তা ক্ষমাশীল দয়ালু।",
              "numberInSurah": 145,
              "juz": 8,
              "manzil": 2,
              "page": 147,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "কুল লাআজিদুফী মাঊহিয়া ইলাইইয়া মুহাররামান ‘আলা- তা-‘ইমিইঁ ইয়াত‘আমুহূ ইল্লা আইঁ ইয়াকূনা মাইতাতান আও দামাম মাছফূহান আও লাহমা খিনঝীরিন ফাইন্নাহূ রিজছুন আও ফিছকান উহিল্লা লিগাইরিল্লা-হি বিহী ফামানিদতুররা গাইরা বা-গিওঁ ওয়ালা-‘আ-দিন ফাইন্না রাব্বাকা গাফূরুর রাহীম।\r\n",
              "words_arabic": "قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَجِدُ/أَجِدُ/ajidu//فِیْ/فِي/fi//مَاۤ/مَآ/ma//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیَّ/إِلَيَّ/ilayya//مُحَرَّمًا/مُحَرَّمًا/muharraman//عَلٰی/عَلَىٰ/ala//طَاعِمٍ/طَاعِمٖ/ta'imin//یَّطْعَمُهٗۤ/يَطۡعَمُهُۥٓ/yat'amuhu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//مَیْتَةً/مَيۡتَةً/maytatan//اَوْ/أَوۡ/aw//دَمًا/دَمٗا/daman//مَّسْفُوْحًا/مَّسۡفُوحًا/masfuhan//اَوْ/أَوۡ/aw//لَحْمَ/لَحۡمَ/lahma//خِنْزِیْرٍ/خِنزِيرٖ/khinzirin//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//رِجْسٌ/رِجۡسٌ/rij'sun//اَوْ/أَوۡ/aw//فِسْقًا/فِسۡقًا/fis'qan//اُهِلَّ/أُهِلَّ/uhilla//لِغَیْرِ/لِغَيۡرِ/lighayri//اللّٰهِ/ٱللَّهِ/al-lahi//بِهٖ ۚ/بِهِۦۚ/bihi//فَمَنِ/فَمَنِ/famani//اضْطُرَّ/ٱضۡطُرَّ/ud'turra//غَیْرَ/غَيۡرَ/ghayra//بَاغٍ/بَاغٖ/baghin//وَّ لَا/وَلَا/wala//عَادٍ/عَادٖ/adin//فَاِنَّ/فَإِنَّ/fa-inna//رَبَّكَ/رَبَّكَ/rabbaka//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "বলো//\"না//\"পাই আমি//মধ্যে//(তার) যা//ওহী করা হয়েছে//আমার প্রতি//নিষিদ্ধ হিসেবে//উপর//খাদ্য গ্রহণকারীর//সে খায় যা//এ ছাড়া//যে//(যা কিছু) হবে//মৃত//বা//রক্ত//বহমান//বা//মাংস//শুকরের//তবে নিশ্চয়ই তা//অপবিত্র//বা//অবৈধ (হওয়ার কারণ)//(জবাই করার সময়) নাম নেয়া হয়েছে//উদ্দেশ্যে (অন্যের)ছাড়া//আল্লাহ্‌//উপর তার//তবে যে//নিরুপায় হয়ে (খায়)//না//অবাধ্য হয়ে//আর না//সীমালঙ্ঘন করে//তবে নিশ্চয়ই//তোমার রব (সে ক্ষেত্রে)//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/935.mp3"
              ],
              "text": "وَعَلَى ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا كُلَّ ذِى ظُفُرٍۢ ۖ وَمِنَ ٱلْبَقَرِ وَٱلْغَنَمِ حَرَّمْنَا عَلَيْهِمْ شُحُومَهُمَآ إِلَّا مَا حَمَلَتْ ظُهُورُهُمَآ أَوِ ٱلْحَوَايَآ أَوْ مَا ٱخْتَلَطَ بِعَظْمٍۢ ۚ ذَٰلِكَ جَزَيْنَٰهُم بِبَغْيِهِمْ ۖ وَإِنَّا لَصَٰدِقُونَ",
              "translate_bn": "ইহুদীদের জন্যে আমি প্রত্যেক নখবিশিষ্ট জন্তু হারাম করেছিলাম এবং ছাগল ও গরু থেকে এতদুভয়ের চর্বি আমি তাদের জন্যে হারাম করেছিলাম, কিন্তু ঐ চর্বি, যা পৃষ্টে কিংবা অন্ত্রে সংযুক্ত থাকে অথবা অস্থির সাথে মিলিত থাকে। তাদের অবাধ্যতার কারণে আমি তাদেরকে এ শাস্তি দিয়েছিলাম। আর আমি অবশ্যই সত্যবাদী।",
              "numberInSurah": 146,
              "juz": 8,
              "manzil": 2,
              "page": 147,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলাল্লাযীনা হা-দূ হাররামনা-কুল্লাযী জুফুরিওঁ ওয়া মিনাল বাকারি ওয়াল গানামি হাররামনা-‘আলাইহিম শুহূমাহুমাইলা-মা-হামালাত জুহূরুহুমা-আবিল হাওয়া-ইয়াআও মাখতালাতা বি‘আজমিন যা-লিকা জাঝাইনা-হুম ব্বিাগইহিম ওয়া ইন্না-লাসা-দিকূন।",
              "words_arabic": "وَ عَلَی/وَعَلَى/wa'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْا/هَادُواْ/hadu//حَرَّمْنَا/حَرَّمۡنَا/harramna//كُلَّ/كُلَّ/kulla//ذِیْ/ذِي/dhi//ظُفُرٍ ۚ/ظُفُرٖۖ/zufurin//وَ مِنَ/وَمِنَ/wamina//الْبَقَرِ/ٱلۡبَقَرِ/al-baqari//وَ الْغَنَمِ/وَٱلۡغَنَمِ/wal-ghanami//حَرَّمْنَا/حَرَّمۡنَا/harramna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//شُحُوْمَهُمَاۤ/شُحُومَهُمَآ/shuhumahuma//اِلَّا/إِلَّا/illa//مَا/مَا/ma//حَمَلَتْ/حَمَلَتۡ/hamalat//ظُهُوْرُهُمَاۤ/ظُهُورُهُمَآ/zuhuruhuma//اَوِ/أَوِ/awi//الْحَوَایَاۤ/ٱلۡحَوَايَآ/al-hawaya//اَوْ/أَوۡ/aw//مَا/مَا/ma//اخْتَلَطَ/ٱخۡتَلَطَ/ikh'talata//بِعَظْمٍ ؕ/بِعَظۡمٖۚ/bi'azmin//ذٰلِكَ/ذَٰلِكَ/dhalika//جَزَیْنٰهُمْ/جَزَيۡنَٰهُم/jazaynahum//بِبَغْیِهِمْ ۖؗ/بِبَغۡيِهِمۡۖ/bibaghyihim//وَ اِنَّا/وَإِنَّا/wa-inna//لَصٰدِقُوْنَ /لَصَٰدِقُونَ/lasadiquna",
              "words_bangla": "এবং (তাদের) উপর//যারা//ইয়াহুদী হয়েছে//নিষিদ্ধ করেছিলাম আমরা//সব//বিশিষ্ট//নখর (জন্তু)//এবং মধ্য হতে//গরু//ও ছাগলের//হারাম করেছিলাম আমরা//উপর তাদের//চর্বিগুলো উভয়ের//তবে//যা//বহন করে//পিঠগুলো উভয়ের//বা//অন্ত্রগুলো//অথবা//যা//মিলিত হয়ে থাকে//সাথে হাড়ের (সেটা ভিন্ন কথা)//এটা//আমরা প্রতিফল দিয়েছি তাদেরকে//কারণে অবাধ্যতার তাদের//এবং নিশ্চয়ই আমরা//অবশ্যই সত্যবাদী"
            },
            {
              "number": 936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/936.mp3"
              ],
              "text": "فَإِن كَذَّبُوكَ فَقُل رَّبُّكُمْ ذُو رَحْمَةٍۢ وَٰسِعَةٍۢ وَلَا يُرَدُّ بَأْسُهُۥ عَنِ ٱلْقَوْمِ ٱلْمُجْرِمِينَ",
              "translate_bn": "যদি তারা আপনাকে মিথ্যবাদী বলে, তবে বলে দিনঃ তোমার প্রতিপালক সুপ্রশস্ত করুণার মালিক। তাঁর শাস্তি অপরাধীদের উপর থেকে টলবে না।",
              "numberInSurah": 147,
              "juz": 8,
              "manzil": 2,
              "page": 148,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ফাইন কাযযাবূকা ফাকুর রাব্বুকুম যূরাহমাতিওঁ ওয়া-ছি‘আতিওঁ ওয়ালা-ইউরাদ্দুবা’ছুহূ ‘আনিল কাওমিল মুজ রিমীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//كَذَّبُوْكَ/كَذَّبُوكَ/kadhabuka//فَقُلْ/فَقُل/faqul//رَّبُّكُمْ/رَّبُّكُمۡ/rabbukum//ذُوْ/ذُو/dhu//رَحْمَةٍ/رَحۡمَةٖ/rahmatin//وَّاسِعَةٍ ۚ/وَٰسِعَةٖ/wasi'atin//وَ لَا/وَلَا/wala//یُرَدُّ/يُرَدُّ/yuraddu//بَاْسُهٗ/بَأۡسُهُۥ/basuhu//عَنِ/عَنِ/ani//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "অতঃপর যদি//তোমাকে তারা মিথ্যা প্রতিপন্ন করে//তবে বলো//\"রব তোমাদের//অধিকারী//দয়ার//সুপ্রশস্ত ও ব্যাপক//কিন্তু না//ফিরানো যায়//শাস্তি তাঁর//থেকে//সম্প্রদায়ের//(যারা) অপরাধী\""
            },
            {
              "number": 937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/937.mp3"
              ],
              "text": "سَيَقُولُ ٱلَّذِينَ أَشْرَكُوا۟ لَوْ شَآءَ ٱللَّهُ مَآ أَشْرَكْنَا وَلَآ ءَابَآؤُنَا وَلَا حَرَّمْنَا مِن شَىْءٍۢ ۚ كَذَٰلِكَ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ حَتَّىٰ ذَاقُوا۟ بَأْسَنَا ۗ قُلْ هَلْ عِندَكُم مِّنْ عِلْمٍۢ فَتُخْرِجُوهُ لَنَآ ۖ إِن تَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ أَنتُمْ إِلَّا تَخْرُصُونَ",
              "translate_bn": "এখন মুশরেকরা বলবেঃ যদি আল্লাহ ইচ্ছা করতেন, তবে না আমরা শিরক করতাম, না আমাদের বাপ দাদারা এবং না আমরা কোন বস্তুকে হারাম করতাম। এমনিভাবে তাদের পূর্ববর্তীরা মিথ্যারোপ করেছে, এমন কি তারা আমার শাস্তি আস্বাদন করেছে। আপনি বলুনঃ তোমাদের কাছে কি কোন প্রমাণ আছে যা আমাদেরকে দেখাতে পার। তোমরা শুধুমাত্র আন্দাজের অনুসরণ কর এবং তোমরা শুধু অনুমান করে কথা বল।",
              "numberInSurah": 148,
              "juz": 8,
              "manzil": 2,
              "page": 148,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলুল্লাযীনা আশরাকূলাও শাআলা-হু মাআশরাকনা-ওয়ালাআ-বাউনাওয়ালা-হাররামনা-মিন শাইয়িন কাযা-লিকা কাযযাবাল্লাযীনা মিন কাবলিহিম হাত্তা-যা-কূবা’ছানা- কুল হাল ‘ইনদাকুম মিন ‘ইলমিন ফাতুখরিজূহু লানা- ইন তাত্তাবি‘ঊনা ইল্লাজ্জান্না ওয়া ইন আনতুম ইল্লা-তাখরুসূন।",
              "words_arabic": "سَیَقُوْلُ/سَيَقُولُ/sayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//لَوْ/لَوۡ/law//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَاۤ/مَآ/ma//اَشْرَكْنَا/أَشۡرَكۡنَا/ashrakna//وَ لَاۤ/وَلَآ/wala//اٰبَآؤُنَا/ءَابَآؤُنَا/abauna//وَ لَا/وَلَا/wala//حَرَّمْنَا/حَرَّمۡنَا/harramna//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//كَذَّبَ/كَذَّبَ/kadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//حَتّٰی/حَتَّىٰ/hatta//ذَاقُوْا/ذَاقُواْ/dhaqu//بَاْسَنَا ؕ/بَأۡسَنَاۗ/basana//قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//عِنْدَكُمْ/عِندَكُم/indakum//مِّنْ/مِّنۡ/min//عِلْمٍ/عِلۡمٖ/il'min//فَتُخْرِجُوْهُ/فَتُخۡرِجُوهُ/fatukh'rijuhu//لَنَا ؕ/لَنَآۖ/lana//اِنْ/إِن/in//تَتَّبِعُوْنَ/تَتَّبِعُونَ/tattabi'una//اِلَّا/إِلَّا/illa//الظَّنَّ/ٱلظَّنَّ/al-zana//وَ اِنْ/وَإِنۡ/wa-in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//تَخْرُصُوْنَ /تَخۡرُصُونَ/takhrusuna",
              "words_bangla": "শীঘ্রই বলবে//যারা//শিরক করেছে//\"যদি//ইচ্ছে করতেন//আল্লাহ্‌//না//শিরক করতাম আমরা//এবং না//পূর্ব পুরুষরা আমাদের//এবং না//নিষিদ্ধ করতাম আমরা//কোনো//কিছুই\"//এভাবে//মিথ্যা বলেছে//(তারাও) যারা//থেকে//পূর্ব তাদের  (ছিলো)//যতক্ষণ না//তারা স্বাদ নিয়েছে//শাস্তির আমাদের//বলো//\"কি (আছে)//কাছে তোমাদের//কোনো//জ্ঞান//তবে তোমরা পেশ করো তা//কাছে আমাদের//(প্রকৃতপক্ষে) না//তোমরা অনুসরণ করো//এ ছাড়া//অনুমানের//এবং না//তোমরা//এ ছাড়া//মিথ্যা রচনা করো\""
            },
            {
              "number": 938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/938.mp3"
              ],
              "text": "قُلْ فَلِلَّهِ ٱلْحُجَّةُ ٱلْبَٰلِغَةُ ۖ فَلَوْ شَآءَ لَهَدَىٰكُمْ أَجْمَعِينَ",
              "translate_bn": "আপনি বলে দিনঃ অতএব, পরিপূর্ন যুক্তি আল্লাহরই। তিনি ইচ্ছা করলে তোমাদের সবাইকে পথ প্রদর্শন করতেন।",
              "numberInSurah": 149,
              "juz": 8,
              "manzil": 2,
              "page": 148,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "কুল ফালিল্লা-হিল হুজ্জাতুল বা-লিগাতু ফালাও শাআ লাহাদা-কুম আজমা‘ঈন।",
              "words_arabic": "قُلْ/قُلۡ/qul//فَلِلّٰهِ/فَلِلَّهِ/falillahi//الْحُجَّةُ/ٱلۡحُجَّةُ/al-hujatu//الْبَالِغَةُ ۚ/ٱلۡبَٰلِغَةُۖ/al-balighatu//فَلَوْ/فَلَوۡ/falaw//شَآءَ/شَآءَ/shaa//لَهَدٰىكُمْ/لَهَدَىٰكُمۡ/lahadakum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "বলো//\"কেবল জন্যে আল্লাহ্‌রই//যুক্তিপ্রমাণ//পরিপূর্ণ ও চূড়ান্ত//অতঃপর যদি//ইচ্ছে করতেন//অবশ্যই সৎপথে পরিচালিত করতেন তোমাদের//সকলকে\""
            },
            {
              "number": 939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/939.mp3"
              ],
              "text": "قُلْ هَلُمَّ شُهَدَآءَكُمُ ٱلَّذِينَ يَشْهَدُونَ أَنَّ ٱللَّهَ حَرَّمَ هَٰذَا ۖ فَإِن شَهِدُوا۟ فَلَا تَشْهَدْ مَعَهُمْ ۚ وَلَا تَتَّبِعْ أَهْوَآءَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ وَهُم بِرَبِّهِمْ يَعْدِلُونَ",
              "translate_bn": "আপনি বলুনঃ তোমাদের সাক্ষীদেরকে আন, যারা সাক্ষ্য দেয় যে, আল্লাহ তা’আলা এগুলো হারাম করেছেন। যদি তারা সাক্ষ্য দেয়, তবে আপনি এ সাক্ষ্য গ্রহণ করবেন না এবং তাদের কুপ্রবৃত্তির অনুসরণ করবেন না, যারা আমার নির্দেশাবলীকে মিথ্যা বলে, যারা পরকালে বিশ্বাস করে না এবং যারা স্বীয় প্রতিপালকের সমতুল্য অংশীদার করে।",
              "numberInSurah": 150,
              "juz": 8,
              "manzil": 2,
              "page": 148,
              "ruku": 119,
              "hizbQuarter": 59,
              "sajda": false,
              "pronunciation_bn": "কুল হালুম্মা শুহাদাআ কুমুলাযীনা ইয়াশহাদূ না আন্নাল্লা-হা হাররামা হা-যা- ফাইন শাহিদূফালা-তাশহাদ মা‘আহুম ওয়ালা-তাত্তাবি‘ আহওয়াআল্লাযীনা কাযযাবূবিআয়া-তিনা-ওয়াল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি ওয়াহুম বিরাব্বিহিম ইয়া‘দিলূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلُمَّ/هَلُمَّ/halumma//شُهَدَآءَكُمُ/شُهَدَآءَكُمُ/shuhadaakumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَشْهَدُوْنَ/يَشۡهَدُونَ/yashhaduna//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//حَرَّمَ/حَرَّمَ/harrama//هٰذَا ۚ/هَٰذَاۖ/hadha//فَاِنْ/فَإِن/fa-in//شَهِدُوْا/شَهِدُواْ/shahidu//فَلَا/فَلَا/fala//تَشْهَدْ/تَشۡهَدۡ/tashhad//مَعَهُمْ ۚ/مَعَهُمۡۚ/ma'ahum//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//اَهْوَآءَ/أَهۡوَآءَ/ahwaa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//وَ هُمْ/وَهُم/wahum//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//یَعْدِلُوْنَ۠/يَعۡدِلُونَ/ya'diluna",
              "words_bangla": "বলো//\"উপস্হিত করো//সাক্ষীদেরকে তোমাদের//যারা//সাক্ষ্য দেয়//যে//আল্লাহ্‌//নিষিদ্ধ করেছেন//এটা\"//অতঃপর যদি//তারা সাক্ষ্য দেয়ও//তবুও না//সাক্ষ্য দিও তুমি//সাথে তাদের//এবং না//অনুসরণ করো//(তাদের) খেয়ালখুশির//যারা//মিথ্যা প্রতিপন্ন করেছে//প্রতি আমাদের আয়াতগুলোর//এবং যারা//না//ঈমান আনে//উপর আখিরাতের//এবং তারা//সাথে রবের তাদের//সমতুল্য করেছে (অন্যান্যকেও)"
            },
            {
              "number": 940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/940.mp3"
              ],
              "text": "۞ قُلْ تَعَالَوْا۟ أَتْلُ مَا حَرَّمَ رَبُّكُمْ عَلَيْكُمْ ۖ أَلَّا تُشْرِكُوا۟ بِهِۦ شَيْـًۭٔا ۖ وَبِٱلْوَٰلِدَيْنِ إِحْسَٰنًۭا ۖ وَلَا تَقْتُلُوٓا۟ أَوْلَٰدَكُم مِّنْ إِمْلَٰقٍۢ ۖ نَّحْنُ نَرْزُقُكُمْ وَإِيَّاهُمْ ۖ وَلَا تَقْرَبُوا۟ ٱلْفَوَٰحِشَ مَا ظَهَرَ مِنْهَا وَمَا بَطَنَ ۖ وَلَا تَقْتُلُوا۟ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "আপনি বলুনঃ এস, আমি তোমাদেরকে ঐসব বিষয় পাঠ করে শুনাই, যেগুলো তোমাদের প্রতিপালক তোমাদের জন্যে হারাম করেছেন। তাএই যে, আল্লাহর সাথে কোন কিছুকে অংশীদার করো না, পিতা-মাতার সাথে সদয় ব্যবহার করো স্বীয় সন্তানদেরকে দারিদ্রে?480; কারণে হত্যা করো না, আমি তোমাদেরকে ও তাদেরকে আহার দেই, নির্লজ্জতার কাছেও যেয়ো না, প্রকাশ্য হোক কিংবা অপ্রকাশ্য, যাকে হত্যা করা আল্লাহ হারাম করেছেন, তাকে হত্যা করো না; কিন্তু ন্যায়ভাবে। তোমাদেরকে এ নির্দেশ দিয়েছেন, যেন তোমরা বুঝ।",
              "numberInSurah": 151,
              "juz": 8,
              "manzil": 2,
              "page": 148,
              "ruku": 120,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "কুল তা‘আ-লাও আতলুমা-হাররামা রাব্বুকুম ‘আলাইকুম আল্লা-তুশরিকূবিহী শাইআওঁ ওয়া বিলওয়া-লিদাইনি ইহছা-নাওঁ ওয়ালা-তাকতুলূআওলা-দাকুম মিন ইমলা-কিন নাহনুনারঝুকুকুম ওয়া ইয়্যা-হুম ওয়ালা-তাকরাবুল ফাওয়া-হিশা মা-জাহারা মিনহা-ওয়ামা-বাতানা ওয়ালা-তাকতুলুন্নাফছাল্লাতী হাররামালা-হু ইল্লা-বিলহাক্কি যা-লিকুম ওয়াসসা-কুম বিহী লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//اَتْلُ/أَتۡلُ/atlu//مَا/مَا/ma//حَرَّمَ/حَرَّمَ/harrama//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//عَلَیْكُمْ/عَلَيۡكُمۡۖ/alaykum//اَلَّا/أَلَّا/alla//تُشْرِكُوْا/تُشۡرِكُواْ/tush'riku//بِهٖ/بِهِۦ/bihi//شَیْـًٔا/شَيۡـٔٗاۖ/shayan//وَّ بِالْوَالِدَیْنِ/وَبِٱلۡوَٰلِدَيۡنِ/wabil-walidayni//اِحْسَانًا ۚ/إِحۡسَٰنٗاۖ/ih'sanan//وَ لَا/وَلَا/wala//تَقْتُلُوْۤا/تَقۡتُلُوٓاْ/taqtulu//اَوْلَادَكُمْ/أَوۡلَٰدَكُم/awladakum//مِّنْ/مِّنۡ/min//اِمْلَاقٍ ؕ/إِمۡلَٰقٖ/im'laqin//نَحْنُ/نَّحۡنُ/nahnu//نَرْزُقُكُمْ/نَرۡزُقُكُمۡ/narzuqukum//وَ اِیَّاهُمْ ۚ/وَإِيَّاهُمۡۖ/wa-iyyahum//وَ لَا/وَلَا/wala//تَقْرَبُوا/تَقۡرَبُواْ/taqrabu//الْفَوَاحِشَ/ٱلۡفَوَٰحِشَ/al-fawahisha//مَا/مَا/ma//ظَهَرَ/ظَهَرَ/zahara//مِنْهَا/مِنۡهَا/min'ha//وَ مَا/وَمَا/wama//بَطَنَ ۚ/بَطَنَۖ/batana//وَ لَا/وَلَا/wala//تَقْتُلُوا/تَقۡتُلُواْ/taqtulu//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//الَّتِیْ/ٱلَّتِي/allati//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//وَصّٰىكُمْ/وَصَّىٰكُم/wassakum//بِهٖ/بِهِۦ/bihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "বলো//\"তোমরা আসো//তিলাওয়াত করবো আমি//যা//নিষেধ করেছেন//রব তোমাদের//উপর তোমাদের//(তা এই)  যে না//তোমরা শিরক করো//সাথে তাঁর//কোনো কিছুকে//এবং সাথে  পিতামাতার//সদ্ব্যবহার করবে//এবং না//তোমরা হত্যা করো//সন্তানদের তোমাদের//ভয়ে//দারিদ্রের//আমরা//আমরা জীবিকা দিই তোমাদের//এবং তাদেরকেও//এবং না//তোমরা নিকটে যেও//অশ্লীলতার//যা//প্রকাশ্য (হোক)//তা হতে//কিংবা যা//অপ্রকাশ্য (তাও)//এবং না//তোমরা হত্যা করো//কোনো প্রাণকে//যাকে//নিষিদ্ধ করেছেন//আল্লাহ্‌//ছাড়া//কারণ যথার্থ (যেমন জিহাদে)//এটা//নির্দেশ দিচ্ছেন তোমাদের//সম্পর্কে তা//যাতে তোমরা//অনুধাবন করো\""
            },
            {
              "number": 941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/941.mp3"
              ],
              "text": "وَلَا تَقْرَبُوا۟ مَالَ ٱلْيَتِيمِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ حَتَّىٰ يَبْلُغَ أَشُدَّهُۥ ۖ وَأَوْفُوا۟ ٱلْكَيْلَ وَٱلْمِيزَانَ بِٱلْقِسْطِ ۖ لَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَا ۖ وَإِذَا قُلْتُمْ فَٱعْدِلُوا۟ وَلَوْ كَانَ ذَا قُرْبَىٰ ۖ وَبِعَهْدِ ٱللَّهِ أَوْفُوا۟ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "এতীমদের ধনসম্পদের কাছেও যেয়ো না; কিন্তু উত্তম পন্থায় যে পর্যন্ত সে বয়ঃপ্রাপ্ত না হয়। ওজন ও মাপ পূর্ণ কর ন্যায় সহকারে। আমি কাউকে তার সাধ্যের অতীত কষ্ট দেই না। যখন তোমরা কথা বল, তখন সুবিচার কর, যদিও সে আত্নীয়ও হয়। আল্লাহর অঙ্গীকার পূর্ণ কর।",
              "numberInSurah": 152,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 120,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা- তাকরাবূমা-লাল ইয়াতীমি ইলা-বিল্লাতী হিয়া আহছানুহাত্তা-ইয়াবলুগা আশুদ্দাহুূ ওয়া আওফুল কাইলা ওয়াল মীঝা-না বিলকিছতি লা-নুকালিলফুনাফছান ইল্লাউছ‘আহা- ওয়া ইযা-কুলতুম ফা‘দিলূওয়া লাও কা-না যা-কুরবা- ওয়া বি‘আহদিল্লা-হি আওফূ যা-লিকুম ওয়াসসা-কুম বিহী লা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْرَبُوْا/تَقۡرَبُواْ/taqrabu//مَالَ/مَالَ/mala//الْیَتِیْمِ/ٱلۡيَتِيمِ/al-yatimi//اِلَّا/إِلَّا/illa//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ/أَحۡسَنُ/ahsanu//حَتّٰی/حَتَّىٰ/hatta//یَبْلُغَ/يَبۡلُغَ/yablugha//اَشُدَّهٗ ۚ/أَشُدَّهُۥۚ/ashuddahu//وَ اَوْفُوا/وَأَوۡفُواْ/wa-awfu//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//وَ الْمِیْزَانَ/وَٱلۡمِيزَانَ/wal-mizana//بِالْقِسْطِ ۚ/بِٱلۡقِسۡطِۖ/bil-qis'ti//لَا/لَا/la//نُكَلِّفُ/نُكَلِّفُ/nukallifu//نَفْسًا/نَفۡسًا/nafsan//اِلَّا/إِلَّا/illa//وُسْعَهَا ۚ/وُسۡعَهَاۖ/wus'aha//وَ اِذَا/وَإِذَا/wa-idha//قُلْتُمْ/قُلۡتُمۡ/qul'tum//فَاعْدِلُوْا/فَٱعۡدِلُواْ/fa-i'dilu//وَ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//ذَا/ذَا/dha//قُرْبٰی ۚ/قُرۡبَىٰۖ/qur'ba//وَ بِعَهْدِ/وَبِعَهۡدِ/wabi'ahdi//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْفُوْا ؕ/أَوۡفُواْۚ/awfu//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//وَصّٰىكُمْ/وَصَّىٰكُم/wassakum//بِهٖ/بِهِۦ/bihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَۙ/تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "এবং না//তোমরা নিকটেও যেও//সম্পদের//ইয়াতীমের//তবে//এমনভাবে//যা//অতি উত্তম (যেমন তাদের ভরণ পোষণ)//যতক্ষণ না//সে পৌঁছে//বয়ঃপ্রাপ্ততায় তার//এবং তোমরা পূর্ণ দিবে//পরিমাপ//ও ওজন//ভাবে ন্যায্য//না//ভার অর্পণ করি আমরা//কোনো ব্যক্তিকে//এ ছাড়া (যা)//তার সামর্থ্য (আছে)//এবং যখন//কথা বলো তোমরা//তখন তোমরা সুবিচার করো//এবং যদি//সে হয়//সম্পন্ন//নৈকট্য//এবং অঙ্গীকারকে//আল্লাহ্‌র//তোমরা পূর্ণ করো//এটা//নির্দেশ দিচ্ছেন তোমাদের//সম্পর্কে সে//সম্ভবতঃ তোমরা//উপদেশ গ্রহণ করবে"
            },
            {
              "number": 942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/942.mp3"
              ],
              "text": "وَأَنَّ هَٰذَا صِرَٰطِى مُسْتَقِيمًۭا فَٱتَّبِعُوهُ ۖ وَلَا تَتَّبِعُوا۟ ٱلسُّبُلَ فَتَفَرَّقَ بِكُمْ عَن سَبِيلِهِۦ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "তোমাদেরকে এ নির্দেশ দিয়েছেন, যেন তোমরা উপদেশ গ্রহণ কর। নিশ্চিত এটি আমার সরল পথ। অতএব, এ পথে চল এবং অন্যান্য পথে চলো না। তা হলে সেসব পথ তোমাদেরকে তাঁর পথ থেকে বিচ্ছিন্ন করে দিবে। তোমাদেরকে এ নির্দেশ দিয়েছেন, যাতে তোমরা সংযত হও।",
              "numberInSurah": 153,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 120,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না হা-যা-সিরা-তী মুছতাকীমান ফাত্তাবি‘ঊহু ওয়ালা-তাত্তাবি‘উছ ছুবুলা ফাতাফাররাকা বিকুম ‘আন ছাবীলিহী যা-লিকুম ওয়াসসা-কুম বিহী লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "وَ اَنَّ/وَأَنَّ/wa-anna//هٰذَا/هَٰذَا/hadha//صِرَاطِیْ/صِرَٰطِي/sirati//مُسْتَقِیْمًا/مُسۡتَقِيمٗا/mus'taqiman//فَاتَّبِعُوْهُ ۚ/فَٱتَّبِعُوهُۖ/fa-ittabi'uhu//وَ لَا/وَلَا/wala//تَتَّبِعُوا/تَتَّبِعُواْ/tattabi'u//السُّبُلَ/ٱلسُّبُلَ/al-subula//فَتَفَرَّقَ/فَتَفَرَّقَ/fatafarraqa//بِكُمْ/بِكُمۡ/bikum//عَنْ/عَن/an//سَبِیْلِهٖ ؕ/سَبِيلِهِۦۚ/sabilihi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//وَصّٰىكُمْ/وَصَّىٰكُم/wassakum//بِهٖ/بِهِۦ/bihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং নিশ্চয়ই//এটাই//আমার পথ//সরল-সঠিক//অতএব তোমরা অনুসরণ করো তা//এবং না//তোমরা অনুসরণ করো//(শয়তানের) পথগুলোর//তাহলে বিচ্ছিন্ন করবে//তোমাদেরকে//হতে//পথ তাঁর//এটা//(আল্লাহ্‌) জোর নির্দেশ দেন তোমাদেরকে//সম্পর্কে সে//সম্ভবতঃ তোমরা//সংযত হবে"
            },
            {
              "number": 943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/943.mp3"
              ],
              "text": "ثُمَّ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ تَمَامًا عَلَى ٱلَّذِىٓ أَحْسَنَ وَتَفْصِيلًۭا لِّكُلِّ شَىْءٍۢ وَهُدًۭى وَرَحْمَةًۭ لَّعَلَّهُم بِلِقَآءِ رَبِّهِمْ يُؤْمِنُونَ",
              "translate_bn": "অতঃপর আমি মূসাকে গ্রন্থ দিয়েছি, সৎকর্মীদের প্রতি নেয়ামতপূর্ণ করার জন্যে, প্রত্যেক বস্তুর বিশদ বিবরণের জন্যে, হোদায়াতের জন্যে এবং করুণার জন্যে-যাতে তারা স্বীয় পালনকর্তার সাথে সাক্ষাতে বিশ্বাসী হয়।",
              "numberInSurah": 154,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 120,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আ-তাইনা-মূছাল কিতা-বা তামা-মান ‘আলাল্লাযী-আহছানা ওয়া তাফসীলাল লিকুল্লি শাইয়িওঁ ওয়া হুদাওঁ ওয়া রাহমাতাল লা‘আল্লাহুম বিলিকাই রাব্বিহিম ইউ’মিনূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//تَمَامًا/تَمَامًا/tamaman//عَلَی/عَلَى/ala//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَحْسَنَ/أَحۡسَنَ/ahsana//وَ تَفْصِیْلًا/وَتَفۡصِيلٗا/watafsilan//لِّكُلِّ/لِّكُلِّ/likulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لَّعَلَّهُمْ/لَّعَلَّهُم/la'allahum//بِلِقَآءِ/بِلِقَآءِ/biliqai//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یُؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এরপর//আমরা দিয়েছি//মূসাকে//কিতাব//সম্পূর্ণ (নিয়ামাত)//(তার) জন্যে//যে//সৎ কাজ করে//ও (তা ছিলো) বিস্তারিত বিবরণ//জন্যে সব//(জরুরী) জিনিসের//ও পথ-নির্দেশ//ও দয়াস্বরূপ//যাতে তারা//প্রতি সাক্ষাতের//রবের তাদের//তারা বিশ্বাস করে"
            },
            {
              "number": 944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/944.mp3"
              ],
              "text": "وَهَٰذَا كِتَٰبٌ أَنزَلْنَٰهُ مُبَارَكٌۭ فَٱتَّبِعُوهُ وَٱتَّقُوا۟ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "এটি এমন একটি গ্রন্থ, যা আমি অবতীর্ণ করেছি, খুব মঙ্গলময়, অতএব, এর অনুসরণ কর এবং ভয় কর-যাতে তোমরা করুণাপ্রাপ্ত হও।",
              "numberInSurah": 155,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ওয়া হা-যা-কিতা-বুন আনঝালনা-হুমুবা-রাকুন ফাত্তাবি‘ঊহু ওয়াত্তাকূ লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "وَ هٰذَا/وَهَٰذَا/wahadha//كِتٰبٌ/كِتَٰبٌ/kitabun//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//مُبٰرَكٌ/مُبَارَكٞ/mubarakun//فَاتَّبِعُوْهُ/فَٱتَّبِعُوهُ/fa-ittabi'uhu//وَ اتَّقُوْا/وَٱتَّقُواْ/wa-ittaqu//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَۙ/تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "এবং এই//কিতাব//আমরা অবতীর্ণ করেছি তা//কল্যাণময়//অতএব অনুসরণ করো তা//এবং তোমরা সাবধান হও//সম্ভবতঃ তোমাদের (প্রতি)//দয়া প্রদর্শন করা হবে"
            },
            {
              "number": 945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/945.mp3"
              ],
              "text": "أَن تَقُولُوٓا۟ إِنَّمَآ أُنزِلَ ٱلْكِتَٰبُ عَلَىٰ طَآئِفَتَيْنِ مِن قَبْلِنَا وَإِن كُنَّا عَن دِرَاسَتِهِمْ لَغَٰفِلِينَ",
              "translate_bn": "এ জন্যে যে, কখনও তোমরা বলতে শুরু করঃ গ্রন্থ তো কেবল আমাদের পূর্ববর্তী দু'সম্প্রদায়ের প্রতিই অবতীর্ণ হয়েছে এবং আমরা সেগুলোর পাঠ ও পঠন সম্পর্কে কিছুই জানতাম না।",
              "numberInSurah": 156,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "আন তাকূলূইন্নামা-উনঝিলাল কিতা-বু‘আলা-তাইফাতাইনি মিন কাবলিনা- ওয়া ইন কুন্না-‘আন দিরা-ছাতিহিম লাগা-ফিলীন।",
              "words_arabic": "اَنْ/أَن/an//تَقُوْلُوْۤا/تَقُولُوٓاْ/taqulu//اِنَّمَاۤ/إِنَّمَآ/innama//اُنْزِلَ/أُنزِلَ/unzila//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//عَلٰی/عَلَىٰ/ala//طَآىِٕفَتَیْنِ/طَآئِفَتَيۡنِ/taifatayni//مِنْ/مِن/min//قَبْلِنَا ۪/قَبۡلِنَا/qablina//وَ اِنْ/وَإِن/wa-in//كُنَّا/كُنَّا/kunna//عَنْ/عَن/an//دِرَاسَتِهِمْ/دِرَاسَتِهِمۡ/dirasatihim//لَغٰفِلِیْنَۙ/لَغَٰفِلِينَ/laghafilina",
              "words_bangla": "যেন না//তোমরা বলতে পারো//\"মূলতঃ//অবতীর্ণ করা হয়েছিলো//কিতাব//উপর//দুই দলের (ইয়াহুদী ও খ্রিষ্টান)//থেকে//পূর্ব আমাদের//এবং নিশ্চয়ই//আমরা ছিলাম//সম্বন্ধে//অধ্যয়ন তাদের//অবশ্যই অনবহিত\""
            },
            {
              "number": 946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/946.mp3"
              ],
              "text": "أَوْ تَقُولُوا۟ لَوْ أَنَّآ أُنزِلَ عَلَيْنَا ٱلْكِتَٰبُ لَكُنَّآ أَهْدَىٰ مِنْهُمْ ۚ فَقَدْ جَآءَكُم بَيِّنَةٌۭ مِّن رَّبِّكُمْ وَهُدًۭى وَرَحْمَةٌۭ ۚ فَمَنْ أَظْلَمُ مِمَّن كَذَّبَ بِـَٔايَٰتِ ٱللَّهِ وَصَدَفَ عَنْهَا ۗ سَنَجْزِى ٱلَّذِينَ يَصْدِفُونَ عَنْ ءَايَٰتِنَا سُوٓءَ ٱلْعَذَابِ بِمَا كَانُوا۟ يَصْدِفُونَ",
              "translate_bn": "কিংবা বলতে শুরু করঃ যদি আমাদের প্রতি কোন গ্রন্থ অবতীর্ণ হত, আমরা এদের চাইতে অধিক পথপ্রাপ্ত হতাম। অতএব, তোমাদের পালনকর্তার পক্ষ থেকে তোমাদের কাছে সুষ্পষ্ট প্রমাণ, হেদায়েত ও রহমত এসে গেছে। অতঃপর সে ব্যক্তির চাইতে অধিক অনাচারী কে হবে, যে আল্লাহর আয়াত সমূহকে মিথ্যা বলে এবং গা বাঁচিয়ে চলে। অতি সত্ত্বর আমি তাদেরকে শাস্তি দেব। যারা আমার আয়াত সমূহ থেকে গা বাঁচিয়ে চলে-জঘন্য শাস্তি তাদের গা বাঁচানোর কারণে।",
              "numberInSurah": 157,
              "juz": 8,
              "manzil": 2,
              "page": 149,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "আও তাকূলূলাও আন্নাউনঝিলা ‘আলাইনাল কিতা-বুলাকুন্নাআহদা-মিনহুম ফাকাদ-জাআকুম বাইয়িনাতুম মির রাব্বিকুম ওয়া হুদাওঁ ওয়া রাহমাতুন ফামান আজলামু মিম্মান কাযযাবা বিআ-য়া-তিল্লা-হি ওয়া সাদাফা ‘আনহা- ছানাজঝিল্লাযীনা ইয়াসদিফূনা ‘আন আ-য়া-তিনা-ছূআল ‘আযা-বি বিমা-কা-নূইয়াসদিফূন।",
              "words_arabic": "اَوْ/أَوۡ/aw//تَقُوْلُوْا/تَقُولُواْ/taqulu//لَوْ/لَوۡ/law//اَنَّاۤ/أَنَّآ/anna//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْنَا/عَلَيۡنَا/alayna//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//لَكُنَّاۤ/لَكُنَّآ/lakunna//اَهْدٰی/أَهۡدَىٰ/ahda//مِنْهُمْ ۚ/مِنۡهُمۡۚ/min'hum//فَقَدْ/فَقَدۡ/faqad//جَآءَكُمْ/جَآءَكُم/jaakum//بَیِّنَةٌ/بَيِّنَةٞ/bayyinatun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةٌ ۚ/وَرَحۡمَةٞۚ/warahmatun//فَمَنْ/فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//كَذَّبَ/كَذَّبَ/kadhaba//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ صَدَفَ/وَصَدَفَ/wasadafa//عَنْهَا ؕ/عَنۡهَاۗ/anha//سَنَجْزِی/سَنَجۡزِي/sanajzi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَصْدِفُوْنَ/يَصۡدِفُونَ/yasdifuna//عَنْ/عَنۡ/an//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَصْدِفُوْنَ /يَصۡدِفُونَ/yasdifuna",
              "words_bangla": "বা//তোমরা বলো//\"যদি//বাস্তবিক আমরা//অবতীর্ণ করা হতো//উপর আমাদের//কিতাব//অবশ্যই হতাম আমরা//অধিক সৎপথপ্রাপ্ত//অপেক্ষা তাদের//এখন নিশ্চয়ই//কাছে এসেছে তোমাদের//স্পষ্ট প্রমাণ//পক্ষ হতে//রবের তোমাদের//ও পথ-নির্দেশনা//ও দয়া//অতএব কে//বড় সীমালঙ্ঘনকারী (হতে পারে)//তার চেয়ে যে//মিথ্যারোপ করে//প্রতি নিদর্শনাবলীর//আল্লাহ্‌র//ও মুখ ফিরিয়ে নেয়//থেকে তা//শীঘ্রই প্রতিফল দিবো আমরা//(তাদেরকে) যারা//মুখ ফিরিয়ে নিয়েছে//হতে//নিদর্শনাবলী আমাদের//নিকৃষ্ট//শাস্তি//এ কারণে যা//তারা ছিলো//তারা মুখ ফিরাতো"
            },
            {
              "number": 947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/947.mp3"
              ],
              "text": "هَلْ يَنظُرُونَ إِلَّآ أَن تَأْتِيَهُمُ ٱلْمَلَٰٓئِكَةُ أَوْ يَأْتِىَ رَبُّكَ أَوْ يَأْتِىَ بَعْضُ ءَايَٰتِ رَبِّكَ ۗ يَوْمَ يَأْتِى بَعْضُ ءَايَٰتِ رَبِّكَ لَا يَنفَعُ نَفْسًا إِيمَٰنُهَا لَمْ تَكُنْ ءَامَنَتْ مِن قَبْلُ أَوْ كَسَبَتْ فِىٓ إِيمَٰنِهَا خَيْرًۭا ۗ قُلِ ٱنتَظِرُوٓا۟ إِنَّا مُنتَظِرُونَ",
              "translate_bn": "তারা শুধু এ বিষয়ের দিকে চেয়ে আছে যে, তাদের কাছে ফেরেশতা আগমন করবে কিংবা আপনার পালনকর্তা আগমন করবেন অথবা আপনার পালনকর্তার কোন নির্দেশ আসবে। যেদিন আপনার পালনকর্তার কোন নিদর্শন আসবে, সেদিন এমন কোন ব্যক্তির বিশ্বাস স্থাপন তার জন্যে ফলপ্রসূ হবে না, যে পূর্ব থেকে বিশ্বাস স্থাপন করেনি কিংবা স্বীয় বিশ্বাস অনুযায়ী কোনরূপ সৎকর্ম করেনি। আপনি বলে দিনঃ তোমরা পথের দিকে চেয়ে থাক, আমরাও পথে দিকে তাকিয়ে রইলাম।",
              "numberInSurah": 158,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "হাল ইয়ানজুরূনা ইল্লাআন তা’তিয়াহুমুল মালাইকাতুআও ইয়া’তিয়া রাব্বুকা আও ইয়া’তিয়া বা‘দুআ-য়া-তি রাব্বিকা ইয়াওমা ইয়া’তী বা‘দুআ-য়া-তি রাব্বিকা লা-ইয়ানফা‘উ নাফছান ঈমা-নুহা-লাম তাকুন আ-মানাত মিন কাবলুআও কাছাবাত ফী ঈমা-নিহা-খাইরান কুলিনতাজিরূইন্না-মুনতাজিরূন।",
              "words_arabic": "هَلْ/هَلۡ/hal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَاْتِیَهُمُ/تَأۡتِيَهُمُ/tatiyahumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//اَوْ/أَوۡ/aw//یَاْتِیَ/يَأۡتِيَ/yatiya//رَبُّكَ/رَبُّكَ/rabbuka//اَوْ/أَوۡ/aw//یَاْتِیَ/يَأۡتِيَ/yatiya//بَعْضُ/بَعۡضُ/ba'du//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّكَ ؕ/رَبِّكَۗ/rabbika//یَوْمَ/يَوۡمَ/yawma//یَاْتِیْ/يَأۡتِي/yati//بَعْضُ/بَعۡضُ/ba'du//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّكَ/رَبِّكَ/rabbika//لَا/لَا/la//یَنْفَعُ/يَنفَعُ/yanfa'u//نَفْسًا/نَفۡسًا/nafsan//اِیْمَانُهَا/إِيمَٰنُهَا/imanuha//لَمْ/لَمۡ/lam//تَكُنْ/تَكُنۡ/takun//اٰمَنَتْ/ءَامَنَتۡ/amanat//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//اَوْ/أَوۡ/aw//كَسَبَتْ/كَسَبَتۡ/kasabat//فِیْۤ/فِيٓ/fi//اِیْمَانِهَا/إِيمَٰنِهَا/imaniha//خَیْرًا ؕ/خَيۡرٗاۗ/khayran//قُلِ/قُلِ/quli//انْتَظِرُوْۤا/ٱنتَظِرُوٓاْ/intaziru//اِنَّا/إِنَّا/inna//مُنْتَظِرُوْنَ /مُنتَظِرُونَ/muntaziruna",
              "words_bangla": "কি//তারা অপেক্ষা করছে//এ ছাড়া//যে//কাছে আসবে তাদের//ফেরেশতারা//অথবা//আসবেন//তোমার রব//অথবা//আসবে//কিছু//নিদর্শনাবলী//তোমার রবের//যে দিন//আসবে//কিছু//নিদর্শনাবলী//তোমার রবের//না//উপকার করবে//কোনো ব্যক্তিকে//(সে সব দেখে) ঈমান গ্রহণের তান//না//তা হবে//সে ঈমান এনেছে//থেকে//পূর্ব//অথবা//সে অর্জন করে (নাই)//মাধ্যমে//ঈমানের তার//কোনো কল্যাণ//বলো//\"তোমরা অপেক্ষা করো//নিশ্চয়ই আমরা//অপেক্ষাকারী\""
            },
            {
              "number": 948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/948.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ فَرَّقُوا۟ دِينَهُمْ وَكَانُوا۟ شِيَعًۭا لَّسْتَ مِنْهُمْ فِى شَىْءٍ ۚ إِنَّمَآ أَمْرُهُمْ إِلَى ٱللَّهِ ثُمَّ يُنَبِّئُهُم بِمَا كَانُوا۟ يَفْعَلُونَ",
              "translate_bn": "নিশ্চয় যারা স্বীয় ধর্মকে খন্ড-বিখন্ড করেছে এবং অনেক দল হয়ে গেছে, তাদের সাথে আপনার কোন সম্পর্ক নেই। তাদের ব্যাপার আল্লাহ তা'আয়ালার নিকট সমর্পিত। অতঃপর তিনি বলে দেবেন যা কিছু তারা করে থাকে।",
              "numberInSurah": 159,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ইন্নালাযীনা ফাররাকূদীনাহুম ওয়া কা-নূশিয়া‘আল্লাছতা মিনহুম ফী শাইয়িন ইন্নামাআমরুহুম ইলাল্লা-হি ছুম্মা ইউনাব্বিউহুম বিমা-কা-নূইয়াফ‘আলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فَرَّقُوْا/فَرَّقُواْ/farraqu//دِیْنَهُمْ/دِينَهُمۡ/dinahum//وَ كَانُوْا/وَكَانُواْ/wakanu//شِیَعًا/شِيَعٗا/shiya'an//لَّسْتَ/لَّسۡتَ/lasta//مِنْهُمْ/مِنۡهُمۡ/min'hum//فِیْ/فِي/fi//شَیْءٍ ؕ/شَيۡءٍۚ/shayin//اِنَّمَاۤ/إِنَّمَآ/innama//اَمْرُهُمْ/أَمۡرُهُمۡ/amruhum//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//یُنَبِّئُهُمْ/يُنَبِّئُهُم/yunabbi-uhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "নিশ্চয়ই//যারা//খন্ড বিখন্ড করেছে//দীনকে তাদের//ও তারা হয়েছে (বিভক্ত)//(বিভিন্ন) উপদলে//নও তুমি//মধ্য হতে তাদের//কোনো//কিছু//মূলতঃ//বিষয় তাদের(ন্যস্ত)//উপর//আল্লাহ্‌র//এরপর//তিনি জানিয়ে দিবেন তাদের//ঐ বিষয়ে যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/949.mp3"
              ],
              "text": "مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ عَشْرُ أَمْثَالِهَا ۖ وَمَن جَآءَ بِٱلسَّيِّئَةِ فَلَا يُجْزَىٰٓ إِلَّا مِثْلَهَا وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "যে একটি সৎকর্ম করবে, সে তার দশগুণ পাবে এবং যে, একটি মন্দ কাজ করবে, সে তার সমান শাস্তিই পাবে। বস্তুতঃ তাদের প্রতি জুলুম করা হবে না।",
              "numberInSurah": 160,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "মান জাআ বিল হাছানাতি ফালাহূ‘আশরু আমছা-লিহা- ওয়ামান জাআ বিছছাইয়িআতি ফালা-ইউজঝা ইল্লা-মিছলাহা-ওয়া হুম লা-ইউজলামূন।",
              "words_arabic": "مَنْ/مَن/man//جَآءَ/جَآءَ/jaa//بِالْحَسَنَةِ/بِٱلۡحَسَنَةِ/bil-hasanati//فَلَهٗ/فَلَهُۥ/falahu//عَشْرُ/عَشۡرُ/ashru//اَمْثَالِهَا ۚ/أَمۡثَالِهَاۖ/amthaliha//وَ مَنْ/وَمَن/waman//جَآءَ/جَآءَ/jaa//بِالسَّیِّئَةِ/بِٱلسَّيِّئَةِ/bil-sayi-ati//فَلَا/فَلَا/fala//یُجْزٰۤی/يُجۡزَىٰٓ/yuj'za//اِلَّا/إِلَّا/illa//مِثْلَهَا/مِثۡلَهَا/mith'laha//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "যে//আসবে (আল্লাহ্‌র কাছে)//নিয়ে  সৎকর্ম//তবে জন্যে তার (রয়েছে)//দশ (গুণ সওয়াব)//পরিমাণের তার//এবং যে//আসবে//নিয়ে অসৎকর্ম//তবে না//প্রতিফল দেয়া হবে//এ ছাড়া//সমপরিমাণ তার//এবং তাদেরকে//না//অবিচার করা হবে"
            },
            {
              "number": 950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/950.mp3"
              ],
              "text": "قُلْ إِنَّنِى هَدَىٰنِى رَبِّىٓ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ دِينًۭا قِيَمًۭا مِّلَّةَ إِبْرَٰهِيمَ حَنِيفًۭا ۚ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "আপনি বলে দিনঃ আমার প্রতিপালক আমাকে সরল পথ প্রদর্শন করেছেন একাগ্রচিত্ত ইব্রাহীমের বিশুদ্ধ ধর্ম। সে অংশীবাদীদের অন্তর্ভূক্ত ছিল না।",
              "numberInSurah": 161,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নানী হাদা-নী রাববীইলা-সিরা-তিম মুছতাকীমিন দীনান কিয়ামাম মিল্লাতা ইবরা-হীমা হানীফাওঁ ওয়া মা-কা-না মিনাল মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّنِیْ/إِنَّنِي/innani//هَدٰىنِیْ/هَدَىٰنِي/hadani//رَبِّیْۤ/رَبِّيٓ/rabbi//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ ۚ۬/مُّسۡتَقِيمٖ/mus'taqimin//دِیْنًا/دِينٗا/dinan//قِیَمًا/قِيَمٗا/qiyaman//مِّلَّةَ/مِّلَّةَ/millata//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//حَنِیْفًا ۚ/حَنِيفٗاۚ/hanifan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "বলো//\"নিশ্চয়ই আমাকে//পথ দেখিয়েছেন আমাকে//আমার রব//দিকে//পথের//সরল-সঠিক//(তাই) দীন//সুপ্রতিষ্ঠিত//পথপন্থা//ইবরাহীমের//যে ছিলো (একনিষ্ঠ)//এবং না//সে ছিলো//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/951.mp3"
              ],
              "text": "قُلْ إِنَّ صَلَاتِى وَنُسُكِى وَمَحْيَاىَ وَمَمَاتِى لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আপনি বলুনঃ আমার নামায, আমার কোরবাণী এবং আমার জীবন ও মরন বিশ্ব-প্রতিপালক আল্লাহরই জন্যে।",
              "numberInSurah": 162,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্না সালা-তী ওয়া নুছুকী ওয়া মাহ্ইয়াইয়া ওয়া মামা-তী লিল্লা-হি রাব্বিল ‘আ-লামীন।লা-শারীকা লাহু ওয়া বিযা-লিকা উমিরতুওয়া আনা আওওয়ালুল মুসলিমীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//صَلَاتِیْ/صَلَاتِي/salati//وَ نُسُكِیْ/وَنُسُكِي/wanusuki//وَ مَحْیَایَ/وَمَحۡيَايَ/wamahyaya//وَ مَمَاتِیْ/وَمَمَاتِي/wamamati//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "বলো//\"নিশ্চয়ই//আমার সালাত//এবং আমার কুরবানি (বা উপাসনার পদ্ধতি)//ও আমার জীবন//ও আমার মরণ//জন্যে আল্লাহ্‌রই//(যিনি) রব//বিশ্বজগতের"
            },
            {
              "number": 952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/952.mp3"
              ],
              "text": "لَا شَرِيكَ لَهُۥ ۖ وَبِذَٰلِكَ أُمِرْتُ وَأَنَا۠ أَوَّلُ ٱلْمُسْلِمِينَ",
              "translate_bn": "তাঁর কোন অংশীদার নেই। আমি তাই আদিষ্ট হয়েছি এবং আমি প্রথম আনুগত্যশীল।",
              "numberInSurah": 163,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "লা-শারীকা লাহু ওয়া বিযা-লিকা উমিরতুওয়া আনা আওওয়ালুল মুসলিমীন।",
              "words_arabic": "لَا/لَا/la//شَرِیْكَ/شَرِيكَ/sharika//لَهٗ ۚ/لَهُۥۖ/lahu//وَ بِذٰلِكَ/وَبِذَٰلِكَ/wabidhalika//اُمِرْتُ/أُمِرۡتُ/umir'tu//وَ اَنَا/وَأَنَا۠/wa-ana//اَوَّلُ/أَوَّلُ/awwalu//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "নেই//কোনো শরিক//জন্যে তাঁর//এবং বিষয়ে এ//আমাকে আদেশ করা হয়েছে//এবং আমি//প্রথম//আত্নসমর্পণকারীদের (মধ্যে)"
            },
            {
              "number": 953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/953.mp3"
              ],
              "text": "قُلْ أَغَيْرَ ٱللَّهِ أَبْغِى رَبًّۭا وَهُوَ رَبُّ كُلِّ شَىْءٍۢ ۚ وَلَا تَكْسِبُ كُلُّ نَفْسٍ إِلَّا عَلَيْهَا ۚ وَلَا تَزِرُ وَازِرَةٌۭ وِزْرَ أُخْرَىٰ ۚ ثُمَّ إِلَىٰ رَبِّكُم مَّرْجِعُكُمْ فَيُنَبِّئُكُم بِمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ",
              "translate_bn": "আপনি বলুনঃ আমি কি আল্লাহ ব্যতীত অন্য প্রতিপালক খোঁজব, অথচ তিনিই সবকিছুর প্রতিপালক? যে ব্যক্তি কোন গোনাহ করে, তা তারই দায়িত্বে থাকে। কেউ অপরের বোঝা বহন করবে না। অতঃপর তোমাদেরকে সবাইকে প্রতিপালকের কাছে প্রত্যাবর্তন করতে হবে। অনন্তর তিনি তোমাদেরকে বলে দিবেন, যেসব বিষয়ে তোমরা বিরোধ করতে।",
              "numberInSurah": 164,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "কুল আগাইরাল্লা-হি আবগী রাব্বাওঁ ওয়া হুয়া রাব্বুকুল্লি শাইয়িওঁ ওয়া লা-তাকছিবুকুল্লু নাফছিন ইল্লা-‘আলাইহা- ওয়া লা- তাঝিরু ওয়াঝিরাতুওঁবিঝরা উখরা- ছু ম্মা ইলা-রাব্বিকুম মারিজ‘উকুম ফাইউনাব্বিউকুম বিমা-কুনতুম ফীহি তাখতালিফূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَغَیْرَ/أَغَيۡرَ/aghayra//اللّٰهِ/ٱللَّهِ/al-lahi//اَبْغِیْ/أَبۡغِي/abghi//رَبًّا/رَبّٗا/rabban//وَّ هُوَ/وَهُوَ/wahuwa//رَبُّ/رَبُّ/rabbu//كُلِّ/كُلِّ/kulli//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//وَ لَا/وَلَا/wala//تَكْسِبُ/تَكۡسِبُ/taksibu//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٍ/nafsin//اِلَّا/إِلَّا/illa//عَلَیْهَا ۚ/عَلَيۡهَاۚ/alayha//وَ لَا/وَلَا/wala//تَزِرُ/تَزِرُ/taziru//وَازِرَةٌ/وَازِرَةٞ/waziratun//وِّزْرَ/وِزۡرَ/wiz'ra//اُخْرٰی ۚ/أُخۡرَىٰۚ/ukh'ra//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُم/rabbikum//مَّرْجِعُكُمْ/مَّرۡجِعُكُمۡ/marji'ukum//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْهِ/فِيهِ/fihi//تَخْتَلِفُوْنَ /تَخۡتَلِفُونَ/takhtalifuna",
              "words_bangla": "বলো//\"কি ছাড়া//আল্লাহ্‌//খুঁজবো আমি//রব (অন্য কোনো)//অথচ তিনিই//রব//সব//কিছুর\"//এবং না//অর্জন করে (কোনো পাপ বা পূণ্য)//প্রত্যেক//ব্যক্তি//এ ছাড়া//তারই উপর (তা বর্তাবে)//এবং না//বোঝা উঠাবে//কোনো বোঝা বহনকারী//বোঝা//অন্যের//এরপর//দিকে//রবের তোমাদের//প্রত্যাবর্তন তোমাদের(হবে)//তখন তিনি জানিয়ে দিবেন তোমাদের//ঐ বিষয়ে//তোমরা ছিলে//মধ্যে যার//মতবিরোধ করতে"
            },
            {
              "number": 954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/954.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى جَعَلَكُمْ خَلَٰٓئِفَ ٱلْأَرْضِ وَرَفَعَ بَعْضَكُمْ فَوْقَ بَعْضٍۢ دَرَجَٰتٍۢ لِّيَبْلُوَكُمْ فِى مَآ ءَاتَىٰكُمْ ۗ إِنَّ رَبَّكَ سَرِيعُ ٱلْعِقَابِ وَإِنَّهُۥ لَغَفُورٌۭ رَّحِيمٌۢ",
              "translate_bn": "তিনিই তোমাদেরকে পৃথিবীতে প্রতিনিধি করেছেন এবং একে অন্যের উপর মর্যাদা সমুন্নত করেছেন, যাতে তোমাদের কে এ বিষয়ে পরীক্ষা করেন, যা তোমাদেরকে দিয়েছেন। আপনার প্রতিপালক দ্রুত শাস্তি দাতা এবং তিনি অত্যন্ত ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 165,
              "juz": 8,
              "manzil": 2,
              "page": 150,
              "ruku": 121,
              "hizbQuarter": 60,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী জা‘আলাকুম খালাইফাল আরদিওয়ারাফা‘আ বা‘দাকুম ফাওকা বা‘দিন দারাজা-তিল লিইয়াবলুওয়াকুম ফী মাআ-তাকুম ইন্না রাব্বাকা ছারী‘উল ‘ইকা-বি ওয়া ইন্নাহূলাগাফূরুর রাহীম।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَكُمْ/جَعَلَكُمۡ/ja'alakum//خَلٰٓىِٕفَ/خَلَـٰٓئِفَ/khalaifa//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ رَفَعَ/وَرَفَعَ/warafa'a//بَعْضَكُمْ/بَعۡضَكُمۡ/ba'dakum//فَوْقَ/فَوۡقَ/fawqa//بَعْضٍ/بَعۡضٖ/ba'din//دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//لِّیَبْلُوَكُمْ/لِّيَبۡلُوَكُمۡ/liyabluwakum//فِیْ/فِي/fi//مَاۤ/مَآ/ma//اٰتٰىكُمْ ؕ/ءَاتَىٰكُمۡۗ/atakum//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//سَرِیْعُ/سَرِيعُ/sari'u//الْعِقَابِ ۖؗ/ٱلۡعِقَابِ/al-'iqabi//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ۠/رَّحِيمُۢ/rahimun",
              "words_bangla": "এবং তিনিই//যিনি//বানিয়েছেন তোমাদের//প্রতিনিধি//পৃথিবীর//ও উন্নীত করেছেন//কাউকে তোমাদের//উপর//কারও//মর্যাদাসমূহে//জন্যে পরীক্ষা করার তোমাদের//মধ্যে (তার)//যা//দান করেছেন তোমাদের//নিশ্চয়ই//তোমার রব//দ্রুত//শাস্তিদানের (ব্যাপারে)//এবং  নিশ্চয়ই তিনি//অবশ্যই ক্ষমাশীল//পরম দয়ালুও"
            }
          ]
        },
        {
          "number": 7,
          "name": "سُورَةُ الأَعۡرَافِ",
          "englishName": "Al-A'raaf",
          "englishNameTranslation": "The Heights",
          "revelationType": "Meccan",
          "verse": 206,
          "words": 6796,
          "chars": 28550,
          "ayahs": [
            {
              "number": 955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/955.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓصٓ",
              "translate_bn": "আলিফ, লাম, মীম, ছোয়াদ।",
              "numberInSurah": 1,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম সা দ।",
              "words_arabic": "الٓمّٓصٓۚ/الٓمٓصٓ/alif-lam-meem-sad",
              "words_bangla": "আলীফ-লাম-মীম-সাদ"
            },
            {
              "number": 956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/956.mp3"
              ],
              "text": "كِتَٰبٌ أُنزِلَ إِلَيْكَ فَلَا يَكُن فِى صَدْرِكَ حَرَجٌۭ مِّنْهُ لِتُنذِرَ بِهِۦ وَذِكْرَىٰ لِلْمُؤْمِنِينَ",
              "translate_bn": "এটি একটি গ্রন্থ, যা আপনার প্রতি অবতীর্ণ হয়েছে, যাতে করে আপনি এর মাধ্যমে ভীতি-প্রদর্শন করেন। অতএব, এটি পৌছে দিতে আপনার মনে কোনরূপ সংকীর্ণতা থাকা উচিত নয়। আর এটিই বিশ্বাসীদের জন্যে উপদেশ।",
              "numberInSurah": 2,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কিতা-বুন উনঝিলা ইলাইকা ফালা-ইয়াকুনফীসাদরিকাহারাজুম মিনহু লিতুনযিরা বিহী ওয়া যিকরা-লিলমু’মিনীন।",
              "words_arabic": "كِتٰبٌ/كِتَٰبٌ/kitabun//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//فَلَا/فَلَا/fala//یَكُنْ/يَكُن/yakun//فِیْ/فِي/fi//صَدْرِكَ/صَدۡرِكَ/sadrika//حَرَجٌ/حَرَجٞ/harajun//مِّنْهُ/مِّنۡهُ/min'hu//لِتُنْذِرَ/لِتُنذِرَ/litundhira//بِهٖ/بِهِۦ/bihi//وَ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِلْمُؤْمِنِیْنَ /لِلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "(এই) কিতাব//অবতীর্ণ হয়েছে//তোমার প্রতি//অতএব না (যেন)//হয়//মধ্যে//তোমার মনের//কোনো সংকোচ//হতে তা//যেন তুমি সতর্ক করো//দিয়ে তা//এবং (এই কিতাব) উপদেশ//জন্যে মু`মিনদের"
            },
            {
              "number": 957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/957.mp3"
              ],
              "text": "ٱتَّبِعُوا۟ مَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُمْ وَلَا تَتَّبِعُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ۗ قَلِيلًۭا مَّا تَذَكَّرُونَ",
              "translate_bn": "তোমরা অনুসরণ কর, যা তোমাদের প্রতি পালকের পক্ষ থেকে অবতীর্ণ হয়েছে এবং আল্লাহকে বাদ দিয়ে অন্য সাথীদের অনুসরণ করো না।",
              "numberInSurah": 3,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ইত্তাবি‘ঊ মাউনঝিলা ইলাইকুম মির রাব্বিকুম ওয়ালা-তাত্তাবি‘ঊ মিন দূ নিহীআওলিয়াআ কালীলাম মা-তাযাক্কারূন।",
              "words_arabic": "اِتَّبِعُوْا/ٱتَّبِعُواْ/ittabi'u//مَاۤ/مَآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ لَا/وَلَا/wala//تَتَّبِعُوْا/تَتَّبِعُواْ/tattabi'u//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءَ ؕ/أَوۡلِيَآءَۗ/awliyaa//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "তোমরা অনুসরন করো//যা//অবতীর্ণ হয়েছে//প্রতি তোমাদের প//পক্ষ হতে//রবের তোমাদের//এবং না//তোমরা অনুসরণ করো//ছাড়া//তাকে//(অন্যান্যদেরকে) অভিভাবকরূপে//(কিন্তু) অল্পই//যা//তোমরা উপদেশ গ্রহণ করো"
            },
            {
              "number": 958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/958.mp3"
              ],
              "text": "وَكَم مِّن قَرْيَةٍ أَهْلَكْنَٰهَا فَجَآءَهَا بَأْسُنَا بَيَٰتًا أَوْ هُمْ قَآئِلُونَ",
              "translate_bn": "আর তোমরা অল্পই উপদেশ গ্রহণ কর। অনেক জনপদকে আমি ধ্বংস করে দিয়েছি। তাদের কাছে আমার আযাব রাত্রি বেলায় পৌছেছে অথবা দ্বিপ্রহরে বিশ্রামরত অবস্থায়।",
              "numberInSurah": 4,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাম মিন কারইয়াতিন আহলাকনা-হা-ফাজাআহা-বা’ছুনা-বাইয়া-তান আও হুম কাইলূন।",
              "words_arabic": "وَ كَمْ/وَكَم/wakam//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَهْلَكْنٰهَا/أَهۡلَكۡنَٰهَا/ahlaknaha//فَجَآءَهَا/فَجَآءَهَا/fajaaha//بَاْسُنَا/بَأۡسُنَا/basuna//بَیَاتًا/بَيَٰتًا/bayatan//اَوْ/أَوۡ/aw//هُمْ/هُمۡ/hum//قَآىِٕلُوْنَ /قَآئِلُونَ/qailuna",
              "words_bangla": "এবং কত (সব)//থেকে//জনপদ//ধ্বংস করেছি আমরা তা//তখন উপর এসেছিলো তার//শাস্তি আমাদের//রাতের বেলায়//অথবা//তারা (ছিলো)//দুপুরে বিশ্রাম গ্রহণকারী"
            },
            {
              "number": 959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/959.mp3"
              ],
              "text": "فَمَا كَانَ دَعْوَىٰهُمْ إِذْ جَآءَهُم بَأْسُنَآ إِلَّآ أَن قَالُوٓا۟ إِنَّا كُنَّا ظَٰلِمِينَ",
              "translate_bn": "অনন্তর যখন তাদের কাছে আমার আযাব উপস্থিত হয়, তখন তাদের কথা এই ছিল যে, তারা বললঃ নিশ্চয় আমরা অত্যাচারী ছিলাম।",
              "numberInSurah": 5,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফামা-কা-না দা‘ওয়া-হুম ইযজাআহুম বা’ছুনা-ইল্লাআন কা-লূইন্না-কুন্না-জা-লিমীন।",
              "words_arabic": "فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//دَعْوٰىهُمْ/دَعۡوَىٰهُمۡ/da'wahum//اِذْ/إِذۡ/idh//جَآءَهُمْ/جَآءَهُم/jaahum//بَاْسُنَاۤ/بَأۡسُنَآ/basuna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "অতঃপর না//ছিলো//দাবি তাদের(কথা)//যখন//তাদের (কাছে) এসেছিলো//শাস্তি আমাদের//এ ছাড়া//যে//তারা বলেছিলো//\"নিশ্চয়ই আমরা//আমরা ছিলাম//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/960.mp3"
              ],
              "text": "فَلَنَسْـَٔلَنَّ ٱلَّذِينَ أُرْسِلَ إِلَيْهِمْ وَلَنَسْـَٔلَنَّ ٱلْمُرْسَلِينَ",
              "translate_bn": "অতএব, আমি অবশ্যই তাদেরকে জিজ্ঞেস করব যাদের কাছে রসূল প্রেরিত হয়েছিল এবং আমি অবশ্যই তাদেরকে জিজ্ঞেস করব রসূলগণকে।",
              "numberInSurah": 6,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফালানাছআলান্নালাযীনা উরছিলা ইলাইহিম ওয়া লানাছআলান্নাল মুরছালীন।",
              "words_arabic": "فَلَنَسْـَٔلَنَّ/فَلَنَسۡـَٔلَنَّ/falanasalanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُرْسِلَ/أُرۡسِلَ/ur'sila//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//وَ لَنَسْـَٔلَنَّ/وَلَنَسۡـَٔلَنَّ/walanasalanna//الْمُرْسَلِیْنَۙ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "অতএব জিজ্ঞাসা করবোই আমরা//তাদেরকে//পাঠান হয়েছিলো//প্রতি যাদের//ও অবশ্যই জিজ্ঞাসা করবো আমরা//রাসূলদেরকেও"
            },
            {
              "number": 961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/961.mp3"
              ],
              "text": "فَلَنَقُصَّنَّ عَلَيْهِم بِعِلْمٍۢ ۖ وَمَا كُنَّا غَآئِبِينَ",
              "translate_bn": "অতঃপর আমি স্বজ্ঞানে তাদের কাছে অবস্থা বর্ণনা করব। বস্তুতঃ আমি অনুপস্থিত তো ছিলাম না।",
              "numberInSurah": 7,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফালানাকুসসান্না ‘আলাইহিম বি‘ইলমিওঁ ওয়ামা-কুন্না-গাইবীন।",
              "words_arabic": "فَلَنَقُصَّنَّ/فَلَنَقُصَّنَّ/falanaqussanna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِعِلْمٍ/بِعِلۡمٖۖ/bi'il'min//وَّ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//غَآىِٕبِیْنَ /غَآئِبِينَ/ghaibina",
              "words_bangla": "অতঃপর ঘটনা বর্ণনা করবোই আমরা//কাছে তাদের//ভিত্তিতে জ্ঞানের//আর না//আমরা ছিলাম//অনুপস্থিত"
            },
            {
              "number": 962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/962.mp3"
              ],
              "text": "وَٱلْوَزْنُ يَوْمَئِذٍ ٱلْحَقُّ ۚ فَمَن ثَقُلَتْ مَوَٰزِينُهُۥ فَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "আর সেদিন যথার্থই ওজন হবে। অতঃপর যাদের পাল্লা ভারী হবে, তারাই সফলকাম হবে।",
              "numberInSurah": 8,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ওয়াঝনুইয়াওমাইযিনিল হাক্কু ফামান ছাকুলাত মাওয়া-ঝীনুহু ফাউলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "وَ الْوَزْنُ/وَٱلۡوَزۡنُ/wal-waznu//یَوْمَىِٕذِ/يَوۡمَئِذٍ/yawma-idhin//لْحَقُّ ۚ/ٱلۡحَقُّۚ/al-haqu//فَمَنْ/فَمَن/faman//ثَقُلَتْ/ثَقُلَتۡ/thaqulat//مَوَازِیْنُهٗ/مَوَٰزِينُهُۥ/mawazinuhu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "এবং ওজন//সেদিন (হবে)//যথার্থই//অতঃপর যার//ভারী হবে//পাল্লাসমূহ তার//অতঃপর ঐসব লোক//তারাই//সফলকাম (হবে)"
            },
            {
              "number": 963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/963.mp3"
              ],
              "text": "وَمَنْ خَفَّتْ مَوَٰزِينُهُۥ فَأُو۟لَٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُم بِمَا كَانُوا۟ بِـَٔايَٰتِنَا يَظْلِمُونَ",
              "translate_bn": "এবং যাদের পাল্লা হাল্কা হবে, তারাই এমন হবে, যারা নিজেদের ক্ষতি করেছে। কেননা, তারা আমার আয়াত সমূহ অস্বীকার করতো।",
              "numberInSurah": 9,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান খাফফাত মাওআ-ঝীনুহূফাউলাইকাল্লাযীনা খাছিরূআনফুছাহুম বিমা-কা-নূ বিআ-য়া-তিনা-ইয়াজলিমূন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//خَفَّتْ/خَفَّتۡ/khaffat//مَوَازِیْنُهٗ/مَوَٰزِينُهُۥ/mawazinuhu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُم/anfusahum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "এবং যার//হালকা হবে//পাল্লাসমূহ তার//অতঃপর ঐসবলোক//(তারাই) যারা//ক্ষতি করেছে//নিজেদেরকে তাদের//একারণে যা//তারা ছিলো//সাথে আমাদের নির্দশনাদির//সীমালঙ্ঘন করতো"
            },
            {
              "number": 964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/964.mp3"
              ],
              "text": "وَلَقَدْ مَكَّنَّٰكُمْ فِى ٱلْأَرْضِ وَجَعَلْنَا لَكُمْ فِيهَا مَعَٰيِشَ ۗ قَلِيلًۭا مَّا تَشْكُرُونَ",
              "translate_bn": "আমি তোমাদেরকে পৃথিবীতে ঠাই দিয়েছি এবং তোমাদের জীবিকা নির্দিষ্ট করে দিয়েছি। তোমরা অল্পই কৃতজ্ঞতা স্বীকার কর।",
              "numberInSurah": 10,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 122,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ মাক্কান্না-কুম ফিল আরদিওয়া জা‘আলনা-লাকুম ফীহা-মা‘আ-য়িশা কালীলাম মা-তাশকুরূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//مَكَّنّٰكُمْ/مَكَّنَّـٰكُمۡ/makkannakum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//مَعَایِشَ ؕ/مَعَٰيِشَۗ/ma'ayisha//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَشْكُرُوْنَ۠/تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা প্রতিষ্ঠিত করেছি তোমাদেরকে//উপর//পৃথিবীর//এবং ব্যবস্হা করেছি আমরা//জন্যে তোমাদের//মধ্যে তার//জীবিকার//(কিন্তু) অল্পই//যা//তোমরা কৃতজ্ঞতা জ্ঞাপন করো"
            },
            {
              "number": 965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/965.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَٰكُمْ ثُمَّ صَوَّرْنَٰكُمْ ثُمَّ قُلْنَا لِلْمَلَٰٓئِكَةِ ٱسْجُدُوا۟ لِءَادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ لَمْ يَكُن مِّنَ ٱلسَّٰجِدِينَ",
              "translate_bn": "আর আমি তোমাদেরকে সৃষ্টি করেছি, এরপর আকার-অবয়ব, তৈরী করেছি। অতঃপর আমি ফেরেশতাদেরকে বলছি-আদমকে সেজদা কর তখন সবাই সেজদা করেছে, কিন্তু ইবলীস সে সেজদাকারীদের অন্তর্ভূক্ত ছিল না।",
              "numberInSurah": 11,
              "juz": 8,
              "manzil": 2,
              "page": 151,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ খালাকনা-কুম ছুম্মা সাওওয়ারনা-কুম ছুম্মা কুলনা-লিলমালাইকাতিছজু দূ লিআ-দামা ফাছাজাদূ ইল্লা-ইবলীছা লাম ইয়াকুম মিনাছ ছা-জিদীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//ثُمَّ/ثُمَّ/thumma//صَوَّرْنٰكُمْ/صَوَّرۡنَٰكُمۡ/sawwarnakum//ثُمَّ/ثُمَّ/thumma//قُلْنَا/قُلۡنَا/qul'na//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اسْجُدُوْا/ٱسۡجُدُواْ/us'judu//لِاٰدَمَ ۖۗ/لِأٓدَمَ/liadama//فَسَجَدُوْۤا/فَسَجَدُوٓاْ/fasajadu//اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//لَمْ/لَمۡ/lam//یَكُنْ/يَكُن/yakun//مِّنَ/مِّنَ/mina//السّٰجِدِیْنَ /ٱلسَّـٰجِدِينَ/al-sajidina",
              "words_bangla": "এবং নিশ্চয়ই//সৃষ্টি করেছি আমরা তোমাদের//এরপর//রূপদান করেছি আমরা তোমাদেরকে//এরপর//বলেছিলাম আমরা//উদ্দেশ্যে ফেরেশতাদের//\"তোমরা সিজদা করো//উদ্দেশ্যে আদমের\"//অতঃপর তারা সিজদা করলো//ছাড়া//ইবলীস//নি//সে হয়//অন্তর্ভুক্ত//সিজদাকারীদের"
            },
            {
              "number": 966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/966.mp3"
              ],
              "text": "قَالَ مَا مَنَعَكَ أَلَّا تَسْجُدَ إِذْ أَمَرْتُكَ ۖ قَالَ أَنَا۠ خَيْرٌۭ مِّنْهُ خَلَقْتَنِى مِن نَّارٍۢ وَخَلَقْتَهُۥ مِن طِينٍۢ",
              "translate_bn": "আল্লাহ বললেনঃ আমি যখন নির্দেশ দিয়েছি, তখন তোকে কিসে সেজদা করতে বারণ করল? সে বললঃ আমি তার চাইতে শ্রেষ্ট। আপনি আমাকে আগুন দ্বারা সৃষ্টি করেছেন এবং তাকে সৃষ্টি করেছেন মাটির দ্বারা।",
              "numberInSurah": 12,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা মা-মানা‘আকা আল্লা-তাছজু দা ইয আমারতুকা কা-লা আনা খাইরুম মিনহু খালাকতানী মিন না-রিওঁ ওয়া খালাকতাহূমিন তীন।",
              "words_arabic": "قَالَ/قَالَ/qala//مَا/مَا/ma//مَنَعَكَ/مَنَعَكَ/mana'aka//اَلَّا/أَلَّا/alla//تَسْجُدَ/تَسۡجُدَ/tasjuda//اِذْ/إِذۡ/idh//اَمَرْتُكَ ؕ/أَمَرۡتُكَۖ/amartuka//قَالَ/قَالَ/qala//اَنَا/أَنَا۠/ana//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْهُ ۚ/مِّنۡهُ/min'hu//خَلَقْتَنِیْ/خَلَقۡتَنِي/khalaqtani//مِنْ/مِن/min//نَّارٍ/نَّارٖ/narin//وَّ خَلَقْتَهٗ/وَخَلَقۡتَهُۥ/wakhalaqtahu//مِنْ/مِن/min//طِیْنٍ /طِينٖ/tinin",
              "words_bangla": "(আল্লাহ) বললেন//\"কিসে//তোমাকে বাধা দিলো//যে না//তুমি সিজদা করলে (আদমকে)//যখন//তোমাকে আমি নির্দেশ দিয়েছি\"//(ইবলীস) বললো//\"আমি//উত্তম//চেয়েও তার//আপনি সৃষ্টি করেছেন আমাকে//হতে//আগুন//এবং আপনি সৃষ্টি করেছেন তাকে//দিয়ে//কাদা মাটি\""
            },
            {
              "number": 967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/967.mp3"
              ],
              "text": "قَالَ فَٱهْبِطْ مِنْهَا فَمَا يَكُونُ لَكَ أَن تَتَكَبَّرَ فِيهَا فَٱخْرُجْ إِنَّكَ مِنَ ٱلصَّٰغِرِينَ",
              "translate_bn": "বললেন তুই এখান থেকে যা। এখানে অহংকার করার কোন অধিকার তোর নাই। অতএব তুই বের হয়ে যা। তুই হীনতমদের অন্তর্ভুক্ত।",
              "numberInSurah": 13,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাহবিতমিনহা-ফামা-ইয়াকূনুলাকা আন তাতাকাববরা ফীহা- ফাখরুজ ইন্নাকা মিনাসসা-গিরীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاهْبِطْ/فَٱهۡبِطۡ/fah'bit//مِنْهَا/مِنۡهَا/min'ha//فَمَا/فَمَا/fama//یَكُوْنُ/يَكُونُ/yakunu//لَكَ/لَكَ/laka//اَنْ/أَن/an//تَتَكَبَّرَ/تَتَكَبَّرَ/tatakabbara//فِیْهَا/فِيهَا/fiha//فَاخْرُجْ/فَٱخۡرُجۡ/fa-ukh'ruj//اِنَّكَ/إِنَّكَ/innaka//مِنَ/مِنَ/mina//الصّٰغِرِیْنَ /ٱلصَّـٰغِرِينَ/al-saghirina",
              "words_bangla": "(আল্লা্হ) বললেন//\"তাহ'লে তুমি নেমে যাও//থেকে এখান//কারণ না//হতে পারে//জন্যে তোমার//যে//অহংকার করবে তুমি//মধ্যে এর//অতএব তুমি বের হও//নিশ্চয়ই তুমি//অন্তর্ভুক্ত//অধমদের\""
            },
            {
              "number": 968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/968.mp3"
              ],
              "text": "قَالَ أَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ",
              "translate_bn": "সে বললঃ আমাকে কেয়ামত দিবস পর্যন্ত অবকাশ দিন।",
              "numberInSurah": 14,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা আনজিরনীইলা-ইয়াওমি ইউব‘আছূ ন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَنْظِرْنِیْۤ/أَنظِرۡنِيٓ/anzir'ni//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//یُبْعَثُوْنَ /يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "(ইবলীস) বললো//\"আমাকে অবকাশ দিন//পর্যন্ত//(ঐ) দিন//(যখন) তারা উত্থিত হবে\""
            },
            {
              "number": 969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/969.mp3"
              ],
              "text": "قَالَ إِنَّكَ مِنَ ٱلْمُنظَرِينَ",
              "translate_bn": "আল্লাহ বললেনঃ তোকে সময় দেয়া হল।",
              "numberInSurah": 15,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নাকা মিনাল মুনজারীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّكَ/إِنَّكَ/innaka//مِنَ/مِنَ/mina//الْمُنْظَرِیْنَ /ٱلۡمُنظَرِينَ/al-munzarina",
              "words_bangla": "(আল্লাহ) বললেন//\"নিশ্চয়ই তুমি//অন্তর্ভুক্ত//অবকাশ প্রাপ্তদের\""
            },
            {
              "number": 970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/970.mp3"
              ],
              "text": "قَالَ فَبِمَآ أَغْوَيْتَنِى لَأَقْعُدَنَّ لَهُمْ صِرَٰطَكَ ٱلْمُسْتَقِيمَ",
              "translate_bn": "সে বললঃ আপনি আমাকে যেমন উদভ্রান্ত করেছেন, আমিও অবশ্য তাদের জন্যে আপনার সরল পথে বসে থাকবো।",
              "numberInSurah": 16,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাবিমাআগওয়াইতানী লাআক‘উদান্না লাহুম সিরা-তাকাল মুছতাকীম।",
              "words_arabic": "قَالَ/قَالَ/qala//فَبِمَاۤ/فَبِمَآ/fabima//اَغْوَیْتَنِیْ/أَغۡوَيۡتَنِي/aghwaytani//لَاَقْعُدَنَّ/لَأَقۡعُدَنَّ/la-aq'udanna//لَهُمْ/لَهُمۡ/lahum//صِرَاطَكَ/صِرَٰطَكَ/sirataka//الْمُسْتَقِیْمَۙ/ٱلۡمُسۡتَقِيمَ/al-mus'taqima",
              "words_bangla": "সে বললো//\"অতঃপর যে কারণে//আপনি পথভ্রষ্ট করলেন আমাকে//অবশ্যই আমি ওৎ পেতে বসবোই//জন্যে তাদের//তোমার পথে//(যা) সরল সঠিক"
            },
            {
              "number": 971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/971.mp3"
              ],
              "text": "ثُمَّ لَءَاتِيَنَّهُم مِّنۢ بَيْنِ أَيْدِيهِمْ وَمِنْ خَلْفِهِمْ وَعَنْ أَيْمَٰنِهِمْ وَعَن شَمَآئِلِهِمْ ۖ وَلَا تَجِدُ أَكْثَرَهُمْ شَٰكِرِينَ",
              "translate_bn": "এরপর তাদের কাছে আসব তাদের সামনের দিক থেকে, পেছন দিক থেকে, ডান দিক থেকে এবং বাম দিক থেকে। আপনি তাদের অধিকাংশকে কৃতজ্ঞ পাবেন না।",
              "numberInSurah": 17,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লাআ-তিইয়ান্নাহুম মিম বাইনি আইদীহিম ওয়া মিন খালফিহিম ওয়া ‘আন আইমা-নিহিম ওয়া ‘আন শামাইলিহিম ওয়ালা-তাজিদুআকছারাহুম শা-কিরীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَاٰتِیَنَّهُمْ/لَأٓتِيَنَّهُم/laatiyannahum//مِّنْۢ/مِّنۢ/min//بَیْنِ/بَيۡنِ/bayni//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مِنْ/وَمِنۡ/wamin//خَلْفِهِمْ/خَلۡفِهِمۡ/khalfihim//وَ عَنْ/وَعَنۡ/wa'an//اَیْمَانِهِمْ/أَيۡمَٰنِهِمۡ/aymanihim//وَ عَنْ/وَعَن/wa'an//شَمَآىِٕلِهِمْ ؕ/شَمَآئِلِهِمۡۖ/shamailihim//وَ لَا/وَلَا/wala//تَجِدُ/تَجِدُ/tajidu//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//شٰكِرِیْنَ /شَٰكِرِينَ/shakirina",
              "words_bangla": "এরপর//অবশ্যই আমি আসবোই কাছে তাদের//হতে//মাঝে//হাতের তাদের//ও হতে//পিছন তাদের//ও হতে//ডানদিক তাদের//ও হতে//বামদিক তাদের//এবং না//তুমি পাবে//অধিকাংশকে তাদের//কৃতজ্ঞরূপে\""
            },
            {
              "number": 972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/972.mp3"
              ],
              "text": "قَالَ ٱخْرُجْ مِنْهَا مَذْءُومًۭا مَّدْحُورًۭا ۖ لَّمَن تَبِعَكَ مِنْهُمْ لَأَمْلَأَنَّ جَهَنَّمَ مِنكُمْ أَجْمَعِينَ",
              "translate_bn": "আল্লাহ বললেনঃ বের হয়ে যা এখান থেকে লাঞ্ছিত ও অপমানিত হয়ে। তাদের যে কেউ তোর পথেচলবে, নিশ্চয় আমি তোদের সবার দ্বারা জাহান্নাম পূর্ণ করে দিব।",
              "numberInSurah": 18,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লাখরুজ মিনহা-মাযঊমাম মাদহূরাল লামান তাবি‘আকা মিনহুম লাআমলাআন্না জাহান্নামা মিনকুম আজমা‘ঈন।",
              "words_arabic": "قَالَ/قَالَ/qala//اخْرُجْ/ٱخۡرُجۡ/ukh'ruj//مِنْهَا/مِنۡهَا/min'ha//مَذْءُوْمًا/مَذۡءُومٗا/madhuman//مَّدْحُوْرًا ؕ/مَّدۡحُورٗاۖ/madhuran//لَمَنْ/لَّمَن/laman//تَبِعَكَ/تَبِعَكَ/tabi'aka//مِنْهُمْ/مِنۡهُمۡ/min'hum//لَاَمْلَـَٔنَّ/لَأَمۡلَأَنَّ/la-amla-anna//جَهَنَّمَ/جَهَنَّمَ/jahannama//مِنْكُمْ/مِنكُمۡ/minkum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "(আল্লাহ) বললেন//\"তুমি বের হও//হতে এখান//ধিকৃতরূপে//বিতাড়িত হয়ে//অবশ্যই যে//তোমাকে অনুসরণ করবে//মধ্য হতে তাদের//অবশ্যই পূর্ণ করব আমি//জাহান্নামকে//দিয়ে তোমাদের//সবাইকে"
            },
            {
              "number": 973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/973.mp3"
              ],
              "text": "وَيَٰٓـَٔادَمُ ٱسْكُنْ أَنتَ وَزَوْجُكَ ٱلْجَنَّةَ فَكُلَا مِنْ حَيْثُ شِئْتُمَا وَلَا تَقْرَبَا هَٰذِهِ ٱلشَّجَرَةَ فَتَكُونَا مِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "হে আদম তুমি এবং তোমার স্ত্রী জান্নাতে বসবাস কর। অতঃপর সেখান থেকে যা ইচ্ছা খাও তবে এ বৃক্ষের কাছে যেয়োনা তাহলে তোমরা গোনাহগার হয়ে যাবে।",
              "numberInSurah": 19,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-আ-দামছ কুন আনতা ওয়া ঝাওজুকাল জান্নাতা ফাকুলা-মিন হাইছুশি’তুমাওয়ালা তাকরাবা-হা-যিহিশশাজারাতা ফাতাকূনা-মিনাজ্জা-লিমীন।",
              "words_arabic": "وَ یٰۤاٰدَمُ/وَيَـٰٓـَٔادَمُ/wayaadamu//اسْكُنْ/ٱسۡكُنۡ/us'kun//اَنْتَ/أَنتَ/anta//وَ زَوْجُكَ/وَزَوۡجُكَ/wazawjuka//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//فَكُلَا/فَكُلَا/fakula//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//شِئْتُمَا/شِئۡتُمَا/shi'tuma//وَ لَا/وَلَا/wala//تَقْرَبَا/تَقۡرَبَا/taqraba//هٰذِهِ/هَٰذِهِ/hadhihi//الشَّجَرَةَ/ٱلشَّجَرَةَ/al-shajarata//فَتَكُوْنَا/فَتَكُونَا/fatakuna//مِنَ/مِنَ/mina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং হে আদম//বসবাস করো//তুমি//ও তোমার স্ত্রী//জান্নাতে//অতঃপর দু'জনে খাও//থেকে//যেখান//তোমরা দু'জনে চাও//তবে না//দু'জনে নিকটে হবে//এই//গাছের//তাহ'লে দু'জনে হবে//অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/974.mp3"
              ],
              "text": "فَوَسْوَسَ لَهُمَا ٱلشَّيْطَٰنُ لِيُبْدِىَ لَهُمَا مَا وُۥرِىَ عَنْهُمَا مِن سَوْءَٰتِهِمَا وَقَالَ مَا نَهَىٰكُمَا رَبُّكُمَا عَنْ هَٰذِهِ ٱلشَّجَرَةِ إِلَّآ أَن تَكُونَا مَلَكَيْنِ أَوْ تَكُونَا مِنَ ٱلْخَٰلِدِينَ",
              "translate_bn": "অতঃপর শয়তান উভয়কে প্ররোচিত করল, যাতে তাদের অঙ্গ, যা তাদের কাছে গোপন ছিল, তাদের সামনে প্রকাশ করে দেয়। সে বললঃ তোমাদের পালনকর্তা তোমাদেরকে এ বৃক্ষ থেকে নিষেধ করেননি; তবে তা এ কারণে যে, তোমরা না আবার ফেরেশতা হয়ে যাও-কিংবা হয়ে যাও চিরকাল বসবাসকারী।",
              "numberInSurah": 20,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াছওয়াছা লাহুমাশশাইতা-নু লিইউবদিয়া লাহুমা-মাঊরিয়া ‘আনহুমা-মিন ছাওআতিহিমা-ওয়া কা-লা মা-নাহা-কুমা-রাব্বুকুমা ‘আন হা-যিহিশশাজারাতি ইল্লাআন তাকূনামালাকাইনি আও তাকূনা-মিনাল খা-লিদীন।",
              "words_arabic": "فَوَسْوَسَ/فَوَسۡوَسَ/fawaswasa//لَهُمَا/لَهُمَا/lahuma//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//لِیُبْدِیَ/لِيُبۡدِيَ/liyub'diya//لَهُمَا/لَهُمَا/lahuma//مَا/مَا/ma//وٗرِیَ/وُۥرِيَ/wuriya//عَنْهُمَا/عَنۡهُمَا/anhuma//مِنْ/مِن/min//سَوْاٰتِهِمَا/سَوۡءَٰتِهِمَا/sawatihima//وَ قَالَ/وَقَالَ/waqala//مَا/مَا/ma//نَهٰىكُمَا/نَهَىٰكُمَا/nahakuma//رَبُّكُمَا/رَبُّكُمَا/rabbukuma//عَنْ/عَنۡ/an//هٰذِهِ/هَٰذِهِ/hadhihi//الشَّجَرَةِ/ٱلشَّجَرَةِ/al-shajarati//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَكُوْنَا/تَكُونَا/takuna//مَلَكَیْنِ/مَلَكَيۡنِ/malakayni//اَوْ/أَوۡ/aw//تَكُوْنَا/تَكُونَا/takuna//مِنَ/مِنَ/mina//الْخٰلِدِیْنَ /ٱلۡخَٰلِدِينَ/al-khalidina",
              "words_bangla": "অতঃপর কুমন্ত্রণা দিলো//প্রতি তাদের দুজনের//শয়তান//যেন প্রকাশ করে দেয়//কাছে তাদের দু'জনের//যা//গোপন রাখা হয়েছিলো//নিকট তাদের দুজন//থেকে//দুজনের লজ্জাস্থানগুলো তাদের//এবং (শয়তান) বললো//\"না//তোমাদের দুজনকে নিষেধ করেছেন//তোমাদের দুজনের রব//হতে//এই//গাছ//এছাড়া//যে//তোমরা দুজনে হয়ে যাবে//দুই ফেরেশতা//অথবা//তোমরা দুজনে হবে//অন্তর্ভুক্ত//চিরস্থায়ীদের\""
            },
            {
              "number": 975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/975.mp3"
              ],
              "text": "وَقَاسَمَهُمَآ إِنِّى لَكُمَا لَمِنَ ٱلنَّٰصِحِينَ",
              "translate_bn": "সে তাদের কাছে কসম খেয়ে বললঃ আমি অবশ্যই তোমাদের হিতাকাঙ্খী।",
              "numberInSurah": 21,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-ছামাহুমা-ইন্নী লাকুমা-লামিনান না-সিহীন।",
              "words_arabic": "وَ قَاسَمَهُمَاۤ/وَقَاسَمَهُمَآ/waqasamahuma//اِنِّیْ/إِنِّي/inni//لَكُمَا/لَكُمَا/lakuma//لَمِنَ/لَمِنَ/lamina//النّٰصِحِیْنَۙ/ٱلنَّـٰصِحِينَ/al-nasihina",
              "words_bangla": "এবং তাদের দুজনের কাছে সে শপথ করলে//\"নিশ্চয়ই আমি//জন্যে তোমাদের দুজনের//অবশ্যই অন্তর্ভুক্ত//শুভাকাঙ্ক্ষী\""
            },
            {
              "number": 976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/976.mp3"
              ],
              "text": "فَدَلَّىٰهُمَا بِغُرُورٍۢ ۚ فَلَمَّا ذَاقَا ٱلشَّجَرَةَ بَدَتْ لَهُمَا سَوْءَٰتُهُمَا وَطَفِقَا يَخْصِفَانِ عَلَيْهِمَا مِن وَرَقِ ٱلْجَنَّةِ ۖ وَنَادَىٰهُمَا رَبُّهُمَآ أَلَمْ أَنْهَكُمَا عَن تِلْكُمَا ٱلشَّجَرَةِ وَأَقُل لَّكُمَآ إِنَّ ٱلشَّيْطَٰنَ لَكُمَا عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "অতঃপর প্রতারণাপূর্বক তাদেরকে সম্মত করে ফেলল। অনন্তর যখন তারা বৃক্ষ আস্বাদন করল, তখন তাদের লজ্জাস্থান তাদের সামনে খুলে গেল এবং তারা নিজের উপর বেহেশতের পাতা জড়াতে লাগল। তাদের প্রতিপালক তাদেরকে ডেকে বললেনঃ আমি কি তোমাদেরকে এ বৃক্ষ থেকে নিষেধ করিনি এবং বলিনি যে, শয়তান তোমাদের প্রকাশ্য শত্রু।",
              "numberInSurah": 22,
              "juz": 8,
              "manzil": 2,
              "page": 152,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফাদাল্লা- হুমা-বিগুরূরিন ফালাম্মা-যা-কাশশাজারাতা বাদাত লাহুমা-ছাওআ-তুহুমাওয়া তাফিকা-ইয়াখসিফা-নি ‘আলাইহিমা-মিওঁ ওয়া রাকিল জান্নাতি ওয়া না-দাহুমা-রাব্বুহুমা-আলাম আনহাকুমা-‘আন তিলকুমাশশাজারাতি ওয়া আকুল্লাকুমা ইন্নাশশাইতা-না লাকুমা-‘আদুওউম মুবীন।",
              "words_arabic": "فَدَلّٰىهُمَا/فَدَلَّىٰهُمَا/fadallahuma//بِغُرُوْرٍ ۚ/بِغُرُورٖۚ/bighururin//فَلَمَّا/فَلَمَّا/falamma//ذَاقَا/ذَاقَا/dhaqa//الشَّجَرَةَ/ٱلشَّجَرَةَ/al-shajarata//بَدَتْ/بَدَتۡ/badat//لَهُمَا/لَهُمَا/lahuma//سَوْاٰتُهُمَا/سَوۡءَٰتُهُمَا/sawatuhuma//وَ طَفِقَا/وَطَفِقَا/watafiqa//یَخْصِفٰنِ/يَخۡصِفَانِ/yakhsifani//عَلَیْهِمَا/عَلَيۡهِمَا/alayhima//مِنْ/مِن/min//وَّرَقِ/وَرَقِ/waraqi//الْجَنَّةِ ؕ/ٱلۡجَنَّةِۖ/al-janati//وَ نَادٰىهُمَا/وَنَادَىٰهُمَا/wanadahuma//رَبُّهُمَاۤ/رَبُّهُمَآ/rabbuhuma//اَلَمْ/أَلَمۡ/alam//اَنْهَكُمَا/أَنۡهَكُمَا/anhakuma//عَنْ/عَن/an//تِلْكُمَا/تِلۡكُمَا/til'kuma//الشَّجَرَةِ/ٱلشَّجَرَةِ/al-shajarati//وَ اَقُلْ/وَأَقُل/wa-aqul//لَّكُمَاۤ/لَّكُمَآ/lakuma//اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//لَكُمَا/لَكُمَا/lakuma//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এভাবে সে অধঃপতিত করলো তাদের দুজনকে//দ্বারা ধোঁকা//অতঃপর যখন//দু'জনে স্বাদ নিলো//গাছের (ফলের)//প্রকাশ পেলো//কাছে তাদের দু'জনের//লজ্জাস্থানগুলো তাদের দু'জনের//এবং দু'জনে শুরু করলো//দু'জনে ঢাকতে//দু'জনের উপর তাদের//দিয়ে//পাতা//জান্নাতের//এবং দু'জনকে ডাকলেন তাদের//দু'জনের রব তাদের//\"কি নি//তোমাদের দু'জনকে আমি নিষেধ করি//থেকে//এই//গাছ//এবং আমি বলি (নি)//উদ্দেশ্যে তোমাদের দু'জনের//নিশ্চয়ই//শয়তান//জন্যে তোমাদের দু'জনের//শত্রু\"//প্রকাশ্য\""
            },
            {
              "number": 977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/977.mp3"
              ],
              "text": "قَالَا رَبَّنَا ظَلَمْنَآ أَنفُسَنَا وَإِن لَّمْ تَغْفِرْ لَنَا وَتَرْحَمْنَا لَنَكُونَنَّ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "তারা উভয়ে বললঃ হে আমাদের পালনকর্তা আমরা নিজেদের প্রতি জুলম করেছি। যদি আপনি আমাদেরকে ক্ষমা না করেন এবং আমাদের প্রতি অনুগ্রহ না করেন, তবে আমরা অবশ্যই অবশ্যই ধ্বংস হয়ে যাব।",
              "numberInSurah": 23,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বানা-জালামনাআনফুছানা-ওয়া ইল্লাম তাগফির লানা-ওয়া তারহামনা-লানাকূনান্না মিনাল খা-ছিরীন।",
              "words_arabic": "قَالَا/قَالَا/qala//رَبَّنَا/رَبَّنَا/rabbana//ظَلَمْنَاۤ/ظَلَمۡنَآ/zalamna//اَنْفُسَنَا ٚ/أَنفُسَنَا/anfusana//وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//تَغْفِرْ/تَغۡفِرۡ/taghfir//لَنَا/لَنَا/lana//وَ تَرْحَمْنَا/وَتَرۡحَمۡنَا/watarhamna//لَنَكُوْنَنَّ/لَنَكُونَنَّ/lanakunanna//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "(আদম ও হাওয়া) দু'জনে বললো//\"হে আমাদের রব//অন্যায় করেছি আমরা//আমাদের নিজেদের (উপর)//এবং যদি//না//ক্ষমা করো তুমি//আমাদেরকে//ও আমাদেরকে দয়া (না) করো//অবশ্যই  আমরা হবো//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের\""
            },
            {
              "number": 978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/978.mp3"
              ],
              "text": "قَالَ ٱهْبِطُوا۟ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّۭ ۖ وَلَكُمْ فِى ٱلْأَرْضِ مُسْتَقَرٌّۭ وَمَتَٰعٌ إِلَىٰ حِينٍۢ",
              "translate_bn": "আল্লাহ বললেনঃ তোমরা নেমে যাও। তোমরা এক অপরের শত্রু। তোমাদের জন্যে পৃথিবীতে বাসস্থান আছে এবং একটি নির্দিষ্ট মেয়াদ পর্যন্ত ফল ভোগ আছে।",
              "numberInSurah": 24,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লাহ বিতুবা‘দুকুম লিবা‘দিন ‘আদুওউওঁ ওয়া লাকুম ফিল আরদিমুছতাকাররুওঁ ওয়া মাতা-‘উন ইলা-হীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اهْبِطُوْا/ٱهۡبِطُواْ/ih'bitu//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//لِبَعْضٍ/لِبَعۡضٍ/liba'din//عَدُوٌّ ۚ/عَدُوّٞۖ/aduwwun//وَ لَكُمْ/وَلَكُمۡ/walakum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُسْتَقَرٌّ/مُسۡتَقَرّٞ/mus'taqarrun//وَّ مَتَاعٌ/وَمَتَٰعٌ/wamata'un//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "(আল্লাহ) বললেন//\"তোমরা নেমে যাও//তোমাদের একে//জন্যে অপরের//শত্রু//এবং জন্যে  তোমাদের (থাকবে)//মধ্যে//পৃথিবীর//অবস্থান//ও জীবন সামগ্রী//পর্যন্ত//নির্দিষ্ট সময়\""
            },
            {
              "number": 979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/979.mp3"
              ],
              "text": "قَالَ فِيهَا تَحْيَوْنَ وَفِيهَا تَمُوتُونَ وَمِنْهَا تُخْرَجُونَ",
              "translate_bn": "বললেনঃ তোমরা সেখানেই জীবিত থাকবে, সেখানেই মৃত্যুবরন করবে এবং সেখান থেকেই পুনরুঙ্খিত হবে।",
              "numberInSurah": 25,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 123,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফীহা-তাহইয়াওনা ওয়া ফীহা-তামূতূনা ওয়া মিনহা-তুখরাজূন।",
              "words_arabic": "قَالَ/قَالَ/qala//فِیْهَا/فِيهَا/fiha//تَحْیَوْنَ/تَحۡيَوۡنَ/tahyawna//وَ فِیْهَا/وَفِيهَا/wafiha//تَمُوْتُوْنَ/تَمُوتُونَ/tamutuna//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//تُخْرَجُوْنَ۠/تُخۡرَجُونَ/tukh'rajuna",
              "words_bangla": "তিনি বললেন//\"মধ্যে তার//জীবিত থাকবে তোমরা//ও মধ্যে তার//মৃত্যুবরণ করবে তোমরা//ও থেকে তা//তোমাদের বের করা হবে\""
            },
            {
              "number": 980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/980.mp3"
              ],
              "text": "يَٰبَنِىٓ ءَادَمَ قَدْ أَنزَلْنَا عَلَيْكُمْ لِبَاسًۭا يُوَٰرِى سَوْءَٰتِكُمْ وَرِيشًۭا ۖ وَلِبَاسُ ٱلتَّقْوَىٰ ذَٰلِكَ خَيْرٌۭ ۚ ذَٰلِكَ مِنْ ءَايَٰتِ ٱللَّهِ لَعَلَّهُمْ يَذَّكَّرُونَ",
              "translate_bn": "হে বনী-আদম আমি তোমাদের জন্যে পোশাক অবর্তীণ করেছি, যা তোমাদের লজ্জাস্থান আবৃত করে এবং অবর্তীণ করেছি সাজ সজ্জার বস্ত্র এবং পরহেযগারীর পোশাক, এটি সর্বোত্তম। এটি আল্লাহর কুদরতেরঅন্যতম নিদর্শন, যাতে তারা চিন্তা-ভাবনা করে।",
              "numberInSurah": 26,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 124,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানীআ-দামা কাদ আনঝালনা-‘আলাইকুম লিবা-ছাইঁ ইউওয়া-রী ছাওআ-তিকুম ওয়া রীশাওঁ ওয়া লিবা-ছুততাকওয়া-যা-লিকা খাইরুন যা-লিকা মিন আ-য়া-তিল্লা-হি লা‘আল্লাহুম ইয়াযযাক্কারূন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اٰدَمَ/ءَادَمَ/adama//قَدْ/قَدۡ/qad//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لِبَاسًا/لِبَاسٗا/libasan//یُّوَارِیْ/يُوَٰرِي/yuwari//سَوْاٰتِكُمْ/سَوۡءَٰتِكُمۡ/sawatikum//وَ رِیْشًا ؕ/وَرِيشٗاۖ/warishan//وَ لِبَاسُ/وَلِبَاسُ/walibasu//التَّقْوٰی ۙ/ٱلتَّقۡوَىٰ/al-taqwa//ذٰلِكَ/ذَٰلِكَ/dhalika//خَیْرٌ ؕ/خَيۡرٞۚ/khayrun//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "হে সন্তান//আদমের//নিশ্চয়ই//অবতীর্ণ করেছি আমরা//উপর তোমাদের//পোশাক//তা ঢেকে রাখে//লজ্জাস্থানগুলো তোমাদের//ও শোভা বর্ধকরূপে//ও পোশাক//তাকওয়ার//এটাই//উত্তম//এটা//অন্তর্ভুক্ত//নিদর্শনাবলীর//আল্লাহর//সম্ভবতঃ তারা//শিক্ষা গ্রহন করবে"
            },
            {
              "number": 981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/981.mp3"
              ],
              "text": "يَٰبَنِىٓ ءَادَمَ لَا يَفْتِنَنَّكُمُ ٱلشَّيْطَٰنُ كَمَآ أَخْرَجَ أَبَوَيْكُم مِّنَ ٱلْجَنَّةِ يَنزِعُ عَنْهُمَا لِبَاسَهُمَا لِيُرِيَهُمَا سَوْءَٰتِهِمَآ ۗ إِنَّهُۥ يَرَىٰكُمْ هُوَ وَقَبِيلُهُۥ مِنْ حَيْثُ لَا تَرَوْنَهُمْ ۗ إِنَّا جَعَلْنَا ٱلشَّيَٰطِينَ أَوْلِيَآءَ لِلَّذِينَ لَا يُؤْمِنُونَ",
              "translate_bn": "হে বনী-আদম শয়তান যেন তোমাদেরকে বিভ্রান্ত না করে; যেমন সে তোমাদের পিতামাতাকে জান্নাত থেকে বের করে দিয়েছে এমতাবস্থায় যে, তাদের পোশাক তাদের থেকে খুলিয়ে দিয়েছি-যাতে তাদেরকে লজ্জাস্থান দেখিয়ে দেয়। সে এবং তার দলবল তোমাদেরকে দেখে, যেখান থেকে তোমরা তাদেরকে দেখ না। আমি শয়তানদেরকে তাদের বন্ধু করে দিয়েছি, , যারা বিশ্বাস স্থাপন করে না।",
              "numberInSurah": 27,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 124,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানীআ-দামা লা-ইয়াফতিনান্নাকুমুশ শাইতা-নুকামাআখরাজা আবাওয়াইকুম মিনাল জান্নাতি ইয়ানঝি‘উ ‘আনহুমা-লিবা-ছাহুমা-লিইউরিয়াহুমা-ছাওআ-তিহিমা- ইন্নাহূ ইয়ারা-কুম হুওয়া ওয়াকাবীলুহূমিন হাইছুলা-তারাওনাহুম ইন্না-জা‘আলনাশ শায়াতীনা আওলিয়াআ লিল্লাযীনা লা-ইউ’মিনূন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اٰدَمَ/ءَادَمَ/adama//لَا/لَا/la//یَفْتِنَنَّكُمُ/يَفۡتِنَنَّكُمُ/yaftinannakumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//كَمَاۤ/كَمَآ/kama//اَخْرَجَ/أَخۡرَجَ/akhraja//اَبَوَیْكُمْ/أَبَوَيۡكُم/abawaykum//مِّنَ/مِّنَ/mina//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//یَنْزِعُ/يَنزِعُ/yanzi'u//عَنْهُمَا/عَنۡهُمَا/anhuma//لِبَاسَهُمَا/لِبَاسَهُمَا/libasahuma//لِیُرِیَهُمَا/لِيُرِيَهُمَا/liyuriyahuma//سَوْاٰتِهِمَا ؕ/سَوۡءَٰتِهِمَآۚ/sawatihima//اِنَّهٗ/إِنَّهُۥ/innahu//یَرٰىكُمْ/يَرَىٰكُمۡ/yarakum//هُوَ/هُوَ/huwa//وَ قَبِیْلُهٗ/وَقَبِيلُهُۥ/waqabiluhu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//تَرَوْنَهُمْ ؕ/تَرَوۡنَهُمۡۗ/tarawnahum//اِنَّا/إِنَّا/inna//جَعَلْنَا/جَعَلۡنَا/ja'alna//الشَّیٰطِیْنَ/ٱلشَّيَٰطِينَ/al-shayatina//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "হে সন্তান//আদমের//না (যেন)//তোমাদের পরীক্ষায় ফেলে//শয়তান//যেমন//সে বের করেছিলো//পিতা-মাতাকে তোমাদের//থেকে//জান্নাত//খুলে ফেলে//থেকে তাদের দু'জন//পোষাক তাদের দু'জনের//জন্যে তাদের দু'জনকে দেখানোর//লজ্জাস্থান তাদের দু'জনের//নিশ্চয়ই সে//দেখে তোমাদের//সে//ও দলবল তার//থেকে//যেখান//না//তোমরা দেখো তাদেরকে//নিশ্চয়ই আমরা//আমরা বানিয়েছি//শয়তানদেরকে//অভিভাবকরূপে//(তাদের) জন্যে যারা//না//ঈমান আনে"
            },
            {
              "number": 982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/982.mp3"
              ],
              "text": "وَإِذَا فَعَلُوا۟ فَٰحِشَةًۭ قَالُوا۟ وَجَدْنَا عَلَيْهَآ ءَابَآءَنَا وَٱللَّهُ أَمَرَنَا بِهَا ۗ قُلْ إِنَّ ٱللَّهَ لَا يَأْمُرُ بِٱلْفَحْشَآءِ ۖ أَتَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তারা যখন কোন মন্দ কাজ করে, তখন বলে আমরা বাপ-দাদাকে এমনি করতে দেখেছি এবং আল্লাহও আমাদেরকে এ নির্দেশই দিয়েছেন। আল্লাহ মন্দকাজের আদেশ দেন না। এমন কথা আল্লাহর প্রতি কেন আরোপ কর, যা তোমরা জান না।",
              "numberInSurah": 28,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 124,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ফা‘আলূফা-হিশাতান কা-লুওয়াজাদনা-‘আলাইহাআ-বাআনা-ওয়াল্লা-হু আমারানা-বিহা- কুল ইন্নাল্লা-হা লা-ইয়া’মুরু বিল ফাহশাই আতাকূলূনা ‘আলাল্লা-হি মা-লা-তা‘লামূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//فَعَلُوْا/فَعَلُواْ/fa'alu//فَاحِشَةً/فَٰحِشَةٗ/fahishatan//قَالُوْا/قَالُواْ/qalu//وَجَدْنَا/وَجَدۡنَا/wajadna//عَلَیْهَاۤ/عَلَيۡهَآ/alayha//اٰبَآءَنَا/ءَابَآءَنَا/abaana//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَمَرَنَا/أَمَرَنَا/amarana//بِهَا ؕ/بِهَاۗ/biha//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَاْمُرُ/يَأۡمُرُ/yamuru//بِالْفَحْشَآءِ ؕ/بِٱلۡفَحۡشَآءِۖ/bil-fahshai//اَتَقُوْلُوْنَ/أَتَقُولُونَ/ataquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং যখন//তারা করে//অশ্লীল কাজ//তারা বলে//\"পেয়েছি আমরা//উপর এসবের//বাপ-দাদাদেরকে আমাদের//এবং আল্লাহ//নির্দেশ দিয়েছেন আমাদের//সম্পর্কে এর\"//তুমি বলো//\"নিশ্চয়ই//আল্লাহ//না//নির্দেশ দেন//ব্যাপারে অশ্লীলতার//কি তোমরা বলছো//সম্পর্কে//আল্লাহর//যা//না\"//তোমরা জানো\""
            },
            {
              "number": 983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/983.mp3"
              ],
              "text": "قُلْ أَمَرَ رَبِّى بِٱلْقِسْطِ ۖ وَأَقِيمُوا۟ وُجُوهَكُمْ عِندَ كُلِّ مَسْجِدٍۢ وَٱدْعُوهُ مُخْلِصِينَ لَهُ ٱلدِّينَ ۚ كَمَا بَدَأَكُمْ تَعُودُونَ",
              "translate_bn": "আপনি বলে দিনঃ আমার প্রতিপালক সুবিচারের নির্দেশ দিয়েছেন এবং তোমরা প্রত্যেক সেজদার সময় স্বীয় মুখমন্ডল সোজা রাখ এবং তাঁকে খাঁটি আনুগত্যশীল হয়ে ডাক। তোমাদেরকে প্রথমে যেমন সৃষ্টি করেছেন, পুনর্বারও সৃজিত হবে।",
              "numberInSurah": 29,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 124,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "কুল আমারা রাববী বিলকিছতিওয়া আকীমূউজূহাকুম ‘ইনদা কুল্লি মাছজিদিওঁ ওয়াদ‘ঊহু মুখলিসীনা লাহুদদীনা কামা-বাদাআকুম তা‘ঊদূ ন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَمَرَ/أَمَرَ/amara//رَبِّیْ/رَبِّي/rabbi//بِالْقِسْطِ ۫/بِٱلۡقِسۡطِۖ/bil-qis'ti//وَ اَقِیْمُوْا/وَأَقِيمُواْ/wa-aqimu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//عِنْدَ/عِندَ/inda//كُلِّ/كُلِّ/kulli//مَسْجِدٍ/مَسۡجِدٖ/masjidin//وَّ ادْعُوْهُ/وَٱدۡعُوهُ/wa-id'uhu//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ؕ۬/ٱلدِّينَۚ/al-dina//كَمَا/كَمَا/kama//بَدَاَكُمْ/بَدَأَكُمۡ/bada-akum//تَعُوْدُوْنَؕ/تَعُودُونَ/ta'uduna",
              "words_bangla": "(হে নাবী) বলো//\"নির্দেশ দিয়েছেন//\"আমার রব//ব্যাপারে ন্যায়ের//এবং তোমরা স্থির রাখো//লক্ষ্য তোমাদের//সময়//প্রত্যেক//মাসজীদের (সালাতের)//এবং তোমরা ডাকো তাঁকে//তোমরা একনিষ্ঠভাবে//জন্যে তাঁরই//আনুগত্যকে (নিষ্ঠাপূর্ণ করে)//যেমন//প্রথম সৃষ্টি করেছেন তোমাদের//তোমরা (তেমনি) ফিরে আসবে\""
            },
            {
              "number": 984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/984.mp3"
              ],
              "text": "فَرِيقًا هَدَىٰ وَفَرِيقًا حَقَّ عَلَيْهِمُ ٱلضَّلَٰلَةُ ۗ إِنَّهُمُ ٱتَّخَذُوا۟ ٱلشَّيَٰطِينَ أَوْلِيَآءَ مِن دُونِ ٱللَّهِ وَيَحْسَبُونَ أَنَّهُم مُّهْتَدُونَ",
              "translate_bn": "একদলকে পথ প্রদর্শন করেছেন এবং একদলের জন্যে পথভ্রষ্টতা অবধারিত হয়ে গেছে। তারা আল্লাহকে ছেড়ে শয়তানদেরকে বন্ধু হিসাবে গ্রহণ করেছে এবং ধারণা করে যে, তারা সৎপথে রয়েছে।",
              "numberInSurah": 30,
              "juz": 8,
              "manzil": 2,
              "page": 153,
              "ruku": 124,
              "hizbQuarter": 61,
              "sajda": false,
              "pronunciation_bn": "ফারীকান হাদা-ওয়া ফারীকান হাক্কা ‘আলাইহিমুদ্দালা-লাতু ইন্নাহুমুততাখাযুশশায়া-তীনা আওলিয়াআ মিন দূ নিল্লা-হি ওয়া ইয়াহছাবূনা আন্নাহুম মুহতাদূ ন।",
              "words_arabic": "فَرِیْقًا/فَرِيقًا/fariqan//هَدٰی/هَدَىٰ/hada//وَ فَرِیْقًا/وَفَرِيقًا/wafariqan//حَقَّ/حَقَّ/haqqa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الضَّلٰلَةُ ؕ/ٱلضَّلَٰلَةُۚ/al-dalalatu//اِنَّهُمُ/إِنَّهُمُ/innahumu//اتَّخَذُوا/ٱتَّخَذُواْ/ittakhadhu//الشَّیٰطِیْنَ/ٱلشَّيَٰطِينَ/al-shayatina//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَحْسَبُوْنَ/وَيَحۡسَبُونَ/wayahsabuna//اَنَّهُمْ/أَنَّهُم/annahum//مُّهْتَدُوْنَ /مُّهۡتَدُونَ/muh'taduna",
              "words_bangla": "একদলকে//তিনি সঠিক পথে চলিয়েছেন//এবং (অপর এক) দলের (জন্যে)//অবধারিত হয়েছে//উপর তাদের//পথ ভ্রষ্টতা//নিশ্চয়ই তারা//গ্রহন করেছে//শয়তানদেরকে//অভিভাবকরূপে//দিয়ে//বাদ//আল্লাহকে//এবং তারা মনে করে//যে তারা//সঠিক-পথপ্রাপ্ত"
            },
            {
              "number": 985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/985.mp3"
              ],
              "text": "۞ يَٰبَنِىٓ ءَادَمَ خُذُوا۟ زِينَتَكُمْ عِندَ كُلِّ مَسْجِدٍۢ وَكُلُوا۟ وَٱشْرَبُوا۟ وَلَا تُسْرِفُوٓا۟ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْرِفِينَ",
              "translate_bn": "হে বনী-আদম! তোমরা প্রত্যেক নামাযের সময় সাজসজ্জা পরিধান করে নাও, খাও ও পান কর এবং অপব্যয় করো না। তিনি অপব্যয়ীদেরকে পছন্দ করেন না।",
              "numberInSurah": 31,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 124,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানীআ-দামা-খুযূঝীনাতাকুম ‘ইনদা কুল্লি মাছজিদিওঁ ওয়া কুলূওয়াশরাবূওয়ালাতুছরিফূ ইন্নাহূলা-ইউহিব্বুল মুছরিফীন।",
              "words_arabic": "یٰبَنِیْۤ/۞يَٰبَنِيٓ/yabani//اٰدَمَ/ءَادَمَ/adama//خُذُوْا/خُذُواْ/khudhu//زِیْنَتَكُمْ/زِينَتَكُمۡ/zinatakum//عِنْدَ/عِندَ/inda//كُلِّ/كُلِّ/kulli//مَسْجِدٍ/مَسۡجِدٖ/masjidin//وَّ كُلُوْا/وَكُلُواْ/wakulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//وَ لَا/وَلَا/wala//تُسْرِفُوْا ۚ/تُسۡرِفُوٓاْۚ/tus'rifu//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُسْرِفِیْنَ۠/ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "হে সন্তান//আদমের//তোমরা গ্রহণ করো//সুন্দর পোশাক তোমাদের//সময়//প্রত্যেক//মাসজীদের (সালাতের)//এবং তোমরা খাও//ও তোমরা পান কর//কিন্তু না//তোমরা সীমালঙ্ঘন করো//নিশ্চয়ই তিনি//না//ভালোবাসেন//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/986.mp3"
              ],
              "text": "قُلْ مَنْ حَرَّمَ زِينَةَ ٱللَّهِ ٱلَّتِىٓ أَخْرَجَ لِعِبَادِهِۦ وَٱلطَّيِّبَٰتِ مِنَ ٱلرِّزْقِ ۚ قُلْ هِىَ لِلَّذِينَ ءَامَنُوا۟ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا خَالِصَةًۭ يَوْمَ ٱلْقِيَٰمَةِ ۗ كَذَٰلِكَ نُفَصِّلُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "আপনি বলুনঃ আল্লাহর সাজ-সজ্জাকে, যা তিনি বান্দাদের জন্যে সৃষ্টি করেছেন এবং পবিত্র খাদ্রবস্তুসমূহকে কে হারাম করেছে? আপনি বলুনঃ এসব নেয়ামত আসলে পার্থিব জীবনে মুমিনদের জন্যে এবং কিয়ামতের দিন খাঁটিভাবে তাদেরই জন্যে। এমনিভাবে আমি আয়াতসমূহ বিস্তারিত বর্ণনা করি তাদের জন্যে যারা বুঝে।",
              "numberInSurah": 32,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "কুল মান হাররামা ঝীনাতাল্লা-হিল্লাতীআখরাজা-লি‘ইবা-দিহী ওয়াত্তাইয়িবা-তি মিনার রিঝকি কুল হিয়া লিল্লাযীনা আ-মানূফিল হায়া-তিদদুনইয়া-খা-লিসাতাইঁ ইয়াওমাল কিয়া-মাতি কাযা-লিকা নুফাসসিলুল আ-য়া-তি লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَنۡ/man//حَرَّمَ/حَرَّمَ/harrama//زِیْنَةَ/زِينَةَ/zinata//اللّٰهِ/ٱللَّهِ/al-lahi//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَخْرَجَ/أَخۡرَجَ/akhraja//لِعِبَادِهٖ/لِعِبَادِهِۦ/li'ibadihi//وَ الطَّیِّبٰتِ/وَٱلطَّيِّبَٰتِ/wal-tayibati//مِنَ/مِنَ/mina//الرِّزْقِ ؕ/ٱلرِّزۡقِۚ/al-riz'qi//قُلْ/قُلۡ/qul//هِیَ/هِيَ/hiya//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//خَالِصَةً/خَالِصَةٗ/khalisatan//یَّوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نُفَصِّلُ/نُفَصِّلُ/nufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "(হে নাবী) বলো//\"কে//নিষেধ করেছে//শোভার বস্তুকে//আল্লাহর (দেওয়া)//যা//তিনি সৃষ্টি করেছেন//জন্যে তাঁর দাসদের//ও পবিত্র বস্তুসমূহকে//হতে//জীবিকা\"//বলো//\"তা//(তাদের) জন্যে যারা//ঈমান আনে//মধ্যে (প্রতি)//জীবনের//পার্থিব//বিশেষ করে//দিনে//ক্বিয়ামাতের//এভাবে//বিস্তারিত বর্ণনা করি আমরা//নিদর্শনাবলী//জন্যে জাতির//(যারা) জ্ঞান রাখে\""
            },
            {
              "number": 987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/987.mp3"
              ],
              "text": "قُلْ إِنَّمَا حَرَّمَ رَبِّىَ ٱلْفَوَٰحِشَ مَا ظَهَرَ مِنْهَا وَمَا بَطَنَ وَٱلْإِثْمَ وَٱلْبَغْىَ بِغَيْرِ ٱلْحَقِّ وَأَن تُشْرِكُوا۟ بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَٰنًۭا وَأَن تَقُولُوا۟ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "আপনি বলে দিনঃ আমার পালনকর্তা কেবলমাত্র অশ্লীল বিষয়সমূহ হারাম করেছেন যা প্রকাশ্য ও অপ্রকাশ্য এবং হারাম করেছেন গোনাহ, অন্যায়-অত্যাচার আল্লাহর সাথে এমন বস্তুকে অংশীদার করা, তিনি যার কোন, সনদ অবতীর্ণ করেননি এবং আল্লাহর প্রতি এমন কথা আরোপ করা, যা তোমরা জান না।",
              "numberInSurah": 33,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামা- হাররামা রাব্বিয়াল ফাওয়া-হিশা মা-জাহারা মিনহা-ওয়া মা- বাতানা ওয়াল ইছমা ওয়াল বাগইয়া বিগাইরিল হাক্কি ওয়া আন তুশরিকূবিল্লা-হি মা-লাম ইউনাঝঝিল বিহী ছুলতা-নাওঁ ওয়া আন তাকূলূ‘আলাল্লা-হি মা-লা-তা‘লামূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//حَرَّمَ/حَرَّمَ/harrama//رَبِّیَ/رَبِّيَ/rabbiya//الْفَوَاحِشَ/ٱلۡفَوَٰحِشَ/al-fawahisha//مَا/مَا/ma//ظَهَرَ/ظَهَرَ/zahara//مِنْهَا/مِنۡهَا/min'ha//وَ مَا/وَمَا/wama//بَطَنَ/بَطَنَ/batana//وَ الْاِثْمَ/وَٱلۡإِثۡمَ/wal-ith'ma//وَ الْبَغْیَ/وَٱلۡبَغۡيَ/wal-baghya//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ اَنْ/وَأَن/wa-an//تُشْرِكُوْا/تُشۡرِكُواْ/tush'riku//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یُنَزِّلْ/يُنَزِّلۡ/yunazzil//بِهٖ/بِهِۦ/bihi//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//وَّ اَنْ/وَأَن/wa-an//تَقُوْلُوْا/تَقُولُواْ/taqulu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "তুমি বলো//\"প্রকৃতপক্ষে//নিষিদ্ধ করেছেন//আমার রব//অশ্লীল কাজগুলোকে//যা//প্রকাশ্যে হয়//মধ্য হতে তার//বা যা//গোপনেও হয়//এবং পাপ//ও বিদ্রোহ//নয়//সংগত//এবং (এও) যে//তোমরা শিরক করো//সাথে আল্লাহর//যার//নি//তিনি অবতীর্ণ করেন//সম্পর্কে সে//কোনো প্রমাণ//এবং (এও) যে//তোমরা বলো//সম্বন্ধে//আল্লাহর//যা//না\"//তোমরা জানো\""
            },
            {
              "number": 988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/988.mp3"
              ],
              "text": "وَلِكُلِّ أُمَّةٍ أَجَلٌۭ ۖ فَإِذَا جَآءَ أَجَلُهُمْ لَا يَسْتَأْخِرُونَ سَاعَةًۭ ۖ وَلَا يَسْتَقْدِمُونَ",
              "translate_bn": "প্রত্যেক সম্প্রদায়ের একটি মেয়াদ রয়েছে। যখন তাদের মেয়াদ এসে যাবে, তখন তারা না এক মুহুর্ত পিছে যেতে পারবে, আর না এগিয়ে আসতে পারবে।",
              "numberInSurah": 34,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লি উম্মাতিন আজালুন ফাইযা-জাআ আজালুহুম লা-ইয়াছতা’খিরূনা ছা‘আতাওঁ ওয়ালা-ইয়াছতাকদিমূন।",
              "words_arabic": "وَ لِكُلِّ/وَلِكُلِّ/walikulli//اُمَّةٍ/أُمَّةٍ/ummatin//اَجَلٌ ۚ/أَجَلٞۖ/ajalun//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//اَجَلُهُمْ/أَجَلُهُمۡ/ajaluhum//لَا/لَا/la//یَسْتَاْخِرُوْنَ/يَسۡتَأۡخِرُونَ/yastakhiruna//سَاعَةً/سَاعَةٗ/sa'atan//وَّ لَا/وَلَا/wala//یَسْتَقْدِمُوْنَ /يَسۡتَقۡدِمُونَ/yastaqdimuna",
              "words_bangla": "এবং জন্যে প্রত্যেক//জাতির (আছে)//এক নির্দিষ্ট সময়//অতঃপর যখন//আসবে//সময় তাদের (পূর্ণ হয়ে)//না//তারা দেরি করতে পারবে//এক মুহুর্তও//আর না//আগে নিয়ে যেতে পারবে"
            },
            {
              "number": 989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/989.mp3"
              ],
              "text": "يَٰبَنِىٓ ءَادَمَ إِمَّا يَأْتِيَنَّكُمْ رُسُلٌۭ مِّنكُمْ يَقُصُّونَ عَلَيْكُمْ ءَايَٰتِى ۙ فَمَنِ ٱتَّقَىٰ وَأَصْلَحَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "হে বনী-আদম, যদি তোমাদের কাছে তোমাদেরই মধ্য থেকে পয়গম্বর আগমন করে তোমাদেরকে আমার আয়াত সমূহ শুনায়, তবে যে ব্যক্তি সংযত হয় এবং সৎকাজ অবলম্বন করে, তাদের কোন আশঙ্কা নেই এবং তারা দুঃখিত হবে না।",
              "numberInSurah": 35,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানীআ-দামা ইম্মা-ইয়া’তিইয়ান্নাকুম রুছুলুম মিনকুম ইয়াকু সসূনা ‘আলাইকুম আ-য়াতী ফামানিত্তাকা-ওয়া আস লাহা ফালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اٰدَمَ/ءَادَمَ/adama//اِمَّا/إِمَّا/imma//یَاْتِیَنَّكُمْ/يَأۡتِيَنَّكُمۡ/yatiyannakum//رُسُلٌ/رُسُلٞ/rusulun//مِّنْكُمْ/مِّنكُمۡ/minkum//یَقُصُّوْنَ/يَقُصُّونَ/yaqussuna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتِیْ ۙ/ءَايَٰتِي/ayati//فَمَنِ/فَمَنِ/famani//اتَّقٰی/ٱتَّقَىٰ/ittaqa//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//فَلَا/فَلَا/fala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "হে সন্তান//আদমের//যদি//কাছে আসে তোমাদের//রাসূলগণ//মধ্য হতে তোমাদের//বর্ণনা করে//নিকট তোমাদের//আমার নিদর্শনাবলী//অতঃপর যে//সংযত হবে//ও সংশোধন করবে (নিজেকে)//তখন না//ভয় (থাকবে)//উপর তাদের//আর না//তারা//দুঃখিত হবে"
            },
            {
              "number": 990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/990.mp3"
              ],
              "text": "وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَٱسْتَكْبَرُوا۟ عَنْهَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যারা আমার আয়াতসমূহকে মিথ্যা বলবে এবং তা থেকে অহংকার করবে, তারাই দোযখী এবং তথায় চিরকাল থাকবে।",
              "numberInSurah": 36,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাযীনা কাযযাবূবিআ-য়া-তিনা-ওয়াছতাকবারূ‘আনহা-উলাইকা আসহা-বুন্নারি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ اسْتَكْبَرُوْا/وَٱسۡتَكۡبَرُواْ/wa-is'takbaru//عَنْهَاۤ/عَنۡهَآ/anha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং যারা//মিথ্যা সাব্যস্ত করবে//ব্যাপারে আয়াতগুলোর আমাদের//ও অহংকার করবে//হতে তা//ঐসব লোক//অধিবাসী (হবে)//আগুনের//তারা//মধ্যে তার (থাকবে)//চিরকাল"
            },
            {
              "number": 991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/991.mp3"
              ],
              "text": "فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَٰتِهِۦٓ ۚ أُو۟لَٰٓئِكَ يَنَالُهُمْ نَصِيبُهُم مِّنَ ٱلْكِتَٰبِ ۖ حَتَّىٰٓ إِذَا جَآءَتْهُمْ رُسُلُنَا يَتَوَفَّوْنَهُمْ قَالُوٓا۟ أَيْنَ مَا كُنتُمْ تَدْعُونَ مِن دُونِ ٱللَّهِ ۖ قَالُوا۟ ضَلُّوا۟ عَنَّا وَشَهِدُوا۟ عَلَىٰٓ أَنفُسِهِمْ أَنَّهُمْ كَانُوا۟ كَٰفِرِينَ",
              "translate_bn": "অতঃপর ঐ ব্যক্তির চাইতে অধিক জালেম কে, যে আল্লাহর প্রতি মিথ্যা আরোপ করে অথবা তার নির্দেশাবলীকে মিথ্যা বলে? তারা তাদের গ্রন্থে লিখিত অংশ পেয়ে যাবে। এমন কি, যখন তাদের কাছে আমার প্রেরিত ফেরশতারা প্রাণ নেওয়ার জন্যে পৌছে, তখন তারা বলে; তারা কোথায় গেল, যাদের কে তোমরা আল্লাহ ব্যতীত আহবান করতে? তারা উত্তর দেবেঃ আমাদের কাছ থেকে উধাও হয়ে গেছে, তারা নিজেদের সম্পর্কে স্বীকার করবে যে, তারা অবশ্যই কাফের ছিল।",
              "numberInSurah": 37,
              "juz": 8,
              "manzil": 2,
              "page": 154,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ফামান আজলামুমিম্মানিফ তারা-‘আলাল্লা-হি কাযিবান আও কাযযাবা বিআ-য়া-তিহী উলাইকা ইয়ানা-লুহুম নাসীবুহুম মিনাল কিতা-বি হাত্তাইযা-জাআতহুম রুছুলুনা-ইয়াতাওয়াফফাওনাহুম কা-লূআইনামা-কুনতুম তাদ‘ঊনা মিন দূ নিল্লা-হি কা-লূদাললূ‘আন্না-ওয়া শাহিদূ‘আলাআনফুছিহিম আন্নাহুম কা-নূকা-ফিরীন।",
              "words_arabic": "فَمَنْ/فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَوْ/أَوۡ/aw//كَذَّبَ/كَذَّبَ/kadhaba//بِاٰیٰتِهٖ ؕ/بِـَٔايَٰتِهِۦٓۚ/biayatihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یَنَالُهُمْ/يَنَالُهُمۡ/yanaluhum//نَصِیْبُهُمْ/نَصِيبُهُم/nasibuhum//مِّنَ/مِّنَ/mina//الْكِتٰبِ ؕ/ٱلۡكِتَٰبِۖ/al-kitabi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُنَا/رُسُلُنَا/rusuluna//یَتَوَفَّوْنَهُمْ ۙ/يَتَوَفَّوۡنَهُمۡ/yatawaffawnahum//قَالُوْۤا/قَالُوٓاْ/qalu//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالُوْا/قَالُواْ/qalu//ضَلُّوْا/ضَلُّواْ/dallu//عَنَّا/عَنَّا/anna//وَ شَهِدُوْا/وَشَهِدُواْ/washahidu//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//اَنَّهُمْ/أَنَّهُمۡ/annahum//كَانُوْا/كَانُواْ/kanu//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "অতঃপর কে//অধিক সীমালঙ্ঘনকারী (হতে পারে)//(তার) চেয়ে যে//রচনা করে//সম্বন্ধে//আল্লাহর//মিথ্যা//বা//মিথ্যা সাব্যস্ত করে//ব্যাপারে আয়াতগুলোর তাঁর//ঐসব লোক//কাছে পৌঁছবে তাদের//অংশ তাদের//হতে//কিতাব (অর্থাৎ তকদির)//শেষ পর্যন্ত//যখন//কাছে আসবে তাদের//আমাদের ফেরেশতারা//প্রাণ হরণ করতে তাদের//(ফেরেশতারা) বলবে//\"কোথায় (তারা)//যাদের//তোমরা ছিলে//তোমরা ডাকতে//দিয়ে//বাদ//আল্লাহকে\"//(মুশরিকরা) বলবে//\"তারা লুকিয়ে গিয়েছে//আমাদের থেকে//এবং তারা সাক্ষ্য দিবে//বিরুদ্ধে//নিজেদের তাদের//যে তারা//ছিলো//অবিশ্বাসী"
            },
            {
              "number": 992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/992.mp3"
              ],
              "text": "قَالَ ٱدْخُلُوا۟ فِىٓ أُمَمٍۢ قَدْ خَلَتْ مِن قَبْلِكُم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ فِى ٱلنَّارِ ۖ كُلَّمَا دَخَلَتْ أُمَّةٌۭ لَّعَنَتْ أُخْتَهَا ۖ حَتَّىٰٓ إِذَا ٱدَّارَكُوا۟ فِيهَا جَمِيعًۭا قَالَتْ أُخْرَىٰهُمْ لِأُولَىٰهُمْ رَبَّنَا هَٰٓؤُلَآءِ أَضَلُّونَا فَـَٔاتِهِمْ عَذَابًۭا ضِعْفًۭا مِّنَ ٱلنَّارِ ۖ قَالَ لِكُلٍّۢ ضِعْفٌۭ وَلَٰكِن لَّا تَعْلَمُونَ",
              "translate_bn": "আল্লাহ বলবেনঃ তোমাদের পূর্বে জিন ও মানবের যেসব সম্প্রদায় চলে গেছে, তাদের সাথে তোমরাও দোযখে যাও। যখন এক সম্প্রদায় প্রবেশ করবে; তখন অন্য সম্প্রদায়কে অভিসম্পাত করবে। এমনকি, যখন তাতে সবাই পতিত হবে, তখন পরবর্তীরা পূর্ববর্তীদের সম্পর্কে বলবেঃ হে আমাদের প্রতিপালক এরাই আমাদেরকে বিপথগামী করেছিল। অতএব, আপনি তাদেরকে দ্বিগুণ শাস্তি দিন। আল্লাহ বলবেন প্রত্যেকেরই দ্বিগুণ; তোমরা জান না।",
              "numberInSurah": 38,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "কা-লাদ খুলূফীউমামিন কাদ খালাত মিন কাবলিকুম মিনাল জিন্নি ওয়াল ইনছি ফিন্না-রি কুল্লামা-দাখালাত উম্মাতুল লা‘আনাত উখতাহা- হাত্তা-ইযাদ্দা-রাকূফীহাজামী‘আন কা-লাত উখরা-হুম লিঊলা-হুম রাব্বানা-হাউলাই আদাললূনা-ফাআতিহিমি ‘আযা-বান দি‘ফাম মিনান্না-রি কা-লা লিকুল্লিন দি‘ফুওঁ ওয়ালা-কিল্লাতা‘লামূন।",
              "words_arabic": "قَالَ/قَالَ/qala//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//فِیْۤ/فِيٓ/fi//اُمَمٍ/أُمَمٖ/umamin//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُم/qablikum//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ/وَٱلۡإِنسِ/wal-insi//فِی/فِي/fi//النَّارِ ؕ/ٱلنَّارِۖ/al-nari//كُلَّمَا/كُلَّمَا/kullama//دَخَلَتْ/دَخَلَتۡ/dakhalat//اُمَّةٌ/أُمَّةٞ/ummatun//لَّعَنَتْ/لَّعَنَتۡ/la'anat//اُخْتَهَا ؕ/أُخۡتَهَاۖ/ukh'taha//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//ادَّارَكُوْا/ٱدَّارَكُواْ/iddaraku//فِیْهَا/فِيهَا/fiha//جَمِیْعًا ۙ/جَمِيعٗا/jami'an//قَالَتْ/قَالَتۡ/qalat//اُخْرٰىهُمْ/أُخۡرَىٰهُمۡ/ukh'rahum//لِاُوْلٰىهُمْ/لِأُولَىٰهُمۡ/liulahum//رَبَّنَا/رَبَّنَا/rabbana//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اَضَلُّوْنَا/أَضَلُّونَا/adalluna//فَاٰتِهِمْ/فَـَٔاتِهِمۡ/faatihim//عَذَابًا/عَذَابٗا/adhaban//ضِعْفًا/ضِعۡفٗا/di'fan//مِّنَ/مِّنَ/mina//النَّارِ ؕ۬/ٱلنَّارِۖ/al-nari//قَالَ/قَالَ/qala//لِكُلٍّ/لِكُلّٖ/likullin//ضِعْفٌ/ضِعۡفٞ/di'fun//وَّ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "(আল্লাহ) বলবেন//\"তোমরা প্রবেশ করো//সাথে (অন্তর্ভুক্ত হয়ে)//জাতিগুলোর//নিশ্চয়ই//গত হয়েছে//থেকে//পূর্ব তোমাদের//মধ্য হতে//জিনদের//ও মানুষের//মধ্যে//আগুনের\"//যখনই//প্রবেশ করবে//কোনো জাতি//অভিশাপ দিবে//বোনকে তার (অন্য দলকে)//এমনকি//যখন//তারা পেয়ে যাবে//মধ্যে তার//সবাইকে//বলবে//পরবর্তীরা তাদের//সম্পর্কে পূর্ববর্তীদের তাদের//\"হে আমাদের রব//এরাই//বিভ্রান্ত করেছিলো আমাদের//অতএব তাদের দিন//শাস্তি//দ্বিগুণ//দ্বারা//আগুনের\"//(আল্লাহ) বলবেন//\"জন্যে প্রত্যেকের(রয়েছে)//দ্বিগুণ (শাস্তি)//কিন্তু//না//তোমরা জানো\""
            },
            {
              "number": 993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/993.mp3"
              ],
              "text": "وَقَالَتْ أُولَىٰهُمْ لِأُخْرَىٰهُمْ فَمَا كَانَ لَكُمْ عَلَيْنَا مِن فَضْلٍۢ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْسِبُونَ",
              "translate_bn": "পূর্ববর্তীরা পরবর্তীদেরকে বলবেঃ তাহলে আমাদের উপর তোমাদের কোন শ্রেষ্ঠত্ব নেই অতএব, শাস্তি আস্বাদন কর স্বীয় কর্মের কারণে।",
              "numberInSurah": 39,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 125,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাত ঊলা-হুম লিউখরা-হুম ফামা-কা-না লাকুম‘আলাইনা-মিন ফাদলিন ফাযূকুল ‘আযা-বা বিমা-কুনতুম তাকছিবূন।",
              "words_arabic": "وَ قَالَتْ/وَقَالَتۡ/waqalat//اُوْلٰىهُمْ/أُولَىٰهُمۡ/ulahum//لِاُخْرٰىهُمْ/لِأُخۡرَىٰهُمۡ/li-ukh'rahum//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//عَلَیْنَا/عَلَيۡنَا/alayna//مِنْ/مِن/min//فَضْلٍ/فَضۡلٖ/fadlin//فَذُوْقُوا/فَذُوقُواْ/fadhuqu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْسِبُوْنَ۠/تَكۡسِبُونَ/taksibuna",
              "words_bangla": "এবং বলবে//পূর্ববর্তীরা তাদের//উদ্দেশ্যে পরবর্তীদের তাদের//\"মূলতঃ না//ছিলো//জন্যে তোমাদের//উপর আমাদের//কোনো//শ্রেষ্ঠত্ব//অতএব তোমরা স্বাদ নাও//শাস্তির//এ কারণে যা//তোমরা ছিলে তোমরা অর্জন করতে//\""
            },
            {
              "number": 994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/994.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَٱسْتَكْبَرُوا۟ عَنْهَا لَا تُفَتَّحُ لَهُمْ أَبْوَٰبُ ٱلسَّمَآءِ وَلَا يَدْخُلُونَ ٱلْجَنَّةَ حَتَّىٰ يَلِجَ ٱلْجَمَلُ فِى سَمِّ ٱلْخِيَاطِ ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُجْرِمِينَ",
              "translate_bn": "নিশ্চয়ই যারা আমার আয়াতসমূহকে মিথ্যা বলেছে এবং এগুলো থেকে অহংকার করেছে, তাদের জন্যে আকাশের দ্বার উম্মুক্ত করা হবে না এবং তারা জান্নাতে প্রবেশ করবে না। যে পর্যন্ত না সূচের ছিদ্র দিয়ে উট প্রবেশ করে। আমি এমনিভাবে পাপীদেরকে শাস্তি প্রদান করি।",
              "numberInSurah": 40,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাযযাবূবিআ-য়া-তিনা-ওয়াছতাকবারূ‘আনহা-লা-তুফাত্তাহুলাহুম আবওয়াবুছছামাই ওয়ালা-ইয়াদখুলূনাল জান্নাতা হাত্তা-ইয়ালিজাল জামালুফী ছাম্মিল খিয়া-তি ওয়া কাযা-লিকা নাজঝিল মুজরিমীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ اسْتَكْبَرُوْا/وَٱسۡتَكۡبَرُواْ/wa-is'takbaru//عَنْهَا/عَنۡهَا/anha//لَا/لَا/la//تُفَتَّحُ/تُفَتَّحُ/tufattahu//لَهُمْ/لَهُمۡ/lahum//اَبْوَابُ/أَبۡوَٰبُ/abwabu//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ لَا/وَلَا/wala//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//حَتّٰی/حَتَّىٰ/hatta//یَلِجَ/يَلِجَ/yalija//الْجَمَلُ/ٱلۡجَمَلُ/al-jamalu//فِیْ/فِي/fi//سَمِّ/سَمِّ/sammi//الْخِیَاطِ ؕ/ٱلۡخِيَاطِۚ/al-khiyati//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "নিশ্চয়ই//যারা//মিথ্যা মনে করে//সম্পর্কে আমাদের নিদর্শনাবলী//ও অহংকার করে//থেকে তা//না//খোলা হবে//জন্যে তাদের//দরজাগুলো//আকাশের//আর না//তারা প্রবেশ করবে//জান্নাতে//যে পর্যন্ত না//প্রবেশ করবে//উট//মধ্যে//ছিদ্রের//সূঁচের (অর্থাৎ তাদের জান্নাতে প্রবেশ অসম্ভব)//এবং এভাবে//প্রতিফল দিই আমরা//অপরাধীদেরকে"
            },
            {
              "number": 995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/995.mp3"
              ],
              "text": "لَهُم مِّن جَهَنَّمَ مِهَادٌۭ وَمِن فَوْقِهِمْ غَوَاشٍۢ ۚ وَكَذَٰلِكَ نَجْزِى ٱلظَّٰلِمِينَ",
              "translate_bn": "তাদের জন্যে নরকাগ্নির শয্যা রয়েছে এবং উপর থেকে চাদর। আমি এমনিভাবে জালেমদেরকে শাস্তি প্রদান করি।",
              "numberInSurah": 41,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "লাহুম মিন জাহান্নামা মিহা-দুওঁ ওয়া মিন ফাওকিহিম গাওয়া-শিওঁ ওয়া কাযা-লিকা নাজঝিজ্জা-লিমীন।",
              "words_arabic": "لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//جَهَنَّمَ/جَهَنَّمَ/jahannama//مِهَادٌ/مِهَادٞ/mihadun//وَّ مِنْ/وَمِن/wamin//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//غَوَاشٍ ؕ/غَوَاشٖۚ/ghawashin//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "জন্যে তাদের (রয়েছে)//তৈরি//জাহান্নামের//শয্যাসমূহ//ও থেকে//ও উপর তাদের(থাকবে)//আচ্ছাদনসমূহ (আগুনের)//এবং এভাবে//প্রতিফল দিই আমরা//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/996.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছে এবং সৎকর্ম করেছে আমি কাউকে তার সামর্থ্যের চাইতে বেশী বোঝা দেই না। তারাই জান্নাতের অধিবাসী। তারা তাতেই চিরকাল থাকবে।",
              "numberInSurah": 42,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লা-নুকালিলফুনাফছান ইল্লা-উছ‘আহা উলাইকা আসহা-বুল জান্নাতি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَا/لَا/la//نُكَلِّفُ/نُكَلِّفُ/nukallifu//نَفْسًا/نَفۡسًا/nafsan//اِلَّا/إِلَّا/illa//وُسْعَهَاۤ ؗ/وُسۡعَهَآ/wus'aha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ ۚ/ٱلۡجَنَّةِۖ/al-janati//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//না//দায়িত্বভার দিই আমরা//কোনো ব্যক্তিকে//এ ছাড়া//সাধ্যের তার//ঐসব লোক//অধিবাসী//জান্নাতের//তারা//মধ্যে তার//চিরস্থায়ী হবে"
            },
            {
              "number": 997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/997.mp3"
              ],
              "text": "وَنَزَعْنَا مَا فِى صُدُورِهِم مِّنْ غِلٍّۢ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَٰرُ ۖ وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى هَدَىٰنَا لِهَٰذَا وَمَا كُنَّا لِنَهْتَدِىَ لَوْلَآ أَنْ هَدَىٰنَا ٱللَّهُ ۖ لَقَدْ جَآءَتْ رُسُلُ رَبِّنَا بِٱلْحَقِّ ۖ وَنُودُوٓا۟ أَن تِلْكُمُ ٱلْجَنَّةُ أُورِثْتُمُوهَا بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তাদের অন্তরে যা কিছু দুঃখ ছিল, আমি তা বের করে দেব। তাদের তলদেশ দিয়ে নির্ঝরণী প্রবাহিত হবে। তারা বলবেঃ আল্লাহ শোকর, যিনি আমাদেরকে এ পর্যন্ত পৌছিয়েছেন। আমরা কখনও পথ পেতাম না, যদি আল্লাহ আমাদেরকে পথ প্রদর্শন না করতেন। আমাদের প্রতিপালকের রসূল আমাদের কাছে সত্যকথা নিয়ে এসেছিলেন। আওয়াজ আসবেঃ এটি জান্নাত। তোমরা এর উত্তরাধিকারী হলে তোমাদের কর্মের প্রতিদানে।",
              "numberInSurah": 43,
              "juz": 8,
              "manzil": 2,
              "page": 155,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাঝা‘না-মা-ফী সুদূ রিহিম মিন গিলিলন তাজরী মিন তাহতিহিমুল আনহা-রু ওয়া কা-লুল হামদুলিল্লা-হিল্লাযী হাদা-না-লিহা-যা- ওয়া মা-কুন্না-লিনাহতাদিইয়া লাওলাআন হাদা-নাল্লা-হু লাকাদ জাআত রুছুলুরাব্বিনা-বিলহাক্কি ওয়া নূদূ আন তিলকুমুল জান্নাতুঊরিছতুমূহা-বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ نَزَعْنَا/وَنَزَعۡنَا/wanaza'na//مَا/مَا/ma//فِیْ/فِي/fi//صُدُوْرِهِمْ/صُدُورِهِم/sudurihim//مِّنْ/مِّنۡ/min//غِلٍّ/غِلّٖ/ghillin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهِمُ/تَحۡتِهِمُ/tahtihimu//الْاَنْهٰرُ ۚ/ٱلۡأَنۡهَٰرُۖ/al-anharu//وَ قَالُوا/وَقَالُواْ/waqalu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//هَدٰىنَا/هَدَىٰنَا/hadana//لِهٰذَا ۫/لِهَٰذَا/lihadha//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//لِنَهْتَدِیَ/لِنَهۡتَدِيَ/linahtadiya//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَنۡ/an//هَدٰىنَا/هَدَىٰنَا/hadana//اللّٰهُ ۚ/ٱللَّهُۖ/al-lahu//لَقَدْ/لَقَدۡ/laqad//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُ/رُسُلُ/rusulu//رَبِّنَا/رَبِّنَا/rabbina//بِالْحَقِّ ؕ/بِٱلۡحَقِّۖ/bil-haqi//وَ نُوْدُوْۤا/وَنُودُوٓاْ/wanudu//اَنْ/أَن/an//تِلْكُمُ/تِلۡكُمُ/til'kumu//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//اُوْرِثْتُمُوْهَا/أُورِثۡتُمُوهَا/urith'tumuha//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং দূর করে দিবো আমরা//যা//মধ্যে (আছে)//অন্তরসমূহের তাদের//সব ধরণের//ঈর্ষা//প্রবাহিত হয়//থেকে//নিচ তাদের//ঝর্ণাধারাগুলো//ও তারা বলবে//\"সব প্রশংসা//জন্যে আল্লাহরই//যিনি//আমাদের পথ দেখিয়েছিলেন//জন্যে এ//এবং না//আমরা ছিলাম//যে সৎপথ পেতাম আমরা//যদি না//যে//পথ দেখাতেন আমাদের//আল্লাহ//নিশ্চয়ই//এসেছিলো//রাসূলগণ//আমাদের রবের//সহ প্রকৃত সত্য\"//এবং তাদের ডেকে বলা হবে//যে//\"এই সেই//জান্নাত//তোমাদেরকে উত্তরাধিকারী করা হয়েছে তা//বিনিময়ে যা//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/998.mp3"
              ],
              "text": "وَنَادَىٰٓ أَصْحَٰبُ ٱلْجَنَّةِ أَصْحَٰبَ ٱلنَّارِ أَن قَدْ وَجَدْنَا مَا وَعَدَنَا رَبُّنَا حَقًّۭا فَهَلْ وَجَدتُّم مَّا وَعَدَ رَبُّكُمْ حَقًّۭا ۖ قَالُوا۟ نَعَمْ ۚ فَأَذَّنَ مُؤَذِّنٌۢ بَيْنَهُمْ أَن لَّعْنَةُ ٱللَّهِ عَلَى ٱلظَّٰلِمِينَ",
              "translate_bn": "জান্নাতীরা দোযখীদেরকে ডেকে বলবেঃ আমাদের সাথে আমাদের প্রতিপালক যে ওয়াদা করেছিলেন, তা আমরা সত্য পেয়েছি? অতএব, তোমরাও কি তোমাদের প্রতিপালকের ওয়াদা সত্য পেয়েছ? তারা বলবেঃ হ্যাঁ। অতঃপর একজন ঘোষক উভয়ের মাঝখানে ঘোষণা করবেঃ আল্লাহর অভিসম্পাত জালেমদের উপর।",
              "numberInSurah": 44,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়া না-দা-আসহা-বুল জান্নাতি আসাহা-বান্না-রি আন কাদ ওয়াজাদনা-মা-ওয়া‘আদানারাব্বুনা-হাক্কান ফাহাল ওয়াজাততুম মা-ওয়া‘আদা রাব্বুকুম হাক্কান কা-লূনা‘আম ফাআযযানা মুআযযিনুম বাইনাহুম আল লা‘নাতুল্লা-হি ‘আলাজ্জা-লিমীন।",
              "words_arabic": "وَ نَادٰۤی/وَنَادَىٰٓ/wanada//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//النَّارِ/ٱلنَّارِ/al-nari//اَنْ/أَن/an//قَدْ/قَدۡ/qad//وَجَدْنَا/وَجَدۡنَا/wajadna//مَا/مَا/ma//وَعَدَنَا/وَعَدَنَا/wa'adana//رَبُّنَا/رَبُّنَا/rabbuna//حَقًّا/حَقّٗا/haqqan//فَهَلْ/فَهَلۡ/fahal//وَجَدْتُّمْ/وَجَدتُّم/wajadttum//مَّا/مَّا/ma//وَعَدَ/وَعَدَ/wa'ada//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//حَقًّا ؕ/حَقّٗاۖ/haqqan//قَالُوْا/قَالُواْ/qalu//نَعَمْ ۚ/نَعَمۡۚ/na'am//فَاَذَّنَ/فَأَذَّنَ/fa-adhana//مُؤَذِّنٌۢ/مُؤَذِّنُۢ/mu-adhinun//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اَنْ/أَن/an//لَّعْنَةُ/لَّعۡنَةُ/la'natu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَی/عَلَى/ala//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং ডেকে বলবে//অধিবাসীরা//জান্নাতের//অধিবাসীদেরকে//আগুনের//যে//\"নিশ্চয়ই//আমরা পেয়েছি//যা//প্রতিশ্রুতি দিয়েছিলেন আমাদের//রব আমাদের//সত্য হিসেবে//কিন্তু কি//তোমরা পেয়েছো//যা//প্রতিশ্রুতি দিয়েছিলেন//রব তোমাদের//সত্য হিসেবে\"//তারা বলবে//\"হ্যাঁ\"//অতঃপর ঘোষণা দেবে//এক ঘোষণাকারী//মাঝে তাদের//যে//\"অভিশাপ//আল্লাহর//উপর//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/999.mp3"
              ],
              "text": "ٱلَّذِينَ يَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًۭا وَهُم بِٱلْءَاخِرَةِ كَٰفِرُونَ",
              "translate_bn": "যারা আল্লাহর পথে বাধা দিত এবং তাতে বক্রতা অন্বেষণ করত। তারা পরকালের বিষয়েও অবিশ্বাসী ছিল।",
              "numberInSurah": 45,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়া ইয়াবগূনাহা-‘ইওয়াজা- ওয়া হুম বিল আখিরাতি কা-ফিরূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَصُدُّوْنَ/يَصُدُّونَ/yasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَبْغُوْنَهَا/وَيَبۡغُونَهَا/wayabghunaha//عِوَجًا ۚ/عِوَجٗا/iwajan//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//كٰفِرُوْنَۘ/كَٰفِرُونَ/kafiruna",
              "words_bangla": "যারা//(মানুষকে) বাধা দিতো//হতে//পথ//আল্লাহর//ও তারা অনুসন্ধান করতো তাতে//বক্রতা//আর তারা (ছিলো)//উপর আখিরাতের//অবিশ্বাসী\""
            },
            {
              "number": 1000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1000.mp3"
              ],
              "text": "وَبَيْنَهُمَا حِجَابٌۭ ۚ وَعَلَى ٱلْأَعْرَافِ رِجَالٌۭ يَعْرِفُونَ كُلًّۢا بِسِيمَىٰهُمْ ۚ وَنَادَوْا۟ أَصْحَٰبَ ٱلْجَنَّةِ أَن سَلَٰمٌ عَلَيْكُمْ ۚ لَمْ يَدْخُلُوهَا وَهُمْ يَطْمَعُونَ",
              "translate_bn": "উভয়ের মাঝখানে একটি প্রাচীর থাকবে এবং আরাফের উপরে অনেক লোক থাকবে। তারা প্রত্যেককে তার চিহ্ন দ্বারা চিনে নেবে। তারা জান্নাতীদেরকে ডেকে বলবেঃ তোমাদের উপর শান্তি বর্ষিত হোক। তারা তখনও জান্নাতে প্রবেশ করবে না, কিন্তু প্রবেশ করার ব্যাপারে আগ্রহী হবে।",
              "numberInSurah": 46,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 126,
              "hizbQuarter": 62,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাইনাহুমা-হিজা-বুওঁ ওয়া ‘আলাল আ‘রা-ফি রিজা-লুইঁ ইয়া‘রিফূনা কুল্লাম বিছীমাহুম ওয়া না-দাও আসহা-বাল জান্নাতি আন ছালা-মুন ‘আলাইকুম লাম ইয়াদখুলূহা-ওয়া হুম ইয়াতমা‘ঊন।",
              "words_arabic": "وَ بَیْنَهُمَا/وَبَيۡنَهُمَا/wabaynahuma//حِجَابٌ ۚ/حِجَابٞۚ/hijabun//وَ عَلَی/وَعَلَى/wa'ala//الْاَعْرَافِ/ٱلۡأَعۡرَافِ/al-a'rafi//رِجَالٌ/رِجَالٞ/rijalun//یَّعْرِفُوْنَ/يَعۡرِفُونَ/ya'rifuna//كُلًّۢا/كُلَّۢا/kullan//بِسِیْمٰىهُمْ ۚ/بِسِيمَىٰهُمۡۚ/bisimahum//وَ نَادَوْا/وَنَادَوۡاْ/wanadaw//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//اَنْ/أَن/an//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمْ ۫/عَلَيۡكُمۡۚ/alaykum//لَمْ/لَمۡ/lam//یَدْخُلُوْهَا/يَدۡخُلُوهَا/yadkhuluha//وَ هُمْ/وَهُمۡ/wahum//یَطْمَعُوْنَ /يَطۡمَعُونَ/yatma'una",
              "words_bangla": "এবং মাঝে উভয়ের//পর্দা//এবং উপর (থাকবে)//আ'রাফের//কিছু লোক//তারা চিনবে//প্রত্যেককে//মাধ্যমে চিহ্নগুলো তাদের//এবং তারা ডেকে বলবে//অধিবাসীদেরকে//জান্নাতের//যে//\"শান্তি//উপর তোমাদের (বর্ষিত হোক)\"//নি//তাতে প্রবেশ করেন (তারা এখনও)//কিন্তু তারা//তারা আশা করে"
            },
            {
              "number": 1001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1001.mp3"
              ],
              "text": "۞ وَإِذَا صُرِفَتْ أَبْصَٰرُهُمْ تِلْقَآءَ أَصْحَٰبِ ٱلنَّارِ قَالُوا۟ رَبَّنَا لَا تَجْعَلْنَا مَعَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "যখন তাদের দৃষ্টি দোযখীদের উপর পড়বে, তখন বলবেঃ হে আমাদের প্রতিপালক, আমাদেরকে এ জালেমদের সাথী করো না।",
              "numberInSurah": 47,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 126,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-সুরিফাত আবসা-রুহুম তিলকাআ আসহা-বিন্না-রি কা-লূরাব্বানা-লাতাজ‘আলনা-মা‘আল কাওমিজ্জা-লিমীন।",
              "words_arabic": "وَ اِذَا/۞وَإِذَا/wa-idha//صُرِفَتْ/صُرِفَتۡ/surifat//اَبْصَارُهُمْ/أَبۡصَٰرُهُمۡ/absaruhum//تِلْقَآءَ/تِلۡقَآءَ/til'qaa//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//النَّارِ ۙ/ٱلنَّارِ/al-nari//قَالُوْا/قَالُواْ/qalu//رَبَّنَا/رَبَّنَا/rabbana//لَا/لَا/la//تَجْعَلْنَا/تَجۡعَلۡنَا/taj'alna//مَعَ/مَعَ/ma'a//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং যখন//ফিরানো হবে//দৃষ্টিগুলো তাদের//দিকে//অধিবাসীদের//(জাহান্নামের) আগুনের//তারা বলবে//\"হে আমাদের রব//না//আমাদের করো//সাথে//(ঐসব) সম্প্রদায়ের//(যারা) সীমালঙ্ঘনকারী\""
            },
            {
              "number": 1002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1002.mp3"
              ],
              "text": "وَنَادَىٰٓ أَصْحَٰبُ ٱلْأَعْرَافِ رِجَالًۭا يَعْرِفُونَهُم بِسِيمَىٰهُمْ قَالُوا۟ مَآ أَغْنَىٰ عَنكُمْ جَمْعُكُمْ وَمَا كُنتُمْ تَسْتَكْبِرُونَ",
              "translate_bn": "আরাফবাসীরা যাদেরকে তাদের চিহ্ন দ্বারা চিনবে, তাদেরকে ডেকে বলবে তোমাদের দলবল ও ঔদ্ধত্য তোমাদের কোন কাজে আসেনি।",
              "numberInSurah": 48,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়ানা-দাআসহা-বুল আ‘রাফি রিজালাইঁ ইয়া‘রিফূনাহুম বিছীমা-হুম কা-লূমাআগনা‘আনকুম জাম‘উকুম ওয়া মা-কুনতুম তাছতাকবিরূন।",
              "words_arabic": "وَ نَادٰۤی/وَنَادَىٰٓ/wanada//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْاَعْرَافِ/ٱلۡأَعۡرَافِ/al-a'rafi//رِجَالًا/رِجَالٗا/rijalan//یَّعْرِفُوْنَهُمْ/يَعۡرِفُونَهُم/ya'rifunahum//بِسِیْمٰىهُمْ/بِسِيمَىٰهُمۡ/bisimahum//قَالُوْا/قَالُواْ/qalu//مَاۤ/مَآ/ma//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْكُمْ/عَنكُمۡ/ankum//جَمْعُكُمْ/جَمۡعُكُمۡ/jam'ukum//وَ مَا/وَمَا/wama//كُنْتُمْ/كُنتُمۡ/kuntum//تَسْتَكْبِرُوْنَ /تَسۡتَكۡبِرُونَ/tastakbiruna",
              "words_bangla": "এবং ডাকবে//অধিবাসীরা//আ'রাফের//(দোযখের কিছু) লোকদেরকে//তারা চিনবে তাদের//মাধ্যমে চিহ্নগুলো তাদের//তারা বলবে//\"না//কাজে আসল//জন্যে তোমাদের//দলবল তোমাদের//ও যা (নিয়ে)//তোমরা ছিলে//তোমরা ঔদ্ধত্য প্রকাশ করতে\""
            },
            {
              "number": 1003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1003.mp3"
              ],
              "text": "أَهَٰٓؤُلَآءِ ٱلَّذِينَ أَقْسَمْتُمْ لَا يَنَالُهُمُ ٱللَّهُ بِرَحْمَةٍ ۚ ٱدْخُلُوا۟ ٱلْجَنَّةَ لَا خَوْفٌ عَلَيْكُمْ وَلَآ أَنتُمْ تَحْزَنُونَ",
              "translate_bn": "এরা কি তারাই; যাদের সম্পর্কে তোমরা কসম খেয়ে বলতে যে, আল্লাহ এদের প্রতি অনুগ্রহ করবেন না। প্রবেশ কর জান্নাতে। তোমাদের কোন আশঙ্কা নেই এবং তোমরা দুঃখিত হবে না।",
              "numberInSurah": 49,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "আহাউলাইল্লাযীনা আকছামতুম লা-ইয়ানা-লুহুমুল্লা-হু বিরাহমাতিন উদখুলুল জান্নাতা লা-খাওফুন ‘আলাইকুম ওয়ালা-আনতুম তাহঝানূন।",
              "words_arabic": "اَهٰۤؤُلَآءِ/أَهَـٰٓؤُلَآءِ/ahaulai//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَقْسَمْتُمْ/أَقۡسَمۡتُمۡ/aqsamtum//لَا/لَا/la//یَنَالُهُمُ/يَنَالُهُمُ/yanaluhumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِرَحْمَةٍ ؕ/بِرَحۡمَةٍۚ/birahmatin//اُدْخُلُوا/ٱدۡخُلُواْ/ud'khulu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//لَا/لَا/la//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ لَاۤ/وَلَآ/wala//اَنْتُمْ/أَنتُمۡ/antum//تَحْزَنُوْنَ /تَحۡزَنُونَ/tahzanuna",
              "words_bangla": "কি এসব (জান্নাতবাসী) লোক (তারা নয়)//যাদের (সম্পর্কে)//তোমরা শপথ  করে বলতে (যে)//না//পৌঁছাবেন তাদের//আল্লাহ//অনুগ্রহ//\"(তাদেরকে বলা হবে) তোমরা প্রবেশ করো//জান্নাতে//না//কোনো ভয় (আছে)//জন্যে তোমাদের//আর না//তোমরা//দুঃখিত হবে (দুশ্চিন্তা করবে)\""
            },
            {
              "number": 1004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1004.mp3"
              ],
              "text": "وَنَادَىٰٓ أَصْحَٰبُ ٱلنَّارِ أَصْحَٰبَ ٱلْجَنَّةِ أَنْ أَفِيضُوا۟ عَلَيْنَا مِنَ ٱلْمَآءِ أَوْ مِمَّا رَزَقَكُمُ ٱللَّهُ ۚ قَالُوٓا۟ إِنَّ ٱللَّهَ حَرَّمَهُمَا عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "দোযখীরা জান্নাতীদেরকে ডেকে বলবেঃ আমাদের উপর সামান্য পানি নিক্ষেপ কর অথবা আল্লাহ তোমাদেরকে যে রুযী দিয়েছেন, তা থেকেই কিছু দাও। তারা বলবেঃ আল্লাহ এই উভয় বস্তু কাফেরদের জন্যে নিষিদ্ধ করেছেন,",
              "numberInSurah": 50,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়া না-দাআসহা-বুন্না-রি আসহা-বাল জান্নাতি আন আফীদূ ‘আলাইনা-মিনাল মাই আও মিম্মা-রাঝাকাকুমুল্লা-হু কা-লূইন্নাল্লা-হা হাররামাহুমা-‘আলাল কা-ফিরীন।",
              "words_arabic": "وَ نَادٰۤی/وَنَادَىٰٓ/wanada//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ/ٱلنَّارِ/al-nari//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//اَنْ/أَنۡ/an//اَفِیْضُوْا/أَفِيضُواْ/afidu//عَلَیْنَا/عَلَيۡنَا/alayna//مِنَ/مِنَ/mina//الْمَآءِ/ٱلۡمَآءِ/al-mai//اَوْ/أَوۡ/aw//مِمَّا/مِمَّا/mimma//رَزَقَكُمُ/رَزَقَكُمُ/razaqakumu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//حَرَّمَهُمَا/حَرَّمَهُمَا/harramahuma//عَلَی/عَلَى/ala//الْكٰفِرِیْنَۙ/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং ডেকে বলবে//অধিবাসীরা//জাহান্নামের//অধিবাসীদেরকে//জান্নাতের//যে//\"তোমরা ঢেলে দাও//উপর আমাদের//কিছু//পানি//বা//(তা) হতে যা//জীবিকা দিয়েছেন তোমাদের\"//আল্লাহ\"//তারা বলবে//\"নিশ্চয়ই//আল্লাহ//সে দু'টি নিষিদ্ধ করেছেন//উপর//কাফেরদের"
            },
            {
              "number": 1005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1005.mp3"
              ],
              "text": "ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَهُمْ لَهْوًۭا وَلَعِبًۭا وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ فَٱلْيَوْمَ نَنسَىٰهُمْ كَمَا نَسُوا۟ لِقَآءَ يَوْمِهِمْ هَٰذَا وَمَا كَانُوا۟ بِـَٔايَٰتِنَا يَجْحَدُونَ",
              "translate_bn": "তারা স্বীয় ধর্মকে তামাশা ও খেলা বানিয়ে নিয়েছিল এবং পার্থিব জীবন তাদের কে ধোকায় ফেলে রেখেছিল। অতএব, আমি আজকে তাদেরকে ভুলে যাব; যেমন তারা এ দিনের সাক্ষাৎকে ভুলে গিয়েছিল এবং যেমন তারা আয়াতসমূহকে অবিশ্বাস করত।",
              "numberInSurah": 51,
              "juz": 8,
              "manzil": 2,
              "page": 156,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনাততাখাযূদীনাহুম লাহওয়াওঁ ওয়া লা‘ইবাওঁ ওয়া গাররাতহুমুল হায়া-তুদ দুনইয়া- ফালইয়াওমা নানছা-হুম কামা-নাছূলিকাআ ইয়াওমিহিম হা-যা- ওয়ামা-কা-নূ বিআ-য়া-তিনা-ইয়াজহাদূ ন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//دِیْنَهُمْ/دِينَهُمۡ/dinahum//لَهْوًا/لَهۡوٗا/lahwan//وَّ لَعِبًا/وَلَعِبٗا/wala'iban//وَّ غَرَّتْهُمُ/وَغَرَّتۡهُمُ/wagharrathumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا ۚ/ٱلدُّنۡيَاۚ/al-dun'ya//فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//نَنْسٰىهُمْ/نَنسَىٰهُمۡ/nansahum//كَمَا/كَمَا/kama//نَسُوْا/نَسُواْ/nasu//لِقَآءَ/لِقَآءَ/liqaa//یَوْمِهِمْ/يَوۡمِهِمۡ/yawmihim//هٰذَا ۙ/هَٰذَا/hadha//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "যারা//গ্রহণ করেছিলো//দীনকে তাদের//তামাশা//ও খেল (রূপে)//এবং প্রতারিত করেছিলো তাদের//জীবন//পৃথিবীর\"//অতএব আজ//ভুলে যাবো আমরা তাদের//যেমন//তারা ভুলে গিয়েছিলো তারা//সাক্ষাৎ//দিনের তাদের//এই//এবং যেভাবে//তারা ছিলো//প্রতি নিদর্শনাবলীর আমাদের//তারা অস্বীকার করতো"
            },
            {
              "number": 1006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1006.mp3"
              ],
              "text": "وَلَقَدْ جِئْنَٰهُم بِكِتَٰبٍۢ فَصَّلْنَٰهُ عَلَىٰ عِلْمٍ هُدًۭى وَرَحْمَةًۭ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "আমি তাদের কাছে গ্রন্থ পৌছিয়েছি, যা আমি স্বীয় জ্ঞানে বিস্তারিত বর্ণনা করেছি, যা পথপ্রদর্শক এবং মুমিনদের জন্যে রহমত।",
              "numberInSurah": 52,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জি‘না-হুম বিকিতা-বিন ফাসসালনা-হু‘আলা-‘ইলমিন হুদাওঁ ওয়ারাহমাতাল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جِئْنٰهُمْ/جِئۡنَٰهُم/ji'nahum//بِكِتٰبٍ/بِكِتَٰبٖ/bikitabin//فَصَّلْنٰهُ/فَصَّلۡنَٰهُ/fassalnahu//عَلٰی/عَلَىٰ/ala//عِلْمٍ/عِلۡمٍ/il'min//هُدًی/هُدٗى/hudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং নিশ্চয়ই//তাদের কাছে আমরা এসেছি//নিয়ে এক কিতাব//আমরা বিশদ বর্ণনা করেছি তা//উপর ভিত্তি করে//(পূর্ণ)  জ্ঞানের//পথ নির্দেশ//ও দয়া (স্বরূপ)//জন্যে সম্প্রদায়ের//(যারা) ঈমান আনে"
            },
            {
              "number": 1007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1007.mp3"
              ],
              "text": "هَلْ يَنظُرُونَ إِلَّا تَأْوِيلَهُۥ ۚ يَوْمَ يَأْتِى تَأْوِيلُهُۥ يَقُولُ ٱلَّذِينَ نَسُوهُ مِن قَبْلُ قَدْ جَآءَتْ رُسُلُ رَبِّنَا بِٱلْحَقِّ فَهَل لَّنَا مِن شُفَعَآءَ فَيَشْفَعُوا۟ لَنَآ أَوْ نُرَدُّ فَنَعْمَلَ غَيْرَ ٱلَّذِى كُنَّا نَعْمَلُ ۚ قَدْ خَسِرُوٓا۟ أَنفُسَهُمْ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "তারা কি এখন এ অপেক্ষায়ই আছে যে, এর বিষয়বস্তু প্রকাশিত হোক? যেদিন এর বিষয়বস্তু প্রকাশিত হবে, সেদিন পূর্বে যারা একে ভূলে গিয়েছিল, তারা বলবেঃ বাস্তবিকই আমাদের প্রতিপালকের পয়গম্বরগণ সত্যসহ আগমন করেছিলেন। অতএব, আমাদের জন্যে কোন সুপারিশকারী আছে কি যে, সুপারিশ করবে অথবা আমাদেরকে পুনঃ প্রেরণ করা হলে আমরা পূর্বে যা করতাম তার বিপরীত কাজ করে আসতাম। নিশ্চয় তারা নিজেদেরকে ক্ষতিগ্রস্ত করেছে। তারা মনগড়া যা বলত, তা উধাও হয়ে যাবে।",
              "numberInSurah": 53,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 127,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "হাল ইয়ানজুরূনা ইল্লা-তা’বীলাহু ইয়াওমা ইয়া’তী তা’বীলুহূ ইয়াকূলুল্লাযীনা নাছূহু মিন কাবলুকাদ জাআত রুছুলুরাব্বিনা-বিলহাক্কি ফাহাল লানা-মিন শুফা‘আআ ফাইয়াশফা‘ঊলানাআও নুরাদ্দ ফানা‘মালা গাইরাল্লাযী কুন্না-না‘মালু কাদ খাছিরূআনফছাহুম ওয়াদাল্লা ‘আনহুম মা-কানূইয়াফতারূন।",
              "words_arabic": "هَلْ/هَلۡ/hal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّا/إِلَّا/illa//تَاْوِیْلَهٗ ؕ/تَأۡوِيلَهُۥۚ/tawilahu//یَوْمَ/يَوۡمَ/yawma//یَاْتِیْ/يَأۡتِي/yati//تَاْوِیْلُهٗ/تَأۡوِيلُهُۥ/tawiluhu//یَقُوْلُ/يَقُولُ/yaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//نَسُوْهُ/نَسُوهُ/nasuhu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//قَدْ/قَدۡ/qad//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُ/رُسُلُ/rusulu//رَبِّنَا/رَبِّنَا/rabbina//بِالْحَقِّ ۚ/بِٱلۡحَقِّ/bil-haqi//فَهَلْ/فَهَل/fahal//لَّنَا/لَّنَا/lana//مِنْ/مِن/min//شُفَعَآءَ/شُفَعَآءَ/shufa'aa//فَیَشْفَعُوْا/فَيَشۡفَعُواْ/fayashfa'u//لَنَاۤ/لَنَآ/lana//اَوْ/أَوۡ/aw//نُرَدُّ/نُرَدُّ/nuraddu//فَنَعْمَلَ/فَنَعۡمَلَ/fana'mala//غَیْرَ/غَيۡرَ/ghayra//الَّذِیْ/ٱلَّذِي/alladhi//كُنَّا/كُنَّا/kunna//نَعْمَلُ ؕ/نَعۡمَلُۚ/na'malu//قَدْ/قَدۡ/qad//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ۠/يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "কি//তারা প্রতীক্ষা করছে//এ ছাড়া//পরিণতির তার//যেদিন//আসবে//পরিণতি তার//বলবে//যারা//তা ভুলে গিয়েছিলো//থেকে//পূর্ব//\"নিশ্চয়ই//এসেছিলেন//রাসূলগণ//আমাদের রবের//সহ  সত্য(বাণী)//তবে কি//জন্যে আমাদের (আছে)//কোনো//সুপারিশকারী//অতঃপর তারা সুপারিশ করবে//জন্যে আমাদের//অথবা//ফিরত পাঠানো হবে আমাদেরকে//তখন আমরা কাজ করবো//এ ছাড়া//যা (পূর্বে)//আমরা ছিলাম//আমরা কাজ করতে\"//নিশ্চয়ই//তারা ক্ষতি করেছে//নিজেদের তাদের//ও উধাও হয়েছে//হতে তাদের//যা//তারা ছিলো//তারা রচনা করতে"
            },
            {
              "number": 1008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1008.mp3"
              ],
              "text": "إِنَّ رَبَّكُمُ ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍۢ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ يُغْشِى ٱلَّيْلَ ٱلنَّهَارَ يَطْلُبُهُۥ حَثِيثًۭا وَٱلشَّمْسَ وَٱلْقَمَرَ وَٱلنُّجُومَ مُسَخَّرَٰتٍۭ بِأَمْرِهِۦٓ ۗ أَلَا لَهُ ٱلْخَلْقُ وَٱلْأَمْرُ ۗ تَبَارَكَ ٱللَّهُ رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "নিশ্চয় তোমাদের প্রতিপালক আল্লাহ। তিনি নভোমন্ডল ও ভূমন্ডলকে ছয় দিনে সৃষ্টি করেছেন। অতঃপর আরশের উপর অধিষ্টিত হয়েছেন। তিনি পরিয়ে দেন রাতের উপর দিনকে এমতাবস্থায় যে, দিন দৌড়ে রাতের পিছনে আসে। তিনি সৃষ্টি করেছেন সূর্য, চন্দ্র ও নক্ষত্র দৌড় স্বীয় আদেশের অনুগামী। শুনে রেখ, তাঁরই কাজ সৃষ্টি করা এবং আদেশ দান করা। আল্লাহ, বরকতময় যিনি বিশ্বজগতের প্রতিপালক।",
              "numberInSurah": 54,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 128,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ইন্না-রাব্বাকুমুল্লা-হুল্লাযী খালাকাছছামা-ওয়া-তি ওয়াল আরদা ফী ছিত্তাতি আইইয়া-মিন ছু ম্মাছ তাওয়া-‘আলাল ‘আরশি ইউগশিল লাইলান নাহা-রা ইয়াতলুবুহূহাছীছাওঁ ওয়াশশামছা ওয়াল কামারা ওয়ান নুজূমা মুছাখখারা-তিম বিআমরিহী আলা-লাহুল খালকুওয়াল আমরু তাবা-রাকাল্লা-হু রাব্বুল ‘আ-লামীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكُمُ/رَبَّكُمُ/rabbakumu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ ۫/ٱلۡعَرۡشِۖ/al-'arshi//یُغْشِی/يُغۡشِي/yugh'shi//الَّیْلَ/ٱلَّيۡلَ/al-layla//النَّهَارَ/ٱلنَّهَارَ/al-nahara//یَطْلُبُهٗ/يَطۡلُبُهُۥ/yatlubuhu//حَثِیْثًا ۙ/حَثِيثٗا/hathithan//وَّ الشَّمْسَ/وَٱلشَّمۡسَ/wal-shamsa//وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//وَ النُّجُوْمَ/وَٱلنُّجُومَ/wal-nujuma//مُسَخَّرٰتٍۭ/مُسَخَّرَٰتِۭ/musakharatin//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦٓۗ/bi-amrihi//اَلَا/أَلَا/ala//لَهُ/لَهُ/lahu//الْخَلْقُ/ٱلۡخَلۡقُ/al-khalqu//وَ الْاَمْرُ ؕ/وَٱلۡأَمۡرُۗ/wal-amru//تَبٰرَكَ/تَبَارَكَ/tabaraka//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "নিশ্চয়ই//রব তোমাদের//আল্লাহ-ই//যিনি//সৃষ্টি করেছেন//আকাশসমূহকে//ও পৃথিবীকে//মধ্যে//ছয়//দিনের//এরপর//সমাসীন হন//উপর//আরশের//তিনি ঢেকে দেন//রাতকে//দিনের (উপর)//সে অনুসরণ করে তাকে//দ্রুতগতিতে//এবং সূর্য//ও চাঁদ//ও তারকাগুলো//অনুগত//প্রতি তাঁর নির্দেশের//জেনে রাখো//জন্যে তাঁরই//সৃষ্টি//এবং নির্দেশ (তাঁরই)//বড় কল্যাণময়//আল্লাহ//রব//বিশ্বজগতের"
            },
            {
              "number": 1009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1009.mp3"
              ],
              "text": "ٱدْعُوا۟ رَبَّكُمْ تَضَرُّعًۭا وَخُفْيَةً ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُعْتَدِينَ",
              "translate_bn": "তোমরা স্বীয় প্রতিপালককে ডাক, কাকুতি-মিনতি করে এবং সংগোপনে। তিনি সীমা অতিক্রমকারীদেরকে পছন্দ করেন না।",
              "numberInSurah": 55,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 128,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "উদ‘ঊ রাব্বাকুম তাদাররু‘আওঁ ওয়া খুফইয়াতান ইন্নাহূলা-ইউহিব্বুল মু‘তাদীন।\r\n",
              "words_arabic": "اُدْعُوْا/ٱدۡعُواْ/id'u//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//تَضَرُّعًا/تَضَرُّعٗا/tadarru'an//وَّ خُفْیَةً ؕ/وَخُفۡيَةًۚ/wakhuf'yatan//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُعْتَدِیْنَۚ/ٱلۡمُعۡتَدِينَ/al-mu'tadina",
              "words_bangla": "তোমরা ডাকো//রবকে তোমাদের//বিনীতভাবে//ও গোপনে//নিশ্চয়ই তিনি//না//ভালোবাসেন//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 1010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1010.mp3"
              ],
              "text": "وَلَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ بَعْدَ إِصْلَٰحِهَا وَٱدْعُوهُ خَوْفًۭا وَطَمَعًا ۚ إِنَّ رَحْمَتَ ٱللَّهِ قَرِيبٌۭ مِّنَ ٱلْمُحْسِنِينَ",
              "translate_bn": "পৃথিবীকে কুসংস্কারমুক্ত ও ঠিক করার পর তাতে অনর্থ সৃষ্টি করো না। তাঁকে আহবান কর ভয় ও আশা সহকারে। নিশ্চয় আল্লাহর করুণা সৎকর্মশীলদের নিকটবর্তী।",
              "numberInSurah": 56,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 128,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুফছিদূফিল আরদিবা‘দা ইসলা-হিহা-ওয়াদ‘ঊহু খাওফাওঁ ওয়া তামা‘আন ইন্না রাহমাতাল্লা-হি কারীবুম মিনাল মুহছিনীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُفْسِدُوْا/تُفۡسِدُواْ/tuf'sidu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بَعْدَ/بَعۡدَ/ba'da//اِصْلَاحِهَا/إِصۡلَٰحِهَا/is'lahiha//وَ ادْعُوْهُ/وَٱدۡعُوهُ/wa-id'uhu//خَوْفًا/خَوۡفٗا/khawfan//وَّ طَمَعًا ؕ/وَطَمَعًاۚ/watama'an//اِنَّ/إِنَّ/inna//رَحْمَتَ/رَحۡمَتَ/rahmata//اللّٰهِ/ٱللَّهِ/al-lahi//قَرِیْبٌ/قَرِيبٞ/qaribun//مِّنَ/مِّنَ/mina//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং না//তোমরা বিপর্যয় সৃষ্টি করো//মধ্যে//পৃথিবীর//পরেও//তা সংস্কারের//এবং তোমরা ডাকে তাঁকে//ভয়//ও আশার (সাথে)//নিশ্চয়ই//অনুগ্রহ//আল্লাহর//নিকটে//থেকে//সৎকর্মশীলদের"
            },
            {
              "number": 1011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1011.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يُرْسِلُ ٱلرِّيَٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦ ۖ حَتَّىٰٓ إِذَآ أَقَلَّتْ سَحَابًۭا ثِقَالًۭا سُقْنَٰهُ لِبَلَدٍۢ مَّيِّتٍۢ فَأَنزَلْنَا بِهِ ٱلْمَآءَ فَأَخْرَجْنَا بِهِۦ مِن كُلِّ ٱلثَّمَرَٰتِ ۚ كَذَٰلِكَ نُخْرِجُ ٱلْمَوْتَىٰ لَعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "তিনিই বৃষ্টির পূর্বে সুসংবাদবাহী বায়ু পাঠিয়ে দেন। এমনকি যখন বায়ুরাশি পানিপূর্ন মেঘমালা বয়ে আনে, তখন আমি এ মেঘমালাকে একটি মৃত শহরের দিকে হঁ্যাকিয়ে দেই। অতঃপর এ মেঘ থেকে বৃষ্টি ধারা বর্ষণ করি। অতঃপর পানি দ্বারা সব রকমের ফল উৎপন্ন করি। এমনি ভাবে মৃতদেরকে বের করব-যাতে তোমরা চিন্তা কর।",
              "numberInSurah": 57,
              "juz": 8,
              "manzil": 2,
              "page": 157,
              "ruku": 128,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীইউরছিলুর রিয়া-হাবুশরাম বাইনা ইয়াদাই রাহমাতিহী হাত্তা-ইযাআকাল্লাত ছাহা-বান ছিকা-লান ছুকনা-হু লিবালাদিম মাইয়িতিন ফাআনঝালনা-বিহিল মাআ ফাআখরাজনা-বিহী মিন কুল্লিছছামারা-তি কাযা-লিকা নুখরিজুল মাওতালা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یُرْسِلُ/يُرۡسِلُ/yur'silu//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//بُشْرًۢا/بُشۡرَۢا/bush'ran//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦۖ/rahmatihi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَقَلَّتْ/أَقَلَّتۡ/aqallat//سَحَابًا/سَحَابٗا/sahaban//ثِقَالًا/ثِقَالٗا/thiqalan//سُقْنٰهُ/سُقۡنَٰهُ/suq'nahu//لِبَلَدٍ/لِبَلَدٖ/libaladin//مَّیِّتٍ/مَّيِّتٖ/mayyitin//فَاَنْزَلْنَا/فَأَنزَلۡنَا/fa-anzalna//بِهِ/بِهِ/bihi//الْمَآءَ/ٱلۡمَآءَ/al-maa//فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ ؕ/ٱلثَّمَرَٰتِۚ/al-thamarati//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نُخْرِجُ/نُخۡرِجُ/nukh'riju//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "এবং তিনি (আল্লাহ)//যিনি//পাঠান//বাতাস//সুসংবাদস্বরূপ//মাঝে//হাতের//অনুগ্রহের তাঁর//এমনকি//যখন//বয়ে নিয়ে আসে//মেঘমালা//ভারী//আমরা চালনা করি তা//জন্যে ভূখন্ডের//নির্জীব//অতঃপর আমরা বর্ষণ করি//দ্বারা তা//পানি//অতঃপর আমরা উৎপাদন করি//দিয়ে তা//রকমের//প্রত্যেক//ফলমূল//এভাবেই//আমরা বের করবো//মৃতদেরকে//সম্ভবতঃ তোমরা//শিক্ষা নিবে"
            },
            {
              "number": 1012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1012.mp3"
              ],
              "text": "وَٱلْبَلَدُ ٱلطَّيِّبُ يَخْرُجُ نَبَاتُهُۥ بِإِذْنِ رَبِّهِۦ ۖ وَٱلَّذِى خَبُثَ لَا يَخْرُجُ إِلَّا نَكِدًۭا ۚ كَذَٰلِكَ نُصَرِّفُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَشْكُرُونَ",
              "translate_bn": "যে শহর উৎকৃষ্ট, তার ফসল তার প্রতিপালকের নির্দেশে উৎপন্ন হয় এবং যা নিকৃষ্ট তাতে অল্পই ফসল উৎপন্ন হয়। এমনিভাবে আমি আয়াতসমূহ ঘুরিয়ে ফিরিয়ে বর্ণনা করি কৃতজ্ঞ সম্প্রদায়ের জন্যে।",
              "numberInSurah": 58,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 128,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ওয়াল বালাদুততাইয়িবুইয়াখরুজুনাবা-তুহূবিইযনি রাব্বিহী ওয়াল্লাযী খাবুছা লাইয়াখরুজুইল্লা-নাকিদান; কাযা-লিকা নুসাররিফুল আ-য়া-তি লিকাওমিইঁ ইয়াশকুরুন।",
              "words_arabic": "وَ الْبَلَدُ/وَٱلۡبَلَدُ/wal-baladu//الطَّیِّبُ/ٱلطَّيِّبُ/al-tayibu//یَخْرُجُ/يَخۡرُجُ/yakhruju//نَبَاتُهٗ/نَبَاتُهُۥ/nabatuhu//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهٖ ۚ/رَبِّهِۦۖ/rabbihi//وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//خَبُثَ/خَبُثَ/khabutha//لَا/لَا/la//یَخْرُجُ/يَخۡرُجُ/yakhruju//اِلَّا/إِلَّا/illa//نَكِدًا ؕ/نَكِدٗاۚ/nakidan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نُصَرِّفُ/نُصَرِّفُ/nusarrifu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّشْكُرُوْنَ۠/يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "এবং ভূখন্ড//উৎকৃষ্ট//উৎপন্ন করে//ফসল তার (উৎকৃষ্ট)//মাধ্যমে আদেশের//রবের তার//এবং যা//নিকৃষ্ট//না//উৎপন্ন করে//এ ছাড়া//কঠোর পরিশ্রম//এভাবে//বারবার পেশ করি আমরা//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//(যারা)কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 1013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1013.mp3"
              ],
              "text": "لَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَقَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥٓ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "নিশ্চয় আমি নূহকে তার সম্প্রদায়ের প্রতি পাঠিয়েছি। সে বললঃ হে আমার সম্প্রদায়, তোমরা আল্লাহর এবাদত কর। তিনি ব্যতীত তোমাদের কোন উপাস্য নেই। আমি তোমাদের জন্যে একটি মহাদিবসের শাস্তির আশঙ্কা করি।",
              "numberInSurah": 59,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আরছালনা-নূহান ইলা-কাওমিহী ফাকা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহূ ইন্নীআখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحًا/nuhan//اِلٰی/إِلَىٰ/ila//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//فَقَالَ/فَقَالَ/faqala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥٓ/ghayruhu//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "নিশ্চয়ই//আমরা পাঠিয়েছি//নূহকে//প্রতি//জাতির তার//অতঃপর সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//জন্যে তোমাদের//(অন্য) কোনো//ইলাহ//ছাড়া তিনি//নিশ্চয়ই আমি//আশঙ্কা করি আমি//উপর তোমাদের//শাস্তির//দিনের//মহা\""
            },
            {
              "number": 1014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1014.mp3"
              ],
              "text": "قَالَ ٱلْمَلَأُ مِن قَوْمِهِۦٓ إِنَّا لَنَرَىٰكَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "তার সম্প্রদায়ের সর্দাররা বললঃ আমরা তোমাকে প্রকাশ্য পথভ্রষ্টতার মাঝে দেখতে পাচ্ছি।",
              "numberInSurah": 60,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "কা-লাল মালাউ মিন কাওমিহীইন্না-লানারা-কা ফী দালা-লিম মুবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مِنْ/مِن/min//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِنَّا/إِنَّا/inna//لَنَرٰىكَ/لَنَرَىٰكَ/lanaraka//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "বললো//প্রধানগণ//মধ্যকার//জাতির তার//\"নিশ্চয়ই আমরা//অবশ্যই আমরা তোমাকে দেখছি//মধ্যে//ভ্রান্তির\"//প্রকাশ্য\""
            },
            {
              "number": 1015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1015.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ لَيْسَ بِى ضَلَٰلَةٌۭ وَلَٰكِنِّى رَسُولٌۭ مِّن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "সে বললঃ হে আমার সম্প্রদায়, আমি কখনও ভ্রান্ত নই; কিন্তু আমি বিশ্বপ্রতিপালকের রসূল।",
              "numberInSurah": 61,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি লাইছা বী দালা-লাতুওঁ ওয়া লা-কিন্নী রাছূলুম মির রাব্বিল ‘আ-লামীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَیْسَ/لَيۡسَ/laysa//بِیْ/بِي/bi//ضَلٰلَةٌ/ضَلَٰلَةٞ/dalalatun//وَّ لٰكِنِّیْ/وَلَٰكِنِّي/walakinni//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْ/مِّن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সে বললো//\"হে আমার জাতি//নেই//মধ্যে আমার//কোনো ভ্রষ্টতা//বরং আমি//রাসূল//পক্ষ হতে//রবের//বিশ্বজগতের"
            },
            {
              "number": 1016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1016.mp3"
              ],
              "text": "أُبَلِّغُكُمْ رِسَٰلَٰتِ رَبِّى وَأَنصَحُ لَكُمْ وَأَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তোমাদেরকে প্রতিপালকের পয়গাম পৌঁছাই এবং তোমাদেরকে সদুপদেশ দেই। আমি আল্লাহর পক্ষ থেকে এমনসব বিষয় জানি, যেগুলো তোমরা জান না।",
              "numberInSurah": 62,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "উবালিলগুকুমরিাছা-লা-তি রাব্বি ওয়া আনসাহু লাকুমওয়াআ‘লামুমিনাল্লা-হি মা-লা তা‘লামূন।",
              "words_arabic": "اُبَلِّغُكُمْ/أُبَلِّغُكُمۡ/uballighukum//رِسٰلٰتِ/رِسَٰلَٰتِ/risalati//رَبِّیْ/رَبِّي/rabbi//وَ اَنْصَحُ/وَأَنصَحُ/wa-ansahu//لَكُمْ/لَكُمۡ/lakum//وَ اَعْلَمُ/وَأَعۡلَمُ/wa-a'lamu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "আমি পৌঁছাই তোমাদেরকে//রিসালাত (বাণীগুলো)//আমার রবের//এবং হিতোপদেশ দিই আমি//প্রতি তোমাদের//ও আমি জানি//পক্ষ হতে//আল্লাহর//যা//না//তোমরা জানো"
            },
            {
              "number": 1017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1017.mp3"
              ],
              "text": "أَوَعَجِبْتُمْ أَن جَآءَكُمْ ذِكْرٌۭ مِّن رَّبِّكُمْ عَلَىٰ رَجُلٍۢ مِّنكُمْ لِيُنذِرَكُمْ وَلِتَتَّقُوا۟ وَلَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "তোমরা কি আশ্চর্যবোধ করছ যে, তোমাদের কাছে তোমাদের প্রতিপালকের পক্ষ থেকে তোমাদের মধ্য থেকেই একজনের বাচনিক উপদেশ এসেছে যাতে সে তোমাদেরকে ভীতি প্রদর্শন করে, যেন তোমরা সংযত হও এবং যেন তোমরা অনুগৃহীত হও।",
              "numberInSurah": 63,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "আওয়া ‘আজিবতুমআনজাআকুমযিকরুম মির রাব্বিকুম‘আলা-রাজুলিম মিনকুম লিইউনযিরাকুম ওয়া লিতাত্তাকূওয়া লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "اَوَ عَجِبْتُمْ/أَوَعَجِبۡتُمۡ/awa'ajib'tum//اَنْ/أَن/an//جَآءَكُمْ/جَآءَكُمۡ/jaakum//ذِكْرٌ/ذِكۡرٞ/dhik'run//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//عَلٰی/عَلَىٰ/ala//رَجُلٍ/رَجُلٖ/rajulin//مِّنْكُمْ/مِّنكُمۡ/minkum//لِیُنْذِرَكُمْ/لِيُنذِرَكُمۡ/liyundhirakum//وَ لِتَتَّقُوْا/وَلِتَتَّقُواْ/walitattaqu//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تُرْحَمُوْنَ /تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "কি তোমরা অবাক হয়েছো//যে//তোমাদের (কাছে) এসেছে//উপদেশ//পক্ষ হতে//রবের তোমাদের//মাধ্যমে//একজন ব্যক্তির//মধ্যকার তোমাদেরই//যেন সতর্ক করে তোমাদের//এবং যেন তোমরা সংযত হও//এবং যাতে তোমরা//অনুগ্রহপ্রাপ্ত হও\""
            },
            {
              "number": 1018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1018.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَأَنجَيْنَٰهُ وَٱلَّذِينَ مَعَهُۥ فِى ٱلْفُلْكِ وَأَغْرَقْنَا ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَآ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًا عَمِينَ",
              "translate_bn": "অতঃপর তারা তাকে মিথ্যা প্রতিপন্ন করল। আমি তাকে এবং নৌকাস্থিত লোকদেরকে উদ্ধার করলাম এবং যারা মিথ্যারোপ করত, তাদেরকে ডুবিয়ে দিলাম। নিশ্চয় তারা ছিল অন্ধ।",
              "numberInSurah": 64,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 129,
              "hizbQuarter": 63,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফাআনজাইনা-হু ওয়াল্লাযীনা মা‘আহূফিল ফুলকি ওয়া আগরাকনাল্লাযীনা কাযযাবূবিআ-য়া-তিনা- ইন্নাহুম কা-নূকাওমান ‘আমীন।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مَعَهٗ/مَعَهُۥ/ma'ahu//فِی/فِي/fi//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//وَ اَغْرَقْنَا/وَأَغۡرَقۡنَا/wa-aghraqna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ؕ/بِـَٔايَٰتِنَآۚ/biayatina//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمًا/قَوۡمًا/qawman//عَمِیْنَ۠/عَمِينَ/amina",
              "words_bangla": "অতঃপর মিথ্যাবাদী বললো তারা তাকে//তখন আমরা উদ্ধার করলাম তাকে//এবং যারা (ছিলো)//সাথে তার//মধ্যে//নৌকার (তাদেরকেও উদ্ধার করলাম)//এবং আমরা ডুবিয়ে দিলাম//(তাদেরকে) যারা//মিথ্যারোপ করেছিলো//প্রতি আয়াতগুলোর আমাদের//নিশ্চয়ই তারা//ছিলো//সম্প্রদায়//(যারা) অন্ধ"
            },
            {
              "number": 1019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1019.mp3"
              ],
              "text": "۞ وَإِلَىٰ عَادٍ أَخَاهُمْ هُودًۭا ۗ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥٓ ۚ أَفَلَا تَتَّقُونَ",
              "translate_bn": "আদ সম্প্রদায়ের কাছে প্রেরণ করেছি তাদের ভাই হুদকে। সে বললঃ হে আমার সম্প্রদায়, তোমরা আল্লাহর এবাদত কর। তিনি ব্যতিত তোমাদের কোন উপাস্য নেই।",
              "numberInSurah": 65,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-‘আ-দিন আখা-হুম হূদান কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলাহিন গাইরুহূ আফালা-তাত্তাকূন।",
              "words_arabic": "وَ اِلٰی/۞وَإِلَىٰ/wa-ila//عَادٍ/عَادٍ/adin//اَخَاهُمْ/أَخَاهُمۡ/akhahum//هُوْدًا ؕ/هُودٗاۚ/hudan//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥٓۚ/ghayruhu//اَفَلَا/أَفَلَا/afala//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং প্রতি//আ'দ জাতির//তাদেরই ভাই//হুদকে (প্রেরণ করি)//সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//জন্যে তোমাদের//কোনো//ইলাহ//ছাড়া তিনি//কি তবুও না//তোমরা সংযত হবে\""
            },
            {
              "number": 1020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1020.mp3"
              ],
              "text": "قَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦٓ إِنَّا لَنَرَىٰكَ فِى سَفَاهَةٍۢ وَإِنَّا لَنَظُنُّكَ مِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "তারা স্প্রদায়ের সর্দররা বললঃ আমরা তোমাকে নির্বোধ দেখতে পাচ্ছি এবং আমরা তোমাকে মিথ্যাবাদী মনে করি।",
              "numberInSurah": 66,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লাল মালাউল্লাযীনা কাফারূমিন কাওমিহী-ইন্না-লানারা-কা ফী ছাফা-হাতিওঁ ওয়া ইন্নালানাজুন্নুকা মিনাল কা-যিবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِنَّا/إِنَّا/inna//لَنَرٰىكَ/لَنَرَىٰكَ/lanaraka//فِیْ/فِي/fi//سَفَاهَةٍ/سَفَاهَةٖ/safahatin//وَّ اِنَّا/وَإِنَّا/wa-inna//لَنَظُنُّكَ/لَنَظُنُّكَ/lanazunnuka//مِنَ/مِنَ/mina//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "বললো//(সেই জাতির) প্রধান ব্যক্তিরা//যারা//অস্বীকার করেছিলো//মধ্য হতে//জাতির তার//\"নিশ্চয়ই আমরা//অবশ্যই আমরা তোমাকে দেখছি//মধ্যে//নির্বুদ্ধিতার//এবং  নিশ্চয়ই আমরা//অবশ্যই আমরা তোমাকে মনে করি//অন্তর্ভুক্ত//মিথ্যাবাদীদের\""
            },
            {
              "number": 1021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1021.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ لَيْسَ بِى سَفَاهَةٌۭ وَلَٰكِنِّى رَسُولٌۭ مِّن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "সে বললঃ হে আমার সম্প্রদায়, আমি মোটেই নির্বোধ নই, বরং আমি বিশ্ব প্রতিপালকের প্রেরিত পয়গম্বর।",
              "numberInSurah": 67,
              "juz": 8,
              "manzil": 2,
              "page": 158,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি লাইছা বী ছাফা-হাতুওঁ ওয়া লা-কিন্নী রাছূলুম মিররাব্বিল ‘আ-লামীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَیْسَ/لَيۡسَ/laysa//بِیْ/بِي/bi//سَفَاهَةٌ/سَفَاهَةٞ/safahatun//وَّ لٰكِنِّیْ/وَلَٰكِنِّي/walakinni//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْ/مِّن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সে বললো//\"হে আমার জাতি//নেই//মধ্যে আমার//কোন নির্বুদ্ধিতা//বরং আমি//একজন রাসূল//পক্ষ হতে//রবের//বিশ্বজগতের"
            },
            {
              "number": 1022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1022.mp3"
              ],
              "text": "أُبَلِّغُكُمْ رِسَٰلَٰتِ رَبِّى وَأَنَا۠ لَكُمْ نَاصِحٌ أَمِينٌ",
              "translate_bn": "তোমাদের কে প্রতিপালকের পয়গাম পৌঁছাই এবং আমি তোমাদের হিতাকাঙ্ক্ষী বিশ্বস্ত।",
              "numberInSurah": 68,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "উবালিলগুকুম রিছা-লা-তি রাববী ওয়া আনা-লাকুম না-সিহুন আমীন।",
              "words_arabic": "اُبَلِّغُكُمْ/أُبَلِّغُكُمۡ/uballighukum//رِسٰلٰتِ/رِسَٰلَٰتِ/risalati//رَبِّیْ/رَبِّي/rabbi//وَ اَنَا/وَأَنَا۠/wa-ana//لَكُمْ/لَكُمۡ/lakum//نَاصِحٌ/نَاصِحٌ/nasihun//اَمِیْنٌ /أَمِينٌ/aminun",
              "words_bangla": "আমি পৌঁছাই তোমাদেরকে//রিসালাত (বাণী)সমূহ//আমার রবের//এবং আমি//জন্যে তোমাদের//হিতাকাঙ্খী//বিশ্বস্ত"
            },
            {
              "number": 1023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1023.mp3"
              ],
              "text": "أَوَعَجِبْتُمْ أَن جَآءَكُمْ ذِكْرٌۭ مِّن رَّبِّكُمْ عَلَىٰ رَجُلٍۢ مِّنكُمْ لِيُنذِرَكُمْ ۚ وَٱذْكُرُوٓا۟ إِذْ جَعَلَكُمْ خُلَفَآءَ مِنۢ بَعْدِ قَوْمِ نُوحٍۢ وَزَادَكُمْ فِى ٱلْخَلْقِ بَصْۜطَةًۭ ۖ فَٱذْكُرُوٓا۟ ءَالَآءَ ٱللَّهِ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "তোমরা কি আশ্চর্য্যবোধ করছ যে, তোমাদের কাছে তোমাদের পালনকর্তার পক্ষ থেকে তোমাদের মধ্য থেকেই একজনের বাচনিক উপদেশ এসেছে যাতে সে তোমাদেরকে ভীতি প্রদর্শন করে। তোমরা স্মরণ কর, যখন আল্লাহ তোমাদেরকে কওমে নূহের পর সর্দার করেছেন এবং তোমাদের দেহের বিস্তৃতি বেশী করেছেন। তোমরা আল্লাহর নেয়ামতসমূহ স্মরণ কর-যাতে তোমাদের মঙ্গল হয়।",
              "numberInSurah": 69,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "আওয়া ‘আজিবতুম আন জাআকুম যিকরুম মিররাব্বিকুম ‘আলা-রাজুলিম মিনকুম লিইউনযিরাকুম ওয়াযকুরূইযজা‘আলাকুম খুলাফাআ মিম বা‘দি কাওমি নূহিওঁ ওয়া ঝা-দাকুম ফিল খালকিবাছতাতান ফাযকুরূআ-লাআল্লা-হি লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "اَوَ عَجِبْتُمْ/أَوَعَجِبۡتُمۡ/awa'ajib'tum//اَنْ/أَن/an//جَآءَكُمْ/جَآءَكُمۡ/jaakum//ذِكْرٌ/ذِكۡرٞ/dhik'run//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//عَلٰی/عَلَىٰ/ala//رَجُلٍ/رَجُلٖ/rajulin//مِّنْكُمْ/مِّنكُمۡ/minkum//لِیُنْذِرَكُمْ ؕ/لِيُنذِرَكُمۡۚ/liyundhirakum//وَ اذْكُرُوْۤا/وَٱذۡكُرُوٓاْ/wa-udh'kuru//اِذْ/إِذۡ/idh//جَعَلَكُمْ/جَعَلَكُمۡ/ja'alakum//خُلَفَآءَ/خُلَفَآءَ/khulafaa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//قَوْمِ/قَوۡمِ/qawmi//نُوْحٍ/نُوحٖ/nuhin//وَّ زَادَكُمْ/وَزَادَكُمۡ/wazadakum//فِی/فِي/fi//الْخَلْقِ/ٱلۡخَلۡقِ/al-khalqi//بَصْۜطَةً ۚ/بَصۜۡطَةٗۖ/bas'tatan//فَاذْكُرُوْۤا/فَٱذۡكُرُوٓاْ/fa-udh'kuru//اٰلَآءَ/ءَالَآءَ/alaa//اللّٰهِ/ٱللَّهِ/al-lahi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "কি তোমরা অবাক হয়েছো//যে//কাছে এসেছে তোমাদের//উপদেশ//পক্ষ হতে//রবের তোমাদের//মাধ্যমে//একজন ব্যক্তির//মধ্যকার তোমাদেরই//যেন সতর্ক করে তোমাদেরকে//এবং তোমরা স্মরণ করো//যখন//তিনি করেছিলেন তোমাদের//স্থলাভিষিক্ত//থেকে//পর//জাতির//নূহের//ও বাড়িয়ে দিয়েছিলেন তোমাদেরকে//মধ্যে//সৃষ্টির//(শক্তির) প্রাচুর্য//অতএব তোমরা স্মরণ করো//অনুগ্রহসমূহের//আল্লাহর//হয়ত তোমরা//সফলকাম হবে\""
            },
            {
              "number": 1024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1024.mp3"
              ],
              "text": "قَالُوٓا۟ أَجِئْتَنَا لِنَعْبُدَ ٱللَّهَ وَحْدَهُۥ وَنَذَرَ مَا كَانَ يَعْبُدُ ءَابَآؤُنَا ۖ فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "তারা বললঃ তুমি কি আমাদের কাছে এজন্যে এসেছ যে আমরা এক আল্লাহর এবাদত করি এবং আমাদের বাপ-দাদা যাদের পূজা করত, তাদেরকে ছেড়ে দেই? অতএব নিয়ে আস আমাদের কাছে যাদ্দ্বারা আমাদেরকে ভয় দেখাচ্ছ, যদি তুমি সত্যবাদী হও।",
              "numberInSurah": 70,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লূআজি’তানা-লিনা‘বুদাল্লা-হা ওয়াহদাহূওয়া নাযারা মা-কা-না ইয়া‘বুদুআবাউনা- ফা’তিনা-বিমা-তা‘ইদুনা-ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَجِئْتَنَا/أَجِئۡتَنَا/aji'tana//لِنَعْبُدَ/لِنَعۡبُدَ/lina'buda//اللّٰهَ/ٱللَّهَ/al-laha//وَحْدَهٗ/وَحۡدَهُۥ/wahdahu//وَ نَذَرَ/وَنَذَرَ/wanadhara//مَا/مَا/ma//كَانَ/كَانَ/kana//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُنَا ۚ/ءَابَآؤُنَا/abauna//فَاْتِنَا/فَأۡتِنَا/fatina//بِمَا/بِمَا/bima//تَعِدُنَاۤ/تَعِدُنَآ/ta'iduna//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "তারা বললো//\"কি তুমি এসেছো কাছে আমাদের//যেন আমরা ইবাদত করি//আল্লাহর//এবং তাঁর একারই//ত্যাগ করি (অন্য সবকিছু)//যার//ছিলো//ইবাদত করতে//পূর্বপুরুষরা আমাদের//সুতরাং এসো কাছে আমাদের//নিয়ে ঐসব যা//তুমি ভয় দেখাচ্ছো আমাদেরকে//যদি//হও তুমি//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 1025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1025.mp3"
              ],
              "text": "قَالَ قَدْ وَقَعَ عَلَيْكُم مِّن رَّبِّكُمْ رِجْسٌۭ وَغَضَبٌ ۖ أَتُجَٰدِلُونَنِى فِىٓ أَسْمَآءٍۢ سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّا نَزَّلَ ٱللَّهُ بِهَا مِن سُلْطَٰنٍۢ ۚ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ",
              "translate_bn": "সে বললঃ অবধারিত হয়ে গেছে তোমাদের উপর তোমাদের প্রতিপালকের পক্ষ থেকে শাস্তি ও ক্রোধ। আমার সাথে ঐসব নাম সম্পর্কে কেন তর্ক করছ, যেগুলো তোমরা ও তোমাদের বাপ-দাদারা রেখেছে। আল্লাহ এদের কোন মন্দ অবর্তীণ করেননি। অতএব অপেক্ষা কর। আমিও তোমাদের সাথে অপেক্ষা করছি।",
              "numberInSurah": 71,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাদ ওয়াকা‘আ ‘আলাইকুম মির রাব্বিকুম রিজছুওঁ ওয়া গাদাবুন আতুজাদিলুনানী ফীআছমাইন; ছাম্মাইতুমূহাআনতুম ওয়া আ-বাউকুম মা-নাঝঝালাল্লা-হু বিহামিন ছুলতা-নিন ফানতাজিরূইন্নী মা‘আকুম মিনাল মুনতাজিরীন।",
              "words_arabic": "قَالَ/قَالَ/qala//قَدْ/قَدۡ/qad//وَ قَعَ/وَقَعَ/waqa'a//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//رِجْسٌ/رِجۡسٞ/rij'sun//وَّ غَضَبٌ ؕ/وَغَضَبٌۖ/waghadabun//اَتُجَادِلُوْنَنِیْ/أَتُجَٰدِلُونَنِي/atujadilunani//فِیْۤ/فِيٓ/fi//اَسْمَآءٍ/أَسۡمَآءٖ/asmain//سَمَّیْتُمُوْهَاۤ/سَمَّيۡتُمُوهَآ/sammaytumuha//اَنْتُمْ/أَنتُمۡ/antum//وَ اٰبَآؤُكُمْ/وَءَابَآؤُكُم/waabaukum//مَّا/مَّا/ma//نَزَّلَ/نَزَّلَ/nazzala//اللّٰهُ/ٱللَّهُ/al-lahu//بِهَا/بِهَا/biha//مِنْ/مِن/min//سُلْطٰنٍ ؕ/سُلۡطَٰنٖۚ/sul'tanin//فَانْتَظِرُوْۤا/فَٱنتَظِرُوٓاْ/fa-intaziru//اِنِّیْ/إِنِّي/inni//مَعَكُمْ/مَعَكُم/ma'akum//مِّنَ/مِّنَ/mina//الْمُنْتَظِرِیْنَ /ٱلۡمُنتَظِرِينَ/al-muntazirina",
              "words_bangla": "সে বললো//\"নিশ্চয়ই//পড়েছে//উপর তোমাদের//পক্ষ হতে//রবের তোমাদের//শাস্তি//ও রাগ//কি আমার সাথে তোমরা বিতর্ক করছো//সম্বন্ধে//(ঐসব দেব-দেবীর) নামগুলোর//তোমরা নাম দিয়েছো যা//তোমরা//ও পূর্বপুরুষরা তোমাদের//না//অবতীর্ণ করেছেন//আল্লাহ//সম্বন্ধে সে//কোনো//প্রমাণ//অতএব তোমরা প্রতীক্ষা করো//নিশ্চয়ই আমি//সাথে তোমাদের//অন্তর্ভুক্ত//প্রতীক্ষাকারীদের"
            },
            {
              "number": 1026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1026.mp3"
              ],
              "text": "فَأَنجَيْنَٰهُ وَٱلَّذِينَ مَعَهُۥ بِرَحْمَةٍۢ مِّنَّا وَقَطَعْنَا دَابِرَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا ۖ وَمَا كَانُوا۟ مُؤْمِنِينَ",
              "translate_bn": "অনন্তর আমি তাকে ও তার সঙ্গীদেরকে স্বীয় অনুগ্রহে রক্ষা করলাম এবং যারা আমার আয়াতসমূহে মিথ্যারোপ করত তাদের মূল কেটে দিলাম। তারা মান্যকারী ছিল না।",
              "numberInSurah": 72,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 130,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ফাআনজাইনা-হুওয়াল্লাযীনা মা‘আহূবিরাহমাতিম মিন্না-ওয়া কাতা‘না-দা-বিরাল্লাযীনা কাযযাবূবিআ-য়া-তিনা-ওয়ামা-কা-নূমু’মিনীন।",
              "words_arabic": "فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مَعَهٗ/مَعَهُۥ/ma'ahu//بِرَحْمَةٍ/بِرَحۡمَةٖ/birahmatin//مِّنَّا/مِّنَّا/minna//وَ قَطَعْنَا/وَقَطَعۡنَا/waqata'na//دَابِرَ/دَابِرَ/dabira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَاۖ/biayatina//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُؤْمِنِیْنَ۠/مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "অতঃপর আমরা উদ্ধার করলাম তাকে//এবং যারা (ছিলো)//সাথে তার//দিয়ে অনুগ্রহ//পক্ষ হতে আমাদের//এবং কেটে দিলাম আমরা//মূল//(তাদের) যারা//মিথ্যা মনে করেছিলো//ব্যাপারে নিদর্শনাবলীর আমাদের//এবং না//তারা ছিলো//মু'মিন"
            },
            {
              "number": 1027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1027.mp3"
              ],
              "text": "وَإِلَىٰ ثَمُودَ أَخَاهُمْ صَٰلِحًۭا ۗ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥ ۖ قَدْ جَآءَتْكُم بَيِّنَةٌۭ مِّن رَّبِّكُمْ ۖ هَٰذِهِۦ نَاقَةُ ٱللَّهِ لَكُمْ ءَايَةًۭ ۖ فَذَرُوهَا تَأْكُلْ فِىٓ أَرْضِ ٱللَّهِ ۖ وَلَا تَمَسُّوهَا بِسُوٓءٍۢ فَيَأْخُذَكُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "সামুদ সম্প্রদায়ের কাছে প্রেরণ করেছি তাদের ভাই সালেহকে। সে বললঃ হে আমার সম্প্রদায়, তোমরা আল্লাহর এবাদত কর। তিনি ব্যতিত তোমাদের কোন উপাস্য নেই। তোমাদের কাছে তোমাদের প্রতিপালকের পক্ষ থেকে একটি প্রমাণ এসে গেছে। এটি আল্লাহর উষ্টী তোমাদের জন্যে প্রমাণ। অতএব একে ছেড়ে দাও, আল্লাহর ভুমিতে চড়ে বেড়াবে। একে অসৎভাবে স্পর্শ করবে না। অন্যথায় তোমাদেরকে যন্ত্রনাদায়ক শাস্তি পাকড়াও করবে।",
              "numberInSurah": 73,
              "juz": 8,
              "manzil": 2,
              "page": 159,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-ছামূদাআখা-হুম সা-লিহা- । কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহূ কাদ জাআতকুম বাইয়িনাতুম মির রাব্বিকুম; হা-যিহী নাকাতুল্লা-হি লাকুম আ-য়াতান ফাযারূহা-তা’কুল ফী-আরদিল্লা-হি ওয়ালা-তামাছছূহাবিছূইন ফাইয়া’খুযাকুম ‘আযা-বুন আলীম।",
              "words_arabic": "وَ اِلٰی/وَإِلَىٰ/wa-ila//ثَمُوْدَ/ثَمُودَ/thamuda//اَخَاهُمْ/أَخَاهُمۡ/akhahum//صٰلِحًا ۘ/صَٰلِحٗاۚ/salihan//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥۖ/ghayruhu//قَدْ/قَدۡ/qad//جَآءَتْكُمْ/جَآءَتۡكُم/jaatkum//بَیِّنَةٌ/بَيِّنَةٞ/bayyinatun//مِّنْ/مِّن/min//رَّبِّكُمْ ؕ/رَّبِّكُمۡۖ/rabbikum//هٰذِهٖ/هَٰذِهِۦ/hadhihi//نَاقَةُ/نَاقَةُ/naqatu//اللّٰهِ/ٱللَّهِ/al-lahi//لَكُمْ/لَكُمۡ/lakum//اٰیَةً/ءَايَةٗۖ/ayatan//فَذَرُوْهَا/فَذَرُوهَا/fadharuha//تَاْكُلْ/تَأۡكُلۡ/takul//فِیْۤ/فِيٓ/fi//اَرْضِ/أَرۡضِ/ardi//اللّٰهِ/ٱللَّهِۖ/al-lahi//وَ لَا/وَلَا/wala//تَمَسُّوْهَا/تَمَسُّوهَا/tamassuha//بِسُوْٓءٍ/بِسُوٓءٖ/bisuin//فَیَاْخُذَكُمْ/فَيَأۡخُذَكُمۡ/fayakhudhakum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং প্রতি//সামুদ জাতির//তাদেরই ভাই//সালেহ-কে (পাঠিয়েছিলাম)//সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//জন্যে তোমাদের//কোনো//ইলাহ//ছাড়া তিনি//নিশ্চয়ই//কাছে এসেছে তোমাদের//সুস্পষ্ট প্রমাণ//পক্ষ হতে//রবের তোমাদের//এই//মাদি উটটি//আল্লাহর//জন্যে তোমাদের//একটি নিদর্শন//সুতরাং তোমরা ছেড়ে দাও তাকে//সে খাবে//উপর//জমিনের//আল্লাহর//এবং না//তোমরা স্পর্শ করবে তাকে//ভাবে মন্দ//তাহ'লে ধরবে তোমাদের//শাস্তি//নিদারুণ\""
            },
            {
              "number": 1028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1028.mp3"
              ],
              "text": "وَٱذْكُرُوٓا۟ إِذْ جَعَلَكُمْ خُلَفَآءَ مِنۢ بَعْدِ عَادٍۢ وَبَوَّأَكُمْ فِى ٱلْأَرْضِ تَتَّخِذُونَ مِن سُهُولِهَا قُصُورًۭا وَتَنْحِتُونَ ٱلْجِبَالَ بُيُوتًۭا ۖ فَٱذْكُرُوٓا۟ ءَالَآءَ ٱللَّهِ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ",
              "translate_bn": "তোমরা স্মরণ কর, যখন তোমাদেরকে আদ জাতির পরে সর্দার করেছেন; তোমাদেরকে পৃথিবীতে ঠিকানা দিয়েছেন। তোমরা নরম মাটিতে অট্টালিকা নির্মান কর এবং পর্বত গাত্র খনন করে প্রকোষ্ঠ নির্মাণ কর। অতএব আল্লাহর অনুগ্রহ স্মরণ কর এবং পৃথিবীতে অনর্থ সৃষ্টি করো না।",
              "numberInSurah": 74,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরূ ইযজা‘আলাকুম খুলাফাআ মিম বা‘দি ‘আ-দিওঁ ওয়া বাওওয়াআকুম ফিল আরদিতাত্তাখিযূনা মিন ছুহূলিহা-কুসূরাওঁ ওয়া তানহিতূনাল জিবা-লা বুইয়ূতান ফাযকুরূআ-লাআল্লা-হি ওয়ালা-তা‘ছাও ফিল আরদিমুফছিদীন।",
              "words_arabic": "وَ اذْكُرُوْۤا/وَٱذۡكُرُوٓاْ/wa-udh'kuru//اِذْ/إِذۡ/idh//جَعَلَكُمْ/جَعَلَكُمۡ/ja'alakum//خُلَفَآءَ/خُلَفَآءَ/khulafaa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//عَادٍ/عَادٖ/adin//وَّ بَوَّاَكُمْ/وَبَوَّأَكُمۡ/wabawwa-akum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//تَتَّخِذُوْنَ/تَتَّخِذُونَ/tattakhidhuna//مِنْ/مِن/min//سُهُوْلِهَا/سُهُولِهَا/suhuliha//قُصُوْرًا/قُصُورٗا/qusuran//وَّ تَنْحِتُوْنَ/وَتَنۡحِتُونَ/watanhituna//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//بُیُوْتًا ۚ/بُيُوتٗاۖ/buyutan//فَاذْكُرُوْۤا/فَٱذۡكُرُوٓاْ/fa-udh'kuru//اٰلَآءَ/ءَالَآءَ/alaa//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//تَعْثَوْا/تَعۡثَوۡاْ/ta'thaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُفْسِدِیْنَ /مُفۡسِدِينَ/muf'sidina",
              "words_bangla": "এবং তোমরা স্মরণ করো//যখন//বানিয়েছিলেন তোমাদের//স্থলাভিষিক্ত//থেকে//পর//আ'দের//ও প্রতিষ্ঠিত করেছিলেন তোমাদের//উপর//পৃথিবীর//তোমরা নির্মাণ করছো//মধ্যে//সমতল ভূমির তার//প্রাসাদসমূহ//তোমরা খোদাই করে তৈরী করেছো//পাহাড়গুলোতে//বসতঘরসমূহ//অতএব তোমরা স্মরণ করো//অনুগ্রহগুলোকে//আল্লাহর//এবং না//অনাচার সৃষ্টি করো//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টিকারী হয়ে"
            },
            {
              "number": 1029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1029.mp3"
              ],
              "text": "قَالَ ٱلْمَلَأُ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ مِن قَوْمِهِۦ لِلَّذِينَ ٱسْتُضْعِفُوا۟ لِمَنْ ءَامَنَ مِنْهُمْ أَتَعْلَمُونَ أَنَّ صَٰلِحًۭا مُّرْسَلٌۭ مِّن رَّبِّهِۦ ۚ قَالُوٓا۟ إِنَّا بِمَآ أُرْسِلَ بِهِۦ مُؤْمِنُونَ",
              "translate_bn": "তার সম্প্রদায়ের দাম্ভিক সর্দাররা ঈমানদার দারিদ্রদেরকে জিজ্ঞেস করলঃ তোমরা কি বিশ্বাস কর যে সালেহ কে তার পালনকর্তা প্রেরণ করেছেন; তারা বলল আমরা তো তার আনীত বিষয়ের প্রতি বিশ্বাসী।",
              "numberInSurah": 75,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লাল মালাউল্লাযীনাছ তাকবারূমিন কাওমিহী লিল্লাযীনাছ তুদ‘ইফূলিমান আ-মানা মিনহুম আতা‘লামূনা আন্না সা-লিহাম মুরছালুম মিররাব্বিহী কালূইন্না-বিমাউরছিলা বিহী মু’মিনূন।",
              "words_arabic": "قَالَ/قَالَ/qala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//مِنْ/مِن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتُضْعِفُوْا/ٱسۡتُضۡعِفُواْ/us'tud'ifu//لِمَنْ/لِمَنۡ/liman//اٰمَنَ/ءَامَنَ/amana//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَتَعْلَمُوْنَ/أَتَعۡلَمُونَ/ata'lamuna//اَنَّ/أَنَّ/anna//صٰلِحًا/صَٰلِحٗا/salihan//مُّرْسَلٌ/مُّرۡسَلٞ/mur'salun//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦۚ/rabbihi//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//بِمَاۤ/بِمَآ/bima//اُرْسِلَ/أُرۡسِلَ/ur'sila//بِهٖ/بِهِۦ/bihi//مُؤْمِنُوْنَ /مُؤۡمِنُونَ/mu'minuna",
              "words_bangla": "বললো//(সেই জাতির) প্রধান ব্যক্তিরা//যারা//অহংকার করেছিলো//মধ্য হতে//জাতির তার//উদ্দেশ্যে তাদের//যাদেরকে দুর্বল করে রাখা হয়েছিলো//(তাদের)কে যারা//ঈমান এনেছিলো//মধ্য হতে তাদের//\"কি তোমরা জানো//যে//সালেহ//(সত্যিই) প্রেরিত হয়েছে//পক্ষ হতে//তার রবের\"//তারা বললো//\"নিশ্চয়ই আমরা//দিয়ে ঐ বিষয়ে যা//তাকে পাঠানো হয়েছে//উপর তার//বিশ্বাসী\""
            },
            {
              "number": 1030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1030.mp3"
              ],
              "text": "قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا بِٱلَّذِىٓ ءَامَنتُم بِهِۦ كَٰفِرُونَ",
              "translate_bn": "দাম্ভিকরা বললঃ তোমরা যে বিষয়ে বিশ্বাস স্থাপন করেছ, আমরা তাতে অস্বীকৃত।",
              "numberInSurah": 76,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লাযীনাছতাকবারূইন্না-বিল্লাযীআ-মানতুম বিহী কা-ফিরূন।",
              "words_arabic": "قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَكْبَرُوْۤا/ٱسۡتَكۡبَرُوٓاْ/is'takbaru//اِنَّا/إِنَّا/inna//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِهٖ/بِهِۦ/bihi//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "বললো//যারা//অহংকার করেছিলো//\"নিশ্চয়ই আমরা//উপর যার//তোমরা ঈমান এনেছো//প্রতি তার//প্রত্যাখ্যানকারী\""
            },
            {
              "number": 1031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1031.mp3"
              ],
              "text": "فَعَقَرُوا۟ ٱلنَّاقَةَ وَعَتَوْا۟ عَنْ أَمْرِ رَبِّهِمْ وَقَالُوا۟ يَٰصَٰلِحُ ٱئْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "অতঃপর তারা উষ্ট্রীকে হত্যা করল এবং স্বীয় প্রতিপালকের আদেশ অমান্য করল। তারা বললঃ হে ছালেহ, নিয়ে এস যদ্দ্বারা আমাদেরকে ভয় দেখাতে, যদি তুমি রসূল হয়ে থাক।",
              "numberInSurah": 77,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ফা‘আকারুন্না-কাতা ওয়া‘আতাও ‘আন আমরি রব্বিহিম ওয়া কা-লূইয়া-সা-লিহু’তিনাবিমা-তা‘ইদুনাইন কুনতা মিনাল মুরছালীন।",
              "words_arabic": "فَعَقَرُوا/فَعَقَرُواْ/fa'aqaru//النَّاقَةَ/ٱلنَّاقَةَ/al-naqata//وَ عَتَوْا/وَعَتَوۡاْ/wa'ataw//عَنْ/عَنۡ/an//اَمْرِ/أَمۡرِ/amri//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ قَالُوْا/وَقَالُواْ/waqalu//یٰصٰلِحُ/يَٰصَٰلِحُ/yasalihu//ائْتِنَا/ٱئۡتِنَا/i'tina//بِمَا/بِمَا/bima//تَعِدُنَاۤ/تَعِدُنَآ/ta'iduna//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "অতঃপর তারা হত্যা করলো//মাদি উটটিকে//ও তারা অমান্য করলো//হতে//নির্দেশ (পালন করা)//রবের তাদের//এবং তারা বললো//\"হে সালেহ//কাছে এসো আমাদের//নিয়ে ঐ বিষয় যার//তুমি ধমক দিচ্ছো আমাদেরকে//যদি//হও তুমি//অন্তর্ভুক্ত//রাসূলদের\""
            },
            {
              "number": 1032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1032.mp3"
              ],
              "text": "فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَٰثِمِينَ",
              "translate_bn": "অতঃপর পাকড়াও করল তাদেরকে ভূমিকম্প। ফলে সকাল বেলায় নিজ নিজ গৃহে উপুড় হয়ে পড়ে রইল।",
              "numberInSurah": 78,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাতহুমুররাজফাতুফাআসবাহূফী দা-রিহিম জা-ছিমীন।",
              "words_arabic": "فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الرَّجْفَةُ/ٱلرَّجۡفَةُ/al-rajfatu//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//فِیْ/فِي/fi//دَارِهِمْ/دَارِهِمۡ/darihim//جٰثِمِیْنَ /جَٰثِمِينَ/jathimina",
              "words_bangla": "অতঃপর গ্রাস করলো তাদেরকে//ভূমিকম্প//অতঃপর তারা হয়ে গেলো//মধ্যে//ঘরের তাদের//উপুড় হয়ে পড়ে থাকা অবস্থায় অর্থাৎ মৃত পড়ে রইলো)"
            },
            {
              "number": 1033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1033.mp3"
              ],
              "text": "فَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَٰقَوْمِ لَقَدْ أَبْلَغْتُكُمْ رِسَالَةَ رَبِّى وَنَصَحْتُ لَكُمْ وَلَٰكِن لَّا تُحِبُّونَ ٱلنَّٰصِحِينَ",
              "translate_bn": "ছালেহ তাদের কাছ থেকে প্রস্থান করলো এবং বললঃ হে আমার সম্প্রদায়, আমি তোমাদের কাছে স্বীয় প্রতিপালকের পয়গাম পৌছিয়েছি এবং তোমাদের মঙ্গল কামনা করেছি কিন্তু তোমরা মঙ্গলকাঙ্খীদেরকে ভালবাস না।",
              "numberInSurah": 79,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা-‘আনহুম ওয়া কা-লা ইয়া-কাওমি লাকাদ আবলাগতুকুমরিছা-লাতা রাববী ওয়া নাসাহতুলাকুম ওয়ালা-কিল লা-তুহিববূনান না-সিহীন।",
              "words_arabic": "فَتَوَلّٰی/فَتَوَلَّىٰ/fatawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ قَالَ/وَقَالَ/waqala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَقَدْ/لَقَدۡ/laqad//اَبْلَغْتُكُمْ/أَبۡلَغۡتُكُمۡ/ablaghtukum//رِسَالَةَ/رِسَالَةَ/risalata//رَبِّیْ/رَبِّي/rabbi//وَ نَصَحْتُ/وَنَصَحۡتُ/wanasahtu//لَكُمْ/لَكُمۡ/lakum//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تُحِبُّوْنَ/تُحِبُّونَ/tuhibbuna//النّٰصِحِیْنَ /ٱلنَّـٰصِحِينَ/al-nasihina",
              "words_bangla": "অতঃপর সে মুখ ফিরালো//থেকে তাদের//এবং সে বললো//\"হে আমার জাতি//নিশ্চয়ই//পৌঁছেছিলাম তোমাদেরকে//রিসালাত (বাণী)//আমার রবের//এবং আমি উপদেশ দিয়েছিলাম//প্রতি তোমাদের//কিন্তু//না//তোমরা পছন্দ করো//উপদেশকারীদেরকে\""
            },
            {
              "number": 1034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1034.mp3"
              ],
              "text": "وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ أَتَأْتُونَ ٱلْفَٰحِشَةَ مَا سَبَقَكُم بِهَا مِنْ أَحَدٍۢ مِّنَ ٱلْعَٰلَمِينَ",
              "translate_bn": "এবং আমি লূতকে প্রেরণ করেছি। যখন সে স্বীয় সম্প্রদায়কে বললঃ তোমরা কি এমন অশ্লীল কাজ করছ, যা তোমাদের পূর্বে সারা বিশ্বের কেউ করেনি ?",
              "numberInSurah": 80,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া লূতান ইযকা-লা লিকাওমিহীআতা’তূনাল ফা-হিশাতা মা-ছাবাকাকুমবিহা-মিন আহাদিম মিনাল ‘আল-লামীন।\r\n",
              "words_arabic": "وَ لُوْطًا/وَلُوطًا/walutan//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهٖۤ/لِقَوۡمِهِۦٓ/liqawmihi//اَتَاْتُوْنَ/أَتَأۡتُونَ/atatuna//الْفَاحِشَةَ/ٱلۡفَٰحِشَةَ/al-fahishata//مَا/مَا/ma//سَبَقَكُمْ/سَبَقَكُم/sabaqakum//بِهَا/بِهَا/biha//مِنْ/مِنۡ/min//اَحَدٍ/أَحَدٖ/ahadin//مِّنَ/مِّنَ/mina//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং লুতকে (পাঠিয়েছিলাম)//(স্মরণ করো) যখন//সে বলেছিলো//উদ্দেশ্যে জাতির তার//\"কি তোমরা আসো//(এমন) অশ্লীলকাজে//(যা) না//পূর্বে করেছে তোমাদের//ব্যাপারে সে//কোনো//একজন//মধ্যে//সারা বিশ্বের"
            },
            {
              "number": 1035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1035.mp3"
              ],
              "text": "إِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ شَهْوَةًۭ مِّن دُونِ ٱلنِّسَآءِ ۚ بَلْ أَنتُمْ قَوْمٌۭ مُّسْرِفُونَ",
              "translate_bn": "তোমরা তো কামবশতঃ পুরুষদের কাছে গমন কর নারীদেরকে ছেড়ে। বরং তোমরা সীমা অতিক্রম করেছ।",
              "numberInSurah": 81,
              "juz": 8,
              "manzil": 2,
              "page": 160,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকুম লাতা’তূনার রিজা-লা শাহওয়াতাম মিন দূ নিন নিছাই বাল আনতুম কাওমুম মুছরিফূন।",
              "words_arabic": "اِنَّكُمْ/إِنَّكُمۡ/innakum//لَتَاْتُوْنَ/لَتَأۡتُونَ/latatuna//الرِّجَالَ/ٱلرِّجَالَ/al-rijala//شَهْوَةً/شَهۡوَةٗ/shahwatan//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//النِّسَآءِ ؕ/ٱلنِّسَآءِۚ/al-nisai//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُمۡ/antum//قَوْمٌ/قَوۡمٞ/qawmun//مُّسْرِفُوْنَ /مُّسۡرِفُونَ/mus'rifuna",
              "words_bangla": "নিশ্চয়ই তোমরা//অবশ্যই তোমরা আসো//পুরুষদের (কাছে)//যৌন-তৃপ্তির জন্যে//দিয়ে//বাদ//স্ত্রীলোকদের//বরং//তোমরা//সম্প্রদায়//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 1036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1036.mp3"
              ],
              "text": "وَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوٓا۟ أَخْرِجُوهُم مِّن قَرْيَتِكُمْ ۖ إِنَّهُمْ أُنَاسٌۭ يَتَطَهَّرُونَ",
              "translate_bn": "তাঁর সম্প্রদায় এ ছাড়া কোন উত্তর দিল না যে, বের করে দাও এদেরকে শহর থেকে। এরা খুব সাধু থাকতে চায়।",
              "numberInSurah": 82,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-না জাওয়া-বা কাওমিহীইল্লাআন কা-লূআখরিজূহুম মিন কারইয়াতিকুম ইন্নাহুম উনা-ছুইঁ ইয়াতাতাহহারূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//جَوَابَ/جَوَابَ/jawaba//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْۤا/قَالُوٓاْ/qalu//اَخْرِجُوْهُمْ/أَخۡرِجُوهُم/akhrijuhum//مِّنْ/مِّن/min//قَرْیَتِكُمْ ۚ/قَرۡيَتِكُمۡۖ/qaryatikum//اِنَّهُمْ/إِنَّهُمۡ/innahum//اُنَاسٌ/أُنَاسٞ/unasun//یَّتَطَهَّرُوْنَ /يَتَطَهَّرُونَ/yatatahharuna",
              "words_bangla": "এবং না//ছিলো//উত্তর//জাতির তার//এ ছাড়া//যে//তারা বলেছিলো//\"বের করে দাও তাদের//হতে//জনপদ তোমাদের//নিশ্চয়ই তারা//(এমন) লোক//যারা অতি পবিত্র থাকতে চায়\""
            },
            {
              "number": 1037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1037.mp3"
              ],
              "text": "فَأَنجَيْنَٰهُ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ كَانَتْ مِنَ ٱلْغَٰبِرِينَ",
              "translate_bn": "অতঃপর আমি তাকে ও তাঁর পরিবার পরিজনকে বাঁচিয়ে দিলাম, কিন্তু তার স্ত্রী। সে তাদের মধ্যেই রয়ে গেল, যারা রয়ে গিয়েছিল। আমি তাদের উপর প্রস্তর বৃষ্টি বর্ষণ করলাম।",
              "numberInSurah": 83,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ফাআনজাইনা-হু ওয়া আহলাহূইল্লামরাআতাহূ কা-নাত মিনাল গা-বিরীন।",
              "words_arabic": "فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ اَهْلَهٗۤ/وَأَهۡلَهُۥٓ/wa-ahlahu//اِلَّا/إِلَّا/illa//امْرَاَتَهٗ ۖؗ/ٱمۡرَأَتَهُۥ/im'ra-atahu//كَانَتْ/كَانَتۡ/kanat//مِنَ/مِنَ/mina//الْغٰبِرِیْنَ /ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "অতঃপর আমরা উদ্ধার করলাম তাকে//ও তার পরিবারকে//ছাড়া//স্ত্রী তার//সে ছিলো//অন্তর্ভুক্ত//পিছনে অবস্থানকারীদের"
            },
            {
              "number": 1038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1038.mp3"
              ],
              "text": "وَأَمْطَرْنَا عَلَيْهِم مَّطَرًۭا ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُجْرِمِينَ",
              "translate_bn": "অতএব, দেখ গোনাহগারদের পরিণতি কেমন হয়েছে।",
              "numberInSurah": 84,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 131,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া আমতারনা-‘আলাইহিম মাতারান ফানজু র কাইফা কা-না ‘আ-কিবাতুল মুজ রিমীন।",
              "words_arabic": "وَ اَمْطَرْنَا/وَأَمۡطَرۡنَا/wa-amtarna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّطَرًا ؕ/مَّطَرٗاۖ/mataran//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُجْرِمِیْنَ۠/ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এবং বৃষ্টিবর্ষণ করেছিলাম আমরা//উপর তাদের//(পাথর) বৃষ্টি//অতঃপর লক্ষ্য করো//কেমন//ছিলো//পরিণাম//অপরাধীদের"
            },
            {
              "number": 1039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1039.mp3"
              ],
              "text": "وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًۭا ۗ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥ ۖ قَدْ جَآءَتْكُم بَيِّنَةٌۭ مِّن رَّبِّكُمْ ۖ فَأَوْفُوا۟ ٱلْكَيْلَ وَٱلْمِيزَانَ وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ بَعْدَ إِصْلَٰحِهَا ۚ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আমি মাদইয়ানের প্রতি তাদের ভাই শোয়ায়েবকে প্রেরণ করেছি। সে বললঃ হে আমার সম্প্রদায়! তোমরা আল্লাহর এবাদত কর। তিনি ব্যতীত তোমাদের কোন উপাস্য নেই। তোমাদের কাছে তোমাদের প্রতিপালকের পক্ষ থেকে প্রমাণ এসে গেছে। অতএব তোমরা মাপ ও ওজন পূর্ন কর এবং মানুষকে তাদের দ্রব্যদি কম দিয়ো না এবং ভুপৃষ্টের সংস্কার সাধন করার পর তাতে অনর্থ সৃষ্টি করো না। এই হল তোমাদের জন্যে কল্যাণকর, যদি তোমরা বিশ্বাসী হও।",
              "numberInSurah": 85,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 132,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-মাদইয়ানা আখা-হুম শু‘আইবান কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহূ কাদ জাআতকুম বাইয়িনাতুম মিররাব্বিকুম ফাআওফুল কাইলা ওয়াল মীঝা-না ওয়ালা-তাবখাছুন্না-ছা আশইয়াআহুম ওয়ালা-তুফছিদূফিল আরদিবা‘দা ইসলা-হিহা- যা-লিকুম খাইরুল্লাকুম ইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ اِلٰی/وَإِلَىٰ/wa-ila//مَدْیَنَ/مَدۡيَنَ/madyana//اَخَاهُمْ/أَخَاهُمۡ/akhahum//شُعَیْبًا ؕ/شُعَيۡبٗاۚ/shu'ayban//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥۖ/ghayruhu//قَدْ/قَدۡ/qad//جَآءَتْكُمْ/جَآءَتۡكُم/jaatkum//بَیِّنَةٌ/بَيِّنَةٞ/bayyinatun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡۖ/rabbikum//فَاَوْفُوا/فَأَوۡفُواْ/fa-awfu//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//وَ الْمِیْزَانَ/وَٱلۡمِيزَانَ/wal-mizana//وَ لَا/وَلَا/wala//تَبْخَسُوا/تَبۡخَسُواْ/tabkhasu//النَّاسَ/ٱلنَّاسَ/al-nasa//اَشْیَآءَهُمْ/أَشۡيَآءَهُمۡ/ashyaahum//وَ لَا/وَلَا/wala//تُفْسِدُوْا/تُفۡسِدُواْ/tuf'sidu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بَعْدَ/بَعۡدَ/ba'da//اِصْلَاحِهَا ؕ/إِصۡلَٰحِهَاۚ/is'lahiha//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَۚ/مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং দিকে//মাদইয়ানের//তাদের ভাই//শুয়াইবকে//সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//জন্যে তোমাদের//কোনো//ইলাহ//ছাড়া তিনি//নিশ্চয়ই//কাছে এসেছে তোমাদের//সুস্পষ্ট প্রমাণ//পক্ষ হতে//রবের তোমাদের//অতএব তোমরা পূর্ণ করো//মাপ//ও ওজন//এবং না//তোমরা কম দিও//মানুষদেরকে//তাদের (প্রাপ্য) দ্রব্যে//এবং না//তোমরা বিপর্যয় করো//মধ্যে//পৃথিবীর//পরেও//সংস্কারের তার//এটা//উত্তম//জন্যে তোমাদের//যদি//হও তোমরা//মু'মিন"
            },
            {
              "number": 1040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1040.mp3"
              ],
              "text": "وَلَا تَقْعُدُوا۟ بِكُلِّ صِرَٰطٍۢ تُوعِدُونَ وَتَصُدُّونَ عَن سَبِيلِ ٱللَّهِ مَنْ ءَامَنَ بِهِۦ وَتَبْغُونَهَا عِوَجًۭا ۚ وَٱذْكُرُوٓا۟ إِذْ كُنتُمْ قَلِيلًۭا فَكَثَّرَكُمْ ۖ وَٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُفْسِدِينَ",
              "translate_bn": "তোমরা পথে ঘাটে এ কারণে বসে থেকো না যে, আল্লাহ বিশ্বাসীদেরকে হুমকি দিবে, আল্লাহর পথে বাধা সৃষ্টি করবে এবং তাতে বক্রতা অনুসন্ধান করবে। স্মরণ কর, যখন তোমরা সংখ্যায় অল্প ছিলে অতঃপর আল্লাহ তোমাদেরকে অধিক করেছেন এবং লক্ষ্য কর কিরূপ অশুভ পরিণতি হয়েছে অনর্থকারীদের।",
              "numberInSurah": 86,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 132,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাক‘উদূবিকুল্লি সিরা-তিন তূ‘ইদূ না ওয়া তাসূদ্দূনা ‘আন ছাবীলিল্লা-হি মান আমানা বিহী ওয়া তাবগূনাহা-‘ইওয়াজাওঁ ওয়াযকুরূইযকুনতুম কালীলান ফাকাছছারাকুম ওয়ানজু রূকাইফা কা-না ‘আ-কিবাতুল মুফছিদীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْعُدُوْا/تَقۡعُدُواْ/taq'udu//بِكُلِّ/بِكُلِّ/bikulli//صِرَاطٍ/صِرَٰطٖ/siratin//تُوْعِدُوْنَ/تُوعِدُونَ/tu'iduna//وَ تَصُدُّوْنَ/وَتَصُدُّونَ/watasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِهٖ/بِهِۦ/bihi//وَ تَبْغُوْنَهَا/وَتَبۡغُونَهَا/watabghunaha//عِوَجًا ۚ/عِوَجٗاۚ/iwajan//وَ اذْكُرُوْۤا/وَٱذۡكُرُوٓاْ/wa-udh'kuru//اِذْ/إِذۡ/idh//كُنْتُمْ/كُنتُمۡ/kuntum//قَلِیْلًا/قَلِيلٗا/qalilan//فَكَثَّرَكُمْ ۪/فَكَثَّرَكُمۡۖ/fakatharakum//وَ انْظُرُوْا/وَٱنظُرُواْ/wa-unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এবং না//তোমরা বসবে//উপর প্রত্যেক//রাস্তার//তোমরা ভয় দেখাবে (না)//ও তোমরা বাধা দিবে (না)//হতে//পথ//আল্লাহর//(তাকে) যে//ঈমান আনে//উপর তাঁর//এবং (না) তোমরা অনুসন্ধান করবে তাতে//বক্রতা//এবং তোমরা স্মরণ করো//যখন//তোমরা ছিলে//(সংখ্যায়) অল্প//অতঃপর আধিক্য দিয়েছেন তোমাদেরকে//এবং তোমরা লক্ষ্য করো//কিরূপ//ছিলো//পরিণাম//বিপর্যয় সৃষ্টিকারীদের"
            },
            {
              "number": 1041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1041.mp3"
              ],
              "text": "وَإِن كَانَ طَآئِفَةٌۭ مِّنكُمْ ءَامَنُوا۟ بِٱلَّذِىٓ أُرْسِلْتُ بِهِۦ وَطَآئِفَةٌۭ لَّمْ يُؤْمِنُوا۟ فَٱصْبِرُوا۟ حَتَّىٰ يَحْكُمَ ٱللَّهُ بَيْنَنَا ۚ وَهُوَ خَيْرُ ٱلْحَٰكِمِينَ",
              "translate_bn": "আর যদি তোমাদের একদল ঐ বিষয়ের প্রতি বিশ্বাস স্থাপন করে যা নিয়ে আমি প্রেরিত হয়েছি এবং একদল বিশ্বাস স্থাপন করে যা নিয়ে আমি প্রেরিত হয়েছি এবং একদল বিশ্বাস স্থাপন না করে, তবে ছবর কর যে পর্যন্ত আল্লাহ আমাদের মধ্যে মীমাংসা না করে দেন। তিনিই শ্রেষ্ট মীমাংসাকারী।",
              "numberInSurah": 87,
              "juz": 8,
              "manzil": 2,
              "page": 161,
              "ruku": 132,
              "hizbQuarter": 64,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-না তাইফাতুম মিনকুম আ-মানূবিল্লাযীউরছিলতুবিহী ওয়া তাইফাতুল লাম ইউ’মিনূফাসবিরূহাত্তা-ইয়াহকুমাল্লা-হু বাইনানা- ওয়া হুওয়া খাইরুল হাকিমীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//طَآىِٕفَةٌ/طَآئِفَةٞ/taifatun//مِّنْكُمْ/مِّنكُمۡ/minkum//اٰمَنُوْا/ءَامَنُواْ/amanu//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اُرْسِلْتُ/أُرۡسِلۡتُ/ur'sil'tu//بِهٖ/بِهِۦ/bihi//وَ طَآىِٕفَةٌ/وَطَآئِفَةٞ/wataifatun//لَّمْ/لَّمۡ/lam//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//فَاصْبِرُوْا/فَٱصۡبِرُواْ/fa-is'biru//حَتّٰی/حَتَّىٰ/hatta//یَحْكُمَ/يَحۡكُمَ/yahkuma//اللّٰهُ/ٱللَّهُ/al-lahu//بَیْنَنَا ۚ/بَيۡنَنَاۚ/baynana//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الْحٰكِمِیْنَ /ٱلۡحَٰكِمِينَ/al-hakimina",
              "words_bangla": "এবং যদি//(এমন) হয়//একদল//মধ্য হতে তোমাদের//(যারা) ঈমান আনে//প্রতি ঐ বিষয়ের//আমি প্রেরিত হয়েছি//নিয়ে যা//এবং (অন্য) একদল//না//তারা ঈমান আনে//তবে তোমরা ধৈর্য ধরো//যতক্ষণ না//মীমাংসা করেন//আল্লাহ//মাঝে আমাদের//এবং তিনিই//উত্তম//মীমাংসাকারীদের\""
            },
            {
              "number": 1042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1042.mp3"
              ],
              "text": "۞ قَالَ ٱلْمَلَأُ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ مِن قَوْمِهِۦ لَنُخْرِجَنَّكَ يَٰشُعَيْبُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَكَ مِن قَرْيَتِنَآ أَوْ لَتَعُودُنَّ فِى مِلَّتِنَا ۚ قَالَ أَوَلَوْ كُنَّا كَٰرِهِينَ",
              "translate_bn": "তার সম্প্রদায়ের দাম্ভিক সর্দাররা বললঃ হে শোয়ায়েব, আমরা অবশ্যই তোমাকে এবং তোমার সাথে বিশ্বাস স্থাপনকারীদেরকে শহর থেকে বের করে দেব অথবা তোমরা আমাদের ধর্মে প্রত্যাবর্তন করবে। শোয়ায়েব বললঃ আমরা অপছন্দ করলেও কি ?",
              "numberInSurah": 88,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লাল মালউল্লাযীনাছ তাকবারূমিন কাওমিহী লানুখরিজান্নাকা ইয়া-শু‘আইবুওয়াল্লাযীনা আ-মানূমা‘আকা মিন কারইয়াতিনা-আও লাতা‘ঊদুন্না ফী মিল্লাতিনা কা-লা আওয়ালাও কুন্না-কা-রিহীন ।",
              "words_arabic": "قَالَ/۞قَالَ/qala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//مِنْ/مِن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//لَنُخْرِجَنَّكَ/لَنُخۡرِجَنَّكَ/lanukh'rijannaka//یٰشُعَیْبُ/يَٰشُعَيۡبُ/yashu'aybu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَكَ/مَعَكَ/ma'aka//مِنْ/مِن/min//قَرْیَتِنَاۤ/قَرۡيَتِنَآ/qaryatina//اَوْ/أَوۡ/aw//لَتَعُوْدُنَّ/لَتَعُودُنَّ/lata'udunna//فِیْ/فِي/fi//مِلَّتِنَا ؕ/مِلَّتِنَاۚ/millatina//قَالَ/قَالَ/qala//اَوَ لَوْ/أَوَلَوۡ/awalaw//كُنَّا/كُنَّا/kunna//كٰرِهِیْنَ۫/كَٰرِهِينَ/karihina",
              "words_bangla": "বললো//প্রধানরা//যারা//অহংকার করেছিলো//মধ্য হতে//জাতি তার//\"অবশ্যই আমরা বের করবো তোমাকে//হে শুয়াইব//এবং যারা//ঈমান এনেছে//সাথে তোমার//হতে//জনপদ আমাদের//অথবা//অবশ্যই তোমরা ফিরে আসবে//মধ্যে//দীনের আমাদের\"//সে বললো//\"কি যদিও//আমরা হলাম (তোমাদের দীনকে)//অপছন্দকারী"
            },
            {
              "number": 1043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1043.mp3"
              ],
              "text": "قَدِ ٱفْتَرَيْنَا عَلَى ٱللَّهِ كَذِبًا إِنْ عُدْنَا فِى مِلَّتِكُم بَعْدَ إِذْ نَجَّىٰنَا ٱللَّهُ مِنْهَا ۚ وَمَا يَكُونُ لَنَآ أَن نَّعُودَ فِيهَآ إِلَّآ أَن يَشَآءَ ٱللَّهُ رَبُّنَا ۚ وَسِعَ رَبُّنَا كُلَّ شَىْءٍ عِلْمًا ۚ عَلَى ٱللَّهِ تَوَكَّلْنَا ۚ رَبَّنَا ٱفْتَحْ بَيْنَنَا وَبَيْنَ قَوْمِنَا بِٱلْحَقِّ وَأَنتَ خَيْرُ ٱلْفَٰتِحِينَ",
              "translate_bn": "আমরা আল্লাহর প্রতি মিথ্যা অপবাদকারী হয়ে যাব যদি আমরা তোমাদের ধর্মে প্রত্যাবর্তন করি, অথচ তিনি আমাদেরকে এ থেকে মুক্তি দিয়েছেন। আমাদের কাজ নয় এ ধর্মে প্রত্যাবর্তন করা, কিন্তু আমাদের প্রতি পালক আল্লাহ যদি চান। আমাদের প্রতিপালক প্রত্যেক বস্তুকে স্বীয় জ্ঞান দ্বারা বেষ্টন করে আছেন। আল্লাহর প্রতিই আমরা ভরসা করেছি। হে আমাদের প্রতিপালক আমাদের ও আমাদের সম্প্রদায়ের মধ্যে ফয়সালা করে ছিল যথার্থ ফয়সালা। আপনিই শ্রেষ্টতম ফসলা ফয়সালাকারী।",
              "numberInSurah": 89,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কাদিফ তারাইনা-‘আলাল্লা-হি কাযিবান ইন ‘উদনা-ফী মিল্লাতিকুম বা‘দা ইযনাজ্জানাল্লাহু মিনহা ওয়ামা-ইয়াকূনুলানা আন্না‘ঊদা ফীহা ইল্লা আইঁ ইয়াশাআল্লা-হু রাব্বুনা- ওয়াছি‘আ রাব্বুনা-কুল্লা শাইইন ‘ইলমান ‘আলাল্লা-হি তাওয়াক্কালনা- রাব্বানাফতাহ বাইনানা -ওয়া বাইনা-কাওমিনা-বিলহাক্কিওয়া আনতা খাইরুল ফা-তিহীন।",
              "words_arabic": "قَدِ/قَدِ/qadi//افْتَرَیْنَا/ٱفۡتَرَيۡنَا/if'tarayna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اِنْ/إِنۡ/in//عُدْنَا/عُدۡنَا/ud'na//فِیْ/فِي/fi//مِلَّتِكُمْ/مِلَّتِكُم/millatikum//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//نَجّٰىنَا/نَجَّىٰنَا/najjana//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْهَا ؕ/مِنۡهَاۚ/min'ha//وَ مَا/وَمَا/wama//یَكُوْنُ/يَكُونُ/yakunu//لَنَاۤ/لَنَآ/lana//اَنْ/أَن/an//نَّعُوْدَ/نَّعُودَ/na'uda//فِیْهَاۤ/فِيهَآ/fiha//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّنَا ؕ/رَبُّنَاۚ/rabbuna//وَسِعَ/وَسِعَ/wasi'a//رَبُّنَا/رَبُّنَا/rabbuna//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//عِلْمًا ؕ/عِلۡمًاۚ/il'man//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//تَوَكَّلْنَا ؕ/تَوَكَّلۡنَاۚ/tawakkalna//رَبَّنَا/رَبَّنَا/rabbana//افْتَحْ/ٱفۡتَحۡ/if'tah//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَ/وَبَيۡنَ/wabayna//قَوْمِنَا/قَوۡمِنَا/qawmina//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الْفٰتِحِیْنَ /ٱلۡفَٰتِحِينَ/al-fatihina",
              "words_bangla": "(সেক্ষেত্রে) নিশ্চয়ই//আরোপ করলাম আমরা//উপর//আল্লাহর//মিথ্যা//যদি//ফিরে যাই আমরা//মধ্যে//দীনের তোমাদের//এর পরেও//যখন//মুক্তি দিয়েছেন আমাদের//আল্লাহ//হতে তা//এবং না//শোভা পায়//জন্যে আমাদের//যে//আমরা ফিরবো//মধ্যে তার//তবে//যদি//ইচ্ছে করেন//আল্লাহ//আমাদের রব//পরিবেষ্টন করে আছেন//আমাদের রব//সব//কিছুকে//জ্ঞানে//(অতএব) উপর//আল্লাহরই//নির্ভর করেছি আমরা//হে আমাদের রব//মীমাংসা করে দাও//মাঝে আমাদের//ও মাঝে//জাতির আমাদের//ভাবে সঠিক//এবং তুমিই//উত্তম//মীমাংসাকারীদের\""
            },
            {
              "number": 1044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1044.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ لَئِنِ ٱتَّبَعْتُمْ شُعَيْبًا إِنَّكُمْ إِذًۭا لَّخَٰسِرُونَ",
              "translate_bn": "তার সম্প্রদায়ের কাফের সর্দাররা বললঃ যদি তোমরা শোয়ায়েবের অনুসরণ কর, তবে নিশ্চিতই ক্ষতিগ্রস্ত হবে।",
              "numberInSurah": 90,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালাউল্লাযীনা কাফারূমিন কাওমিহী লাইনিততাবা‘তুম শু‘আইবান ইন্নাকুম ইযাল লাখা-ছিরূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//لَىِٕنِ/لَئِنِ/la-ini//اتَّبَعْتُمْ/ٱتَّبَعۡتُمۡ/ittaba'tum//شُعَیْبًا/شُعَيۡبًا/shu'ayban//اِنَّكُمْ/إِنَّكُمۡ/innakum//اِذًا/إِذٗا/idhan//لَّخٰسِرُوْنَ /لَّخَٰسِرُونَ/lakhasiruna",
              "words_bangla": "এবং বললো//প্রধান ব্যক্তিরা//যারা//অস্বীকার করেছিলো//মধ্য হতে//জাতির তার//\"অবশ্যই যদি//অনুসরণ করো তোমরা//শুয়াইবের//নিশ্চয়ই তোমরা//তাহলে (হবে)//অবশ্যই ক্ষতিগ্রস্ত\""
            },
            {
              "number": 1045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1045.mp3"
              ],
              "text": "فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَٰثِمِينَ",
              "translate_bn": "অনন্তর পাকড়াও করল তাদেরকে ভূমিকম্প। ফলে তারা সকাল বেলায় গৃহ মধ্যে উপুড় হয়ে পড়ে রইল।",
              "numberInSurah": 91,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাতহুমুর রাজফাতুফাআসবাহূফী দা-রিহিম জা-ছিমীন।",
              "words_arabic": "فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الرَّجْفَةُ/ٱلرَّجۡفَةُ/al-rajfatu//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//فِیْ/فِي/fi//دَارِهِمْ/دَارِهِمۡ/darihim//جٰثِمِیْنَ/جَٰثِمِينَ/jathimina",
              "words_bangla": "অতঃপর ধরলো তাদেরকে//ভুমিকম্পে//অতঃপর তারা হলো//মধ্যে//ঘরের তাদের//উপুড় হয়ে পড়ে থাকা অবস্থায়(অর্থাৎ মৃত পড়ে রইল)"
            },
            {
              "number": 1046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1046.mp3"
              ],
              "text": "ٱلَّذِينَ كَذَّبُوا۟ شُعَيْبًۭا كَأَن لَّمْ يَغْنَوْا۟ فِيهَا ۚ ٱلَّذِينَ كَذَّبُوا۟ شُعَيْبًۭا كَانُوا۟ هُمُ ٱلْخَٰسِرِينَ",
              "translate_bn": "শোয়ায়েবের প্রতি মিথ্যারোপকারীরা যেন কোন দিন সেখানে বসবাসই করেনি। যারা শোয়ায়েবের প্রতি মিথ্যারোপ করেছিল, তারাই ক্ষতিগ্রস্থ হল।",
              "numberInSurah": 92,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কাযযাবূশু‘আইবান কাআল্লাম ইয়াগনাও ফীহা-আল্লাযীনা কাযযাবূ শু‘আইবান কা-নূহুমুল খা-ছিরীন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//شُعَیْبًا/شُعَيۡبٗا/shu'ayban//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَغْنَوْا/يَغۡنَوۡاْ/yaghnaw//فِیْهَا ۛۚ/فِيهَاۚ/fiha//اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//شُعَیْبًا/شُعَيۡبٗا/shu'ayban//كَانُوْا/كَانُواْ/kanu//هُمُ/هُمُ/humu//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "যারা//প্রত্যাখ্যান করেছিলো//শুয়াইবকে//(তারা এমন হলো) যেন//নাই//তারা বসবাস করেই//মধ্যে তার//যারা//মিথ্যা জেনেছিলো//শুয়াইবকে//ছিলো//তারা//ক্ষতিগ্রস্ত"
            },
            {
              "number": 1047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1047.mp3"
              ],
              "text": "فَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَٰقَوْمِ لَقَدْ أَبْلَغْتُكُمْ رِسَٰلَٰتِ رَبِّى وَنَصَحْتُ لَكُمْ ۖ فَكَيْفَ ءَاسَىٰ عَلَىٰ قَوْمٍۢ كَٰفِرِينَ",
              "translate_bn": "অনন্তর সে তাদের কাছ থেকে প্রস্থান করল এবং বললঃ হে আমার সম্প্রদায়, আমি তোমাদেরকে প্রতিপালকের পয়গাম পৌছে দিয়েছি এবং তোমাদের হিত কামনা করেছি। এখন আমি কাফেরদের জন্যে কেন দুঃখ করব।",
              "numberInSurah": 93,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 132,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা-‘আনহুম ওয়া কা-লা ইয়া-কাওমি লাকাদ আবলাগতুকুম রিছা-লা-তি রাববী ওয়া নাসাহতুলাকুম ফাকাইফা আ-ছা-‘আলা-কাওমিন কা-ফিরীন।",
              "words_arabic": "فَتَوَلّٰی/فَتَوَلَّىٰ/fatawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ قَالَ/وَقَالَ/waqala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَقَدْ/لَقَدۡ/laqad//اَبْلَغْتُكُمْ/أَبۡلَغۡتُكُمۡ/ablaghtukum//رِسٰلٰتِ/رِسَٰلَٰتِ/risalati//رَبِّیْ/رَبِّي/rabbi//وَ نَصَحْتُ/وَنَصَحۡتُ/wanasahtu//لَكُمْ ۚ/لَكُمۡۖ/lakum//فَكَیْفَ/فَكَيۡفَ/fakayfa//اٰسٰی/ءَاسَىٰ/asa//عَلٰی/عَلَىٰ/ala//قَوْمٍ/قَوۡمٖ/qawmin//كٰفِرِیْنَ۠/كَٰفِرِينَ/kafirina",
              "words_bangla": "অতঃপর সে মুখ ফিরালো//হতে তাদের//এবং বললো//\"হে আমার জাতি//নিশ্চয়ই//পৌঁছে দিয়েছি তোমাদের কাছে//রিসালাত (বাণী)গুলো//আমার রবের//ও আমি উপদেশ দিয়েছি//প্রতি তোমাদের//অতএব কিরূপে//আক্ষেপ করবো আমি//উপর//(এমন) সম্প্রদায়ের//যারা অস্বীকারকারী\""
            },
            {
              "number": 1048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1048.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا فِى قَرْيَةٍۢ مِّن نَّبِىٍّ إِلَّآ أَخَذْنَآ أَهْلَهَا بِٱلْبَأْسَآءِ وَٱلضَّرَّآءِ لَعَلَّهُمْ يَضَّرَّعُونَ",
              "translate_bn": "আর আমি কোন জনপদে কোন নবী পাঠাইনি, তবে (এমতাবস্থায়) যে পাকড়াও করেছি সে জনপদের অধিবাসীদিগকে কষ্ট ও কঠোরতার মধ্যে, যাতে তারা শিথিল হয়ে পড়ে।",
              "numberInSurah": 94,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাআরছালনা-ফী কারইয়াতিম মিন নাবিইয়িন ইল্লা-আখাযনাআহলাহা-বিলবা’ছাই ওয়াদ্দাররাই লা‘আল্লাহুম ইয়াদ্দাররা‘ঊন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//فِیْ/فِي/fi//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//مِّنْ/مِّن/min//نَّبِیٍّ/نَّبِيٍّ/nabiyyin//اِلَّاۤ/إِلَّآ/illa//اَخَذْنَاۤ/أَخَذۡنَآ/akhadhna//اَهْلَهَا/أَهۡلَهَا/ahlaha//بِالْبَاْسَآءِ/بِٱلۡبَأۡسَآءِ/bil-basai//وَ الضَّرَّآءِ/وَٱلضَّرَّآءِ/wal-darai//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَضَّرَّعُوْنَ /يَضَّرَّعُونَ/yaddarra'una",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//মধ্যে//কোনো জনবসতির//(এমন) কোনো//নাবী//ছাড়া যে//আমরা ধরেছি//অধিবাসীদেরকে তার//দিয়ে অভাব//ও কষ্ট (দিয়ে)//যাতে তারা//নতি স্বীকার করে"
            },
            {
              "number": 1049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1049.mp3"
              ],
              "text": "ثُمَّ بَدَّلْنَا مَكَانَ ٱلسَّيِّئَةِ ٱلْحَسَنَةَ حَتَّىٰ عَفَوا۟ وَّقَالُوا۟ قَدْ مَسَّ ءَابَآءَنَا ٱلضَّرَّآءُ وَٱلسَّرَّآءُ فَأَخَذْنَٰهُم بَغْتَةًۭ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "অতঃপর অকল্যাণের স্থলে তা কল্যাণে বদলে দিয়েছে। এমনকি তারা অনেক বেড়ে গিয়েছি এবং বলতে শুরু করেছে, আমাদের বাপ-দাদাদের উপরও এমন আনন্দ-বেদনা এসেছে। অতঃপর আমি তাদেরকে পাকড়াও করেছি এমন আকস্মিকভাবে যে তারা টেরও পায়নি।",
              "numberInSurah": 95,
              "juz": 9,
              "manzil": 2,
              "page": 162,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বাদ্দালনা-মাকা-নাছছাইয়িআতিল হাছানাতা হাত্তা-‘আফাওঁ ওয়া কা-লূকাদ মাছছা আ-বাআনাদ্দাররাউ ওয়াছছাররাউ ফাআখাযনা-হুম বাগতাতাওঁ ওয়া হুম লাইয়াশ‘উরূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَدَّلْنَا/بَدَّلۡنَا/baddalna//مَكَانَ/مَكَانَ/makana//السَّیِّئَةِ/ٱلسَّيِّئَةِ/al-sayi-ati//الْحَسَنَةَ/ٱلۡحَسَنَةَ/al-hasanata//حَتّٰی/حَتَّىٰ/hatta//عَفَوْا/عَفَواْ/afaw//وَّ قَالُوْا/وَّقَالُواْ/waqalu//قَدْ/قَدۡ/qad//مَسَّ/مَسَّ/massa//اٰبَآءَنَا/ءَابَآءَنَا/abaana//الضَّرَّآءُ/ٱلضَّرَّآءُ/al-darau//وَ السَّرَّآءُ/وَٱلسَّرَّآءُ/wal-sarau//فَاَخَذْنٰهُمْ/فَأَخَذۡنَٰهُم/fa-akhadhnahum//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এরপর//বদলে দিয়েছি আমরা//অবস্থাকে//খারাপ//ভালোতে//শেষ পর্যন্ত//তারা প্রাচুর্য লাভ করে//ও তারা বলে//\"নিশ্চয়ই//স্পর্শ করেছিলো//পূর্বপুরুষদেরকেও আমাদের//কষ্টে//ও স্বাচ্ছন্দ\"//তখন আমরা ধরেছি তাদেরকে//হঠাৎ//অথচ তারা//না//টেরও পায়"
            },
            {
              "number": 1050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1050.mp3"
              ],
              "text": "وَلَوْ أَنَّ أَهْلَ ٱلْقُرَىٰٓ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَفَتَحْنَا عَلَيْهِم بَرَكَٰتٍۢ مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ وَلَٰكِن كَذَّبُوا۟ فَأَخَذْنَٰهُم بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "আর যদি সে জনপদের অধিবাসীরা ঈমান আনত এবং পরহেযগারী অবলম্বন করত, তবে আমি তাদের প্রতি আসমানী ও পার্থিব নেয়ামত সমূহ উম্মুক্ত করে দিতাম। কিন্তু তারা মিথ্যা প্রতিপন্ন করেছে। সুতরাং আমি তাদেরকে পাকড়াও করেছি তাদের কৃতকর্মের বদলাতে।",
              "numberInSurah": 96,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্না আহলাল কুরাআ-মানূওয়াত্তাকাও লাফাতাহনা -‘আলাইহিম বারাকা-তিম মিনাছছামাই ওয়াল আরদি ওয়ালা-কিন কাযযাবূ ফাআখাযনা-হুম বিমা-কা-নূ ইয়াকছিবূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّ/أَنَّ/anna//اَهْلَ/أَهۡلَ/ahla//الْقُرٰۤی/ٱلۡقُرَىٰٓ/al-qura//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ اتَّقَوْا/وَٱتَّقَوۡاْ/wa-ittaqaw//لَفَتَحْنَا/لَفَتَحۡنَا/lafatahna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بَرَكٰتٍ/بَرَكَٰتٖ/barakatin//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لٰكِنْ/وَلَٰكِن/walakin//كَذَّبُوْا/كَذَّبُواْ/kadhabu//فَاَخَذْنٰهُمْ/فَأَخَذۡنَٰهُم/fa-akhadhnahum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "এবং যদি//নিশ্চিত//অধিবাসিরা//জনপদের//ঈমান আনতো//ও তাকওয়া অবলম্বন করতো//অবশ্যই খুলে দিতাম আমরা//উপর তাদের//কল্যাণসমূহ//থেকে//আকাশ//ও জমিন (থেকে)//কিন্তু//তারা মিথ্যারোপ করেছিলো//সুতরাং ধরেছি আমরা তাদেরকে//সহ তা যা//তারা ছিলো//তারা অর্জন করতে"
            },
            {
              "number": 1051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1051.mp3"
              ],
              "text": "أَفَأَمِنَ أَهْلُ ٱلْقُرَىٰٓ أَن يَأْتِيَهُم بَأْسُنَا بَيَٰتًۭا وَهُمْ نَآئِمُونَ",
              "translate_bn": "এখনও কি এই জনপদের অধিবাসীরা এ ব্যাপারে নিশ্চিন্ত যে, আমার আযাব তাদের উপর রাতের বেলায় এসে পড়বে অথচ তখন তারা থাকবে ঘুমে অচেতন।",
              "numberInSurah": 97,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "আফা আমিনা আহলুল কুরা আইঁআইয়া’তিয়াহুম বা’ছুনা-বায়া-তাওঁ ওয়া হুম নাইমূন।",
              "words_arabic": "اَفَاَمِنَ/أَفَأَمِنَ/afa-amina//اَهْلُ/أَهۡلُ/ahlu//الْقُرٰۤی/ٱلۡقُرَىٰٓ/al-qura//اَنْ/أَن/an//یَّاْتِیَهُمْ/يَأۡتِيَهُم/yatiyahum//بَاْسُنَا/بَأۡسُنَا/basuna//بَیَاتًا/بَيَٰتٗا/bayatan//وَّ هُمْ/وَهُمۡ/wahum//نَآىِٕمُوْنَؕ/نَآئِمُونَ/naimuna",
              "words_bangla": "কি তবে নির্ভয় হয়েছে//অধিবাসীরা//জনপদের//(এ বিপদ হতে) যে//তাদের উপর আসবে//কঠোর শাস্তি আমাদের//রাত্রে//যখন তারা//ঘুমন্ত থাকবে"
            },
            {
              "number": 1052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1052.mp3"
              ],
              "text": "أَوَأَمِنَ أَهْلُ ٱلْقُرَىٰٓ أَن يَأْتِيَهُم بَأْسُنَا ضُحًۭى وَهُمْ يَلْعَبُونَ",
              "translate_bn": "আর এই জনপদের অধিবাসীরা কি নিশ্চিন্ত হয়ে পড়েছে যে, তাদের উপর আমার আযাব দিনের বেলাতে এসে পড়বে অথচ তারা তখন থাকবে খেলা-ধুলায় মত্ত।",
              "numberInSurah": 98,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "আওয়া আমিনা আহলুল কুরাআইঁ ইয়া’তিয়াহুম বা’ছুনা-দু হাওঁ ওয়া হুম ইয়াল‘আবূন।",
              "words_arabic": "اَوَ اَمِنَ/أَوَأَمِنَ/awa-amina//اَهْلُ/أَهۡلُ/ahlu//الْقُرٰۤی/ٱلۡقُرَىٰٓ/al-qura//اَنْ/أَن/an//یَّاْتِیَهُمْ/يَأۡتِيَهُم/yatiyahum//بَاْسُنَا/بَأۡسُنَا/basuna//ضُحًی/ضُحٗى/duhan//وَّ هُمْ/وَهُمۡ/wahum//یَلْعَبُوْنَ /يَلۡعَبُونَ/yal'abuna",
              "words_bangla": "কিংবা নির্ভয় হয়েছে//অধিবাসীরা//জনপদের//(এ বিপদ হতে) যে//তাদের উপর আসবে//শাস্তি আমাদের//দিনের বেলায়  (পুর্বাহ্নে)//যখন তারা//খেলায় মেতে থাকে"
            },
            {
              "number": 1053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1053.mp3"
              ],
              "text": "أَفَأَمِنُوا۟ مَكْرَ ٱللَّهِ ۚ فَلَا يَأْمَنُ مَكْرَ ٱللَّهِ إِلَّا ٱلْقَوْمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "তারা কি আল্লাহর পাকড়াওয়ের ব্যাপারে নিশ্চিন্ত হয়ে গেছে? বস্তুতঃ আল্লাহর পাকড়াও থেকে তারাই নিশ্চিন্ত হতে পারে, যাদের ধ্বংস ঘনিয়ে আসে।",
              "numberInSurah": 99,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 133,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "আফা আমিনূমাকরাল্লা-হি, ফালা-ইয়া’মানুমাকরাল্লা-হি ইল্লাল কাওমুল খা-ছিরূন।",
              "words_arabic": "اَفَاَمِنُوْا/أَفَأَمِنُواْ/afa-aminu//مَكْرَ/مَكۡرَ/makra//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//فَلَا/فَلَا/fala//یَاْمَنُ/يَأۡمَنُ/yamanu//مَكْرَ/مَكۡرَ/makra//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الْقَوْمُ/ٱلۡقَوۡمُ/al-qawmu//الْخٰسِرُوْنَ۠/ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "কি তবে তারা নির্ভয় হয়েছে//পরিকল্পনা (হতে)//আল্লাহর//অথচ না//নির্ভয়  হয়//পরিকল্পনা(হতে)//আল্লাহর//ছাড়া//(এমন) সম্প্রদায়//(যারা) ক্ষতিগ্রস্ত"
            },
            {
              "number": 1054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1054.mp3"
              ],
              "text": "أَوَلَمْ يَهْدِ لِلَّذِينَ يَرِثُونَ ٱلْأَرْضَ مِنۢ بَعْدِ أَهْلِهَآ أَن لَّوْ نَشَآءُ أَصَبْنَٰهُم بِذُنُوبِهِمْ ۚ وَنَطْبَعُ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَسْمَعُونَ",
              "translate_bn": "তাদের নিকট কি একথা প্রকাশিত হয়নি, যারা উত্তারাধিকার লাভ করেছে। সেখানকার লোকদের ধ্বংসপ্রাপ্ত হবার পর যদি আমি ইচ্ছা করতাম, , তবে তাদেরকে তাদের পাপের দরুন পাকড়াও করে ফেলতাম। বস্তুতঃ আমি মোহর এঁটে দিয়েছি তাদের অন্তরসমূহের উপর। কাজেই এরা শুনতে পায় না।",
              "numberInSurah": 100,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়াহদি লিল্লাযীনা ইয়ারিছূনাল আরদা মিম বা‘দিআহলিহা-আল নাও নাশাউ আসাবনা-হুম বিযুনূবিহিম ওয়া নাতবা‘উ ‘আলা-কুলূবিহিম ফাহুম লাইয়াছমা‘ঊন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَهْدِ/يَهۡدِ/yahdi//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//یَرِثُوْنَ/يَرِثُونَ/yarithuna//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اَهْلِهَاۤ/أَهۡلِهَآ/ahliha//اَنْ/أَن/an//لَّوْ/لَّوۡ/law//نَشَآءُ/نَشَآءُ/nashau//اَصَبْنٰهُمْ/أَصَبۡنَٰهُم/asabnahum//بِذُنُوْبِهِمْ ۚ/بِذُنُوبِهِمۡۚ/bidhunubihim//وَ نَطْبَعُ/وَنَطۡبَعُ/wanatba'u//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "কি নি//সৎপথ পায়//কাছে তাদের(যাদেরকে)//উত্তরাধিকারী করা হয়েছে//পৃথিবীর//থেকে//পর//তার (পুর্ববর্তী) অধিবাসীদের//যে//যদি//ইচ্ছে করি আমরা//শাস্তি দিবো আমরা তাদেরকে//কারণে পাপগুলোর তাদের//এবং সীল লাগাবো//উপর//অন্তরগুলোর তাদের//অতঃপর তারা//না//শুনবে"
            },
            {
              "number": 1055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1055.mp3"
              ],
              "text": "تِلْكَ ٱلْقُرَىٰ نَقُصُّ عَلَيْكَ مِنْ أَنۢبَآئِهَا ۚ وَلَقَدْ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ فَمَا كَانُوا۟ لِيُؤْمِنُوا۟ بِمَا كَذَّبُوا۟ مِن قَبْلُ ۚ كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ قُلُوبِ ٱلْكَٰفِرِينَ",
              "translate_bn": "এগুলো হল সে সব জনপদ যার কিছু বিবরণ আমি আপনাকে অবহিত করছি। আর নিশ্চিতই ওদের কাছে পৌছেছিলেন রসূল নিদর্শন সহকারে। অতঃপর কস্মিনকালও এরা ঈমান আনবার ছিল না, তারপরে যা তার ইতিপূর্বে মিথ্যা বলে প্রতিপন্ন করেছে। এভাবেই আল্লাহ কাফেরদের অন্তরে মোহর এঁটে দেন।",
              "numberInSurah": 101,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "তিলকাল-কুরা-নাকুসসু‘আলাইকা মিন আমবাইহা ওয়া লাকাদ জাআতহুম রুছুলুহুম বিলবাইয়িনা-তি ফামা-কা-নূলিইউ‘মিনূবিমা-কাযযাবূমিন কাবলু কাযা-লিকা ইয়াতবা‘ঊল্লা-হু ‘আলা-কুলূবিল কা-ফিরীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//نَقُصُّ/نَقُصُّ/naqussu//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِنۡ/min//اَنْۢبَآىِٕهَا ۚ/أَنۢبَآئِهَاۚ/anbaiha//وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ ۚ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَمَا/فَمَا/fama//كَانُوْا/كَانُواْ/kanu//لِیُؤْمِنُوْا/لِيُؤۡمِنُواْ/liyu'minu//بِمَا/بِمَا/bima//كَذَّبُوْا/كَذَّبُواْ/kadhabu//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَطْبَعُ/يَطۡبَعُ/yatba'u//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//قُلُوْبِ/قُلُوبِ/qulubi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এই (সব)//জনপদসমূহ//বর্ণনা করেছি আমরা//কাছে তোমার//কিছু//বৃত্তান্তগুলোর তাদের//এবং নিশ্চয়ই//কাছে এসেছিলো তাদের//রাসূলগণ তাদের//সহ স্পষ্ট প্রমাণ//আসলে না//তারা ছিলো (এমন)//যে তারা ঈমান আনবে//ঐ বিষয়ে যা//তারা প্রত্যাখ্যান করেছে//থেকে//পূর্ব//এভাবে//সীল লাগান//আল্লাহ//উপর//অন্তরসমূহের//কাফেরদের"
            },
            {
              "number": 1056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1056.mp3"
              ],
              "text": "وَمَا وَجَدْنَا لِأَكْثَرِهِم مِّنْ عَهْدٍۢ ۖ وَإِن وَجَدْنَآ أَكْثَرَهُمْ لَفَٰسِقِينَ",
              "translate_bn": "আর তাদের অধিকাংশ লোককেই আমি প্রতিজ্ঞা বাস্তবায়নকারীরূপে পাইনি; বরং তাদের অধিকাংশকে পেয়েছি হুকুম অমান্যকারী।",
              "numberInSurah": 102,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-ওয়াজাদনা-লিআকছারিহিম মিন ‘আহদিওঁ ওয়া ইওঁ ওয়াজাদনা আকছারাহুম লাফা-ছিকীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//وَجَدْنَا/وَجَدۡنَا/wajadna//لِاَكْثَرِهِمْ/لِأَكۡثَرِهِم/li-aktharihim//مِّنْ/مِّنۡ/min//عَهْدٍ ۚ/عَهۡدٖۖ/ahdin//وَ اِنْ/وَإِن/wa-in//وَّجَدْنَاۤ/وَجَدۡنَآ/wajadna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَفٰسِقِیْنَ /لَفَٰسِقِينَ/lafasiqina",
              "words_bangla": "এবং নি//আমরা পাই//অধিকাংশকে তাদের//উপর//প্রতিশ্রুতির//এবং নিশ্চয়ই//আমরা পেয়েছি//অধিকাংশকে তাদের//অবশ্যই সত্যত্যাগী"
            },
            {
              "number": 1057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1057.mp3"
              ],
              "text": "ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِم مُّوسَىٰ بِـَٔايَٰتِنَآ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَظَلَمُوا۟ بِهَا ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُفْسِدِينَ",
              "translate_bn": "অতঃপর আমি তাদের পরে মূসাকে পাঠিয়েছি নিদর্শনাবলী দিয়ে ফেরাউন ও তার সভাসদদের নিকট। বস্তুতঃ ওরা তাঁর মোকাবেলায় কুফরী করেছে। সুতরাং চেয়ে দেখ, কি পরিণতি হয়েছে অনাচারীদের।",
              "numberInSurah": 103,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বা‘আছনা-মিম বা‘দিহিম মূছা-বিআ-য়া-তিনাইলা-ফির‘আওনা ওয়া মালাইহী ফাজালামূবিহা- ফানজু র কাইফা কা-না ‘আ-কিবাতুল মুফছিদীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَعَثْنَا/بَعَثۡنَا/ba'athna//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِم/ba'dihim//مُّوْسٰی/مُّوسَىٰ/musa//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ/وَمَلَإِيْهِۦ/wamala-ihi//فَظَلَمُوْا/فَظَلَمُواْ/fazalamu//بِهَا ۚ/بِهَاۖ/biha//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এরপর//আমরা পাঠিয়েছি//থেকে//তাদের পর//মুসাকে//সহ নিদর্শনগুলো আমাদের//প্রতি//ফিরআউনের//ও তার পরিষদবর্গের (কাছে)//অতঃপর তারা অন্যায় করেছিলো//সাথে তার//অতঃপর লক্ষ্য করো//কিরূপ//ছিলো//পরিণাম//বিপর্যয় সৃষ্টিকারীদের"
            },
            {
              "number": 1058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1058.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰ يَٰفِرْعَوْنُ إِنِّى رَسُولٌۭ مِّن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আর মূসা বললেন, হে ফেরাউন, আমি বিশ্ব-পালনকর্তার পক্ষ থেকে আগত রসূল।",
              "numberInSurah": 104,
              "juz": 9,
              "manzil": 2,
              "page": 163,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মুছা-ইয়া-ফির‘আওনুইন্নী রাছূলুম মির রাব্বিল ‘আ-লামীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰی/مُوسَىٰ/musa//یٰفِرْعَوْنُ/يَٰفِرۡعَوۡنُ/yafir'awnu//اِنِّیْ/إِنِّي/inni//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْ/مِّن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং বললো//মূসা//\"হে ফিরআউন//নিশ্চয়ই আমি//একজন রাসূল//পক্ষ হতে//রবের//বিশ্বজগতের"
            },
            {
              "number": 1059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1059.mp3"
              ],
              "text": "حَقِيقٌ عَلَىٰٓ أَن لَّآ أَقُولَ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ ۚ قَدْ جِئْتُكُم بِبَيِّنَةٍۢ مِّن رَّبِّكُمْ فَأَرْسِلْ مَعِىَ بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "আল্লাহর পক্ষ থেকে যে সত্য এসেছে, তার ব্যতিক্রম কিছু না বলার ব্যাপারে আমি সুদৃঢ়। আমি তোমাদের পরওয়ারদেগারের নিদর্শন নিয়ে এসেছি। সুতরাং তুমি বনী ইসরাঈলদেরকে আমার সাথে পাঠিয়ে দাও।",
              "numberInSurah": 105,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "হাকীকুন ‘আলাআল্লাআকূলা ‘আলাল্লা-হি ইল্লাল হাক্কা কাদ জি’তুকুম ব্বিাইয়িনাতিম মিররাব্বিকুম ফাআরছিল মা‘ইয়া বানীইছরাঈল।",
              "words_arabic": "حَقِیْقٌ/حَقِيقٌ/haqiqun//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//لَّاۤ/لَّآ/la//اَقُوْلَ/أَقُولَ/aqula//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الْحَقَّ ؕ/ٱلۡحَقَّۚ/al-haqa//قَدْ/قَدۡ/qad//جِئْتُكُمْ/جِئۡتُكُم/ji'tukum//بِبَیِّنَةٍ/بِبَيِّنَةٖ/bibayyinatin//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//فَاَرْسِلْ/فَأَرۡسِلۡ/fa-arsil//مَعِیَ/مَعِيَ/ma'iya//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "এটা স্হির নিশ্চিত (আমার)//উপর//যে//না//বলি আমি//ব্যাপারে//আল্লাহর//এ ছাড়া//প্রকৃত সত্য//নিশ্চয়ই//কাছে এসেছি তোমাদের//সহ সুস্পষ্ট প্রমাণ//পক্ষ হতে//রবের তোমাদের//অতঃপর তুমি পাঠাও//আমার সাথে//বনী//ইসরাঈলকে\""
            },
            {
              "number": 1060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1060.mp3"
              ],
              "text": "قَالَ إِن كُنتَ جِئْتَ بِـَٔايَةٍۢ فَأْتِ بِهَآ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "সে বলল, যদি তুমি কোন নিদর্শন নিয়ে এসে থাক, তাহলে তা উপস্থিত কর যদি তুমি সত্যবাদী হয়ে থাক।",
              "numberInSurah": 106,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন কুনতা জি’তা বিআ-য়াতিন ফা’তি বিহা ইন কু নতা মিনাসসা-দিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//جِئْتَ/جِئۡتَ/ji'ta//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//فَاْتِ/فَأۡتِ/fati//بِهَاۤ/بِهَآ/biha//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "সে বললো//\"যদি//তুমি থাকো//তুমি এসেছো//সহ নিদর্শন//তবে আসো//নিয়ে তা//যদি//তুমি হও//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 1061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1061.mp3"
              ],
              "text": "فَأَلْقَىٰ عَصَاهُ فَإِذَا هِىَ ثُعْبَانٌۭ مُّبِينٌۭ",
              "translate_bn": "তখন তিনি নিক্ষেপ করলেন নিজের লাঠিখানা এবং তাৎক্ষণাৎ তা জলজ্যান্ত এক অজগরে রূপান্তরিত হয়ে গেল।",
              "numberInSurah": 107,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ফাআলকা-‘আসা-হু ফাইযা-হিয়া ছু‘বা-নুম মুবীন।",
              "words_arabic": "فَاَلْقٰی/فَأَلۡقَىٰ/fa-alqa//عَصَاهُ/عَصَاهُ/asahu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//ثُعْبَانٌ/ثُعۡبَانٞ/thu'banun//مُّبِیْنٌۚۖ/مُّبِينٞ/mubinun",
              "words_bangla": "অতঃপর সে নিক্ষেপ করলো//তার লাঠি//অতঃপর তখন//তা//অজগর (হয়ে গেলো)//সুস্পষ্ট"
            },
            {
              "number": 1062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1062.mp3"
              ],
              "text": "وَنَزَعَ يَدَهُۥ فَإِذَا هِىَ بَيْضَآءُ لِلنَّٰظِرِينَ",
              "translate_bn": "আর বের করলেন নিজের হাত এবং তা সঙ্গে সঙ্গে দর্শকদের চোখে ধবধবে উজ্জ্বল দেখাতে লাগল।",
              "numberInSurah": 108,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 134,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাঝা‘আ ইয়াদাহূফাইযা-হিয়া বাইদাউ লিন না-জিরীন।",
              "words_arabic": "وَّ نَزَعَ/وَنَزَعَ/wanaza'a//یَدَهٗ/يَدَهُۥ/yadahu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//بَیْضَآءُ/بَيۡضَآءُ/baydau//لِلنّٰظِرِیْنَ۠/لِلنَّـٰظِرِينَ/lilnnazirina",
              "words_bangla": "এবং টেনে বের করলো//তার হাত//অতঃপর তখন//তা//সাদা উজ্জ্বল (হলো)//কাছে দর্শকদের"
            },
            {
              "number": 1063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1063.mp3"
              ],
              "text": "قَالَ ٱلْمَلَأُ مِن قَوْمِ فِرْعَوْنَ إِنَّ هَٰذَا لَسَٰحِرٌ عَلِيمٌۭ",
              "translate_bn": "ফেরাউনের সাঙ্গ-পাঙ্গরা বলতে লাগল, নিশ্চয় লোকটি বিজ্ঞ-যাদুকর।",
              "numberInSurah": 109,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লাল মালাউ মিন কাওমি ফির‘আওনা ইন্না হা-যা-লাছা-হিরুন ‘আলীম।",
              "words_arabic": "قَالَ/قَالَ/qala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مِنْ/مِن/min//قَوْمِ/قَوۡمِ/qawmi//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَسٰحِرٌ/لَسَٰحِرٌ/lasahirun//عَلِیْمٌۙ/عَلِيمٞ/alimun",
              "words_bangla": "বললো//প্রধান ব্যক্তিরা//মধ্য হতে//জাতির//ফিরআউনের//\"নিশ্চয়ই//এই (ব্যক্তি)//অবশ্যই জাদুকর//সুদক্ষ"
            },
            {
              "number": 1064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1064.mp3"
              ],
              "text": "يُرِيدُ أَن يُخْرِجَكُم مِّنْ أَرْضِكُمْ ۖ فَمَاذَا تَأْمُرُونَ",
              "translate_bn": "সে তোমাদিগকে তোমাদের দেশ থেকে বের করে দিতে চায়। এ ব্যাপারে তোমাদের কি মত?",
              "numberInSurah": 110,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ইউরীদুআইঁ ইউখরিজাকুম মিন আরদিকুম ফামা-যা-তা’মুরূন।",
              "words_arabic": "یُّرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یُّخْرِجَكُمْ/يُخۡرِجَكُم/yukh'rijakum//مِّنْ/مِّنۡ/min//اَرْضِكُمْ ۚ/أَرۡضِكُمۡۖ/ardikum//فَمَا ذَا/فَمَاذَا/famadha//تَاْمُرُوْنَ /تَأۡمُرُونَ/tamuruna",
              "words_bangla": "সে চায়//যে//বের করে দিবে তোমাদেরকে//হতে//দেশ তোমাদের//অতএব কি//তোমরা পরামর্শ দাও\""
            },
            {
              "number": 1065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1065.mp3"
              ],
              "text": "قَالُوٓا۟ أَرْجِهْ وَأَخَاهُ وَأَرْسِلْ فِى ٱلْمَدَآئِنِ حَٰشِرِينَ",
              "translate_bn": "তারা বলল, আপনি তাকে ও তার ভাইকে অবকাশ দান করুন এবং শহরে বন্দরে লোক পাঠিয়ে দিন লোকদের সমবেত করার জন্য।",
              "numberInSurah": 111,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লূআরজিহ ওয়া আখা-হু ওয়া আরছিল ফিল মাদাইনি হা-শিরীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَرْجِهْ/أَرۡجِهۡ/arjih//وَ اَخَاهُ/وَأَخَاهُ/wa-akhahu//وَاَرْسِلْ/وَأَرۡسِلۡ/wa-arsil//فِی/فِي/fi//الْمَدَآىِٕنِ/ٱلۡمَدَآئِنِ/al-madaini//حٰشِرِیْنَۙ/حَٰشِرِينَ/hashirina",
              "words_bangla": "তারা বললো//\"ঢিল দিন তাকে//ও ভাইকে তার//এবং পাঠান//মধ্যে//শহরগুলোর//সংগ্রহকারিদের"
            },
            {
              "number": 1066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1066.mp3"
              ],
              "text": "يَأْتُوكَ بِكُلِّ سَٰحِرٍ عَلِيمٍۢ",
              "translate_bn": "যাতে তারা পরাকাষ্ঠাসম্পন্ন বিজ্ঞ যাদুকরদের এনে সমবেত করে।",
              "numberInSurah": 112,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ইয়া’তূকা বিকুল্লি ছা-হিরীন ‘আলীম।",
              "words_arabic": "یَاْتُوْكَ/يَأۡتُوكَ/yatuka//بِكُلِّ/بِكُلِّ/bikulli//سٰحِرٍ/سَٰحِرٍ/sahirin//عَلِیْمٍ /عَلِيمٖ/alimin",
              "words_bangla": "আপনার কাছে আসবে তারা//নিয়ে প্রত্যেক//জাদুকর\"//সুদক্ষ\""
            },
            {
              "number": 1067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1067.mp3"
              ],
              "text": "وَجَآءَ ٱلسَّحَرَةُ فِرْعَوْنَ قَالُوٓا۟ إِنَّ لَنَا لَأَجْرًا إِن كُنَّا نَحْنُ ٱلْغَٰلِبِينَ",
              "translate_bn": "বস্তুতঃ যাদুকররা এসে ফেরাউনের কাছে উপস্থিত হল। তারা বলল, আমাদের জন্যে কি কোন পারিশ্রমিক নির্ধারিত আছে, যদি আমরা জয়লাভ করি?",
              "numberInSurah": 113,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআছছাহারাতুফির‘আওনা কা-লূইন্না লানা-লাআজরান ইন কুন্না-নাহনুলগালিবীন।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//لَنَا/لَنَا/lana//لَاَجْرًا/لَأَجۡرًا/la-ajran//اِنْ/إِن/in//كُنَّا/كُنَّا/kunna//نَحْنُ/نَحۡنُ/nahnu//الْغٰلِبِیْنَ /ٱلۡغَٰلِبِينَ/al-ghalibina",
              "words_bangla": "এবং আসলো//জাদুকররা//ফিরআউনের (কাছে)//তারা বললো//\"নিশ্চয়ই//জন্যে আমাদের (থাকবে)//অবশ্যই পুরস্কার//যদি//হই//আমরা//বিজয়ী\""
            },
            {
              "number": 1068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1068.mp3"
              ],
              "text": "قَالَ نَعَمْ وَإِنَّكُمْ لَمِنَ ٱلْمُقَرَّبِينَ",
              "translate_bn": "সে বলল, হ্যাঁ এবং অবশ্যই তোমরা আমার নিকটবর্তী লোক হয়ে যাবে।",
              "numberInSurah": 114,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লা না‘আম ওয়া ইন্নাকুম লামিনাল মুকাররাবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//نَعَمْ/نَعَمۡ/na'am//وَ اِنَّكُمْ/وَإِنَّكُمۡ/wa-innakum//لَمِنَ/لَمِنَ/lamina//الْمُقَرَّبِیْنَ /ٱلۡمُقَرَّبِينَ/al-muqarabina",
              "words_bangla": "সে বললো//\"হ্যাঁ//এবং নিশ্চয়ই তোমরা//অবশ্যই অন্তর্ভুক্ত//সান্নিধ্যপ্রাপ্তদের\""
            },
            {
              "number": 1069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1069.mp3"
              ],
              "text": "قَالُوا۟ يَٰمُوسَىٰٓ إِمَّآ أَن تُلْقِىَ وَإِمَّآ أَن نَّكُونَ نَحْنُ ٱلْمُلْقِينَ",
              "translate_bn": "তারা বলল, হে মূসা! হয় তুমি নিক্ষেপ কর অথবা আমরা নিক্ষেপ করছি।",
              "numberInSurah": 115,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-মূছা ইম্মাআন তুলকিয়া ওয়া ইম্মাআন নাকূনা নাহনুল মুলক ীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِمَّاۤ/إِمَّآ/imma//اَنْ/أَن/an//تُلْقِیَ/تُلۡقِيَ/tul'qiya//وَ اِمَّاۤ/وَإِمَّآ/wa-imma//اَنْ/أَن/an//نَّكُوْنَ/نَّكُونَ/nakuna//نَحْنُ/نَحۡنُ/nahnu//الْمُلْقِیْنَ /ٱلۡمُلۡقِينَ/al-mul'qina",
              "words_bangla": "তারা বললো//\"হে মূসা//হয়তো//যে//তুমি ছুঁড়বে//আর নয়তো//যে//আমরা হবো//আমরা//নিক্ষেপকারী\""
            },
            {
              "number": 1070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1070.mp3"
              ],
              "text": "قَالَ أَلْقُوا۟ ۖ فَلَمَّآ أَلْقَوْا۟ سَحَرُوٓا۟ أَعْيُنَ ٱلنَّاسِ وَٱسْتَرْهَبُوهُمْ وَجَآءُو بِسِحْرٍ عَظِيمٍۢ",
              "translate_bn": "তিনি বললেন, তোমরাই নিক্ষেপ কর। যখন তারা নিক্ষেপ করল তখন লোকদের চোখগুলোকে বাধিয়ে দিল, ভীত-সন্ত্রস্ত করে তুলল এবং মহাযাদু প্রদর্শন করল।",
              "numberInSurah": 116,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 65,
              "sajda": false,
              "pronunciation_bn": "তিনি বললেন, তোমরাই নিক্ষেপ কর। যখন তারা নিক্ষেপ করল তখন লোকদের চোখগুলোকে বাধিয়ে দিল, ভীত-সন্ত্রস্ত করে তুলল এবং মহাযাদু প্রদর্শন করল।",
              "words_arabic": "قَالَ/قَالَ/qala//اَلْقُوْا ۚ/أَلۡقُواْۖ/alqu//فَلَمَّاۤ/فَلَمَّآ/falamma//اَلْقَوْا/أَلۡقَوۡاْ/alqaw//سَحَرُوْۤا/سَحَرُوٓاْ/saharu//اَعْیُنَ/أَعۡيُنَ/a'yuna//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ اسْتَرْهَبُوْهُمْ/وَٱسۡتَرۡهَبُوهُمۡ/wa-is'tarhabuhum//وَ جَآءُوْ/وَجَآءُو/wajau//بِسِحْرٍ/بِسِحۡرٍ/bisih'rin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "সে বললো//\"তোমরা ছোঁড়ো\"//অতঃপর যখন//তারা ছুঁড়লো//তারা জাদু করলো//চোখগুলোকে//মানুষের//ও তারা সন্ত্রস্ত করলো তাদেরকে//এবং তারা আসলো//নিয়ে জাদু//বড় (ধরনের)"
            },
            {
              "number": 1071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1071.mp3"
              ],
              "text": "۞ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَلْقِ عَصَاكَ ۖ فَإِذَا هِىَ تَلْقَفُ مَا يَأْفِكُونَ",
              "translate_bn": "তারপর আমি ওহীযোগে মূসাকে বললাম, এবার নিক্ষেপ কর তোমার লাঠিখানা। অতএব সঙ্গে সঙ্গে তা সে সমুদয়কে গিলতে লাগল, যা তারা বানিয়েছিল যাদু বলে।",
              "numberInSurah": 117,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওহাইনাইলা-মূছাআন আলকি‘আসা-কা ফাইযা-হিয়া তালকাফুমাইয়া’ফিকূন।",
              "words_arabic": "وَ اَوْحَیْنَاۤ/۞وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰۤی/مُوسَىٰٓ/musa//اَنْ/أَنۡ/an//اَلْقِ/أَلۡقِ/alqi//عَصَاكَ ۚ/عَصَاكَۖ/asaka//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//تَلْقَفُ/تَلۡقَفُ/talqafu//مَا/مَا/ma//یَاْفِكُوْنَۚ/يَأۡفِكُونَ/yafikuna",
              "words_bangla": "এবং ওহী করলাম আমরা//প্রতি//মূসার//যে//\"ছোঁড়ো//তোমার লাঠি\"//অতঃপর যখন//তা//গিলে ফেলতে লাগলো//যা//তারা কৃত্রিম সৃষ্টি করে"
            },
            {
              "number": 1072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1072.mp3"
              ],
              "text": "فَوَقَعَ ٱلْحَقُّ وَبَطَلَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "সুতরাং এভাবে প্রকাশ হয়ে গেল সত্য বিষয় এবং ভুল প্রতিপন্ন হয়ে গেল যা কিছু তারা করেছিল।",
              "numberInSurah": 118,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াকা‘আল হাক্কুওয়া বাতালা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "فَوَقَعَ/فَوَقَعَ/fawaqa'a//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ بَطَلَ/وَبَطَلَ/wabatala//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَۚ/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "ফলে প্রতিষ্ঠিত হলো//সত্য//ও অসত্য হলো//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 1073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1073.mp3"
              ],
              "text": "فَغُلِبُوا۟ هُنَالِكَ وَٱنقَلَبُوا۟ صَٰغِرِينَ",
              "translate_bn": "সুতরাং তারা সেখানেই পরাজিত হয়ে গেল এবং অতীব লাঞ্ছিত হল।",
              "numberInSurah": 119,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফাগুলিবূহুনা-লিকা ওয়ান কালাবূসা-গিরীন।",
              "words_arabic": "فَغُلِبُوْا/فَغُلِبُواْ/faghulibu//هُنَالِكَ/هُنَالِكَ/hunalika//وَ انْقَلَبُوْا/وَٱنقَلَبُواْ/wa-inqalabu//صٰغِرِیْنَۚ/صَٰغِرِينَ/saghirina",
              "words_bangla": "অতঃপর তারা পরাজিত হলো//সেখানে//এবং তারা ফিরে গেলো//লাঞ্ছিত হয়ে"
            },
            {
              "number": 1074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1074.mp3"
              ],
              "text": "وَأُلْقِىَ ٱلسَّحَرَةُ سَٰجِدِينَ",
              "translate_bn": "এবং যাদুকররা সেজদায় পড়ে গেল।",
              "numberInSurah": 120,
              "juz": 9,
              "manzil": 2,
              "page": 164,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া উলকিয়াছছাহারাতুছা-জিদীন।",
              "words_arabic": "وَ اُلْقِیَ/وَأُلۡقِيَ/wa-ul'qiya//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//سٰجِدِیْنَۚۖ/سَٰجِدِينَ/sajidina",
              "words_bangla": "এবং নত করে দিলো//জাদুকরদেরকে//সিজদাকারী (হিসেবে)"
            },
            {
              "number": 1075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1075.mp3"
              ],
              "text": "قَالُوٓا۟ ءَامَنَّا بِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "বলল, আমরা ঈমান আনছি মহা বিশ্বের পরওয়ারদেগারের প্রতি।",
              "numberInSurah": 121,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লূআ-মান্না-বিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِرَبِّ/بِرَبِّ/birabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তারা বললো//\"ঈমান আনলাম আমরা//উপর রবের//বিশ্বজগতের"
            },
            {
              "number": 1076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1076.mp3"
              ],
              "text": "رَبِّ مُوسَىٰ وَهَٰرُونَ",
              "translate_bn": "যিনি মূসা ও হারুনের পরওয়ারদেগার।",
              "numberInSurah": 122,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "রাব্বি মূছা-ওয়া হা-রূন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//مُوْسٰی/مُوسَىٰ/musa//وَ هٰرُوْنَ /وَهَٰرُونَ/waharuna",
              "words_bangla": "রব//মূসার//ও হারূনের\""
            },
            {
              "number": 1077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1077.mp3"
              ],
              "text": "قَالَ فِرْعَوْنُ ءَامَنتُم بِهِۦ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّ هَٰذَا لَمَكْرٌۭ مَّكَرْتُمُوهُ فِى ٱلْمَدِينَةِ لِتُخْرِجُوا۟ مِنْهَآ أَهْلَهَا ۖ فَسَوْفَ تَعْلَمُونَ",
              "translate_bn": "ফেরাউন বলল, তোমরা কি (তাহলে) আমার অনুমতি দেয়ার আগেই ঈমান আনলে! এটা প্রতারণা, যা তোমরা এ নগরীতে প্রদর্শন করলে। যাতে করে এ শহরের অধিবাসীদিগকে শহর থেকে বের করে দিতে পার। সুতরাং তোমরা শীঘ্রই বুঝতে পারবে।",
              "numberInSurah": 123,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফির‘আওনুআ-মানতুম বিহী কাবলা আন আ-যানা লাকুম ইন্না হা-যালামাকরুম মাকারতুমূহু ফিল মাদীনাতি লিতুখরিজূমিনহাআহলাহা- ফাছওফা তা‘লামূন।",
              "words_arabic": "قَالَ/قَالَ/qala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِهٖ/بِهِۦ/bihi//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَنۡ/an//اٰذَنَ/ءَاذَنَ/adhana//لَكُمْ ۚ/لَكُمۡۖ/lakum//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَمَكْرٌ/لَمَكۡرٞ/lamakrun//مَّكَرْتُمُوْهُ/مَّكَرۡتُمُوهُ/makartumuhu//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//لِتُخْرِجُوْا/لِتُخۡرِجُواْ/litukh'riju//مِنْهَاۤ/مِنۡهَآ/min'ha//اَهْلَهَا ۚ/أَهۡلَهَاۖ/ahlaha//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "বললো//ফিরাউন//\"ঈমান আনলে তোমরা//উপর তার//(এর) পূর্বেই//যে//অনুমতি দিবো আমি//জন্যে তোমাদের//নিশ্চয়ই//এটা//অবশ্যই ষড়যন্ত্র//তোমরা ষড়যন্ত্র এঁটেছো যা//মধ্যে//শহরের//যেন তোমরা বের করতে পারো//থেকে তা//অধিবাসীদেরকে তার//অতএব শীঘ্রই//তোমরা জানতে পারবে"
            },
            {
              "number": 1078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1078.mp3"
              ],
              "text": "لَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَٰفٍۢ ثُمَّ لَأُصَلِّبَنَّكُمْ أَجْمَعِينَ",
              "translate_bn": "অবশ্যই আমি কেটে দেব তোমাদের হাত ও পা বিপরীত দিক থেকে। তারপর তোমাদের সবাইকে শূলীতে চড়িয়ে মারব।",
              "numberInSurah": 124,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "লাউকাত্তি‘আন্না আইদিয়াকুমওয়াআরজুলাকুমমিনখিলা-ফিন ছু ম্মা লাউসালিলবান্নাকুম আজমা‘ঈন।",
              "words_arabic": "لَاُقَطِّعَنَّ/لَأُقَطِّعَنَّ/la-uqatti'anna//اَیْدِیَكُمْ/أَيۡدِيَكُمۡ/aydiyakum//وَ اَرْجُلَكُمْ/وَأَرۡجُلَكُم/wa-arjulakum//مِّنْ/مِّنۡ/min//خِلَافٍ/خِلَٰفٖ/khilafin//ثُمَّ/ثُمَّ/thumma//لَاُصَلِّبَنَّكُمْ/لَأُصَلِّبَنَّكُمۡ/la-usallibannakum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "অবশ্যই কাটবো আমি//হাতগুলোকে তোমাদের//ও পাগুলোকে তোমাদের//হতে//বিপরীত দিক//এরপর//অবশ্যই শুলে চড়াবো আমি তোমাদেরকে//সবাইকে\""
            },
            {
              "number": 1079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1079.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّآ إِلَىٰ رَبِّنَا مُنقَلِبُونَ",
              "translate_bn": "তারা বলল, আমাদেরকে তো মৃত্যুর পর নিজেদের পরওয়ারদেগারের নিকট ফিরে যেতেই হবে।",
              "numberInSurah": 125,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নাইলা-রাব্বিনা-মুনকালিবূন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّاۤ/إِنَّآ/inna//اِلٰی/إِلَىٰ/ila//رَبِّنَا/رَبِّنَا/rabbina//مُنْقَلِبُوْنَۚ/مُنقَلِبُونَ/munqalibuna",
              "words_bangla": "তারা বললো//\"নিশ্চয়ই আমরা//দিকে//রবের আমাদের//প্রত্যাবর্তন কারী"
            },
            {
              "number": 1080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1080.mp3"
              ],
              "text": "وَمَا تَنقِمُ مِنَّآ إِلَّآ أَنْ ءَامَنَّا بِـَٔايَٰتِ رَبِّنَا لَمَّا جَآءَتْنَا ۚ رَبَّنَآ أَفْرِغْ عَلَيْنَا صَبْرًۭا وَتَوَفَّنَا مُسْلِمِينَ",
              "translate_bn": "বস্তুতঃ আমাদের সাথে তোমার শত্রুতা তো এ কারণেই যে, আমরা ঈমান এনেছি আমাদের পরওয়ারদেগারের নিদর্শনসমূহের প্রতি যখন তা আমাদের নিকট পৌঁছেছে। হে আমাদের পরওয়ারদেগার আমাদের জন্য ধৈর্য্যের দ্বার খুলে দাও এবং আমাদেরকে মুসলমান হিসাবে মৃত্যু দান কর।",
              "numberInSurah": 126,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 135,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তানকিমুমিন্না ইল্লাআন আ-মান্না-বিআ-য়া-তি রাব্বিনা-লাম্মা-জাআতনা- রাব্বানা-আফরিগ ‘আলাইনা-সাবরাওঁ ওয়াতাওয়াফফানা-মুছলিমীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَنْقِمُ/تَنقِمُ/tanqimu//مِنَّاۤ/مِنَّآ/minna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَنۡ/an//اٰمَنَّا/ءَامَنَّا/amanna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّنَا/رَبِّنَا/rabbina//لَمَّا/لَمَّا/lamma//جَآءَتْنَا ؕ/جَآءَتۡنَاۚ/jaatna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَفْرِغْ/أَفۡرِغۡ/afrigh//عَلَیْنَا/عَلَيۡنَا/alayna//صَبْرًا/صَبۡرٗا/sabran//وَّ تَوَفَّنَا/وَتَوَفَّنَا/watawaffana//مُسْلِمِیْنَ۠/مُسۡلِمِينَ/mus'limina",
              "words_bangla": "এবং না//প্রতিশোধ নিচ্ছো তুমি//হতে আমাদের//এ ছাড়া (অন্য কোনো কারণে)//যে//ঈমান এনেছি আমরা//প্রতি নিদর্শনগুলোর//রবের আমাদের//যখন//কাছে এসেছে তা আমাদের//হে আমার রব//তুমি ঢেলে দাও//উপর আমাদের//ধৈর্য//ও মৃত্যু দাও আমাদের//(অনুগত) মুসলমান হিসেবে\""
            },
            {
              "number": 1081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1081.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلَأُ مِن قَوْمِ فِرْعَوْنَ أَتَذَرُ مُوسَىٰ وَقَوْمَهُۥ لِيُفْسِدُوا۟ فِى ٱلْأَرْضِ وَيَذَرَكَ وَءَالِهَتَكَ ۚ قَالَ سَنُقَتِّلُ أَبْنَآءَهُمْ وَنَسْتَحْىِۦ نِسَآءَهُمْ وَإِنَّا فَوْقَهُمْ قَٰهِرُونَ",
              "translate_bn": "ফেরাউনের সম্প্রদায়ের র্সদাররা বলল, তুমি কি এমনি ছেড়ে দেবে মূসা ও তার সম্প্রদায়কে। দেশময় হৈ-চৈ করার জন্য এবং তোমাকে ও তোমার দেব-দেবীকে বাতিল করে দেবার জন্য। সে বলল, আমি এখনি হত্যা করব তাদের পুত্র সন্তানদিগকে; আর জীবিত রাখব মেয়েদেরকে। বস্তুতঃ আমরা তাদের উপর প্রবল।",
              "numberInSurah": 127,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 136,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালাউ মিন কাওমি ফির‘আওনা আতাযারু মূছা-ওয়া কাওমাহূলিইউফছিদূ ফিল আরদিওয়া ইয়াযারাকা ওয়া আ-লিহাতাকা কা-লা ছানুকাত্তিলুআবনাআহুম ওয়া নাছতাহঈ নিছাআহুম, ওয়া ইন্না-ফাওকাহুম কা-হিরূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مِنْ/مِن/min//قَوْمِ/قَوۡمِ/qawmi//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اَتَذَرُ/أَتَذَرُ/atadharu//مُوْسٰی/مُوسَىٰ/musa//وَ قَوْمَهٗ/وَقَوۡمَهُۥ/waqawmahu//لِیُفْسِدُوْا/لِيُفۡسِدُواْ/liyuf'sidu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ یَذَرَكَ/وَيَذَرَكَ/wayadharaka//وَ اٰلِهَتَكَ ؕ/وَءَالِهَتَكَۚ/waalihataka//قَالَ/قَالَ/qala//سَنُقَتِّلُ/سَنُقَتِّلُ/sanuqattilu//اَبْنَآءَهُمْ/أَبۡنَآءَهُمۡ/abnaahum//وَ نَسْتَحْیٖ/وَنَسۡتَحۡيِۦ/wanastahyi//نِسَآءَهُمْ ۚ/نِسَآءَهُمۡ/nisaahum//وَ اِنَّا/وَإِنَّا/wa-inna//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//قٰهِرُوْنَ /قَٰهِرُونَ/qahiruna",
              "words_bangla": "এবং বললো//প্রধানরা//মধ্য হতে//জাতির//ফিরাউনের//\"কি ছেড়ে দিবেন//মূসাকে//ও জাতিকে তার//যেন তারা বিপর্যয় সৃষ্টি করে//মধ্যে//দেশের//ও আপনাকে পরিত্যাগ করবে//এবং আপনার দেবতাদেরকে\"//সে বললো//\"অচিরেই আমরা হত্যা করবো//পুত্রদেরকে তাদের//ও জীবিত রাখবো//নারীদেরকে তাদের//এবং নিশ্চয়ই আমরা//উপর তাদের//পরাক্রমশালী\""
            },
            {
              "number": 1082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1082.mp3"
              ],
              "text": "قَالَ مُوسَىٰ لِقَوْمِهِ ٱسْتَعِينُوا۟ بِٱللَّهِ وَٱصْبِرُوٓا۟ ۖ إِنَّ ٱلْأَرْضَ لِلَّهِ يُورِثُهَا مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ وَٱلْعَٰقِبَةُ لِلْمُتَّقِينَ",
              "translate_bn": "মূসা বললেন তার কওমকে, সাহায্য প্রার্থনা কর আল্লাহর নিকট এবং ধৈর্য্য ধারণ কর। নিশ্চয়ই এ পৃথিবী আল্লাহর। তিনি নিজের বান্দাদের মধ্যে যাকে ইচ্ছা এর উত্তরাধিকারী বানিয়ে দেন এবং শেষ কল্যাণ মুত্তাকীদের জন্যই নির্ধারিত রয়েছে।",
              "numberInSurah": 128,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 136,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লা মূছা-লিকাওমিহিছ তা‘ঈনূবিল্লা-হি ওয়াসবিরূ ইন্নাল আরদা লিল্লা-হি ইউরিছু হা- মাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ওয়াল ‘আ-কিবাতুলিলমুত্তাকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهِ/لِقَوۡمِهِ/liqawmihi//اسْتَعِیْنُوْا/ٱسۡتَعِينُواْ/is'ta'inu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ اصْبِرُوْا ۚ/وَٱصۡبِرُوٓاْۖ/wa-is'biru//اِنَّ/إِنَّ/inna//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//لِلّٰهِ ۙ۫/لِلَّهِ/lillahi//یُوْرِثُهَا/يُورِثُهَا/yurithuha//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ ؕ/عِبَادِهِۦۖ/ibadihi//وَ الْعَاقِبَةُ/وَٱلۡعَٰقِبَةُ/wal-'aqibatu//لِلْمُتَّقِیْنَ /لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "বললো//মূসা//উদ্দেশ্যে জাতির তার//\"তোমরা সাহায্য চাও//কাছে আল্লাহর//ও তোমরা ধৈর্য ধরো//নিশ্চয়ই//পৃথিবী//জন্যে আল্লাহরই//তার উত্তরাধীকারী করেন//(তাকে) যাকে//তিনি ইচ্ছে করবেন//মধ্য হতে//তার দাসদের//এবং (উত্তম) পরিণাম//জন্যে মুত্তাকীদের\""
            },
            {
              "number": 1083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1083.mp3"
              ],
              "text": "قَالُوٓا۟ أُوذِينَا مِن قَبْلِ أَن تَأْتِيَنَا وَمِنۢ بَعْدِ مَا جِئْتَنَا ۚ قَالَ عَسَىٰ رَبُّكُمْ أَن يُهْلِكَ عَدُوَّكُمْ وَيَسْتَخْلِفَكُمْ فِى ٱلْأَرْضِ فَيَنظُرَ كَيْفَ تَعْمَلُونَ",
              "translate_bn": "তারা বলল, আমাদের কষ্ট ছিল তোমার আসার পূর্বে এবং তোমার আসার পরে। তিনি বললেন, তোমাদের পরওয়ারদেগার শীঘ্রই তোমাদের শক্রদের ধ্বংস করে দেবেন এবং তোমাদেরকে দেশে প্রতিনিধিত্ব দান করবেন। তারপর দেখবেন, তোমরা কেমন কাজ কর।",
              "numberInSurah": 129,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 136,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লূ ঊযীনা-মিন কাবলি আন তা’তিয়ানা-ওয়া মিম বা‘দি মা-জি’তানা- কা-লা ‘আছা-রাব্বুকুম আইঁ ইউহলিকা ‘আদুওওয়াকুম ওয়া ইয়াছতাখলিফাকুম ফিল আরদি ফাইয়ানজু রা কাইফা তা‘মালূন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اُوْذِیْنَا/أُوذِينَا/udhina//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تَاْتِیَنَا/تَأۡتِيَنَا/tatiyana//وَ مِنْۢ/وَمِنۢ/wamin//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جِئْتَنَا ؕ/جِئۡتَنَاۚ/ji'tana//قَالَ/قَالَ/qala//عَسٰی/عَسَىٰ/asa//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//اَنْ/أَن/an//یُّهْلِكَ/يُهۡلِكَ/yuh'lika//عَدُوَّكُمْ/عَدُوَّكُمۡ/aduwwakum//وَ یَسْتَخْلِفَكُمْ/وَيَسۡتَخۡلِفَكُمۡ/wayastakhlifakum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرَ/فَيَنظُرَ/fayanzura//كَیْفَ/كَيۡفَ/kayfa//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তারা বললো//\"নির্যাতিত হয়েছি আমরা//থেকে//(এর) পূর্ব//যে//আমাদের কাছে তুমি আসবে//এবং থেকে//পর//তার//আমাদের কাছে তুমি এসেছো\"//সে বললো//\"শীঘ্রই//তোমাদের রব//যে//ধ্বংস করবেন//শত্রুকে তোমাদের//ও স্থলাভিষিক্ত করবেন তোমাদেরকে//মধ্যে//জমিনের//অতঃপর  তিনি দেখবেন//কিরূপ//তোমরা কাজ করো\""
            },
            {
              "number": 1084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1084.mp3"
              ],
              "text": "وَلَقَدْ أَخَذْنَآ ءَالَ فِرْعَوْنَ بِٱلسِّنِينَ وَنَقْصٍۢ مِّنَ ٱلثَّمَرَٰتِ لَعَلَّهُمْ يَذَّكَّرُونَ",
              "translate_bn": "তারপর আমি পাকড়াও করেছি-ফেরাউনের অনুসারীদেরকে দুর্ভিক্ষের মাধ্যমে এবং ফল ফসলের ক্ষয়-ক্ষতির মাধ্যমে যাতে করে তারা উপদেশ গ্রহণ করে।",
              "numberInSurah": 130,
              "juz": 9,
              "manzil": 2,
              "page": 165,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আখাযনাআ-লা ফির‘আওনা বিছছিনীনা ওয়া নাকসিম মিনাছছামারা-তি লা‘আল্লাহুম ইয়াযযাক্কারূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَخَذْنَاۤ/أَخَذۡنَآ/akhadhna//اٰلَ/ءَالَ/ala//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//بِالسِّنِیْنَ/بِٱلسِّنِينَ/bil-sinina//وَ نَقْصٍ/وَنَقۡصٖ/wanaqsin//مِّنَ/مِّنَ/mina//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা ধরেছিলাম//অনুসারীদেরকে//ফিরাউনের//দ্বারা দুর্ভিক্ষের//ও ক্ষতির (দ্বারা)//কিছু//ফল-ফসলের//যাতে তারা//উপদেশ গ্রহণ করে"
            },
            {
              "number": 1085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1085.mp3"
              ],
              "text": "فَإِذَا جَآءَتْهُمُ ٱلْحَسَنَةُ قَالُوا۟ لَنَا هَٰذِهِۦ ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۭ يَطَّيَّرُوا۟ بِمُوسَىٰ وَمَن مَّعَهُۥٓ ۗ أَلَآ إِنَّمَا طَٰٓئِرُهُمْ عِندَ ٱللَّهِ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "অতঃপর যখন শুভদিন ফিরে আসে, তখন তারা বলতে আরম্ভ করে যে, এটাই আমাদের জন্য উপযোগী। আর যদি অকল্যাণ এসে উপস্থিত হয় তবে তাতে মূসার এবং তাঁর সঙ্গীদের অলক্ষণ বলে অভিহিত করে। শুনে রাখ তাদের অলক্ষণ যে, আল্লাহরই এলেমে রয়েছে, অথচ এরা জানে না।",
              "numberInSurah": 131,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-জাআতহুমুল হাছানাতুকা-লূলানা-হা-যিহী ওয়া ইন তুসিবহুম ছাইয়িআতুইঁ ইয়াত্তাইয়ারূবিমূছা-ওয়া মাম মা‘আহূ আলাইন্নামা তাইরুহুম ‘ইনদাল্লা-হি ওয়ালাকিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الْحَسَنَةُ/ٱلۡحَسَنَةُ/al-hasanatu//قَالُوْا/قَالُواْ/qalu//لَنَا/لَنَا/lana//هٰذِهٖ ۚ/هَٰذِهِۦۖ/hadhihi//وَ اِنْ/وَإِن/wa-in//تُصِبْهُمْ/تُصِبۡهُمۡ/tusib'hum//سَیِّئَةٌ/سَيِّئَةٞ/sayyi-atun//یَّطَّیَّرُوْا/يَطَّيَّرُواْ/yattayyaru//بِمُوْسٰی/بِمُوسَىٰ/bimusa//وَ مَنْ/وَمَن/waman//مَّعَهٗ ؕ/مَّعَهُۥٓۗ/ma'ahu//اَلَاۤ/أَلَآ/ala//اِنَّمَا/إِنَّمَا/innama//طٰٓىِٕرُهُمْ/طَـٰٓئِرُهُمۡ/tairuhum//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতঃপর যখন//কাছে আসে তাদের//কল্যাণ//তারা বলে//\"জন্যে আমাদের (অধিকার)\"//\"এটা\"//এবং যদি//পৌঁছে তাদের//কোনো অকল্যাণ//তারা মন্দভাগ্যের দোষ চাপায়//উপর মূসার//ও (তাদের উপর) যারা (ছিলো)//সাথে তার//জেনে রাখো//প্রকৃতপক্ষে//মন্দভাগ্য তাদের//কাছে//আল্লাহরই//কিন্তু//অধিকাংশই তাদের//না//জানে"
            },
            {
              "number": 1086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1086.mp3"
              ],
              "text": "وَقَالُوا۟ مَهْمَا تَأْتِنَا بِهِۦ مِنْ ءَايَةٍۢ لِّتَسْحَرَنَا بِهَا فَمَا نَحْنُ لَكَ بِمُؤْمِنِينَ",
              "translate_bn": "তারা আরও বলতে লাগল, আমাদের উপর জাদু করার জন্য তুমি যে নিদর্শনই নিয়ে আস না কেন আমরা কিন্তু তোমার উপর ঈমান আনছি না।",
              "numberInSurah": 132,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূমাহমা-তা‘তিনা-বিহী মিন আ-য়াতিল লিতাছহারানা-বিহা- ফামা-নাহনু লাকা বিমু‘মিনীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//مَهْمَا/مَهۡمَا/mahma//تَاْتِنَا/تَأۡتِنَا/tatina//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//اٰیَةٍ/ءَايَةٖ/ayatin//لِّتَسْحَرَنَا/لِّتَسۡحَرَنَا/litasharana//بِهَا ۙ/بِهَا/biha//فَمَا/فَمَا/fama//نَحْنُ/نَحۡنُ/nahnu//لَكَ/لَكَ/laka//بِمُؤْمِنِیْنَ /بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "এবং তারা বলে//\"যা কিছুই//আমাদের কাছে আসো তুমি//নিয়ে তা//কোনো//নিদর্শন//জন্যে আমাদের যাদু করার//দিয়ে তা//তবুও না//আমরা//উপর তোমার//মু'মিন\""
            },
            {
              "number": 1087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1087.mp3"
              ],
              "text": "فَأَرْسَلْنَا عَلَيْهِمُ ٱلطُّوفَانَ وَٱلْجَرَادَ وَٱلْقُمَّلَ وَٱلضَّفَادِعَ وَٱلدَّمَ ءَايَٰتٍۢ مُّفَصَّلَٰتٍۢ فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًۭا مُّجْرِمِينَ",
              "translate_bn": "সুতরাং আমি তাদের উপর পাঠিয়ে দিলাম তুফান, পঙ্গপাল, উকুন, ব্যাঙ ও রক্ত প্রভৃতি বহুবিধ নিদর্শন একের পর এক। তারপরেও তারা গর্ব করতে থাকল। বস্তুতঃ তারা ছিল অপরাধপ্রবণ।",
              "numberInSurah": 133,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফাআরাছালনা-‘আলাইহিমুততূফা-না ওয়াল জারা-দা ওয়াল কুম্মালা ওয়াদ্দাফা-দি‘আ ওয়াদ্দামা আ-য়া-তিম মুফাসসালা-তিন ফাছতাকবারূওয়া কা-নূকাওমাম মুজরিমীন।",
              "words_arabic": "فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الطُّوْفَانَ/ٱلطُّوفَانَ/al-tufana//وَ الْجَرَادَ/وَٱلۡجَرَادَ/wal-jarada//وَ الْقُمَّلَ/وَٱلۡقُمَّلَ/wal-qumala//وَ الضَّفَادِعَ/وَٱلضَّفَادِعَ/wal-dafadi'a//وَ الدَّمَ/وَٱلدَّمَ/wal-dama//اٰیٰتٍ/ءَايَٰتٖ/ayatin//مُّفَصَّلٰتٍ ۫/مُّفَصَّلَٰتٖ/mufassalatin//فَاسْتَكْبَرُوْا/فَٱسۡتَكۡبَرُواْ/fa-is'takbaru//وَ كَانُوْا/وَكَانُواْ/wakanu//قَوْمًا/قَوۡمٗا/qawman//مُّجْرِمِیْنَ /مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "অতঃপর পাঠালাম আমরা//উপর তাদের//বন্যা//ও পঙ্গপাল//ও উকুন//ও ব্যাঙ//ও রক্ত//নিদর্শনরূপে//(পৃথক পৃথক ভাবেও) স্পষ্ট//তবুও তারা অহংকার করলো//এবং তারা ছিলো//সম্প্রদায়//অপরাধী"
            },
            {
              "number": 1088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1088.mp3"
              ],
              "text": "وَلَمَّا وَقَعَ عَلَيْهِمُ ٱلرِّجْزُ قَالُوا۟ يَٰمُوسَى ٱدْعُ لَنَا رَبَّكَ بِمَا عَهِدَ عِندَكَ ۖ لَئِن كَشَفْتَ عَنَّا ٱلرِّجْزَ لَنُؤْمِنَنَّ لَكَ وَلَنُرْسِلَنَّ مَعَكَ بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "আর তাদের উপর যখন কোন আযাব পড়ে তখন বলে, হে মূসা আমাদের জন্য তোমার পরওয়ারদেগারের নিকট সে বিষয়ে দোয়া কর যা তিনি তোমার সাথে ওয়াদা করে রেখেছেন। যদি তুমি আমাদের উপর থেকে এ আযাব সরিয়ে দাও, তবে অবশ্যই আমরা ঈমান আনব তোমার উপর এবং তোমার সাথে বনী-ইসরাঈলদেরকে যেতে দেব।",
              "numberInSurah": 134,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ওয়া কা‘আ ‘আলাইহিমুর রিজঝুকা-লূইয়া-মূছাদ‘উলানা-রাব্বাকা বিমা‘আহিদা ‘ইনদাকা লাইন কাশাফতা ‘আন্নার রিজঝা লানু’মিনান্না লাকা ওয়ালানুরছিলান্না মা‘আকা বানীইছরাঈল।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//وَقَعَ/وَقَعَ/waqa'a//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الرِّجْزُ/ٱلرِّجۡزُ/al-rij'zu//قَالُوْا/قَالُواْ/qalu//یٰمُوْسَی/يَٰمُوسَى/yamusa//ادْعُ/ٱدۡعُ/ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//بِمَا/بِمَا/bima//عَهِدَ/عَهِدَ/ahida//عِنْدَكَ ۚ/عِندَكَۖ/indaka//لَىِٕنْ/لَئِن/la-in//كَشَفْتَ/كَشَفۡتَ/kashafta//عَنَّا/عَنَّا/anna//الرِّجْزَ/ٱلرِّجۡزَ/al-rij'za//لَنُؤْمِنَنَّ/لَنُؤۡمِنَنَّ/lanu'minanna//لَكَ/لَكَ/laka//وَ لَنُرْسِلَنَّ/وَلَنُرۡسِلَنَّ/walanur'silanna//مَعَكَ/مَعَكَ/ma'aka//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَۚ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "এবং যখন//সংঘটিত হতো//উপর তাদের//কোনো শাস্তি//তারা বলতো//\"হে মূসা//তুমি দোয়া করো//জন্যে আমাদের//তোমার রবের কাছে//ঐ বিষয়ে যা//অঙ্গীকার করেছে//তোমার কাছে (তোমার রব)//অবশ্যই যদি//তুমি সরিয়ে দাও//আমাদের থেকে//শাস্তি//অবশ্যই আমরা ঈমান আনবো//উপর তোমার//এবং অবশ্যই আমরা পাঠাবো//তোমার সাথে//বনী//ইসরাঈলকে\""
            },
            {
              "number": 1089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1089.mp3"
              ],
              "text": "فَلَمَّا كَشَفْنَا عَنْهُمُ ٱلرِّجْزَ إِلَىٰٓ أَجَلٍ هُم بَٰلِغُوهُ إِذَا هُمْ يَنكُثُونَ",
              "translate_bn": "অতঃপর যখন আমি তাদের উপর থেকে আযাব তুলে নিতাম নির্ধারিত একটি সময় পর্যন্ত-যেখান পর্যন্ত তাদেরকে পৌছানোর উদ্দেশ্য ছিল, তখন তড়িঘড়ি তারা প্রতিশ্রুতি ভঙ্গ করত।",
              "numberInSurah": 135,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-কাশাফনা-‘আনহুমুর রিজঝা ইলাআজালিন হুম বা-লিগূহু ইযা-হুম ইয়ানকুছূ ন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//كَشَفْنَا/كَشَفۡنَا/kashafna//عَنْهُمُ/عَنۡهُمُ/anhumu//الرِّجْزَ/ٱلرِّجۡزَ/al-rij'za//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٍ/ajalin//هُمْ/هُم/hum//بٰلِغُوْهُ/بَٰلِغُوهُ/balighuhu//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَنْكُثُوْنَ /يَنكُثُونَ/yankuthuna",
              "words_bangla": "অতঃপর যখন//সরিয়ে দিলাম আমরা//থেকে তাদের//শাস্তি//পর্যন্ত//একটি নির্দিষ্ট সময়//তারা//যাতে পৌঁছানো নির্ধারিত ছিলো//তখন//তারা//অঙ্গীকার ভঙ্গ করে"
            },
            {
              "number": 1090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1090.mp3"
              ],
              "text": "فَٱنتَقَمْنَا مِنْهُمْ فَأَغْرَقْنَٰهُمْ فِى ٱلْيَمِّ بِأَنَّهُمْ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَكَانُوا۟ عَنْهَا غَٰفِلِينَ",
              "translate_bn": "সুতরাং আমি তাদের কাছে থেকে বদলা নিয়ে নিলাম-বস্তুতঃ তাদেরকে সাগরে ডুবিয়ে দিলাম। কারণ, তারা মিথ্যা প্রতিপন্ন করেছিল আমার নিদর্শনসমূহকে এবং তৎপ্রতি অনীহা প্রদর্শন করেছিল।",
              "numberInSurah": 136,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ফানতাকামনা-মিনহুম ফাআগরাকনা-হুম ফিল ইয়াম্মি বিআন্নাহুম কাযযাবূবিআ-য়া-তিনাওয়া কা-নূ‘আনহা-গা-ফিলীন।",
              "words_arabic": "فَانْتَقَمْنَا/فَٱنتَقَمۡنَا/fa-intaqamna//مِنْهُمْ/مِنۡهُمۡ/min'hum//فَاَغْرَقْنٰهُمْ/فَأَغۡرَقۡنَٰهُمۡ/fa-aghraqnahum//فِی/فِي/fi//الْیَمِّ/ٱلۡيَمِّ/al-yami//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ كَانُوْا/وَكَانُواْ/wakanu//عَنْهَا/عَنۡهَا/anha//غٰفِلِیْنَ /غَٰفِلِينَ/ghafilina",
              "words_bangla": "অতঃপর প্রতিশোধ নিলাম আমরা//থেকে তাদের//অতঃপর আমরা ডুবিয়ে দিলাম তাদেরকে//মধ্যে//সাগরের//কারণ নিশ্চয়ই তারা//তারা মিথ্যারোপ করেছিলো//প্রতি নিদর্শনগুলোর আমাদের//এবং তারা ছিলো//হতে তা//অমনোযোগী"
            },
            {
              "number": 1091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1091.mp3"
              ],
              "text": "وَأَوْرَثْنَا ٱلْقَوْمَ ٱلَّذِينَ كَانُوا۟ يُسْتَضْعَفُونَ مَشَٰرِقَ ٱلْأَرْضِ وَمَغَٰرِبَهَا ٱلَّتِى بَٰرَكْنَا فِيهَا ۖ وَتَمَّتْ كَلِمَتُ رَبِّكَ ٱلْحُسْنَىٰ عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ بِمَا صَبَرُوا۟ ۖ وَدَمَّرْنَا مَا كَانَ يَصْنَعُ فِرْعَوْنُ وَقَوْمُهُۥ وَمَا كَانُوا۟ يَعْرِشُونَ",
              "translate_bn": "আর যাদেরকে দুর্বল মনে করা হত তাদেরকেও আমি উত্তরাধিকার দান করেছি এ ভুখন্ডের পূর্ব ও পশ্চিম অঞ্চলের যাতে আমি বরকত সন্নিহিত রেখেছি এবং পরিপূর্ণ হয়ে গেছে তোমার পালনকর্তার প্রতিশ্রুত কল্যাণ বনী-ইসরাঈলদের জন্য তাদের ধৈর্য্যধারণের দরুন। আর ধ্বংস করে দিয়েছে সে সবকিছু যা তৈরী করেছিল ফেরাউন ও তার সম্প্রদায় এবং ধ্বংস করেছি যা কিছু তারা সুউচ্চ নির্মাণ করেছিল।",
              "numberInSurah": 137,
              "juz": 9,
              "manzil": 2,
              "page": 166,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওরাছনাল কাওমাল্লাযীনা কা-নূইউছতাদ‘আফূনা মাশা-রিকাল আরদিওয়া মাগা-রিবাহাল্লাতী বা-রাকনা-ফীহা- ওয়া তাম্মাত কালিমাতুরাব্বিকাল হুছনা-‘আলাবানীইছরাঈলা বিমা-সাবারূ ওয়া দাম্মারনা-মা-কা-না ইয়াসনা‘উ ফির‘আওনু ওয়া কাওমুহূওয়া মা-কা-নূইয়া‘রিশূন।",
              "words_arabic": "وَ اَوْرَثْنَا/وَأَوۡرَثۡنَا/wa-awrathna//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَانُوْا/كَانُواْ/kanu//یُسْتَضْعَفُوْنَ/يُسۡتَضۡعَفُونَ/yus'tad'afuna//مَشَارِقَ/مَشَٰرِقَ/mashariqa//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَغَارِبَهَا/وَمَغَٰرِبَهَا/wamagharibaha//الَّتِیْ/ٱلَّتِي/allati//بٰرَكْنَا/بَٰرَكۡنَا/barakna//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ تَمَّتْ/وَتَمَّتۡ/watammat//كَلِمَتُ/كَلِمَتُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//الْحُسْنٰی/ٱلۡحُسۡنَىٰ/al-hus'na//عَلٰی/عَلَىٰ/ala//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ ۙ۬/إِسۡرَـٰٓءِيلَ/is'raila//بِمَا/بِمَا/bima//صَبَرُوْا ؕ/صَبَرُواْۖ/sabaru//وَ دَمَّرْنَا/وَدَمَّرۡنَا/wadammarna//مَا/مَا/ma//كَانَ/كَانَ/kana//یَصْنَعُ/يَصۡنَعُ/yasna'u//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//وَ قَوْمُهٗ/وَقَوۡمُهُۥ/waqawmuhu//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//یَعْرِشُوْنَ /يَعۡرِشُونَ/ya'rishuna",
              "words_bangla": "এবং আমরা উত্তরাধিকারী বানালাম//(সেই)সম্প্রদায়কে//যাদেরকে//তারা ছিলো//তাদেরকে দুর্বল মনে করা হতো//পূর্ব দিকসমূহে//(সেই) ভূখন্ডের//ও পশ্চিম দিকসমূহে তার//যা (এমন ভূখন্ড)//আমরা কল্যাণ দান করেছি//মধ্যে তার//এবং পূর্ণ হলো//(প্রতিশ্রুতির) কথাগুলো//তোমার রবের//কল্যাণময় (প্রতিশ্রুতি)//সম্পর্কে//বনী//ইসরাঈল//এ কারণে যা//তারা ধৈর্য ধরেছিলো//এবং ধ্বংস করলাম আমরা//(তা সবই) যা//ছিলো//বানাতে (শিল্প)//ফিরাউন//ও তার জাতি//এবং (তা সব) যা//তারা ছিলো//তারা উঁচু করতে(প্রাসাদ)"
            },
            {
              "number": 1092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1092.mp3"
              ],
              "text": "وَجَٰوَزْنَا بِبَنِىٓ إِسْرَٰٓءِيلَ ٱلْبَحْرَ فَأَتَوْا۟ عَلَىٰ قَوْمٍۢ يَعْكُفُونَ عَلَىٰٓ أَصْنَامٍۢ لَّهُمْ ۚ قَالُوا۟ يَٰمُوسَى ٱجْعَل لَّنَآ إِلَٰهًۭا كَمَا لَهُمْ ءَالِهَةٌۭ ۚ قَالَ إِنَّكُمْ قَوْمٌۭ تَجْهَلُونَ",
              "translate_bn": "বস্তুতঃ আমি সাগর পার করে দিয়েছি বনী-ইসরাঈলদিগকে। তখন তারা এমন এক সম্প্রদায়ের কাছে গিয়ে পৌছাল, যারা স্বহস্তনির্মিত মূর্তিপুজায় নিয়োজিত ছিল। তারা বলতে লাগল, হে মূসা; আমাদের উপাসনার জন্যও তাদের মূর্তির মতই একটি মূর্তি নির্মাণ করে দিন। তিনি বললেন, তোমাদের মধ্যে বড়ই অজ্ঞতা রয়েছে।",
              "numberInSurah": 138,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাওয়াঝনা-ব্বিানীইছরাঈলাল বাহরা ফাআতাওঁ‘আলা-কাওমিইঁ ইয়া‘কুফূনা ‘আলাআসনা-মিল্লাহুম কা-লূইয়া-মূছাজ‘আল্লানাইলা-হান কামা-লাহুম আলিহাতুন কা-লা ইন্নাকুম কাওমুন তাজহালূন।",
              "words_arabic": "وَ جٰوَزْنَا/وَجَٰوَزۡنَا/wajawazna//بِبَنِیْۤ/بِبَنِيٓ/bibani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//فَاَتَوْا/فَأَتَوۡاْ/fa-ataw//عَلٰی/عَلَىٰ/ala//قَوْمٍ/قَوۡمٖ/qawmin//یَّعْكُفُوْنَ/يَعۡكُفُونَ/ya'kufuna//عَلٰۤی/عَلَىٰٓ/ala//اَصْنَامٍ/أَصۡنَامٖ/asnamin//لَّهُمْ ۚ/لَّهُمۡۚ/lahum//قَالُوْا/قَالُواْ/qalu//یٰمُوْسَی/يَٰمُوسَى/yamusa//اجْعَلْ/ٱجۡعَل/ij'al//لَّنَاۤ/لَّنَآ/lana//اِلٰهًا/إِلَٰهٗا/ilahan//كَمَا/كَمَا/kama//لَهُمْ/لَهُمۡ/lahum//اٰلِهَةٌ ؕ/ءَالِهَةٞۚ/alihatun//قَالَ/قَالَ/qala//اِنَّكُمْ/إِنَّكُمۡ/innakum//قَوْمٌ/قَوۡمٞ/qawmun//تَجْهَلُوْنَ /تَجۡهَلُونَ/tajhaluna",
              "words_bangla": "আর পার করালাম আমরা//বনী//ইসরাঈলকে//সমুদ্র//অতঃপর তারা আসলো//কাছে//এক জাতির//তারা পূজায় লেগে ছিলো//উপর//প্রতিমাদের//তাদের (নিমিত্ত)//তারা বললো//\"হে মূসা//বানাও//জন্যে আমাদের//একটি দেবতা//যেমন//জন্যে তাদের (রয়েছে)//দেবতাসমূহ//(মূসা) বললো//\"নিশ্চয়ই তোমরা//(এমন)সম্প্রদায়//(যারা) মূর্খতা করছো"
            },
            {
              "number": 1093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1093.mp3"
              ],
              "text": "إِنَّ هَٰٓؤُلَآءِ مُتَبَّرٌۭ مَّا هُمْ فِيهِ وَبَٰطِلٌۭ مَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "এরা যে, কাজে নিয়োজিত রয়েছে তা ধ্বংস হবে এবং যা কিছু তারা করেছে তা যে ভুল!",
              "numberInSurah": 139,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ইন্না-হাউলাই মুতাব্বারুম মা-হুম ফীহি ওয়া বা-তিলুম মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//مُتَبَّرٌ/مُتَبَّرٞ/mutabbarun//مَّا/مَّا/ma//هُمْ/هُمۡ/hum//فِیْهِ/فِيهِ/fihi//وَ بٰطِلٌ/وَبَٰطِلٞ/wabatilun//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "নিশ্চয়ই//এসব (লোক)//বিধ্বস্ত হবে//তা//তারা//মধ্যে যার (লিপ্ত আছে)//এবং ভ্রান্ত//যা//তারা ছিলো//তারা কাজ করে আসছে\""
            },
            {
              "number": 1094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1094.mp3"
              ],
              "text": "قَالَ أَغَيْرَ ٱللَّهِ أَبْغِيكُمْ إِلَٰهًۭا وَهُوَ فَضَّلَكُمْ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "তিনি বললেন, তাহলে কি আল্লাহকে ছাড়া তোমাদের জন্য অন্য কোন উপাস্য অনুসন্ধান করব, অথচ তিনিই তোমাদিগকে সারা বিশ্বে শ্রেষ্ঠত্ব দান করেছেন।",
              "numberInSurah": 140,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "কা-লা আগাইরাল্লা-হি আবগীকুম ইলা-হাওঁ ওয়া হুওয়া ফাদ্দালাকুম ‘আলাল ‘আ-লামীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَغَیْرَ/أَغَيۡرَ/aghayra//اللّٰهِ/ٱللَّهِ/al-lahi//اَبْغِیْكُمْ/أَبۡغِيكُمۡ/abghikum//اِلٰهًا/إِلَٰهٗا/ilahan//وَّ هُوَ/وَهُوَ/wahuwa//فَضَّلَكُمْ/فَضَّلَكُمۡ/faddalakum//عَلَی/عَلَى/ala//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "(মূসা) বললো//\"কি ছাড়া//আল্লাহ//তোমাদের জন্যে আমি খুঁজে বেড়াবো//(অন্য) ইলাহ//অথচ তিনিই//শ্রেষ্ঠত্ব দিয়েছেন তোমাদের//উপর//বিশ্বজগতের\""
            },
            {
              "number": 1095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1095.mp3"
              ],
              "text": "وَإِذْ أَنجَيْنَٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ ۖ يُقَتِّلُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌۭ مِّن رَّبِّكُمْ عَظِيمٌۭ",
              "translate_bn": "আর সে সময়ের কথা স্মরণ কর, যখন আমি তোমাদেরকে ফেরাউনের লোকদের কবল থেকে মুক্তি দিয়েছি; তারা তোমাদেরকে দিত নিকৃষ্ট শাস্তি, তোমাদের পুত্র-সন্তানদের মেরে ফেলত এবং মেয়েদের বাঁচিয়ে রাখত। এতে তোমাদের প্রতি তোমাদের পরওয়ারদেগারের বিরাট পরীক্ষা রয়েছে।",
              "numberInSurah": 141,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 137,
              "hizbQuarter": 66,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআনজাইনা-কুম মিন আ-লি ফির‘আওনা ইয়াছূমূনাকুম ছূআল ‘আযা-বি ইউকাত্তিলূনা আবনাআকুম ওয়া ইয়াছতাহইউনা নিছাআকুম ওয়াফী যা-লিকুম বালাউম মিররাব্বিকুম ‘আজীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَنْجَیْنٰكُمْ/أَنجَيۡنَٰكُم/anjaynakum//مِّنْ/مِّنۡ/min//اٰلِ/ءَالِ/ali//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//یَسُوْمُوْنَكُمْ/يَسُومُونَكُمۡ/yasumunakum//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ ۚ/ٱلۡعَذَابِ/al-'adhabi//یُقَتِّلُوْنَ/يُقَتِّلُونَ/yuqattiluna//اَبْنَآءَكُمْ/أَبۡنَآءَكُمۡ/abnaakum//وَ یَسْتَحْیُوْنَ/وَيَسۡتَحۡيُونَ/wayastahyuna//نِسَآءَكُمْ ؕ/نِسَآءَكُمۡۚ/nisaakum//وَ فِیْ/وَفِي/wafi//ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بَلَآءٌ/بَلَآءٞ/balaon//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//عَظِیْمٌ۠/عَظِيمٞ/azimun",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা উদ্ধার করেছিলাম তোমাদের//হতে//অনুসারীদের//ফিরাউনের//যন্ত্রণা দিতো তোমাদেরকে//নিকৃষ্ট//শাস্তি//তারা হত্যা করতো//পুত্রদেরকে তোমাদের//ও তারা জীবিত রাখতো//নারীদেরকে তোমাদের//ও (ছিলো) মধ্যে//এর//পরীক্ষা//পক্ষ হতে//রবের তোমাদের//বড়"
            },
            {
              "number": 1096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1096.mp3"
              ],
              "text": "۞ وَوَٰعَدْنَا مُوسَىٰ ثَلَٰثِينَ لَيْلَةًۭ وَأَتْمَمْنَٰهَا بِعَشْرٍۢ فَتَمَّ مِيقَٰتُ رَبِّهِۦٓ أَرْبَعِينَ لَيْلَةًۭ ۚ وَقَالَ مُوسَىٰ لِأَخِيهِ هَٰرُونَ ٱخْلُفْنِى فِى قَوْمِى وَأَصْلِحْ وَلَا تَتَّبِعْ سَبِيلَ ٱلْمُفْسِدِينَ",
              "translate_bn": "আর আমি মূসাকে প্রতিশ্রুতি দিয়েছি ত্রিশ রাত্রির এবং সেগুলোকে পূর্ন করেছি আরো দশ দ্বারা। বস্তুতঃ এভাবে চল্লিশ রাতের মেয়াদ পূর্ণ হয়ে গেছে। আর মূসা তাঁর ভাই হারুনকে বললেন, আমার সম্প্রদায়ে তুমি আমার প্রতিনিধি হিসাবে থাক। তাদের সংশোধন করতে থাক এবং হাঙ্গামা সৃষ্টিকারীদের পথে চলো না।",
              "numberInSurah": 142,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়া-‘আদনা-মূছা-ছালা-ছীনা লাইলাতাওঁ ওয়া আতমামনা-হা-বি‘আশরিন ফাতাম্মা মীকা-তুরাব্বিহীআরবা‘ঈনা লাইলাতাওঁ ওয়া কা-লা মূছা-লিআখীহি হা-রূনাখ লুফনী ফী কাওমী ওয়া আসলিহওয়ালা-তাত্তাবি‘ ছাবীলাল মুফছিদীন।",
              "words_arabic": "وَ وٰعَدْنَا/۞وَوَٰعَدۡنَا/wawa'adna//مُوْسٰی/مُوسَىٰ/musa//ثَلٰثِیْنَ/ثَلَٰثِينَ/thalathina//لَیْلَةً/لَيۡلَةٗ/laylatan//وَّ اَتْمَمْنٰهَا/وَأَتۡمَمۡنَٰهَا/wa-atmamnaha//بِعَشْرٍ/بِعَشۡرٖ/bi'ashrin//فَتَمَّ/فَتَمَّ/fatamma//مِیْقَاتُ/مِيقَٰتُ/miqatu//رَبِّهٖۤ/رَبِّهِۦٓ/rabbihi//اَرْبَعِیْنَ/أَرۡبَعِينَ/arba'ina//لَیْلَةً ۚ/لَيۡلَةٗۚ/laylatan//وَ قَالَ/وَقَالَ/waqala//مُوْسٰی/مُوسَىٰ/musa//لِاَخِیْهِ/لِأَخِيهِ/li-akhihi//هٰرُوْنَ/هَٰرُونَ/haruna//اخْلُفْنِیْ/ٱخۡلُفۡنِي/ukh'luf'ni//فِیْ/فِي/fi//قَوْمِیْ/قَوۡمِي/qawmi//وَ اَصْلِحْ/وَأَصۡلِحۡ/wa-aslih//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//سَبِیْلَ/سَبِيلَ/sabila//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এবং আমরা প্রতিশ্রুতি দিয়েছিলাম//মূসাকে//ত্রিশ//রাতের//ও তা আমরা (বাড়িয়ে)পূর্ণ করি//দিয়ে (আরও)দশ//অতঃপর পূর্ণ হলো//নির্ধারিত সময়//তাঁর রবের//(অর্থাৎ) চল্লিশ//রাত//ও বললো//মূসা//উদ্দেশ্যে তার ভাইয়ের//(অর্থাৎ) হারুণকে//\"আমার প্রতিনিধিত্ব করো//মধ্যে//আমার জাতির//এবং সংশোধন করো//এবং না//অনুসরণ করো//পথ//বিপর্যয় সৃষ্টিকারীদের\""
            },
            {
              "number": 1097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1097.mp3"
              ],
              "text": "وَلَمَّا جَآءَ مُوسَىٰ لِمِيقَٰتِنَا وَكَلَّمَهُۥ رَبُّهُۥ قَالَ رَبِّ أَرِنِىٓ أَنظُرْ إِلَيْكَ ۚ قَالَ لَن تَرَىٰنِى وَلَٰكِنِ ٱنظُرْ إِلَى ٱلْجَبَلِ فَإِنِ ٱسْتَقَرَّ مَكَانَهُۥ فَسَوْفَ تَرَىٰنِى ۚ فَلَمَّا تَجَلَّىٰ رَبُّهُۥ لِلْجَبَلِ جَعَلَهُۥ دَكًّۭا وَخَرَّ مُوسَىٰ صَعِقًۭا ۚ فَلَمَّآ أَفَاقَ قَالَ سُبْحَٰنَكَ تُبْتُ إِلَيْكَ وَأَنَا۠ أَوَّلُ ٱلْمُؤْمِنِينَ",
              "translate_bn": "তারপর মূসা যখন আমার প্রতিশ্রুত সময় অনুযায়ী এসে হাযির হলেন এবং তাঁর সাথে তার পরওয়ারদেগার কথা বললেন, তখন তিনি বললেন, হে আমার প্রভু, তোমার দীদার আমাকে দাও, যেন আমি তোমাকে দেখতে পাই। তিনি বললেন, তুমি আমাকে কস্মিনকালেও দেখতে পাবে না, তবে তুমি পাহাড়ের দিকে দেখতে থাক, সেটি যদি স্বস্থানে দঁড়িয়ে থাকে তবে তুমিও আমাকে দেখতে পাবে। তারপর যখন তার পরওয়ারদগার পাহাড়ের উপর আপন জ্যোতির বিকিরণ ঘটালেন, সেটিকে বিধ্বস্ত করে দিলেন এবং মূসা অজ্ঞান হয়ে পড়ে গেলেন। অতঃপর যখন তাঁর জ্ঞান ফিরে এল; বললেন, হে প্রভু! তোমার সত্তা পবিত্র, তোমার দরবারে আমি তওবা করছি এবং আমিই সর্বপ্রথম বিশ্বাস স্থাপন করছি।",
              "numberInSurah": 143,
              "juz": 9,
              "manzil": 2,
              "page": 167,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআ মূছা-লিমীকা-তিনা ওয়া কাল্লামাহূরাব্বুহূ কা-লা রাব্বি আরিনীআনজুর ইলাইকা কা-লা লান তারা-নী ওয়ালা-কিনিনজু র ইলাল জাবালি ফাইনিছতাকাররা মাকা-নাহূফাছাওফা তারা-নী ফালাম্মা-তাজাল্লা-রাব্বুহূলিলজাবালি জা‘আলাহূদাক্কাওঁ ওয়া খার রা মূছা-সা‘ঈকা- ফালাম্মাআফা-কা কা-লা ছুবহানাকা তুবতুইলাইকা ওয়া আনা আওওয়ালূল মু’মিনীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَ/جَآءَ/jaa//مُوْسٰی/مُوسَىٰ/musa//لِمِیْقَاتِنَا/لِمِيقَٰتِنَا/limiqatina//وَ كَلَّمَهٗ/وَكَلَّمَهُۥ/wakallamahu//رَبُّهٗ ۙ/رَبُّهُۥ/rabbuhu//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اَرِنِیْۤ/أَرِنِيٓ/arini//اَنْظُرْ/أَنظُرۡ/anzur//اِلَیْكَ ؕ/إِلَيۡكَۚ/ilayka//قَالَ/قَالَ/qala//لَنْ/لَن/lan//تَرٰىنِیْ/تَرَىٰنِي/tarani//وَ لٰكِنِ/وَلَٰكِنِ/walakini//انْظُرْ/ٱنظُرۡ/unzur//اِلَی/إِلَى/ila//الْجَبَلِ/ٱلۡجَبَلِ/al-jabali//فَاِنِ/فَإِنِ/fa-ini//اسْتَقَرَّ/ٱسۡتَقَرَّ/is'taqarra//مَكَانَهٗ/مَكَانَهُۥ/makanahu//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَرٰىنِیْ ۚ/تَرَىٰنِيۚ/tarani//فَلَمَّا/فَلَمَّا/falamma//تَجَلّٰی/تَجَلَّىٰ/tajalla//رَبُّهٗ/رَبُّهُۥ/rabbuhu//لِلْجَبَلِ/لِلۡجَبَلِ/lil'jabali//جَعَلَهٗ/جَعَلَهُۥ/ja'alahu//دَكًّا/دَكّٗا/dakkan//وَّ خَرَّ/وَخَرَّ/wakharra//مُوْسٰی/مُوسَىٰ/musa//صَعِقًا ۚ/صَعِقٗاۚ/sa'iqan//فَلَمَّاۤ/فَلَمَّآ/falamma//اَفَاقَ/أَفَاقَ/afaqa//قَالَ/قَالَ/qala//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//تُبْتُ/تُبۡتُ/tub'tu//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اَنَا/وَأَنَا۠/wa-ana//اَوَّلُ/أَوَّلُ/awwalu//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং যখন//আসলো//মূসা//মধ্যে আমাদের নির্ধারিত সময়ের//ও তার সাথে কথা বললেন//তাঁর রব//সে বললো//\"হে আমার রব//আমাকে দেখা দাও//(যেন) আমি দেখি//আপনার প্রতি\"//(আল্লাহ তা'লা) বললেন//\"কখনও না//তুমি আমাকে দেখতে পারবে//কিন্তু//তুমি লক্ষ্য করো//দিকে//পাহাড়টির//অতঃপর যদি//স্হির থাকে তা//তার জায়গায় (পাহাড়)//তবে শীঘ্রই\"//আমাকে তুমি দেখতে পারবে\"//অতঃপর যখন//জ্যোতি প্রকাশ করলেন//তার রব//উপর পাহাড়টির//করে দিলো তা//চূর্ণ-বিচূর্ন//এবং পড়ে গেলো//মূসা//অজ্ঞান হয়ে//অতঃপর যখন//চেতনা পেলো//সে বললো//\"তুমি মহিমাময়//আমি তওবা করছি//কাছে তোমার//এবং আমি (হচ্ছি)//প্রথম//মু'মিন\""
            },
            {
              "number": 1098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1098.mp3"
              ],
              "text": "قَالَ يَٰمُوسَىٰٓ إِنِّى ٱصْطَفَيْتُكَ عَلَى ٱلنَّاسِ بِرِسَٰلَٰتِى وَبِكَلَٰمِى فَخُذْ مَآ ءَاتَيْتُكَ وَكُن مِّنَ ٱلشَّٰكِرِينَ",
              "translate_bn": "(পরওয়ারদেগার) বললেন, হে মূসা, আমি তোমাকে আমার বার্তা পাঠানোর এবং কথা বলার মাধ্যমে লোকদের উপর বিশিষ্টতা দান করেছি। সুতরাং যা কিছু আমি তোমাকে দান করলাম, গ্রহণ কর এবং কৃতজ্ঞ থাক।",
              "numberInSurah": 144,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-মূছাইন্নিসতাফাইতুকা ‘আলান্না-ছি বিরিছা-লা-তী ওয়া বিকালা-মী ফাখুযমাআ-তাইতুকা ওয়া কুম মিনাশশা-কিরীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنِّی/إِنِّي/inni//اصْطَفَیْتُكَ/ٱصۡطَفَيۡتُكَ/is'tafaytuka//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//بِرِسٰلٰتِیْ/بِرِسَٰلَٰتِي/birisalati//وَ بِكَلَامِیْ ۖؗ/وَبِكَلَٰمِي/wabikalami//فَخُذْ/فَخُذۡ/fakhudh//مَاۤ/مَآ/ma//اٰتَیْتُكَ/ءَاتَيۡتُكَ/ataytuka//وَ كُنْ/وَكُن/wakun//مِّنَ/مِّنَ/mina//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "(আল্লাহ) বললেন//\"হে মূসা//নিশ্চয়ই আমি//তোমাকে আমি বেছে নিয়েছি//উপর//মানুষের//দিয়ে আমার রিসালাত (বাণী)//ও দিয়ে আমার বাক্যালাপ//অতএব গ্রহণ করো//যা//তোমাকে আমি দিয়েছি//এবং হও//অন্তর্ভুক্ত//কৃতজ্ঞদের\""
            },
            {
              "number": 1099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1099.mp3"
              ],
              "text": "وَكَتَبْنَا لَهُۥ فِى ٱلْأَلْوَاحِ مِن كُلِّ شَىْءٍۢ مَّوْعِظَةًۭ وَتَفْصِيلًۭا لِّكُلِّ شَىْءٍۢ فَخُذْهَا بِقُوَّةٍۢ وَأْمُرْ قَوْمَكَ يَأْخُذُوا۟ بِأَحْسَنِهَا ۚ سَأُو۟رِيكُمْ دَارَ ٱلْفَٰسِقِينَ",
              "translate_bn": "আর আমি তোমাকে পটে লিখে দিয়েছি সর্বপ্রকার উপদেশ ও বিস্তারিত সব বিষয়। অতএব, এগুলোকে দৃঢ়ভাবে ধারণ কর এবং স্বজাতিকে এর কল্যাণকর বিষয়সমূহ দৃঢ়তার সাথে পালনের নির্দেশ দাও।",
              "numberInSurah": 145,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাতাবনা-লাহূফিল আলওয়া-হিমিন কুল্লি শাইয়িম মাও‘ইজাতাওঁ ওয়া তাফসীলাল লিকুল্লি শাইয়িন ফাখুযহা-বিকুওওয়াতিওঁ ওয়া’মুর কাওমাকা ইয়া’খুযূবিআহছানিহা- ছাঊরীকুম দা-রাল ফা-ছিকীন।",
              "words_arabic": "وَ كَتَبْنَا/وَكَتَبۡنَا/wakatabna//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الْاَلْوَاحِ/ٱلۡأَلۡوَاحِ/al-alwahi//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//مَّوْعِظَةً/مَّوۡعِظَةٗ/maw'izatan//وَّ تَفْصِیْلًا/وَتَفۡصِيلٗا/watafsilan//لِّكُلِّ/لِّكُلِّ/likulli//شَیْءٍ ۚ/شَيۡءٖ/shayin//فَخُذْهَا/فَخُذۡهَا/fakhudh'ha//بِقُوَّةٍ/بِقُوَّةٖ/biquwwatin//وَّ اْمُرْ/وَأۡمُرۡ/wamur//قَوْمَكَ/قَوۡمَكَ/qawmaka//یَاْخُذُوْا/يَأۡخُذُواْ/yakhudhu//بِاَحْسَنِهَا ؕ/بِأَحۡسَنِهَاۚ/bi-ahsaniha//سَاُورِیْكُمْ/سَأُوْرِيكُمۡ/sa-urikum//دَارَ/دَارَ/dara//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "এবং আমরা লিখেছি//জন্যে তার//মধ্যে//ফলকগুলোর//থেকে//প্রত্যেক//জিনিসের//উপদেশ//ও বিস্তারিত ব্যাখ্যা//জন্যে সব//কিছুর//\"অতএব ধারণ করো তা//ভাবে দৃঢ়//এবং নির্দেশ দাও//তোমার জাতিকে//তারা গ্রহণ করবে//সহ তার উত্তম(তাৎপর্য)//শীঘ্রই আমি দেখাবো তোমাদেরকে//বাসস্হান//সত্যত্যাগীদের\""
            },
            {
              "number": 1100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1100.mp3"
              ],
              "text": "سَأَصْرِفُ عَنْ ءَايَٰتِىَ ٱلَّذِينَ يَتَكَبَّرُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَإِن يَرَوْا۟ كُلَّ ءَايَةٍۢ لَّا يُؤْمِنُوا۟ بِهَا وَإِن يَرَوْا۟ سَبِيلَ ٱلرُّشْدِ لَا يَتَّخِذُوهُ سَبِيلًۭا وَإِن يَرَوْا۟ سَبِيلَ ٱلْغَىِّ يَتَّخِذُوهُ سَبِيلًۭا ۚ ذَٰلِكَ بِأَنَّهُمْ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَكَانُوا۟ عَنْهَا غَٰفِلِينَ",
              "translate_bn": "আমি আমার নিদর্শনসমূহ হতে তাদেরকে ফিরিয়ে রাখি, যারা পৃথিবীতে অন্যায়ভাবে গর্ব করে। যদি তারা সমস্ত নিদর্শন প্রত্যক্ষ করে ফেলে, তবুও তা বিশ্বাস করবে না। আর যদি হেদায়েতের পথ দেখে, তবে সে পথ গ্রহণ করে না। অথচ গোমরাহীর পথ দেখলে তাই গ্রহণ করে নেয়। এর কারণ, তারা আমার নিদর্শনসমূহকে মিথ্যা বলে মনে করেছে এবং তা থেকে বেখবর রয়ে গেছে।",
              "numberInSurah": 146,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ছাআসরিফু‘আন আ-য়া-তিয়াল্লাযীনা ইয়াতাকাব্বারূনা ফিল আরদিবিগাইরিল হাক্কি ওয়াইয়ঁইয়ারাও কুল্লা আ-য়াতিল লা-ইউ’মিনূবিহা- ওয়াইয়ঁইয়ারাও ছাবীলাররুশদি লাইয়াত্তাখিযূহু ছাবীলাওঁ ওয়াইয়ঁইয়ারাও ছাবীলাল গাইয়ি ইয়াত্তাখিযূহু ছাবীলান যালিকা বিআন্নাহুম কাযযাবূবিআ-য়া-তিনা-ওয়া কা-নূ‘আনহা-গা-ফিলীন।",
              "words_arabic": "سَاَصْرِفُ/سَأَصۡرِفُ/sa-asrifu//عَنْ/عَنۡ/an//اٰیٰتِیَ/ءَايَٰتِيَ/ayatiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَكَبَّرُوْنَ/يَتَكَبَّرُونَ/yatakabbaruna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ ؕ/ٱلۡحَقِّ/al-haqi//وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//كُلَّ/كُلَّ/kulla//اٰیَةٍ/ءَايَةٖ/ayatin//لَّا/لَّا/la//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//بِهَا ۚ/بِهَا/biha//وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//سَبِیْلَ/سَبِيلَ/sabila//الرُّشْدِ/ٱلرُّشۡدِ/al-rush'di//لَا/لَا/la//یَتَّخِذُوْهُ/يَتَّخِذُوهُ/yattakhidhuhu//سَبِیْلًا ۚ/سَبِيلٗا/sabilan//وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//سَبِیْلَ/سَبِيلَ/sabila//الْغَیِّ/ٱلۡغَيِّ/al-ghayi//یَتَّخِذُوْهُ/يَتَّخِذُوهُ/yattakhidhuhu//سَبِیْلًا ؕ/سَبِيلٗاۚ/sabilan//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ كَانُوْا/وَكَانُواْ/wakanu//عَنْهَا/عَنۡهَا/anha//غٰفِلِیْنَ /غَٰفِلِينَ/ghafilina",
              "words_bangla": "অচিরেই ফিরিয়ে দিবো আমি (দৃষ্টি)//হতে//আমার নিদর্শনগুলো//যারা//অহংকার করে//মধ্যে//পৃথিবীর//ভাবে নয়//ন্যায়//এবং যদি//তারা দেখেও//প্রত্যেক//নিদর্শন//না//তারা ঈমান আনবে//উপর তার//এবং যদি//তারা দেখেও//পথ//সঠিক//না//তারা গ্রহণ করবে তা//পথ হিসেবে//কিন্তু যদি//তারা দেখে//পথ//ভ্রান্ত//তারা গ্রহণ করবে তা//পথ হিসেবে//এটা//এজন্যে যে তারা//মিথ্যারোপ করেছে//প্রতি নিদর্শনগুলোর আমাদের//এবং তারা ছিলো//সে সব হতে//উদাসীন"
            },
            {
              "number": 1101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1101.mp3"
              ],
              "text": "وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَلِقَآءِ ٱلْءَاخِرَةِ حَبِطَتْ أَعْمَٰلُهُمْ ۚ هَلْ يُجْزَوْنَ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "বস্তুতঃ যারা মিথ্যা জেনেছে আমার আয়াতসমূকে এবং আখেরাতের সাক্ষাতকে, তাদের যাবতীয় কাজকর্ম ধ্বংস হয়ে গেছে। তেমন বদলাই সে পাবে যেমন আমল করত।",
              "numberInSurah": 147,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 138,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাযযাবূবিআ-য়া-তিনা-ওয়া লিকাইল আ-খিরাতি হাবিতাতআ‘মালুহুম হাল ইউজঝাওনা ইল্লা-মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ لِقَآءِ/وَلِقَآءِ/waliqai//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ ؕ/أَعۡمَٰلُهُمۡۚ/a'maluhum//هَلْ/هَلۡ/hal//یُجْزَوْنَ/يُجۡزَوۡنَ/yuj'zawna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ۠/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং যারা//মিথ্যাররোপ করেছে//প্রতি নিদর্শনগুলোর আমাদের//ও সাক্ষাত//আখেরাতের//নষ্ট হয়েছে//আমলগুলো তাদের//কি//তাদের পুরষ্কার দেয়া হবে//এ ছাড়া//যা//তারা ছিলো//তারা কাজ করে আসছে"
            },
            {
              "number": 1102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1102.mp3"
              ],
              "text": "وَٱتَّخَذَ قَوْمُ مُوسَىٰ مِنۢ بَعْدِهِۦ مِنْ حُلِيِّهِمْ عِجْلًۭا جَسَدًۭا لَّهُۥ خُوَارٌ ۚ أَلَمْ يَرَوْا۟ أَنَّهُۥ لَا يُكَلِّمُهُمْ وَلَا يَهْدِيهِمْ سَبِيلًا ۘ ٱتَّخَذُوهُ وَكَانُوا۟ ظَٰلِمِينَ",
              "translate_bn": "আর বানিয়ে নিল মূসার সম্প্রদায় তার অনুপস্থিতিতে নিজেদের অলংকারাদির দ্বারা একটি বাছুর তা থেকে বেরুচ্ছিল ‘হাম্বা হাম্বা’ শব্দ। তারা কি একথাও লক্ষ্য করল না যে, সেটি তাদের সাথে কথাও বলছে না এবং তাদেরকে কোন পথও বাতলে দিচ্ছে না! তারা সেটিকে উপাস্য বানিয়ে নিল। বস্তুতঃ তারা ছিল জালেম।",
              "numberInSurah": 148,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 139,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাখাযা কাওমু মূছা-মিম বা‘দিহী মিন হুলিইয়িহিম ‘ইজলান জাছাদাল্লাহূখুওয়া-রুন আলাম ইয়ারাও আন্নাহূলা-ইউকালিলমুহুম ওয়ালা-ইয়াহদীহিম ছাবীলা- । ইত্তাখাযূহু ওয়া কা-নূজা-লিমীন।\r\n",
              "words_arabic": "وَ اتَّخَذَ/وَٱتَّخَذَ/wa-ittakhadha//قَوْمُ/قَوۡمُ/qawmu//مُوْسٰی/مُوسَىٰ/musa//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//مِنْ/مِنۡ/min//حُلِیِّهِمْ/حُلِيِّهِمۡ/huliyyihim//عِجْلًا/عِجۡلٗا/ij'lan//جَسَدًا/جَسَدٗا/jasadan//لَّهٗ/لَّهُۥ/lahu//خُوَارٌ ؕ/خُوَارٌۚ/khuwarun//اَلَمْ/أَلَمۡ/alam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّهٗ/أَنَّهُۥ/annahu//لَا/لَا/la//یُكَلِّمُهُمْ/يُكَلِّمُهُمۡ/yukallimuhum//وَ لَا/وَلَا/wala//یَهْدِیْهِمْ/يَهۡدِيهِمۡ/yahdihim//سَبِیْلًا ۘ/سَبِيلًاۘ/sabilan//اِتَّخَذُوْهُ/ٱتَّخَذُوهُ/ittakhadhuhu//وَ كَانُوْا/وَكَانُواْ/wakanu//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "এবং বানালো//জাতি//মূসার//থেকে//পর তার//দ্বারা//অলংকারগুলো তাদের//বাছুর//অবয়ব (সম্পন্ন)//ছিলো তার//হাম্বারব//কি না//তারা দেখে//যে তা//না//তাদের সাথে কথা বলে//এবং না//পরিচালনা করে তাদের//(সঠিক) পথে//তারা গ্রহণ করলো তা (উপাস্যরূপে)//এবং তারা ছিলো//সীমালঙ্ঘনকারী"
            },
            {
              "number": 1103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1103.mp3"
              ],
              "text": "وَلَمَّا سُقِطَ فِىٓ أَيْدِيهِمْ وَرَأَوْا۟ أَنَّهُمْ قَدْ ضَلُّوا۟ قَالُوا۟ لَئِن لَّمْ يَرْحَمْنَا رَبُّنَا وَيَغْفِرْ لَنَا لَنَكُونَنَّ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "অতঃপর যখন তারা অনুতপ্ত হল এবং বুঝতে পারল যে, আমরা নিশ্চিতই গোমরাহ হয়ে পড়েছি, তখন বলতে লাগল, আমাদের প্রতি যদি আমাদের পরওয়ারদেগার করুণা না করেন, তবে অবশ্যই আমরা ধবংস হয়ে যাব।",
              "numberInSurah": 149,
              "juz": 9,
              "manzil": 2,
              "page": 168,
              "ruku": 139,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ছুকিতা ফীআইদীহিম ওয়া রাআও আন্নাহুম কাদ দাললূ কা-লূলাইল্লাম ইয়ারহামনা-রাব্বুনা-ওয়া ইয়াগফির লানা-লানাকূনান্না মিনাল খা-ছিরীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//سُقِطَ/سُقِطَ/suqita//فِیْۤ/فِيٓ/fi//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ رَاَوْا/وَرَأَوۡاْ/wara-aw//اَنَّهُمْ/أَنَّهُمۡ/annahum//قَدْ/قَدۡ/qad//ضَلُّوْا ۙ/ضَلُّواْ/dallu//قَالُوْا/قَالُواْ/qalu//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//یَرْحَمْنَا/يَرۡحَمۡنَا/yarhamna//رَبُّنَا/رَبُّنَا/rabbuna//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَنَا/لَنَا/lana//لَنَكُوْنَنَّ/لَنَكُونَنَّ/lanakunanna//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "এবং যখন//পতিত হলো//মধ্যে//হাতের তাদের//ও তারা দেখলো//যে তারা//নিশ্চয়ই//পথভ্রষ্ট হয়ে গিয়েছিলো//তারা বললো//\"অবশ্যই যদি//না//আমাদের উপর অনুগ্রহ করেন//আমাদের রব//ও ক্ষমা (না) করেন//আমাদের//অবশ্যই আমরা হবো//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের\""
            },
            {
              "number": 1104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1104.mp3"
              ],
              "text": "وَلَمَّا رَجَعَ مُوسَىٰٓ إِلَىٰ قَوْمِهِۦ غَضْبَٰنَ أَسِفًۭا قَالَ بِئْسَمَا خَلَفْتُمُونِى مِنۢ بَعْدِىٓ ۖ أَعَجِلْتُمْ أَمْرَ رَبِّكُمْ ۖ وَأَلْقَى ٱلْأَلْوَاحَ وَأَخَذَ بِرَأْسِ أَخِيهِ يَجُرُّهُۥٓ إِلَيْهِ ۚ قَالَ ٱبْنَ أُمَّ إِنَّ ٱلْقَوْمَ ٱسْتَضْعَفُونِى وَكَادُوا۟ يَقْتُلُونَنِى فَلَا تُشْمِتْ بِىَ ٱلْأَعْدَآءَ وَلَا تَجْعَلْنِى مَعَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "তারপর যখন মূসা নিজ সম্প্রদায়ে ফিরে এলেন রাগাম্বিত ও অনুতপ্ত অবস্থায়, তখন বললেন, আমার অনুপস্থিতিতে তোমরা আমার কি নিকৃষ্ট প্রতিনিধিত্বটাই না করেছ। তোমরা নিজ পরওয়ারদেগারের হুকুম থেকে কি তাড়াহুড়া করে ফেললে এবং সে তখতীগুলো ছুঁড়ে ফেলে দিলেন এবং নিজের ভাইয়ের মাথার চুল চেপে ধরে নিজের দিকে টানতে লাগলেন। ভাই বললেন, হে আমার মায়ের পুত্র, লোকগুলো যে আমাকে দুর্বল মনে করল এবং আমাকে যে মেরে ফেলার উপক্রম করেছিল। সুতরাং আমার উপর আর শত্রুদের হাসিও না। আর আমাকে জালিমদের সারিতে গন্য করো না।",
              "numberInSurah": 150,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 139,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-রাজা‘আ মূছাইলা-কাওমিহীগাদবা-না আছিফান কা-লা বি’ছামাখালাফতুমূনী মিম বা‘দী আ‘আজিলতুম আমরা রাব্বিকুম ওয়া আলকাল আলওয়াহা ওয়া আখাযা বিরা’ছি আখীহি ইয়াজুররুহূইলাইহি কা-লাবনা উম্মা ইন্নাল কাওমাছ তাদ‘আফূনী ওয়া কা-দূইয়াকতুলূনানী ফালা-তুশমিত বিয়াল আ‘দাআ ওয়ালাতাজ‘আলনী মা‘আল কাওমিজ্জা-লিমীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//رَجَعَ/رَجَعَ/raja'a//مُوْسٰۤی/مُوسَىٰٓ/musa//اِلٰی/إِلَىٰ/ila//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//غَضْبَانَ/غَضۡبَٰنَ/ghadbana//اَسِفًا ۙ/أَسِفٗا/asifan//قَالَ/قَالَ/qala//بِئْسَمَا/بِئۡسَمَا/bi'sama//خَلَفْتُمُوْنِیْ/خَلَفۡتُمُونِي/khalaftumuni//مِنْۢ/مِنۢ/min//بَعْدِیْ ۚ/بَعۡدِيٓۖ/ba'di//اَعَجِلْتُمْ/أَعَجِلۡتُمۡ/a'ajil'tum//اَمْرَ/أَمۡرَ/amra//رَبِّكُمْ ۚ/رَبِّكُمۡۖ/rabbikum//وَ اَلْقَی/وَأَلۡقَى/wa-alqa//الْاَلْوَاحَ/ٱلۡأَلۡوَاحَ/al-alwaha//وَ اَخَذَ/وَأَخَذَ/wa-akhadha//بِرَاْسِ/بِرَأۡسِ/birasi//اَخِیْهِ/أَخِيهِ/akhihi//یَجُرُّهٗۤ/يَجُرُّهُۥٓ/yajurruhu//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//قَالَ/قَالَ/qala//ابْنَ/ٱبۡنَ/ib'na//اُمَّ/أُمَّ/umma//اِنَّ/إِنَّ/inna//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//اسْتَضْعَفُوْنِیْ/ٱسۡتَضۡعَفُونِي/is'tad'afuni//وَ كَادُوْا/وَكَادُواْ/wakadu//یَقْتُلُوْنَنِیْ ۖؗ/يَقۡتُلُونَنِي/yaqtulunani//فَلَا/فَلَا/fala//تُشْمِتْ/تُشۡمِتۡ/tush'mit//بِیَ/بِيَ/biya//الْاَعْدَآءَ/ٱلۡأَعۡدَآءَ/al-a'daa//وَ لَا/وَلَا/wala//تَجْعَلْنِیْ/تَجۡعَلۡنِي/taj'alni//مَعَ/مَعَ/ma'a//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং যখন//প্রত্যাবর্তন করলো//মূসা//নিকট//তার জাতির//রাগান্বিত হয়ে//দুঃখিত অবস্হায়//সে বললো//\"কত নিকৃষ্টই//তোমরা আমার প্রতিনিধিত্ব করেছো//থেকে//আমার পর//কি তোমরা তাড়াহুড়া করেছো//আদেশের//তোমাদের রবের\"//এবং ফেলে দিলো//ফলকগুলো//এবং ধরলো//সহ মাথার (চুল)//ভাইয়ের তার//টানলো তাকে//দিকে তার//(তখন) সে বললো//\"ছেলে//মায়ের (অর্থাৎ হে ভাই)//নিশ্চয়ই//এ জাতি//আমাকে দুর্বল মনে করেছিলো//ও উপক্রম হয়েছিলো//আমাকে তারা হত্যা করবে//অতএব না//হাসতে দিও//উপর আমার//শত্রুদেরকে//এবং না//আমাকে গণ্য করো//অন্তর্ভুক্ত//সম্প্রদায়ের\"//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 1105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1105.mp3"
              ],
              "text": "قَالَ رَبِّ ٱغْفِرْ لِى وَلِأَخِى وَأَدْخِلْنَا فِى رَحْمَتِكَ ۖ وَأَنتَ أَرْحَمُ ٱلرَّٰحِمِينَ",
              "translate_bn": "মূসা বললেন, হে আমার পরওয়ারদেগার, ক্ষমা কর আমাকে আর আমার ভাইকে এবং আমাদেরকে তোমার রহমতের অন্তর্ভুক্ত কর। তুমি যে সর্বাধিক করুণাময়।",
              "numberInSurah": 151,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 139,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিগফিরলী ওয়া লিআখী ওয়া আদখিলনা-ফী রাহমাতিকা ওয়া আনতা আরহামুর রা-হিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لِیْ/لِي/li//وَ لِاَخِیْ/وَلِأَخِي/wali-akhi//وَ اَدْخِلْنَا/وَأَدۡخِلۡنَا/wa-adkhil'na//فِیْ/فِي/fi//رَحْمَتِكَ ۖؗ/رَحۡمَتِكَۖ/rahmatika//وَ اَنْتَ/وَأَنتَ/wa-anta//اَرْحَمُ/أَرۡحَمُ/arhamu//الرّٰحِمِیْنَ۠/ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "সে বললো//\"হে আমার রব//ক্ষমা করো//আমাকে//ও আমার ভাইকে//ও প্রবেশ করাও আমাদের//মধ্যে//তোমার অনুগ্রহের//এবং তুমিই//শ্রেষ্ঠ দয়াবান//দয়াবানদের\""
            },
            {
              "number": 1106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1106.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ٱتَّخَذُوا۟ ٱلْعِجْلَ سَيَنَالُهُمْ غَضَبٌۭ مِّن رَّبِّهِمْ وَذِلَّةٌۭ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُفْتَرِينَ",
              "translate_bn": "অবশ্য যারা গোবৎসকে উপাস্য বানিয়ে নিয়েছে, তাদের উপর তাদের পরওয়ারদেগারের পক্ষ থেকে পার্থিব এ জীবনেই গযব ও লাঞ্জনা এসে পড়বে। এমনি আমি অপবাদ আরোপকারীদেরকে শাস্তি দিয়ে থাকি।",
              "numberInSurah": 152,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 140,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনাত তাখাযুল ‘ইজলা ছাইয়ানা-লুহুম গাদাবুম মির রাব্বিহিম ওয়া যিল্লাতুন ফিল হায়া-তিদদুনইয়া ওয়া কাযা-লিকা নাজযিল মুফতারীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوا/ٱتَّخَذُواْ/ittakhadhu//الْعِجْلَ/ٱلۡعِجۡلَ/al-'ij'la//سَیَنَالُهُمْ/سَيَنَالُهُمۡ/sayanaluhum//غَضَبٌ/غَضَبٞ/ghadabun//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//وَ ذِلَّةٌ/وَذِلَّةٞ/wadhillatun//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؕ/ٱلدُّنۡيَاۚ/al-dun'ya//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُفْتَرِیْنَ /ٱلۡمُفۡتَرِينَ/al-muf'tarina",
              "words_bangla": "নিশ্চয়ই//যারা//গ্রহণ করেছিলো//বাছুরকে (উপাস্যরূপে)//শীঘ্রই তাদের উপর পড়বে//রাগ//পক্ষ হতে//রবের তাদের//এবং লাঞ্ছনা//মধ্যে//জীবনে//পৃথিবীর//এবং এভাবে//আমরা প্রতিদান দিই//মিথ্যা রচনাকারীদের"
            },
            {
              "number": 1107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1107.mp3"
              ],
              "text": "وَٱلَّذِينَ عَمِلُوا۟ ٱلسَّيِّـَٔاتِ ثُمَّ تَابُوا۟ مِنۢ بَعْدِهَا وَءَامَنُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর যারা মন্দ কাজ করে, তারপরে তওবা করে নেয় এবং ঈমান নিয়ে আসে, তবে নিশ্চয়ই তোমার পরওয়ারদেগার তওবার পর অবশ্য ক্ষমাকারী, করুণাময়।",
              "numberInSurah": 153,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 140,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ‘আমিলুছছাইয়িআ-তি ছুম্মা তা-বূমিম বা‘দিহা-ওয়া আ-মানূ ইন্না রাব্বাকা মিম বা‘দিহা-লাগাফুরুর রাহীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//عَمِلُوا/عَمِلُواْ/amilu//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//ثُمَّ/ثُمَّ/thumma//تَابُوْا/تَابُواْ/tabu//مِنْۢ/مِنۢ/min//بَعْدِهَا/بَعۡدِهَا/ba'diha//وَ اٰمَنُوْۤا ؗ/وَءَامَنُوٓاْ/waamanu//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//مِنْۢ/مِنۢ/min//بَعْدِهَا/بَعۡدِهَا/ba'diha//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যারা//কাজ করে//মন্দ//এরপর//তওবা করে//থেকে//পর তার//ও ঈমান আনে//নিশ্চয়ই//তোমার রব//থেকেও//পর তার//অবশ্যই ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1108.mp3"
              ],
              "text": "وَلَمَّا سَكَتَ عَن مُّوسَى ٱلْغَضَبُ أَخَذَ ٱلْأَلْوَاحَ ۖ وَفِى نُسْخَتِهَا هُدًۭى وَرَحْمَةٌۭ لِّلَّذِينَ هُمْ لِرَبِّهِمْ يَرْهَبُونَ",
              "translate_bn": "তারপর যখন মূসার রাগ পড়ে গেল, তখন তিনি তখতীগুলো তুলে নিলেন। আর যা কিছু তাতে লেখা ছিল, তা ছিল সে সমস্ত লোকের জন্য হেদায়েত ও রহমত যারা নিজেদের পরওয়ারদেগারকে ভয় করে।",
              "numberInSurah": 154,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 140,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ছাকাতা ‘আম মূছাল গাদাবুআখাযাল আলওয়া-হা ওয়া ফী নুছখাতিহাহুদাওঁ ওয়া রাহমাতুললিল্লাযীনা হুম লিরাব্বিহিম ইয়ারহাবূন।\r\n",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//سَكَتَ/سَكَتَ/sakata//عَنْ/عَن/an//مُّوْسَی/مُّوسَى/musa//الْغَضَبُ/ٱلۡغَضَبُ/al-ghadabu//اَخَذَ/أَخَذَ/akhadha//الْاَلْوَاحَ ۖۚ/ٱلۡأَلۡوَاحَۖ/al-alwaha//وَ فِیْ/وَفِي/wafi//نُسْخَتِهَا/نُسۡخَتِهَا/nus'khatiha//هُدًی/هُدٗى/hudan//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//هُمْ/هُمۡ/hum//لِرَبِّهِمْ/لِرَبِّهِمۡ/lirabbihim//یَرْهَبُوْنَ /يَرۡهَبُونَ/yarhabuna",
              "words_bangla": "এবং যখন//প্রশমিত হলো//হতে//মূসা//রাগ//তুলে নিলো//ফলকগুলো//এবং মধ্যে (ছিলো)//তার লিপির//পথনির্দেশ//ও অনুগ্রহ//জন্যে তাদের//যারা//প্রতি তাদের রবের//ভয় করে"
            },
            {
              "number": 1109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1109.mp3"
              ],
              "text": "وَٱخْتَارَ مُوسَىٰ قَوْمَهُۥ سَبْعِينَ رَجُلًۭا لِّمِيقَٰتِنَا ۖ فَلَمَّآ أَخَذَتْهُمُ ٱلرَّجْفَةُ قَالَ رَبِّ لَوْ شِئْتَ أَهْلَكْتَهُم مِّن قَبْلُ وَإِيَّٰىَ ۖ أَتُهْلِكُنَا بِمَا فَعَلَ ٱلسُّفَهَآءُ مِنَّآ ۖ إِنْ هِىَ إِلَّا فِتْنَتُكَ تُضِلُّ بِهَا مَن تَشَآءُ وَتَهْدِى مَن تَشَآءُ ۖ أَنتَ وَلِيُّنَا فَٱغْفِرْ لَنَا وَٱرْحَمْنَا ۖ وَأَنتَ خَيْرُ ٱلْغَٰفِرِينَ",
              "translate_bn": "আর মূসা বেছে নিলেন নিজের সম্প্রদায় থেকে সত্তর জন লোক আমার প্রতিশ্রুত সময়ের জন্য। তারপর যখন তাদেরকে ভূমিকম্প পাকড়াও করল, তখন বললেন, হে আমার পরওয়ারদেগার, তুমি যদি ইচ্ছা করতে, তবে তাদেরকে আগেই ধ্বংস করে দিতে এবং আমাকেও। আমাদেরকে কি সে কর্মের কারণে ধ্বংস করছ, যা আমার সম্প্রদায়ের নির্বোধ লোকেরা করেছে? এসবই তোমার পরীক্ষা; তুমি যাকে ইচ্ছা এতে পথ ভ্রষ্ট করবে এবং যাকে ইচ্ছা সরলপথে রাখবে। তুমি যে আমাদের রক্ষক-সুতরাং আমাদেরকে ক্ষমা করে দাও এবং আমাদের উপর করুনা কর। তাছাড়া তুমিই তো সর্বাধিক ক্ষমাকারী।",
              "numberInSurah": 155,
              "juz": 9,
              "manzil": 2,
              "page": 169,
              "ruku": 140,
              "hizbQuarter": 67,
              "sajda": false,
              "pronunciation_bn": "ওয়াখতা-রা মূছা-কাওমাহূছাবা‘ঈনা রাজুলাল লিমীকা-তিনা- ফালাম্মাআখাযাতহুমুর রাজফাতুকা-লা রাব্বি লাও শি’তা আহলাকতাহুম মিন কাবলুওয়াইয়্যা-ইয়া আতুহলিকুনা-বিমা-ফা‘আলাছছুফাহাউ মিন্না- ইন হিয়া ইল্লা-ফিতনাতুকা তুদিল্লু বিহা-মান তাশাউ ওয়া তাহদী মান তাশাউ আনতা ওয়ালিইউনা-ফাগফিরালানাওয়ারহামনা-ওয়া আনতা খাইরুল গা-ফিরীন।",
              "words_arabic": "وَ اخْتَارَ/وَٱخۡتَارَ/wa-ikh'tara//مُوْسٰی/مُوسَىٰ/musa//قَوْمَهٗ/قَوۡمَهُۥ/qawmahu//سَبْعِیْنَ/سَبۡعِينَ/sab'ina//رَجُلًا/رَجُلٗا/rajulan//لِّمِیْقَاتِنَا ۚ/لِّمِيقَٰتِنَاۖ/limiqatina//فَلَمَّاۤ/فَلَمَّآ/falamma//اَخَذَتْهُمُ/أَخَذَتۡهُمُ/akhadhathumu//الرَّجْفَةُ/ٱلرَّجۡفَةُ/al-rajfatu//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//لَوْ/لَوۡ/law//شِئْتَ/شِئۡتَ/shi'ta//اَهْلَكْتَهُمْ/أَهۡلَكۡتَهُم/ahlaktahum//مِّنْ/مِّن/min//قَبْلُ/قَبۡلُ/qablu//وَ اِیَّایَ ؕ/وَإِيَّـٰيَۖ/wa-iyyaya//اَتُهْلِكُنَا/أَتُهۡلِكُنَا/atuh'likuna//بِمَا/بِمَا/bima//فَعَلَ/فَعَلَ/fa'ala//السُّفَهَآءُ/ٱلسُّفَهَآءُ/al-sufahau//مِنَّا ۚ/مِنَّآۖ/minna//اِنْ/إِنۡ/in//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//فِتْنَتُكَ ؕ/فِتۡنَتُكَ/fit'natuka//تُضِلُّ/تُضِلُّ/tudillu//بِهَا/بِهَا/biha//مَنْ/مَن/man//تَشَآءُ/تَشَآءُ/tashau//وَ تَهْدِیْ/وَتَهۡدِي/watahdi//مَنْ/مَن/man//تَشَآءُ ؕ/تَشَآءُۖ/tashau//اَنْتَ/أَنتَ/anta//وَلِیُّنَا/وَلِيُّنَا/waliyyuna//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لَنَا/لَنَا/lana//وَ ارْحَمْنَا/وَٱرۡحَمۡنَاۖ/wa-ir'hamna//وَ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الْغٰفِرِیْنَ /ٱلۡغَٰفِرِينَ/al-ghafirina",
              "words_bangla": "এবং বেছে নিলো//মূসা//তার জাতির//সত্তর (জন)//লোককে//জন্যে আমাদের নির্ধারিত স্থানের//অতঃপর যখন//ধরলো তাদের//ভূমিকম্প//সে বললো//\"হে আমার রব//যদি//আপনি চাইতেন//ধ্বংস করতে পারতেন তাদের//থেকেই//এর পূর্ব//এবং আমাকেও//কি আপনি আমাদের ধ্বংস করবেন//এ কারণে যা//করেছে//নির্বোধরা//থেকে আমাদের মধ্য//না//তা (ছিলো)//এ ছাড়া যে//আপনার পরীক্ষা//পথভ্রষ্ট করেন//দ্বারা তা//যাকে//ইচ্ছে করেন আপনি//ও পথ দেখান//যাকে//ইচ্ছে করেন//আপনিই//আমাদের অভিভাবক//অতএব ক্ষমা করুন//আমাদেরকে//ও অনুগ্রহ করুন আমাদেরকে//এবং আপনিই//শ্রেষ্ঠ//ক্ষমাকারীদের"
            },
            {
              "number": 1110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1110.mp3"
              ],
              "text": "۞ وَٱكْتُبْ لَنَا فِى هَٰذِهِ ٱلدُّنْيَا حَسَنَةًۭ وَفِى ٱلْءَاخِرَةِ إِنَّا هُدْنَآ إِلَيْكَ ۚ قَالَ عَذَابِىٓ أُصِيبُ بِهِۦ مَنْ أَشَآءُ ۖ وَرَحْمَتِى وَسِعَتْ كُلَّ شَىْءٍۢ ۚ فَسَأَكْتُبُهَا لِلَّذِينَ يَتَّقُونَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَٱلَّذِينَ هُم بِـَٔايَٰتِنَا يُؤْمِنُونَ",
              "translate_bn": "আর পৃথিবীতে এবং আখেরাতে আমাদের জন্য কল্যাণ লিখে দাও। আমরা তোমার দিকে প্রত্যাবর্তন করছি। আল্লাহ তা’আলা বললেন, আমার আযাব তারই উপর পরিব্যাপ্ত। সুতরাং তা তাদের জন্য লিখে দেব যারা ভয় রাখে, যাকাত দান করে এবং যারা আমার আয়তসমুহের উপর বিশ্বাস স্থাপন করে।",
              "numberInSurah": 156,
              "juz": 9,
              "manzil": 2,
              "page": 170,
              "ruku": 140,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়াকতুব লানা-ফী হা-যিহিদ দুনইয়া-হাছানাতাওঁ ওয়া ফিল আ-খিরাতি ইন্নাহুদনাইলাইকা কা-লা ‘আযা-বী উসীবুবিহী মান আশাউ, ওয়া রাহমাতী ওয়াছি‘আত কুল্লা শাইয়িন ফাছাআকতুবুহা-লিল্লাযীনা ইয়াত্তাকূনা ওয়া ইয়ু’তূনাঝঝাকাতা ওয়াল্লাযীনা হুম বিআ-য়া-তিনা-ইউ’মিনূন।",
              "words_arabic": "وَ اكْتُبْ/۞وَٱكۡتُبۡ/wa-uk'tub//لَنَا/لَنَا/lana//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةً/حَسَنَةٗ/hasanatan//وَّ فِی/وَفِي/wafi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اِنَّا/إِنَّا/inna//هُدْنَاۤ/هُدۡنَآ/hud'na//اِلَیْكَ ؕ/إِلَيۡكَۚ/ilayka//قَالَ/قَالَ/qala//عَذَابِیْۤ/عَذَابِيٓ/adhabi//اُصِیْبُ/أُصِيبُ/usibu//بِهٖ/بِهِۦ/bihi//مَنْ/مَنۡ/man//اَشَآءُ ۚ/أَشَآءُۖ/ashau//وَ رَحْمَتِیْ/وَرَحۡمَتِي/warahmati//وَ سِعَتْ/وَسِعَتۡ/wasi'at//كُلَّ/كُلَّ/kulla//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//فَسَاَكْتُبُهَا/فَسَأَكۡتُبُهَا/fasa-aktubuha//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//یَتَّقُوْنَ/يَتَّقُونَ/yattaquna//وَ یُؤْتُوْنَ/وَيُؤۡتُونَ/wayu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یُؤْمِنُوْنَۚ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং লিখে দিন//জন্যে আমাদের//মধ্যে//এই//পৃথিবীর//কল্যাণ//ও মধ্যে//আখেরাতে (কল্যাণ)//নিশ্চয়ই আমরা//প্রত্যাবর্তন করলাম আমরা//দিকে আপনার\"//(আল্লাহ) বললেন//\"আমার শাস্তি//প্রদান করি আমি//প্রতি তার//যাকে//ইচ্ছে করি আমি//ও আমার অনুগ্রহ//ঘিরে রেখেছে//সব//জিনিসকেই//অতএব অচিরেই আমি লিখে দিবো ত্//(তাদের) জন্যে যারা//ভয় করে//ও দেয়//যাকাত//এবং তাদেরকে//যারা//উপর আমার নিদর্শনগুলোর//বিশ্বাস করে"
            },
            {
              "number": 1111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1111.mp3"
              ],
              "text": "ٱلَّذِينَ يَتَّبِعُونَ ٱلرَّسُولَ ٱلنَّبِىَّ ٱلْأُمِّىَّ ٱلَّذِى يَجِدُونَهُۥ مَكْتُوبًا عِندَهُمْ فِى ٱلتَّوْرَىٰةِ وَٱلْإِنجِيلِ يَأْمُرُهُم بِٱلْمَعْرُوفِ وَيَنْهَىٰهُمْ عَنِ ٱلْمُنكَرِ وَيُحِلُّ لَهُمُ ٱلطَّيِّبَٰتِ وَيُحَرِّمُ عَلَيْهِمُ ٱلْخَبَٰٓئِثَ وَيَضَعُ عَنْهُمْ إِصْرَهُمْ وَٱلْأَغْلَٰلَ ٱلَّتِى كَانَتْ عَلَيْهِمْ ۚ فَٱلَّذِينَ ءَامَنُوا۟ بِهِۦ وَعَزَّرُوهُ وَنَصَرُوهُ وَٱتَّبَعُوا۟ ٱلنُّورَ ٱلَّذِىٓ أُنزِلَ مَعَهُۥٓ ۙ أُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "সেসমস্ত লোক, যারা আনুগত্য অবলম্বন করে এ রসূলের, যিনি উম্মী নবী, যাঁর সম্পর্কে তারা নিজেদের কাছে রক্ষিত তওরাত ও ইঞ্জিলে লেখা দেখতে পায়, তিনি তাদেরকে নির্দেশ দেন সৎকর্মের, বারণ করেন অসৎকর্ম থেকে; তাদের জন্য যাবতীয় পবিত্র বস্তু হালাল ঘোষনা করেন ও নিষিদ্ধ করেন হারাম বস্তুসমূহ এবং তাদের উপর থেকে সে বোঝা নামিয়ে দেন এবং বন্দীত্ব অপসারণ করেন যা তাদের উপর বিদ্যমান ছিল। সুতরাং যেসব লোক তাঁর উপর ঈমান এনেছে, তাঁর সাহচর্য অবলম্বন করেছে, তাঁকে সাহায্য করেছে এবং সে নূরের অনুসরণ করেছে যা তার সাথে অবতীর্ণ করা হয়েছে, শুধুমাত্র তারাই নিজেদের উদ্দেশ্য সফলতা অর্জন করতে পেরেছে।",
              "numberInSurah": 157,
              "juz": 9,
              "manzil": 2,
              "page": 170,
              "ruku": 140,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াত্তাবি‘ঊনার রাছূলান্নাবিইয়াল উম্মিইয়াল্লাযী ইয়াজিদূ নাহূমাকতূবান ‘ইনদাহুম ফিততাওরা-তি ওয়াল ইনজীলি ইয়া’মরুহুম বিলমা‘রূফি ওয়া ইয়ানহা-হুম ‘আনিল মুনকারি ওয়া ইউহিল্লুলাহুমুততাইয়িবা-তি ওয়া ইউ হাররিমু‘আলাইহিমুল খাবাইছা ওয়া ইয়াদা‘উ ‘আনহুম ইসরাহুম ওয়াল আগলা-লাল্লাতী কা-নাত ‘আলাইহিম ফাল্লাযীনা আমানূবিহী ওয়া ‘আঝঝারুহু ওয়া নাসারুহু ওয়াত্তাবা‘উন নূরাল্লাযী উনঝিলা মা‘আহূ উলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//النَّبِیَّ/ٱلنَّبِيَّ/al-nabiya//الْاُمِّیَّ/ٱلۡأُمِّيَّ/al-umiya//الَّذِیْ/ٱلَّذِي/alladhi//یَجِدُوْنَهٗ/يَجِدُونَهُۥ/yajidunahu//مَكْتُوْبًا/مَكۡتُوبًا/maktuban//عِنْدَهُمْ/عِندَهُمۡ/indahum//فِی/فِي/fi//التَّوْرٰىةِ/ٱلتَّوۡرَىٰةِ/al-tawrati//وَ الْاِنْجِیْلِ ؗ/وَٱلۡإِنجِيلِ/wal-injili//یَاْمُرُهُمْ/يَأۡمُرُهُم/yamuruhum//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ یَنْهٰىهُمْ/وَيَنۡهَىٰهُمۡ/wayanhahum//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ یُحِلُّ/وَيُحِلُّ/wayuhillu//لَهُمُ/لَهُمُ/lahumu//الطَّیِّبٰتِ/ٱلطَّيِّبَٰتِ/al-tayibati//وَ یُحَرِّمُ/وَيُحَرِّمُ/wayuharrimu//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْخَبٰٓىِٕثَ/ٱلۡخَبَـٰٓئِثَ/al-khabaitha//وَ یَضَعُ/وَيَضَعُ/wayada'u//عَنْهُمْ/عَنۡهُمۡ/anhum//اِصْرَهُمْ/إِصۡرَهُمۡ/is'rahum//وَ الْاَغْلٰلَ/وَٱلۡأَغۡلَٰلَ/wal-aghlala//الَّتِیْ/ٱلَّتِي/allati//كَانَتْ/كَانَتۡ/kanat//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِهٖ/بِهِۦ/bihi//وَ عَزَّرُوْهُ/وَعَزَّرُوهُ/wa'azzaruhu//وَ نَصَرُوْهُ/وَنَصَرُوهُ/wanasaruhu//وَ اتَّبَعُوا/وَٱتَّبَعُواْ/wa-ittaba'u//النُّوْرَ/ٱلنُّورَ/al-nura//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اُنْزِلَ/أُنزِلَ/unzila//مَعَهٗۤ ۙ/مَعَهُۥٓ/ma'ahu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ۠/ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "যারা//অনুসরণ করে//রাসূলকে//নাবীকে//নিরক্ষর//যার//তারা (উল্লেখ) পায় তার//লিখিত অবস্থায়//কাছে তাদের//মধ্যে//তাওরাতের//ও ইনজীলে//সে নির্দেশ দেয় তাদের//সৎ কাজের//ও নিষেধ করে তাদের//হতে//অসৎ কাজ//ও বৈধ করে//জন্যে তাদের//পাক-বস্তু গুলোকে//ও নিষিদ্ধ করে//উপর তাদের//অপবিত্র জিনিসগুলোকে//এবং নামিয়ে দেয়//থেকে তাদের//ভার তাদের//ও শৃংখলসমূহ//যা//ছিলো//উপর তাদের//অতএব যারা//ঈমান আনে//উপর তার//ও সম্মান করে তাকে//ও তারা সাহায্য করে তাকে//এবং অনুসরণ করে//আলোর//যা//নামানো হয়েছে//সাথে তার//ঐসব লোক//তারাই//সফলকাম\""
            },
            {
              "number": 1112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1112.mp3"
              ],
              "text": "قُلْ يَٰٓأَيُّهَا ٱلنَّاسُ إِنِّى رَسُولُ ٱللَّهِ إِلَيْكُمْ جَمِيعًا ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ لَآ إِلَٰهَ إِلَّا هُوَ يُحْىِۦ وَيُمِيتُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرَسُولِهِ ٱلنَّبِىِّ ٱلْأُمِّىِّ ٱلَّذِى يُؤْمِنُ بِٱللَّهِ وَكَلِمَٰتِهِۦ وَٱتَّبِعُوهُ لَعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "বলে দাও, হে মানব মন্ডলী। তোমাদের সবার প্রতি আমি আল্লাহ প্রেরিত রসূল, সমগ্র আসমান ও যমীনে তার রাজত্ব। একমাত্র তাঁকে ছাড়া আর কারো উপাসনা নয়। তিনি জীবন ও মৃত্যু দান করেন। সুতরাং তোমরা সবাই বিশ্বাস স্থাপন করো আল্লাহর উপর তাঁর প্রেরিত উম্মী নবীর উপর, যিনি বিশ্বাস রাখেন আল্লাহর এবং তাঁর সমস্ত কালামের উপর। তাঁর অনুসরণ কর যাতে সরল পথপ্রাপ্ত হতে পার।",
              "numberInSurah": 158,
              "juz": 9,
              "manzil": 2,
              "page": 170,
              "ruku": 141,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআইয়ূহান্না-ছুইন্নী রাছূলুল্লা-হি ইলাইকুম জামী‘আ নিল্লাযী লাহূমুলকুছছামাওয়া-তি ওয়াল আরদি লাইলা-হা ইল্লা-হুওয়া ইউহয়ী ওয়া ইউমীতু ফাআ-মিনূ বিল্লা-হি ওয়া রাছূলিহিন নাবিইয়িল উম্মিইয়িল্লাযী ইউ’মিনুবিল্লা-হি ওয়া কালিমা-তিহী ওয়াত্তাবি‘উহু লা‘আল্লাকুম তাহতাদূ ন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنِّیْ/إِنِّي/inni//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//جَمِیْعَا/جَمِيعًا/jami'an//لَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ۪/وَيُمِيتُۖ/wayumitu//فَاٰمِنُوْا/فَـَٔامِنُواْ/faaminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهِ/وَرَسُولِهِ/warasulihi//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//الْاُمِّیِّ/ٱلۡأُمِّيِّ/al-umiyi//الَّذِیْ/ٱلَّذِي/alladhi//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ كَلِمٰتِهٖ/وَكَلِمَٰتِهِۦ/wakalimatihi//وَ اتَّبِعُوْهُ/وَٱتَّبِعُوهُ/wa-ittabi'uhu//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَهْتَدُوْنَ /تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "বলো//\"হে//\"মানবমন্ডলী//নিশ্চয়ই আমি//রাসূল//আল্লাহর//প্রতি তোমাদের//সকলের জন্যে//যিনি (এমন যে)//জন্যে তাঁরই (রয়েছে)//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//নেই//(কোনো) ইলাহ//ছাড়া//তিনি//তিনি জীবিত করেন//ও মৃত্যু দেন//অতএব তোমরা ঈমান আনো//উপর আল্লাহর//ও তাঁর রাসূলের (উপর)//নাবীর (উপর)//নিরক্ষর//যে//ঈমান আনে//উপর আল্লাহর//ও তাঁর বাণীসমূহের (উপর)//এবং  তোমরা অনুসরণ করো তাঁকেই//সম্ভবতঃ তোমরা//সঠিক পথ পাবে\""
            },
            {
              "number": 1113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1113.mp3"
              ],
              "text": "وَمِن قَوْمِ مُوسَىٰٓ أُمَّةٌۭ يَهْدُونَ بِٱلْحَقِّ وَبِهِۦ يَعْدِلُونَ",
              "translate_bn": "বস্তুতঃ মূসার সম্প্রদায়ে একটি দল রয়েছে যারা সত্যপথ নির্দেশ করে এবং সে মতেই বিচার করে থাকে।",
              "numberInSurah": 159,
              "juz": 9,
              "manzil": 2,
              "page": 170,
              "ruku": 141,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন কাওমি মূছাউম্মাতুইঁ ইয়াহদূনা বিলহাক্কিওয়া বিহী ইয়া‘দিলূন।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//قَوْمِ/قَوۡمِ/qawmi//مُوْسٰۤی/مُوسَىٰٓ/musa//اُمَّةٌ/أُمَّةٞ/ummatun//یَّهْدُوْنَ/يَهۡدُونَ/yahduna//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ بِهٖ/وَبِهِۦ/wabihi//یَعْدِلُوْنَ /يَعۡدِلُونَ/ya'diluna",
              "words_bangla": "এবং মধ্য হতে//জাতির//মূসার//একদল (এমনও ছিলো)//(যারা) পথ দেখায়//প্রতি সত্যের//এবং দিয়ে তা//তারা ন্যায় বিচার করে"
            },
            {
              "number": 1114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1114.mp3"
              ],
              "text": "وَقَطَّعْنَٰهُمُ ٱثْنَتَىْ عَشْرَةَ أَسْبَاطًا أُمَمًۭا ۚ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ إِذِ ٱسْتَسْقَىٰهُ قَوْمُهُۥٓ أَنِ ٱضْرِب بِّعَصَاكَ ٱلْحَجَرَ ۖ فَٱنۢبَجَسَتْ مِنْهُ ٱثْنَتَا عَشْرَةَ عَيْنًۭا ۖ قَدْ عَلِمَ كُلُّ أُنَاسٍۢ مَّشْرَبَهُمْ ۚ وَظَلَّلْنَا عَلَيْهِمُ ٱلْغَمَٰمَ وَأَنزَلْنَا عَلَيْهِمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ ۖ كُلُوا۟ مِن طَيِّبَٰتِ مَا رَزَقْنَٰكُمْ ۚ وَمَا ظَلَمُونَا وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "আর আমি পৃথক পৃথক করে দিয়েছি তাদের বার জন পিতামহের সন্তানদেরকে বিরাট বিরাট দলে, এবং নির্দেশ দিয়েছি মুসাকে, যখন তার কাছে তার সম্প্রদায় পানি চাইল যে, স্বীয় যষ্টির দ্বারা আঘাত কর এ পাথরের উপর। অতঃপর এর ভেতর থেকে ফুটে বের হল বারটি প্রস্রবণ। প্রতিটি গোত্র চিনে নিল নিজ নিজ ঘাঁটি। আর আমি ছায়া দান করলাম তাদের উপর মেঘের এবং তাদের জন্য অবতীর্ন করলাম মান্না ও সালওয়া। যে পরিচ্ছন্ন বস্তুত জীবিকারূপে আমি তোমাদের দিয়েছি, তা থেকে তোমরা ভক্ষণ কর। বস্তুতঃ তারা আমার কোন ক্ষতি করেনি, বরং ক্ষতি করেছে নিজেদেরই।",
              "numberInSurah": 160,
              "juz": 9,
              "manzil": 2,
              "page": 171,
              "ruku": 141,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "য়া কাত্তা‘না-হুমুছনাতাই ‘আশরাতা আছবা-তান উমামা- ওয়াআওহাইনাইলামূছা-ইযিছতাছকা-হু কাওমুহূআনিদরিব বি‘আসা-কাল হাজারা ফামবাজাছাত মিনহুছনাতা- ‘আশরাতা ‘আইনান কাদ ‘আলিমা কুল্লুউনা-ছিম মাশরাবহুম ওয়াজাল্লালনা-‘আলাইহিমুল গামা-মা ওয়া আনঝালনা-‘আলাইহিমুল মান্না ওয়াছছালওয়া- কুলূমিন তাইয়িবা-তি মা-রাঝাকনা-কুম ওয়া মা-জালামূনা-ওয়ালা-কিন কা-নূ আনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "وَ قَطَّعْنٰهُمُ/وَقَطَّعۡنَٰهُمُ/waqatta'nahumu//اثْنَتَیْ/ٱثۡنَتَيۡ/ith'natay//عَشْرَةَ/عَشۡرَةَ/ashrata//اَسْبَاطًا/أَسۡبَاطًا/asbatan//اُمَمًا ؕ/أُمَمٗاۚ/umaman//وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰۤی/مُوسَىٰٓ/musa//اِذِ/إِذِ/idhi//اسْتَسْقٰىهُ/ٱسۡتَسۡقَىٰهُ/is'tasqahu//قَوْمُهٗۤ/قَوۡمُهُۥٓ/qawmuhu//اَنِ/أَنِ/ani//اضْرِبْ/ٱضۡرِب/id'rib//بِّعَصَاكَ/بِّعَصَاكَ/bi'asaka//الْحَجَرَ ۚ/ٱلۡحَجَرَۖ/al-hajara//فَانْۢبَجَسَتْ/فَٱنۢبَجَسَتۡ/fa-inbajasat//مِنْهُ/مِنۡهُ/min'hu//اثْنَتَا/ٱثۡنَتَا/ith'nata//عَشْرَةَ/عَشۡرَةَ/ashrata//عَیْنًا ؕ/عَيۡنٗاۖ/aynan//قَدْ/قَدۡ/qad//عَلِمَ/عَلِمَ/alima//كُلُّ/كُلُّ/kullu//اُنَاسٍ/أُنَاسٖ/unasin//مَّشْرَبَهُمْ ؕ/مَّشۡرَبَهُمۡۚ/mashrabahum//وَ ظَلَّلْنَا/وَظَلَّلۡنَا/wazallalna//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْغَمَامَ/ٱلۡغَمَٰمَ/al-ghamama//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْمَنَّ/ٱلۡمَنَّ/al-mana//وَالسَّلْوٰی ؕ/وَٱلسَّلۡوَىٰۖ/wal-salwa//كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَا/مَا/ma//رَزَقْنٰكُمْ ؕ/رَزَقۡنَٰكُمۡۚ/razaqnakum//وَ مَا/وَمَا/wama//ظَلَمُوْنَا/ظَلَمُونَا/zalamuna//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "এবং আমরা বিভক্ত করেছিলাম তাদেরকে//বারো//বারো//গোত্র//দলে//এবং আমরা ওহী করলাম//প্রতি//মূসার//যখন//তার কাছে পানি চাইলো//তার জাতি//যে//\"আঘাত করো//তোমার লাঠি দিয়ে//পাথরকে\"//ফলে ফেটে বের হলো//থেকে তা//বারোটি//বারোটি//ঝর্ণা//নিশ্চয়ই//চিনে নিলো//প্রত্যেক//(গোত্রের) মানুষ//পানস্থান তাদের//এবং ছায়া করলাম আমরা//উপর তাদের//মেঘমালার//এবং অবতীর্ণ করলাম আমরা//উপর তাদের//মান্না'//ও \"সালওয়া\"//\"(এবং বললাম) তোমরা খাও//থেকে//পবিত্র বস্তুগুলো//যা//আমরা জীবিকা দিয়েছি তোমাদের\"//এবং না//তারা আমার উপর অন্যায় করেছে//কিন্তু//তারা ছিলো//নিজেদের উপর তাদের//অন্যায় করতো"
            },
            {
              "number": 1115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1115.mp3"
              ],
              "text": "وَإِذْ قِيلَ لَهُمُ ٱسْكُنُوا۟ هَٰذِهِ ٱلْقَرْيَةَ وَكُلُوا۟ مِنْهَا حَيْثُ شِئْتُمْ وَقُولُوا۟ حِطَّةٌۭ وَٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًۭا نَّغْفِرْ لَكُمْ خَطِيٓـَٰٔتِكُمْ ۚ سَنَزِيدُ ٱلْمُحْسِنِينَ",
              "translate_bn": "আর যখন তাদের প্রতি নির্দেশ হল যে, তোমরা এ নগরীতে বসবাস কর এবং খাও তা থেকে যেখান থেকে ইচ্ছা এবং বল, আমাদের ক্ষমা করুন। আর দরজা দিয়ে প্রবেশ কর প্রণত অবস্থায়। তবে আমি ক্ষমা করে দেব তোমাদের পাপসমুহ। অবশ্য আমি সৎকর্মীদিগকে অতিরিক্ত দান করব।",
              "numberInSurah": 161,
              "juz": 9,
              "manzil": 2,
              "page": 171,
              "ruku": 141,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকীলা লাহুমুছ কুনূহা-যিহিল কারইয়াতা ওয়া কুলূমিনহা-হাইছুশি’তুম ওয়া কূলূহিত্তাতুওঁ ওয়াদখুলুল বা-বা ছুজ্জাদান নাগফিরলাকুম খাতিূআ-তিকুম ছানাঝীদুল মুহছিনীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//اسْكُنُوْا/ٱسۡكُنُواْ/us'kunu//هٰذِهِ/هَٰذِهِ/hadhihi//الْقَرْیَةَ/ٱلۡقَرۡيَةَ/al-qaryata//وَ كُلُوْا/وَكُلُواْ/wakulu//مِنْهَا/مِنۡهَا/min'ha//حَیْثُ/حَيۡثُ/haythu//شِئْتُمْ/شِئۡتُمۡ/shi'tum//وَ قُوْلُوْا/وَقُولُواْ/waqulu//حِطَّةٌ/حِطَّةٞ/hittatun//وَّ ادْخُلُوا/وَٱدۡخُلُواْ/wa-ud'khulu//الْبَابَ/ٱلۡبَابَ/al-baba//سُجَّدًا/سُجَّدٗا/sujjadan//نَّغْفِرْ/نَّغۡفِرۡ/naghfir//لَكُمْ/لَكُمۡ/lakum//خَطِیْٓـٰٔتِكُمْ ؕ/خَطِيٓـَٰٔتِكُمۡۚ/khatiatikum//سَنَزِیْدُ/سَنَزِيدُ/sanazidu//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং যখন//বলা হয়েছিলো//উদ্দেশ্যে তাদের//\"তোমরা বাস করো//এই//জনপদে//এবং তোমরা খাও//হতে তা//যেখান (থেকে)//তোমরা চাও//ও তোমরা বলো//\"হিত্তাতুন (ক্ষমা চাই)\"//এবং তোমরা প্রবেশ করো//দরজায়//মাথা নত করে//আমরা ক্ষমা করবো//জন্যে তোমাদের//পাপসমূহকে তোমাদের//শীঘ্রই আমরা বৃদ্ধি করবো (অনুগ্রহ)//সৎকর্মশীলদের (জন্যে)\""
            },
            {
              "number": 1116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1116.mp3"
              ],
              "text": "فَبَدَّلَ ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ قَوْلًا غَيْرَ ٱلَّذِى قِيلَ لَهُمْ فَأَرْسَلْنَا عَلَيْهِمْ رِجْزًۭا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَظْلِمُونَ",
              "translate_bn": "অনন্তর জালেমরা এতে অন্য শব্দ বদলে দিল তার পরিবর্তে, যা তাদেরকে বলা হয়েছিল। সুতরাং আমি তাদের উপর আযাব পাঠিয়েছি আসমান থেকে তাদের অপকর্মের কারণে।",
              "numberInSurah": 162,
              "juz": 9,
              "manzil": 2,
              "page": 171,
              "ruku": 141,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ফাবাদ্দালাল্লাযীনা জালামূমিনহুম কাওলান গাইরাল্লাযীকীলা লাহুম ফাআরছালনা‘আলাইহিম রিজঝাম মিনাছছামাই বিমা-কা-নূইয়াজলিমূন।",
              "words_arabic": "فَبَدَّلَ/فَبَدَّلَ/fabaddala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْهُمْ/مِنۡهُمۡ/min'hum//قَوْلًا/قَوۡلًا/qawlan//غَیْرَ/غَيۡرَ/ghayra//الَّذِیْ/ٱلَّذِي/alladhi//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رِجْزًا/رِجۡزٗا/rij'zan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَظْلِمُوْنَ۠/يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "অতঃপর বদলে দিলো//যারা//সীমালঙ্ঘন করেছিলো//মধ্য হতে তাদের//কথাকে//অন্য কিছুতে//যা//বলা হয়েছিলো//উদ্দেশ্যে তাদের//ফলে আমরা পাঠিয়েছি//উপর তাদের//শাস্তি//হতে//আকাশ//এ কারণে যে//তারা ছিলো//তারা সীমালঙ্ঘন করতে"
            },
            {
              "number": 1117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1117.mp3"
              ],
              "text": "وَسْـَٔلْهُمْ عَنِ ٱلْقَرْيَةِ ٱلَّتِى كَانَتْ حَاضِرَةَ ٱلْبَحْرِ إِذْ يَعْدُونَ فِى ٱلسَّبْتِ إِذْ تَأْتِيهِمْ حِيتَانُهُمْ يَوْمَ سَبْتِهِمْ شُرَّعًۭا وَيَوْمَ لَا يَسْبِتُونَ ۙ لَا تَأْتِيهِمْ ۚ كَذَٰلِكَ نَبْلُوهُم بِمَا كَانُوا۟ يَفْسُقُونَ",
              "translate_bn": "আর তাদের কাছে সে জনপদের অবস্থা সম্পর্কে জিজ্ঞেস কর যা ছিল নদীর তীরে অবস্থিত। যখন শনিবার দিনের নির্দেশের ব্যাপারে সীমাতিক্রম করতে লাগল, যখন আসতে লাগল মাছগুলো তাদের কাছে শনিবার দিন পানির উপর, আর যেদিন শনিবার হত না, আসত না। এভাবে আমি তাদেরকে পরীক্ষা করেছি। কারণ, তারা ছিল নাফরমান।",
              "numberInSurah": 163,
              "juz": 9,
              "manzil": 2,
              "page": 171,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়াছআলহুম ‘আনিল কারইয়াতিল্লাতী কা-নাত হা-দিরাতাল বাহর । ইযইয়া‘দূ না ফিছছাবতি ইয তা’তীহিম হীতা-নুহুম ইয়াওমা ছাবতিহিম শুররা‘আওঁ ওয়া ইয়াওমা লাইয়াছবিতূনা লা-তা’তীহিম কাযা-লিকা নাবলূহুম বিমা-কা-নূইয়াফছুকূন।",
              "words_arabic": "وَ سْـَٔلْهُمْ/وَسۡـَٔلۡهُمۡ/wasalhum//عَنِ/عَنِ/ani//الْقَرْیَةِ/ٱلۡقَرۡيَةِ/al-qaryati//الَّتِیْ/ٱلَّتِي/allati//كَانَتْ/كَانَتۡ/kanat//حَاضِرَةَ/حَاضِرَةَ/hadirata//الْبَحْرِ ۘ/ٱلۡبَحۡرِ/al-bahri//اِذْ/إِذۡ/idh//یَعْدُوْنَ/يَعۡدُونَ/ya'duna//فِی/فِي/fi//السَّبْتِ/ٱلسَّبۡتِ/al-sabti//اِذْ/إِذۡ/idh//تَاْتِیْهِمْ/تَأۡتِيهِمۡ/tatihim//حِیْتَانُهُمْ/حِيتَانُهُمۡ/hitanuhum//یَوْمَ/يَوۡمَ/yawma//سَبْتِهِمْ/سَبۡتِهِمۡ/sabtihim//شُرَّعًا/شُرَّعٗا/shurra'an//وَّ یَوْمَ/وَيَوۡمَ/wayawma//لَا/لَا/la//یَسْبِتُوْنَ ۙ/يَسۡبِتُونَ/yasbituna//لَا/لَا/la//تَاْتِیْهِمْ ۛۚ/تَأۡتِيهِمۡۚ/tatihim//كَذٰلِكَ ۛۚ/كَذَٰلِكَ/kadhalika//نَبْلُوْهُمْ/نَبۡلُوهُم/nabluhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْسُقُوْنَ /يَفۡسُقُونَ/yafsuquna",
              "words_bangla": "এবং জিজ্ঞেস করো তাদেরকে//সম্বন্ধে//জনপদ//যা//ছিলো//অবস্থিত//সাগর(তীরে)//যখন//তারা সীমালঙ্ঘন করতো//ব্যাপারে//শনিবারের (নির্দেশের)//যখন//কাছে আসতো তাদের//মাছগুলো তাদের//দিনে//শনিবারের তাদের//ভেসে ভেসে//এবং (অন্য)দিনে//(যখন) না//শনিবার পালন করতো//না//কাছে আসতো তাদের (মাছ)//এভাবে//পরীক্ষা করি আমরা তাদের//এ কারণে যে//তারা ছিলো//তারা অবাধ্যতা করতে"
            },
            {
              "number": 1118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1118.mp3"
              ],
              "text": "وَإِذْ قَالَتْ أُمَّةٌۭ مِّنْهُمْ لِمَ تَعِظُونَ قَوْمًا ۙ ٱللَّهُ مُهْلِكُهُمْ أَوْ مُعَذِّبُهُمْ عَذَابًۭا شَدِيدًۭا ۖ قَالُوا۟ مَعْذِرَةً إِلَىٰ رَبِّكُمْ وَلَعَلَّهُمْ يَتَّقُونَ",
              "translate_bn": "আর যখন তাদের মধ্যে থেকে এক সম্প্রদায় বলল, কেন সে লোকদের সদুপদেশ দিচ্ছেন, যাদেরকে আল্লাহ ধ্বংস করে দিতে চান কিংবা আযাব দিতে চান কঠিন আযাব? সে বললঃ তোমাদের পালনকর্তার সামনে দোষ ফুরাবার জন্য এবং এজন্য যেন তারা ভীত হয়।",
              "numberInSurah": 164,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লাত উম্মাতুম মিনহুম লিমা তা‘ইজূনা কাওমানিল্লা-হু মুহলিকুহুম আও মু‘আযযিবুহুম ‘আযা-বান শাদীদান কা-লূমা‘যিরাতান ইলা-রাব্বিকুম ওয়া লা‘আল্লাহুম ইয়াত্তাকূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَتْ/قَالَتۡ/qalat//اُمَّةٌ/أُمَّةٞ/ummatun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//لِمَ/لِمَ/lima//تَعِظُوْنَ/تَعِظُونَ/ta'izuna//قَوْمَا ۙ/قَوۡمًا/qawman//للّٰهُ/ٱللَّهُ/al-lahu//مُهْلِكُهُمْ/مُهۡلِكُهُمۡ/muh'likuhum//اَوْ/أَوۡ/aw//مُعَذِّبُهُمْ/مُعَذِّبُهُمۡ/mu'adhibuhum//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا ؕ/شَدِيدٗاۖ/shadidan//قَالُوْا/قَالُواْ/qalu//مَعْذِرَةً/مَعۡذِرَةً/ma'dhiratan//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//وَ لَعَلَّهُمْ/وَلَعَلَّهُمۡ/wala'allahum//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "এবং যখন//বলেছিলো//একদল//মধ্যহতে তাদের//\"কেন//তোমরা সদুপদেশ দাও//(এমন) সম্প্রদায়কে//আল্লাহ//ধ্বংসকারী যাদের//অথবা//শাস্তিদাতা তাদের//শাস্তি//কঠোর\"//তারা বলেছিলো//\"অজুহাত পেশ(করার জন্যে)//কাছে//তোমাদের রবের//ও যাতে তারা//সংযত হয়\""
            },
            {
              "number": 1119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1119.mp3"
              ],
              "text": "فَلَمَّا نَسُوا۟ مَا ذُكِّرُوا۟ بِهِۦٓ أَنجَيْنَا ٱلَّذِينَ يَنْهَوْنَ عَنِ ٱلسُّوٓءِ وَأَخَذْنَا ٱلَّذِينَ ظَلَمُوا۟ بِعَذَابٍۭ بَـِٔيسٍۭ بِمَا كَانُوا۟ يَفْسُقُونَ",
              "translate_bn": "অতঃপর যখন তারা সেসব বিষয় ভুলে গেল, যা তাদেরকে বোঝানো হয়েছিল, তখন আমি সেসব লোককে মুক্তি দান করলাম যারা মন্দ কাজ থেকে বারণ করত। আর পাকড়াও করলাম, গোনাহগারদেরকে নিকৃষ্ট আযাবের মাধ্যমে তাদের না-ফরমানীর দরুন।",
              "numberInSurah": 165,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- নাছূ মা-যুক্কিরূ বিহীআনজাইনাল্লাযীনা ইয়ানহাওনা ‘আনিছছূইওয়া আখাযনাল্লাযীনা জালামূবি‘আযা-বিম বাঈছিম বিমা-কা-নূইয়াফছুকূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//نَسُوْا/نَسُواْ/nasu//مَا/مَا/ma//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِهٖۤ/بِهِۦٓ/bihi//اَنْجَیْنَا/أَنجَيۡنَا/anjayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَنْهَوْنَ/يَنۡهَوۡنَ/yanhawna//عَنِ/عَنِ/ani//السُّوْٓءِ/ٱلسُّوٓءِ/al-sui//وَ اَخَذْنَا/وَأَخَذۡنَا/wa-akhadhna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//بِعَذَابٍۭ/بِعَذَابِۭ/bi'adhabin//بَىِٕیْسٍۭ/بَـِٔيسِۭ/baisin//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْسُقُوْنَ /يَفۡسُقُونَ/yafsuquna",
              "words_bangla": "অতঃপর যখন//তারা ভুলে গেলো//যা//তাদের উপদেশ দেয়া হয়েছিলো//সম্বন্ধে সে//উদ্ধার করলাম আমরা//(তাদেরকে) যারা//বিরত ছিলো//হতে//মন্দ//ও ধরলাম আমরা (তাদেরকে)//যারা//সীমালঙ্ঘন করেছিলো//দিয়ে শাস্তি//ভয়ানক//এ কারণে যা//তারা ছিলো//তারা অবাধ্যতা করতে"
            },
            {
              "number": 1120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1120.mp3"
              ],
              "text": "فَلَمَّا عَتَوْا۟ عَن مَّا نُهُوا۟ عَنْهُ قُلْنَا لَهُمْ كُونُوا۟ قِرَدَةً خَٰسِـِٔينَ",
              "translate_bn": "তারপর যখন তারা এগিয়ে যেতে লাগল সে কর্মে যা থেকে তাদের বারণ করা হয়েছিল, তখন আমি নির্দেশ দিলাম যে, তোমরা লাঞ্ছিত বানর হয়ে যাও।",
              "numberInSurah": 166,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-‘আতাও ‘আম্মা-নুহূ‘আনহু কুলনা-লাহুম কূনূকিরাদাতান খা-ছিঈন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//عَتَوْا/عَتَوۡاْ/ataw//عَنْ/عَن/an//مَّا/مَّا/ma//نُهُوْا/نُهُواْ/nuhu//عَنْهُ/عَنۡهُ/anhu//قُلْنَا/قُلۡنَا/qul'na//لَهُمْ/لَهُمۡ/lahum//كُوْنُوْا/كُونُواْ/kunu//قِرَدَةً/قِرَدَةً/qiradatan//خٰسِىِٕیْنَ /خَٰسِـِٔينَ/khasiina",
              "words_bangla": "অতঃপর যখন//তারা ঔদ্ধত্য প্রদর্শন করলো//(তা) হতে//যা//তাদেরকে নিষেধ করা হয়েছিলো//থেকে তা//আমরা বললাম//উদ্দেশ্যে তাদের//\"তোমরা হও//বানর//ঘৃণিত\""
            },
            {
              "number": 1121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1121.mp3"
              ],
              "text": "وَإِذْ تَأَذَّنَ رَبُّكَ لَيَبْعَثَنَّ عَلَيْهِمْ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ مَن يَسُومُهُمْ سُوٓءَ ٱلْعَذَابِ ۗ إِنَّ رَبَّكَ لَسَرِيعُ ٱلْعِقَابِ ۖ وَإِنَّهُۥ لَغَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর সে সময়ের কথা স্মরণ কর, যখন তোমার পালনকর্তা সংবাদ দিয়েছেন যে, অবশ্যই কেয়ামত দিবস পর্যন্ত ইহুদীদের উপর এমন লোক পাঠাতে থাকবেন যারা তাদেরকে নিকৃষ্ট শাস্তি দান করতে থাকবে। নিঃসন্দেহে তোমার পালনকর্তা শীঘ্র শাস্তি দানকারী এবং তিনি ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 167,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযতাআযযানা রাব্বুকা লাইয়াব‘আছান্না ‘আলাইহিম ইলা-ইয়াওমিল কিয়া-মাতি মাইঁ ইয়াছূমূহুম ছূআল ‘আযা-বি ইন্না রাব্বাকা লাছারী‘উল ইকা-বি ওয়া ইন্নাহূ লাগাফূরুর রাহীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//تَاَذَّنَ/تَأَذَّنَ/ta-adhana//رَبُّكَ/رَبُّكَ/rabbuka//لَیَبْعَثَنَّ/لَيَبۡعَثَنَّ/layab'athanna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مَنْ/مَن/man//یَّسُوْمُهُمْ/يَسُومُهُمۡ/yasumuhum//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ ؕ/ٱلۡعَذَابِۗ/al-'adhabi//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//لَسَرِیْعُ/لَسَرِيعُ/lasari'u//الْعِقَابِ ۖۚ/ٱلۡعِقَابِ/al-'iqabi//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "ও স্মরণ করো//ঘোষণা দেন//তোমার রব//অবশ্যই তিনি পাঠাবেন//উপর তাদের//পর্যন্ত//দিন//ক্বিয়ামাতের//(এমন লোকদের) যারা//কষ্ট দিবে তাদেরকে//নিকৃষ্ট//শাস্তি (দিয়ে)//নিশ্চয়ই//তোমার রব//অবশ্যই দ্রুত//দন্ডদানে//এবং নিশ্চয়ই তিনি//অবশ্যই ক্ষমাশীলও//পরম দয়ালু"
            },
            {
              "number": 1122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1122.mp3"
              ],
              "text": "وَقَطَّعْنَٰهُمْ فِى ٱلْأَرْضِ أُمَمًۭا ۖ مِّنْهُمُ ٱلصَّٰلِحُونَ وَمِنْهُمْ دُونَ ذَٰلِكَ ۖ وَبَلَوْنَٰهُم بِٱلْحَسَنَٰتِ وَٱلسَّيِّـَٔاتِ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "আর আমি তাদেরকে বিভক্ত করে দিয়েছি দেশময় বিভিন্ন শ্রেনীতে, তাদের মধ্যে কিছু রয়েছে ভাল আর কিছু রয়েছে অন্য রকম! তাছাড়া আমি তাদেরকে পরীক্ষা করেছি ভাল ও মন্দের মাধ্যমে যাতে তারা ফিরে আসে।",
              "numberInSurah": 168,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাত্তা‘না-হুম ফিল আরদিউমামান মিনহুমুসসা-লিহূনা ওয়া মিনহুম দূ না যালিকা ওয়া বালাওনা-হুম বিলহাছানা-তি ওয়াছছাইয়িআ-তি লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ قَطَّعْنٰهُمْ/وَقَطَّعۡنَٰهُمۡ/waqatta'nahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اُمَمًا ۚ/أُمَمٗاۖ/umaman//مِنْهُمُ/مِّنۡهُمُ/min'humu//الصّٰلِحُوْنَ/ٱلصَّـٰلِحُونَ/al-salihuna//وَ مِنْهُمْ/وَمِنۡهُمۡ/wamin'hum//دُوْنَ/دُونَ/duna//ذٰلِكَ ؗ/ذَٰلِكَۖ/dhalika//وَ بَلَوْنٰهُمْ/وَبَلَوۡنَٰهُم/wabalawnahum//بِالْحَسَنٰتِ/بِٱلۡحَسَنَٰتِ/bil-hasanati//وَ السَّیِّاٰتِ/وَٱلسَّيِّـَٔاتِ/wal-sayiati//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং আমরা বিভক্ত করি তাদের//মধ্যে//পৃথিবীর//(বিভিন্ন) দলে//কেউ তাদের (ছিলো)//সৎকর্মশীল//আবার কেউ তাদের (ছিলো)//নয় এরূপ//তা//এবং আমরা পরীক্ষা করি তাদের//দিয়ে (অনেক) কল্যাণ//ও অমঙ্গলসমূহ (দিয়েও)//যাতে তারা//ফিরে আসে"
            },
            {
              "number": 1123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1123.mp3"
              ],
              "text": "فَخَلَفَ مِنۢ بَعْدِهِمْ خَلْفٌۭ وَرِثُوا۟ ٱلْكِتَٰبَ يَأْخُذُونَ عَرَضَ هَٰذَا ٱلْأَدْنَىٰ وَيَقُولُونَ سَيُغْفَرُ لَنَا وَإِن يَأْتِهِمْ عَرَضٌۭ مِّثْلُهُۥ يَأْخُذُوهُ ۚ أَلَمْ يُؤْخَذْ عَلَيْهِم مِّيثَٰقُ ٱلْكِتَٰبِ أَن لَّا يَقُولُوا۟ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ وَدَرَسُوا۟ مَا فِيهِ ۗ وَٱلدَّارُ ٱلْءَاخِرَةُ خَيْرٌۭ لِّلَّذِينَ يَتَّقُونَ ۗ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "তারপর তাদের পেছনে এসেছে কিছু অপদার্থ, যারা উত্তরাধিকারী হয়েছে কিতাবের; তারা নিকৃষ্ট পার্থিব উপকরণ আহরণ করছে এবং বলছে, আমাদের ক্ষমা করে দেয়া হবে। বস্তুতঃ এমনি ধরনের উপকরণ যদি আবারো তাদের সামনে উপস্থিত হয়, তবে তাও তুলে নেবে। তাদের কাছথেকে কিতাবে কি অঙ্গীকার নেয়া হয়নি যে, আল্লাহর প্রতি সত্য ছাড়া কিছু বলবে না? অথচ তারা সে সবই পাঠ করেছে, যা তাতে লেখা রয়েছে। বস্তুতঃ আখেরাতের আলয় ভীতদের জন্য উত্তম-তোমরা কি তা বোঝ না ?",
              "numberInSurah": 169,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ফাখালাফা মিমবা‘দিহিম খালফুওঁ ওয়ারিছুলকিতা-বা ইয়া’খুযূনা ‘আরাদাহা-যাল আদনা-ওয়া ইয়াকূলূনা ছাইউগফারুলানা ওয়া ইয়ঁইয়া’তিহিম ‘আরাদুম মিছলুহূ ইয়া’খুযূহু; আলাম ই’খায‘আলাইহিম মীছা-কুল কিতা-বি আল্লাইয়াকূলূ‘আলাল্লা-হি ইল্লাল হাক্কা ওয়া দারাছূমা-ফীহি ওয়াদ্দা-রুল আ-খিরাতুখাইরুল লিল্লাযীনা ইয়াত্তাকূনা আফালা-তা‘কিলূন।",
              "words_arabic": "فَخَلَفَ/فَخَلَفَ/fakhalafa//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//خَلْفٌ/خَلۡفٞ/khalfun//وَّرِثُوا/وَرِثُواْ/warithu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَاْخُذُوْنَ/يَأۡخُذُونَ/yakhudhuna//عَرَضَ/عَرَضَ/arada//هٰذَا/هَٰذَا/hadha//الْاَدْنٰی/ٱلۡأَدۡنَىٰ/al-adna//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//سَیُغْفَرُ/سَيُغۡفَرُ/sayugh'faru//لَنَا ۚ/لَنَا/lana//وَ اِنْ/وَإِن/wa-in//یَّاْتِهِمْ/يَأۡتِهِمۡ/yatihim//عَرَضٌ/عَرَضٞ/aradun//مِّثْلُهٗ/مِّثۡلُهُۥ/mith'luhu//یَاْخُذُوْهُ ؕ/يَأۡخُذُوهُۚ/yakhudhuhu//اَلَمْ/أَلَمۡ/alam//یُؤْخَذْ/يُؤۡخَذۡ/yu'khadh//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّیْثَاقُ/مِّيثَٰقُ/mithaqu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اَنْ/أَن/an//لَّا/لَّا/la//یَقُوْلُوْا/يَقُولُواْ/yaqulu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ دَرَسُوْا/وَدَرَسُواْ/wadarasu//مَا/مَا/ma//فِیْهِ ؕ/فِيهِۗ/fihi//وَ الدَّارُ/وَٱلدَّارُ/wal-daru//الْاٰخِرَةُ/ٱلۡأٓخِرَةُ/al-akhiratu//خَیْرٌ/خَيۡرٞ/khayrun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یَتَّقُوْنَ ؕ/يَتَّقُونَۚ/yattaquna//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "অতঃপর স্থলাভিষিক্ত হলো//থেকে//পর তাদের//(অযোগ্য) উত্তরপুরুষরা//(যারা) উত্তরাধিকারী হয়েছিলো//কিতাবের//তারা গ্রহণ করে//জীবন সামগ্রীকে//এই//(দুনিয়ার) তুচ্ছ//ও তারা বলে//\"ক্ষমা করে দেয়া হবে\"//\"আমাদেরকে\"//এবং (আবারও) যদি//কাছে আসে তাদের//জীবন সামগ্রী//অনুরূপ তার//তারা গ্রহণ করে তা//কি নি//গ্রহন করা হয়//থেকে তাদের//প্রতিশ্রুতি//কিতাবের//যে//না//তারা বলবে//সম্বন্ধে//আল্লাহ//ছাড়া//সত্য//অথচ তারা অধ্যয়ন করেছে//যা//মধ্যে তার (রয়েছে)//ঘর//আখেরাতের//উত্তম//(তাদের) জন্যে যারা//তাক্বওয়া অবলম্বন করে//কি তবে না//তোমরা বুঝো"
            },
            {
              "number": 1124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1124.mp3"
              ],
              "text": "وَٱلَّذِينَ يُمَسِّكُونَ بِٱلْكِتَٰبِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ إِنَّا لَا نُضِيعُ أَجْرَ ٱلْمُصْلِحِينَ",
              "translate_bn": "আর যেসব লোক সুদৃঢ়ভাবে কিতাবকে আঁকড়ে থাকে এবং নামায প্রতিষ্ঠা করে নিশ্চয়ই আমি বিনষ্ট করব না সৎকর্মীদের সওয়াব।",
              "numberInSurah": 170,
              "juz": 9,
              "manzil": 2,
              "page": 172,
              "ruku": 142,
              "hizbQuarter": 68,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউমাছছিকূনা বিলকিতা-বি ওয়া আকা-মুসসালা-তা ইন্না-লা-নুদী‘উ আজরাল মুসলিহীন",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُمَسِّكُوْنَ/يُمَسِّكُونَ/yumassikuna//بِالْكِتٰبِ/بِٱلۡكِتَٰبِ/bil-kitabi//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ ؕ/ٱلصَّلَوٰةَ/al-salata//اِنَّا/إِنَّا/inna//لَا/لَا/la//نُضِیْعُ/نُضِيعُ/nudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُصْلِحِیْنَ /ٱلۡمُصۡلِحِينَ/al-mus'lihina",
              "words_bangla": "এবং যারা//আঁকড়ে থাকে//নিয়ে কিতাব//ও প্রতিষ্ঠা করে//সালাতকে//নিশ্চয়ই আমরা//না//আমরা নষ্ট করি//প্রতিফল//সৎকর্মশীলদের"
            },
            {
              "number": 1125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1125.mp3"
              ],
              "text": "۞ وَإِذْ نَتَقْنَا ٱلْجَبَلَ فَوْقَهُمْ كَأَنَّهُۥ ظُلَّةٌۭ وَظَنُّوٓا۟ أَنَّهُۥ وَاقِعٌۢ بِهِمْ خُذُوا۟ مَآ ءَاتَيْنَٰكُم بِقُوَّةٍۢ وَٱذْكُرُوا۟ مَا فِيهِ لَعَلَّكُمْ تَتَّقُونَ",
              "translate_bn": "আর যখন আমি তুলে ধরলাম পাহাড়কে তাদের উপরে সামিয়ানার মত এবং তারা ভয় করতে লাগল যে, সেটি তাদের উপর পড়বে, তখন আমি বললাম, ধর, যা আমি তোমাদের দিয়েছি, দৃঢ়ভাবে এবং স্মরণ রেখো যা তাতে রয়েছে, যেন তোমরা বাঁচতে পার।",
              "numberInSurah": 171,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 142,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযনাতাকনাল জাবালা ফাওকাহুম কাআন্নাহূজু ল্লাতুওঁ ওয়া জান্নূ আন্নাহূওয়াকি‘উম বিহিম খুযূমাআ-তাইনা-কুম বিকুওওয়াতিওঁ ওয়াযকুরূমা-ফিহি লা‘আল্লাকুম তাত্তাকূন।",
              "words_arabic": "وَ اِذْ/۞وَإِذۡ/wa-idh//نَتَقْنَا/نَتَقۡنَا/nataqna//الْجَبَلَ/ٱلۡجَبَلَ/al-jabala//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//كَاَنَّهٗ/كَأَنَّهُۥ/ka-annahu//ظُلَّةٌ/ظُلَّةٞ/zullatun//وَّ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنَّهٗ/أَنَّهُۥ/annahu//وَاقِعٌۢ/وَاقِعُۢ/waqi'un//بِهِمْ ۚ/بِهِمۡ/bihim//خُذُوْا/خُذُواْ/khudhu//مَاۤ/مَآ/ma//اٰتَیْنٰكُمْ/ءَاتَيۡنَٰكُم/ataynakum//بِقُوَّةٍ/بِقُوَّةٖ/biquwwatin//وَّ اذْكُرُوْا/وَٱذۡكُرُواْ/wa-udh'kuru//مَا/مَا/ma//فِیْهِ/فِيهِ/fihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَتَّقُوْنَ۠/تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং যখন//উপরে তুলে ধরেছিলাম আমরা//পাহাড়কে//উপর তাদের//যেন তা (হলো)//(সামিয়ানা) ছায়া//ও তারা মনে করলো//যেন তা//পড়বে//উপর তাদের//(বললাম) তোমরা আঁকড়ে ধরো//যা//আমরা দিয়েছি তোমাদের//ভাবে দৃঢ়//এবং তোমরা স্মরণ রাখো//যা//মধ্যে তার (আছে)//যাতে তোমরা//(ভুল আচরণ হতে) বেঁচে চলতে পারো\""
            },
            {
              "number": 1126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1126.mp3"
              ],
              "text": "وَإِذْ أَخَذَ رَبُّكَ مِنۢ بَنِىٓ ءَادَمَ مِن ظُهُورِهِمْ ذُرِّيَّتَهُمْ وَأَشْهَدَهُمْ عَلَىٰٓ أَنفُسِهِمْ أَلَسْتُ بِرَبِّكُمْ ۖ قَالُوا۟ بَلَىٰ ۛ شَهِدْنَآ ۛ أَن تَقُولُوا۟ يَوْمَ ٱلْقِيَٰمَةِ إِنَّا كُنَّا عَنْ هَٰذَا غَٰفِلِينَ",
              "translate_bn": "আর যখন তোমার পালনকর্তা বনী আদমের পৃষ্টদেশ থেকে বের করলেন তাদের সন্তানদেরকে এবং নিজের উপর তাদেরকে প্রতিজ্ঞা করালেন, আমি কি তোমাদের পালনকর্তা নই ? তারা বলল, অবশ্যই, আমরা অঙ্গীকার করছি। আবার না কেয়ামতের দিন বলতে শুরু কর যে, এ বিষয়টি আমাদের জানা ছিল না।",
              "numberInSurah": 172,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয আখাযা রাব্বুকা মিম বানীআ-দামা মিন জুহূরিহিম যুররিইইয়াতাহুম ওয়া আশহাদাহুম ‘আলাআনফুছিহিম আলাছতুবিরাব্বিকুম কা-লূবালা-শাহিদনা আন তাকূলূইয়াওমাল কিয়া-মাতি ইন্না-কুন্না-‘আন হা-যা-গা-ফিলীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذَ/أَخَذَ/akhadha//رَبُّكَ/رَبُّكَ/rabbuka//مِنْۢ/مِنۢ/min//بَنِیْۤ/بَنِيٓ/bani//اٰدَمَ/ءَادَمَ/adama//مِنْ/مِن/min//ظُهُوْرِهِمْ/ظُهُورِهِمۡ/zuhurihim//ذُرِّیَّتَهُمْ/ذُرِّيَّتَهُمۡ/dhurriyyatahum//وَ اَشْهَدَهُمْ/وَأَشۡهَدَهُمۡ/wa-ashhadahum//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//اَلَسْتُ/أَلَسۡتُ/alastu//بِرَبِّكُمْ ؕ/بِرَبِّكُمۡۖ/birabbikum//قَالُوْا/قَالُواْ/qalu//بَلٰی ۛۚ/بَلَىٰ/bala//شَهِدْنَا ۛۚ/شَهِدۡنَآۚ/shahid'na//اَنْ/أَن/an//تَقُوْلُوْا/تَقُولُواْ/taqulu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//عَنْ/عَنۡ/an//هٰذَا/هَٰذَا/hadha//غٰفِلِیْنَۙ/غَٰفِلِينَ/ghafilina",
              "words_bangla": "এবং (স্মরণ করিয়ে দাও) যখন//বের করেন//তোমার রব//থেকে//সন্তানদের//আদমের//হতে//পিঠসমূহ তাদের//বংশধরদেরকে তাদের//ও স্বাক্ষ্য নিলেন তাদের//সম্পর্কে//নিজেদের তাদের//\"(আল্লাহ বলেছিলেন) কি আমি নই//রব তোমাদের\"//তারা বলেছিলো//\"নিশ্চয়ই//সাক্ষ্য দিলাম আমরা (এ কথার)\"//যেন//(না) বলো তোমরা//দিনে//ক্বিয়ামাতের//\"নিশ্চয়ই আমরা//আমরা ছিলাম//হতে//এটা//অমনোযোগী\""
            },
            {
              "number": 1127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1127.mp3"
              ],
              "text": "أَوْ تَقُولُوٓا۟ إِنَّمَآ أَشْرَكَ ءَابَآؤُنَا مِن قَبْلُ وَكُنَّا ذُرِّيَّةًۭ مِّنۢ بَعْدِهِمْ ۖ أَفَتُهْلِكُنَا بِمَا فَعَلَ ٱلْمُبْطِلُونَ",
              "translate_bn": "অথবা বলতে শুরু কর যে, অংশীদারিত্বের প্রথা তো আমাদের বাপ-দাদারা উদ্ভাবন করেছিল আমাদের পূর্বেই। আর আমরা হলাম তাদের পশ্চাৎবর্তী সন্তান-সন্ততি। তাহলে কি সে কর্মের জন্য আমাদেরকে ধ্বংস করবেন, যা পথভ্রষ্টরা করেছে?",
              "numberInSurah": 173,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "আও তাকূলূইন্নামা-আশরাকা আ-বাউনা মিন কাবলুওয়া কুন্না যুররিইয়াতাম মিম বা‘দিহিম আফাতুহলিকুনা-বিমা-ফা‘আলাল মুবতিলূন।",
              "words_arabic": "اَوْ/أَوۡ/aw//تَقُوْلُوْۤا/تَقُولُوٓاْ/taqulu//اِنَّمَاۤ/إِنَّمَآ/innama//اَشْرَكَ/أَشۡرَكَ/ashraka//اٰبَآؤُنَا/ءَابَآؤُنَا/abauna//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ كُنَّا/وَكُنَّا/wakunna//ذُرِّیَّةً/ذُرِّيَّةٗ/dhurriyyatan//مِّنْۢ/مِّنۢ/min//بَعْدِهِمْ ۚ/بَعۡدِهِمۡۖ/ba'dihim//اَفَتُهْلِكُنَا/أَفَتُهۡلِكُنَا/afatuh'likuna//بِمَا/بِمَا/bima//فَعَلَ/فَعَلَ/fa'ala//الْمُبْطِلُوْنَ /ٱلۡمُبۡطِلُونَ/al-mub'tiluna",
              "words_bangla": "অথবা//তোমরা বলবে//\"মূলতঃ//শিরক করেছিলো//পিতৃপুরুষরা আমাদের//থেকে//(আমাদের) পূর্ব//এবং আমরা ছিলাম//বংশধর//থেকে//পর তাদের//কি তবে আপনি ধ্বংস করবেন আমাদেরকে//এ কারণে যা//করেছে//মিথ্যাশ্রয়ীরা\""
            },
            {
              "number": 1128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1128.mp3"
              ],
              "text": "وَكَذَٰلِكَ نُفَصِّلُ ٱلْءَايَٰتِ وَلَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "বস্তুতঃ এভাবে আমি বিষয়সমূহ সবিস্তারে বর্ণনা করি, যাতে তারা ফিরে আসে।",
              "numberInSurah": 174,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নুফাসসিলুল আ-য়া-তি ওয়া লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُفَصِّلُ/نُفَصِّلُ/nufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//وَ لَعَلَّهُمْ/وَلَعَلَّهُمۡ/wala'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং এভাবে//বিস্তারিত বর্ণনা করি আমরা//নিদর্শনগুলোকে//এবং যাতে তারা//ফিরে আসে"
            },
            {
              "number": 1129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1129.mp3"
              ],
              "text": "وَٱتْلُ عَلَيْهِمْ نَبَأَ ٱلَّذِىٓ ءَاتَيْنَٰهُ ءَايَٰتِنَا فَٱنسَلَخَ مِنْهَا فَأَتْبَعَهُ ٱلشَّيْطَٰنُ فَكَانَ مِنَ ٱلْغَاوِينَ",
              "translate_bn": "আর আপনি তাদেরকে শুনিয়ে দিন, সে লোকের অবস্থা, যাকে আমি নিজের নিদর্শনসমূহ দান করেছিলাম, অথচ সে তা পরিহার করে বেরিয়ে গেছে। আর তার পেছনে লেগেছে শয়তান, ফলে সে পথভ্রষ্টদের অন্তর্ভূক্ত হয়ে পড়েছে।",
              "numberInSurah": 175,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়াতলু ‘আলাইহিম নাবাআল্লাযী আ-তাইনা-হুআ-য়া-তিনা-ফানছালাখা মিনহাফাআতবা‘আহুশশাইতা-নুফাকা-না মিনাল গা-বীন।",
              "words_arabic": "وَ اتْلُ/وَٱتۡلُ/wa-ut'lu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//نَبَاَ/نَبَأَ/naba-a//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اٰتَیْنٰهُ/ءَاتَيۡنَٰهُ/ataynahu//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//فَانْسَلَخَ/فَٱنسَلَخَ/fa-insalakha//مِنْهَا/مِنۡهَا/min'ha//فَاَتْبَعَهُ/فَأَتۡبَعَهُ/fa-atba'ahu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//فَكَانَ/فَكَانَ/fakana//مِنَ/مِنَ/mina//الْغٰوِیْنَ /ٱلۡغَاوِينَ/al-ghawina",
              "words_bangla": "এবং (হে নাবী) তিলাওয়াত করো//নিকট তাদের//বৃত্তান্ত//(ঐ ব্যক্তির) যে//আমরা দিয়েছিলাম তাকে//নিদর্শনগুলো আমাদের//কিন্তু সে এড়িয়ে যায়//থেকে তা//ফলে পিছনে লাগে তার//শয়তান//অতঃপর সে হয়//অন্তর্ভুক্ত//পথভ্রষ্টদের"
            },
            {
              "number": 1130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1130.mp3"
              ],
              "text": "وَلَوْ شِئْنَا لَرَفَعْنَٰهُ بِهَا وَلَٰكِنَّهُۥٓ أَخْلَدَ إِلَى ٱلْأَرْضِ وَٱتَّبَعَ هَوَىٰهُ ۚ فَمَثَلُهُۥ كَمَثَلِ ٱلْكَلْبِ إِن تَحْمِلْ عَلَيْهِ يَلْهَثْ أَوْ تَتْرُكْهُ يَلْهَث ۚ ذَّٰلِكَ مَثَلُ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا ۚ فَٱقْصُصِ ٱلْقَصَصَ لَعَلَّهُمْ يَتَفَكَّرُونَ",
              "translate_bn": "অবশ্য আমি ইচ্ছা করলে তার মর্যাদা বাড়িয়ে দিতাম সে সকল নিদর্শনসমূহের দৌলতে। কিন্তু সে যে অধঃপতিত এবং নিজের রিপুর অনুগামী হয়ে রইল। সুতরাং তার অবস্থা হল কুকুরের মত; যদি তাকে তাড়া কর তবুও হাঁপাবে আর যদি ছেড়ে দাও তবুও হাঁপাবে। এ হল সেসব লোকের উদাহরণ; যারা মিথ্যা প্রতিপন্ন করেছে আমার নিদর্শনসমূহকে। অতএব, আপনি বিবৃত করুন এসব কাহিনী, যাতে তারা চিন্তা করে।",
              "numberInSurah": 176,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও শি’না-লারাফা‘না-হু বিহা-ওয়ালা-কিন্নাহূআখলাদা ইলাল আরদিওয়াত্তাবা‘আ হাওয়া-হু ফামাছালুহূকামাছালিল কালবি ইন তাহমিল ‘আলাইহি ইয়ালহাছআও তাতরুকহু ইয়ালহাছ যা-লিকা মাছালুল কাওমিল্লাযীনা কাযযাবূবিাআ-য়া-তিনা- ফাকসুসিল কাসাসা লা‘আল্লাহুম ইয়াতাফাক্কারূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شِئْنَا/شِئۡنَا/shi'na//لَرَفَعْنٰهُ/لَرَفَعۡنَٰهُ/larafa'nahu//بِهَا/بِهَا/biha//وَ لٰكِنَّهٗۤ/وَلَٰكِنَّهُۥٓ/walakinnahu//اَخْلَدَ/أَخۡلَدَ/akhlada//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اتَّبَعَ/وَٱتَّبَعَ/wa-ittaba'a//هَوٰىهُ ۚ/هَوَىٰهُۚ/hawahu//فَمَثَلُهٗ/فَمَثَلُهُۥ/famathaluhu//كَمَثَلِ/كَمَثَلِ/kamathali//الْكَلْبِ ۚ/ٱلۡكَلۡبِ/al-kalbi//اِنْ/إِن/in//تَحْمِلْ/تَحۡمِلۡ/tahmil//عَلَیْهِ/عَلَيۡهِ/alayhi//یَلْهَثْ/يَلۡهَثۡ/yalhath//اَوْ/أَوۡ/aw//تَتْرُكْهُ/تَتۡرُكۡهُ/tatruk'hu//یَلْهَثْ ؕ/يَلۡهَثۚ/yalhath//ذٰلِكَ/ذَّـٰلِكَ/dhalika//مَثَلُ/مَثَلُ/mathalu//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ۚ/بِـَٔايَٰتِنَاۚ/biayatina//فَاقْصُصِ/فَٱقۡصُصِ/fa-uq'susi//الْقَصَصَ/ٱلۡقَصَصَ/al-qasasa//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "এবং যদি//ইচ্ছে করতাম আমরা//অবশ্যই আমরা মর্যাদা দিতাম তাকে//দিয়ে তা//কিন্তু সে//ঝুঁকে পড়লো//প্রতি//পৃথিবীর//এবং অনুসরণ করলো//প্রবৃত্তির তার//অতএব তাদের দৃষ্টান্ত//যেমন দৃষ্টান্ত//কুকুরের//যদি//বোঝা চাপাও তুমি//উপর তার//(জিহ্বা বের করে) হাঁপাতে থাকে//অথবা//ছেড়ে দাও তাকে//(তবুও জিহ্বা বের করে) হাঁপাতে থাকে//এটা//দৃষ্টান্ত//(ঐ)সম্প্রদায়ের//যারা//মিথ্যারোপ করেছে//প্রতি নিদর্শনগুলোর আমাদের//সুতরাং বর্ণনা করো//এই কাহিনীগুলোকে//যাতে তারা//চিন্তা করে"
            },
            {
              "number": 1131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1131.mp3"
              ],
              "text": "سَآءَ مَثَلًا ٱلْقَوْمُ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا وَأَنفُسَهُمْ كَانُوا۟ يَظْلِمُونَ",
              "translate_bn": "তাদের উদাহরণ অতি নিকৃষ্ট, যারা মিথ্যা প্রতিপন্ন করেছে আমার আয়াত সমূহকে এবং তারা নিজেদেরই ক্ষতি সাধন করেছে।",
              "numberInSurah": 177,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ছাআ মাছালানিল কাওমুল্লাযীনা কাযযাবূবিআ-ইয়া-তিনা- ওয়া আনফুছাহুম কা-নূ ইয়াজলিমূন।",
              "words_arabic": "سَآءَ/سَآءَ/saa//مَثَلَا/مَثَلًا/mathalan//لْقَوْمُ/ٱلۡقَوۡمُ/al-qawmu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ اَنْفُسَهُمْ/وَأَنفُسَهُمۡ/wa-anfusahum//كَانُوْا/كَانُواْ/kanu//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "বড়ই খারাপ//দৃষ্টান্ত//(ঐ) সম্প্রদায়ের//যারা//মিথ্যারোপ করেছে//প্রতি আয়াতগুলোর আমাদের//ও নিজেদের তাদের(উপর)//তারা ছিলো//অনাচার করে চলেছে"
            },
            {
              "number": 1132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1132.mp3"
              ],
              "text": "مَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِى ۖ وَمَن يُضْلِلْ فَأُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "যাকে আল্লাহ পথ দেখাবেন, সেই পথপ্রাপ্ত হবে। আর যাকে তিনি পথ ভ্রষ্ট করবেন, সে হবে ক্ষতিগ্রস্ত।",
              "numberInSurah": 178,
              "juz": 9,
              "manzil": 2,
              "page": 173,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইয়াহদিল্লা-হু ফাহুওয়াল মুহতাদী ওয়া মাইঁ ইউদলিল ফাউলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "مَنْ/مَن/man//یَّهْدِ/يَهۡدِ/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//فَهُوَ/فَهُوَ/fahuwa//الْمُهْتَدِیْ ۚ/ٱلۡمُهۡتَدِيۖ/al-muh'tadi//وَ مَنْ/وَمَن/waman//یُّضْلِلْ/يُضۡلِلۡ/yud'lil//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "যাকে//পথ দেখান//আল্লাহ//তখন সেই//পথপ্রাপ্ত//এবং যাদের//পথভ্রষ্ট করেন//অতঃপর ঐসব (লোক)//তারাই//ক্ষতিগ্রস্ত"
            },
            {
              "number": 1133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1133.mp3"
              ],
              "text": "وَلَقَدْ ذَرَأْنَا لِجَهَنَّمَ كَثِيرًۭا مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ لَهُمْ قُلُوبٌۭ لَّا يَفْقَهُونَ بِهَا وَلَهُمْ أَعْيُنٌۭ لَّا يُبْصِرُونَ بِهَا وَلَهُمْ ءَاذَانٌۭ لَّا يَسْمَعُونَ بِهَآ ۚ أُو۟لَٰٓئِكَ كَٱلْأَنْعَٰمِ بَلْ هُمْ أَضَلُّ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلْغَٰفِلُونَ",
              "translate_bn": "আর আমি সৃষ্টি করেছি দোযখের জন্য বহু জ্বিন ও মানুষ। তাদের অন্তর রয়েছে, তার দ্বারা বিবেচনা করে না, তাদের চোখ রয়েছে, তার দ্বারা দেখে না, আর তাদের কান রয়েছে, তার দ্বারা শোনে না। তারা চতুষ্পদ জন্তুর মত; বরং তাদের চেয়েও নিকৃষ্টতর। তারাই হল গাফেল, শৈথিল্যপরায়ণ।",
              "numberInSurah": 179,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ যারা’না-লিজাহান্নামা কাছীরাম মিনাল জিন্নি ওয়ালইনছি লাহুম কুলূবুল্লাইয়াফকাহূনা বিহা- ওয়া লাহুম আ‘ইউনুল্লা-ইউবসিরূনা বিহা- ওয়া লাহুম আ-যানুল্লা-ইয়াছমা‘উনা বিহা- উলাইকা কালআন‘আ-মি বাল হুম আদাল্লু উলাইকা হুমুল গা-ফিলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//ذَرَاْنَا/ذَرَأۡنَا/dharana//لِجَهَنَّمَ/لِجَهَنَّمَ/lijahannama//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ ۖؗ/وَٱلۡإِنسِۖ/wal-insi//لَهُمْ/لَهُمۡ/lahum//قُلُوْبٌ/قُلُوبٞ/qulubun//لَّا/لَّا/la//یَفْقَهُوْنَ/يَفۡقَهُونَ/yafqahuna//بِهَا ؗ/بِهَا/biha//وَ لَهُمْ/وَلَهُمۡ/walahum//اَعْیُنٌ/أَعۡيُنٞ/a'yunun//لَّا/لَّا/la//یُبْصِرُوْنَ/يُبۡصِرُونَ/yub'siruna//بِهَا ؗ/بِهَا/biha//وَ لَهُمْ/وَلَهُمۡ/walahum//اٰذَانٌ/ءَاذَانٞ/adhanun//لَّا/لَّا/la//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//بِهَا ؕ/بِهَآۚ/biha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//كَالْاَنْعَامِ/كَٱلۡأَنۡعَٰمِ/kal-an'ami//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//اَضَلُّ ؕ/أَضَلُّۚ/adallu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْغٰفِلُوْنَ /ٱلۡغَٰفِلُونَ/al-ghafiluna",
              "words_bangla": "এবং নিশ্চয়ই//সৃষ্টি করেছি আমরা//জন্যে জাহান্নামের//অনেককে//মধ্যে হতে//জিন//ও মানুষের//রয়েছে তাদের//অন্তরসমূহ//(কিন্তু) না//তারা চিন্তা ভাবনা করে//দিয়ে তা//এবং রয়েছে তাদের//চোখসমূহ//(কিন্তু) না//তারা দেখে//দিয়ে তা//এবং রয়েছে তাদের//কানসমূহ//(কিন্তু) না//তারা শুনে//দিয়ে তা//ঐসব (লোক)//(যেন) মতো পশুর//বরং//তারা//অধিক বিভ্রান্ত//ঐসব (লোক)//তারাই//উদাসীন"
            },
            {
              "number": 1134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1134.mp3"
              ],
              "text": "وَلِلَّهِ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ فَٱدْعُوهُ بِهَا ۖ وَذَرُوا۟ ٱلَّذِينَ يُلْحِدُونَ فِىٓ أَسْمَٰٓئِهِۦ ۚ سَيُجْزَوْنَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর আল্লাহর জন্য রয়েছে সব উত্তম নাম। কাজেই সে নাম ধরেই তাঁকে ডাক। আর তাদেরকে বর্জন কর, যারা তাঁর নামের ব্যাপারে বাঁকা পথে চলে। তারা নিজেদের কৃতকর্মের ফল শীঘ্রই পাবে।",
              "numberInSurah": 180,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হিল আছমাউল হুছনা- ফাদ‘ঊহু বিহা-;ওয়াযারুল্লাযীনা ইউলহিদূনা ফীআছমাইহী; ছাইউজঝাওনা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//الْاَسْمَآءُ/ٱلۡأَسۡمَآءُ/al-asmau//الْحُسْنٰی/ٱلۡحُسۡنَىٰ/al-hus'na//فَادْعُوْهُ/فَٱدۡعُوهُ/fa-id'uhu//بِهَا ۪/بِهَاۖ/biha//وَ ذَرُوا/وَذَرُواْ/wadharu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُلْحِدُوْنَ/يُلۡحِدُونَ/yul'hiduna//فِیْۤ/فِيٓ/fi//اَسْمَآىِٕهٖ ؕ/أَسۡمَـٰٓئِهِۦۚ/asmaihi//سَیُجْزَوْنَ/سَيُجۡزَوۡنَ/sayuj'zawna//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং জন্যে আল্লাহর (রয়েছে)//নামসমূহ//উত্তম//অতএব তাঁকে ডাকো//দিয়ে তা//এবং তোমরা বর্জন করো//(তাদেরকে) যারা//বিকৃত করে//মধ্যে//তাঁর নামসমূহের//শীঘ্রই তাদেরকে প্রতিফল দেওয়া হবে//যা//তারা ছিলো//তারা কাজ করে চলেছে"
            },
            {
              "number": 1135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1135.mp3"
              ],
              "text": "وَمِمَّنْ خَلَقْنَآ أُمَّةٌۭ يَهْدُونَ بِٱلْحَقِّ وَبِهِۦ يَعْدِلُونَ",
              "translate_bn": "আর যাদেরকে আমি সৃষ্টি করেছি, তাদের মধ্যে এমন এক দল রয়েছে যারা সত্য পথ দেখায় এবং সে অনুযায়ী ন্যায়চিার করে।",
              "numberInSurah": 181,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 143,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিম্মান খালাকনা-উম্মাতুইঁ ইয়াহদূনা বিলহাক্কিওয়াবিহী ইয়া‘দিলূন।",
              "words_arabic": "وَ مِمَّنْ/وَمِمَّنۡ/wamimman//خَلَقْنَاۤ/خَلَقۡنَآ/khalaqna//اُمَّةٌ/أُمَّةٞ/ummatun//یَّهْدُوْنَ/يَهۡدُونَ/yahduna//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ بِهٖ/وَبِهِۦ/wabihi//یَعْدِلُوْنَ۠/يَعۡدِلُونَ/ya'diluna",
              "words_bangla": "এবং তাদের মধ্যে হতে//সৃষ্টি করেছি আমরা//(এমনও) একদল//(যারা) পথ দেখায়//দিকে সত্যের//এবং দিয়ে তা//তারা ন্যায় বিচার করে"
            },
            {
              "number": 1136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1136.mp3"
              ],
              "text": "وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا سَنَسْتَدْرِجُهُم مِّنْ حَيْثُ لَا يَعْلَمُونَ",
              "translate_bn": "বস্তুতঃ যারা মিথ্যা প্রতিপন্ন করেছে আমার আয়াতসমূহকে, আমি তাদেরকে ক্রমান্বয়ে পাকড়াও করব এমন জায়গা থেকে, যার সম্পর্কে তাদের ধারণাও হবে না।",
              "numberInSurah": 182,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাযযাবূবিআ-য়া-তিনা-ছানাছতাদরিজুহুম মিন হাইছুলা-ইয়া‘লামূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//سَنَسْتَدْرِجُهُمْ/سَنَسۡتَدۡرِجُهُم/sanastadrijuhum//مِّنْ/مِّنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَعْلَمُوْنَۚۖ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "ও যারা//মিথ্যারোপ করেছে//প্রতি নিদর্শনগুলোর আমাদের//অচিরেই ক্রমান্বয়ে নিয়ে যাবো আমরা তাদের (ধ্বংসের দিকে)//থেকে//যেখান//না//তারা জানতেও পারবে"
            },
            {
              "number": 1137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1137.mp3"
              ],
              "text": "وَأُمْلِى لَهُمْ ۚ إِنَّ كَيْدِى مَتِينٌ",
              "translate_bn": "বস্তুতঃ আমি তাদেরকে ঢিল দিয়ে থাকি। নিঃসন্দেহে আমার কৌশল সুনিপুণ।",
              "numberInSurah": 183,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ওয়া উমলী লাহুম ইন্না কাইদী মাতীন।",
              "words_arabic": "وَ اُمْلِیْ/وَأُمۡلِي/wa-um'li//لَهُمْ ۫ؕ/لَهُمۡۚ/lahum//اِنَّ/إِنَّ/inna//كَیْدِیْ/كَيۡدِي/kaydi//مَتِیْنٌ /مَتِينٌ/matinun",
              "words_bangla": "এবং অবকাশ দিচ্ছি আমি//জন্যে তাদের//নিশ্চয়ই//আমার কৌশল//বলিষ্ঠ"
            },
            {
              "number": 1138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1138.mp3"
              ],
              "text": "أَوَلَمْ يَتَفَكَّرُوا۟ ۗ مَا بِصَاحِبِهِم مِّن جِنَّةٍ ۚ إِنْ هُوَ إِلَّا نَذِيرٌۭ مُّبِينٌ",
              "translate_bn": "তারা কি লক্ষ্য করেনি যে, তাদের সঙ্গী লোকটির মস্তিষ্কে কোন বিকৃতি নেই? তিনি তো ভীতি প্রদর্শনকারী প্রকৃষ্টভাবে।",
              "numberInSurah": 184,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়াতাফাক্কারূ মা-বিসা-হিবিহিম মিন জিন্নাতিন ইন হুওয়া ইল্লা-নাযীরুম মুবীন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَتَفَكَّرُوْا ٚ/يَتَفَكَّرُواْۗ/yatafakkaru//مَا/مَا/ma//بِصَاحِبِهِمْ/بِصَاحِبِهِم/bisahibihim//مِّنْ/مِّن/min//جِنَّةٍ ؕ/جِنَّةٍۚ/jinnatin//اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "কি না//তারা চিন্তা করে//(যে) নেই//মধ্যে সাথীর তাদের//কোনো//উন্মাদ//নয়//সে//এ ছাড়া//একজন সতর্ককারী//সুস্পষ্ট"
            },
            {
              "number": 1139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1139.mp3"
              ],
              "text": "أَوَلَمْ يَنظُرُوا۟ فِى مَلَكُوتِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا خَلَقَ ٱللَّهُ مِن شَىْءٍۢ وَأَنْ عَسَىٰٓ أَن يَكُونَ قَدِ ٱقْتَرَبَ أَجَلُهُمْ ۖ فَبِأَىِّ حَدِيثٍۭ بَعْدَهُۥ يُؤْمِنُونَ",
              "translate_bn": "তারা কি প্রত্যক্ষ করেনি আকাশ ও পৃথিবীর রাজ্য সম্পর্কে এবং যা কিছু সৃষ্টি করেছেন আল্লাহ তা’আলা বস্তু সামগ্রী থেকে এবং এ ব্যাপারে যে, তাদের সাথে কৃত ওয়াদার সময় নিকটবর্তী হয়ে এসেছে? বস্তুতঃ এরপর কিসের উপর ঈমান আনবে?",
              "numberInSurah": 185,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়ানজুরূ ফী মালাকূতিছছামা-ওয়া-তি ওয়াল আরদিওয়ামা-খালাকাল্লা-হু মিন শাইয়িওঁ ওয়া আন ‘আছাআইঁ ইয়াকূনা কাদিকতারাবা আজালুহুম, ফাবিআইয়ি হাদীছিম বা‘দাহূইউ‘মিনূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَنْظُرُوْا/يَنظُرُواْ/yanzuru//فِیْ/فِي/fi//مَلَكُوْتِ/مَلَكُوتِ/malakuti//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//شَیْءٍ ۙ/شَيۡءٖ/shayin//وَّ اَنْ/وَأَنۡ/wa-an//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//قَدِ/قَدِ/qadi//اقْتَرَبَ/ٱقۡتَرَبَ/iq'taraba//اَجَلُهُمْ ۚ/أَجَلُهُمۡۖ/ajaluhum//فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//حَدِیْثٍۭ/حَدِيثِۭ/hadithin//بَعْدَهٗ/بَعۡدَهُۥ/ba'dahu//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি না//তারা লক্ষ্য করে//ব্যাপারে//সার্বভৌম কর্তৃত্বের//আকাশসমূহের//এবং পৃথিবীর//এবং যা//সৃষ্টি করেছেন//আল্লাহ//সব//কিছুর//এবং (এ সম্পর্কেও) যে//হয়তো//যে//হতে পারে//নিশ্চিত//নিকটবর্তী হয়েছে//মেয়াদ তাদের//অতএব আর কোনো//কথায়//পর এর//তারা ঈমান আনবে"
            },
            {
              "number": 1140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1140.mp3"
              ],
              "text": "مَن يُضْلِلِ ٱللَّهُ فَلَا هَادِىَ لَهُۥ ۚ وَيَذَرُهُمْ فِى طُغْيَٰنِهِمْ يَعْمَهُونَ",
              "translate_bn": "আল্লাহ যাকে পথভ্রষ্ট করেন। তার কোন পথপ্রদর্শক নেই। আর আল্লাহ তাদেরকে তাদের দুষ্টামীতে মত্ত অবস্তায় ছেড়ে দিয়ে রাখেন।",
              "numberInSurah": 186,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইউদলিলিল্লা-হু ফালা-হা-দিইয়ালাহূ ওয়া ইয়াযারুহুম ফী তুগইয়া-নিহিম ইয়া‘মাহূন।",
              "words_arabic": "مَنْ/مَن/man//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَلَا/فَلَا/fala//هَادِیَ/هَادِيَ/hadiya//لَهٗ ؕ/لَهُۥۚ/lahu//وَ یَذَرُهُمْ/وَيَذَرُهُمۡ/wayadharuhum//فِیْ/فِي/fi//طُغْیَانِهِمْ/طُغۡيَٰنِهِمۡ/tugh'yanihim//یَعْمَهُوْنَ /يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "যাকে//পথভ্রষ্ট করেন//আল্লাহ//অতঃপর নেই//কোনো পথ প্রদর্শক//জন্যে তার//এবং  তিনি ছেড়ে দেন তাদেরকে//মধ্যে//বিদ্রোহিতার তাদের//তারা উদভ্রান্ত হয়ে ফিরবে"
            },
            {
              "number": 1141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1141.mp3"
              ],
              "text": "يَسْـَٔلُونَكَ عَنِ ٱلسَّاعَةِ أَيَّانَ مُرْسَىٰهَا ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ رَبِّى ۖ لَا يُجَلِّيهَا لِوَقْتِهَآ إِلَّا هُوَ ۚ ثَقُلَتْ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ لَا تَأْتِيكُمْ إِلَّا بَغْتَةًۭ ۗ يَسْـَٔلُونَكَ كَأَنَّكَ حَفِىٌّ عَنْهَا ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ ٱللَّهِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "আপনাকে জিজ্ঞেস করে, কেয়ামত কখন অনুষ্ঠিত হবে? বলে দিন এর খবর তো আমার পালনকর্তার কাছেই রয়েছে। তিনিই তা অনাবৃত করে দেখাবেন নির্ধারিত সময়ে। আসমান ও যমীনের জন্য সেটি অতি কঠিন বিষয়। যখন তা তোমাদের উপর আসবে অজান্তেই এসে যাবে। আপনাকে জিজ্ঞেস করতে থাকে, যেন আপনি তার অনুসন্ধানে লেগে আছেন। বলে দিন, এর সংবাদ বিশেষ করে আল্লাহর নিকটই রয়েছে। কিন্তু তা অধিকাংশ লোকই উপলব্ধি করে না।",
              "numberInSurah": 187,
              "juz": 9,
              "manzil": 2,
              "page": 174,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা ‘আনিছ ছা-‘আতি আইঁ ইয়া-না মুরছা-হা- কুল ইন্নামা-‘ইলমুহা-‘ইনদা রাববী লা-ইউজাললীহা-লিওয়াকতিহা-ইল্লা-হূ । ছাকুলাত ফিছছামা-ওয়া-তি ওয়াল আরদি লা-তা’তীকুম ইল্লা-বাগতাতান ইয়াছআলূনাকা কাআন্নাকা হাফিইয়ুন ‘আনহা-; কুল ইন্নামা-‘ইলমুহা-‘ইনদাল্লা-হি ওয়ালা-কিন্না আকছারান্নাছি লা-ইয়া‘লামূন।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//اَیَّانَ/أَيَّانَ/ayyana//مُرْسٰىهَا ؕ/مُرۡسَىٰهَاۖ/mur'saha//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//عِلْمُهَا/عِلۡمُهَا/il'muha//عِنْدَ/عِندَ/inda//رَبِّیْ ۚ/رَبِّيۖ/rabbi//لَا/لَا/la//یُجَلِّیْهَا/يُجَلِّيهَا/yujalliha//لِوَقْتِهَاۤ/لِوَقۡتِهَآ/liwaqtiha//اِلَّا/إِلَّا/illa//هُوَ ؔۘؕ/هُوَۚ/huwa//ثَقُلَتْ/ثَقُلَتۡ/thaqulat//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//لَا/لَا/la//تَاْتِیْكُمْ/تَأۡتِيكُمۡ/tatikum//اِلَّا/إِلَّا/illa//بَغْتَةً ؕ/بَغۡتَةٗۗ/baghtatan//یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//كَاَنَّكَ/كَأَنَّكَ/ka-annaka//حَفِیٌّ/حَفِيٌّ/hafiyyun//عَنْهَا ؕ/عَنۡهَاۖ/anha//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//عِلْمُهَا/عِلۡمُهَا/il'muha//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তোমাকে তারা জিজ্ঞাসা করে//সম্পর্কে//ক্বিয়ামাত//কখন//ঘটবে তা//বলো//\"মূলতঃ//জ্ঞান তার//কাছে//আমার রবের//না//কেউ প্রকাশ করে তা//মধ্যে সময়ের তার (অন্য কারো কাছে)//ছাড়া//তিনি//ভারী হবে//উপর//আকাশমন্ডলীর//ও পৃথিবীর (উপর)//না//কাছে তা আসবে তোমাদের//এ ছাড়া//হঠাৎ\"//তোমাকে তারা প্রশ্ন করে//যেন তুমি//সবিশেষ অবহিত//সম্পর্কে তা//বলো//\"মূলতঃ//জ্ঞান তার(রয়েছে)//কাছে//আল্লাহর//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে\""
            },
            {
              "number": 1142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1142.mp3"
              ],
              "text": "قُل لَّآ أَمْلِكُ لِنَفْسِى نَفْعًۭا وَلَا ضَرًّا إِلَّا مَا شَآءَ ٱللَّهُ ۚ وَلَوْ كُنتُ أَعْلَمُ ٱلْغَيْبَ لَٱسْتَكْثَرْتُ مِنَ ٱلْخَيْرِ وَمَا مَسَّنِىَ ٱلسُّوٓءُ ۚ إِنْ أَنَا۠ إِلَّا نَذِيرٌۭ وَبَشِيرٌۭ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "আপনি বলে দিন, আমি আমার নিজের কল্যাণ সাধনের এবং অকল্যাণ সাধনের মালিক নই, কিন্তু যা আল্লাহ চান। আর আমি যদি গায়বের কথা জেনে নিতে পারতাম, তাহলে বহু মঙ্গল অর্জন করে নিতে পারতাম, ফলে আমার কোন অমঙ্গল কখনও হতে পারত না। আমি তো শুধুমাত্র একজন ভীতি প্রদর্শক ও সুসংবাদদাতা ঈমানদারদের জন্য।",
              "numberInSurah": 188,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 144,
              "hizbQuarter": 69,
              "sajda": false,
              "pronunciation_bn": "কুল লাআমলিকুলিনাফছী নাফ‘আওঁ ওয়ালা-দাররান ইল্লা-মা-শাআল্লা-হু ওয়া লাও কুনতুআ‘লামূল গাইবা লাছতাকছারতুমিনাল খাইরি ওয়ামা-মাছছানিয়াছ ছূউ ইন আনা ইল্লা-নাযীরুওঁ ওয়া বাশীরুল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَمْلِكُ/أَمۡلِكُ/amliku//لِنَفْسِیْ/لِنَفۡسِي/linafsi//نَفْعًا/نَفۡعٗا/naf 'an//وَّ لَا/وَلَا/wala//ضَرًّا/ضَرًّا/darran//اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ لَوْ/وَلَوۡ/walaw//كُنْتُ/كُنتُ/kuntu//اَعْلَمُ/أَعۡلَمُ/a'lamu//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//لَا سْتَكْثَرْتُ/لَٱسۡتَكۡثَرۡتُ/la-is'takthartu//مِنَ/مِنَ/mina//الْخَیْرِ ۛۖۚ/ٱلۡخَيۡرِ/al-khayri//وَ مَا/وَمَا/wama//مَسَّنِیَ/مَسَّنِيَ/massaniya//السُّوْٓءُ ۛۚ/ٱلسُّوٓءُۚ/al-suu//اِنْ/إِنۡ/in//اَنَا/أَنَا۠/ana//اِلَّا/إِلَّا/illa//نَذِیْرٌ/نَذِيرٞ/nadhirun//وَّ بَشِیْرٌ/وَبَشِيرٞ/wabashirun//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "বলো//\"না//\"ক্ষমতা রাখি আমি//জন্যে আমার নিজের//কোনো লাভের//আর না//কোনো ক্ষতির//এ ছাড়া//যা//ইচ্ছে করেন//আল্লাহ//এবং যদি//আমি ছিলাম//আমি জানি//অদৃশ্যকে//অবশ্যই আমি অনেক নিতাম//হতে//কল্যাণ//এবং না//আমাকে স্পর্শ করতো//কোনো অকল্যাণ//(প্রকৃতপক্ষে) নই//আমি//এ ছাড়া//একজন সতর্ককারী//ও সুসংবাদদাতা//জন্যে ঐ সম্প্রদায়ের//(যারা) ঈমান আনে\""
            },
            {
              "number": 1143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1143.mp3"
              ],
              "text": "۞ هُوَ ٱلَّذِى خَلَقَكُم مِّن نَّفْسٍۢ وَٰحِدَةٍۢ وَجَعَلَ مِنْهَا زَوْجَهَا لِيَسْكُنَ إِلَيْهَا ۖ فَلَمَّا تَغَشَّىٰهَا حَمَلَتْ حَمْلًا خَفِيفًۭا فَمَرَّتْ بِهِۦ ۖ فَلَمَّآ أَثْقَلَت دَّعَوَا ٱللَّهَ رَبَّهُمَا لَئِنْ ءَاتَيْتَنَا صَٰلِحًۭا لَّنَكُونَنَّ مِنَ ٱلشَّٰكِرِينَ",
              "translate_bn": "তিনিই সে সত্তা যিনি তোমাদিগকে সৃষ্টি করেছেন একটি মাত্র সত্তা থেকে; আর তার থেকেই তৈরী করেছেন তার জোড়া, যাতে তার কাছে স্বস্তি পেতে পারে। অতঃপর পুরুষ যখন নারীকে আবৃত করল, তখন, সে গর্ভবতী হল। অতি হালকা গর্ভ। সে তাই নিয়ে চলাফেরা করতে থাকল। তারপর যখন বোঝা হয়ে গেল, তখন উভয়েই আল্লাহকে ডাকল যিনি তাদের পালনকর্তা যে, তুমি যদি আমাদিগকে সুস্থ ও ভাল দান কর তবে আমরা তোমার শুকরিয়া আদায় করব।",
              "numberInSurah": 189,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীখালাকাকুম মিন নাফছিওঁ ওয়া-হিদাতিওঁ ওয়া জা‘আলা মিনহা-ঝাওজাহালিইয়াছকুনা ইলাইহা- ফালাম্মা-তাগাশশা-হা-হামালাত হামলান খাফীফান ফামাররাত বিহী, ফালাম্মাআছকালাদ্দা‘আওয়াল্লা-হা রাব্বাহুমা-লাইন আ-তাইতানা-সা-লিহাল লানাকূনান্না মিনাশশা-কিরীন।",
              "words_arabic": "هُوَ/۞هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//نَّفْسٍ/نَّفۡسٖ/nafsin//وَّاحِدَةٍ/وَٰحِدَةٖ/wahidatin//وَّ جَعَلَ/وَجَعَلَ/waja'ala//مِنْهَا/مِنۡهَا/min'ha//زَوْجَهَا/زَوۡجَهَا/zawjaha//لِیَسْكُنَ/لِيَسۡكُنَ/liyaskuna//اِلَیْهَا ۚ/إِلَيۡهَاۖ/ilayha//فَلَمَّا/فَلَمَّا/falamma//تَغَشّٰىهَا/تَغَشَّىٰهَا/taghashaha//حَمَلَتْ/حَمَلَتۡ/hamalat//حَمْلًا/حَمۡلًا/hamlan//خَفِیْفًا/خَفِيفٗا/khafifan//فَمَرَّتْ/فَمَرَّتۡ/famarrat//بِهٖ ۚ/بِهِۦۖ/bihi//فَلَمَّاۤ/فَلَمَّآ/falamma//اَثْقَلَتْ/أَثۡقَلَت/athqalat//دَّعَوَا/دَّعَوَا/da'awa//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّهُمَا/رَبَّهُمَا/rabbahuma//لَىِٕنْ/لَئِنۡ/la-in//اٰتَیْتَنَا/ءَاتَيۡتَنَا/ataytana//صَالِحًا/صَٰلِحٗا/salihan//لَّنَكُوْنَنَّ/لَّنَكُونَنَّ/lanakunanna//مِنَ/مِنَ/mina//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "(আল্লাহ) তিনিই//যিনি//সৃষ্টি করেছেন তোমাদেরকে//হতে//ব্যক্তি//একই//এবং বানিয়েছেন//হতে তা//জোড়া তার//যেন সে শান্তি পায়//কাছে তার//অতঃপর  যখন//সে তাকে ঢেকে নেয় (সংগত হয়)//(স্ত্রী) গর্ভধারণ করে//গর্ভ//লঘু//অতঃপর সে চলাচল করে//নিয়ে তা//অতঃপর যখন//ভারী হয়//দু'জনেই দোয়া করে//আল্লাহর (কাছে)//(যিনি) তাদের উভয়ের রব//\"অবশ্যই যদি//দাও তুমি আমাদের//পূর্ণাঙ্গ ও সন্তান//আবশ্যই আমরা হবো//অন্তর্ভুক্ত//কৃতজ্ঞদের\""
            },
            {
              "number": 1144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1144.mp3"
              ],
              "text": "فَلَمَّآ ءَاتَىٰهُمَا صَٰلِحًۭا جَعَلَا لَهُۥ شُرَكَآءَ فِيمَآ ءَاتَىٰهُمَا ۚ فَتَعَٰلَى ٱللَّهُ عَمَّا يُشْرِكُونَ",
              "translate_bn": "অতঃপর তাদেরকে যখন সুস্থ ও ভাল দান করা হল, তখন দানকৃত বিষয়ে তার অংশীদার তৈরী করতে লাগল। বস্তুতঃ আল্লাহ তাদের শরীক সাব্যস্ত করা থেকে বহু উর্ধে।",
              "numberInSurah": 190,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআ-তা-হুমা-সা-লিহান জা‘আলা-লাহূ, শুরাকাআ ফীমাআ-তা-হুমা- ফাতা‘আ-লাল্লা-হু ‘আম্মা-ইউশরিকূন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اٰتٰىهُمَا/ءَاتَىٰهُمَا/atahuma//صَالِحًا/صَٰلِحٗا/salihan//جَعَلَا/جَعَلَا/ja'ala//لَهٗ/لَهُۥ/lahu//شُرَكَآءَ/شُرَكَآءَ/shurakaa//فِیْمَاۤ/فِيمَآ/fima//اٰتٰىهُمَا ۚ/ءَاتَىٰهُمَاۚ/atahuma//فَتَعٰلَی/فَتَعَٰلَى/fata'ala//اللّٰهُ/ٱللَّهُ/al-lahu//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "অত:পর যখন//দু’জনকে দিলেন তাদের//পূর্ণাঙ্গ সন্তান//দু'জনে নির্ধারণ করলো//জন্যে তার//শরিক//তার ব্যাপারে যা//দু’জনকে (আল্লাহ) দিলেন তাদের//অথচ বহু ঊর্দ্ধে//আল্লাহ//তা হতে যা//তারা শিরক করে"
            },
            {
              "number": 1145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1145.mp3"
              ],
              "text": "أَيُشْرِكُونَ مَا لَا يَخْلُقُ شَيْـًۭٔا وَهُمْ يُخْلَقُونَ",
              "translate_bn": "তারা কি এমন কাউকে শরীক সাব্যস্ত করে, যে একটি বস্তুও সৃষ্টি করেনি, বরং তাদেরকে সৃষ্টি করা হয়েছে।",
              "numberInSurah": 191,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "আ ইউশরিকূনা মা-লা-ইয়াখলুকুশাইআওঁ ওয়াহুম ইউখলাকূন।",
              "words_arabic": "اَیُشْرِكُوْنَ/أَيُشۡرِكُونَ/ayush'rikuna//مَا/مَا/ma//لَا/لَا/la//یَخْلُقُ/يَخۡلُقُ/yakhluqu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ هُمْ/وَهُمۡ/wahum//یُخْلَقُوْنَؗۖ/يُخۡلَقُونَ/yukh'laquna",
              "words_bangla": "কি তারা শিরক করে//যা//না//সৃষ্টি করতে পারে//কোনো কিছু//অথচ তাদেরকে//সৃষ্টি করা হয়"
            },
            {
              "number": 1146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1146.mp3"
              ],
              "text": "وَلَا يَسْتَطِيعُونَ لَهُمْ نَصْرًۭا وَلَآ أَنفُسَهُمْ يَنصُرُونَ",
              "translate_bn": "আর তারা, না তাদের সাহায্য করতে পারে, না নিজের সাহায্য করতে পারে।",
              "numberInSurah": 192,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াছতাতী‘ঊনা লাহুম নাসরাওঁ ওয়ালাআনফুছাহুম ইয়ানসুরূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//لَهُمْ/لَهُمۡ/lahum//نَصْرًا/نَصۡرٗا/nasran//وَّ لَاۤ/وَلَآ/wala//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَنْصُرُوْنَ /يَنصُرُونَ/yansuruna",
              "words_bangla": "এবং না//তারা সামর্থ্য রাখে//জন্যে তাদের//সাহায্য করতে//আর না//তাদের নিজেদের জন্যে//তারা সাহায্য করতে পারর"
            },
            {
              "number": 1147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1147.mp3"
              ],
              "text": "وَإِن تَدْعُوهُمْ إِلَى ٱلْهُدَىٰ لَا يَتَّبِعُوكُمْ ۚ سَوَآءٌ عَلَيْكُمْ أَدَعَوْتُمُوهُمْ أَمْ أَنتُمْ صَٰمِتُونَ",
              "translate_bn": "আর তোমরা যদি তাদেরকে আহবান কর সুপথের দিকে, তবে তারা তোমাদের আহবান অনুযায়ী চলবে না। তাদেরকে আহবান জানানো কিংবা নীরব থাকা উভয়টিই তোমাদের জন্য সমান।",
              "numberInSurah": 193,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাদ‘উহুম ইলাল হুদা-লা-ইয়াত্তাবি‘উকুম ছাওয়াউন ‘আলাইকুম আদা‘আওতুমূহুম আম আনতুম সা-মিতূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تَدْعُوْهُمْ/تَدۡعُوهُمۡ/tad'uhum//اِلَی/إِلَى/ila//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//لَا/لَا/la//یَتَّبِعُوْكُمْ ؕ/يَتَّبِعُوكُمۡۚ/yattabi'ukum//سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَدَعَوْتُمُوْهُمْ/أَدَعَوۡتُمُوهُمۡ/ada'awtumuhum//اَمْ/أَمۡ/am//اَنْتُمْ/أَنتُمۡ/antum//صَامِتُوْنَ /صَٰمِتُونَ/samituna",
              "words_bangla": "এবং যদি//ডাকো তাদেরকে//দিকে//সঠিকপথের//না//তারা অনুসরণ করবে তোমাদেরকে//সমানই//জন্যে তোমাদের//তোমরা ডাকো তাদেরকে//অথবা//তোমরা//নিরবতা অবলম্বনকারী হও"
            },
            {
              "number": 1148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1148.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ عِبَادٌ أَمْثَالُكُمْ ۖ فَٱدْعُوهُمْ فَلْيَسْتَجِيبُوا۟ لَكُمْ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "আল্লাহকে বাদ দিয়ে তোমরা যাদেরকে ডাক, তারা সবাই তোমাদের মতই বান্দা। অতএব, তোমরা যাদেরকে ডাক, তখন তাদের পক্ষেও তো তোমাদের সে ডাক কবুল করা উচিত যদি তোমরা সত্যবাদী হয়ে থাক?",
              "numberInSurah": 194,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা তাদ‘ঊনা মিন দূনিল্লা-হি ‘ইবা-দুনআমছা-লুকুম ফাদ‘ঊহুম ফালইয়াছতাজীবূ লাকুম ইন কুনতুম সা-দিকীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//عِبَادٌ/عِبَادٌ/ibadun//اَمْثَالُكُمْ/أَمۡثَالُكُمۡۖ/amthalukum//فَادْعُوْهُمْ/فَٱدۡعُوهُمۡ/fa-id'uhum//فَلْیَسْتَجِیْبُوْا/فَلۡيَسۡتَجِيبُواْ/falyastajibu//لَكُمْ/لَكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "নিশ্চয়ই//যাদের (কাছে)//তোমরা প্রার্থনা করো//দিয়ে//ছেড়ে//আল্লাহকে//তারা দাস//মতো তোমাদেরই//তাহ'লে তোমরা ডেকে দেখো তাদেরকে//তখন তারা সাড়া দিক//তোমাদের//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 1149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1149.mp3"
              ],
              "text": "أَلَهُمْ أَرْجُلٌۭ يَمْشُونَ بِهَآ ۖ أَمْ لَهُمْ أَيْدٍۢ يَبْطِشُونَ بِهَآ ۖ أَمْ لَهُمْ أَعْيُنٌۭ يُبْصِرُونَ بِهَآ ۖ أَمْ لَهُمْ ءَاذَانٌۭ يَسْمَعُونَ بِهَا ۗ قُلِ ٱدْعُوا۟ شُرَكَآءَكُمْ ثُمَّ كِيدُونِ فَلَا تُنظِرُونِ",
              "translate_bn": "তাদের কি পা আছে, যদ্বারা তারা চলাফেরা করে, কিংবা তাদের কি হাত আছে, যদ্বারা তারা ধরে। অথবা তাদের কি চোখ আছে যদ্বারা তারা দেখতে পায় কিংবা তাদের কি কান আছে যদ্বারা শুনতে পায়? বলে দাও, তোমরা ডাক তোমাদের অংশীদারদিগকে, অতঃপর আমার অমঙ্গল কর এবং আমাকে অবকাশ দিও না।",
              "numberInSurah": 195,
              "juz": 9,
              "manzil": 2,
              "page": 175,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "আলাহুম আরজুলুইঁ ইয়ামশূনা বিহা- আম লাহুম আইদিইঁ ইয়াবতিশূনা বিহা- আম লাহুম আ‘ইউনুইঁ ইয়ুবসিরূনা বিহা- আম লাহুম আ-যা-নুইঁ ইয়াছমা‘ঊনা বিহা- কুলিদ‘ঊ শুরাকাআকুম ছুম্মা কীদূ নি ফালা-তুনজিরূন।",
              "words_arabic": "اَلَهُمْ/أَلَهُمۡ/alahum//اَرْجُلٌ/أَرۡجُلٞ/arjulun//یَّمْشُوْنَ/يَمۡشُونَ/yamshuna//بِهَاۤ ؗ/بِهَآۖ/biha//اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//اَیْدٍ/أَيۡدٖ/aydin//یَّبْطِشُوْنَ/يَبۡطِشُونَ/yabtishuna//بِهَاۤ ؗ/بِهَآۖ/biha//اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//اَعْیُنٌ/أَعۡيُنٞ/a'yunun//یُّبْصِرُوْنَ/يُبۡصِرُونَ/yub'siruna//بِهَاۤ ؗ/بِهَآۖ/biha//اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//اٰذَانٌ/ءَاذَانٞ/adhanun//یَّسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//بِهَا ؕ/بِهَاۗ/biha//قُلِ/قُلِ/quli//ادْعُوْا/ٱدۡعُواْ/id'u//شُرَكَآءَكُمْ/شُرَكَآءَكُمۡ/shurakaakum//ثُمَّ/ثُمَّ/thumma//كِیْدُوْنِ/كِيدُونِ/kiduni//فَلَا/فَلَا/fala//تُنْظِرُوْنِ /تُنظِرُونِ/tunziruni",
              "words_bangla": "কি আছে তাদের//পাসমূহ//তারা চলে//দিয়ে তা//বা//আছে তাদের (কি)//হাতসমূহ//তারা ধরতে পারে//দিয়ে তা//বা//আছে তাদের(কি)//চোখসমূহ//তারা দেখে//দিয়ে তা//বা//আছে তাদের(কি)//কানসমূহ//তারা শুনে//দিয়ে তা//বলো//\"তোমরা ডাকো//শরিকদেরকে তোমাদের//এরপর//ষড়যন্ত্র করো আমার বিরুদ্ধে//অত:পর না//আমাকে তোমরা অবকাশ দিও\""
            },
            {
              "number": 1150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1150.mp3"
              ],
              "text": "إِنَّ وَلِۦِّىَ ٱللَّهُ ٱلَّذِى نَزَّلَ ٱلْكِتَٰبَ ۖ وَهُوَ يَتَوَلَّى ٱلصَّٰلِحِينَ",
              "translate_bn": "আমার সহায় তো হলেন আল্লাহ, যিনি কিতাব অবতীর্ণ করেছেন। বস্তুত; তিনিই সাহায্য করেন সৎকর্মশীল বান্দাদের।",
              "numberInSurah": 196,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ইন্না ওয়ালিইয়িইয়াল্লা-হুল্লাযী নাঝঝালাল কিতা-বা ওয়া হুওয়া ইয়াতাওয়াল্লাসসা-লিহীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//وَلِیِّ َۧ/وَلِـِّۧيَ/waliyyiya//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//نَزَّلَ/نَزَّلَ/nazzala//الْكِتٰبَ ۖؗ/ٱلۡكِتَٰبَۖ/al-kitaba//وَ هُوَ/وَهُوَ/wahuwa//یَتَوَلَّی/يَتَوَلَّى/yatawalla//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "নিশ্চয়ই//আমার অভিভাবক//আল্লাহ//যিনি//অবতীর্ণ করেছেন//কিতাব//এবং তিনি//অভিভাবকত্ব করেন//সৎকর্মশীলদের"
            },
            {
              "number": 1151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1151.mp3"
              ],
              "text": "وَٱلَّذِينَ تَدْعُونَ مِن دُونِهِۦ لَا يَسْتَطِيعُونَ نَصْرَكُمْ وَلَآ أَنفُسَهُمْ يَنصُرُونَ",
              "translate_bn": "আর তোমরা তাঁকে বাদ দিয়ে যাদেরকে ডাক তারা না তোমাদের কোন সাহায্য করতে পারবে, না নিজেদের আত্নরক্ষা করতে পারবে।",
              "numberInSurah": 197,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা তাদ‘ঊনা মিন দূনিহী লা-ইয়াছতাতী‘ঊনা নাসরাকুমওয়ালা-আনফুছাহুম ইয়ানসুরূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//نَصْرَكُمْ/نَصۡرَكُمۡ/nasrakum//وَ لَاۤ/وَلَآ/wala//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَنْصُرُوْنَ /يَنصُرُونَ/yansuruna",
              "words_bangla": "এবং যাদের//তোমরা আহবান করো//দিয়ে//ছেড়ে তাঁকে//না//তারা সমর্থ হয়//সাহায্য করতে তোমাদেরকে//এবং না//নিজেদেরকে তাদের//সাহায্য করতে পারে"
            },
            {
              "number": 1152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1152.mp3"
              ],
              "text": "وَإِن تَدْعُوهُمْ إِلَى ٱلْهُدَىٰ لَا يَسْمَعُوا۟ ۖ وَتَرَىٰهُمْ يَنظُرُونَ إِلَيْكَ وَهُمْ لَا يُبْصِرُونَ",
              "translate_bn": "আর তুমি যদি তাদেরকে সুপথে আহবান কর, তবে তারা তা কিছুই শুনবে না। আর তুমি তো তাদের দেখছই, তোমার দিকে তাকিয়ে আছে, অথচ তারা কিছুই দেখতে পাচ্ছে না।",
              "numberInSurah": 198,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাদ‘ঊহুম ইলাল হুদা-লা-ইয়াছমা‘ঊ ওয়া তারা-হুম ইয়ানজুরুনা ইলাইকা ওয়া হুম লা-ইউবসিরূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تَدْعُوْهُمْ/تَدۡعُوهُمۡ/tad'uhum//اِلَی/إِلَى/ila//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//لَا/لَا/la//یَسْمَعُوْا ؕ/يَسۡمَعُواْۖ/yasma'u//وَ تَرٰىهُمْ/وَتَرَىٰهُمۡ/watarahum//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "এবং যদি//আহবান করো তাদেরকে//দিকে//সৎপথের//না//তারা শুনতে পায়//এবং (বাহ্যতঃ)তুমি দেখতে পাবে তাদেরকে//তারা তাকাচ্ছে//তোমার দিকে//অথচ তারা//না//দেখতে পায়"
            },
            {
              "number": 1153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1153.mp3"
              ],
              "text": "خُذِ ٱلْعَفْوَ وَأْمُرْ بِٱلْعُرْفِ وَأَعْرِضْ عَنِ ٱلْجَٰهِلِينَ",
              "translate_bn": "আর ক্ষমা করার অভ্যাস গড়ে তোল, সৎকাজের নির্দেশ দাও এবং মূর্খ জাহেলদের থেকে দূরে সরে থাক।",
              "numberInSurah": 199,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "খুযিল ‘আফওয়া ওয়া‘মুর বিল ‘উরফি ওয়া আ‘রিদ‘আনিল জা-হিলীন।",
              "words_arabic": "خُذِ/خُذِ/khudhi//الْعَفْوَ/ٱلۡعَفۡوَ/al-'afwa//وَ اْمُرْ/وَأۡمُرۡ/wamur//بِالْعُرْفِ/بِٱلۡعُرۡفِ/bil-'ur'fi//وَ اَعْرِضْ/وَأَعۡرِضۡ/wa-a'rid//عَنِ/عَنِ/ani//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "অবলম্বন করো//ক্ষমাশীলতা//ও নির্দেশ দাও//প্রতি সৎকাজের//এবং উপেক্ষা করো//থেকে//মূর্খদের"
            },
            {
              "number": 1154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1154.mp3"
              ],
              "text": "وَإِمَّا يَنزَغَنَّكَ مِنَ ٱلشَّيْطَٰنِ نَزْغٌۭ فَٱسْتَعِذْ بِٱللَّهِ ۚ إِنَّهُۥ سَمِيعٌ عَلِيمٌ",
              "translate_bn": "আর যদি শয়তানের প্ররোচনা তোমাকে প্ররোচিত করে, তাহলে আল্লাহর শরণাপন্ন হও তিনিই শ্রবণকারী, মহাজ্ঞানী।",
              "numberInSurah": 200,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা-ইয়ানঝাগান্নাকা মিনাশশাইতা-নি নাঝগুন ফাছতা‘ইযবিল্লা-হি ইন্নাহূছামী‘উন ‘আলীম।",
              "words_arabic": "وَ اِمَّا/وَإِمَّا/wa-imma//یَنْزَغَنَّكَ/يَنزَغَنَّكَ/yanzaghannaka//مِنَ/مِنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//نَزْغٌ/نَزۡغٞ/nazghun//فَاسْتَعِذْ/فَٱسۡتَعِذۡ/fa-is'ta'idh//بِاللّٰهِ ؕ/بِٱللَّهِۚ/bil-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "এবং যদি//তোমাকে প্ররোচিত করে//পক্ষ হতে//শয়তানের//কোনো কুমন্ত্রণা//তবে তুমি অাশ্রয় চাও//কাছে আল্লাহর//নিশ্চয়ই তিনি//সবকিছু শুনেন//সবকিছুু জানেন"
            },
            {
              "number": 1155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1155.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ٱتَّقَوْا۟ إِذَا مَسَّهُمْ طَٰٓئِفٌۭ مِّنَ ٱلشَّيْطَٰنِ تَذَكَّرُوا۟ فَإِذَا هُم مُّبْصِرُونَ",
              "translate_bn": "যাদের মনে ভয় রয়েছে, তাদের উপর শয়তানের আগমন ঘটার সাথে সাথেই তারা সতর্ক হয়ে যায় এবং তখনই তাদের বিবেচনাশক্তি জাগ্রত হয়ে উঠে।",
              "numberInSurah": 201,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনাত তাকাও ইযা-মাছছাহুম তাইফুম মিনাশশাইতা-নি তাযাক্কারূফাইযা-হুম মুবসিরূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//اِذَا/إِذَا/idha//مَسَّهُمْ/مَسَّهُمۡ/massahum//طٰٓىِٕفٌ/طَـٰٓئِفٞ/taifun//مِّنَ/مِّنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//تَذَكَّرُوْا/تَذَكَّرُواْ/tadhakkaru//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُم/hum//مُّبْصِرُوْنَۚ/مُّبۡصِرُونَ/mub'siruna",
              "words_bangla": "নিশ্চয়ই//যারা//তাকওয়া অবলম্বন করে//যখন//স্পর্শ করে তাদেরকে//কোনো কুচিন্তা//পক্ষ হতে//শয়তানের//তারা স্মরণ করে (আল্লাহকে)//অত:পর তখন//তারা//দেখতে পায় (সঠিক পথ)"
            },
            {
              "number": 1156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1156.mp3"
              ],
              "text": "وَإِخْوَٰنُهُمْ يَمُدُّونَهُمْ فِى ٱلْغَىِّ ثُمَّ لَا يُقْصِرُونَ",
              "translate_bn": "পক্ষান্তরে যারা শয়তানের ভাই, তাদেরকে সে ক্রমাগত পথভ্রষ্ট তার দিকে নিয়ে যায় অতঃপর তাতে কোন কমতি করে না।",
              "numberInSurah": 202,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইখওয়া-নুহুম ইয়ামুদ্দূনাহুম ফিল গাইয়ি ছুম্মা লা-ইউকসিরূন।",
              "words_arabic": "وَ اِخْوَانُهُمْ/وَإِخۡوَٰنُهُمۡ/wa-ikh'wanuhum//یَمُدُّوْنَهُمْ/يَمُدُّونَهُمۡ/yamuddunahum//فِی/فِي/fi//الْغَیِّ/ٱلۡغَيِّ/al-ghayi//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُقْصِرُوْنَ /يُقۡصِرُونَ/yuq'siruna",
              "words_bangla": "এবং তাদের (বিভ্রান্ত) ভাইয়েরা//টেনে নেয় তাদেরকে//মধ্যে//ভ্রান্তির//এরপর//না//তারা ত্রুটি করে (বিভ্রান্তিতে রাখতে)"
            },
            {
              "number": 1157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1157.mp3"
              ],
              "text": "وَإِذَا لَمْ تَأْتِهِم بِـَٔايَةٍۢ قَالُوا۟ لَوْلَا ٱجْتَبَيْتَهَا ۚ قُلْ إِنَّمَآ أَتَّبِعُ مَا يُوحَىٰٓ إِلَىَّ مِن رَّبِّى ۚ هَٰذَا بَصَآئِرُ مِن رَّبِّكُمْ وَهُدًۭى وَرَحْمَةٌۭ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "আর যখন আপনি তাদের নিকট কোন নিদর্শন নিয়ে না যান, তখন তারা বলে, আপনি নিজের পক্ষ থেকে কেন অমুকটি নিয়ে আসলেন না, তখন আপনি বলে দিন, আমি তো সে মতেই চলি যে হুকুম আমার নিকট আসে আমার পরওয়ারদেগারের কাছ থেকে। এটা ভাববার বিষয় তোমাদের পরওয়ারদেগারের পক্ষ থেকে এবং হেদায়েত ও রহমত সেসব লোকের জন্য যারা ঈমান এনেছে।",
              "numberInSurah": 203,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-লাম তা’তিহিম বিআ-য়াতিন কা-লূলাওলাজ তাবাইতাহা- কুল ইন্নামা আত্তাবি‘উ মা-ইউহা ইলাইইয়া মিররাববী হা-যা-বাসাইরু মিররাব্বিকুম ওয়া হুদাওঁ ওয়া রাহমাতুল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//لَمْ/لَمۡ/lam//تَاْتِهِمْ/تَأۡتِهِم/tatihim//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//قَالُوْا/قَالُواْ/qalu//لَوْ لَا/لَوۡلَا/lawla//اجْتَبَیْتَهَا ؕ/ٱجۡتَبَيۡتَهَاۚ/ij'tabaytaha//قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَتَّبِعُ/أَتَّبِعُ/attabi'u//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//مِنْ/مِن/min//رَّبِّیْ ۚ/رَّبِّيۚ/rabbi//هٰذَا/هَٰذَا/hadha//بَصَآىِٕرُ/بَصَآئِرُ/basairu//مِنْ/مِن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং যখন//না//তাদের কাছে আসো তুমি//কোনো নিদর্শন//তারা বলে//\"কেন না//তুমি বেছে নিলে তা\"//বলো//\"প্রকৃত পক্ষে//অনুসরণ করি আমি//যা//ওহী করা হয়//প্রতি আমার//পক্ষ হতে//আমার রবের//এটা//জ্ঞানালোক//পক্ষ হতে//তোমার রবের//এবং পথনির্দেশ//এবং দয়া//জন্যে ঐ সম্প্রদায়ের//(যারা) ঈমান আনে\""
            },
            {
              "number": 1158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1158.mp3"
              ],
              "text": "وَإِذَا قُرِئَ ٱلْقُرْءَانُ فَٱسْتَمِعُوا۟ لَهُۥ وَأَنصِتُوا۟ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "আর যখন কোরআন পাঠ করা হয়, তখন তাতে কান লাগিয়ে রাখ এবং নিশ্চুপ থাক যাতে তোমাদের উপর রহমত হয়।",
              "numberInSurah": 204,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কুরিয়াল কুরআ-নুফাছতামি‘ঊ লাহূওয়া আনসিতূলা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قُرِئَ/قُرِئَ/quri-a//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//فَاسْتَمِعُوْا/فَٱسۡتَمِعُواْ/fa-is'tami'u//لَهٗ/لَهُۥ/lahu//وَ اَنْصِتُوْا/وَأَنصِتُواْ/wa-ansitu//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَ /تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//কুরআন//তখন তোমরা মনোযোগ দিয়ে শুনো//প্রতি তার//এবং তোমরা চুপ থাকো//যাতে তোমরা//দয়াপ্রাপ্ত হও"
            },
            {
              "number": 1159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1159.mp3"
              ],
              "text": "وَٱذْكُر رَّبَّكَ فِى نَفْسِكَ تَضَرُّعًۭا وَخِيفَةًۭ وَدُونَ ٱلْجَهْرِ مِنَ ٱلْقَوْلِ بِٱلْغُدُوِّ وَٱلْءَاصَالِ وَلَا تَكُن مِّنَ ٱلْغَٰفِلِينَ",
              "translate_bn": "আর স্মরণ করতে থাক স্বীয় পালনকর্তাকে আপন মনে ক্রন্দনরত ও ভীত-সন্ত্রস্ত অবস্থায় এবং এমন স্বরে যা চিৎকার করে বলা অপেক্ষা কম; সকালে ও সন্ধ্যায়। আর বে-খবর থেকো না।",
              "numberInSurah": 205,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর রাব্বাকা ফী নাফছিকা তাদাররু‘আওঁ ওয়া খীফাতওঁ ওয়া দূনাল জাহরি মিনাল কাওলি বিলগুদুওবিওয়াল আ-সা-লি ওয়ালা-তাকুম মিনাল গা-ফিলীন।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُر/wa-udh'kur//رَّبَّكَ/رَّبَّكَ/rabbaka//فِیْ/فِي/fi//نَفْسِكَ/نَفۡسِكَ/nafsika//تَضَرُّعًا/تَضَرُّعٗا/tadarru'an//وَّ خِیْفَةً/وَخِيفَةٗ/wakhifatan//وَّ دُوْنَ/وَدُونَ/waduna//الْجَهْرِ/ٱلۡجَهۡرِ/al-jahri//مِنَ/مِنَ/mina//الْقَوْلِ/ٱلۡقَوۡلِ/al-qawli//بِالْغُدُوِّ/بِٱلۡغُدُوِّ/bil-ghuduwi//وَ الْاٰصَالِ/وَٱلۡأٓصَالِ/wal-asali//وَ لَا/وَلَا/wala//تَكُنْ/تَكُن/takun//مِّنَ/مِّنَ/mina//الْغٰفِلِیْنَ /ٱلۡغَٰفِلِينَ/al-ghafilina",
              "words_bangla": "এবং স্মরণ করো//তোমার রবকে//মধ্যে//তোমার মনের//সবিনয়ে//ও ভয়ে//এবং ছাড়া//উচ্চস্বর (অর্থাৎ নিরবে স্মরণ করো)//মাধ্যমে//কথার//বেলায় সকাল//ও সন্ধ্যায়//এবং না//হয়ো//অন্তর্ভুক্ত//উদাসীনদের"
            },
            {
              "number": 1160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1160.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ عِندَ رَبِّكَ لَا يَسْتَكْبِرُونَ عَنْ عِبَادَتِهِۦ وَيُسَبِّحُونَهُۥ وَلَهُۥ يَسْجُدُونَ ۩",
              "translate_bn": "নিশ্চয়ই যারা তোমার পরওয়ারদেগারের সান্নিধ্যে রয়েছেন, তারা তাঁর বন্দেগীর ব্যাপারে অহঙ্কার করেন না এবং স্মরণ করেন তাঁর পবিত্র সত্তাকে; আর তাঁকেই সেজদা করেন।",
              "numberInSurah": 206,
              "juz": 9,
              "manzil": 2,
              "page": 176,
              "ruku": 145,
              "hizbQuarter": 70,
              "sajda": {
                "id": 1,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ইন্নাল্লাযীনা ‘ইন্দা রাব্বিকালা-ইয়াছতাকবিরূনা‘আন ‘ইবা-দাতিহীওয়াইউছাব্বিহূনাহূওয়া লাহূইয়াছজুদূন। (ছিজদাহ-১)",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//لَا/لَا/la//یَسْتَكْبِرُوْنَ/يَسۡتَكۡبِرُونَ/yastakbiruna//عَنْ/عَنۡ/an//عِبَادَتِهٖ/عِبَادَتِهِۦ/ibadatihi//وَ یُسَبِّحُوْنَهٗ/وَيُسَبِّحُونَهُۥ/wayusabbihunahu//وَ لَهٗ/وَلَهُۥ/walahu//یَسْجُدُوْنَ۠۩/يَسۡجُدُونَۤ۩/yasjuduna",
              "words_bangla": "নিশ্চয়ই//যারা (অর্থাৎ ফেরেশতারা)//নিকটে (রয়েছে)//তোমার রবের//না//তারা অহংকার করে//ব্যাপারে//ইবাদতের তাঁর//ও মহিমা ঘোষণা করে তাঁর//এবং জন্যে তাঁর//তারা সিজদা করে"
            }
          ]
        },
        {
          "number": 8,
          "name": "سُورَةُ الأَنفَالِ",
          "englishName": "Al-Anfaal",
          "englishNameTranslation": "The Spoils of War",
          "revelationType": "Medinan",
          "verse": 75,
          "words": 2525,
          "chars": 10834,
          "ayahs": [
            {
              "number": 1161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1161.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَسْـَٔلُونَكَ عَنِ ٱلْأَنفَالِ ۖ قُلِ ٱلْأَنفَالُ لِلَّهِ وَٱلرَّسُولِ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَأَصْلِحُوا۟ ذَاتَ بَيْنِكُمْ ۖ وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥٓ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আপনার কাছে জিজ্ঞেস করে, গনীমতের হুকুম। বলে দিন, গণীমতের মাল হল আল্লাহর এবং রসূলের। অতএব, তোমরা আল্লাহকে ভয় কর এবং নিজেদের অবস্থা সংশোধন করে নাও। আর আল্লাহ এবং তাঁর রসূলের হুকুম মান্য কর, যদি ঈমানদার হয়ে থাক।",
              "numberInSurah": 1,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনাকা ‘আনিল আনফা-লি কুল্লি আনফা-লুলিল্লা-হি ওয়াররাছূলি ফাত্তাকুল্লা-হা ওয়া আসলিহূযা-তা বাইনিকুম ওয়া আতী‘উল্লা-হা ওয়া রাছূলাহূইন কুনতুম মু’মিনীন।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//الْاَنْفَالِ ؕ/ٱلۡأَنفَالِۖ/al-anfali//قُلِ/قُلِ/quli//الْاَنْفَالُ/ٱلۡأَنفَالُ/al-anfalu//لِلّٰهِ/لِلَّهِ/lillahi//وَ الرَّسُوْلِ ۚ/وَٱلرَّسُولِۖ/wal-rasuli//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَصْلِحُوْا/وَأَصۡلِحُواْ/wa-aslihu//ذَاتَ/ذَاتَ/dhata//بَیْنِكُمْ ۪/بَيۡنِكُمۡۖ/baynikum//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗۤ/وَرَسُولَهُۥٓ/warasulahu//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "তোমাকে তারা জিজ্ঞাসা করে//সম্পর্কে//যুদ্ধলব্ধ সম্পদ//বলো//\"যুদ্ধলব্ধ সম্পদ//জন্যে আল্লাহর//ও রাসূলের (জন্যে)//অতএব তোমরা ভয় করো//আল্লাহকে//এবং তোমরা সংশোধন করো//অবস্থা//মধ্যকার তোমাদের//এবং তোমরা আনুগত্য করো//আল্লাহর//এবং রাসূলের তাঁর//যদি//হও তোমরা//মু'মিন\""
            },
            {
              "number": 1162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1162.mp3"
              ],
              "text": "إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ إِذَا ذُكِرَ ٱللَّهُ وَجِلَتْ قُلُوبُهُمْ وَإِذَا تُلِيَتْ عَلَيْهِمْ ءَايَٰتُهُۥ زَادَتْهُمْ إِيمَٰنًۭا وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ",
              "translate_bn": "যারা ঈমানদার, তারা এমন যে, যখন আল্লাহর নাম নেয়া হয় তখন ভীত হয়ে পড়ে তাদের অন্তর। আর যখন তাদের সামনে পাঠ করা হয় কালাম, তখন তাদের ঈমান বেড়ে যায় এবং তারা স্বীয় পরওয়ার দেগারের প্রতি ভরসা পোষণ করে।",
              "numberInSurah": 2,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাল মু’মিনূনাল্লাযীনা ইযা-যুকিরাল্লা-হুওয়াজিলাতকুলূবুহুম ওয়া ইযা-তুলিয়াত ‘আলাইহিম আ-ইয়া-তুহূঝা-দাতহুম ঈমা-নাওঁ ওয়া ‘আলা-রাব্বিহিম ইয়াতাওয়াক্কালূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَا/إِذَا/idha//ذُكِرَ/ذُكِرَ/dhukira//اللّٰهُ/ٱللَّهُ/al-lahu//وَ جِلَتْ/وَجِلَتۡ/wajilat//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//وَ اِذَا/وَإِذَا/wa-idha//تُلِیَتْ/تُلِيَتۡ/tuliyat//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُهٗ/ءَايَٰتُهُۥ/ayatuhu//زَادَتْهُمْ/زَادَتۡهُمۡ/zadathum//اِیْمَانًا/إِيمَٰنٗا/imanan//وَّ عَلٰی/وَعَلَىٰ/wa'ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَتَوَكَّلُوْنَۚۖ/يَتَوَكَّلُونَ/yatawakkaluna",
              "words_bangla": "প্রকৃতপক্ষে//মু'মিন//(তারাই) যারা//(এমন যে) যখন//স্মরণ করা হয়//আল্লাহর//কেঁপে উঠে//অন্তরগুলো তাদের//এবং যখন//পাঠ করা হয়//নিকট তাদের//আয়াতগুলো তাঁর//বৃদ্ধি পায় তাদের//ঈমান//ও উপর//রবের তাদের//তারা নির্ভর করে"
            },
            {
              "number": 1163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1163.mp3"
              ],
              "text": "ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "সে সমস্ত লোক যারা নামায প্রতিষ্ঠা করে এবং আমি তাদেরকে যে রুযী দিয়েছি তা থেকে ব্যয় করে।",
              "numberInSurah": 3,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউকীমূনাসসালা-তা ওয়া মিম্মা-রাঝাকনা-হুম ইউনফিকূ ন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقِیْمُوْنَ/يُقِيمُونَ/yuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَؕ/يُنفِقُونَ/yunfiquna",
              "words_bangla": "যারা//প্রতিষ্ঠা করে//সালাত//ও (তা) হতে যা//আমরা জীবিকা দিয়েছি তাদের//তারা ব্যয় করে"
            },
            {
              "number": 1164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1164.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ هُمُ ٱلْمُؤْمِنُونَ حَقًّۭا ۚ لَّهُمْ دَرَجَٰتٌ عِندَ رَبِّهِمْ وَمَغْفِرَةٌۭ وَرِزْقٌۭ كَرِيمٌۭ",
              "translate_bn": "তারাই হল সত্যিকার ঈমানদার! তাদের জন্য রয়েছে স্বীয় পরওয়ারদেগারের নিকট মর্যাদা, ক্ষমা এবং সম্মানজনক রুযী।",
              "numberInSurah": 4,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "উলাইকা হুমুল মু’মিনূনা হাক্কান লাহুম দারাজা-তুন ‘ইনদা রাব্বিহিম ওয়া মাগফিরাতুওঁ ওয়া রিঝকুন কারীম।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//حَقًّا ؕ/حَقّٗاۚ/haqqan//لَهُمْ/لَّهُمۡ/lahum//دَرَجٰتٌ/دَرَجَٰتٌ/darajatun//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ مَغْفِرَةٌ/وَمَغۡفِرَةٞ/wamaghfiratun//وَّ رِزْقٌ/وَرِزۡقٞ/wariz'qun//كَرِیْمٌۚ/كَرِيمٞ/karimun",
              "words_bangla": "ঐসব(লোক)//তারাই//মু'মিন//প্রকৃত//জন্যে তাদের(রয়েছে)//মর্যাদাসমূহ//কাছে//রবের তাদের//ও ক্ষমা//ও জীবিকা//সম্মানজনক"
            },
            {
              "number": 1165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1165.mp3"
              ],
              "text": "كَمَآ أَخْرَجَكَ رَبُّكَ مِنۢ بَيْتِكَ بِٱلْحَقِّ وَإِنَّ فَرِيقًۭا مِّنَ ٱلْمُؤْمِنِينَ لَكَٰرِهُونَ",
              "translate_bn": "যেমন করে তোমাকে তোমার পরওয়ারদেগার ঘর থেকে বের করেছেন ন্যায় ও সৎকাজের জন্য, অথচ ঈমানদারদের একটি দল (তাতে) সম্মত ছিল না।",
              "numberInSurah": 5,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "কামাআখরাজাকা রাব্বুকা মিম বাইতিকা বিলহাক্কি ওয়া ইন্না ফারীকাম মিনাল মু’মিনীনা লাকা-রিহূন।",
              "words_arabic": "كَمَاۤ/كَمَآ/kama//اَخْرَجَكَ/أَخۡرَجَكَ/akhrajaka//رَبُّكَ/رَبُّكَ/rabbuka//مِنْۢ/مِنۢ/min//بَیْتِكَ/بَيۡتِكَ/baytika//بِالْحَقِّ ۪/بِٱلۡحَقِّ/bil-haqi//وَ اِنَّ/وَإِنَّ/wa-inna//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنَ/مِّنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//لَكٰرِهُوْنَۙ/لَكَٰرِهُونَ/lakarihuna",
              "words_bangla": "যেমন//তোমাকে বের করেছিলেন//তোমার রব//থেকে//তোমার ঘর//ভাবে ন্যায়//এবং নিশ্চয়ই//একদল//মধ্য হতে(ছিলো)//মু'মিনদের//অবশ্যই অপছন্দকারী"
            },
            {
              "number": 1166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1166.mp3"
              ],
              "text": "يُجَٰدِلُونَكَ فِى ٱلْحَقِّ بَعْدَمَا تَبَيَّنَ كَأَنَّمَا يُسَاقُونَ إِلَى ٱلْمَوْتِ وَهُمْ يَنظُرُونَ",
              "translate_bn": "তারা তোমার সাথে বিবাদ করছিল সত্য ও ন্যায় বিষয়ে, তা প্রকাশিত হবার পর; তারা যেন মৃত্যুর দিকে ধাবিত হচ্ছে দেখতে দেখতে।",
              "numberInSurah": 6,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইউজা-দিলূনাকা ফিল হাক্কি বা‘দা মা-তাবাইইয়ানা কাআন্নামা-ইউছা-কূনা ইলাল মাওতি ওয়া হুম ইয়ানজু রুন।",
              "words_arabic": "یُجَادِلُوْنَكَ/يُجَٰدِلُونَكَ/yujadilunaka//فِی/فِي/fi//الْحَقِّ/ٱلۡحَقِّ/al-haqi//بَعْدَ مَا/بَعۡدَمَا/ba'da ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//كَاَنَّمَا/كَأَنَّمَا/ka-annama//یُسَاقُوْنَ/يُسَاقُونَ/yusaquna//اِلَی/إِلَى/ila//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//وَ هُمْ/وَهُمۡ/wahum//یَنْظُرُوْنَؕ/يَنظُرُونَ/yanzuruna",
              "words_bangla": "তোমার সাথে তারা বিতর্ক করে//ব্যাপারে//সত্যের//পরেও তা//সুস্পষ্ট হওয়ার//যেন প্রকৃতপক্ষে//তারা চালিত হচ্ছে//দিকে//মৃত্যুর//এ অবস্থায়(যেন) তারা//প্রত্যক্ষ করছে(মৃত্যু)"
            },
            {
              "number": 1167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1167.mp3"
              ],
              "text": "وَإِذْ يَعِدُكُمُ ٱللَّهُ إِحْدَى ٱلطَّآئِفَتَيْنِ أَنَّهَا لَكُمْ وَتَوَدُّونَ أَنَّ غَيْرَ ذَاتِ ٱلشَّوْكَةِ تَكُونُ لَكُمْ وَيُرِيدُ ٱللَّهُ أَن يُحِقَّ ٱلْحَقَّ بِكَلِمَٰتِهِۦ وَيَقْطَعَ دَابِرَ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর যখন আল্লাহ দু’টি দলের একটির ব্যাপারে তোমাদের সাথে ওয়াদা করেছিলেন যে, সেটি তোমাদের হস্তগত হবে, আর তোমরা কামনা করছিলে যাতে কোন রকম কন্টক নেই, তাই তোমাদের ভাগে আসুক; অথচ আল্লাহ চাইতেন সত্যকে স্বীয় কালামের মাধ্যমে সত্যে পরিণত করতে এবং কাফেরদের মূল কর্তন করে দিতে,",
              "numberInSurah": 7,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয ইয়া‘ইদুকুমুল্লা-হুইহদাততাইফাতাইনি আন্নাহা-লাকুম ওয়া তাওয়াদ্দূনা আন্না গাইরা যা-তিশশাওকাতি তাকূনুলাকুম ওয়া ইউরীদুল্লা-হুআইঁ ইউহিক্কাল হাক্কা বিকালিমাতিহী ওয়া ইয়াকতা‘আ দা-বিরাল কা-ফিরীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یَعِدُكُمُ/يَعِدُكُمُ/ya'idukumu//اللّٰهُ/ٱللَّهُ/al-lahu//اِحْدَی/إِحۡدَى/ih'da//الطَّآىِٕفَتَیْنِ/ٱلطَّآئِفَتَيۡنِ/al-taifatayni//اَنَّهَا/أَنَّهَا/annaha//لَكُمْ/لَكُمۡ/lakum//وَ تَوَدُّوْنَ/وَتَوَدُّونَ/watawadduna//اَنَّ/أَنَّ/anna//غَیْرَ/غَيۡرَ/ghayra//ذَاتِ/ذَاتِ/dhati//الشَّوْكَةِ/ٱلشَّوۡكَةِ/al-shawkati//تَكُوْنُ/تَكُونُ/takunu//لَكُمْ/لَكُمۡ/lakum//وَ یُرِیْدُ/وَيُرِيدُ/wayuridu//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یُّحِقَّ/يُحِقَّ/yuhiqqa//الْحَقَّ/ٱلۡحَقَّ/al-haqa//بِكَلِمٰتِهٖ/بِكَلِمَٰتِهِۦ/bikalimatihi//وَ یَقْطَعَ/وَيَقۡطَعَ/wayaqta'a//دَابِرَ/دَابِرَ/dabira//الْكٰفِرِیْنَۙ/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং (স্মরণ করো)যখন//প্রতিশ্রুতি দেন তোমাদের//আল্লাহ//একটির//দুইদলের(মধ্যে)//যে তা(আওতাধীন হবে)//জন্যে তোমাদের//অথচ তোমরা চেয়েছিলে//যে//নয়//যুক্ত//কাঁটা//তা হবে (সংঘর্ষশীল)//জন্যে তোমাদের//কিন্তু চান//আল্লাহ//যে//সত্যে পরিণত করতে//সত্যকে//দিয়ে বাণীসমূহ তাঁর//এবং কাটবেন//মূল//কাফেরদের"
            },
            {
              "number": 1168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1168.mp3"
              ],
              "text": "لِيُحِقَّ ٱلْحَقَّ وَيُبْطِلَ ٱلْبَٰطِلَ وَلَوْ كَرِهَ ٱلْمُجْرِمُونَ",
              "translate_bn": "যাতে করে সত্যকে সত্য এবং মিথ্যাকে মিথ্যা প্রতিপন্ন করে দেন, যদিও পাপীরা অসন্তুষ্ট হয়।",
              "numberInSurah": 8,
              "juz": 9,
              "manzil": 2,
              "page": 177,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "লিইউহিক্কাল হাক্কা ওয়া ইউবতিলাল বা-তিলা ওয়া লাও কারিহাল মুজরিমূন।",
              "words_arabic": "لِیُحِقَّ/لِيُحِقَّ/liyuhiqqa//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ یُبْطِلَ/وَيُبۡطِلَ/wayub'tila//الْبَاطِلَ/ٱلۡبَٰطِلَ/al-batila//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْمُجْرِمُوْنَۚ/ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "যেন সত্যে পরিণত করেন//সত্যকে//ও অসত্যে পরিণত করেন//অসত্যকে//এবং যদিও (তা)//অপছন্দ করে//অপরাধীরা"
            },
            {
              "number": 1169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1169.mp3"
              ],
              "text": "إِذْ تَسْتَغِيثُونَ رَبَّكُمْ فَٱسْتَجَابَ لَكُمْ أَنِّى مُمِدُّكُم بِأَلْفٍۢ مِّنَ ٱلْمَلَٰٓئِكَةِ مُرْدِفِينَ",
              "translate_bn": "তোমরা যখন ফরিয়াদ করতে আরম্ভ করেছিলে স্বীয় পরওয়ারদেগারের নিকট, তখন তিনি তোমাদের ফরিয়াদের মঞ্জুরী দান করলেন যে, আমি তোমাদিগকে সাহায্য করব ধারাবহিকভাবে আগত হাজার ফেরেশতার মাধ্যমে।",
              "numberInSurah": 9,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইয তাছতাগীছূনা রাব্বাকুমফাছতাজা-বা লাকুমআন্নীমুমিদ্দুকুম বিআলফিম মিনাল মালাইকাতি মুরদিফীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//تَسْتَغِیْثُوْنَ/تَسۡتَغِيثُونَ/tastaghithuna//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//فَاسْتَجَابَ/فَٱسۡتَجَابَ/fa-is'tajaba//لَكُمْ/لَكُمۡ/lakum//اَنِّیْ/أَنِّي/anni//مُمِدُّكُمْ/مُمِدُّكُم/mumiddukum//بِاَلْفٍ/بِأَلۡفٖ/bi-alfin//مِّنَ/مِّنَ/mina//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//مُرْدِفِیْنَ /مُرۡدِفِينَ/mur'difina",
              "words_bangla": "(স্মরণ করো) যখন//তোমরা সাহায্য চেয়েছিলে//তোমাদের রবের কাছে//তখন তিনি ডাকে সাড়া দিলেন//প্রতি তোমাদের//\"(এভাবে) যে আমি//সাহায্য করছি তোমাদের//দিয়ে এক হাজার//মধ্য হতে//ফেরেশতাদের//ধারাবাহিকভাবে আগত\""
            },
            {
              "number": 1170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1170.mp3"
              ],
              "text": "وَمَا جَعَلَهُ ٱللَّهُ إِلَّا بُشْرَىٰ وَلِتَطْمَئِنَّ بِهِۦ قُلُوبُكُمْ ۚ وَمَا ٱلنَّصْرُ إِلَّا مِنْ عِندِ ٱللَّهِ ۚ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ",
              "translate_bn": "আর আল্লাহ তো শুধু সুসংবাদ দান করলেন যাতে তোমাদের মন আশ্বস্ত হতে পারে। আর সাহায্য আল্লাহর পক্ষ থেকে ছাড়া অন্য কারো পক্ষ থেকে হতে পারে না। নিঃসন্দেহে আল্লাহ মহাশক্তির অধিকারী হেকমত ওয়ালা।",
              "numberInSurah": 10,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 146,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জা‘আলাহুল্লা-হু ইল্লা-বুশরা-ওয়া লিতাতমাইন্না বিহী কুলূবুকুম ওয়া মান নাসরু ইল্লা-মিন ‘ইনদিল্লা-হি ইন্নাল্লা-হা ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//جَعَلَهُ/جَعَلَهُ/ja'alahu//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//بُشْرٰی/بُشۡرَىٰ/bush'ra//وَ لِتَطْمَىِٕنَّ/وَلِتَطۡمَئِنَّ/walitatma-inna//بِهٖ/بِهِۦ/bihi//قُلُوْبُكُمْ ۚ/قُلُوبُكُمۡۚ/qulubukum//وَ مَا/وَمَا/wama//النَّصْرُ/ٱلنَّصۡرُ/al-nasru//اِلَّا/إِلَّا/illa//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ۠/حَكِيمٌ/hakimun",
              "words_bangla": "এবং না//করেছিলেন তা//আল্লাহ//এ ছাড়া//সুসংবাদ হিসেবে//এবং যেন প্রশান্ত হয়//দিয়ে তা//অন্তরসমূহ তোমাদের//এবং না//সাহায্য(আসে)//এ ছাড়া//হতে//নিকট//আল্লাহর//নিশ্চয়ই//আল্লাহ//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 1171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1171.mp3"
              ],
              "text": "إِذْ يُغَشِّيكُمُ ٱلنُّعَاسَ أَمَنَةًۭ مِّنْهُ وَيُنَزِّلُ عَلَيْكُم مِّنَ ٱلسَّمَآءِ مَآءًۭ لِّيُطَهِّرَكُم بِهِۦ وَيُذْهِبَ عَنكُمْ رِجْزَ ٱلشَّيْطَٰنِ وَلِيَرْبِطَ عَلَىٰ قُلُوبِكُمْ وَيُثَبِّتَ بِهِ ٱلْأَقْدَامَ",
              "translate_bn": "যখন তিনি আরোপ করেন তোমাদের উপর তন্দ্রাচ্ছন্ন তা নিজের পক্ষ থেকে তোমাদের প্রশান্তির জন্য এবং তোমাদের উপর আকাশ থেকে পানি অবতরণ করেন, যাতে তোমাদিগকে পবিত্র করে দেন এবং যাতে তোমাদের থেকে অপসারিত করে দেন শয়তানের অপবিত্রতা। আর যাতে করে সুরক্ষিত করে দিতে পারেন তোমাদের অন্তরসমূহকে এবং তাতে যেন সুদৃঢ় করে দিতে পারেন তোমাদের পা গুলো।",
              "numberInSurah": 11,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইয ইউগাশশীকুমুননু‘আ-ছা আমানাতাম মিনহু ওয়া ইউনাঝঝিলু‘আলাইকুম মিনাছছামাই মাআল লিইউতাহহিরাকুম বিহী ওয়া ইউযহিবা ‘আনকুম রিজঝাশশাইতা-নি ওয়া লিইয়ারবিতা ‘আলা-কুলূবিকুম ওয়া ইউছাব্বিতা বিহিল আকাদা-ম।",
              "words_arabic": "اِذْ/إِذۡ/idh//یُغَشِّیْكُمُ/يُغَشِّيكُمُ/yughashikumu//النُّعَاسَ/ٱلنُّعَاسَ/al-nu'asa//اَمَنَةً/أَمَنَةٗ/amanatan//مِّنْهُ/مِّنۡهُ/min'hu//وَ یُنَزِّلُ/وَيُنَزِّلُ/wayunazzilu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//لِّیُطَهِّرَكُمْ/لِّيُطَهِّرَكُم/liyutahhirakum//بِهٖ/بِهِۦ/bihi//وَ یُذْهِبَ/وَيُذۡهِبَ/wayudh'hiba//عَنْكُمْ/عَنكُمۡ/ankum//رِجْزَ/رِجۡزَ/rij'za//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//وَ لِیَرْبِطَ/وَلِيَرۡبِطَ/waliyarbita//عَلٰی/عَلَىٰ/ala//قُلُوْبِكُمْ/قُلُوبِكُمۡ/qulubikum//وَ یُثَبِّتَ/وَيُثَبِّتَ/wayuthabbita//بِهِ/بِهِ/bihi//الْاَقْدَامَؕ/ٱلۡأَقۡدَامَ/al-aqdama",
              "words_bangla": "(স্মরণ করো) যখন//তিনি আচ্ছন্ন করেন তোমাদেরকে//তন্দ্রা(দিয়ে)//নিরাপত্তার জন্যে//পক্ষ হতে তাঁর//ও অবতীর্ণ করেন//উপর তোমাদের//হতে//আকাশ//পানি//জন্যে পবিত্র করার তোমাদেরকে//দিয়ে তা//এবং দূর করার(জন্যে)//হতে তোমাদের//অপবিত্রতা//শয়তানের//এবং জন্যে  দূঢ় করার//উপর//অন্তরসমূহের তোমাদের//ও স্থির করার (জন্যে)//দিয়ে তা//(তোমাদের) পাগুলোকে"
            },
            {
              "number": 1172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1172.mp3"
              ],
              "text": "إِذْ يُوحِى رَبُّكَ إِلَى ٱلْمَلَٰٓئِكَةِ أَنِّى مَعَكُمْ فَثَبِّتُوا۟ ٱلَّذِينَ ءَامَنُوا۟ ۚ سَأُلْقِى فِى قُلُوبِ ٱلَّذِينَ كَفَرُوا۟ ٱلرُّعْبَ فَٱضْرِبُوا۟ فَوْقَ ٱلْأَعْنَاقِ وَٱضْرِبُوا۟ مِنْهُمْ كُلَّ بَنَانٍۢ",
              "translate_bn": "যখন নির্দেশ দান করেন ফেরেশতাদিগকে তোমাদের পরওয়ারদেগার যে, আমি সাথে রয়েছি তোমাদের, সুতরাং তোমরা মুসলমানদের চিত্তসমূহকে ধীরস্থির করে রাখ। আমি কাফেরদের মনে ভীতির সঞ্চার করে দেব। কাজেই গর্দানের উপর আঘাত হান এবং তাদেরকে কাট জোড়ায় জোড়ায়।",
              "numberInSurah": 12,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইযইঊহী রাব্বুকা ইলাল মালাইকাতি আন্নী মা‘আকুম ফাছাব্বিতুল্লাযীনা আ-মানূ ছাউলকী ফী কুলূবিল্লাযীনা কাফারূররু‘বা ফাদরিবূফাওকাল আ‘না-কিওয়াদরিবূমিনহুম কুল্লা বানা-ন।",
              "words_arabic": "اِذْ/إِذۡ/idh//یُوْحِیْ/يُوحِي/yuhi//رَبُّكَ/رَبُّكَ/rabbuka//اِلَی/إِلَى/ila//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//اَنِّیْ/أَنِّي/anni//مَعَكُمْ/مَعَكُمۡ/ma'akum//فَثَبِّتُوا/فَثَبِّتُواْ/fathabbitu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ؕ/ءَامَنُواْۚ/amanu//سَاُلْقِیْ/سَأُلۡقِي/sa-ul'qi//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوا/كَفَرُواْ/kafaru//الرُّعْبَ/ٱلرُّعۡبَ/al-ru'ba//فَاضْرِبُوْا/فَٱضۡرِبُواْ/fa-id'ribu//فَوْقَ/فَوۡقَ/fawqa//الْاَعْنَاقِ/ٱلۡأَعۡنَاقِ/al-a'naqi//وَ اضْرِبُوْا/وَٱضۡرِبُواْ/wa-id'ribu//مِنْهُمْ/مِنۡهُمۡ/min'hum//كُلَّ/كُلَّ/kulla//بَنَانٍؕ/بَنَانٖ/bananin",
              "words_bangla": "(স্মরণ করো) যখন//ওহী করেন//তোমার রব//প্রতি//ফেরেশতাদের//\"যে আমি//সাথে(আছি)তোমাদের//সুতরাং তোমরা অবিচল রাখো//(তাদেরকে) যারা//ঈমান এনেছে//অচিরেই আমি ঢুকিয়ে দিবো//মধ্যে//অন্তরসমূহের//যারা//অস্বীকার করেছে//ভয়//অতএব তোমরা আঘাত করো//উপর//(তাদের)ঘাড়সমূহের//এবং তোমরা আঘাত করো//মধ্য থেকে তাদের//প্রত্যেকে//জোড়ায় জোড়ায়\""
            },
            {
              "number": 1173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1173.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ شَآقُّوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ وَمَن يُشَاقِقِ ٱللَّهَ وَرَسُولَهُۥ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "যেহেতু তারা অবাধ্য হয়েছে আল্লাহ এবং তাঁর রসূলের, সেজন্য এই নির্দেশ। বস্তুতঃ যে লোক আল্লাহ ও রসূলের অবাধ্য হয়, নিঃসন্দেহে আল্লাহর শাস্তি অত্যন্ত কঠোর।",
              "numberInSurah": 13,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম শাককুল্লা-হা ওয়া রাছূলাহূ ওয়া মাইঁ ইউশাকিকিল্লা-হা ওয়া রাছূলাহূফাইন্নাল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//شَآقُّوا/شَآقُّواْ/shaqqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ۚ/وَرَسُولَهُۥۚ/warasulahu//وَ مَنْ/وَمَن/waman//یُّشَاقِقِ/يُشَاقِقِ/yushaqiqi//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এটা//এজন্য যে তারা//তারা বিরোধিতা করেছিলো//আল্লাহর//ও রাসূলের তাঁর//এবং যে//বিরোধিতা করে//আল্লাহর//ও রাসূলের তাঁর//সেক্ষেত্রে নিশ্চয়ই//আল্লাহ//কঠোর//দন্ডদানে"
            },
            {
              "number": 1174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1174.mp3"
              ],
              "text": "ذَٰلِكُمْ فَذُوقُوهُ وَأَنَّ لِلْكَٰفِرِينَ عَذَابَ ٱلنَّارِ",
              "translate_bn": "আপাততঃ বর্তমান এ শাস্তি তোমরা আস্বাদন করে নাও এবং জেনে রাখ যে, কাফেরদের জন্য রয়েছে দোযখের আযাব।",
              "numberInSurah": 14,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুম ফাযূকূহু ওয়া আন্না লিলকা-ফিরীনা ‘আযা-বান্না-র।",
              "words_arabic": "ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//فَذُوْقُوْهُ/فَذُوقُوهُ/fadhuquhu//وَ اَنَّ/وَأَنَّ/wa-anna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَذَابَ/عَذَابَ/adhaba//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "এটাই(শাস্তি)তোমাদের//\"তাই তোমরা স্বাদ নাও তার\"//এবং নিশ্চয়ই//জন্যে কাফেরদের(রয়েছে)//শাস্তি//আগুনের"
            },
            {
              "number": 1175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1175.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا لَقِيتُمُ ٱلَّذِينَ كَفَرُوا۟ زَحْفًۭا فَلَا تُوَلُّوهُمُ ٱلْأَدْبَارَ",
              "translate_bn": "হে ঈমানদারগণ, তোমরা যখন কাফেরদের সাথে মুখোমুখী হবে, তখন পশ্চাদপসরণ করবে না।",
              "numberInSurah": 15,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূ-ইযা- লাকীতুমুল্লাযীনা কাফারূ ঝাহফান ফালাতুওয়াল্লুহুমুল আদবা-র।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//لَقِیْتُمُ/لَقِيتُمُ/laqitumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//زَحْفًا/زَحۡفٗا/zahfan//فَلَا/فَلَا/fala//تُوَلُّوْهُمُ/تُوَلُّوهُمُ/tuwalluhumu//الْاَدْبَارَۚ/ٱلۡأَدۡبَارَ/al-adbara",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যখন//তোমরা সম্মুখীন হও//(তাদের)যারা//অবিশ্বাস করেছে//(সৈন্য) বাহিনী হিসেবে//তখন না//দিকে ফিরাবে তাদের//পিঠসমূহকে"
            },
            {
              "number": 1176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1176.mp3"
              ],
              "text": "وَمَن يُوَلِّهِمْ يَوْمَئِذٍۢ دُبُرَهُۥٓ إِلَّا مُتَحَرِّفًۭا لِّقِتَالٍ أَوْ مُتَحَيِّزًا إِلَىٰ فِئَةٍۢ فَقَدْ بَآءَ بِغَضَبٍۢ مِّنَ ٱللَّهِ وَمَأْوَىٰهُ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "আর যে লোক সেদিন তাদের থেকে পশ্চাদপসরণ করবে, অবশ্য যে লড়াইয়ের কৌশল পরিবর্তনকল্পে কিংবা যে নিজ সৈন্যদের নিকট আশ্রয় নিতে আসে সে ব্যতীত অন্যরা আল্লাহর গযব সাথে নিয়ে প্রত্যাবর্তন করবে। আর তার ঠিকানা হল জাহান্নাম। বস্তুতঃ সেটা হল নিকৃষ্ট অবস্থান।",
              "numberInSurah": 16,
              "juz": 9,
              "manzil": 2,
              "page": 178,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউওয়ালিলহিম ইয়াওমায়িযিন দুবুরাহূইল্লা-মুতাহাররিফাল লিকিতা-লিন আও মুতাহাইয়িঝান ইলা-ফিআতিন ফাকাদ বাআ বিগাদাবিম মিনাল্লা-হি ওয়া মা’ওয়া-হু জাহান্নামু ওয়াবি’ছাল মাসীর।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یُّوَلِّهِمْ/يُوَلِّهِمۡ/yuwallihim//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//دُبُرَهٗۤ/دُبُرَهُۥٓ/duburahu//اِلَّا/إِلَّا/illa//مُتَحَرِّفًا/مُتَحَرِّفٗا/mutaharrifan//لِّقِتَالٍ/لِّقِتَالٍ/liqitalin//اَوْ/أَوۡ/aw//مُتَحَیِّزًا/مُتَحَيِّزًا/mutahayyizan//اِلٰی/إِلَىٰ/ila//فِئَةٍ/فِئَةٖ/fi-atin//فَقَدْ/فَقَدۡ/faqad//بَآءَ/بَآءَ/baa//بِغَضَبٍ/بِغَضَبٖ/bighadabin//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَاْوٰىهُ/وَمَأۡوَىٰهُ/wamawahu//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং যে//দিকে ফিরাবে তাদের//সেদিন//পিঠ তার//এ ছাড়া যে//কৌশল গ্রহণ (হিসেবে)//জন্যে যুদ্ধের//অথবা//মিলিত হওয়ার(জন্যে)//সাথে//অপর দলের//তাহ'লে নিশ্চয়ই//সে পরিবেষ্টিত হবে//দিয়ে রাগ//পক্ষ হতে//আল্লাহর//এবং  আশ্রয়স্থল তার(হবে)//জাহান্নাম//এবং(তা) কত নিকৃষ্ট//গন্তব্যস্থল"
            },
            {
              "number": 1177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1177.mp3"
              ],
              "text": "فَلَمْ تَقْتُلُوهُمْ وَلَٰكِنَّ ٱللَّهَ قَتَلَهُمْ ۚ وَمَا رَمَيْتَ إِذْ رَمَيْتَ وَلَٰكِنَّ ٱللَّهَ رَمَىٰ ۚ وَلِيُبْلِىَ ٱلْمُؤْمِنِينَ مِنْهُ بَلَآءً حَسَنًا ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "সুতরাং তোমরা তাদেরকে হত্যা করনি, বরং আল্লাহই তাদেরকে হত্যা করেছেন। আর তুমি মাটির মুষ্ঠি নিক্ষেপ করনি, যখন তা নিক্ষেপ করেছিলে, বরং তা নিক্ষেপ করেছিলেন আল্লাহ স্বয়ং যেন ঈমানদারদের প্রতি এহসান করতে পারেন যথার্থভাবে। নিঃসন্দেহে আল্লাহ শ্রবণকারী; পরিজ্ঞাত।",
              "numberInSurah": 17,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ফালাম তাকতুলূহুম ওয়ালা-কিন্নাল্লা-হা কাতালাহুম ওয়ামা-রামাইতা ইযরামাইতা ওয়ালা-কিন্নাল্লা-হা রামা- ওয়ালি ইউবলিয়াল মু’মিনীনা মিনহু বালাআন হাছানান ইন্নাল্লা-হা ছামী‘উন আলীম।",
              "words_arabic": "فَلَمْ/فَلَمۡ/falam//تَقْتُلُوْهُمْ/تَقۡتُلُوهُمۡ/taqtuluhum//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//قَتَلَهُمْ ۪/قَتَلَهُمۡۚ/qatalahum//وَ مَا/وَمَا/wama//رَمَیْتَ/رَمَيۡتَ/ramayta//اِذْ/إِذۡ/idh//رَمَیْتَ/رَمَيۡتَ/ramayta//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//رَمٰی ۚ/رَمَىٰ/rama//وَ لِیُبْلِیَ/وَلِيُبۡلِيَ/waliyub'liya//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//مِنْهُ/مِنۡهُ/min'hu//بَلَآءً/بَلَآءً/balaan//حَسَنًا ؕ/حَسَنًاۚ/hasanan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "আসলে কর নি//তোমরা হত্যা তাদেরকে//কিন্তু//আল্লাহই//হত্যা করেছেন তাদের//এবং না//তুমি নিক্ষেপ করেছিলে(কংকর)//যখন//তুমি নিক্ষেপ করেছিলে//কিন্তু//আল্লাহই//নিক্ষেপ করেছিলেন//এবং জন্যে পরীক্ষার//মু'মিনদেরকে//হতে তা//পরীক্ষা//উত্তম//নিশ্চয়ই//আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1178.mp3"
              ],
              "text": "ذَٰلِكُمْ وَأَنَّ ٱللَّهَ مُوهِنُ كَيْدِ ٱلْكَٰفِرِينَ",
              "translate_bn": "এটাতো গেল, আর জেনে রেখো, আল্লাহ নস্যাৎ করে দেবেন কাফেরদের সমস্ত কলা-কৌশল।",
              "numberInSurah": 18,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুম ওয়াআন্নাল্লা-হা মূহিনুকাইদিল কা-ফিরীন।",
              "words_arabic": "ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//مُوْهِنُ/مُوهِنُ/muhinu//كَیْدِ/كَيۡدِ/kaydi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এ (আচরণ)তোমাদের (সাথে)//আর যে(কাফেরদের সাথে এরূপ)//আল্লাহই//দুর্বলকারী//কৌশল//কাফেরদের"
            },
            {
              "number": 1179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1179.mp3"
              ],
              "text": "إِن تَسْتَفْتِحُوا۟ فَقَدْ جَآءَكُمُ ٱلْفَتْحُ ۖ وَإِن تَنتَهُوا۟ فَهُوَ خَيْرٌۭ لَّكُمْ ۖ وَإِن تَعُودُوا۟ نَعُدْ وَلَن تُغْنِىَ عَنكُمْ فِئَتُكُمْ شَيْـًۭٔا وَلَوْ كَثُرَتْ وَأَنَّ ٱللَّهَ مَعَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "তোমরা যদি মীমাংসা কামনা কর, তাহলে তোমাদের নিকট মীমাংসা পৌছে গেছে। আর যদি তোমরা প্রত্যাবর্তন কর, তবে তা তোমাদের জন্য উত্তম এবং তোমরা যদি তাই কর, তবে আমি ও তেমনি করব। বস্তুতঃ তোমাদের কোনই কাজে আসবে না তোমাদের দল-বল, তা যত বেশীই হোক। জেনে রেখ আল্লাহ রয়েছেন ঈমানদারদের সাথে।",
              "numberInSurah": 19,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 147,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইন তাছতাফতিহূফাকাদ জাআকুমুল ফাতহু ওয়া ইন তানতাহূফাহুওয়া খাইরুল্লাকুম ওয়া ইন তা‘ঊদূনা‘উদ ওয়া লান তুগনিয়া ‘আনকুম ফিআতুকুম শাইআওঁ ওয়ালাও কাছুরাত ওয়া আন্নাল্লা-হা মা‘আল মু’মিনীন।",
              "words_arabic": "اِنْ/إِن/in//تَسْتَفْتِحُوْا/تَسۡتَفۡتِحُواْ/tastaftihu//فَقَدْ/فَقَدۡ/faqad//جَآءَكُمُ/جَآءَكُمُ/jaakumu//الْفَتْحُ ۚ/ٱلۡفَتۡحُۖ/al-fathu//وَ اِنْ/وَإِن/wa-in//تَنْتَهُوْا/تَنتَهُواْ/tantahu//فَهُوَ/فَهُوَ/fahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//وَ اِنْ/وَإِن/wa-in//تَعُوْدُوْا/تَعُودُواْ/ta'udu//نَعُدْ ۚ/نَعُدۡ/na'ud//وَ لَنْ/وَلَن/walan//تُغْنِیَ/تُغۡنِيَ/tugh'niya//عَنْكُمْ/عَنكُمۡ/ankum//فِئَتُكُمْ/فِئَتُكُمۡ/fi-atukum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَوْ/وَلَوۡ/walaw//كَثُرَتْ ۙ/كَثُرَتۡ/kathurat//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الْمُؤْمِنِیْنَ۠/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "(হে কাফেররা) যদি//তোমরা মীমাংসা চাও//তবে নিশ্চয়ই//কাছে এসেছে তোমাদের//মীমাংসা//এবং যদি//তোমরা বিরত হও//তবে তা//উত্তম//জন্যে তোমাদের//এবং যদি//তোমরা পুনরাবৃত্তি করো//পুনরাবৃত্তি করবো আমরা//এবং কখনও না//কাজে আসবে//জন্যে তোমাদের//দলবল তোমাদের//কিছুমাত্রই//আর যদি//অধিকও হয়(তবুও)//এবং (জেনে রেখো) যে//আল্লাহ//সাথে(আছেন)//মু'মিনদের"
            },
            {
              "number": 1180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1180.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ وَلَا تَوَلَّوْا۟ عَنْهُ وَأَنتُمْ تَسْمَعُونَ",
              "translate_bn": "হে ঈমানদারগণ, আল্লাহ ও তাঁর রসূলের নির্দেশ মান্য কর এবং শোনার পর তা থেকে বিমুখ হয়ো না।",
              "numberInSurah": 20,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূআতী‘উল্লা-হা ওয়া রাছূলাহূওয়ালা-তাওয়াল্লাও ‘আনহু ওয়া আনতুম তাছমা‘ঊন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَطِیْعُوا/أَطِيعُواْ/ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ لَا/وَلَا/wala//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//عَنْهُ/عَنۡهُ/anhu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَسْمَعُوْنَۚۖ/تَسۡمَعُونَ/tasma'una",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা আনুগত্য করো//আল্লাহর//ও রাসূলের তাঁর//এবং না//তোমরা মুখ ফিরাবে//হতে তা//যখন তোমরা//তোমরা শুনছো"
            },
            {
              "number": 1181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1181.mp3"
              ],
              "text": "وَلَا تَكُونُوا۟ كَٱلَّذِينَ قَالُوا۟ سَمِعْنَا وَهُمْ لَا يَسْمَعُونَ",
              "translate_bn": "আর তাদের অন্তর্ভুক্ত হয়ো না, যারা বলে যে, আমরা শুনেছি, অথচ তারা শোনেনা।",
              "numberInSurah": 21,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 71,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনূকাল্লাযীনা কা-লূছামি‘না-ওয়া হুম লা-ইয়াছমা‘ঊন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//قَالُوْا/قَالُواْ/qalu//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "এবং না//তোমরা হয়ো//(তাদের) মতো যারা//বলেছিলো//\"আমরা শুনলাম\"//অথচ তারা//না//তারা শোনে"
            },
            {
              "number": 1182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1182.mp3"
              ],
              "text": "۞ إِنَّ شَرَّ ٱلدَّوَآبِّ عِندَ ٱللَّهِ ٱلصُّمُّ ٱلْبُكْمُ ٱلَّذِينَ لَا يَعْقِلُونَ",
              "translate_bn": "নিঃসন্দেহে আল্লাহ তা’আলার নিকট সমস্ত প্রাণীর তুলনায় তারাই মূক ও বধির, যারা উপলদ্ধি করে না।",
              "numberInSurah": 22,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ইন্না শাররাদ্দাওয়াব্বি ‘ইনদাল্লা-হিসসুম্মুল বুকমুল্লাযীনা লা-ইয়া‘কিলূন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//شَرَّ/شَرَّ/sharra//الدَّوَآبِّ/ٱلدَّوَآبِّ/al-dawabi//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//الصُّمُّ/ٱلصُّمُّ/al-sumu//الْبُكْمُ/ٱلۡبُكۡمُ/al-buk'mu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "নিশ্চয়ই//নিকৃষ্ট//জীবগুলোর(মধ্যে)//কাছে//আল্লাহর//(এসব) বধির//বোবা//যারা//না//বুদ্ধি কাজে লাগায়"
            },
            {
              "number": 1183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1183.mp3"
              ],
              "text": "وَلَوْ عَلِمَ ٱللَّهُ فِيهِمْ خَيْرًۭا لَّأَسْمَعَهُمْ ۖ وَلَوْ أَسْمَعَهُمْ لَتَوَلَّوا۟ وَّهُم مُّعْرِضُونَ",
              "translate_bn": "বস্তুতঃ আল্লাহ যদি তাদের মধ্যে কিছুমাত্র শুভ চিন্তা জানতেন, তবে তাদেরকে শুনিয়ে দিতেন। আর এখনই যদি তাদের শুনিয়ে দেন, তবে তারা মুখ ঘুরিয়ে পালিয়ে যাবে।",
              "numberInSurah": 23,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও ‘আলিমাল্লা-হু ফীহিম খাইরাল লাআছমা‘আহুম ওয়া লাও আছমা‘আহুম লাতাওয়াল্লাওঁ ওয়া হুম মু‘রিদূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//عَلِمَ/عَلِمَ/alima//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْهِمْ/فِيهِمۡ/fihim//خَیْرًا/خَيۡرٗا/khayran//لَّاَسْمَعَهُمْ ؕ/لَّأَسۡمَعَهُمۡۖ/la-asma'ahum//وَ لَوْ/وَلَوۡ/walaw//اَسْمَعَهُمْ/أَسۡمَعَهُمۡ/asma'ahum//لَتَوَلَّوْا/لَتَوَلَّواْ/latawallaw//وَّ هُمْ/وَّهُم/wahum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং যদি//জানতেন//আল্লাহ//মধ্যে তাদের(রয়েছে)//কোনো কল্যাণ//অবশ্যই শুনাতেন তাদের//এবং যদি//তিনি শুনাতেনও তাদের//অবশ্যই তারা মুখ ফিরাতো//ও তারা//উপেক্ষা করতো"
            },
            {
              "number": 1184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1184.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱسْتَجِيبُوا۟ لِلَّهِ وَلِلرَّسُولِ إِذَا دَعَاكُمْ لِمَا يُحْيِيكُمْ ۖ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَحُولُ بَيْنَ ٱلْمَرْءِ وَقَلْبِهِۦ وَأَنَّهُۥٓ إِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "হে ঈমানদারগণ, আল্লাহ ও তাঁর রসূলের নির্দেশ মান্য কর, যখন তোমাদের সে কাজের প্রতি আহবান করা হয়, যাতে রয়েছে তোমাদের জীবন। জেনে রেখো, আল্লাহ মানুষের এবং তার অন্তরের মাঝে অন্তরায় হয়ে যান। বস্তুতঃ তোমরা সবাই তাঁরই নিকট সমবেত হবে।",
              "numberInSurah": 24,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুছতাজীবূলিল্লা-হি ওয়ালিররাছূলি ইযা-দা‘আ-কুম লিমাইউহয়ীকুম ওয়া‘লামূআন্নাল্লা-হা ইয়াহূলুবাইনাল মারয়ি ওয়া কালবিহী ওয়া আন্নাহূইলাইহি তুহশারূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اسْتَجِیْبُوْا/ٱسۡتَجِيبُواْ/is'tajibu//لِلّٰهِ/لِلَّهِ/lillahi//وَ لِلرَّسُوْلِ/وَلِلرَّسُولِ/walilrrasuli//اِذَا/إِذَا/idha//دَعَاكُمْ/دَعَاكُمۡ/da'akum//لِمَا/لِمَا/lima//یُحْیِیْكُمْ ۚ/يُحۡيِيكُمۡۖ/yuh'yikum//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَحُوْلُ/يَحُولُ/yahulu//بَیْنَ/بَيۡنَ/bayna//الْمَرْءِ/ٱلۡمَرۡءِ/al-mari//وَ قَلْبِهٖ/وَقَلۡبِهِۦ/waqalbihi//وَ اَنَّهٗۤ/وَأَنَّهُۥٓ/wa-annahu//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা সাড়া দাও//উদ্দেশ্যে আল্লাহর//ও উদ্দেশ্যে রাসূলের (ডাকে)//যখন//তিনি ডাকেন তোমাদেরকে//(তাই) তার জন্যে যা//উদ্দীপ্ত করবে তোমাদেরকে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//অন্তরায় হয়ে থাকেন//মাঝে//ব্যক্তি//ও অন্তরের তার//এবং (এও) যে//দিকে তাঁরই//তোমাদের একত্র করা হবে"
            },
            {
              "number": 1185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1185.mp3"
              ],
              "text": "وَٱتَّقُوا۟ فِتْنَةًۭ لَّا تُصِيبَنَّ ٱلَّذِينَ ظَلَمُوا۟ مِنكُمْ خَآصَّةًۭ ۖ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "আর তোমরা এমন ফাসাদ থেকে বেঁচে থাক যা বিশেষতঃ শুধু তাদের উপর পতিত হবে না যারা তোমাদের মধ্যে জালেম এবং জেনে রেখ যে, আল্লাহর আযাব অত্যন্ত কঠোর।",
              "numberInSurah": 25,
              "juz": 9,
              "manzil": 2,
              "page": 179,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকূফিতনাতাল লা-তুসীবান্নাল্লাযীনা জালামূমিনকুম খাসসাতাওঁ ওয়া‘লামূআন্নাল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "وَ اتَّقُوْا/وَٱتَّقُواْ/wa-ittaqu//فِتْنَةً/فِتۡنَةٗ/fit'natan//لَّا/لَّا/la//تُصِیْبَنَّ/تُصِيبَنَّ/tusibanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْكُمْ/مِنكُمۡ/minkum//خَآصَّةً ۚ/خَآصَّةٗۖ/khassatan//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "ও তোমরা দূরে থাকো//ফিতনা (হতে)//(যা) না//(শুধু) পৌঁছবে//(তাদেরকে) যারা//সীমালঙ্ঘন করেছে//মধ্য হতে তোমাদের//বিশেষভাবে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//কঠোর//দন্ডদানে"
            },
            {
              "number": 1186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1186.mp3"
              ],
              "text": "وَٱذْكُرُوٓا۟ إِذْ أَنتُمْ قَلِيلٌۭ مُّسْتَضْعَفُونَ فِى ٱلْأَرْضِ تَخَافُونَ أَن يَتَخَطَّفَكُمُ ٱلنَّاسُ فَـَٔاوَىٰكُمْ وَأَيَّدَكُم بِنَصْرِهِۦ وَرَزَقَكُم مِّنَ ٱلطَّيِّبَٰتِ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "আর স্মরণ কর, যখন তোমরা ছিলে অল্প, পরাজিত অবস্থায় পড়েছিলে দেশে; ভীত-সস্ত্রস্ত্র ছিলে যে, তোমাদের না অন্যেরা ছোঁ মেরে নিয়ে যায়। অতঃপর তিনি তোমাদিগকে আশ্রয়ের ঠিকানা দিয়েছেন, স্বীয় সাহায্যের দ্বারা তোমাদিগকে শক্তি দান করেছেন এবং পরিচ্ছন্ন জীবিকা দিয়েছেন যাতে তোমরা শুকরিয়া আদায় কর।",
              "numberInSurah": 26,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরূ ইয আনতুমকালীলুমমুছতাদ‘আফূনা ফিল আরদি তাখা-ফূনা আইঁ ইয়াতাখাত্তাফাকুমুন্না-ছুফাআ-ওয়া কুম ওয়া আইইয়াদাকুম বিনাসরিহী ওয়া রাঝাকাকুম মিনাততাইয়িবা-তি লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ اذْكُرُوْۤا/وَٱذۡكُرُوٓاْ/wa-udh'kuru//اِذْ/إِذۡ/idh//اَنْتُمْ/أَنتُمۡ/antum//قَلِیْلٌ/قَلِيلٞ/qalilun//مُّسْتَضْعَفُوْنَ/مُّسۡتَضۡعَفُونَ/mus'tad'afuna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//تَخَافُوْنَ/تَخَافُونَ/takhafuna//اَنْ/أَن/an//یَّتَخَطَّفَكُمُ/يَتَخَطَّفَكُمُ/yatakhattafakumu//النَّاسُ/ٱلنَّاسُ/al-nasu//فَاٰوٰىكُمْ/فَـَٔاوَىٰكُمۡ/faawakum//وَ اَیَّدَكُمْ/وَأَيَّدَكُم/wa-ayyadakum//بِنَصْرِهٖ/بِنَصۡرِهِۦ/binasrihi//وَ رَزَقَكُمْ/وَرَزَقَكُم/warazaqakum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ/ٱلطَّيِّبَٰتِ/al-tayibati//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং তোমরা স্বরণ করো//যখন//তোমরা (ছিলে)//স্বল্প (সংখ্যক)//তোমাদেরকে দুর্বল মনে করে হতো//উপর//পৃথিবীর//তোমরা ভয় করতে//যে//নিশ্চিহ্ন করে ফেলবে তোমাদেরকে//মানুষেরা//তখন তিনি আশ্রয় দেন তোমাদেরকে//ও শক্তিশালী করেন তোমাদের//দিয়ে সাহায্য তাঁর//ও জীবিকা দেন তোমাদেরকে//হতে//পবিত্র জিনিসগুলো//যাতে তোমরা//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 1187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1187.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَخُونُوا۟ ٱللَّهَ وَٱلرَّسُولَ وَتَخُونُوٓا۟ أَمَٰنَٰتِكُمْ وَأَنتُمْ تَعْلَمُونَ",
              "translate_bn": "হে ঈমানদারগণ, খেয়ানত করোনা আল্লাহর সাথে ও রসূলের সাথে এবং খেয়ানত করো না নিজেদের পারস্পরিক আমানতে জেনে-শুনে।",
              "numberInSurah": 27,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাখূনুল্লা -হা ওয়ার রাছূলা ওয়া তাখূনূআমা-না-তিকুম ওয়া আনতুম তা‘লামুন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَخُوْنُوا/تَخُونُواْ/takhunu//اللّٰهَ/ٱللَّهَ/al-laha//وَ الرَّسُوْلَ/وَٱلرَّسُولَ/wal-rasula//وَ تَخُوْنُوْۤا/وَتَخُونُوٓاْ/watakhunu//اَمٰنٰتِكُمْ/أَمَٰنَٰتِكُمۡ/amanatikum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা বিশ্বাস ভঙ্গ করো//আল্লাহর//ও রাসূলের//এবং তোমরা বিশ্বাস ভঙ্গ করো (না)//আমানতসমূহের তোমাদের//এমতাবস্হায় যে তোমরা//জানো"
            },
            {
              "number": 1188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1188.mp3"
              ],
              "text": "وَٱعْلَمُوٓا۟ أَنَّمَآ أَمْوَٰلُكُمْ وَأَوْلَٰدُكُمْ فِتْنَةٌۭ وَأَنَّ ٱللَّهَ عِندَهُۥٓ أَجْرٌ عَظِيمٌۭ",
              "translate_bn": "আর জেনে রাখ, তোমাদের ধন-সম্পদ ও সন্তান-সন্ততি অকল্যাণের সম্মুখীনকারী। বস্তুতঃ আল্লাহর নিকট রয়েছে মহা সওয়াব।",
              "numberInSurah": 28,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 148,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘লামূআন্নামাআমওয়া-লুকুম ওয়া আওলা-দুকুম ফিতনাতুওঁ ওয়া আন্নাল্লা-হা ‘ইনদাহুআজরুন ‘আ জীম।",
              "words_arabic": "وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّمَاۤ/أَنَّمَآ/annama//اَمْوَالُكُمْ/أَمۡوَٰلُكُمۡ/amwalukum//وَ اَوْلَادُكُمْ/وَأَوۡلَٰدُكُمۡ/wa-awladukum//فِتْنَةٌ ۙ/فِتۡنَةٞ/fit'natun//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//عِنْدَهٗۤ/عِندَهُۥٓ/indahu//اَجْرٌ/أَجۡرٌ/ajrun//عَظِیْمٌ۠/عَظِيمٞ/azimun",
              "words_bangla": "এবং তোমরা জেনে রাখো//প্রকৃতপক্ষে//সম্পদগুলো তোমাদের//ও সন্তানেরা তোমাদের//পরীক্ষা (মাত্র)//এবং বাস্তবিকই//আল্লাহ//কাছে তাঁরই (আছে)//পুরস্কার//বিরাট"
            },
            {
              "number": 1189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1189.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تَتَّقُوا۟ ٱللَّهَ يَجْعَل لَّكُمْ فُرْقَانًۭا وَيُكَفِّرْ عَنكُمْ سَيِّـَٔاتِكُمْ وَيَغْفِرْ لَكُمْ ۗ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "হে ঈমানদারগণ তোমরা যদি আল্লাহকে ভয় করতে থাক, তবে তোমাদের মধ্যে ফয়সালা করে দেবেন এবং তোমাদের থেকে তোমাদের পাপকে সরিয়ে দেবেন এবং তোমাদের ক্ষমা করবেন। বস্তুতঃ আল্লাহর অনুগ্রহ অত্যন্ত মহান।",
              "numberInSurah": 29,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন তাত্তাকুল্লা-হা ইয়াজ‘আল্লাকুম ফুরকা-নাওঁ ওয়া ইউকাফফির ‘আনকুম ছাইয়িআ-তিকুম ওয়া ইয়াগফির লাকুম ওয়াল্লা-হু যুল ফাদলিল ‘আজীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنْ/إِن/in//تَتَّقُوا/تَتَّقُواْ/tattaqu//اللّٰهَ/ٱللَّهَ/al-laha//یَجْعَلْ/يَجۡعَل/yaj'al//لَّكُمْ/لَّكُمۡ/lakum//فُرْقَانًا/فُرۡقَانٗا/fur'qanan//وَّ یُكَفِّرْ/وَيُكَفِّرۡ/wayukaffir//عَنْكُمْ/عَنكُمۡ/ankum//سَیِّاٰتِكُمْ/سَيِّـَٔاتِكُمۡ/sayyiatikum//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ ؕ/لَكُمۡۗ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যদি//তোমরা ভয় করো//আল্লাহকে//তিনি দিবেন//জন্যে তোমাদের//ন্যায়-অন্যায় পার্থক্যের কষ্টিপাথর//এবং মোচন করবেন//হতে তোমাদের//পাপগুলো তোমাদের//এবং ক্ষমা করবেন//প্রতি তোমাদের//এবং আল্লাহ//সম্পন্ন//অনুগ্রহ//মহান"
            },
            {
              "number": 1190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1190.mp3"
              ],
              "text": "وَإِذْ يَمْكُرُ بِكَ ٱلَّذِينَ كَفَرُوا۟ لِيُثْبِتُوكَ أَوْ يَقْتُلُوكَ أَوْ يُخْرِجُوكَ ۚ وَيَمْكُرُونَ وَيَمْكُرُ ٱللَّهُ ۖ وَٱللَّهُ خَيْرُ ٱلْمَٰكِرِينَ",
              "translate_bn": "আর কাফেরেরা যখন প্রতারণা করত আপনাকে বন্দী অথবা হত্যা করার উদ্দেশ্যে কিংবা আপনাকে বের করে দেয়ার জন্য তখন তারা যেমন ছলনা করত তেমনি, আল্লাহও ছলনা করতেন। বস্তুতঃ আল্লাহর ছলনা সবচেয়ে উত্তম।",
              "numberInSurah": 30,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযইয়ামকুরু বিকাল্লাযীনা কাফারূলিইউছবিতূকা আও ইয়াকতুলূকা আও ইউখরিজুকা ওয়া ইয়ামকুরূনা ওয়া ইয়ামকুরুল্লা-হু ওয়াল্লা-হু খাইরুল মা-কিরীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یَمْكُرُ/يَمۡكُرُ/yamkuru//بِكَ/بِكَ/bika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِیُثْبِتُوْكَ/لِيُثۡبِتُوكَ/liyuth'bituka//اَوْ/أَوۡ/aw//یَقْتُلُوْكَ/يَقۡتُلُوكَ/yaqtuluka//اَوْ/أَوۡ/aw//یُخْرِجُوْكَ ؕ/يُخۡرِجُوكَۚ/yukh'rijuka//وَ یَمْكُرُوْنَ/وَيَمۡكُرُونَ/wayamkuruna//وَ یَمْكُرُ/وَيَمۡكُرُ/wayamkuru//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَیْرُ/خَيۡرُ/khayru//الْمٰكِرِیْنَ /ٱلۡمَٰكِرِينَ/al-makirina",
              "words_bangla": "এবং (স্বরণ করো) যখন//ষড়যন্ত্র করেছিলো//বিরুদ্ধে তোমার//যারা//অস্বীকার করেছে//জন্যে তোমাকে তারা বন্দি করার//বা//তোমাকে তারা হত্যা করবে//বা//তোমাকে তারা নির্বাসিত করবে//এবং তারা ষড়যন্ত্র করবে//আর পরিকল্পনা করেন//আল্লাহ//এবং আল্লাহ//উত্তম//পরিকল্পনাকারীদের"
            },
            {
              "number": 1191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1191.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا قَالُوا۟ قَدْ سَمِعْنَا لَوْ نَشَآءُ لَقُلْنَا مِثْلَ هَٰذَآ ۙ إِنْ هَٰذَآ إِلَّآ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "আর কেউ যখন তাদের নিকট আমার আয়াতসমূহ পাঠ করে তবে বলে, আমরা শুনেছি, ইচ্ছা করলে আমরাও এমন বলতে পারি; এ তো পূর্ববর্তী ইতিকথা ছাড়া আর কিছুই নয়।",
              "numberInSurah": 31,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-‘আলাইহিম আ-য়া-তুনা-কা-লূকাদ ছামি‘না-লাও নাশাউ লাকুলনামিছলা হা-যা ইন হা-যা ইল্লা আছা-তীরুল আওওয়ালীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//قَالُوْا/قَالُواْ/qalu//قَدْ/قَدۡ/qad//سَمِعْنَا/سَمِعۡنَا/sami'na//لَوْ/لَوۡ/law//نَشَآءُ/نَشَآءُ/nashau//لَقُلْنَا/لَقُلۡنَا/laqul'na//مِثْلَ/مِثۡلَ/mith'la//هٰذَاۤ ۙ/هَٰذَآ/hadha//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//নিকট তাদের//আয়াতগুলো আমাদের//তারা বলে//\"নিশ্চয়ই//আমরা শুনলাম//যদি//ইচ্ছে করি আমরা//অবশ্যই আমরা বলতে পারি//মতো//এই (আয়াতগুলোর)//নয়//এটা//এ ছাড়া//উপকথাগুলো//পূর্বকালের লোকদের\""
            },
            {
              "number": 1192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1192.mp3"
              ],
              "text": "وَإِذْ قَالُوا۟ ٱللَّهُمَّ إِن كَانَ هَٰذَا هُوَ ٱلْحَقَّ مِنْ عِندِكَ فَأَمْطِرْ عَلَيْنَا حِجَارَةًۭ مِّنَ ٱلسَّمَآءِ أَوِ ٱئْتِنَا بِعَذَابٍ أَلِيمٍۢ",
              "translate_bn": "তাছাড়া তারা যখন বলতে আরম্ভ করে যে, ইয়া আল্লাহ, এই যদি তোমার পক্ষ থেকে (আগত) সত্য দ্বীন হয়ে থাকে, তবে আমাদের উপর আকাশ থেকে প্রস্তর বর্ষণ কর কিংবা আমাদের উপর বেদনাদায়ক আযাব নাযিল কর।",
              "numberInSurah": 32,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয কা-লুল্লা-হুম্মা ইন কা-না হা-যা-হুওয়াল হাক্কা মিন ‘ইনদিকা ফাআমতির ‘আলাইনা-হিজারাতাম মিনাছ ছামাই আবি’তিনা-বি‘আযা-বিন আলীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالُوا/قَالُواْ/qalu//اللّٰهُمَّ/ٱللَّهُمَّ/al-lahuma//اِنْ/إِن/in//كَانَ/كَانَ/kana//هٰذَا/هَٰذَا/hadha//هُوَ/هُوَ/huwa//الْحَقَّ/ٱلۡحَقَّ/al-haqa//مِنْ/مِنۡ/min//عِنْدِكَ/عِندِكَ/indika//فَاَمْطِرْ/فَأَمۡطِرۡ/fa-amtir//عَلَیْنَا/عَلَيۡنَا/alayna//حِجَارَةً/حِجَارَةٗ/hijaratan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اَوِ/أَوِ/awi//ائْتِنَا/ٱئۡتِنَا/i'tina//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "এবং (স্মরণ করো) যখন//তারা বলেছিলো//\"হে আল্লাহ//যদি//হয়//এটা//সেই//সত্য//হতে//তোমার নিকট//তবে বর্ষন করো//উপর আমাদের//পাথর//হতে//আকাশ//অথবা//আমাদের উপর আসো//নিয়ে শাস্তি//নিদারুণ\""
            },
            {
              "number": 1193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1193.mp3"
              ],
              "text": "وَمَا كَانَ ٱللَّهُ لِيُعَذِّبَهُمْ وَأَنتَ فِيهِمْ ۚ وَمَا كَانَ ٱللَّهُ مُعَذِّبَهُمْ وَهُمْ يَسْتَغْفِرُونَ",
              "translate_bn": "অথচ আল্লাহ কখনই তাদের উপর আযাব নাযিল করবেন না যতক্ষণ আপনি তাদের মাঝে অবস্থান করবেন। তাছাড়া তারা যতক্ষণ ক্ষমা প্রার্থনা করতে থাকবে আল্লাহ কখনও তাদের উপর আযাব দেবেন না।",
              "numberInSurah": 33,
              "juz": 9,
              "manzil": 2,
              "page": 180,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-নাল্লা-হু লিইউ‘আযযিবাহুম ওয়া আনতা ফীহিম ওয়ামা-কা-নাল্লা-হু মু‘আযযিবাহুম ওয়া হুম ইয়াছতাগফিরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُعَذِّبَهُمْ/لِيُعَذِّبَهُمۡ/liyu'adhibahum//وَ اَنْتَ/وَأَنتَ/wa-anta//فِیْهِمْ ؕ/فِيهِمۡۚ/fihim//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//مُعَذِّبَهُمْ/مُعَذِّبَهُمۡ/mu'adhibahum//وَ هُمْ/وَهُمۡ/wahum//یَسْتَغْفِرُوْنَ /يَسۡتَغۡفِرُونَ/yastaghfiruna",
              "words_bangla": "এবং না//হয় (এমন যে)//আল্লাহ//যেন শাস্তি দিবেন তাদেরকে//যখন তুমি//মধ্যে তাদের(উপস্থিত আছো)//এবং না//হয় (এমনও যে)//আল্লাহ//শাস্তিদানকারী তাদেরকে//অথচ তারা//ক্ষমা চাচ্ছে"
            },
            {
              "number": 1194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1194.mp3"
              ],
              "text": "وَمَا لَهُمْ أَلَّا يُعَذِّبَهُمُ ٱللَّهُ وَهُمْ يَصُدُّونَ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ وَمَا كَانُوٓا۟ أَوْلِيَآءَهُۥٓ ۚ إِنْ أَوْلِيَآؤُهُۥٓ إِلَّا ٱلْمُتَّقُونَ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "আর তাদের মধ্যে এমন কি বিষয় রয়েছে, যার ফলে আল্লাহ তাদের উপর আযাব দান করবেন না। অথচ তারা মসজিদে-হারামে যেতে বাধাদান করে, অথচ তাদের সে অধিকার নেই। এর অধিকার তো তাদেরই রয়েছে যারা পরহেযগার। কিন্তু তাদের অধিকাংশই সে বিষয়ে অবহিত নয়।",
              "numberInSurah": 34,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাহুম আল্লা-ইউ‘আযযিবাহুমুল্লা-হু ওয়া হুম ইয়াসুদ্দূনা ‘আনিল মাছজিদিল হারা-মি ওয়ামা-কা-নূআওলিয়াআউহূ ইন আওলিয়াউহূইল্লাল মুত্তাকূনা ওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَهُمْ/لَهُمۡ/lahum//اَلَّا/أَلَّا/alla//یُعَذِّبَهُمُ/يُعَذِّبَهُمُ/yu'adhibahumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ هُمْ/وَهُمۡ/wahum//یَصُدُّوْنَ/يَصُدُّونَ/yasudduna//عَنِ/عَنِ/ani//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//وَ مَا/وَمَا/wama//كَانُوْۤا/كَانُوٓاْ/kanu//اَوْلِیَآءَهٗ ؕ/أَوۡلِيَآءَهُۥٓۚ/awliyaahu//اِنْ/إِنۡ/in//اَوْلِیَآؤُهٗۤ/أَوۡلِيَآؤُهُۥٓ/awliyauhu//اِلَّا/إِلَّا/illa//الْمُتَّقُوْنَ/ٱلۡمُتَّقُونَ/al-mutaquna//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং (এখন এমন) কি (রয়েছে)//জন্যে তাদের//যে না//শাস্তি দিবেন তাদের//আল্লাহ (যখন তুমি নাই)//আর তারা//(পথ) রোধ করছে//হতে//মাসজীদুল//হারাম//অথচ না//তারা হলো//তত্ত্বাবধায়ক তার//(প্রকৃতপক্ষে) না//তত্ত্বাবধায়ক তার//এ ছাড়া//(যারা) মুত্তাক্বী//কিন্তু//অধিকাংশ তাদের//না//জানে"
            },
            {
              "number": 1195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1195.mp3"
              ],
              "text": "وَمَا كَانَ صَلَاتُهُمْ عِندَ ٱلْبَيْتِ إِلَّا مُكَآءًۭ وَتَصْدِيَةًۭ ۚ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ",
              "translate_bn": "আর কা’বার নিকট তাদের নামায বলতে শিস দেয়া আর তালি বাজানো ছাড়া অন্য কোন কিছুই ছিল না। অতএব, এবার নিজেদের কৃত কুফরীর আযাবের স্বাদ গ্রহণ কর।",
              "numberInSurah": 35,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না সালা-তুহুম ‘ইনদাল বাইতি ইল্লা-মুকা-আওঁ ওয়া তাসদিয়াতান ফাযূকুল ‘আযা-বা বিমা-কুনতুম তাকফুরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//صَلَاتُهُمْ/صَلَاتُهُمۡ/salatuhum//عِنْدَ/عِندَ/inda//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//اِلَّا/إِلَّا/illa//مُكَآءً/مُكَآءٗ/mukaan//وَّ تَصْدِیَةً ؕ/وَتَصۡدِيَةٗۚ/watasdiyatan//فَذُوْقُوا/فَذُوقُواْ/fadhuqu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْفُرُوْنَ /تَكۡفُرُونَ/takfuruna",
              "words_bangla": "এবং না//ছিলো//সালাত তাদের//কাছে//(কা'বা) ঘরের//এ ছাড়া//শিষ দেওয়া//ও করতালি বাজানো//অতএব তোমরা স্বাদ নাও//শাস্তির//এ কারণে যা//তোমরা ছিলে//তোমরা অবিশ্বাস করতে"
            },
            {
              "number": 1196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1196.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ يُنفِقُونَ أَمْوَٰلَهُمْ لِيَصُدُّوا۟ عَن سَبِيلِ ٱللَّهِ ۚ فَسَيُنفِقُونَهَا ثُمَّ تَكُونُ عَلَيْهِمْ حَسْرَةًۭ ثُمَّ يُغْلَبُونَ ۗ وَٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ جَهَنَّمَ يُحْشَرُونَ",
              "translate_bn": "নিঃসন্দেহে যেসব লোক কাফের, তারা ব্যয় করে নিজেদের ধন-সম্পদ, যাতে করে বাধাদান করতে পারে আল্লাহর পথে। বস্তুতঃ এখন তারা আরো ব্যয় করবে। তারপর তাই তাদের জন্য আক্ষেপের কারণ হয়ে এবং শেষ পর্যন্ত তারা হেরে যাবে। আর যারা কাফের তাদেরকে দোযখের দিকে তাড়িয়ে নিয়ে যাওয়া হবে।",
              "numberInSurah": 36,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূইউনফিকূনা আমওয়া-লাহুম লিয়াসুদ্দূ‘আন ছাবীলিল্লা-হি ফাছাইউনফিকূনাহা-ছু ম্মা তাকূনু‘আলাইহিম হাছরাতান ছুম্মা ইউগলাবূনা ওয়াল্লাযীনা কাফারূইলা-জাহান্নামা ইউহশারূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اَمْوَالَهُمْ/أَمۡوَٰلَهُمۡ/amwalahum//لِیَصُدُّوْا/لِيَصُدُّواْ/liyasuddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//فَسَیُنْفِقُوْنَهَا/فَسَيُنفِقُونَهَا/fasayunfiqunaha//ثُمَّ/ثُمَّ/thumma//تَكُوْنُ/تَكُونُ/takunu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَسْرَةً/حَسۡرَةٗ/hasratan//ثُمَّ/ثُمَّ/thumma//یُغْلَبُوْنَ ؕ۬/يُغۡلَبُونَۗ/yugh'labuna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِلٰی/إِلَىٰ/ila//جَهَنَّمَ/جَهَنَّمَ/jahannama//یُحْشَرُوْنَۙ/يُحۡشَرُونَ/yuh'sharuna",
              "words_bangla": "নিশ্চয়ই//যারা//অবিশ্বাস করেছে//তারা ব্যয় করে//সম্পদসমূহকে তাদের//জন্যে বাধা দেওয়ার//হতে//পথ//আল্লাহর//অতঃপর অচিরেই তারা খরচ করতে থাকবে তা//এরপর//তা হবে//উপর তাদের//অাক্ষেপ//এরপর//তারা পরাজিত হবে//এবং যারা//অস্বীকার করেছে//দিকে//জাহান্নামের//তাদের একত্র করা হবে"
            },
            {
              "number": 1197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1197.mp3"
              ],
              "text": "لِيَمِيزَ ٱللَّهُ ٱلْخَبِيثَ مِنَ ٱلطَّيِّبِ وَيَجْعَلَ ٱلْخَبِيثَ بَعْضَهُۥ عَلَىٰ بَعْضٍۢ فَيَرْكُمَهُۥ جَمِيعًۭا فَيَجْعَلَهُۥ فِى جَهَنَّمَ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "যাতে পৃথক করে দেন আল্লাহ অপবিত্র ও না-পাককে পবিত্র ও পাক থেকে। আর যাতে একটির পর একটিকে স্থাপন করে সমবেত স্তুপে পরিণত করেন এবং পরে দোযখে নিক্ষেপ করেন। এরাই হল ক্ষতিগ্রস্ত।",
              "numberInSurah": 37,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 149,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "লিয়ামীঝাল্লা-হুল খাবীছা মিনাততাইয়িবি ওয়া ইয়াজ‘আলাল খাবীছা বা‘দাহূ‘আলাবা‘দিন ফাইয়ারকুমাহূজামী‘আন ফাইয়াজ‘আলাহূফী জাহান্নামা উলাইকা হুমুল খাছিরূন।",
              "words_arabic": "لِیَمِیْزَ/لِيَمِيزَ/liyamiza//اللّٰهُ/ٱللَّهُ/al-lahu//الْخَبِیْثَ/ٱلۡخَبِيثَ/al-khabitha//مِنَ/مِنَ/mina//الطَّیِّبِ/ٱلطَّيِّبِ/al-tayibi//وَ یَجْعَلَ/وَيَجۡعَلَ/wayaj'ala//الْخَبِیْثَ/ٱلۡخَبِيثَ/al-khabitha//بَعْضَهٗ/بَعۡضَهُۥ/ba'dahu//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//فَیَرْكُمَهٗ/فَيَرۡكُمَهُۥ/fayarkumahu//جَمِیْعًا/جَمِيعٗا/jami'an//فَیَجْعَلَهٗ/فَيَجۡعَلَهُۥ/fayaj'alahu//فِیْ/فِي/fi//جَهَنَّمَ ؕ/جَهَنَّمَۚ/jahannama//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ۠/ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "যেন পৃথক করেন//আল্লাহ//অপবিত্রতাকে (অর্থাৎ কাফেরদেরকে)//হতে//পবিত্রতা (অর্থাৎ মু'মিনদের)//ও রাখবেন//অপবিত্রতাকে//এককে তার//উপর//অন্যের//অতঃপর তিনি জমা করবেন তা//সকলকে//অতঃপর রাখবেন তা//মধ্যে//জাহান্নামের//ঐসবলোক//তারাই//ক্ষতিগ্রস্ত"
            },
            {
              "number": 1198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1198.mp3"
              ],
              "text": "قُل لِّلَّذِينَ كَفَرُوٓا۟ إِن يَنتَهُوا۟ يُغْفَرْ لَهُم مَّا قَدْ سَلَفَ وَإِن يَعُودُوا۟ فَقَدْ مَضَتْ سُنَّتُ ٱلْأَوَّلِينَ",
              "translate_bn": "তুমি বলে দাও, কাফেরদেরকে যে, তারা যদি বিরত হয়ে যায়, তবে যা কিছু ঘটে গেছে ক্ষমা হবে যাবে। পক্ষান্তরে আবারও যদি তাই করে, তবে পুর্ববর্তীদের পথ নির্ধারিত হয়ে গেছে।",
              "numberInSurah": 38,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 150,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "কুল লিল্লাযীনা কাফারূইয়ঁইয়ানতাহূইউগফারলাহুম মা-কাদ ছালাফা ওয়াইয়ঁ ইয়া‘ঊদূফাকাদ মাদাত ছুন্নাতুল আওওয়ালীন।",
              "words_arabic": "قُلْ/قُل/qul//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِن/in//یَّنْتَهُوْا/يَنتَهُواْ/yantahu//یُغْفَرْ/يُغۡفَرۡ/yugh'far//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//قَدْ/قَدۡ/qad//سَلَفَ ۚ/سَلَفَ/salafa//وَ اِنْ/وَإِن/wa-in//یَّعُوْدُوْا/يَعُودُواْ/ya'udu//فَقَدْ/فَقَدۡ/faqad//مَضَتْ/مَضَتۡ/madat//سُنَّتُ/سُنَّتُ/sunnatu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "বলো//উদ্দেশ্যে (তাদের) যারা//অবিশ্বাস করেছে//যদি//তারা বিরত হয়//ক্ষমা করে দেয়া হবে//প্রতি তাদের//যা//নিশ্চিত//অতীত হয়েছে//কিন্তু যদি//তারা পুনরাবৃত্তি করে//তবে নিশ্চয়ই (সবার জানা যা)//গত হয়েছে//অনুসৃত রীতি//পুর্ববর্তীদের (ক্ষেত্রে)"
            },
            {
              "number": 1199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1199.mp3"
              ],
              "text": "وَقَٰتِلُوهُمْ حَتَّىٰ لَا تَكُونَ فِتْنَةٌۭ وَيَكُونَ ٱلدِّينُ كُلُّهُۥ لِلَّهِ ۚ فَإِنِ ٱنتَهَوْا۟ فَإِنَّ ٱللَّهَ بِمَا يَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "আর তাদের সাথে যুদ্ধ করতে থাক যতক্ষণ না ভ্রান্তি শেষ হয়ে যায়; এবং আল্লাহর সমস্ত হুকুম প্রতিষ্ঠিত হয়ে যায়। তারপর যদি তারা বিরত হয়ে যায়, তবে আল্লাহ তাদের কার্যকলাপ লক্ষ্য করেন।",
              "numberInSurah": 39,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 150,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-তিলূহুম হাত্তা-লা-তাকূনা ফিতনাতুওঁ ওয়া ইয়াকূনাদদীনুকুল্লুহূলিল্লা-হি ফাইনিন তাহাও ফাইন্নাল্লা-হা বিমা-ইয়া‘মালূনা বাসীর।",
              "words_arabic": "وَ قَاتِلُوْهُمْ/وَقَٰتِلُوهُمۡ/waqatiluhum//حَتّٰی/حَتَّىٰ/hatta//لَا/لَا/la//تَكُوْنَ/تَكُونَ/takuna//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//وَّ یَكُوْنَ/وَيَكُونَ/wayakuna//الدِّیْنُ/ٱلدِّينُ/al-dinu//كُلُّهٗ/كُلُّهُۥ/kulluhu//لِلّٰهِ ۚ/لِلَّهِۚ/lillahi//فَاِنِ/فَإِنِ/fa-ini//انْتَهَوْا/ٱنتَهَوۡاْ/intahaw//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "তাদের সাথে তোমরা লড়াই করো//যতক্ষণ//না//থাকে (বাকী)//ফিতনা//এবং (প্রতিষ্ঠিত) হয়//দীন//সামগ্রিকভাবে//জন্যে আল্লাহরই//অতঃপর যদি//তারা বিরত হয়//তবে নিশ্চয়ই//আল্লাহ//সে বিষয়ে যা//তারা কাজ করেছে//খুব দেখছেন"
            },
            {
              "number": 1200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1200.mp3"
              ],
              "text": "وَإِن تَوَلَّوْا۟ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَوْلَىٰكُمْ ۚ نِعْمَ ٱلْمَوْلَىٰ وَنِعْمَ ٱلنَّصِيرُ",
              "translate_bn": "আর তারা যদি না মানে, তবে জেনে রাখ, আল্লাহ তোমাদের সমর্থক; এবং কতই না চমৎকার সাহায্যকারী।",
              "numberInSurah": 40,
              "juz": 9,
              "manzil": 2,
              "page": 181,
              "ruku": 150,
              "hizbQuarter": 72,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাওয়াল্লাও ফা‘লামূআন্নাল্লা-হা মাওলা-কুম নি‘মাল মাওলা-ওয়া নি‘মান নাসীর।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//مَوْلٰىكُمْ ؕ/مَوۡلَىٰكُمۡۚ/mawlakum//نِعْمَ/نِعۡمَ/ni'ma//الْمَوْلٰی/ٱلۡمَوۡلَىٰ/al-mawla//وَ نِعْمَ/وَنِعۡمَ/wani'ma//النَّصِیْرُ /ٱلنَّصِيرُ/al-nasiru",
              "words_bangla": "এবং যদি//তারা মুখ ফিরিয়ে নেয়//তবে তোমরা জেনে রাখো//যে//আল্লাহ//অভিভাবক তোমাদের//কত উত্তম//অভিভাবক//ও কত উত্তম//সাহায্যকারী"
            },
            {
              "number": 1201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1201.mp3"
              ],
              "text": "۞ وَٱعْلَمُوٓا۟ أَنَّمَا غَنِمْتُم مِّن شَىْءٍۢ فَأَنَّ لِلَّهِ خُمُسَهُۥ وَلِلرَّسُولِ وَلِذِى ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينِ وَٱبْنِ ٱلسَّبِيلِ إِن كُنتُمْ ءَامَنتُم بِٱللَّهِ وَمَآ أَنزَلْنَا عَلَىٰ عَبْدِنَا يَوْمَ ٱلْفُرْقَانِ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "আর এ কথাও জেনে রাখ যে, কোন বস্তু-সামগ্রীর মধ্য থেকে যা কিছু তোমরা গনীমত হিসাবে পাবে, তার এক পঞ্চমাংশ হল আল্লাহর জন্য, রসূলের জন্য, তাঁর নিকটাত্নীয়-স্বজনের জন্য এবং এতীম-অসহায় ও মুসাফিরদের জন্য; যদি তোমাদের বিশ্বাস থাকে আল্লাহর উপর এবং সে বিষয়ের উপর যা আমি আমার বান্দার প্রতি অবতীর্ণ করেছি ফয়সালার দিনে, যেদিন সম্মুখীন হয়ে যায় উভয় সেনাদল। আর আল্লাহ সব কিছুর উপরই ক্ষমতাশীল।",
              "numberInSurah": 41,
              "juz": 10,
              "manzil": 2,
              "page": 182,
              "ruku": 150,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘লামূআন্নামা-গানিমতুম মিন শাইয়িন ফাআন্না লিল্লা-হি খুমুছাহূওয়া লিররাছূলি ওয়া লিযিল কুরবা-ওয়াল ইয়াতা-মা-ওয়াল মাছা-কীনি ওয়াবনিছ ছাবীলি ইন কুনতুম আমানতুম বিল্লা-হি ওয়া মাআনঝালনা-‘আলা-‘আবদিনা-ইয়াওমাল ফুরকা-নি ইয়াওমাল তাকাল জাম‘আ-নি ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ اعْلَمُوْۤا/۞وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّمَا/أَنَّمَا/annama//غَنِمْتُمْ/غَنِمۡتُم/ghanim'tum//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//فَاَنَّ/فَأَنَّ/fa-anna//لِلّٰهِ/لِلَّهِ/lillahi//خُمُسَهٗ/خُمُسَهُۥ/khumusahu//وَ لِلرَّسُوْلِ/وَلِلرَّسُولِ/walilrrasuli//وَ لِذِی/وَلِذِي/walidhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ ابْنِ/وَٱبۡنِ/wa-ib'ni//السَّبِیْلِ ۙ/ٱلسَّبِيلِ/al-sabili//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ مَاۤ/وَمَآ/wama//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلٰی/عَلَىٰ/ala//عَبْدِنَا/عَبۡدِنَا/abdina//یَوْمَ/يَوۡمَ/yawma//الْفُرْقَانِ/ٱلۡفُرۡقَانِ/al-fur'qani//یَوْمَ/يَوۡمَ/yawma//الْتَقَی/ٱلۡتَقَى/al-taqa//الْجَمْعٰنِ ؕ/ٱلۡجَمۡعَانِۗ/al-jam'ani//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "আর তোমরা জেনে রাখো//মূলতঃ//গণীমত পেয়েছো তোমরা//থেকে//(যা) কিছু//তা নিশ্চয়ই//জন্যে আল্লাহর//এক পঞ্চমাংশ তার//এবং জন্যে  রাসূলের//ও জন্যে সম্পন্ন//নৈকট্য//ও ইয়াতিমদের//ও দরিদ্রদের//ও পুত্র//পথের//যদি//তোমরা থাকো//তোমরা ঈমান এনে//উপর আল্লাহর//এবং যা//আমরা অবতীর্ণ করেছি//উপর//আমাদের দাসদের (অর্থাৎ রাসূলের)//দিন//মীমাংসার//(অর্থাৎ) দিন//সাক্ষাতের//দু'দলের (বদরের যুদ্ধে)//এবং আল্লাহ//উপর//সব//কিছুরই//শক্তিশালী"
            },
            {
              "number": 1202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1202.mp3"
              ],
              "text": "إِذْ أَنتُم بِٱلْعُدْوَةِ ٱلدُّنْيَا وَهُم بِٱلْعُدْوَةِ ٱلْقُصْوَىٰ وَٱلرَّكْبُ أَسْفَلَ مِنكُمْ ۚ وَلَوْ تَوَاعَدتُّمْ لَٱخْتَلَفْتُمْ فِى ٱلْمِيعَٰدِ ۙ وَلَٰكِن لِّيَقْضِىَ ٱللَّهُ أَمْرًۭا كَانَ مَفْعُولًۭا لِّيَهْلِكَ مَنْ هَلَكَ عَنۢ بَيِّنَةٍۢ وَيَحْيَىٰ مَنْ حَىَّ عَنۢ بَيِّنَةٍۢ ۗ وَإِنَّ ٱللَّهَ لَسَمِيعٌ عَلِيمٌ",
              "translate_bn": "আর যখন তোমরা ছিলে সমরাঙ্গনের এ প্রান্তে আর তারা ছিল সে প্রান্তে অথচ কাফেলা তোমাদের থেকে নীচে নেমে গিয়েছিল। এমতাবস্থায় যদি তোমরা পারস্পরিক অঙ্গীকারাবদ্ধ হতে, তবে তোমরা এক সঙ্গে সে ওয়াদা পালন করতে পারতে না। কিন্তু আল্লাহ তা’আলা এমন এক কাজ করতে চেয়েছিলেন, যা নির্ধারিত হয়ে গিয়েছিল যাতে সে সব লোক নিহত হওয়ার ছিল, প্রমাণ প্রতিষ্ঠার পর এবং যাদের বাঁচার ছিল, তারা বেঁচে থাকে প্রমাণ প্রতিষ্ঠার পর। আর নিশ্চিতই আল্লাহ শ্রবণকারী, বিজ্ঞ।",
              "numberInSurah": 42,
              "juz": 10,
              "manzil": 2,
              "page": 182,
              "ruku": 150,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ইযআনতুম বিল ‘উদওয়াতিদদুনইয়া-ওয়া হুম বিল‘উদওয়াতিল কুসওয়া-ওয়াররাকবু আছফালা মিনকুম ওয়া লাও তাওয়া-‘আততুম লাখতালাফতুম ফিল মী‘আ-দি ওয়ালাকিল লিয়াকদিইয়াল্লা-হু আমরান কা-না মাফ‘ঊলাল লিইয়াহলিকা মান হালাকা ‘আম বাইয়িনাতিওঁ ওয়া ইয়াহইয়া-মান হাইয়া ‘আম বাইয়িনাতিওঁ; ওয়া ইন্নাল্লা-হা লাছামী‘উন আলীম।",
              "words_arabic": "اِذْ/إِذۡ/idh//اَنْتُمْ/أَنتُم/antum//بِالْعُدْوَةِ/بِٱلۡعُدۡوَةِ/bil-'ud'wati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ هُمْ/وَهُم/wahum//بِالْعُدْوَةِ/بِٱلۡعُدۡوَةِ/bil-'ud'wati//الْقُصْوٰی/ٱلۡقُصۡوَىٰ/al-qus'wa//وَ الرَّكْبُ/وَٱلرَّكۡبُ/wal-rakbu//اَسْفَلَ/أَسۡفَلَ/asfala//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//وَ لَوْ/وَلَوۡ/walaw//تَوَاعَدْتُّمْ/تَوَاعَدتُّمۡ/tawa'adttum//لَاخْتَلَفْتُمْ/لَٱخۡتَلَفۡتُمۡ/la-ikh'talaftum//فِی/فِي/fi//الْمِیْعٰدِ ۙ/ٱلۡمِيعَٰدِ/al-mi'adi//وَ لٰكِنْ/وَلَٰكِن/walakin//لِّیَقْضِیَ/لِّيَقۡضِيَ/liyaqdiya//اللّٰهُ/ٱللَّهُ/al-lahu//اَمْرًا/أَمۡرٗا/amran//كَانَ/كَانَ/kana//مَفْعُوْلًا ۙ۬/مَفۡعُولٗا/maf'ulan//لِّیَهْلِكَ/لِّيَهۡلِكَ/liyahlika//مَنْ/مَنۡ/man//هَلَكَ/هَلَكَ/halaka//عَنْۢ/عَنۢ/an//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//وَّ یَحْیٰی/وَيَحۡيَىٰ/wayahya//مَنْ/مَنۡ/man//حَیَّ/حَيَّ/hayya//عَنْۢ/عَنۢ/an//بَیِّنَةٍ ؕ/بَيِّنَةٖۗ/bayyinatin//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَسَمِیْعٌ/لَسَمِيعٌ/lasami'un//عَلِیْمٌۙ/عَلِيمٌ/alimun",
              "words_bangla": "(স্মরণ করো) যখন//তোমরা (ছিলে)//প্রান্তে উপত্যকার//নিকটতর//ও তারা (ছিলো)//প্রান্তে উপত্যকার//দূরবর্তী//এবং উট বাহিনী  (বানিজ্য কাফেলা)//নিম্নভূমিতে//হতে তোমাদের//এবং যদি//পরস্পরে (যুদ্ধ) নির্ধারণ করতে তোমরা//অবশ্যই মতভেদ করতে তোমরা//ব্যাপারে//(যুদ্ধ) নির্ধারণের//কিন্তু//জন্যে মীমাংসা করার//আল্লাহ//একটা বিষয়ে//(যা) ছিলো//ঘটার (যুদ্ধে সমবেত করানো)//যেন ধ্বংস হয়ে যায়//যে (কেউ)//ধ্বংস হওয়ার//ভিত্তিতে//সুস্পষ্ট প্রমাণের//ও জীবিত থাকার//যে (কেউ)//জীবিত থাকবে//ভিত্তিতে//সুস্পষ্ট প্রমাণের//ও নিশ্চয়ই//আল্লাহ//অবশ্যই সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1203.mp3"
              ],
              "text": "إِذْ يُرِيكَهُمُ ٱللَّهُ فِى مَنَامِكَ قَلِيلًۭا ۖ وَلَوْ أَرَىٰكَهُمْ كَثِيرًۭا لَّفَشِلْتُمْ وَلَتَنَٰزَعْتُمْ فِى ٱلْأَمْرِ وَلَٰكِنَّ ٱللَّهَ سَلَّمَ ۗ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "আল্লাহ যখন তোমাকে স্বপ্নে সেসব কাফেরের পরিমাণ অল্প করে দেখালেন; বেশী করে দেখালে তোমরা কাপুরুষতা অবলম্বন করতে এবং কাজের বেলায় বিপদ সৃষ্টি করতে। কিন্তু আল্লাহ বাঁচিয়ে দিয়েছেন। তিনি অতি উত্তমভাবেই জানেন; যা কিছু অন্তরে রয়েছে।",
              "numberInSurah": 43,
              "juz": 10,
              "manzil": 2,
              "page": 182,
              "ruku": 150,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ইয ইউরীকাহুমুল্লা -হু ফী মানা-মিকা কালীলাওঁ ওয়া লাও আরা-কাহুম কাছীরাল লাফাশিলতুম ওয়ালা তানা-ঝা‘তুম ফিল আমরি ওয়ালা-কিন্নাল্লা-হা ছাল্লামা ইন্নাহূ ‘আলীমুম বিযা-তিসসুদূ র।",
              "words_arabic": "اِذْ/إِذۡ/idh//یُرِیْكَهُمُ/يُرِيكَهُمُ/yurikahumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//مَنَامِكَ/مَنَامِكَ/manamika//قَلِیْلًا ؕ/قَلِيلٗاۖ/qalilan//وَ لَوْ/وَلَوۡ/walaw//اَرٰىكَهُمْ/أَرَىٰكَهُمۡ/arakahum//كَثِیْرًا/كَثِيرٗا/kathiran//لَّفَشِلْتُمْ/لَّفَشِلۡتُمۡ/lafashil'tum//وَ لَتَنَازَعْتُمْ/وَلَتَنَٰزَعۡتُمۡ/walatanaza'tum//فِی/فِي/fi//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//سَلَّمَ ؕ/سَلَّمَۚ/sallama//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "যখন//তোমাকে দেখান তাদেরকে//আল্লাহ//মধ্যে//তোমার স্বপ্নের//স্বল্প (সংখ্যক)//এবং যদি//তোমাকে দেখাতেন তাদেরকে//অধিক (সংখ্যক)//অবশ্যই সাহস হারাতে তোমরা//ও অবশ্যই বিবাদ করতে তোমরা//ব্যাপারে//কাজের (অর্থাৎ যুদ্ধের)//কিন্তু//আল্লাহ//নিরাপদ করেছিলেন (তা থেকে)//নিশ্চয়ই তিনি//খুব জানেন//অবস্থার//অন্তরসমূহের"
            },
            {
              "number": 1204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1204.mp3"
              ],
              "text": "وَإِذْ يُرِيكُمُوهُمْ إِذِ ٱلْتَقَيْتُمْ فِىٓ أَعْيُنِكُمْ قَلِيلًۭا وَيُقَلِّلُكُمْ فِىٓ أَعْيُنِهِمْ لِيَقْضِىَ ٱللَّهُ أَمْرًۭا كَانَ مَفْعُولًۭا ۗ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "আর যখন তোমাদেরকে দেখালেন সে সৈন্যদল মোকাবেলার সময় তোমাদের চোখে অল্প এবং তোমাদেরকে দেখালেন তাদের চোখে বেশী, যাতে আল্লাহ সে কাজ করে নিতে পারেন যা ছিল নির্ধারিত। আর সব কাজই আল্লাহর নিকট গিয়ে পৌছায়।",
              "numberInSurah": 44,
              "juz": 10,
              "manzil": 2,
              "page": 182,
              "ruku": 150,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযইউরীকুমূহুম ইযিলতাকাইতুম ফীআ‘ইউনিকুম কালীলাওঁ ওয়া ইউকালিল্লুকুম ফীআ‘ইউনিহিম লিয়াকদিইয়াল্লা-হু আমরান কা-না মাফ‘ঊলাওঁ ওয়া ইলাল্লা-হি তুরজা‘উল উমূর।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یُرِیْكُمُوْهُمْ/يُرِيكُمُوهُمۡ/yurikumuhum//اِذِ/إِذِ/idhi//الْتَقَیْتُمْ/ٱلۡتَقَيۡتُمۡ/al-taqaytum//فِیْۤ/فِيٓ/fi//اَعْیُنِكُمْ/أَعۡيُنِكُمۡ/a'yunikum//قَلِیْلًا/قَلِيلٗا/qalilan//وَّ یُقَلِّلُكُمْ/وَيُقَلِّلُكُمۡ/wayuqallilukum//فِیْۤ/فِيٓ/fi//اَعْیُنِهِمْ/أَعۡيُنِهِمۡ/a'yunihim//لِیَقْضِیَ/لِيَقۡضِيَ/liyaqdiya//اللّٰهُ/ٱللَّهُ/al-lahu//اَمْرًا/أَمۡرٗا/amran//كَانَ/كَانَ/kana//مَفْعُوْلًا ؕ/مَفۡعُولٗاۗ/maf'ulan//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ۠/ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "এবং (স্মরণ করো) যখন//তোমাদেরকে দেখালেন তাদেরকে//যখন//মুখোমুখি হয়েছিলে তোমরা//মধ্যে//তোমাদের চোখের//স্বল্প (সংখ্যক)//স্বল্প করে দেখালেন তোমাদেরকে//মধ্যে//তাদের চোখের//যেন সম্পন্ন করেন//আল্লাহ//একটি কাজ//(যা) ছিলো//ঘটার//এবং দিকে//আল্লাহরই//প্রত্যাবর্তিত হয়//সব ব্যাপার"
            },
            {
              "number": 1205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1205.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا لَقِيتُمْ فِئَةًۭ فَٱثْبُتُوا۟ وَٱذْكُرُوا۟ ٱللَّهَ كَثِيرًۭا لَّعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "হে ঈমানদারগণ, তোমরা যখন কোন বাহিনীর সাথে সংঘাতে লিপ্ত হও, তখন সুদৃঢ় থাক এবং আল্লাহকে অধিক পরিমাণে স্মরণ কর যাতে তোমরা উদ্দেশ্যে কৃতকার্য হতে পার।",
              "numberInSurah": 45,
              "juz": 10,
              "manzil": 2,
              "page": 182,
              "ruku": 151,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-লাকীতুম ফিআতান ফাছবুতূওয়াযকুরুল্লা-হা কাছীরাল লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//لَقِیْتُمْ/لَقِيتُمۡ/laqitum//فِئَةً/فِئَةٗ/fi-atan//فَاثْبُتُوْا/فَٱثۡبُتُواْ/fa-uth'butu//وَ اذْكُرُوا/وَٱذۡكُرُواْ/wa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//كَثِیْرًا/كَثِيرٗا/kathiran//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَۚ/تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যখন//তোমরা মোকাবেলা করো//কোনো দলের (সাথে)//তখন তোমরা দৃঢ় থাকো//ও তোমরা স্মরণ করো//আল্লাহকে//অধিক মাত্রায়//যাতে তোমরা//সফলকাম হও"
            },
            {
              "number": 1206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1206.mp3"
              ],
              "text": "وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ وَلَا تَنَٰزَعُوا۟ فَتَفْشَلُوا۟ وَتَذْهَبَ رِيحُكُمْ ۖ وَٱصْبِرُوٓا۟ ۚ إِنَّ ٱللَّهَ مَعَ ٱلصَّٰبِرِينَ",
              "translate_bn": "আর আল্লাহ তা’আলার নির্দেশ মান্য কর এবং তাঁর রসূলের। তাছাড়া তোমরা পরস্পরে বিবাদে লিপ্ত হইও না। যদি তা কর, তবে তোমরা কাপুরুষ হয়ে পড়বে এবং তোমাদের প্রভাব চলে যাবে। আর তোমরা ধৈর্য্যধারণ কর। নিশ্চয়ই আল্লাহ তা'আলা রয়েছেন ধৈর্য্যশীলদের সাথে।",
              "numberInSurah": 46,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 151,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতী‘উল্লা-হা ওয়া রাছূলাহূওয়ালা-তানা-ঝা‘ঊ ফাতাফশালূওয়া তাযহাবা রীহুকুম ওয়াসবিরূ ইন্নাল্লা-হা মা‘আসসা-বিরীন।",
              "words_arabic": "وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ لَا/وَلَا/wala//تَنَازَعُوْا/تَنَٰزَعُواْ/tanaza'u//فَتَفْشَلُوْا/فَتَفۡشَلُواْ/fatafshalu//وَ تَذْهَبَ/وَتَذۡهَبَ/watadhhaba//رِیْحُكُمْ/رِيحُكُمۡۖ/rihukum//وَ اصْبِرُوْا ؕ/وَٱصۡبِرُوٓاْۚ/wa-is'biru//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الصّٰبِرِیْنَۚ/ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "এবং তোমরা আনুগত্য করো//আল্লাহর//ও রাসূলের তাঁর//এবং না//তোমরা বিবাদ করো//তাহ'লে তোমরা সাহস হারাবে//ও চলে যাবে//শক্তি তোমাদের//এবং তোমরা ধৈর্য ধরো//নিশ্চয়ই//আল্লাহ//সাথে (থাকেন)//ধৈর্যশীলদের"
            },
            {
              "number": 1207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1207.mp3"
              ],
              "text": "وَلَا تَكُونُوا۟ كَٱلَّذِينَ خَرَجُوا۟ مِن دِيَٰرِهِم بَطَرًۭا وَرِئَآءَ ٱلنَّاسِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ ۚ وَٱللَّهُ بِمَا يَعْمَلُونَ مُحِيطٌۭ",
              "translate_bn": "আর তাদের মত হয়ে যেয়ো না, যারা বেরিয়েছে নিজেদের অবস্থান থেকে গর্বিতভাবে এবং লোকদেরকে দেখাবার উদ্দেশে। আর আল্লাহর পথে তারা বাধা দান করত। বস্তুতঃ আল্লাহর আয়ত্বে রয়েছে সে সমস্ত বিষয় যা তারা করে।",
              "numberInSurah": 47,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 151,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনূকাল্লাযীনা খারাজুমিন দিয়া-রিহিম বাতারাওঁ ওয়া রিআআন্না-ছি ওয়া ইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়াল্লা-হু বিমা-ইয়া‘মালূনা মুহীত।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//خَرَجُوْا/خَرَجُواْ/kharaju//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِم/diyarihim//بَطَرًا/بَطَرٗا/bataran//وَّ رِئَآءَ/وَرِئَآءَ/wariaa//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ یَصُدُّوْنَ/وَيَصُدُّونَ/wayasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//مُحِیْطٌ /مُحِيطٞ/muhitun",
              "words_bangla": "এবং না//তোমরা হয়ো//(তাদের) মতো যারা//বের হয়েছিলো//থেকে//ঘরগুলো তাদের//গর্বভরে//ও দেখানোর (জন্যে)//লোকদের//ও তারা বাধা দেয়//হতে//পথ//আল্লাহর//এবং আল্লাহ//ঐবিষয়ে যা//তারা কাজ করেছে//পরিবেষ্টনকারী"
            },
            {
              "number": 1208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1208.mp3"
              ],
              "text": "وَإِذْ زَيَّنَ لَهُمُ ٱلشَّيْطَٰنُ أَعْمَٰلَهُمْ وَقَالَ لَا غَالِبَ لَكُمُ ٱلْيَوْمَ مِنَ ٱلنَّاسِ وَإِنِّى جَارٌۭ لَّكُمْ ۖ فَلَمَّا تَرَآءَتِ ٱلْفِئَتَانِ نَكَصَ عَلَىٰ عَقِبَيْهِ وَقَالَ إِنِّى بَرِىٓءٌۭ مِّنكُمْ إِنِّىٓ أَرَىٰ مَا لَا تَرَوْنَ إِنِّىٓ أَخَافُ ٱللَّهَ ۚ وَٱللَّهُ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "আর যখন সুদৃশ্য করে দিল শয়তান তাদের দৃষ্টিতে তাদের কার্যকলাপকে এবং বলল যে, আজকের দিনে কোন মানুষই তোমাদের উপর বিজয়ী হতে পারবে না আর আমি হলাম তোমাদের সমর্থক, অতঃপর যখন সামনাসামনী হল উভয় বাহিনী তখন সে অতি দ্রুত পায়ে পেছনে দিকে পালিয়ে গেল এবং বলল, আমি তোমাদের সাথে না-আমি দেখছি, যা তোমরা দেখছ না; আমি ভয় করি আল্লাহকে। আর আল্লাহর আযাব অত্যন্ত কঠিন।",
              "numberInSurah": 48,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 151,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযঝাইইয়ানা লাহুমুশশাইতা-নুআ‘মা-লাহুম ওয়া কা-লা লা-গা-লিবা লাকুমুল ইয়াওমা মিনান্না-ছি ওয়া ইন্নী জা-রুল্লাকুম ফালাম্মা-তারা-আতিল ফিআতা-নি নাকাসা ‘আলা-‘আকিবাইহি ওয়া কা-লা ইন্নী বারীউম মিনকুম ইন্নীআরা-মা-লা-তারাওনা ইন্নীআখা-ফুল্লা-হা ওয়াল্লা-হু শাদীদুল ‘ইকা-ব।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//زَیَّنَ/زَيَّنَ/zayyana//لَهُمُ/لَهُمُ/lahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//وَ قَالَ/وَقَالَ/waqala//لَا/لَا/la//غَالِبَ/غَالِبَ/ghaliba//لَكُمُ/لَكُمُ/lakumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//مِنَ/مِنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ اِنِّیْ/وَإِنِّي/wa-inni//جَارٌ/جَارٞ/jarun//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//فَلَمَّا/فَلَمَّا/falamma//تَرَآءَتِ/تَرَآءَتِ/taraati//الْفِئَتٰنِ/ٱلۡفِئَتَانِ/al-fi-atani//نَكَصَ/نَكَصَ/nakasa//عَلٰی/عَلَىٰ/ala//عَقِبَیْهِ/عَقِبَيۡهِ/aqibayhi//وَ قَالَ/وَقَالَ/waqala//اِنِّیْ/إِنِّي/inni//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّنْكُمْ/مِّنكُمۡ/minkum//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰی/أَرَىٰ/ara//مَا/مَا/ma//لَا/لَا/la//تَرَوْنَ/تَرَوۡنَ/tarawna//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ۠/ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এবং যখন//শোভন করেছিলো//জন্যে তাদের//শয়তান//কাজগুলোকে তাদের//এবং বলেছিলো//\"না//বিজয়ী হবে//উপর তোমাদের//আজ//মধ্য থেকে (কেউ)//মানুষদের//এবং নিশ্চয়ই আমি//প্রতিবেশী//তোমাদের\"//অতঃপর যখন//পরস্পরে সম্মুখীন হলো//দু'দল//সে সড়ে পড়লো//উপর//দু'গোড়ালীর (অর্থাৎ পেছন দিকে)//এবং বললো//\"নিশ্চয়ই আমি//দায়িত্বমুক্ত//থেকে তোমাদের//নিশ্চয়ই আমি//দেখছি (ফেরেশতাদের)//যা//না//তোমরা দেখতে পাচ্ছো//নিশ্চয়ই আমি//ভয় করি//আল্লাহকে//এবং আল্লাহ//কঠোর//দন্ডদানে\""
            },
            {
              "number": 1209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1209.mp3"
              ],
              "text": "إِذْ يَقُولُ ٱلْمُنَٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ غَرَّ هَٰٓؤُلَآءِ دِينُهُمْ ۗ وَمَن يَتَوَكَّلْ عَلَى ٱللَّهِ فَإِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "যখন মোনাফেকরা বলতে লাগল এবং যাদের অন্তর ব্যাধিগ্রস্ত, এরা নিজেদের ধর্মের উপর গর্বিত। বস্তুতঃ যারা ভরসা করে আল্লাহর উপর, সে নিশ্চিন্ত, কেননা আল্লাহ অতি পরাক্রমশীল, সুবিজ্ঞ।",
              "numberInSurah": 49,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ইযইয়াকূলুল মুনা-ফিকূনা ওয়াল্লাযীনা ফী কুলূবিহিম মারাদুন গাররা হাউলাই দীনুহুম ওয়া মাইঁ ইয়াতাওয়াক্কাল ‘আলাল্লা-হি ফাইন্নাল্লা-হা ‘আঝীঝুন হাকীম।",
              "words_arabic": "اِذْ/إِذۡ/idh//یَقُوْلُ/يَقُولُ/yaqulu//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٌ/maradun//غَرَّ/غَرَّ/gharra//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//دِیْنُهُمْ ؕ/دِينُهُمۡۗ/dinuhum//وَ مَنْ/وَمَن/waman//یَّتَوَكَّلْ/يَتَوَكَّلۡ/yatawakkal//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//মুনাফিক্বরা//ও যাদের//মধ্যে (আছে)//অন্তরসমূহে তাদের//রোগ//\"ধোঁকা দিয়েছে//এদেরকে//দীন তাদের\"//অথচ যে কেউ//নির্ভর করে//উপর//আল্লাহর//তবে নিশ্চয়ই//আল্লাহই//পরাক্রমশালী//মহাবিজ্ঞ\""
            },
            {
              "number": 1210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1210.mp3"
              ],
              "text": "وَلَوْ تَرَىٰٓ إِذْ يَتَوَفَّى ٱلَّذِينَ كَفَرُوا۟ ۙ ٱلْمَلَٰٓئِكَةُ يَضْرِبُونَ وُجُوهَهُمْ وَأَدْبَٰرَهُمْ وَذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ",
              "translate_bn": "আর যদি তুমি দেখ, যখন ফেরেশতারা কাফেরদের জান কবজ করে; প্রহার করে, তাদের মুখে এবং তাদের পশ্চাদদেশে আর বলে, জ্বলন্ত আযাবের স্বাদ গ্রহণ কর।",
              "numberInSurah": 50,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও তারাইযইয়াতাওয়াফফাল্লাযীনা কাফারুল মালাইকাতুইয়াদরিবূনা উজূহাহুম ওয়া আদবা-রাহুম ওয়া যূকূ‘আযা-বাল হারীক।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذْ/إِذۡ/idh//یَتَوَفَّی/يَتَوَفَّى/yatawaffa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوا ۙ/كَفَرُواْ/kafaru//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//یَضْرِبُوْنَ/يَضۡرِبُونَ/yadribuna//وُجُوْهَهُمْ/وُجُوهَهُمۡ/wujuhahum//وَ اَدْبَارَهُمْ ۚ/وَأَدۡبَٰرَهُمۡ/wa-adbarahum//وَ ذُوْقُوْا/وَذُوقُواْ/wadhuqu//عَذَابَ/عَذَابَ/adhaba//الْحَرِیْقِ /ٱلۡحَرِيقِ/al-hariqi",
              "words_bangla": "এবং যদি//দেখতে তুমি//যখন//প্রাণ কেড়ে নেয়//(তাদেরকে) যারা//অবিশ্বাস করেছে//ফেরেশতারা//তারা আঘাত করে//মুখমণ্ডলগুলোতে তাদের//ও পিঠগুলোতে তাদের//\"এবং (বলো) তোমরা স্বাদ নাও//শাস্তির//দহনের\""
            },
            {
              "number": 1211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1211.mp3"
              ],
              "text": "ذَٰلِكَ بِمَا قَدَّمَتْ أَيْدِيكُمْ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّٰمٍۢ لِّلْعَبِيدِ",
              "translate_bn": "এই হলো সে সবের বিনিময় যা তোমরা তোমাদের পূর্বে পাঠিয়েছ নিজের হাতে। বস্তুতঃ এটি এ জন্য যে, আল্লাহ বান্দার উপর যুলুম করেন না।",
              "numberInSurah": 51,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিমা-কাদ্দামাত আইদীকুম ওয়া আন্নাল্লা-হা লাইছা বিজাল্লা-মিল লিল ‘আবীদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْكُمْ/أَيۡدِيكُمۡ/aydikum//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَیْسَ/لَيۡسَ/laysa//بِظَلَّامٍ/بِظَلَّـٰمٖ/bizallamin//لِّلْعَبِیْدِۙ/لِّلۡعَبِيدِ/lil'abidi",
              "words_bangla": "এটা//একারণে যা//আগে পাঠিয়েছে//হাতগুলো তাদের//এবং (এটা সত্য যে)//আল্লাহ//নন//অত্যাচারী//প্রতি দাসদের"
            },
            {
              "number": 1212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1212.mp3"
              ],
              "text": "كَدَأْبِ ءَالِ فِرْعَوْنَ ۙ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَفَرُوا۟ بِـَٔايَٰتِ ٱللَّهِ فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ ۗ إِنَّ ٱللَّهَ قَوِىٌّۭ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "যেমন, রীতি রয়েছে ফেরাউনের অনুসারীদের এবং তাদের পূর্বে যারা ছিল তাদের ব্যাপারে যে, এরা আল্লাহর নির্দেশের প্রতি অস্বীকৃতি জ্ঞাপন করেছে এবং সেজন্য আল্লাহ তা’আলা তাদের পাকড়াও করেছেন তাদেরই পাপের দরুন। নিঃসন্দেহে আল্লাহ মহাশক্তিশালী, কঠিন শাস্তিদাতা।",
              "numberInSurah": 52,
              "juz": 10,
              "manzil": 2,
              "page": 183,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "কাদা’বি আ-লি ফির‘আওনা ওয়াল্লাযীনা মিন কাবলিহিম কাফারু বিআ-য়া-তিল্লা-হি ফাআখাযাহুমুল্লা-হু বিযুনূবিহিম ইন্নাল্লা-হা কাবিউন শাদীদুল ‘ইকা-ব।",
              "words_arabic": "كَدَاْبِ/كَدَأۡبِ/kadabi//اٰلِ/ءَالِ/ali//فِرْعَوْنَ ۙ/فِرۡعَوۡنَ/fir'awna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِذُنُوْبِهِمْ ؕ/بِذُنُوبِهِمۡۚ/bidhunubihim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَوِیٌّ/قَوِيّٞ/qawiyyun//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "মতো অভ্যাসের//বংশধরদের//ফিরাউনের//এবং যারা(ছিলো)//থেকে//পূর্ব তাদের(এদের সাথে তাই হবে)//তারা অবিশ্বাস করেছিলো//সাথে নিদর্শনগুলোর//আল্লাহর//তাই ধরেছিলেন তাদেরকে//আল্লাহ//কারণে পাপগুলোর তাদের//নিশ্চয়ই//আল্লাহ//শক্তিশালী//কঠোর//দন্ডদানে"
            },
            {
              "number": 1213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1213.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ لَمْ يَكُ مُغَيِّرًۭا نِّعْمَةً أَنْعَمَهَا عَلَىٰ قَوْمٍ حَتَّىٰ يُغَيِّرُوا۟ مَا بِأَنفُسِهِمْ ۙ وَأَنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "তার কারণ এই যে, আল্লাহ কখনও পরিবর্তন করেন না, সে সব নেয়ামত, যা তিনি কোন জাতিকে দান করেছিলেন, যতক্ষণ না সে জাতি নিজেই পরিবর্তিত করে দেয় নিজের জন্য নির্ধারিত বিষয়। বস্তুতঃ আল্লাহ শ্রবণকারী, মহাজ্ঞানী।",
              "numberInSurah": 53,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা লাম ইয়াকুমুগাইয়িরান নি‘মাতান আন‘আমাহা-‘আলা-কাওমিন হাত্তা-ইউগাইয়িরূমা-বিআনফুছিহিম ওয়া আন্নাল্লা-হা ছামী‘উন ‘আলীম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَمْ/لَمۡ/lam//یَكُ/يَكُ/yaku//مُغَیِّرًا/مُغَيِّرٗا/mughayyiran//نِّعْمَةً/نِّعۡمَةً/ni'matan//اَنْعَمَهَا/أَنۡعَمَهَا/an'amaha//عَلٰی/عَلَىٰ/ala//قَوْمٍ/قَوۡمٍ/qawmin//حَتّٰی/حَتَّىٰ/hatta//یُغَیِّرُوْا/يُغَيِّرُواْ/yughayyiru//مَا/مَا/ma//بِاَنْفُسِهِمْ ۙ/بِأَنفُسِهِمۡ/bi-anfusihim//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌۙ/عَلِيمٞ/alimun",
              "words_bangla": "এটা//এজন্যে যে//আল্লাহ//না//ছিলেন//পরিবর্তনকারী//(তাঁর)অনুগ্রহের//যা তিনি দান করেছেন//উপর//সম্প্রদায়ের//যতক্ষণ না//তারা পরিবর্তন করে//তা//উপর নিজেদের তাদের//এবং (এও) যে//আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1214.mp3"
              ],
              "text": "كَدَأْبِ ءَالِ فِرْعَوْنَ ۙ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَّبُوا۟ بِـَٔايَٰتِ رَبِّهِمْ فَأَهْلَكْنَٰهُم بِذُنُوبِهِمْ وَأَغْرَقْنَآ ءَالَ فِرْعَوْنَ ۚ وَكُلٌّۭ كَانُوا۟ ظَٰلِمِينَ",
              "translate_bn": "যেমন ছিল রীতি ফেরাউনের বংশধর এবং যারা তাদের পূর্বে ছিল, তারা মিথ্যা প্রতিপন্ন করেছিল স্বীয় পালনকর্তার নিদর্শনসমূহকে। অতঃপর আমি তাদেরকে ধ্বংস করে দিয়েছি তাদের পাপের দরুন এবং ডুবিয়ে মেরেছি ফেরাউনের বংশধরদেরকে। বস্তুতঃ এরা সবাই ছিল যালেম।",
              "numberInSurah": 54,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "কাদা’বি আ-লি ফির‘আওনা ওয়াল্লাযীনা মিন কাবলিহিম কাযযাবূবিআ-য়া-তি রাব্বিহিম ফাআহলাকনা-হুম বিযুনুবিহিম ওয়া আগরাকনা-আ-লা ফির‘আওনা ওয়া কুল্লুন কা-নূজা-লিমীন।",
              "words_arabic": "كَدَاْبِ/كَدَأۡبِ/kadabi//اٰلِ/ءَالِ/ali//فِرْعَوْنَ ۙ/فِرۡعَوۡنَ/fir'awna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//فَاَهْلَكْنٰهُمْ/فَأَهۡلَكۡنَٰهُم/fa-ahlaknahum//بِذُنُوْبِهِمْ/بِذُنُوبِهِمۡ/bidhunubihim//وَ اَغْرَقْنَاۤ/وَأَغۡرَقۡنَآ/wa-aghraqna//اٰلَ/ءَالَ/ala//فِرْعَوْنَ ۚ/فِرۡعَوۡنَۚ/fir'awna//وَ كُلٌّ/وَكُلّٞ/wakullun//كَانُوْا/كَانُواْ/kanu//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "মতো স্বভাবের//বংশধরদের//ফিরাউনের//ও যারা (ছিলো)//থেকে//পূর্ব তাদের(এদের সাথে তাই হবে)//তারা অস্বীকার করেছিলো//প্রতি নিদর্শনগুলোর//রবের তাদের//তাই ধ্বংস করেছিলাম আমরা তাদেরকে//কারণে পাপসমূহের তাদের//এবং ডুবিয়ে দিয়েছিলাম আমরা//বংশধরদের//ফিরআউনের//এবং সবাই//তারা ছিলো//সীমালঙ্ঘনকারী"
            },
            {
              "number": 1215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1215.mp3"
              ],
              "text": "إِنَّ شَرَّ ٱلدَّوَآبِّ عِندَ ٱللَّهِ ٱلَّذِينَ كَفَرُوا۟ فَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "সমস্ত জীবের মাঝে আল্লাহর নিকট তারাই সবচেয়ে নিকৃষ্ট, যারা অস্বীকারকারী হয়েছে অতঃপর আর ঈমান আনেনি।",
              "numberInSurah": 55,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ইন্না শাররাদ্দাওয়াব্বি ‘ইনদাল্লা-হিল্লাযীনা কাফারূফাহুম লা-ইউ’মিনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//شَرَّ/شَرَّ/sharra//الدَّوَآبِّ/ٱلدَّوَآبِّ/al-dawabi//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یُؤْمِنُوْنَۖۚ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//নিকৃষ্ট//বিচরণশীল জীবদের (মধ্যে তারাই)//কাছে//আল্লাহর//যারা//অস্বীকার করেছে//অতঃপর তারা//না//ঈমান আনে"
            },
            {
              "number": 1216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1216.mp3"
              ],
              "text": "ٱلَّذِينَ عَٰهَدتَّ مِنْهُمْ ثُمَّ يَنقُضُونَ عَهْدَهُمْ فِى كُلِّ مَرَّةٍۢ وَهُمْ لَا يَتَّقُونَ",
              "translate_bn": "যাদের সাথে তুমি চুক্তি করেছ তাদের মধ্য থেকে অতঃপর প্রতিবার তারা নিজেদের কৃতচুক্তি লংঘন করে এবং ভয় করে না।",
              "numberInSurah": 56,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ‘আ-হাততা মিনহুম ছু ম্মা ইয়ানকু দূ না ‘আহদাহুম ফী কুল্লি মাররাতিওঁ ওয়া হুম লা-ইয়াত্তাকূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//عٰهَدْتَّ/عَٰهَدتَّ/ahadtta//مِنْهُمْ/مِنۡهُمۡ/min'hum//ثُمَّ/ثُمَّ/thumma//یَنْقُضُوْنَ/يَنقُضُونَ/yanquduna//عَهْدَهُمْ/عَهۡدَهُمۡ/ahdahum//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//مَرَّةٍ/مَرَّةٖ/marratin//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "যাদের (সাথে)//তুমি সন্ধিচুক্তি করেছো//মধ্য হতে তাদের//এরপর//তারা ভঙ্গ করে//সন্ধিচুক্তি তাদের//এ//প্রত্যেক//বার//এবং তারা//না//ভয় করে"
            },
            {
              "number": 1217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1217.mp3"
              ],
              "text": "فَإِمَّا تَثْقَفَنَّهُمْ فِى ٱلْحَرْبِ فَشَرِّدْ بِهِم مَّنْ خَلْفَهُمْ لَعَلَّهُمْ يَذَّكَّرُونَ",
              "translate_bn": "সুতরাং যদি কখনো তুমি তাদেরকে যুদ্ধে পেয়ে যাও, তবে তাদের এমন শাস্তি দাও, যেন তাদের উত্তরসূরিরা তাই দেখে পালিয়ে যায়; তাদেরও যেন শিক্ষা হয়।",
              "numberInSurah": 57,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ফাইম্মা-তাছকাফান্নাহুম ফিল হারবি ফাশাররিদ বিহিম মান খালফাহুম লা‘আল্লাহুম ইয়াযযাক্কারূন।",
              "words_arabic": "فَاِمَّا/فَإِمَّا/fa-imma//تَثْقَفَنَّهُمْ/تَثۡقَفَنَّهُمۡ/tathqafannahum//فِی/فِي/fi//الْحَرْبِ/ٱلۡحَرۡبِ/al-harbi//فَشَرِّدْ/فَشَرِّدۡ/fasharrid//بِهِمْ/بِهِم/bihim//مَّنْ/مَّنۡ/man//خَلْفَهُمْ/خَلۡفَهُمۡ/khalfahum//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "অতঃপর যদি//তুমি আয়ত্তে পাও তাদের//মধ্যে//যুদ্ধের//তাহ'লে বিধ্বস্ত করো//তাদেরকে//যারা//পিছনে তাদের(আছে)//যাতে তারা//শিক্ষাগ্রহণ করে"
            },
            {
              "number": 1218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1218.mp3"
              ],
              "text": "وَإِمَّا تَخَافَنَّ مِن قَوْمٍ خِيَانَةًۭ فَٱنۢبِذْ إِلَيْهِمْ عَلَىٰ سَوَآءٍ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْخَآئِنِينَ",
              "translate_bn": "তবে কোন সম্প্রদায়ের ধোঁকা দেয়ার ব্যাপারে যদি তোমাদের ভয় থাকে, তবে তাদের চুক্তি তাদের দিকেই ছুঁড়ে ফেলে দাও এমনভাবে যেন হয়ে যাও তোমরাও তারা সমান। নিশ্চয়ই আল্লাহ ধোকাবাজ, প্রতারককে পছন্দ করেন না।",
              "numberInSurah": 58,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 152,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা-তাখা-ফান্না মিন কাওমিন খিয়া-নাতান ফামবিযইলাইহিম ‘আলা-ছাওয়াইন ইন্নাল্লা-হা লা-ইউহিব্বুল খাইনীন।",
              "words_arabic": "وَ اِمَّا/وَإِمَّا/wa-imma//تَخَافَنَّ/تَخَافَنَّ/takhafanna//مِنْ/مِن/min//قَوْمٍ/قَوۡمٍ/qawmin//خِیَانَةً/خِيَانَةٗ/khiyanatan//فَانْۢبِذْ/فَٱنۢبِذۡ/fa-inbidh//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//عَلٰی/عَلَىٰ/ala//سَوَآءٍ ؕ/سَوَآءٍۚ/sawain//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْخَآىِٕنِیْنَ۠/ٱلۡخَآئِنِينَ/al-khainina",
              "words_bangla": "এবং যদি//তুমি আশঙ্কা করো//হতে//কোনো জাতি//বিশ্বাসভঙ্গের//তবে নিক্ষেপ করো//দিকে তাদের (তাদের সন্ধিচুক্তি)//ভাবে//সমান (একই)//নিশ্চয়ই//আল্লাহ//না//ভালোবাসেন//বিশ্বাসভঙ্গকারীদেরকে"
            },
            {
              "number": 1219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1219.mp3"
              ],
              "text": "وَلَا يَحْسَبَنَّ ٱلَّذِينَ كَفَرُوا۟ سَبَقُوٓا۟ ۚ إِنَّهُمْ لَا يُعْجِزُونَ",
              "translate_bn": "আর কাফেররা যেন একা যা মনে না করে যে, তারা বেঁচে গেছে; কখনও এরা আমাকে পরিশ্রান্ত করতে পারবে না।",
              "numberInSurah": 59,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 153,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহছাবান্নাল্লাযীনা কাফারূছাবাকূ ইন্নাহুম লা ইউ‘জিঝূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحْسَبَنَّ/يَحۡسَبَنَّ/yahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//سَبَقُوْا ؕ/سَبَقُوٓاْۚ/sabaqu//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَا/لَا/la//یُعْجِزُوْنَ /يُعۡجِزُونَ/yu'jizuna",
              "words_bangla": "এবং না//(যেন) তারা মনে করে//যারা//অস্বীকার করেছে (যে)//তারা আগে চলে গিয়েছে//নিশ্চয়ই তারা//না//অক্ষম করতে পারবে (আল্লাহকে)"
            },
            {
              "number": 1220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1220.mp3"
              ],
              "text": "وَأَعِدُّوا۟ لَهُم مَّا ٱسْتَطَعْتُم مِّن قُوَّةٍۢ وَمِن رِّبَاطِ ٱلْخَيْلِ تُرْهِبُونَ بِهِۦ عَدُوَّ ٱللَّهِ وَعَدُوَّكُمْ وَءَاخَرِينَ مِن دُونِهِمْ لَا تَعْلَمُونَهُمُ ٱللَّهُ يَعْلَمُهُمْ ۚ وَمَا تُنفِقُوا۟ مِن شَىْءٍۢ فِى سَبِيلِ ٱللَّهِ يُوَفَّ إِلَيْكُمْ وَأَنتُمْ لَا تُظْلَمُونَ",
              "translate_bn": "আর প্রস্তুত কর তাদের সাথে যুদ্ধের জন্য যাই কিছু সংগ্রহ করতে পার নিজের শক্তি সামর্থ্যের মধ্যে থেকে এবং পালিত ঘোড়া থেকে, যেন প্রভাব পড়ে আল্লাহর শুত্রুদের উপর এবং তোমাদের শত্রুদের উপর আর তাদেরকে ছাড়া অন্যান্যদের উপর ও যাদেরকে তোমরা জান না; আল্লাহ তাদেরকে চেনেন। বস্তুতঃ যা কিছু তোমরা ব্যয় করবে আল্লাহর রাহে, তা তোমরা পরিপূর্ণভাবে ফিরে পাবে এবং তোমাদের কোন হক অপূর্ণ থাকবে না।",
              "numberInSurah": 60,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 153,
              "hizbQuarter": 73,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ‘ইদ্দূলাহুম মাছতাতা‘তুম মিন কুওওয়াতিওঁ ওয়া মির রিবা-তিল খাইলি তুরহিবূনা বিহী ‘আদুওঁ ওআল্লা-হি ওয়া ‘আদুওঁ ওয়াকুম ওয়া আ-খারীনা মিন দূ নিহিম লাতা‘লামূনাহুম আল্লা-হু ইয়া‘লামুহুম ওয়া মা-তুনফিকূমিন -শাইয়িন ফী ছাবীলিল্লা-হি ইউওয়াফফা ইলাইকুম ওয়া আনতুম লা-তুজলামূন।",
              "words_arabic": "وَ اَعِدُّوْا/وَأَعِدُّواْ/wa-a'iddu//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//اسْتَطَعْتُمْ/ٱسۡتَطَعۡتُم/is'tata'tum//مِّنْ/مِّن/min//قُوَّةٍ/قُوَّةٖ/quwwatin//وَّ مِنْ/وَمِن/wamin//رِّبَاطِ/رِّبَاطِ/ribati//الْخَیْلِ/ٱلۡخَيۡلِ/al-khayli//تُرْهِبُوْنَ/تُرۡهِبُونَ/tur'hibuna//بِهٖ/بِهِۦ/bihi//عَدُوَّ/عَدُوَّ/aduwwa//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عَدُوَّكُمْ/وَعَدُوَّكُمۡ/wa'aduwwakum//وَ اٰخَرِیْنَ/وَءَاخَرِينَ/waakharina//مِنْ/مِن/min//دُوْنِهِمْ ۚ/دُونِهِمۡ/dunihim//لَا/لَا/la//تَعْلَمُوْنَهُمْ ۚ/تَعۡلَمُونَهُمُ/ta'lamunahumu//اَللّٰهُ/ٱللَّهُ/al-lahu//یَعْلَمُهُمْ ؕ/يَعۡلَمُهُمۡۚ/ya'lamuhum//وَ مَا/وَمَا/wama//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//یُوَفَّ/يُوَفَّ/yuwaffa//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تُظْلَمُوْنَ /تُظۡلَمُونَ/tuz'lamuna",
              "words_bangla": "এবং তোমরা প্রস্তুত রাখো//জন্যে তাদের//যা (কিছু)//তোমরা সমর্থ হও//সব//শক্তি//এবং সব//সাজ-সরঞ্জাম//(যুদ্ধের) ঘোড়ার//তোমরা সন্ত্রস্ত করবে//দিয়ে তা//শত্রুকে//আল্লাহর//ও শত্রুকে তোমাদের//এবং অন্যদেরকে//থেকে//ছাড়া তাদের//না//তোমরা জানো তাদেরকে//আল্লাহ//জানেন তাদেরকে//এবং যা//তোমরা ব্যয় করো//কোনো//কিছু//মধ্যে//পথের//আল্লাহর//পুর্ণ প্রতিফল দেয়া হবে//প্রতি তোমাদের//এবং তোমাদের (উপর)//না//অন্যায় করা হবে"
            },
            {
              "number": 1221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1221.mp3"
              ],
              "text": "۞ وَإِن جَنَحُوا۟ لِلسَّلْمِ فَٱجْنَحْ لَهَا وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "আর যদি তারা সন্ধি করতে আগ্রহ প্রকাশ করে, তাহলে তুমিও সে দিকেই আগ্রহী হও এবং আল্লাহর উপর ভরসা কর। নিঃসন্দেহে তিনি শ্রবণকারী; পরিজ্ঞাত।",
              "numberInSurah": 61,
              "juz": 10,
              "manzil": 2,
              "page": 184,
              "ruku": 153,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন জানাহূলিছছালমি ফাজনাহলাহা-ওয়া তাওয়াক্কাল ‘আলাল্লা-হি ইন্নাহূহুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ اِنْ/۞وَإِن/wa-in//جَنَحُوْا/جَنَحُواْ/janahu//لِلسَّلْمِ/لِلسَّلۡمِ/lilssalmi//فَاجْنَحْ/فَٱجۡنَحۡ/fa-ij'nah//لَهَا/لَهَا/laha//وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং যদি//তারা ঝুঁকে পড়ে//জন্যে সন্ধি ও শান্তির//তবে তুমিও ঝুঁকে পড়ো//জন্যে তার//এবং নির্ভর করো//উপর//আল্লাহর//নিশ্চয়ই তিনি//তিনিই//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1222.mp3"
              ],
              "text": "وَإِن يُرِيدُوٓا۟ أَن يَخْدَعُوكَ فَإِنَّ حَسْبَكَ ٱللَّهُ ۚ هُوَ ٱلَّذِىٓ أَيَّدَكَ بِنَصْرِهِۦ وَبِٱلْمُؤْمِنِينَ",
              "translate_bn": "পক্ষান্তরে তারা যদি তোমাকে প্রতারণা করতে চায়, তবে তোমার জন্য আল্লাহই যথেষ্ট, তিনিই তোমাকে শক্তি যুগিয়েছেন স্বীয় সাহায্যে ও মুসলমানদের মাধ্যমে।",
              "numberInSurah": 62,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 153,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইউরীদূ আইঁ ইয়াখদা‘ঊকা ফাইন্না হাছবাকাল্লা-হু হুওয়াল্লাযী আইঁ ইয়াদাকা বিনাসরিহী ওয়া বিলমু’মিনীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یُّرِیْدُوْۤا/يُرِيدُوٓاْ/yuridu//اَنْ/أَن/an//یَّخْدَعُوْكَ/يَخۡدَعُوكَ/yakhda'uka//فَاِنَّ/فَإِنَّ/fa-inna//حَسْبَكَ/حَسۡبَكَ/hasbaka//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَیَّدَكَ/أَيَّدَكَ/ayyadaka//بِنَصْرِهٖ/بِنَصۡرِهِۦ/binasrihi//وَ بِالْمُؤْمِنِیْنَۙ/وَبِٱلۡمُؤۡمِنِينَ/wabil-mu'minina",
              "words_bangla": "এবং যদি//তারা চায়//যে//তোমাকে তারা ধোঁকা দিবে//তবে বিশ্চয়ই//তোমার জন্যে যথেষ্ট//আল্লাহ//তিনিই//যিনি//তোমাকে শক্তিশালী করেছেন//দিয়ে তাঁর সাহায্য//ও দিয়ে মু'মিনদের"
            },
            {
              "number": 1223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1223.mp3"
              ],
              "text": "وَأَلَّفَ بَيْنَ قُلُوبِهِمْ ۚ لَوْ أَنفَقْتَ مَا فِى ٱلْأَرْضِ جَمِيعًۭا مَّآ أَلَّفْتَ بَيْنَ قُلُوبِهِمْ وَلَٰكِنَّ ٱللَّهَ أَلَّفَ بَيْنَهُمْ ۚ إِنَّهُۥ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "আর প্রীতি সঞ্চার করেছেন তাদের অন্তরে। যদি তুমি সেসব কিছু ব্যয় করে ফেলতে, যা কিছু যমীনের বুকে রয়েছে, তাদের মনে প্রীতি সঞ্চার করতে পারতে না। কিন্তু আল্লাহ তাদের মনে প্রীতি সঞ্চার করেছেন। নিঃসন্দেহে তিনি পরাক্রমশালী, সুকৌশলী।",
              "numberInSurah": 63,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 153,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল্লাফা বাইনা কুলূবিহিম লাও আনফাকতা মা-ফিল আরদিজামী‘আম মাআল্লাফতা বাইনা কুলূবিহিম ওয়ালা-কিন্নাল্লা-হা আল্লাফা বাইনাহুম ইন্নাহূ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ اَلَّفَ/وَأَلَّفَ/wa-allafa//بَیْنَ/بَيۡنَ/bayna//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۚ/qulubihim//لَوْ/لَوۡ/law//اَنْفَقْتَ/أَنفَقۡتَ/anfaqta//مَا/مَا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا/جَمِيعٗا/jami'an//مَّاۤ/مَّآ/ma//اَلَّفْتَ/أَلَّفۡتَ/allafta//بَیْنَ/بَيۡنَ/bayna//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//اَلَّفَ/أَلَّفَ/allafa//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//اِنَّهٗ/إِنَّهُۥ/innahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং সম্প্রীতি স্থাপন করেছেন//মাঝে//অন্তরগুলোর তাদের//যদি//তুমি ব্যয় করতে//যা কিছু//মধ্যে (আছে)//পৃথিবীর//সব কিছুই//(তবুও) না//তুমি সম্প্রীতি স্থাপন করতে পারতে//মাঝে//অন্তরসমূহের তাদের//কিন্তু//আল্লাহ//সম্প্রীতি স্থাপন করেছেন//মাঝে তাদের//নিশ্চয়ই তিনি//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 1224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1224.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ حَسْبُكَ ٱللَّهُ وَمَنِ ٱتَّبَعَكَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "হে নবী, আপনার জন্য এবং যেসব মুসলমান আপনার সাথে রয়েছে তাদের সবার জন্য আল্লাহ যথেষ্ট।",
              "numberInSurah": 64,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 153,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুহাছবুকাল্লা-হু ওয়া মানিত তাবা‘আকা মিনাল মু’মিনীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//حَسْبُكَ/حَسۡبُكَ/hasbuka//اللّٰهُ/ٱللَّهُ/al-lahu//وَ مَنِ/وَمَنِ/wamani//اتَّبَعَكَ/ٱتَّبَعَكَ/ittaba'aka//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ۠/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "হে//নাবী//তোমার জন্যে যথেষ্ট//আল্লাহই//এবং (তাদের জন্যে) যারা//তোমাকে অনুসরণ করে//মধ্যে//মু'মিনদের (জন্যে)"
            },
            {
              "number": 1225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1225.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ حَرِّضِ ٱلْمُؤْمِنِينَ عَلَى ٱلْقِتَالِ ۚ إِن يَكُن مِّنكُمْ عِشْرُونَ صَٰبِرُونَ يَغْلِبُوا۟ مِا۟ئَتَيْنِ ۚ وَإِن يَكُن مِّنكُم مِّا۟ئَةٌۭ يَغْلِبُوٓا۟ أَلْفًۭا مِّنَ ٱلَّذِينَ كَفَرُوا۟ بِأَنَّهُمْ قَوْمٌۭ لَّا يَفْقَهُونَ",
              "translate_bn": "হে নবী, আপনি মুসলমানগণকে উৎসাহিত করুন জেহাদের জন্য। তোমাদের মধ্যে যদি বিশ জন দৃঢ়পদ ব্যক্তি থাকে, তবে জয়ী হবে দু’শর মোকাবেলায়। আর যদি তোমাদের মধ্যে থাকে একশ লোক, তবে জয়ী হবে হাজার কাফেরের উপর থেকে তার কারণ ওরা জ্ঞানহীন।",
              "numberInSurah": 65,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 154,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুহাররিদিল মু’মিনীনা ‘আলাল কিতা-লি ইয়ঁইয়াকুম মিনকুম ‘ইশরূনা সা-বিরূনা ইয়াগলিবূমিআতাইনি ওয়া ইয়ঁইয়াকুম মিনকুম মিআতুইঁ ইয়াগলিবূ আলফাম মিনাল্লাযীনা কাফারূবিআন্নাহুম কাওমুল লা-ইয়াফকাহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//حَرِّضِ/حَرِّضِ/harridi//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//عَلَی/عَلَى/ala//الْقِتَالِ ؕ/ٱلۡقِتَالِۚ/al-qitali//اِنْ/إِن/in//یَّكُنْ/يَكُن/yakun//مِّنْكُمْ/مِّنكُمۡ/minkum//عِشْرُوْنَ/عِشۡرُونَ/ish'runa//صٰبِرُوْنَ/صَٰبِرُونَ/sabiruna//یَغْلِبُوْا/يَغۡلِبُواْ/yaghlibu//مِائَتَیْنِ ۚ/مِاْئَتَيۡنِۚ/mi-atayni//وَ اِنْ/وَإِن/wa-in//یَّكُنْ/يَكُن/yakun//مِّنْكُمْ/مِّنكُم/minkum//مِّائَةٌ/مِّاْئَةٞ/mi-atun//یَّغْلِبُوْۤا/يَغۡلِبُوٓاْ/yaghlibu//اَلْفًا/أَلۡفٗا/alfan//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "হে//নাবী//উদ্বুদ্ধ করো//মু'মিনদেরকে//জন্যে//যুদ্ধের//যদি//হয়//মধ্য হতে তোমাদের//বিশজন//ধৈর্যশীল//তারা বিজয়ী হবে//দু'শতের (উপর)//এবং যদি//হয়//মধ্য হতে তোমাদের//একশত//তারা বিজয়ী হবে//এক হাজারের (উপর)//(তাদের) হতে//যারা//অবিশ্বাস করেছে//একারণে যে তারা//(এমন)সম্প্রদায়//(যারা) না//তারা বুঝে"
            },
            {
              "number": 1226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1226.mp3"
              ],
              "text": "ٱلْـَٰٔنَ خَفَّفَ ٱللَّهُ عَنكُمْ وَعَلِمَ أَنَّ فِيكُمْ ضَعْفًۭا ۚ فَإِن يَكُن مِّنكُم مِّا۟ئَةٌۭ صَابِرَةٌۭ يَغْلِبُوا۟ مِا۟ئَتَيْنِ ۚ وَإِن يَكُن مِّنكُمْ أَلْفٌۭ يَغْلِبُوٓا۟ أَلْفَيْنِ بِإِذْنِ ٱللَّهِ ۗ وَٱللَّهُ مَعَ ٱلصَّٰبِرِينَ",
              "translate_bn": "এখন বোঝা হালকা করে দিয়েছেন আল্লাহ তা’আলা তোমাদের উপর এবং তিনি জেনে নিয়েছেন যে, তোমাদের মধ্য দূর্বলতা রয়েছে। কাজেই তোমাদের মধ্যে যদি দৃঢ়চিত্ত একশ লোক বিদ্যমান থাকে, তবে জয়ী হবে দু’শর উপর। আর যদি তোমরা এক হাজার হও তবে আল্লাহর হুকুম অনুযায়ী জয়ী হবে দু’হাজারের উপর আর আল্লাহ রয়েছেন দৃঢ়চিত্ত লোকদের সাথে।",
              "numberInSurah": 66,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 154,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "আলআ-না খাফফাফাল্লা-হু ‘আনকুম ওয়া ‘আলিমা আন্না ফীকুম দা‘ফান ফাইয়ঁইয়াকুম মিনকুম মিআতুন সা-বিরাতুইঁ ইয়াগলিবূমিআতাইনি ওয়াইঁ ইয়াকুম মিনকুম আলফুইঁ ইয়াগলিবূআলফাইনি বিইযনিল্লা-হি ওয়াল্লা-হু মা‘আসসা-বিরীন।",
              "words_arabic": "اَلْـٰٔنَ/ٱلۡـَٰٔنَ/al-ana//خَفَّفَ/خَفَّفَ/khaffafa//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْكُمْ/عَنكُمۡ/ankum//وَ عَلِمَ/وَعَلِمَ/wa'alima//اَنَّ/أَنَّ/anna//فِیْكُمْ/فِيكُمۡ/fikum//ضَعْفًا ؕ/ضَعۡفٗاۚ/da'fan//فَاِنْ/فَإِن/fa-in//یَّكُنْ/يَكُن/yakun//مِّنْكُمْ/مِّنكُم/minkum//مِّائَةٌ/مِّاْئَةٞ/mi-atun//صَابِرَةٌ/صَابِرَةٞ/sabiratun//یَّغْلِبُوْا/يَغۡلِبُواْ/yaghlibu//مِائَتَیْنِ ۚ/مِاْئَتَيۡنِۚ/mi-atayni//وَ اِنْ/وَإِن/wa-in//یَّكُنْ/يَكُن/yakun//مِّنْكُمْ/مِّنكُمۡ/minkum//اَلْفٌ/أَلۡفٞ/alfun//یَّغْلِبُوْۤا/يَغۡلِبُوٓاْ/yaghlibu//اَلْفَیْنِ/أَلۡفَيۡنِ/alfayni//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مَعَ/مَعَ/ma'a//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "এখন//(বোঝা) হালকা করেছেন//আল্লাহ//হতে তোমাদের//এবং তিনি জানেন//যে//মধ্যে (আছে) তোমাদের//দুর্বলতা//অতএব যদি//হয়//মধ্য হতে তোমাদের//একশত (জন)//ধৈর্যশীল//তারা বিজয়ী হবে//দু'শতের (উপর)//এবং যদি//হয়//মধ্য হতে তোমাদের//এক হাজার (জন)//তারা বিজয়ী হবে//দু'হাজারের (উপর)//সাহায্যে অনুমতির//আল্লাহর//এবং আল্লাহ//সাথে (আছেন)//ধৈর্যশীলদের"
            },
            {
              "number": 1227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1227.mp3"
              ],
              "text": "مَا كَانَ لِنَبِىٍّ أَن يَكُونَ لَهُۥٓ أَسْرَىٰ حَتَّىٰ يُثْخِنَ فِى ٱلْأَرْضِ ۚ تُرِيدُونَ عَرَضَ ٱلدُّنْيَا وَٱللَّهُ يُرِيدُ ٱلْءَاخِرَةَ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "নবীর পক্ষে উচিত নয় বন্দীদিগকে নিজের কাছে রাখা, যতক্ষণ না দেশময় প্রচুর রক্তপাত ঘটাবে। তোমরা পার্থিব সম্পদ কামনা কর, অথচ আল্লাহ চান আখেরাত। আর আল্লাহ হচ্ছেন পরাক্রমশালী হেকমতওয়ালা।",
              "numberInSurah": 67,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 154,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিনাবিইয়িন আইঁ ইয়াকূনা লাহূআছরা-হাত্তা-ইউছখিনা ফিল আরদি তুরীদূ না ‘আরাদাদদুনইয়া- ওয়াল্লা-হু ইউরীদুল আ-খিরাতা ওয়াল্লা-হু ‘আঝীঝুন হাকীম ।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِنَبِیٍّ/لِنَبِيٍّ/linabiyyin//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//لَهٗۤ/لَهُۥٓ/lahu//اَسْرٰی/أَسۡرَىٰ/asra//حَتّٰی/حَتَّىٰ/hatta//یُثْخِنَ/يُثۡخِنَ/yuth'khina//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//تُرِیْدُوْنَ/تُرِيدُونَ/turiduna//عَرَضَ/عَرَضَ/arada//الدُّنْیَا ۖۗ/ٱلدُّنۡيَا/al-dun'ya//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُرِیْدُ/يُرِيدُ/yuridu//الْاٰخِرَةَ ؕ/ٱلۡأٓخِرَةَۗ/al-akhirata//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "না//শোভা পায়//জন্যে নাবীর//যে//হবে//কাছে তার//কোনো বন্দি//যতক্ষণ না//(শত্রুবাহিনীকে)সম্পূর্ণরূপে নিঃশেষ করবে//উপর//জমিনের//তোমরা চাও//সম্পদ//পার্থিব//আর আল্লাহ//চান//আখেরাত//এবং আল্লাহ//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 1228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1228.mp3"
              ],
              "text": "لَّوْلَا كِتَٰبٌۭ مِّنَ ٱللَّهِ سَبَقَ لَمَسَّكُمْ فِيمَآ أَخَذْتُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "যদি একটি বিষয় না হত যা পূর্ব থেকেই আল্লাহ লিখে রেখেছেন, তাহলে তোমরা যা গ্রহণ করছ সেজন্য বিরাট আযাব এসে পৌছাত।",
              "numberInSurah": 68,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 154,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "লাও লা-কিতা-বুমমিনাল্লা-হি ছাবাকা লামাছছাকুমফীমাআখাযতুম‘আযা-বুন‘আজীম।",
              "words_arabic": "لَوْ لَا/لَّوۡلَا/lawla//كِتٰبٌ/كِتَٰبٞ/kitabun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//سَبَقَ/سَبَقَ/sabaqa//لَمَسَّكُمْ/لَمَسَّكُمۡ/lamassakum//فِیْمَاۤ/فِيمَآ/fima//اَخَذْتُمْ/أَخَذۡتُمۡ/akhadhtum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "যদি না//লিখিত বিধান (থাকতো)//পক্ষ থেকে//আল্লাহর//যা পূর্ব হতে নির্ধারিত হয়ে আছে//অবশ্যই তোমাদেরকে স্পর্শ করতো//তার জন্যে যা//তোমরা গ্রহণ করেছো//শাস্তি//কঠিন"
            },
            {
              "number": 1229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1229.mp3"
              ],
              "text": "فَكُلُوا۟ مِمَّا غَنِمْتُمْ حَلَٰلًۭا طَيِّبًۭا ۚ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "সুতরাং তোমরা খাও গনীমত হিসাবে তোমরা যে পরিচ্ছন্ন ও হালাল বস্তু অর্জন করেছ তা থেকে। আর আল্লাহকে ভয় করতে থাক। নিশ্চয়ই আল্লাহ ক্ষমাশীল, মেহেরবান।",
              "numberInSurah": 69,
              "juz": 10,
              "manzil": 2,
              "page": 185,
              "ruku": 154,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ফাকুলূমিম্মা-গনিমতুম হালা-লান তাইয়িবাওঁ ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "فَكُلُوْا/فَكُلُواْ/fakulu//مِمَّا/مِمَّا/mimma//غَنِمْتُمْ/غَنِمۡتُمۡ/ghanim'tum//حَلٰلًا/حَلَٰلٗا/halalan//طَیِّبًا ۖؗ/طَيِّبٗاۚ/tayyiban//وَّ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "অতএব তোমরা খাও//(তা) হতে যা//তোমরা গণীমত পেয়েছো//হালাল//পবিত্র (হিসেবে)//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1230.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّمَن فِىٓ أَيْدِيكُم مِّنَ ٱلْأَسْرَىٰٓ إِن يَعْلَمِ ٱللَّهُ فِى قُلُوبِكُمْ خَيْرًۭا يُؤْتِكُمْ خَيْرًۭا مِّمَّآ أُخِذَ مِنكُمْ وَيَغْفِرْ لَكُمْ ۗ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "হে নবী, তাদেরকে বলে দাও, যারা তোমার হাতে বন্দী হয়ে আছে যে, আল্লাহ যদি তোমাদের অন্তরে কোন রকম মঙ্গলচিন্তা রয়েছে বলে জানেন, তবে তোমাদেরকে তার চেয়ে বহুগুণ বেশী দান করবেন যা তোমাদের কাছ থেকে বিনিময়ে নেয়া হয়েছে। তাছাড়া তোমাদেরকে তিনি ক্ষমা করে দিবেন। বস্তুতঃ আল্লাহ ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 70,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুকুল লিমান ফীআইদীকুম মিনাল আছরা ইয়ঁইয়া‘লামিল্লা-হু ফী কুলূবিকুম খাইরাইঁ ইউ’তিকুম খাইরাম মিম্মা-উখিযা মিনকুম ওয়া ইয়াগফির লাকুম ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//قُلْ/قُل/qul//لِّمَنْ/لِّمَن/liman//فِیْۤ/فِيٓ/fi//اَیْدِیْكُمْ/أَيۡدِيكُم/aydikum//مِّنَ/مِّنَ/mina//الْاَسْرٰۤی ۙ/ٱلۡأَسۡرَىٰٓ/al-asra//اِنْ/إِن/in//یَّعْلَمِ/يَعۡلَمِ/ya'lami//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//قُلُوْبِكُمْ/قُلُوبِكُمۡ/qulubikum//خَیْرًا/خَيۡرٗا/khayran//یُّؤْتِكُمْ/يُؤۡتِكُمۡ/yu'tikum//خَیْرًا/خَيۡرٗا/khayran//مِّمَّاۤ/مِّمَّآ/mimma//اُخِذَ/أُخِذَ/ukhidha//مِنْكُمْ/مِنكُمۡ/minkum//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "হে//নাবী//বলো//উদ্দেশ্যে (তাদের) যারা//মধ্যে (আছে)//হাতে তোমাদের//মধ্য হতে//বন্দিদের//\"যদি//জানেন (দেখেন)//আল্লাহ//মধ্যে (আছে)//অন্তরের তোমাদের//কোনো কল্যাণ//তিনি দিবেন তোমাদের//উত্তম//(তা) হতেও যা//নেয়া হয়েছে//থেকে তোমাদের//ও ক্ষমা করবেন//প্রতি তোমাদের//এবং আল্লাহ//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 1231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1231.mp3"
              ],
              "text": "وَإِن يُرِيدُوا۟ خِيَانَتَكَ فَقَدْ خَانُوا۟ ٱللَّهَ مِن قَبْلُ فَأَمْكَنَ مِنْهُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ",
              "translate_bn": "আর যদি তারা তোমার সাথে প্রতারণা করতে চায়-বস্তুতঃ তারা আল্লাহর সাথেও ইতিপূর্বে প্রতারণা করেছে, অতঃপর তিনি তাদেরকে ধরিয়ে দিয়েছেন। আর আল্লাহ সর্ববিষয়ে পরিজ্ঞাত, সুকৌশলী।",
              "numberInSurah": 71,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইউরীদূখিয়া-নাতাকা ফাকাদ খা-নুল্লা-হা মিন কাবলুফাআমকানা মিনহুম ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یُّرِیْدُوْا/يُرِيدُواْ/yuridu//خِیَانَتَكَ/خِيَانَتَكَ/khiyanataka//فَقَدْ/فَقَدۡ/faqad//خَانُوا/خَانُواْ/khanu//اللّٰهَ/ٱللَّهَ/al-laha//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//فَاَمْكَنَ/فَأَمۡكَنَ/fa-amkana//مِنْهُمْ ؕ/مِنۡهُمۡۗ/min'hum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٌ/hakimun",
              "words_bangla": "এবং যদি//তারা চায়//তোমার সাথে বিশ্বাসভঙ্গ করতে//তবে নিশ্চয়ই//তারা বিশ্বাসভঙ্গ করেছে//আল্লাহর সাথে//থেকে//পূর্ব//অতঃপর শক্তিশালী করে দিয়েছেন//উপর তাদের  (তোমাদেরকে)//এবং আল্লাহ//সবকিছু জানেন//প্রজ্ঞাময়"
            },
            {
              "number": 1232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1232.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ وَٱلَّذِينَ ءَاوَوا۟ وَّنَصَرُوٓا۟ أُو۟لَٰٓئِكَ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍۢ ۚ وَٱلَّذِينَ ءَامَنُوا۟ وَلَمْ يُهَاجِرُوا۟ مَا لَكُم مِّن وَلَٰيَتِهِم مِّن شَىْءٍ حَتَّىٰ يُهَاجِرُوا۟ ۚ وَإِنِ ٱسْتَنصَرُوكُمْ فِى ٱلدِّينِ فَعَلَيْكُمُ ٱلنَّصْرُ إِلَّا عَلَىٰ قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَٰقٌۭ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "এতে কোন সন্দেহ নেই যে, যারা ঈমান এনেছে, দেশ ত্যাগ করেছে, স্বীয় জান ও মাল দ্বারা আল্লাহর রাহে জেহাদ করেছে এবং যারা তাদেরকে আশ্রয় ও সাহায্য সহায়তা দিয়েছে, তারা একে অপরের সহায়ক। আর যারা ঈমান এনেছে কিন্তু দেশ ত্যাগ করেনি তাদের বন্ধুত্বে তোমাদের প্রয়োজন নেই যতক্ষণ না তারা দেশত্যাগ করে। অবশ্য যদি তারা ধর্মীয় ব্যাপারে তোমাদের সহায়তা কামনা করে, তবে তাদের সাহায্য করা তোমাদের কর্তব্য। কিন্তু তোমাদের সাথে যাদের সহযোগী চুক্তি বিদ্যমান রয়েছে, তাদের মোকাবেলায় নয়। বস্তুতঃ তোমরা যা কিছু কর, আল্লাহ সেসবই দেখেন।",
              "numberInSurah": 72,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া হা-জারূ ওয়া জা-হাদূ বিআমওয়া-লিহিম ওয়া আনফুছিহিম ফী ছাবীলিল্লা-হি ওয়াল্লাযীনা আ-ওয়াওঁ ওয়া নাসারূউলাইকা বা‘দুহুম আওলিয়াউ বা‘দিওঁ ওয়াল্লাযীনা আ-মানূওয়া লাম ইউহা-জিরূমা-লাকুম মিওঁ ওয়ালা-ইয়াতিহিম মিন শাইয়িন হাত্তা-ইউহাজিরু ওয়া ইনিছ তানসারূকুম ফিদদীনি ফা‘আলাইকুমুন্নাসরু ইল্লা-‘আলা-কাওমিম বাইনাকুম ওয়াবাইনাহুম মীছা-কুওঁ ওয়াল্লা-হুবিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ هَاجَرُوْا/وَهَاجَرُواْ/wahajaru//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ/وَأَنفُسِهِمۡ/wa-anfusihim//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰوَوْا/ءَاوَواْ/awaw//وَّ نَصَرُوْۤا/وَّنَصَرُوٓاْ/wanasaru//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ لَمْ/وَلَمۡ/walam//یُهَاجِرُوْا/يُهَاجِرُواْ/yuhajiru//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//وَّلَایَتِهِمْ/وَلَٰيَتِهِم/walayatihim//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٍ/shayin//حَتّٰی/حَتَّىٰ/hatta//یُهَاجِرُوْا ۚ/يُهَاجِرُواْۚ/yuhajiru//وَ اِنِ/وَإِنِ/wa-ini//اسْتَنْصَرُوْكُمْ/ٱسۡتَنصَرُوكُمۡ/is'tansarukum//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//فَعَلَیْكُمُ/فَعَلَيۡكُمُ/fa'alaykumu//النَّصْرُ/ٱلنَّصۡرُ/al-nasru//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//قَوْمٍۭ/قَوۡمِۭ/qawmin//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَهُمْ/وَبَيۡنَهُم/wabaynahum//مِّیْثَاقٌ ؕ/مِّيثَٰقٞۗ/mithaqun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও হিজরত করেছে//ও জিহাদ করেছে//দিয়ে ধনসম্পদ তাদের//এবং প্রাণসমূহ তাদের (দিয়ে)//মধ্যে//পথের//আল্লাহর//ও যারা//আশ্রয় দিয়েছে//ও সাহায্য করেছে//ঐসবলোক//একে তাদের//বন্ধু//অপরের//এবং যারা//ঈমান এনেছে//কিন্তু নি//তারা হিজরত করে//নেই//জন্যে তোমাদের//থেকে//অভিভাবকের দায়-দায়িত্ত্ব তাদের//কোনো//কিছুই//যতক্ষণ না//তারা হিজরত করে//এবং যদি//তোমাদের কাছে তারা সাহায্য চায়//ব্যাপারে//দীনের//তবে তোমাদের দায়িত্ব//সাহায্য করা//ছাড়া//বিরুদ্ধে//কোনো জাতির//মাঝে তোমাদের//ও মাঝে তাদের//সন্ধিচুক্তি (থাকে)//এবং আল্লাহ//ঐ সম্বন্ধে যা//তোমরা কাজ করো//খুব ভালো করে দেখছেন"
            },
            {
              "number": 1233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1233.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۚ إِلَّا تَفْعَلُوهُ تَكُن فِتْنَةٌۭ فِى ٱلْأَرْضِ وَفَسَادٌۭ كَبِيرٌۭ",
              "translate_bn": "আর যারা কাফের তারা পারস্পরিক সহযোগী, বন্ধু। তোমরা যদি এমন ব্যবস্থা না কর, তবে দাঙ্গা-হাঙ্গামা বিস্তার লাভ করবে এবং দেশময় বড়ই অকল্যাণ হবে।",
              "numberInSurah": 73,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূবা‘দুহুম আওলিয়াউ বা‘দিন ইল্লা-তাফ‘আলূহু তাকুন ফিতনাতুন ফিল আরদিওয়া ফাছা-দুন কাবীর।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//بَعْضٍ ؕ/بَعۡضٍۚ/ba'din//اِلَّا/إِلَّا/illa//تَفْعَلُوْهُ/تَفۡعَلُوهُ/taf 'aluhu//تَكُنْ/تَكُن/takun//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ فَسَادٌ/وَفَسَادٞ/wafasadun//كَبِیْرٌؕ/كَبِيرٞ/kabirun",
              "words_bangla": "এবং যারা//অবিশ্বাস করেছে//একে তারা//বন্ধু//অপরের//যদি না//তোমরা করো তা//(তবে) হবে//ফিতনা//মধ্যে//পৃথিবীর//ও বিপর্যয়//বড়"
            },
            {
              "number": 1234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1234.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ وَٱلَّذِينَ ءَاوَوا۟ وَّنَصَرُوٓا۟ أُو۟لَٰٓئِكَ هُمُ ٱلْمُؤْمِنُونَ حَقًّۭا ۚ لَّهُم مَّغْفِرَةٌۭ وَرِزْقٌۭ كَرِيمٌۭ",
              "translate_bn": "আর যারা ঈমান এনেছে, নিজেদের ঘর-বাড়ী ছেড়েছে এবং আল্লাহর রাহে জেহাদ করেছে এবং যারা তাদেরকে আশ্রয় দিয়েছে, সাহায্য-সহায়তা করেছে, তাঁরা হলো সত্যিকার মুসলমান। তাঁদের জন্যে রয়েছে, ক্ষমা ও সম্মানজনক রুযী।",
              "numberInSurah": 74,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া হা-জারূওয়া জা-হাদূফী ছাবীলিল্লা-হি ওয়াল্লাযীনা আ-ওয়াওঁ ওয়া নাসারুউলাইকা হুমুল মু’মিনূনা হাক্কাল লাহুম মাগফিরাতুওঁ ওয়া রিঝকুন কারীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ هَاجَرُوْا/وَهَاجَرُواْ/wahajaru//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰوَوْا/ءَاوَواْ/awaw//وَّ نَصَرُوْۤا/وَّنَصَرُوٓاْ/wanasaru//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//حَقًّا ؕ/حَقّٗاۚ/haqqan//لَهُمْ/لَّهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ رِزْقٌ/وَرِزۡقٞ/wariz'qun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও হিজরত করেছে//ও জিহাদ করেছে//মধ্যে//পথের//আল্লাহর//এবং যারা//আশ্রয় দিয়েছে//ও সাহায্য করেছে//ঐসব লোক//তারাই//মু'মিন//প্রকৃত//জন্যে তাদের (রয়েছে)//ক্ষমা//ও জীবিকা//সম্মানজনক"
            },
            {
              "number": 1235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1235.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ مِنۢ بَعْدُ وَهَاجَرُوا۟ وَجَٰهَدُوا۟ مَعَكُمْ فَأُو۟لَٰٓئِكَ مِنكُمْ ۚ وَأُو۟لُوا۟ ٱلْأَرْحَامِ بَعْضُهُمْ أَوْلَىٰ بِبَعْضٍۢ فِى كِتَٰبِ ٱللَّهِ ۗ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌۢ",
              "translate_bn": "আর যারা ঈমান এনেছে পরবর্তী পর্যায়ে এবং ঘর-বাড়ী ছেড়েছে এবং তোমাদের সাথে সম্মিলিত হয়ে জেহাদ করেছে, তারাও তোমাদেরই অন্তর্ভুক্ত। বস্তুতঃ যারা আত্নীয়, আল্লাহর বিধান মতে তারা পরস্পর বেশী হকদার। নিশ্চয়ই আল্লাহ যাবতীয় বিষয়ে সক্ষম ও অবগত।",
              "numberInSurah": 75,
              "juz": 10,
              "manzil": 2,
              "page": 186,
              "ruku": 155,
              "hizbQuarter": 74,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূমিম বা‘দুওয়া হা-জারূওয়া জা-হাদূমা‘আকুম ফাউলাইকা মিনকুম ওয়া ঊলুল আরহা-মি বা‘দুহুম আওলাউ ব্বিা‘দিন ফী কিতা-বিল্লা-হি ইন্নাল্লাহা বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْۢ/مِنۢ/min//بَعْدُ/بَعۡدُ/ba'du//وَ هَاجَرُوْا/وَهَاجَرُواْ/wahajaru//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//مَعَكُمْ/مَعَكُمۡ/ma'akum//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//وَ اُولُوا/وَأُوْلُواْ/wa-ulu//الْاَرْحَامِ/ٱلۡأَرۡحَامِ/al-arhami//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلٰی/أَوۡلَىٰ/awla//بِبَعْضٍ/بِبَعۡضٖ/biba'din//فِیْ/فِي/fi//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ۠/عَلِيمُۢ/alimun",
              "words_bangla": "এবং যারা//ঈমান এনেছে//থেকে//পর//এবং হিজরত করেছে//ও জিহাদ করেছে//সাথে তোমাদের//তবে ঐসবলোকও//অন্তর্ভুক্ত তোমাদের//এবং সম্পন্নরা//গর্ভ//একে তাদের//অধিক অধিকারী//ক্ষেত্রে অপরের//অনুযায়ী//বিধান//আল্লাহর//নিশ্চয়ই//আল্লাহ//সম্পর্কে সব//কিছুরই//খুব অবহিত"
            }
          ]
        },
        {
          "number": 9,
          "name": "سُورَةُ التَّوۡبَةِ",
          "englishName": "At-Tawba",
          "englishNameTranslation": "The Repentance",
          "revelationType": "Medinan",
          "verse": 129,
          "words": 5169,
          "chars": 22679,
          "ayahs": [
            {
              "number": 1236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1236.mp3"
              ],
              "text": "بَرَآءَةٌۭ مِّنَ ٱللَّهِ وَرَسُولِهِۦٓ إِلَى ٱلَّذِينَ عَٰهَدتُّم مِّنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "সম্পর্কচ্ছেদ করা হল আল্লাহ ও তাঁর রসূলের পক্ষ থেকে সেই মুশরিকদের সাথে, যাদের সাথে তোমরা চুক্তিবদ্ধ হয়েছিলে।",
              "numberInSurah": 1,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "বারাআতুম মিনাল্লা-হি ওয়া রাছূলিহীইলাল্লাযীনা ‘আ-হাত্তুম মিনাল মুশরিকীন।",
              "words_arabic": "بَرَآءَةٌ/بَرَآءَةٞ/baraatun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖۤ/وَرَسُولِهِۦٓ/warasulihi//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عٰهَدْتُّمْ/عَٰهَدتُّم/ahadttum//مِّنَ/مِّنَ/mina//الْمُشْرِكِیْنَؕ/ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "সম্পর্কচ্ছেদ (ঘোষণা)//পক্ষ হতে//আল্লাহর//ও রাসূলের তাঁর//প্রতি//তাদের (যাদের সাথে)//চুক্তি করেছিলে তোমরা//মধ্য হতে//মুশরিকদের"
            },
            {
              "number": 1237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1237.mp3"
              ],
              "text": "فَسِيحُوا۟ فِى ٱلْأَرْضِ أَرْبَعَةَ أَشْهُرٍۢ وَٱعْلَمُوٓا۟ أَنَّكُمْ غَيْرُ مُعْجِزِى ٱللَّهِ ۙ وَأَنَّ ٱللَّهَ مُخْزِى ٱلْكَٰفِرِينَ",
              "translate_bn": "অতঃপর তোমরা পরিভ্রমণ কর এ দেশে চার মাসকাল। আর জেনে রেখো, তোমরা আল্লাহকে পরাভূত করতে পারবে না, আর নিশ্চয়ই আল্লাহ কাফেরদিগকে লাঞ্ছিত করে থাকেন।",
              "numberInSurah": 2,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ফাছীহূফিল আরদিআরবা‘আতা আশহুরিওঁ ওয়া‘লামূআন্নাকুম গাইরু মু‘জিঝিল্লা-হি ওয়া আন্নাল্লা-হা মুখঝিল কা-ফিরীন।",
              "words_arabic": "فَسِیْحُوْا/فَسِيحُواْ/fasihu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَرْبَعَةَ/أَرۡبَعَةَ/arba'ata//اَشْهُرٍ/أَشۡهُرٖ/ashhurin//وَّ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّكُمْ/أَنَّكُمۡ/annakum//غَیْرُ/غَيۡرُ/ghayru//مُعْجِزِی/مُعۡجِزِي/mu'jizi//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//مُخْزِی/مُخۡزِي/mukh'zi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "অতএব তোমরা চলাচল করো//মধ্যে//দেশের//চার//মাস (পর্যন্ত)//ও তোমরা জেনে রাখো//যে তোমরা//নও//অক্ষমকারী//আল্লাহকে//ও নিশ্চয়ই//আল্লাহ//লাঞ্ছনাকারী//কাফেরদেরকে"
            },
            {
              "number": 1238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1238.mp3"
              ],
              "text": "وَأَذَٰنٌۭ مِّنَ ٱللَّهِ وَرَسُولِهِۦٓ إِلَى ٱلنَّاسِ يَوْمَ ٱلْحَجِّ ٱلْأَكْبَرِ أَنَّ ٱللَّهَ بَرِىٓءٌۭ مِّنَ ٱلْمُشْرِكِينَ ۙ وَرَسُولُهُۥ ۚ فَإِن تُبْتُمْ فَهُوَ خَيْرٌۭ لَّكُمْ ۖ وَإِن تَوَلَّيْتُمْ فَٱعْلَمُوٓا۟ أَنَّكُمْ غَيْرُ مُعْجِزِى ٱللَّهِ ۗ وَبَشِّرِ ٱلَّذِينَ كَفَرُوا۟ بِعَذَابٍ أَلِيمٍ",
              "translate_bn": "আর মহান হজ্বের দিনে আল্লাহ ও তাঁর রসূলের পক্ষ থেকে লোকদের প্রতি ঘোষণা করে দেয়া হচ্ছে যে, আল্লাহ মুশরেকদের থেকে দায়িত্ব মুক্ত এবং তাঁর রসূলও। অবশ্য যদি তোমরা তওবা কর, তবে তা, তোমাদের জন্যেও কল্যাণকর, আর যদি মুখ ফেরাও, তবে জেনে রেখো, আল্লাহকে তোমরা পরাভূত করতে পারবে না। আর কাফেরদেরকে মর্মান্তিক শাস্তির সুসংবাদ দাও।",
              "numberInSurah": 3,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ওয়া আযা-নুম মিনাল্লা-হি ওয়া রাছূলিহীইলান্না-ছি ইয়াওমাল হাজ্জিল আকবারি আন্নাল্লাহা বারী-উম মিনাল মুশরিকীনা ওয়া রাছূলুহূ ফাইন তুবতুম ফাহুওয়া খাইরুল্লাকুম ওয়া ইন তাওয়াল্লাইতুম ফা‘লামূআন্নাকুম গাইরু মু‘জিঝিল্লা-হি ওয়া বাশশিরিল্লাযীনা কাফারূবি‘আযা-বিন আলীম।",
              "words_arabic": "وَ اَذَانٌ/وَأَذَٰنٞ/wa-adhanun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖۤ/وَرَسُولِهِۦٓ/warasulihi//اِلَی/إِلَى/ila//النَّاسِ/ٱلنَّاسِ/al-nasi//یَوْمَ/يَوۡمَ/yawma//الْحَجِّ/ٱلۡحَجِّ/al-haji//الْاَكْبَرِ/ٱلۡأَكۡبَرِ/al-akbari//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّنَ/مِّنَ/mina//الْمُشْرِكِیْنَ ۙ۬/ٱلۡمُشۡرِكِينَ/al-mush'rikina//وَ رَسُوْلُهٗ ؕ/وَرَسُولُهُۥۚ/warasuluhu//فَاِنْ/فَإِن/fa-in//تُبْتُمْ/تُبۡتُمۡ/tub'tum//فَهُوَ/فَهُوَ/fahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//وَ اِنْ/وَإِن/wa-in//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّكُمْ/أَنَّكُمۡ/annakum//غَیْرُ/غَيۡرُ/ghayru//مُعْجِزِی/مُعۡجِزِي/mu'jizi//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍۙ/أَلِيمٍ/alimin",
              "words_bangla": "এবং সাধারণ ঘোষণা//পক্ষ হতে//আল্লাহর//এবং রাসূলের তাঁর//প্রতি//জনসাধারণের//দিনে//হজ্জের//মহান//যে//আল্লাহ//দায়মুক্ত//থেকে//মুশরিকদের//এবং রাসূলও তাঁর (দ্বায়িত্বমুক্ত)//অতএব যদি//তোমরা তাওবা করো//তবে তা//উত্তম//জন্যে তোমাদের//আর যদি//ফিরে যাও তোমরা//তবে তোমরা জেনে রাখো//যে তোমরা//নও//অক্ষমকারী//আল্লাহকে//এবং সুসংবাদ দাও//(তাদেরকে) যারা//অস্বীকার করেছে//সম্পর্কে শাস্তির//নিদারুণ"
            },
            {
              "number": 1239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1239.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ عَٰهَدتُّم مِّنَ ٱلْمُشْرِكِينَ ثُمَّ لَمْ يَنقُصُوكُمْ شَيْـًۭٔا وَلَمْ يُظَٰهِرُوا۟ عَلَيْكُمْ أَحَدًۭا فَأَتِمُّوٓا۟ إِلَيْهِمْ عَهْدَهُمْ إِلَىٰ مُدَّتِهِمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ",
              "translate_bn": "তবে যে মুশরিকদের সাথে তোমরা চুক্তি বদ্ধ, অতপরঃ যারা তোমাদের ব্যাপারে কোন ত্রুটি করেনি এবং তোমাদের বিরুদ্ধে কাউকে সাহায্যও করেনি, তাদের সাথে কৃত চুক্তিকে তাদের দেয়া মেয়াদ পর্যন্ত পূরণ কর। অবশ্যই আল্লাহ সাবধানীদের পছন্দ করেন।",
              "numberInSurah": 4,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ইল্লাযীনা ‘আ-হাত্তুম মিনাল মুশরিকীনা ছুম্মা লাম ইয়ানকুসূকুম শাইআওঁ ওয়া লাম ইউজাহিরূ‘আলাইকুম আহাদান ফাআতিম্মূ ইলাইহিম ‘আহদাহুম ইলা-মুদ্দাতিহিম ইন্নাল্লা-হা ইউহিব্বুল মুত্তাকীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عٰهَدْتُّمْ/عَٰهَدتُّم/ahadttum//مِّنَ/مِّنَ/mina//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//یَنْقُصُوْكُمْ/يَنقُصُوكُمۡ/yanqusukum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَمْ/وَلَمۡ/walam//یُظَاهِرُوْا/يُظَٰهِرُواْ/yuzahiru//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَحَدًا/أَحَدٗا/ahadan//فَاَتِمُّوْۤا/فَأَتِمُّوٓاْ/fa-atimmu//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//عَهْدَهُمْ/عَهۡدَهُمۡ/ahdahum//اِلٰی/إِلَىٰ/ila//مُدَّتِهِمْ ؕ/مُدَّتِهِمۡۚ/muddatihim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "তবে//যাদের (সাথে)//চুক্তি করেছো তোমরা//মধ্য হতে//মুশরিকদের//এরপর//নি//তোমাদের সাথে ত্রুটি করে(চুক্তি রক্ষায়)//কিছুমাত্র//এবং নি//তারা সাহায্য করে//বিরুদ্ধে তোমাদের//কাউকে//তাহ'লে তোমরা পূর্ণ করো//সাথে তাদের//চুক্তি তাদের//পর্যন্ত//মেয়াদ তাদের//নিশ্চয়ই//আল্লাহ//ভালোবাসেন//মুত্তাকীদেরকে"
            },
            {
              "number": 1240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1240.mp3"
              ],
              "text": "فَإِذَا ٱنسَلَخَ ٱلْأَشْهُرُ ٱلْحُرُمُ فَٱقْتُلُوا۟ ٱلْمُشْرِكِينَ حَيْثُ وَجَدتُّمُوهُمْ وَخُذُوهُمْ وَٱحْصُرُوهُمْ وَٱقْعُدُوا۟ لَهُمْ كُلَّ مَرْصَدٍۢ ۚ فَإِن تَابُوا۟ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ فَخَلُّوا۟ سَبِيلَهُمْ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "অতঃপর নিষিদ্ধ মাস অতিবাহিত হলে মুশরিকদের হত্যা কর যেখানে তাদের পাও, তাদের বন্দী কর এবং অবরোধ কর। আর প্রত্যেক ঘাঁটিতে তাদের সন্ধানে ওঁৎ পেতে বসে থাক। কিন্তু যদি তারা তওবা করে, নামায কায়েম করে, যাকাত আদায় করে, তবে তাদের পথ ছেড়ে দাও। নিশ্চয় আল্লাহ অতি ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 5,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ফাইযানছালাখাল আশহুরুল হুরুমুফাকতুলুল মুশরিকীনা হাইছুওয়াজাত্তুমূহুম ওয়া খুযূহুম ওয়াহসুরূহুম ওয়াক‘উদূলাহুম কুল্লা মারসাদিন ফাইন তা-বূওয়া আকা-মুসসলা-তা ওয়া আ-তাউঝঝাকাতা ফাখাললূছাবীলাহুম ইন্নাল্লা-হা গাফুরুর রাহীম।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//انْسَلَخَ/ٱنسَلَخَ/insalakha//الْاَشْهُرُ/ٱلۡأَشۡهُرُ/al-ashhuru//الْحُرُمُ/ٱلۡحُرُمُ/al-hurumu//فَاقْتُلُوا/فَٱقۡتُلُواْ/fa-uq'tulu//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//حَیْثُ/حَيۡثُ/haythu//وَجَدْتُّمُوْهُمْ/وَجَدتُّمُوهُمۡ/wajadttumuhum//وَ خُذُوْهُمْ/وَخُذُوهُمۡ/wakhudhuhum//وَ احْصُرُوْهُمْ/وَٱحۡصُرُوهُمۡ/wa-uh'suruhum//وَ اقْعُدُوْا/وَٱقۡعُدُواْ/wa-uq'udu//لَهُمْ/لَهُمۡ/lahum//كُلَّ/كُلَّ/kulla//مَرْصَدٍ ۚ/مَرۡصَدٖۚ/marsadin//فَاِنْ/فَإِن/fa-in//تَابُوْا/تَابُواْ/tabu//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَوُا/وَءَاتَوُاْ/waatawu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//فَخَلُّوْا/فَخَلُّواْ/fakhallu//سَبِیْلَهُمْ ؕ/سَبِيلَهُمۡۚ/sabilahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "অতঃপর যখন//অতিবাহিত হয়//মাসসমূহ//নিষিদ্ধ//তখন তোমরা হত্যা করো//মুশরিকদেরকে//যেখানে//তোমরা পাও তাদেরকে//ও তোমরা ধরো তাদেরকে//ও তোমরা অবরোধ করো তাদেরকে//এবং তোমরা বসো//জন্যে তাদের//প্রত্যেক//ঘাঁটিতে//অতঃপর যদি//তারা তওবা করে//ও তারা প্রতিষ্ঠা করে//সালাত//ও তারা দেয়//যাকাত//তবে তোমরা ছেড়ে দাও//রাস্তা তাদের//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1241.mp3"
              ],
              "text": "وَإِنْ أَحَدٌۭ مِّنَ ٱلْمُشْرِكِينَ ٱسْتَجَارَكَ فَأَجِرْهُ حَتَّىٰ يَسْمَعَ كَلَٰمَ ٱللَّهِ ثُمَّ أَبْلِغْهُ مَأْمَنَهُۥ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌۭ لَّا يَعْلَمُونَ",
              "translate_bn": "আর মুশরিকদের কেউ যদি তোমার কাছে আশ্রয় প্রার্থনা করে, তবে তাকে আশ্রয় দেবে, যাতে সে আল্লাহর কালাম শুনতে পায়, অতঃপর তাকে তার নিরাপদ স্থানে পৌছে দেবে। এটি এজন্যে যে এরা জ্ঞান রাখে না।",
              "numberInSurah": 6,
              "juz": 10,
              "manzil": 2,
              "page": 187,
              "ruku": 156,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন আহাদুম মিনাল মুশরিকীনাছ তাজা-রাকা ফাআজিরহু হাত্তা-ইয়াছমা‘আ কালামাল্লা-হি ছুম্মা আবলিগহু মা’মানাহূ যা-লিকা বিআন্নাহুম কাওমুল লা-ইয়া‘লামূন।",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//اَحَدٌ/أَحَدٞ/ahadun//مِّنَ/مِّنَ/mina//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//اسْتَجَارَكَ/ٱسۡتَجَارَكَ/is'tajaraka//فَاَجِرْهُ/فَأَجِرۡهُ/fa-ajir'hu//حَتّٰی/حَتَّىٰ/hatta//یَسْمَعَ/يَسۡمَعَ/yasma'a//كَلٰمَ/كَلَٰمَ/kalama//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//اَبْلِغْهُ/أَبۡلِغۡهُ/abligh'hu//مَاْمَنَهٗ ؕ/مَأۡمَنَهُۥۚ/mamanahu//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যদি//কেউ//মধ্য হতে//মুশরিকদের//তোমার আশ্রয় চায়//তবে তাকে আশ্রয় দাও//যতক্ষণ না//সে শুনে//বাণী//আল্লাহর//এরপর//তাকে পৌঁছাও//নিরাপদ স্থানে তার//এটা//এজন্যে যে তারা//(এমন)সম্প্রদায়//না//তারা জানে"
            },
            {
              "number": 1242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1242.mp3"
              ],
              "text": "كَيْفَ يَكُونُ لِلْمُشْرِكِينَ عَهْدٌ عِندَ ٱللَّهِ وَعِندَ رَسُولِهِۦٓ إِلَّا ٱلَّذِينَ عَٰهَدتُّمْ عِندَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۖ فَمَا ٱسْتَقَٰمُوا۟ لَكُمْ فَٱسْتَقِيمُوا۟ لَهُمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ",
              "translate_bn": "মুশরিকদের চুক্তি আল্লাহর নিকট ও তাঁর রসূলের নিকট কিরূপে বলবৎ থাকবে। তবে যাদের সাথে তোমরা চুক্তি সম্পাদন করেছ মসজিদুল-হারামের নিকট। অতএব, যে পর্যন্ত তারা তোমাদের জন্যে সরল থাকে, তোমরাও তাদের জন্য সরল থাক। নিঃসন্দেহের আল্লাহ সাবধানীদের পছন্দ করেন।",
              "numberInSurah": 7,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "কাইফা ইয়াকূনুলিলমুশরিকীনা ‘আহদুন ‘ইনদাল্লা-হি ওয়া ‘ইনদা রাছূলিহীইল্লাল্লাযীনা ‘আহাত্তুম ‘ইনদাল মাছজিদিল হারা-মি ফামাছতাকা-মূলাকুম ফাছতাকীমূলাহুম ইন্নাল্লা-হা ইউহিব্বুল মুত্তাকীন।",
              "words_arabic": "كَیْفَ/كَيۡفَ/kayfa//یَكُوْنُ/يَكُونُ/yakunu//لِلْمُشْرِكِیْنَ/لِلۡمُشۡرِكِينَ/lil'mush'rikina//عَهْدٌ/عَهۡدٌ/ahdun//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عِنْدَ/وَعِندَ/wa'inda//رَسُوْلِهٖۤ/رَسُولِهِۦٓ/rasulihi//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عٰهَدْتُّمْ/عَٰهَدتُّمۡ/ahadttum//عِنْدَ/عِندَ/inda//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ ۚ/ٱلۡحَرَامِۖ/al-harami//فَمَا/فَمَا/fama//اسْتَقَامُوْا/ٱسۡتَقَٰمُواْ/is'taqamu//لَكُمْ/لَكُمۡ/lakum//فَاسْتَقِیْمُوْا/فَٱسۡتَقِيمُواْ/fa-is'taqimu//لَهُمْ ؕ/لَهُمۡۚ/lahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "কেমন করে//(বহাল) থাকবে//জন্যে মুশরিকদের//চুক্তি//কাছে//আল্লাহর//ও কাছে//রাসূলের তাঁর//এ ছাড়া//যাদের (সাথে)//তোমরা চুক্তি করেছো//কাছে//মাসজিদে//হারামের//তাই যতক্ষণ//তারা স্হির থাকে//জন্যে তোমাদের//অতঃপর তোমরাও স্হির থাকো//জন্যে তাদের//নিশ্চয়ই//আল্লাহ//ভালোবাসেন//মুত্তাকীদের"
            },
            {
              "number": 1243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1243.mp3"
              ],
              "text": "كَيْفَ وَإِن يَظْهَرُوا۟ عَلَيْكُمْ لَا يَرْقُبُوا۟ فِيكُمْ إِلًّۭا وَلَا ذِمَّةًۭ ۚ يُرْضُونَكُم بِأَفْوَٰهِهِمْ وَتَأْبَىٰ قُلُوبُهُمْ وَأَكْثَرُهُمْ فَٰسِقُونَ",
              "translate_bn": "কিরূপে? তারা তোমাদের উপর জয়ী হলে তোমাদের আত্নীয়তার ও অঙ্গীকারের কোন মর্যাদা দেবে না। তারা মুখে তোমাদের সন্তুষ্ট করে, কিন্তু তাদের অন্তরসমূহ তা অস্বীকার করে, আর তাদের অধিকাংশ প্রতিশ্রুতি ভঙ্গকারী।",
              "numberInSurah": 8,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "কাইফা ওয়া ইয়ঁইয়াজহারূ‘আলাইকুম লা-ইয়ারকুবূফীকুম ইল্লাওঁ ওয়ালা-যিম্মাতাইঁ ইউরদূ নাকুম বিআফওয়া-হিহিম ওয়া তা’বা-কুলূবুহুম ওয়া আকছারুহুম ফা-ছিকূন।",
              "words_arabic": "كَیْفَ/كَيۡفَ/kayfa//وَ اِنْ/وَإِن/wa-in//یَّظْهَرُوْا/يَظۡهَرُواْ/yazharu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لَا/لَا/la//یَرْقُبُوْا/يَرۡقُبُواْ/yarqubu//فِیْكُمْ/فِيكُمۡ/fikum//اِلًّا/إِلّٗا/illan//وَّ لَا/وَلَا/wala//ذِمَّةً ؕ/ذِمَّةٗۚ/dhimmatan//یُرْضُوْنَكُمْ/يُرۡضُونَكُم/yur'dunakum//بِاَفْوَاهِهِمْ/بِأَفۡوَٰهِهِمۡ/bi-afwahihim//وَ تَاْبٰی/وَتَأۡبَىٰ/wataba//قُلُوْبُهُمْ ۚ/قُلُوبُهُمۡ/qulubuhum//وَ اَكْثَرُهُمْ/وَأَكۡثَرُهُمۡ/wa-aktharuhum//فٰسِقُوْنَۚ/فَٰسِقُونَ/fasiquna",
              "words_bangla": "কেমন করে (চুক্তি বহাল) থাকবে//অথচ যদি//তারা বিজয়ী হয়//উপর তোমাদের//না//তারা সম্মান করে//ব্যাপারে তোমাদের//আত্মীয়তার//আর না//প্রতিশ্রুতির (দায়িত্ব)//খুশী করে তোমাদের//দিয়ে মুখের কথা তাদের//ও অস্বীকার করে//অন্তর তাদের//এবং অধিকাংশই তাদের//সত্যত্যাগী"
            },
            {
              "number": 1244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1244.mp3"
              ],
              "text": "ٱشْتَرَوْا۟ بِـَٔايَٰتِ ٱللَّهِ ثَمَنًۭا قَلِيلًۭا فَصَدُّوا۟ عَن سَبِيلِهِۦٓ ۚ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তারা আল্লাহর আয়াত সমূহ নগন্য মুল্যে বিক্রয় করে, অতঃপর লোকদের নিবৃত রাখে তাঁর পথ থেকে, তারা যা করে চলছে, তা অতি নিকৃষ্ট।",
              "numberInSurah": 9,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ইশতারাও বিআ-য়া-তিল্লা-হি ছামানান কালীলান ফাসাদ্দূ‘আন ছাবীলিহী ইন্নাহুম ছাআ মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "اِشْتَرَوْا/ٱشۡتَرَوۡاْ/ish'taraw//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا/قَلِيلٗا/qalilan//فَصَدُّوْا/فَصَدُّواْ/fasaddu//عَنْ/عَن/an//سَبِیْلِهٖ ؕ/سَبِيلِهِۦٓۚ/sabilihi//اِنَّهُمْ/إِنَّهُمۡ/innahum//سَآءَ/سَآءَ/saa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "তারা কিনেছে//বিনিময়ে আয়াতের//আল্লাহর//মূল্য//সামান্য//অতঃপর তারা বাধা দেয় (লোকদেরকে)//হতে//তাঁর পথ//নিশ্চয়ই তারা//অতি নিকৃষ্ট//যা//তারা ছিলো//তারা কাজ করে আসছে"
            },
            {
              "number": 1245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1245.mp3"
              ],
              "text": "لَا يَرْقُبُونَ فِى مُؤْمِنٍ إِلًّۭا وَلَا ذِمَّةًۭ ۚ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُعْتَدُونَ",
              "translate_bn": "তারা মর্যাদা দেয় না কোন মুসলমানের ক্ষেত্রে আত্নীয়তার, আর না অঙ্গীকারের। আর তারাই সীমালংঘনকারী।",
              "numberInSurah": 10,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়ারকুবূনা ফী মু’মিনিন ইল্লাওঁ ওয়ালা-যিম্মাতাওঁ ওয়া উলাইকা হুমুল মু‘তাদুন।",
              "words_arabic": "لَا/لَا/la//یَرْقُبُوْنَ/يَرۡقُبُونَ/yarqubuna//فِیْ/فِي/fi//مُؤْمِنٍ/مُؤۡمِنٍ/mu'minin//اِلًّا/إِلّٗا/illan//وَّ لَا/وَلَا/wala//ذِمَّةً ؕ/ذِمَّةٗۚ/dhimmatan//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُعْتَدُوْنَ /ٱلۡمُعۡتَدُونَ/al-mu'taduna",
              "words_bangla": "না//তারা সম্মান করে//ব্যাপারে//মু'মিনের//আত্মীয়তার//আর না//প্রতিশ্রুতির (দায়িত্ব)//এবং ঐসব লোক//তারা//সীমালঙ্ঘনকারী"
            },
            {
              "number": 1246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1246.mp3"
              ],
              "text": "فَإِن تَابُوا۟ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ فَإِخْوَٰنُكُمْ فِى ٱلدِّينِ ۗ وَنُفَصِّلُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "অবশ্য তারা যদি তওবা করে, নামায কায়েম করে আর যাকাত আদায় করে, তবে তারা তোমাদের দ্বীনী ভাই। আর আমি বিধানসমূহে জ্ঞানী লোকদের জন্যে সর্বস্তরে র্বণনা করে থাকি।",
              "numberInSurah": 11,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ফাইন তা-বূওয়া আকা-মুস সালা-তা ওয়া আ-তাউঝঝাকা-তা ফাইখওয়া-নুকুম ফিদদীনি ওয়ানুফাসসিলুল আ-য়া-তি লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَابُوْا/تَابُواْ/tabu//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَوُا/وَءَاتَوُاْ/waatawu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//فَاِخْوَانُكُمْ/فَإِخۡوَٰنُكُمۡ/fa-ikh'wanukum//فِی/فِي/fi//الدِّیْنِ ؕ/ٱلدِّينِۗ/al-dini//وَ نُفَصِّلُ/وَنُفَصِّلُ/wanufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতঃপর যদি//তারা তওবা করে//ও প্রতিষ্ঠা করে//সালাত//ও আদায় করে//যাকাত//তবে ভাই তোমাদের//ভিত্তিতে//দীনের//এবং বিস্তারিত বর্ণনা করছি আমরা//বিধানাবলী//জন্যে সম্প্রদায়ের//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 1247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1247.mp3"
              ],
              "text": "وَإِن نَّكَثُوٓا۟ أَيْمَٰنَهُم مِّنۢ بَعْدِ عَهْدِهِمْ وَطَعَنُوا۟ فِى دِينِكُمْ فَقَٰتِلُوٓا۟ أَئِمَّةَ ٱلْكُفْرِ ۙ إِنَّهُمْ لَآ أَيْمَٰنَ لَهُمْ لَعَلَّهُمْ يَنتَهُونَ",
              "translate_bn": "আর যদি ভঙ্গ করে তারা তাদের শপথ প্রতিশ্রুতির পর এবং বিদ্রুপ করে তোমাদের দ্বীন সম্পর্কে, তবে কুফর প্রধানদের সাথে যুদ্ধ কর। কারণ, এদের কেন শপথ নেই যাতে তারা ফিরে আসে।",
              "numberInSurah": 12,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন নাকাছূদ্মআইমা-নাহুম মিম বা‘দি ‘আহদিহিম ওয়া তা‘আনূফী দীনিকুম ফাকাতিলূআইম্মাতাল কুফরি ইন্নাহুম লা-আইমা-না লাহুম লা‘আল্লাহুম ইয়ানতাহূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//نَّكَثُوْۤا/نَّكَثُوٓاْ/nakathu//اَیْمَانَهُمْ/أَيۡمَٰنَهُم/aymanahum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//عَهْدِهِمْ/عَهۡدِهِمۡ/ahdihim//وَ طَعَنُوْا/وَطَعَنُواْ/wata'anu//فِیْ/فِي/fi//دِیْنِكُمْ/دِينِكُمۡ/dinikum//فَقَاتِلُوْۤا/فَقَٰتِلُوٓاْ/faqatilu//اَىِٕمَّةَ/أَئِمَّةَ/a-immata//الْكُفْرِ ۙ/ٱلۡكُفۡرِ/al-kuf'ri//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَاۤ/لَآ/la//اَیْمَانَ/أَيۡمَٰنَ/aymana//لَهُمْ/لَهُمۡ/lahum//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَنْتَهُوْنَ /يَنتَهُونَ/yantahuna",
              "words_bangla": "আর যদি//তারা ভঙ্গ করে//শপথ তাদের//থেকে//পর//চুক্তির তাদের//ও বিদ্রূপ করে//সম্পর্কে//দীনের তোমাদের//তখন তোমরা লড়াই করো//নেতৃবৃন্দের (বিরুদ্ধে)//অবিশ্বাসের//নিশ্চয়ই তারা (এমন যে)//নেই(বিশ্বাস)//শপথ//কাছে তাদের//(এরূপ আচরণে)সম্ভবতঃ তারা//বিরত হবে"
            },
            {
              "number": 1248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1248.mp3"
              ],
              "text": "أَلَا تُقَٰتِلُونَ قَوْمًۭا نَّكَثُوٓا۟ أَيْمَٰنَهُمْ وَهَمُّوا۟ بِإِخْرَاجِ ٱلرَّسُولِ وَهُم بَدَءُوكُمْ أَوَّلَ مَرَّةٍ ۚ أَتَخْشَوْنَهُمْ ۚ فَٱللَّهُ أَحَقُّ أَن تَخْشَوْهُ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "তোমরা কি সেই দলের সাথে যুদ্ধ করবে না; যারা ভঙ্গ করেছে নিজেদের শপথ এবং সঙ্কল্প নিয়েছে রসূলকে বহিস্কারের? আর এরাই প্রথম তোমাদের সাথে বিবাদের সূত্রপাত করেছে। তোমরা কি তাদের ভয় কর? অথচ তোমাদের ভয়ের অধিকতর যোগ্য হলেন আল্লাহ, যদি তোমরা মুমিন হও।",
              "numberInSurah": 13,
              "juz": 10,
              "manzil": 2,
              "page": 188,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "আলা-তুকা-তিলূনা কাওমান্নাকাছুদ্মআইমা-নাহুম ওয়া হাম্মূবিইখরা-জির রাছূলি ওয়া হুম বাদাউকুম আওওয়ালা মাররাতিন আতাখশাওনাহুম ফাল্লা-হু আহাক্কুআনতাখশাওহু ইন কুনতুম মু’মিনীন।",
              "words_arabic": "اَلَا/أَلَا/ala//تُقَاتِلُوْنَ/تُقَٰتِلُونَ/tuqatiluna//قَوْمًا/قَوۡمٗا/qawman//نَّكَثُوْۤا/نَّكَثُوٓاْ/nakathu//اَیْمَانَهُمْ/أَيۡمَٰنَهُمۡ/aymanahum//وَ هَمُّوْا/وَهَمُّواْ/wahammu//بِاِخْرَاجِ/بِإِخۡرَاجِ/bi-ikh'raji//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//وَ هُمْ/وَهُم/wahum//بَدَءُوْكُمْ/بَدَءُوكُمۡ/badaukum//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ ؕ/مَرَّةٍۚ/marratin//اَتَخْشَوْنَهُمْ ۚ/أَتَخۡشَوۡنَهُمۡۚ/atakhshawnahum//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//اَحَقُّ/أَحَقُّ/ahaqqu//اَنْ/أَن/an//تَخْشَوْهُ/تَخۡشَوۡهُ/takhshawhu//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "কি না//তোমরা যুদ্ধ করবে//সম্প্রদায়ের(বিরুদ্ধে)//(যারা) ভঙ্গ করেছে//শপথ তাদের//এবং সংকল্প করেছিলো//ব্যাপারে বহিষ্কার করার//রাসূলকে//ও তারা//তোমাদের সাথে শুরু করেছিলো (বাড়াবাড়ি)//প্রথম//বারেই//কি তোমরা ভয় করো তাদেরকে//অথচ আল্লাহই//অধিক অধিকারী//যে//তোমরা ভয় করো তাঁকে//যদি//হয়ে থাকো তোমরা//মু'মিন"
            },
            {
              "number": 1249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1249.mp3"
              ],
              "text": "قَٰتِلُوهُمْ يُعَذِّبْهُمُ ٱللَّهُ بِأَيْدِيكُمْ وَيُخْزِهِمْ وَيَنصُرْكُمْ عَلَيْهِمْ وَيَشْفِ صُدُورَ قَوْمٍۢ مُّؤْمِنِينَ",
              "translate_bn": "যুদ্ধ কর ওদের সাথে, আল্লাহ তোমাদের হস্তে তাদের শাস্তি দেবেন। তাদের লাঞ্ছিত করবেন, তাদের বিরুদ্ধে তোমাদের জয়ী করবেন এবং মুসলমানদের অন্তরসমূহ শান্ত করবেন।",
              "numberInSurah": 14,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "কা-তিলূহুম ইউ‘আযযিবহুমুল্লা-হু বিআইদীকুম ওয়া ইউখঝিহিম ওয়াইয়ানসুরকুম‘আলাইহিম ওয়া ইয়াশফি সুদূরা কাওমিম মু’মিনীন।",
              "words_arabic": "قَاتِلُوْهُمْ/قَٰتِلُوهُمۡ/qatiluhum//یُعَذِّبْهُمُ/يُعَذِّبۡهُمُ/yu'adhib'humu//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَیْدِیْكُمْ/بِأَيۡدِيكُمۡ/bi-aydikum//وَ یُخْزِهِمْ/وَيُخۡزِهِمۡ/wayukh'zihim//وَ یَنْصُرْكُمْ/وَيَنصُرۡكُمۡ/wayansur'kum//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ یَشْفِ/وَيَشۡفِ/wayashfi//صُدُوْرَ/صُدُورَ/sudura//قَوْمٍ/قَوۡمٖ/qawmin//مُّؤْمِنِیْنَۙ/مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "তাদের বিরুদ্ধে লড়াই করো//শাস্তি দিবেন তাদেরকে//আল্লাহ//দিয়ে হাত তোমাদের//এবং লাঞ্ছিত করবেন তাদেরকে//এবং সাহায্য করবেন তোমাদেরকে//বিরুদ্ধে তাদের//ও আরোগ্য করবেন//অন্তরসমুহকে//সম্প্রদায়ের//(যারা)মু'মিন"
            },
            {
              "number": 1250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1250.mp3"
              ],
              "text": "وَيُذْهِبْ غَيْظَ قُلُوبِهِمْ ۗ وَيَتُوبُ ٱللَّهُ عَلَىٰ مَن يَشَآءُ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ",
              "translate_bn": "এবং তাদের মনের ক্ষোভ দূর করবেন। আর আল্লাহ যার প্রতি ইচ্ছা ক্ষমাশীল হবে, আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 15,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউযহিব গাইজা কুলূবিহিম ওয়া ইয়াতূবুল্লা-হু ‘আলা-মাইঁ ইয়াশাউ ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ یُذْهِبْ/وَيُذۡهِبۡ/wayudh'hib//غَیْظَ/غَيۡظَ/ghayza//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۗ/qulubihim//وَ یَتُوْبُ/وَيَتُوبُ/wayatubu//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٌ/hakimun",
              "words_bangla": "এবং দূর করবেন তিনি//ক্ষোভ (জ্বালা)//অন্তরসমূহের তাদের//ও তওবা কবুল করবেন//আল্লাহ//(তাদের) প্রতি//যাদেরকে//তিনি ইচ্ছে করবেন//এবং আল্লাহ//সর্বজ্ঞ//সুবিজ্ঞ"
            },
            {
              "number": 1251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1251.mp3"
              ],
              "text": "أَمْ حَسِبْتُمْ أَن تُتْرَكُوا۟ وَلَمَّا يَعْلَمِ ٱللَّهُ ٱلَّذِينَ جَٰهَدُوا۟ مِنكُمْ وَلَمْ يَتَّخِذُوا۟ مِن دُونِ ٱللَّهِ وَلَا رَسُولِهِۦ وَلَا ٱلْمُؤْمِنِينَ وَلِيجَةًۭ ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "তোমরা কি মনে কর যে, তোমাদের ছেড়ে দেয়া হবে এমনি, যতক্ষণ না আল্লাহ জেনে নেবেন তোমাদের কে যুদ্ধ করেছে এবং কে আল্লাহ, তাঁর রসূল ও মুসলমানদের ব্যতীত অন্য কাউকে অন্তরঙ্গ বন্ধুরূপে গ্রহণ করা থেকে বিরত রয়েছে। আর তোমরা যা কর সে বিষয়ে আল্লাহ সবিশেষ অবহিত।",
              "numberInSurah": 16,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 157,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবতুম আন তুতরাকূওয়া লাম্মা-ইয়া‘লামিল্লা-হুল্লাযীনা জা-হাদূমিনকুম ওয়া লাম ইয়াত্তাখিযূমিন দূ নিল্লা-হি ওয়ালা-রাছূলিহী ওয়ালাল মু’মিনীনা ওয়ালীজাতাওঁ ওয়াল্লা-হু খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبْتُمْ/حَسِبۡتُمۡ/hasib'tum//اَنْ/أَن/an//تُتْرَكُوْا/تُتۡرَكُواْ/tut'raku//وَ لَمَّا/وَلَمَّا/walamma//یَعْلَمِ/يَعۡلَمِ/ya'lami//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//جٰهَدُوْا/جَٰهَدُواْ/jahadu//مِنْكُمْ/مِنكُمۡ/minkum//وَ لَمْ/وَلَمۡ/walam//یَتَّخِذُوْا/يَتَّخِذُواْ/yattakhidhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//وَ لَا/وَلَا/wala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَلِیْجَةً ؕ/وَلِيجَةٗۚ/walijatan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "কি//মনে করেছো তোমরা//যে//তোমাদেরকে ছেড়ে দেয়া হবে//অথচ নি//জানেন(এখন পর্যন্ত)//আল্লাহ//(তাদেরকে) কারা//তারা জিহাদ করেছে (তাঁর পথে)//মধ্য থেকে তোমাদের//ও নি//ও তারা গ্রহণ করে(অন্য কাউকে)//দিয়ে//বাদ//আল্লাহ//ও না//তাঁর রাসূল//ও না//মু'মিনদেরকে//অন্তরঙ্গ বন্ধু হিসেবে//এবং আল্লাহ//খুব জানেন//ঐ বিষয়ে যা//তোমরা কাজ করছো"
            },
            {
              "number": 1252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1252.mp3"
              ],
              "text": "مَا كَانَ لِلْمُشْرِكِينَ أَن يَعْمُرُوا۟ مَسَٰجِدَ ٱللَّهِ شَٰهِدِينَ عَلَىٰٓ أَنفُسِهِم بِٱلْكُفْرِ ۚ أُو۟لَٰٓئِكَ حَبِطَتْ أَعْمَٰلُهُمْ وَفِى ٱلنَّارِ هُمْ خَٰلِدُونَ",
              "translate_bn": "মুশরিকরা যোগ্যতা রাখে না আল্লাহর মসজিদ আবাদ করার, যখন তারা নিজেরাই নিজেদের কুফরীর স্বীকৃতি দিচ্ছে। এদের আমল বরবাদ হবে এবং এরা আগুনে স্থায়ীভাবে বসবাস করবে।",
              "numberInSurah": 17,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 158,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিলমুশরিকীনা আইঁ ইয়া‘মুরূমাছা-জিদাল্লা-হি শা-হিদীনা ‘আলাআনফুছিহিম বিলকুফরি উলাইকা হাবিতাত আ‘মা-লুহুম ওয়াফিন্না-রি হুম খা-লিদূ ন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِلْمُشْرِكِیْنَ/لِلۡمُشۡرِكِينَ/lil'mush'rikina//اَنْ/أَن/an//یَّعْمُرُوْا/يَعۡمُرُواْ/ya'muru//مَسٰجِدَ/مَسَٰجِدَ/masajida//اللّٰهِ/ٱللَّهِ/al-lahi//شٰهِدِیْنَ/شَٰهِدِينَ/shahidina//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِم/anfusihim//بِالْكُفْرِ ؕ/بِٱلۡكُفۡرِۚ/bil-kuf'ri//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ ۖۚ/أَعۡمَٰلُهُمۡ/a'maluhum//وَ فِی/وَفِي/wafi//النَّارِ/ٱلنَّارِ/al-nari//هُمْ/هُمۡ/hum//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "না//হতে পারে (এমন)//জন্যে মুশরিকদের//যে//রক্ষণাবেক্ষণ করবে তারা//মাসজিদসমূহের//আল্লাহর//(যখন) তারা সাক্ষ্যদাতা//উপর//নিজেদের তাদের//সম্পর্কে অবিশ্বাস//ঐসব লোকের//নষ্ট হয়েছে//কাজকর্ম তাদের//ও মধ্যে//জাহান্নামের//তারা//চিরস্থায়ী হবে"
            },
            {
              "number": 1253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1253.mp3"
              ],
              "text": "إِنَّمَا يَعْمُرُ مَسَٰجِدَ ٱللَّهِ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَأَقَامَ ٱلصَّلَوٰةَ وَءَاتَى ٱلزَّكَوٰةَ وَلَمْ يَخْشَ إِلَّا ٱللَّهَ ۖ فَعَسَىٰٓ أُو۟لَٰٓئِكَ أَن يَكُونُوا۟ مِنَ ٱلْمُهْتَدِينَ",
              "translate_bn": "নিঃসন্দেহে তারাই আল্লাহর মসজিদ আবাদ করবে যারা ঈমান এনেছে আল্লাহর প্রতি ও শেষ দিনের প্রতি এবং কায়েম করেছে নামায ও আদায় করে যাকাত; আল্লাহ ব্যতীত আর কাউকে ভয় করে না। অতএব, আশা করা যায়, তারা হেদায়েত প্রাপ্তদের অন্তর্ভূক্ত হবে।",
              "numberInSurah": 18,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 158,
              "hizbQuarter": 75,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়া‘মুরু মাছা-জিদাল্লা-হি মান আ-মানা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া আকা-মাসসালা-তা ওয়া আ-তাঝঝাকা-তা ওয়ালাম ইয়াখশা ইল্লাল্লা-হা ফা‘আছাউলাইকা আইঁ ইয়াকূনূমিনাল মুহতাদীন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یَعْمُرُ/يَعۡمُرُ/ya'muru//مَسٰجِدَ/مَسَٰجِدَ/masajida//اللّٰهِ/ٱللَّهِ/al-lahi//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ اَقَامَ/وَأَقَامَ/wa-aqama//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَی/وَءَاتَى/waata//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ لَمْ/وَلَمۡ/walam//یَخْشَ/يَخۡشَ/yakhsha//اِلَّا/إِلَّا/illa//اللّٰهَ/ٱللَّهَۖ/al-laha//فَعَسٰۤی/فَعَسَىٰٓ/fa'asa//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَنْ/أَن/an//یَّكُوْنُوْا/يَكُونُواْ/yakunu//مِنَ/مِنَ/mina//الْمُهْتَدِیْنَ /ٱلۡمُهۡتَدِينَ/al-muh'tadina",
              "words_bangla": "মূলত//রক্ষণাবেক্ষণ করবে//মাসজিদসমূহের//আল্লাহর//(সেই) যে//ঈমান এনেছে//উপর আল্লাহর//ও দিনের//আখিরাতের//ও প্রতিষ্ঠা করে//সালাত//ও আদায় করে//যাকাত//ও না//ভয় করে (অন্য কাউকে)//ছাড়া//আল্লাহ//আশা করা যায়//ঐসব লোক//যে//তারাই হবে//অন্তর্ভুক্ত//সঠিক পথপ্রাপ্তদের"
            },
            {
              "number": 1254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1254.mp3"
              ],
              "text": "۞ أَجَعَلْتُمْ سِقَايَةَ ٱلْحَآجِّ وَعِمَارَةَ ٱلْمَسْجِدِ ٱلْحَرَامِ كَمَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَجَٰهَدَ فِى سَبِيلِ ٱللَّهِ ۚ لَا يَسْتَوُۥنَ عِندَ ٱللَّهِ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "তোমরা কি হাজীদের পানি সরবরাহ ও মসজিদুল-হারাম আবাদকরণকে সেই লোকের সমান মনে কর, যে ঈমান রাখে আল্লাহ ও শেষ দিনের প্রতি এবং যুদ্ধ করেছে আল্লাহর রাহে, এরা আল্লাহর দৃষ্টিতে সমান নয়, আর আল্লাহ জালেম লোকদের হেদায়েত করেন না।",
              "numberInSurah": 19,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "আজা‘আলতুম ছিকা-ইয়াতাল হাজজি ওয়া ‘ইমা-রাতাল মাছজিদিল হারা-মি কামান আমানা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া জা-হাদা ফী ছাবীলিল্লা-হি লা-ইয়াছতাঊনা ‘ইনদাল্লা-হি ওয়াল্লা-হু লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "اَجَعَلْتُمْ/۞أَجَعَلۡتُمۡ/aja'altum//سِقَایَةَ/سِقَايَةَ/siqayata//الْحَآجِّ/ٱلۡحَآجِّ/al-haji//وَ عِمَارَةَ/وَعِمَارَةَ/wa'imarata//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//كَمَنْ/كَمَنۡ/kaman//اٰمَنَ/ءَامَنَ/amana//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ جٰهَدَ/وَجَٰهَدَ/wajahada//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//لَا/لَا/la//یَسْتَوٗنَ/يَسۡتَوُۥنَ/yastawuna//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَۘ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "কি তোমরা মনে করেছো//পানি পান করানো//হাজ্বীদের//ও রক্ষণাবেক্ষণ করা//মাসজিদে//হারামের//সমান তার যে//ঈমান এনেছে//প্রতি আল্লাহর//ও দিনের//আখিরাতের//ও জিহাদ করে//মধ্যে//পথের//আল্লাহর//নয়//তারা সমান//নিকট//আল্লাহর//এবং আল্লাহ//না//সঠিক পথ দেখান//সম্প্রদায়কে//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 1255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1255.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ أَعْظَمُ دَرَجَةً عِندَ ٱللَّهِ ۚ وَأُو۟لَٰٓئِكَ هُمُ ٱلْفَآئِزُونَ",
              "translate_bn": "যারা ঈমান এনেছে, দেশ ত্যাগ করেছে এবং আল্লাহর রাহে নিজেদের জান ও মাল দিয়ে জেহাদ করেছে, তাদের বড় মর্যাদা রয়েছে আল্লাহর কাছে আর তারাই সফলকাম।",
              "numberInSurah": 20,
              "juz": 10,
              "manzil": 2,
              "page": 189,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূওয়া হা-জারূওয়া জা-হাদূফী ছাবীলিল্লা-হি বিআমওয়া-লিহিম ওয়া আনফুছিহিম আ‘জামুদারাজাতান ‘ইনদাল্লা-হি ওয়া উলাইকা হুমুল ফাইঝূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ هَاجَرُوْا/وَهَاجَرُواْ/wahajaru//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ ۙ/وَأَنفُسِهِمۡ/wa-anfusihim//اَعْظَمُ/أَعۡظَمُ/a'zamu//دَرَجَةً/دَرَجَةً/darajatan//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْفَآىِٕزُوْنَ /ٱلۡفَآئِزُونَ/al-faizuna",
              "words_bangla": "যারা//ঈমান এনেছে//ও হিজরত করেছে//ও জিহাদ করেছে//মধ্যে//পথের//আল্লাহর//দিয়ে ধনসম্পদ তাদের//ও প্রাণসমূহ তাদের (দিয়ে)//(তারা) অতি বড়//মর্যাদায় (অধিষ্ঠিত)//কাছে//আল্লাহর//এবং ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 1256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1256.mp3"
              ],
              "text": "يُبَشِّرُهُمْ رَبُّهُم بِرَحْمَةٍۢ مِّنْهُ وَرِضْوَٰنٍۢ وَجَنَّٰتٍۢ لَّهُمْ فِيهَا نَعِيمٌۭ مُّقِيمٌ",
              "translate_bn": "তাদের সুসংবাদ দিচ্ছেন তাদের পরওয়ারদেগার স্বীয় দয়া ও সন্তোষের এবং জান্নাতের, সেখানে আছে তাদের জন্য স্থায়ী শান্তি।",
              "numberInSurah": 21,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ইউবাশশিরুহুম রাব্বুহুম বিরাহমাতিম মিনহু ওয়া রিদওয়া-নিওঁ ওয়া জান্না-তিল লাহুম ফীহানা‘ঈমুম মুকীম।",
              "words_arabic": "یُبَشِّرُهُمْ/يُبَشِّرُهُمۡ/yubashiruhum//رَبُّهُمْ/رَبُّهُم/rabbuhum//بِرَحْمَةٍ/بِرَحۡمَةٖ/birahmatin//مِّنْهُ/مِّنۡهُ/min'hu//وَ رِضْوَانٍ/وَرِضۡوَٰنٖ/warid'wanin//وَّ جَنّٰتٍ/وَجَنَّـٰتٖ/wajannatin//لَّهُمْ/لَّهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//نَعِیْمٌ/نَعِيمٞ/na'imun//مُّقِیْمٌۙ/مُّقِيمٌ/muqimun",
              "words_bangla": "সুসংবাদ দিচ্ছেন তাদেরকে//তাদের রব//সাহায্যে দয়ার//পক্ষ হতে তাঁর//ও (তাঁর) সন্তুষ্টির//এবং জান্নাতের//জন্যে তাদের//মধ্যে তার(রয়েছে)//সুখ//স্থায়ী"
            },
            {
              "number": 1257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1257.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَآ أَبَدًا ۚ إِنَّ ٱللَّهَ عِندَهُۥٓ أَجْرٌ عَظِيمٌۭ",
              "translate_bn": "তথায় তারা থাকবে চিরদিন। নিঃসন্দেহে আল্লাহর কাছে আছে মহাপুরস্কার।",
              "numberInSurah": 22,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-আবাদান ইন্নাল্লা-হা ‘ইনদাহূআজরুন ‘আজীম।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدًاۚ/abadan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عِنْدَهٗۤ/عِندَهُۥٓ/indahu//اَجْرٌ/أَجۡرٌ/ajrun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "তারা চিরস্থায়ী হবে//মধ্যে তার//অনাগতকাল (পর্যন্ত)//নিশ্চয়ই//আল্লাহর//কাছে (আছে) তাঁর//পুরস্কার//বিরাট"
            },
            {
              "number": 1258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1258.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوٓا۟ ءَابَآءَكُمْ وَإِخْوَٰنَكُمْ أَوْلِيَآءَ إِنِ ٱسْتَحَبُّوا۟ ٱلْكُفْرَ عَلَى ٱلْإِيمَٰنِ ۚ وَمَن يَتَوَلَّهُم مِّنكُمْ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "হে ঈমানদারগণ! তোমরা স্বীয় পিতা ও ভাইদের অভিভাবকরূপে গ্রহণ করো না, যদি তারা ঈমান অপেক্ষা কুফরকে ভালবাসে। আর তোমাদের যারা তাদের অভিভাবকরূপে গ্রহণ করে তারা সীমালংঘনকারী।",
              "numberInSurah": 23,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাখিযূআ-বাআকুম ওয়া ইখওয়া-নাকুম আওলিয়াআ ইনিছতাহাব্বুল কুফরা ‘আলাল ঈমা-নি ওয়া মাই ইয়াতাওয়াল্লাহুম মিনকুম ফাউলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوْۤا/تَتَّخِذُوٓاْ/tattakhidhu//اٰبَآءَكُمْ/ءَابَآءَكُمۡ/abaakum//وَ اِخْوَانَكُمْ/وَإِخۡوَٰنَكُمۡ/wa-ikh'wanakum//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//اِنِ/إِنِ/ini//اسْتَحَبُّوا/ٱسۡتَحَبُّواْ/is'tahabbu//الْكُفْرَ/ٱلۡكُفۡرَ/al-kuf'ra//عَلَی/عَلَى/ala//الْاِیْمَانِ ؕ/ٱلۡإِيمَٰنِۚ/al-imani//وَ مَنْ/وَمَن/waman//یَّتَوَلَّهُمْ/يَتَوَلَّهُم/yatawallahum//مِّنْكُمْ/مِّنكُمۡ/minkum//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা গ্রহণ করো//বাপ-দাদাদেরকে তোমাদের//ও ভাইদেরকে তোমাদের//বন্ধু্রূপে//যদি//তারা অধিক ভালবাসে//অবিশ্বাসকে//উপর//ঈমানের (তুলনায়)//এবং যে//ভালোবাসবে তাদেরকে//মধ্য হতে তোমাদের//তবে ঐসব লোক//তারাই//সীমালঙ্ঘনকারী"
            },
            {
              "number": 1259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1259.mp3"
              ],
              "text": "قُلْ إِن كَانَ ءَابَآؤُكُمْ وَأَبْنَآؤُكُمْ وَإِخْوَٰنُكُمْ وَأَزْوَٰجُكُمْ وَعَشِيرَتُكُمْ وَأَمْوَٰلٌ ٱقْتَرَفْتُمُوهَا وَتِجَٰرَةٌۭ تَخْشَوْنَ كَسَادَهَا وَمَسَٰكِنُ تَرْضَوْنَهَآ أَحَبَّ إِلَيْكُم مِّنَ ٱللَّهِ وَرَسُولِهِۦ وَجِهَادٍۢ فِى سَبِيلِهِۦ فَتَرَبَّصُوا۟ حَتَّىٰ يَأْتِىَ ٱللَّهُ بِأَمْرِهِۦ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَٰسِقِينَ",
              "translate_bn": "বল, তোমাদের নিকট যদি তোমাদের পিতা তোমাদের সন্তান, তোমাদের ভাই তোমাদের পত্নী, তোমাদের গোত্র তোমাদের অর্জিত ধন-সম্পদ, তোমাদের ব্যবসা যা বন্ধ হয়ে যাওয়ার ভয় কর এবং তোমাদের বাসস্থান-যাকে তোমরা পছন্দ কর-আল্লাহ, তাঁর রসূল ও তাঁর রাহে জেহাদ করা থেকে অধিক প্রিয় হয়, তবে অপেক্ষা কর, আল্লাহর বিধান আসা পর্যন্ত, আর আল্লাহ ফাসেক সম্প্রদায়কে হেদায়েত করেন না।",
              "numberInSurah": 24,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 158,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "কুলইন কা-না আ-বাউকুম ওয়া আবনাউকুম ওয়া ইখওয়া-নুকুম ওয়া আঝওয়া-জুকুম ওয়া ‘আশীরাতুকুম ওয়া আমওয়া-লুনিকতারাফতুমূহা-ওয়া তিজা-রাতুন তাখশাওনা কাছা-দাহা-ওয়া মাছা-কিনুতারদাওনাহা-আহাব্বা ইলাইকুম মিনাল্লা-হি ওয়া রাছূলিহী ওয়া জিহাদিন ফী ছাবীলিহী ফাতারাব্বাসূহাত্তা-ইয়া’তিয়াল্লা-হু বিআমরিহী ওয়াল্লা-হু লা-ইয়াহদিল কাওমাল ফা-ছিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//كَانَ/كَانَ/kana//اٰبَآؤُكُمْ/ءَابَآؤُكُمۡ/abaukum//وَ اَبْنَآؤُكُمْ/وَأَبۡنَآؤُكُمۡ/wa-abnaukum//وَ اِخْوَانُكُمْ/وَإِخۡوَٰنُكُمۡ/wa-ikh'wanukum//وَ اَزْوَاجُكُمْ/وَأَزۡوَٰجُكُمۡ/wa-azwajukum//وَ عَشِیْرَتُكُمْ/وَعَشِيرَتُكُمۡ/wa'ashiratukum//وَ اَمْوَالُ/وَأَمۡوَٰلٌ/wa-amwalun//قْتَرَفْتُمُوْهَا/ٱقۡتَرَفۡتُمُوهَا/iq'taraftumuha//وَ تِجَارَةٌ/وَتِجَٰرَةٞ/watijaratun//تَخْشَوْنَ/تَخۡشَوۡنَ/takhshawna//كَسَادَهَا/كَسَادَهَا/kasadaha//وَ مَسٰكِنُ/وَمَسَٰكِنُ/wamasakinu//تَرْضَوْنَهَاۤ/تَرۡضَوۡنَهَآ/tardawnaha//اَحَبَّ/أَحَبَّ/ahabba//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ جِهَادٍ/وَجِهَادٖ/wajihadin//فِیْ/فِي/fi//سَبِیْلِهٖ/سَبِيلِهِۦ/sabilihi//فَتَرَبَّصُوْا/فَتَرَبَّصُواْ/fatarabbasu//حَتّٰی/حَتَّىٰ/hatta//یَاْتِیَ/يَأۡتِيَ/yatiya//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦۗ/bi-amrihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْفٰسِقِیْنَ۠/ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "বলো//\"যদি//হয়//বাপ-দাদারা তোমাদের//ও সন্তানেরা তোমাদের//ও ভাইয়েরা তোমাদের//ও স্ত্রীরা তোমাদের//ও স্বজনগোষ্ঠি তোমাদের//ও ধনসম্পদ//যা তোমরা অর্জন করেছো//ও ব্যবসা-বাণিজ্য//তোমরা ভয় করো//মন্দা পড়ার যার//ও বাসগৃহসমূহ//তোমরা পছন্দ করো যা//অধিক প্রিয়//কাছে তোমাদের//হতে//আল্লাহ//ও তাঁর রাসূল (হতে)//ও জিহাদ(হতে)//মধ্যে//পথের তাঁর//তবে তোমরা অপেক্ষা করো//যতক্ষণ না//আসেন//আল্লাহ//নিয়ে তাঁর নির্দেশ//এবং আল্লাহ//না//পথে দেখান//সম্প্রদায়কে//(যারা) সত্যত্যাগী\""
            },
            {
              "number": 1260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1260.mp3"
              ],
              "text": "لَقَدْ نَصَرَكُمُ ٱللَّهُ فِى مَوَاطِنَ كَثِيرَةٍۢ ۙ وَيَوْمَ حُنَيْنٍ ۙ إِذْ أَعْجَبَتْكُمْ كَثْرَتُكُمْ فَلَمْ تُغْنِ عَنكُمْ شَيْـًۭٔا وَضَاقَتْ عَلَيْكُمُ ٱلْأَرْضُ بِمَا رَحُبَتْ ثُمَّ وَلَّيْتُم مُّدْبِرِينَ",
              "translate_bn": "আল্লাহ তোমাদের সাহায্য করেছেন অনেক ক্ষেত্রে এবং হোনাইনের দিনে, যখন তোমাদের সংখ্যধিক্য তোমাদের প্রফুল্ল করেছিল, কিন্তু তা তোমাদের কোন কাজে আসেনি এবং পৃথিবী প্রশস্ত হওয়া সত্তেও তোমাদের জন্য সংকুচিত হয়েছিল। অতঃপর পৃষ্ঠ প্রদর্শন করে পলায়ন করেছিলে।",
              "numberInSurah": 25,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 159,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "লাকাদ নাসারাকুমুল্লা-হু ফী মাওয়া-তিনা কাছীরতিওঁ ওয়া ইয়াওমা হুনাইনিন ইযআ‘জাবাতকুম কাছরাতুকুম ফালাম তুগনি ‘আনকুম শাইআওঁ ওয়া দা-কাত ‘আলাইকুমুল আরদুবিমা-রাহুবাত ছুম্মা ওয়াল্লাইতুম মুদবিরীন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//نَصَرَكُمُ/نَصَرَكُمُ/nasarakumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//مَوَاطِنَ/مَوَاطِنَ/mawatina//كَثِیْرَةٍ ۙ/كَثِيرَةٖ/kathiratin//وَّ یَوْمَ/وَيَوۡمَ/wayawma//حُنَیْنٍ ۙ/حُنَيۡنٍ/hunaynin//اِذْ/إِذۡ/idh//اَعْجَبَتْكُمْ/أَعۡجَبَتۡكُمۡ/a'jabatkum//كَثْرَتُكُمْ/كَثۡرَتُكُمۡ/kathratukum//فَلَمْ/فَلَمۡ/falam//تُغْنِ/تُغۡنِ/tugh'ni//عَنْكُمْ/عَنكُمۡ/ankum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ ضَاقَتْ/وَضَاقَتۡ/wadaqat//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//بِمَا/بِمَا/bima//رَحُبَتْ/رَحُبَتۡ/rahubat//ثُمَّ/ثُمَّ/thumma//وَلَّیْتُمْ/وَلَّيۡتُم/wallaytum//مُّدْبِرِیْنَۚ/مُّدۡبِرِينَ/mud'birina",
              "words_bangla": "নিশ্চয়ই//সাহায্য করেছেন তোমাদের//আল্লাহ//মধ্যে//জায়গায়//অনেক//ও দিনে//হুনায়নের (যুদ্ধে)//যখন//উৎফুল্ল করেছিলো তোমাদের//সংখ্যাধিক্য তোমাদের//অতঃপর নি//কাজে আসে//জন্যে তোমাদের//কিছুমাত্র (সংখ্যাধিক্য)//এবং সংকীর্ণ হয়েছিলো//তোমাদের উপর//পৃথিবী//এ সত্ত্বেও যা//প্রশস্ত ছিলো//এরপর//তোমরা ফিরে গেলে//পিঠ প্রদর্শনকারী হয়ে"
            },
            {
              "number": 1261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1261.mp3"
              ],
              "text": "ثُمَّ أَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَىٰ رَسُولِهِۦ وَعَلَى ٱلْمُؤْمِنِينَ وَأَنزَلَ جُنُودًۭا لَّمْ تَرَوْهَا وَعَذَّبَ ٱلَّذِينَ كَفَرُوا۟ ۚ وَذَٰلِكَ جَزَآءُ ٱلْكَٰفِرِينَ",
              "translate_bn": "তারপর আল্লাহ নাযিল করেন নিজের পক্ষ থেকে সান্ত্বনা, তাঁর রসূল ও মুমিনদের প্রতি এবং অবতীর্ণ করেন এমন সেনাবাহিনী যাদের তোমরা দেখতে পাওনি। আর শাস্তি প্রদান করেন কাফেরদের এবং এটি হল কাফেরদের কর্মফল।",
              "numberInSurah": 26,
              "juz": 10,
              "manzil": 2,
              "page": 190,
              "ruku": 159,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আনঝালাল্লা-হু ছাকীনাতাহূ‘আলা-রাছূলিহী ওয়া ‘আলাল মু’মিনীনা ওয়া আনঝালা জুনূদাল লাম তারাওহা- ওয়া ‘আযযাবাল্লাযীনা কাফারূ ওয়া যা-লিকা জাঝাউল কা-ফিরীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//سَكِیْنَتَهٗ/سَكِينَتَهُۥ/sakinatahu//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//وَ عَلَی/وَعَلَى/wa'ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//جُنُوْدًا/جُنُودٗا/junudan//لَّمْ/لَّمۡ/lam//تَرَوْهَا/تَرَوۡهَا/tarawha//وَ عَذَّبَ/وَعَذَّبَ/wa'adhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۚ/kafaru//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//جَزَآءُ/جَزَآءُ/jazau//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এরপর//অবতীর্ণ করলেন//আল্লাহ//তাঁর প্রশান্তি//উপর//তাঁর রাসূলের//ও উপর//মু'মিনদের//ও অবতীর্ণ করলেন//(এমন) বাহিনী//নি//তা তোমরা দেখতে পাও//ও শাস্তি দিলেন//(তাদেরকে) যারা//অস্বীকার করেছিলো//ও এটা (ছিলো)//কর্মফল//কাফেরদের"
            },
            {
              "number": 1262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1262.mp3"
              ],
              "text": "ثُمَّ يَتُوبُ ٱللَّهُ مِنۢ بَعْدِ ذَٰلِكَ عَلَىٰ مَن يَشَآءُ ۗ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "এরপর আল্লাহ যাদের প্রতি ইচ্ছা তওবার তওফীক দেবেন, আর আল্লাহ অতীব ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 27,
              "juz": 10,
              "manzil": 2,
              "page": 191,
              "ruku": 159,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইয়াতূবুল্লা-হু মিম বা‘দি যা-লিকা ‘আলা-মাইঁ ইয়াশাউ ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یَتُوْبُ/يَتُوبُ/yatubu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "অতঃপর//ক্ষমাপরায়ণ হলেন//আল্লাহ//থেকেও//পর//এর//(তারা) প্রতি//যাকে//তিনি ইচ্ছে করেন//এবং আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1263.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّمَا ٱلْمُشْرِكُونَ نَجَسٌۭ فَلَا يَقْرَبُوا۟ ٱلْمَسْجِدَ ٱلْحَرَامَ بَعْدَ عَامِهِمْ هَٰذَا ۚ وَإِنْ خِفْتُمْ عَيْلَةًۭ فَسَوْفَ يُغْنِيكُمُ ٱللَّهُ مِن فَضْلِهِۦٓ إِن شَآءَ ۚ إِنَّ ٱللَّهَ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "হে ঈমানদারগণ! মুশরিকরা তো অপবিত্র। সুতরাং এ বছরের পর তারা যেন মসজিদুল-হারামের নিকট না আসে। আর যদি তোমরা দারিদ্রে?480; আশংকা কর, তবে আল্লাহ চাইলে নিজ করুনায় ভবিষ্যতে তোমাদের অভাবমুক্ত করে দেবেন। নিঃসন্দেহে আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 28,
              "juz": 10,
              "manzil": 2,
              "page": 191,
              "ruku": 159,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন্নামাল মুশরিকূনা নাজাছুন ফালা-ইয়াকরাবুল মাছজিদাল হারা-মা বা‘দা ‘আ-মিহিম হা-যা- ওয়া ইন খিফতুম ‘আইলাতান ফাছাওফা ইউগনীকুমুল্লা-হু মিন ফাদলিহী ইন শাআ ইন্নাল্লা-হা ‘আলীমুন হাকীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّمَا/إِنَّمَا/innama//الْمُشْرِكُوْنَ/ٱلۡمُشۡرِكُونَ/al-mush'rikuna//نَجَسٌ/نَجَسٞ/najasun//فَلَا/فَلَا/fala//یَقْرَبُوا/يَقۡرَبُواْ/yaqrabu//الْمَسْجِدَ/ٱلۡمَسۡجِدَ/al-masjida//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//بَعْدَ/بَعۡدَ/ba'da//عَامِهِمْ/عَامِهِمۡ/amihim//هٰذَا ۚ/هَٰذَاۚ/hadha//وَ اِنْ/وَإِنۡ/wa-in//خِفْتُمْ/خِفۡتُمۡ/khif'tum//عَیْلَةً/عَيۡلَةٗ/aylatan//فَسَوْفَ/فَسَوۡفَ/fasawfa//یُغْنِیْكُمُ/يُغۡنِيكُمُ/yugh'nikumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖۤ/فَضۡلِهِۦٓ/fadlihi//اِنْ/إِن/in//شَآءَ ؕ/شَآءَۚ/shaa//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//মূলতঃ//মুশরিকরা//অপবিত্র//অতএব না//তারা নিকটবর্তী হবে//মাসজিদে//হারামের//পরে//বছরের তাদের//এই//এবং যদি//তোমরা ভয় করো//দারিদ্র্যের//তবে শীঘ্রই//অভাবমুক্ত করবেন তোমাদের//আল্লাহ//দিয়ে//অনুগ্রহ তাঁর//যদি//তিনি ইচ্ছে করেন//নিশ্চয়ই//আল্লাহ//সর্বজ্ঞ//মহাবিজ্ঞ"
            },
            {
              "number": 1264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1264.mp3"
              ],
              "text": "قَٰتِلُوا۟ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱللَّهِ وَلَا بِٱلْيَوْمِ ٱلْءَاخِرِ وَلَا يُحَرِّمُونَ مَا حَرَّمَ ٱللَّهُ وَرَسُولُهُۥ وَلَا يَدِينُونَ دِينَ ٱلْحَقِّ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ حَتَّىٰ يُعْطُوا۟ ٱلْجِزْيَةَ عَن يَدٍۢ وَهُمْ صَٰغِرُونَ",
              "translate_bn": "তোমরা যুদ্ধ কর আহলে-কিতাবের ঐ লোকদের সাথে, যারা আল্লাহ ও রোজ হাশরে ঈমান রাখে না, আল্লাহ ও তাঁর রসূল যা হারাম করে দিয়েছেন তা হারাম করে না এবং গ্রহণ করে না সত্য ধর্ম, যতক্ষণ না করজোড়ে তারা জিযিয়া প্রদান করে।",
              "numberInSurah": 29,
              "juz": 10,
              "manzil": 2,
              "page": 191,
              "ruku": 159,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "কা-তিলুল্লাযীনা লা-ইউ’মিনূনা বিল্লা-হি ওয়ালা-বিল ইয়াওমিল আ-খিরি ওয়ালাইউহাররিমূনা মা-হাররামাল্লা-হুওয়ারাছূলুহূওয়ালা-ইয়াদীনূনা দীনাল হাক্কিমিনাল্লাযীনা ঊতুল কিতা-বা হাত্তা-ইউ‘তুল জিঝইয়াতা ‘আইঁ ইয়াদিওঁ ওয়া হুম সা-গিরূন।",
              "words_arabic": "قَاتِلُوا/قَٰتِلُواْ/qatilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ لَا/وَلَا/wala//بِالْیَوْمِ/بِٱلۡيَوۡمِ/bil-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ لَا/وَلَا/wala//یُحَرِّمُوْنَ/يُحَرِّمُونَ/yuharrimuna//مَا/مَا/ma//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//وَ لَا/وَلَا/wala//یَدِیْنُوْنَ/يَدِينُونَ/yadinuna//دِیْنَ/دِينَ/dina//الْحَقِّ/ٱلۡحَقِّ/al-haqi//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//حَتّٰی/حَتَّىٰ/hatta//یُعْطُوا/يُعۡطُواْ/yu'tu//الْجِزْیَةَ/ٱلۡجِزۡيَةَ/al-jiz'yata//عَنْ/عَن/an//یَّدٍ/يَدٖ/yadin//وَّ هُمْ/وَهُمۡ/wahum//صٰغِرُوْنَ۠/صَٰغِرُونَ/saghiruna",
              "words_bangla": "তোমরা যুদ্ধ করো//(তাদের বিরুদ্ধে) যারা//না//ঈমান আনে//উপর আল্লাহর//এবং না//উপর দিনের//আখেরাতের//এবং না//নিষিদ্ধ করে//যা কিছু//নিষিদ্ধ করেছেন//আল্লাহ//ও তাঁর রাসূল//এবং না//আনুগত্য করে//দ্বীনের//সত্যকে//মধ্য হতে//যাদেরকে//দেয়া হয়েছে//কিতাব//যতক্ষণ না//তারা দেয়//(জিযিয়া) কর//দিয়ে//(নিজেদের) হাত//এমতাবস্হায় যে তারা//ছোট (হয়ে থাকে)"
            },
            {
              "number": 1265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1265.mp3"
              ],
              "text": "وَقَالَتِ ٱلْيَهُودُ عُزَيْرٌ ٱبْنُ ٱللَّهِ وَقَالَتِ ٱلنَّصَٰرَى ٱلْمَسِيحُ ٱبْنُ ٱللَّهِ ۖ ذَٰلِكَ قَوْلُهُم بِأَفْوَٰهِهِمْ ۖ يُضَٰهِـُٔونَ قَوْلَ ٱلَّذِينَ كَفَرُوا۟ مِن قَبْلُ ۚ قَٰتَلَهُمُ ٱللَّهُ ۚ أَنَّىٰ يُؤْفَكُونَ",
              "translate_bn": "ইহুদীরা বলে ওযাইর আল্লাহর পুত্র এবং নাসারারা বলে ‘মসীহ আল্লাহর পুত্র’। এ হচ্ছে তাদের মুখের কথা। এরা পূর্ববর্তী কাফেরদের মত কথা বলে। আল্লাহ এদের ধ্বংস করুন, এরা কোন উল্টা পথে চলে যাচ্ছে।",
              "numberInSurah": 30,
              "juz": 10,
              "manzil": 2,
              "page": 191,
              "ruku": 160,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাতিল ইয়াহূদু‘ঊঝাইরুনিবনুল্লা-হি ওয়াকা-লাতিন নাসা-রাল মাছীহুবনুল্লা-হি যা-লিকা কাওলুহুম বিআফওয়া-হিহিম ইউদা-হিঊনা কাওলাল্লাযীনা কাফারূ মিন কাবলু কা-তালাহুমুল্লা-হু; আন্না-ইউ’ফাকূন।",
              "words_arabic": "وَ قَالَتِ/وَقَالَتِ/waqalati//الْیَهُوْدُ/ٱلۡيَهُودُ/al-yahudu//عُزَیْرُ/عُزَيۡرٌ/uzayrun//بْنُ/ٱبۡنُ/ub'nu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَالَتِ/وَقَالَتِ/waqalati//النَّصٰرَی/ٱلنَّصَٰرَى/al-nasara//الْمَسِیْحُ/ٱلۡمَسِيحُ/al-masihu//ابْنُ/ٱبۡنُ/ub'nu//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//قَوْلُهُمْ/قَوۡلُهُم/qawluhum//بِاَفْوَاهِهِمْ ۚ/بِأَفۡوَٰهِهِمۡۖ/bi-afwahihim//یُضَاهِـُٔوْنَ/يُضَٰهِـُٔونَ/yudahiuna//قَوْلَ/قَوۡلَ/qawla//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//قٰتَلَهُمُ/قَٰتَلَهُمُ/qatalahumu//اللّٰهُ ؗۚ/ٱللَّهُۖ/al-lahu//اَنّٰی/أَنَّىٰ/anna//یُؤْفَكُوْنَ /يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "আর বলে//ইয়াহুদীরা//\"উজাইর//পুত্র//আল্লাহর\"//আর বলে//নাসারা (খ্রিষ্টানরা)//\"মসীহ (ঈসা আঃ)//পুত্র//আল্লাহর\"//এটা//কথা তাদের//দিয়ে মুখ তাদের//তারা মিল রেখে বলে//কথা//(তাদের) যারা//অস্বীকার করেছে//থেকেও//পূর্ব//ধ্বংস করুন তাদের//আল্লাহ//কেমন করে//তাদের ফিরিয়ে নেয়া হচ্ছে"
            },
            {
              "number": 1266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1266.mp3"
              ],
              "text": "ٱتَّخَذُوٓا۟ أَحْبَارَهُمْ وَرُهْبَٰنَهُمْ أَرْبَابًۭا مِّن دُونِ ٱللَّهِ وَٱلْمَسِيحَ ٱبْنَ مَرْيَمَ وَمَآ أُمِرُوٓا۟ إِلَّا لِيَعْبُدُوٓا۟ إِلَٰهًۭا وَٰحِدًۭا ۖ لَّآ إِلَٰهَ إِلَّا هُوَ ۚ سُبْحَٰنَهُۥ عَمَّا يُشْرِكُونَ",
              "translate_bn": "তারা তাদের পন্ডিত ও সংসার-বিরাগীদিগকে তাদের পালনকর্তারূপে গ্রহণ করেছে আল্লাহ ব্যতীত এবং মরিয়মের পুত্রকেও। অথচ তারা আদিষ্ট ছিল একমাত্র মাবুদের এবাদতের জন্য। তিনি ছাড়া কোন মাবুদ নেই, তারা তাঁর শরীক সাব্যস্ত করে, তার থেকে তিনি পবিত্র।",
              "numberInSurah": 31,
              "juz": 10,
              "manzil": 2,
              "page": 191,
              "ruku": 160,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ইত্তাখাযূআহবা-রাহুম ও রুহবা-নাহুম আরবা-বাম মিন দূ নিল্লা-হি ওয়াল মাছীহাবনা মারইয়ামা ওয়ামা উমিরূ ইল্লা-লিয়া‘বুদূ ইলা-হাওঁ ওয়াহিদাল লাইলা-হা ইল্লাহুওয়া; ছুবহা-নাহূ‘আম্মা-ইউশরিকূন।",
              "words_arabic": "اِتَّخَذُوْۤا/ٱتَّخَذُوٓاْ/ittakhadhu//اَحْبَارَهُمْ/أَحۡبَارَهُمۡ/ahbarahum//وَ رُهْبَانَهُمْ/وَرُهۡبَٰنَهُمۡ/waruh'banahum//اَرْبَابًا/أَرۡبَابٗا/arbaban//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْمَسِیْحَ/وَٱلۡمَسِيحَ/wal-masiha//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ ۚ/مَرۡيَمَ/maryama//وَ مَاۤ/وَمَآ/wama//اُمِرُوْۤا/أُمِرُوٓاْ/umiru//اِلَّا/إِلَّا/illa//لِیَعْبُدُوْۤا/لِيَعۡبُدُوٓاْ/liya'budu//اِلٰهًا/إِلَٰهٗا/ilahan//وَّاحِدًا ۚ/وَٰحِدٗاۖ/wahidan//لَاۤ/لَّآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "তারা গ্রহণ করেছে//পন্ডিতদেরকে তাদের//ও সংসার-বিরাগীদেরকে তাদের//রব হিসেবে (অর্থাৎ হুকুম দেয়ার মালিক)//বাদ//দিয়ে//আল্লাহকে//ও মসীহকে//পুত্র//মারইয়ামের//অথচ না//তাদেরকে নির্দেশ দেয়া হয়েছে//এ ছাড়া//যেন তারা ইবাদত করে//ইলাহর//একই (অর্থাৎ আল্লাহর)//নেই//কোনো ইলাহ//ছাড়া//তিনি//তিনি পবিত্র//তা হতে যা//তারা শিরক করছে"
            },
            {
              "number": 1267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1267.mp3"
              ],
              "text": "يُرِيدُونَ أَن يُطْفِـُٔوا۟ نُورَ ٱللَّهِ بِأَفْوَٰهِهِمْ وَيَأْبَى ٱللَّهُ إِلَّآ أَن يُتِمَّ نُورَهُۥ وَلَوْ كَرِهَ ٱلْكَٰفِرُونَ",
              "translate_bn": "তারা তাদের মুখের ফুৎকারে আল্লাহর নূরকে নির্বাপিত করতে চায়। কিন্তু আল্লাহ অবশ্যই তাঁর নূরের পূর্ণতা বিধান করবেন, যদিও কাফেররা তা অপ্রীতিকর মনে করে।",
              "numberInSurah": 32,
              "juz": 10,
              "manzil": 2,
              "page": 192,
              "ruku": 160,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "ইউরীদূনা আইঁ ইউতফিঊ নূরাল্লা-হি বিআফওয়া-হিহিম ওয়া ইয়া’বাল্লা-হুইল্লাআইঁ ইউতিম্মা নূরাহূওয়া লাও কারিহাল কা-ফিরূন।",
              "words_arabic": "یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اَنْ/أَن/an//یُّطْفِـُٔوْا/يُطۡفِـُٔواْ/yut'fiu//نُوْرَ/نُورَ/nura//اللّٰهِ/ٱللَّهِ/al-lahi//بِاَفْوَاهِهِمْ/بِأَفۡوَٰهِهِمۡ/bi-afwahihim//وَ یَاْبَی/وَيَأۡبَى/wayaba//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّتِمَّ/يُتِمَّ/yutimma//نُوْرَهٗ/نُورَهُۥ/nurahu//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "তারা চায়//যে//তারা ফুঁৎকারে নিভাবে//আলো//আল্লাহর//দিয়ে মুখ তাদের//কিন্তু প্রত্যাখ্যান করেন//আল্লাহ (সে ইচ্ছা)//এ ছাড়া//যে//তিনি পূর্ণ করবেন//আলো তাঁর//এবং যদিও//অপছন্দ করে//কাফেররা"
            },
            {
              "number": 1268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1268.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ وَلَوْ كَرِهَ ٱلْمُشْرِكُونَ",
              "translate_bn": "তিনিই প্রেরণ করেছেন আপন রসূলকে হেদায়েত ও সত্য দ্বীন সহকারে, যেন এ দ্বীনকে অপরাপর দ্বীনের উপর জয়যুক্ত করেন, যদিও মুশরিকরা তা অপ্রীতিকর মনে করে।",
              "numberInSurah": 33,
              "juz": 10,
              "manzil": 2,
              "page": 192,
              "ruku": 160,
              "hizbQuarter": 76,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীআরছালা রাছূলাহূবিল হুদা-ওয়া দীনিল হাক্কিলিইউজহিরাহূ‘আলাদদীনি কুল্লিহী ওয়া লাও কারিহাল মুশরিকূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَرْسَلَ/أَرۡسَلَ/arsala//رَسُوْلَهٗ/رَسُولَهُۥ/rasulahu//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//وَ دِیْنِ/وَدِينِ/wadini//الْحَقِّ/ٱلۡحَقِّ/al-haqi//لِیُظْهِرَهٗ/لِيُظۡهِرَهُۥ/liyuz'hirahu//عَلَی/عَلَى/ala//الدِّیْنِ/ٱلدِّينِ/al-dini//كُلِّهٖ ۙ/كُلِّهِۦ/kullihi//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْمُشْرِكُوْنَ /ٱلۡمُشۡرِكُونَ/al-mush'rikuna",
              "words_bangla": "তিনি (আল্লাহই)//যিনি//পাঠিয়েছেন//রাসূূলকে তাঁর//দিয়ে পথনির্দেশ//ও দীন//সত্য(সহ)//যেন তিনি বিজয়ী করেন তা//উপর//দীনের//সব অপর//এবং যদিও//অপছন্দ করে//মুশরিকরা"
            },
            {
              "number": 1269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1269.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ كَثِيرًۭا مِّنَ ٱلْأَحْبَارِ وَٱلرُّهْبَانِ لَيَأْكُلُونَ أَمْوَٰلَ ٱلنَّاسِ بِٱلْبَٰطِلِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ ۗ وَٱلَّذِينَ يَكْنِزُونَ ٱلذَّهَبَ وَٱلْفِضَّةَ وَلَا يُنفِقُونَهَا فِى سَبِيلِ ٱللَّهِ فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍۢ",
              "translate_bn": "হে ঈমানদারগণ! পন্ডিত ও সংসারবিরাগীদের অনেকে লোকদের মালামাল অন্যায়ভাবে ভোগ করে চলছে এবং আল্লাহর পথ থেকে লোকদের নিবৃত রাখছে। আর যারা স্বর্ণ ও রূপা জমা করে রাখে এবং তা ব্যয় করে না আল্লাহর পথে, তাদের কঠোর আযাবের সুসংবাদ শুনিয়ে দিন।",
              "numberInSurah": 34,
              "juz": 10,
              "manzil": 2,
              "page": 192,
              "ruku": 160,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন্না কাছীরাম মিনাল আহবা-রি ওয়াররুহবা-নি লাইয়া’কুলূনা আমওয়া-লান্না-ছি বিল বা-তিলি ওয়া ইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়াল্লাযীনা ইয়াকনিঝূনাযযাহাবা ওয়াল ফিদ্দাতা ওয়ালা-ইউনফিকূনাহা-ফী ছাবীলিল্লাহি ফাবাশশিরহুম বি‘আযা-বিন আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّ/إِنَّ/inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//الْاَحْبَارِ/ٱلۡأَحۡبَارِ/al-ahbari//وَ الرُّهْبَانِ/وَٱلرُّهۡبَانِ/wal-ruh'bani//لَیَاْكُلُوْنَ/لَيَأۡكُلُونَ/layakuluna//اَمْوَالَ/أَمۡوَٰلَ/amwala//النَّاسِ/ٱلنَّاسِ/al-nasi//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//وَ یَصُدُّوْنَ/وَيَصُدُّونَ/wayasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَكْنِزُوْنَ/يَكۡنِزُونَ/yaknizuna//الذَّهَبَ/ٱلذَّهَبَ/al-dhahaba//وَ الْفِضَّةَ/وَٱلۡفِضَّةَ/wal-fidata//وَ لَا/وَلَا/wala//یُنْفِقُوْنَهَا/يُنفِقُونَهَا/yunfiqunaha//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//فَبَشِّرْهُمْ/فَبَشِّرۡهُم/fabashir'hum//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍۙ/أَلِيمٖ/alimin",
              "words_bangla": "হে//যারা//ঈমান এনেছো//নিশ্চয়ই//অধিকাংশ//মধ্য হতে//(আহলে কিতাব) পন্ডিতদের//ও সংসার-বিরাগীদের (অবস্থা এই যে)//অবশ্যই তারা খায়//ধনসম্পদ//মানুষের//ভাবে অন্যায়//ও তারা বাধা দেয়//হতে//পথ//আল্লাহর//এবং যারা//জমা করে রাখে//সোনা//ও রূপা//এবং না//তারা ব্যয় করে তা//মধ্যে//পথের//আল্লাহর//তাই সুসংবাদ দাও তাদেরকে//সম্পর্কে শাস্তি//অতি কষ্টদায়ক"
            },
            {
              "number": 1270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1270.mp3"
              ],
              "text": "يَوْمَ يُحْمَىٰ عَلَيْهَا فِى نَارِ جَهَنَّمَ فَتُكْوَىٰ بِهَا جِبَاهُهُمْ وَجُنُوبُهُمْ وَظُهُورُهُمْ ۖ هَٰذَا مَا كَنَزْتُمْ لِأَنفُسِكُمْ فَذُوقُوا۟ مَا كُنتُمْ تَكْنِزُونَ",
              "translate_bn": "সে দিন জাহান্নামের আগুনে তা উত্তপ্ত করা হবে এবং তার দ্বারা তাদের ললাট, পার্শ্ব ও পৃষ্ঠদেশকে দগ্ধ করা হবে (সেদিন বলা হবে), এগুলো যা তোমরা নিজেদের জন্যে জমা রেখেছিলে, সুতরাং এক্ষণে আস্বাদ গ্রহণ কর জমা করে রাখার।",
              "numberInSurah": 35,
              "juz": 10,
              "manzil": 2,
              "page": 192,
              "ruku": 160,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউহমা-‘আলাইহা-ফী না-রি জাহান্নামা ফাতুকওয়া-বিহা-জিবা-হুহুম ওয়া জুনূবুহুম ওয়া জুহূরুহুম হা-যা-মা-কানাঝতুম লিআনফুছিকুম ফাযূকূমা-কুনতুম তাকনিঝূন।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//یُحْمٰی/يُحۡمَىٰ/yuh'ma//عَلَیْهَا/عَلَيۡهَا/alayha//فِیْ/فِي/fi//نَارِ/نَارِ/nari//جَهَنَّمَ/جَهَنَّمَ/jahannama//فَتُكْوٰی/فَتُكۡوَىٰ/fatuk'wa//بِهَا/بِهَا/biha//جِبَاهُهُمْ/جِبَاهُهُمۡ/jibahuhum//وَ جُنُوْبُهُمْ/وَجُنُوبُهُمۡ/wajunubuhum//وَ ظُهُوْرُهُمْ ؕ/وَظُهُورُهُمۡۖ/wazuhuruhum//هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//كَنَزْتُمْ/كَنَزۡتُمۡ/kanaztum//لِاَنْفُسِكُمْ/لِأَنفُسِكُمۡ/li-anfusikum//فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْنِزُوْنَ /تَكۡنِزُونَ/taknizuna",
              "words_bangla": "যেদিন//গরম করা হবে//উপর তার//মধ্যে//আগুনের//জাহান্নামের//অতঃপর দাগ দেয়া হবে//দিয়ে তা//কপালে তাদের//ও পাশে তাদের//ও পিঠে তাদের//\"(বলা হবে) এই//যা//জমা করেছিলে তোমরা//জন্যে নিজেদের তোমাদের//এখন তোমরা স্বাদ নাও//যা//তোমরা ছিলে//তোমরা জমা করতে\""
            },
            {
              "number": 1271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1271.mp3"
              ],
              "text": "إِنَّ عِدَّةَ ٱلشُّهُورِ عِندَ ٱللَّهِ ٱثْنَا عَشَرَ شَهْرًۭا فِى كِتَٰبِ ٱللَّهِ يَوْمَ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ مِنْهَآ أَرْبَعَةٌ حُرُمٌۭ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ ۚ فَلَا تَظْلِمُوا۟ فِيهِنَّ أَنفُسَكُمْ ۚ وَقَٰتِلُوا۟ ٱلْمُشْرِكِينَ كَآفَّةًۭ كَمَا يُقَٰتِلُونَكُمْ كَآفَّةًۭ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ",
              "translate_bn": "নিশ্চয় আল্লাহর বিধান ও গননায় মাস বারটি, আসমানসমূহ ও পৃথিবী সৃষ্টির দিন থেকে। তন্মধ্যে চারটি সম্মানিত। এটিই সুপ্রতিষ্ঠিত বিধান; সুতরাং এর মধ্যে তোমরা নিজেদের প্রতি অত্যাচার করো না। আর মুশরিকদের সাথে তোমরা যুদ্ধ কর সমবেতভাবে, যেমন তারাও তোমাদের সাথে যুদ্ধ করে যাচ্ছে সমবেতভাবে। আর মনে রেখো, আল্লাহ মুত্তাকীনদের সাথে রয়েছেন।",
              "numberInSurah": 36,
              "juz": 10,
              "manzil": 2,
              "page": 192,
              "ruku": 160,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘ইদ্দাতাশশুহূরি ‘ইনদাল্লা-হিছনা-‘আশারা শাহরান ফী কিতা-বিল্লা-হি ইয়াওমা খালাকাছছামা-ওয়া-তি ওয়াল আরদা মিনহা-আরবা‘আতুন হুরুমুন যা-লিকাদদীনুল কাইয়িমু ফালা-তাজলিমূফীহিন্না আনফুছাকুম ওয়া কা-তিলুল মুশরিকীনা কাফফাতান কামা-ইউকা-তিলূনাকুম কাফফাতাওঁ ওয়া‘লামূআন্নাল্লা-হা মা‘আল মুত্তাকীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عِدَّةَ/عِدَّةَ/iddata//الشُّهُوْرِ/ٱلشُّهُورِ/al-shuhuri//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//اثْنَا/ٱثۡنَا/ith'na//عَشَرَ/عَشَرَ/ashara//شَهْرًا/شَهۡرٗا/shahran//فِیْ/فِي/fi//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ/ٱللَّهِ/al-lahi//یَوْمَ/يَوۡمَ/yawma//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//مِنْهَاۤ/مِنۡهَآ/min'ha//اَرْبَعَةٌ/أَرۡبَعَةٌ/arba'atun//حُرُمٌ ؕ/حُرُمٞۚ/hurumun//ذٰلِكَ/ذَٰلِكَ/dhalika//الدِّیْنُ/ٱلدِّينُ/al-dinu//الْقَیِّمُ ۙ۬/ٱلۡقَيِّمُۚ/al-qayimu//فَلَا/فَلَا/fala//تَظْلِمُوْا/تَظۡلِمُواْ/tazlimu//فِیْهِنَّ/فِيهِنَّ/fihinna//اَنْفُسَكُمْ/أَنفُسَكُمۡۚ/anfusakum//وَ قَاتِلُوا/وَقَٰتِلُواْ/waqatilu//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//كَآفَّةً/كَآفَّةٗ/kaffatan//كَمَا/كَمَا/kama//یُقَاتِلُوْنَكُمْ/يُقَٰتِلُونَكُمۡ/yuqatilunakum//كَآفَّةً ؕ/كَآفَّةٗۚ/kaffatan//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "নিশ্চয়ই//সংখ্যা//মাসগুলোর//কাছে//আল্লাহর//দুই//দশ (বারো)//মাসগুলোর//অনুযায়ী//বিধান//আল্লাহর//(তখন হতে) যেদিন//তিনি সৃষ্টি করেছেন//আকাশসমূহ//ও পৃথিবী//মধ্যে তার//চার (মাস)//নিষিদ্ধ//এটাই//বিধান//সুপ্রতিষ্ঠিত//সুতরাং না//তোমরা অবিচার করো//মধ্যে তার//তোমাদের নিজেদের উপর//এবং তোমরা যুদ্ধ করো//মুশরিকদের (সাথে)//সমবেতভাবে//যেমন//তোমাদের সাথে তারা যুদ্ধ করে//সমবেতভাবে//এবং তোমরা জেনে রাখো//যে//আল্লাহ//সাথে (আছেন)//মুত্তাকীদের"
            },
            {
              "number": 1272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1272.mp3"
              ],
              "text": "إِنَّمَا ٱلنَّسِىٓءُ زِيَادَةٌۭ فِى ٱلْكُفْرِ ۖ يُضَلُّ بِهِ ٱلَّذِينَ كَفَرُوا۟ يُحِلُّونَهُۥ عَامًۭا وَيُحَرِّمُونَهُۥ عَامًۭا لِّيُوَاطِـُٔوا۟ عِدَّةَ مَا حَرَّمَ ٱللَّهُ فَيُحِلُّوا۟ مَا حَرَّمَ ٱللَّهُ ۚ زُيِّنَ لَهُمْ سُوٓءُ أَعْمَٰلِهِمْ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَٰفِرِينَ",
              "translate_bn": "এই মাস পিছিয়ে দেয়ার কাজ কেবল কুফরীর মাত্রা বৃদ্ধি করে, যার ফলে কাফেরগণ গোমরাহীতে পতিত হয়। এরা হালাল করে নেয় একে এক বছর এবং হারাম করে নেয় অন্য বছর, যাতে তারা গণনা পূর্ণ করে নেয় আল্লাহর নিষিদ্ধ মাসগুলোর। অতঃপর হালাল করে নেয় আল্লাহর হারামকৃত মাসগুলোকে। তাদের মন্দকাজগুলো তাদের জন্যে শোভনীয় করে দেয়া হল। আর আল্লাহ কাফের সম্প্রদায়কে হেদায়েত করেন না।",
              "numberInSurah": 37,
              "juz": 10,
              "manzil": 2,
              "page": 193,
              "ruku": 160,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইন্নামান নাছীউঝিয়া-দাতুন ফিল কুফরি ইউদাল্লুবিহিল্লাযীনা কাফারূ ইউহিললূনাহূ‘আমাওঁ ওয়া ইউহাররিমূনাহূ‘আ-মাল লিইউওয়া-তিঊ ‘ইদ্দাতা মা-হাররামাল্লা-হু ফাইউহিললূ মা-হাররামাল্লা-হু ঝুইয়িনা লাহুম ছূউ আ‘মা-লিহিম ওয়াল্লা-হু লা-ইয়াহদিল কাওমাল কা-ফিরীন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//النَّسِیْٓءُ/ٱلنَّسِيٓءُ/al-nasiu//زِیَادَةٌ/زِيَادَةٞ/ziyadatun//فِی/فِي/fi//الْكُفْرِ/ٱلۡكُفۡرِۖ/al-kuf'ri//یُضَلُّ/يُضَلُّ/yudallu//بِهِ/بِهِ/bihi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یُحِلُّوْنَهٗ/يُحِلُّونَهُۥ/yuhillunahu//عَامًا/عَامٗا/aman//وَّ یُحَرِّمُوْنَهٗ/وَيُحَرِّمُونَهُۥ/wayuharrimunahu//عَامًا/عَامٗا/aman//لِّیُوَاطِـُٔوْا/لِّيُوَاطِـُٔواْ/liyuwatiu//عِدَّةَ/عِدَّةَ/iddata//مَا/مَا/ma//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//فَیُحِلُّوْا/فَيُحِلُّواْ/fayuhillu//مَا/مَا/ma//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//زُیِّنَ/زُيِّنَ/zuyyina//لَهُمْ/لَهُمۡ/lahum//سُوْٓءُ/سُوٓءُ/suu//اَعْمَالِهِمْ ؕ/أَعۡمَٰلِهِمۡۗ/a'malihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْكٰفِرِیْنَ۠/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "প্রকৃতপক্ষে//নাসী (অর্থাৎ হারাম মাসকে পিছিয়ে দেয়া)//(আরও) বাড়িয়ে দেয়া//উপর//অবিশ্বাসের//পথভ্রষ্ট করা হয়//দিয়ে তা//(তাদেরকে) যারা//অবিশ্বাস করেছে//হালাল করে তারা তা//কোনো বছর//আবার (প্রয়োজনে) হারাম করে তারা তা//(অন্য) কোনো বছর//যেন তারা পুরো করে নিতে পারে//সংখ্যা//যা//হারাম করেছেন//আল্লাহ//তাই তারা হালাল করে//যা//হারাম করেছেন//আল্লাহ//শোভনীয় করা হয়েছে//জন্যে তাদের//মন্দ//কাজগুলো তাদের//আর আল্লাহ//না//সঠিক পথ দেখান//সম্প্রদায়কে//সত্য অমান্যকারী"
            },
            {
              "number": 1273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1273.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ مَا لَكُمْ إِذَا قِيلَ لَكُمُ ٱنفِرُوا۟ فِى سَبِيلِ ٱللَّهِ ٱثَّاقَلْتُمْ إِلَى ٱلْأَرْضِ ۚ أَرَضِيتُم بِٱلْحَيَوٰةِ ٱلدُّنْيَا مِنَ ٱلْءَاخِرَةِ ۚ فَمَا مَتَٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا فِى ٱلْءَاخِرَةِ إِلَّا قَلِيلٌ",
              "translate_bn": "হে ঈমানদারগণ, তোমাদের কি হল, যখন আল্লাহর পথে বের হবার জন্যে তোমাদের বলা হয়, তখন মাটি জড়িয়ে ধর, তোমরা কি আখেরাতের পরিবর্তে দুনিয়ার জীবনে পরিতুষ্ট হয়ে গেলে? অথচ আখেরাতের তুলনায় দুনিয়ার জীবনের উপকরণ অতি অল্প।",
              "numberInSurah": 38,
              "juz": 10,
              "manzil": 2,
              "page": 193,
              "ruku": 161,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল্লাযীনা আ-মানূমা-লাকুম ইযা-কীলা লাকুমুন ফিরূফী ছাবীলিল্লা-হিছছাকালতুম ইলাল আরদি আরাদীতুম বিলহাইয়া-তিদদুনইয়া-মিনাল আ-খিরাতি ফামা-মাতা-‘উল হায়া-তিদদুনইয়া-ফিল আ-খিরাতি ইল্লা-কালীল।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَا/مَا/ma//لَكُمْ/لَكُمۡ/lakum//اِذَا/إِذَا/idha//قِیْلَ/قِيلَ/qila//لَكُمُ/لَكُمُ/lakumu//انْفِرُوْا/ٱنفِرُواْ/infiru//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اثَّاقَلْتُمْ/ٱثَّاقَلۡتُمۡ/ithaqaltum//اِلَی/إِلَى/ila//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//اَرَضِیْتُمْ/أَرَضِيتُم/araditum//بِالْحَیٰوةِ/بِٱلۡحَيَوٰةِ/bil-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//مِنَ/مِنَ/mina//الْاٰخِرَةِ ۚ/ٱلۡأٓخِرَةِۚ/al-akhirati//فَمَا/فَمَا/fama//مَتَاعُ/مَتَٰعُ/mata'u//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اِلَّا/إِلَّا/illa//قَلِیْلٌ /قَلِيلٌ/qalilun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//কি//তোমাদের হয়েছে//যখন//বলা হয়//উদ্দেশ্যে তোমাদের//তোমরা বের হও//মধ্যে//পথের//আল্লাহর//বোঝার ভার নুয়ে পড়ছো তোমরা//উপর//জমিনের//কি সন্তুষ্ট হয়েছো তোমরা//নিয়ে জীবন//পার্থিব//পরিবর্তে//আখেরাতের//অথচ নয়//ভোগ সামগ্রী//জীবনের//পার্থিব//তুলনায়//আখেরাতের//এ ছাড়া//অতি তুচ্ছ"
            },
            {
              "number": 1274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1274.mp3"
              ],
              "text": "إِلَّا تَنفِرُوا۟ يُعَذِّبْكُمْ عَذَابًا أَلِيمًۭا وَيَسْتَبْدِلْ قَوْمًا غَيْرَكُمْ وَلَا تَضُرُّوهُ شَيْـًۭٔا ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "যদি বের না হও, তবে আল্লাহ তোমাদের মর্মন্তুদ আযাব দেবেন এবং অপর জাতিকে তোমাদের স্থলাভিষিক্ত করবেন। তোমরা তাঁর কোন ক্ষতি করতে পারবে না, আর আল্লাহ সর্ববিষয়ে শক্তিমান।",
              "numberInSurah": 39,
              "juz": 10,
              "manzil": 2,
              "page": 193,
              "ruku": 161,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-তানফিরু ইউ‘আযযিবকুম ‘আযা-বান আলীমাওঁ ওয়া ইয়াছতাবদিল কাওমান গাইরাকুম ওয়ালা-তাদুররূহু শাইআওঁ ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদির।",
              "words_arabic": "اِلَّا/إِلَّا/illa//تَنْفِرُوْا/تَنفِرُواْ/tanfiru//یُعَذِّبْكُمْ/يُعَذِّبۡكُمۡ/yu'adhib'kum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا ۙ۬/أَلِيمٗا/aliman//وَّ یَسْتَبْدِلْ/وَيَسۡتَبۡدِلۡ/wayastabdil//قَوْمًا/قَوۡمًا/qawman//غَیْرَكُمْ/غَيۡرَكُمۡ/ghayrakum//وَ لَا/وَلَا/wala//تَضُرُّوْهُ/تَضُرُّوهُ/tadurruhu//شَیْـًٔا ؕ/شَيۡـٔٗاۗ/shayan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "যদি না//তোমরা বের হও//তিনি শাস্তি দিবেন তোমাদের//শাস্তি//বড় কষ্টদায়ক//ও তিনি পরিবর্তন করবেন//(অন্য) জাতিকে//ছাড়া তোমাদের//এবং না//তার তোমরা ক্ষতি করতে পারবে//কিছুমাত্র//এবং আল্লাহ//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 1275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1275.mp3"
              ],
              "text": "إِلَّا تَنصُرُوهُ فَقَدْ نَصَرَهُ ٱللَّهُ إِذْ أَخْرَجَهُ ٱلَّذِينَ كَفَرُوا۟ ثَانِىَ ٱثْنَيْنِ إِذْ هُمَا فِى ٱلْغَارِ إِذْ يَقُولُ لِصَٰحِبِهِۦ لَا تَحْزَنْ إِنَّ ٱللَّهَ مَعَنَا ۖ فَأَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَيْهِ وَأَيَّدَهُۥ بِجُنُودٍۢ لَّمْ تَرَوْهَا وَجَعَلَ كَلِمَةَ ٱلَّذِينَ كَفَرُوا۟ ٱلسُّفْلَىٰ ۗ وَكَلِمَةُ ٱللَّهِ هِىَ ٱلْعُلْيَا ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ",
              "translate_bn": "যদি তোমরা তাকে (রসূলকে) সাহায্য না কর, তবে মনে রেখো, আল্লাহ তার সাহায্য করেছিলেন, যখন তাকে কাফেররা বহিষ্কার করেছিল, তিনি ছিলেন দু’জনের একজন, যখন তারা গুহার মধ্যে ছিলেন। তখন তিনি আপন সঙ্গীকে বললেন বিষন্ন হয়ো না, আল্লাহ আমাদের সাথে আছেন। অতঃপর আল্লাহ তার প্রতি স্বীয় সান্তনা নাযিল করলেন এবং তাঁর সাহায্যে এমন বাহিনী পাঠালেন, যা তোমরা দেখনি। বস্তুতঃ আল্লাহ কাফেরদের মাথা নীচু করে দিলেন আর আল্লাহর কথাই সদা সমুন্নত এবং আল্লাহ পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 40,
              "juz": 10,
              "manzil": 2,
              "page": 193,
              "ruku": 161,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-তানসুরূহু ফাকাদ নাসারাহুল্লা-হু ইযআখরাজাহুল্লাযীনা কাফারূ ছা-নিয়াছনাইনি ইযহুমা-ফিল গা-রি ইযইয়াকূলুলিসা-হিবিহী লা-তাহঝান ইন্নাল্লা-হা মা‘আনা- ফাআনাঝাল্লা-হু ছাকীনাতাহূ‘আলাইহি ওয়া আইইয়াদাহূবিজুনূদিল লাম তারাওহা-ওয়া জা‘আলা কালিমাতাল্লাযীনা কাফারুছছুফলা- ওয়া কালিমাতুল্লা-হি হিয়াল ‘ঊলইয়া- ওয়াল্লা-হু ‘আঝীঝুন হাকীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//تَنْصُرُوْهُ/تَنصُرُوهُ/tansuruhu//فَقَدْ/فَقَدۡ/faqad//نَصَرَهُ/نَصَرَهُ/nasarahu//اللّٰهُ/ٱللَّهُ/al-lahu//اِذْ/إِذۡ/idh//اَخْرَجَهُ/أَخۡرَجَهُ/akhrajahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//ثَانِیَ/ثَانِيَ/thaniya//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//اِذْ/إِذۡ/idh//هُمَا/هُمَا/huma//فِی/فِي/fi//الْغَارِ/ٱلۡغَارِ/al-ghari//اِذْ/إِذۡ/idh//یَقُوْلُ/يَقُولُ/yaqulu//لِصَاحِبِهٖ/لِصَٰحِبِهِۦ/lisahibihi//لَا/لَا/la//تَحْزَنْ/تَحۡزَنۡ/tahzan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَنَا ۚ/مَعَنَاۖ/ma'ana//فَاَنْزَلَ/فَأَنزَلَ/fa-anzala//اللّٰهُ/ٱللَّهُ/al-lahu//سَكِیْنَتَهٗ/سَكِينَتَهُۥ/sakinatahu//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ اَیَّدَهٗ/وَأَيَّدَهُۥ/wa-ayyadahu//بِجُنُوْدٍ/بِجُنُودٖ/bijunudin//لَّمْ/لَّمۡ/lam//تَرَوْهَا/تَرَوۡهَا/tarawha//وَ جَعَلَ/وَجَعَلَ/waja'ala//كَلِمَةَ/كَلِمَةَ/kalimata//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوا/كَفَرُواْ/kafaru//السُّفْلٰی ؕ/ٱلسُّفۡلَىٰۗ/al-suf'la//وَ كَلِمَةُ/وَكَلِمَةُ/wakalimatu//اللّٰهِ/ٱللَّهِ/al-lahi//هِیَ/هِيَ/hiya//الْعُلْیَا ؕ/ٱلۡعُلۡيَاۗ/al-'ul'ya//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٌ/hakimun",
              "words_bangla": "যদি না//তোমরা সাহায্য করো তাকে//তবে নিশ্চয়ই//সাহায্য করেছেন তাকে//আল্লাহ//যখন//বের করেছিলো তাকে//যারা//অবিশ্বাস করেছে//(সে ছিলো) দ্বিতীয়//দুজনের//যখন//তারা দু'জনে (ছিলো)//মধ্যে//গুহার//তখন//সে বলেছিলো//উদ্দেশ্যে সাথীর তার//\"না//চিন্তিত হয়ো তুমি//নিশ্চয়ই//আল্লাহ//সাথে (আছেন)আমাদের\"//তখন অবতীর্ণ করলেন//আল্লাহ//প্রশান্তি তাঁর//উপর তার//ও শক্তিশালী করলেন তাকে//দিয়ে (এমন সব) সৈন্য//নি//যাদেরকে তোমরা দেখতে পাও//ও করলেন//কথাকে//(তাদের) যারা//অবিশ্বাস করেছিলো//নিচু//ও (করলেন) কথা//আল্লাহর//তা//সমুন্নত//ও আল্লাহ//মহাপরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 1276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1276.mp3"
              ],
              "text": "ٱنفِرُوا۟ خِفَافًۭا وَثِقَالًۭا وَجَٰهِدُوا۟ بِأَمْوَٰلِكُمْ وَأَنفُسِكُمْ فِى سَبِيلِ ٱللَّهِ ۚ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "তোমরা বের হয়ে পড় স্বল্প বা প্রচুর সরঞ্জামের সাথে এবং জেহাদ কর আল্লাহর পথে নিজেদের মাল ও জান দিয়ে, এটি তোমাদের জন্যে অতি উত্তম, যদি তোমরা বুঝতে পার।",
              "numberInSurah": 41,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 161,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইনফিরূখিফা-ফাওঁ ওয়া ছিকা-লাওঁ ওয়া জা-হিদূবিআমওয়া-লিকুম ওয়া আনফুছিকুম ফী ছাবীলিল্লা-হি যা-লিকুম খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "اِنْفِرُوْا/ٱنفِرُواْ/infiru//خِفَافًا/خِفَافٗا/khifafan//وَّ ثِقَالًا/وَثِقَالٗا/wathiqalan//وَّ جَاهِدُوْا/وَجَٰهِدُواْ/wajahidu//بِاَمْوَالِكُمْ/بِأَمۡوَٰلِكُمۡ/bi-amwalikum//وَ اَنْفُسِكُمْ/وَأَنفُسِكُمۡ/wa-anfusikum//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "তোমরা বের হও//হালকা অবস্থায় (থাকো)//কিংবা ভারী অবস্থায়//এবং তোমরা জিহাদ করো//দিয়ে ধনসম্পদ তোমাদের//ও জান-প্রাণ (দিয়ে) তোমাদের//মধ্যে//পথের//আল্লাহর//(তোমাদের) সেটাই//উত্তম//জন্যে তোমাদের//যদি//তোমরা ছিলে//জানতে"
            },
            {
              "number": 1277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1277.mp3"
              ],
              "text": "لَوْ كَانَ عَرَضًۭا قَرِيبًۭا وَسَفَرًۭا قَاصِدًۭا لَّٱتَّبَعُوكَ وَلَٰكِنۢ بَعُدَتْ عَلَيْهِمُ ٱلشُّقَّةُ ۚ وَسَيَحْلِفُونَ بِٱللَّهِ لَوِ ٱسْتَطَعْنَا لَخَرَجْنَا مَعَكُمْ يُهْلِكُونَ أَنفُسَهُمْ وَٱللَّهُ يَعْلَمُ إِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "যদি আশু লাভের সম্ভাবনা থাকতো এবং যাত্রাপথও সংক্ষিপ্ত হতো, তবে তারা অবশ্যই আপনার সহযাত্রী হতো, কিন্তু তাদের নিকট যাত্রাপথ সুদীর্ঘ মনে হল। আর তারা এমনই শপথ করে বলবে, আমাদের সাধ্য থাকলে অবশ্যই তোমাদের সাথে বের হতাম, এরা নিজেরাই নিজেদের বিনষ্ট করছে, আর আল্লাহ জানেন যে, এরা মিথ্যাবাদী।",
              "numberInSurah": 42,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 161,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "লাও কা-না ‘আরাদান কারীবাওঁ ওয়া ছাফারান কা-সিদাল লাত্তাবা‘ঊকা ওয়ালা-কিম বা‘উদাত ‘আলাইহিমূশশুক্কাতু ওয়া ছাইয়াহলিফূনা বিল্লা-হি লাবিছতাতা‘নালাখারাজনা-মা‘আকুম ইউহলিকূনা আনফুছাহুম ওয়াল্লা-হু ইয়া‘লামুইন্নাহুম লাকাযিবূন।",
              "words_arabic": "لَوْ/لَوۡ/law//كَانَ/كَانَ/kana//عَرَضًا/عَرَضٗا/aradan//قَرِیْبًا/قَرِيبٗا/qariban//وَّ سَفَرًا/وَسَفَرٗا/wasafaran//قَاصِدًا/قَاصِدٗا/qasidan//لَّاتَّبَعُوْكَ/لَّٱتَّبَعُوكَ/la-ittaba'uka//وَ لٰكِنْۢ/وَلَٰكِنۢ/walakin//بَعُدَتْ/بَعُدَتۡ/ba'udat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الشُّقَّةُ ؕ/ٱلشُّقَّةُۚ/al-shuqatu//وَ سَیَحْلِفُوْنَ/وَسَيَحۡلِفُونَ/wasayahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//لَوِ/لَوِ/lawi//اسْتَطَعْنَا/ٱسۡتَطَعۡنَا/is'tata'na//لَخَرَجْنَا/لَخَرَجۡنَا/lakharajna//مَعَكُمْ ۚ/مَعَكُمۡ/ma'akum//یُهْلِكُوْنَ/يُهۡلِكُونَ/yuh'likuna//اَنْفُسَهُمْ ۚ/أَنفُسَهُمۡ/anfusahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَكٰذِبُوْنَ۠/لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "যদি//হতো//সম্পদ লাভের আশা//নিকটবর্তী (সহজলভ্য)//ও ভ্রমণ//সুগম//অবশ্যই তোমাকে তারা অনুসরণ করতো//কিন্তু//দীর্ঘ লাগলো//কাছে তাদের//কষ্টসাধ্য যাত্রাপথ//ও (এখন)অচিরেই তারা শপথ করে বলবে//নামে আল্লাহর//\"যদি//পারতাম আমরা//অবশ্যই বের হতাম আমরা//সাথে তোমাদের\"//(আসলে) তারা ধ্বংস করছে//নিজেদেরকে তাদের//এবং আল্লাহ//জানেন//নিশ্চয়ই তারা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 1278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1278.mp3"
              ],
              "text": "عَفَا ٱللَّهُ عَنكَ لِمَ أَذِنتَ لَهُمْ حَتَّىٰ يَتَبَيَّنَ لَكَ ٱلَّذِينَ صَدَقُوا۟ وَتَعْلَمَ ٱلْكَٰذِبِينَ",
              "translate_bn": "আল্লাহ আপনাকে ক্ষমা করুন, আপনি কেন তাদের অব্যাহতি দিলেন, যে পর্যন্ত না আপনার কাছে পরিষ্কার হয়ে যেত সত্যবাদীরা এবং জেনে নিতেন মিথ্যাবাদীদের।",
              "numberInSurah": 43,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 162,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "‘আফাল্লা-হু ‘আনকা লিমা আযিনতা লাহুম হাত্তা-ইয়াতাবাইইয়ানা লাকাল্লাযীনা সাদাকূ ওয়া তা‘লামাল কা-যিবীন।",
              "words_arabic": "عَفَا/عَفَا/afa//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْكَ ۚ/عَنكَ/anka//لِمَ/لِمَ/lima//اَذِنْتَ/أَذِنتَ/adhinta//لَهُمْ/لَهُمۡ/lahum//حَتّٰی/حَتَّىٰ/hatta//یَتَبَیَّنَ/يَتَبَيَّنَ/yatabayyana//لَكَ/لَكَ/laka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَدَقُوْا/صَدَقُواْ/sadaqu//وَ تَعْلَمَ/وَتَعۡلَمَ/wata'lama//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "ক্ষমা করেছেন//আল্লাহ//বিষয়কে তোমার//কেন//অব্যহতি দিলে//তাদেরকে//যতক্ষণ না//সুস্পষ্ট হয়ে যায়//কাছে তোমার//যারা//সত্য বলেছে//ও তুমি জানতে পারো//মিথ্যাবাদীদেরকে"
            },
            {
              "number": 1279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1279.mp3"
              ],
              "text": "لَا يَسْتَـْٔذِنُكَ ٱلَّذِينَ يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ أَن يُجَٰهِدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلْمُتَّقِينَ",
              "translate_bn": "আল্লাহ ও রোজ কেয়ামতের প্রতি যাদের ঈমান রয়েছে তারা মাল ও জান দ্বারা জেহাদ করা থেকে আপনার কাছে অব্যাহতি কামনা করবে না, আর আল্লাহ সাবধানীদের ভাল জানেন।",
              "numberInSurah": 44,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 162,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছতা’যিনুকাল্লাযীনা ইউ’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি আই ইউজা-হিদূ বিআমওয়া-লিহিম ওয়া আনফুছিহিম ওয়াল্লা-হু ‘আলীমুম বিলমুত্তাকীন।",
              "words_arabic": "لَا/لَا/la//یَسْتَاْذِنُكَ/يَسۡتَـٔۡذِنُكَ/yastadhinuka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//اَنْ/أَن/an//یُّجَاهِدُوْا/يُجَٰهِدُواْ/yujahidu//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ ؕ/وَأَنفُسِهِمۡۗ/wa-anfusihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالْمُتَّقِیْنَ /بِٱلۡمُتَّقِينَ/bil-mutaqina",
              "words_bangla": "না//তোমার কাছে অব্যহতি চায়//(তারা) যারা//ঈমান আনে//উপর আল্লাহর//ও দিনে//আখেরাতের (উপর)//যে//তারা জিহাদ করবে (না)//দিয়ে ধনসম্পদ তাদের//ও জান-প্রাণ তাদের (দিয়ে)//এবং আল্লাহ//খুব জানেন//সম্পর্কে মুত্তাকীদের"
            },
            {
              "number": 1280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1280.mp3"
              ],
              "text": "إِنَّمَا يَسْتَـْٔذِنُكَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَٱرْتَابَتْ قُلُوبُهُمْ فَهُمْ فِى رَيْبِهِمْ يَتَرَدَّدُونَ",
              "translate_bn": "নিঃসন্দেহে তারাই আপনার কাছে অব্যাহতি চায়, যারা আল্লাহ ও রোজ কেয়ামতে ঈমান রাখে না এবং তাদের অন্তর সন্দেহগ্রস্ত হয়ে পড়েছে, সুতরাং সন্দেহের আবর্তে তারা ঘুরপাক খেয়ে চলেছে।",
              "numberInSurah": 45,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 162,
              "hizbQuarter": 77,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়াছতা’যিনুকাল্লাযীনা লা-ইউ’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়ারতাবাত কুলূবুহুম ফাহুম ফী রাইবিহিম ইয়াতারাদ্দাদূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یَسْتَاْذِنُكَ/يَسۡتَـٔۡذِنُكَ/yastadhinuka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ ارْتَابَتْ/وَٱرۡتَابَتۡ/wa-ir'tabat//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//فَهُمْ/فَهُمۡ/fahum//فِیْ/فِي/fi//رَیْبِهِمْ/رَيۡبِهِمۡ/raybihim//یَتَرَدَّدُوْنَ /يَتَرَدَّدُونَ/yataraddaduna",
              "words_bangla": "প্রকৃতপক্ষে//তোমার কাছে অব্যহতি চায়//(তারাই) যারা//না//ঈমান আনে//উপর আল্লাহর//ও দিনে//আখেরাতের (উপর)//এবং সন্দেহে পড়েছে//অন্তর তাদের//তাই তারা//মধ্যে//সন্দেহের তাদের//তারা দ্বিধাগ্রস্ত হচ্ছে"
            },
            {
              "number": 1281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1281.mp3"
              ],
              "text": "۞ وَلَوْ أَرَادُوا۟ ٱلْخُرُوجَ لَأَعَدُّوا۟ لَهُۥ عُدَّةًۭ وَلَٰكِن كَرِهَ ٱللَّهُ ٱنۢبِعَاثَهُمْ فَثَبَّطَهُمْ وَقِيلَ ٱقْعُدُوا۟ مَعَ ٱلْقَٰعِدِينَ",
              "translate_bn": "আর যদি তারা বের হবার সংকল্প নিত, তবে অবশ্যই কিছু সরঞ্জাম প্রস্তুত করতো। কিন্তু তাদের উত্থান আল্লাহর পছন্দ নয়, তাই তাদের নিবৃত রাখলেন এবং আদেশ হল বসা লোকদের সাথে তোমরা বসে থাক।",
              "numberInSurah": 46,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আরা-দুলখুরূজা লাআ‘আদ্দূলাহূ‘উদ্দাতাওঁ ওয়ালা-কিন কারিহাল্লা-হুম বি‘আছাহুম ফাছাব্বাতাহুম ওয়া কীলাক‘উদূমা‘আল কা-‘ইদীন।",
              "words_arabic": "وَ لَوْ/۞وَلَوۡ/walaw//اَرَادُوا/أَرَادُواْ/aradu//الْخُرُوْجَ/ٱلۡخُرُوجَ/al-khuruja//لَاَعَدُّوْا/لَأَعَدُّواْ/la-a'addu//لَهٗ/لَهُۥ/lahu//عُدَّةً/عُدَّةٗ/uddatan//وَّ لٰكِنْ/وَلَٰكِن/walakin//كَرِهَ/كَرِهَ/kariha//اللّٰهُ/ٱللَّهُ/al-lahu//انْۢبِعَاثَهُمْ/ٱنۢبِعَاثَهُمۡ/inbi'athahum//فَثَبَّطَهُمْ/فَثَبَّطَهُمۡ/fathabbatahum//وَ قِیْلَ/وَقِيلَ/waqila//اقْعُدُوْا/ٱقۡعُدُواْ/uq'udu//مَعَ/مَعَ/ma'a//الْقٰعِدِیْنَ /ٱلۡقَٰعِدِينَ/al-qa'idina",
              "words_bangla": "এবং যদি//তারা ইচ্ছা করতো//বের হওয়ার//তারা অবশ্যই প্রস্তুতি নিতো//জন্যে তার//প্রস্তুতি (যথাযথ)//কিন্তু//অপছন্দ করেছেন//আল্লাহ//অভিযাত্রা তাদের//অতঃপর বিরত রাখলেন তাদেরকে//এবং বলা হলো//\"তোমরা বসে থাকো//সাথে//বসে থাকা লোকদের\""
            },
            {
              "number": 1282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1282.mp3"
              ],
              "text": "لَوْ خَرَجُوا۟ فِيكُم مَّا زَادُوكُمْ إِلَّا خَبَالًۭا وَلَأَوْضَعُوا۟ خِلَٰلَكُمْ يَبْغُونَكُمُ ٱلْفِتْنَةَ وَفِيكُمْ سَمَّٰعُونَ لَهُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّٰلِمِينَ",
              "translate_bn": "যদি তোমাদের সাথে তারা বের হত, তবে তোমাদের অনিষ্ট ছাড়া আর কিছু বৃদ্ধি করতো না, আর অশ্ব ছুটাতো তোমাদের মধ্যে বিভেদ সৃষ্টির উদ্দেশে। আর তোমাদের মাঝে রয়েছে তাদের গুপ্তচর। বস্তুতঃ আল্লাহ যালিমদের ভালভাবেই জানেন।",
              "numberInSurah": 47,
              "juz": 10,
              "manzil": 2,
              "page": 194,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "লাও খারাজূফীকুম মা-ঝা-দুকুম ইল্লা-খাবা-লাওঁ ওয়ালা আও দা‘ঊ খিলা-লাকুম ইয়াবগূনাকুমুল ফিতনাতা ওয়া ফীকুম ছাম্মা-‘ঊনা লাহুম ওয়াল্লা-হু ‘আলীমুম বিজ্জা-লিমীন।",
              "words_arabic": "لَوْ/لَوۡ/law//خَرَجُوْا/خَرَجُواْ/kharaju//فِیْكُمْ/فِيكُم/fikum//مَّا/مَّا/ma//زَادُوْكُمْ/زَادُوكُمۡ/zadukum//اِلَّا/إِلَّا/illa//خَبَالًا/خَبَالٗا/khabalan//وَّ لَاۡاَوْضَعُوْا/وَلَأَوۡضَعُواْ/wala-awda'u//خِلٰلَكُمْ/خِلَٰلَكُمۡ/khilalakum//یَبْغُوْنَكُمُ/يَبۡغُونَكُمُ/yabghunakumu//الْفِتْنَةَ ۚ/ٱلۡفِتۡنَةَ/al-fit'nata//وَ فِیْكُمْ/وَفِيكُمۡ/wafikum//سَمّٰعُوْنَ/سَمَّـٰعُونَ/samma'una//لَهُمْ ؕ/لَهُمۡۗ/lahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالظّٰلِمِیْنَ /بِٱلظَّـٰلِمِينَ/bil-zalimina",
              "words_bangla": "যদি//তারা বের হতো//মধ্যে তোমাদের//না//তোমাদের মধ্যে বাড়াতো (আর কিছু)//এ ছাড়া//বিভ্রান্তি//এবং অবশ্যই তারা ঘোড়া দৌড়াতো (ছুটাছুটি করতো)//মাঝে তোমাদের//তোমাদের মধ্যে তারা চাইতো//বিপর্যয় (সৃষ্টি করতে)//এবং মধ্যে তোমাদের (আছে)//গুপ্তচর (কান দেয়ার লোক)//জন্যে তাদের//এবং আল্লাহ//খুব জানেন//সম্পর্কে সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1283.mp3"
              ],
              "text": "لَقَدِ ٱبْتَغَوُا۟ ٱلْفِتْنَةَ مِن قَبْلُ وَقَلَّبُوا۟ لَكَ ٱلْأُمُورَ حَتَّىٰ جَآءَ ٱلْحَقُّ وَظَهَرَ أَمْرُ ٱللَّهِ وَهُمْ كَٰرِهُونَ",
              "translate_bn": "তারা পূর্বে থেকেই বিভেদ সৃষ্টির সুযোগ সন্ধানে ছিল এবং আপনার কার্যসমূহ উল্টা-পাল্টা করে দিচ্ছিল। শেষ পর্যন্ত সত্য প্রতিশ্রুতি এসে গেল এবং জয়ী হল আল্লাহর হুকুম, যে অবস্থায় তারা মন্দবোধ করল।",
              "numberInSurah": 48,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "লাকাদিব তাগাউল ফিতনাতা মিন কাবলুওয়া কাল্লাবূলাকাল উমূরা হাত্তা-জাআল হাক্কু ওয়া জাহারা আমরুল্লা-হি ওয়া হুম কা-রিহূন।",
              "words_arabic": "لَقَدِ/لَقَدِ/laqadi//ابْتَغَوُا/ٱبۡتَغَوُاْ/ib'taghawu//الْفِتْنَةَ/ٱلۡفِتۡنَةَ/al-fit'nata//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ قَلَّبُوْا/وَقَلَّبُواْ/waqallabu//لَكَ/لَكَ/laka//الْاُمُوْرَ/ٱلۡأُمُورَ/al-umura//حَتّٰی/حَتَّىٰ/hatta//جَآءَ/جَآءَ/jaa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ ظَهَرَ/وَظَهَرَ/wazahara//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//وَ هُمْ/وَهُمۡ/wahum//كٰرِهُوْنَ /كَٰرِهُونَ/karihuna",
              "words_bangla": "নিশ্চয়ই//তারা চেয়েছিলো//বিপর্যয়(সৃষ্টি করতে)//থেকেও//পূর্ব//এবং উল্টাপাল্টা করেছে//জন্যে তোমার//কাজ-কর্ম//যতক্ষণ না//এসেছে//সত্য//ও বিজয়ী হয়েছে//নির্দেশ//আল্লাহর//অথচ তারা//অপছন্দকারী"
            },
            {
              "number": 1284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1284.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَقُولُ ٱئْذَن لِّى وَلَا تَفْتِنِّىٓ ۚ أَلَا فِى ٱلْفِتْنَةِ سَقَطُوا۟ ۗ وَإِنَّ جَهَنَّمَ لَمُحِيطَةٌۢ بِٱلْكَٰفِرِينَ",
              "translate_bn": "আর তাদের কেউ বলে, আমাকে অব্যাহতি দিন এবং পথভ্রষ্ট করবেন না। শোনে রাখ, তারা তো পূর্ব থেকেই পথভ্রষ্ট এবং নিঃসন্দেহে জাহান্নাম এই কাফেরদের পরিবেষ্টন করে রয়েছে।",
              "numberInSurah": 49,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়াকূলু’যাললী ওয়ালা-তাফতিন্নী আলা-ফিল ফিতনাতি ছাকাতূ ওয়া ইন্না জাহান্নামা লামুহীতাতুম বিলকা-ফিরীন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّقُوْلُ/يَقُولُ/yaqulu//ائْذَنْ/ٱئۡذَن/i'dhan//لِّیْ/لِّي/li//وَ لَا/وَلَا/wala//تَفْتِنِّیْ ؕ/تَفۡتِنِّيٓۚ/taftinni//اَلَا/أَلَا/ala//فِی/فِي/fi//الْفِتْنَةِ/ٱلۡفِتۡنَةِ/al-fit'nati//سَقَطُوْا ؕ/سَقَطُواْۗ/saqatu//وَ اِنَّ/وَإِنَّ/wa-inna//جَهَنَّمَ/جَهَنَّمَ/jahannama//لَمُحِیْطَةٌۢ/لَمُحِيطَةُۢ/lamuhitatun//بِالْكٰفِرِیْنَ /بِٱلۡكَٰفِرِينَ/bil-kafirina",
              "words_bangla": "ও মধ্যে তাদের(এমনও আছে)//যে//বলে//\"অব্যাহতি দিন//\"আমাকে//এবং না//আমাকে বিপর্যয়ে ফেলবেন\"//সাবধান (শুনে রাখো)//মধ্যে//বিপর্যয়ের//তারা পড়েছে//এবং নিশ্চয়ই//জাহান্নাম//অবশ্যই পরিবেষ্টনকারী//নিয়ে কাফেরদেরকে"
            },
            {
              "number": 1285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1285.mp3"
              ],
              "text": "إِن تُصِبْكَ حَسَنَةٌۭ تَسُؤْهُمْ ۖ وَإِن تُصِبْكَ مُصِيبَةٌۭ يَقُولُوا۟ قَدْ أَخَذْنَآ أَمْرَنَا مِن قَبْلُ وَيَتَوَلَّوا۟ وَّهُمْ فَرِحُونَ",
              "translate_bn": "আপনার কোন কল্যাণ হলে তারা মন্দবোধ করে এবং কোন বিপদ উপস্থিত হলে তারা বলে, আমরা পূর্ব থেকেই নিজেদের কাজ সামলে নিয়েছি এবং ফিরে যায় উল্লসিত মনে।",
              "numberInSurah": 50,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ইন তুসিবকা হাছানাতুন তাছু’হুম ওয়াইন তুসিবকা মুসিবাতুইঁ ইয়াকূলূকাদ আখাযনাআমরানা-মিন কাবলুওয়া ইয়াতাওয়াল্লাও ওয়া হুম ফারিহূন।",
              "words_arabic": "اِنْ/إِن/in//تُصِبْكَ/تُصِبۡكَ/tusib'ka//حَسَنَةٌ/حَسَنَةٞ/hasanatun//تَسُؤْهُمْ ۚ/تَسُؤۡهُمۡۖ/tasu'hum//وَ اِنْ/وَإِن/wa-in//تُصِبْكَ/تُصِبۡكَ/tusib'ka//مُصِیْبَةٌ/مُصِيبَةٞ/musibatun//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//قَدْ/قَدۡ/qad//اَخَذْنَاۤ/أَخَذۡنَآ/akhadhna//اَمْرَنَا/أَمۡرَنَا/amrana//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ یَتَوَلَّوْا/وَيَتَوَلَّواْ/wayatawallaw//وَّ هُمْ/وَّهُمۡ/wahum//فَرِحُوْنَ /فَرِحُونَ/farihuna",
              "words_bangla": "যদি//তোমার পৌঁছে//কোনো কল্যাণ//তা পীড়া দেয় তাদেরকে//এবং যদি//তোমার পৌঁছে//কোনো বিপদ//তারা বলে//\"নিশ্চয়ই//আমরা (সামলে নিয়েছি)//কাজ আমাদের//থেকেই\"//পূর্ব\"//ও তারা ফিরে যায়//এ অবস্থায় যে তারা//উৎফুল্ল"
            },
            {
              "number": 1286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1286.mp3"
              ],
              "text": "قُل لَّن يُصِيبَنَآ إِلَّا مَا كَتَبَ ٱللَّهُ لَنَا هُوَ مَوْلَىٰنَا ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "আপনি বলুন, আমাদের কাছে কিছুই পৌঁছবে না, কিন্তু যা আল্লাহ আমাদের জন্য রেখেছেন; তিনি আমাদের কার্যনির্বাহক। আল্লাহর উপরই মুমিনদের ভরসা করা উচিত।",
              "numberInSurah": 51,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "কুল লাইঁ ইউসীবানাইল্লা-মা-কাতাবাল্লা-হু লানা- হুওয়া মাওলা-না- ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّنْ/لَّن/lan//یُّصِیْبَنَاۤ/يُصِيبَنَآ/yusibana//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كَتَبَ/كَتَبَ/kataba//اللّٰهُ/ٱللَّهُ/al-lahu//لَنَا ۚ/لَنَا/lana//هُوَ/هُوَ/huwa//مَوْلٰىنَا ۚ/مَوۡلَىٰنَاۚ/mawlana//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "বলো//\"কখনও না//কাছে পৌঁছুবে আমাদের//এ ছাড়া//যা//নির্ধারিত করেছেন//আল্লাহ//জন্যে আমাদের//তিনিই//অভিভাবক আমাদের\"//এবং উপর//আল্লাহরই//নির্ভর করা উচিৎ//মু'মিনদের"
            },
            {
              "number": 1287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1287.mp3"
              ],
              "text": "قُلْ هَلْ تَرَبَّصُونَ بِنَآ إِلَّآ إِحْدَى ٱلْحُسْنَيَيْنِ ۖ وَنَحْنُ نَتَرَبَّصُ بِكُمْ أَن يُصِيبَكُمُ ٱللَّهُ بِعَذَابٍۢ مِّنْ عِندِهِۦٓ أَوْ بِأَيْدِينَا ۖ فَتَرَبَّصُوٓا۟ إِنَّا مَعَكُم مُّتَرَبِّصُونَ",
              "translate_bn": "আপনি বলুন, তোমরা তো তোমাদের জন্যে দুটি কল্যাণের একটি প্রত্যাশা কর; আর আমরা প্রত্যাশায় আছি তোমাদের জন্যে যে, আল্লাহ তোমাদের আযাব দান করুন নিজের পক্ষ থেকে অথবা আমাদের হস্তে। সুতরাং তোমরা অপেক্ষা কর, আমরাও তোমাদের সাথে অপেক্ষমাণ।",
              "numberInSurah": 52,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "কুল হাল তারাব্বাসূনা বিনাইল্লা-ইহদাল হুছনাইয়াইনি ওয়া নাহনুনাতারাব্বাসুবিকুম আইঁ ইউসীবাকুমুল্লা-হু বি‘আযা-বিম মিন ‘ইনদিহী-আও বিআইদীনা- ফাতারাব্বাসূইন্না-মা‘আকুম মুতারাব্বিসূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//تَرَبَّصُوْنَ/تَرَبَّصُونَ/tarabbasuna//بِنَاۤ/بِنَآ/bina//اِلَّاۤ/إِلَّآ/illa//اِحْدَی/إِحۡدَى/ih'da//الْحُسْنَیَیْنِ ؕ/ٱلۡحُسۡنَيَيۡنِۖ/al-hus'nayayni//وَ نَحْنُ/وَنَحۡنُ/wanahnu//نَتَرَبَّصُ/نَتَرَبَّصُ/natarabbasu//بِكُمْ/بِكُمۡ/bikum//اَنْ/أَن/an//یُّصِیْبَكُمُ/يُصِيبَكُمُ/yusibakumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِعَذَابٍ/بِعَذَابٖ/bi'adhabin//مِّنْ/مِّنۡ/min//عِنْدِهٖۤ/عِندِهِۦٓ/indihi//اَوْ/أَوۡ/aw//بِاَیْدِیْنَا ۖؗ/بِأَيۡدِينَاۖ/bi-aydina//فَتَرَبَّصُوْۤا/فَتَرَبَّصُوٓاْ/fatarabbasu//اِنَّا/إِنَّا/inna//مَعَكُمْ/مَعَكُم/ma'akum//مُّتَرَبِّصُوْنَ /مُّتَرَبِّصُونَ/mutarabbisuna",
              "words_bangla": "বলো//\"কি//তোমরা অপেক্ষা করছো//জন্যে আমাদের//এ ছাড়া//একটি//দুই কল্যাণের (অর্থাৎ শাহাদাত বা বিজয়)//এবং আমরা//অপেক্ষা করছি//জন্যে তোমাদের//যে//কাছে পৌঁছাবেন তোমাদের//আল্লাহ//শাস্তি//হতে//তাঁর নিজের নিকট//অথবা//দিয়ে হাত আমাদের(শাস্তি দিবেন)//তাই তোমরা অপেক্ষা করো//নিশ্চয়ই আমরা//সাথে তোমাদের//অপেক্ষাকারী\""
            },
            {
              "number": 1288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1288.mp3"
              ],
              "text": "قُلْ أَنفِقُوا۟ طَوْعًا أَوْ كَرْهًۭا لَّن يُتَقَبَّلَ مِنكُمْ ۖ إِنَّكُمْ كُنتُمْ قَوْمًۭا فَٰسِقِينَ",
              "translate_bn": "আপনি বলুন, তোমরা ইচ্ছায় অর্থ ব্যয় কর বা অনিচ্ছায়, তোমাদের থেকে তা কখনো কবুল হবে না, তোমরা নাফরমানের দল।",
              "numberInSurah": 53,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "কুল আনফিকূতাও‘আন আও কারহাল লাইঁ ইউতাকাব্বালা মিনকুম ইন্নাকুম কুনতুম কাওমান ফা-ছিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَنْفِقُوْا/أَنفِقُواْ/anfiqu//طَوْعًا/طَوۡعًا/taw'an//اَوْ/أَوۡ/aw//كَرْهًا/كَرۡهٗا/karhan//لَّنْ/لَّن/lan//یُّتَقَبَّلَ/يُتَقَبَّلَ/yutaqabbala//مِنْكُمْ ؕ/مِنكُمۡ/minkum//اِنَّكُمْ/إِنَّكُمۡ/innakum//كُنْتُمْ/كُنتُمۡ/kuntum//قَوْمًا/قَوۡمٗا/qawman//فٰسِقِیْنَ /فَٰسِقِينَ/fasiqina",
              "words_bangla": "বলো//\"তোমরা ব্যয় করো//ইচ্ছায়//অথবা//অনিচ্ছায়//কখনও না//গ্রহণ করা হবে (তা)//হতে তোমাদের//নিশ্চয়ই তোমরা//হলে//সম্প্রদায়//সত্যত্যাগী\""
            },
            {
              "number": 1289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1289.mp3"
              ],
              "text": "وَمَا مَنَعَهُمْ أَن تُقْبَلَ مِنْهُمْ نَفَقَٰتُهُمْ إِلَّآ أَنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَبِرَسُولِهِۦ وَلَا يَأْتُونَ ٱلصَّلَوٰةَ إِلَّا وَهُمْ كُسَالَىٰ وَلَا يُنفِقُونَ إِلَّا وَهُمْ كَٰرِهُونَ",
              "translate_bn": "তাদের অর্থ ব্যয় কবুল না হওয়ার এছাড়া আর কোন কারণ নেই যে, তারা আল্লাহ ও তাঁর রসূলের প্রতি অবিশ্বাসী, তারা নামাযে আসে অলসতার সাথে ব্যয় করে সঙ্কুচিত মনে।",
              "numberInSurah": 54,
              "juz": 10,
              "manzil": 2,
              "page": 195,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-মানা‘আহুম আন তুকবালা মিনহুম নাফাকা-তুহুম ইল্লাআন্নাহুম কাফারু বিল্লা-হি ওয়া বিরাছূলিহী ওয়ালা-ইয়া’তূনাসসালা-তা ইল্লা-ওয়া হুম কুছা-লা-ওয়ালা-ইউনফিকূ না ইল্লা-ওয়া হুম কা-রিহূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//مَنَعَهُمْ/مَنَعَهُمۡ/mana'ahum//اَنْ/أَن/an//تُقْبَلَ/تُقۡبَلَ/tuq'bala//مِنْهُمْ/مِنۡهُمۡ/min'hum//نَفَقٰتُهُمْ/نَفَقَٰتُهُمۡ/nafaqatuhum//اِلَّاۤ/إِلَّآ/illa//اَنَّهُمْ/أَنَّهُمۡ/annahum//كَفَرُوْا/كَفَرُواْ/kafaru//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ بِرَسُوْلِهٖ/وَبِرَسُولِهِۦ/wabirasulihi//وَ لَا/وَلَا/wala//یَاْتُوْنَ/يَأۡتُونَ/yatuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//اِلَّا/إِلَّا/illa//وَ هُمْ/وَهُمۡ/wahum//كُسَالٰی/كُسَالَىٰ/kusala//وَ لَا/وَلَا/wala//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//اِلَّا/إِلَّا/illa//وَ هُمْ/وَهُمۡ/wahum//كٰرِهُوْنَ /كَٰرِهُونَ/karihuna",
              "words_bangla": "এবং না//নিষেধ করা হয়েছে তাদেরকে//যে//গ্রহণ করা হবে//থেকে তাদের//অর্থ সাহায্য তাদের//এ ছাড়া (অন্য কোনো কারণে)//যে তারা//অবিশ্বাস করেছে//উপর আল্লাহর//ও উপর রাসূলের তাঁর//এবং না//তারা আসে//সালাতে//ছাড়া//এমতাবস্থায় যে তারা//অলস//এবং না//তারা ব্যয় করে//ছাড়া//এমতাবস্থায় যে তারা//অনিচ্ছুক"
            },
            {
              "number": 1290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1290.mp3"
              ],
              "text": "فَلَا تُعْجِبْكَ أَمْوَٰلُهُمْ وَلَآ أَوْلَٰدُهُمْ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ لِيُعَذِّبَهُم بِهَا فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَتَزْهَقَ أَنفُسُهُمْ وَهُمْ كَٰفِرُونَ",
              "translate_bn": "সুতরাং তাদের ধন-সম্পদ ও সন্তান-সন্ততি যেন আপনাকে বিস্মিত না করে। আল্লাহর ইচ্ছা হল এগুলো দ্বারা দুনিয়ার জীবনে তাদের আযাবে নিপতিত রাখা এবং প্রাণবিয়োগ হওয়া কুফরী অবস্থায়।",
              "numberInSurah": 55,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ফালা-তু‘জিবকা আমওয়া-লুহুম ওয়ালাআওলা-দুহুম ইন্নামা-ইউরীদুল্লা-হু লিইউ‘আযযিবাহুম বিহা-ফিল হায়া-তিদদুনইয়া-ওয়া তাঝহাকা আনফুছুহুম ওয়া হুম কাফিরূন ।",
              "words_arabic": "فَلَا/فَلَا/fala//تُعْجِبْكَ/تُعۡجِبۡكَ/tu'jib'ka//اَمْوَالُهُمْ/أَمۡوَٰلُهُمۡ/amwaluhum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُهُمْ ؕ/أَوۡلَٰدُهُمۡۚ/awladuhum//اِنَّمَا/إِنَّمَا/innama//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُعَذِّبَهُمْ/لِيُعَذِّبَهُم/liyu'adhibahum//بِهَا/بِهَا/biha//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ تَزْهَقَ/وَتَزۡهَقَ/watazhaqa//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//وَ هُمْ/وَهُمۡ/wahum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "অতএব না//তোমাকে বিস্মিত করে (যেন)//ধনসম্পদ তাদের//ও না//সন্তান-সন্ততি তাদের//প্রকৃতপক্ষে//চান//আল্লাহ//যেন শাস্তি দেন তাদের//দিয়ে তা//মধ্যে//জীবনে//পার্থিব//ও চলে যায়//অাত্মা তাদের//এমতাবস্থায় যে তারা//কাফের"
            },
            {
              "number": 1291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1291.mp3"
              ],
              "text": "وَيَحْلِفُونَ بِٱللَّهِ إِنَّهُمْ لَمِنكُمْ وَمَا هُم مِّنكُمْ وَلَٰكِنَّهُمْ قَوْمٌۭ يَفْرَقُونَ",
              "translate_bn": "তারা আল্লাহর নামে হলফ করে বলে যে, তারা তোমাদেরই অন্তর্ভুক্ত, অথচ তারা তোমাদের অন্তর্ভূক্ত নয়, অবশ্য তারা তোমাদের ভয় করে।",
              "numberInSurah": 56,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াহলিফূনা বিল্লা-হি ইন্নাহুম লামিনকুম ওয়ামা-হুম মিনকুম ওয়ালা-কিন্নাহুম কাওমুইঁ ইয়াফরাকূন।",
              "words_arabic": "وَ یَحْلِفُوْنَ/وَيَحۡلِفُونَ/wayahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَمِنْكُمْ ؕ/لَمِنكُمۡ/laminkum//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//مِّنْكُمْ/مِّنكُمۡ/minkum//وَ لٰكِنَّهُمْ/وَلَٰكِنَّهُمۡ/walakinnahum//قَوْمٌ/قَوۡمٞ/qawmun//یَّفْرَقُوْنَ /يَفۡرَقُونَ/yafraquna",
              "words_bangla": "এবং তারা শপথ করে বলে//নামে আল্লাহর//নিশ্চয়ই তারা//অবশ্যই অন্তর্ভুক্ত তোমাদের//কিন্ত না//তারা//অন্তর্ভুক্ত তোমাদের//কিন্তু তারা//(এমন) সম্প্রদায়//(যারা) ভয় করে"
            },
            {
              "number": 1292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1292.mp3"
              ],
              "text": "لَوْ يَجِدُونَ مَلْجَـًٔا أَوْ مَغَٰرَٰتٍ أَوْ مُدَّخَلًۭا لَّوَلَّوْا۟ إِلَيْهِ وَهُمْ يَجْمَحُونَ",
              "translate_bn": "তারা কোন আশ্রয়স্থল, কোন গুহা বা মাথা গোঁজার ঠাই পেলে সেদিকে পলায়ন করবে দ্রুতগতিতে।",
              "numberInSurah": 57,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "লাও ইয়াজিদূনা মালজাআন আও মাগা-রা-তিন আও মুদ্দাখালাল লাওয়াল্লাও ইলাইহি ওয়াহুম ইয়াজমাহূন।",
              "words_arabic": "لَوْ/لَوۡ/law//یَجِدُوْنَ/يَجِدُونَ/yajiduna//مَلْجَاً/مَلۡجَـًٔا/malja-an//اَوْ/أَوۡ/aw//مَغٰرٰتٍ/مَغَٰرَٰتٍ/magharatin//اَوْ/أَوۡ/aw//مُدَّخَلًا/مُدَّخَلٗا/muddakhalan//لَّوَلَّوْا/لَّوَلَّوۡاْ/lawallaw//اِلَیْهِ/إِلَيۡهِ/ilayhi//وَ هُمْ/وَهُمۡ/wahum//یَجْمَحُوْنَ /يَجۡمَحُونَ/yajmahuna",
              "words_bangla": "যদি//তারা পেতো//আশ্রয়স্থল//অথবা//গুহা//অথবা//ঢোকার জায়গা//অবশ্যই তারা ফিরে যেতো//সেদিকে//এ অবস্থায় যে তারা//দ্রুত ছুটে যেতো"
            },
            {
              "number": 1293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1293.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَلْمِزُكَ فِى ٱلصَّدَقَٰتِ فَإِنْ أُعْطُوا۟ مِنْهَا رَضُوا۟ وَإِن لَّمْ يُعْطَوْا۟ مِنْهَآ إِذَا هُمْ يَسْخَطُونَ",
              "translate_bn": "তাদের মধ্যে এমন লোকও রয়েছে যারা সদকা বন্টনে আপনাকে দোষারূপ করে। এর থেকে কিছু পেলে সন্তুষ্ট হয় এবং না পেলে বিক্ষুব্ধ হয়।",
              "numberInSurah": 58,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়ালমিঝুকা ফিসসাদাকা-তি ফাইন উ‘তূমিনহা-রাদূ ওয়াইল্লাম ইউ‘তাও মিনহা-ইযা-হুম ইয়াছখাতূন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّلْمِزُكَ/يَلۡمِزُكَ/yalmizuka//فِی/فِي/fi//الصَّدَقٰتِ ۚ/ٱلصَّدَقَٰتِ/al-sadaqati//فَاِنْ/فَإِنۡ/fa-in//اُعْطُوْا/أُعۡطُواْ/u'tu//مِنْهَا/مِنۡهَا/min'ha//رَضُوْا/رَضُواْ/radu//وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//یُعْطَوْا/يُعۡطَوۡاْ/yu'taw//مِنْهَاۤ/مِنۡهَآ/min'ha//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَسْخَطُوْنَ /يَسۡخَطُونَ/yaskhatuna",
              "words_bangla": "এবং মধ্যে (আছে) তাদের//কেউ কেউ//তোমাকে দোষারোপ করবে//ব্যাপারে//সদকা (বণ্টনের)//কিন্তু যদি//তাদের দেয়া হয়//থেকে তা (কিছু)//তারা খুশি হয়//আর যদি//না//তাদের দেয়া হয়//হতে তা (কিছুই)//তখন//তারা//অসন্তোষ হয়ে যায়"
            },
            {
              "number": 1294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1294.mp3"
              ],
              "text": "وَلَوْ أَنَّهُمْ رَضُوا۟ مَآ ءَاتَىٰهُمُ ٱللَّهُ وَرَسُولُهُۥ وَقَالُوا۟ حَسْبُنَا ٱللَّهُ سَيُؤْتِينَا ٱللَّهُ مِن فَضْلِهِۦ وَرَسُولُهُۥٓ إِنَّآ إِلَى ٱللَّهِ رَٰغِبُونَ",
              "translate_bn": "কতই না ভাল হত, যদি তারা সন্তুষ্ট হত আল্লাহ ও তার রসূলের উপর এবং বলত, আল্লাহই আমাদের জন্যে যথেষ্ট, আল্লাহ আমাদের দেবেন নিজ করুণায় এবং তাঁর রসূলও, আমরা শুধু আল্লাহকেই কামনা করি।",
              "numberInSurah": 59,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 162,
              "hizbQuarter": 78,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্নাহুম রাদূ মাআ-তা-হুমুল্লা-হু ওয়া রাছূলুহূ ওয়া কা-লূহাছবুনাল্লা-হু ছাইউ’তীনাল্লা-হু মিন ফাদলিহী ওয়া রাছূলুহূ ইন্নাইলাল্লা-হি রা-গিবূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//رَضُوْا/رَضُواْ/radu//مَاۤ/مَآ/ma//اٰتٰىهُمُ/ءَاتَىٰهُمُ/atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ ۙ/وَرَسُولُهُۥ/warasuluhu//وَ قَالُوْا/وَقَالُواْ/waqalu//حَسْبُنَا/حَسۡبُنَا/hasbuna//اللّٰهُ/ٱللَّهُ/al-lahu//سَیُؤْتِیْنَا/سَيُؤۡتِينَا/sayu'tina//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ رَسُوْلُهٗۤ ۙ/وَرَسُولُهُۥٓ/warasuluhu//اِنَّاۤ/إِنَّآ/inna//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//رٰغِبُوْنَ۠/رَٰغِبُونَ/raghibuna",
              "words_bangla": "এবং যদি//তারা//খুশি হতো//যা//দিয়েছেন তাদের//আল্লাহ//এবং রাসূল তাঁর//এবং (উত্তম হতো যদি) তারা বলতো//\"আমাদের জন্যে যথেষ্ঠ//আল্লাহই//শীঘ্রই আমাদের দিবেন//আল্লাহ//হতে//অনুগ্রহ তাঁর//ও রাসূল তাঁর//নিশ্চয়ই আমরা//প্রতি//আল্লাহরই//অনুরক্ত\""
            },
            {
              "number": 1295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1295.mp3"
              ],
              "text": "۞ إِنَّمَا ٱلصَّدَقَٰتُ لِلْفُقَرَآءِ وَٱلْمَسَٰكِينِ وَٱلْعَٰمِلِينَ عَلَيْهَا وَٱلْمُؤَلَّفَةِ قُلُوبُهُمْ وَفِى ٱلرِّقَابِ وَٱلْغَٰرِمِينَ وَفِى سَبِيلِ ٱللَّهِ وَٱبْنِ ٱلسَّبِيلِ ۖ فَرِيضَةًۭ مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "যাকাত হল কেবল ফকির, মিসকীন, যাকাত আদায় কারী ও যাদের চিত্ত আকর্ষণ প্রয়োজন তাদে হক এবং তা দাস-মুক্তির জন্যে-ঋণ গ্রস্তদের জন্য, আল্লাহর পথে জেহাদকারীদের জন্যে এবং মুসাফিরদের জন্যে, এই হল আল্লাহর নির্ধারিত বিধান। আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 60,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাসসাদাকা-তুলিলফুকারাই ওয়ালা মাছা-কীনি ওয়াল ‘আ-মিলীনা ‘আলাইহা-ওয়াল মুআল্লাফাতি কুলূবুহুম ওয়া ফিররিকা-বি ওয়াল গা-রিমীনা ওয়া ফী ছাবীলিল্লা-হি ওয়াবনিছ ছাবীলি ফারীদাতাম মিনাল্লা-হি; ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "اِنَّمَا/۞إِنَّمَا/innama//الصَّدَقٰتُ/ٱلصَّدَقَٰتُ/al-sadaqatu//لِلْفُقَرَآءِ/لِلۡفُقَرَآءِ/lil'fuqarai//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ الْعٰمِلِیْنَ/وَٱلۡعَٰمِلِينَ/wal-'amilina//عَلَیْهَا/عَلَيۡهَا/alayha//وَ الْمُؤَلَّفَةِ/وَٱلۡمُؤَلَّفَةِ/wal-mu-alafati//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//وَ فِی/وَفِي/wafi//الرِّقَابِ/ٱلرِّقَابِ/al-riqabi//وَ الْغٰرِمِیْنَ/وَٱلۡغَٰرِمِينَ/wal-gharimina//وَ فِیْ/وَفِي/wafi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ ابْنِ/وَٱبۡنِ/wa-ib'ni//السَّبِیْلِ ؕ/ٱلسَّبِيلِۖ/al-sabili//فَرِیْضَةً/فَرِيضَةٗ/faridatan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "প্রকৃতপক্ষে//সদকা//জন্যে ফকীরদের//ও অভাবগ্রস্তদের//ও কর্মচারীদের (জন্যে)//উপর তার//ও আকৃষ্ট করতে (দীনের প্রতি)//অন্তর তাদের//এবং ক্ষেত্রে//গলদেশের মুক্তিদানের (অর্থাৎ দাস মুক্তির)//ও ঋণগ্রস্তদের (সাহায্যে)//ও মধ্যে//পথের//আল্লাহর (অর্থাৎ জিহাদে)//ও ছেলে//পথের//নির্ধারিত//হতে//আল্লাহর//এবং আল্লাহ//সবকিছুই জানেন//মহাবিজ্ঞ"
            },
            {
              "number": 1296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1296.mp3"
              ],
              "text": "وَمِنْهُمُ ٱلَّذِينَ يُؤْذُونَ ٱلنَّبِىَّ وَيَقُولُونَ هُوَ أُذُنٌۭ ۚ قُلْ أُذُنُ خَيْرٍۢ لَّكُمْ يُؤْمِنُ بِٱللَّهِ وَيُؤْمِنُ لِلْمُؤْمِنِينَ وَرَحْمَةٌۭ لِّلَّذِينَ ءَامَنُوا۟ مِنكُمْ ۚ وَٱلَّذِينَ يُؤْذُونَ رَسُولَ ٱللَّهِ لَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "আর তাদের মধ্যে কেউ কেউ নবীকে ক্লেশ দেয়, এবং বলে, এ লোকটি তো কানসর্বস্ব। আপনি বলে দিন, কান হলেও তোমাদেরই মঙ্গলের জন্য, আল্লাহর উপর বিশ্বাস রাখে এবং বিশ্বাস রাখে মুসলমানদের কথার উপর। বস্তুতঃ তোমাদের মধ্যে যারা ঈমানদার তাদের জন্য তিনি রহমতবিশেষ। আর যারা আল্লাহর রসূলের প্রতি কুৎসা রটনা করে, তাদের জন্য রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 61,
              "juz": 10,
              "manzil": 2,
              "page": 196,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুমুল্লাযীনা ইউ’যূনান্নাবিইইয়া ওয়া ইয়াকূলূনা হুওয়া উযুনুন কুল উযুনু খাইরিল্লাকুম ইউ’মিনুবিল্লা-হি ওয়া ইউ’মিনুলিলমু’মিনীনা ওয়া রাহমাতুল লিল্লাযীনা আ-মানূ মিনকুম ওয়াল্লাযীনা ইউ’যূনা রাছুলাল্লা-হি লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "وَ مِنْهُمُ/وَمِنۡهُمُ/wamin'humu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْذُوْنَ/يُؤۡذُونَ/yu'dhuna//النَّبِیَّ/ٱلنَّبِيَّ/al-nabiya//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//هُوَ/هُوَ/huwa//اُذُنٌ ؕ/أُذُنٞۚ/udhunun//قُلْ/قُلۡ/qul//اُذُنُ/أُذُنُ/udhunu//خَیْرٍ/خَيۡرٖ/khayrin//لَّكُمْ/لَّكُمۡ/lakum//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ یُؤْمِنُ/وَيُؤۡمِنُ/wayu'minu//لِلْمُؤْمِنِیْنَ/لِلۡمُؤۡمِنِينَ/lil'mu'minina//وَ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُؤْذُوْنَ/يُؤۡذُونَ/yu'dhuna//رَسُوْلَ/رَسُولَ/rasula//اللّٰهِ/ٱللَّهِ/al-lahi//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং মধ্যে (আছে) তাদের//যারা//কষ্ট দেয়//নাবীকে//এবং তারা বলে//\"সে//কান (কথা শুনে)\"//বলো//\"কান (কথা শুনা)//উত্তম//জন্যে তোমাদের//সে ঈমান রাখে//উপর আল্লাহর//ও বিশ্বাস করে//প্রতি মু'মিনদের//ও দয়া//(তাদের) জন্যে যারা//ঈমান এনেছে//মধ্য থেকে তোমাদের\"//এবং যারা//কষ্ট দেয়//রাসূলকে//আল্লাহর//জন্যে তাদের(রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 1297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1297.mp3"
              ],
              "text": "يَحْلِفُونَ بِٱللَّهِ لَكُمْ لِيُرْضُوكُمْ وَٱللَّهُ وَرَسُولُهُۥٓ أَحَقُّ أَن يُرْضُوهُ إِن كَانُوا۟ مُؤْمِنِينَ",
              "translate_bn": "তোমাদের সামনে আল্লাহর কসম খায় যাতে তোমাদের রাযী করতে পারে। অবশ্য তারা যদি ঈমানদার হয়ে থাকে, তবে আল্লাহকে এবং তাঁর রসূলকে রাযী করা অত্যন্ত জরুরী।",
              "numberInSurah": 62,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ইয়াহলিফূনা বিল্লা-হি লাকুম লিইউরদূ কুম ওয়াল্লা-হু ওয়া রাছূলুহূআহাক্কুআইঁ ইউরদূ হু ইন কা-নূমু’মিনীন।",
              "words_arabic": "یَحْلِفُوْنَ/يَحۡلِفُونَ/yahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//لَكُمْ/لَكُمۡ/lakum//لِیُرْضُوْكُمْ ۚ/لِيُرۡضُوكُمۡ/liyur'dukum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَ رَسُوْلُهٗۤ/وَرَسُولُهُۥٓ/warasuluhu//اَحَقُّ/أَحَقُّ/ahaqqu//اَنْ/أَن/an//یُّرْضُوْهُ/يُرۡضُوهُ/yur'duhu//اِنْ/إِن/in//كَانُوْا/كَانُواْ/kanu//مُؤْمِنِیْنَ /مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "তারা শপথ করে//নামে আল্লাহর//জন্যে তোমাদের//যেন খুশি করতে পারে তোমাদেরকে//এবং আল্লাহ//ও রাসূল তাঁর//অধিকযোগ্য//যে//তাকে সন্তুষ্ট করবে তারা//যদি//তারা হয়//মু'মিন"
            },
            {
              "number": 1298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1298.mp3"
              ],
              "text": "أَلَمْ يَعْلَمُوٓا۟ أَنَّهُۥ مَن يُحَادِدِ ٱللَّهَ وَرَسُولَهُۥ فَأَنَّ لَهُۥ نَارَ جَهَنَّمَ خَٰلِدًۭا فِيهَا ۚ ذَٰلِكَ ٱلْخِزْىُ ٱلْعَظِيمُ",
              "translate_bn": "তারা কি একথা জেনে নেয়নি যে, আল্লাহর সাথে এবং তাঁর রসূলের সাথে যে মোকাবেলা করে তার জন্যে নির্ধারিত রয়েছে দোযখ; তাতে সব সময় থাকবে। এটিই হল মহা-অপমান।",
              "numberInSurah": 63,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া‘লামূআন্নাহূমাইঁ ইউহা-দিদিল্লা-হা ওয়া রাছূলাহূফাআন্না লাহূনা-রা জাহান্নামা খা-লিদান ফীহা- যা-লিকাল খিঝইউল ‘আজীম।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَعْلَمُوْۤا/يَعۡلَمُوٓاْ/ya'lamu//اَنَّهٗ/أَنَّهُۥ/annahu//مَنْ/مَن/man//یُّحَادِدِ/يُحَادِدِ/yuhadidi//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//فَاَنَّ/فَأَنَّ/fa-anna//لَهٗ/لَهُۥ/lahu//نَارَ/نَارَ/nara//جَهَنَّمَ/جَهَنَّمَ/jahannama//خَالِدًا/خَٰلِدٗا/khalidan//فِیْهَا ؕ/فِيهَاۚ/fiha//ذٰلِكَ/ذَٰلِكَ/dhalika//الْخِزْیُ/ٱلۡخِزۡيُ/al-khiz'yu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "কি না//তারা জানে//নিশ্চিত যে//যে ব্যক্তি//বিরোধিতা করে//আল্লাহর//ও রাসূলের তাঁর (সাথে)//অতঃপর নিশ্চয়ই//জন্যে তার(রয়েছে)//আগুন//জাহান্নামের//সে চিরস্থায়ী হবে//মধ্যে তার//এটা//অপমান//চরম"
            },
            {
              "number": 1299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1299.mp3"
              ],
              "text": "يَحْذَرُ ٱلْمُنَٰفِقُونَ أَن تُنَزَّلَ عَلَيْهِمْ سُورَةٌۭ تُنَبِّئُهُم بِمَا فِى قُلُوبِهِمْ ۚ قُلِ ٱسْتَهْزِءُوٓا۟ إِنَّ ٱللَّهَ مُخْرِجٌۭ مَّا تَحْذَرُونَ",
              "translate_bn": "মুনাফেকরা এ ব্যাপারে ভয় করে যে, মুসলমানদের উপর না এমন কোন সূরা নাযিল হয়, যাতে তাদের অন্তরের গোপন বিষয় অবহিত করা হবে। সুতরাং আপনি বলে দিন, ঠাট্টা-বিদ্রপ করতে থাক; আল্লাহ তা অবশ্যই প্রকাশ করবেন যার ব্যাপারে তোমরা ভয় করছ।",
              "numberInSurah": 64,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ইয়াহযারুল মুনা-ফিকূনা আন তুনাঝঝালা ‘আলাইহিম ছূরাতুন তুনাব্বিউহুম বিমা-ফী কুলূবিহিম কুলিছ তাহঝিঊ ইন্নাল্লা-হা মুখরিজুম মা-তাহযারুন।",
              "words_arabic": "یَحْذَرُ/يَحۡذَرُ/yahdharu//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//اَنْ/أَن/an//تُنَزَّلَ/تُنَزَّلَ/tunazzala//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سُوْرَةٌ/سُورَةٞ/suratun//تُنَبِّئُهُمْ/تُنَبِّئُهُم/tunabbi-uhum//بِمَا/بِمَا/bima//فِیْ/فِي/fi//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۚ/qulubihim//قُلِ/قُلِ/quli//اسْتَهْزِءُوْا ۚ/ٱسۡتَهۡزِءُوٓاْ/is'tahziu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مُخْرِجٌ/مُخۡرِجٞ/mukh'rijun//مَّا/مَّا/ma//تَحْذَرُوْنَ /تَحۡذَرُونَ/tahdharuna",
              "words_bangla": "ভয় করে//মুনাফিকরা//(যে) না//অবতীর্ণ হবে//সম্পর্কে তাদের//কোনো সূরাহ//জানিয়ে দিবে তাদেরকে//ঐ বিষয় যা//মধ্যে (আছে)//অন্তরে তাদের//বলো//\"তোমরা ঠাট্টা করো//নিশ্চয়ই//আল্লাহ//প্রকাশকারী//যা//তোমরা ভয় করছো\""
            },
            {
              "number": 1300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1300.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُمْ لَيَقُولُنَّ إِنَّمَا كُنَّا نَخُوضُ وَنَلْعَبُ ۚ قُلْ أَبِٱللَّهِ وَءَايَٰتِهِۦ وَرَسُولِهِۦ كُنتُمْ تَسْتَهْزِءُونَ",
              "translate_bn": "আর যদি তুমি তাদের কাছে জিজ্ঞেস কর, তবে তারা বলবে, আমরা তো কথার কথা বলছিলাম এবং কৌতুক করছিলাম। আপনি বলুন, তোমরা কি আল্লাহর সাথে, তাঁর হুকুম আহকামের সাথে এবং তাঁর রসূলের সাথে ঠাট্টা করছিলে?",
              "numberInSurah": 65,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম লাইয়াকূলুন্না ইন্নামা-কুন্না-নাখূদুওয়া নাল‘আবু কুল আবিল্লাহি ওয়া আ-য়া-তিহী ওয়া রাছূলিহী কুনতুম তাছতাহঝিঊন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُمۡ/sa-altahum//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اِنَّمَا/إِنَّمَا/innama//كُنَّا/كُنَّا/kunna//نَخُوْضُ/نَخُوضُ/nakhudu//وَ نَلْعَبُ ؕ/وَنَلۡعَبُۚ/wanal'abu//قُلْ/قُلۡ/qul//اَبِاللّٰهِ/أَبِٱللَّهِ/abil-lahi//وَ اٰیٰتِهٖ/وَءَايَٰتِهِۦ/waayatihi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//كُنْتُمْ/كُنتُمۡ/kuntum//تَسْتَهْزِءُوْنَ /تَسۡتَهۡزِءُونَ/tastahziuna",
              "words_bangla": "এবং  অবশ্যই যদি//তুমি প্রশ্ন করো তাদের//অবশ্যই তারা বলবেই//\"প্রকৃত পক্ষে//আমরা ছিলো//আলাপ-আলোচনা করতে//ও আমরা কৌতুক করতেছিলাম\"//বলো//\"কি সাথে আল্লাহর//ও আয়াতের তাঁর(সাথে)//ও রাসূলের তাঁর (সাথে)//তোমরা ছিলে//তোমরা ঠাট্টা করতে\""
            },
            {
              "number": 1301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1301.mp3"
              ],
              "text": "لَا تَعْتَذِرُوا۟ قَدْ كَفَرْتُم بَعْدَ إِيمَٰنِكُمْ ۚ إِن نَّعْفُ عَن طَآئِفَةٍۢ مِّنكُمْ نُعَذِّبْ طَآئِفَةًۢ بِأَنَّهُمْ كَانُوا۟ مُجْرِمِينَ",
              "translate_bn": "ছলনা কর না, তোমরা যে কাফের হয়ে গেছ ঈমান প্রকাশ করার পর। তোমাদের মধ্যে কোন কোন লোককে যদি আমি ক্ষমা করে দেইও, তবে অবশ্য কিছু লোককে আযাবও দেব। কারণ, তারা ছিল গোনাহগার।",
              "numberInSurah": 66,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 163,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "লা- তা‘তাযিরূকাদ কাফারতুম বা‘দা ঈমা-নিকুম ইন না‘ফু‘আন তাইফাতিম মিনকুম নুআ‘যযিব তাইফাতাম বিআন্নাহুম কা-নূমুজরিমীন।",
              "words_arabic": "لَا/لَا/la//تَعْتَذِرُوْا/تَعۡتَذِرُواْ/ta'tadhiru//قَدْ/قَدۡ/qad//كَفَرْتُمْ/كَفَرۡتُم/kafartum//بَعْدَ/بَعۡدَ/ba'da//اِیْمَانِكُمْ ؕ/إِيمَٰنِكُمۡۚ/imanikum//اِنْ/إِن/in//نَّعْفُ/نَّعۡفُ/na'fu//عَنْ/عَن/an//طَآىِٕفَةٍ/طَآئِفَةٖ/taifatin//مِّنْكُمْ/مِّنكُمۡ/minkum//نُعَذِّبْ/نُعَذِّبۡ/nu'adhib//طَآىِٕفَةًۢ/طَآئِفَةَۢ/taifatan//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَانُوْا/كَانُواْ/kanu//مُجْرِمِیْنَ۠/مُجۡرِمِينَ/muj'rimina",
              "words_bangla": "না//তোমরা অজুহাত পেশ করো//নিশ্চয়ই//তোমার অবিশ্বাস করেছো//পরেও//তোমাদের ঈমান আনার//যদিও//ক্ষমা করি আমরা//হতে//একদল (তার অপরাধ)//মধ্য থেকে তোমাদের//আমরা (তবে)শাস্তি দিবো//(অপর)এক দলকে//কারণ নিশ্চয়ই তারা//ছিলো//অপরাধী"
            },
            {
              "number": 1302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1302.mp3"
              ],
              "text": "ٱلْمُنَٰفِقُونَ وَٱلْمُنَٰفِقَٰتُ بَعْضُهُم مِّنۢ بَعْضٍۢ ۚ يَأْمُرُونَ بِٱلْمُنكَرِ وَيَنْهَوْنَ عَنِ ٱلْمَعْرُوفِ وَيَقْبِضُونَ أَيْدِيَهُمْ ۚ نَسُوا۟ ٱللَّهَ فَنَسِيَهُمْ ۗ إِنَّ ٱلْمُنَٰفِقِينَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "মুনাফেক নর-নারী সবারই গতিবিধি একরকম; শিখায় মন্দ কথা, ভাল কথা থেকে বারণ করে এবং নিজ মুঠো বন্ধ রাখে। আল্লাহকে ভুলে গেছে তার, কাজেই তিনিও তাদের ভূলে গেছেন নিঃসন্দেহে মুনাফেকরাই নাফরমান।",
              "numberInSurah": 67,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "আল মুনা-ফিকূনা ওয়াল মুনা-ফিকা-তুবা‘দুহুম মিম বা‘দ । ইয়া’মুরূনা বিল মুনকারি ওয়া ইয়ানহাওনা ‘আনিল মা‘রূফি ওয়া ইয়াকবিদূনা আইদিয়াহুম নাছুল্লা-হা ফানাছিয়াহুম ইন্নাল মুনা-ফিকীনা হুমুল ফা-ছিকূ ন।",
              "words_arabic": "اَلْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//وَ الْمُنٰفِقٰتُ/وَٱلۡمُنَٰفِقَٰتُ/wal-munafiqatu//بَعْضُهُمْ/بَعۡضُهُم/ba'duhum//مِّنْۢ/مِّنۢ/min//بَعْضٍ ۘ/بَعۡضٖۚ/ba'din//یَاْمُرُوْنَ/يَأۡمُرُونَ/yamuruna//بِالْمُنْكَرِ/بِٱلۡمُنكَرِ/bil-munkari//وَ یَنْهَوْنَ/وَيَنۡهَوۡنَ/wayanhawna//عَنِ/عَنِ/ani//الْمَعْرُوْفِ/ٱلۡمَعۡرُوفِ/al-ma'rufi//وَ یَقْبِضُوْنَ/وَيَقۡبِضُونَ/wayaqbiduna//اَیْدِیَهُمْ ؕ/أَيۡدِيَهُمۡۚ/aydiyahum//نَسُوا/نَسُواْ/nasu//اللّٰهَ/ٱللَّهَ/al-laha//فَنَسِیَهُمْ ؕ/فَنَسِيَهُمۡۚ/fanasiyahum//اِنَّ/إِنَّ/inna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//هُمُ/هُمُ/humu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "মুনাফেক পুরুষ//ও মুনাফেক নারী//একে তারা//অংশ//অপরের (অনুরূপ)//তারা নির্দেশ দেয়//ব্যাপারে অন্যায় কাজের//ও তারা নিষেধ করে//হতে//সৎ কাজ//ও তারা গুটিয়ে রাখে//হাত তাদের (ভালো কাজ হতে)//তারা ভুলে গেছে//আল্লাহকে//তাই তিনি ভুলে গেলেন তাদেরকে//নিশ্চয়ই//মুনাফিকরা//তারাই//সত্যত্যাগী"
            },
            {
              "number": 1303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1303.mp3"
              ],
              "text": "وَعَدَ ٱللَّهُ ٱلْمُنَٰفِقِينَ وَٱلْمُنَٰفِقَٰتِ وَٱلْكُفَّارَ نَارَ جَهَنَّمَ خَٰلِدِينَ فِيهَا ۚ هِىَ حَسْبُهُمْ ۚ وَلَعَنَهُمُ ٱللَّهُ ۖ وَلَهُمْ عَذَابٌۭ مُّقِيمٌۭ",
              "translate_bn": "ওয়াদা করেছেন আল্লাহ, মুনাফেক পুরুষ ও মুনাফেক নারীদের এবং কাফেরদের জন্যে দোযখের আগুনের-তাতে পড়ে থাকবে সর্বদা। সেটাই তাদের জন্যে যথেষ্ট। আর আল্লাহ তাদের প্রতি অভিসম্পাত করেছেন এবং তাদের জন্যে রয়েছে স্থায়ী আযাব।",
              "numberInSurah": 68,
              "juz": 10,
              "manzil": 2,
              "page": 197,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘আদাল্লা-হুল মুনা-ফিকীনা ওয়াল মুনা-ফিকা-তি ওয়াল কুফফা-রা না-রা জাহান্নামা খালিদীনা ফীহা- হিয়া হাছবুহুম ওয়া লা‘আনাহুমুল্লা-হু ওয়া লাহুম ‘আযা-বুম মুকীম।",
              "words_arabic": "وَعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//وَ الْمُنٰفِقٰتِ/وَٱلۡمُنَٰفِقَٰتِ/wal-munafiqati//وَ الْكُفَّارَ/وَٱلۡكُفَّارَ/wal-kufara//نَارَ/نَارَ/nara//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//هِیَ/هِيَ/hiya//حَسْبُهُمْ ۚ/حَسۡبُهُمۡۚ/hasbuhum//وَ لَعَنَهُمُ/وَلَعَنَهُمُ/wala'anahumu//اللّٰهُ ۚ/ٱللَّهُۖ/al-lahu//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٞ/adhabun//مُّقِیْمٌۙ/مُّقِيمٞ/muqimun",
              "words_bangla": "প্রতিশ্রুতি দিয়েছেন//আল্লাহ//মুনাফিক পুরুষদের (জন্যে)//ও মুনাফিক নারীদের (জন্যে)//ও কাফেরদের (জন্যে)//আগুন//জাহান্নামের//তারা চিরস্থায়ী হবে//মধ্যে তার//তা//তাদের জন্যে যথেষ্ঠ//ও তাদের উপর অভিশাপ করেছেন//আল্লাহ//ও জন্যে তাদের (রয়েছে)//শাস্তি//স্থায়ী"
            },
            {
              "number": 1304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1304.mp3"
              ],
              "text": "كَٱلَّذِينَ مِن قَبْلِكُمْ كَانُوٓا۟ أَشَدَّ مِنكُمْ قُوَّةًۭ وَأَكْثَرَ أَمْوَٰلًۭا وَأَوْلَٰدًۭا فَٱسْتَمْتَعُوا۟ بِخَلَٰقِهِمْ فَٱسْتَمْتَعْتُم بِخَلَٰقِكُمْ كَمَا ٱسْتَمْتَعَ ٱلَّذِينَ مِن قَبْلِكُم بِخَلَٰقِهِمْ وَخُضْتُمْ كَٱلَّذِى خَاضُوٓا۟ ۚ أُو۟لَٰٓئِكَ حَبِطَتْ أَعْمَٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "যেমন করে তোমাদের পূর্ববর্তী লোকেরা তোমাদের চেয়ে বেশী ছিল শক্তিতে এবং ধন-সম্পদের ও সন্তান-সন্ততির অধিকারীও ছিল বেশী; অতঃপর উপকৃত হয়েছে নিজেদের ভাগের দ্বারা আবার তোমরা ফায়দা উঠিয়েছ তোমাদের ভাগের দ্বারা-যেমন করে তোমাদের পূর্ববর্তীরা ফায়দা উঠিয়েছিল নিজেদের ভাগের দ্বারা। আর তোমরাও বলছ তাদেরই চলন অনুযায়ী। তারা ছিল সে লোক, যাদের আমলসমূহ নিঃশেষিত হয়ে গেছে দুনিয়া ও আখেরাতে। আর তারাই হয়েছে ক্ষতির সম্মুখীন।",
              "numberInSurah": 69,
              "juz": 10,
              "manzil": 2,
              "page": 198,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "কাল্লাযীনা মিন কাবলিকুম কা-নূআশাদ্দা মিনকুম কুওওয়াতাওঁ ওয়া আকছারা আমওয়ালাওঁ ওয়া আওলা-দান ফাছতামতা‘ঊ বিখালা-কিহিম ফাছতামতা‘তুম বিখালা-কিকুম কামাছতামতা‘আল্লাযীনা মিন কাবলিকুম বিখালা-কিহিম ওয়া খুদতুম কাল্লাযী খা-দূ উলাইকা হাবিতাত আ‘মা-লুহুম ফিদ দুনইয়া-ওয়াল আ-খিরাতি ওয়া উলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//كَانُوْۤا/كَانُوٓاْ/kanu//اَشَدَّ/أَشَدَّ/ashadda//مِنْكُمْ/مِنكُمۡ/minkum//قُوَّةً/قُوَّةٗ/quwwatan//وَّ اَكْثَرَ/وَأَكۡثَرَ/wa-akthara//اَمْوَالًا/أَمۡوَٰلٗا/amwalan//وَّ اَوْلَادًا ؕ/وَأَوۡلَٰدٗا/wa-awladan//فَاسْتَمْتَعُوْا/فَٱسۡتَمۡتَعُواْ/fa-is'tamta'u//بِخَلَاقِهِمْ/بِخَلَٰقِهِمۡ/bikhalaqihim//فَاسْتَمْتَعْتُمْ/فَٱسۡتَمۡتَعۡتُم/fa-is'tamta'tum//بِخَلَاقِكُمْ/بِخَلَٰقِكُمۡ/bikhalaqikum//كَمَا/كَمَا/kama//اسْتَمْتَعَ/ٱسۡتَمۡتَعَ/is'tamta'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُم/qablikum//بِخَلَاقِهِمْ/بِخَلَٰقِهِمۡ/bikhalaqihim//وَ خُضْتُمْ/وَخُضۡتُمۡ/wakhud'tum//كَالَّذِیْ/كَٱلَّذِي/ka-alladhi//خَاضُوْا ؕ/خَاضُوٓاْۚ/khadu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//حَبِطَتْ/حَبِطَتۡ/habitat//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ۚ/وَٱلۡأٓخِرَةِۖ/wal-akhirati//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "(তাদের) মতো যারা//থেকে//পূর্ব তোমাদের(ছিলো)//তারা ছিলো//প্রবলতর//চেয়ে তোমাদের//শক্তিতে//ও অধিক//ধনসম্পদে//ও সন্তান-সন্তুতিতে//অতঃপর তারা ভোগ করেছে//তাদের//এখন তোমরা ভোগ করেছো//তোমাদের//যেমন//ভোগ করেছে//যারা//থেকে//পূর্ব তোমাদের (ছিলো)//তাদের//ও তোমরা আলাপ-আলোচনা করেছো//মতো তাদের যারা//তারা আলাপ-আলোচনা করেছে//ঐসব লোকের//নষ্ট হয়েছে//কাজকর্ম তাদের//মধ্যে//পৃথিবীর//এবং আখেরাতেও//এবং ঐসব লোক//তারাই//ক্ষতিগ্রস্ত"
            },
            {
              "number": 1305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1305.mp3"
              ],
              "text": "أَلَمْ يَأْتِهِمْ نَبَأُ ٱلَّذِينَ مِن قَبْلِهِمْ قَوْمِ نُوحٍۢ وَعَادٍۢ وَثَمُودَ وَقَوْمِ إِبْرَٰهِيمَ وَأَصْحَٰبِ مَدْيَنَ وَٱلْمُؤْتَفِكَٰتِ ۚ أَتَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ ۖ فَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "তাদের সংবাদ কি এদের কানে এসে পৌঁছায়নি, যারা ছিল তাদের পূর্বে; নূহের আ’দের ও সামুদের সম্প্রদায় এবং ইব্রাহীমের সম্প্রদায়ের এবং মাদইয়ানবাসীদের? এবং সেসব জনপদের যেগুলোকে উল্টে দেয়া হয়েছিল? তাদের কাছে এসেছিলেন তাদের নবী পরিষ্কার নির্দেশ নিয়ে। বস্তুতঃ আল্লাহ তো এমন ছিলেন না যে, তাদের উপর জুলুম করতেন, কিন্তু তারা নিজেরাই নিজেদের উপর জুলুম করতো।",
              "numberInSurah": 70,
              "juz": 10,
              "manzil": 2,
              "page": 198,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া’তিহিম নাবাউল্লাযীনা মিন কাবলিহিম কাওমি নূহিওঁ ওয়া ‘আ-দিওঁ ওয়া ছামূদা ওয়া কাওমি ইবরা-হীমা ওয়া আসহা-বি মাদইয়ানা ওয়াল মু’তাফিকা-তি আতাতহুম রুছুলুহুম বিলবাইয়িনা-তি ফামা-কা-নাল্লা-হু লিইয়াজলিমাহুম ওয়ালা-কিন কা-নূআনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَاْتِهِمْ/يَأۡتِهِمۡ/yatihim//نَبَاُ/نَبَأُ/naba-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//قَوْمِ/قَوۡمِ/qawmi//نُوْحٍ/نُوحٖ/nuhin//وَّ عَادٍ/وَعَادٖ/wa'adin//وَّ ثَمُوْدَ ۙ۬/وَثَمُودَ/wathamuda//وَ قَوْمِ/وَقَوۡمِ/waqawmi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اَصْحٰبِ/وَأَصۡحَٰبِ/wa-ashabi//مَدْیَنَ/مَدۡيَنَ/madyana//وَ الْمُؤْتَفِكٰتِ ؕ/وَٱلۡمُؤۡتَفِكَٰتِۚ/wal-mu'tafikati//اَتَتْهُمْ/أَتَتۡهُمۡ/atathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ ۚ/بِٱلۡبَيِّنَٰتِۖ/bil-bayinati//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَظْلِمَهُمْ/لِيَظۡلِمَهُمۡ/liyazlimahum//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "কি নি//তাদের কাছে আসে//সংবাদ//(তাদের) যারা//থেকে//পূর্ব তাদের(ছিলো)//(যেমন) জাতি//নূহের//ও আদের//ও সামুদের//ও জাতি//ইবরাহীমের//ও অধিবাসী//মাদইয়ানের//ও বিধ্বস্ত নগরের//তাদের কাছে এসেছিলো//রাসূলরা তাদের//নিয়ে সুস্পষ্ট নিদর্শন//অতঃপর//নন//আল্লাহ (এমন যে)//তাদের উপর অবিচার করবেন//কিন্তু//তারা ছিলো//তাদের নিজেদের উপর//অবিচার করতো"
            },
            {
              "number": 1306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1306.mp3"
              ],
              "text": "وَٱلْمُؤْمِنُونَ وَٱلْمُؤْمِنَٰتُ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍۢ ۚ يَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَيُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَيُطِيعُونَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ أُو۟لَٰٓئِكَ سَيَرْحَمُهُمُ ٱللَّهُ ۗ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "আর ঈমানদার পুরুষ ও ঈমানদার নারী একে অপরের সহায়ক। তারা ভাল কথার শিক্ষা দেয় এবং মন্দ থেকে বিরত রাখে। নামায প্রতিষ্ঠা করে, যাকাত দেয় এবং আল্লাহ ও তাঁর রসূলের নির্দেশ অনুযায়ী জীবন যাপন করে। এদেরই উপর আল্লাহ তা’আলা দয়া করবেন। নিশ্চয়ই আল্লাহ পরাক্রমশীল, সুকৌশলী।",
              "numberInSurah": 71,
              "juz": 10,
              "manzil": 2,
              "page": 198,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মু’মিনূনা ওয়াল মু’মিনা-তুবা‘দুহুম আওলিয়াউ বা‘দ । ইয়া’মুরূনা বিল মা‘রূফি ওয়া ইয়ানহাওনা ‘আনিল মুনকারি ওয়া ইউকীমূনাসসালা-তা ওয়া ইউ’তূনাঝঝাকা-তা ওয়া ইউতী‘ঊনাল্লা-হা ওয়া রাছূলাহূ উলাইকা ছাইয়ারহামুহুমুল্লা-হু ইন্নাল্লা-হা ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ الْمُؤْمِنُوْنَ/وَٱلۡمُؤۡمِنُونَ/wal-mu'minuna//وَ الْمُؤْمِنٰتُ/وَٱلۡمُؤۡمِنَٰتُ/wal-mu'minatu//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//بَعْضٍ ۘ/بَعۡضٖۚ/ba'din//یَاْمُرُوْنَ/يَأۡمُرُونَ/yamuruna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ یَنْهَوْنَ/وَيَنۡهَوۡنَ/wayanhawna//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ یُقِیْمُوْنَ/وَيُقِيمُونَ/wayuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُؤْتُوْنَ/وَيُؤۡتُونَ/wayu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ یُطِیْعُوْنَ/وَيُطِيعُونَ/wayuti'una//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ؕ/وَرَسُولَهُۥٓۚ/warasulahu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//سَیَرْحَمُهُمُ/سَيَرۡحَمُهُمُ/sayarhamuhumu//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং মু'মিন পুরুষ//মু'মিন নারী//একে তারা//বন্ধু//অপরের//তারা নির্দেশ দেয়//ব্যাপারে সৎকাজের//ও তারা নিষেধ করে//হতে//অন্যায় কাজ//ও প্রতিষ্ঠা করে//সালাত//ও তারা দেয়//জাকাত//ও তারা আনুগত্য করে//আল্লাহর//ও রাসূলের তাঁর//ঐসব লোক//শীঘ্রই তাদের উপর অনুগ্রহ করবেন//আল্লাহ//নিশ্চয়ই//আল্লাহ//মহাপরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 1307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1307.mp3"
              ],
              "text": "وَعَدَ ٱللَّهُ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا وَمَسَٰكِنَ طَيِّبَةًۭ فِى جَنَّٰتِ عَدْنٍۢ ۚ وَرِضْوَٰنٌۭ مِّنَ ٱللَّهِ أَكْبَرُ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আল্লাহ ঈমানদার পুরুষ ও ঈমানদার নারীদের প্রতিশ্রুতি দিয়েছেনে কানন-কুঞ্জের, যার তলদেশে প্রবাহিত হয় প্রস্রবণ। তারা সে গুলোরই মাঝে থাকবে। আর এসব কানন-কুঞ্জে থাকবে পরিচ্ছন্ন থাকার ঘর। বস্তুতঃ এ সমুদয়ের মাঝে সবচেয়ে বড় হল আল্লাহর সন্তুষ্টি। এটিই হল মহান কৃতকার্যতা।",
              "numberInSurah": 72,
              "juz": 10,
              "manzil": 2,
              "page": 198,
              "ruku": 164,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আদাল্লা-হুল মু’মিনীনা ওয়াল মু’মিনা-তি জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-ওয়া মাছা-কিনা তাইয়িবাতান ফী জান্না-তি ‘আদনিওঁ ওয়া রিদওয়ানুম মিনাল্লা-হি আকবারু যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "وَعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//وَ مَسٰكِنَ/وَمَسَٰكِنَ/wamasakina//طَیِّبَةً/طَيِّبَةٗ/tayyibatan//فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//عَدْنٍ ؕ/عَدۡنٖۚ/adnin//وَ رِضْوَانٌ/وَرِضۡوَٰنٞ/warid'wanun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اَكْبَرُ ؕ/أَكۡبَرُۚ/akbaru//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ۠/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "প্রতিশ্রুতি দিয়েছেন//আল্লাহ//মু'মিন পুরুষদের জন্যে//ও মু'মিন নারীদের (জন্যে)//জান্নাতের//প্রবাহিত হয়//হতে//নিচ তার//ঝর্নাধারা//তারা চিরিস্থায়ী হবে//মধ্যে তার//ও (প্রতিশ্রুতি) বসবাসস্থানের//পবিত্র//মধ্যে//জান্নাতের//চিরস্থায়ী//ও সন্তুষ্টি//পক্ষ থেকে//আল্লাহর//সবচেয়ে বড়//এটাই//সেই//সাফল্য//মহা"
            },
            {
              "number": 1308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1308.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ جَٰهِدِ ٱلْكُفَّارَ وَٱلْمُنَٰفِقِينَ وَٱغْلُظْ عَلَيْهِمْ ۚ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "হে নবী, কাফেরদের সাথে যুদ্ধ করুন এবং মুনাফেকদের সাথে তাদের সাথে কঠোরতা অবলম্বন করুন। তাদের ঠিকানা হল দোযখ এবং তাহল নিকৃষ্ট ঠিকানা।",
              "numberInSurah": 73,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুজা-হিদিল কুফফা-রা ওয়াল মুনা-ফিকীনা ওয়াগলুজ‘আলাইহিম ওয়া মা’ওয়া-হুম জাহান্নামু ওয়া বি’ছাল মাসীর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//جَاهِدِ/جَٰهِدِ/jahidi//الْكُفَّارَ/ٱلۡكُفَّارَ/al-kufara//وَ الْمُنٰفِقِیْنَ/وَٱلۡمُنَٰفِقِينَ/wal-munafiqina//وَ اغْلُظْ/وَٱغۡلُظۡ/wa-ugh'luz//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//وَ مَاْوٰىهُمْ/وَمَأۡوَىٰهُمۡ/wamawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "হে//নাবী//জিহাদ করো//কাফেরদের বিরুদ্ধে//ও মুনাফিকদের (বিরুদ্ধে)//ও কঠোর হও//প্রতি তাদের//এবং তাদের ঠিকানা//জাহান্নাম//ও (তা) অতি নিকৃষ্ট//প্রত্যাবর্তন স্হান"
            },
            {
              "number": 1309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1309.mp3"
              ],
              "text": "يَحْلِفُونَ بِٱللَّهِ مَا قَالُوا۟ وَلَقَدْ قَالُوا۟ كَلِمَةَ ٱلْكُفْرِ وَكَفَرُوا۟ بَعْدَ إِسْلَٰمِهِمْ وَهَمُّوا۟ بِمَا لَمْ يَنَالُوا۟ ۚ وَمَا نَقَمُوٓا۟ إِلَّآ أَنْ أَغْنَىٰهُمُ ٱللَّهُ وَرَسُولُهُۥ مِن فَضْلِهِۦ ۚ فَإِن يَتُوبُوا۟ يَكُ خَيْرًۭا لَّهُمْ ۖ وَإِن يَتَوَلَّوْا۟ يُعَذِّبْهُمُ ٱللَّهُ عَذَابًا أَلِيمًۭا فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۚ وَمَا لَهُمْ فِى ٱلْأَرْضِ مِن وَلِىٍّۢ وَلَا نَصِيرٍۢ",
              "translate_bn": "তারা কসম খায় যে, আমরা বলিনি, অথচ নিঃসন্দেহে তারা বলেছে কুফরী বাক্য এবং মুসলমান হবার পর অস্বীকৃতিজ্ঞাপনকারী হয়েছে। আর তারা কামনা করেছিল এমন বস্তুর যা তারা প্রাপ্ত হয়নি। আর এসব তারই পরিণতি ছিল যে, আল্লাহ ও তাঁর রসূল তাদেরকে সম্পদশালী করে দিয়েছিলেন নিজের অনুগ্রহের মাধ্যমে। বস্তুতঃ এরা যদি তওবা করে নেয়, তবে তাদের জন্য মঙ্গল। আর যদি তা না মানে, তবে তাদের কে আযাব দেবেন আল্লাহ তা’আলা, বেদনাদায়ক আযাব দুনিয়া ও আখেরাতে। অতএব, বিশ্বচরাচরে তাদের জন্য কোন সাহায্যকারী-সমর্থক নেই।",
              "numberInSurah": 74,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 79,
              "sajda": false,
              "pronunciation_bn": "ইয়াহলিফূনা বিল্লা-হি মা-কা-লূ ওয়া লাকাদ কা-লূকালিমাতাল কুফরি ওয়া কাফারূ বা‘দা ইছলা-মিহিম ওয়া হাম্মূবিমা-লাম ইয়ানা-লূ ওয়া মা-নাকামূইল্লাআন আগনাহুমুল্লা-হু ওয়া রাছূলুহূমিন ফাদলিহী ফাইয়ঁইয়াতূবূইয়াকুখাইরাল্লাহুম ওয়াইয়ঁ ইয়াতাওয়াল্লাও ইউ‘আযযিবহুমুল্লা-হু ‘আযা-বান আলীমান ফিদদুনইয়া-ওয়াল আখিরাতি ওয়ামা-লাহুম ফিলআরদিমিওঁ ওয়ালিওয়িওঁ ওয়ালা-নাসীর।",
              "words_arabic": "یَحْلِفُوْنَ/يَحۡلِفُونَ/yahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مَا/مَا/ma//قَالُوْا ؕ/قَالُواْ/qalu//وَ لَقَدْ/وَلَقَدۡ/walaqad//قَالُوْا/قَالُواْ/qalu//كَلِمَةَ/كَلِمَةَ/kalimata//الْكُفْرِ/ٱلۡكُفۡرِ/al-kuf'ri//وَ كَفَرُوْا/وَكَفَرُواْ/wakafaru//بَعْدَ/بَعۡدَ/ba'da//اِسْلَامِهِمْ/إِسۡلَٰمِهِمۡ/is'lamihim//وَ هَمُّوْا/وَهَمُّواْ/wahammu//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//یَنَالُوْا ۚ/يَنَالُواْۚ/yanalu//وَ مَا/وَمَا/wama//نَقَمُوْۤا/نَقَمُوٓاْ/naqamu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَنۡ/an//اَغْنٰىهُمُ/أَغۡنَىٰهُمُ/aghnahumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//مِنْ/مِن/min//فَضْلِهٖ ۚ/فَضۡلِهِۦۚ/fadlihi//فَاِنْ/فَإِن/fa-in//یَّتُوْبُوْا/يَتُوبُواْ/yatubu//یَكُ/يَكُ/yaku//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ ۚ/لَّهُمۡۖ/lahum//وَ اِنْ/وَإِن/wa-in//یَّتَوَلَّوْا/يَتَوَلَّوۡاْ/yatawallaw//یُعَذِّبْهُمُ/يُعَذِّبۡهُمُ/yu'adhib'humu//اللّٰهُ/ٱللَّهُ/al-lahu//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا ۙ/أَلِيمٗا/aliman//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ۚ/وَٱلۡأٓخِرَةِۚ/wal-akhirati//وَ مَا/وَمَا/wama//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ /نَصِيرٖ/nasirin",
              "words_bangla": "তারা শপথ করে (বলে)//নামে আল্লাহর//না//তারা বলেছে//অথচ নিশ্চয়ই//তারা বলেছে//কথা//অবিশ্বাসের//এবং তারা অবিশ্বাস করেছে//পরেও//তাদের ইসলাম গ্রহণের//ও তারা ইচ্ছে করেছিলো//বিষয়ে এমন যা//নি//তাদের হাতে পৌঁছে//এবং না//তারা প্রতিশোধ নিচ্ছে//এছাড়া (অন্যকিছুর)//যে//ধনী করেছিলেন তাদের//আল্লাহ//ও  রাসূল তাঁর//দিয়ে//অনুগ্রহ তাঁর//অতএব যদি//তারা তওবা করে//তা হবে//উত্তম//জন্যে তাদের//এবং যদি//তারা ফিরে যায়//শাস্তি দিবেন তাদেরকে//আল্লাহ//শাস্তি//অতি কষ্টদায়ক//মধ্যে//পৃথিবীর//ও আখেরাতে//এবং না//জন্যে তাদের (আছে)//মধ্যে//পৃথিবীর//কোনো//বন্ধু//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 1310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1310.mp3"
              ],
              "text": "۞ وَمِنْهُم مَّنْ عَٰهَدَ ٱللَّهَ لَئِنْ ءَاتَىٰنَا مِن فَضْلِهِۦ لَنَصَّدَّقَنَّ وَلَنَكُونَنَّ مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "তাদের মধ্যে কেউ কেউ রয়েছে যারা আল্লাহ তা’আলার সাথে ওয়াদা করেছিল যে, তিনি যদি আমাদের প্রতি অনুগ্রহ দান করেন, তবে অবশ্যই আমরা ব্যয় করব এবং সৎকর্মীদের অন্তর্ভুক্ত হয়ে থাকব।",
              "numberInSurah": 75,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুমঁমান ‘আ-হাদাল্লা-হা লাইন আ-তা-না-মিন ফাদলিহী লানাসসাদ্দাকান্না ওয়া লানাকূনান্না মিনাসসা-লিহীন।",
              "words_arabic": "وَ مِنْهُمْ/۞وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//عٰهَدَ/عَٰهَدَ/ahada//اللّٰهَ/ٱللَّهَ/al-laha//لَىِٕنْ/لَئِنۡ/la-in//اٰتٰىنَا/ءَاتَىٰنَا/atana//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//لَنَصَّدَّقَنَّ/لَنَصَّدَّقَنَّ/lanassaddaqanna//وَ لَنَكُوْنَنَّ/وَلَنَكُونَنَّ/walanakunanna//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "ও তাদের মধ্যে (আছে)//কেউ কেউ//অঙ্গীকার করেছিলো//আল্লাহর কাছে//\"অবশ্যই যদি//আমাদের দেন (আল্লাহ)//হতে//অনুগ্রহ তাঁর//অবশ্যই আমরা সদকা করবোই//এবং অবশ্যই আমরা হবো//অন্তর্ভুক্ত//সৎলোকদের\""
            },
            {
              "number": 1311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1311.mp3"
              ],
              "text": "فَلَمَّآ ءَاتَىٰهُم مِّن فَضْلِهِۦ بَخِلُوا۟ بِهِۦ وَتَوَلَّوا۟ وَّهُم مُّعْرِضُونَ",
              "translate_bn": "অতঃপর যখন তাদেরকে স্বীয় অনুগ্রহের মাধ্যমে দান করা হয়, তখন তাতে কার্পণ্য করেছে এবং কৃত ওয়াদা থেকে ফিরে গেছে তা ভেঙ্গে দিয়ে।",
              "numberInSurah": 76,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআ-তা-হুম মিন ফাদলিহী বাখিলূবিহী ওয়া তাওয়াল্লাওঁ ওয়াহুম মু‘রিদূন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اٰتٰىهُمْ/ءَاتَىٰهُم/atahum//مِّنْ/مِّن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//بَخِلُوْا/بَخِلُواْ/bakhilu//بِهٖ/بِهِۦ/bihi//وَ تَوَلَّوْا/وَتَوَلَّواْ/watawallaw//وَّ هُمْ/وَّهُم/wahum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "অতঃপর যখন//তিনি দান করলেন তাদেরকে//থেকে//অনুগ্রহ তাঁর//তারা কৃপণতা করলো//সাথে তার//ও তারা বিমুখ হলো//এমতাবস্হায় যে তারা//বিরুদ্ধভাবাপন্ন (হয়ে গেলো)"
            },
            {
              "number": 1312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1312.mp3"
              ],
              "text": "فَأَعْقَبَهُمْ نِفَاقًۭا فِى قُلُوبِهِمْ إِلَىٰ يَوْمِ يَلْقَوْنَهُۥ بِمَآ أَخْلَفُوا۟ ٱللَّهَ مَا وَعَدُوهُ وَبِمَا كَانُوا۟ يَكْذِبُونَ",
              "translate_bn": "তারপর এরই পরিণতিতে তাদের অন্তরে কপটতা স্থান করে নিয়েছে সেদিন পর্যন্ত, যেদিন তার তাঁর সাথে গিয়ে মিলবে। তা এজন্য যে, তারা আল্লাহর সাথে কৃত ওয়াদা লংঘন করেছিল এবং এজন্যে যে, তারা মিথ্যা কথা বলতো।",
              "numberInSurah": 77,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ফাআ‘কাবাহুম নিফা-কান ফী কুলূবিহিম ইলা-ইয়াওমি ইয়ালকাওনাহূবিমাআখলাফুল্লা-হা মা-ওয়া‘আদূহু ওয়া বিমা-কা-নূইয়াকযিবূন।",
              "words_arabic": "فَاَعْقَبَهُمْ/فَأَعۡقَبَهُمۡ/fa-a'qabahum//نِفَاقًا/نِفَاقٗا/nifaqan//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//یَلْقَوْنَهٗ/يَلۡقَوۡنَهُۥ/yalqawnahu//بِمَاۤ/بِمَآ/bima//اَخْلَفُوا/أَخۡلَفُواْ/akhlafu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//وَعَدُوْهُ/وَعَدُوهُ/wa'aduhu//وَ بِمَا/وَبِمَا/wabima//كَانُوْا/كَانُواْ/kanu//یَكْذِبُوْنَ /يَكۡذِبُونَ/yakdhibuna",
              "words_bangla": "তাই তিনি সাজা দিলেন তাদেরকে//মুনাফেকী (দিয়ে)//মধ্যে//অন্তরে তাদের//পর্যন্ত//সেদিন করবে তারা//তাঁর সাথে সাক্ষাত//এ কারণে যে//তারা ভঙ্গ করেছিলো//আল্লাহর (সাথে)//যা//তারা প্রতিশ্রুতি দিয়েছিলো তাঁকে//এবং এ কারণেও (সাজা পেলো) যে//তারা ছিলো//তারা মিথ্যা বলতে"
            },
            {
              "number": 1313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1313.mp3"
              ],
              "text": "أَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ سِرَّهُمْ وَنَجْوَىٰهُمْ وَأَنَّ ٱللَّهَ عَلَّٰمُ ٱلْغُيُوبِ",
              "translate_bn": "তারা কি জেনে নেয়নি যে, আল্লাহ তাদের রহস্য ও শলা-পরামর্শ সম্পর্কে অবগত এবং আল্লাহ খুব ভাল করেই জানেন সমস্ত গোপন বিষয় ?",
              "numberInSurah": 78,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া‘লামূআন্নাল্লা-হা ইয়া‘লামুছিররাহুম ওয়া নাজওয়া-হুম ওয়া আন্নাল্লা-হা ‘আল্লামুল গুইঊব।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَعْلَمُوْۤا/يَعۡلَمُوٓاْ/ya'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//سِرَّهُمْ/سِرَّهُمۡ/sirrahum//وَ نَجْوٰىهُمْ/وَنَجۡوَىٰهُمۡ/wanajwahum//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//عَلَّامُ/عَلَّـٰمُ/allamu//الْغُیُوْبِۚ/ٱلۡغُيُوبِ/al-ghuyubi",
              "words_bangla": "কি না//তারা জানে//যে//আল্লাহ//জানেন//তাদের গোপন (কথা)//ও তাদের গোপন পরামর্শ//এবং (তারা জানে না) যে//আল্লাহ//খুব জানেন//গোপন বিষয়গুলো"
            },
            {
              "number": 1314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1314.mp3"
              ],
              "text": "ٱلَّذِينَ يَلْمِزُونَ ٱلْمُطَّوِّعِينَ مِنَ ٱلْمُؤْمِنِينَ فِى ٱلصَّدَقَٰتِ وَٱلَّذِينَ لَا يَجِدُونَ إِلَّا جُهْدَهُمْ فَيَسْخَرُونَ مِنْهُمْ ۙ سَخِرَ ٱللَّهُ مِنْهُمْ وَلَهُمْ عَذَابٌ أَلِيمٌ",
              "translate_bn": "সে সমস্ত লোক যারা ভৎর্সনা-বিদ্রূপ করে সেসব মুসলমানদের প্রতি যারা মন খুলে দান-খয়রাত করে এবং তাদের প্রতি যাদের কিছুই নেই শুধুমাত্র নিজের পরিশ্রমলব্দ বস্তু ছাড়া। অতঃপর তাদের প্রতি ঠাট্টা করে। আল্লাহ তাদের প্রতি ঠাট্টা করেছেন এবং তাদের জন্য রয়েছে বেদনাদায়ক আযাব।",
              "numberInSurah": 79,
              "juz": 10,
              "manzil": 2,
              "page": 199,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়ালমিঝূনাল মুত্তাওবি‘ঈনা মিনাল মু’মিনীনা ফিসসাদাকা-তি ওয়াল্লাযীনা লা-ইয়াজিদূ না ইল্লা-জুহদাহুম ফাইয়াছখারূনা মিনহুম ছাখিরাল্লা-হু মিনহুম ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَلْمِزُوْنَ/يَلۡمِزُونَ/yalmizuna//الْمُطَّوِّعِیْنَ/ٱلۡمُطَّوِّعِينَ/al-mutawi'ina//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//فِی/فِي/fi//الصَّدَقٰتِ/ٱلصَّدَقَٰتِ/al-sadaqati//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یَجِدُوْنَ/يَجِدُونَ/yajiduna//اِلَّا/إِلَّا/illa//جُهْدَهُمْ/جُهۡدَهُمۡ/juh'dahum//فَیَسْخَرُوْنَ/فَيَسۡخَرُونَ/fayaskharuna//مِنْهُمْ ؕ/مِنۡهُمۡ/min'hum//سَخِرَ/سَخِرَ/sakhira//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْهُمْ ؗ/مِنۡهُمۡ/min'hum//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "যারা//দোষারোপ করে//স্বতঃস্ফুর্তভাবে দানকারীদেরকে//মধ্য হতে//মু'মিনদের//ব্যাপারে//দানের//এবং (তাদেরকেও) যারা//না//পায় (কোনো কিছু দান করতে)//এ ছাড়া//শ্রম তাদের//তাই তারা ঠাট্টা করে//সম্পর্কে তাদের//ঠাট্টা করেন//আল্লাহ//ব্যাপারে তাদের (বিদ্রুপকারীদেরকে)//এবং জন্যে তাদের (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 1315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1315.mp3"
              ],
              "text": "ٱسْتَغْفِرْ لَهُمْ أَوْ لَا تَسْتَغْفِرْ لَهُمْ إِن تَسْتَغْفِرْ لَهُمْ سَبْعِينَ مَرَّةًۭ فَلَن يَغْفِرَ ٱللَّهُ لَهُمْ ۚ ذَٰلِكَ بِأَنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَٰسِقِينَ",
              "translate_bn": "তুমি তাদের জন্য ক্ষমা প্রার্থনা কর আর না কর। যদি তুমি তাদের জন্য সত্তর বারও ক্ষমাপ্রার্থনা কর, তথাপি কখনোই তাদেরকে আল্লাহ ক্ষমা করবেন না। তা এজন্য যে, তারা আল্লাহকে এবং তাঁর রসূলকে অস্বীকার করেছে। বস্তুতঃ আল্লাহ না-ফারমানদেরকে পথ দেখান না।",
              "numberInSurah": 80,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 165,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ইছতাগফির লাহুম আও লা-তাছতাগফির লাহুম ইন তাছতাগফির লাহুম ছাব‘ঈনা মাররাতান ফালাই ইয়াগফিরাল্লা-হু লাহুম যা-লিকা বিআন্নাহুম কাফারূবিল্লা-হি ওয়া রাছূলিহী ওয়াল্লা-হু লা-ইয়াহদিল কাওমাল ফা-ছিকীন।",
              "words_arabic": "اِسْتَغْفِرْ/ٱسۡتَغۡفِرۡ/is'taghfir//لَهُمْ/لَهُمۡ/lahum//اَوْ/أَوۡ/aw//لَا/لَا/la//تَسْتَغْفِرْ/تَسۡتَغۡفِرۡ/tastaghfir//لَهُمْ ؕ/لَهُمۡ/lahum//اِنْ/إِن/in//تَسْتَغْفِرْ/تَسۡتَغۡفِرۡ/tastaghfir//لَهُمْ/لَهُمۡ/lahum//سَبْعِیْنَ/سَبۡعِينَ/sab'ina//مَرَّةً/مَرَّةٗ/marratan//فَلَنْ/فَلَن/falan//یَّغْفِرَ/يَغۡفِرَ/yaghfira//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ ؕ/لَهُمۡۚ/lahum//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَفَرُوْا/كَفَرُواْ/kafaru//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ ؕ/وَرَسُولِهِۦۗ/warasulihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْفٰسِقِیْنَ۠/ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "ক্ষমা প্রার্থনা করো তুমি//জন্যে তাদের//অথবা//না//ক্ষমা প্রার্থনা করো//জন্যে তাদের(একই কথা)//(এমনকি) যদি//ক্ষমা প্রার্থনা করো তুমি//জন্যে তাদের//সত্তর//বারও//তারপরও কখনও না//ক্ষমা করবেন//আল্লাহ//প্রতি তাদের//এটা//এজন্যে যে তারা//অবিশ্বাস করেছে//প্রতি আল্লাহর//ও তাঁর রাসূলের//এবং আল্লাহ//না//সঠিক পথ দেখান//(এমন) সম্প্রদায়কে//(যারা) সত্যত্যাগী"
            },
            {
              "number": 1316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1316.mp3"
              ],
              "text": "فَرِحَ ٱلْمُخَلَّفُونَ بِمَقْعَدِهِمْ خِلَٰفَ رَسُولِ ٱللَّهِ وَكَرِهُوٓا۟ أَن يُجَٰهِدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ وَقَالُوا۟ لَا تَنفِرُوا۟ فِى ٱلْحَرِّ ۗ قُلْ نَارُ جَهَنَّمَ أَشَدُّ حَرًّۭا ۚ لَّوْ كَانُوا۟ يَفْقَهُونَ",
              "translate_bn": "পেছনে থেকে যাওয়া লোকেরা আল্লাহর রসূল থেকে বিচ্ছিন্ন হয়ে বসে থাকতে পেরে আনন্দ লাভ করেছে; আর জান ও মালের দ্বারা আল্লাহর রাহে জেহাদ করতে অপছন্দ করেছে এবং বলেছে, এই গরমের মধ্যে অভিযানে বের হয়ো না। বলে দাও, উত্তাপে জাহান্নামের আগুন প্রচন্ডতম। যদি তাদের বিবেচনা শক্তি থাকত।",
              "numberInSurah": 81,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ফারিহাল মুখাল্লাফূনা বিমাক‘আদিহিম খিলা-ফা রাছূলিল্লা-হি ওয়া কারিহূআইঁ ইউজাহিদূ বিআমওয়া-লিহিম ওয়া আনফুছিহিম ফী ছাবীলিল্লা-হি ওয়া কা-লূলা-তানফিরূফিল হাররি কুল না-রু জাহান্নামা আশাদ্দুহাররাল লাও কা-নুইয়াফকাহূন।",
              "words_arabic": "فَرِحَ/فَرِحَ/fariha//الْمُخَلَّفُوْنَ/ٱلۡمُخَلَّفُونَ/al-mukhalafuna//بِمَقْعَدِهِمْ/بِمَقۡعَدِهِمۡ/bimaq'adihim//خِلٰفَ/خِلَٰفَ/khilafa//رَسُوْلِ/رَسُولِ/rasuli//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَرِهُوْۤا/وَكَرِهُوٓاْ/wakarihu//اَنْ/أَن/an//یُّجَاهِدُوْا/يُجَٰهِدُواْ/yujahidu//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ/وَأَنفُسِهِمۡ/wa-anfusihim//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَالُوْا/وَقَالُواْ/waqalu//لَا/لَا/la//تَنْفِرُوْا/تَنفِرُواْ/tanfiru//فِی/فِي/fi//الْحَرِّ ؕ/ٱلۡحَرِّۗ/al-hari//قُلْ/قُلۡ/qul//نَارُ/نَارُ/naru//جَهَنَّمَ/جَهَنَّمَ/jahannama//اَشَدُّ/أَشَدُّ/ashaddu//حَرًّا ؕ/حَرّٗاۚ/harran//لَوْ/لَّوۡ/law//كَانُوْا/كَانُواْ/kanu//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "খুশি হয়েছে//পিছনে থাকা লোকেরা//নিয়ে বসে থাকা তাদের//বিরোধিতা করে//রাসূলের//আল্লাহর//এবং তারা অপছন্দ করেছে//যে//তারা জেহাদ করবে//দিয়ে ধনসসম্পদ তাদের//ও প্রাণ(দিয়ে)তাদের//মধ্যে//পথের//আল্লাহর//এবং তারা বললো//\"না//তোমরা অভিযানে যেও//মধ্যে//গরমের\"//বলো//\"আগুন//জাহান্নামের//প্রচন্ডতম//গরম\"//যদি//তারা থাকতো//তারা বুঝে"
            },
            {
              "number": 1317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1317.mp3"
              ],
              "text": "فَلْيَضْحَكُوا۟ قَلِيلًۭا وَلْيَبْكُوا۟ كَثِيرًۭا جَزَآءًۢ بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "অতএব, তারা সামান্য হেসে নিক এবং তারা তাদের কৃতকর্মের বদলাতে অনেক বেশী কাঁদবে।",
              "numberInSurah": 82,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াদহাকূকালীলাওঁ ওয়াল ইয়াবকূকাছীরান জাঝাআম বিমা-কা-নূ ইয়াকছিবূন।",
              "words_arabic": "فَلْیَضْحَكُوْا/فَلۡيَضۡحَكُواْ/falyadhaku//قَلِیْلًا/قَلِيلٗا/qalilan//وَّ لْیَبْكُوْا/وَلۡيَبۡكُواْ/walyabku//كَثِیْرًا ۚ/كَثِيرٗا/kathiran//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "অতএব হাসা উচিৎ তাদের//অল্প//ও কাঁদা উচিৎ তাদের//বেশি//প্রতিফল//পরিবর্তে যাকিছু//তারা ছিলো//অর্জন করে আসছে"
            },
            {
              "number": 1318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1318.mp3"
              ],
              "text": "فَإِن رَّجَعَكَ ٱللَّهُ إِلَىٰ طَآئِفَةٍۢ مِّنْهُمْ فَٱسْتَـْٔذَنُوكَ لِلْخُرُوجِ فَقُل لَّن تَخْرُجُوا۟ مَعِىَ أَبَدًۭا وَلَن تُقَٰتِلُوا۟ مَعِىَ عَدُوًّا ۖ إِنَّكُمْ رَضِيتُم بِٱلْقُعُودِ أَوَّلَ مَرَّةٍۢ فَٱقْعُدُوا۟ مَعَ ٱلْخَٰلِفِينَ",
              "translate_bn": "বস্তুতঃ আল্লাহ যদি তোমাকে তাদের মধ্য থেকে কোন শ্রেণীবিশেষের দিকে ফিরিয়ে নিয়ে যান এবং অতঃপর তারা তোমার কাছে অভিযানে বেরোবার অনুমতি কামনা করে, তবে তুমি বলো যে, তোমরা কখনো আমার সাথে বেরোবে না এবং আমার পক্ষ হয়ে কোন শত্রুর সাথে যুদ্ধ করবে না, তোমরা তো প্রথমবারে বসে থাকা পছন্দ করেছ, কাজেই পেছনে পড়ে থাকা লোকদের সাথেই বসে থাক।",
              "numberInSurah": 83,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ফাইওঁ ওাজা‘আকাল্লা-হু ইলা-তাইফাতিম মিনহুম ফাছতা’যানূকা লিলখুরূজি ফাকুল লান তাখরুজূমা‘ইয়া আবাদাওঁ ওয়া লান তুকা-তিলূমা‘ইয়া ‘আদুওওয়ান ইন্নাকুম রাদীতুম বিল কু‘ঊদি আওওয়ালা মাররাতিন ফাক‘উদূমা‘আল খা-লিফীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//رَّجَعَكَ/رَّجَعَكَ/raja'aka//اللّٰهُ/ٱللَّهُ/al-lahu//اِلٰی/إِلَىٰ/ila//طَآىِٕفَةٍ/طَآئِفَةٖ/taifatin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فَاسْتَاْذَنُوْكَ/فَٱسۡتَـٔۡذَنُوكَ/fa-is'tadhanuka//لِلْخُرُوْجِ/لِلۡخُرُوجِ/lil'khuruji//فَقُلْ/فَقُل/faqul//لَّنْ/لَّن/lan//تَخْرُجُوْا/تَخۡرُجُواْ/takhruju//مَعِیَ/مَعِيَ/ma'iya//اَبَدًا/أَبَدٗا/abadan//وَّ لَنْ/وَلَن/walan//تُقَاتِلُوْا/تُقَٰتِلُواْ/tuqatilu//مَعِیَ/مَعِيَ/ma'iya//عَدُوًّا ؕ/عَدُوًّاۖ/aduwwan//اِنَّكُمْ/إِنَّكُمۡ/innakum//رَضِیْتُمْ/رَضِيتُم/raditum//بِالْقُعُوْدِ/بِٱلۡقُعُودِ/bil-qu'udi//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ/مَرَّةٖ/marratin//فَاقْعُدُوْا/فَٱقۡعُدُواْ/fa-uq'udu//مَعَ/مَعَ/ma'a//الْخٰلِفِیْنَ /ٱلۡخَٰلِفِينَ/al-khalifina",
              "words_bangla": "অতঃপর যদি//তোমাকে ফিরিয়ে আনেন//আল্লাহ//দিকে//কোনো দলের//মধ্য থেকে তাদের//তবে তোমার কাছে তারা অনুমতি চাইবে//জন্যে বের হওয়ার//তখন বলো//\"না কিছুতেই//তোমরা বের হবে//আমার সাথে//কখনও//এবং কখনও না//তোমরা যুদ্ধ করবে//আমার সাথে//কোনো শত্রুর (বিরুদ্ধে)//নিশ্চয়ই তোমরা//তোমরাই পছন্দ করেছিলে//বিষয়কে বসে থাকার//প্রথম//বার//অতএব তোমরা বসে থাকো//সাথে//বসে থাকা লোকদের\""
            },
            {
              "number": 1319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1319.mp3"
              ],
              "text": "وَلَا تُصَلِّ عَلَىٰٓ أَحَدٍۢ مِّنْهُم مَّاتَ أَبَدًۭا وَلَا تَقُمْ عَلَىٰ قَبْرِهِۦٓ ۖ إِنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَمَاتُوا۟ وَهُمْ فَٰسِقُونَ",
              "translate_bn": "আর তাদের মধ্য থেকে কারো মৃত্যু হলে তার উপর কখনও নামায পড়বেন না এবং তার কবরে দাঁড়াবেন না। তারা তো আল্লাহর প্রতি অস্বীকৃতি জ্ঞাপন করেছে এবং রসূলের প্রতিও। বস্তুতঃ তারা না ফরমান অবস্থায় মৃত্যু বরণ করেছে।",
              "numberInSurah": 84,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুসালিল ‘আলাআহাদিম মিনহুম মা-তা আবাদাওঁ ওয়ালা-তাকুম ‘আলা-কাবরিহী ইন্নাহুম কাফারূবিল্লা-হি ওয়া রাছূলিহী ওয়ামা-তূওয়াহুম ফা-ছিকূ ন।\r\n",
              "words_arabic": "وَ لَا/وَلَا/wala//تُصَلِّ/تُصَلِّ/tusalli//عَلٰۤی/عَلَىٰٓ/ala//اَحَدٍ/أَحَدٖ/ahadin//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّاتَ/مَّاتَ/mata//اَبَدًا/أَبَدٗا/abadan//وَّ لَا/وَلَا/wala//تَقُمْ/تَقُمۡ/taqum//عَلٰی/عَلَىٰ/ala//قَبْرِهٖ ؕ/قَبۡرِهِۦٓۖ/qabrihi//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَفَرُوْا/كَفَرُواْ/kafaru//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ مَاتُوْا/وَمَاتُواْ/wamatu//وَ هُمْ/وَهُمۡ/wahum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "এবং না//তুমি সালাত পড়বে//উপর//কারও//মধ্য থেকে তাদের//মরে গেলে//কখনও//এবং না//দাঁড়াবে তুমি//পাশে//কবরের তার//নিশ্চয়ই তারা//অবিশ্বাস করেছে//প্রতি আল্লাহর//ও তাঁর রাসূলের//এবং তারা মরে গেছে//এ অবস্থায় যে তারা (ছিলো)//সত্যত্যাগী"
            },
            {
              "number": 1320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1320.mp3"
              ],
              "text": "وَلَا تُعْجِبْكَ أَمْوَٰلُهُمْ وَأَوْلَٰدُهُمْ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ أَن يُعَذِّبَهُم بِهَا فِى ٱلدُّنْيَا وَتَزْهَقَ أَنفُسُهُمْ وَهُمْ كَٰفِرُونَ",
              "translate_bn": "আর বিস্মিত হয়ো না তাদের ধন সম্পদ ও সন্তান-সন্তুতির দরুন। আল্লাহ তো এই চান যে, এ সবের কারণে তাদেরকে আযাবের ভেতরে রাখবেন দুনিয়ায় এবং তাদের প্রাণ নির্গত হওয়া পর্যন্ত যেন তারা কাফেরই থাকে।",
              "numberInSurah": 85,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তু‘জিবকা আমওয়া-লুহুম ওয়াআওলা-দুহুম ইন্নামা-ইউরীদুল্লা-হু আইঁ ইউ‘আযযিবাহুম বিহা-ফিদদুনইয়া-ওয়া তাঝহাকা আনফুছুহুম ওয়া হুম কা-ফিরূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُعْجِبْكَ/تُعۡجِبۡكَ/tu'jib'ka//اَمْوَالُهُمْ/أَمۡوَٰلُهُمۡ/amwaluhum//وَ اَوْلَادُهُمْ ؕ/وَأَوۡلَٰدُهُمۡۚ/wa-awladuhum//اِنَّمَا/إِنَّمَا/innama//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یُّعَذِّبَهُمْ/يُعَذِّبَهُم/yu'adhibahum//بِهَا/بِهَا/biha//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ تَزْهَقَ/وَتَزۡهَقَ/watazhaqa//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//وَ هُمْ/وَهُمۡ/wahum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "এবং না (যেন)//তোমাকে বিস্মিত করে//ধনসম্পদ তাদের//ও সন্তান-সন্তুতি তাদের//প্রকৃতপক্ষে//চান//আল্লাহ//যে//শাস্তি দিবেন তাদেরকে//দিয়ে তা//মধ্যে//পৃথিবীর//ও চলে যাবে//আত্মা তাদের//এ অবস্থায় যে তারা//কাফের (থাকবে)"
            },
            {
              "number": 1321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1321.mp3"
              ],
              "text": "وَإِذَآ أُنزِلَتْ سُورَةٌ أَنْ ءَامِنُوا۟ بِٱللَّهِ وَجَٰهِدُوا۟ مَعَ رَسُولِهِ ٱسْتَـْٔذَنَكَ أُو۟لُوا۟ ٱلطَّوْلِ مِنْهُمْ وَقَالُوا۟ ذَرْنَا نَكُن مَّعَ ٱلْقَٰعِدِينَ",
              "translate_bn": "আর যখন নাযিল হয় কোন সূরা যে, তোমরা ঈমান আন আল্লাহর উপর, তাঁর রসূলের সাথে একাত্ন হয়ে; তখন বিদায় কামনা করে তাদের সামর্থ?476;ান লোকেরা এবং বলে আমাদের অব্যাহতি দিন, যাতে আমরা (নিস্ক্রিয়ভাবে) বসে থাকা লোকদের সাথে থেকে যেতে পারি।",
              "numberInSurah": 86,
              "juz": 10,
              "manzil": 2,
              "page": 200,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাউনঝিলাত ছূরাতুনআনআ-মিনূবিল্লা-হি ওয়া জা-হিদূমা‘আ রাছূলিহিছ তা’যানাকা উলুততাওলি মিনহুম ওয়া কা-লূযারনা-নাকুম মা‘আল কা-‘ইদীন।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اُنْزِلَتْ/أُنزِلَتۡ/unzilat//سُوْرَةٌ/سُورَةٌ/suratun//اَنْ/أَنۡ/an//اٰمِنُوْا/ءَامِنُواْ/aminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ جَاهِدُوْا/وَجَٰهِدُواْ/wajahidu//مَعَ/مَعَ/ma'a//رَسُوْلِهِ/رَسُولِهِ/rasulihi//اسْتَاْذَنَكَ/ٱسۡتَـٔۡذَنَكَ/is'tadhanaka//اُولُوا/أُوْلُواْ/ulu//الطَّوْلِ/ٱلطَّوۡلِ/al-tawli//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ قَالُوْا/وَقَالُواْ/waqalu//ذَرْنَا/ذَرۡنَا/dharna//نَكُنْ/نَكُن/nakun//مَّعَ/مَّعَ/ma'a//الْقٰعِدِیْنَ /ٱلۡقَٰعِدِينَ/al-qa'idina",
              "words_bangla": "এবং যখন//অবতীর্ণ হয়//কোনো সূরাহ//যে//তোমরা ঈমান আনো//উপর আল্লাহর//ও তোমরা জিহাদ করো//সাথে//রাসূলের তাঁর//তোমার কাছে অব্যাহতি চায়//সম্পন্নরা//শক্তি-সামর্থ্য//মধ্য থেকে তাদের//ও তারা বলে//\"আমাদের ছেড়ে দিন//আমরা থাকবো//সাথে//বসে থাকা লোকদের\""
            },
            {
              "number": 1322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1322.mp3"
              ],
              "text": "رَضُوا۟ بِأَن يَكُونُوا۟ مَعَ ٱلْخَوَالِفِ وَطُبِعَ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَفْقَهُونَ",
              "translate_bn": "তারা পেছনে পড়ে থাকা লোকদের সাথে থেকে যেতে পেরে আনন্দিত হয়েছে এবং মোহর এঁটে দেয়া হয়েছে তাদের অন্তরসমূহের উপর। বস্তুতঃ তারা বোঝে না।",
              "numberInSurah": 87,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "তারা পেছনে পড়ে থাকা লোকদের সাথে থেকে যেতে পেরে আনন্দিত হয়েছে এবং মোহর এঁটে দেয়া হয়েছে তাদের অন্তরসমূহের উপর। বস্তুতঃ তারা বোঝে না।",
              "words_arabic": "رَضُوْا/رَضُواْ/radu//بِاَنْ/بِأَن/bi-an//یَّكُوْنُوْا/يَكُونُواْ/yakunu//مَعَ/مَعَ/ma'a//الْخَوَالِفِ/ٱلۡخَوَالِفِ/al-khawalifi//وَ طُبِعَ/وَطُبِعَ/watubi'a//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "তারা পছন্দ করেছে//নিয়ে যে//তারা থাকবে//সাথে//অন্তঃপুরবাসিনীদের//ও সীল করা হয়েছে//উপর//অন্তরসমূহের তাদের//অতএব তারা//না//তারা বুঝে"
            },
            {
              "number": 1323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1323.mp3"
              ],
              "text": "لَٰكِنِ ٱلرَّسُولُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ جَٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۚ وَأُو۟لَٰٓئِكَ لَهُمُ ٱلْخَيْرَٰتُ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "কিন্তু রসূল এবং সেসব লোক যারা ঈমান এনেছে, তাঁর সাথে তারা যুদ্ধ করেছে নিজেদের জান ও মালের দ্বারা। তাদেরই জন্য নির্ধারিত রয়েছে কল্যাণসমূহ এবং তারাই মুক্তির লক্ষ্যে উপনীত হয়েছে।",
              "numberInSurah": 88,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "লা-কিনির রাছূলুওয়াল্লাযীনা আ-মানূমা‘আহূজা-হাদূবিআমওয়া-লিহিম ওয়া আনফুছিহিম ওয়া উলাইকা লাহুমুল খাইরা-তু ওয়া উলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "لٰكِنِ/لَٰكِنِ/lakini//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//جٰهَدُوْا/جَٰهَدُواْ/jahadu//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ ؕ/وَأَنفُسِهِمۡۚ/wa-anfusihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//لَهُمُ/لَهُمُ/lahumu//الْخَیْرٰتُ ؗ/ٱلۡخَيۡرَٰتُۖ/al-khayratu//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "কিন্তু//রাসূল//ও যারা//ঈমান এনেছে//সাথে তার//জিহাদ করেছে//দিয়ে ধনসম্পদ তাদের//ও প্রাণ (দিয়ে)তাদের//ও ঐসব লোক//জন্যে তাদের (রয়েছে)//সব কল্যাণ//ও ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 1324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1324.mp3"
              ],
              "text": "أَعَدَّ ٱللَّهُ لَهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আল্লাহ তাদের জন্য তৈরী করে রেখেছেন কানন-কুঞ্জ, যার তলদেশে প্রবাহিত রয়েছে প্রস্রবণ। তারা তাতে বাস করবে অনন্তকাল। এটাই হল বিরাট কৃতকার্যতা।",
              "numberInSurah": 89,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 166,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "আ‘আদ্দাল্লা-হু লাহুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-যালিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "اَعَدَّ/أَعَدَّ/a'adda//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ۠/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "প্রস্তুত করে রেখেছেন//আল্লাহ//জন্যে তাদের//জান্নাত//প্রবাহিত হয়//থেকে//নিচ তার//ঝর্ণাধারা//তারা চিরিস্থায়ী হবে//মধ্যে তার//এটা//সাফল্য//মহা"
            },
            {
              "number": 1325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1325.mp3"
              ],
              "text": "وَجَآءَ ٱلْمُعَذِّرُونَ مِنَ ٱلْأَعْرَابِ لِيُؤْذَنَ لَهُمْ وَقَعَدَ ٱلَّذِينَ كَذَبُوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ سَيُصِيبُ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "আর ছলনাকারী বেদুঈন লোকেরা এলো, যাতে তাদের অব্যাহতি লাভ হতে পারে এবং নিবৃত্ত থাকতে পারে তাদেরই যারা আল্লাহ ও রসূলের সাথে মিথ্যা বলে ছিল। এবার তাদের উপর শীগ্রই আসবে বেদনাদায়ক আযাব যারা কাফের।",
              "numberInSurah": 90,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 167,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআল মু‘আযযিরূনা মিনাল আ‘রা-বি লিইউ’যানা লাহুম ওয়া কা‘আদাল্লাযীনা কাযাবুল্লা-হা ওয়া রাছূলাহূ ছাইউসীবুল্লাযীনা কাফারূমিনহুম ‘আযা-বুন আলীম।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//الْمُعَذِّرُوْنَ/ٱلۡمُعَذِّرُونَ/al-mu'adhiruna//مِنَ/مِنَ/mina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//لِیُؤْذَنَ/لِيُؤۡذَنَ/liyu'dhana//لَهُمْ/لَهُمۡ/lahum//وَ قَعَدَ/وَقَعَدَ/waqa'ada//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَبُوا/كَذَبُواْ/kadhabu//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ؕ/وَرَسُولَهُۥۚ/warasulahu//سَیُصِیْبُ/سَيُصِيبُ/sayusibu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْهُمْ/مِنۡهُمۡ/min'hum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং আসলো//অজুহাত পেশকারীরা//মধ্যে হতে//বেদুঈনদের//অব্যাহতি দেয়া হয়//জন্যে তাদের//এবং (এভাবে) বসে থাকলো//(এসব লোক) যারা//মিথ্যা বলেছিলো (ঈমানের ওয়াদায়)//আল্লাহকে//ও তাঁর রাসূলকে//শীঘ্রই পৌঁছবে//(তাদের) যারা//অস্বীকার করেছিলো//মধ্য হতে তাদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 1326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1326.mp3"
              ],
              "text": "لَّيْسَ عَلَى ٱلضُّعَفَآءِ وَلَا عَلَى ٱلْمَرْضَىٰ وَلَا عَلَى ٱلَّذِينَ لَا يَجِدُونَ مَا يُنفِقُونَ حَرَجٌ إِذَا نَصَحُوا۟ لِلَّهِ وَرَسُولِهِۦ ۚ مَا عَلَى ٱلْمُحْسِنِينَ مِن سَبِيلٍۢ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "দূর্বল, রুগ্ন, ব্যয়ভার বহনে অসমর্থ লোকদের জন্য কোন অপরাধ নেই, যখন তারা মনের দিক থেকে পবিত্র হবে আল্লাহ ও রসূলের সাথে। নেককারদের উপর অভিযোগের কোন পথ নেই। আর আল্লাহ হচ্ছেন ক্ষমাকারী দয়ালু।",
              "numberInSurah": 91,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 167,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাদদু‘আফাই ওয়ালা-‘আলাল মারদা-ওয়ালা-‘আলাল্লাযীনা লা-ইয়াজিদূ নামা-ইউনফিকূ না হারাজুন ইযা-নাসাহূলিল্লা-হি ওয়া রাছূলিহী মা-‘আলাল মুহছিনীনা মিন ছাবীলিওঁ ওয়াল্লা-হু গাফূরুর রাহীম",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//عَلَی/عَلَى/ala//الضُّعَفَآءِ/ٱلضُّعَفَآءِ/al-du'afai//وَ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الْمَرْضٰی/ٱلۡمَرۡضَىٰ/al-marda//وَ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَجِدُوْنَ/يَجِدُونَ/yajiduna//مَا/مَا/ma//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//حَرَجٌ/حَرَجٌ/harajun//اِذَا/إِذَا/idha//نَصَحُوْا/نَصَحُواْ/nasahu//لِلّٰهِ/لِلَّهِ/lillahi//وَ رَسُوْلِهٖ ؕ/وَرَسُولِهِۦۚ/warasulihi//مَا/مَا/ma//عَلَی/عَلَى/ala//الْمُحْسِنِیْنَ/ٱلۡمُحۡسِنِينَ/al-muh'sinina//مِنْ/مِن/min//سَبِیْلٍ ؕ/سَبِيلٖۚ/sabilin//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌۙ/رَّحِيمٞ/rahimun",
              "words_bangla": "নেই (কোনো অপরাধ)//উপর//দুর্বলদের//ও না//উপর//রোগীদের//এবং না//উপর//(তাদের) যারা//না//(এমন সম্বল) পায়//যা//তারা ব্যয় করবে//কোনো অপরাধ (নাই তাদেরও)//যখন//তারা কল্যাণ কামনা করে//জন্যে আল্লাহর//ও রাসূলের তাঁর(জন্যে)//নেই//উপর//সৎকর্মশীলদের//কোনো//পথ (অভিযোগের)//এবং আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1327.mp3"
              ],
              "text": "وَلَا عَلَى ٱلَّذِينَ إِذَا مَآ أَتَوْكَ لِتَحْمِلَهُمْ قُلْتَ لَآ أَجِدُ مَآ أَحْمِلُكُمْ عَلَيْهِ تَوَلَّوا۟ وَّأَعْيُنُهُمْ تَفِيضُ مِنَ ٱلدَّمْعِ حَزَنًا أَلَّا يَجِدُوا۟ مَا يُنفِقُونَ",
              "translate_bn": "আর না আছে তাদের উপর যারা এসেছে তোমার নিকট যেন তুমি তাদের বাহন দান কর এবং তুমি বলেছ, আমার কাছে এমন কোন বস্তু নেই যে, তার উপর তোমাদের সওয়ার করাব তখন তারা ফিরে গেছে অথচ তখন তাদের চোখ দিয়ে অশ্রু বইতেছিল এ দুঃখে যে, তারা এমন কোন বস্তু পাচ্ছে না যা ব্যয় করবে।",
              "numberInSurah": 92,
              "juz": 10,
              "manzil": 2,
              "page": 201,
              "ruku": 167,
              "hizbQuarter": 80,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-‘আলাল্লাযীনা ইযা-মাআতাওকা লিতাহমিলাহুম কুলতা লাআজিদুমাআহমিলুকুম ‘আলাইহি তাওয়াল্লাওঁ ওয়া আ‘ইঊনুহুম তাফীদুমিনাদ দাম‘ই হাঝানান আল্লা-ইয়াজিদূমা-ইউনফিকূ ন ।",
              "words_arabic": "وَّ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَا/إِذَا/idha//مَاۤ/مَآ/ma//اَتَوْكَ/أَتَوۡكَ/atawka//لِتَحْمِلَهُمْ/لِتَحۡمِلَهُمۡ/litahmilahum//قُلْتَ/قُلۡتَ/qul'ta//لَاۤ/لَآ/la//اَجِدُ/أَجِدُ/ajidu//مَاۤ/مَآ/ma//اَحْمِلُكُمْ/أَحۡمِلُكُمۡ/ahmilukum//عَلَیْهِ ۪/عَلَيۡهِ/alayhi//تَوَلَّوْا/تَوَلَّواْ/tawallaw//وَّ اَعْیُنُهُمْ/وَّأَعۡيُنُهُمۡ/wa-a'yunuhum//تَفِیْضُ/تَفِيضُ/tafidu//مِنَ/مِنَ/mina//الدَّمْعِ/ٱلدَّمۡعِ/al-dam'i//حَزَنًا/حَزَنًا/hazanan//اَلَّا/أَلَّا/alla//یَجِدُوْا/يَجِدُواْ/yajidu//مَا/مَا/ma//یُنْفِقُوْنَؕ/يُنفِقُونَ/yunfiquna",
              "words_bangla": "এবং নেই(দোষ)//উপর//(তাদের) যারা//যখন//যা//তোমার কাছে এসেছিলো//যেন তুমি তাদের বাহনের ব্যবস্হা করে দাও//তুমি বলেছিলে//\"না//পাচ্ছি//(এমন কিছু) যা//তোমাদেরকে বহন করার আমি//উপর তার//তারা ফিরে গিয়েছে//এ অবস্থায় যে তাদের চোখগুলো//ঝরাচ্ছিলো//থেকে//অশ্রু//দুঃখে//যে না//তারা পাচ্ছে (এমন কিছু)//যা//তারা ব্যয় করবে"
            },
            {
              "number": 1328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1328.mp3"
              ],
              "text": "۞ إِنَّمَا ٱلسَّبِيلُ عَلَى ٱلَّذِينَ يَسْتَـْٔذِنُونَكَ وَهُمْ أَغْنِيَآءُ ۚ رَضُوا۟ بِأَن يَكُونُوا۟ مَعَ ٱلْخَوَالِفِ وَطَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "অভিযোগের পথ তো তাদের ব্যাপারে রয়েছে, যারা তোমার নিকট অব্যাহতি কামনা করে অথচ তারা সম্পদশালী। যারা পেছনে পড়ে থাকা লোকদের সাথে থাকতে পেরে আনন্দিত হয়েছে। আর আল্লাহ মোহর এঁটে দিয়েছেন তাদের অন্তরসমূহে। বস্তুতঃ তারা জানতেও পারেনি।",
              "numberInSurah": 93,
              "juz": 11,
              "manzil": 2,
              "page": 201,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাছছাবীলু‘আলাল লাযীনা ইয়াছতা’যিনূনাকা ওয়াহুম আগনিয়াউ রাদূ বিআইঁ ইয়াকূনূমা‘আল খাওয়া-লিফি ওয়া তাবা‘আল্লা-হু ‘আলা-কুলূবিহিম ফাহুম লাইয়া‘লামূন।",
              "words_arabic": "اِنَّمَا/۞إِنَّمَا/innama//السَّبِیْلُ/ٱلسَّبِيلُ/al-sabilu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَاْذِنُوْنَكَ/يَسۡتَـٔۡذِنُونَكَ/yastadhinunaka//وَ هُمْ/وَهُمۡ/wahum//اَغْنِیَآءُ ۚ/أَغۡنِيَآءُۚ/aghniyau//رَضُوْا/رَضُواْ/radu//بِاَنْ/بِأَن/bi-an//یَّكُوْنُوْا/يَكُونُواْ/yakunu//مَعَ/مَعَ/ma'a//الْخَوَالِفِ ۙ/ٱلۡخَوَالِفِ/al-khawalifi//وَ طَبَعَ/وَطَبَعَ/wataba'a//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "প্রকৃতপক্ষে//(অভিযোগের)পথ//(তাদের) উপর//যারা//তোমার কাছে অব্যাহতি চায়//এ অবস্থায় যে তারা//ধনী লোক//তারা পছন্দ করেছে//নিয়ে যে//তারা থাকবে (বসে)//সাথে//অন্তঃপুরবাসিনীদের//ও সীল মেরে দিয়েছেন//আল্লাহ//উপর//অন্তরের তাদের//তাই তারা//না (কিছুই)//জানতে পারে"
            },
            {
              "number": 1329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1329.mp3"
              ],
              "text": "يَعْتَذِرُونَ إِلَيْكُمْ إِذَا رَجَعْتُمْ إِلَيْهِمْ ۚ قُل لَّا تَعْتَذِرُوا۟ لَن نُّؤْمِنَ لَكُمْ قَدْ نَبَّأَنَا ٱللَّهُ مِنْ أَخْبَارِكُمْ ۚ وَسَيَرَى ٱللَّهُ عَمَلَكُمْ وَرَسُولُهُۥ ثُمَّ تُرَدُّونَ إِلَىٰ عَٰلِمِ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তুমি যখন তাদের কাছে ফিরে আসবে, তখন তারা তোমাদের নিকট ছল-ছুতা নিয়ে উপস্থিত হবে; তুমি বলো, ছল কারো না, আমি কখনো তোমাদের কথা শুনব না; আমাকে আল্লাহ তা’আলা তোমাদের অবস্থা সম্পর্কে অবহিত করে দিয়েছেন। আর এখন তোমাদের কর্ম আল্লাহই দেখবেন এবং তাঁর রসূল। তারপর তোমরা প্রত্যাবর্তিত হবে সেই গোপন ও আগোপন বিষয়ে অবগত সত্তার নিকট। তিনিই তোমাদের বাতলে দেবেন যা তোমরা করছিলে।",
              "numberInSurah": 94,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘তাযিরূনা ইলাইকুম ইযা-রাজা‘তুম ইলাইহিম কুল লা-তা‘তাযিরূ লান নু’মিনা লাকুম কাদ নাব্বাআনাল্লা-হু মিন আখবা-রিকুম ওয়া ছাইয়ারাল্লা-হু ‘আমালাকুম ওয়া রাছূলুহু ছুম্মা তুরাদ্দূনা ইলা-‘আ-লিমিল গাইবি ওয়াশশাহা-দাতি ফাইউনাব্বিউকুম বিমাকুনতুম তা‘মালূন।",
              "words_arabic": "یَعْتَذِرُوْنَ/يَعۡتَذِرُونَ/ya'tadhiruna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//اِذَا/إِذَا/idha//رَجَعْتُمْ/رَجَعۡتُمۡ/raja'tum//اِلَیْهِمْ ؕ/إِلَيۡهِمۡۚ/ilayhim//قُلْ/قُل/qul//لَّا/لَّا/la//تَعْتَذِرُوْا/تَعۡتَذِرُواْ/ta'tadhiru//لَنْ/لَن/lan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//لَكُمْ/لَكُمۡ/lakum//قَدْ/قَدۡ/qad//نَبَّاَنَا/نَبَّأَنَا/nabba-ana//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِنۡ/min//اَخْبَارِكُمْ ؕ/أَخۡبَارِكُمۡۚ/akhbarikum//وَ سَیَرَی/وَسَيَرَى/wasayara//اللّٰهُ/ٱللَّهُ/al-lahu//عَمَلَكُمْ/عَمَلَكُمۡ/amalakum//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//ثُمَّ/ثُمَّ/thumma//تُرَدُّوْنَ/تُرَدُّونَ/turadduna//اِلٰی/إِلَىٰ/ila//عٰلِمِ/عَٰلِمِ/alimi//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তারা অজুহাত পেশ করবে//কাছে তোমাদের//যখন//তোমরা ফিরে যাবে//নিকট তাদের//বলো//\"না//তোমরা অজুহাত পেশ করো//কখনও না//বিশ্বাস করব আমরা//প্রতি তোমাদের//নিশ্চয়ই//আমাদের জানিয়ে দিয়েছেন//আল্লাহ//হতে//সংবাদ তোমাদের//এবং শীঘ্রই দেখবেন//আল্লাহ//কাজকর্ম তোমাদের//ও রাসূল তাঁর//এরপর//প্রত্যাবর্তিত হবে তোমরা//(তাঁর) দিকে//(যিনি) খুব অবহিত//অদৃশ্যের//ও দৃশ্যের//তখন জানিয়ে দিবেন তোমাদের//ঐ বিষয়ে যা//তোমরা ছিলে//কাজ করতে"
            },
            {
              "number": 1330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1330.mp3"
              ],
              "text": "سَيَحْلِفُونَ بِٱللَّهِ لَكُمْ إِذَا ٱنقَلَبْتُمْ إِلَيْهِمْ لِتُعْرِضُوا۟ عَنْهُمْ ۖ فَأَعْرِضُوا۟ عَنْهُمْ ۖ إِنَّهُمْ رِجْسٌۭ ۖ وَمَأْوَىٰهُمْ جَهَنَّمُ جَزَآءًۢ بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "এখন তারা তোমার সামনে আল্লাহর কসম খাবে, যখন তুমি তাদের কাছে ফিরে যাবে, যেন তুমি তাদের ক্ষমা করে দাও। সুতরাং তুমি তাদের ক্ষমা কর-নিঃসন্দেহে এরা অপবিত্র এবং তাদের কৃতকর্মের বদলা হিসাবে তাদের ঠিকানা হলো দোযখ।",
              "numberInSurah": 95,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াহলিফূনা বিল্লা-হি লাকুম ইযান কালাবতুম ইলাইহিম লিতু‘রিদূ‘আনহুম ফাআ‘রিদূ ‘আনহুম ইন্নাহুম রিজছুওঁ ওয়ামা’ওয়া-হুম জাহান্নামু জাঝাআম বিমা কা-নূইয়াকছিবূন।",
              "words_arabic": "سَیَحْلِفُوْنَ/سَيَحۡلِفُونَ/sayahlifuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//لَكُمْ/لَكُمۡ/lakum//اِذَا/إِذَا/idha//انْقَلَبْتُمْ/ٱنقَلَبۡتُمۡ/inqalabtum//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//لِتُعْرِضُوْا/لِتُعۡرِضُواْ/litu'ridu//عَنْهُمْ ؕ/عَنۡهُمۡۖ/anhum//فَاَعْرِضُوْا/فَأَعۡرِضُواْ/fa-a'ridu//عَنْهُمْ ؕ/عَنۡهُمۡۖ/anhum//اِنَّهُمْ/إِنَّهُمۡ/innahum//رِجْسٌ ؗ/رِجۡسٞۖ/rij'sun//وَّ مَاْوٰىهُمْ/وَمَأۡوَىٰهُمۡ/wamawahum//جَهَنَّمُ ۚ/جَهَنَّمُ/jahannamu//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "শীঘ্রই তারা শপথ করে বলবে//নামে আল্লাহর//উদ্দেশ্যে তোমাদের//যখন//ফিরে যাবে তোমরা//দিকে তাদের//যেন তোমরা উপেক্ষা করো//ব্যাপারে তাদের//তাই তোমরা উপেক্ষা করো//ব্যাপারে তাদের//নিশ্চয়ই তারা//অপবিত্র//এবং আবাসস্থল তাদের//জাহান্নাম//প্রতিফল (স্বরূপ)//ঐ বিষয়ের যা//তারা ছিলো//তারা উপার্জন করে আসতে"
            },
            {
              "number": 1331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1331.mp3"
              ],
              "text": "يَحْلِفُونَ لَكُمْ لِتَرْضَوْا۟ عَنْهُمْ ۖ فَإِن تَرْضَوْا۟ عَنْهُمْ فَإِنَّ ٱللَّهَ لَا يَرْضَىٰ عَنِ ٱلْقَوْمِ ٱلْفَٰسِقِينَ",
              "translate_bn": "তারা তোমার সামনে কসম খাবে যাতে তুমি তাদের প্রতি রাযী হয়ে যাও। অতএব, তুমি যদি রাযী হয়ে যাও তাদের প্রতি তবু আল্লাহ তা’আলা রাযী হবেন না, এ নাফরমান লোকদের প্রতি।",
              "numberInSurah": 96,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ইয়াহলিফূনা লাকুম লিতারদাও ‘আনহুম ফাইন তারদাও ‘আনহুম ফাইন্নাল্লা-হা লাইয়ারদা-‘আনিল কাওমিল ফা-ছিকীন।",
              "words_arabic": "یَحْلِفُوْنَ/يَحۡلِفُونَ/yahlifuna//لَكُمْ/لَكُمۡ/lakum//لِتَرْضَوْا/لِتَرۡضَوۡاْ/litardaw//عَنْهُمْ ۚ/عَنۡهُمۡۖ/anhum//فَاِنْ/فَإِن/fa-in//تَرْضَوْا/تَرۡضَوۡاْ/tardaw//عَنْهُمْ/عَنۡهُمۡ/anhum//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَرْضٰی/يَرۡضَىٰ/yarda//عَنِ/عَنِ/ani//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "শপথ করে তারা বলবে//উদ্দেশ্যে তোমাদের//যেন তোমরা সন্তুষ্ট হও//ব্যাপারে তাদের//অতঃপর যদি//তোমরা সন্তুষ্ট হও//ব্যাপারে তাদের//তবে নিশ্চয়ই//আল্লাহ//না//সন্তুষ্ট হন//হতে//(এমন)সম্প্রদায়//(যারা)সত্যত্যাগী"
            },
            {
              "number": 1332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1332.mp3"
              ],
              "text": "ٱلْأَعْرَابُ أَشَدُّ كُفْرًۭا وَنِفَاقًۭا وَأَجْدَرُ أَلَّا يَعْلَمُوا۟ حُدُودَ مَآ أَنزَلَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "বেদুইনরা কুফর ও মোনাফেকীতে অত্যন্ত কঠোর হয়ে থাকে এবং এরা সেসব নীতি-কানুন না শেখারই যোগ্য যা আল্লাহ তা’আলা তাঁর রসূলের উপর নাযিল করেছেন। বস্তুতঃ আল্লাহ সব কিছুই জানেন এবং তিনি অত্যন্ত কুশলী।",
              "numberInSurah": 97,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "আলআ‘রা-বুআশাদ্দূকুফরাওঁ ওয়ানিফা-কাওঁ ওয়াআজদারু আল্লা-ইয়া‘লামূহুদূদা মাআনঝালাল্লা-হু ‘আলা-রাছূলিহী ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "اَلْاَعْرَابُ/ٱلۡأَعۡرَابُ/al-a'rabu//اَشَدُّ/أَشَدُّ/ashaddu//كُفْرًا/كُفۡرٗا/kuf'ran//وَّ نِفَاقًا/وَنِفَاقٗا/wanifaqan//وَّ اَجْدَرُ/وَأَجۡدَرُ/wa-ajdaru//اَلَّا/أَلَّا/alla//یَعْلَمُوْا/يَعۡلَمُواْ/ya'lamu//حُدُوْدَ/حُدُودَ/hududa//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ ؕ/رَسُولِهِۦۗ/rasulihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "বেদুঈনরা//কঠোরতর//অবিশ্বাসে//ও কপটতায়//এবং বেশি উপযুক্ত//যে না//তারা জানবে//সীমারেখা//যা//অবতীর্ণ করেছেন//আল্লাহ//উপর//রাসূলের তাঁর//এবং আল্লাহ//মহাজ্ঞানী//মহাবিজ্ঞ"
            },
            {
              "number": 1333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1333.mp3"
              ],
              "text": "وَمِنَ ٱلْأَعْرَابِ مَن يَتَّخِذُ مَا يُنفِقُ مَغْرَمًۭا وَيَتَرَبَّصُ بِكُمُ ٱلدَّوَآئِرَ ۚ عَلَيْهِمْ دَآئِرَةُ ٱلسَّوْءِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "আবার কোন কোন বেদুইন এমন ও রয়েছে যারা নিজেদের ব্যয় করাকে জরিমানা। বলে গন্য করে এবং তোমার উপর কোন দুর্দিন আসে কিনা সে অপেক্ষায় থাকে। তাদেরই উপর দুর্দিন আসুক। আর আল্লাহ হচ্ছেন শ্রবণকারী, পরিজ্ঞাত।",
              "numberInSurah": 98,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল আ‘রা-বি মাইঁ ইয়াত্তাখিযুমা-ইউনফিকু মাগরামাওঁ ওয়া ইয়াতারাব্বাসু বিকুমু দ দাওয়াইরা ‘আলাইহিম দাইরাতুছছাওই ওয়াল্লা-হু ছামী‘উন আলীম।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//مَنْ/مَن/man//یَّتَّخِذُ/يَتَّخِذُ/yattakhidhu//مَا/مَا/ma//یُنْفِقُ/يُنفِقُ/yunfiqu//مَغْرَمًا/مَغۡرَمٗا/maghraman//وَّ یَتَرَبَّصُ/وَيَتَرَبَّصُ/wayatarabbasu//بِكُمُ/بِكُمُ/bikumu//الدَّوَآىِٕرَ ؕ/ٱلدَّوَآئِرَۚ/al-dawaira//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//دَآىِٕرَةُ/دَآئِرَةُ/dairatu//السَّوْءِ ؕ/ٱلسَّوۡءِۗ/al-sawi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং মধ্য থেকে//বেদুঈনদের//কেউ কেউ//মনর করে//যা//ব্যয় করে (আল্লাহর পথে)//জরিমানাস্বরূপ//ও অপেক্ষা করে//জন্যে তোমাদের//ভাগ্যচক্রের পরিবর্তনের (অর্থাৎ অমঙ্গলের)//তাদের  উপর (আসছে)//ভাগ্য বিপর্যয়//খারাপ//এবং আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1334.mp3"
              ],
              "text": "وَمِنَ ٱلْأَعْرَابِ مَن يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ وَيَتَّخِذُ مَا يُنفِقُ قُرُبَٰتٍ عِندَ ٱللَّهِ وَصَلَوَٰتِ ٱلرَّسُولِ ۚ أَلَآ إِنَّهَا قُرْبَةٌۭ لَّهُمْ ۚ سَيُدْخِلُهُمُ ٱللَّهُ فِى رَحْمَتِهِۦٓ ۗ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর কোন কোন বেদুইন হল তারা, যারা ঈমান আনে আল্লাহর উপর, কেয়ামত দিনের উপর এবং নিজেদের ব্যয়কে আল্লাহর নৈকট্য এবং রসূলের দোয়া লাভের উপায় বলে গণ্য করে। জেনো! তাই হল তাদের ক্ষেত্রে নৈকট্য। আল্লাহ তাদেরকে নিজের রহমতের অন্তর্ভূক্ত করবেন। নিশ্চয়ই আল্লাহ ক্ষমাশীল, করুনাময়।",
              "numberInSurah": 99,
              "juz": 11,
              "manzil": 2,
              "page": 202,
              "ruku": 167,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল আ‘রা-বি মাইঁ ইউ’মিনুবিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া ইয়াত্তাখিযুমাইউনফিকু কুরুবা-তিন ‘ইনদাল্লা-হি ওয়া সালাওয়া-তিররাছূলি আলাইন্নাহা কুরবাতুল্লাহুম ছাইউদখিলুহুমুল্লা-হু ফী রাহমাতিহী ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//مَنْ/مَن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//وَ یَتَّخِذُ/وَيَتَّخِذُ/wayattakhidhu//مَا/مَا/ma//یُنْفِقُ/يُنفِقُ/yunfiqu//قُرُبٰتٍ/قُرُبَٰتٍ/qurubatin//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ صَلَوٰتِ/وَصَلَوَٰتِ/wasalawati//الرَّسُوْلِ ؕ/ٱلرَّسُولِۚ/al-rasuli//اَلَاۤ/أَلَآ/ala//اِنَّهَا/إِنَّهَا/innaha//قُرْبَةٌ/قُرۡبَةٞ/qur'batun//لَّهُمْ ؕ/لَّهُمۡۚ/lahum//سَیُدْخِلُهُمُ/سَيُدۡخِلُهُمُ/sayud'khiluhumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦٓۚ/rahmatihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "এবং মধ্য হতে//বেদুঈনদের//কেউ কেউ//বিশ্বাস করে//উপর আল্লাহর//এবং দিনে//আখেরাতের//ও মনে করে//যা//ব্যয় করে (আল্লাহর পথে)//সান্নিধ্য লাভের উপায়//কাছে//আল্লাহর//ও দোয়ার (মাধ্যম হিসেবে)//রাসূলের//জেনে রাখো//নিশ্চয়ই তা//সান্নিধ্য লাভের মাধ্যম//জন্যে তাদের//শীঘ্রই প্রবেশ করাবেন তাদের//আল্লাহ//মধ্যে//দয়ার তাঁর//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1335.mp3"
              ],
              "text": "وَٱلسَّٰبِقُونَ ٱلْأَوَّلُونَ مِنَ ٱلْمُهَٰجِرِينَ وَٱلْأَنصَارِ وَٱلَّذِينَ ٱتَّبَعُوهُم بِإِحْسَٰنٍۢ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ وَأَعَدَّ لَهُمْ جَنَّٰتٍۢ تَجْرِى تَحْتَهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আর যারা সর্বপ্রথম হিজরতকারী ও আনছারদের মাঝে পুরাতন, এবং যারা তাদের অনুসরণ করেছে, আল্লাহ সে সমস্ত লোকদের প্রতি সন্তুষ্ট হয়েছেন এবং তারাও তাঁর প্রতি সন্তুষ্ট হয়েছে। আর তাদের জন্য প্রস্তুত রেখেছেন কানন-কুঞ্জ, যার তলদেশ দিয়ে প্রবাহিত প্রস্রবণসমূহ। সেখানে তারা থাকবে চিরকাল। এটাই হল মহান কৃতকার্যতা।",
              "numberInSurah": 100,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছা-বিকূনাল আওওয়ালূনা মিনাল মুহা-জিরীনা ওয়াল আনসা-রি ওয়াল্লাযীনাততাবা‘ঊহুম বিইহ ছা-নির রাদিয়াল্লা-হু ‘আনহুম ওয়ারাদূ ‘আনহু ওয়া আ‘আদ্দালাহুম জান্না-তিন তাজরী তাহতাহাল আনহা-রু খা-লিদীনা ফীহাআবাদান যা-লিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "وَ السّٰبِقُوْنَ/وَٱلسَّـٰبِقُونَ/wal-sabiquna//الْاَوَّلُوْنَ/ٱلۡأَوَّلُونَ/al-awaluna//مِنَ/مِنَ/mina//الْمُهٰجِرِیْنَ/ٱلۡمُهَٰجِرِينَ/al-muhajirina//وَ الْاَنْصَارِ/وَٱلۡأَنصَارِ/wal-ansari//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اتَّبَعُوْهُمْ/ٱتَّبَعُوهُم/ittaba'uhum//بِاِحْسَانٍ ۙ/بِإِحۡسَٰنٖ/bi-ih'sanin//رَّضِیَ/رَّضِيَ/radiya//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ رَضُوْا/وَرَضُواْ/waradu//عَنْهُ/عَنۡهُ/anhu//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//تَحْتَهَا/تَحۡتَهَا/tahtaha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۚ/abadan//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "ও অগ্রগামীরা//প্রথম//মধ্য হতে//মুহাজেরদের//ও আনসারদের//ও যারা//অনুসরণ করেছে তাদের//সাথে সততার//সন্তুষ্ট হয়েছেন//আল্লাহ//উপর তাদের//ও তারা খুশি হয়েছে//উপর তাঁর//ও প্রস্তুত করে তিনি রেখেছেন//জন্যে তাদের//জান্নাত//প্রবাহিত হয়//নিচে তার//ঝর্নাধারা//তারা স্হায়ী হবে//মধ্যে তার//চিরকাল//এটাই//সফলতা//মহা"
            },
            {
              "number": 1336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1336.mp3"
              ],
              "text": "وَمِمَّنْ حَوْلَكُم مِّنَ ٱلْأَعْرَابِ مُنَٰفِقُونَ ۖ وَمِنْ أَهْلِ ٱلْمَدِينَةِ ۖ مَرَدُوا۟ عَلَى ٱلنِّفَاقِ لَا تَعْلَمُهُمْ ۖ نَحْنُ نَعْلَمُهُمْ ۚ سَنُعَذِّبُهُم مَّرَّتَيْنِ ثُمَّ يُرَدُّونَ إِلَىٰ عَذَابٍ عَظِيمٍۢ",
              "translate_bn": "আর কিছু কিছু তোমার আশ-পাশের মুনাফেক এবং কিছু লোক মদীনাবাসী কঠোর মুনাফেকীতে অনঢ়। তুমি তাদের জান না; আমি তাদের জানি। আমি তাদেরকে আযাব দান করব দু’বার, তারপর তাদেরকে নিয়ে যাওয়া হবে মহান আযাবের দিকে।",
              "numberInSurah": 101,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিম্মান হাওলাকুম মিনাল আ‘রা-বি মুনা-ফিকূনা ওয়া মিন আহলিল মাদীনাতি মারাদূ‘আলাননিফা-কি লা-তা‘লামুহুম নাহনুনা‘লামুহুম ছানু‘আযযিবুহুম মাররাতাইনি ছুম্মা ইউরাদ্দূনা ইলা-‘আযা-বিন ‘আজীম।",
              "words_arabic": "وَ مِمَّنْ/وَمِمَّنۡ/wamimman//حَوْلَكُمْ/حَوۡلَكُم/hawlakum//مِّنَ/مِّنَ/mina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//مُنٰفِقُوْنَ ۛؕ/مُنَٰفِقُونَۖ/munafiquna//وَ مِنْ/وَمِنۡ/wamin//اَهْلِ/أَهۡلِ/ahli//الْمَدِیْنَةِ ؔۛ۫/ٱلۡمَدِينَةِ/al-madinati//مَرَدُوْا/مَرَدُواْ/maradu//عَلَی/عَلَى/ala//النِّفَاقِ ۫/ٱلنِّفَاقِ/al-nifaqi//لَا/لَا/la//تَعْلَمُهُمْ ؕ/تَعۡلَمُهُمۡۖ/ta'lamuhum//نَحْنُ/نَحۡنُ/nahnu//نَعْلَمُهُمْ ؕ/نَعۡلَمُهُمۡۚ/na'lamuhum//سَنُعَذِّبُهُمْ/سَنُعَذِّبُهُم/sanu'adhibuhum//مَّرَّتَیْنِ/مَّرَّتَيۡنِ/marratayni//ثُمَّ/ثُمَّ/thumma//یُرَدُّوْنَ/يُرَدُّونَ/yuradduna//اِلٰی/إِلَىٰ/ila//عَذَابٍ/عَذَابٍ/adhabin//عَظِیْمٍۚ/عَظِيمٖ/azimin",
              "words_bangla": "এবং মধ্যে তাদের যারা//তোমাদের আশপাশে(আছে)//কেউ কেউ//বেদুঈনদের//(অনেকেই) মুনাফেক//এবং কেউ কেউ//অধিবাসী//মাদীনাহ//তারা চরমে পৌঁছে গিয়েছে//ক্ষেত্রে//কপটতার//না//জানো তুমি তাদের//আমরা//জানি তাদের//শীঘ্রই আমরা শাস্তি দিবো তাদের//দু'বার//এরপর//তাদের ফিরিয়ে নেয়া হবে//দিকে//শাস্তির//কঠোর"
            },
            {
              "number": 1337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1337.mp3"
              ],
              "text": "وَءَاخَرُونَ ٱعْتَرَفُوا۟ بِذُنُوبِهِمْ خَلَطُوا۟ عَمَلًۭا صَٰلِحًۭا وَءَاخَرَ سَيِّئًا عَسَى ٱللَّهُ أَن يَتُوبَ عَلَيْهِمْ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "আর কোন কোন লোক রয়েছে যারা নিজেদের পাপ স্বীকার করেছে, তারা মিশ্রিত করেছে একটি নেককাজ ও অন্য একটি বদকাজ। শীঘ্রই আল্লাহ হয়ত তাদেরকে ক্ষমা করে দেবেন। নিঃঃসন্দেহে আল্লাহ ক্ষমাশীল করুণাময়।",
              "numberInSurah": 102,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-খারূনা‘তারাফুবিযুনূবিহিম খালাতূ‘আমালান সা-লিহাওঁ ওয়া আ-খারা ছাইয়িআন ‘আছাল্লা-হু আইঁ ইয়াতূবা ‘আলাইহিম ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "وَ اٰخَرُوْنَ/وَءَاخَرُونَ/waakharuna//اعْتَرَفُوْا/ٱعۡتَرَفُواْ/i'tarafu//بِذُنُوْبِهِمْ/بِذُنُوبِهِمۡ/bidhunubihim//خَلَطُوْا/خَلَطُواْ/khalatu//عَمَلًا/عَمَلٗا/amalan//صَالِحًا/صَٰلِحٗا/salihan//وَّ اٰخَرَ/وَءَاخَرَ/waakhara//سَیِّئًا ؕ/سَيِّئًا/sayyi-an//عَسَی/عَسَى/asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّتُوْبَ/يَتُوبَ/yatuba//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "এবং আরো কিছু লোক (আছে)//তারা স্বীকার করেছে//অপরাধ তাদের//তারা মিশিয়ে ফেলেছে//(কিছু) কাজ//ভালো//ও অন্য কিছু//(কাজ) মন্দ//আশা করা যায়//আল্লাহ//যে//ক্ষমা করবেন//প্রতি তাদের//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1338.mp3"
              ],
              "text": "خُذْ مِنْ أَمْوَٰلِهِمْ صَدَقَةًۭ تُطَهِّرُهُمْ وَتُزَكِّيهِم بِهَا وَصَلِّ عَلَيْهِمْ ۖ إِنَّ صَلَوٰتَكَ سَكَنٌۭ لَّهُمْ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ",
              "translate_bn": "তাদের মালামাল থেকে যাকাত গ্রহণ কর যাতে তুমি সেগুলোকে পবিত্র করতে এবং সেগুলোকে বরকতময় করতে পার এর মাধ্যমে। আর তুমি তাদের জন্য দোয়া কর, নিঃসন্দেহে তোমার দোয়া তাদের জন্য সান্ত্বনা স্বরূপ। বস্তুতঃ আল্লাহ সবকিছুই শোনেন, জানেন।",
              "numberInSurah": 103,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "খুযমিন আমওয়া-লিহিম সাদাকাতান তুতাহহিরুহুম ওয়া তুঝাক্কীহিম বিহা-ওয়া সালিল ‘আলাইহিম ইন্না সালা-তাকা ছাকানুল্লাহুম ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "خُذْ/خُذۡ/khudh//مِنْ/مِنۡ/min//اَمْوَالِهِمْ/أَمۡوَٰلِهِمۡ/amwalihim//صَدَقَةً/صَدَقَةٗ/sadaqatan//تُطَهِّرُهُمْ/تُطَهِّرُهُمۡ/tutahhiruhum//وَ تُزَكِّیْهِمْ/وَتُزَكِّيهِم/watuzakkihim//بِهَا/بِهَا/biha//وَصَلِّ/وَصَلِّ/wasalli//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۖ/alayhim//اِنَّ/إِنَّ/inna//صَلٰوتَكَ/صَلَوٰتَكَ/salataka//سَكَنٌ/سَكَنٞ/sakanun//لَّهُمْ ؕ/لَّهُمۡۗ/lahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "গ্রহণ করো//হতে//ধনসম্পদ তাদের//সদকা//তুমি পবিত্র করবে তাদের//ও পরিশুদ্ধি করবে তাদের//দিয়ে তা//ও দোয়া করো তুমি//জন্যে তাদের//নিশ্চয়ই//দোয়া তোমার//প্রশান্তি//জন্যে তাদের//এবং আল্লাহ//সব শুনেন//সব জানেন"
            },
            {
              "number": 1339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1339.mp3"
              ],
              "text": "أَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ هُوَ يَقْبَلُ ٱلتَّوْبَةَ عَنْ عِبَادِهِۦ وَيَأْخُذُ ٱلصَّدَقَٰتِ وَأَنَّ ٱللَّهَ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "তারা কি একথা জানতে পারেনি যে, আল্লাহ নিজেই স্বীয় বান্দাদের তওবা কবুল করেন এবং যাকাত গ্রহণ করেন? বস্তুতঃ আল্লাহই তওবা কবুলকারী, করুণাময়।",
              "numberInSurah": 104,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া‘লামূ আন্নাল্লা-হা হুওয়া ইয়াকবালুত তাওবাতা ‘আন ‘ইবা-দিহী ওয়া ইয়া’খুযুসসাদাকা-তি ওয়া আন্নাল্লা-হা হুওয়াত তাওওয়া-বুর রাহীম।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَعْلَمُوْۤا/يَعۡلَمُوٓاْ/ya'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//یَقْبَلُ/يَقۡبَلُ/yaqbalu//التَّوْبَةَ/ٱلتَّوۡبَةَ/al-tawbata//عَنْ/عَنۡ/an//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//وَ یَاْخُذُ/وَيَأۡخُذُ/wayakhudhu//الصَّدَقٰتِ/ٱلصَّدَقَٰتِ/al-sadaqati//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "কি না//তারা জানে//যে//আল্লাহ//তিনিই (যিনি)//গ্রহণ করেন//তওবা//হতে//দাসদের তাঁর//ও গ্রহণ করেন//সদকা//এবং (এও) যে//আল্লাহ//তিনিই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1340.mp3"
              ],
              "text": "وَقُلِ ٱعْمَلُوا۟ فَسَيَرَى ٱللَّهُ عَمَلَكُمْ وَرَسُولُهُۥ وَٱلْمُؤْمِنُونَ ۖ وَسَتُرَدُّونَ إِلَىٰ عَٰلِمِ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আর তুমি বলে দাও, তোমরা আমল করে যাও, তার পরবর্তীতে আল্লাহ দেখবেন তোমাদের কাজ এবং দেখবেন রসূল ও মুসলমানগণ। তাছাড়া তোমরা শীগ্রই প্রত্যাবর্তিত হবে তাঁর সান্নিধ্যে যিনি গোপন ও প্রকাশ্য বিষয়ে অবগত। তারপর তিনি জানিয়ে দেবেন তোমাদেরকে যা করতে।",
              "numberInSurah": 105,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুলি‘মালূফাছাইয়ারাল্লা-হু ‘আমালাকুম ওয়া রাছূলুহূওয়াল মু’মিনূনা ওয়া ছাতুরাদ্দূনা ইলা-‘আ-লিমিল গাইবি ওয়াশশাহা-দাতি ফাইউনাব্বিউকুম বিমা-কুনতুম তা‘লামূন।",
              "words_arabic": "وَ قُلِ/وَقُلِ/waquli//اعْمَلُوْا/ٱعۡمَلُواْ/i'malu//فَسَیَرَی/فَسَيَرَى/fasayara//اللّٰهُ/ٱللَّهُ/al-lahu//عَمَلَكُمْ/عَمَلَكُمۡ/amalakum//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//وَ الْمُؤْمِنُوْنَ ؕ/وَٱلۡمُؤۡمِنُونَۖ/wal-mu'minuna//وَ سَتُرَدُّوْنَ/وَسَتُرَدُّونَ/wasaturadduna//اِلٰی/إِلَىٰ/ila//عٰلِمِ/عَٰلِمِ/alimi//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَۚ/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং বলো//\"তোমরা কাজ করো//অতঃপর শীঘ্রই দেখবেন//আল্লাহ//কাজ তোমাদের//এবং  রাসূল তাঁর//এবং মু'মিনরাও (দেখবে)//এবং অচিরেই তোমাদের ফিরিয়ে নেয়া হবে//(তাঁর) দিকে//(যিনি) অবহিত//অদৃশ্য(সম্পর্কে)//এবং দৃশ্য (সম্পর্কেও)//অতঃপর জানাবেন তোমাদেরকে//ঐ বিষয়ে যা//তোমরা ছিলে//কাজ করতে\""
            },
            {
              "number": 1341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1341.mp3"
              ],
              "text": "وَءَاخَرُونَ مُرْجَوْنَ لِأَمْرِ ٱللَّهِ إِمَّا يُعَذِّبُهُمْ وَإِمَّا يَتُوبُ عَلَيْهِمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "আবার অনেক লোক রয়েছে যাদের কাজকর্ম আল্লাহর নির্দেশের উপর স্থগিত রয়েছে; তিনি হয় তাদের আযাব দেবেন না হয় তাদের ক্ষমা করে দেবেন। বস্তুতঃ আল্লাহ সব কিছুই জ্ঞাত, বিজ্ঞতাসম্পন্ন।",
              "numberInSurah": 106,
              "juz": 11,
              "manzil": 2,
              "page": 203,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-খারুনা মুরজাওনা লিআমরিল্লা-হি ইম্মা-ইউ‘আযযিবুহুম ওয়া ইম্মা-ইয়াতূব ‘আলাইহিম ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ اٰخَرُوْنَ/وَءَاخَرُونَ/waakharuna//مُرْجَوْنَ/مُرۡجَوۡنَ/mur'jawna//لِاَمْرِ/لِأَمۡرِ/li-amri//اللّٰهِ/ٱللَّهِ/al-lahi//اِمَّا/إِمَّا/imma//یُعَذِّبُهُمْ/يُعَذِّبُهُمۡ/yu'adhibuhum//وَ اِمَّا/وَإِمَّا/wa-imma//یَتُوْبُ/يَتُوبُ/yatubu//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۗ/alayhim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং অন্যকিছু (লোক)//অপেক্ষামান//জন্যে নির্দেশের//আল্লাহর//হয়//তিনি শাস্তি দিবেন তাদের//আর না হয়//ক্ষমা করবেন//প্রতি তাদের//এবং আল্লাহ//সবকিছু জানেন//প্রজ্ঞাময়"
            },
            {
              "number": 1342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1342.mp3"
              ],
              "text": "وَٱلَّذِينَ ٱتَّخَذُوا۟ مَسْجِدًۭا ضِرَارًۭا وَكُفْرًۭا وَتَفْرِيقًۢا بَيْنَ ٱلْمُؤْمِنِينَ وَإِرْصَادًۭا لِّمَنْ حَارَبَ ٱللَّهَ وَرَسُولَهُۥ مِن قَبْلُ ۚ وَلَيَحْلِفُنَّ إِنْ أَرَدْنَآ إِلَّا ٱلْحُسْنَىٰ ۖ وَٱللَّهُ يَشْهَدُ إِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "আর যারা নির্মাণ করেছে মসজিদ জিদের বশে এবং কুফরীর তাড়নায় মুমিনদের মধ্যে বিভেদ সৃস্টির উদ্দেশ্যে এবং ঐ লোকের জন্য ঘাটি স্বরূপ যে পূর্ব থেকে আল্লাহ ও তাঁর রসূলের সাথে যুদ্ধ করে আসছে, আর তারা অবশ্যই শপথ করবে যে, আমরা কেবল কল্যাণই চেয়েছি। পক্ষান্তরে আল্লাহ সাক্ষী যে, তারা সবাই মিথ্যুক।",
              "numberInSurah": 107,
              "juz": 11,
              "manzil": 2,
              "page": 204,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনাত তাখাযূ মাছজিদান দিরা-রাওঁ ওয়া কুফরাওঁ ওয়া তাফরীকাম বাইনাল মু’মিনীনা ওয়া ইরসা-দাল লিমান হা-রাবাল্লা-হা ওয়া রাছূলাহূমিন কাবলু ওয়ালাইয়াহলিফুন্না ইন আরাদনাইল্লাল হুছনা- ওয়াল্লা-হু ইয়াশহাদুইন্নাহুম লাকাযিবূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مَسْجِدًا/مَسۡجِدٗا/masjidan//ضِرَارًا/ضِرَارٗا/diraran//وَّ كُفْرًا/وَكُفۡرٗا/wakuf'ran//وَّ تَفْرِیْقًۢا/وَتَفۡرِيقَۢا/watafriqan//بَیْنَ/بَيۡنَ/bayna//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ اِرْصَادًا/وَإِرۡصَادٗا/wa-ir'sadan//لِّمَنْ/لِّمَنۡ/liman//حَارَبَ/حَارَبَ/haraba//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//وَ لَیَحْلِفُنَّ/وَلَيَحۡلِفُنَّ/walayahlifunna//اِنْ/إِنۡ/in//اَرَدْنَاۤ/أَرَدۡنَآ/aradna//اِلَّا/إِلَّا/illa//الْحُسْنٰی ؕ/ٱلۡحُسۡنَىٰۖ/al-hus'na//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَشْهَدُ/يَشۡهَدُ/yashhadu//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "এবং যারা//নির্মাণ করেছে//মাসজিদকে//ক্ষতি করার//ও সত্য প্রত্যাখ্যানের//ও বিভেদ সৃষ্টির উদ্দেশ্যে//মাঝে//মু'মিনদের//ও ঘাঁটি হিসেবে (ব্যবহারের জন্যে)//জন্যে তার যে//যুদ্ধ করেছে//আল্লাহর//ও তাঁর রাসূলের (বিরুদ্ধে)//থেকে//পূর্ব//এবং অবশ্যই তারা শপথ করবেই//\"না//ইচ্ছে করেছিলাম আমরা//এ ছাড়া//উত্তম\"//এবং আল্লাহ//সাক্ষ্য দিচ্ছেন//নিশ্চয়ই তারা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 1343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1343.mp3"
              ],
              "text": "لَا تَقُمْ فِيهِ أَبَدًۭا ۚ لَّمَسْجِدٌ أُسِّسَ عَلَى ٱلتَّقْوَىٰ مِنْ أَوَّلِ يَوْمٍ أَحَقُّ أَن تَقُومَ فِيهِ ۚ فِيهِ رِجَالٌۭ يُحِبُّونَ أَن يَتَطَهَّرُوا۟ ۚ وَٱللَّهُ يُحِبُّ ٱلْمُطَّهِّرِينَ",
              "translate_bn": "তুমি কখনো সেখানে দাড়াবে না, তবে যে মসজিদের ভিত্তি রাখা হয়েছে তাকওয়ার উপর প্রথম দিন থেকে, সেটিই তোমার দাঁড়াবার যোগ্য স্থান। সেখানে রয়েছে এমন লোক, যারা পবিত্রতাকে ভালবাসে। আর আল্লাহ পবিত্র লোকদের ভালবাসেন।",
              "numberInSurah": 108,
              "juz": 11,
              "manzil": 2,
              "page": 204,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "লা-তাকুম ফীহি আবাদাল লামাছজিদুন উছছিছা ‘আলাততাকওয়া-মিন আওওয়ালি ইয়াওমিন আহাক্কুআন তাকূমা ফীহি ফীহি রিজা-লুইঁ ইউহিববূনা আইঁ ইয়াতাতাহহারু ওয়াল্লা-হু ইউহিব্বুল মুতাতাহহিরীন।",
              "words_arabic": "لَا/لَا/la//تَقُمْ/تَقُمۡ/taqum//فِیْهِ/فِيهِ/fihi//اَبَدًا ؕ/أَبَدٗاۚ/abadan//لَمَسْجِدٌ/لَّمَسۡجِدٌ/lamasjidun//اُسِّسَ/أُسِّسَ/ussisa//عَلَی/عَلَى/ala//التَّقْوٰی/ٱلتَّقۡوَىٰ/al-taqwa//مِنْ/مِنۡ/min//اَوَّلِ/أَوَّلِ/awwali//یَوْمٍ/يَوۡمٍ/yawmin//اَحَقُّ/أَحَقُّ/ahaqqu//اَنْ/أَن/an//تَقُوْمَ/تَقُومَ/taquma//فِیْهِ ؕ/فِيهِۚ/fihi//فِیْهِ/فِيهِ/fihi//رِجَالٌ/رِجَالٞ/rijalun//یُّحِبُّوْنَ/يُحِبُّونَ/yuhibbuna//اَنْ/أَن/an//یَّتَطَهَّرُوْا ؕ/يَتَطَهَّرُواْۚ/yatatahharu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُطَّهِّرِیْنَ /ٱلۡمُطَّهِّرِينَ/al-mutahirina",
              "words_bangla": "না//তুমি দাঁড়াবে//মধ্যে তার//কখনও//অবশ্যই যে মাসজিদের//ভিত্তি স্হাপিত হয়েছে//উপর//তাকওয়ার//হতে//প্রথম//দিন//অধিকযোগ্য//যে//তুমি দাঁড়াবে//মধ্যে তার (সালাতের জন্যে)//মধ্যে তার (আছে)//(এমন) লোক//(যারা) পছন্দ করে//যে//তারা ভালোভাবে পবিত্রতা অর্জন করবে//এবং আল্লাহ//পছন্দ করেন//পবিত্রতা অর্জনকারীদেরকে"
            },
            {
              "number": 1344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1344.mp3"
              ],
              "text": "أَفَمَنْ أَسَّسَ بُنْيَٰنَهُۥ عَلَىٰ تَقْوَىٰ مِنَ ٱللَّهِ وَرِضْوَٰنٍ خَيْرٌ أَم مَّنْ أَسَّسَ بُنْيَٰنَهُۥ عَلَىٰ شَفَا جُرُفٍ هَارٍۢ فَٱنْهَارَ بِهِۦ فِى نَارِ جَهَنَّمَ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "যে ব্যাক্তি স্বীয় গৃহের ভিত্তি রেখেছে কোন গর্তের কিনারায় যা ধ্বসে পড়ার নিকটবর্তী এবং অতঃপর তা ওকে নিয়ে দোযখের আগুনে পতিত হয়। আর আল্লাহ জালেমদের পথ দেখান না।",
              "numberInSurah": 109,
              "juz": 11,
              "manzil": 2,
              "page": 204,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "আফামান আছছাছা বুনইয়া-নাহূ‘আলা-তাকওয়া-মিনাল্লা-হি ওয়া রিদাওয়া-নিন খাইরুন আম্মান আছছাআ বুনইয়া-নাহূ‘আলা-শাফা-জুরুফিন হা-রিন ফানহা-রা বিহী ফী না-রি জাহান্নামা ওয়াল্লা-হু লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "اَفَمَنْ/أَفَمَنۡ/afaman//اَسَّسَ/أَسَّسَ/assasa//بُنْیَانَهٗ/بُنۡيَٰنَهُۥ/bun'yanahu//عَلٰی/عَلَىٰ/ala//تَقْوٰی/تَقۡوَىٰ/taqwa//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رِضْوَانٍ/وَرِضۡوَٰنٍ/warid'wanin//خَیْرٌ/خَيۡرٌ/khayrun//اَمْ/أَم/am//مَّنْ/مَّنۡ/man//اَسَّسَ/أَسَّسَ/assasa//بُنْیَانَهٗ/بُنۡيَٰنَهُۥ/bun'yanahu//عَلٰی/عَلَىٰ/ala//شَفَا/شَفَا/shafa//جُرُفٍ/جُرُفٍ/jurufin//هَارٍ/هَارٖ/harin//فَانْهَارَ/فَٱنۡهَارَ/fa-in'hara//بِهٖ/بِهِۦ/bihi//فِیْ/فِي/fi//نَارِ/نَارِ/nari//جَهَنَّمَ ؕ/جَهَنَّمَۗ/jahannama//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "কি তবে যে//ভিত্তি স্হাপন করেছে//ঘরের তার//উপর//তাকওয়ার//এর//আল্লাহ//ও তাঁর সন্তুষ্টির (জন্যে)//উত্তম//না কি//যে//ভিত্তি স্হাপন করেছে//ঘরের তার//উপর//কিনারার//খাদের//পড়ন্ত//অতঃপর তা পড়লো//সহ তাকে//মধ্যে//আগুনের//জাহান্নামের//এবং আল্লাহ//না//পথ দেখান//(এমন)সম্প্রদায়কে//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 1345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1345.mp3"
              ],
              "text": "لَا يَزَالُ بُنْيَٰنُهُمُ ٱلَّذِى بَنَوْا۟ رِيبَةًۭ فِى قُلُوبِهِمْ إِلَّآ أَن تَقَطَّعَ قُلُوبُهُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ",
              "translate_bn": "তাদের নির্মিত গৃহটি তাদের অন্তরে সদা সন্দেহের উদ্রেক করে যাবে যে পর্যন্ত না তাদের অন্তরগুলো চৌচির হয়ে যায়। আর আল্লাহ সর্বজ্ঞ প্রজ্ঞাময়।",
              "numberInSurah": 110,
              "juz": 11,
              "manzil": 2,
              "page": 204,
              "ruku": 168,
              "hizbQuarter": 81,
              "sajda": false,
              "pronunciation_bn": "লা-ইঝা-লুবুনইয়া-নুহুমুল্লাযী বানাও রীবাতান ফী কুলূবিহিম ইল্লা-আন তাকাত্তা‘আ কুলূবুহুম ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "لَا/لَا/la//یَزَالُ/يَزَالُ/yazalu//بُنْیَانُهُمُ/بُنۡيَٰنُهُمُ/bun'yanuhumu//الَّذِیْ/ٱلَّذِي/alladhi//بَنَوْا/بَنَوۡاْ/banaw//رِیْبَةً/رِيبَةٗ/ribatan//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَقَطَّعَ/تَقَطَّعَ/taqatta'a//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۗ/qulubuhum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ۠/حَكِيمٌ/hakimun",
              "words_bangla": "না//সর্বদা হয়ে থাকবে//ঘর তাদের//যা//তারা বানিয়েছে//সন্দেহের কারণ (বীজ)//মধ্যে//অন্তরের তাদের//যে পর্যন্ত না//যে//ছিন্নভিন্ন হবে//অন্তর তাদের//আর আল্লাহ//সবকিছু জানেন//মহাবিজ্ঞ"
            },
            {
              "number": 1346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1346.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ ٱشْتَرَىٰ مِنَ ٱلْمُؤْمِنِينَ أَنفُسَهُمْ وَأَمْوَٰلَهُم بِأَنَّ لَهُمُ ٱلْجَنَّةَ ۚ يُقَٰتِلُونَ فِى سَبِيلِ ٱللَّهِ فَيَقْتُلُونَ وَيُقْتَلُونَ ۖ وَعْدًا عَلَيْهِ حَقًّۭا فِى ٱلتَّوْرَىٰةِ وَٱلْإِنجِيلِ وَٱلْقُرْءَانِ ۚ وَمَنْ أَوْفَىٰ بِعَهْدِهِۦ مِنَ ٱللَّهِ ۚ فَٱسْتَبْشِرُوا۟ بِبَيْعِكُمُ ٱلَّذِى بَايَعْتُم بِهِۦ ۚ وَذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আল্লাহ ক্রয় করে নিয়েছেন মুসলমানদের থেকে তাদের জান ও মাল এই মূল্যে যে, তাদের জন্য রয়েছে জান্নাত। তারা যুদ্ধ করে আল্লাহর রাহেঃ অতঃপর মারে ও মরে। তওরাত, ইঞ্জিল ও কোরআনে তিনি এ সত্য প্রতিশ্রুতিতে অবিচল। আর আল্লাহর চেয়ে প্রতিশ্রুতি রক্ষায় কে অধিক? সুতরাং তোমরা আনন্দিত হও সে লেন-দেনের উপর, যা তোমরা করছ তাঁর সাথে। আর এ হল মহান সাফল্য।",
              "numberInSurah": 111,
              "juz": 11,
              "manzil": 2,
              "page": 204,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হাশতারা-মিনাল মু’মিনীনা আনফুছাহুম ওয়া আমওয়া-লাহুম বিআন্না লাহুমুলজান্নাতা ইউকা-তিলূনা ফী ছাবীলিল্লা-হি ফাইয়াকতুলূনা ওয়া ইউকতালূনা ওয়া‘দান আলাইহি হাককান ফিততাওরা-তি ওয়াল ইনজীলি ওয়াল কুরআ-নি ওয়া মান আওফাবি‘আহদিহী মিনাল্লা-হি ফাছতাবশিরূ ব্বিাই‘ইকুমুল্লাযী বা-ইয়া‘তুম বিহী ওয়া যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//اشْتَرٰی/ٱشۡتَرَىٰ/ish'tara//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ اَمْوَالَهُمْ/وَأَمۡوَٰلَهُم/wa-amwalahum//بِاَنَّ/بِأَنَّ/bi-anna//لَهُمُ/لَهُمُ/lahumu//الْجَنَّةَ ؕ/ٱلۡجَنَّةَۚ/al-janata//یُقَاتِلُوْنَ/يُقَٰتِلُونَ/yuqatiluna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//فَیَقْتُلُوْنَ/فَيَقۡتُلُونَ/fayaqtuluna//وَ یُقْتَلُوْنَ ۫/وَيُقۡتَلُونَۖ/wayuq'taluna//وَعْدًا/وَعۡدًا/wa'dan//عَلَیْهِ/عَلَيۡهِ/alayhi//حَقًّا/حَقّٗا/haqqan//فِی/فِي/fi//التَّوْرٰىةِ/ٱلتَّوۡرَىٰةِ/al-tawrati//وَ الْاِنْجِیْلِ/وَٱلۡإِنجِيلِ/wal-injili//وَ الْقُرْاٰنِ ؕ/وَٱلۡقُرۡءَانِۚ/wal-qur'ani//وَ مَنْ/وَمَنۡ/waman//اَوْفٰی/أَوۡفَىٰ/awfa//بِعَهْدِهٖ/بِعَهۡدِهِۦ/bi'ahdihi//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِۚ/al-lahi//فَاسْتَبْشِرُوْا/فَٱسۡتَبۡشِرُواْ/fa-is'tabshiru//بِبَیْعِكُمُ/بِبَيۡعِكُمُ/bibay'ikumu//الَّذِیْ/ٱلَّذِي/alladhi//بَایَعْتُمْ/بَايَعۡتُم/baya'tum//بِهٖ ؕ/بِهِۦۚ/bihi//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//কিনে নিয়েছেন//হতে//মু'মিনদের//জীবনকে তাদের//ও ধনসম্পদকে তাদের//বিনিময়ে যে//জন্যে তাদের (রয়েছে)//জান্নাত//তারা লড়াই করে//মধ্যে//পথের//আল্লাহর//অতঃপর তারা মারে//ও তারা নিহত হয়//প্রতিশ্রুতি (রয়েছে)//সম্পর্কে এ//সত্য//মধ্যে//তাওরাতের//ও ইনজিলের//এবং কুরআনেও//এবং (আর) কে//অধিক পালনকারী (হতে পারে)//সম্পর্কে প্রতিশ্রুতি তার//চেয়েও//আল্লাহর//অতএব তোমরা খুশি হও//নিয়ে তোমাদের কেনা বেচার//যা//কেনাবেচা করছো তোমরা//সাথে তাঁর//এবং এটা//সেই//সফলতা//মহা"
            },
            {
              "number": 1347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1347.mp3"
              ],
              "text": "ٱلتَّٰٓئِبُونَ ٱلْعَٰبِدُونَ ٱلْحَٰمِدُونَ ٱلسَّٰٓئِحُونَ ٱلرَّٰكِعُونَ ٱلسَّٰجِدُونَ ٱلْءَامِرُونَ بِٱلْمَعْرُوفِ وَٱلنَّاهُونَ عَنِ ٱلْمُنكَرِ وَٱلْحَٰفِظُونَ لِحُدُودِ ٱللَّهِ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "তারা তওবাকারী, এবাদতকারী, শোকরগোযার, (দুনিয়ার সাথে) সম্পর্কচ্ছেদকারী, রুকু ও সিজদা আদায়কারী, সৎকাজের আদেশ দানকারী ও মন্দ কাজ থেকে নিবৃতকারী এবং আল্লাহর দেওয়া সীমাসমূহের হেফাযতকারী। বস্তুতঃ সুসংবাদ দাও ঈমানদারদেরকে।",
              "numberInSurah": 112,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "আত্তাইবূনাল ‘আ-বিদূ নাল হা-মিদূ নাছছা-ইহুনার রা-কি‘ঊনাছছা-জিদূ নাল আ-মিরূনা বিলামা‘রূফি ওয়ান্না-হুনা ‘আনিল মুনকারি ওয়াল হা-ফিজূনা লিহুদূ দিল্লা-হি ওয়া বাশশিরিল মু’মিনীন।",
              "words_arabic": "اَلتَّآىِٕبُوْنَ/ٱلتَّـٰٓئِبُونَ/al-taibuna//الْعٰبِدُوْنَ/ٱلۡعَٰبِدُونَ/al-'abiduna//الْحٰمِدُوْنَ/ٱلۡحَٰمِدُونَ/al-hamiduna//السَّآىِٕحُوْنَ/ٱلسَّـٰٓئِحُونَ/al-saihuna//الرّٰكِعُوْنَ/ٱلرَّـٰكِعُونَ/al-raki'una//السّٰجِدُوْنَ/ٱلسَّـٰجِدُونَ/al-sajiduna//الْاٰمِرُوْنَ/ٱلۡأٓمِرُونَ/al-amiruna//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ النَّاهُوْنَ/وَٱلنَّاهُونَ/wal-nahuna//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ الْحٰفِظُوْنَ/وَٱلۡحَٰفِظُونَ/wal-hafizuna//لِحُدُوْدِ/لِحُدُودِ/lihududi//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "(তারা) তওবাকারী//ইবাদতকারী//(আল্লাহর) প্রশংসাকারী//সিয়াম পালনকারী//রুকুকারী//সিজদাকারী//নির্দেশদানকারী//ব্যাপারে ভালো কাজের//ও নিষেধকারী//হতে//মন্দকাজ//এবং সংরক্ষণকারী//প্রতি সীমারেখার//আল্লাহর//আর তুমি সুসংবাদ দাও//(ঐসব) মু'মিনদেরকে"
            },
            {
              "number": 1348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1348.mp3"
              ],
              "text": "مَا كَانَ لِلنَّبِىِّ وَٱلَّذِينَ ءَامَنُوٓا۟ أَن يَسْتَغْفِرُوا۟ لِلْمُشْرِكِينَ وَلَوْ كَانُوٓا۟ أُو۟لِى قُرْبَىٰ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُمْ أَنَّهُمْ أَصْحَٰبُ ٱلْجَحِيمِ",
              "translate_bn": "নবী ও মুমিনের উচিত নয় মুশরেকদের মাগফেরাত কামনা করে, যদিও তারা আত্নীয় হোক একথা সুস্পষ্ট হওয়ার পর যে তারা দোযখী।",
              "numberInSurah": 113,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিন্নাবিইয়ি ওয়াল্লাযীনা আ-মানূআইঁ ইয়াছতাগফিরূ লিলমুশরিকীনা ওয়ালাও কানূউলী কুরবা-মিম বা‘দি মা-তাবাইইয়ানা লাহুম আন্নাহুম আসহা-বুল জাহীম।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِلنَّبِیِّ/لِلنَّبِيِّ/lilnnabiyyi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنْ/أَن/an//یَّسْتَغْفِرُوْا/يَسۡتَغۡفِرُواْ/yastaghfiru//لِلْمُشْرِكِیْنَ/لِلۡمُشۡرِكِينَ/lil'mush'rikina//وَ لَوْ/وَلَوۡ/walaw//كَانُوْۤا/كَانُوٓاْ/kanu//اُولِیْ/أُوْلِي/uli//قُرْبٰی/قُرۡبَىٰ/qur'ba//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهُمْ/لَهُمۡ/lahum//اَنَّهُمْ/أَنَّهُمۡ/annahum//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "নয়//শোভনীয়//জন্যে নাবীর//এবং যারা//ঈমান এনেছে (তাদের জন্যে)//যে//তারা ক্ষমা চাইবে (আল্লাহর কাছে)//জন্যে মুশরিকদের//এবং যদিও//তারা হয়//সম্পন্নরা//নৈকট্য//থেকেও//পর//যা//স্পষ্ট হয়েছে//কাছে তাদের//যে তারা//অধিবাসী//জাহান্নামের"
            },
            {
              "number": 1349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1349.mp3"
              ],
              "text": "وَمَا كَانَ ٱسْتِغْفَارُ إِبْرَٰهِيمَ لِأَبِيهِ إِلَّا عَن مَّوْعِدَةٍۢ وَعَدَهَآ إِيَّاهُ فَلَمَّا تَبَيَّنَ لَهُۥٓ أَنَّهُۥ عَدُوٌّۭ لِّلَّهِ تَبَرَّأَ مِنْهُ ۚ إِنَّ إِبْرَٰهِيمَ لَأَوَّٰهٌ حَلِيمٌۭ",
              "translate_bn": "আর ইব্রাহীম কর্তৃক স্বীয় পিতার মাগফেরাত কামনা ছিল কেবল সেই প্রতিশ্রুতির কারণে, যা তিনি তার সাথে করেছিলেন। অতঃপর যখন তাঁর কাছে একথা প্রকাশ পেল যে, সে আল্লাহর শত্রু তখন তার সাথে সম্পর্ক ছিন্ন করে নিলেন। নিঃসন্দেহে ইব্রাহীম ছিলেন বড় কোমল হৃদয়, সহনশীল।",
              "numberInSurah": 114,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কানাছতিগফা-রু ইবরা-হীমা লিআবীহি ইল্লা-‘আম মাও ‘ইদাতিওঁ ওয়া‘আদহাইইয়া-হু ফালাম্মা-তাবাইইয়ানা লাহূআন্নাহূ‘আদুওউল লিল্লা-হি তাবাররাআমিনহু ইন্না ইবরা-হীমা লা আওওয়া-হুন হালীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اسْتِغْفَارُ/ٱسۡتِغۡفَارُ/is'tigh'faru//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//اِلَّا/إِلَّا/illa//عَنْ/عَن/an//مَّوْعِدَةٍ/مَّوۡعِدَةٖ/maw'idatin//وَّعَدَهَاۤ/وَعَدَهَآ/wa'adaha//اِیَّاهُ ۚ/إِيَّاهُ/iyyahu//فَلَمَّا/فَلَمَّا/falamma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهٗۤ/لَهُۥٓ/lahu//اَنَّهٗ/أَنَّهُۥ/annahu//عَدُوٌّ/عَدُوّٞ/aduwwun//لِّلّٰهِ/لِّلَّهِ/lillahi//تَبَرَّاَ/تَبَرَّأَ/tabarra-a//مِنْهُ ؕ/مِنۡهُۚ/min'hu//اِنَّ/إِنَّ/inna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//لَاَوَّاهٌ/لَأَوَّـٰهٌ/la-awwahun//حَلِیْمٌ /حَلِيمٞ/halimun",
              "words_bangla": "এবং না//ছিলো//ক্ষমা চাওয়া//ইবরাহীমের//জন্যে পিতার তার//এ ছাড়া যে//জন্যে//প্রতিশ্রুতির//যা সে প্রতিশ্রুতি দিয়েছিলো//কাছে তার//অতঃপর যখন//প্রকাশ হলো//কাছে তার//যে সে//শত্রু//জন্যে আল্লাহর//সে সম্পর্ক ছিন্ন করলো//থেকে তার//নিশ্চয়ই//ইবরাহীম (ছিলো)//অবশ্যই কোমল হৃদয়ের//সহনশীল (মানুষ)"
            },
            {
              "number": 1350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1350.mp3"
              ],
              "text": "وَمَا كَانَ ٱللَّهُ لِيُضِلَّ قَوْمًۢا بَعْدَ إِذْ هَدَىٰهُمْ حَتَّىٰ يُبَيِّنَ لَهُم مَّا يَتَّقُونَ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ",
              "translate_bn": "আর আল্লাহ কোন জাতিকে হেদায়েত করার পর পথভ্রষ্ট করেন না যতক্ষণ না তাদের জন্য পরিষ্কারভাবে বলে দেন সেসব বিষয় যা থেকে তাদের বেঁচে থাকা দরকার। নিঃসন্দেহে আল্লাহ সব বিষয়ে ওয়াকেফহাল।",
              "numberInSurah": 115,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-নাল্লা-হু লিইউদিল্লা কাওমাম বা‘দা ইযহাদা-হুম হাত্তা-ইউবাইয়িনা লাহুম মা-ইয়াত্তাকূন্না ইন্নাল্লা-হা বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُضِلَّ/لِيُضِلَّ/liyudilla//قَوْمًۢا/قَوۡمَۢا/qawman//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//هَدٰىهُمْ/هَدَىٰهُمۡ/hadahum//حَتّٰی/حَتَّىٰ/hatta//یُبَیِّنَ/يُبَيِّنَ/yubayyina//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//یَتَّقُوْنَ ؕ/يَتَّقُونَۚ/yattaquna//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "এবং না//এমন হোন যে//আল্লাহ//যেন তিনি পথভ্রষ্ট করেন//সম্প্রদায়কে//এরপরও//যখন//পথ প্রদর্শন করেছেন তাদেরকে//যতক্ষণ না//স্পষ্ট বলে দেন//কাছে তাদের//কি (থেকে)//তারা বিরত থাকবে//নিশ্চয়ই//আল্লাহ//সম্পর্কে সব//কিছু//খুব অবহিত"
            },
            {
              "number": 1351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1351.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ يُحْىِۦ وَيُمِيتُ ۚ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّۢ وَلَا نَصِيرٍۢ",
              "translate_bn": "নিশ্চয় আল্লাহরই জন্য আসমানসমূহ ও যমীনের সাম্রাজ্য। তিনিই জিন্দা করেন ও মৃত্যু ঘটান, আর আল্লাহ ব্যতীত তোমাদের জন্য কোন সহায়ও নেই, কোন সাহায্যকারীও নেই।",
              "numberInSurah": 116,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লাহূমুলকুছছামা-ওয়া-তি ওয়াল আরদি ইউহয়ী ওয়া ইউমীতু ওয়া মা লাকুম মিন দূ নিল্লা-হি মিওঁ ওয়ালিইয়িওঁ ওয়ালা-নাসীর।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ؕ/وَيُمِيتُۚ/wayumitu//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ /نَصِيرٖ/nasirin",
              "words_bangla": "নিশ্চয়ই//আল্লাহ (এমন সত্ত্বা) যে//জন্যে তাঁরই//সার্বভৌমত্ব//আকাশসমূহের//ও পৃথিবীর//তিনি জীবিত করেন//এবং তিনি মৃত্যু ঘটান//এবং নেই//জন্যে তোমাদের//দিয়ে//ছেড়ে//আল্লাহ//কোনো//অভিভাবক//আর না//সাহায্যকারী"
            },
            {
              "number": 1352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1352.mp3"
              ],
              "text": "لَّقَد تَّابَ ٱللَّهُ عَلَى ٱلنَّبِىِّ وَٱلْمُهَٰجِرِينَ وَٱلْأَنصَارِ ٱلَّذِينَ ٱتَّبَعُوهُ فِى سَاعَةِ ٱلْعُسْرَةِ مِنۢ بَعْدِ مَا كَادَ يَزِيغُ قُلُوبُ فَرِيقٍۢ مِّنْهُمْ ثُمَّ تَابَ عَلَيْهِمْ ۚ إِنَّهُۥ بِهِمْ رَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "আল্লাহ দয়াশীল নবীর প্রতি এবং মুহাজির ও আনসারদের প্রতি, যারা কঠিন মহূর্তে নবীর সঙ্গে ছিল, যখন তাদের এক দলের অন্তর ফিরে যাওয়ার উপক্রম হয়েছিল। অতঃপর তিনি দয়াপরবশ হন তাদের প্রতি। নিঃসন্দেহে তিনি তাদের প্রতি দয়াশীল ও করুনাময়।",
              "numberInSurah": 117,
              "juz": 11,
              "manzil": 2,
              "page": 205,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "লাকাততা-বাল্লা-হু ‘আলান্নাবিইয়ি ওয়াল মুহা-জিরীনা ওয়াল আনসা-রিল্লাযীনাত তাবা‘ঊহু ফী ছা-‘আতিল ‘উছরাতি মিম বা‘দি মা-কা-দা ইয়াঝীগু কুলূবুফারীকিম মিনহুম ছুম্মা তাবা ‘আলাইহিম ইন্নাহূবিহিমি রাঊফুর রাহীম।",
              "words_arabic": "لَقَدْ/لَّقَد/laqad//تَّابَ/تَّابَ/taba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَی/عَلَى/ala//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//وَ الْمُهٰجِرِیْنَ/وَٱلۡمُهَٰجِرِينَ/wal-muhajirina//وَ الْاَنْصَارِ/وَٱلۡأَنصَارِ/wal-ansari//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّبَعُوْهُ/ٱتَّبَعُوهُ/ittaba'uhu//فِیْ/فِي/fi//سَاعَةِ/سَاعَةِ/sa'ati//الْعُسْرَةِ/ٱلۡعُسۡرَةِ/al-'us'rati//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//كَادَ/كَادَ/kada//یَزِیْغُ/يَزِيغُ/yazighu//قُلُوْبُ/قُلُوبُ/qulubu//فَرِیْقٍ/فَرِيقٖ/fariqin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//ثُمَّ/ثُمَّ/thumma//تَابَ/تَابَ/taba//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//اِنَّهٗ/إِنَّهُۥ/innahu//بِهِمْ/بِهِمۡ/bihim//رَءُوْفٌ/رَءُوفٞ/raufun//رَّحِیْمٌۙ/رَّحِيمٞ/rahimun",
              "words_bangla": "নিশ্চয়ই//ক্ষমা করলেন//আল্লাহ//প্রতি//নাবীর//এবং মুহাজিরদের//ও আনসারদের (প্রতি)//যারা//অনুসরণ করেছে তাকে//মধ্যে//সময়ের//কঠিন//থেকে//পর//এর//উপক্রম হয়েছিলো//বাঁকা হওয়ার//অন্তরসমূহ//এক দলের//মধ্য থেকে তাদের//এরপর//ক্ষমা করলেন//প্রতি তাদের//নিশ্চয়ই তিনি//উপর তাদের//স্নেহশীল//পরম দয়ালু"
            },
            {
              "number": 1353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1353.mp3"
              ],
              "text": "وَعَلَى ٱلثَّلَٰثَةِ ٱلَّذِينَ خُلِّفُوا۟ حَتَّىٰٓ إِذَا ضَاقَتْ عَلَيْهِمُ ٱلْأَرْضُ بِمَا رَحُبَتْ وَضَاقَتْ عَلَيْهِمْ أَنفُسُهُمْ وَظَنُّوٓا۟ أَن لَّا مَلْجَأَ مِنَ ٱللَّهِ إِلَّآ إِلَيْهِ ثُمَّ تَابَ عَلَيْهِمْ لِيَتُوبُوٓا۟ ۚ إِنَّ ٱللَّهَ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ",
              "translate_bn": "এবং অপর তিনজনকে যাদেরকে পেছনে রাখা হয়েছিল, যখন পৃথিবী বিস্তৃত হওয়া সত্বেও তাদের জন্য সঙ্কুচিত হয়ে গেল এবং তাদের জীবন দূর্বিসহ হয়ে উঠলো; আর তারা বুঝতে পারলো যে, আল্লাহ ব্যতীত আর কোন আশ্রয়স্থল নেই-অতঃপর তিনি সদয় হলেন তাদের প্রতি যাতে তারা ফিরে আসে। নিঃসন্দেহে আল্লাহ দয়াময় করুণাশীল।",
              "numberInSurah": 118,
              "juz": 11,
              "manzil": 2,
              "page": 206,
              "ruku": 169,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলাছছালা-ছাতিল্লাযীনা খুলিলফূ হাত্তা-ইযা-দা-কাত ‘আলাইহিমুল আরদু বিমা-রাহুবাত ওয়াদা-কাত ‘আলাইহিম আনফুছুহুম ওয়া জান্নূআল্লা-মালজাআ মিনাল্লাহি ইল্লাইলাইহি ছু ম্মা তা-বা ‘আলাইহিম লিইয়াতূবূ ইন্নাল্লা-হু হুওয়াততাওওয়া-বুর রাহীম।",
              "words_arabic": "وَّ عَلَی/وَعَلَى/wa'ala//الثَّلٰثَةِ/ٱلثَّلَٰثَةِ/al-thalathati//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خُلِّفُوْا ؕ/خُلِّفُواْ/khullifu//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//ضَاقَتْ/ضَاقَتۡ/daqat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//بِمَا/بِمَا/bima//رَحُبَتْ/رَحُبَتۡ/rahubat//وَ ضَاقَتْ/وَضَاقَتۡ/wadaqat//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//وَ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنْ/أَن/an//لَّا/لَّا/la//مَلْجَاَ/مَلۡجَأَ/malja-a//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّاۤ/إِلَّآ/illa//اِلَیْهِ ؕ/إِلَيۡهِ/ilayhi//ثُمَّ/ثُمَّ/thumma//تَابَ/تَابَ/taba//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لِیَتُوْبُوْا ؕ/لِيَتُوبُوٓاْۚ/liyatubu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//التَّوَّابُ/ٱلتَّوَّابُ/al-tawabu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং উপর//(ঐ) তিনজনের (ক্ষমা করলেন)//যারা//(তাদের সিদ্ধান্ত)স্হগিত রাখা হয়েছিলো//এমনকি//যখন//সংকুচিত হয়ে গেলো//জন্যে তাদের//পৃথিবী//এ সত্ত্বেও যা//বিস্তৃত//এবং সংকীর্ণ হলো//জন্যে তাদের//জীবন তাদের//এবং তারা ভাবলো//যে//নেই//কোনো আশ্রয় (বাঁচার)//হতে//আল্লাহ (শাস্তি)//এ ছাড়া//দিকে তাঁর(প্রত্যাবর্তন)//এরপর//তিনি ক্ষমা করলেন//প্রতি তাদের//যেন তারা ফিরে আসে//নিশ্চয়ই//আল্লাহ//তিনিই//বড় ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1354.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَكُونُوا۟ مَعَ ٱلصَّٰدِقِينَ",
              "translate_bn": "হে ঈমানদারগণ, আল্লাহকে ভয় কর এবং সত্যবাদীদের সাথে থাক।",
              "numberInSurah": 119,
              "juz": 11,
              "manzil": 2,
              "page": 206,
              "ruku": 170,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা ওয়াকূনূমা‘আসসা-দিকীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ كُوْنُوْا/وَكُونُواْ/wakunu//مَعَ/مَعَ/ma'a//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "হে//যারা//ঈমান এনেছো//ভয় করো//আল্লাহকে//ও তোমরা হও//(অন্তর্ভুক্ত)সাথে থাকো//সত্যবাদীদের"
            },
            {
              "number": 1355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1355.mp3"
              ],
              "text": "مَا كَانَ لِأَهْلِ ٱلْمَدِينَةِ وَمَنْ حَوْلَهُم مِّنَ ٱلْأَعْرَابِ أَن يَتَخَلَّفُوا۟ عَن رَّسُولِ ٱللَّهِ وَلَا يَرْغَبُوا۟ بِأَنفُسِهِمْ عَن نَّفْسِهِۦ ۚ ذَٰلِكَ بِأَنَّهُمْ لَا يُصِيبُهُمْ ظَمَأٌۭ وَلَا نَصَبٌۭ وَلَا مَخْمَصَةٌۭ فِى سَبِيلِ ٱللَّهِ وَلَا يَطَـُٔونَ مَوْطِئًۭا يَغِيظُ ٱلْكُفَّارَ وَلَا يَنَالُونَ مِنْ عَدُوٍّۢ نَّيْلًا إِلَّا كُتِبَ لَهُم بِهِۦ عَمَلٌۭ صَٰلِحٌ ۚ إِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ",
              "translate_bn": "মদীনাবাসী ও পাশ্ববর্তী পল্লীবাসীদের উচিত নয় রসূলুল্লাহর সঙ্গ ত্যাগ করে পেছনে থেকে যাওয়া এবং রসূলের প্রাণ থেকে নিজেদের প্রাণকে অধিক প্রিয় মনে করা। এটি এজন্য যে, আল্লাহর পথে যে তৃষ্ণা, ক্লান্তি ও ক্ষুধা তাদের স্পর্শ করে এবং তাদের এমন পদক্ষেপ যা কাফেরদের মনে ক্রোধের কারণ হয় আর শত্রুদের পক্ষ থেকে তারা যা কিছু প্রাপ্ত হয়-তার প্রত্যেকটির পরিবর্তে তাদের জন্য লিখিত হয়ে নেক আমল। নিঃসন্দেহে আল্লাহ সৎকর্মশীল লোকদের হক নষ্ট করেন না।",
              "numberInSurah": 120,
              "juz": 11,
              "manzil": 2,
              "page": 206,
              "ruku": 170,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিআহলিল মাদীনাতি ওয়া মান হাওলাহুম মিনাল আ‘রা-বি আইঁ ইয়াতাখাল্লাফূ ‘আর রাছূলিল্লা-হি ওয়ালা-ইয়ারগাবূবিআনফুছিহিম ‘আন নাফছিহী যা-লিকা বিআন্নাহুম লা-ইউসীবুহুম জামাঊওঁ ওয়ালা-নাসাবুওঁ ওয়ালা-মাখমাসাতুন ফী ছাবীলিল্লাহি ওয়লা ইয়াতাঊনা মাওতিআইঁ ইয়াগিজুল কুফফারা ওয়ালা ইয়ানালূনা মিন ‘আদুবিন নাইলান ইল্লা কুতিবা লাহুম বিহী ‘আমালুন সা-লিহুন ইন্নাল্লা-হা লা-ইউদী‘উ আজারাল মহছিনীন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِاَهْلِ/لِأَهۡلِ/li-ahli//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//وَ مَنْ/وَمَنۡ/waman//حَوْلَهُمْ/حَوۡلَهُم/hawlahum//مِّنَ/مِّنَ/mina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//اَنْ/أَن/an//یَّتَخَلَّفُوْا/يَتَخَلَّفُواْ/yatakhallafu//عَنْ/عَن/an//رَّسُوْلِ/رَّسُولِ/rasuli//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//یَرْغَبُوْا/يَرۡغَبُواْ/yarghabu//بِاَنْفُسِهِمْ/بِأَنفُسِهِمۡ/bi-anfusihim//عَنْ/عَن/an//نَّفْسِهٖ ؕ/نَّفۡسِهِۦۚ/nafsihi//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//لَا/لَا/la//یُصِیْبُهُمْ/يُصِيبُهُمۡ/yusibuhum//ظَمَاٌ/ظَمَأٞ/zama-on//وَّ لَا/وَلَا/wala//نَصَبٌ/نَصَبٞ/nasabun//وَّ لَا/وَلَا/wala//مَخْمَصَةٌ/مَخۡمَصَةٞ/makhmasatun//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//یَطَـُٔوْنَ/يَطَـُٔونَ/yatauna//مَوْطِئًا/مَوۡطِئٗا/mawti-an//یَّغِیْظُ/يَغِيظُ/yaghizu//الْكُفَّارَ/ٱلۡكُفَّارَ/al-kufara//وَ لَا/وَلَا/wala//یَنَالُوْنَ/يَنَالُونَ/yanaluna//مِنْ/مِنۡ/min//عَدُوٍّ/عَدُوّٖ/aduwwin//نَّیْلًا/نَّيۡلًا/naylan//اِلَّا/إِلَّا/illa//كُتِبَ/كُتِبَ/kutiba//لَهُمْ/لَهُم/lahum//بِهٖ/بِهِۦ/bihi//عَمَلٌ/عَمَلٞ/amalun//صَالِحٌ ؕ/صَٰلِحٌۚ/salihun//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُضِیْعُ/يُضِيعُ/yudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُحْسِنِیْنَۙ/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "না//শোভা পায়//জন্যে অধিবাসীদের//মাদীনার//ও যারা//তাদের চার পাশে (থাকে)//মধ্য হতে//বেদুঈনদের//যে//তারা পিছনে রয়ে যাবে//(সহগামী হওয়া) থেকে//রাসূলের//আল্লাহর//এবং না//তারা প্রিয় মনে করবে//ব্যাপারে জীবনের তাদের//চেয়ে//প্রাণের তার//এটা//এই জন্যে যে তাদের//না//তাদের কাছে পৌঁছে//(এমন)তৃষ্ণা//ও না//(এমন)ক্লান্তি//এবং না//(এমন) ক্ষুধা//মধ্যে//পথের//আল্লাহর//এবং না//পদক্ষেপ নেয়//(এমন) পদক্ষেপ//(যা) রাগান্বিত করে//কাফেরদেরকে//এবং না//তারা পায়//কোনো//শত্রুর//কোনো প্রাপ্তি//এ ছাড়া যে//লেখা হয়//জন্যে তাদের//বিনিময়ে এর//কাজ//ভালো//লিশ্চয়ই//আল্লাহ//না//নষ্ট করেন//প্রতিফল//সৎকর্মশীলদের"
            },
            {
              "number": 1356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1356.mp3"
              ],
              "text": "وَلَا يُنفِقُونَ نَفَقَةًۭ صَغِيرَةًۭ وَلَا كَبِيرَةًۭ وَلَا يَقْطَعُونَ وَادِيًا إِلَّا كُتِبَ لَهُمْ لِيَجْزِيَهُمُ ٱللَّهُ أَحْسَنَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর তারা অল্প-বিস্তর যা কিছু ব্যয় করে, যত প্রান্তর তারা অতিক্রম করে, তা সবই তাদের নামে লেখা হয়, যেন আল্লাহ তাদের কৃতকর্মসমূহের উত্তম বিনিময় প্রদান করেন।",
              "numberInSurah": 121,
              "juz": 11,
              "manzil": 2,
              "page": 206,
              "ruku": 170,
              "hizbQuarter": 82,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইউনফিকূ না নাফাকাতান সাগীরাতাওঁ ওয়ালা- কাবীরাতাওঁ ওয়ালা- ইয়াকতা‘ঊনা ওয়া-দিয়ান ইল্লা-কুতিবা লাহুম লিইয়াজঝিয়াহুমুল্লা-হু আহছানা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یُنْفِقُوْنَ/يُنفِقُونَ/yunfiquna//نَفَقَةً/نَفَقَةٗ/nafaqatan//صَغِیْرَةً/صَغِيرَةٗ/saghiratan//وَّ لَا/وَلَا/wala//كَبِیْرَةً/كَبِيرَةٗ/kabiratan//وَّ لَا/وَلَا/wala//یَقْطَعُوْنَ/يَقۡطَعُونَ/yaqta'una//وَادِیًا/وَادِيًا/wadiyan//اِلَّا/إِلَّا/illa//كُتِبَ/كُتِبَ/kutiba//لَهُمْ/لَهُمۡ/lahum//لِیَجْزِیَهُمُ/لِيَجۡزِيَهُمُ/liyajziyahumu//اللّٰهُ/ٱللَّهُ/al-lahu//اَحْسَنَ/أَحۡسَنَ/ahsana//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং না//তারা ব্যয় করে//(এমন) কোনো ব্যয়//ছোট//এবং না//বড়//এবং না//তারা অতিক্রম করে//(এমন) উপত্যকা//এ ছাড়া যে//লেখা হয়//জন্যে তাদের//যেন প্রতিফল দেন তাদেরকে//আল্লাহ//অতি উত্তম//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 1357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1357.mp3"
              ],
              "text": "۞ وَمَا كَانَ ٱلْمُؤْمِنُونَ لِيَنفِرُوا۟ كَآفَّةًۭ ۚ فَلَوْلَا نَفَرَ مِن كُلِّ فِرْقَةٍۢ مِّنْهُمْ طَآئِفَةٌۭ لِّيَتَفَقَّهُوا۟ فِى ٱلدِّينِ وَلِيُنذِرُوا۟ قَوْمَهُمْ إِذَا رَجَعُوٓا۟ إِلَيْهِمْ لَعَلَّهُمْ يَحْذَرُونَ",
              "translate_bn": "আর সমস্ত মুমিনের অভিযানে বের হওয়া সঙ্গত নয়। তাই তাদের প্রত্যেক দলের একটি অংশ কেন বের হলো না, যাতে দ্বীনের জ্ঞান লাভ করে এবং সংবাদ দান করে স্বজাতিকে, যখন তারা তাদের কাছে প্রত্যাবর্তন করবে, যেন তারা বাঁচতে পারে।",
              "numberInSurah": 122,
              "juz": 11,
              "manzil": 2,
              "page": 206,
              "ruku": 170,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-নাল মু’মিনূনা লিইয়ানফিরু কাফফাতান ফালাওলা-নাফারা মিন কুল্লি ফিরকাতিম মিনহুম তাইফাতুল লিইয়াতাফাক্কাহূফিদদীনি ওয়ালিইউনযিরূ কাওমাহুম ইযা-রাজা‘উইলাইহিম লা‘আল্লাহুম ইয়াহযারূন।",
              "words_arabic": "وَ مَا/۞وَمَا/wama//كَانَ/كَانَ/kana//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//لِیَنْفِرُوْا/لِيَنفِرُواْ/liyanfiru//كَآفَّةً ؕ/كَآفَّةٗۚ/kaffatan//فَلَوْ لَا/فَلَوۡلَا/falawla//نَفَرَ/نَفَرَ/nafara//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//فِرْقَةٍ/فِرۡقَةٖ/fir'qatin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//طَآىِٕفَةٌ/طَآئِفَةٞ/taifatun//لِّیَتَفَقَّهُوْا/لِّيَتَفَقَّهُواْ/liyatafaqqahu//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//وَ لِیُنْذِرُوْا/وَلِيُنذِرُواْ/waliyundhiru//قَوْمَهُمْ/قَوۡمَهُمۡ/qawmahum//اِذَا/إِذَا/idha//رَجَعُوْۤا/رَجَعُوٓاْ/raja'u//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَحْذَرُوْنَ۠/يَحۡذَرُونَ/yahdharuna",
              "words_bangla": "এবং না//সঙ্গত (ছিলো)//মু'মিনদের (জন্যে যে)//যেন তারা বের হবে//সবাই (একযোগে)//আর কেন না//বের হলো//হতে//প্রত্যেক//দলের//মধ্য থেকে তাদের//একটি অংশ//যেন তারা গভীর জ্ঞান অনুশীলন করতো//ব্যাপারে//দীনের//এবং যেন তারা সতর্ক করে//সম্প্রদায়কে তাদের//যখন//তারা ফিরে যায়//দিকে তাদের//যাতে তারা(এভাবে)//(ইসলাম বিরোধী কাজ থেকে) সতর্ক থাকে"
            },
            {
              "number": 1358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1358.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ قَٰتِلُوا۟ ٱلَّذِينَ يَلُونَكُم مِّنَ ٱلْكُفَّارِ وَلْيَجِدُوا۟ فِيكُمْ غِلْظَةًۭ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ",
              "translate_bn": "হে ঈমানদারগণ, তোমাদের নিকটবর্তী কাফেরদের সাথে যুদ্ধ চালিয়ে যাও এবং তারা তোমাদের মধ্যে কঠোরতা অনুভব করুক আর জেনে রাখ, আল্লাহ মুত্তাকীদের সাথে রয়েছেন।",
              "numberInSurah": 123,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূকা-তিলুল্লাযীনা ইয়ালূনাকুম মিনাল কুফফা-রি ওয়াল ইয়াজিদূফীকুম গিলজাতাওঁ ওয়া‘লামূআন্নাল্লা-হা মা‘আল মুত্তাকীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//قَاتِلُوا/قَٰتِلُواْ/qatilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَلُوْنَكُمْ/يَلُونَكُم/yalunakum//مِّنَ/مِّنَ/mina//الْكُفَّارِ/ٱلۡكُفَّارِ/al-kufari//وَ لْیَجِدُوْا/وَلۡيَجِدُواْ/walyajidu//فِیْكُمْ/فِيكُمۡ/fikum//غِلْظَةً ؕ/غِلۡظَةٗۚ/ghil'zatan//وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা যুদ্ধ করো//(তাদের বিরুদ্ধে) যারা//কাছাকাছি আছে তোমাদের//মধ্যে হতে//কাফেরদের//ও যেন তারা পায়//মধ্যে তোমাদের//কঠোরতা//এবং তোমরা জেনে রাখো//যে//আল্লাহ//সাথে (আছেন)//মুত্তাকীদের"
            },
            {
              "number": 1359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1359.mp3"
              ],
              "text": "وَإِذَا مَآ أُنزِلَتْ سُورَةٌۭ فَمِنْهُم مَّن يَقُولُ أَيُّكُمْ زَادَتْهُ هَٰذِهِۦٓ إِيمَٰنًۭا ۚ فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ فَزَادَتْهُمْ إِيمَٰنًۭا وَهُمْ يَسْتَبْشِرُونَ",
              "translate_bn": "আর যখন কোন সূরা অবতীর্ণ হয়, তখন তাদের কেউ কেউ বলে, এ সূরা তোমাদের মধ্যেকার ঈমান কতটা বৃদ্ধি করলো? অতএব যারা ঈমানদার, এ সূরা তাদের ঈমান বৃদ্ধি করেছে এবং তারা আনন্দিত হয়েছে।",
              "numberInSurah": 124,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মা উনঝিলাত ছূরাতুন ফামিনহুম মাইঁ ইয়াকূলুআইয়ুকুম ঝা-দাতহু হা-যিহী ঈমানান ফাআম্মাল্লাযীনা আ-মানূফাঝা-দাতহুম ঈমা-নাওঁ ওয়াহুম ইয়াছতাবশিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَاۤ/مَآ/ma//اُنْزِلَتْ/أُنزِلَتۡ/unzilat//سُوْرَةٌ/سُورَةٞ/suratun//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّن/man//یَّقُوْلُ/يَقُولُ/yaqulu//اَیُّكُمْ/أَيُّكُمۡ/ayyukum//زَادَتْهُ/زَادَتۡهُ/zadathu//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اِیْمَانًا ۚ/إِيمَٰنٗاۚ/imanan//فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//فَزَادَتْهُمْ/فَزَادَتۡهُمۡ/fazadathum//اِیْمَانًا/إِيمَٰنٗا/imanan//وَّ هُمْ/وَهُمۡ/wahum//یَسْتَبْشِرُوْنَ /يَسۡتَبۡشِرُونَ/yastabshiruna",
              "words_bangla": "এবং যখন//যা//অবতীর্ণ করা হয়//কোনো সূরাহ//তখন মধ্যে তাদের//কেউ কেউ//বলে//\"মধ্যে কার তোমাদের//বৃদ্ধি করেছে তার//এটা (দিয়ে)//ঈমান\"//অতঃপর আর বাস্তবিকই//যারা//ঈমান এনেছে//তখন তা তাদের বৃদ্ধি করেছে//ঈমান//এবং তারা//আনন্দিত হয়"
            },
            {
              "number": 1360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1360.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ فَزَادَتْهُمْ رِجْسًا إِلَىٰ رِجْسِهِمْ وَمَاتُوا۟ وَهُمْ كَٰفِرُونَ",
              "translate_bn": "বস্তুতঃ যাদের অন্তরে ব্যাধি রয়েছে এটি তাদের কলুষের সাথে আরো কলুষ বৃদ্ধি করেছে এবং তারা কাফের অবস্থায়ই মৃত্যু বরণ করলো।",
              "numberInSurah": 125,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ওয়াআম্মাল্লাযীনা ফী কুলূবিহিম মারাদুন ফাঝা-দাতহুম রিজছান ইলা-রিজছিহিম ওয়ামা-তূ ওয়াহুম কা-ফিরূন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//فَزَادَتْهُمْ/فَزَادَتۡهُمۡ/fazadathum//رِجْسًا/رِجۡسًا/rij'san//اِلٰی/إِلَىٰ/ila//رِجْسِهِمْ/رِجۡسِهِمۡ/rij'sihim//وَ مَاتُوْا/وَمَاتُواْ/wamatu//وَ هُمْ/وَهُمۡ/wahum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "আর পক্ষান্তরে//যাদের//মধ্যে (আছে)//অন্তরসমূহে তাদের//রোগ//তখন তা তাদের বৃদ্ধি করেছে//কলুষতার//সাথে//কলুষতা তাদের//এবং তারা মারা গিয়েছে//এ অবস্থায় যে তারা//কাফের (থাকবে)"
            },
            {
              "number": 1361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1361.mp3"
              ],
              "text": "أَوَلَا يَرَوْنَ أَنَّهُمْ يُفْتَنُونَ فِى كُلِّ عَامٍۢ مَّرَّةً أَوْ مَرَّتَيْنِ ثُمَّ لَا يَتُوبُونَ وَلَا هُمْ يَذَّكَّرُونَ",
              "translate_bn": "তারা কি লক্ষ্য করে না, প্রতি বছর তারা দু’একবার বিপর্যস্ত হচ্ছে, অথচ, তারা এরপরও তওবা করে না কিংবা উপদেশ গ্রহণ করে না।",
              "numberInSurah": 126,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "আওয়ালা-ইয়ারাওনা আন্নাহুম ইউফতানূনা ফী কুল্লি ‘আমিম মাররাতান আও মাররাতাইনি ছু ম্মা লা-ইয়াতূবূনা ওয়ালা-হুম ইয়াযযাক্কারূন।",
              "words_arabic": "اَوَ لَا/أَوَلَا/awala//یَرَوْنَ/يَرَوۡنَ/yarawna//اَنَّهُمْ/أَنَّهُمۡ/annahum//یُفْتَنُوْنَ/يُفۡتَنُونَ/yuf'tanuna//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//عَامٍ/عَامٖ/amin//مَّرَّةً/مَّرَّةً/marratan//اَوْ/أَوۡ/aw//مَرَّتَیْنِ/مَرَّتَيۡنِ/marratayni//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَتُوْبُوْنَ/يَتُوبُونَ/yatubuna//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "কি না//তারা দেখে//যে তারা//পরীক্ষায় নিক্ষিপ্ত হয়//মধ্যে//প্রত্যেক//বছরে//একবার//বা//দু'বার//এরপরও//না//তারা তওবা করে//আর না//তারা//শিক্ষা নেয়"
            },
            {
              "number": 1362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1362.mp3"
              ],
              "text": "وَإِذَا مَآ أُنزِلَتْ سُورَةٌۭ نَّظَرَ بَعْضُهُمْ إِلَىٰ بَعْضٍ هَلْ يَرَىٰكُم مِّنْ أَحَدٍۢ ثُمَّ ٱنصَرَفُوا۟ ۚ صَرَفَ ٱللَّهُ قُلُوبَهُم بِأَنَّهُمْ قَوْمٌۭ لَّا يَفْقَهُونَ",
              "translate_bn": "আর যখনই কোন সূরা অবতীর্ণ হয়, তখন তারা একে অন্যের দিকে তাকায় যে, কোন মুসলমান তোমাদের দেখছে কি-না-অতঃপর সরে পড়ে। আল্লাহ ওদের অন্তরকে সত্য বিমুখ করে দিয়েছেন! নিশ্চয়ই তারা নির্বোধ সম্প্রদায়।",
              "numberInSurah": 127,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাউনঝিলাত ছূরাতুন নাজারা বা‘দুহুম ইলা-বা‘দিন হাল ইয়ারা-কুম মিন আহাদিন ছু ম্মান সারাফূ সারাফাল্লা-হু কুলূবাহুম বিআন্নাহুম কাওমুল লা-ইয়াফকাহূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَاۤ/مَآ/ma//اُنْزِلَتْ/أُنزِلَتۡ/unzilat//سُوْرَةٌ/سُورَةٞ/suratun//نَّظَرَ/نَّظَرَ/nazara//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اِلٰی/إِلَىٰ/ila//بَعْضٍ ؕ/بَعۡضٍ/ba'din//هَلْ/هَلۡ/hal//یَرٰىكُمْ/يَرَىٰكُم/yarakum//مِّنْ/مِّنۡ/min//اَحَدٍ/أَحَدٖ/ahadin//ثُمَّ/ثُمَّ/thumma//انْصَرَفُوْا ؕ/ٱنصَرَفُواْۚ/insarafu//صَرَفَ/صَرَفَ/sarafa//اللّٰهُ/ٱللَّهُ/al-lahu//قُلُوْبَهُمْ/قُلُوبَهُم/qulubahum//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "এবং যখন//যা//অবতীর্ণ হয়//কোনো সূরাহ//দেখে//একে তাদের//দিকে//অন্যের//\"(তারা ইশারায় বলে) কি//তোমাদের দেখছে//কোনো//একজন\"//এরপর//তারা সরে পড়ে//ফিরিয়ে দিয়েছেন//আল্লাহ//অন্তরগুলোকে তাদের//কারণ তারা//(এমন)সম্প্রদায়//(যে) না//তারা বুঝে"
            },
            {
              "number": 1363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1363.mp3"
              ],
              "text": "لَقَدْ جَآءَكُمْ رَسُولٌۭ مِّنْ أَنفُسِكُمْ عَزِيزٌ عَلَيْهِ مَا عَنِتُّمْ حَرِيصٌ عَلَيْكُم بِٱلْمُؤْمِنِينَ رَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "তোমাদের কাছে এসেছে তোমাদের মধ্য থেকেই একজন রসূল। তোমাদের দুঃখ-কষ্ট তার পক্ষে দুঃসহ। তিনি তোমাদের মঙ্গলকামী, মুমিনদের প্রতি স্নেহশীল, দয়াময়।",
              "numberInSurah": 128,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "লাকাদ জাআকুমরাছূলুমমিনআনফুছিকুম ‘আঝীঝুন‘আলাইহিমা-‘আনিত্তুম হারীসুন ‘আলাইকুম বিল মু’মিনীন রাঊফুর রাহীম।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//جَآءَكُمْ/جَآءَكُمۡ/jaakum//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْ/مِّنۡ/min//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//عَزِیْزٌ/عَزِيزٌ/azizun//عَلَیْهِ/عَلَيۡهِ/alayhi//مَا/مَا/ma//عَنِتُّمْ/عَنِتُّمۡ/anittum//حَرِیْصٌ/حَرِيصٌ/harisun//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِالْمُؤْمِنِیْنَ/بِٱلۡمُؤۡمِنِينَ/bil-mu'minina//رَءُوْفٌ/رَءُوفٞ/raufun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "নিশ্চয়ই//তোমাদের কাছে এসেছে তোমাদের//একজন রাসূল//মধ্য হতে//নিজেদের তোমাদের//কষ্টদায়ক//কাছে তার//যা//তোমরা ক্ষতিগ্রস্ত হও//সে কল্যাণকামী//জন্যে তোমাদের//সাথে মু'মিনদের//স্নেহশীল//পরম দয়ালু"
            },
            {
              "number": 1364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1364.mp3"
              ],
              "text": "فَإِن تَوَلَّوْا۟ فَقُلْ حَسْبِىَ ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ۖ عَلَيْهِ تَوَكَّلْتُ ۖ وَهُوَ رَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ",
              "translate_bn": "এ সত্ত্বেও যদি তারা বিমুখ হয়ে থাকে, তবে বলে দাও, আল্লাহই আমার জন্য যথেষ্ট, তিনি ব্যতীত আর কারো বন্দেগী নেই। আমি তাঁরই ভরসা করি এবং তিনিই মহান আরশের অধিপতি।",
              "numberInSurah": 129,
              "juz": 11,
              "manzil": 2,
              "page": 207,
              "ruku": 171,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাও ফাকুল হাছবিয়াল্লা-হু লাইলা-হুওয়া ‘আলাইহি তাওয়াক্কালতু ওয়া হুওয়া রাব্বুল ‘আরশিল ‘আজীম।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَقُلْ/فَقُلۡ/faqul//حَسْبِیَ/حَسۡبِيَ/hasbiya//اللّٰهُ ۖۗؗ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۖ/huwa//عَلَیْهِ/عَلَيۡهِ/alayhi//تَوَكَّلْتُ/تَوَكَّلۡتُۖ/tawakkaltu//وَ هُوَ/وَهُوَ/wahuwa//رَبُّ/رَبُّ/rabbu//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//الْعَظِیْمِ۠/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "অতঃপর যদি//তারা ফিরে যায়//তবে বলো//\"আমরা জন্যে যথেষ্ট//আল্লাহই//নেই//কোনো ইলাহ//ছাড়া//তিনি//উপর তাঁরই//আমি নির্ভর করেছি//এবং তিনিই//রব/অধিপতি//আরশের//মহান\""
            }
          ]
        },
        {
          "number": 10,
          "name": "سُورَةُ يُونُسَ",
          "englishName": "Yunus",
          "englishNameTranslation": "Jonas",
          "revelationType": "Meccan",
          "verse": 109,
          "words": 3588,
          "chars": 14947,
          "ayahs": [
            {
              "number": 1365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1365.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓر ۚ تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ٱلْحَكِيمِ",
              "translate_bn": "আলিফ-লাম-র, এগুলো হেকমতপূর্ণ কিতাবের আয়াত।",
              "numberInSurah": 1,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম রা- তিলকা আ-য়া-তুল কিতা-বিল হাকীম।",
              "words_arabic": "الٓرٰ ۫/الٓرۚ/alif-lam-ra//تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "আলিফ- লাম- রা//এই//এই আয়াতগুলো//(এমন) কিতাবের//(যা)প্রজ্ঞাপূর্ণ"
            },
            {
              "number": 1366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1366.mp3"
              ],
              "text": "أَكَانَ لِلنَّاسِ عَجَبًا أَنْ أَوْحَيْنَآ إِلَىٰ رَجُلٍۢ مِّنْهُمْ أَنْ أَنذِرِ ٱلنَّاسَ وَبَشِّرِ ٱلَّذِينَ ءَامَنُوٓا۟ أَنَّ لَهُمْ قَدَمَ صِدْقٍ عِندَ رَبِّهِمْ ۗ قَالَ ٱلْكَٰفِرُونَ إِنَّ هَٰذَا لَسَٰحِرٌۭ مُّبِينٌ",
              "translate_bn": "মানুষের কাছে কি আশ্চর্য লাগছে যে, আমি ওহী পাঠিয়েছি তাদেরই মধ্য থেকে একজনের কাছে যেন তিনি মানুষকে সতর্ক করেন এবং সুসংবাদ শুনিয়ে দেন ঈমনাদারগণকে যে, তাঁদের জন্য সত্য মর্যাদা রয়েছে তাঁদের পালনকর্তার কাছে। কাফেররা বলতে লাগল, নিঃসন্দেহে এ লোক প্রকাশ্য যাদুকর।",
              "numberInSurah": 2,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "আকা-না লিন্না-ছি ‘আজাবান আন আওহাইনাইলা-রাজুলিম মিনহুম আন আনযিরিন্না-ছা ওয়া বাশশিরিল্লাযীনা আ-মানূআন্না লাহুম কাদামা সিদকিন ‘ইনদা রাব্বিহিম কা-লাল কা-ফিরূনা ইন্না হা-যা-লাছা-হিরুম মুবীন।",
              "words_arabic": "اَكَانَ/أَكَانَ/akana//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//عَجَبًا/عَجَبًا/ajaban//اَنْ/أَنۡ/an//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلٰی/إِلَىٰ/ila//رَجُلٍ/رَجُلٖ/rajulin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَنْ/أَنۡ/an//اَنْذِرِ/أَنذِرِ/andhiri//النَّاسَ/ٱلنَّاسَ/al-nasa//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُمۡ/lahum//قَدَمَ/قَدَمَ/qadama//صِدْقٍ/صِدۡقٍ/sid'qin//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؔؕ/رَبِّهِمۡۗ/rabbihim//قَالَ/قَالَ/qala//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَسٰحِرٌ/لَسَٰحِرٞ/lasahirun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "কি হয়েছে//জন্যে মানুষের//আশ্চর্যজনক//যে//আমরা ওহী পাঠিয়েছি//প্রতি//একজন ব্যক্তির//মধ্য হতে তাদেরই//যে//\"সতর্ক করো//মানুষকে//ও সুসংবাদ দাও//(তাদেরকে) যারা//ঈমান এনেছে//যে//জন্যে তাদের (রয়েছে)//পদ (মর্যাদা)//সত্যিকার//কাছে//রবের তাদের\"//(এ কথাই) বলেছে//কাফিররা//\"নিশ্চয়ই//এই (ব্যক্তি)//অবশ্যই জাদুকর//সুস্পষ্ট\""
            },
            {
              "number": 1367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1367.mp3"
              ],
              "text": "إِنَّ رَبَّكُمُ ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍۢ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ يُدَبِّرُ ٱلْأَمْرَ ۖ مَا مِن شَفِيعٍ إِلَّا مِنۢ بَعْدِ إِذْنِهِۦ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ فَٱعْبُدُوهُ ۚ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "নিশ্চয়ই তোমাদের পালনকর্তা আল্লাহ যিনি তৈরী করেছেন আসমান ও যমীনকে ছয় দিনে, অতঃপর তিনি আরশের উপর অধিষ্ঠিত হয়েছেন। তিনি কার্য পরিচালনা করেন। কেউ সুপারিশ করতে পাবে না তবে তাঁর অনুমতি ছাড়া ইনিই আল্লাহ তোমাদের পালনকর্তা। অতএব, তোমরা তাঁরই এবাদত কর। তোমরা কি কিছুই চিন্তা কর না ?",
              "numberInSurah": 3,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকুমুল্লা-হুল্লাযী খালাকাছ ছামা-ওয়া-তি ওয়াল আরদা ফী ছিত্তাতি আইয়া-মিন ছু ম্মাছতাওয়া-‘আলাল ‘আরশি ইউদাব্বিরুল আমরা মা-মিন শাফী‘ইন ইল্লা-মিম বা‘দি ইযনিহী যা-লিকুমুল্লা-হু রাব্বুকুম ফা‘বুদূ হু আফালা-তাযাক্কারূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكُمُ/رَبَّكُمُ/rabbakumu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ/ٱلۡعَرۡشِۖ/al-'arshi//یُدَبِّرُ/يُدَبِّرُ/yudabbiru//الْاَمْرَ ؕ/ٱلۡأَمۡرَۖ/al-amra//مَا/مَا/ma//مِنْ/مِن/min//شَفِیْعٍ/شَفِيعٍ/shafi'in//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اِذْنِهٖ ؕ/إِذۡنِهِۦۚ/idh'nihi//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//فَاعْبُدُوْهُ ؕ/فَٱعۡبُدُوهُۚ/fa-u'buduhu//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "নিশ্চয়ই//রব তোমাদের//(সেই) আল্লাহ//যিনি//সৃষ্টি করেছেন//আকাশসমূহকে//ও পৃথিবীকে//মধ্যে//ছয়টি//দিনে//এরপর//সমাসীন হয়েছেন//উপর//আরশের//পরিচালনা করেন//সকল (বিষয়)//নেই//কোনো//সুপারিশকারী//তবে (কেউ সুপারিশ করলে)//থেকে//পর//তাঁর অনুমতির (সেটা অন্য কথা)//তিনিই//আল্লাহ্‌//তোমাদের রব//অতএব তাঁরই ইবাদত করো তোমরা//কি তবুও  না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 1368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1368.mp3"
              ],
              "text": "إِلَيْهِ مَرْجِعُكُمْ جَمِيعًۭا ۖ وَعْدَ ٱللَّهِ حَقًّا ۚ إِنَّهُۥ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ لِيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ بِٱلْقِسْطِ ۚ وَٱلَّذِينَ كَفَرُوا۟ لَهُمْ شَرَابٌۭ مِّنْ حَمِيمٍۢ وَعَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْفُرُونَ",
              "translate_bn": "তাঁর কাছেই ফিরে যেতে হবে তোমাদের সবাইকে, আল্লাহর ওয়াদা সত্য, তিনিই সৃষ্টি করেন প্রথমবার আবার পুনর্বার তৈরী করবেন তাদেরকে বদলা দেয়ার জন্য যারা ঈমান এনেছে এবং নেক কাজ করেছে ইনসাফের সাথে। আর যারা কাফের হয়েছে, তাদের পান করতে হবে ফুটন্ত পানি এবং ভোগ করতে হবে যন্ত্রনাদায়ক আযাব এ জন্যে যে, তারা কুফরী করছিল।",
              "numberInSurah": 4,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইলাইহি মারজি‘উকুম জামী‘আওঁ ওয়া‘দাল্লা-হি হাক্কান ইন্নাহূইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূলিইয়াজঝিয়াল্লাযীনা আ-মানূওয়া আ‘মিলুসসা-লিহা-তি বিলকিছতি ওয়াল্লাযীনা কাফারূলাহুম শারা-বুম মিন হামীমিওঁ ওয়া ‘আযা-বুন আলীমুম বিমা-কা-নূ ইয়াকফুরূন।",
              "words_arabic": "اِلَیْهِ/إِلَيۡهِ/ilayhi//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//جَمِیْعًا ؕ/جَمِيعٗاۖ/jami'an//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقًّا ؕ/حَقًّاۚ/haqqan//اِنَّهٗ/إِنَّهُۥ/innahu//یَبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ/يُعِيدُهُۥ/yu'iduhu//لِیَجْزِیَ/لِيَجۡزِيَ/liyajziya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//بِالْقِسْطِ ؕ/بِٱلۡقِسۡطِۚ/bil-qis'ti//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَهُمْ/لَهُمۡ/lahum//شَرَابٌ/شَرَابٞ/sharabun//مِّنْ/مِّنۡ/min//حَمِیْمٍ/حَمِيمٖ/hamimin//وَّ عَذَابٌ/وَعَذَابٌ/wa'adhabun//اَلِیْمٌۢ/أَلِيمُۢ/alimun//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْفُرُوْنَ /يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "দিকে তাঁরই//তোমাদের প্রত্যাবর্তন//সকলেরই//(এটা)প্রতিশ্রুতি//আল্লাহর//সত্য//নিশ্চয়ই তিনি//প্রথম অস্তিত্বে আনেন//সৃষ্টিকে//অতঃপর//পুনরাবর্তন করবেন তার//যেন তিনি প্রতিফল দিতে পারেন//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//সাথে ন্যায় বিচারের//ও যারা//অস্বীকার করেছে//জন্যে তাদের (হবে)//পানীয়//হতে//ফুটন্ত পানি//ও শাস্তি//নিদারুণ//এ কারণে যা//তারা ছিলো//তারা অস্বীকার করতে"
            },
            {
              "number": 1369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1369.mp3"
              ],
              "text": "هُوَ ٱلَّذِى جَعَلَ ٱلشَّمْسَ ضِيَآءًۭ وَٱلْقَمَرَ نُورًۭا وَقَدَّرَهُۥ مَنَازِلَ لِتَعْلَمُوا۟ عَدَدَ ٱلسِّنِينَ وَٱلْحِسَابَ ۚ مَا خَلَقَ ٱللَّهُ ذَٰلِكَ إِلَّا بِٱلْحَقِّ ۚ يُفَصِّلُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "তিনিই সে মহান সত্তা, যিনি বানিয়েছেন সুর্যকে উজ্জল আলোকময়, আর চন্দ্রকে স্নিগ্ধ আলো বিতরণকারীরূপে এবং অতঃপর নির্ধারিত করেছেন এর জন্য মনযিল সমূহ, যাতে করে তোমরা চিনতে পার বছরগুলোর সংখ্যা ও হিসাব। আল্লাহ এই সমস্ত কিছু এমনিতেই সৃষ্টি করেননি, কিন্তু যথার্থতার সাথে। তিনি প্রকাশ করেন লক্ষণসমূহ সে সমস্ত লোকের জন্য যাদের জ্ঞান আছে।",
              "numberInSurah": 5,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী জা‘আলাশশামছা দিয়াআওঁ ওয়ালকামারা নূরাওঁ ওয়াকাদ্দারাহূমানা-ঝিলা লিতা‘লামূ‘আদাদাছ ছিনীনা ওয়ালহিছা-বা মা-খালাকাল্লা-হু যা-লিকা ইল্লাবিলহাক্কি ইউফাসসিলুল আ-য়া-তি লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//ضِیَآءً/ضِيَآءٗ/diyaan//وَّ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//نُوْرًا/نُورٗا/nuran//وَّ قَدَّرَهٗ/وَقَدَّرَهُۥ/waqaddarahu//مَنَازِلَ/مَنَازِلَ/manazila//لِتَعْلَمُوْا/لِتَعۡلَمُواْ/lita'lamu//عَدَدَ/عَدَدَ/adada//السِّنِیْنَ/ٱلسِّنِينَ/al-sinina//وَ الْحِسَابَ ؕ/وَٱلۡحِسَابَۚ/wal-hisaba//مَا/مَا/ma//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//ذٰلِكَ/ذَٰلِكَ/dhalika//اِلَّا/إِلَّا/illa//بِالْحَقِّ ۚ/بِٱلۡحَقِّۚ/bil-haqi//یُفَصِّلُ/يُفَصِّلُ/yufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//বানিয়েছেন//সূর্যকে//দীপ্তিময়//ও চাঁদকে//আলোকময়//ও তার জন্যে নির্দিষ্ট করেছেন//(হ্রাস-বৃদ্ধির)কক্ষপথ//যেন তোমরা জানো//গণনা//বছরগুলোর//ও (তারিখের) হিসাব//নেই//সৃষ্টি করেছেন//আল্লাহ্‌//এসব//ছাড়া//ভাবে যথাযথ (উদ্দেশ্যে)//বিশদ বিবৃত করেন তিনি//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//যারা জানে"
            },
            {
              "number": 1370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1370.mp3"
              ],
              "text": "إِنَّ فِى ٱخْتِلَٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَمَا خَلَقَ ٱللَّهُ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَتَّقُونَ",
              "translate_bn": "নিশ্চয়ই রাত-দিনের পরিবর্তনের মাঝে এবং যা কিছু তিনি সৃষ্টি করেছেন আসমান ও যমীনে, সবই হল নিদর্শন সেসব লোকের জন্য যারা ভয় করে।",
              "numberInSurah": 6,
              "juz": 11,
              "manzil": 3,
              "page": 208,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফিখতিলা-ফিল্লাইলি ওয়ান্নাহা-রি ওয়ামা-খালাকাল্লা-হু ফিছছামা-ওয়া-তি ওয়াল আরদি লাআ-য়া-তিল লিকাওমিইঁ ইয়াত্তাকূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِی/فِي/fi//اخْتِلَافِ/ٱخۡتِلَٰفِ/ikh'tilafi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//وَ مَا/وَمَا/wama//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "নিশ্চয়ই//মধ্যে (রয়েছে)//পরিবর্তনে//রাতের//ও দিনের//ও যা কিছু//সৃষ্টি করেছেন//আল্লাহ্‌//মধ্যে//আকাশসমূহের//ও পৃথিবীর//অবশ্যই নিদর্শনসমূহ//জন্যে সম্প্রদায়ের//যারা তাকওয়া অবলম্বন করে"
            },
            {
              "number": 1371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1371.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا وَرَضُوا۟ بِٱلْحَيَوٰةِ ٱلدُّنْيَا وَٱطْمَأَنُّوا۟ بِهَا وَٱلَّذِينَ هُمْ عَنْ ءَايَٰتِنَا غَٰفِلُونَ",
              "translate_bn": "অবশ্যই যেসব লোক আমার সাক্ষাৎ লাভের আশা রাখে না এবং পার্থিব জীবন নিয়েই উৎফুল্ল রয়েছে, তাতেই প্রশান্তি অনুভব করেছে এবং যারা আমার নির্দশনসমূহ সম্পর্কে বেখবর।",
              "numberInSurah": 7,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা লা-ইয়ারজূনা লিকাআনা-ওয়া রাদূবিলহায়া-তিদ দুনইয়া-ওয়াতমাআননূ বিহা-ওয়াল্লাযীনা হুম ‘আন আ-য়া-তিনা-গা-ফিলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//لِقَآءَنَا/لِقَآءَنَا/liqaana//وَ رَضُوْا/وَرَضُواْ/waradu//بِالْحَیٰوةِ/بِٱلۡحَيَوٰةِ/bil-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ اطْمَاَنُّوْا/وَٱطۡمَأَنُّواْ/wa-it'ma-annu//بِهَا/بِهَا/biha//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//عَنْ/عَنۡ/an//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//غٰفِلُوْنَۙ/غَٰفِلُونَ/ghafiluna",
              "words_bangla": "নিশ্চয়ই//যারা//না//আশা রাখে//সাক্ষাতের আমাদের//ও পরিতৃপ্ত হয়েছে//নিয়ে জীবন//পার্থিব//এবং নিশ্চিত থাকে//নিয়ে তা//এবং (এমন) যারা//তারাই//হতে//নিদর্শনগুলো আমাদের//উদাসীন"
            },
            {
              "number": 1372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1372.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ مَأْوَىٰهُمُ ٱلنَّارُ بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "এমন লোকদের ঠিকানা হল আগুন সেসবের বদলা হিসাবে যা তারা অর্জন করছিল।",
              "numberInSurah": 8,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "উলাইকা মা‘ওয়া-হুমুন্না-রু বিমা-কা-নূইয়াকছিবূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//مَاْوٰىهُمُ/مَأۡوَىٰهُمُ/mawahumu//النَّارُ/ٱلنَّارُ/al-naru//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "ঐসব লোক//তাদের বাসস্থান (হবে)//আগুন//এ কারণে যা//তারা ছিলো//তারা অর্জন করতে"
            },
            {
              "number": 1373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1373.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ يَهْدِيهِمْ رَبُّهُم بِإِيمَٰنِهِمْ ۖ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَٰرُ فِى جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "অবশ্য যেসব লোক ঈমান এনেছে এবং সৎকাজ করেছে, তাদেরকে হেদায়েত দান করবেন তাদের পালনকর্তা, তাদের ঈমানের মাধ্যমে। এমন সুসময় কানন-কুঞ্জের প্রতি যার তলদেশে প্রবাহিত হয় প্রস্রবণসমূহ।",
              "numberInSurah": 9,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ইয়াহদীহিম রাব্বুহুম বিঈমা-নিহিম তাজরী মিন তাহতিহিমুল আনহা-রু ফী জান্না-তিন না‘ঈম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//یَهْدِیْهِمْ/يَهۡدِيهِمۡ/yahdihim//رَبُّهُمْ/رَبُّهُم/rabbuhum//بِاِیْمَانِهِمْ ۚ/بِإِيمَٰنِهِمۡۖ/biimanihim//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهِمُ/تَحۡتِهِمُ/tahtihimu//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِ /ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//সৎপথে পরিচালিত করবেন তাদেরকে//রব তাদের//কারনে ঈমানের তাদের//প্রবাহিত হয়//দিয়ে//নিচ তাদের//ঝর্ণাধারাসমূহ//মধ্যে//জান্নাতের//সুখকর"
            },
            {
              "number": 1374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1374.mp3"
              ],
              "text": "دَعْوَىٰهُمْ فِيهَا سُبْحَٰنَكَ ٱللَّهُمَّ وَتَحِيَّتُهُمْ فِيهَا سَلَٰمٌۭ ۚ وَءَاخِرُ دَعْوَىٰهُمْ أَنِ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "সেখানে তাদের প্রার্থনা হল ‘পবিত্র তোমার সত্তা হে আল্লাহ’। আর শুভেচ্ছা হল সালাম আর তাদের প্রার্থনার সমাপ্তি হয়, ‘সমস্ত প্রশংসা বিশ্বপালক আল্লাহর জন্য’ বলে।",
              "numberInSurah": 10,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 172,
              "hizbQuarter": 83,
              "sajda": false,
              "pronunciation_bn": "দা‘ওয়া-হুম ফীহা-ছুবহা-নাকাল্লা-হুম্মা ওয়া তাহিইয়াতুহুম ফীহা-ছালা-মুওঁ ওয়া আখিরু দা‘ওয়া-হুম ‘আনিল হামদুলিল্লা-হি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "دَعْوٰىهُمْ/دَعۡوَىٰهُمۡ/da'wahum//فِیْهَا/فِيهَا/fiha//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//اللّٰهُمَّ/ٱللَّهُمَّ/al-lahuma//وَ تَحِیَّتُهُمْ/وَتَحِيَّتُهُمۡ/watahiyyatuhum//فِیْهَا/فِيهَا/fiha//سَلٰمٌ ۚ/سَلَٰمٞۚ/salamun//وَ اٰخِرُ/وَءَاخِرُ/waakhiru//دَعْوٰىهُمْ/دَعۡوَىٰهُمۡ/da'wahum//اَنِ/أَنِ/ani//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তাদের ধ্বনি (হবে)//মধ্যে তার//পবিত্র তুমি//হে আল্লাহ\"//ও তাদের অভিবাদন (হবে)//মধ্যে তার//\"সালাম (বর্ষিত হোক)\"//এবং শেষ (হবে)//ধ্বনি তাদের//এই (যে)//\"সব প্রশংসা//জন্যে আল্লাহরই//রব//বিশ্বজগতের\""
            },
            {
              "number": 1375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1375.mp3"
              ],
              "text": "۞ وَلَوْ يُعَجِّلُ ٱللَّهُ لِلنَّاسِ ٱلشَّرَّ ٱسْتِعْجَالَهُم بِٱلْخَيْرِ لَقُضِىَ إِلَيْهِمْ أَجَلُهُمْ ۖ فَنَذَرُ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا فِى طُغْيَٰنِهِمْ يَعْمَهُونَ",
              "translate_bn": "আর যদি আল্লাহ তা’আলা মানুষকে যথাশীঘ্র অকল্যাণ পৌঁছে দেন যতশীঘ্র তার কামনা করে, তাহলে তাদের আশাই শেষ করে দিতে হত। সুতরাং যাদের মনে আমার সাক্ষাতের আশা নেই, আমি তাদেরকে তাদের দুষ্টুমিতে ব্যতিব্যস্ত ছেড়ে দিয়ে রাখি।",
              "numberInSurah": 11,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও ইউআজজিলুল্লা-হু লিন্না-ছিশশাররাছতি‘জা-লাহুম বিলখাইরি লাকুদিয়া ইলাইহিম আজালুহুম ফানাযারুল্লাযীনা লা-ইয়ারজুনা লিকাআনা-ফী তুগইয়া-নিহিম ইয়া‘মাহূন।",
              "words_arabic": "وَ لَوْ/۞وَلَوۡ/walaw//یُعَجِّلُ/يُعَجِّلُ/yu'ajjilu//اللّٰهُ/ٱللَّهُ/al-lahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//الشَّرَّ/ٱلشَّرَّ/al-shara//اسْتِعْجَالَهُمْ/ٱسۡتِعۡجَالَهُم/is'ti'jalahum//بِالْخَیْرِ/بِٱلۡخَيۡرِ/bil-khayri//لَقُضِیَ/لَقُضِيَ/laqudiya//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//اَجَلُهُمْ ؕ/أَجَلُهُمۡۖ/ajaluhum//فَنَذَرُ/فَنَذَرُ/fanadharu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//لِقَآءَنَا/لِقَآءَنَا/liqaana//فِیْ/فِي/fi//طُغْیَانِهِمْ/طُغۡيَٰنِهِمۡ/tugh'yanihim//یَعْمَهُوْنَ /يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "এবং যদি//তাড়াতাড়ি করতেন//আল্লাহ//জন্যে মানুষের//অকল্যাণ//(যেমন) তারা তাড়াতাড়ি চায়//ব্যাপারে (দুনিয়ার) কল্যাণের//অবশ্যই পুরা হয়ে যেতো//প্রতি তাদের//মেয়াদ তাদের//অতএব আমরা ছেড়ে দিয়েছি//(তাদেরকে) যারা//না//আশা রাখে//সাক্ষাতের আমাদের//মধ্যে//অবাধ্যতার তাদের//উদ্‌ভ্রান্ত হয়ে ঘুরে বেড়ায়"
            },
            {
              "number": 1376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1376.mp3"
              ],
              "text": "وَإِذَا مَسَّ ٱلْإِنسَٰنَ ٱلضُّرُّ دَعَانَا لِجَنۢبِهِۦٓ أَوْ قَاعِدًا أَوْ قَآئِمًۭا فَلَمَّا كَشَفْنَا عَنْهُ ضُرَّهُۥ مَرَّ كَأَن لَّمْ يَدْعُنَآ إِلَىٰ ضُرٍّۢ مَّسَّهُۥ ۚ كَذَٰلِكَ زُيِّنَ لِلْمُسْرِفِينَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর যখন মানুষ কষ্টের সম্মুখীন হয়, শুয়ে বসে, দাঁড়িয়ে আমাকে ডাকতে থাকে। তারপর আমি যখন তা থেকে মুক্ত করে দেই, সে কষ্ট যখন চলে যায় তখন মনে হয় কখনো কোন কষ্টেরই সম্মুখীন হয়ে যেন আমাকে ডাকেইনি। এমনিভাবে মনঃপুত হয়েছে নির্ভয় লোকদের যা তারা করেছে।",
              "numberInSurah": 12,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাছছাল ইনছা-নাদদুররু দা‘আ-না-লিজামবিহী আও কা-‘ইদান আও কাইমান ফালাম্মা-কাশাফনা-‘আনহু দুররাহূমাররা কাআল্লামা ইয়াদ‘ঊনা ইলা-দুররিম মাছছাহূ কাযা-লিকা ঝুইয়িনা লিলমুছরিফীনা মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَسَّ/مَسَّ/massa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//الضُّرُّ/ٱلضُّرُّ/al-duru//دَعَانَا/دَعَانَا/da'ana//لِجَنْۢبِهٖۤ/لِجَنۢبِهِۦٓ/lijanbihi//اَوْ/أَوۡ/aw//قَاعِدًا/قَاعِدًا/qa'idan//اَوْ/أَوۡ/aw//قَآىِٕمًا ۚ/قَآئِمٗا/qaiman//فَلَمَّا/فَلَمَّا/falamma//كَشَفْنَا/كَشَفۡنَا/kashafna//عَنْهُ/عَنۡهُ/anhu//ضُرَّهٗ/ضُرَّهُۥ/durrahu//مَرَّ/مَرَّ/marra//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَدْعُنَاۤ/يَدۡعُنَآ/yad'una//اِلٰی/إِلَىٰ/ila//ضُرٍّ/ضُرّٖ/durrin//مَّسَّهٗ ؕ/مَّسَّهُۥۚ/massahu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//زُیِّنَ/زُيِّنَ/zuyyina//لِلْمُسْرِفِیْنَ/لِلۡمُسۡرِفِينَ/lil'mus'rifina//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং যখন//স্পর্শ করে//মানুষকে//দুঃখ-দৈন্য (দিয়ে)//(তখন) ডাকে আমাদেরকে//উপর পাশের তার (অর্থাৎ শুয়ে)//বা//বসে//বা//দাঁড়িয়ে//অতঃপর যখন//আমরা দূর করি//থেকে তার//দুঃখ-দৈন্য তার//সে চলে (এমনভাবে)//যেন//নি//আমাদেরকে ডাকেই//জন্যে//দুঃখের//স্পর্শ করেছিলো তাকে//এভাবে//সুশোভিত করা হয়েছে//জন্যে সীমালঙ্ঘনকারীদের//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 1377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1377.mp3"
              ],
              "text": "وَلَقَدْ أَهْلَكْنَا ٱلْقُرُونَ مِن قَبْلِكُمْ لَمَّا ظَلَمُوا۟ ۙ وَجَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ وَمَا كَانُوا۟ لِيُؤْمِنُوا۟ ۚ كَذَٰلِكَ نَجْزِى ٱلْقَوْمَ ٱلْمُجْرِمِينَ",
              "translate_bn": "অবশ্য তোমাদের পূর্বে বহু দলকে ধ্বংস করে দিয়েছি, তখন তারা জালেম হয়ে গেছে। অথচ রসূল তাদের কাছেও এসব বিষয়ের প্রকৃষ্ট নির্দেশ নিয়ে এসেছিলেন। কিন্তু কিছুতেই তারা ঈমান আনল না। এমনিভাবে আমি শাস্তি দিয়ে থাকি পাপি সম্প্রদায়কে।",
              "numberInSurah": 13,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আহলাকনাল কুরূনা মিন কাবলিকুম লাম্মা-জালামূ ওয়া জাআতহুম রুছুলুহুম বিলবাইয়িনা-তি ওয়ামা-কা-নূলিইউ’মিনূ কাযা-লিকা নাজঝিল কাওমাল মুজরিমীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//الْقُرُوْنَ/ٱلۡقُرُونَ/al-quruna//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//لَمَّا/لَمَّا/lamma//ظَلَمُوْا ۙ/ظَلَمُواْ/zalamu//وَ جَآءَتْهُمْ/وَجَآءَتۡهُمۡ/wajaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//لِیُؤْمِنُوْا ؕ/لِيُؤۡمِنُواْۚ/liyu'minu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এবং নিশ্চয়ই//ধ্বংস করেছি আমরা//বহু মানবগোষ্ঠীকে//থেকেও//পূর্ব তোমাদের//যখন//তারা অবিচার করেছিলো//ও কাছে এসেছিলো তাদের//রাসূলরা তাদের//সহ সুস্পষ্ট নিদর্শনগুলো//এবং না//তারা ছিলো//জন্যে ঈমান আনার//এভাবে//প্রতিফল দিই আমরা//সসম্প্রদায়কে//অপরাধী"
            },
            {
              "number": 1378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1378.mp3"
              ],
              "text": "ثُمَّ جَعَلْنَٰكُمْ خَلَٰٓئِفَ فِى ٱلْأَرْضِ مِنۢ بَعْدِهِمْ لِنَنظُرَ كَيْفَ تَعْمَلُونَ",
              "translate_bn": "অতঃপর আমি তোমাদেরকে যমীনে তাদের পর প্রতিনিধি বানিয়েছি যাতে দেখতে পারি তোমরা কি কর।",
              "numberInSurah": 14,
              "juz": 11,
              "manzil": 3,
              "page": 209,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা জা‘আলনা-কুম খালাইফা ফিল আরদিমিম বা‘দিহিম লিনানজুরা কাইফা তা‘মালূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//جَعَلْنٰكُمْ/جَعَلۡنَٰكُمۡ/ja'alnakum//خَلٰٓىِٕفَ/خَلَـٰٓئِفَ/khalaifa//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//لِنَنْظُرَ/لِنَنظُرَ/linanzura//كَیْفَ/كَيۡفَ/kayfa//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এরপর//আমরা বানালাম তোমাদেরকে//প্রতিনিধি//মধ্যে//পৃথিবীর//থেকে//পর তাদের//যেন দেখি আমরা//কেমন//তোমরা কাজ করো"
            },
            {
              "number": 1379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1379.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَاتُنَا بَيِّنَٰتٍۢ ۙ قَالَ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا ٱئْتِ بِقُرْءَانٍ غَيْرِ هَٰذَآ أَوْ بَدِّلْهُ ۚ قُلْ مَا يَكُونُ لِىٓ أَنْ أُبَدِّلَهُۥ مِن تِلْقَآئِ نَفْسِىٓ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ ۖ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "আর যখন তাদের কাছে আমার প্রকৃষ্ট আয়াত সমূহ পাঠ করা হয়, তখন সে সমস্ত লোক বলে, যাদের আশা নেই আমার সাক্ষাতের, নিয়ে এসো কোন কোরআন এটি ছাড়া, অথবা একে পরিবর্তিত করে দাও। তাহলে বলে দাও, একে নিজের পক্ষ থেকে পরিবর্তিত করা আমার কাজ নয়। আমি সে নির্দেশেরই আনুগত্য করি, যা আমার কাছে আসে। আমি যদি স্বীয় পরওয়ারদেগারের নাফরমানী করি, তবে কঠিন দিবসের আযাবের ভয় করি।",
              "numberInSurah": 15,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-‘আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিন কা-লাল্লাযীনা লাইয়ারজূনা লিকাআনা’তি বিকুরআ-নিন গাইরি হা-যা-আও বাদ্দিলহু কুল মাইয়াকূনুলীআন উবাদ্দিলাহূমিন তিলকাই নাফছী ইন আত্তাবি‘উ ইল্লা-মাইউহাইলাইইয়া ইন্নী আখা-ফুইন ‘আসাইতুরাববী ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیَاتُنَا/ءَايَاتُنَا/ayatuna//بَیِّنٰتٍ ۙ/بَيِّنَٰتٖ/bayyinatin//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//لِقَآءَنَا/لِقَآءَنَا/liqaana//ائْتِ/ٱئۡتِ/i'ti//بِقُرْاٰنٍ/بِقُرۡءَانٍ/biqur'anin//غَیْرِ/غَيۡرِ/ghayri//هٰذَاۤ/هَٰذَآ/hadha//اَوْ/أَوۡ/aw//بَدِّلْهُ ؕ/بَدِّلۡهُۚ/baddil'hu//قُلْ/قُلۡ/qul//مَا/مَا/ma//یَكُوْنُ/يَكُونُ/yakunu//لِیْۤ/لِيٓ/li//اَنْ/أَنۡ/an//اُبَدِّلَهٗ/أُبَدِّلَهُۥ/ubaddilahu//مِنْ/مِن/min//تِلْقَآئِ/تِلۡقَآيِٕ/til'qai//نَفْسِیْ ۚ/نَفۡسِيٓۖ/nafsi//اِنْ/إِنۡ/in//اَتَّبِعُ/أَتَّبِعُ/attabi'u//اِلَّا/إِلَّا/illa//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ ۚ/إِلَيَّۖ/ilayya//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اِنْ/إِنۡ/in//عَصَیْتُ/عَصَيۡتُ/asaytu//رَبِّیْ/رَبِّي/rabbi//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//নিকট তাদের//আয়াতগুলোকে আমাদের//সুস্পষ্ট//বলে//যারা//না//আশা রাখে//সাক্ষাতের আমাদের//\"আসো//নিয়ে কুরআন//ছাড়া//এটা (অন্য একটি)//অথবা//পরিবর্তন করো তা\"//বলো//\"নয়//সঙ্গত//জন্যে আমার//যে//পরিবর্তন করবো আমি তা//হতে//পক্ষ//নিজের আমার//না//আমি অনুসরণ করি//এ ছাড়া//যা//ওহী করা হয়//প্রতি আমার//নিশ্চয়ই আমি//ভয় করি//যদি//আমি অবাধ্যতা করি//আমার রবের//শাস্তির//দিনের\"//মহা\""
            },
            {
              "number": 1380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1380.mp3"
              ],
              "text": "قُل لَّوْ شَآءَ ٱللَّهُ مَا تَلَوْتُهُۥ عَلَيْكُمْ وَلَآ أَدْرَىٰكُم بِهِۦ ۖ فَقَدْ لَبِثْتُ فِيكُمْ عُمُرًۭا مِّن قَبْلِهِۦٓ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "বলে দাও, যদি আল্লাহ চাইতেন, তবে আমি এটি তোমাদের সামনে পড়তাম না, আর নাইবা তিনি তোমাদেরেকে অবহিত করতেন এ সম্পর্কে। কারণ আমি তোমাদের মাঝে ইতিপূর্বেও একটা বয়স অতিবাহিত করেছি। তারপরেও কি তোমরা চিন্তা করবে না?",
              "numberInSurah": 16,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "কুল লাও শাআল্লা-হু মা-তালাওতুহূ‘আলাইকুম ওয়ালাআদরা-কুম বিহী ফাকাদ লাবিছতুফীকুম ‘উমুরাম মিন কাবলিহী আফালা-তা‘কিলূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//تَلَوْتُهٗ/تَلَوۡتُهُۥ/talawtuhu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ لَاۤ/وَلَآ/wala//اَدْرٰىكُمْ/أَدۡرَىٰكُم/adrakum//بِهٖ ۖؗ/بِهِۦۖ/bihi//فَقَدْ/فَقَدۡ/faqad//لَبِثْتُ/لَبِثۡتُ/labith'tu//فِیْكُمْ/فِيكُمۡ/fikum//عُمُرًا/عُمُرٗا/umuran//مِّنْ/مِّن/min//قَبْلِهٖ ؕ/قَبۡلِهِۦٓۚ/qablihi//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "বলো//\"যদি//চাইতেন//আল্লাহ//না//আমি তিলাওয়াত করতাম তা//কাছে তোমাদের//এবং না//তিনি জানাতেন তোমাদের//সম্বন্ধে তা//অতঃপর নিশ্চয়ই//আমি অবস্থান করেছি//মাঝে তোমাদের//এক বয়স//থেকে//পূর্ব এর//কি তবুও না//তোমরা বুঝবে\""
            },
            {
              "number": 1381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1381.mp3"
              ],
              "text": "فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَٰتِهِۦٓ ۚ إِنَّهُۥ لَا يُفْلِحُ ٱلْمُجْرِمُونَ",
              "translate_bn": "অতঃপর তার চেয়ে বড় জালেম, কে হবে, যে আল্লাহর প্রতি অপবাদ আরোপ করেছে কিংবা তাঁর আয়াতসমূহকে মিথ্যা বলে অভিহিত করছে? কস্মিনকালেও পাপীদের কোন কল্যাণ হয় না।",
              "numberInSurah": 17,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ফামান আজলামুমিম্মানিফতারা-‘আলাল্লা-হি কাযিবান আও কাযযাবা বিআ-য়া-তিহী ইন্নাহূলা-ইউফলিহুল মুজরিমূন।",
              "words_arabic": "فَمَنْ/فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَوْ/أَوۡ/aw//كَذَّبَ/كَذَّبَ/kadhaba//بِاٰیٰتِهٖ ؕ/بِـَٔايَٰتِهِۦٓۚ/biayatihi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "অতএব কে//অধিক সীমালঙ্ঘনকারী (হতে পারে)//(তার) চেয়ে যে//রচনা করে//উপর//আল্লাহ//মিথ্যা//বা//মিথ্যারোপ করে//সম্পর্কে তাঁর নিদর্শনগুলো//নিশ্চয়ই তা//না//সফলকাম হয়//অপরাধীরা"
            },
            {
              "number": 1382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1382.mp3"
              ],
              "text": "وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَضُرُّهُمْ وَلَا يَنفَعُهُمْ وَيَقُولُونَ هَٰٓؤُلَآءِ شُفَعَٰٓؤُنَا عِندَ ٱللَّهِ ۚ قُلْ أَتُنَبِّـُٔونَ ٱللَّهَ بِمَا لَا يَعْلَمُ فِى ٱلسَّمَٰوَٰتِ وَلَا فِى ٱلْأَرْضِ ۚ سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "আর উপাসনা করে আল্লাহকে বাদ দিয়ে এমন বস্তুর, যা না তাদের কোন ক্ষতিসাধন করতে পারে, না লাভ এবং বলে, এরা তো আল্লাহর কাছে আমাদের সুপারিশকারী। তুমি বল, তোমরা কি আল্লাহকে এমন বিষয়ে অবহিত করছ, যে সম্পর্কে তিনি অবহিত নন আসমান ও যমীনের মাঝে ? তিনি পুতঃপবিত্র ও মহান সে সমস্ত থেকে যাকে তোমরা শরীক করছ।",
              "numberInSurah": 18,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া‘বুদূ না মিন দূ নিল্লা-হি মা-লা-ইয়াদুররুহুম ওয়ালা-ইয়ানফা‘উহুম ওয়াইয়াকূলূনা হাউলাই শুফা‘আউনা-‘ইনদাল্লা-হি কুল আতুনাব্বিঊনাল্লা-হা বিমা-লা-ইয়া‘লামু ফিছছামা-ওয়া-তি ওয়ালা-ফিলআরদিছুবহা-নাহূওয়া তা‘আ-লা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "وَ یَعْبُدُوْنَ/وَيَعۡبُدُونَ/waya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَضُرُّهُمْ/يَضُرُّهُمۡ/yadurruhum//وَ لَا/وَلَا/wala//یَنْفَعُهُمْ/يَنفَعُهُمۡ/yanfa'uhum//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//شُفَعَآؤُنَا/شُفَعَـٰٓؤُنَا/shufa'auna//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قُلْ/قُلۡ/qul//اَتُنَبِّـُٔوْنَ/أَتُنَبِّـُٔونَ/atunabbiuna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//لَا/لَا/la//یَعْلَمُ/يَعۡلَمُ/ya'lamu//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ لَا/وَلَا/wala//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এবং তারা ইবাদত করে//দিয়ে//ছেড়ে//আল্লাহকে//যা//না//ক্ষতি করতে পারে তাদের//আর না//উপকার করতে পারে তাদের//এবং তারা বলে//\"এসব//সুপারিশকারী আমাদের//কাছে//আল্লাহর\"//বলো//\"কি তোমরা সংবাদ দিচ্ছো//আল্লাহকে//তা সম্বন্ধে যা//না//তিনি জানেন//মধ্যে//আকাশসমূহের//এবং না//মধ্যে//পৃথিবীর\"//পবিত্র তিনি//এবং বহু উর্ধ্বে//তা হতে যা//তারা শিরক করছে"
            },
            {
              "number": 1383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1383.mp3"
              ],
              "text": "وَمَا كَانَ ٱلنَّاسُ إِلَّآ أُمَّةًۭ وَٰحِدَةًۭ فَٱخْتَلَفُوا۟ ۚ وَلَوْلَا كَلِمَةٌۭ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ فِيمَا فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "আর সমস্ত মানুষ একই উম্মতভুক্ত ছিল, পরে পৃথক হয়ে গেছে। আর একটি কথা যদি তোমার পরওয়ারদেগারের পক্ষ থেকে পূর্ব নির্ধারিত না হয়ে যেত; তবে তারা যে বিষয়ে বিরোধ করছে তার মীমাংসা হয়ে যেত।",
              "numberInSurah": 19,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-নান্না-ছুইল্লাউম্মাতাওঁ ওয়া হিদাতান ফাখতালাফূ ওয়া লাওলা-কালিমাতুন ছাবাকাত মির রাব্বিকা লাকুদিয়া বাইনাহুম ফীমা-ফীহি ইয়াখতালিফূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//النَّاسُ/ٱلنَّاسُ/al-nasu//اِلَّاۤ/إِلَّآ/illa//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//فَاخْتَلَفُوْا ؕ/فَٱخۡتَلَفُواْۚ/fa-ikh'talafu//وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةٌ/كَلِمَةٞ/kalimatun//سَبَقَتْ/سَبَقَتۡ/sabaqat//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لَقُضِیَ/لَقُضِيَ/laqudiya//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//فِیْمَا/فِيمَا/fima//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "এবং না//ছিলো//মানুষ//এ ছাড়া//উম্মত//একই//এরপর তারা মতভেদ করে//এবং যদি না//একটি কথা//পূর্ব ঘোষিত হতে//পক্ষ হতে//তোমার রবের//অবশ্যই মীমাংসা করে দেয়া হতো//মাঝে তাদের//বিষয়ে সে//সম্পর্কে যা//তারা মতভেদ করছে"
            },
            {
              "number": 1384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1384.mp3"
              ],
              "text": "وَيَقُولُونَ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌۭ مِّن رَّبِّهِۦ ۖ فَقُلْ إِنَّمَا ٱلْغَيْبُ لِلَّهِ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ",
              "translate_bn": "বস্তুতঃ তারা বলে, তাঁর কাছে তাঁর পরওয়ারদেগারের পক্ষ থেকে কোন নির্দেশ এল না কেন? বলে দাও গায়েবের কথা আল্লাহই জানেন। আমি ও তোমাদের সাথে অপেক্ষায় রইলাম।",
              "numberInSurah": 20,
              "juz": 11,
              "manzil": 3,
              "page": 210,
              "ruku": 173,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা লাওলাউনঝিলা ‘আলাইহি আ-য়াতুম মির রাব্বিহী ফাকুল ইন্নামাল গাইবুলিল্লা-হি ফানতাজিরু ইন্নী মা‘আকুম মিনাল মুনতাজিরীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیَةٌ/ءَايَةٞ/ayatun//مِّنْ/مِّن/min//رَّبِّهٖ ۚ/رَّبِّهِۦۖ/rabbihi//فَقُلْ/فَقُلۡ/faqul//اِنَّمَا/إِنَّمَا/innama//الْغَیْبُ/ٱلۡغَيۡبُ/al-ghaybu//لِلّٰهِ/لِلَّهِ/lillahi//فَانْتَظِرُوْا ۚ/فَٱنتَظِرُوٓاْ/fa-intaziru//اِنِّیْ/إِنِّي/inni//مَعَكُمْ/مَعَكُم/ma'akum//مِّنَ/مِّنَ/mina//الْمُنْتَظِرِیْنَ۠/ٱلۡمُنتَظِرِينَ/al-muntazirina",
              "words_bangla": "এবং তারা বলে//\"কেন না//অবতীর্ণ করা হলো//উপর তার//কোনো নিদর্শন//পক্ষ হতে//রবের তার\"//তাহ'লে বলো//\"মুলতঃ//অদৃশ্যের (জ্ঞান)//নিকট আল্লাহরই (আছে)//অতএব তোমরা অপেক্ষা করো//নিশ্চয়ই আমি//সাথে তোমাদের//অন্তর্ভুক্ত//অপেক্ষাকারীদের\""
            },
            {
              "number": 1385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1385.mp3"
              ],
              "text": "وَإِذَآ أَذَقْنَا ٱلنَّاسَ رَحْمَةًۭ مِّنۢ بَعْدِ ضَرَّآءَ مَسَّتْهُمْ إِذَا لَهُم مَّكْرٌۭ فِىٓ ءَايَاتِنَا ۚ قُلِ ٱللَّهُ أَسْرَعُ مَكْرًا ۚ إِنَّ رُسُلَنَا يَكْتُبُونَ مَا تَمْكُرُونَ",
              "translate_bn": "আর যখন আমি আস্বাদন করাই স্বীয় রহমত সে কষ্টের পর, যা তাদের ভোগ করতে হয়েছিল, তখনই তারা আমার শক্তিমত্তার মাঝে নানা রকম ছলনা তৈরী করতে আরম্ভ করবে। আপনি বলে দিন, আল্লাহ সবচেয়ে দ্রুত কলা-কৌশল তৈরী করতে পারেন। নিশ্চয়ই আমাদের ফেরেশতারা লিখে রাখে তোমাদের ছল-চাতুরী।",
              "numberInSurah": 21,
              "juz": 11,
              "manzil": 3,
              "page": 211,
              "ruku": 174,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাআযাকনান্না-ছা রাহমাতাম মিম বা‘দি দাররাআ মাছছাতহুম ইযা-লাহুম মাকরুন ফী-আ-য়া-তিনা- কুল্লিলা-হু আছরা‘উ মাকরা- ইন্না রুছুলানাইয়াকতুবূনা মা-তামকুরূন।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اَذَقْنَا/أَذَقۡنَا/adhaqna//النَّاسَ/ٱلنَّاسَ/al-nasa//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ضَرَّآءَ/ضَرَّآءَ/darraa//مَسَّتْهُمْ/مَسَّتۡهُمۡ/massathum//اِذَا/إِذَا/idha//لَهُمْ/لَهُم/lahum//مَّكْرٌ/مَّكۡرٞ/makrun//فِیْۤ/فِيٓ/fi//اٰیَاتِنَا ؕ/ءَايَاتِنَاۚ/ayatina//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//اَسْرَعُ/أَسۡرَعُ/asra'u//مَكْرًا ؕ/مَكۡرًاۚ/makran//اِنَّ/إِنَّ/inna//رُسُلَنَا/رُسُلَنَا/rusulana//یَكْتُبُوْنَ/يَكۡتُبُونَ/yaktubuna//مَا/مَا/ma//تَمْكُرُوْنَ /تَمۡكُرُونَ/tamkuruna",
              "words_bangla": "এবং যখন//আস্বাদন করাই আমরা//মানুষকে//অনুগ্রহ//থেকে//পর//দুঃখদৈন্য//স্পর্শ করেছিলো তাদের (যা)//তখন//থেকে তাদের//চক্রান্ত শুরু হয়//ব্যাপারে//নিদর্শনগুলোর আমাদের//বলো//\"আল্লাহ//অধিক দ্রুত//কৌশলে\"//নিশ্চয়ই//ফেরেশতারা আমাদের//লিখছে//যা//তোমরা ষড়যন্ত্র করছো"
            },
            {
              "number": 1386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1386.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُسَيِّرُكُمْ فِى ٱلْبَرِّ وَٱلْبَحْرِ ۖ حَتَّىٰٓ إِذَا كُنتُمْ فِى ٱلْفُلْكِ وَجَرَيْنَ بِهِم بِرِيحٍۢ طَيِّبَةٍۢ وَفَرِحُوا۟ بِهَا جَآءَتْهَا رِيحٌ عَاصِفٌۭ وَجَآءَهُمُ ٱلْمَوْجُ مِن كُلِّ مَكَانٍۢ وَظَنُّوٓا۟ أَنَّهُمْ أُحِيطَ بِهِمْ ۙ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ لَئِنْ أَنجَيْتَنَا مِنْ هَٰذِهِۦ لَنَكُونَنَّ مِنَ ٱلشَّٰكِرِينَ",
              "translate_bn": "তিনিই তোমাদের ভ্রমন করান স্থলে ও সাগরে। এমনকি যখন তোমরা নৌকাসমূহে আরোহণ করলে আর তা লোকজনকে অনুকূল হাওয়ায় বয়ে নিয়ে চলল এবং তাতে তারা আনন্দিত হল, নৌকাগুলোর উপর এল তীব্র বাতাস, আর সর্বদিক থেকে সেগুলোর উপর ঢেউ আসতে লাগল এবং তারা জানতে পারল যে, তারা অবরুদ্ধ হয়ে পড়েছে, তখন ডাকতে লাগল আল্লাহকে তাঁর এবাদতে নিঃস্বার্থ হয়ে যদি তুমি আমাদেরকে এ বিপদ থেকে উদ্ধার করে তোল, তাহলে নিঃসন্দেহে আমরা কৃতজ্ঞ থাকব।",
              "numberInSurah": 22,
              "juz": 11,
              "manzil": 3,
              "page": 211,
              "ruku": 174,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীইউছাইয়িরুকুম ফিল বাররি ওয়াল বাহরি হাত্তাইযা-কুনতুম ফিল ফুলকি ওয়া জারাইনা বিহিম বিরীহিন তাইয়িবাতিওঁ ওয়াফারিহূবিহা-জাআতহা-রীহুন ‘আসিফুওঁ ওয়া জাআহুমুল মাওজুমিন কুল্লি মাকা-নিও ওয়াজান্নূআন্নাহুম উহীতাবিহিম দা‘আউল্লা-হা মুখলিসীনা লাহুদদীনা লাইন আনজাইতানা-মিন হা-যিহী লানাকূনান্না মিনাশশা-কিরীন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُسَیِّرُكُمْ/يُسَيِّرُكُمۡ/yusayyirukum//فِی/فِي/fi//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ ؕ/وَٱلۡبَحۡرِۖ/wal-bahri//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//كُنْتُمْ/كُنتُمۡ/kuntum//فِی/فِي/fi//الْفُلْكِ ۚ/ٱلۡفُلۡكِ/al-ful'ki//وَ جَرَیْنَ/وَجَرَيۡنَ/wajarayna//بِهِمْ/بِهِم/bihim//بِرِیْحٍ/بِرِيحٖ/birihin//طَیِّبَةٍ/طَيِّبَةٖ/tayyibatin//وَّ فَرِحُوْا/وَفَرِحُواْ/wafarihu//بِهَا/بِهَا/biha//جَآءَتْهَا/جَآءَتۡهَا/jaatha//رِیْحٌ/رِيحٌ/rihun//عَاصِفٌ/عَاصِفٞ/asifun//وَّ جَآءَهُمُ/وَجَآءَهُمُ/wajaahumu//الْمَوْجُ/ٱلۡمَوۡجُ/al-mawju//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَكَانٍ/مَكَانٖ/makanin//وَّ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنَّهُمْ/أَنَّهُمۡ/annahum//اُحِیْطَ/أُحِيطَ/uhita//بِهِمْ ۙ/بِهِمۡ/bihim//دَعَوُا/دَعَوُاْ/da'awu//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ۚ۬/ٱلدِّينَ/al-dina//لَىِٕنْ/لَئِنۡ/la-in//اَنْجَیْتَنَا/أَنجَيۡتَنَا/anjaytana//مِنْ/مِنۡ/min//هٰذِهٖ/هَٰذِهِۦ/hadhihi//لَنَكُوْنَنَّ/لَنَكُونَنَّ/lanakunanna//مِنَ/مِنَ/mina//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//ভ্রমণ করান তোমাদের//মধ্যে//স্থল ভাগে//ও জলভাগে//এমনকি//যখন//থাকো তোমরা//মধ্যে//নৌযানের//ও সেগুলো চলে//নিয়ে তাদের//সাথে বাতাসের//উত্তম//ও তারা আনন্দিত হয়//কারণে সে//(এরপর যখন) তার উপর আসে//বাতাস//ঝড়ো//ও তাদের উপর আসে//ঢেউ//থেকে//সব//জায়গা//ও তারা ভাবে//যে তারা//পরিবেষ্টিত হয়েছে//দিয়ে সেগুলো//(তখন) তারা ডাকে//আল্লাহকে//একনিষ্ঠ হয়ে//জন্যে তাঁরই//আনুগত্য//(এই বলে) অবশ্যই যদি//তুমি উদ্ধার করো আমাদের//হতে//এটা//অবশ্যই আমরা হবো//অন্তর্ভুক্ত//কৃতজ্ঞদের\""
            },
            {
              "number": 1387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1387.mp3"
              ],
              "text": "فَلَمَّآ أَنجَىٰهُمْ إِذَا هُمْ يَبْغُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ ۗ يَٰٓأَيُّهَا ٱلنَّاسُ إِنَّمَا بَغْيُكُمْ عَلَىٰٓ أَنفُسِكُم ۖ مَّتَٰعَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ ثُمَّ إِلَيْنَا مَرْجِعُكُمْ فَنُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তারপর যখন তাদেরকে আল্লাহ বাঁচিয়ে দিলেন, তখনই তারা পৃথিবীতে অনাচার করতে লাগল অন্যায় ভাবে। হে মানুষ! শোন, তোমাদের অনাচার তোমাদেরই উপর পড়বে। পার্থিব জীবনের সুফল ভোগ করে নাও-অতঃপর আমার নিকট প্রত্যাবর্তন করতে হবে। তখন আমি বাতলে দেব, যা কিছু তোমরা করতে।",
              "numberInSurah": 23,
              "juz": 11,
              "manzil": 3,
              "page": 211,
              "ruku": 174,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআনজা-হুম ইযা-হুম ইয়াবগুনা ফিল আরদিবিগাইরিল হাক্কি ইয়াআইয়ুহান্নাছুইন্নামা-বাগইউকুম ‘আলাআনফুছিকুম মাতা-‘আল হায়া-তিদদুনইয়া-ছু ম্মা ইলাইনামারজি‘উকুম ফানুনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَنْجٰىهُمْ/أَنجَىٰهُمۡ/anjahum//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَبْغُوْنَ/يَبۡغُونَ/yabghuna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ ؕ/ٱلۡحَقِّۗ/al-haqi//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنَّمَا/إِنَّمَا/innama//بَغْیُكُمْ/بَغۡيُكُمۡ/baghyukum//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِكُمْ ۙ/أَنفُسِكُمۖ/anfusikum//مَّتَاعَ/مَّتَٰعَ/mata'a//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؗ/ٱلدُّنۡيَاۖ/al-dun'ya//ثُمَّ/ثُمَّ/thumma//اِلَیْنَا/إِلَيۡنَا/ilayna//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//فَنُنَبِّئُكُمْ/فَنُنَبِّئُكُم/fanunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "অতঃপর যখন//উদ্ধার করেন তিনি তাদের//তখন//তারা//বিদ্রোহ করে//মধ্যে//পৃথিবীর//ভাবে নয়//ন্যায়//হে//মানুষ//প্রকৃতপক্ষে//তোমাদের বিদ্রোহ//(উল্টো পড়েছে) উপর//নিজেদের তোমাদের//(ভোগ করে নাও) ভোগসামগ্রী//জীবনের//পার্থিব//এরপর//দিকে আমাদেরই//প্রত্যাবর্তন (হবে) তোমাদের//তখন জানিয়ে দিবো আমরা তোমাদের//তা সম্বন্ধে যা//তোমরা ছিলে//তোমরা কাজ-কর্ম করতে"
            },
            {
              "number": 1388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1388.mp3"
              ],
              "text": "إِنَّمَا مَثَلُ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَآءٍ أَنزَلْنَٰهُ مِنَ ٱلسَّمَآءِ فَٱخْتَلَطَ بِهِۦ نَبَاتُ ٱلْأَرْضِ مِمَّا يَأْكُلُ ٱلنَّاسُ وَٱلْأَنْعَٰمُ حَتَّىٰٓ إِذَآ أَخَذَتِ ٱلْأَرْضُ زُخْرُفَهَا وَٱزَّيَّنَتْ وَظَنَّ أَهْلُهَآ أَنَّهُمْ قَٰدِرُونَ عَلَيْهَآ أَتَىٰهَآ أَمْرُنَا لَيْلًا أَوْ نَهَارًۭا فَجَعَلْنَٰهَا حَصِيدًۭا كَأَن لَّمْ تَغْنَ بِٱلْأَمْسِ ۚ كَذَٰلِكَ نُفَصِّلُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "পার্থিব জীবনের উদাহরণ তেমনি, যেমনি আমি আসমান থেকে পানি বর্ষন করলাম, পরে তা মিলিত সংমিশ্রিত হয়ে তা থেকে যমীনের শ্যামল উদ্ভিদ বেরিয়ে এল যা মানুষ ও জীব-জন্তুরা খেয়ে থাকে। এমনকি যমীন যখন সৌন্দর্য সুষমায় ভরে উঠলো আর যমীনের অধিকর্তারা ভাবতে লাগল, এগুলো আমাদের হাতে আসবে, হঠাৎ করে তার উপর আমার নির্দেশ এল রাত্রে কিংবা দিনে, তখন সেগুলোকে কেটে স্তুপাকার করে দিল যেন কাল ও এখানে কোন আবাদ ছিল না। এমনিভাবে আমি খোলাখুলি বর্ণনা করে থাকি নিদর্শণসমূহ সে সমস্ত লোকদের জন্য যারা লক্ষ্য করে।",
              "numberInSurah": 24,
              "juz": 11,
              "manzil": 3,
              "page": 211,
              "ruku": 174,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-মাছালুল হায়া-তিদ দুনইয়া-কামাইন আনঝালনা-হু মিনাছছামাই ফাখতালাতা বিহী নাবা-তুল আরদিমিম্মা-ইয়া’কুলুন্না-ছুওয়াল আন‘আ-মু হাত্তাইযাআখাযাতিল আরদুঝুখরুফাহা-ওয়াঝঝাইয়ানাত ওয়াজান্না আহলুহা-আন্নাহুম কাদিরূনা ‘আলাইহা আতা-হাআমরুনা-লাইলান আও নাহা-রান ফাজা‘আলনা-হাহাসীদান কাআল্লাম তাগনা বিলআমছি কাযা-লিকা নুফাসসিলুল আ-য়া-তি লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//مَثَلُ/مَثَلُ/mathalu//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//كَمَآءٍ/كَمَآءٍ/kamain//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَاخْتَلَطَ/فَٱخۡتَلَطَ/fa-ikh'talata//بِهٖ/بِهِۦ/bihi//نَبَاتُ/نَبَاتُ/nabatu//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِمَّا/مِمَّا/mimma//یَاْكُلُ/يَأۡكُلُ/yakulu//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ الْاَنْعَامُ ؕ/وَٱلۡأَنۡعَٰمُ/wal-an'amu//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَخَذَتِ/أَخَذَتِ/akhadhati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//زُخْرُفَهَا/زُخۡرُفَهَا/zukh'rufaha//وَ ازَّیَّنَتْ/وَٱزَّيَّنَتۡ/wa-izzayyanat//وَ ظَنَّ/وَظَنَّ/wazanna//اَهْلُهَاۤ/أَهۡلُهَآ/ahluha//اَنَّهُمْ/أَنَّهُمۡ/annahum//قٰدِرُوْنَ/قَٰدِرُونَ/qadiruna//عَلَیْهَاۤ ۙ/عَلَيۡهَآ/alayha//اَتٰىهَاۤ/أَتَىٰهَآ/ataha//اَمْرُنَا/أَمۡرُنَا/amruna//لَیْلًا/لَيۡلًا/laylan//اَوْ/أَوۡ/aw//نَهَارًا/نَهَارٗا/naharan//فَجَعَلْنٰهَا/فَجَعَلۡنَٰهَا/faja'alnaha//حَصِیْدًا/حَصِيدٗا/hasidan//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//تَغْنَ/تَغۡنَ/taghna//بِالْاَمْسِ ؕ/بِٱلۡأَمۡسِۚ/bil-amsi//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نُفَصِّلُ/نُفَصِّلُ/nufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "প্রকৃতপক্ষে//উদাহরণ//জীবনের//পার্থিব//মতো পানির//আমরা বর্ষণ করি তা//থেকে//আকাশ//অতঃপর সংমিশ্রিত হয়ে (উদ্‌গত হয়)//দিয়ে তা//উদ্ভিদ//মাটির//হতে যা//খায়//মানুষ//ও জীবজন্তু//এমনকি//যখন//ধারণ করলো//জমি//শোভা তার//ও চাকচিক্যময় হলো//এবং মনে করলো//মালিকরা তার//যে তারা//সক্ষম হবে//তার উপর (ভোগ করতে)//তার উপর এসে পড়ে//নির্দেশ আমাদের//রাতে//অথবা//দিনে//অতঃপর আমরা বানিয়ে দিই তা//কর্তিত ফসল (নির্মূল)//যেন//ছিলোই না//অবস্থিত//গতকাল (কোনো ফসল)//এভাবে//বিশদ বর্ণনা করি আমরা//নিদর্শনগুলোকে//জন্যে সম্প্রদায়ের//(যারা) চিন্তা-ভাবনা করে"
            },
            {
              "number": 1389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1389.mp3"
              ],
              "text": "وَٱللَّهُ يَدْعُوٓا۟ إِلَىٰ دَارِ ٱلسَّلَٰمِ وَيَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আর আল্লাহ শান্তি-নিরাপত্তার আলয়ের প্রতি আহবান জানান এবং যাকে ইচ্ছা সরলপথ প্রদর্শন করেন।",
              "numberInSurah": 25,
              "juz": 11,
              "manzil": 3,
              "page": 211,
              "ruku": 174,
              "hizbQuarter": 84,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু ইয়াদ‘ঊইলা-দা-রিছ ছালা-মি ওয়া ইয়াহদী মাইঁ ইয়াশাউ ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَدْعُوْۤا/يَدۡعُوٓاْ/yad'u//اِلٰی/إِلَىٰ/ila//دَارِ/دَارِ/dari//السَّلٰمِ ؕ/ٱلسَّلَٰمِ/al-salami//وَ یَهْدِیْ/وَيَهۡدِي/wayahdi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "আর আল্লাহ//ডাকেন//দিকে//আবাসের//শান্তির//ও পথ দেখান//যাকে//তিনিই ইচ্ছা করেন//দিকে//পথের//সরল সঠিক"
            },
            {
              "number": 1390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1390.mp3"
              ],
              "text": "۞ لِّلَّذِينَ أَحْسَنُوا۟ ٱلْحُسْنَىٰ وَزِيَادَةٌۭ ۖ وَلَا يَرْهَقُ وُجُوهَهُمْ قَتَرٌۭ وَلَا ذِلَّةٌ ۚ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যারা সৎকর্ম করেছে তাদের জন্য রয়েছে কল্যাণ এবং তারও চেয়ে বেশী। আর তাদের মুখমন্ডলকে আবৃত করবে না মলিনতা কিংবা অপমান। তারাই হল জান্নাতবাসী, এতেই তারা বসবাস করতে থাকবে অনন্তকাল।",
              "numberInSurah": 26,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 174,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "লিল্লাযীনা আহছানুল হুছনা-ওয়া ঝিয়া-দাতুওঁ ওয়ালা ইয়ারহাকুউজূহাহুম কাতারুওঁ ওয়ালা-যিল্লাতুন উলাইকা আসহা-বুল জান্নাতি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "لِلَّذِیْنَ/۞لِّلَّذِينَ/lilladhina//اَحْسَنُوا/أَحۡسَنُواْ/ahsanu//الْحُسْنٰی/ٱلۡحُسۡنَىٰ/al-hus'na//وَ زِیَادَةٌ ؕ/وَزِيَادَةٞۖ/waziyadatun//وَ لَا/وَلَا/wala//یَرْهَقُ/يَرۡهَقُ/yarhaqu//وُجُوْهَهُمْ/وُجُوهَهُمۡ/wujuhahum//قَتَرٌ/قَتَرٞ/qatarun//وَّ لَا/وَلَا/wala//ذِلَّةٌ ؕ/ذِلَّةٌۚ/dhillatun//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ ۚ/ٱلۡجَنَّةِۖ/al-janati//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "জন্যে তাদের (আছে)//(যারা) ভালো কাজ করে//উত্তম ফল//এবং আরও বেশি (অনুগ্রহ)//এবং না//আচ্ছন্ন করবে//মুখমন্ডলসমূহকে তাদের//কালিমা//এবং না//লাঞ্ছনা//ঐসব লোক//অধিবাসী (হবে)//জান্নাতের//তারা//মধ্যে তার//স্থায়ী হবে"
            },
            {
              "number": 1391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1391.mp3"
              ],
              "text": "وَٱلَّذِينَ كَسَبُوا۟ ٱلسَّيِّـَٔاتِ جَزَآءُ سَيِّئَةٍۭ بِمِثْلِهَا وَتَرْهَقُهُمْ ذِلَّةٌۭ ۖ مَّا لَهُم مِّنَ ٱللَّهِ مِنْ عَاصِمٍۢ ۖ كَأَنَّمَآ أُغْشِيَتْ وُجُوهُهُمْ قِطَعًۭا مِّنَ ٱلَّيْلِ مُظْلِمًا ۚ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "আর যারা সঞ্চয় করেছে অকল্যাণ অসৎ কর্মের বদলায় সে পরিমাণ অপমান তাদের চেহারাকে আবৃত করে ফেলবে। কেউ নেই তাদেরকে বাঁচাতে পারে আল্লাহর হাত থেকে। তাদের মুখমন্ডল যেন ঢেকে দেয়া হয়েছে আধাঁর রাতের টুকরো দিয়ে। এরা হল দোযখবাসী। এরা এতেই থাকবে অনন্তকাল।",
              "numberInSurah": 27,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 174,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাছাবুছছাইয়িআ-তি জাঝাউছাইয়িআতিম বিমিছলিহা- ওয়া তারহাকুহুম যিল্লাতুন মা-লাহুম মিনাল্লা-হি মিন ‘আ-সিমিন কাআন্নামা-উগশিয়াত উজুহুম কিতা‘আম মিনাল্লাইলি মুজলিমান উলাইকা আসহা-বুন্না-রি হুম ফীহাখা-লিদূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَسَبُوا/كَسَبُواْ/kasabu//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//جَزَآءُ/جَزَآءُ/jazau//سَیِّئَةٍۭ/سَيِّئَةِۭ/sayyi-atin//بِمِثْلِهَا ۙ/بِمِثۡلِهَا/bimith'liha//وَ تَرْهَقُهُمْ/وَتَرۡهَقُهُمۡ/watarhaquhum//ذِلَّةٌ ؕ/ذِلَّةٞۖ/dhillatun//مَا/مَّا/ma//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِنۡ/min//عَاصمٍ ۚ/عَاصِمٖۖ/asimin//كَاَنَّمَاۤ/كَأَنَّمَآ/ka-annama//اُغْشِیَتْ/أُغۡشِيَتۡ/ugh'shiyat//وُجُوْهُهُمْ/وُجُوهُهُمۡ/wujuhuhum//قِطَعًا/قِطَعٗا/qita'an//مِّنَ/مِّنَ/mina//الَّیْلِ/ٱلَّيۡلِ/al-layli//مُظْلِمًا ؕ/مُظۡلِمًاۚ/muz'liman//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং যারা//অর্জন করেছে//মন্দ কাজ//(তারা পাবে) প্রতিফল//মন্দ কাজের//অনুরূপ তার//ও আচ্ছন্ন করবে তাদের//লাঞ্ছনা//নেই//জন্যে তাদের//হতে//আল্লাহ//কোনো//রক্ষাকারী//যেন প্রকৃতপক্ষে//ঢেকে ফেলেছে//মুখমন্ডলগুলো তাদের//টুকরা//এর//রাত//অন্ধকার//ঐসবলোক//অধিবাসী (হবে)//আগুনের//তারা//মধ্যে তার//স্থায়ী হবে"
            },
            {
              "number": 1392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1392.mp3"
              ],
              "text": "وَيَوْمَ نَحْشُرُهُمْ جَمِيعًۭا ثُمَّ نَقُولُ لِلَّذِينَ أَشْرَكُوا۟ مَكَانَكُمْ أَنتُمْ وَشُرَكَآؤُكُمْ ۚ فَزَيَّلْنَا بَيْنَهُمْ ۖ وَقَالَ شُرَكَآؤُهُم مَّا كُنتُمْ إِيَّانَا تَعْبُدُونَ",
              "translate_bn": "আর যেদিন আমি তাদের সবাইকে সমবেত করব; আর যারা শেরক করত তাদেরকে বলবঃ তোমরা এবং তোমাদের শরীকরা নিজ নিজ জায়গায় দাঁড়িয়ে যাও-অতঃপর তাদেরকে পারস্পরিক বিচ্ছিন্ন করে দেব, তখন তাদের শরীকরা বলবে, তোমরা তো আমাদের উপাসনা-বন্দেগী করনি।",
              "numberInSurah": 28,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 174,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নাহশুরুহুম জামী‘আন ছুম্মা নাকূলুলিল্লাযীনা আশরাকূমাকা-নাকুম আনতুম ওয়া শুরাকাউকুম ফাঝাইইয়ালনা-বাইনাহুম ওয়া কা-লা শুরাকাউহুম মা-কুনতুম ইয়্যা-না-তা‘বুদূ ন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نَحْشُرُهُمْ/نَحۡشُرُهُمۡ/nahshuruhum//جَمِیْعًا/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//نَقُوْلُ/نَقُولُ/naqulu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//مَكَانَكُمْ/مَكَانَكُمۡ/makanakum//اَنْتُمْ/أَنتُمۡ/antum//وَ شُرَكَآؤُكُمْ ۚ/وَشُرَكَآؤُكُمۡۚ/washurakaukum//فَزَیَّلْنَا/فَزَيَّلۡنَا/fazayyalna//بَیْنَهُمْ/بَيۡنَهُمۡۖ/baynahum//وَ قَالَ/وَقَالَ/waqala//شُرَكَآؤُهُمْ/شُرَكَآؤُهُم/shurakauhum//مَّا/مَّا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//اِیَّانَا/إِيَّانَا/iyyana//تَعْبُدُوْنَ /تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "এবং যেদিন//একত্র করবো আমরা তাদের//সকলকে (আমার আদালতে)//এরপর//আমরা বলবো//উদ্দেশ্যে তাদের (যারা)//শিরক করেছিলো//\"তোমাদের স্থানে (অবস্হান করো)//তোমরা//ও তোমাদের শরীকরা\"//অতঃপর পৃথক করে দিবো আমরা//মাঝে তাদের//এবং বলবে//শরীকেরা তাদের//\"না//তোমরা ছিলে//আমাদেরকে\"//উপাসনা করতে\""
            },
            {
              "number": 1393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1393.mp3"
              ],
              "text": "فَكَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنَنَا وَبَيْنَكُمْ إِن كُنَّا عَنْ عِبَادَتِكُمْ لَغَٰفِلِينَ",
              "translate_bn": "বস্তুতঃ আল্লাহ আমাদের ও তোমাদের মাঝে সাক্ষী হিসাবে যথেষ্ট। আমরা তোমাদের বন্দেগী সম্পর্কে জানতাম না।",
              "numberInSurah": 29,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 174,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ফাকাফা-বিল্লা-হি শাহীদাম বাইনানা-ওয়া বাইনাকুমইনকুন্না-‘আন ‘ইবা-দাতিকুমলাগাফিলীন।",
              "words_arabic": "فَكَفٰی/فَكَفَىٰ/fakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًۢا/شَهِيدَۢا/shahidan//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَكُمْ/وَبَيۡنَكُمۡ/wabaynakum//اِنْ/إِن/in//كُنَّا/كُنَّا/kunna//عَنْ/عَنۡ/an//عِبَادَتِكُمْ/عِبَادَتِكُمۡ/ibadatikum//لَغٰفِلِیْنَ /لَغَٰفِلِينَ/laghafilina",
              "words_bangla": "অতএব যথেষ্ট//আল্লাহই//সাক্ষী হিসেবে//মাঝে আমাদের//ও মাঝে তোমাদের//নিশ্চয়ই//আমরা ছিলাম//হতে//উপাসনা তোমাদের//অবশ্যই উদাসীন"
            },
            {
              "number": 1394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1394.mp3"
              ],
              "text": "هُنَالِكَ تَبْلُوا۟ كُلُّ نَفْسٍۢ مَّآ أَسْلَفَتْ ۚ وَرُدُّوٓا۟ إِلَى ٱللَّهِ مَوْلَىٰهُمُ ٱلْحَقِّ ۖ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "সেখানে প্রত্যেকে যাচাই করে নিতে পারবে যা কিছু সে ইতিপূর্বে করেছিল এবং আল্লাহর প্রতি প্রত্যাবর্তন করবে যিনি তাদের প্রকৃত মালিক, আর তাদের কাছ থেকে দূরে যেতে থাকবে যারা মিথ্যা বলত।",
              "numberInSurah": 30,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 174,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "হুনা-লিকা তাবলূকুল্লুনাফছিম মা-আছলাফাত ওয়া রুদ্দূইলাল্লা-হি মাওলা-হুমুলহাক্কিওয়া দাল্লা ‘আনহুম মা-কা-নূইয়াফতারূন।",
              "words_arabic": "هُنَالِكَ/هُنَالِكَ/hunalika//تَبْلُوْا/تَبۡلُواْ/tablu//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّاۤ/مَّآ/ma//اَسْلَفَتْ/أَسۡلَفَتۡۚ/aslafat//وَ رُدُّوْۤا/وَرُدُّوٓاْ/waruddu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَوْلٰىهُمُ/مَوۡلَىٰهُمُ/mawlahumu//الْحَقِّ/ٱلۡحَقِّۖ/al-haqi//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ۠/يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "সেখানে//যাচাই করে নিতে পারবে//প্রত্যেক//ব্যক্তি//যা//অতীতে করেছে//এবং তাদেরকে ফিরিয়ে নেয়া হবে//দিকে//আল্লাহর//অভিভাবক তাদের//প্রকৃত//এবং সরে যাবে//থেকে তাদের//যা//তারা ছিলো//তারা রচনা করতে"
            },
            {
              "number": 1395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1395.mp3"
              ],
              "text": "قُلْ مَن يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ أَمَّن يَمْلِكُ ٱلسَّمْعَ وَٱلْأَبْصَٰرَ وَمَن يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَيُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ وَمَن يُدَبِّرُ ٱلْأَمْرَ ۚ فَسَيَقُولُونَ ٱللَّهُ ۚ فَقُلْ أَفَلَا تَتَّقُونَ",
              "translate_bn": "তুমি জিজ্ঞেস কর, কে রুযী দান করে তোমাদেরকে আসমান থেকে ও যমীন থেকে, কিংবা কে তোমাদের কান ও চোখের মালিক? তাছাড়া কে জীবিতকে মৃতের ভেতর থেকে বের করেন এবং কেইবা মৃতকে জীবিতের মধ্য থেকে বের করেন? কে করেন কর্ম সম্পাদনের ব্যবস্থাপনা? তখন তারা বলে উঠবে, আল্লাহ! তখন তুমি বলো তারপরেও ভয় করছ না?",
              "numberInSurah": 31,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কুলমাইঁ ইয়ারঝুকুকুম মিনাছছামাই ওয়াল আরদি আম্মাইঁ ইয়ামলিকুছছাম‘আ ওয়াল আবসা-রা ওয়া মাইঁ ইউখরিজুল হাইইয়া মিনাল মাইয়িতি ওয়া ইউখরিজুল মাইয়িতা মিনাল হাইয়ি ওয়ামাইঁ ইউদাব্বিরুল আমরা ফাছাইয়াকূলূনাল্লা-হু ফাকুল আফালাতাত্তাকূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//یَّرْزُقُكُمْ/يَرۡزُقُكُم/yarzuqukum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//اَمَّنْ/أَمَّن/amman//یَّمْلِكُ/يَمۡلِكُ/yamliku//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْاَبْصَارَ/وَٱلۡأَبۡصَٰرَ/wal-absara//وَ مَنْ/وَمَن/waman//یُّخْرِجُ/يُخۡرِجُ/yukh'riju//الْحَیَّ/ٱلۡحَيَّ/al-haya//مِنَ/مِنَ/mina//الْمَیِّتِ/ٱلۡمَيِّتِ/al-mayiti//وَ یُخْرِجُ/وَيُخۡرِجُ/wayukh'riju//الْمَیِّتَ/ٱلۡمَيِّتَ/al-mayita//مِنَ/مِنَ/mina//الْحَیِّ/ٱلۡحَيِّ/al-hayi//وَ مَنْ/وَمَن/waman//یُّدَبِّرُ/يُدَبِّرُ/yudabbiru//الْاَمْرَ ؕ/ٱلۡأَمۡرَۚ/al-amra//فَسَیَقُوْلُوْنَ/فَسَيَقُولُونَ/fasayaquluna//اللّٰهُ ۚ/ٱللَّهُۚ/al-lahu//فَقُلْ/فَقُلۡ/faqul//اَفَلَا/أَفَلَا/afala//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "বলো//\"কে//জীবিকা দেন তোমাদের//থেকে//আকাশ//ও পৃথিবী (থেকে)//অথবা কে//কর্তৃত্ব রাখেন//শ্রবণশক্তির//ও দৃষ্টিশক্তিসমূহের//এবং কে//বের করেন//জীবন্তকে//হতে//মৃত//এবং (কে) বের করেন//মৃতকে//হতে//জীবন্ত//এবং কে//পরিচালনা করেন//(বিশ্ব ব্যবস্থার সকল) কাজ\"//তখন অচিরেই তারা বলবে//\"আল্লাহই\"//তাহলে বলো//\"কি তবুও না//(সত্য বিরোধিতায়) তোমরা বিরত থাকবে\""
            },
            {
              "number": 1396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1396.mp3"
              ],
              "text": "فَذَٰلِكُمُ ٱللَّهُ رَبُّكُمُ ٱلْحَقُّ ۖ فَمَاذَا بَعْدَ ٱلْحَقِّ إِلَّا ٱلضَّلَٰلُ ۖ فَأَنَّىٰ تُصْرَفُونَ",
              "translate_bn": "অতএব, এ আল্লাহই তোমাদের প্রকৃত পালনকর্তা। আর সত্য প্রকাশের পরে (উদভ্রান্ত ঘুরার মাঝে) কি রয়েছে গোমরাহী ছাড়া? সুতরাং কোথায় ঘুরছ?",
              "numberInSurah": 32,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ফাযা-লিকুমুল্লা-হু রাব্বুকুমুল হাক্কু ফামা-যা-বা‘দাল হাক্কিইল্লাদ্দালা-লু ফাআন্না-তুসরাফূন।",
              "words_arabic": "فَذٰلِكُمُ/فَذَٰلِكُمُ/fadhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمُ/رَبُّكُمُ/rabbukumu//الْحَقُّ ۚ/ٱلۡحَقُّۖ/al-haqu//فَمَا ذَا/فَمَاذَا/famadha//بَعْدَ/بَعۡدَ/ba'da//الْحَقِّ/ٱلۡحَقِّ/al-haqi//اِلَّا/إِلَّا/illa//الضَّلٰلُ ۖۚ/ٱلضَّلَٰلُۖ/al-dalalu//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُصْرَفُوْنَ /تُصۡرَفُونَ/tus'rafuna",
              "words_bangla": "অতএব এই//আল্লাহই//রব তোমাদের//প্রকৃত//তাহ'লে কি (থাকতে পারে)//পরে//মহাসত্যের//এ ছাড়া//বিভ্রান্তি//অতএব কোথায়//তোমরা চালিত হচ্ছো"
            },
            {
              "number": 1397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1397.mp3"
              ],
              "text": "كَذَٰلِكَ حَقَّتْ كَلِمَتُ رَبِّكَ عَلَى ٱلَّذِينَ فَسَقُوٓا۟ أَنَّهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "এমনিভাবে সপ্রমাণিত হয়ে গেছে তোমার পরওয়ারদেগারের বাণী সেসব নাফরমানের ব্যাপারে যে, এরা ঈমান আনবে না।",
              "numberInSurah": 33,
              "juz": 11,
              "manzil": 3,
              "page": 212,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা হাক্কাত কালিমাতুরাব্বিকা ‘আলাল্লাযীনা ফাছাকূআন্নাহুম লা-ইউ’মিনূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//حَقَّتْ/حَقَّتۡ/haqqat//كَلِمَتُ/كَلِمَتُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فَسَقُوْۤا/فَسَقُوٓاْ/fasaqu//اَنَّهُمْ/أَنَّهُمۡ/annahum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এভাবে//সত্য প্রমাণিত হলো//বাণী//তোমার রবের//সম্পর্কে//(তাদের) যারা//সত্যত্যাগ করেছে//যে তারা//না//ঈমান আনবে"
            },
            {
              "number": 1398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1398.mp3"
              ],
              "text": "قُلْ هَلْ مِن شُرَكَآئِكُم مَّن يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ۚ قُلِ ٱللَّهُ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ۖ فَأَنَّىٰ تُؤْفَكُونَ",
              "translate_bn": "বল, আছে কি কেউ তোমাদের শরীকদের মাঝে যে সৃষ্টি কে পয়দা করতে পারে এবং আবার জীবিত করতে পারে? বল, আল্লাহই প্রথমবার সৃষ্টি করেন এবং অতঃপর তার পুনরুদ্ভব করবেন। অতএব, কোথায় ঘুরপাক খাচ্ছে?",
              "numberInSurah": 34,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কুল হাল মিন শুরাকাইকুম মাইঁ ইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূ কুল্লিলা-হু ইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূফাআন্না-তু’ফাকূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//مِنْ/مِن/min//شُرَكَآىِٕكُمْ/شُرَكَآئِكُم/shurakaikum//مَّنْ/مَّن/man//یَّبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ ؕ/يُعِيدُهُۥۚ/yu'iduhu//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یَبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ/يُعِيدُهُۥۖ/yu'iduhu//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُؤْفَكُوْنَ /تُؤۡفَكُونَ/tu'fakuna",
              "words_bangla": "বলো//\"(আছে) কি//মধ্যে হতে//শরীকদের তোমাদের//(এমন কেউ) যে//সূচনা করে//সৃষ্টির//এরপর//পুনরাবর্তন ঘটায় তার\"//বলো//\"আল্লাহই//সূচনা করেন//সৃষ্টির//এরপর//পুনরাবর্তন ঘটান তার//অতএব কোথায়//তোমাদের ফিরানো হচ্ছে\""
            },
            {
              "number": 1399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1399.mp3"
              ],
              "text": "قُلْ هَلْ مِن شُرَكَآئِكُم مَّن يَهْدِىٓ إِلَى ٱلْحَقِّ ۚ قُلِ ٱللَّهُ يَهْدِى لِلْحَقِّ ۗ أَفَمَن يَهْدِىٓ إِلَى ٱلْحَقِّ أَحَقُّ أَن يُتَّبَعَ أَمَّن لَّا يَهِدِّىٓ إِلَّآ أَن يُهْدَىٰ ۖ فَمَا لَكُمْ كَيْفَ تَحْكُمُونَ",
              "translate_bn": "জিজ্ঞেস কর, আছে কি কেউ তোমাদের শরীকদের মধ্যে যে সত্য-সঠিক পথ প্রদর্শন করবে? বল, আল্লাহই সত্য-সঠিক পথ প্রদর্শন করেন, সুতরাং এমন যে লোক সঠিক পথ দেখাবে তার কথা মান্য করা কিংবা যে লোক নিজে নিজে পথ খুঁজে পায় না, তাকে পথ দেখানো কর্তব্য। অতএব, তোমাদের কি হল, কেমন তোমাদের বিচার?",
              "numberInSurah": 35,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কুল হাল মিন শুরাকাইকুম মাইঁ ইয়াহদী ইলাল হাক্কি কুল্লিলা-হু ইয়াহদী লিলহাক্কি আফামাইঁ ইয়াহদী ইলাল হাক্কিআহাক্কুআইঁ ইউত্তাবা‘আ আম্মাল লাইয়াহিদ্দীইল্লাআইঁ ইউহদা- ফামা-লাকুম কাইফা তাহকুমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//مِنْ/مِن/min//شُرَكَآىِٕكُمْ/شُرَكَآئِكُم/shurakaikum//مَّنْ/مَّن/man//یَّهْدِیْۤ/يَهۡدِيٓ/yahdi//اِلَی/إِلَى/ila//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یَهْدِیْ/يَهۡدِي/yahdi//لِلْحَقِّ ؕ/لِلۡحَقِّۗ/lil'haqqi//اَفَمَنْ/أَفَمَن/afaman//یَّهْدِیْۤ/يَهۡدِيٓ/yahdi//اِلَی/إِلَى/ila//الْحَقِّ/ٱلۡحَقِّ/al-haqi//اَحَقُّ/أَحَقُّ/ahaqqu//اَنْ/أَن/an//یُّتَّبَعَ/يُتَّبَعَ/yuttaba'a//اَمَّنْ/أَمَّن/amman//لَّا/لَّا/la//یَهِدِّیْۤ/يَهِدِّيٓ/yahiddi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّهْدٰی ۚ/يُهۡدَىٰۖ/yuh'da//فَمَا/فَمَا/fama//لَكُمْ ۫/لَكُمۡ/lakum//كَیْفَ/كَيۡفَ/kayfa//تَحْكُمُوْنَ /تَحۡكُمُونَ/tahkumuna",
              "words_bangla": "বলো//\"(আছে) কি//মধ্য হতে//শরীকদের তোমাদের//(এমন কেউ) যে//পথ দেখায়//দিকে//সত্যের\"//বলো//\"আল্লাহই//পথ দেখান//দিকে সত্যের//কি তবে যে//সঠিকপথ দেখায়//দিকে//সত্যের//অধিক যোগ্য//যে//অনুসরণ করা হবে (তাঁর)//অথবা যে//না//সঠিকপথ পায়//এ ছাড়া//যে//পথ প্রদর্শিত হয়//অতএব কি হয়েছে//তোমাদের//কেমন//তোমরা বিচার করো\""
            },
            {
              "number": 1400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1400.mp3"
              ],
              "text": "وَمَا يَتَّبِعُ أَكْثَرُهُمْ إِلَّا ظَنًّا ۚ إِنَّ ٱلظَّنَّ لَا يُغْنِى مِنَ ٱلْحَقِّ شَيْـًٔا ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا يَفْعَلُونَ",
              "translate_bn": "বস্তুতঃ তাদের অধিকাংশই শুধু আন্দাজ-অনুমানের উপর চলে, অথচ আন্দাজ-অনুমান সত্যের বেলায় কোন কাজেই আসে না। আল্লাহ ভাল করেই জানেন, তারা যা কিছু করে।",
              "numberInSurah": 36,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াত্তাবি‘উ আকছারুহুম ইল্লা-জান্নান ইন্নাজ্জান্না লা-ইউগনী মিনাল হাক্কিশাইআন ইন্নাল্লা-হা ‘আলীমুম বিমা-ইয়াফ‘আলূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَتَّبِعُ/يَتَّبِعُ/yattabi'u//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//اِلَّا/إِلَّا/illa//ظَنًّا ؕ/ظَنًّاۚ/zannan//اِنَّ/إِنَّ/inna//الظَّنَّ/ٱلظَّنَّ/al-zana//لَا/لَا/la//یُغْنِیْ/يُغۡنِي/yugh'ni//مِنَ/مِنَ/mina//الْحَقِّ/ٱلۡحَقِّ/al-haqi//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِمَا/بِمَا/bima//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "এবং না//অনুসরণ করে//অধিকাংশ তাদের//এ ছাড়া//অনুমানের//নিশ্চয়ই//অনুমান//না//কাজে আসে//ক্ষেত্রে//সত্য (পথ লাভের)//কিছুমাত্র//নিশ্চয়ই//আল্লাহ//খুব অবহিত//ঐ বিষয়ে যা//তারা করছে"
            },
            {
              "number": 1401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1401.mp3"
              ],
              "text": "وَمَا كَانَ هَٰذَا ٱلْقُرْءَانُ أَن يُفْتَرَىٰ مِن دُونِ ٱللَّهِ وَلَٰكِن تَصْدِيقَ ٱلَّذِى بَيْنَ يَدَيْهِ وَتَفْصِيلَ ٱلْكِتَٰبِ لَا رَيْبَ فِيهِ مِن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আর কোরআন সে জিনিস নয় যে, আল্লাহ ব্যতীত কেউ তা বানিয়ে নেবে। অবশ্য এটি পূর্ববর্তী কালামের সত্যায়ন করে এবং সে সমস্ত বিষয়ের বিশ্লেষণ দান করে যা তোমার প্রতি দেয়া হয়েছে, যাতে কোন সন্দেহ নেই-তোমার বিশ্বপালনকর্তার পক্ষ থেকে।",
              "numberInSurah": 37,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-না হা-যাল কুরআ-নু আইঁ ইউফতারা-মিন দূনিল্লা-হি ওয়ালা-কিন তাসদীকাল্লাযী বাইনা ইয়াদাইহি ওয়া তাফসীলাল কিতা-বি লা-রাইবা ফীহি মির রাব্বিল ‘আ-লামীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//اَنْ/أَن/an//یُّفْتَرٰی/يُفۡتَرَىٰ/yuf'tara//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لٰكِنْ/وَلَٰكِن/walakin//تَصْدِیْقَ/تَصۡدِيقَ/tasdiqa//الَّذِیْ/ٱلَّذِي/alladhi//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ تَفْصِیْلَ/وَتَفۡصِيلَ/watafsila//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَ۫/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং নয়//হওয়ার//এই//কুর'আন//(এমন) যে//রচনা করা যেতে পারে//দিয়ে//বাদ//আল্লাহ//বরং (এটা)//সত্যায়ন//(তার) যা//মাঝে//হাতের তার//ও বিস্তারিত বর্ণনা//সেই কিতাবের//নেই//কোনো সন্দেহ//মধ্যে তার(যে এটা)//(এসেছে) পক্ষ হতে//রবের//বিশ্বজগতের"
            },
            {
              "number": 1402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1402.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ فَأْتُوا۟ بِسُورَةٍۢ مِّثْلِهِۦ وَٱدْعُوا۟ مَنِ ٱسْتَطَعْتُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "মানুষ কি বলে যে, এটি বানিয়ে এনেছ? বলে দাও, তোমরা নিয়ে এসো একটিই সূরা, আর ডেকে নাও, যাদেরকে নিতে সক্ষম হও আল্লাহ ব্যতীত, যদি তোমরা সত্যবাদী হয়ে থাক।",
              "numberInSurah": 38,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনাফ তারা-হু কুল ফা’তূবিছূরাতিম মিছলিহী ওয়াদ‘ঊ মানিছতাতা‘আতুম মিন দূ নিল্লা-হি ইন কুনতুম সা-দিকীন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰىهُ ؕ/ٱفۡتَرَىٰهُۖ/if'tarahu//قُلْ/قُلۡ/qul//فَاْتُوْا/فَأۡتُواْ/fatu//بِسُوْرَةٍ/بِسُورَةٖ/bisuratin//مِّثْلِهٖ/مِّثۡلِهِۦ/mith'lihi//وَ ادْعُوْا/وَٱدۡعُواْ/wa-id'u//مَنِ/مَنِ/mani//اسْتَطَعْتُمْ/ٱسۡتَطَعۡتُم/is'tata'tum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "অথবা কি//তারা বলে//\"সে রচনা করেছে তা\"//(হে নাবী) বলো//\"তা হলে তোমরা আসো//নিয়ে একটি সূরাহ (রচনা করে)//মতো তার//এবং তোমরা ডাকো//যাকে//তোমরা পারো//দিয়ে//বাদ//আল্লাহ//যদি//হও তোমরা//সত্যবাদী\""
            },
            {
              "number": 1403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1403.mp3"
              ],
              "text": "بَلْ كَذَّبُوا۟ بِمَا لَمْ يُحِيطُوا۟ بِعِلْمِهِۦ وَلَمَّا يَأْتِهِمْ تَأْوِيلُهُۥ ۚ كَذَٰلِكَ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلظَّٰلِمِينَ",
              "translate_bn": "কিন্তু কথা হল এই যে, তারা মিথ্যা প্রতিপন্ন করতে আরম্ভ করেছে যাকে বুঝতে, তারা অক্ষম। অথচ এখনো এর বিশ্লেষণ আসেনি। এমনিভাবে মিথ্যা প্রতিপন্ন করেছে তাদের পূর্ববর্তীরা। অতএব, লক্ষ্য করে দেখ, কেমন হয়েছে পরিণতি।",
              "numberInSurah": 39,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "বাল কাযযাবূবিমা-লাম ইউহীতুবি‘ইলমিহী ওয়ালাম্মা-ইয়া’তিহিম তা’বীলুহূ কাযা-লিকা কাযযাবাল্লাযীনা মিন কাবলিহিম ফানজুর কাইফা কা-না ‘আকিবাতুজ্জা-লিমীন।",
              "words_arabic": "بَلْ/بَلۡ/bal//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//یُحِیْطُوْا/يُحِيطُواْ/yuhitu//بِعِلْمِهٖ/بِعِلۡمِهِۦ/bi'il'mihi//وَ لَمَّا/وَلَمَّا/walamma//یَاْتِهِمْ/يَأۡتِهِمۡ/yatihim//تَاْوِیْلُهٗ ؕ/تَأۡوِيلُهُۥۚ/tawiluhu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//كَذَّبَ/كَذَّبَ/kadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡۖ/qablihim//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "বরং//তারা মিথ্যা মনে করেছে//ঐবিষয়ে যা//নি//তারা আয়ত্ত করতে পারে//দিয়ে জ্ঞান তা//এবং এখনও নি//তাদের কাছে আসে//ব্যাখ্যা তার//এভাবে//মিথ্যারোপ করেছিলো//যারা//থেকে//পূর্ব তাদের(ছিলো)//অতএব দেখো//কেমন//ছিলো//পরিণাম//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1404.mp3"
              ],
              "text": "وَمِنْهُم مَّن يُؤْمِنُ بِهِۦ وَمِنْهُم مَّن لَّا يُؤْمِنُ بِهِۦ ۚ وَرَبُّكَ أَعْلَمُ بِٱلْمُفْسِدِينَ",
              "translate_bn": "আর তাদের মধ্যে কেউ কেউ কোরআনকে বিশ্বাস করবে এবং কেউ কেউ বিশ্বাস করবে না। বস্তুতঃ তোমার পরওয়ারদেগার যথার্থই জানেন দুরাচারদিগকে।",
              "numberInSurah": 40,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 175,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইউ’মিনুবিহী ওয়া মিনহুম মাল লা-ইউ’মিনুবিহী ওয়া রাব্বুকা আ‘লামু বিল মুফছিদীন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِهٖ/بِهِۦ/bihi//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//لَّا/لَّا/la//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِهٖ ؕ/بِهِۦۚ/bihi//وَ رَبُّكَ/وَرَبُّكَ/warabbuka//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُفْسِدِیْنَ۠/بِٱلۡمُفۡسِدِينَ/bil-muf'sidina",
              "words_bangla": "এবং মধ্য হতে তাদের//কেউ কেউ//ঈমান আনবে//উপর তার//আবার মধ্য হতে তাদের//কেউ কেউ//না//ঈমান আনবে//উপর তার//এবং তোমার রব//খুব জানেন//সম্পর্কে বিপর্যয় সৃষ্টকারীদের"
            },
            {
              "number": 1405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1405.mp3"
              ],
              "text": "وَإِن كَذَّبُوكَ فَقُل لِّى عَمَلِى وَلَكُمْ عَمَلُكُمْ ۖ أَنتُم بَرِيٓـُٔونَ مِمَّآ أَعْمَلُ وَأَنَا۠ بَرِىٓءٌۭ مِّمَّا تَعْمَلُونَ",
              "translate_bn": "আর যদি তোমাকে মিথ্যা প্রতিপন্ন করে, তবে বল, আমার জন্য আমার কর্ম, আর তোমাদের জন্য তোমাদের কর্ম। তোমাদের দায়-দায়িত্ব নেই আমার কর্মের উপর এবং আমারও দায়-দায়িত্ব নেই তোমরা যা কর সেজন্য।",
              "numberInSurah": 41,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কাযযাবূকা ফাকুল লী আমালী ওয়া লাকুম ‘আমালুকুম আনতুম বারীউনা মিম্মা আ‘মালূওয়া আনা-বারীউম মিম্মা-তা‘মালূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَذَّبُوْكَ/كَذَّبُوكَ/kadhabuka//فَقُلْ/فَقُل/faqul//لِّیْ/لِّي/li//عَمَلِیْ/عَمَلِي/amali//وَ لَكُمْ/وَلَكُمۡ/walakum//عَمَلُكُمْ ۚ/عَمَلُكُمۡۖ/amalukum//اَنْتُمْ/أَنتُم/antum//بَرِیْٓـُٔوْنَ/بَرِيٓـُٔونَ/bariuna//مِمَّاۤ/مِمَّآ/mimma//اَعْمَلُ/أَعۡمَلُ/a'malu//وَ اَنَا/وَأَنَا۠/wa-ana//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং যদি//তোমার প্রতি মিথ্যারোপ করে//তবে বলো//\"জন্যে আমার//আমার কাজের (পরিণতি)//আর জন্যে তোমাদের//তোমাদের কাজের (পরিণতি)//তোমরা//দায়িত্বমুক্ত//তা হতে যা//আমি কাজ করি//এবং আমি//দায়িত্বমুক্ত//তা হতে যা//তোমরা কাজ করো\""
            },
            {
              "number": 1406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1406.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَسْتَمِعُونَ إِلَيْكَ ۚ أَفَأَنتَ تُسْمِعُ ٱلصُّمَّ وَلَوْ كَانُوا۟ لَا يَعْقِلُونَ",
              "translate_bn": "তাদের কেউ কেউ কান রাখে তোমাদের প্রতি; তুমি বধিরদেরকে কি শোনাবে যদি তাদের বিবেক-বুদ্ধি না থাকে!",
              "numberInSurah": 42,
              "juz": 11,
              "manzil": 3,
              "page": 213,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়াছতামি‘ঊনা ইলাইকা আফাআনতা তুছমিউস সুম্মা ওয়া লাও কা-নূ লা-ইয়া‘কিলূন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//اِلَیْكَ ؕ/إِلَيۡكَۚ/ilayka//اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الصُّمَّ/ٱلصُّمَّ/al-suma//وَ لَوْ/وَلَوۡ/walaw//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং  মধ্যে থেকে তাদের//কেউ কেউ//মনোযোগ দিয়ে শোনে//দিকে তোমার//কি তবে তুমি//শুনাবে//বধিরদেরকে//এবং যদিও//তারা হলো (এমন যে)//না//তারা বুঝতে পারে"
            },
            {
              "number": 1407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1407.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَنظُرُ إِلَيْكَ ۚ أَفَأَنتَ تَهْدِى ٱلْعُمْىَ وَلَوْ كَانُوا۟ لَا يُبْصِرُونَ",
              "translate_bn": "আবার তাদের মধ্যে কেউ কেউ তোমাদের প্রতি দৃষ্টিনিবদ্ধ রাখে; তুমি অন্ধদেরকে কি পথ দেখাবে যদি তারা মোটেও দেখতে না পারে।",
              "numberInSurah": 43,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়ানজু রু ইলাইকা আফাআনতা তাহদিল ‘উমইয়া ওয়ালাও কা-নূলাইউবসিরূন।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّنْظُرُ/يَنظُرُ/yanzuru//اِلَیْكَ ؕ/إِلَيۡكَۚ/ilayka//اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تَهْدِی/تَهۡدِي/tahdi//الْعُمْیَ/ٱلۡعُمۡيَ/al-'um'ya//وَ لَوْ/وَلَوۡ/walaw//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "এবং মধ্যে থেকে তাদের//কেউ কেউ//তাকিয়ে থাকে//দিকে তোমার//কি তবে তুমি//পথ দেখাবে//অন্ধকে//এবং যদিও//তারা হলো (এমন যে)//না//দেখতে পায়"
            },
            {
              "number": 1408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1408.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَا يَظْلِمُ ٱلنَّاسَ شَيْـًۭٔا وَلَٰكِنَّ ٱلنَّاسَ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "আল্লাহ জুলুম করেন না মানুষের উপর, বরং মানুষ নিজেই নিজের উপর জুলুম করে।",
              "numberInSurah": 44,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা-ইয়াজলিমুন্না-ছা শাইয়াওঁ ওয়ালা-কিন্নান্না-ছা আনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَظْلِمُ/يَظۡلِمُ/yazlimu//النَّاسَ/ٱلنَّاسَ/al-nasa//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//النَّاسَ/ٱلنَّاسَ/al-nasa//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//না//অবিচার করেন//মানুষের (উপর)//কিছুমাত্রও//কিন্তু//মানুষ//নিজেদের তাদের (উপর)//তারা অবিচার করে"
            },
            {
              "number": 1409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1409.mp3"
              ],
              "text": "وَيَوْمَ يَحْشُرُهُمْ كَأَن لَّمْ يَلْبَثُوٓا۟ إِلَّا سَاعَةًۭ مِّنَ ٱلنَّهَارِ يَتَعَارَفُونَ بَيْنَهُمْ ۚ قَدْ خَسِرَ ٱلَّذِينَ كَذَّبُوا۟ بِلِقَآءِ ٱللَّهِ وَمَا كَانُوا۟ مُهْتَدِينَ",
              "translate_bn": "আর যেদিন তাদেরকে সমবেত করা হবে, যেন তারা অবস্থান করেনি, তবে দিনের একদন্ড একজন অপরজনকে চিনবে। নিঃসন্দেহে ক্ষতিগ্রস্ত হয়েছে যারা মিথ্যা প্রতিপন্ন করেছে আল্লাহর সাথে সাক্ষাতকে এবং সরলপথে আসেনি।",
              "numberInSurah": 45,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়াহশুরুহুম কাআল্লাম ইয়ালবাছূ ইল্লা-ছা-‘আতাম মিনান্নাহা-রি ইয়াতা‘আরাফূনা বাইনাহুম কাদ খাছিরাল লাযীনা কাযযাবূবিলিকাইল্লা-হি ওয়ামা-কা-নূ মুহতাদীন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَحْشُرُهُمْ/يَحۡشُرُهُمۡ/yahshuruhum//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَلْبَثُوْۤا/يَلۡبَثُوٓاْ/yalbathu//اِلَّا/إِلَّا/illa//سَاعَةً/سَاعَةٗ/sa'atan//مِّنَ/مِّنَ/mina//النَّهَارِ/ٱلنَّهَارِ/al-nahari//یَتَعَارَفُوْنَ/يَتَعَارَفُونَ/yata'arafuna//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//قَدْ/قَدۡ/qad//خَسِرَ/خَسِرَ/khasira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِلِقَآءِ/بِلِقَآءِ/biliqai//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُهْتَدِیْنَ /مُهۡتَدِينَ/muh'tadina",
              "words_bangla": "এবং যেদিন//একত্র করবেন তিনি তাদেরকে//(তারা ভাববে) যেন//নি//তারা অবস্হান করে//এ ছাড়া//(মাত্র)এক মুহূর্তকাল//থেকে//দিনের//তারা পরস্পরে চিনবে//তাদের মাঝের (লোকদেরকে)//নিশ্চয়ই//ক্ষতিগ্রস্ত হয়েছে//যারা//মিথ্যারোপ করেছে//প্রতি সাক্ষাতের//আল্লাহর//এবং না//তারা ছিলো//সৎপথ প্রাপ্ত"
            },
            {
              "number": 1410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1410.mp3"
              ],
              "text": "وَإِمَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِلَيْنَا مَرْجِعُهُمْ ثُمَّ ٱللَّهُ شَهِيدٌ عَلَىٰ مَا يَفْعَلُونَ",
              "translate_bn": "আর যদি আমি দেখাই তোমাকে সে ওয়াদাসমূহের মধ্য থেকে কোন কিছু যা আমি তাদের সাথে করেছি, অথবা তোমাকে মৃত্যুদান করি, যাহোক, আমার কাছেই তাদেরকে প্রত্যাবর্তন করতে হবে। বস্তুতঃ আল্লাহ সে সমস্ত কর্মের সাক্ষী যা তারা করে।",
              "numberInSurah": 46,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা-নুরিইয়ান্নাকা বা‘দাল্লাযীনা‘ইদুহুম আও নাতাওয়াফফাইয়ান্নাকা ফাইলাইনামারজি‘উহুম ছু ম্মাল্লা-হু শাহীদুন ‘আলা-মা-ইয়াফ‘আলূন।",
              "words_arabic": "وَ اِمَّا/وَإِمَّا/wa-imma//نُرِیَنَّكَ/نُرِيَنَّكَ/nuriyannaka//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//نَعِدُهُمْ/نَعِدُهُمۡ/na'iduhum//اَوْ/أَوۡ/aw//نَتَوَفَّیَنَّكَ/نَتَوَفَّيَنَّكَ/natawaffayannaka//فَاِلَیْنَا/فَإِلَيۡنَا/fa-ilayna//مَرْجِعُهُمْ/مَرۡجِعُهُمۡ/marji'uhum//ثُمَّ/ثُمَّ/thumma//اللّٰهُ/ٱللَّهُ/al-lahu//شَهِیْدٌ/شَهِيدٌ/shahidun//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "এবং যদি//তোমাকে দেখাই আমরা//কিছু অংশ//যার//ভয় দেখাচ্ছি তাদের//অথবা//তোমার মৃত্যু ঘটাই আমরা//তবুও দিকে আমাদেরই//প্রত্যাবর্তন তাদের (হবে)//এরপর//আল্লাহ//সাক্ষী (আছেন)//উপর//(ঐ বিষয়ের) যা//তারা করছে"
            },
            {
              "number": 1411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1411.mp3"
              ],
              "text": "وَلِكُلِّ أُمَّةٍۢ رَّسُولٌۭ ۖ فَإِذَا جَآءَ رَسُولُهُمْ قُضِىَ بَيْنَهُم بِٱلْقِسْطِ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "আর প্রত্যেক সম্প্রদায়ের একেকজন রসূল রয়েছে। যখন তাদের কাছে তাদের রসূল ন্যায়দন্ডসহ উপস্থিত হল, তখন আর তাদের উপর জুলুম হয় না।",
              "numberInSurah": 47,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লি উম্মাতির রাছূলুন ফাইযা-জাআ রাছূলুহুম কুদিয়া বাইনাহুম বিলকিছতি ওয়াহুম লা-ইউজলামূন।",
              "words_arabic": "وَ لِكُلِّ/وَلِكُلِّ/walikulli//اُمَّةٍ/أُمَّةٖ/ummatin//رَّسُوْلٌ ۚ/رَّسُولٞۖ/rasulun//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//رَسُوْلُهُمْ/رَسُولُهُمۡ/rasuluhum//قُضِیَ/قُضِيَ/qudiya//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْقِسْطِ/بِٱلۡقِسۡطِ/bil-qis'ti//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং জন্যে প্রত্যেক//জাতির//একজন রাসূল(রয়েছে)//অতঃপর যখন//এসেছে//রাসূল তাদের(রয়েছে)//মীমাংসা করা হয়েছে//মাঝে তাদের//সাথে ন্যায়বিচারের//এবং তাদের (উপর)//না//অবিচার করা হয়েছে"
            },
            {
              "number": 1412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1412.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা আরো বলে, এ ওয়াদা কবে আসবে, যদি তোমরা সত্যবাদী হয়ে থাক?",
              "numberInSurah": 48,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ওয়া‘দুইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন (বাস্তবায়িত হবে)//এই//প্রতিশ্রুতি//যদি//হও তোমরা//সত্যবাদী\""
            },
            {
              "number": 1413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1413.mp3"
              ],
              "text": "قُل لَّآ أَمْلِكُ لِنَفْسِى ضَرًّۭا وَلَا نَفْعًا إِلَّا مَا شَآءَ ٱللَّهُ ۗ لِكُلِّ أُمَّةٍ أَجَلٌ ۚ إِذَا جَآءَ أَجَلُهُمْ فَلَا يَسْتَـْٔخِرُونَ سَاعَةًۭ ۖ وَلَا يَسْتَقْدِمُونَ",
              "translate_bn": "তুমি বল, আমি আমার নিজের ক্ষতি কিংবা লাভেরও মালিক নই, কিন্তু আল্লাহ যা ইচ্ছা করেন। প্রত্যেক সম্প্রদায়ের জন্যই একেকটি ওয়াদা রয়েছে, যখন তাদের সে ওয়াদা এসে পৌঁছে যাবে, তখন না একদন্ড পেছনে সরতে পারবে, না সামনে ফসকাতে পারবে,।",
              "numberInSurah": 49,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কুল লাআমলিকুলিনাফছী দাররাওঁ ওয়ালা-নাফ‘আন ইল্লা-মাশা-আল্লা-হু লিকুল্লি উম্মাতিন আজালুন ইযা-জাআ আজালুহুম ফালা-ইয়াছতা’খিরূনা ছা-‘আতাওঁ ওয়ালাইয়াছতাকদিমূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَمْلِكُ/أَمۡلِكُ/amliku//لِنَفْسِیْ/لِنَفۡسِي/linafsi//ضَرًّا/ضَرّٗا/darran//وَّ لَا/وَلَا/wala//نَفْعًا/نَفۡعًا/naf 'an//اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//لِكُلِّ/لِكُلِّ/likulli//اُمَّةٍ/أُمَّةٍ/ummatin//اَجَلٌ ؕ/أَجَلٌۚ/ajalun//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//اَجَلُهُمْ/أَجَلُهُمۡ/ajaluhum//فَلَا/فَلَا/fala//یَسْتَاْخِرُوْنَ/يَسۡتَـٔۡخِرُونَ/yastakhiruna//سَاعَةً/سَاعَةٗ/sa'atan//وَّ لَا/وَلَا/wala//یَسْتَقْدِمُوْنَ /يَسۡتَقۡدِمُونَ/yastaqdimuna",
              "words_bangla": "বলো//\"না//অধিকার রাখি আমি//(এমনকি) জন্যও নিজের//কোনো ক্ষতির//আর না//কোনো উপকারের//এ ছাড়া//যা//ইচ্ছে করেন//আল্লাহ//জন্যে প্রত্যেক//জাতির//নির্দিষ্ট সময় (রয়েছে)//যখন//আসবে//নির্দিষ্ট সময় তার//অতঃপর না//পিছাতে পারবে//মুহূর্তকালও//আর না//এগিয়ে নিতে পারবে\""
            },
            {
              "number": 1414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1414.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِنْ أَتَىٰكُمْ عَذَابُهُۥ بَيَٰتًا أَوْ نَهَارًۭا مَّاذَا يَسْتَعْجِلُ مِنْهُ ٱلْمُجْرِمُونَ",
              "translate_bn": "তুমি বল, আচ্ছা দেখ তো দেখি, যদি তোমাদের উপর তার আযাব রাতারাতি অথবা দিনের বেলায় এসে পৌঁছে যায়, তবে এর আগে পাপীরা কি করবে?",
              "numberInSurah": 50,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুমইন আতা-কুম‘আযা-বুহূ বায়া-তান আও নাহা-রাম মা-যাইয়াছতা‘জিলুমিনহুল মুজরিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِنۡ/in//اَتٰىكُمْ/أَتَىٰكُمۡ/atakum//عَذَابُهٗ/عَذَابُهُۥ/adhabuhu//بَیَاتًا/بَيَٰتًا/bayatan//اَوْ/أَوۡ/aw//نَهَارًا/نَهَارٗا/naharan//مَّا ذَا/مَّاذَا/madha//یَسْتَعْجِلُ/يَسۡتَعۡجِلُ/yasta'jilu//مِنْهُ/مِنۡهُ/min'hu//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "বলো//\"কি (ভেবে) দেখেছো তোমরা//যদি//তোমাদের উপর আসে//শাস্তি তাঁর(সহসা)//রাতে//বা//দিনে (তবে তোমরা কি করবে)//কি (কারণ আছে)//তাড়াহুড়া করতে চায়//থেকে তা//অপরাধীরা\""
            },
            {
              "number": 1415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1415.mp3"
              ],
              "text": "أَثُمَّ إِذَا مَا وَقَعَ ءَامَنتُم بِهِۦٓ ۚ ءَآلْـَٰٔنَ وَقَدْ كُنتُم بِهِۦ تَسْتَعْجِلُونَ",
              "translate_bn": "তাহলে কি আযাব সংঘটিত হয়ে যাবার পর এর প্রতি বিশ্বাস করবে? এখন স্বীকার করলে? অথচ তোমরা এরই তাকাদা করতে?",
              "numberInSurah": 51,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "আছুম্মা ইযা-মা-ওয়াকা‘আ আ-মানতুম বিহী আলআ-না ওয়া কাদ কুনতুম বিহী তাছতা‘জিলূন।",
              "words_arabic": "اَثُمَّ/أَثُمَّ/athumma//اِذَا/إِذَا/idha//مَا/مَا/ma//وَقَعَ/وَقَعَ/waqa'a//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِهٖ ؕ/بِهِۦٓۚ/bihi//آٰلْـٰٔنَ/ءَآلۡـَٰٔنَ/al'ana//وَ قَدْ/وَقَدۡ/waqad//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تَسْتَعْجِلُوْنَ /تَسۡتَعۡجِلُونَ/tasta'jiluna",
              "words_bangla": "কি এরপর//যখন//তা//ঘটে যাবে//বিশ্বাস করবে তোমরা//উপর তার//কি এখন (রক্ষা পেতে চাও)//অথচ নিশ্চয়ই//তোমরা ছিলে//সম্বন্ধে তা//তাড়াহুড়া করতে চাইতে"
            },
            {
              "number": 1416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1416.mp3"
              ],
              "text": "ثُمَّ قِيلَ لِلَّذِينَ ظَلَمُوا۟ ذُوقُوا۟ عَذَابَ ٱلْخُلْدِ هَلْ تُجْزَوْنَ إِلَّا بِمَا كُنتُمْ تَكْسِبُونَ",
              "translate_bn": "অতঃপর বলা হবে, গোনাহগারদিগকে, ভোগ করতে থাক অনন্ত আযাব-তোমরা যা কিছু করতে তার তাই প্রতিফল।",
              "numberInSurah": 52,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 85,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কীলা লিল্লাযীনা জালামূযূকূ‘আযা-বাল খুলদি হাল তুজঝাওনা ইল্লা-বিমাকুনতুম তাকছিবূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قِیْلَ/قِيلَ/qila//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//ذُوْقُوْا/ذُوقُواْ/dhuqu//عَذَابَ/عَذَابَ/adhaba//الْخُلْدِ ۚ/ٱلۡخُلۡدِ/al-khul'di//هَلْ/هَلۡ/hal//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//اِلَّا/إِلَّا/illa//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْسِبُوْنَ /تَكۡسِبُونَ/taksibuna",
              "words_bangla": "এরপর//বলা হবে//উদ্দেশ্যে তাদের (যারা)//সীমালঙ্ঘন করেছিলো//\"তোমরা স্বাদ নাও//শাস্তির//স্থায়ী//কি//তোমাদের প্রতিফল দেয়া হবে//এ ছাড়া//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা অর্জন করতে\""
            },
            {
              "number": 1417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1417.mp3"
              ],
              "text": "۞ وَيَسْتَنۢبِـُٔونَكَ أَحَقٌّ هُوَ ۖ قُلْ إِى وَرَبِّىٓ إِنَّهُۥ لَحَقٌّۭ ۖ وَمَآ أَنتُم بِمُعْجِزِينَ",
              "translate_bn": "আর তোমার কাছে সংবাদ জিজ্ঞেস করে, এটা কি সত্য ? বলে দাও, অবশ্যই আমার পরওয়ারদেগারের কসম এটা সত্য। আর তোমরা পরিশ্রান্ত করে দিতে পারবে না।",
              "numberInSurah": 53,
              "juz": 11,
              "manzil": 3,
              "page": 214,
              "ruku": 176,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতামবিঊনাকা আহাক্কুন হুওয়া কুল ঈ ওয়ারাববী ইন্নাহূলাহাক্কুওঁ ওয়া মাআনতুম বিমু‘জিঝীন।",
              "words_arabic": "وَ یَسْتَنْۢبِـُٔوْنَكَ/۞وَيَسۡتَنۢبِـُٔونَكَ/wayastanbiunaka//اَحَقٌّ/أَحَقٌّ/ahaqqun//هُوَ ؔؕ/هُوَۖ/huwa//قُلْ/قُلۡ/qul//اِیْ/إِي/i//وَ رَبِّیْۤ/وَرَبِّيٓ/warabbi//اِنَّهٗ/إِنَّهُۥ/innahu//لَحَقٌّ ؔؕۚ/لَحَقّٞۖ/lahaqqun//وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُعْجِزِیْنَ۠/بِمُعۡجِزِينَ/bimu'jizina",
              "words_bangla": "এবং তোমার কাছে তারা জানতে চায়//\"কি সত্য\"//\"তা\"//বলো//\"হ্যাঁ//শপথ আমার রবের//নিশ্চয়ই তা//অবশ্যই সত্য//এবং নও//তোমরা//ব্যর্থকারী\""
            },
            {
              "number": 1418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1418.mp3"
              ],
              "text": "وَلَوْ أَنَّ لِكُلِّ نَفْسٍۢ ظَلَمَتْ مَا فِى ٱلْأَرْضِ لَٱفْتَدَتْ بِهِۦ ۗ وَأَسَرُّوا۟ ٱلنَّدَامَةَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ ۖ وَقُضِىَ بَيْنَهُم بِٱلْقِسْطِ ۚ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "বস্তুতঃ যদি প্রত্যেক গোনাহগারের কাছে এত পরিমাণ থাকে যা আছে সমগ্র যমীনের মাঝে, আর অবশ্যই যদি সেগুলো নিজের মুক্তির বিনিময়ে দিতে চাইবে আর গোপনে গোপনে অনুতাপ করবে, যখন আযাব দেখবে। বস্তুতঃ তাদের জন্য সিদ্ধান্ত হবে ন্যায়সঙ্গত এবং তাদের উপর জুলম হবে না।",
              "numberInSurah": 54,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্না লিকুল্লি নাফছিন জালামাত মা-ফিল আরদিলাফতাদাত বিহী ওয়া আছাররুন নাদা-মাতা লাম্মা-রাআউল ‘আযা-বা ওয়া কুদিয়া বাইনাহুম বিলকিছতি ওয়া হুম লা-ইউজলামূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّ/أَنَّ/anna//لِكُلِّ/لِكُلِّ/likulli//نَفْسٍ/نَفۡسٖ/nafsin//ظَلَمَتْ/ظَلَمَتۡ/zalamat//مَا/مَا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//لَافْتَدَتْ/لَٱفۡتَدَتۡ/la-if'tadat//بِهٖ ؕ/بِهِۦۗ/bihi//وَ اَسَرُّوا/وَأَسَرُّواْ/wa-asarru//النَّدَامَةَ/ٱلنَّدَامَةَ/al-nadamata//لَمَّا/لَمَّا/lamma//رَاَوُا/رَأَوُاْ/ra-awu//الْعَذَابَ ۚ/ٱلۡعَذَابَۖ/al-'adhaba//وَ قُضِیَ/وَقُضِيَ/waqudiya//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْقِسْطِ/بِٱلۡقِسۡطِ/bil-qis'ti//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং যদি (এমন হতো)//অবশ্যই//জন্যে প্রত্যেক//ব্যক্তির//(যে) সীমালঙ্ঘন করেছে//যা কিছু//মধ্যে (আছে)//পৃথিবীর (সব তারই)//অবশ্যই মুক্তিপণ হিসেবে দিতো(বাঁচার জন্য)//দিয়ে তা//এবং তারা গোপনে করবে//অনুতাপ//যখন//দেখবে//শাস্তি//এবং মীমাংসা করা হবে//মাঝে তাদের//সাথে ন্যায়বিচারের//এবং তাদের (উপর)//না//অবিচার করা হবে"
            },
            {
              "number": 1419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1419.mp3"
              ],
              "text": "أَلَآ إِنَّ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ أَلَآ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "শুনে রাখ, যা কিছু রয়েছে আসমানসমূহে ও যমীনে সবই আল্লাহর। শুনে রাখ, আল্লাহর প্রতিশ্রুতি সত্য। তবে অনেকেই জানে না।",
              "numberInSurah": 55,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "আলাইন্না লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়াল আরদি আলাইন্না ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়া লা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞ/haqqun//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "সাবধান (শুনে রাখো)//নিশ্চয়ই//জন্যে আল্লাহরই//যাকিছু//মধ্যে (আছে)//আকাশসমূহের//ও পৃথিবীর//সাবধান (শুনে রাখো)//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//কিন্তু//অধিকাংশই তাদের//না//তারা জানে"
            },
            {
              "number": 1420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1420.mp3"
              ],
              "text": "هُوَ يُحْىِۦ وَيُمِيتُ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "তিনিই জীবন ও মরণ দান করেন এবং তাঁরই কাছে প্রত্যাবর্তন করতে হবে।",
              "numberInSurah": 56,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "হুওয়া ইউহয়ী ওয়া ইউমীতুওয়া ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "هُوَ/هُوَ/huwa//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ/وَيُمِيتُ/wayumitu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "তিনিই//জীবনদান করেন//ও মৃত্যু ঘটান//এবং দিকে তাঁরই//তোমরা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 1421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1421.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَتْكُم مَّوْعِظَةٌۭ مِّن رَّبِّكُمْ وَشِفَآءٌۭ لِّمَا فِى ٱلصُّدُورِ وَهُدًۭى وَرَحْمَةٌۭ لِّلْمُؤْمِنِينَ",
              "translate_bn": "হে মানবকুল, তোমাদের কাছে উপদেশবানী এসেছে তোমাদের পরওয়ারদেগারের পক্ষ থেকে এবং অন্তরের রোগের নিরাময়, হেদায়েত ও রহমত মুসলমানদের জন্য।",
              "numberInSurah": 57,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ূহান্না-ছুকাদ জাআতকুম মাও‘ইজাতুম মির রাব্বিকুম ওয়া শিফাউল লিমাফিসসুদূ রি ওয়াহুদাওঁ ওয়া রাহমাতুল লিলমু’মিনীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//قَدْ/قَدۡ/qad//جَآءَتْكُمْ/جَآءَتۡكُم/jaatkum//مَّوْعِظَةٌ/مَّوۡعِظَةٞ/maw'izatun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ شِفَآءٌ/وَشِفَآءٞ/washifaon//لِّمَا/لِّمَا/lima//فِی/فِي/fi//الصُّدُوْرِ ۙ۬/ٱلصُّدُورِ/al-suduri//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّلْمُؤْمِنِیْنَ /لِّلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "হে//মানব সমাজ//নিশ্চয়ই//কাছে এসেছে তোমাদের//উপদেশ//পক্ষ হতে//রবের তোমাদের//ও আরোগ্য//তার জন্যে যা//মধ্যে (আছে)//অন্তরসমূহের//এবং পথনির্দেশ//ও দয়া//জন্য মু'মিনদের"
            },
            {
              "number": 1422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1422.mp3"
              ],
              "text": "قُلْ بِفَضْلِ ٱللَّهِ وَبِرَحْمَتِهِۦ فَبِذَٰلِكَ فَلْيَفْرَحُوا۟ هُوَ خَيْرٌۭ مِّمَّا يَجْمَعُونَ",
              "translate_bn": "বল, আল্লাহর দয়া ও মেহেরবাণীতে। সুতরাং এরই প্রতি তাদের সন্তুষ্ট থাকা উচিৎ। এটিই উত্তম সে সমুদয় থেকে যা সঞ্চয় করছ।",
              "numberInSurah": 58,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "কুল বিফাদলিল্লা-হি ওয়া বিরাহমাতিহী ফাবিযা-লিকা ফালইয়াফরাহূ হুওয়া খাইরুম নমিম্মা-ইয়াজমা‘ঊন।",
              "words_arabic": "قُلْ/قُلۡ/qul//بِفَضْلِ/بِفَضۡلِ/bifadli//اللّٰهِ/ٱللَّهِ/al-lahi//وَ بِرَحْمَتِهٖ/وَبِرَحۡمَتِهِۦ/wabirahmatihi//فَبِذٰلِكَ/فَبِذَٰلِكَ/fabidhalika//فَلْیَفْرَحُوْا ؕ/فَلۡيَفۡرَحُواْ/falyafrahu//هُوَ/هُوَ/huwa//خَیْرٌ/خَيۡرٞ/khayrun//مِّمَّا/مِّمَّا/mimma//یَجْمَعُوْنَ /يَجۡمَعُونَ/yajma'una",
              "words_bangla": "বলো//\"মাধ্যমে অনুগ্রহের//\"আল্লাহর//ও মাধ্যমে দয়ার তাঁর (এটা পাঠিয়েছেন)//সুতরা এজন্যে//অতএব তাদের আনন্দ করা উচিত\"//এটা//উত্তম//তা হতে যা//তারা জমা করছে"
            },
            {
              "number": 1423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1423.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُم مَّآ أَنزَلَ ٱللَّهُ لَكُم مِّن رِّزْقٍۢ فَجَعَلْتُم مِّنْهُ حَرَامًۭا وَحَلَٰلًۭا قُلْ ءَآللَّهُ أَذِنَ لَكُمْ ۖ أَمْ عَلَى ٱللَّهِ تَفْتَرُونَ",
              "translate_bn": "বল, আচ্ছা নিজেই লক্ষ্য করে দেখ, যা কিছু আল্লাহ তোমাদের জন্য রিযিক হিসাবে অবতীর্ণ করেছেন, তোমরা সেগুলোর মধ্য থেকে কোনটাকে হারাম আর কোনটাকে হালাল সাব্যস্ত করেছ? বল, তোমাদের কি আল্লাহ নির্দেশ দিয়েছেন, নাকি আল্লাহর উপর অপবাদ আরোপ করছ?",
              "numberInSurah": 59,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম মাআনঝালাল্লা-হু লাকুম মির রিঝকিন ফাজা‘আলতুম মিনহু হারা-মাওঁ ওয়া হালা-লান কুল আল্লা-হু আযিনা লাকুম আম ‘আলাল্লা-হি তাফতারূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُم/ara-aytum//مَّاۤ/مَّآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//رِّزْقٍ/رِّزۡقٖ/riz'qin//فَجَعَلْتُمْ/فَجَعَلۡتُم/faja'altum//مِّنْهُ/مِّنۡهُ/min'hu//حَرَامًا/حَرَامٗا/haraman//وَّ حَلٰلًا ؕ/وَحَلَٰلٗا/wahalalan//قُلْ/قُلۡ/qul//آٰللّٰهُ/ءَآللَّهُ/allahu//اَذِنَ/أَذِنَ/adhina//لَكُمْ/لَكُمۡۖ/lakum//اَمْ/أَمۡ/am//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//تَفْتَرُوْنَ /تَفۡتَرُونَ/taftaruna",
              "words_bangla": "বলো//\"কি (ভেবে) দেখেছো তোমরা//যা//অবতীর্ণ করেছেন//আল্লাহ//জন্যে তোমাদের//হতে//জীবিকা//অতঃপর তোমরা বানিয়েছো//কিছু তার//হারাম//আর হালাল\"//বলো//\"কি আল্লাহ//অনুমতি দিয়েছেন//প্রতি তোমাদের//অথবা//উপর//আল্লাহর//তোমরা মিথ্যারোপ করছো\""
            },
            {
              "number": 1424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1424.mp3"
              ],
              "text": "وَمَا ظَنُّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ يَوْمَ ٱلْقِيَٰمَةِ ۗ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَشْكُرُونَ",
              "translate_bn": "আর আল্লাহর প্রতি মিথ্যা অপবাদ আরোপকারীদের কি ধারণা কেয়ামত সম্পর্কে? আল্লাহ তো মানুষের প্রতি অনুগ্রহই করেন, কিন্তু অনেকেই কৃতজ্ঞতা স্বীকার করে না।",
              "numberInSurah": 60,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 177,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-জান্নুল্লাযীনা ইয়াফতারূনা ‘আলাল্লা-হিল কাযিবা ইয়াওমাল কিয়া-মাতি ইন্নাল্লা-হা লাযূফাদলিন ‘আলান্না-ছি ওয়ালা-কিন্না আকছারাহুম লা-ইয়াশকুরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//ظَنُّ/ظَنُّ/zannu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَفْتَرُوْنَ/يَفۡتَرُونَ/yaftaruna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَذُوْ/لَذُو/ladhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَشْكُرُوْنَ۠/يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "এবং কি//ধারণা (করে)//(তারা) যারা//রচনা করে//উপর//আল্লাহর//মিথ্যা//(সম্বন্ধে) দিন//ক্বিয়ামাতের//নিশ্চয়ই//আল্লাহ//অবশ্যই//অনুগ্রহসম্পন্ন//উপর//মানুষের//কিন্তু//অধিকাংশই তাদের//না//কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 1425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1425.mp3"
              ],
              "text": "وَمَا تَكُونُ فِى شَأْنٍۢ وَمَا تَتْلُوا۟ مِنْهُ مِن قُرْءَانٍۢ وَلَا تَعْمَلُونَ مِنْ عَمَلٍ إِلَّا كُنَّا عَلَيْكُمْ شُهُودًا إِذْ تُفِيضُونَ فِيهِ ۚ وَمَا يَعْزُبُ عَن رَّبِّكَ مِن مِّثْقَالِ ذَرَّةٍۢ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ وَلَآ أَصْغَرَ مِن ذَٰلِكَ وَلَآ أَكْبَرَ إِلَّا فِى كِتَٰبٍۢ مُّبِينٍ",
              "translate_bn": "বস্তুতঃ যে কোন অবস্থাতেই তুমি থাক এবং কোরআনের যে কোন অংশ থেকেই পাঠ করা কিংবা যে কোন কাজই তোমরা কর অথচ আমি তোমাদের নিকটে উপস্থিত থাকি যখন তোমরা তাতে আত্ননিয়োগ কর। আর তোমার পরওয়ারদেগার থেকে গোপন থাকে না একটি কনাও, না যমীনের এবং না আসমানের। না এর চেয়ে ক্ষুদ্র কোন কিছু আছে, না বড় যা এই প্রকৃষ্ট কিতাবে নেই।",
              "numberInSurah": 61,
              "juz": 11,
              "manzil": 3,
              "page": 215,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-তাকূনুফী শা’নিওঁ ওয়া মা-তাতলূমিনহু মিন কু রআ-নিওঁ ওয়ালা-তা‘মালূনা মিন ‘আমালিন ইল্লা-কুন্না-‘আলাইকুম শুহূদান ইয তুফীদূ না ফীহি ওয়া মা-ইয়া‘ঝুবু‘আর রাব্বিকা মিম মিছকা-লি যাররাতিন ফিল আরদিওয়ালা-ফিছছামাই ওয়ালাআসগারা মিন যা-লিকা ওয়ালাআকবারা ইল্লা-ফী কিতা-বিম মুবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَكُوْنُ/تَكُونُ/takunu//فِیْ/فِي/fi//شَاْنٍ/شَأۡنٖ/shanin//وَّ مَا/وَمَا/wama//تَتْلُوْا/تَتۡلُواْ/tatlu//مِنْهُ/مِنۡهُ/min'hu//مِنْ/مِن/min//قُرْاٰنٍ/قُرۡءَانٖ/qur'anin//وَّ لَا/وَلَا/wala//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//مِنْ/مِنۡ/min//عَمَلٍ/عَمَلٍ/amalin//اِلَّا/إِلَّا/illa//كُنَّا/كُنَّا/kunna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//شُهُوْدًا/شُهُودًا/shuhudan//اِذْ/إِذۡ/idh//تُفِیْضُوْنَ/تُفِيضُونَ/tufiduna//فِیْهِ ؕ/فِيهِۚ/fihi//وَ مَا/وَمَا/wama//یَعْزُبُ/يَعۡزُبُ/ya'zubu//عَنْ/عَن/an//رَّبِّكَ/رَّبِّكَ/rabbika//مِنْ/مِن/min//مِّثْقَالِ/مِّثۡقَالِ/mith'qali//ذَرَّةٍ/ذَرَّةٖ/dharratin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ لَاۤ/وَلَآ/wala//اَصْغَرَ/أَصۡغَرَ/asghara//مِنْ/مِن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ لَاۤ/وَلَآ/wala//اَكْبَرَ/أَكۡبَرَ/akbara//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "এবং না//তুমি থাকো//মধ্যে//(যে কোনো) অবস্থার//এবং যা কিছু//তুমি তিলাওয়াত করো//সম্পর্কে তা(কিছু)//হতে//কুর'আন//এবং না//তোমরা কাজ করো//কোনো//কাজ//এ ছাড়া যে//আমরা থাকি//উপর তোমাদের//সাক্ষী//যখন//তোমরা প্রবৃত্ত হও//মধ্যে তার//এবং না//অগোচরে থাকে//থেকে//রবের তোমার//কোনো//পরিমাণও//অণু//মধ্যে//পৃথিবীর//আর না//মধ্যে//আকাশের//এবং না//ক্ষুদ্রতর//চেয়ে//এটার//আর না//বৃহত্তর//এ ছাড়া যে//মধ্যে//কিতাবের (লিখিত আছে)//সুস্পষ্ট"
            },
            {
              "number": 1426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1426.mp3"
              ],
              "text": "أَلَآ إِنَّ أَوْلِيَآءَ ٱللَّهِ لَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "মনে রেখো যারা আল্লাহর বন্ধু, তাদের না কোন ভয় ভীতি আছে, না তারা চিন্তান্বিত হবে।",
              "numberInSurah": 62,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "আলাইন্না আওলিয়াআল্লা-হি লা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَۚۖ/يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "সাবধান (জেনে রাখো)//নিশ্চয়ই//বন্ধুদের//আল্লাহর//নেই//কোনো ভয়//উপর তাদের//এবং না//তারা//দুঃখিত হবে"
            },
            {
              "number": 1427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1427.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ",
              "translate_bn": "যারা ঈমান এনেছে এবং ভয় করতে রয়েছে।",
              "numberInSurah": 63,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "আলাইন্না আওলিয়াআল্লা-হি লা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ كَانُوْا/وَكَانُواْ/wakanu//یَتَّقُوْنَؕ/يَتَّقُونَ/yattaquna",
              "words_bangla": "যারা//ঈমান এনেছে//ও তারা ছিলো//তাকওয়া অবলম্বন করেছে"
            },
            {
              "number": 1428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1428.mp3"
              ],
              "text": "لَهُمُ ٱلْبُشْرَىٰ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْءَاخِرَةِ ۚ لَا تَبْدِيلَ لِكَلِمَٰتِ ٱللَّهِ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "তাদের জন্য সুসংবাদ পার্থিব জীবনে ও পরকালীন জীবনে। আল্লাহর কথার কখনো হের-ফের হয় না। এটাই হল মহা সফলতা।",
              "numberInSurah": 64,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "লাহুমুল বুশরা-ফিল হায়া-তিদ দুনইয়া-ওয়াফিল আ-খিরাতি লা-তাবদীলা লিকালিমাতিল্লা-হি যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "لَهُمُ/لَهُمُ/lahumu//الْبُشْرٰی/ٱلۡبُشۡرَىٰ/al-bush'ra//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ فِی/وَفِي/wafi//الْاٰخِرَةِ ؕ/ٱلۡأٓخِرَةِۚ/al-akhirati//لَا/لَا/la//تَبْدِیْلَ/تَبۡدِيلَ/tabdila//لِكَلِمٰتِ/لِكَلِمَٰتِ/likalimati//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُؕ/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "জন্যে তাদের (রয়েছে)//সুসংবাদ//মধ্যে//জীবনের//পার্থিব//এবং মধ্যে//আখিরাতের//নেই//কোনো পরিবর্তন//জন্যে কথাগুলোর//আল্লাহর//এটা//সেই//সাফল্য//মহা"
            },
            {
              "number": 1429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1429.mp3"
              ],
              "text": "وَلَا يَحْزُنكَ قَوْلُهُمْ ۘ إِنَّ ٱلْعِزَّةَ لِلَّهِ جَمِيعًا ۚ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "আর তাদের কথায় দুঃখ নিয়ো না। আসলে সমস্ত ক্ষমতা আল্লাহর। তিনিই শ্রবণকারী, সর্বজ্ঞ।",
              "numberInSurah": 65,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহঝুনকা কাওলুহুম । ইন্নাল ‘ইঝঝাতা লিল্লা-হি জামী‘আন হুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحْزُنْكَ/يَحۡزُنكَ/yahzunka//قَوْلُهُمْ ۘ/قَوۡلُهُمۡۘ/qawluhum//اِنَّ/إِنَّ/inna//الْعِزَّةَ/ٱلۡعِزَّةَ/al-'izata//لِلّٰهِ/لِلَّهِ/lillahi//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং না (যেন)//দুঃখ দেয় তোমাকে//কথা তাদের//নিশ্চয়ই//সব সম্মানই//জন্যে আল্লাহরই//সব//তিনিই//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 1430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1430.mp3"
              ],
              "text": "أَلَآ إِنَّ لِلَّهِ مَن فِى ٱلسَّمَٰوَٰتِ وَمَن فِى ٱلْأَرْضِ ۗ وَمَا يَتَّبِعُ ٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ شُرَكَآءَ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ هُمْ إِلَّا يَخْرُصُونَ",
              "translate_bn": "শুনছ, আসমানসমূহে ও যমীনে যা কিছু রয়েছে সবই আল্লাহর। আর এরা যারা আল্লাহকে বাদ দিয়ে শরীকদের উপাসনার পেছনে পড়ে আছে-তা আসলে কিছুই নয়। এরা নিজেরই কল্পনার পেছনে পড়ে রয়েছে এবং এছাড়া আর কিছু নয় যে, এরা বুদ্ধি খাটাচ্ছে।",
              "numberInSurah": 66,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "আলাইন্না লিল্লা-হি মান ফিছ ছামা-ওয়া তি ওয়া মান ফিল আরদি ওয়া মাইয়াত্তাবি‘উল্লাযীনা ইয়াদ‘ঊনা মিন দূ নিল্লা-হি শুরাকাআ ইয়ঁইয়াত্তাবি‘ঊনা ইল্লাজ্জান্না ওয়াইন হুম ইল্লা-ইয়াখরুসূন।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//لِلّٰهِ/لِلَّهِ/lillahi//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ مَا/وَمَا/wama//یَتَّبِعُ/يَتَّبِعُ/yattabi'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//شُرَكَآءَ ؕ/شُرَكَآءَۚ/shurakaa//اِنْ/إِن/in//یَّتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//اِلَّا/إِلَّا/illa//الظَّنَّ/ٱلظَّنَّ/al-zana//وَ اِنْ/وَإِنۡ/wa-in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//یَخْرُصُوْنَ /يَخۡرُصُونَ/yakhrusuna",
              "words_bangla": "সাবধান (জেনে রাখো)//নিশ্চয়ই//জন্যে আল্লাহরই (মালিকানাভুক্ত)//যারা//মধ্যে (আছে)//আকাশসমূহের//এবং যারা//মধ্যে (আছে)//পৃথিবীর//এবং কিসের//অনুসরণ করে//(তারা) যারা//ডাকে//দিয়ে//বাদ//আল্লাহ//(তাদের কল্পিত) শরীকদেরকে//না//তারা অনুসরণ করে//এ ছাড়া//অনুমানের//এবং না//তারা//এ ছাড়া//মিথ্যা বলে"
            },
            {
              "number": 1431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1431.mp3"
              ],
              "text": "هُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِتَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَسْمَعُونَ",
              "translate_bn": "তিনি তোমাদের জন্য তৈরী করেছেন রাত, যাতে করে তোমরা তাতে প্রশান্তি লাভ করতে পার, আর দিন দিয়েছেন দর্শন করার জন্য। নিঃসন্দেহে এতে নিদর্শন রয়েছে সে সব লোকের জন্য যারা শ্রবণ করে।",
              "numberInSurah": 67,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী জা‘আলা লাকুমুল লাইলা লিতাছকুনূফীহি ওয়ান্নাহা-রা মুবসিরান ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইয়াছমা‘ঊন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//لِتَسْكُنُوْا/لِتَسۡكُنُواْ/litaskunu//فِیْهِ/فِيهِ/fihi//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//مُبْصِرًا ؕ/مُبۡصِرًاۚ/mub'siran//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//বানিয়েছেন//জন্যে তোমাদের//রাতকে//যেন তোমরা বিশ্রাম নাও//মধ্যে তার//এবং দিনকে (বানিয়েছেন)//দেখার জন্যে//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা উন্মুক্ত কানে) শোনে"
            },
            {
              "number": 1432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1432.mp3"
              ],
              "text": "قَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًۭا ۗ سُبْحَٰنَهُۥ ۖ هُوَ ٱلْغَنِىُّ ۖ لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ إِنْ عِندَكُم مِّن سُلْطَٰنٍۭ بِهَٰذَآ ۚ أَتَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তারা বলে, আল্লাহ পুত্র সাব্যস্ত করে নিয়েছেন-তিনি পবিত্র, তিনি অমুখাপেক্ষী। যাকিছু রয়েছে আসমান সমূহে ও যমীনে সবই তাঁর। তোমাদের কাছে তার কোন সনদ নেই। কেন তোমরা আল্লাহর প্রতি মিথ্যারোপ কর-যার কোন সনদই তোমাদের কাছে নেই?",
              "numberInSurah": 68,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "কা-লুত্তাখাযাল্লা-হু ওয়ালাদান ছুবহা-নাহূ হুওয়াল গানিইইয়ু লাহূমা-ফিছ ছামাওয়া-তি ওয়ামা-ফিল আরদি ইন ‘ইনদাকুম মিন ছুলতা-নিম বিহা-যা- আতাকূলূনা ‘আলাল্লা-হি মা-লা তা‘লামূন।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اللّٰهُ/ٱللَّهُ/al-lahu//وَلَدًا/وَلَدٗاۗ/waladan//سُبْحٰنَهٗ ؕ/سُبۡحَٰنَهُۥۖ/sub'hanahu//هُوَ/هُوَ/huwa//الْغَنِیُّ ؕ/ٱلۡغَنِيُّۖ/al-ghaniyu//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//اِنْ/إِنۡ/in//عِنْدَكُمْ/عِندَكُم/indakum//مِّنْ/مِّن/min//سُلْطٰنٍۭ/سُلۡطَٰنِۭ/sul'tanin//بِهٰذَا ؕ/بِهَٰذَآۚ/bihadha//اَتَقُوْلُوْنَ/أَتَقُولُونَ/ataquluna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "তারা বলে//\"গ্রহণ করেছেন//\"আল্লাহ//সন্তান\"//(প্রকৃতপক্ষে)পবিত্র তিনি//তিনি//অভাবমুক্ত//জন্যে তাঁরই//যা কিছু//মধ্যে (আছে)//আকাশের//এবং যা কিছু//মধ্যে (আছে)//পৃথিবীর//নেই//কাছে তোমাদের//কোনো//প্রমাণ//সম্বন্ধে এই(তোমাদের দাবীর)//কি তোমরা বলছো//উপর//আল্লাহর//যা//না//তোমরা জানো"
            },
            {
              "number": 1433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1433.mp3"
              ],
              "text": "قُلْ إِنَّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ لَا يُفْلِحُونَ",
              "translate_bn": "বলে দাও, যারা এরূপ করে তারা অব্যাহতি পায় না।",
              "numberInSurah": 69,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নাল্লাযীনা ইয়াফতারূনা ‘আলাল্লা-হিল কাযিবা লা-ইউফলিহূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَفْتَرُوْنَ/يَفۡتَرُونَ/yaftaruna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//لَا/لَا/la//یُفْلِحُوْنَؕ/يُفۡلِحُونَ/yuf'lihuna",
              "words_bangla": "বলো//\"নিশ্চয়ই//যারা//রচনা করে//উপর//আল্লাহর//মিথ্যা//না\"//তারা সফলকাম হয়\""
            },
            {
              "number": 1434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1434.mp3"
              ],
              "text": "مَتَٰعٌۭ فِى ٱلدُّنْيَا ثُمَّ إِلَيْنَا مَرْجِعُهُمْ ثُمَّ نُذِيقُهُمُ ٱلْعَذَابَ ٱلشَّدِيدَ بِمَا كَانُوا۟ يَكْفُرُونَ",
              "translate_bn": "পার্থিবজীবনে সামান্যই লাভ, অতঃপর আমার নিকট প্রত্যাবর্তন করতে হবে। তখন আমি তাদেরকে আস্বাদন করাব কঠিন আযাব-তাদেরই কৃত কুফরীর বদলাতে।",
              "numberInSurah": 70,
              "juz": 11,
              "manzil": 3,
              "page": 216,
              "ruku": 178,
              "hizbQuarter": 86,
              "sajda": false,
              "pronunciation_bn": "মাতা-‘উন ফিদদুনইয়া-ছু ম্মা ইলাইনা-মারজি‘উহুম ছু ম্মা নুযীকুহুমুল‘আযা-বাশশাদীদা বিমা-কা-নূইয়াকফুরূন।",
              "words_arabic": "مَتَاعٌ/مَتَٰعٞ/mata'un//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//ثُمَّ/ثُمَّ/thumma//اِلَیْنَا/إِلَيۡنَا/ilayna//مَرْجِعُهُمْ/مَرۡجِعُهُمۡ/marji'uhum//ثُمَّ/ثُمَّ/thumma//نُذِیْقُهُمُ/نُذِيقُهُمُ/nudhiquhumu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الشَّدِیْدَ/ٱلشَّدِيدَ/al-shadida//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْفُرُوْنَ۠/يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "(তাদের জন্যে) সুখ সম্ভোগ//মধ্যে (আছে)//পৃথিবীর(অতি নগণ্য)//এরপর//দিকে আমাদেরই//প্রত্যাবর্তন তাদের (হবে)//এরপর//আস্বাদন করাবো আমরা তাদের//শাস্তি//কঠোর//এ কারণে যা//তারা ছিলো//তারা অবিশ্বাস করতে"
            },
            {
              "number": 1435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1435.mp3"
              ],
              "text": "۞ وَٱتْلُ عَلَيْهِمْ نَبَأَ نُوحٍ إِذْ قَالَ لِقَوْمِهِۦ يَٰقَوْمِ إِن كَانَ كَبُرَ عَلَيْكُم مَّقَامِى وَتَذْكِيرِى بِـَٔايَٰتِ ٱللَّهِ فَعَلَى ٱللَّهِ تَوَكَّلْتُ فَأَجْمِعُوٓا۟ أَمْرَكُمْ وَشُرَكَآءَكُمْ ثُمَّ لَا يَكُنْ أَمْرُكُمْ عَلَيْكُمْ غُمَّةًۭ ثُمَّ ٱقْضُوٓا۟ إِلَىَّ وَلَا تُنظِرُونِ",
              "translate_bn": "আর তাদেরকে শুনিয়ে দাও নূহের অবস্থা যখন সে স্বীয় সম্প্রদায়কে বলল, হে আমার সম্প্রদায়, যদি তোমাদের মাঝে আমার অবস্থিতি এবং আল্লাহর আয়াতসমূহের মাধ্যমে নসীহত করা ভারী বলে মনে হয়ে থাকে, তবে আমি আল্লাহর উপর ভরসা করছি। এখন তোমরা সবাই মিলে নিজেরদের কর্ম সাব্যস্ত কর এবং এতে তোমাদের শরীকদেরকে সমবেত করে নাও, যাতে তোমাদের মাঝে নিজেদের কাজের ব্যাপারে কোন সন্দেহ-সংশয় না থাকে। অতঃপর আমার সম্পর্কে যা কিছু করার করে ফেল এবং আমাকে অব্যাহতি দিও না।",
              "numberInSurah": 71,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়াতলু‘আলাইহিম নাবাআ নূহ । ইযকা-লা লিকাওমিহী ইয়া-কাওমি ইন কা-না কাবুরা ‘আলাইকুম মাকা-মী ওয়া তাযকীরী বিআ-য়া-তিল্লা-হি ফা‘আলাল্লা-হি তাওয়াক্কালতু ফাআজমি‘ঊ আমরাকুম ওয়া শুরাকাআকুম ছুম্মা লা-ইয়াকুন আমরুকুম ‘আলাইকুম গুম্মাতান ছু ম্মাকদূ ইলাইইয়া ওয়ালা-তুনজিরূন।",
              "words_arabic": "وَ اتْلُ/۞وَٱتۡلُ/wa-ut'lu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//نَبَاَ/نَبَأَ/naba-a//نُوْحٍ ۘ/نُوحٍ/nuhin//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهٖ/لِقَوۡمِهِۦ/liqawmihi//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنْ/إِن/in//كَانَ/كَانَ/kana//كَبُرَ/كَبُرَ/kabura//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مَّقَامِیْ/مَّقَامِي/maqami//وَ تَذْكِیْرِیْ/وَتَذۡكِيرِي/watadhkiri//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//فَعَلَی/فَعَلَى/fa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//تَوَكَّلْتُ/تَوَكَّلۡتُ/tawakkaltu//فَاَجْمِعُوْۤا/فَأَجۡمِعُوٓاْ/fa-ajmi'u//اَمْرَكُمْ/أَمۡرَكُمۡ/amrakum//وَ شُرَكَآءَكُمْ/وَشُرَكَآءَكُمۡ/washurakaakum//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَكُنْ/يَكُنۡ/yakun//اَمْرُكُمْ/أَمۡرُكُمۡ/amrukum//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//غُمَّةً/غُمَّةٗ/ghummatan//ثُمَّ/ثُمَّ/thumma//اقْضُوْۤا/ٱقۡضُوٓاْ/iq'du//اِلَیَّ/إِلَيَّ/ilayya//وَ لَا/وَلَا/wala//تُنْظِرُوْنِ /تُنظِرُونِ/tunziruni",
              "words_bangla": "এবং তিলাওয়াত করো//কাছে তাদের//সংবাদ//নূহের//(সেই সময়ের) যখন//সে বলেছিলো//উদ্দেশ্যে তার জাতির//\"হে আমার জাতি//যদি//হয়//দুঃসহ//উপর তোমাদের//আমার অবস্থান//ও আমার উপদেশ//দ্বারা নিদর্শনাবলী//আল্লাহর//তবে উপর//আল্লাহরই//আমি নির্ভর করছি//সুতরাং তোমরা সমবেত (হয়ে সম্পন্ন) করো//(করণীয়)কর্তব্য তোমাদের//ও শরীকদেরকেও তোমাদের  (সমবেত করো)//এরপর//না//হয় (যেন)//কর্তব্য তোমাদের//কাছে তোমাদের//সংশয়পূর্ণ//এরপর//তোমরা সিদ্ধান্ত  নিষ্পন্ন করো//আমার প্রতি//এবং না//আমাকে তোমরা অবকাশ দিও"
            },
            {
              "number": 1436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1436.mp3"
              ],
              "text": "فَإِن تَوَلَّيْتُمْ فَمَا سَأَلْتُكُم مِّنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "তারপরও যদি বিমুখতা অবলম্বন কর, তবে আমি তোমাদের কাছে কোন রকম বিনিময় কামনা করি না। আমার বিনিময় হল আল্লাহর দায়িত্বে। আর আমার প্রতি নির্দেশ রয়েছে যেন আমি আনুগত্য অবলম্বন করি।",
              "numberInSurah": 72,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাইতুম ফামা-ছাআলতুকুম মিন আজরিন ইন আজরিয়া ইল্লা-‘আলাল্লা-হি ওয়া উমিরতুআন আকূনা মিনাল মুছলিমীন।\r\n",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//فَمَا/فَمَا/fama//سَاَلْتُكُمْ/سَأَلۡتُكُم/sa-altukum//مِّنْ/مِّنۡ/min//اَجْرٍ ؕ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//اللّٰهِ ۙ/ٱللَّهِۖ/al-lahi//وَ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//مِنَ/مِنَ/mina//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "এরপরও যদি//তোমরা মুখ ফিরাও//তবে না//তোমাদের কাছে আমি চাই//কোনো//পারিশ্রমিক//নেই//প্রতিদান আমার//এ ছাড়া//নিকট//আল্লাহর//এবং আমাকে আদেশ করা হয়েছে//যে//আমি হই (যেন)//অন্তর্ভুক্ত//আত্মসমর্পণকারীদের\""
            },
            {
              "number": 1437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1437.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَنَجَّيْنَٰهُ وَمَن مَّعَهُۥ فِى ٱلْفُلْكِ وَجَعَلْنَٰهُمْ خَلَٰٓئِفَ وَأَغْرَقْنَا ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُنذَرِينَ",
              "translate_bn": "তারপরও এরা মিথ্যা প্রতিপন্ন করল। সুতরাং তাকে এবং তার সাথে নৌকায় যারা ছিল তাদের কে বাঁচিয়ে নিয়েছি এবং যথাস্থানে আবাদ করেছি। আর তাদেরকে ডুবিয়ে দিয়েছি যারা আমার কথাকে মিথ্যা প্রতিপন্ন করেছে। সুতরাং লক্ষ্য কর, কেমন পরিণতি ঘটেছে তাদের যাদেরকে ভীতি প্রদর্শন করা হয়েছিল।",
              "numberInSurah": 73,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফানাজ্জাইনা-হু ওয়ামাম মা‘আহূফিল ফুলকি ওয়া জা‘আলনা-হুম খালাইফা ওয়া আগরাকনাল্লাযীনা কাযযাবূবিআ-য়া-তিনা- ফানজু র কাইফা কা-না ‘আকিবাতুল মুনযারীন।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَنَجَّیْنٰهُ/فَنَجَّيۡنَٰهُ/fanajjaynahu//وَ مَنْ/وَمَن/waman//مَّعَهٗ/مَّعَهُۥ/ma'ahu//فِی/فِي/fi//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//وَ جَعَلْنٰهُمْ/وَجَعَلۡنَٰهُمۡ/waja'alnahum//خَلٰٓىِٕفَ/خَلَـٰٓئِفَ/khalaifa//وَ اَغْرَقْنَا/وَأَغۡرَقۡنَا/wa-aghraqna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ۚ/بِـَٔايَٰتِنَاۖ/biayatina//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُنْذَرِیْنَ /ٱلۡمُنذَرِينَ/al-mundharina",
              "words_bangla": "অতঃপর তাঁর প্রতি তারা মিথ্যারোপ করলো//তখন আমরা উদ্ধার করলাম তাঁকে//এবং যারা//সাথে তাঁর(ছিলো)//মধ্যে//নৌকার//এবং আমরা বানালাম তাদেরকে//প্রতিনিধি//এবং ডুবিয়ে দিলাম আমরা//(তাদেরকে) যারা//মিথ্যারোপ করেছিলো//প্রতি নিদর্শনাবলীর আমাদের//সুতরাং দেখো//কেমন//হয়েছিলো//পরিণাম//যাদের সতর্ক করা হয়েছিলো"
            },
            {
              "number": 1438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1438.mp3"
              ],
              "text": "ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِۦ رُسُلًا إِلَىٰ قَوْمِهِمْ فَجَآءُوهُم بِٱلْبَيِّنَٰتِ فَمَا كَانُوا۟ لِيُؤْمِنُوا۟ بِمَا كَذَّبُوا۟ بِهِۦ مِن قَبْلُ ۚ كَذَٰلِكَ نَطْبَعُ عَلَىٰ قُلُوبِ ٱلْمُعْتَدِينَ",
              "translate_bn": "অনন্তর আমি নূহের পরে বহু নবী-রসূল পাঠিয়েছি তাদের সম্প্রদায়ের প্রতি। তারপর তাদের কাছে তারা প্রকাশ্য দলীল-প্রমাণ উপস্থাপন করেছে, কিন্তু তাদের দ্বারা এমনটি হয়নি যে, ঈমান আনবে সে ব্যাপারে, যাকে তারা ইতিপূর্বে মিথ্যা প্রতিপন্ন করেছিল। এভাবেই আমি মোহর এঁটে দেই সীমালংঘনকারীদের অন্তরসমূহের উপর।",
              "numberInSurah": 74,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বা‘আছনা-মিম বা‘দিহী রুছুলান ইলা-কাওমিহিম ফাজাঊহুম বিলবাইয়িনা-তি ফামা-কা-নূলিইউ’মিনূবিমা-কাযযাবূবিহী মিন কাবলু কাযা-লিকা নাতবা‘উ ‘আলাকুলূবিল মু‘তাদীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَعَثْنَا/بَعَثۡنَا/ba'athna//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//رُسُلًا/رُسُلًا/rusulan//اِلٰی/إِلَىٰ/ila//قَوْمِهِمْ/قَوۡمِهِمۡ/qawmihim//فَجَآءُوْهُمْ/فَجَآءُوهُم/fajauhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَمَا/فَمَا/fama//كَانُوْا/كَانُواْ/kanu//لِیُؤْمِنُوْا/لِيُؤۡمِنُواْ/liyu'minu//بِمَا/بِمَا/bima//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَطْبَعُ/نَطۡبَعُ/natba'u//عَلٰی/عَلَىٰ/ala//قُلُوْبِ/قُلُوبِ/qulubi//الْمُعْتَدِیْنَ /ٱلۡمُعۡتَدِينَ/al-mu'tadina",
              "words_bangla": "এরপর//পাঠালাম আমরা//থেকে//পর তার//রাসূলদেরকে//প্রতি//জাতির তাদের//অতঃপর তারা কাছে এসেছিলো তাদের//নিয়ে স্পষ্ট নিদর্শনাবলী//কিন্তু না//তারা ছিলো//জন্যে (প্রস্তুত) ঈমান আনার//ঐ বিষয়ে যা//তারা মিথ্যারোপ করেছিলো//উপর তার//থেকে//পূর্ব//এভাবে//সীল মেরে দিই আমরা//উপর//অন্তরসমূহের//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1439.mp3"
              ],
              "text": "ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِم مُّوسَىٰ وَهَٰرُونَ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ بِـَٔايَٰتِنَا فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًۭا مُّجْرِمِينَ",
              "translate_bn": "অতঃপর তাদের পেছনে পাঠিয়েছি আমি মূসা ও হারুনকে, ফেরাউন ও তার সর্দারের প্রতি স্বীয় নির্দেশাবলী সহকারে। অথচ তারা অহংকার করতে আরম্ভ করেছে।",
              "numberInSurah": 75,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বা‘আছনা-মিম বা‘দিহিম মূছা-ওয়া হা-রূনা ইলা-ফির‘আওনা ওয়া মালাইহী বিআয়া-তিনা-ফাছতাকবারূওয়া কা-নূকাওমাম মুজরিমীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَعَثْنَا/بَعَثۡنَا/ba'athna//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِم/ba'dihim//مُّوْسٰی/مُّوسَىٰ/musa//وَ هٰرُوْنَ/وَهَٰرُونَ/waharuna//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ/وَمَلَإِيْهِۦ/wamala-ihi//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَاسْتَكْبَرُوْا/فَٱسۡتَكۡبَرُواْ/fa-is'takbaru//وَ كَانُوْا/وَكَانُواْ/wakanu//قَوْمًا/قَوۡمٗا/qawman//مُّجْرِمِیْنَ /مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "এরপর//পাঠিয়েছি আমরা//থেকে//পর তাদের//মূসাকে//ও হারূনকে//প্রতি//ফিরাউনের//এবং তার পরিষদবর্গের (প্রতি)//সহ আমাদের নিদর্শনাবলী//কিন্তু তারা অহংকার করেছিলো//এবং তারা ছিলো//জাতি//অপরাধী"
            },
            {
              "number": 1440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1440.mp3"
              ],
              "text": "فَلَمَّا جَآءَهُمُ ٱلْحَقُّ مِنْ عِندِنَا قَالُوٓا۟ إِنَّ هَٰذَا لَسِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "বস্তুতঃ তারা ছিল গোনাহগার। তারপর আমার পক্ষ থেকে যখন তাদের কাছে সত্য বিষয় উপস্থিত হল, তখন বলতে লাগলো, এগুলো তো প্রকাশ্য যাদু।",
              "numberInSurah": 76,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআহুমুল হাক্কুমিন ‘ইনদিনা-কা-লূইন্না হা-যা-লাছিহরুম মুবীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِنۡ/min//عِنْدِنَا/عِندِنَا/indina//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَسِحْرٌ/لَسِحۡرٞ/lasih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "অতঃপর যখন//কাছে আসলো তাদের//প্রকৃত সত্য//হতে//নিকট আমাদের//তারা বললো//\"নিশ্চয়ই//এটা//অবশ্যই জাদু//সুস্পষ্ট\""
            },
            {
              "number": 1441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1441.mp3"
              ],
              "text": "قَالَ مُوسَىٰٓ أَتَقُولُونَ لِلْحَقِّ لَمَّا جَآءَكُمْ ۖ أَسِحْرٌ هَٰذَا وَلَا يُفْلِحُ ٱلسَّٰحِرُونَ",
              "translate_bn": "মূসা বলল, সত্যের ব্যাপারে একথা বলছ, তা তোমাদের কাছে পৌঁছার পর? একি যাদু? অথচ যারা যাদুকর, তারা সফল হতে পারে না।",
              "numberInSurah": 77,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "কা-লা মূছা-আতাকূলূনা লিলহাক্কিলাম্মা-জাআকুম আছিহরুন হা-যা- ওয়ালা-ইউফলিহুছছা-হিরুন।",
              "words_arabic": "قَالَ/قَالَ/qala//مُوْسٰۤی/مُوسَىٰٓ/musa//اَتَقُوْلُوْنَ/أَتَقُولُونَ/ataquluna//لِلْحَقِّ/لِلۡحَقِّ/lil'haqqi//لَمَّا/لَمَّا/lamma//جَآءَكُمْ ؕ/جَآءَكُمۡۖ/jaakum//اَسِحْرٌ/أَسِحۡرٌ/asih'run//هٰذَا ؕ/هَٰذَا/hadha//وَ لَا/وَلَا/wala//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//السّٰحِرُوْنَ /ٱلسَّـٰحِرُونَ/al-sahiruna",
              "words_bangla": "বললো//মূসা//\"কি তোমরা বলছো//সম্পর্কে সত্য (এরূপ কথা)//যখন//তোমাদের কাছে (তা) এসেছে//কি জাদু//এটা//আর না//সফলকাম হয়//জাদুকররা\""
            },
            {
              "number": 1442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1442.mp3"
              ],
              "text": "قَالُوٓا۟ أَجِئْتَنَا لِتَلْفِتَنَا عَمَّا وَجَدْنَا عَلَيْهِ ءَابَآءَنَا وَتَكُونَ لَكُمَا ٱلْكِبْرِيَآءُ فِى ٱلْأَرْضِ وَمَا نَحْنُ لَكُمَا بِمُؤْمِنِينَ",
              "translate_bn": "তারা বলল, তুমি কি আমাদেরকে সে পথ থেকে ফিরিয়ে দিতে এসেছ যাতে আমরা পেয়েছি আমাদের বাপ-দাদাদেরকে? আর যাতে তোমরা দুইজন এদেশের সর্দারী পেয়ে যেতে পার? আমরা তোমাদেরকে কিছুতেই মানব না।",
              "numberInSurah": 78,
              "juz": 11,
              "manzil": 3,
              "page": 217,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "কা-লূআজি‘তানা-লিতালফিতানা-‘আম্মা-ওয়াজাদনা-‘আলাইহি আ-বাআনা-ওয়াতাকূনা লাকুমাল কিবরিয়াউ ফিল আরদি ওয়া মা-নাহনুলাকুমা-বিমু’মিনীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَجِئْتَنَا/أَجِئۡتَنَا/aji'tana//لِتَلْفِتَنَا/لِتَلۡفِتَنَا/litalfitana//عَمَّا/عَمَّا/amma//وَجَدْنَا/وَجَدۡنَا/wajadna//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰبَآءَنَا/ءَابَآءَنَا/abaana//وَ تَكُوْنَ/وَتَكُونَ/watakuna//لَكُمَا/لَكُمَا/lakuma//الْكِبْرِیَآءُ/ٱلۡكِبۡرِيَآءُ/al-kib'riyau//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//لَكُمَا/لَكُمَا/lakuma//بِمُؤْمِنِیْنَ /بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "তারা বলেছিলো//\"কি আমাদের কাছে তুমি এসেছো//যাতে তুমি আমাদেরকে সরিয়ে দিবে//তা হতে যা//পেয়েছি আমরা//উপর তার//পূর্বপুরুষদেরকে আমাদের//এবং হয় (যেন)//জন্যে তোমাদের দু'জনের//প্রতিপত্তি//মধ্যে//দেশের//এবং নই//আমরা//প্রতি তোমাদের দু'জনের//বিশ্বাসী\""
            },
            {
              "number": 1443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1443.mp3"
              ],
              "text": "وَقَالَ فِرْعَوْنُ ٱئْتُونِى بِكُلِّ سَٰحِرٍ عَلِيمٍۢ",
              "translate_bn": "আর ফেরাউন বলল, আমার কাছে নিয়ে এস সুদক্ষ যাদুকরদিগকে।",
              "numberInSurah": 79,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ফির‘আওনু’তূনী বিকুল্লি ছা-হিরিন ‘আলীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//ائْتُوْنِیْ/ٱئۡتُونِي/i'tuni//بِكُلِّ/بِكُلِّ/bikulli//سٰحِرٍ/سَٰحِرٍ/sahirin//عَلِیْمٍ /عَلِيمٖ/alimin",
              "words_bangla": "এবং বললো//ফিরাউন//\"আমার কাছে আসো//নিয়ে প্রত্যেক//জাদুকরকে//সুদক্ষ\""
            },
            {
              "number": 1444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1444.mp3"
              ],
              "text": "فَلَمَّا جَآءَ ٱلسَّحَرَةُ قَالَ لَهُم مُّوسَىٰٓ أَلْقُوا۟ مَآ أَنتُم مُّلْقُونَ",
              "translate_bn": "তারপর যখন যাদুকররা এল, মূসা তাদেরকে বলল, নিক্ষেপ কর, তোমরা যা কিছু নিক্ষেপ করে থাক।",
              "numberInSurah": 80,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ ছছাহারাতুকা-লা লাহুম মূছাআলকূমাআনতুম মুলকূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//قَالَ/قَالَ/qala//لَهُمْ/لَهُم/lahum//مُّوْسٰۤی/مُّوسَىٰٓ/musa//اَلْقُوْا/أَلۡقُواْ/alqu//مَاۤ/مَآ/ma//اَنْتُمْ/أَنتُم/antum//مُّلْقُوْنَ /مُّلۡقُونَ/mul'quna",
              "words_bangla": "অতঃপর যখন//আসলো//জাদুকররা//বললো//উদ্দেশ্যে তাদের//মূসা//\"তোমরা নিক্ষেপ করো//যা//তোমরা//নিক্ষেপকারী\""
            },
            {
              "number": 1445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1445.mp3"
              ],
              "text": "فَلَمَّآ أَلْقَوْا۟ قَالَ مُوسَىٰ مَا جِئْتُم بِهِ ٱلسِّحْرُ ۖ إِنَّ ٱللَّهَ سَيُبْطِلُهُۥٓ ۖ إِنَّ ٱللَّهَ لَا يُصْلِحُ عَمَلَ ٱلْمُفْسِدِينَ",
              "translate_bn": "অতঃপর যখন তারা নিক্ষেপ করল, মূসা বলল, যা কিছু তোমরা এনেছ তা সবই যাদু-এবার আল্লাহ এসব ভন্ডুল করে দিচ্ছেন। নিঃসন্দেহে আল্লাহ দুস্কর্মীদের কর্মকে সুষ্ঠুতা দান করেন না।",
              "numberInSurah": 81,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআলকাও কা-লা মূছা- মা-জি’তুম বিহিছছিহরু ইন্নাল্লা-হা ছাইউবতিলুহূ ইন্নাল্লা-হা লা-ইউসলিহু‘আমালাল মুফছিদীন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَلْقَوْا/أَلۡقَوۡاْ/alqaw//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//مَا/مَا/ma//جِئْتُمْ/جِئۡتُم/ji'tum//بِهِ ۙ/بِهِ/bihi//السِّحْرُ ؕ/ٱلسِّحۡرُۖ/al-sih'ru//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَیُبْطِلُهٗ ؕ/سَيُبۡطِلُهُۥٓ/sayub'tiluhu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُصْلِحُ/يُصۡلِحُ/yus'lihu//عَمَلَ/عَمَلَ/amala//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "অতঃপর যখন//তারা নিক্ষেপ করলো//বললো//মূসা//\"(ঐসব) যা//তোমরা এসেছো//নিয়ে তা//জাদু//নিশ্চয়ই//আল্লাহ//শীঘ্রই ব্যর্থ করে দিবেন তা//নিশ্চয়ই//আল্লাহ//না//পরিশুদ্ধ করেন//কাজকে//বিপর্যয়সৃষ্টিকারীদের"
            },
            {
              "number": 1446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1446.mp3"
              ],
              "text": "وَيُحِقُّ ٱللَّهُ ٱلْحَقَّ بِكَلِمَٰتِهِۦ وَلَوْ كَرِهَ ٱلْمُجْرِمُونَ",
              "translate_bn": "আল্লাহ সত্যকে সত্যে পরিণত করেন স্বীয় নির্দেশে যদিও পাপীদের তা মনঃপুত নয়।",
              "numberInSurah": 82,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 179,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউহিক্কুল্লা-হুল হাক্কা বিকালিমা-তিহী ওয়ালাও কারিহাল মুজরিমূন।",
              "words_arabic": "وَ یُحِقُّ/وَيُحِقُّ/wayuhiqqu//اللّٰهُ/ٱللَّهُ/al-lahu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//بِكَلِمٰتِهٖ/بِكَلِمَٰتِهِۦ/bikalimatihi//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْمُجْرِمُوْنَ۠/ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "এবং সত্যে পরিণত করবেন//আল্লাহ//সত্যকে//মাধ্যমে বাণীর তাঁর//এবং যদিও//অপছন্দ করে (তা)//অপরাধীরা\""
            },
            {
              "number": 1447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1447.mp3"
              ],
              "text": "فَمَآ ءَامَنَ لِمُوسَىٰٓ إِلَّا ذُرِّيَّةٌۭ مِّن قَوْمِهِۦ عَلَىٰ خَوْفٍۢ مِّن فِرْعَوْنَ وَمَلَإِي۟هِمْ أَن يَفْتِنَهُمْ ۚ وَإِنَّ فِرْعَوْنَ لَعَالٍۢ فِى ٱلْأَرْضِ وَإِنَّهُۥ لَمِنَ ٱلْمُسْرِفِينَ",
              "translate_bn": "আর কেউ ঈমান আনল না মূসার প্রতি তাঁর কওমের কতিপয় বালক ছাড়া-ফেরাউন ও তার সর্দারদের ভয়ে যে, এরা না আবার কোন বিপদে ফেলে দেয়। ফেরাউন দেশময় কর্তꦣ2499;ত্বের শিখরে আরোহণ করেছিল। আর সে তার হাত ছেড়ে রেখেছিল।",
              "numberInSurah": 83,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফামা আ-মানা লিমূছাইল্লা-যুররিইয়াতুম মিন কাওমিহী ‘আলা-খাওফিম মিন ফির‘আওনা ওয়া মালাইহিম আইঁ ইয়াফতিনাহুম ওয়াইন্না ফির‘আওনা লা‘আ-লিন ফিল আরদি ওয়া ইন্নাহূলামিনাল মুছরিফীন।\r\n",
              "words_arabic": "فَمَاۤ/فَمَآ/fama//اٰمَنَ/ءَامَنَ/amana//لِمُوْسٰۤی/لِمُوسَىٰٓ/limusa//اِلَّا/إِلَّا/illa//ذُرِّیَّةٌ/ذُرِّيَّةٞ/dhurriyyatun//مِّنْ/مِّن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//عَلٰی/عَلَىٰ/ala//خَوْفٍ/خَوۡفٖ/khawfin//مِّنْ/مِّن/min//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهِمْ/وَمَلَإِيْهِمۡ/wamala-ihim//اَنْ/أَن/an//یَّفْتِنَهُمْ ؕ/يَفۡتِنَهُمۡۚ/yaftinahum//وَ اِنَّ/وَإِنَّ/wa-inna//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//لَعَالٍ/لَعَالٖ/la'alin//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِ/al-ardi//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَمِنَ/لَمِنَ/lamina//الْمُسْرِفِیْنَ /ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "এরপরও না//ঈমান আনলো//প্রতি মূসার (সেদেশের লোক)//এ ছাড়া//বংশধর (কিছু যুবক)//মধ্য হতে//জাতির তার//কারণে//ভয়ের//থেকে//ফিরাউন//ও প্রধানদের তাদের//যে//সে নির্যাতন করবে তাদেরকে//এবং নিশ্চয়ই//ফিরাউন  (ছিলো)//অবশ্যই স্বেচ্ছাচারী//মধ্যে//দেশের//এবং নিশ্চয়ই সে//অবশ্যই অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1448.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰ يَٰقَوْمِ إِن كُنتُمْ ءَامَنتُم بِٱللَّهِ فَعَلَيْهِ تَوَكَّلُوٓا۟ إِن كُنتُم مُّسْلِمِينَ",
              "translate_bn": "আর মূসা বলল, হে আমার সম্প্রদায়, তোমরা যদি আল্লাহর উপর ঈমান এনে থাক, তবে তারই উপর ভরসা কর যদি তোমরা ফরমাবরদার হয়ে থাক।",
              "numberInSurah": 84,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মূছা-ইয়া কাওমি ইন কুনতুমআ-মানতুমবিল্লা-হি ফা‘আলাইহি তাওয়াক্কালূইন কুনতুম মুছলিমীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰی/مُوسَىٰ/musa//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//اٰمَنْتُمْ/ءَامَنتُم/amantum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَعَلَیْهِ/فَعَلَيۡهِ/fa'alayhi//تَوَكَّلُوْۤا/تَوَكَّلُوٓاْ/tawakkalu//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّسْلِمِیْنَ /مُّسۡلِمِينَ/mus'limina",
              "words_bangla": "এবং বললো//মূসা//\"হে আমার জাতি//যদি//থাকো তোমরা//ঈমান এনে//উপর আল্লাহর//তবে উপর তাঁরই//তোমরা নির্ভর করো//যদি//হও তোমরা//আত্মসমর্পণকারী (অর্থাৎ মুসলমান)\""
            },
            {
              "number": 1449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1449.mp3"
              ],
              "text": "فَقَالُوا۟ عَلَى ٱللَّهِ تَوَكَّلْنَا رَبَّنَا لَا تَجْعَلْنَا فِتْنَةًۭ لِّلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "তখন তারা বলল, আমরা আল্লাহর উপর ভরসা করেছি। হে আমাদের পালনকর্তা, আমাদের উপর এ জালেম কওমের শক্তি পরীক্ষা করিও না।",
              "numberInSurah": 85,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লূ‘আলাল্লা-হি তাওয়াক্কালনা- রাব্বানা-লা-তাজ‘আলনা-ফিতনাতাল লিলকাওমিজ্জা-লিমীন।",
              "words_arabic": "فَقَالُوْا/فَقَالُواْ/faqalu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//تَوَكَّلْنَا ۚ/تَوَكَّلۡنَا/tawakkalna//رَبَّنَا/رَبَّنَا/rabbana//لَا/لَا/la//تَجْعَلْنَا/تَجۡعَلۡنَا/taj'alna//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلْقَوْمِ/لِّلۡقَوۡمِ/lil'qawmi//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর তারা বললো//\"উপর//আল্লাহর//নির্ভর করেছি আমরা//হে আমাদের রব//না//বানিয়ো আমাদের//উৎপীড়নের পাত্র//জন্যে জাতির//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 1450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1450.mp3"
              ],
              "text": "وَنَجِّنَا بِرَحْمَتِكَ مِنَ ٱلْقَوْمِ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর আমাদেরকে অনুগ্রহ করে ছাড়িয়ে দাও এই কাফেরদের কবল থেকে।",
              "numberInSurah": 86,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাজজিনা-বিরাহমাতিকা মিনাল কাওমিল কা-ফিরীন।",
              "words_arabic": "وَ نَجِّنَا/وَنَجِّنَا/wanajjina//بِرَحْمَتِكَ/بِرَحۡمَتِكَ/birahmatika//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং রক্ষা করো আমাদেরকে//দ্বারা তোমার অনুগ্রহ//হতে//জাতি//(যারা) কাফির\""
            },
            {
              "number": 1451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1451.mp3"
              ],
              "text": "وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰ وَأَخِيهِ أَن تَبَوَّءَا لِقَوْمِكُمَا بِمِصْرَ بُيُوتًۭا وَٱجْعَلُوا۟ بُيُوتَكُمْ قِبْلَةًۭ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর আমি নির্দেশ পাঠালাম মূসা এবং তার ভাইয়ের প্রতি যে, তোমরা তোমাদের জাতির জন্য মিসরের মাটিতে বাস স্থান নির্ধারণ কর। আর তোমাদের ঘরগুলো বানাবে কেবলামুখী করে এবং নামায কায়েম কর আর যারা ঈমানদার তাদেরকে সুসংবাদ দান কর।",
              "numberInSurah": 87,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওহাইনা ইলা-মূছা-ওয়া আখীহি আন তাবাওওয়াআ-লিকাওমিকুমা-বিমিসরা বুইঊতাওঁ ওয়াজ‘আলূবুইঊতাকুম কিবলাতাওঁ ওয়াআকীমুসসালা-তা ওয়া বাশশিরিল মু’মিনীন।\r\n",
              "words_arabic": "وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰی/مُوسَىٰ/musa//وَ اَخِیْهِ/وَأَخِيهِ/wa-akhihi//اَنْ/أَن/an//تَبَوَّاٰ/تَبَوَّءَا/tabawwaa//لِقَوْمِكُمَا/لِقَوۡمِكُمَا/liqawmikuma//بِمِصْرَ/بِمِصۡرَ/bimis'ra//بُیُوْتًا/بُيُوتٗا/buyutan//وَّ اجْعَلُوْا/وَٱجۡعَلُواْ/wa-ij'alu//بُیُوْتَكُمْ/بُيُوتَكُمۡ/buyutakum//قِبْلَةً/قِبۡلَةٗ/qib'latan//وَّ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ ؕ/ٱلصَّلَوٰةَۗ/al-salata//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং ওহী করলাম আমরা//প্রতি//মূসার//ও তার ভাইয়ের (প্রতি)//যে//\"দু'জনে স্থাপন করো//জন্যে তোমাদের দু'জনের জাতির//মিশরে//কিছু ঘর//এবং তোমরা বানাও//ঘরগুলোকে তোমাদের//ক্বিবলা//এবং তোমরা প্রতিষ্ঠা করো//সালাত//এবং সুসংবাদ দাও//মু'মিনদেরকে\""
            },
            {
              "number": 1452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1452.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰ رَبَّنَآ إِنَّكَ ءَاتَيْتَ فِرْعَوْنَ وَمَلَأَهُۥ زِينَةًۭ وَأَمْوَٰلًۭا فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا رَبَّنَا لِيُضِلُّوا۟ عَن سَبِيلِكَ ۖ رَبَّنَا ٱطْمِسْ عَلَىٰٓ أَمْوَٰلِهِمْ وَٱشْدُدْ عَلَىٰ قُلُوبِهِمْ فَلَا يُؤْمِنُوا۟ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ",
              "translate_bn": "মূসা বলল, হে আমার পরওয়ারদেগার, তুমি ফেরাউনকে এবং তার সর্দারদেরকে পার্থব জীবনের আড়ম্বর দান করেছ, এবং সম্পদ দান করেছ-হে আমার পরওয়ারদেগার, এ জন্যই যে তারা তোমার পথ থেকে বিপথগামী করব! হে আমার পরওয়ারদেগার, তাদের ধন-সম্পদ ধ্বংস করে দাও এবং তাদের অন্তরগুলোকে কাঠোর করে দাও যাতে করে তারা ততক্ষণ পর্যন্ত ঈমান না আনে যতক্ষণ না বেদনাদায়ক আযাব প্রত্যক্ষ করে নেয়।",
              "numberInSurah": 88,
              "juz": 11,
              "manzil": 3,
              "page": 218,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মূছা-রাব্বানাইন্নাকা আ-তাইতা ফির‘আওনা ওয়া মালাআহূঝীনাতাওঁ ওয়া আমওয়া-লান ফিল হায়া-তিদদুনইয়া- রাব্বানা-লিইউদিললূ‘আন ছাবীলিকা রাব্বানাতমিছ ‘আলাআমওয়া-লিহিম ওয়াশদুদ ‘আলা-কূলূবিহিম ফালা-ইউ’মিনূহাত্তাইয়ারাউল ‘আযা-বাল ‘আলীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰی/مُوسَىٰ/musa//رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّكَ/إِنَّكَ/innaka//اٰتَیْتَ/ءَاتَيۡتَ/atayta//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاَهٗ/وَمَلَأَهُۥ/wamala-ahu//زِیْنَةً/زِينَةٗ/zinatan//وَّ اَمْوَالًا/وَأَمۡوَٰلٗا/wa-amwalan//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۙ/ٱلدُّنۡيَا/al-dun'ya//رَبَّنَا/رَبَّنَا/rabbana//لِیُضِلُّوْا/لِيُضِلُّواْ/liyudillu//عَنْ/عَن/an//سَبِیْلِكَ ۚ/سَبِيلِكَۖ/sabilika//رَبَّنَا/رَبَّنَا/rabbana//اطْمِسْ/ٱطۡمِسۡ/it'mis//عَلٰۤی/عَلَىٰٓ/ala//اَمْوَالِهِمْ/أَمۡوَٰلِهِمۡ/amwalihim//وَ اشْدُدْ/وَٱشۡدُدۡ/wa-ush'dud//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَلَا/فَلَا/fala//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//حَتّٰی/حَتَّىٰ/hatta//یَرَوُا/يَرَوُاْ/yarawu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الْاَلِیْمَ /ٱلۡأَلِيمَ/al-alima",
              "words_bangla": "এবং বললো//মূসা//\"হে আমাদের রব//নিশ্চয়ই তুমি//তুমি দিয়েছো//ফিরাউনকে//এবং পরিবারবর্গকে তার//শোভা//ও ধনসম্পদ//মধ্যে//জীবনের//পার্থিব//হে আমাদের রব//জন্যে পথভ্রষ্ট করার(লোকদেরকে)//হতে//তোমার পথ//হে আমাদের রব//বিনষ্ট করো//ব্যাপারকে//সম্পদগুলোর তাদের//ও কঠোর করো (অর্থাৎ সীল করে দাও)//উপর//অন্তরগুলোর তাদের//ফলে যেন না//তারা ঈমান আনে//যতক্ষণ না//তারা দেখবে//শাস্তি//নিদারুণ\""
            },
            {
              "number": 1453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1453.mp3"
              ],
              "text": "قَالَ قَدْ أُجِيبَت دَّعْوَتُكُمَا فَٱسْتَقِيمَا وَلَا تَتَّبِعَآنِّ سَبِيلَ ٱلَّذِينَ لَا يَعْلَمُونَ",
              "translate_bn": "বললেন, তোমাদের দোয়া মঞ্জুর হয়েছে। অতএব তোমরা দুজন অটল থাকো এবং তাদের পথে চলো না যারা অজ্ঞ।",
              "numberInSurah": 89,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 180,
              "hizbQuarter": 87,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাদ উজীবাদ দা‘ওয়াতুকুমা-ফাছতাকীমা-ওয়ালা-তাত্তাবি‘আন্নি ছাবীলাল্লাযীনা লা-ইয়া‘লামূন।",
              "words_arabic": "قَالَ/قَالَ/qala//قَدْ/قَدۡ/qad//اُجِیْبَتْ/أُجِيبَت/ujibat//دَّعْوَتُكُمَا/دَّعۡوَتُكُمَا/da'watukuma//فَاسْتَقِیْمَا/فَٱسۡتَقِيمَا/fa-is'taqima//وَ لَا/وَلَا/wala//تَتَّبِعٰٓنِّ/تَتَّبِعَآنِّ/tattabi'anni//سَبِیْلَ/سَبِيلَ/sabila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তিনি (আল্লাহ)বললেন//\"নিশ্চয়ই//গৃহীত হলো//তোমাদের দু'জনের দু'আ//অতএব দু'জন দৃঢ় থাকো//এবং না//দু'জনে অনুসরণ করো//পথ//(তাদের) যারা//না//তারা জানে\""
            },
            {
              "number": 1454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1454.mp3"
              ],
              "text": "۞ وَجَٰوَزْنَا بِبَنِىٓ إِسْرَٰٓءِيلَ ٱلْبَحْرَ فَأَتْبَعَهُمْ فِرْعَوْنُ وَجُنُودُهُۥ بَغْيًۭا وَعَدْوًا ۖ حَتَّىٰٓ إِذَآ أَدْرَكَهُ ٱلْغَرَقُ قَالَ ءَامَنتُ أَنَّهُۥ لَآ إِلَٰهَ إِلَّا ٱلَّذِىٓ ءَامَنَتْ بِهِۦ بَنُوٓا۟ إِسْرَٰٓءِيلَ وَأَنَا۠ مِنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "আর বনী-ইসরাঈলকে আমি পার করে দিয়েছি নদী। তারপর তাদের পশ্চাদ্ধাবন করেছে ফেরাউন ও তার সেনাবাহিনী, দুরাচার ও বাড়াবাড়ির উদ্দেশে। এমনকি যখন তারা ডুবতে আরম্ভ করল, তখন বলল, এবার বিশ্বাস করে নিচ্ছি যে, কোন মা’বুদ নেই তাঁকে ছাড়া যাঁর উপর ঈমান এনেছে বনী-ইসরাঈলরা। বস্তুতঃ আমিও তাঁরই অনুগতদের অন্তর্ভুক্ত।",
              "numberInSurah": 90,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 180,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাওয়াঝনা-ব্বিানীইছরাঈলাল বাহরা ফাআতবা‘আহুম ফির‘আওনুওয়াজুনূদুহূ বাগইয়াওঁ ওয়া ‘আদওয়ান হাত্তা ইযা-আদরাকাহুল গারাকু কা-লা আ-মানতু আন্নাহূলাইলা-হা ইল্লাল্লাযী আ-মানত বিহী বানূ ইছরাঈলা ওয়া আনা-মিনাল মুছলিমীন।",
              "words_arabic": "وَ جٰوَزْنَا/۞وَجَٰوَزۡنَا/wajawazna//بِبَنِیْۤ/بِبَنِيٓ/bibani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//فَاَتْبَعَهُمْ/فَأَتۡبَعَهُمۡ/fa-atba'ahum//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//وَ جُنُوْدُهٗ/وَجُنُودُهُۥ/wajunuduhu//بَغْیًا/بَغۡيٗا/baghyan//وَّ عَدْوًا ؕ/وَعَدۡوًاۖ/wa'adwan//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَدْرَكَهُ/أَدۡرَكَهُ/adrakahu//الْغَرَقُ ۙ/ٱلۡغَرَقُ/al-gharaqu//قَالَ/قَالَ/qala//اٰمَنْتُ/ءَامَنتُ/amantu//اَنَّهٗ/أَنَّهُۥ/annahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اٰمَنَتْ/ءَامَنَتۡ/amanat//بِهٖ/بِهِۦ/bihi//بَنُوْۤا/بَنُوٓاْ/banu//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//وَ اَنَا/وَأَنَا۠/wa-ana//مِنَ/مِنَ/mina//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "এবং পার করালাম আমরা//সহ সন্তানদের//ইসরাঈলের//সাগর//অতঃপর পিছনে ধাওয়া করলো তাদের//ফিরাউন//ও সৈন্যবাহিনী তার//সীমালঙ্ঘন//এবং শত্রুতাবশতঃ//এমনকি//যখন//পেলো তাকে//ডুবে যাওয়া (অর্থাৎ সাগরে ডুবে যাচ্ছিলো)//সে বললো//\"আমি ঈমান আনলাম//এই (বলে) যে//নেই//কোনো ইলাহ//(তিনি) ছাড়া//যিনি (সেই সত্ত্বা)//ঈমান এনেছে//উপর তার//সন্তানরা//ইসরাঈলের//এবং আমি//অন্তর্ভুক্ত//আত্মসমর্পনকারীদের (অর্থাৎ মুসলমানদের)\""
            },
            {
              "number": 1455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1455.mp3"
              ],
              "text": "ءَآلْـَٰٔنَ وَقَدْ عَصَيْتَ قَبْلُ وَكُنتَ مِنَ ٱلْمُفْسِدِينَ",
              "translate_bn": "এখন একথা বলছ! অথচ তুমি ইতিপূর্বে না-ফরমানী করছিলে। এবং পথভ্রষ্টদেরই অন্তর্ভুক্ত ছিলে।",
              "numberInSurah": 91,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 180,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "আলআ-না ওয়া কাদ ‘আসাইতা কাবলুওয়া কুনতা মিনাল মুফছিদীন।",
              "words_arabic": "آٰلْـٰٔنَ/ءَآلۡـَٰٔنَ/al'ana//وَ قَدْ/وَقَدۡ/waqad//عَصَیْتَ/عَصَيۡتَ/asayta//قَبْلُ/قَبۡلُ/qablu//وَ كُنْتَ/وَكُنتَ/wakunta//مِنَ/مِنَ/mina//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "\"কি এখন (ঈমান আনলে)//অথচ নিশ্চয়ই//তুমি অমান্য করেছো//পূর্বে//এবং তুমি ছিলে//অন্তর্ভুক্ত//বিপর্যয়কারীদের\""
            },
            {
              "number": 1456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1456.mp3"
              ],
              "text": "فَٱلْيَوْمَ نُنَجِّيكَ بِبَدَنِكَ لِتَكُونَ لِمَنْ خَلْفَكَ ءَايَةًۭ ۚ وَإِنَّ كَثِيرًۭا مِّنَ ٱلنَّاسِ عَنْ ءَايَٰتِنَا لَغَٰفِلُونَ",
              "translate_bn": "অতএব আজকের দিনে বাঁচিয়ে দিচ্ছি আমি তোমার দেহকে যাতে তোমার পশ্চাদবর্তীদের জন্য নিদর্শন হতে পারে। আর নিঃসন্দেহে বহু লোক আমার মহাশক্তির প্রতি লক্ষ্য করে না।",
              "numberInSurah": 92,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 180,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াওমা নুনাজজীকা ব্বিাদানিকা লিতাকূনা লিমান খালফাকা আ-য়াতাওঁ ওয়া ইন্না কাছীরাম মিনান না-ছি ‘আন আ-য়া-তিনা-লাগা-ফিলূন।",
              "words_arabic": "فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//نُنَجِّیْكَ/نُنَجِّيكَ/nunajjika//بِبَدَنِكَ/بِبَدَنِكَ/bibadanika//لِتَكُوْنَ/لِتَكُونَ/litakuna//لِمَنْ/لِمَنۡ/liman//خَلْفَكَ/خَلۡفَكَ/khalfaka//اٰیَةً ؕ/ءَايَةٗۚ/ayatan//وَ اِنَّ/وَإِنَّ/wa-inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//عَنْ/عَنۡ/an//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//لَغٰفِلُوْنَ۠/لَغَٰفِلُونَ/laghafiluna",
              "words_bangla": "সুতরাং আজ//তোমাকে আমরা রক্ষা করবো//দ্বারা তোমার শরীর (অর্থাৎ তোমার লাশকে)//যেন তুমি হও//(তাদের) জন্যে যারা//তোমার পরবর্তীতে (আসবে)//একটি নিদর্শন//এবং নিশ্চয়ই//অনেকে//মধ্য হতে//মানুষের//সম্বন্ধে//নিদর্শনাবলী আমাদের//অবশ্যই উদাসীন\""
            },
            {
              "number": 1457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1457.mp3"
              ],
              "text": "وَلَقَدْ بَوَّأْنَا بَنِىٓ إِسْرَٰٓءِيلَ مُبَوَّأَ صِدْقٍۢ وَرَزَقْنَٰهُم مِّنَ ٱلطَّيِّبَٰتِ فَمَا ٱخْتَلَفُوا۟ حَتَّىٰ جَآءَهُمُ ٱلْعِلْمُ ۚ إِنَّ رَبَّكَ يَقْضِى بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "আর আমি বনী-ইসরাঈলদিগকে দান করেছি উত্তম স্থান এবং তাদেরকে আহার্য দিয়েছি পবিত্র-পরিচ্ছন্ন বস্তু-সামগ্রী। বস্তুতঃ তাদের মধ্যে মতবিরোধ হয়নি যতক্ষণ না তাদের কাছে এসে পৌছেছে সংবাদ। নিঃসন্দেহে তোমার পরওয়ারদেগার তাদের মাঝে মীমাংসা করে দেবেন কেয়ামতের দিন; যে ব্যাপারে তাদের মাঝে মতবিরোধ হয়েছিল",
              "numberInSurah": 93,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ বাওওয়া’না-বানীইছরাঈলা মুবাওওয়াআ সিদকিওঁ ওয়া-রাঝাকনা-হুম মিনাততাইয়িবা-তি ফামাখ তালাফূহাত্তা-জাআহুমুল ‘ইলমু ইন্না রাব্বাকা ইয়াকদী বাইনাহুম ইয়াওমাল কিয়া-মাতি ফীমা-কা-নূফীহি ইয়াখতালিফূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//بَوَّاْنَا/بَوَّأۡنَا/bawwana//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//مُبَوَّاَ/مُبَوَّأَ/mubawwa-a//صِدْقٍ/صِدۡقٖ/sid'qin//وَّ رَزَقْنٰهُمْ/وَرَزَقۡنَٰهُم/warazaqnahum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ ۚ/ٱلطَّيِّبَٰتِ/al-tayibati//فَمَا/فَمَا/fama//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//حَتّٰی/حَتَّىٰ/hatta//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْعِلْمُ ؕ/ٱلۡعِلۡمُۚ/al-'il'mu//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//یَقْضِیْ/يَقۡضِي/yaqdi//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বসবাস করিয়েছি//সন্তানদেরকে//ইসরাঈলের//আবাসভূমিতে//উত্তম//ও জীবিকা দিয়েছি আমরা তাদের//থেকে//পবিত্র জিনিসগুলো//অতঃপর না//তারা বিভেদ করেছে//যতক্ষণ না//কাছে এসেছে তাদের//(সত্যিকার) জ্ঞান//নিশ্চয়ই//তোমার রব//মীমাংসা করে দিবেন//মাঝে তাদের//দিনে//ক্বিয়ামাতের//সে বিষয়ে যা//তারা ছিলো//মধ্যে তার//বিভেদ করতো"
            },
            {
              "number": 1458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1458.mp3"
              ],
              "text": "فَإِن كُنتَ فِى شَكٍّۢ مِّمَّآ أَنزَلْنَآ إِلَيْكَ فَسْـَٔلِ ٱلَّذِينَ يَقْرَءُونَ ٱلْكِتَٰبَ مِن قَبْلِكَ ۚ لَقَدْ جَآءَكَ ٱلْحَقُّ مِن رَّبِّكَ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ",
              "translate_bn": "সুতরাং তুমি যদি সে বস্তু সম্পর্কে কোন সন্দেহের সম্মুখীন হয়ে থাক যা তোমার প্রতি আমি নাযিল করেছি, তবে তাদেরকে জিজ্ঞেস করো যারা তোমার পূর্ব থেকে কিতাব পাঠ করছে। এতে কোন সন্দেহ নেই যে, তোমার পরওয়ারদেগারের নিকট থেকে তোমার নিকট সত্য বিষয় এসেছে। কাজেই তুমি কস্মিনকালেও সন্দেহকারী হয়ো না।",
              "numberInSurah": 94,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ফাইন কুনতা ফী শাক্কিম মিম্মা আনঝালনা ইলাইকা ফাছআলিল্লাযীনা ইয়াকরাঊনাল কিতাবা মিন কাবলিকা লাকাদ জাআকাল হাক্কুমির রাব্বিকা ফালা-তাকূনান্না মিনাল মুমতারীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//كُنْتَ/كُنتَ/kunta//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مِّمَّاۤ/مِّمَّآ/mimma//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//فَسْـَٔلِ/فَسۡـَٔلِ/fasali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَقْرَءُوْنَ/يَقۡرَءُونَ/yaqrauna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِكَ ۚ/قَبۡلِكَۚ/qablika//لَقَدْ/لَقَدۡ/laqad//جَآءَكَ/جَآءَكَ/jaaka//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//فَلَا/فَلَا/fala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُمْتَرِیْنَۙ/ٱلۡمُمۡتَرِينَ/al-mum'tarina",
              "words_bangla": "অতঃপর যদি//হও তুমি//মধ্যে//সন্দেহের//তা হতে যা//আমরা অবতীর্ণ করেছি//প্রতি তোমার//তবে জিজ্ঞাসা করো//(তাদেরকে) যারা//পাঠ করে//কিতাব//থেকে//পূর্ব তোমার//নিশ্চয়ই//কাছে এসেছে তোমার//(প্রকৃত) সত্য//পক্ষ হতে//তোমার রবের//অতএব না//তুমি হয়ো//অন্তর্ভুক্ত//সন্দিহানদের"
            },
            {
              "number": 1459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1459.mp3"
              ],
              "text": "وَلَا تَكُونَنَّ مِنَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِ ٱللَّهِ فَتَكُونَ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "এবং তাদের অন্তর্ভুক্তও হয়ো না যারা মিথ্যা প্রতিপন্ন করেছে আল্লাহর বাণীকে। তাহলে তুমিও অকল্যাণে পতিত হয়ে যাবে।",
              "numberInSurah": 95,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনান্না মিনাল্লাযীনা কাযযাবূবিআ-য়া-তিল্লা-হি ফাতাকূনা মিনাল খা-ছিরীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//فَتَكُوْنَ/فَتَكُونَ/fatakuna//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "এবং না//তুমি হয়ো//অন্তর্ভুক্ত//(তাদের) যারা//মিথ্যারোপ করেছে//প্রতি নিদর্শনগুলোর//আল্লাহর//তাহ'লে  তুমি হবে//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 1460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1460.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ حَقَّتْ عَلَيْهِمْ كَلِمَتُ رَبِّكَ لَا يُؤْمِنُونَ",
              "translate_bn": "যাদের ব্যাপারে তোমার পরওয়ারদেগারের সিদ্ধান্ত নির্ধারিত হয়ে গেছে তারা ঈমান আনবে না।",
              "numberInSurah": 96,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা হাক্কাত ‘আলাইহিম কালিমাতুরাব্বিকা লা-ইউ’মিনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//حَقَّتْ/حَقَّتۡ/haqqat//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//كَلِمَتُ/كَلِمَتُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//لَا/لَا/la//یُؤْمِنُوْنَۙ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//যারা//সত্য প্রমাণিত হয়েছে//উপর তাদের//বাণী//তোমার রবের//না//তারা ঈমান আনবে"
            },
            {
              "number": 1461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1461.mp3"
              ],
              "text": "وَلَوْ جَآءَتْهُمْ كُلُّ ءَايَةٍ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ",
              "translate_bn": "যদি তাদের সামনে সমস্ত নিদর্শনাবলী এসে উপস্থিত হয় তবুও যতক্ষণ না তারা দেখতে পায় বেদনাদায়ক আযাব।",
              "numberInSurah": 97,
              "juz": 11,
              "manzil": 3,
              "page": 219,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও জাআতহুম কুল্লুআ-য়াতিন হাত্তা-ইয়ারাউল ‘আযা-বাল আলীম।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//كُلُّ/كُلُّ/kullu//اٰیَةٍ/ءَايَةٍ/ayatin//حَتّٰی/حَتَّىٰ/hatta//یَرَوُا/يَرَوُاْ/yarawu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الْاَلِیْمَ /ٱلۡأَلِيمَ/al-alima",
              "words_bangla": "এবং যদি//কাছে আসে তাদের//সব//নিদর্শন//যতক্ষণ না//তারা দেখবে//শাস্তি//নিদারুণ"
            },
            {
              "number": 1462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1462.mp3"
              ],
              "text": "فَلَوْلَا كَانَتْ قَرْيَةٌ ءَامَنَتْ فَنَفَعَهَآ إِيمَٰنُهَآ إِلَّا قَوْمَ يُونُسَ لَمَّآ ءَامَنُوا۟ كَشَفْنَا عَنْهُمْ عَذَابَ ٱلْخِزْىِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَمَتَّعْنَٰهُمْ إِلَىٰ حِينٍۢ",
              "translate_bn": "সুতরাং কোন জনপদ কেন এমন হল না যা ঈমান এনেছে অতঃপর তার সে ঈমান গ্রহণ হয়েছে কল্যাণকর? অবশ্য ইউনুসের সম্প্রদায়ের কথা আলাদা। তারা যখন ঈমান আনে তখন আমি তুলে নেই তাদের উপর থেকে অপমানজনক আযাব-পার্থিব জীবনে এবং তাদের কে কল্যাণ পৌছাই এক নিধারিত সময় পর্যন্ত।",
              "numberInSurah": 98,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ফালাওলা-কা-নাত কারইয়াতুন আ-মানাত ফানাফ‘আহাঈমা-নুহা ইল্লা-কাওমা ইঊনুছা লাম্মা আ-মানূকাশাফনা-‘আনহুম ‘আযা-বাল খিঝয়ি ফিল হায়া-তিদদুনইয়াওয়ামাত্তা‘না-হুম ইলা-হীন।",
              "words_arabic": "فَلَوْ لَا/فَلَوۡلَا/falawla//كَانَتْ/كَانَتۡ/kanat//قَرْیَةٌ/قَرۡيَةٌ/qaryatun//اٰمَنَتْ/ءَامَنَتۡ/amanat//فَنَفَعَهَاۤ/فَنَفَعَهَآ/fanafa'aha//اِیْمَانُهَاۤ/إِيمَٰنُهَآ/imanuha//اِلَّا/إِلَّا/illa//قَوْمَ/قَوۡمَ/qawma//یُوْنُسَ ؕ/يُونُسَ/yunusa//لَمَّاۤ/لَمَّآ/lamma//اٰمَنُوْا/ءَامَنُواْ/amanu//كَشَفْنَا/كَشَفۡنَا/kashafna//عَنْهُمْ/عَنۡهُمۡ/anhum//عَذَابَ/عَذَابَ/adhaba//الْخِزْیِ/ٱلۡخِزۡيِ/al-khiz'yi//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ مَتَّعْنٰهُمْ/وَمَتَّعۡنَٰهُمۡ/wamatta'nahum//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "অতঃপর কেন না//(এমন) হলো যে//জনপদবাসী//(শাস্তি আসার পূর্বেই) ঈমান আনতো//তাহ'লে উপকারে আসতো তার//তার ঈমান (আনা)//তবে (ব্যতিক্রম)//জাতি//ইউনুসের//যখন (শাস্তি দেখে)//তারা ঈমান এনেছিলো//সরিয়ে দিয়েছি আমরা//থেকে তাদের//শাস্তি//অপমানজনক//মধ্যে//জীবনের//পার্থিব//ও ভোগের সুযোগ দিয়েছি আমরা তাদেরকে//পর্যন্ত//এক নির্দিষ্ট সময়"
            },
            {
              "number": 1463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1463.mp3"
              ],
              "text": "وَلَوْ شَآءَ رَبُّكَ لَءَامَنَ مَن فِى ٱلْأَرْضِ كُلُّهُمْ جَمِيعًا ۚ أَفَأَنتَ تُكْرِهُ ٱلنَّاسَ حَتَّىٰ يَكُونُوا۟ مُؤْمِنِينَ",
              "translate_bn": "আর তোমার পরওয়ারদেগার যদি চাইতেন, তবে পৃথিবীর বুকে যারা রয়েছে, তাদের সবাই ঈমান নিয়ে আসতে সমবেতভাবে। তুমি কি মানুষের উপর জবরদস্তী করবে ঈমান আনার জন্য?",
              "numberInSurah": 99,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও শাআ রাব্বুকা লাআ-মানা মান ফিল আরদিকুল্লুহুম জামী‘আন আফাআনতা তুকরিহুন্না-ছা হাত্তা-ইয়াকূনূমু’মিনীন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//رَبُّكَ/رَبُّكَ/rabbuka//لَاٰمَنَ/لَأٓمَنَ/laamana//مَنْ/مَن/man//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//كُلُّهُمْ/كُلُّهُمۡ/kulluhum//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تُكْرِهُ/تُكۡرِهُ/tuk'rihu//النَّاسَ/ٱلنَّاسَ/al-nasa//حَتّٰی/حَتَّىٰ/hatta//یَكُوْنُوْا/يَكُونُواْ/yakunu//مُؤْمِنِیْنَ /مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং যদি//ইচ্ছে করতেন//রব তোমার//অবশ্যই ঈমান আনতো//যারা//মধ্যে (আছে)//পৃথিবীর//সবাই তাদের//একসাথে//কি তবে তুমি//জবরদস্তি করবে//মানুষদেরকে//যতক্ষণ না//তারা হবে//মু'মিন"
            },
            {
              "number": 1464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1464.mp3"
              ],
              "text": "وَمَا كَانَ لِنَفْسٍ أَن تُؤْمِنَ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَيَجْعَلُ ٱلرِّجْسَ عَلَى ٱلَّذِينَ لَا يَعْقِلُونَ",
              "translate_bn": "আর কারো ঈমান আনা হতে পারে না, যতক্ষণ না আল্লাহর হুকুম হয়। পক্ষান্তরে তিনি অপবিত্রতা আরোপ করেন যারা বুদ্ধি প্রয়োগ করে না তাদের উপর।",
              "numberInSurah": 100,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-না লিনাফছিন আন তু’মিনা ইল্লা-বিইযনিল্লা-হি ওয়া ইয়াজ‘আলুর রিজছা ‘আলাল্লাযীনা লা-ইয়া‘কিলূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِنَفْسٍ/لِنَفۡسٍ/linafsin//اَنْ/أَن/an//تُؤْمِنَ/تُؤۡمِنَ/tu'mina//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ یَجْعَلُ/وَيَجۡعَلُ/wayaj'alu//الرِّجْسَ/ٱلرِّجۡسَ/al-rij'sa//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং নয়//সম্ভব//জন্যে কোনো ব্যক্তির//যে//সে ঈমান আনবে//ছাড়া//নিয়ে অনুমতি//আল্লাহর//এবং তিনি রাখবেন//অপবিত্রতা//উপর//(তাদের) যারা//না//বুঝতে পারে"
            },
            {
              "number": 1465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1465.mp3"
              ],
              "text": "قُلِ ٱنظُرُوا۟ مَاذَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَا تُغْنِى ٱلْءَايَٰتُ وَٱلنُّذُرُ عَن قَوْمٍۢ لَّا يُؤْمِنُونَ",
              "translate_bn": "তাহলে আপনি বলে দিন, চেয়ে দেখ তো আসমানসমুহে ও যমীনে কি রয়েছে। আর কোন নিদর্শন এবং কোন ভীতিপ্রর্দশনই কোন কাজে আসে না সেসব লোকের জন্য যারা মান্য করে না।",
              "numberInSurah": 101,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "কুলিনজু রূ মা-যা-ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়া মা-তুগনিল আ-য়া-তু ওয়াননুযুরু ‘আন কাওমিল লা-ইউ’মিনূন।",
              "words_arabic": "قُلِ/قُلِ/quli//انْظُرُوْا/ٱنظُرُواْ/unzuru//مَا ذَا/مَاذَا/madha//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ مَا/وَمَا/wama//تُغْنِی/تُغۡنِي/tugh'ni//الْاٰیٰتُ/ٱلۡأٓيَٰتُ/al-ayatu//وَ النُّذُرُ/وَٱلنُّذُرُ/wal-nudhuru//عَنْ/عَن/an//قَوْمٍ/قَوۡمٖ/qawmin//لَّا/لَّا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "(তুমি) বলো//\"তোমরা লক্ষ্য করো//কি//মধ্যে (আছে)//আকাশসমূহের//এবং পৃথিবীর\"//এবং না//উপকারে আসে//নিদর্শনসমূহ//আর (না) সতর্কীকরণ//জন্যে//(সেই) জাতির//না//(যারা) ঈমান আনে"
            },
            {
              "number": 1466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1466.mp3"
              ],
              "text": "فَهَلْ يَنتَظِرُونَ إِلَّا مِثْلَ أَيَّامِ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِهِمْ ۚ قُلْ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ",
              "translate_bn": "সুতরাং এখন আর এমন কিছু নেই, যার অপেক্ষা করবে, কিন্তু সেসব দিনের মতই দিন, যা অতীত হয়ে গেছে এর পূর্বে। আপনি বলুন; এখন পথ দেখ; আমিও তোমাদের সাথে পথ চেয়ে রইলাম।",
              "numberInSurah": 102,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ফাহাল ইয়ানতাজিরূনা ইল্লা-মিছলা আইইয়া-মিল্লাযীনা খালাও মিন কাবলিহিম কুল ফানতাজিরূ ইন্নী মা‘আকুম মিনাল মুনতাজিরীন।",
              "words_arabic": "فَهَلْ/فَهَلۡ/fahal//یَنْتَظِرُوْنَ/يَنتَظِرُونَ/yantaziruna//اِلَّا/إِلَّا/illa//مِثْلَ/مِثۡلَ/mith'la//اَیَّامِ/أَيَّامِ/ayyami//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَلَوْا/خَلَوۡاْ/khalaw//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//قُلْ/قُلۡ/qul//فَانْتَظِرُوْۤا/فَٱنتَظِرُوٓاْ/fa-intaziru//اِنِّیْ/إِنِّي/inni//مَعَكُمْ/مَعَكُم/ma'akum//مِّنَ/مِّنَ/mina//الْمُنْتَظِرِیْنَ /ٱلۡمُنتَظِرِينَ/al-muntazirina",
              "words_bangla": "তবে কি//তারা অপেক্ষা করছে//এ ছাড়া//অনুরূপ (খারাপ)//দিনগুলোর//(তাদের) যারা//অতিবাহিত হয়েছে//থেকে//পূর্ব তাদের//বলো//\"তবে তোমরা অপেক্ষা করো//নিশ্চয়ই আমি//সাথে তোমাদের//অন্তর্ভুক্ত//অপেক্ষাকারীদের\""
            },
            {
              "number": 1467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1467.mp3"
              ],
              "text": "ثُمَّ نُنَجِّى رُسُلَنَا وَٱلَّذِينَ ءَامَنُوا۟ ۚ كَذَٰلِكَ حَقًّا عَلَيْنَا نُنجِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "অতঃপর আমি বাঁচিয়ে নেই নিজের রসূলগণকে এবং তাদেরকে যারা ঈমান এনেছে এমনিভাবে। ঈমানদারদের বাঁচিয়ে নেয়া আমার দায়িত্বও বটে।",
              "numberInSurah": 103,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 181,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ছুম্মা নুনাজ্জী রুছুলানা-ওয়াল্লাযীনা আ-মানূ কাযা-লিকা হাক্কান ‘আলাইনা-নুনজিল মু’মিনীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//نُنَجِّیْ/نُنَجِّي/nunajji//رُسُلَنَا/رُسُلَنَا/rusulana//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْۚ/amanu//كَذٰلِكَ ۚ/كَذَٰلِكَ/kadhalika//حَقًّا/حَقًّا/haqqan//عَلَیْنَا/عَلَيۡنَا/alayna//نُنْجِ/نُنجِ/nunji//الْمُؤْمِنِیْنَ۠/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এরপর//উদ্বার করবো আমরা//রাসূলদেরকে আমাদের//ও যারা//ঈমান এনেছিলো (তাদের সাথে)//এভাবে//(এটা) দায়িত্ব//উপর আমাদের//উদ্ধার করা//মু'মিনদেরকে"
            },
            {
              "number": 1468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1468.mp3"
              ],
              "text": "قُلْ يَٰٓأَيُّهَا ٱلنَّاسُ إِن كُنتُمْ فِى شَكٍّۢ مِّن دِينِى فَلَآ أَعْبُدُ ٱلَّذِينَ تَعْبُدُونَ مِن دُونِ ٱللَّهِ وَلَٰكِنْ أَعْبُدُ ٱللَّهَ ٱلَّذِى يَتَوَفَّىٰكُمْ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "বলে দাও-হে মানবকুল, তোমরা যদি আমার দ্বীনের ব্যাপারে সন্দিহান হয়ে থাক, তবে (জেনো) আমি তাদের এবাদত করি না যাদের এবাদত তোমরা কর আল্লাহ ব্যতীত। কিন্তু আমি এবাদত করি আল্লাহ ত’য়ালার, যিনি তুলে নেন তোমাদেরকে। আর আমার প্রতি নির্দেশ হয়েছে যাতে আমি ঈমানদারদের অন্তর্ভুক্ত থাকি।",
              "numberInSurah": 104,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়া আইয়ুহান্না-ছুইন কুনতুম ফী শাক্কিম মিন দীনী ফালা-আ‘বুদুল্লাযীনা তা‘বুদূ না মিন দূ নিল্লা-হি ওয়ালা-কিন আ‘বুদুল্লা-হা ল্লাযী ইয়াতাওয়াফফা-কুম ওয়া উমিরতুআন আকূনা মিনাল মু’মিনীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مِّنْ/مِّن/min//دِیْنِیْ/دِينِي/dini//فَلَاۤ/فَلَآ/fala//اَعْبُدُ/أَعۡبُدُ/a'budu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لٰكِنْ/وَلَٰكِنۡ/walakin//اَعْبُدُ/أَعۡبُدُ/a'budu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْ/ٱلَّذِي/alladhi//یَتَوَفّٰىكُمْ ۖۚ/يَتَوَفَّىٰكُمۡۖ/yatawaffakum//وَ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَۙ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "বলো//\"হে//\"মানুষ//যদি//তোমরা হয়ে থাকো//মধ্যে//সন্দেহের//সম্পর্কে//আমার দীন//তবে (জেনে রাখো) না//আমি ইবাদত করি//(তাদেরকে) যাদের//তোমরা উপাসনা করো//দিয়ে//বাদ//আল্লাহর//বরং//আমি ইবাদাত করি//আল্লাহরই//যিনি//মৃত্যু ঘটান তোমাদের//এবং আমি আদিষ্ট হয়েছি//যে//(যেন) আমি হই//অন্তর্ভুক্ত//মু'মিনদের\""
            },
            {
              "number": 1469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1469.mp3"
              ],
              "text": "وَأَنْ أَقِمْ وَجْهَكَ لِلدِّينِ حَنِيفًۭا وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "আর যেন সোজা দ্বীনের প্রতি মুখ করি সরল হয়ে এবং যেন মুশরেকদের অন্তর্ভুক্ত না হই।",
              "numberInSurah": 105,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন আকিম ওয়াজহাকা লিদ্দীনি হানীফাওঁ ওয়ালা-তাকূনান্না মিনাল মুশরিকীন।",
              "words_arabic": "وَ اَنْ/وَأَنۡ/wa-an//اَقِمْ/أَقِمۡ/aqim//وَجْهَكَ/وَجۡهَكَ/wajhaka//لِلدِّیْنِ/لِلدِّينِ/lilddini//حَنِیْفًا ۚ/حَنِيفٗا/hanifan//وَ لَا/وَلَا/wala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "এবং (এও) যে//\"প্রতিষ্ঠিত করো//চেহারাকে তোমার (লক্ষ্যকে)//জন্যে দীনের//একনিষ্ঠভাবে//এবং না//তোমরা হয়ো//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 1470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1470.mp3"
              ],
              "text": "وَلَا تَدْعُ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُكَ وَلَا يَضُرُّكَ ۖ فَإِن فَعَلْتَ فَإِنَّكَ إِذًۭا مِّنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "আর নির্দেশ হয়েছে আল্লাহ ব্যতীত এমন কাউকে ডাকবে না, যে তোমার ভাল করবে না মন্দও করবে না। বস্তুতঃ তুমি যদি এমন কাজ কর, তাহলে তখন তুমিও জালেমদের অন্তর্ভুক্ত হয়ে যাবে।",
              "numberInSurah": 106,
              "juz": 11,
              "manzil": 3,
              "page": 220,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাদ‘উ মিন দূ নিল্লা-হি মা-লা-ইয়ানফা‘উকা ওয়ালা-ইয়াদুররুকা ফাইন ফা‘আলতা ফাইন্নাকা ইযাম মিনাজ্জা-লিমীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَدْعُ/تَدۡعُ/tad'u//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَنْفَعُكَ/يَنفَعُكَ/yanfa'uka//وَ لَا/وَلَا/wala//یَضُرُّكَ ۚ/يَضُرُّكَۖ/yadurruka//فَاِنْ/فَإِن/fa-in//فَعَلْتَ/فَعَلۡتَ/fa'alta//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//اِذًا/إِذٗا/idhan//مِّنَ/مِّنَ/mina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং না//তুমি ডেকো (অন্য কাউকে)//দিয়ে//বাদ//আল্লাহ//যা//না//তোমার উপকার করতে পারে//আর না//তোমার অপকার করতে পারে//অতঃপর যদি//তুমি করো (তা)//তবে নিশ্চয়ই তুমি//তখন//অন্তর্ভুক্ত হবে//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 1471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1471.mp3"
              ],
              "text": "وَإِن يَمْسَسْكَ ٱللَّهُ بِضُرٍّۢ فَلَا كَاشِفَ لَهُۥٓ إِلَّا هُوَ ۖ وَإِن يُرِدْكَ بِخَيْرٍۢ فَلَا رَآدَّ لِفَضْلِهِۦ ۚ يُصِيبُ بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۚ وَهُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "আর আল্লাহ যদি তোমার উপর কোন কষ্ট আরোপ করেন তাহলে কেউ নেই তা খন্ডাবার মত তাঁকে ছাড়া। পক্ষান্তরে যদি তিনি কিছু কল্যাণ দান করেন, তবে তার মেহেরবানীকে রহিত করার মতও কেউ নেই। তিনি যার প্রতি অনুগ্রহ দান করতে চান স্বীয় বান্দাদের মধ্যে তাকেই দান করেন; বস্তুত; তিনিই ক্ষমাশীল দয়ালু।",
              "numberInSurah": 107,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়াইয়ঁইয়ামছাছকাল্লা-হু বিদুররিন ফালা-কা-শিফা লাহূ ইল্লা-হুওয়া ওয়া ইয়ঁ ইউরিদকা বিখাইরিন ফালা-রাদ্দা লিফাদলিহী ইউসীবুবিহী মাইঁ ইয়াশাউ মিন ‘ইবাদিহী ওয়া হুওয়াল গাফূরুর রাহীম।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّمْسَسْكَ/يَمۡسَسۡكَ/yamsaska//اللّٰهُ/ٱللَّهُ/al-lahu//بِضُرٍّ/بِضُرّٖ/bidurrin//فَلَا/فَلَا/fala//كَاشِفَ/كَاشِفَ/kashifa//لَهٗۤ/لَهُۥٓ/lahu//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//وَ اِنْ/وَإِن/wa-in//یُّرِدْكَ/يُرِدۡكَ/yurid'ka//بِخَیْرٍ/بِخَيۡرٖ/bikhayrin//فَلَا/فَلَا/fala//رَآدَّ/رَآدَّ/radda//لِفَضْلِهٖ ؕ/لِفَضۡلِهِۦۚ/lifadlihi//یُصِیْبُ/يُصِيبُ/yusibu//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ ؕ/عِبَادِهِۦۚ/ibadihi//وَ هُوَ/وَهُوَ/wahuwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং যদি//তোমাকে স্পর্শ করেন//আল্লাহ//দিয়ে কষ্ট//তবে নেই//মোচনকারী//জন্যে তার//এ ছাড়া//তিনিই//এবং যদি (আল্লাহ)//তোমার জন্যে চান//বিষয় কল্যাণের//তবে নেই//কোনো রদকারী//জন্যে অনুগ্রহের তাঁর//তিনি পৌঁছান//সহ তা//যাকে//তিনি ইচ্ছে করেন//মধ্য হতে//দাসদের তাঁর//এবং তিনি//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1472.mp3"
              ],
              "text": "قُلْ يَٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُمُ ٱلْحَقُّ مِن رَّبِّكُمْ ۖ فَمَنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۖ وَمَآ أَنَا۠ عَلَيْكُم بِوَكِيلٍۢ",
              "translate_bn": "বলে দাও, হে মানবকুল, সত্য তোমাদের কাছে পৌঁছে গেছে তোমাদের পরওয়ারদেগারের তরফ থেকে। এমন যে কেউ পথে আসে সেপথ প্রাপ্ত হয় স্বীয় মঙ্গলের জন্য। আর যে বিভ্রান্ত ঘুরতে থাকে, সে স্বীয় অমঙ্গলের জন্য বিভ্রান্ত অবস্থায় ঘুরতে থাকবে। অনন্তর আমি তোমাদের উপর অধিকারী নই।",
              "numberInSurah": 108,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআইয়ুহান্না-ছুকাদ জাআকুমুল হাক্কুমির রাব্বিকুম ফামানিহতাদাফাইন্নামা-ইয়াহতাদী লিনাফছিহী ওয়া মান দাল্লা ফাইন্নামা-ইয়াদিল্লু‘আলাইহা- ওয়ামাআনা-‘আলাইকুম বিওয়াকীল।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//قَدْ/قَدۡ/qad//جَآءَكُمُ/جَآءَكُمُ/jaakumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكُمْ ۚ/رَّبِّكُمۡۖ/rabbikum//فَمَنِ/فَمَنِ/famani//اهْتَدٰی/ٱهۡتَدَىٰ/ih'tada//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَهْتَدِیْ/يَهۡتَدِي/yahtadi//لِنَفْسِهٖ ۚ/لِنَفۡسِهِۦۖ/linafsihi//وَ مَنْ/وَمَن/waman//ضَلَّ/ضَلَّ/dalla//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَضِلُّ/يَضِلُّ/yadillu//عَلَیْهَا ۚ/عَلَيۡهَاۖ/alayha//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِوَكِیْلٍؕ/بِوَكِيلٖ/biwakilin",
              "words_bangla": "বলো//\"হে//\"মানুষ//নিশ্চয়ই//কাছে এসেছে তোমাদের//(প্রকৃত)সত্য//পক্ষ হতে//রবের তোমাদের//অতএব যে//সঠিক পথ পেলো//তবে প্রকৃতপক্ষে//সে সঠিকপথ পায়//জন্যে তার নিজের (মঙ্গলের)//এবং যে//পথভ্রষ্ট হলো//তবে প্রকৃতপক্ষে//সে পথভ্রষ্ট হয়//জন্যে তার (ক্ষতির)//এবং নই//আমি//উপর তোমাদের//কোনো কর্মবিধায়ক\""
            },
            {
              "number": 1473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1473.mp3"
              ],
              "text": "وَٱتَّبِعْ مَا يُوحَىٰٓ إِلَيْكَ وَٱصْبِرْ حَتَّىٰ يَحْكُمَ ٱللَّهُ ۚ وَهُوَ خَيْرُ ٱلْحَٰكِمِينَ",
              "translate_bn": "আর তুমি চল সে অনুযায়ী যেমন নির্দেশ আসে তোমার প্রতি এবং সবর কর, যতক্ষণ না ফয়সালা করেন আল্লাহ। বস্তুতঃ তিনি হচ্ছেন সর্বোত্তম ফয়সালাকারী।",
              "numberInSurah": 109,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 182,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাবি‘ মা ইঊহাইলাইকা ওয়াসবির হাত্তা-ইয়াহকুমাল্লা-হু ওয়া হুওয়া খাইরুল হা-কিমীন।",
              "words_arabic": "وَ اتَّبِعْ/وَٱتَّبِعۡ/wa-ittabi'//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//حَتّٰی/حَتَّىٰ/hatta//یَحْكُمَ/يَحۡكُمَ/yahkuma//اللّٰهُ ۖۚ/ٱللَّهُۚ/al-lahu//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الْحٰكِمِیْنَ۠/ٱلۡحَٰكِمِينَ/al-hakimina",
              "words_bangla": "এবং তুমি অনুসরণ করো//যা কিছু//ওহী করা হয়েছে//প্রতি তোমার//এবং ধৈর্য ধরো//যতক্ষণ না//মীমাংসা করে দেন//আল্লাহ//এবং তিনি//উত্তম//মীমাংসাকারীদের"
            }
          ]
        },
        {
          "number": 11,
          "name": "سُورَةُ هُودٍ",
          "englishName": "Hud",
          "englishNameTranslation": "Hud",
          "revelationType": "Meccan",
          "verse": 123,
          "words": 3930,
          "chars": 16168,
          "ayahs": [
            {
              "number": 1474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1474.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓر ۚ كِتَٰبٌ أُحْكِمَتْ ءَايَٰتُهُۥ ثُمَّ فُصِّلَتْ مِن لَّدُنْ حَكِيمٍ خَبِيرٍ",
              "translate_bn": "আলিফ, লা-ম, রা; এটি এমন এক কিতাব, যার আয়াত সমূহ সুপ্রতিষ্ঠিত অতঃপর সবিস্তারে বর্ণিত এক মহাজ্ঞানী, সর্বজ্ঞ সত্তার পক্ষ হতে।",
              "numberInSurah": 1,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 183,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "আলিফ লামরা-,কিতা-বুনউহকিমাত আ-য়া-তুহূছু ম্মা ফুসসিলাত মিল্লাদুনহাকীমিন খাবীর।",
              "words_arabic": "الٓرٰ ۫/الٓرۚ/alif-lam-ra//كِتٰبٌ/كِتَٰبٌ/kitabun//اُحْكِمَتْ/أُحۡكِمَتۡ/uh'kimat//اٰیٰتُهٗ/ءَايَٰتُهُۥ/ayatuhu//ثُمَّ/ثُمَّ/thumma//فُصِّلَتْ/فُصِّلَتۡ/fussilat//مِنْ/مِن/min//لَّدُنْ/لَّدُنۡ/ladun//حَكِیْمٍ/حَكِيمٍ/hakimin//خَبِیْرٍۙ/خَبِيرٍ/khabirin",
              "words_bangla": "আলিফ-লাম-রা//(এই) কিতাব//সুপ্রতিষ্ঠিত করা হয়েছে//তার আয়াতসমূহ//এরপর//বিশদভাবে বর্ণিত//থেকে//পক্ষ//(এমন সত্ত্বার যিনি) প্রজ্ঞাময়//সর্বজ্ঞ"
            },
            {
              "number": 1475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1475.mp3"
              ],
              "text": "أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۚ إِنَّنِى لَكُم مِّنْهُ نَذِيرٌۭ وَبَشِيرٌۭ",
              "translate_bn": "যেন তোমরা আল্লাহ ব্যতীত অন্য কারো বন্দেগী না কর। নিশ্চয় আমি তোমাদের প্রতি তাঁরই পক্ষ হতে সতর্ককারী ও সুসংবাদ দাতা।",
              "numberInSurah": 2,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 183,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "আল্লা তা‘বুদূ ইল্লাল্লা-হা ইন্নানী লাকুম মিনহু নাযীরুওঁ ওয়াবাশীর।",
              "words_arabic": "اَلَّا/أَلَّا/alla//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّا/إِلَّا/illa//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّنِیْ/إِنَّنِي/innani//لَكُمْ/لَكُم/lakum//مِّنْهُ/مِّنۡهُ/min'hu//نَذِیْرٌ/نَذِيرٞ/nadhirun//وَّ بَشِیْرٌۙ/وَبَشِيرٞ/wabashirun",
              "words_bangla": "(হুকুম হলো) না যে//তোমরা উপাসনা করো//ছাড়া//আল্লাহ//নিশ্চয়ই আমি//তোমাদের জন্য//তাঁরই পক্ষ হ'তে//সতর্ককারী//ও সুসংবাদ বাহক\""
            },
            {
              "number": 1476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1476.mp3"
              ],
              "text": "وَأَنِ ٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ يُمَتِّعْكُم مَّتَٰعًا حَسَنًا إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى وَيُؤْتِ كُلَّ ذِى فَضْلٍۢ فَضْلَهُۥ ۖ وَإِن تَوَلَّوْا۟ فَإِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍۢ كَبِيرٍ",
              "translate_bn": "আর তোমরা নিজেদের পালনকর্তা সমীপে ক্ষমা প্রার্থনা কর। অনন্তর তাঁরই প্রতি মনোনিবেশ কর। তাহলে তিনি তোমাদেরকে নির্দিষ্ট সময় পর্যন্ত উৎকৃষ্ট জীবনোপকরণ দান করবেন এবং অধিক আমলকারীকে বেশী করে দেবেন আর যদি তোমরা বিমুখ হতে থাক, তবে আমি তোমাদের উপর এক মহা দিবসের আযাবের আশঙ্কা করছি।",
              "numberInSurah": 3,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 183,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনিছতাগফিরূ রাব্বাকুম ছুম্মা তূবূইলাইহি ইউমাত্তি‘কুম মাতা-‘আন হাছানান ইলা আজালিম মুছাম্মাওঁ ওয়াইউ’তি কুল্লা যী ফাদলিন ফাদলাহূ ওয়া ইন তাওয়াল্লাও ফাইন্নী আখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিন কাবীর।",
              "words_arabic": "وَّ اَنِ/وَأَنِ/wa-ani//اسْتَغْفِرُوْا/ٱسۡتَغۡفِرُواْ/is'taghfiru//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//ثُمَّ/ثُمَّ/thumma//تُوْبُوْۤا/تُوبُوٓاْ/tubu//اِلَیْهِ/إِلَيۡهِ/ilayhi//یُمَتِّعْكُمْ/يُمَتِّعۡكُم/yumatti'kum//مَّتَاعًا/مَّتَٰعًا/mata'an//حَسَنًا/حَسَنًا/hasanan//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//وَّ یُؤْتِ/وَيُؤۡتِ/wayu'ti//كُلَّ/كُلَّ/kulla//ذِیْ/ذِي/dhi//فَضْلٍ/فَضۡلٖ/fadlin//فَضْلَهٗ ؕ/فَضۡلَهُۥۖ/fadlahu//وَ اِنْ/وَإِن/wa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنِّیْۤ/فَإِنِّيٓ/fa-inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٖ/yawmin//كَبِیْرٍ /كَبِيرٍ/kabirin",
              "words_bangla": "এবং (এও) যে//\"তোমরা ক্ষমা চাও//তোমাদের রবের (কাছে)//এরপর//ফিরে আসো তোমরা//তাঁরই দিকে//তিনি তোমাদের উপভোগ করতে দিবেন//জীবন সামগ্রী//উত্তম//পর্যন্ত//একটি কাল//নির্দিষ্ট//ও দিবেন//প্রত্যেক//যোগ্য (ব্যক্তিকে)//অনুগ্রহ পাওয়ার//তাঁর অনুগ্রহ//কিন্তু যদি//তোমরা মুখ ফিরিয়ে নাও//তবে নিশ্চয়ই আমি//আমি আশঙ্কা করছি//তোমাদের উপর//শাস্তির//দিনের//মহা"
            },
            {
              "number": 1477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1477.mp3"
              ],
              "text": "إِلَى ٱللَّهِ مَرْجِعُكُمْ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "আল্লাহর সান্নিধ্যেই তোমাদেরকে ফিরে যেতে হবে। আর তিনি সব কিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 4,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 183,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "ইলাল্লা-হি মারজি‘উকুম ওয়া হুওয়া ‘আলা-কুল্লি শাইইন কাদীর।",
              "words_arabic": "اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَرْجِعُكُمْ ۚ/مَرۡجِعُكُمۡۖ/marji'ukum//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "দিকে//আল্লাহরই//তোমাদের প্রত্যাবর্তন (হবে)//এবং তিনি//উপর//সব//কিছুরই//সর্বশক্তিমান\""
            },
            {
              "number": 1478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1478.mp3"
              ],
              "text": "أَلَآ إِنَّهُمْ يَثْنُونَ صُدُورَهُمْ لِيَسْتَخْفُوا۟ مِنْهُ ۚ أَلَا حِينَ يَسْتَغْشُونَ ثِيَابَهُمْ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "জেনে রাখ, নিশ্চয়ই তারা নিজেদের বক্ষদেশ ঘুরিয়ে দেয় যেন আল্লাহর নিকট হতে লুকাতে পারে। শুন, তারা তখন কাপড়ে নিজেদেরকে আচ্ছাদিত করে, তিনি তখনও জানেন যা কিছু তারা চুপিসারে বলে আর প্রকাশ্যভাবে বলে। নিশ্চয় তিনি জানেন যা কিছু অন্তর সমূহে নিহিত রয়েছে।",
              "numberInSurah": 5,
              "juz": 11,
              "manzil": 3,
              "page": 221,
              "ruku": 183,
              "hizbQuarter": 88,
              "sajda": false,
              "pronunciation_bn": "আলাইন্নাহুম ইয়াছনূনা সুদূ রাহুম লিইয়াছতাখফূমিনহু আলা-হীনা ইয়াছতাগশূনা ছিয়া-বাহুম ইয়া‘লামুমা-ইউছিররূনা ওয়ামা-ইউ‘লিনূনা ইন্নাহূ‘আলীমুম বিযাতিসসুদূ র।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّهُمْ/إِنَّهُمۡ/innahum//یَثْنُوْنَ/يَثۡنُونَ/yathnuna//صُدُوْرَهُمْ/صُدُورَهُمۡ/sudurahum//لِیَسْتَخْفُوْا/لِيَسۡتَخۡفُواْ/liyastakhfu//مِنْهُ ؕ/مِنۡهُۚ/min'hu//اَلَا/أَلَا/ala//حِیْنَ/حِينَ/hina//یَسْتَغْشُوْنَ/يَسۡتَغۡشُونَ/yastaghshuna//ثِیَابَهُمْ ۙ/ثِيَابَهُمۡ/thiyabahum//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یُسِرُّوْنَ/يُسِرُّونَ/yusirruna//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ ۚ/يُعۡلِنُونَۚ/yu'linuna//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "জেনে রাখো (লক্ষ্য করো)//তারা নিশ্চয়ই//দু-ভাঁজ করে//তাদের অন্তরগুলোকে//গোপন রাখার জন্যে (তাদের বিদ্বেষ)//তাঁর থেকে//জেনে রাখো//যখন//তারা ঢেকে রাখে (নিজেদেরকে)//তাদের কাপড় (দিয়ে)//(তখনও) তিনি জানেন//যা//তারা গোপন করে//আর যা//তারা প্রকাশ করে//নিশ্চয়ই তিনি//সবিশেষ অবহিত//সম্পর্কে অবস্থা//অন্তরসমূহের"
            },
            {
              "number": 1479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1479.mp3"
              ],
              "text": "۞ وَمَا مِن دَآبَّةٍۢ فِى ٱلْأَرْضِ إِلَّا عَلَى ٱللَّهِ رِزْقُهَا وَيَعْلَمُ مُسْتَقَرَّهَا وَمُسْتَوْدَعَهَا ۚ كُلٌّۭ فِى كِتَٰبٍۢ مُّبِينٍۢ",
              "translate_bn": "আর পৃথিবীতে কোন বিচরণশীল নেই, তবে সবার জীবিকার দায়িত্ব আল্লাহ নিয়েছেন তিনি জানেন তারা কোথায় থাকে এবং কোথায় সমাপিত হয়। সবকিছুই এক সুবিন্যস্ত কিতাবে রয়েছে।",
              "numberInSurah": 6,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 183,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-মিন দাব্বাতিন ফিল আরদিইল্লা- ‘আলাল্লা-হি রিঝকুহা- ওয়া ইয়া‘লামু মুছতাকাররাহা-ওয়া মুছতাওদা‘আহা- কুল্লুন ফী কিতা-বিম মুবীন।",
              "words_arabic": "وَ مَا/۞وَمَا/wama//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//رِزْقُهَا/رِزۡقُهَا/riz'quha//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مُسْتَقَرَّهَا/مُسۡتَقَرَّهَا/mus'taqarraha//وَ مُسْتَوْدَعَهَا ؕ/وَمُسۡتَوۡدَعَهَاۚ/wamus'tawda'aha//كُلٌّ/كُلّٞ/kullun//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং নেই//(এমন) কোন//বিচরণশীল জীব//মধ্যে//পৃথিবীর//এছাড়া//উপর//আল্লাহরই//তার জীবিকার (দায়িত্ব)//এবং তিনি জানেন//তার স্থায়ী অবস্থান//ও তার অস্থায়ী অবস্থান//সবই//মধ্যে (আছে)//এক কিতাবের//সুস্পষ্ট (লিখিত)"
            },
            {
              "number": 1480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1480.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍۢ وَكَانَ عَرْشُهُۥ عَلَى ٱلْمَآءِ لِيَبْلُوَكُمْ أَيُّكُمْ أَحْسَنُ عَمَلًۭا ۗ وَلَئِن قُلْتَ إِنَّكُم مَّبْعُوثُونَ مِنۢ بَعْدِ ٱلْمَوْتِ لَيَقُولَنَّ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "তিনিই আসমান ও যমীন ছয় দিনে তৈরী করেছেন, তাঁর আরশ ছিল পানির উপরে, তিনি তোমাদেরকে পরীক্ষা করতে চান যে, তোমাদের মধ্যে কে সবচেয়ে ভাল কাজ করে। আর যদি আপনি তাদেরকে বলেন যে, \"নিশ্চয় তোমাদেরকে মৃত্যুর পরে জীবিত ওঠানো হবে, তখন কাফেরেরা অবশ্য বলে এটা তো স্পষ্ট যাদু!\";",
              "numberInSurah": 7,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 183,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীখালাকাছছামা-ওয়া-তি ওয়াল আরদাফী ছিত্তাতি আইয়া-মিওঁ ওয়া কা-না ‘আরশুহূ‘আলাল মাই লিইয়াবলুওয়াকুম আইয়ুকুম আহছানু‘আমালাওঁ ওয়ালাইন কুলতা ইন্নাকুম মাব‘ঊছূনা মিম বা‘দিল মাওতি লাইয়াকূলান্নাল্লাযীনা কাফারূইন হা-যাইল্লা-ছিহরুম মুবীন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//وَّ كَانَ/وَكَانَ/wakana//عَرْشُهٗ/عَرۡشُهُۥ/arshuhu//عَلَی/عَلَى/ala//الْمَآءِ/ٱلۡمَآءِ/al-mai//لِیَبْلُوَكُمْ/لِيَبۡلُوَكُمۡ/liyabluwakum//اَیُّكُمْ/أَيُّكُمۡ/ayyukum//اَحْسَنُ/أَحۡسَنُ/ahsanu//عَمَلًا ؕ/عَمَلٗاۗ/amalan//وَ لَىِٕنْ/وَلَئِن/wala-in//قُلْتَ/قُلۡتَ/qul'ta//اِنَّكُمْ/إِنَّكُم/innakum//مَّبْعُوْثُوْنَ/مَّبۡعُوثُونَ/mab'uthuna//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//لَیَقُوْلَنَّ/لَيَقُولَنَّ/layaqulanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//সৃষ্টি করেছেন//আকাশ//ও পৃথিবী//মধ্যে//ছয়//দিনে//এবং (এর পূর্বে) ছিলো//তাঁর আরশ//উপর//পানির//যেন তিনি তোমাদের পরীক্ষা করতে পারেন//তোমাদের মধ্যে কে//উত্তম//কাজকর্মে//এবং অবশ্যই যদি//তুমি বলো//\"নিশ্চয়ই তোমরা//উত্থিত হবে//থেকে//পরে//মৃত্যুর\"//অবশ্যই তারা বলবে//যারা//অস্বীকার করেছে//\"নয়//\"এটা//এছাড়া//জাদু//সুস্পষ্ট\""
            },
            {
              "number": 1481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1481.mp3"
              ],
              "text": "وَلَئِنْ أَخَّرْنَا عَنْهُمُ ٱلْعَذَابَ إِلَىٰٓ أُمَّةٍۢ مَّعْدُودَةٍۢ لَّيَقُولُنَّ مَا يَحْبِسُهُۥٓ ۗ أَلَا يَوْمَ يَأْتِيهِمْ لَيْسَ مَصْرُوفًا عَنْهُمْ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "আর যদি আমি এক নির্ধারিত মেয়াদ পর্যন্ত তাদের আযাব স্থগিত রাখি, তাহলে তারা নিশ্চয়ই বলবে কোন জিনিসে আযাব ঠেকিয়ে রাখছে? শুনে রাখ, যেদিন তাদের উপর আযাব এসে পড়বে, সেদিন কিন্তু তা ফিরে যাওয়ার নয়; তারা যে ব্যাপারে উপহাস করত তাই তাদেরকে ঘিরে ফেলবে।",
              "numberInSurah": 8,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 183,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন আখখারনা-‘আনহুমুল ‘আযা-বা ইলাউম্মাতিম মা‘দূদাতিল লাইয়াকূলুন্না মাইয়াহবিছুহূ আলা-ইয়াওমা ইয়া’তীহিম লাইছা মাছরূফান ‘আনহুম ওয়া হা-কা বিহীম মা-কা-নূবিহী ইয়াছতাহঝিঊ-ন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَخَّرْنَا/أَخَّرۡنَا/akharna//عَنْهُمُ/عَنۡهُمُ/anhumu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//اِلٰۤی/إِلَىٰٓ/ila//اُمَّةٍ/أُمَّةٖ/ummatin//مَّعْدُوْدَةٍ/مَّعۡدُودَةٖ/ma'dudatin//لَّیَقُوْلُنَّ/لَّيَقُولُنَّ/layaqulunna//مَا/مَا/ma//یَحْبِسُهٗ ؕ/يَحۡبِسُهُۥٓۗ/yahbisuhu//اَلَا/أَلَا/ala//یَوْمَ/يَوۡمَ/yawma//یَاْتِیْهِمْ/يَأۡتِيهِمۡ/yatihim//لَیْسَ/لَيۡسَ/laysa//مَصْرُوْفًا/مَصۡرُوفًا/masrufan//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং অবশ্যই যদি//আমরা স্হগিত রাখি//তাদের থেকে//শাস্তি//পর্যন্ত//একটি সময়//নির্দিষ্ট//(তবে) অবশ্যই তারা বলবে//\"কিসে//তা আটকে রেখেছে\"//সাবধান//যেদিন//তাদের কাছে আসবে (তা)//না//ফিরানো যায়//থেকে তাদের (সেই শাস্তি)//এবং ঘিরে রাখবে//তাদেরকে//যা//তারা ছিলো//সম্বন্ধে সে//ঠাট্টা তামাশা করতো"
            },
            {
              "number": 1482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1482.mp3"
              ],
              "text": "وَلَئِنْ أَذَقْنَا ٱلْإِنسَٰنَ مِنَّا رَحْمَةًۭ ثُمَّ نَزَعْنَٰهَا مِنْهُ إِنَّهُۥ لَيَـُٔوسٌۭ كَفُورٌۭ",
              "translate_bn": "আর অবশ্যই যদি আমি মানুষকে আমার রহমতের আস্বাদ গ্রহণ করতে দেই, অতঃপর তা তার থেকে ছিনিয়ে নেই; তাহলে সে হতাশ ও কৃতঘ্ন হয়।",
              "numberInSurah": 9,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাইন আযাকনাল ইনছা-না মিন্না-রাহমাতান ছুম্মা নাঝা‘না-হা-মিনহু ইন্নাহূ লাইয়াঊছুন কাফূর।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَذَقْنَا/أَذَقۡنَا/adhaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنَّا/مِنَّا/minna//رَحْمَةً/رَحۡمَةٗ/rahmatan//ثُمَّ/ثُمَّ/thumma//نَزَعْنٰهَا/نَزَعۡنَٰهَا/naza'naha//مِنْهُ ۚ/مِنۡهُ/min'hu//اِنَّهٗ/إِنَّهُۥ/innahu//لَیَـُٔوْسٌ/لَيَـُٔوسٞ/layausun//كَفُوْرٌ /كَفُورٞ/kafurun",
              "words_bangla": "এবং অবশ্যই যদি//আমরা আস্বাদন করাই//মানুষকে//আমাদের পক্ষ থেকে//কোন অনুগ্রহ//এরপর//তা আমরা ছিনিয়ে নিই//তার থেকে//(তবে) সে নিশ্চয়ই//অবশ্যই হতাশ হয়//অকৃতজ্ঞ (হয়)"
            },
            {
              "number": 1483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1483.mp3"
              ],
              "text": "وَلَئِنْ أَذَقْنَٰهُ نَعْمَآءَ بَعْدَ ضَرَّآءَ مَسَّتْهُ لَيَقُولَنَّ ذَهَبَ ٱلسَّيِّـَٔاتُ عَنِّىٓ ۚ إِنَّهُۥ لَفَرِحٌۭ فَخُورٌ",
              "translate_bn": "আর যদি তার উপর আপতিত দুঃখ কষ্টের পরে তাকে সুখভোগ করতে দেই, তবে সে বলতে থাকে যে, আমার অমঙ্গল দূর হয়ে গেছে, আর সে আনন্দে আত্নহারা হয়, অহঙ্কারে উদ্দত হয়ে পড়ে।",
              "numberInSurah": 10,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাই আযাকনা-হু না‘মাআ বা‘দা দাররাআ মাছছাতহু লাইয়াকূলান্না যাহাবাছ ছাইয়িআ-তু‘আন্নী ইন্নাহূলাফারিহুন ফাখূর।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَذَقْنٰهُ/أَذَقۡنَٰهُ/adhaqnahu//نَعْمَآءَ/نَعۡمَآءَ/na'maa//بَعْدَ/بَعۡدَ/ba'da//ضَرَّآءَ/ضَرَّآءَ/darraa//مَسَّتْهُ/مَسَّتۡهُ/massathu//لَیَقُوْلَنَّ/لَيَقُولَنَّ/layaqulanna//ذَهَبَ/ذَهَبَ/dhahaba//السَّیِّاٰتُ/ٱلسَّيِّـَٔاتُ/al-sayiatu//عَنِّیْ ؕ/عَنِّيٓۚ/anni//اِنَّهٗ/إِنَّهُۥ/innahu//لَفَرِحٌ/لَفَرِحٞ/lafarihun//فَخُوْرٌۙ/فَخُورٌ/fakhurun",
              "words_bangla": "এবং অবশ্যই যদি//তাকে আমরা আস্বাদন করাই//অনুগ্রহসমূহ//পরে//দুঃখ-কষ্টের (যা)//তাকে স্পর্শ করেছিলো//অবশ্যই তারা বলবেই//\"কেটে গেছে//বিপদ আপদ//আমার থেকে//নিশ্চয়ই সে//অবশ্যই উল্লাসে ফেটে পড়ে//অহংকারী (হয়ে উঠে)"
            },
            {
              "number": 1484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1484.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ صَبَرُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ أُو۟لَٰٓئِكَ لَهُم مَّغْفِرَةٌۭ وَأَجْرٌۭ كَبِيرٌۭ",
              "translate_bn": "তবে যারা ধৈর্য্যধারণ করেছে এবং সৎকার্য করেছে তাদের জন্য ক্ষমা ও বিরাট প্রতিদান রয়েছে।",
              "numberInSurah": 11,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা সাবারূ ওয়া ‘আমিলুসসা-লিহা-তি উলাইকা লাহুম মাগফিরাতুওঁ ওয়া আজরুন কাবীর।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَبَرُوْا/صَبَرُواْ/sabaru//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ؕ/ٱلصَّـٰلِحَٰتِ/al-salihati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ اَجْرٌ/وَأَجۡرٞ/wa-ajrun//كَبِیْرٌ /كَبِيرٞ/kabirun",
              "words_bangla": "কিন্তু (ব্যতিক্রম)//(তারা) যারা//ধৈর্য ধরেছে//ও কাজ করেছে//সৎ//ঐসব লোক//তাদের জন্যে (রয়েছে)//ক্ষমা//ও পুরস্কার//মহা"
            },
            {
              "number": 1485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1485.mp3"
              ],
              "text": "فَلَعَلَّكَ تَارِكٌۢ بَعْضَ مَا يُوحَىٰٓ إِلَيْكَ وَضَآئِقٌۢ بِهِۦ صَدْرُكَ أَن يَقُولُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ كَنزٌ أَوْ جَآءَ مَعَهُۥ مَلَكٌ ۚ إِنَّمَآ أَنتَ نَذِيرٌۭ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ وَكِيلٌ",
              "translate_bn": "আর সম্ভবতঃ ঐসব আহকাম যা ওহীর মাধ্যমে তোমার নিকট পাঠানো হয়, তার কিছু অংশ বর্জন করবে? এবং এতে মন ছোট করে বসবে? তাদের এ কথায় যে, তাঁর উপর কোন ধন-ভান্ডার কেন অবতীর্ণ হয়নি? অথবা তাঁর সাথে কোন ফেরেশতা আসেনি কেন? তুমিতো শুধু সতর্ককারী মাত্র; আর সব কিছুরই দায়িত্বভার তো আল্লাহই নিয়েছেন।",
              "numberInSurah": 12,
              "juz": 12,
              "manzil": 3,
              "page": 222,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ফালা‘আল্লাকা তা-রিকুম বা‘দা মা-ইঊহাইলাইকা ওয়া দাইকুম বিহী সাদরুকা আইঁ ইয়াকূলূলাওলাউনঝিলা ‘আলাইহি কানঝুন আও জাআ মা‘আহূমালাকুন ইন্নামা আনতা নাযীরুওঁ ওয়াল্লা-হু ‘আলা-কুল্লি শাইইওঁ ওয়াকীল।",
              "words_arabic": "فَلَعَلَّكَ/فَلَعَلَّكَ/fala'allaka//تَارِكٌۢ/تَارِكُۢ/tarikun//بَعْضَ/بَعۡضَ/ba'da//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ ضَآىِٕقٌۢ/وَضَآئِقُۢ/wadaiqun//بِهٖ/بِهِۦ/bihi//صَدْرُكَ/صَدۡرُكَ/sadruka//اَنْ/أَن/an//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//كَنْزٌ/كَنزٌ/kanzun//اَوْ/أَوۡ/aw//جَآءَ/جَآءَ/jaa//مَعَهٗ/مَعَهُۥ/ma'ahu//مَلَكٌ ؕ/مَلَكٌۚ/malakun//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//نَذِیْرٌ ؕ/نَذِيرٞۚ/nadhirun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّكِیْلٌؕ/وَكِيلٌ/wakilun",
              "words_bangla": "তবে যেন তুমি (না)//পরিত্যাগকারী (হয়ো)//কিছু অংশ//(তার) যা//ওহী করা হয়েছে//তোমার প্রতি//এবং (যেন না) সংকুচিত করো//সম্পর্কে সে//তোমার মন//(এজন্যে) যে//তারা বলে//\"কেন না//অবতীর্ণ করা হলো//তার উপর//ধন ভান্ডার//অথবা//(কেন না) আসে//তার সাথে//কোন ফেরেশতা\"//মূলতঃ//তুমি//একজন সতর্ককারী (মাত্র)//এবং আল্লাহ//উপর//সব//কিছুর//কর্ম বিধায়ক"
            },
            {
              "number": 1486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1486.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ فَأْتُوا۟ بِعَشْرِ سُوَرٍۢ مِّثْلِهِۦ مُفْتَرَيَٰتٍۢ وَٱدْعُوا۟ مَنِ ٱسْتَطَعْتُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা কি বলে? কোরআন তুমি তৈরী করেছ? তুমি বল, তবে তোমরাও অনুরূপ দশটি সূরা তৈরী করে নিয়ে আস এবং আল্লাহ ছাড়া যাকে পার ডেকে নাও, যদি তোমাদের কথা সত্য হয়ে থাকে।",
              "numberInSurah": 13,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলুনাফ তারা-হু কুল ফা’তূবি‘আশরি ছুওয়ারিম মিছলিহী মুফতারাইয়া-তিওঁ ওয়াদ‘ঊ মানিছতাতা‘তুম মিনদূ নিল্লা-হি ইন কুনতুম সা-দিকীন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰىهُ ؕ/ٱفۡتَرَىٰهُۖ/if'tarahu//قُلْ/قُلۡ/qul//فَاْتُوْا/فَأۡتُواْ/fatu//بِعَشْرِ/بِعَشۡرِ/bi'ashri//سُوَرٍ/سُوَرٖ/suwarin//مِّثْلِهٖ/مِّثۡلِهِۦ/mith'lihi//مُفْتَرَیٰتٍ/مُفۡتَرَيَٰتٖ/muf'tarayatin//وَّ ادْعُوْا/وَٱدۡعُواْ/wa-id'u//مَنِ/مَنِ/mani//اسْتَطَعْتُمْ/ٱسۡتَطَعۡتُم/is'tata'tum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "অথবা//তারা বলে//\"তা সে রচনা করেছে\"//বলো//\"তবে তোমরা আনো//নিয়ে দশটি//সূরা//তার মতো//স্বরচিত//এবং তোমরা ডাকো//যাকে//তোমরা পারো//মধ্য হতে//ছাড়া//আল্লাহ//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 1487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1487.mp3"
              ],
              "text": "فَإِلَّمْ يَسْتَجِيبُوا۟ لَكُمْ فَٱعْلَمُوٓا۟ أَنَّمَآ أُنزِلَ بِعِلْمِ ٱللَّهِ وَأَن لَّآ إِلَٰهَ إِلَّا هُوَ ۖ فَهَلْ أَنتُم مُّسْلِمُونَ",
              "translate_bn": "অতঃপর তারা যদি তোমাদের কথা পুরণ করতে অপারগ হয়; তবে জেনে রাখ, এটি আল্লাহর এলম দ্বারা অবতীর্ণ হয়েছে; আরো একীন করে নাও যে, আল্লাহ ব্যতীত অন্য কোন মাবুদ নেই। অতএব, এখন কি তোমরা আত্নসমর্পন করবে?",
              "numberInSurah": 14,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ফাইল্লাম ইয়াছতাজীবূলাকুম ফা‘লামূআন্নামাউনঝিলা বি‘ইলমিল্লা-হি ওয়া আল্লাইলা-হা ইল্লা-হুওয়া ফাহাল আনতুম মুছলিমূন।\r\n",
              "words_arabic": "فَاِلَّمْ/فَإِلَّمۡ/fa-illam//یَسْتَجِیْبُوْا/يَسۡتَجِيبُواْ/yastajibu//لَكُمْ/لَكُمۡ/lakum//فَاعْلَمُوْۤا/فَٱعۡلَمُوٓاْ/fa-i'lamu//اَنَّمَاۤ/أَنَّمَآ/annama//اُنْزِلَ/أُنزِلَ/unzila//بِعِلْمِ/بِعِلۡمِ/bi'il'mi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَنْ/وَأَن/wa-an//لَّاۤ/لَّآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُم/antum//مُّسْلِمُوْنَ /مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "অতঃপর যদি না//তারা ডাকে সাড়া দেয়//তোমাদের//তবে তোমরা জেনে রাখো//মূলতঃ//অবতীর্ণ করা হয়েছে (এই কিতাব)//অনুসারে জ্ঞান//আল্লাহর//এবং (এও) যে//নেই//কোন ইলাহ//ছাড়া//তিনি//তবুও কি (না)//তোমরা//আত্মসমর্পণকারী (অর্থাৎ মুসলিম হবে)"
            },
            {
              "number": 1488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1488.mp3"
              ],
              "text": "مَن كَانَ يُرِيدُ ٱلْحَيَوٰةَ ٱلدُّنْيَا وَزِينَتَهَا نُوَفِّ إِلَيْهِمْ أَعْمَٰلَهُمْ فِيهَا وَهُمْ فِيهَا لَا يُبْخَسُونَ",
              "translate_bn": "যে ব্যক্তি পার্থিবজীবন ও তার চাকচিক্যই কামনা করে, হয় আমি তাদের দুনিয়াতেই তাদের আমলের প্রতিফল ভোগ করিয়ে দেব এবং তাতে তাদের প্রতি কিছুমাত্র কমতি করা হয় না।",
              "numberInSurah": 15,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইউরীদুলহায়া-তাদদুনইয়া-ওয়াঝীনাতাহা-নুওয়াফফি ইলাইহিম আ‘মা-লাহুম ফীহা-ওয়াহুম ফীহা-লা-ইউবখাছূন।",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ زِیْنَتَهَا/وَزِينَتَهَا/wazinataha//نُوَفِّ/نُوَفِّ/nuwaffi//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//فِیْهَا/فِيهَا/fiha//وَ هُمْ/وَهُمۡ/wahum//فِیْهَا/فِيهَا/fiha//لَا/لَا/la//یُبْخَسُوْنَ /يُبۡخَسُونَ/yub'khasuna",
              "words_bangla": "যে//কেউ//কামনা করে//জীবন//পার্থিব//ও তার শোভা-সৌন্দর্য//পূর্ণ ফল দিবো আমরা//তাদেরকে//তাদের কাজকর্মের//তার মধ্যে (অর্থাৎ পৃথিবীতে)//এবং তাদেরকে//তার মধ্যে//না//কম দেয়া হবে"
            },
            {
              "number": 1489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1489.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ لَيْسَ لَهُمْ فِى ٱلْءَاخِرَةِ إِلَّا ٱلنَّارُ ۖ وَحَبِطَ مَا صَنَعُوا۟ فِيهَا وَبَٰطِلٌۭ مَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "এরাই হল সেসব লোক আখেরাতে যাদের জন্য আগুন ছাড়া নেই। তারা এখানে যা কিছু করেছিল সবই বরবাদ করেছে; আর যা কিছু উপার্জন করেছিল, সবই বিনষ্ট হল।",
              "numberInSurah": 16,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা লাইছা লাহুম ফিল আ-খিরাতি ইল্লান্না-রু ওয়া হাবিতা মা-সানা‘ঊ ফীহা-ওয়া বা-তিলুম মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَیْسَ/لَيۡسَ/laysa//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اِلَّا/إِلَّا/illa//النَّارُ ۖؗ/ٱلنَّارُۖ/al-naru//وَ حَبِطَ/وَحَبِطَ/wahabita//مَا/مَا/ma//صَنَعُوْا/صَنَعُواْ/sana'u//فِیْهَا/فِيهَا/fiha//وَ بٰطِلٌ/وَبَٰطِلٞ/wabatilun//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "ঐসব লোক//(তারাই) যারা//নেই//তাদের জন্যে//মধ্যে//পরকালের//এছাড়া//(জাহান্নামের) আগুন//এবং পন্ড হয়েছে//যা//তারা করেছে//তার মধ্যে//ও অর্থহীন গণ্য হয়েছে//যা//তারা ছিলো//কাজকর্ম করে"
            },
            {
              "number": 1490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1490.mp3"
              ],
              "text": "أَفَمَن كَانَ عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّهِۦ وَيَتْلُوهُ شَاهِدٌۭ مِّنْهُ وَمِن قَبْلِهِۦ كِتَٰبُ مُوسَىٰٓ إِمَامًۭا وَرَحْمَةً ۚ أُو۟لَٰٓئِكَ يُؤْمِنُونَ بِهِۦ ۚ وَمَن يَكْفُرْ بِهِۦ مِنَ ٱلْأَحْزَابِ فَٱلنَّارُ مَوْعِدُهُۥ ۚ فَلَا تَكُ فِى مِرْيَةٍۢ مِّنْهُ ۚ إِنَّهُ ٱلْحَقُّ مِن رَّبِّكَ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ",
              "translate_bn": "আচ্ছা বল তো, যে ব্যক্তি তার প্রভুর সুস্পষ্ট পথে রয়েছে, আর সাথে সাথে আল্লাহর তরফ থেকে একটি সাক্ষীও বর্তমান রয়েছে এবং তার পূর্ববর্তী মূসা (আঃ) এর কিতাবও সাক্ষী যা ছিল পথনির্দেশক ও রহমত স্বরূপ, (তিনি কি অন্যান্যের সমান) অতএব তাঁরা কোরআনের প্রতি ঈমান আনেন। আর ঐসব দলগুলি যে কেউ তা অস্বীকার করে, দোযখই হবে তার ঠিকানা। অতএব, আপনি তাতে কোন সন্দেহে থাকবেন না। নিঃসন্দেহে তা আপনার পালনকর্তার পক্ষ হতে ধ্রুব সত্য; তথাপি অনেকেই তা বিশ্বাস করে না।",
              "numberInSurah": 17,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "আফামান কা-না ‘আলা-বাইয়িনাতিম মির রাব্বিহী ওয়া ইয়াতলূহু শা-হিদুম মিনহু ওয়ামিন কাবলিহী কিতা-বুমূছা-ইমা-মাওঁ ওয়া রাহমাতান উলাইকা ইউ’মিনূনা বিহী ওয়া মাইঁ ইয়াকফুর বিহী মিনাল আহঝা-বি ফান্না-রু মাও‘ইদুহূ ফালা-তাকুফী মিরইয়াতিম মিনহু ইন্নাহুল হাক্কুমির রাব্বিকা ওয়ালা-কিন্না আকছারান্না-ছি লাইউ’মিনূন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//وَ یَتْلُوْهُ/وَيَتۡلُوهُ/wayatluhu//شَاهِدٌ/شَاهِدٞ/shahidun//مِّنْهُ/مِّنۡهُ/min'hu//وَ مِنْ/وَمِن/wamin//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//كِتٰبُ/كِتَٰبُ/kitabu//مُوْسٰۤی/مُوسَىٰٓ/musa//اِمَامًا/إِمَامٗا/imaman//وَّ رَحْمَةً ؕ/وَرَحۡمَةًۚ/warahmatan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ ؕ/بِهِۦۚ/bihi//وَ مَنْ/وَمَن/waman//یَّكْفُرْ/يَكۡفُرۡ/yakfur//بِهٖ/بِهِۦ/bihi//مِنَ/مِنَ/mina//الْاَحْزَابِ/ٱلۡأَحۡزَابِ/al-ahzabi//فَالنَّارُ/فَٱلنَّارُ/fal-naru//مَوْعِدُهٗ ۚ/مَوۡعِدُهُۥۚ/maw'iduhu//فَلَا/فَلَا/fala//تَكُ/تَكُ/taku//فِیْ/فِي/fi//مِرْیَةٍ/مِرۡيَةٖ/mir'yatin//مِّنْهُ ۗ/مِّنۡهُۚ/min'hu//اِنَّهُ/إِنَّهُ/innahu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "তবে কি যে//হয় (প্রতিষ্ঠিত)//উপর//সুস্পষ্ট প্রমাণের//পক্ষ হ'তে//তার রবের//ও তার অনুসরণ করে//এক সাক্ষী (কুরআন)//তাঁর পক্ষ হ'তে//এবং পূর্বেও//তার (এসেছে)//কিতাব//মূসার (সাক্ষী হিসেবে)//যা পথপ্রদর্শক//ও অনুগ্রহস্বরূপ//ঐ সব লোক//ঈমান আনে//প্রতি তার//আর যে//অস্বীকার করে//তাকে//মধ্যে হ'তে//অন্যান্য দলের//তবে আগুন//তার প্রতিশ্রুত স্থান//সুতরাং না//তুমি হয়ো//মধ্যে//সন্দেহের//তা হ'তে//নিশ্চয়ই তা//প্রকৃত সত্য//পক্ষ হ'তে//তোমার রবের//কিন্তু//অধিকাংশ//মানুষ//না//তারা বিশ্বাস করে"
            },
            {
              "number": 1491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1491.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا ۚ أُو۟لَٰٓئِكَ يُعْرَضُونَ عَلَىٰ رَبِّهِمْ وَيَقُولُ ٱلْأَشْهَٰدُ هَٰٓؤُلَآءِ ٱلَّذِينَ كَذَبُوا۟ عَلَىٰ رَبِّهِمْ ۚ أَلَا لَعْنَةُ ٱللَّهِ عَلَى ٱلظَّٰلِمِينَ",
              "translate_bn": "আর তাদের চেয়ে বড় যালেম কে হতে পারে, যারা আল্লাহর প্রতি মিথ্যারোপ করে। এসব লোককে তাদের পালনকর্তার সাক্ষাত সম্মূখীন করা হবে আর সাক্ষিগণ বলতে থাকবে, এরাই ঐসব লোক, যারা তাদের পালনকর্তার প্রতি মিথ্যারোপ করেছিল। শুনে রাখ, যালেমদের উপর আল্লাহর অভিসম্পাত রয়েছে।",
              "numberInSurah": 18,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামূমিম্মানিফতারা-‘আলাল্লা-হি কাযিবান উলাইকা ইউ‘রাদূনা ‘আলারাব্বিহিম ওয়া ইয়াকূলুল আশহা-দুহাউলাইল্লাযীনা কাযাবূ‘আলা-রাব্বিহিম আলা-লা‘নাতুল্লা-হি ‘আলাজ্জা-লিমীন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا ؕ/كَذِبًاۚ/kadhiban//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُعْرَضُوْنَ/يُعۡرَضُونَ/yu'raduna//عَلٰی/عَلَىٰ/ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الْاَشْهَادُ/ٱلۡأَشۡهَٰدُ/al-ashhadu//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَبُوْا/كَذَبُواْ/kadhabu//عَلٰی/عَلَىٰ/ala//رَبِّهِمْ ۚ/رَبِّهِمۡۚ/rabbihim//اَلَا/أَلَا/ala//لَعْنَةُ/لَعۡنَةُ/la'natu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَی/عَلَى/ala//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং কে//বড় সীমালঙ্ঘনকারী (হ'তে পারে)//তার চেয়ে যে//রচনা করে//সম্বন্ধে//আল্লাহর//মিথ্যা//ঐসব লোককে//উপস্হিত করা হবে//কাছে//তাদের রবের//এবং বলবে//সাক্ষীরা//\"এসব লোকই//(তারা) যারা//মিথ্যা বলেছে//বিরুদ্ধে//তাদের রবের\"//সাবধান//অভিশাপ//আল্লাহর//উপর//(সেই) সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1492.mp3"
              ],
              "text": "ٱلَّذِينَ يَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًۭا وَهُم بِٱلْءَاخِرَةِ هُمْ كَٰفِرُونَ",
              "translate_bn": "যারা আল্লাহর পথে বাধা দেয়, আর তাতে বক্রতা খুজে বেড়ায়, এরাই আখরাতকে অস্বীকার করে।",
              "numberInSurah": 19,
              "juz": 12,
              "manzil": 3,
              "page": 223,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়া ইয়াবগূনাহা-‘ইওয়াজাওঁ ওয়াহুম বিলআখিরাতি হুম কা-ফিরূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَصُدُّوْنَ/يَصُدُّونَ/yasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَبْغُوْنَهَا/وَيَبۡغُونَهَا/wayabghunaha//عِوَجًا ؕ/عِوَجٗا/iwajan//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//هُمْ/هُمۡ/hum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "যারা//বাধা দেয়//থেকে//পথ//আল্লাহর//ও তাতে খোঁজ করে//দোষত্রুটি/বক্রতা//এবং তারা//প্রতি আখিরাতের//তারাই//অবিশ্বাসী"
            },
            {
              "number": 1493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1493.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ لَمْ يَكُونُوا۟ مُعْجِزِينَ فِى ٱلْأَرْضِ وَمَا كَانَ لَهُم مِّن دُونِ ٱللَّهِ مِنْ أَوْلِيَآءَ ۘ يُضَٰعَفُ لَهُمُ ٱلْعَذَابُ ۚ مَا كَانُوا۟ يَسْتَطِيعُونَ ٱلسَّمْعَ وَمَا كَانُوا۟ يُبْصِرُونَ",
              "translate_bn": "তারা পৃথিবীতেও আল্লাহকে অপারগ করতে পারবে না এবং আল্লাহ ব্যতীত তাদের কোন সাহায্যকারীও নেই, তাদের জন্য দ্বিগুণ শাস্তি রয়েছে; তারা শুনতে পারত না এবং দেখতেও পেত না।",
              "numberInSurah": 20,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "উলাইকা লাম ইয়াকূনূ মু‘জিঝীনা ফিল আরদিওয়ামা-কা-না লাহুম মিন দূ নিল্লা-হি মিন আওলিয়াআ । ইউদা-‘আফুলাহুমুল ‘আযা-বু মা-কা-নূইয়াছতাতী‘ঊনাছছাম‘আ ওয়ামা-কা-নূইউবসিরূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَمْ/لَمۡ/lam//یَكُوْنُوْا/يَكُونُواْ/yakunu//مُعْجِزِیْنَ/مُعۡجِزِينَ/mu'jizina//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِنۡ/min//اَوْلِیَآءَ ۘ/أَوۡلِيَآءَۘ/awliyaa//یُضٰعَفُ/يُضَٰعَفُ/yuda'afu//لَهُمُ/لَهُمُ/lahumu//الْعَذَابُ ؕ/ٱلۡعَذَابُۚ/al-'adhabu//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "ঐসব লোক//না//তারা ছিলো (সক্ষম)//(আল্লাহ-কে) অক্ষমকারী//মধ্যে//পৃথিবীর//এবং না//ছিলো//তাদের জন্যে//থেকে//ছাড়া//আল্লাহ//কোন//অভিভাবক//দ্বিগুণ করা হবে//তাদের জন্যে//শাস্তি//না//ছিলো//তারা সক্ষম//শুনতে//এবং না//ছিলো (সক্ষম)//তারা দেখতে"
            },
            {
              "number": 1494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1494.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "এরা সে লোক, যারা নিজেরাই নিজেদেরকে ক্ষতিগ্রস্ত করেছে, আর এরা যা কিছু মিথ্যা মা’বুদ সাব্যস্ত করেছিল, তা সবই তাদের থেকে হারিয়ে গেছে।",
              "numberInSurah": 21,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা খাছিরূ আনফুছাহুম ওয়াদাল্লা ‘আনহুম মা-কা-নূইয়াফতারূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "ঐসব লোক//যারা//ক্ষতি করেছে//তাদের নিজেদেরকে//ও উধাও হয়েছে//তাদের থেকে//যা//করতেছিলো//তারা রচনা"
            },
            {
              "number": 1495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1495.mp3"
              ],
              "text": "لَا جَرَمَ أَنَّهُمْ فِى ٱلْءَاخِرَةِ هُمُ ٱلْأَخْسَرُونَ",
              "translate_bn": "আখেরাতে এরাই হবে সর্বাধিক ক্ষতিগ্রস্থ কোন সন্দেহ নেই।",
              "numberInSurah": 22,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "লা-জারামা আন্নাহুম ফিল আ-খিরাতি হুমুল আখছারূন।",
              "words_arabic": "لَا/لَا/la//جَرَمَ/جَرَمَ/jarama//اَنَّهُمْ/أَنَّهُمۡ/annahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//هُمُ/هُمُ/humu//الْاَخْسَرُوْنَ /ٱلۡأَخۡسَرُونَ/al-akhsaruna",
              "words_bangla": "নেই//কোন সন্দেহ//যে তারা//মধ্যে//পরকালের//তারাই//সর্বাধিক ক্ষতিগ্রস্ত (হবে)"
            },
            {
              "number": 1496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1496.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَأَخْبَتُوٓا۟ إِلَىٰ رَبِّهِمْ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "নিশ্চয়ই যারা ঈমান এনেছে ও সৎকাজ করেছে এবং স্বীয় পালনকর্তার সমীপে বিনতি প্রকাশ করেছে তারাই বেহেশতবাসী, সেখানেই তারা চিরকাল থাকবে।",
              "numberInSurah": 23,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 184,
              "hizbQuarter": 89,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া আখবাতুইলা-রাব্বিহিম উলাইকা আসহা-বুল জান্নাতি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ اَخْبَتُوْۤا/وَأَخۡبَتُوٓاْ/wa-akhbatu//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ ۙ/رَبِّهِمۡ/rabbihim//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ ۚ/ٱلۡجَنَّةِۖ/al-janati//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//ও তারা বিনয়াবনত হয়েছে//প্রতি//তাদের রবের//ঐসব লোক//অধিবাসী হবে//জান্নাতের//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 1497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1497.mp3"
              ],
              "text": "۞ مَثَلُ ٱلْفَرِيقَيْنِ كَٱلْأَعْمَىٰ وَٱلْأَصَمِّ وَٱلْبَصِيرِ وَٱلسَّمِيعِ ۚ هَلْ يَسْتَوِيَانِ مَثَلًا ۚ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "উভয় পক্ষের দৃষ্টান্ত হচ্ছে যেমন অন্ধ ও বধির এবং যে দেখতে পায় ও শুনতে পায় উভয়ের অবস্থা কি এক সমান? তবুও তোমরা কি ভেবে দেখ না?",
              "numberInSurah": 24,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 184,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "মাছালুল ফারীকাইনি কালআ‘মা-ওয়াল আসাম্মি ওয়াল বাসীরি ওয়াছছামী‘ই হাল ইয়াছতাবিইয়া-নি মাছালান- আফালা-তাযাক্কারূন।",
              "words_arabic": "مَثَلُ/۞مَثَلُ/mathalu//الْفَرِیْقَیْنِ/ٱلۡفَرِيقَيۡنِ/al-fariqayni//كَالْاَعْمٰی/كَٱلۡأَعۡمَىٰ/kal-a'ma//وَ الْاَصَمِّ/وَٱلۡأَصَمِّ/wal-asami//وَ الْبَصِیْرِ/وَٱلۡبَصِيرِ/wal-basiri//وَ السَّمِیْعِ ؕ/وَٱلسَّمِيعِۚ/wal-sami'i//هَلْ/هَلۡ/hal//یَسْتَوِیٰنِ/يَسۡتَوِيَانِ/yastawiyani//مَثَلًا ؕ/مَثَلًاۚ/mathalan//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ۠/تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "উপমা//দলের//যেমন একজন অন্ধ//ও বধির//এবং (অপরজন) দৃষ্টিসম্পন্ন//ও শ্রবণশীল//কি//দু'টো সমান হয়//তুলনায়//তবুও কি না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 1498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1498.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦٓ إِنِّى لَكُمْ نَذِيرٌۭ مُّبِينٌ",
              "translate_bn": "আর অবশ্যই আমি নূহ (আঃ) কে তাঁর জাতির প্রতি প্রেরণ করেছি, (তিনি বললেন) নিশ্চয় আমি তোমাদের জন্য প্রকাশ্য সতর্ককারী।",
              "numberInSurah": 25,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-নূহান ইলা-কাওমিহী ইন্নী লাকুম নাযীরুম মুবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحًا/nuhan//اِلٰی/إِلَىٰ/ila//قَوْمِهٖۤ ؗ/قَوۡمِهِۦٓ/qawmihi//اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌۙ/مُّبِينٌ/mubinun",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//নূহকে//কাছে//তাঁর জাতির//\"(সে বলেছিলো) আমি নিশ্চয়ই//তোমাদের জন্যে//সতর্ককারী//সুস্পষ্ট"
            },
            {
              "number": 1499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1499.mp3"
              ],
              "text": "أَن لَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۖ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ أَلِيمٍۢ",
              "translate_bn": "তোমরা আল্লাহ ব্যতীত কারো এবাদত করবে না। নিশ্চয় আমি তোমাদের ব্যাপারে এক যন্ত্রণাদায়ক দিনের আযাবের ভয় করছি।",
              "numberInSurah": 26,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "আল্লা-তা‘বুদূইল্লাল্লা-হা ইন্নীআখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিন আলীম।",
              "words_arabic": "اَنْ/أَن/an//لَّا/لَّا/la//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّا/إِلَّا/illa//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "(সে বলেছিলো) যে//না//তোমরা উপাসনা করো//এছাড়া//আল্লাহর//নিশ্চয়ই আমি//আমি আশঙ্কা করি//তোমাদের উপর//শাস্তির//দিনের//যন্ত্রণাদায়ক\""
            },
            {
              "number": 1500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1500.mp3"
              ],
              "text": "فَقَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ مَا نَرَىٰكَ إِلَّا بَشَرًۭا مِّثْلَنَا وَمَا نَرَىٰكَ ٱتَّبَعَكَ إِلَّا ٱلَّذِينَ هُمْ أَرَاذِلُنَا بَادِىَ ٱلرَّأْىِ وَمَا نَرَىٰ لَكُمْ عَلَيْنَا مِن فَضْلٍۭ بَلْ نَظُنُّكُمْ كَٰذِبِينَ",
              "translate_bn": "তখন তাঁর কওমের কাফের প্রধানরা বলল আমরা তো আপনাকে আমাদের মত একজন মানুষ ব্যতীত আর কিছু মনে করি না; আর আমাদের মধ্যে যারা ইতর ও স্থুল-বুদ্ধিসম্পন্ন তারা ব্যতীত কাউকে তো আপনার আনুগত্য করতে দেখি না এবং আমাদের উপর আপনাদের কেন প্রাধান্য দেখি না, বরং আপনারা সবাই মিথ্যাবাদী বলে আমারা মনে করি।",
              "numberInSurah": 27,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ফাকালাল মালাউল্লাযীনা কাফারূ মিন কাওমিহী মা-নারা-কা ইল্লা-বাশারাম মিছলানাওয়ামা-নারা-কাততাবা‘আকা ইল্লাল্লাযীনা হুম আরা-যিলুনা-বা-দিয়াররা’ই ওয়ামানারা-লাকুম ‘আলাইনা-মিন ফাদলিম বাল নাজুন্নুকুম কা-যিবীন।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//مَا/مَا/ma//نَرٰىكَ/نَرَىٰكَ/naraka//اِلَّا/إِلَّا/illa//بَشَرًا/بَشَرٗا/basharan//مِّثْلَنَا/مِّثۡلَنَا/mith'lana//وَ مَا/وَمَا/wama//نَرٰىكَ/نَرَىٰكَ/naraka//اتَّبَعَكَ/ٱتَّبَعَكَ/ittaba'aka//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//اَرَاذِلُنَا/أَرَاذِلُنَا/aradhiluna//بَادِیَ/بَادِيَ/badiya//الرَّاْیِ ۚ/ٱلرَّأۡيِ/al-rayi//وَ مَا/وَمَا/wama//نَرٰی/نَرَىٰ/nara//لَكُمْ/لَكُمۡ/lakum//عَلَیْنَا/عَلَيۡنَا/alayna//مِنْ/مِن/min//فَضْلٍۭ/فَضۡلِۭ/fadlin//بَلْ/بَلۡ/bal//نَظُنُّكُمْ/نَظُنُّكُمۡ/nazunnukum//كٰذِبِیْنَ /كَٰذِبِينَ/kadhibina",
              "words_bangla": "অতঃপর বললো//(তার জাতির) প্রধানরা//যারা//অস্বীকার করেছিলো//মধ্য হ'তে//তাঁর জাতির//\"না//তোমাকে আমরা দেখছি//এছাড়া//একজন মানুষ//আমাদেরই মতো//এবং না//তোমাকে আমরা দেখছি//অনুসরণ করতে//এছাড়া//যারা//তারা (আমাদের মধ্যে)//আমাদের মধ্যে ছোটলোক//অপরিপক্ক//মতের//এবং না//দেখছি আমরা//জন্যে তোমাদের//আমাদের উপর//কোন//শ্রেষ্ঠত্ব//বরং//তোমাদের আমরা মনে করি//মিথ্যাবাদী\""
            },
            {
              "number": 1501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1501.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّى وَءَاتَىٰنِى رَحْمَةًۭ مِّنْ عِندِهِۦ فَعُمِّيَتْ عَلَيْكُمْ أَنُلْزِمُكُمُوهَا وَأَنتُمْ لَهَا كَٰرِهُونَ",
              "translate_bn": "নূহ (আঃ) বললেন-হে আমার জাতি! দেখ তো আমি যদি আমার পালনকর্তার পক্ষ হতে স্পষ্ট দলীলের উপর থাক, আর তিনি যদি তাঁর পক্ষ হতে আমাকে রহমত দান করে থাকেন, তারপরেও তা তোমাদের চোখে না পড়ে, তাহলে আমি কি উহা তোমাদের উপর তোমাদের ইচ্ছার বিরুদ্ধেই চাপিয়ে দিতে পারি ?",
              "numberInSurah": 28,
              "juz": 12,
              "manzil": 3,
              "page": 224,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি আরাআইতুম ইন কুনতু‘আলা-বাইয়িনাতিম মির রাববী ওয়া আ-তা-নী রাহমাতাম মিন ‘ইনদিহী ফা‘উম্মিয়াত ‘আলাইকুম আনুলঝিমুকুমূহা-ওয়া আনতুম লাহাকা-রিহূন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//كُنْتُ/كُنتُ/kuntu//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّیْ/رَّبِّي/rabbi//وَ اٰتٰىنِیْ/وَءَاتَىٰنِي/waatani//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّنۡ/min//عِنْدِهٖ/عِندِهِۦ/indihi//فَعُمِّیَتْ/فَعُمِّيَتۡ/fa'ummiyat//عَلَیْكُمْ ؕ/عَلَيۡكُمۡ/alaykum//اَنُلْزِمُكُمُوْهَا/أَنُلۡزِمُكُمُوهَا/anul'zimukumuha//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَهَا/لَهَا/laha//كٰرِهُوْنَ /كَٰرِهُونَ/karihuna",
              "words_bangla": "সে বললো//\"হে আমার সম্প্রদায়//তোমরা কি (ভেবে) দেখেছো//যদি//আমি হই (প্রতিষ্ঠিত)//উপর//সুস্পষ্ট নির্দশনের//পক্ষ থেকে//আমার রবের//ও আমাকে দিয়ে থাকেন//অনুগ্রহ//হতে//তাঁর নিকট//অথচ তা গোপন রাখা হয়েছে//কাছে তোমাদের//তা তোমাদের আমরা কি বাধ্য করতে পারি//যখন তোমরা//তা//অপছন্দ করছো"
            },
            {
              "number": 1502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1502.mp3"
              ],
              "text": "وَيَٰقَوْمِ لَآ أَسْـَٔلُكُمْ عَلَيْهِ مَالًا ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۚ وَمَآ أَنَا۠ بِطَارِدِ ٱلَّذِينَ ءَامَنُوٓا۟ ۚ إِنَّهُم مُّلَٰقُوا۟ رَبِّهِمْ وَلَٰكِنِّىٓ أَرَىٰكُمْ قَوْمًۭا تَجْهَلُونَ",
              "translate_bn": "আর হে আমার জাতি! আমি তো এজন্য তোমাদের কাছে কোন অর্থ চাই না; আমার পারিশ্রমিক তো আল্লাহর জিম্মায় রয়েছে। আমি কিন্তু ঈমানদারদের তাড়িয়ে দিতে পারি না। তারা অবশ্যই তাদের পালনকর্তার সাক্ষাত লাভ করবে। বরঞ্চ তোমাদেরই আমি অজ্ঞ সম্প্রদায় দেখছি।",
              "numberInSurah": 29,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি লাআছআলুকুম ‘আলাইহি মা-লান ইন আজরিয়া ইল্লা-‘আলাল্লা-হি ওয়ামাআনা-বিতা-রিদিল্লাযীনা আ-মানূ ইন্নাহুম মুলা-কূরাব্বিহিম ওয়ালাকিন্নীআরা-কুম কাওমান তাজহালূন।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//لَاۤ/لَآ/la//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مَالًا ؕ/مَالًاۖ/malan//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِۚ/al-lahi//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//بِطَارِدِ/بِطَارِدِ/bitaridi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ؕ/ءَامَنُوٓاْۚ/amanu//اِنَّهُمْ/إِنَّهُم/innahum//مُّلٰقُوْا/مُّلَٰقُواْ/mulaqu//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ لٰكِنِّیْۤ/وَلَٰكِنِّيٓ/walakinni//اَرٰىكُمْ/أَرَىٰكُمۡ/arakum//قَوْمًا/قَوۡمٗا/qawman//تَجْهَلُوْنَ /تَجۡهَلُونَ/tajhaluna",
              "words_bangla": "এবং হে আমার সম্প্রদায়//না//তোমাদের কাছে আমি চাই//এর বিনিময়ে//কোন ধন-সম্পদ//নয়//আমার পারিশ্রমিক//এছাড়া//কাছে//আল্লাহর//এবং নই//আমি//বিতাড়নকারী//(তাদেরকে) যারা//ঈমান এনেছে//তারা নিশ্চয়ই//সাক্ষাত করবে//তাদের রবের//কিন্তু আমি//তোমাদেরকে দেখছি//(এমন) সম্প্রদায়//(যারা তোমরা) মূর্খতা করছো"
            },
            {
              "number": 1503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1503.mp3"
              ],
              "text": "وَيَٰقَوْمِ مَن يَنصُرُنِى مِنَ ٱللَّهِ إِن طَرَدتُّهُمْ ۚ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "আর হে আমার জাতি! আমি যদি তাদের তাড়িয়ে দেই তাহলে আমাকে আল্লাহ হতে রেহাই দেবে কে? তোমরা কি চিন্তা করে দেখ না?",
              "numberInSurah": 30,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি মাইঁ ইয়ানসুরুনী মিনাল্লা-হি ইন তারাততুহুম আফালা-তাযাক্কারূন।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//مَنْ/مَن/man//یَّنْصُرُنِیْ/يَنصُرُنِي/yansuruni//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//طَرَدْتُّهُمْ ؕ/طَرَدتُّهُمۡۚ/taradttuhum//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "আর হে আমার সম্প্রদায়//কে//সাহায্য করবে আমাকে//থেকে//আল্লাহ//যদি//তাদেরকে আমি তাড়িয়ে দিই//তবে কি না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 1504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1504.mp3"
              ],
              "text": "وَلَآ أَقُولُ لَكُمْ عِندِى خَزَآئِنُ ٱللَّهِ وَلَآ أَعْلَمُ ٱلْغَيْبَ وَلَآ أَقُولُ إِنِّى مَلَكٌۭ وَلَآ أَقُولُ لِلَّذِينَ تَزْدَرِىٓ أَعْيُنُكُمْ لَن يُؤْتِيَهُمُ ٱللَّهُ خَيْرًا ۖ ٱللَّهُ أَعْلَمُ بِمَا فِىٓ أَنفُسِهِمْ ۖ إِنِّىٓ إِذًۭا لَّمِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "আর আমি তোমাদেরকে বলি না যে, আমার কাছে আল্লাহর ভান্ডার রয়েছে এবং একথাও বলি না যে, আমি গায়বী খবরও জানি; একথাও বলি না যে, আমি একজন ফেরেশতা; আর তোমাদের দৃষ্টিতে যারা লাঞ্ছিত আল্লাহ তাদের কোন কল্যাণ দান করবেন না। তাদের মনের কথা আল্লাহ ভাল করেই জানেন। সুতরাং এমন কথা বললে আমি অন্যায় কারী হব।",
              "numberInSurah": 31,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাআকূলুলাকুম ‘ইনদী খাঝাইনুল্লা-হি ওয়ালাআ‘লামুল গাইবা ওয়ালাআকূলু ইন্নী মালাকুওঁ ওয়ালাআকূলুলিল্লাযীনা তাঝদারীআ‘ইউনুকুম লাইঁ ইউতিয়াহুমুল্লা-হু খাইরান আল্লা-হু আ‘লামুবিমা-ফীআনফুছিহিম ইন্নীইযাল লামিনাজ্জালিমীন।",
              "words_arabic": "وَ لَاۤ/وَلَآ/wala//اَقُوْلُ/أَقُولُ/aqulu//لَكُمْ/لَكُمۡ/lakum//عِنْدِیْ/عِندِي/indi//خَزَآىِٕنُ/خَزَآئِنُ/khazainu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَاۤ/وَلَآ/wala//اَعْلَمُ/أَعۡلَمُ/a'lamu//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//وَ لَاۤ/وَلَآ/wala//اَقُوْلُ/أَقُولُ/aqulu//اِنِّیْ/إِنِّي/inni//مَلَكٌ/مَلَكٞ/malakun//وَّ لَاۤ/وَلَآ/wala//اَقُوْلُ/أَقُولُ/aqulu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//تَزْدَرِیْۤ/تَزۡدَرِيٓ/tazdari//اَعْیُنُكُمْ/أَعۡيُنُكُمۡ/a'yunukum//لَنْ/لَن/lan//یُّؤْتِیَهُمُ/يُؤۡتِيَهُمُ/yu'tiyahumu//اللّٰهُ/ٱللَّهُ/al-lahu//خَیْرًا ؕ/خَيۡرًاۖ/khayran//اَللّٰهُ/ٱللَّهُ/al-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ ۖۚ/أَنفُسِهِمۡ/anfusihim//اِنِّیْۤ/إِنِّيٓ/inni//اِذًا/إِذٗا/idhan//لَّمِنَ/لَّمِنَ/lamina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং না//আমি বলছি//তোমাদেরকে (এ কথা যে)//আমার কাছে (আছে)//ধনভান্ডার//আল্লাহর//এবং না//আমি জানি//অদৃশ্য (সম্বন্ধে)//এবং না//আমি বলছি (এ কথা যে)//নিশ্চয়ই আমি//ফেরেশতা//এবং না//আমি বলছি//যাদেরকে//নিতান্ত হীন মনে করে//তোমাদের চোখগুলো//কখনও না//তাদের দিবেন//আল্লাহ//কোন কল্যাণ//আল্লাহ//সম্যক অবগত//ঐ বিষয়ে যা//মধ্যে আছে//তাদের মনের//(এমন বললে) আমি নিশ্চয়ই//তখন//অবশ্যই অন্তর্ভুক্ত হবো//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 1505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1505.mp3"
              ],
              "text": "قَالُوا۟ يَٰنُوحُ قَدْ جَٰدَلْتَنَا فَأَكْثَرْتَ جِدَٰلَنَا فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "তারা বলল-হে নূহ! আমাদের সাথে আপনি তর্ক করেছেন এবং অনেক কলহ করেছেন। এখন আপনার সেই আযাব নিয়ে আসুন, যে সম্পর্কে আপনি আমাদিগকে সতর্ক করেছেন, যদি আপনি সত্যবাদী হয়ে থাকেন।",
              "numberInSurah": 32,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "কা-লূ ইয়া-নূহু কাদ জা-দালতানা ফাআকছারতা জিদা-লানা- ফা’তিনা- বিমাতা‘ইদুনাইন কুনতা মিনাসসা-দিকীন।\r\n",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰنُوْحُ/يَٰنُوحُ/yanuhu//قَدْ/قَدۡ/qad//جٰدَلْتَنَا/جَٰدَلۡتَنَا/jadaltana//فَاَكْثَرْتَ/فَأَكۡثَرۡتَ/fa-aktharta//جِدَا لَنَا/جِدَٰلَنَا/jidalana//فَاْتِنَا/فَأۡتِنَا/fatina//بِمَا/بِمَا/bima//تَعِدُنَاۤ/تَعِدُنَآ/ta'iduna//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "(শেষ পর্যন্ত) তারা বললো//\"হে নূহ//নিশ্চয়ই//আমাদের সাথে তুমি তর্ক করেছো//অতঃপর করেছো তুমি বড় বেশী//আমাদের সাথে তর্ক//অতএব আস আমাদের কাছে//নিয়ে ঐ বিষয় যার//আমাদেরকে ভয় দেখাচ্ছো//যদি//তুমি হও//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 1506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1506.mp3"
              ],
              "text": "قَالَ إِنَّمَا يَأْتِيكُم بِهِ ٱللَّهُ إِن شَآءَ وَمَآ أَنتُم بِمُعْجِزِينَ",
              "translate_bn": "তিনি বলেন, উহা তোমাদের কাছে আল্লাহই আনবেন, যদি তিনি ইচ্ছা করেন তখন তোমরা পালিয়ে তাঁকে অপারগ করতে পারবে না।",
              "numberInSurah": 33,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নামা-ইয়া’তীকুম বিহিল্লা-হু ইন শাআ ওয়ামাআনতুম বিমু‘জিঝীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّمَا/إِنَّمَا/innama//یَاْتِیْكُمْ/يَأۡتِيكُم/yatikum//بِهِ/بِهِ/bihi//اللّٰهُ/ٱللَّهُ/al-lahu//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُعْجِزِیْنَ /بِمُعۡجِزِينَ/bimu'jizina",
              "words_bangla": "সে বললো//\"প্রকৃতপক্ষে//তোমাদের কাছে আসবেন//নিয়ে তা//আল্লাহ//যদি//তিনি ইচ্ছে করেন//এবং নও//তোমরা//ব্যর্থ করতে সক্ষম (আল্লাহকে)"
            },
            {
              "number": 1507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1507.mp3"
              ],
              "text": "وَلَا يَنفَعُكُمْ نُصْحِىٓ إِنْ أَرَدتُّ أَنْ أَنصَحَ لَكُمْ إِن كَانَ ٱللَّهُ يُرِيدُ أَن يُغْوِيَكُمْ ۚ هُوَ رَبُّكُمْ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "আর আমি তোমাদের নসীহত করতে চাইলেও তা তোমাদের জন্য ফলপ্রসূ হবে না, যদি আল্লাহ তোমাদেরকে গোমরাহ করতে চান; তিনিই তোমাদের পালনকর্তা এবং তাঁর কাছেই তোমাদের ফিরে যেতে হবে।",
              "numberInSurah": 34,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়ানফা‘উকুম নুসহীইন আরাততুআন আনসাহা লাকুম ইন কা-নাল্লা-হু ইউরীদু আইঁ ইউগবিয়াকুম হুওয়া রাব্বুকুম ওয়া ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَنْفَعُكُمْ/يَنفَعُكُمۡ/yanfa'ukum//نُصْحِیْۤ/نُصۡحِيٓ/nus'hi//اِنْ/إِنۡ/in//اَرَدْتُّ/أَرَدتُّ/aradttu//اَنْ/أَنۡ/an//اَنْصَحَ/أَنصَحَ/ansaha//لَكُمْ/لَكُمۡ/lakum//اِنْ/إِن/in//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//یُرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یُّغْوِیَكُمْ ؕ/يُغۡوِيَكُمۡۚ/yugh'wiyakum//هُوَ/هُوَ/huwa//رَبُّكُمْ ۫/رَبُّكُمۡ/rabbukum//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَؕ/تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "এবং না//তোমাদের উপকার দিবে//আমার সদুপদেশ//যদি//আমি চাইও//যে//সদুপদেশ দিবো আমি//তোমাদের জন্যে//যদি//(এমন) হয়//আল্লাহ//চান//যে//তোমাদের বিভ্রান্ত করতে//তিনিই//তোমাদের রব//এবং তাঁরই দিকে//প্রত্যাবর্তিত হবে তোমরা\""
            },
            {
              "number": 1508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1508.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ إِنِ ٱفْتَرَيْتُهُۥ فَعَلَىَّ إِجْرَامِى وَأَنَا۠ بَرِىٓءٌۭ مِّمَّا تُجْرِمُونَ",
              "translate_bn": "তারা কি বলে? আপনি কোরআন রচনা করে এনেছেন? আপনি বলে দিন আমি যদি রচনা করে এনে থাকি, তবে সে অপরাধ আমার, আর তোমরা যেসব অপরাধ কর তার সাথে আমার কোন সম্পর্ক নেই।",
              "numberInSurah": 35,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 185,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনাফ তারা-হু কুল ইনিফ তারাইতুহূফা‘আলাইয়া ইজরা-মী ওয়া আনা বারীউম মিম্মা-তুজরিমূন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰىهُ ؕ/ٱفۡتَرَىٰهُۖ/if'tarahu//قُلْ/قُلۡ/qul//اِنِ/إِنِ/ini//افْتَرَیْتُهٗ/ٱفۡتَرَيۡتُهُۥ/if'taraytuhu//فَعَلَیَّ/فَعَلَيَّ/fa'alayya//اِجْرَامِیْ/إِجۡرَامِي/ij'rami//وَ اَنَا/وَأَنَا۠/wa-ana//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تُجْرِمُوْنَ۠/تُجۡرِمُونَ/tuj'rimuna",
              "words_bangla": "অথবা কি//তারা বলে//\"তা সে রচনা করেছে\"//(হে নাবী) বলো//\"যদি//তা আমি রচনা করে থাকি//তবে আমার উপর//আমার অপরাধ//এবং আমি//দায়মুক্ত//তা হ'তে যা//তোমরা অপরাধ করছো\""
            },
            {
              "number": 1509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1509.mp3"
              ],
              "text": "وَأُوحِىَ إِلَىٰ نُوحٍ أَنَّهُۥ لَن يُؤْمِنَ مِن قَوْمِكَ إِلَّا مَن قَدْ ءَامَنَ فَلَا تَبْتَئِسْ بِمَا كَانُوا۟ يَفْعَلُونَ",
              "translate_bn": "আর নূহ (আঃ) এর প্রতি ওহী প্রেরণ করা হলো যে, যারা ইতিমধ্যেই ঈমান এনেছে তাদের ছাড়া আপনার জাতির অন্য কেউ ঈমান আনবেনা এতএব তাদের কার্যকলাপে বিমর্ষ হবেন না।",
              "numberInSurah": 36,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 186,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঊহিয়া ইলা-নূহিনআন্নাহূলাইঁ ইউ’মিনা মিন কাওমিকা ইল্লা-মান কাদ আ-মানা ফালাতাবতাইছ বিমা-কা-নূইয়াফ‘আলূন।",
              "words_arabic": "وَ اُوْحِیَ/وَأُوحِيَ/wauhiya//اِلٰی/إِلَىٰ/ila//نُوْحٍ/نُوحٍ/nuhin//اَنَّهٗ/أَنَّهُۥ/annahu//لَنْ/لَن/lan//یُّؤْمِنَ/يُؤۡمِنَ/yu'mina//مِنْ/مِن/min//قَوْمِكَ/قَوۡمِكَ/qawmika//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//قَدْ/قَدۡ/qad//اٰمَنَ/ءَامَنَ/amana//فَلَا/فَلَا/fala//تَبْتَىِٕسْ/تَبۡتَئِسۡ/tabta-is//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْعَلُوْنَۚۖ/يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "এবং ওহী করা হলো//প্রতি//নূহের//\"যে//কখনও না//কেউ ঈমান আনবে//মধ্য হ'তে//তোমার জাতির//এ ছাড়া//যে//নিশ্চয়ই//ঈমান এনেছে//অতএব না//তুমি বিমর্ষ হয়ো//ঐ বিষয়ে যা//তারা ছিলো//তারা করে যাচ্ছে"
            },
            {
              "number": 1510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1510.mp3"
              ],
              "text": "وَٱصْنَعِ ٱلْفُلْكَ بِأَعْيُنِنَا وَوَحْيِنَا وَلَا تُخَٰطِبْنِى فِى ٱلَّذِينَ ظَلَمُوٓا۟ ۚ إِنَّهُم مُّغْرَقُونَ",
              "translate_bn": "আর আপনি আমার সম্মুখে আমারই নির্দেশ মোতাবেক একটি নৌকা তৈরী করুন এবং পাপিষ্ঠদের ব্যাপারে আমাকে কোন কথা বলবেন না। অবশ্যই তারা ডুবে মরবে।",
              "numberInSurah": 37,
              "juz": 12,
              "manzil": 3,
              "page": 225,
              "ruku": 186,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়াসনা‘ইল ফূলকা বিআ‘ইউনিনা-ওয়া ওয়াহয়িনা-ওয়ালা-তুখা-তিবনী ফিল্লাযীনা জালামূ ইন্নাহুম মুগরাকূন।\r\n",
              "words_arabic": "وَ اصْنَعِ/وَٱصۡنَعِ/wa-is'na'i//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//بِاَعْیُنِنَا/بِأَعۡيُنِنَا/bi-a'yunina//وَ وَحْیِنَا/وَوَحۡيِنَا/wawahyina//وَ لَا/وَلَا/wala//تُخَاطِبْنِیْ/تُخَٰطِبۡنِي/tukhatib'ni//فِی/فِي/fi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا ۚ/ظَلَمُوٓاْ/zalamu//اِنَّهُمْ/إِنَّهُم/innahum//مُّغْرَقُوْنَ /مُّغۡرَقُونَ/mugh'raquna",
              "words_bangla": "এবং নির্মাণ করো//একটি নৌযান//আমাদের পর্যবেক্ষণে//ও আমাদের ওহী অনুসারে//এবং না//আমাকে কিছু বলবে//ব্যাপারে//(তাদের) যারা//সীমালঙ্ঘন করেছে//নিশ্চয়ই তারা//ডুবে যাবে\""
            },
            {
              "number": 1511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1511.mp3"
              ],
              "text": "وَيَصْنَعُ ٱلْفُلْكَ وَكُلَّمَا مَرَّ عَلَيْهِ مَلَأٌۭ مِّن قَوْمِهِۦ سَخِرُوا۟ مِنْهُ ۚ قَالَ إِن تَسْخَرُوا۟ مِنَّا فَإِنَّا نَسْخَرُ مِنكُمْ كَمَا تَسْخَرُونَ",
              "translate_bn": "তিনি নৌকা তৈরী করতে লাগলেন, আর তাঁর কওমের নেতৃস্থানীয় ব্যক্তিরা যখন পার্শ্ব দিয়ে যেত, তখন তাঁকে বিদ্রুপ করত। তিনি বললেন, তোমরা যদি আমাদের উপহাস করে থাক, তবে তোমরা যেমন উপহাস করছ আমরাও তদ্রুপ তোমাদের উপহাস করছি।",
              "numberInSurah": 38,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াসনা‘উল ফুলকা ওয়া কুল্লামা-মাররা ‘আলাইহি মালাউম মিন কাওমিহী ছাখিরূ মিনহু কা-লা ইন তাছখারূ মিন্না-ফাইন্না-নাছখারু মিনকুম কামা-তাছখারূন।",
              "words_arabic": "وَ یَصْنَعُ/وَيَصۡنَعُ/wayasna'u//الْفُلْكَ ۫/ٱلۡفُلۡكَ/al-ful'ka//وَ كُلَّمَا/وَكُلَّمَا/wakullama//مَرَّ/مَرَّ/marra//عَلَیْهِ/عَلَيۡهِ/alayhi//مَلَاٌ/مَلَأٞ/mala-on//مِّنْ/مِّن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//سَخِرُوْا/سَخِرُواْ/sakhiru//مِنْهُ ؕ/مِنۡهُۚ/min'hu//قَالَ/قَالَ/qala//اِنْ/إِن/in//تَسْخَرُوْا/تَسۡخَرُواْ/taskharu//مِنَّا/مِنَّا/minna//فَاِنَّا/فَإِنَّا/fa-inna//نَسْخَرُ/نَسۡخَرُ/naskharu//مِنْكُمْ/مِنكُمۡ/minkum//كَمَا/كَمَا/kama//تَسْخَرُوْنَؕ/تَسۡخَرُونَ/taskharuna",
              "words_bangla": "এবং সে নির্মাণ করতে লাগলো//একটি নৌযান//এবং যখনই//অতিক্রম করতো//তার পাশ দিয়ে//প্রধানেরা//মধ্যকার//তার জাতির//ঠাট্টা করতো//তার সাথে//সে বলতো//\"যদি//তোমরা ঠাট্টা করো//আমাদেরকে//তবে নিশ্চয়ই আমরাও//আমরা ঠাট্টা করবো//তোমাদেরকে//যেমন//ঠাট্টা করছো তোমরা"
            },
            {
              "number": 1512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1512.mp3"
              ],
              "text": "فَسَوْفَ تَعْلَمُونَ مَن يَأْتِيهِ عَذَابٌۭ يُخْزِيهِ وَيَحِلُّ عَلَيْهِ عَذَابٌۭ مُّقِيمٌ",
              "translate_bn": "অতঃপর অচিরেই জানতে পারবে-লাঞ্ছনাজনক আযাব কার উপর আসে এবং চিরস্থায়ী আযাব কার উপর অবতরণ করে।",
              "numberInSurah": 39,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "ফাছাওফা তা‘লামূনা মাইঁ ইয়া’তীহি ‘আযা-বুইঁ ইউখঝীহি ওয়া ইয়াহিল্লু‘আলাইহি ‘আযা-বুম মুকীম।",
              "words_arabic": "فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَ ۙ/تَعۡلَمُونَ/ta'lamuna//مَنْ/مَن/man//یَّاْتِیْهِ/يَأۡتِيهِ/yatihi//عَذَابٌ/عَذَابٞ/adhabun//یُّخْزِیْهِ/يُخۡزِيهِ/yukh'zihi//وَ یَحِلُّ/وَيَحِلُّ/wayahillu//عَلَیْهِ/عَلَيۡهِ/alayhi//عَذَابٌ/عَذَابٞ/adhabun//مُّقِیْمٌ /مُّقِيمٌ/muqimun",
              "words_bangla": "অতঃপর শীঘ্রই//তোমরা জানবে//কে (সেই)//তার উপর আসবে//শাস্তি//যা তাকে লাঞ্ছিত করবে//ও অবশ্যম্ভাবী//তার উপর//শাস্তি//স্থায়ী\""
            },
            {
              "number": 1513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1513.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا جَآءَ أَمْرُنَا وَفَارَ ٱلتَّنُّورُ قُلْنَا ٱحْمِلْ فِيهَا مِن كُلٍّۢ زَوْجَيْنِ ٱثْنَيْنِ وَأَهْلَكَ إِلَّا مَن سَبَقَ عَلَيْهِ ٱلْقَوْلُ وَمَنْ ءَامَنَ ۚ وَمَآ ءَامَنَ مَعَهُۥٓ إِلَّا قَلِيلٌۭ",
              "translate_bn": "অবশেষে যখন আমার হুকুম এসে পৌঁছাল এবং ভুপৃষ্ঠ উচ্ছসিত হয়ে উঠল, আমি বললামঃ সর্বপ্রকার জোড়ার দুটি করে এবং যাদের উপরে পূর্বহেߦ#2439; হুকুম হয়ে গেছে তাদের বাদি দিয়ে, আপনার পরিজনবর্গ ও সকল ঈমানদারগণকে নৌকায় তুলে নিন। বলাবাহুল্য অতি অল্পসংখ্যক লোকই তাঁর সাথে ঈমান এনেছিল।",
              "numberInSurah": 40,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 90,
              "sajda": false,
              "pronunciation_bn": "হাত্তা-ইযা-জাআ আমরুনা-ওয়া ফা-রাত্তাননূরু কুলনাহমিল ফীহা-মিন কুল্লিন ঝাওজাইনিছ নাইনি ওয়া আহলাকা ইল্লা-মান ছাবাকা ‘আলাইহিল কাওলুওয়ামান আ-মানা ওয়ামাআ-মানা মা‘আহূইল্লা-কালীল।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//وَ فَارَ/وَفَارَ/wafara//التَّنُّوْرُ ۙ/ٱلتَّنُّورُ/al-tanuru//قُلْنَا/قُلۡنَا/qul'na//احْمِلْ/ٱحۡمِلۡ/ih'mil//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلٍّ/كُلّٖ/kullin//زَوْجَیْنِ/زَوۡجَيۡنِ/zawjayni//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//وَ اَهْلَكَ/وَأَهۡلَكَ/wa-ahlaka//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//سَبَقَ/سَبَقَ/sabaqa//عَلَیْهِ/عَلَيۡهِ/alayhi//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//وَ مَنْ/وَمَنۡ/waman//اٰمَنَ ؕ/ءَامَنَۚ/amana//وَ مَاۤ/وَمَآ/wama//اٰمَنَ/ءَامَنَ/amana//مَعَهٗۤ/مَعَهُۥٓ/ma'ahu//اِلَّا/إِلَّا/illa//قَلِیْلٌ /قَلِيلٞ/qalilun",
              "words_bangla": "অবশেষে//যখন//আসলো//আমাদের নির্দেশ//এবং উথলে উঠলো//চুলা//আমরা বললাম//\"তুলে নাও//তার মধ্যে (নৌযানে)//থেকে//প্রত্যেক//প্রকারের (জীব-জন্তু)//দুইটি (অর্থাৎ নর ও নারী)//এবং তোমার পরিবারকে//ছাড়া//যার (সম্পর্কে)//পূর্বে হয়েছে//তার বিরুদ্ধে//(হুঁশিয়ারী) সিদ্ধান্ত//এবং (তাদেরকে) যারা//ঈমান এনেছে\"//এবং না//ঈমান এনেছিলো//তার সাথে//ছাড়া//অল্প সংখ্যক লোক"
            },
            {
              "number": 1514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1514.mp3"
              ],
              "text": "۞ وَقَالَ ٱرْكَبُوا۟ فِيهَا بِسْمِ ٱللَّهِ مَجْر۪ىٰهَا وَمُرْسَىٰهَآ ۚ إِنَّ رَبِّى لَغَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আর তিনি বললেন, তোমরা এতে আরোহন কর। আল্লাহর নামেই এর গতি ও স্থিতি। আমার পালনকর্তা অতি ক্ষমাপরায়ন, মেহেরবান।",
              "numberInSurah": 41,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লার কাবূফীহা-বিছমিল্লা-হি মাজরেহা-ওয়া মুরছা-হা- ইন্না রাববী লাগাফূরুর রাহীম।",
              "words_arabic": "وَ قَالَ/۞وَقَالَ/waqala//ارْكَبُوْا/ٱرۡكَبُواْ/ir'kabu//فِیْهَا/فِيهَا/fiha//بِسْمِ/بِسۡمِ/bis'mi//اللّٰهِ/ٱللَّهِ/al-lahi//مَؔجْرٖىهَا/مَجۡرٜىٰهَا/majraha//وَ مُرْسٰىهَا ؕ/وَمُرۡسَىٰهَآۚ/wamur'saha//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং (নূহ) বললো//\"তোমরা আরোহণ করো//তার মধ্যে//সহ নাম//আল্লাহর//তার গতি//ও তার স্থিতি//নিশ্চয়ই//আমার রব//অবশ্যই ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 1515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1515.mp3"
              ],
              "text": "وَهِىَ تَجْرِى بِهِمْ فِى مَوْجٍۢ كَٱلْجِبَالِ وَنَادَىٰ نُوحٌ ٱبْنَهُۥ وَكَانَ فِى مَعْزِلٍۢ يَٰبُنَىَّ ٱرْكَب مَّعَنَا وَلَا تَكُن مَّعَ ٱلْكَٰفِرِينَ",
              "translate_bn": "আর নৌকাখানি তাদের বহন করে চলল পর্বত প্রমাণ তরঙ্গমালার মাঝে, আর নূহ (আঃ) তাঁর পুত্রকে ডাক দিলেন আর সে সরে রয়েছিল, তিনি বললেন, প্রিয় বৎস! আমাদের সাথে আরোহন কর এবং কাফেরদের সাথে থেকো না।",
              "numberInSurah": 42,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া হিয়া তাজরী বিহিম ফী মাওজিন কালজিবা-লি ওয়া না-দা-নূহুনিবনাহূওয়া কা-না ফী মা‘ঝিলিইঁ ইয়া-বুনাইয়ার কাব মা‘আনা-ওয়ালা তাকুম মা‘আল কা-ফিরীন।",
              "words_arabic": "وَ هِیَ/وَهِيَ/wahiya//تَجْرِیْ/تَجۡرِي/tajri//بِهِمْ/بِهِمۡ/bihim//فِیْ/فِي/fi//مَوْجٍ/مَوۡجٖ/mawjin//كَالْجِبَالِ ۫/كَٱلۡجِبَالِ/kal-jibali//وَ نَادٰی/وَنَادَىٰ/wanada//نُوْحُ/نُوحٌ/nuhun//بْنَهٗ/ٱبۡنَهُۥ/ib'nahu//وَ كَانَ/وَكَانَ/wakana//فِیْ/فِي/fi//مَعْزِلٍ/مَعۡزِلٖ/ma'zilin//یّٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//ارْكَبْ/ٱرۡكَب/ir'kab//مَّعَنَا/مَّعَنَا/ma'ana//وَ لَا/وَلَا/wala//تَكُنْ/تَكُن/takun//مَّعَ/مَّعَ/ma'a//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং তা//বয়ে চলে//তাদের নিয়ে//মধ্যে//ঢেউয়ের//পাহাড়ের মতো//এবং ডাকলো//নূহ//তাঁর ছেলেকে//এবং সে ছিলো//মধ্যে//দূরবর্তী স্থানের//\"হে আমার পুত্র//আরোহণ করো//আমাদের সাথে//এবং না//তুমি থেকো//সাথে//কাফিরদের\""
            },
            {
              "number": 1516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1516.mp3"
              ],
              "text": "قَالَ سَـَٔاوِىٓ إِلَىٰ جَبَلٍۢ يَعْصِمُنِى مِنَ ٱلْمَآءِ ۚ قَالَ لَا عَاصِمَ ٱلْيَوْمَ مِنْ أَمْرِ ٱللَّهِ إِلَّا مَن رَّحِمَ ۚ وَحَالَ بَيْنَهُمَا ٱلْمَوْجُ فَكَانَ مِنَ ٱلْمُغْرَقِينَ",
              "translate_bn": "সে বলল, আমি অচিরেই কোন পাহাড়ে আশ্রয় নেব, যা আমাকে পানি হতে রক্ষা করবে। নূহ (আঃ) বল্লেন আজকের দিনে আল্লাহর হুকুম থেকে কোন রক্ষাকারী নেই। একমাত্র তিনি যাকে দয়া করবেন। এমন সময় উভয়ের মাঝে তরঙ্গ আড়াল হয়ে দাঁড়াল, ফলে সে নিমজ্জিত হল।",
              "numberInSurah": 43,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছাআ-বীইলা জাবালিইঁ ইয়া‘সিমুনী মিনাল মাই কা-লা লা-‘আ-সিমাল ইয়াওমা মিন আমরিল্লা-হি ইল্লা-মার রাহিমা ওয়াহা-লা বাইনাহুমাল মাওজুফাকা-না মিনাল মুগরাকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//سَاٰوِیْۤ/سَـَٔاوِيٓ/saawi//اِلٰی/إِلَىٰ/ila//جَبَلٍ/جَبَلٖ/jabalin//یَّعْصِمُنِیْ/يَعۡصِمُنِي/ya'simuni//مِنَ/مِنَ/mina//الْمَآءِ ؕ/ٱلۡمَآءِۚ/al-mai//قَالَ/قَالَ/qala//لَا/لَا/la//عَاصِمَ/عَاصِمَ/asima//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//مِنْ/مِنۡ/min//اَمْرِ/أَمۡرِ/amri//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//رَّحِمَ ۚ/رَّحِمَۚ/rahima//وَ حَالَ/وَحَالَ/wahala//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//الْمَوْجُ/ٱلۡمَوۡجُ/al-mawju//فَكَانَ/فَكَانَ/fakana//مِنَ/مِنَ/mina//الْمُغْرَقِیْنَ /ٱلۡمُغۡرَقِينَ/al-mugh'raqina",
              "words_bangla": "সে বললো//\"আমি শীঘ্রই আশ্রয় নিবো//দিকে//এমন এক পাহাড়ের//যা আমাকে রক্ষা করবে//থেকে//প্লাবন\"//(নূহ) বললো//\"নেই//কোন রক্ষাকারী//আজ//থেকে//নির্দেশ//আল্লাহর//এ ছাড়া//যাকে//তিনি দয়া করবেন\"//এ সময়ে আড়াল হয়ে দাড়ালো//তাদে্র দু'জনের মাঝে//ঢেউ//অতঃপর সে হলো//অন্তর্ভুক্ত//নিমজ্জিতদের"
            },
            {
              "number": 1517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1517.mp3"
              ],
              "text": "وَقِيلَ يَٰٓأَرْضُ ٱبْلَعِى مَآءَكِ وَيَٰسَمَآءُ أَقْلِعِى وَغِيضَ ٱلْمَآءُ وَقُضِىَ ٱلْأَمْرُ وَٱسْتَوَتْ عَلَى ٱلْجُودِىِّ ۖ وَقِيلَ بُعْدًۭا لِّلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "আর নির্দেশ দেয়া হল-হে পৃথিবী! তোমার পানি গিলে ফেল, আর হে আকাশ, ক্ষান্ত হও। আর পানি হ্রাস করা হল এবং কাজ শেষ হয়ে গেল, আর জুদী পর্বতে নৌকা ভিড়ল এবং ঘোষনা করা হল, দুরাত্না কাফেররা নিপাত যাক।",
              "numberInSurah": 44,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া-কীলা ইয়াআরদুবলা‘ঈমাআকি ওয়া ইয়া-ছামাউআকলি‘ঈ ওয়া গীদাল মাউওয়াকুদিয়াল আমরু ওয়াছতাওয়াত ‘আলাল জুদিইয়ি ওয়া কীলা বু‘দাল লিলকাওমিজ্জা-লিমীন।",
              "words_arabic": "وَ قِیْلَ/وَقِيلَ/waqila//یٰۤاَرْضُ/يَـٰٓأَرۡضُ/yaardu//ابْلَعِیْ/ٱبۡلَعِي/ib'la'i//مَآءَكِ/مَآءَكِ/maaki//وَ یٰسَمَآءُ/وَيَٰسَمَآءُ/wayasamau//اَقْلِعِیْ/أَقۡلِعِي/aqli'i//وَ غِیْضَ/وَغِيضَ/waghida//الْمَآءُ/ٱلۡمَآءُ/al-mau//وَ قُضِیَ/وَقُضِيَ/waqudiya//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//وَ اسْتَوَتْ/وَٱسۡتَوَتۡ/wa-is'tawat//عَلَی/عَلَى/ala//الْجُوْدِیِّ/ٱلۡجُودِيِّۖ/al-judiyi//وَ قِیْلَ/وَقِيلَ/waqila//بُعْدًا/بُعۡدٗا/bu'dan//لِّلْقَوْمِ/لِّلۡقَوۡمِ/lil'qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং বলা হলো//\"হে পৃথিবী//শুষে দাও//তোমার পানি//এবং হে আকাশ//ক্ষান্ত হও\"//এবং শুষে নেয়া হলো//পানি//এবং শেষ হয়ে গেলো//(যা হওয়ার) বিষয়//এবং স্থির হলো (নৌযান)//উপর//জুদী (পাহাড়ের)//এবং বলা হলো//\"দূর হোক (ধ্বংস আসুক)//জাতির জন্যে//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 1518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1518.mp3"
              ],
              "text": "وَنَادَىٰ نُوحٌۭ رَّبَّهُۥ فَقَالَ رَبِّ إِنَّ ٱبْنِى مِنْ أَهْلِى وَإِنَّ وَعْدَكَ ٱلْحَقُّ وَأَنتَ أَحْكَمُ ٱلْحَٰكِمِينَ",
              "translate_bn": "আর নূহ (আঃ) তাঁর পালনকর্তাকে ডেকে বললেন-হে পরওয়ারদেগার, আমার পুত্র তো আমার পরিজনদের অন্তর্ভুক্ত; আর আপনার ওয়াদাও নিঃসন্দেহে সত্য আর আপনিই সর্বাপেক্ষা বিজ্ঞ ফয়সালাকারী।",
              "numberInSurah": 45,
              "juz": 12,
              "manzil": 3,
              "page": 226,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া না-দা-নূহুর রাব্বাহূফাকা-লা রাব্বি ইন্নাবনী মিন আহলী ওয়া ইন্না ওয়া‘দাকাল হাক্কু আনতা আহকামুল হা-কিমীন।",
              "words_arabic": "وَ نَادٰی/وَنَادَىٰ/wanada//نُوْحٌ/نُوحٞ/nuhun//رَّبَّهٗ/رَّبَّهُۥ/rabbahu//فَقَالَ/فَقَالَ/faqala//رَبِّ/رَبِّ/rabbi//اِنَّ/إِنَّ/inna//ابْنِیْ/ٱبۡنِي/ib'ni//مِنْ/مِنۡ/min//اَهْلِیْ/أَهۡلِي/ahli//وَ اِنَّ/وَإِنَّ/wa-inna//وَعْدَكَ/وَعۡدَكَ/wa'daka//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ اَنْتَ/وَأَنتَ/wa-anta//اَحْكَمُ/أَحۡكَمُ/ahkamu//الْحٰكِمِیْنَ /ٱلۡحَٰكِمِينَ/al-hakimina",
              "words_bangla": "এবং ডাকলো//নূহ//তাঁর রবকে//অতঃপর সে বললো//\"হে আমার রব//নিশ্চয়ই//আমার ছেলে//অন্তর্ভুক্ত//আমার পরিবারের//এবং নিশ্চয়ই//তোমার প্রতিশ্রুতি//সত্য//এবং তুমিই//উত্তম বিচারক//(সব) বিচারকদের\""
            },
            {
              "number": 1519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1519.mp3"
              ],
              "text": "قَالَ يَٰنُوحُ إِنَّهُۥ لَيْسَ مِنْ أَهْلِكَ ۖ إِنَّهُۥ عَمَلٌ غَيْرُ صَٰلِحٍۢ ۖ فَلَا تَسْـَٔلْنِ مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ ۖ إِنِّىٓ أَعِظُكَ أَن تَكُونَ مِنَ ٱلْجَٰهِلِينَ",
              "translate_bn": "আল্লাহ বলেন, হে নূহ! নিশ্চয় সে আপনার পরিবারভুক্ত নয়। নিশ্চই সে দুরাচার! সুতরাং আমার কাছে এমন দরখাস্ত করবেন না, যার খবর আপনি জানেন না। আমি আপনাকে উপপদেশ দিচ্ছি যে, আপনি অজ্ঞদের দলভুক্ত হবেন না।",
              "numberInSurah": 46,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-নূহুইন্নাহূলাইছা মিন আহলিকা ইন্নাহূ‘আমালুন গাইরু সা-লিহিন ফালা-তাছআলনি মা-লাইছা লাকা বিহী ‘ইলমুন ইন্নী আ‘ইজুকা আন তাকূনা মিনাল জা-হিলীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰنُوْحُ/يَٰنُوحُ/yanuhu//اِنَّهٗ/إِنَّهُۥ/innahu//لَیْسَ/لَيۡسَ/laysa//مِنْ/مِنۡ/min//اَهْلِكَ ۚ/أَهۡلِكَۖ/ahlika//اِنَّهٗ/إِنَّهُۥ/innahu//عَمَلٌ/عَمَلٌ/amalun//غَیْرُ/غَيۡرُ/ghayru//صَالِحٍ ۖؗۗ/صَٰلِحٖۖ/salihin//فَلَا/فَلَا/fala//تَسْـَٔلْنِ/تَسۡـَٔلۡنِ/tasalni//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؕ/عِلۡمٌۖ/il'mun//اِنِّیْۤ/إِنِّيٓ/inni//اَعِظُكَ/أَعِظُكَ/a'izuka//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//مِنَ/مِنَ/mina//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "(আল্লাহ) বললেন//\"হে নূহ//সে নিশ্চয়ই//নয়//অন্তর্ভুক্ত//তোমার পরিবারের//নিশ্চয়ই তা//কাজ//নয়/অ//সৎ//অতএব না//আমার কাছে অনুরোধ করো//যার//নেই//তোমার//সে সম্বন্ধে//কোন জ্ঞান//নিশ্চয়ই আমি//তোমাকে উপদেশ দিচ্ছি//যে (না)//তুমি হয়ো//অন্তর্ভুক্ত//মূর্খদের\""
            },
            {
              "number": 1520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1520.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّىٓ أَعُوذُ بِكَ أَنْ أَسْـَٔلَكَ مَا لَيْسَ لِى بِهِۦ عِلْمٌۭ ۖ وَإِلَّا تَغْفِرْ لِى وَتَرْحَمْنِىٓ أَكُن مِّنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "নূহ (আঃ) বলেন-হে আমার পালনকর্তা আমার যা জানা নেই এমন কোন দরখাস্ত করা হতে আমি আপনার কাছেই আশ্রয় প্রার্থনা করছি। আপনি যদি আমাকে ক্ষমা না করেন, দয়া না করেন, তাহলে আমি ক্ষতিগ্রস্ত হব।",
              "numberInSurah": 47,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নীআঊযুবিকা আন আছআলাকা মা-লাইছা লী বিহী ‘ইলমুওঁ ওয়া ইল্লাতাগফিরলী ওয়া তারহামনী আকুম মিনাল খা-ছিরীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْۤ/إِنِّيٓ/inni//اَعُوْذُ/أَعُوذُ/a'udhu//بِكَ/بِكَ/bika//اَنْ/أَنۡ/an//اَسْـَٔلَكَ/أَسۡـَٔلَكَ/asalaka//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لِیْ/لِي/li//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؕ/عِلۡمٞۖ/il'mun//وَ اِلَّا/وَإِلَّا/wa-illa//تَغْفِرْ/تَغۡفِرۡ/taghfir//لِیْ/لِي/li//وَ تَرْحَمْنِیْۤ/وَتَرۡحَمۡنِيٓ/watarhamni//اَكُنْ/أَكُن/akun//مِّنَ/مِّنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "সে বললো//\"হে আমার রব//নিশ্চয়ই আমি//আশ্রয় চাচ্ছি//কাছে তোমার//যে//তোমার কাছে আমি অনুরোধ করবো//যার//নেই//আমার//তা সম্বন্ধে//কোন জ্ঞান//এবং যদি না//মাফ করো তুমি//আমাকে//এবং (না) আমাকে তুমি দয়া করো//আমি হয়ে যাবো//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের\""
            },
            {
              "number": 1521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1521.mp3"
              ],
              "text": "قِيلَ يَٰنُوحُ ٱهْبِطْ بِسَلَٰمٍۢ مِّنَّا وَبَرَكَٰتٍ عَلَيْكَ وَعَلَىٰٓ أُمَمٍۢ مِّمَّن مَّعَكَ ۚ وَأُمَمٌۭ سَنُمَتِّعُهُمْ ثُمَّ يَمَسُّهُم مِّنَّا عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "হুকুম হল-হে নূহ (আঃ)! আমার পক্ষ হতে নিরাপত্তা এবং আপনার নিজের ও সঙ্গীয় সম্প্রদায়গুলির উপর বরকত সহকারে অবতরণ করুণ। আর অন্যান্য যেসব সম্প্রদায় রয়েছে আমি তাদের কেও উপকৃত হতে দেব। অতঃপর তাদের উপর আমার দরুন আযাব আপতিত হবে।",
              "numberInSurah": 48,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "কীলা ইয়া-নূহুহবিতবিছালা-মিম মিন্না-ওয়া বারাকা-তিন ‘আলাইকা ওয়া ‘আলাউমামিম মিম্মাম মা‘আকা ওয়া উমামুন ছানুমাত্তি‘উহুম ছু ম্মা ইয়ামাছছুহুম মিন্না‘আযা-বুন আলীম।",
              "words_arabic": "قِیْلَ/قِيلَ/qila//یٰنُوْحُ/يَٰنُوحُ/yanuhu//اهْبِطْ/ٱهۡبِطۡ/ih'bit//بِسَلٰمٍ/بِسَلَٰمٖ/bisalamin//مِّنَّا/مِّنَّا/minna//وَ بَرَكٰتٍ/وَبَرَكَٰتٍ/wabarakatin//عَلَیْكَ/عَلَيۡكَ/alayka//وَ عَلٰۤی/وَعَلَىٰٓ/wa'ala//اُمَمٍ/أُمَمٖ/umamin//مِّمَّنْ/مِّمَّن/mimman//مَّعَكَ ؕ/مَّعَكَۚ/ma'aka//وَ اُمَمٌ/وَأُمَمٞ/wa-umamun//سَنُمَتِّعُهُمْ/سَنُمَتِّعُهُمۡ/sanumatti'uhum//ثُمَّ/ثُمَّ/thumma//یَمَسُّهُمْ/يَمَسُّهُم/yamassuhum//مِّنَّا/مِّنَّا/minna//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "বলা হলো//\"হে নূহ//অবতরণ করো//শান্তিসহ//আমাদের পক্ষ হ'তে//ও কল্যাণ (সহ)//তোমার উপর//এবং উপর//(সে সব) সম্প্রদায়ের//তাদের মধ্যে যারা//তোমার সাথে (আছে)//ও অন্য কিছু সম্প্রদায়//তাদের আমরা জীবনোপকরণ দিবো//এরপর//তাদের স্পর্শ করবে//আমাদের পক্ষ হ'তে//শাস্তি//নিদারুণ\""
            },
            {
              "number": 1522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1522.mp3"
              ],
              "text": "تِلْكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهَآ إِلَيْكَ ۖ مَا كُنتَ تَعْلَمُهَآ أَنتَ وَلَا قَوْمُكَ مِن قَبْلِ هَٰذَا ۖ فَٱصْبِرْ ۖ إِنَّ ٱلْعَٰقِبَةَ لِلْمُتَّقِينَ",
              "translate_bn": "এটি গায়বের খবর, আমি আপনার প্রতি ওহী প্রেরন করছি। ইতিপূর্বে এটা আপনার এবং আপনার জাতির জানা ছিল না। আপনি ধৈর্য্যধারণ করুন। যারা ভয় করে চলে, তাদের পরিণাম ভাল, সন্দেহ নেই।",
              "numberInSurah": 49,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 186,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "তিলকা মিন আমবাইল গাইবি নূহীহাইলাইকা মা-কুনতা তা‘লামুহা-আনতা ওয়ালাকাওমুকা মিন কাবলি হা-যা- ফাসবির ইন্নাল ‘আ-কিবাতা লিলমুত্তাকীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//نُوْحِیْهَاۤ/نُوحِيهَآ/nuhiha//اِلَیْكَ ۚ/إِلَيۡكَۖ/ilayka//مَا/مَا/ma//كُنْتَ/كُنتَ/kunta//تَعْلَمُهَاۤ/تَعۡلَمُهَآ/ta'lamuha//اَنْتَ/أَنتَ/anta//وَ لَا/وَلَا/wala//قَوْمُكَ/قَوۡمُكَ/qawmuka//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//هٰذَا ۛؕ/هَٰذَاۖ/hadha//فَاصْبِرْ ۛؕ/فَٱصۡبِرۡۖ/fa-is'bir//اِنَّ/إِنَّ/inna//الْعَاقِبَةَ/ٱلۡعَٰقِبَةَ/al-'aqibata//لِلْمُتَّقِیْنَ۠/لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "(হে নাবী) এই//অন্তর্ভুক্ত//সংবাদ সমূহ//অদৃশ্যের//যা ওহী করছি আমরা//তোমার প্রতি//না//তুমি ছিলে//তা জানতে//তুমি//আর না//তোমার জাতি//থেকে//পূর্বে//এটার//অতএব ধৈর্য ধরো//নিশ্চয়ই//(শুভ) পরিণাম//মুত্তাকীদের জন্যে\""
            },
            {
              "number": 1523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1523.mp3"
              ],
              "text": "وَإِلَىٰ عَادٍ أَخَاهُمْ هُودًۭا ۚ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥٓ ۖ إِنْ أَنتُمْ إِلَّا مُفْتَرُونَ",
              "translate_bn": "আর আদ জাতির প্রতি আমি তাদের ভাই হুদকে প্রেরণ করেছি; তিনি বলেন-হে আমার জাতি, আল্লাহর বন্দেগী কর, তিনি ভিন্ন তোমাদের কোন মাবুদ নেই, তোমরা সবাই মিথ্যা আরোপ করছ।",
              "numberInSurah": 50,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা- ‘আ-দিন আখা-হুম হূদান কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুুহূ ইন আনতুম ইল্লা-মুফতারূন।",
              "words_arabic": "وَ اِلٰی/وَإِلَىٰ/wa-ila//عَادٍ/عَادٍ/adin//اَخَاهُمْ/أَخَاهُمۡ/akhahum//هُوْدًا ؕ/هُودٗاۚ/hudan//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥٓۖ/ghayruhu//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//مُفْتَرُوْنَ /مُفۡتَرُونَ/muf'taruna",
              "words_bangla": "এবং প্রতি//আদ-এর//তাদের ভাই//হূদকে (পাঠিয়েছিলাম)//সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//তোমাদের জন্যে//কোন//ইলাহ//তিনি ছাড়া//নও//তোমরা//ছাড়া//মিথ্যারচনাকারী"
            },
            {
              "number": 1524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1524.mp3"
              ],
              "text": "يَٰقَوْمِ لَآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱلَّذِى فَطَرَنِىٓ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "হে আমার জাতি! আমি এজন্য তোমাদের কাছে কোন মজুরী চাই না; আমার মজুরী তাঁরই কাছে যিনি আমাকে পয়দা করেছেন; তবু তোমরা কেন বোঝ না?",
              "numberInSurah": 51,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ইয়া-কাওমি লাআছআলুকুম ‘আলাইহি আজরান ইন আজরিয়া ইল্লা-‘আলাল্লাযী ফাতারানী আফালা- তা‘কিলূন।",
              "words_arabic": "یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَاۤ/لَآ/la//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//اَجْرًا ؕ/أَجۡرًاۖ/ajran//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//الَّذِیْ/ٱلَّذِي/alladhi//فَطَرَنِیْ ؕ/فَطَرَنِيٓۚ/fatarani//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "হে আমার জাতি//না//তোমাদের কাছে আমি চাই//এর বিনিময়ে//কোন পারিশ্রামিক//নেই//আমার পারিশ্রমিক//ছাড়া//উপর//(তাঁর) যিনি//আমাকে সৃষ্টি করেছেন//তবুও কি না//তোমরা বুদ্ধি কাজে লাগাবে"
            },
            {
              "number": 1525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1525.mp3"
              ],
              "text": "وَيَٰقَوْمِ ٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ يُرْسِلِ ٱلسَّمَآءَ عَلَيْكُم مِّدْرَارًۭا وَيَزِدْكُمْ قُوَّةً إِلَىٰ قُوَّتِكُمْ وَلَا تَتَوَلَّوْا۟ مُجْرِمِينَ",
              "translate_bn": "আর হে আমার কওম! তোমাদের পালন কর্তার কাছে তোমরা ক্ষমা প্রার্থনা কর, অতঃপর তাঁরই প্রতি মনোনিবেশ কর; তিনি আসমান থেকে তোমাদের উপর বৃষ্টি ধারা প্রেরণ করবেন এবং তোমাদের শক্তির উপর শক্তি বৃদ্ধি করবেন, তোমরা কিন্তু অপরাধীদের মত বিমুখ হয়ো না।",
              "numberInSurah": 52,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমিছতাগফিরূ রাব্বাকুমছুম্মা তূবূইলাইহি; ইয়ুরছিলিছছামাআ ‘আলাইকুম মিদরারাওঁ ওয়া ইয়াঝিদকুমকুওওয়াতান ইলা-কুওওয়াতিকুমওয়ালা-তাতাওয়াল্লাও মুজরিমীন।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//اسْتَغْفِرُوْا/ٱسۡتَغۡفِرُواْ/is'taghfiru//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//ثُمَّ/ثُمَّ/thumma//تُوْبُوْۤا/تُوبُوٓاْ/tubu//اِلَیْهِ/إِلَيۡهِ/ilayhi//یُرْسِلِ/يُرۡسِلِ/yur'sili//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّدْرَارًا/مِّدۡرَارٗا/mid'raran//وَّ یَزِدْكُمْ/وَيَزِدۡكُمۡ/wayazid'kum//قُوَّةً/قُوَّةً/quwwatan//اِلٰی/إِلَىٰ/ila//قُوَّتِكُمْ/قُوَّتِكُمۡ/quwwatikum//وَ لَا/وَلَا/wala//تَتَوَلَّوْا/تَتَوَلَّوۡاْ/tatawallaw//مُجْرِمِیْنَ /مُجۡرِمِينَ/muj'rimina",
              "words_bangla": "এবং হে আমার জাতি//তোমরা ক্ষমা চাও//তোমাদের রবের (কাছে)//এরপর//ফিরে এসো তোমরা//তাঁরই দিকে//তিনি প্রেরণ করবেন//আকাশ থেকে (বৃষ্টি)//তোমাদের উপর//মুষলধারে//এবং তোমাদের বৃদ্ধি করবেন//শক্তি//উপর//তোমাদের শক্তির//এবং না//তোমাদের মুখ ফিরিয়ে নিও//অপরাধী হয়ে\""
            },
            {
              "number": 1526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1526.mp3"
              ],
              "text": "قَالُوا۟ يَٰهُودُ مَا جِئْتَنَا بِبَيِّنَةٍۢ وَمَا نَحْنُ بِتَارِكِىٓ ءَالِهَتِنَا عَن قَوْلِكَ وَمَا نَحْنُ لَكَ بِمُؤْمِنِينَ",
              "translate_bn": "তারা বলল-হে হুদ, তুমি আমাদের কাছে কোন প্রমাণ নিয়ে আস নাই, আমরা তোমার কথায় আমাদের দেব-দেবীদের বর্জন করতে পারি না আর আমরা তোমার প্রতি ঈমান আনয়নকারীও নই।",
              "numberInSurah": 53,
              "juz": 12,
              "manzil": 3,
              "page": 227,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-হূদুমা-জি’তানা-ব্বিাইয়িনাতিওঁ ওয়ামা-নাহনুবিতা-রিকী আ-লিহাতিনা- ‘আন কাওলিকা ওয়ামা-নাহনুলাকা বিমু’মিনীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰهُوْدُ/يَٰهُودُ/yahudu//مَا/مَا/ma//جِئْتَنَا/جِئۡتَنَا/ji'tana//بِبَیِّنَةٍ/بِبَيِّنَةٖ/bibayyinatin//وَّ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِتَارِكِیْۤ/بِتَارِكِيٓ/bitariki//اٰلِهَتِنَا/ءَالِهَتِنَا/alihatina//عَنْ/عَن/an//قَوْلِكَ/قَوۡلِكَ/qawlika//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//لَكَ/لَكَ/laka//بِمُؤْمِنِیْنَ /بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "তারা বলেছিলো//\"হে হুদ//না//আমাদের কাছে তুমি এসেছো//নিয়ে সুস্পষ্ট প্রমাণ//এবং না//আমরা//পরিত্যাগকারী//আমাদের উপাস্যদেরকে//কারণে//তোমার কথার//এবং না//আমরা//তোমার প্রতি//বিশ্বাসী"
            },
            {
              "number": 1527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1527.mp3"
              ],
              "text": "إِن نَّقُولُ إِلَّا ٱعْتَرَىٰكَ بَعْضُ ءَالِهَتِنَا بِسُوٓءٍۢ ۗ قَالَ إِنِّىٓ أُشْهِدُ ٱللَّهَ وَٱشْهَدُوٓا۟ أَنِّى بَرِىٓءٌۭ مِّمَّا تُشْرِكُونَ",
              "translate_bn": "বরং আমরাও তো বলি যে, আমাদের কোন দেবতা তোমার উপরে শোচনীয় ভূত চাপিয়ে দিয়েছে। হুদ বললেন-আমি আল্লাহকে সাক্ষী করেছি আর তোমাও সাক্ষী থাক যে, আমার কোন সম্পর্ক নাই তাঁদের সাথে যাদের কে তোমরা শরিক করছ;",
              "numberInSurah": 54,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ইন নাকূলুইল্লা‘তারা-কা বা‘দুআ-লিহাতিনা-বিছূইন কা-লা ইন্নীউশহিদুল্লা-হা ওয়াশহাদূ আন্নী বারীউম মিম্মা-তুশরিকূন।",
              "words_arabic": "اِنْ/إِن/in//نَّقُوْلُ/نَّقُولُ/naqulu//اِلَّا/إِلَّا/illa//اعْتَرٰىكَ/ٱعۡتَرَىٰكَ/i'taraka//بَعْضُ/بَعۡضُ/ba'du//اٰلِهَتِنَا/ءَالِهَتِنَا/alihatina//بِسُوْٓءٍ ؕ/بِسُوٓءٖۗ/bisuin//قَالَ/قَالَ/qala//اِنِّیْۤ/إِنِّيٓ/inni//اُشْهِدُ/أُشۡهِدُ/ush'hidu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اشْهَدُوْۤا/وَٱشۡهَدُوٓاْ/wa-ish'hadu//اَنِّیْ/أَنِّي/anni//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تُشْرِكُوْنَۙ/تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "না//আমরা বলি//ছাড়া//তোমাকে আচ্ছন্ন করেছে//কেউ//আমাদের উপাস্যদের//দিয়ে মন্দ\"//সে বললো//\"নিশ্চয়ই আমি//সাক্ষী করছি//আল্লাহকে//এবং তোমরাও সাক্ষী থাকো//নিশ্চয়ই আমি//সম্পর্ক মুক্ত//তা হ'তে যা//তোমরা শরিক করছো"
            },
            {
              "number": 1528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1528.mp3"
              ],
              "text": "مِن دُونِهِۦ ۖ فَكِيدُونِى جَمِيعًۭا ثُمَّ لَا تُنظِرُونِ",
              "translate_bn": "তাকে ছাড়া, তোমরা সবাই মিলে আমার অনিষ্ট করার প্রয়াস চালাও, অতঃপর আমাকে কোন অবকাশ দিও না।",
              "numberInSurah": 55,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "মিন দূনিহী ফাকীদূনী জামী‘আন ছুম্মা লা-তুনজিরূন।",
              "words_arabic": "مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦۖ/dunihi//فَكِیْدُوْنِیْ/فَكِيدُونِي/fakiduni//جَمِیْعًا/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تُنْظِرُوْنِ /تُنظِرُونِ/tunziruni",
              "words_bangla": "ছাড়া//তাঁকে//আমার বিরুদ্ধে এখন তোমরা ষড়যন্ত্র করো//সকলে (মিলে)//এরপর//না//আমাকে তোমরা অবকাশ দিও"
            },
            {
              "number": 1529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1529.mp3"
              ],
              "text": "إِنِّى تَوَكَّلْتُ عَلَى ٱللَّهِ رَبِّى وَرَبِّكُم ۚ مَّا مِن دَآبَّةٍ إِلَّا هُوَ ءَاخِذٌۢ بِنَاصِيَتِهَآ ۚ إِنَّ رَبِّى عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আমি আল্লাহর উপর নিশ্চিত ভরসা করেছি যিনি আমার এবং তোমাদের পরওয়ারদেগার। পৃথিবীর বুকে বিচরণকারী এমন কোন প্রাণী নাই যা তাঁর র্পূণ আয়ত্তাধীন নয়। আমার পালকর্তার সরল পথে সন্দেহ নেই।",
              "numberInSurah": 56,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ইন্নী তাওয়াক্কালতু‘আলাল্লা-হি রাববী ওয়া রাব্বিকুম মা-মিন দাব্বাতিন ইল্লা-হুওয়া আখিযুম বিনা-সিয়াতিহা- ইন্না-রাববী ‘আলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//تَوَكَّلْتُ/تَوَكَّلۡتُ/tawakkaltu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//رَبِّیْ/رَبِّي/rabbi//وَ رَبِّكُمْ ؕ/وَرَبِّكُمۚ/warabbikum//مَا/مَّا/ma//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٍ/dabbatin//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//اٰخِذٌۢ/ءَاخِذُۢ/akhidhun//بِنَاصِیَتِهَا ؕ/بِنَاصِيَتِهَآۚ/binasiyatiha//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "নিশ্চয়ই আমি//নির্ভর করছি//উপর//আল্লাহর//(যিনি) আমার রব//ও তোমাদের রব//নেই//কোন//বিচরণশীল প্রণী//ছাড়া//তিনি//ধারণকারী//তার সামনের কেশগুচ্ছকে//নিশ্চয়ই//আমার রব//উপর//পথের//সরল-সঠিক (অর্থাৎ এই পথেই তাঁকে পাবে)"
            },
            {
              "number": 1530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1530.mp3"
              ],
              "text": "فَإِن تَوَلَّوْا۟ فَقَدْ أَبْلَغْتُكُم مَّآ أُرْسِلْتُ بِهِۦٓ إِلَيْكُمْ ۚ وَيَسْتَخْلِفُ رَبِّى قَوْمًا غَيْرَكُمْ وَلَا تَضُرُّونَهُۥ شَيْـًٔا ۚ إِنَّ رَبِّى عَلَىٰ كُلِّ شَىْءٍ حَفِيظٌۭ",
              "translate_bn": "তথাপি যদি তোমরা মুখ ফেরাও, তবে আমি তোমাদেরকে তা পৌছিয়েছি যা আমার কাছে তোমাদের প্রতি প্রেরিত হয়েছে; আর আমার পালনকর্তা অন্য কোন জাতিকে তোমাদের স্থলাভিষিক্ত করবেন, আর তোমরা তাঁর কিছুই বিগড়াতে পারবে না; নিশ্চয়ই আমার পরওয়ারদেগারই প্রতিটি বস্তুর হেফাজতকারী।",
              "numberInSurah": 57,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাও ফাকাদ আবলাগতুকুম মাউরছিলতুবিহীইলাইকুম ওয়া ইয়াছতাখলিফু রাববী কাওমান গাইরাকুম ওয়ালা-তাদুররূনাহূশাইআন ইন্না রাববী ‘আলা-কুল্লি শাইইন হাফীজ।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَقَدْ/فَقَدۡ/faqad//اَبْلَغْتُكُمْ/أَبۡلَغۡتُكُم/ablaghtukum//مَّاۤ/مَّآ/ma//اُرْسِلْتُ/أُرۡسِلۡتُ/ur'sil'tu//بِهٖۤ/بِهِۦٓ/bihi//اِلَیْكُمْ ؕ/إِلَيۡكُمۡۚ/ilaykum//وَ یَسْتَخْلِفُ/وَيَسۡتَخۡلِفُ/wayastakhlifu//رَبِّیْ/رَبِّي/rabbi//قَوْمًا/قَوۡمًا/qawman//غَیْرَكُمْ ۚ/غَيۡرَكُمۡ/ghayrakum//وَ لَا/وَلَا/wala//تَضُرُّوْنَهٗ/تَضُرُّونَهُۥ/tadurrunahu//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٍ/shayin//حَفِیْظٌ /حَفِيظٞ/hafizun",
              "words_bangla": "অতঃপর যদি//মুখ ফিরিয়ে নাও//তবে নিশ্চয়ই//তোমাদেরকে আমি পৌঁছিয়েছি//তাই//আমি প্রেরিত হয়েছি//নিয়ে যা//তোমাদের প্রতি//স্থলাভিষিক্ত করবেন//আমার রব//(অন্য) সম্প্ররদায়কে//তোমাদের ছাড়া//এবং না//তাঁকে তোমরা ক্ষতি করতে পারবে//কিছুমাত্র//নিশ্চয়ই//আমার রব//উপর//সব//কিছুর//রক্ষণাবেক্ষণকারী (নিয়ন্ত্রনকারী)\""
            },
            {
              "number": 1531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1531.mp3"
              ],
              "text": "وَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا هُودًۭا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍۢ مِّنَّا وَنَجَّيْنَٰهُم مِّنْ عَذَابٍ غَلِيظٍۢ",
              "translate_bn": "আর আমার আদেশ যখন উপস্থিত হল, তখন আমি নিজ রহমতে হুদ এবং তাঁর সঙ্গী ঈমানদারগণকে পরিত্রাণ করি এবং তাদেরকে এক কঠিন শাস্তি থেকে রক্ষা করি।",
              "numberInSurah": 58,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআ আমরুনা-নাজ্জাইনা-হুদাওঁ ওয়াল্লাযীনা আ-মানূমা‘আহূ বিরাহমাতিম মিন্না- ওয়া নাজ্জাইনা-হুম মিন ‘আযা-বিন গালীজ।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//نَجَّیْنَا/نَجَّيۡنَا/najjayna//هُوْدًا/هُودٗا/hudan//وَّ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//بِرَحْمَةٍ/بِرَحۡمَةٖ/birahmatin//مِّنَّا ۚ/مِّنَّا/minna//وَ نَجَّیْنٰهُمْ/وَنَجَّيۡنَٰهُم/wanajjaynahum//مِّنْ/مِّنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//غَلِیْظٍ /غَلِيظٖ/ghalizin",
              "words_bangla": "এবং যখন//আসলো//আমাদের নির্দেশ//আমরা রক্ষা করলাম//হূদকে//ও যারা//ঈমান এনেছিলো//তার সাথে//অনুগ্রহ দিয়ে//আমাদের পক্ষ থেকে//এবং তাদেরকে আমরা রক্ষা করলাম//হ'তে//শাস্তি//কঠিন"
            },
            {
              "number": 1532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1532.mp3"
              ],
              "text": "وَتِلْكَ عَادٌۭ ۖ جَحَدُوا۟ بِـَٔايَٰتِ رَبِّهِمْ وَعَصَوْا۟ رُسُلَهُۥ وَٱتَّبَعُوٓا۟ أَمْرَ كُلِّ جَبَّارٍ عَنِيدٍۢ",
              "translate_bn": "এ ছিল আদ জাতি, যারা তাদের পালনকর্তার আয়াতকে অমান্য করেছে, আর তদীয় রসূলগণের অবাধ্যতা করেছে এবং প্রত্যেক উদ্ধত বিরোধীদের আদেশ পালন করেছে।",
              "numberInSurah": 59,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকা ‘আ-দুন জাহাদূবিআ-য়া-তি রাব্বিহিম ওয়া‘আসাও রুছুলাহূ ওয়াত্তাবা‘উআমরা কুল্লি জাব্বা-রিন ‘আনীদ।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//عَادٌ ۙ۫/عَادٞۖ/adun//جَحَدُوْا/جَحَدُواْ/jahadu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ عَصَوْا/وَعَصَوۡاْ/wa'asaw//رُسُلَهٗ/رُسُلَهُۥ/rusulahu//وَ اتَّبَعُوْۤا/وَٱتَّبَعُوٓاْ/wa-ittaba'u//اَمْرَ/أَمۡرَ/amra//كُلِّ/كُلِّ/kulli//جَبَّارٍ/جَبَّارٍ/jabbarin//عَنِیْدٍ /عَنِيدٖ/anidin",
              "words_bangla": "এবং এই (ছিলো)//আদ জাতি//অস্বীকার করেছিল//নিদর্শনাবলীকে//তাদের রবের//এবং তারা অমান্য করেছিলো//তাঁর রাসূলদেরকে//এবং তারা অনুসরণ করেছিলো//নির্দেশের//প্রত্যেক//উদ্ধত//স্বৈরাচারীর"
            },
            {
              "number": 1533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1533.mp3"
              ],
              "text": "وَأُتْبِعُوا۟ فِى هَٰذِهِ ٱلدُّنْيَا لَعْنَةًۭ وَيَوْمَ ٱلْقِيَٰمَةِ ۗ أَلَآ إِنَّ عَادًۭا كَفَرُوا۟ رَبَّهُمْ ۗ أَلَا بُعْدًۭا لِّعَادٍۢ قَوْمِ هُودٍۢ",
              "translate_bn": "এ দুনিয়ায় তাদের পিছনে পিছনে লা’নত রয়েছে এবং কেয়ামতের দিনেও; জেনে রাখ, আদ জাতি তাদের পালনকর্তাকে অস্বীকার করেছে, হুদের জ্ঞাতি আদ জাতির প্রতি অভিসম্পাত রয়েছে জেনে রাখ।",
              "numberInSurah": 60,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 187,
              "hizbQuarter": 91,
              "sajda": false,
              "pronunciation_bn": "ওয়া উতবি‘ঊ ফী হা-যিহিদদুনইয়া-লা‘নাতাওঁ ওয়া ইয়াওমাল কিয়া-মাতি আলাইন্না ‘আ-দান কাফারূ রাব্বাহুম আলা-বু‘দাল লি‘আদিন কাওমি হূদ।",
              "words_arabic": "وَ اُتْبِعُوْا/وَأُتۡبِعُواْ/wa-ut'bi'u//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//لَعْنَةً/لَعۡنَةٗ/la'natan//وَّ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//عَادًا/عَادٗا/adan//كَفَرُوْا/كَفَرُواْ/kafaru//رَبَّهُمْ ؕ/رَبَّهُمۡۗ/rabbahum//اَلَا/أَلَا/ala//بُعْدًا/بُعۡدٗا/bu'dan//لِّعَادٍ/لِّعَادٖ/li'adin//قَوْمِ/قَوۡمِ/qawmi//هُوْدٍ۠/هُودٖ/hudin",
              "words_bangla": "এবং তাদের পিছনে লাগিয়ে দেয়া হলো//মধ্যে//এই//পৃথিবীর//অভিশাপ//এবং দিনেও//ক্বিয়ামাতের//সাবধান (জেনে রাখো)//নিশ্চয়ই//আদ জাতি//অস্বীকার করেছিলো//তাদের রবকে//সাবধান (জেনে রাখো)//ধ্বংসই (করা হলো)//জন্য আদের//(যা ছিলো) জাতি//হূদ (নাবীর)"
            },
            {
              "number": 1534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1534.mp3"
              ],
              "text": "۞ وَإِلَىٰ ثَمُودَ أَخَاهُمْ صَٰلِحًۭا ۚ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥ ۖ هُوَ أَنشَأَكُم مِّنَ ٱلْأَرْضِ وَٱسْتَعْمَرَكُمْ فِيهَا فَٱسْتَغْفِرُوهُ ثُمَّ تُوبُوٓا۟ إِلَيْهِ ۚ إِنَّ رَبِّى قَرِيبٌۭ مُّجِيبٌۭ",
              "translate_bn": "আর সামুদ জাতি প্রতি তাদের ভাই সালেহ কে প্রেরণ করি; তিনি বললেন, হে আমার জাতি। আল্লাহর বন্দেগী কর, তিনি ছাড়া তোমাদের কোন উপাস্য নাই। তিনিই যমীন হতে তোমাদেরকে পয়দা করেছেন, তন্মধ্যে তোমাদেরকে বসতি দান করেছেন। অতএব; তাঁর কাছে ক্ষমা প্রার্থনা কর অতঃপর তাঁরই দিকে ফিরে চল আমার পালনকর্তা নিকটেই আছেন, কবুল করে থাকেন; সন্দেহ নেই।",
              "numberInSurah": 61,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-ছামূদা আখা-হুম সা-লিহা- । কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহু হুওয়া আনশাআকুম মিনাল আরদিওয়াছতা‘মারাকুম ফীহাফাছতাগফিরূহু ছুম্মা তূবূইলাইহি ইন্না রাববী কারীবুম মুজীব।",
              "words_arabic": "وَ اِلٰی/۞وَإِلَىٰ/wa-ila//ثَمُوْدَ/ثَمُودَ/thamuda//اَخَاهُمْ/أَخَاهُمۡ/akhahum//صٰلِحًا ۘ/صَٰلِحٗاۚ/salihan//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥۖ/ghayruhu//هُوَ/هُوَ/huwa//اَنْشَاَكُمْ/أَنشَأَكُم/ansha-akum//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اسْتَعْمَرَكُمْ/وَٱسۡتَعۡمَرَكُمۡ/wa-is'ta'marakum//فِیْهَا/فِيهَا/fiha//فَاسْتَغْفِرُوْهُ/فَٱسۡتَغۡفِرُوهُ/fa-is'taghfiruhu//ثُمَّ/ثُمَّ/thumma//تُوْبُوْۤا/تُوبُوٓاْ/tubu//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//قَرِیْبٌ/قَرِيبٞ/qaribun//مُّجِیْبٌ /مُّجِيبٞ/mujibun",
              "words_bangla": "এবং প্রতি//সামূদ জাতির//তাদের ভাই//সালিহকে (পাঠিয়েছিলাম)//সে বললো//\"হে আমার জাতি//তোমরা ইবাদত করো//আল্লাহর//নেই//তোমাদের জন্যে//অন্য কোন//ইলাহ//তিনি ছাড়া//তিনিই//তোমাদের সৃষ্টি করেছেন//থেকে//মাটি//এবং তোমাদের বসবাস করিয়েছেন//তার মধ্যে//অতএব তাঁর কাছে তোমরা ক্ষমা চাও//এরপর//তোমরা ফিরে এসো//তাঁর দিকে//নিশ্চয়ই//আমার রব//নিকটেই (আছেন)//যিনি ডাকের সাড়া দেন\""
            },
            {
              "number": 1535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1535.mp3"
              ],
              "text": "قَالُوا۟ يَٰصَٰلِحُ قَدْ كُنتَ فِينَا مَرْجُوًّۭا قَبْلَ هَٰذَآ ۖ أَتَنْهَىٰنَآ أَن نَّعْبُدَ مَا يَعْبُدُ ءَابَآؤُنَا وَإِنَّنَا لَفِى شَكٍّۢ مِّمَّا تَدْعُونَآ إِلَيْهِ مُرِيبٍۢ",
              "translate_bn": "তারা বলল-হে সালেহ, ইতিপূর্বে তোমার কাছে আমাদের বড় আশা ছিল। আমাদের বাপ-দাদা যা পূজা করত তুমি কি আমাদেরকে তার পূজা করতে নিষেধ কর? কিন্তু যার প্রতি তুমি আমাদের আহবান জানাচ্ছ আমাদের তাতে এমন সন্দেহ রয়েছে যে, মন মোটেই সায় দিচ্ছে না।",
              "numberInSurah": 62,
              "juz": 12,
              "manzil": 3,
              "page": 228,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-সা-লিহু কাদ কুনতা ফীনা-মারজুওওয়া কাবলা হা-যা-আতানহা-না-আন না‘বুদা মা-ইয়া‘বুদুআ-বাউনা-ওয়া ইন্নানা-লাফী শাক্কিম মিম্মা- তাদ‘ঊনা ইলাইহি মুরীব।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰصٰلِحُ/يَٰصَٰلِحُ/yasalihu//قَدْ/قَدۡ/qad//كُنْتَ/كُنتَ/kunta//فِیْنَا/فِينَا/fina//مَرْجُوًّا/مَرۡجُوّٗا/marjuwwan//قَبْلَ/قَبۡلَ/qabla//هٰذَاۤ/هَٰذَآۖ/hadha//اَتَنْهٰىنَاۤ/أَتَنۡهَىٰنَآ/atanhana//اَنْ/أَن/an//نَّعْبُدَ/نَّعۡبُدَ/na'buda//مَا/مَا/ma//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُنَا/ءَابَآؤُنَا/abauna//وَ اِنَّنَا/وَإِنَّنَا/wa-innana//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّمَّا/مِّمَّا/mimma//تَدْعُوْنَاۤ/تَدۡعُونَآ/tad'una//اِلَیْهِ/إِلَيۡهِ/ilayhi//مُرِیْبٍ /مُرِيبٖ/muribin",
              "words_bangla": "তারা বলেছিলো//হে সালিহ//নিশ্চয়ই//তুমি ছিলে//আমাদের মধ্যে//ভরসা//পূর্বে//এর//আমাদেরকে কি নিষেধ করছো//যে//আমরা উপাসনা করি//যার//ইবাদাত করেছে//আমাদের পূর্বপুরুষেরা//এবং নিশ্চয়ই আমরা//অবশ্যই মধ্যে আছি//সন্দেহের//তা হ'তে//আমাদের তুমি আহ্বান করছো//যার দিকে//বিভ্রান্তিকর\""
            },
            {
              "number": 1536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1536.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّى وَءَاتَىٰنِى مِنْهُ رَحْمَةًۭ فَمَن يَنصُرُنِى مِنَ ٱللَّهِ إِنْ عَصَيْتُهُۥ ۖ فَمَا تَزِيدُونَنِى غَيْرَ تَخْسِيرٍۢ",
              "translate_bn": "সালেহ বললেন-হে আমার জাতি! তোমরা কি মনে কর, আমি যদি আমার পালনকর্তার পক্ষ হতে বুদ্ধি বিবেচনা লাভ করে থাকি আর তিনি যদি আমাকে নিজের তরফ হতে রহমত দান করে থাকেন, অতঃপর আমি যদি তাঁর অবাধ্য হই তবে তার থেকে কে আমায় রক্ষা করবে? তোমরা তো আমার ক্ষতি ছাড়া কিছুই বৃদ্ধি করতে পরবে না",
              "numberInSurah": 63,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি আরাআইতুম ইন কুনতু‘আলা-বাইয়িনাতিম মির রাববী ওয়া আ-তা-নী মিনহু রাহমাতান ফামাইঁ ইয়ানসুরুনী মিনাল্লা-হি ইন ‘আসাইতুহূ ফামা-তাঝীদূ নানী গাইরা তাখছীর।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//كُنْتُ/كُنتُ/kuntu//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّیْ/رَّبِّي/rabbi//وَ اٰتٰىنِیْ/وَءَاتَىٰنِي/waatani//مِنْهُ/مِنۡهُ/min'hu//رَحْمَةً/رَحۡمَةٗ/rahmatan//فَمَنْ/فَمَن/faman//یَّنْصُرُنِیْ/يَنصُرُنِي/yansuruni//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِنۡ/in//عَصَیْتُهٗ ۫/عَصَيۡتُهُۥۖ/asaytuhu//فَمَا/فَمَا/fama//تَزِیْدُوْنَنِیْ/تَزِيدُونَنِي/tazidunani//غَیْرَ/غَيۡرَ/ghayra//تَخْسِیْرٍ /تَخۡسِيرٖ/takhsirin",
              "words_bangla": "সে বললো//\"হে আমার জাতি//তোমরা (ভেবে) দেখেছো কি//যদি//আমি থাকি//উপর//স্পষ্ট প্রমাণের//পক্ষ হ'তে//আমার রবের//এবং তিনি আমাকে দান করে থাকেন//তাঁর পক্ষ হ'তে//অনুগ্রহ//তবে কে//আমাকে সাহায্য করবে//থেকে//আল্লাহর//যদি//তার আমি অবাধ্য হই//অতএব না//আমাকে বৃদ্ধি করবে তোমরা//ছাড়া//ক্ষতি"
            },
            {
              "number": 1537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1537.mp3"
              ],
              "text": "وَيَٰقَوْمِ هَٰذِهِۦ نَاقَةُ ٱللَّهِ لَكُمْ ءَايَةًۭ فَذَرُوهَا تَأْكُلْ فِىٓ أَرْضِ ٱللَّهِ وَلَا تَمَسُّوهَا بِسُوٓءٍۢ فَيَأْخُذَكُمْ عَذَابٌۭ قَرِيبٌۭ",
              "translate_bn": "আর হে আমার জাতি! আল্লাহর এ উষ্ট্রীটি তোমাদের জন্য নিদর্শন, অতএব তাকে আল্লাহর যমীনে বিচরণ করে খেতে দাও, এবং তাকে মন্দভাবে স্পর্শও করবে না। নতুবা অতি সত্বর তোমাদেরকে আযাব পাকড়াও করবে।",
              "numberInSurah": 64,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া- কাওমি হা-যিহী না-কাতুল্লা-হি লাকুমআ-য়াতান ফাযারূহা- তা’কুল ফীআরদিল্লা-হি ওয়ালা-তামাছছূহা বিছূইন ফাইয়া’খুযাকুম ‘আযা-বুন কারীব।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//هٰذِهٖ/هَٰذِهِۦ/hadhihi//نَاقَةُ/نَاقَةُ/naqatu//اللّٰهِ/ٱللَّهِ/al-lahi//لَكُمْ/لَكُمۡ/lakum//اٰیَةً/ءَايَةٗۖ/ayatan//فَذَرُوْهَا/فَذَرُوهَا/fadharuha//تَاْكُلْ/تَأۡكُلۡ/takul//فِیْۤ/فِيٓ/fi//اَرْضِ/أَرۡضِ/ardi//اللّٰهِ/ٱللَّهِۖ/al-lahi//وَ لَا/وَلَا/wala//تَمَسُّوْهَا/تَمَسُّوهَا/tamassuha//بِسُوْٓءٍ/بِسُوٓءٖ/bisuin//فَیَاْخُذَكُمْ/فَيَأۡخُذَكُمۡ/fayakhudhakum//عَذَابٌ/عَذَابٞ/adhabun//قَرِیْبٌ /قَرِيبٞ/qaribun",
              "words_bangla": "এবং হে আমার জাতি//এই//উষ্ট্রী//আল্লাহর (পক্ষ হ'তে)//তোমাদের জন্যে//একটি নিদর্শন//অতএব তাকে ছেড়ে দাও//সে খাবে//মধ্যে//জমির//আল্লাহর//এবং না//তাকে স্পর্শ করবে//নিয়ে খারাপ উদ্দেশ্যে//তাহ'লে তোমাদেরকে ধরবে//শাস্তি//শীঘ্রই\""
            },
            {
              "number": 1538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1538.mp3"
              ],
              "text": "فَعَقَرُوهَا فَقَالَ تَمَتَّعُوا۟ فِى دَارِكُمْ ثَلَٰثَةَ أَيَّامٍۢ ۖ ذَٰلِكَ وَعْدٌ غَيْرُ مَكْذُوبٍۢ",
              "translate_bn": "তবু তারা উহার পা কেটে দিল। তখন সালেহ বললেন-তোমরা নিজেদের গৃহে তিনটি দিন উপভোগ করে নাও। ইহা এমন ওয়াদা যা মিথ্যা হবে না।",
              "numberInSurah": 65,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ফা‘আকারূহা-ফাকা-লা তামাত্তা‘ঊ ফী দা-রিকুম ছালা-ছাতা আইইয়া-মিন যালিকা ওয়া‘দুন গাইরু মাকযূব ।",
              "words_arabic": "فَعَقَرُوْهَا/فَعَقَرُوهَا/fa'aqaruha//فَقَالَ/فَقَالَ/faqala//تَمَتَّعُوْا/تَمَتَّعُواْ/tamatta'u//فِیْ/فِي/fi//دَارِكُمْ/دَارِكُمۡ/darikum//ثَلٰثَةَ/ثَلَٰثَةَ/thalathata//اَیَّامٍ ؕ/أَيَّامٖۖ/ayyamin//ذٰلِكَ/ذَٰلِكَ/dhalika//وَعْدٌ/وَعۡدٌ/wa'dun//غَیْرُ/غَيۡرُ/ghayru//مَكْذُوْبٍ /مَكۡذُوبٖ/makdhubin",
              "words_bangla": "অতঃপর তাকে তারা হত্যা করলো//তখন সে বললো//\"তোমরা জীবন উপভোগ করো//মধ্যে//তোমাদের ঘরের//তিন//দিন (পর্যন্ত)//এটা//একটি প্রতিশ্রুতি//নয়//মিথ্যা হওয়ার\""
            },
            {
              "number": 1539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1539.mp3"
              ],
              "text": "فَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا صَٰلِحًۭا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍۢ مِّنَّا وَمِنْ خِزْىِ يَوْمِئِذٍ ۗ إِنَّ رَبَّكَ هُوَ ٱلْقَوِىُّ ٱلْعَزِيزُ",
              "translate_bn": "অতঃপর আমার আযাব যখন উপস্থিত হল, তখন আমি সালেহকে ও তদীয় সঙ্গী ঈমানদারগণকে নিজ রহমতে উদ্ধার করি, এবং সেদিনকার অপমান হতে রক্ষা করি। নিশ্চয় তোমার পালনকর্তা তিনি সর্বশক্তিমান পরাক্রমশালী।",
              "numberInSurah": 66,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ আমরুনা-নাজ্জাইনা-সা-লিহাওঁ ওয়াল্লাযীনা আ-মানূমা‘আহূ বিরাহমাতিম মিন্না-ওয়ামিন খিঝয়ি ইয়াওমিইযিন ইন্না-রাব্বাকা হুওয়াল কাবিইয়ুল ‘আঝীঝ।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//نَجَّیْنَا/نَجَّيۡنَا/najjayna//صٰلِحًا/صَٰلِحٗا/salihan//وَّ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//بِرَحْمَةٍ/بِرَحۡمَةٖ/birahmatin//مِّنَّا/مِّنَّا/minna//وَ مِنْ/وَمِنۡ/wamin//خِزْیِ/خِزۡيِ/khiz'yi//یَوْمِىِٕذٍ ؕ/يَوۡمِئِذٍۚ/yawmi-idhin//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//الْقَوِیُّ/ٱلۡقَوِيُّ/al-qawiyu//الْعَزِیْزُ /ٱلۡعَزِيزُ/al-'azizu",
              "words_bangla": "অতঃপর যখন//আসলো//আমাদের নির্দেশ (শাস্তি দেয়ার)//আমরা রক্ষা করলাম//সালিহকে//ও যারা//ঈমান এনেছিলো//তার সাথে (তাদেরকেও)//অনুগ্রহ দিয়ে//আমাদের পক্ষ থেকে//এবং হ'তে//লাঞ্ছনা//সেদিনের//নিশ্চয়ই//তোমার রব//তিনিই//শক্তিমান//পরাক্রমশালী"
            },
            {
              "number": 1540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1540.mp3"
              ],
              "text": "وَأَخَذَ ٱلَّذِينَ ظَلَمُوا۟ ٱلصَّيْحَةُ فَأَصْبَحُوا۟ فِى دِيَٰرِهِمْ جَٰثِمِينَ",
              "translate_bn": "আর ভয়ঙ্কর গর্জন পাপিষ্ঠদের পাকড়াও করল, ফলে ভোর হতে না হতেই তারা নিজ নিজ গৃহসমূহে উপুর হয়ে পড়ে রইল।",
              "numberInSurah": 67,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া আখাযাল্লাযীনা জালামুসসাইহাতুফাআসবাহূফী দিয়ারিহিম জা-ছিমীন।",
              "words_arabic": "وَ اَخَذَ/وَأَخَذَ/wa-akhadha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوا/ظَلَمُواْ/zalamu//الصَّیْحَةُ/ٱلصَّيۡحَةُ/al-sayhatu//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//فِیْ/فِي/fi//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//جٰثِمِیْنَۙ/جَٰثِمِينَ/jathimina",
              "words_bangla": "এবং ধরলো//(তাদেরকে) যারা//সীমালঙ্ঘন করেছিলো//প্রচন্ড শব্দে//অতঃপর তা হয়ে গেলো//মধ্যে//তাদের ঘরসমূহের//উপুড় হয়ে পড়া (নিস্পন্দ-নির্জীব)"
            },
            {
              "number": 1541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1541.mp3"
              ],
              "text": "كَأَن لَّمْ يَغْنَوْا۟ فِيهَآ ۗ أَلَآ إِنَّ ثَمُودَا۟ كَفَرُوا۟ رَبَّهُمْ ۗ أَلَا بُعْدًۭا لِّثَمُودَ",
              "translate_bn": "যেন তাঁরা কোনদিনই সেখানে ছিল না। জেনে রাখ, নিশ্চয় সামুদ জাতি তাদের পালনকর্তার প্রতি অস্বীকার করেছিল। আরো শুনে রাখ, সামুদ জাতির জন্য অভিশাপ রয়েছে।",
              "numberInSurah": 68,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 188,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কাআল্লাম ইয়াগনাও ফীহা- আলাইন্না ছামূদা কাফারূরাব্বাহুম আলা-বু‘দাল লিছামূদ।",
              "words_arabic": "كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَغْنَوْا/يَغۡنَوۡاْ/yaghnaw//فِیْهَا ؕ/فِيهَآۗ/fiha//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//ثَمُوْدَاۡ/ثَمُودَاْ/thamuda//كَفَرُوْا/كَفَرُواْ/kafaru//رَبَّهُمْ ؕ/رَبَّهُمۡۗ/rabbahum//اَلَا/أَلَا/ala//بُعْدًا/بُعۡدٗا/bu'dan//لِّثَمُوْدَ۠/لِّثَمُودَ/lithamuda",
              "words_bangla": "যেন//করেনি//তারা বসবাস//তার মধ্যে//সাবধান//নিশ্চয়ই//সামূদ জাতি//অস্বীকার করেছিলো//তাদের রবের//জেনে রাখো//ধ্বংস (করা হয়েছিলো)//সামুদ জাতির জন্য"
            },
            {
              "number": 1542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1542.mp3"
              ],
              "text": "وَلَقَدْ جَآءَتْ رُسُلُنَآ إِبْرَٰهِيمَ بِٱلْبُشْرَىٰ قَالُوا۟ سَلَٰمًۭا ۖ قَالَ سَلَٰمٌۭ ۖ فَمَا لَبِثَ أَن جَآءَ بِعِجْلٍ حَنِيذٍۢ",
              "translate_bn": "আর অবশ্যই আমার প্রেরিত ফেরেশতারা ইব্রাহীমেরে কাছে সুসংবাদ নিয়ে এসেছিল তারা বলল সালাম, তিনিও বললেন-সালাম। অতঃপর অল্পক্ষণের মধ্যেই তিনি একটি ভুনা করা বাছুর নিয়ে এলেন!",
              "numberInSurah": 69,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জাআত রুছুলুনা-ইবরা-হীমা বিলবুশরা-কা-লূছালা-মান কা-লা ছালা-মুন ফামা লাবিছা আন জাআ বি‘ইজলিন হানীয।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُنَاۤ/رُسُلُنَآ/rusuluna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//بِالْبُشْرٰی/بِٱلۡبُشۡرَىٰ/bil-bush'ra//قَالُوْا/قَالُواْ/qalu//سَلٰمًا ؕ/سَلَٰمٗاۖ/salaman//قَالَ/قَالَ/qala//سَلٰمٌ/سَلَٰمٞۖ/salamun//فَمَا/فَمَا/fama//لَبِثَ/لَبِثَ/labitha//اَنْ/أَن/an//جَآءَ/جَآءَ/jaa//بِعِجْلٍ/بِعِجۡلٍ/bi'ij'lin//حَنِیْذٍ /حَنِيذٖ/hanidhin",
              "words_bangla": "মধ্যে নিশ্চয়ই//এসেছিলো//আমাদের ফেরেশতারা//ইবরাহীমের কাছে//নিয়ে সুসংবাদ//তারা বলেছিলো//\"সালাম (বর্ষিত হোক)\"//(ইবরাহীম) বললো//\"সালাম (বর্ষিত হোক)\"//অতঃপর না//সে বিলম্ব করলো//যে//সে আসলো//নিয়ে এক বাছুর//ভুনা (মেহমানদারীর জন্যে)"
            },
            {
              "number": 1543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1543.mp3"
              ],
              "text": "فَلَمَّا رَءَآ أَيْدِيَهُمْ لَا تَصِلُ إِلَيْهِ نَكِرَهُمْ وَأَوْجَسَ مِنْهُمْ خِيفَةًۭ ۚ قَالُوا۟ لَا تَخَفْ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمِ لُوطٍۢ",
              "translate_bn": "কিন্তু যখন দেখলেন যে, আহার্য্যের দিকে তাদের হস্ত প্রসারিত হচ্ছে না, তখন তিনি সন্ধিগ্ধ হলেন এবং মনে মনে তাঁদের সম্পর্কে ভয় অনুভব করতে লাগলেন। তারা বলল-ভয় পাবেন না। আমরা লূতের কওমের প্রতি প্রেরিত হয়েছি।",
              "numberInSurah": 70,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআআইদিয়াহুম লা-তাসিলুইলাইহি নাকিরাহুম ওয়া আওজাছা মিনহুম খীফাতান কা-লূলা-তাখাফ ইন্নাউরছিলনাইলা-কাওমি লূত।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاٰۤ/رَءَآ/raa//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//لَا/لَا/la//تَصِلُ/تَصِلُ/tasilu//اِلَیْهِ/إِلَيۡهِ/ilayhi//نَكِرَهُمْ/نَكِرَهُمۡ/nakirahum//وَ اَوْجَسَ/وَأَوۡجَسَ/wa-awjasa//مِنْهُمْ/مِنۡهُمۡ/min'hum//خِیْفَةً ؕ/خِيفَةٗۚ/khifatan//قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//تَخَفْ/تَخَفۡ/takhaf//اِنَّاۤ/إِنَّآ/inna//اُرْسِلْنَاۤ/أُرۡسِلۡنَآ/ur'sil'na//اِلٰی/إِلَىٰ/ila//قَوْمِ/قَوۡمِ/qawmi//لُوْطٍؕ/لُوطٖ/lutin",
              "words_bangla": "অতঃপর যখন//সে দেখলো//তাদের হাতগুলো//না//প্রসারিত হচ্ছে//তার দিকে (খানা খেতে)//তাদেরকে সে সন্দেহ করলো//ও মনে সঞ্চার হলো//তাদের হ'তে//ভয়//তারা বললো//\"না//ভয় করো//নিশ্চয়ই আমরা//আমরা প্রেরিত হয়েছি//প্রতি//জাতির//লুতের\""
            },
            {
              "number": 1544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1544.mp3"
              ],
              "text": "وَٱمْرَأَتُهُۥ قَآئِمَةٌۭ فَضَحِكَتْ فَبَشَّرْنَٰهَا بِإِسْحَٰقَ وَمِن وَرَآءِ إِسْحَٰقَ يَعْقُوبَ",
              "translate_bn": "তাঁর স্ত্রীও নিকটেই দাড়িয়েছিল, সে হেসে ফেলল। অতঃপর আমি তাকে ইসহাকের জন্মের সুখবর দিলাম এবং ইসহাকের পরের ইয়াকুবেরও।",
              "numberInSurah": 71,
              "juz": 12,
              "manzil": 3,
              "page": 229,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়ামরা’আতুহূ কাইমাতুনফাদাহিকাত ফাবাশশারনা-হা- বিইছহা-কা ওয়ামিওঁ ওয়ারাই ইছহা-কা ইয়া‘কূব।",
              "words_arabic": "وَ امْرَاَتُهٗ/وَٱمۡرَأَتُهُۥ/wa-im'ra-atuhu//قَآىِٕمَةٌ/قَآئِمَةٞ/qaimatun//فَضَحِكَتْ/فَضَحِكَتۡ/fadahikat//فَبَشَّرْنٰهَا/فَبَشَّرۡنَٰهَا/fabasharnaha//بِاِسْحٰقَ ۙ/بِإِسۡحَٰقَ/bi-is'haqa//وَ مِنْ/وَمِن/wamin//وَّرَآءِ/وَرَآءِ/warai//اِسْحٰقَ/إِسۡحَٰقَ/is'haqa//یَعْقُوْبَ /يَعۡقُوبَ/ya'quba",
              "words_bangla": "এবং তার স্ত্রীও (সেখানে)//দন্ডায়মান ছিলো//তখন সে হাসলো (কারণ ভয় দূর হলো)//অতঃপর তাকে আমরা সুসংবাদ দিলাম//ইসহাক সম্বন্ধে//ও থেকে//পিছন//ইসহাকের//ইয়াকুবের"
            },
            {
              "number": 1545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1545.mp3"
              ],
              "text": "قَالَتْ يَٰوَيْلَتَىٰٓ ءَأَلِدُ وَأَنَا۠ عَجُوزٌۭ وَهَٰذَا بَعْلِى شَيْخًا ۖ إِنَّ هَٰذَا لَشَىْءٌ عَجِيبٌۭ",
              "translate_bn": "সে বলল-কি দুর্ভাগ্য আমার! আমি সন্তান প্রসব করব? অথচ আমি বার্ধক্যের শেষ প্রান্তে এসে উপনীত হয়েছি আর আমার স্বামীও বৃদ্ধ, এতো ভারী আশ্চর্য কথা।",
              "numberInSurah": 72,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইয়া-ওয়াইলাতাআআলিদুওয়া আনা-‘আজুঝুওঁ ওয়া হা-যা-বা‘লী শাইখান ইন্না হা-যা-লাশাইউন ‘আজীব।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//یٰوَیْلَتٰۤی/يَٰوَيۡلَتَىٰٓ/yawaylata//ءَاَلِدُ/ءَأَلِدُ/a-alidu//وَ اَنَا/وَأَنَا۠/wa-ana//عَجُوْزٌ/عَجُوزٞ/ajuzun//وَّ هٰذَا/وَهَٰذَا/wahadha//بَعْلِیْ/بَعۡلِي/ba'li//شَیْخًا ؕ/شَيۡخًاۖ/shaykhan//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَشَیْءٌ/لَشَيۡءٌ/lashayon//عَجِیْبٌ /عَجِيبٞ/ajibun",
              "words_bangla": "সে বললো//\"হায়, কি আশ্চর্য!//আমি কি সন্তান প্রসব করবো//অথচ আমি//বৃদ্ধা//এবং এই//আমার স্বামী//বৃদ্ধ//নিশ্চয়ই//এটা//অবশ্যই ব্যাপার//অদ্ভুত\""
            },
            {
              "number": 1546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1546.mp3"
              ],
              "text": "قَالُوٓا۟ أَتَعْجَبِينَ مِنْ أَمْرِ ٱللَّهِ ۖ رَحْمَتُ ٱللَّهِ وَبَرَكَٰتُهُۥ عَلَيْكُمْ أَهْلَ ٱلْبَيْتِ ۚ إِنَّهُۥ حَمِيدٌۭ مَّجِيدٌۭ",
              "translate_bn": "তারা বলল-তুমি আল্লাহর হুকুম সম্পর্কে বিস্ময়বোধ করছ? হে গৃহবাসীরা, তোমাদের উপর আল্লাহর রহমত ও প্রভুত বরকত রয়েছে। নিশ্চয় আল্লাহ প্রশংসিত মহিমাময়।",
              "numberInSurah": 73,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লূআতা‘জাবীনা মিন আমরিল্লা-হি রাহমাতুল্লা-হি ওয়া বারাকা-তুহূ‘আলাইকুম আহলাল বাইতি ইন্নাহূহামীদুম মাজীদ।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَتَعْجَبِیْنَ/أَتَعۡجَبِينَ/ata'jabina//مِنْ/مِنۡ/min//اَمْرِ/أَمۡرِ/amri//اللّٰهِ/ٱللَّهِۖ/al-lahi//رَحْمَتُ/رَحۡمَتُ/rahmatu//اللّٰهِ/ٱللَّهِ/al-lahi//وَ بَرَكٰتُهٗ/وَبَرَكَٰتُهُۥ/wabarakatuhu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَهْلَ/أَهۡلَ/ahla//الْبَیْتِ ؕ/ٱلۡبَيۡتِۚ/al-bayti//اِنَّهٗ/إِنَّهُۥ/innahu//حَمِیْدٌ/حَمِيدٞ/hamidun//مَّجِیْدٌ /مَّجِيدٞ/majidun",
              "words_bangla": "তারা বলেছিলো//\"তুমি বিস্মিত হচ্ছো কি//সম্পর্কে//নির্দেশ//আল্লাহর//অনুগ্রহ//আল্লাহর//এবং তার কল্যাণসমূহ (হ'তেও)//তোমাদের উপর//বাসিন্দারা//ঘরের//তিনি নিশ্চয়ই//প্রশংসিত//মহান মহিমাময়\""
            },
            {
              "number": 1547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1547.mp3"
              ],
              "text": "فَلَمَّا ذَهَبَ عَنْ إِبْرَٰهِيمَ ٱلرَّوْعُ وَجَآءَتْهُ ٱلْبُشْرَىٰ يُجَٰدِلُنَا فِى قَوْمِ لُوطٍ",
              "translate_bn": "অতঃপর যখন ইব্রাহীম (আঃ) এর আতঙ্ক দূর হল এবং তিনি সুসংবাদ প্রাপ্ত হলেন, তখন তিনি আমার সাথে তর্ক শুরু করলেন কওমে লূত সম্পর্কে।",
              "numberInSurah": 74,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা যাহাবা ‘আন ইবরা-হীমার রাও‘উ ওয়া জাআতহুল বুশরা- ইউজা-দিলুনা-ফী কাওমি লূত।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//ذَهَبَ/ذَهَبَ/dhahaba//عَنْ/عَنۡ/an//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//الرَّوْعُ/ٱلرَّوۡعُ/al-raw'u//وَ جَآءَتْهُ/وَجَآءَتۡهُ/wajaathu//الْبُشْرٰی/ٱلۡبُشۡرَىٰ/al-bush'ra//یُجَادِلُنَا/يُجَٰدِلُنَا/yujadiluna//فِیْ/فِي/fi//قَوْمِ/قَوۡمِ/qawmi//لُوْطٍؕ/لُوطٍ/lutin",
              "words_bangla": "অতঃপর যখন//দূর হলো//হ'তে//ইবরাহীম//ভয়//এবং তার কাছে আসলো//সুসংবাদ//আমাদের সাথে সে তর্ক করতে লাগলো//ব্যাপারে//জাতির//লুতের"
            },
            {
              "number": 1548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1548.mp3"
              ],
              "text": "إِنَّ إِبْرَٰهِيمَ لَحَلِيمٌ أَوَّٰهٌۭ مُّنِيبٌۭ",
              "translate_bn": "ইব্রাহীম (আঃ) বড়ই ধৈর্য্যশীল, কোমল অন্তর, আল্লাহমুখী সন্দেহ নেই।",
              "numberInSurah": 75,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইবরা-হীমা লাহালীমুন আওওয়া-হুম মুনীব।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//لَحَلِیْمٌ/لَحَلِيمٌ/lahalimun//اَوَّاهٌ/أَوَّـٰهٞ/awwahun//مُّنِیْبٌ /مُّنِيبٞ/munibun",
              "words_bangla": "নিশ্চয়ই//ইবরাহীম (ছিলো)//সহনশীল অবশ্যই//কোমল হৃদয়ের//(আল্লাহ) অভিমূখী"
            },
            {
              "number": 1549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1549.mp3"
              ],
              "text": "يَٰٓإِبْرَٰهِيمُ أَعْرِضْ عَنْ هَٰذَآ ۖ إِنَّهُۥ قَدْ جَآءَ أَمْرُ رَبِّكَ ۖ وَإِنَّهُمْ ءَاتِيهِمْ عَذَابٌ غَيْرُ مَرْدُودٍۢ",
              "translate_bn": "ইব্রাহীম, এহেন ধারণা পরিহার কর; তোমার পালনকর্তার হুকুম এসে গেছে, এবং তাদের উপর সে আযাব অবশ্যই আপতিত হবে, যা কখনো প্রতিহত হবার নয়।",
              "numberInSurah": 76,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ইয়া-ইবরাহীমুআ‘রিদ‘আন হা-যা- ইন্নাহূকাদ জাআ আমরু রাব্বিকা ওয়া ইন্নাহুম আ-তীহিম ‘আযা-বুন গাইরু মারদূদ।",
              "words_arabic": "یٰۤاِبْرٰهِیْمُ/يَـٰٓإِبۡرَٰهِيمُ/yaib'rahimu//اَعْرِضْ/أَعۡرِضۡ/a'rid//عَنْ/عَنۡ/an//هٰذَا ۚ/هَٰذَآۖ/hadha//اِنَّهٗ/إِنَّهُۥ/innahu//قَدْ/قَدۡ/qad//جَآءَ/جَآءَ/jaa//اَمْرُ/أَمۡرُ/amru//رَبِّكَ ۚ/رَبِّكَۖ/rabbika//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//اٰتِیْهِمْ/ءَاتِيهِمۡ/atihim//عَذَابٌ/عَذَابٌ/adhabun//غَیْرُ/غَيۡرُ/ghayru//مَرْدُوْدٍ /مَرۡدُودٖ/mardudin",
              "words_bangla": "(বলা হলো) হে ইবরাহীম//বিরত হও//থেকে//এটা//নিশ্চয়ই তা//অবশ্যই//এসে গেছে//নির্দেশ//তোমার রবের//এবং তারা নিশ্চয়ই (এমন যে)//তাদের উপর অাসবে//শাস্তি//নয়//প্রতিহত হবার"
            },
            {
              "number": 1550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1550.mp3"
              ],
              "text": "وَلَمَّا جَآءَتْ رُسُلُنَا لُوطًۭا سِىٓءَ بِهِمْ وَضَاقَ بِهِمْ ذَرْعًۭا وَقَالَ هَٰذَا يَوْمٌ عَصِيبٌۭ",
              "translate_bn": "আর যখন আমার প্রেরিত ফেরেশতাগণ লূত (আঃ) এর নিকট উপস্থিত হল। তখন তাঁদের আগমনে তিনি দুচিন্তাগ্রস্ত হলেন এবং তিনি বলতে লাগলেন, আজ অত্যন্ত কঠিন দিন।",
              "numberInSurah": 77,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআত রুছুলুনা-লূতান ছীআ বিহিম ওয়াদা-কাবিহিমযারআওঁ ওয়া কা-লা হা-যা-ইয়াওমুন ‘আসীব।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُنَا/رُسُلُنَا/rusuluna//لُوْطًا/لُوطٗا/lutan//سِیْٓءَ/سِيٓءَ/sia//بِهِمْ/بِهِمۡ/bihim//وَ ضَاقَ/وَضَاقَ/wadaqa//بِهِمْ/بِهِمۡ/bihim//ذَرْعًا/ذَرۡعٗا/dhar'an//وَّ قَالَ/وَقَالَ/waqala//هٰذَا/هَٰذَا/hadha//یَوْمٌ/يَوۡمٌ/yawmun//عَصِیْبٌ /عَصِيبٞ/asibun",
              "words_bangla": "এবং যখন//আসলো//আমাদের ফেরেশতারা//লুতের কাছে//সে মন খারাপ করলো//ব্যাপারে তাদের//ও সে অসমর্থ মনে করলো//তাদের ব্যাপারে//রক্ষা করতে//এবং বললো//\"এই//দিন//ভয়ানক\""
            },
            {
              "number": 1551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1551.mp3"
              ],
              "text": "وَجَآءَهُۥ قَوْمُهُۥ يُهْرَعُونَ إِلَيْهِ وَمِن قَبْلُ كَانُوا۟ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ ۚ قَالَ يَٰقَوْمِ هَٰٓؤُلَآءِ بَنَاتِى هُنَّ أَطْهَرُ لَكُمْ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَلَا تُخْزُونِ فِى ضَيْفِىٓ ۖ أَلَيْسَ مِنكُمْ رَجُلٌۭ رَّشِيدٌۭ",
              "translate_bn": "আর তাঁর কওমের লোকেরা স্বতঃস্ফুর্তভাবে তার (গৃহ) পানে ছুটে আসতে লাগল। পূর্ব থেকেই তারা কু-কর্মে তৎপর ছিল। লূত (আঃ) বললেন-হে আমার কওম, এ আমার কন্যারা রয়েছে, এরা তোমাদের জন্য অধিক পবিত্রতমা। সুতরাং তোমরা আল্লাহকে ভয় কর এবং অতিথিদের ব্যাপারে আমাকে লজ্জিত করো না, তোমাদের মধ্যে কি কোন ভাল মানুষ নেই।",
              "numberInSurah": 78,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআহূকাওমুহূইউহরা‘ঊনা ইলাইহি ওয়া মিন কাবলুকা-নূ ইয়া‘মালূনাছছাইয়িআ-তি কা-লা ইয়া-কাওমি হাউলাই বানা-তী হুন্না আতহারু লাকুম ফাত্তাকুল্লা-হা ওয়া লা-তুখঝূনি ফী দাইফী আলাইছা মিনকুম রাজুলুর রাশীদ।",
              "words_arabic": "وَ جَآءَهٗ/وَجَآءَهُۥ/wajaahu//قَوْمُهٗ/قَوۡمُهُۥ/qawmuhu//یُهْرَعُوْنَ/يُهۡرَعُونَ/yuh'ra'una//اِلَیْهِ ؕ/إِلَيۡهِ/ilayhi//وَ مِنْ/وَمِن/wamin//قَبْلُ/قَبۡلُ/qablu//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//السَّیِّاٰتِ ؕ/ٱلسَّيِّـَٔاتِۚ/al-sayiati//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//بَنَاتِیْ/بَنَاتِي/banati//هُنَّ/هُنَّ/hunna//اَطْهَرُ/أَطۡهَرُ/atharu//لَكُمْ/لَكُمۡۖ/lakum//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَا/وَلَا/wala//تُخْزُوْنِ/تُخۡزُونِ/tukh'zuni//فِیْ/فِي/fi//ضَیْفِیْ ؕ/ضَيۡفِيٓۖ/dayfi//اَلَیْسَ/أَلَيۡسَ/alaysa//مِنْكُمْ/مِنكُمۡ/minkum//رَجُلٌ/رَجُلٞ/rajulun//رَّشِیْدٌ /رَّشِيدٞ/rashidun",
              "words_bangla": "এবং তার কাছে আসলো//তার (জাতির) লোকেরা//দ্রুত ছুটে//তার দিকে//এবং থেকে//পূর্ব//তারা ছিলো//তারা কাজ করে//কুকর্ম (অর্থাৎ সমকামিতা)//সে বললো//\"হে আমার সম্প্রদায়//এরা//আমার (জাতির) মেয়েরা (আছে)//তারা//অধিক পবিত্র//তোমাদের জন্যে//অতএব তোমরা ভয় করো//আল্লাহকে//এবং না//আমাকে লজ্জিত করো//ব্যাপারে//আমার মেহমানের//নেই কি//তোমাদের মধ্যে//কোন মানুষ//সবোধ\""
            },
            {
              "number": 1552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1552.mp3"
              ],
              "text": "قَالُوا۟ لَقَدْ عَلِمْتَ مَا لَنَا فِى بَنَاتِكَ مِنْ حَقٍّۢ وَإِنَّكَ لَتَعْلَمُ مَا نُرِيدُ",
              "translate_bn": "তারা বলল ু তুমি তো জানই, তোমার কন্যাদের নিয়ে আমাদের কোন গরজ নেই। আর আমরা কি চাই, তাও তুমি অবশ্যই জান।",
              "numberInSurah": 79,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাকাদ ‘আলিমতা মা-লানা-ফী বানা-তিকা মিন হাক্কিওঁ ওয়া ইন্নাকা লাতা‘লামুমা-নুরীদ।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَقَدْ/لَقَدۡ/laqad//عَلِمْتَ/عَلِمۡتَ/alim'ta//مَا/مَا/ma//لَنَا/لَنَا/lana//فِیْ/فِي/fi//بَنٰتِكَ/بَنَاتِكَ/banatika//مِنْ/مِنۡ/min//حَقٍّ ۚ/حَقّٖ/haqqin//وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَتَعْلَمُ/لَتَعۡلَمُ/lata'lamu//مَا/مَا/ma//نُرِیْدُ /نُرِيدُ/nuridu",
              "words_bangla": "তারা বললো//\"নিশ্চয়ই অবশ্য//তুমি জেনেছো//নেই//আমাদের জন্যে//ব্যাপারে//তোমার (জাতির) মেয়েদের//কোন//আগ্রহ//এবং তুমি নিশ্চয়ই//অবশ্যই জানো//কি//চাই আমরা\""
            },
            {
              "number": 1553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1553.mp3"
              ],
              "text": "قَالَ لَوْ أَنَّ لِى بِكُمْ قُوَّةً أَوْ ءَاوِىٓ إِلَىٰ رُكْنٍۢ شَدِيدٍۢ",
              "translate_bn": "লূত (আঃ) বললেন-হায়, তোমাদের বিরুদ্ধে যদি আমার শক্তি থাকত অথবা আমি কোন সূদৃঢ় আশ্রয় গ্রহণ করতে সক্ষম হতাম।",
              "numberInSurah": 80,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাও আন্না লী বিকুম কুওওয়াতান আও আ-বীইলা-রুকনিন শাদীদ।",
              "words_arabic": "قَالَ/قَالَ/qala//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//لِیْ/لِي/li//بِكُمْ/بِكُمۡ/bikum//قُوَّةً/قُوَّةً/quwwatan//اَوْ/أَوۡ/aw//اٰوِیْۤ/ءَاوِيٓ/awi//اِلٰی/إِلَىٰ/ila//رُكْنٍ/رُكۡنٖ/ruk'nin//شَدِیْدٍ /شَدِيدٖ/shadidin",
              "words_bangla": "সে বললো//\"যদি//নিশ্চিত//আমার জন্যে//তোমাদের উপর//কোন শক্তি//অথবা//আমি আশ্রয় পেতাম//কাছে//কোন (আশ্রয়ের) স্তম্ভের//শক্তিশালী\""
            },
            {
              "number": 1554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1554.mp3"
              ],
              "text": "قَالُوا۟ يَٰلُوطُ إِنَّا رُسُلُ رَبِّكَ لَن يَصِلُوٓا۟ إِلَيْكَ ۖ فَأَسْرِ بِأَهْلِكَ بِقِطْعٍۢ مِّنَ ٱلَّيْلِ وَلَا يَلْتَفِتْ مِنكُمْ أَحَدٌ إِلَّا ٱمْرَأَتَكَ ۖ إِنَّهُۥ مُصِيبُهَا مَآ أَصَابَهُمْ ۚ إِنَّ مَوْعِدَهُمُ ٱلصُّبْحُ ۚ أَلَيْسَ ٱلصُّبْحُ بِقَرِيبٍۢ",
              "translate_bn": "মেহমান ফেরেশতাগন বলল-হে লূত (আঃ) আমরা তোমাদের পালনকর্তার পক্ষ হতে প্রেরিত ফেরেশতা। এরা কখনো তোমার দিকে পৌঁছাতে পারবে না। ব্যস তুমি কিছুটা রাত থাকতে থাকতে নিজের লোকজন নিয়ে বাইরে চলে যাও। আর তোমাদের কেউ যেন পিছনে ফিরে না তাকায়। কিন্তু তোমার স্ত্রী নিশ্চয় তার উপরও তা আপতিত হবে, যা ওদের উপর আপতিত হবে। ভোর বেলাই তাদের প্রতিশ্রুতির সময়, ভোর কি খুব নিকটে নয়?",
              "numberInSurah": 81,
              "juz": 12,
              "manzil": 3,
              "page": 230,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-লূতুইন্না-রুছুলুরাব্বিকা লাইঁ ইয়াসিলূইলাইকা ফাআছরি বিআহলিকা বিকিত‘ইম মিনাল লাইলি ওয়ালা-ইয়ালতাফিত মিনকুম আহাদুন ইল্লাম রাআতাকা ইন্নাহূমুসীবুহা-মাআসা-বাহুম ইন্না মাও‘ইদাহুমুসসুবহু আলাইছাসসুবহুবিকারীব।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰلُوْطُ/يَٰلُوطُ/yalutu//اِنَّا/إِنَّا/inna//رُسُلُ/رُسُلُ/rusulu//رَبِّكَ/رَبِّكَ/rabbika//لَنْ/لَن/lan//یَّصِلُوْۤا/يَصِلُوٓاْ/yasilu//اِلَیْكَ/إِلَيۡكَۖ/ilayka//فَاَسْرِ/فَأَسۡرِ/fa-asri//بِاَهْلِكَ/بِأَهۡلِكَ/bi-ahlika//بِقِطْعٍ/بِقِطۡعٖ/biqit'in//مِّنَ/مِّنَ/mina//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ لَا/وَلَا/wala//یَلْتَفِتْ/يَلۡتَفِتۡ/yaltafit//مِنْكُمْ/مِنكُمۡ/minkum//اَحَدٌ/أَحَدٌ/ahadun//اِلَّا/إِلَّا/illa//امْرَاَتَكَ ؕ/ٱمۡرَأَتَكَۖ/im'ra-ataka//اِنَّهٗ/إِنَّهُۥ/innahu//مُصِیْبُهَا/مُصِيبُهَا/musibuha//مَاۤ/مَآ/ma//اَصَابَهُمْ ؕ/أَصَابَهُمۡۚ/asabahum//اِنَّ/إِنَّ/inna//مَوْعِدَهُمُ/مَوۡعِدَهُمُ/maw'idahumu//الصُّبْحُ ؕ/ٱلصُّبۡحُۚ/al-sub'hu//اَلَیْسَ/أَلَيۡسَ/alaysa//الصُّبْحُ/ٱلصُّبۡحُ/al-sub'hu//بِقَرِیْبٍ /بِقَرِيبٖ/biqaribin",
              "words_bangla": "(আগন্তুকরা) বললো//\"হে লুত//নিশ্চয়ই আমরা//(সবাই) ফেরেশতা//তোমাদের রবের//কখনও না//তারা পৌঁছতে পারবে//তোমার কাছে//অতএব তুমি বেরিয়ে পড়ো//নিয়ে তোমার পরিবার//এক অংশে//কোন//রাতের//এবং না//ফিরে তাকাবে//তোমাদের মধ্যে//কেউ//কিন্তু//তোমার স্ত্রী (সঙ্গে যাবে না)//তা নিশ্চয়ই (সিদ্ধান্ত)//তার পৌঁছবে (সেই শাস্তি)//যা//তাদের পৌঁছবে//নিশ্চয়ই//তাদের নির্ধারিত সময়//সকাল//নয় কি//সকাল//নিকটবর্তী\""
            },
            {
              "number": 1555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1555.mp3"
              ],
              "text": "فَلَمَّا جَآءَ أَمْرُنَا جَعَلْنَا عَٰلِيَهَا سَافِلَهَا وَأَمْطَرْنَا عَلَيْهَا حِجَارَةًۭ مِّن سِجِّيلٍۢ مَّنضُودٍۢ",
              "translate_bn": "অবশেষে যখন আমার হুকুম এসে পৌঁছাল, তখন আমি উক্ত জনপদকে উপরকে নীচে করে দিলাম এবং তার উপর স্তরে স্তরে কাঁকর পাথর বর্ষণ করলাম।",
              "numberInSurah": 82,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ আমরুনা-জা‘আলনা-‘আ-লিয়াহা-ছা-ফিলাহা-ওয়া আমতারনা‘আলাইহা-হিজা-রাতাম মিন ছিজজীলিম মানদূদ।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//جَعَلْنَا/جَعَلۡنَا/ja'alna//عَالِیَهَا/عَٰلِيَهَا/aliyaha//سَافِلَهَا/سَافِلَهَا/safilaha//وَ اَمْطَرْنَا/وَأَمۡطَرۡنَا/wa-amtarna//عَلَیْهَا/عَلَيۡهَا/alayha//حِجَارَةً/حِجَارَةٗ/hijaratan//مِّنْ/مِّن/min//سِجِّیْلٍ ۙ۬/سِجِّيلٖ/sijjilin//مَّنْضُوْدٍۙ/مَّنضُودٖ/mandudin",
              "words_bangla": "অতঃপর যখন//আসলো//আমাদের নির্দেশ//আমরা করলাম//তার উপর দিককে//তার নিচের দিকে//এবং আমরা বর্ষণ করলাম//তার উপর//পাথর//তৈরি//শুকনো মাটির//একটানা"
            },
            {
              "number": 1556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1556.mp3"
              ],
              "text": "مُّسَوَّمَةً عِندَ رَبِّكَ ۖ وَمَا هِىَ مِنَ ٱلظَّٰلِمِينَ بِبَعِيدٍۢ",
              "translate_bn": "যার প্রতিটি তোমার পালনকর্তার নিকট চিহ্নিত ছিল। আর সেই পাপিষ্ঠদের থেকে খুব দূরেও নয়।",
              "numberInSurah": 83,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 189,
              "hizbQuarter": 92,
              "sajda": false,
              "pronunciation_bn": "মুছাওওয়ামাতান ‘ইনদা রাব্বিকা ওয়ামা-হিয়া মিনাজ্জা-লিমীনা ব্বিা‘ঈদ।",
              "words_arabic": "مُّسَوَّمَةً/مُّسَوَّمَةً/musawwamatan//عِنْدَ/عِندَ/inda//رَبِّكَ ؕ/رَبِّكَۖ/rabbika//وَ مَا/وَمَا/wama//هِیَ/هِيَ/hiya//مِنَ/مِنَ/mina//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//بِبَعِیْدٍ۠/بِبَعِيدٖ/biba'idin",
              "words_bangla": "(প্রত্যেকের জন্যে) চিহ্নিত//কাছে//তোমার রবের//এবং নয়//তা//হ'তে//সীমালঙ্ঘনকারীদের//বহুদূরে"
            },
            {
              "number": 1557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1557.mp3"
              ],
              "text": "۞ وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًۭا ۚ قَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥ ۖ وَلَا تَنقُصُوا۟ ٱلْمِكْيَالَ وَٱلْمِيزَانَ ۚ إِنِّىٓ أَرَىٰكُم بِخَيْرٍۢ وَإِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍۢ مُّحِيطٍۢ",
              "translate_bn": "আর মাদইয়ানবাসীদের প্রতি তাদের ভাই শোয়ায়েব (আঃ) কে প্রেরণ করেছি। তিনি বললেন-হে আমার কওম! আল্লাহর বন্দেগী কর, তিনি ছাড়া আমাদের কোন মাবুদ নাই। আর পরিমাপে ও ওজনে কম দিও না, আজ আমি তোমাদেরকে ভাল অবস্থায়ই দেখছি, কিন্তু আমি তোমাদের উপর এমন একদিনের আযাবের আশঙ্কা করছি যেদিনটি পরিবেষ্টনকারী।",
              "numberInSurah": 84,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-মাদইয়ানা আখা-হুম শু‘আইবান কা-লা ইয়া-কাওমি‘বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহূ ওয়ালা-তানকুসুল মিকয়া-লা ওয়াল মীঝা-না ইন্নীআরা-কুম বিখাইরিওঁ ওয়া ইন্নীআখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিম মুহীত।",
              "words_arabic": "وَ اِلٰی/۞وَإِلَىٰ/wa-ila//مَدْیَنَ/مَدۡيَنَ/madyana//اَخَاهُمْ/أَخَاهُمۡ/akhahum//شُعَیْبًا ؕ/شُعَيۡبٗاۚ/shu'ayban//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥۖ/ghayruhu//وَ لَا/وَلَا/wala//تَنْقُصُوا/تَنقُصُواْ/tanqusu//الْمِكْیَالَ/ٱلۡمِكۡيَالَ/al-mik'yala//وَ الْمِیْزَانَ/وَٱلۡمِيزَانَۖ/wal-mizana//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰىكُمْ/أَرَىٰكُم/arakum//بِخَیْرٍ/بِخَيۡرٖ/bikhayrin//وَّ اِنِّیْۤ/وَإِنِّيٓ/wa-inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٖ/yawmin//مُّحِیْطٍ /مُّحِيطٖ/muhitin",
              "words_bangla": "এবং প্রতি//মাদইয়ানের//তাদের ভাই//শুআয়বকে (পাঠিয়েছিলাম)//সে বললো//\"হে আমার জাতি//তোমরা ইবাদাত করো//আল্লাহর//নেই//তোমাদের জন্যে//কোন//ইলাহ//তিনি ছাড়া//এবং না//তোমরা কম করো//মাপে//আর (না) ওজনে//নিশ্চয়ই আমি//তোমাদের দেখছি//ভালো অবস্থায়//কিন্তু আমি নিশ্চয়ই//আমি আশঙ্কা করছি//তোমাদের উপর//শাস্তি//দিনের//পরিবেষ্টনকারী"
            },
            {
              "number": 1558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1558.mp3"
              ],
              "text": "وَيَٰقَوْمِ أَوْفُوا۟ ٱلْمِكْيَالَ وَٱلْمِيزَانَ بِٱلْقِسْطِ ۖ وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ",
              "translate_bn": "আর হে আমার জাতি, ন্যায়নিষ্ঠার সাথে ঠিকভাবে পরিমাপ কর ও ওজন দাও এবং লোকদের জিনিসপত্রে কোনরূপ ক্ষতি করো না, আর পৃথিবীতে ফাসাদ করে বেড়াবে না।",
              "numberInSurah": 85,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি আওফুলমিকয়া-লা ওয়াল মীঝা-না বিলকিছতিওয়ালা-তাবখাছুন্না-ছা আশইয়াআহুম ওয়ালা-তা‘ছাও ফিল আরদিমুফছিদীন।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//اَوْفُوا/أَوۡفُواْ/awfu//الْمِكْیَالَ/ٱلۡمِكۡيَالَ/al-mik'yala//وَ الْمِیْزَانَ/وَٱلۡمِيزَانَ/wal-mizana//بِالْقِسْطِ/بِٱلۡقِسۡطِۖ/bil-qis'ti//وَ لَا/وَلَا/wala//تَبْخَسُوا/تَبۡخَسُواْ/tabkhasu//النَّاسَ/ٱلنَّاسَ/al-nasa//اَشْیَآءَهُمْ/أَشۡيَآءَهُمۡ/ashyaahum//وَ لَا/وَلَا/wala//تَعْثَوْا/تَعۡثَوۡاْ/ta'thaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُفْسِدِیْنَ /مُفۡسِدِينَ/muf'sidina",
              "words_bangla": "এবং হে আমার জাতি//তোমরা পূর্ণ করো//মাপ//ও ওজন//ভাবে ন্যায়সংগত//এবং না//তোমরা কম করো//লোকদেরকে//তাদের জিনিসগুলোকে//এবং না//তোমরা বিপর্যয় ঘটিয়ো//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টিকারী (হয়ে)"
            },
            {
              "number": 1559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1559.mp3"
              ],
              "text": "بَقِيَّتُ ٱللَّهِ خَيْرٌۭ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ ۚ وَمَآ أَنَا۠ عَلَيْكُم بِحَفِيظٍۢ",
              "translate_bn": "আল্লাহ প্রদত্ত উদ্ধৃত্ত তোমাদের জন্য উত্তম, যদি তোমরা ঈমানদার হও, আর আমি তো তোমাদের উপর সদা পর্যবেক্ষণকারী নই।",
              "numberInSurah": 86,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "বাকিইইয়াতুল্লা-হি খাইরুল্লাকুম ইন কুনতুম মু’মিনীনা ওয়ামাআনা ‘আলাইকুম বিহাফীজ।",
              "words_arabic": "بَقِیَّتُ/بَقِيَّتُ/baqiyyatu//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ ۚ۬/مُّؤۡمِنِينَۚ/mu'minina//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِحَفِیْظٍ /بِحَفِيظٖ/bihafizin",
              "words_bangla": "অবশিষ্টই//আল্লাহর অনুমোদিত//উত্তম//তোমাদের জন্যে//যদি//তোমরা হও//ঈমানদার//এবং নই//আমি//তোমাদের উপর//কোন তত্ত্বাবধায়ক\""
            },
            {
              "number": 1560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1560.mp3"
              ],
              "text": "قَالُوا۟ يَٰشُعَيْبُ أَصَلَوٰتُكَ تَأْمُرُكَ أَن نَّتْرُكَ مَا يَعْبُدُ ءَابَآؤُنَآ أَوْ أَن نَّفْعَلَ فِىٓ أَمْوَٰلِنَا مَا نَشَٰٓؤُا۟ ۖ إِنَّكَ لَأَنتَ ٱلْحَلِيمُ ٱلرَّشِيدُ",
              "translate_bn": "তারা বলল-হে শোয়ায়েব (আঃ) আপনার নামায কি আপনাকে ইহাই শিক্ষা দেয় যে, আমরা ঐসব উপাস্যদেরকে পরিত্যাগ করব আমাদের বাপ-দাদারা যাদের উপাসনা করত? অথবা আমাদের ধন-সম্পদে ইচ্ছামত যা কিছু করে থাকি, তা ছেড়ে দেব? আপনি তো একজন খাস মহৎ ব্যক্তি ও সৎপথের পথিক।",
              "numberInSurah": 87,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-শু‘আইবুআসালা-তুকা তা’মুরুকা আন নাতরুকা মা-ইয়া‘বুদুআ-বাউনাআও আন্নাফ‘আলা ফীআমওয়া-লিনা-মা-নাশাউ ইন্নাকা লাআনতাল হালীমুর রাশীদ।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰشُعَیْبُ/يَٰشُعَيۡبُ/yashu'aybu//اَصَلٰوتُكَ/أَصَلَوٰتُكَ/asalatuka//تَاْمُرُكَ/تَأۡمُرُكَ/tamuruka//اَنْ/أَن/an//نَّتْرُكَ/نَّتۡرُكَ/natruka//مَا/مَا/ma//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُنَاۤ/ءَابَآؤُنَآ/abauna//اَوْ/أَوۡ/aw//اَنْ/أَن/an//نَّفْعَلَ/نَّفۡعَلَ/naf 'ala//فِیْۤ/فِيٓ/fi//اَمْوَالِنَا/أَمۡوَٰلِنَا/amwalina//مَا/مَا/ma//نَشٰٓؤُا ؕ/نَشَـٰٓؤُاْۖ/nashau//اِنَّكَ/إِنَّكَ/innaka//لَاَنْتَ/لَأَنتَ/la-anta//الْحَلِیْمُ/ٱلۡحَلِيمُ/al-halimu//الرَّشِیْدُ /ٱلرَّشِيدُ/al-rashidu",
              "words_bangla": "তারা বললো//\"হে শুআইব//কি তোমার সালাত//তোমাকে নির্দেশ দেয়//যে//ছেড়ে দিবো আমরা//(তা) যার//উপাসনা করতো//আমাদের পূর্ব পুরুষেরা//অথবা//যেন (না)//আমরা করি//মধ্যে//আমাদের ধন-সম্পদের//যা//আমরা চাই//নিশ্চয়ই তুমি//অবশ্যই তুমি//ধৈর্যধারী//সদাচারী\""
            },
            {
              "number": 1561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1561.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّى وَرَزَقَنِى مِنْهُ رِزْقًا حَسَنًۭا ۚ وَمَآ أُرِيدُ أَنْ أُخَالِفَكُمْ إِلَىٰ مَآ أَنْهَىٰكُمْ عَنْهُ ۚ إِنْ أُرِيدُ إِلَّا ٱلْإِصْلَٰحَ مَا ٱسْتَطَعْتُ ۚ وَمَا تَوْفِيقِىٓ إِلَّا بِٱللَّهِ ۚ عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ أُنِيبُ",
              "translate_bn": "শোয়ায়েব (আঃ) বললেন-হে দেশবাসী, তোমরা কি মনে কর! আমি যদি আমার পরওয়ারদেগারের পক্ষ হতে সুস্পষ্ট দলীলের উপর কায়েম থাকি আর তিনি যদি নিজের তরফ হতে আমাকে উত্তম রিযিক দান করে থাকেন, (তবে কি আমি তাঁর হুকুম অমান্য করতে পারি?) আর আমি চাই না যে তোমাদেরকে যা ছাড়াতে চাই পরে নিজেই সে কাজে লিপ্ত হব, আমি তো যথাসাধ্য শোধরাতে চাই। আল্লাহর মদদ দ্বারাই কিন্তু কাজ হয়ে থাকে, আমি তাঁর উপরই নির্ভর করি এবং তাঁরই প্রতি ফিরে যাই।",
              "numberInSurah": 88,
              "juz": 12,
              "manzil": 3,
              "page": 231,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি আরাআইতুম ইন কুনতু‘আলা-বাইয়িনাতিম মির রাববী ওয়া রাঝাকানী মিনহু রিঝকান হাছানাওঁ ওয়ামাউরীদুআন উখা-লিফাকুম ইলা-মাআনহা-কুম ‘আনহু ইন উরীদুইল্লাল ইসলা-হা মাছতাতা‘তু ওয়ামা-তাওফীকীইল্লা-বিল্লাহি ‘আলাইহি তাওয়াক্কালতুওয়া ইলাইহি উনীব।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//كُنْتُ/كُنتُ/kuntu//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّیْ/رَّبِّي/rabbi//وَ رَزَقَنِیْ/وَرَزَقَنِي/warazaqani//مِنْهُ/مِنۡهُ/min'hu//رِزْقًا/رِزۡقًا/riz'qan//حَسَنًا ؕ/حَسَنٗاۚ/hasanan//وَ مَاۤ/وَمَآ/wama//اُرِیْدُ/أُرِيدُ/uridu//اَنْ/أَنۡ/an//اُخَالِفَكُمْ/أُخَالِفَكُمۡ/ukhalifakum//اِلٰی/إِلَىٰ/ila//مَاۤ/مَآ/ma//اَنْهٰىكُمْ/أَنۡهَىٰكُمۡ/anhakum//عَنْهُ ؕ/عَنۡهُۚ/anhu//اِنْ/إِنۡ/in//اُرِیْدُ/أُرِيدُ/uridu//اِلَّا/إِلَّا/illa//الْاِصْلَاحَ/ٱلۡإِصۡلَٰحَ/al-is'laha//مَا/مَا/ma//اسْتَطَعْتُ ؕ/ٱسۡتَطَعۡتُۚ/is'tata'tu//وَ مَا/وَمَا/wama//تَوْفِیْقِیْۤ/تَوۡفِيقِيٓ/tawfiqi//اِلَّا/إِلَّا/illa//بِاللّٰهِ ؕ/بِٱللَّهِۚ/bil-lahi//عَلَیْهِ/عَلَيۡهِ/alayhi//تَوَكَّلْتُ/تَوَكَّلۡتُ/tawakkaltu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//اُنِیْبُ /أُنِيبُ/unibu",
              "words_bangla": "সে বললো//\"হে আমার জাতি//তোমরা কি (ভেবে) দেখেছো//যদি//আমি হই//উপর//সুস্পষ্ট প্রমাণের//কাছ থেকে//আমার রবের//এবং আমাকে জীবিকা‌ দিয়েছেন//তাঁর নিকট হ'তে//জীবিকা//উত্তম//এবং না//আমি চাই//যে//তোমাদের বিরুদ্ধাচারণ করি//(তার) প্রতি//যা//তোমাদের আমি নিষেধ করি//তা হ'তে//না//আমি চাই//এ ছাড়া//সংশোধন//যতটুকু//আমি করতে পারি//এবং নেই//আমার সামর্থ//এ ছাড়া (যা)//(সংঘটিত হয়) সাহায্যে আল্লাহর//তাঁরই উপর//আমি ভরসা করেছি//ও তাঁরই দিকে//প্রত্যাবর্তন আমি করছি"
            },
            {
              "number": 1562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1562.mp3"
              ],
              "text": "وَيَٰقَوْمِ لَا يَجْرِمَنَّكُمْ شِقَاقِىٓ أَن يُصِيبَكُم مِّثْلُ مَآ أَصَابَ قَوْمَ نُوحٍ أَوْ قَوْمَ هُودٍ أَوْ قَوْمَ صَٰلِحٍۢ ۚ وَمَا قَوْمُ لُوطٍۢ مِّنكُم بِبَعِيدٍۢ",
              "translate_bn": "আর হে আমার জাতি! আমার সাথে জিদ করে তোমরা নূহ বা হুদ অথবা সালেহ (আঃ) এর কওমের মত নিজেদের উপর আযাব ডেকে আনবে না। আর লূতের জাতি তো তোমাদের থেকে খুব দূরে নয়।",
              "numberInSurah": 89,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি লা-ইয়াজরিমান্নাকুম শিকা-কীআইঁ ইউসীবাকুম মিছলুমাআসা-বা কাওমা নূহিন আও কাওমা হূদিন আও কাওমা সা-লিহিওঁ ওয়ামা-কাওমুলূতিম মিনকুম ব্বিা‘ঈদ।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//لَا/لَا/la//یَجْرِمَنَّكُمْ/يَجۡرِمَنَّكُمۡ/yajrimannakum//شِقَاقِیْۤ/شِقَاقِيٓ/shiqaqi//اَنْ/أَن/an//یُّصِیْبَكُمْ/يُصِيبَكُم/yusibakum//مِّثْلُ/مِّثۡلُ/mith'lu//مَاۤ/مَآ/ma//اَصَابَ/أَصَابَ/asaba//قَوْمَ/قَوۡمَ/qawma//نُوْحٍ/نُوحٍ/nuhin//اَوْ/أَوۡ/aw//قَوْمَ/قَوۡمَ/qawma//هُوْدٍ/هُودٍ/hudin//اَوْ/أَوۡ/aw//قَوْمَ/قَوۡمَ/qawma//صٰلِحٍ ؕ/صَٰلِحٖۚ/salihin//وَ مَا/وَمَا/wama//قَوْمُ/قَوۡمُ/qawmu//لُوْطٍ/لُوطٖ/lutin//مِّنْكُمْ/مِّنكُم/minkum//بِبَعِیْدٍ /بِبَعِيدٖ/biba'idin",
              "words_bangla": "এবং হে আমার জাতি//না (যেন)//তোমাদেরকে অপরাধ করতে (উদ্বুদ্ধ করে)//আমার (সাথে) বিরোধ//(এতদূর) যে//তোমাদের উপর আপতিত হয়//তেমনি (শাস্তি)//যেমন//আপতিত হয়েছিলো//জাতির (উপর)//নূহের//বা//জাতির (উপর)//হূদের//অথবা//জাতির (উপর)//সালিহর//এবং নয়//জাতি//লুতের//তোমাদের থেকে//বহুদূরে"
            },
            {
              "number": 1563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1563.mp3"
              ],
              "text": "وَٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ ۚ إِنَّ رَبِّى رَحِيمٌۭ وَدُودٌۭ",
              "translate_bn": "আর তোমাদের পালনকর্তার কাছে মার্জনা চাও এবং তাঁরই পানে ফিরে এসো নিশ্চয়ই আমার পরওয়ারদেগার খুবই মেহেরবান অতিস্নেহময়।",
              "numberInSurah": 90,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতাগফিরু রাব্বাকুম ছুম্মা তূবূইলাইহি ইন্না রাববী রাহীমুওঁ ওয়াদূদ।",
              "words_arabic": "وَ اسْتَغْفِرُوْا/وَٱسۡتَغۡفِرُواْ/wa-is'taghfiru//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//ثُمَّ/ثُمَّ/thumma//تُوْبُوْۤا/تُوبُوٓاْ/tubu//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//رَحِیْمٌ/رَحِيمٞ/rahimun//وَّدُوْدٌ /وَدُودٞ/wadudun",
              "words_bangla": "এবং তোমরা ক্ষমা চাও//তোমাদের রবের কাছে//এরপর//তোমরা ফিরে এসো//তাঁর দিকে//নিশ্চয়ই//আমার রব//পরম দয়ালু//প্রেমময়\""
            },
            {
              "number": 1564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1564.mp3"
              ],
              "text": "قَالُوا۟ يَٰشُعَيْبُ مَا نَفْقَهُ كَثِيرًۭا مِّمَّا تَقُولُ وَإِنَّا لَنَرَىٰكَ فِينَا ضَعِيفًۭا ۖ وَلَوْلَا رَهْطُكَ لَرَجَمْنَٰكَ ۖ وَمَآ أَنتَ عَلَيْنَا بِعَزِيزٍۢ",
              "translate_bn": "তারা বলল-হে শোয়ায়েব (আঃ) আপনি যা বলেছেন তার অনেক কথাই আমরা বুঝি নাই, আমারা তো আপনাকে আমাদের মধ্যে দূর্বল ব্যক্তি রূপে মনে করি। আপনার ভাই বন্ধুরা না থাকলে আমরা আপনাকে প্রস্তরাঘাতে হত্যা করতাম। আমাদের দৃষ্টিতে আপনি কোন মর্যাদাবান ব্যক্তি নন।",
              "numberInSurah": 91,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-শু‘আইবুমা-নাফকাহু কাছীরাম মিম্মা-তাকূলুওয়া ইন্না-লানারা-কা ফীনা-দা‘ঈফাওঁ- ওয়া লাওলা-রাহতুকা লারাজামনা-কা ওয়ামাআনতা ‘আলাইনাবি‘আঝীঝ।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰشُعَیْبُ/يَٰشُعَيۡبُ/yashu'aybu//مَا/مَا/ma//نَفْقَهُ/نَفۡقَهُ/nafqahu//كَثِیْرًا/كَثِيرٗا/kathiran//مِّمَّا/مِّمَّا/mimma//تَقُوْلُ/تَقُولُ/taqulu//وَ اِنَّا/وَإِنَّا/wa-inna//لَنَرٰىكَ/لَنَرَىٰكَ/lanaraka//فِیْنَا/فِينَا/fina//ضَعِیْفًا ۚ/ضَعِيفٗاۖ/da'ifan//وَ لَوْ لَا/وَلَوۡلَا/walawla//رَهْطُكَ/رَهۡطُكَ/rahtuka//لَرَجَمْنٰكَ ؗ/لَرَجَمۡنَٰكَۖ/larajamnaka//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//عَلَیْنَا/عَلَيۡنَا/alayna//بِعَزِیْزٍ /بِعَزِيزٖ/bi'azizin",
              "words_bangla": "তারা বলেছিলো//\"হে শুআইব//না//আমরা বুঝি//অনেক (কথাই)//তা হ'তে যা//বলো তুমি//এবং নিশ্চয়ই আমরা//আমরা অবশ্যই তোমাকে দেখছি//আমাদের মাঝে//দুর্বল হিসেবে//এবং যদি থাকত না//তোমার স্বজনবর্গ//তোমাকে আমরা পাথর ছুড়ে মেরে ফেলতাম//এবং নও//তুমি//আমাদের উপর//শক্তিশালী\""
            },
            {
              "number": 1565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1565.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ أَرَهْطِىٓ أَعَزُّ عَلَيْكُم مِّنَ ٱللَّهِ وَٱتَّخَذْتُمُوهُ وَرَآءَكُمْ ظِهْرِيًّا ۖ إِنَّ رَبِّى بِمَا تَعْمَلُونَ مُحِيطٌۭ",
              "translate_bn": "শোয়ায়েব (আঃ) বলেন-হে আমার জাতি, আমার ভাই বন্ধুরা কি তোমাদের কাছে আল্লাহর চেয়ে প্রভাবশালী? আর তোমরা তাকে বিস্মৃত হয়ে পেছনে ফেলে রেখেছ, নিশ্চয় তোমাদের কার্যকলাপ আমার পালনকর্তার আয়ত্তে রয়েছে।",
              "numberInSurah": 92,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি আরাহতী-আ‘আঝঝু‘আলাইকুম মিনাল্লা-হি ওয়াত্তাখাযতুমূহু ওয়ারাআকুম জিহরিইয়া- ইন্না রাববী বিমা-তা‘মালূনা মুহীত।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَرَهْطِیْۤ/أَرَهۡطِيٓ/arahti//اَعَزُّ/أَعَزُّ/a'azzu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//وَ اتَّخَذْتُمُوْهُ/وَٱتَّخَذۡتُمُوهُ/wa-ittakhadhtumuhu//وَرَآءَكُمْ/وَرَآءَكُمۡ/waraakum//ظِهْرِیًّا ؕ/ظِهۡرِيًّاۖ/zih'riyyan//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//مُحِیْطٌ /مُحِيطٞ/muhitun",
              "words_bangla": "সে বললো//\"হে আমার জাতি//আমার স্বজনবর্গ কি//অধিক শক্তিশালী//তোমাদের কাছে//চেয়েও//আল্লাহ্‌র//অথচ তাঁকে তোমরা রেখে দিয়েছো//তোমাদের পিছনে//অবহেলা ভরে//নিশ্চয়ই//আমার রব//সে সম্বন্ধে যা//তোমরা করছো//পরিবেষ্টন করে আছেন"
            },
            {
              "number": 1566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1566.mp3"
              ],
              "text": "وَيَٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَٰمِلٌۭ ۖ سَوْفَ تَعْلَمُونَ مَن يَأْتِيهِ عَذَابٌۭ يُخْزِيهِ وَمَنْ هُوَ كَٰذِبٌۭ ۖ وَٱرْتَقِبُوٓا۟ إِنِّى مَعَكُمْ رَقِيبٌۭ",
              "translate_bn": "আর হে আমার জাতি, তোমরা নিজ স্থানে কাজ করে যাও, আমিও কাজ করছি, অচিরেই জানতে পারবে কার উপর অপমানকর আযাব আসে আর কে মিথ্যাবাদী? আর তোমরাও অপেক্ষায় থাক, আমিও তোমাদের সাথে অপেক্ষায় রইলাম।",
              "numberInSurah": 93,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি‘মালূ‘আলা-মাকা-নাতিকুম ইন্নী ‘আ-মিলুন ছাওফা তা‘লামূনা মাইঁ ইয়া’তীহি ‘আযা-বুইঁ ইউখঝীহি ওয়ামান হুওয়া কা-যিবুওঁ ওয়ারতাকিবূইন্নী মা‘আকুম রাকীব।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//اعْمَلُوْا/ٱعۡمَلُواْ/i'malu//عَلٰی/عَلَىٰ/ala//مَكَانَتِكُمْ/مَكَانَتِكُمۡ/makanatikum//اِنِّیْ/إِنِّي/inni//عَامِلٌ ؕ/عَٰمِلٞۖ/amilun//سَوْفَ/سَوۡفَ/sawfa//تَعْلَمُوْنَ ۙ/تَعۡلَمُونَ/ta'lamuna//مَنْ/مَن/man//یَّاْتِیْهِ/يَأۡتِيهِ/yatihi//عَذَابٌ/عَذَابٞ/adhabun//یُّخْزِیْهِ/يُخۡزِيهِ/yukh'zihi//وَ مَنْ/وَمَنۡ/waman//هُوَ/هُوَ/huwa//كَاذِبٌ ؕ/كَٰذِبٞۖ/kadhibun//وَ ارْتَقِبُوْۤا/وَٱرۡتَقِبُوٓاْ/wa-ir'taqibu//اِنِّیْ/إِنِّي/inni//مَعَكُمْ/مَعَكُمۡ/ma'akum//رَقِیْبٌ /رَقِيبٞ/raqibun",
              "words_bangla": "এবং হে আমার জাতি//তোমরা কাজ করো//উপর//তোমাদের নিজ নিজ অবস্থানের//নিশ্চয়ই আমিও//কাজ করছি (আমার অবস্থানে)//শীঘ্রই//তোমরা জানবে//(যে) কে সেই//যার উপর আসবে//শাস্তি//তাকে লাঞ্ছিত করে ছাড়বে//এবং কে//সে//মিথ্যাবাদী//এবং তোমরা প্রতীক্ষা করো//নিশ্চয়ই আমি//তোমাদের সাথে//প্রতীক্ষাকারী\""
            },
            {
              "number": 1567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1567.mp3"
              ],
              "text": "وَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا شُعَيْبًۭا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍۢ مِّنَّا وَأَخَذَتِ ٱلَّذِينَ ظَلَمُوا۟ ٱلصَّيْحَةُ فَأَصْبَحُوا۟ فِى دِيَٰرِهِمْ جَٰثِمِينَ",
              "translate_bn": "আর আমার হুকুম যখন এল, আমি শোয়ায়েব (আঃ) ও তাঁর সঙ্গী ঈমানদারগণকে নিজ রহমতে রক্ষা করি আর পাপিষ্ঠদের উপর বিকট গর্জন পতিত হলো। ফলে ভোর না হতেই তারা নিজেদের ঘরে উপুড় হয়ে পড়ে রইল।",
              "numberInSurah": 94,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআ আমরুনা- নাজ্জাইনা-শু‘আইবাওঁ ওয়াল্লাযীনা আ-মানূমা‘আহূ বিরাহমাতিম মিন্না-ওয়া আখাযাতিল্লাযীনা জালামুসসাইহাতুফাআসবাহূফী দিয়া-রিহিম জা-ছিমীন।\r\n",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//نَجَّیْنَا/نَجَّيۡنَا/najjayna//شُعَیْبًا/شُعَيۡبٗا/shu'ayban//وَّ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//بِرَحْمَةٍ/بِرَحۡمَةٖ/birahmatin//مِّنَّا/مِّنَّا/minna//وَ اَخَذَتِ/وَأَخَذَتِ/wa-akhadhati//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوا/ظَلَمُواْ/zalamu//الصَّیْحَةُ/ٱلصَّيۡحَةُ/al-sayhatu//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//فِیْ/فِي/fi//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//جٰثِمِیْنَۙ/جَٰثِمِينَ/jathimina",
              "words_bangla": "এবং যখন//আসলো//আমাদের নির্দেশ//আমরা রক্ষা করলাম//শুআইবকে//ও যারা//ঈমান এনেছিলো//তার সাথে//অনুগ্রহ দিয়ে//আমাদের পক্ষ থেকে//এবং ধরলো//(তাদেরকে) যারা//সীমালঙ্ঘন করেছিলো//মহাগর্জন//তারা অতঃপর হয়ে গেলো//মধ্যে//তাদের ঘরগুলোর//উপুড় হয়ে পড়া (নির্জীব নিস্পন্দ)"
            },
            {
              "number": 1568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1568.mp3"
              ],
              "text": "كَأَن لَّمْ يَغْنَوْا۟ فِيهَآ ۗ أَلَا بُعْدًۭا لِّمَدْيَنَ كَمَا بَعِدَتْ ثَمُودُ",
              "translate_bn": "যেন তারা সেখানে কখনো বসবাসই করে নাই। জেনে রাখ, সামুদের প্রতি অভিসম্পাতের মত মাদইয়ানবাসীর উপরেও অভিসম্পাত।",
              "numberInSurah": 95,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 190,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "কাআল লাম ইয়াগনাও ফীহা- আলা-বু‘দাল লিমাদইয়ানা কামা বা‘ইদাত ছামূদ।",
              "words_arabic": "كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَغْنَوْا/يَغۡنَوۡاْ/yaghnaw//فِیْهَا ؕ/فِيهَآۗ/fiha//اَلَا/أَلَا/ala//بُعْدًا/بُعۡدٗا/bu'dan//لِّمَدْیَنَ/لِّمَدۡيَنَ/limadyana//كَمَا/كَمَا/kama//بَعِدَتْ/بَعِدَتۡ/ba'idat//ثَمُوْدُ۠/ثَمُودُ/thamudu",
              "words_bangla": "যেন//নি//তারা বসবাস করেই//তার মধ্যে//জেনে রাখো//ধ্বংস হলো//জন্যে মাদয়ানবাসীদের//যেমন//ধ্বংস করা হয়েছিলো//সামূদ জাতিকে"
            },
            {
              "number": 1569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1569.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَٰتِنَا وَسُلْطَٰنٍۢ مُّبِينٍ",
              "translate_bn": "আর আমি মূসা (আঃ) কে প্রেরণ করি আমার নিদর্শনাদি ও সুস্পষ্ট সনদসহ;",
              "numberInSurah": 96,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-মূছা-বিআ-য়া-তিনা-ওয়া ছুলতা-নিম মুবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مُوْسٰی/مُوسَىٰ/musa//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ سُلْطٰنٍ/وَسُلۡطَٰنٖ/wasul'tanin//مُّبِیْنٍۙ/مُّبِينٍ/mubinin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছিলাম//মূসাকে//দিয়ে আমাদের নিদর্শনাবলী//এবং প্রমাণ (দিয়ে)//সুস্পষ্ট"
            },
            {
              "number": 1570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1570.mp3"
              ],
              "text": "إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَٱتَّبَعُوٓا۟ أَمْرَ فِرْعَوْنَ ۖ وَمَآ أَمْرُ فِرْعَوْنَ بِرَشِيدٍۢ",
              "translate_bn": "ফেরাউন ও তার পারিষদবর্গের কাছে, তবুও তারা ফেরাউনের হুকুমে চলতে থাকে, অথচ ফেরাউনের কোন কথা ন্যায় সঙ্গত ছিল না।",
              "numberInSurah": 97,
              "juz": 12,
              "manzil": 3,
              "page": 232,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ইলা-ফির‘আওনা ওয়া মালাইহী ফাত্তাবা‘উআমরা ফির‘আওনা ওয়ামাআমরু ফির‘আওনা বিরাশীদ।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ/وَمَلَإِيْهِۦ/wamala-ihi//فَاتَّبَعُوْۤا/فَٱتَّبَعُوٓاْ/fa-ittaba'u//اَمْرَ/أَمۡرَ/amra//فِرْعَوْنَ ۚ/فِرۡعَوۡنَۖ/fir'awna//وَ مَاۤ/وَمَآ/wama//اَمْرُ/أَمۡرُ/amru//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//بِرَشِیْدٍ /بِرَشِيدٖ/birashidin",
              "words_bangla": "প্রতি//ফিরআউনের//এবং তার প্রধানব্যক্তিবর্গের (প্রতি)//তারা অতঃপর অনুসরণ করলো//কাজকর্মের//ফিরআউনের//এবং না//কাজকর্ম (ছিলো)//ফিরআউনের//ন্যায়সঙ্গত"
            },
            {
              "number": 1571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1571.mp3"
              ],
              "text": "يَقْدُمُ قَوْمَهُۥ يَوْمَ ٱلْقِيَٰمَةِ فَأَوْرَدَهُمُ ٱلنَّارَ ۖ وَبِئْسَ ٱلْوِرْدُ ٱلْمَوْرُودُ",
              "translate_bn": "কেয়ামতের দিন সে তার জাতির লোকদের আগে আগে থাকবে এবং তাদেরকে জাহান্নামের আগুনে পৌঁছে দিবে। আর সেটা অতীব নিকৃষ্ট স্থান, সেখানে তারা পৌঁছেছে।।",
              "numberInSurah": 98,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ইয়াকদুমুকাওমাহূইয়াওমাল কিয়া-মাতি ফাআওরাদা হুমুন্না-রু ওয়া বি‘ছাল বিরদুল মাওরূদ।",
              "words_arabic": "یَقْدُمُ/يَقۡدُمُ/yaqdumu//قَوْمَهٗ/قَوۡمَهُۥ/qawmahu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فَاَوْرَدَهُمُ/فَأَوۡرَدَهُمُ/fa-awradahumu//النَّارَ ؕ/ٱلنَّارَۖ/al-nara//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْوِرْدُ/ٱلۡوِرۡدُ/al-wir'du//الْمَوْرُوْدُ /ٱلۡمَوۡرُودُ/al-mawrudu",
              "words_bangla": "সে সামনে থাকবে//তার জাতির লোকদের//দিনে//ক্বিয়ামাতের//অতঃপর তাদের উপস্থিত করবে//(জাহান্নামের) আগুনে//এবং অতি জঘন্য//উপস্থিত স্থান//যেখানে তারা উপস্থিত  হবে"
            },
            {
              "number": 1572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1572.mp3"
              ],
              "text": "وَأُتْبِعُوا۟ فِى هَٰذِهِۦ لَعْنَةًۭ وَيَوْمَ ٱلْقِيَٰمَةِ ۚ بِئْسَ ٱلرِّفْدُ ٱلْمَرْفُودُ",
              "translate_bn": "আর এ জগতেও তাদের পেছনে লানত রয়েছে এবং কিয়ামতের দিনেও; অত্যন্ত জঘন্য প্রতিফল, যা তারা পেয়েছে।",
              "numberInSurah": 99,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া উতবি‘ঊ ফী হা-যিহী লা‘নাতাওঁ ওয়া ইয়াওমাল কিয়া-মাতি বি’ছার রিফদুল মারফূদ।",
              "words_arabic": "وَ اُتْبِعُوْا/وَأُتۡبِعُواْ/wa-ut'bi'u//فِیْ/فِي/fi//هٰذِهٖ/هَٰذِهِۦ/hadhihi//لَعْنَةً/لَعۡنَةٗ/la'natan//وَّ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//بِئْسَ/بِئۡسَ/bi'sa//الرِّفْدُ/ٱلرِّفۡدُ/al-rif'du//الْمَرْفُوْدُ /ٱلۡمَرۡفُودُ/al-marfudu",
              "words_bangla": "এবং তাদেরকে অনুসরণ করলো//মধ্যে//এই (পৃথিবীর)//অভিশাপ//এবং (অভিশাপ) দিনে//ক্বিয়ামাতের//অতি জঘন্য//পুরস্কার//(যা তাদেরকে) পুরস্কার দেয়া হবে"
            },
            {
              "number": 1573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1573.mp3"
              ],
              "text": "ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْقُرَىٰ نَقُصُّهُۥ عَلَيْكَ ۖ مِنْهَا قَآئِمٌۭ وَحَصِيدٌۭ",
              "translate_bn": "এ হচ্ছে কয়েকটি জনপদের সামান্য ইতিবৃত্ত, যা আমি আপনাকে শোনাচ্ছি। তন্মধ্যে কোন কোনটি এখনও বর্তমান আছে আর কোন কোনটির শিকড় কেটে দেয়া হয়েছে।",
              "numberInSurah": 100,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা মিন আমবাইল কুরা-নাকুসসুহূ‘আলাইকা মিনহা কাইমুওঁ ওয়া হাসীদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//نَقُصُّهٗ/نَقُصُّهُۥ/naqussuhu//عَلَیْكَ/عَلَيۡكَۖ/alayka//مِنْهَا/مِنۡهَا/min'ha//قَآىِٕمٌ/قَآئِمٞ/qaimun//وَّ حَصِیْدٌ /وَحَصِيدٞ/wahasidun",
              "words_bangla": "এই (খবর)//কিছু//সংবাদ//জনপদসমূহের//তা আমরা বর্ণনা করছি//তোমার কাছে//তার মধ্যে হ'তে//(কিছু) বিদ্যমান আছে//আবার (কিছু) নির্মূল হয়েছে"
            },
            {
              "number": 1574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1574.mp3"
              ],
              "text": "وَمَا ظَلَمْنَٰهُمْ وَلَٰكِن ظَلَمُوٓا۟ أَنفُسَهُمْ ۖ فَمَآ أَغْنَتْ عَنْهُمْ ءَالِهَتُهُمُ ٱلَّتِى يَدْعُونَ مِن دُونِ ٱللَّهِ مِن شَىْءٍۢ لَّمَّا جَآءَ أَمْرُ رَبِّكَ ۖ وَمَا زَادُوهُمْ غَيْرَ تَتْبِيبٍۢ",
              "translate_bn": "আমি কিন্তু তাদের প্রতি জুলুম করি নাই বরং তারা নিজেরাই নিজের উপর অবিচার করেছে। ফলে আল্লাহকে বাদ দিয়ে তারা যেসব মাবুদকে ডাকতো আপনার পালনকর্তার হুকুম যখন এসে পড়ল, তখন কেউ কোন কাজে আসল না। তারা শুধু বিপর্যয়ই বৃদ্ধি করল।",
              "numberInSurah": 101,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জালামনা-হুম ওয়ালা-কিন জালামূআনফুছাহুম ফামাআগনাত ‘আনহুম আলিহাতুহুমুল্লাতী ইয়াদ‘ঊনা মিন দূ নিল্লা-হি মিন শাইয়িল লাম্মা-জাআ আমরু রাব্বিকা ওয়ামা-ঝা-দুহুম গাইরা তাতবীব।",
              "words_arabic": "وَ مَا/وَمَا/wama//ظَلَمْنٰهُمْ/ظَلَمۡنَٰهُمۡ/zalamnahum//وَ لٰكِنْ/وَلَٰكِن/walakin//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡۖ/anfusahum//فَمَاۤ/فَمَآ/fama//اَغْنَتْ/أَغۡنَتۡ/aghnat//عَنْهُمْ/عَنۡهُمۡ/anhum//اٰلِهَتُهُمُ/ءَالِهَتُهُمُ/alihatuhumu//الَّتِیْ/ٱلَّتِي/allati//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//لَّمَّا/لَّمَّا/lamma//جَآءَ/جَآءَ/jaa//اَمْرُ/أَمۡرُ/amru//رَبِّكَ ؕ/رَبِّكَۖ/rabbika//وَ مَا/وَمَا/wama//زَادُوْهُمْ/زَادُوهُمۡ/zaduhum//غَیْرَ/غَيۡرَ/ghayra//تَتْبِیْبٍ /تَتۡبِيبٖ/tatbibin",
              "words_bangla": "এবং না//তাদের উপর আমরা অত্যাচার করেছি//কিন্তু//তারা অত্যাচার করেছিলো//তাদের নিজেদের (উপর)//অতঃপর না//কাজে লাগলো//তাদের জন্যে//তাদের উপাস্যরা//যাকে//তারা ডাকত//থেকে//ছাড়া//আল্লাহ্‌কে//কোন//কিছুই//যখন//আসলো//নির্দেশ//তোমার রবের//এবং না//তাদের তারা বৃদ্ধি করলো//ছাড়া//ধ্বংস"
            },
            {
              "number": 1575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1575.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَخْذُ رَبِّكَ إِذَآ أَخَذَ ٱلْقُرَىٰ وَهِىَ ظَٰلِمَةٌ ۚ إِنَّ أَخْذَهُۥٓ أَلِيمٌۭ شَدِيدٌ",
              "translate_bn": "আর তোমার পরওয়ারদেগার যখন কোন পাপপূর্ণ জনপদকে ধরেন, তখন এমনিভাবেই ধরে থাকেন। নিশ্চয় তাঁর পাকড়াও খুবই মারাত্নক, বড়ই কঠোর।",
              "numberInSurah": 102,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আখযুরাব্বিক ইযাআখাযাল কুরা-ওয়াহিয়া জা-লিমাতুন ইন্না আখযাহূআলীমুন শাদীদ।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَخْذُ/أَخۡذُ/akhdhu//رَبِّكَ/رَبِّكَ/rabbika//اِذَاۤ/إِذَآ/idha//اَخَذَ/أَخَذَ/akhadha//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//وَ هِیَ/وَهِيَ/wahiya//ظَالِمَةٌ ؕ/ظَٰلِمَةٌۚ/zalimatun//اِنَّ/إِنَّ/inna//اَخْذَهٗۤ/أَخۡذَهُۥٓ/akhdhahu//اَلِیْمٌ/أَلِيمٞ/alimun//شَدِیْدٌ /شَدِيدٌ/shadidun",
              "words_bangla": "এবং এভাবেই//পাকড়াও (আসে)//তোমার রবের//যখন//তিনি পাকড়াও করেন//জনবসতিকে//এমতাবস্হায় তা//(ছিল) অত্যাচারী//নিশ্চয়ই//তাঁর পাকড়াও//যন্ত্রণাদায়ক//কঠোর"
            },
            {
              "number": 1576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1576.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّمَنْ خَافَ عَذَابَ ٱلْءَاخِرَةِ ۚ ذَٰلِكَ يَوْمٌۭ مَّجْمُوعٌۭ لَّهُ ٱلنَّاسُ وَذَٰلِكَ يَوْمٌۭ مَّشْهُودٌۭ",
              "translate_bn": "নিশ্চয় ইহার মধ্যে নিদর্শন রয়েছে এমন প্রতিটি মানুষের জন্য যে আখেরাতের আযাবকে ভয় করে। উহা এমন একদিন, যে দিন সব মানুষেই সমবেত হবে, সেদিনটি যে হাযিরের দিন।",
              "numberInSurah": 103,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাল লিমান খা-ফা ‘আযা-বাল আ-খিরাতি যা-লিকা ইয়াওমুম মাজমূ‘উল্লাহুন্না-ছুওয়া যা-লিকা ইয়াওমুম মাশহুদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّمَنْ/لِّمَنۡ/liman//خَافَ/خَافَ/khafa//عَذَابَ/عَذَابَ/adhaba//الْاٰخِرَةِ ؕ/ٱلۡأٓخِرَةِۚ/al-akhirati//ذٰلِكَ/ذَٰلِكَ/dhalika//یَوْمٌ/يَوۡمٞ/yawmun//مَّجْمُوْعٌ ۙ/مَّجۡمُوعٞ/majmu'un//لَّهُ/لَّهُ/lahu//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//یَوْمٌ/يَوۡمٞ/yawmun//مَّشْهُوْدٌ /مَّشۡهُودٞ/mashhudun",
              "words_bangla": "নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//তার জন্য যে//ভয় করে//শাস্তির//আখিরাতের//এটা//দিন//একত্র করার//তার (মধ্যে)//(সকল) মানুষকে//এবং এটা//দিন//সবার উপস্হিতির"
            },
            {
              "number": 1577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1577.mp3"
              ],
              "text": "وَمَا نُؤَخِّرُهُۥٓ إِلَّا لِأَجَلٍۢ مَّعْدُودٍۢ",
              "translate_bn": "আর আমি যে উহা বিলম্বিত করি, তা শুধু একটি ওয়াদার কারণে যা নির্ধারিত রয়েছে।",
              "numberInSurah": 104,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-নুআখখিরুহূ ইল্লা-লিআজালিম মা‘দূদ।",
              "words_arabic": "وَ مَا/وَمَا/wama//نُؤَخِّرُهٗۤ/نُؤَخِّرُهُۥٓ/nu-akhiruhu//اِلَّا/إِلَّا/illa//لِاَجَلٍ/لِأَجَلٖ/li-ajalin//مَّعْدُوْدٍؕ/مَّعۡدُودٖ/ma'dudin",
              "words_bangla": "এবং না//তা আমরা স্হগিত করবো//এ ছাড়া//জন্যে একটি সময়ের//নির্দিষ্ট"
            },
            {
              "number": 1578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1578.mp3"
              ],
              "text": "يَوْمَ يَأْتِ لَا تَكَلَّمُ نَفْسٌ إِلَّا بِإِذْنِهِۦ ۚ فَمِنْهُمْ شَقِىٌّۭ وَسَعِيدٌۭ",
              "translate_bn": "যেদিন তা আসবে সেদিন আল্লাহর অনুমতি ছাড়া কেউ কোন কথা বলতে পারে না। অতঃপর কিছু লোক হবে হতভাগ্য আর কিছু লোক সৌভাগ্যবান।",
              "numberInSurah": 105,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়া'তি লা-তাকাল্লামুনাফছুন ইল্লা-বিইযনিহী ফামিনহুম শাকিইইউঁওয়াছা‘ঈদ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَاْتِ/يَأۡتِ/yati//لَا/لَا/la//تَكَلَّمُ/تَكَلَّمُ/takallamu//نَفْسٌ/نَفۡسٌ/nafsun//اِلَّا/إِلَّا/illa//بِاِذْنِهٖ ۚ/بِإِذۡنِهِۦۚ/bi-idh'nihi//فَمِنْهُمْ/فَمِنۡهُمۡ/famin'hum//شَقِیٌّ/شَقِيّٞ/shaqiyyun//وَّ سَعِیْدٌ /وَسَعِيدٞ/wasa'idun",
              "words_bangla": "সেদিন//(যখন) আসবে//না//কথা বলতে পারবে//কোন ব্যক্তি//ছাড়া//তাঁর অনুমতির মাধ্যমে//অতঃপর তাদের মধ্যে কেউ//হতভাগ্য (হবে)//আর সৌভাগ্যবান (হবে কেউ)"
            },
            {
              "number": 1579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1579.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ شَقُوا۟ فَفِى ٱلنَّارِ لَهُمْ فِيهَا زَفِيرٌۭ وَشَهِيقٌ",
              "translate_bn": "অতএব যারা হতভাগ্য তারা দোযখে যাবে, সেখানে তারা আর্তনাদ ও চিৎকার করতে থাকবে।",
              "numberInSurah": 106,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল্লাযীনা শাকূফাফিন্না-রি লাহুম ফীহা-ঝাফীরুওঁ ওয়া শাহীক।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//شَقُوْا/شَقُواْ/shaqu//فَفِی/فَفِي/fafi//النَّارِ/ٱلنَّارِ/al-nari//لَهُمْ/لَهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//زَفِیْرٌ/زَفِيرٞ/zafirun//وَّ شَهِیْقٌۙ/وَشَهِيقٌ/washahiqun",
              "words_bangla": "অতঃপর//যারা//হতভাগ্য হবে//তখন মধ্যে (হবে)//(জাহান্নামের) আগুনের//তাদের জন্যে//তার মধ্যে (থাকবে)//আর্তনাদ//ও চিৎকার"
            },
            {
              "number": 1580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1580.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا مَا دَامَتِ ٱلسَّمَٰوَٰتُ وَٱلْأَرْضُ إِلَّا مَا شَآءَ رَبُّكَ ۚ إِنَّ رَبَّكَ فَعَّالٌۭ لِّمَا يُرِيدُ",
              "translate_bn": "তারা সেখানে চিরকাল থাকবে, যতদিন আসমান ও যমীন বর্তমান থাকবে। তবে তোমার প্রতিপালক অন্য কিছু ইচ্ছা করলে ভিন্ন কথা। নিশ্চয় তোমার পরওয়ারদেগার যা ইচ্ছা করতে পারেন।",
              "numberInSurah": 107,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 93,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-মা-দা-মাতিছছামা-ওয়া-তুওয়াল আরদুইল্লা-মা-শাআ রাব্বুকা ইন্না রাব্বাকা ফা‘‘আ-লুলিলমা-ইউরীদ।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//دَامَتِ/دَامَتِ/damati//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//رَبُّكَ ؕ/رَبُّكَۚ/rabbuka//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//فَعَّالٌ/فَعَّالٞ/fa'alun//لِّمَا/لِّمَا/lima//یُرِیْدُ /يُرِيدُ/yuridu",
              "words_bangla": "তারা স্থায়ী হবে//তার মধ্যে//যতক্ষণ//বিদ্যমান থাকবে//আকাশসমূহ//এবং পৃথিবী//তবে//যা//ইচ্ছে করেন//তোমার রব (সেটা ভিন্ন কথা)//নিশ্চয়ই//তোমার রব//নিশ্চিতভাবে সম্পাদনকারী//যা//তিনি চান"
            },
            {
              "number": 1581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1581.mp3"
              ],
              "text": "۞ وَأَمَّا ٱلَّذِينَ سُعِدُوا۟ فَفِى ٱلْجَنَّةِ خَٰلِدِينَ فِيهَا مَا دَامَتِ ٱلسَّمَٰوَٰتُ وَٱلْأَرْضُ إِلَّا مَا شَآءَ رَبُّكَ ۖ عَطَآءً غَيْرَ مَجْذُوذٍۢ",
              "translate_bn": "আর যারা সৌভাগ্যবান তারা বেহেশতের মাঝে, সেখানেই চিরদিন থাকবে, যতদিন আসমান ও যমীন বর্তমান থাকবে। তবে তোমার প্রভু অন্য কিছু ইচ্ছা করলে ভিন্ন কথা। এ দানের ধারাবাহিকতা কখনো ছিন্ন হওয়ার নয়।",
              "numberInSurah": 108,
              "juz": 12,
              "manzil": 3,
              "page": 233,
              "ruku": 191,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়াআম্মাল্লাযীনা ছু‘ইদূফাফিল জান্নাতি খা-লিদীনা ফীহা-মা-দা-মাতিছছামা-ওয়া-তু ওয়াল আরদুইল্লা-মা-শাআ রাব্বুকা; ‘আতা-আন গাইরা মাজযূয।",
              "words_arabic": "وَ اَمَّا/۞وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//سُعِدُوْا/سُعِدُواْ/su'idu//فَفِی/فَفِي/fafi//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//دَامَتِ/دَامَتِ/damati//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//رَبُّكَ ؕ/رَبُّكَۖ/rabbuka//عَطَآءً/عَطَآءً/ataan//غَیْرَ/غَيۡرَ/ghayra//مَجْذُوْذٍ /مَجۡذُوذٖ/majdhudhin",
              "words_bangla": "আর//যারা//সৌভাগ্যবান হবে//তখন মধ্যে//জান্নাতের//স্থায়ী বসবাসকারী//তার মধ্যে (তারা থাকবে)//যতক্ষণ//বিদ্যমান থাকবে//আকাশসমূহ//ও পৃথিবী//এছাড়া//যা//ইচ্ছে করেন//তোমার রব//(তারা পাবে) পুরস্কার//নয়//বিছিন্ন হওয়ার"
            },
            {
              "number": 1582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1582.mp3"
              ],
              "text": "فَلَا تَكُ فِى مِرْيَةٍۢ مِّمَّا يَعْبُدُ هَٰٓؤُلَآءِ ۚ مَا يَعْبُدُونَ إِلَّا كَمَا يَعْبُدُ ءَابَآؤُهُم مِّن قَبْلُ ۚ وَإِنَّا لَمُوَفُّوهُمْ نَصِيبَهُمْ غَيْرَ مَنقُوصٍۢ",
              "translate_bn": "অতএব, তারা যেসবের উপাসনা করে তুমি সে ব্যাপারে কোনরূপ ধোঁকায় পড়বে না। তাদের পূর্ববর্তী বাপ-দাদারা যেমন পূজা উপাসনা করত, এরাও তেমন করছে। আর নিশ্চয় আমি তাদেরকে আযাবের ভাগ কিছু মাত্রও কম না করেই পুরোপুরি দান করবো।",
              "numberInSurah": 109,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 191,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ফালা-তাকুফী মিরইয়াতিম মিম্মা-ইয়া‘বুদুহাউলাই মা-ইয়া‘বুদূ না ইল্লা-কামাইয়া‘বুদুআ-বাউহুম মিন কাবলু ওয়া ইন্না-লামুওয়াফফূহুম নাসীবাহুম গাইরা মানকূস।",
              "words_arabic": "فَلَا/فَلَا/fala//تَكُ/تَكُ/taku//فِیْ/فِي/fi//مِرْیَةٍ/مِرۡيَةٖ/mir'yatin//مِّمَّا/مِّمَّا/mimma//یَعْبُدُ/يَعۡبُدُ/ya'budu//هٰۤؤُلَآءِ ؕ/هَـٰٓؤُلَآءِۚ/haulai//مَا/مَا/ma//یَعْبُدُوْنَ/يَعۡبُدُونَ/ya'buduna//اِلَّا/إِلَّا/illa//كَمَا/كَمَا/kama//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُهُمْ/ءَابَآؤُهُم/abauhum//مِّنْ/مِّن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//وَ اِنَّا/وَإِنَّا/wa-inna//لَمُوَفُّوْهُمْ/لَمُوَفُّوهُمۡ/lamuwaffuhum//نَصِیْبَهُمْ/نَصِيبَهُمۡ/nasibahum//غَیْرَ/غَيۡرَ/ghayra//مَنْقُوْصٍ۠/مَنقُوصٖ/manqusin",
              "words_bangla": "অতএব না//তুমি থাকবে//মধ্যে//সংশয়ের//তা হ'তে যার//উপাসনা করে//এসব (মুশরিকরা)//না//তারা উপাসনা করে//এ ছাড়া//যেমন//উপাসনা করতো//তাদের পূর্বপুরুষেরা//থেকে//পূর্ব//এবং নিশ্চয়ই আমরা//অবশ্যই তাদের পুরোপুরি দিবো//তাদের অংশ//ছাড়া//কম করা"
            },
            {
              "number": 1583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1583.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ فَٱخْتُلِفَ فِيهِ ۚ وَلَوْلَا كَلِمَةٌۭ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ ۚ وَإِنَّهُمْ لَفِى شَكٍّۢ مِّنْهُ مُرِيبٍۢ",
              "translate_bn": "আর আমি মূসা (আঃ)-কে অবশ্যই কিতাব দিয়েছিলাম অতঃপর তাতে বিরোধ সৃষ্টি হল; বলাবাহুল্য তোমার পালনকর্তার পক্ষ হতে, একটি কথা যদি আগেই বলা না হত, তাহলে তাদের মধ্যে চুড়ান্ত ফয়সালা হয়ে যেত তারা এ ব্যাপারে এমনই সন্দেহ প্রবণ যে, কিছুতেই নিশ্চিত হতে পারছে না।",
              "numberInSurah": 110,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মুছাল কিতা-বা ফাখতুলিফা ফীহি ওয়া লাওলা-কালিমাতুন ছাবাকাত মির রাব্বিকা লাকুদিয়া বাইনাহুম ওয়া ইন্নাহুম লাফী শাক্কিম মিনহু মুরীব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//فَاخْتُلِفَ/فَٱخۡتُلِفَ/fa-ukh'tulifa//فِیْهِ ؕ/فِيهِۚ/fihi//وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةٌ/كَلِمَةٞ/kalimatun//سَبَقَتْ/سَبَقَتۡ/sabaqat//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لَقُضِیَ/لَقُضِيَ/laqudiya//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّنْهُ/مِّنۡهُ/min'hu//مُرِیْبٍ /مُرِيبٖ/muribin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছিলাম//মূসাকে//কিতাব//অতঃপর মতবিরোধ ঘটেছিলো//মধ্যে তার//এবং যদি না//একটি বাণী//পূর্বে নির্ধারিত হতো//পক্ষ হ'তে//তোমার রবের//অবশ্যই মীমাংসা করে দেয়া হতো//তাদের মাঝে//এবং নিশ্চয়ই তারা//অবশ্যই মধ্যে (আছে)//সন্দেহের//তা হ'তে//বিভ্রান্তিকর (সন্দেহে)"
            },
            {
              "number": 1584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1584.mp3"
              ],
              "text": "وَإِنَّ كُلًّۭا لَّمَّا لَيُوَفِّيَنَّهُمْ رَبُّكَ أَعْمَٰلَهُمْ ۚ إِنَّهُۥ بِمَا يَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "আর যত লোকই হোক না কেন, যখন সময় হবে, তোমার প্রভু তাদের সকলেরই আমলের প্রতিদান পুরোপুরি দান করবেন। নিশ্চয় তিনি তাদের যাবতীয় কার্যকলাপের খবর রাখেন।",
              "numberInSurah": 111,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না কুল্লাল লাম্মা-লাইউওয়াফফিয়ান্নাহুম রাব্বুকা আ‘মা-লাহুম ইন্নাহূবিমাইয়া‘মালূনা খাবীর।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//كُلًّا/كُلّٗا/kullan//لَّمَّا/لَّمَّا/lamma//لَیُوَفِّیَنَّهُمْ/لَيُوَفِّيَنَّهُمۡ/layuwaffiyannahum//رَبُّكَ/رَبُّكَ/rabbuka//اَعْمَالَهُمْ ؕ/أَعۡمَٰلَهُمۡۚ/a'malahum//اِنَّهٗ/إِنَّهُۥ/innahu//بِمَا/بِمَا/bima//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "এবং নিশ্চয়ই//প্রত্যেককে (ব্যক্তিকে)//যখন (সময় আসবে)//অবশ্যই তাদের পুরোপুরি দিবেন//তোমার রব//তাদের কাজগুলোর (প্রতিফল)//নিশ্চয়ই তিনি//ঐ বিষয়ে যা//তারা কাজ করেছে//খুব অবহিত"
            },
            {
              "number": 1585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1585.mp3"
              ],
              "text": "فَٱسْتَقِمْ كَمَآ أُمِرْتَ وَمَن تَابَ مَعَكَ وَلَا تَطْغَوْا۟ ۚ إِنَّهُۥ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "অতএব, তুমি এবং তোমার সাথে যারা তওবা করেছে সবাই সোজা পথে চলে যাও-যেমন তোমায় হুকুম দেয়া হয়েছে এবং সীমা লঙ্ঘন করবে না, তোমরা যা কিছু করছ, নিশ্চয় তিনি তার প্রতি দৃষ্টি রাখেন।",
              "numberInSurah": 112,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ফাছতাকিম কামাউমিরতা ওয়ামান তা-বা মা‘আকা ওয়ালা-তাতগাও ইন্নাহূবিমাতা‘মালূনা বাসীর।",
              "words_arabic": "فَاسْتَقِمْ/فَٱسۡتَقِمۡ/fa-is'taqim//كَمَاۤ/كَمَآ/kama//اُمِرْتَ/أُمِرۡتَ/umir'ta//وَ مَنْ/وَمَن/waman//تَابَ/تَابَ/taba//مَعَكَ/مَعَكَ/ma'aka//وَ لَا/وَلَا/wala//تَطْغَوْا ؕ/تَطۡغَوۡاْۚ/tatghaw//اِنَّهٗ/إِنَّهُۥ/innahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "অতএব সুদৃঢ় থাকো//যেমন//তোমাকে আদেশ করা হয়েছে//এবং যে//ফিরে এসেছে (ঈমান ও আনুগত্যে)//তোমার সাথে//এবং না//তোমরা সীমালঙ্ঘন করো//নিশ্চয়ই তিনি//ঐ বিষয়ে যা//তোমরা কাজ করছো//পূর্ণ দৃষ্টি রাখেন"
            },
            {
              "number": 1586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1586.mp3"
              ],
              "text": "وَلَا تَرْكَنُوٓا۟ إِلَى ٱلَّذِينَ ظَلَمُوا۟ فَتَمَسَّكُمُ ٱلنَّارُ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِنْ أَوْلِيَآءَ ثُمَّ لَا تُنصَرُونَ",
              "translate_bn": "আর পাপিষ্ঠদের প্রতি ঝুঁকবে না। নতুবা তোমাদেরকেও আগুনে ধরবে। আর আল্লাহ ব্যতীত তোমাদের কোন বন্ধু নাই। অতএব কোথাও সাহায্য পাবে না।",
              "numberInSurah": 113,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তারকানূইলাল্লাযীনা জালামূফাতামাছছাকুমুন্না-রু ওয়ামা-লাকুমমিনদূনিল্লা-হি মিন আউলিয়াআ ছুম্মা লা-তুনসারূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَرْكَنُوْۤا/تَرۡكَنُوٓاْ/tarkanu//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//فَتَمَسَّكُمُ/فَتَمَسَّكُمُ/fatamassakumu//النَّارُ ۙ/ٱلنَّارُ/al-naru//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِنۡ/min//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تُنْصَرُوْنَ /تُنصَرُونَ/tunsaruna",
              "words_bangla": "এবং না//তোমরা ঝুঁকো//প্রতি//(তাদের) যারা//সীমালঙ্ঘন করেছে//তাহ'লে স্পর্শ করবে তোমাদের//(জাহান্নামের) আগুন//এবং না (হবে)//তোমাদের জন্যে//মধ্য হতে//ছাড়া//আল্লাহ//কোন//অভিভাবক//এরপর//না//তোমাদের সাহায্য করা হবে"
            },
            {
              "number": 1587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1587.mp3"
              ],
              "text": "وَأَقِمِ ٱلصَّلَوٰةَ طَرَفَىِ ٱلنَّهَارِ وَزُلَفًۭا مِّنَ ٱلَّيْلِ ۚ إِنَّ ٱلْحَسَنَٰتِ يُذْهِبْنَ ٱلسَّيِّـَٔاتِ ۚ ذَٰلِكَ ذِكْرَىٰ لِلذَّٰكِرِينَ",
              "translate_bn": "আর দিনের দুই প্রান্তেই নামায ঠিক রাখবে, এবং রাতের প্রান্তভাগে পূর্ণ কাজ অবশ্যই পাপ দূর করে দেয়, যারা স্মরণ রাখে তাদের জন্য এটি এক মহা স্মারক।",
              "numberInSurah": 114,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকিমিসসালা-তা তারাফাইন্নাহা-রি ওয়া ঝুলাফাম মিনাল্লাইলি ইন্নাল হাছানা-তি ইউযহিবনাছ ছাইয়িআ-তি যা-লিকা যিকরা-লিযযা-কিরীন।",
              "words_arabic": "وَ اَقِمِ/وَأَقِمِ/wa-aqimi//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//طَرَفَیِ/طَرَفَيِ/tarafayi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ زُلَفًا/وَزُلَفٗا/wazulafan//مِّنَ/مِّنَ/mina//الَّیْلِ ؕ/ٱلَّيۡلِۚ/al-layli//اِنَّ/إِنَّ/inna//الْحَسَنٰتِ/ٱلۡحَسَنَٰتِ/al-hasanati//یُذْهِبْنَ/يُذۡهِبۡنَ/yudh'hib'na//السَّیِّاٰتِ ؕ/ٱلسَّيِّـَٔاتِۚ/al-sayiati//ذٰلِكَ/ذَٰلِكَ/dhalika//ذِكْرٰی/ذِكۡرَىٰ/dhik'ra//لِلذّٰكِرِیْنَۚ/لِلذَّـٰكِرِينَ/lildhakirina",
              "words_bangla": "এবং প্রতিষ্ঠা করো//সালাত//দুই প্রান্তে//দিনের//এবং (প্রথম) অংশে//থেকে//রাতের//নিশ্চয়ই//সৎকাজগুলো//দূর করে দেয়//মন্দকাজগুলোকে//এটা//উপদেশ//উপদেশগ্রহণকারীদের জন্যে"
            },
            {
              "number": 1588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1588.mp3"
              ],
              "text": "وَٱصْبِرْ فَإِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ",
              "translate_bn": "আর ধৈর্য্যধারণ কর, নিশ্চয়ই আল্লাহ পূণ্যবানদের প্রতিদান বিনষ্ট করেন না।",
              "numberInSurah": 115,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়াসবির ফাইন্নাল্লা-হা লা-ইউদী‘উ আজরাল মুহছিনীন।",
              "words_arabic": "وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُضِیْعُ/يُضِيعُ/yudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং ধৈর্য ধরো//কারণ নিশ্চয়ই//আল্লাহ//না//নষ্ট করেন//কর্মফল//সৎকর্মশীলদের"
            },
            {
              "number": 1589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1589.mp3"
              ],
              "text": "فَلَوْلَا كَانَ مِنَ ٱلْقُرُونِ مِن قَبْلِكُمْ أُو۟لُوا۟ بَقِيَّةٍۢ يَنْهَوْنَ عَنِ ٱلْفَسَادِ فِى ٱلْأَرْضِ إِلَّا قَلِيلًۭا مِّمَّنْ أَنجَيْنَا مِنْهُمْ ۗ وَٱتَّبَعَ ٱلَّذِينَ ظَلَمُوا۟ مَآ أُتْرِفُوا۟ فِيهِ وَكَانُوا۟ مُجْرِمِينَ",
              "translate_bn": "কাজেই, তোমাদের পূর্ববতী জাতি গুলির মধ্যে এমন সৎকর্মশীল কেন রইল না, যারা পৃথিবীতে বিপর্যয় সৃষ্টি করতে বাধা দিত; তবে মুষ্টিমেয় লোক ছিল যাদেরকে আমি তাদের মধ্য হতে রক্ষা করেছি। আর পাপিষ্ঠরা তো ভোগ বিলাসে মত্ত ছিল যার সামগ্রী তাদেরকে যথেষ্ট দেয়া হয়েছিল। আসলে তারা ছিল মহা অপরাধী।",
              "numberInSurah": 116,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ফালাওলা-কা-না মিনাল কুরূনি মিন কাবলিকুম ঊলূবাকিইইয়াতিইঁ ইয়ানহাওনা ‘আনিল ফাছা-দি ফিল আরদিইল্লা-কালীলাম মিম্মান আনজাইনা-মিনহুম ওয়াত্তাবা‘আল্লাযীনা জালামুমাউতরিফূফীহি ওয়াকা-নূমুজরীমিন।",
              "words_arabic": "فَلَوْ لَا/فَلَوۡلَا/falawla//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//اُولُوْا/أُوْلُواْ/ulu//بَقِیَّةٍ/بَقِيَّةٖ/baqiyyatin//یَّنْهَوْنَ/يَنۡهَوۡنَ/yanhawna//عَنِ/عَنِ/ani//الْفَسَادِ/ٱلۡفَسَادِ/al-fasadi//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّمَّنْ/مِّمَّنۡ/mimman//اَنْجَیْنَا/أَنجَيۡنَا/anjayna//مِنْهُمْ ۚ/مِنۡهُمۡۗ/min'hum//وَ اتَّبَعَ/وَٱتَّبَعَ/wa-ittaba'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مَاۤ/مَآ/ma//اُتْرِفُوْا/أُتۡرِفُواْ/ut'rifu//فِیْهِ/فِيهِ/fihi//وَ كَانُوْا/وَكَانُواْ/wakanu//مُجْرِمِیْنَ /مُجۡرِمِينَ/muj'rimina",
              "words_bangla": "অতঃপর কেন না//(বর্তমান) ছিলো//মধ্য হ'তে//জাতিসমূহের//থেকে//পূর্ব তোমাদের//সম্পন্নরা//অবশিষ্ট//(যারা) নিষেধ করতো//হ'তে//বিপর্যয়//মধ্যে//পৃথিবীর//তবে ব্যতিক্রম//স্বল্প সংখ্যক লোক//মধ্যকার তাদের//আমরা রক্ষা করেছিলাম (যাদেরকে)//তাদের মধ্যে হ'তে//এবং অনুসরণ করতো//(তাদের) যারা//সীমালঙ্ঘন করেছিলো//(তারই) যা//তাদের সুখ-সুবিধা দেয়া হয়েছিলো//মধ্যে তার//এবং তারা ছিলো//অপরাধী"
            },
            {
              "number": 1590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1590.mp3"
              ],
              "text": "وَمَا كَانَ رَبُّكَ لِيُهْلِكَ ٱلْقُرَىٰ بِظُلْمٍۢ وَأَهْلُهَا مُصْلِحُونَ",
              "translate_bn": "আর তোমার পালনকর্তা এমন নন যে, জনবসতিগুলোকে অন্যায়ভাবে ধ্বংস করে দেবেন, সেখানকার লোকেরা সৎকর্মশীল হওয়া সত্ত্বেও।",
              "numberInSurah": 117,
              "juz": 12,
              "manzil": 3,
              "page": 234,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না রাব্বুকা লিইউহলিকাল কুরা- বিজু লমিওঁ ওয়া আহলুহা-মুসলিহুন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//رَبُّكَ/رَبُّكَ/rabbuka//لِیُهْلِكَ/لِيُهۡلِكَ/liyuh'lika//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//بِظُلْمٍ/بِظُلۡمٖ/bizul'min//وَّ اَهْلُهَا/وَأَهۡلُهَا/wa-ahluha//مُصْلِحُوْنَ /مُصۡلِحُونَ/mus'lihuna",
              "words_bangla": "এবং না//ছিলেন//তোমার রব (এমন যে)//যাতে তিনি ধ্বংস করবেন//জনবসতিগুলোকে//ভাবে অন্যায়//অথচ তার অধিবাসীরা (ছিলো)//সংশোধনকারী"
            },
            {
              "number": 1591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1591.mp3"
              ],
              "text": "وَلَوْ شَآءَ رَبُّكَ لَجَعَلَ ٱلنَّاسَ أُمَّةًۭ وَٰحِدَةًۭ ۖ وَلَا يَزَالُونَ مُخْتَلِفِينَ",
              "translate_bn": "আর তোমার পালনকর্তা যদি ইচ্ছা করতেন, তবে অবশ্যই সব মানুষকে একই জাতিসত্তায় পরিনত করতে পারতেন আর তারা বিভিন্ন ভাগে বিভক্ত হতো না।",
              "numberInSurah": 118,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও শাআ রাব্বুকা লাজা‘আলান্না-ছা উম্মাতাওঁ ওয়া-হিদাতাওঁ ওয়ালা-ইয়াঝা-লূনা মুখতালিফীন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//رَبُّكَ/رَبُّكَ/rabbuka//لَجَعَلَ/لَجَعَلَ/laja'ala//النَّاسَ/ٱلنَّاسَ/al-nasa//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗۖ/wahidatan//وَّ لَا/وَلَا/wala//یَزَالُوْنَ/يَزَالُونَ/yazaluna//مُخْتَلِفِیْنَۙ/مُخۡتَلِفِينَ/mukh'talifina",
              "words_bangla": "এবং যদি//ইচ্ছে করতেন//তোমার রব//অবশ্যই বানাতে পারতেন//সব মানুষকে//জাতি//একই//কিন্তু (তবুও) না//তারা সর্বদা হতো//মতবিরোধকারী"
            },
            {
              "number": 1592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1592.mp3"
              ],
              "text": "إِلَّا مَن رَّحِمَ رَبُّكَ ۚ وَلِذَٰلِكَ خَلَقَهُمْ ۗ وَتَمَّتْ كَلِمَةُ رَبِّكَ لَأَمْلَأَنَّ جَهَنَّمَ مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ أَجْمَعِينَ",
              "translate_bn": "তোমার পালনকর্তা যাদের উপর রহমত করেছেন, তারা ব্যতীত সবাই চিরদিন মতভেদ করতেই থাকবে এবং এজন্যই তাদেরকে সৃষ্টি করেছেন। আর তোমার আল্লাহর কথাই পূর্ণ হল যে, অবশ্যই আমি জাহান্নামকে জ্বিন ও মানুষ দ্বারা একযোগে ভর্তি করব।",
              "numberInSurah": 119,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মার রাহিমা রাব্বুকা ওয়া লিযা-লিকা খালাকাহুম ওয়া তাম্মাত কালিমাতু রাব্বিকা লাআমলাআন্না জাহান্নামা মিনাল জিন্নাতি ওয়ান্না-ছি আজমা‘ঈন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//رَّحِمَ/رَّحِمَ/rahima//رَبُّكَ ؕ/رَبُّكَۚ/rabbuka//وَ لِذٰلِكَ/وَلِذَٰلِكَ/walidhalika//خَلَقَهُمْ ؕ/خَلَقَهُمۡۗ/khalaqahum//وَ تَمَّتْ/وَتَمَّتۡ/watammat//كَلِمَةُ/كَلِمَةُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//لَاَمْلَـَٔنَّ/لَأَمۡلَأَنَّ/la-amla-anna//جَهَنَّمَ/جَهَنَّمَ/jahannama//مِنَ/مِنَ/mina//الْجِنَّةِ/ٱلۡجِنَّةِ/al-jinati//وَ النَّاسِ/وَٱلنَّاسِ/wal-nasi//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "তবে//যাকে//অনুগ্রহ করতেন//তোমার রব (সেটা ভিন্ন কথা)//এবং এ কারণে//তাদের সৃষ্টি করেছেন (স্বাধীনতা দিয়ে)//এবং (এভাবে) সম্পূর্ণ হলো//একটি বাণী//তোমার রবের (যে)//\"অবশ্যই ভরে দিবো আমি//জাহান্নামকে//দিয়ে//জিন//এবং মানুষ//একত্রেই\""
            },
            {
              "number": 1593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1593.mp3"
              ],
              "text": "وَكُلًّۭا نَّقُصُّ عَلَيْكَ مِنْ أَنۢبَآءِ ٱلرُّسُلِ مَا نُثَبِّتُ بِهِۦ فُؤَادَكَ ۚ وَجَآءَكَ فِى هَٰذِهِ ٱلْحَقُّ وَمَوْعِظَةٌۭ وَذِكْرَىٰ لِلْمُؤْمِنِينَ",
              "translate_bn": "আর আমি রসূলগণের সব বৃত্তান্তই তোমাকে বলছি, যদ্দ্বারা তোমার অন্তরকে মজবুত করছি। আর এভাবে তোমার নিকট মহাসত্য এবং ঈমানদারদের জন্য নসীহত ও স্বরণীয় বিষয়বস্তু এসেছে।",
              "numberInSurah": 120,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়াকুল্লান নাকুসসু‘আলাইকা মিন আমবাইর রুছুলি মা-নুছাব্বিতুবিহী ফুআ-দাকা ওয়া জাআকা ফীহা-যিহিল হাক্কুওয়া মাও‘ইজাতুওঁ ওয়া যিকরা-লিলমু’মিনীন।",
              "words_arabic": "وَ كُلًّا/وَكُلّٗا/wakullan//نَّقُصُّ/نَّقُصُّ/naqussu//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//الرُّسُلِ/ٱلرُّسُلِ/al-rusuli//مَا/مَا/ma//نُثَبِّتُ/نُثَبِّتُ/nuthabbitu//بِهٖ/بِهِۦ/bihi//فُؤَادَكَ ۚ/فُؤَادَكَۚ/fuadaka//وَ جَآءَكَ/وَجَآءَكَ/wajaaka//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ مَوْعِظَةٌ/وَمَوۡعِظَةٞ/wamaw'izatun//وَّ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِلْمُؤْمِنِیْنَ /لِلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "এবং সব (কিছুই)//আমরা বর্ণনা করছি//তোমার কাছে//হ'তে//সংবাদ//রাসূলদের//যা//আমরা সুদৃঢ় করছি//তা দিয়ে//তোমার হৃদয়কে//এবং তোমার কাছে এসেছে//মধ্যে//এর//প্রকৃত সত্য//এবং উপদেশ//ও সাবধান বাণী//মু'মিনদের জন্যে"
            },
            {
              "number": 1594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1594.mp3"
              ],
              "text": "وَقُل لِّلَّذِينَ لَا يُؤْمِنُونَ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنَّا عَٰمِلُونَ",
              "translate_bn": "আর যারা ঈমান আনে না, তাদেরকে বলে দাও যে, তোমরা নিজ নিজ অবস্থায় কাজ করে যাও আমরাও কাজ করে যাই।",
              "numberInSurah": 121,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল লিল্লাযীনা লা- ইউ’মিনূনা‘মালূ‘আলা-মাকা-নাতিকুম ইন্না-‘আ-মিলূন।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//اعْمَلُوْا/ٱعۡمَلُواْ/i'malu//عَلٰی/عَلَىٰ/ala//مَكَانَتِكُمْ ؕ/مَكَانَتِكُمۡ/makanatikum//اِنَّا/إِنَّا/inna//عٰمِلُوْنَۙ/عَٰمِلُونَ/amiluna",
              "words_bangla": "এবং বলো//(তাদের জন্যে) যারা//না//ঈমান আনে//\"তোমরা কাজ করো//উপর//তোমদের জায়গার//নিশ্চয়ই আমরাও//কাজ করে যাচ্ছি"
            },
            {
              "number": 1595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1595.mp3"
              ],
              "text": "وَٱنتَظِرُوٓا۟ إِنَّا مُنتَظِرُونَ",
              "translate_bn": "এবং তোমরাও অপেক্ষা করে থাক, আমরাও অপেক্ষায় রইলাম।",
              "numberInSurah": 122,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়ানতাজিরু ইন্না-মুনতাজিরূন।",
              "words_arabic": "وَ انْتَظِرُوْا ۚ/وَٱنتَظِرُوٓاْ/wa-intaziru//اِنَّا/إِنَّا/inna//مُنْتَظِرُوْنَ /مُنتَظِرُونَ/muntaziruna",
              "words_bangla": "এবং তোমরা অপেক্ষা করো//নিশ্চয়ই আমরাও//প্রতীক্ষাকারী\""
            },
            {
              "number": 1596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1596.mp3"
              ],
              "text": "وَلِلَّهِ غَيْبُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَإِلَيْهِ يُرْجَعُ ٱلْأَمْرُ كُلُّهُۥ فَٱعْبُدْهُ وَتَوَكَّلْ عَلَيْهِ ۚ وَمَا رَبُّكَ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "আর আল্লাহর কাছেই আছে আসমান ও যমীনের গোপন তথ্য; আর সকল কাজের প্রত্যাবর্তন তাঁরই দিকে; অতএব, তাঁরই বন্দেগী কর এবং তাঁর উপর ভরসা রাখ, আর তোমাদের কার্যকলাপ সম্বন্ধে তোমার পালনকর্তা কিন্তু বে-খবর নন।",
              "numberInSurah": 123,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 192,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি গাইবুছছামা-ওয়া-তি ওয়াল আরদিওয়া ইলাইহি ইউরজা‘উল আমরু কুল্লুহূ ফা‘বুদহু ওয়া তাওয়াক্কাল ‘আলাইহি ওয়ামা-রাব্বুকা বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//غَیْبُ/غَيۡبُ/ghaybu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//یُرْجَعُ/يُرۡجَعُ/yur'ja'u//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//كُلُّهٗ/كُلُّهُۥ/kulluhu//فَاعْبُدْهُ/فَٱعۡبُدۡهُ/fa-u'bud'hu//وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//وَ مَا/وَمَا/wama//رَبُّكَ/رَبُّكَ/rabbuka//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং আল্লাহর (আছে জ্ঞান)//অদৃশ্যের//আকাশসমূহের//ও পৃথিবীর//এবং তাঁরই দিকে//ফিরিয়ে আনা হবে//ব্যাপার//সবই//অতএব তাঁরই ইবাদত করো//ভরসা করো//তাঁরই উপর//এবং নন//তোমার রব//অনবহিত//তা হ'তে যা//তোমরা কাজ করছো"
            }
          ]
        },
        {
          "number": 12,
          "name": "سُورَةُ يُوسُفَ",
          "englishName": "Yusuf",
          "englishNameTranslation": "Joseph",
          "revelationType": "Meccan",
          "verse": 111,
          "words": 3566,
          "chars": 14512,
          "ayahs": [
            {
              "number": 1597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1597.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓر ۚ تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ٱلْمُبِينِ",
              "translate_bn": "আলিফ-লা-ম-রা; এগুলো সুস্পষ্ট গ্রন্থের আয়াত।",
              "numberInSurah": 1,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম রা- তিলকা আ-য়া-তুল কিতা-বিল মুবীন।",
              "words_arabic": "الٓرٰ ۫/الٓرۚ/alif-lam-ra//تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//الْمُبِیْنِ۫/ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "আলিফ লাম-রা//এই//আয়াতগুলো//(এমন) কিতাবের//(যা) সুস্পষ্ট"
            },
            {
              "number": 1598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1598.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَٰهُ قُرْءَٰنًا عَرَبِيًّۭا لَّعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "আমি একে আরবী ভাষায় কোরআন রূপে অবতীর্ণ করেছি, যাতে তোমরা বুঝতে পার।",
              "numberInSurah": 2,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনা-হু কুরআ-নান ‘আরাবিইইয়াল লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//قُرْءٰنًا/قُرۡءَٰنًا/qur'anan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "নিশ্চয়ই আমরা//তা আমরা অবতীর্ণ করেছি//কুরআন (বানিয়ে)//আরবী (ভাষায়)//তোমরা যাতে//বুঝতে পারো"
            },
            {
              "number": 1599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1599.mp3"
              ],
              "text": "نَحْنُ نَقُصُّ عَلَيْكَ أَحْسَنَ ٱلْقَصَصِ بِمَآ أَوْحَيْنَآ إِلَيْكَ هَٰذَا ٱلْقُرْءَانَ وَإِن كُنتَ مِن قَبْلِهِۦ لَمِنَ ٱلْغَٰفِلِينَ",
              "translate_bn": "আমি তোমার নিকট উত্তম কাহিনী বর্ণনা করেছি, যেমতে আমি এ কোরআন তোমার নিকট অবতীর্ণ করেছি। তুমি এর আগে অবশ্যই এ ব্যাপারে অনবহিতদের অন্তর্ভূক্ত ছিলে।",
              "numberInSurah": 3,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "নাহনুনাকুসসু‘আলাইকা আহছানাল কাসাসি বিমাআওহাইনাইলাইকা হা-যাল কুরআনা ওয়া ইন কুনতা মিন কাবলিহী লামিনাল গা-ফিলীন।",
              "words_arabic": "نَحْنُ/نَحۡنُ/nahnu//نَقُصُّ/نَقُصُّ/naqussu//عَلَیْكَ/عَلَيۡكَ/alayka//اَحْسَنَ/أَحۡسَنَ/ahsana//الْقَصَصِ/ٱلۡقَصَصِ/al-qasasi//بِمَاۤ/بِمَآ/bima//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنَ ۖۗ/ٱلۡقُرۡءَانَ/al-qur'ana//وَ اِنْ/وَإِن/wa-in//كُنْتَ/كُنتَ/kunta//مِنْ/مِن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//لَمِنَ/لَمِنَ/lamina//الْغٰفِلِیْنَ /ٱلۡغَٰفِلِينَ/al-ghafilina",
              "words_bangla": "আমরা//বর্ণনা করছি//তোমার কাছে//অতি উত্তম//কাহিনীসমূহ//মাধ্যমে যা//আমরা ওহী করেছি//তোমার প্রতি//এই//কুর'আন//যদিও নিশ্চয়ই//তুমি ছিলে//থেকে//পূর্ব এর//অবশ্যই অন্তর্ভুক্ত//অনবহিতদের"
            },
            {
              "number": 1600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1600.mp3"
              ],
              "text": "إِذْ قَالَ يُوسُفُ لِأَبِيهِ يَٰٓأَبَتِ إِنِّى رَأَيْتُ أَحَدَ عَشَرَ كَوْكَبًۭا وَٱلشَّمْسَ وَٱلْقَمَرَ رَأَيْتُهُمْ لِى سَٰجِدِينَ",
              "translate_bn": "যখন ইউসুফ পিতাকে বললঃ পিতা, আমি স্বপ্নে দেখেছি এগারটি নক্ষত্রকে। সুর্যকে এবং চন্দ্রকে। আমি তাদেরকে আমার উদ্দেশে সেজদা করতে দেখেছি।",
              "numberInSurah": 4,
              "juz": 12,
              "manzil": 3,
              "page": 235,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ইয কা-লা ইঊছুফুলিআবীহি ইয়াআবাতি ইন্নী রাআইতু আহাদা ‘আশারা কাওকাবাওঁ ওয়াশশামছা ওয়াল কামারা রাআইতুহুম লী ছা-জিদীন।\r\n",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//یُوْسُفُ/يُوسُفُ/yusufu//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//اِنِّیْ/إِنِّي/inni//رَاَیْتُ/رَأَيۡتُ/ra-aytu//اَحَدَ/أَحَدَ/ahada//عَشَرَ/عَشَرَ/ashara//كَوْكَبًا/كَوۡكَبٗا/kawkaban//وَّ الشَّمْسَ/وَٱلشَّمۡسَ/wal-shamsa//وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//رَاَیْتُهُمْ/رَأَيۡتُهُمۡ/ra-aytuhum//لِیْ/لِي/li//سٰجِدِیْنَ /سَٰجِدِينَ/sajidina",
              "words_bangla": "যখন (স্মরণ করো)//বলেছিলো//ইউসুফ//তার পিতাকে//\"হে আমার পিতা//নিশ্চয়ই আমি//(স্বপ্নে) দেখেছি//এগারো//এগারো//তারাকে//এবং সূর্যকে//এবং চাঁদকে//তাদের আমি দেখেছি//আমাকে//(তারা) সিজদাকারী\""
            },
            {
              "number": 1601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1601.mp3"
              ],
              "text": "قَالَ يَٰبُنَىَّ لَا تَقْصُصْ رُءْيَاكَ عَلَىٰٓ إِخْوَتِكَ فَيَكِيدُوا۟ لَكَ كَيْدًا ۖ إِنَّ ٱلشَّيْطَٰنَ لِلْإِنسَٰنِ عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "তিনি বললেনঃ বৎস, তোমার ভাইদের সামনে এ স্বপ্ন বর্ণনা করো না। তাহলে তারা তোমার বিরুদ্ধে চক্রান্ত করবে। নিশ্চয় শয়তান মানুষের প্রকাশ্য।",
              "numberInSurah": 5,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-বুনাইইয়া লা-তাকসুস রু’ইয়া-কা ‘আলা-ইখওয়াতিকা ফাইয়াকীদূলাকা কাইদান ইন্নাশশাইতা-না লিলইনছা-নি ‘আদুওউম মুবীন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//یٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//لَا/لَا/la//تَقْصُصْ/تَقۡصُصۡ/taqsus//رُءْیَاكَ/رُءۡيَاكَ/ru'yaka//عَلٰۤی/عَلَىٰٓ/ala//اِخْوَتِكَ/إِخۡوَتِكَ/ikh'watika//فَیَكِیْدُوْا/فَيَكِيدُواْ/fayakidu//لَكَ/لَكَ/laka//كَیْدًا ؕ/كَيۡدًاۖ/kaydan//اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "সে বললো//\"হে আমার পুত্র//না//বর্ণনা করো//তোমার স্বপ্ন//কাছে//তোমার ভাইদের//তাহ'লে তারা চক্রান্ত করবে//তোমার বিরুদ্ধে//(বড়) চক্রান্ত//নিশ্চয়ই//শয়তান//মানুষের জন্যে//শত্রু//প্রকাশ্য"
            },
            {
              "number": 1602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1602.mp3"
              ],
              "text": "وَكَذَٰلِكَ يَجْتَبِيكَ رَبُّكَ وَيُعَلِّمُكَ مِن تَأْوِيلِ ٱلْأَحَادِيثِ وَيُتِمُّ نِعْمَتَهُۥ عَلَيْكَ وَعَلَىٰٓ ءَالِ يَعْقُوبَ كَمَآ أَتَمَّهَا عَلَىٰٓ أَبَوَيْكَ مِن قَبْلُ إِبْرَٰهِيمَ وَإِسْحَٰقَ ۚ إِنَّ رَبَّكَ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "এমনিভাবে তোমার পালনকর্তা তোমাকে মনোনীত করবেন এবং তোমাকে বাণীসমূহের নিগুঢ় তত্ত্ব শিক্ষা দেবেন এবং পূর্ণ করবেন স্বীয় অনুগ্রহ তোমার প্রতি ও ইয়াকুব পরিবার-পরিজনের প্রতি; যেমন ইতিপূর্বে তোমার পিতৃপুরুষ ইব্রাহীম ও ইসহাকের প্রতি পূর্ণ করেছেন। নিশ্চয় তোমার পালনকর্তা অত্যন্ত জ্ঞানী, প্রজ্ঞাময়।",
              "numberInSurah": 6,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 193,
              "hizbQuarter": 94,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা ইয়াজতাবীকা রাব্বুকা ওয়া ইউ‘আলিলমুকা মিন তা’বীলিল আহা-দীছিওয়া ইউতিম্মুনি‘মাতাহূ‘আলাইকা ওয়া ‘আলা-আ-লি ইয়া‘কূবা কামাআতাম্মাহা‘আলাআবাওয়াইকা মিন কাবলুইবরা-হীমা ওয়া ইছহা-কা ইন্না রাব্বাকা ‘আলীমুন হাকীম।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//یَجْتَبِیْكَ/يَجۡتَبِيكَ/yajtabika//رَبُّكَ/رَبُّكَ/rabbuka//وَ یُعَلِّمُكَ/وَيُعَلِّمُكَ/wayu'allimuka//مِنْ/مِن/min//تَاْوِیْلِ/تَأۡوِيلِ/tawili//الْاَحَادِیْثِ/ٱلۡأَحَادِيثِ/al-ahadithi//وَ یُتِمُّ/وَيُتِمُّ/wayutimmu//نِعْمَتَهٗ/نِعۡمَتَهُۥ/ni'matahu//عَلَیْكَ/عَلَيۡكَ/alayka//وَ عَلٰۤی/وَعَلَىٰٓ/wa'ala//اٰلِ/ءَالِ/ali//یَعْقُوْبَ/يَعۡقُوبَ/ya'quba//كَمَاۤ/كَمَآ/kama//اَتَمَّهَا/أَتَمَّهَا/atammaha//عَلٰۤی/عَلَىٰٓ/ala//اَبَوَیْكَ/أَبَوَيۡكَ/abawayka//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْحٰقَ ؕ/وَإِسۡحَٰقَۚ/wa-is'haqa//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ۠/حَكِيمٞ/hakimun",
              "words_bangla": "এবং এভাবেই (হবে)//তোমাকে মনোনীত করবেন//তোমার রব//ও তোমাকে শিখাবেন//থেকে//ব্যাখ্যা//স্বপ্নের//পূর্ণ করবেন//তাঁর অনুগ্রহ//তোমার উপর//এবং উপর//বংশধরদের//ইয়াকুবের//যেমন//তা পূর্ণ করেছিলেন//উপর//তোমার পিতৃ-পুরুষের//থেকে//পূর্ব//(যেমন) ইবরাহীমের//ও ইসহাকের (উপর)//নিশ্চয়ই//তোমার রব//সর্বজ্ঞ//প্রজ্ঞাময়\""
            },
            {
              "number": 1603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1603.mp3"
              ],
              "text": "۞ لَّقَدْ كَانَ فِى يُوسُفَ وَإِخْوَتِهِۦٓ ءَايَٰتٌۭ لِّلسَّآئِلِينَ",
              "translate_bn": "অবশ্য ইউসুফ ও তাঁর ভাইদের কাহিনীতে জিজ্ঞাসুদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 7,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কা-না ফী ইঊছুফা ওয়া ইখওয়াতিহীআ-য়া-তুল লিছছাইলীন।",
              "words_arabic": "لَقَدْ/۞لَّقَدۡ/laqad//كَانَ/كَانَ/kana//فِیْ/فِي/fi//یُوْسُفَ/يُوسُفَ/yusufa//وَ اِخْوَتِهٖۤ/وَإِخۡوَتِهِۦٓ/wa-ikh'watihi//اٰیٰتٌ/ءَايَٰتٞ/ayatun//لِّلسَّآىِٕلِیْنَ /لِّلسَّآئِلِينَ/lilssailina",
              "words_bangla": "নিশ্চয়ই//ছিলো//মধ্যে//ইউসুফের (কাহিনীর)//ও তার ভাইদের//নিদর্শনসমূহ//জিজ্ঞাসাকারীদের জন্যে"
            },
            {
              "number": 1604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1604.mp3"
              ],
              "text": "إِذْ قَالُوا۟ لَيُوسُفُ وَأَخُوهُ أَحَبُّ إِلَىٰٓ أَبِينَا مِنَّا وَنَحْنُ عُصْبَةٌ إِنَّ أَبَانَا لَفِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "যখন তারা বললঃ অবশ্যই ইউসুফ ও তাঁর ভাই আমাদের পিতার কাছে আমাদের চাইতে অধিক প্রিয় অথচ আমরা একটা সংহত শক্তি বিশেষ। নিশ্চয় আমাদের পিতা স্পষ্ট ভ্রান্তিতে রয়েছেন।",
              "numberInSurah": 8,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লূলাইঊছুফুওয়া আখূহু আহাব্বুইলাআবীনা-মিন্না-ওয়া নাহনু‘উসবাতুন ইন্না আবা-না-লাফী দালা-লিম মুবীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالُوْا/قَالُواْ/qalu//لَیُوْسُفُ/لَيُوسُفُ/layusufu//وَ اَخُوْهُ/وَأَخُوهُ/wa-akhuhu//اَحَبُّ/أَحَبُّ/ahabbu//اِلٰۤی/إِلَىٰٓ/ila//اَبِیْنَا/أَبِينَا/abina//مِنَّا/مِنَّا/minna//وَ نَحْنُ/وَنَحۡنُ/wanahnu//عُصْبَةٌ ؕ/عُصۡبَةٌ/us'batun//اِنَّ/إِنَّ/inna//اَبَانَا/أَبَانَا/abana//لَفِیْ/لَفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنِۚۖ/مُّبِينٍ/mubinin",
              "words_bangla": "যখন (স্মরণ করো)//(তারা ভাইয়েরা) বলেছিলো//\"অবশ্যই ইউসুফ//ও তার ভাই//অধিক প্রিয়//কাছে//আমাদের পিতার//আমাদের চেয়ে//অথচ আমরা//একটি ঐক্যবদ্ধ দল//নিশ্চয়ই//আমাদের পিতা//অবশ্যই মধ্যে//বিভ্রান্তির//প্রকাশ্য"
            },
            {
              "number": 1605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1605.mp3"
              ],
              "text": "ٱقْتُلُوا۟ يُوسُفَ أَوِ ٱطْرَحُوهُ أَرْضًۭا يَخْلُ لَكُمْ وَجْهُ أَبِيكُمْ وَتَكُونُوا۟ مِنۢ بَعْدِهِۦ قَوْمًۭا صَٰلِحِينَ",
              "translate_bn": "হত্যা কর ইউসুফকে কিংবা ফেলে আস তাকে অন্য কোন স্থানে। এতে শুধু তোমাদের প্রতিই তোমাদের পিতার মনোযোগ নিবিষ্ট হবে এবং এরপর তোমরা যোগ্য বিবেচিত হয়ে থাকবে।",
              "numberInSurah": 9,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "উকতুলূইঊছুফা আবিতরাহূহুআরদাইঁ ইয়াখলুলাকুম ওয়াজহু আবীকুম ওয়াতাকূনূমিম বা‘দিহী কাওমান সা-লিহীন।\r\n",
              "words_arabic": "قْتُلُوْا/ٱقۡتُلُواْ/uq'tulu//یُوْسُفَ/يُوسُفَ/yusufa//اَوِ/أَوِ/awi//اطْرَحُوْهُ/ٱطۡرَحُوهُ/it'rahuhu//اَرْضًا/أَرۡضٗا/ardan//یَّخْلُ/يَخۡلُ/yakhlu//لَكُمْ/لَكُمۡ/lakum//وَجْهُ/وَجۡهُ/wajhu//اَبِیْكُمْ/أَبِيكُمۡ/abikum//وَ تَكُوْنُوْا/وَتَكُونُواْ/watakunu//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//قَوْمًا/قَوۡمٗا/qawman//صٰلِحِیْنَ /صَٰلِحِينَ/salihina",
              "words_bangla": "তোমরা হত্যা করো//ইউসুফকে//বা//তাকে ফেলে আসো//কোন স্থানে//নিবিষ্ট হবে//তোমাদের দিকে//দৃষ্টি//তোমাদের পিতার//ও তোমরা হয়ে যাবে//থেকে//এরপর//লোক//সৎকর্মশীল\""
            },
            {
              "number": 1606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1606.mp3"
              ],
              "text": "قَالَ قَآئِلٌۭ مِّنْهُمْ لَا تَقْتُلُوا۟ يُوسُفَ وَأَلْقُوهُ فِى غَيَٰبَتِ ٱلْجُبِّ يَلْتَقِطْهُ بَعْضُ ٱلسَّيَّارَةِ إِن كُنتُمْ فَٰعِلِينَ",
              "translate_bn": "তাদের মধ্য থেকে একজন বলল, তোমরা ইউসুফ কে হত্যা করো না, বরং ফেলে দাও তাকে অন্ধকূপে যাতে কোন পথিক তাকে উঠিয়ে নিয়ে যায়, যদি তোমাদের কিছু করতেই হয়।",
              "numberInSurah": 10,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাইলুমমিনহুমলা-তাকতুলূইঊছুফা ওয়া আলকুহুফীগায়া-বাতিল জুব্বি ইয়ালতাকিতহু বা‘দুছছাইইয়া-রাতি ইন কুনতুম ফা-‘ইলীন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//قَآىِٕلٌ/قَآئِلٞ/qailun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//لَا/لَا/la//تَقْتُلُوْا/تَقۡتُلُواْ/taqtulu//یُوْسُفَ/يُوسُفَ/yusufa//وَ اَلْقُوْهُ/وَأَلۡقُوهُ/wa-alquhu//فِیْ/فِي/fi//غَیٰبَتِ/غَيَٰبَتِ/ghayabati//الْجُبِّ/ٱلۡجُبِّ/al-jubi//یَلْتَقِطْهُ/يَلۡتَقِطۡهُ/yaltaqit'hu//بَعْضُ/بَعۡضُ/ba'du//السَّیَّارَةِ/ٱلسَّيَّارَةِ/al-sayarati//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//فٰعِلِیْنَ /فَٰعِلِينَ/fa'ilina",
              "words_bangla": "বললো//এক প্রবক্তা//তাদের মধ্য হ'তে//\"না//তোমরা হত্যা করো//ইউসুফকে//বরং তাকে নিক্ষেপ করো//মধ্যে//(অন্ধকার) গভীরে//কূপের//তাকে তুলে নিবে//কেউ//পথযাত্রীদলের//যদি//তোমরা হও//কর্মসম্পাদনকারী\""
            },
            {
              "number": 1607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1607.mp3"
              ],
              "text": "قَالُوا۟ يَٰٓأَبَانَا مَا لَكَ لَا تَأْمَ۫نَّا عَلَىٰ يُوسُفَ وَإِنَّا لَهُۥ لَنَٰصِحُونَ",
              "translate_bn": "তারা বললঃ পিতাঃ ব্যাপার কি, আপনি ইউসুফের ব্যাপারে আমাদেরকে বিশ্বাস করেন না ? আমরা তো তার হিতাকাংখী।",
              "numberInSurah": 11,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়াআবা-না-মা-লাকা লা-তা‘মান্না-‘আলা-ইঊছুফা ওয়া ইন্না-লাহূলানা-সিহূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰۤاَبَانَا/يَـٰٓأَبَانَا/yaabana//مَا/مَا/ma//لَكَ/لَكَ/laka//لَا/لَا/la//تَاْمَنَّا/تَأۡمَ۬نَّا/tamanna//عَلٰی/عَلَىٰ/ala//یُوْسُفَ/يُوسُفَ/yusufa//وَ اِنَّا/وَإِنَّا/wa-inna//لَهٗ/لَهُۥ/lahu//لَنٰصِحُوْنَ /لَنَٰصِحُونَ/lanasihuna",
              "words_bangla": "তারা বললো//\"হে আমাদের পিতা//কি//আপনার হয়েছে//না//আমাদের বিশ্বাস করেন//ব্যাপারে//ইউসুফের//অথচ নিশ্চয়ই আমরা//জন্যে তার//অবশ্যই (সবাই) হিতাকাঙ্ক্ষী"
            },
            {
              "number": 1608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1608.mp3"
              ],
              "text": "أَرْسِلْهُ مَعَنَا غَدًۭا يَرْتَعْ وَيَلْعَبْ وَإِنَّا لَهُۥ لَحَٰفِظُونَ",
              "translate_bn": "আগামীকাল তাকে আমাদের সাথে প্রেরণ করুন-তৃপ্তিসহ খাবে এবং খেলাধুলা করবে এবং আমরা অবশ্যই তার রক্ষণাবেক্ষন করব।",
              "numberInSurah": 12,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "আরছিলহু মা‘আনা-গাদাইঁ ইয়ারতা‘ ওয়া ইয়াল‘আব ওয়া ইন্না-লাহূলাহাফিজূন।",
              "words_arabic": "اَرْسِلْهُ/أَرۡسِلۡهُ/arsil'hu//مَعَنَا/مَعَنَا/ma'ana//غَدًا/غَدٗا/ghadan//یَّرْتَعْ/يَرۡتَعۡ/yarta'//وَ یَلْعَبْ/وَيَلۡعَبۡ/wayal'ab//وَ اِنَّا/وَإِنَّا/wa-inna//لَهٗ/لَهُۥ/lahu//لَحٰفِظُوْنَ /لَحَٰفِظُونَ/lahafizuna",
              "words_bangla": "তাকে পাঠান//আমাদের সাথে//আগামীকাল//সে ফল খাবে//ও খেলবে//এবং নিশ্চয়ই আমরা//তার জন্যে\"//অবশ্যই (সবাই) সংরক্ষক\""
            },
            {
              "number": 1609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1609.mp3"
              ],
              "text": "قَالَ إِنِّى لَيَحْزُنُنِىٓ أَن تَذْهَبُوا۟ بِهِۦ وَأَخَافُ أَن يَأْكُلَهُ ٱلذِّئْبُ وَأَنتُمْ عَنْهُ غَٰفِلُونَ",
              "translate_bn": "তিনি বললেনঃ আমার দুশ্চিন্তা হয় যে, তোমরা তাকে নিয়ে যাবে এবং আমি আশঙ্কা করি যে, ব্যাঘ্র তাঁকে খেয়ে ফেলবে এবং তোমরা তার দিক থেকে গাফেল থাকবে।",
              "numberInSurah": 13,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নী লাইয়াহঝুনুনীআন তাযহাবূবিহী ওয়া আখা-ফূআইঁ ইয়া’কুলাহুযযি‘বুওয়া আনতুম ‘আনহু গা-ফিলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//لَیَحْزُنُنِیْۤ/لَيَحۡزُنُنِيٓ/layahzununi//اَنْ/أَن/an//تَذْهَبُوْا/تَذۡهَبُواْ/tadhhabu//بِهٖ/بِهِۦ/bihi//وَ اَخَافُ/وَأَخَافُ/wa-akhafu//اَنْ/أَن/an//یَّاْكُلَهُ/يَأۡكُلَهُ/yakulahu//الذِّئْبُ/ٱلذِّئۡبُ/al-dhi'bu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//عَنْهُ/عَنۡهُ/anhu//غٰفِلُوْنَ /غَٰفِلُونَ/ghafiluna",
              "words_bangla": "সে বললো//\"নিশ্চয়ই আমার//আমার অবশ্যই চিন্তা লাগে//যে//তোমরা যাবে//নিয়ে তাকে//এবং আমি ভয় করি//যে//তাকে খেয়ে ফেলবে//নেকড়ে বাঘ//এ অবস্থায় যে তোমরা//তার থেকে//অমনোযোগী হয়ে যাবে\""
            },
            {
              "number": 1610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1610.mp3"
              ],
              "text": "قَالُوا۟ لَئِنْ أَكَلَهُ ٱلذِّئْبُ وَنَحْنُ عُصْبَةٌ إِنَّآ إِذًۭا لَّخَٰسِرُونَ",
              "translate_bn": "তারা বললঃ আমরা একটি ভারী দল থাকা সত্ত্বেও যদি ব্যাঘ্র তাকে খেয়ে ফেলে, তবে আমরা সবই হারালাম।",
              "numberInSurah": 14,
              "juz": 12,
              "manzil": 3,
              "page": 236,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাইন আকালাহুযযি’বুওয়া নাহনু‘উসবাতুন ইন্নাইযাল লাখা-ছিরূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَىِٕنْ/لَئِنۡ/la-in//اَكَلَهُ/أَكَلَهُ/akalahu//الذِّئْبُ/ٱلذِّئۡبُ/al-dhi'bu//وَ نَحْنُ/وَنَحۡنُ/wanahnu//عُصْبَةٌ/عُصۡبَةٌ/us'batun//اِنَّاۤ/إِنَّآ/inna//اِذًا/إِذٗا/idhan//لَّخٰسِرُوْنَ /لَّخَٰسِرُونَ/lakhasiruna",
              "words_bangla": "তারা বললো//\"অবশ্য যদি//তাকে খায়//নেকড়ে বাঘ//এ অবস্থায় যে আমরা//একটি ঐক্যবদ্ধ দল//নিশ্চয়ই আমরা//তাহ'লে//অবশ্যই ক্ষতিগ্রস্ত হবো\""
            },
            {
              "number": 1611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1611.mp3"
              ],
              "text": "فَلَمَّا ذَهَبُوا۟ بِهِۦ وَأَجْمَعُوٓا۟ أَن يَجْعَلُوهُ فِى غَيَٰبَتِ ٱلْجُبِّ ۚ وَأَوْحَيْنَآ إِلَيْهِ لَتُنَبِّئَنَّهُم بِأَمْرِهِمْ هَٰذَا وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "অতঃপর তারা যখন তাকে নিয়ে চলল এবং অন্ধকূপে নিক্ষেপ করতে একমত হল এবং আমি তাকে ইঙ্গিত করলাম যে, তুমি তাদেরকে তাদের এ কাজের কথা বলবে এমতাবস্থায় যে, তারা তোমাকে চিনবে না।",
              "numberInSurah": 15,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-যাহাবূবিহী ওয়া আজমা‘উআইঁ ইয়াজ‘আলূহু ফী গায়া-বাতিল জুব্বি ওয়া আওহাইনাইলাইহি লাতুনাব্বিআন্নাহুম বিআমরিহিম হা-যা-ওয়াহুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//ذَهَبُوْا/ذَهَبُواْ/dhahabu//بِهٖ/بِهِۦ/bihi//وَ اَجْمَعُوْۤا/وَأَجۡمَعُوٓاْ/wa-ajma'u//اَنْ/أَن/an//یَّجْعَلُوْهُ/يَجۡعَلُوهُ/yaj'aluhu//فِیْ/فِي/fi//غَیٰبَتِ/غَيَٰبَتِ/ghayabati//الْجُبِّ ۚ/ٱلۡجُبِّۚ/al-jubi//وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلَیْهِ/إِلَيۡهِ/ilayhi//لَتُنَبِّئَنَّهُمْ/لَتُنَبِّئَنَّهُم/latunabbi-annahum//بِاَمْرِهِمْ/بِأَمۡرِهِمۡ/bi-amrihim//هٰذَا/هَٰذَا/hadha//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "অতঃপর যখন//তারা গেলো//নিয়ে তাকে//এবং তারা একমত হলো//যে//তাকে তারা ফেলে দিবে//মধ্যে//(অন্ধকার) গভীরে//কূপের//এ অবস্থায় আমরা ওহী করলাম//তার কাছে//\"তাদের তুমি নিশ্চয়ই এক সময় জানিয়ে দিবে//সম্পর্কে তাদের কাজ//এই//(এখন) অথচ তারা//না//তারা অনুভব করছে\""
            },
            {
              "number": 1612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1612.mp3"
              ],
              "text": "وَجَآءُوٓ أَبَاهُمْ عِشَآءًۭ يَبْكُونَ",
              "translate_bn": "তারা রাতের বেলায় কাঁদতে কাঁদতে পিতার কাছে এল।",
              "numberInSurah": 16,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাঊআবা-হুম ‘ইশাআইঁ ইয়াবকূন।",
              "words_arabic": "وَ جَآءُوْۤ/وَجَآءُوٓ/wajau//اَبَاهُمْ/أَبَاهُمۡ/abahum//عِشَآءً/عِشَآءٗ/ishaan//یَّبْكُوْنَؕ/يَبۡكُونَ/yabkuna",
              "words_bangla": "এবং তারা আসলো//তাদের পিতার কাছে//সন্ধ্যাকালে//কাঁদতে কাঁদতে"
            },
            {
              "number": 1613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1613.mp3"
              ],
              "text": "قَالُوا۟ يَٰٓأَبَانَآ إِنَّا ذَهَبْنَا نَسْتَبِقُ وَتَرَكْنَا يُوسُفَ عِندَ مَتَٰعِنَا فَأَكَلَهُ ٱلذِّئْبُ ۖ وَمَآ أَنتَ بِمُؤْمِنٍۢ لَّنَا وَلَوْ كُنَّا صَٰدِقِينَ",
              "translate_bn": "তারা বললঃ পিতাঃ আমরা দৌড় প্রতিযোগিতা করতে গিয়েছিলাম এবং ইউসুফকে আসবাব-পত্রের কাছে রেখে গিয়েছিলাম। অতঃপর তাকে বাঘে খেয়ে ফেলেছে। আপনি তো আমাদেরকে বিশ্বাস করবেন না, যদিও আমরা সত্যবাদী।",
              "numberInSurah": 17,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়াআবা-নাইন্না-যাহাবনা-নাছতাবিকুওয়া তারাকনা-ইঊছুফা ‘ইনদা মাতা-‘ইনাফাআকালাহুযযি’বু ওয়ামাআনতা বিমু’মিনিল লানা-ওয়ালাও কুন্না-সা-দিকীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰۤاَبَانَاۤ/يَـٰٓأَبَانَآ/yaabana//اِنَّا/إِنَّا/inna//ذَهَبْنَا/ذَهَبۡنَا/dhahabna//نَسْتَبِقُ/نَسۡتَبِقُ/nastabiqu//وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//یُوْسُفَ/يُوسُفَ/yusufa//عِنْدَ/عِندَ/inda//مَتَاعِنَا/مَتَٰعِنَا/mata'ina//فَاَكَلَهُ/فَأَكَلَهُ/fa-akalahu//الذِّئْبُ ۚ/ٱلذِّئۡبُۖ/al-dhi'bu//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//بِمُؤْمِنٍ/بِمُؤۡمِنٖ/bimu'minin//لَّنَا/لَّنَا/lana//وَ لَوْ/وَلَوۡ/walaw//كُنَّا/كُنَّا/kunna//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "তারা বললো//\"হে আমাদের পিতা//নিশ্চয়ই আমরা//আমরা গিয়েছিলাম//দৌড়ের পাল্লা দিচ্ছিলাম//ও আমরা রেখে গিয়েছিলাম//ইউসুফকে//কাছে//আমাদের মালপত্রের//তাকে তখন খেয়ে ফেলে//নেকড়ে বাঘ//অথচ নন//আপনি//বিশ্বাসকারী//আমাদেরকে//যদিও//আমরা হই//(সবাই) সত্যবাদী\""
            },
            {
              "number": 1614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1614.mp3"
              ],
              "text": "وَجَآءُو عَلَىٰ قَمِيصِهِۦ بِدَمٍۢ كَذِبٍۢ ۚ قَالَ بَلْ سَوَّلَتْ لَكُمْ أَنفُسُكُمْ أَمْرًۭا ۖ فَصَبْرٌۭ جَمِيلٌۭ ۖ وَٱللَّهُ ٱلْمُسْتَعَانُ عَلَىٰ مَا تَصِفُونَ",
              "translate_bn": "এবং তারা তার জামায় কৃত্রিম রক্ত লাগিয়ে আনল। বললেনঃ এটা কখনই নয়; বরং তোমাদের মন তোমাদেরকে একটা কথা সাজিয়ে দিয়েছে। সুতরাং এখন ছবর করাই শ্রেয়। তোমরা যা বর্ণনা করছ, সে বিষয়ে একমাত্র আল্লাহই আমার সাহায্য স্থল।",
              "numberInSurah": 18,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাঊ ‘আলা-কামীসিহী বিদামিন কাযিবিন কা-লা বাল ছাওওয়ালাত লাকুম আনফুছুকুম আমরান ফাসাবরুন জামীলুওঁ ওয়াল্লা-হুল মুছতা‘আ-নু‘আলা-মাতাসিফূন।",
              "words_arabic": "وَ جَآءُوْ/وَجَآءُو/wajau//عَلٰی/عَلَىٰ/ala//قَمِیْصِهٖ/قَمِيصِهِۦ/qamisihi//بِدَمٍ/بِدَمٖ/bidamin//كَذِبٍ ؕ/كَذِبٖۚ/kadhibin//قَالَ/قَالَ/qala//بَلْ/بَلۡ/bal//سَوَّلَتْ/سَوَّلَتۡ/sawwalat//لَكُمْ/لَكُمۡ/lakum//اَنْفُسُكُمْ/أَنفُسُكُمۡ/anfusukum//اَمْرًا ؕ/أَمۡرٗاۖ/amran//فَصَبْرٌ/فَصَبۡرٞ/fasabrun//جَمِیْلٌ ؕ/جَمِيلٞۖ/jamilun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//الْمُسْتَعَانُ/ٱلۡمُسۡتَعَانُ/al-mus'ta'anu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//تَصِفُوْنَ /تَصِفُونَ/tasifuna",
              "words_bangla": "এবং তারা আসলো//উপর//তার জামার//নিয়ে রক্ত (লাগিয়ে)//মিথ্যা//সে বললো//\"বরং//সাজিয়ে দিয়েছে//তোমাদেরকে//তোমাদের মন//এ কাজ//অতএব ধৈর্য ধরাই//উত্তম//এবং আল্লাহই//সাহায্যস্থল//এক্ষেত্রে//যা//তোমরা বর্ণনা করছো\""
            },
            {
              "number": 1615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1615.mp3"
              ],
              "text": "وَجَآءَتْ سَيَّارَةٌۭ فَأَرْسَلُوا۟ وَارِدَهُمْ فَأَدْلَىٰ دَلْوَهُۥ ۖ قَالَ يَٰبُشْرَىٰ هَٰذَا غُلَٰمٌۭ ۚ وَأَسَرُّوهُ بِضَٰعَةًۭ ۚ وَٱللَّهُ عَلِيمٌۢ بِمَا يَعْمَلُونَ",
              "translate_bn": "এবং একটি কাফেলা এল। অতঃপর তাদের পানি সংগ্রাহককে প্রেরণ করল। সে বালতি ফেলল। বললঃ কি আনন্দের কথা। এ তো একটি কিশোর তারা তাকে পন্যদ্রব্য গণ্য করে গোপন করে ফেলল। আল্লাহ খুব জানেন যা কিছু তারা করেছিল।",
              "numberInSurah": 19,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআত ছাইইয়া-রাতুন ফাআরছালূওয়া-রিদাহুম ফাআদলা-দালওয়াহূ কা-লা ইয়া-বুশরা-হা-যা-গুলা-মুওঁ ওয়া আছাররূহু বিদা-‘আতাওঁ ওয়াল্লা-হু ‘আলীমুম বিমা-ইয়া‘মালূন।",
              "words_arabic": "وَ جَآءَتْ/وَجَآءَتۡ/wajaat//سَیَّارَةٌ/سَيَّارَةٞ/sayyaratun//فَاَرْسَلُوْا/فَأَرۡسَلُواْ/fa-arsalu//وَارِدَهُمْ/وَارِدَهُمۡ/waridahum//فَاَدْلٰی/فَأَدۡلَىٰ/fa-adla//دَلْوَهٗ ؕ/دَلۡوَهُۥۖ/dalwahu//قَالَ/قَالَ/qala//یٰبُشْرٰی/يَٰبُشۡرَىٰ/yabush'ra//هٰذَا/هَٰذَا/hadha//غُلٰمٌ ؕ/غُلَٰمٞۚ/ghulamun//وَ اَسَرُّوْهُ/وَأَسَرُّوهُ/wa-asarruhu//بِضَاعَةً ؕ/بِضَٰعَةٗۚ/bida'atan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِمَا/بِمَا/bima//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং আসলো//এক যাত্রীদল//অতঃপর তারা পাঠালো//তাদের পানি সংগ্রাহককে//সে তখন নামিয়ে দিলো//তার বালতি//সে বললো//\"কি সুখবর!//এযে//একটি ছেলে\"//এবং তাকে লুকালো//পণ্যদ্রব্য হিসেবে//এবং আল্লাহ//খুবই অবহিত//বিষয়ে যা//তারা কাজ করছিলো"
            },
            {
              "number": 1616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1616.mp3"
              ],
              "text": "وَشَرَوْهُ بِثَمَنٍۭ بَخْسٍۢ دَرَٰهِمَ مَعْدُودَةٍۢ وَكَانُوا۟ فِيهِ مِنَ ٱلزَّٰهِدِينَ",
              "translate_bn": "ওরা তাকে কম মূল্যে বিক্রি করে দিল গনাগুণতি কয়েক দেরহাম এবং তাঁর ব্যাপারে নিরাসক্ত ছিল।",
              "numberInSurah": 20,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 194,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া শারাওহু বিছামানিম বাখছিন দারা-হিমা মা‘দূদাতিওঁ ওয়া কা-নূফীহি মিনাঝঝাহিদীন।",
              "words_arabic": "وَ شَرَوْهُ/وَشَرَوۡهُ/washarawhu//بِثَمَنٍۭ/بِثَمَنِۭ/bithamanin//بَخْسٍ/بَخۡسٖ/bakhsin//دَرَاهِمَ/دَرَٰهِمَ/darahima//مَعْدُوْدَةٍ ۚ/مَعۡدُودَةٖ/ma'dudatin//وَ كَانُوْا/وَكَانُواْ/wakanu//فِیْهِ/فِيهِ/fihi//مِنَ/مِنَ/mina//الزَّاهِدِیْنَ۠/ٱلزَّـٰهِدِينَ/al-zahidina",
              "words_bangla": "এবং তাকে তারা বিক্রি করে দিলো//দাম দিয়ে//সামান্য//দিরহাম//কয়েকটি মাত্র//এবং তারা ছিলো//তার (দামের) ব্যাপারে//অন্তর্ভুক্ত//নিরাসক্তদের"
            },
            {
              "number": 1617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1617.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِى ٱشْتَرَىٰهُ مِن مِّصْرَ لِٱمْرَأَتِهِۦٓ أَكْرِمِى مَثْوَىٰهُ عَسَىٰٓ أَن يَنفَعَنَآ أَوْ نَتَّخِذَهُۥ وَلَدًۭا ۚ وَكَذَٰلِكَ مَكَّنَّا لِيُوسُفَ فِى ٱلْأَرْضِ وَلِنُعَلِّمَهُۥ مِن تَأْوِيلِ ٱلْأَحَادِيثِ ۚ وَٱللَّهُ غَالِبٌ عَلَىٰٓ أَمْرِهِۦ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "মিসরে যে ব্যক্তি তাকে ক্রয় করল, সে তার স্ত্রীকে বললঃ একে সম্মানে রাখ। সম্ভবতঃ সে আমাদের কাছে আসবে অথবা আমরা তাকে পুত্ররূপে গ্রহণ করে নেব। এমনিভাবে আমি ইউসুফকে এদেশে প্রতিষ্ঠিত করলাম এবং এ জন্যে যে তাকে বাক্যাদির পূর্ণ মর্ম অনুধাবনের পদ্ধতি বিষয়ে শিক্ষা দেই। আল্লাহ নিজ কাজে প্রবল থাকেন, কিন্তু অধিকাংশ লোক তা জানে না।",
              "numberInSurah": 21,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযিশ তারা-হু মিম মিসরা লিমরাআতিহীআকরিমী মাছওয়াহু ‘আছাআইঁ ইয়ানফা‘আনাআও নাত্তাখিযাহূওয়ালাদাওঁ ওয়া কাযা-লিকা মাক্কান্না-লিইঊছুফা ফিল আরদি ওয়া লিনু‘আলিল মাহূমিন তা’বীলিল আহা-দীছি ওয়াল্লা-হু গা-লিবুন ‘আলাআমরিহী ওয়ালা-কিন্না আকছারা-ন্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِی/ٱلَّذِي/alladhi//اشْتَرٰىهُ/ٱشۡتَرَىٰهُ/ish'tarahu//مِنْ/مِن/min//مِّصْرَ/مِّصۡرَ/mis'ra//لِامْرَاَتِهٖۤ/لِٱمۡرَأَتِهِۦٓ/li-im'ra-atihi//اَكْرِمِیْ/أَكۡرِمِي/akrimi//مَثْوٰىهُ/مَثۡوَىٰهُ/mathwahu//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّنْفَعَنَاۤ/يَنفَعَنَآ/yanfa'ana//اَوْ/أَوۡ/aw//نَتَّخِذَهٗ/نَتَّخِذَهُۥ/nattakhidhahu//وَلَدًا ؕ/وَلَدٗاۚ/waladan//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//مَكَّنَّا/مَكَّنَّا/makkanna//لِیُوْسُفَ/لِيُوسُفَ/liyusufa//فِی/فِي/fi//الْاَرْضِ ؗ/ٱلۡأَرۡضِ/al-ardi//وَ لِنُعَلِّمَهٗ/وَلِنُعَلِّمَهُۥ/walinu'allimahu//مِنْ/مِن/min//تَاْوِیْلِ/تَأۡوِيلِ/tawili//الْاَحَادِیْثِ ؕ/ٱلۡأَحَادِيثِۚ/al-ahadithi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَالِبٌ/غَالِبٌ/ghalibun//عَلٰۤی/عَلَىٰٓ/ala//اَمْرِهٖ/أَمۡرِهِۦ/amrihi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং বললো//যে//তাকে কিনেছিলো//থেকে//মিশর//তার স্ত্রীকে//\"সম্মানজনক ব্যবস্থা করো//তার থাকার//আশা করা যায়//যে//আমাদের সে উপকারে আসবে//অথবা//তাকে আমরা গ্রহণ করবো//পুত্র হিসাবে\"//এবং এভাবে//আমরা প্রতিষ্ঠিত করলাম//ইউসুফকে//মধ্যে//(সে) দেশের//এবং আমরা যেন তাকে শিক্ষা দিতে পারি//থেকে//ব্যখ্যা//স্বপ্নের//এবং আল্লাহ//অপ্রতিহত//ক্ষেত্রে//তাঁর কাজের//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে"
            },
            {
              "number": 1618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1618.mp3"
              ],
              "text": "وَلَمَّا بَلَغَ أَشُدَّهُۥٓ ءَاتَيْنَٰهُ حُكْمًۭا وَعِلْمًۭا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "যখন সে পূর্ণ যৌবনে পৌছে গেল, তখন তাকে প্রজ্ঞা ও ব্যুৎপত্তি দান করলাম। এমননিভাবে আমি সৎকর্মপরায়ণদেরকে প্রতিদান দেই।",
              "numberInSurah": 22,
              "juz": 12,
              "manzil": 3,
              "page": 237,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-বালাগা আশুদ্দাহূআ-তাইনা-হু হুকমাওঁ ওয়া ‘ইলমাওঁ ওয়া কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//بَلَغَ/بَلَغَ/balagha//اَشُدَّهٗۤ/أَشُدَّهُۥٓ/ashuddahu//اٰتَیْنٰهُ/ءَاتَيۡنَٰهُ/ataynahu//حُكْمًا/حُكۡمٗا/huk'man//وَّ عِلْمًا ؕ/وَعِلۡمٗاۚ/wa'il'man//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং যখন//সে পৌঁছলো//তার যৌবনে//তাকে আমরা দিলাম//প্রজ্ঞা//ও জ্ঞান//এবং এভাবে//প্রতিফল দিই আমরা//সৎকর্মশীললোকদেরকে"
            },
            {
              "number": 1619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1619.mp3"
              ],
              "text": "وَرَٰوَدَتْهُ ٱلَّتِى هُوَ فِى بَيْتِهَا عَن نَّفْسِهِۦ وَغَلَّقَتِ ٱلْأَبْوَٰبَ وَقَالَتْ هَيْتَ لَكَ ۚ قَالَ مَعَاذَ ٱللَّهِ ۖ إِنَّهُۥ رَبِّىٓ أَحْسَنَ مَثْوَاىَ ۖ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّٰلِمُونَ",
              "translate_bn": "আর সে যে মহিলার ঘরে ছিল, ঐ মহিলা তাকে ফুসলাতে লাগল এবং দরজাসমূহ বন্ধ করে দিল। সে মহিলা বললঃ শুন! তোমাকে বলছি, এদিকে আস, সে বললঃ আল্লাহ রক্ষা করুন; তোমার স্বামী আমার মালিক। তিনি আমাকে সযত্নে থাকতে দিয়েছেন। নিশ্চয় সীমা লংঘনকারীগণ সফল হয় না।",
              "numberInSurah": 23,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়ারা-ওয়াদাত হুল্লাতী হুওয়া ফী বাইতিহা-‘আন নাফছিহী ওয়া গাল্লাকাতিল আবওয়া-বা ওয়াকা-লাত হাইতা লাকা কা-লা মা‘আ-যাল্লা-হি ইন্নাহূরাববী-আহছানা মাছওয়াইয়া; ইন্নাহূলা-ইউফলিহুজ্জা-লিমূন।",
              "words_arabic": "وَ رَاوَدَتْهُ/وَرَٰوَدَتۡهُ/warawadathu//الَّتِیْ/ٱلَّتِي/allati//هُوَ/هُوَ/huwa//فِیْ/فِي/fi//بَیْتِهَا/بَيۡتِهَا/baytiha//عَنْ/عَن/an//نَّفْسِهٖ/نَّفۡسِهِۦ/nafsihi//وَ غَلَّقَتِ/وَغَلَّقَتِ/waghallaqati//الْاَبْوَابَ/ٱلۡأَبۡوَٰبَ/al-abwaba//وَ قَالَتْ/وَقَالَتۡ/waqalat//هَیْتَ/هَيۡتَ/hayta//لَكَ ؕ/لَكَۚ/laka//قَالَ/قَالَ/qala//مَعَاذَ/مَعَاذَ/ma'adha//اللّٰهِ/ٱللَّهِۖ/al-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//رَبِّیْۤ/رَبِّيٓ/rabbi//اَحْسَنَ/أَحۡسَنَ/ahsana//مَثْوَایَ ؕ/مَثۡوَايَۖ/mathwaya//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "এবং তাকে ফুসলিয়েছিলো//(সেই মহিলা) যার//সে (ছিলো)//মধ্যে//তার ঘরের//প্রতি//তার নিজের (আত্মসংবরণ)//এবং বন্ধ করলো (মহিলাটি)//দরজাগুলো//এবং বললো//\"চলে এসো//তোমাকে বলছি\"//সে বললো//\"আশ্রয় চাই//\"আল্লাহর//নিশ্চয়ই তিনি//আমার রব//উত্তম ব্যবস্হা করেছেন//আমার বসবাসের//নিশ্চয়ই//না//সফল হয়//সীমালঙ্ঘনকারীরা\""
            },
            {
              "number": 1620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1620.mp3"
              ],
              "text": "وَلَقَدْ هَمَّتْ بِهِۦ ۖ وَهَمَّ بِهَا لَوْلَآ أَن رَّءَا بُرْهَٰنَ رَبِّهِۦ ۚ كَذَٰلِكَ لِنَصْرِفَ عَنْهُ ٱلسُّوٓءَ وَٱلْفَحْشَآءَ ۚ إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُخْلَصِينَ",
              "translate_bn": "নিশ্চয় মহিলা তার বিষয়ে চিন্তা করেছিল এবং সেও মহিলার বিষয়ে চিন্তা করত। যদি না সে স্বীয় পালনকর্তার মহিমা অবলোকন করত। এমনিবাবে হয়েছে, যাতে আমি তার কাছ থেকে মন্দ বিষয় ও নিলজ্জ বিষয় সরিয়ে দেই। নিশ্চয় সে আমার মনোনীত বান্দাদের একজন।",
              "numberInSurah": 24,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ হাম্মাত বিহী ওয়া হাম্মা বিহা-লাওলা-আর রাআ-বুরহা-না রাব্বিহী কাযা-লিকা লিনাসরিফা ‘আনহুছছূআ ওয়াল ফাহশাআ ইন্নাহূমিন ‘ইবা-দিনাল মুখলাসীন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//هَمَّتْ/هَمَّتۡ/hammat//بِهٖ ۚ/بِهِۦۖ/bihi//وَ هَمَّ/وَهَمَّ/wahamma//بِهَا/بِهَا/biha//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَن/an//رَّاٰ/رَّءَا/raa//بُرْهَانَ/بُرۡهَٰنَ/bur'hana//رَبِّهٖ ؕ/رَبِّهِۦۚ/rabbihi//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//لِنَصْرِفَ/لِنَصۡرِفَ/linasrifa//عَنْهُ/عَنۡهُ/anhu//السُّوْٓءَ/ٱلسُّوٓءَ/al-sua//وَ الْفَحْشَآءَ ؕ/وَٱلۡفَحۡشَآءَۚ/wal-fahshaa//اِنَّهٗ/إِنَّهُۥ/innahu//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "এবং নিশ্চয়ই//আসক্ত হয়েছিলো (সে মহিলা)//প্রতি তার//এবং সেও আসক্ত হতো//প্রতি তার//যদি না//যে//সে দেখতো//নিদর্শন//তার রবের//এভাবে (ঘটলো)//যেন আমরা ফিরিয়ে রাখি//তার থেকে//মন্দ//ও অশ্লীলতা//নিশ্চয়ই সে (ছিলো)//অন্তর্ভুক্ত//আমাদের দাসদের//(যারা ছিলো) বিশুদ্ধ চিত্ত"
            },
            {
              "number": 1621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1621.mp3"
              ],
              "text": "وَٱسْتَبَقَا ٱلْبَابَ وَقَدَّتْ قَمِيصَهُۥ مِن دُبُرٍۢ وَأَلْفَيَا سَيِّدَهَا لَدَا ٱلْبَابِ ۚ قَالَتْ مَا جَزَآءُ مَنْ أَرَادَ بِأَهْلِكَ سُوٓءًا إِلَّآ أَن يُسْجَنَ أَوْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তারা উভয়ে ছুটে দরজার দিকে গেল এবং মহিলা ইউসুফের জামা পিছন দিক থেকে ছিঁড়ে ফেলল। উভয়ে মহিলার স্বামীকে দরজার কাছে পেল। মহিলা বললঃ যে ব্যক্তি তোমার পরিজনের সাথে কুকর্মের ইচ্ছা করে, তাকে কারাগারে পাঠানো অথবা অন্য কোন যন্ত্রণাদায়ক শাস্তি দেয়া ছাড়া তার আর কি শাস্তি হতে পারে?",
              "numberInSurah": 25,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ তাবাকাল বা-বা ওয়া কাদ্দাত কামীসাহূমিন দুবুরিওঁ ওয়া আলফাইয়া-ছাইয়িদাহালাদাল বা-বি কা-লাত মা-জাঝাউ মান আরা-দা বিআহলিকা ছূআন ইল্লাআইঁ ইউছজানা আও ‘আযা-বুন আলীম।",
              "words_arabic": "وَ اسْتَبَقَا/وَٱسۡتَبَقَا/wa-is'tabaqa//الْبَابَ/ٱلۡبَابَ/al-baba//وَ قَدَّتْ/وَقَدَّتۡ/waqaddat//قَمِیْصَهٗ/قَمِيصَهُۥ/qamisahu//مِنْ/مِن/min//دُبُرٍ/دُبُرٖ/duburin//وَّ اَلْفَیَا/وَأَلۡفَيَا/wa-alfaya//سَیِّدَهَا/سَيِّدَهَا/sayyidaha//لَدَا/لَدَا/lada//الْبَابِ ؕ/ٱلۡبَابِۚ/al-babi//قَالَتْ/قَالَتۡ/qalat//مَا/مَا/ma//جَزَآءُ/جَزَآءُ/jazau//مَنْ/مَنۡ/man//اَرَادَ/أَرَادَ/arada//بِاَهْلِكَ/بِأَهۡلِكَ/bi-ahlika//سُوْٓءًا/سُوٓءًا/suan//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّسْجَنَ/يُسۡجَنَ/yus'jana//اَوْ/أَوۡ/aw//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং উভয়ে দৌঁড়ে গেলো//দরজার দিকে//এবং (রমণী) সে ছিঁড়ে ফেললো//তার জামা//থেকে//পিছন//এবং উভয়ে পেলো//তার স্বামীকে//কাছে//দরজার//(রমনী) সে বললো//\"কি//শাস্তি (হ'তে পারে)//যে//কামনা করে//সাথে তোমার পরিবারের//কুকর্ম//এ ছাড়া (কি অন্য কিছু)//যে//বন্দী করা হবে//বা//কোন শাস্তি//নিদারুণ\""
            },
            {
              "number": 1622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1622.mp3"
              ],
              "text": "قَالَ هِىَ رَٰوَدَتْنِى عَن نَّفْسِى ۚ وَشَهِدَ شَاهِدٌۭ مِّنْ أَهْلِهَآ إِن كَانَ قَمِيصُهُۥ قُدَّ مِن قُبُلٍۢ فَصَدَقَتْ وَهُوَ مِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "ইউসুফ (আঃ) বললেন, সেই আমাকে আত্মসংবরণ না করতে ফুসলিয়েছে। মহিলার পরিবারে জনৈক সাক্ষী দিল যে, যদি তার জামা সামনের দিক থেকে ছিন্ন থাকে, তবে মহিলা সত্যবাদিনী এবং সে মিথ্যাবাদি।",
              "numberInSurah": 26,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "কা-লা হিয়া রা-ওয়াদাতনী ‘আন নাফছী ওয়া শাহিদা শা-হিদুম মিন আহলিহা- ইন কা-না কামীসুহূকুদ্দা মিন কুবুলিন ফাসাদাকাত ওয়া হুওয়া মিনাল কা-যিবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//هِیَ/هِيَ/hiya//رَاوَدَتْنِیْ/رَٰوَدَتۡنِي/rawadatni//عَنْ/عَن/an//نَّفْسِیْ/نَّفۡسِيۚ/nafsi//وَ شَهِدَ/وَشَهِدَ/washahida//شَاهِدٌ/شَاهِدٞ/shahidun//مِّنْ/مِّنۡ/min//اَهْلِهَا ۚ/أَهۡلِهَآ/ahliha//اِنْ/إِن/in//كَانَ/كَانَ/kana//قَمِیْصُهٗ/قَمِيصُهُۥ/qamisuhu//قُدَّ/قُدَّ/qudda//مِنْ/مِن/min//قُبُلٍ/قُبُلٖ/qubulin//فَصَدَقَتْ/فَصَدَقَتۡ/fasadaqat//وَ هُوَ/وَهُوَ/wahuwa//مِنَ/مِنَ/mina//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "(ইউসুফ) বললো//\"সে (মহিলা)//আমাকে ফুসলিয়েছিলো//হ'তে//আমার নিজের (আত্মসংবরণ)\"//এবং সাক্ষ্য দেয়//এক সাক্ষ্যদাতা//মধ্য হ'তে//তার পরিবারের//\"যদি//হয়//তার জামা//ছেঁড়া//থেকে//সামনের দিক//তবে সে (রমনী) সত্য বলেছে//এবং সে (ইউসুফ)//অন্তর্ভুক্ত//মিথ্যাবাদীদের"
            },
            {
              "number": 1623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1623.mp3"
              ],
              "text": "وَإِن كَانَ قَمِيصُهُۥ قُدَّ مِن دُبُرٍۢ فَكَذَبَتْ وَهُوَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "এবং যদি তার জামা পেছনের দিক থেকে ছিন্ন থাকে, তবে মহিলা মিথ্যাবাদিনী এবং সে সত্যবাদী।",
              "numberInSurah": 27,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-না কামীসুহূকুদ্দা মিন দুবুরিন ফাকাযাবাত ওয়া হুওয়া মিনাসসা-দিকীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//قَمِیْصُهٗ/قَمِيصُهُۥ/qamisuhu//قُدَّ/قُدَّ/qudda//مِنْ/مِن/min//دُبُرٍ/دُبُرٖ/duburin//فَكَذَبَتْ/فَكَذَبَتۡ/fakadhabat//وَ هُوَ/وَهُوَ/wahuwa//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "আর যদি//হয়//তার জামা//ছেঁড়া//থেকে//পিছনের দিক//তবে সে (রমনী) মিথ্যা বলেছে//এবং সে (ইউসুফ)//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 1624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1624.mp3"
              ],
              "text": "فَلَمَّا رَءَا قَمِيصَهُۥ قُدَّ مِن دُبُرٍۢ قَالَ إِنَّهُۥ مِن كَيْدِكُنَّ ۖ إِنَّ كَيْدَكُنَّ عَظِيمٌۭ",
              "translate_bn": "অতঃপর গৃহস্বামী যখন দেখল যে, তার জামা পেছন দিক থেকে ছিন্ন, তখন সে বলল, নিশ্চয় এটা তোমাদের ছলনা। নিঃসন্দেহে তোমাদের ছলনা খুবই মারাত্নক।",
              "numberInSurah": 28,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআ-কামীসাহূকুদ্দা মিন দুবরিন কা-লা ইন্নাহূমিন কাইদিকুন্ন ইন্না কাইদাকুন্না ‘আজীম।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاٰ/رَءَا/raa//قَمِیْصَهٗ/قَمِيصَهُۥ/qamisahu//قُدَّ/قُدَّ/qudda//مِنْ/مِن/min//دُبُرٍ/دُبُرٖ/duburin//قَالَ/قَالَ/qala//اِنَّهٗ/إِنَّهُۥ/innahu//مِنْ/مِن/min//كَیْدِكُنَّ ؕ/كَيۡدِكُنَّۖ/kaydikunna//اِنَّ/إِنَّ/inna//كَیْدَكُنَّ/كَيۡدَكُنَّ/kaydakunna//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "অতঃপর যখন//দেখলো//তার জামা//ছেঁড়া//হ'তে//পিছন দিক//গৃহস্বামী বললো//\"তা নিশ্চয়ই//অন্তর্ভুক্ত//তোমাদের (অর্থাৎ নারীদের) ছলনা//নিশ্চয়ই//তোমাদের ছলনা//ভয়ানক"
            },
            {
              "number": 1625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1625.mp3"
              ],
              "text": "يُوسُفُ أَعْرِضْ عَنْ هَٰذَا ۚ وَٱسْتَغْفِرِى لِذَنۢبِكِ ۖ إِنَّكِ كُنتِ مِنَ ٱلْخَاطِـِٔينَ",
              "translate_bn": "ইউসুফ এ প্রসঙগ ছাড়! আর হে নারী, এ পাপের জন্য ক্ষমা প্রার্থনা কর নিঃসন্দেহে তুমি-ই পাপাচারিনী।",
              "numberInSurah": 29,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 195,
              "hizbQuarter": 95,
              "sajda": false,
              "pronunciation_bn": "ইঊছুফুআ‘রিদ‘আন হা-যা-ওয়াছতাগফিরী লিযামবিকি ইন্নাকি কুনতি মিনাল খা-তিঈন।",
              "words_arabic": "یُوْسُفُ/يُوسُفُ/yusufu//اَعْرِضْ/أَعۡرِضۡ/a'rid//عَنْ/عَنۡ/an//هٰذَا ٚ/هَٰذَاۚ/hadha//وَ اسْتَغْفِرِیْ/وَٱسۡتَغۡفِرِي/wa-is'taghfiri//لِذَنْۢبِكِ ۖۚ/لِذَنۢبِكِۖ/lidhanbiki//اِنَّكِ/إِنَّكِ/innaki//كُنْتِ/كُنتِ/kunti//مِنَ/مِنَ/mina//الْخٰطِـِٕیْنَ۠/ٱلۡخَاطِـِٔينَ/al-khatiina",
              "words_bangla": "(হে) ইউসুফ//উপেক্ষা করো//হ'তে//এই (ব্যাপার)//এবং (হে মহিলা) ক্ষমা চাও//তোমার অপরাধের জন্যে//নিশ্চয়ই তুমি//ছিলে//অন্তর্ভুক্ত//অপরাধীদের\""
            },
            {
              "number": 1626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1626.mp3"
              ],
              "text": "۞ وَقَالَ نِسْوَةٌۭ فِى ٱلْمَدِينَةِ ٱمْرَأَتُ ٱلْعَزِيزِ تُرَٰوِدُ فَتَىٰهَا عَن نَّفْسِهِۦ ۖ قَدْ شَغَفَهَا حُبًّا ۖ إِنَّا لَنَرَىٰهَا فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "নগরে মহিলারা বলাবলি করতে লাগল যে, আযীযের স্ত্রী স্বীয় গোলামকে কুমতলব চরিতার্থ করার জন্য ফুসলায়। সে তার প্রেমে উম্মত্ত হয়ে গেছে। আমরা তো তাকে প্রকাশ্য ভ্রান্তিতে দেখতে পাচ্ছি।",
              "numberInSurah": 30,
              "juz": 12,
              "manzil": 3,
              "page": 238,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা নিছওয়াতুন ফিল মাদীনাতিম রাআতুল ‘আঝীঝি তুরা-বিদুফাতা-হা-‘আন নাফছিহী কাদ শাগাফাহা-হুব্বান ইন্না লানারা-হা-ফী দালা-লিম মুবীন।",
              "words_arabic": "وَ قَالَ/۞وَقَالَ/waqala//نِسْوَةٌ/نِسۡوَةٞ/nis'watun//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//امْرَاَتُ/ٱمۡرَأَتُ/im'ra-atu//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//تُرَاوِدُ/تُرَٰوِدُ/turawidu//فَتٰىهَا/فَتَىٰهَا/fataha//عَنْ/عَن/an//نَّفْسِهٖ ۚ/نَّفۡسِهِۦۖ/nafsihi//قَدْ/قَدۡ/qad//شَغَفَهَا/شَغَفَهَا/shaghafaha//حُبًّا ؕ/حُبًّاۖ/hubban//اِنَّا/إِنَّا/inna//لَنَرٰىهَا/لَنَرَىٰهَا/lanaraha//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং বললো//মহিলারা//মধ্যে//শহরের//\"(যে) স্ত্রী//আযীযের//ফুসলাচ্ছে//তার যুবক (দাস)-কে//হ'তে//তার নিজের (আত্মসংবরণ)//নিশ্চয়ই//তাকে উন্মাদ করেছে//প্রেমে//নিশ্চয়ই আমরা//অবশ্যই তাকে আমরা দেখছি//মধ্যে//বিভ্রান্তির//সুস্পষ্ট\""
            },
            {
              "number": 1627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1627.mp3"
              ],
              "text": "فَلَمَّا سَمِعَتْ بِمَكْرِهِنَّ أَرْسَلَتْ إِلَيْهِنَّ وَأَعْتَدَتْ لَهُنَّ مُتَّكَـًۭٔا وَءَاتَتْ كُلَّ وَٰحِدَةٍۢ مِّنْهُنَّ سِكِّينًۭا وَقَالَتِ ٱخْرُجْ عَلَيْهِنَّ ۖ فَلَمَّا رَأَيْنَهُۥٓ أَكْبَرْنَهُۥ وَقَطَّعْنَ أَيْدِيَهُنَّ وَقُلْنَ حَٰشَ لِلَّهِ مَا هَٰذَا بَشَرًا إِنْ هَٰذَآ إِلَّا مَلَكٌۭ كَرِيمٌۭ",
              "translate_bn": "যখন সে তাদের চক্রান্ত শুনল, তখন তাদেরকে ডেকে পাঠাল এবং তাদের জন্যে একটি ভোজ সভার আয়োজন করল। সে তাদের প্রত্যেককে একটি ছুরি দিয়ে বললঃ ইউসুফ এদের সামনে চলে এস। যখন তারা তাকে দেখল, হতভম্ব হয়ে গেল এবং আপন হাত কেটে ফেলল। তারা বললঃ কখনই নয় এ ব্যক্তি মানব নয়। এ তো কোন মহান ফেরেশতা।",
              "numberInSurah": 31,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-ছামি‘আত বিমাকরিহিন্না আরছালাত ইলাইহিন্না ওয়া আ‘তাদাত লাহুন্না মুত্তাকাআওঁ ওয়া আ-তাত কুল্লা ওয়াহিদাতিম মিনহুন্না ছিক্কীনাওঁ ওয়া কা-লাতিখরুজ ‘আলাইহিন্না ফালাম্মা-রাআইনাহূআকবারনাহূওয়া কাত্তা‘না আইদিয়াহুন্না ওয়াকুলনা হা-শা লিল্লা-হি মা- হা-যা-বাশারান ইন হা-যা ইল্লা-মালাকুন কারীম।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//سَمِعَتْ/سَمِعَتۡ/sami'at//بِمَكْرِهِنَّ/بِمَكۡرِهِنَّ/bimakrihinna//اَرْسَلَتْ/أَرۡسَلَتۡ/arsalat//اِلَیْهِنَّ/إِلَيۡهِنَّ/ilayhinna//وَ اَعْتَدَتْ/وَأَعۡتَدَتۡ/wa-a'tadat//لَهُنَّ/لَهُنَّ/lahunna//مُتَّكَاً/مُتَّكَـٔٗا/muttaka-an//وَّ اٰتَتْ/وَءَاتَتۡ/waatat//كُلَّ/كُلَّ/kulla//وَاحِدَةٍ/وَٰحِدَةٖ/wahidatin//مِّنْهُنَّ/مِّنۡهُنَّ/min'hunna//سِكِّیْنًا/سِكِّينٗا/sikkinan//وَّ قَالَتِ/وَقَالَتِ/waqalati//اخْرُجْ/ٱخۡرُجۡ/ukh'ruj//عَلَیْهِنَّ ۚ/عَلَيۡهِنَّۖ/alayhinna//فَلَمَّا/فَلَمَّا/falamma//رَاَیْنَهٗۤ/رَأَيۡنَهُۥٓ/ra-aynahu//اَكْبَرْنَهٗ/أَكۡبَرۡنَهُۥ/akbarnahu//وَ قَطَّعْنَ/وَقَطَّعۡنَ/waqatta'na//اَیْدِیَهُنَّ/أَيۡدِيَهُنَّ/aydiyahunna//وَ قُلْنَ/وَقُلۡنَ/waqul'na//حَاشَ/حَٰشَ/hasha//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//هٰذَا/هَٰذَا/hadha//بَشَرًا ؕ/بَشَرًا/basharan//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//مَلَكٌ/مَلَكٞ/malakun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "অতঃপর যখন//(মহিলা) শুনলো//সম্বন্ধে তাদের ষড়যন্ত্রেরর কথা//মহিলা (লোক) প্রেরণ করলো//তাদের কাছে//ও প্রস্তুত করলো//তাদের জন্যে//(হেলান দিয়ে) বসার আসন//ও দিলো//ব্যক্তিকে//প্রত্যেক//তাদের মধ্যকার//একটি করে ছুরি (ফল কেটে খেতে)//এবং বললো (ইউসুফকে)//\"বের হও//সামনে তাদের\"//অতঃপর যখন//তাকে তারা দেখলো//তারা অভিভূত হলো//ও তারা কেটে ফেললো//(ফলের পরিবর্তে) তাদের হাত//ও তারা বললো//\"মহিমা//জন্যে আল্লাহর//নয়//এতো//মানুষ//নয়//এতো//এ ছাড়া//ফেরেশতা//সম্মানিত\""
            },
            {
              "number": 1628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1628.mp3"
              ],
              "text": "قَالَتْ فَذَٰلِكُنَّ ٱلَّذِى لُمْتُنَّنِى فِيهِ ۖ وَلَقَدْ رَٰوَدتُّهُۥ عَن نَّفْسِهِۦ فَٱسْتَعْصَمَ ۖ وَلَئِن لَّمْ يَفْعَلْ مَآ ءَامُرُهُۥ لَيُسْجَنَنَّ وَلَيَكُونًۭا مِّنَ ٱلصَّٰغِرِينَ",
              "translate_bn": "মহিলা বললঃ এ ঐ ব্যক্তি, যার জন্যে তোমরা আমাকে ভৎর্সনা করছিলে। আমি ওরই মন জয় করতে চেয়েছিলাম। কিন্তু সে নিজেকে নিবৃত্ত রেখেছে। আর আমি যা আদেশ দেই, সে যদি তা না করে, তবে অবশ্যই সে কারাগারে প্রেরিত হবে এবং লাঞ্চিত হবে।",
              "numberInSurah": 32,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ফাযা-লিকুন্নাল্লাযী লুমতুন্নানী ফীহি ওয়া লাকাদ রা-ওয়াততুহূ‘আন নাফছিহী ফাছতা‘সামা ওয়া লাইল্লাম ইয়াফ‘আল মাআ-মুরুহূলাইউছজানান্না ওয়া লাইয়াকূনাম মিনাসসা-গিরীন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//فَذٰلِكُنَّ/فَذَٰلِكُنَّ/fadhalikunna//الَّذِیْ/ٱلَّذِي/alladhi//لُمْتُنَّنِیْ/لُمۡتُنَّنِي/lum'tunnani//فِیْهِ ؕ/فِيهِۖ/fihi//وَ لَقَدْ/وَلَقَدۡ/walaqad//رَاوَدْتُّهٗ/رَٰوَدتُّهُۥ/rawadttuhu//عَنْ/عَن/an//نَّفْسِهٖ/نَّفۡسِهِۦ/nafsihi//فَاسْتَعْصَمَ ؕ/فَٱسۡتَعۡصَمَۖ/fa-is'ta'sama//وَ لَىِٕنْ/وَلَئِن/wala-in//لَّمْ/لَّمۡ/lam//یَفْعَلْ/يَفۡعَلۡ/yaf 'al//مَاۤ/مَآ/ma//اٰمُرُهٗ/ءَامُرُهُۥ/amuruhu//لَیُسْجَنَنَّ/لَيُسۡجَنَنَّ/layus'jananna//وَ لَیَكُوْنًا/وَلَيَكُونٗا/walayakunan//مِّنَ/مِّنَ/mina//الصّٰغِرِیْنَ /ٱلصَّـٰغِرِينَ/al-saghirina",
              "words_bangla": "সে বললো//\"অতঃপর এ-ই সে//যার (যুবক)//আমাকে তোমরা নিন্দা করেছো//ব্যাপারে//এবং নিশ্চয়ই//তাকে আমি ফুসলিয়েছি//হ'তে//তার নিজের (আত্মসংবরণ)//তবুও সে নিজেকে পবিত্র রেখেছে//এবং অবশ্যই যদি//না//সে করে//তা যা//তাকে নির্দেশ দিই আমি//অবশ্যই সে কারারুদ্ধ হবে//এবং অবশ্যই সে হবে//অন্তর্ভুক্ত//লাঞ্ছিতদের"
            },
            {
              "number": 1629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1629.mp3"
              ],
              "text": "قَالَ رَبِّ ٱلسِّجْنُ أَحَبُّ إِلَىَّ مِمَّا يَدْعُونَنِىٓ إِلَيْهِ ۖ وَإِلَّا تَصْرِفْ عَنِّى كَيْدَهُنَّ أَصْبُ إِلَيْهِنَّ وَأَكُن مِّنَ ٱلْجَٰهِلِينَ",
              "translate_bn": "ইউসুফ বললঃ হে পালনকর্তা তারা আমাকে যে কাজের দিকে আহবান করে, তার চাইতে আমি কারাগারই পছন্দ করি। যদি আপনি তাদের চক্রান্ত আমার উপর থেকে প্রতিহত না করেন, তবে আমি তাদের প্রতি আকৃষ্ট হয়ে পড়ব এবং অজ্ঞদের অন্তর্ভূক্ত হয়ে যাব।",
              "numberInSurah": 33,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিছছিজনুআহাব্বুইলাইইয়া মিম্মা-ইয়াদ‘ঊনানীইলাইহি ওয়া ইল্লা-তাসরিফ ‘আন্নী কাইদাহুন্না আসবুইলাইহিন্না ওয়াআকুম মিনাল জা-হিলীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//السِّجْنُ/ٱلسِّجۡنُ/al-sij'nu//اَحَبُّ/أَحَبُّ/ahabbu//اِلَیَّ/إِلَيَّ/ilayya//مِمَّا/مِمَّا/mimma//یَدْعُوْنَنِیْۤ/يَدۡعُونَنِيٓ/yad'unani//اِلَیْهِ ۚ/إِلَيۡهِۖ/ilayhi//وَ اِلَّا/وَإِلَّا/wa-illa//تَصْرِفْ/تَصۡرِفۡ/tasrif//عَنِّیْ/عَنِّي/anni//كَیْدَهُنَّ/كَيۡدَهُنَّ/kaydahunna//اَصْبُ/أَصۡبُ/asbu//اِلَیْهِنَّ/إِلَيۡهِنَّ/ilayhinna//وَ اَكُنْ/وَأَكُن/wa-akun//مِّنَ/مِّنَ/mina//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "(ইউসুফ) বললো//\"হে আমার রব//কারাগারই//অধিক প্রিয়//আমার কাছে//তা হ'তে//আমাকে তারা ডাকছে//যার দিকে//এবং যদি না (হে রব)//তুমি ফিরাও//আমার থেকে//তাদের ছলনা (তাহ'লে হয়তো)//আকৃষ্ট হয়ে পড়বো আমি//তাদের দিকে//এবং আমি হবো//অন্তর্ভুক্ত//অজ্ঞদের\""
            },
            {
              "number": 1630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1630.mp3"
              ],
              "text": "فَٱسْتَجَابَ لَهُۥ رَبُّهُۥ فَصَرَفَ عَنْهُ كَيْدَهُنَّ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "অতঃপর তার পালনকর্তা তার দোয়া কবুল করে নিলেন। অতঃপর তাদের চক্রান্ত প্রতিহত করলেন। নিশ্চয় তিনি সর্বশ্রোতা ও সর্বজ্ঞ।",
              "numberInSurah": 34,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ফাছতাজা-বা লাহূরাব্বুহূফাসারাফা ‘আনহু কাইদাহুন্না ইন্নাহূহুওয়াছছামী‘উল ‘আলীম।\r\n",
              "words_arabic": "فَاسْتَجَابَ/فَٱسۡتَجَابَ/fa-is'tajaba//لَهٗ/لَهُۥ/lahu//رَبُّهٗ/رَبُّهُۥ/rabbuhu//فَصَرَفَ/فَصَرَفَ/fasarafa//عَنْهُ/عَنۡهُ/anhu//كَیْدَهُنَّ ؕ/كَيۡدَهُنَّۚ/kaydahunna//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "অতঃপর সাড়া দিলেন//তার জন্যে//তার রব//অতঃপর ফিরালেন//তার থেকে//তাদের ছলনা//নিশ্চয়ই তিনি//তিনিই//সব কিছু শুনেন//সব কিছু জানেন"
            },
            {
              "number": 1631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1631.mp3"
              ],
              "text": "ثُمَّ بَدَا لَهُم مِّنۢ بَعْدِ مَا رَأَوُا۟ ٱلْءَايَٰتِ لَيَسْجُنُنَّهُۥ حَتَّىٰ حِينٍۢ",
              "translate_bn": "অতঃপর এসব নিদর্শন দেখার পর তারা তাকে কিছুদিন কারাগারে রাখা সমীচীন মনে করল।",
              "numberInSurah": 35,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 196,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বাদা-লাহুম মিম বা‘দি মা-রাআউল আ-য়া-তি লাইয়াছজুনুন্নাহূহাত্তা-হীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَدَا/بَدَا/bada//لَهُمْ/لَهُم/lahum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//رَاَوُا/رَأَوُاْ/ra-awu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَیَسْجُنُنَّهٗ/لَيَسۡجُنُنَّهُۥ/layasjununnahu//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍ۠/حِينٖ/hinin",
              "words_bangla": "এরপর//প্রকাশ পেলো//তাদের কাছে//থেকে//এরপর//যা কিছু//তারা দেখেছিলো//নিদর্শনগুলো (তবুও ভাবলো)//অবশ্যই তাকে কারারুদ্ধ করা হবে//পর্যন্ত//কিছু সময়"
            },
            {
              "number": 1632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1632.mp3"
              ],
              "text": "وَدَخَلَ مَعَهُ ٱلسِّجْنَ فَتَيَانِ ۖ قَالَ أَحَدُهُمَآ إِنِّىٓ أَرَىٰنِىٓ أَعْصِرُ خَمْرًۭا ۖ وَقَالَ ٱلْءَاخَرُ إِنِّىٓ أَرَىٰنِىٓ أَحْمِلُ فَوْقَ رَأْسِى خُبْزًۭا تَأْكُلُ ٱلطَّيْرُ مِنْهُ ۖ نَبِّئْنَا بِتَأْوِيلِهِۦٓ ۖ إِنَّا نَرَىٰكَ مِنَ ٱلْمُحْسِنِينَ",
              "translate_bn": "তাঁর সাথে কারাগারে দুজন যুবক প্রবেশ করল। তাদের একজন বললঃ আমি স্বপ্নে দেখলাম যে, আমি মদ নিঙড়াচ্ছি। অপরজন বললঃ আমি দেখলাম যে, নিজ মাথায় রুটি বহন করছি। তা থেকে পাখী ঠুকরিয়ে খাচ্ছে। আমাদের কে এর ব্যাখ্যা বলুন। আমরা আপনাকে সৎকর্মশীল দেখতে পাচ্ছি।",
              "numberInSurah": 36,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া দাখালা মা‘আহুছ ছিজনা ফাতাইয়া-ন কা-লা আহাদুহুমাইন্নীআরা-নী আ‘সিরু খামরা- ওয়া কা-লাল আ-খারু ইন্নীআরা-নী আহমিলুফাওকা রা’ছী খুবঝান তা’কুলুততাইরু মিনহু নাব্বি’না-বিতা’ওয়ীলিহী ইন্না-নারা-কা মিনাল মুহছিনীন।",
              "words_arabic": "وَ دَخَلَ/وَدَخَلَ/wadakhala//مَعَهُ/مَعَهُ/ma'ahu//السِّجْنَ/ٱلسِّجۡنَ/al-sij'na//فَتَیٰنِ ؕ/فَتَيَانِۖ/fatayani//قَالَ/قَالَ/qala//اَحَدُهُمَاۤ/أَحَدُهُمَآ/ahaduhuma//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰىنِیْۤ/أَرَىٰنِيٓ/arani//اَعْصِرُ/أَعۡصِرُ/a'siru//خَمْرًا ۚ/خَمۡرٗاۖ/khamran//وَ قَالَ/وَقَالَ/waqala//الْاٰخَرُ/ٱلۡأٓخَرُ/al-akharu//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰىنِیْۤ/أَرَىٰنِيٓ/arani//اَحْمِلُ/أَحۡمِلُ/ahmilu//فَوْقَ/فَوۡقَ/fawqa//رَاْسِیْ/رَأۡسِي/rasi//خُبْزًا/خُبۡزٗا/khub'zan//تَاْكُلُ/تَأۡكُلُ/takulu//الطَّیْرُ/ٱلطَّيۡرُ/al-tayru//مِنْهُ ؕ/مِنۡهُۖ/min'hu//نَبِّئْنَا/نَبِّئۡنَا/nabbi'na//بِتَاْوِیْلِهٖ ۚ/بِتَأۡوِيلِهِۦٓۖ/bitawilihi//اِنَّا/إِنَّا/inna//نَرٰىكَ/نَرَىٰكَ/naraka//مِنَ/مِنَ/mina//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং (কারাবাসকালে) (একবার) প্রবেশ করলো//সঙ্গে তার//কারাগারে//দু'জন যুবক//(ইউসুফকে) বললো//তাদের দু'জনার একজন//\"নিশ্চয়ই আমি//স্বপ্নে দেখেছি//নিংড়ে বের করছি আমি//মদ\"//এবং বললো//অপরজন//\"নিশ্চয়ই আমি//স্বপ্নে দেখেছি//বহন করছি//উপর//আমার মাথার//রুটি//খাচ্ছে//পাখি//তা থেকে//বলে দিন আমাদেরকে//সম্পর্কে তার ব্যাখ্যা//নিশ্চয়ই আমরা//আপনাকে দেখছি আমরা//অন্তর্ভুক্ত//সৎকর্মশীলদের\""
            },
            {
              "number": 1633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1633.mp3"
              ],
              "text": "قَالَ لَا يَأْتِيكُمَا طَعَامٌۭ تُرْزَقَانِهِۦٓ إِلَّا نَبَّأْتُكُمَا بِتَأْوِيلِهِۦ قَبْلَ أَن يَأْتِيَكُمَا ۚ ذَٰلِكُمَا مِمَّا عَلَّمَنِى رَبِّىٓ ۚ إِنِّى تَرَكْتُ مِلَّةَ قَوْمٍۢ لَّا يُؤْمِنُونَ بِٱللَّهِ وَهُم بِٱلْءَاخِرَةِ هُمْ كَٰفِرُونَ",
              "translate_bn": "তিনি বললেনঃ তোমাদেরকে প্রত্যহ যে খাদ্য দেয়া হয়, তা তোমাদের কাছে আসার আগেই আমি তার ব্যাখ্যা বলে দেব। এ জ্ঞান আমার পালনকর্তা আমাকে শিক্ষা দিয়েছেন। আমি ঐসব লোকের ধর্ম পরিত্যাগ করেছি যারা আল্লাহর প্রতি বিশ্বাস স্থাপন করে না এবং পরকালে অবিশ্বাসী।",
              "numberInSurah": 37,
              "juz": 12,
              "manzil": 3,
              "page": 239,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লা লা-ইয়া’তীকুমা-তা‘আ-মুন তুরঝাকা-নিহীইল্লা-নাব্বা’তুকুমা-বিতা’বীলিহী কাবলা আইঁ ইয়া’তিয়াকুমা- যা-লিকুমা-মিম্মা-‘আল্লামানী রাববী ইন্নী তারাকতু মিল্লাতা কাওমিল লা-ইউ’মিনূনা বিল্লা-হি ওয়াহুম বিলআ-খিরাতি হুম কা-ফিরূন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَا/لَا/la//یَاْتِیْكُمَا/يَأۡتِيكُمَا/yatikuma//طَعَامٌ/طَعَامٞ/ta'amun//تُرْزَقٰنِهٖۤ/تُرۡزَقَانِهِۦٓ/tur'zaqanihi//اِلَّا/إِلَّا/illa//نَبَّاْتُكُمَا/نَبَّأۡتُكُمَا/nabbatukuma//بِتَاْوِیْلِهٖ/بِتَأۡوِيلِهِۦ/bitawilihi//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَن/an//یَّاْتِیَكُمَا ؕ/يَأۡتِيَكُمَاۚ/yatiyakuma//ذٰلِكُمَا/ذَٰلِكُمَا/dhalikuma//مِمَّا/مِمَّا/mimma//عَلَّمَنِیْ/عَلَّمَنِي/allamani//رَبِّیْ ؕ/رَبِّيٓۚ/rabbi//اِنِّیْ/إِنِّي/inni//تَرَكْتُ/تَرَكۡتُ/taraktu//مِلَّةَ/مِلَّةَ/millata//قَوْمٍ/قَوۡمٖ/qawmin//لَّا/لَّا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//هُمْ/هُمۡ/hum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "সে বললো//\"না//তোমাদের দু'জনের কাছে আসবে//খাবার//যা দু'জনকে খাদ্য দেয়া হয়//এছাড়া যে//তোমাদের দু'জনকে আমি বলে দিবো//সম্পর্কে তার ব্যখ্যা//পূর্বেই//যে//তোমাদের দু'জনের কাছে আসবে//এটা তোমাদের (বলবো)//তা হ'তে যা//আমাকে শিখিয়েছেন//আমার রব//নিশ্চয়ই আমি//আমি বর্জন করেছি//ধর্মসমাজ//ঐ জাতির//না//(যারা) ঈমান আনে//উপর আল্লাহর//এবং তারা//উপর আখিরাতের//তারাই//অস্বীকারকারী"
            },
            {
              "number": 1634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1634.mp3"
              ],
              "text": "وَٱتَّبَعْتُ مِلَّةَ ءَابَآءِىٓ إِبْرَٰهِيمَ وَإِسْحَٰقَ وَيَعْقُوبَ ۚ مَا كَانَ لَنَآ أَن نُّشْرِكَ بِٱللَّهِ مِن شَىْءٍۢ ۚ ذَٰلِكَ مِن فَضْلِ ٱللَّهِ عَلَيْنَا وَعَلَى ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ",
              "translate_bn": "আমি আপন পিতৃপুরুষ ইব্রাহীম, ইসহাক ও ইয়াকুবের ধর্ম অনুসরণ করছি। আমাদের জন্য শোভা পায় না যে, কোন বস্তুকে আল্লাহর অংশীদার করি। এটা আমাদের প্রতি এবং অন্য সব লোকের প্রতি আল্লাহর অনুগ্রহ। কিন্ত অধিকাংশ লোক অনুগ্রহ স্বীকার করে না।",
              "numberInSurah": 38,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাবা‘তুমিল্লাতা আ-বাঈইবরা-হীমা ওয়া ইছহা-কা ওয়া ইয়া‘কূবা মা-কা-না লানাআন নুশরিকা বিল্লা-হি মিন শাইইন যা-লিকা মিন ফাদলিল্লা-হি আলাইনাওয়া‘আলান্না-ছি ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়াশকুরূন।",
              "words_arabic": "وَ اتَّبَعْتُ/وَٱتَّبَعۡتُ/wa-ittaba'tu//مِلَّةَ/مِلَّةَ/millata//اٰبَآءِیْۤ/ءَابَآءِيٓ/abai//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ ؕ/وَيَعۡقُوبَۚ/waya'quba//مَا/مَا/ma//كَانَ/كَانَ/kana//لَنَاۤ/لَنَآ/lana//اَنْ/أَن/an//نُّشْرِكَ/نُّشۡرِكَ/nush'rika//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِن/min//فَضْلِ/فَضۡلِ/fadli//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْنَا/عَلَيۡنَا/alayna//وَ عَلَی/وَعَلَى/wa'ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "এবং আমি অনুসরণ করেছি//আদর্শ//আমার পিতৃ-পুরুষদের//(যেমন) ইবরাহীম//ও ইসহাক//ও ইয়াকুবের//নয়//সমীচীন//জন্যে আমাদের//যে//আমরা শরীক করবো//সাথে আল্লাহর//কোন//কিছুরই//এটা//অন্যতম//অনুগ্রহ//আল্লাহ্‌র//আমাদের উপর//এবং উপর//মানুষের//কিন্তু//অধিকাংশ//মানুষ//না//কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 1635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1635.mp3"
              ],
              "text": "يَٰصَىٰحِبَىِ ٱلسِّجْنِ ءَأَرْبَابٌۭ مُّتَفَرِّقُونَ خَيْرٌ أَمِ ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ",
              "translate_bn": "হে কারাগারের সঙ্গীরা! পৃথক পৃথক অনেক উপাস্য ভাল, না পরাক্রমশালী এক আল্লাহ?",
              "numberInSurah": 39,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ইয়া-সা-হিবাইছছিজনি আ আরবা-বুমমুতাফাররিকূনা খাইরুন আমিল্লা-হুল ওয়া-হিদুল কাহহা-র।",
              "words_arabic": "یٰصَاحِبَیِ/يَٰصَٰحِبَيِ/yasahibayi//السِّجْنِ/ٱلسِّجۡنِ/al-sij'ni//ءَاَرْبَابٌ/ءَأَرۡبَابٞ/a-arbabun//مُّتَفَرِّقُوْنَ/مُّتَفَرِّقُونَ/mutafarriquna//خَیْرٌ/خَيۡرٌ/khayrun//اَمِ/أَمِ/ami//اللّٰهُ/ٱللَّهُ/al-lahu//الْوَاحِدُ/ٱلۡوَٰحِدُ/al-wahidu//الْقَهَّارُؕ/ٱلۡقَهَّارُ/al-qaharu",
              "words_bangla": "হে সঙ্গী দু'জন//কারাগারের//কি বহু রব//পৃথক পৃথক//উত্তম//না কি//আল্লাহ//এক (উত্তম রব)//(যিনি) মহাপরাক্রমশালী"
            },
            {
              "number": 1636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1636.mp3"
              ],
              "text": "مَا تَعْبُدُونَ مِن دُونِهِۦٓ إِلَّآ أَسْمَآءًۭ سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّآ أَنزَلَ ٱللَّهُ بِهَا مِن سُلْطَٰنٍ ۚ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۚ أَمَرَ أَلَّا تَعْبُدُوٓا۟ إِلَّآ إِيَّاهُ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "তোমরা আল্লাহকে ছেড়ে নিছক কতগুলো নামের এবাদত কর, সেগুলো তোমরা এবং তোমাদের বাপ-দাদারা সাব্যস্ত করে নিয়েছে। আল্লাহ এদের কোন প্রমাণ অবতীর্ণ করেননি। আল্লাহ ছাড়া কারও বিধান দেবার ক্ষমতা নেই। তিনি আদেশ দিয়েছেন যে, তিনি ব্যতীত অন্য কারও এবাদত করো না। এটাই সরল পথ। কিন্তু অধিকাংশ লোক তা জানে না।",
              "numberInSurah": 40,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "মা-তা‘বুদূ না মিন দূ নিহীইল্লাআছমাআন ছাম্মাইতুমূহা আনতুম ওয়া আ-বাউকুম মাআনঝালাল্লা-হু বিহা-মিন ছুলতা-নিন ইনিল হুকম ইল্লা-লিল্লা-হি আমারা আল্লাতা‘বুদূ ইল্লা-ইইয়া-হু যা-লিকাদ্দীনুল কাইয়িমুওয়ালা-কিন্না আকছারান্না-ছি লাইয়া‘লামূন। ",
              "words_arabic": "مَا/مَا/ma//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اِلَّاۤ/إِلَّآ/illa//اَسْمَآءً/أَسۡمَآءٗ/asmaan//سَمَّیْتُمُوْهَاۤ/سَمَّيۡتُمُوهَآ/sammaytumuha//اَنْتُمْ/أَنتُمۡ/antum//وَ اٰبَآؤُكُمْ/وَءَابَآؤُكُم/waabaukum//مَّاۤ/مَّآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//بِهَا/بِهَا/biha//مِنْ/مِن/min//سُلْطٰنٍ ؕ/سُلۡطَٰنٍۚ/sul'tanin//اِنِ/إِنِ/ini//الْحُكْمُ/ٱلۡحُكۡمُ/al-huk'mu//اِلَّا/إِلَّا/illa//لِلّٰهِ ؕ/لِلَّهِ/lillahi//اَمَرَ/أَمَرَ/amara//اَلَّا/أَلَّا/alla//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّاۤ/إِلَّآ/illa//اِیَّاهُ ؕ/إِيَّاهُۚ/iyyahu//ذٰلِكَ/ذَٰلِكَ/dhalika//الدِّیْنُ/ٱلدِّينُ/al-dinu//الْقَیِّمُ/ٱلۡقَيِّمُ/al-qayimu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "না//তোমরা উপাসনা করছো//ছেড়ে//তাকে//এ ছাড়া//(কিছু) নামের//যার তোমরা নামকরণ করেছো//তোমরা//ও তোমাদের পিতৃ-পুরুষেরা//না//পাঠিয়েছেন//আল্লাহ//সে সম্বন্ধে//কোন//প্রমাণ//নেই (কারও)//বিধান দেয়ার অধিকার//ছাড়া//আল্লাহ//তিনি আদেশ দিয়েছেন//যে না//তোমরা ইবাদত করো//ছাড়া//শুধু (তাঁরই)//এটা//ধর্ম//সঠিক//কিন্তু//অধিকাংশ//মানুষ//না//জানে"
            },
            {
              "number": 1637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1637.mp3"
              ],
              "text": "يَٰصَىٰحِبَىِ ٱلسِّجْنِ أَمَّآ أَحَدُكُمَا فَيَسْقِى رَبَّهُۥ خَمْرًۭا ۖ وَأَمَّا ٱلْءَاخَرُ فَيُصْلَبُ فَتَأْكُلُ ٱلطَّيْرُ مِن رَّأْسِهِۦ ۚ قُضِىَ ٱلْأَمْرُ ٱلَّذِى فِيهِ تَسْتَفْتِيَانِ",
              "translate_bn": "হে কারাগারের সঙ্গীরা! তোমাদের একজন আপন প্রভুকে মদ্যপান করাবে এবং দ্বিতীয়জন, তাকে শুলে চড়ানো হবে। অতঃপর তার মস্তক থেকে পাখী আহার করবে। তোমরা যে, বিষয়ে জানার আগ্রহী তার সিদ্ধান্ত হয়ে গেছে।",
              "numberInSurah": 41,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ইয়া-সা-হিবাইছ ছিজনি আম্মাআহাদুকুমা-ফাইয়াছকী রাব্বাহূখামরাও ওয়াআম্মাল আ-খারু ফাইউসলাবুফাতা’কুলুততাইরু মিররা’ছিহী কুদিয়াল আমরুল্লাযী ফীহি তাছতাফতিয়া-ন।",
              "words_arabic": "یٰصَاحِبَیِ/يَٰصَٰحِبَيِ/yasahibayi//السِّجْنِ/ٱلسِّجۡنِ/al-sij'ni//اَمَّاۤ/أَمَّآ/amma//اَحَدُكُمَا/أَحَدُكُمَا/ahadukuma//فَیَسْقِیْ/فَيَسۡقِي/fayasqi//رَبَّهٗ/رَبَّهُۥ/rabbahu//خَمْرًا ۚ/خَمۡرٗاۖ/khamran//وَ اَمَّا/وَأَمَّا/wa-amma//الْاٰخَرُ/ٱلۡأٓخَرُ/al-akharu//فَیُصْلَبُ/فَيُصۡلَبُ/fayus'labu//فَتَاْكُلُ/فَتَأۡكُلُ/fatakulu//الطَّیْرُ/ٱلطَّيۡرُ/al-tayru//مِنْ/مِن/min//رَّاْسِهٖ ؕ/رَّأۡسِهِۦۚ/rasihi//قُضِیَ/قُضِيَ/qudiya//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//الَّذِیْ/ٱلَّذِي/alladhi//فِیْهِ/فِيهِ/fihi//تَسْتَفْتِیٰنِؕ/تَسۡتَفۡتِيَانِ/tastaftiyani",
              "words_bangla": "হে সঙ্গী দু'জন//কারাগারের//(ব্যখ্যা হলো) এ প্রসঙ্গে//তোমরা দু'জনের মধ্যে একজনের//সে পান করাবে//তার প্রভুকে//মদ//আর (ব্যাখ্যা) এ প্রসঙ্গে//অন্যজনের//সে শূলবিদ্ধ হবে//এরপর খাবে//পাখি//থেকে//তার মাথা//সিদ্ধান্ত হয়ে গেছে//বিষয়ের//এমন//যা সম্বন্ধে//তোমরা দু'জনে জানতে চেয়েছো\""
            },
            {
              "number": 1638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1638.mp3"
              ],
              "text": "وَقَالَ لِلَّذِى ظَنَّ أَنَّهُۥ نَاجٍۢ مِّنْهُمَا ٱذْكُرْنِى عِندَ رَبِّكَ فَأَنسَىٰهُ ٱلشَّيْطَٰنُ ذِكْرَ رَبِّهِۦ فَلَبِثَ فِى ٱلسِّجْنِ بِضْعَ سِنِينَ",
              "translate_bn": "যে ব্যক্তি সম্পর্কে ধারণা ছিল যে, সে মুক্তি পাবে, তাকে ইউসুফ বলে দিলঃ আপন প্রভুর কাছে আমার আলোচনা করবে। অতঃপর শয়তান তাকে প্রভুর কাছে আলোচনার কথা ভুলিয়ে দিল। ফলে তাঁকে কয়েক বছর কারাগারে থাকতে হল।",
              "numberInSurah": 42,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 197,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা লিল্লাযী জান্না আন্নাহূনা-জিম মিনহুমাযকুরনী ‘ইনদা রাব্বিকা ফাআনছাহুশশাইতা-নুযিকরা রাব্বিহী ফালাবিছা ফিছছিজনি বিদ‘আ ছিনীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//لِلَّذِیْ/لِلَّذِي/lilladhi//ظَنَّ/ظَنَّ/zanna//اَنَّهٗ/أَنَّهُۥ/annahu//نَاجٍ/نَاجٖ/najin//مِّنْهُمَا/مِّنۡهُمَا/min'huma//اذْكُرْنِیْ/ٱذۡكُرۡنِي/udh'kur'ni//عِنْدَ/عِندَ/inda//رَبِّكَ ؗ/رَبِّكَ/rabbika//فَاَنْسٰىهُ/فَأَنسَىٰهُ/fa-ansahu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//ذِكْرَ/ذِكۡرَ/dhik'ra//رَبِّهٖ/رَبِّهِۦ/rabbihi//فَلَبِثَ/فَلَبِثَ/falabitha//فِی/فِي/fi//السِّجْنِ/ٱلسِّجۡنِ/al-sij'ni//بِضْعَ/بِضۡعَ/bid'a//سِنِیْنَؕ۠/سِنِينَ/sinina",
              "words_bangla": "এবং (ইউসুফ) বললো//(তাকে) যার ব্যাপারে//সে ভেবেছিলো//যে সে//মুক্তি পাবে//তাদের দু'জনের মধ্য হ'তে//\"আমার কথা উল্লেখ করবে//কাছে//তোমার প্রভুর\"//অতঃপর তাকে ভুলিয়েছিলো//শয়তান//উল্লেখ করতে//তার প্রভুর কাছে//অতঃপর সে রয়ে গেলো//মধ্যে//কারাগারের//কয়েক//বছর (পর্যন্ত)"
            },
            {
              "number": 1639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1639.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلِكُ إِنِّىٓ أَرَىٰ سَبْعَ بَقَرَٰتٍۢ سِمَانٍۢ يَأْكُلُهُنَّ سَبْعٌ عِجَافٌۭ وَسَبْعَ سُنۢبُلَٰتٍ خُضْرٍۢ وَأُخَرَ يَابِسَٰتٍۢ ۖ يَٰٓأَيُّهَا ٱلْمَلَأُ أَفْتُونِى فِى رُءْيَٰىَ إِن كُنتُمْ لِلرُّءْيَا تَعْبُرُونَ",
              "translate_bn": "বাদশাহ বললঃ আমি স্বপ্নে দেখলাম, সাতটি মোটাতাজা গাভী-এদেরকে সাতটি শীর্ণ গাভী খেয়ে যাচ্ছে এবং সাতটি সবুজ শীষ ও অন্যগুলো শুষ্ক। হে পরিষদবর্গ! তোমরা আমাকে আমার স্বপ্নের ব্যাখ্যা বল, যদি তোমরা স্বপ্নের ব্যাখ্যায় পারদর্শী হয়ে থাক।",
              "numberInSurah": 43,
              "juz": 12,
              "manzil": 3,
              "page": 240,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালিকুইন্নীআরা-ছাব‘আ বাকারা-তিন ছিমা-নিইঁ ইয়া’কুলুহুন্না ছাব‘উন ‘ইজাফুওঁ ওয়া ছাব‘আ ছুমবুলা-তিন খুদরিওঁ ওয়া উখারা ইয়া-বিছা-তিন ইয়াআইয়ুহাল মালাউ আফতূনী ফী রু’ইয়া-ইয়া ইন কুনতুম লিররু’ইয়া-তা‘বুরূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلِكُ/ٱلۡمَلِكُ/al-maliku//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰی/أَرَىٰ/ara//سَبْعَ/سَبۡعَ/sab'a//بَقَرٰتٍ/بَقَرَٰتٖ/baqaratin//سِمَانٍ/سِمَانٖ/simanin//یَّاْكُلُهُنَّ/يَأۡكُلُهُنَّ/yakuluhunna//سَبْعٌ/سَبۡعٌ/sab'un//عِجَافٌ/عِجَافٞ/ijafun//وَّ سَبْعَ/وَسَبۡعَ/wasab'a//سُنْۢبُلٰتٍ/سُنۢبُلَٰتٍ/sunbulatin//خُضْرٍ/خُضۡرٖ/khud'rin//وَّ اُخَرَ/وَأُخَرَ/wa-ukhara//یٰبِسٰتٍ ؕ/يَابِسَٰتٖۖ/yabisatin//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//اَفْتُوْنِیْ/أَفۡتُونِي/aftuni//فِیْ/فِي/fi//رُءْیَایَ/رُءۡيَٰيَ/ru'yaya//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//لِلرُّءْیَا/لِلرُّءۡيَا/lilrru'ya//تَعْبُرُوْنَ /تَعۡبُرُونَ/ta'buruna",
              "words_bangla": "এবং বললো//রাজা//\"নিশ্চয়ই আমি//(স্বপ্নে) দেখেছি//সাতটি//গাভী//মোটাসোটা//খাচ্ছে তাদের//সাতটি//শুঁটকো (গাভী)//এবং সাতটি//শীষ//সবুজ//এবং (অন্য) সাতটি//শুকনো//হে//প্রধানগণ//আমাকে অভিমত দাও//ব্যপারে//আমার স্বপ্নের//যদি//তোমরা হও (এমন যে)//ব্যাপারে আমার স্বপ্নের//তোমরা ব্যাখ্যা করতে পারো\""
            },
            {
              "number": 1640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1640.mp3"
              ],
              "text": "قَالُوٓا۟ أَضْغَٰثُ أَحْلَٰمٍۢ ۖ وَمَا نَحْنُ بِتَأْوِيلِ ٱلْأَحْلَٰمِ بِعَٰلِمِينَ",
              "translate_bn": "তারা বললঃ এটা কল্পনাপ্রসূত স্বপ্ন। এরূপ স্বপ্নের ব্যাখ্যা আমাদের জানা নেই।",
              "numberInSurah": 44,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লূআদগা-ছু আহলা-মিন ওয়ামা নাহনুবিতা’বীলিল আহলা-মি বি‘আ-লিমীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَضْغَاثُ/أَضۡغَٰثُ/adghathu//اَحْلَامٍ ۚ/أَحۡلَٰمٖۖ/ahlamin//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِتَاْوِیْلِ/بِتَأۡوِيلِ/bitawili//الْاَحْلَامِ/ٱلۡأَحۡلَٰمِ/al-ahlami//بِعٰلِمِیْنَ /بِعَٰلِمِينَ/bi'alimina",
              "words_bangla": "তারা বলেছিলো//\"অর্থহীন//স্বপ্ন//এবং নই//আমরা//সম্বন্ধে ব্যাখ্যা//স্বপ্নের//অভিজ্ঞ\""
            },
            {
              "number": 1641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1641.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِى نَجَا مِنْهُمَا وَٱدَّكَرَ بَعْدَ أُمَّةٍ أَنَا۠ أُنَبِّئُكُم بِتَأْوِيلِهِۦ فَأَرْسِلُونِ",
              "translate_bn": "দু’জন কারারুদ্ধের মধ্য থেকে যে ব্যক্তি মুক্তি পেয়েছিল এবং দীর্ঘকাল পর স্মরণ হলে, সে বলল, আমি তোমাদেরকে এর ব্যাখ্যা বলছি। তোমরা আমাকে প্রেরণ কর।",
              "numberInSurah": 45,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনাজা-মিনহুমা-ওয়াদ্দাকারা বা‘দা উম্মাতিন আনা-উনাব্বিউকুম বিতাবীলিহী ফাআরছিলূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْ/ٱلَّذِي/alladhi//نَجَا/نَجَا/naja//مِنْهُمَا/مِنۡهُمَا/min'huma//وَ ادَّكَرَ/وَٱدَّكَرَ/wa-iddakara//بَعْدَ/بَعۡدَ/ba'da//اُمَّةٍ/أُمَّةٍ/ummatin//اَنَا/أَنَا۠/ana//اُنَبِّئُكُمْ/أُنَبِّئُكُم/unabbi-ukum//بِتَاْوِیْلِهٖ/بِتَأۡوِيلِهِۦ/bitawilihi//فَاَرْسِلُوْنِ /فَأَرۡسِلُونِ/fa-arsiluni",
              "words_bangla": "এবং বললো//যে//মুক্তি পেয়েছিলো//তাদের দু'জনের মধ্য হ'তে//এবং স্মরণ হলো (ইউসুফের কথা)//পরে//দীর্ঘকাল//\"(সে বললো) আমি//তোমাদেরকে জানাবো//সম্বন্ধে তার ব্যখ্যা//অতএব আমাকে তোমরা পাঠাও (কারাগারে)"
            },
            {
              "number": 1642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1642.mp3"
              ],
              "text": "يُوسُفُ أَيُّهَا ٱلصِّدِّيقُ أَفْتِنَا فِى سَبْعِ بَقَرَٰتٍۢ سِمَانٍۢ يَأْكُلُهُنَّ سَبْعٌ عِجَافٌۭ وَسَبْعِ سُنۢبُلَٰتٍ خُضْرٍۢ وَأُخَرَ يَابِسَٰتٍۢ لَّعَلِّىٓ أَرْجِعُ إِلَى ٱلنَّاسِ لَعَلَّهُمْ يَعْلَمُونَ",
              "translate_bn": "সে তথায় পৌঁছে বললঃ হে ইউসুফ! হে সত্যবাদী! সাতটি মোটাতাজা গাভী-তাদেরকে খাচ্ছে সাতটি শীর্ণ গাভী এবং সাতটি সবুজ শীর্ষ ও অন্যগুলো শুষ্ক; আপনি আমাদেরকে এ স্বপ্ন সম্পর্কে পথনির্দেশ প্রদান করুনঃ যাতে আমি তাদের কাছে ফিরে গিয়ে তাদের অবগত করাতে পারি।",
              "numberInSurah": 46,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ইঊছুফুআইয়ুহাস সিদ্দীকুআফতিনা-ফী ছাব‘ই বাকারা-তিন ছিমা-নিইঁ ইয়া’কুলুহুন্না ছাব‘উন ‘ইজা-ফুওঁ ওয়া ছাব‘ই ছুমবুলা-তিন খুদরিওঁ ওয়া উখারা ইয়া-বিছা-তিল লা‘আললী আরজি‘উ ইলান্না-ছি লা‘আল্লাহুম ইয়া‘লামূন।",
              "words_arabic": "یُوْسُفُ/يُوسُفُ/yusufu//اَیُّهَا/أَيُّهَا/ayyuha//الصِّدِّیْقُ/ٱلصِّدِّيقُ/al-sidiqu//اَفْتِنَا/أَفۡتِنَا/aftina//فِیْ/فِي/fi//سَبْعِ/سَبۡعِ/sab'i//بَقَرٰتٍ/بَقَرَٰتٖ/baqaratin//سِمَانٍ/سِمَانٖ/simanin//یَّاْكُلُهُنَّ/يَأۡكُلُهُنَّ/yakuluhunna//سَبْعٌ/سَبۡعٌ/sab'un//عِجَافٌ/عِجَافٞ/ijafun//وَّ سَبْعِ/وَسَبۡعِ/wasab'i//سُنْۢبُلٰتٍ/سُنۢبُلَٰتٍ/sunbulatin//خُضْرٍ/خُضۡرٖ/khud'rin//وَّ اُخَرَ/وَأُخَرَ/wa-ukhara//یٰبِسٰتٍ ۙ/يَابِسَٰتٖ/yabisatin//لَّعَلِّیْۤ/لَّعَلِّيٓ/la'alli//اَرْجِعُ/أَرۡجِعُ/arji'u//اِلَی/إِلَى/ila//النَّاسِ/ٱلنَّاسِ/al-nasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "(সেখানে পৌঁছে বললো) ইউসুফ//হে//সত্যবাদী//আমাদের অভিমত দাও//(স্বপ্নের) ব্যাপারে//(এমন যে) সাতটি//গাভী//মোটাসোটা//তাদের খাচ্ছে//সাতটি (গাভী)//শুঁটকো//এবং সাতটি//শীষ//সবুজ সতেজ//এবং অন্য//(সাতটি) শুকনো//আমি যাতে//ফিরে যাই//কাছে//লোকদের//তারা যাতে//জানতে পারে (এর ব্যাখা)\""
            },
            {
              "number": 1643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1643.mp3"
              ],
              "text": "قَالَ تَزْرَعُونَ سَبْعَ سِنِينَ دَأَبًۭا فَمَا حَصَدتُّمْ فَذَرُوهُ فِى سُنۢبُلِهِۦٓ إِلَّا قَلِيلًۭا مِّمَّا تَأْكُلُونَ",
              "translate_bn": "বললঃ তোমরা সাত বছর উত্তম রূপে চাষাবাদ করবে। অতঃপর যা কাটবে, তার মধ্যে যে সামান্য পরিমাণ তোমরা খাবে তা ছাড়া অবশিষ্ট শস্য শীষ সমেত রেখে দেবে।",
              "numberInSurah": 47,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লা তাঝরা‘ঊনা ছাব‘আ ছিনীনা দাআ-বা- ফামা-হাসাততুম ফাযারূহু ফী ছুমবুলিহীইল্লা-কালীলাম মিম্মা-তা’কুলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//تَزْرَعُوْنَ/تَزۡرَعُونَ/tazra'una//سَبْعَ/سَبۡعَ/sab'a//سِنِیْنَ/سِنِينَ/sinina//دَاَبًا ۚ/دَأَبٗا/da-aban//فَمَا/فَمَا/fama//حَصَدْتُّمْ/حَصَدتُّمۡ/hasadttum//فَذَرُوْهُ/فَذَرُوهُ/fadharuhu//فِیْ/فِي/fi//سُنْۢبُلِهٖۤ/سُنۢبُلِهِۦٓ/sunbulihi//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّمَّا/مِّمَّا/mimma//تَاْكُلُوْنَ /تَأۡكُلُونَ/takuluna",
              "words_bangla": "(ইউসুফ) বললো//\"তোমরা চাষ করবে//সাত//বছর//একটানা//অতঃপর যা//তোমরা ফসল কাটবে//তখন তা তোমরা রেখে দিবে//মধ্যে//এর শীষগুলোর//ছাড়া//সামান্য (পরিমাণ)//তা হ'তে যা//তোমরা খাবে"
            },
            {
              "number": 1644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1644.mp3"
              ],
              "text": "ثُمَّ يَأْتِى مِنۢ بَعْدِ ذَٰلِكَ سَبْعٌۭ شِدَادٌۭ يَأْكُلْنَ مَا قَدَّمْتُمْ لَهُنَّ إِلَّا قَلِيلًۭا مِّمَّا تُحْصِنُونَ",
              "translate_bn": "এবং এরপরে আসবে দূর্ভিক্ষের সাত বছর; তোমরা এ দিনের জন্যে যা রেখেছিলে, তা খেয়ে যাবে, কিন্তু অল্প পরিমাণ ব্যতীত, যা তোমরা তুলে রাখবে।",
              "numberInSurah": 48,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইয়া’তী মিম বা‘দি যা-লিকা ছাব‘উন শিদা-দুইঁ ইয়া’কুলনা মা-কাদ্দামতুম লাহুন্না ইল্লাকালীলাম মিম্মা-তুহসিনূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یَاْتِیْ/يَأۡتِي/yati//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//سَبْعٌ/سَبۡعٞ/sab'un//شِدَادٌ/شِدَادٞ/shidadun//یَّاْكُلْنَ/يَأۡكُلۡنَ/yakul'na//مَا/مَا/ma//قَدَّمْتُمْ/قَدَّمۡتُمۡ/qaddamtum//لَهُنَّ/لَهُنَّ/lahunna//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan//مِّمَّا/مِّمَّا/mimma//تُحْصِنُوْنَ /تُحۡصِنُونَ/tuh'sinuna",
              "words_bangla": "এরপর//আসবে//থেকে//পর//এর//সাত (বছর)//কঠিন (দুর্ভিক্ষের)//(যখন) তারা খাবে//যা//তোমরা জমিয়ে রেখেছো//তাদের জন্যে//ছাড়া//সামান্য (পরিমাণ)//তা হ'তে যা//তোমরা বাঁচিয়ে রাখবে"
            },
            {
              "number": 1645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1645.mp3"
              ],
              "text": "ثُمَّ يَأْتِى مِنۢ بَعْدِ ذَٰلِكَ عَامٌۭ فِيهِ يُغَاثُ ٱلنَّاسُ وَفِيهِ يَعْصِرُونَ",
              "translate_bn": "এর পরেই আসবে একবছর-এতে মানুষের উপর বৃষ্টি বর্ষিত হবে এবং এতে তারা রস নিঙড়াবে।",
              "numberInSurah": 49,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 198,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইয়া’তী মিম বা‘দি যা-লিকা ‘আ-মুন ফীহি ইউগা-ছু ন্না-ছুওয়া ফীহি ইয়া‘সিরূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یَاْتِیْ/يَأۡتِي/yati//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//عَامٌ/عَامٞ/amun//فِیْهِ/فِيهِ/fihi//یُغَاثُ/يُغَاثُ/yughathu//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ فِیْهِ/وَفِيهِ/wafihi//یَعْصِرُوْنَ۠/يَعۡصِرُونَ/ya'siruna",
              "words_bangla": "তারপর//আসবে//থেকে//পর//এর//এক বছর//তার মধ্যে//প্রচুর বৃষ্টি হবে//মানুষের জন্যে//এবং তার মধ্যে//তারা ফলের রস নিংড়াবে\""
            },
            {
              "number": 1646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1646.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلِكُ ٱئْتُونِى بِهِۦ ۖ فَلَمَّا جَآءَهُ ٱلرَّسُولُ قَالَ ٱرْجِعْ إِلَىٰ رَبِّكَ فَسْـَٔلْهُ مَا بَالُ ٱلنِّسْوَةِ ٱلَّٰتِى قَطَّعْنَ أَيْدِيَهُنَّ ۚ إِنَّ رَبِّى بِكَيْدِهِنَّ عَلِيمٌۭ",
              "translate_bn": "বাদশাহ বললঃ ফিরে যাও তোমাদের প্রভুর কাছে এবং জিজ্ঞেস কর তাকে ঐ মহিলার স্বরূপ কি, যারা স্বীয় হস্ত কর্তন করেছিল! আমার পালনকর্তা তো তাদের ছলনা সবই জানেন।",
              "numberInSurah": 50,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 199,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালিকু’তূনী বিহী ফালাম্মা-জাআহুর রাছূলুকা-লারজি‘ ইলা-রাব্বিকা ফাছআলহু মা-বা-লুন নিছওয়াতিল্লা-তী কাত্তা‘না আইদিয়াহুন্না ইন্না রাববী বিকাইদিহিন্না ‘আলীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلِكُ/ٱلۡمَلِكُ/al-maliku//ائْتُوْنِیْ/ٱئۡتُونِي/i'tuni//بِهٖ ۚ/بِهِۦۖ/bihi//فَلَمَّا/فَلَمَّا/falamma//جَآءَهُ/جَآءَهُ/jaahu//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//قَالَ/قَالَ/qala//ارْجِعْ/ٱرۡجِعۡ/ir'ji'//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//فَسْـَٔلْهُ/فَسۡـَٔلۡهُ/fasalhu//مَا/مَا/ma//بَالُ/بَالُ/balu//النِّسْوَةِ/ٱلنِّسۡوَةِ/al-nis'wati//الّٰتِیْ/ٱلَّـٰتِي/allati//قَطَّعْنَ/قَطَّعۡنَ/qatta'na//اَیْدِیَهُنَّ ؕ/أَيۡدِيَهُنَّۚ/aydiyahunna//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//بِكَیْدِهِنَّ/بِكَيۡدِهِنَّ/bikaydihinna//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং (এসব শুনে) বললো//রাজা//\"আমার কাছে আসো\"//\"নিয়ে তাকে\"//অতঃপর যখন//তার কাছে আসলো//দূত//(ইউসুফ) বললো//\"তুমি ফিরে যাও//কাছে//তোমার প্রভুর//অতঃপর তাকে জিজ্ঞেস করো//কি (ছিলো)//অবস্থা//মহিলাদের//যারা//কেটে ফেলেছিলো//তাদের হাতগুলো//নিশ্চয়ই//আমার রব//সম্বন্ধে তাদের ছলনা//খুব অবহিত\""
            },
            {
              "number": 1647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1647.mp3"
              ],
              "text": "قَالَ مَا خَطْبُكُنَّ إِذْ رَٰوَدتُّنَّ يُوسُفَ عَن نَّفْسِهِۦ ۚ قُلْنَ حَٰشَ لِلَّهِ مَا عَلِمْنَا عَلَيْهِ مِن سُوٓءٍۢ ۚ قَالَتِ ٱمْرَأَتُ ٱلْعَزِيزِ ٱلْـَٰٔنَ حَصْحَصَ ٱلْحَقُّ أَنَا۠ رَٰوَدتُّهُۥ عَن نَّفْسِهِۦ وَإِنَّهُۥ لَمِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "বাদশাহ মহিলাদেরকে বললেনঃ তোমাদের হাল-হাকিকত কি, যখন তোমরা ইউসুফকে আত্মসংবরণ থেকে ফুসলিয়েছিলে? তারা বললঃ আল্লাহ মহান, আমরা তার সম্পর্কে মন্দ কিছু জানি না। আযীয-পত্মি বললঃ এখন সত্য কথা প্রকাশ হয়ে গেছে। আমিই তাকে আত্মসংবরণ থেকে ফুসলিয়েছিলাম এবং সে সত্যবাদী।",
              "numberInSurah": 51,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 199,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "কা-লা মা-খাতবুকুন্না ইয রা -ওয়াততুন্না ইঊছুফা ‘আন নাফছিহী কুলনা হা-শা লিল্লাহি মা-‘আলিমনা-‘আলাইহি মিন ছূইন কা-লাতিম রাআতুল ‘আঝীঝিলআ-না হাসহাসাল হাক্কু আনা-রা-ওয়াততুহূ‘আন নাফছিহী ওয়া ইন্নাহূলামিনাসসা-দিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//مَا/مَا/ma//خَطْبُكُنَّ/خَطۡبُكُنَّ/khatbukunna//اِذْ/إِذۡ/idh//رَاوَدْتُّنَّ/رَٰوَدتُّنَّ/rawadttunna//یُوْسُفَ/يُوسُفَ/yusufa//عَنْ/عَن/an//نَّفْسِهٖ ؕ/نَّفۡسِهِۦۚ/nafsihi//قُلْنَ/قُلۡنَ/qul'na//حَاشَ/حَٰشَ/hasha//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//عَلِمْنَا/عَلِمۡنَا/alim'na//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِن/min//سُوْٓءٍ ؕ/سُوٓءٖۚ/suin//قَالَتِ/قَالَتِ/qalati//امْرَاَتُ/ٱمۡرَأَتُ/im'ra-atu//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْـٰٔنَ/ٱلۡـَٰٔنَ/al-ana//حَصْحَصَ/حَصۡحَصَ/hashasa//الْحَقُّ ؗ/ٱلۡحَقُّ/al-haqu//اَنَا/أَنَا۠/ana//رَاوَدْتُّهٗ/رَٰوَدتُّهُۥ/rawadttuhu//عَنْ/عَن/an//نَّفْسِهٖ/نَّفۡسِهِۦ/nafsihi//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَمِنَ/لَمِنَ/lamina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "(বাদশাহ) বললো//\"কি (ছিলো)//হয়েছিলো তোমাদের//যখন//তোমরা ফুসলিয়েছিলে//ইউসুফকে//হ'তে//তার নিজের (আত্মসংবরণ)\"//তারা বললো//\"পবিত্রতা//\"জন্যে আল্লাহর//না//আমরা জানি//মধ্যে তার//কোন প্রকার//দোষ\"//বললো//স্ত্রী//আযীযের//\"এখন//প্রকাশ পেলো//সত্য//আমি//তাকে ফুসলিয়েছিলাম//হ'তে//তার নিজের (আত্মসংবরণ)//এবং নিশ্চয়ই সে//অবশ্যই অন্তর্ভুক্ত//সত্যবাদীদের"
            },
            {
              "number": 1648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1648.mp3"
              ],
              "text": "ذَٰلِكَ لِيَعْلَمَ أَنِّى لَمْ أَخُنْهُ بِٱلْغَيْبِ وَأَنَّ ٱللَّهَ لَا يَهْدِى كَيْدَ ٱلْخَآئِنِينَ",
              "translate_bn": "ইউসুফ বললেনঃ এটা এজন্য, যাতে আযীয জেনে নেয় যে, আমি গোপনে তার সাথে বিশ্বাসঘাতকতা করিনি। আরও এই যে, আল্লাহ বিশ্বাসঘাতকদের প্রতারণাকে এগুতে দেন না।",
              "numberInSurah": 52,
              "juz": 12,
              "manzil": 3,
              "page": 241,
              "ruku": 199,
              "hizbQuarter": 96,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা লিইয়া‘লামা আন্নী লাম আখুনহু বিলগাইবি ওয়া আন্নাল্লা-হা লা-ইয়াহদী কাইদাল খাইনীন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//لِیَعْلَمَ/لِيَعۡلَمَ/liya'lama//اَنِّیْ/أَنِّي/anni//لَمْ/لَمۡ/lam//اَخُنْهُ/أَخُنۡهُ/akhun'hu//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِیْ/يَهۡدِي/yahdi//كَیْدَ/كَيۡدَ/kayda//الْخَآىِٕنِیْنَ /ٱلۡخَآئِنِينَ/al-khainina",
              "words_bangla": "এটা (এজন্যে)//যেন সে জানে (আযীয)//যে আমি//নি//তার আমি বিশ্বাসঘাতকতা করি//(তার) অনুপস্থিতিতে//এবং নিশ্চয়ই//আল্লাহ//না//সফল করেন//ষড়যন্ত্র//বিশ্বাসঘাতকদের\""
            },
            {
              "number": 1649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1649.mp3"
              ],
              "text": "۞ وَمَآ أُبَرِّئُ نَفْسِىٓ ۚ إِنَّ ٱلنَّفْسَ لَأَمَّارَةٌۢ بِٱلسُّوٓءِ إِلَّا مَا رَحِمَ رَبِّىٓ ۚ إِنَّ رَبِّى غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "আমি নিজেকে নির্দোষ বলি না। নিশ্চয় মানুষের মন মন্দ কর্মপ্রবণ কিন্তু সে নয়-আমার পালনকর্তা যার প্রতি অনুগ্রহ করেন। নিশ্চয় আমার পালনকর্তা ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 53,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 199,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাউবাররিউ নাফছী ইন্নান্নাফছা লাআম্মা-রাতুম বিছছূই ইল্লা-মা-রাহিমা রাববী ইন্না রাববী গাফূরুর রাহীম।",
              "words_arabic": "وَ مَاۤ/۞وَمَآ/wama//اُبَرِّئُ/أُبَرِّئُ/ubarri-u//نَفْسِیْ ۚ/نَفۡسِيٓۚ/nafsi//اِنَّ/إِنَّ/inna//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//لَاَمَّارَةٌۢ/لَأَمَّارَةُۢ/la-ammaratun//بِالسُّوْٓءِ/بِٱلسُّوٓءِ/bil-sui//اِلَّا/إِلَّا/illa//مَا/مَا/ma//رَحِمَ/رَحِمَ/rahima//رَبِّیْ ؕ/رَبِّيٓۚ/rabbi//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "\"এবং না//নির্দোষ মনে করি//নিজেকে//নিশ্চয়ই//মন (নফস)//অবশ্যই নির্দেশ দিয়েই থাকে//মন্দের দিকে//তবে//যাকে//অনুগ্রহ করেন//আমার রব (সেটা ভিন্ন কথা)//নিশ্চয়ই//আমার রব//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 1650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1650.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلِكُ ٱئْتُونِى بِهِۦٓ أَسْتَخْلِصْهُ لِنَفْسِى ۖ فَلَمَّا كَلَّمَهُۥ قَالَ إِنَّكَ ٱلْيَوْمَ لَدَيْنَا مَكِينٌ أَمِينٌۭ",
              "translate_bn": "বাদশাহ বললঃ তাকে আমার কাছে নিয়ে এসো। আমি তাকে নিজের বিশ্বস্ত সহচর করে রাখব। অতঃপর যখন তার সাথে মতবিনিময় করল, তখন বললঃ নিশ্চয়ই আপনি আমার কাছে আজ থেকে বিশ্বস্ত হিসাবে মর্যাদার স্থান লাভ করেছেন।",
              "numberInSurah": 54,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 199,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালিকু’তূনী বিহীআছতাখলিসহু লিনাফছী ফালাম্মা-কাল্লামাহূকা-লা ইন্নাকাল ইয়াওমা লাদাইনা-মাকীনুন আমীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلِكُ/ٱلۡمَلِكُ/al-maliku//ائْتُوْنِیْ/ٱئۡتُونِي/i'tuni//بِهٖۤ/بِهِۦٓ/bihi//اَسْتَخْلِصْهُ/أَسۡتَخۡلِصۡهُ/astakhlis'hu//لِنَفْسِیْ ۚ/لِنَفۡسِيۖ/linafsi//فَلَمَّا/فَلَمَّا/falamma//كَلَّمَهٗ/كَلَّمَهُۥ/kallamahu//قَالَ/قَالَ/qala//اِنَّكَ/إِنَّكَ/innaka//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//لَدَیْنَا/لَدَيۡنَا/ladayna//مَكِیْنٌ/مَكِينٌ/makinun//اَمِیْنٌ /أَمِينٞ/aminun",
              "words_bangla": "এবং বলল//রাজা//\"আমার কাছে আসো//\"নিয়ে তাকে//তাকে বিশেষভাবে আমি গ্রহণ করবো//আমার নিজের জন্যে\"//অতঃপর যখন//তার সাথে কথা বললো//(রাজা) বললো//\"তুমি নিশ্চয়ই//আজ//আমাদের কাছে//মর্যাদাশালী//বিশ্বস্ত\""
            },
            {
              "number": 1651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1651.mp3"
              ],
              "text": "قَالَ ٱجْعَلْنِى عَلَىٰ خَزَآئِنِ ٱلْأَرْضِ ۖ إِنِّى حَفِيظٌ عَلِيمٌۭ",
              "translate_bn": "ইউসুফ বললঃ আমাকে দেশের ধন-ভান্ডারে নিযুক্ত করুন। আমি বিশ্বস্ত রক্ষক ও অধিক জ্ঞানবান।",
              "numberInSurah": 55,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 199,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লাজ‘আলনী ‘আলা-খাঝাইনিল আরদি ইন্নী হাফীজুন ‘আলীম।",
              "words_arabic": "قَالَ/قَالَ/qala//اجْعَلْنِیْ/ٱجۡعَلۡنِي/ij'alni//عَلٰی/عَلَىٰ/ala//خَزَآىِٕنِ/خَزَآئِنِ/khazaini//الْاَرْضِ ۚ/ٱلۡأَرۡضِۖ/al-ardi//اِنِّیْ/إِنِّي/inni//حَفِیْظٌ/حَفِيظٌ/hafizun//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "সে বললো//\"আমাকে নিযুক্ত করুন//উপর//ধনভান্ডারের (দায়িত্বের)//দেশের//নিশ্চয়ই আমি//বিশ্বস্তরক্ষক//সুবিজ্ঞ\""
            },
            {
              "number": 1652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1652.mp3"
              ],
              "text": "وَكَذَٰلِكَ مَكَّنَّا لِيُوسُفَ فِى ٱلْأَرْضِ يَتَبَوَّأُ مِنْهَا حَيْثُ يَشَآءُ ۚ نُصِيبُ بِرَحْمَتِنَا مَن نَّشَآءُ ۖ وَلَا نُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ",
              "translate_bn": "এমনিভাবে আমি ইউসুফকে সে দেশের বুকে প্রতিষ্ঠা দান করেছি। সে তথায় যেখানে ইচ্ছা স্থান করে নিতে পারত। আমি স্বীয় রহমত যাকে ইচ্ছা পৌছে দেই এবং আমি পূণ্যবানদের প্রতিদান বিনষ্ট করি না।",
              "numberInSurah": 56,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 199,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা মাক্কান্না-লিইঊছুূফা ফিল আরদি ইয়াতাবাওওয়াউ মিনহা-হাইছু ইয়াশাউ নুসীবুবিরাহমাতিনা-মান নাশাউ ওয়ালা-নুদী‘উ আজরাল মুহছিনীন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//مَكَّنَّا/مَكَّنَّا/makkanna//لِیُوْسُفَ/لِيُوسُفَ/liyusufa//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِ/al-ardi//یَتَبَوَّاُ/يَتَبَوَّأُ/yatabawwa-u//مِنْهَا/مِنۡهَا/min'ha//حَیْثُ/حَيۡثُ/haythu//یَشَآءُ ؕ/يَشَآءُۚ/yashau//نُصِیْبُ/نُصِيبُ/nusibu//بِرَحْمَتِنَا/بِرَحۡمَتِنَا/birahmatina//مَنْ/مَن/man//نَّشَآءُ/نَّشَآءُۖ/nashau//وَ لَا/وَلَا/wala//نُضِیْعُ/نُضِيعُ/nudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং এভাবে//আমরা প্রতিষ্ঠিত করি//ইউসুফকে//মধ্যে//(সে) দেশের//সে বসবাস করতো//তার মধ্যে//যেখানে//সে চাইতো//ধন্য করি আমরা//দিয়ে আমাদের দয়া//যাকে//আমরা চাই//এবং না//নষ্ট করি আমরা//কর্মফল//সৎকর্মশীলদের"
            },
            {
              "number": 1653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1653.mp3"
              ],
              "text": "وَلَأَجْرُ ٱلْءَاخِرَةِ خَيْرٌۭ لِّلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ",
              "translate_bn": "এবং ঐ লোকদের জন্য পরকালে প্রতিদান উত্তম যারা ঈমান এনেছে ও সতর্কতা অবলম্বন করে।",
              "numberInSurah": 57,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 199,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাআজরুল আ-খিরাতি খাইরুল লিল্লাযীনা আ-মানূওয়া কা-নূইয়াত্তাকূন।",
              "words_arabic": "وَ لَاَجْرُ/وَلَأَجۡرُ/wala-ajru//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//خَیْرٌ/خَيۡرٞ/khayrun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ كَانُوْا/وَكَانُواْ/wakanu//یَتَّقُوْنَ۠/يَتَّقُونَ/yattaquna",
              "words_bangla": "এবং অবশ্যই পুরস্কার (রয়েছে)//আখিরাতের//উত্তম//(তাদের) জন্য যারা//ঈমান এনেছে//ও তারা//ভয় করে চলতো"
            },
            {
              "number": 1654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1654.mp3"
              ],
              "text": "وَجَآءَ إِخْوَةُ يُوسُفَ فَدَخَلُوا۟ عَلَيْهِ فَعَرَفَهُمْ وَهُمْ لَهُۥ مُنكِرُونَ",
              "translate_bn": "ইউসুফের ভ্রাতারা আগমন করল, অতঃপর তার কাছে উপস্থিত হল। সে তাদেরকে চিনল এবং তারা তাকে চিনল না।",
              "numberInSurah": 58,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়াজাআ ইখওয়াতুইঊছুফা ফাদাখালূ‘আলাইহি ফা‘আরাফাহুম ওয়াহুম লাহূমুনকিরূন।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//اِخْوَةُ/إِخۡوَةُ/ikh'watu//یُوْسُفَ/يُوسُفَ/yusufa//فَدَخَلُوْا/فَدَخَلُواْ/fadakhalu//عَلَیْهِ/عَلَيۡهِ/alayhi//فَعَرَفَهُمْ/فَعَرَفَهُمۡ/fa'arafahum//وَ هُمْ/وَهُمۡ/wahum//لَهٗ/لَهُۥ/lahu//مُنْكِرُوْنَ /مُنكِرُونَ/munkiruna",
              "words_bangla": "এবং আসলো//ভাইয়েরা//ইউসুফের//অতঃপর তারা প্রবেশ করলো//তার কাছে//অতঃপর তাদেরকে সে চিনলো//অথচ তারা (ছিলো)//তার সম্পর্কে//অপরিচিত-অজ্ঞাত"
            },
            {
              "number": 1655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1655.mp3"
              ],
              "text": "وَلَمَّا جَهَّزَهُم بِجَهَازِهِمْ قَالَ ٱئْتُونِى بِأَخٍۢ لَّكُم مِّنْ أَبِيكُمْ ۚ أَلَا تَرَوْنَ أَنِّىٓ أُوفِى ٱلْكَيْلَ وَأَنَا۠ خَيْرُ ٱلْمُنزِلِينَ",
              "translate_bn": "এবং সে যখন তাদেরকে তাদের রসদ প্রস্তুত করে দিল, তখন সে বললঃ তোমাদের বৈমাত্রেয় ভাইকে আমার কাছে নিয়ে এসো। তোমরা কি দেখ না যে, আমি পুরা মাপ দেই এবং মেহমানদেরকে উত্তম সমাদার করি?",
              "numberInSurah": 59,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাহহাঝাহুম বিজাহা-ঝিহিম কা-লা’তূনী বিআখিল্লাকুম মিন আবীকুম আলাতারাওনা আন্নী ঊফিল কাইলা ওয়া আনা-খাইরুল মুনঝিলীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَهَّزَهُمْ/جَهَّزَهُم/jahhazahum//بِجَهَازِهِمْ/بِجَهَازِهِمۡ/bijahazihim//قَالَ/قَالَ/qala//ائْتُوْنِیْ/ٱئۡتُونِي/i'tuni//بِاَخٍ/بِأَخٖ/bi-akhin//لَّكُمْ/لَّكُم/lakum//مِّنْ/مِّنۡ/min//اَبِیْكُمْ ۚ/أَبِيكُمۡۚ/abikum//اَلَا/أَلَا/ala//تَرَوْنَ/تَرَوۡنَ/tarawna//اَنِّیْۤ/أَنِّيٓ/anni//اُوْفِی/أُوفِي/ufi//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//وَ اَنَا/وَأَنَا۠/wa-ana//خَیْرُ/خَيۡرُ/khayru//الْمُنْزِلِیْنَ /ٱلۡمُنزِلِينَ/al-munzilina",
              "words_bangla": "এবং যখন//তাদের প্রস্তুত করলো//দিয়ে তাদের খাদ্যসামগ্রী//সে বললো//\"আমার কাছে আসবে তোমরা//নিয়ে ভাইকে//তোমাদের//দিক থেকে//তোমাদের বাপের (অর্থাৎ বৈমাত্রেয় ভাই)//না কি//তোমরা দেখো//যে আমি//পুরোপুরি দিই//মাপ//এবং আমি//উত্তম//অতিথি সমাদরকারী"
            },
            {
              "number": 1656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1656.mp3"
              ],
              "text": "فَإِن لَّمْ تَأْتُونِى بِهِۦ فَلَا كَيْلَ لَكُمْ عِندِى وَلَا تَقْرَبُونِ",
              "translate_bn": "অতঃপর যদি তাকে আমার কাছে না আন, তবে আমার কাছে তোমাদের কোন বরাদ্ধ নেই এবং তোমরা আমার কাছে আসতে পারবে না।",
              "numberInSurah": 60,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ফাইল্লাম তা’তূনী বিহী ফালা-কাইলা লাকুম ‘ইনদী ওয়ালা তাকরাবূন।\r\n",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَاْتُوْنِیْ/تَأۡتُونِي/tatuni//بِهٖ/بِهِۦ/bihi//فَلَا/فَلَا/fala//كَیْلَ/كَيۡلَ/kayla//لَكُمْ/لَكُمۡ/lakum//عِنْدِیْ/عِندِي/indi//وَ لَا/وَلَا/wala//تَقْرَبُوْنِ /تَقۡرَبُونِ/taqrabuni",
              "words_bangla": "অতঃপর যদি//না//তোমরা আসো আমার কাছে//নিয়ে তাকে//তবে নেই//মাপ (বরাদ্দ)//জন্যে তোমাদের//আমার কাছে//এবং না//তোমরা আমার কাছে আসবে\""
            },
            {
              "number": 1657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1657.mp3"
              ],
              "text": "قَالُوا۟ سَنُرَٰوِدُ عَنْهُ أَبَاهُ وَإِنَّا لَفَٰعِلُونَ",
              "translate_bn": "তারা বললঃ আমরা তার সম্পর্কে তার পিতাকে সম্মত করার চেষ্টা করব এবং আমাদেরকে একাজ করতেই হবে।",
              "numberInSurah": 61,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূছানুরা-ওয়িদু‘আনহু আবা-হু ওয়া ইন্না-লাফা-‘ইলূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سَنُرَاوِدُ/سَنُرَٰوِدُ/sanurawidu//عَنْهُ/عَنۡهُ/anhu//اَبَاهُ/أَبَاهُ/abahu//وَ اِنَّا/وَإِنَّا/wa-inna//لَفٰعِلُوْنَ /لَفَٰعِلُونَ/lafa'iluna",
              "words_bangla": "তারা বললো//\"আমরা শীঘ্রই রাজি করাবো//তার সম্পর্কে//তার পিতাকে//এবং নিশ্চয়ই আমরা//অবশ্যই করবো\""
            },
            {
              "number": 1658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1658.mp3"
              ],
              "text": "وَقَالَ لِفِتْيَٰنِهِ ٱجْعَلُوا۟ بِضَٰعَتَهُمْ فِى رِحَالِهِمْ لَعَلَّهُمْ يَعْرِفُونَهَآ إِذَا ٱنقَلَبُوٓا۟ إِلَىٰٓ أَهْلِهِمْ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "এবং সে ভৃত্যদেরকে বললঃ তাদের পণ্যমূল্য তাদের রসদ-পত্রের মধ্যে রেখে দাও-সম্ভবতঃ তারা গৃহে পৌঁছে তা বুঝতে পারবে, সম্ভবতঃ তারা পুনর্বার আসবে।",
              "numberInSurah": 62,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা লিফিতইয়া-নিহিজ‘আলূ বিদা-‘আতাহুম ফী রিহা-লিহিম লা‘আল্লাহুম ইয়া‘রিফূনাহা ইযানকালাবূ ইলাআহলিহিম লা‘আল্লাহুম ইয়ারজি‘উন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//لِفِتْیٰنِهِ/لِفِتۡيَٰنِهِ/lifit'yanihi//اجْعَلُوْا/ٱجۡعَلُواْ/ij'alu//بِضَاعَتَهُمْ/بِضَٰعَتَهُمۡ/bida'atahum//فِیْ/فِي/fi//رِحَالِهِمْ/رِحَالِهِمۡ/rihalihim//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَعْرِفُوْنَهَاۤ/يَعۡرِفُونَهَآ/ya'rifunaha//اِذَا/إِذَا/idha//انْقَلَبُوْۤا/ٱنقَلَبُوٓاْ/inqalabu//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهِمْ/أَهۡلِهِمۡ/ahlihim//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং (ইউসুফ) বললো//তার চাকরদেরকে//\"তোমরা রেখে দাও//তাদের পণ্য (দাম)//মধ্যে//তাদের মালপত্রের//তারা যাতে//তা জানতে পারে//যখন//তারা ফিরবে//কাছে//তার পরিবারের//তারা সম্ভবত//ফিরে আসবে (আবার)\""
            },
            {
              "number": 1659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1659.mp3"
              ],
              "text": "فَلَمَّا رَجَعُوٓا۟ إِلَىٰٓ أَبِيهِمْ قَالُوا۟ يَٰٓأَبَانَا مُنِعَ مِنَّا ٱلْكَيْلُ فَأَرْسِلْ مَعَنَآ أَخَانَا نَكْتَلْ وَإِنَّا لَهُۥ لَحَٰفِظُونَ",
              "translate_bn": "তারা যখন তাদের পিতার কাছে ফিরে এল তখন বললঃ হে আমাদের পিতা, আমাদের জন্যে খাদ্য শস্যের বরাদ্দ নিষিদ্ধ করা হয়েছে। অতএব আপনি আমাদের ভাইকে আমাদের সাথে প্রেরণ করুন; যাতে আমরা খাদ্য শস্যের বরাদ্দ আনতে পারি এবং আমরা অবশ্যই তার পুরোপুরি হেফাযত করব।",
              "numberInSurah": 63,
              "juz": 13,
              "manzil": 3,
              "page": 242,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাজা‘ঊইলাআবীহিম কা-লূইয়াআবা-না-মুনি‘আ মিন্নাল কাইলুফাআরছিল মা‘আনাআখা-না-নাকতাল ওয়া ইন্না-লাহূলাহা-ফিজূ ন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَجَعُوْۤا/رَجَعُوٓاْ/raja'u//اِلٰۤی/إِلَىٰٓ/ila//اَبِیْهِمْ/أَبِيهِمۡ/abihim//قَالُوْا/قَالُواْ/qalu//یٰۤاَبَانَا/يَـٰٓأَبَانَا/yaabana//مُنِعَ/مُنِعَ/muni'a//مِنَّا/مِنَّا/minna//الْكَیْلُ/ٱلۡكَيۡلُ/al-kaylu//فَاَرْسِلْ/فَأَرۡسِلۡ/fa-arsil//مَعَنَاۤ/مَعَنَآ/ma'ana//اَخَانَا/أَخَانَا/akhana//نَكْتَلْ/نَكۡتَلۡ/naktal//وَ اِنَّا/وَإِنَّا/wa-inna//لَهٗ/لَهُۥ/lahu//لَحٰفِظُوْنَ /لَحَٰفِظُونَ/lahafizuna",
              "words_bangla": "অতঃপর যখন//তারা ফিরে গেলো//কাছে//তার পিতার//তারা বললো//\"হে আমাদের পিতা//বন্ধ করা হয়েছে//আমাদের থেকে//মাপ (অর্থাৎ বরাদ্দ)//অতএব পাঠান//আমাদের সাথে//আমাদের ভাইকে (যেন)//বরাদ্দ পাই (পূর্ণ)//এবং নিশ্চয়ই আমরা//তার জন্যে//অবশ্যই (হবো) রক্ষাকারী\""
            },
            {
              "number": 1660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1660.mp3"
              ],
              "text": "قَالَ هَلْ ءَامَنُكُمْ عَلَيْهِ إِلَّا كَمَآ أَمِنتُكُمْ عَلَىٰٓ أَخِيهِ مِن قَبْلُ ۖ فَٱللَّهُ خَيْرٌ حَٰفِظًۭا ۖ وَهُوَ أَرْحَمُ ٱلرَّٰحِمِينَ",
              "translate_bn": "বললেন, আমি তার সম্পর্কে তোমাদেরকে কি সেরূপ বিশ্বাস করব, যেমন ইতিপূর্বে তার ভাই সম্পর্কে বিশ্বাস করেছিলাম? অতএব আল্লাহ উত্তম হেফাযতকারী এবং তিনিই সর্বাধিক দয়ালু।",
              "numberInSurah": 64,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লা হাল আ-মানুকুম ‘আলাইহি ইল্লা-কামাআমিনতুকুম ‘আলাআখীহি মিন কাবলু ফাল্লা-হু খাইরুন হা-ফিজাওঁ ওয়াহুওয়া আরহামুর রা-হিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//هَلْ/هَلۡ/hal//اٰمَنُكُمْ/ءَامَنُكُمۡ/amanukum//عَلَیْهِ/عَلَيۡهِ/alayhi//اِلَّا/إِلَّا/illa//كَمَاۤ/كَمَآ/kama//اَمِنْتُكُمْ/أَمِنتُكُمۡ/amintukum//عَلٰۤی/عَلَىٰٓ/ala//اَخِیْهِ/أَخِيهِ/akhihi//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُ/qablu//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//خَیْرٌ/خَيۡرٌ/khayrun//حٰفِظًا ۪/حَٰفِظٗاۖ/hafizan//وَّ هُوَ/وَهُوَ/wahuwa//اَرْحَمُ/أَرۡحَمُ/arhamu//الرّٰحِمِیْنَ /ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "সে বললো//\"কি//তোমাদের আমি বিশ্বাস করবো//তার ব্যাপারে//এ ছাড়া//যেমন//আমি বিশ্বাস করেছিলাম তোমাদেরকে//ব্যাপারে//তার ভাইয়ের//থেকে//পূর্ব//তবে আল্লাহই//উত্তম//রক্ষণাবেক্ষণকারী//এবং তিনিই//শ্রেষ্ঠ দয়ালু//দয়াশীলদের (মধ্যে)\""
            },
            {
              "number": 1661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1661.mp3"
              ],
              "text": "وَلَمَّا فَتَحُوا۟ مَتَٰعَهُمْ وَجَدُوا۟ بِضَٰعَتَهُمْ رُدَّتْ إِلَيْهِمْ ۖ قَالُوا۟ يَٰٓأَبَانَا مَا نَبْغِى ۖ هَٰذِهِۦ بِضَٰعَتُنَا رُدَّتْ إِلَيْنَا ۖ وَنَمِيرُ أَهْلَنَا وَنَحْفَظُ أَخَانَا وَنَزْدَادُ كَيْلَ بَعِيرٍۢ ۖ ذَٰلِكَ كَيْلٌۭ يَسِيرٌۭ",
              "translate_bn": "এবং যখন তারা আসবাবপত্র খুলল, তখন দেখতে পেল যে, তাদেরকে তাদের পন্যমুল্য ফেরত দেয়া হয়েছে। তারা বললঃ হে আমাদের পিতা, আমরা আর কি চাইতে পারি। এই আমাদের প্রদত্ত পন্যমূল্য, আমাদেরকে ফেরত দেয়া হয়েছে। এখন আমরা আবার আমাদের পরিবারবর্গের জন্যে রসদ আনব এবং আমাদের ভাইয়ের দেখাশোনা করব এবং এক এক উটের বরাদ্দ খাদ্যশস্য আমরা অতিরিক্ত আনব। ঐ বরাদ্দ সহজ।",
              "numberInSurah": 65,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ফাতাহূমাতা-‘আহুম ওয়াজাদূবিদা-‘আতাহুম রুদ্দাত ইলাইহিম কা-লূ ইয়াআবা-না-মা-নাবগী হা-যিহী বিদা-‘আতুনা-রুদ্দাত ইলাইনা- ওয়া নামীরু আহলানা-ওয়া নাহফাজুআখা-না-ওয়া নাঝদা-দুকাইলা বা‘ঈরিন যা-লিকা কাইলুইঁ ইয়াছীর।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//فَتَحُوْا/فَتَحُواْ/fatahu//مَتَاعَهُمْ/مَتَٰعَهُمۡ/mata'ahum//وَجَدُوْا/وَجَدُواْ/wajadu//بِضَاعَتَهُمْ/بِضَٰعَتَهُمۡ/bida'atahum//رُدَّتْ/رُدَّتۡ/ruddat//اِلَیْهِمْ ؕ/إِلَيۡهِمۡۖ/ilayhim//قَالُوْا/قَالُواْ/qalu//یٰۤاَبَانَا/يَـٰٓأَبَانَا/yaabana//مَا/مَا/ma//نَبْغِیْ ؕ/نَبۡغِيۖ/nabghi//هٰذِهٖ/هَٰذِهِۦ/hadhihi//بِضَاعَتُنَا/بِضَٰعَتُنَا/bida'atuna//رُدَّتْ/رُدَّتۡ/ruddat//اِلَیْنَا ۚ/إِلَيۡنَاۖ/ilayna//وَ نَمِیْرُ/وَنَمِيرُ/wanamiru//اَهْلَنَا/أَهۡلَنَا/ahlana//وَ نَحْفَظُ/وَنَحۡفَظُ/wanahfazu//اَخَانَا/أَخَانَا/akhana//وَ نَزْدَادُ/وَنَزۡدَادُ/wanazdadu//كَیْلَ/كَيۡلَ/kayla//بَعِیْرٍ ؕ/بَعِيرٖۖ/ba'irin//ذٰلِكَ/ذَٰلِكَ/dhalika//كَیْلٌ/كَيۡلٞ/kaylun//یَّسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "এবং যখন//তারা খুললো//তাদের মালপত্র//তারা পেলো//তাদের পণ্যমূল্য//ফেরত দেয়া হয়েছে//তাদের প্রতি//তারা বললো//\"হে আমাদের পিতা//কি//আশা করি আমরা//এই যে//আমাদের পণ্যমূল্য//ফেরত দেয়া হয়েছে//আমাদের প্রতি//এবং আমরা খাদ্য এনে দিবো//আমাদের পরিবারকে//আমরা দেখাশুনা করবো//আমাদের ভাইকে//ও অতিরিক্ত আনবো আমরা//পরিমাণ (বরাদ্দ)//এক উটবোঝাই//ঐ//পরিমাপ//সহজ\""
            },
            {
              "number": 1662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1662.mp3"
              ],
              "text": "قَالَ لَنْ أُرْسِلَهُۥ مَعَكُمْ حَتَّىٰ تُؤْتُونِ مَوْثِقًۭا مِّنَ ٱللَّهِ لَتَأْتُنَّنِى بِهِۦٓ إِلَّآ أَن يُحَاطَ بِكُمْ ۖ فَلَمَّآ ءَاتَوْهُ مَوْثِقَهُمْ قَالَ ٱللَّهُ عَلَىٰ مَا نَقُولُ وَكِيلٌۭ",
              "translate_bn": "বললেন, তাকে ততক্ষণ তোমাদের সাথে পাঠাব না, যতক্ষণ তোমরা আমাকে আল্লাহর নামে অঙ্গীকার না দাও যে, তাকে অবশ্যই আমার কাছে পৌঁছে দেবে; কিন্তু যদি তোমরা সবাই একান্তই অসহায় না হয়ে যাও। অতঃপর যখন সবাই তাঁকে অঙ্গীকার দিল, তখন তিনি বললেনঃ আমাদের মধ্যে যা কথাবার্তা হলো সে ব্যাপারে আল্লাহই মধ্যস্থ রইলেন।",
              "numberInSurah": 66,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লা লান উরছিলাহূমা‘আকুম হাত্তা-তু’তূনি মাওছিকাম মিনাল্লা-হি লাতা’তুন্নানী বিহী ইল্লা আইঁ ইউহা-তা বিকুম ফালাম্মা আ-তাওহু মাওছিকাহুম কা-লাল্লা-হু ‘আলামা-নাকূলুওয়াকীল।",
              "words_arabic": "قَالَ/قَالَ/qala//لَنْ/لَنۡ/lan//اُرْسِلَهٗ/أُرۡسِلَهُۥ/ur'silahu//مَعَكُمْ/مَعَكُمۡ/ma'akum//حَتّٰی/حَتَّىٰ/hatta//تُؤْتُوْنِ/تُؤۡتُونِ/tu'tuni//مَوْثِقًا/مَوۡثِقٗا/mawthiqan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//لَتَاْتُنَّنِیْ/لَتَأۡتُنَّنِي/latatunnani//بِهٖۤ/بِهِۦٓ/bihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّحَاطَ/يُحَاطَ/yuhata//بِكُمْ ۚ/بِكُمۡۖ/bikum//فَلَمَّاۤ/فَلَمَّآ/falamma//اٰتَوْهُ/ءَاتَوۡهُ/atawhu//مَوْثِقَهُمْ/مَوۡثِقَهُمۡ/mawthiqahum//قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//نَقُوْلُ/نَقُولُ/naqulu//وَكِیْلٌ /وَكِيلٞ/wakilun",
              "words_bangla": "সে বললো//\"কখনও না//তাকে আমি পাঠাবো//তোমাদের সাথে//যতক্ষণ না//তোমরা দিবে আমাকে//প্রতিশ্রুতি//নামে//আল্লাহ্‌র//অবশ্যই আমার কাছে আসবে তোমরা//নিয়ে তাকে//তবে//যদি//পরিবেষ্টিত করা হয় (সেটা ভিন্ন কথা)\"//তোমাদেরকে\"//অতঃপর যখন//তাকে দিলো//তাদের প্রতিশ্রুতি//(ইয়াকুব) বললো//\"আল্লাহর//উপর (ভরসা)//যা//আমরা বলছি//তিনিই কর্মবিধায়ক\""
            },
            {
              "number": 1663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1663.mp3"
              ],
              "text": "وَقَالَ يَٰبَنِىَّ لَا تَدْخُلُوا۟ مِنۢ بَابٍۢ وَٰحِدٍۢ وَٱدْخُلُوا۟ مِنْ أَبْوَٰبٍۢ مُّتَفَرِّقَةٍۢ ۖ وَمَآ أُغْنِى عَنكُم مِّنَ ٱللَّهِ مِن شَىْءٍ ۖ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۖ عَلَيْهِ تَوَكَّلْتُ ۖ وَعَلَيْهِ فَلْيَتَوَكَّلِ ٱلْمُتَوَكِّلُونَ",
              "translate_bn": "ইয়াকুব বললেনঃ হে আমার বৎসগণ! সবাই একই প্রবেশদ্বার দিয়ে যেয়ো না, বরং পৃথক পৃথক দরজা দিয়ে প্রবেশ করো। আল্লাহর কোন বিধান থেকে আমি তোমাদেরকে রক্ষা করতে পারি না। নির্দেশ আল্লাহরই চলে। তাঁরই উপর আমি ভরসা করি এবং তাঁরই উপর ভরসা করা উচিত ভরসাকারীদের।",
              "numberInSurah": 67,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ইয়া-বানিইইয়া লা-তাদখুলূমিম বা-বিওঁ ওয়া-হিদিওঁ ওয়াদখুলূমিন আবওয়াবিম মুতাফাররিকাতিওঁ ওয়ামাউগনী ‘আনকুম মিনাল্লা-হি মিন শাইইন ইনিল হুকমু ইল্লা-লিল্লা-হি ‘আলাইহি তাওয়াক্কালতু ওয়া ‘আলাইহি ফালইয়াতাওয়াক্কালিল মুতাওয়াক্কিলূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//یٰبَنِیَّ/يَٰبَنِيَّ/yabaniyya//لَا/لَا/la//تَدْخُلُوْا/تَدۡخُلُواْ/tadkhulu//مِنْۢ/مِنۢ/min//بَابٍ/بَابٖ/babin//وَّاحِدٍ/وَٰحِدٖ/wahidin//وَّ ادْخُلُوْا/وَٱدۡخُلُواْ/wa-ud'khulu//مِنْ/مِنۡ/min//اَبْوَابٍ/أَبۡوَٰبٖ/abwabin//مُّتَفَرِّقَةٍ ؕ/مُّتَفَرِّقَةٖۖ/mutafarriqatin//وَ مَاۤ/وَمَآ/wama//اُغْنِیْ/أُغۡنِي/ugh'ni//عَنْكُمْ/عَنكُم/ankum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٍۖ/shayin//اِنِ/إِنِ/ini//الْحُكْمُ/ٱلۡحُكۡمُ/al-huk'mu//اِلَّا/إِلَّا/illa//لِلّٰهِ ؕ/لِلَّهِۖ/lillahi//عَلَیْهِ/عَلَيۡهِ/alayhi//تَوَكَّلْتُ ۚ/تَوَكَّلۡتُۖ/tawakkaltu//وَ عَلَیْهِ/وَعَلَيۡهِ/wa'alayhi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُتَوَكِّلُوْنَ /ٱلۡمُتَوَكِّلُونَ/al-mutawakiluna",
              "words_bangla": "এবং সে বললো//\"হে আমার ছেলেরা//না//তোমরা প্রবেশ করো//দিয়ে//দরজা//একটা//বরং তোমরা প্রবেশ করো//দিয়ে//দরজা//ভিন্ন ভিন্ন//এবং না//আমি কাজে আসবো//তোমাদের জন্যে//থেকে//আল্লাহ//কোন//কিছুই//নেই//বিধান দেয়ার অধিকার//ছাড়া//আল্লাহ//তাঁরই উপর//আমি নির্ভর করছি//এবং তাঁরই উপর//নির্ভর করা উচিত//ভরসাকারীদের\""
            },
            {
              "number": 1664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1664.mp3"
              ],
              "text": "وَلَمَّا دَخَلُوا۟ مِنْ حَيْثُ أَمَرَهُمْ أَبُوهُم مَّا كَانَ يُغْنِى عَنْهُم مِّنَ ٱللَّهِ مِن شَىْءٍ إِلَّا حَاجَةًۭ فِى نَفْسِ يَعْقُوبَ قَضَىٰهَا ۚ وَإِنَّهُۥ لَذُو عِلْمٍۢ لِّمَا عَلَّمْنَٰهُ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "তারা যখন পিতার কথামত প্রবেশ করল, তখন আল্লাহর বিধানের বিরুদ্ধে তা তাদের বাঁচাতে পারল না। কিন্তু ইয়াকুবের সিদ্ধান্তে তাঁর মনের একটি বাসনা ছিল, যা তিনি পূর্ণ করেছেন। এবং তিনি তো আমার শেখানো বিষয় অবগত ছিলেন। কিন্তু অনেক মানুষ অবগত নয়।",
              "numberInSurah": 68,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 200,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-দাখালূমিন হাইছুআমারাহুম আবূহুম মা-কা-না ইউগনী ‘আনহুম মিনাল্লাহি মিন শাইঁইন ইল্লা-হা-জাতান ফী নাফছি ইয়া‘কুবা কাদা-হা- ওয়া ইন্নাহূ লাযূ‘ইলমিল লিমা-‘আল্লামনা-হু ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//دَخَلُوْا/دَخَلُواْ/dakhalu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//اَمَرَهُمْ/أَمَرَهُمۡ/amarahum//اَبُوْهُمْ ؕ/أَبُوهُم/abuhum//مَا/مَّا/ma//كَانَ/كَانَ/kana//یُغْنِیْ/يُغۡنِي/yugh'ni//عَنْهُمْ/عَنۡهُم/anhum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٍ/shayin//اِلَّا/إِلَّا/illa//حَاجَةً/حَاجَةٗ/hajatan//فِیْ/فِي/fi//نَفْسِ/نَفۡسِ/nafsi//یَعْقُوْبَ/يَعۡقُوبَ/ya'quba//قَضٰىهَا ؕ/قَضَىٰهَاۚ/qadaha//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَذُوْ/لَذُو/ladhu//عِلْمٍ/عِلۡمٖ/il'min//لِّمَا/لِّمَا/lima//عَلَّمْنٰهُ/عَلَّمۡنَٰهُ/allamnahu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যখন//তারা প্রবেশ করলো//দিয়ে//যেখান//তাদের নির্দেশ দিয়েছিল//তাদের পিতা//না//(হল)//কাজে আসল//তাদের জন্যে//হ'তে//আল্লাহ্‌//কোন//কিছুই//ছাড়া যে//অভিপ্রায় (ছিলো)//মধ্যে//মনের//ইয়াকুবের//যা সে পূর্ণ করেছিলো//এবং সে নিশ্চয়ই//অবশ্যই সম্পন্ন//জ্ঞান (ছিলো)//ঐ বিষয়ে যা//তাকে আমরা শিখিয়েছিলাম//কিন্তু//অধিকাংশ//মানুষ//না//তারা জ্ঞান রাখে"
            },
            {
              "number": 1665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1665.mp3"
              ],
              "text": "وَلَمَّا دَخَلُوا۟ عَلَىٰ يُوسُفَ ءَاوَىٰٓ إِلَيْهِ أَخَاهُ ۖ قَالَ إِنِّىٓ أَنَا۠ أَخُوكَ فَلَا تَبْتَئِسْ بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যখন তারা ইউসুফের কাছে উপস্থিত হল, তখন সে আপন ভ্রাতাকে নিজের কাছে রাখল। বললঃ নিশ্চই আমি তোমার সহোদর। অতএব তাদের কৃতকর্মের জন্যে দুঃখ করো না।",
              "numberInSurah": 69,
              "juz": 13,
              "manzil": 3,
              "page": 243,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-দাখালূ‘আলা-ইঊছুফা আ-ওয়াইলাইহি আখা-হূকা-লা ইন্নীআনা আখূকা ফালা-তাবতাইছ বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلٰی/عَلَىٰ/ala//یُوْسُفَ/يُوسُفَ/yusufa//اٰوٰۤی/ءَاوَىٰٓ/awa//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَخَاهُ/أَخَاهُۖ/akhahu//قَالَ/قَالَ/qala//اِنِّیْۤ/إِنِّيٓ/inni//اَنَا/أَنَا۠/ana//اَخُوْكَ/أَخُوكَ/akhuka//فَلَا/فَلَا/fala//تَبْتَىِٕسْ/تَبۡتَئِسۡ/tabta-is//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং যখন//তারা প্রবেশ করলো//কাছে//ইউসুফের//সে আশ্রয় দিলো//তার কাছে//তার ভাইকে//সে বললো//\"আমি নিশ্চয়ই//আমি//তোমার ভাই (ইউসুফ)//সুতরাং না//দুঃখ করো//ঐ সম্বন্ধে যা//তারা ছিলো//তারা কাজ করতে\""
            },
            {
              "number": 1666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1666.mp3"
              ],
              "text": "فَلَمَّا جَهَّزَهُم بِجَهَازِهِمْ جَعَلَ ٱلسِّقَايَةَ فِى رَحْلِ أَخِيهِ ثُمَّ أَذَّنَ مُؤَذِّنٌ أَيَّتُهَا ٱلْعِيرُ إِنَّكُمْ لَسَٰرِقُونَ",
              "translate_bn": "অতঃপর যখন ইউসুফ তাদের রসদপত্র প্রস্তুত করে দিল, তখন পানপাত্র আপন ভাইয়ের রসদের মধ্যে রেখে দিল। অতঃপর একজন ঘোষক ডেকে বললঃ হে কাফেলার লোকজন, তোমরা অবশ্যই চোর।",
              "numberInSurah": 70,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- জাহহাঝাহুম বিজাহা-ঝিহিম জা‘আলাছছিকা-য়াতা ফী রাহলি আখীহি ছু ম্মা আযযানা মুআযযিনুন আইয়াতুহাল ‘ঈরু ইন্নাকুম লাছা-রিকূ ন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَهَّزَهُمْ/جَهَّزَهُم/jahhazahum//بِجَهَازِهِمْ/بِجَهَازِهِمۡ/bijahazihim//جَعَلَ/جَعَلَ/ja'ala//السِّقَایَةَ/ٱلسِّقَايَةَ/al-siqayata//فِیْ/فِي/fi//رَحْلِ/رَحۡلِ/rahli//اَخِیْهِ/أَخِيهِ/akhihi//ثُمَّ/ثُمَّ/thumma//اَذَّنَ/أَذَّنَ/adhana//مُؤَذِّنٌ/مُؤَذِّنٌ/mu-adhinun//اَیَّتُهَا/أَيَّتُهَا/ayyatuha//الْعِیْرُ/ٱلۡعِيرُ/al-'iru//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَسٰرِقُوْنَ /لَسَٰرِقُونَ/lasariquna",
              "words_bangla": "অতঃপর যখন//তাদেরকে সে প্রস্তুত করলো//সহ তাদের খাদ্য সামগ্রী//সে রেখে দিলো//(নিজের) পানপাত্র//মধ্যে//মালপত্রের//তার ভাইয়ের//এরপর//ঘোষণা দিলো//এক ঘোষক//\"হে//যাত্রীদল//নিশ্চয়ই তোমরা//অবশ্যই চোর\""
            },
            {
              "number": 1667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1667.mp3"
              ],
              "text": "قَالُوا۟ وَأَقْبَلُوا۟ عَلَيْهِم مَّاذَا تَفْقِدُونَ",
              "translate_bn": "তারা ওদের দিকে মুখ করে বললঃ তোমাদের কি হারিয়েছে?",
              "numberInSurah": 71,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূওয়া আকবালূ‘আলাইহিম মা-যা-তাফকিদূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//وَ اَقْبَلُوْا/وَأَقۡبَلُواْ/wa-aqbalu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّا ذَا/مَّاذَا/madha//تَفْقِدُوْنَ /تَفۡقِدُونَ/tafqiduna",
              "words_bangla": "তারা বললো//এবং এগিয়ে এলো//দিকে তাদের//\"কি//তোমরা হারিয়েছো\""
            },
            {
              "number": 1668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1668.mp3"
              ],
              "text": "قَالُوا۟ نَفْقِدُ صُوَاعَ ٱلْمَلِكِ وَلِمَن جَآءَ بِهِۦ حِمْلُ بَعِيرٍۢ وَأَنَا۠ بِهِۦ زَعِيمٌۭ",
              "translate_bn": "তারা বললঃ আমরা বাদশাহর পানপাত্র হারিয়েছি এবং যে কেউ এটা এনে দেবে সে এক উটের বোঝা পরিমাণ মাল পাবে এবং আমি এর যামিন।",
              "numberInSurah": 72,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূনাফকিদুসুওয়া-‘আল মালিকি ওয়া লিমান জাআ বিহী হিমলুবা‘ঈরিওঁ ওয়া আনা বিহী ঝা‘ঈম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//نَفْقِدُ/نَفۡقِدُ/nafqidu//صُوَاعَ/صُوَاعَ/suwa'a//الْمَلِكِ/ٱلۡمَلِكِ/al-maliki//وَ لِمَنْ/وَلِمَن/waliman//جَآءَ/جَآءَ/jaa//بِهٖ/بِهِۦ/bihi//حِمْلُ/حِمۡلُ/him'lu//بَعِیْرٍ/بَعِيرٖ/ba'irin//وَّ اَنَا/وَأَنَا۠/wa-ana//بِهٖ/بِهِۦ/bihi//زَعِیْمٌ /زَعِيمٞ/za'imun",
              "words_bangla": "তারা বললো//\"আমরা হারিয়েছি//পানপাত্র//রাজার//এবং যে কেউ//আসবে//নিয়ে তা (সে খাদ্য পাবে)//বোঝা পরিমাণ//এক উটের//এবং আমি//এ সম্বন্ধে//মুখপাত্র\""
            },
            {
              "number": 1669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1669.mp3"
              ],
              "text": "قَالُوا۟ تَٱللَّهِ لَقَدْ عَلِمْتُم مَّا جِئْنَا لِنُفْسِدَ فِى ٱلْأَرْضِ وَمَا كُنَّا سَٰرِقِينَ",
              "translate_bn": "তারা বললঃ আল্লাহর কসম, তোমরা তো জান, আমরা অনর্থ ঘটাতে এদেশে আসিনি এবং আমরা কখনও চোর ছিলাম না।",
              "numberInSurah": 73,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাল্লা-হি লাকাদ ‘আলিমতুমমা-জি’না-লিনুফছিদা ফিল আরদিওয়ামা-কুন্না-ছা রিকীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//لَقَدْ/لَقَدۡ/laqad//عَلِمْتُمْ/عَلِمۡتُم/alim'tum//مَّا/مَّا/ma//جِئْنَا/جِئۡنَا/ji'na//لِنُفْسِدَ/لِنُفۡسِدَ/linuf'sida//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//سٰرِقِیْنَ /سَٰرِقِينَ/sariqina",
              "words_bangla": "তারা বললো//\"শপথ আল্লাহর//নিশ্চয়ই//তোমরা জেনেছো (যে)//না//আমরা এসেছি//জন্যে আমরা খারাপ কাজ করার//মধ্যে//এ দেশের//এবং নই//আমরা//চোর\""
            },
            {
              "number": 1670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1670.mp3"
              ],
              "text": "قَالُوا۟ فَمَا جَزَٰٓؤُهُۥٓ إِن كُنتُمْ كَٰذِبِينَ",
              "translate_bn": "তারা বললঃ যদি তোমরা মিথ্যাবাদী হও, তবে যে, চুরি করেছে তার কি শাস্তি?",
              "numberInSurah": 74,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূফামা-জাঝাউহূ ইন কুনতুম কা-যিবীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//فَمَا/فَمَا/fama//جَزَآؤُهٗۤ/جَزَـٰٓؤُهُۥٓ/jazauhu//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//كٰذِبِیْنَ /كَٰذِبِينَ/kadhibina",
              "words_bangla": "তারা বললো//\"তবে কি//তার শাস্তি//যদি//তোমরা হও//মিথ্যাবাদী\""
            },
            {
              "number": 1671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1671.mp3"
              ],
              "text": "قَالُوا۟ جَزَٰٓؤُهُۥ مَن وُجِدَ فِى رَحْلِهِۦ فَهُوَ جَزَٰٓؤُهُۥ ۚ كَذَٰلِكَ نَجْزِى ٱلظَّٰلِمِينَ",
              "translate_bn": "তারা বললঃ এর শাস্তি এই যে, যার রসদপত্র থেকে তা পাওয়া যাবে, এর প্রতিদানে সে দাসত্বে যাবে। আমরা যালেমদেরকে এভাবেই শাস্তি দেই।",
              "numberInSurah": 75,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "কা-লূজাঝাউহূমাওঁউজিদা ফী রাহলিহী ফাহুওয়া জাঝাউহূ কাযা-লিকা নাজঝিজ্জা-লিমীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//جَزَآؤُهٗ/جَزَـٰٓؤُهُۥ/jazauhu//مَنْ/مَن/man//وُّجِدَ/وُجِدَ/wujida//فِیْ/فِي/fi//رَحْلِهٖ/رَحۡلِهِۦ/rahlihi//فَهُوَ/فَهُوَ/fahuwa//جَزَآؤُهٗ ؕ/جَزَـٰٓؤُهُۥۚ/jazauhu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "তারা বললো//\"তার শাস্তি//যার//পাওয়া যাবে//মধ্যে//তার মালপত্রের//অতঃপর সেই//তার বিনিময় হবে//এভাবে//প্রতিদান দিই আমরা//সীমালঙ্ঘনকারীদেরকে\""
            },
            {
              "number": 1672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1672.mp3"
              ],
              "text": "فَبَدَأَ بِأَوْعِيَتِهِمْ قَبْلَ وِعَآءِ أَخِيهِ ثُمَّ ٱسْتَخْرَجَهَا مِن وِعَآءِ أَخِيهِ ۚ كَذَٰلِكَ كِدْنَا لِيُوسُفَ ۖ مَا كَانَ لِيَأْخُذَ أَخَاهُ فِى دِينِ ٱلْمَلِكِ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ نَرْفَعُ دَرَجَٰتٍۢ مَّن نَّشَآءُ ۗ وَفَوْقَ كُلِّ ذِى عِلْمٍ عَلِيمٌۭ",
              "translate_bn": "অতঃপর ইউসুফ আপন ভাইদের থলের পূর্বে তাদের থলে তল্লাশী শুরু করলেন। অবশেষে সেই পাত্র আপন ভাইয়ের থলের মধ্য থেকে বের করলেন। এমনিভাবে আমি ইউসুফকে কৌশল শিক্ষা দিয়েছিলাম। সে বাদশাহর আইনে আপন ভাইকে কখনও দাসত্বে দিতে পারত না, কিু栦#2438;ল্লাহ যদি ইচ্ছা করেন। আমি যাকে ইচ্ছা, মর্যাদায় উন্নীত করি এবং প্রত্যেক জ্ঞানীর উপরে আছে অধিকতর এক জ্ঞানীজন।",
              "numberInSurah": 76,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 97,
              "sajda": false,
              "pronunciation_bn": "ফাবাদাআ বিআও‘ইইয়াতিহিম কাবলা বি‘আই আখীহি ছুম্মাছতাখরাজাহা-মিওঁ বি‘আই আখীহি কাযা-লিকা কিদনা-লিইঊছুফা মা-কা-না লিইয়া‘খুযা আখাহু ফী দীনিল মালিকি ইল্লা আইঁ ইয়াশাআল্লা-হু নারফা‘উ দারাজা-তিম মান্নাশাউ ওয়া ফাওকা কুল্লি যী ‘ইলমিন ‘আলীম।",
              "words_arabic": "فَبَدَاَ/فَبَدَأَ/fabada-a//بِاَوْعِیَتِهِمْ/بِأَوۡعِيَتِهِمۡ/bi-aw'iyatihim//قَبْلَ/قَبۡلَ/qabla//وِعَآءِ/وِعَآءِ/wi'ai//اَخِیْهِ/أَخِيهِ/akhihi//ثُمَّ/ثُمَّ/thumma//اسْتَخْرَجَهَا/ٱسۡتَخۡرَجَهَا/is'takhrajaha//مِنْ/مِن/min//وِّعَآءِ/وِعَآءِ/wi'ai//اَخِیْهِ ؕ/أَخِيهِۚ/akhihi//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//كِدْنَا/كِدۡنَا/kid'na//لِیُوْسُفَ ؕ/لِيُوسُفَۖ/liyusufa//مَا/مَا/ma//كَانَ/كَانَ/kana//لِیَاْخُذَ/لِيَأۡخُذَ/liyakhudha//اَخَاهُ/أَخَاهُ/akhahu//فِیْ/فِي/fi//دِیْنِ/دِينِ/dini//الْمَلِكِ/ٱلۡمَلِكِ/al-maliki//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//نَرْفَعُ/نَرۡفَعُ/narfa'u//دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//مَّنْ/مَّن/man//نَّشَآءُ ؕ/نَّشَآءُۗ/nashau//وَ فَوْقَ/وَفَوۡقَ/wafawqa//كُلِّ/كُلِّ/kulli//ذِیْ/ذِي/dhi//عِلْمٍ/عِلۡمٍ/il'min//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "অতঃপর (তল্লাশি) সে শুরু করলো//তাদের পাত্রের//পূর্বে//পাত্রের//তার ভাইয়ের//এরপর//তা সে বের করলো//হ'তে//পাত্রের//তার ভাইয়ের//এভাবে//আমরা কৌশল করেছিলাম//ইউসুফের জন্যে//না//শোভা পেতো//যে সে ধরে রাখবে//তার ভাইকে//অনুযায়ী//আইন//রাজার//তবে//যদি//ইচ্ছে করেন//আল্লাহ//আমরা উন্নীত করি//মর্যাদা//যাকে//ইচ্ছে করি আমরা//এবং উপরে//(তাদের) প্রত্যেক//সম্পন্নের//জ্ঞান (আছেন)//একজন মহাজ্ঞানী"
            },
            {
              "number": 1673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1673.mp3"
              ],
              "text": "۞ قَالُوٓا۟ إِن يَسْرِقْ فَقَدْ سَرَقَ أَخٌۭ لَّهُۥ مِن قَبْلُ ۚ فَأَسَرَّهَا يُوسُفُ فِى نَفْسِهِۦ وَلَمْ يُبْدِهَا لَهُمْ ۚ قَالَ أَنتُمْ شَرٌّۭ مَّكَانًۭا ۖ وَٱللَّهُ أَعْلَمُ بِمَا تَصِفُونَ",
              "translate_bn": "তারা বলতে লাগলঃ যদি সে চুরি করে থাকে, তবে তার এক ভাইও ইতিপূর্বে চুরি করেছিল। তখন ইউসুফ প্রকৃত ব্যাপার নিজের মনে রাখলেন এবং তাদেরকে জানালেন না। মনে মনে বললেনঃ তোমরা লোক হিসাবে নিতান্ত মন্দ এবং আল্লাহ খুব জ্ঞাত রয়েছেন, যা তোমরা বর্ণনা করছ;",
              "numberInSurah": 77,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূ ইয়ঁইয়াছরিকফাকাদ ছারাকা আখূল্লাহূমিন কাবলু ফাআছাররাহা-ইঊছুফুফী নাফছিহী ওয়ালাম ইউবদিহা-লাহুম কা-লা আনতুম শাররুম মা-কা-নাওঁ- ওয়াল্লা-হু আ‘লামুবিমা-তাসিফূন।",
              "words_arabic": "قَالُوْۤا/۞قَالُوٓاْ/qalu//اِنْ/إِن/in//یَّسْرِقْ/يَسۡرِقۡ/yasriq//فَقَدْ/فَقَدۡ/faqad//سَرَقَ/سَرَقَ/saraqa//اَخٌ/أَخٞ/akhun//لَّهٗ/لَّهُۥ/lahu//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۚ/qablu//فَاَسَرَّهَا/فَأَسَرَّهَا/fa-asarraha//یُوْسُفُ/يُوسُفُ/yusufu//فِیْ/فِي/fi//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//وَ لَمْ/وَلَمۡ/walam//یُبْدِهَا/يُبۡدِهَا/yub'diha//لَهُمْ ۚ/لَهُمۡۚ/lahum//قَالَ/قَالَ/qala//اَنْتُمْ/أَنتُمۡ/antum//شَرٌّ/شَرّٞ/sharrun//مَّكَانًا ۚ/مَّكَانٗاۖ/makanan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//تَصِفُوْنَ /تَصِفُونَ/tasifuna",
              "words_bangla": "তারা বললো//\"যদি//সে চুরি করে থাকে//তবে নিশ্চয়ই (আশ্চর্য নয়)//চুরি করেছিলো//ভাই//তার (অর্থাৎ ইউসুফ)//থেকেই\"//আগে\"//অতঃপর রাখলো তা গোপন//ইউসুফ//মধ্যে//তার নিজের//এবং না//তা প্রকাশ করলো//তাদের কাছে//সে বললো (মনে মনে)//\"তোমরা (লোক)//খারাপ//অবস্থার (প্রকৃতির)//এবং আল্লাহই//খুব অবহিত//ঐ সম্বন্ধে যা//তোমরা বর্ণনা করছো\""
            },
            {
              "number": 1674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1674.mp3"
              ],
              "text": "قَالُوا۟ يَٰٓأَيُّهَا ٱلْعَزِيزُ إِنَّ لَهُۥٓ أَبًۭا شَيْخًۭا كَبِيرًۭا فَخُذْ أَحَدَنَا مَكَانَهُۥٓ ۖ إِنَّا نَرَىٰكَ مِنَ ٱلْمُحْسِنِينَ",
              "translate_bn": "তারা বলতে লাগলঃ হে আযীয, তার পিতা আছেন, যিনি খুবই বৃদ্ধ বয়স্ক। সুতরাং আপনি আমাদের একজনকে তার বদলে রেখে দিন। আমরা আপনাকে অনুগ্রহশীল ব্যক্তিদের একজন দেখতে পাচ্ছি।",
              "numberInSurah": 78,
              "juz": 13,
              "manzil": 3,
              "page": 244,
              "ruku": 201,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া আইয়ুহাল ‘আঝীঝুইন্না লাহূ আবান শাইখান কাবীরান ফাখুযআহাদানা-মাকানাহূ ইন্না-নারা-কা মিনাল মুহছিনীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//اِنَّ/إِنَّ/inna//لَهٗۤ/لَهُۥٓ/lahu//اَبًا/أَبٗا/aban//شَیْخًا/شَيۡخٗا/shaykhan//كَبِیْرًا/كَبِيرٗا/kabiran//فَخُذْ/فَخُذۡ/fakhudh//اَحَدَنَا/أَحَدَنَا/ahadana//مَكَانَهٗ ۚ/مَكَانَهُۥٓۖ/makanahu//اِنَّا/إِنَّا/inna//نَرٰىكَ/نَرَىٰكَ/naraka//مِنَ/مِنَ/mina//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "তারা বললো//\"হে//আজীজ//নিশ্চয়ই//তার আছে//পিতা//বৃদ্ধ//অতিশয়//অতএব ধরে রাখুন//আমাদের একজনকে//তার জায়গায়//নিশ্চয়ই আমরা//আপনাকে দেখছি//অন্তর্ভুক্ত//মহানুভবদের\""
            },
            {
              "number": 1675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1675.mp3"
              ],
              "text": "قَالَ مَعَاذَ ٱللَّهِ أَن نَّأْخُذَ إِلَّا مَن وَجَدْنَا مَتَٰعَنَا عِندَهُۥٓ إِنَّآ إِذًۭا لَّظَٰلِمُونَ",
              "translate_bn": "তিনি বললেনঃ যার কাছে আমরা আমাদের মাল পেয়েছি, তাকে ছাড়া আর কাউকে গ্রেফতার করা থেকে আল্লাহ আমাদের রক্ষা করুন। তা হলে তো আমরা নিশ্চিতই অন্যায়কারী হয়ে যাব।",
              "numberInSurah": 79,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 201,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা মা‘আযাল্লা-হি আন না’খুযা ইল্লা-মাওঁ ওয়াজাদনা-মাতা-‘আনা-‘ইনদাহূ ইন্না ইযাল লাজা-লিমূন।",
              "words_arabic": "قَالَ/قَالَ/qala//مَعَاذَ/مَعَاذَ/ma'adha//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْ/أَن/an//نَّاْخُذَ/نَّأۡخُذَ/nakhudha//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//وَّجَدْنَا/وَجَدۡنَا/wajadna//مَتَاعَنَا/مَتَٰعَنَا/mata'ana//عِنْدَهٗۤ ۙ/عِندَهُۥٓ/indahu//اِنَّاۤ/إِنَّآ/inna//اِذًا/إِذٗا/idhan//لَّظٰلِمُوْنَ۠/لَّظَٰلِمُونَ/lazalimuna",
              "words_bangla": "সে বললো//\"আশ্রয়//\"আল্লাহ্‌র//যে//ধরবো আমরা//ছাড়া//যাকে//আমরা পেয়েছি//আমাদের সামগ্রী//তার কাছে//নিশ্চয়ই আমরা//তখন (হবো)//অবশ্যই সীমালঙ্ঘনকারীদের (অন্তর্ভুক্ত)\""
            },
            {
              "number": 1676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1676.mp3"
              ],
              "text": "فَلَمَّا ٱسْتَيْـَٔسُوا۟ مِنْهُ خَلَصُوا۟ نَجِيًّۭا ۖ قَالَ كَبِيرُهُمْ أَلَمْ تَعْلَمُوٓا۟ أَنَّ أَبَاكُمْ قَدْ أَخَذَ عَلَيْكُم مَّوْثِقًۭا مِّنَ ٱللَّهِ وَمِن قَبْلُ مَا فَرَّطتُمْ فِى يُوسُفَ ۖ فَلَنْ أَبْرَحَ ٱلْأَرْضَ حَتَّىٰ يَأْذَنَ لِىٓ أَبِىٓ أَوْ يَحْكُمَ ٱللَّهُ لِى ۖ وَهُوَ خَيْرُ ٱلْحَٰكِمِينَ",
              "translate_bn": "অতঃপর যখন তারা তাঁর কাছ থেকে নিরাশ হয়ে গেল, তখন পরামর্শের জন্যে এখানে বসল। তাদের জ্যেষ্ঠ ভাই বললঃ তোমরা কি জান না যে, পিতা তোমাদের কাছ থেকে আল্লাহর নামে অঙ্গীকার নিয়েছেন এবং পূর্বে ইউসুফের ব্যাপারেও তোমরা অন্যায় করেছো? অতএব আমি তো কিছুতেই এদেশ ত্যাগ করব না, যে পর্যন্ত না পিতা আমাকে আদেশ দেন অথবা আল্লাহ আমার পক্ষে কোন ব্যবস্থা করে দেন। তিনিই সর্বোত্তম ব্যবস্থাপক।",
              "numberInSurah": 80,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাছ তাইআছূমিনহু খালাসূনাজিইইয়ান কা-লা কাবীরুহুম আলাম তা‘লামূ আন্না আবা-কুম কাদ আখাযা ‘আলাইকুম মাওছিকাম মিনাল্লা-হি ওয়া মিন কাবলুমাফাররাততুম ফী ইঊছুফা ফালান আবরাহাল আরদা হাত্তা-ইয়া’যানা লীআবী আও ইয়াহকুমাল্লা-হু লী ওয়া হুওয়া খাইরুল হা-কিমীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//اسْتَیْـَٔسُوْا/ٱسۡتَيۡـَٔسُواْ/is'tayasu//مِنْهُ/مِنۡهُ/min'hu//خَلَصُوْا/خَلَصُواْ/khalasu//نَجِیًّا ؕ/نَجِيّٗاۖ/najiyyan//قَالَ/قَالَ/qala//كَبِیْرُهُمْ/كَبِيرُهُمۡ/kabiruhum//اَلَمْ/أَلَمۡ/alam//تَعْلَمُوْۤا/تَعۡلَمُوٓاْ/ta'lamu//اَنَّ/أَنَّ/anna//اَبَاكُمْ/أَبَاكُمۡ/abakum//قَدْ/قَدۡ/qad//اَخَذَ/أَخَذَ/akhadha//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مَّوْثِقًا/مَّوۡثِقٗا/mawthiqan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مِنْ/وَمِن/wamin//قَبْلُ/قَبۡلُ/qablu//مَا/مَا/ma//فَرَّطْتُّمْ/فَرَّطتُمۡ/farrattum//فِیْ/فِي/fi//یُوْسُفَ ۚ/يُوسُفَۖ/yusufa//فَلَنْ/فَلَنۡ/falan//اَبْرَحَ/أَبۡرَحَ/abraha//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//حَتّٰی/حَتَّىٰ/hatta//یَاْذَنَ/يَأۡذَنَ/yadhana//لِیْۤ/لِيٓ/li//اَبِیْۤ/أَبِيٓ/abi//اَوْ/أَوۡ/aw//یَحْكُمَ/يَحۡكُمَ/yahkuma//اللّٰهُ/ٱللَّهُ/al-lahu//لِیْ ۚ/لِيۖ/li//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الْحٰكِمِیْنَ /ٱلۡحَٰكِمِينَ/al-hakimina",
              "words_bangla": "অতঃপর যখন//তারা নিরাশ হলো//তার থেকে//নির্জনে গিয়ে বসলো//পরামর্শে//বললো//তাদের বড়জন//\"না কি//তোমরা জেনেছো//যে//তোমাদের পিতা//নিশ্চয়ই//নিয়েছেন//তোমাদের হ'তে//প্রতিশ্রুতি//নামে//আল্লাহর//এবং থেকেই//পূর্ব//কি//তোমরা অন্যায় করেছো//ব্যাপারে//ইউসুফের//অতএব কখনও না//ছেড়ে যাবো আমি//এ দেশ//যতক্ষণ না//অনুমতি দিবেন//আমাকে//আমার পিতা//বা//মীমাংসা করবেন//আল্লাহ//আমার জন্যে (অন্য কিছু)//এবং তিনিই//শ্রেষ্ঠ//বিচারকদের"
            },
            {
              "number": 1677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1677.mp3"
              ],
              "text": "ٱرْجِعُوٓا۟ إِلَىٰٓ أَبِيكُمْ فَقُولُوا۟ يَٰٓأَبَانَآ إِنَّ ٱبْنَكَ سَرَقَ وَمَا شَهِدْنَآ إِلَّا بِمَا عَلِمْنَا وَمَا كُنَّا لِلْغَيْبِ حَٰفِظِينَ",
              "translate_bn": "তোমরা তোমাদের পিতার কাছে ফিরে যাও এবং বলঃ পিতা আপনার ছেলে চুরি করেছে। আমরা তাই বলে দিলাম, যা আমাদের জানা ছিল এবং অদৃশ্য বিষয়ের প্রতি আমাদের লক্ষ্য ছিল না।",
              "numberInSurah": 81,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ইরজি‘ঊ ইলা আবীকুম ফাকূলূইয়া আবা-নাইন্নাবনাকা ছারাকা ওয়ামাশাহিদনা ইল্লা-বিমা-‘আলিমনা-ওয়ামা-কুন্না-লিলগাইবি হা-ফিজীন।",
              "words_arabic": "اِرْجِعُوْۤا/ٱرۡجِعُوٓاْ/ir'ji'u//اِلٰۤی/إِلَىٰٓ/ila//اَبِیْكُمْ/أَبِيكُمۡ/abikum//فَقُوْلُوْا/فَقُولُواْ/faqulu//یٰۤاَبَانَاۤ/يَـٰٓأَبَانَآ/yaabana//اِنَّ/إِنَّ/inna//ابْنَكَ/ٱبۡنَكَ/ib'naka//سَرَقَ ۚ/سَرَقَ/saraqa//وَ مَا/وَمَا/wama//شَهِدْنَاۤ/شَهِدۡنَآ/shahid'na//اِلَّا/إِلَّا/illa//بِمَا/بِمَا/bima//عَلِمْنَا/عَلِمۡنَا/alim'na//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//لِلْغَیْبِ/لِلۡغَيۡبِ/lil'ghaybi//حٰفِظِیْنَ /حَٰفِظِينَ/hafizina",
              "words_bangla": "তোমরা ফিরে যাও//কাছে//তোমাদের পিতার//অতঃপর তোমরা বলো//হে আমাদের পিতা//নিশ্চয়ই//আপনার ছেলে//চুরি করেছে//এবং না//আমরা সাক্ষ্য দিচ্ছি//এ ছাড়া//ঐ সম্বন্ধে যা//আমরা জেনেছি//এবং না//আমরা ছিলাম//ব্যাপারে অদৃশ্যের//সংরক্ষক (অর্থাৎ অবহিত)"
            },
            {
              "number": 1678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1678.mp3"
              ],
              "text": "وَسْـَٔلِ ٱلْقَرْيَةَ ٱلَّتِى كُنَّا فِيهَا وَٱلْعِيرَ ٱلَّتِىٓ أَقْبَلْنَا فِيهَا ۖ وَإِنَّا لَصَٰدِقُونَ",
              "translate_bn": "জিজ্ঞেস করুন ঐ জনপদের লোকদেরকে যেখানে আমরা ছিলাম এবং ঐ কাফেলাকে, যাদের সাথে আমরা এসেছি। নিশ্চিতই আমরা সত্য বলছি।",
              "numberInSurah": 82,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ আলিল কারয়াতাল্লাতী কুন্না-ফীহা-ওয়াল ‘ঈরাল্লাতী আকবালনা-ফীহা- ওয়া ইন্না-লাসা-দিকূন।",
              "words_arabic": "وَ سْـَٔلِ/وَسۡـَٔلِ/wasali//الْقَرْیَةَ/ٱلۡقَرۡيَةَ/al-qaryata//الَّتِیْ/ٱلَّتِي/allati//كُنَّا/كُنَّا/kunna//فِیْهَا/فِيهَا/fiha//وَ الْعِیْرَ/وَٱلۡعِيرَ/wal-'ira//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَقْبَلْنَا/أَقۡبَلۡنَا/aqbalna//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ اِنَّا/وَإِنَّا/wa-inna//لَصٰدِقُوْنَ /لَصَٰدِقُونَ/lasadiquna",
              "words_bangla": "এবং জিজ্ঞেস করুন//জনপদের অধিবাসীদের//যে (জনপদে)//আমরা ছিলাম//তার মধ্যে//ও যাত্রীদলকে//সেই (কাফেলার)//আমরা এসেছি//যার সাথে//এবং নিশ্চয়ই আমরা//অবশ্যই সত্যবাদী"
            },
            {
              "number": 1679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1679.mp3"
              ],
              "text": "قَالَ بَلْ سَوَّلَتْ لَكُمْ أَنفُسُكُمْ أَمْرًۭا ۖ فَصَبْرٌۭ جَمِيلٌ ۖ عَسَى ٱللَّهُ أَن يَأْتِيَنِى بِهِمْ جَمِيعًا ۚ إِنَّهُۥ هُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ",
              "translate_bn": "তিনি বললেনঃ কিছুই না, তোমরা মনগড়া একটি কথা নিয়েই এসেছ। এখন ধৈর্য্যধারণই উত্তম। সম্ভবতঃ আল্লাহ তাদের সবাইকে একসঙ্গে আমার কাছে নিয়ে আসবেন তিনি সুবিজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 83,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা বাল ছাওওয়ালাত লাকুম আনফুছুকুম আমরান ফাসাবরুন জামীলুন ‘আছাল্লা-হু আইঁ ইয়া’তিয়ানী বিহিম জামী‘আন ইন্নাহূহুওয়াল ‘আলীমুল হাকীম।",
              "words_arabic": "قَالَ/قَالَ/qala//بَلْ/بَلۡ/bal//سَوَّلَتْ/سَوَّلَتۡ/sawwalat//لَكُمْ/لَكُمۡ/lakum//اَنْفُسُكُمْ/أَنفُسُكُمۡ/anfusukum//اَمْرًا ؕ/أَمۡرٗاۖ/amran//فَصَبْرٌ/فَصَبۡرٞ/fasabrun//جَمِیْلٌ ؕ/جَمِيلٌۖ/jamilun//عَسَی/عَسَى/asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّاْتِیَنِیْ/يَأۡتِيَنِي/yatiyani//بِهِمْ/بِهِمۡ/bihim//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "(ইয়াকুব) বললো//\"বরং//সাজিয়ে দিয়েছে//তোমাদের জন্যে//তোমাদের মন (অর্থাৎ প্রবৃত্তি)//এ কাজ//অতএব ধৈর্যই//উত্তম//হয়তো//আল্লাহ//যে//আমার কাছে আনবেন//নিয়ে তাদেরকে//একত্রে//নিশ্চয়ই তিনি//তিনিই//সর্বজ্ঞ//প্রজ্ঞাময়\""
            },
            {
              "number": 1680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1680.mp3"
              ],
              "text": "وَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَٰٓأَسَفَىٰ عَلَىٰ يُوسُفَ وَٱبْيَضَّتْ عَيْنَاهُ مِنَ ٱلْحُزْنِ فَهُوَ كَظِيمٌۭ",
              "translate_bn": "এবং তাদের দিক থেকে তিনি মুখ ফিরিয়ে নিলেন এবং বললেনঃ হায় আফসোস ইউসুফের জন্যে। এবং দুঃখে তাঁর চক্ষুদ্বয় সাদা হয়ে গেল। এবং অসহনীয় মনস্তাপে তিনি ছিলেন ক্লিষ্ট।",
              "numberInSurah": 84,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাওয়াল্লা-‘আনহুম ওয়া কা-লা ইয়াআছাফা-‘আলা-ইঊছুফা ওয়াবইয়াদ্দাত ‘আইনা-হু মিনাল হুঝনি ফাহুওয়া কাজীম।",
              "words_arabic": "وَ تَوَلّٰی/وَتَوَلَّىٰ/watawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ قَالَ/وَقَالَ/waqala//یٰۤاَسَفٰی/يَـٰٓأَسَفَىٰ/yaasafa//عَلٰی/عَلَىٰ/ala//یُوْسُفَ/يُوسُفَ/yusufa//وَ ابْیَضَّتْ/وَٱبۡيَضَّتۡ/wa-ib'yaddat//عَیْنٰهُ/عَيۡنَاهُ/aynahu//مِنَ/مِنَ/mina//الْحُزْنِ/ٱلۡحُزۡنِ/al-huz'ni//فَهُوَ/فَهُوَ/fahuwa//كَظِیْمٌ /كَظِيمٞ/kazimun",
              "words_bangla": "এবং মুখ ফিরালো সে//তাদের থেকে//এবং বললো//\"হায় আফসোস//জন্যে//ইউসুফের\"//এবং সাদা হয়ে গেল//তার দু'চোখ//কারণে//শোকের//অতঃপর সে (হয়ে গেলো)//বিষাদপূর্ণ"
            },
            {
              "number": 1681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1681.mp3"
              ],
              "text": "قَالُوا۟ تَٱللَّهِ تَفْتَؤُا۟ تَذْكُرُ يُوسُفَ حَتَّىٰ تَكُونَ حَرَضًا أَوْ تَكُونَ مِنَ ٱلْهَٰلِكِينَ",
              "translate_bn": "তারা বলতে লাগলঃ আল্লাহর কসম আপনি তো ইউসুফের স্মরণ থেকে নিবৃত হবেন না, যে পর্যন্ত মরণপন্ন না হয়ে যান কিংবা মৃতবরণ না করেন",
              "numberInSurah": 85,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাল্লা-হি তাফতাউ তাযকুরু ইঊছুফা হাত্তা-তাকূনা হারাদান আও তাকূনা মিনাল হা-লিকীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//تَفْتَؤُا/تَفۡتَؤُاْ/tafta-u//تَذْكُرُ/تَذۡكُرُ/tadhkuru//یُوْسُفَ/يُوسُفَ/yusufa//حَتّٰی/حَتَّىٰ/hatta//تَكُوْنَ/تَكُونَ/takuna//حَرَضًا/حَرَضًا/haradan//اَوْ/أَوۡ/aw//تَكُوْنَ/تَكُونَ/takuna//مِنَ/مِنَ/mina//الْهٰلِكِیْنَ /ٱلۡهَٰلِكِينَ/al-halikina",
              "words_bangla": "তারা বললো//\"শপথ আল্লাহর//আপনি ক্ষান্ত হবেন (না)//স্মরণ করতে//ইউসুফকে//যতক্ষণ না//হবেন আপনি//মৃতপ্রায়//অথবা//হবেন আপনি//অন্তর্ভুক্ত//জীবন ধ্বংসকারীদের\""
            },
            {
              "number": 1682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1682.mp3"
              ],
              "text": "قَالَ إِنَّمَآ أَشْكُوا۟ بَثِّى وَحُزْنِىٓ إِلَى ٱللَّهِ وَأَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তিনি বললেনঃ আমি তো আমার দুঃখ ও অস্থিরতা আল্লাহর সমীপেই নিবেদন করছি এবং আল্লাহর পক্ষ থেকে আমি যা জানি, তা তোমরা জান না।",
              "numberInSurah": 86,
              "juz": 13,
              "manzil": 3,
              "page": 245,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নামাআশকূবাছছীওয়াহুঝনীইলাল্লা-হি ওয়া আ‘লামুমিনাল্লা-হি মা-লাতা‘লামূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّمَاۤ/إِنَّمَآ/innama//اَشْكُوْا/أَشۡكُواْ/ashku//بَثِّیْ/بَثِّي/bathi//وَ حُزْنِیْۤ/وَحُزۡنِيٓ/wahuz'ni//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَعْلَمُ/وَأَعۡلَمُ/wa-a'lamu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "সে বললো//\"প্রকৃতপক্ষে//আমি নিবেদন করছি//আমার বেদনা//ও আমার শোক//কাছে//আল্লাহর//এবং জানি আমি//থেকে//আল্লাহর (এমন কিছু)//যা//না//তোমরা জানো"
            },
            {
              "number": 1683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1683.mp3"
              ],
              "text": "يَٰبَنِىَّ ٱذْهَبُوا۟ فَتَحَسَّسُوا۟ مِن يُوسُفَ وَأَخِيهِ وَلَا تَا۟يْـَٔسُوا۟ مِن رَّوْحِ ٱللَّهِ ۖ إِنَّهُۥ لَا يَا۟يْـَٔسُ مِن رَّوْحِ ٱللَّهِ إِلَّا ٱلْقَوْمُ ٱلْكَٰفِرُونَ",
              "translate_bn": "বৎসগণ! যাও, ইউসুফ ও তার ভাইকে তালাশ কর এবং আল্লাহর রহমত থেকে নিরাশ হয়ো না। নিশ্চয় আল্লাহর রহমত থেকে কাফের সম্প্রদায়, ব্যতীত অন্য কেউ নিরাশ হয় না।",
              "numberInSurah": 87,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানিইইয়াযহাবূফাতাহাছছাছূমিইঁ ইঊছুফা ওয়া আখীহি ওয়ালা-তাইআছূমির রাওহিল্লা-হি; ইন্নাহূলা-ইয়াইআছুমিররাওহিল্লা-হি ইল্লাল কাওমুল কা-ফিরূন।",
              "words_arabic": "یٰبَنِیَّ/يَٰبَنِيَّ/yabaniyya//اذْهَبُوْا/ٱذۡهَبُواْ/idh'habu//فَتَحَسَّسُوْا/فَتَحَسَّسُواْ/fatahassasu//مِنْ/مِن/min//یُّوْسُفَ/يُوسُفَ/yusufa//وَ اَخِیْهِ/وَأَخِيهِ/wa-akhihi//وَ لَا/وَلَا/wala//تَایْـَٔسُوْا/تَاْيۡـَٔسُواْ/tay'asu//مِنْ/مِن/min//رَّوْحِ/رَّوۡحِ/rawhi//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یَایْـَٔسُ/يَاْيۡـَٔسُ/yay'asu//مِنْ/مِن/min//رَّوْحِ/رَّوۡحِ/rawhi//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الْقَوْمُ/ٱلۡقَوۡمُ/al-qawmu//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "হে আমার ছেলেরা//তোমরা যাও//অতঃপর তোমরা খোঁজ করো//এর//ইউসুফ//এবং তার ভাইকে//এবং না//তোমরা নিরাশ হয়ো//থেকে//অনুগ্রহ//আল্লাহর//নিশ্চয়ই কেউ//না//নিরাশ হয়//হ'তে//অনুগ্রহ//আল্লাহর//এছাড়া//সম্প্রদায়//কাফির\""
            },
            {
              "number": 1684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1684.mp3"
              ],
              "text": "فَلَمَّا دَخَلُوا۟ عَلَيْهِ قَالُوا۟ يَٰٓأَيُّهَا ٱلْعَزِيزُ مَسَّنَا وَأَهْلَنَا ٱلضُّرُّ وَجِئْنَا بِبِضَٰعَةٍۢ مُّزْجَىٰةٍۢ فَأَوْفِ لَنَا ٱلْكَيْلَ وَتَصَدَّقْ عَلَيْنَآ ۖ إِنَّ ٱللَّهَ يَجْزِى ٱلْمُتَصَدِّقِينَ",
              "translate_bn": "অতঃপর যখন তারা ইউসুফের কাছে পৌঁছল তখন বললঃ হে আযীয, আমরা ও আমাদের পরিবারবর্গ কষ্টের সম্মুখীন হয়ে পড়েছি এবং আমরা অপর্যাপ্ত পুঁজি নিয়ে এসেছি। অতএব আপনি আমাদের পুরোপুরি বরাদ্দ দিন এবং আমাদের কে দান করুন। আল্লাহ দাতাদেরকে প্রতিদান দিয়ে থাকেন।",
              "numberInSurah": 88,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-দাখালূ‘আলাইহি কা-লূইয়াআইয়ুহাল ‘আঝীঝুমাছছানা-ওয়াআহলানাদদুররু ওয়া জি’না-ব্বিিদা-‘আতিম মুঝজা-তিন ফাআওফি লানাল কাইলা ওয়া তাসাদ্দাক ‘আলাইনা- ইন্নাল্লা-হা ইয়াজঝিল মুতাসাদ্দিকীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلَیْهِ/عَلَيۡهِ/alayhi//قَالُوْا/قَالُواْ/qalu//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//مَسَّنَا/مَسَّنَا/massana//وَ اَهْلَنَا/وَأَهۡلَنَا/wa-ahlana//الضُّرُّ/ٱلضُّرُّ/al-duru//وَ جِئْنَا/وَجِئۡنَا/waji'na//بِبِضَاعَةٍ/بِبِضَٰعَةٖ/bibida'atin//مُّزْجٰىةٍ/مُّزۡجَىٰةٖ/muz'jatin//فَاَوْفِ/فَأَوۡفِ/fa-awfi//لَنَا/لَنَا/lana//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//وَ تَصَدَّقْ/وَتَصَدَّقۡ/watasaddaq//عَلَیْنَا ؕ/عَلَيۡنَآۖ/alayna//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَجْزِی/يَجۡزِي/yajzi//الْمُتَصَدِّقِیْنَ /ٱلۡمُتَصَدِّقِينَ/al-mutasadiqina",
              "words_bangla": "অতঃপর যখন//তারা প্রবেশ করলো//তার কাছে//তারা বললো//\"হে//\"আযীয//আমাদের স্পর্শ করেছে//এবং আমাদের পরিবারেরও//বিপদ//এবং আমরা এসেছি//(পুঁজি হিসেবে) নিয়ে পণ্য//অল্প পরিমাণ//অতএব পূর্ণ দিন//আমাদেরকে//মাপ (অর্থাৎ বরাদ্দ)//এবং দান করুন//আমাদের//নিশ্চয়ই//আল্লাহ//প্রতিদান দেন//দানকারীদেরকে\""
            },
            {
              "number": 1685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1685.mp3"
              ],
              "text": "قَالَ هَلْ عَلِمْتُم مَّا فَعَلْتُم بِيُوسُفَ وَأَخِيهِ إِذْ أَنتُمْ جَٰهِلُونَ",
              "translate_bn": "ইউসুফ বললেনঃ তোমাদের জানা আছে কি, যা তোমরা ইউসুফ ও তার ভাইয়ের সাথে করেছ, যখন তোমরা অপরিণামদর্শী ছিলে?",
              "numberInSurah": 89,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা হাল ‘আলিমতুম মা-ফা‘আলতুম বিইঊছুফা ওয়া আখীহি ইযআনতুম জা-হিলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//هَلْ/هَلۡ/hal//عَلِمْتُمْ/عَلِمۡتُم/alim'tum//مَّا/مَّا/ma//فَعَلْتُمْ/فَعَلۡتُم/fa'altum//بِیُوْسُفَ/بِيُوسُفَ/biyusufa//وَ اَخِیْهِ/وَأَخِيهِ/wa-akhihi//اِذْ/إِذۡ/idh//اَنْتُمْ/أَنتُمۡ/antum//جٰهِلُوْنَ /جَٰهِلُونَ/jahiluna",
              "words_bangla": "ইউসুফ (বললো)//\"কি//তোমরা জানো//যা//তোমরা করেছো//ইউসুফের সাথে//ও তার ভাইয়ের (সাথে)//যখন//তোমরা ছিলে//অজ্ঞ\""
            },
            {
              "number": 1686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1686.mp3"
              ],
              "text": "قَالُوٓا۟ أَءِنَّكَ لَأَنتَ يُوسُفُ ۖ قَالَ أَنَا۠ يُوسُفُ وَهَٰذَآ أَخِى ۖ قَدْ مَنَّ ٱللَّهُ عَلَيْنَآ ۖ إِنَّهُۥ مَن يَتَّقِ وَيَصْبِرْ فَإِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ",
              "translate_bn": "তারা বলল, তবে কি তুমিই ইউসুফ! বললেনঃ আমিই ইউসুফ এবং এ হল আমার সহোদর ভাই। আল্লাহ আমাদের প্রতি অনুগ্রহ করেছেন। নিশ্চয় যে তাকওয়া অবলম্বন করে এবং সবর করে, আল্লাহ এহেন সৎকর্মশীলদের প্রতিদান বিনষ্ট করেন না।",
              "numberInSurah": 90,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূআ ইন্নাকা লাআনতা ইঊছুফু কা-লা আনা ইঊছুফুওয়া হা-যাআখী কাদ মান্নাল্লা-হু ‘আলাইনা- ইন্নাহূমাইঁ ইয়াত্তাকিওয়া ইয়াসবির ফাইন্নাল্লা-হা লা-ইউদী‘উ আজরাল মুহছিনীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//ءَاِنَّكَ/أَءِنَّكَ/a-innaka//لَاَنْتَ/لَأَنتَ/la-anta//یُوْسُفُ ؕ/يُوسُفُۖ/yusufu//قَالَ/قَالَ/qala//اَنَا/أَنَا۠/ana//یُوْسُفُ/يُوسُفُ/yusufu//وَ هٰذَاۤ/وَهَٰذَآ/wahadha//اَخِیْ ؗ/أَخِيۖ/akhi//قَدْ/قَدۡ/qad//مَنَّ/مَنَّ/manna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْنَا ؕ/عَلَيۡنَآۖ/alayna//اِنَّهٗ/إِنَّهُۥ/innahu//مَنْ/مَن/man//یَّتَّقِ/يَتَّقِ/yattaqi//وَ یَصْبِرْ/وَيَصۡبِرۡ/wayasbir//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُضِیْعُ/يُضِيعُ/yudi'u//اَجْرَ/أَجۡرَ/ajra//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "তারা বললো//\"তুমি কি নিশ্চয়ই//অবশ্যই তুমি//ইউসুফ\"//সে বললো//\"আমিই//ইউসুফ//ও এই//আমার ভাই//নিশ্চয়ই//অনুগ্রহ করেছেন//আল্লাহ//আমাদের উপর//নিশ্চয়ই (তা এমন)//যে//তাকওয়া অবলম্বন করে//ও ধৈর্য ধরে//সে ক্ষেত্রে নিশ্চয়ই//আল্লাহ্‌//না//নষ্ট করেন//শ্রম ফল//সৎকর্মশীলদের\""
            },
            {
              "number": 1687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1687.mp3"
              ],
              "text": "قَالُوا۟ تَٱللَّهِ لَقَدْ ءَاثَرَكَ ٱللَّهُ عَلَيْنَا وَإِن كُنَّا لَخَٰطِـِٔينَ",
              "translate_bn": "তারা বললঃ আল্লাহর কসম, আমাদের চাইতে আল্লাহ তোমাকে পছন্দ করেছেন এবং আমরা অবশ্যই অপরাধী ছিলাম।",
              "numberInSurah": 91,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাল্লা-হি লাকাদ আ-ছারাকাল্লা-হু ‘আলাইনা-ওয়া ইন কুন্না-লাখা-তিঈন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//لَقَدْ/لَقَدۡ/laqad//اٰثَرَكَ/ءَاثَرَكَ/atharaka//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْنَا/عَلَيۡنَا/alayna//وَ اِنْ/وَإِن/wa-in//كُنَّا/كُنَّا/kunna//لَخٰطِـِٕیْنَ /لَخَٰطِـِٔينَ/lakhatiina",
              "words_bangla": "তারা বললো//\"শপথ আল্লাহর//নিশ্চয়ই//তোমাকে প্রাধান্য দিয়েছেন//আল্লাহ//আমাদের উপর//এবং নিশ্চয়ই//আমরা ছিলাম//অবশ্যই অপরাধী\""
            },
            {
              "number": 1688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1688.mp3"
              ],
              "text": "قَالَ لَا تَثْرِيبَ عَلَيْكُمُ ٱلْيَوْمَ ۖ يَغْفِرُ ٱللَّهُ لَكُمْ ۖ وَهُوَ أَرْحَمُ ٱلرَّٰحِمِينَ",
              "translate_bn": "বললেন, আজ তোমাদের বিরুদ্ধে কোন অভিযোগ নেই। আল্লাহ তোমাদের কে ক্ষমা করুন। তিনি সব মেহেরবানদের চাইতে অধিক মেহেরবান।",
              "numberInSurah": 92,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা লা-তাছরীবা ‘আলাইকুমুল ইয়াওমা ইয়াগফিরুল্লা-হু লাকুম ওয়া হুওয়া আরহামুর রা-হিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَا/لَا/la//تَثْرِیْبَ/تَثۡرِيبَ/tathriba//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْیَوْمَ ؕ/ٱلۡيَوۡمَۖ/al-yawma//یَغْفِرُ/يَغۡفِرُ/yaghfiru//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ ؗ/لَكُمۡۖ/lakum//وَ هُوَ/وَهُوَ/wahuwa//اَرْحَمُ/أَرۡحَمُ/arhamu//الرّٰحِمِیْنَ /ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "সে বললো//\"নেই//অভিযোগ//বিরুদ্ধে তোমাদের//আজ//মাফ করুন//আল্লাহ্‌//তোমাদেরকে//এবং তিনিই//শ্রেষ্ঠ দয়ালু//(সব) দয়াকারীদের (চেয়েও)"
            },
            {
              "number": 1689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1689.mp3"
              ],
              "text": "ٱذْهَبُوا۟ بِقَمِيصِى هَٰذَا فَأَلْقُوهُ عَلَىٰ وَجْهِ أَبِى يَأْتِ بَصِيرًۭا وَأْتُونِى بِأَهْلِكُمْ أَجْمَعِينَ",
              "translate_bn": "তোমরা আমার এ জামাটি নিয়ে যাও। এটি আমার পিতার মুখমন্ডলের উপর রেখে দিও, এতে তাঁর দৃষ্টি শক্তি ফিরে আসবে। আর তোমাদের পরিবারবর্গের সবাইকে আমার কাছে নিয়ে এস।",
              "numberInSurah": 93,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 202,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ইযহাবূবিকামীসী হা-যা-ফাআলকূহূ‘আলা-ওয়াজহি আবী ইয়া’তি বাসীরা- ওয়া’তূনী বিআহলিকুম আজমা‘ঈন।",
              "words_arabic": "اِذْهَبُوْا/ٱذۡهَبُواْ/idh'habu//بِقَمِیْصِیْ/بِقَمِيصِي/biqamisi//هٰذَا/هَٰذَا/hadha//فَاَلْقُوْهُ/فَأَلۡقُوهُ/fa-alquhu//عَلٰی/عَلَىٰ/ala//وَجْهِ/وَجۡهِ/wajhi//اَبِیْ/أَبِي/abi//یَاْتِ/يَأۡتِ/yati//بَصِیْرًا ۚ/بَصِيرٗا/basiran//وَ اْتُوْنِیْ/وَأۡتُونِي/watuni//بِاَهْلِكُمْ/بِأَهۡلِكُمۡ/bi-ahlikum//اَجْمَعِیْنَ۠/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "তোমরা যাও//নিয়ে আমার জামা//এই//অতঃপর তা রেখে দাও//উপর//মুখের//আমার পিতার//ফিরে আসবে//(তার) দৃষ্টিশক্তি//ও আমার কাছে নিয়ে আসো//তোমাদের পরিবারের//সকলকেই\""
            },
            {
              "number": 1690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1690.mp3"
              ],
              "text": "وَلَمَّا فَصَلَتِ ٱلْعِيرُ قَالَ أَبُوهُمْ إِنِّى لَأَجِدُ رِيحَ يُوسُفَ ۖ لَوْلَآ أَن تُفَنِّدُونِ",
              "translate_bn": "যখন কাফেলা রওয়ানা হল, তখন তাদের পিতা বললেনঃ যদি তোমরা আমাকে অপ্রকৃতিস্থ না বল, তবে বলিঃ আমি নিশ্চিতরূপেই ইউসুফের গন্ধ পাচ্ছি।",
              "numberInSurah": 94,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ফাসালাতিল ‘ঈরু কা-লা আবূহুম ইন্নী লাআজিদুরীহাইঊছুফা লাওলাআন তুফান্নিদূন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//فَصَلَتِ/فَصَلَتِ/fasalati//الْعِیْرُ/ٱلۡعِيرُ/al-'iru//قَالَ/قَالَ/qala//اَبُوْهُمْ/أَبُوهُمۡ/abuhum//اِنِّیْ/إِنِّي/inni//لَاَجِدُ/لَأَجِدُ/la-ajidu//رِیْحَ/رِيحَ/riha//یُوْسُفَ/يُوسُفَۖ/yusufa//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَن/an//تُفَنِّدُوْنِ /تُفَنِّدُونِ/tufanniduni",
              "words_bangla": "এবং যখন//বেরিয়ে পড়লো//যাত্রীদল//বললো//তাদের পিতা//\"নিশ্চয়ই আমি//অবশ্যই পাচ্ছি//ঘ্রাণ//ইউসুফের//যদি না//যে//আমাকে তোমরা অপ্রকৃতিস্থ মনে করো\""
            },
            {
              "number": 1691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1691.mp3"
              ],
              "text": "قَالُوا۟ تَٱللَّهِ إِنَّكَ لَفِى ضَلَٰلِكَ ٱلْقَدِيمِ",
              "translate_bn": "লোকেরা বললঃ আল্লাহর কসম, আপনি তো সেই পুরানো ভ্রান্তিতেই পড়ে আছেন।",
              "numberInSurah": 95,
              "juz": 13,
              "manzil": 3,
              "page": 246,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাল্লা-হি ইন্নাকা লাফী দালা-লিকাল কাদীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//اِنَّكَ/إِنَّكَ/innaka//لَفِیْ/لَفِي/lafi//ضَلٰلِكَ/ضَلَٰلِكَ/dalalika//الْقَدِیْمِ /ٱلۡقَدِيمِ/al-qadimi",
              "words_bangla": "(লোকেরা) বললো//\"আল্লাহর শপথ//আপনি নিশ্চয় (রয়েছেন)//অবশ্যই মধ্যে//আপনার ভুলের//পুরনো\""
            },
            {
              "number": 1692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1692.mp3"
              ],
              "text": "فَلَمَّآ أَن جَآءَ ٱلْبَشِيرُ أَلْقَىٰهُ عَلَىٰ وَجْهِهِۦ فَٱرْتَدَّ بَصِيرًۭا ۖ قَالَ أَلَمْ أَقُل لَّكُمْ إِنِّىٓ أَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ",
              "translate_bn": "অতঃপর যখন সুসংবাদদাতা পৌঁছল, সে জামাটি তাঁর মুখে রাখল। অমনি তিনি দৃষ্টি শক্তি ফিরে পেলেন। বললেনঃ আমি কি তোমাদেরকে বলিনি যে, আমি আল্লাহর পক্ষ থেকে যা জানি তোমরা তা জান না?",
              "numberInSurah": 96,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা আন জাআল বাশীরু আলকা-হু ‘আলা-ওয়াজহিহী ফারতাদ্দা বাসীরান কালা আলাম আকুল্লাকুম ইন্নীআ‘লামুমিনাল্লা-হি মা-লা-তা‘লামূন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَنْ/أَن/an//جَآءَ/جَآءَ/jaa//الْبَشِیْرُ/ٱلۡبَشِيرُ/al-bashiru//اَلْقٰىهُ/أَلۡقَىٰهُ/alqahu//عَلٰی/عَلَىٰ/ala//وَجْهِهٖ/وَجۡهِهِۦ/wajhihi//فَارْتَدَّ/فَٱرۡتَدَّ/fa-ir'tadda//بَصِیْرًا ۚ/بَصِيرٗاۖ/basiran//قَالَ/قَالَ/qala//اَلَمْ/أَلَمۡ/alam//اَقُلْ/أَقُل/aqul//لَّكُمْ ۙۚ/لَّكُمۡ/lakum//اِنِّیْۤ/إِنِّيٓ/inni//اَعْلَمُ/أَعۡلَمُ/a'lamu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "অতঃপর যখন//যে//আসলো//সুসংবাদদাতা//তা (অর্থাৎ জামা) রাখলো//উপর//তার মুখের//তখন সে ফিরে পেলো//দৃষ্টিশক্তি//(ইয়াকুব) বললো//\"নি কি//আমি বলি//তোমাদেরকে//নিশ্চয়ই আমি//জানি (এমন কিছু)//পক্ষ হ'তে//আল্লাহ্‌র//যা//না//তোমরা জানো\""
            },
            {
              "number": 1693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1693.mp3"
              ],
              "text": "قَالُوا۟ يَٰٓأَبَانَا ٱسْتَغْفِرْ لَنَا ذُنُوبَنَآ إِنَّا كُنَّا خَٰطِـِٔينَ",
              "translate_bn": "তারা বললঃ পিতা আমাদের অপরাধ ক্ষমা করান। নিশ্চয় আমরা অপরাধী ছিলাম।",
              "numberInSurah": 97,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়াআবা-নাছতাগফিরলানা-যুনূবানাইন্না-কুন্না-খা-তিঈন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰۤاَبَانَا/يَـٰٓأَبَانَا/yaabana//اسْتَغْفِرْ/ٱسۡتَغۡفِرۡ/is'taghfir//لَنَا/لَنَا/lana//ذُنُوْبَنَاۤ/ذُنُوبَنَآ/dhunubana//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//خٰطِـِٕیْنَ /خَٰطِـِٔينَ/khatiina",
              "words_bangla": "তারা বললো//\"হে আমাদের পিতা//ক্ষমাপ্রার্থনা করুন//আমাদের জন্যে//আমাদের পাপসমূহের//নিশ্চয়ই আমরা//ছিলাম//অপরাধী\""
            },
            {
              "number": 1694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1694.mp3"
              ],
              "text": "قَالَ سَوْفَ أَسْتَغْفِرُ لَكُمْ رَبِّىٓ ۖ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "বললেন, সত্বরই আমি পালনকর্তার কাছে তোমাদের জন্য ক্ষমা চাইব। নিশ্চয় তিনি ক্ষমাশীল, দয়ালূ।",
              "numberInSurah": 98,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছাওফা আছতাগফিরু লাকুম রাববী ইন্নাহূহুওয়াল গাফূরুুর রাহীম।",
              "words_arabic": "قَالَ/قَالَ/qala//سَوْفَ/سَوۡفَ/sawfa//اَسْتَغْفِرُ/أَسۡتَغۡفِرُ/astaghfiru//لَكُمْ/لَكُمۡ/lakum//رَبِّیْ ؕ/رَبِّيٓۖ/rabbi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "সে বললো//\"শীঘ্রই//আমি ক্ষমা প্রার্থনা করবো//তোমাদের জন্যে//আমার রবের কাছে//নিশ্চয়ই তিনি//তিনিই//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 1695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1695.mp3"
              ],
              "text": "فَلَمَّا دَخَلُوا۟ عَلَىٰ يُوسُفَ ءَاوَىٰٓ إِلَيْهِ أَبَوَيْهِ وَقَالَ ٱدْخُلُوا۟ مِصْرَ إِن شَآءَ ٱللَّهُ ءَامِنِينَ",
              "translate_bn": "অতঃপর যখন তারা ইউসুফের কাছে পৌঁছল, তখন ইউসুফ পিতা-মাতাকে নিজের কাছে জায়গা দিলেন এবং বললেনঃ আল্লাহ চাহেন তো শান্তি চিত্তে মিসরে প্রবেশ করুন।",
              "numberInSurah": 99,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-দাখালূ‘আলা-ইঊছুফা আ-ওয়াইলাইহি আবাওয়াইহি ওয়া কা-লাদ খুলূমিসরা ইন শাআল্লা-হু আ-মিনীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلٰی/عَلَىٰ/ala//یُوْسُفَ/يُوسُفَ/yusufa//اٰوٰۤی/ءَاوَىٰٓ/awa//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَبَوَیْهِ/أَبَوَيۡهِ/abawayhi//وَ قَالَ/وَقَالَ/waqala//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//مِصْرَ/مِصۡرَ/mis'ra//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//اٰمِنِیْنَؕ/ءَامِنِينَ/aminina",
              "words_bangla": "অতঃপর যখন//তারা উপস্থিত হলো//নিকট//ইউসুফের//সে জায়গা দিলো//তার কাছে//তার পিতা-মাতাকে//এবং সে বললো//\"আপনারা প্রবেশ করুন//মিশরে//যদি//চান//আল্লাহ্‌//নিরাপদ (থাকবেন)\""
            },
            {
              "number": 1696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1696.mp3"
              ],
              "text": "وَرَفَعَ أَبَوَيْهِ عَلَى ٱلْعَرْشِ وَخَرُّوا۟ لَهُۥ سُجَّدًۭا ۖ وَقَالَ يَٰٓأَبَتِ هَٰذَا تَأْوِيلُ رُءْيَٰىَ مِن قَبْلُ قَدْ جَعَلَهَا رَبِّى حَقًّۭا ۖ وَقَدْ أَحْسَنَ بِىٓ إِذْ أَخْرَجَنِى مِنَ ٱلسِّجْنِ وَجَآءَ بِكُم مِّنَ ٱلْبَدْوِ مِنۢ بَعْدِ أَن نَّزَغَ ٱلشَّيْطَٰنُ بَيْنِى وَبَيْنَ إِخْوَتِىٓ ۚ إِنَّ رَبِّى لَطِيفٌۭ لِّمَا يَشَآءُ ۚ إِنَّهُۥ هُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ",
              "translate_bn": "এবং তিনি পিতা-মাতাকে সিংহাসনের উপর বসালেন এবং তারা সবাই তাঁর সামনে সেজদাবনত হল। তিনি বললেনঃ পিতা এ হচ্ছে আমার ইতিপূর্বেকার স্বপ্নের বর্ণনা আমার পালনকর্তা একে সত্যে পরিণত করেছেন এবং তিনি আমার প্রতি অনুগ্রহ করেছেন। আমাকে জেল থেকে বের করেছেন এবং আপনাদেরকে গ্রাম থেকে নিয়ে এসেছেন, শয়তান আমার ও আমার ভাইদের মধ্যে কলহ সৃষ্টি করে দেয়ার পর। আমার পালনকর্তা যা চান, কৌশলে সম্পন্ন করেন। নিশ্চয় তিনি বিজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 100,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 98,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাফা‘আ আবাওয়াইহি ‘আলাল ‘আরশি ওয়া খাররূলাহূছুজ্জদাওঁ ওয়া কা-লা ইয়াআবাতি হা-যা-তা’বীলুরু‘ইয়া-ইয়া মিন কাবলু কাদ জা‘আলাহা-রাববী হাক্কাওঁ ওয়া কাদ আহছানা বী ইযআখরাজানী মিনাছছিজনি ওয়া জাআ বিকুম মিনাল বাদবিমিম বা‘দি আন নাঝাগাশশাইতা-নুবাইনী ওয়া বাইনা ইখওয়াতী ইন্না রাববী লাতীফুল লিমা-ইয়াশাউ ইন্নাহূহুওয়াল ‘আলীমুল হাকীম।",
              "words_arabic": "وَ رَفَعَ/وَرَفَعَ/warafa'a//اَبَوَیْهِ/أَبَوَيۡهِ/abawayhi//عَلَی/عَلَى/ala//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//وَ خَرُّوْا/وَخَرُّواْ/wakharru//لَهٗ/لَهُۥ/lahu//سُجَّدًا ۚ/سُجَّدٗاۖ/sujjadan//وَ قَالَ/وَقَالَ/waqala//یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//هٰذَا/هَٰذَا/hadha//تَاْوِیْلُ/تَأۡوِيلُ/tawilu//رُءْیَایَ/رُءۡيَٰيَ/ru'yaya//مِنْ/مِن/min//قَبْلُ ؗ/قَبۡلُ/qablu//قَدْ/قَدۡ/qad//جَعَلَهَا/جَعَلَهَا/ja'alaha//رَبِّیْ/رَبِّي/rabbi//حَقًّا ؕ/حَقّٗاۖ/haqqan//وَ قَدْ/وَقَدۡ/waqad//اَحْسَنَ/أَحۡسَنَ/ahsana//بِیْۤ/بِيٓ/bi//اِذْ/إِذۡ/idh//اَخْرَجَنِیْ/أَخۡرَجَنِي/akhrajani//مِنَ/مِنَ/mina//السِّجْنِ/ٱلسِّجۡنِ/al-sij'ni//وَ جَآءَ/وَجَآءَ/wajaa//بِكُمْ/بِكُم/bikum//مِّنَ/مِّنَ/mina//الْبَدْوِ/ٱلۡبَدۡوِ/al-badwi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اَنْ/أَن/an//نَّزَغَ/نَّزَغَ/nazagha//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَ/وَبَيۡنَ/wabayna//اِخْوَتِیْ ؕ/إِخۡوَتِيٓۚ/ikh'wati//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//لَطِیْفٌ/لَطِيفٞ/latifun//لِّمَا/لِّمَا/lima//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এবং চড়ালেন//তার পিতা-মাতাকে//উপর//সিংহাসনের//এবং তারা ঝুঁকে পড়লো//তার দিকে//সিজদায় (অর্থাৎ নত হয়ে)//এবং সে বললো//\"হে আমার পিতা//এটা//ব্যখ্যা//আমার স্বপ্নের//থেকে//পূর্ব//নিশ্চয়ই//তা পরিণত করেছেন//আমার রব//সত্য//এবং নিশ্চয়ই//অনুুগ্রহ করেছেন//আমার উপর (আমার রব)//যখন//আমাকে তিনি বের করেছেন//থেকে//কারাগার//এবং নিয়ে এনেছেন//আপনাদেরকে//থেকে//মরুভূমি//থেকে//পর//যে//বিরোধ সৃষ্টি করেছে//শয়তান//আমার মাঝে//ও মাঝে//আমার ভাইদের//নিশ্চয়ই//আমার রব//সুক্ষ্মদর্শী//তার যা//তিনি চান//নিশ্চয়ই তিনি//তিনিই//মহাবিজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 1697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1697.mp3"
              ],
              "text": "۞ رَبِّ قَدْ ءَاتَيْتَنِى مِنَ ٱلْمُلْكِ وَعَلَّمْتَنِى مِن تَأْوِيلِ ٱلْأَحَادِيثِ ۚ فَاطِرَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ أَنتَ وَلِىِّۦ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۖ تَوَفَّنِى مُسْلِمًۭا وَأَلْحِقْنِى بِٱلصَّٰلِحِينَ",
              "translate_bn": "হে পালনকর্তা আপনি আমাকে রাষ্ট্রক্ষমতাও দান করেছেন এবং আমাকে বিভিন্ন তাৎপর্য সহ ব্যাখ্যা করার বিদ্যা শিখিয়ে দিয়েছেন। হে নভোমন্ডল ও ভূ-মন্ডলের স্রষ্টা, আপনিই আমার কার্যনির্বাহী ইহকাল ও পরকালে। আমাকে ইসলামের উপর মৃত্যুদান করুন এবং আমাকে স্বজনদের সাথে মিলিত করুন।",
              "numberInSurah": 101,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "রাব্বি কাদ আ-তাইতানী মিনাল মুলকি ওয়া ‘আল্লামতানী মিন তা’বীলিল আহা-দীছি ফা-তিরাছছামা-ওয়া-তি ওয়াল আরদি আনতা ওয়ালিইইয়ী ফিদদুনইয়া-ওয়াল আখিরাতি তাওয়াফফানী মুছলিমাওঁ ওয়া আলহিকনী বিসসা-লিহীন।",
              "words_arabic": "رَبِّ/۞رَبِّ/rabbi//قَدْ/قَدۡ/qad//اٰتَیْتَنِیْ/ءَاتَيۡتَنِي/ataytani//مِنَ/مِنَ/mina//الْمُلْكِ/ٱلۡمُلۡكِ/al-mul'ki//وَ عَلَّمْتَنِیْ/وَعَلَّمۡتَنِي/wa'allamtani//مِنْ/مِن/min//تَاْوِیْلِ/تَأۡوِيلِ/tawili//الْاَحَادِیْثِ ۚ/ٱلۡأَحَادِيثِۚ/al-ahadithi//فَاطِرَ/فَاطِرَ/fatira//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۫/وَٱلۡأَرۡضِ/wal-ardi//اَنْتَ/أَنتَ/anta//وَلِیّٖ/وَلِيِّۦ/waliyyi//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ۚ/وَٱلۡأٓخِرَةِۖ/wal-akhirati//تَوَفَّنِیْ/تَوَفَّنِي/tawaffani//مُسْلِمًا/مُسۡلِمٗا/mus'liman//وَّ اَلْحِقْنِیْ/وَأَلۡحِقۡنِي/wa-alhiq'ni//بِالصّٰلِحِیْنَ /بِٱلصَّـٰلِحِينَ/bil-salihina",
              "words_bangla": "হে আমার রব//নিশ্চয়ই//আমাকে দিয়েছো ‍তুমি//কিছু//রাষ্ট্রক্ষমতার//ও আমাকে তুমি শিখিয়েছো//করা//ব্যাখ্যা//স্বপ্নের//(তুমিই) স্রষ্টা//আকাশের//ও পৃথিবীর//তুমিই//আমার অভিভাবক//মধ্যে//পৃথিবীর//এবং আখিরাতেও//আমাকে মৃত্যু দিও//মুসলিম হিসেবে//ও আমাকে মিলিত করো//সাথে ভালো লোকদের\""
            },
            {
              "number": 1698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1698.mp3"
              ],
              "text": "ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهِ إِلَيْكَ ۖ وَمَا كُنتَ لَدَيْهِمْ إِذْ أَجْمَعُوٓا۟ أَمْرَهُمْ وَهُمْ يَمْكُرُونَ",
              "translate_bn": "এগুলো অদৃশ্যের খবর, আমি আপনার কাছে প্রেরণ করি। আপনি তাদের কাছে ছিলেন না, যখন তারা স্বীয় কাজ সাব্যস্ত করছিল এবং চক্রান্ত করছিল।",
              "numberInSurah": 102,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা মিন আমবাইল গাইবি নূহীহি ইলাইকা ওয়ামা-কুনতা লাদাইহিম ইয আজমা‘উআমরাহুম ওয়া হুম ইয়ামকুরূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//نُوْحِیْهِ/نُوحِيهِ/nuhihi//اِلَیْكَ ۚ/إِلَيۡكَۖ/ilayka//وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//اِذْ/إِذۡ/idh//اَجْمَعُوْۤا/أَجۡمَعُوٓاْ/ajma'u//اَمْرَهُمْ/أَمۡرَهُمۡ/amrahum//وَ هُمْ/وَهُمۡ/wahum//یَمْكُرُوْنَ /يَمۡكُرُونَ/yamkuruna",
              "words_bangla": "(হে নাবী) এটা//একটি//সংবাদ সমূহের//অদৃশ্যের//তা আমরা ওহী করছি//তোমার প্রতি//এবং না//তুমি ছিলে//তাদের সঙ্গে//যখন//তারা একজোট হয়েছিলো//তাদের কাজে//এমতাবস্হায় যে তারা//ষড়যন্ত্র করছিলো"
            },
            {
              "number": 1699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1699.mp3"
              ],
              "text": "وَمَآ أَكْثَرُ ٱلنَّاسِ وَلَوْ حَرَصْتَ بِمُؤْمِنِينَ",
              "translate_bn": "আপনি যতই চান, অধিকাংশ লোক বিশ্বাসকারী নয়।",
              "numberInSurah": 103,
              "juz": 13,
              "manzil": 3,
              "page": 247,
              "ruku": 203,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা আকছারুন্না-ছি ওয়ালাও হারাসতা বিমু’মিনীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَكْثَرُ/أَكۡثَرُ/aktharu//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لَوْ/وَلَوۡ/walaw//حَرَصْتَ/حَرَصۡتَ/harasta//بِمُؤْمِنِیْنَ /بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "এবং নয়//অধিকাংশ//মানুষ//এবং যদিও//তুমি আকাঙ্ক্ষা করো//বিশ্বাসী (হবে)"
            },
            {
              "number": 1700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1700.mp3"
              ],
              "text": "وَمَا تَسْـَٔلُهُمْ عَلَيْهِ مِنْ أَجْرٍ ۚ إِنْ هُوَ إِلَّا ذِكْرٌۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "আপনি এর জন্যে তাদের কাছে কোন বিনিময় চান না। এটা তো সারা বিশ্বের জন্যে উপদেশ বৈ নয়।",
              "numberInSurah": 104,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 203,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা তাছআলুহুম ‘আলাইহি মিন আজরিন ইন হুওয়া ইল্লা-যিকরুল লিল‘আ-লামীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَسْـَٔلُهُمْ/تَسۡـَٔلُهُمۡ/tasaluhum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ؕ/أَجۡرٍۚ/ajrin//اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٌ/ذِكۡرٞ/dhik'run//لِّلْعٰلَمِیْنَ۠/لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এবং না//তাদের কাছে তুমি চাচ্ছো//এ জন্যে//কোন//পারিশ্রমিক//নয়//তা//ছাড়া//উপদেশ//বিশ্বজগতের জন্যে"
            },
            {
              "number": 1701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1701.mp3"
              ],
              "text": "وَكَأَيِّن مِّنْ ءَايَةٍۢ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ يَمُرُّونَ عَلَيْهَا وَهُمْ عَنْهَا مُعْرِضُونَ",
              "translate_bn": "অনেক নিদর্শন রয়েছে নভোমন্ডলে ও ভু-মন্ডলে যেগুলোর উপর দিয়ে তারা পথ অতিক্রম করে এবং তারা এসবের দিকে মনোনিবেশ করে না।",
              "numberInSurah": 105,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন আ-য়াতিন ফিছছামা-ওয়া-তি ওয়াল আরদি ইয়ামুররূনা ‘আলাইহাওয়াহুম ‘আনহা-মু‘রিদূ ন।",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّنۡ/min//اٰیَةٍ/ءَايَةٖ/ayatin//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//یَمُرُّوْنَ/يَمُرُّونَ/yamurruna//عَلَیْهَا/عَلَيۡهَا/alayha//وَ هُمْ/وَهُمۡ/wahum//عَنْهَا/عَنۡهَا/anha//مُعْرِضُوْنَ /مُعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং কতইনা//থেকে//নিদর্শন (রয়েছে)//মধ্যে//আকাশের//এবং পৃথিবীর//তারা অতিক্রম করে//তার উপর (দিয়ে)//অথচ তারা//তা থেকে//উপেক্ষাকারী"
            },
            {
              "number": 1702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1702.mp3"
              ],
              "text": "وَمَا يُؤْمِنُ أَكْثَرُهُم بِٱللَّهِ إِلَّا وَهُم مُّشْرِكُونَ",
              "translate_bn": "অনেক মানুষ আল্লাহর প্রতি বিশ্বাস স্থাপন করে, কিন্তু সাথে সাথে শিরকও করে।",
              "numberInSurah": 106,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইউ’মিনুআকছারুহুম বিল্লা-হি ইল্লা-ওয়াহুম মুশরিকূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//اِلَّا/إِلَّا/illa//وَ هُمْ/وَهُم/wahum//مُّشْرِكُوْنَ /مُّشۡرِكُونَ/mush'rikuna",
              "words_bangla": "এবং না//বিশ্বাস করে//তাদের অধিকাংশ//উপর আল্লাহর//ছাড়া যে//তখন তারা (বিশ্বাস করলেও)//শিরক করে"
            },
            {
              "number": 1703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1703.mp3"
              ],
              "text": "أَفَأَمِنُوٓا۟ أَن تَأْتِيَهُمْ غَٰشِيَةٌۭ مِّنْ عَذَابِ ٱللَّهِ أَوْ تَأْتِيَهُمُ ٱلسَّاعَةُ بَغْتَةًۭ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "তারা কি নির্ভীক হয়ে গেছে এ বিষয়ে যে, আল্লাহর আযাবের কোন বিপদ তাদেরকে আবৃত করে ফেলবে অথবা তাদের কাছে হঠাৎ কেয়ামত এসে যাবে, অথচ তারা টেরও পাবে না?",
              "numberInSurah": 107,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "আফাআমিনূআন তা’তিয়াহুম গা-শিয়াতুমমিন‘আযা-বিল্লা-হি আও তা‘তিয়াহুমুছছা-‘আতু বাগতাতাওঁ ওয়াহুম লা-ইয়াশ‘উরূন।\r\n",
              "words_arabic": "اَفَاَمِنُوْۤا/أَفَأَمِنُوٓاْ/afa-aminu//اَنْ/أَن/an//تَاْتِیَهُمْ/تَأۡتِيَهُمۡ/tatiyahum//غَاشِیَةٌ/غَٰشِيَةٞ/ghashiyatun//مِّنْ/مِّنۡ/min//عَذَابِ/عَذَابِ/adhabi//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْ/أَوۡ/aw//تَاْتِیَهُمُ/تَأۡتِيَهُمُ/tatiyahumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "তবে কি তারা নিরাপদ হয়েছে//যে//তাদের উপর আসবে//আচ্ছন্নকারী//কোন//শাস্তি//আল্লাহ্‌র//অথবা//তাদের উপর আসবে//ক্বিয়ামাত//হঠাৎ করে//এমতাবস্হায় যে তারা//না//টেরও পাবে"
            },
            {
              "number": 1704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1704.mp3"
              ],
              "text": "قُلْ هَٰذِهِۦ سَبِيلِىٓ أَدْعُوٓا۟ إِلَى ٱللَّهِ ۚ عَلَىٰ بَصِيرَةٍ أَنَا۠ وَمَنِ ٱتَّبَعَنِى ۖ وَسُبْحَٰنَ ٱللَّهِ وَمَآ أَنَا۠ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "বলে দিনঃ এই আমার পথ। আমি আল্লাহর দিকে বুঝে সুঝে দাওয়াত দেই আমি এবং আমার অনুসারীরা। আল্লাহ পবিত্র। আমি অংশীবাদীদের অন্তর্ভুক্ত নই।",
              "numberInSurah": 108,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "কুল হা-যিহী ছাবীলীআদ‘ঊইলাল্লা-হি ‘আলা-বাসীরাতিন আনা ওয়া মানিত্তাবা‘আনী ওয়া ছুবহা-নাল্লা-হি ওয়ামাআনা মিনাল মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هٰذِهٖ/هَٰذِهِۦ/hadhihi//سَبِیْلِیْۤ/سَبِيلِيٓ/sabili//اَدْعُوْۤا/أَدۡعُوٓاْ/ad'u//اِلَی/إِلَى/ila//اللّٰهِ ؔ۫/ٱللَّهِۚ/al-lahi//عَلٰی/عَلَىٰ/ala//بَصِیْرَةٍ/بَصِيرَةٍ/basiratin//اَنَا/أَنَا۠/ana//وَ مَنِ/وَمَنِ/wamani//اتَّبَعَنِیْ ؕ/ٱتَّبَعَنِيۖ/ittaba'ani//وَ سُبْحٰنَ/وَسُبۡحَٰنَ/wasub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "(হে নাবী) বলো//\"এই//আমার পথ//ডাকি আমি//দিকে//আল্লাহ্‌র//ভিত্তিতে//জ্ঞানের//আমি//এবং যে//আমার অনুসরণ করে//এবং মহান পবিত্র//আল্লাহ্‌//এবং নই//আমি//অন্তর্ভুক্ত//মুশরিকদের\""
            },
            {
              "number": 1705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1705.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن قَبْلِكَ إِلَّا رِجَالًۭا نُّوحِىٓ إِلَيْهِم مِّنْ أَهْلِ ٱلْقُرَىٰٓ ۗ أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۗ وَلَدَارُ ٱلْءَاخِرَةِ خَيْرٌۭ لِّلَّذِينَ ٱتَّقَوْا۟ ۗ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "আপনার পূর্বে আমি যতজনকে রসূল করে পাঠিয়েছি, তারা সবাই পুরুষই ছিল জনপদবাসীদের মধ্য থেকে। আমি তাঁদের কাছে ওহী প্রেরণ করতাম। তারা কি দেশ-বিদেশ ভ্রমণ করে না, যাতে দেখে নিত কিরূপ পরিণতি হয়েছে তাদের যারা পূর্বে ছিল ? সংযমকারীদের জন্যে পরকালের আবাসই উত্তম। তারা কি এখনও বোঝে না?",
              "numberInSurah": 109,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-মিন কাবলিকা ইল্লা-রিজা-লাননূহীইলাইহিম মিন আহলিল কুরা- আফালাম ইয়াছীরূফিল আরদিফাইয়ানজুরূ কাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলিহিম ওয়ালাদা-রুল আ-খিরাতি খাইরুল লিল্লাযী নাত্তাকাও আফালাতা‘কিলূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//اِلَّا/إِلَّا/illa//رِجَالًا/رِجَالٗا/rijalan//نُّوْحِیْۤ/نُّوحِيٓ/nuhi//اِلَیْهِمْ/إِلَيۡهِم/ilayhim//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْقُرٰی ؕ/ٱلۡقُرَىٰٓۗ/al-qura//اَفَلَمْ/أَفَلَمۡ/afalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۗ/qablihim//وَ لَدَارُ/وَلَدَارُ/waladaru//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//خَیْرٌ/خَيۡرٞ/khayrun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اتَّقَوْا ؕ/ٱتَّقَوۡاْۚ/ittaqaw//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//থেকে//আগে তোমার (রাসূলদেরকে)//ছাড়া//পুরুষদেরকে//আমরা ওহী করেছি//তাদের প্রতি//মধ্য থেকে//অধিবাসীদের//জনপদের//নি তবে কি//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//অতঃপর তারা দেখেনি//কেমন//ছিলো//পরিণতি (তাদের)//যারা (ছিলো)//থেকে//পূর্ব তাদের//এবং অবশ্যই ঘর//পরকালের//উত্তম//তাদের জন্যে (যারা)//ভয় করে চলে//তবে কি না//তোমরা বুঝবে"
            },
            {
              "number": 1706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1706.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا ٱسْتَيْـَٔسَ ٱلرُّسُلُ وَظَنُّوٓا۟ أَنَّهُمْ قَدْ كُذِبُوا۟ جَآءَهُمْ نَصْرُنَا فَنُجِّىَ مَن نَّشَآءُ ۖ وَلَا يُرَدُّ بَأْسُنَا عَنِ ٱلْقَوْمِ ٱلْمُجْرِمِينَ",
              "translate_bn": "এমনকি যখন পয়গম্বরগণ নৈরাশ্যে পতিত হয়ে যেতেন, এমনকি এরূপ ধারণা করতে শুরু করতেন যে, তাদের অনুমান বুঝি মিথ্যায় পরিণত হওয়ার উপক্রম হয়েছিল, তখন তাদের কাছে আমার সাহায্য পৌছে। অতঃপর আমি যাদের চেয়েছি তারা উদ্ধার পেয়েছে। আমার শাস্তি অপরাধী সম্প্রদায় থেকে প্রতিহত হয় না।",
              "numberInSurah": 110,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "হাত্তা ইযাছতাইআছাররুছুলুওয়া জান্নূআন্নাহুম কাদ কুযিবূজাআহুম নাসরুনা- ফানুজ্জিয়া মান্নাশাউ ওয়ালা-ইউরাদ্দুবা’ছুনা-‘আনিল কাওমিল মুজরিমীন।\r\n",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//اسْتَیْـَٔسَ/ٱسۡتَيۡـَٔسَ/is'tayasa//الرُّسُلُ/ٱلرُّسُلُ/al-rusulu//وَ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنَّهُمْ/أَنَّهُمۡ/annahum//قَدْ/قَدۡ/qad//كُذِبُوْا/كُذِبُواْ/kudhibu//جَآءَهُمْ/جَآءَهُمۡ/jaahum//نَصْرُنَا/نَصۡرُنَا/nasruna//فَنُجِّیَ/فَنُجِّيَ/fanujjiya//مَنْ/مَن/man//نَّشَآءُ ؕ/نَّشَآءُۖ/nashau//وَ لَا/وَلَا/wala//یُرَدُّ/يُرَدُّ/yuraddu//بَاْسُنَا/بَأۡسُنَا/basuna//عَنِ/عَنِ/ani//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এমনকি//যখন//নিরাশ হলো//রাসূলরা//এবং (লোকেরা) ভাবলো//যে তাদেরকে//নিশ্চয়ই//তাদেরকে মিথ্যা আশ্বাস দেয়া হয়েছে//তাদের (রাসূলদের) কাছে আসলো//আমাদের সাহায্য//অতঃপর উদ্ধার করা হলো//যাদেরকে//আমরা চেয়েছি//এবং না//প্রতিরোধ করা হয়//আমাদের শাস্তি//হ'তে//সম্প্রদায়//অপরাধী"
            },
            {
              "number": 1707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1707.mp3"
              ],
              "text": "لَقَدْ كَانَ فِى قَصَصِهِمْ عِبْرَةٌۭ لِّأُو۟لِى ٱلْأَلْبَٰبِ ۗ مَا كَانَ حَدِيثًۭا يُفْتَرَىٰ وَلَٰكِن تَصْدِيقَ ٱلَّذِى بَيْنَ يَدَيْهِ وَتَفْصِيلَ كُلِّ شَىْءٍۢ وَهُدًۭى وَرَحْمَةًۭ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তাদের কাহিনীতে বুদ্ধিমানদের জন্য রয়েছে প্রচুর শিক্ষণীয় বিষয়, এটা কোন মনগড়া কথা নয়, কিন্তু যারা বিশ্বাস স্থাপন করে তাদের জন্যে পূর্বেকার কালামের সমর্থন এবং প্রত্যেক বস্তুর বিবরণ রহমত ও হেদায়েত।",
              "numberInSurah": 111,
              "juz": 13,
              "manzil": 3,
              "page": 248,
              "ruku": 204,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কা-না ফী কাসাসিহিম ‘ইবরাতুল লিঊলিল আলবা-বি মা-কা-না হাদীছাইঁ ইউফতারা-ওয়া লা-কিন তাসদাকাল্লাযী বাইনা ইয়াদইহি ওয়া তাফসীলা কুল্লি শাইইওঁ ওয়া হুদাও ওয়া রাহমাতাল লিকাওমিইঁ ইউ’মিনূন।\r\n",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//كَانَ/كَانَ/kana//فِیْ/فِي/fi//قَصَصِهِمْ/قَصَصِهِمۡ/qasasihim//عِبْرَةٌ/عِبۡرَةٞ/ib'ratun//لِّاُولِی/لِّأُوْلِي/li-uli//الْاَلْبَابِ ؕ/ٱلۡأَلۡبَٰبِۗ/al-albabi//مَا/مَا/ma//كَانَ/كَانَ/kana//حَدِیْثًا/حَدِيثٗا/hadithan//یُّفْتَرٰی/يُفۡتَرَىٰ/yuf'tara//وَ لٰكِنْ/وَلَٰكِن/walakin//تَصْدِیْقَ/تَصۡدِيقَ/tasdiqa//الَّذِیْ/ٱلَّذِي/alladhi//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ تَفْصِیْلَ/وَتَفۡصِيلَ/watafsila//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//রয়েছে//মধ্যে//তাদের কাহিনীগুলোর//শিক্ষা//জন্যে সম্পন্নদের//জ্ঞানবুদ্ধি//না//ছিলো//এ কথা//মনগড়া//কিন্তু//সত্যায়নকারী//যা//বিদ্যমান//তার সামনে//এবং বিশদ ব্যাখ্যা//সব//কিছুর//এবং দিশা//ও অনুগ্রহ//লোকদের জন্যে//(যারা) ঈমান আনে"
            }
          ]
        },
        {
          "number": 13,
          "name": "سُورَةُ الرَّعۡدِ",
          "englishName": "Ar-Ra'd",
          "englishNameTranslation": "The Thunder",
          "revelationType": "Medinan",
          "verse": 43,
          "words": 1701,
          "chars": 7360,
          "ayahs": [
            {
              "number": 1708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1708.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓر ۚ تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ۗ وَٱلَّذِىٓ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ٱلْحَقُّ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ",
              "translate_bn": "আলিফ-লাম-মীম-রা; এগুলো কিতাবের আয়াত। যা কিছু আপনার পালনকর্তার পক্ষ থেকে অবতীর্ণ হয়েছে, তা সত্য। কিন্তু অধিকাংশ মানুষ এতে বিশ্বাস করে না।",
              "numberInSurah": 1,
              "juz": 13,
              "manzil": 3,
              "page": 249,
              "ruku": 205,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মী-ম রা- তিলকা আ-য়া-তুল কিতা-বি ওয়াল্লাযীউনঝিলা ইলাইকা মির রাব্বিকাল হাক্কুওয়ালা-কিন্না আকছারান্না-ছি লা-ইউ’মিনূন।",
              "words_arabic": "الٓمّٓرٰ ۫/الٓمٓرۚ/alif-lam-meem-ra//تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ ؕ/ٱلۡكِتَٰبِۗ/al-kitabi//وَ الَّذِیْۤ/وَٱلَّذِيٓ/wa-alladhi//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "আলিফ লা-ম মী-ম রা-//এই//আয়াতসমূহ//কিতাবের//এবং যা//অবতীর্ণ হয়েছে//তোমার প্রতি//থেকে//তোমার রবের//(তা) সত্য//কিন্তু//অধিকাংশ//মানুষ//না//ঈমান আনে"
            },
            {
              "number": 1709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1709.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى رَفَعَ ٱلسَّمَٰوَٰتِ بِغَيْرِ عَمَدٍۢ تَرَوْنَهَا ۖ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّۭ يَجْرِى لِأَجَلٍۢ مُّسَمًّۭى ۚ يُدَبِّرُ ٱلْأَمْرَ يُفَصِّلُ ٱلْءَايَٰتِ لَعَلَّكُم بِلِقَآءِ رَبِّكُمْ تُوقِنُونَ",
              "translate_bn": "আল্লাহ, যিনি উর্ধ্বদেশে স্থাপন করেছেন আকাশমন্ডলীকে স্তম্ভ ব্যতীত। তোমরা সেগুলো দেখ। অতঃপর তিনি আরশের উপর অধিষ্ঠিত হয়েছেন। এবং সূর্য ও চন্দ্রকে কর্মে নিয়োজিত করেছেন। প্রত্যেকে নির্দিষ্ট সময় মোতাবেক আবর্তন করে। তিনি সকল বিষয় পরিচালনা করেন, নিদর্শনসমূহ প্রকাশ করেন, যাতে তোমরা স্বীয় পালনকর্তার সাথে সাক্ষাত সম্বন্ধে নিশ্চিত বিশ্বাসী হও।",
              "numberInSurah": 2,
              "juz": 13,
              "manzil": 3,
              "page": 249,
              "ruku": 205,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযীরাফা‘আছছামা-ওয়া-তি বিগাইরি ‘আমাদিন তারাওনাহা- ছু ম্মাছ তাওয়া ‘আলাল ‘আরশি ওয়া ছাখখারাশশামছা ওয়াল কামারা কুল্লুইঁ ইয়াজরী লিআজালিম মুছাম্মা- ইউদাব্বিরুল আমরা ইউফাসসিলুল আ-য়া-তি লা‘আল্লাকুম বিলিকাই রাব্বিকুম তূকিনূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//رَفَعَ/رَفَعَ/rafa'a//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//بِغَیْرِ/بِغَيۡرِ/bighayri//عَمَدٍ/عَمَدٖ/amadin//تَرَوْنَهَا/تَرَوۡنَهَاۖ/tarawnaha//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ/ٱلۡعَرۡشِۖ/al-'arshi//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ ؕ/وَٱلۡقَمَرَۖ/wal-qamara//كُلٌّ/كُلّٞ/kullun//یَّجْرِیْ/يَجۡرِي/yajri//لِاَجَلٍ/لِأَجَلٖ/li-ajalin//مُّسَمًّی ؕ/مُّسَمّٗىۚ/musamman//یُدَبِّرُ/يُدَبِّرُ/yudabbiru//الْاَمْرَ/ٱلۡأَمۡرَ/al-amra//یُفَصِّلُ/يُفَصِّلُ/yufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّكُمْ/لَعَلَّكُم/la'allakum//بِلِقَآءِ/بِلِقَآءِ/biliqai//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//تُوْقِنُوْنَ /تُوقِنُونَ/tuqinuna",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//উপরে স্থাপন করেছেন//আকাশমন্ডলী//ছাড়া//কোন খুঁটি//তা তোমরা দেখছো//এরপর//উঠেছেন//উপর//আরশের//এবং অধীন করেছেন//সূর্যকে (নিয়মের)//ও চাঁদকে//প্রত্যেকে//চলছে//জন্যে সময়ের//নির্দিষ্ট//তিনি পরিচালনা করেন//সকল বিষয়//বিশদ বর্ণনা করেন//নিদর্শনসমূহ//তোমরা যাতে//সম্পর্কে সাক্ষাত//তোমাদের রবের//তোমরা দৃঢ় বিশ্বাস করো"
            },
            {
              "number": 1710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1710.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى مَدَّ ٱلْأَرْضَ وَجَعَلَ فِيهَا رَوَٰسِىَ وَأَنْهَٰرًۭا ۖ وَمِن كُلِّ ٱلثَّمَرَٰتِ جَعَلَ فِيهَا زَوْجَيْنِ ٱثْنَيْنِ ۖ يُغْشِى ٱلَّيْلَ ٱلنَّهَارَ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "তিনিই ভুমন্ডলকে বিস্তৃত করেছেন এবং তাতে পাহাড় পর্বত ও নদ-নদী স্থাপন করেছেন এবং প্রত্যেক ফলের মধ্যে দু’দু প্রকার সৃষ্টি করে রেখেছেন। তিনি দিনকে রাত্রি দ্বারা আবৃত করেন। এতে তাদের জন্যে নিদর্শণ রয়েছে, যারা চিন্তা করে।",
              "numberInSurah": 3,
              "juz": 13,
              "manzil": 3,
              "page": 249,
              "ruku": 205,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী মাদ্দাল আরদা ওয়া জা‘আলা ফীহা-রাওয়া-ছিয়া ওয়াআনহা-রাওঁ ওয়া মিন কুল্লিছছামারা-তি জা‘আলা ফীহা- ঝাওজাইনিছনাইনি ইউগশিল লাইলান্নাহা-র ইন্না ফী যা-লিকা লা আ-য়া-তিল লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//مَدَّ/مَدَّ/madda//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ جَعَلَ/وَجَعَلَ/waja'ala//فِیْهَا/فِيهَا/fiha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//وَ اَنْهٰرًا ؕ/وَأَنۡهَٰرٗاۖ/wa-anharan//وَ مِنْ/وَمِن/wamin//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//جَعَلَ/جَعَلَ/ja'ala//فِیْهَا/فِيهَا/fiha//زَوْجَیْنِ/زَوۡجَيۡنِ/zawjayni//اثْنَیْنِ/ٱثۡنَيۡنِۖ/ith'nayni//یُغْشِی/يُغۡشِي/yugh'shi//الَّیْلَ/ٱلَّيۡلَ/al-layla//النَّهَارَ ؕ/ٱلنَّهَارَۚ/al-nahara//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "এবং তিনিই//যিনি//বিস্তৃত করেছেন//জমিনকে//ও সৃষ্টি করেছেন//তার মধ্যে//সুদৃঢ় পর্বত//ও নদীসমূহ//এবং রকমের//সব//ফলমূলসমূহ//সৃষ্টি করেছেন//তার মধ্যে//জোড়া//দুই (ধরণের)//তিনি ঢেকে রেখেছেন//রাত (দিয়ে)//দিনকে//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শনাবলী//লোকদের জন্যে (যারা)//চিন্তা-ভাবনা করে"
            },
            {
              "number": 1711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1711.mp3"
              ],
              "text": "وَفِى ٱلْأَرْضِ قِطَعٌۭ مُّتَجَٰوِرَٰتٌۭ وَجَنَّٰتٌۭ مِّنْ أَعْنَٰبٍۢ وَزَرْعٌۭ وَنَخِيلٌۭ صِنْوَانٌۭ وَغَيْرُ صِنْوَانٍۢ يُسْقَىٰ بِمَآءٍۢ وَٰحِدٍۢ وَنُفَضِّلُ بَعْضَهَا عَلَىٰ بَعْضٍۢ فِى ٱلْأُكُلِ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "এবং যমিনে বিভিন্ন শস্য ক্ষেত্র রয়েছে-একটি অপরটির সাথে সংলগ্ন এবং আঙ্গুরের বাগান আছে আর শস্য ও খজ্জꦣ2497;র রয়েছে-একটির মূল অপরটির সাথে মিলিত এবং কতক মিলিত নয়। এগুলো কে একই পানি দ্বারা সেচ করা হয়। আর আমি স্বাদে একটিকে অপরটির চাইতে উৎকৃষ্টতর করে দেই। এগুলোর মধ্যে নিদর্শণ রয়েছে তাদের জন্য যারা চিন্তা ভাবনা করে।",
              "numberInSurah": 4,
              "juz": 13,
              "manzil": 3,
              "page": 249,
              "ruku": 205,
              "hizbQuarter": 99,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফিল আরদিকিতা‘উম মুতাজা-বিরা-তুওঁ ওয়া জান্না-তুম মিন আ‘না-বিওঁ ওয়া ঝার‘উওঁ ওয়া নাখীলুন সিনওয়া-নুওঁ ওয়া গাইরু সিনওয়া-নিইঁ ইউছকা- বিমাইওঁ ওয়াহিদিওঁ ওয়া নুফাদদিলুবা‘দাহা- ‘আলা-বা‘দিন ফিল উকুলি ইন্না ফী যালিকা লাআ-য়া-তিল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "وَ فِی/وَفِي/wafi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//قِطَعٌ/قِطَعٞ/qita'un//مُّتَجٰوِرٰتٌ/مُّتَجَٰوِرَٰتٞ/mutajawiratun//وَّ جَنّٰتٌ/وَجَنَّـٰتٞ/wajannatun//مِّنْ/مِّنۡ/min//اَعْنَابٍ/أَعۡنَٰبٖ/a'nabin//وَّ زَرْعٌ/وَزَرۡعٞ/wazar'un//وَّ نَخِیْلٌ/وَنَخِيلٞ/wanakhilun//صِنْوَانٌ/صِنۡوَانٞ/sin'wanun//وَّ غَیْرُ/وَغَيۡرُ/waghayru//صِنْوَانٍ/صِنۡوَانٖ/sin'wanin//یُّسْقٰی/يُسۡقَىٰ/yus'qa//بِمَآءٍ/بِمَآءٖ/bimain//وَّاحِدٍ ۫/وَٰحِدٖ/wahidin//وَ نُفَضِّلُ/وَنُفَضِّلُ/wanufaddilu//بَعْضَهَا/بَعۡضَهَا/ba'daha//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//فِی/فِي/fi//الْاُكُلِ ؕ/ٱلۡأُكُلِۚ/al-ukuli//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং মধ্যে//পৃথিবীর//ভূখন্ড//পরস্পর সংলগ্ন//ও বাগানসমূহ//এর//আঙ্গুর//ও শস্যক্ষেত//ও খেজুর গাছসমূহ//একাধিক শিরবিশিষ্ট//ও নয়//একাধিক শিরবিশিষ্ট//সেচ করা হয়//দিয়ে পানি//একই//এবং শ্রেষ্ঠত্ব দিই আমরা//কিছু সংখ্যককে তার//উপর//কিছু সংখ্যকের//(স্বাদের) মধ্যে//ফলের//নিশ্চয়ই//মধ্যে//এর//অবশ্যই নিদর্শনাবলী//লোকদের জন্যে (রয়েছে)//(যারা) বুঝে"
            },
            {
              "number": 1712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1712.mp3"
              ],
              "text": "۞ وَإِن تَعْجَبْ فَعَجَبٌۭ قَوْلُهُمْ أَءِذَا كُنَّا تُرَٰبًا أَءِنَّا لَفِى خَلْقٍۢ جَدِيدٍ ۗ أُو۟لَٰٓئِكَ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ ۖ وَأُو۟لَٰٓئِكَ ٱلْأَغْلَٰلُ فِىٓ أَعْنَاقِهِمْ ۖ وَأُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "যদি আপনি বিস্ময়ের বিষয় চান, তবে তাদের একথা বিস্ময়কর যে, আমরা যখন মাটি হয়ে যাব, তখনও কি নতুন ভাবে সৃজিত হব? এরাই স্বীয় পালনকর্তার সত্তায় অবিশ্বাসী হয়ে গেছে, এদের গর্দানেই লৌহ-শৃংখল পড়বে এবং এরাই দোযখী এরা তাতে চিরকাল থাকবে।",
              "numberInSurah": 5,
              "juz": 13,
              "manzil": 3,
              "page": 249,
              "ruku": 205,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তা‘জাব ফা‘আজাবুন কাওলুহুম আইযা-কুন্না-তুরা-বান আইন্না-লাফী খালকিন জাদীদিন উলাইকাল্লাযীনা কাফারু বিরাব্বিহিম ওয়া উলাইকাল আগলা-লু ফীআ‘না-কিহিম ওয়া উলাইকা আসহা-বুন্না-রি হুম ফীহা- খা-লিদূ ন।\r\n",
              "words_arabic": "وَ اِنْ/۞وَإِن/wa-in//تَعْجَبْ/تَعۡجَبۡ/ta'jab//فَعَجَبٌ/فَعَجَبٞ/fa'ajabun//قَوْلُهُمْ/قَوۡلُهُمۡ/qawluhum//ءَاِذَا/أَءِذَا/a-idha//كُنَّا/كُنَّا/kunna//تُرٰبًا/تُرَٰبًا/turaban//ءَاِنَّا/أَءِنَّا/a-inna//لَفِیْ/لَفِي/lafi//خَلْقٍ/خَلۡقٖ/khalqin//جَدِیْدٍ ؕ۬/جَدِيدٍۗ/jadidin//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِرَبِّهِمْ ۚ/بِرَبِّهِمۡۖ/birabbihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//الْاَغْلٰلُ/ٱلۡأَغۡلَٰلُ/al-aghlalu//فِیْۤ/فِيٓ/fi//اَعْنَاقِهِمْ ۚ/أَعۡنَاقِهِمۡۖ/a'naqihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "এবং যদি//তুমি বিস্মিত হও//তবে বিস্ময়কর বিষয় (হলো)//তাদের কথা//\"যখন কি//আমরা হবো//মাটি//আমরা কি নিশ্চয়ই//অবশ্যই মধ্যে (হবো)//সৃষ্টির//নতুন\"//ঐসব লোক//যারা//অস্বীকার করেছে//রবকে তাদের//এবং ঐসব লোকের//শিকল//মধ্যে (থাকবে)//তাদের গলার//এবং ঐসব লোক//অধিবাসী//আগুনের//তারা//তার মধ্যে//স্থায়ী অবস্থানকারী"
            },
            {
              "number": 1713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1713.mp3"
              ],
              "text": "وَيَسْتَعْجِلُونَكَ بِٱلسَّيِّئَةِ قَبْلَ ٱلْحَسَنَةِ وَقَدْ خَلَتْ مِن قَبْلِهِمُ ٱلْمَثُلَٰتُ ۗ وَإِنَّ رَبَّكَ لَذُو مَغْفِرَةٍۢ لِّلنَّاسِ عَلَىٰ ظُلْمِهِمْ ۖ وَإِنَّ رَبَّكَ لَشَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "এরা আপনার কাছে মঙ্গলের পরিবর্তে দ্রুত অমঙ্গল কামনা করে। তাদের পূর্বে অনুরূপ অনেক শাস্তিপ্রাপ্ত জনগোষ্ঠী অতিক্রান্ত হয়েছে। আপনার পালনকর্তা মানুষকে তাদের অন্যায় সত্বেও ক্ষমা করেন এবং আপনার পালনকর্তা কঠিন শাস্তিদাতা ও বটে।",
              "numberInSurah": 6,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 205,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতা‘জিলূনাকা বিছছাইয়িআতি কাবলাল হাছানাতি ওয়া কাদ খালাত মিন কাবলিহিমুল মাছুলা-তু ওয়া ইন্না রাব্বাকা লাযূমাগফিরাতিললিন্না-ছি ‘আলাজু লমিহিম ওয়া ইন্না রাব্বাকা লাশাদীদুল ‘ইকা-ব।",
              "words_arabic": "وَ یَسْتَعْجِلُوْنَكَ/وَيَسۡتَعۡجِلُونَكَ/wayasta'jilunaka//بِالسَّیِّئَةِ/بِٱلسَّيِّئَةِ/bil-sayi-ati//قَبْلَ/قَبۡلَ/qabla//الْحَسَنَةِ/ٱلۡحَسَنَةِ/al-hasanati//وَ قَدْ/وَقَدۡ/waqad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهِمُ/قَبۡلِهِمُ/qablihimu//الْمَثُلٰتُ ؕ/ٱلۡمَثُلَٰتُۗ/al-mathulatu//وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَذُوْ/لَذُو/ladhu//مَغْفِرَةٍ/مَغۡفِرَةٖ/maghfiratin//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//عَلٰی/عَلَىٰ/ala//ظُلْمِهِمْ ۚ/ظُلۡمِهِمۡۖ/zul'mihim//وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَشَدِیْدُ/لَشَدِيدُ/lashadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এবং তোমার কাছে তারা তাড়াহুড়ো করছে//ব্যাপারে মন্দের//পূর্বে//ভালোর//অথচ নিশ্চয়ই//গত হয়েছে//থেকেই//তাদের আগে//শিক্ষামূলক দৃষ্টান্তসমূহ//এবং নিশ্চয়ই//তোমার রব//অবশ্যই//সম্পন্ন ক্ষমাশীল//মানুষের  জন্যে//সত্ত্বেও//তাদের সীমালঙ্ঘন//এবং নিশ্চয়ই//তোমার রব//অবশ্যই কঠোর//শাস্তিদানে"
            },
            {
              "number": 1714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1714.mp3"
              ],
              "text": "وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌۭ مِّن رَّبِّهِۦٓ ۗ إِنَّمَآ أَنتَ مُنذِرٌۭ ۖ وَلِكُلِّ قَوْمٍ هَادٍ",
              "translate_bn": "কাফেররা বলেঃ তাঁর প্রতি তাঁর পালনকর্তার পক্ষ থেকে কোন নিদর্শন অবতীর্ণ হল না কেন? আপনার কাজ তো ভয় প্রদর্শন করাই এবং প্রত্যেক সম্প্রদায়ের জন্যে পথপ্রদর্শক হয়েছে।",
              "numberInSurah": 7,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 205,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল্লাযীনা কাফারূ লাওলাউনঝিলা ‘আলাইহি আ-য়াতুম মির রাব্বিহী ইন্নামা আনতা মুনযিরুওঁ ওয়া লিকুল্লি কাওমিন হা-দ ।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیَةٌ/ءَايَةٞ/ayatun//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦٓۗ/rabbihi//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مُنْذِرٌ/مُنذِرٞۖ/mundhirun//وَّ لِكُلِّ/وَلِكُلِّ/walikulli//قَوْمٍ/قَوۡمٍ/qawmin//هَادٍ۠/هَادٍ/hadin",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"কেন না//অবতীর্ণ করা হলো//তার উপর//কোনো নিদর্শন//থেকে//তার রবের\"//কেবল//তুমি//একজন সতর্ককারী//ও জন্যে প্রত্যেক//জাতির//একজন পথ প্রদর্শক (আছে)"
            },
            {
              "number": 1715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1715.mp3"
              ],
              "text": "ٱللَّهُ يَعْلَمُ مَا تَحْمِلُ كُلُّ أُنثَىٰ وَمَا تَغِيضُ ٱلْأَرْحَامُ وَمَا تَزْدَادُ ۖ وَكُلُّ شَىْءٍ عِندَهُۥ بِمِقْدَارٍ",
              "translate_bn": "আল্লাহ জানেন প্রত্যেক নারী যা গর্ভধারণ করে এবং গর্ভাশয়ে যা সঙ্কুচিত ও বর্ধিত হয়। এবং তাঁর কাছে প্রত্যেক বস্তুরই একটা পরিমাণ রয়েছে।",
              "numberInSurah": 8,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়া‘লামুমা-তাহমিলুকুল্লুউনছা-ওয়ামা-তাগীদুল আরহা-মুওয়ামা-তাঝদা-দু ওয়া কুল্লুশাইইন ‘ইনদাহূবিমিকদা-র।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تَحْمِلُ/تَحۡمِلُ/tahmilu//كُلُّ/كُلُّ/kullu//اُنْثٰی/أُنثَىٰ/untha//وَ مَا/وَمَا/wama//تَغِیْضُ/تَغِيضُ/taghidu//الْاَرْحَامُ/ٱلۡأَرۡحَامُ/al-arhamu//وَ مَا/وَمَا/wama//تَزْدَادُ ؕ/تَزۡدَادُۚ/tazdadu//وَ كُلُّ/وَكُلُّ/wakullu//شَیْءٍ/شَيۡءٍ/shayin//عِنْدَهٗ/عِندَهُۥ/indahu//بِمِقْدَارٍ /بِمِقۡدَارٍ/bimiq'darin",
              "words_bangla": "আল্লাহ তা'লা//জানেন//যা//গর্ভধারণ করে//প্রত্যেক//নারী//এবং যা//কমায়//জরায়ু//ও যা//বাড়ায়//এবং প্রত্যেক//বস্তুর//তাঁর কাছে (আছে)//পরিমাণ নির্দিষ্ট"
            },
            {
              "number": 1716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1716.mp3"
              ],
              "text": "عَٰلِمُ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ ٱلْكَبِيرُ ٱلْمُتَعَالِ",
              "translate_bn": "তিনি সকল গোপন ও প্রকাশ্য বিষয় অবগত, মহোত্তম, সর্বোচ্চ মর্যাদাবান।",
              "numberInSurah": 9,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "‘আ-লিমুল গাইবি ওয়াশশাহা-দাতিল কাবীরুল মুতা‘আ-ল।",
              "words_arabic": "عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//الْكَبِیْرُ/ٱلۡكَبِيرُ/al-kabiru//الْمُتَعَالِ /ٱلۡمُتَعَالِ/al-muta'ali",
              "words_bangla": "তিনি জ্ঞানী//অদৃশ্যের (সম্পর্কে)//ও দৃশ্যের//তিনি মহান//সর্বোচ্চ (মর্যাদাবান)"
            },
            {
              "number": 1717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1717.mp3"
              ],
              "text": "سَوَآءٌۭ مِّنكُم مَّنْ أَسَرَّ ٱلْقَوْلَ وَمَن جَهَرَ بِهِۦ وَمَنْ هُوَ مُسْتَخْفٍۭ بِٱلَّيْلِ وَسَارِبٌۢ بِٱلنَّهَارِ",
              "translate_bn": "তোমাদের মধ্যে কেউ গোপনে কথা বলুক বা তা সশব্দে প্রকাশ করুক, রাতের অন্ধকারে সে আত্নগোপন করুক বা প্রকাশ্য দিবালোকে বিচরণ করুক, সবাই তাঁর নিকট সমান।",
              "numberInSurah": 10,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "ছাওয়াউম মিনকুম মান আছাররাল কাওলা ওয়া মান জাহারা বিহী ওয়া মান হুওয়া মুছতাখফিম বিল্লাইলি ওয়া ছা-রিবুম বিন্নাহা-র।",
              "words_arabic": "سَوَآءٌ/سَوَآءٞ/sawaon//مِّنْكُمْ/مِّنكُم/minkum//مَّنْ/مَّنۡ/man//اَسَرَّ/أَسَرَّ/asarra//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//وَ مَنْ/وَمَن/waman//جَهَرَ/جَهَرَ/jahara//بِهٖ/بِهِۦ/bihi//وَ مَنْ/وَمَنۡ/waman//هُوَ/هُوَ/huwa//مُسْتَخْفٍۭ/مُسۡتَخۡفِۭ/mus'takhfin//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ سَارِبٌۢ/وَسَارِبُۢ/wasaribun//بِالنَّهَارِ /بِٱلنَّهَارِ/bil-nahari",
              "words_bangla": "(তারা) সমান//তোমাদের মধ্য হ'তে//যে//গোপন করে//কথা//ও যে//প্রকাশ করে//সম্পর্কে তা//এবং যে//সে//আত্নগোপনকারী//বেলায় রাতের//ও বিচরণকারী//বেলায় দিনের"
            },
            {
              "number": 1718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1718.mp3"
              ],
              "text": "لَهُۥ مُعَقِّبَٰتٌۭ مِّنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦ يَحْفَظُونَهُۥ مِنْ أَمْرِ ٱللَّهِ ۗ إِنَّ ٱللَّهَ لَا يُغَيِّرُ مَا بِقَوْمٍ حَتَّىٰ يُغَيِّرُوا۟ مَا بِأَنفُسِهِمْ ۗ وَإِذَآ أَرَادَ ٱللَّهُ بِقَوْمٍۢ سُوٓءًۭا فَلَا مَرَدَّ لَهُۥ ۚ وَمَا لَهُم مِّن دُونِهِۦ مِن وَالٍ",
              "translate_bn": "তাঁর পক্ষ থেকে অনুসরণকারী রয়েছে তাদের অগ্রে এবং পশ্চাতে, আল্লাহর নির্দেশে তারা ওদের হেফাযত করে। আল্লাহ কোন জাতির অবস্থা পরিবর্তন করেন না, যে পর্যন্ত না তারা তাদের নিজেদের অবস্থা পরিবর্তন করে। আল্লাহ যখন কোন জাতির উপর বিপদ চান, তখন তা রদ হওয়ার নয় এবং তিনি ব্যতীত তাদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 11,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "লাহূ মু‘আক্কিবা-তুম মিমবাইনি ইয়াদাইহি ওয়া মিনখালফিহী ইয়াহফাজূনাহূ মিন আমরিল্লাহি ইন্নাল্লা-হা লা-ইউগাইয়িরু মা-বিকাওমিন হাত্তা-ইউগাইয়িরূমা-বিআনফুছিহিম ওয়া ইযাআরা-দাল্লা-হু বিকাওমিন ছূআন ফালা-মারাদ্দা লাহূ ওয়ামা- লাহুম মিন দূ নিহী মিওঁ ওয়া-ল।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//مُعَقِّبٰتٌ/مُعَقِّبَٰتٞ/mu'aqqibatun//مِّنْۢ/مِّنۢ/min//بَیْنِ/بَيۡنِ/bayni//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ مِنْ/وَمِنۡ/wamin//خَلْفِهٖ/خَلۡفِهِۦ/khalfihi//یَحْفَظُوْنَهٗ/يَحۡفَظُونَهُۥ/yahfazunahu//مِنْ/مِنۡ/min//اَمْرِ/أَمۡرِ/amri//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُغَیِّرُ/يُغَيِّرُ/yughayyiru//مَا/مَا/ma//بِقَوْمٍ/بِقَوۡمٍ/biqawmin//حَتّٰی/حَتَّىٰ/hatta//یُغَیِّرُوْا/يُغَيِّرُواْ/yughayyiru//مَا/مَا/ma//بِاَنْفُسِهِمْ ؕ/بِأَنفُسِهِمۡۗ/bi-anfusihim//وَ اِذَاۤ/وَإِذَآ/wa-idha//اَرَادَ/أَرَادَ/arada//اللّٰهُ/ٱللَّهُ/al-lahu//بِقَوْمٍ/بِقَوۡمٖ/biqawmin//سُوْٓءًا/سُوٓءٗا/suan//فَلَا/فَلَا/fala//مَرَدَّ/مَرَدَّ/maradda//لَهٗ ۚ/لَهُۥۚ/lahu//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//وَّالٍ /وَالٍ/walin",
              "words_bangla": "তার জন্যে (আছে)//একের পর এক আগমনকারী প্রহরী//থেকে//সামনে//তার//এবং থেকে//তার পিছন//তাকে তারা রক্ষণাবেক্ষণ  করে//মধ্যে সে//নির্দেশের//আল্লাহর//নিশ্চয়ই//আল্লাহ//না//পরিবর্তন করেন//অবস্থা//কোন জাতির//যতক্ষণ না//তারা পরিবর্তন করে//অবস্থা//তাদের নিজেদের//এবং যখন//ইচ্ছে করেন//আল্লাহ//সম্পর্কে কোনো জাতির//অশুভ//তখন নেই//ফেরানোর//তার জন্যে//এবং নেই//তাদের জন্যে//ছাড়া//তিনি//কোনো//অভিভাবক"
            },
            {
              "number": 1719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1719.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُرِيكُمُ ٱلْبَرْقَ خَوْفًۭا وَطَمَعًۭا وَيُنشِئُ ٱلسَّحَابَ ٱلثِّقَالَ",
              "translate_bn": "তিনিই তোমাদেরকে বিদ্যুৎ দেখান ভয়ের জন্যে এবং আশার জন্যে এবং উক্ষিত করেন ঘন মেঘমালা।",
              "numberInSurah": 12,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউরীকুমুল বারকাখাওফাওঁ ওয়াতআমাওঁ ওয়া ইউনশিউছছাহা-বাছছিক ল।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُرِیْكُمُ/يُرِيكُمُ/yurikumu//الْبَرْقَ/ٱلۡبَرۡقَ/al-barqa//خَوْفًا/خَوۡفٗا/khawfan//وَّ طَمَعًا/وَطَمَعٗا/watama'an//وَّ یُنْشِئُ/وَيُنشِئُ/wayunshi-u//السَّحَابَ/ٱلسَّحَابَ/al-sahaba//الثِّقَالَۚ/ٱلثِّقَالَ/al-thiqala",
              "words_bangla": "তিনিই//যিনি//তোমাদের দেখান//বিদ্যুৎ//ভয়ের (জন্যে)//ও আশার//এবং সৃষ্টি করেন//মেঘ//(পানিভরা) ঘন"
            },
            {
              "number": 1720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1720.mp3"
              ],
              "text": "وَيُسَبِّحُ ٱلرَّعْدُ بِحَمْدِهِۦ وَٱلْمَلَٰٓئِكَةُ مِنْ خِيفَتِهِۦ وَيُرْسِلُ ٱلصَّوَٰعِقَ فَيُصِيبُ بِهَا مَن يَشَآءُ وَهُمْ يُجَٰدِلُونَ فِى ٱللَّهِ وَهُوَ شَدِيدُ ٱلْمِحَالِ",
              "translate_bn": "তাঁর প্রশংসা পাঠ করে বজ্র এবং সব ফেরেশতা, সভয়ে। তিনি বজ্রপাত করেন, অতঃপর যাকে ইচছা, তাকে তা দ্বারা আঘাত করেন; তথাপি তারা আল্লাহ সম্পর্কে বিতন্ডা করে, অথচ তিনি মহাশক্তিশালী।",
              "numberInSurah": 13,
              "juz": 13,
              "manzil": 3,
              "page": 250,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউছাব বিহুর রা‘দুবিহামদিহী ওয়াল মালাইকাতুমিন খীফাতিহী ওয়া ইউরছিলুস সাওয়া-‘ইকা ফাইউসীবুবিহা- মাইঁ ইয়াশাউ ওয়া হুম ইউজা-দিলূনা ফিল্লা-হি ওয়া হুওয়া শাদীদুল মিহা -ল।",
              "words_arabic": "وَ یُسَبِّحُ/وَيُسَبِّحُ/wayusabbihu//الرَّعْدُ/ٱلرَّعۡدُ/al-ra'du//بِحَمْدِهٖ/بِحَمۡدِهِۦ/bihamdihi//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//مِنْ/مِنۡ/min//خِیْفَتِهٖ ۚ/خِيفَتِهِۦ/khifatihi//وَ یُرْسِلُ/وَيُرۡسِلُ/wayur'silu//الصَّوَاعِقَ/ٱلصَّوَٰعِقَ/al-sawa'iqa//فَیُصِیْبُ/فَيُصِيبُ/fayusibu//بِهَا/بِهَا/biha//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ هُمْ/وَهُمۡ/wahum//یُجَادِلُوْنَ/يُجَٰدِلُونَ/yujadiluna//فِی/فِي/fi//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//وَ هُوَ/وَهُوَ/wahuwa//شَدِیْدُ/شَدِيدُ/shadidu//الْمِحَالِؕ/ٱلۡمِحَالِ/al-mihali",
              "words_bangla": "এবং মহিমা প্রকাশ করে//বজ্রনির্ঘোষ//সাথে তাঁর প্রশংসার//এবং ফেরেশতারাও//থেকে//তাঁর ভয়//এবং তিনি পাঠান//গর্জনকারী বজ্রসমূহ//অতঃপর আঘাত করেন//দিয়ে তা//যাকে//ইচ্ছে করেন//তবুও তারা//বাক-বিতন্ডা করে//সম্বন্ধে//আল্লাহর//অথচ তিনি//শক্তিতে প্রবল//শাস্তিতে কঠোর"
            },
            {
              "number": 1721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1721.mp3"
              ],
              "text": "لَهُۥ دَعْوَةُ ٱلْحَقِّ ۖ وَٱلَّذِينَ يَدْعُونَ مِن دُونِهِۦ لَا يَسْتَجِيبُونَ لَهُم بِشَىْءٍ إِلَّا كَبَٰسِطِ كَفَّيْهِ إِلَى ٱلْمَآءِ لِيَبْلُغَ فَاهُ وَمَا هُوَ بِبَٰلِغِهِۦ ۚ وَمَا دُعَآءُ ٱلْكَٰفِرِينَ إِلَّا فِى ضَلَٰلٍۢ",
              "translate_bn": "সত্যের আহবান একমাত্র তাঁরই এবং তাকে ছাড়া যাদেরকে ডাকে, তারা তাদের কোন কাজে আসে না; ওদের দৃষ্টান্ত সেরূপ, যেমন কেউ দু’ হাত পানির দিকে প্রসারিত করে যাতে পানি তার মুখে পৌঁছে যায়। অথচ পানি কোন সময় পৌঁছাবে না। কাফেরদের যত আহবান তার সবই পথভ্রষ্টতা।",
              "numberInSurah": 14,
              "juz": 13,
              "manzil": 3,
              "page": 251,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "লাহূদা‘ওয়াতুল হাক্কি ওয়াল্লাযীনা ইয়াদ‘ঊনা মিন দূ নিহী লা-ইয়াছতাজীবূনা লাহুম বিশাইইন ইল্লা- কাবা-ছিতিকাফ ফাইহি ইলাল মাই লিইয়াবলুগা-ফা-হু ওয়ামা-হুওয়া ব্বিা-লিগিহী ওয়ামা- দু‘আউল কা-ফিরীনা ইল্লা-ফী দালা-ল।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//دَعْوَةُ/دَعۡوَةُ/da'watu//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//لَا/لَا/la//یَسْتَجِیْبُوْنَ/يَسۡتَجِيبُونَ/yastajibuna//لَهُمْ/لَهُم/lahum//بِشَیْءٍ/بِشَيۡءٍ/bishayin//اِلَّا/إِلَّا/illa//كَبَاسِطِ/كَبَٰسِطِ/kabasiti//كَفَّیْهِ/كَفَّيۡهِ/kaffayhi//اِلَی/إِلَى/ila//الْمَآءِ/ٱلۡمَآءِ/al-mai//لِیَبْلُغَ/لِيَبۡلُغَ/liyablugha//فَاهُ/فَاهُ/fahu//وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِبَالِغِهٖ ؕ/بِبَٰلِغِهِۦۚ/bibalighihi//وَ مَا/وَمَا/wama//دُعَآءُ/دُعَآءُ/du'au//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//ضَلٰلٍ /ضَلَٰلٖ/dalalin",
              "words_bangla": "তাঁরই জন্য//আহবান//সত্যের//এবং যারা//ডাকে//ছাড়া//তাঁকে (অন্য কাউকে)//না//তারা সাড়া দেয়//তাদেরকে//কোনো কিছুর//এ ছাড়া//মতো সম্প্রসারণকারীর//তার দু'হাত//প্রতি//পানির//যেন পৌঁছে//তার মুখে//অথচ নয়//তা//তার কাছে পৌঁছবার//এবং নয়//ডাক//কাফেরদের//এ ছাড়া//মধ্যে//ভ্রান্তির"
            },
            {
              "number": 1722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1722.mp3"
              ],
              "text": "وَلِلَّهِ يَسْجُدُ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ طَوْعًۭا وَكَرْهًۭا وَظِلَٰلُهُم بِٱلْغُدُوِّ وَٱلْءَاصَالِ ۩",
              "translate_bn": "আল্লাহকে সেজদা করে যা কিছু নভোমন্ডলে ও ভূমন্ডলে আছে ইচ্ছায় অথবা অনিচ্ছায় এবং তাদের প্রতিচ্ছায়াও সকাল-সন্ধ্যায়।",
              "numberInSurah": 15,
              "juz": 13,
              "manzil": 3,
              "page": 251,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": {
                "id": 2,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ওয়ালিল্লা-হি ইয়াছজূদুমানফিছ ছামা-ওয়া-তি ওয়ালআরদিতাও‘আওঁ ওয়াকারহাওঁ ওয়া জিলা-লুহুম বিল গুদুওবিওয়াল আ-সা-ল।(ছিজদাহ-২)",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِۤ/walillahi//یَسْجُدُ/يَسۡجُدُۤ/yasjudu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//طَوْعًا/طَوۡعٗا/taw'an//وَّ كَرْهًا/وَكَرۡهٗا/wakarhan//وَّ ظِلٰلُهُمْ/وَظِلَٰلُهُم/wazilaluhum//بِالْغُدُوِّ/بِٱلۡغُدُوِّ/bil-ghuduwi//وَ الْاٰصَالِ۩/وَٱلۡأٓصَالِ۩/wal-asali",
              "words_bangla": "এবং আল্লাহকেই//সিজদা করে//যা কিছু//মধ্যে আছে//আকাশের//ও পৃথিবীর//ইচ্ছায়//ও অনিচ্ছায়//এবং তাদের ছায়াগুলোও//বেলায় সকাল//এবং সন্ধ্যায় (নত হয়)"
            },
            {
              "number": 1723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1723.mp3"
              ],
              "text": "قُلْ مَن رَّبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ قُلِ ٱللَّهُ ۚ قُلْ أَفَٱتَّخَذْتُم مِّن دُونِهِۦٓ أَوْلِيَآءَ لَا يَمْلِكُونَ لِأَنفُسِهِمْ نَفْعًۭا وَلَا ضَرًّۭا ۚ قُلْ هَلْ يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ أَمْ هَلْ تَسْتَوِى ٱلظُّلُمَٰتُ وَٱلنُّورُ ۗ أَمْ جَعَلُوا۟ لِلَّهِ شُرَكَآءَ خَلَقُوا۟ كَخَلْقِهِۦ فَتَشَٰبَهَ ٱلْخَلْقُ عَلَيْهِمْ ۚ قُلِ ٱللَّهُ خَٰلِقُ كُلِّ شَىْءٍۢ وَهُوَ ٱلْوَٰحِدُ ٱلْقَهَّٰرُ",
              "translate_bn": "জিজ্ঞেস করুন নভোমন্ডল ও ভুমন্ডলের পালনকর্তা কে? বলে দিনঃ আল্লাহ! বলুনঃ তবে কি তোমরা আল্লাহ ব্যতীত এমন অভিভাবক স্থির করেছ, যারা নিজেদের ভাল-মন্দের ও মালিক নয়? বলুনঃ অন্ধ চক্ষুষ্মান কি সমান হয়? অথবা কোথাও কি অন্ধকার ও আলো সমান হয়। তবে কি তারা আল্লাহর জন্য এমন অংশীদার স্থির করেছে যে, তারা কিছু সৃষ্টি করেছে, যেমন সৃষ্টি করেছেন আল্লাহ? অতঃপর তাদের সৃষ্টি এরূপ বিভ্রান্তি ঘটিয়েছে? বলুনঃ আল্লাহই প্রত্যেক বস্তুর স্রষ্টা এবং তিনি একক, পরাক্রমশালী।",
              "numberInSurah": 16,
              "juz": 13,
              "manzil": 3,
              "page": 251,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "কুল মার রাব্বুছ ছামা-ওয়া-তি ওয়াল আরদিকুল্লিলা-হু কুল আফাত্তাখাযতুম মিন দূ নিহীআওলিয়াআ লা-ইয়ামলিকূনা লিআনফুছিহিম নাফ‘আওঁ ওয়ালা-দাররান কুল হাল ইয়াছতাবিল আ‘মা-ওয়াল বাসীরু আম হাল তাছতাবিজজু লুমা-তুওয়াননূরু আম জা‘আলূলিল্লা-হি শুরাকাআ খালাকূকাখাল কিহী ফাতাশা-বাহাল খালকু ‘আলাইুহিম কুল্লিলা-হু খা-লিকুকুল্লি শাইয়িওঁ ওয়া হুওয়াল ওয়া-হিদুল কাহহা-র।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//رَّبُّ/رَّبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِ/wal-ardi//قُلِ/قُلِ/quli//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//قُلْ/قُلۡ/qul//اَفَاتَّخَذْتُمْ/أَفَٱتَّخَذۡتُم/afa-ittakhadhtum//مِّنْ/مِّن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//لَا/لَا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//لِاَنْفُسِهِمْ/لِأَنفُسِهِمۡ/li-anfusihim//نَفْعًا/نَفۡعٗا/naf 'an//وَّ لَا/وَلَا/wala//ضَرًّا ؕ/ضَرّٗاۚ/darran//قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//یَسْتَوِی/يَسۡتَوِي/yastawi//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//وَ الْبَصِیْرُ ۙ۬/وَٱلۡبَصِيرُ/wal-basiru//اَمْ/أَمۡ/am//هَلْ/هَلۡ/hal//تَسْتَوِی/تَسۡتَوِي/tastawi//الظُّلُمٰتُ/ٱلظُّلُمَٰتُ/al-zulumatu//وَ النُّوْرُ ۚ۬/وَٱلنُّورُۗ/wal-nuru//اَمْ/أَمۡ/am//جَعَلُوْا/جَعَلُواْ/ja'alu//لِلّٰهِ/لِلَّهِ/lillahi//شُرَكَآءَ/شُرَكَآءَ/shurakaa//خَلَقُوْا/خَلَقُواْ/khalaqu//كَخَلْقِهٖ/كَخَلۡقِهِۦ/kakhalqihi//فَتَشَابَهَ/فَتَشَٰبَهَ/fatashabaha//الْخَلْقُ/ٱلۡخَلۡقُ/al-khalqu//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//خَالِقُ/خَٰلِقُ/khaliqu//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُوَ/وَهُوَ/wahuwa//الْوَاحِدُ/ٱلۡوَٰحِدُ/al-wahidu//الْقَهَّارُ /ٱلۡقَهَّـٰرُ/al-qaharu",
              "words_bangla": "বলো//\"কে//রব//আকাশের//ও পৃথিবীর\"//বলো//\"(তিনিই) আল্লাহ\"//বলো//\"তোমরা তাহ'লে কি গ্রহণ করেছো//পরিবর্তে//তার//অভিভাবকরূপে (অন্য অনেককে)//না//তারা সক্ষম হয়//তাদের নিজেদের জন্য//কোনো উপকারের//আর না//কোনো ক্ষতির\"//বলো//\"কি//সমান হয়//অন্ধ//ও চক্ষুষ্মান//অথবা//কি//সমান হয়//অন্ধকারসমূহ//ও আলো//(তবে) কি//তারা স্হির করেছে//আল্লাহর জন্যে//এমন শরীকদের//যা সৃষ্টি করেছে//মতো তাঁর সৃষ্টি//এ কারণে বিভ্রান্তি ঘটিয়েছে//সৃষ্টি//কাছে তাদের\"//বলো//\"আল্লাহই//স্রষ্টা//সব//কিছুর//এবং তিনি//এক//মহাপরাক্রমশালী\""
            },
            {
              "number": 1724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1724.mp3"
              ],
              "text": "أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَسَالَتْ أَوْدِيَةٌۢ بِقَدَرِهَا فَٱحْتَمَلَ ٱلسَّيْلُ زَبَدًۭا رَّابِيًۭا ۚ وَمِمَّا يُوقِدُونَ عَلَيْهِ فِى ٱلنَّارِ ٱبْتِغَآءَ حِلْيَةٍ أَوْ مَتَٰعٍۢ زَبَدٌۭ مِّثْلُهُۥ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ ٱلْحَقَّ وَٱلْبَٰطِلَ ۚ فَأَمَّا ٱلزَّبَدُ فَيَذْهَبُ جُفَآءًۭ ۖ وَأَمَّا مَا يَنفَعُ ٱلنَّاسَ فَيَمْكُثُ فِى ٱلْأَرْضِ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ ٱلْأَمْثَالَ",
              "translate_bn": "তিনি আকাশ থেকে পানি বর্ষণ করেন। অতঃপর স্রোতধারা প্রবাহিত হতে থাকে নিজ নিজ পরিমাণ অনুযায়ী। অতঃপর স্রোতধারা স্ফীত ফেনারাশি উপরে নিয়ে আসে। এবং অলঙ্কার অথবা তৈজসপত্রের জন্যে যে বস্তুকে আগুনে উত্তপ্ত করে, তাতেও তেমনি ফেনারাশি থাকে। এমনি ভাবে আল্লাহ সত্য ও অসত্যের দৃষ্টান্ত প্রদান করেন। অতএব, ফেনা তো শুকিয়ে খতম হয়ে যায় এবং যা মানুষের উপকারে আসে, তা জমিতে অবশিষ্ট থাকে। আল্লাহ এমনিভাবে দৃষ্টান্তসমূহ বর্ণনা করেন।",
              "numberInSurah": 17,
              "juz": 13,
              "manzil": 3,
              "page": 251,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "আনঝালা মিনাছছামাই মাআন ফাছা-লাত আওদিয়াতুম বিকাদারিহা-ফাহতামালাছ ছাইলু ঝাবাদার রা-বিয়াওঁ ওয়া মিম্মা-ইউকিদূ না ‘আলাইহি ফিন্না-রিব তিগাআ হিলয়াতিন আও মাতা-‘ইন ঝাবাদুম মিছলুহূ কাযা-লিকা ইয়াদরিবুল্লা-হুল হাক্কা ওয়াল বাতিলা ফাআম্মাঝ ঝাবাদুফাইয়াযহাবুজুফাআওঁ ওয়া আম্মা-মা-ইয়ানফাউন্নাছা ফাইয়ামকুছু ফিল আরদি কাযা-লিকা ইয়াদরিবুল্লা-হুল আমছা-ল।",
              "words_arabic": "اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَسَالَتْ/فَسَالَتۡ/fasalat//اَوْدِیَةٌۢ/أَوۡدِيَةُۢ/awdiyatun//بِقَدَرِهَا/بِقَدَرِهَا/biqadariha//فَاحْتَمَلَ/فَٱحۡتَمَلَ/fa-ih'tamala//السَّیْلُ/ٱلسَّيۡلُ/al-saylu//زَبَدًا/زَبَدٗا/zabadan//رَّابِیًا ؕ/رَّابِيٗاۖ/rabiyan//وَ مِمَّا/وَمِمَّا/wamimma//یُوْقِدُوْنَ/يُوقِدُونَ/yuqiduna//عَلَیْهِ/عَلَيۡهِ/alayhi//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//حِلْیَةٍ/حِلۡيَةٍ/hil'yatin//اَوْ/أَوۡ/aw//مَتَاعٍ/مَتَٰعٖ/mata'in//زَبَدٌ/زَبَدٞ/zabadun//مِّثْلُهٗ ؕ/مِّثۡلُهُۥۚ/mith'luhu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَضْرِبُ/يَضۡرِبُ/yadribu//اللّٰهُ/ٱللَّهُ/al-lahu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ الْبَاطِلَ ؕ۬/وَٱلۡبَٰطِلَۚ/wal-batila//فَاَمَّا/فَأَمَّا/fa-amma//الزَّبَدُ/ٱلزَّبَدُ/al-zabadu//فَیَذْهَبُ/فَيَذۡهَبُ/fayadhhabu//جُفَآءً ۚ/جُفَآءٗۖ/jufaan//وَ اَمَّا/وَأَمَّا/wa-amma//مَا/مَا/ma//یَنْفَعُ/يَنفَعُ/yanfa'u//النَّاسَ/ٱلنَّاسَ/al-nasa//فَیَمْكُثُ/فَيَمۡكُثُ/fayamkuthu//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَضْرِبُ/يَضۡرِبُ/yadribu//اللّٰهُ/ٱللَّهُ/al-lahu//الْاَمْثَالَؕ/ٱلۡأَمۡثَالَ/al-amthala",
              "words_bangla": "তিনি বর্ষণ করেন//থেকে//আকাশ//পানি//ফলে প্লাবিত হয়//উপত্যকাসমূহ//তার পরিমাণ অনুসারে//অতঃপর বহন করে//প্লাবন//ফেনা//উপরিভাগে//এবং তা থেকেও যা//তারা উত্তপ্ত করে//তার উপর//মধ্যে//আগুনের//(বানাতে) চায়//অলংকার//বা//তৈজসপত্র//ফেনা/আবর্জনা//তার মতো//এভাবে//উপমা দেন//আল্লাহ//হক//ও অসত্যের//অতঃপর//ফেনা/আবর্জনা//এভাবে তা চলে যায়//অকেজো হয়ে//আর//যা//উপকারে আসে//মানুষের//এভাবে তা থেকে যায়//মধ্যে//জমিনের//এরূপে//বর্ণনা করেন//আল্লাহ//দৃষ্টান্তসমূহ"
            },
            {
              "number": 1725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1725.mp3"
              ],
              "text": "لِلَّذِينَ ٱسْتَجَابُوا۟ لِرَبِّهِمُ ٱلْحُسْنَىٰ ۚ وَٱلَّذِينَ لَمْ يَسْتَجِيبُوا۟ لَهُۥ لَوْ أَنَّ لَهُم مَّا فِى ٱلْأَرْضِ جَمِيعًۭا وَمِثْلَهُۥ مَعَهُۥ لَٱفْتَدَوْا۟ بِهِۦٓ ۚ أُو۟لَٰٓئِكَ لَهُمْ سُوٓءُ ٱلْحِسَابِ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمِهَادُ",
              "translate_bn": "যারা পালনকর্তার আদেশ পালন করে, তাদের জন্য উত্তম প্রতিদান রয়েছে এবং যারা আদেশ পালন করে না, যদি তাদের কাছে জগতের সবকিছু থাকে এবং তার সাথে তার সমপরিমাণ আরও থাকে, তবে সবই নিজেদের মুক্তিপণ স্বরূপ দিয়ে দেবে। তাদের জন্যে রয়েছে কঠোর হিসাব। তাদের আবাস হবে জাহান্নাম। সেটা কতইনা নিকৃষ্ট অবস্থান।",
              "numberInSurah": 18,
              "juz": 13,
              "manzil": 3,
              "page": 251,
              "ruku": 206,
              "hizbQuarter": 100,
              "sajda": false,
              "pronunciation_bn": "লিল্লাযীনাছতাজা-বূলিরাব্বিহিমুল হুছনা- ওয়াল্লাযীনা লাম ইয়াছতাজীবূলাহূলাও আন্না লাহুম মা-ফিল আরদিজামী‘আওঁ ওয়া মিছলাহূমা‘আহূলাফতাদাওঁ বিহী উলাইকা লাহুম ছূউল হিছা-ব ওয়ামা’ওয়া-হুম জাহান্নামু ওয়া বি’ছাল মিহা-দ ।",
              "words_arabic": "لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتَجَابُوْا/ٱسۡتَجَابُواْ/is'tajabu//لِرَبِّهِمُ/لِرَبِّهِمُ/lirabbihimu//الْحُسْنٰی ؔؕ/ٱلۡحُسۡنَىٰۚ/al-hus'na//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَمْ/لَمۡ/lam//یَسْتَجِیْبُوْا/يَسۡتَجِيبُواْ/yastajibu//لَهٗ/لَهُۥ/lahu//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا/جَمِيعٗا/jami'an//وَّ مِثْلَهٗ/وَمِثۡلَهُۥ/wamith'lahu//مَعَهٗ/مَعَهُۥ/ma'ahu//لَافْتَدَوْا/لَٱفۡتَدَوۡاْ/la-if'tadaw//بِهٖ ؕ/بِهِۦٓۚ/bihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//سُوْٓءُ/سُوٓءُ/suu//الْحِسَابِ ۙ۬/ٱلۡحِسَابِ/al-hisabi//وَ مَاْوٰىهُمْ/وَمَأۡوَىٰهُمۡ/wamawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمِهَادُ۠/ٱلۡمِهَادُ/al-mihadu",
              "words_bangla": "(তাদের) জন্যে যারা//সাড়া দেয়//তাদের রবের (কথায়)//কল্যাণ (রয়েছে)//এবং যারা//না//সাড়া দেয়//তাঁর ডাকে//যদি//হয়//জন্যে তাদের//যা কিছু//মধ্যে আছে//পৃথিবীর//সমস্তই//আরও তার সমপরিমাণ//তার সাথে//অবশ্যই তারা মুক্তিপণ দিবে//দিয়ে তা//ঐসব (লোক)//তাদের জন্যে রয়েছে//মন্দ//হিসাব//এবং তাদের আবাস//জাহান্নাম//এবং অতি নিকৃষ্ট//আশ্রয়স্হল"
            },
            {
              "number": 1726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1726.mp3"
              ],
              "text": "۞ أَفَمَن يَعْلَمُ أَنَّمَآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ٱلْحَقُّ كَمَنْ هُوَ أَعْمَىٰٓ ۚ إِنَّمَا يَتَذَكَّرُ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "যে ব্যক্তি জানে যে, যা কিছু পালনকর্তার পক্ষ থেকে আপনার প্রতি অবর্তীর্ণ হয়েছে তা সত্য সে কি ঐ ব্যক্তির সমান, যে অন্ধ? তারাই বোঝে, যারা বোধশক্তি সম্পন্ন।",
              "numberInSurah": 19,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আফামাইঁ ইয়া‘লামুআন্নামাউনঝিলা ইলাইকা মির রাব্বিকাল হাক্কুকামান হুওয়া আ‘মা- ইন্নামা-ইয়াতাযাক্কারু ঊলুল আলবা-ব।",
              "words_arabic": "اَفَمَنْ/۞أَفَمَن/afaman//یَّعْلَمُ/يَعۡلَمُ/ya'lamu//اَنَّمَاۤ/أَنَّمَآ/annama//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//الْحَقُّ/ٱلۡحَقُّ/al-haqu//كَمَنْ/كَمَنۡ/kaman//هُوَ/هُوَ/huwa//اَعْمٰی ؕ/أَعۡمَىٰٓۚ/a'ma//اِنَّمَا/إِنَّمَا/innama//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِۙ/ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "তবে কি যে ব্যক্তি//জানে//যে যা কিছু//অবতীর্ণ হয়েছে//তোমার প্রতি//থেকে//তোমার রবের//সত্য//(ঐ ব্যক্তির) মতো যে//সে//অন্ধ//প্রকৃতপক্ষে//শিক্ষা গ্রহণ করে (তা থেকে)//সম্পন্নরাই//বিবেক"
            },
            {
              "number": 1727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1727.mp3"
              ],
              "text": "ٱلَّذِينَ يُوفُونَ بِعَهْدِ ٱللَّهِ وَلَا يَنقُضُونَ ٱلْمِيثَٰقَ",
              "translate_bn": "এরা এমন লোক, যারা আল্লাহর প্রতিশ্রুতি পূর্ণ করে এবং অঙ্গীকার ভঙ্গ করে না।",
              "numberInSurah": 20,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইঊফূনা বি‘আহদিল্লা-হি ওয়ালা-ইয়ানকুদূ নাল মীছা-ক।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُوْفُوْنَ/يُوفُونَ/yufuna//بِعَهْدِ/بِعَهۡدِ/bi'ahdi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَا/وَلَا/wala//یَنْقُضُوْنَ/يَنقُضُونَ/yanquduna//الْمِیْثَاقَۙ/ٱلۡمِيثَٰقَ/al-mithaqa",
              "words_bangla": "যারা//পূর্ণ করে সাথে//অঙ্গীকার//আল্লাহর//এবং না//তারা ভঙ্গ করে//প্রতিজ্ঞা"
            },
            {
              "number": 1728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1728.mp3"
              ],
              "text": "وَٱلَّذِينَ يَصِلُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيَخْشَوْنَ رَبَّهُمْ وَيَخَافُونَ سُوٓءَ ٱلْحِسَابِ",
              "translate_bn": "এবং যারা বজায় রাখে ঐ সম্পর্ক, যা বজায় রাখতে আল্লাহ আদেশ দিয়েছেন এবং স্বীয় পালনকর্তাকে ভয় করে এবং কঠোর হিসাবের আশঙ্কা রাখে।",
              "numberInSurah": 21,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াসিলূনা মাআমারাল্লা-হুবিহীআইঁ ইউসালা ওয়া ইয়াখশাওনা রাব্বাহুম ওয়া ইয়া খা-ফূনা ছূআল হিছা-ব।\r\n",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَصِلُوْنَ/يَصِلُونَ/yasiluna//مَاۤ/مَآ/ma//اَمَرَ/أَمَرَ/amara//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖۤ/بِهِۦٓ/bihi//اَنْ/أَن/an//یُّوْصَلَ/يُوصَلَ/yusala//وَ یَخْشَوْنَ/وَيَخۡشَوۡنَ/wayakhshawna//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//وَ یَخَافُوْنَ/وَيَخَافُونَ/wayakhafuna//سُوْٓءَ/سُوٓءَ/sua//الْحِسَابِؕ/ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "এবং যারা//অক্ষুন্ন রাখে//যা//নির্দেশ দিয়েছেন//আল্লাহ তা'লা//তা সম্বন্ধে//যে//অক্ষুন্ন রাখতে//ও তারা ভয় করে//তাদের রবকে//এবং তারা আশঙ্কা করে//মন্দ//হিসাবের"
            },
            {
              "number": 1729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1729.mp3"
              ],
              "text": "وَٱلَّذِينَ صَبَرُوا۟ ٱبْتِغَآءَ وَجْهِ رَبِّهِمْ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَنفَقُوا۟ مِمَّا رَزَقْنَٰهُمْ سِرًّۭا وَعَلَانِيَةًۭ وَيَدْرَءُونَ بِٱلْحَسَنَةِ ٱلسَّيِّئَةَ أُو۟لَٰٓئِكَ لَهُمْ عُقْبَى ٱلدَّارِ",
              "translate_bn": "এবং যারা স্বীয় পালনকর্তার সন্তুষ্টির জন্যে সবর করে, নামায প্রতিষ্টা করে আর আমি তাদেরকে যা দিয়েছি, তা থেকে গোপনে ও প্রকাশ্য ব্যয় করে এবং যারা মন্দের বিপরীতে ভাল করে, তাদের জন্যে রয়েছে পরকালের গৃহ।",
              "numberInSurah": 22,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা সাবারুব তিগাআ ওয়াজহি রাব্বিহিম ওয়া আকা-মুসসালা-তা ওয়া আনফাকূ মিম্মা-রাঝাকনা-হুম ছিররাওঁ ওয়া ‘আলা-নিয়াতাওঁ ওয়া ইয়াদরাঊনা বিলহাছানাতিছ ছাইয়িআতা উলাইকা লাহুম ‘উকবাদ্দা-র।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//صَبَرُوا/صَبَرُواْ/sabaru//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//وَجْهِ/وَجۡهِ/wajhi//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اَنْفَقُوْا/وَأَنفَقُواْ/wa-anfaqu//مِمَّا/مِمَّا/mimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//سِرًّا/سِرّٗا/sirran//وَّ عَلَانِیَةً/وَعَلَانِيَةٗ/wa'alaniyatan//وَّ یَدْرَءُوْنَ/وَيَدۡرَءُونَ/wayadrauna//بِالْحَسَنَةِ/بِٱلۡحَسَنَةِ/bil-hasanati//السَّیِّئَةَ/ٱلسَّيِّئَةَ/al-sayi-ata//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عُقْبَی/عُقۡبَى/uq'ba//الدَّارِۙ/ٱلدَّارِ/al-dari",
              "words_bangla": "এবং যারা//ধৈর্য ধরে//লাভের জন্যে//সন্তুষ্টি//তাদের রবের//এবং তারা প্রতিষ্ঠা করে//সালাত//ও তারা ব্যয় করে//(তা) থেকে যা//আমরা জীবিকা দিয়েছি তাদের//গোপনে//ও প্রকাশ্যে//এবং তারা প্রতিরোধ করে//দিয়ে ভালো//মন্দকে//ঐসব লোক//তাদের জন্যে (রয়েছে)//পরকালের//ঘর"
            },
            {
              "number": 1730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1730.mp3"
              ],
              "text": "جَنَّٰتُ عَدْنٍۢ يَدْخُلُونَهَا وَمَن صَلَحَ مِنْ ءَابَآئِهِمْ وَأَزْوَٰجِهِمْ وَذُرِّيَّٰتِهِمْ ۖ وَٱلْمَلَٰٓئِكَةُ يَدْخُلُونَ عَلَيْهِم مِّن كُلِّ بَابٍۢ",
              "translate_bn": "তা হচ্ছে বসবাসের বাগান। তাতে তারা প্রবেশ করবে এবং তাদের সৎকর্মশীল বাপ-দাদা, স্বামী-স্ত্রী ও সন্তানেরা। ফেরেশতারা তাদের কাছে আসবে প্রত্যেক দরজা দিয়ে।",
              "numberInSurah": 23,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "জান্না-তু‘আদনিইঁ ইয়াদখুলূনাহা-ওয়া মান সালাহামিনআ-বাইহিম ওয়াআঝওয়া-জিহিম ওয়াযুররিইইয়া-তিহিম ওয়াল মালাইকাতুইয়াদখুলূনা ‘আলাইহিম মিন কুল্লি বা-ব।",
              "words_arabic": "جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//یَّدْخُلُوْنَهَا/يَدۡخُلُونَهَا/yadkhulunaha//وَ مَنْ/وَمَن/waman//صَلَحَ/صَلَحَ/salaha//مِنْ/مِنۡ/min//اٰبَآىِٕهِمْ/ءَابَآئِهِمۡ/abaihim//وَ اَزْوَاجِهِمْ/وَأَزۡوَٰجِهِمۡ/wa-azwajihim//وَ ذُرِّیّٰتِهِمْ/وَذُرِّيَّـٰتِهِمۡۖ/wadhurriyyatihim//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//بَابٍۚ/بَابٖ/babin",
              "words_bangla": "জান্নাত//স্হায়ী//তাতে তারা প্রবেশ করবে//এবং যে//সৎকাজ করেছে//মধ্য হ'তে//তাদের পূর্ব-পুরুষদের//ও তাদের পতি-পত্নীদের//ও তাদের সন্তান-সন্ততিদের//এবং ফেরেশতারা//প্রবেশ করবে (উপস্হিত হবে)//কাছে তাদের//দিয়ে//প্রত্যেক//দরজা"
            },
            {
              "number": 1731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1731.mp3"
              ],
              "text": "سَلَٰمٌ عَلَيْكُم بِمَا صَبَرْتُمْ ۚ فَنِعْمَ عُقْبَى ٱلدَّارِ",
              "translate_bn": "বলবেঃ তোমাদের সবরের কারণে তোমাদের উপর শান্তি বর্ষিত হোক। আর তোমাদের এ পরিণাম-গৃহ কতই না চমৎকার।",
              "numberInSurah": 24,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ‘আলাইকুম বিমা-সাবারতুম ফানি‘মা ‘উকবাদ্দা-র।",
              "words_arabic": "سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِمَا/بِمَا/bima//صَبَرْتُمْ/صَبَرۡتُمۡۚ/sabartum//فَنِعْمَ/فَنِعۡمَ/fani'ma//عُقْبَی/عُقۡبَى/uq'ba//الدَّارِؕ/ٱلدَّارِ/al-dari",
              "words_bangla": "শান্তি (বর্ষিত হোক)//তোমাদের উপর//এ কারণে যা//তোমরা ধৈর্য ধরেছো//অতএব কতই উত্তম//পরকালের//ঘর\""
            },
            {
              "number": 1732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1732.mp3"
              ],
              "text": "وَٱلَّذِينَ يَنقُضُونَ عَهْدَ ٱللَّهِ مِنۢ بَعْدِ مِيثَٰقِهِۦ وَيَقْطَعُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيُفْسِدُونَ فِى ٱلْأَرْضِ ۙ أُو۟لَٰٓئِكَ لَهُمُ ٱللَّعْنَةُ وَلَهُمْ سُوٓءُ ٱلدَّارِ",
              "translate_bn": "এবং যারা আল্লাহর অঙ্গীকারকে দৃঢ় ও পাকা-পোক্ত করার পর তা ভঙ্গ করে, আল্লাহ যে, সম্পর্ক বজায় রাখতে আদেশ করেছেন, তা ছিন্ন করে এবং পৃথিবীতে অশান্তি সৃষ্টি করে, ওরা ঐ সমস্ত লোক যাদের জন্যে রয়েছে অভিসম্পাত এবং ওদের জন্যে রয়েছে কঠিন আযাব।",
              "numberInSurah": 25,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়ানকুদূ না ‘আহদাল্লা-হি মিম বা‘দি মীছা-কিহী ওয়া ইয়াকাতা‘ঊনা মাআমারাল্লা-হু বিহীআইঁ ইঊসালা ওয়াইউফছিদূ না ফিল আরদি উলাইকা লাহুমুল লা‘নাতুওয়া লাহুম ছূূউদ্দা-র।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَنْقُضُوْنَ/يَنقُضُونَ/yanquduna//عَهْدَ/عَهۡدَ/ahda//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مِیْثَاقِهٖ/مِيثَٰقِهِۦ/mithaqihi//وَ یَقْطَعُوْنَ/وَيَقۡطَعُونَ/wayaqta'una//مَاۤ/مَآ/ma//اَمَرَ/أَمَرَ/amara//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖۤ/بِهِۦٓ/bihi//اَنْ/أَن/an//یُّوْصَلَ/يُوصَلَ/yusala//وَ یُفْسِدُوْنَ/وَيُفۡسِدُونَ/wayuf'siduna//فِی/فِي/fi//الْاَرْضِ ۙ/ٱلۡأَرۡضِ/al-ardi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمُ/لَهُمُ/lahumu//اللَّعْنَةُ/ٱللَّعۡنَةُ/al-la'natu//وَ لَهُمْ/وَلَهُمۡ/walahum//سُوْٓءُ/سُوٓءُ/suu//الدَّارِ /ٱلدَّارِ/al-dari",
              "words_bangla": "এবং যারা//ভঙ্গ করে//অঙ্গীকার//আল্লাহর//থেকে//পর//তা (দৃঢ়ভাবে) বেঁধে নেয়ার//ও তারা ছিন্ন করে//যা//নির্দেশ দিয়েছেন//আল্লাহ//সম্পর্কে তা//যে//জুড়ে দিতে//এবং তারা অশান্তি করে বেড়ায়//মধ্যে//জমিনের//ঐসব লোক//তাদের জন্যে//অভিশাপ//এবং তাদের জন্যে//নিকৃষ্ট//ঘর"
            },
            {
              "number": 1733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1733.mp3"
              ],
              "text": "ٱللَّهُ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ وَفَرِحُوا۟ بِٱلْحَيَوٰةِ ٱلدُّنْيَا وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا فِى ٱلْءَاخِرَةِ إِلَّا مَتَٰعٌۭ",
              "translate_bn": "আল্লাহ যার জন্যে ইচ্ছা রুযী প্রশস্ত করেন এবং সংকুচিত করেন। তারা পার্থিব জীবনের প্রতি মুগ্ধ। পার্থিবজীবন পরকালের সামনে অতি সামান্য সম্পদ বৈ নয়।",
              "numberInSurah": 26,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 207,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াবছুতু র রিঝকালিমাইঁ ইয়াশাউ ওয়া ইয়াকদিরু ওয়া ফারিহূবিলহায়াতিদদুনইয়া-ওয়ামাল হায়া-তুদদুনইয়া- ফিল আ-খিরাতি ইল্লা-মাতা-‘উ।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ ؕ/وَيَقۡدِرُۚ/wayaqdiru//وَ فَرِحُوْا/وَفَرِحُواْ/wafarihu//بِالْحَیٰوةِ/بِٱلۡحَيَوٰةِ/bil-hayati//الدُّنْیَا ؕ/ٱلدُّنۡيَا/al-dun'ya//وَ مَا/وَمَا/wama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اِلَّا/إِلَّا/illa//مَتَاعٌ۠/مَتَٰعٞ/mata'un",
              "words_bangla": "আল্লাহ//প্রশস্ত করে দেন//জীবনের উপকরণ//জন্যে যার//তিনি ইচ্ছে করেন//এবং পরিমিত দেন//এবং তারা উল্লাসিত হয়েছে//নিয়ে জীবন//পার্থিব//অথচ নয়//জীবন//পার্থিব//তুলনায়//আখিরাতের//ছাড়া//(ক্ষণস্হায়ী) ভোগের সামগ্রী"
            },
            {
              "number": 1734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1734.mp3"
              ],
              "text": "وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌۭ مِّن رَّبِّهِۦ ۗ قُلْ إِنَّ ٱللَّهَ يُضِلُّ مَن يَشَآءُ وَيَهْدِىٓ إِلَيْهِ مَنْ أَنَابَ",
              "translate_bn": "কাফেররা বলেঃ তাঁর প্রতি তাঁর পালনকর্তার পক্ষ থেকে কোন নিদর্শন কেন অবতীর্ণ হলো না? বলে দিন, আল্লাহ যাকে ইচ্ছা পথভ্রষ্ট করেন এবং যে, মনোনিবেশ করে, তাকে নিজের দিকে পথপ্রদর্শন করেন।",
              "numberInSurah": 27,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 208,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল্লাযীনা কাফারূলাওলাউনঝিলা ‘আলাইহি আ-য়াতুম মির রাব্বিহী কুল ইন্নাল্লা-হা ইউদিল্লুমাইঁ ইয়াশাউ ওয়া ইয়াহদীইলাইহি মান আনা-ব।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیَةٌ/ءَايَةٞ/ayatun//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦۚ/rabbihi//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُضِلُّ/يُضِلُّ/yudillu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْۤ/وَيَهۡدِيٓ/wayahdi//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَنْ/مَنۡ/man//اَنَابَۖۚ/أَنَابَ/anaba",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"কেন না//অবতরণ করা হলো//তার উপর//একটি নিদর্শন//কাছ থেকে//তাঁর রবের\"//বলো//\"নিশ্চয়ই//আল্লাহ//পথভ্রষ্ট করেন//যাকে//তিনি ইচ্ছে করেন//ও পথ দেখান//তাঁর দিকে//যে//মুখ ফিরায়"
            },
            {
              "number": 1735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1735.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ وَتَطْمَئِنُّ قُلُوبُهُم بِذِكْرِ ٱللَّهِ ۗ أَلَا بِذِكْرِ ٱللَّهِ تَطْمَئِنُّ ٱلْقُلُوبُ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে এবং তাদের অন্তর আল্লাহর যিকির দ্বারা শান্তি লাভ করে; জেনে রাখ, আল্লাহর যিকির দ্বারাই অন্তর সমূহ শান্তি পায়।",
              "numberInSurah": 28,
              "juz": 13,
              "manzil": 3,
              "page": 252,
              "ruku": 208,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূওয়া তাতমাইন্নুকুলূবুহুম বিযিকরিল্লা-হি ‘আলা-বিযিকরিল্লা-হি তাতমাইন্নুল কুলূব।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ تَطْمَىِٕنُّ/وَتَطۡمَئِنُّ/watatma-innu//قُلُوْبُهُمْ/قُلُوبُهُم/qulubuhum//بِذِكْرِ/بِذِكۡرِ/bidhik'ri//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//اَلَا/أَلَا/ala//بِذِكْرِ/بِذِكۡرِ/bidhik'ri//اللّٰهِ/ٱللَّهِ/al-lahi//تَطْمَىِٕنُّ/تَطۡمَئِنُّ/tatma-innu//الْقُلُوْبُؕ/ٱلۡقُلُوبُ/al-qulubu",
              "words_bangla": "যারা//ঈমান এনেছে//ও শান্তি লাভ করে//তাদের অন্তরগুলো//মাধ্যমে স্মরণের//আল্লাহর//জেনে রাখো//স্মরণে//আল্লাহর//শান্তি লাভ করে//অন্তরসমূহ\""
            },
            {
              "number": 1736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1736.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ طُوبَىٰ لَهُمْ وَحُسْنُ مَـَٔابٍۢ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম সম্পাদন করে, তাদের জন্যে রয়েছে সুসংবাদ এবং মনোরম প্রত্যাবর্তণস্থল।",
              "numberInSurah": 29,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 208,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি তূবা-লাহুম ওয়া হুছনুমাআ-ব।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//طُوْبٰی/طُوبَىٰ/tuba//لَهُمْ/لَهُمۡ/lahum//وَ حُسْنُ/وَحُسۡنُ/wahus'nu//مَاٰبٍ /مَـَٔابٖ/maabin",
              "words_bangla": "যারা//ঈমান এসেছে//ও কাজ করেছে//সৎ//সুসংবাদ//তাদের জন্যে রয়েছে//ও উত্তম//পরিণাম"
            },
            {
              "number": 1737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1737.mp3"
              ],
              "text": "كَذَٰلِكَ أَرْسَلْنَٰكَ فِىٓ أُمَّةٍۢ قَدْ خَلَتْ مِن قَبْلِهَآ أُمَمٌۭ لِّتَتْلُوَا۟ عَلَيْهِمُ ٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ وَهُمْ يَكْفُرُونَ بِٱلرَّحْمَٰنِ ۚ قُلْ هُوَ رَبِّى لَآ إِلَٰهَ إِلَّا هُوَ عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ مَتَابِ",
              "translate_bn": "এমনিভাবে আমি আপনাকে একটি উম্মতের মধ্যে প্রেরণ করেছি। তাদের পূর্বে অনেক উম্মত অতিক্রান্ত হয়েছে। যাতে আপনি তাদেরকে ঐ নির্দেশ শুনিয়ে দেন, যা আমি আপনার কাছে প্রেরণ করেছি। তথাপি তারা দয়াময়কে অস্বীকার করে। বলুনঃ তিনিই আমার পালনকর্তা। তিনি ব্যতীত কারও উপাসনা নাই। আমি তাঁর উপরই ভরসা করেছি এবং তাঁর দিকেই আমার প্রত্যাবর্তণ।",
              "numberInSurah": 30,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 208,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা আরছালনা-কা ফীউম্মাতিন কাদ খালাত মিন কাবলিহাউমামুল লিতাতলুওয়া ‘আলাইহিমুল্লাযী আওহাইনাইলাইকা ওয়াহুম ইয়াকফুরূনা বিররাহমা-নি কুল হুওয়া রাববী লাইলা-হা ইল্লা হুওয়া ‘আলাইহি তাওয়াক্কালতুওয়া ইলাইহি মাতা-ব।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//فِیْۤ/فِيٓ/fi//اُمَّةٍ/أُمَّةٖ/ummatin//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهَاۤ/قَبۡلِهَآ/qabliha//اُمَمٌ/أُمَمٞ/umamun//لِّتَتْلُوَاۡ/لِّتَتۡلُوَاْ/litatluwa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ هُمْ/وَهُمۡ/wahum//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِالرَّحْمٰنِ ؕ/بِٱلرَّحۡمَٰنِۚ/bil-rahmani//قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//رَبِّیْ/رَبِّي/rabbi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَ/huwa//عَلَیْهِ/عَلَيۡهِ/alayhi//تَوَكَّلْتُ/تَوَكَّلۡتُ/tawakkaltu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//مَتَابِ /مَتَابِ/matabi",
              "words_bangla": "(হে মুহাম্মাদ) এভাবে//তোমাকে আমরা পাঠিয়েছি (রাসূলরূপে)//মধ্যে//এক জাতির//নিশ্চয়ই//অতীত হয়েছে//থেকেই//তার পূর্ব//বহু জাতি//যাতে তুমি পাঠ করো//কাছে তাদের//যা//আমরা ওহী করেছি//তোমার প্রতি//এ অবস্থায়ও তারা//অস্বীকার করে//পরম দয়াময়কে//বলো//\"তিনিই//আমার রব//নেই//কোন ইলাহ//ছাড়া//তিনি//তাঁরই উপর//আমি নির্ভর করেছি//এবং তাঁরই দিকে//আমার প্রত্যাবর্তন\""
            },
            {
              "number": 1738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1738.mp3"
              ],
              "text": "وَلَوْ أَنَّ قُرْءَانًۭا سُيِّرَتْ بِهِ ٱلْجِبَالُ أَوْ قُطِّعَتْ بِهِ ٱلْأَرْضُ أَوْ كُلِّمَ بِهِ ٱلْمَوْتَىٰ ۗ بَل لِّلَّهِ ٱلْأَمْرُ جَمِيعًا ۗ أَفَلَمْ يَا۟يْـَٔسِ ٱلَّذِينَ ءَامَنُوٓا۟ أَن لَّوْ يَشَآءُ ٱللَّهُ لَهَدَى ٱلنَّاسَ جَمِيعًۭا ۗ وَلَا يَزَالُ ٱلَّذِينَ كَفَرُوا۟ تُصِيبُهُم بِمَا صَنَعُوا۟ قَارِعَةٌ أَوْ تَحُلُّ قَرِيبًۭا مِّن دَارِهِمْ حَتَّىٰ يَأْتِىَ وَعْدُ ٱللَّهِ ۚ إِنَّ ٱللَّهَ لَا يُخْلِفُ ٱلْمِيعَادَ",
              "translate_bn": "যদি কোন কোরআন এমন হত, যার সাহায্যে পাহাড় চলমান হয় অথবা যমীন খন্ডিত হয় অথবা মৃতরা কথা বলে, তবে কি হত? বরং সব কাজ তো আল্লাহর হাতে। ঈমানদাররা কি এ ব্যাপারে নিশ্চিত নয় যে, যদি আল্লাহ চাইতেন, তবে সব মানুষকে সৎপথে পরিচালিত করতেন? কাফেররা তাদের কৃতকর্মের কারণে সব সময় আঘাত পেতে থাকবে অথবা তাদের গৃহের নিকটবর্তী স্থানে আঘাত নেমে আসবে, যে, পর্যন্ত আল্লাহর ওয়াদা না আসে। নিশ্চয় আল্লাহ ওয়াদার খেলাফ করেন না।",
              "numberInSurah": 31,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 208,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্না কুরআ-নান ছুইয়িরাত বিহিল জিবা-লুআও কুত্তি‘আত বিহিল আরদুআও কুল্লিমা বিহিল মাওতা- বাল লিল্লা-হিল আমরু জামী‘আন আফালাম ইয়াইআছিল্লাযীনা আ-মানূআল্লাওঁইয়াশাউল্লা-হু লাহাদান্না-ছা জামী‘আওঁ ওয়ালা-ইয়াঝা-লুল্লাযীনা কাফারূতুসীবুহুম বিমা-সানা‘ঊ কা-রি‘আতুন আও তাহুল্লুকারীবাম মিন দা-রিহিম হাত্তা-ইয়া’তিয়া ওয়া‘দুল্লা-হি ইন্নাল্লা-হা লা-ইউখলিফুল মী‘আ-দ ।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّ/أَنَّ/anna//قُرْاٰنًا/قُرۡءَانٗا/qur'anan//سُیِّرَتْ/سُيِّرَتۡ/suyyirat//بِهِ/بِهِ/bihi//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//اَوْ/أَوۡ/aw//قُطِّعَتْ/قُطِّعَتۡ/qutti'at//بِهِ/بِهِ/bihi//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//اَوْ/أَوۡ/aw//كُلِّمَ/كُلِّمَ/kullima//بِهِ/بِهِ/bihi//الْمَوْتٰی ؕ/ٱلۡمَوۡتَىٰۗ/al-mawta//بَلْ/بَل/bal//لِّلّٰهِ/لِّلَّهِ/lillahi//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//جَمِیْعًا ؕ/جَمِيعًاۗ/jami'an//اَفَلَمْ/أَفَلَمۡ/afalam//یَایْـَٔسِ/يَاْيۡـَٔسِ/yay'asi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنْ/أَن/an//لَّوْ/لَّوۡ/law//یَشَآءُ/يَشَآءُ/yashau//اللّٰهُ/ٱللَّهُ/al-lahu//لَهَدَی/لَهَدَى/lahada//النَّاسَ/ٱلنَّاسَ/al-nasa//جَمِیْعًا ؕ/جَمِيعٗاۗ/jami'an//وَ لَا/وَلَا/wala//یَزَالُ/يَزَالُ/yazalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//تُصِیْبُهُمْ/تُصِيبُهُم/tusibuhum//بِمَا/بِمَا/bima//صَنَعُوْا/صَنَعُواْ/sana'u//قَارِعَةٌ/قَارِعَةٌ/qari'atun//اَوْ/أَوۡ/aw//تَحُلُّ/تَحُلُّ/tahullu//قَرِیْبًا/قَرِيبٗا/qariban//مِّنْ/مِّن/min//دَارِهِمْ/دَارِهِمۡ/darihim//حَتّٰی/حَتَّىٰ/hatta//یَاْتِیَ/يَأۡتِيَ/yatiya//وَعْدُ/وَعۡدُ/wa'du//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُخْلِفُ/يُخۡلِفُ/yukh'lifu//الْمِیْعَادَ۠/ٱلۡمِيعَادَ/al-mi'ada",
              "words_bangla": "এবং যদি (এমন হতো)//যে//(এই) কুরআন//গতিশীল করা যেতো//দিয়ে তা//পাহাড়সমূহকে//বা//টুকরো টুকরো করা যেতো//দিয়ে তা//জমিনকে//অথবা//কথা বলা যেতো//দিয়ে তা//মৃতদের সাথে (তবুও ঈমান আনতো না)//বরং//আল্লাহর নিয়ন্ত্রণে//বিষয়//সমস্তই//তবে কি না//নিরাশ হয়েছে//যারা//ঈমান এনেছে//যে//যদি//ইচ্ছে করতেন//আল্লাহ//অবশ্যই পথ দেখাতেন//মানুষকে//সকল//এবং না//সর্বদাই//যারা//অস্বীকার করেছে//তাদের কাছে পৌঁছবে//এ কারণে যা//তারা করেছে//বিপর্যয়//অথবা//আপতিত হবে//নিকটে//থেকে//তাদের ঘরের//যতক্ষণ না//আসবে//অঙ্গীকার//আল্লাহর//নিশ্চয়ই//আল্লাহ//না//ভঙ্গ করেন//অঙ্গীকার"
            },
            {
              "number": 1739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1739.mp3"
              ],
              "text": "وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍۢ مِّن قَبْلِكَ فَأَمْلَيْتُ لِلَّذِينَ كَفَرُوا۟ ثُمَّ أَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ عِقَابِ",
              "translate_bn": "আপনার পূর্বে কত রাসূলের সাথে ঠাট্টা করা হয়েছে। অতঃপর আমি কাফেরদেরকে কিছু অবকাশ দিয়েছি। , এর পর তাদেরকে পাকড়াও করেছি। অতএব কেমন ছিল আমার শাস্তি।",
              "numberInSurah": 32,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 209,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদিছতুহঝিআ বিরুছুলিম মিন কাবলিকা ফাআমলাইতুলিল্লাযীনা কাফারূছু ম্মা আখাযতুহুম ফাকাইফা কা-না ‘ইকা-ব।",
              "words_arabic": "وَ لَقَدِ/وَلَقَدِ/walaqadi//اسْتُهْزِئَ/ٱسۡتُهۡزِئَ/us'tuh'zi-a//بِرُسُلٍ/بِرُسُلٖ/birusulin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَاَمْلَیْتُ/فَأَمۡلَيۡتُ/fa-amlaytu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//ثُمَّ/ثُمَّ/thumma//اَخَذْتُهُمْ ۫/أَخَذۡتُهُمۡۖ/akhadhtuhum//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عِقَابِ /عِقَابِ/iqabi",
              "words_bangla": "এবং নিশ্চয়ই//বিদ্রুপ করা হয়েছে//সাথে রাসূলদের//থেকেই//তোমার পূর্ব//অতঃপর আমি অবকাশ দিয়েছি//(তাদেরকে) জন্যে যারা//অস্বীকার করেছে//এরপর//তাদের আমি পাকড়াও করেছি//অতঃপর (দেখো) কেমন//ছিলো//আমার শাস্তি"
            },
            {
              "number": 1740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1740.mp3"
              ],
              "text": "أَفَمَنْ هُوَ قَآئِمٌ عَلَىٰ كُلِّ نَفْسٍۭ بِمَا كَسَبَتْ ۗ وَجَعَلُوا۟ لِلَّهِ شُرَكَآءَ قُلْ سَمُّوهُمْ ۚ أَمْ تُنَبِّـُٔونَهُۥ بِمَا لَا يَعْلَمُ فِى ٱلْأَرْضِ أَم بِظَٰهِرٍۢ مِّنَ ٱلْقَوْلِ ۗ بَلْ زُيِّنَ لِلَّذِينَ كَفَرُوا۟ مَكْرُهُمْ وَصُدُّوا۟ عَنِ ٱلسَّبِيلِ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍۢ",
              "translate_bn": "ওরা প্রত্যেকেই কি মাথার উপর স্ব স্ব কৃতকর্ম নিয়ে দন্ডায়মান নয়? এবং তারা আল্লাহর জন্য অংশীদার সাব্যস্ত করে। বলুন; নাম বল অথবা খবর দাও পৃথিবীর এমন কিছু জিনিস সম্পর্কে যা তিনি জানেন না? অথবা অসার কথাবার্তা বলছ? বরং সুশোভিত করা হয়েছে কাফেরদের জন্যে তাদের প্রতারণাকে এবং তাদেরকে সৎপথ থেকে বাধা দান করা হয়েছে। আল্লাহ যাকে পথভ্রষ্ট করেন, তার কোন পথ প্রদর্শক নেই।",
              "numberInSurah": 33,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 209,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "আফামান হুওয়া কাইমুন ‘আলা-কুল্লি নাফছিম বিমা কাছাবাত ওয়া জা‘আলূলিল্লা-হি শুরাকাআ কুল ছাম্মূহুম আম তুনাব্বিঊনাহূবিমা-লা-ইয়া‘লামুফিল আরদিআম বিজাহিরিম মিনাল কাওলি বাল ঝুইয়িনা লিল্লাযীনা কাফারূমাকরুহুম ওয়াসুদ্দূ‘আনিছ ছাবীলি ওয়ামাইঁ ইউদলিলিল্লা-হু ফামা-লাহূমিন হা-দ ।",
              "words_arabic": "اَفَمَنْ/أَفَمَنۡ/afaman//هُوَ/هُوَ/huwa//قَآىِٕمٌ/قَآئِمٌ/qaimun//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//نَفْسٍۭ/نَفۡسِۭ/nafsin//بِمَا/بِمَا/bima//كَسَبَتْ ۚ/كَسَبَتۡۗ/kasabat//وَ جَعَلُوْا/وَجَعَلُواْ/waja'alu//لِلّٰهِ/لِلَّهِ/lillahi//شُرَكَآءَ ؕ/شُرَكَآءَ/shurakaa//قُلْ/قُلۡ/qul//سَمُّوْهُمْ ؕ/سَمُّوهُمۡۚ/sammuhum//اَمْ/أَمۡ/am//تُنَبِّـُٔوْنَهٗ/تُنَبِّـُٔونَهُۥ/tunabbiunahu//بِمَا/بِمَا/bima//لَا/لَا/la//یَعْلَمُ/يَعۡلَمُ/ya'lamu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَمْ/أَم/am//بِظَاهِرٍ/بِظَٰهِرٖ/bizahirin//مِّنَ/مِّنَ/mina//الْقَوْلِ ؕ/ٱلۡقَوۡلِۗ/al-qawli//بَلْ/بَلۡ/bal//زُیِّنَ/زُيِّنَ/zuyyina//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مَكْرُهُمْ/مَكۡرُهُمۡ/makruhum//وَ صُدُّوْا/وَصُدُّواْ/wasuddu//عَنِ/عَنِ/ani//السَّبِیْلِ ؕ/ٱلسَّبِيلِۗ/al-sabili//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//هَادٍ /هَادٖ/hadin",
              "words_bangla": "তবে কি সেই (সত্ত্বা)//যিনি//দন্ডায়মান (পর্যবেক্ষক)//উপর//প্রত্যেক//মানুষ//ঐ সম্পর্কে যা//সে উপার্জন করেছে//এ অবস্হায়ও তারা বানিয়েছে//আল্লাহর জন্যে//বহু শরীক//বলো//\"তাদের নাম বলো//কি//তাঁকে তোমরা সংবাদ দিচ্ছো//ঐ সম্পর্কে যা//না//তিনি জানেন//মধ্যে//পৃথিবীর//অথবা//বাহ্যিক দিক//কিছু//(অর্থহীন) কথার\"//বরং//শোভনীয় করা হয়েছে//(তাদের) জন্যে যারা//অস্বীকার করেছে//তাদের ছলনা//এবং নিবৃত্ত করা হয়েছে//থেকে//পথ//এবং যাকে//পথভ্রষ্ট করেন//আল্লাহ//অতঃপর নেই//জন্যে তার//কোনো//পথ প্রদর্শক"
            },
            {
              "number": 1741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1741.mp3"
              ],
              "text": "لَّهُمْ عَذَابٌۭ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْءَاخِرَةِ أَشَقُّ ۖ وَمَا لَهُم مِّنَ ٱللَّهِ مِن وَاقٍۢ",
              "translate_bn": "দুনিয়ার জীবনেই এদের জন্য রয়েছে আযাব এবং অতি অবশ্য আখেরাতের জীবন কঠোরতম। আল্লাহর কবল থেকে তাদের কোন রক্ষাকারী নেই।",
              "numberInSurah": 34,
              "juz": 13,
              "manzil": 3,
              "page": 253,
              "ruku": 209,
              "hizbQuarter": 101,
              "sajda": false,
              "pronunciation_bn": "লাহুম ‘আযা-বুন ফিল হায়া-তিদদুনইয়া-ওয়ালা ‘আযা-বুল আ-খিরাতি আশাক্কু ওয়ামা-লাহুম মিনাল্লা-হি মিওঁ ওয়া-ক।",
              "words_arabic": "لَهُمْ/لَّهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَعَذَابُ/وَلَعَذَابُ/wala'adhabu//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَشَقُّ ۚ/أَشَقُّۖ/ashaqqu//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّاقٍ /وَاقٖ/waqin",
              "words_bangla": "তাদের জন্যে//শাস্তি (রয়েছে)//মধ্যে//জীবনের//পার্থিব//এবং অবশ্যই শাস্তি//আখিরাতের//কঠোরতর//এবং নেই//তাদের জন্যে//থেকে//আল্লাহর//কোনো//রক্ষাকারী"
            },
            {
              "number": 1742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1742.mp3"
              ],
              "text": "۞ مَّثَلُ ٱلْجَنَّةِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۖ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ أُكُلُهَا دَآئِمٌۭ وَظِلُّهَا ۚ تِلْكَ عُقْبَى ٱلَّذِينَ ٱتَّقَوا۟ ۖ وَّعُقْبَى ٱلْكَٰفِرِينَ ٱلنَّارُ",
              "translate_bn": "পরহেযগারদের জন্যে প্রতিশ্রুত জান্নাতের অবস্থা এই যে, তার নিম্নে নির্ঝরিণীসমূহ প্রবাহিত হয়। তার ফলসমূহ চিরস্থায়ী এবং ছায়াও। এটা তাদের প্রতিদান, যারা সাবধান হয়েছে এবং কাফেরদের প্রতিফল অগ্নি।",
              "numberInSurah": 35,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 209,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "মাছালুল জান্নাতিল লাতী উ‘ইদাল মুত্তাকূনা তাজরী মিন তাহতিহাল আনহা-রু উকুলুহা-দাইমুওঁ ওয়াজিল্লুহা- তিলকা ‘উকবাল্লাযী নাত্তাকাওঁ ওয়া ‘উকবাল কাফিরীনান্না-র।",
              "words_arabic": "مَثَلُ/۞مَّثَلُ/mathalu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//الَّتِیْ/ٱلَّتِي/allati//وُعِدَ/وُعِدَ/wu'ida//الْمُتَّقُوْنَ ؕ/ٱلۡمُتَّقُونَۖ/al-mutaquna//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؕ/ٱلۡأَنۡهَٰرُۖ/al-anharu//اُكُلُهَا/أُكُلُهَا/ukuluha//دَآىِٕمٌ/دَآئِمٞ/daimun//وَّ ظِلُّهَا ؕ/وَظِلُّهَاۚ/wazilluha//تِلْكَ/تِلۡكَ/til'ka//عُقْبَی/عُقۡبَى/uq'ba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا ۖۗ/ٱتَّقَواْۚ/ittaqaw//وَّ عُقْبَی/وَّعُقۡبَى/wa'uq'ba//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//النَّارُ /ٱلنَّارُ/al-naru",
              "words_bangla": "দৃষ্টান্ত (পরিচয়)//জান্নাতের//যা//প্রতিশ্রুতি দেয়া হয়েছে//মুত্তাকীদের (এমন যে)//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাসমূহ//তার ফলসমূহ//চিরস্হায়ী//এবং তার ছায়াও (অবিনশ্বর)//এসব//পরিণাম//(তাদের) যারা//(আল্লাহকে) ভয় করে//ও পরিণাম//কাফেরদের//(জাহান্নামের) আগুন"
            },
            {
              "number": 1743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1743.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يَفْرَحُونَ بِمَآ أُنزِلَ إِلَيْكَ ۖ وَمِنَ ٱلْأَحْزَابِ مَن يُنكِرُ بَعْضَهُۥ ۚ قُلْ إِنَّمَآ أُمِرْتُ أَنْ أَعْبُدَ ٱللَّهَ وَلَآ أُشْرِكَ بِهِۦٓ ۚ إِلَيْهِ أَدْعُوا۟ وَإِلَيْهِ مَـَٔابِ",
              "translate_bn": "এবং যাদেরকে আমি গ্রন্থ দিয়েছি, তারা আপনার প্রতি যা অবতীর্ণ হয়েছে, তজ্জন্যে আনন্দিত হয় এবং কোন কোন দল এর কোন কোন বিষয় অস্বীকার করে। বলুন, আমাকে এরূপ আদেশই দেয়া হয়েছে যে, আমি আল্লাহর এবাদত করি। এবং তাঁর সাথে অংশীদার না করি। আমি তাঁর দিকেই দাওয়াত দেই এবং তাঁর কাছেই আমার প্রত্যাবর্তন।",
              "numberInSurah": 36,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 209,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-তাইনা-হুমুল কিতা-বা ইয়াফরাহূনা বিমাউনঝিলা ইলাইকা ওয়া মিনাল আহঝা-বি মাইঁ ইউনকিরু বা‘দাহূ কুল ইন্নামাউমিরতুআন আ‘বুদাল্লা-হা ওয়ালাউশরিকা বিহী ইলাইহি আদ‘ঊ ওয়া ইলাইহি মাআ-ব।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یَفْرَحُوْنَ/يَفۡرَحُونَ/yafrahuna//بِمَاۤ/بِمَآ/bima//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَۖ/ilayka//وَ مِنَ/وَمِنَ/wamina//الْاَحْزَابِ/ٱلۡأَحۡزَابِ/al-ahzabi//مَنْ/مَن/man//یُّنْكِرُ/يُنكِرُ/yunkiru//بَعْضَهٗ ؕ/بَعۡضَهُۥۚ/ba'dahu//قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اُمِرْتُ/أُمِرۡتُ/umir'tu//اَنْ/أَنۡ/an//اَعْبُدَ/أَعۡبُدَ/a'buda//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَاۤ/وَلَآ/wala//اُشْرِكَ/أُشۡرِكَ/ush'rika//بِهٖ ؕ/بِهِۦٓۚ/bihi//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَدْعُوْا/أَدۡعُواْ/ad'u//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//مَاٰبِ /مَـَٔابِ/maabi",
              "words_bangla": "এবং যাদেরকে//আমরা দিয়েছি তাদের//কিতাব//তারা আনন্দ পায়//এ কারণে যা//অবতরণ করা হয়েছে//তোমার প্রতি//আবার কিন্তু//বিভিন্ন দলের//কেউ কেউ//অস্বীকার করে//তার কিছু অংশ//বলো//\"শুধুমাত্র//আমাকে আদেশ করা হয়েছে//যে//আমি (যেন) ইবাদত করি//আল্লাহর//এবং না (যেন)//আমি শরীক করি//তাঁর সাথে (অন্য কাউকে)//তাঁরই দিকে//আমি ডাকি//ও তাঁরই দিকে//আমার গন্তব্যস্থান\""
            },
            {
              "number": 1744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1744.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَنزَلْنَٰهُ حُكْمًا عَرَبِيًّۭا ۚ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم بَعْدَمَا جَآءَكَ مِنَ ٱلْعِلْمِ مَا لَكَ مِنَ ٱللَّهِ مِن وَلِىٍّۢ وَلَا وَاقٍۢ",
              "translate_bn": "এমনিভাবেই আমি এ কোরআনকে আরবী ভাষায় নির্দেশরূপে অবতীর্ণ করেছি। যদি আপনি তাদের প্রবৃত্তির অনুসরণ করেন আপনার কাছে জ্ঞান পৌঁছার পর, তবে আল্লাহর কবল থেকে আপনার না কোন সাহায্যকারী আছে এবং না কোন রক্ষাকারী।",
              "numberInSurah": 37,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 209,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আনঝালনা-হু হুকমান ‘আরাবিইইয়াওঁ ওয়ালাইনিততাবা‘তা আহওয়াআহুম বা‘দা মা-জাআকা মিনাল ‘ইল মি মা-লাকা মিনাল্লা-হি মিওঁ ওয়ালিইয়িওঁ ওয়ালা-ওয়া-ক।\r\n",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//حُكْمًا/حُكۡمًا/huk'man//عَرَبِیًّا ؕ/عَرَبِيّٗاۚ/arabiyyan//وَ لَىِٕنِ/وَلَئِنِ/wala-ini//اتَّبَعْتَ/ٱتَّبَعۡتَ/ittaba'ta//اَهْوَآءَهُمْ/أَهۡوَآءَهُم/ahwaahum//بَعْدَ مَا/بَعۡدَمَا/ba'dama//جَآءَكَ/جَآءَكَ/jaaka//مِنَ/مِنَ/mina//الْعِلْمِ ۙ/ٱلۡعِلۡمِ/al-'il'mi//مَا/مَا/ma//لَكَ/لَكَ/laka//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//وَاقٍ۠/وَاقٖ/waqin",
              "words_bangla": "এবং এভাবে//তা আমরা অবতীর্ণ করেছি//বিধানরূপে//আরবী ভাষায়//এবং অবশ্যই যদি//তুমি অনুসরণ করো//তাদের খেয়ালখুশীর//পরেও যা//তোমার কাছে এসেছে//থেকে//জ্ঞান//নেই//তোমার জন্যে//বিরুদ্ধে//আল্লাহর//কোনো//অভিভাবক (বাঁচাতে)//এবং না//কোনো রক্ষাকারী"
            },
            {
              "number": 1745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1745.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا رُسُلًۭا مِّن قَبْلِكَ وَجَعَلْنَا لَهُمْ أَزْوَٰجًۭا وَذُرِّيَّةًۭ ۚ وَمَا كَانَ لِرَسُولٍ أَن يَأْتِىَ بِـَٔايَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۗ لِكُلِّ أَجَلٍۢ كِتَابٌۭ",
              "translate_bn": "আপনার পূর্বে আমি অনেক রসূল প্রেরণ করেছি এবং তাঁদেরকে পত্নী ও সন্তান-সন্ততি দিয়েছি। কোন রসূলের এমন সাধ্য ছিল না যে আল্লাহর নির্দেশ ছাড়া কোন নিদর্শন উপস্থিত করে। প্রত্যেকটি ওয়াদা লিখিত আছে।",
              "numberInSurah": 38,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-রুছুলাম মিন কাবলিকা ওয়া জা‘আলনা-লাহুম আঝওয়া-জাওঁ ওয়া যুররিইইয়াতাওঁ ওয়ামা-কা-না লিরাছূলিন আইঁ ইয়া’তিয়া বিআ-য়াতিন ইল্লা-বিইযনিল্লা হি লিকুল্লি আজালিন কিতা-ব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//رُسُلًا/رُسُلٗا/rusulan//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَهُمْ/لَهُمۡ/lahum//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//وَّ ذُرِّیَّةً ؕ/وَذُرِّيَّةٗۚ/wadhurriyyatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِرَسُوْلٍ/لِرَسُولٍ/lirasulin//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//بِاٰیَةٍ/بِـَٔايَةٍ/biayatin//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//لِكُلِّ/لِكُلِّ/likulli//اَجَلٍ/أَجَلٖ/ajalin//كِتَابٌ /كِتَابٞ/kitabun",
              "words_bangla": "এবং নিশ্চয়ই//আমরা প্রেরণ করেছি//রাসূলদেরকে//থেকেই//তোমার পূর্ব//এবং আমরা দিয়েছিলাম//জন্যে তাদের//স্ত্রীসমূহ//ও সন্তান-সন্ততি//এবং না//ছিলো (সম্ভব)//কোনো রাসূলের জন্যে//যে//সে আসবে//নিয়ে কোনো নিদর্শন//ছাড়া//নিয়ে অনুমতি//আল্লাহর//জন্যে প্রত্যেক//নির্ধারিত যুগের//একটি কিতাব (আছে)"
            },
            {
              "number": 1746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1746.mp3"
              ],
              "text": "يَمْحُوا۟ ٱللَّهُ مَا يَشَآءُ وَيُثْبِتُ ۖ وَعِندَهُۥٓ أُمُّ ٱلْكِتَٰبِ",
              "translate_bn": "আল্লাহ যা ইচ্ছা মিটিয়ে দেন এবং বহাল রাখেন এবং মূলগ্রন্থ তাঁর কাছেই রয়েছে।",
              "numberInSurah": 39,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ইয়ামহূল্লা-হু মা-ইয়াশাউ ওয়া ইউছবিতু ওয়া ‘ইনদাহূ উম্মুল কিতা-ব।",
              "words_arabic": "یَمْحُوا/يَمۡحُواْ/yamhu//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//یَشَآءُ/يَشَآءُ/yashau//وَ یُثْبِتُ ۖۚ/وَيُثۡبِتُۖ/wayuth'bitu//وَ عِنْدَهٗۤ/وَعِندَهُۥٓ/wa'indahu//اُمُّ/أُمُّ/ummu//الْكِتٰبِ /ٱلۡكِتَٰبِ/al-kitabi",
              "words_bangla": "নিশ্চিহ্ন করেন//আল্লাহ//যা//ইচ্ছে করেন//ও বহাল রাখেন (যা চান)//এবং তাঁর কাছে আছে//মূল//কিতাবের"
            },
            {
              "number": 1747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1747.mp3"
              ],
              "text": "وَإِن مَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِنَّمَا عَلَيْكَ ٱلْبَلَٰغُ وَعَلَيْنَا ٱلْحِسَابُ",
              "translate_bn": "আমি তাদের সাথে যে ওয়াদা করেছি, তার কোন একটি যদি আপনাকে দেখিয়ে দেই কিংবা আপনাকে উঠিয়ে নেই, তাতে কি আপনার দায়িত্ব তো পৌছে দেয়া এবং আমার দায়িত্ব হিসাব নেয়া।",
              "numberInSurah": 40,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা- নুরিইয়ান্নাকা বা‘দাল্লাযীনা‘ইদুহুম আও নাতাওয়াফফাইয়ান্নাকা ফাইন্নামা‘আলাইকাল বালা-গু ওয়া ‘আলাইনাল হিছা-ব।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//مَّا/مَّا/ma//نُرِیَنَّكَ/نُرِيَنَّكَ/nuriyannaka//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//نَعِدُهُمْ/نَعِدُهُمۡ/na'iduhum//اَوْ/أَوۡ/aw//نَتَوَفَّیَنَّكَ/نَتَوَفَّيَنَّكَ/natawaffayannaka//فَاِنَّمَا/فَإِنَّمَا/fa-innama//عَلَیْكَ/عَلَيۡكَ/alayka//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//وَ عَلَیْنَا/وَعَلَيۡنَا/wa'alayna//الْحِسَابُ /ٱلۡحِسَابُ/al-hisabu",
              "words_bangla": "এবং যদি//যা//তোমাকে আমরা দেখাই//কিছুটা//যা//তাদের প্রতিশ্রুতি দিচ্ছি আমরা//অথবা//তোমাকে মৃত্যু দিই আমরা (যাই হউক)//প্রকৃতপক্ষে//তোমার দায়িত্ব//প্রচার করা//এবং আমাদের দায়িত্ব//হিসাব-নিকাশের"
            },
            {
              "number": 1748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1748.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّا نَأْتِى ٱلْأَرْضَ نَنقُصُهَا مِنْ أَطْرَافِهَا ۚ وَٱللَّهُ يَحْكُمُ لَا مُعَقِّبَ لِحُكْمِهِۦ ۚ وَهُوَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "তারা কি দেখে না যে, আমি তাদের দেশকে চতুর্দিক থেকে সমানে সঙ্কুচিত করে আসছি? আল্লাহ নির্দেশ দেন। তাঁর নির্দেশকে পশ্চাতে নিক্ষেপকারী কেউ নেই। তিনি দ্রুত হিসাব গ্রহণ করেন।",
              "numberInSurah": 41,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও আন্না-না’তিল আরদা নানকুসুহা-মিন আতারা-ফিহা- ওয়াল্লা-হু ইয়াহকুমূলা-মু‘আক্কিবা লিহুকমিহী ওয়া হুওয়া ছারী‘উল হিছা-ব।\r\n",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّا/أَنَّا/anna//نَاْتِی/نَأۡتِي/nati//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//نَنْقُصُهَا/نَنقُصُهَا/nanqusuha//مِنْ/مِنۡ/min//اَطْرَافِهَا ؕ/أَطۡرَافِهَاۚ/atrafiha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَحْكُمُ/يَحۡكُمُ/yahkumu//لَا/لَا/la//مُعَقِّبَ/مُعَقِّبَ/mu'aqqiba//لِحُكْمِهٖ ؕ/لِحُكۡمِهِۦۚ/lihuk'mihi//وَ هُوَ/وَهُوَ/wahuwa//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "কি নি//তারা দেখে//যে আমরা//আমরা চলে আসছি//জমিনের (উপর)//তা সংকুচিত করছি আমরা//হ'তে//তার চারপাশ//এবং আল্লাহ//আদেশ করেন//নেই//কোনো প্রতিহতকারী//তাঁর আদেশের//এবং তিনি//দ্রুত//হিসাব-নিকাশে"
            },
            {
              "number": 1749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1749.mp3"
              ],
              "text": "وَقَدْ مَكَرَ ٱلَّذِينَ مِن قَبْلِهِمْ فَلِلَّهِ ٱلْمَكْرُ جَمِيعًۭا ۖ يَعْلَمُ مَا تَكْسِبُ كُلُّ نَفْسٍۢ ۗ وَسَيَعْلَمُ ٱلْكُفَّٰرُ لِمَنْ عُقْبَى ٱلدَّارِ",
              "translate_bn": "তাদের পূর্বে যারা ছিল, তারা চক্রান্ত করেছে। আর সকল চক্রান্ত তো আল্লাহর হাতেই আছে। তিনি জানেন প্রত্যেক ব্যক্তি যা কিছু করে। কাফেররা জেনে নেবে যে, পর জীবনের আবাসস্থল কাদের জন্য রয়েছে।",
              "numberInSurah": 42,
              "juz": 13,
              "manzil": 3,
              "page": 254,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ মাকারা ল্লাযীনা মিন কাবলিহিম ফালিল্লা-হিল মাকরু জামী‘আইঁ ইয়া‘লামুমাতাকছিবুকুল্লুনাফছিওঁ ওয়া ছাইয়া‘লামুল কুফফা-রু লিমান ‘উকবাদ দা-র।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//مَكَرَ/مَكَرَ/makara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//فَلِلّٰهِ/فَلِلَّهِ/falillahi//الْمَكْرُ/ٱلۡمَكۡرُ/al-makru//جَمِیْعًا ؕ/جَمِيعٗاۖ/jami'an//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تَكْسِبُ/تَكۡسِبُ/taksibu//كُلُّ/كُلُّ/kullu//نَفْسٍ ؕ/نَفۡسٖۗ/nafsin//وَ سَیَعْلَمُ/وَسَيَعۡلَمُ/wasaya'lamu//الْكُفّٰرُ/ٱلۡكُفَّـٰرُ/al-kufaru//لِمَنْ/لِمَنۡ/liman//عُقْبَی/عُقۡبَى/uq'ba//الدَّارِ /ٱلدَّارِ/al-dari",
              "words_bangla": "এবং নিশ্চয়ই//চক্রান্ত করেছিলো//যারা//থেকে//পূর্ব তাদের (ছিলো)//অতএব অধীনে আল্লাহর//চক্রান্ত//সমস্তই//তিনি জানেন//যা//অর্জন করে//প্রত্যেক//ব্যক্তি//এবং শীঘ্রই জানবে//কাফেররা//কার জন্যে//পরকালের//ঘর"
            },
            {
              "number": 1750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1750.mp3"
              ],
              "text": "وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَسْتَ مُرْسَلًۭا ۚ قُلْ كَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ وَمَنْ عِندَهُۥ عِلْمُ ٱلْكِتَٰبِ",
              "translate_bn": "কাফেররা বলেঃ আপনি প্রেরিত ব্যক্তি নন। বলে দিন, আমার ও তোমাদের মধ্যে প্রকৃষ্ট সাক্ষী হচ্ছেন আল্লাহ এবং ঐ ব্যক্তি, যার কাছে গ্রন্থের জ্ঞান আছে।",
              "numberInSurah": 43,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 210,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল্লাযীনা কাফারূ লাছতা মুরছালান কুল কাফা-বিল্লা-হি শাহীদাম বাইনী ওয়া বাইনাকুম ওয়া মান ‘ইনদাহূ‘ইল মুল কিতা-ব।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَسْتَ/لَسۡتَ/lasta//مُرْسَلًا ؕ/مُرۡسَلٗاۚ/mur'salan//قُلْ/قُلۡ/qul//كَفٰی/كَفَىٰ/kafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًۢا/شَهِيدَۢا/shahidan//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ ۙ/وَبَيۡنَكُمۡ/wabaynakum//وَ مَنْ/وَمَنۡ/waman//عِنْدَهٗ/عِندَهُۥ/indahu//عِلْمُ/عِلۡمُ/il'mu//الْكِتٰبِ۠/ٱلۡكِتَٰبِ/al-kitabi",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"তুমি নও//প্রেরিত (নাবী)\"//বলো//\"যথেষ্ট//আল্লাহ তা'লা-ই//সাক্ষী হিসেবে//আমার মাঝে//ও তোমাদের মাঝে//এবং (সাক্ষ্য) যে//তার কাছে আছে//জ্ঞান//(আসমানী) কিতাবের\""
            }
          ]
        },
        {
          "number": 14,
          "name": "سُورَةُ إِبۡرَاهِيمَ",
          "englishName": "Ibrahim",
          "englishNameTranslation": "Abraham",
          "revelationType": "Meccan",
          "verse": 52,
          "words": 1649,
          "chars": 7050,
          "ayahs": [
            {
              "number": 1751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1751.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓر ۚ كِتَٰبٌ أَنزَلْنَٰهُ إِلَيْكَ لِتُخْرِجَ ٱلنَّاسَ مِنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ بِإِذْنِ رَبِّهِمْ إِلَىٰ صِرَٰطِ ٱلْعَزِيزِ ٱلْحَمِيدِ",
              "translate_bn": "আলিফ-লাম-রা; এটি একটি গ্রন্থ, যা আমি আপনার প্রতি নাযিল করেছি-যাতে আপনি মানুষকে অন্ধকার থেকে আলোর দিকে বের করে আনেন-পরাক্রান্ত, প্রশংসার যোগ্য পালনকর্তার নির্দেশে তাঁরই পথের দিকে।",
              "numberInSurah": 1,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম রা- কিতা-বুন আনঝালনা-হু ইলাইকা লিতুখরিজান্না-ছা মিনাজজু লুমাতি ইলাননূরি, বিইযনি রাব্বিহিম ইলা -সিরা-তিল ‘আঝীঝিল হামীদ।",
              "words_arabic": "الٓرٰ ۫/الٓرۚ/alif-lam-ra//كِتٰبٌ/كِتَٰبٌ/kitabun//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//اِلَیْكَ/إِلَيۡكَ/ilayka//لِتُخْرِجَ/لِتُخۡرِجَ/litukh'rija//النَّاسَ/ٱلنَّاسَ/al-nasa//مِنَ/مِنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ۙ۬/ٱلنُّورِ/al-nuri//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//اِلٰی/إِلَىٰ/ila//صِرَاطِ/صِرَٰطِ/sirati//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَمِیْدِۙ/ٱلۡحَمِيدِ/al-hamidi",
              "words_bangla": "আলিফ- লা-ম রা-//(এই) কিতাব//তা আমরা অবতীর্ণ করেছি//তোমার প্রতি//যেন তুমি বের করো//মানুষকে//থেকে//অন্ধকারসমূহ//দিকে//আলোর//অনুমতিক্রমে//তাদের রবের//দিকে//পথের//পরাক্রমশালী//প্রশংসিত"
            },
            {
              "number": 1752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1752.mp3"
              ],
              "text": "ٱللَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَوَيْلٌۭ لِّلْكَٰفِرِينَ مِنْ عَذَابٍۢ شَدِيدٍ",
              "translate_bn": "তিনি আল্লাহ; যিনি নভোমন্ডল ও ভূ-মন্ডলের সবকিছুর মালিক। কাফেরদের জন্যে বিপদ রয়েছে, কঠোর আযাব;",
              "numberInSurah": 2,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "আল্লাহিল্লাযী লাহূমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া ওয়াইলুলিলল কাফিরীনা মিন ‘আযা-বিন শাদীদ।",
              "words_arabic": "اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//وَ وَیْلٌ/وَوَيۡلٞ/wawaylun//لِّلْكٰفِرِیْنَ/لِّلۡكَٰفِرِينَ/lil'kafirina//مِنْ/مِنۡ/min//عَذَابٍ/عَذَابٖ/adhabin//شَدِیْدِۙ/شَدِيدٍ/shadidin",
              "words_bangla": "আল্লাহ//তিনিই//জন্যে যার//যা কিছূু//মধ্যে আছে//আকাশের//ও যা কিছু//মধ্যে আছে//পৃথিবীর//এবং দুর্ভোগ//কাফেরদের জন্যে//হতে//শাস্তি//কঠোর"
            },
            {
              "number": 1753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1753.mp3"
              ],
              "text": "ٱلَّذِينَ يَسْتَحِبُّونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا عَلَى ٱلْءَاخِرَةِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًا ۚ أُو۟لَٰٓئِكَ فِى ضَلَٰلٍۭ بَعِيدٍۢ",
              "translate_bn": "যারা পরকালের চাইতে পার্থিব জীবনকে পছন্দ করে; আল্লাহর পথে বাধা দান করে এবং তাতে বক্রতা অন্বেষণ করে, তারা পথ ভুলে দূরে পড়ে আছে।",
              "numberInSurah": 3,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াছতাহিববূনাল হায়া-তাদদুনইয়া-‘আলাল আ-খিরাতি ওয়াইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়া ইয়াবগূনাহা-‘ইওয়াজান উলাইকা ফী দালা-লিম বা‘ঈদ।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَحِبُّوْنَ/يَسۡتَحِبُّونَ/yastahibbuna//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//عَلَی/عَلَى/ala//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//وَ یَصُدُّوْنَ/وَيَصُدُّونَ/wayasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَبْغُوْنَهَا/وَيَبۡغُونَهَا/wayabghunaha//عِوَجًا ؕ/عِوَجًاۚ/iwajan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِیْ/فِي/fi//ضَلٰلٍۭ/ضَلَٰلِۭ/dalalin//بَعِیْدٍ /بَعِيدٖ/ba'idin",
              "words_bangla": "যারা//প্রাধান্য দেয়//জীবনকে//পার্থিব//উপর//আখিরাতের//ও (মানুষকে) বাধা দেয়//থেকে//পথ//আল্লাহর//ও তাকে করতে চায়//বাঁকা//ঐসব লোক//মধ্যে আছে//বিপথে//(বহু) দূরে"
            },
            {
              "number": 1754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1754.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن رَّسُولٍ إِلَّا بِلِسَانِ قَوْمِهِۦ لِيُبَيِّنَ لَهُمْ ۖ فَيُضِلُّ ٱللَّهُ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "আমি সব পয়গম্বরকেই তাদের স্বজাতির ভাষাভাষী করেই প্রেরণ করেছি, যাতে তাদেরকে পরিষ্কার বোঝাতে পারে। অতঃপর আল্লাহ যাকে ইচ্ছা, পথঃভ্রষ্ট করেন এবং যাকে ইচ্ছা সৎপথ প্রদর্শন করেন। তিনি পরাক্রান্ত, প্রজ্ঞাময়।",
              "numberInSurah": 4,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-মির রাছূলিন ইল্লা-বিলিছা-নি কাওমিহী লিইউবাইয়িনা লাহুম ফাইউদিল্লুল্লা-হু মাইঁ ইয়াশাউ ওয়া ইয়াহদী মাইঁ ইয়াশাউ ওয়া-হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//بِلِسَانِ/بِلِسَانِ/bilisani//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//لِیُبَیِّنَ/لِيُبَيِّنَ/liyubayyina//لَهُمْ ؕ/لَهُمۡۖ/lahum//فَیُضِلُّ/فَيُضِلُّ/fayudillu//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْ/وَيَهۡدِي/wayahdi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এবং নি//আমরা পাঠাই//কোনো//রাসূলকে//ছাড়া//দিয়ে ভাষা//তার জাতির//যেন সুস্পষ্ট করে বর্ণনা করেন//তাদেরকে//অতঃপর পথভ্রষ্ট করেন//আল্লাহ//যাকে//ইচ্ছে করেন//ও সৎ পথ দেখান//যাকে//ইচ্ছে করেন//এবং তিনি//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 1755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1755.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَٰتِنَآ أَنْ أَخْرِجْ قَوْمَكَ مِنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ وَذَكِّرْهُم بِأَيَّىٰمِ ٱللَّهِ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّكُلِّ صَبَّارٍۢ شَكُورٍۢ",
              "translate_bn": "আমি মূসাকে নিদর্শনাবলী সহ প্রেরণ করেছিলাম যে, স্বজাতিকে অন্ধকার থেকে আলোর দিকে আনয়ন এবং তাদেরকে আল্লাহর দিনসমূহ স্মরণ করান। নিশ্চয় এতে প্রত্যেক ধৈর্যশীল কৃতজ্ঞের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 5,
              "juz": 13,
              "manzil": 3,
              "page": 255,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-মূছা-বিআ-ইয়া-তিনাআন আখরিজ কাওমাকা মিনাজজু লুমাতি ইলাননূরি ওয়া যাককির হুম বিআইইয়া-মিল্লা-হি ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকুল্লি সাব্বা-রিন শাকূর।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مُوْسٰی/مُوسَىٰ/musa//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اَنْ/أَنۡ/an//اَخْرِجْ/أَخۡرِجۡ/akhrij//قَوْمَكَ/قَوۡمَكَ/qawmaka//مِنَ/مِنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ۙ۬/ٱلنُّورِ/al-nuri//وَ ذَكِّرْهُمْ/وَذَكِّرۡهُم/wadhakkir'hum//بِاَیّٰىمِ/بِأَيَّىٰمِ/bi-ayyami//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّكُلِّ/لِّكُلِّ/likulli//صَبَّارٍ/صَبَّارٖ/sabbarin//شَكُوْرٍ /شَكُورٖ/shakurin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা প্রেরণ করেছিলাম//মুসাকে//দিয়ে আমাদের নিদর্শনাদি//যে//\"বের করো//তোমার জাতিকে//থেকে//অন্ধকারসমূহ//দিকে//আলোর//এবং তাদেরকে উপদেশ দাও//দিয়ে দিনগুলো//আল্লাহর\"//নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই নিদর্শনাবলী//জন্যে প্রত্যেক//পরম ধৈর্যশীল//পরম কৃতজ্ঞ ব্যক্তির"
            },
            {
              "number": 1756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1756.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ أَنجَىٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ وَيُذَبِّحُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌۭ مِّن رَّبِّكُمْ عَظِيمٌۭ",
              "translate_bn": "যখন মূসা স্বজাতিকে বললেনঃ তোমাদের প্রতি আল্লাহর অনুগ্রহ স্মরণ কর যখন তিনি তোমাদেরকে ফেরাউনের সম্প্রদায়ের কবল থেকে মুক্তি দেন। তারা তোমাদেরকে অত্যন্ত নিকৃষ্ট ধরনের শাস্তি দিত, তোমাদের ছেলেদেরকে হত্যা করত এবং তোমাদের মেয়েদেরকে জীবিত রাখত। এবং এতে তোমাদের পালনকর্তার পক্ষ থেকে বিরাট পরীক্ষা হয়েছিল।",
              "numberInSurah": 6,
              "juz": 13,
              "manzil": 3,
              "page": 256,
              "ruku": 211,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয কা-লা মূছা-লিকাওমিহিযকুরূনি‘মাতাল্লা-হি ‘আলাইকুম ইযআনজা-কুম মিন আ-লি ফির‘আওনা ইয়াছূমূনাকুম ছুূআল ‘আযা-বি ওয়া ইউযাব্বিহূনা আবনাআকুম ওয়া ইয়াছতাহইউনা নিছাআকুম ; ওয়া ফী যা-লিকুম বালাউম মির রাব্বিকুম ‘আজীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهِ/لِقَوۡمِهِ/liqawmihi//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذْ/إِذۡ/idh//اَنْجٰىكُمْ/أَنجَىٰكُم/anjakum//مِّنْ/مِّنۡ/min//اٰلِ/ءَالِ/ali//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//یَسُوْمُوْنَكُمْ/يَسُومُونَكُمۡ/yasumunakum//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//وَ یُذَبِّحُوْنَ/وَيُذَبِّحُونَ/wayudhabbihuna//اَبْنَآءَكُمْ/أَبۡنَآءَكُمۡ/abnaakum//وَ یَسْتَحْیُوْنَ/وَيَسۡتَحۡيُونَ/wayastahyuna//نِسَآءَكُمْ ؕ/نِسَآءَكُمۡۚ/nisaakum//وَ فِیْ/وَفِي/wafi//ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بَلَآءٌ/بَلَآءٞ/balaon//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//عَظِیْمٌ۠/عَظِيمٞ/azimun",
              "words_bangla": "এবং স্মরণ করো যখন//বলেছিলো//মুসা//তার জাতিকে//\"তোমরা স্মরণ করো//অনুগ্রহ//আল্লাহর//তোমাদের উপর//যখন//তোমাদের তিনি রক্ষা করেন//থেকে//সম্প্রদায়//ফিরাউনের//তোমাদের উপর তারা প্রয়োগ করতো//নিকৃষ্ট//শাস্তি//এবং তারা জবেহ করতো//তোমাদের পুত্রসন্তানদেরকে//ও তারা জীবিত রাখতো//তোমাদের মেয়েদেরকে//এবং মধ্যে (ছিলো)//এর তোমাদের জন্যে//পরীক্ষা//থেকে//তোমাদের রবের//বিরাট\""
            },
            {
              "number": 1757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1757.mp3"
              ],
              "text": "وَإِذْ تَأَذَّنَ رَبُّكُمْ لَئِن شَكَرْتُمْ لَأَزِيدَنَّكُمْ ۖ وَلَئِن كَفَرْتُمْ إِنَّ عَذَابِى لَشَدِيدٌۭ",
              "translate_bn": "যখন তোমাদের পালনকর্তা ঘোষণা করলেন যে, যদি কৃতজ্ঞতা স্বীকার কর, তবে তোমাদেরকে আরও দেব এবং যদি অকৃতজ্ঞ হও তবে নিশ্চয়ই আমার শাস্তি হবে কঠোর।",
              "numberInSurah": 7,
              "juz": 13,
              "manzil": 3,
              "page": 256,
              "ruku": 212,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয তাআযযানা রাব্বুকুম লাইন শাকারতুম লাআঝীদান্নাকুম ওয়া লাইন কাফারতুম ইন্না ‘আযা-বী লাশাদীদ ।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//تَاَذَّنَ/تَأَذَّنَ/ta-adhana//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//لَىِٕنْ/لَئِن/la-in//شَكَرْتُمْ/شَكَرۡتُمۡ/shakartum//لَاَزِیْدَنَّكُمْ/لَأَزِيدَنَّكُمۡۖ/la-azidannakum//وَ لَىِٕنْ/وَلَئِن/wala-in//كَفَرْتُمْ/كَفَرۡتُمۡ/kafartum//اِنَّ/إِنَّ/inna//عَذَابِیْ/عَذَابِي/adhabi//لَشَدِیْدٌ /لَشَدِيدٞ/lashadidun",
              "words_bangla": "এবং (স্মরণ করো) যখন//ঘোষণা করেন//তোমার রব//\"অবশ্যই যদি//তোমরা কৃতজ্ঞ হও//এবং তোমাদের অবশ্যই অধিক দিবো//আর অবশ্যই যদি//তোমরা অকৃতজ্ঞ হও//নিশ্চয়ই (তবে)//আমার শাস্তি//অবশ্যই কঠোর\""
            },
            {
              "number": 1758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1758.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰٓ إِن تَكْفُرُوٓا۟ أَنتُمْ وَمَن فِى ٱلْأَرْضِ جَمِيعًۭا فَإِنَّ ٱللَّهَ لَغَنِىٌّ حَمِيدٌ",
              "translate_bn": "এবং মূসা বললেনঃ তোমরা এবং পৃথিবীর সবাই যদি কুফরী কর, তথাপি আল্লাহ অমুখাপেক্ষী, যাবতীয় গুনের আধার।",
              "numberInSurah": 8,
              "juz": 13,
              "manzil": 3,
              "page": 256,
              "ruku": 212,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মূছাইন তাকফুরূআনতুম ওয়া মান ফিল আরদি জামী‘আন ফাইন্নাল্লা-হা লাগানিইয়ুন হামীদ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰۤی/مُوسَىٰٓ/musa//اِنْ/إِن/in//تَكْفُرُوْۤا/تَكۡفُرُوٓاْ/takfuru//اَنْتُمْ/أَنتُمۡ/antum//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا ۙ/جَمِيعٗا/jami'an//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَغَنِیٌّ/لَغَنِيٌّ/laghaniyyun//حَمِیْدٌ /حَمِيدٌ/hamidun",
              "words_bangla": "এবং বলেছিলো//মুসা//\"যদি//অস্বীকার করো//তোমরা//ও যা কিছু//মধ্যে আছে//পৃথিবীর//সকলেই//তবুও নিশ্চয়ই//আল্লাহ//অবশ্যই অভাবমুক্ত//প্রশংসিত\""
            },
            {
              "number": 1759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1759.mp3"
              ],
              "text": "أَلَمْ يَأْتِكُمْ نَبَؤُا۟ ٱلَّذِينَ مِن قَبْلِكُمْ قَوْمِ نُوحٍۢ وَعَادٍۢ وَثَمُودَ ۛ وَٱلَّذِينَ مِنۢ بَعْدِهِمْ ۛ لَا يَعْلَمُهُمْ إِلَّا ٱللَّهُ ۚ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ فَرَدُّوٓا۟ أَيْدِيَهُمْ فِىٓ أَفْوَٰهِهِمْ وَقَالُوٓا۟ إِنَّا كَفَرْنَا بِمَآ أُرْسِلْتُم بِهِۦ وَإِنَّا لَفِى شَكٍّۢ مِّمَّا تَدْعُونَنَآ إِلَيْهِ مُرِيبٍۢ",
              "translate_bn": "তোমাদের কাছে কি তোমাদের পূর্ববর্তী কওমে নূহ, আদ ও সামুদের এবং তাদের পরবর্তীদের খবর পৌছেনি? তাদের বিষয়ে আল্লাহ ছাড়া আর কেউ জানে না। তাদের কাছে তাদের পয়গম্বর প্রমানাদি নিয়ে আগমন করেন। অতঃপর তারা নিজেদের হাত নিজেদের মুখে রেখে দিয়েছে এবং বলেছে, যা কিছু সহ তোমাদেরকে প্রেরণ করা হয়েছে, আমরা তা মানি না এবং যে পথের দিকে তোমরা আমাদেরকে দাওয়াত দাও, সে সম্পর্কে আমাদের মনে সন্দেহ আছে, যা আমাদেরকে উৎকন্ঠায় ফেলে রেখেছে।",
              "numberInSurah": 9,
              "juz": 13,
              "manzil": 3,
              "page": 256,
              "ruku": 212,
              "hizbQuarter": 102,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া’তিকুম নাবাউল্লাযীনা মিন কাবলিকুম কাওমি নূহিওঁ ওয়া ‘আ-দিওঁ ওয়া ছামূদা ওয়াল্লাযীনা মিম বা‘দিহিম লা-ইয়া‘লামুহুম ইল্লাল্লা-হুজাআতহুম রুছুলূহুম বিলবাইয়িনা-তি ফারাদ্দুআইদিইয়াহুম ফীআফওয়া-হিহিম ওয়াকা-লূইন্না-কাফারনা-বিমাউরছিলতুম বিহী ওয়া ইন্না-লাফী শাক্কিম মিম্মা-তাদ‘ঊনানাইলাইহি মুরীব।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَاْتِكُمْ/يَأۡتِكُمۡ/yatikum//نَبَؤُا/نَبَؤُاْ/naba-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//قَوْمِ/قَوۡمِ/qawmi//نُوْحٍ/نُوحٖ/nuhin//وَّ عَادٍ/وَعَادٖ/wa'adin//وَّ ثَمُوْدَ ۛؕ۬/وَثَمُودَ/wathamuda//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْۢ/مِنۢ/min//بَعْدِهِمْ ۛؕ/بَعۡدِهِمۡ/ba'dihim//لَا/لَا/la//یَعْلَمُهُمْ/يَعۡلَمُهُمۡ/ya'lamuhum//اِلَّا/إِلَّا/illa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَرَدُّوْۤا/فَرَدُّوٓاْ/faraddu//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//فِیْۤ/فِيٓ/fi//اَفْوَاهِهِمْ/أَفۡوَٰهِهِمۡ/afwahihim//وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اِنَّا/إِنَّا/inna//كَفَرْنَا/كَفَرۡنَا/kafarna//بِمَاۤ/بِمَآ/bima//اُرْسِلْتُمْ/أُرۡسِلۡتُم/ur'sil'tum//بِهٖ/بِهِۦ/bihi//وَ اِنَّا/وَإِنَّا/wa-inna//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّمَّا/مِّمَّا/mimma//تَدْعُوْنَنَاۤ/تَدۡعُونَنَآ/tad'unana//اِلَیْهِ/إِلَيۡهِ/ilayhi//مُرِیْبٍ /مُرِيبٖ/muribin",
              "words_bangla": "কাছে কি//আসে নি তোমাদের//সংবাদ//(তাদের) যারা//থেকে//পূর্ব তোমাদের (ছিলো)//জাতি//নূহের//ও আদ//ও সামুদ//এবং যারা//থেকে//তাদের পর (এসেছে)//না//তাদেরকে কেউ জানে//ব্যতীত//আল্লাহ//তাদের কাছে এসেছিলো//তাদের রাসূলরা//নিয়ে সুস্পষ্ট নিদর্শনাদী//অতঃপর তারা ফিরিয়েছে//তাদের হাতগুলো//মধ্যে//তাদের মুখগুলোর//এবং তা বলেছিলো//\"নিশ্চয়ই//আমরা অস্বীকার করলাম//ঐ বিষয়ে যা//তোমরা প্রেরিত হয়েছো//ঐ সম্বন্ধে//এবং নিশ্চয়ই আমরা//অবশ্যই মধ্যে//সন্দেহের//তা হ'তে যা//আমাদের তোমরা ডাকছো//তারই দিকে//সন্দেহ উদ্রেককারী\""
            },
            {
              "number": 1760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1760.mp3"
              ],
              "text": "۞ قَالَتْ رُسُلُهُمْ أَفِى ٱللَّهِ شَكٌّۭ فَاطِرِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ يَدْعُوكُمْ لِيَغْفِرَ لَكُم مِّن ذُنُوبِكُمْ وَيُؤَخِّرَكُمْ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى ۚ قَالُوٓا۟ إِنْ أَنتُمْ إِلَّا بَشَرٌۭ مِّثْلُنَا تُرِيدُونَ أَن تَصُدُّونَا عَمَّا كَانَ يَعْبُدُ ءَابَآؤُنَا فَأْتُونَا بِسُلْطَٰنٍۢ مُّبِينٍۢ",
              "translate_bn": "তাদের পয়গম্বরগণ বলেছিলেনঃ আল্লাহ সম্পর্কে কি সন্দেহ আছে, যিনি নভোমন্ডল ও ভুমন্ডলের স্রষ্টা? তিনি তোমাদেরকে আহবান করেন যাতে তোমাদের কিছু গুনাহ ক্ষমা করেন এবং নির্দিষ্ট মেয়াদ পর্যন্ত তোমাদের সময় দেন। তারা বলতঃ তোমরা তো আমাদের মতই মানুষ! তোমরা আমাদেরকে ঐ উপাস্য থেকে বিরত রাখতে চাও, যার এবাদত আমাদের পিতৃপুরুষগণ করত। অতএব তোমরা কোন সুস্পষ্ট প্রমাণ আনয়ন কর।",
              "numberInSurah": 10,
              "juz": 13,
              "manzil": 3,
              "page": 256,
              "ruku": 212,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "কা-লাত রুছুলুহুম আফিল্লা-হি শাক্কন ফা-তিরিছছামা-ওয়া-তি ওয়াল আরদি ইয়াদ‘ঊকুম লিইয়াগফিরা লাকুম মিন যু নূবিকুম ওয়া ইউআখখিরাকুম ইলা আজালিম মুছাম্মান কা-লূইন আনতুম ইল্লা-বাশারুম মিছলুনা- তুরীদূ না আন তাসুদ্দূনা ‘আম্মা-কানা ইয়া‘বুদুআ-বাউনা-ফা’তূনা বিছুলতা-নিম মুবীন।",
              "words_arabic": "قَالَتْ/۞قَالَتۡ/qalat//رُسُلُهُمْ/رُسُلُهُمۡ/rusuluhum//اَفِی/أَفِي/afi//اللّٰهِ/ٱللَّهِ/al-lahi//شَكٌّ/شَكّٞ/shakkun//فَاطِرِ/فَاطِرِ/fatiri//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//یَدْعُوْكُمْ/يَدۡعُوكُمۡ/yad'ukum//لِیَغْفِرَ/لِيَغۡفِرَ/liyaghfira//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//ذُنُوْبِكُمْ/ذُنُوبِكُمۡ/dhunubikum//وَ یُؤَخِّرَكُمْ/وَيُؤَخِّرَكُمۡ/wayu-akhirakum//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی ؕ/مُّسَمّٗىۚ/musamman//قَالُوْۤا/قَالُوٓاْ/qalu//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُنَا ؕ/مِّثۡلُنَا/mith'luna//تُرِیْدُوْنَ/تُرِيدُونَ/turiduna//اَنْ/أَن/an//تَصُدُّوْنَا/تَصُدُّونَا/tasudduna//عَمَّا/عَمَّا/amma//كَانَ/كَانَ/kana//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُنَا/ءَابَآؤُنَا/abauna//فَاْتُوْنَا/فَأۡتُونَا/fatuna//بِسُلْطٰنٍ/بِسُلۡطَٰنٖ/bisul'tanin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "বলেছিলো//রাসূলরা তাদের//\"কি আছে//আল্লাহর (সম্বন্ধে)//কোনো সন্দেহ//যিনি সৃষ্টিকর্তা//আকাশের//ও পৃথিবীর//তিনি ডাকছেন তোমাদেরকে//মাফ করে দেয়ার জন্যে//তোমাদের//থেকে//তোমাদের পাপসমূহ//এবং অবকাশ দিবেন তোমাদের//পর্যন্ত//কাল//নির্দিষ্ট\"//তারা বলেছিলো//\"নও//তোমরা//ব্যতীত//মানুষ//আমাদের মতো//তোমরা চাচ্ছো//যে//তোমরা আমাদের বিরত রাখবে//ঐ বিষয়ে যা//ছিলো//ইবাদত করে আসছে//আমাদের পূর্ব-পুরুষরা//অতএব আমাদের কাছে আসো//নিয়ে কোনো প্রমাণ//সুস্পষ্ট\""
            },
            {
              "number": 1761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1761.mp3"
              ],
              "text": "قَالَتْ لَهُمْ رُسُلُهُمْ إِن نَّحْنُ إِلَّا بَشَرٌۭ مِّثْلُكُمْ وَلَٰكِنَّ ٱللَّهَ يَمُنُّ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ وَمَا كَانَ لَنَآ أَن نَّأْتِيَكُم بِسُلْطَٰنٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "তাদের পয়গম্বর তাদেরকে বলেনঃ আমারাও তোমাদের মত মানুষ, কিন্তু আল্লাহ বান্দাদের মধ্য থেকে যার উপরে ইচ্ছা, অনুগ্রহ করেন। আল্লাহর নির্দেশ ব্যতীত তোমাদের কাছে প্রমাণ নিয়ে আসা আমাদের কাজ নয়; ঈমানদারদের আল্লাহর উপর ভরসা করা চাই।",
              "numberInSurah": 11,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 212,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "কা-লাত লাহুম রুছুলুহুম ইন নাহনুইল্লা-বাশারুম মিছলুকুম ওয়ালা-কিন্নাল্লা-হা ইয়ামুন্নু ‘আলা-মাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ওয়ামা-কা-না লানাআন না’তিয়াকুম বিছুলতা-নিন ইল্লা-বিইযনিল্লা -হি ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//لَهُمْ/لَهُمۡ/lahum//رُسُلُهُمْ/رُسُلُهُمۡ/rusuluhum//اِنْ/إِن/in//نَّحْنُ/نَّحۡنُ/nahnu//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ/مِّثۡلُكُمۡ/mith'lukum//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یَمُنُّ/يَمُنُّ/yamunnu//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ ؕ/عِبَادِهِۦۖ/ibadihi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَنَاۤ/لَنَآ/lana//اَنْ/أَن/an//نَّاْتِیَكُمْ/نَّأۡتِيَكُم/natiyakum//بِسُلْطٰنٍ/بِسُلۡطَٰنٍ/bisul'tanin//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "বলেছিলো//তাদেরকে//তাদের রাসূলরা//\"নই//আমরা//ব্যতীত//মানুষ//তোমাদের মতো//কিন্তু//আল্লাহ//ধন্য করেন//উপর//যাকে//ইচ্ছে করেন//মধ্য হ'তে//তাঁর দাসদের//এবং নয়//কাজ//আমাদের//যে//তোমাদের কাছে আসবো আমরা//নিয়ে কোন প্রমাণ//ব্যতীত//অনুমতিক্রমে//আল্লাহর//এবং উপর//আল্লাহর//ভরসা করা উচিত//মু’মিনদের"
            },
            {
              "number": 1762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1762.mp3"
              ],
              "text": "وَمَا لَنَآ أَلَّا نَتَوَكَّلَ عَلَى ٱللَّهِ وَقَدْ هَدَىٰنَا سُبُلَنَا ۚ وَلَنَصْبِرَنَّ عَلَىٰ مَآ ءَاذَيْتُمُونَا ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُتَوَكِّلُونَ",
              "translate_bn": "আমাদের আল্লাহর উপর ভরসা না করার কি কারণ থাকতে পারে, অথচ তিনি আমাদেরকে আমাদের পথ বলে দিয়েছেন। তোমরা আমাদেরকে যে পীড়ন করেছ, তজ্জন্যে আমরা সবর করব। ভরসাকারিগণের আল্লাহর উপরই ভরসা করা উচিত।",
              "numberInSurah": 12,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 212,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লানাআল্লা-নাতাওয়াক্কাল ‘আলাল্লা-হি ওয়া কাদ হাদা-না-ছুবুলানা- ওয়া লানাসবিরান্না ‘আলা-মাআ-যাইতুমূনা- ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মুতাওয়াক্কিলূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَنَاۤ/لَنَآ/lana//اَلَّا/أَلَّا/alla//نَتَوَكَّلَ/نَتَوَكَّلَ/natawakkala//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//وَ قَدْ/وَقَدۡ/waqad//هَدٰىنَا/هَدَىٰنَا/hadana//سُبُلَنَا ؕ/سُبُلَنَاۚ/subulana//وَ لَنَصْبِرَنَّ/وَلَنَصۡبِرَنَّ/walanasbiranna//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اٰذَیْتُمُوْنَا ؕ/ءَاذَيۡتُمُونَاۚ/adhaytumuna//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُتَوَكِّلُوْنَ۠/ٱلۡمُتَوَكِّلُونَ/al-mutawakiluna",
              "words_bangla": "এবং কি হয়েছে//আমাদের//যে না//আমরা ভরসা করবো//উপর//আল্লাহর//অথচ নিশ্চয়ই//আমাদের তিনি পথ দেখিয়েছেন//আমাদের পথসমূহে//এবং অবশ্যই আমরা ধৈর্য ধরবো//উপর//যা কিছু//আমাদের তোমরা কষ্ট দিচ্ছো//এবং উপর//আল্লাহর//ভরসা করা উচিত//ভরসাকারীদের\""
            },
            {
              "number": 1763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1763.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِرُسُلِهِمْ لَنُخْرِجَنَّكُم مِّنْ أَرْضِنَآ أَوْ لَتَعُودُنَّ فِى مِلَّتِنَا ۖ فَأَوْحَىٰٓ إِلَيْهِمْ رَبُّهُمْ لَنُهْلِكَنَّ ٱلظَّٰلِمِينَ",
              "translate_bn": "কাফেররা পয়গম্বরগণকে বলেছিলঃ আমরা তোমাদেরকে দেশ থেকে বের করে দেব অথবা তোমরা আমাদের ধর্মে ফিরে আসবে। তখন তাদের কাছে তাদের পালনকর্তা ওহী প্রেরণ করলেন যে, আমি জালিমদেরকে অবশ্যই ধ্বংস করে দেব।",
              "numberInSurah": 13,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূ লিরুছুলিহিম লানুখরিজান্নাকুম মিন আর দিনাআও লাতা‘ঊদুন্না ফী মিল্লাতিনা- ফাআওহাইলাইহিম রাব্বুহুম লানুহলিকান্নাজ্জা-লিমীন।\r\n",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِرُسُلِهِمْ/لِرُسُلِهِمۡ/lirusulihim//لَنُخْرِجَنَّكُمْ/لَنُخۡرِجَنَّكُم/lanukh'rijannakum//مِّنْ/مِّنۡ/min//اَرْضِنَاۤ/أَرۡضِنَآ/ardina//اَوْ/أَوۡ/aw//لَتَعُوْدُنَّ/لَتَعُودُنَّ/lata'udunna//فِیْ/فِي/fi//مِلَّتِنَا ؕ/مِلَّتِنَاۖ/millatina//فَاَوْحٰۤی/فَأَوۡحَىٰٓ/fa-awha//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//لَنُهْلِكَنَّ/لَنُهۡلِكَنَّ/lanuh'likanna//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং বলেছিলো//যারা//অস্বীকার করেছিলো//তাদের রাসূলদের//তোমাদের অবশ্যই বের করবোই//থেকে//আমাদের দেশ//অথবা//তোমরা অবশ্যই ফিরে আসবে//মধ্যে//আমাদের ধর্মমতে\"//অতঃপর ওহী করলেন//তাদের প্রতি//তাদের রব//\"আমরা অবশ্যই ধ্বংস করবোই//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 1764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1764.mp3"
              ],
              "text": "وَلَنُسْكِنَنَّكُمُ ٱلْأَرْضَ مِنۢ بَعْدِهِمْ ۚ ذَٰلِكَ لِمَنْ خَافَ مَقَامِى وَخَافَ وَعِيدِ",
              "translate_bn": "তাদের পর তোমাদেরকে দেশে আবাদ করব। এটা ঐ ব্যক্তি পায়, যে আমার সামনে দন্ডায়মান হওয়াকে এবং আমার আযাবের ওয়াদাকে ভয় করে।",
              "numberInSurah": 14,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া লানুছকিনান্নাকুমুল আরদা মিম বা‘দিহিম যা-লিকা লিমান খা-ফা মাকা-মী ওয়া খা-ফা ওয়া ‘ঈদ।",
              "words_arabic": "وَ لَنُسْكِنَنَّكُمُ/وَلَنُسۡكِنَنَّكُمُ/walanus'kinannakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مِنْۢ/مِنۢ/min//بَعْدِهِمْ ؕ/بَعۡدِهِمۡۚ/ba'dihim//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَنۡ/liman//خَافَ/خَافَ/khafa//مَقَامِیْ/مَقَامِي/maqami//وَ خَافَ/وَخَافَ/wakhafa//وَعِیْدِ /وَعِيدِ/wa'idi",
              "words_bangla": "এবং তোমাদেরকে অবশ্যই আমরা প্রতিষ্ঠিত করবোই//দেশে//থেকে//তাদের পর//এটা//(তার) জন্যে যে//ভয় করে//আমার সামনে দাঁড়াতে//ও ভয় করে//আমার শাস্তির\""
            },
            {
              "number": 1765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1765.mp3"
              ],
              "text": "وَٱسْتَفْتَحُوا۟ وَخَابَ كُلُّ جَبَّارٍ عَنِيدٍۢ",
              "translate_bn": "পয়গম্বরগণ ফয়সালা চাইতে লাগলেন এবং প্রত্যেক অবাধ্য, হঠকারী ব্যর্থ কাম হল।",
              "numberInSurah": 15,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতাফতাহূওয়াখা-বা কুল্লুজাব্বা-রিন ‘আনীদ।",
              "words_arabic": "وَ اسْتَفْتَحُوْا/وَٱسۡتَفۡتَحُواْ/wa-is'taftahu//وَ خَابَ/وَخَابَ/wakhaba//كُلُّ/كُلُّ/kullu//جَبَّارٍ/جَبَّارٍ/jabbarin//عَنِیْدٍۙ/عَنِيدٖ/anidin",
              "words_bangla": "এবং তারা জয়ী হয়ে চাইলো//কিন্তু ব্যর্থ হলো//প্রত্যেক//উদ্ধত//স্বৈরাচারী (সত্যের দুশমন)"
            },
            {
              "number": 1766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1766.mp3"
              ],
              "text": "مِّن وَرَآئِهِۦ جَهَنَّمُ وَيُسْقَىٰ مِن مَّآءٍۢ صَدِيدٍۢ",
              "translate_bn": "তার পেছনে দোযখ রয়েছে। তাতে পূঁজ মিশানো পানি পান করানো হবে।",
              "numberInSurah": 16,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "মিওঁ ওয়ারাইহী জাহান্নামুওয়া ইউছকা-মিম মাইন সাদীদ ।",
              "words_arabic": "مِّنْ/مِّن/min//وَّرَآىِٕهٖ/وَرَآئِهِۦ/waraihi//جَهَنَّمُ/جَهَنَّمُ/jahannamu//وَ یُسْقٰی/وَيُسۡقَىٰ/wayus'qa//مِنْ/مِن/min//مَّآءٍ/مَّآءٖ/main//صَدِیْدٍۙ/صَدِيدٖ/sadidin",
              "words_bangla": "থেকে//তার পিছন (রয়েছে)//জাহান্নাম//এবং পান করানো হবে//থেকে//পানি//গলিত পুঁজের"
            },
            {
              "number": 1767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1767.mp3"
              ],
              "text": "يَتَجَرَّعُهُۥ وَلَا يَكَادُ يُسِيغُهُۥ وَيَأْتِيهِ ٱلْمَوْتُ مِن كُلِّ مَكَانٍۢ وَمَا هُوَ بِمَيِّتٍۢ ۖ وَمِن وَرَآئِهِۦ عَذَابٌ غَلِيظٌۭ",
              "translate_bn": "ঢোক গিলে তা পান করবে। এবং গলার ভিতরে প্রবেশ করতে পারবে না। প্রতি দিক থেকে তার কাছে মৃত্যু আগমন করবে এবং সে মরবে না। তার পশ্চাতেও রয়েছে কঠোর আযাব।",
              "numberInSurah": 17,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ইয়াতাজাররা‘উহূওয়ালা-ইয়া-কা-দূইউছীগুহূওয়া ইয়া’তীহিল মাওতুমিন কুল্লি মাকা-নিওঁ ওয়ামা-হুওয়া বিমাইয়িতিওঁ ওয়ামিওঁ ওয়ারাইহী ‘আযা-বুন গালীজ।",
              "words_arabic": "یَّتَجَرَّعُهٗ/يَتَجَرَّعُهُۥ/yatajarra'uhu//وَ لَا/وَلَا/wala//یَكَادُ/يَكَادُ/yakadu//یُسِیْغُهٗ/يُسِيغُهُۥ/yusighuhu//وَ یَاْتِیْهِ/وَيَأۡتِيهِ/wayatihi//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَكَانٍ/مَكَانٖ/makanin//وَّ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِمَیِّتٍ ؕ/بِمَيِّتٖۖ/bimayyitin//وَ مِنْ/وَمِن/wamin//وَّرَآىِٕهٖ/وَرَآئِهِۦ/waraihi//عَذَابٌ/عَذَابٌ/adhabun//غَلِیْظٌ /غَلِيظٞ/ghalizun",
              "words_bangla": "তা সে ঢোক গিলবে//অথচ না//প্রায় সম্ভব হবে//তা গেলা//এবং তার কাছে আসবে//মৃত্যু(যন্ত্রণা)//থেকে//প্রত্যেক//জায়গা (দিক)//কিন্তু না//সে (হবে)//মৃত//এবং থেকে//তার পিছন//শাস্তি//কঠোর"
            },
            {
              "number": 1768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1768.mp3"
              ],
              "text": "مَّثَلُ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ ۖ أَعْمَٰلُهُمْ كَرَمَادٍ ٱشْتَدَّتْ بِهِ ٱلرِّيحُ فِى يَوْمٍ عَاصِفٍۢ ۖ لَّا يَقْدِرُونَ مِمَّا كَسَبُوا۟ عَلَىٰ شَىْءٍۢ ۚ ذَٰلِكَ هُوَ ٱلضَّلَٰلُ ٱلْبَعِيدُ",
              "translate_bn": "যারা স্বীয় পালনকর্তার সত্তার অবিশ্বাসী তাদের অবস্থা এই যে, তাদের কর্মসমূহ ছাইভস্মের মত যার উপর দিয়ে প্রবল বাতাস বয়ে যায় ধূলিঝড়ের দিন। তাদের উপার্জনের কোন অংশই তাদের করতলগত হবে না। এটাই দুরবর্তী পথভ্রষ্টতা।",
              "numberInSurah": 18,
              "juz": 13,
              "manzil": 3,
              "page": 257,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "মাছালুল্লাযীনা কাফারু বিরাব্বিহিম আ‘মা-লুহুম কারামা-দিনিশতাদ্দাত বিহির রীহুফী ইয়াওমিন ‘আ-সিফিল লা-ইয়াকদিরূনা মিম্মা-কাছাবূ‘আলা-শাইইন যা-লিকা হুওয়াদ্দালা-লুল বা‘ঈদ।",
              "words_arabic": "مَثَلُ/مَّثَلُ/mathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِرَبِّهِمْ/بِرَبِّهِمۡۖ/birabbihim//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//كَرَمَادِ/كَرَمَادٍ/karamadin//شْتَدَّتْ/ٱشۡتَدَّتۡ/ish'taddat//بِهِ/بِهِ/bihi//الرِّیْحُ/ٱلرِّيحُ/al-rihu//فِیْ/فِي/fi//یَوْمٍ/يَوۡمٍ/yawmin//عَاصِفٍ ؕ/عَاصِفٖۖ/asifin//لَا/لَّا/la//یَقْدِرُوْنَ/يَقۡدِرُونَ/yaqdiruna//مِمَّا/مِمَّا/mimma//كَسَبُوْا/كَسَبُواْ/kasabu//عَلٰی/عَلَىٰ/ala//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الضَّلٰلُ/ٱلضَّلَٰلُ/al-dalalu//الْبَعِیْدُ /ٱلۡبَعِيدُ/al-ba'idu",
              "words_bangla": "দৃষ্টান্ত//যারা (তাদের)//অস্বীকার করেছে//তাদের রবের সাথে//তাদের কাজসমূহ//মতো ছাইভস্মের//প্রচন্ড চলে//তার সাথে//বাতাস//মধ্যে//দিনের//ঝড়ের//না//তারা সমর্থ হবে//তা হ'তে যা//তারা উপার্জন করেছে//উপর//কিছুর//এটা//সেই//বিভ্রান্তি//দূরের"
            },
            {
              "number": 1769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1769.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ إِن يَشَأْ يُذْهِبْكُمْ وَيَأْتِ بِخَلْقٍۢ جَدِيدٍۢ",
              "translate_bn": "তুমি কি দেখনি যে, আল্লাহ নভোমন্ডল ও ভুমন্ডল যথাবিধি সৃষ্টি করেছেন? যদি তিনি ইচ্ছা করেন, তবে তোমাদেরকে বিলুপ্তিতে নিয়ে যাবেন এবং নতুন সৃষ্টি আনয়ন করবেন।",
              "numberInSurah": 19,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা খালাকাছছামা-ওয়া-তি ওয়াল আরদা বিল হাক্কি ইয়ঁইয়াশা’ ইউযহিবকুম ওয়া ইয়া’তি বিখালকিন জাদীদ ।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُذْهِبْكُمْ/يُذۡهِبۡكُمۡ/yudh'hib'kum//وَ یَاْتِ/وَيَأۡتِ/wayati//بِخَلْقٍ/بِخَلۡقٖ/bikhalqin//جَدِیْدٍۙ/جَدِيدٖ/jadidin",
              "words_bangla": "নি কি//তুমি দেখো//যে//আল্লাহ//সৃষ্টি করেছেন//আকাশমন্ডলী//ও পৃথিবী//সাথে যথার্থতার//যদি//তিনি ইচ্ছে করেন//তোমাদের নিয়ে যাবেন//ও আসবেন//নিয়ে সৃষ্টি//নয়া"
            },
            {
              "number": 1770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1770.mp3"
              ],
              "text": "وَمَا ذَٰلِكَ عَلَى ٱللَّهِ بِعَزِيزٍۢ",
              "translate_bn": "এটা আল্লাহর পক্ষে মোটেই কঠিন নয়।",
              "numberInSurah": 20,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-যা-লিকা ‘আলাল্লা-হি বি’আঝীঝ।",
              "words_arabic": "وَّ مَا/وَمَا/wama//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//بِعَزِیْزٍ /بِعَزِيزٖ/bi'azizin",
              "words_bangla": "এবং নয়//এটা//উপর//আল্লাহর//কঠিন"
            },
            {
              "number": 1771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1771.mp3"
              ],
              "text": "وَبَرَزُوا۟ لِلَّهِ جَمِيعًۭا فَقَالَ ٱلضُّعَفَٰٓؤُا۟ لِلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُنَّا لَكُمْ تَبَعًۭا فَهَلْ أَنتُم مُّغْنُونَ عَنَّا مِنْ عَذَابِ ٱللَّهِ مِن شَىْءٍۢ ۚ قَالُوا۟ لَوْ هَدَىٰنَا ٱللَّهُ لَهَدَيْنَٰكُمْ ۖ سَوَآءٌ عَلَيْنَآ أَجَزِعْنَآ أَمْ صَبَرْنَا مَا لَنَا مِن مَّحِيصٍۢ",
              "translate_bn": "সবাই আল্লাহর সামনে দন্ডায়মান হবে এবং দুর্বলেরা বড়দেরকে বলবেঃ আমরা তো তোমাদের অনুসারী ছিলাম-অতএব, তোমরা আল্লাহর আযাব থেকে আমাদেরকে কিছুমাত্র রক্ষা করবে কি? তারা বলবেঃ যদি আল্লাহ আমাদেরকে সৎপথ দেখাতেন, তবে আমরা অবশ্যই তোমাদের কে সৎপথ দেখাতাম। এখন তো আমাদের ধৈর্য্যচ্যুত হই কিংবা সবর করি-সবই আমাদের জন্যে সমান আমাদের রেহাই নেই।",
              "numberInSurah": 21,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 213,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া বারাঝূ লিল্লা-হি জামী‘আন ফাকালাদদু‘আফাউলিল্লাযীনাছ তাকাবারূইন্না-কুন্নালাকুম তাবা‘আন ফাহাল আনতুম মুগনূনা ‘আন্না-মিন ‘আযা-বিল্লা-হি মিন শাইইন কা-লূ লাও হাদা-নাল্লা-হু লাহাদাইনা-কুম ছাওয়াউন ‘আলাইনাআজাঝি‘না আম সাবারনা-মালানা-মিম মাহীস।",
              "words_arabic": "وَ بَرَزُوْا/وَبَرَزُواْ/wabarazu//لِلّٰهِ/لِلَّهِ/lillahi//جَمِیْعًا/جَمِيعٗا/jami'an//فَقَالَ/فَقَالَ/faqala//الضُّعَفٰٓؤُا/ٱلضُّعَفَـٰٓؤُاْ/al-du'afau//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتَكْبَرُوْۤا/ٱسۡتَكۡبَرُوٓاْ/is'takbaru//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//لَكُمْ/لَكُمۡ/lakum//تَبَعًا/تَبَعٗا/taba'an//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُم/antum//مُّغْنُوْنَ/مُّغۡنُونَ/mugh'nuna//عَنَّا/عَنَّا/anna//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//قَالُوْا/قَالُواْ/qalu//لَوْ/لَوۡ/law//هَدٰىنَا/هَدَىٰنَا/hadana//اللّٰهُ/ٱللَّهُ/al-lahu//لَهَدَیْنٰكُمْ ؕ/لَهَدَيۡنَٰكُمۡۖ/lahadaynakum//سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْنَاۤ/عَلَيۡنَآ/alayna//اَجَزِعْنَاۤ/أَجَزِعۡنَآ/ajazi'na//اَمْ/أَمۡ/am//صَبَرْنَا/صَبَرۡنَا/sabarna//مَا/مَا/ma//لَنَا/لَنَا/lana//مِنْ/مِن/min//مَّحِیْصٍ۠/مَّحِيصٖ/mahisin",
              "words_bangla": "এবং তারা উপস্থিত হবে (উন্মোচিত হবে)//আল্লাহর কাছে//সকলে//অতঃপর বলবে//দুর্বলেরা//তাদেরকে যারা//অহংকার করতো//\"আমরা নিশ্চয়ই//ছিলাম//তোমাদের জন্যে//অধীন//তাহ'লে কি//তোমরা//রক্ষাকারী হবে (বাঁচাতে)//আমাদেরকে//থেকে//শাস্তি//আল্লাহর//কোনো\"//কিছু\"//তারা বলবে//\"যদি//আমাদের সৎ পথ দেখাতেন//আল্লাহ//অবশ্যই তোমাদের আমরা পথ দেখাতাম//সমান//আমাদের জন্যে//আমরা ধৈর্য্যচ্যুত হই//বা//আমরা ধৈর্য্য ধরি//নেই//আমাদের জন্যে//কোনো//পালানোর জায়গা\""
            },
            {
              "number": 1772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1772.mp3"
              ],
              "text": "وَقَالَ ٱلشَّيْطَٰنُ لَمَّا قُضِىَ ٱلْأَمْرُ إِنَّ ٱللَّهَ وَعَدَكُمْ وَعْدَ ٱلْحَقِّ وَوَعَدتُّكُمْ فَأَخْلَفْتُكُمْ ۖ وَمَا كَانَ لِىَ عَلَيْكُم مِّن سُلْطَٰنٍ إِلَّآ أَن دَعَوْتُكُمْ فَٱسْتَجَبْتُمْ لِى ۖ فَلَا تَلُومُونِى وَلُومُوٓا۟ أَنفُسَكُم ۖ مَّآ أَنَا۠ بِمُصْرِخِكُمْ وَمَآ أَنتُم بِمُصْرِخِىَّ ۖ إِنِّى كَفَرْتُ بِمَآ أَشْرَكْتُمُونِ مِن قَبْلُ ۗ إِنَّ ٱلظَّٰلِمِينَ لَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যখন সব কাজের ফায়সলা হয়ে যাবে, তখন শয়তান বলবেঃ নিশ্চয় আল্লাহ তোমাদেরকে সত্য ওয়াদা দিয়েছিলেন এবং আমি তোমাদের সাথে ওয়াদা করেছি, অতঃপর তা ভঙ্গ করেছি। তোমাদের উপর তো আমার কোন ক্ষমতা ছিল না, কিন্তু এতটুকু যে, আমি তোমাদেরকে ডেকেছি, অতঃপর তোমরা আমার কথা মেনে নিয়েছ। অতএব তোমরা আমাকে ভৎর্সনা করো না এবং নিজেদেরকেই ভৎর্সনা কর। আমি তোমাদের উদ্ধারে সাহায্যকারী নই। এবং তোমরাও আমার উদ্ধারে সাহায্যকারী নও। ইতোপূর্বে তোমরা আমাকে যে আল্লাহর শরীক করেছিলে, আমি তা অস্বীকার করি। নিশ্চয় যারা জালেম তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 22,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাশশাইতা-নুলাম্মা-কুদিয়াল আমরু ইন্নাল্লা-হা ওয়া‘আদাকুমওয়া‘আদাল হাক্কিওয়া ওয়াআততুকুম ফাআখলাফতুকুম ওয়ামা-কা-না লিয়া ‘আলাইকুম মিন ছুলতা-নিন ইল্লা আন দা‘আওতুকুম ফাছতাজাবতুম লী ফালা-তালূমূনী ওয়া লূমূআনফুছাকুম মাআনা-বিমুসরিখিকুম ওয়ামাআনতুম বিমুসরিখিইইয়া ইন্নী কাফারতুবিমা আশরাকতুমূনি মিন কাবলু ইন্নাজ্জা-লিমীনা লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//لَمَّا/لَمَّا/lamma//قُضِیَ/قُضِيَ/qudiya//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//وَعَدَكُمْ/وَعَدَكُمۡ/wa'adakum//وَعْدَ/وَعۡدَ/wa'da//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ وَعَدْتُّكُمْ/وَوَعَدتُّكُمۡ/wawa'adttukum//فَاَخْلَفْتُكُمْ ؕ/فَأَخۡلَفۡتُكُمۡۖ/fa-akhlaftukum//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِیَ/لِيَ/liya//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْ/مِّن/min//سُلْطٰنٍ/سُلۡطَٰنٍ/sul'tanin//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//دَعَوْتُكُمْ/دَعَوۡتُكُمۡ/da'awtukum//فَاسْتَجَبْتُمْ/فَٱسۡتَجَبۡتُمۡ/fa-is'tajabtum//لِیْ ۚ/لِيۖ/li//فَلَا/فَلَا/fala//تَلُوْمُوْنِیْ/تَلُومُونِي/talumuni//وَ لُوْمُوْۤا/وَلُومُوٓاْ/walumu//اَنْفُسَكُمْ ؕ/أَنفُسَكُمۖ/anfusakum//مَاۤ/مَّآ/ma//اَنَا/أَنَا۠/ana//بِمُصْرِخِكُمْ/بِمُصۡرِخِكُمۡ/bimus'rikhikum//وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُصْرِخِیَّ ؕ/بِمُصۡرِخِيَّ/bimus'rikhiyya//اِنِّیْ/إِنِّي/inni//كَفَرْتُ/كَفَرۡتُ/kafartu//بِمَاۤ/بِمَآ/bima//اَشْرَكْتُمُوْنِ/أَشۡرَكۡتُمُونِ/ashraktumuni//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۗ/qablu//اِنَّ/إِنَّ/inna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং বলবে//শয়তান//যখন//মীমাংসা হয়ে যাবে//বিষয়টির//\"নিশ্চয়ই//আল্লাহ//প্রতিশ্রুতি দিয়েছিলেন তোমাদের//প্রতিশ্রুতি//সত্য//এবং আমি প্রতিশ্রুতি দিয়েছিলাম তোমাদের//কিন্তু আমি প্রতিশ্রুতি ভঙ্গ করেছি তোমাদের//এবং না//ছিলো//আমার জন্যে//তোমাদের উপর//কোনো//কর্তৃত্ব//এছাড়া//যে//আমি ডেকেছিলাম তোমাদের//তখন সাড়া দিয়েছিলে তোমরা//আমার জন্যে//সুতরাং না//তোমরা তিরস্কার করো আমাকে//তবে তোমরা তিরস্কার করো//তোমাদের নিজেদেরকে//নই//আমি//উদ্ধারকারী তোমাদের//এবং নও//তোমরা//উদ্ধারকারী আমার//নিশ্চয়ই আমি//অস্বীকার করছি//ঐ বিষয়ে যা//আমাকেে তোমরা শরীক করেছো//থেকে//পূর্ব//নিশ্চয়ই//সীমালঙ্ঘনকারীদের//তাদের জন্যে আছে//শাস্তি//নিদারুণ\""
            },
            {
              "number": 1773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1773.mp3"
              ],
              "text": "وَأُدْخِلَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا بِإِذْنِ رَبِّهِمْ ۖ تَحِيَّتُهُمْ فِيهَا سَلَٰمٌ",
              "translate_bn": "এবং যারা বিশ্বাস স্থাপণ করে এবং সৎকর্ম সম্পাদন করে তাদেরকে এমন উদ্যানে প্রবেশ করানো হবে, যার পাদদেশ দিয়ে নির্ঝরিনী সমূহ প্রবাহিত হবে তারা তাতে পালনকর্তার নির্দেশে অনন্তকাল থাকবে। যেখানে তাদের সম্ভাষণ হবে সালাম।",
              "numberInSurah": 23,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া উদখিলাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-বিইযনি রাব্বিহিম তাহিইইয়াতুহুম ফীহাছালা-ম ।",
              "words_arabic": "وَ اُدْخِلَ/وَأُدۡخِلَ/wa-ud'khila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهِمْ ؕ/رَبِّهِمۡۖ/rabbihim//تَحِیَّتُهُمْ/تَحِيَّتُهُمۡ/tahiyyatuhum//فِیْهَا/فِيهَا/fiha//سَلٰمٌ /سَلَٰمٌ/salamun",
              "words_bangla": "এবং প্রবেশ করানো হবে//(তাদের) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//জান্নাতে//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাসমূহ//তারা স্থায়ী হবে//মধ্যে তার//অনুমতিক্রমে//তাদের রবের//তাদের অভিবাদন হবে//তার মধ্যে//সালাম"
            },
            {
              "number": 1774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1774.mp3"
              ],
              "text": "أَلَمْ تَرَ كَيْفَ ضَرَبَ ٱللَّهُ مَثَلًۭا كَلِمَةًۭ طَيِّبَةًۭ كَشَجَرَةٍۢ طَيِّبَةٍ أَصْلُهَا ثَابِتٌۭ وَفَرْعُهَا فِى ٱلسَّمَآءِ",
              "translate_bn": "তুমি কি লক্ষ্য কর না, আল্লাহ তা’আলা কেমন উপমা বর্ণনা করেছেনঃ পবিত্র বাক্য হলো পবিত্র বৃক্ষের মত। তার শিকড় মজবুত এবং শাখা আকাশে উত্থিত।",
              "numberInSurah": 24,
              "juz": 13,
              "manzil": 3,
              "page": 258,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা কাইফা দারাবাল্লা-হুমাছালান কালিমাতান তাইয়িবাতান কাশাজারাতিন তাইয়িবাতিন আসলুহা-ছা-বিতুওঁ ওয়া ফার‘উহা-ফিছছামাই।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//كَیْفَ/كَيۡفَ/kayfa//ضَرَبَ/ضَرَبَ/daraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//كَلِمَةً/كَلِمَةٗ/kalimatan//طَیِّبَةً/طَيِّبَةٗ/tayyibatan//كَشَجَرَةٍ/كَشَجَرَةٖ/kashajaratin//طَیِّبَةٍ/طَيِّبَةٍ/tayyibatin//اَصْلُهَا/أَصۡلُهَا/asluha//ثَابِتٌ/ثَابِتٞ/thabitun//وَّ فَرْعُهَا/وَفَرۡعُهَا/wafar'uha//فِی/فِي/fi//السَّمَآءِۙ/ٱلسَّمَآءِ/al-samai",
              "words_bangla": "নি কি//তুমি লক্ষ্য করো//কিভাবে//বর্ণনা করেছেন//আল্লাহ//উপমা//বাক্য (কালেমা তাইয়েবা)//পবিত্র//(তা) একটি গাছের মতো//(যা) পবিত্র//তার মূল (শেকড়)//সুদৃঢ়//ও তার শাখাগুলো (ডালপালা)//থাকে//উপরে (বিস্তৃত)"
            },
            {
              "number": 1775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1775.mp3"
              ],
              "text": "تُؤْتِىٓ أُكُلَهَا كُلَّ حِينٍۭ بِإِذْنِ رَبِّهَا ۗ وَيَضْرِبُ ٱللَّهُ ٱلْأَمْثَالَ لِلنَّاسِ لَعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "সে পালনকর্তার নির্দেশে অহরহ ফল দান করে। আল্লাহ মানুষের জন্যে দৃষ্টান্ত বর্ণণা করেন-যাতে তারা চিন্তা-ভাবনা করে।",
              "numberInSurah": 25,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "তু’তী উকুলাহা-কুল্লা হীনিম বিইযনি রাব্বিহা - ওয়া ইয়াদরিবুল্লা-হুল আমছা-লা লিন্না-ছি লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "تُؤْتِیْۤ/تُؤۡتِيٓ/tu'ti//اُكُلَهَا/أُكُلَهَا/ukulaha//كُلَّ/كُلَّ/kulla//حِیْنٍۭ/حِينِۭ/hinin//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهَا ؕ/رَبِّهَاۗ/rabbiha//وَ یَضْرِبُ/وَيَضۡرِبُ/wayadribu//اللّٰهُ/ٱللَّهُ/al-lahu//الْاَمْثَالَ/ٱلۡأَمۡثَالَ/al-amthala//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَ /يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "দেয়//তার ফল//প্রত্যেক//মুহূর্তে (মৌসুমে)//অনুমতিক্রমে//রবের তার//এবং বর্ণনা করেন//আল্লাহ//দৃষ্টান্তসমূহ//মানুষের জন্যে//তারা যাতে//শিক্ষা গ্রহণ করে"
            },
            {
              "number": 1776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1776.mp3"
              ],
              "text": "وَمَثَلُ كَلِمَةٍ خَبِيثَةٍۢ كَشَجَرَةٍ خَبِيثَةٍ ٱجْتُثَّتْ مِن فَوْقِ ٱلْأَرْضِ مَا لَهَا مِن قَرَارٍۢ",
              "translate_bn": "এবং নোংরা বাক্যের উদাহরণ হলো নোংরা বৃক্ষ। একে মাটির উপর থেকে উপড়ে নেয়া হয়েছে। এর কোন স্থিতি নেই।",
              "numberInSurah": 26,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাছালুকালিমাতিন খাবীছাতিন কাশাজারাতিন খাবীছাতি নিজতুছছাত মিন ফাওকিল আরদিমা-লাহা-মিন কারা-র।",
              "words_arabic": "وَ مَثَلُ/وَمَثَلُ/wamathalu//كَلِمَةٍ/كَلِمَةٍ/kalimatin//خَبِیْثَةٍ/خَبِيثَةٖ/khabithatin//كَشَجَرَةٍ/كَشَجَرَةٍ/kashajaratin//خَبِیْثَةِ/خَبِيثَةٍ/khabithatin//جْتُثَّتْ/ٱجۡتُثَّتۡ/uj'tuthat//مِنْ/مِن/min//فَوْقِ/فَوۡقِ/fawqi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَا/مَا/ma//لَهَا/لَهَا/laha//مِنْ/مِن/min//قَرَارٍ /قَرَارٖ/qararin",
              "words_bangla": "এবং উপমা//বাক্যের//নোংরা (অসার)//মতো (তা) একটি গাছের//নোংরা (অসার)//উপড়ে নেয়া হয়েছে//থেকে//উপর//মাটির//নেই//তার জন্যে//কোনো//স্থিতি"
            },
            {
              "number": 1777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1777.mp3"
              ],
              "text": "يُثَبِّتُ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ بِٱلْقَوْلِ ٱلثَّابِتِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْءَاخِرَةِ ۖ وَيُضِلُّ ٱللَّهُ ٱلظَّٰلِمِينَ ۚ وَيَفْعَلُ ٱللَّهُ مَا يَشَآءُ",
              "translate_bn": "আল্লাহ তা’আলা মুমিনদেরকে মজবুত বাক্য দ্বারা মজবুত করেন। পার্থিবজীবনে এবং পরকালে। এবং আল্লাহ জালেমদেরকে পথভ্রষ্ট করেন। আল্লাহ যা ইচ্ছা, তা করেন।",
              "numberInSurah": 27,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 214,
              "hizbQuarter": 103,
              "sajda": false,
              "pronunciation_bn": "ইউছাব্বিতুল্লা-হুল্লাযীনা আ-মানূবিলকাওলিছছা-বিতি ফিল হায়া-তিদদুনইয়া-ওয়া ফিল আ-খিরাতি ওয়া ইউদিল্লা-হুজ জা-লিমীনা ওয়াইয়াফ ‘আলুল্লাহু মাইয়াশাউ।",
              "words_arabic": "یُثَبِّتُ/يُثَبِّتُ/yuthabbitu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِالْقَوْلِ/بِٱلۡقَوۡلِ/bil-qawli//الثَّابِتِ/ٱلثَّابِتِ/al-thabiti//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ فِی/وَفِي/wafi//الْاٰخِرَةِ ۚ/ٱلۡأٓخِرَةِۖ/al-akhirati//وَ یُضِلُّ/وَيُضِلُّ/wayudillu//اللّٰهُ/ٱللَّهُ/al-lahu//الظّٰلِمِیْنَ ۙ۫/ٱلظَّـٰلِمِينَۚ/al-zalimina//وَ یَفْعَلُ/وَيَفۡعَلُ/wayaf 'alu//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//یَشَآءُ۠/يَشَآءُ/yashau",
              "words_bangla": "প্রতিষ্ঠিত করেন//আল্লাহ//(তাদের) যারা//ঈমান এনেছে//দিয়ে বাণী//সুদৃঢ়//মধ্যে//জীবনের//পার্থিব//এবং মধ্যে//আখিরাতের//এবং পথভ্রষ্ট করেন//আল্লাহ//সীমালঙ্ঘনকারীদের//ও করেন//আল্লাহ//যা//তিনি ইচ্ছে করেন"
            },
            {
              "number": 1778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1778.mp3"
              ],
              "text": "۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ بَدَّلُوا۟ نِعْمَتَ ٱللَّهِ كُفْرًۭا وَأَحَلُّوا۟ قَوْمَهُمْ دَارَ ٱلْبَوَارِ",
              "translate_bn": "তুমি কি তাদের কে দেখনি, যারা আল্লাহর নেয়ামতকে কুফরে পরিণত করেছে এবং স্ব-জাতিকে সম্মুখীন করেছে ধ্বংসের আলয়ে।",
              "numberInSurah": 28,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা বাদ্দালূনি‘মাতাল্লা-হি কুফরাওঁ ওয়া আহাললূকাওমাহুম দা-রাল বাওয়া-র।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//بَدَّلُوْا/بَدَّلُواْ/baddalu//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//كُفْرًا/كُفۡرٗا/kuf'ran//وَّ اَحَلُّوْا/وَأَحَلُّواْ/wa-ahallu//قَوْمَهُمْ/قَوۡمَهُمۡ/qawmahum//دَارَ/دَارَ/dara//الْبَوَارِۙ/ٱلۡبَوَارِ/al-bawari",
              "words_bangla": "নি কি//তুমি লক্ষ্য করো//প্রতি//(তাদের) যারা//বদলে দিয়েছে//অনুগ্রহ//আল্লাহর//অকৃতজ্ঞতায়//এবং নামিয়ে এনেছে//তাদের জাতিকে//ঘরে//ধ্বংসের"
            },
            {
              "number": 1779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1779.mp3"
              ],
              "text": "جَهَنَّمَ يَصْلَوْنَهَا ۖ وَبِئْسَ ٱلْقَرَارُ",
              "translate_bn": "দোযখের? তারা তাতে প্রবেশ করবে সেটা কতই না মন্দ আবাস।",
              "numberInSurah": 29,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "জাহান্নামা ইয়াসলাওনাহা- ওয়াবি’ছাল কারা-র।",
              "words_arabic": "جَهَنَّمَ ۚ/جَهَنَّمَ/jahannama//یَصْلَوْنَهَا ؕ/يَصۡلَوۡنَهَاۖ/yaslawnaha//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْقَرَارُ /ٱلۡقَرَارُ/al-qararu",
              "words_bangla": "জাহান্নামে//তাতে তারা প্রবেশ করবে//এবং অতি নিকৃষ্ট//আশ্রয়স্থল"
            },
            {
              "number": 1780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1780.mp3"
              ],
              "text": "وَجَعَلُوا۟ لِلَّهِ أَندَادًۭا لِّيُضِلُّوا۟ عَن سَبِيلِهِۦ ۗ قُلْ تَمَتَّعُوا۟ فَإِنَّ مَصِيرَكُمْ إِلَى ٱلنَّارِ",
              "translate_bn": "এবং তারা আল্লাহর জন্যে সমকক্ষ স্থির করেছে, যাতে তারা তার পথ থেকে বিচ্যুত করে দেয়। বলুনঃ মজা উপভোগ করে নাও। অতঃপর তোমাদেরকে অগ্নির দিকেই ফিরে যেতে হবে।",
              "numberInSurah": 30,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলূলিল্লা-হি আনদা-দাল লিইউদিললূ‘আন ছাবীলিহী কুল তামাত্তা‘ঊ ফাইন্না মাসীরাকুম ইলান্না-র।",
              "words_arabic": "وَ جَعَلُوْا/وَجَعَلُواْ/waja'alu//لِلّٰهِ/لِلَّهِ/lillahi//اَنْدَادًا/أَندَادٗا/andadan//لِّیُضِلُّوْا/لِّيُضِلُّواْ/liyudillu//عَنْ/عَن/an//سَبِیْلِهٖ ؕ/سَبِيلِهِۦۗ/sabilihi//قُلْ/قُلۡ/qul//تَمَتَّعُوْا/تَمَتَّعُواْ/tamatta'u//فَاِنَّ/فَإِنَّ/fa-inna//مَصِیْرَكُمْ/مَصِيرَكُمۡ/masirakum//اِلَی/إِلَى/ila//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "এবং তারা বানিয়েছে//জন্যে আল্লাহর//সমকক্ষসমূহ//যেন তারা পথভ্রষ্ট করে//হ'তে//তাঁর পথ (মানুষকে)//বলো//\"তোমরা ভোগ করো//অতঃপর নিশ্চয়ই//তোমাদের ফেরার জায়গা//দিকে//(জাহান্নামের) আগুনের\""
            },
            {
              "number": 1781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1781.mp3"
              ],
              "text": "قُل لِّعِبَادِىَ ٱلَّذِينَ ءَامَنُوا۟ يُقِيمُوا۟ ٱلصَّلَوٰةَ وَيُنفِقُوا۟ مِمَّا رَزَقْنَٰهُمْ سِرًّۭا وَعَلَانِيَةًۭ مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌۭ لَّا بَيْعٌۭ فِيهِ وَلَا خِلَٰلٌ",
              "translate_bn": "আমার বান্দাদেরকে বলে দিন যারা বিশ্বাস স্থাপন করেছে, তারা নামায কায়েম রাখুক এবং আমার দেয়া রিযিক থেকে গোপনে ও প্রকাশ্যে ব্যয় করুক ঐদিন আসার আগে, যেদিন কোন বেচা কেনা নেই এবং বন্ধুত্বও নেই।",
              "numberInSurah": 31,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "কুললি‘ইবা-দিয়াল্লাযীনা আ-মানূইউকীমুসসালা-তা ওয়া ইউনফিকূ মিম্মা-রাঝাকনাহুম ছিররাওঁ ওয়া ‘আলা-নিয়াতাম মিন কাবলি আইঁ ইয়া’তিয়া ইয়াওমুল লা-বাই‘ঊন ফীহি ওয়ালা-খিলা-ল।",
              "words_arabic": "قُلْ/قُل/qul//لِّعِبَادِیَ/لِّعِبَادِيَ/li'ibadiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//یُقِیْمُوا/يُقِيمُواْ/yuqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُنْفِقُوْا/وَيُنفِقُواْ/wayunfiqu//مِمَّا/مِمَّا/mimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//سِرًّا/سِرّٗا/sirran//وَّ عَلَانِیَةً/وَعَلَانِيَةٗ/wa'alaniyatan//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//یَوْمٌ/يَوۡمٞ/yawmun//لَّا/لَّا/la//بَیْعٌ/بَيۡعٞ/bay'un//فِیْهِ/فِيهِ/fihi//وَ لَا/وَلَا/wala//خِلٰلٌ /خِلَٰلٌ/khilalun",
              "words_bangla": "বলো (হে নাবী)//আমার দাসদেরকে//যারা//ঈমান এনেছে//তারা যেন প্রতিষ্ঠা করে//সালাত//ও তারা ব্যয় করে//তা হ'তে যা//আমরা জীবিকা দিয়েছি তাদের//গোপনে//ও প্রকাশ্যে//থেকেই//পূর্ব//যে//আসবে//সেদিন//না//কেনা-বেচা হবে//তার মধ্যে//আর না//বন্ধুত্ব (কাজে আসবে)"
            },
            {
              "number": 1782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1782.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَخْرَجَ بِهِۦ مِنَ ٱلثَّمَرَٰتِ رِزْقًۭا لَّكُمْ ۖ وَسَخَّرَ لَكُمُ ٱلْفُلْكَ لِتَجْرِىَ فِى ٱلْبَحْرِ بِأَمْرِهِۦ ۖ وَسَخَّرَ لَكُمُ ٱلْأَنْهَٰرَ",
              "translate_bn": "তিনিই আল্লাহ, যিনি নভোমন্ডল ও ভুমন্ডল সৃজন করেছেন এবং আকাশ থেকে পানি বর্ষণ করে অতঃপর তা দ্বারা তোমাদের জন্যে ফলের রিযিক উৎপন্ন করেছেন এবং নৌকাকে তোমাদের আজ্ঞাবহ করেছেন, যাতে তাঁর আদেশে সমুদ্রে চলা ফেরা করে এবং নদ-নদীকে তোমাদের সেবায় নিয়োজিত করেছেন।",
              "numberInSurah": 32,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী খালাকাছছামা-ওয়া-তি ওয়াল আরদা ওয়া আনঝালা মিনাছছামাই মাআন ফাআখরাজা বিহী মিনাছছামারা-তি রিঝকাল লাকুম ওয়াছাখখারা লাকুমুল ফুলকা লিতাজরিয়া ফিল বাহরি বিআমরিহী ওয়া ছাখখারা লাকুমুল আনহা-র।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَخْرَجَ/فَأَخۡرَجَ/fa-akhraja//بِهٖ/بِهِۦ/bihi//مِنَ/مِنَ/mina//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//رِزْقًا/رِزۡقٗا/riz'qan//لَّكُمْ ۚ/لَّكُمۡۖ/lakum//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمُ/لَكُمُ/lakumu//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//لِتَجْرِیَ/لِتَجۡرِيَ/litajriya//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//بِاَمْرِهٖ ۚ/بِأَمۡرِهِۦۖ/bi-amrihi//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمُ/لَكُمُ/lakumu//الْاَنْهٰرَۚ/ٱلۡأَنۡهَٰرَ/al-anhara",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//সৃষ্টি করেছেন//আকাশ//ও পৃথিবী//এবং বর্ষণ করেছেন//থেকে//আকাশ//পানি//অতঃপর বের করেছেন//দিয়ে তা//(বিভিন্ন) ধরণের//ফল-মূলসমূহ//জীবিকার জন্যে//তোমাদের//এবং অধীন করে দিয়েছেন//জন্যে তোমাদের//নৌযান//যেন চলাচল করে//মধ্যে//সাগরের//নির্দেশক্রমে তার//এবং অধীন করেছেন//জন্যে তোমাদের//নদীসমূহকে"
            },
            {
              "number": 1783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1783.mp3"
              ],
              "text": "وَسَخَّرَ لَكُمُ ٱلشَّمْسَ وَٱلْقَمَرَ دَآئِبَيْنِ ۖ وَسَخَّرَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ",
              "translate_bn": "এবং তোমাদের সেবায় নিয়োজিত করেছেন সূর্যকে এবং চন্দ্রকে সর্বদা এক নিয়মে এবং রাত্রি ও দিবাকে তোমাদের কাজে লাগিয়েছেন।",
              "numberInSurah": 33,
              "juz": 13,
              "manzil": 3,
              "page": 259,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাখখারা লকুমুশশামছা ওয়াল কামারা দাইবাইনি ওয়া ছাখখারা লাকুমুল লাইলা ওয়ান নাহা-র।",
              "words_arabic": "وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمُ/لَكُمُ/lakumu//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//دَآىِٕبَیْنِ ۚ/دَآئِبَيۡنِۖ/daibayni//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَۚ/وَٱلنَّهَارَ/wal-nahara",
              "words_bangla": "এবং অধীন করেছেন//জন্যে তোমাদের//সূর্যকে//ও চাঁদকে//যারা প্রতিনিয়ত একই নিয়মের অনুবর্তী//এবং অধীন করেছেন//জন্যে তোমাদের//রাতকে//ও দিনকে"
            },
            {
              "number": 1784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1784.mp3"
              ],
              "text": "وَءَاتَىٰكُم مِّن كُلِّ مَا سَأَلْتُمُوهُ ۚ وَإِن تَعُدُّوا۟ نِعْمَتَ ٱللَّهِ لَا تُحْصُوهَآ ۗ إِنَّ ٱلْإِنسَٰنَ لَظَلُومٌۭ كَفَّارٌۭ",
              "translate_bn": "যে সকল বস্তু তোমরা চেয়েছ, তার প্রত্যেকটি থেকেই তিনি তোমাদেরকে দিয়েছেন। যদি আল্লাহর নেয়ামত গণনা কর, তবে গুণে শেষ করতে পারবে না। নিশ্চয় মানুষ অত্যন্ত অন্যায়কারী, অকৃতজ্ঞ।",
              "numberInSurah": 34,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 215,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তা-কুম মিন কুল্লি মা-ছাআলতুমূহু ওয়া ইন তা‘উদ্দূনি‘মাতাল্লা-হি লা-তুহসূহা- ইন্নাল ইনছা-না লাজালূমুন কাফ ফা-র।",
              "words_arabic": "وَ اٰتٰىكُمْ/وَءَاتَىٰكُم/waatakum//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//مَا/مَا/ma//سَاَلْتُمُوْهُ ؕ/سَأَلۡتُمُوهُۚ/sa-altumuhu//وَ اِنْ/وَإِن/wa-in//تَعُدُّوْا/تَعُدُّواْ/ta'uddu//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//تُحْصُوْهَا ؕ/تُحۡصُوهَآۗ/tuh'suha//اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لَظَلُوْمٌ/لَظَلُومٞ/lazalumun//كَفَّارٌ۠/كَفَّارٞ/kaffarun",
              "words_bangla": "এবং তোমাদের দিয়েছেন//থেকে//সবকিছু//যা//তাঁর কাছে তোমরা চেয়েছো//এবং যদি//তোমরা গণনা করো//অনুগ্রহসমূহ//আল্লাহর//না//তার তোমরা সংখ্যা নির্ণয় করতে পারবে//নিশ্চয়ই//মানুষ//অবশ্যই অতিমাত্রায় সীমালঙ্ঘনকারী//বড় অকৃতজ্ঞ"
            },
            {
              "number": 1785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1785.mp3"
              ],
              "text": "وَإِذْ قَالَ إِبْرَٰهِيمُ رَبِّ ٱجْعَلْ هَٰذَا ٱلْبَلَدَ ءَامِنًۭا وَٱجْنُبْنِى وَبَنِىَّ أَن نَّعْبُدَ ٱلْأَصْنَامَ",
              "translate_bn": "যখন ইব্রাহীম বললেনঃ হে পালনকর্তা, এ শহরকে শান্তিময় করে দিন এবং আমাকে ও আমার সন্তান সন্ততিকে মূর্তি পূজা থেকে দূরে রাখুন।",
              "numberInSurah": 35,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয কা-লা ইবরা-হীমুরাব্বিজ‘আল হা-যাল বালাদা আ-মিনাওঁ ওয়াজনুবনী ওয়া বানিইইয়া আন্না‘বুদাল আসনা-ম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اِبْرٰهِیْمُ/إِبۡرَٰهِيمُ/ib'rahimu//رَبِّ/رَبِّ/rabbi//اجْعَلْ/ٱجۡعَلۡ/ij'al//هٰذَا/هَٰذَا/hadha//الْبَلَدَ/ٱلۡبَلَدَ/al-balada//اٰمِنًا/ءَامِنٗا/aminan//وَّ اجْنُبْنِیْ/وَٱجۡنُبۡنِي/wa-uj'nub'ni//وَ بَنِیَّ/وَبَنِيَّ/wabaniyya//اَنْ/أَن/an//نَّعْبُدَ/نَّعۡبُدَ/na'buda//الْاَصْنَامَؕ/ٱلۡأَصۡنَامَ/al-asnama",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলো//ইবরাহীম//\"হে আমার রব//বানাও//এই//নগরীকে//নিরাপদ//এবং আমাকে দূরে রাখো//ও আমার সন্তানদেরকে//(এ হ'তে) যে//আমরা উপাসনা করি//মূর্তিদেরকে"
            },
            {
              "number": 1786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1786.mp3"
              ],
              "text": "رَبِّ إِنَّهُنَّ أَضْلَلْنَ كَثِيرًۭا مِّنَ ٱلنَّاسِ ۖ فَمَن تَبِعَنِى فَإِنَّهُۥ مِنِّى ۖ وَمَنْ عَصَانِى فَإِنَّكَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "হে পালনকর্তা, এরা অনেক মানুষকে বিপথগামী করেছে। অতএব যে আমার অনুসরণ করে, সে আমার এবং কেউ আমার অবাধ্যতা করলে নিশ্চয় আপনি ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 36,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "রাব্বি ইন্নাহুন্না আদলালনা কাছীরাম মিনান্না-ছি ফামান তাবি‘আনী ফাইন্নাহূমিন্নী ওয়ামান ‘আসা-নী ফাইন্নাকা গাফূরুর রাহীম।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//اِنَّهُنَّ/إِنَّهُنَّ/innahunna//اَضْلَلْنَ/أَضۡلَلۡنَ/adlalna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//النَّاسِ ۚ/ٱلنَّاسِۖ/al-nasi//فَمَنْ/فَمَن/faman//تَبِعَنِیْ/تَبِعَنِي/tabi'ani//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//مِنِّیْ ۚ/مِنِّيۖ/minni//وَ مَنْ/وَمَنۡ/waman//عَصَانِیْ/عَصَانِي/asani//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "হে আমার রব//নিশ্চয়ই তারা//বিভ্রান্ত করেছে//অনেককে//থেকে//মানুষের//সুতরাং যে//আমার অনুসরন করবে//অতঃপর নিশ্চয়ই সে//আমার অন্তর্ভুক্ত//এবং যে//আমার অবাধ্য হবে//অতঃপর নিশ্চয়ই তুমি//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1787.mp3"
              ],
              "text": "رَّبَّنَآ إِنِّىٓ أَسْكَنتُ مِن ذُرِّيَّتِى بِوَادٍ غَيْرِ ذِى زَرْعٍ عِندَ بَيْتِكَ ٱلْمُحَرَّمِ رَبَّنَا لِيُقِيمُوا۟ ٱلصَّلَوٰةَ فَٱجْعَلْ أَفْـِٔدَةًۭ مِّنَ ٱلنَّاسِ تَهْوِىٓ إِلَيْهِمْ وَٱرْزُقْهُم مِّنَ ٱلثَّمَرَٰتِ لَعَلَّهُمْ يَشْكُرُونَ",
              "translate_bn": "হে আমাদের পালনকর্তা, আমি নিজের এক সন্তানকে তোমার পবিত্র গৃহের সন্নিকটে চাষাবাদহীন উপত্যকায় আবাদ করেছি; হে আমাদের পালনকর্তা, যাতে তারা নামায কায়েম রাখে। অতঃপর আপনি কিছু লোকের অন্তরকে তাদের প্রতি আকৃষ্ট করুন এবং তাদেরকে ফলাদি দ্বারা রুযী দান করুন, সম্ভবতঃ তারা কৃতজ্ঞতা প্রকাশ করবে",
              "numberInSurah": 37,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা ইন্নী আছকানতুমিন যুররিইইয়াতী বিওয়া-দিন গাইরি যী ঝার ‘ইন ‘ইনদা বাইতিকাল মুহাররামি রাব্বানা-লিইউকীমুসসালা-তা ফাজ‘আল আফইদাতাম মিনান্নাছি তাহবীইলাইহিম ওয়ারঝুকহুম মিনাছছামারা-তি লা‘আল্লাহুম ইয়াশকুরূন।",
              "words_arabic": "رَبَّنَاۤ/رَّبَّنَآ/rabbana//اِنِّیْۤ/إِنِّيٓ/inni//اَسْكَنْتُ/أَسۡكَنتُ/askantu//مِنْ/مِن/min//ذُرِّیَّتِیْ/ذُرِّيَّتِي/dhurriyyati//بِوَادٍ/بِوَادٍ/biwadin//غَیْرِ/غَيۡرِ/ghayri//ذِیْ/ذِي/dhi//زَرْعٍ/زَرۡعٍ/zar'in//عِنْدَ/عِندَ/inda//بَیْتِكَ/بَيۡتِكَ/baytika//الْمُحَرَّمِ ۙ/ٱلۡمُحَرَّمِ/al-muharami//رَبَّنَا/رَبَّنَا/rabbana//لِیُقِیْمُوا/لِيُقِيمُواْ/liyuqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//فَاجْعَلْ/فَٱجۡعَلۡ/fa-ij'al//اَفْىِٕدَةً/أَفۡـِٔدَةٗ/afidatan//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//تَهْوِیْۤ/تَهۡوِيٓ/tahwi//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//وَ ارْزُقْهُمْ/وَٱرۡزُقۡهُم/wa-ur'zuq'hum//مِّنَ/مِّنَ/mina//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "হে আমাদের রব//নিশ্চয়ই আমি//বসবাস করিয়েছি//থেকে (কতককে)//আমার বংশধরদের//উপত্যকায়//নয়//যোগ্য//চাষাবাদ//কাছে//তোমার ঘরের//(যা) মহান সম্মানিত//হে আমাদের রব//যেন তারা প্রতিষ্ঠা করে//সালাত//অতএব বানাও//অন্তরসমূহ//কিছু//মানুষের//অনুরক্ত হয় (যেন)//দিকে তাদের//এবং তাদেরকে জীবিকা দাও//থেকে//ফল-মূলসমূহ//তারা যাতে//কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 1788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1788.mp3"
              ],
              "text": "رَبَّنَآ إِنَّكَ تَعْلَمُ مَا نُخْفِى وَمَا نُعْلِنُ ۗ وَمَا يَخْفَىٰ عَلَى ٱللَّهِ مِن شَىْءٍۢ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ",
              "translate_bn": "হে আমাদের পালনকর্তা, আপনি তো জানেন আমরা যা কিছু গোপনে করি এবং যা কিছু প্রকাশ্য করি। আল্লাহর কাছে পৃথিবীতে ও আকাশে কোন কিছুই গোপন নয়।",
              "numberInSurah": 38,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাইন্নাকা তা‘লামুমা-নুখফী ওয়ামা-নু‘লিনু ওয়ামা-ইয়াখফা-‘আলাল্লা-হি মিন শাইইন ফিল আরদিওয়ালা-ফিছছামাই।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّكَ/إِنَّكَ/innaka//تَعْلَمُ/تَعۡلَمُ/ta'lamu//مَا/مَا/ma//نُخْفِیْ/نُخۡفِي/nukh'fi//وَ مَا/وَمَا/wama//نُعْلِنُ ؕ/نُعۡلِنُۗ/nu'linu//وَ مَا/وَمَا/wama//یَخْفٰی/يَخۡفَىٰ/yakhfa//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فِی/فِي/fi//السَّمَآءِ /ٱلسَّمَآءِ/al-samai",
              "words_bangla": "হে আমাদের রব//নিশ্চয়ই তুমি//জানো//যা//আমরা গোপন করি//ও যা//আমরা প্রকাশ করি//এবং না//গোপন থাকে//কাছে//আল্লাহর//কোনো//কিছুই//মধ্যে//পৃথিবীর//আর না//মধ্যে//আকাশের"
            },
            {
              "number": 1789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1789.mp3"
              ],
              "text": "ٱلْحَمْدُ لِلَّهِ ٱلَّذِى وَهَبَ لِى عَلَى ٱلْكِبَرِ إِسْمَٰعِيلَ وَإِسْحَٰقَ ۚ إِنَّ رَبِّى لَسَمِيعُ ٱلدُّعَآءِ",
              "translate_bn": "সমস্ত প্রশংসা আল্লাহরই, যিনি আমাকে এই বার্ধক্যে ইসমাঈল ও ইসহাক দান করেছেন নিশ্চয় আমার পালনকর্তা দোয়া শ্রবণ করেন।",
              "numberInSurah": 39,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "আলহামদুলিল্লা-হিল্লাযী ওয়াহাবালী ‘আলাল কিবারি ইছমা-‘ঈলা ওয়া ইছহা-ক ইন্না রাববী লাছামী‘উদদু‘আই।",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//وَهَبَ/وَهَبَ/wahaba//لِیْ/لِي/li//عَلَی/عَلَى/ala//الْكِبَرِ/ٱلۡكِبَرِ/al-kibari//اِسْمٰعِیْلَ/إِسۡمَٰعِيلَ/is'ma'ila//وَ اِسْحٰقَ ؕ/وَإِسۡحَٰقَۚ/wa-is'haqa//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//لَسَمِیْعُ/لَسَمِيعُ/lasami'u//الدُّعَآءِ /ٱلدُّعَآءِ/al-du'ai",
              "words_bangla": "প্রশংসা মাত্রই//জন্যে আল্লাহর//যিনি//দান করেছেন//আমাকে//অবস্হায়//বার্ধক্যের//ইসমাঈলকে//ও ইসহাককে//নিশ্চয়ই//আমার রব//অবশ্যই শ্রবণকারী//দোয়ার"
            },
            {
              "number": 1790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1790.mp3"
              ],
              "text": "رَبِّ ٱجْعَلْنِى مُقِيمَ ٱلصَّلَوٰةِ وَمِن ذُرِّيَّتِى ۚ رَبَّنَا وَتَقَبَّلْ دُعَآءِ",
              "translate_bn": "হে আমার পালনকর্তা, আমাকে নামায কায়েমকারী করুন এবং আমার সন্তানদের মধ্যে থেকেও। হে আমাদের পালনকর্তা, এবং কবুল করুন আমাদের দোয়া।",
              "numberInSurah": 40,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "রাব্বিজ ‘আলনী মুকীমাসসালা-তি ওয়া মিন যুররিইইয়াতী রাব্বানা-ওয়া তাকাব্বাল দু‘আই।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//اجْعَلْنِیْ/ٱجۡعَلۡنِي/ij'alni//مُقِیْمَ/مُقِيمَ/muqima//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//وَ مِنْ/وَمِن/wamin//ذُرِّیَّتِیْ ۖۗ/ذُرِّيَّتِيۚ/dhurriyyati//رَبَّنَا/رَبَّنَا/rabbana//وَ تَقَبَّلْ/وَتَقَبَّلۡ/wataqabbal//دُعَآءِ /دُعَآءِ/du'ai",
              "words_bangla": "হে আমার রব//আমাকে বানাও//প্রতিষ্ঠাকারী//সালাত//এবং থেকে//আমার বংশধরদের//হে আমাদের রব//এবং তুমি কবুল করো//আমার দোয়া"
            },
            {
              "number": 1791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1791.mp3"
              ],
              "text": "رَبَّنَا ٱغْفِرْ لِى وَلِوَٰلِدَىَّ وَلِلْمُؤْمِنِينَ يَوْمَ يَقُومُ ٱلْحِسَابُ",
              "translate_bn": "হে আমাদের পালনকর্তা, আমাকে, আমার পিতা-মাতাকে এবং সব মুমিনকে ক্ষমা করুন, যেদিন হিসাব কায়েম হবে।",
              "numberInSurah": 41,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 216,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাগফিরলী ওয়া লিওয়ালিদাইয়া ওয়ালিলমু’মিনীনা ইয়াওমা ইয়াকূমুল হিছা-ব।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لِیْ/لِي/li//وَ لِوَالِدَیَّ/وَلِوَٰلِدَيَّ/waliwalidayya//وَ لِلْمُؤْمِنِیْنَ/وَلِلۡمُؤۡمِنِينَ/walil'mu'minina//یَوْمَ/يَوۡمَ/yawma//یَقُوْمُ/يَقُومُ/yaqumu//الْحِسَابُ۠/ٱلۡحِسَابُ/al-hisabu",
              "words_bangla": "হে আমাদের রব//মাফ করো//আমাকে//ও আমার পিতামাতাকে//ও মু'মিনদেরকে//যে দিনে//প্রতিষ্ঠিত হবে//হিসেব\""
            },
            {
              "number": 1792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1792.mp3"
              ],
              "text": "وَلَا تَحْسَبَنَّ ٱللَّهَ غَٰفِلًا عَمَّا يَعْمَلُ ٱلظَّٰلِمُونَ ۚ إِنَّمَا يُؤَخِّرُهُمْ لِيَوْمٍۢ تَشْخَصُ فِيهِ ٱلْأَبْصَٰرُ",
              "translate_bn": "জালেমরা যা করে, সে সম্পর্কে আল্লাহকে কখনও বেখবর মনে করো না তাদেরকে তো ঐ দিন পর্যন্ত অবকাশ দিয়ে রেখেছেন, যেদিন চক্ষুসমূহ বিস্ফোরিত হবে।",
              "numberInSurah": 42,
              "juz": 13,
              "manzil": 3,
              "page": 260,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাহছাবান্নাল্লা-হা গা-ফিলান ‘আম্মা-ইয়া‘মালুজ্জা-লিমূনা ইন্নামাইউআখখিরুহুম লিইয়াওমিন তাশখাসুফীহিল আবসা-র ।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَحْسَبَنَّ/تَحۡسَبَنَّ/tahsabanna//اللّٰهَ/ٱللَّهَ/al-laha//غَافِلًا/غَٰفِلًا/ghafilan//عَمَّا/عَمَّا/amma//یَعْمَلُ/يَعۡمَلُ/ya'malu//الظّٰلِمُوْنَ ؕ۬/ٱلظَّـٰلِمُونَۚ/al-zalimuna//اِنَّمَا/إِنَّمَا/innama//یُؤَخِّرُهُمْ/يُؤَخِّرُهُمۡ/yu-akhiruhum//لِیَوْمٍ/لِيَوۡمٖ/liyawmin//تَشْخَصُ/تَشۡخَصُ/tashkhasu//فِیْهِ/فِيهِ/fihi//الْاَبْصَارُۙ/ٱلۡأَبۡصَٰرُ/al-absaru",
              "words_bangla": "এবং না//কখনই তুমি মনে করো (যেন)//আল্লাহকে//উদাসীন//তা হ'তে যা//করছে//সীমালঙ্ঘনকারীরা//শুধুমাত্র//তিনি অবকাশ দিচ্ছেন তাদেরকে//পর্যন্ত দিন//স্থির হবে//তার মধ্যে//দৃষ্টিসমূহ"
            },
            {
              "number": 1793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1793.mp3"
              ],
              "text": "مُهْطِعِينَ مُقْنِعِى رُءُوسِهِمْ لَا يَرْتَدُّ إِلَيْهِمْ طَرْفُهُمْ ۖ وَأَفْـِٔدَتُهُمْ هَوَآءٌۭ",
              "translate_bn": "তারা মস্তক উপরে তুলে ভীত-বিহবল চিত্তে দৌড়াতে থাকবে। তাদের দিকে তাদের দৃষ্টি ফিরে আসবে না এবং তাদের অন্তর উড়ে যাবে।",
              "numberInSurah": 43,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "মুহতি‘ঈনা মুকনি‘ঈ রুউছিহিম লা-ইয়ারতাদ্দুইলাইহিম তারফুহুম ওয়া আফইদাতুহুম হাওয়াউ।",
              "words_arabic": "مُهْطِعِیْنَ/مُهۡطِعِينَ/muh'ti'ina//مُقْنِعِیْ/مُقۡنِعِي/muq'ni'i//رُءُوْسِهِمْ/رُءُوسِهِمۡ/ruusihim//لَا/لَا/la//یَرْتَدُّ/يَرۡتَدُّ/yartaddu//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//طَرْفُهُمْ ۚ/طَرۡفُهُمۡۖ/tarfuhum//وَ اَفْـِٕدَتُهُمْ/وَأَفۡـِٔدَتُهُمۡ/wa-afidatuhum//هَوَآءٌؕ/هَوَآءٞ/hawaon",
              "words_bangla": "ছুটোছুটি করবে//উত্তোলনকারী হয়ে//তাদের মাথাগুলো//না//ফিরবে//তাদের দিকে//তাদের পলক//এবং তাদের অন্তরগুলো (হবে)//(আশা) শূন্য"
            },
            {
              "number": 1794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1794.mp3"
              ],
              "text": "وَأَنذِرِ ٱلنَّاسَ يَوْمَ يَأْتِيهِمُ ٱلْعَذَابُ فَيَقُولُ ٱلَّذِينَ ظَلَمُوا۟ رَبَّنَآ أَخِّرْنَآ إِلَىٰٓ أَجَلٍۢ قَرِيبٍۢ نُّجِبْ دَعْوَتَكَ وَنَتَّبِعِ ٱلرُّسُلَ ۗ أَوَلَمْ تَكُونُوٓا۟ أَقْسَمْتُم مِّن قَبْلُ مَا لَكُم مِّن زَوَالٍۢ",
              "translate_bn": "মানুষকে ঐ দিনের ভয় প্রদর্শন করুন, যেদিন তাদের কাছে আযাব আসবে। তখন জালেমরা বলবেঃ হে আমাদের পালনকর্তা, আমাদেরকে সামান্য মেয়াদ পর্যন্ত সময় দিন, যাতে আমরা আপনার আহবানে সাড়া দিতে এবং পয়গম্বরগণের অনুসরণ করতে পারি। তোমরা কি ইতোপূর্বে কসম খেতে না যে, তোমাদেরকে দুনিয়া থেকে যেতে হবে না?",
              "numberInSurah": 44,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়াআনযিরিন্না-ছা ইয়াওমা ইয়া’তীহিমুল ‘আযা-বুফাইয়াকূলুল্লাযীনা জালামূ রাব্বানাআখখিরনাইলাআজালিন কারীবিন নুজিব দা‘ওয়াতাকা ওয়া নাত্তাবি‘ইররুছুলা আওয়ালাম তাকূনূআকছামতুম মিন কাবলুমা-লাকুম মিন ঝাওয়া-ল।",
              "words_arabic": "وَ اَنْذِرِ/وَأَنذِرِ/wa-andhiri//النَّاسَ/ٱلنَّاسَ/al-nasa//یَوْمَ/يَوۡمَ/yawma//یَاْتِیْهِمُ/يَأۡتِيهِمُ/yatihimu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَخِّرْنَاۤ/أَخِّرۡنَآ/akhir'na//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//قَرِیْبٍ ۙ/قَرِيبٖ/qaribin//نُّجِبْ/نُّجِبۡ/nujib//دَعْوَتَكَ/دَعۡوَتَكَ/da'wataka//وَ نَتَّبِعِ/وَنَتَّبِعِ/wanattabi'i//الرُّسُلَ ؕ/ٱلرُّسُلَۗ/al-rusula//اَوَ لَمْ/أَوَلَمۡ/awalam//تَكُوْنُوْۤا/تَكُونُوٓاْ/takunu//اَقْسَمْتُمْ/أَقۡسَمۡتُم/aqsamtum//مِّنْ/مِّن/min//قَبْلُ/قَبۡلُ/qablu//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//زَوَالٍۙ/زَوَالٖ/zawalin",
              "words_bangla": "এবং সতর্ক করো//মানুষকে//সেদিনের//তাদের আসবে//শাস্তি//তখন বলবে//যারা//সীমালঙ্ঘন করেছিলো//\"হে আমাদের রব//আমাদের অবকাশ দিন//পর্যন্ত//(কিছু) কাল//নিকটবর্তী//আমরা সাড়া দিবো//তোমার ডাকে//ও আমরা অনুসরণ করবো//রাসূলদের\"//\"কি না//করতে তোমরা ছিলে//তোমরা শপথ//থেকে//আগে//নেই//তোমাদের জন্যে//কোনো//পতন"
            },
            {
              "number": 1795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1795.mp3"
              ],
              "text": "وَسَكَنتُمْ فِى مَسَٰكِنِ ٱلَّذِينَ ظَلَمُوٓا۟ أَنفُسَهُمْ وَتَبَيَّنَ لَكُمْ كَيْفَ فَعَلْنَا بِهِمْ وَضَرَبْنَا لَكُمُ ٱلْأَمْثَالَ",
              "translate_bn": "তোমরা তাদের বাসভূমিতেই বসবাস করতে, যারা নিজেদের উপর জুলুম করেছে এবং তোমাদের জানা হয়ে গিয়েছিল যে, আমি তাদের সাথে কিরূপ ব্যবহার করেছি এবং আমি তোমাদেরকে ওদের সব কাহিনীই বর্ণনা করেছি।",
              "numberInSurah": 45,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাকানতুম ফী মাছা-কিনিল্লাযীনা জালামূআনফুছাহুম ওয়া তাবাইইয়ানা লাকুম কাইফা ফা‘আলনা-বিহিম ওয়াদারাবনা-লাকুমুল আমছা-ল।",
              "words_arabic": "وَّ سَكَنْتُمْ/وَسَكَنتُمۡ/wasakantum//فِیْ/فِي/fi//مَسٰكِنِ/مَسَٰكِنِ/masakini//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ تَبَیَّنَ/وَتَبَيَّنَ/watabayyana//لَكُمْ/لَكُمۡ/lakum//كَیْفَ/كَيۡفَ/kayfa//فَعَلْنَا/فَعَلۡنَا/fa'alna//بِهِمْ/بِهِمۡ/bihim//وَ ضَرَبْنَا/وَضَرَبۡنَا/wadarabna//لَكُمُ/لَكُمُ/lakumu//الْاَمْثَالَ /ٱلۡأَمۡثَالَ/al-amthala",
              "words_bangla": "এবং তোমরা বসবাস করছিলে//মধ্যে//বাসভূমিসমূহের//যারা//সীমালঙ্ঘন করেছিলো//তাদের নিজেদের উপর//অথচ  স্পষ্ট ছিলো//কাছে তোমাদের//কেমন (আচরণ)//আমরা করেছিলাম//সাথে তাদের//এবং আমরা বর্ণনা করেছি//জন্যে তোমাদের//দৃষ্টান্তসমূহ\""
            },
            {
              "number": 1796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1796.mp3"
              ],
              "text": "وَقَدْ مَكَرُوا۟ مَكْرَهُمْ وَعِندَ ٱللَّهِ مَكْرُهُمْ وَإِن كَانَ مَكْرُهُمْ لِتَزُولَ مِنْهُ ٱلْجِبَالُ",
              "translate_bn": "তারা নিজেদের মধ্যে ভীষণ চক্রান্ত করে নিয়েছে এবং আল্লাহর সামনে রক্ষিত আছে তাদের কু-চক্রান্ত। তাদের কুটকৌশল পাহাড় টলিয়ে দেয়ার মত হবে না।",
              "numberInSurah": 46,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ মাকারূমাকরাহুম ওয়া ‘ইনদাল্লা-হি মাকরুহুম ওয়া ইন কা-না মাকরুহুম লিতাঝূলা মিনহুল জিবা-ল।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//مَكَرُوْا/مَكَرُواْ/makaru//مَكْرَهُمْ/مَكۡرَهُمۡ/makrahum//وَ عِنْدَ/وَعِندَ/wa'inda//اللّٰهِ/ٱللَّهِ/al-lahi//مَكْرُهُمْ ؕ/مَكۡرُهُمۡ/makruhum//وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//مَكْرُهُمْ/مَكۡرُهُمۡ/makruhum//لِتَزُوْلَ/لِتَزُولَ/litazula//مِنْهُ/مِنۡهُ/min'hu//الْجِبَالُ /ٱلۡجِبَالُ/al-jibalu",
              "words_bangla": "এবং নিশ্চয়ই//তারা চক্রান্ত করেছিলো//তাদের চক্রান্ত//কিন্তু কাছে//আল্লাহর (ছিলো)//তাদের চক্রান্ত//এবং যদিও//ছিলো//তাদের চক্রান্ত (এমন ভয়ানক)//যেন টলে যেতো//তা থেকে//পর্বতসমূহ"
            },
            {
              "number": 1797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1797.mp3"
              ],
              "text": "فَلَا تَحْسَبَنَّ ٱللَّهَ مُخْلِفَ وَعْدِهِۦ رُسُلَهُۥٓ ۗ إِنَّ ٱللَّهَ عَزِيزٌۭ ذُو ٱنتِقَامٍۢ",
              "translate_bn": "অতএব আল্লাহর প্রতি ধারণা করো না যে, তিনি রসূলগণের সাথে কৃত ওয়াদা ভঙ্গ করবেন নিশ্চয় আল্লাহ পরাক্রমশালী, প্রতিশোধ গ্রহণকারী।",
              "numberInSurah": 47,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ফালা-তাহছাবান্নাল্লা-হা মুখলিফা ওয়া‘দিহী রুছুলাহূ ইন্নাল্লা-হা ‘আঝীঝুন যুনতিকা-ম ।",
              "words_arabic": "فَلَا/فَلَا/fala//تَحْسَبَنَّ/تَحۡسَبَنَّ/tahsabanna//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِفَ/مُخۡلِفَ/mukh'lifa//وَعْدِهٖ/وَعۡدِهِۦ/wa'dihi//رُسُلَهٗ ؕ/رُسُلَهُۥٓۚ/rusulahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٞ/azizun//ذُو/ذُو/dhu//انْتِقَامٍؕ/ٱنتِقَامٖ/intiqamin",
              "words_bangla": "অতএব না//নিশ্চয়ই তুমি মনে করবে//আল্লাহকে//ভঙ্গকারী//তাঁর প্রতিশ্রুতি//তাঁর রাসূলদের (কাছে)//নিশ্চয়ই//আল্লাহ//পরাক্রমশালী//সমর্থ//প্রতিশোধ গ্রহণে"
            },
            {
              "number": 1798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1798.mp3"
              ],
              "text": "يَوْمَ تُبَدَّلُ ٱلْأَرْضُ غَيْرَ ٱلْأَرْضِ وَٱلسَّمَٰوَٰتُ ۖ وَبَرَزُوا۟ لِلَّهِ ٱلْوَٰحِدِ ٱلْقَهَّارِ",
              "translate_bn": "যেদিন পরিবর্তিত করা হবে এ পৃথিবীকে অন্য পৃথিবীতে এবং পরিবর্তিত করা হবে আকাশ সমূহকে এবং লোকেরা পরাক্রমশালী এবং আল্লাহর সামনে পেশ হবে।",
              "numberInSurah": 48,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তুবাদ্দালুল আরদুগাইরাল আরদি ওয়াছছামা-ওয়া-তুওয়া বারাঝূলিল্লা-হিল ওয়াহিদিল কাহহা-র।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تُبَدَّلُ/تُبَدَّلُ/tubaddalu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//غَیْرَ/غَيۡرَ/ghayra//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ السَّمٰوٰتُ/وَٱلسَّمَٰوَٰتُۖ/wal-samawatu//وَ بَرَزُوْا/وَبَرَزُواْ/wabarazu//لِلّٰهِ/لِلَّهِ/lillahi//الْوَاحِدِ/ٱلۡوَٰحِدِ/al-wahidi//الْقَهَّارِ /ٱلۡقَهَّارِ/al-qahari",
              "words_bangla": "সেদিন//পরিবর্তিত হবে//(এই) পৃথিবী//অন্য//পৃৃথিবীতে//এবং আকাশমন্ডলী//এবং উপস্থিত হবে (উন্মোচিত হবে)//আল্লাহর কাছে//(যিনি) এক//পরাক্রমশালী"
            },
            {
              "number": 1799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1799.mp3"
              ],
              "text": "وَتَرَى ٱلْمُجْرِمِينَ يَوْمَئِذٍۢ مُّقَرَّنِينَ فِى ٱلْأَصْفَادِ",
              "translate_bn": "তুমি ঐদিন পাপীদেরকে পরস্পরে শৃংখলা বদ্ধ দেখবে।",
              "numberInSurah": 49,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাল মুজরিমীনা ইয়াওমাইযিম মুকাররানীনা ফিল আসফা-দ ।",
              "words_arabic": "وَ تَرَی/وَتَرَى/watara//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//مُّقَرَّنِیْنَ/مُّقَرَّنِينَ/muqarranina//فِی/فِي/fi//الْاَصْفَادِۚ/ٱلۡأَصۡفَادِ/al-asfadi",
              "words_bangla": "এবং তুমি দেখবে//অপরাধীদেরকে//সেদিন//কঠোরভাবে বাঁধা//মধ্যে//শেকলসমূহের"
            },
            {
              "number": 1800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1800.mp3"
              ],
              "text": "سَرَابِيلُهُم مِّن قَطِرَانٍۢ وَتَغْشَىٰ وُجُوهَهُمُ ٱلنَّارُ",
              "translate_bn": "তাদের জামা হবে দাহ্য আলকাতরার এবং তাদের মুখমন্ডলকে আগুন আচ্ছন্ন করে ফেলবে।",
              "numberInSurah": 50,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "ছারা-বীলুহুম মিন কাতিরা-নিওঁ ওয়া তাগশা-উজূহাহুমুন্না-র।",
              "words_arabic": "سَرَابِیْلُهُمْ/سَرَابِيلُهُم/sarabiluhum//مِّنْ/مِّن/min//قَطِرَانٍ/قَطِرَانٖ/qatiranin//وَّ تَغْشٰی/وَتَغۡشَىٰ/wataghsha//وُجُوْهَهُمُ/وُجُوهَهُمُ/wujuhahumu//النَّارُۙ/ٱلنَّارُ/al-naru",
              "words_bangla": "তাদের জামাসমূহ (হবে)//তৈরি//আলকাতরার//ও ছেয়ে ফেলবে//তাদের মুখসমূহকে//আগুন"
            },
            {
              "number": 1801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1801.mp3"
              ],
              "text": "لِيَجْزِىَ ٱللَّهُ كُلَّ نَفْسٍۢ مَّا كَسَبَتْ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "যাতে আল্লাহ প্রত্যেককে তার কৃতকর্মের প্রতিদান দেন। নিশ্চয় আল্লাহ দ্রুত হিসাব গ্রহণকারী।",
              "numberInSurah": 51,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "লিইয়াজঝিয়াল্লা-হু কুল্লা নাফছিম মা-কাছাবাত ইন্নাল্লা-হা ছারী‘উল হিছা-ব।",
              "words_arabic": "لِیَجْزِیَ/لِيَجۡزِيَ/liyajziya//اللّٰهُ/ٱللَّهُ/al-lahu//كُلَّ/كُلَّ/kulla//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//كَسَبَتْ ؕ/كَسَبَتۡۚ/kasabat//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "যেন প্রতিফল দেন//আল্লাহ//প্রত্যেক//ব্যক্তিকে//যা//সে উপার্জন করেছে//নিশ্চয়ই//আল্লাহ//দ্রুত//হিসেব গ্রহণে"
            },
            {
              "number": 1802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1802.mp3"
              ],
              "text": "هَٰذَا بَلَٰغٌۭ لِّلنَّاسِ وَلِيُنذَرُوا۟ بِهِۦ وَلِيَعْلَمُوٓا۟ أَنَّمَا هُوَ إِلَٰهٌۭ وَٰحِدٌۭ وَلِيَذَّكَّرَ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "এটা মানুষের একটি সংবাদনামা এবং যাতে এতদ্বারা ভীত হয় এবং যাতে জেনে নেয় যে, উপাস্য তিনিই-একক; এবং যাতে বুদ্ধিমানরা চিন্তা-ভাবনা করে।",
              "numberInSurah": 52,
              "juz": 13,
              "manzil": 3,
              "page": 261,
              "ruku": 217,
              "hizbQuarter": 104,
              "sajda": false,
              "pronunciation_bn": "হা-যা-বালা-গুল লিন্না-ছি ওয়ালিইউনযারূবিহী ওয়া লিইয়া‘লামূআন্নামা-হুওয়া ইলাহুওঁ ওয়াহিদুওঁ ওয়ালিইয়াযযাক্কারা উলুল আলবা-ব।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//بَلٰغٌ/بَلَٰغٞ/balaghun//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ لِیُنْذَرُوْا/وَلِيُنذَرُواْ/waliyundharu//بِهٖ/بِهِۦ/bihi//وَ لِیَعْلَمُوْۤا/وَلِيَعۡلَمُوٓاْ/waliya'lamu//اَنَّمَا/أَنَّمَا/annama//هُوَ/هُوَ/huwa//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ/وَٰحِدٞ/wahidun//وَّ لِیَذَّكَّرَ/وَلِيَذَّكَّرَ/waliyadhakkara//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ۠/ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "এটা//এক বার্তা//মানুষের জন্যে//এবং তাদের যেন সতর্ক করা হয়//দিয়ে তা//এবং যেন তারা জানে//প্রকৃতপক্ষে//তিনিই//ইলাহ//একমাত্র//ও যেন শিক্ষা গ্রহণ করে//সম্পন্নরা//বোধ (লোকেরা)"
            }
          ]
        },
        {
          "number": 15,
          "name": "سُورَةُ الحِجۡرِ",
          "englishName": "Al-Hijr",
          "englishNameTranslation": "The Rock",
          "revelationType": "Meccan",
          "verse": 99,
          "words": 1389,
          "chars": 5896,
          "ayahs": [
            {
              "number": 1803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1803.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓر ۚ تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ وَقُرْءَانٍۢ مُّبِينٍۢ",
              "translate_bn": "আলিফ-লা-ম-রা; এগুলো পরিপূর্ণ গ্রন্থ ও সুস্পষ্ট কোরআনের আয়াত।",
              "numberInSurah": 1,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম রা- তিলকা আ-য়া-তুল কিতা-বি ওয়া কুরআ-নিম মুবীন।",
              "words_arabic": "الٓرٰ ۫/الٓرۚ/alif-lam-ra//تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ قُرْاٰنٍ/وَقُرۡءَانٖ/waqur'anin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "আলিফ লা-ম রা-//এগুলো//আয়াত//কিতাবের//এবং কুরআনের//(যা) সুষ্পষ্ট"
            },
            {
              "number": 1804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1804.mp3"
              ],
              "text": "رُّبَمَا يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ لَوْ كَانُوا۟ مُسْلِمِينَ",
              "translate_bn": "কোন সময় কাফেররা আকাঙ্ক্ষা করবে যে, কি চমৎকার হত, যদি তারা মুসলমান হত।",
              "numberInSurah": 2,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "রুবামা-ইয়াওয়াদ্দুল্লাযীনা কাফারূলাও কা-নূমুছলিমীন।",
              "words_arabic": "رُبَمَا/رُّبَمَا/rubama//یَوَدُّ/يَوَدُّ/yawaddu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//مُسْلِمِیْنَ /مُسۡلِمِينَ/mus'limina",
              "words_bangla": "কখনও কখনও//আকাঙ্ক্ষা করবে//যারা//অস্বীকার করেছে//যদি//তারা হতো//(আত্মসমর্পণকারী) মুসলমান"
            },
            {
              "number": 1805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1805.mp3"
              ],
              "text": "ذَرْهُمْ يَأْكُلُوا۟ وَيَتَمَتَّعُوا۟ وَيُلْهِهِمُ ٱلْأَمَلُ ۖ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "আপনি ছেড়ে দিন তাদেরকে, খেয়ে নিক এবং ভোগ করে নিক এবং আশায় ব্যাপৃত থাকুক। অতি সত্বর তারা জেনে নেবে।",
              "numberInSurah": 3,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "যারহুম ইয়া’কুলূওয়া ইয়াতামাত্তা‘ঊ ওয়া ইউলহিহিমুল আমালুফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "ذَرْهُمْ/ذَرۡهُمۡ/dharhum//یَاْكُلُوْا/يَأۡكُلُواْ/yakulu//وَ یَتَمَتَّعُوْا/وَيَتَمَتَّعُواْ/wayatamatta'u//وَ یُلْهِهِمُ/وَيُلۡهِهِمُ/wayul'hihimu//الْاَمَلُ/ٱلۡأَمَلُۖ/al-amalu//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তাদেরকে ছেড়ে দাও//তারা খেতে থাকুক//ও তারা ভোগ করুক//এবং তাদেরকে মোহাচ্ছন্ন রাখুক//আশা আকাঙ্ক্ষা//অতঃপর শীঘ্রই//তারা জানবে"
            },
            {
              "number": 1806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1806.mp3"
              ],
              "text": "وَمَآ أَهْلَكْنَا مِن قَرْيَةٍ إِلَّا وَلَهَا كِتَابٌۭ مَّعْلُومٌۭ",
              "translate_bn": "আমি কোন জনপদ ধবংস করিনি; কিন্ত তার নির্দিষ্ট সময় লিখিত ছিল।",
              "numberInSurah": 4,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআহলাকনা-মিন কারয়াতিন ইল্লা ওয়ালাহা-কিতা-বুম মা‘লূম।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اِلَّا/إِلَّا/illa//وَ لَهَا/وَلَهَا/walaha//كِتَابٌ/كِتَابٞ/kitabun//مَّعْلُوْمٌ /مَّعۡلُومٞ/ma'lumun",
              "words_bangla": "এবং না//আমরা ধ্বংস করি//কোনো//জনবসতিকে//এ ছাড়া যে//এবং তার জন্যে ছিলো//লিখিত মেয়াদ//নির্দিষ্ট"
            },
            {
              "number": 1807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1807.mp3"
              ],
              "text": "مَّا تَسْبِقُ مِنْ أُمَّةٍ أَجَلَهَا وَمَا يَسْتَـْٔخِرُونَ",
              "translate_bn": "কোন সম্প্রদায় তার নির্দিষ্ট সময়ের অগ্রে যায় না এবং পশ্চাতে থাকে না।",
              "numberInSurah": 5,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "মা-তাছবিকুমিন উম্মাতিন আজালাহা-ওয়ামা-ইয়াছতা’খিরূন।",
              "words_arabic": "مَا/مَّا/ma//تَسْبِقُ/تَسۡبِقُ/tasbiqu//مِنْ/مِنۡ/min//اُمَّةٍ/أُمَّةٍ/ummatin//اَجَلَهَا/أَجَلَهَا/ajalaha//وَ مَا/وَمَا/wama//یَسْتَاْخِرُوْنَ /يَسۡتَـٔۡخِرُونَ/yastakhiruna",
              "words_bangla": "না//এগিয়ে আনতে পারে//কোনো//জাতি//তার কালকে//আর না//দেরি করতে পারে"
            },
            {
              "number": 1808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1808.mp3"
              ],
              "text": "وَقَالُوا۟ يَٰٓأَيُّهَا ٱلَّذِى نُزِّلَ عَلَيْهِ ٱلذِّكْرُ إِنَّكَ لَمَجْنُونٌۭ",
              "translate_bn": "তারা বললঃ হে ঐ ব্যক্তি, যার প্রতি কোরআন নাযিল হয়েছে, আপনি তো একজন উম্মাদ।",
              "numberInSurah": 6,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূইয়াআইয়ুহাল্লাযী নুঝঝিলা ‘আলাইহিযযিকরু ইন্নাকা লামাজনূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْ/ٱلَّذِي/alladhi//نُزِّلَ/نُزِّلَ/nuzzila//عَلَیْهِ/عَلَيۡهِ/alayhi//الذِّكْرُ/ٱلذِّكۡرُ/al-dhik'ru//اِنَّكَ/إِنَّكَ/innaka//لَمَجْنُوْنٌؕ/لَمَجۡنُونٞ/lamajnunun",
              "words_bangla": "এবং তারা বলে//\"হে//যে//অবতীর্ণ হয়েছে//তার উপর//উপদেশ বাণী(কুরআন)//নিশ্চয়ই তুমি//অবশ্যই পাগল"
            },
            {
              "number": 1809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1809.mp3"
              ],
              "text": "لَّوْ مَا تَأْتِينَا بِٱلْمَلَٰٓئِكَةِ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "যদি আপনি সত্যবাদী হন, তবে আমাদের কাছে ফেরেশতাদেরকে আনেন না কেন?",
              "numberInSurah": 7,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "লাও মা-তা’তীনা-বিলমালাইকাতি ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "لَوْ/لَّوۡ/law//مَا/مَا/ma//تَاْتِیْنَا/تَأۡتِينَا/tatina//بِالْمَلٰٓىِٕكَةِ/بِٱلۡمَلَـٰٓئِكَةِ/bil-malaikati//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "কেন//না//আমাদের কাছে আসো//নিয়ে ফেরেশতাদের//যদি//তুমি হয়ে থাকো//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 1810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1810.mp3"
              ],
              "text": "مَا نُنَزِّلُ ٱلْمَلَٰٓئِكَةَ إِلَّا بِٱلْحَقِّ وَمَا كَانُوٓا۟ إِذًۭا مُّنظَرِينَ",
              "translate_bn": "আমি ফেরেশতাদেরকে একমাত্র ফায়সালার জন্যেই নাযিল করি। তখন তাদেরকে অবকাশ দেয়া হবে না।",
              "numberInSurah": 8,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "মা-নুনাঝঝিলুল মালাইকাতা ইল্লা-বিলহাক্কিওয়ামা-কা-নূ ইযাম মুনজারীন।",
              "words_arabic": "مَا/مَا/ma//نُنَزِّلُ/نُنَزِّلُ/nunazzilu//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//اِلَّا/إِلَّا/illa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ مَا/وَمَا/wama//كَانُوْۤا/كَانُوٓاْ/kanu//اِذًا/إِذٗا/idhan//مُّنْظَرِیْنَ /مُّنظَرِينَ/munzarina",
              "words_bangla": "না//আমরা অবতীর্ণ করি//ফেরেশতাদেরকে//ছাড়া//দিয়ে সত্য//এবং না//তারা হবে//তখন//অবকাশপ্রাপ্ত"
            },
            {
              "number": 1811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1811.mp3"
              ],
              "text": "إِنَّا نَحْنُ نَزَّلْنَا ٱلذِّكْرَ وَإِنَّا لَهُۥ لَحَٰفِظُونَ",
              "translate_bn": "আমি স্বয়ং এ উপদেশ গ্রন্থ অবতারণ করেছি এবং আমি নিজেই এর সংরক্ষক।",
              "numberInSurah": 9,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইন্না-নাহনুনাঝঝালনাযযি করা ওয়া ইন্না-লাহূলাহা-ফিজূ ন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَحْنُ/نَحۡنُ/nahnu//نَزَّلْنَا/نَزَّلۡنَا/nazzalna//الذِّكْرَ/ٱلذِّكۡرَ/al-dhik'ra//وَ اِنَّا/وَإِنَّا/wa-inna//لَهٗ/لَهُۥ/lahu//لَحٰفِظُوْنَ /لَحَٰفِظُونَ/lahafizuna",
              "words_bangla": "নিশ্চয়ই//আমরা//আমরা অবতীর্ণ করেছি//উপদেশ বাণী (কুরআন)//এবং নিশ্চয়ই আমরা//জন্যে তার//অবশ্যই সংরক্ষক"
            },
            {
              "number": 1812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1812.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مِن قَبْلِكَ فِى شِيَعِ ٱلْأَوَّلِينَ",
              "translate_bn": "আমি আপনার পূর্বে পূর্ববর্তী সম্প্রদায়ের মধ্যে রসূল প্রেরণ করেছি।",
              "numberInSurah": 10,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-মিন কাবলিকা ফী শিয়া‘ইল আওওয়ালীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فِیْ/فِي/fi//شِیَعِ/شِيَعِ/shiya'i//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//থেকে//তোমার পূর্ব//কাছে (রাসূলদেরকে)//জাতিগুলোর//পূর্ববর্তী"
            },
            {
              "number": 1813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1813.mp3"
              ],
              "text": "وَمَا يَأْتِيهِم مِّن رَّسُولٍ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "ওদের কাছে এমন কোন রসূল আসেননি, যাদের সাথে ওরা ঠাট্টাবিদ্রূপ করতে থাকেনি।",
              "numberInSurah": 11,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়া’তীহিম মির রাছূলিন ইল্লা-কা-নূবিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَاْتِیْهِمْ/يَأۡتِيهِم/yatihim//مِّنْ/مِّن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং নি//তাদের কাছে আসে//কোনো//রাসূল//এ ছাড়া যে//তারা ছিলো//সাথে তার//তারা বিদ্রুপ করতো"
            },
            {
              "number": 1814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1814.mp3"
              ],
              "text": "كَذَٰلِكَ نَسْلُكُهُۥ فِى قُلُوبِ ٱلْمُجْرِمِينَ",
              "translate_bn": "এমনিভাবে আমি এ ধরনের আচরণ পাপীদের অন্তরে বদ্ধমূল করে দেই।",
              "numberInSurah": 12,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা নাছলুকুহূফী কুলূবিল মুজরিমীন।\r\n",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَسْلُكُهٗ/نَسۡلُكُهُۥ/naslukuhu//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الْمُجْرِمِیْنَۙ/ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এভাবে//তা প্রবেশ করাই আমরা//মধ্যে//অন্তরসমূহের//অপরাধীদের"
            },
            {
              "number": 1815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1815.mp3"
              ],
              "text": "لَا يُؤْمِنُونَ بِهِۦ ۖ وَقَدْ خَلَتْ سُنَّةُ ٱلْأَوَّلِينَ",
              "translate_bn": "ওরা এর প্রতি বিশ্বাস করবে না। পূর্ববর্তীদের এমন রীতি চলে আসছে।",
              "numberInSurah": 13,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "লা-ইউ’মিনূনা বিহী ওয়া কাদ খালাত ছুন্নাতুল আওওয়ালীন।",
              "words_arabic": "لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ/بِهِۦ/bihi//وَ قَدْ/وَقَدۡ/waqad//خَلَتْ/خَلَتۡ/khalat//سُنَّةُ/سُنَّةُ/sunnatu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "না//তারা ঈমান আনে//উপর তার//এবং নিশ্চয়ই//চলে গেছে//রীতি//পূর্ববর্তীদের"
            },
            {
              "number": 1816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1816.mp3"
              ],
              "text": "وَلَوْ فَتَحْنَا عَلَيْهِم بَابًۭا مِّنَ ٱلسَّمَآءِ فَظَلُّوا۟ فِيهِ يَعْرُجُونَ",
              "translate_bn": "যদি আমি ওদের সামনে আকাশের কোন দরজাও খুলে দেই আর তাতে ওরা দিনভর আরোহণ ও করতে থাকে।",
              "numberInSurah": 14,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও ফাতাহনা-‘আলাইহিম বা-বাম মিনাছছামাই ফাজাললূফীহি ইয়া‘রুজুন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//فَتَحْنَا/فَتَحۡنَا/fatahna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بَابًا/بَابٗا/baban//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَظَلُّوْا/فَظَلُّواْ/fazallu//فِیْهِ/فِيهِ/fihi//یَعْرُجُوْنَۙ/يَعۡرُجُونَ/ya'rujuna",
              "words_bangla": "এবং যদি//আমরা খুলে দিই//তাদের উপর//কোনো দরজা//থেকে//আকাশ//অতঃপর তারা থাকতো//তার মধ্যে//চড়তে"
            },
            {
              "number": 1817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1817.mp3"
              ],
              "text": "لَقَالُوٓا۟ إِنَّمَا سُكِّرَتْ أَبْصَٰرُنَا بَلْ نَحْنُ قَوْمٌۭ مَّسْحُورُونَ",
              "translate_bn": "তবুও ওরা একথাই বলবে যে, আমাদের দৃষ্টির বিভ্রাট ঘটানো হয়েছে না বরং আমরা যাদুগ্রস্ত হয়ে পড়েছি।",
              "numberInSurah": 15,
              "juz": 14,
              "manzil": 3,
              "page": 262,
              "ruku": 218,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "লাকা-লূ ইন্নমা-ছুক্কিরাত আবসা-রুনা-বালনাহনুকাওমুম মাছহূরূন।",
              "words_arabic": "لَقَالُوْۤا/لَقَالُوٓاْ/laqalu//اِنَّمَا/إِنَّمَا/innama//سُكِّرَتْ/سُكِّرَتۡ/sukkirat//اَبْصَارُنَا/أَبۡصَٰرُنَا/absaruna//بَلْ/بَلۡ/bal//نَحْنُ/نَحۡنُ/nahnu//قَوْمٌ/قَوۡمٞ/qawmun//مَّسْحُوْرُوْنَ۠/مَّسۡحُورُونَ/mashuruna",
              "words_bangla": "অবশ্যই তারা বলতো//\"প্রকৃতপক্ষে//সম্মোহিত করা হয়েছে//আমাদের দৃষ্টিগুলো//বরং//আমরা//সম্প্রদায়//জাদুগ্রস্ত\""
            },
            {
              "number": 1818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1818.mp3"
              ],
              "text": "وَلَقَدْ جَعَلْنَا فِى ٱلسَّمَآءِ بُرُوجًۭا وَزَيَّنَّٰهَا لِلنَّٰظِرِينَ",
              "translate_bn": "নিশ্চয় আমি আকাশে রাশিচক্র সৃষ্টি করেছি এবং তাকে দর্শকদের জন্যে সুশোভিত করে দিয়েছি।",
              "numberInSurah": 16,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জা‘আলনা-ফিছ ছামাই বুরূজাওঁ ওয়া ঝাইয়ান্না-হা-লিন্না-জিরীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَعَلْنَا/جَعَلۡنَا/ja'alna//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بُرُوْجًا/بُرُوجٗا/burujan//وَّ زَیَّنّٰهَا/وَزَيَّنَّـٰهَا/wazayyannaha//لِلنّٰظِرِیْنَۙ/لِلنَّـٰظِرِينَ/lilnnazirina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বানিয়েছি//মধ্যে//আকাশের//গ্রহনক্ষত্র//ও তা আমরা সুশোভিত করেছি//দর্শকদের জন্যে"
            },
            {
              "number": 1819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1819.mp3"
              ],
              "text": "وَحَفِظْنَٰهَا مِن كُلِّ شَيْطَٰنٍۢ رَّجِيمٍ",
              "translate_bn": "আমি আকাশকে প্রত্যেক বিতাড়িত শয়তান থেকে নিরাপদ করে দিয়েছি।",
              "numberInSurah": 17,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাফিজনা-হা-মিন কুল্লি শাইতা-নির রাজীম।",
              "words_arabic": "وَ حَفِظْنٰهَا/وَحَفِظۡنَٰهَا/wahafiz'naha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْطٰنٍ/شَيۡطَٰنٖ/shaytanin//رَّجِیْمٍۙ/رَّجِيمٍ/rajimin",
              "words_bangla": "এবং আমরা রক্ষা করেছি তা//থেকে//প্রত্যেক//শয়তান//অভিশপ্ত"
            },
            {
              "number": 1820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1820.mp3"
              ],
              "text": "إِلَّا مَنِ ٱسْتَرَقَ ٱلسَّمْعَ فَأَتْبَعَهُۥ شِهَابٌۭ مُّبِينٌۭ",
              "translate_bn": "কিন্তু যে চুরি করে শুনে পালায়, তার পশ্চাদ্ধাবন করে উজ্জ্বল উল্কাপিন্ড।",
              "numberInSurah": 18,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মানিছ তারাকাছ ছাম‘আ ফাআতবা‘আহূশিহা-বুম মুবীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنِ/مَنِ/mani//اسْتَرَقَ/ٱسۡتَرَقَ/is'taraqa//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//فَاَتْبَعَهٗ/فَأَتۡبَعَهُۥ/fa-atba'ahu//شِهَابٌ/شِهَابٞ/shihabun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "কিন্তু//যে//চুরি করে//শুনতে চায়//তখন তার পিছু ধাওয়া করে//অগ্নি শিখা//উজ্জ্বল"
            },
            {
              "number": 1821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1821.mp3"
              ],
              "text": "وَٱلْأَرْضَ مَدَدْنَٰهَا وَأَلْقَيْنَا فِيهَا رَوَٰسِىَ وَأَنۢبَتْنَا فِيهَا مِن كُلِّ شَىْءٍۢ مَّوْزُونٍۢ",
              "translate_bn": "আমি ভু-পৃষ্ঠকে বিস্তৃত করেছি এবং তার উপর পর্বতমালা স্থাপন করেছি এবং তাতে প্রত্যেক বস্তু সুপরিমিতভাবে উৎপন্ন করেছি।",
              "numberInSurah": 19,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আরদা মাদাদনা-হা-ওয়া আলকাইনা-ফীহা-রাওয়া-ছিয়া ওয়া আমবাতনা-ফীহামিন কুল্লি শাইয়িম মাওঝূন।",
              "words_arabic": "وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//مَدَدْنٰهَا/مَدَدۡنَٰهَا/madadnaha//وَ اَلْقَیْنَا/وَأَلۡقَيۡنَا/wa-alqayna//فِیْهَا/فِيهَا/fiha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//وَ اَنْۢبَتْنَا/وَأَنۢبَتۡنَا/wa-anbatna//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//مَّوْزُوْنٍ /مَّوۡزُونٖ/mawzunin",
              "words_bangla": "এবং জমিনকে//আমরা বিস্তৃত করেছি তা//ও আমরা স্থাপন করেছি//তার মধ্যে//পর্বতমালা//এবং আমরা উদগত করেছি//তার মধ্যে//থেকে//প্রত্যেক//বস্তু//সুপরিমিত"
            },
            {
              "number": 1822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1822.mp3"
              ],
              "text": "وَجَعَلْنَا لَكُمْ فِيهَا مَعَٰيِشَ وَمَن لَّسْتُمْ لَهُۥ بِرَٰزِقِينَ",
              "translate_bn": "আমি তোমাদের জন্যে তাতে জীবিকার উপকরন সৃষ্টি করছি এবং তাদের জন্যেও যাদের অন্নদাতা তোমরা নও।",
              "numberInSurah": 20,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-লাকুম ফীহা-মা‘আ-ইশা ওয়ামাল লাছতুম লাহূবিরা-ঝিকীন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//مَعَایِشَ/مَعَٰيِشَ/ma'ayisha//وَ مَنْ/وَمَن/waman//لَّسْتُمْ/لَّسۡتُمۡ/lastum//لَهٗ/لَهُۥ/lahu//بِرٰزِقِیْنَ /بِرَٰزِقِينَ/biraziqina",
              "words_bangla": "এবং আমরা ব্যবস্হা করেছি//তোমাদের জন্যে//তার মধ্যে//জীবিকার উপকরণসমূহ//এবং যাকে//তোমরা নও//জন্যে তার//জীবিকাদাতা"
            },
            {
              "number": 1823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1823.mp3"
              ],
              "text": "وَإِن مِّن شَىْءٍ إِلَّا عِندَنَا خَزَآئِنُهُۥ وَمَا نُنَزِّلُهُۥٓ إِلَّا بِقَدَرٍۢ مَّعْلُومٍۢ",
              "translate_bn": "আমার কাছে প্রত্যেক বস্তুর ভান্ডার রয়েছে। আমি নির্দিষ্ট পরিমানেই তা অবতরণ করি।",
              "numberInSurah": 21,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম মিন শাইয়িন ইল্লা-‘ইনদানা-খাঝাইনুহূ ওয়ামা-নুনাঝঝিলুহূ ইল্লাবিকাদারিম মা‘লূম।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٍ/shayin//اِلَّا/إِلَّا/illa//عِنْدَنَا/عِندَنَا/indana//خَزَآىِٕنُهٗ ؗ/خَزَآئِنُهُۥ/khazainuhu//وَ مَا/وَمَا/wama//نُنَزِّلُهٗۤ/نُنَزِّلُهُۥٓ/nunazziluhu//اِلَّا/إِلَّا/illa//بِقَدَرٍ/بِقَدَرٖ/biqadarin//مَّعْلُوْمٍ /مَّعۡلُومٖ/ma'lumin",
              "words_bangla": "এবং নেই//কোনো//জিনিস//এ ছাড়া যে//আমাদের কাছে আছে//তার ভান্ডারসমূহ//(//আমরা অবতরণ করি তা//এ ছাড়া যে//সহ পরিমাণ//নির্দিষ্ট"
            },
            {
              "number": 1824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1824.mp3"
              ],
              "text": "وَأَرْسَلْنَا ٱلرِّيَٰحَ لَوَٰقِحَ فَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَسْقَيْنَٰكُمُوهُ وَمَآ أَنتُمْ لَهُۥ بِخَٰزِنِينَ",
              "translate_bn": "আমি বৃষ্টিগর্ভ বায়ু পরিচালনা করি অতঃপর আকাশ থেকে পানি বর্ষণ করি, এরপর তোমাদেরকে তা পান করাই। বস্তুতঃ তোমাদের কাছে এর ভান্ডার নেই।",
              "numberInSurah": 22,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া আরছালনার রিয়া-হা লাওয়া-কিহা ফাআনঝালনা-মিনাছ ছামাই মাআন ফাআছকাইনা-কুমূহু ওয়ামা আনতুম লাহূবিখা-ঝিনীন।",
              "words_arabic": "وَ اَرْسَلْنَا/وَأَرۡسَلۡنَا/wa-arsalna//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//لَوَاقِحَ/لَوَٰقِحَ/lawaqiha//فَاَنْزَلْنَا/فَأَنزَلۡنَا/fa-anzalna//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَسْقَیْنٰكُمُوْهُ ۚ/فَأَسۡقَيۡنَٰكُمُوهُ/fa-asqaynakumuhu//وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُمۡ/antum//لَهٗ/لَهُۥ/lahu//بِخٰزِنِیْنَ /بِخَٰزِنِينَ/bikhazinina",
              "words_bangla": "এবং আমরা পাঠাই//বাতাস//বৃষ্টিবাহী//অতপর আমরা বর্ষণ করি//থেকে//আকাশ//পানি//অতঃপর পান করাই তা আমরা তোমাদের//এবং নও//তোমরা//তার জন্যে//ভান্ডার রক্ষাকারী"
            },
            {
              "number": 1825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1825.mp3"
              ],
              "text": "وَإِنَّا لَنَحْنُ نُحْىِۦ وَنُمِيتُ وَنَحْنُ ٱلْوَٰرِثُونَ",
              "translate_bn": "আমিই জীবনদান করি, মৃত্যুদান করি এবং আমিই চুড়ান্ত মালিকানার অধিকারী।",
              "numberInSurah": 23,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লানাহনুনুহয়ী ওয়া নুমীতুওয়া নাহনুল ওয়া-রিছূ ন।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//لَنَحْنُ/لَنَحۡنُ/lanahnu//نُحْیٖ/نُحۡيِۦ/nuh'yi//وَ نُمِیْتُ/وَنُمِيتُ/wanumitu//وَ نَحْنُ/وَنَحۡنُ/wanahnu//الْوٰرِثُوْنَ /ٱلۡوَٰرِثُونَ/al-warithuna",
              "words_bangla": "এবং নিশ্চয়ই আমরা//অবশ্যই আমরা//আমরা জীবন দিই//ও আমরা মৃত্যু দিই//এবং আমরাই//উত্তরাধিকারী (সকলেরই)"
            },
            {
              "number": 1826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1826.mp3"
              ],
              "text": "وَلَقَدْ عَلِمْنَا ٱلْمُسْتَقْدِمِينَ مِنكُمْ وَلَقَدْ عَلِمْنَا ٱلْمُسْتَـْٔخِرِينَ",
              "translate_bn": "আমি জেনে রেখেছি তোমাদের অগ্রগামীদেরকে এবং আমি জেনে রেখেছি পশ্চাদগামীদেরকে।",
              "numberInSurah": 24,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ‘আলিমনাল মুছতাকদিমীনা মিনকুম ওয়ালাকাদ ‘আলিমনাল মুছতা’খিরীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//عَلِمْنَا/عَلِمۡنَا/alim'na//الْمُسْتَقْدِمِیْنَ/ٱلۡمُسۡتَقۡدِمِينَ/al-mus'taqdimina//مِنْكُمْ/مِنكُمۡ/minkum//وَ لَقَدْ/وَلَقَدۡ/walaqad//عَلِمْنَا/عَلِمۡنَا/alim'na//الْمُسْتَاْخِرِیْنَ /ٱلۡمُسۡتَـٔۡخِرِينَ/al-mus'takhirina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা জানি//অগ্রগামীদেরকে//তোমাদের মধ্য থেকে//ও নিশ্চয়ই//আমরা জানি//পরে আগমনকারীদেরকে"
            },
            {
              "number": 1827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1827.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ هُوَ يَحْشُرُهُمْ ۚ إِنَّهُۥ حَكِيمٌ عَلِيمٌۭ",
              "translate_bn": "আপনার পালনকর্তাই তাদেরকে একত্রিত করে আনবেন। নিশ্চয় তিনি প্রজ্ঞাবান, জ্ঞানময়।",
              "numberInSurah": 25,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 219,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা হুওয়া ইয়াহশুরুহুম ইন্নাহূহাকীমুন ‘আলীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//یَحْشُرُهُمْ ؕ/يَحۡشُرُهُمۡۚ/yahshuruhum//اِنَّهٗ/إِنَّهُۥ/innahu//حَكِیْمٌ/حَكِيمٌ/hakimun//عَلِیْمٌ۠/عَلِيمٞ/alimun",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//তিনিই//তাদের একত্র করবেন//নিশ্চয়ই তিনি//প্রজ্ঞাময়//জ্ঞানময়"
            },
            {
              "number": 1828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1828.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَا ٱلْإِنسَٰنَ مِن صَلْصَٰلٍۢ مِّنْ حَمَإٍۢ مَّسْنُونٍۢ",
              "translate_bn": "আমি মানবকে পচা কর্দম থেকে তৈরী বিশুস্ক ঠনঠনে মাটি দ্বারা সৃষ্টি করেছি।",
              "numberInSurah": 26,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ খালাকনাল ইনছা-না মিন সালসা-লিম মিন হামাইম মাছনূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِن/min//صَلْصَالٍ/صَلۡصَٰلٖ/salsalin//مِّنْ/مِّنۡ/min//حَمَاٍ/حَمَإٖ/hama-in//مَّسْنُوْنٍۚ/مَّسۡنُونٖ/masnunin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সৃষ্টি করেছি//মানুষকে//থেকে//শুকনো ঠনঠনে মাটি//(তৈরী) থেকে//কাদা//দুর্গন্ধযুক্ত"
            },
            {
              "number": 1829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1829.mp3"
              ],
              "text": "وَٱلْجَآنَّ خَلَقْنَٰهُ مِن قَبْلُ مِن نَّارِ ٱلسَّمُومِ",
              "translate_bn": "এবং জিনকে এর আগে লু এর আগুনের দ্বারা সৃজিত করেছি।",
              "numberInSurah": 27,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়ালজান্না খালাকনা-হু মিন কাবলুমিন না-রিছছামূম।",
              "words_arabic": "وَ الْجَآنَّ/وَٱلۡجَآنَّ/wal-jana//خَلَقْنٰهُ/خَلَقۡنَٰهُ/khalaqnahu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//مِنْ/مِن/min//نَّارِ/نَّارِ/nari//السَّمُوْمِ /ٱلسَّمُومِ/al-samumi",
              "words_bangla": "এবং জিন//আমরা সৃষ্টি করেছি তাকে//থেকে//পূর্ব//থেকে//আগুন//অতি উত্তপ্ত"
            },
            {
              "number": 1830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1830.mp3"
              ],
              "text": "وَإِذْ قَالَ رَبُّكَ لِلْمَلَٰٓئِكَةِ إِنِّى خَٰلِقٌۢ بَشَرًۭا مِّن صَلْصَٰلٍۢ مِّنْ حَمَإٍۢ مَّسْنُونٍۢ",
              "translate_bn": "আর আপনার পালনকর্তা যখন ফেরেশতাদেরকে বললেনঃ আমি পচা কর্দম থেকে তৈরী বিশুষ্ক ঠনঠনে মাটি দ্বারা সৃষ্ট একটি মানব জাতির পত্তন করব।",
              "numberInSurah": 28,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা রাব্বুকা লিলমালাইকাতি ইন্নী খা-লিকুম বাশারাম মিন সালসা-লিম মিন হামাইম মাছনূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//رَبُّكَ/رَبُّكَ/rabbuka//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اِنِّیْ/إِنِّي/inni//خَالِقٌۢ/خَٰلِقُۢ/khaliqun//بَشَرًا/بَشَرٗا/basharan//مِّنْ/مِّن/min//صَلْصَالٍ/صَلۡصَٰلٖ/salsalin//مِّنْ/مِّنۡ/min//حَمَاٍ/حَمَإٖ/hama-in//مَّسْنُوْنٍ /مَّسۡنُونٖ/masnunin",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলেন//তোমার রব//ফেরেশতাদেরকে//\"নিশ্চয়ই আমি//(শীঘ্র) সৃষ্টিকারী//মানুষ//থেকে//শুকনো ঠনঠনে মাটি//থেকে (তৈরী)//কাদা//দুর্গন্ধযুক্ত"
            },
            {
              "number": 1831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1831.mp3"
              ],
              "text": "فَإِذَا سَوَّيْتُهُۥ وَنَفَخْتُ فِيهِ مِن رُّوحِى فَقَعُوا۟ لَهُۥ سَٰجِدِينَ",
              "translate_bn": "অতঃপর যখন তাকে ঠিকঠাক করে নেব এবং তাতে আমার রূহ থেকে ফঁুক দেব, তখন তোমরা তার সামনে সেজদায় পড়ে যেয়ো।",
              "numberInSurah": 29,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-ছাওয়াইতুহূওয়ানাফাখতুফীহি মিররূহী ফাকা‘ঊ লাহূছা-জিদীন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//سَوَّیْتُهٗ/سَوَّيۡتُهُۥ/sawwaytuhu//وَ نَفَخْتُ/وَنَفَخۡتُ/wanafakhtu//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رُّوْحِیْ/رُّوحِي/ruhi//فَقَعُوْا/فَقَعُواْ/faqa'u//لَهٗ/لَهُۥ/lahu//سٰجِدِیْنَ /سَٰجِدِينَ/sajidina",
              "words_bangla": "অতঃপর যখন//আমি সুঠাম করবো তাকে//ও আমি ফুঁকে দিবো//তার মধ্যে//থেকে কিছু//আমার রুহ//তোমার তখন হয়ে পড়ো//তার জন্যে//সিজদাকারী\""
            },
            {
              "number": 1832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1832.mp3"
              ],
              "text": "فَسَجَدَ ٱلْمَلَٰٓئِكَةُ كُلُّهُمْ أَجْمَعُونَ",
              "translate_bn": "তখন ফেরেশতারা সবাই মিলে সেজদা করল।",
              "numberInSurah": 30,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ফাছাজাদাল মালাইকাতুকুল্লুহুম আজমা‘ঊন।",
              "words_arabic": "فَسَجَدَ/فَسَجَدَ/fasajada//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//كُلُّهُمْ/كُلُّهُمۡ/kulluhum//اَجْمَعُوْنَۙ/أَجۡمَعُونَ/ajma'una",
              "words_bangla": "অতঃপর সিজদা করলো//ফেরেশতারা//তাদের সবাই//একত্রে"
            },
            {
              "number": 1833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1833.mp3"
              ],
              "text": "إِلَّآ إِبْلِيسَ أَبَىٰٓ أَن يَكُونَ مَعَ ٱلسَّٰجِدِينَ",
              "translate_bn": "কিন্তু ইবলীস-সে সেজদাকারীদের অন্তর্ভূক্ত হতে স্বীকৃত হল না।",
              "numberInSurah": 31,
              "juz": 14,
              "manzil": 3,
              "page": 263,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইল্লাইবলীছা আবাআইঁ ইয়াকূনা মা‘আছছা-জিদীন।",
              "words_arabic": "اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//اَبٰۤی/أَبَىٰٓ/aba//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//مَعَ/مَعَ/ma'a//السّٰجِدِیْنَ /ٱلسَّـٰجِدِينَ/al-sajidina",
              "words_bangla": "ছাড়া//ইবলীস//সে অস্বীকার করলো//যে//হবে//অন্তর্ভুক্ত//সিজদাকারীদের"
            },
            {
              "number": 1834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1834.mp3"
              ],
              "text": "قَالَ يَٰٓإِبْلِيسُ مَا لَكَ أَلَّا تَكُونَ مَعَ ٱلسَّٰجِدِينَ",
              "translate_bn": "আল্লাহ বললেনঃ হে ইবলিস, তোমার কি হলো যে তুমি সেজদাকারীদের অন্তর্ভূক্ত হতে স্বীকৃত হলে না?",
              "numberInSurah": 32,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়াইবলীছুমা-লাকা আল্লা-তাকূনা মা‘আছ ছা-জিদীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰۤاِبْلِیْسُ/يَـٰٓإِبۡلِيسُ/yaib'lisu//مَا/مَا/ma//لَكَ/لَكَ/laka//اَلَّا/أَلَّا/alla//تَكُوْنَ/تَكُونَ/takuna//مَعَ/مَعَ/ma'a//السّٰجِدِیْنَ /ٱلسَّـٰجِدِينَ/al-sajidina",
              "words_bangla": "তিনি বললেন//\"হে ইবলীস//কি//তোমার হয়েছে//যে না//তুমি হ'লে//সাথে//সিজদাকারীদের\""
            },
            {
              "number": 1835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1835.mp3"
              ],
              "text": "قَالَ لَمْ أَكُن لِّأَسْجُدَ لِبَشَرٍ خَلَقْتَهُۥ مِن صَلْصَٰلٍۢ مِّنْ حَمَإٍۢ مَّسْنُونٍۢ",
              "translate_bn": "বললঃ আমি এমন নই যে, একজন মানবকে সেজদা করব, যাকে আপনি পচা কর্দম থেকে তৈরী ঠনঠনে বিশুষ্ক মাটি দ্বারা সৃষ্টি করেছেন।",
              "numberInSurah": 33,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাম আকুল লিআছজুদা লিবাশারিন খালাকতাহূমিন সালসা-লিম মিন হামাইম মাছনূন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَمْ/لَمۡ/lam//اَكُنْ/أَكُن/akun//لِّاَسْجُدَ/لِّأَسۡجُدَ/li-asjuda//لِبَشَرٍ/لِبَشَرٍ/libasharin//خَلَقْتَهٗ/خَلَقۡتَهُۥ/khalaqtahu//مِنْ/مِن/min//صَلْصَالٍ/صَلۡصَٰلٖ/salsalin//مِّنْ/مِّنۡ/min//حَمَاٍ/حَمَإٖ/hama-in//مَّسْنُوْنٍ /مَّسۡنُونٖ/masnunin",
              "words_bangla": "সে বললো//\"নি//\"আমি হই//জন্যে আমি সিজদা করার//মানুষকে//আপনি সৃষ্টি করেছেন তাকে//হ'তে//শুকনো ঠনঠনে মাটি//তৈরী (থেকে)//কাদা//দুর্গন্ধযুক্ত\""
            },
            {
              "number": 1836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1836.mp3"
              ],
              "text": "قَالَ فَٱخْرُجْ مِنْهَا فَإِنَّكَ رَجِيمٌۭ",
              "translate_bn": "আল্লাহ বললেনঃ তবে তুমি এখান থেকে বের হয়ে যাও। তুমি বিতাড়িত।",
              "numberInSurah": 34,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাখরুজ মিনহা-ফাইন্নাকা রাজীম।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//فَاخْرُجْ/فَٱخۡرُجۡ/fa-ukh'ruj//مِنْهَا/مِنۡهَا/min'ha//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//رَجِیْمٌۙ/رَجِيمٞ/rajimun",
              "words_bangla": "তিনি বললেন//\"তাহ'লে বের হও//তা থেকে//কারণ নিশ্চয়ই তুমি//বিতাড়িত"
            },
            {
              "number": 1837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1837.mp3"
              ],
              "text": "وَإِنَّ عَلَيْكَ ٱللَّعْنَةَ إِلَىٰ يَوْمِ ٱلدِّينِ",
              "translate_bn": "এবং তোমার প্রতি ন্যায় বিচারের দিন পর্যন্ত অভিসম্পাত।",
              "numberInSurah": 35,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়াইন্না ‘আলাইকাল লা‘নাতা ইলা-ইয়াওমিদ্দীন।",
              "words_arabic": "وَّ اِنَّ/وَإِنَّ/wa-inna//عَلَیْكَ/عَلَيۡكَ/alayka//اللَّعْنَةَ/ٱللَّعۡنَةَ/al-la'nata//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الدِّیْنِ /ٱلدِّينِ/al-dini",
              "words_bangla": "এবং নিশ্চয়ই//তোমার উপর//অভিশাপ//পর্যন্ত//দিন//বিচারের\""
            },
            {
              "number": 1838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1838.mp3"
              ],
              "text": "قَالَ رَبِّ فَأَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা, আপনি আমাকে পুনরুত্থান দিবস পর্যন্ত অবকাশ দিন।",
              "numberInSurah": 36,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাববী ফাআনজিরনীইলা-ইয়াওমি ইউব‘আছূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//فَاَنْظِرْنِیْۤ/فَأَنظِرۡنِيٓ/fa-anzir'ni//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//یُبْعَثُوْنَ /يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "সে বললো//\"হে আমার রব//তবে আমাকে অবকাশ দিন//পর্যন্ত//দিবস//উত্থান\""
            },
            {
              "number": 1839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1839.mp3"
              ],
              "text": "قَالَ فَإِنَّكَ مِنَ ٱلْمُنظَرِينَ",
              "translate_bn": "আল্লাহ বললেনঃ তোমাকে অবকাশ দেয়া হল।",
              "numberInSurah": 37,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাইন্নাকা মিনাল মুনজারীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//مِنَ/مِنَ/mina//الْمُنْظَرِیْنَۙ/ٱلۡمُنظَرِينَ/al-munzarina",
              "words_bangla": "তিনি বললেন//\"তাহ'লে নিশ্চয়ই তুমি//অন্তর্ভুক্ত//অবকাশপ্রাপ্তদের"
            },
            {
              "number": 1840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1840.mp3"
              ],
              "text": "إِلَىٰ يَوْمِ ٱلْوَقْتِ ٱلْمَعْلُومِ",
              "translate_bn": "সেই অবধারিত সময় উপস্থিত হওয়ার দিন পর্যন্ত।",
              "numberInSurah": 38,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইলা-ইয়াওমিল ওয়াকতিল মা‘লূম।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْوَقْتِ/ٱلۡوَقۡتِ/al-waqti//الْمَعْلُوْمِ /ٱلۡمَعۡلُومِ/al-ma'lumi",
              "words_bangla": "পর্যন্ত//(ক্বিয়ামাতের) দিন//(যার) সময়//অবধারিত\""
            },
            {
              "number": 1841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1841.mp3"
              ],
              "text": "قَالَ رَبِّ بِمَآ أَغْوَيْتَنِى لَأُزَيِّنَنَّ لَهُمْ فِى ٱلْأَرْضِ وَلَأُغْوِيَنَّهُمْ أَجْمَعِينَ",
              "translate_bn": "সে বললঃ হে আমার পলনকর্তা, আপনি যেমন আমাকে পথ ভ্রষ্ট করেছেন, আমিও তাদের সবাইকে পৃথিবীতে নানা সৌন্দর্যে আকৃষ্ট করব এবং তাদের সবাইকে পথ ভ্রষ্ঠ করে দেব।",
              "numberInSurah": 39,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি বিমাআগওয়াইতানী লাউঝাইয়িনান্না লাহুম ফিল আরদিওয়ালাউগবিইয়ান্নাহুম আজমা‘ঈন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//بِمَاۤ/بِمَآ/bima//اَغْوَیْتَنِیْ/أَغۡوَيۡتَنِي/aghwaytani//لَاُزَیِّنَنَّ/لَأُزَيِّنَنَّ/la-uzayyinanna//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَاُغْوِیَنَّهُمْ/وَلَأُغۡوِيَنَّهُمۡ/wala-ugh'wiyannahum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "সে বললো//\"হে আমার রব//যে কারণে//আমাকে আপনি বিপথগামী করলেন//অবশ্যই আমি সুশোভন করবো//জন্যে তাদের//মধ্যে//পৃথিবীর//এবং অবশ্যই আমি বিপথগামী করবো তাদেরকে//সকলকে"
            },
            {
              "number": 1842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1842.mp3"
              ],
              "text": "إِلَّا عِبَادَكَ مِنْهُمُ ٱلْمُخْلَصِينَ",
              "translate_bn": "আপনার মনোনীত বান্দাদের ব্যতীত।",
              "numberInSurah": 40,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবা-দাকা মিনহুমুল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عِبَادَكَ/عِبَادَكَ/ibadaka//مِنْهُمُ/مِنۡهُمُ/min'humu//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "ছাড়া//আপনার দাসদের//তাদের মধ্য হ'তে//একনিষ্ঠ\""
            },
            {
              "number": 1843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1843.mp3"
              ],
              "text": "قَالَ هَٰذَا صِرَٰطٌ عَلَىَّ مُسْتَقِيمٌ",
              "translate_bn": "আল্লাহ বললেনঃ এটা আমা পর্যন্ত সোজা পথ।",
              "numberInSurah": 41,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "কা-লা হা-যা সিরা-তুন ‘আলাইইয়া মুছতাকীম।",
              "words_arabic": "قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٌ/siratun//عَلَیَّ/عَلَيَّ/alayya//مُسْتَقِیْمٌ /مُسۡتَقِيمٌ/mus'taqimun",
              "words_bangla": "তিনি বললেন//\"এটা//পথ//আমার দিকে//সরল"
            },
            {
              "number": 1844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1844.mp3"
              ],
              "text": "إِنَّ عِبَادِى لَيْسَ لَكَ عَلَيْهِمْ سُلْطَٰنٌ إِلَّا مَنِ ٱتَّبَعَكَ مِنَ ٱلْغَاوِينَ",
              "translate_bn": "যারা আমার বান্দা, তাদের উপর তোমার কোন ক্ষমতা নেই; কিন্তু পথভ্রান্তদের মধ্য থেকে যারা তোমার পথে চলে।",
              "numberInSurah": 42,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘ইবা-দী লাইছা লাকা ‘আলাইহিম ছুলতা-নুন ইল্লা-মানিত্তাবা‘আকা মিনাল গা-বীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عِبَادِیْ/عِبَادِي/ibadi//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سُلْطٰنٌ/سُلۡطَٰنٌ/sul'tanun//اِلَّا/إِلَّا/illa//مَنِ/مَنِ/mani//اتَّبَعَكَ/ٱتَّبَعَكَ/ittaba'aka//مِنَ/مِنَ/mina//الْغٰوِیْنَ /ٱلۡغَاوِينَ/al-ghawina",
              "words_bangla": "নিশ্চয়ই (যারা)//আমার দাসরা//নেই//তোমার জন্যে//তাদের উপর//কোন প্রভাব//এ ছাড়া//যে//তোমার অনুসরণ করবে//থেকে//পথভ্রষ্ট\""
            },
            {
              "number": 1845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1845.mp3"
              ],
              "text": "وَإِنَّ جَهَنَّمَ لَمَوْعِدُهُمْ أَجْمَعِينَ",
              "translate_bn": "তাদের সবার নির্ধারিত স্থান হচ্ছে জাহান্নাম।",
              "numberInSurah": 43,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না জাহান্নামা লামাও‘ইদুহুম আজমা‘ঈন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//جَهَنَّمَ/جَهَنَّمَ/jahannama//لَمَوْعِدُهُمْ/لَمَوۡعِدُهُمۡ/lamaw'iduhum//اَجْمَعِیْنَ۫ۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "এবং নিশ্চয়ই//জাহান্নাম//অবশ্যই প্রতিশ্রুত স্হান তাদের//সকলের"
            },
            {
              "number": 1846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1846.mp3"
              ],
              "text": "لَهَا سَبْعَةُ أَبْوَٰبٍۢ لِّكُلِّ بَابٍۢ مِّنْهُمْ جُزْءٌۭ مَّقْسُومٌ",
              "translate_bn": "এর সাতটি দরজা আছে। প্রত্যেক দরজার জন্যে এক একটি পৃথক দল আছে।",
              "numberInSurah": 44,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 220,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "লাহা-ছাব ‘আতুআবওয়া-বিল লিকুল্লি বা-বিম মিনহুম জুঝউম মাকছূম ।",
              "words_arabic": "لَهَا/لَهَا/laha//سَبْعَةُ/سَبۡعَةُ/sab'atu//اَبْوَابٍ ؕ/أَبۡوَٰبٖ/abwabin//لِكُلِّ/لِّكُلِّ/likulli//بَابٍ/بَابٖ/babin//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//جُزْءٌ/جُزۡءٞ/juz'on//مَّقْسُوْمٌ۠/مَّقۡسُومٌ/maqsumun",
              "words_bangla": "তার আছে//সাতটি//দরজা//জন্যে প্রত্যেকটির//দরজার//তাদের থেকে//অংশ (দল)//পৃথক পৃথক"
            },
            {
              "number": 1847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1847.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى جَنَّٰتٍۢ وَعُيُونٍ",
              "translate_bn": "নিশ্চয় খোদাভীরুরা বাগান ও নির্ঝরিনীসহূহে থাকবে।",
              "numberInSurah": 45,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী জান্না-তিওঁ ওয়া উ‘ইয়ূন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍؕ/وَعُيُونٍ/wa'uyunin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা//মধ্যে (থাকবে)//জান্নাতের//ও ঝর্ণাধারাসমূহের"
            },
            {
              "number": 1848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1848.mp3"
              ],
              "text": "ٱدْخُلُوهَا بِسَلَٰمٍ ءَامِنِينَ",
              "translate_bn": "বলা হবেঃ এগুলোতে নিরাপত্তা ও শান্তি সহকরে প্রবেশ কর।",
              "numberInSurah": 46,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "উদখুলূহা-বিছালা-মিন আ-মিনীন।",
              "words_arabic": "اُدْخُلُوْهَا/ٱدۡخُلُوهَا/ud'khuluha//بِسَلٰمٍ/بِسَلَٰمٍ/bisalamin//اٰمِنِیْنَ /ءَامِنِينَ/aminina",
              "words_bangla": "\"তাতে তোমরা প্রবেশ করো//সাথে শান্তির//নিরাপদে\""
            },
            {
              "number": 1849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1849.mp3"
              ],
              "text": "وَنَزَعْنَا مَا فِى صُدُورِهِم مِّنْ غِلٍّ إِخْوَٰنًا عَلَىٰ سُرُرٍۢ مُّتَقَٰبِلِينَ",
              "translate_bn": "তাদের অন্তরে যে ক্রোধ ছিল, আমি তা দূর করে দেব। তারা ভাই ভাইয়ের মত সামনা-সামনি আসনে বসবে।",
              "numberInSurah": 47,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাঝা‘না-মা-ফী সুদূরিহিম মিন গিলিলন ইখওয়া-নান ‘আলা-ছুরুরিম মুতাকা-বিলীন।",
              "words_arabic": "وَ نَزَعْنَا/وَنَزَعۡنَا/wanaza'na//مَا/مَا/ma//فِیْ/فِي/fi//صُدُوْرِهِمْ/صُدُورِهِم/sudurihim//مِّنْ/مِّنۡ/min//غِلٍّ/غِلٍّ/ghillin//اِخْوَانًا/إِخۡوَٰنًا/ikh'wanan//عَلٰی/عَلَىٰ/ala//سُرُرٍ/سُرُرٖ/sururin//مُّتَقٰبِلِیْنَ /مُّتَقَٰبِلِينَ/mutaqabilina",
              "words_bangla": "এবং আমরা দূর করে দিবো//যা//মধ্যে আছে//তাদের অন্তরসমূহের//থেকে//ঈর্ষা//ভাই ভাই হয়ে (তারা বসবে)//উপর//আসনসমূহের//মুখোমুখি হয়ে"
            },
            {
              "number": 1850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1850.mp3"
              ],
              "text": "لَا يَمَسُّهُمْ فِيهَا نَصَبٌۭ وَمَا هُم مِّنْهَا بِمُخْرَجِينَ",
              "translate_bn": "সেখানে তাদের মোটেই কষ্ট হবে না এবং তারা সেখান থেকে বহিস্কৃত হবে না।",
              "numberInSurah": 48,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়ামছছুহুম ফীহা-নাসাবুওঁ ওয়ামা-হুম মিনহা-বিমুখরাজীন।",
              "words_arabic": "لَا/لَا/la//یَمَسُّهُمْ/يَمَسُّهُمۡ/yamassuhum//فِیْهَا/فِيهَا/fiha//نَصَبٌ/نَصَبٞ/nasabun//وَّ مَا/وَمَا/wama//هُمْ/هُم/hum//مِّنْهَا/مِّنۡهَا/min'ha//بِمُخْرَجِیْنَ /بِمُخۡرَجِينَ/bimukh'rajina",
              "words_bangla": "না//তাদের স্পর্শ করবে//তার মধ্যে//কোনো অবসাদ//আছে  না//তারা//তা থেকে//বহিষ্কৃত হবে"
            },
            {
              "number": 1851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1851.mp3"
              ],
              "text": "۞ نَبِّئْ عِبَادِىٓ أَنِّىٓ أَنَا ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "আপনি আমার বান্দাদেরকে জানিয়ে দিন যে, আমি অত্যন্ত ক্ষমাশীল দয়ালু।",
              "numberInSurah": 49,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 105,
              "sajda": false,
              "pronunciation_bn": "নাব্বি’ ‘ইবা-দীআন্নীআনাল গাফূরুর রাহীম।",
              "words_arabic": "نَبِّئْ/۞نَبِّئۡ/nabbi//عِبَادِیْۤ/عِبَادِيٓ/ibadi//اَنِّیْۤ/أَنِّيٓ/anni//اَنَا/أَنَا/ana//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُۙ/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "জানিয়ে দাও//আমার দাসদের//যে আমি//আমিই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1852.mp3"
              ],
              "text": "وَأَنَّ عَذَابِى هُوَ ٱلْعَذَابُ ٱلْأَلِيمُ",
              "translate_bn": "এবং ইহাও যে, আমার শাস্তিই যন্ত্রনাদায়ক শাস্তি।",
              "numberInSurah": 50,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না ‘আযা-বী হুওয়াল ‘আযা-বুল আলীম।",
              "words_arabic": "وَ اَنَّ/وَأَنَّ/wa-anna//عَذَابِیْ/عَذَابِي/adhabi//هُوَ/هُوَ/huwa//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//الْاَلِیْمُ /ٱلۡأَلِيمُ/al-alimu",
              "words_bangla": "এবং (এও) যে//আমার শাস্তিও//তা//শাস্তি//নিদারুণ"
            },
            {
              "number": 1853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1853.mp3"
              ],
              "text": "وَنَبِّئْهُمْ عَن ضَيْفِ إِبْرَٰهِيمَ",
              "translate_bn": "আপনি তাদেরকে ইব্রাহীমের মেহমানদের অবস্থা শুনিয়ে দিন।",
              "numberInSurah": 51,
              "juz": 14,
              "manzil": 3,
              "page": 264,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাব্বি’হুম ‘আন দাইফি ইবরা-হীম।",
              "words_arabic": "وَ نَبِّئْهُمْ/وَنَبِّئۡهُمۡ/wanabbi'hum//عَنْ/عَن/an//ضَیْفِ/ضَيۡفِ/dayfi//اِبْرٰهِیْمَۘ/إِبۡرَٰهِيمَ/ib'rahima",
              "words_bangla": "এবং তাদের জানিয়ে দাও//সম্পর্কে//মেহমান//ইবরাহীমের"
            },
            {
              "number": 1854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1854.mp3"
              ],
              "text": "إِذْ دَخَلُوا۟ عَلَيْهِ فَقَالُوا۟ سَلَٰمًۭا قَالَ إِنَّا مِنكُمْ وَجِلُونَ",
              "translate_bn": "যখন তারা তাঁর গৃহে আগমন করল এবং বললঃ সালাম। তিনি বললেনঃ আমরা তোমাদের ব্যাপারে ভীত।",
              "numberInSurah": 52,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইয দাখালূ‘আলাইহি ফাকা-লূছালা-মান কা-লা ইন্না-মিনকুম ওয়াজিলূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلَیْهِ/عَلَيۡهِ/alayhi//فَقَالُوْا/فَقَالُواْ/faqalu//سَلٰمًا ؕ/سَلَٰمٗا/salaman//قَالَ/قَالَ/qala//اِنَّا/إِنَّا/inna//مِنْكُمْ/مِنكُمۡ/minkum//وَ جِلُوْنَ /وَجِلُونَ/wajiluna",
              "words_bangla": "যখন//তারা প্রবেশ  করেছিলো//তার কাছে//অতঃপর তারা বলেছিলো//\"(তোমাকে) সালাম\"//সে বললো//\"নিশ্চয়ই আমরা//তোমাদের থেকে//আতঙ্কিত\""
            },
            {
              "number": 1855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1855.mp3"
              ],
              "text": "قَالُوا۟ لَا تَوْجَلْ إِنَّا نُبَشِّرُكَ بِغُلَٰمٍ عَلِيمٍۢ",
              "translate_bn": "তারা বললঃ ভয় করবেন না। আমরা আপনাকে একজন জ্ঞানবান ছেলে-সন্তানের সুসংবাদ দিচ্ছি।",
              "numberInSurah": 53,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লূলা-তাওজাল ইন্না-নুবাশশিরুকা বিগুলা-মিন ‘আলীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//تَوْجَلْ/تَوۡجَلۡ/tawjal//اِنَّا/إِنَّا/inna//نُبَشِّرُكَ/نُبَشِّرُكَ/nubashiruka//بِغُلٰمٍ/بِغُلَٰمٍ/bighulamin//عَلِیْمٍ /عَلِيمٖ/alimin",
              "words_bangla": "তারা বললো//\"না//আতঙ্কিত হয়ো//নিশ্চয়ই আমরা//তোমাকে সুসংবাদ দিচ্ছি//একটি ছেলের//বড় জ্ঞানী\""
            },
            {
              "number": 1856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1856.mp3"
              ],
              "text": "قَالَ أَبَشَّرْتُمُونِى عَلَىٰٓ أَن مَّسَّنِىَ ٱلْكِبَرُ فَبِمَ تُبَشِّرُونَ",
              "translate_bn": "তিনি বললেনঃ তোমরা কি আমাকে এমতাবস্থায় সুসংবাদ দিচ্ছ, যখন আমি বার্ধক্যে পৌছে গেছি ?",
              "numberInSurah": 54,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা আবাশশারতুমূনী ‘আলাআম মাছছানিয়াল কিবারু ফাবিমা তুবাশশিরূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَبَشَّرْتُمُوْنِیْ/أَبَشَّرۡتُمُونِي/abashartumuni//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//مَّسَّنِیَ/مَّسَّنِيَ/massaniya//الْكِبَرُ/ٱلۡكِبَرُ/al-kibaru//فَبِمَ/فَبِمَ/fabima//تُبَشِّرُوْنَ /تُبَشِّرُونَ/tubashiruna",
              "words_bangla": "সে বললো//\"কি আমাকে তোমরা সুসংবাদ দিচ্ছো//\"এ অবস্থায়//যে//আমাকে পেয়েছে//বার্ধক্য//অতএব কি ধরণের//তোমরা সুসংবাদ দিচ্ছো\""
            },
            {
              "number": 1857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1857.mp3"
              ],
              "text": "قَالُوا۟ بَشَّرْنَٰكَ بِٱلْحَقِّ فَلَا تَكُن مِّنَ ٱلْقَٰنِطِينَ",
              "translate_bn": "তারা বললঃ আমরা আপনাকে সত্য সু-সংবাদ দিচ্ছি! অতএব আপনি নিরাশ হবেন না।",
              "numberInSurah": 55,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লূবাশশারনা-কা বিলহাক্কিফালা-তাকুম মিনাল কা-নিতীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَشَّرْنٰكَ/بَشَّرۡنَٰكَ/basharnaka//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//فَلَا/فَلَا/fala//تَكُنْ/تَكُن/takun//مِّنَ/مِّنَ/mina//الْقٰنِطِیْنَ /ٱلۡقَٰنِطِينَ/al-qanitina",
              "words_bangla": "তারা বলেছিলো//\"তোমাকে সুসংবাদ দিচ্ছি আমরা//সহকারে সত্য//অতএব না//তুমি হয়ো//অন্তর্ভুক্ত//হতাশদের\""
            },
            {
              "number": 1858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1858.mp3"
              ],
              "text": "قَالَ وَمَن يَقْنَطُ مِن رَّحْمَةِ رَبِّهِۦٓ إِلَّا ٱلضَّآلُّونَ",
              "translate_bn": "তিনি বললেনঃ পালনকর্তার রহমত থেকে পথভ্রষ্টরা ছাড়া কে নিরাশ হয় ?",
              "numberInSurah": 56,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা ওয়া মাইঁ ইয়াকনাতুমির রাহমাতি রাব্বিহীইল্লাদ্দাললূন।",
              "words_arabic": "قَالَ/قَالَ/qala//وَ مَنْ/وَمَن/waman//یَّقْنَطُ/يَقۡنَطُ/yaqnatu//مِنْ/مِن/min//رَّحْمَةِ/رَّحۡمَةِ/rahmati//رَبِّهٖۤ/رَبِّهِۦٓ/rabbihi//اِلَّا/إِلَّا/illa//الضَّآلُّوْنَ /ٱلضَّآلُّونَ/al-daluna",
              "words_bangla": "সে বললো//\"এবং কে//নিরাশ হয়//থেকে//অনুগ্রহ//তার রবের//এছাড়া//পথভ্রষ্টরা"
            },
            {
              "number": 1859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1859.mp3"
              ],
              "text": "قَالَ فَمَا خَطْبُكُمْ أَيُّهَا ٱلْمُرْسَلُونَ",
              "translate_bn": "তিনি বললেনঃ অতঃপর তোমাদের প্রধান উদ্দেশ্য কি হে আল্লাহর প্রেরিতগণ ?",
              "numberInSurah": 57,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফামা-খাতবুকুম আইয়ুহাল মুরছালূন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَمَا/فَمَا/fama//خَطْبُكُمْ/خَطۡبُكُمۡ/khatbukum//اَیُّهَا/أَيُّهَا/ayyuha//الْمُرْسَلُوْنَ /ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "সে বললো//\"অতএব কি//আপনাদের উদ্দেশ্য//হে\"//প্রেরিত (ফেরেশতারা)\""
            },
            {
              "number": 1860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1860.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمٍۢ مُّجْرِمِينَ",
              "translate_bn": "তারা বললঃ আমরা একটি অপরাধী সম্প্রদায়ের প্রতি প্রেরিত হয়েছি।",
              "numberInSurah": 58,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নাউরছিলনাইলা কাওমিম মুজরিমীন ।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّاۤ/إِنَّآ/inna//اُرْسِلْنَاۤ/أُرۡسِلۡنَآ/ur'sil'na//اِلٰی/إِلَىٰ/ila//قَوْمٍ/قَوۡمٖ/qawmin//مُّجْرِمِیْنَۙ/مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "তারা বললো//\"নিশ্চয়ই আমরা//আমরা প্রেরিত হয়েছি//প্রতি//সম্প্রদায়ের//অপরাধী"
            },
            {
              "number": 1861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1861.mp3"
              ],
              "text": "إِلَّآ ءَالَ لُوطٍ إِنَّا لَمُنَجُّوهُمْ أَجْمَعِينَ",
              "translate_bn": "কিন্তু লূতের পরিবার-পরিজন। আমরা অবশ্যই তাদের সবাইকে বাঁচিয়ে নেব।",
              "numberInSurah": 59,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইল্লাআ-লা লূতিন ইন্না-লামুনাজজূহুম আজমা‘ঈন।",
              "words_arabic": "اِلَّاۤ/إِلَّآ/illa//اٰلَ/ءَالَ/ala//لُوْطٍ ؕ/لُوطٍ/lutin//اِنَّا/إِنَّا/inna//لَمُنَجُّوْهُمْ/لَمُنَجُّوهُمۡ/lamunajjuhum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "ছাড়া//পরিবার//লূতের//নিশ্চয়ই আমরা//অবশ্যই রক্ষাকারী তাদের//সকলকে"
            },
            {
              "number": 1862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1862.mp3"
              ],
              "text": "إِلَّا ٱمْرَأَتَهُۥ قَدَّرْنَآ ۙ إِنَّهَا لَمِنَ ٱلْغَٰبِرِينَ",
              "translate_bn": "তবে তার স্ত্রী। আমরা স্থির করেছি যে, সে থেকে যাওয়াদের দলভূক্ত হবে।",
              "numberInSurah": 60,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 221,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইল্লাম রাআতাহূকাদ্দারনা ইন্নাহা-লামিনাল গা-বিরীন ।",
              "words_arabic": "اِلَّا/إِلَّا/illa//امْرَاَتَهٗ/ٱمۡرَأَتَهُۥ/im'ra-atahu//قَدَّرْنَاۤ ۙ/قَدَّرۡنَآ/qaddarna//اِنَّهَا/إِنَّهَا/innaha//لَمِنَ/لَمِنَ/lamina//الْغٰبِرِیْنَ۠/ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "ছাড়া//তার স্ত্রী\"//আমরা স্থির করেছি//নিশ্চয়ই সে//অব্যশই অন্তর্ভুক্ত//পিছনে থেকে যাওয়া লোকদের"
            },
            {
              "number": 1863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1863.mp3"
              ],
              "text": "فَلَمَّا جَآءَ ءَالَ لُوطٍ ٱلْمُرْسَلُونَ",
              "translate_bn": "অতঃপর যখন প্রেরিতরা লূতের গৃহে পৌছল।",
              "numberInSurah": 61,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ আ-লা লূতিনিল মুরছালূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//اٰلَ/ءَالَ/ala//لُوْطِ/لُوطٍ/lutin//لْمُرْسَلُوْنَۙ/ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "অতঃপর যখন//আসলো//পরিবারের কাছে//লূতের//প্রেরিত (ফেরেশতারা)"
            },
            {
              "number": 1864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1864.mp3"
              ],
              "text": "قَالَ إِنَّكُمْ قَوْمٌۭ مُّنكَرُونَ",
              "translate_bn": "তিনি বললেনঃ তোমরা তো অপরিচিত লোক।",
              "numberInSurah": 62,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নাকুম কাওমুম মুনকারূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّكُمْ/إِنَّكُمۡ/innakum//قَوْمٌ/قَوۡمٞ/qawmun//مُّنْكَرُوْنَ /مُّنكَرُونَ/munkaruna",
              "words_bangla": "সে বললো//\"নিশ্চয়ই তোমরা//লোক//অপরিচিত\""
            },
            {
              "number": 1865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1865.mp3"
              ],
              "text": "قَالُوا۟ بَلْ جِئْنَٰكَ بِمَا كَانُوا۟ فِيهِ يَمْتَرُونَ",
              "translate_bn": "তারা বললঃ না বরং আমরা আপনার কাছে ঐ বস্তু নিয়ে এসেছি, যে সম্পর্কে তারা বিবাদ করত।",
              "numberInSurah": 63,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লূবাল জি’না-কা বিমা-কা-নূফীহি ইয়ামতারূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَلْ/بَلۡ/bal//جِئْنٰكَ/جِئۡنَٰكَ/ji'naka//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَمْتَرُوْنَ /يَمۡتَرُونَ/yamtaruna",
              "words_bangla": "তারা বললো//\"বরং//তোমার কাছে আমরা এসেছি//ঐ বিষয় নিয়ে যা//তারা ছিলো//সে ব্যাপারে//সন্দেহ করতো"
            },
            {
              "number": 1866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1866.mp3"
              ],
              "text": "وَأَتَيْنَٰكَ بِٱلْحَقِّ وَإِنَّا لَصَٰدِقُونَ",
              "translate_bn": "এবং আমরা আপনার কাছে সত্য বিষয় নিয়ে এসেছি এবং আমরা সত্যবাদী।",
              "numberInSurah": 64,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতাইনা-কা বিলহাক্কিওয়া ইন্না-লাসা-দিকূ ন।",
              "words_arabic": "وَ اَتَیْنٰكَ/وَأَتَيۡنَٰكَ/wa-ataynaka//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اِنَّا/وَإِنَّا/wa-inna//لَصٰدِقُوْنَ /لَصَٰدِقُونَ/lasadiquna",
              "words_bangla": "এবং তোমার কাছে আমরা এসেছি//নিয়ে সত্য//এবং নিশ্চয়ই আমরা//অবশ্যই সত্যবাদী"
            },
            {
              "number": 1867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1867.mp3"
              ],
              "text": "فَأَسْرِ بِأَهْلِكَ بِقِطْعٍۢ مِّنَ ٱلَّيْلِ وَٱتَّبِعْ أَدْبَٰرَهُمْ وَلَا يَلْتَفِتْ مِنكُمْ أَحَدٌۭ وَٱمْضُوا۟ حَيْثُ تُؤْمَرُونَ",
              "translate_bn": "অতএব আপনি শেষরাত্রে পরিবারের সকলকে নিয়ে চলে যান এবং আপনি তাদের পশ্চাদনুসরণ করবেন না এবং আপনাদের মধ্যে কেউ যেন পিছন ফিরে না দেখে। আপনারা যেখানে আদেশ প্রাপ্ত হচ্ছেন সেখানে যান।",
              "numberInSurah": 65,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাআছরি বিআহলিকা বিকিত‘ইম মিনাল লাইলি ওয়াত্তাবি‘ আদবা-রা হুম ওয়ালা ইয়ালতাফিত মিনকুম আহদুওঁ ওয়ামদু হাইছুতু’মারূন।",
              "words_arabic": "فَاَسْرِ/فَأَسۡرِ/fa-asri//بِاَهْلِكَ/بِأَهۡلِكَ/bi-ahlika//بِقِطْعٍ/بِقِطۡعٖ/biqit'in//مِّنَ/مِّنَ/mina//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ اتَّبِعْ/وَٱتَّبِعۡ/wa-ittabi'//اَدْبَارَهُمْ/أَدۡبَٰرَهُمۡ/adbarahum//وَ لَا/وَلَا/wala//یَلْتَفِتْ/يَلۡتَفِتۡ/yaltafit//مِنْكُمْ/مِنكُمۡ/minkum//اَحَدٌ/أَحَدٞ/ahadun//وَّ امْضُوْا/وَٱمۡضُواْ/wa-im'du//حَیْثُ/حَيۡثُ/haythu//تُؤْمَرُوْنَ /تُؤۡمَرُونَ/tu'maruna",
              "words_bangla": "সুতরাং চলে যাও//নিয়ে তোমার পরিবার//অংশে//কিছু//রাতের//এবং তুমি চলবে//তাদের পিছনে পিছনে//এবং না//তাকাবে (পিছনে)//তোমাদের মধ্য থেকে//কেউ//এবং তোমরা চলে যাও//যেখানে//তোমাদের নির্দেশ দেয়া হয়েছে\""
            },
            {
              "number": 1868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1868.mp3"
              ],
              "text": "وَقَضَيْنَآ إِلَيْهِ ذَٰلِكَ ٱلْأَمْرَ أَنَّ دَابِرَ هَٰٓؤُلَآءِ مَقْطُوعٌۭ مُّصْبِحِينَ",
              "translate_bn": "আমি লূতকে এ বিষয় পরিজ্ঞাত করে দেই যে, সকাল হলেই তাদেরকে সমুলে বিনাশ করে দেয়া হবে।",
              "numberInSurah": 66,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদাইনা ইলাইহি যা-লিকাল আমরাআন্না দা-বিরা হাউলাইমাকতূ‘উম মুসবিহীন।",
              "words_arabic": "وَ قَضَیْنَاۤ/وَقَضَيۡنَآ/waqadayna//اِلَیْهِ/إِلَيۡهِ/ilayhi//ذٰلِكَ/ذَٰلِكَ/dhalika//الْاَمْرَ/ٱلۡأَمۡرَ/al-amra//اَنَّ/أَنَّ/anna//دَابِرَ/دَابِرَ/dabira//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//مَقْطُوْعٌ/مَقۡطُوعٞ/maqtu'un//مُّصْبِحِیْنَ /مُّصۡبِحِينَ/mus'bihina",
              "words_bangla": "এবং আমরা জানিয়ে দিয়েছিলাম//তার প্রতি//এই//বিষয়ের//যে//মূল//ঐসব লোকদের//কেটে ফেলা হবে//সকাল না হতেই"
            },
            {
              "number": 1869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1869.mp3"
              ],
              "text": "وَجَآءَ أَهْلُ ٱلْمَدِينَةِ يَسْتَبْشِرُونَ",
              "translate_bn": "শহরবাসীরা আনন্দ-উল্লাস করতে করতে পৌছল।",
              "numberInSurah": 67,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআ আহলূল মাদীনাতি ইয়াছতাবশিরূন।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//اَهْلُ/أَهۡلُ/ahlu//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//یَسْتَبْشِرُوْنَ /يَسۡتَبۡشِرُونَ/yastabshiruna",
              "words_bangla": "এবং আসলো//অধিবাসীরা//শহরের//উল্লসিত"
            },
            {
              "number": 1870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1870.mp3"
              ],
              "text": "قَالَ إِنَّ هَٰٓؤُلَآءِ ضَيْفِى فَلَا تَفْضَحُونِ",
              "translate_bn": "লূত বললেনঃ তারা আমার মেহমান। অতএব আমাকে লাঞ্ছিত করো না।",
              "numberInSurah": 68,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্না হাউলাই দাইফী ফালা-তাফদাহূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//ضَیْفِیْ/ضَيۡفِي/dayfi//فَلَا/فَلَا/fala//تَفْضَحُوْنِۙ/تَفۡضَحُونِ/tafdahuni",
              "words_bangla": "(লূত) বললো//\"নিশ্চয়ই//ঐসব লোক//আমার অতিথি//অতএব না//আমাকে তোমরা অপমান করো"
            },
            {
              "number": 1871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1871.mp3"
              ],
              "text": "وَٱتَّقُوا۟ ٱللَّهَ وَلَا تُخْزُونِ",
              "translate_bn": "তোমরা আল্লাহকে ভয় কর এবং আমার ইযযত নষ্ট করো না।",
              "numberInSurah": 69,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকুল্লা-হা ওয়ালা তুখঝূন।",
              "words_arabic": "وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَا/وَلَا/wala//تُخْزُوْنِ /تُخۡزُونِ/tukh'zuni",
              "words_bangla": "এবং তোমরা ভয় করো//আল্লাহকে//এবং না//আমাকে তোমরা লাঞ্ছিত করো\""
            },
            {
              "number": 1872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1872.mp3"
              ],
              "text": "قَالُوٓا۟ أَوَلَمْ نَنْهَكَ عَنِ ٱلْعَٰلَمِينَ",
              "translate_bn": "তার বললঃ আমরা কি আপনাকে জগৎদ্বাসীর সমর্থন করতে নিষেধ করিনি।",
              "numberInSurah": 70,
              "juz": 14,
              "manzil": 3,
              "page": 265,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লূ আওয়ালাম নানহাকা ‘আনিল ‘আ-লামীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَوَ لَمْ/أَوَلَمۡ/awalam//نَنْهَكَ/نَنۡهَكَ/nanhaka//عَنِ/عَنِ/ani//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তারা বললো//\"কি নি//তোমাকে আমরা নিষেধ করি//সম্পর্কে//সারা দুনিয়ার (দায়িত্ব নেয়া)\""
            },
            {
              "number": 1873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1873.mp3"
              ],
              "text": "قَالَ هَٰٓؤُلَآءِ بَنَاتِىٓ إِن كُنتُمْ فَٰعِلِينَ",
              "translate_bn": "তিনি বললেনঃ যদি তোমরা একান্ত কিছু করতেই চাও, তবে আমার কন্যারা উপস্থিত আছে।",
              "numberInSurah": 71,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কা-লা হাউলাই বানা-তীইন কুনতুম ফা-‘ইলীন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//بَنٰتِیْۤ/بَنَاتِيٓ/banati//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//فٰعِلِیْنَؕ/فَٰعِلِينَ/fa'ilina",
              "words_bangla": "সে বললো//\"এইসব//আমার মেয়েরা//যদি//তোমরা হও//সম্পাদনকারী\""
            },
            {
              "number": 1874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1874.mp3"
              ],
              "text": "لَعَمْرُكَ إِنَّهُمْ لَفِى سَكْرَتِهِمْ يَعْمَهُونَ",
              "translate_bn": "আপনার প্রাণের কসম, তারা আপন নেশায় প্রমত্ত ছিল।",
              "numberInSurah": 72,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "লা‘আমরুকা ইন্নাহুম লাফী ছাকরাতিহিম ইয়া‘মাহূন।",
              "words_arabic": "لَعَمْرُكَ/لَعَمۡرُكَ/la'amruka//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَفِیْ/لَفِي/lafi//سَكْرَتِهِمْ/سَكۡرَتِهِمۡ/sakratihim//یَعْمَهُوْنَ /يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "শপথ তোমার জীবনের//নিশ্চয়ই তারা//অবশ্যই মধ্যে (ছিলো)//তাদের নেশার//উদভ্রান্ত হয়ে ফিরছিলো"
            },
            {
              "number": 1875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1875.mp3"
              ],
              "text": "فَأَخَذَتْهُمُ ٱلصَّيْحَةُ مُشْرِقِينَ",
              "translate_bn": "অতঃপর সুর্যোদয়ের সময় তাদেরকে প্রচন্ড একটি শব্দ এসে পাকড়াও করল।",
              "numberInSurah": 73,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাতহুমসসাইহাতুমুশরিকীন।",
              "words_arabic": "فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الصَّیْحَةُ/ٱلصَّيۡحَةُ/al-sayhatu//مُشْرِقِیْنَۙ/مُشۡرِقِينَ/mush'riqina",
              "words_bangla": "অতঃপর তাদের ধরলো//বিরাট আওয়াজ//সূর্যোদয় হ'তেই"
            },
            {
              "number": 1876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1876.mp3"
              ],
              "text": "فَجَعَلْنَا عَٰلِيَهَا سَافِلَهَا وَأَمْطَرْنَا عَلَيْهِمْ حِجَارَةًۭ مِّن سِجِّيلٍ",
              "translate_bn": "অতঃপর আমি জনপদটিকে উল্টে দিলাম এবং তাদের উপর কঙ্করের প্রস্থর বর্ষণ করলাম।",
              "numberInSurah": 74,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলনা-‘আ-লিয়াহা-ছা-ফিলাহা-ওয়া আমতারনা-‘আলাইহিম হিজা-রাতাম মিন ছিজজীল।",
              "words_arabic": "فَجَعَلْنَا/فَجَعَلۡنَا/faja'alna//عَالِیَهَا/عَٰلِيَهَا/aliyaha//سَافِلَهَا/سَافِلَهَا/safilaha//وَ اَمْطَرْنَا/وَأَمۡطَرۡنَا/wa-amtarna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حِجَارَةً/حِجَارَةٗ/hijaratan//مِّنْ/مِّن/min//سِجِّیْلٍؕ/سِجِّيلٍ/sijjilin",
              "words_bangla": "অতঃপর আমরা রাখলাম//তার উপরভাগকে//তার নীচেরভাগে//এবং আমরা বর্ষণ করলাম//তাদের উপর//পাথরসমূহ//তৈরী//পোড়া মাটির"
            },
            {
              "number": 1877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1877.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّلْمُتَوَسِّمِينَ",
              "translate_bn": "নিশ্চয় এতে চিন্তাশীলদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 75,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়া-তিল লিল মুতাওয়াছছিমীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّلْمُتَوَسِّمِیْنَ /لِّلۡمُتَوَسِّمِينَ/lil'mutawassimina",
              "words_bangla": "নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই নিদর্শনসমূহ//অন্তর্দৃষ্টি-সম্পন্নদের জন্য"
            },
            {
              "number": 1878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1878.mp3"
              ],
              "text": "وَإِنَّهَا لَبِسَبِيلٍۢ مُّقِيمٍ",
              "translate_bn": "জনপদটি সোজা পথে অবস্থিত রয়েছে।",
              "numberInSurah": 76,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহা-লাবিছাবীলিম মুকীম।",
              "words_arabic": "وَ اِنَّهَا/وَإِنَّهَا/wa-innaha//لَبِسَبِیْلٍ/لَبِسَبِيلٖ/labisabilin//مُّقِیْمٍ /مُّقِيمٍ/muqimin",
              "words_bangla": "এবং নিশ্চয়ই তা//অবশ্যই পথের সাথে//অবস্থিত"
            },
            {
              "number": 1879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1879.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّلْمُؤْمِنِينَ",
              "translate_bn": "নিশ্চয় এতে ঈমানদারদের জন্যে নিদর্শণ আছে।",
              "numberInSurah": 77,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাল লিলমু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّلْمُؤْمِنِیْنَؕ/لِّلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "নিশ্চয়ই//(রয়েছে) মধ্যে//এর//অবশ্যই নিদর্শন//ঈমানদারদের জন্যে"
            },
            {
              "number": 1880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1880.mp3"
              ],
              "text": "وَإِن كَانَ أَصْحَٰبُ ٱلْأَيْكَةِ لَظَٰلِمِينَ",
              "translate_bn": "নিশ্চয় গহীন বনের অধিবাসীরা পাপী ছিল।",
              "numberInSurah": 78,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-না আছহা-বুল আইকাতি লাজা-লিমীন।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْاَیْكَةِ/ٱلۡأَيۡكَةِ/al-aykati//لَظٰلِمِیْنَۙ/لَظَٰلِمِينَ/lazalimina",
              "words_bangla": "এবং নিশ্চয়ই//ছিলো//অধিবাসীরা//আইকার//অবশ্যই সীমালঙ্ঘনকারী"
            },
            {
              "number": 1881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1881.mp3"
              ],
              "text": "فَٱنتَقَمْنَا مِنْهُمْ وَإِنَّهُمَا لَبِإِمَامٍۢ مُّبِينٍۢ",
              "translate_bn": "অতঃপর আমি তাদের কাছ থেকে প্রতিশোধ নিয়েছি। উভয় বস্তি প্রকাশ্য রাস্তার উপর অবস্থিত।",
              "numberInSurah": 79,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 222,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফানতাকামনা-মিনহুম । ওয়া ইন্নাহুমা-লাবিইমা-মিম মুবীন।",
              "words_arabic": "فَانْتَقَمْنَا/فَٱنتَقَمۡنَا/fa-intaqamna//مِنْهُمْ ۘ/مِنۡهُمۡ/min'hum//وَ اِنَّهُمَا/وَإِنَّهُمَا/wa-innahuma//لَبِاِمَامٍ/لَبِإِمَامٖ/labi-imamin//مُّبِیْنٍؕ۠/مُّبِينٖ/mubinin",
              "words_bangla": "অতঃপর আমরা প্রতিশোধ নিই//থেকে তাদের//এবং নিশ্চয়ই উভয়েই//অবশ্যই পথের সাথে//প্রকাশ্য"
            },
            {
              "number": 1882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1882.mp3"
              ],
              "text": "وَلَقَدْ كَذَّبَ أَصْحَٰبُ ٱلْحِجْرِ ٱلْمُرْسَلِينَ",
              "translate_bn": "নিশ্চয় হিজরের বাসিন্দারা পয়গম্বরগণের প্রতি মিথ্যারোপ করেছে।",
              "numberInSurah": 80,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কাযযাবা আসহা-বুল হিজরিল মুরছালীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كَذَّبَ/كَذَّبَ/kadhaba//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْحِجْرِ/ٱلۡحِجۡرِ/al-hij'ri//الْمُرْسَلِیْنَۙ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//মিথ্যারোপ করেছিলো//অধিবাসীরা//হিজরের//রাসূলদেরকে"
            },
            {
              "number": 1883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1883.mp3"
              ],
              "text": "وَءَاتَيْنَٰهُمْ ءَايَٰتِنَا فَكَانُوا۟ عَنْهَا مُعْرِضِينَ",
              "translate_bn": "আমি তাদেরকে নিজের নিদর্শনাবলী দিয়েছি। অতঃপর তারা এগুলো থেকে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 81,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-হুম আ-য়া-তিনা-ফাকা-নূ‘আনহা-মু‘রিদীন।",
              "words_arabic": "وَ اٰتَیْنٰهُمْ/وَءَاتَيۡنَٰهُمۡ/waataynahum//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//فَكَانُوْا/فَكَانُواْ/fakanu//عَنْهَا/عَنۡهَا/anha//مُعْرِضِیْنَۙ/مُعۡرِضِينَ/mu'ridina",
              "words_bangla": "এবং তাদের আমরা দিয়েছিলাম//আমাদের নিদর্শনাবলী//তবুও তারা ছিলো//তা সম্পর্কে//উপেক্ষাকারী"
            },
            {
              "number": 1884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1884.mp3"
              ],
              "text": "وَكَانُوا۟ يَنْحِتُونَ مِنَ ٱلْجِبَالِ بُيُوتًا ءَامِنِينَ",
              "translate_bn": "তারা পাহাড়ে নিশ্চিন্তে ঘর খোদাই করত।",
              "numberInSurah": 82,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-নূইয়ানহিতূনা মিনাল জিবা-লি বুউয়ূতান আ-মিনীন।",
              "words_arabic": "وَ كَانُوْا/وَكَانُواْ/wakanu//یَنْحِتُوْنَ/يَنۡحِتُونَ/yanhituna//مِنَ/مِنَ/mina//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//بُیُوْتًا/بُيُوتًا/buyutan//اٰمِنِیْنَ /ءَامِنِينَ/aminina",
              "words_bangla": "এবং তারা ছিলো//তারা খোদাই করতো//থেকে//পাহাড়সমূহ//ঘরসমূহ (বানাতে)//নিরাপদে"
            },
            {
              "number": 1885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1885.mp3"
              ],
              "text": "فَأَخَذَتْهُمُ ٱلصَّيْحَةُ مُصْبِحِينَ",
              "translate_bn": "অতঃপর এক প্রত্যুষে তাদের উপর একটা শব্দ এসে আঘাত করল।",
              "numberInSurah": 83,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাতহুমুসসাইহাতুমুসবিহীন।",
              "words_arabic": "فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الصَّیْحَةُ/ٱلصَّيۡحَةُ/al-sayhatu//مُصْبِحِیْنَۙ/مُصۡبِحِينَ/mus'bihina",
              "words_bangla": "অতঃপর তাদের আঘাত করলো//বিকট শব্দে//সকাল হ'তে না হ'তেই"
            },
            {
              "number": 1886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1886.mp3"
              ],
              "text": "فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "তখন কোন উপকারে আসল না যা তারা উপার্জন করেছিল।",
              "numberInSurah": 84,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফামাআগনা-‘আনহুম মা-কা-নূইয়াকছিবূন।",
              "words_arabic": "فَمَاۤ/فَمَآ/fama//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَؕ/يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "অতঃপর না//কাজে আসলো//জন্যে তাদের//যা//তারা ছিলো//তারা উপার্জন করে"
            },
            {
              "number": 1887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1887.mp3"
              ],
              "text": "وَمَا خَلَقْنَا ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ ۗ وَإِنَّ ٱلسَّاعَةَ لَءَاتِيَةٌۭ ۖ فَٱصْفَحِ ٱلصَّفْحَ ٱلْجَمِيلَ",
              "translate_bn": "আমি নভোমন্ডল, ভুমন্ডল এবং এতদুভয়ের মধ্যবর্তী যা আছে তা তাৎপর্যহীন সৃষ্টি করিনি। কেয়ামত অবশ্যই আসবে। অতএব পরম ঔদাসীন্যের সাথে ওদের ক্রিয়াকর্ম উপক্ষো করুন।",
              "numberInSurah": 85,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকনাছছামা-ওয়া-তি ওয়াল আরদা ওয়ামা-বাইনাহুমাইল্লা-বিলহাক্কি ওয়া ইন্নাছছা-‘আতা লাআ-তিয়াতুন ফাছফাহিসসাফহাল জামীল।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَاۤ/بَيۡنَهُمَآ/baynahuma//اِلَّا/إِلَّا/illa//بِالْحَقِّ ؕ/بِٱلۡحَقِّۗ/bil-haqi//وَ اِنَّ/وَإِنَّ/wa-inna//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//لَاٰتِیَةٌ/لَأٓتِيَةٞۖ/laatiyatun//فَاصْفَحِ/فَٱصۡفَحِ/fa-is'fahi//الصَّفْحَ/ٱلصَّفۡحَ/al-safha//الْجَمِیْلَ /ٱلۡجَمِيلَ/al-jamila",
              "words_bangla": "এবং নি//আমরা সৃষ্টি করেছি//আকাশ মন্ডলী//এবং পৃথিবী//এবং যা (আছে)//উভয়ের মাঝে//এ ছাড়া//মহাসত্যসহকারে//এবং নিশ্চয়ই//ক্বিয়ামাত//অবশ্যই আসবে//সুতরাং ক্ষমা করো//সৌজন্যে//পরম"
            },
            {
              "number": 1888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1888.mp3"
              ],
              "text": "إِنَّ رَبَّكَ هُوَ ٱلْخَلَّٰقُ ٱلْعَلِيمُ",
              "translate_bn": "নিশ্চয় আপনার পালনকর্তাই স্রষ্টা, সর্বজ্ঞ।",
              "numberInSurah": 86,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা হুওয়াল খাল্লা-কুল ‘আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//الْخَلّٰقُ/ٱلۡخَلَّـٰقُ/al-khalaqu//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "নিশ্চয়ই//তোমার রব//তিনিই//মহাস্রষ্টা//মহাজ্ঞানী"
            },
            {
              "number": 1889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1889.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَٰكَ سَبْعًۭا مِّنَ ٱلْمَثَانِى وَٱلْقُرْءَانَ ٱلْعَظِيمَ",
              "translate_bn": "আমি আপনাকে সাতটি বার বার পঠিতব্য আয়াত এবং মহান কোরআন দিয়েছি।",
              "numberInSurah": 87,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আ-তাইনা-কা ছাব‘আম মিনাল মাছা-নী ওয়াল কুরআ-নাল ‘আজীম।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنٰكَ/ءَاتَيۡنَٰكَ/ataynaka//سَبْعًا/سَبۡعٗا/sab'an//مِّنَ/مِّنَ/mina//الْمَثَانِیْ/ٱلۡمَثَانِي/al-mathani//وَ الْقُرْاٰنَ/وَٱلۡقُرۡءَانَ/wal-qur'ana//الْعَظِیْمَ /ٱلۡعَظِيمَ/al-'azima",
              "words_bangla": "এবং নিশ্চয়ই//তোমাকে দিয়েছি//সাত (আয়াত)//থেকে//বারবার আবৃত্তিযোগ্য//ও কুরআন//মহান"
            },
            {
              "number": 1890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1890.mp3"
              ],
              "text": "لَا تَمُدَّنَّ عَيْنَيْكَ إِلَىٰ مَا مَتَّعْنَا بِهِۦٓ أَزْوَٰجًۭا مِّنْهُمْ وَلَا تَحْزَنْ عَلَيْهِمْ وَٱخْفِضْ جَنَاحَكَ لِلْمُؤْمِنِينَ",
              "translate_bn": "আপনি চক্ষু তুলে ঐ বস্তুর প্রতি দেখবেন না, যা আমি তাদের মধ্যে কয়েক প্রকার লোককে ভোগ করার জন্যে দিয়েছি, তাদের জন্যে চিন্তিত হবেন না আর ঈমানদারদের জন্যে স্বীয় বাহু নত করুন।",
              "numberInSurah": 88,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "লা তামুদ্দান্না ‘আইনাইকা ইলা-মা-মাত্তা‘না-বিহীআঝওয়া-জাম মিনহুম ওয়ালা তাহঝান ‘আলাইহিম ওয়াখফিদ জানা -হাকা লিলমু’মিনীন।\r\n",
              "words_arabic": "لَا/لَا/la//تَمُدَّنَّ/تَمُدَّنَّ/tamuddanna//عَیْنَیْكَ/عَيۡنَيۡكَ/aynayka//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//مَتَّعْنَا/مَتَّعۡنَا/matta'na//بِهٖۤ/بِهِۦٓ/bihi//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//وَ لَا/وَلَا/wala//تَحْزَنْ/تَحۡزَنۡ/tahzan//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ اخْفِضْ/وَٱخۡفِضۡ/wa-ikh'fid//جَنَاحَكَ/جَنَاحَكَ/janahaka//لِلْمُؤْمِنِیْنَ /لِلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "না//কখনও প্রসারিত করো তুমি//তোমার দু'চোখ//প্রতি//যা//আমরা ভোগ বিলাস দিয়েছি//দিয়ে তা//বিভিন্ন শ্রেণীতে//তাদের মধ্যকার//ও না//চিন্তা করো//তাদের সম্বন্ধে//অবনমিত করো//তোমার বাহু//মু'মিনদের জন্যে"
            },
            {
              "number": 1891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1891.mp3"
              ],
              "text": "وَقُلْ إِنِّىٓ أَنَا ٱلنَّذِيرُ ٱلْمُبِينُ",
              "translate_bn": "আর বলুনঃ আমি প্রকাশ্য ভয় প্রদর্শক।",
              "numberInSurah": 89,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়াকুল ইন্নীআনান নাযীরুল মুবীন।",
              "words_arabic": "وَ قُلْ/وَقُلۡ/waqul//اِنِّیْۤ/إِنِّيٓ/inni//اَنَا/أَنَا/ana//النَّذِیْرُ/ٱلنَّذِيرُ/al-nadhiru//الْمُبِیْنُۚ/ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং বলো//\"নিশ্চয়ই আমি//আমিই//সতর্ককারী//সুস্পষ্ট\""
            },
            {
              "number": 1892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1892.mp3"
              ],
              "text": "كَمَآ أَنزَلْنَا عَلَى ٱلْمُقْتَسِمِينَ",
              "translate_bn": "যেমন আমি নাযিল করেছি যারা বিভিন্ন মতে বিভক্ত তাদের উপর।",
              "numberInSurah": 90,
              "juz": 14,
              "manzil": 3,
              "page": 266,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "কামাআনঝালনা-‘আলাল মুকতাছিমীন।",
              "words_arabic": "كَمَاۤ/كَمَآ/kama//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَی/عَلَى/ala//الْمُقْتَسِمِیْنَۙ/ٱلۡمُقۡتَسِمِينَ/al-muq'tasimina",
              "words_bangla": "যেমন//আমরা অবতীর্ণ করেছিলাম//উপর//বিভক্তকারীদের"
            },
            {
              "number": 1893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1893.mp3"
              ],
              "text": "ٱلَّذِينَ جَعَلُوا۟ ٱلْقُرْءَانَ عِضِينَ",
              "translate_bn": "যারা কোরআনকে খন্ড খন্ড করেছে।",
              "numberInSurah": 91,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা জা‘আলুল কুরআ-না ‘ইদীন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//جَعَلُوا/جَعَلُواْ/ja'alu//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//عِضِیْنَ /عِضِينَ/idina",
              "words_bangla": "যারা//করেছে//কুরআনকে//টুকরো টুকরো"
            },
            {
              "number": 1894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1894.mp3"
              ],
              "text": "فَوَرَبِّكَ لَنَسْـَٔلَنَّهُمْ أَجْمَعِينَ",
              "translate_bn": "অতএব আপনার পালনকর্তার কসম, আমি অবশ্যই ওদের সবাইকে জিজ্ঞাসাবাদ করব।",
              "numberInSurah": 92,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাওয়ারাব্বিকা লানাছআলান্নাহুম আজমা‘ঈন।",
              "words_arabic": "فَوَرَبِّكَ/فَوَرَبِّكَ/fawarabbika//لَنَسْـَٔلَنَّهُمْ/لَنَسۡـَٔلَنَّهُمۡ/lanasalannahum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "সুতরাং তোমার রবের শপথ//অবশ্যই আমরা জিজ্ঞাসা করবো তাদের//সকলকে"
            },
            {
              "number": 1895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1895.mp3"
              ],
              "text": "عَمَّا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "ওদের কাজকর্ম সম্পর্কে।",
              "numberInSurah": 93,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "‘আম্মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "عَمَّا/عَمَّا/amma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "যা থেকে//তারা ছিলো//তারা  কাজ করতো"
            },
            {
              "number": 1896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1896.mp3"
              ],
              "text": "فَٱصْدَعْ بِمَا تُؤْمَرُ وَأَعْرِضْ عَنِ ٱلْمُشْرِكِينَ",
              "translate_bn": "অতএব আপনি প্রকাশ্যে শুনিয়ে দিন যা আপনাকে আদেশ করা হয় এবং মুশরিকদের পরওয়া করবেন না।",
              "numberInSurah": 94,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাসদা‘ বিমা-তু’মারূওয়া আ‘রিদ ‘আনিল মুশরিকীন।",
              "words_arabic": "فَاصْدَعْ/فَٱصۡدَعۡ/fa-is'da'//بِمَا/بِمَا/bima//تُؤْمَرُ/تُؤۡمَرُ/tu'maru//وَ اَعْرِضْ/وَأَعۡرِضۡ/wa-a'rid//عَنِ/عَنِ/ani//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "সুতরাং প্রকাশ্যে প্রচার করো//ঐ বিষয়ে যা//তোমাকে আদেশ করা হয়েছে//ও উপেক্ষা করো//থেকে//মুশরিকদের"
            },
            {
              "number": 1897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1897.mp3"
              ],
              "text": "إِنَّا كَفَيْنَٰكَ ٱلْمُسْتَهْزِءِينَ",
              "translate_bn": "বিদ্রুপকারীদের জন্যে আমি আপনার পক্ষ থেকে যথেষ্ট।",
              "numberInSurah": 95,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাফাইনা-কাল মুছতাহঝিঈন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَفَیْنٰكَ/كَفَيۡنَٰكَ/kafaynaka//الْمُسْتَهْزِءِیْنَۙ/ٱلۡمُسۡتَهۡزِءِينَ/al-mus'tahziina",
              "words_bangla": "নিশ্চয়ই আমরা//তোমার জন্যে আমরাই যথেষ্ট//বিদ্রুপকারীদের (বিরুদ্ধে)"
            },
            {
              "number": 1898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1898.mp3"
              ],
              "text": "ٱلَّذِينَ يَجْعَلُونَ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ ۚ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "যারা আল্লাহর সাথে অন্য উপাস্য সাব্যস্ত করে। অতএব অতিসত্তর তারা জেনে নেবে।",
              "numberInSurah": 96,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াজ‘আলূনা মা‘আল্লা-হি ইলা-হান আ-খারা ফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَجْعَلُوْنَ/يَجۡعَلُونَ/yaj'aluna//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ ۚ/ءَاخَرَۚ/akhara//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "যারা//বানিয়েছে//সাথে//আল্লাহর//ইলাহ//অন্যকে//অতঃপর শীঘ্রই//তারা জানবে"
            },
            {
              "number": 1899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1899.mp3"
              ],
              "text": "وَلَقَدْ نَعْلَمُ أَنَّكَ يَضِيقُ صَدْرُكَ بِمَا يَقُولُونَ",
              "translate_bn": "আমি জানি যে আপনি তাদের কথাবর্তায় হতোদ্যম হয়ে পড়েন।",
              "numberInSurah": 97,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ না‘লামুআন্নাকা ইয়াদীকুসাদরুকা বিমা-ইয়াকূলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//نَعْلَمُ/نَعۡلَمُ/na'lamu//اَنَّكَ/أَنَّكَ/annaka//یَضِیْقُ/يَضِيقُ/yadiqu//صَدْرُكَ/صَدۡرُكَ/sadruka//بِمَا/بِمَا/bima//یَقُوْلُوْنَۙ/يَقُولُونَ/yaquluna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা জানি//তুমি যে//সংকুচিত হয়//তোমার অন্তর//এ কারণে যা//তারা বলে"
            },
            {
              "number": 1900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1900.mp3"
              ],
              "text": "فَسَبِّحْ بِحَمْدِ رَبِّكَ وَكُن مِّنَ ٱلسَّٰجِدِينَ",
              "translate_bn": "অতএব আপনি পালনকর্তার সৌন্দর্য স্মরণ করুন এবং সেজদাকারীদের অন্তর্ভূক্ত হয়ে যান।",
              "numberInSurah": 98,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ফাছাব্বিহবিহামদি রাব্বিকা ওয়া কুম মিনাছছা-জিদীন।",
              "words_arabic": "فَسَبِّحْ/فَسَبِّحۡ/fasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//وَ كُنْ/وَكُن/wakun//مِّنَ/مِّنَ/mina//السّٰجِدِیْنَۙ/ٱلسَّـٰجِدِينَ/al-sajidina",
              "words_bangla": "সুতরাং পবিত্রতা ঘোষণা করো//সহ প্রশংসা//তোমার রবের//এবং হও//অন্তর্ভুক্ত//সিজদাকারীদের"
            },
            {
              "number": 1901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1901.mp3"
              ],
              "text": "وَٱعْبُدْ رَبَّكَ حَتَّىٰ يَأْتِيَكَ ٱلْيَقِينُ",
              "translate_bn": "এবং পালনকর্তার এবাদত করুন, যে পর্যন্ত আপনার কাছে নিশ্চিত কথা না আসে।",
              "numberInSurah": 99,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 223,
              "hizbQuarter": 106,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘বুদ রাব্বাকা হাত্তা- ইয়া’তিইয়াকাল ইয়াকীন।",
              "words_arabic": "وَ اعْبُدْ/وَٱعۡبُدۡ/wa-u'bud//رَبَّكَ/رَبَّكَ/rabbaka//حَتّٰی/حَتَّىٰ/hatta//یَاْتِیَكَ/يَأۡتِيَكَ/yatiyaka//الْیَقِیْنُ۠/ٱلۡيَقِينُ/al-yaqinu",
              "words_bangla": "ও ইবাদত করো//তোমার রবের//যতক্ষণ না//তোমার কাছে আসে//মৃত্যু"
            }
          ]
        },
        {
          "number": 16,
          "name": "سُورَةُ النَّحۡلِ",
          "englishName": "An-Nahl",
          "englishNameTranslation": "The Bee",
          "revelationType": "Meccan",
          "verse": 128,
          "words": 3757,
          "chars": 15908,
          "ayahs": [
            {
              "number": 1902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1902.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ أَتَىٰٓ أَمْرُ ٱللَّهِ فَلَا تَسْتَعْجِلُوهُ ۚ سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "আল্লাহর নির্দেশ এসে গেছে। অতএব এর জন্যে তাড়াহুড়া করো না। ওরা যেসব শরীক সাব্যস্ত করছে সেসব থেকে তিনি পবিত্র ও বহু উর্ধ্বে।",
              "numberInSurah": 1,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "আতাআমরুল্লা-হি ফালা-তাছতা‘জিলূহু ছুবহা-নাহূওয়া তা‘আ-লা-‘আম্মাইউশরিকূন।",
              "words_arabic": "اَتٰۤی/أَتَىٰٓ/ata//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَا/فَلَا/fala//تَسْتَعْجِلُوْهُ ؕ/تَسۡتَعۡجِلُوهُۚ/tasta'jiluhu//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এসেছে//আদেশ//আল্লাহ্‌র//সুতরাং না//তা তোমরা তাড়াহুড়া করতে চেয়ো//তিনি পবিত্র//ও বহু ঊর্দ্ধে//তা থেকে যা//তারা শরীক করে"
            },
            {
              "number": 1903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1903.mp3"
              ],
              "text": "يُنَزِّلُ ٱلْمَلَٰٓئِكَةَ بِٱلرُّوحِ مِنْ أَمْرِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦٓ أَنْ أَنذِرُوٓا۟ أَنَّهُۥ لَآ إِلَٰهَ إِلَّآ أَنَا۠ فَٱتَّقُونِ",
              "translate_bn": "তিনি স্বীয় নির্দেশে বান্দাদের মধ্যে যার কাছে ইচ্ছা, নির্দেশসহ ফেরেশতাদেরকে এই মর্মে নাযিল করেন যে, হুশিয়ার করে দাও, আমি ছাড়া কোন উপাস্য নেই। অতএব আমাকে ভয় কর।",
              "numberInSurah": 2,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ইউনাঝঝিলুল মালাইকাতা বিররূহি মিন আমরিহী ‘আলা- মাইঁ ইয়াশাউমিন ‘ইবাদিহীআন আনযিরূআন্নাহূলাইলা-হা ইল্লাআনা-ফাত্তাকূন।",
              "words_arabic": "یُنَزِّلُ/يُنَزِّلُ/yunazzilu//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//بِالرُّوْحِ/بِٱلرُّوحِ/bil-ruhi//مِنْ/مِنۡ/min//اَمْرِهٖ/أَمۡرِهِۦ/amrihi//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖۤ/عِبَادِهِۦٓ/ibadihi//اَنْ/أَنۡ/an//اَنْذِرُوْۤا/أَنذِرُوٓاْ/andhiru//اَنَّهٗ/أَنَّهُۥ/annahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّاۤ/إِلَّآ/illa//اَنَا/أَنَا۠/ana//فَاتَّقُوْنِ /فَٱتَّقُونِ/fa-ittaquni",
              "words_bangla": "অবতীর্ণ করেন//ফেরেশতাদেরকে//দিয়ে ওহী//থেকে//তাঁর নির্দেশের//উপর//(তার) যাকে//ইচ্ছে করেন//মধ্য হ'তে//তাঁর দাসদের//যে//\"তোমরা সতর্ক করো//এই মর্মে যে//নেই//কোন ইলাহ//ছাড়া//আমি//সুতরাং তোমরা আমাকে ভয় করো\""
            },
            {
              "number": 1904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1904.mp3"
              ],
              "text": "خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ تَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "যিনি যথাবিধি আকাশরাজি ও ভূ-মন্ডল সৃষ্টি করেছেন। তারা যাকে শরীক করে তিনি তার বহু উর্ধ্বে।",
              "numberInSurah": 3,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "খালাকাছছামা-ওয়া-তি ওয়াল আরদা বিলহাক্কি তা‘আ-লা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//تَعٰلٰی/تَعَٰلَىٰ/ta'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "তিনি সৃষ্টি করেছেন//আকাশমন্ডলী//ও পৃথিবী//দিয়ে মহাসত্য//বহু ঊর্দ্ধে//তা থেকে যা//তারা শরীক করে"
            },
            {
              "number": 1905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1905.mp3"
              ],
              "text": "خَلَقَ ٱلْإِنسَٰنَ مِن نُّطْفَةٍۢ فَإِذَا هُوَ خَصِيمٌۭ مُّبِينٌۭ",
              "translate_bn": "তিনি মানবকে এক ফোটা বীর্য থেকে সৃষ্টি করেছেন। এতদসত্বেও সে প্রকাশ্য বিতন্ডাকারী হয়ে গেছে।",
              "numberInSurah": 4,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "খালাকাল ইনছা-না মিন নুতফাতিন ফাইযা-হুওয়া খাসীমুম মুবীন।\r\n",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//فَاِذَا/فَإِذَا/fa-idha//هُوَ/هُوَ/huwa//خَصِیْمٌ/خَصِيمٞ/khasimun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "তিনি সৃষ্টি করেছেন//মানুষকে//থেকে//শুক্র//অতঃপর যখন (সৃষ্টি হলো)//সে (হলো)//ঝগড়াটে//সুস্পষ্ট"
            },
            {
              "number": 1906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1906.mp3"
              ],
              "text": "وَٱلْأَنْعَٰمَ خَلَقَهَا ۗ لَكُمْ فِيهَا دِفْءٌۭ وَمَنَٰفِعُ وَمِنْهَا تَأْكُلُونَ",
              "translate_bn": "চতুষ্পদ জন্তুকে তিনি সৃষ্টি করেছেন। এতে তোমাদের জন্যে শীত বস্ত্রের উপকরণ আছে। আর অনেক উপকার হয়েছে এবং কিছু সংখ্যককে তোমরা আহার্যে?2474;রিণত করে থাক।",
              "numberInSurah": 5,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আন‘আ-মা খালাকাহা- লাকুম ফীহা-দিফউওঁ ওয়া মানা-ফি‘উ ওয়া মিনহাতা’কুলূন।",
              "words_arabic": "وَ الْاَنْعَامَ/وَٱلۡأَنۡعَٰمَ/wal-an'ama//خَلَقَهَا ۚ/خَلَقَهَاۖ/khalaqaha//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//دِفْءٌ/دِفۡءٞ/dif'on//وَّ مَنَافِعُ/وَمَنَٰفِعُ/wamanafi'u//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//تَاْكُلُوْنَ۪/تَأۡكُلُونَ/takuluna",
              "words_bangla": "এবং গবাদিপশু//তিনি সৃষ্টি করেছেন তা//তোমাদের জন্যে//তার মধ্যে (আছে)//শীত নিবারক উপকরণ//ও উপকারিতাসমূহ//এবং তা থেকে//তোমরা খাও"
            },
            {
              "number": 1907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1907.mp3"
              ],
              "text": "وَلَكُمْ فِيهَا جَمَالٌ حِينَ تُرِيحُونَ وَحِينَ تَسْرَحُونَ",
              "translate_bn": "এদের দ্বারা তোমাদের সম্মান হয়, যখন বিকালে চারণভূমি থেকে নিয়ে আস এবং সকালে চারণ ভূমিতে নিয়ে যাও।",
              "numberInSurah": 6,
              "juz": 14,
              "manzil": 3,
              "page": 267,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকুম ফীহা-জামা-লুন হীনা তুরী হূনা ওয়াহীনা তাছরাহূন।",
              "words_arabic": "وَ لَكُمْ/وَلَكُمۡ/walakum//فِیْهَا/فِيهَا/fiha//جَمَالٌ/جَمَالٌ/jamalun//حِیْنَ/حِينَ/hina//تُرِیْحُوْنَ/تُرِيحُونَ/turihuna//وَ حِیْنَ/وَحِينَ/wahina//تَسْرَحُوْنَ۪/تَسۡرَحُونَ/tasrahuna",
              "words_bangla": "এবং তোমাদের জন্যে//তার মধ্যে (আছে)//সৌন্দর্য//যখন//তোমরা সন্ধ্যায় চারণভূমি থেকে আনো//ও যখন//তোমরা সকালে চারণভূমিতে নিয়ে যাও"
            },
            {
              "number": 1908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1908.mp3"
              ],
              "text": "وَتَحْمِلُ أَثْقَالَكُمْ إِلَىٰ بَلَدٍۢ لَّمْ تَكُونُوا۟ بَٰلِغِيهِ إِلَّا بِشِقِّ ٱلْأَنفُسِ ۚ إِنَّ رَبَّكُمْ لَرَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "এরা তোমাদের বোঝা এমন শহর পর্যন্ত বহন করে নিয়ে যায়, যেখানে তোমরা প্রাণান্তকর পরিশ্রۦ#2478; ব্যতীত পৌছাতে পারতে না। নিশ্চয় তোমাদের প্রভু অত্যন্ত দয়াদ্র, পরম দয়ালু।",
              "numberInSurah": 7,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাহমিলুআছকা-লাকুম ইলা-বালাদিল লাম তাকূনূবা-লিগীহি ইল্লা-বিশিক্কিল আনফুছি ইন্না রাব্বাকুম লারাঊফুর রাহীম।",
              "words_arabic": "وَ تَحْمِلُ/وَتَحۡمِلُ/watahmilu//اَثْقَالَكُمْ/أَثۡقَالَكُمۡ/athqalakum//اِلٰی/إِلَىٰ/ila//بَلَدٍ/بَلَدٖ/baladin//لَّمْ/لَّمۡ/lam//تَكُوْنُوْا/تَكُونُواْ/takunu//بٰلِغِیْهِ/بَٰلِغِيهِ/balighihi//اِلَّا/إِلَّا/illa//بِشِقِّ/بِشِقِّ/bishiqqi//الْاَنْفُسِ ؕ/ٱلۡأَنفُسِۚ/al-anfusi//اِنَّ/إِنَّ/inna//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//لَرَءُوْفٌ/لَرَءُوفٞ/laraufun//رَّحِیْمٌۙ/رَّحِيمٞ/rahimun",
              "words_bangla": "এবং তা বহন করে//তোমাদের ভার//দিকে//এমন শহরের//না//তোমরা ছিলে//সেখানে পৌঁছাতে সক্ষম//এ ছাড়া//সহ কষ্ট//প্রানান্ত//নিশ্চয়ই//তোমার রব//অবশ্যই অনুগ্রহশীল//পরম দয়ালু"
            },
            {
              "number": 1909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1909.mp3"
              ],
              "text": "وَٱلْخَيْلَ وَٱلْبِغَالَ وَٱلْحَمِيرَ لِتَرْكَبُوهَا وَزِينَةًۭ ۚ وَيَخْلُقُ مَا لَا تَعْلَمُونَ",
              "translate_bn": "তোমাদের আরোহণের জন্যে এবং শোভার জন্যে তিনি ঘোড়া, খচ্চর ও গাধা সৃষ্টি করেছেন। আর তিনি এমন জিনিস সৃষ্টি করেন যা তোমরা জান না।",
              "numberInSurah": 8,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়াল খাইলা ওয়াল বিগা-লা ওয়াল হমীরা লিতারকাবূহা-ওয়াঝীনাতাওঁ ওয়া ইয়াখলুকু মা-লা-তা‘লামূন।",
              "words_arabic": "وَّ الْخَیْلَ/وَٱلۡخَيۡلَ/wal-khayla//وَ الْبِغَالَ/وَٱلۡبِغَالَ/wal-bighala//وَ الْحَمِیْرَ/وَٱلۡحَمِيرَ/wal-hamira//لِتَرْكُبُوْهَا/لِتَرۡكَبُوهَا/litarkabuha//وَ زِیْنَةً ؕ/وَزِينَةٗۚ/wazinatan//وَ یَخْلُقُ/وَيَخۡلُقُ/wayakhluqu//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং ঘোড়া (সৃষ্টি করেছেন)//ও খচ্চর//ও গাধা//জন্যে তোমাদের চড়ার//ও শোভা (স্বরূপ)//এবং তিনি সৃষ্টি করেছেন//(কিছু) যা//না//তোমরা জানো"
            },
            {
              "number": 1910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1910.mp3"
              ],
              "text": "وَعَلَى ٱللَّهِ قَصْدُ ٱلسَّبِيلِ وَمِنْهَا جَآئِرٌۭ ۚ وَلَوْ شَآءَ لَهَدَىٰكُمْ أَجْمَعِينَ",
              "translate_bn": "সরল পথ আল্লাহ পর্যন্ত পৌছে এবং পথগুলোর মধ্যে কিছু বক্র পথও রয়েছে। তিনি ইচ্ছা করলে তোমাদের সবাইকে সৎপথে পরিচালিত করতে পারতেন।",
              "numberInSurah": 9,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 224,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলাল্লা-হি কাসদুছছাবীলি ওয়া মিনহা-জাইরুওঁ ওয়া লাও শাআ লাহাদা-কুম আজমা‘ঈন।",
              "words_arabic": "وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//قَصْدُ/قَصۡدُ/qasdu//السَّبِیْلِ/ٱلسَّبِيلِ/al-sabili//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//جَآىِٕرٌ ؕ/جَآئِرٞۚ/jairun//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//لَهَدٰىكُمْ/لَهَدَىٰكُمۡ/lahadakum//اَجْمَعِیْنَ۠/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "এবং উপর//আল্লাহর (দায়িত্ব)//প্রদর্শন//পথ//কিন্তু তা থেকে আছে//বাঁকা (পথও)//এবং যদি//ইচ্ছে করেন//অবশ্যই সৎপথে পরিচালনা করতেন তোমাদের//সকলকেই"
            },
            {
              "number": 1911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1911.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ ۖ لَّكُم مِّنْهُ شَرَابٌۭ وَمِنْهُ شَجَرٌۭ فِيهِ تُسِيمُونَ",
              "translate_bn": "তিনি তোমাদের জন্যে আকাশ থেকে পানি বর্ষণ করেছেন। এই পানি থেকে তোমরা পান কর এবং এ থেকেই উদ্ভিদ উৎপন্ন হয়, যাতে তোমরা পশুচারণ কর।",
              "numberInSurah": 10,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীআনঝালা মিনাছছামাইমাআল্লাকুম মিনহু শারা-বুওঁ ওয়া মিনহু শাজারুন ফীহি তুছীমূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗۖ/maan//لَّكُمْ/لَّكُم/lakum//مِّنْهُ/مِّنۡهُ/min'hu//شَرَابٌ/شَرَابٞ/sharabun//وَّ مِنْهُ/وَمِنۡهُ/wamin'hu//شَجَرٌ/شَجَرٞ/shajarun//فِیْهِ/فِيهِ/fihi//تُسِیْمُوْنَ /تُسِيمُونَ/tusimuna",
              "words_bangla": "তিনিই (রব)//যিনি//বর্ষণ করেছেন//থেকে//আকাশ//পানি//জন্যে তোমাদের//কিছু তার//পানীয় (পেয়ে থাকো)//এবং তা থেকে//গাছপালা (জন্মে)//তার মধ্যে//তোমরা পশু চরিয়ে থাকো"
            },
            {
              "number": 1912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1912.mp3"
              ],
              "text": "يُنۢبِتُ لَكُم بِهِ ٱلزَّرْعَ وَٱلزَّيْتُونَ وَٱلنَّخِيلَ وَٱلْأَعْنَٰبَ وَمِن كُلِّ ٱلثَّمَرَٰتِ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "এ পানি দ্বারা তোমাদের জন্যে উৎপাদন করেন ফসল, যয়তুন, খেজুর, আঙ্গুর ও সর্বপ্রকার ফল। নিশ্চয় এতে চিন্তাশীলদের জন্যে নিদর্শন রয়েছে।",
              "numberInSurah": 11,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ইউমবিতুলাকুম বিহিঝঝার‘আ ওয়াঝঝাইতূনা ওয়ান্নাখীলা ওয়াল আ‘না-বা ওয়া মিন কুল্লিছছামারা-ত ইন্না ফী যা-লিকা লাআ-য়াতাল লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "یُنْۢبِتُ/يُنۢبِتُ/yunbitu//لَكُمْ/لَكُم/lakum//بِهِ/بِهِ/bihi//الزَّرْعَ/ٱلزَّرۡعَ/al-zar'a//وَ الزَّیْتُوْنَ/وَٱلزَّيۡتُونَ/wal-zaytuna//وَ النَّخِیْلَ/وَٱلنَّخِيلَ/wal-nakhila//وَ الْاَعْنَابَ/وَٱلۡأَعۡنَٰبَ/wal-a'naba//وَ مِنْ/وَمِن/wamin//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ ؕ/ٱلثَّمَرَٰتِۚ/al-thamarati//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "তিনি উদগত করেন//জন্যে তোমাদের//দিয়ে তা//শস্য//ও যায়তুনসমূহ//ও খেজুরসমূহ//ও আঙ্গুরসমূহ//এবং ধরণের//সব//ফলসমূহ//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//লোকদের জন্যে//(যারা) চিন্তা ভাবনা করে"
            },
            {
              "number": 1913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1913.mp3"
              ],
              "text": "وَسَخَّرَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ وَٱلشَّمْسَ وَٱلْقَمَرَ ۖ وَٱلنُّجُومُ مُسَخَّرَٰتٌۢ بِأَمْرِهِۦٓ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "তিনিই তোমাদের কাজে নিয়োজিত করেছেন রাত্রি, দিন, সূর্য এবং চন্দ্রকে। তারকাসমূহ তাঁরই বিধানের কর্মে নিয়োজিত রয়েছে। নিশ্চয়ই এতে বোধশক্তিসম্পন্নদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 12,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাখখারা লাকুমুল লাইলা ওয়ান্নাহা-রা ওয়াশশামছা ওয়াল কামারা ওয়াননুজূমু মুছাখখারা-তুম বিআমরিহি ইন্না ফী যা-লিকা লা আ-য়া-তিল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ ۙ/وَٱلنَّهَارَ/wal-nahara//وَ الشَّمْسَ/وَٱلشَّمۡسَ/wal-shamsa//وَ الْقَمَرَ ؕ/وَٱلۡقَمَرَۖ/wal-qamara//وَ النُّجُوْمُ/وَٱلنُّجُومُ/wal-nujumu//مُسَخَّرٰتٌۢ/مُسَخَّرَٰتُۢ/musakharatun//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦٓۚ/bi-amrihi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَۙ/يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং অধীন করেছেন//তোমাদের জন্যে//রাতকে//ও দিনকে//এবং সূর্যকে//ও চাঁদকে//এবং তারাগুলোও//অধীন হয়েছে//দিয়ে তাঁর বিধান//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনসমূহ//জন্যে লোকদের//(যারা)জ্ঞান রাখে"
            },
            {
              "number": 1914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1914.mp3"
              ],
              "text": "وَمَا ذَرَأَ لَكُمْ فِى ٱلْأَرْضِ مُخْتَلِفًا أَلْوَٰنُهُۥٓ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَذَّكَّرُونَ",
              "translate_bn": "তোমাদের জন্যে পৃথিবীতে যেসব রং-বেরঙের বস্তু ছড়িয়ে দিয়েছেন, সেগুলোতে নিদর্শন রয়েছে তাদের জন্যে যারা চিন্তা-ভাবনা করে।",
              "numberInSurah": 13,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-যারাআ লাকুম ফিল আরদিমুখতালিফান আলওয়া-নুহূ ইন্না ফী যা-লিকা লাআ-য়াতাল লিকাওমিইঁ ইয়াযযাক্কারূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//ذَرَاَ/ذَرَأَ/dhara-a//لَكُمْ/لَكُمۡ/lakum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُخْتَلِفًا/مُخۡتَلِفًا/mukh'talifan//اَلْوَانُهٗ ؕ/أَلۡوَٰنُهُۥٓۚ/alwanuhu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّذَّكَّرُوْنَ /يَذَّكَّرُونَ/yadhakkaruna",
              "words_bangla": "আরো (কিছু) যা//সৃষ্টি করেছেন//তোমাদের জন্যে//মধ্যে//পৃথিবীর//বিভিন্ন//তার রংসমূহ//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//লোকদের জন্যে//(যারা) শিক্ষা গ্রহণ করে"
            },
            {
              "number": 1915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1915.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى سَخَّرَ ٱلْبَحْرَ لِتَأْكُلُوا۟ مِنْهُ لَحْمًۭا طَرِيًّۭا وَتَسْتَخْرِجُوا۟ مِنْهُ حِلْيَةًۭ تَلْبَسُونَهَا وَتَرَى ٱلْفُلْكَ مَوَاخِرَ فِيهِ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তিনিই কাজে লাগিয়ে দিয়েছেন সমুদ্রকে, যাতে তা থেকে তোমরা তাজা মাংস খেতে পার এবং তা থেকে বের করতে পার পরিধেয় অলঙ্কার। তুমি তাতে জলযান সমূহকে পানি চিরে চলতে দেখবে এবং যাতে তোমরা আল্লাহর কৃপা অন্বেষণ কর এবং যাতে তার অনুগ্রহ স্বীকার কর।",
              "numberInSurah": 14,
              "juz": 14,
              "manzil": 3,
              "page": 268,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়াহুওয়াল্লাযী ছাখখারাল বাহরা লিতা’কুলূমিনহু লাহমান তারিইইয়াওঁ ওয়া তাছতাখরিজূ মিনহু হিলয়াতান তালবাছূনাহা- ওয়া তারাল ফুলকা মাওয়া-খিরা ফীহি ওয়া লিতাবতাগূ মিন ফাদলিহী ওয়া লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//سَخَّرَ/سَخَّرَ/sakhara//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//لِتَاْكُلُوْا/لِتَأۡكُلُواْ/litakulu//مِنْهُ/مِنۡهُ/min'hu//لَحْمًا/لَحۡمٗا/lahman//طَرِیًّا/طَرِيّٗا/tariyyan//وَّ تَسْتَخْرِجُوْا/وَتَسۡتَخۡرِجُواْ/watastakhriju//مِنْهُ/مِنۡهُ/min'hu//حِلْیَةً/حِلۡيَةٗ/hil'yatan//تَلْبَسُوْنَهَا ۚ/تَلۡبَسُونَهَاۖ/talbasunaha//وَ تَرَی/وَتَرَى/watara//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//مَوَاخِرَ/مَوَاخِرَ/mawakhira//فِیْهِ/فِيهِ/fihi//وَ لِتَبْتَغُوْا/وَلِتَبۡتَغُواْ/walitabtaghu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং তিনি//যিনি//অধীন করেছেন//সমুদ্রকে//যেন তোমরা  খেতে পারো//তা থেকে//(মাছ) গোশত//তাজা//তোমরা বের করতে পারো//তা থেকে//সৌন্দর্য শোভা (মনি-মুক্তা)//তোমরা তা পরিধান করো//এবং দেখছো//নৌযানসমূহকে//পানি বিদীর্ণকারী//তার মধ্যে//এবং যেন তোমরা সন্ধান করতে পারো//থেকে//তাঁর অনুগ্রহ//এবং তোমরা যাতে//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 1916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1916.mp3"
              ],
              "text": "وَأَلْقَىٰ فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِكُمْ وَأَنْهَٰرًۭا وَسُبُلًۭا لَّعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "এবং তিনি পৃথিবীর উপর বোঝা রেখেছেন যে, কখনো যেন তা তোমাদেরকে নিয়ে হেলে-দুলে না পড়ে এবং নদী ও পথ তৈরী করেছেন, যাতে তোমরা পথ প্রদর্শিত হও।",
              "numberInSurah": 15,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া আলকা-ফিল আরদি রাওয়া-ছিয়া আন তামীদাবিকুমওয়াআনহা-রাওঁ ওয়া ছুবুলাল লা‘আল্লাকুম তাহতাদূন।",
              "words_arabic": "وَ اَلْقٰی/وَأَلۡقَىٰ/wa-alqa//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//اَنْ/أَن/an//تَمِیْدَ/تَمِيدَ/tamida//بِكُمْ/بِكُمۡ/bikum//وَ اَنْهٰرًا/وَأَنۡهَٰرٗا/wa-anharan//وَّ سُبُلًا/وَسُبُلٗا/wasubulan//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَهْتَدُوْنَۙ/تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "এবং তিনি স্থাপন করেছেন//মধ্যে//পৃথিবীর//পর্বতসমূহকে//(এমন না হয়) যে//হেলে যায়//তোমাদের নিয়ে//ও নদীসমূহ//এবং রাস্তাসমূহ//যাতে তোমরা//পথের সন্ধান পাও"
            },
            {
              "number": 1917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1917.mp3"
              ],
              "text": "وَعَلَٰمَٰتٍۢ ۚ وَبِٱلنَّجْمِ هُمْ يَهْتَدُونَ",
              "translate_bn": "এবং তিনি পথ নির্ণয়ক বহু চিহ্ন সৃষ্টি করেছেন, এবং তারকা দ্বারা ও মানুষ পথের নির্দেশ পায়।",
              "numberInSurah": 16,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলা-মা-তিওঁ ওয়াবিন্নাজমি হুম ইয়াহতাদূ ন।",
              "words_arabic": "وَ عَلٰمٰتٍ ؕ/وَعَلَٰمَٰتٖۚ/wa'alamatin//وَ بِالنَّجْمِ/وَبِٱلنَّجۡمِ/wabil-najmi//هُمْ/هُمۡ/hum//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "ও (যমীনে) পথনির্ণায়ক চিহ্নসমূহ//এবং সাহায্যে নক্ষত্রের//তারা//পথ নির্দেশ পায়"
            },
            {
              "number": 1918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1918.mp3"
              ],
              "text": "أَفَمَن يَخْلُقُ كَمَن لَّا يَخْلُقُ ۗ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "যিনি সৃষ্টি করে, তিনি কি সে লোকের সমতুল্য যে সৃষ্টি করতে পারে না? তোমরা কি চিন্তা করবে না?",
              "numberInSurah": 17,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "আফামাইঁ ইয়াখলুকুকামাল লা-ইয়াখলুকু আফালা-তাযাক্কারূন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//یَّخْلُقُ/يَخۡلُقُ/yakhluqu//كَمَنْ/كَمَن/kaman//لَّا/لَّا/la//یَخْلُقُ ؕ/يَخۡلُقُۚ/yakhluqu//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "তবে কি যিনি//সৃষ্টি করেছেন//(তার) মতো যে//না//সৃষ্টি করে (কোন কিছুই)//তবুও কি না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 1919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1919.mp3"
              ],
              "text": "وَإِن تَعُدُّوا۟ نِعْمَةَ ٱللَّهِ لَا تُحْصُوهَآ ۗ إِنَّ ٱللَّهَ لَغَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যদি আল্লাহর নেয়ামত গণনা কর, শেষ করতে পারবে না। নিশ্চয় আল্লাহ ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 18,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তা‘উদ্দূনি‘মাতাল্লা-হি লা-তুহসূহা- ইন্নাল্লা-হা লাগাফরুর রাহীম।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تَعُدُّوْا/تَعُدُّواْ/ta'uddu//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//تُحْصُوْهَا ؕ/تُحۡصُوهَآۗ/tuh'suha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যদি//তোমরা গণনা করো//অনুগ্রহকে//আল্লাহর//না//তার সংখ্যা নির্ণয় করতে পারবে//নিশ্চয়ই//আল্লাহ্‌//অবশ্যই ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 1920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1920.mp3"
              ],
              "text": "وَٱللَّهُ يَعْلَمُ مَا تُسِرُّونَ وَمَا تُعْلِنُونَ",
              "translate_bn": "আল্লাহ জানেন যা তোমরা গোপন কর এবং যা তোমরা প্রকাশ কর।",
              "numberInSurah": 19,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু ইয়া‘লামুমা-তুছিররূনা ওয়ামা-তু‘লিনূন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تُسِرُّوْنَ/تُسِرُّونَ/tusirruna//وَ مَا/وَمَا/wama//تُعْلِنُوْنَ /تُعۡلِنُونَ/tu'linuna",
              "words_bangla": "এবং আল্লাহ্‌//জানেন//যা//তোমরা গোপন রাখো//এবং যা//তোমরা প্রকাশ করো"
            },
            {
              "number": 1921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1921.mp3"
              ],
              "text": "وَٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ لَا يَخْلُقُونَ شَيْـًۭٔا وَهُمْ يُخْلَقُونَ",
              "translate_bn": "এবং যারা আল্লাহকে ছেড়ে অন্যদের ডাকে, ওরা তো কোন বস্তুই সৃষ্টি করে না; বরং ওরা নিজেরাই সৃজিত।",
              "numberInSurah": 20,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াদ‘ঊনা মিন দূনিল্লা-হি লা-ইয়াখলুকূ না শাইআওঁ ওয়া হুম ইউখলাকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//یَخْلُقُوْنَ/يَخۡلُقُونَ/yakhluquna//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ هُمْ/وَهُمۡ/wahum//یُخْلَقُوْنَؕ/يُخۡلَقُونَ/yukh'laquna",
              "words_bangla": "এবং যারা//ডাকে//থেকে//ছাড়া//আল্লাহকে//না//তারা সৃষ্টি করে//কোনো কিছু//বরং তাদেরকে//সৃষ্টি করা হয়েছে"
            },
            {
              "number": 1922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1922.mp3"
              ],
              "text": "أَمْوَٰتٌ غَيْرُ أَحْيَآءٍۢ ۖ وَمَا يَشْعُرُونَ أَيَّانَ يُبْعَثُونَ",
              "translate_bn": "তারা মৃত-প্রাণহীন এবং কবে পুনরুত্থিত হবে, জানে না।",
              "numberInSurah": 21,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 225,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "আমওয়া-তুন গাইরু আহইয়াইওঁ ওয়ামা-ইয়াশ‘উরূনা আইইয়া-না ইউব‘আছূন।",
              "words_arabic": "اَمْوَاتٌ/أَمۡوَٰتٌ/amwatun//غَیْرُ/غَيۡرُ/ghayru//اَحْیَآءٍ ۚ/أَحۡيَآءٖۖ/ahyain//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ ۙ/يَشۡعُرُونَ/yash'uruna//اَیَّانَ/أَيَّانَ/ayyana//یُبْعَثُوْنَ۠/يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "(তারা) মৃত//নয়//জীবিত//এবং না//চেতনা রাখে//কবে//উঠানো হবে তাদের"
            },
            {
              "number": 1923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1923.mp3"
              ],
              "text": "إِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ ۚ فَٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ قُلُوبُهُم مُّنكِرَةٌۭ وَهُم مُّسْتَكْبِرُونَ",
              "translate_bn": "আমাদের ইলাহ একক ইলাহ। অনন্তর যারা পরজীবনে বিশ্বাস করে না, তাদের অন্তর সত্যবিমুখ এবং তারা অহংকার প্রদর্শন করেছে।",
              "numberInSurah": 22,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 226,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ইলা-হুকুম ইলা-হুওঁ ওয়াহিদুন ফাল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি কুলূবুহুম মুনকিরাতুওঁ ওয়াহুম মুছতাকবিরূন।",
              "words_arabic": "اِلٰهُكُمْ/إِلَٰهُكُمۡ/ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ۚ/وَٰحِدٞۚ/wahidun//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//قُلُوْبُهُمْ/قُلُوبُهُم/qulubuhum//مُّنْكِرَةٌ/مُّنكِرَةٞ/munkiratun//وَّ هُمْ/وَهُم/wahum//مُّسْتَكْبِرُوْنَ /مُّسۡتَكۡبِرُونَ/mus'takbiruna",
              "words_bangla": "তোমাদের ইলাহ//ইলাহ//একই//সুতরাং যারা//না//বিশ্বাস করে//প্রতি আখেরাতের//তাদের অন্তরসমূহ//সত্যবিমুখ//এবং তারা//অহংকারী"
            },
            {
              "number": 1924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1924.mp3"
              ],
              "text": "لَا جَرَمَ أَنَّ ٱللَّهَ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْتَكْبِرِينَ",
              "translate_bn": "নিঃসন্দেহে আল্লাহ তাদের গোপন ও প্রকাশ্য যাবতীয় বিষয়ে অবগত। নিশ্চিতই তিনি অহংকারীদের পছন্দ করেন না।",
              "numberInSurah": 23,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 226,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "লা-জারামা আন্নাল্লা-হা ইয়া‘লামুমা-ইউছিররূনা ওয়ামা-ইউ‘লিনূন ইন্নাহু লাইউহিব্বুল মুছতাকবিরীন।",
              "words_arabic": "لَا/لَا/la//جَرَمَ/جَرَمَ/jarama//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یُسِرُّوْنَ/يُسِرُّونَ/yusirruna//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ ؕ/يُعۡلِنُونَۚ/yu'linuna//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُسْتَكْبِرِیْنَ /ٱلۡمُسۡتَكۡبِرِينَ/al-mus'takbirina",
              "words_bangla": "নেই//সন্দেহ//যে//আল্লাহ্‌//জানেন//যা//তারা গোপন রাখে//এবং যা//তারা প্রকাশ করে//নিশ্চয়ই তিনি//না//ভালোবাসেন//অহংকারীদেরকে"
            },
            {
              "number": 1925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1925.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُم مَّاذَآ أَنزَلَ رَبُّكُمْ ۙ قَالُوٓا۟ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "যখন তাদেরকে বলা হয়ঃ তোমাদের পালনকর্তা কি নাযিল করেছেন? তারা বলেঃ পূর্ববর্তীদের কিসসা-কাহিনী।",
              "numberInSurah": 24,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 226,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা- কীলা লাহুম মা-যাআনঝালা রাব্বুকুম কা-লূআছা-তীরুল আওওয়ালীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُم/lahum//مَّا ذَاۤ/مَّاذَآ/madha//اَنْزَلَ/أَنزَلَ/anzala//رَبُّكُمْ ۙ/رَبُّكُمۡ/rabbukum//قَالُوْۤا/قَالُوٓاْ/qalu//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"কি//অবতীর্ণ করেছেন//তোমাদের রব//তারা বলে//\"উপকথাসমূহ//পূর্ববর্তীদের\""
            },
            {
              "number": 1926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1926.mp3"
              ],
              "text": "لِيَحْمِلُوٓا۟ أَوْزَارَهُمْ كَامِلَةًۭ يَوْمَ ٱلْقِيَٰمَةِ ۙ وَمِنْ أَوْزَارِ ٱلَّذِينَ يُضِلُّونَهُم بِغَيْرِ عِلْمٍ ۗ أَلَا سَآءَ مَا يَزِرُونَ",
              "translate_bn": "ফলে কেয়ামতের দিন ওরা পূর্ণমাত্রায় বহন করবে ওদের পাপভার এবং পাপভার তাদেরও যাদেরকে তারা তাদের অজ্ঞতাহেতু বিপথগামী করে শুনে নাও, খুবই নিকৃষ্ট বোঝা যা তারা বহন করে।",
              "numberInSurah": 25,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 226,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "লিইয়াহমিলূআওঝা-রাহুম কা-মিলাতাইঁ ইয়াওমাল কিয়া-মাতি ওয়া মিন আওঝারিল্লাযীনা ইউদিললূনাহুম বিগাইরি ‘ইলমিন আলা-ছাআ মা ইয়াঝিরূন।",
              "words_arabic": "لِیَحْمِلُوْۤا/لِيَحۡمِلُوٓاْ/liyahmilu//اَوْزَارَهُمْ/أَوۡزَارَهُمۡ/awzarahum//كَامِلَةً/كَامِلَةٗ/kamilatan//یَّوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ۙ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ مِنْ/وَمِنۡ/wamin//اَوْزَارِ/أَوۡزَارِ/awzari//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُضِلُّوْنَهُمْ/يُضِلُّونَهُم/yudillunahum//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ؕ/عِلۡمٍۗ/il'min//اَلَا/أَلَا/ala//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَزِرُوْنَ۠/يَزِرُونَ/yaziruna",
              "words_bangla": "যেন তারা বহন করে//তাদের বোঝাসমূহ (পাপের)//সম্পূর্ণ//দিনে//ক্বিয়ামাতের//এবং থেকে//বোঝাসমূহ//(তাদের) যাদের//তারা বিভ্রান্ত করেছে তাদেরকে//ছাড়া//কোনো জ্ঞান//জেনে রাখো//অতি নিকৃষ্ট//যা//তারা বহন করবে"
            },
            {
              "number": 1927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1927.mp3"
              ],
              "text": "قَدْ مَكَرَ ٱلَّذِينَ مِن قَبْلِهِمْ فَأَتَى ٱللَّهُ بُنْيَٰنَهُم مِّنَ ٱلْقَوَاعِدِ فَخَرَّ عَلَيْهِمُ ٱلسَّقْفُ مِن فَوْقِهِمْ وَأَتَىٰهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ",
              "translate_bn": "নিশ্চয় চক্রান্ত করেছে তাদের পূর্ববর্তীরা, অতঃপর আল্লাহ তাদের চক্রান্তের ইমারতের ভিত্তিমূলে আঘাত করেছিলেন। এরপর উপর থেকে তাদের মাথায় ছাদ ধ্বসে পড়ে গেছে এবং তাদের উপর আযাব এসেছে যেখান থেকে তাদের ধারণা ছিল না।",
              "numberInSurah": 26,
              "juz": 14,
              "manzil": 3,
              "page": 269,
              "ruku": 227,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "কাদ মাকারাল্লাযীনা মিন কাবলিহিম ফাআতাল্লা-হুবুনইয়া-নাহুম মিনাল কাওয়া-‘ইদি ফাখাররা ‘আলাইহিমুছছাকফুমিন ফাউকিহিম ওয়া আতা-হুমুল ‘আযা-বুমিন হাইছু লাইয়াশ‘উরূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//مَكَرَ/مَكَرَ/makara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//فَاَتَی/فَأَتَى/fa-ata//اللّٰهُ/ٱللَّهُ/al-lahu//بُنْیَانَهُمْ/بُنۡيَٰنَهُم/bun'yanahum//مِّنَ/مِّنَ/mina//الْقَوَاعِدِ/ٱلۡقَوَاعِدِ/al-qawa'idi//فَخَرَّ/فَخَرَّ/fakharra//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//السَّقْفُ/ٱلسَّقۡفُ/al-saqfu//مِنْ/مِن/min//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//وَ اَتٰىهُمُ/وَأَتَىٰهُمُ/wa-atahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "নিশ্চয়ই//চক্রান্ত করেছিলো//যারা (ছিলো)//থেকেই//তাদের পূর্ব//অতঃপর আসলেন (আঘাত করলেন)//আল্লাহ্‌//তাদের কাঠামোতে//থেকে//ভিত্তিমূলের//অতঃপর ধসে পড়লো//উপর তাদের//ছাদ//হ'তে//উপর তাদের//এবং তাদের উপর আসলো//শাস্তি//থেকে//যেখান//না//তারা ধারণ করে"
            },
            {
              "number": 1928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1928.mp3"
              ],
              "text": "ثُمَّ يَوْمَ ٱلْقِيَٰمَةِ يُخْزِيهِمْ وَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تُشَٰٓقُّونَ فِيهِمْ ۚ قَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ إِنَّ ٱلْخِزْىَ ٱلْيَوْمَ وَٱلسُّوٓءَ عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "অতঃপর কেয়ামতের দিন তিনি তাদেরকে লাঞ্ছিত করবেন এবং বলবেনঃ আমার অংশীদাররা কোথায়, যাদের ব্যাপারে তোমরা খুব হঠকারিতা করতে ? যারা জ্ঞানপ্রাপ্ত হয়েছিল তারা বলবেঃ নিশ্চয়ই আজকের দিনে লাঞ্ছনা ও দুর্গতি কাফেরদের জন্যে,",
              "numberInSurah": 27,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইয়াওমাল কিয়া-মাতি ইউখঝীহিম ওয়া ইয়াকূলুআইনা শুরাকাই ইয়াল্লাযীনা কুনতুম তুশাক্কূনা ফীহিম কা-লাল্লাযীনা ঊতুল ‘ইলমা ইন্নাল খিঝইয়াল ইয়াওমা ওয়াছছূআ ‘আলাল কা-ফিরীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//یُخْزِیْهِمْ/يُخۡزِيهِمۡ/yukh'zihim//وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//اَیْنَ/أَيۡنَ/ayna//شُرَكَآءِیَ/شُرَكَآءِيَ/shurakaiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُنْتُمْ/كُنتُمۡ/kuntum//تُشَآقُّوْنَ/تُشَـٰٓقُّونَ/tushaqquna//فِیْهِمْ ؕ/فِيهِمۡۚ/fihim//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//اِنَّ/إِنَّ/inna//الْخِزْیَ/ٱلۡخِزۡيَ/al-khiz'ya//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//وَ السُّوْٓءَ/وَٱلسُّوٓءَ/wal-sua//عَلَی/عَلَى/ala//الْكٰفِرِیْنَۙ/ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "অতঃপর//দিনে//ক্বিয়ামাতের//তিনি লাঞ্ছিত করবেন তাদের//এবং বলবেন//\"কোথায়//আমার শরীকরা//যাদের (ব্যাপারে)//তোমরা ছিলে//তর্কাতর্কি করতে//তাদের ব্যাপারে\"//বলবে//যাদেরকে//দেওয়া হয়েছিলো//জ্ঞান//\"নিশ্চয়ই//লাঞ্ছনা রয়েছে//আজকের দিনে//ও অমঙ্গল (রয়েছে)//উপর//কাফেরদের\""
            },
            {
              "number": 1929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1929.mp3"
              ],
              "text": "ٱلَّذِينَ تَتَوَفَّىٰهُمُ ٱلْمَلَٰٓئِكَةُ ظَالِمِىٓ أَنفُسِهِمْ ۖ فَأَلْقَوُا۟ ٱلسَّلَمَ مَا كُنَّا نَعْمَلُ مِن سُوٓءٍۭ ۚ بَلَىٰٓ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "ফেরেশতারা তাদের জান এমতাঅবস্থায় কবজ করে যে, তারা নিজেদের উপর যুলুম করেছে। তখন তারা অনুগত্য প্রকাশ করবে যে, আমরা তো কোন মন্দ কাজ করতাম না। হঁ্যা নিশ্চয় আল্লাহ সববিষয় অবগত আছেন, যা তোমরা করতে।",
              "numberInSurah": 28,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা তাতাওয়াফফা-হুমুল মালাইকাতুজা-লিমীআনফুছিহিম ফাআলকাউছ ছালামা মা-কুন্না-না‘মালুমিন ছূইন বালাইন্নাল্লা-হা ‘আলীমুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَتَوَفّٰىهُمُ/تَتَوَفَّىٰهُمُ/tatawaffahumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//ظَالِمِیْۤ/ظَالِمِيٓ/zalimi//اَنْفُسِهِمْ ۪/أَنفُسِهِمۡۖ/anfusihim//فَاَلْقَوُا/فَأَلۡقَوُاْ/fa-alqawu//السَّلَمَ/ٱلسَّلَمَ/al-salama//مَا/مَا/ma//كُنَّا/كُنَّا/kunna//نَعْمَلُ/نَعۡمَلُ/na'malu//مِنْ/مِن/min//سُوْٓءٍ ؕ/سُوٓءِۭۚ/suin//بَلٰۤی/بَلَىٰٓۚ/bala//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "যাদের (অবস্থান হলো এই)//তাদের মৃত্যু ঘটায়//ফেরেশতারা//অত্যাচারী অবস্থায়//নিজেদের উপর তাদের//তারা যখন আত্নসমর্পন করবে (এবং বলবে)//শান্তি//\"না//আমরা ছিলাম//আমরা কাজ করতে//কোনো//মন্দ\"//হ্যাঁ//নিশ্চয়ই//আল্লাহ্‌//খুব জানেন//ঐ সম্পর্কে যা//তোমরা ছিলে//তোমরা কাজ করতে"
            },
            {
              "number": 1930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1930.mp3"
              ],
              "text": "فَٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَٰلِدِينَ فِيهَا ۖ فَلَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ",
              "translate_bn": "অতএব, জাহান্নামের দরজসমূহে প্রবেশ কর, এতেই অনন্তকাল বাস কর। আর অহংকারীদের আবাসস্থল কতই নিকৃষ্ট।",
              "numberInSurah": 29,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 107,
              "sajda": false,
              "pronunciation_bn": "ফাদখুলূআবওয়া-বা জাহান্নামা খালিদীনা ফীহা- ফালাবি’ছা মাছওয়াল মুতাকাববিরীন।",
              "words_arabic": "فَادْخُلُوْۤا/فَٱدۡخُلُوٓاْ/fa-ud'khulu//اَبْوَابَ/أَبۡوَٰبَ/abwaba//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۖ/fiha//فَلَبِئْسَ/فَلَبِئۡسَ/falabi'sa//مَثْوَی/مَثۡوَى/mathwa//الْمُتَكَبِّرِیْنَ /ٱلۡمُتَكَبِّرِينَ/al-mutakabirina",
              "words_bangla": "সুতরাং তোমরা প্রবেশ করো//দরজাসমূহে//জাহান্নামের//স্থায়ী বসবাসকারী হবে//তার মধ্যে//অতএব অবশ্যই নিকৃষ্ট//আবাসস্থল//অহংকারীদের"
            },
            {
              "number": 1931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1931.mp3"
              ],
              "text": "۞ وَقِيلَ لِلَّذِينَ ٱتَّقَوْا۟ مَاذَآ أَنزَلَ رَبُّكُمْ ۚ قَالُوا۟ خَيْرًۭا ۗ لِّلَّذِينَ أَحْسَنُوا۟ فِى هَٰذِهِ ٱلدُّنْيَا حَسَنَةٌۭ ۚ وَلَدَارُ ٱلْءَاخِرَةِ خَيْرٌۭ ۚ وَلَنِعْمَ دَارُ ٱلْمُتَّقِينَ",
              "translate_bn": "পরহেযগারদেরকে বলা হয়ঃ তোমাদের পালনকর্তা কি নাযিল করেছেন? তারা বলেঃ মহাকল্যাণ। যারা এ জগতে সৎকাজ করে, তাদের জন্যে কল্যাণ রয়েছে এবং পরকালের গৃহ আরও উত্তম। পরহেযগারদের গৃহ কি চমৎকার?",
              "numberInSurah": 30,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলা লিল্লাযীনাততাকাও মা-যাআনঝালা রাব্বুকুম কা-লূখাইরাল লিল্লাযীনা আহছানূফী হা-যিহিদদুনইয়া-হাছানাতুওঁ ওয়া লাদা-রুল আ-খিরাতি খাইরুওঁ ওয়ালানি‘মা দা-রুল মুত্তাকীন।",
              "words_arabic": "وَ قِیْلَ/۞وَقِيلَ/waqila//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//مَا ذَاۤ/مَاذَآ/madha//اَنْزَلَ/أَنزَلَ/anzala//رَبُّكُمْ ؕ/رَبُّكُمۡۚ/rabbukum//قَالُوْا/قَالُواْ/qalu//خَیْرًا ؕ/خَيۡرٗاۗ/khayran//لِلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اَحْسَنُوْا/أَحۡسَنُواْ/ahsanu//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةٌ ؕ/حَسَنَةٞۚ/hasanatun//وَ لَدَارُ/وَلَدَارُ/waladaru//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//خَیْرٌ ؕ/خَيۡرٞۚ/khayrun//وَ لَنِعْمَ/وَلَنِعۡمَ/walani'ma//دَارُ/دَارُ/daru//الْمُتَّقِیْنَۙ/ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "এবং বলা হবে//যারা (তাদেরকে)//তাকওয়া অবলম্বন করতো//\"কি//অবতীর্ণ করেছিলেন\"//তোমাদের রব\"//তারা বলবে//\"মহাকল্যাণ\"//তাদের (জন্যে) যারা//সৎকাজ করে//মধ্যে আছে//এই//দুনিয়ায়//কল্যাণ//এবং অবশ্যই ঘর//আখেরাতের//উত্তম//এবং অবশ্যই চমৎকার//ঘর//মুত্তাকীদের"
            },
            {
              "number": 1932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1932.mp3"
              ],
              "text": "جَنَّٰتُ عَدْنٍۢ يَدْخُلُونَهَا تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ لَهُمْ فِيهَا مَا يَشَآءُونَ ۚ كَذَٰلِكَ يَجْزِى ٱللَّهُ ٱلْمُتَّقِينَ",
              "translate_bn": "সর্বদা বসবাসের উদ্যান, তারা যাতে প্রবেশ করবে। এর পাদদেশে দিয়ে স্রোতস্বিনী প্রবাহিত হয় তাদের জন্যে তাতে তা-ই রয়েছে, যা তারা চায় এমনিভাবে প্রতিদান দেবেন আল্লাহর পরহেযগারদেরকে,",
              "numberInSurah": 31,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "জান্না-তু‘আদনিইঁ ইয়াদখুলূনাহা-তাজরী মিন তাহতিহাল আনহা-রু লাহুম ফীহা-মাইয়াশাঊনা কাযা-লিকা ইয়াজঝিল্লা-হুল মুত্তাকীন।",
              "words_arabic": "جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//یَّدْخُلُوْنَهَا/يَدۡخُلُونَهَا/yadkhulunaha//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُۖ/al-anharu//لَهُمْ/لَهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//یَشَآءُوْنَ ؕ/يَشَآءُونَۚ/yashauna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَجْزِی/يَجۡزِي/yajzi//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُتَّقِیْنَۙ/ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "জান্নাত//স্থায়ী//তাতে তারা প্রবেশ করবে//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাধারাসমূহ//তাদের জন্যে//তার মধ্যে//যা//তারা চাইবে//এভাবে//পুরস্কৃত করেন//আল্লাহ্‌//মুত্তাকীদেরকে"
            },
            {
              "number": 1933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1933.mp3"
              ],
              "text": "ٱلَّذِينَ تَتَوَفَّىٰهُمُ ٱلْمَلَٰٓئِكَةُ طَيِّبِينَ ۙ يَقُولُونَ سَلَٰمٌ عَلَيْكُمُ ٱدْخُلُوا۟ ٱلْجَنَّةَ بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "ফেরেশতা যাদের জান কবজ করেন তাদের পবিত্র থাকা অবস্থায়। ফেরেশতারা বলেঃ তোমাদের প্রতি শাস্তি বর্ষিত হোক। তোমরা যা করতে, তার প্রতিদানে জান্নাতে প্রবেশ কর।",
              "numberInSurah": 32,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা তাতাওয়াফফা-হুমুল মালাইকাতুতাইয়িবীনা ইয়াকূলূনা ছালা-মুন ‘আলাইকুমু দ খুলুল জান্নাতা বিমা-কুনতুম তা‘মালূন।\r\n",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَتَوَفّٰىهُمُ/تَتَوَفَّىٰهُمُ/tatawaffahumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//طَیِّبِیْنَ ۙ/طَيِّبِينَ/tayyibina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمُ ۙ/عَلَيۡكُمُ/alaykumu//ادْخُلُوا/ٱدۡخُلُواْ/ud'khulu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "যাদের//তাদের মৃত্যু ঘটায়//ফেরেশতারা//পবিত্র থাকা অবস্থায়//তারা বলবে//\"শান্তি//তোমাদের উপর//তোমরা প্রবেশ করো//জান্নাতে//বিনিময়ে যা//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 1934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1934.mp3"
              ],
              "text": "هَلْ يَنظُرُونَ إِلَّآ أَن تَأْتِيَهُمُ ٱلْمَلَٰٓئِكَةُ أَوْ يَأْتِىَ أَمْرُ رَبِّكَ ۚ كَذَٰلِكَ فَعَلَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ وَمَا ظَلَمَهُمُ ٱللَّهُ وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "কাফেররা কি এখন অপেক্ষা করছে যে, তাদের কাছে ফেরেশতারা আসবে কিংবা আপনার পালনকর্তার নির্দেশ পৌছবে? তাদের পূর্ববর্তীরা এমনই করেছিল। আল্লাহ তাদের প্রতি অবিচার করেননি; কিন্তু তারা স্বয়ং নিজেদের প্রতি জুলুম করেছিল।",
              "numberInSurah": 33,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "হাল ইয়ানজু রূনা ইল্লাআন তা’তিয়াহুমুল মালাইকাতুআও ইয়া’তিয়া আমরু রাব্বিকা কাযা-লিকা ফা‘আলাল্লাযীনা মিন কাবলিহিম ওয়ামা জালামাহুমুল্লা-হু ওয়ালা-কিন কানূআনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "هَلْ/هَلۡ/hal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَاْتِیَهُمُ/تَأۡتِيَهُمُ/tatiyahumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//اَوْ/أَوۡ/aw//یَاْتِیَ/يَأۡتِيَ/yatiya//اَمْرُ/أَمۡرُ/amru//رَبِّكَ ؕ/رَبِّكَۚ/rabbika//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//فَعَلَ/فَعَلَ/fa'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//وَ مَا/وَمَا/wama//ظَلَمَهُمُ/ظَلَمَهُمُ/zalamahumu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "তবে কি//তারা অপেক্ষা করছে//এ ছাড়া//যে//তাদের কাছে আসবে//ফেরেশতারা//অথবা//আসবে//নির্দেশ//তোমার রবের//এরূপ//করেছিলো//যারা//থেকে//তাদের পূর্ব (ছিলো)//এবং না//তাদের উপর অত্যাচার করেছেন//আল্লাহ্‌//কিন্তু//তারা ছিলো//তাদের নিজেদের উপর//অত্যাচার করতে"
            },
            {
              "number": 1935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1935.mp3"
              ],
              "text": "فَأَصَابَهُمْ سَيِّـَٔاتُ مَا عَمِلُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "সুতরাং তাদের মন্দ কাজের শাস্তি তাদেরই মাথায় আপতিত হয়েছে এবং তারা যে ঠাট্টা বিদ্রুপ করত, তাই উল্টে তাদের উপর পড়েছে।",
              "numberInSurah": 34,
              "juz": 14,
              "manzil": 3,
              "page": 270,
              "ruku": 227,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ফাআসা-বাহুম ছাইয়িআ-তু মা-‘আমিলূ ওয়া হা-কাবিহিমমা- কা-নূ বিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "فَاَصَابَهُمْ/فَأَصَابَهُمۡ/fa-asabahum//سَیِّاٰتُ/سَيِّـَٔاتُ/sayyiatu//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "অতঃপর তাদের উপর পড়েছিলো//মন্দসমূহ (অর্থাৎ শাস্তি)//যা//তারা কাজ করেছিলো//এবং ঘিরে ফেলেছিলো//তাদেরকে//তা-ই//তারা ছিলো//নিয়ে যা//তারা ঠাট্টাবিদ্রূপ করতো"
            },
            {
              "number": 1936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1936.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ أَشْرَكُوا۟ لَوْ شَآءَ ٱللَّهُ مَا عَبَدْنَا مِن دُونِهِۦ مِن شَىْءٍۢ نَّحْنُ وَلَآ ءَابَآؤُنَا وَلَا حَرَّمْنَا مِن دُونِهِۦ مِن شَىْءٍۢ ۚ كَذَٰلِكَ فَعَلَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ فَهَلْ عَلَى ٱلرُّسُلِ إِلَّا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "মুশরিকরা বললঃ যদি আল্লাহ চাইতেন, তবে আমরা তাঁকে ছাড়া কারও এবাদত করতাম না এবং আমাদের পিতৃপুরুষেরাও করত না এবং তাঁর নির্দেশ ছাড়া কোন বস্তুই আমরা হারাম করতাম না। তাদের পূর্ববর্তীরা এমনই করেছে। রাসূলের দায়িত্ব তো শুধুমাত্র সুস্পষ্ট বাণী পৌছিয়ে দেয়া।",
              "numberInSurah": 35,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়া কালাল্লাযীনা আশরাকূলাও শাআল্লা-হু মা-‘আবাদনা-মিন দূ নিহী মিন শাইয়িন নাহনুওয়ালাআ-বাউনা-ওয়ালা-হাররামনা-মিন দূ নিহী মিন শাইয়িন কাযা-লিকা ফা‘আলাল্লাযীনা মিন কাবলিহিম ফাহাল ‘আলাররুছুলি ইল্লাল বালা-গুল মুবীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//لَوْ/لَوۡ/law//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//عَبَدْنَا/عَبَدۡنَا/abadna//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//نَّحْنُ/نَّحۡنُ/nahnu//وَ لَاۤ/وَلَآ/wala//اٰبَآؤُنَا/ءَابَآؤُنَا/abauna//وَ لَا/وَلَا/wala//حَرَّمْنَا/حَرَّمۡنَا/harramna//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//فَعَلَ/فَعَلَ/fa'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ۚ/قَبۡلِهِمۡۚ/qablihim//فَهَلْ/فَهَلۡ/fahal//عَلَی/عَلَى/ala//الرُّسُلِ/ٱلرُّسُلِ/al-rusuli//اِلَّا/إِلَّا/illa//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং বলে//যারা//শিরক করেছে//\"যদি//ইচ্ছে করতেন//আল্লাহ্‌//না//আমরা ইবাদাত করতাম//ছাড়া//তাঁকে//(অন্য) কোনো//কিছুকে//আমরা//এবং না//আমাদের বাপ-দাদারা//এবং না//আমরা নিষিদ্ধ করতাম//ছাড়া//তাঁর (হুকুম)//কোনো\"//কিছু\"//এরূপ//করেছিলো//যারা (ছিলো)//থেকে//তাদের পূর্ব//সুতরাং কি//উপর//(দায়িত্ব আছে) রাসূলদের//এ ছাড়া যে//পৌঁছানো (দীনের দাওয়াত)//সুস্পষ্ট ভাবে"
            },
            {
              "number": 1937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1937.mp3"
              ],
              "text": "وَلَقَدْ بَعَثْنَا فِى كُلِّ أُمَّةٍۢ رَّسُولًا أَنِ ٱعْبُدُوا۟ ٱللَّهَ وَٱجْتَنِبُوا۟ ٱلطَّٰغُوتَ ۖ فَمِنْهُم مَّنْ هَدَى ٱللَّهُ وَمِنْهُم مَّنْ حَقَّتْ عَلَيْهِ ٱلضَّلَٰلَةُ ۚ فَسِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُكَذِّبِينَ",
              "translate_bn": "আমি প্রত্যেক উম্মতের মধ্যেই রাসূল প্রেরণ করেছি এই মর্মে যে, তোমরা আল্লাহর এবাদত কর এবং তাগুত থেকে নিরাপদ থাক। অতঃপর তাদের মধ্যে কিছু সংখ্যককে আল্লাহ হেদায়েত করেছেন এবং কিছু সংখ্যকের জন্যে বিপথগামিতা অবধারিত হয়ে গেল। সুতরাং তোমরা পৃথিবীতে ভ্রমণ কর এবং দেখ মিথ্যারোপকারীদের কিরূপ পরিণতি হয়েছে।",
              "numberInSurah": 36,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ বা‘আছনা-ফী কুল্লি উম্মাতির রাছূলান আনি‘বুদুল্লা-হা ওয়াজতানিবুততাগূতা ফামিনহুম মান হাদাল্লা-হু ওয়া মিনহুম মান হাক্কাত ‘আলাইহিদ্দালা-লাতু ফাছীরূ ফিল আরদিফানজুরূকাইফা কা-না ‘আ-কিবাতুল মুকাযযি বীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//بَعَثْنَا/بَعَثۡنَا/ba'athna//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//اُمَّةٍ/أُمَّةٖ/ummatin//رَّسُوْلًا/رَّسُولًا/rasulan//اَنِ/أَنِ/ani//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اجْتَنِبُوا/وَٱجۡتَنِبُواْ/wa-ij'tanibu//الطَّاغُوْتَ ۚ/ٱلطَّـٰغُوتَۖ/al-taghuta//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّنۡ/man//هَدَی/هَدَى/hada//اللّٰهُ/ٱللَّهُ/al-lahu//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//حَقَّتْ/حَقَّتۡ/haqqat//عَلَیْهِ/عَلَيۡهِ/alayhi//الضَّلٰلَةُ ؕ/ٱلضَّلَٰلَةُۚ/al-dalalatu//فَسِیْرُوْا/فَسِيرُواْ/fasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَانْظُرُوْا/فَٱنظُرُواْ/fa-unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُكَذِّبِیْنَ /ٱلۡمُكَذِّبِينَ/al-mukadhibina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//মধ্যে//প্রত্যেক//জাতির//রাসূল//যে//\"তোমরা ইবাদাত করো//আল্লাহর//ও দূরে থাকো//তাগুত (হ'তে)\"//অতঃপর তাদের মধ্য থেকে//কাউকে//সৎপথে পরিচালনা করেন//আল্লাহ্‌//আর তাদের মধ্য থেকে//কারো//অবধারিত হয়েছে//তার উপর//পথভ্রষ্টতা//অতঃপর তোমরা ভ্রমন করো//মধ্যে//পৃথিবীর//অতঃপর তোমরা দেখো//কেমন//হয়েছে//পরিণাম//মিথ্যাবাদীদের"
            },
            {
              "number": 1938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1938.mp3"
              ],
              "text": "إِن تَحْرِصْ عَلَىٰ هُدَىٰهُمْ فَإِنَّ ٱللَّهَ لَا يَهْدِى مَن يُضِلُّ ۖ وَمَا لَهُم مِّن نَّٰصِرِينَ",
              "translate_bn": "আপনি তাদেরকে সুপথে আনতে আগ্রহী হলেও আল্লাহ যাকে বিপথগামী করেন তিনি তাকে পথ দেখান না এবং তাদের কোন সাহায্যকারী ও নেই।",
              "numberInSurah": 37,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ইন তাহরিস ‘আলা-হুদা-হুম ফাইন্নাল্লা-হা লা-ইয়াহদী মাইঁ ইউদিল্লুওয়ামা-লাহুম মিন্নাসিরীন।",
              "words_arabic": "اِنْ/إِن/in//تَحْرِصْ/تَحۡرِصۡ/tahris//عَلٰی/عَلَىٰ/ala//هُدٰىهُمْ/هُدَىٰهُمۡ/hudahum//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یُّضِلُّ/يُضِلُّۖ/yudillu//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//نّٰصِرِیْنَ /نَّـٰصِرِينَ/nasirina",
              "words_bangla": "যদি//আগ্রহী হও//ব্যাপারে//তাদের পথ প্রদর্শনের তুমি//তবুও নিশ্চয়ই//আল্লাহ্‌//না//সৎপথে পরিচালনা করেন//যাকে//পথভ্রষ্ট করেন//এবং নেই//তাদের জন্যে//কোনো//সাহায্যকারী"
            },
            {
              "number": 1939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1939.mp3"
              ],
              "text": "وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَٰنِهِمْ ۙ لَا يَبْعَثُ ٱللَّهُ مَن يَمُوتُ ۚ بَلَىٰ وَعْدًا عَلَيْهِ حَقًّۭا وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "তারা আল্লাহর নামে কঠোর শপথ করে যে, যার মৃত্যু হয় আল্লাহ তাকে পুনরুজ্জীবিত করবেন না। অবশ্যই এর পাকাপোক্ত ওয়াদা হয়ে গেছে। কিন্তু, অধিকাংশ লোক জানে না।",
              "numberInSurah": 38,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকছামূবিল্লা-হি জাহদা আইমা-নিহিম লা-ইয়াব‘আছুল্লা-হু মাইঁ ইয়ামূতু বালা-ওয়া‘দান ‘আলাইহি হাক্কাওঁ ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "وَ اَقْسَمُوْا/وَأَقۡسَمُواْ/wa-aqsamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//جَهْدَ/جَهۡدَ/jahda//اَیْمَانِهِمْ ۙ/أَيۡمَٰنِهِمۡ/aymanihim//لَا/لَا/la//یَبْعَثُ/يَبۡعَثُ/yab'athu//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّمُوْتُ ؕ/يَمُوتُۚ/yamutu//بَلٰی/بَلَىٰ/bala//وَعْدًا/وَعۡدًا/wa'dan//عَلَیْهِ/عَلَيۡهِ/alayhi//حَقًّا/حَقّٗا/haqqan//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং তারা শপথ করে//নামে আল্লাহর//সাধ্য অনুসারে//তাদের শপথের//না//উঠাবেন//আল্লাহ্‌//(তাকে) যে//মারা যায়//হ্যাঁ (নিশ্চয়ই)//প্রতিশ্রুতি//তার উপর//অবধারিত//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে"
            },
            {
              "number": 1940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1940.mp3"
              ],
              "text": "لِيُبَيِّنَ لَهُمُ ٱلَّذِى يَخْتَلِفُونَ فِيهِ وَلِيَعْلَمَ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّهُمْ كَانُوا۟ كَٰذِبِينَ",
              "translate_bn": "তিনি পুনরুজ্জীবিত করবেনই, যাতে যে বিষয়ে তাদের মধ্যে মতানৈক্য ছিল তা প্রকাশ করা যায় এবং যাতে কাফেরেরা জেনে নেয় যে, তারা মিথ্যাবাদী ছিল।",
              "numberInSurah": 39,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "লিইউবাইয়িনা লাহুমুল্লাযী ইয়াখতালিফূনা ফীহি ওয়া লিইয়া‘লামাল্লাযীনা কাফারূআন্নাহুম কা-নূকা-যিবীন।",
              "words_arabic": "لِیُبَیِّنَ/لِيُبَيِّنَ/liyubayyina//لَهُمُ/لَهُمُ/lahumu//الَّذِیْ/ٱلَّذِي/alladhi//یَخْتَلِفُوْنَ/يَخۡتَلِفُونَ/yakhtalifuna//فِیْهِ/فِيهِ/fihi//وَ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنَّهُمْ/أَنَّهُمۡ/annahum//كَانُوْا/كَانُواْ/kanu//كٰذِبِیْنَ /كَٰذِبِينَ/kadhibina",
              "words_bangla": "জন্যে প্রকাশ করার//তাদের কাছে//যে বিষয়ে//তারা মতানৈক্য করে//তার মধ্যে//এবং জানে যেন//(তারা) যারা//অস্বীকার করেছে//যে তারা//(তারা) ছিলো//মিথ্যাবাদী"
            },
            {
              "number": 1941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1941.mp3"
              ],
              "text": "إِنَّمَا قَوْلُنَا لِشَىْءٍ إِذَآ أَرَدْنَٰهُ أَن نَّقُولَ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "আমি যখন কোন কিছু করার ইচ্ছা করি; তখন তাকে কেবল এতটুকুই বলি যে, হয়ে যাও,। সুতরাং তা হয়ে যায়।",
              "numberInSurah": 40,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 228,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-কাওলুনা-লিশাইয়িন ইযাআরদনা-হু আন নাকূলা লাহূকুন ফাইয়াকূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//قَوْلُنَا/قَوۡلُنَا/qawluna//لِشَیْءٍ/لِشَيۡءٍ/lishayin//اِذَاۤ/إِذَآ/idha//اَرَدْنٰهُ/أَرَدۡنَٰهُ/aradnahu//اَنْ/أَن/an//نَّقُوْلَ/نَّقُولَ/naqula//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ۠/فَيَكُونُ/fayakunu",
              "words_bangla": "শুধু এতটুকুই//আমাদের কথা//জন্যে কোন কিছুর//যখন//আমরা তা করতে চাই//যে//আমরা বলি//তাকে//\"হও\"//ফলে তা হয়ে যায়"
            },
            {
              "number": 1942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1942.mp3"
              ],
              "text": "وَٱلَّذِينَ هَاجَرُوا۟ فِى ٱللَّهِ مِنۢ بَعْدِ مَا ظُلِمُوا۟ لَنُبَوِّئَنَّهُمْ فِى ٱلدُّنْيَا حَسَنَةًۭ ۖ وَلَأَجْرُ ٱلْءَاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "যারা নির্যাতিত হওয়ার পর আল্লাহর জন্যে গৃহত্যাগ করেছে, আমি অবশ্যই তাদেরকে দুনিয়াতে উত্তম আবাস দেব এবং পরকালের পুরস্কার তো সর্বাধিক; হায়! যদি তারা জানত।",
              "numberInSurah": 41,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হা-জারূফিল্লা-হি মিম বা‘দি মা-জু লিমূলানুবাওবিআন্নাহুম ফিদদুনইয়াহাছানাতাওঁ ওয়ালাআজরুল আ-খিরাতি আকবার । লাও কা-নূইয়া‘লামূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَاجَرُوْا/هَاجَرُواْ/hajaru//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//ظُلِمُوْا/ظُلِمُواْ/zulimu//لَنُبَوِّئَنَّهُمْ/لَنُبَوِّئَنَّهُمۡ/lanubawwi-annahum//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةً ؕ/حَسَنَةٗۖ/hasanatan//وَ لَاَجْرُ/وَلَأَجۡرُ/wala-ajru//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَكْبَرُ ۘ/أَكۡبَرُۚ/akbaru//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যারা//হিজরত করেছে//জন্যে//আল্লাহর//থেকে//পর//যা//তারা নির্যাতিত হয়েছে//অবশ্যই আমরা আবাস দিবো তাদের//মধ্যে//দুনিয়ার//উত্তম//এবং অবশ্যই পুরস্কার//আখেরাতের//সর্বাধিক//যদি//তারা ছিলো//তারা জানতো"
            },
            {
              "number": 1943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1943.mp3"
              ],
              "text": "ٱلَّذِينَ صَبَرُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ",
              "translate_bn": "যারা দৃঢ়পদ রয়েছে এবং তাদের পালনকর্তার উপর ভরসা করেছে।",
              "numberInSurah": 42,
              "juz": 14,
              "manzil": 3,
              "page": 271,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা সাবারূওয়া‘আলা-রাব্বিহিম ইয়া তাওয়াক্কালূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَبَرُوْا/صَبَرُواْ/sabaru//وَ عَلٰی/وَعَلَىٰ/wa'ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَتَوَكَّلُوْنَ /يَتَوَكَّلُونَ/yatawakkaluna",
              "words_bangla": "যারা//ধৈর্য ধরেছে//ও উপর//তাদের রবের//তারা নির্ভর করে"
            },
            {
              "number": 1944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1944.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن قَبْلِكَ إِلَّا رِجَالًۭا نُّوحِىٓ إِلَيْهِمْ ۚ فَسْـَٔلُوٓا۟ أَهْلَ ٱلذِّكْرِ إِن كُنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "আপনার পূর্বেও আমি প্রত্যাদেশসহ মানবকেই তাদের প্রতি প্রেরণ করেছিলাম অতএব জ্ঞানীদেরকে জিজ্ঞেস কর, যদি তোমাদের জানা না থাকে;",
              "numberInSurah": 43,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা আরছালনা- মিন কাবলিকা ইল্লা- রিজা-লান নূহী ইলাইহিম ফাছআলূ আহলাযযিকরি ইন কুনতুম লা-তা‘লামূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//اِلَّا/إِلَّا/illa//رِجَالًا/رِجَالٗا/rijalan//نُّوْحِیْۤ/نُّوحِيٓ/nuhi//اِلَیْهِمْ/إِلَيۡهِمۡۖ/ilayhim//فَسْـَٔلُوْۤا/فَسۡـَٔلُوٓاْ/fasalu//اَهْلَ/أَهۡلَ/ahla//الذِّكْرِ/ٱلذِّكۡرِ/al-dhik'ri//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//لَا/لَا/la//تَعْلَمُوْنَۙ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//থেকে//তোমার পূর্ব//এ ছাড়া//মানুষদেরকে//আমরা ওহী করি//প্রতি তাদের//অতএব তোমরা জিজ্ঞেস করো//সম্পন্নদের//(ঐশী)জ্ঞান//যদি//তোমরা ছিলে//না//তোমরা জানো"
            },
            {
              "number": 1945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1945.mp3"
              ],
              "text": "بِٱلْبَيِّنَٰتِ وَٱلزُّبُرِ ۗ وَأَنزَلْنَآ إِلَيْكَ ٱلذِّكْرَ لِتُبَيِّنَ لِلنَّاسِ مَا نُزِّلَ إِلَيْهِمْ وَلَعَلَّهُمْ يَتَفَكَّرُونَ",
              "translate_bn": "প্রেরণ করেছিলাম তাদেরকে নিꦣ2503;দশাবলী ও অবতীর্ণ গ্রন্থসহ এবং আপনার কাছে আমি স্মরণিকা অবতীর্ণ করেছি, যাতে আপনি লোকদের সামনে ঐসব বিষয় বিবৃত করেন, যে গুলো তোদের প্রতি নাযিল করা হয়েছে, যাতে তারা চিন্তা-ভাবনা করে।",
              "numberInSurah": 44,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "বিলবাইয়িনা-তি ওয়াঝঝুবুরি ওয়া আনঝালনাইলাইকাযযিকরা লিতুবাইয়িনা লিন্না-ছি মা-নুঝঝিলা ইলাইহিম ওয়া লা‘আল্লাহুম ইয়াতাফাক্কারূন।",
              "words_arabic": "بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ الزُّبُرِ ؕ/وَٱلزُّبُرِۗ/wal-zuburi//وَ اَنْزَلْنَاۤ/وَأَنزَلۡنَآ/wa-anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//الذِّكْرَ/ٱلذِّكۡرَ/al-dhik'ra//لِتُبَیِّنَ/لِتُبَيِّنَ/litubayyina//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//مَا/مَا/ma//نُزِّلَ/نُزِّلَ/nuzzila//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//وَ لَعَلَّهُمْ/وَلَعَلَّهُمۡ/wala'allahum//یَتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "সহ উজ্জ্বল নিদর্শনাবলী//ও কিতাবসমূহ//ও আমরা অবতীর্ণ করেছি//তোমার প্রতি//উপদেশবাণী (কুরআন)//যেন সুস্পস্টভাবে বর্ণনা করো তুমি//জন্যে মানুষের//যা//অবতীর্ণ করা হয়েছে//তাদের প্রতি//এবং সম্ভবত তারা//চিন্তা-ভাবনা করে"
            },
            {
              "number": 1946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1946.mp3"
              ],
              "text": "أَفَأَمِنَ ٱلَّذِينَ مَكَرُوا۟ ٱلسَّيِّـَٔاتِ أَن يَخْسِفَ ٱللَّهُ بِهِمُ ٱلْأَرْضَ أَوْ يَأْتِيَهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ",
              "translate_bn": "যারা কুচক্র করে, তারা কি এ বিষয়ে ভয় করে না যে, আল্লাহ তাদেরকে ভূগর্ভে বিলীন করে দিবেন কিংবা তাদের কাছে এমন জায়গা থেকে আযাব আসবে যা তাদের ধারণাতীত।",
              "numberInSurah": 45,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আফাআমিনাল্লাযীনা মাকারুছছাইয়িআ-তি আইঁ ইয়াখছিফাল্লা-হুবিহিমুল আরদাআও ইয়া’তিয়াহুমুল ‘আযা-বুমিন হাইছুলা-ইয়াশ‘উরূন।",
              "words_arabic": "اَفَاَمِنَ/أَفَأَمِنَ/afa-amina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مَكَرُوا/مَكَرُواْ/makaru//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//اَنْ/أَن/an//یَّخْسِفَ/يَخۡسِفَ/yakhsifa//اللّٰهُ/ٱللَّهُ/al-lahu//بِهِمُ/بِهِمُ/bihimu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//اَوْ/أَوۡ/aw//یَاْتِیَهُمُ/يَأۡتِيَهُمُ/yatiyahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَشْعُرُوْنَۙ/يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "তবে কি নির্ভয় হয়েছে//(তারা) যারা//চক্রান্ত করে//কুকর্মের//যে//ধসিয়ে দিবেন//আল্লাহ্‌//সহ তাদের//মাটিকে//বা//তাদের উপর আসবে//আযাব//থেকে//যেখান//না//তারা ধারণাও করে"
            },
            {
              "number": 1947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1947.mp3"
              ],
              "text": "أَوْ يَأْخُذَهُمْ فِى تَقَلُّبِهِمْ فَمَا هُم بِمُعْجِزِينَ",
              "translate_bn": "কিংবা চলাফেরার মধ্যেই তাদেরকে পাকড়াও করবে, তারা তো তা ব্যর্থ করতে পারবে না।",
              "numberInSurah": 46,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আও ইয়া’খুযাহুম ফী তাকাল্লুবিহিম ফামা-হুম বিমু‘জিঝীন।",
              "words_arabic": "اَوْ/أَوۡ/aw//یَاْخُذَهُمْ/يَأۡخُذَهُمۡ/yakhudhahum//فِیْ/فِي/fi//تَقَلُّبِهِمْ/تَقَلُّبِهِمۡ/taqallubihim//فَمَا/فَمَا/fama//هُمْ/هُم/hum//بِمُعْجِزِیْنَۙ/بِمُعۡجِزِينَ/bimu'jizina",
              "words_bangla": "অথবা//তাদের ধরবেন//মধ্যে//তাদের চলাফেরার//অতঃপর না//তারা (হ'তে পারবে)//(তাঁকে) অক্ষমকারী"
            },
            {
              "number": 1948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1948.mp3"
              ],
              "text": "أَوْ يَأْخُذَهُمْ عَلَىٰ تَخَوُّفٍۢ فَإِنَّ رَبَّكُمْ لَرَءُوفٌۭ رَّحِيمٌ",
              "translate_bn": "কিংবা ভীতি প্রদর্শনের পর তাদেরকে পাকড়াও করবেন? তোমাদের পালনকর্তা তো অত্যন্ত নম্র, দয়ালু।",
              "numberInSurah": 47,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আও ইয়া’খুযাহুম ‘আলা-তাখাওউফিন ফাইন্না রাব্বাকুম লারাঊফুর রাহীম।",
              "words_arabic": "اَوْ/أَوۡ/aw//یَاْخُذَهُمْ/يَأۡخُذَهُمۡ/yakhudhahum//عَلٰی/عَلَىٰ/ala//تَخَوُّفٍ ؕ/تَخَوُّفٖ/takhawwufin//فَاِنَّ/فَإِنَّ/fa-inna//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//لَرَءُوْفٌ/لَرَءُوفٞ/laraufun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "অথবা//তাদের ধরবেন//অবস্হায়//ভীত সন্ত্রস্ত//তবে নিশ্চয়ই//তোমাদের রব//অবশ্যই দয়াপরবশ//পরম দয়ালু"
            },
            {
              "number": 1949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1949.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ إِلَىٰ مَا خَلَقَ ٱللَّهُ مِن شَىْءٍۢ يَتَفَيَّؤُا۟ ظِلَٰلُهُۥ عَنِ ٱلْيَمِينِ وَٱلشَّمَآئِلِ سُجَّدًۭا لِّلَّهِ وَهُمْ دَٰخِرُونَ",
              "translate_bn": "তারা কি আল্লাহর সৃজিত বস্তু দেখে না, যার ছায়া আল্লাহর প্রতি বিনীতভাবে সেজদাবনত থেকে ডান ও বাম দিকে ঝুঁকে পড়ে।",
              "numberInSurah": 48,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও ইলা-মা-খালাকাল্লা-হু মিন শাইয়িইঁ ইয়াতাফাইয়াউ জিলা-লুহূ‘আনিল ইয়ামীনি ওয়াশশামাইলি ছুজ্জাদাল লিল্লা-হি ওয়াহুম দা-খিরূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//یَّتَفَیَّؤُا/يَتَفَيَّؤُاْ/yatafayya-u//ظِلٰلُهٗ/ظِلَٰلُهُۥ/zilaluhu//عَنِ/عَنِ/ani//الْیَمِیْنِ/ٱلۡيَمِينِ/al-yamini//وَ الشَّمَآىِٕلِ/وَٱلشَّمَآئِلِ/wal-shamaili//سُجَّدًا/سُجَّدٗا/sujjadan//لِّلّٰهِ/لِّلَّهِ/lillahi//وَ هُمْ/وَهُمۡ/wahum//دٰخِرُوْنَ /دَٰخِرُونَ/dakhiruna",
              "words_bangla": "কি নি//তারা দেখে//প্রতি//যা//সৃষ্টি করেছেন//আল্লাহ্‌//কিছু//বস্তুর//ঝুঁকে পড়ে//তার ছায়াগুলো//থেকে//ডান//ও বাম (থেকে)//সিজদাবনত হয়ে//আল্লাহর জন্যে//এমতাবস্হায় যে তারা//বিনয়ী"
            },
            {
              "number": 1950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1950.mp3"
              ],
              "text": "وَلِلَّهِ يَسْجُدُ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ مِن دَآبَّةٍۢ وَٱلْمَلَٰٓئِكَةُ وَهُمْ لَا يَسْتَكْبِرُونَ",
              "translate_bn": "আল্লাহকে সেজদা করে যা কিছু নভোমন্ডলে আছে এবং যা কিছু ভুমন্ডলে আছে এবং ফেরেশতাগণ; তারা অহংকার করে না।",
              "numberInSurah": 49,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি ইয়াছজুদুমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদিমিন দাব্বাতিওঁ ওয়াল মালাইকাতুওয়া হুম লা-ইয়াছতাকবিরূন।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِۤ/walillahi//یَسْجُدُ/يَسۡجُدُۤ/yasjudu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//وَّ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَسْتَكْبِرُوْنَ /يَسۡتَكۡبِرُونَ/yastakbiruna",
              "words_bangla": "এবং আল্লাহর জন্যে//সিজদা করে//যা কিছু//মধ্যে আছে//আকাশসমূহের//এবং যা//মধ্যে//পৃথিবীর//মধ্য থেকে//জীবজন্তু//এবং ফেরেশতারা//এবং তারা//না//অহংকার করে"
            },
            {
              "number": 1951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1951.mp3"
              ],
              "text": "يَخَافُونَ رَبَّهُم مِّن فَوْقِهِمْ وَيَفْعَلُونَ مَا يُؤْمَرُونَ ۩",
              "translate_bn": "তারা তাদের উপর পরাক্রমশালী তাদের পালনকর্তাকে ভয় করে এবং তারা যা আদেশ পায়, তা করে",
              "numberInSurah": 50,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 229,
              "hizbQuarter": 108,
              "sajda": {
                "id": 3,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ইয়াখা-ফূনা রাব্বাহু ম মিন ফাওকিহিম ওয়া ইয়াফ‘আলূনা মা-ইউ’মারূন (ছিজদাহ-৩)।",
              "words_arabic": "یَخَافُوْنَ/يَخَافُونَ/yakhafuna//رَبَّهُمْ/رَبَّهُم/rabbahum//مِّنْ/مِّن/min//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//وَ یَفْعَلُوْنَ/وَيَفۡعَلُونَ/wayaf 'aluna//مَا/مَا/ma//یُؤْمَرُوْنَ۠۩/يُؤۡمَرُونَ۩/yu'maruna",
              "words_bangla": "তারা ভয় করে//তাদের রবকে//অবস্থানরত//উপরে তাদের//এবং তারা করে//যা//তাদের নির্দেশ দেয়া হয়"
            },
            {
              "number": 1952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1952.mp3"
              ],
              "text": "۞ وَقَالَ ٱللَّهُ لَا تَتَّخِذُوٓا۟ إِلَٰهَيْنِ ٱثْنَيْنِ ۖ إِنَّمَا هُوَ إِلَٰهٌۭ وَٰحِدٌۭ ۖ فَإِيَّٰىَ فَٱرْهَبُونِ",
              "translate_bn": "আল্লাহ বললেনঃ তোমরা দুই উপাস্য গ্রহণ করো না উপাস্য তো মাত্র একজনই। অতএব আমাকেই ভয় কর।",
              "numberInSurah": 51,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাহু লা-তাত্তাখিযূইলা-হাইনিছনাইনি ইন্নামা-হুওয়া ইলা-হুওঁ ওয়াহিদুন ফাইয়্যা-ইয়া ফারহাবূন।",
              "words_arabic": "وَ قَالَ/۞وَقَالَ/waqala//اللّٰهُ/ٱللَّهُ/al-lahu//لَا/لَا/la//تَتَّخِذُوْۤا/تَتَّخِذُوٓاْ/tattakhidhu//اِلٰهَیْنِ/إِلَٰهَيۡنِ/ilahayni//اثْنَیْنِ ۚ/ٱثۡنَيۡنِۖ/ith'nayni//اِنَّمَا/إِنَّمَا/innama//هُوَ/هُوَ/huwa//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ۚ/وَٰحِدٞ/wahidun//فَاِیَّایَ/فَإِيَّـٰيَ/fa-iyyaya//فَارْهَبُوْنِ /فَٱرۡهَبُونِ/fa-ir'habuni",
              "words_bangla": "এবং বলেন//আল্লাহ্‌//\"না//তোমরা গ্রহণ করো//ইলাহ//দুই//প্রকৃতপক্ষে//তিনি//ইলাহ//এক//সুতরাং শুধু আমাকেই//তাই আমাকেই তোমরা ভয় করো\""
            },
            {
              "number": 1953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1953.mp3"
              ],
              "text": "وَلَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَلَهُ ٱلدِّينُ وَاصِبًا ۚ أَفَغَيْرَ ٱللَّهِ تَتَّقُونَ",
              "translate_bn": "যা কিছু নভোমন্ডল ও ভুমন্ডলে আছে তা তাঁরই এবাদত করা শাশ্বত কর্তব্য। তোমরা কি আল্লাহ ব্যতীত কাউকে ভয় করবে?",
              "numberInSurah": 52,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহূমা-ফিছ ছামা-ওয়া-তি ওয়াল আরদি ওয়া লাহুদ্দীনুওয়া-সিবান আফাগাইরাল্লাহি তাত্তাকূন।",
              "words_arabic": "وَ لَهٗ/وَلَهُۥ/walahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لَهُ/وَلَهُ/walahu//الدِّیْنُ/ٱلدِّينُ/al-dinu//وَاصِبًا ؕ/وَاصِبًاۚ/wasiban//اَفَغَیْرَ/أَفَغَيۡرَ/afaghayra//اللّٰهِ/ٱللَّهِ/al-lahi//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "এবং তাঁরই জন্যে//যা কিছু//মধ্যে আছে//আকাশসমূহের//ও পৃথিবীর//এবং তাঁরই জন্যে//অানুগত্য//সার্বক্ষণিক//তবে কি ছাড়া//আল্লাহ্‌//(অপরকে) তোমরা ভয় করবে"
            },
            {
              "number": 1954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1954.mp3"
              ],
              "text": "وَمَا بِكُم مِّن نِّعْمَةٍۢ فَمِنَ ٱللَّهِ ۖ ثُمَّ إِذَا مَسَّكُمُ ٱلضُّرُّ فَإِلَيْهِ تَجْـَٔرُونَ",
              "translate_bn": "তোমাদের কাছে যে সমস্ত নেয়ামত আছে, তা আল্লাহরই পক্ষ থেকে। অতঃপর তোমরা যখন দুঃখে-কষ্টে পতিত হও তখন তাঁরই নিকট কান্নাকাটি কর।",
              "numberInSurah": 53,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-বিকুম মিন নি‘মাতিন ফামিনাল্লা‘হি ছু ম্মা ইযা-মাছছাকুমুদ দুররু ফাইলাইহি তাজআরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//بِكُمْ/بِكُم/bikum//مِّنْ/مِّن/min//نِّعْمَةٍ/نِّعۡمَةٖ/ni'matin//فَمِنَ/فَمِنَ/famina//اللّٰهِ/ٱللَّهِۖ/al-lahi//ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//مَسَّكُمُ/مَسَّكُمُ/massakumu//الضُّرُّ/ٱلضُّرُّ/al-duru//فَاِلَیْهِ/فَإِلَيۡهِ/fa-ilayhi//تَجْـَٔرُوْنَۚ/تَجۡـَٔرُونَ/tajaruna",
              "words_bangla": "অথচ যা কিছু//সাথে তোমাদের//মধ্য থেকে//অনুগ্রহ (আছে)//তা (এসেছে) হ'তে//আল্লাহ্‌//এরপর//যখন//তোমাদের স্পর্শ করে//দুঃখ-দৈন্য//তখন তার কাছে//তোমরা নম্র হয়ে ডাকো"
            },
            {
              "number": 1955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1955.mp3"
              ],
              "text": "ثُمَّ إِذَا كَشَفَ ٱلضُّرَّ عَنكُمْ إِذَا فَرِيقٌۭ مِّنكُم بِرَبِّهِمْ يُشْرِكُونَ",
              "translate_bn": "এরপর যখন আল্লাহ তোমাদের কষ্ট দুরীভূত করে দেন, তখনই তোমাদের একদল স্বীয় পালনকর্তার সাথে অংশীদার সাব্যস্ত করতে থাকে।",
              "numberInSurah": 54,
              "juz": 14,
              "manzil": 3,
              "page": 272,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইযা-কাশাফাদদুররা ‘আনকুম ইযা-ফারীকুম মিনকুম বিরাব্বিহিম ইউশরিকূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//كَشَفَ/كَشَفَ/kashafa//الضُّرَّ/ٱلضُّرَّ/al-dura//عَنْكُمْ/عَنكُمۡ/ankum//اِذَا/إِذَا/idha//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْكُمْ/مِّنكُم/minkum//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//یُشْرِكُوْنَۙ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এরপর//যখন//দূর করে দেন//দুঃখ-দৈন্য//থেকে তোমাদের//তখন//একদল//তোমাদের মধ্য হ'তে//সাথে তাদের রবের//(অন্যদেরকে) শরীক করে"
            },
            {
              "number": 1956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1956.mp3"
              ],
              "text": "لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَٰهُمْ ۚ فَتَمَتَّعُوا۟ ۖ فَسَوْفَ تَعْلَمُونَ",
              "translate_bn": "যাতে ঐ নেয়ামত অস্বীকার করে, যা আমি তাদেরকে দিয়েছি। অতএব মজা ভোগ করে নাও-সত্বরই তোমরা জানতে পারবে।",
              "numberInSurah": 55,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "লিয়াকফুরূবিমা আ-তাইনা-হুম ফাতামাত্তা‘ঊ ফাছাওফা তা‘লামূন।",
              "words_arabic": "لِیَكْفُرُوْا/لِيَكۡفُرُواْ/liyakfuru//بِمَاۤ/بِمَآ/bima//اٰتَیْنٰهُمْ ؕ/ءَاتَيۡنَٰهُمۡۚ/ataynahum//فَتَمَتَّعُوْا ۫/فَتَمَتَّعُواْ/fatamatta'u//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "জন্যে অস্বীকার করার//ঐ বিষয়ে যা//আমরা তাদের দিয়েছি//তাই তোমরা ভোগ করো//অতঃপর শীঘ্রই//তোমরা জানবে"
            },
            {
              "number": 1957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1957.mp3"
              ],
              "text": "وَيَجْعَلُونَ لِمَا لَا يَعْلَمُونَ نَصِيبًۭا مِّمَّا رَزَقْنَٰهُمْ ۗ تَٱللَّهِ لَتُسْـَٔلُنَّ عَمَّا كُنتُمْ تَفْتَرُونَ",
              "translate_bn": "তারা আমার দেয়া জীবনোপকরণ থেকে তাদের জন্যে একটি অংশ নির্ধারিত করে, যাদের কোন খবরই তারা রাখে না। আল্লাহর কসম, তোমরা যে অপবাদ আরোপ করছ, সে সম্পর্কে অবশ্যই জিজ্ঞাসিত হবে।",
              "numberInSurah": 56,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াজ‘আলূনা লিমা-লা-ইয়া‘লামূনা নাসীবাম মিম্মা-রাঝাকনা-হুম তাল্লা-হি লাতুছআলুন্না ‘আম্মা-কুনতুম তাফতারূন।",
              "words_arabic": "وَ یَجْعَلُوْنَ/وَيَجۡعَلُونَ/wayaj'aluna//لِمَا/لِمَا/lima//لَا/لَا/la//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//نَصِیْبًا/نَصِيبٗا/nasiban//مِّمَّا/مِّمَّا/mimma//رَزَقْنٰهُمْ ؕ/رَزَقۡنَٰهُمۡۗ/razaqnahum//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//لَتُسْـَٔلُنَّ/لَتُسۡـَٔلُنَّ/latus'alunna//عَمَّا/عَمَّا/amma//كُنْتُمْ/كُنتُمۡ/kuntum//تَفْتَرُوْنَ /تَفۡتَرُونَ/taftaruna",
              "words_bangla": "এবং তারা নির্ধারণ করে//সে বিষয়ে যা//না//তারা জানে//এক অংশ//তা হ'তে যা//আমরা জীবিকা দিয়েছি তাদের//শপথ আল্লাহর//অবশ্যই তোমাদের জিজ্ঞেস করা হবে//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা রচনা করতে"
            },
            {
              "number": 1958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1958.mp3"
              ],
              "text": "وَيَجْعَلُونَ لِلَّهِ ٱلْبَنَٰتِ سُبْحَٰنَهُۥ ۙ وَلَهُم مَّا يَشْتَهُونَ",
              "translate_bn": "তারা আল্লাহর জন্যে কন্যা সন্তান নির্ধারণ করে-তিনি পবিত্র মহিমান্বিত এবং নিজেদের জন্যে ওরা তাই স্থির করে যা ওরা চায়।",
              "numberInSurah": 57,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াজ‘আলূনা লিল্লা-হিল বানা-তি ছুবহা-নাহূ ওয়া লাহুম মা-ইয়াশতাহূন।",
              "words_arabic": "وَ یَجْعَلُوْنَ/وَيَجۡعَلُونَ/wayaj'aluna//لِلّٰهِ/لِلَّهِ/lillahi//الْبَنٰتِ/ٱلۡبَنَٰتِ/al-banati//سُبْحٰنَهٗ ۙ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ لَهُمْ/وَلَهُم/walahum//مَّا/مَّا/ma//یَشْتَهُوْنَ /يَشۡتَهُونَ/yashtahuna",
              "words_bangla": "এবং তারা নির্ধারণ করে//জন্যে আল্লাহর//কন্যা-সন্তানসমূহ//তিনি পবিত্র ও মহান//এবং জন্যে তাদের//(তাই) যা//তারা কামনা করে"
            },
            {
              "number": 1959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1959.mp3"
              ],
              "text": "وَإِذَا بُشِّرَ أَحَدُهُم بِٱلْأُنثَىٰ ظَلَّ وَجْهُهُۥ مُسْوَدًّۭا وَهُوَ كَظِيمٌۭ",
              "translate_bn": "যখন তাদের কাউকে কন্যা সন্তানের সুসংবাদ দেয়া হয়, তখন তারা মুখ কাল হয়ে যায় এবং অসহ্য মনস্তাপে ক্লিষ্ট হতে থাকে।",
              "numberInSurah": 58,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-বুশশিরা আহাদুহুম বিলউনছা-জাল্লা ওয়াজহুহূমুছওয়াদ্দাওঁ ওয়া হুওয়া কাজীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//بُشِّرَ/بُشِّرَ/bushira//اَحَدُهُمْ/أَحَدُهُم/ahaduhum//بِالْاُنْثٰی/بِٱلۡأُنثَىٰ/bil-untha//ظَلَّ/ظَلَّ/zalla//وَجْهُهٗ/وَجۡهُهُۥ/wajhuhu//مُسْوَدًّا/مُسۡوَدّٗا/mus'waddan//وَّ هُوَ/وَهُوَ/wahuwa//كَظِیْمٌۚ/كَظِيمٞ/kazimun",
              "words_bangla": "অথচ যখন//সুখবর দেয়া হয়//তাদের কাউকে//ব্যাপারে কন্যা-সন্তানের//হয়ে যায়//তার মুখ//কালো//এবং সে (হয়)//উত্তেজনা প্রশমনকারী"
            },
            {
              "number": 1960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1960.mp3"
              ],
              "text": "يَتَوَٰرَىٰ مِنَ ٱلْقَوْمِ مِن سُوٓءِ مَا بُشِّرَ بِهِۦٓ ۚ أَيُمْسِكُهُۥ عَلَىٰ هُونٍ أَمْ يَدُسُّهُۥ فِى ٱلتُّرَابِ ۗ أَلَا سَآءَ مَا يَحْكُمُونَ",
              "translate_bn": "তাকে শোনানো সুসংবাদের দুঃখে সে লোকদের কাছ থেকে মুখ লুকিয়ে থাকে। সে ভাবে, অপমান সহ্য করে তাকে থাকতে দেবে, না তাকে মাটির নীচে পুতে ফেলবে। শুনে রাখ, তাদের ফয়সালা খুবই নিকৃষ্ট।",
              "numberInSurah": 59,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ইয়াতাওয়া-রা-মিনাল কাওমি মিন ছূই মা-বুশশিরা বিহী আইউমছিকুহূ‘আলা-হূনিন আম ইয়াদুছছুহূফিততুরা-বি আলা-ছাআ মা-ইয়াহকুমূন।",
              "words_arabic": "یَتَوَارٰی/يَتَوَٰرَىٰ/yatawara//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//مِنْ/مِن/min//سُوْٓءِ/سُوٓءِ/sui//مَا/مَا/ma//بُشِّرَ/بُشِّرَ/bushira//بِهٖ ؕ/بِهِۦٓۚ/bihi//اَیُمْسِكُهٗ/أَيُمۡسِكُهُۥ/ayum'sikuhu//عَلٰی/عَلَىٰ/ala//هُوْنٍ/هُونٍ/hunin//اَمْ/أَمۡ/am//یَدُسُّهٗ/يَدُسُّهُۥ/yadussuhu//فِی/فِي/fi//التُّرَابِ ؕ/ٱلتُّرَابِۗ/al-turabi//اَلَا/أَلَا/ala//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَحْكُمُوْنَ /يَحۡكُمُونَ/yahkumuna",
              "words_bangla": "আত্ন গোপন করে//থেকে//লোকদের//কারণে//লজ্জার//যা//সুসংবাদ দেয়া হয়//সম্পর্কে সে//কি তাকে রেখে দিবে//সত্ত্বেও উপর//হীনতা (লাঞ্ছনা সহ্য করে)//না//তাকে পুঁতে ফেলবে//মধ্যে//মাটির//সাবধান (লক্ষ্য করো)//কত নিকৃষ্ট//যা//তারা সিদ্ধান্ত নেয়"
            },
            {
              "number": 1961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1961.mp3"
              ],
              "text": "لِلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ مَثَلُ ٱلسَّوْءِ ۖ وَلِلَّهِ ٱلْمَثَلُ ٱلْأَعْلَىٰ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "যারা পরকাল বিশ্বাস করে না, তাদের উদাহরণ নিকৃষ্ট এবং আল্লাহর উদাহরণই মহান, তিনি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 60,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 230,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "লিলাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি মাছালুছছাওই ওয়া লিল্লা-হিল মাছালুল আ‘লা- ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//مَثَلُ/مَثَلُ/mathalu//السَّوْءِ ۚ/ٱلسَّوۡءِۖ/al-sawi//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//الْمَثَلُ/ٱلۡمَثَلُ/al-mathalu//الْاَعْلٰی ؕ/ٱلۡأَعۡلَىٰۚ/al-a'la//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "জন্যে যারা তাদের//না//বিশ্বাস করে//আখেরাতের উপর//দৃষ্টান্ত//বড় নিকৃষ্ট//এবং আল্লাহর জন্যে//দৃষ্টান্ত (গুণাবলী)//সর্বোচ্চ//এবং তিনিই//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 1962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1962.mp3"
              ],
              "text": "وَلَوْ يُؤَاخِذُ ٱللَّهُ ٱلنَّاسَ بِظُلْمِهِم مَّا تَرَكَ عَلَيْهَا مِن دَآبَّةٍۢ وَلَٰكِن يُؤَخِّرُهُمْ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى ۖ فَإِذَا جَآءَ أَجَلُهُمْ لَا يَسْتَـْٔخِرُونَ سَاعَةًۭ ۖ وَلَا يَسْتَقْدِمُونَ",
              "translate_bn": "যদি আল্লাহ লোকদেরকে তাদের অন্যায় কাজের কারণে পাকড়াও করতেন, তবে ভুপৃষ্ঠে চলমান কোন কিছুকেই ছাড়তেন না। কিন্তু তিনি প্রতিশ্রুতি সময় পর্যন্ত তাদেরকে অবকাশ দেন। অতঃপর নির্ধারিত সময়ে যখন তাদের মৃত্যু এসে যাবে, তখন এক মুহুর্তও বিলম্বিত কিংবা তরাম্বিত করতে পারবে না।",
              "numberInSurah": 61,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 231,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও ইউআ-খিযু ল্লা-হুন্না-ছা বিজুলমিহিম মা-তারাকা ‘আলাইহা-মিন দাব্বাতিওঁ ওয়ালা-কিইঁ ইউআখরিম্নহুম ইলাআজালিম মুছাম্মান ফাইযা-জাআ আজালুহুম লাইয়াছতা’খিরূনা ছা-‘আতাওঁ ওয়ালা-ইয়াছতাকদিমূন।\r\n",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//یُؤَاخِذُ/يُؤَاخِذُ/yuakhidhu//اللّٰهُ/ٱللَّهُ/al-lahu//النَّاسَ/ٱلنَّاسَ/al-nasa//بِظُلْمِهِمْ/بِظُلۡمِهِم/bizul'mihim//مَّا/مَّا/ma//تَرَكَ/تَرَكَ/taraka//عَلَیْهَا/عَلَيۡهَا/alayha//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//وَّ لٰكِنْ/وَلَٰكِن/walakin//یُّؤَخِّرُهُمْ/يُؤَخِّرُهُمۡ/yu-akhiruhum//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی ۚ/مُّسَمّٗىۖ/musamman//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//اَجَلُهُمْ/أَجَلُهُمۡ/ajaluhum//لَا/لَا/la//یَسْتَاْخِرُوْنَ/يَسۡتَـٔۡخِرُونَ/yastakhiruna//سَاعَةً/سَاعَةٗ/sa'atan//وَّ لَا/وَلَا/wala//یَسْتَقْدِمُوْنَ /يَسۡتَقۡدِمُونَ/yastaqdimuna",
              "words_bangla": "এবং যদি//ধরতেন//আল্লাহ্‌//মানুষদেরকে//জন্যে তাদের বাড়াবাড়ির//না//ছাড়তেন//তার উপর//কোনো//প্রানীকেও//কিন্তু//তাদের অবকাশ দেন//পর্যন্ত//কাল//নির্দিষ্ট//অতঃপর যখন//আসবে//তাদের সময়//না//তারা দেরি করতে পারবে//এক মুহূর্ত//আর না//তারা তাড়াহুড়ো করতে পারবে"
            },
            {
              "number": 1963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1963.mp3"
              ],
              "text": "وَيَجْعَلُونَ لِلَّهِ مَا يَكْرَهُونَ وَتَصِفُ أَلْسِنَتُهُمُ ٱلْكَذِبَ أَنَّ لَهُمُ ٱلْحُسْنَىٰ ۖ لَا جَرَمَ أَنَّ لَهُمُ ٱلنَّارَ وَأَنَّهُم مُّفْرَطُونَ",
              "translate_bn": "যা নিজেদের মন চায় না তারই তারা আল্লাহর জন্যে সাব্যস্ত করে এবং তাদের জিহবা মিথ্যা বর্ণনা করে যে, তাদের জন্যে রয়েছে কল্যাণ। স্বতঃসিদ্ধ কথা যে, তাদের জন্যে রয়েছে আগুন এবং তাদেরকেই সর্বাগ্রে নিক্ষেপ করা হবে।",
              "numberInSurah": 62,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 231,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াজ আলূনা লিল্লা-হি মা ইয়াকরাহূনা ওয়া তাসিফুআলছিনাতুহুমুল কাযিবা আন্না লাহুমুল হুছনা লা-জারামা আন্না লাহুমুন না-রা ওয়া আন্নাহুম মুফরাতূন।",
              "words_arabic": "وَ یَجْعَلُوْنَ/وَيَجۡعَلُونَ/wayaj'aluna//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//یَكْرَهُوْنَ/يَكۡرَهُونَۚ/yakrahuna//وَ تَصِفُ/وَتَصِفُ/watasifu//اَلْسِنَتُهُمُ/أَلۡسِنَتُهُمُ/alsinatuhumu//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//اَنَّ/أَنَّ/anna//لَهُمُ/لَهُمُ/lahumu//الْحُسْنٰی ؕ/ٱلۡحُسۡنَىٰۚ/al-hus'na//لَا/لَا/la//جَرَمَ/جَرَمَ/jarama//اَنَّ/أَنَّ/anna//لَهُمُ/لَهُمُ/lahumu//النَّارَ/ٱلنَّارَ/al-nara//وَ اَنَّهُمْ/وَأَنَّهُم/wa-annahum//مُّفْرَطُوْنَ /مُّفۡرَطُونَ/muf'ratuna",
              "words_bangla": "এবং তারা সাব্যস্ত করে//জন্যে আল্লাহর//যা//তারা অপছন্দ করে//এবং বর্ণনা করে//তাদের জিহবাগুলো//মিথ্যা//যে//জন্যে তাদেরই//কল্যাণ//নেই//সন্দেহ//যে//জন্যে তাদের (রয়েছে)//আগুন//এবং (এও) যে তাদের//সবার আগে তারা নিক্ষিপ্ত হবে"
            },
            {
              "number": 1964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1964.mp3"
              ],
              "text": "تَٱللَّهِ لَقَدْ أَرْسَلْنَآ إِلَىٰٓ أُمَمٍۢ مِّن قَبْلِكَ فَزَيَّنَ لَهُمُ ٱلشَّيْطَٰنُ أَعْمَٰلَهُمْ فَهُوَ وَلِيُّهُمُ ٱلْيَوْمَ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "আল্লাহর কসম, আমি আপনার পূর্বে বিভিন্ন সম্প্রদায়ে রাসূল প্রেরণ করেছি, অতঃপর শয়তান তাদেরকে কর্ম সমূহ শোভনীয় করে দেখিয়েছে। আজ সেই তাদের অভিভাবক এবং তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 63,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 231,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "তাল্লা-হি লাকাদ আরছালনাইলাউমামিম মিন কাবলিকা ফাঝাইইয়ানা লাহুমুশ শাইতা-নু আ‘মা-লাহুম ফাহুওয়া ওয়ালিইয়ুহুমুল ইয়াওমা ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "تَاللّٰهِ/تَٱللَّهِ/tal-lahi//لَقَدْ/لَقَدۡ/laqad//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلٰۤی/إِلَىٰٓ/ila//اُمَمٍ/أُمَمٖ/umamin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَزَیَّنَ/فَزَيَّنَ/fazayyana//لَهُمُ/لَهُمُ/lahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//فَهُوَ/فَهُوَ/fahuwa//وَلِیُّهُمُ/وَلِيُّهُمُ/waliyyuhumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "শপথ আল্লাহর//নিশ্চয়ই//আমরা পাঠিয়েছি//প্রতি//জাতিসমূহের//থেকে//তোমার পূর্ব//অতঃপর শোভন করেছিলো//জন্যে তাদের//শয়তান//তাদের কাজগুলোকে//অতঃপর সেই//তাদের অভিভাবক//আজ//এবং জন্যে তাদের (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 1965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1965.mp3"
              ],
              "text": "وَمَآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَٰبَ إِلَّا لِتُبَيِّنَ لَهُمُ ٱلَّذِى ٱخْتَلَفُوا۟ فِيهِ ۙ وَهُدًۭى وَرَحْمَةًۭ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "আমি আপনার প্রতি এ জন্যেই গ্রন্থ নাযিল করেছি, যাতে আপনি সরল পথ প্রদর্শনের জন্যে তাদের কে পরিষ্কার বর্ণনা করে দেন, যে বিষয়ে তারা মতবিরোধ করছে এবং ঈমানদারকে ক্ষমা করার জন্যে।",
              "numberInSurah": 64,
              "juz": 14,
              "manzil": 3,
              "page": 273,
              "ruku": 231,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনঝালনা-‘আলাইকাল কিতা-বা ইল্লা লিতুবাইয়িনা লাহুমুল লাযীখ তালাফূফীহি ওয়াহুদাওঁ ওয়া রাহমাতাল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//اِلَّا/إِلَّا/illa//لِتُبَیِّنَ/لِتُبَيِّنَ/litubayyina//لَهُمُ/لَهُمُ/lahumu//الَّذِی/ٱلَّذِي/alladhi//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِیْهِ ۙ/فِيهِ/fihi//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং না//আমরা অবতীর্ণ করেছি//তোমার উপর//কিতাব//ছাড়া//যেন তুমি প্রকাশ করো//তাদের কাছে//সে বিষয়ে//তারা মত-বিরোধ করেছে//মধ্যে যার//এবং পথনির্দেশ//ও দয়াস্বরূপ//জন্যে লোকদের//(যারা) বিশ্বাস করে"
            },
            {
              "number": 1966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1966.mp3"
              ],
              "text": "وَٱللَّهُ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَسْمَعُونَ",
              "translate_bn": "আল্লাহ আকাশ থেকে পানি বর্ষণ করেছেন, তদ্বারা যমীনকে তার মৃত্যুর পর পুনর্জীবিত করেছেন। নিশ্চয় এতে তাদের জন্যে নিদর্শন রয়েছে, যারা শ্রবণ করে।",
              "numberInSurah": 65,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 231,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু আনঝালা মিনাছছামা-ই মা-আন ফাআহইয়া-বিহিল আরদা বা‘দা মাওতিহা- ইন্না ফী যা-লিকা লাআ-ইয়াতাল লিকাওমিইঁ ইয়াছমা’ঊন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَحْیَا/فَأَحۡيَا/fa-ahya//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَآۚ/mawtiha//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّسْمَعُوْنَ۠/يَسۡمَعُونَ/yasma'una",
              "words_bangla": "এবং আল্লাহ্‌//বর্ষণ করেন//থেকে//আকাশ//পানি//অতঃপর প্রাণ দেন//দিয়ে তা//জমিকে//পর//তার মৃত্যুর//নিশ্চয়ই//মধ্যে//এর//অবশ্যই নিদর্শন//জন্যে লোকদের//(যারা) শুনে"
            },
            {
              "number": 1967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1967.mp3"
              ],
              "text": "وَإِنَّ لَكُمْ فِى ٱلْأَنْعَٰمِ لَعِبْرَةًۭ ۖ نُّسْقِيكُم مِّمَّا فِى بُطُونِهِۦ مِنۢ بَيْنِ فَرْثٍۢ وَدَمٍۢ لَّبَنًا خَالِصًۭا سَآئِغًۭا لِّلشَّٰرِبِينَ",
              "translate_bn": "তোমাদের জন্যে চতুস্পদ জন্তুদের মধ্যে চিন্তা করার অবকাশ রয়েছে। আমি তোমাদেরকে পান করাই তাদের উদরস্থিত বস্তুসমুহের মধ্যে থেকে গোবর ও রক্ত নিঃসৃত দুগ্ধ যা পানকারীদের জন্যে উপাদেয়।",
              "numberInSurah": 66,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 232,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লাকুম ফিল আন‘আ-মি লা‘ইবরাতান নুছকীকুম মিম্মা-ফী বুতূনিহী মিম বাইনি ফারছিওঁ ওয়া দামিল লাবানান খা-লিসান ছাইগাল লিশশা-রিবীন ।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لَكُمْ/لَكُمۡ/lakum//فِی/فِي/fi//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//لَعِبْرَةً ؕ/لَعِبۡرَةٗۖ/la'ib'ratan//نُسْقِیْكُمْ/نُّسۡقِيكُم/nus'qikum//مِّمَّا/مِّمَّا/mimma//فِیْ/فِي/fi//بُطُوْنِهٖ/بُطُونِهِۦ/butunihi//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//فَرْثٍ/فَرۡثٖ/farthin//وَّ دَمٍ/وَدَمٖ/wadamin//لَّبَنًا/لَّبَنًا/labanan//خَالِصًا/خَالِصٗا/khalisan//سَآىِٕغًا/سَآئِغٗا/saighan//لِّلشّٰرِبِیْنَ /لِّلشَّـٰرِبِينَ/lilsharibina",
              "words_bangla": "এবং নিশ্চয়ই//জন্যে তোমাদের//মধ্যে রয়েছে//গবাদিপশুর//অবশ্যই শিক্ষা//আমরা পান করাই তোমাদের//তা হ'তে যা//মধ্যে আছে//তার পেটগুলোর//থেকে//মধ্য//গোবর//ও রক্তের//(তা হলো) দুধ//বিশুদ্ধ//উপাদেয়//জন্যে পানকারীদের"
            },
            {
              "number": 1968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1968.mp3"
              ],
              "text": "وَمِن ثَمَرَٰتِ ٱلنَّخِيلِ وَٱلْأَعْنَٰبِ تَتَّخِذُونَ مِنْهُ سَكَرًۭا وَرِزْقًا حَسَنًا ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "এবং খেজুর বৃক্ষ ও আঙ্গুর ফল থেকে তোমরা মধ্য ও উত্তম খাদ্য তৈরী করে থাক, এতে অবশ্যই বোধশক্তি সম্পন্ন সম্প্রদায়ের জন্যে নিদর্শন রয়েছে।",
              "numberInSurah": 67,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 232,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন ছামারা-তিন নাখীলি ওয়াল আ‘না-বি তাত্তাখিযূনা মিনহু ছাকারাওঁ ওয়ারিঝকান হাছানান ইন্না ফী যা-লিকা লাআ-ইয়াতাল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//ثَمَرٰتِ/ثَمَرَٰتِ/thamarati//النَّخِیْلِ/ٱلنَّخِيلِ/al-nakhili//وَ الْاَعْنَابِ/وَٱلۡأَعۡنَٰبِ/wal-a'nabi//تَتَّخِذُوْنَ/تَتَّخِذُونَ/tattakhidhuna//مِنْهُ/مِنۡهُ/min'hu//سَكَرًا/سَكَرٗا/sakaran//وَّ رِزْقًا/وَرِزۡقًا/wariz'qan//حَسَنًا ؕ/حَسَنًاۚ/hasanan//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং থেকে//ফলগুলো//খেজুর গাছের//ও আঙ্গুরগুলো//তোমরা গ্রহণ করো//তা থেকে//মাদকদ্রব্য//ও জীবিকা//উত্তম//নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই নিদর্শন//জন্যে লোকদের//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 1969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1969.mp3"
              ],
              "text": "وَأَوْحَىٰ رَبُّكَ إِلَى ٱلنَّحْلِ أَنِ ٱتَّخِذِى مِنَ ٱلْجِبَالِ بُيُوتًۭا وَمِنَ ٱلشَّجَرِ وَمِمَّا يَعْرِشُونَ",
              "translate_bn": "আপনার পালনকর্তা মধু মক্ষিকাকে আদেশ দিলেনঃ পর্বতগাহ্রে, বৃক্ষ এবং উঁচু চালে গৃহ তৈরী কর,",
              "numberInSurah": 68,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 232,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওহা- রাব্বুকা ইলান নাহলি আনিত্তাখিযীমিনালজিবা-লি বুইঊতাও ওয়া মিনাশশাজারি ওয়া মিম্মা-ইয়া‘রিশূন।",
              "words_arabic": "وَ اَوْحٰی/وَأَوۡحَىٰ/wa-awha//رَبُّكَ/رَبُّكَ/rabbuka//اِلَی/إِلَى/ila//النَّحْلِ/ٱلنَّحۡلِ/al-nahli//اَنِ/أَنِ/ani//اتَّخِذِیْ/ٱتَّخِذِي/ittakhidhi//مِنَ/مِنَ/mina//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//بُیُوْتًا/بُيُوتٗا/buyutan//وَّ مِنَ/وَمِنَ/wamina//الشَّجَرِ/ٱلشَّجَرِ/al-shajari//وَ مِمَّا/وَمِمَّا/wamimma//یَعْرِشُوْنَۙ/يَعۡرِشُونَ/ya'rishuna",
              "words_bangla": "এবং ওহী করেন//তার রব//প্রতি//মৌমাছির//যে//\"গ্রহণ করো (বানাও)//মধ্যে//পাহাড়গুলোর//ঘরসমূহ (অর্থাৎ চাক)//ও মধ্যে//গাছের//এবং ঐ বস্তুর মধ্যে যা//তারা উঁচু করে (দালান বা মাচা)"
            },
            {
              "number": 1970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1970.mp3"
              ],
              "text": "ثُمَّ كُلِى مِن كُلِّ ٱلثَّمَرَٰتِ فَٱسْلُكِى سُبُلَ رَبِّكِ ذُلُلًۭا ۚ يَخْرُجُ مِنۢ بُطُونِهَا شَرَابٌۭ مُّخْتَلِفٌ أَلْوَٰنُهُۥ فِيهِ شِفَآءٌۭ لِّلنَّاسِ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "এরপর সর্বপ্রকার ফল থেকে ভক্ষণ কর এবং আপন পালনকর্তার উম্মুক্ত পথ সমূহে চলমান হও। তার পেট থেকে বিভিন্ন রঙে পানীয় নির্গত হয়। তাতে মানুষের জন্যে রয়েছে রোগের প্রতিকার। নিশ্চয় এতে চিন্তাশীল সম্প্রদায়ের জন্যে নিদর্শন রয়েছে।",
              "numberInSurah": 69,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 232,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কুলী মিন কুল্লিছছামারা-তি ফাছলুকী ছুবুলা রাব্বিকি যুলুলান ইয়াখরুজুমিম বুতূনিহা-শারা-বুম মুখতালিফুন আলওয়া-নুহূফীহি শিফাউললিন্না-ছি ইন্না ফী যালিকা লাআ-ইয়াতাল লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كُلِیْ/كُلِي/kuli//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//فَاسْلُكِیْ/فَٱسۡلُكِي/fa-us'luki//سُبُلَ/سُبُلَ/subula//رَبِّكِ/رَبِّكِ/rabbiki//ذُلُلًا ؕ/ذُلُلٗاۚ/dhululan//یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْۢ/مِنۢ/min//بُطُوْنِهَا/بُطُونِهَا/butuniha//شَرَابٌ/شَرَابٞ/sharabun//مُّخْتَلِفٌ/مُّخۡتَلِفٌ/mukh'talifun//اَلْوَانُهٗ/أَلۡوَٰنُهُۥ/alwanuhu//فِیْهِ/فِيهِ/fihi//شِفَآءٌ/شِفَآءٞ/shifaon//لِّلنَّاسِ ؕ/لِّلنَّاسِۚ/lilnnasi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "এরপর//খাও//থেকে//প্রত্যেক//ফলসমূহ//অতঃপর চলো//পথসমূহে//তোমার রবের//সহজ\"//বের হয়//থেকে//তাদের পেটসমূহ//পানীয়//নানা রকম//তার রংসমূহ//মধ্যে তার//আরোগ্য (আছে)//মানুষের জন্যে//নিশ্চয়ই//মধ্যে//এর (রয়েছে)//অবশ্যই নিদর্শন//জন্যে লোকদের//(যারা) চিন্তা ভাবনা করে"
            },
            {
              "number": 1971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1971.mp3"
              ],
              "text": "وَٱللَّهُ خَلَقَكُمْ ثُمَّ يَتَوَفَّىٰكُمْ ۚ وَمِنكُم مَّن يُرَدُّ إِلَىٰٓ أَرْذَلِ ٱلْعُمُرِ لِكَىْ لَا يَعْلَمَ بَعْدَ عِلْمٍۢ شَيْـًٔا ۚ إِنَّ ٱللَّهَ عَلِيمٌۭ قَدِيرٌۭ",
              "translate_bn": "আল্লাহ তোমাদেরকে সৃষ্টি করেছেন এরপর তোমাদের মৃত্যুদান করেন। তোমাদের মধ্যে কেউ কেউ পৌছে যায় জরাগ্রস্ত অকর্মন্য বয়সে, ফলে যা কিছু তারা জানত সে সম্পর্কে তারা সজ্ঞান থাকবে না। নিশ্চয় আল্লাহ সু-বিজ্ঞ সর্বশক্তিমান।",
              "numberInSurah": 70,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 232,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু খালাকাকুম ছু ম্মা ইয়াতাওয়াফফা-কুম ওয়া মিনকুম মাইঁ ইউরাদ্দুইলা আরযালিল ‘উমুরি লিকাই লা-ইয়া‘লামা বা‘দা ‘ইলমিন শাইআন ইন্নাল্লা-হা ‘আলীমুন কাদীর।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//ثُمَّ/ثُمَّ/thumma//یَتَوَفّٰىكُمْ ۙ۫/يَتَوَفَّىٰكُمۡۚ/yatawaffakum//وَ مِنْكُمْ/وَمِنكُم/waminkum//مَّنْ/مَّن/man//یُّرَدُّ/يُرَدُّ/yuraddu//اِلٰۤی/إِلَىٰٓ/ila//اَرْذَلِ/أَرۡذَلِ/ardhali//الْعُمُرِ/ٱلۡعُمُرِ/al-'umuri//لِكَیْ/لِكَيۡ/likay//لَا/لَا/la//یَعْلَمَ/يَعۡلَمَ/ya'lama//بَعْدَ/بَعۡدَ/ba'da//عِلْمٍ/عِلۡمٖ/il'min//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌ/عَلِيمٞ/alimun//قَدِیْرٌ۠/قَدِيرٞ/qadirun",
              "words_bangla": "এবং আল্লাহ্‌//সৃষ্টি করেছেন তোমাদের//এরপর//তোমাদেরকে মৃত্যু দিবেন//এবং তোমাদের মধ্যে থেকে//কাউকে//ফিরিয়ে নেয়া হয়//দিকে//নিকৃষ্টতার//বয়সের//যেন//না//জানে//পরেও//সবকিছু জানার//কিছুই//নিশ্চয়ই//আল্লাহ্‌//মহাজ্ঞানী//সর্বশক্তিমান"
            },
            {
              "number": 1972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1972.mp3"
              ],
              "text": "وَٱللَّهُ فَضَّلَ بَعْضَكُمْ عَلَىٰ بَعْضٍۢ فِى ٱلرِّزْقِ ۚ فَمَا ٱلَّذِينَ فُضِّلُوا۟ بِرَآدِّى رِزْقِهِمْ عَلَىٰ مَا مَلَكَتْ أَيْمَٰنُهُمْ فَهُمْ فِيهِ سَوَآءٌ ۚ أَفَبِنِعْمَةِ ٱللَّهِ يَجْحَدُونَ",
              "translate_bn": "আল্লাহ তা’আলা জীবনোপকরণে তোমাদের একজনকে অন্যজনের চাইতে শ্রেষ্টত্ব দিয়েছেন। অতএব যাদেরকে শ্রেষ্ঠত্ব দেয়া হয়েছে, তারা তাদের অধীনস্থ দাস-দাসীদেরকে স্বীয় জীবিকা থেকে এমন কিছু দেয় না, যাতে তারা এ বিষয়ে তাদের সমান হয়ে যাবে। তবে কি তারা আল্লাহর নেয়ামত অস্বীকার করে।",
              "numberInSurah": 71,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 233,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু ফাদ্দালা বা‘দাকুম ‘আলা-বা‘দিন ফির রিঝকি ফামাল্লাযীনা ফুদ্দিলূ বিরাদ্দী রিঝকিহিম ‘আলা-মা-মালাকাত আইমা-নুহুম ফাহুম ফীহি ছাওয়াউন আফাবিনি‘মাতিল্লা-হি ইয়াজহাদূ ন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//فَضَّلَ/فَضَّلَ/faddala//بَعْضَكُمْ/بَعۡضَكُمۡ/ba'dakum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//فِی/فِي/fi//الرِّزْقِ ۚ/ٱلرِّزۡقِۚ/al-riz'qi//فَمَا/فَمَا/fama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فُضِّلُوْا/فُضِّلُواْ/fuddilu//بِرَآدِّیْ/بِرَآدِّي/biraddi//رِزْقِهِمْ/رِزۡقِهِمۡ/riz'qihim//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُمْ/أَيۡمَٰنُهُمۡ/aymanuhum//فَهُمْ/فَهُمۡ/fahum//فِیْهِ/فِيهِ/fihi//سَوَآءٌ ؕ/سَوَآءٌۚ/sawaon//اَفَبِنِعْمَةِ/أَفَبِنِعۡمَةِ/afabini'mati//اللّٰهِ/ٱللَّهِ/al-lahi//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "এবং আল্লাহ্‌//শ্রেষ্ঠত্ব দিয়েছেন//তোমাদের কাউকে//উপরে//কারও//বেলায়//জীবনের উপকরণের//অতঃপর না//যাদেরকে//শ্রেষ্ঠত্ব দেয়া হয়েছে//প্রত্যাবর্তনকারী//জীবিকা তাদের//কাছে//(গোলামদের) যা//মালিক (হয়েছে)//তাদের ডানহাতসমূহ//যেন তারা//সে বিষয়ে//(হ'তে পারে) সমান//তবে কি অনুগ্রহকে//আল্লাহর//তারা অস্বীকার করে"
            },
            {
              "number": 1973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1973.mp3"
              ],
              "text": "وَٱللَّهُ جَعَلَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًۭا وَجَعَلَ لَكُم مِّنْ أَزْوَٰجِكُم بَنِينَ وَحَفَدَةًۭ وَرَزَقَكُم مِّنَ ٱلطَّيِّبَٰتِ ۚ أَفَبِٱلْبَٰطِلِ يُؤْمِنُونَ وَبِنِعْمَتِ ٱللَّهِ هُمْ يَكْفُرُونَ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে তোমাদেরই শ্রেণী থেকে জোড়া পয়দা করেছেন এবং তোমাদের যুগল থেকে তোমাদেরকে পুত্র ও পৌত্রাদি দিয়েছেন এবং তোমাদেরকে উত্তম জীবনোপকরণ দান করেছেন। অতএব তারা কি মিথ্যা বিষয়ে বিশ্বাস স্থাপন করে এবং আল্লাহর অনুগ্রহ অস্বীকার করে?",
              "numberInSurah": 72,
              "juz": 14,
              "manzil": 3,
              "page": 274,
              "ruku": 233,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু জা‘আলা লাকুম মিন আনফুছিকুম আঝওয়া-জাওঁ ওয়া জা‘আলা লাকুম মিন আঝওয়াজিকুম বানীনা ওয়া হাফাদাতাওঁ ওয়া রাঝাকাকুম মিনাততাইয়িবা-তি আফাবিলবাতিলি ইউ’মিনূনা ওয়া বিনি‘মাতিল্লা-হি হুম ইয়াকফুরূন।\r\n",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//جَعَلَ/جَعَلَ/ja'ala//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اَزْوَاجِكُمْ/أَزۡوَٰجِكُم/azwajikum//بَنِیْنَ/بَنِينَ/banina//وَ حَفَدَةً/وَحَفَدَةٗ/wahafadatan//وَّ رَزَقَكُمْ/وَرَزَقَكُم/warazaqakum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ ؕ/ٱلطَّيِّبَٰتِۚ/al-tayibati//اَفَبِالْبَاطِلِ/أَفَبِٱلۡبَٰطِلِ/afabil-batili//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//وَ بِنِعْمَتِ/وَبِنِعۡمَتِ/wabini'mati//اللّٰهِ/ٱللَّهِ/al-lahi//هُمْ/هُمۡ/hum//یَكْفُرُوْنَۙ/يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "এবং আল্লাহ্‌//সৃষ্টি করেছেন//জন্যে তোমাদের//মধ্য হ'তে//তোমাদের স্বজাতীয়দের//জোড়াসমূহ//এবং সৃষ্টি করেছেন//জন্যে তোমাদের//থেকে//তোমাদের যুগলগুলো//পুত্রসমূহ//ও পৌত্রসমূহ//এবং তোমাদের জীবিকা দিয়েছেন//থেকে//উত্তম বস্তু//কি তবে উপর বাতিলের//তারা ঈমান আনবে//এবং অনুগ্রহসমূহকে//আল্লাহর//তারা//অস্বীকার করবে"
            },
            {
              "number": 1974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1974.mp3"
              ],
              "text": "وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَمْلِكُ لَهُمْ رِزْقًۭا مِّنَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ شَيْـًۭٔا وَلَا يَسْتَطِيعُونَ",
              "translate_bn": "তারা আল্লাহ ব্যতীত এমন বস্তুর ইবাদত করে, যে তাদের জন্যে ভুমন্ডল ও নভোমন্ডল থেকে সামান্য রুযী দেওয়ার ও অধিকার রাখে না এবং মুক্তি ও রাখে না।",
              "numberInSurah": 73,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 233,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া‘বুদূনা মিন দূনিল্লা-হি মা-লা-ইয়ামলিকুলাহুম রিঝকাম মিনাছ ছামা-ওয়া-তি ওয়াল আরদিশাইআওঁ ওয়ালা-ইয়াছতাতী‘ঊন।",
              "words_arabic": "وَ یَعْبُدُوْنَ/وَيَعۡبُدُونَ/waya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَمْلِكُ/يَمۡلِكُ/yamliku//لَهُمْ/لَهُمۡ/lahum//رِزْقًا/رِزۡقٗا/riz'qan//مِّنَ/مِّنَ/mina//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَسْتَطِیْعُوْنَۚ/يَسۡتَطِيعُونَ/yastati'una",
              "words_bangla": "এবং তারা উপাসনা করবে (কি)//থেকে//ছাড়া//আল্লাহর (অন্য কিছুকে)//যা//না//ক্ষমতা রাখে//জন্যে তাদেন//জীবিকার//থেকে//আকাশমন্ডলী//অথবা পৃথিবী (থেকে)//কিছুমাত্র//এবং না//তারা (কিছুই) করতে সক্ষম"
            },
            {
              "number": 1975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1975.mp3"
              ],
              "text": "فَلَا تَضْرِبُوا۟ لِلَّهِ ٱلْأَمْثَالَ ۚ إِنَّ ٱللَّهَ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "অতএব, আল্লাহর কোন সদৃশ সাব্যস্ত করো না, নিশ্চয় আল্লাহ জানেন এবং তোমরা জান না।",
              "numberInSurah": 74,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 233,
              "hizbQuarter": 109,
              "sajda": false,
              "pronunciation_bn": "ফালা-তাদরিবূলিল্লা-হিল আমছা-লা ইন্নাল্লা-হা ইয়া‘লামুওয়া আনতুম লা-তা‘লামূন।",
              "words_arabic": "فَلَا/فَلَا/fala//تَضْرِبُوْا/تَضۡرِبُواْ/tadribu//لِلّٰهِ/لِلَّهِ/lillahi//الْاَمْثَالَ ؕ/ٱلۡأَمۡثَالَۚ/al-amthala//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "সুতরাং না//তোমরা বর্ণনা করো//জন্যে আল্লাহর//(কাউকে) সদৃশ//নিশ্চয়ই//আল্লাহ্‌//জানেন//এবং তোমরা//না//জানো"
            },
            {
              "number": 1976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1976.mp3"
              ],
              "text": "۞ ضَرَبَ ٱللَّهُ مَثَلًا عَبْدًۭا مَّمْلُوكًۭا لَّا يَقْدِرُ عَلَىٰ شَىْءٍۢ وَمَن رَّزَقْنَٰهُ مِنَّا رِزْقًا حَسَنًۭا فَهُوَ يُنفِقُ مِنْهُ سِرًّۭا وَجَهْرًا ۖ هَلْ يَسْتَوُۥنَ ۚ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "আল্লাহ একটি দৃষ্টান্ত বর্ণনা করেছেন, অপরের মালিকানাধীন গোলামের যে, কোন কিছুর উপর শক্তি রাখে না এবং এমন একজন যাকে আমি নিজের পক্ষ থেকে চমৎকার রুযী দিয়েছি। অতএব, সে তা থেকে ব্যয় করে গোপনে ও প্রকাশ্যে উভয়ে কি সমান হয়? সব প্রশংসা আল্লাহর, কিন্তু অনেক মানুষ জানে না।",
              "numberInSurah": 75,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 233,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "দারাবাল্লা-হু মাছালান ‘আবদাম মামলূকাল লা-ইয়াকদিরু ‘আলা-শাইইওঁ ওয়া মার রাঝাকনা-হু মিন্না-রিঝকান হাছানান ফাহুওয়া ইউনফিকুমিনহু ছিররাওঁ ওয়া জাহরান হাল ইয়াছতাঊনা আলহামদুলিল্লা-হি বাল আকছারুহুম লা-ইয়া‘লামূন।",
              "words_arabic": "ضَرَبَ/۞ضَرَبَ/daraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلًا/mathalan//عَبْدًا/عَبۡدٗا/abdan//مَّمْلُوْكًا/مَّمۡلُوكٗا/mamlukan//لَّا/لَّا/la//یَقْدِرُ/يَقۡدِرُ/yaqdiru//عَلٰی/عَلَىٰ/ala//شَیْءٍ/شَيۡءٖ/shayin//وَّ مَنْ/وَمَن/waman//رَّزَقْنٰهُ/رَّزَقۡنَٰهُ/razaqnahu//مِنَّا/مِنَّا/minna//رِزْقًا/رِزۡقًا/riz'qan//حَسَنًا/حَسَنٗا/hasanan//فَهُوَ/فَهُوَ/fahuwa//یُنْفِقُ/يُنفِقُ/yunfiqu//مِنْهُ/مِنۡهُ/min'hu//سِرًّا/سِرّٗا/sirran//وَّ جَهْرًا ؕ/وَجَهۡرًاۖ/wajahran//هَلْ/هَلۡ/hal//یَسْتَوٗنَ ؕ/يَسۡتَوُۥنَۚ/yastawuna//اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "বর্ণনা করছেন//আল্লাহ্‌//উপমা//একজন দাসের//অপরের অধিকারভুক্ত//না//সে ক্ষমতা রাখে//উপর//কোনো কিছু (খরচ করতে)//এবং (এমন এক ব্যক্তির) যাকে//তাকে আমরা জীবিকা দিয়েছি//আমাদের থেকে//জীবিকা//উত্তম//অতঃপর সে//ব্যয় করে//থেকে তা//গোপনে//ও প্রকাশ্যে//কি//তারা সমান হয়//প্রশংসা মাত্রই//জন্যে আল্লাহর//বরং//তাদের অধিকাংশই//না//জানে"
            },
            {
              "number": 1977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1977.mp3"
              ],
              "text": "وَضَرَبَ ٱللَّهُ مَثَلًۭا رَّجُلَيْنِ أَحَدُهُمَآ أَبْكَمُ لَا يَقْدِرُ عَلَىٰ شَىْءٍۢ وَهُوَ كَلٌّ عَلَىٰ مَوْلَىٰهُ أَيْنَمَا يُوَجِّههُّ لَا يَأْتِ بِخَيْرٍ ۖ هَلْ يَسْتَوِى هُوَ وَمَن يَأْمُرُ بِٱلْعَدْلِ ۙ وَهُوَ عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আল্লাহ আরেকটি দৃষ্টান্ত বর্ণনা করেছেন, দু’ব্যক্তির, একজন বোবা কোন কাজ করতে পারে না। সে মালিকের উপর বোঝা। যেদিকে তাকে পাঠায়, কোন সঠিক কাজ করে আসে না। সে কি সমান হবে ঐ ব্যক্তির, যে ন্যায় বিচারের আদেশ করে এবং সরল পথে কায়েম রয়েছে।",
              "numberInSurah": 76,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 233,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া দারাবাল্লা-হু মাছালার রাজুলাইনি আহাদুহুমাআবকামুলা-ইয়াকদিরু ‘আলাশাইইওঁ ওয়া হুওয়া কাল্লুন ‘আলা-মাওলা-হু আইনামা-ইউওয়াজজিহহু লা-ইয়া’তি বিখাইরিন হাল ইয়াছতাবী হুওয়া ওয়া মাইঁ ইয়া’মরু বিল‘আদলি ওয়া হুওয়া ‘আলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ ضَرَبَ/وَضَرَبَ/wadaraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//رَّجُلَیْنِ/رَّجُلَيۡنِ/rajulayni//اَحَدُهُمَاۤ/أَحَدُهُمَآ/ahaduhuma//اَبْكَمُ/أَبۡكَمُ/abkamu//لَا/لَا/la//یَقْدِرُ/يَقۡدِرُ/yaqdiru//عَلٰی/عَلَىٰ/ala//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُوَ/وَهُوَ/wahuwa//كَلٌّ/كَلٌّ/kallun//عَلٰی/عَلَىٰ/ala//مَوْلٰىهُ ۙ/مَوۡلَىٰهُ/mawlahu//اَیْنَمَا/أَيۡنَمَا/aynama//یُوَجِّهْهُّ/يُوَجِّههُّ/yuwajjihhu//لَا/لَا/la//یَاْتِ/يَأۡتِ/yati//بِخَیْرٍ ؕ/بِخَيۡرٍ/bikhayrin//هَلْ/هَلۡ/hal//یَسْتَوِیْ/يَسۡتَوِي/yastawi//هُوَ ۙ/هُوَ/huwa//وَ مَنْ/وَمَن/waman//یَّاْمُرُ/يَأۡمُرُ/yamuru//بِالْعَدْلِ ۙ/بِٱلۡعَدۡلِ/bil-'adli//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ۠/مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "এবং বর্ণনা করেন//আল্লাহ্‌//উপমা//দু'ব্যক্তির//তাদের দু'জনের একজন//বোবা//না//ক্ষমতা রাখে//উপর//কোনো কিছুর//এবং সে//বোঝা//উপর//তার প্রভুর//যেদিকেই//তাকে পাঠায়//না//আসে//নিয়ে ভালো (কিছুই)//কি//সমান হয়//সে//ও যে//নির্দেশ দেয়//ন্যায়ের//এবং সে (আছে)//উপর//পথের//সরল-সঠিক"
            },
            {
              "number": 1978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1978.mp3"
              ],
              "text": "وَلِلَّهِ غَيْبُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَآ أَمْرُ ٱلسَّاعَةِ إِلَّا كَلَمْحِ ٱلْبَصَرِ أَوْ هُوَ أَقْرَبُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের গোপন রহস্য আল্লাহর কাছেই রয়েছে। কিয়ামতের ব্যাপারটি তো এমন, যেমন চোখের পলক অথবা তার চাইতেও নিকটবর্তী। নিশ্চয় আল্লাহ সব কিছুর উপর শক্তিমান।",
              "numberInSurah": 77,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি গাইবুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়ামা আমরুছ ছা-‘আতি ইল্লাকালামহিল বাসারি আও হুওয়া আকরাবু ইন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//غَیْبُ/غَيۡبُ/ghaybu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ مَاۤ/وَمَآ/wama//اَمْرُ/أَمۡرُ/amru//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//اِلَّا/إِلَّا/illa//كَلَمْحِ/كَلَمۡحِ/kalamhi//الْبَصَرِ/ٱلۡبَصَرِ/al-basari//اَوْ/أَوۡ/aw//هُوَ/هُوَ/huwa//اَقْرَبُ ؕ/أَقۡرَبُۚ/aqrabu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "এবং আল্লাহরই আছে//অদৃশ্যের (জ্ঞান)//আকাশমন্ডলীর//ও পৃথিবীর//এবং নয়//ব্যাপার//ক্বিয়ামাতের//এ ছাড়া (যে)//মতো পলকের//চোখের//বরং//তা//তারও চেয়ে নিকটতর//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 1979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1979.mp3"
              ],
              "text": "وَٱللَّهُ أَخْرَجَكُم مِّنۢ بُطُونِ أُمَّهَٰتِكُمْ لَا تَعْلَمُونَ شَيْـًۭٔا وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَٰرَ وَٱلْأَفْـِٔدَةَ ۙ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "আল্লাহ তোমাদেরকে তোমাদের মায়ের গর্ভ থেকে বের করেছেন। তোমরা কিছুই জানতে না। তিনি তোমাদেরকে কর্ণ, চক্ষু ও অন্তর দিয়েছেন, যাতে তোমরা অনুগ্রহ স্বীকার কর।",
              "numberInSurah": 78,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু আখরাজাকুম মিম বুতূনি উম্মাহা-তিকুম লা-তা‘লামূনা শাইআওঁ ওয়া জা‘আলা লাকুমুছ ছাম‘আ ওয়াল আব সা-রা ওয়াল আফইদাতা লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَخْرَجَكُمْ/أَخۡرَجَكُم/akhrajakum//مِّنْۢ/مِّنۢ/min//بُطُوْنِ/بُطُونِ/butuni//اُمَّهٰتِكُمْ/أُمَّهَٰتِكُمۡ/ummahatikum//لَا/لَا/la//تَعْلَمُوْنَ/تَعۡلَمُونَ/ta'lamuna//شَیْـًٔا ۙ/شَيۡـٔٗا/shayan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمُ/لَكُمُ/lakumu//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْاَبْصَارَ/وَٱلۡأَبۡصَٰرَ/wal-absara//وَ الْاَفْـِٕدَةَ ۙ/وَٱلۡأَفۡـِٔدَةَ/wal-afidata//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং আল্লাহ্‌//বের করেন তোমাদের//থেকে//পেটসমূহ//তোমাদের মায়ের (এ অবস্থায় যে)//না//তোমরা জানো//কিছুই//এবং দিয়েছেন//জন্যে তোমাদের//শ্রবণশক্তিসমূহ//এবং দৃষ্টিশক্তিসমূহ//এবং হৃদয়সমূহ//সম্ভবত তোমরা//তোমরা কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 1980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1980.mp3"
              ],
              "text": "أَلَمْ يَرَوْا۟ إِلَى ٱلطَّيْرِ مُسَخَّرَٰتٍۢ فِى جَوِّ ٱلسَّمَآءِ مَا يُمْسِكُهُنَّ إِلَّا ٱللَّهُ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তারা কি উড়ন্ত পাখীকে দেখে না? এগুলো আকাশের অন্তরীক্ষে আজ্ঞাধীন রয়েছে। আল্লাহ ছাড়া কেউ এগুলোকে আগলে রাখে না। নিশ্চয় এতে বিশ্বাসীদের জন্যে নিদর্শনবলী রয়েছে।",
              "numberInSurah": 79,
              "juz": 14,
              "manzil": 3,
              "page": 275,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়ারাও ইলাততাইরি মুছাখখারা-তিন ফী জাওবিছ ছামাই মা-ইউমছিকুহুন্না ইল্লাল্লা-হু ইন্নাফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَرَوْا/يَرَوۡاْ/yaraw//اِلَی/إِلَى/ila//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//مُسَخَّرٰتٍ/مُسَخَّرَٰتٖ/musakharatin//فِیْ/فِي/fi//جَوِّ/جَوِّ/jawwi//السَّمَآءِ ؕ/ٱلسَّمَآءِ/al-samai//مَا/مَا/ma//یُمْسِكُهُنَّ/يُمۡسِكُهُنَّ/yum'sikuhunna//اِلَّا/إِلَّا/illa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নি কি//তারা লক্ষ্য করে//প্রতি//(উড়ন্ত) পাখীগুলোর//নিয়মের অধীন//মধ্যে//শূণ্যের//আকাশের//না//তাদের কেউ ধরে রাখে//ছাড়া//আল্লাহ্‌//নিশ্চয়ই//মধ্যে রয়েছে//এর//অবশ্যই নিদর্শনসমূহ//জন্যে লোকদের//(যারা) ঈমান আনে"
            },
            {
              "number": 1981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1981.mp3"
              ],
              "text": "وَٱللَّهُ جَعَلَ لَكُم مِّنۢ بُيُوتِكُمْ سَكَنًۭا وَجَعَلَ لَكُم مِّن جُلُودِ ٱلْأَنْعَٰمِ بُيُوتًۭا تَسْتَخِفُّونَهَا يَوْمَ ظَعْنِكُمْ وَيَوْمَ إِقَامَتِكُمْ ۙ وَمِنْ أَصْوَافِهَا وَأَوْبَارِهَا وَأَشْعَارِهَآ أَثَٰثًۭا وَمَتَٰعًا إِلَىٰ حِينٍۢ",
              "translate_bn": "আল্লাহ করে দিয়েছেন তোমাদের গৃহকে অবস্থানের জায়গা এবং চতুস্পদ জন্তুর চামড়া দ্বারা করেছেন তোমার জন্যে তাঁবুর ব্যবস্থা। তোমরা এগুলোকে সফরকালে ও অবস্থান কালে পাও। ভেড়ার পশম, উটের বাবরি চুল ও ছাগলের লোম দ্বারা কত আসবাবপত্র ও ব্যবহারের সামগ্রী তৈরী করেছেন এক নির্দিষ্ট সময় পর্যন্ত।",
              "numberInSurah": 80,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু জা‘আলা লাকুম মিমবুইউতিকুম ছাকানাওঁ ওয়া জা‘আলা লাকুম মিন জূলূদিল আন‘আ-মি বুইঊতান তাছতাখিফফূনাহা-ইয়াওমা জা‘নিকুম ওয়া ইয়াওমা ইকা-মাতিকুম ওয়া মিন আসওয়া-ফিহা-ওয়া আওবা-রিহা-ওয়া আশ‘আ-রিহাআছা-ছাওঁ ওয়া মাতা‘আন ইলা-হীন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//جَعَلَ/جَعَلَ/ja'ala//لَكُمْ/لَكُم/lakum//مِّنْۢ/مِّنۢ/min//بُیُوْتِكُمْ/بُيُوتِكُمۡ/buyutikum//سَكَنًا/سَكَنٗا/sakanan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//جُلُوْدِ/جُلُودِ/juludi//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//بُیُوْتًا/بُيُوتٗا/buyutan//تَسْتَخِفُّوْنَهَا/تَسۡتَخِفُّونَهَا/tastakhiffunaha//یَوْمَ/يَوۡمَ/yawma//ظَعْنِكُمْ/ظَعۡنِكُمۡ/za'nikum//وَ یَوْمَ/وَيَوۡمَ/wayawma//اِقَامَتِكُمْ ۙ/إِقَامَتِكُمۡ/iqamatikum//وَ مِنْ/وَمِنۡ/wamin//اَصْوَافِهَا/أَصۡوَافِهَا/aswafiha//وَ اَوْبَارِهَا/وَأَوۡبَارِهَا/wa-awbariha//وَ اَشْعَارِهَاۤ/وَأَشۡعَارِهَآ/wa-ash'ariha//اَثَاثًا/أَثَٰثٗا/athathan//وَّ مَتَاعًا/وَمَتَٰعًا/wamata'an//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "এবং আল্লাহ্‌//বানিয়েছেন//জন্যে তোমাদের//থেকে//তোমাদের ঘরগুলো//আবাসস্থল//ও বানিয়েছেন//জন্যে তোমাদের//দিয়ে//চামড়াগুলোকে//গবাদিপশুর//এমন ঘর//তা তোমরা হালকা মনে করো//দিনে//তোমাদের ভ্রমনের//ও দিনে//তোমাদের অবস্থানের//এবং থেকে//তার পশমগুলো//ও তার লোমগুলো//ও তার চুলগুলো//গৃহসামগ্রী//ও ব্যবহার উপকরণ//পর্যন্ত//নির্দিষ্ট সময়"
            },
            {
              "number": 1982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1982.mp3"
              ],
              "text": "وَٱللَّهُ جَعَلَ لَكُم مِّمَّا خَلَقَ ظِلَٰلًۭا وَجَعَلَ لَكُم مِّنَ ٱلْجِبَالِ أَكْنَٰنًۭا وَجَعَلَ لَكُمْ سَرَٰبِيلَ تَقِيكُمُ ٱلْحَرَّ وَسَرَٰبِيلَ تَقِيكُم بَأْسَكُمْ ۚ كَذَٰلِكَ يُتِمُّ نِعْمَتَهُۥ عَلَيْكُمْ لَعَلَّكُمْ تُسْلِمُونَ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে সৃজিত বস্তু দ্বারা ছায়া করে দিয়েছেন এবং পাহাড় সমূহে তোমাদের জন্যে আত্ন গোপনের জায়গা করেছেন এবং তোমাদের জন্যে পোশাক তৈরী করে দিয়েছেন, যা তোমাদেরকে গ্রীষ্ম এবং বিপদের সময় রক্ষা করে। এমনিভাবে তিনি তোমাদের প্রতি স্বীয় অনুগ্রহের পূর্ণতা দান করেন, যাতে তোমরা আত্নসমর্পণ কর।",
              "numberInSurah": 81,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু জা‘আলা লাকুম মিম্মা-খালাকা জিলা-লাওঁ ওয়া জা‘আলা লাকুম মিনাল জিবা-লি আকনা-নাওঁ ওয়া জা‘আলা লাকুম ছারা-বীলা তাকীকুমুল হাররা ওয়া ছারা-বীলা তাকীকুম বা’ছাকুম কাযা-লিকা ইউতিম্মুনি‘মাতাহূ‘আলাইকুম লা‘আল্লাকুম তুছলিমূন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//جَعَلَ/جَعَلَ/ja'ala//لَكُمْ/لَكُم/lakum//مِّمَّا/مِّمَّا/mimma//خَلَقَ/خَلَقَ/khalaqa//ظِلٰلًا/ظِلَٰلٗا/zilalan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//اَكْنَانًا/أَكۡنَٰنٗا/aknanan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُمۡ/lakum//سَرَابِیْلَ/سَرَٰبِيلَ/sarabila//تَقِیْكُمُ/تَقِيكُمُ/taqikumu//الْحَرَّ/ٱلۡحَرَّ/al-hara//وَ سَرَابِیْلَ/وَسَرَٰبِيلَ/wasarabila//تَقِیْكُمْ/تَقِيكُم/taqikum//بَاْسَكُمْ ؕ/بَأۡسَكُمۡۚ/basakum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُتِمُّ/يُتِمُّ/yutimmu//نِعْمَتَهٗ/نِعۡمَتَهُۥ/ni'matahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُسْلِمُوْنَ /تُسۡلِمُونَ/tus'limuna",
              "words_bangla": "এবং আল্লাহ্‌//ব্যবস্থা করেছেন//জন্যে তোমাদের//তা হ'তে যা//তিনি সৃষ্টি করেছেন//ছায়াসমূহের//এবং বানিয়েছেন//জন্যে তোমাদের//মধ্যে//পাহাড়সমূহের//আশ্রয়স্থলসমূহ//এবং ব্যবস্থা করেছেন//জন্যে তোমাদের//পোশাকসমূহের//রক্ষা করে তোমাদের//গরমে//ও পোশাকসমূহ (বর্ম)//রক্ষা করে তোমাদের//তোমাদের যুদ্ধে//এভাবে//তিনি পূর্ণ করেন//অনুগ্রহ তাঁর//ওপর তোমাদের//সম্ভবত তোমরা//আত্নসমর্পণ করবে"
            },
            {
              "number": 1983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1983.mp3"
              ],
              "text": "فَإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْكَ ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "অতঃপর যদি তারা পৃষ্ঠ প্রদর্শন করে, তবে আপনার কাজ হল সুস্পষ্ট ভাবে পৌছে দেয়া মাত্র।",
              "numberInSurah": 82,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাও ফাইন্নামা -‘আলাইকাল বালা-গুল মুবীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّمَا/فَإِنَّمَا/fa-innama//عَلَیْكَ/عَلَيۡكَ/alayka//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "অতঃপর যদি//তারা মুখ ফিরায়//তবে কেবল//তোমার উপর দায়িত্ব//(দীনের দাওয়াত) পৌঁছানো//সুস্পষ্টভাবে"
            },
            {
              "number": 1984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1984.mp3"
              ],
              "text": "يَعْرِفُونَ نِعْمَتَ ٱللَّهِ ثُمَّ يُنكِرُونَهَا وَأَكْثَرُهُمُ ٱلْكَٰفِرُونَ",
              "translate_bn": "তারা আল্লাহর অনুগ্রহ চিনে, এরপর অস্বীকার করে এবং তাদের অধিকাংশই অকৃতজ্ঞ।",
              "numberInSurah": 83,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 234,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘রিফূনা নি‘মাতাল্লা-হি ছুম্মা ইউনকিরূনাহা-ওয়া আকছারুহুমুল কা-ফিরূন।",
              "words_arabic": "یَعْرِفُوْنَ/يَعۡرِفُونَ/ya'rifuna//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//یُنْكِرُوْنَهَا/يُنكِرُونَهَا/yunkirunaha//وَ اَكْثَرُهُمُ/وَأَكۡثَرُهُمُ/wa-aktharuhumu//الْكٰفِرُوْنَ۠/ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "তারা জানে//অনুগ্রহসমূহকে//আল্লাহর//এরপর//তা তারা অস্বীকার করে//এবং তাদের অধিকাংশ//কাফের"
            },
            {
              "number": 1985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1985.mp3"
              ],
              "text": "وَيَوْمَ نَبْعَثُ مِن كُلِّ أُمَّةٍۢ شَهِيدًۭا ثُمَّ لَا يُؤْذَنُ لِلَّذِينَ كَفَرُوا۟ وَلَا هُمْ يُسْتَعْتَبُونَ",
              "translate_bn": "যেদিন আমি প্রত্যেক উম্মত থেকে একজন বর্ণনাকারী দাঁড় করাব, তখন কাফেরদেরকে অনুমতি দেয়া হবে না এবং তাদের তওবা ও গ্রহণ করা হবে না।",
              "numberInSurah": 84,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নাব ‘আছুমিন কুল্লি উম্মাতিন শাহীদান ছু ম্মা লা-ইউ’যানুলিল্লাযীনা কাফারূ ওয়ালা-হুম ইউছতা‘তাবূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نَبْعَثُ/نَبۡعَثُ/nab'athu//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//اُمَّةٍ/أُمَّةٖ/ummatin//شَهِیْدًا/شَهِيدٗا/shahidan//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُؤْذَنُ/يُؤۡذَنُ/yu'dhanu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُسْتَعْتَبُوْنَ /يُسۡتَعۡتَبُونَ/yus'ta'tabuna",
              "words_bangla": "এবং যেদিন//উত্থিত করবো আমরা//থেকে//প্রত্যেক//সম্প্রদায়//সাক্ষী//এরপর//না//অনুমতি দেয়া হবে//(তাদের) যারা//অস্বীকার করেছে//এবং না//তাদের//সন্তুষ্টি লাভের সুযোগ দেয়া হবে"
            },
            {
              "number": 1986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1986.mp3"
              ],
              "text": "وَإِذَا رَءَا ٱلَّذِينَ ظَلَمُوا۟ ٱلْعَذَابَ فَلَا يُخَفَّفُ عَنْهُمْ وَلَا هُمْ يُنظَرُونَ",
              "translate_bn": "যখন জালেমরা আযাব প্রত্যক্ষ করবে, তখন তাদের থেকে তা লঘু করা হবে না এবং তাদেরকে কোন অবকাশ দেয়া হবে না।",
              "numberInSurah": 85,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআল্লাযীনা জালামুল ‘আযা-বা ফালা-ইউখাফফাফুআনহুম ওয়ালা-হুম ইউনজারূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَ/رَءَا/raa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوا/ظَلَمُواْ/zalamu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//فَلَا/فَلَا/fala//یُخَفَّفُ/يُخَفَّفُ/yukhaffafu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْظَرُوْنَ /يُنظَرُونَ/yunzaruna",
              "words_bangla": "এবং যখন//দেখবে//যারা//সীমালঙ্ঘন করেছে//শাস্তি//তখন না//লাঘব করা হবে//তাদের থেকে//এবং না//তাদের//অবকাশ দেয়া হবে"
            },
            {
              "number": 1987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1987.mp3"
              ],
              "text": "وَإِذَا رَءَا ٱلَّذِينَ أَشْرَكُوا۟ شُرَكَآءَهُمْ قَالُوا۟ رَبَّنَا هَٰٓؤُلَآءِ شُرَكَآؤُنَا ٱلَّذِينَ كُنَّا نَدْعُوا۟ مِن دُونِكَ ۖ فَأَلْقَوْا۟ إِلَيْهِمُ ٱلْقَوْلَ إِنَّكُمْ لَكَٰذِبُونَ",
              "translate_bn": "মুশরিকরা যখন ঐ সব বস্তুকে দেখবে, যেসবকে তারা আল্লাহর সাথে শরীক সাব্যস্ত করেছিল, তখন বলবেঃ হে আমাদের পালনকর্তা এরাই তারা যারা আমাদের শেরেকীর উপাদান, তোমাকে ছেড়ে আমরা যাদেরকে ডাকতাম। তখন ওরা তাদেরকে বলবেঃ তোমরা মিথ্যাবাদী।",
              "numberInSurah": 86,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআল্লাযীনা আশরাকূশুরাকাআহুম কা-লূরাব্বানা-হাউলাই শুরাকাউনাল্লাযীনা কুন্না-নাদ‘ঊ মিন দূ নিকা ফাআলকাও ইলাইহিমুল কাওলা ইন্নাকুম লাকা-যিবূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَ/رَءَا/raa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَشْرَكُوْا/أَشۡرَكُواْ/ashraku//شُرَكَآءَهُمْ/شُرَكَآءَهُمۡ/shurakaahum//قَالُوْا/قَالُواْ/qalu//رَبَّنَا/رَبَّنَا/rabbana//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//شُرَكَآؤُنَا/شُرَكَآؤُنَا/shurakauna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُنَّا/كُنَّا/kunna//نَدْعُوْا/نَدۡعُواْ/nad'u//مِنْ/مِن/min//دُوْنِكَ ۚ/دُونِكَۖ/dunika//فَاَلْقَوْا/فَأَلۡقَوۡاْ/fa-alqaw//اِلَیْهِمُ/إِلَيۡهِمُ/ilayhimu//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَكٰذِبُوْنَۚ/لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "এবং যখন//দেখবে//যারা//শিরক করেছে//তাদের শরীকদেরকে//তারা বলবে//\"হে আমাদের রব//এসব//আমাদের শরীকরা//যাদের//আমরা ছিলাম//আমরা ডাকতাম//ছাড়া\"//আপনাকে\"//তখন ফিরিয়ে দিবে//দিকে তাদের//কথা//\"নিশ্চয়ই তোমরা//অবশ্যই মিথ্যাবাদী\""
            },
            {
              "number": 1988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1988.mp3"
              ],
              "text": "وَأَلْقَوْا۟ إِلَى ٱللَّهِ يَوْمَئِذٍ ٱلسَّلَمَ ۖ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "সেদিন তারা আল্লাহর সামনে আত্নসমর্পন করবে এবং তারা যে মিথ্যা অপবাদ দিত তা বিস্মৃত হবে।",
              "numberInSurah": 87,
              "juz": 14,
              "manzil": 3,
              "page": 276,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল কাও ইলাল্লা-হি ইয়াওমাইযিনিছছালামা ওয়াদাল্লা ‘আনহুম মা-কা-নূইয়াফতারূন।",
              "words_arabic": "وَ اَلْقَوْا/وَأَلۡقَوۡاْ/wa-alqaw//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//یَوْمَىِٕذِ/يَوۡمَئِذٍ/yawma-idhin//لسَّلَمَ/ٱلسَّلَمَۖ/al-salama//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এবং নিজেদেরকে সমর্পণ করবে//কাছে//আল্লাহর//সেদিন//বশ্যতা স্বীকার করে//এবং হারিয়ে যাবে//থেকে তাদের//যা//তারা ছিলো//উদ্ভাবন করে"
            },
            {
              "number": 1989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1989.mp3"
              ],
              "text": "ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ زِدْنَٰهُمْ عَذَابًۭا فَوْقَ ٱلْعَذَابِ بِمَا كَانُوا۟ يُفْسِدُونَ",
              "translate_bn": "যারা কাফের হয়েছে এবং আল্লাহর পথে বাধা সৃষ্টি করেছে, আমি তাদেরকে আযাবের পর আযাব বাড়িয়ে দেব। কারণ, তারা অশান্তি সৃষ্টি করত।",
              "numberInSurah": 88,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কাফারূওয়াসাদ্দূ‘আন ছাবীলিল্লা-হি ঝিদনা-হুম ‘আযা-বান ফাওকাল ‘আযা-বি বিমা-কা-নূইউফছিদূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْا/وَصَدُّواْ/wasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//زِدْنٰهُمْ/زِدۡنَٰهُمۡ/zid'nahum//عَذَابًا/عَذَابٗا/adhaban//فَوْقَ/فَوۡقَ/fawqa//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یُفْسِدُوْنَ /يُفۡسِدُونَ/yuf'siduna",
              "words_bangla": "যারা//অস্বীকার করেছে//ও বাঁধা দিয়েছে//থেকে//পথ//আল্লাহর//আমরা বাড়াবো তাদের//শাস্তি//উপরে//শাস্তির//এ কারণে যা//তারা ছিলো//তারা অশান্তি সৃষ্টি করে"
            },
            {
              "number": 1990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1990.mp3"
              ],
              "text": "وَيَوْمَ نَبْعَثُ فِى كُلِّ أُمَّةٍۢ شَهِيدًا عَلَيْهِم مِّنْ أَنفُسِهِمْ ۖ وَجِئْنَا بِكَ شَهِيدًا عَلَىٰ هَٰٓؤُلَآءِ ۚ وَنَزَّلْنَا عَلَيْكَ ٱلْكِتَٰبَ تِبْيَٰنًۭا لِّكُلِّ شَىْءٍۢ وَهُدًۭى وَرَحْمَةًۭ وَبُشْرَىٰ لِلْمُسْلِمِينَ",
              "translate_bn": "সেদিন প্রত্যেক উম্মতের মধ্যে আমি একজন বর্ণনাকারী দাঁড় করাব তাদের বিপক্ষে তাদের মধ্য থেকেই এবং তাদের বিষয়ে আপনাকে সাক্ষী স্বরূপ উপস্থাপন করব। আমি আপনার প্রতি গ্রন্থ নাযিল করেছি যেটি এমন যে তা প্রত্যেক বস্তুর সুস্পষ্ট বর্ণনা, হেদায়েত, রহমত এবং মুসলমানদের জন্যে সুসংবাদ।",
              "numberInSurah": 89,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 235,
              "hizbQuarter": 110,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নাব‘আছুফী কুল্লি উম্মাতিন শাহীদান ‘আলাইহিম মিন আনফুছিহিম ওয়া জি’নাবিকা শাহীদান ‘আলা-হাউলাই ওয়া নাঝঝালনা ‘আলাইকাল কিতা-বা তিবইয়া-নাল লিকুল্লি শাইইওঁ ওয়া হুদাওঁ ওয়া রাহমাতাওঁ ওয়া বুশরা-লিলমুছলিমীন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نَبْعَثُ/نَبۡعَثُ/nab'athu//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//اُمَّةٍ/أُمَّةٖ/ummatin//شَهِیْدًا/شَهِيدًا/shahidan//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّنۡ/min//اَنْفُسِهِمْ/أَنفُسِهِمۡۖ/anfusihim//وَجِئْنَا/وَجِئۡنَا/waji'na//بِكَ/بِكَ/bika//شَهِیْدًا/شَهِيدًا/shahidan//عَلٰی/عَلَىٰ/ala//هٰۤؤُلَآءِ ؕ/هَـٰٓؤُلَآءِۚ/haulai//وَ نَزَّلْنَا/وَنَزَّلۡنَا/wanazzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//تِبْیَانًا/تِبۡيَٰنٗا/tib'yanan//لِّكُلِّ/لِّكُلِّ/likulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//وَّ بُشْرٰی/وَبُشۡرَىٰ/wabush'ra//لِلْمُسْلِمِیْنَ۠/لِلۡمُسۡلِمِينَ/lil'mus'limina",
              "words_bangla": "এবং সেদিন//আমরা উঠাবো//মধ্যে//প্রত্যেক//সম্প্রদায়ের//একজন সাক্ষী//বিরুদ্ধে তাদের//মধ্য থেকে//নিজেদের তাদের//এবং আমরা আসবো//নিয়ে তোমাকে//সাক্ষী (স্বরূপ)//বিরুদ্ধে//এদের//এবং আমরা অবতীর্ণ করেছি//তোমার উপর//(এই) কিতাব//সুস্পষ্ট বর্ণনা করা//জন্যে প্রত্যেক//বস্তুর//ও পথ নির্দেশ//ও অনুগ্রহ//এবং সুসংবাদ//জন্যে আত্নসমর্পণকারীদের"
            },
            {
              "number": 1991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1991.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ يَأْمُرُ بِٱلْعَدْلِ وَٱلْإِحْسَٰنِ وَإِيتَآئِ ذِى ٱلْقُرْبَىٰ وَيَنْهَىٰ عَنِ ٱلْفَحْشَآءِ وَٱلْمُنكَرِ وَٱلْبَغْىِ ۚ يَعِظُكُمْ لَعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "আল্লাহ ন্যায়পরায়ণতা, সদাচরণ এবং আত্নীয়-স্বজনকে দান করার আদেশ দেন এবং তিনি অশ্লীলতা, অসঙ্গত কাজ এবং অবাধ্যতা করতে বারণ করেন। তিনি তোমাদের উপদেশ দেন যাতে তোমরা স্মরণ রাখ।",
              "numberInSurah": 90,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইয়া’মুরু বিল‘আদলি ওয়াল ইহছা-নি ওয়া ঈতাইযিল কুরবা-ওয়া ইয়ানহা‘আনিল ফাহশাই ওয়াল মুনকারি ওয়াল বাগই ইয়া‘ইজু কুম লা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَاْمُرُ/يَأۡمُرُ/yamuru//بِالْعَدْلِ/بِٱلۡعَدۡلِ/bil-'adli//وَ الْاِحْسَانِ/وَٱلۡإِحۡسَٰنِ/wal-ih'sani//وَ اِیْتَآئِ/وَإِيتَآيِٕ/waitai//ذِی/ذِي/dhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ یَنْهٰی/وَيَنۡهَىٰ/wayanha//عَنِ/عَنِ/ani//الْفَحْشَآءِ/ٱلۡفَحۡشَآءِ/al-fahshai//وَ الْمُنْكَرِ/وَٱلۡمُنكَرِ/wal-munkari//وَ الْبَغْیِ ۚ/وَٱلۡبَغۡيِۚ/wal-baghyi//یَعِظُكُمْ/يَعِظُكُمۡ/ya'izukum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "নিশ্চয়ই//আল্লাহ্‌//নির্দেশ দেন//ব্যাপারে ন্যায়ের//সদাচরণ//ও দান করার//সম্পন্ন//নৈকট্য (আত্নীয়-স্বজনকে)//এবং নিষেধ করেন//থেকে//অশ্লীলতা//ও অসৎ কাজ//ও সীমালঙ্ঘন//তিনি উপদেশ দিচ্ছেন তোমাদের//যাতে তোমরা//শিক্ষা গ্রহণ করো"
            },
            {
              "number": 1992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1992.mp3"
              ],
              "text": "وَأَوْفُوا۟ بِعَهْدِ ٱللَّهِ إِذَا عَٰهَدتُّمْ وَلَا تَنقُضُوا۟ ٱلْأَيْمَٰنَ بَعْدَ تَوْكِيدِهَا وَقَدْ جَعَلْتُمُ ٱللَّهَ عَلَيْكُمْ كَفِيلًا ۚ إِنَّ ٱللَّهَ يَعْلَمُ مَا تَفْعَلُونَ",
              "translate_bn": "আল্লাহর নামে অঙ্গীকার করার পর সে অঙ্গীকার পূর্ণ কর এবং পাকাপাকি কসম করার পর তা ভঙ্গ করো না, অথচ তোমরা আল্লাহকে জামিন করেছ। তোমরা যা কর আল্লাহ তা জানেন।",
              "numberInSurah": 91,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওফূবি‘আহদিল্লা-হি ইযা-‘আ-হাততুম ওয়ালা-তানকুদুল আইমা-না বা‘দা তাওকীদিহা-ওয়া কাদ জা‘আলতুমুল্লা-হা ‘আলাইকুম কাফীলান ইন্নাল্লা-হা ইয়া‘লামুমাতাফ‘আলূন।",
              "words_arabic": "وَ اَوْفُوْا/وَأَوۡفُواْ/wa-awfu//بِعَهْدِ/بِعَهۡدِ/bi'ahdi//اللّٰهِ/ٱللَّهِ/al-lahi//اِذَا/إِذَا/idha//عٰهَدْتُّمْ/عَٰهَدتُّمۡ/ahadttum//وَ لَا/وَلَا/wala//تَنْقُضُوا/تَنقُضُواْ/tanqudu//الْاَیْمَانَ/ٱلۡأَيۡمَٰنَ/al-aymana//بَعْدَ/بَعۡدَ/ba'da//تَوْكِیْدِهَا/تَوۡكِيدِهَا/tawkidiha//وَ قَدْ/وَقَدۡ/waqad//جَعَلْتُمُ/جَعَلۡتُمُ/ja'altumu//اللّٰهَ/ٱللَّهَ/al-laha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//كَفِیْلًا ؕ/كَفِيلًاۚ/kafilan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تَفْعَلُوْنَ /تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "তোমরা পূর্ণ করো//অঙ্গীকার//আল্লাহর//যখন//তোমরা অঙ্গীকার করেছো//এবং না//তোমরা ভঙ্গ করো//শপথসমূহকে//পরে//দৃঢ় করার তা//এবং নিশ্চয়ই//তোমরা করেছো//আল্লাহকে//উপর তোমাদের//অভিভাবক//নিশ্চয়ই//আল্লাহ্‌//জানেন//যা//তোমরা কাজ কর্ম করছো"
            },
            {
              "number": 1993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1993.mp3"
              ],
              "text": "وَلَا تَكُونُوا۟ كَٱلَّتِى نَقَضَتْ غَزْلَهَا مِنۢ بَعْدِ قُوَّةٍ أَنكَٰثًۭا تَتَّخِذُونَ أَيْمَٰنَكُمْ دَخَلًۢا بَيْنَكُمْ أَن تَكُونَ أُمَّةٌ هِىَ أَرْبَىٰ مِنْ أُمَّةٍ ۚ إِنَّمَا يَبْلُوكُمُ ٱللَّهُ بِهِۦ ۚ وَلَيُبَيِّنَنَّ لَكُمْ يَوْمَ ٱلْقِيَٰمَةِ مَا كُنتُمْ فِيهِ تَخْتَلِفُونَ",
              "translate_bn": "তোমরা ঐ মহিলার মত হয়ো না, যে পরিশ্রমের পর কাটা সূতা টুকরো টুকরো করে ছিড়ে ফেলে, তোমরা নিজেদের কসমসমূহকে পারস্পরিক প্রবঞ্চনার বাহানা রূপে গ্রহণ কর এজন্যে যে, অন্য দল অপেক্ষা এক দল অধিক ক্ষমতাবান হয়ে যায়। এতদ্বারা তো আল্লাহ শুধু তোমাদের পরীক্ষা করেন। আল্লাহ অবশ্যই কিয়ামতের দিন প্রকাশ করে দেবেন, যে বিষয়ে তোমরা কলহ করতে।",
              "numberInSurah": 92,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনূ কাল্লাতী নাকাদাতগাঝলাহা-মিমবা‘দি কুওওয়াতিন আনকা-ছান তাত্তাখিযূনা আইমা-নাকুম দাখালাম বাইনাকুম আন তাকূনা উম্মাতুন হিয়া আরবা-মিন উম্মাতিন ইন্নামা-ইয়াবলূকুমুল্লা-হু বিহী ওয়ালা ইউবাইয়িনান্না লাকুম ইয়াওমাল কিয়া-মাতি মা-কুনতুম ফীহি তাখতালিফূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّتِیْ/كَٱلَّتِي/ka-allati//نَقَضَتْ/نَقَضَتۡ/naqadat//غَزْلَهَا/غَزۡلَهَا/ghazlaha//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//قُوَّةٍ/قُوَّةٍ/quwwatin//اَنْكَاثًا ؕ/أَنكَٰثٗا/ankathan//تَتَّخِذُوْنَ/تَتَّخِذُونَ/tattakhidhuna//اَیْمَانَكُمْ/أَيۡمَٰنَكُمۡ/aymanakum//دَخَلًۢا/دَخَلَۢا/dakhalan//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//اُمَّةٌ/أُمَّةٌ/ummatun//هِیَ/هِيَ/hiya//اَرْبٰی/أَرۡبَىٰ/arba//مِنْ/مِنۡ/min//اُمَّةٍ ؕ/أُمَّةٍۚ/ummatin//اِنَّمَا/إِنَّمَا/innama//یَبْلُوْكُمُ/يَبۡلُوكُمُ/yablukumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖ ؕ/بِهِۦۚ/bihi//وَ لَیُبَیِّنَنَّ/وَلَيُبَيِّنَنَّ/walayubayyinanna//لَكُمْ/لَكُمۡ/lakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْهِ/فِيهِ/fihi//تَخْتَلِفُوْنَ /تَخۡتَلِفُونَ/takhtalifuna",
              "words_bangla": "এবং না//তোমরা হয়ো//মতো সেই (মহিলার)//যে কেটেছে//তার সূতা//থেকে//পর//শক্ত করার//টুকরো টুকরো (করে ফেলেছে)//তোমরা গ্রহণ করছো//শপথগুলোকে তোমাদের//প্রবঞ্চনার মাধ্যম//মাঝে তোমাদের//যেন//হয়//একদল//তা//বেশী লাভবান//থেকে//(অন্য) একদল//প্রকৃতপক্ষে//পরীক্ষা করেন তোমাদের//আল্লাহ্‌//দিয়ে তা//এবং অবশ্যই স্পষ্ট করে দিবেন//জন্যে তোমাদের//দিনে//ক্বিয়ামাতের//যা//তোমরা ছিলে//তার মধ্যে//তোমরা মত-বিরোধ করতে"
            },
            {
              "number": 1994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1994.mp3"
              ],
              "text": "وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَكُمْ أُمَّةًۭ وَٰحِدَةًۭ وَلَٰكِن يُضِلُّ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَلَتُسْـَٔلُنَّ عَمَّا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আল্লাহ ইচ্ছা করলে তোমাদের সবাইকে এক জাতি করে দিতে পারতেন, কিন্তু তিনি যাকে ইচ্ছা বিপথগামী করেন এবং যাকে ইচ্ছা পথ প্রদর্শন করেন। তোমরা যা কর সে বিষয়ে অবশ্যই জিজ্ঞাসিত হবে।",
              "numberInSurah": 93,
              "juz": 14,
              "manzil": 3,
              "page": 277,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও শাআল্লা-হু লাজা‘আলাকুম উম্মাতাওঁ ওয়া-হিদাতাওঁ ওয়ালা-কিইঁ ইউদিল্লুমাইঁ ইয়াশাউ ওয়া ইয়াহদী মাইঁ ইয়াশাউ ওয়ালা তুছআলুন্না ‘আম্মা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَجَعَلَكُمْ/لَجَعَلَكُمۡ/laja'alakum//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//وَّ لٰكِنْ/وَلَٰكِن/walakin//یُّضِلُّ/يُضِلُّ/yudillu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْ/وَيَهۡدِي/wayahdi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ لَتُسْـَٔلُنَّ/وَلَتُسۡـَٔلُنَّ/walatus'alunna//عَمَّا/عَمَّا/amma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং যদি//ইচ্ছে করতেন//আল্লাহ্‌//অবশ্যই তিনি করতেন তোমাদের//জাতি//একই//কিন্তু//তিনি পথভ্রষ্ট করেন//যাকে//ইচ্ছে করেন//এবং পথ দেখান//যাকে//ইচ্ছে করেন//এবং তোমাদের অবশ্যই প্রশ্ন করা হবে//তা সম্পর্কে যা//তোমরা ছিলে//তোমরা কাজ করতে"
            },
            {
              "number": 1995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1995.mp3"
              ],
              "text": "وَلَا تَتَّخِذُوٓا۟ أَيْمَٰنَكُمْ دَخَلًۢا بَيْنَكُمْ فَتَزِلَّ قَدَمٌۢ بَعْدَ ثُبُوتِهَا وَتَذُوقُوا۟ ٱلسُّوٓءَ بِمَا صَدَدتُّمْ عَن سَبِيلِ ٱللَّهِ ۖ وَلَكُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "তোমরা স্বীয় কসমসমূহকে পারস্পরিক কলহ দ্বন্দ্বের বাহানা করো না। তা হলে দৃঢ়ভাবে প্রতিষ্ঠিত হওয়ার পর পা ফসকে যাবে এবং তোমরা শাস্তির স্বাদ আস্বাদন করবে এ কারণে যে, তোমরা আমার পথে বাধা দান করেছ এবং তোমাদের কঠোর শাস্তি হবে।",
              "numberInSurah": 94,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাত্তাখিযূআইমা-নাকুম দাখালাম বাইনাকুম ফাতাঝিল্লা কাদামুম বা‘দা ছুবূতিহাওয়া তাযূকুছছূআ বিমা-সাদাততুম ‘আন ছাবীলিল্লা-হি ওয়ালাকুম ‘আযা-বুন ‘আজীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَتَّخِذُوْۤا/تَتَّخِذُوٓاْ/tattakhidhu//اَیْمَانَكُمْ/أَيۡمَٰنَكُمۡ/aymanakum//دَخَلًۢا/دَخَلَۢا/dakhalan//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//فَتَزِلَّ/فَتَزِلَّ/fatazilla//قَدَمٌۢ/قَدَمُۢ/qadamun//بَعْدَ/بَعۡدَ/ba'da//ثُبُوْتِهَا/ثُبُوتِهَا/thubutiha//وَ تَذُوْقُوا/وَتَذُوقُواْ/watadhuqu//السُّوْٓءَ/ٱلسُّوٓءَ/al-sua//بِمَا/بِمَا/bima//صَدَدْتُّمْ/صَدَدتُّمۡ/sadadttum//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//وَ لَكُمْ/وَلَكُمۡ/walakum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "এটা না//তোমরা গ্রহণ করো//শপথগুলোকে তোমাদের//প্রবঞ্চনার মাধ্যম//মাঝে তোমাদের//তাহ'লে পিছলে যাবে//পা//পরে//তা স্থির হওয়ার//এবং তোমরা স্বাদ নিবে//মন্দ//এ কারণে যা//তোমরা বাধা দিয়েছো//(লোকদেরকে) থেকে//পথ//আল্লাহর//এবং জন্যে তোমাদের//শাস্তি//মহাকঠিন"
            },
            {
              "number": 1996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1996.mp3"
              ],
              "text": "وَلَا تَشْتَرُوا۟ بِعَهْدِ ٱللَّهِ ثَمَنًۭا قَلِيلًا ۚ إِنَّمَا عِندَ ٱللَّهِ هُوَ خَيْرٌۭ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "তোমরা আল্লাহর অঙ্গীকারের বিনিময়ে সামান্য মূল্য গ্রহণ করো না। নিশ্চয় আল্লাহর কাছে যা আছে, তা উত্তম তোমাদের জন্যে, যদি তোমরা জ্ঞানী হও।",
              "numberInSurah": 95,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাশতারূবি‘আহদিল্লা-হি ছামানান কালীলান ইন্নামা-‘ইনদাল্লা-হি হুওয়া খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَشْتَرُوْا/تَشۡتَرُواْ/tashtaru//بِعَهْدِ/بِعَهۡدِ/bi'ahdi//اللّٰهِ/ٱللَّهِ/al-lahi//ثَمَنًا/ثَمَنٗا/thamanan//قَلِیْلًا ؕ/قَلِيلًاۚ/qalilan//اِنَّمَا/إِنَّمَا/innama//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//هُوَ/هُوَ/huwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং না//তোমরা বিক্রি করো//সাথে (করা) প্রতিশ্রুতিকে//আল্লাহর//মূল্যে//সামান্য//প্রকৃতপক্ষে//কাছে (যা)//আল্লাহর//তা-ই//উত্তম//জন্যে তোমাদের//যদি//তোমরা ছিলে//তোমরা জানো"
            },
            {
              "number": 1997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1997.mp3"
              ],
              "text": "مَا عِندَكُمْ يَنفَدُ ۖ وَمَا عِندَ ٱللَّهِ بَاقٍۢ ۗ وَلَنَجْزِيَنَّ ٱلَّذِينَ صَبَرُوٓا۟ أَجْرَهُم بِأَحْسَنِ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তোমাদের কাছে যা আছে নিঃশেষ হয়ে যাবে এবং আল্লাহর কাছে যা আছে, কখনও তা শেষ হবে না। যারা সবর করে, আমি তাদেরকে প্রাপ্য প্রতিদান দেব তাদের উত্তম কর্মের প্রতিদান স্বরূপ যা তারা করত।",
              "numberInSurah": 96,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "মা-‘ইনদাকুম ইয়ানফাদুওয়ামা-‘ইনদাল্লা-হি বা-কিওঁ ওয়ালা নাজঝিয়ান্নাল্লাযীনা সাবারূআজরাহুম বিআহছানি মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "مَا/مَا/ma//عِنْدَكُمْ/عِندَكُمۡ/indakum//یَنْفَدُ/يَنفَدُ/yanfadu//وَ مَا/وَمَا/wama//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//بَاقٍ ؕ/بَاقٖۗ/baqin//وَ لَنَجْزِیَنَّ/وَلَنَجۡزِيَنَّ/walanajziyanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَبَرُوْۤا/صَبَرُوٓاْ/sabaru//اَجْرَهُمْ/أَجۡرَهُم/ajrahum//بِاَحْسَنِ/بِأَحۡسَنِ/bi-ahsani//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "যা কিছু//কাছে আছে তোমাদের//(তা) শেষ হয়ে যাবে//এবং যা আছে//কাছে//আল্লাহর//তা স্থায়ী//এবং আমরা অবশ্যই প্রতিফল দিবো//(তাদের) যারা//ধৈর্য ধরেছে//পুরস্কার তাদের//ভাবে অতি উত্তম//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 1998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1998.mp3"
              ],
              "text": "مَنْ عَمِلَ صَٰلِحًۭا مِّن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌۭ فَلَنُحْيِيَنَّهُۥ حَيَوٰةًۭ طَيِّبَةًۭ ۖ وَلَنَجْزِيَنَّهُمْ أَجْرَهُم بِأَحْسَنِ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যে সৎকর্ম সম্পাদন করে এবং সে ঈমাণদার, পুরুষ হোক কিংবা নারী আমি তাকে পবিত্র জীবন দান করব এবং প্রতিদানে তাদেরকে তাদের উত্তম কাজের কারণে প্রাপ্য পুরষ্কার দেব যা তারা করত।",
              "numberInSurah": 97,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "মান ‘আমিলা সা-লিহাম মিন যাকারিন আও উনছা-ওয়া হুওয়া মু’মিনুন ফালা নুহয়িইয়ান্নাহূ হায়া-তান তাইয়িবাতাওঁ ওয়া লানাজঝিয়ান্নাহুম আজরাহুম বিআহছানি মা-কানূ ইয়া‘মালূন।",
              "words_arabic": "مَنْ/مَنۡ/man//عَمِلَ/عَمِلَ/amila//صَالِحًا/صَٰلِحٗا/salihan//مِّنْ/مِّن/min//ذَكَرٍ/ذَكَرٍ/dhakarin//اَوْ/أَوۡ/aw//اُنْثٰی/أُنثَىٰ/untha//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَلَنُحْیِیَنَّهٗ/فَلَنُحۡيِيَنَّهُۥ/falanuh'yiyannahu//حَیٰوةً/حَيَوٰةٗ/hayatan//طَیِّبَةً ۚ/طَيِّبَةٗۖ/tayyibatan//وَ لَنَجْزِیَنَّهُمْ/وَلَنَجۡزِيَنَّهُمۡ/walanajziyannahum//اَجْرَهُمْ/أَجۡرَهُم/ajrahum//بِاَحْسَنِ/بِأَحۡسَنِ/bi-ahsani//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "যে//কাজ করবে//সৎ//মধ্যে//পুরুষদের//বা//নারীদের//যখন সে//ঈমানদারও//তখন অবশ্যই তাকে জীবন দিবো আমরা//জীবন//পবিত্র//এবং অবশ্যই তাদের প্রতিদান দিবো আমরা//পুরস্কার তাদের//ভাবে অতি উত্তম//যা//তারা ছিলো//তারা করতে"
            },
            {
              "number": 1999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/1999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/1999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/1999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/1999.mp3"
              ],
              "text": "فَإِذَا قَرَأْتَ ٱلْقُرْءَانَ فَٱسْتَعِذْ بِٱللَّهِ مِنَ ٱلشَّيْطَٰنِ ٱلرَّجِيمِ",
              "translate_bn": "অতএব, যখন আপনি কোরআন পাঠ করেন তখন বিতাড়িত শয়তান থেকে আল্লাহর আশ্রয় গ্রহণ করুন।",
              "numberInSurah": 98,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-কারা’তাল কুরআ-না ফাছতা‘ইযবিল্লা-হিমিনাশশাইতা-নির রাজীম।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//قَرَاْتَ/قَرَأۡتَ/qarata//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//فَاسْتَعِذْ/فَٱسۡتَعِذۡ/fa-is'ta'idh//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مِنَ/مِنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//الرَّجِیْمِ /ٱلرَّجِيمِ/al-rajimi",
              "words_bangla": "অতঃপর যখন//তুমি পাঠ করবে//কুরআন//তখন আশ্রয় চাইবে//কাছে আল্লাহর//থেকে//শয়তান//বিতাড়িত"
            },
            {
              "number": 2000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2000.mp3"
              ],
              "text": "إِنَّهُۥ لَيْسَ لَهُۥ سُلْطَٰنٌ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ",
              "translate_bn": "তার আধিপত্য চলে না তাদের উপর যারা বিশ্বাস স্থাপন করে এবং আপন পালন কর্তার উপর ভরসা রাখে।",
              "numberInSurah": 99,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূলাইছা লাহূছুলতা-নুন ‘আলাল্লাযীনা আ-মানূওয়া ‘আলা রাব্বিহীম ইয়াতাওয়াক্কালূন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//لَیْسَ/لَيۡسَ/laysa//لَهٗ/لَهُۥ/lahu//سُلْطٰنٌ/سُلۡطَٰنٌ/sul'tanun//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَلٰی/وَعَلَىٰ/wa'ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَتَوَكَّلُوْنَ /يَتَوَكَّلُونَ/yatawakkaluna",
              "words_bangla": "সে নিশ্চয়ই (এমন যে)//নেই//জন্যে তার//আধিপত্য//(তাদের) উপর//যারা//ঈমান এনেছে//এবং উপর//তাদের রবের//তারা নির্ভর করে"
            },
            {
              "number": 2001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2001.mp3"
              ],
              "text": "إِنَّمَا سُلْطَٰنُهُۥ عَلَى ٱلَّذِينَ يَتَوَلَّوْنَهُۥ وَٱلَّذِينَ هُم بِهِۦ مُشْرِكُونَ",
              "translate_bn": "তার আধিপত্য তো তাদের উপরই চলে, যারা তাকে বন্ধু মনে করে এবং যারা তাকে অংশীদার মানে।",
              "numberInSurah": 100,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 236,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ছুলতা-নুহূ‘আলাল্লাযীনা ইয়াতাওয়াল্লাওনাহূওয়াল্লাযীনা হুম বিহী মুশরিকূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//سُلْطٰنُهٗ/سُلۡطَٰنُهُۥ/sul'tanuhu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَوَلَّوْنَهٗ/يَتَوَلَّوۡنَهُۥ/yatawallawnahu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//بِهٖ/بِهِۦ/bihi//مُشْرِكُوْنَ۠/مُشۡرِكُونَ/mush'rikuna",
              "words_bangla": "মূলতঃ//তার আধিপত্য//(তাদের) উপর//যারা//তাকে অভিভাবক বানিয়েছে//ও যারা (এমন যে)//তারা//সাথে তাঁর//শরীককারী"
            },
            {
              "number": 2002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2002.mp3"
              ],
              "text": "وَإِذَا بَدَّلْنَآ ءَايَةًۭ مَّكَانَ ءَايَةٍۢ ۙ وَٱللَّهُ أَعْلَمُ بِمَا يُنَزِّلُ قَالُوٓا۟ إِنَّمَآ أَنتَ مُفْتَرٍۭ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "এবং যখন আমি এক আয়াতের স্থলে অন্য আয়াত উপস্থিত করি এবং আল্লাহ যা অবতীর্ণ করেন তিনিই সে সম্পর্কে ভাল জানেন; তখন তারা বলেঃ আপনি তো মনগড়া উক্তি করেন; বরং তাদের অধিকাংশ লোকই জানে না।",
              "numberInSurah": 101,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-বাদ্দালনাআ-য়াতাম মাকা-না আ-য়াতিওঁ ওয়াল্লা-হু ‘আলামুবিমাইউনাঝঝিলুকা-লূইন্নামাআনতা মুফতারিম বাল আকছারুহুম লা-ইয়া‘লামূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//بَدَّلْنَاۤ/بَدَّلۡنَآ/baddalna//اٰیَةً/ءَايَةٗ/ayatan//مَّكَانَ/مَّكَانَ/makana//اٰیَةٍ ۙ/ءَايَةٖ/ayatin//وَّ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یُنَزِّلُ/يُنَزِّلُ/yunazzilu//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مُفْتَرٍ ؕ/مُفۡتَرِۭۚ/muf'tarin//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং যখন//আমরা বদলে দিই//এক আয়াতকে//জায়গায়//(অপর) আয়াতের//এবং আল্লাহ্‌//খুব জানেন//ঐ বিষয়ে যা//তিনি অবতীর্ণ করেন//তারা বলে//\"মূলতঃ//তুমি//(কুরআন) রচনাকারী\"//বরং//অধিকাংশই তাদের//না//তারা জানে"
            },
            {
              "number": 2003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2003.mp3"
              ],
              "text": "قُلْ نَزَّلَهُۥ رُوحُ ٱلْقُدُسِ مِن رَّبِّكَ بِٱلْحَقِّ لِيُثَبِّتَ ٱلَّذِينَ ءَامَنُوا۟ وَهُدًۭى وَبُشْرَىٰ لِلْمُسْلِمِينَ",
              "translate_bn": "বলুন, একে পবিত্র ফেরেশতা পালনকর্তার পক্ষ থেকে নিশ্চিত সত্যসহ নাযিল করেছেন, যাতে মুমিনদেরকে প্রতিষ্ঠিত করেন এবং এটা মুসলমানদের জন্যে পথ নির্দেশ ও সু-সংবাদ স্বরূপ।",
              "numberInSurah": 102,
              "juz": 14,
              "manzil": 3,
              "page": 278,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "কুল নাঝঝালাহূরূহুলকুদুছি মির রাব্বিকা বিলহাক্কি লিইউছাব্বিতাল্লাযীনা আ-মানূ ওয়া হুদাওঁ ওয়া বুশরা-লিলমুছলিমীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//نَزَّلَهٗ/نَزَّلَهُۥ/nazzalahu//رُوْحُ/رُوحُ/ruhu//الْقُدُسِ/ٱلۡقُدُسِ/al-qudusi//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لِیُثَبِّتَ/لِيُثَبِّتَ/liyuthabbita//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ هُدًی/وَهُدٗى/wahudan//وَّ بُشْرٰی/وَبُشۡرَىٰ/wabush'ra//لِلْمُسْلِمِیْنَ /لِلۡمُسۡلِمِينَ/lil'mus'limina",
              "words_bangla": "বলো//\"তা অবতীর্ণ করেন//আত্না//পবিত্র (জিব্রাইল আঃ)//থেকে//তোমার রবের//ভাবে যথাযথ//জন্যে দৃঢ় প্রতিষ্ঠিত করার//(তাদেরকে) যারা//ঈমান এনেছে//এবং পথ নির্দেশ//ও সুসংবাদ//আত্নসমর্পণকারীদের\""
            },
            {
              "number": 2004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2004.mp3"
              ],
              "text": "وَلَقَدْ نَعْلَمُ أَنَّهُمْ يَقُولُونَ إِنَّمَا يُعَلِّمُهُۥ بَشَرٌۭ ۗ لِّسَانُ ٱلَّذِى يُلْحِدُونَ إِلَيْهِ أَعْجَمِىٌّۭ وَهَٰذَا لِسَانٌ عَرَبِىٌّۭ مُّبِينٌ",
              "translate_bn": "আমি তো ভালভাবেই জানি যে, তারা বলেঃ তাকে জনৈক ব্যক্তি শিক্ষা দেয়। যার দিকে তারা ইঙ্গিত করে, তার ভাষা তো আরবী নয় এবং এ কোরআন পরিষ্কার আরবী ভাষায়।",
              "numberInSurah": 103,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ না‘লামুআন্নাহুম ইয়াকূলূনা ইন্নামা-ইউ‘আলিলমুহূবাশারুল লিছা-নুল্লাযী ইউলহিদূ না ইলাইহি আ‘জামিইয়ুওঁ ওয়া হা-যা-লিছা-নুন ‘আরাবিইয়ুম মুবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//نَعْلَمُ/نَعۡلَمُ/na'lamu//اَنَّهُمْ/أَنَّهُمۡ/annahum//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِنَّمَا/إِنَّمَا/innama//یُعَلِّمُهٗ/يُعَلِّمُهُۥ/yu'allimuhu//بَشَرٌ ؕ/بَشَرٞۗ/basharun//لِسَانُ/لِّسَانُ/lisanu//الَّذِیْ/ٱلَّذِي/alladhi//یُلْحِدُوْنَ/يُلۡحِدُونَ/yul'hiduna//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَعْجَمِیٌّ/أَعۡجَمِيّٞ/a'jamiyyun//وَّ هٰذَا/وَهَٰذَا/wahadha//لِسَانٌ/لِسَانٌ/lisanun//عَرَبِیٌّ/عَرَبِيّٞ/arabiyyun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "এবং নিশ্চয়ই//জানি আমরা//যে তারা//বলে//\"প্রকৃতপক্ষে//তাকে শিখিয়েছে//এক মানুষ\"//ভাষা//যার//তারা ইঙ্গিত করে//দিকে তার//অ-আরবি//অথচ এটা//ভাষা//আরবি//স্পষ্ট"
            },
            {
              "number": 2005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2005.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِـَٔايَٰتِ ٱللَّهِ لَا يَهْدِيهِمُ ٱللَّهُ وَلَهُمْ عَذَابٌ أَلِيمٌ",
              "translate_bn": "যারা আল্লাহর কথায় বিশ্বাস করে না, তাদেরকে আল্লাহ পথ প্রদর্শন করেন না এবং তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 104,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা লা-ইউ’মিনূনা বিআ-য়া-তিল্লা-হি লা-ইয়াহদীহিমুল্লা-হু ওয়া লাহুম ‘আযাবুন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//لَا/لَا/la//یَهْدِیْهِمُ/يَهۡدِيهِمُ/yahdihimu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "নিশ্চয়ই//যারা//না//ঈমান আনে//প্রতি উপর নিদর্শনসমূহের//আল্লাহর//না//পথ দেখান তাদের//আল্লাহ্‌//এবং জন্যে তাদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 2006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2006.mp3"
              ],
              "text": "إِنَّمَا يَفْتَرِى ٱلْكَذِبَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِـَٔايَٰتِ ٱللَّهِ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْكَٰذِبُونَ",
              "translate_bn": "মিথ্যা কেবল তারা রচনা করে, যারা আল্লাহর নিদর্শনে বিশ্বাস করে না এবং তারাই মিথ্যাবাদী।",
              "numberInSurah": 105,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়াফতারিল কাযিবাল্লাযীনা লা-ইউ’মিনূনা বিআ-য়া-তিল্লা-হি ওয়া উলাইকা হুমুল কা-যিবূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یَفْتَرِی/يَفۡتَرِي/yaftari//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْكٰذِبُوْنَ /ٱلۡكَٰذِبُونَ/al-kadhibuna",
              "words_bangla": "প্রকৃতপক্ষে//রচনা করে//মিথ্যা//(তারাই) যারা//না//ঈমান আনে//প্রতি উপর নিদর্শনসমূহের//আল্লাহর//এবং ঐসব লোক//তারাই//মিথ্যাবাদী"
            },
            {
              "number": 2007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2007.mp3"
              ],
              "text": "مَن كَفَرَ بِٱللَّهِ مِنۢ بَعْدِ إِيمَٰنِهِۦٓ إِلَّا مَنْ أُكْرِهَ وَقَلْبُهُۥ مُطْمَئِنٌّۢ بِٱلْإِيمَٰنِ وَلَٰكِن مَّن شَرَحَ بِٱلْكُفْرِ صَدْرًۭا فَعَلَيْهِمْ غَضَبٌۭ مِّنَ ٱللَّهِ وَلَهُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "যার উপর জবরদস্তি করা হয় এবং তার অন্তর বিশ্বাসে অটল থাকে সে ব্যতীত যে কেউ বিশ্বাসী হওয়ার পর আল্লাহতে অবিশ্বাসী হয় এবং কুফরীর জন্য মন উম্মুক্ত করে দেয় তাদের উপর আপতিত হবে আল্লাহর গযব এবং তাদের জন্যে রয়েছে শাস্তি।",
              "numberInSurah": 106,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "মান কাফারা বিল্লা-হি মিম বা‘দি ঈমা-নিহীইল্লা-মান উকরিহা ওয়া কালবুহূমুতমাইননুম বিলঈমা-নি ওয়ালা-কিম মান শারাহা বিলকুফরি সাদরান ফা‘আলাইহিম গাদাবুম মিনাল্লা-হি ওয়ালাহুম ‘আযা-বুন ‘আজীম।",
              "words_arabic": "مَنْ/مَن/man//كَفَرَ/كَفَرَ/kafara//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اِیْمَانِهٖۤ/إِيمَٰنِهِۦٓ/imanihi//اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اُكْرِهَ/أُكۡرِهَ/uk'riha//وَ قَلْبُهٗ/وَقَلۡبُهُۥ/waqalbuhu//مُطْمَىِٕنٌّۢ/مُطۡمَئِنُّۢ/mut'ma-innun//بِالْاِیْمَانِ/بِٱلۡإِيمَٰنِ/bil-imani//وَ لٰكِنْ/وَلَٰكِن/walakin//مَّنْ/مَّن/man//شَرَحَ/شَرَحَ/sharaha//بِالْكُفْرِ/بِٱلۡكُفۡرِ/bil-kuf'ri//صَدْرًا/صَدۡرٗا/sadran//فَعَلَیْهِمْ/فَعَلَيۡهِمۡ/fa'alayhim//غَضَبٌ/غَضَبٞ/ghadabun//مِّنَ/مِّنَ/mina//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "যে//অস্বীকার করে//সাথে আল্লাহর//থেকে//পর//তার ঈমানের//এ ছাড়া//যাকে//বাধ্য করা হয়েছে//অথচ তার অন্তর//অটল//উপর ঈমানের//কিন্তু (তার কথা ভিন্ন)//যার//উন্মুক্ত রাখে//জন্যে কুফুরীর//অন্তরকে//তাহ'লে উপর তাদরর//রাগ//থেকে//আল্লাহর//এবং জন্যে তাদের//শাস্তি//মহা"
            },
            {
              "number": 2008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2008.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمُ ٱسْتَحَبُّوا۟ ٱلْحَيَوٰةَ ٱلدُّنْيَا عَلَى ٱلْءَاخِرَةِ وَأَنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَٰفِرِينَ",
              "translate_bn": "এটা এ জন্যে যে, তারা পার্থিব জীবনকে পরকালের চাইতে প্রিয় মনে করেছে এবং আল্লাহ অবিশ্বাসীদেরকে পথ প্রদর্শন করেন না।",
              "numberInSurah": 107,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুমুছ তাহাব্বুল হায়া-তাদদুনইয়া-‘আলাল আ-খিরাতি ওয়া আন্নাল্লাহা লা-ইয়াহদিল কাওমাল কা-ফিরীন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمُ/بِأَنَّهُمُ/bi-annahumu//اسْتَحَبُّوا/ٱسۡتَحَبُّواْ/is'tahabbu//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//عَلَی/عَلَى/ala//الْاٰخِرَةِ ۙ/ٱلۡأٓخِرَةِ/al-akhirati//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এটা//এজন্য যে তারা//প্রাধান্য দিয়েছে//জীবনকে//পার্থিব//উপর//আখেরাতের//এবং (এও) যে//আল্লাহ্‌//না//পথ দেখান//সম্প্রদায়কে//কাফের"
            },
            {
              "number": 2009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2009.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ طَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَسَمْعِهِمْ وَأَبْصَٰرِهِمْ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْغَٰفِلُونَ",
              "translate_bn": "এরাই তারা, আল্লাহ তা’য়ালা এদেরই অন্তর, কর্ণ ও চক্ষুর উপর মোহর মেরে দিয়েছেন এবং এরাই কান্ড জ্ঞানহীন।",
              "numberInSurah": 108,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা তাবা‘আল্লা-হু ‘আলা-কুলূবিহিম ওয়া ছাম‘ইহিম ওয়া আবসা-রিহিম ওয়া উলাইকা হুমুল গা-ফিলূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//طَبَعَ/طَبَعَ/taba'a//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//وَ سَمْعِهِمْ/وَسَمۡعِهِمۡ/wasam'ihim//وَ اَبْصَارِهِمْ ۚ/وَأَبۡصَٰرِهِمۡۖ/wa-absarihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْغٰفِلُوْنَ /ٱلۡغَٰفِلُونَ/al-ghafiluna",
              "words_bangla": "ঐসব লোক//(তারাই) যাদের//মোহর মেরে দিয়েছেন//আল্লাহ্‌//উপর//অন্তরসমূহের তাদের//ও শ্রবণশক্তিসমূহের তাদের//ও দৃষ্টিশক্তিসমূহের তাদের//এবং ঐসব লোক//তারাই//উদাসীন"
            },
            {
              "number": 2010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2010.mp3"
              ],
              "text": "لَا جَرَمَ أَنَّهُمْ فِى ٱلْءَاخِرَةِ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "বলাবাহুল্য পরকালে এরাই ক্ষতি গ্রস্ত হবে।",
              "numberInSurah": 109,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "লা-জারামা আন্নাহুম ফিল আ-খিরাতি হুমুল খা-ছিরূন।",
              "words_arabic": "لَا/لَا/la//جَرَمَ/جَرَمَ/jarama//اَنَّهُمْ/أَنَّهُمۡ/annahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "নেই//সন্দেহ//যে তারা//মধ্যে//আখেরাতের//তারাই//ক্ষতিগ্রস্ত (হবে)"
            },
            {
              "number": 2011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2011.mp3"
              ],
              "text": "ثُمَّ إِنَّ رَبَّكَ لِلَّذِينَ هَاجَرُوا۟ مِنۢ بَعْدِ مَا فُتِنُوا۟ ثُمَّ جَٰهَدُوا۟ وَصَبَرُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যারা দুঃখ-কষ্ট ভোগের পর দেশত্যাগী হয়েছে অতঃপর জেহাদ করেছে, নিশ্চয় আপনার পালনকর্তা এসব বিষয়ের পরে অবশ্যই ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 110,
              "juz": 14,
              "manzil": 3,
              "page": 279,
              "ruku": 237,
              "hizbQuarter": 111,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না রাব্বাকা লিল্লাযীনা হা-জারূমিম বা‘দি মা-ফুতিনূছু ম্মা জা-হাদূওয়া সাবারূ ইন্না রাব্বাকা মিম বা‘দিহা-লাগাফূরুর রাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//هَاجَرُوْا/هَاجَرُواْ/hajaru//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//فُتِنُوْا/فُتِنُواْ/futinu//ثُمَّ/ثُمَّ/thumma//جٰهَدُوْا/جَٰهَدُواْ/jahadu//وَ صَبَرُوْۤا ۙ/وَصَبَرُوٓاْ/wasabaru//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//مِنْۢ/مِنۢ/min//بَعْدِهَا/بَعۡدِهَا/ba'diha//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "এরপর//নিশ্চয়ই//তোমার রব//তাদের জন্যে যারা//হিজরত করেছে//থেকে//পর//হওয়ার//নির্যাতিত//অতঃপর//জিহাদ করেছে//ও ধৈর্য ধরেছে//নিশ্চয়ই//তোমার রব//থেকে//এরপর (তাদের জন্যে)//অবশ্যই ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2012.mp3"
              ],
              "text": "۞ يَوْمَ تَأْتِى كُلُّ نَفْسٍۢ تُجَٰدِلُ عَن نَّفْسِهَا وَتُوَفَّىٰ كُلُّ نَفْسٍۢ مَّا عَمِلَتْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "যেদিন প্রত্যেক ব্যক্তি আত্ন-সমর্থনে সওয়াল জওয়াব করতে করতে আসবে এবং প্রত্যেক ব্যক্তি তাদের কৃতকর্মের পূর্ণ ফল পাবে এবং তাদের উপর জুলুম করা হবে না।",
              "numberInSurah": 111,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তা’তী কুল্লুনাফছিন তুজা-দিলু‘আন নাফছিহা-ওয়া তুওয়াফফা-কুল্লুনাফছিম মা‘আমিলাত ওয়া হুম লা-ইউজলামূন।",
              "words_arabic": "یَوْمَ/۞يَوۡمَ/yawma//تَاْتِیْ/تَأۡتِي/tati//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//تُجَادِلُ/تُجَٰدِلُ/tujadilu//عَنْ/عَن/an//نَّفْسِهَا/نَّفۡسِهَا/nafsiha//وَ تُوَفّٰی/وَتُوَفَّىٰ/watuwaffa//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//عَمِلَتْ/عَمِلَتۡ/amilat//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "(স্মরণ করো) যেদিন//আসবে//প্রত্যেক//ব্যক্তি//যুক্তি দিবে//সম্পর্কে//তার নিজের//এবং পূর্ণ দেওয়া হবে//প্রত্যেক//ব্যক্তিকে//যা//সে কাজ করেছে//এবং তাদের (প্রতি)//না//অত্যাচার করা হবে"
            },
            {
              "number": 2013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2013.mp3"
              ],
              "text": "وَضَرَبَ ٱللَّهُ مَثَلًۭا قَرْيَةًۭ كَانَتْ ءَامِنَةًۭ مُّطْمَئِنَّةًۭ يَأْتِيهَا رِزْقُهَا رَغَدًۭا مِّن كُلِّ مَكَانٍۢ فَكَفَرَتْ بِأَنْعُمِ ٱللَّهِ فَأَذَٰقَهَا ٱللَّهُ لِبَاسَ ٱلْجُوعِ وَٱلْخَوْفِ بِمَا كَانُوا۟ يَصْنَعُونَ",
              "translate_bn": "আল্লাহ দৃষ্টান্ত বর্ণনা করেছেন একটি জনপদের, যা ছিল নিরাপদ ও নিশ্চিন্ত, তথায় প্রত্যেক জায়গা থেকে আসত প্রচুর জীবনোপকরণ। অতঃপর তারা আল্লাহর নেয়ামতের প্রতি অকৃতজ্ঞতা প্রকাশ করল। তখন আল্লাহ তাদেরকে তাদের কৃতকর্মের কারণে স্বাদ আস্বাদন করালেন, ক্ষুধা ও ভীতির।",
              "numberInSurah": 112,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়া দারাবাল্লা-হু মাছালান কারইয়াতান কা-নাত আ-মিনাতাম মুতমাইন্নাতাইঁ ইয়া’তীহারিঝকুহা-রাগাদাম মিন কুল্লি মাকা-নিন ফাকাফারাত বিআন‘উমিল্লা-হি ফাআযা-কাহাল্লা-হু লিবা-ছাল জূ‘ই ওয়াল খাওফি বিমা-কা-নূইয়াসনা‘ঊন।",
              "words_arabic": "وَ ضَرَبَ/وَضَرَبَ/wadaraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//قَرْیَةً/قَرۡيَةٗ/qaryatan//كَانَتْ/كَانَتۡ/kanat//اٰمِنَةً/ءَامِنَةٗ/aminatan//مُّطْمَىِٕنَّةً/مُّطۡمَئِنَّةٗ/mut'ma-innatan//یَّاْتِیْهَا/يَأۡتِيهَا/yatiha//رِزْقُهَا/رِزۡقُهَا/riz'quha//رَغَدًا/رَغَدٗا/raghadan//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//مَكَانٍ/مَكَانٖ/makanin//فَكَفَرَتْ/فَكَفَرَتۡ/fakafarat//بِاَنْعُمِ/بِأَنۡعُمِ/bi-an'umi//اللّٰهِ/ٱللَّهِ/al-lahi//فَاَذَاقَهَا/فَأَذَٰقَهَا/fa-adhaqaha//اللّٰهُ/ٱللَّهُ/al-lahu//لِبَاسَ/لِبَاسَ/libasa//الْجُوْعِ/ٱلۡجُوعِ/al-ju'i//وَ الْخَوْفِ/وَٱلۡخَوۡفِ/wal-khawfi//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَصْنَعُوْنَ /يَصۡنَعُونَ/yasna'una",
              "words_bangla": "এবং পেশ করেন//আল্লাহ্‌//দৃষ্টান্ত//এক জনপদের//তা ছিলো//নিরাপদ//নিশ্চিন্ত//যেখানে আসতো//তার জীবিকা//প্রচুর//থেকে//প্রত্যেক//জায়গা//অতঃপর অস্বীকার করলো//ব্যাপারে অনুগ্রহসমূহের//আল্লাহর//তখন তাকে আস্বাদন করালেন//আল্লাহ্‌//আচ্ছাদন//ক্ষুধার//ও ভীতির//এ কারণে যে//তারা ছিলো//তারা করতে"
            },
            {
              "number": 2014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2014.mp3"
              ],
              "text": "وَلَقَدْ جَآءَهُمْ رَسُولٌۭ مِّنْهُمْ فَكَذَّبُوهُ فَأَخَذَهُمُ ٱلْعَذَابُ وَهُمْ ظَٰلِمُونَ",
              "translate_bn": "তাদের কাছে তাদের মধ্য থেকেই একজন রাসূল আগমন করেছিলেন। অনন্তর ওরা তাঁর প্রতি মিথ্যারোপ করল। তখন আযাব এসে তাদরকে পাকড়াও করল এবং নিশ্চিতই ওরা ছিল পাপাচারী।",
              "numberInSurah": 113,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জাআহুম রাছূলুম মিনহুম ফাকাযযাবূহু ফাআখাযাহুমুল‘আযা-বুওয়া হুম জা-লিমূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَهُمْ/جَآءَهُمۡ/jaahum//رَسُوْلٌ/رَسُولٞ/rasulun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//وَ هُمْ/وَهُمۡ/wahum//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "এবং নিশ্চয়ই//কাছে এসেছিলো তাদের//একজন রাসূল//মধ্য থেকে তাদের//অতঃপর তাকে তারা মিথ্যারোপ করলো//তখন তাদেরকে ধরলো//শাস্তি//এমতাবস্হায় (যখন) তারা ছিলো//সীমালঙ্ঘনকারী"
            },
            {
              "number": 2015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2015.mp3"
              ],
              "text": "فَكُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ حَلَٰلًۭا طَيِّبًۭا وَٱشْكُرُوا۟ نِعْمَتَ ٱللَّهِ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ",
              "translate_bn": "অতএব, আল্লাহ তোমাদেরকে যেসব হালাল ও পবিত্র বস্তু দিয়েছেন, তা তোমরা আহার কর এবং আল্লাহর অনুগ্রহের জন্যে কৃতজ্ঞতা প্রকাশ কর যদি তোমরা তাঁরই এবাদতকারী হয়ে থাক।",
              "numberInSurah": 114,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ফাকুলূমিম্মা-রাঝাকাকুমুল্লা-হু হালা-লান তাইয়িবাওঁ ওয়াশকুরূনি‘মাতাল্লা-হি ইন কুনতুম ইয়্যা-হু তা‘বুদূ ন।",
              "words_arabic": "فَكُلُوْا/فَكُلُواْ/fakulu//مِمَّا/مِمَّا/mimma//رَزَقَكُمُ/رَزَقَكُمُ/razaqakumu//اللّٰهُ/ٱللَّهُ/al-lahu//حَلٰلًا/حَلَٰلٗا/halalan//طَیِّبًا ۪/طَيِّبٗا/tayyiban//وَّ اشْكُرُوْا/وَٱشۡكُرُواْ/wa-ush'kuru//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//اِیَّاهُ/إِيَّاهُ/iyyahu//تَعْبُدُوْنَ /تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "সুতরাং তোমরা খাও//তা হ'তে যা//তোমাদের জীবিকা দিয়েছেন//আল্লাহ্‌//হালাল//পবিত্র//এবং তোমরা কৃতজ্ঞতা প্রকাশ করো//অনুগ্রহসমূহের//আল্লাহর//যদি//তোমরা হও//তাঁরই শুধু//তোমরা ইবাদাত করে থাকো"
            },
            {
              "number": 2016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2016.mp3"
              ],
              "text": "إِنَّمَا حَرَّمَ عَلَيْكُمُ ٱلْمَيْتَةَ وَٱلدَّمَ وَلَحْمَ ٱلْخِنزِيرِ وَمَآ أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ ۖ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍۢ وَلَا عَادٍۢ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "অবশ্যই আল্লাহ তোমাদের জন্যে হারাম করেছেন রক্ত, শুকরের মাংস এবং যা জবাই কালে আল্লাহ ছাড়া অন্যের নাম উচ্চারণ করা হয়েছে। অতঃপর কেউ সীমালঙ্ঘন কারী না হয়ে নিরুপায় হয়ে পড়লে তবে, আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 115,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-হাররামা ‘আলাইকুমুল মাইতাতা ওয়াদ্দামা ওয়া লাহমাল খিনঝীরি ওয়ামাউহিল্লা লিগাইরিল্লা-হি বিহী ফামানিদতুররা গাইরা বা-গিওঁ ওয়ালা-‘আদিন ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//حَرَّمَ/حَرَّمَ/harrama//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْمَیْتَةَ/ٱلۡمَيۡتَةَ/al-maytata//وَ الدَّمَ/وَٱلدَّمَ/wal-dama//وَ لَحْمَ/وَلَحۡمَ/walahma//الْخِنْزِیْرِ/ٱلۡخِنزِيرِ/al-khinziri//وَ مَاۤ/وَمَآ/wama//اُهِلَّ/أُهِلَّ/uhilla//لِغَیْرِ/لِغَيۡرِ/lighayri//اللّٰهِ/ٱللَّهِ/al-lahi//بِهٖ ۚ/بِهِۦۖ/bihi//فَمَنِ/فَمَنِ/famani//اضْطُرَّ/ٱضۡطُرَّ/ud'turra//غَیْرَ/غَيۡرَ/ghayra//بَاغٍ/بَاغٖ/baghin//وَّ لَا/وَلَا/wala//عَادٍ/عَادٖ/adin//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "(আল্লাহ্‌) মূলতঃ//হারাম করেছেন//তোমাদের উপর//মৃত (জন্তু)//ও রক্ত//ও গোশতকে//শুকরের//এবং যা//নাম নেয়া হয়েছে//জন্যে অন্যের//আল্লাহ্‌ ছাড়া//তার উপর//তবে কেউ//নিরুপায় হ'লে (খেতে)//ছাড়া//বিদ্রোহী হওয়া//কিংবা না//সীমালঙ্ঘনকারী হয়ে//তবে নিশ্চয়ই//আল্লাহ্‌//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2017.mp3"
              ],
              "text": "وَلَا تَقُولُوا۟ لِمَا تَصِفُ أَلْسِنَتُكُمُ ٱلْكَذِبَ هَٰذَا حَلَٰلٌۭ وَهَٰذَا حَرَامٌۭ لِّتَفْتَرُوا۟ عَلَى ٱللَّهِ ٱلْكَذِبَ ۚ إِنَّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ لَا يُفْلِحُونَ",
              "translate_bn": "তোমাদের মুখ থেকে সাধারনতঃ যেসব মিথ্যা বের হয়ে আসে তেমনি করে তোমরা আল্লাহর বিরুদ্ধে মিথ্যা অপবাদ আরোপ করে বল না যে, এটা হালাল এবং ওটা হারাম। নিশ্চয় যারা আল্লাহর বিরুদ্ধে মিথ্যা আরোপ করে, তাদের মঙ্গল হবে না।",
              "numberInSurah": 116,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূলূলিমা-তাসিফুআলছিনাতুকুমুল কাযিবা হা-যা-হালা-লুওঁ ওয়া হা-যাহারামুল লিতাফতারূ‘আলাল্লা-হিল কাযিবা ইন্নাল্লাযীনা ইয়াফতারূনা ‘আলাল্লা-হিল কাযিবা লা-ইউফলিহূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقُوْلُوْا/تَقُولُواْ/taqulu//لِمَا/لِمَا/lima//تَصِفُ/تَصِفُ/tasifu//اَلْسِنَتُكُمُ/أَلۡسِنَتُكُمُ/alsinatukumu//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//هٰذَا/هَٰذَا/hadha//حَلٰلٌ/حَلَٰلٞ/halalun//وَّ هٰذَا/وَهَٰذَا/wahadha//حَرَامٌ/حَرَامٞ/haramun//لِّتَفْتَرُوْا/لِّتَفۡتَرُواْ/litaftaru//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ ؕ/ٱلۡكَذِبَۚ/al-kadhiba//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَفْتَرُوْنَ/يَفۡتَرُونَ/yaftaruna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//لَا/لَا/la//یُفْلِحُوْنَؕ/يُفۡلِحُونَ/yuf'lihuna",
              "words_bangla": "এবং না//তোমরা বলো//ঐ বিষয়ে যা//বর্ণনা করে//তোমাদের জিহবাসমূহ//মিথ্যা//\"এটা//হালাল//এবং এটা//হারাম\"//যাতে তোমরা রটাবে//উপর//আল্লাহর//মিথ্যা//নিশ্চয়ই//যারা//আরোপ করেছে//উপর//আল্লাহর//মিথ্যা//না//তারা সফলকাম হয়"
            },
            {
              "number": 2018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2018.mp3"
              ],
              "text": "مَتَٰعٌۭ قَلِيلٌۭ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যৎসামান্য সুখ-সম্ভোগ ভোগ করে নিক। তাদের জন্যে যন্ত্রনাদায়ক শাস্তি রয়েছে।",
              "numberInSurah": 117,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "মাতা-‘উন কালীলুওঁ ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "مَتَاعٌ/مَتَٰعٞ/mata'un//قَلِیْلٌ ۪/قَلِيلٞ/qalilun//وَّ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "(দুনিয়ার) সুখ সম্ভোগ//সামান্য//এবং জন্যে তাদের//শাস্তি (রয়েছে)//নিদারুণ"
            },
            {
              "number": 2019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2019.mp3"
              ],
              "text": "وَعَلَى ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا مَا قَصَصْنَا عَلَيْكَ مِن قَبْلُ ۖ وَمَا ظَلَمْنَٰهُمْ وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "ইহুদীদের জন্যে আমি তো কেবল তাই হারাম করেছিলাম যা ইতিপূর্বে আপনার নিকট উল্লেখ করেছি। আমি তাদের প্রতি কোন জুলুম করিনি, কিন্তু তারাই নিজেদের উপর জুলুম করত।",
              "numberInSurah": 118,
              "juz": 14,
              "manzil": 3,
              "page": 280,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলাল্লাযীনা হা-দূহাররামনা-মা-কাসাসনা-‘আলাইকা মিন কাবলু ওয়ামাজালামনা-হুম ওয়ালা-কিন কা-নূআনফুছাহুম ইয়জলিমূন।",
              "words_arabic": "وَ عَلَی/وَعَلَى/wa'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْا/هَادُواْ/hadu//حَرَّمْنَا/حَرَّمۡنَا/harramna//مَا/مَا/ma//قَصَصْنَا/قَصَصۡنَا/qasasna//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۖ/qablu//وَ مَا/وَمَا/wama//ظَلَمْنٰهُمْ/ظَلَمۡنَٰهُمۡ/zalamnahum//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "এবং উপর//(তাদের) যারা//ইহুদী হয়েছে//আমরা হারাম করেছিলাম//যা//আমরা উল্লেখ করেছি//তোমার নিকট//থেকে//পূর্ব//এবং না//তাদের উপর আমরা নির্যাতন করেছি//কিন্তু//তারা ছিলো//নিজেদের উপর তাদের//অত্যাচার করতো"
            },
            {
              "number": 2020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2020.mp3"
              ],
              "text": "ثُمَّ إِنَّ رَبَّكَ لِلَّذِينَ عَمِلُوا۟ ٱلسُّوٓءَ بِجَهَٰلَةٍۢ ثُمَّ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "অনন্তর যারা অজ্ঞতাবশতঃ মন্দ কাজ করে, অতঃপর তওবা করে এবং নিজেকে সংশোধন করে নেয়, আপনার পালনকর্তা এসবের পরে তাদের জন্যে অবশ্যই ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 119,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 238,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না রাব্বাকা লিল্লাযীনা ‘আমিলুছছূআ বিজাহা-লাতিন ছুম্মা তা-বূমিম বা‘দি যালিকা ওয়া আসলাহূ ইন্না রাব্বাকা মিম বা‘দিহা-লাগাফরুর রাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//عَمِلُوا/عَمِلُواْ/amilu//السُّوْٓءَ/ٱلسُّوٓءَ/al-sua//بِجَهَالَةٍ/بِجَهَٰلَةٖ/bijahalatin//ثُمَّ/ثُمَّ/thumma//تَابُوْا/تَابُواْ/tabu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ اَصْلَحُوْۤا ۙ/وَأَصۡلَحُوٓاْ/wa-aslahu//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//مِنْۢ/مِنۢ/min//بَعْدِهَا/بَعۡدِهَا/ba'diha//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//رَّحِیْمٌ۠/رَّحِيمٌ/rahimun",
              "words_bangla": "এরপর//নিশ্চয়ই//তোমার রব//(তাদের) জন্য যারা//কাজ করেছে//মন্দ//বশতঃ অজ্ঞতা//এরপর//তারা তওবা করেছে//থেকে//পর//এর//ও সংশোধন করেছে//নিশ্চয়ই//তোমার রব//থেকে//এর পর//অবশ্যই ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2021.mp3"
              ],
              "text": "إِنَّ إِبْرَٰهِيمَ كَانَ أُمَّةًۭ قَانِتًۭا لِّلَّهِ حَنِيفًۭا وَلَمْ يَكُ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "নিশ্চয় ইব্রাহীম ছিলেন এক সম্প্রদায়ের প্রতীক, সবকিছু থেকে মুখ ফিরিয়ে এক আল্লাহরই অনুগত এবং তিনি শেরককারীদের অন্তর্ভুক্ত ছিলেন না।",
              "numberInSurah": 120,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইবরা-হীমা কা-না উম্মাতান কা-নিতাল লিল্লা-হি হানীফাওঁ ওয়ালাম ইয়াকুমিনাল মুশরিকীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//كَانَ/كَانَ/kana//اُمَّةً/أُمَّةٗ/ummatan//قَانِتًا/قَانِتٗا/qanitan//لِّلّٰهِ/لِّلَّهِ/lillahi//حَنِیْفًا ؕ/حَنِيفٗا/hanifan//وَ لَمْ/وَلَمۡ/walam//یَكُ/يَكُ/yaku//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَۙ/ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "নিশ্চয়ই//ইবরাহীম//ছিলো//এক সম্প্রদায় (প্রতীক)//অনুগত//জন্যে আল্লাহর//একনিষ্ঠ//এবং না//ছিলো//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 2022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2022.mp3"
              ],
              "text": "شَاكِرًۭا لِّأَنْعُمِهِ ۚ ٱجْتَبَىٰهُ وَهَدَىٰهُ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "তিনি তাঁর অনুগ্রহের প্রতি কৃতজ্ঞতা প্রকাশকারী ছিলেন। আল্লাহ তাঁকে মনোনীত করেছিলেন এবং সরল পথে পরিচালিত করেছিলেন।",
              "numberInSurah": 121,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "শা-কিরাল লিআন‘উমিহী ইজতাবা-হু ওয়াহাদা-হু ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "شَاكِرًا/شَاكِرٗا/shakiran//لِّاَنْعُمِهٖ ؕ/لِّأَنۡعُمِهِۚ/li-an'umihi//اِجْتَبٰىهُ/ٱجۡتَبَىٰهُ/ij'tabahu//وَ هَدٰىهُ/وَهَدَىٰهُ/wahadahu//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "কৃতজ্ঞ//জন্যে তাঁর অনুগ্রহসমূহের//(আল্লাহ্‌) তাকে মনোনীত করেছিলেন//ও তাকে পরিচালিত করেছিলেন//দিকে//পথের//সরল সঠিক"
            },
            {
              "number": 2023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2023.mp3"
              ],
              "text": "وَءَاتَيْنَٰهُ فِى ٱلدُّنْيَا حَسَنَةًۭ ۖ وَإِنَّهُۥ فِى ٱلْءَاخِرَةِ لَمِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তাঁকে দুনিয়াতে দান করেছি কল্যাণ এবং তিনি পরকালেও সৎকর্মশীলদের অন্তর্ভূক্ত।",
              "numberInSurah": 122,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-হু ফিদদুনইয়া-হাছানাতাওঁ ওয়া ইন্নাহূফিল আ-খিরাতি লামিনাসসালিহীন।",
              "words_arabic": "وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةً ؕ/حَسَنَةٗۖ/hasanatan//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//لَمِنَ/لَمِنَ/lamina//الصّٰلِحِیْنَؕ/ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং তাকে আমরা দিয়েছিলাম//মধ্যে//দুনিয়ার//কল্যাণ//এবং নিশ্চয়ই সে//মধ্যে//আখেরাতে (হবে)//অবশ্যই অন্তর্ভুক্ত//সৎকর্মশীলদের"
            },
            {
              "number": 2024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2024.mp3"
              ],
              "text": "ثُمَّ أَوْحَيْنَآ إِلَيْكَ أَنِ ٱتَّبِعْ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًۭا ۖ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "অতঃপর আপনার প্রতি প্রত্যাদেশ প্রেরণ করেছি যে, ইব্রাহীমের দ্বীন অনুসরণ করুন, যিনি একনিষ্ঠ ছিলেন এবং শিরককারীদের অন্তর্ভূক্ত ছিলেন না।",
              "numberInSurah": 123,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আওহাইনাইলাইকা আনিত্তাবি‘ মিল্লাতা ইবরা-হীমা হানীফাওঁ ওয়ামা-কা-না মিনাল মুশরিকীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//اَنِ/أَنِ/ani//اتَّبِعْ/ٱتَّبِعۡ/ittabi'//مِلَّةَ/مِلَّةَ/millata//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//حَنِیْفًا ؕ/حَنِيفٗاۖ/hanifan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَ /ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "এরপর//আমরা ওহী করেছি//তোমার প্রতি//যে//\"অনুসরণ করো//মিল্লাতের (আদর্শের)//ইবরাহীমের//একনিষ্ঠভাবে//এবং না//সে ছিলো//অন্তর্ভুক্ত//মুশরিকদের\""
            },
            {
              "number": 2025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2025.mp3"
              ],
              "text": "إِنَّمَا جُعِلَ ٱلسَّبْتُ عَلَى ٱلَّذِينَ ٱخْتَلَفُوا۟ فِيهِ ۚ وَإِنَّ رَبَّكَ لَيَحْكُمُ بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "শনিবার দিন পালন যে, নির্ধারণ করা হয়েছিল, তা তাদের জন্যেই যারা এতে মতবিরোধ করেছিল। আপনার পালনকর্তা কিয়ামতের দিন তাদের মধ্যে ফয়সালা করবেন যে বিষয়ে তারা মতবিরোধ করত।",
              "numberInSurah": 124,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-জু‘ইলাছছাব তু‘আলাল্লাযীনাখ তালাফূফীহি ওয়া ইন্না রাব্বাকা লাইয়াহকুমু বাইনাহুম ইয়াওমাল কিয়া-মাতি ফীমা-কা-নূফীহি ইয়াখাতালিফূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//جُعِلَ/جُعِلَ/ju'ila//السَّبْتُ/ٱلسَّبۡتُ/al-sabtu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اخْتَلَفُوْا/ٱخۡتَلَفُواْ/ikh'talafu//فِیْهِ ؕ/فِيهِۚ/fihi//وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَیَحْكُمُ/لَيَحۡكُمُ/layahkumu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "প্রকৃতপক্ষে//বাধ্যতামূলক করা হয়েছিলো//শনিবার//উপর//(তাদের) যারা//মতভেদ করেছিলো//তার মধ্যে//এবং নিশ্চয়ই//তোমার রব//অবশ্যই মীমাংসা করে দিবেন//তাদের মাঝে//দিনে//ক্বিয়ামাতের//ঐ বিষয়ে যা//তারা ছিলো//তার মধ্যে//মতভেদ করতো"
            },
            {
              "number": 2026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2026.mp3"
              ],
              "text": "ٱدْعُ إِلَىٰ سَبِيلِ رَبِّكَ بِٱلْحِكْمَةِ وَٱلْمَوْعِظَةِ ٱلْحَسَنَةِ ۖ وَجَٰدِلْهُم بِٱلَّتِى هِىَ أَحْسَنُ ۚ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ ۖ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ",
              "translate_bn": "আপন পালনকর্তার পথের প্রতি আহবান করুন জ্ঞানের কথা বুঝিয়ে ও উপদেশ শুনিয়ে উত্তমরূপে এবং তাদের সাথে বিতর্ক করুন পছন্দ যুক্ত পন্থায়। নিশ্চয় আপনার পালনকর্তাই ঐ ব্যক্তি সম্পর্কে বিশেষ ভাবে জ্ঞাত রয়েছেন, যে তাঁর পথ থেকে বিচ্যুত হয়ে পড়েছে এবং তিনিই ভাল জানেন তাদেরকে, যারা সঠিক পথে আছে।",
              "numberInSurah": 125,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "উদ‘উ ইলা-ছাবীলি রাব্বিকা বিলহিকমাতি ওয়াল মাও‘ইজাতিল হাছানাতি ওয়া জা-দিলহুম বিল্লাতী হিয়া আহছানু ইন্না রাব্বাকা হুওয়া আ‘লামুবিমান দাল্লা ‘আন ছাবীলিহী ওয়া হুওয়া আ‘লামুবিলমুহতাদীন।",
              "words_arabic": "اُدْعُ/ٱدۡعُ/ud'u//اِلٰی/إِلَىٰ/ila//سَبِیْلِ/سَبِيلِ/sabili//رَبِّكَ/رَبِّكَ/rabbika//بِالْحِكْمَةِ/بِٱلۡحِكۡمَةِ/bil-hik'mati//وَ الْمَوْعِظَةِ/وَٱلۡمَوۡعِظَةِ/wal-maw'izati//الْحَسَنَةِ/ٱلۡحَسَنَةِۖ/al-hasanati//وَ جَادِلْهُمْ/وَجَٰدِلۡهُم/wajadil'hum//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ ؕ/أَحۡسَنُۚ/ahsanu//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//ضَلَّ/ضَلَّ/dalla//عَنْ/عَن/an//سَبِیْلِهٖ/سَبِيلِهِۦ/sabilihi//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُهْتَدِیْنَ /بِٱلۡمُهۡتَدِينَ/bil-muh'tadina",
              "words_bangla": "তুমি আহবান করো//দিকে//পথের//তোমার রবের//সাথে প্রজ্ঞার//ও উপদেশ//উত্তম (দ্বারা)//এবং তাদের যুক্তি দাও//উপায়ে এমন//যা//অতি উত্তম//নিশ্চয়ই//তোমার রব//তিনি//খুব জানেন//সম্বন্ধে (তার) যে//ভ্রষ্ট হয়েছে//থেকে//তাঁর পথ//এবং তিনি//খুব জানেন//সম্পর্কে সৎপথপ্রাপ্তদের"
            },
            {
              "number": 2027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2027.mp3"
              ],
              "text": "وَإِنْ عَاقَبْتُمْ فَعَاقِبُوا۟ بِمِثْلِ مَا عُوقِبْتُم بِهِۦ ۖ وَلَئِن صَبَرْتُمْ لَهُوَ خَيْرٌۭ لِّلصَّٰبِرِينَ",
              "translate_bn": "আর যদি তোমরা প্রতিশোধ গ্রহণ কর, তবে ঐ পরিমাণ প্রতিশোধ গ্রহণ করবে, যে পরিমাণ তোমাদেরকে কষ্ট দেয়া হয়। যদি সবর কর, তবে তা সবরকারীদের জন্যে উত্তম।",
              "numberInSurah": 126,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন ‘আ-কাবতুম ফা‘আকিবূবিমিছলি মা -‘ঊকিবতুম বিহী ওয়া লাইন সাবারতুম লাহুওয়া খাইরুল লিসসা-বিরীন।",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//عَاقَبْتُمْ/عَاقَبۡتُمۡ/aqabtum//فَعَاقِبُوْا/فَعَاقِبُواْ/fa'aqibu//بِمِثْلِ/بِمِثۡلِ/bimith'li//مَا/مَا/ma//عُوْقِبْتُمْ/عُوقِبۡتُم/uqib'tum//بِهٖ ؕ/بِهِۦۖ/bihi//وَ لَىِٕنْ/وَلَئِن/wala-in//صَبَرْتُمْ/صَبَرۡتُمۡ/sabartum//لَهُوَ/لَهُوَ/lahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لِّلصّٰبِرِیْنَ /لِّلصَّـٰبِرِينَ/lilssabirina",
              "words_bangla": "এবং যদি//তোমরা প্রতিশোধ নাও//তবে তোমরা প্রতিশোধ নিবে//সমান//(তার) যা//কষ্ট দেয়া হয়েছে তোমাদের//তার সাথে//কিন্তু অবশ্যই যদি//তোমরা ধৈর্য ধরো//অবশ্যই তা//উত্তম//জন্যে ধৈর্যশীলদের"
            },
            {
              "number": 2028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2028.mp3"
              ],
              "text": "وَٱصْبِرْ وَمَا صَبْرُكَ إِلَّا بِٱللَّهِ ۚ وَلَا تَحْزَنْ عَلَيْهِمْ وَلَا تَكُ فِى ضَيْقٍۢ مِّمَّا يَمْكُرُونَ",
              "translate_bn": "আপনি সবর করবেন। আপনার সবর আল্লাহর জন্য ব্যতীত নয়, তাদের জন্যে দুঃখ করবেন না এবং তাদের চক্রান্তের কারণে মন ছোট করবেন না।",
              "numberInSurah": 127,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ওয়াসবির ওয়ামা-সাবরুকা ইল্লা-বিল্লা-হি ওয়ালা-তাহঝান ‘আলাইহিম ওয়ালা-তাকুফী দাইকিম মিম্মা-ইয়ামকুরূন।",
              "words_arabic": "وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//وَ مَا/وَمَا/wama//صَبْرُكَ/صَبۡرُكَ/sabruka//اِلَّا/إِلَّا/illa//بِاللّٰهِ/بِٱللَّهِۚ/bil-lahi//وَ لَا/وَلَا/wala//تَحْزَنْ/تَحۡزَنۡ/tahzan//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//تَكُ/تَكُ/taku//فِیْ/فِي/fi//ضَیْقٍ/ضَيۡقٖ/dayqin//مِّمَّا/مِّمَّا/mimma//یَمْكُرُوْنَ /يَمۡكُرُونَ/yamkuruna",
              "words_bangla": "আর তুমি ধৈর্য ধরো//এবং না//তোমার ধৈর্য (সম্ভব)//ছাড়া//সাহায্য আল্লাহর//এবং না//দুঃখ করো//কারণে তাদের//এবং না//তুমি হয়ো//মধ্যে//সংকীর্ণতার//তা থেকে যা//তারা ষড়যন্ত্র করছে"
            },
            {
              "number": 2029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2029.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ مَعَ ٱلَّذِينَ ٱتَّقَوا۟ وَّٱلَّذِينَ هُم مُّحْسِنُونَ",
              "translate_bn": "নিশ্চয় আল্লাহ তাদের সঙ্গে আছেন, যারা পরহেযগার এবং যারা সৎকর্ম করে।",
              "numberInSurah": 128,
              "juz": 14,
              "manzil": 3,
              "page": 281,
              "ruku": 239,
              "hizbQuarter": 112,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা মা‘আল্লাযী নাত্তাকাওঁ ওয়াল্লাযীনা হুম মুহছিনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//مَعَ/مَعَ/ma'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَواْ/ittaqaw//وَّ الَّذِیْنَ/وَّٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//مُّحْسِنُوْنَ۠/مُّحۡسِنُونَ/muh'sinuna",
              "words_bangla": "নিশ্চয়ই//আল্লাহ্‌//সাথে (আছেন)//যারা//তাকওয়া অবলম্বন করে//এবং যারা//তারা//সৎকর্মপরায়ণ"
            }
          ]
        },
        {
          "number": 17,
          "name": "سُورَةُ الإِسۡرَاءِ",
          "englishName": "Al-Israa",
          "englishNameTranslation": "The Night Journey",
          "revelationType": "Meccan",
          "verse": 111,
          "words": 3223,
          "chars": 13549,
          "ayahs": [
            {
              "number": 2030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2030.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سُبْحَٰنَ ٱلَّذِىٓ أَسْرَىٰ بِعَبْدِهِۦ لَيْلًۭا مِّنَ ٱلْمَسْجِدِ ٱلْحَرَامِ إِلَى ٱلْمَسْجِدِ ٱلْأَقْصَا ٱلَّذِى بَٰرَكْنَا حَوْلَهُۥ لِنُرِيَهُۥ مِنْ ءَايَٰتِنَآ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ",
              "translate_bn": "পরম পবিত্র ও মহিমাময় সত্তা তিনি, যিনি স্বীয় বান্দাকে রাত্রি বেলায় ভ্রমণ করিয়েছিলেন মসজিদে হারাম থেকে মসজিদে আকসা পর্যান্ত-যার চার দিকে আমি পর্যাপ্ত বরকত দান করেছি যাতে আমি তাঁকে কুদরতের কিছু নিদর্শন দেখিয়ে দেই। নিশ্চয়ই তিনি পরম শ্রবণকারী ও দর্শনশীল।",
              "numberInSurah": 1,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-নাল্লাযীআছরা-বিআ‘বদিহী লাইলাম মিনাল মাছজিদিল হারা-মি ইলাল মাছজিদিল আকসাল্লাযী বা-রাকনা- হাওলাহূলিনুরিয়াহূমিন আ-য়া-তিনা- ইন্নাহূ হুওয়াছছামী‘উল বাসীর।",
              "words_arabic": "سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَسْرٰی/أَسۡرَىٰ/asra//بِعَبْدِهٖ/بِعَبۡدِهِۦ/bi'abdihi//لَیْلًا/لَيۡلٗا/laylan//مِّنَ/مِّنَ/mina//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//اِلَی/إِلَى/ila//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْاَقْصَا/ٱلۡأَقۡصَا/al-aqsa//الَّذِیْ/ٱلَّذِي/alladhi//بٰرَكْنَا/بَٰرَكۡنَا/barakna//حَوْلَهٗ/حَوۡلَهُۥ/hawlahu//لِنُرِیَهٗ/لِنُرِيَهُۥ/linuriyahu//مِنْ/مِنۡ/min//اٰیٰتِنَا ؕ/ءَايَٰتِنَآۚ/ayatina//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْبَصِیْرُ /ٱلۡبَصِيرُ/al-basiru",
              "words_bangla": "মহিমাময় (সত্ত্বা)//(তিনি) যিনি//ভ্রমণ করালেন//তাঁর দাসকে//রাতে//থেকে//মাসজিদ//হারাম//পর্যন্ত//মাসজিদ//আকসা//যা//আমরা কল্যাণময় করেছি//তার আশ-পাশকে//যেন তাকে দেখাই আমরা//কিছু//আমাদের নিদর্শনাবলীর//নিশ্চয়ই তিনি//তিনিই//সর্বশ্রোতা//সর্বদ্রষ্টা"
            },
            {
              "number": 2031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2031.mp3"
              ],
              "text": "وَءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ وَجَعَلْنَٰهُ هُدًۭى لِّبَنِىٓ إِسْرَٰٓءِيلَ أَلَّا تَتَّخِذُوا۟ مِن دُونِى وَكِيلًۭا",
              "translate_bn": "আমি মূসাকে কিতাব দিয়েছি এবং সেটিকে বনী-ইসরাঈলের জন্যে হেদায়েতে পরিণত করেছি যে, তোমরা আমাকে ছাড়া কাউকে কার্যনিবাহী স্থির করো না।",
              "numberInSurah": 2,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-মূছাল কিতা-বা ওয়া জা‘আলনা-হু হুদাল লিবানী ইছরাঈলা আল্লাতাত্তাখিযূমিন দূনী ওয়াকীলা-।",
              "words_arabic": "وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ جَعَلْنٰهُ/وَجَعَلۡنَٰهُ/waja'alnahu//هُدًی/هُدٗى/hudan//لِّبَنِیْۤ/لِّبَنِيٓ/libani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اَلَّا/أَلَّا/alla//تَتَّخِذُوْا/تَتَّخِذُواْ/tattakhidhu//مِنْ/مِن/min//دُوْنِیْ/دُونِي/duni//وَكِیْلًاؕ/وَكِيلٗا/wakilan",
              "words_bangla": "এবং আমরা দিয়েছিলাম//মূসাকে//কিতাব//ও তাকে আমরা বানিয়েছিলাম//পথ নির্দেশক//জন্যে বনী//ইসরাঈলদের//\"যে না//তোমরা গ্রহণ করো//ছাড়া//আমাকে//কর্মবিধায়ক\""
            },
            {
              "number": 2032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2032.mp3"
              ],
              "text": "ذُرِّيَّةَ مَنْ حَمَلْنَا مَعَ نُوحٍ ۚ إِنَّهُۥ كَانَ عَبْدًۭا شَكُورًۭا",
              "translate_bn": "তোমরা তাদের সন্তান, যাদেরকে আমি নূহের সাথে সওয়ার করিয়েছিলাম। নিশ্চয় সে ছিল কৃতজ্ঞ বান্দা।",
              "numberInSurah": 3,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "যুররিইইয়াতা মান হামালনা- মা‘আ নূহিন ইন্নাহূকা-না ‘আবদান শাকূরা-।",
              "words_arabic": "ذُرِّیَّةَ/ذُرِّيَّةَ/dhurriyyata//مَنْ/مَنۡ/man//حَمَلْنَا/حَمَلۡنَا/hamalna//مَعَ/مَعَ/ma'a//نُوْحٍ ؕ/نُوحٍۚ/nuhin//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//عَبْدًا/عَبۡدٗا/abdan//شَكُوْرًا /شَكُورٗا/shakuran",
              "words_bangla": "(তোমরা) বংশধর//তাদের (যাদেরকে)//আমরা আরোহণ করিয়েছিলাম//সাথে//নূহের//নিশ্চয়ই সে//ছিলো//দাস//পরম কৃতজ্ঞ"
            },
            {
              "number": 2033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2033.mp3"
              ],
              "text": "وَقَضَيْنَآ إِلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ فِى ٱلْكِتَٰبِ لَتُفْسِدُنَّ فِى ٱلْأَرْضِ مَرَّتَيْنِ وَلَتَعْلُنَّ عُلُوًّۭا كَبِيرًۭا",
              "translate_bn": "আমি বনী ইসরাঈলকে কিতাবে পরিষ্কার বলে দিয়েছি যে, তোমরা পৃথিবীর বুকে দুবার অনর্থ সৃষ্টি করবে এবং অত্যন্ত বড় ধরনের অবাধ্যতায় লিপ্ত হবে।",
              "numberInSurah": 4,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদাইনা ইলা-বানী ইছরাঈলা ফিল কিতা-বি লাতুফছিদুন্না ফিল আরদি মাররাতাইনি ওয়া লাতা‘লুন্না ‘উলুওওয়ান কাবীরা-।",
              "words_arabic": "وَ قَضَیْنَاۤ/وَقَضَيۡنَآ/waqadayna//اِلٰی/إِلَىٰ/ila//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَتُفْسِدُنَّ/لَتُفۡسِدُنَّ/latuf'sidunna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَرَّتَیْنِ/مَرَّتَيۡنِ/marratayni//وَ لَتَعْلُنَّ/وَلَتَعۡلُنَّ/walata'lunna//عُلُوًّا/عُلُوّٗا/uluwwan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "এবং আমরা সতর্ক করেছিলাম//প্রতি//বনী//ইসরাঈলকে//মধ্যে//কিতাবের//\"অবশ্যই তোমরা বিপর্যয় করবে//মধ্যে//দেশের//দু'বার//এবং অবশ্যই তোমরা বিদ্রোহ করবে//বিদ্রোহ//বিরাট\""
            },
            {
              "number": 2034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2034.mp3"
              ],
              "text": "فَإِذَا جَآءَ وَعْدُ أُولَىٰهُمَا بَعَثْنَا عَلَيْكُمْ عِبَادًۭا لَّنَآ أُو۟لِى بَأْسٍۢ شَدِيدٍۢ فَجَاسُوا۟ خِلَٰلَ ٱلدِّيَارِ ۚ وَكَانَ وَعْدًۭا مَّفْعُولًۭا",
              "translate_bn": "অতঃপর যখন প্রতিশ্রুতি সেই প্রথম সময়টি এল, তখন আমি তোমাদের বিরুদ্ধে প্রেরণ করলাম আমার কঠোর যোদ্ধা বান্দাদেরকে। অতঃপর তারা প্রতিটি জনপদের আনাচে-কানাচে পর্যন্ত ছড়িয়ে পড়ল। এ ওয়াদা পূর্ণ হওয়ারই ছিল।",
              "numberInSurah": 5,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-জাআ ওয়া‘দুঊলা-হুমা-বা‘আছনা -‘আলাইকুম ‘ইবা-দাল্লানাউলী বা’ছিন শাদীদিন ফাজা-ছূখিলা-লাদ দিয়া-রি ওয়া কা-না ওয়া‘দাম মাফ ‘ঊলা-।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//وَعْدُ/وَعۡدُ/wa'du//اُوْلٰىهُمَا/أُولَىٰهُمَا/ulahuma//بَعَثْنَا/بَعَثۡنَا/ba'athna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عِبَادًا/عِبَادٗا/ibadan//لَّنَاۤ/لَّنَآ/lana//اُولِیْ/أُوْلِي/uli//بَاْسٍ/بَأۡسٖ/basin//شَدِیْدٍ/شَدِيدٖ/shadidin//فَجَاسُوْا/فَجَاسُواْ/fajasu//خِلٰلَ/خِلَٰلَ/khilala//الدِّیَارِ/ٱلدِّيَارِۚ/al-diyari//وَ كَانَ/وَكَانَ/wakana//وَعْدًا/وَعۡدٗا/wa'dan//مَّفْعُوْلًا /مَّفۡعُولٗا/maf'ulan",
              "words_bangla": "অতঃপর যখন//আসলো//প্রতিশ্রুত (সময়)//দু'টির প্রথমটি//আমরা পাঠালাম//বিরুদ্ধে তোমাদের//দাসদেরকে//আমাদের//সম্পন্ন//শক্তি//অতিশয়//অতঃপর তারা ঢুকে পড়লো//মধ্যে//ঘরের//এবং হলো//(শাস্তির)প্রতিশ্রুতি//কার্যকর"
            },
            {
              "number": 2035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2035.mp3"
              ],
              "text": "ثُمَّ رَدَدْنَا لَكُمُ ٱلْكَرَّةَ عَلَيْهِمْ وَأَمْدَدْنَٰكُم بِأَمْوَٰلٍۢ وَبَنِينَ وَجَعَلْنَٰكُمْ أَكْثَرَ نَفِيرًا",
              "translate_bn": "অতঃপর আমি তোমাদের জন্যে তাদের বিরুদ্ধে পালা ঘুয়িয়ে দিলাম, তোমাদেরকে ধন-সম্পদ ও পুত্রসন্তান দ্বারা সাহায্য করলাম এবং তোমাদেরকে জনসংখ্যার দিক দিয়ে একটা বিরাট বাহিনীতে পরিণত করলাম।",
              "numberInSurah": 6,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা রাদাদনা-লাকুমুল কাররাতা ‘আলাইহিম ওয়া আমদাদনা-কুম বিআমওয়া-লিওঁ ওয়া বানীনা ওয়া জা‘আলনা-কুম আকছারা নাফীরা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//رَدَدْنَا/رَدَدۡنَا/radadna//لَكُمُ/لَكُمُ/lakumu//الْكَرَّةَ/ٱلۡكَرَّةَ/al-karata//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ اَمْدَدْنٰكُمْ/وَأَمۡدَدۡنَٰكُم/wa-amdadnakum//بِاَمْوَالٍ/بِأَمۡوَٰلٖ/bi-amwalin//وَّ بَنِیْنَ/وَبَنِينَ/wabanina//وَ جَعَلْنٰكُمْ/وَجَعَلۡنَٰكُمۡ/waja'alnakum//اَكْثَرَ/أَكۡثَرَ/akthara//نَفِیْرًا /نَفِيرًا/nafiran",
              "words_bangla": "এরপর//আমরা ফিরিয়ে দিলাম//জন্যে তোমাদের//পালা//উপর তাদের//এবং আমরা সাহায্য করলাম তোমাদের//দিয়ে সম্পদসমূহ//ও সন্তানাদি (দিয়ে)//এবং আমরা পরিণত করলাম তোমাদের//গরিষ্ঠ//সংখ্যায়"
            },
            {
              "number": 2036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2036.mp3"
              ],
              "text": "إِنْ أَحْسَنتُمْ أَحْسَنتُمْ لِأَنفُسِكُمْ ۖ وَإِنْ أَسَأْتُمْ فَلَهَا ۚ فَإِذَا جَآءَ وَعْدُ ٱلْءَاخِرَةِ لِيَسُۥٓـُٔوا۟ وُجُوهَكُمْ وَلِيَدْخُلُوا۟ ٱلْمَسْجِدَ كَمَا دَخَلُوهُ أَوَّلَ مَرَّةٍۢ وَلِيُتَبِّرُوا۟ مَا عَلَوْا۟ تَتْبِيرًا",
              "translate_bn": "তোমরা যদি ভাল কর, তবে নিজেদেরই ভাল করবে এবং যদি মন্দ কর তবে তাও নিজেদের জন্যেই। এরপর যখন দ্বিতীয় সে সময়টি এল, তখন অন্য বান্দাদেরকে প্রেরণ করলাম, যাতে তোমাদের মুখমন্ডল বিকৃত করে দেয়, আর মসজিদে ঢুকে পড়ে যেমন প্রথমবার ঢুকেছিল এবং যেখানেই জয়ী হয়, সেখানেই পুরোপুরি ধ্বংসযজ্ঞ চালায়।",
              "numberInSurah": 7,
              "juz": 15,
              "manzil": 4,
              "page": 282,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ইন আহছানতুম আহছানতুম লিআনফুছিকুম ওয়া ইন আছা’তুম ফালাহা- ফাইযাজাআ ওয়া‘দুল আ-খিরাতি লিইয়াছূঊ উজূহাকুম ওয়ালিইয়াদখুলুল মাছজিদা কামা-দাখালূহু আওওয়ালা মাররাতিওঁ ওয়া লিইউতাব্বিরূমা-‘আলাও তাতবীরা-।",
              "words_arabic": "اِنْ/إِنۡ/in//اَحْسَنْتُمْ/أَحۡسَنتُمۡ/ahsantum//اَحْسَنْتُمْ/أَحۡسَنتُمۡ/ahsantum//لِاَنْفُسِكُمْ ۫/لِأَنفُسِكُمۡۖ/li-anfusikum//وَ اِنْ/وَإِنۡ/wa-in//اَسَاْتُمْ/أَسَأۡتُمۡ/asatum//فَلَهَا ؕ/فَلَهَاۚ/falaha//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//وَعْدُ/وَعۡدُ/wa'du//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//لِیَسُوْٓءٗا/لِيَسُـُٔواْ/liyasuu//وُجُوْهَكُمْ/وُجُوهَكُمۡ/wujuhakum//وَ لِیَدْخُلُوا/وَلِيَدۡخُلُواْ/waliyadkhulu//الْمَسْجِدَ/ٱلۡمَسۡجِدَ/al-masjida//كَمَا/كَمَا/kama//دَخَلُوْهُ/دَخَلُوهُ/dakhaluhu//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ/مَرَّةٖ/marratin//وَّ لِیُتَبِّرُوْا/وَلِيُتَبِّرُواْ/waliyutabbiru//مَا/مَا/ma//عَلَوْا/عَلَوۡاْ/alaw//تَتْبِیْرًا /تَتۡبِيرًا/tatbiran",
              "words_bangla": "যদি//ভালো কাজ করে থাকো তোমরা//ভালো কাজ করেছো তোমরা//জন্যে নিজেদের তোমাদের//আর যদি//মন্দ কাজ করে থাকো তোমরা//জন্যে তাও নিজেদের//অতঃপর যখন//আসলো//প্রতিশ্রুত (সময়)//পরবর্তী//জন্যে কালিমালেপনের//তোমাদের চেহারাকে//এবং জন্যে তাদের ঢুকে পড়ার//মাসজিদে//যেমন//সেখানে ঢুকেছিলো//প্রথম//বার//এবং যেন তারা ধ্বংস করে দেয়//যা//তারা দখল করে//(সম্পূর্ণ) ধ্বংস"
            },
            {
              "number": 2037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2037.mp3"
              ],
              "text": "عَسَىٰ رَبُّكُمْ أَن يَرْحَمَكُمْ ۚ وَإِنْ عُدتُّمْ عُدْنَا ۘ وَجَعَلْنَا جَهَنَّمَ لِلْكَٰفِرِينَ حَصِيرًا",
              "translate_bn": "হয়ত তোমাদের পালনকর্তা তোমাদের প্রতি অনুগ্রহ করবেন। কিন্তু যদি পুনরায় তদ্রূপ কর, আমিও পুনরায় তাই করব। আমি জাহান্নামকে কাফেরদের জন্যে কয়েদখানা করেছি।",
              "numberInSurah": 8,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "‘আছা-রাব্বুকুম আই ইঁয়ারহামাকুম ওয়া ইন ‘উততুম ‘উদ না- ওয়া জা‘আলনাজাহান্নামা লিলকা-ফিরীনা হাসীরা-।",
              "words_arabic": "عَسٰی/عَسَىٰ/asa//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//اَنْ/أَن/an//یَّرْحَمَكُمْ ۚ/يَرۡحَمَكُمۡۚ/yarhamakum//وَ اِنْ/وَإِنۡ/wa-in//عُدْتُّمْ/عُدتُّمۡ/udttum//عُدْنَا ۘ/عُدۡنَاۚ/ud'na//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//جَهَنَّمَ/جَهَنَّمَ/jahannama//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//حَصِیْرًا /حَصِيرًا/hasiran",
              "words_bangla": "\"আশা করা যায়//তোমাদের রব//যে//তোমাদের উপর দয়া করবেন//কিন্তু যদি//পুনরাবৃত্তি করো তোমরা//পুনরাবৃত্তি করবো আমরা//এবং আমরা বানিয়েছি//জাহান্নামকে//জন্যে কাফিরদের//কারাগার\""
            },
            {
              "number": 2038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2038.mp3"
              ],
              "text": "إِنَّ هَٰذَا ٱلْقُرْءَانَ يَهْدِى لِلَّتِى هِىَ أَقْوَمُ وَيُبَشِّرُ ٱلْمُؤْمِنِينَ ٱلَّذِينَ يَعْمَلُونَ ٱلصَّٰلِحَٰتِ أَنَّ لَهُمْ أَجْرًۭا كَبِيرًۭا",
              "translate_bn": "এই কোরআন এমন পথ প্রদর্শন করে, যা সর্বাধিক সরল এবং সৎকর্ম পরায়ণ মুমিনদেরকে সুসংবাদ দেয় যে, তাদের জন্যে মহা পুরস্কার রয়েছে।",
              "numberInSurah": 9,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যাল কুরআ-না ইয়াহদী লিল্লাতী হিয়া আকওয়ামুওয়াইউবাশশিরুল মু’মিনীনাল্লাযীনা ইয়া‘মালূনাসসা-লিহা-তি আন্না লাহুম আজরান কাবীরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//یَهْدِیْ/يَهۡدِي/yahdi//لِلَّتِیْ/لِلَّتِي/lillati//هِیَ/هِيَ/hiya//اَقْوَمُ/أَقۡوَمُ/aqwamu//وَ یُبَشِّرُ/وَيُبَشِّرُ/wayubashiru//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُمۡ/lahum//اَجْرًا/أَجۡرٗا/ajran//كَبِیْرًاۙ/كَبِيرٗا/kabiran",
              "words_bangla": "নিশ্চয়ই//এই//কুরআন//পথ দেখায়//সেই দিকে//যা//সরলতম//ও সুসংবাদ দেয়//মু'মিনদেরকে//যারা//কাজ করে//সৎ//যে//জন্যে তাদের//পুরস্কার (রয়েছে)//বিরাট"
            },
            {
              "number": 2039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2039.mp3"
              ],
              "text": "وَأَنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ أَعْتَدْنَا لَهُمْ عَذَابًا أَلِيمًۭا",
              "translate_bn": "এবং যারা পরকালে বিশ্বাস করে না, আমি তাদের জন্যে যন্ত্রণাদায়ক শাস্তি প্রস্তুত করেছি।",
              "numberInSurah": 10,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 240,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি আ‘তাদনা-লাহুম ‘আযা-বান আলীমা-।",
              "words_arabic": "وَّ اَنَّ/وَأَنَّ/wa-anna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا۠/أَلِيمٗا/aliman",
              "words_bangla": "এবং (এও) যে//যারা//না//বিশ্বাস করে//প্রতি আখিরাতের//প্রস্তুত রেখেছি আমরা//জন্যে তাদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 2040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2040.mp3"
              ],
              "text": "وَيَدْعُ ٱلْإِنسَٰنُ بِٱلشَّرِّ دُعَآءَهُۥ بِٱلْخَيْرِ ۖ وَكَانَ ٱلْإِنسَٰنُ عَجُولًۭا",
              "translate_bn": "মানুষ যেভাবে কল্যাণ কামনা করে, সেভাবেই অকল্যাণ কামনা করে। মানুষ তো খুবই দ্রুততা প্রিয়।",
              "numberInSurah": 11,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াদ‘উল ইনছা-নুবিশশাররি দু‘আআহূবিলখাইরি ওয়া কানা-ল ইনছা-নু ‘আজূলা-।",
              "words_arabic": "وَ یَدْعُ/وَيَدۡعُ/wayad'u//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//بِالشَّرِّ/بِٱلشَّرِّ/bil-shari//دُعَآءَهٗ/دُعَآءَهُۥ/du'aahu//بِالْخَیْرِ ؕ/بِٱلۡخَيۡرِۖ/bil-khayri//وَ كَانَ/وَكَانَ/wakana//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//عَجُوْلًا /عَجُولٗا/ajulan",
              "words_bangla": "এবং কামনা করে//মানুষ//অকল্যাণের//তার কামনা (করা উচিত যেমন)//কল্যাণের//এবং হলো//মানুষ//তাড়াহুড়াকারী"
            },
            {
              "number": 2041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2041.mp3"
              ],
              "text": "وَجَعَلْنَا ٱلَّيْلَ وَٱلنَّهَارَ ءَايَتَيْنِ ۖ فَمَحَوْنَآ ءَايَةَ ٱلَّيْلِ وَجَعَلْنَآ ءَايَةَ ٱلنَّهَارِ مُبْصِرَةًۭ لِّتَبْتَغُوا۟ فَضْلًۭا مِّن رَّبِّكُمْ وَلِتَعْلَمُوا۟ عَدَدَ ٱلسِّنِينَ وَٱلْحِسَابَ ۚ وَكُلَّ شَىْءٍۢ فَصَّلْنَٰهُ تَفْصِيلًۭا",
              "translate_bn": "আমি রাত্রি ও দিনকে দুটি নিদর্শন করেছি। অতঃপর নিস্প্রভ করে দিয়েছি রাতের নিদর্শন এবং দিনের নিদর্শনকে দেখার উপযোগী করেছি, যাতে তোমরা তোমাদের পালনকর্তার অনুগ্রহ অন্বেষণ কর এবং যাতে তোমরা স্থির করতে পার বছরসমূহের গণনা ও হিসাব এবং আমি সব বিষয়কে বিস্তারিত ভাবে বর্ণনা করেছি।",
              "numberInSurah": 12,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনাল্লাইলা ওয়ান্নাহা-রাআ-ইয়াতাইনি ফামা হাওনাআ-য়াতাল্লাইলি ওয়া জা‘আলনাআ-য়াতান্নাহা-রি মুবসিরাতাল লিতাবতাগূফাদলাম মির রাব্বিকুম ওয়ালিতা‘লামূ‘আদাদাছ ছিনীনা ওয়াল হিছা-বা ওয়া কুল্লা শাইয়িন ফাসসালনা-হু তাফসীলা-।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//اٰیَتَیْنِ/ءَايَتَيۡنِۖ/ayatayni//فَمَحَوْنَاۤ/فَمَحَوۡنَآ/famahawna//اٰیَةَ/ءَايَةَ/ayata//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ جَعَلْنَاۤ/وَجَعَلۡنَآ/waja'alna//اٰیَةَ/ءَايَةَ/ayata//النَّهَارِ/ٱلنَّهَارِ/al-nahari//مُبْصِرَةً/مُبۡصِرَةٗ/mub'siratan//لِّتَبْتَغُوْا/لِّتَبۡتَغُواْ/litabtaghu//فَضْلًا/فَضۡلٗا/fadlan//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ لِتَعْلَمُوْا/وَلِتَعۡلَمُواْ/walita'lamu//عَدَدَ/عَدَدَ/adada//السِّنِیْنَ/ٱلسِّنِينَ/al-sinina//وَ الْحِسَابَ ؕ/وَٱلۡحِسَابَۚ/wal-hisaba//وَ كُلَّ/وَكُلَّ/wakulla//شَیْءٍ/شَيۡءٖ/shayin//فَصَّلْنٰهُ/فَصَّلۡنَٰهُ/fassalnahu//تَفْصِیْلًا /تَفۡصِيلٗا/tafsilan",
              "words_bangla": "এবং আমরা করেছি//রাতকে//ও দিনকে//দু'টি নিদর্শন//অতঃপর আমরা নিষ্প্রভ করেছি//নিদর্শনকে//রাতের//এবং আমরা করেছি//নিদর্শনকে//দিনের//উজ্জ্বল//যেন তোমরা সন্ধান করতে পারো//অনুগ্রহ//থেকে//তোমাদের রবের//এবং যেন তোমরা জানো//গণনা//বছর সমূহের//ও হিসেবের//এবং প্রত্যেক//বস্তু//তা আমরা বিশদ বর্ণনা করেছি//বিশদ বর্ণনা"
            },
            {
              "number": 2042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2042.mp3"
              ],
              "text": "وَكُلَّ إِنسَٰنٍ أَلْزَمْنَٰهُ طَٰٓئِرَهُۥ فِى عُنُقِهِۦ ۖ وَنُخْرِجُ لَهُۥ يَوْمَ ٱلْقِيَٰمَةِ كِتَٰبًۭا يَلْقَىٰهُ مَنشُورًا",
              "translate_bn": "আমি প্রত্যেক মানুষের কর্মকে তার গ্রীবলগ্ন করে রেখেছি। কেয়ামতের দিন বের করে দেখাব তাকে একটি কিতাব, যা সে খোলা অবস্থায় পাবে।",
              "numberInSurah": 13,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লা ইনছা-নিন আলঝামনা-হু তাইরাহূফী ‘উনুকিহী ওয়ানুখরিজুলাহূইয়াওমাল কিয়া-মাতি কিতা-বাইঁ ইয়ালকা-হু মানশূরা-।",
              "words_arabic": "وَ كُلَّ/وَكُلَّ/wakulla//اِنْسَانٍ/إِنسَٰنٍ/insanin//اَلْزَمْنٰهُ/أَلۡزَمۡنَٰهُ/alzamnahu//طٰٓىِٕرَهٗ/طَـٰٓئِرَهُۥ/tairahu//فِیْ/فِي/fi//عُنُقِهٖ ؕ/عُنُقِهِۦۖ/unuqihi//وَ نُخْرِجُ/وَنُخۡرِجُ/wanukh'riju//لَهٗ/لَهُۥ/lahu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//كِتٰبًا/كِتَٰبٗا/kitaban//یَّلْقٰىهُ/يَلۡقَىٰهُ/yalqahu//مَنْشُوْرًا /مَنشُورًا/manshuran",
              "words_bangla": "এবং প্রত্যেক//মানুষের//তাকে আমরা ঝুলিয়ে দিয়েছি//তার কৃতকর্মকে//মধ্যে//তার গলার//এবং বের করবো আমরা//জন্যে তার//দিনে//ক্বিয়ামাতের//কিতাব (স্বরুপ)//তা পাবে সে//খোলা"
            },
            {
              "number": 2043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2043.mp3"
              ],
              "text": "ٱقْرَأْ كِتَٰبَكَ كَفَىٰ بِنَفْسِكَ ٱلْيَوْمَ عَلَيْكَ حَسِيبًۭا",
              "translate_bn": "পাঠ কর তুমি তোমার কিতাব। আজ তোমার হিসাব গ্রহণের জন্যে তুমিই যথেষ্ট।",
              "numberInSurah": 14,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ইকরা’ কিতা-বাকা কাফা-বিনাফছিকাল ইয়াওমা ‘আলাইকা হাছীবা-।",
              "words_arabic": "اِقْرَاْ/ٱقۡرَأۡ/iq'ra//كِتٰبَكَ ؕ/كِتَٰبَكَ/kitabaka//كَفٰی/كَفَىٰ/kafa//بِنَفْسِكَ/بِنَفۡسِكَ/binafsika//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//عَلَیْكَ/عَلَيۡكَ/alayka//حَسِیْبًاؕ/حَسِيبٗا/hasiban",
              "words_bangla": "\"পড়ো//তোমরা কিতাব (কর্মফল)//যথেষ্ট//নিয়ে তুমি নিজেই//আজ//তোমার উপর//হিসাব গ্রহণকারী হিসেবে\""
            },
            {
              "number": 2044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2044.mp3"
              ],
              "text": "مَّنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۚ وَلَا تَزِرُ وَازِرَةٌۭ وِزْرَ أُخْرَىٰ ۗ وَمَا كُنَّا مُعَذِّبِينَ حَتَّىٰ نَبْعَثَ رَسُولًۭا",
              "translate_bn": "যে কেউ সৎপথে চলে, তারা নিজের মঙ্গলের জন্যেই সৎ পথে চলে। আর যে পথভ্রষ্ট হয়, তারা নিজের অমঙ্গলের জন্যেই পথ ভ্রষ্ট হয়। কেউ অপরের বোঝা বহন করবে না। কোন রাসূল না পাঠানো পর্যন্ত আমি কাউকেই শাস্তি দান করি না।",
              "numberInSurah": 15,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "মানিহতাদা-ফাইন্নামা-ইয়াহতাদী লিনাফছিহী ওয়ামান দাল্লা ফাইন্নামা-ইয়াদিল্লু ‘আলাইহা ওয়ালা-তাঝিরু ওয়া-ঝিরাতুওঁবিঝরা উখরা- ওয়ামা-কুন্নামু‘আযযি বীনা হাত্তা-নাব‘আছা রাছূলা-।",
              "words_arabic": "مَنِ/مَّنِ/mani//اهْتَدٰی/ٱهۡتَدَىٰ/ih'tada//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَهْتَدِیْ/يَهۡتَدِي/yahtadi//لِنَفْسِهٖ ۚ/لِنَفۡسِهِۦۖ/linafsihi//وَ مَنْ/وَمَن/waman//ضَلَّ/ضَلَّ/dalla//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَضِلُّ/يَضِلُّ/yadillu//عَلَیْهَا ؕ/عَلَيۡهَاۚ/alayha//وَ لَا/وَلَا/wala//تَزِرُ/تَزِرُ/taziru//وَازِرَةٌ/وَازِرَةٞ/waziratun//وِّزْرَ/وِزۡرَ/wiz'ra//اُخْرٰی ؕ/أُخۡرَىٰۗ/ukh'ra//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//مُعَذِّبِیْنَ/مُعَذِّبِينَ/mu'adhibina//حَتّٰی/حَتَّىٰ/hatta//نَبْعَثَ/نَبۡعَثَ/nab'atha//رَسُوْلًا /رَسُولٗا/rasulan",
              "words_bangla": "যে//সৎপথে চলে//তবে মূলতঃ//সে সৎপথে চলে//জন্যে তার নিজের//এবং যে//পথভ্রষ্ট হয়ে যায়//তবে মূলতঃ//সে পথভ্রষ্ট হয়//তার বিরুদ্ধে//এবং না//ভার বইবে//কোনো ভার বহনকারী//ভার//অন্যের//এবং না//আমরা ছিলাম//শাস্তিদানকারী//যতক্ষণ  না//পাঠাই আমরা//কোনো রাসূল"
            },
            {
              "number": 2045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2045.mp3"
              ],
              "text": "وَإِذَآ أَرَدْنَآ أَن نُّهْلِكَ قَرْيَةً أَمَرْنَا مُتْرَفِيهَا فَفَسَقُوا۟ فِيهَا فَحَقَّ عَلَيْهَا ٱلْقَوْلُ فَدَمَّرْنَٰهَا تَدْمِيرًۭا",
              "translate_bn": "যখন আমি কোন জনপদকে ধ্বংস করার ইচ্ছা করি তখন তার অবস্থাপন্ন লোকদেরকে উদ্ধুদ্ধ করি অতঃপর তারা পাপাচারে মেতে উঠে। তখন সে জনগোষ্টীর উপর আদেশ অবধারিত হয়ে যায়। অতঃপর আমি তাকে উঠিয়ে আছাড় দেই।",
              "numberInSurah": 16,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাআরাদনাআননুহলিকা কারইয়াতান আমারনা-মুতরাফীহা-ফাফাছাকূ ফীহাফাহাককা ‘আলাইহাল কাওলুফাদাম্মার না-হা-তাদমীরা-।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اَرَدْنَاۤ/أَرَدۡنَآ/aradna//اَنْ/أَن/an//نُّهْلِكَ/نُّهۡلِكَ/nuh'lika//قَرْیَةً/قَرۡيَةً/qaryatan//اَمَرْنَا/أَمَرۡنَا/amarna//مُتْرَفِیْهَا/مُتۡرَفِيهَا/mut'rafiha//فَفَسَقُوْا/فَفَسَقُواْ/fafasaqu//فِیْهَا/فِيهَا/fiha//فَحَقَّ/فَحَقَّ/fahaqqa//عَلَیْهَا/عَلَيۡهَا/alayha//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//فَدَمَّرْنٰهَا/فَدَمَّرۡنَٰهَا/fadammarnaha//تَدْمِیْرًا /تَدۡمِيرٗا/tadmiran",
              "words_bangla": "এবং যখন//আমরা চাই//যে//ধ্বংস করবো আমরা//কোনো জনপদকে//আমরা আদেশ দিই//তার সমৃদ্ধশালী লোকদেরকে (সৎকর্মের)//কিন্তু তারা অসৎ কর্ম করে//তার মধ্যে//তখন অবধারিত হয়//উপর তার//(শাস্তির) আদেশ//অতঃপর তা আমরা বিধ্বংস করি//ধ্বংস"
            },
            {
              "number": 2046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2046.mp3"
              ],
              "text": "وَكَمْ أَهْلَكْنَا مِنَ ٱلْقُرُونِ مِنۢ بَعْدِ نُوحٍۢ ۗ وَكَفَىٰ بِرَبِّكَ بِذُنُوبِ عِبَادِهِۦ خَبِيرًۢا بَصِيرًۭا",
              "translate_bn": "নূহের পর আমি অনেক উম্মতকে ধ্বংস করেছি। আপনার পালনকর্তাই বান্দাদের পাপাচারের সংবাদ জানা ও দেখার জন্যে যথেষ্ট।",
              "numberInSurah": 17,
              "juz": 15,
              "manzil": 4,
              "page": 283,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাম আহলাকনা-মিনাল কুরূনি মিম বা‘দি নূহিওঁ ওয়া কাফা-বিরাব্বিকা বিযুনূবি ‘ইবা-দিহী খাবীরাম বাসীরা-।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنَ/مِنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//نُوْحٍ ؕ/نُوحٖۗ/nuhin//وَ كَفٰی/وَكَفَىٰ/wakafa//بِرَبِّكَ/بِرَبِّكَ/birabbika//بِذُنُوْبِ/بِذُنُوبِ/bidhunubi//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//خَبِیْرًۢا/خَبِيرَۢا/khabiran//بَصِیْرًا /بَصِيرٗا/basiran",
              "words_bangla": "এবং কত//ধ্বংস করেছি আমরা//থেকে//মানবগোষ্ঠী//থেকে//পর//নূহের//এবং যথেষ্ট//তোমার রবই//সম্পর্কে পাপ//তার দাসদের//খুব অবহিত//সর্বদ্রষ্টা"
            },
            {
              "number": 2047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2047.mp3"
              ],
              "text": "مَّن كَانَ يُرِيدُ ٱلْعَاجِلَةَ عَجَّلْنَا لَهُۥ فِيهَا مَا نَشَآءُ لِمَن نُّرِيدُ ثُمَّ جَعَلْنَا لَهُۥ جَهَنَّمَ يَصْلَىٰهَا مَذْمُومًۭا مَّدْحُورًۭا",
              "translate_bn": "যে কেউ ইহকাল কামনা করে, আমি সেসব লোককে যা ইচ্ছা সত্ত্বর দিয়ে দেই। অতঃপর তাদের জন্যে জাহান্নাম নির্ধারণ করি। ওরা তাতে নিন্দিত-বিতাড়িত অবস্থায় প্রবেশ করবে।",
              "numberInSurah": 18,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইউরীদুল ‘আ-জিলাতা ‘আজ্জালনা-লাহূফীহা-মা-নাশাউ লিমান নুরীদুছুম্মা জা‘আলনা-লাহূজাহান্নামা ইয়াসলা-হা-মাযমূমাম মাদহূরা-।",
              "words_arabic": "مَنْ/مَّن/man//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//الْعَاجِلَةَ/ٱلۡعَاجِلَةَ/al-'ajilata//عَجَّلْنَا/عَجَّلۡنَا/ajjalna//لَهٗ/لَهُۥ/lahu//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//نَشَآءُ/نَشَآءُ/nashau//لِمَنْ/لِمَن/liman//نُّرِیْدُ/نُّرِيدُ/nuridu//ثُمَّ/ثُمَّ/thumma//جَعَلْنَا/جَعَلۡنَا/ja'alna//لَهٗ/لَهُۥ/lahu//جَهَنَّمَ ۚ/جَهَنَّمَ/jahannama//یَصْلٰىهَا/يَصۡلَىٰهَا/yaslaha//مَذْمُوْمًا/مَذۡمُومٗا/madhmuman//مَّدْحُوْرًا /مَّدۡحُورٗا/madhuran",
              "words_bangla": "যে//ছিলো//চায়//(সুখসম্ভোগ) পার্থিব//তাড়াতাড়ি দিই আমরা//তাকে//মধ্যে তার//যা//ইচ্ছে করি আমরা//জন্যে যার//আমরা চাই//এরপর//আমরা নির্ধারণ করি//জন্যে তার//জাহান্নাম//সে উত্তপ্ত হবে//নিন্দিত অবস্হায়//(অনুগ্রহ থেকে) বিতাড়িত হয়ে"
            },
            {
              "number": 2048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2048.mp3"
              ],
              "text": "وَمَنْ أَرَادَ ٱلْءَاخِرَةَ وَسَعَىٰ لَهَا سَعْيَهَا وَهُوَ مُؤْمِنٌۭ فَأُو۟لَٰٓئِكَ كَانَ سَعْيُهُم مَّشْكُورًۭا",
              "translate_bn": "আর যারা পরকাল কামনা করে এবং মুমিন অবস্থায় তার জন্য যথাযথ চেষ্টা-সাধনা করে, এমন লোকদের চেষ্টা স্বীকৃত হয়ে থাকে।",
              "numberInSurah": 19,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আরা-দাল আ-খিরাতা ওয়া ছা‘আ- লাহা- ছা‘ইয়াহা- ওয়া হুওয়া মু’মিনুন ফাউলাইকা কা-না ছা‘ইউহুম মাশকূরা-।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَرَادَ/أَرَادَ/arada//الْاٰخِرَةَ/ٱلۡأٓخِرَةَ/al-akhirata//وَ سَعٰی/وَسَعَىٰ/wasa'a//لَهَا/لَهَا/laha//سَعْیَهَا/سَعۡيَهَا/sa'yaha//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//كَانَ/كَانَ/kana//سَعْیُهُمْ/سَعۡيُهُم/sa'yuhum//مَّشْكُوْرًا /مَّشۡكُورٗا/mashkuran",
              "words_bangla": "এবং যে//চেয়েছে//আখিরাত//ও চেষ্টা করেছে//জন্যে তার//তার চেষ্টা//যখন সে//মু'মিনও//সে ক্ষেত্রে ঐসব লোকদের//হলো//তাদের প্রচেষ্টা//স্বীকৃত"
            },
            {
              "number": 2049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2049.mp3"
              ],
              "text": "كُلًّۭا نُّمِدُّ هَٰٓؤُلَآءِ وَهَٰٓؤُلَآءِ مِنْ عَطَآءِ رَبِّكَ ۚ وَمَا كَانَ عَطَآءُ رَبِّكَ مَحْظُورًا",
              "translate_bn": "এদেরকে এবং ওদেরকে প্রত্যেককে আমি আপনার পালনকর্তার দান পৌছে দেই এবং আপনার পালকর্তার দান অবধারিত।",
              "numberInSurah": 20,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "কুল্লান নুমিদ্দুহাউলাই ওয়া হাউলাই মিন ‘আতাই রাব্বিকা ওয়ামা-কা-না ‘আতাউ রাব্বিকা মাহজূরা-।",
              "words_arabic": "كُلًّا/كُلّٗا/kullan//نُّمِدُّ/نُّمِدُّ/numiddu//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//وَ هٰۤؤُلَآءِ/وَهَـٰٓؤُلَآءِ/wahaulai//مِنْ/مِنۡ/min//عَطَآءِ/عَطَآءِ/atai//رَبِّكَ ؕ/رَبِّكَۚ/rabbika//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//عَطَآءُ/عَطَآءُ/atau//رَبِّكَ/رَبِّكَ/rabbika//مَحْظُوْرًا /مَحۡظُورًا/mahzuran",
              "words_bangla": "আমরা প্রত্যেককে//সাহায্য করি//এদেরকে//ও ওদেরকে//থেকে//দান//তোমার রবের//এবং নয়//হলো//দান//তোমার রবের//বারিত"
            },
            {
              "number": 2050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2050.mp3"
              ],
              "text": "ٱنظُرْ كَيْفَ فَضَّلْنَا بَعْضَهُمْ عَلَىٰ بَعْضٍۢ ۚ وَلَلْءَاخِرَةُ أَكْبَرُ دَرَجَٰتٍۢ وَأَكْبَرُ تَفْضِيلًۭا",
              "translate_bn": "দেখুন, আমি তাদের একদলকে অপরের উপর কিভাবে শ্রেষ্ঠত্ব দান করলাম। পরকাল তো নিশ্চয়ই মর্তবায় শ্রেষ্ঠ এবং ফযীলতে শ্রেষ্ঠতম।",
              "numberInSurah": 21,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "উনজু র কাইফা ফাদ্দালনা-বা‘দাহুম ‘আলা-বা‘দিওঁ ওয়ালাল আ-খিরাতুআকবারু দারাজা-তিওঁ ওয়া আকবারু তাফদীলা-।",
              "words_arabic": "اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//فَضَّلْنَا/فَضَّلۡنَا/faddalna//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//عَلٰی/عَلَىٰ/ala//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//وَ لَلْاٰخِرَةُ/وَلَلۡأٓخِرَةُ/walalakhiratu//اَكْبَرُ/أَكۡبَرُ/akbaru//دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//وَّ اَكْبَرُ/وَأَكۡبَرُ/wa-akbaru//تَفْضِیْلًا /تَفۡضِيلٗا/tafdilan",
              "words_bangla": "লক্ষ্য করো//কিভাবে//শ্রেষ্ঠত্ব দিয়েছি আমরা//কাউকে তাদেন//উপর//কারও//এবং অবশ্যই আখিরাত//শ্রেষ্ঠ//মর্যাদায়//এবং শ্রেষ্ঠতর//শ্রেষ্ঠত্বেও"
            },
            {
              "number": 2051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2051.mp3"
              ],
              "text": "لَّا تَجْعَلْ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ فَتَقْعُدَ مَذْمُومًۭا مَّخْذُولًۭا",
              "translate_bn": "স্থির করো না আল্লাহর সাথে অন্য কোন উপাস্য। তাহলে তুমি নিন্দিত ও অসহায় হয়ে পড়বে।",
              "numberInSurah": 22,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 241,
              "hizbQuarter": 113,
              "sajda": false,
              "pronunciation_bn": "লা-তাজ‘আল মা‘আল্লা-হি ইলা-হান আ-খারা ফাতাক‘উদা মাযমূমাম মাখযূলা-।",
              "words_arabic": "لَا/لَّا/la//تَجْعَلْ/تَجۡعَلۡ/taj'al//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ/ءَاخَرَ/akhara//فَتَقْعُدَ/فَتَقۡعُدَ/fataq'uda//مَذْمُوْمًا/مَذۡمُومٗا/madhmuman//مَّخْذُوْلًا۠/مَّخۡذُولٗا/makhdhulan",
              "words_bangla": "না//বানিয়ো//সাথে//আল্লাহর//ইলাহ//অন্য কাউকে//তাহ'লে বসে পড়বে//নিন্দিত অবস্হায়//অসহায়"
            },
            {
              "number": 2052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2052.mp3"
              ],
              "text": "۞ وَقَضَىٰ رَبُّكَ أَلَّا تَعْبُدُوٓا۟ إِلَّآ إِيَّاهُ وَبِٱلْوَٰلِدَيْنِ إِحْسَٰنًا ۚ إِمَّا يَبْلُغَنَّ عِندَكَ ٱلْكِبَرَ أَحَدُهُمَآ أَوْ كِلَاهُمَا فَلَا تَقُل لَّهُمَآ أُفٍّۢ وَلَا تَنْهَرْهُمَا وَقُل لَّهُمَا قَوْلًۭا كَرِيمًۭا",
              "translate_bn": "তোমার পালনকর্তা আদেশ করেছেন যে, তাঁকে ছাড়া অন্য কারও এবাদত করো না এবং পিতা-মাতার সাথে সদ্ব-ব্যবহার কর। তাদের মধ্যে কেউ অথবা উভয়েই যদি তোমার জীবদ্দশায় বার্ধক্যে উপনীত হয়; তবে তাদেরকে ‘উহ’ শব্দটিও বলো না এবং তাদেরকে ধমক দিও না এবং বল তাদেরকে শিষ্ঠাচারপূর্ণ কথা।",
              "numberInSurah": 23,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদা-রাব্বুকা আল্লা-তা‘বুদূ ইল্লাইয়্যা-হু ওয়াবিলওয়া-লিদাইনি ইহছা-নান ইম্মা-ইয়াবলুগান্না ‘ইনদাকাল কিবারা আহাদুহুমাআও কিলা-হুমা-ফালা-তাকুল লাহুমা উফফিওঁ ওয়ালা-তানহারহুমা-ওয়া কুল লাহুমা-কাওলান কারীমা-।",
              "words_arabic": "وَ قَضٰی/۞وَقَضَىٰ/waqada//رَبُّكَ/رَبُّكَ/rabbuka//اَلَّا/أَلَّا/alla//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّاۤ/إِلَّآ/illa//اِیَّاهُ/إِيَّاهُ/iyyahu//وَ بِالْوَالِدَیْنِ/وَبِٱلۡوَٰلِدَيۡنِ/wabil-walidayni//اِحْسَانًا ؕ/إِحۡسَٰنًاۚ/ih'sanan//اِمَّا/إِمَّا/imma//یَبْلُغَنَّ/يَبۡلُغَنَّ/yablughanna//عِنْدَكَ/عِندَكَ/indaka//الْكِبَرَ/ٱلۡكِبَرَ/al-kibara//اَحَدُهُمَاۤ/أَحَدُهُمَآ/ahaduhuma//اَوْ/أَوۡ/aw//كِلٰهُمَا/كِلَاهُمَا/kilahuma//فَلَا/فَلَا/fala//تَقُلْ/تَقُل/taqul//لَّهُمَاۤ/لَّهُمَآ/lahuma//اُفٍّ/أُفّٖ/uffin//وَّ لَا/وَلَا/wala//تَنْهَرْهُمَا/تَنۡهَرۡهُمَا/tanharhuma//وَ قُلْ/وَقُل/waqul//لَّهُمَا/لَّهُمَا/lahuma//قَوْلًا/قَوۡلٗا/qawlan//كَرِیْمًا /كَرِيمٗا/kariman",
              "words_bangla": "এবং সিদ্ধান্ত দিয়েছেন//তোমার রব//যে না//তোমরা ইবাদাত করো//ছাড়া//শুধু তাঁকেই//ও সাথে পিতা-মাতার//উত্তম ব্যবহারের//যদি//তারা পৌঁছে//তোমার কাছে//বার্ধক্যে//তাদের দু'জনের একজন//বা//তাদের উভয়ে//তবে না//তুমি বলবে//তাদের দু'জনকে//উহ//এবং না//তাদের দু'জনকে ধমক দিবে//এবং বলবে//তাদের দু'জনকে//কথা//সম্মানসূচক"
            },
            {
              "number": 2053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2053.mp3"
              ],
              "text": "وَٱخْفِضْ لَهُمَا جَنَاحَ ٱلذُّلِّ مِنَ ٱلرَّحْمَةِ وَقُل رَّبِّ ٱرْحَمْهُمَا كَمَا رَبَّيَانِى صَغِيرًۭا",
              "translate_bn": "তাদের সামনে ভালবাসার সাথে, নম্রভাবে মাথা নত করে দাও এবং বলঃ হে পালনকর্তা, তাদের উভয়ের প্রতি রহম কর, যেমন তারা আমাকে শৈশবকালে লালন-পালন করেছেন।",
              "numberInSurah": 24,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়াখফিদলাহুমা-জানা-হাযযুলিল মিনার রাহমাতি ওয়াকু র রাব্বির হামহুমা-কামারাব্বাইয়া-নী সাগীরা-।",
              "words_arabic": "وَ اخْفِضْ/وَٱخۡفِضۡ/wa-ikh'fid//لَهُمَا/لَهُمَا/lahuma//جَنَاحَ/جَنَاحَ/janaha//الذُّلِّ/ٱلذُّلِّ/al-dhuli//مِنَ/مِنَ/mina//الرَّحْمَةِ/ٱلرَّحۡمَةِ/al-rahmati//وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//ارْحَمْهُمَا/ٱرۡحَمۡهُمَا/ir'hamhuma//كَمَا/كَمَا/kama//رَبَّیٰنِیْ/رَبَّيَانِي/rabbayani//صَغِیْرًاؕ/صَغِيرٗا/saghiran",
              "words_bangla": "নত করবে//জন্যে তাদের দু'জনের//ডানা//বিনয়ের//সঙ্গে//অনুকম্পার//এবং বলবে//\"হে আমার রব//দু'জনকে দয়া করো তাদের//যেমন//আমাকে দু'জনে পালন করেছে//ছেলেবেলায়\""
            },
            {
              "number": 2054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2054.mp3"
              ],
              "text": "رَّبُّكُمْ أَعْلَمُ بِمَا فِى نُفُوسِكُمْ ۚ إِن تَكُونُوا۟ صَٰلِحِينَ فَإِنَّهُۥ كَانَ لِلْأَوَّٰبِينَ غَفُورًۭا",
              "translate_bn": "তোমাদের পালনকর্তা তোমাদের মনে যা আছে তা ভালই জানেন। যদি তোমরা সৎ হও, তবে তিনি তওবাকারীদের জন্যে ক্ষমাশীল।",
              "numberInSurah": 25,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "রাব্বুকুম আ‘লামুবিমা ফী নুফূছিকুম ইন তাকূনূসা-লিহীনা ফাইন্নাহূকা-না লিল আওওয়া-বীনা গাফূরা-।",
              "words_arabic": "رَبُّكُمْ/رَّبُّكُمۡ/rabbukum//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//فِیْ/فِي/fi//نُفُوْسِكُمْ ؕ/نُفُوسِكُمۡۚ/nufusikum//اِنْ/إِن/in//تَكُوْنُوْا/تَكُونُواْ/takunu//صٰلِحِیْنَ/صَٰلِحِينَ/salihina//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//كَانَ/كَانَ/kana//لِلْاَوَّابِیْنَ/لِلۡأَوَّـٰبِينَ/lil'awwabina//غَفُوْرًا /غَفُورٗا/ghafuran",
              "words_bangla": "তোমাদের রব//খুব জানেন//ঐ সম্বন্ধে যা//মধ্যে আছে//তোমাদের অন্তরসমূহের//যদি//তোমরা হও//সৎকর্মশীল//তবে নিশ্চয়ই তিনি//হলেন//জন্যে (আল্লাহ) অভিমুখীদের//ক্ষমাশীল"
            },
            {
              "number": 2055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2055.mp3"
              ],
              "text": "وَءَاتِ ذَا ٱلْقُرْبَىٰ حَقَّهُۥ وَٱلْمِسْكِينَ وَٱبْنَ ٱلسَّبِيلِ وَلَا تُبَذِّرْ تَبْذِيرًا",
              "translate_bn": "আত্নীয়-স্বজনকে তার হক দান কর এবং অভাবগ্রস্ত ও মুসাফিরকেও। এবং কিছুতেই অপব্যয় করো না।",
              "numberInSurah": 26,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তি যাল কুরবা-হাক্কাহূওয়াল মিছকীনা ওয়াবনাছ ছাবীলি ওয়ালা-তুবাযযি র তাবযীরা-।",
              "words_arabic": "وَ اٰتِ/وَءَاتِ/waati//ذَا/ذَا/dha//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//حَقَّهٗ/حَقَّهُۥ/haqqahu//وَ الْمِسْكِیْنَ/وَٱلۡمِسۡكِينَ/wal-mis'kina//وَ ابْنَ/وَٱبۡنَ/wa-ib'na//السَّبِیْلِ/ٱلسَّبِيلِ/al-sabili//وَ لَا/وَلَا/wala//تُبَذِّرْ/تُبَذِّرۡ/tubadhir//تَبْذِیْرًا /تَبۡذِيرًا/tabdhiran",
              "words_bangla": "এবং দিবে//সম্পন্নকে//নৈকট্য (আত্নীয় স্বজনকে)//তার প্রাপ্য//ও অভাবগ্রস্তকে//ও ছেলেকে//পথের (পথচারীকে)//এবং না//অপব্যয় করো//কোনো অপব্যয়"
            },
            {
              "number": 2056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2056.mp3"
              ],
              "text": "إِنَّ ٱلْمُبَذِّرِينَ كَانُوٓا۟ إِخْوَٰنَ ٱلشَّيَٰطِينِ ۖ وَكَانَ ٱلشَّيْطَٰنُ لِرَبِّهِۦ كَفُورًۭا",
              "translate_bn": "নিশ্চয় অপব্যয়কারীরা শয়তানের ভাই। শয়তান স্বীয় পালনকর্তার প্রতি অতিশয় অকৃতজ্ঞ।",
              "numberInSurah": 27,
              "juz": 15,
              "manzil": 4,
              "page": 284,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুবাযযি রীনা কা-নূইখওয়া-নাশশাইয়া-তীনি ওয়া কা-নাশ শাইতা-নু লিরাব্বিহী কাফূরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُبَذِّرِیْنَ/ٱلۡمُبَذِّرِينَ/al-mubadhirina//كَانُوْۤا/كَانُوٓاْ/kanu//اِخْوَانَ/إِخۡوَٰنَ/ikh'wana//الشَّیٰطِیْنِ ؕ/ٱلشَّيَٰطِينِۖ/al-shayatini//وَ كَانَ/وَكَانَ/wakana//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//لِرَبِّهٖ/لِرَبِّهِۦ/lirabbihi//كَفُوْرًا /كَفُورٗا/kafuran",
              "words_bangla": "নিশ্চয়ই//অপব্যয়কারীরা//হলো//ভাই//শয়তানদের//এবং হলো//শয়তান//প্রতি রবের তার//বড়ই অকৃতজ্ঞ"
            },
            {
              "number": 2057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2057.mp3"
              ],
              "text": "وَإِمَّا تُعْرِضَنَّ عَنْهُمُ ٱبْتِغَآءَ رَحْمَةٍۢ مِّن رَّبِّكَ تَرْجُوهَا فَقُل لَّهُمْ قَوْلًۭا مَّيْسُورًۭا",
              "translate_bn": "এবং তোমার পালনকর্তার করুণার প্রত্যাশায় অপেক্ষামান থাকাকালে যদি কোন সময় তাদেরকে বিমুখ করতে হয়, তখন তাদের সাথে নম্রভাবে কথা বল।",
              "numberInSurah": 28,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা-তু‘রিদান্না ‘আনহুমুবতিগাআ রাহমাতিম মির রাব্বিকা তারজূহা-ফাকুল লাহুম কাওলাম মাইছূরা-।",
              "words_arabic": "وَ اِمَّا/وَإِمَّا/wa-imma//تُعْرِضَنَّ/تُعۡرِضَنَّ/tu'ridanna//عَنْهُمُ/عَنۡهُمُ/anhumu//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//رَحْمَةٍ/رَحۡمَةٖ/rahmatin//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//تَرْجُوْهَا/تَرۡجُوهَا/tarjuha//فَقُلْ/فَقُل/faqul//لَّهُمْ/لَّهُمۡ/lahum//قَوْلًا/قَوۡلٗا/qawlan//مَّیْسُوْرًا /مَّيۡسُورٗا/maysuran",
              "words_bangla": "এবং যদি//পাশ কাটাতে চাও//থেকে তাদের//সন্ধানে//অনুগ্রহের//থেকে//তোমার রবের//তা তোমরা আশা করো//তখন বলো//তাদেরকে//কথা//সহজভাবে"
            },
            {
              "number": 2058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2058.mp3"
              ],
              "text": "وَلَا تَجْعَلْ يَدَكَ مَغْلُولَةً إِلَىٰ عُنُقِكَ وَلَا تَبْسُطْهَا كُلَّ ٱلْبَسْطِ فَتَقْعُدَ مَلُومًۭا مَّحْسُورًا",
              "translate_bn": "তুমি একেবারে ব্যয়-কুষ্ঠ হয়োনা এবং একেবারে মুক্ত হস্তও হয়ো না। তাহলে তুমি তিরস্কৃতি, নিঃস্ব হয়ে বসে থাকবে।",
              "numberInSurah": 29,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা- তাজ‘আল ইয়াদাকা মাগলূলাতান ইলা- ‘উনুকিকা ওয়ালা- তাবছুতহা- কুল্লাল বাছতিফাতাক‘উদা মালূমাম মাহছূরা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَجْعَلْ/تَجۡعَلۡ/taj'al//یَدَكَ/يَدَكَ/yadaka//مَغْلُوْلَةً/مَغۡلُولَةً/maghlulatan//اِلٰی/إِلَىٰ/ila//عُنُقِكَ/عُنُقِكَ/unuqika//وَ لَا/وَلَا/wala//تَبْسُطْهَا/تَبۡسُطۡهَا/tabsut'ha//كُلَّ/كُلَّ/kulla//الْبَسْطِ/ٱلۡبَسۡطِ/al-basti//فَتَقْعُدَ/فَتَقۡعُدَ/fataq'uda//مَلُوْمًا/مَلُومٗا/maluman//مَّحْسُوْرًا /مَّحۡسُورًا/mahsuran",
              "words_bangla": "এবং না//রেখো//তোমার হাত//আবদ্ধ//সাথে//তোমার গলার//এবং না//তা প্রসারিত করো//সম্পূর্ণ//প্রসারিত//তাহ'লে বসে পড়বে//নিন্দিত//অক্ষম অবস্হায়"
            },
            {
              "number": 2059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2059.mp3"
              ],
              "text": "إِنَّ رَبَّكَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّهُۥ كَانَ بِعِبَادِهِۦ خَبِيرًۢا بَصِيرًۭا",
              "translate_bn": "নিশ্চয় তোমার পালকর্তা যাকে ইচ্ছা অধিক জীবনোপকরণ দান করেন এবং তিনিই তা সংকুচিতও করে দেন। তিনিই তাঁর বান্দাদের সম্পর্কে ভালোভাবে অবহিত,-সব কিছু দেখছেন।",
              "numberInSurah": 30,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 242,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা ইয়াবছুতুর রিঝকা লিমাইঁ ইয়াশাউ ওয়া ইয়াকদিরু ইন্নাহূকা-না বি‘ইবা-দিহী খাবীরাম বাসীরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ ؕ/وَيَقۡدِرُۚ/wayaqdiru//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//خَبِیْرًۢا/خَبِيرَۢا/khabiran//بَصِیْرًا۠/بَصِيرٗا/basiran",
              "words_bangla": "নিশ্চয়ই//তোমার রব//প্রশস্ত করেন//জীবনের উপকরণ//জন্যে যার//ইচ্ছে করেন//এবং পরিমিত করেন//নিশ্চয়ই তিনি//হলেন//সম্পর্কে দাস তাঁর//খুব অবহিত//সর্বদ্রষ্টা"
            },
            {
              "number": 2060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2060.mp3"
              ],
              "text": "وَلَا تَقْتُلُوٓا۟ أَوْلَٰدَكُمْ خَشْيَةَ إِمْلَٰقٍۢ ۖ نَّحْنُ نَرْزُقُهُمْ وَإِيَّاكُمْ ۚ إِنَّ قَتْلَهُمْ كَانَ خِطْـًۭٔا كَبِيرًۭا",
              "translate_bn": "দারিদ্রের ভয়ে তোমাদের সন্তানদেরকে হত্যা করো না। তাদেরকে এবং তোমাদেরকে আমিই জীবনোপকরণ দিয়ে থাকি। নিশ্চয় তাদেরকে হত্যা করা মারাত্নক অপরাধ।",
              "numberInSurah": 31,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকতুলূআওলা-দাকুম খাশইয়াতা ইমলা-কিন নাহনুনারঝুকুহুম ওয়া ইয়্যাকুম ইন্না কাতলাহুম কা-না খিতআন কাবীরা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْتُلُوْۤا/تَقۡتُلُوٓاْ/taqtulu//اَوْلَادَكُمْ/أَوۡلَٰدَكُمۡ/awladakum//خَشْیَةَ/خَشۡيَةَ/khashyata//اِمْلَاقٍ ؕ/إِمۡلَٰقٖۖ/im'laqin//نَحْنُ/نَّحۡنُ/nahnu//نَرْزُقُهُمْ/نَرۡزُقُهُمۡ/narzuquhum//وَ اِیَّاكُمْ ؕ/وَإِيَّاكُمۡۚ/wa-iyyakum//اِنَّ/إِنَّ/inna//قَتْلَهُمْ/قَتۡلَهُمۡ/qatlahum//كَانَ/كَانَ/kana//خِطْاً/خِطۡـٔٗا/khit'an//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "এবং না//হত্যা করো তোমরা//সন্তানদেরকে তোমাদের//ভয়ে//দারিদ্র্যের//আমরা//জীবিকা‌ দিই তাদের//এবং তোমাদেরকেও//নিশ্চয়ই//হত্যা করা তাদের//হলো//পাপ//মহা"
            },
            {
              "number": 2061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2061.mp3"
              ],
              "text": "وَلَا تَقْرَبُوا۟ ٱلزِّنَىٰٓ ۖ إِنَّهُۥ كَانَ فَٰحِشَةًۭ وَسَآءَ سَبِيلًۭا",
              "translate_bn": "আর ব্যভিচারের কাছেও যেয়ো না। নিশ্চয় এটা অশ্লীল কাজ এবং মন্দ পথ।",
              "numberInSurah": 32,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকরাবুঝ ঝিনাইন্নাহূকা-না ফা-হিশাতাওঁ ওয়া ছাআ ছাবীলা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْرَبُوا/تَقۡرَبُواْ/taqrabu//الزِّنٰۤی/ٱلزِّنَىٰٓۖ/al-zina//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//فَاحِشَةً ؕ/فَٰحِشَةٗ/fahishatan//وَ سَآءَ/وَسَآءَ/wasaa//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "এবং না//তোমরা নিকটে যেয়ো//জিনার//নিশ্চয়ই তা//হলো//অশ্লীল কাজ//ও নিকৃষ্ট//পথ"
            },
            {
              "number": 2062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2062.mp3"
              ],
              "text": "وَلَا تَقْتُلُوا۟ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ ۗ وَمَن قُتِلَ مَظْلُومًۭا فَقَدْ جَعَلْنَا لِوَلِيِّهِۦ سُلْطَٰنًۭا فَلَا يُسْرِف فِّى ٱلْقَتْلِ ۖ إِنَّهُۥ كَانَ مَنصُورًۭا",
              "translate_bn": "সে প্রাণকে হত্যা করো না, যাকে আল্লাহ হারাম করেছেন; কিন্তু ন্যায়ভাবে। যে ব্যক্তি অন্যায়ভাবে নিহত হয়, আমি তার উত্তরাধিকারীকে ক্ষমতা দান করি। অতএব, সে যেন হত্যার ব্যাপারে সীমা লঙ্ঘন না করে। নিশ্চয় সে সাহায্যপ্রাপ্ত।",
              "numberInSurah": 33,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকতুলুন্নাফছাল্লাতী হাররামাল্লা-হু ইল্লা-বিল হাক্কি ওয়া মান কুতিলা মাজলূমান ফাকাদ জা‘আলনা-লিওয়ালিইয়িহী ছুলতা-নান ফালা-ইউছরিফ ফিল কাতলি ইন্নাহূকা-না মানসূরা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْتُلُوا/تَقۡتُلُواْ/taqtulu//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//الَّتِیْ/ٱلَّتِي/allati//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//بِالْحَقِّ ؕ/بِٱلۡحَقِّۗ/bil-haqi//وَ مَنْ/وَمَن/waman//قُتِلَ/قُتِلَ/qutila//مَظْلُوْمًا/مَظۡلُومٗا/mazluman//فَقَدْ/فَقَدۡ/faqad//جَعَلْنَا/جَعَلۡنَا/ja'alna//لِوَلِیِّهٖ/لِوَلِيِّهِۦ/liwaliyyihi//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//فَلَا/فَلَا/fala//یُسْرِفْ/يُسۡرِف/yus'rif//فِّی/فِّي/fi//الْقَتْلِ ؕ/ٱلۡقَتۡلِۖ/al-qatli//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//مَنْصُوْرًا /مَنصُورٗا/mansuran",
              "words_bangla": "এবং না//তোমরা হত্যা করো//কোনো প্রাণকে//যা//নিষিদ্ধ করেছেন//আল্লাহ//ছাড়া//কারণ যথার্থ//এবং যে//নিহত হয়েছে//নির্যাতিত হয়ে//নিশ্চয়ই সেক্ষেত্রে//আমরা দিয়েছি//তার উত্তরাধিকারীর//অধিকার//সুতরাং না (যেন)//সে সীমালঙ্ঘন করে//ব্যাপারে//হত্যার//নিশ্চয়ই সে//হলো//সাহায্যপ্রাপ্ত"
            },
            {
              "number": 2063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2063.mp3"
              ],
              "text": "وَلَا تَقْرَبُوا۟ مَالَ ٱلْيَتِيمِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ حَتَّىٰ يَبْلُغَ أَشُدَّهُۥ ۚ وَأَوْفُوا۟ بِٱلْعَهْدِ ۖ إِنَّ ٱلْعَهْدَ كَانَ مَسْـُٔولًۭا",
              "translate_bn": "আর, এতিমের মালের কাছেও যেয়ো না, একমাত্র তার কল্যাণ আকাংখা ছাড়া; সংশ্লিষ্ট ব্যক্তির যৌবনে পদার্পন করা পর্যন্ত এবং অঙ্গীকার পূর্ন কর। নিশ্চয় অঙ্গীকার সম্পর্কে জিজ্ঞাসাবাদ করা হবে।",
              "numberInSurah": 34,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকরাবূমা-লাল ইয়াতীমি ইল্লা-বিল্লাতী হিয়া আহছানুহাত্তা-ইয়াবলুগা আশুদ্দাহূ ওয়া আওফূবিল‘আহদি ইন্নাল ‘আহদা কা-না মাছউলা।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْرَبُوْا/تَقۡرَبُواْ/taqrabu//مَالَ/مَالَ/mala//الْیَتِیْمِ/ٱلۡيَتِيمِ/al-yatimi//اِلَّا/إِلَّا/illa//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ/أَحۡسَنُ/ahsanu//حَتّٰی/حَتَّىٰ/hatta//یَبْلُغَ/يَبۡلُغَ/yablugha//اَشُدَّهٗ ۪/أَشُدَّهُۥۚ/ashuddahu//وَ اَوْفُوْا/وَأَوۡفُواْ/wa-awfu//بِالْعَهْدِ ۚ/بِٱلۡعَهۡدِۖ/bil-'ahdi//اِنَّ/إِنَّ/inna//الْعَهْدَ/ٱلۡعَهۡدَ/al-'ahda//كَانَ/كَانَ/kana//مَسْـُٔوْلًا /مَسۡـُٔولٗا/masulan",
              "words_bangla": "এবং না//তোমরা নিকটে যেয়ো//সম্পদের//ইয়াতীমের//ছাড়া//সাথে সেটার//যা//উত্তম//যতক্ষণ না//সে পৌঁছে//তার প্রাপ্ত বয়সে//এবং তোমরা পূর্ণ করবে//অঙ্গীকার//নিশ্চয়ই//অঙ্গীকার//হলো//(এমন যা সম্পর্কে ) জিজ্ঞেস করা হবে"
            },
            {
              "number": 2064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2064.mp3"
              ],
              "text": "وَأَوْفُوا۟ ٱلْكَيْلَ إِذَا كِلْتُمْ وَزِنُوا۟ بِٱلْقِسْطَاسِ ٱلْمُسْتَقِيمِ ۚ ذَٰلِكَ خَيْرٌۭ وَأَحْسَنُ تَأْوِيلًۭا",
              "translate_bn": "মেপে দেয়ার সময় পূর্ণ মাপে দেবে এবং সঠিক দাঁড়িপালায় ওজন করবে। এটা উত্তম; এর পরিণাম শুভ।",
              "numberInSurah": 35,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওফুল কাইলা ইযা-কিলতুম ওয়াঝিনূবিলকিছতা-ছিল মুছতাকীমি যা-লিকা খাইরুওঁ ওয়া আহছানুতা’বীলা-।",
              "words_arabic": "وَ اَوْفُوا/وَأَوۡفُواْ/wa-awfu//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//اِذَا/إِذَا/idha//كِلْتُمْ/كِلۡتُمۡ/kil'tum//وَ زِنُوْا/وَزِنُواْ/wazinu//بِالْقِسْطَاسِ/بِٱلۡقِسۡطَاسِ/bil-qis'tasi//الْمُسْتَقِیْمِ ؕ/ٱلۡمُسۡتَقِيمِۚ/al-mus'taqimi//ذٰلِكَ/ذَٰلِكَ/dhalika//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَحْسَنُ/وَأَحۡسَنُ/wa-ahsanu//تَاْوِیْلًا /تَأۡوِيلٗا/tawilan",
              "words_bangla": "এবং তোমরা পূর্ণ করবে//মাপ//যখন//তোমরা মেপে দিবে//এবং তোমরা ওজন করবে//দিয়ে দাড়িপাল্লা//সঠিক//এটা//উত্তম (নীতি)//ও উৎকৃষ্ট//পরিণামে"
            },
            {
              "number": 2065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2065.mp3"
              ],
              "text": "وَلَا تَقْفُ مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ ۚ إِنَّ ٱلسَّمْعَ وَٱلْبَصَرَ وَٱلْفُؤَادَ كُلُّ أُو۟لَٰٓئِكَ كَانَ عَنْهُ مَسْـُٔولًۭا",
              "translate_bn": "যে বিষয়ে তোমার কোন জ্ঞান নেই, তার পিছনে পড়ো না। নিশ্চয় কান, চক্ষু ও অন্তঃকরণ এদের প্রত্যেকটিই জিজ্ঞাসিত হবে।",
              "numberInSurah": 36,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকফুমা-লাইছা লাকা বিহী ‘ইলমুন ইন্নাছ ছাম‘আ ওয়াল বাসারা ওয়াল ফুআ-দা কুল্লুউলাইকা কা-না ‘আনহু মাছঊলা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقْفُ/تَقۡفُ/taqfu//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؕ/عِلۡمٌۚ/il'mun//اِنَّ/إِنَّ/inna//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْبَصَرَ/وَٱلۡبَصَرَ/wal-basara//وَ الْفُؤَادَ/وَٱلۡفُؤَادَ/wal-fuada//كُلُّ/كُلُّ/kullu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//كَانَ/كَانَ/kana//عَنْهُ/عَنۡهُ/anhu//مَسْـُٔوْلًا /مَسۡـُٔولٗا/masulan",
              "words_bangla": "এবং না//পিছনে পড়ো//যা//নেই//তোমার//তা সম্পর্কে//কোনো জ্ঞান//নিশ্চয়ই//কান//ও চোখ//ও অন্তর//প্রত্যেকটি//ঐসব গুলো//হলো//(এমন যে) সম্পর্কে তা//জিজ্ঞেস করা হবে"
            },
            {
              "number": 2066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2066.mp3"
              ],
              "text": "وَلَا تَمْشِ فِى ٱلْأَرْضِ مَرَحًا ۖ إِنَّكَ لَن تَخْرِقَ ٱلْأَرْضَ وَلَن تَبْلُغَ ٱلْجِبَالَ طُولًۭا",
              "translate_bn": "পৃথিবীতে দম্ভভরে পদচারণা করো না। নিশ্চয় তুমি তো ভূ পৃষ্ঠকে কখনই বিদীর্ণ করতে পারবে না এবং উচ্চতায় তুমি কখনই পর্বত প্রমাণ হতে পারবে না।",
              "numberInSurah": 37,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া লা-তামশি ফিল আরদিমারাহান ইন্নাকা লান তাখরিকাল আরদা ওয়া লান তাবলুগাল জিবা-লা তূলা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَمْشِ/تَمۡشِ/tamshi//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَرَحًا ۚ/مَرَحًاۖ/marahan//اِنَّكَ/إِنَّكَ/innaka//لَنْ/لَن/lan//تَخْرِقَ/تَخۡرِقَ/takhriqa//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ لَنْ/وَلَن/walan//تَبْلُغَ/تَبۡلُغَ/tablugha//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//طُوْلًا /طُولٗا/tulan",
              "words_bangla": "এবং না//চলো//মধ্যে//মাটির//দম্ভভরে//নিশ্চয়ই তুমি//কখনও না//ফাটাতে পারবে//মাটিকে//আর কখনও না//তুমি পৌঁছবে//পর্বতসমূহের//উচ্চতা"
            },
            {
              "number": 2067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2067.mp3"
              ],
              "text": "كُلُّ ذَٰلِكَ كَانَ سَيِّئُهُۥ عِندَ رَبِّكَ مَكْرُوهًۭا",
              "translate_bn": "এ সবের মধ্যে যেগুলো মন্দকাজ, সেগুলো তোমার পালনকর্তার কাছে অপছন্দনীয়।",
              "numberInSurah": 38,
              "juz": 15,
              "manzil": 4,
              "page": 285,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "কুল্লুযা-লিকা কা-না ছাইয়িউহূ‘ইনদা রাব্বিকা মাক রূহা-।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//ذٰلِكَ/ذَٰلِكَ/dhalika//كَانَ/كَانَ/kana//سَیِّئُهٗ/سَيِّئُهُۥ/sayyi-uhu//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//مَكْرُوْهًا /مَكۡرُوهٗا/makruhan",
              "words_bangla": "প্রত্যেকটি//এর//হলো//তার খারাপ (দিক)//কাছে//তোমার রবের//অপছন্দনীয়"
            },
            {
              "number": 2068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2068.mp3"
              ],
              "text": "ذَٰلِكَ مِمَّآ أَوْحَىٰٓ إِلَيْكَ رَبُّكَ مِنَ ٱلْحِكْمَةِ ۗ وَلَا تَجْعَلْ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ فَتُلْقَىٰ فِى جَهَنَّمَ مَلُومًۭا مَّدْحُورًا",
              "translate_bn": "এটা ঐ হিকমতের অন্তর্ভূক্ত, যা আপনার পালনকর্তা আপনাকে ওহী মারফত দান করেছেন। আল্লাহর সাথে অন্য কোন উপাস্য স্থির করবেন না। তাহলে অভিযুক্ত ও আল্লাহর অনুগ্রহ থেকে বিতাড়িত অবস্থায় জাহান্নামে নিক্ষিপ্ত হবেন।",
              "numberInSurah": 39,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা মিম্মাআওহাইলাইকা রাব্বুকা মিনাল হিকমাতি ওয়ালা-তাজ‘আল মা‘আল্লা-হি ইলা-হান আ-খারা ফাতুলকা-ফী জাহান্নামা মালূমাম মাদহূরা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//مِمَّاۤ/مِمَّآ/mimma//اَوْحٰۤی/أَوۡحَىٰٓ/awha//اِلَیْكَ/إِلَيۡكَ/ilayka//رَبُّكَ/رَبُّكَ/rabbuka//مِنَ/مِنَ/mina//الْحِكْمَةِ ؕ/ٱلۡحِكۡمَةِۗ/al-hik'mati//وَ لَا/وَلَا/wala//تَجْعَلْ/تَجۡعَلۡ/taj'al//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ/ءَاخَرَ/akhara//فَتُلْقٰی/فَتُلۡقَىٰ/fatul'qa//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//مَلُوْمًا/مَلُومٗا/maluman//مَّدْحُوْرًا /مَّدۡحُورًا/madhuran",
              "words_bangla": "এটা//থেকে ঐ বিষয় যা//ওহী করেছেন//তোমার প্রতি//তোমার রব//অন্তর্ভুক্ত//প্রজ্ঞার//এবং না//বানিও//সাথে//আল্লাহর//ইলাহ//অন্য (কাউকে)//তাহ'লে নিক্ষিপ্ত হবে//মধ্যে//জাহান্নামের//নিন্দিত অবস্হায়//(অনুগ্রহ থেকে) বিতাড়িত হয়ে"
            },
            {
              "number": 2069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2069.mp3"
              ],
              "text": "أَفَأَصْفَىٰكُمْ رَبُّكُم بِٱلْبَنِينَ وَٱتَّخَذَ مِنَ ٱلْمَلَٰٓئِكَةِ إِنَٰثًا ۚ إِنَّكُمْ لَتَقُولُونَ قَوْلًا عَظِيمًۭا",
              "translate_bn": "তোমাদের পালনকর্তা কি তোমাদের জন্যে পুত্র সন্তান নির্ধারিত করেছেন এবং নিজের জন্যে ফেরেশতাদেরকে কন্যারূপে গ্রহণ করেছেন? নিশ্চয় তোমরা গুরুতর গর্হিত কথাবার্তা বলছ।",
              "numberInSurah": 40,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 243,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "আফাআসফা-কুম রাব্বুকুম বিলবানীনা ওয়াত্তাখাযা মিনাল মালাইকাতি ইনা-ছান ইন্নাকুম লাতাকূলূনা কাওলান ‘আজীমা-।",
              "words_arabic": "اَفَاَصْفٰىكُمْ/أَفَأَصۡفَىٰكُمۡ/afa-asfakum//رَبُّكُمْ/رَبُّكُم/rabbukum//بِالْبَنِیْنَ/بِٱلۡبَنِينَ/bil-banina//وَ اتَّخَذَ/وَٱتَّخَذَ/wa-ittakhadha//مِنَ/مِنَ/mina//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//اِنَاثًا ؕ/إِنَٰثًاۚ/inathan//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَتَقُوْلُوْنَ/لَتَقُولُونَ/lataquluna//قَوْلًا/قَوۡلًا/qawlan//عَظِیْمًا۠/عَظِيمٗا/aziman",
              "words_bangla": "তবে কি ধন্য করেছেন তোমাদেরকে//রব তোমাদের//দিয়ে পুত্র সন্তানদের//অথচ তিনি গ্রহণ করেছেন//থেকে//ফেরেশতাদের//কন্যারূপে//নিশ্চয়ই তোমরা//অবশ্যই তোমরা বলছো//কথা//ভয়ানক"
            },
            {
              "number": 2070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2070.mp3"
              ],
              "text": "وَلَقَدْ صَرَّفْنَا فِى هَٰذَا ٱلْقُرْءَانِ لِيَذَّكَّرُوا۟ وَمَا يَزِيدُهُمْ إِلَّا نُفُورًۭا",
              "translate_bn": "আমি এই কোরআনে নানাভাবে বুঝিয়েছি, যাতে তারা চিন্তা করে। অথচ এতে তাদের কেবল বিমুখতাই বৃদ্ধি পায়।",
              "numberInSurah": 41,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাররাফনা-ফী হা-যাল কুরআ-নি লিইয়াযযাক্কারূ ওয়ামা-ইয়াঝীদুহুম ইল্লা-নুফূরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَرَّفْنَا/صَرَّفۡنَا/sarrafna//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//لِیَذَّكَّرُوْا ؕ/لِيَذَّكَّرُواْ/liyadhakkaru//وَ مَا/وَمَا/wama//یَزِیْدُهُمْ/يَزِيدُهُمۡ/yaziduhum//اِلَّا/إِلَّا/illa//نُفُوْرًا /نُفُورٗا/nufuran",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বারবার বর্ণনা করেছি//মধ্যে//এই//কুরআনের//যেন তারা শিক্ষা নেয়//কিন্তু না//বৃদ্ধি পায় তাদের//এছাড়া//বিমুখতা"
            },
            {
              "number": 2071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2071.mp3"
              ],
              "text": "قُل لَّوْ كَانَ مَعَهُۥٓ ءَالِهَةٌۭ كَمَا يَقُولُونَ إِذًۭا لَّٱبْتَغَوْا۟ إِلَىٰ ذِى ٱلْعَرْشِ سَبِيلًۭا",
              "translate_bn": "বলুনঃ তাদের কথামত যদি তাঁর সাথে অন্যান্য উপাস্য থাকত; তবে তারা আরশের মালিক পর্যন্ত পৌছার পথ অন্বেষন করত।",
              "numberInSurah": 42,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "কুল লাও কা-না মা‘আহূ আ-লিহাতুনকামা- ইয়াকূ লূনা ইযাল্লাব তাগাও ইলাযিল‘আরশি ছাবীলা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//كَانَ/كَانَ/kana//مَعَهٗۤ/مَعَهُۥٓ/ma'ahu//اٰلِهَةٌ/ءَالِهَةٞ/alihatun//كَمَا/كَمَا/kama//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِذًا/إِذٗا/idhan//لَّابْتَغَوْا/لَّٱبۡتَغَوۡاْ/la-ib'taghaw//اِلٰی/إِلَىٰ/ila//ذِی/ذِي/dhi//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "বলো//\"যদি//থাকতো//তাঁর সাথে//কোনো ইলাহ//যেমন//তারা বলে//তাহ'লে//তারা অবশ্যই খোঁজ করতো//দিকে//অধিপতির//আরশের//পথ\""
            },
            {
              "number": 2072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2072.mp3"
              ],
              "text": "سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يَقُولُونَ عُلُوًّۭا كَبِيرًۭا",
              "translate_bn": "তিনি নেহায়েত পবিত্র ও মহিমান্বিত এবং তারা যা বলে থাকে তা থেকে বহু উর্ধ্বে।",
              "numberInSurah": 43,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-নাহু ওয়া তা‘আ-লা-‘আম্মা-ইয়াকূ লূনা ‘উলুওওয়ান কাবীরা-।",
              "words_arabic": "سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//عُلُوًّا/عُلُوّٗا/uluwwan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "তিনি পবিত্র//ও মহিমাময়//তা হ'তে যা//তারা বলে//উপরে//বহু"
            },
            {
              "number": 2073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2073.mp3"
              ],
              "text": "تُسَبِّحُ لَهُ ٱلسَّمَٰوَٰتُ ٱلسَّبْعُ وَٱلْأَرْضُ وَمَن فِيهِنَّ ۚ وَإِن مِّن شَىْءٍ إِلَّا يُسَبِّحُ بِحَمْدِهِۦ وَلَٰكِن لَّا تَفْقَهُونَ تَسْبِيحَهُمْ ۗ إِنَّهُۥ كَانَ حَلِيمًا غَفُورًۭا",
              "translate_bn": "সপ্ত আকাশ ও পৃথিবী এবং এগুলোর মধ্যে যাকিছু আছে সমস্ত কিছু তাঁরই পবিত্রতা ও মহিমা ঘোষণা করে। এবং এমন কিছু নেই যা তার সপ্রশংস পবিত্রতা ও মহিমা ঘোষনা করে না। কিন্তু তাদের পবিত্রতা, মহিমা ঘোষণা তোমরা অনুধাবন করতে পার না। নিশ্চয় তিনি অতি সহনশীল, ক্ষমাপরায়ণ।",
              "numberInSurah": 44,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "তুছাব্বিহুলাহুছছামা-ওয়া-তুছ ছাব ‘উ ওয়াল আর দুওয়া মান ফীহিন্না ওয়া ইম মিন শাইয়িন ইল্লা-ইউছাব্বিহুবিহামদিহী ওয়ালা-কিল লা-তাফকাহূনা তাছবীহাহুম ইন্নাহূ কা-না হালীমান গাফূরা-।",
              "words_arabic": "تُسَبِّحُ/تُسَبِّحُ/tusabbihu//لَهُ/لَهُ/lahu//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//السَّبْعُ/ٱلسَّبۡعُ/al-sab'u//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//وَ مَنْ/وَمَن/waman//فِیْهِنَّ ؕ/فِيهِنَّۚ/fihinna//وَ اِنْ/وَإِن/wa-in//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٍ/shayin//اِلَّا/إِلَّا/illa//یُسَبِّحُ/يُسَبِّحُ/yusabbihu//بِحَمْدِهٖ/بِحَمۡدِهِۦ/bihamdihi//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تَفْقَهُوْنَ/تَفۡقَهُونَ/tafqahuna//تَسْبِیْحَهُمْ ؕ/تَسۡبِيحَهُمۡۚ/tasbihahum//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//حَلِیْمًا/حَلِيمًا/haliman//غَفُوْرًا /غَفُورٗا/ghafuran",
              "words_bangla": "পবিত্রতা ঘোষণা করছে//জন্যে তাঁর//আকাশমন্ডলী//সাত//ও পৃথিবী//এবং যা কিছু আছে//মধ্যে তাদের//এবং নেই//কোনো//বস্তু//এছাড়া যে//পবিত্রতা ঘোষণা করছে//সাথে তাঁর সপ্রশংসার//কিন্তু//না//তোমরা অনুধাবন করো//তাদের পবিত্রতা ঘোষণা করা//নিশ্চয়ই তিনি//হলেন//সহনশীল//ক্ষমা পরায়ণ\""
            },
            {
              "number": 2074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2074.mp3"
              ],
              "text": "وَإِذَا قَرَأْتَ ٱلْقُرْءَانَ جَعَلْنَا بَيْنَكَ وَبَيْنَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ حِجَابًۭا مَّسْتُورًۭا",
              "translate_bn": "যখন আপনি কোরআন পাঠ করেন, তখন আমি আপনার মধ্যে ও পরকালে অবিশ্বাসীদের মধ্যে প্রচ্ছন্ন পর্দা ফেলে দেই।",
              "numberInSurah": 45,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কারা’তাল কুরআ-না জা‘আলনা-বাইনাকা ওয়া বাইনাল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি হিজা-বাম মাছতূরা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قَرَاْتَ/قَرَأۡتَ/qarata//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//جَعَلْنَا/جَعَلۡنَا/ja'alna//بَیْنَكَ/بَيۡنَكَ/baynaka//وَ بَیْنَ/وَبَيۡنَ/wabayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//حِجَابًا/حِجَابٗا/hijaban//مَّسْتُوْرًاۙ/مَّسۡتُورٗا/masturan",
              "words_bangla": "এবং যখন//তুমি পাঠ করো//কুরআন//আমরা বানাই//তোমার মাঝে//ও মাঝে//তাদের (যারা)//না//ঈমান আনে//উপর আখিরাতের//পর্দা//প্রচ্ছন্ন"
            },
            {
              "number": 2075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2075.mp3"
              ],
              "text": "وَجَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًۭا ۚ وَإِذَا ذَكَرْتَ رَبَّكَ فِى ٱلْقُرْءَانِ وَحْدَهُۥ وَلَّوْا۟ عَلَىٰٓ أَدْبَٰرِهِمْ نُفُورًۭا",
              "translate_bn": "আমি তাদের অন্তরের উপর আবরণ রেখে দেই, যাতে তারা একে উপলব্ধি করতে না পারে এবং তাদের কর্ণকুহরে বোঝা চাপিয়ে দেই। যখন আপনি কোরআনে পালনকর্তার একত্ব আবৃত্তি করেন, তখন ও অনীহাবশতঃ ওরা পৃষ্ট প্রদর্শন করে চলে যায়।",
              "numberInSurah": 46,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা ‘আলা-কুলূবিহিম আকিন্নাতান আইঁ ইয়াফকাহূহু ওয়া ফীআ-যা-নিহিম ওয়াকরাওঁ ওয়া ইযা-যাকারতা রাব্বাকা ফিল কুরআ-নি ওয়াহদাহূওয়াল্লাও ‘আলা আদবা-রিহিম নুফূরা-।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اَكِنَّةً/أَكِنَّةً/akinnatan//اَنْ/أَن/an//یَّفْقَهُوْهُ/يَفۡقَهُوهُ/yafqahuhu//وَ فِیْۤ/وَفِيٓ/wafi//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//وَقْرًا ؕ/وَقۡرٗاۚ/waqran//وَ اِذَا/وَإِذَا/wa-idha//ذَكَرْتَ/ذَكَرۡتَ/dhakarta//رَبَّكَ/رَبَّكَ/rabbaka//فِی/فِي/fi//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//وَحْدَهٗ/وَحۡدَهُۥ/wahdahu//وَلَّوْا/وَلَّوۡاْ/wallaw//عَلٰۤی/عَلَىٰٓ/ala//اَدْبَارِهِمْ/أَدۡبَٰرِهِمۡ/adbarihim//نُفُوْرًا /نُفُورٗا/nufuran",
              "words_bangla": "এবং আমরা রেখে দিই//উপর//অন্তরসমূহের তাদের//আবরণ//যে (না)//তা তারা বুঝে//এবং মধ্যে আছে//কানগুলোর তাদের//বধিরতা//এবং যখন//তুমি উল্লেখ করো//তোমার রবকে//মধ্যে//কুরআনের//তাঁর একত্ত্বতা//তারা ফিরে//দিকে//পিঠের তাদের//ঘৃণায়"
            },
            {
              "number": 2076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2076.mp3"
              ],
              "text": "نَّحْنُ أَعْلَمُ بِمَا يَسْتَمِعُونَ بِهِۦٓ إِذْ يَسْتَمِعُونَ إِلَيْكَ وَإِذْ هُمْ نَجْوَىٰٓ إِذْ يَقُولُ ٱلظَّٰلِمُونَ إِن تَتَّبِعُونَ إِلَّا رَجُلًۭا مَّسْحُورًا",
              "translate_bn": "যখন তারা কান পেতে আপনার কথা শোনে, তখন তারা কেন কান পেতে তা শোনে, তা আমি ভাল জানি এবং এও জানি গোপনে আলোচনাকালে যখন জালেমরা বলে, তোমরা তো এক যাদুগ্রস্থ ব্যক্তির অনুসরণ করছ।",
              "numberInSurah": 47,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "নাহনুআ‘লামুবিমা-ইয়াছতামি‘ঊনা বিহী ইয ইয়াছতামি‘ঊনা ইলাইকা ওয়া ইযহুম নাজওয়াইযইয়াকূলুজ্জা-লিমূনা ইন তাত্তাবি‘উনা ইল্লা-রাজুলাম মাছহূরা-।",
              "words_arabic": "نَحْنُ/نَّحۡنُ/nahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//بِهٖۤ/بِهِۦٓ/bihi//اِذْ/إِذۡ/idh//یَسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اِذْ/وَإِذۡ/wa-idh//هُمْ/هُمۡ/hum//نَجْوٰۤی/نَجۡوَىٰٓ/najwa//اِذْ/إِذۡ/idh//یَقُوْلُ/يَقُولُ/yaqulu//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//اِنْ/إِن/in//تَتَّبِعُوْنَ/تَتَّبِعُونَ/tattabi'una//اِلَّا/إِلَّا/illa//رَجُلًا/رَجُلٗا/rajulan//مَّسْحُوْرًا /مَّسۡحُورًا/mashuran",
              "words_bangla": "আমরা//খুব জানি//ঐ বিষয়ে যা//তারা মনোযোগ দিয়ে শুনে//তা সম্বন্ধে//যখন//তারা কান পেতে শোনে//তোমার প্রতি//এবং যখন//তারা//গোপন পরামর্শ করে//তখন//বলে//সীমালঙ্ঘনকারীরা//\"না//তোমরা অনুসরণ করছো//ছাড়া//এক ব্যক্তিকে//জাদুগ্রস্ত\""
            },
            {
              "number": 2077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2077.mp3"
              ],
              "text": "ٱنظُرْ كَيْفَ ضَرَبُوا۟ لَكَ ٱلْأَمْثَالَ فَضَلُّوا۟ فَلَا يَسْتَطِيعُونَ سَبِيلًۭا",
              "translate_bn": "দেখুন, ওরা আপনার জন্যে কেমন উপমা দেয়। ওরা পথভ্রষ্ট হয়েছে। অতএব, ওরা পথ পেতে পারে না।",
              "numberInSurah": 48,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "উনজু র কাইফা দারাবূলাকাল আমছা-লা ফাদালূল ফালা -ইয়াছতাতী‘ঊনা ছাবীলা-।",
              "words_arabic": "اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//ضَرَبُوْا/ضَرَبُواْ/darabu//لَكَ/لَكَ/laka//الْاَمْثَالَ/ٱلۡأَمۡثَالَ/al-amthala//فَضَلُّوْا/فَضَلُّواْ/fadallu//فَلَا/فَلَا/fala//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "লক্ষ্য করো//কেমন//তারা বর্ণনা করে//জন্যে তোমার//উপমাগুলো//অতএব তারা বিভ্রান্ত হয়েছে//তাই না//তারা পেতে পারে//পথ"
            },
            {
              "number": 2078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2078.mp3"
              ],
              "text": "وَقَالُوٓا۟ أَءِذَا كُنَّا عِظَٰمًۭا وَرُفَٰتًا أَءِنَّا لَمَبْعُوثُونَ خَلْقًۭا جَدِيدًۭا",
              "translate_bn": "তারা বলেঃ যখন আমরা অস্থিতে পরিণত ও চূর্ণ বিচূর্ণ হয়ে যাব, তখনও কি নতুন করে সৃজিত হয়ে উত্থিত হব?",
              "numberInSurah": 49,
              "juz": 15,
              "manzil": 4,
              "page": 286,
              "ruku": 244,
              "hizbQuarter": 114,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূআইযা-কুন্না-‘ইজা-মাওঁ ওয়া রুফা-তান আইন্না-লামাব‘ঊছূনা খালকান জাদীদা-।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//ءَاِذَا/أَءِذَا/a-idha//كُنَّا/كُنَّا/kunna//عِظَامًا/عِظَٰمٗا/izaman//وَّ رُفَاتًا/وَرُفَٰتًا/warufatan//ءَاِنَّا/أَءِنَّا/a-inna//لَمَبْعُوْثُوْنَ/لَمَبۡعُوثُونَ/lamab'uthuna//خَلْقًا/خَلۡقٗا/khalqan//جَدِیْدًا /جَدِيدٗا/jadidan",
              "words_bangla": "এবং তারা বলে//\"কি যখন//আমরা পরিণত হবো//হাড়ে//এবং চূর্ণ-বিচূর্ণ (মাটিতে)//কি নিশ্চয়ই আমরা//অবশ্যই উত্থিত হবো//সৃষ্টিতে//নতুন\""
            },
            {
              "number": 2079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2079.mp3"
              ],
              "text": "۞ قُلْ كُونُوا۟ حِجَارَةً أَوْ حَدِيدًا",
              "translate_bn": "বলুনঃ তোমরা পাথর হয়ে যাও কিংবা লোহা।",
              "numberInSurah": 50,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 244,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "কুল কূনূহিজা-রাতান আও হাদীদা-।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//كُوْنُوْا/كُونُواْ/kunu//حِجَارَةً/حِجَارَةً/hijaratan//اَوْ/أَوۡ/aw//حَدِیْدًاۙ/حَدِيدًا/hadidan",
              "words_bangla": "বলো//\"তোমরা হয়ে যাও//পাথর//বা//লোহা"
            },
            {
              "number": 2080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2080.mp3"
              ],
              "text": "أَوْ خَلْقًۭا مِّمَّا يَكْبُرُ فِى صُدُورِكُمْ ۚ فَسَيَقُولُونَ مَن يُعِيدُنَا ۖ قُلِ ٱلَّذِى فَطَرَكُمْ أَوَّلَ مَرَّةٍۢ ۚ فَسَيُنْغِضُونَ إِلَيْكَ رُءُوسَهُمْ وَيَقُولُونَ مَتَىٰ هُوَ ۖ قُلْ عَسَىٰٓ أَن يَكُونَ قَرِيبًۭا",
              "translate_bn": "অথবা এমন কোন বস্তু, যা তোমাদের ধারণায় খুবই কঠিন; তথাপি তারা বলবেঃ আমাদের কে পুর্নবার কে সৃষ্টি করবে। বলুনঃ যিনি তোমাদেরকে প্রথমবার সৃজন করেছেন। অতঃপর তারা আপনার সামনে মাথা নাড়বে এবং বলবেঃ এটা কবে হবে? বলুনঃ হবে, সম্ভবতঃ শ্রীঘ্রই।",
              "numberInSurah": 51,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 244,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "আও খালকাম মিম্মা-ইয়াকবুরু ফী সূদূ রিকুম ফাছাইয়াকূলূনা মাইঁ ইউ‘ঈদুনা- কুল্লিলাযী ফাতারাকুম আওওয়ালা মাররাতিন ফাছাইউনগিদূনা ইলাইকা রুঊছাহুম ওয়া ইয়াকূলূনা মাতা-হুওয়া কুল ‘আছাআইঁ ইয়াকূনা কারীবা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//خَلْقًا/خَلۡقٗا/khalqan//مِّمَّا/مِّمَّا/mimma//یَكْبُرُ/يَكۡبُرُ/yakburu//فِیْ/فِي/fi//صُدُوْرِكُمْ ۚ/صُدُورِكُمۡۚ/sudurikum//فَسَیَقُوْلُوْنَ/فَسَيَقُولُونَ/fasayaquluna//مَنْ/مَن/man//یُّعِیْدُنَا ؕ/يُعِيدُنَاۖ/yu'iduna//قُلِ/قُلِ/quli//الَّذِیْ/ٱلَّذِي/alladhi//فَطَرَكُمْ/فَطَرَكُمۡ/fatarakum//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ ۚ/مَرَّةٖۚ/marratin//فَسَیُنْغِضُوْنَ/فَسَيُنۡغِضُونَ/fasayun'ghiduna//اِلَیْكَ/إِلَيۡكَ/ilayka//رُءُوْسَهُمْ/رُءُوسَهُمۡ/ruusahum//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هُوَ ؕ/هُوَۖ/huwa//قُلْ/قُلۡ/qul//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//قَرِیْبًا /قَرِيبٗا/qariban",
              "words_bangla": "অথবা//(এমন) সৃষ্টি//তা হ'তে যা//(জীবন পাওয়া) বড় কঠিন হবে//মধ্যে//অন্তরসমূহের তোমাদের\"//অতঃপর তারা বলবে//\"কে//আমাদেরকে ফিরিয়ে আনবে\"//বলো//\"যিনি//সৃষ্টি করেছেন তোমাদেন//প্রথম//বার\"//অতঃপর তারা নাড়বে//তোমার দিকে//মাথাসমূহ তাদের//ও তারা বলবে//\"কখন হবে//তা\"//বলো//\"সম্ভবতঃ//যে//তা হবে//নিকটবর্তী\""
            },
            {
              "number": 2081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2081.mp3"
              ],
              "text": "يَوْمَ يَدْعُوكُمْ فَتَسْتَجِيبُونَ بِحَمْدِهِۦ وَتَظُنُّونَ إِن لَّبِثْتُمْ إِلَّا قَلِيلًۭا",
              "translate_bn": "যেদিন তিনি তোমাদেরকে আহবান করবেন, অতঃপর তোমরা তাঁর প্রশংসা করতে করতে চলে আসবে। এবং তোমরা অনুমান করবে যে, সামান্য সময়ই অবস্থান করেছিলে।",
              "numberInSurah": 52,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 244,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াদ‘ঊকুম ফাতাছতাজীবূনা বিহামদিহী ওয়া তাজুননূনা ইল্লাবিছতুম ইল্লাকালীলা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَدْعُوْكُمْ/يَدۡعُوكُمۡ/yad'ukum//فَتَسْتَجِیْبُوْنَ/فَتَسۡتَجِيبُونَ/fatastajibuna//بِحَمْدِهٖ/بِحَمۡدِهِۦ/bihamdihi//وَ تَظُنُّوْنَ/وَتَظُنُّونَ/watazunnuna//اِنْ/إِن/in//لَّبِثْتُمْ/لَّبِثۡتُمۡ/labith'tum//اِلَّا/إِلَّا/illa//قَلِیْلًا۠/قَلِيلٗا/qalilan",
              "words_bangla": "যেদিন//তিনি ডাকবেন তোমাদেরকে//তখন তোমরা ডাকে সাড়া দিবে//সাথে তাঁর প্রশংসার//ও তোমরা মনে করবে//না//অবস্থান করেছিলে তোমরা//ছাড়া//অল্প (সময়)"
            },
            {
              "number": 2082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2082.mp3"
              ],
              "text": "وَقُل لِّعِبَادِى يَقُولُوا۟ ٱلَّتِى هِىَ أَحْسَنُ ۚ إِنَّ ٱلشَّيْطَٰنَ يَنزَغُ بَيْنَهُمْ ۚ إِنَّ ٱلشَّيْطَٰنَ كَانَ لِلْإِنسَٰنِ عَدُوًّۭا مُّبِينًۭا",
              "translate_bn": "আমার বান্দাদেরকে বলে দিন, তারা যেন যা উত্তম এমন কথাই বলে। শয়তান তাদের মধ্যে সংঘর্ষ বাধায়। নিশ্চয় শয়তান মানুষের প্রকাশ্য শত্রু।",
              "numberInSurah": 53,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল লি‘ইবা-দী ইয়াকূলুল্লাতী হিয়া আহছানু ইন্নাশশাইতা-না ইয়ানঝাগু বাইনাহুম ইন্নাশশাইতা-না কা-না লিলইনছা-নি ‘আদুওওয়াম মুবীনা-।\r\n",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//لِّعِبَادِیْ/لِّعِبَادِي/li'ibadi//یَقُوْلُوا/يَقُولُواْ/yaqulu//الَّتِیْ/ٱلَّتِي/allati//هِیَ/هِيَ/hiya//اَحْسَنُ ؕ/أَحۡسَنُۚ/ahsanu//اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//یَنْزَغُ/يَنزَغُ/yanzaghu//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//كَانَ/كَانَ/kana//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//عَدُوًّا/عَدُوّٗا/aduwwan//مُّبِیْنًا /مُّبِينٗا/mubinan",
              "words_bangla": "এবং বলো//আমাদের দাসদেরকে//(যেন) তারা বলে//ঐ (কথা)//যা//উত্তম//নিশ্চয়ই//শয়তান//উস্কানি দেয়//মাঝে তাদের//নিশ্চয়ই//শয়তান//হলো//জন্যে মানুষের//শত্রু//প্রকাশ্য"
            },
            {
              "number": 2083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2083.mp3"
              ],
              "text": "رَّبُّكُمْ أَعْلَمُ بِكُمْ ۖ إِن يَشَأْ يَرْحَمْكُمْ أَوْ إِن يَشَأْ يُعَذِّبْكُمْ ۚ وَمَآ أَرْسَلْنَٰكَ عَلَيْهِمْ وَكِيلًۭا",
              "translate_bn": "তোমাদের পালনকর্তা তোমাদের সম্পর্কে ভালভাবে জ্ঞাত আছেন। তিনি যদি চান, তোমাদের প্রতি রহমত করবেন কিংবা যদি চান, তোমাদের আযাব দিবেন। আমি আপনাকে ওদের সবার তত্ত্বাবধায়ক রূপে প্রেরণ করিনি।",
              "numberInSurah": 54,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "রাব্বুকুম আ‘লামুবিকুম ইয়ঁইয়াশা’ ইয়ারহামকুম আও ইয়ঁইয়াশা’ ইউ‘আযযি বকুম ওয়ামাআরছালনা-কা ‘আলাইহিম ওয়াকীলা-।",
              "words_arabic": "رَبُّكُمْ/رَّبُّكُمۡ/rabbukum//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِكُمْ ؕ/بِكُمۡۖ/bikum//اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یَرْحَمْكُمْ/يَرۡحَمۡكُمۡ/yarhamkum//اَوْ/أَوۡ/aw//اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُعَذِّبْكُمْ ؕ/يُعَذِّبۡكُمۡۚ/yu'adhib'kum//وَ مَاۤ/وَمَآ/wama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "রব তোমাদের//খুব জানেন//সম্পর্কে তোমাদের//যদি//ইচ্ছে করেন//তোমাদের প্রতি দয়া করবেন//বা//যদি//ইচ্ছে করেন//তোমাদের শাস্তি দিবেন//এবং না//তোমাকে আমরা প্রেরণ করেছি//কাছে তাদের//কর্মবিধায়করূপে"
            },
            {
              "number": 2084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2084.mp3"
              ],
              "text": "وَرَبُّكَ أَعْلَمُ بِمَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَلَقَدْ فَضَّلْنَا بَعْضَ ٱلنَّبِيِّۦنَ عَلَىٰ بَعْضٍۢ ۖ وَءَاتَيْنَا دَاوُۥدَ زَبُورًۭا",
              "translate_bn": "আপনার পালনকর্তা তাদের সম্পর্কে ভালভাবে জ্ঞাত আছেন, যারা আকাশসমূহে ও ভুপৃষ্ঠে রয়েছে। আমি তো কতক পয়গম্বরকে কতক পয়গম্বরের উপর শ্রেষ্ঠত্ব দান করেছি এবং দাউদকে যবুর দান করেছি।",
              "numberInSurah": 55,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বুকা আ‘লামুবিমান ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়ালাকাদ ফাদ্দালনাবা‘দান্নাবিইয়ীনা ‘আলা-বা‘দিওঁ ওয়া আ-তাইনা-দা-ঊদা ঝাবূরা-।",
              "words_arabic": "وَ رَبُّكَ/وَرَبُّكَ/warabbuka//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ لَقَدْ/وَلَقَدۡ/walaqad//فَضَّلْنَا/فَضَّلۡنَا/faddalna//بَعْضَ/بَعۡضَ/ba'da//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖۖ/ba'din//وَّ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//دَاوٗدَ/دَاوُۥدَ/dawuda//زَبُوْرًا /زَبُورٗا/zaburan",
              "words_bangla": "এবং তোমার রব//খুব জানেন//সম্বন্ধে ঐ যা//মধ্যে আছে//আকাশমন্ডলীর//ও পৃথিবীর//এবং নিশ্চয়ই//আমরা মর্যাদা দিয়েছি//কাউকে//নাবীদের মধ্যে//উপর//কারও//এবং আমরা দিয়েছি//দাঊদকে//যাবূর"
            },
            {
              "number": 2085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2085.mp3"
              ],
              "text": "قُلِ ٱدْعُوا۟ ٱلَّذِينَ زَعَمْتُم مِّن دُونِهِۦ فَلَا يَمْلِكُونَ كَشْفَ ٱلضُّرِّ عَنكُمْ وَلَا تَحْوِيلًا",
              "translate_bn": "বলুনঃ আল্লাহ ব্যতীত যাদেরকে তোমরা উপাস্য মনে কর, তাদেরকে আহবান কর। অথচ ওরা তো তোমাদের কষ্ট দুর করার ক্ষমতা রাখে না এবং তা পরিবর্তনও করতে পারে না।",
              "numberInSurah": 56,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "কুলিদ‘উল্লাযীনা ঝা‘আমতুম মিন দূনিহী ফালা- ইয়ামলিকূনা কাশফাদদুররি ‘আনকুম ওয়ালা-তাহবীলা-।",
              "words_arabic": "قُلِ/قُلِ/quli//ادْعُوا/ٱدۡعُواْ/id'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//زَعَمْتُمْ/زَعَمۡتُم/za'amtum//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//فَلَا/فَلَا/fala//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//كَشْفَ/كَشۡفَ/kashfa//الضُّرِّ/ٱلضُّرِّ/al-duri//عَنْكُمْ/عَنكُمۡ/ankum//وَ لَا/وَلَا/wala//تَحْوِیْلًا /تَحۡوِيلًا/tahwilan",
              "words_bangla": "বলো//\"তোমরা ডাকো//(তাদেরকে) যাদের//তোমরা ধারণা করো//ছাড়া//তিনি (ইলাহ)//অতঃপর না//তারা শক্তি রাখে//দূর করতে//দুঃখ-দৈন্য//থেকে তোমাদের//এবং না//পরিবর্তন\""
            },
            {
              "number": 2086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2086.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ يَدْعُونَ يَبْتَغُونَ إِلَىٰ رَبِّهِمُ ٱلْوَسِيلَةَ أَيُّهُمْ أَقْرَبُ وَيَرْجُونَ رَحْمَتَهُۥ وَيَخَافُونَ عَذَابَهُۥٓ ۚ إِنَّ عَذَابَ رَبِّكَ كَانَ مَحْذُورًۭا",
              "translate_bn": "যাদেরকে তারা আহবান করে, তারা নিজেরাই তো তাদের পালনকর্তার নৈকট্য লাভের জন্য মধ্যস্থ তালাশ করে যে, তাদের মধ্যে কে নৈকট্যশীল। তারা তাঁর রহমতের আশা করে এবং তাঁর শাস্তিকে ভয় করে। নিশ্চয় আপনার পালনকর্তার শাস্তি ভয়াবহ।",
              "numberInSurah": 57,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা ইয়াদ‘ঊনা ইয়াবতাগূনা ইলা-রাব্বিহিমুল ওয়াছীলাতা আইয়ুহুম আকরাবু ওয়া ইয়ারজূনা রাহমাতাহূও ইয়াখা-ফূনা ‘আযা-বাহূ ইন্না আযা-বা রাব্বিকা কা-না মাহযূরা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//یَبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//اِلٰی/إِلَىٰ/ila//رَبِّهِمُ/رَبِّهِمُ/rabbihimu//الْوَسِیْلَةَ/ٱلۡوَسِيلَةَ/al-wasilata//اَیُّهُمْ/أَيُّهُمۡ/ayyuhum//اَقْرَبُ/أَقۡرَبُ/aqrabu//وَ یَرْجُوْنَ/وَيَرۡجُونَ/wayarjuna//رَحْمَتَهٗ/رَحۡمَتَهُۥ/rahmatahu//وَ یَخَافُوْنَ/وَيَخَافُونَ/wayakhafuna//عَذَابَهٗ ؕ/عَذَابَهُۥٓۚ/adhabahu//اِنَّ/إِنَّ/inna//عَذَابَ/عَذَابَ/adhaba//رَبِّكَ/رَبِّكَ/rabbika//كَانَ/كَانَ/kana//مَحْذُوْرًا /مَحۡذُورٗا/mahdhuran",
              "words_bangla": "ঐসব লোক//যাদেরকে//তারা ডাকে//তারা খোঁজ করে//দিকে//রবের তাদের//নৈকট্য লাভের উপায়//মধ্যে কে তাদের//অধিক নিকটবর্তী//এবং তারা প্রত্যাশা করে//তাঁর দয়া//ও তারা ভয় করে//তাঁর শাস্তিকে//নিশ্চয়ই//শাস্তি//তোমার রবের//হলো//ভয়াবহ"
            },
            {
              "number": 2087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2087.mp3"
              ],
              "text": "وَإِن مِّن قَرْيَةٍ إِلَّا نَحْنُ مُهْلِكُوهَا قَبْلَ يَوْمِ ٱلْقِيَٰمَةِ أَوْ مُعَذِّبُوهَا عَذَابًۭا شَدِيدًۭا ۚ كَانَ ذَٰلِكَ فِى ٱلْكِتَٰبِ مَسْطُورًۭا",
              "translate_bn": "এমন কোন জনপদ নেই, যাকে আমি কেয়ামত দিবসের পূর্বে ধ্বংস করব না অথবা যাকে কঠোর শাস্তি দেব না। এটা তো গ্রন্থে লিপিবদ্ধ হয়ে গেছে।",
              "numberInSurah": 58,
              "juz": 15,
              "manzil": 4,
              "page": 287,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মিন কারইয়াতিন ইল্লা-নাহনুমুহলিকূহা-কাবলা ইয়াওমিল কিয়া-মাতি আও মু‘আযযি বূহা-‘আযা-বান শাদীদান কা-না যা-লিকা ফিল কিতা-বি মাছতূরা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اِلَّا/إِلَّا/illa//نَحْنُ/نَحۡنُ/nahnu//مُهْلِكُوْهَا/مُهۡلِكُوهَا/muh'likuha//قَبْلَ/قَبۡلَ/qabla//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//اَوْ/أَوۡ/aw//مُعَذِّبُوْهَا/مُعَذِّبُوهَا/mu'adhibuha//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا ؕ/شَدِيدٗاۚ/shadidan//كَانَ/كَانَ/kana//ذٰلِكَ/ذَٰلِكَ/dhalika//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مَسْطُوْرًا /مَسۡطُورٗا/masturan",
              "words_bangla": "এবং নেই//কোনো//জনপদ//এ ছাড়া যে//আমরা//তা আমরা ধ্বংসকারী//পূর্বে//দিনের//ক্বিয়ামাতের//বা//তাকে আমরা শাস্তিদানকারী//শাস্তি (দ্বারা)//কঠোর//হলো//এটা//মধ্যে//(আল্লাহর) কিতাবের//লিখিত"
            },
            {
              "number": 2088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2088.mp3"
              ],
              "text": "وَمَا مَنَعَنَآ أَن نُّرْسِلَ بِٱلْءَايَٰتِ إِلَّآ أَن كَذَّبَ بِهَا ٱلْأَوَّلُونَ ۚ وَءَاتَيْنَا ثَمُودَ ٱلنَّاقَةَ مُبْصِرَةًۭ فَظَلَمُوا۟ بِهَا ۚ وَمَا نُرْسِلُ بِٱلْءَايَٰتِ إِلَّا تَخْوِيفًۭا",
              "translate_bn": "পূর্ববর্তীগণ কতৃꦣ2453; নিদর্শন অস্বীকার করার ফলেই আমাকে নিদর্শনাবলী প্রেরণ থেকে বিরত থাকতে হয়েছে। আমি তাদেরকে বোঝাবার জন্যে সামুদকে উষ্ট্রী দিয়েছিলাম। অতঃপর তারা তার প্রতি জুলুম করেছিল। আমি ভীতি প্রদর্শনের উদ্দেশেই নিদর্শন প্রেরণ করি।",
              "numberInSurah": 59,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা মানা‘আনাআননুরছিলা বিলআ-য়া-তি ইল্লাআন কাযযাবা বিহাল আওওয়ালূনা ওয়া আ-তাইনা-ছামূদান না-কাতা মুবসিরাতান ফাজালামূবিহা- ওয়ামা- নুরছিলুবিল আয়া-তি ইল্লা- তাখবীফা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//مَنَعَنَاۤ/مَنَعَنَآ/mana'ana//اَنْ/أَن/an//نُّرْسِلَ/نُّرۡسِلَ/nur'sila//بِالْاٰیٰتِ/بِٱلۡأٓيَٰتِ/bil-ayati//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//كَذَّبَ/كَذَّبَ/kadhaba//بِهَا/بِهَا/biha//الْاَوَّلُوْنَ ؕ/ٱلۡأَوَّلُونَۚ/al-awaluna//وَ اٰتَیْنَا/وَءَاتَيۡنَا/waatayna//ثَمُوْدَ/ثَمُودَ/thamuda//النَّاقَةَ/ٱلنَّاقَةَ/al-naqata//مُبْصِرَةً/مُبۡصِرَةٗ/mub'siratan//فَظَلَمُوْا/فَظَلَمُواْ/fazalamu//بِهَا ؕ/بِهَاۚ/biha//وَ مَا/وَمَا/wama//نُرْسِلُ/نُرۡسِلُ/nur'silu//بِالْاٰیٰتِ/بِٱلۡأٓيَٰتِ/bil-ayati//اِلَّا/إِلَّا/illa//تَخْوِیْفًا /تَخۡوِيفٗا/takhwifan",
              "words_bangla": "এবং না//কেউ আমাদেরকে বিরত রেখেছে//যে//আমরা পাঠাবো//দিয়ে নিদর্শনাদি//এ ছাড়া//যে//মিথ্যারোপ করেছে//ব্যাপারে তার//পূর্ববর্তীরা//এবং আমরা দিয়েছি//সামুদকে//মাদি উট//প্রকাশ্য//তখন তারা নির্যাতন করে//সাথে তার//এবং না//আমরা পাঠাই//দিয়ে নিদের্শনাদি//এ ছাড়া যে//ভয় স্বরূপ"
            },
            {
              "number": 2089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2089.mp3"
              ],
              "text": "وَإِذْ قُلْنَا لَكَ إِنَّ رَبَّكَ أَحَاطَ بِٱلنَّاسِ ۚ وَمَا جَعَلْنَا ٱلرُّءْيَا ٱلَّتِىٓ أَرَيْنَٰكَ إِلَّا فِتْنَةًۭ لِّلنَّاسِ وَٱلشَّجَرَةَ ٱلْمَلْعُونَةَ فِى ٱلْقُرْءَانِ ۚ وَنُخَوِّفُهُمْ فَمَا يَزِيدُهُمْ إِلَّا طُغْيَٰنًۭا كَبِيرًۭا",
              "translate_bn": "এবং স্মরণ করুন, আমি আপনাকে বলে দিয়েছিলাম যে, আপনার পালনকর্তা মানুষকে পরিবেষ্টন করে রেখেছেন এবং যে দৃশ্য আমি আপনাকে দেখিয়েছি তাও কোরআনে উল্লেখিত অভিশপ্ত বৃক্ষ কেবল মানুষের পরীক্ষার জন্যে। আমি তাদেরকে ভয় প্রদর্শন করি। কিন্তু এতে তাদের অবাধ্যতাই আরও বৃদ্ধি পায়।",
              "numberInSurah": 60,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 245,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলনা-লাকা ইন্না রাব্বাকা আহা-তা বিন্না-ছি ওয়ামা-জা‘আলনার রু’ইয়াল্লাতীআরাইনা-কা ইল্লা-ফিতনাতাললিন্না-ছি ওয়াশশাজারাতাল মাল‘ঊনাতা ফিল কুরআ-নি ওয়ানুখাওবিফুহুম ফামা-ইয়াঝীদুহুম ইল্লা-তুগইয়া-নান কাবীরা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//لَكَ/لَكَ/laka//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//اَحَاطَ/أَحَاطَ/ahata//بِالنَّاسِ ؕ/بِٱلنَّاسِۚ/bil-nasi//وَ مَا/وَمَا/wama//جَعَلْنَا/جَعَلۡنَا/ja'alna//الرُّءْیَا/ٱلرُّءۡيَا/al-ru'ya//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَرَیْنٰكَ/أَرَيۡنَٰكَ/araynaka//اِلَّا/إِلَّا/illa//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ الشَّجَرَةَ/وَٱلشَّجَرَةَ/wal-shajarata//الْمَلْعُوْنَةَ/ٱلۡمَلۡعُونَةَ/al-mal'unata//فِی/فِي/fi//الْقُرْاٰنِ ؕ/ٱلۡقُرۡءَانِۚ/al-qur'ani//وَ نُخَوِّفُهُمْ ۙ/وَنُخَوِّفُهُمۡ/wanukhawwifuhum//فَمَا/فَمَا/fama//یَزِیْدُهُمْ/يَزِيدُهُمۡ/yaziduhum//اِلَّا/إِلَّا/illa//طُغْیَانًا/طُغۡيَٰنٗا/tugh'yanan//كَبِیْرًا۠/كَبِيرٗا/kabiran",
              "words_bangla": "এবং যখন//আমরা বলেছিলাম//তোমাকে//\"নিশ্চয়ই//তোমার রব//ঘিরে রেখেছেন//নিয়ে মানুষকে\"//এবং না//আমরা করেছি//দৃশ্য//যা//তোমাকে আমরা দেখিয়েছি//এ ছাড়া যে//পরীক্ষা//মানুষের জন্যে//এবং গাছটিকেও//অভিশপ্ত//মধ্যে//কুরআনের//এবং ভয় দেখাই আমরা তাদের//কিন্তু না//তাদের বৃদ্ধি করে//এ ছাড়া//অবাধ্যতা//ঘোর"
            },
            {
              "number": 2090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2090.mp3"
              ],
              "text": "وَإِذْ قُلْنَا لِلْمَلَٰٓئِكَةِ ٱسْجُدُوا۟ لِءَادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ قَالَ ءَأَسْجُدُ لِمَنْ خَلَقْتَ طِينًۭا",
              "translate_bn": "স্মরণ কর, যখন আমি ফেরেশতাদেরকে বললামঃ আদমকে সেজদা কর, তখন ইবলীস ব্যতীত সবাই সেজদায় পড়ে গেল। কিন্তু সে বললঃ আমি কি এমন ব্যক্তিকে সেজদা করব, যাকে আপনি মাটির দ্বারা সৃষ্টি করেছেন?",
              "numberInSurah": 61,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলনা-লিলমালাইকাতিছ জু দূলিআ-দামা ফাছাজাদূ ইল্লাইবলীছা কালা আআছজু দুলিমান খালাকতা তীনা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اسْجُدُوْا/ٱسۡجُدُواْ/us'judu//لِاٰدَمَ/لِأٓدَمَ/liadama//فَسَجَدُوْۤا/فَسَجَدُوٓاْ/fasajadu//اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//قَالَ/قَالَ/qala//ءَاَسْجُدُ/ءَأَسۡجُدُ/a-asjudu//لِمَنْ/لِمَنۡ/liman//خَلَقْتَ/خَلَقۡتَ/khalaqta//طِیْنًاۚ/طِينٗا/tinan",
              "words_bangla": "এবং যখন//আমরা বলেছিলাম//ফেরেশতাদেরকে//\"তোমরা সিজদা করো//আদমকে\"//অতঃপর তারা সিজদা করলো//ছাড়া//ইবলীস//সে বললো//\"আমি কি সিজদা করবো//জন্যে তার (যাকে)//আপনি সৃষ্টি করেছেন//কাদা মাটি (হ'তে)\""
            },
            {
              "number": 2091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2091.mp3"
              ],
              "text": "قَالَ أَرَءَيْتَكَ هَٰذَا ٱلَّذِى كَرَّمْتَ عَلَىَّ لَئِنْ أَخَّرْتَنِ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ لَأَحْتَنِكَنَّ ذُرِّيَّتَهُۥٓ إِلَّا قَلِيلًۭا",
              "translate_bn": "সে বললঃ দেখুন তো, এনা সে ব্যক্তি, যাকে আপনি আমার চাইতেও উচ্চ মার্যাদা দিয়ে দিয়েছেন। যদি আপনি আমাকে কেয়ামত দিবস পর্যন্ত সময় দেন, তবে আমি সামান্য সংখ্যক ছাড়া তার বংশধরদেরকে সমূলে নষ্ট করে দেব।",
              "numberInSurah": 62,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "কা-লা আরাআইতাকা হা-যাল্লাযী কাররামতা ‘আলাইইয়া লাইন আখখারতানি ইলাইয়াওমিল কিয়া-মাতি লাআহতানিকান্না যুররিইইয়াতাহূইল্লা-কালীলা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَرَءَیْتَكَ/أَرَءَيۡتَكَ/ara-aytaka//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//كَرَّمْتَ/كَرَّمۡتَ/karramta//عَلَیَّ ؗ/عَلَيَّ/alayya//لَىِٕنْ/لَئِنۡ/la-in//اَخَّرْتَنِ/أَخَّرۡتَنِ/akhartani//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//لَاَحْتَنِكَنَّ/لَأَحۡتَنِكَنَّ/la-ahtanikanna//ذُرِّیَّتَهٗۤ/ذُرِّيَّتَهُۥٓ/dhurriyyatahu//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "সে বললো//\"কি আপনি মনে করেন//এই//যাকে//আপনি মর্যাদা দিয়েছেন//আমার উপর//অবশ্যই যদি//আমাকে আপনি অবকাশ দেন//পর্যন্ত//দিন//ক্বিয়ামাতের//আমি অবশ্যই সমূলে নষ্ট করবো//তার বংশধরদের//ছাড়া//স্বল্প সংখ্যক\""
            },
            {
              "number": 2092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2092.mp3"
              ],
              "text": "قَالَ ٱذْهَبْ فَمَن تَبِعَكَ مِنْهُمْ فَإِنَّ جَهَنَّمَ جَزَآؤُكُمْ جَزَآءًۭ مَّوْفُورًۭا",
              "translate_bn": "আল্লাহ বলেনঃ চলে যা, অতঃপর তাদের মধ্য থেকে যে তোর অনুগামী হবে, জাহান্নামই হবে তাদের সবার শাস্তি-ভরপুর শাস্তি।",
              "numberInSurah": 63,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "কা-লাযহাব ফামান তাবি‘আকা মিনহুম ফাইন্না জাহান্নামা জাঝাউকুমজাঝাআম মাওফূরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اذْهَبْ/ٱذۡهَبۡ/idh'hab//فَمَنْ/فَمَن/faman//تَبِعَكَ/تَبِعَكَ/tabi'aka//مِنْهُمْ/مِنۡهُمۡ/min'hum//فَاِنَّ/فَإِنَّ/fa-inna//جَهَنَّمَ/جَهَنَّمَ/jahannama//جَزَآؤُكُمْ/جَزَآؤُكُمۡ/jazaukum//جَزَآءً/جَزَآءٗ/jazaan//مَّوْفُوْرًا /مَّوۡفُورٗا/mawfuran",
              "words_bangla": "তিনি বললেন//\"তুমি যাও//অতঃপর যে//তোমার অনুসরণ করবে//তাদের মধ্যে থেকে//তাহ'লে  নিশ্চয়ই//জাহান্নাম হবে//তোমাদের প্রতিফল//প্রতিফল//পূর্ণ"
            },
            {
              "number": 2093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2093.mp3"
              ],
              "text": "وَٱسْتَفْزِزْ مَنِ ٱسْتَطَعْتَ مِنْهُم بِصَوْتِكَ وَأَجْلِبْ عَلَيْهِم بِخَيْلِكَ وَرَجِلِكَ وَشَارِكْهُمْ فِى ٱلْأَمْوَٰلِ وَٱلْأَوْلَٰدِ وَعِدْهُمْ ۚ وَمَا يَعِدُهُمُ ٱلشَّيْطَٰنُ إِلَّا غُرُورًا",
              "translate_bn": "তুই সত্যচ্যুত করে তাদের মধ্য থেকে যাকে পারিস স্বীয় আওয়ায দ্বারা, স্বীয় অশ্বারোহী ও পদাতিক বাহিনী নিয়ে তাদেরকে আক্রমণ কর, তাদের অর্থ-সম্পদ ও সন্তান-সন্ততিতে শরীক হয়ে যা এবং তাদেরকে প্রতিশ্রুতি দে। ছলনা ছাড়া শয়তান তাদেরকে কোন প্রতিশ্রুতি দেয় না।",
              "numberInSurah": 64,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতাফঝিঝ মানিছতাতা‘তা মিনহুম বিসাওতিকা ওয়া আজলিব ‘আলাইহিম বিখাইলিকা ওয়া রাজিলিকা ওয়া শা-রিকহুম ফিল আমওয়া-লি ওয়াল আওলা-দি ওয়া‘ইদহুম ওয়ামাইয়া‘ইদুহুমুশশাইতা-নুইল্লা-গুরূরা-।",
              "words_arabic": "وَ اسْتَفْزِزْ/وَٱسۡتَفۡزِزۡ/wa-is'tafziz//مَنِ/مَنِ/mani//اسْتَطَعْتَ/ٱسۡتَطَعۡتَ/is'tata'ta//مِنْهُمْ/مِنۡهُم/min'hum//بِصَوْتِكَ/بِصَوۡتِكَ/bisawtika//وَ اَجْلِبْ/وَأَجۡلِبۡ/wa-ajlib//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِخَیْلِكَ/بِخَيۡلِكَ/bikhaylika//وَ رَجِلِكَ/وَرَجِلِكَ/warajilika//وَ شَارِكْهُمْ/وَشَارِكۡهُمۡ/washarik'hum//فِی/فِي/fi//الْاَمْوَالِ/ٱلۡأَمۡوَٰلِ/al-amwali//وَ الْاَوْلَادِ/وَٱلۡأَوۡلَٰدِ/wal-awladi//وَعِدْهُمْ ؕ/وَعِدۡهُمۡۚ/wa'id'hum//وَ مَا/وَمَا/wama//یَعِدُهُمُ/يَعِدُهُمُ/ya'iduhumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اِلَّا/إِلَّا/illa//غُرُوْرًا /غُرُورًا/ghururan",
              "words_bangla": "এবং পদস্খলিত করো//যাকে//তুমি পারো//মধ্য হ'তে তাদের//দিয়ে তোমার কন্ঠস্বর//ও চড়াও হও//উপর তাদের//নিয়ে তোমার অশ্বারোহী বাহিনী//ও তোমার পদাতিক বাহিনী//এবং সহযোগী করো তাদের//মধ্যে//সম্পদসমূহের//ও সন্তানদের//এবং তাদের প্রতিশ্রুতি দাও\"//আর না//তাদেরকে প্রতিশ্রুতি দেয়//শয়তান//এ ছাড়া//প্রতারণা"
            },
            {
              "number": 2094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2094.mp3"
              ],
              "text": "إِنَّ عِبَادِى لَيْسَ لَكَ عَلَيْهِمْ سُلْطَٰنٌۭ ۚ وَكَفَىٰ بِرَبِّكَ وَكِيلًۭا",
              "translate_bn": "আমার বান্দাদের উপর তোর কোন ক্ষমতা নেই আপনার পালনকর্তা যথেষ্ট কার্যনির্বাহী।",
              "numberInSurah": 65,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘ইবা-দী লাইছা লাকা ‘আলাইহিম ছুলতা-নুওঁ ওয়া কাফা-বিরাব্বিকা ওয়াকীলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عِبَادِیْ/عِبَادِي/ibadi//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سُلْطٰنٌ ؕ/سُلۡطَٰنٞۚ/sul'tanun//وَ كَفٰی/وَكَفَىٰ/wakafa//بِرَبِّكَ/بِرَبِّكَ/birabbika//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "\"নিশ্চয়ই//আমার দাসদের//নেই//জন্যে তোমার//উপর তাদের//কোনো আধিপত্য//এবং যথেষ্ট//তোমার রব//কর্মবিধায়ক হিসেবে\""
            },
            {
              "number": 2095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2095.mp3"
              ],
              "text": "رَّبُّكُمُ ٱلَّذِى يُزْجِى لَكُمُ ٱلْفُلْكَ فِى ٱلْبَحْرِ لِتَبْتَغُوا۟ مِن فَضْلِهِۦٓ ۚ إِنَّهُۥ كَانَ بِكُمْ رَحِيمًۭا",
              "translate_bn": "তোমাদের পালনকর্তা তিনিই, যিনি তোমাদের জন্যে সমুদ্রে জলযান চালনা করেন, যাতে তোমরা তার অনুগ্রহ অন্বেষন করতে পারো। নিঃ সন্দেহে তিনি তোমাদের প্রতি পরম দয়ালূ।",
              "numberInSurah": 66,
              "juz": 15,
              "manzil": 4,
              "page": 288,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "রাব্বুকুমুল্লাযী ইউঝজী লাকুমুল ফুলকা ফিল বাহরি লিতাবতাগূমিন ফাদলিহী ইন্নাহূকানা বিকুম রাহীমা-।",
              "words_arabic": "رَبُّكُمُ/رَّبُّكُمُ/rabbukumu//الَّذِیْ/ٱلَّذِي/alladhi//یُزْجِیْ/يُزۡجِي/yuz'ji//لَكُمُ/لَكُمُ/lakumu//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//لِتَبْتَغُوْا/لِتَبۡتَغُواْ/litabtaghu//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦٓۚ/fadlihi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//بِكُمْ/بِكُمۡ/bikum//رَحِیْمًا /رَحِيمٗا/rahiman",
              "words_bangla": "তোমাদের রব//(তিনিই) যিনি//চালনা করেন//জন্যে তোমাদের//নৌযান//মধ্যে//সাগরের//যেন তোমরা সন্ধান করতে পারো//থেকে//তাঁর অনুগ্রহ//নিশ্চয়ই তিনি//হলেন//উপর তোমাদের//দয়াশীল"
            },
            {
              "number": 2096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2096.mp3"
              ],
              "text": "وَإِذَا مَسَّكُمُ ٱلضُّرُّ فِى ٱلْبَحْرِ ضَلَّ مَن تَدْعُونَ إِلَّآ إِيَّاهُ ۖ فَلَمَّا نَجَّىٰكُمْ إِلَى ٱلْبَرِّ أَعْرَضْتُمْ ۚ وَكَانَ ٱلْإِنسَٰنُ كَفُورًا",
              "translate_bn": "যখন সমুদ্রে তোমাদের উপর বিপদ আসে, তখন শুধু আল্লাহ ব্যতীত যাদেরকে তোমরা আহবান করে থাক তাদেরকে তোমরা বিস্মৃত হয়ে যাও। অতঃপর তিনি যখন তোমাদেরকে স্থলে ভিড়িয়ে উদ্ধার করে নেন, তখন তোমরা মুখ ফিরিয়ে নাও। মানুষ বড়ই অকৃতজ্ঞ।",
              "numberInSurah": 67,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাছছাকুমুদদুররু ফিল বাহরি দাল্লা মান তাদ‘ঊনা ইল্লাইয়্যা-হু ফালাম্মানাজ্জা-কুম ইলাল বাররি আ‘রাদতুম ওয়া কা-নাল ইনছা-নুকাফূরা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَسَّكُمُ/مَسَّكُمُ/massakumu//الضُّرُّ/ٱلضُّرُّ/al-duru//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//ضَلَّ/ضَلَّ/dalla//مَنْ/مَن/man//تَدْعُوْنَ/تَدۡعُونَ/tad'una//اِلَّاۤ/إِلَّآ/illa//اِیَّاهُ ۚ/إِيَّاهُۖ/iyyahu//فَلَمَّا/فَلَمَّا/falamma//نَجّٰىكُمْ/نَجَّىٰكُمۡ/najjakum//اِلَی/إِلَى/ila//الْبَرِّ/ٱلۡبَرِّ/al-bari//اَعْرَضْتُمْ ؕ/أَعۡرَضۡتُمۡۚ/a'radtum//وَ كَانَ/وَكَانَ/wakana//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//كَفُوْرًا /كَفُورًا/kafuran",
              "words_bangla": "এবং যখন//তোমাদের স্পর্শ করে//বিপদ//মধ্যে//সাগরের//হারিয়ে যায়//যাকে//তোমরা ডাকো//ছাড়া//শুধু তিনিই//অতএব যখন//আমরা উদ্ধার করি তোমাদের//দিকে//স্থলের//মুখ ফিরাও তোমরা//এবং হলো//মানুষ//বড়ই অকৃতজ্ঞ"
            },
            {
              "number": 2097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2097.mp3"
              ],
              "text": "أَفَأَمِنتُمْ أَن يَخْسِفَ بِكُمْ جَانِبَ ٱلْبَرِّ أَوْ يُرْسِلَ عَلَيْكُمْ حَاصِبًۭا ثُمَّ لَا تَجِدُوا۟ لَكُمْ وَكِيلًا",
              "translate_bn": "তোমরা কি এ বিষয়ে নিশ্চিন্ত রয়েছ যে, তিনি তোমাদেরকে স্থলভাগে কোথাও ভূগর্ভস্থ করবেন না। অথবা তোমাদের উপর প্রস্তর বর্ষণকারী ঘুর্ণিঝড় প্রেরণ করবেন না, তখন তোমরা নিজেদের জন্যে কোন কর্মবিধায়ক পাবে না।",
              "numberInSurah": 68,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "আফাআমিনতুম আইঁ ইয়াখছিফা বিকুমজা-নিবাল বাররি আও ইউরছিলা ‘আলাইকুমহা-সিবান ছু ম্মা লা-তাজিদূলাকুম ওয়াকীলা-।",
              "words_arabic": "اَفَاَمِنْتُمْ/أَفَأَمِنتُمۡ/afa-amintum//اَنْ/أَن/an//یَّخْسِفَ/يَخۡسِفَ/yakhsifa//بِكُمْ/بِكُمۡ/bikum//جَانِبَ/جَانِبَ/janiba//الْبَرِّ/ٱلۡبَرِّ/al-bari//اَوْ/أَوۡ/aw//یُرْسِلَ/يُرۡسِلَ/yur'sila//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//حَاصِبًا/حَاصِبٗا/hasiban//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تَجِدُوْا/تَجِدُواْ/tajidu//لَكُمْ/لَكُمۡ/lakum//وَكِیْلًاۙ/وَكِيلًا/wakilan",
              "words_bangla": "কি তবে নিশ্চিত আছো তোমরা//যে (না)//ধ্বসিয়ে দিবেন//সহ তোমাদেরকে//পাশে//স্থলভাগের//বা//পাঠাবেন (না)//বিরুদ্ধে তোমাদের//কংকর বর্ষণকারী ঝড়ো হাওয়া//এরপর//না//তোমরা পাবে//জন্যে তোমাদের//কোনো কর্মবিধায়ক"
            },
            {
              "number": 2098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2098.mp3"
              ],
              "text": "أَمْ أَمِنتُمْ أَن يُعِيدَكُمْ فِيهِ تَارَةً أُخْرَىٰ فَيُرْسِلَ عَلَيْكُمْ قَاصِفًۭا مِّنَ ٱلرِّيحِ فَيُغْرِقَكُم بِمَا كَفَرْتُمْ ۙ ثُمَّ لَا تَجِدُوا۟ لَكُمْ عَلَيْنَا بِهِۦ تَبِيعًۭا",
              "translate_bn": "অথবা তোমরা কি এ বিষয়ে নিশ্চিন্ত যে, তিনি তোমাদেরকে আরেকবার সমুদ্রে নিয়ে যাবেন না, অতঃপর তোমাদের জন্যে মহা ঝটিকা প্রেরণ করবেন না, অতঃপর অকৃতজ্ঞতার শাস্তিস্বরূপ তোমাদেরকে নিমজ্জত করবেন না, তখন তোমরা আমার বিরুদ্ধে এ বিষয়ে সাহায্যকারী কাউকে পাবে না।",
              "numberInSurah": 69,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 246,
              "hizbQuarter": 115,
              "sajda": false,
              "pronunciation_bn": "আম আমিনতুম আইঁ ইউ‘ঈদাকুম ফীহি তা-রাতান উখরা-ফাইউরছিলা ‘আলাইকুমকাসিফাম মিনার রীহি ফাইউগরিকাকুম বিমা-কাফারতুম ছু ম্মা লা-তাজিদূলাকুম ‘আলাইনা বিহী তাবী‘আ-।",
              "words_arabic": "اَمْ/أَمۡ/am//اَمِنْتُمْ/أَمِنتُمۡ/amintum//اَنْ/أَن/an//یُّعِیْدَكُمْ/يُعِيدَكُمۡ/yu'idakum//فِیْهِ/فِيهِ/fihi//تَارَةً/تَارَةً/taratan//اُخْرٰی/أُخۡرَىٰ/ukh'ra//فَیُرْسِلَ/فَيُرۡسِلَ/fayur'sila//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//قَاصِفًا/قَاصِفٗا/qasifan//مِّنَ/مِّنَ/mina//الرِّیْحِ/ٱلرِّيحِ/al-rihi//فَیُغْرِقَكُمْ/فَيُغۡرِقَكُم/fayugh'riqakum//بِمَا/بِمَا/bima//كَفَرْتُمْ ۙ/كَفَرۡتُمۡ/kafartum//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تَجِدُوْا/تَجِدُواْ/tajidu//لَكُمْ/لَكُمۡ/lakum//عَلَیْنَا/عَلَيۡنَا/alayna//بِهٖ/بِهِۦ/bihi//تَبِیْعًا /تَبِيعٗا/tabi'an",
              "words_bangla": "অথবা (কি)//নিশ্চিত হয়েছো তোমরা//যে (না)//ফিরিয়ে নিবেন তোমাদেরকে//মধ্যে তার//একবার//অন্য//অতঃপর পাঠাবেন//বিরুদ্ধে তোমাদের//প্রচন্ড ঝড়//থেকে//বাতাস//অতঃপর ডুবাবেন তোমাদের//এ কারণে যা//অকৃতজ্ঞতা করেছো তোমরা//এরপর//না//তোমরা পাবে//জন্যে তোমাদের//বিরুদ্ধে আমাদের//উপর এর//কোনো সাহায্যকারী"
            },
            {
              "number": 2099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2099.mp3"
              ],
              "text": "۞ وَلَقَدْ كَرَّمْنَا بَنِىٓ ءَادَمَ وَحَمَلْنَٰهُمْ فِى ٱلْبَرِّ وَٱلْبَحْرِ وَرَزَقْنَٰهُم مِّنَ ٱلطَّيِّبَٰتِ وَفَضَّلْنَٰهُمْ عَلَىٰ كَثِيرٍۢ مِّمَّنْ خَلَقْنَا تَفْضِيلًۭا",
              "translate_bn": "নিশ্চয় আমি আদম সন্তানকে মর্যাদা দান করেছি, আমি তাদেরকে স্থলে ও জলে চলাচলের বাহন দান করেছি; তাদেরকে উত্তম জীবনোপকরণ প্রদান করেছি এবং তাদেরকে অনেক সৃষ্ট বস্তুর উপর শ্রেষ্ঠত্ব দান করেছি।",
              "numberInSurah": 70,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 246,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ কাররামনা-বানীআ-দামা ওয়া হামালনা-হুম ফিল বাররি ওয়াল বাহরি ওয়া রাঝাকনা হুম মিনাততাইয়িবা-তি ওয়া ফাদ্দালনা-হুম ‘আলা কাছীরিম মিম্মান খালাকনাতাফদীলা-।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//كَرَّمْنَا/كَرَّمۡنَا/karramna//بَنِیْۤ/بَنِيٓ/bani//اٰدَمَ/ءَادَمَ/adama//وَ حَمَلْنٰهُمْ/وَحَمَلۡنَٰهُمۡ/wahamalnahum//فِی/فِي/fi//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ/وَٱلۡبَحۡرِ/wal-bahri//وَ رَزَقْنٰهُمْ/وَرَزَقۡنَٰهُم/warazaqnahum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ/ٱلطَّيِّبَٰتِ/al-tayibati//وَ فَضَّلْنٰهُمْ/وَفَضَّلۡنَٰهُمۡ/wafaddalnahum//عَلٰی/عَلَىٰ/ala//كَثِیْرٍ/كَثِيرٖ/kathirin//مِّمَّنْ/مِّمَّنۡ/mimman//خَلَقْنَا/خَلَقۡنَا/khalaqna//تَفْضِیْلًا۠/تَفۡضِيلٗا/tafdilan",
              "words_bangla": "এবং নিশ্চয়ই//আমরা মর্যাদা দিয়েছি//সন্তানকে//আদমের//ও আমরা বাহন দিয়েছি তাদেরকে//মধ্যে//স্থলের//ও সমুদ্রের//এবং আমরা জীবিকা‌ দিয়েছি তাদেরকে//থেকে//পাক জিনিসসমূহ//ও আমরা শ্রেষ্ঠত্ব দিয়েছি তাদেরকে//উপর//অনেকের//তা হ'তে যা//সৃষ্টি করেছি আমরা//যথার্থ মর্যাদা"
            },
            {
              "number": 2100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2100.mp3"
              ],
              "text": "يَوْمَ نَدْعُوا۟ كُلَّ أُنَاسٍۭ بِإِمَٰمِهِمْ ۖ فَمَنْ أُوتِىَ كِتَٰبَهُۥ بِيَمِينِهِۦ فَأُو۟لَٰٓئِكَ يَقْرَءُونَ كِتَٰبَهُمْ وَلَا يُظْلَمُونَ فَتِيلًۭا",
              "translate_bn": "স্মরণ কর, যেদিন আমি প্রত্যেক দলকে তাদের নেতাসহ আহবান করব, অতঃপর যাদেরকে তাদের ডান হাতে আমলনামা দেয়া হবে, তারা নিজেদের আমলনামা পাঠ করবে এবং তাদের প্রতি সামান্য পরিমাণও জুলুম হবে না।",
              "numberInSurah": 71,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা নাদ‘ঊ কুল্লা উনা-ছিম বিইমা-মিহিম ফামান উতিয়া কিতা-বাহূবিইয়ামীনিহী ফাউলাইকা ইয়াকরাঊনা কিতা-বাহুম ওয়ালা-ইউজলামূনা ফাতীলা-।\r\n",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//نَدْعُوْا/نَدۡعُواْ/nad'u//كُلَّ/كُلَّ/kulla//اُنَاسٍۭ/أُنَاسِۭ/unasin//بِاِمَامِهِمْ ۚ/بِإِمَٰمِهِمۡۖ/bi-imamihim//فَمَنْ/فَمَنۡ/faman//اُوْتِیَ/أُوتِيَ/utiya//كِتٰبَهٗ/كِتَٰبَهُۥ/kitabahu//بِیَمِیْنِهٖ/بِيَمِينِهِۦ/biyaminihi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یَقْرَءُوْنَ/يَقۡرَءُونَ/yaqrauna//كِتٰبَهُمْ/كِتَٰبَهُمۡ/kitabahum//وَ لَا/وَلَا/wala//یُظْلَمُوْنَ/يُظۡلَمُونَ/yuz'lamuna//فَتِیْلًا /فَتِيلٗا/fatilan",
              "words_bangla": "যেদিন//আমরা ডাকবো//প্রত্যেক//মানবদলকে//সহ তাদের নেতা//অতঃপর যাকে//দেয়া হবে//কর্মফল তার//মধ্যে তার ডানহাতের//ঐসব লোক//তারা পড়বে//কর্মফল তাদের//এবং না//তাদের অন্যায় করা হবে//সামান্যতমও"
            },
            {
              "number": 2101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2101.mp3"
              ],
              "text": "وَمَن كَانَ فِى هَٰذِهِۦٓ أَعْمَىٰ فَهُوَ فِى ٱلْءَاخِرَةِ أَعْمَىٰ وَأَضَلُّ سَبِيلًۭا",
              "translate_bn": "যে ব্যক্তি ইহকালে অন্ধ ছিল সে পরকালেও অন্ধ এবং অধিকতর পথভ্রান্ত।",
              "numberInSurah": 72,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান কা-না ফী হা-যিহীআ‘মা-ফাহুওয়া ফিল আ-খিরাতি আ‘মা- ওয়া আদাল্লু ছাবীলা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//فِیْ/فِي/fi//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اَعْمٰی/أَعۡمَىٰ/a'ma//فَهُوَ/فَهُوَ/fahuwa//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَعْمٰی/أَعۡمَىٰ/a'ma//وَ اَضَلُّ/وَأَضَلُّ/wa-adallu//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "এবং যে//হলো//মধ্যে//(এই) দুনিয়ার//অন্ধ//তখন সে (হবে)//মধ্যে//আখিরাতের//অন্ধ//বরং অধিকতর ভ্রষ্ট//পথ হ'তে"
            },
            {
              "number": 2102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2102.mp3"
              ],
              "text": "وَإِن كَادُوا۟ لَيَفْتِنُونَكَ عَنِ ٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ لِتَفْتَرِىَ عَلَيْنَا غَيْرَهُۥ ۖ وَإِذًۭا لَّٱتَّخَذُوكَ خَلِيلًۭا",
              "translate_bn": "তারা তো আপনাকে হটিয়ে দিতে চাচ্ছিল যে বিষয় আমি আপনার প্রতি ওহীর মাধ্যমে যা প্রেরণ করেছি তা থেকে আপনার পদঙ্খলন ঘটানোর জন্যে তারা চুড়ান্ত চেষ্টা করেছে, যাতে আপনি আমার প্রতি কিছু মিথ্যা সম্বন্ধযুক্ত করেন। এতে সফল হলে তারা আপনাকে বন্ধুরূপে গ্রহণ করে নিত।",
              "numberInSurah": 73,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-দূলাইয়াফতিনূনাকা ‘আনিল্লাযীআওহাইনাইলাইকা লিতাফতারিয়া ‘আলাইনা-গাইরাহূ ওয়া ইযাল্লাত্তাখযূকা খালীলা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَادُوْا/كَادُواْ/kadu//لَیَفْتِنُوْنَكَ/لَيَفۡتِنُونَكَ/layaftinunaka//عَنِ/عَنِ/ani//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//لِتَفْتَرِیَ/لِتَفۡتَرِيَ/litaftariya//عَلَیْنَا/عَلَيۡنَا/alayna//غَیْرَهٗ ۖۗ/غَيۡرَهُۥۖ/ghayrahu//وَ اِذًا/وَإِذٗا/wa-idhan//لَّاتَّخَذُوْكَ/لَّٱتَّخَذُوكَ/la-ittakhadhuka//خَلِیْلًا /خَلِيلٗا/khalilan",
              "words_bangla": "এবং যদিও//তারা প্রচেষ্টায় ক্রুটি রাখেনি//অবশ্যই তোমার বিচ্যুতি ঘটাতে//থেকে//যা//ওহী করেছি আমরা//প্রতি তোমার//যেন তুমি রচনা করো//উপর আমাদের//তাছাড়া (অন্য কিছু)//এবং তাহ'লে//তোমাকে অবশ্যই তারা গ্রহন করতো//বন্ধুরূপে"
            },
            {
              "number": 2103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2103.mp3"
              ],
              "text": "وَلَوْلَآ أَن ثَبَّتْنَٰكَ لَقَدْ كِدتَّ تَرْكَنُ إِلَيْهِمْ شَيْـًۭٔا قَلِيلًا",
              "translate_bn": "আমি আপনাকে দৃঢ়পদ না রাখলে আপনি তাদের প্রতি কিছুটা ঝুঁকেই পড়তেন।",
              "numberInSurah": 74,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলাআন ছাব্বাতনা-কা লাকাদ কিততা তারকানুইলাইহিম শাইআন কালীলা-।",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اَنْ/أَن/an//ثَبَّتْنٰكَ/ثَبَّتۡنَٰكَ/thabbatnaka//لَقَدْ/لَقَدۡ/laqad//كِدْتَّ/كِدتَّ/kidtta//تَرْكَنُ/تَرۡكَنُ/tarkanu//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//شَیْـًٔا/شَيۡـٔٗا/shayan//قَلِیْلًاۗۙ/قَلِيلًا/qalilan",
              "words_bangla": "এবং যদি না (হতো এমন)//যে//তোমাকে আমরা অবিচল রাখতাম//নিশ্চিতই//তুমি প্রায়//তুমি ঝুঁকে পড়তে//দিকে তাদের//কিছুটা//সামান্য (হলেও)"
            },
            {
              "number": 2104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2104.mp3"
              ],
              "text": "إِذًۭا لَّأَذَقْنَٰكَ ضِعْفَ ٱلْحَيَوٰةِ وَضِعْفَ ٱلْمَمَاتِ ثُمَّ لَا تَجِدُ لَكَ عَلَيْنَا نَصِيرًۭا",
              "translate_bn": "তখন আমি অবশ্যই আপনাকে ইহজীবনে ও পরজীবনে দ্বিগুণ শাস্তির আস্বাদন করাতাম। এ সময় আপনি আমার মোকাবিলায় কোন সাহায্যকারী পেতেন না।",
              "numberInSurah": 75,
              "juz": 15,
              "manzil": 4,
              "page": 289,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ইযাল্লাআযাকনা-কা দি‘ফাল হায়া-তি ওয়া দি‘ফাল মামা-তি ছু ম্মা লা-তাজিদুলাকা ‘আলাইনা-নাসীরা-।",
              "words_arabic": "اِذًا/إِذٗا/idhan//لَّاَذَقْنٰكَ/لَّأَذَقۡنَٰكَ/la-adhaqnaka//ضِعْفَ/ضِعۡفَ/di'fa//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//وَ ضِعْفَ/وَضِعۡفَ/wadi'fa//الْمَمَاتِ/ٱلۡمَمَاتِ/al-mamati//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تَجِدُ/تَجِدُ/tajidu//لَكَ/لَكَ/laka//عَلَیْنَا/عَلَيۡنَا/alayna//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "তাহ'লে//তোমাকে আমরা অবশ্যই স্বাদ গ্রহণ করাতাম//দ্বিগুণ//(এই) জীবনে//ও দ্বিগুণ//মৃত্যুতে (পরকালে)//এরপর//না//তুমি পেতে//জন্যে তোমার//বিরুদ্ধে আমাদের//কোনো সাহায্যকারী"
            },
            {
              "number": 2105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2105.mp3"
              ],
              "text": "وَإِن كَادُوا۟ لَيَسْتَفِزُّونَكَ مِنَ ٱلْأَرْضِ لِيُخْرِجُوكَ مِنْهَا ۖ وَإِذًۭا لَّا يَلْبَثُونَ خِلَٰفَكَ إِلَّا قَلِيلًۭا",
              "translate_bn": "তারা তো আপনাকে এ ভুখন্ড থেকে উৎখাত করে দিতে চুড়ান্ত চেষ্টা করেছিল যাতে আপনাকে এখান থেকে বহিস্কার করে দেয়া যায়। তখন তারাও আপনার পর সেখানে অল্প কালই মাত্র টিকে থাকত।",
              "numberInSurah": 76,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-দূলাইয়াছতাফিঝঝূনাকা মিনাল আরদি লিইউখরিজূকা মিনহা- ওয়া ইযাল্লা ইয়ালবাছূনা খিলা-ফাকা ইল্লা-কালীলা-।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَادُوْا/كَادُواْ/kadu//لَیَسْتَفِزُّوْنَكَ/لَيَسۡتَفِزُّونَكَ/layastafizzunaka//مِنَ/مِنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//لِیُخْرِجُوْكَ/لِيُخۡرِجُوكَ/liyukh'rijuka//مِنْهَا/مِنۡهَاۖ/min'ha//وَ اِذًا/وَإِذٗا/wa-idhan//لَّا/لَّا/la//یَلْبَثُوْنَ/يَلۡبَثُونَ/yalbathuna//خِلٰفَكَ/خِلَٰفَكَ/khilafaka//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "এবং যদিও//তারা প্রচেষ্টায় ক্রুটি রাখেনি//অবশ্যই তোমাকে উচ্ছেদ করবে//হ'তে//এ দেশ//জন্যে তোমাকে বের করার//থেকে তা//কিন্তু তাহ'লে//না//তারা টিকতো//তোমার পরে//এ ছাড়া//স্বল্পকাল"
            },
            {
              "number": 2106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2106.mp3"
              ],
              "text": "سُنَّةَ مَن قَدْ أَرْسَلْنَا قَبْلَكَ مِن رُّسُلِنَا ۖ وَلَا تَجِدُ لِسُنَّتِنَا تَحْوِيلًا",
              "translate_bn": "আপনার পূর্বে আমি যত রসূল প্রেরণ করেছি, তাদের ক্ষেত্রেও এরূপ নিয়ম ছিল। আপনি আমার নিয়মের কোন ব্যতিক্রম পাবেন না।",
              "numberInSurah": 77,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 247,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ছুন্নাতা মান কাদ আরছালনা-কাবলাকা মিররুছুলিনা-ওয়ালা-তাজিদুলিছুন্নাতিনা-তাহবীলা।",
              "words_arabic": "سُنَّةَ/سُنَّةَ/sunnata//مَنْ/مَن/man//قَدْ/قَدۡ/qad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//قَبْلَكَ/قَبۡلَكَ/qablaka//مِنْ/مِن/min//رُّسُلِنَا/رُّسُلِنَاۖ/rusulina//وَ لَا/وَلَا/wala//تَجِدُ/تَجِدُ/tajidu//لِسُنَّتِنَا/لِسُنَّتِنَا/lisunnatina//تَحْوِیْلًا۠/تَحۡوِيلًا/tahwilan",
              "words_bangla": "স্হায়ী নীতি//(তাদের ক্ষেত্রে) যাদের//নিশ্চয়ই//আমরা পাঠিয়েছি//তোমার পূর্বে//মধ্য থেকে//আমাদের রাসূলদের//এবং না//তুমি পাবে//আমাদের বেলায় নীতির//কোনো পরিবর্তন"
            },
            {
              "number": 2107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2107.mp3"
              ],
              "text": "أَقِمِ ٱلصَّلَوٰةَ لِدُلُوكِ ٱلشَّمْسِ إِلَىٰ غَسَقِ ٱلَّيْلِ وَقُرْءَانَ ٱلْفَجْرِ ۖ إِنَّ قُرْءَانَ ٱلْفَجْرِ كَانَ مَشْهُودًۭا",
              "translate_bn": "সূর্য ঢলে পড়ার সময় থেকে রাত্রির অন্ধকার পর্যন্ত নামায কায়েম করুন এবং ফজরের কোরআন পাঠও। নিশ্চয় ফজরের কোরআন পাঠ মুখোমুখি হয়।",
              "numberInSurah": 78,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "আকিমিসসালা-তা লিদুলূকিশশামছি ইলা-গাছাকিল্লাইলি ওয়া কুরআ-নাল ফাজরি ইন্না কুরআ-নাল ফাজরি কা-না মাশহূদা-।",
              "words_arabic": "اَقِمِ/أَقِمِ/aqimi//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//لِدُلُوْكِ/لِدُلُوكِ/liduluki//الشَّمْسِ/ٱلشَّمۡسِ/al-shamsi//اِلٰی/إِلَىٰ/ila//غَسَقِ/غَسَقِ/ghasaqi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ قُرْاٰنَ/وَقُرۡءَانَ/waqur'ana//الْفَجْرِ ؕ/ٱلۡفَجۡرِۖ/al-fajri//اِنَّ/إِنَّ/inna//قُرْاٰنَ/قُرۡءَانَ/qur'ana//الْفَجْرِ/ٱلۡفَجۡرِ/al-fajri//كَانَ/كَانَ/kana//مَشْهُوْدًا /مَشۡهُودٗا/mashhudan",
              "words_bangla": "প্রতিষ্ঠা করো//সালাত//থেকে ঢলে পড়ার সময়//সূর্য//পর্যন্ত//ঘন অন্ধকার//রাতের//এবং (সালাত) কুরআন পাঠ//ফজরের//নিশ্চয়ই//(সালাত) কুরআন পাঠ//ফজরের//হলো//(এমন যাতে) উপস্হিতির সময়"
            },
            {
              "number": 2108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2108.mp3"
              ],
              "text": "وَمِنَ ٱلَّيْلِ فَتَهَجَّدْ بِهِۦ نَافِلَةًۭ لَّكَ عَسَىٰٓ أَن يَبْعَثَكَ رَبُّكَ مَقَامًۭا مَّحْمُودًۭا",
              "translate_bn": "রাত্রির কিছু অংশ কোরআন পাঠ সহ জাগ্রত থাকুন। এটা আপনার জন্যে অতিরিক্ত। হয়ত বা আপনার পালনকর্তা আপনাকে মোকামে মাহমুদে পৌঁছাবেন।",
              "numberInSurah": 79,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল্লাইলি ফাতাহাজ্জাদ বিহী নাফিলাতাল্লাকা ‘আছাআইঁ ইয়াব‘আছাকা রাব্বুকা মাকা-মাম মাহমূদা-।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الَّیْلِ/ٱلَّيۡلِ/al-layli//فَتَهَجَّدْ/فَتَهَجَّدۡ/fatahajjad//بِهٖ/بِهِۦ/bihi//نَافِلَةً/نَافِلَةٗ/nafilatan//لَّكَ ۖۗ/لَّكَ/laka//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّبْعَثَكَ/يَبۡعَثَكَ/yab'athaka//رَبُّكَ/رَبُّكَ/rabbuka//مَقَامًا/مَقَامٗا/maqaman//مَّحْمُوْدًا /مَّحۡمُودٗا/mahmudan",
              "words_bangla": "এবং কিছু অংশে//রাতের//অতঃপর তাহাজ্জুদ পড়//সহ তা//(নফল) অতিরিক্ত//তোমার জন্যে//আশা করা যায়//যে//তোমাকে পৌঁছাবেন//রব তোমার//স্থানে//প্রশংসিত"
            },
            {
              "number": 2109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2109.mp3"
              ],
              "text": "وَقُل رَّبِّ أَدْخِلْنِى مُدْخَلَ صِدْقٍۢ وَأَخْرِجْنِى مُخْرَجَ صِدْقٍۢ وَٱجْعَل لِّى مِن لَّدُنكَ سُلْطَٰنًۭا نَّصِيرًۭا",
              "translate_bn": "বলুনঃ হে পালনকর্তা! আমাকে দাখিল করুন সত্যরূপে এবং আমাকে বের করুন সত্যরূপে এবং দান করুন আমাকে নিজের কাছ থেকে রাষ্ট্রীয় সাহায্য।",
              "numberInSurah": 80,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুররাব্বি আদখিলনী মুদ খালা সিদকিওঁ ওয়া আখরিজনী মুখরাজা সিদকিওঁ ওয়াজ‘আলনী মিল্লাদুনকা ছুলতা-নান নাসীরা-।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//اَدْخِلْنِیْ/أَدۡخِلۡنِي/adkhil'ni//مُدْخَلَ/مُدۡخَلَ/mud'khala//صِدْقٍ/صِدۡقٖ/sid'qin//وَّ اَخْرِجْنِیْ/وَأَخۡرِجۡنِي/wa-akhrij'ni//مُخْرَجَ/مُخۡرَجَ/mukh'raja//صِدْقٍ/صِدۡقٖ/sid'qin//وَّ اجْعَلْ/وَٱجۡعَل/wa-ij'al//لِّیْ/لِّي/li//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//نَّصِیْرًا /نَّصِيرٗا/nasiran",
              "words_bangla": "এবং বলো//\"হে আমার রব//আমাকে প্রবেশ করাও//প্রবেশ করা//সত্যের//এবং আমাকে বের করো//বের করা//সত্যের//এবং বানাও//আমার জন্যে//থেকে//তোমার নিকট//কোনো শক্তিকে//বড় সাহায্যকারী\""
            },
            {
              "number": 2110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2110.mp3"
              ],
              "text": "وَقُلْ جَآءَ ٱلْحَقُّ وَزَهَقَ ٱلْبَٰطِلُ ۚ إِنَّ ٱلْبَٰطِلَ كَانَ زَهُوقًۭا",
              "translate_bn": "বলুনঃ সত্য এসেছে এবং মিথ্যা বিলুপ্ত হয়েছে। নিশ্চয় মিথ্যা বিলুপ্ত হওয়ারই ছিল।",
              "numberInSurah": 81,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল জাআল হাক্কুওয়া ঝাহাকাল বা-তিলু ইন্নাল বা-তিলা কা-না ঝাহূকা-।",
              "words_arabic": "وَ قُلْ/وَقُلۡ/waqul//جَآءَ/جَآءَ/jaa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ زَهَقَ/وَزَهَقَ/wazahaqa//الْبَاطِلُ ؕ/ٱلۡبَٰطِلُۚ/al-batilu//اِنَّ/إِنَّ/inna//الْبَاطِلَ/ٱلۡبَٰطِلَ/al-batila//كَانَ/كَانَ/kana//زَهُوْقًا /زَهُوقٗا/zahuqan",
              "words_bangla": "এবং বলো//\"এসেছে//সত্য//এবং বিলুপ্ত হয়েছে//মিথ্যা//নিশ্চয়ই//মিথ্যা//হলো//বিলুপ্ত হওয়ার\""
            },
            {
              "number": 2111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2111.mp3"
              ],
              "text": "وَنُنَزِّلُ مِنَ ٱلْقُرْءَانِ مَا هُوَ شِفَآءٌۭ وَرَحْمَةٌۭ لِّلْمُؤْمِنِينَ ۙ وَلَا يَزِيدُ ٱلظَّٰلِمِينَ إِلَّا خَسَارًۭا",
              "translate_bn": "আমি কোরআনে এমন বিষয় নাযিল করি যা রোগের সুচিকিৎসা এবং মুমিনের জন্য রহমত। গোনাহগারদের তো এতে শুধু ক্ষতিই বৃদ্ধি পায়।",
              "numberInSurah": 82,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুনাঝঝিলুমিনাল কুরআ-নি মা হুওয়া শিফাউওঁ ওয়া রাহমাতুল লিলমু’মিনীনা ওয়ালা- ইয়াঝীদুজ্জা-লিমীনা ইল্লা-খাছা-রা-।",
              "words_arabic": "وَ نُنَزِّلُ/وَنُنَزِّلُ/wanunazzilu//مِنَ/مِنَ/mina//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//مَا/مَا/ma//هُوَ/هُوَ/huwa//شِفَآءٌ/شِفَآءٞ/shifaon//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّلْمُؤْمِنِیْنَ ۙ/لِّلۡمُؤۡمِنِينَ/lil'mu'minina//وَ لَا/وَلَا/wala//یَزِیْدُ/يَزِيدُ/yazidu//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//اِلَّا/إِلَّا/illa//خَسَارًا /خَسَارٗا/khasaran",
              "words_bangla": "এবং আমরা অবতীর্ণ করেছি//মধ্যে//কুরআনের//যা (এমন যে)//তা//আরোগ্য//ও অনুগ্রহ//জন্যে মু'মিনদের//কিন্তু না//বৃদ্ধি করে//সীমালঙ্ঘনকারীদের//এ ছাড়া//ক্ষতি"
            },
            {
              "number": 2112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2112.mp3"
              ],
              "text": "وَإِذَآ أَنْعَمْنَا عَلَى ٱلْإِنسَٰنِ أَعْرَضَ وَنَـَٔا بِجَانِبِهِۦ ۖ وَإِذَا مَسَّهُ ٱلشَّرُّ كَانَ يَـُٔوسًۭا",
              "translate_bn": "আমি মানুষকে নেয়ামত দান করলে সে মুখ ফিরিয়ে নেয় এবং অহংকারে দুরে সরে যায়; যখন তাকে কোন অনিষ্ট স্পর্শ করে, তখন সে একেবারে হতাশ হয়ে পড়ে।",
              "numberInSurah": 83,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাআন‘আমনা-‘আলাল ইনছা-নি আ‘রাদা-ওয়া নাআ-বিজা-নিবিহী ওয়া ইযা-মাছছাহুশ শাররু কা-না ইয়াঊছা-।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اَنْعَمْنَا/أَنۡعَمۡنَا/an'amna//عَلَی/عَلَى/ala//الْاِنْسَانِ/ٱلۡإِنسَٰنِ/al-insani//اَعْرَضَ/أَعۡرَضَ/a'rada//وَ نَاٰ/وَنَـَٔا/wanaa//بِجَانِبِهٖ ۚ/بِجَانِبِهِۦ/bijanibihi//وَ اِذَا/وَإِذَا/wa-idha//مَسَّهُ/مَسَّهُ/massahu//الشَّرُّ/ٱلشَّرُّ/al-sharu//كَانَ/كَانَ/kana//یَـُٔوْسًا /يَـُٔوسٗا/yausan",
              "words_bangla": "এবং যখন//আমরা অনুগ্রহ করি//উপর//মানুষের//সে মুখ ফিরায়//এবং দূরে সরে//(অহংকার করে) সহ তার পার্শ্ব//আর যখন//তাকে স্পর্শ করে//অনিষ্ট//সে হয়//হতাশ"
            },
            {
              "number": 2113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2113.mp3"
              ],
              "text": "قُلْ كُلٌّۭ يَعْمَلُ عَلَىٰ شَاكِلَتِهِۦ فَرَبُّكُمْ أَعْلَمُ بِمَنْ هُوَ أَهْدَىٰ سَبِيلًۭا",
              "translate_bn": "বলুনঃ প্রত্যেকেই নিজ রীতি অনুযায়ী কাজ করে। অতঃপর আপনার পালনকর্তা বিশেষ রূপে জানেন, কে সর্বাপেক্ষা নির্ভূল পথে আছে।",
              "numberInSurah": 84,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 248,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "কুল কুল্লুইঁ ইয়া‘মালু‘আলা-শা-কিলাতিহী ফারাব্বুকুম আ‘লামুবিমান হুওয়া আহদাছাবীলা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//كُلٌّ/كُلّٞ/kullun//یَّعْمَلُ/يَعۡمَلُ/ya'malu//عَلٰی/عَلَىٰ/ala//شَاكِلَتِهٖ ؕ/شَاكِلَتِهِۦ/shakilatihi//فَرَبُّكُمْ/فَرَبُّكُمۡ/farabbukum//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَنۡ/biman//هُوَ/هُوَ/huwa//اَهْدٰی/أَهۡدَىٰ/ahda//سَبِیْلًا۠/سَبِيلٗا/sabilan",
              "words_bangla": "বলো//\"প্রত্যেকে//কাজ করে//উপর//তার স্বভাব অনুযায়ী//অতঃপর তোমাদের রবই//খুব জানেন//সম্পর্কে তার (যে)//সে//অধিক পরিচালিত//(সঠিক) পথে\""
            },
            {
              "number": 2114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2114.mp3"
              ],
              "text": "وَيَسْـَٔلُونَكَ عَنِ ٱلرُّوحِ ۖ قُلِ ٱلرُّوحُ مِنْ أَمْرِ رَبِّى وَمَآ أُوتِيتُم مِّنَ ٱلْعِلْمِ إِلَّا قَلِيلًۭا",
              "translate_bn": "তারা আপনাকে রূহ সম্পর্কে জিজ্ঞেস করে। বলে দিনঃ রূহ আমার পালনকর্তার আদেশ ঘটিত। এ বিষয়ে তোমাদেরকে সামান্য জ্ঞানই দান করা হয়েছে।",
              "numberInSurah": 85,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছআলূনাকা ‘আনির রূহি কুলির রূহুমিন আমরি রাববী ওয়ামাঊতীতুম মিনাল ‘ইল মি ইল্লা-কালীলা-।",
              "words_arabic": "وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//عَنِ/عَنِ/ani//الرُّوْحِ ؕ/ٱلرُّوحِۖ/al-ruhi//قُلِ/قُلِ/quli//الرُّوْحُ/ٱلرُّوحُ/al-ruhu//مِنْ/مِنۡ/min//اَمْرِ/أَمۡرِ/amri//رَبِّیْ/رَبِّي/rabbi//وَ مَاۤ/وَمَآ/wama//اُوْتِیْتُمْ/أُوتِيتُم/utitum//مِّنَ/مِّنَ/mina//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "এবং তোমাকে তারা প্রশ্ন করে//সম্পর্কে//রুহ//বলো//\"রুহ (আসে)//থেকে//নির্দেশ//আমার রবের//এবং না//তোমাদের দেয়া হয়েছে//থেকে//জ্ঞান//ছাড়া//সামান্য\""
            },
            {
              "number": 2115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2115.mp3"
              ],
              "text": "وَلَئِن شِئْنَا لَنَذْهَبَنَّ بِٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ ثُمَّ لَا تَجِدُ لَكَ بِهِۦ عَلَيْنَا وَكِيلًا",
              "translate_bn": "আমি ইচ্ছা করলে আপনার কাছে ওহীর মাধমে যা প্রেরণ করেছি তা অবশ্যই প্রত্যাহার করতে পারতাম। অতঃপর আপনি নিজের জন্যে তা আনয়নের ব্যাপারে আমার মোকাবিলায় কোন দায়িত্ব বহনকারী পাবেন না।",
              "numberInSurah": 86,
              "juz": 15,
              "manzil": 4,
              "page": 290,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন শি’না-লানাযহাবান্না বিল্লায ীআওহাইনাইলাইকা ছু ম্মা লা-তাজিদুলাকা বিহী ‘আলাইনা-ওয়াকীলা-।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//شِئْنَا/شِئۡنَا/shi'na//لَنَذْهَبَنَّ/لَنَذۡهَبَنَّ/lanadhhabanna//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تَجِدُ/تَجِدُ/tajidu//لَكَ/لَكَ/laka//بِهٖ/بِهِۦ/bihi//عَلَیْنَا/عَلَيۡنَا/alayna//وَكِیْلًاۙ/وَكِيلًا/wakilan",
              "words_bangla": "এবং অবশ্যই যদি//আমরা চাইতাম//অবশ্যই আমরা যেতাম//নিয়ে ঐ জিনিস যা//আমরা ওহী করেছি//তোমার প্রতি//এরপর//না//পেতে//তোমার জন্যে//তা সম্পর্কে//বিরুদ্ধে আমাদের//কোনো কর্মবিধায়ক"
            },
            {
              "number": 2116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2116.mp3"
              ],
              "text": "إِلَّا رَحْمَةًۭ مِّن رَّبِّكَ ۚ إِنَّ فَضْلَهُۥ كَانَ عَلَيْكَ كَبِيرًۭا",
              "translate_bn": "এ প্রত্যাহার না করা আপনার পালনকর্তার মেহেরবানী। নিশ্চয় আপনার প্রতি তাঁর করুণা বিরাট।",
              "numberInSurah": 87,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-রাহমাতাম মিররাব্বিকা ইন্না ফাদলাহূকা-না ‘আলাইকা কাবীরা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّن/min//رَّبِّكَ ؕ/رَّبِّكَۚ/rabbika//اِنَّ/إِنَّ/inna//فَضْلَهٗ/فَضۡلَهُۥ/fadlahu//كَانَ/كَانَ/kana//عَلَیْكَ/عَلَيۡكَ/alayka//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "কিন্তু//(তা না করা) অনুগ্রহ//থেকে//তোমার রব//নিশ্চয়ই//তাঁর অনুগ্রহ//হলো//তোমার উপর//বিরাট"
            },
            {
              "number": 2117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2117.mp3"
              ],
              "text": "قُل لَّئِنِ ٱجْتَمَعَتِ ٱلْإِنسُ وَٱلْجِنُّ عَلَىٰٓ أَن يَأْتُوا۟ بِمِثْلِ هَٰذَا ٱلْقُرْءَانِ لَا يَأْتُونَ بِمِثْلِهِۦ وَلَوْ كَانَ بَعْضُهُمْ لِبَعْضٍۢ ظَهِيرًۭا",
              "translate_bn": "বলুনঃ যদি মানব ও জ্বিন এই কোরআনের অনুরূপ রচনা করে আনয়নের জন্যে জড়ো হয়, এবং তারা পরস্পরের সাহায্যকারী হয়; তবুও তারা কখনও এর অনুরূপ রচনা করে আনতে পারবে না।",
              "numberInSurah": 88,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "কুল লাইনিজ তামা‘আতিল ইনছুওয়াল জিন্নু‘আলাআইঁ ইয়া’তূবিমিছলি হা-যাল কুরআনি লা-ইয়া’তূনা বিমিছলিহী ওয়া লাও কা -না বা‘দুহুম লিবা‘দিন জাহীরা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّىِٕنِ/لَّئِنِ/la-ini//اجْتَمَعَتِ/ٱجۡتَمَعَتِ/ij'tama'ati//الْاِنْسُ/ٱلۡإِنسُ/al-insu//وَ الْجِنُّ/وَٱلۡجِنُّ/wal-jinu//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یَّاْتُوْا/يَأۡتُواْ/yatu//بِمِثْلِ/بِمِثۡلِ/bimith'li//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//لَا/لَا/la//یَاْتُوْنَ/يَأۡتُونَ/yatuna//بِمِثْلِهٖ/بِمِثۡلِهِۦ/bimith'lihi//وَ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//لِبَعْضٍ/لِبَعۡضٖ/liba'din//ظَهِیْرًا /ظَهِيرٗا/zahiran",
              "words_bangla": "বলো//\"অবশ্যই যদি//একত্র হয়//মানুষ//ও জিন//(এর) উপর//যে//তারা আসবে//নিয়ে অনুরূপ//এই//কুরআনের//না//তারা আসতে পারবে//নিয়ে তার অনুরূপ//এবং যদিও//হয়//কেউ তাদের//কারো জন্যে//সাহায্যকারী\""
            },
            {
              "number": 2118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2118.mp3"
              ],
              "text": "وَلَقَدْ صَرَّفْنَا لِلنَّاسِ فِى هَٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍۢ فَأَبَىٰٓ أَكْثَرُ ٱلنَّاسِ إِلَّا كُفُورًۭا",
              "translate_bn": "আমি এই কোরআনে মানুষকে বিভিন্ন উপকার দ্বারা সব রকম বিষয়বস্তু বুঝিয়েছি। কিন্তু অধিকাংশ লোক অস্বীকার না করে থাকেনি।",
              "numberInSurah": 89,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাররাফনা-লিন্না-ছি ফী হা-যাল কুরআ-নি মিন কুল্লি মাছালিন, ফাআবা আকছারুন্না-ছি ইল্লা-কুফূরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَرَّفْنَا/صَرَّفۡنَا/sarrafna//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَثَلٍ ؗ/مَثَلٖ/mathalin//فَاَبٰۤی/فَأَبَىٰٓ/fa-aba//اَكْثَرُ/أَكۡثَرُ/aktharu//النَّاسِ/ٱلنَّاسِ/al-nasi//اِلَّا/إِلَّا/illa//كُفُوْرًا /كُفُورٗا/kufuran",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বিশদ বর্ণনা করেছি//মানুষের জন্যে//মধ্যে//এই//কুরআনের//থেকে//প্রত্যেক//উপমা//তবুও অস্বীকার করলো//অধিকাংশ//মানুষ//কিন্তু//অস্বীকৃতি"
            },
            {
              "number": 2119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2119.mp3"
              ],
              "text": "وَقَالُوا۟ لَن نُّؤْمِنَ لَكَ حَتَّىٰ تَفْجُرَ لَنَا مِنَ ٱلْأَرْضِ يَنۢبُوعًا",
              "translate_bn": "এবং তারা বলেঃ আমরা কখনও আপনাকে বিশ্বাস করব না, যে পর্যন্ত না আপনি ভূপৃষ্ঠ থেকে আমাদের জন্যে একটি ঝরণা প্রবাহিত করে দিন।",
              "numberInSurah": 90,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলান নু’মিনা লাকা হাত্তা-তাফজুরা লানা-মিনাল আরদিইয়ামবূ‘আ-।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَنْ/لَن/lan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//لَكَ/لَكَ/laka//حَتّٰی/حَتَّىٰ/hatta//تَفْجُرَ/تَفۡجُرَ/tafjura//لَنَا/لَنَا/lana//مِنَ/مِنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//یَنْۢبُوْعًاۙ/يَنۢبُوعًا/yanbu'an",
              "words_bangla": "এবং তারা বললো//\"কখনও না//ঈমান আনবো আমরা//তোমার উপর//যতক্ষণ না//প্রবাহিত করবে তুমি//জন্যে আমাদের//থেকে//মাটি//একটি ঝর্না"
            },
            {
              "number": 2120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2120.mp3"
              ],
              "text": "أَوْ تَكُونَ لَكَ جَنَّةٌۭ مِّن نَّخِيلٍۢ وَعِنَبٍۢ فَتُفَجِّرَ ٱلْأَنْهَٰرَ خِلَٰلَهَا تَفْجِيرًا",
              "translate_bn": "অথবা আপনার জন্যে খেজুরের ও আঙ্গুরের একটি বাগান হবে, অতঃপর আপনি তার মধ্যে নির্ঝরিনীসমূহ প্রবাহিত করে দেবেন।",
              "numberInSurah": 91,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "আও তাকূনা লাকা জান্নাতুম মিন নাখীলিওঁ ওয়া ‘ইনাবিন ফাতুফাজ্জিরাল আনহা-রা খিলা-লাহা- তাফজীরা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//تَكُوْنَ/تَكُونَ/takuna//لَكَ/لَكَ/laka//جَنَّةٌ/جَنَّةٞ/jannatun//مِّنْ/مِّن/min//نَّخِیْلٍ/نَّخِيلٖ/nakhilin//وَّ عِنَبٍ/وَعِنَبٖ/wa'inabin//فَتُفَجِّرَ/فَتُفَجِّرَ/fatufajjira//الْاَنْهٰرَ/ٱلۡأَنۡهَٰرَ/al-anhara//خِلٰلَهَا/خِلَٰلَهَا/khilalaha//تَفْجِیْرًاۙ/تَفۡجِيرًا/tafjiran",
              "words_bangla": "অথবা//হবে//তোমার জন্যে//একটি বাগান//তৈরি//খেজুরের (গাছের)//ও আঙ্গুরের//অতঃপর প্রবাহিত করবে//ঝর্নাসমূহ//তার ভিতর দিয়ে//খুব প্রবাহিত করা"
            },
            {
              "number": 2121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2121.mp3"
              ],
              "text": "أَوْ تُسْقِطَ ٱلسَّمَآءَ كَمَا زَعَمْتَ عَلَيْنَا كِسَفًا أَوْ تَأْتِىَ بِٱللَّهِ وَٱلْمَلَٰٓئِكَةِ قَبِيلًا",
              "translate_bn": "অথবা আপনি যেমন বলে থাকেন, তেমনিভাবে আমাদের উপর আসমানকে খন্ড-বিখন্ড করে ফেলে দেবেন অথবা আল্লাহ ও ফেরেশতাদেরকে আমাদের সামনে নিয়ে আসবেন।",
              "numberInSurah": 92,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "আও তুছকিতাছছামাআ কামা-ঝা‘আমতা ‘আলাইনা-কিছাফান আও তা’তিয়া বিল্লা-হি ওয়াল মালাইকাতি কাবীলা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//تُسْقِطَ/تُسۡقِطَ/tus'qita//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//كَمَا/كَمَا/kama//زَعَمْتَ/زَعَمۡتَ/za'amta//عَلَیْنَا/عَلَيۡنَا/alayna//كِسَفًا/كِسَفًا/kisafan//اَوْ/أَوۡ/aw//تَاْتِیَ/تَأۡتِيَ/tatiya//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْمَلٰٓىِٕكَةِ/وَٱلۡمَلَـٰٓئِكَةِ/wal-malaikati//قَبِیْلًاۙ/قَبِيلًا/qabilan",
              "words_bangla": "অথবা//তুমি ফেলে দিবে//আকাশ//যেমন//তুমি দাবি করেছো//উপর আমাদের//টুকরো টুকরো করে//বা//আসবে//নিয়ে আল্লাহকে//ও ফেরেশতাদেরকে//সামনাসামনি"
            },
            {
              "number": 2122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2122.mp3"
              ],
              "text": "أَوْ يَكُونَ لَكَ بَيْتٌۭ مِّن زُخْرُفٍ أَوْ تَرْقَىٰ فِى ٱلسَّمَآءِ وَلَن نُّؤْمِنَ لِرُقِيِّكَ حَتَّىٰ تُنَزِّلَ عَلَيْنَا كِتَٰبًۭا نَّقْرَؤُهُۥ ۗ قُلْ سُبْحَانَ رَبِّى هَلْ كُنتُ إِلَّا بَشَرًۭا رَّسُولًۭا",
              "translate_bn": "অথবা আপনার কোন সোনার তৈরী গৃহ হবে অথবা আপনি আকাশে আরোহণ করবেন এবং আমরা আপনার আকাশে আরোহণকে কখনও বিশ্বাস করবনা, যে পর্যন্ত না আপনি অবতীর্ণ করেন আমাদের প্রতি এক গ্রন্থ, যা আমরা পাঠ করব। বলুনঃ পবিত্র মহান আমার পালনকর্তা, একজন মানব, একজন রসূল বৈ আমি কে?",
              "numberInSurah": 93,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 249,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "আও ইয়াকূনা লাকা বাইতুম মিন ঝুখরুফিন আও তারকা-ফিছছামাই ওয়ালান নু’মিনা লিরুকিইইকা হাত্তা-তুনাঝঝিলা ‘আলাইনা-কিতা-বান নাকরাউহূ কুল ছুবহা-না রাববী হাল কুনতুইল্লা-বাশারার রাছূলা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//یَكُوْنَ/يَكُونَ/yakuna//لَكَ/لَكَ/laka//بَیْتٌ/بَيۡتٞ/baytun//مِّنْ/مِّن/min//زُخْرُفٍ/زُخۡرُفٍ/zukh'rufin//اَوْ/أَوۡ/aw//تَرْقٰی/تَرۡقَىٰ/tarqa//فِی/فِي/fi//السَّمَآءِ ؕ/ٱلسَّمَآءِ/al-samai//وَ لَنْ/وَلَن/walan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//لِرُقِیِّكَ/لِرُقِيِّكَ/liruqiyyika//حَتّٰی/حَتَّىٰ/hatta//تُنَزِّلَ/تُنَزِّلَ/tunazzila//عَلَیْنَا/عَلَيۡنَا/alayna//كِتٰبًا/كِتَٰبٗا/kitaban//نَّقْرَؤُهٗ ؕ/نَّقۡرَؤُهُۥۗ/naqra-uhu//قُلْ/قُلۡ/qul//سُبْحَانَ/سُبۡحَانَ/sub'hana//رَبِّیْ/رَبِّي/rabbi//هَلْ/هَلۡ/hal//كُنْتُ/كُنتُ/kuntu//اِلَّا/إِلَّا/illa//بَشَرًا/بَشَرٗا/basharan//رَّسُوْلًا۠/رَّسُولٗا/rasulan",
              "words_bangla": "অথবা//হবে//জন্যে তোমার//ঘর//তৈরি//সোনার//বা//আরোহণ করবে তুমি//মধ্য//আকাশের//এবং কখনও না//আমরা বিশ্বাস করবো//তোমার আরোহণকে//যতক্ষণ না//অবতীর্ণ করবে তুমি//উপর আমাদের//একটি কিতাব//তা আমরা পাঠ করবো\"//বলো//\"পবিত্র মহান//আমার রব//\"কি (নই)//আমি হলাম (আর কিছু)//এ ছাড়া//মানুষ//বার্তা-বাহক\""
            },
            {
              "number": 2123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2123.mp3"
              ],
              "text": "وَمَا مَنَعَ ٱلنَّاسَ أَن يُؤْمِنُوٓا۟ إِذْ جَآءَهُمُ ٱلْهُدَىٰٓ إِلَّآ أَن قَالُوٓا۟ أَبَعَثَ ٱللَّهُ بَشَرًۭا رَّسُولًۭا",
              "translate_bn": "আল্লাহ কি মানুষকে পয়গম্বর করে পাঠিয়েছেন? তাদের এই উক্তিই মানুষকে ঈমান আনয়ন থেকে বিরত রাখে, যখন তাদের নিকট আসে হেদায়েত।",
              "numberInSurah": 94,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 250,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা- মানা‘আন্না-ছা আইঁ ইউ’মিনূ ইয জাআহুমুল হুদা ইল্লাআন কা-লূ আবা‘আছাল্লা-হু বাশারার রাছূলা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//مَنَعَ/مَنَعَ/mana'a//النَّاسَ/ٱلنَّاسَ/al-nasa//اَنْ/أَن/an//یُّؤْمِنُوْۤا/يُؤۡمِنُوٓاْ/yu'minu//اِذْ/إِذۡ/idh//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْهُدٰۤی/ٱلۡهُدَىٰٓ/al-huda//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْۤا/قَالُوٓاْ/qalu//اَبَعَثَ/أَبَعَثَ/aba'atha//اللّٰهُ/ٱللَّهُ/al-lahu//بَشَرًا/بَشَرٗا/basharan//رَّسُوْلًا /رَّسُولٗا/rasulan",
              "words_bangla": "এবং না//বিরত রেখেছে//মানুষদেরকে//যে//তারা ঈমান আনবে//যখন//তাদের কাছে এসেছে//পথ নির্দেশ//এ ছাড়া//যে//তারা বলেছিলো//\"কি পাঠিয়েছেন//\"আল্লাহ্‌//কোনো মানুষকে//রাসূল হিসেবে\""
            },
            {
              "number": 2124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2124.mp3"
              ],
              "text": "قُل لَّوْ كَانَ فِى ٱلْأَرْضِ مَلَٰٓئِكَةٌۭ يَمْشُونَ مُطْمَئِنِّينَ لَنَزَّلْنَا عَلَيْهِم مِّنَ ٱلسَّمَآءِ مَلَكًۭا رَّسُولًۭا",
              "translate_bn": "বলুনঃ যদি পৃথিবীতে ফেরেশতারা স্বচ্ছন্দে বিচরণ করত, তবে আমি আকাশ থেকে কোন ফেরেশতাকেই তাদের নিকট পয়গাম্বর করে প্রেরণ করতাম।",
              "numberInSurah": 95,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 250,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "কুল্লাও কা-না ফিল আরদি মালাইকাতুইঁ ইয়ামশূনা মুতমাইন্নীনা লানাঝঝালনা‘আলাইহিম মিনাছছামাই মালাকার রাছূলা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//كَانَ/كَانَ/kana//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَلٰٓىِٕكَةٌ/مَلَـٰٓئِكَةٞ/malaikatun//یَّمْشُوْنَ/يَمۡشُونَ/yamshuna//مُطْمَىِٕنِّیْنَ/مُطۡمَئِنِّينَ/mut'ma-innina//لَنَزَّلْنَا/لَنَزَّلۡنَا/lanazzalna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَلَكًا/مَلَكٗا/malakan//رَّسُوْلًا /رَّسُولٗا/rasulan",
              "words_bangla": "বলো//\"যদি (এমন)//হতো//মধ্যে//পৃথিবীর//ফেরেশতারা//চলাফেরা করতো//নিশ্চিন্তে//অবশ্যই আমরা অবতীর্ণ নাযিল করতাম//উপর তাদের//থেকে//আকাশ//ফেরেশতা//রাসূল হিসেবে\""
            },
            {
              "number": 2125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2125.mp3"
              ],
              "text": "قُلْ كَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ ۚ إِنَّهُۥ كَانَ بِعِبَادِهِۦ خَبِيرًۢا بَصِيرًۭا",
              "translate_bn": "বলুনঃ আমার ও তোমাদের মধ্যে সত্য প্রতিষ্ঠাকারী হিসেবে আল্লাহই যথেষ্ট। তিনি তো স্বীয় বান্দাদের বিষয়ে খবর রাখেন ও দেখেন।",
              "numberInSurah": 96,
              "juz": 15,
              "manzil": 4,
              "page": 291,
              "ruku": 250,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "কুল কাফা-বিল্লা-হি শাহীদাম বাইনী ওয়া বাইনাকুম ইন্নাহূকা-না বি‘ইবা-দিহী খাবীরাম বাসীরা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//كَفٰی/كَفَىٰ/kafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًۢا/شَهِيدَۢا/shahidan//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ ؕ/وَبَيۡنَكُمۡۚ/wabaynakum//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//خَبِیْرًۢا/خَبِيرَۢا/khabiran//بَصِیْرًا /بَصِيرٗا/basiran",
              "words_bangla": "বলো//\"যথেষ্ঠ//আল্লাহই//সাক্ষী হিসেবে//আমার মাঝে//ও তোমাদের মাঝে//নিশ্চয়ই তিনি//হলেন//সম্পর্কে তাঁর দাসদের//খুব অবহিত//সর্বদ্রষ্টা\""
            },
            {
              "number": 2126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2126.mp3"
              ],
              "text": "وَمَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِ ۖ وَمَن يُضْلِلْ فَلَن تَجِدَ لَهُمْ أَوْلِيَآءَ مِن دُونِهِۦ ۖ وَنَحْشُرُهُمْ يَوْمَ ٱلْقِيَٰمَةِ عَلَىٰ وُجُوهِهِمْ عُمْيًۭا وَبُكْمًۭا وَصُمًّۭا ۖ مَّأْوَىٰهُمْ جَهَنَّمُ ۖ كُلَّمَا خَبَتْ زِدْنَٰهُمْ سَعِيرًۭا",
              "translate_bn": "আল্লাহ যাকে পথ প্রদর্শন করেন, সেই তো সঠিক পথ প্রাপ্ত এবং যাকে পথ ভ্রষ্ট করেন, তাদের জন্যে আপনি আল্লাহ ছাড়া কোন সাহায্যকারী পাবেন না। আমি কেয়ামতের দিন তাদের সমবেত করব তাদের মুখে ভর দিয়ে চলা অবস্থায়, অন্ধ অবস্থায়, মুক অবস্থায় এবং বধির অবস্থায়। তাদের আবাসস্থল জাহান্নাম। যখনই নির্বাপিত হওয়ার উপক্রম হবে আমি তখন তাদের জন্যে অগ্নি আরও বৃদ্ধি করে দিব।",
              "numberInSurah": 97,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 250,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াহদিল্লা -হু ফাহুওয়াল মুহতাদি ওয়ামাইঁ ইউদলিলফালান তাজিদালাহুম আওলিয়াআ মিন দূ নিহী ওয়ানাহশুরুহুম ইয়াওমাল কিয়া-মাতি ‘আলা-ওজূহিহিম ‘উমইয়াওঁ ওয়া বুকমাওঁ ওয়া সুম্মাম মা’ওয়া-হুম জাহান্নামু কুল্লামা-খাবাত ঝিদনা-হুম ছা‘ঈরা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّهْدِ/يَهۡدِ/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//فَهُوَ/فَهُوَ/fahuwa//الْمُهْتَدِ ۚ/ٱلۡمُهۡتَدِۖ/al-muh'tadi//وَ مَنْ/وَمَن/waman//یُّضْلِلْ/يُضۡلِلۡ/yud'lil//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لَهُمْ/لَهُمۡ/lahum//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِهٖ ؕ/دُونِهِۦۖ/dunihi//وَ نَحْشُرُهُمْ/وَنَحۡشُرُهُمۡ/wanahshuruhum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//عَلٰی/عَلَىٰ/ala//وُجُوْهِهِمْ/وُجُوهِهِمۡ/wujuhihim//عُمْیًا/عُمۡيٗا/um'yan//وَّ بُكْمًا/وَبُكۡمٗا/wabuk'man//وَّ صُمًّا ؕ/وَصُمّٗاۖ/wasumman//مَاْوٰىهُمْ/مَّأۡوَىٰهُمۡ/mawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//كُلَّمَا/كُلَّمَا/kullama//خَبَتْ/خَبَتۡ/khabat//زِدْنٰهُمْ/زِدۡنَٰهُمۡ/zid'nahum//سَعِیْرًا /سَعِيرٗا/sa'iran",
              "words_bangla": "এবং যাকে//পথ দেখান//আল্লাহ//অতঃপর সেই//সঠিক পথপ্রাপ্ত//এবং যাকে//তিনি পথভ্রষ্ট করেন//অতঃপর কখনও না//তুমি পাবে//জন্যে তাদের//অভিভাবকসমূহ//ছাড়া//তাঁকে//এবং আমরা সমবেত করবো তাদেরকে//দিনে//ক্বিয়ামাতের//উপর//মুখগুলোর তাদের//অন্ধ অবস্থায়//ও বোবা অবস্থায়//ও বধির অবস্হায়//আবাসস্থল তাদের//জাহান্নাম//যখনই//তেজ কমে আসবে//আমরা বাড়িয়ে দিবো তাদের//আগুন"
            },
            {
              "number": 2127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2127.mp3"
              ],
              "text": "ذَٰلِكَ جَزَآؤُهُم بِأَنَّهُمْ كَفَرُوا۟ بِـَٔايَٰتِنَا وَقَالُوٓا۟ أَءِذَا كُنَّا عِظَٰمًۭا وَرُفَٰتًا أَءِنَّا لَمَبْعُوثُونَ خَلْقًۭا جَدِيدًا",
              "translate_bn": "এটাই তাদের শাস্তি। কারণ, তারা আমার নিদর্শনসমূহ অস্বীকার করেছে এবং বলেছেঃ আমরা যখন অস্থিতে পরিণত ও চুর্ণ-বিচুর্ণ হয়ে যাব, তখনও কি আমরা নতুনভাবে সৃজিত হয়ে উত্থিত হব?",
              "numberInSurah": 98,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 250,
              "hizbQuarter": 116,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা জাঝাউহুম বিআন্নাহুম কাফারূবিআ-য়া-তিনা- ওয়াকা-লূ আইযা- কুন্না‘ইজা-মাওঁ ওয়া রুফা-তান আইন্না-লামাব‘ঊছূনা খালকান জাদীদা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//جَزَآؤُهُمْ/جَزَآؤُهُم/jazauhum//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//ءَاِذَا/أَءِذَا/a-idha//كُنَّا/كُنَّا/kunna//عِظَامًا/عِظَٰمٗا/izaman//وَّ رُفَاتًا/وَرُفَٰتًا/warufatan//ءَاِنَّا/أَءِنَّا/a-inna//لَمَبْعُوْثُوْنَ/لَمَبۡعُوثُونَ/lamab'uthuna//خَلْقًا/خَلۡقٗا/khalqan//جَدِیْدًا /جَدِيدًا/jadidan",
              "words_bangla": "এটাই//তাদের প্রতিফল//এ কারণে যে তারা//অস্বীকার করেছে//সহ আমাদের নিদর্শনাদি//এবং তারা বলেছে//\"কি যখন//আমরা হবো//হাড়//ও চূর্ণ-বিচূর্ণ//কি নিশ্চয়ই আমরা//অবশ্যই উত্থিত হবো//সৃষ্টিতে//নতুন\""
            },
            {
              "number": 2128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2128.mp3"
              ],
              "text": "۞ أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ قَادِرٌ عَلَىٰٓ أَن يَخْلُقَ مِثْلَهُمْ وَجَعَلَ لَهُمْ أَجَلًۭا لَّا رَيْبَ فِيهِ فَأَبَى ٱلظَّٰلِمُونَ إِلَّا كُفُورًۭا",
              "translate_bn": "তারা কি দেখেনি যে, যে আল্লাহ আসমান ও যমিন সৃজিত করেছেন, তিনি তাদের মত মানুষও পুনরায় সৃষ্টি করতে সক্ষম? তিনি তাদের জন্যে স্থির করেছেন একটি নির্দিষ্ট কাল, এতে কোন সন্দেহ নেই; অতঃপর জালেমরা অস্বীকার ছাড়া কিছু করেনি।",
              "numberInSurah": 99,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 250,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়ারাও আন্নাল্লা-হাল্লাযী খালাকাছছামা-ওয়া-তি ওয়াল আরদা কা-দিরুন ‘আলাআইঁ ইয়াখলুকা মিছলাহুম ওয়া জা‘আলা লাহুম আজালাল লা-রাইবা ফীহি ফাআবাজ্জা-লিমূনা ইল্লা-কুফূরা-।",
              "words_arabic": "اَوَ لَمْ/۞أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//قَادِرٌ/قَادِرٌ/qadirun//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یَّخْلُقَ/يَخۡلُقَ/yakhluqa//مِثْلَهُمْ/مِثۡلَهُمۡ/mith'lahum//وَ جَعَلَ/وَجَعَلَ/waja'ala//لَهُمْ/لَهُمۡ/lahum//اَجَلًا/أَجَلٗا/ajalan//لَّا/لَّا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ؕ/فِيهِ/fihi//فَاَبَی/فَأَبَى/fa-aba//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//اِلَّا/إِلَّا/illa//كُفُوْرًا /كُفُورٗا/kufuran",
              "words_bangla": "কি না//তারা লক্ষ্য করে//যে//আল্লাহ//(তিনি) যিনি//সৃষ্টি করেছেন//আকাশসমূহকে//ও পৃথিবীকে//সক্ষম (নন কি)//উপর//যে//সৃষ্টি করবেন//তাদের অনুরূপ//এবং স্থির করে রেখেছেন//জন্যে তাদের//নির্দিষ্টকাল//নেই//কোনো সন্দেহ//মধ্যে তার//তবুও অস্বীকার করলো//সীমালঙ্ঘনকারীরা//ছাড়া//অস্বীকৃতি"
            },
            {
              "number": 2129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2129.mp3"
              ],
              "text": "قُل لَّوْ أَنتُمْ تَمْلِكُونَ خَزَآئِنَ رَحْمَةِ رَبِّىٓ إِذًۭا لَّأَمْسَكْتُمْ خَشْيَةَ ٱلْإِنفَاقِ ۚ وَكَانَ ٱلْإِنسَٰنُ قَتُورًۭا",
              "translate_bn": "বলুনঃ যদি আমার পালনকর্তার রহমতের ভান্ডার তোমাদের হাতে থাকত, তবে ব্যয়িত হয়ে যাওয়ার আশঙ্কায় অবশ্যই তা ধরে রাখতে। মানুষ তো অতিশয় কৃপণ।",
              "numberInSurah": 100,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 250,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "কুল্লাও আনতুম তামলিকূনা খাঝাইনা রাহমাতি রাববীইযাল্লাআমছাকতুম খাশইয়াতাল ইনফা-কি ওয়া কা-নাল ইনছা-নুকাতূরা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//اَنْتُمْ/أَنتُمۡ/antum//تَمْلِكُوْنَ/تَمۡلِكُونَ/tamlikuna//خَزَآىِٕنَ/خَزَآئِنَ/khazaina//رَحْمَةِ/رَحۡمَةِ/rahmati//رَبِّیْۤ/رَبِّيٓ/rabbi//اِذًا/إِذٗا/idhan//لَّاَمْسَكْتُمْ/لَّأَمۡسَكۡتُمۡ/la-amsaktum//خَشْیَةَ/خَشۡيَةَ/khashyata//الْاِنْفَاقِ ؕ/ٱلۡإِنفَاقِۚ/al-infaqi//وَ كَانَ/وَكَانَ/wakana//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//قَتُوْرًا۠/قَتُورٗا/qaturan",
              "words_bangla": "বলো//\"যদি//তোমরা//অধিকারী হ'তে//ভান্ডারসমূহের//অনুগ্রহের//আমার রবের//তাহ'লে//অবশ্যই তোমরা ধরে রাখতে//ভয়ে//খরচ হওয়ার\"//এবং হলো//মানুষ//বড়ই কৃপণ"
            },
            {
              "number": 2130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2130.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَىٰ تِسْعَ ءَايَٰتٍۭ بَيِّنَٰتٍۢ ۖ فَسْـَٔلْ بَنِىٓ إِسْرَٰٓءِيلَ إِذْ جَآءَهُمْ فَقَالَ لَهُۥ فِرْعَوْنُ إِنِّى لَأَظُنُّكَ يَٰمُوسَىٰ مَسْحُورًۭا",
              "translate_bn": "আপনি বণী-ইসরাঈলকে জিজ্ঞেস করুন, আমি মূসাকে নয়টি প্রকাশ্য নিদর্শন দান করেছি। যখন তিনি তাদের কাছে আগমন করেন, ফেরাউন তাকে বললঃ হে মূসা, আমার ধারনায় তুমি তো জাদুগ্রস্থ।",
              "numberInSurah": 101,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছা-তিছ‘আ আ-য়া-তিম বাইয়িনা-তিন ফাছআল বানী ইছরাঈলা ইয জাআহুম ফাকা-লা লাহূফির‘আউনুইন্নী লাআজুন্নুকা ইয়া-মূছামাছহূরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسٰی/مُوسَىٰ/musa//تِسْعَ/تِسۡعَ/tis'a//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ/بَيِّنَٰتٖۖ/bayyinatin//فَسْـَٔلْ/فَسۡـَٔلۡ/fasal//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اِذْ/إِذۡ/idh//جَآءَهُمْ/جَآءَهُمۡ/jaahum//فَقَالَ/فَقَالَ/faqala//لَهٗ/لَهُۥ/lahu//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//اِنِّیْ/إِنِّي/inni//لَاَظُنُّكَ/لَأَظُنُّكَ/la-azunnuka//یٰمُوْسٰی/يَٰمُوسَىٰ/yamusa//مَسْحُوْرًا /مَسۡحُورٗا/mashuran",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছিলাম//মূসাকে//নয়টি//নিদর্শন//সুস্পষ্ট//অতএব জিজ্ঞেস করো//বনী//ইসরাঈলকে//যখন//কাছে সে এসেছিলো তাদের//তখন বলেছিলো//তাকে//ফিরআউন//\"নিশ্চয়ই আমি//অবশ্যই আমি মনে করি তোমাকে//হে মূসা//জাদুগ্রস্ত\""
            },
            {
              "number": 2131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2131.mp3"
              ],
              "text": "قَالَ لَقَدْ عَلِمْتَ مَآ أَنزَلَ هَٰٓؤُلَآءِ إِلَّا رَبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ بَصَآئِرَ وَإِنِّى لَأَظُنُّكَ يَٰفِرْعَوْنُ مَثْبُورًۭا",
              "translate_bn": "তিনি বললেনঃ তুমি জান যে, আসমান ও যমীনের পালনকর্তাই এসব নিদর্শনাবলী প্রত্যক্ষ প্রমাণস্বরূপ নাযিল করেছেন। হে ফেরাউন, আমার ধারণায় তুমি ধ্বংস হতে চলেছো।",
              "numberInSurah": 102,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাকাদ ‘আলিমতা মাআনঝালা হাউলাই ইল্লা-রাব্বুছছামা-ওয়া-তি ওয়াল আরদিবাসাইরা ওয়া ইন্নী লাআজুন্নুকা ইয়া-ফির‘আওনুমাছবূরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَقَدْ/لَقَدۡ/laqad//عَلِمْتَ/عَلِمۡتَ/alim'ta//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اِلَّا/إِلَّا/illa//رَبُّ/رَبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//بَصَآىِٕرَ ۚ/بَصَآئِرَ/basaira//وَ اِنِّیْ/وَإِنِّي/wa-inni//لَاَظُنُّكَ/لَأَظُنُّكَ/la-azunnuka//یٰفِرْعَوْنُ/يَٰفِرۡعَوۡنُ/yafir'awnu//مَثْبُوْرًا /مَثۡبُورٗا/mathburan",
              "words_bangla": "সে বলেছিলো//\"নিশ্চয়ই//তুমি জেনেছো//না//অবতীর্ণ করেছেন//(অন্য কেউ) এসব//কিন্তু//রব//আকাশসমূহের//ও পৃথিবীর//প্রত্যক্ষ প্রমাণ হিসেবে//এবং নিশ্চয়ই আমি//অবশ্যই মনে করি আমি তোমাকে//হে ফিরআউন//(ধ্বংসকৃত) হতভাগ্য\""
            },
            {
              "number": 2132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2132.mp3"
              ],
              "text": "فَأَرَادَ أَن يَسْتَفِزَّهُم مِّنَ ٱلْأَرْضِ فَأَغْرَقْنَٰهُ وَمَن مَّعَهُۥ جَمِيعًۭا",
              "translate_bn": "অতঃপর সে বনী ইসরাঈলকে দেশ থেকে উৎখাত করতে চাইল, তখন আমি তাকে ও তার সঙ্গীদের সবাইকে নিমজ্জত করে দিলাম।",
              "numberInSurah": 103,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ফাআরা-দা আইঁ ইয়াছতাফিঝঝাহুম মিনাল আরদি ফাআগরাকনা-হু ওয়া মাম মা‘আহূ জামী‘আ-।",
              "words_arabic": "فَاَرَادَ/فَأَرَادَ/fa-arada//اَنْ/أَن/an//یَّسْتَفِزَّهُمْ/يَسۡتَفِزَّهُم/yastafizzahum//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَاَغْرَقْنٰهُ/فَأَغۡرَقۡنَٰهُ/fa-aghraqnahu//وَ مَنْ/وَمَن/waman//مَّعَهٗ/مَّعَهُۥ/ma'ahu//جَمِیْعًاۙ/جَمِيعٗا/jami'an",
              "words_bangla": "অতঃপর সে চাইলো//যে//উচ্ছেদ করবে তাদেরকে//থেকে//দেশ//অতঃপর আমরা ডুবিয়েছিলাম তাকে//এবং যারা (ছিলো)//সাথে তার//সকলকে"
            },
            {
              "number": 2133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2133.mp3"
              ],
              "text": "وَقُلْنَا مِنۢ بَعْدِهِۦ لِبَنِىٓ إِسْرَٰٓءِيلَ ٱسْكُنُوا۟ ٱلْأَرْضَ فَإِذَا جَآءَ وَعْدُ ٱلْءَاخِرَةِ جِئْنَا بِكُمْ لَفِيفًۭا",
              "translate_bn": "তারপর আমি বনী ইসলাঈলকে বললামঃ এ দেশে তোমরা বসবাস কর। অতঃপর যখন পরকালের ওয়াদা বাস্তবায়িত হবে, তখন তোমাদের কে জড়ো করে নিয়ে উপস্থিত হব।",
              "numberInSurah": 104,
              "juz": 15,
              "manzil": 4,
              "page": 292,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুলনা-মিম বা‘দিহী লিবানীইছরাঈলাছকুনুল আরদাফাইযা-জাআ ওয়া‘দুল আ-খিরাতী জি’না-বিকুম লাফীফা-।",
              "words_arabic": "وَّ قُلْنَا/وَقُلۡنَا/waqul'na//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//لِبَنِیْۤ/لِبَنِيٓ/libani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اسْكُنُوا/ٱسۡكُنُواْ/us'kunu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//وَعْدُ/وَعۡدُ/wa'du//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//جِئْنَا/جِئۡنَا/ji'na//بِكُمْ/بِكُمۡ/bikum//لَفِیْفًاؕ/لَفِيفٗا/lafifan",
              "words_bangla": "এবং আমরা বলেছিলাম//থেকে//তারপর//জন্যে বনী//ইসরাঈলের//\"তোমরা বসবাস করো//এ দেশে//অতঃপর যখন//আসবে//প্রতিশ্রুতি//আখিরাতের//আমরা আসবো//নিয়ে তোমাদেরকে//সমবেত করে\""
            },
            {
              "number": 2134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2134.mp3"
              ],
              "text": "وَبِٱلْحَقِّ أَنزَلْنَٰهُ وَبِٱلْحَقِّ نَزَلَ ۗ وَمَآ أَرْسَلْنَٰكَ إِلَّا مُبَشِّرًۭا وَنَذِيرًۭا",
              "translate_bn": "আমি সত্যসহ এ কোরআন নাযিল করেছি এবং সত্য সহ এটা নাযিল হয়েছে। আমি তো আপনাকে শুধু সুসংবাদাতা ও ভয়প্রদর্শক করেই প্রেরণ করেছি।",
              "numberInSurah": 105,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া বিলহাক্কিআনঝালনা-হু ওয়া বিলহাক্কিনাঝালা ওয়ামাআরছালনা-কা ইল্লামুবাশশিরাওঁ ওয়া নাযীরা-।",
              "words_arabic": "وَ بِالْحَقِّ/وَبِٱلۡحَقِّ/wabil-haqi//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//وَ بِالْحَقِّ/وَبِٱلۡحَقِّ/wabil-haqi//نَزَلَ ؕ/نَزَلَۗ/nazala//وَ مَاۤ/وَمَآ/wama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//اِلَّا/إِلَّا/illa//مُبَشِّرًا/مُبَشِّرٗا/mubashiran//وَّ نَذِیْرًاۘ/وَنَذِيرٗا/wanadhiran",
              "words_bangla": "এবং সহ সত্য//তা আমরা অবতীর্ণ করেছি//এবং সহ সত্য//অবতীর্ণ হয়েছে//এবং নি//তোমাকে আমরা পাঠিয়েছি//এছাড়া//সুসংবাদদাতা হিসেবে//ও সতর্ককারী হিসেবে"
            },
            {
              "number": 2135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2135.mp3"
              ],
              "text": "وَقُرْءَانًۭا فَرَقْنَٰهُ لِتَقْرَأَهُۥ عَلَى ٱلنَّاسِ عَلَىٰ مُكْثٍۢ وَنَزَّلْنَٰهُ تَنزِيلًۭا",
              "translate_bn": "আমি কোরআনকে যতিচিহ্ন সহ পৃথক পৃথকভাবে পাঠের উপযোগী করেছি, যাতে আপনি একে লোকদের কাছে ধীরে ধীরে পাঠ করেন এবং আমি একে যথাযথ ভাবে অবতীর্ণ করেছি।",
              "numberInSurah": 106,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুরআ-নান ফারাকনা-হুলিতাকরাআহূ ‘আলান্না-ছি ‘আলা- মুকছিওঁ ওয়া নাঝঝালনা-হু তানঝীলা-।",
              "words_arabic": "وَ قُرْاٰنًا/وَقُرۡءَانٗا/waqur'anan//فَرَقْنٰهُ/فَرَقۡنَٰهُ/faraqnahu//لِتَقْرَاَهٗ/لِتَقۡرَأَهُۥ/litaqra-ahu//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//عَلٰی/عَلَىٰ/ala//مُكْثٍ/مُكۡثٖ/muk'thin//وَّ نَزَّلْنٰهُ/وَنَزَّلۡنَٰهُ/wanazzalnahu//تَنْزِیْلًا /تَنزِيلٗا/tanzilan",
              "words_bangla": "এবং (এই) কুরআন//আমরা খন্ড খন্ড করেছি তাকে//যেন তুমি পাঠ করো তা//নিকট//মানুষের//উপর//অল্প অল্প করে//এবং আমরা অবতীর্ণ করেছি তা//(ক্রমশঃ) অবতরণ"
            },
            {
              "number": 2136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2136.mp3"
              ],
              "text": "قُلْ ءَامِنُوا۟ بِهِۦٓ أَوْ لَا تُؤْمِنُوٓا۟ ۚ إِنَّ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ مِن قَبْلِهِۦٓ إِذَا يُتْلَىٰ عَلَيْهِمْ يَخِرُّونَ لِلْأَذْقَانِ سُجَّدًۭا",
              "translate_bn": "বলুনঃ তোমরা কোরআনকে মান্য কর অথবা অমান্য কর; যারা এর পূর্ব থেকে এলেম প্রাপ্ত হয়েছে, যখন তাদের কাছে এর তেলাওয়াত করা হয়, তখন তারা নতমস্তকে সেজদায় লুটিয়ে পড়ে।",
              "numberInSurah": 107,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "কুল আ-মিনূবিহীআও লা-তু’মিনূ ইন্নাল্লাযীনা ঊতুল ‘ইলমা মিন কাবলিহীইযাইউতলা-‘আলাইহিম ইয়াখিররূনা লিল আযকা-নি ছুজ্জাদা-(ছিজদাহ-৪)।",
              "words_arabic": "قُلْ/قُلۡ/qul//اٰمِنُوْا/ءَامِنُواْ/aminu//بِهٖۤ/بِهِۦٓ/bihi//اَوْ/أَوۡ/aw//لَا/لَا/la//تُؤْمِنُوْا ؕ/تُؤۡمِنُوٓاْۚ/tu'minu//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//مِنْ/مِن/min//قَبْلِهٖۤ/قَبۡلِهِۦٓ/qablihi//اِذَا/إِذَا/idha//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//یَخِرُّوْنَ/يَخِرُّونَۤ/yakhirruna//لِلْاَذْقَانِ/لِلۡأَذۡقَانِۤ/lil'adhqani//سُجَّدًاۙ/سُجَّدٗاۤ/sujjadan",
              "words_bangla": "বলো//\"ঈমান আনো//উপর এর//বা//না//তোমরা ঈমান আনো//নিশ্চয়ই//যাদেরকে//দেয়া হয়েছে//জ্ঞান//থেকে//পূর্ব এর//যখন//পাঠ করা হয়//কাছে তাদের//তারা লুটিয়ে পড়ে যায়//উপর চিবুকসমূহের//সিজদা অবস্থায়\""
            },
            {
              "number": 2137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2137.mp3"
              ],
              "text": "وَيَقُولُونَ سُبْحَٰنَ رَبِّنَآ إِن كَانَ وَعْدُ رَبِّنَا لَمَفْعُولًۭا",
              "translate_bn": "এবং বলেঃ আমাদের পালনকর্তা পবিত্র, মহান। নিঃসন্দেহে আমাদের পালকর্তার ওয়াদা অবশ্যই পূর্ণ হবে।",
              "numberInSurah": 108,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা ছুবহা-না রাব্বিনাইন কা-না ওয়া‘দুরাব্বিনা-লামাফ‘ঊলা-।",
              "words_arabic": "وَّ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//رَبِّنَاۤ/رَبِّنَآ/rabbina//اِنْ/إِن/in//كَانَ/كَانَ/kana//وَعْدُ/وَعۡدُ/wa'du//رَبِّنَا/رَبِّنَا/rabbina//لَمَفْعُوْلًا /لَمَفۡعُولٗا/lamaf'ulan",
              "words_bangla": "এবং তারা বলে//\"পবিত্র মহান//আমাদের রব//নিশ্চয়ই//হবে//প্রতিশ্রুতি//আমাদের রবের//অবশ্যই কার্যকরী\""
            },
            {
              "number": 2138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2138.mp3"
              ],
              "text": "وَيَخِرُّونَ لِلْأَذْقَانِ يَبْكُونَ وَيَزِيدُهُمْ خُشُوعًۭا ۩",
              "translate_bn": "তারা ক্রন্দন করতে করতে নতমস্তকে ভুমিতে লুটিয়ে পড়ে এবং তাদের বিনয়ভাব আরো বৃদ্ধি পায়।",
              "numberInSurah": 109,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": {
                "id": 4,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ওয়া ইয়াখিররূনা লিলআযকা-নি ইয়াবকূনা ওয়া ইয়াঝীদুহুম খুশূ‘আ-।",
              "words_arabic": "وَ یَخِرُّوْنَ/وَيَخِرُّونَ/wayakhirruna//لِلْاَذْقَانِ/لِلۡأَذۡقَانِ/lil'adhqani//یَبْكُوْنَ/يَبۡكُونَ/yabkuna//وَ یَزِیْدُهُمْ/وَيَزِيدُهُمۡ/wayaziduhum//خُشُوْعًا۩/خُشُوعٗا۩/khushu'an",
              "words_bangla": "এবং তারা লুটিয়ে পড়ে যায়//(সিজদায়) উপর চিবুকসমূহের//তারা কাঁদতে থাকে//ও তাদের বৃদ্ধি করে//বিনয় অবস্থা (নিবিড় আনুগত্য)"
            },
            {
              "number": 2139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2139.mp3"
              ],
              "text": "قُلِ ٱدْعُوا۟ ٱللَّهَ أَوِ ٱدْعُوا۟ ٱلرَّحْمَٰنَ ۖ أَيًّۭا مَّا تَدْعُوا۟ فَلَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ ۚ وَلَا تَجْهَرْ بِصَلَاتِكَ وَلَا تُخَافِتْ بِهَا وَٱبْتَغِ بَيْنَ ذَٰلِكَ سَبِيلًۭا",
              "translate_bn": "বলুনঃ আল্লাহ বলে আহবান কর কিংবা রহমান বলে, যে নামেই আহবান কর না কেন, সব সুন্দর নাম তাঁরই। আপনি নিজের নামায আদায়কালে স্বর উচ্চগ্রাসে নিয়ে গিয়ে পড়বেন না এবং নিঃশব্দেও পড়বেন না। এতদুভয়ের মধ্যমপন্থা অবলম্বন করুন।",
              "numberInSurah": 110,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "কুলিদ‘উল্লা-হা আবিদ ‘উর রাহমা-না আইঁ ইয়াম্মা-তাদ‘ঊ ফালাহুল আছমাঊল হুছনা-ওয়ালা-তাজহার বিসালা-তিকা ওয়ালা-তুখা-ফিত বিহা-ওয়াবতাগি বাইনা যালিকা ছাবীলা-।",
              "words_arabic": "قُلِ/قُلِ/quli//ادْعُوا/ٱدۡعُواْ/id'u//اللّٰهَ/ٱللَّهَ/al-laha//اَوِ/أَوِ/awi//ادْعُوا/ٱدۡعُواْ/id'u//الرَّحْمٰنَ ؕ/ٱلرَّحۡمَٰنَۖ/al-rahmana//اَیًّا/أَيّٗا/ayyan//مَّا/مَّا/ma//تَدْعُوْا/تَدۡعُواْ/tad'u//فَلَهُ/فَلَهُ/falahu//الْاَسْمَآءُ/ٱلۡأَسۡمَآءُ/al-asmau//الْحُسْنٰی ۚ/ٱلۡحُسۡنَىٰۚ/al-hus'na//وَ لَا/وَلَا/wala//تَجْهَرْ/تَجۡهَرۡ/tajhar//بِصَلَاتِكَ/بِصَلَاتِكَ/bisalatika//وَ لَا/وَلَا/wala//تُخَافِتْ/تُخَافِتۡ/tukhafit//بِهَا/بِهَا/biha//وَ ابْتَغِ/وَٱبۡتَغِ/wa-ib'taghi//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ/ذَٰلِكَ/dhalika//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "বলো//\"তোমরা ডাকো//আল্লাহ (বলে)//বা//তোমরা ডাক//রহমান (বলে)//যেই (নামেই)//যেই (নামেই)//তোমরা ডাকো//অতঃপর তাঁর আছে//নামসমূহ//সুন্দর//এবং না//খুব উঁচু স্বর করো//তোমার সালাতে//এবং না//খুব নিচু স্বর করো//তাতে//এবং অবলম্বন করো//মাঝে//এর//মধ্য পথ\""
            },
            {
              "number": 2140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2140.mp3"
              ],
              "text": "وَقُلِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى لَمْ يَتَّخِذْ وَلَدًۭا وَلَمْ يَكُن لَّهُۥ شَرِيكٌۭ فِى ٱلْمُلْكِ وَلَمْ يَكُن لَّهُۥ وَلِىٌّۭ مِّنَ ٱلذُّلِّ ۖ وَكَبِّرْهُ تَكْبِيرًۢا",
              "translate_bn": "বলুনঃ সমস্ত প্রশংসা আল্লাহর যিনি না কোন সন্তান রাখেন, না তাঁর সার্বভৌমত্বে কোন শরীক আছে এবং যিনি দুর্দশাগ্রস্ত হন না, যে কারণে তাঁর কোন সাহয্যকারীর প্রয়োজন হতে পারে। সুতরাং আপনি স-সম্ভ্রমে তাঁর মাহাত্ন?2476;র্ণনা করতে থাকুন।",
              "numberInSurah": 111,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 251,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লি হামদুলিল্লা-হিল্লাযী লাম ইয়াত্তাখিযওয়ালাদাওঁ ওয়া লাম ইয়াকুল্লাহূশারীকুন ফিল মুলকি ওয়া লাম ইয়াকুল্লাহূওয়ালিইয়ুম মিনাযযুলিল ওয়া কাব্বিরহু তাকবীরা-।",
              "words_arabic": "وَ قُلِ/وَقُلِ/waquli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//لَمْ/لَمۡ/lam//یَتَّخِذْ/يَتَّخِذۡ/yattakhidh//وَلَدًا/وَلَدٗا/waladan//وَّ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//شَرِیْكٌ/شَرِيكٞ/sharikun//فِی/فِي/fi//الْمُلْكِ/ٱلۡمُلۡكِ/al-mul'ki//وَ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//وَلِیٌّ/وَلِيّٞ/waliyyun//مِّنَ/مِّنَ/mina//الذُّلِّ/ٱلذُّلِّۖ/al-dhuli//وَ كَبِّرْهُ/وَكَبِّرۡهُ/wakabbir'hu//تَكْبِیْرًا۠/تَكۡبِيرَۢا/takbiran",
              "words_bangla": "এবং বলো//\"সব প্রশংসাই//জন্যে আল্লাহ তা'লার//যিনি//নি//গ্রহণ করেন//পুত্রসন্তান//আর না//আছে//জন্যে তাঁর//কোনো অংশীদার//মধ্যে//সার্বভৌমত্বে//এবং না (প্রয়োজন)//আছে//জন্যে তাঁর//কোনো অভিভাবক//থেকে//(এমন কোন) দুর্বলতা//এবং তাঁর মাহাত্ম্য  ঘোষণা করো//(পূর্ণভাবে) মাহাত্ম্য\""
            }
          ]
        },
        {
          "number": 18,
          "name": "سُورَةُ الكَهۡفِ",
          "englishName": "Al-Kahf",
          "englishNameTranslation": "The Cave",
          "revelationType": "Meccan",
          "verse": 110,
          "words": 3350,
          "chars": 13823,
          "ayahs": [
            {
              "number": 2141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2141.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِىٓ أَنزَلَ عَلَىٰ عَبْدِهِ ٱلْكِتَٰبَ وَلَمْ يَجْعَل لَّهُۥ عِوَجَا ۜ",
              "translate_bn": "সব প্রশংসা আল্লাহর যিনি নিজের বান্দার প্রতি এ গ্রন্থ নাযিল করেছেন এবং তাতে কোন বক্রতা রাখেননি।",
              "numberInSurah": 1,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "আলহামদুলিল্লা-হিল্লাযীআনঝালা ‘আলা-‘আবদিহিল কিতা-বা ওয়ালাম ইয়াজ‘আল্লাহূ ‘ইওয়াজা-।",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//عَلٰی/عَلَىٰ/ala//عَبْدِهِ/عَبۡدِهِ/abdihi//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ لَمْ/وَلَمۡ/walam//یَجْعَلْ/يَجۡعَل/yaj'al//لَّهٗ/لَّهُۥ/lahu//عِوَجًاؕٚ/عِوَجَاۜ/iwaja",
              "words_bangla": "সকল প্রশংসা//জন্যে আল্লাহর//যিনি//অবতীর্ণ করেছেন//উপর//তাঁর দাসের//এই গ্রন্থ//এবং//রাখেননি//জন্যে তার//কোনো বক্রতা"
            },
            {
              "number": 2142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2142.mp3"
              ],
              "text": "قَيِّمًۭا لِّيُنذِرَ بَأْسًۭا شَدِيدًۭا مِّن لَّدُنْهُ وَيُبَشِّرَ ٱلْمُؤْمِنِينَ ٱلَّذِينَ يَعْمَلُونَ ٱلصَّٰلِحَٰتِ أَنَّ لَهُمْ أَجْرًا حَسَنًۭا",
              "translate_bn": "একে সুপ্রতিষ্ঠিত করেছেন যা আল্লাহর পক্ষ থেকে একটি ভীষণ বিপদের ভয় প্রদর্শন করে এবং মুমিনদেরকে যারা সৎকর্ম সম্পাদন করে-তাদেরকে সুসংবাদ দান করে যে, তাদের জন্যে উত্তম প্রতিদান রয়েছে।",
              "numberInSurah": 2,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "কাইয়িমাল লিইউনযিরা বা’ছান শাদীদাম মিল্লাদুনহু ওয়া ইউবাশশিরাল মু’মিনীনাল্লাযীনা ইয়া‘মালূনাসসা-লিহা-তি আন্না লাহুম আজরান হাছানা-।",
              "words_arabic": "قَیِّمًا/قَيِّمٗا/qayyiman//لِّیُنْذِرَ/لِّيُنذِرَ/liyundhira//بَاْسًا/بَأۡسٗا/basan//شَدِیْدًا/شَدِيدٗا/shadidan//مِّنْ/مِّن/min//لَّدُنْهُ/لَّدُنۡهُ/ladun'hu//وَ یُبَشِّرَ/وَيُبَشِّرَ/wayubashira//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//اَنَّ/أَنَّ/anna//لَهُمْ/لَهُمۡ/lahum//اَجْرًا/أَجۡرًا/ajran//حَسَنًاۙ/حَسَنٗا/hasanan",
              "words_bangla": "দৃঢ়ভাবে প্রতিষ্ঠিত//জন্যে সতর্ক করার//শাস্তি (সম্পর্কে)//কঠিন//থেকে//তাঁর পক্ষ//এবং সুসংবাদ দেয়//মু'মিনদেরকে//যারা//কাজ করে//সৎ//যে//জন্যে তাদের আছে//পুরস্কার//উত্তম"
            },
            {
              "number": 2143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2143.mp3"
              ],
              "text": "مَّٰكِثِينَ فِيهِ أَبَدًۭا",
              "translate_bn": "তারা তাতে চিরকাল অবস্থান করবে।",
              "numberInSurah": 3,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "মা-কিছীনা ফীহি আবাদা-।",
              "words_arabic": "مَّاكِثِیْنَ/مَّـٰكِثِينَ/makithina//فِیْهِ/فِيهِ/fihi//اَبَدًاۙ/أَبَدٗا/abadan",
              "words_bangla": "তারা বসবাসকারী (হবে)//মধ্যে তার//চিরকাল"
            },
            {
              "number": 2144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2144.mp3"
              ],
              "text": "وَيُنذِرَ ٱلَّذِينَ قَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًۭا",
              "translate_bn": "এবং তাদেরকে ভয় প্রদর্শন করার জন্যে যারা বলে যে, আল্লাহর সন্তান রয়েছে।",
              "numberInSurah": 4,
              "juz": 15,
              "manzil": 4,
              "page": 293,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউনযিরাল্লাযীনা কা-লুত্তাখাযাল্লা-হু ওয়ালাদা-।",
              "words_arabic": "وَّ یُنْذِرَ/وَيُنذِرَ/wayundhira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوا/قَالُواْ/qalu//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اللّٰهُ/ٱللَّهُ/al-lahu//وَلَدًاۗ/وَلَدٗا/waladan",
              "words_bangla": "এবং সতর্ক করে//(তাদেরকে) যারা//বলে//\"গ্রহণ করেছেন//\"আল্লাহ//সন্তান\""
            },
            {
              "number": 2145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2145.mp3"
              ],
              "text": "مَّا لَهُم بِهِۦ مِنْ عِلْمٍۢ وَلَا لِءَابَآئِهِمْ ۚ كَبُرَتْ كَلِمَةًۭ تَخْرُجُ مِنْ أَفْوَٰهِهِمْ ۚ إِن يَقُولُونَ إِلَّا كَذِبًۭا",
              "translate_bn": "এ সম্পর্কে তাদের কোন জ্ঞান নেই এবং তাদের পিতৃপুরুষদেরও নেই। কত কঠিন তাদের মুখের কথা। তারা যা বলে তা তো সবই মিথ্যা।",
              "numberInSurah": 5,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "মা-লাহুম বিহী মিন ‘ইলমিওঁ ওয়ালা-লিআ-বাইহিম কাবুরাত কালিমাতান তাখরুজু মিন আফওয়া-হিহিম ইয়ঁইয়াকূলূনা ইল্লা-কাযিবা-।\r\n",
              "words_arabic": "مَا/مَّا/ma//لَهُمْ/لَهُم/lahum//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//عِلْمٍ/عِلۡمٖ/il'min//وَّ لَا/وَلَا/wala//لِاٰبَآىِٕهِمْ ؕ/لِأٓبَآئِهِمۡۚ/liabaihim//كَبُرَتْ/كَبُرَتۡ/kaburat//كَلِمَةً/كَلِمَةٗ/kalimatan//تَخْرُجُ/تَخۡرُجُ/takhruju//مِنْ/مِنۡ/min//اَفْوَاهِهِمْ ؕ/أَفۡوَٰهِهِمۡۚ/afwahihim//اِنْ/إِن/in//یَّقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِلَّا/إِلَّا/illa//كَذِبًا /كَذِبٗا/kadhiban",
              "words_bangla": "নেই//কাছে তাদের//সম্পর্কে সে//কোনো//জ্ঞান//এবং না (আছে)//কাছে পিতৃপুরুষদের তাদের//সাংঘাতিক//কথা//তা বের হয়//থেকে//মুখগুলোর তাদের//না//তারা বলে//ছাড়া//মিথ্যা"
            },
            {
              "number": 2146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2146.mp3"
              ],
              "text": "فَلَعَلَّكَ بَٰخِعٌۭ نَّفْسَكَ عَلَىٰٓ ءَاثَٰرِهِمْ إِن لَّمْ يُؤْمِنُوا۟ بِهَٰذَا ٱلْحَدِيثِ أَسَفًا",
              "translate_bn": "যদি তারা এই বিষয়বস্তুর প্রতি বিশ্বাস স্থাপন না করে, তবে তাদের পশ্চাতে সম্ভবতঃ আপনি পরিতাপ করতে করতে নিজের প্রাণ নিপাত করবেন।",
              "numberInSurah": 6,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ফালা‘আল্লাকা বা-খি‘উন্নাফছাকা ‘আলা আ-ছা-রিহিম ইল্লাম ইউ’মিনূ বিহা-যাল হাদীছিআছাফা-।",
              "words_arabic": "فَلَعَلَّكَ/فَلَعَلَّكَ/fala'allaka//بَاخِعٌ/بَٰخِعٞ/bakhi'un//نَّفْسَكَ/نَّفۡسَكَ/nafsaka//عَلٰۤی/عَلَىٰٓ/ala//اٰثَارِهِمْ/ءَاثَٰرِهِمۡ/atharihim//اِنْ/إِن/in//لَّمْ/لَّمۡ/lam//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//بِهٰذَا/بِهَٰذَا/bihadha//الْحَدِیْثِ/ٱلۡحَدِيثِ/al-hadithi//اَسَفًا /أَسَفًا/asafan",
              "words_bangla": "তবে তুমি সম্ভবতঃ//বিনাশকারী হবে//তোমার প্রাণ//থেকে থেকে//পিছনে তাদের//যদি//না//তারা ঈমান আনে//উপর এই//কথার//দুঃখে"
            },
            {
              "number": 2147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2147.mp3"
              ],
              "text": "إِنَّا جَعَلْنَا مَا عَلَى ٱلْأَرْضِ زِينَةًۭ لَّهَا لِنَبْلُوَهُمْ أَيُّهُمْ أَحْسَنُ عَمَلًۭا",
              "translate_bn": "আমি পৃথিবীস্থ সব কিছুকে পৃথিবীর জন্যে শোভা করেছি, যাতে লোকদের পরীক্ষা করি যে, তাদের মধ্যে কে ভাল কাজ করে।",
              "numberInSurah": 7,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ইন্না-জা‘আলনা-মা-‘আলাল আরদি ঝীনাতাল্লাহা- লিনাবলুওয়াহুম আইয়ুহুম আহছানু ‘আমালা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//جَعَلْنَا/جَعَلۡنَا/ja'alna//مَا/مَا/ma//عَلَی/عَلَى/ala//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//زِیْنَةً/زِينَةٗ/zinatan//لَّهَا/لَّهَا/laha//لِنَبْلُوَهُمْ/لِنَبۡلُوَهُمۡ/linabluwahum//اَیُّهُمْ/أَيُّهُمۡ/ayyuhum//اَحْسَنُ/أَحۡسَنُ/ahsanu//عَمَلًا /عَمَلٗا/amalan",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা বানিয়েছি//যা (আছে)//উপর//জমিনের//শোভা//জন্যে তার//যাতে পরীক্ষা করি আমরা তাদেরকে//কে মধ্যে তাদের//উত্তম//কাজে"
            },
            {
              "number": 2148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2148.mp3"
              ],
              "text": "وَإِنَّا لَجَٰعِلُونَ مَا عَلَيْهَا صَعِيدًۭا جُرُزًا",
              "translate_bn": "এবং তার উপর যাকিছু রয়েছে, অবশ্যই তা আমি উদ্ভিদশূন্য মাটিতে পরিণত করে দেব।",
              "numberInSurah": 8,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লাজা-‘ইলূনা মা-‘আলাইহা-সা‘ঈদান জুরুঝা-।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//لَجٰعِلُوْنَ/لَجَٰعِلُونَ/laja'iluna//مَا/مَا/ma//عَلَیْهَا/عَلَيۡهَا/alayha//صَعِیْدًا/صَعِيدٗا/sa'idan//جُرُزًاؕ/جُرُزًا/juruzan",
              "words_bangla": "এবং নিশ্চয়ই আমরা//অবশ্যই পরিণতকারী//যা আছে//উপর তার//ভূমি//বিরান"
            },
            {
              "number": 2149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2149.mp3"
              ],
              "text": "أَمْ حَسِبْتَ أَنَّ أَصْحَٰبَ ٱلْكَهْفِ وَٱلرَّقِيمِ كَانُوا۟ مِنْ ءَايَٰتِنَا عَجَبًا",
              "translate_bn": "আপনি কি ধারণা করেন যে, গুহা ও গর্তের অধিবাসীরা আমার নিদর্শনাবলীর মধ্যে বিস্ময়কর ছিল ?",
              "numberInSurah": 9,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবতা আন্না আসহা-বাল কাহফি ওয়ার রাকীমি কা-নূমিন আ-য়া-তিনা‘আজাবা-।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبْتَ/حَسِبۡتَ/hasib'ta//اَنَّ/أَنَّ/anna//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْكَهْفِ/ٱلۡكَهۡفِ/al-kahfi//وَ الرَّقِیْمِ ۙ/وَٱلرَّقِيمِ/wal-raqimi//كَانُوْا/كَانُواْ/kanu//مِنْ/مِنۡ/min//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//عَجَبًا /عَجَبًا/ajaban",
              "words_bangla": "কি//তুমি মনে করেছো//যে//অধিবাসীরা//গুহার//ও রাকীমের//ছিলো//মধ্য থেকে//আমাদের নিদর্শনগুলোর//আশ্চর্যজনক"
            },
            {
              "number": 2150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2150.mp3"
              ],
              "text": "إِذْ أَوَى ٱلْفِتْيَةُ إِلَى ٱلْكَهْفِ فَقَالُوا۟ رَبَّنَآ ءَاتِنَا مِن لَّدُنكَ رَحْمَةًۭ وَهَيِّئْ لَنَا مِنْ أَمْرِنَا رَشَدًۭا",
              "translate_bn": "যখন যুবকরা পাহাড়ের গুহায় আশ্রয়গ্রহণ করে তখন দোআ করেঃ হে আমাদের পালনকর্তা, আমাদেরকে নিজের কাছ থেকে রহমত দান করুন এবং আমাদের জন্যে আমাদের কাজ সঠিকভাবে পূর্ণ করুন।",
              "numberInSurah": 10,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ইয আওয়াল ফিতইয়াতুইলাল কাহফি ফাকা-লূরাব্বানাআ-তিনা-মিল্লাদুনকা রাহমাতাওঁ ওয়া হাইয়ি’ লানা-মিন আমরিনা-রাশাদা-।",
              "words_arabic": "اِذْ/إِذۡ/idh//اَوَی/أَوَى/awa//الْفِتْیَةُ/ٱلۡفِتۡيَةُ/al-fit'yatu//اِلَی/إِلَى/ila//الْكَهْفِ/ٱلۡكَهۡفِ/al-kahfi//فَقَالُوْا/فَقَالُواْ/faqalu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰتِنَا/ءَاتِنَا/atina//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//رَحْمَةً/رَحۡمَةٗ/rahmatan//وَّ هَیِّئْ/وَهَيِّئۡ/wahayyi//لَنَا/لَنَا/lana//مِنْ/مِنۡ/min//اَمْرِنَا/أَمۡرِنَا/amrina//رَشَدًا /رَشَدٗا/rashadan",
              "words_bangla": "যখন//আশ্রয় নিয়েছিলো//যুবকরা//মধ্যে//গুহার//তখন তারা বলেছিলো//\"হে আমাদের রব//আমাদের দাও//থেকে//তোমার পক্ষ//অনুগ্রহ//এবং ব্যবস্হা করে দাও//জন্যে আমাদের//থেকে//আমাদের কাজ//সুষ্ঠ ভাবে\""
            },
            {
              "number": 2151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2151.mp3"
              ],
              "text": "فَضَرَبْنَا عَلَىٰٓ ءَاذَانِهِمْ فِى ٱلْكَهْفِ سِنِينَ عَدَدًۭا",
              "translate_bn": "তখন আমি কয়েক বছরের জন্যে গুহায় তাদের কানের উপর নিদ্রার পর্দা ফেলে দেই।",
              "numberInSurah": 11,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ফাদারাবনা-‘আলাআ-যা-নিহিম ফিল কাহফি ছিনীনা ‘আদাদা-।",
              "words_arabic": "فَضَرَبْنَا/فَضَرَبۡنَا/fadarabna//عَلٰۤی/عَلَىٰٓ/ala//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//فِی/فِي/fi//الْكَهْفِ/ٱلۡكَهۡفِ/al-kahfi//سِنِیْنَ/سِنِينَ/sinina//عَدَدًاۙ/عَدَدٗا/adadan",
              "words_bangla": "অতঃপর আমরা (ঘুমের পর্দা) দিলাম//উপর//কানগুলোর তাদের//মধ্যে//গুহার//বছর//কয়েক"
            },
            {
              "number": 2152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2152.mp3"
              ],
              "text": "ثُمَّ بَعَثْنَٰهُمْ لِنَعْلَمَ أَىُّ ٱلْحِزْبَيْنِ أَحْصَىٰ لِمَا لَبِثُوٓا۟ أَمَدًۭا",
              "translate_bn": "অতঃপর আমি তাদেরকে পুনরত্থিত করি, একথা জানার জন্যে যে, দুই দলের মধ্যে কোন দল তাদের অবস্থানকাল সম্পর্কে অধিক নির্ণয় করতে পারে।",
              "numberInSurah": 12,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 252,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা বা‘আছনা-হুম লিনা‘লামা আইয়ুল হিঝবাইনি আহসা-লিমা-লাবিছূদ্মআমাদা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//بَعَثْنٰهُمْ/بَعَثۡنَٰهُمۡ/ba'athnahum//لِنَعْلَمَ/لِنَعۡلَمَ/lina'lama//اَیُّ/أَيُّ/ayyu//الْحِزْبَیْنِ/ٱلۡحِزۡبَيۡنِ/al-hiz'bayni//اَحْصٰی/أَحۡصَىٰ/ahsa//لِمَا/لِمَا/lima//لَبِثُوْۤا/لَبِثُوٓاْ/labithu//اَمَدًا۠/أَمَدٗا/amadan",
              "words_bangla": "এরপর//আমরা জাগালাম তাদের//যেন আমরা জানি//কোনটি//দু'দলের//হিসাব করেছিলো (সঠিক)//জন্যে যা//তারা অবস্থান করেছিলো//সময়কাল"
            },
            {
              "number": 2153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2153.mp3"
              ],
              "text": "نَّحْنُ نَقُصُّ عَلَيْكَ نَبَأَهُم بِٱلْحَقِّ ۚ إِنَّهُمْ فِتْيَةٌ ءَامَنُوا۟ بِرَبِّهِمْ وَزِدْنَٰهُمْ هُدًۭى",
              "translate_bn": "আপনার কাছে তাদের ইতিবৃত্তান্ত সঠিকভাবে বর্ণনা করছি। তারা ছিল কয়েকজন যুবক। তারা তাদের পালনকর্তার প্রতি বিশ্বাস স্থাপন করেছিল এবং আমি তাদের সৎপথে চলার শক্তি বাড়িয়ে দিয়েছিলাম।",
              "numberInSurah": 13,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 253,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "নাহনুনাকুসসু‘আলাইকা নাবাআহুম বিলহাক্কি ইন্নাহুম ফিতইয়াতুন আ-মানূ বিরাব্বিহিম ওয়াঝিদনা-হুম হুদা-।",
              "words_arabic": "نَحْنُ/نَّحۡنُ/nahnu//نَقُصُّ/نَقُصُّ/naqussu//عَلَیْكَ/عَلَيۡكَ/alayka//نَبَاَهُمْ/نَبَأَهُم/naba-ahum//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//اِنَّهُمْ/إِنَّهُمۡ/innahum//فِتْیَةٌ/فِتۡيَةٌ/fit'yatun//اٰمَنُوْا/ءَامَنُواْ/amanu//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//وَ زِدْنٰهُمْ/وَزِدۡنَٰهُمۡ/wazid'nahum//هُدًیۗۖ/هُدٗى/hudan",
              "words_bangla": "আমরা//বর্ণনা করছি//কাছে তোমার//খবর তাদের//ভাবে সঠিক//নিশ্চয়ই তারা//যুবক (ছিলো)//ঈমান এনেছিলো//উপর রবের তাদের//এবং আমরা বাড়িয়ে দিয়েছিলাম তাদের//পথের দিশা"
            },
            {
              "number": 2154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2154.mp3"
              ],
              "text": "وَرَبَطْنَا عَلَىٰ قُلُوبِهِمْ إِذْ قَامُوا۟ فَقَالُوا۟ رَبُّنَا رَبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ لَن نَّدْعُوَا۟ مِن دُونِهِۦٓ إِلَٰهًۭا ۖ لَّقَدْ قُلْنَآ إِذًۭا شَطَطًا",
              "translate_bn": "আমি তাদের মন দৃঢ় করেছিলাম, যখন তারা উঠে দাঁড়িয়েছিল। অতঃপর তারা বললঃ আমাদের পালনকর্তা আসমান ও যমীনের পালনকর্তা আমরা কখনও তার পরিবর্তে অন্য কোন উপাস্যকে আহবান করব না। যদি করি, তবে তা অত্যন্ত গর্হিত কাজ হবে।",
              "numberInSurah": 14,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 253,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাবাতনা-‘আলা-কুলূবিহিম ইয কা-মূফাকা-লূরাব্বুনা-রাব্বুছছামা-ওয়া-তি ওয়াল আরদিলান নাদ‘উওয়া মিন দূনিহীইলা-হাল লাকাদ কুলনাইযান শাতাতা-।",
              "words_arabic": "وَّ رَبَطْنَا/وَرَبَطۡنَا/warabatna//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اِذْ/إِذۡ/idh//قَامُوْا/قَامُواْ/qamu//فَقَالُوْا/فَقَالُواْ/faqalu//رَبُّنَا/رَبُّنَا/rabbuna//رَبُّ/رَبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//لَنْ/لَن/lan//نَّدْعُوَاۡ/نَّدۡعُوَاْ/nad'uwa//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اِلٰهًا/إِلَٰهٗاۖ/ilahan//لَّقَدْ/لَّقَدۡ/laqad//قُلْنَاۤ/قُلۡنَآ/qul'na//اِذًا/إِذٗا/idhan//شَطَطًا /شَطَطًا/shatatan",
              "words_bangla": "এবং আমরা দৃঢ় করেছিলাম//উপর//অন্তরগুলো তাদের//যখন//তারা দাঁড়িয়েছিলো//তখন তারা বলেছিলো//\"আমাদের রব//রব//আকাশসমূহের//এবং পৃথিবীর//কখনও না//আমরা ডাকবো//ছাড়া//তাকে//(অন্য) ইলাহকে//নিশ্চয়ই (যদি করি)//আমরা বলবো//তাহ'লে//গর্হিত (কথা)"
            },
            {
              "number": 2155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2155.mp3"
              ],
              "text": "هَٰٓؤُلَآءِ قَوْمُنَا ٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةًۭ ۖ لَّوْلَا يَأْتُونَ عَلَيْهِم بِسُلْطَٰنٍۭ بَيِّنٍۢ ۖ فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًۭا",
              "translate_bn": "এরা আমাদেরই স্ব-জাতি, এরা তাঁর পরিবর্তে অনেক উপাস্য গ্রহণ করেছে। তারা এদের সম্পর্কে প্রকাশ্য প্রমাণ উপস্থিত করে না কেন? যে আল্লাহ সম্পর্কে মিথ্যা উদ্ভাবন করে, তার চাইতে অধিক গোনাহগার আর কে?",
              "numberInSurah": 15,
              "juz": 15,
              "manzil": 4,
              "page": 294,
              "ruku": 253,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "হাউলাই কাওমুনাত্তাখাযূমিন দূ নিহীআ-লিহাতাল লাওলা-ইয়া’তূনা ‘আলাইহিম বিছুলতা-নিম বাইয়িনিন ফামান আজলামুমিম্মানিফতারা-‘আলাল্লা-হি কাযিবা-।",
              "words_arabic": "هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//قَوْمُنَا/قَوۡمُنَا/qawmuna//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اٰلِهَةً ؕ/ءَالِهَةٗۖ/alihatan//لَوْ لَا/لَّوۡلَا/lawla//یَاْتُوْنَ/يَأۡتُونَ/yatuna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِسُلْطٰنٍۭ/بِسُلۡطَٰنِۭ/bisul'tanin//بَیِّنٍ ؕ/بَيِّنٖۖ/bayyinin//فَمَنْ/فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًاؕ/كَذِبٗا/kadhiban",
              "words_bangla": "এসব//আমার স্বজাতির লোক//গ্রহণ করেছে//ছাড়া//তাঁকে//বহু উপাস্য//কেন না//তারা আসে//কাছে তাদের//নিয়ে প্রমাণ//সুস্পষ্ট//অতঃপর কে//অধিক সীমালঙ্ঘনকারী//তার চেয়ে যে//আরোপ করে//উপর//আল্লাহ্‌র//মিথ্যা"
            },
            {
              "number": 2156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2156.mp3"
              ],
              "text": "وَإِذِ ٱعْتَزَلْتُمُوهُمْ وَمَا يَعْبُدُونَ إِلَّا ٱللَّهَ فَأْوُۥٓا۟ إِلَى ٱلْكَهْفِ يَنشُرْ لَكُمْ رَبُّكُم مِّن رَّحْمَتِهِۦ وَيُهَيِّئْ لَكُم مِّنْ أَمْرِكُم مِّرْفَقًۭا",
              "translate_bn": "তোমরা যখন তাদের থেকে পৃথক হলে এবং তারা আল্লাহর পরিবর্তে যাদের এবাদত করে তাদের থেকে, তখন তোমরা গুহায় আশ্রয়গ্রহণ কর। তোমাদের পালনকর্তা তোমাদের জন্যে দয়া বিস্তার করবেন এবং তিনি তোমাদের জন্য তোমাদের কাজ কর্মকে ফলপ্রসু করার ব্যবস্থা করবেন।",
              "numberInSurah": 16,
              "juz": 15,
              "manzil": 4,
              "page": 295,
              "ruku": 253,
              "hizbQuarter": 117,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযি‘তাঝালতুমূহুম ওয়ামা-ইয়া‘বুদূনা ইল্লাল্লা-হা ফা’ঊইলাল কাহফি ইয়ানশুরুলাকুম রাব্বুকুম মির রাহমাতিহী ওয়া ইউহাইয়ি’ লাকুম মিন আমরিকুম মিরফাকা-।",
              "words_arabic": "وَ اِذِ/وَإِذِ/wa-idhi//اعْتَزَلْتُمُوْهُمْ/ٱعۡتَزَلۡتُمُوهُمۡ/i'tazaltumuhum//وَ مَا/وَمَا/wama//یَعْبُدُوْنَ/يَعۡبُدُونَ/ya'buduna//اِلَّا/إِلَّا/illa//اللّٰهَ/ٱللَّهَ/al-laha//فَاْوٗۤا/فَأۡوُۥٓاْ/fawu//اِلَی/إِلَى/ila//الْكَهْفِ/ٱلۡكَهۡفِ/al-kahfi//یَنْشُرْ/يَنشُرۡ/yanshur//لَكُمْ/لَكُمۡ/lakum//رَبُّكُمْ/رَبُّكُم/rabbukum//مِّنْ/مِّن/min//رَّحْمَتِهٖ/رَّحۡمَتِهِۦ/rahmatihi//وَ یُهَیِّئْ/وَيُهَيِّئۡ/wayuhayyi//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اَمْرِكُمْ/أَمۡرِكُم/amrikum//مِّرْفَقًا /مِّرۡفَقٗا/mir'faqan",
              "words_bangla": "এবং যখন//তোমরা বিচ্ছিন্ন হয়েছো তাদের (থেকে)//এবং যাদের//তারা উপাসনা করে//ছাড়া//আল্লাহ্‌র//তাহ'লে আশ্রয় নাও//মধ্যে//গুহার//প্রশস্ত করবেন//জন্যে তোমাদের//রব তোমাদের//সাহায্যে//তাঁর অনুগ্রহের//এবং তৈরি করে দিবেন//জন্যে তোমাদের//থেকে//কাজ তোমাদের//ফলপ্রসূ\""
            },
            {
              "number": 2157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2157.mp3"
              ],
              "text": "۞ وَتَرَى ٱلشَّمْسَ إِذَا طَلَعَت تَّزَٰوَرُ عَن كَهْفِهِمْ ذَاتَ ٱلْيَمِينِ وَإِذَا غَرَبَت تَّقْرِضُهُمْ ذَاتَ ٱلشِّمَالِ وَهُمْ فِى فَجْوَةٍۢ مِّنْهُ ۚ ذَٰلِكَ مِنْ ءَايَٰتِ ٱللَّهِ ۗ مَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِ ۖ وَمَن يُضْلِلْ فَلَن تَجِدَ لَهُۥ وَلِيًّۭا مُّرْشِدًۭا",
              "translate_bn": "তুমি সূর্যকে দেখবে, যখন উদিত হয়, তাদের গুহা থেকে পাশ কেটে ডান দিকে চলে যায় এবং যখন অস্ত যায়, তাদের থেকে পাশ কেটে বামদিকে চলে যায়, অথচ তারা গুহার প্রশস্ত চত্বরে অবস্থিত। এটা আল্লাহর নিদর্শনাবলীর অন্যতম। আল্লাহ যাকে সৎপথে চালান, সেই সৎপথ প্রাপ্ত এবং তিনি যাকে পথভ্রষ্ট করেন, আপনি কখনও তার জন্যে পথপ্রদর্শনকারী ও সাহায্যকারী পাবেন না।",
              "numberInSurah": 17,
              "juz": 15,
              "manzil": 4,
              "page": 295,
              "ruku": 253,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাশশামছা ইযা-তালা‘আততাঝা-ওয়ারু ‘আন কাহফিহিম যা-তাল ইয়ামীনি ওয়া ইযা-গারাবাত তাকরিদুহুম যা-তাশশিমা-লি ওয়া হুম ফী ফাজওয়াতিম মিনহু যালিকা মিন আ-য়া-তিল্লা-হি মাইঁ ইয়াহদিল্লা-হু ফাহুওয়াল মুহতাদি ওয়া মাই ইউদলিল ফালান তাজিদা লাহূত্তয়ালিইইয়াম মুরশিদা-।",
              "words_arabic": "وَ تَرَی/۞وَتَرَى/watara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//اِذَا/إِذَا/idha//طَلَعَتْ/طَلَعَت/tala'at//تَّزٰوَرُ/تَّزَٰوَرُ/tazawaru//عَنْ/عَن/an//كَهْفِهِمْ/كَهۡفِهِمۡ/kahfihim//ذَاتَ/ذَاتَ/dhata//الْیَمِیْنِ/ٱلۡيَمِينِ/al-yamini//وَ اِذَا/وَإِذَا/wa-idha//غَرَبَتْ/غَرَبَت/gharabat//تَّقْرِضُهُمْ/تَّقۡرِضُهُمۡ/taqriduhum//ذَاتَ/ذَاتَ/dhata//الشِّمَالِ/ٱلشِّمَالِ/al-shimali//وَ هُمْ/وَهُمۡ/wahum//فِیْ/فِي/fi//فَجْوَةٍ/فَجۡوَةٖ/fajwatin//مِّنْهُ ؕ/مِّنۡهُۚ/min'hu//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//مَنْ/مَن/man//یَّهْدِ/يَهۡدِ/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//فَهُوَ/فَهُوَ/fahuwa//الْمُهْتَدِ ۚ/ٱلۡمُهۡتَدِۖ/al-muh'tadi//وَ مَنْ/وَمَن/waman//یُّضْلِلْ/يُضۡلِلۡ/yud'lil//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لَهٗ/لَهُۥ/lahu//وَلِیًّا/وَلِيّٗا/waliyyan//مُّرْشِدًا۠/مُّرۡشِدٗا/mur'shidan",
              "words_bangla": "এবং তুমি দেখবে//সূর্যকে//যখন//উদয় হয়//সরে যায়//থেকে//গুহা তাদের//পাশ দিয়ে//ডান//এবং যখন//অস্ত যায়//তা অতিক্রম করে তাদেরকে//পাশ দিয়ে//বাম//অথচ তারা//মধ্যে//প্রশস্ত চত্বরের//থেকে তা//এটা//মধ্য থেকে//নিদর্শনাদির//আল্লাহ্‌র//যাকে//পথ দেখান//আল্লাহ্‌//অতঃপর সেই//সঠিক পথপ্রাপ্ত//এবং যাকে//পথভ্রষ্ট করেন//তখন কখনও না//তুমি পাবে//জন্যে তার//কোনো অভিভাবক//কোনো পথ প্রদর্শক"
            },
            {
              "number": 2158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2158.mp3"
              ],
              "text": "وَتَحْسَبُهُمْ أَيْقَاظًۭا وَهُمْ رُقُودٌۭ ۚ وَنُقَلِّبُهُمْ ذَاتَ ٱلْيَمِينِ وَذَاتَ ٱلشِّمَالِ ۖ وَكَلْبُهُم بَٰسِطٌۭ ذِرَاعَيْهِ بِٱلْوَصِيدِ ۚ لَوِ ٱطَّلَعْتَ عَلَيْهِمْ لَوَلَّيْتَ مِنْهُمْ فِرَارًۭا وَلَمُلِئْتَ مِنْهُمْ رُعْبًۭا",
              "translate_bn": "তুমি মনে করবে তারা জাগ্রত, অথচ তারা নিদ্রিত। আমি তাদেরকে পার্শ্ব পরিবর্তন করাই ডান দিকে ও বাম দিকে। তাদের কুকুর ছিল সামনের পা দুটি গুহাদ্বারে প্রসারিত করে। যদি তুমি উঁকি দিয়ে তাদেরকে দেখতে, তবে পেছন ফিরে পলায়ন করতে এবং তাদের ভয়ে আতংক গ্রস্ত হয়ে পড়তে।",
              "numberInSurah": 18,
              "juz": 15,
              "manzil": 4,
              "page": 295,
              "ruku": 254,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাহছাবুহুম আইকা-জাওঁ ওয়া হুম রুকূদুওঁ ওয়া নুকালিলবুহুম যা-তাল ইয়ামীনি ওয়া যা-তাশশিমা-লি ওয়াকালবুহুম বা-ছিতু ন যিরা-‘আইহি বিল ওয়াসীদি লাবিততালা‘তা ‘আলাইহিম লাওয়াল্লাইতা মিনহুম ফিরা-রাওঁ ওয়ালামুলি’তা মিনহুম রু‘বা-।",
              "words_arabic": "وَ تَحْسَبُهُمْ/وَتَحۡسَبُهُمۡ/watahsabuhum//اَیْقَاظًا/أَيۡقَاظٗا/ayqazan//وَّ هُمْ/وَهُمۡ/wahum//رُقُوْدٌ ۖۗ/رُقُودٞۚ/ruqudun//وَّ نُقَلِّبُهُمْ/وَنُقَلِّبُهُمۡ/wanuqallibuhum//ذَاتَ/ذَاتَ/dhata//الْیَمِیْنِ/ٱلۡيَمِينِ/al-yamini//وَ ذَاتَ/وَذَاتَ/wadhata//الشِّمَالِ ۖۗ/ٱلشِّمَالِۖ/al-shimali//وَ كَلْبُهُمْ/وَكَلۡبُهُم/wakalbuhum//بَاسِطٌ/بَٰسِطٞ/basitun//ذِرَاعَیْهِ/ذِرَاعَيۡهِ/dhira'ayhi//بِالْوَصِیْدِ ؕ/بِٱلۡوَصِيدِۚ/bil-wasidi//لَوِ/لَوِ/lawi//اطَّلَعْتَ/ٱطَّلَعۡتَ/ittala'ta//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لَوَلَّیْتَ/لَوَلَّيۡتَ/lawallayta//مِنْهُمْ/مِنۡهُمۡ/min'hum//فِرَارًا/فِرَارٗا/firaran//وَّ لَمُلِئْتَ/وَلَمُلِئۡتَ/walamuli'ta//مِنْهُمْ/مِنۡهُمۡ/min'hum//رُعْبًا /رُعۡبٗا/ru'ban",
              "words_bangla": "এবং তুমি মনে করবে তাদের//জাগ্রত//অথচ তারা (ছিলো)//ঘুমন্ত//এবং পাশ ফেরাতাম আমরা তাদের//পাশে//ডান//ও পাশে//বাম//এবং (ছিলো) তাদের কুকুর//প্রসারিতকারী//তার সামনের দু'পা//মধ্যে গর্তের মুখের//যদি//উঁকি মেরে দেখতে//দিকে তাদের//অবশ্যই তুমি পিঠ ফিরাতে//থেকে তাদের//পালিয়ে//এবং অবশ্যই সঞ্চার হতো//থেকে তাদের//ভয়"
            },
            {
              "number": 2159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2159.mp3"
              ],
              "text": "وَكَذَٰلِكَ بَعَثْنَٰهُمْ لِيَتَسَآءَلُوا۟ بَيْنَهُمْ ۚ قَالَ قَآئِلٌۭ مِّنْهُمْ كَمْ لَبِثْتُمْ ۖ قَالُوا۟ لَبِثْنَا يَوْمًا أَوْ بَعْضَ يَوْمٍۢ ۚ قَالُوا۟ رَبُّكُمْ أَعْلَمُ بِمَا لَبِثْتُمْ فَٱبْعَثُوٓا۟ أَحَدَكُم بِوَرِقِكُمْ هَٰذِهِۦٓ إِلَى ٱلْمَدِينَةِ فَلْيَنظُرْ أَيُّهَآ أَزْكَىٰ طَعَامًۭا فَلْيَأْتِكُم بِرِزْقٍۢ مِّنْهُ وَلْيَتَلَطَّفْ وَلَا يُشْعِرَنَّ بِكُمْ أَحَدًا",
              "translate_bn": "আমি এমনি ভাবে তাদেরকে জাগ্রত করলাম, যাতে তারা পরস্পর জিজ্ঞাসাবাদ করে। তাদের একজন বললঃ তোমরা কতকাল অবস্থান করেছ? তাদের কেউ বললঃ একদিন অথবা একদিনের কিছু অংশ অবস্থান করছি। কেউ কেউ বললঃ তোমাদের পালনকর্তাই ভাল জানেন তোমরা কতকাল অবস্থান করেছ। এখন তোমাদের একজনকে তোমাদের এই মুদ্রাসহ শহরে প্রেরণ কর; সে যেন দেখে কোন খাদ্য পবিত্র। অতঃপর তা থেকে যেন কিছু খাদ্য নিয়ে আসে তোমাদের জন্য; সে যেন নম্রতা সহকারে যায় ও কিছুতেই যেন তোমাদের খবর কাউকে না জানায়।",
              "numberInSurah": 19,
              "juz": 15,
              "manzil": 4,
              "page": 295,
              "ruku": 254,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা বা‘আছনা-হুম লিইয়াতাছাআলূবাইনাহুম কা-লা কাইলুম মিনহুম কাম লাবিছতুম কা-লূলাবিছনা-ইয়াওমান আও বা‘দা ইয়াওমিন কালূরাব্বুকুম আ‘লামুবিমা-লাবিছতুম ফাব‘আছূআহাদাকুম বিওয়ারিকিকুম হাযিহীইলাল মাদীনাতি ফালইয়ানজু র আইয়ুহাআঝকা-তা‘আ-মান ফালইয়া’তিকুম বিরিঝকিম মিনহু ওয়াল ইয়াতালাততাফ ওয়ালা-ইউশ‘ইরান্না বিকুম আহাদা-।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//بَعَثْنٰهُمْ/بَعَثۡنَٰهُمۡ/ba'athnahum//لِیَتَسَآءَلُوْا/لِيَتَسَآءَلُواْ/liyatasaalu//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//قَالَ/قَالَ/qala//قَآىِٕلٌ/قَآئِلٞ/qailun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//كَمْ/كَمۡ/kam//لَبِثْتُمْ ؕ/لَبِثۡتُمۡۖ/labith'tum//قَالُوْا/قَالُواْ/qalu//لَبِثْنَا/لَبِثۡنَا/labith'na//یَوْمًا/يَوۡمًا/yawman//اَوْ/أَوۡ/aw//بَعْضَ/بَعۡضَ/ba'da//یَوْمٍ ؕ/يَوۡمٖۚ/yawmin//قَالُوْا/قَالُواْ/qalu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//لَبِثْتُمْ ؕ/لَبِثۡتُمۡ/labith'tum//فَابْعَثُوْۤا/فَٱبۡعَثُوٓاْ/fa-ib'athu//اَحَدَكُمْ/أَحَدَكُم/ahadakum//بِوَرِقِكُمْ/بِوَرِقِكُمۡ/biwariqikum//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اِلَی/إِلَى/ila//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//فَلْیَنْظُرْ/فَلۡيَنظُرۡ/falyanzur//اَیُّهَاۤ/أَيُّهَآ/ayyuha//اَزْكٰی/أَزۡكَىٰ/azka//طَعَامًا/طَعَامٗا/ta'aman//فَلْیَاْتِكُمْ/فَلۡيَأۡتِكُم/falyatikum//بِرِزْقٍ/بِرِزۡقٖ/biriz'qin//مِّنْهُ/مِّنۡهُ/min'hu//وَ لْیَتَلَطَّفْ ؔ/وَلۡيَتَلَطَّفۡ/walyatalattaf//وَ لَا/وَلَا/wala//یُشْعِرَنَّ/يُشۡعِرَنَّ/yush'iranna//بِكُمْ/بِكُمۡ/bikum//اَحَدًا /أَحَدًا/ahadan",
              "words_bangla": "এবং এভাবেই//আমরা উঠালাম তাদের//যেন তারা পরস্পরে জিজ্ঞেস করে//মাঝে তাদের//বললো//একজন কথক//মধ্য থেকে তাদের//\"কত (দিন)//অবস্থান করেছিলে তোমরা\"//তারা বলেছিলো//\"অবস্থান করেছিলাম আমরা//একদিন//বা//কিছু অংশ//একদিনের\"//তারা বলেছিলো//\"রব তোমাদের//খুব জানেন//এ সম্বন্ধে যা//অবস্থান করেছো তোমরা//তোমরা এখন পাঠাও//তোমাদের একজনকে//দিয়ে তোমাদের মুদ্রা//এই//দিকে//শহরটির//তবে সে যেন দেখে//কোনটি//পবিত্রতম//খাদ্য//অতঃপর তোমাদের কাছে আসবে//নিয়ে খাদ্য//তা থেকে//এবং সে যেন সতর্ক হয়//এবং না//টের পেতে দেয়//সম্বন্ধে তোমাদের//কাউকে\""
            },
            {
              "number": 2160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2160.mp3"
              ],
              "text": "إِنَّهُمْ إِن يَظْهَرُوا۟ عَلَيْكُمْ يَرْجُمُوكُمْ أَوْ يُعِيدُوكُمْ فِى مِلَّتِهِمْ وَلَن تُفْلِحُوٓا۟ إِذًا أَبَدًۭا",
              "translate_bn": "তারা যদি তোমাদের খবর জানতে পারে, তবে পাথর মেরে তোমাদেরকে হত্যা করবে, অথবা তোমাদেরকে তাদের ধর্মে ফিরিয়ে নেবে। তাহলে তোমরা কখনই সাফল্য লাভ করবে না।",
              "numberInSurah": 20,
              "juz": 15,
              "manzil": 4,
              "page": 295,
              "ruku": 254,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম ইয়ঁ ইয়াজহারূ‘আলাইকুম ইয়ারজুমূকুম আও ইউ‘ঈদূকুম ফী মিল্লাতিহিম ওয়ালান তুফলিহূইযান আবাদা-।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//اِنْ/إِن/in//یَّظْهَرُوْا/يَظۡهَرُواْ/yazharu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//یَرْجُمُوْكُمْ/يَرۡجُمُوكُمۡ/yarjumukum//اَوْ/أَوۡ/aw//یُعِیْدُوْكُمْ/يُعِيدُوكُمۡ/yu'idukum//فِیْ/فِي/fi//مِلَّتِهِمْ/مِلَّتِهِمۡ/millatihim//وَ لَنْ/وَلَن/walan//تُفْلِحُوْۤا/تُفۡلِحُوٓاْ/tuf'lihu//اِذًا/إِذًا/idhan//اَبَدًا /أَبَدٗا/abadan",
              "words_bangla": "\"নিশ্চয়ই তারা//যদি//তারা টের পায়//সম্পর্কে তোমাদের//পাথর মেরে হত্যা করবে তোমাদের//অথবা//ফিরিয়ে আনবে তোমাদের//মধ্যে//ধর্মের তাদের//এবং কখনও না//তোমরা সফল হবে//তাহ'লে//কখনও\""
            },
            {
              "number": 2161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2161.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَعْثَرْنَا عَلَيْهِمْ لِيَعْلَمُوٓا۟ أَنَّ وَعْدَ ٱللَّهِ حَقٌّۭ وَأَنَّ ٱلسَّاعَةَ لَا رَيْبَ فِيهَآ إِذْ يَتَنَٰزَعُونَ بَيْنَهُمْ أَمْرَهُمْ ۖ فَقَالُوا۟ ٱبْنُوا۟ عَلَيْهِم بُنْيَٰنًۭا ۖ رَّبُّهُمْ أَعْلَمُ بِهِمْ ۚ قَالَ ٱلَّذِينَ غَلَبُوا۟ عَلَىٰٓ أَمْرِهِمْ لَنَتَّخِذَنَّ عَلَيْهِم مَّسْجِدًۭا",
              "translate_bn": "এমনিভাবে আমি তাদের খবর প্রকাশ করে দিলাম, যাতে তারা জ্ঞাত হয় যে, আল্লাহর ওয়াদা সত্য এবং কেয়ামতে কোন সন্দেহ নেই। যখন তারা নিজেদের কর্তব্য বিষয়ে পরস্পর বিতর্ক করছিল, তখন তারা বললঃ তাদের উপর সৌধ নির্মাণ কর। তাদের পালনকর্তা তাদের বিষয়ে ভাল জানেন। তাদের কর্তব্য বিষয়ে যাদের মত প্রবল হল, তারা বললঃ আমরা অবশ্যই তাদের স্থানে মসজিদ নির্মান করব।",
              "numberInSurah": 21,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 254,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আ‘ছারনা-‘আলাইহিম লিইয়া‘লামূআন্না-ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়া আন্নাছছা-‘আতা লা-রাইবা ফীহা- ইয ইয়াতানা -ঝা‘ঊনা বাইনাহুম আমরাহুম ফাকালুবনূ‘আলাইহিম বুনইয়া-নার রাব্বুহুম আ‘লামুবিহিম কা-লাল্লাযীনা গালাবূ ‘আলাআমরিহিম লানাত্তাখিযান্না ‘আলাইহিম মাছজিদা-।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَعْثَرْنَا/أَعۡثَرۡنَا/a'tharna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//لِیَعْلَمُوْۤا/لِيَعۡلَمُوٓاْ/liya'lamu//اَنَّ/أَنَّ/anna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞ/haqqun//وَّ اَنَّ/وَأَنَّ/wa-anna//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهَا ۗۚ/فِيهَآ/fiha//اِذْ/إِذۡ/idh//یَتَنَازَعُوْنَ/يَتَنَٰزَعُونَ/yatanaza'una//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اَمْرَهُمْ/أَمۡرَهُمۡۖ/amrahum//فَقَالُوا/فَقَالُواْ/faqalu//ابْنُوْا/ٱبۡنُواْ/ib'nu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بُنْیَانًا ؕ/بُنۡيَٰنٗاۖ/bun'yanan//رَبُّهُمْ/رَّبُّهُمۡ/rabbuhum//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِهِمْ ؕ/بِهِمۡۚ/bihim//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//غَلَبُوْا/غَلَبُواْ/ghalabu//عَلٰۤی/عَلَىٰٓ/ala//اَمْرِهِمْ/أَمۡرِهِمۡ/amrihim//لَنَتَّخِذَنَّ/لَنَتَّخِذَنَّ/lanattakhidhanna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّسْجِدًا /مَّسۡجِدٗا/masjidan",
              "words_bangla": "এবং এভাবে//আমরা জানিয়ে দিলাম//সম্পর্কে তাদের//যেন তারা জানে//যে//প্রতিশ্রুতি//আল্লাহ্‌র//সত্য//এবং (এও) যে//ক্বিয়ামাত আসবেই//নেই//কোনো সন্দেহ//মধ্যে তার//যখন//তারা পরস্পরে বিতর্ক করছিলো//মাঝে তাদের//কাজে তাদের//তখন তারা বলেছিলো//\"তোমরা নির্মাণ করো//উপর তাদের//সৌধ//রব তাদের//ভালো জানেন//সম্বন্ধে তাদের\"//বললো//যারা//প্রবল হয়েছিলো//উপর//তাদের মতের//\"অবশ্যই আমরা নির্মাণ করবো//উপর তাদের//মাসজিদ\""
            },
            {
              "number": 2162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2162.mp3"
              ],
              "text": "سَيَقُولُونَ ثَلَٰثَةٌۭ رَّابِعُهُمْ كَلْبُهُمْ وَيَقُولُونَ خَمْسَةٌۭ سَادِسُهُمْ كَلْبُهُمْ رَجْمًۢا بِٱلْغَيْبِ ۖ وَيَقُولُونَ سَبْعَةٌۭ وَثَامِنُهُمْ كَلْبُهُمْ ۚ قُل رَّبِّىٓ أَعْلَمُ بِعِدَّتِهِم مَّا يَعْلَمُهُمْ إِلَّا قَلِيلٌۭ ۗ فَلَا تُمَارِ فِيهِمْ إِلَّا مِرَآءًۭ ظَٰهِرًۭا وَلَا تَسْتَفْتِ فِيهِم مِّنْهُمْ أَحَدًۭا",
              "translate_bn": "অজ্ঞাত বিষয়ে অনুমানের উপর ভিত্তি করে এখন তারা বলবেঃ তারা ছিল তিন জন; তাদের চতুর্থটি তাদের কুকুর। একথাও বলবে; তারা পাঁচ জন। তাদের ছষ্ঠটি ছিল তাদের কুকুর। আরও বলবেঃ তারা ছিল সাত জন। তাদের অষ্টমটি ছিল তাদের কুকুর। বলুনঃ আমার পালনকর্তা তাদের সংখ্যা ভাল জানেন। তাদের খবর অল্প লোকই জানে। সাধারণ আলোচনা ছাড়া আপনি তাদের সম্পর্কে বিতর্ক করবেন না এবং তাদের অবস্থা সম্পর্কে তাদের কাউকে জিজ্ঞাসাবাদ ও করবেন না।",
              "numberInSurah": 22,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 254,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলূনা ছালা-ছাতুর রা-বি‘উহুম কালবুহুম ওয়া ইয়াকূলূনা খামছাতুন ছা-দিছুহুম কালবুহুম রাজমাম বিলগাইবি ওয়া ইয়াকূলূনা ছাব‘আতুওঁ ওয়া ছা-মিনুহুম কালবুহুম কুর রাববীআ‘লামুবি‘ইদ্দাতিহিম মা-ইয়া‘লামুহুম ইল্লা-কালীলুন ফালা-তুমারি ফীহিম ইল্লা-মিরাআন জা-হিরাওঁ ওয়ালা-তাছতাফতি ফীহিম মিনহুম আহাদা-।",
              "words_arabic": "سَیَقُوْلُوْنَ/سَيَقُولُونَ/sayaquluna//ثَلٰثَةٌ/ثَلَٰثَةٞ/thalathatun//رَّابِعُهُمْ/رَّابِعُهُمۡ/rabi'uhum//كَلْبُهُمْ ۚ/كَلۡبُهُمۡ/kalbuhum//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//خَمْسَةٌ/خَمۡسَةٞ/khamsatun//سَادِسُهُمْ/سَادِسُهُمۡ/sadisuhum//كَلْبُهُمْ/كَلۡبُهُمۡ/kalbuhum//رَجْمًۢا/رَجۡمَۢا/rajman//بِالْغَیْبِ ۚ/بِٱلۡغَيۡبِۖ/bil-ghaybi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//سَبْعَةٌ/سَبۡعَةٞ/sab'atun//وَّ ثَامِنُهُمْ/وَثَامِنُهُمۡ/wathaminuhum//كَلْبُهُمْ ؕ/كَلۡبُهُمۡۚ/kalbuhum//قُلْ/قُل/qul//رَّبِّیْۤ/رَّبِّيٓ/rabbi//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِعِدَّتِهِمْ/بِعِدَّتِهِم/bi'iddatihim//مَّا/مَّا/ma//یَعْلَمُهُمْ/يَعۡلَمُهُمۡ/ya'lamuhum//اِلَّا/إِلَّا/illa//قَلِیْلٌ ۫۬/قَلِيلٞۗ/qalilun//فَلَا/فَلَا/fala//تُمَارِ/تُمَارِ/tumari//فِیْهِمْ/فِيهِمۡ/fihim//اِلَّا/إِلَّا/illa//مِرَآءً/مِرَآءٗ/miraan//ظَاهِرًا ۪/ظَٰهِرٗا/zahiran//وَّ لَا/وَلَا/wala//تَسْتَفْتِ/تَسۡتَفۡتِ/tastafti//فِیْهِمْ/فِيهِم/fihim//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَحَدًا۠/أَحَدٗا/ahadan",
              "words_bangla": "তারা শীঘ্রই বলবে//তিন (তাদের সংখ্যা)//চতুর্থটি (ছিলো) তাদের//কুকুর তাদের//এবং (কিছু লোক) বলবে//পাঁচ (জন)//ষষ্ঠটি তাদের//কুকুর তাদের//আনুমানিক (কথা)//বিষয়ে অজানা//এবং (কিছু লোক) বলবে//সাত (তাদের সংখ্যা)//এবং অষ্টমটি তাদের//কুকুর তাদের//বলো//\"আমার রব//ভালো জানেন//সম্পর্কে তাদের সংখ্যা//না//জানে তাদের//ছাড়া//অল্প (লোক)//অতএব//বিতর্ক করো না//বিষয়ে তাদের//ছাড়া//আলোচনা//মামুলি//এবং না//জিজ্ঞেস করবে তুমি//বিষয়ে তাদের//মধ্য থেকে তাদের//কাউকে\""
            },
            {
              "number": 2163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2163.mp3"
              ],
              "text": "وَلَا تَقُولَنَّ لِشَا۟ىْءٍ إِنِّى فَاعِلٌۭ ذَٰلِكَ غَدًا",
              "translate_bn": "আপনি কোন কাজের বিষয়ে বলবেন না যে, সেটি আমি আগামী কাল করব।",
              "numberInSurah": 23,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূলান্না লিশাইয়িন ইন্নী ফা-‘ইলুন যা-লিকা গাদা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَقُوْلَنَّ/تَقُولَنَّ/taqulanna//لِشَایْءٍ/لِشَاْيۡءٍ/lishay'in//اِنِّیْ/إِنِّي/inni//فَاعِلٌ/فَاعِلٞ/fa'ilun//ذٰلِكَ/ذَٰلِكَ/dhalika//غَدًاۙ/غَدًا/ghadan",
              "words_bangla": "এবং না//বলবে কখনও//কোনো কিছুকে//\"নিশ্চয়ই আমি//সম্পাদনকারী//এটা//আগামীকাল\""
            },
            {
              "number": 2164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2164.mp3"
              ],
              "text": "إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ وَٱذْكُر رَّبَّكَ إِذَا نَسِيتَ وَقُلْ عَسَىٰٓ أَن يَهْدِيَنِ رَبِّى لِأَقْرَبَ مِنْ هَٰذَا رَشَدًۭا",
              "translate_bn": "‘আল্লাহ ইচ্ছা করলে’ বলা ব্যতিরেকে। যখন ভুলে যান, তখন আপনার পালনকর্তাকে স্মরণ করুন এবং বলুনঃ আশা করি আমার পালনকর্তা আমাকে এর চাইতেও নিকটতম সত্যের পথ নির্দেশ করবেন।",
              "numberInSurah": 24,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ইল্লাআইঁ ইয়াশাআল্লা-হু ওয়াযকুর রাব্বাকা ইযা-নাছীতা ওয়াকুল ‘আছাআইঁ ইয়াহদিয়ানি রাববী লিআকরাবা মিন হা-যা-রাশাদা-।",
              "words_arabic": "اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ ؗ/ٱللَّهُۚ/al-lahu//وَ اذْكُرْ/وَٱذۡكُر/wa-udh'kur//رَّبَّكَ/رَّبَّكَ/rabbaka//اِذَا/إِذَا/idha//نَسِیْتَ/نَسِيتَ/nasita//وَ قُلْ/وَقُلۡ/waqul//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّهْدِیَنِ/يَهۡدِيَنِ/yahdiyani//رَبِّیْ/رَبِّي/rabbi//لِاَقْرَبَ/لِأَقۡرَبَ/li-aqraba//مِنْ/مِنۡ/min//هٰذَا/هَٰذَا/hadha//رَشَدًا /رَشَدٗا/rashadan",
              "words_bangla": "ছাড়া//\"যে//ইচ্ছে করেন\"//আল্লাহ্‌\"//এবং স্মরণ করো//তোমার রবকে//যদি//তুমি ভুলে যাও//এবং বলো//\"সম্ভবতঃ//যে//আমাকে পথ দেখাবেন//আমার রব//নিকটবর্তী (কথা)//চেয়ে//এটার//সত্যের\""
            },
            {
              "number": 2165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2165.mp3"
              ],
              "text": "وَلَبِثُوا۟ فِى كَهْفِهِمْ ثَلَٰثَ مِا۟ئَةٍۢ سِنِينَ وَٱزْدَادُوا۟ تِسْعًۭا",
              "translate_bn": "তাদের উপর তাদের গুহায় তিনশ বছর, অতিরিক্ত আরও নয় বছর অতিবাহিত হয়েছে।",
              "numberInSurah": 25,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাবিছূফী কাহফিহিম ছালা-ছা মিআতিন ছিনীনা ওয়াঝদা-দূতিছ‘আ-।",
              "words_arabic": "وَ لَبِثُوْا/وَلَبِثُواْ/walabithu//فِیْ/فِي/fi//كَهْفِهِمْ/كَهۡفِهِمۡ/kahfihim//ثَلٰثَ/ثَلَٰثَ/thalatha//مِائَةٍ/مِاْئَةٖ/mi-atin//سِنِیْنَ/سِنِينَ/sinina//وَ ازْدَادُوْا/وَٱزۡدَادُواْ/wa-iz'dadu//تِسْعًا /تِسۡعٗا/tis'an",
              "words_bangla": "এবং তারা অবস্থান করেছিলো//মধ্যে//গুহার তাদের//তিন//শত//বছর//এবং তারা বৃদ্ধি করেছিলো//(আরও) নয়"
            },
            {
              "number": 2166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2166.mp3"
              ],
              "text": "قُلِ ٱللَّهُ أَعْلَمُ بِمَا لَبِثُوا۟ ۖ لَهُۥ غَيْبُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ أَبْصِرْ بِهِۦ وَأَسْمِعْ ۚ مَا لَهُم مِّن دُونِهِۦ مِن وَلِىٍّۢ وَلَا يُشْرِكُ فِى حُكْمِهِۦٓ أَحَدًۭا",
              "translate_bn": "বলুনঃ তারা কতকাল অবস্থান করেছে, তা আল্লাহই ভাল জানেন। নভোমন্ডল ও ভুমন্ডলের অদৃশ্য বিষয়ের জ্ঞান তাঁরই কাছে রয়েছে। তিনি কত চমৎকার দেখেন ও শোনেন। তিনি ব্যতীত তাদের জন্য কোন সাহায্যকারী নেই। তিনি কাউকে নিজ কর্তৃত্বে শরীক করেন না।",
              "numberInSurah": 26,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হু আ‘লামুবিমা-লাবিছূ লাহূগাইবুছছামা-ওয়া-তি ওয়াল আরদি আবসির বিহী ওয়া আছমি‘ মা-লাহুম মিন দূ নিহী মিওঁ ওয়ালিইয়িওঁ ওয়ালা-ইউশরিকুফী হুকমিহীআহাদা-।",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//لَبِثُوْا ۚ/لَبِثُواْۖ/labithu//لَهٗ/لَهُۥ/lahu//غَیْبُ/غَيۡبُ/ghaybu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//اَبْصِرْ/أَبۡصِرۡ/absir//بِهٖ/بِهِۦ/bihi//وَ اَسْمِعْ ؕ/وَأَسۡمِعۡۚ/wa-asmi'//مَا/مَا/ma//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//وَّلِیٍّ ؗ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//یُشْرِكُ/يُشۡرِكُ/yush'riku//فِیْ/فِي/fi//حُكْمِهٖۤ/حُكۡمِهِۦٓ/huk'mihi//اَحَدًا /أَحَدٗا/ahadan",
              "words_bangla": "বলো//\"আল্লাহ্‌ই//ভালো জানেন//সম্পর্কে যা//তারা অবস্থান করেছিলো//আছে তাঁরই//অদৃশ্যের জ্ঞান//আকাশসমূহের//এবং পৃথিবীর//কত সুন্দরভাবে দেখেন//সম্পর্কে তা//এবং কত সুন্দর শুনেন//নেই//জন্যে তাদের//ছাড়া//তিনি//কোনো//(অন্য) অভিভাবক//এবং না//তিনি শরিক করেন//ব্যাপারে//তাঁর কর্তৃত্বের//(অন্য) কাউকে\""
            },
            {
              "number": 2167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2167.mp3"
              ],
              "text": "وَٱتْلُ مَآ أُوحِىَ إِلَيْكَ مِن كِتَابِ رَبِّكَ ۖ لَا مُبَدِّلَ لِكَلِمَٰتِهِۦ وَلَن تَجِدَ مِن دُونِهِۦ مُلْتَحَدًۭا",
              "translate_bn": "আপনার প্রতি আপনার পালনকর্তার যে, কিতাব প্রত্যাদিষ্ট করা হয়েছে, তা পাঠ করুন। তাঁর বাক্য পরিবর্তন করার কেউ নাই। তাঁকে ব্যতীত আপনি কখনই কোন আশ্রয় স্থল পাবেন না।",
              "numberInSurah": 27,
              "juz": 15,
              "manzil": 4,
              "page": 296,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়াতলুমাঊহিয়া ইলাইকা মিন কিতা-বি রাব্বিকা লা-মুবাদ্দিলা লিকালিমা-তিহী ওয়া লান তাজিদা মিন দূ নিহী মুলতাহাদা-।",
              "words_arabic": "وَ اتْلُ/وَٱتۡلُ/wa-ut'lu//مَاۤ/مَآ/ma//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//كِتَابِ/كِتَابِ/kitabi//رَبِّكَ ؕۚ/رَبِّكَۖ/rabbika//لَا/لَا/la//مُبَدِّلَ/مُبَدِّلَ/mubaddila//لِكَلِمٰتِهٖ ۫ۚ/لِكَلِمَٰتِهِۦ/likalimatihi//وَ لَنْ/وَلَن/walan//تَجِدَ/تَجِدَ/tajida//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مُلْتَحَدًا /مُلۡتَحَدٗا/mul'tahadan",
              "words_bangla": "এবং আবৃত্তি করো//যা//ওহী করা হয়েছে//প্রতি তোমার//থেকে//কিতাব//তোমার রবের//নেই//পরিবর্তনকারী//তাঁর কথাগুলোর//এবং কখনও না//তুমি পাবে//ছাড়া//তিনি//আশ্রয়স্থান"
            },
            {
              "number": 2168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2168.mp3"
              ],
              "text": "وَٱصْبِرْ نَفْسَكَ مَعَ ٱلَّذِينَ يَدْعُونَ رَبَّهُم بِٱلْغَدَوٰةِ وَٱلْعَشِىِّ يُرِيدُونَ وَجْهَهُۥ ۖ وَلَا تَعْدُ عَيْنَاكَ عَنْهُمْ تُرِيدُ زِينَةَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَا تُطِعْ مَنْ أَغْفَلْنَا قَلْبَهُۥ عَن ذِكْرِنَا وَٱتَّبَعَ هَوَىٰهُ وَكَانَ أَمْرُهُۥ فُرُطًۭا",
              "translate_bn": "আপনি নিজেকে তাদের সংসর্গে আবদ্ধ রাখুন যারা সকাল ও সন্ধ্যায় তাদের পালনকর্তাকে তাঁর সন্তুষ্টি অর্জনের উদ্দেশ্যে আহবান করে এবং আপনি পার্থিব জীবনের সৌন্দর্য কামনা করে তাদের থেকে নিজের দৃষ্টি ফিরিয়ে নেবেন না। যার মনকে আমার স্মরণ থেকে গাফেল করে দিয়েছি, যে, নিজের প্রবৃত্তির অনুসরণ করে এবং যার কার্য কলাপ হচ্ছে সীমা অতিক্রম করা, আপনি তার অনুগত্য করবেন না।",
              "numberInSurah": 28,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়াসবির নাফছাকা মা‘আল্লাযীনা ইয়াদ‘ঊনা রাব্বাহুম বিলগাদা-তি ওয়াল ‘আশিইয়ি ইউরীদূ না ওয়াজহাহূওয়ালা-তা‘দুআইনা-কা ‘আনহুম তুরীদুঝীনাতাল হায়াতিদদুনইয়া- ওয়ালা তুতি‘ মান আগফালনা-কালবাহূ‘আন যিকরিনা-ওয়াত্তাবা‘আ হাওয়া-হু ওয়া কা-না আমরুহূফুরুতা-।",
              "words_arabic": "وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//نَفْسَكَ/نَفۡسَكَ/nafsaka//مَعَ/مَعَ/ma'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//رَبَّهُمْ/رَبَّهُم/rabbahum//بِالْغَدٰوةِ/بِٱلۡغَدَوٰةِ/bil-ghadati//وَ الْعَشِیِّ/وَٱلۡعَشِيِّ/wal-'ashiyi//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//وَجْهَهٗ/وَجۡهَهُۥۖ/wajhahu//وَ لَا/وَلَا/wala//تَعْدُ/تَعۡدُ/ta'du//عَیْنٰكَ/عَيۡنَاكَ/aynaka//عَنْهُمْ ۚ/عَنۡهُمۡ/anhum//تُرِیْدُ/تُرِيدُ/turidu//زِیْنَةَ/زِينَةَ/zinata//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَا/وَلَا/wala//تُطِعْ/تُطِعۡ/tuti'//مَنْ/مَنۡ/man//اَغْفَلْنَا/أَغۡفَلۡنَا/aghfalna//قَلْبَهٗ/قَلۡبَهُۥ/qalbahu//عَنْ/عَن/an//ذِكْرِنَا/ذِكۡرِنَا/dhik'rina//وَ اتَّبَعَ/وَٱتَّبَعَ/wa-ittaba'a//هَوٰىهُ/هَوَىٰهُ/hawahu//وَ كَانَ/وَكَانَ/wakana//اَمْرُهٗ/أَمۡرُهُۥ/amruhu//فُرُطًا /فُرُطٗا/furutan",
              "words_bangla": "এবং স্থিতিশীল রাখবে//তোমার নিজেকে//সাথে//(তাদের) যারা//ডাকে//রবকে তাদের//বেলায় সকাল//ও সন্ধ্যায়//তারা চায়//তাঁর সন্তুষ্টি//এবং না//ফিরিয়ে নিও//তোমার দু'চোখ//থেকে তাদের//তুমি চাও//শোভা//জীবনের//পার্থিব//এবং না//আনুগত্য করো//(তার) যার//আমরা অমনোযোগী করে দিয়েছি//অন্তরকে তার//থেকে//আমাদের স্মরণ//এবং অনুসরণ করে//তাদের খেয়াল-খুশির//এবং হয়েছে//তার কাজ//সীমালঙ্ঘনমূলক"
            },
            {
              "number": 2169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2169.mp3"
              ],
              "text": "وَقُلِ ٱلْحَقُّ مِن رَّبِّكُمْ ۖ فَمَن شَآءَ فَلْيُؤْمِن وَمَن شَآءَ فَلْيَكْفُرْ ۚ إِنَّآ أَعْتَدْنَا لِلظَّٰلِمِينَ نَارًا أَحَاطَ بِهِمْ سُرَادِقُهَا ۚ وَإِن يَسْتَغِيثُوا۟ يُغَاثُوا۟ بِمَآءٍۢ كَٱلْمُهْلِ يَشْوِى ٱلْوُجُوهَ ۚ بِئْسَ ٱلشَّرَابُ وَسَآءَتْ مُرْتَفَقًا",
              "translate_bn": "বলুনঃ সত্য তোমাদের পালনকর্তার পক্ষ থেকে আগত। অতএব, যার ইচ্ছা, বিশ্বাস স্থাপন করুক এবং যার ইচ্ছা অমান্য করুক। আমি জালেমদের জন্যে অগ্নি প্রস্তুত করে রেখেছি, যার বেষ্টনী তাদের কে পরিবেষ্টন করে থাকবে। যদি তারা পানীয় প্রার্থনা করে, তবে পুঁজের ন্যায় পানীয় দেয়া হবে যা তাদের মুখমন্ডল দগ্ধ করবে। কত নিকৃষ্ট পানীয় এবং খুবই মন্দ আশ্রয়।",
              "numberInSurah": 29,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লি হাক্কুমির রাব্বিকুম ফামান শাআ ফালইউ’মিওঁ ওয়ামান শাআ ফালইয়াকফুর ইন্নাআ‘তাদনা-লিজ্জা-লিমীনা না-রান আহা-তা বিহিম ছুরাদিকুহা- ওয়াইয়ঁইয়াছতাগীছূইউগা-ছূবিমাইন কালমুহলি ইয়াশবিল উজূহা বি’ছাশ শারা-বু ওয়া ছাআত মুরতাফাকা-।",
              "words_arabic": "وَ قُلِ/وَقُلِ/waquli//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكُمْ ۫/رَّبِّكُمۡۖ/rabbikum//فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//فَلْیُؤْمِنْ/فَلۡيُؤۡمِن/falyu'min//وَّ مَنْ/وَمَن/waman//شَآءَ/شَآءَ/shaa//فَلْیَكْفُرْ ۙ/فَلۡيَكۡفُرۡۚ/falyakfur//اِنَّاۤ/إِنَّآ/inna//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//نَارًا ۙ/نَارًا/naran//اَحَاطَ/أَحَاطَ/ahata//بِهِمْ/بِهِمۡ/bihim//سُرَادِقُهَا ؕ/سُرَادِقُهَاۚ/suradiquha//وَ اِنْ/وَإِن/wa-in//یَّسْتَغِیْثُوْا/يَسۡتَغِيثُواْ/yastaghithu//یُغَاثُوْا/يُغَاثُواْ/yughathu//بِمَآءٍ/بِمَآءٖ/bimain//كَالْمُهْلِ/كَٱلۡمُهۡلِ/kal-muh'li//یَشْوِی/يَشۡوِي/yashwi//الْوُجُوْهَ ؕ/ٱلۡوُجُوهَۚ/al-wujuha//بِئْسَ/بِئۡسَ/bi'sa//الشَّرَابُ ؕ/ٱلشَّرَابُ/al-sharabu//وَ سَآءَتْ/وَسَآءَتۡ/wasaat//مُرْتَفَقًا /مُرۡتَفَقًا/mur'tafaqan",
              "words_bangla": "এবং বলো//\"(এসেছে) সত্য//পক্ষ হ'তে//রবের তোমার//অতএব যে//ইচ্ছে করে//অতঃপর ঈমান আনুক//এবং যে//ইচ্ছে করে//অতঃপর অস্বীকার করুক\"//নিশ্চয়ই আমরা//আমরা প্রস্তুত করে রেখেছি//জন্যে সীমালঙ্ঘনকারীদের//জাহান্নামের আগুন//পরিবেষ্টন করেছে//সহ তাদেরকে//তার শিখা//এবং যদি//তারা পান করতে চায়//তাদের পানি দেয়া হবে//এমন পানি//মতো তেলের গাদের//ঝলসে দিবে//মুখসমূহকে//কত নিকৃষ্ট//পানীয়//এবং অতিশয় খারাপ//আশ্রয়স্থল"
            },
            {
              "number": 2170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2170.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ إِنَّا لَا نُضِيعُ أَجْرَ مَنْ أَحْسَنَ عَمَلًا",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম সম্পাদন করে আমি সৎকর্মশীলদের পুরস্কার নষ্ট করি না।",
              "numberInSurah": 30,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া‘আমিলুসসা-লিহা-তি ইন্না-লা-নুদী‘উ আজরা মান আহছানা ‘আমালা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//اِنَّا/إِنَّا/inna//لَا/لَا/la//نُضِیْعُ/نُضِيعُ/nudi'u//اَجْرَ/أَجۡرَ/ajra//مَنْ/مَنۡ/man//اَحْسَنَ/أَحۡسَنَ/ahsana//عَمَلًاۚ/عَمَلًا/amalan",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//এবং কাজ করেছে//সৎ//নিশ্চয়ই আমরা//না//আমরা বিনষ্ট করি//পুরস্কার//যে//ভালো করে//কাজ"
            },
            {
              "number": 2171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2171.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ لَهُمْ جَنَّٰتُ عَدْنٍۢ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَٰرُ يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍۢ وَيَلْبَسُونَ ثِيَابًا خُضْرًۭا مِّن سُندُسٍۢ وَإِسْتَبْرَقٍۢ مُّتَّكِـِٔينَ فِيهَا عَلَى ٱلْأَرَآئِكِ ۚ نِعْمَ ٱلثَّوَابُ وَحَسُنَتْ مُرْتَفَقًۭا",
              "translate_bn": "তাদেরই জন্যে আছে বসবাসের জান্নাত। তাদের পাদদেশে প্রবাহিত হয় নহরসমূহ। তাদের তথায় স্বর্ণ-কংকনে অলংকৃত করা হবে এবং তারা পাতলা ও মোটা রেশমের সবুজ কাপর পরিধান করবে এমতাবস্থায় যে, তারা সিংহাসনে সমাসীন হবে। চমৎকার প্রতিদান এবং কত উত্তম আশ্রয়।",
              "numberInSurah": 31,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 255,
              "hizbQuarter": 118,
              "sajda": false,
              "pronunciation_bn": "উলাইকা লাহুমজান্না-তু‘আদনিন তাজরী মিন তাহতিহিমুল আনহা-রু ইউহাল্লাওনা ফীহামিন আছা-বিরা মিন যাহাবিওঁ ওয়া ইয়ালবাছূনা ছিয়াবান খুদরাম মিন ছুনদুছিওঁ ওয়া ইছতাবরাকিম মুত্তাকিঈনা ফিহা-‘আলাল আরাইকি নি‘মাছছাওয়া-বু ওয়া হাছুনাত মুরতাফাকা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهِمُ/تَحۡتِهِمُ/tahtihimu//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//یُحَلَّوْنَ/يُحَلَّوۡنَ/yuhallawna//فِیْهَا/فِيهَا/fiha//مِنْ/مِنۡ/min//اَسَاوِرَ/أَسَاوِرَ/asawira//مِنْ/مِن/min//ذَهَبٍ/ذَهَبٖ/dhahabin//وَّ یَلْبَسُوْنَ/وَيَلۡبَسُونَ/wayalbasuna//ثِیَابًا/ثِيَابًا/thiyaban//خُضْرًا/خُضۡرٗا/khud'ran//مِّنْ/مِّن/min//سُنْدُسٍ/سُندُسٖ/sundusin//وَّ اِسْتَبْرَقٍ/وَإِسۡتَبۡرَقٖ/wa-is'tabraqin//مُّتَّكِـِٕیْنَ/مُّتَّكِـِٔينَ/muttakiina//فِیْهَا/فِيهَا/fiha//عَلَی/عَلَى/ala//الْاَرَآىِٕكِ ؕ/ٱلۡأَرَآئِكِۚ/al-araiki//نِعْمَ/نِعۡمَ/ni'ma//الثَّوَابُ ؕ/ٱلثَّوَابُ/al-thawabu//وَ حَسُنَتْ/وَحَسُنَتۡ/wahasunat//مُرْتَفَقًا۠/مُرۡتَفَقٗا/mur'tafaqan",
              "words_bangla": "এসব লোক//জন্যে রয়েছে তাদের//জান্নাতসমূহ//স্থায়ী//প্রবাহিত হয়//থেকে//নিচ তার//ঝর্নাসমূহ//তাদের অলংকৃত করা হবে//মধ্যে তার//দিয়ে//কঙ্কণ//তৈরী//সোনার//এবং তাদের পরানো হবে//পোষাক//সবুজ//তৈরি//মিহি রেশমের//ও মোটা রেশমের//হেলান দিয়ে বসবে//মধ্যে তার//উপর//উঁচু আসনের//কত সুন্দর//প্রতিদান//এবং অতি উত্তম//আশ্রয়স্থল"
            },
            {
              "number": 2172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2172.mp3"
              ],
              "text": "۞ وَٱضْرِبْ لَهُم مَّثَلًۭا رَّجُلَيْنِ جَعَلْنَا لِأَحَدِهِمَا جَنَّتَيْنِ مِنْ أَعْنَٰبٍۢ وَحَفَفْنَٰهُمَا بِنَخْلٍۢ وَجَعَلْنَا بَيْنَهُمَا زَرْعًۭا",
              "translate_bn": "আপনি তাদের কাছে দু ব্যক্তির উদাহরণ বর্ণনা করুন। আমি তাদের একজনকে দুটি আঙ্গুরের বাগান দিয়েছি এবং এ দু’টিকে খর্জুর বৃক্ষ দ্বারা পরিবেষ্টিত করেছি এবং দু এর মাঝখানে করেছি শস্যক্ষেত্র।",
              "numberInSurah": 32,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়াদরিব লাহুম মাছালার রাজুলাইনি জা‘আলনা-লিআহাদিহিমা-জান্নাতাইনি মিন আ‘নাবিওঁ ওয়া হাফাফনা-হুমা বিনাখলিওঁ ওয়াজা‘আলনা-বাইনাহুমা-ঝার‘আ-।",
              "words_arabic": "وَ اضْرِبْ/۞وَٱضۡرِبۡ/wa-id'rib//لَهُمْ/لَهُم/lahum//مَّثَلًا/مَّثَلٗا/mathalan//رَّجُلَیْنِ/رَّجُلَيۡنِ/rajulayni//جَعَلْنَا/جَعَلۡنَا/ja'alna//لِاَحَدِهِمَا/لِأَحَدِهِمَا/li-ahadihima//جَنَّتَیْنِ/جَنَّتَيۡنِ/jannatayni//مِنْ/مِنۡ/min//اَعْنَابٍ/أَعۡنَٰبٖ/a'nabin//وَّ حَفَفْنٰهُمَا/وَحَفَفۡنَٰهُمَا/wahafafnahuma//بِنَخْلٍ/بِنَخۡلٖ/binakhlin//وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//زَرْعًاؕ/زَرۡعٗا/zar'an",
              "words_bangla": "এবং পেশ করো//জন্যে তাদের//একটি দৃষ্টান্ত//দু'ব্যক্তির//আমরা দিয়েছিলাম//দু'জনের একজনকে তাদের//দু'বাগান//থেকে//আঙ্গুরসমূহের//এবং দু'টিকে আমরা ঘিরে দিয়েছিলাম//দিয়ে খেজুর গাছ//এবং আমরা বানিয়েছিলাম//মাঝে উভয়ের//শস্যক্ষেত্র"
            },
            {
              "number": 2173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2173.mp3"
              ],
              "text": "كِلْتَا ٱلْجَنَّتَيْنِ ءَاتَتْ أُكُلَهَا وَلَمْ تَظْلِم مِّنْهُ شَيْـًۭٔا ۚ وَفَجَّرْنَا خِلَٰلَهُمَا نَهَرًۭا",
              "translate_bn": "উভয় বাগানই ফলদান করে এবং তা থেকে কিছুই হ্রাস করত না এবং উভয়ের ফাঁকে ফাঁকে আমি নহর প্রবাহিত করেছি।",
              "numberInSurah": 33,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "কিলতাল জান্নাতাইনি আ-তাত উকুলাহা-ওয়ালাম তাজলিম মিনহু শাইআওঁ ওয়া ফাজ্জারনাখিলা-লাহুমা-নাহারা-।",
              "words_arabic": "كِلْتَا/كِلۡتَا/kil'ta//الْجَنَّتَیْنِ/ٱلۡجَنَّتَيۡنِ/al-janatayni//اٰتَتْ/ءَاتَتۡ/atat//اُكُلَهَا/أُكُلَهَا/ukulaha//وَ لَمْ/وَلَمۡ/walam//تَظْلِمْ/تَظۡلِم/tazlim//مِّنْهُ/مِّنۡهُ/min'hu//شَیْـًٔا ۙ/شَيۡـٔٗاۚ/shayan//وَّ فَجَّرْنَا/وَفَجَّرۡنَا/wafajjarna//خِلٰلَهُمَا/خِلَٰلَهُمَا/khilalahuma//نَهَرًاۙ/نَهَرٗا/naharan",
              "words_bangla": "উভয়//বাগান//দিতো//তার ফল//এবং নি//কম করে//থেকে তা//কিছু//এবং আমরা প্রবাহিত করলাম//দু'টির ফাঁকে ফাঁকে তাদের//ঝর্না"
            },
            {
              "number": 2174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2174.mp3"
              ],
              "text": "وَكَانَ لَهُۥ ثَمَرٌۭ فَقَالَ لِصَٰحِبِهِۦ وَهُوَ يُحَاوِرُهُۥٓ أَنَا۠ أَكْثَرُ مِنكَ مَالًۭا وَأَعَزُّ نَفَرًۭا",
              "translate_bn": "সে ফল পেল। অতঃপর কথা প্রসঙ্গে সঙ্গীকে বললঃ আমার ধন-সম্পদ তোমার চাইতে বেশী এবং জনবলে আমি অধিক শক্তিশালী।",
              "numberInSurah": 34,
              "juz": 15,
              "manzil": 4,
              "page": 297,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-না লাহূছামারুন , ফাকা-লা লিসা-হিবিহী ওয়াহুওয়া ইউহা-বিরুহূআনা আকছারু মিনকা মা-লাওঁ ওয়া আ‘আঝঝুনাফারা-।",
              "words_arabic": "وَّ كَانَ/وَكَانَ/wakana//لَهٗ/لَهُۥ/lahu//ثَمَرٌ ۚ/ثَمَرٞ/thamarun//فَقَالَ/فَقَالَ/faqala//لِصَاحِبِهٖ/لِصَٰحِبِهِۦ/lisahibihi//وَ هُوَ/وَهُوَ/wahuwa//یُحَاوِرُهٗۤ/يُحَاوِرُهُۥٓ/yuhawiruhu//اَنَا/أَنَا۠/ana//اَكْثَرُ/أَكۡثَرُ/aktharu//مِنْكَ/مِنكَ/minka//مَالًا/مَالٗا/malan//وَّ اَعَزُّ/وَأَعَزُّ/wa-a'azzu//نَفَرًا /نَفَرٗا/nafaran",
              "words_bangla": "এবং ছিলো//জন্যে তার//(প্রচুর) ধনসম্পদ//অতঃপর সে বললো//তার সাথীকে//এমতাবস্হায় যে, সে//তার সাথে আলোচনা করছিলো//\"আমি//অধিকতর//তোমার চেয়ে//সম্পদে//ও অধিক শক্তিশালী//জনশক্তিতে\""
            },
            {
              "number": 2175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2175.mp3"
              ],
              "text": "وَدَخَلَ جَنَّتَهُۥ وَهُوَ ظَالِمٌۭ لِّنَفْسِهِۦ قَالَ مَآ أَظُنُّ أَن تَبِيدَ هَٰذِهِۦٓ أَبَدًۭا",
              "translate_bn": "নিজের প্রতি জুলুম করে সে তার বাগানে প্রবেশ করল। সে বললঃ আমার মনে হয় না যে, এ বাগান কখনও ধ্বংস হয়ে যাবে।",
              "numberInSurah": 35,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া দাখালা জান্নাতাহূওয়াহুওয়া জা-লিমুল লিনাফছিহী কা-লা মাআজুন্নুআন তাবীদা হা-যিহীআবাদা-।",
              "words_arabic": "وَ دَخَلَ/وَدَخَلَ/wadakhala//جَنَّتَهٗ/جَنَّتَهُۥ/jannatahu//وَ هُوَ/وَهُوَ/wahuwa//ظَالِمٌ/ظَالِمٞ/zalimun//لِّنَفْسِهٖ ۚ/لِّنَفۡسِهِۦ/linafsihi//قَالَ/قَالَ/qala//مَاۤ/مَآ/ma//اَظُنُّ/أَظُنُّ/azunnu//اَنْ/أَن/an//تَبِیْدَ/تَبِيدَ/tabida//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اَبَدًاۙ/أَبَدٗا/abadan",
              "words_bangla": "এবং প্রবেশ করলো//তার বাগানে//এবং এ অবস্থায় যে সে ছিলো//সীমালঙ্ঘনকারী//উপর তার নিজের//সে বললো//\"না//আমি মনে করি//যে//ধ্বংস হবে//এই (সম্পদ)//কখনও"
            },
            {
              "number": 2176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2176.mp3"
              ],
              "text": "وَمَآ أَظُنُّ ٱلسَّاعَةَ قَآئِمَةًۭ وَلَئِن رُّدِدتُّ إِلَىٰ رَبِّى لَأَجِدَنَّ خَيْرًۭا مِّنْهَا مُنقَلَبًۭا",
              "translate_bn": "এবং আমি মনে করি না যে, কেয়ামত অনুষ্ঠিত হবে। যদি কখনও আমার পালনকর্তার কাছে আমাকে পৌঁছে দেয়া হয়, তবে সেখানে এর চাইতে উৎকৃষ্ট পাব।",
              "numberInSurah": 36,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআজুন্নুছছা-‘আতা কাইমাতাওঁ ওয়ালাইর রুদিততুইলা-রাববী লাআজিদান্না খাইরাম মিনহা-মুনকালাবা-।",
              "words_arabic": "وَّ مَاۤ/وَمَآ/wama//اَظُنُّ/أَظُنُّ/azunnu//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//قَآىِٕمَةً ۙ/قَآئِمَةٗ/qaimatan//وَّ لَىِٕنْ/وَلَئِن/wala-in//رُّدِدْتُّ/رُّدِدتُّ/rudidttu//اِلٰی/إِلَىٰ/ila//رَبِّیْ/رَبِّي/rabbi//لَاَجِدَنَّ/لَأَجِدَنَّ/la-ajidanna//خَیْرًا/خَيۡرٗا/khayran//مِّنْهَا/مِّنۡهَا/min'ha//مُنْقَلَبًا /مُنقَلَبٗا/munqalaban",
              "words_bangla": "এবং না//আমি মনে করি//ক্বিয়ামাত//সংঘটিত হবে//এবং অবশ্যই যদি//আমি প্রত্যাবর্তিত হই//দিকে//আমার রবের//অবশ্যই আমি পাবো//উত্তম//তাদের দু'টির চেয়েও//প্রত্যাবর্তনস্থান\""
            },
            {
              "number": 2177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2177.mp3"
              ],
              "text": "قَالَ لَهُۥ صَاحِبُهُۥ وَهُوَ يُحَاوِرُهُۥٓ أَكَفَرْتَ بِٱلَّذِى خَلَقَكَ مِن تُرَابٍۢ ثُمَّ مِن نُّطْفَةٍۢ ثُمَّ سَوَّىٰكَ رَجُلًۭا",
              "translate_bn": "তার সঙ্গী তাকে কথা প্রসঙ্গে বললঃ তুমি তাঁকে অস্বীকার করছ, যিনি তোমাকে সৃষ্টি করেছেন মাটি থেকে, অতঃপর বীর্য থেকে, অতঃপর র্পূনাঙ্গ করেছেন তোমাকে মানবাকৃতিতে?",
              "numberInSurah": 37,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাহূসা-হিবুহূওয়া হুওয়া ইউহা-বিরুহআকাফারতা বিল্লাযী খালাকাকা মিন তুরা-বিন ছু ম্মা মিন নুতফাতিন ছুম্মা ছাওওয়া-কা রাজুলা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//صَاحِبُهٗ/صَاحِبُهُۥ/sahibuhu//وَ هُوَ/وَهُوَ/wahuwa//یُحَاوِرُهٗۤ/يُحَاوِرُهُۥٓ/yuhawiruhu//اَكَفَرْتَ/أَكَفَرۡتَ/akafarta//بِالَّذِیْ/بِٱلَّذِي/bi-alladhi//خَلَقَكَ/خَلَقَكَ/khalaqaka//مِنْ/مِن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//ثُمَّ/ثُمَّ/thumma//سَوّٰىكَ/سَوَّىٰكَ/sawwaka//رَجُلًاؕ/رَجُلٗا/rajulan",
              "words_bangla": "বললো//তাকে//তার সাথী//এমতাবস্হায় যে সে//তার সাথে আলোচনা করেছিলো//\"কি তুমি অস্বীকার করছো//(ঐ সত্ত্বা) কে যিনি//তোমাকে সৃষ্টি করেছেন//থেকে//মাটি//এরপর//থেকে//শুক্র//এরপর//তোমাকে সম্পূর্ণ করেছেন//মানুষে"
            },
            {
              "number": 2178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2178.mp3"
              ],
              "text": "لَّٰكِنَّا۠ هُوَ ٱللَّهُ رَبِّى وَلَآ أُشْرِكُ بِرَبِّىٓ أَحَدًۭا",
              "translate_bn": "কিন্তু আমি তো একথাই বলি, আল্লাহই আমার পালনকর্তা এবং আমি কাউকে আমার পালনকর্তার শরীক মানি না।",
              "numberInSurah": 38,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "লা-কিন্না হুওয়াল্লা-হু রাববী ওয়ালাউশরিকুবিরাববীআহাদা-।",
              "words_arabic": "لٰكِنَّاۡ/لَّـٰكِنَّا۠/lakinna//هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//رَبِّیْ/رَبِّي/rabbi//وَ لَاۤ/وَلَآ/wala//اُشْرِكُ/أُشۡرِكُ/ush'riku//بِرَبِّیْۤ/بِرَبِّيٓ/birabbi//اَحَدًا /أَحَدٗا/ahadan",
              "words_bangla": "কিন্তু (আমি বলি)//তিনি//আল্লাহ্‌//আমার রব//এবং না//শরিক করি আমি//সাথে আমার রবের//কাউকে"
            },
            {
              "number": 2179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2179.mp3"
              ],
              "text": "وَلَوْلَآ إِذْ دَخَلْتَ جَنَّتَكَ قُلْتَ مَا شَآءَ ٱللَّهُ لَا قُوَّةَ إِلَّا بِٱللَّهِ ۚ إِن تَرَنِ أَنَا۠ أَقَلَّ مِنكَ مَالًۭا وَوَلَدًۭا",
              "translate_bn": "যদি তুমি আমাকে ধনে ও সন্তানে তোমার চাইতে কম দেখ, তবে যখন তুমি তোমার বাগানে প্রবেশ করলে, তখন একথা কেন বললে না; আল্লাহ যা চান, তাই হয়। আল্লাহর দেয়া ব্যতীত কোন শক্তি নেই।",
              "numberInSurah": 39,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাওলাইযদাখালতা জান্নাতাকা কুলতা মা-শাআল্লা-হু লা-কুওওয়াতা ইল্লা-বিল্লাহি ইন তারানি আনা আকাল্লা মিনকা মা-লাওঁ ওয়া ওয়ালাদা-।",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اِذْ/إِذۡ/idh//دَخَلْتَ/دَخَلۡتَ/dakhalta//جَنَّتَكَ/جَنَّتَكَ/jannataka//قُلْتَ/قُلۡتَ/qul'ta//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//اللّٰهُ ۙ/ٱللَّهُ/al-lahu//لَا/لَا/la//قُوَّةَ/قُوَّةَ/quwwata//اِلَّا/إِلَّا/illa//بِاللّٰهِ ۚ/بِٱللَّهِۚ/bil-lahi//اِنْ/إِن/in//تَرَنِ/تَرَنِ/tarani//اَنَا/أَنَا۠/ana//اَقَلَّ/أَقَلَّ/aqalla//مِنْكَ/مِنكَ/minka//مَالًا/مَالٗا/malan//وَّ وَلَدًاۚ/وَوَلَدٗا/wawaladan",
              "words_bangla": "এবং কেন না//যখন//তুমি প্রবেশ করছিলে//তোমার বাগানে//তুমি বলেছিলে//\"যা//চেয়েছেন//আল্লাহ্‌ (তাই হয়েছে)//নেই//কোনো শক্তি//ছাড়া//আল্লাহ্‌\"//যদি//আমাকে দেখো//আমি//স্বল্পতর//তোমার চেয়ে//সম্পদে//এবং সন্তানে"
            },
            {
              "number": 2180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2180.mp3"
              ],
              "text": "فَعَسَىٰ رَبِّىٓ أَن يُؤْتِيَنِ خَيْرًۭا مِّن جَنَّتِكَ وَيُرْسِلَ عَلَيْهَا حُسْبَانًۭا مِّنَ ٱلسَّمَآءِ فَتُصْبِحَ صَعِيدًۭا زَلَقًا",
              "translate_bn": "আশাকরি আমার পালকর্তা আমাকে তোমার বাগান অপেক্ষা উৎকৃষ্টতর কিছু দেবেন এবং তার (তোমার বাগানের) উপর আসমান থেকে আগুন প্রেরণ করবেন। অতঃপর সকাল বেলায় তা পরিষ্কার ময়দান হয়ে যাবে।",
              "numberInSurah": 40,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ফা‘আছা-রাববীআই ইউ’তিয়ানি খাইরাম মিন জান্নাতিকা ওয়া ইউরছিলা ‘আলাইহা-হুছবানাম মিনাছছামাই ফাতুসবিহা সা‘ঈদান ঝালাকা-।",
              "words_arabic": "فَعَسٰی/فَعَسَىٰ/fa'asa//رَبِّیْۤ/رَبِّيٓ/rabbi//اَنْ/أَن/an//یُّؤْتِیَنِ/يُؤۡتِيَنِ/yu'tiyani//خَیْرًا/خَيۡرٗا/khayran//مِّنْ/مِّن/min//جَنَّتِكَ/جَنَّتِكَ/jannatika//وَ یُرْسِلَ/وَيُرۡسِلَ/wayur'sila//عَلَیْهَا/عَلَيۡهَا/alayha//حُسْبَانًا/حُسۡبَانٗا/hus'banan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَتُصْبِحَ/فَتُصۡبِحَ/fatus'biha//صَعِیْدًا/صَعِيدٗا/sa'idan//زَلَقًاۙ/زَلَقًا/zalaqan",
              "words_bangla": "তবে হয়তো//আমার রব//যে//আমাকে দান করবেন//উত্তম//থেকে//তোমার বাগান//এবং প্রেরণ করবেন//উপর তার//বিপর্যয়//থেকে//আকাশ//অতঃপর তা হয়ে যাবে//মাটি//উদ্ভিদশূন্য"
            },
            {
              "number": 2181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2181.mp3"
              ],
              "text": "أَوْ يُصْبِحَ مَآؤُهَا غَوْرًۭا فَلَن تَسْتَطِيعَ لَهُۥ طَلَبًۭا",
              "translate_bn": "অথবা সকালে তার পানি শুকিয়ে যাবে। অতঃপর তুমি তা তালাশ করে আনতে পারবে না।",
              "numberInSurah": 41,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "আও ইউসবিহা মাউহা-গাওরান ফালান তাছতাতী‘আ লাহূতালাবা-।\r\n",
              "words_arabic": "اَوْ/أَوۡ/aw//یُصْبِحَ/يُصۡبِحَ/yus'biha//مَآؤُهَا/مَآؤُهَا/mauha//غَوْرًا/غَوۡرٗا/ghawran//فَلَنْ/فَلَن/falan//تَسْتَطِیْعَ/تَسۡتَطِيعَ/tastati'a//لَهٗ/لَهُۥ/lahu//طَلَبًا /طَلَبٗا/talaban",
              "words_bangla": "অথবা//হয়ে যাবে//তার পানি//শুষ্ক//অতঃপর কখনও না//তুমি সক্ষম হবে//জন্যে তার\"//খুঁজে বের করতে\""
            },
            {
              "number": 2182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2182.mp3"
              ],
              "text": "وَأُحِيطَ بِثَمَرِهِۦ فَأَصْبَحَ يُقَلِّبُ كَفَّيْهِ عَلَىٰ مَآ أَنفَقَ فِيهَا وَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا وَيَقُولُ يَٰلَيْتَنِى لَمْ أُشْرِكْ بِرَبِّىٓ أَحَدًۭا",
              "translate_bn": "অতঃপর তার সব ফল ধ্বংস হয়ে গেল এবং সে তাতে যা ব্যয় করেছিল, তার জন্য সকালে হাত কচলিয়ে আক্ষেপ করতে লাগল। বাগনটি কাঠসহ পুড়ে গিয়েছিল। সে বলতে লাগলঃ হায়, আমি যদি কাউকে আমার পালনকর্তার সাথে শরীক না করতাম।",
              "numberInSurah": 42,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া উহীতাবিছামারিহী ফাআছবাহা ইউকালিলবুকাফফাইহি ‘আলা-মাআনফাকা ফীহা-ওয়াহিয়া খা-বিয়াতুন ‘আলা-‘উরূশিহা-ওয়া ইয়াকূ লুইয়া-লাইতানী লাম উশরিক বিরাববীআহাদা-।",
              "words_arabic": "وَ اُحِیْطَ/وَأُحِيطَ/wa-uhita//بِثَمَرِهٖ/بِثَمَرِهِۦ/bithamarihi//فَاَصْبَحَ/فَأَصۡبَحَ/fa-asbaha//یُقَلِّبُ/يُقَلِّبُ/yuqallibu//كَفَّیْهِ/كَفَّيۡهِ/kaffayhi//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اَنْفَقَ/أَنفَقَ/anfaqa//فِیْهَا/فِيهَا/fiha//وَ هِیَ/وَهِيَ/wahiya//خَاوِیَةٌ/خَاوِيَةٌ/khawiyatun//عَلٰی/عَلَىٰ/ala//عُرُوْشِهَا/عُرُوشِهَا/urushiha//وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//یٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//لَمْ/لَمۡ/lam//اُشْرِكْ/أُشۡرِكۡ/ush'rik//بِرَبِّیْۤ/بِرَبِّيٓ/birabbi//اَحَدًا /أَحَدٗا/ahadan",
              "words_bangla": "এবং (বিপর্যয়ে) পরিবেষ্টিত হলো//সহ তার ফল//ফলে সে শুরু করলো//মুচড়াতে//দু'হাত তার//এর উপর//যা//সে খরচ করেছে//মধ্যে তার//এবং তা//উল্টে পড়েছিলো//উপর//তার মাচাগুলোর//এবং সে বললো//\"হায় (যদি)//না//আমি শরিক করতাম//সাথে আমার রবের//অন্য কাউকে\""
            },
            {
              "number": 2183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2183.mp3"
              ],
              "text": "وَلَمْ تَكُن لَّهُۥ فِئَةٌۭ يَنصُرُونَهُۥ مِن دُونِ ٱللَّهِ وَمَا كَانَ مُنتَصِرًا",
              "translate_bn": "আল্লাহ ব্যতীত তাকে সাহায্য করার কোন লোক হল না এবং সে নিজেও প্রতিকার করতে পারল না।",
              "numberInSurah": 43,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাম তাকুল লাহূফিয়াতুইঁ ইয়ানসুরূনাহূমিন দূনিল্লা-হি ওয়ামা-কা-না মুনতাসিরা-।",
              "words_arabic": "وَ لَمْ/وَلَمۡ/walam//تَكُنْ/تَكُن/takun//لَّهٗ/لَّهُۥ/lahu//فِئَةٌ/فِئَةٞ/fi-atun//یَّنْصُرُوْنَهٗ/يَنصُرُونَهُۥ/yansurunahu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مُنْتَصِرًاؕ/مُنتَصِرًا/muntasiran",
              "words_bangla": "এবং না//ছিলো//জন্যে তার//কোনো দল//তাকে তারা সাহায্য করবে//থেকে//ছাড়া//আল্লাহ্‌//আর না//সে ছিলো//প্রতিরোধকারী"
            },
            {
              "number": 2184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2184.mp3"
              ],
              "text": "هُنَالِكَ ٱلْوَلَٰيَةُ لِلَّهِ ٱلْحَقِّ ۚ هُوَ خَيْرٌۭ ثَوَابًۭا وَخَيْرٌ عُقْبًۭا",
              "translate_bn": "এরূপ ক্ষেত্রে সব অধিকার সত্য আল্লাহর। তারই পুরস্কার উত্তম এবং তারই প্রদত্ত প্রতিদান শ্রেষ্ঠ।",
              "numberInSurah": 44,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 256,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "হুনা-লিকাল ওয়ালা-ইয়াতুলিল্লা-হিল হাক্কি হুওয়া খাইরুন ছাওয়া-বাওঁ ওয়া খাইরুন ‘উকবা-।",
              "words_arabic": "هُنَالِكَ/هُنَالِكَ/hunalika//الْوَلَایَةُ/ٱلۡوَلَٰيَةُ/al-walayatu//لِلّٰهِ/لِلَّهِ/lillahi//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//هُوَ/هُوَ/huwa//خَیْرٌ/خَيۡرٞ/khayrun//ثَوَابًا/ثَوَابٗا/thawaban//وَّ خَیْرٌ/وَخَيۡرٌ/wakhayrun//عُقْبًا۠/عُقۡبٗا/uq'ban",
              "words_bangla": "এ ক্ষেত্রে (জানতে পারলো)//অভিভাবকত্বের (অধিকার)//জন্যে আল্লাহ্‌রই//তিনি সত্য//তিনিই//উত্তম//পুরস্কারদানে//ও উত্তম//পরিণামে"
            },
            {
              "number": 2185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2185.mp3"
              ],
              "text": "وَٱضْرِبْ لَهُم مَّثَلَ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَآءٍ أَنزَلْنَٰهُ مِنَ ٱلسَّمَآءِ فَٱخْتَلَطَ بِهِۦ نَبَاتُ ٱلْأَرْضِ فَأَصْبَحَ هَشِيمًۭا تَذْرُوهُ ٱلرِّيَٰحُ ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ مُّقْتَدِرًا",
              "translate_bn": "তাদের কাছে পার্থিব জীবনের উপমা বর্ণনা করুন। তা পানির ন্যায়, যা আমি আকাশ থেকে নাযিল করি। অতঃপর এর সংমিশ্রণে শ্যামল সবুজ ভূমিজ লতা-পাতা নির্গত হয়; অতঃপর তা এমন শুস্ক চুর্ণ-বিচুর্ণ হয় যে, বাতাসে উড়ে যায়। আল্লাহ এ সবকিছুর উপর শক্তিমান।",
              "numberInSurah": 45,
              "juz": 15,
              "manzil": 4,
              "page": 298,
              "ruku": 257,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়াদরিব লাহুম মাছালাল হায়া-তিদদুনইয়া-কামাইন আনঝালনা-হু মিনাছ ছামাই ফাখতালাতা বিহী নাবা-তুল আরদিফাআসবাহা হাশীমান তাযরূহুর রিয়া-হু ওয়া কানাল্লা-হু ‘আলা-কুল্লি শাইয়িম মুকতাদিরা-।",
              "words_arabic": "وَ اضْرِبْ/وَٱضۡرِبۡ/wa-id'rib//لَهُمْ/لَهُم/lahum//مَّثَلَ/مَّثَلَ/mathala//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//كَمَآءٍ/كَمَآءٍ/kamain//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَاخْتَلَطَ/فَٱخۡتَلَطَ/fa-ikh'talata//بِهٖ/بِهِۦ/bihi//نَبَاتُ/نَبَاتُ/nabatu//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَاَصْبَحَ/فَأَصۡبَحَ/fa-asbaha//هَشِیْمًا/هَشِيمٗا/hashiman//تَذْرُوْهُ/تَذۡرُوهُ/tadhruhu//الرِّیٰحُ ؕ/ٱلرِّيَٰحُۗ/al-riyahu//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//مُّقْتَدِرًا /مُّقۡتَدِرًا/muq'tadiran",
              "words_bangla": "এবং পেশ করো//জন্যে তাদের//একটি দৃষ্টান্ত//জীবনের//পার্থিব//মতো পানির//তা আমরা বর্ষণ করি//থেকে//আকাশ//তখন ঘন হয়ে উঠে//দিয়ে তা//উদ্ভিদ//মাটির//অতঃপর হয়ে যায়//ভুষি//তা উড়িয়ে নিয়ে যায়//বাতাস//এবং হলেন//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 2186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2186.mp3"
              ],
              "text": "ٱلْمَالُ وَٱلْبَنُونَ زِينَةُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَٱلْبَٰقِيَٰتُ ٱلصَّٰلِحَٰتُ خَيْرٌ عِندَ رَبِّكَ ثَوَابًۭا وَخَيْرٌ أَمَلًۭا",
              "translate_bn": "ধনৈশ্বর্য ও সন্তান-সন্ততি পার্থিব জীবনের সৌন্দর্য এবং স্থায়ী সৎকর্মসমূহ আপনার পালনকর্তার কাছে প্রতিদান প্রাপ্তি ও আশা লাভের জন্যে উত্তম।",
              "numberInSurah": 46,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 257,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "আলমা-লুওয়াল বানূনা ঝীনাতুল হায়া-তিদদুনইয়া- ওয়াল বা-কিয়া-তুসসা-লিহাতুখাইরুন ‘ইনদা রাব্বিকা ছাওয়া-বাওঁ ওয়া খাইরুন আমালা-।",
              "words_arabic": "اَلْمَالُ/ٱلۡمَالُ/al-malu//وَ الْبَنُوْنَ/وَٱلۡبَنُونَ/wal-banuna//زِیْنَةُ/زِينَةُ/zinatu//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ الْبٰقِیٰتُ/وَٱلۡبَٰقِيَٰتُ/wal-baqiyatu//الصّٰلِحٰتُ/ٱلصَّـٰلِحَٰتُ/al-salihatu//خَیْرٌ/خَيۡرٌ/khayrun//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//ثَوَابًا/ثَوَابٗا/thawaban//وَّ خَیْرٌ/وَخَيۡرٌ/wakhayrun//اَمَلًا /أَمَلٗا/amalan",
              "words_bangla": "ধনসম্পদ//ও সন্তান-সন্ততি//শোভা//জীবনের//পার্থিব//স্থায়ী//সৎ কাজসমূহ//উত্তম//কাছে//তোমার রবের//প্রতিফল হিসেবে//ও উত্তম//আকাঙ্ক্ষা হিসেবে"
            },
            {
              "number": 2187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2187.mp3"
              ],
              "text": "وَيَوْمَ نُسَيِّرُ ٱلْجِبَالَ وَتَرَى ٱلْأَرْضَ بَارِزَةًۭ وَحَشَرْنَٰهُمْ فَلَمْ نُغَادِرْ مِنْهُمْ أَحَدًۭا",
              "translate_bn": "যেদিন আমি পর্বতসমূহকে পরিচালনা করব এবং আপনি পৃথিবীকে দেখবেন একটি উম্মুক্ত প্রান্তর এবং আমি মানুষকে একত্রিত করব অতঃপর তাদের কাউকে ছাড়ব না।",
              "numberInSurah": 47,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 257,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নুছাইয়িরুল জিবা-লা ওয়া তারাল আরদা বা-রিঝাতাওঁ ওয়া হাশারনা-হুম ফালাম নুগা-দির মিনহুম আহাদা-।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نُسَیِّرُ/نُسَيِّرُ/nusayyiru//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//وَ تَرَی/وَتَرَى/watara//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَارِزَةً ۙ/بَارِزَةٗ/barizatan//وَّ حَشَرْنٰهُمْ/وَحَشَرۡنَٰهُمۡ/wahasharnahum//فَلَمْ/فَلَمۡ/falam//نُغَادِرْ/نُغَادِرۡ/nughadir//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَحَدًاۚ/أَحَدٗا/ahadan",
              "words_bangla": "এবং যেদিন//আমরা চালাবো//পর্বতসমূহকে//এবং তুমি দেখবে//পৃথিবীকে//খোলা মাঠ//এবং আমরা একত্র করবো তাদের//অতঃপর না//আমরা  ছাড়বো//মধ্য হ'তে তাদের//কাউকে"
            },
            {
              "number": 2188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2188.mp3"
              ],
              "text": "وَعُرِضُوا۟ عَلَىٰ رَبِّكَ صَفًّۭا لَّقَدْ جِئْتُمُونَا كَمَا خَلَقْنَٰكُمْ أَوَّلَ مَرَّةٍۭ ۚ بَلْ زَعَمْتُمْ أَلَّن نَّجْعَلَ لَكُم مَّوْعِدًۭا",
              "translate_bn": "তারা আপনার পালনকর্তার সামনে পেশ হবে সারিবদ্ধ ভাবে এবং বলা হবেঃ তোমরা আমার কাছে এসে গেছ; যেমন তোমাদেরকে প্রথম বার সৃষ্টি করেছিলাম। না, তোমরা তো বলতে যে, আমি তোমাদের জন্যে কোন প্রতিশ্রুত সময় নির্দিষ্ট করব না।",
              "numberInSurah": 48,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 257,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘উরিদূ ‘আলা-রাব্বিকা সাফফাল লাকাদ জি’তুমূনা-কামা-খালাকনা-কুম আওওয়ালা মাররাতিম বাল ঝা‘আমতুম আল্লান নাজ‘আলা লাকুম মাও‘ইদা-।",
              "words_arabic": "وَ عُرِضُوْا/وَعُرِضُواْ/wa'uridu//عَلٰی/عَلَىٰ/ala//رَبِّكَ/رَبِّكَ/rabbika//صَفًّا ؕ/صَفّٗا/saffan//لَقَدْ/لَّقَدۡ/laqad//جِئْتُمُوْنَا/جِئۡتُمُونَا/ji'tumuna//كَمَا/كَمَا/kama//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍۭ ؗ/مَرَّةِۭۚ/marratin//بَلْ/بَلۡ/bal//زَعَمْتُمْ/زَعَمۡتُمۡ/za'amtum//اَلَّنْ/أَلَّن/allan//نَّجْعَلَ/نَّجۡعَلَ/naj'ala//لَكُمْ/لَكُم/lakum//مَّوْعِدًا /مَّوۡعِدٗا/maw'idan",
              "words_bangla": "এবং তাদের পেশ করা হবে//কাছে//তোমার রবের//সারিবদ্ধভাবে//\"নিশ্চয়ই//আমাদের কাছে তোমরা এসেছো//যেমন//আমরা সৃষ্টি করেছিলাম তোমাদেরকে//প্রথম//বার//বরং//তোমরা ভেবেছিলে//যে কখনও না//আমরা উপস্থিত করবো//জন্যে তোমাদের//প্রতিশ্রুত সময়\""
            },
            {
              "number": 2189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2189.mp3"
              ],
              "text": "وَوُضِعَ ٱلْكِتَٰبُ فَتَرَى ٱلْمُجْرِمِينَ مُشْفِقِينَ مِمَّا فِيهِ وَيَقُولُونَ يَٰوَيْلَتَنَا مَالِ هَٰذَا ٱلْكِتَٰبِ لَا يُغَادِرُ صَغِيرَةًۭ وَلَا كَبِيرَةً إِلَّآ أَحْصَىٰهَا ۚ وَوَجَدُوا۟ مَا عَمِلُوا۟ حَاضِرًۭا ۗ وَلَا يَظْلِمُ رَبُّكَ أَحَدًۭا",
              "translate_bn": "আর আমলনামা সামনে রাখা হবে। তাতে যা আছে; তার কারণে আপনি অপরাধীদেরকে ভীত-সন্ত্রস্ত দেখবেন। তারা বলবেঃ হায় আফসোস, এ কেমন আমলনামা। এ যে ছোট বড় কোন কিছুই বাদ দেয়নি-সবই এতে রয়েছে। তারা তাদের কৃতকর্মকে সামনে উপস্থিত পাবে। আপনার পালনকর্তা কারও প্রতি জুলুম করবেন না।",
              "numberInSurah": 49,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 257,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া উদি‘আল কিতা-বুফাতারাল মুজরিমীনা মুশফিকীনা মিম্মা-ফীহি ওয়া ইকূলূনা ইয়াওয়াইলাতানা-মা-লি হা-যাল কিতা-বি লা-ইউগা-দিরু সাগীরাতাওঁ ওয়ালা-কাবীরাতান ইল্লাআহসা-হা- ওয়া ওয়াজাদূমা-‘আমিলূহা-দিরা- ওয়ালা-ইয়াজলিমু রাব্বুকা আহাদা-।",
              "words_arabic": "وَ وُضِعَ/وَوُضِعَ/wawudi'a//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//فَتَرَی/فَتَرَى/fatara//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//مُشْفِقِیْنَ/مُشۡفِقِينَ/mush'fiqina//مِمَّا/مِمَّا/mimma//فِیْهِ/فِيهِ/fihi//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//یٰوَیْلَتَنَا/يَٰوَيۡلَتَنَا/yawaylatana//مَالِ/مَالِ/mali//هٰذَا/هَٰذَا/hadha//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَا/لَا/la//یُغَادِرُ/يُغَادِرُ/yughadiru//صَغِیْرَةً/صَغِيرَةٗ/saghiratan//وَّ لَا/وَلَا/wala//كَبِیْرَةً/كَبِيرَةً/kabiratan//اِلَّاۤ/إِلَّآ/illa//اَحْصٰىهَا ۚ/أَحۡصَىٰهَاۚ/ahsaha//وَ وَجَدُوْا/وَوَجَدُواْ/wawajadu//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//حَاضِرًا ؕ/حَاضِرٗاۗ/hadiran//وَ لَا/وَلَا/wala//یَظْلِمُ/يَظۡلِمُ/yazlimu//رَبُّكَ/رَبُّكَ/rabbuka//اَحَدًا۠/أَحَدٗا/ahadan",
              "words_bangla": "এবং রাখা হবে//(হিসেবের) কিতাব//অতঃপর তুমি দেখবে//অপরাধীদেরকে//আতঙ্কগ্রস্ত//তা থেকে যা//মধ্যে আছে তার//এবং তারা বলবে//\"দুর্ভাগ্য হায়! আমাদের//কেমন//এই//(হিসেবের) কিতাব//না//ছাড়ে//ছোট//আর না//বড়//কিন্তু//তা গুনে রেখেছে\"//তারা পাবে//যা//তারা কাজ করছে//উপস্থিত//এবং না//অন্যায় করবেন//তোমার রব//কাউকে"
            },
            {
              "number": 2190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2190.mp3"
              ],
              "text": "وَإِذْ قُلْنَا لِلْمَلَٰٓئِكَةِ ٱسْجُدُوا۟ لِءَادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ كَانَ مِنَ ٱلْجِنِّ فَفَسَقَ عَنْ أَمْرِ رَبِّهِۦٓ ۗ أَفَتَتَّخِذُونَهُۥ وَذُرِّيَّتَهُۥٓ أَوْلِيَآءَ مِن دُونِى وَهُمْ لَكُمْ عَدُوٌّۢ ۚ بِئْسَ لِلظَّٰلِمِينَ بَدَلًۭا",
              "translate_bn": "যখন আমি ফেরেশতাদেরকে বললামঃ আদমকে সেজদা কর, তখন সবাই সেজদা করল ইবলীস ব্যতীত। সে ছিল জিনদের একজন। সে তার পালনকর্তার আদেশ অমান্য করল। অতএব তোমরা কি আমার পরিবর্তে তাকে এবং তার বংশধরকে বন্ধুরূপে গ্রহণ করছ? অথচ তারা তোমাদের শত্রু। এটা জালেমদের জন্যে খুবই নিকৃষ্ট বদল।",
              "numberInSurah": 50,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 258,
              "hizbQuarter": 119,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলনা-লিল মালাইকাতিছ জু দূলিআ-দামা ফাছাজাদূ ইল্লাইবলীছা কানা মিনাল জিন্নি ফাফাছাকা ‘আন আমরি রাব্বিহী আফাতাত্তাখিযূনাহূওয়া যুররিইইয়াতাহূআওলিয়াআ মিন দূ নী ওয়া হুম লাকুম ‘আদুওউম বি’ছা লিজ্জালিমীনা বাদালা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اسْجُدُوْا/ٱسۡجُدُواْ/us'judu//لِاٰدَمَ/لِأٓدَمَ/liadama//فَسَجَدُوْۤا/فَسَجَدُوٓاْ/fasajadu//اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//فَفَسَقَ/فَفَسَقَ/fafasaqa//عَنْ/عَنۡ/an//اَمْرِ/أَمۡرِ/amri//رَبِّهٖ ؕ/رَبِّهِۦٓۗ/rabbihi//اَفَتَتَّخِذُوْنَهٗ/أَفَتَتَّخِذُونَهُۥ/afatattakhidhunahu//وَ ذُرِّیَّتَهٗۤ/وَذُرِّيَّتَهُۥٓ/wadhurriyyatahu//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//مِنْ/مِن/min//دُوْنِیْ/دُونِي/duni//وَ هُمْ/وَهُمۡ/wahum//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ ؕ/عَدُوُّۢۚ/aduwwun//بِئْسَ/بِئۡسَ/bi'sa//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//بَدَلًا /بَدَلٗا/badalan",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা বলেছিলাম//ফেরেশতাদেরকে//\"তোমরা সিজদা করো//আদমকে\"//তখন তারা সিজদা করেছিলো//ছাড়া//ইবলীশ//সে ছিলো//অন্তর্ভুক্ত//জিনদের//তাই সে অমান্য করলো//থেকে//নির্দেশ//তার রবের//কি তোমরা গ্রহণ করেছো তাকে//ও তার বংশধরকে//অভিভাবকরূপে//ছাড়া//আমাকে//অথচ তারা//জন্যে তোমাদের//শত্রু//বড়ই খারাপ//জন্যে সীমালঙ্ঘনকারীদের//বিনিময় হিসেবে"
            },
            {
              "number": 2191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2191.mp3"
              ],
              "text": "۞ مَّآ أَشْهَدتُّهُمْ خَلْقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَلَا خَلْقَ أَنفُسِهِمْ وَمَا كُنتُ مُتَّخِذَ ٱلْمُضِلِّينَ عَضُدًۭا",
              "translate_bn": "নভোমন্ডল ও ভুমন্ডলের সৃজনকালে আমি তাদেরকে সাক্ষ্য রাখিনি এবং তাদের নিজেদের সৃজনকালেও না। এবং আমি এমনও নই যে, বিভ্রান্ত কারীদেরকে সাহায্যকারীরূপে গ্রহণ করবো।",
              "numberInSurah": 51,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 258,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "মাআশহাততুহুম খালকাছছামা-ওয়া-তি ওয়াল আরদিওয়ালা-খালকা আনফুছিহিম ওয়ামা-কুনতুমুত্তাখিযাল মুদিল্লীনা ‘আদুদা-।",
              "words_arabic": "مَاۤ/۞مَّآ/ma//اَشْهَدْتُّهُمْ/أَشۡهَدتُّهُمۡ/ashhadttuhum//خَلْقَ/خَلۡقَ/khalqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لَا/وَلَا/wala//خَلْقَ/خَلۡقَ/khalqa//اَنْفُسِهِمْ ۪/أَنفُسِهِمۡ/anfusihim//وَ مَا/وَمَا/wama//كُنْتُ/كُنتُ/kuntu//مُتَّخِذَ/مُتَّخِذَ/muttakhidha//الْمُضِلِّیْنَ/ٱلۡمُضِلِّينَ/al-mudilina//عَضُدًا /عَضُدٗا/adudan",
              "words_bangla": "নি//তাদেরকে আমি সাক্ষী করি//সৃষ্টিতে//আকাশসমূহের//ও পৃথিবীর//আর না//সৃষ্টিতে//নিজেদের তাদের//এবং না//আমি ছিলাম//গ্রহণকারী//বিভ্রান্তকারীদেরকে//সাহায্যকারীরূপে"
            },
            {
              "number": 2192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2192.mp3"
              ],
              "text": "وَيَوْمَ يَقُولُ نَادُوا۟ شُرَكَآءِىَ ٱلَّذِينَ زَعَمْتُمْ فَدَعَوْهُمْ فَلَمْ يَسْتَجِيبُوا۟ لَهُمْ وَجَعَلْنَا بَيْنَهُم مَّوْبِقًۭا",
              "translate_bn": "যেদিন তিনি বলবেনঃ তোমরা যাদেরকে আমার শরীক মনে করতে তাদেরকে ডাক। তারা তখন তাদেরকে ডাকবে, কিন্তু তারা এ আহবানে সাড়া দেবে না। আমি তাদের মধ্যস্থলে রেখে দেব একটি মৃত্যু গহবর।",
              "numberInSurah": 52,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 258,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়াকূ লুনা-দূশুরাকাইয়াল্লাযীনা ঝা‘আমতুম ফাদা‘আওহুম ফালাম ইয়াছতাজীবূলাহুম ওয়া জা‘আলনা-বাইনাহুম মাওবিকা-।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَقُوْلُ/يَقُولُ/yaqulu//نَادُوْا/نَادُواْ/nadu//شُرَكَآءِیَ/شُرَكَآءِيَ/shurakaiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//زَعَمْتُمْ/زَعَمۡتُمۡ/za'amtum//فَدَعَوْهُمْ/فَدَعَوۡهُمۡ/fada'awhum//فَلَمْ/فَلَمۡ/falam//یَسْتَجِیْبُوْا/يَسۡتَجِيبُواْ/yastajibu//لَهُمْ/لَهُمۡ/lahum//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//بَیْنَهُمْ/بَيۡنَهُم/baynahum//مَّوْبِقًا /مَّوۡبِقٗا/mawbiqan",
              "words_bangla": "এবং যেদিন//তিনি বলবেন//\"তোমরা ডাকো//আমার শরিকদেরকে//যাদেরকে//মনে করেছিলে তোমরা\"//তখন তারা ডাকবে তাদেরকে//কিন্তু না//তারা ডাকে সাড়া দিবে//তাদেরকে//এবং আমরা রেখে দিবো//মাঝে তাদের//ধ্বংসের স্থান"
            },
            {
              "number": 2193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2193.mp3"
              ],
              "text": "وَرَءَا ٱلْمُجْرِمُونَ ٱلنَّارَ فَظَنُّوٓا۟ أَنَّهُم مُّوَاقِعُوهَا وَلَمْ يَجِدُوا۟ عَنْهَا مَصْرِفًۭا",
              "translate_bn": "অপরাধীরা আগুন দেখে বোঝে নেবে যে, তাদেরকে তাতে পতিত হতে হবে এবং তারা তা থেকে রাস্তা পরিবর্তন করতে পারবে না।",
              "numberInSurah": 53,
              "juz": 15,
              "manzil": 4,
              "page": 299,
              "ruku": 258,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাআল মুজরিমূনান্না-রা ফাজাননূআন্নাহুম মুওয়া-কি‘ঊহা-ওয়ালাম ইয়াজিদূ‘আনহা- মাসরিফা-।",
              "words_arabic": "وَ رَاَ/وَرَءَا/waraa//الْمُجْرِمُوْنَ/ٱلۡمُجۡرِمُونَ/al-muj'rimuna//النَّارَ/ٱلنَّارَ/al-nara//فَظَنُّوْۤا/فَظَنُّوٓاْ/fazannu//اَنَّهُمْ/أَنَّهُم/annahum//مُّوَاقِعُوْهَا/مُّوَاقِعُوهَا/muwaqi'uha//وَ لَمْ/وَلَمۡ/walam//یَجِدُوْا/يَجِدُواْ/yajidu//عَنْهَا/عَنۡهَا/anha//مَصْرِفًا۠/مَصۡرِفٗا/masrifan",
              "words_bangla": "এবং দেখবে//অপরাধীরা//আগুন//তখন তারা ভাববে//যে তারা//তাতে ফেলা হবে//এবং না//তারা পাবে//থেকে তা//ফিরার স্থান"
            },
            {
              "number": 2194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2194.mp3"
              ],
              "text": "وَلَقَدْ صَرَّفْنَا فِى هَٰذَا ٱلْقُرْءَانِ لِلنَّاسِ مِن كُلِّ مَثَلٍۢ ۚ وَكَانَ ٱلْإِنسَٰنُ أَكْثَرَ شَىْءٍۢ جَدَلًۭا",
              "translate_bn": "নিশ্চয় আমি এ কোরআনে মানুষকে নানাভাবে বিভিন্ন উপমার দ্বারা আমার বাণী বুঝিয়েছি। মানুষ সব বস্তু থেকে অধিক তর্কপ্রিয়।",
              "numberInSurah": 54,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাররাফনা-ফী হা-যাল কুরআ-নি লিন্না-ছি মিন কুল্লি মাছালিওঁ ওয়া কানাল ইনছা-নুআকছারা শাইয়িন জাদালা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَرَّفْنَا/صَرَّفۡنَا/sarrafna//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَثَلٍ ؕ/مَثَلٖۚ/mathalin//وَ كَانَ/وَكَانَ/wakana//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اَكْثَرَ/أَكۡثَرَ/akthara//شَیْءٍ/شَيۡءٖ/shayin//جَدَلًا /جَدَلٗا/jadalan",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বিশদভাবে বর্ণনা করেছি//মধ্যে//এই//কুরআনের//জন্যে মানুষদের//থেকে//প্রত্যেক//দৃষ্টান্ত//অথচ হলো//মানুষ//অধিকাংশ//বিষয়ে//ঝগড়াটে"
            },
            {
              "number": 2195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2195.mp3"
              ],
              "text": "وَمَا مَنَعَ ٱلنَّاسَ أَن يُؤْمِنُوٓا۟ إِذْ جَآءَهُمُ ٱلْهُدَىٰ وَيَسْتَغْفِرُوا۟ رَبَّهُمْ إِلَّآ أَن تَأْتِيَهُمْ سُنَّةُ ٱلْأَوَّلِينَ أَوْ يَأْتِيَهُمُ ٱلْعَذَابُ قُبُلًۭا",
              "translate_bn": "হেদায়েত আসার পর এ প্রতীক্ষাই শুধু মানুষকে বিশ্বাস স্থাপন করতে এবং তাদের পালনকর্তার কাছে ক্ষমা প্রার্থনা করতে বিরত রাখে যে, কখন আসবে তাদের কাছে পূর্ববর্তীদের রীতিনীতি অথবা কখন আসবে তাদের কাছেআযাব সামনাসামনি।",
              "numberInSurah": 55,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-মানা‘আন্না-ছা আইঁ ইউ’মিনূ ইয জাআহুমুল হুদা-ওয়াইয়াছতাগফিরূরাব্বাহুম ইল্লাআন তা’তিয়াহুম ছুন্নাতুল আওওয়ালীনা আও ইয়া’তিয়াহুমুল ‘আযা-বুকুবুলা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//مَنَعَ/مَنَعَ/mana'a//النَّاسَ/ٱلنَّاسَ/al-nasa//اَنْ/أَن/an//یُّؤْمِنُوْۤا/يُؤۡمِنُوٓاْ/yu'minu//اِذْ/إِذۡ/idh//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//وَ یَسْتَغْفِرُوْا/وَيَسۡتَغۡفِرُواْ/wayastaghfiru//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَاْتِیَهُمْ/تَأۡتِيَهُمۡ/tatiyahum//سُنَّةُ/سُنَّةُ/sunnatu//الْاَوَّلِیْنَ/ٱلۡأَوَّلِينَ/al-awalina//اَوْ/أَوۡ/aw//یَاْتِیَهُمُ/يَأۡتِيَهُمُ/yatiyahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//قُبُلًا /قُبُلٗا/qubulan",
              "words_bangla": "এবং কি (জিনিস)//বাদা দেয়//মানুষদেরকে//যে//তারা ঈমান আনবে//যখন//এসেছে তাদের কাছে//পথ নির্দেশ//এবং তারা ক্ষমা চাইতে//রবের কাছে তাদের//ছাড়া//যে//কাছ আসবে তাদের//অনুসৃত রীতি//পূর্ববর্তীদের//অথবা//কাছে আসবে তাদের//শাস্তি//সামনাসামনি"
            },
            {
              "number": 2196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2196.mp3"
              ],
              "text": "وَمَا نُرْسِلُ ٱلْمُرْسَلِينَ إِلَّا مُبَشِّرِينَ وَمُنذِرِينَ ۚ وَيُجَٰدِلُ ٱلَّذِينَ كَفَرُوا۟ بِٱلْبَٰطِلِ لِيُدْحِضُوا۟ بِهِ ٱلْحَقَّ ۖ وَٱتَّخَذُوٓا۟ ءَايَٰتِى وَمَآ أُنذِرُوا۟ هُزُوًۭا",
              "translate_bn": "আমি রাসূলগনকে সুসংবাদ দাতা ও ভয় প্রদর্শন কারীরূপেই প্রেরণ করি এবং কাফেররাই মিথ্যা অবলম্বনে বিতর্ক করে, তা দ্বারা সত্যকে ব্যর্থ করে দেয়ার উদ্দেশে এবং তারা আমার নিদর্শনাবলীও যদ্বারা তাদেরকে ভয় প্রদর্শন করা হয়, সেগুলোকে ঠাট্টারূপে গ্রহণ করেছে।",
              "numberInSurah": 56,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-নুরছিলুল মুরছালীনা ইল্লা-মুবাশশিরীনা ওয়া মুনযিরীনা ওয়া ইউজা-দিলুল্লাযীনা কাফারূবিলবা-তিলি লিইউদহিদূ বিহিল হাক্কা ওয়াত্তাখাযূআ-য়া-তী ওয়ামাউনযিরূ হুঝুওয়া-।",
              "words_arabic": "وَ مَا/وَمَا/wama//نُرْسِلُ/نُرۡسِلُ/nur'silu//الْمُرْسَلِیْنَ/ٱلۡمُرۡسَلِينَ/al-mur'salina//اِلَّا/إِلَّا/illa//مُبَشِّرِیْنَ/مُبَشِّرِينَ/mubashirina//وَ مُنْذِرِیْنَ ۚ/وَمُنذِرِينَۚ/wamundhirina//وَ یُجَادِلُ/وَيُجَٰدِلُ/wayujadilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//لِیُدْحِضُوْا/لِيُدۡحِضُواْ/liyud'hidu//بِهِ/بِهِ/bihi//الْحَقَّ/ٱلۡحَقَّۖ/al-haqa//وَ اتَّخَذُوْۤا/وَٱتَّخَذُوٓاْ/wa-ittakhadhu//اٰیٰتِیْ/ءَايَٰتِي/ayati//وَ مَاۤ/وَمَآ/wama//اُنْذِرُوْا/أُنذِرُواْ/undhiru//هُزُوًا /هُزُوٗا/huzuwan",
              "words_bangla": "এবং না//আমরা প্রেরণ করি//রাসূলদেরকে//ছাড়া//সুসংবাদদাতা//এবং সতর্ককারী (রূপে)//এবং বিতর্ক করে//যারা//অস্বীকার করেছে//দিয়ে মিথ্যা//যেন তারা ব্যর্থ করতে পারে//দিয়ে তা//সত্যকে//এবং তারা গ্রহণ করেছে//আমার নিদর্শনগুলোকে//এবং (সেগুলোকে) যার//সতর্ক করা হয়েছে//বিদ্রূপরূপে"
            },
            {
              "number": 2197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2197.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّن ذُكِّرَ بِـَٔايَٰتِ رَبِّهِۦ فَأَعْرَضَ عَنْهَا وَنَسِىَ مَا قَدَّمَتْ يَدَاهُ ۚ إِنَّا جَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًۭا ۖ وَإِن تَدْعُهُمْ إِلَى ٱلْهُدَىٰ فَلَن يَهْتَدُوٓا۟ إِذًا أَبَدًۭا",
              "translate_bn": "তার চাইতে অধিক জালেম কে, যাকে তার পালনকর্তার কালাম দ্বারা বোঝানো হয়, অতঃপর সে তা থেকে মুখ ফিরিয়ে নেয় এবং তার পূর্ববর্তী কৃতকর্মসমূহ ভুলে যায়? আমি তাদের অন্তরের উপর পর্দা রেখে দিয়েছি, যেন তা না বোঝে এবং তাদের কানে রয়েছে বধিরতার বোঝা। যদি আপনি তাদেরকে সৎপথের প্রতি দাওয়াত দেন, তবে কখনই তারা সৎপথে আসবে না।",
              "numberInSurah": 57,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামুমিম্মান যুক্কিরা বিআ-য়া-তি রাব্বিহী ফাআ‘রাদা‘আনহা-ওয়া নাছিয়া মা-কাদ্দামাত ইয়াদা-হু ইন্না-জা‘আলনা-‘আলা-কুলূবিহিম আকিন্নাতান আইঁ ইয়াফকাহূহু ওয়া ফীআ-যা-নিহিম ওয়াকরাওঁ ওয়া ইন তাদ‘উহুম ইলাল হুদা-ফালাইঁ ইয়াহতাদূ ইযান আবাদা-।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//ذُكِّرَ/ذُكِّرَ/dhukkira//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهٖ/رَبِّهِۦ/rabbihi//فَاَعْرَضَ/فَأَعۡرَضَ/fa-a'rada//عَنْهَا/عَنۡهَا/anha//وَ نَسِیَ/وَنَسِيَ/wanasiya//مَا/مَا/ma//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//یَدٰهُ ؕ/يَدَاهُۚ/yadahu//اِنَّا/إِنَّا/inna//جَعَلْنَا/جَعَلۡنَا/ja'alna//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//اَكِنَّةً/أَكِنَّةً/akinnatan//اَنْ/أَن/an//یَّفْقَهُوْهُ/يَفۡقَهُوهُ/yafqahuhu//وَ فِیْۤ/وَفِيٓ/wafi//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//وَقْرًا ؕ/وَقۡرٗاۖ/waqran//وَ اِنْ/وَإِن/wa-in//تَدْعُهُمْ/تَدۡعُهُمۡ/tad'uhum//اِلَی/إِلَى/ila//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//فَلَنْ/فَلَن/falan//یَّهْتَدُوْۤا/يَهۡتَدُوٓاْ/yahtadu//اِذًا/إِذًا/idhan//اَبَدًا /أَبَدٗا/abadan",
              "words_bangla": "এবং কে//অধিক সীমালঙ্ঘনকারী//(তার) চেয়ে যাকে//স্মরণ করিয়ে দেয়া হয়েছে//দিয়ে নিদর্শন//রবের তার//তবুও সে মুখ ফিরিয়ে নিয়েছে//থেকে তা//ও ভুলে গিয়েছে//যা//আগে পাঠিয়েছে//তার দু'হাত//নিশ্চয়ই আমরা//আমরা দিয়েছি//উপর//তাদের অন্তরগুলোর//আবরণ//যেন (না)//তা তারা বুঝে//ও মধ্যে//কানগুলোর তাদের//বধিরতা (দিয়েছি)//এবং যদি//তুমি ডাকো তাদেরকে//দিকে//সৎপথে//তবুও না//তারা সঠিক পথ পাবে//তাহ'লে//কখনও"
            },
            {
              "number": 2198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2198.mp3"
              ],
              "text": "وَرَبُّكَ ٱلْغَفُورُ ذُو ٱلرَّحْمَةِ ۖ لَوْ يُؤَاخِذُهُم بِمَا كَسَبُوا۟ لَعَجَّلَ لَهُمُ ٱلْعَذَابَ ۚ بَل لَّهُم مَّوْعِدٌۭ لَّن يَجِدُوا۟ مِن دُونِهِۦ مَوْئِلًۭا",
              "translate_bn": "আপনার পালনকর্তা ক্ষমাশীল, দয়ালু, যদি তিনি তাদেরকে তাদের কৃতকর্মের জন্যে পাকড়াও করেন তবে তাদের শাস্তি ত্বরাম্বিত করতেন, কিন্তু তাদের জন্য রয়েছে একটি প্রতিশ্রুত সময়, যা থেকে তারা সরে যাওয়ার জায়গা পাবে না।",
              "numberInSurah": 58,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বুকাল গাফূরু যুর রাহমাতি লাও ইউআ-খিযুহুম বিমা-কাছাবূলা‘আজ্জালা লাহুমুল ‘আযা-বা বাল্লাহুম মাও‘ইদুল লাইঁ ইয়াজিদূমিন দূ নিহী মাওইলা-।",
              "words_arabic": "وَ رَبُّكَ/وَرَبُّكَ/warabbuka//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//ذُو/ذُو/dhu//الرَّحْمَةِ ؕ/ٱلرَّحۡمَةِۖ/al-rahmati//لَوْ/لَوۡ/law//یُؤَاخِذُهُمْ/يُؤَاخِذُهُم/yuakhidhuhum//بِمَا/بِمَا/bima//كَسَبُوْا/كَسَبُواْ/kasabu//لَعَجَّلَ/لَعَجَّلَ/la'ajjala//لَهُمُ/لَهُمُ/lahumu//الْعَذَابَ ؕ/ٱلۡعَذَابَۚ/al-'adhaba//بَلْ/بَل/bal//لَّهُمْ/لَّهُم/lahum//مَّوْعِدٌ/مَّوۡعِدٞ/maw'idun//لَّنْ/لَّن/lan//یَّجِدُوْا/يَجِدُواْ/yajidu//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مَوْىِٕلًا /مَوۡئِلٗا/mawilan",
              "words_bangla": "এবং তোমার রব//ক্ষমাশীল//অধিকারী//অনুগ্রহের//যদি//পাকড়াও করতেন তিনি তাদের//এ কারণে যা//তারা অর্জন করেছিলো//অবশ্যই তাড়াতাড়ি এগিয়ে আনতেন//জন্যে তাদের//শাস্তি//বরং//জন্যে রয়েছে তাদের//প্রতিশ্রুত সময়//কখনও না//তারা পাবে//ছাড়া//তিনি//পালানোর জায়গা"
            },
            {
              "number": 2199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2199.mp3"
              ],
              "text": "وَتِلْكَ ٱلْقُرَىٰٓ أَهْلَكْنَٰهُمْ لَمَّا ظَلَمُوا۟ وَجَعَلْنَا لِمَهْلِكِهِم مَّوْعِدًۭا",
              "translate_bn": "এসব জনপদও তাদেরকে আমি ধংস করে দিয়েছি, যখন তারা জালেম হয়ে গিয়েছিল এবং আমি তাদের ধ্বংসের জন্যে একটি প্রতিশ্রুত সময় নির্দিষ্ট করেছিলাম।",
              "numberInSurah": 59,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 259,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকাল কুরা আহলাকনা-হুম লাম্মা-জালামূওয়া জা‘আলনা- লিমাহলিকিহিম মাও‘ইদা-।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//الْقُرٰۤی/ٱلۡقُرَىٰٓ/al-qura//اَهْلَكْنٰهُمْ/أَهۡلَكۡنَٰهُمۡ/ahlaknahum//لَمَّا/لَمَّا/lamma//ظَلَمُوْا/ظَلَمُواْ/zalamu//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لِمَهْلِكِهِمْ/لِمَهۡلِكِهِم/limahlikihim//مَّوْعِدًا۠/مَّوۡعِدٗا/maw'idan",
              "words_bangla": "এবং এসব//জনপদগুলো//আমরা ধ্বংস করেছি তাদের//যখন//তারা সীমালঙ্ঘন করেছিলো//এবং আমরা নির্দিষ্ট করে রেখেছি//জন্যে তাদের ধ্বংসের//একটা নির্দিষ্ট সময়"
            },
            {
              "number": 2200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2200.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِفَتَىٰهُ لَآ أَبْرَحُ حَتَّىٰٓ أَبْلُغَ مَجْمَعَ ٱلْبَحْرَيْنِ أَوْ أَمْضِىَ حُقُبًۭا",
              "translate_bn": "যখন মূসা তাঁর যুবক (সঙ্গী) কে বললেনঃ দুই সমুদ্রের সঙ্গমস্থলে না পৌছা পর্যন্ত আমি আসব না অথবা আমি যুগ যুগ ধরে চলতে থাকব।",
              "numberInSurah": 60,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা মূছা-লিফাতা-হুলাআবরাহুহাত্তাআবলুগা মাজমা‘আল বাহরাইনি আও আমদিয়া হুকুবা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِفَتٰىهُ/لِفَتَىٰهُ/lifatahu//لَاۤ/لَآ/la//اَبْرَحُ/أَبۡرَحُ/abrahu//حَتّٰۤی/حَتَّىٰٓ/hatta//اَبْلُغَ/أَبۡلُغَ/ablugha//مَجْمَعَ/مَجۡمَعَ/majma'a//الْبَحْرَیْنِ/ٱلۡبَحۡرَيۡنِ/al-bahrayni//اَوْ/أَوۡ/aw//اَمْضِیَ/أَمۡضِيَ/amdiya//حُقُبًا /حُقُبٗا/huquban",
              "words_bangla": "এবং যখন//বলেছিলো//মূসা//তার যুবক (সেবক)-কে//\"না//আমি থামবো//যতক্ষণ না//পৌঁছাবো আমি//সংগমস্থলে//দুই সাগরের//বা//আমি চলতে থাকবো//যুগ যুগ (দীর্ঘকাল)\""
            },
            {
              "number": 2201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2201.mp3"
              ],
              "text": "فَلَمَّا بَلَغَا مَجْمَعَ بَيْنِهِمَا نَسِيَا حُوتَهُمَا فَٱتَّخَذَ سَبِيلَهُۥ فِى ٱلْبَحْرِ سَرَبًۭا",
              "translate_bn": "অতঃপর যখন তাঁরা দুই সুমুদ্রের সঙ্গমস্থলে পৌছালেন, তখন তাঁরা নিজেদের মাছের কথা ভুলে গেলেন। অতঃপর মাছটি সমুদ্রে সুড়ঙ্গ পথ সৃষ্টি করে নেমে গেল।",
              "numberInSurah": 61,
              "juz": 15,
              "manzil": 4,
              "page": 300,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-বালাগা-মাজমা‘আ বাইনিহিমা-নাছিয়া-হুতাহুমা-ফাত্তাখাযা ছাবীলাহূফিল বাহরি ছারাবা-।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//بَلَغَا/بَلَغَا/balagha//مَجْمَعَ/مَجۡمَعَ/majma'a//بَیْنِهِمَا/بَيۡنِهِمَا/baynihima//نَسِیَا/نَسِيَا/nasiya//حُوْتَهُمَا/حُوتَهُمَا/hutahuma//فَاتَّخَذَ/فَٱتَّخَذَ/fa-ittakhadha//سَبِیْلَهٗ/سَبِيلَهُۥ/sabilahu//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//سَرَبًا /سَرَبٗا/saraban",
              "words_bangla": "অতঃপর যখন//দু'জনে পৌঁছে গেলো//সংগমস্থলে//দুই (সাগরের) মাঝের//দু'জনে ভুলে গেলো//দু'জনের মাছকে//অতঃপর (মাছ) করে নিলো//পথ তার//মধ্যে//সমুদ্রের//সুড়ঙ্গ করে"
            },
            {
              "number": 2202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2202.mp3"
              ],
              "text": "فَلَمَّا جَاوَزَا قَالَ لِفَتَىٰهُ ءَاتِنَا غَدَآءَنَا لَقَدْ لَقِينَا مِن سَفَرِنَا هَٰذَا نَصَبًۭا",
              "translate_bn": "যখন তাঁরা সে স্থানটি অতিক্রম করে গেলেন, মূসা সঙ্গী কে বললেনঃ আমাদের নাশতা আন। আমরা এই সফরে পরিশ্রান্ত হয়ে পড়েছি।",
              "numberInSurah": 62,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- জা-ওয়াঝা-কা-লা লিফাতা-হুআ-তিনা- গাদাআনা-লাকাদ লাকীনা মিন ছাফারিনা-হা-যা-নাসাবা-।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَاوَزَا/جَاوَزَا/jawaza//قَالَ/قَالَ/qala//لِفَتٰىهُ/لِفَتَىٰهُ/lifatahu//اٰتِنَا/ءَاتِنَا/atina//غَدَآءَنَا ؗ/غَدَآءَنَا/ghadaana//لَقَدْ/لَقَدۡ/laqad//لَقِیْنَا/لَقِينَا/laqina//مِنْ/مِن/min//سَفَرِنَا/سَفَرِنَا/safarina//هٰذَا/هَٰذَا/hadha//نَصَبًا /نَصَبٗا/nasaban",
              "words_bangla": "অতঃপর যখন//দু'জনে অতিক্রম করলো//সে বললো//তার যুবক (সেবক)-কে//\"আমাদেরকে দাও//আমাদের (নাশতা) খাবার//নিশ্চয়ই//আমরা পেয়েছি//থেকে//আমাদের ভ্রমণ//এই//ক্লান্তি\""
            },
            {
              "number": 2203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2203.mp3"
              ],
              "text": "قَالَ أَرَءَيْتَ إِذْ أَوَيْنَآ إِلَى ٱلصَّخْرَةِ فَإِنِّى نَسِيتُ ٱلْحُوتَ وَمَآ أَنسَىٰنِيهُ إِلَّا ٱلشَّيْطَٰنُ أَنْ أَذْكُرَهُۥ ۚ وَٱتَّخَذَ سَبِيلَهُۥ فِى ٱلْبَحْرِ عَجَبًۭا",
              "translate_bn": "সে বললঃ আপনি কি লক্ষ্য করেছেন, আমরা যখন প্রস্তর খন্ডে আশ্রয় নিয়েছিলাম, তখন আমি মাছের কথা ভুলে গিয়েছিলাম। শয়তানই আমাকে একথা স্মরণ রাখতে ভুলিয়ে দিয়েছিল। মাছটি আশ্চর্য জনক ভাবে সমুদ্রে নিজের পথ করে নিয়েছে।",
              "numberInSurah": 63,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা আরাআইতা ইয আওয়াইনা ইলাসসাখরাতি ফাইন্নী নাছীতুল হূতা ওয়ামা আনছা-নীহু ইল্লাশশাইতা-নুআন আযকুরাহূ ওয়াত্তাখাযা ছাবীলাহূফিল বাহরি ‘আজাবা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//اِذْ/إِذۡ/idh//اَوَیْنَاۤ/أَوَيۡنَآ/awayna//اِلَی/إِلَى/ila//الصَّخْرَةِ/ٱلصَّخۡرَةِ/al-sakhrati//فَاِنِّیْ/فَإِنِّي/fa-inni//نَسِیْتُ/نَسِيتُ/nasitu//الْحُوْتَ ؗ/ٱلۡحُوتَ/al-huta//وَ مَاۤ/وَمَآ/wama//اَنْسٰىنِیْهُ/أَنسَىٰنِيهُ/ansanihu//اِلَّا/إِلَّا/illa//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَنْ/أَنۡ/an//اَذْكُرَهٗ ۚ/أَذۡكُرَهُۥۚ/adhkurahu//وَ اتَّخَذَ/وَٱتَّخَذَ/wa-ittakhadha//سَبِیْلَهٗ/سَبِيلَهُۥ/sabilahu//فِی/فِي/fi//الْبَحْرِ ۖۗ/ٱلۡبَحۡرِ/al-bahri//عَجَبًا /عَجَبٗا/ajaban",
              "words_bangla": "সে বললো//\"কি আপনি লক্ষ্য করেছেন//যখন//আমরা আশ্রয় নিয়েছিলাম//কাছে//পাথরের//তখন আমি নিশ্চয়ই//ভুলে গিয়েছিলাম//মাছকে//এবং না//তা আমাকে ভুলিয়েছিলো//ছাড়া//শয়তান//যে//তা উল্লেখ করবো আমি//এবং করে নিলো (মাছ)//পথ তার//মধ্যে//সাগরের//আশ্চর্যভাবে\""
            },
            {
              "number": 2204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2204.mp3"
              ],
              "text": "قَالَ ذَٰلِكَ مَا كُنَّا نَبْغِ ۚ فَٱرْتَدَّا عَلَىٰٓ ءَاثَارِهِمَا قَصَصًۭا",
              "translate_bn": "মূসা বললেনঃ আমরা তো এ স্থানটিই খুঁজছিলাম। অতঃপর তাঁরা নিজেদের চিহ্ন ধরে ফিরে চললেন।",
              "numberInSurah": 64,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা যা-লিকা মা-কুন্না-নাবগি ফারতাদ্দা-‘আলাআ-ছা-রিহিমা-কাসাসা-।",
              "words_arabic": "قَالَ/قَالَ/qala//ذٰلِكَ/ذَٰلِكَ/dhalika//مَا/مَا/ma//كُنَّا/كُنَّا/kunna//نَبْغِ ۖۗ/نَبۡغِۚ/nabghi//فَارْتَدَّا/فَٱرۡتَدَّا/fa-ir'tadda//عَلٰۤی/عَلَىٰٓ/ala//اٰثَارِهِمَا/ءَاثَارِهِمَا/atharihima//قَصَصًاۙ/قَصَصٗا/qasasan",
              "words_bangla": "সে বললো//\"সেটাই//যা//চেয়েছি//আমরা\"//অতঃপর দু'জনে ফিরে চললো//উপর//তাদের দু'জনের পায়ের চিহ্ন//অনুসরণ করে"
            },
            {
              "number": 2205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2205.mp3"
              ],
              "text": "فَوَجَدَا عَبْدًۭا مِّنْ عِبَادِنَآ ءَاتَيْنَٰهُ رَحْمَةًۭ مِّنْ عِندِنَا وَعَلَّمْنَٰهُ مِن لَّدُنَّا عِلْمًۭا",
              "translate_bn": "অতঃপর তাঁরা আমার বান্দাদের মধ্যে এমন একজনের সাক্ষাত পেলেন, যাকে আমি আমার পক্ষ থেকে রহমত দান করেছিলাম ও আমার পক্ষ থেকে দিয়েছিলাম এক বিশেষ জ্ঞান।",
              "numberInSurah": 65,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াজাদা- ‘আবদাম মিন ইবা-দিনা আ-তাইনা-হুরাহমাতাম মিন ‘ইনদিনা ওয়া ‘আল্লামনা-হু মিল্লাদুন্না-‘ইল মা-।",
              "words_arabic": "فَوَجَدَا/فَوَجَدَا/fawajada//عَبْدًا/عَبۡدٗا/abdan//مِّنْ/مِّنۡ/min//عِبَادِنَاۤ/عِبَادِنَآ/ibadina//اٰتَیْنٰهُ/ءَاتَيۡنَٰهُ/ataynahu//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّنۡ/min//عِنْدِنَا/عِندِنَا/indina//وَ عَلَّمْنٰهُ/وَعَلَّمۡنَٰهُ/wa'allamnahu//مِنْ/مِن/min//لَّدُنَّا/لَّدُنَّا/ladunna//عِلْمًا /عِلۡمٗا/il'man",
              "words_bangla": "তখন দু'জনে পেলো//এক দাসকে//মধ্য হ'তে//আমাদের দাসদের//তাকে আমরা দিয়েছিলাম//অনুগ্রহ//থেকে//আমাদের নিকট//এবং তাকে আমরা শিখিয়েছিলাম//থেকে//আমাদের//জ্ঞান"
            },
            {
              "number": 2206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2206.mp3"
              ],
              "text": "قَالَ لَهُۥ مُوسَىٰ هَلْ أَتَّبِعُكَ عَلَىٰٓ أَن تُعَلِّمَنِ مِمَّا عُلِّمْتَ رُشْدًۭا",
              "translate_bn": "মূসা তাঁকে বললেনঃ আমি কি এ শর্তে আপনার অনুসরণ করতে পারি যে, সত্যপথের যে জ্ঞান আপনাকে শেখানো হয়েছে, তা থেকে আমাকে কিছু শিক্ষা দেবেন?",
              "numberInSurah": 66,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাহূমূছা-হাল আত্তাবি‘উকা ‘আলাআন তু‘আলিলমানি মিম্মা-‘উলিলমতা রুশদা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//مُوْسٰی/مُوسَىٰ/musa//هَلْ/هَلۡ/hal//اَتَّبِعُكَ/أَتَّبِعُكَ/attabi'uka//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//تُعَلِّمَنِ/تُعَلِّمَنِ/tu'allimani//مِمَّا/مِمَّا/mimma//عُلِّمْتَ/عُلِّمۡتَ/ullim'ta//رُشْدًا /رُشۡدٗا/rush'dan",
              "words_bangla": "বললো//তাকে//মূসা//\"কি//আপনাকে অনুসরণ করবো//(এ কথার) উপর//যে//আপনি আমাকে শিখাবেন//তা হ'তে যা//আপনাকে শিখানো হয়েছে//সত্য জ্ঞান\""
            },
            {
              "number": 2207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2207.mp3"
              ],
              "text": "قَالَ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًۭا",
              "translate_bn": "তিনি বললেনঃ আপনি আমার সাথে কিছুতেই ধৈর্য্যধারণ করে থাকতে পারবেন না।",
              "numberInSurah": 67,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নাকা লান তাছতাতী‘আ মা‘ইয়া সাবরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّكَ/إِنَّكَ/innaka//لَنْ/لَن/lan//تَسْتَطِیْعَ/تَسۡتَطِيعَ/tastati'a//مَعِیَ/مَعِيَ/ma'iya//صَبْرًا /صَبۡرٗا/sabran",
              "words_bangla": "সে বললো//\"নিশ্চয়ই আপনি//কখনও না//পারবেন//আমার সাথে//ধৈর্য ধরতে"
            },
            {
              "number": 2208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2208.mp3"
              ],
              "text": "وَكَيْفَ تَصْبِرُ عَلَىٰ مَا لَمْ تُحِطْ بِهِۦ خُبْرًۭا",
              "translate_bn": "যে বিষয় বোঝা আপনার আয়ত্তাধীন নয়, তা দেখে আপনি ধৈর্য্যধারণ করবেন কেমন করে?",
              "numberInSurah": 68,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইফা তাসবিরু ‘আলা-মা-লাম তুহিতবিহী খুবরা-।",
              "words_arabic": "وَ كَیْفَ/وَكَيۡفَ/wakayfa//تَصْبِرُ/تَصۡبِرُ/tasbiru//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//لَمْ/لَمۡ/lam//تُحِطْ/تُحِطۡ/tuhit//بِهٖ/بِهِۦ/bihi//خُبْرًا /خُبۡرٗا/khub'ran",
              "words_bangla": "এবং কেমমন করে//ধৈর্য ধরবেন//(এ বিষয়ের) উপর//যা//নি করেন//আয়ত্ত্ব//সম্পর্কে তা//অভিজ্ঞতায়\""
            },
            {
              "number": 2209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2209.mp3"
              ],
              "text": "قَالَ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ صَابِرًۭا وَلَآ أَعْصِى لَكَ أَمْرًۭا",
              "translate_bn": "মূসা বললেনঃ আল্লাহ চাহেন তো আপনি আমাকে ধৈর্য্যশীল পাবেন এবং আমি আপনার কোন আদেশ অমান্য করব না।",
              "numberInSurah": 69,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছাতাজিদুনীইন শাআল্লা-হু সা-বিরাওঁ ওয়ালাআ‘সী লাকা আমরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//سَتَجِدُنِیْۤ/سَتَجِدُنِيٓ/satajiduni//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//صَابِرًا/صَابِرٗا/sabiran//وَّ لَاۤ/وَلَآ/wala//اَعْصِیْ/أَعۡصِي/a'si//لَكَ/لَكَ/laka//اَمْرًا /أَمۡرٗا/amran",
              "words_bangla": "সে বললো//\"অচিরেই আপনি পাবেন আমাকে//যদি//চান//আল্লাহ্‌//ধৈর্যধারণকারীরূপে//এবং না//আমি অবাধ্যতা করবো//আপনার//নির্দেশের\""
            },
            {
              "number": 2210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2210.mp3"
              ],
              "text": "قَالَ فَإِنِ ٱتَّبَعْتَنِى فَلَا تَسْـَٔلْنِى عَن شَىْءٍ حَتَّىٰٓ أُحْدِثَ لَكَ مِنْهُ ذِكْرًۭا",
              "translate_bn": "তিনি বললেনঃ যদি আপনি আমার অনুসরণ করেনই তবে কোন বিষয়ে আমাকে প্রশ্ন করবেন না, যে পর্যন্ত না আমি নিজেই সে সম্পর্কে আপনাকে কিছু বলি।",
              "numberInSurah": 70,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 260,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাইনিত তাবা‘তানী ফালা-তাছআলনী ‘আন শাইয়িন হাত্তাউহদিছালাকামিনহু যিকরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاِنِ/فَإِنِ/fa-ini//اتَّبَعْتَنِیْ/ٱتَّبَعۡتَنِي/ittaba'tani//فَلَا/فَلَا/fala//تَسْـَٔلْنِیْ/تَسۡـَٔلۡنِي/tasalni//عَنْ/عَن/an//شَیْءٍ/شَيۡءٍ/shayin//حَتّٰۤی/حَتَّىٰٓ/hatta//اُحْدِثَ/أُحۡدِثَ/uh'ditha//لَكَ/لَكَ/laka//مِنْهُ/مِنۡهُ/min'hu//ذِكْرًا۠/ذِكۡرٗا/dhik'ran",
              "words_bangla": "সে বললো//\"তাহ'লে যদি//আমার অনুসরণ করেন//তবে না//আমাকে প্রশ্ন করবেন//সম্বন্ধে//কোনো কিছু//যতক্ষণ না//আমি বলি//আপনার জন্য//তা থেকে//কিছু বর্ণনা\""
            },
            {
              "number": 2211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2211.mp3"
              ],
              "text": "فَٱنطَلَقَا حَتَّىٰٓ إِذَا رَكِبَا فِى ٱلسَّفِينَةِ خَرَقَهَا ۖ قَالَ أَخَرَقْتَهَا لِتُغْرِقَ أَهْلَهَا لَقَدْ جِئْتَ شَيْـًٔا إِمْرًۭا",
              "translate_bn": "অতঃপর তারা চলতে লাগলঃ অবশেষে যখন তারা নৌকায় আরোহণ করল, তখন তিনি তাতে ছিদ্র করে দিলেন। মূসা বললেনঃ আপনি কি এর আরোহীদেরকে ডুবিয়ে দেয়ার জন্যে এতে ছিদ্র করে দিলেন? নিশ্চয়ই আপনি একটি গুরুতর মন্দ কাজ করলেন।",
              "numberInSurah": 71,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 261,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ফানতালাকা-হাত্তাইযা-রাকিবা-ফিছছাফীনাতি খারাকাহা- কা-লা আখারাকতাহা-লিতুগরিকা আহলাহা- লাকাদ জি’তা শাইআন ইমরা-।",
              "words_arabic": "فَانْطَلَقَا ۥ/فَٱنطَلَقَا/fa-intalaqa//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//رَكِبَا/رَكِبَا/rakiba//فِی/فِي/fi//السَّفِیْنَةِ/ٱلسَّفِينَةِ/al-safinati//خَرَقَهَا ؕ/خَرَقَهَاۖ/kharaqaha//قَالَ/قَالَ/qala//اَخَرَقْتَهَا/أَخَرَقۡتَهَا/akharaqtaha//لِتُغْرِقَ/لِتُغۡرِقَ/litugh'riqa//اَهْلَهَا ۚ/أَهۡلَهَا/ahlaha//لَقَدْ/لَقَدۡ/laqad//جِئْتَ/جِئۡتَ/ji'ta//شَیْـًٔا/شَيۡـًٔا/shayan//اِمْرًا /إِمۡرٗا/im'ran",
              "words_bangla": "অতঃপর দু'জন চললো//এমনকি//যখন//দু'জন চড়লো//মধ্যে//একটি নৌকার//তা সে ফুটো করে দিলো//(মূসা) বললো//\"তা আপনি কি ফুটো করে দিলেন//জন্যে ডুবানোর//তার আরোহীদেরকে//নিশ্চয়ই//আপনি করে এসেছেন//কাজ//গুরুতর\""
            },
            {
              "number": 2212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2212.mp3"
              ],
              "text": "قَالَ أَلَمْ أَقُلْ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًۭا",
              "translate_bn": "তিনি বললেনঃ আমি কি বলিনি যে, আপনি আমার সাথে কিছুতেই ধৈর্য্য ধরতে পারবেন না ?",
              "numberInSurah": 72,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 261,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা আলাম আকুল ইন্নাকা লান তাছতাতী‘আ মা‘ইয়া সাবরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَلَمْ/أَلَمۡ/alam//اَقُلْ/أَقُلۡ/aqul//اِنَّكَ/إِنَّكَ/innaka//لَنْ/لَن/lan//تَسْتَطِیْعَ/تَسۡتَطِيعَ/tastati'a//مَعِیَ/مَعِيَ/ma'iya//صَبْرًا /صَبۡرٗا/sabran",
              "words_bangla": "সে বললো//\"কি নি//আমি বলি//নিশ্চয়ই আপনি//কখনও না//পারবেন//আমার সাথে//ধৈর্য ধরতে\""
            },
            {
              "number": 2213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2213.mp3"
              ],
              "text": "قَالَ لَا تُؤَاخِذْنِى بِمَا نَسِيتُ وَلَا تُرْهِقْنِى مِنْ أَمْرِى عُسْرًۭا",
              "translate_bn": "মূসা বললেনঃ আমাকে আমার ভুলের জন্যে অপরাধী করবেন না এবং আমার কাজে আমার উপর কঠোরতা আরোপ করবেন না।",
              "numberInSurah": 73,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 261,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "কা-লা লা-তুআখিযনী বিমা -নাছীতুওয়ালা-তুরহিকনী মিন আমরী ‘উছরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَا/لَا/la//تُؤَاخِذْنِیْ/تُؤَاخِذۡنِي/tuakhidh'ni//بِمَا/بِمَا/bima//نَسِیْتُ/نَسِيتُ/nasitu//وَ لَا/وَلَا/wala//تُرْهِقْنِیْ/تُرۡهِقۡنِي/tur'hiq'ni//مِنْ/مِنۡ/min//اَمْرِیْ/أَمۡرِي/amri//عُسْرًا /عُسۡرٗا/us'ran",
              "words_bangla": "বললো (মূসা)//\"না//ধরবেন আমাকে//এ কারণে যা//আমি ভুলে গিয়েছি//এবং না//আমার উপর আরোপ করবেন//মধ্যে//আমার কাজের//কঠোরতা\""
            },
            {
              "number": 2214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2214.mp3"
              ],
              "text": "فَٱنطَلَقَا حَتَّىٰٓ إِذَا لَقِيَا غُلَٰمًۭا فَقَتَلَهُۥ قَالَ أَقَتَلْتَ نَفْسًۭا زَكِيَّةًۢ بِغَيْرِ نَفْسٍۢ لَّقَدْ جِئْتَ شَيْـًۭٔا نُّكْرًۭا",
              "translate_bn": "অতঃপর তারা চলতে লাগল। অবশেষে যখন একটি বালকের সাক্ষাত পেলেন, তখন তিনি তাকে হত্যা করলেন। মূসা বললেন? আপনি কি একটি নিস্পাপ জীবন শেষ করে দিলেন প্রাণের বিনিময় ছাড়াই? নিশ্চয়ই আপনি তো এক গুরুতর অন্যায় কাজ করলেন।",
              "numberInSurah": 74,
              "juz": 15,
              "manzil": 4,
              "page": 301,
              "ruku": 261,
              "hizbQuarter": 120,
              "sajda": false,
              "pronunciation_bn": "ফানতালাকা-হাত্তাইযা-লাকিয়া-গুলা-মান ফাকাতালাহূকা-লা আকাতালতা নাফছান ঝাকিইইয়াতাম বিগাইরি নাফছিল লাকাদ জি’তা শাইআন নুকরা-।",
              "words_arabic": "فَانْطَلَقَا ۥ/فَٱنطَلَقَا/fa-intalaqa//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//لَقِیَا/لَقِيَا/laqiya//غُلٰمًا/غُلَٰمٗا/ghulaman//فَقَتَلَهٗ ۙ/فَقَتَلَهُۥ/faqatalahu//قَالَ/قَالَ/qala//اَقَتَلْتَ/أَقَتَلۡتَ/aqatalta//نَفْسًا/نَفۡسٗا/nafsan//زَكِیَّةًۢ/زَكِيَّةَۢ/zakiyyatan//بِغَیْرِ/بِغَيۡرِ/bighayri//نَفْسٍ ؕ/نَفۡسٖ/nafsin//لَقَدْ/لَّقَدۡ/laqad//جِئْتَ/جِئۡتَ/ji'ta//شَیْـًٔا/شَيۡـٔٗا/shayan//نُّكْرًا /نُّكۡرٗا/nuk'ran",
              "words_bangla": "অতঃপর দু'জনে চড়লো//এমনকি//যখন//দু'জনে দেখা পেলো//এক বালকের//তখন সে হত্যা করলো তাকে//(মূসা) বললো//\"কি আপনি হত্যা করলেন//একটি জীবনকে//নিষ্পাপ//ছাড়া (হত্যা)//কোনো জীবন//নিশ্চয়ই//করে এসেছেন//কাজ//গুরুতর অন্যায়\""
            },
            {
              "number": 2215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2215.mp3"
              ],
              "text": "۞ قَالَ أَلَمْ أَقُل لَّكَ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًۭا",
              "translate_bn": "তিনি বললেনঃ আমি কি বলিনি যে, আপনি আমার সাথে ধৈর্য্য ধরে থাকতে পারবেন না।",
              "numberInSurah": 75,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা- লা আলাম আকুল্লাকা ইন্নাকা লান তাছতাতী‘আ মা‘ইয়া সাবরা-।",
              "words_arabic": "قَالَ/۞قَالَ/qala//اَلَمْ/أَلَمۡ/alam//اَقُلْ/أَقُل/aqul//لَّكَ/لَّكَ/laka//اِنَّكَ/إِنَّكَ/innaka//لَنْ/لَن/lan//تَسْتَطِیْعَ/تَسۡتَطِيعَ/tastati'a//مَعِیَ/مَعِيَ/ma'iya//صَبْرًا /صَبۡرٗا/sabran",
              "words_bangla": "সে বললো//\"কি নি//আমি বলি//আপনাকে//নিশ্চয়ই আপনি//কখনও না//পারবেন//আমার সাথে//ধৈর্য ধরতে\""
            },
            {
              "number": 2216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2216.mp3"
              ],
              "text": "قَالَ إِن سَأَلْتُكَ عَن شَىْءٍۭ بَعْدَهَا فَلَا تُصَٰحِبْنِى ۖ قَدْ بَلَغْتَ مِن لَّدُنِّى عُذْرًۭا",
              "translate_bn": "মূসা বললেনঃ এরপর যদি আমি আপনাকে কোন বিষয়ে প্রশ্ন করি, তবে আপনি আমাকে সাথে রাখবেন না। আপনি আমার পক্ষ থেকে অভিযোগ মুক্ত হয়ে গেছেন।",
              "numberInSurah": 76,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন ছাআলতুকা ‘আন শাইয়িম বা‘দাহা-ফালা-তুসা-হিবনী কাদ বালাগতা মিল্লাদুন্নী ‘উযরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنْ/إِن/in//سَاَلْتُكَ/سَأَلۡتُكَ/sa-altuka//عَنْ/عَن/an//شَیْءٍۭ/شَيۡءِۭ/shayin//بَعْدَهَا/بَعۡدَهَا/ba'daha//فَلَا/فَلَا/fala//تُصٰحِبْنِیْ ۚ/تُصَٰحِبۡنِيۖ/tusahib'ni//قَدْ/قَدۡ/qad//بَلَغْتَ/بَلَغۡتَ/balaghta//مِنْ/مِن/min//لَّدُنِّیْ/لَّدُنِّي/ladunni//عُذْرًا /عُذۡرٗا/udh'ran",
              "words_bangla": "(মূসা) বললো//\"যদি//আপনাকে আমি প্রশ্ন করি//সম্বন্ধে//কোনো কিছু//এরপর//তাহ'লে না//আমাকে আপনি সঙ্গে রাখবেন//নিশ্চয়ই//আপনি পৌঁছে গেছেন//থেকে//আমার পক্ষ//অজুহাতের শেষ সীমায়\""
            },
            {
              "number": 2217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2217.mp3"
              ],
              "text": "فَٱنطَلَقَا حَتَّىٰٓ إِذَآ أَتَيَآ أَهْلَ قَرْيَةٍ ٱسْتَطْعَمَآ أَهْلَهَا فَأَبَوْا۟ أَن يُضَيِّفُوهُمَا فَوَجَدَا فِيهَا جِدَارًۭا يُرِيدُ أَن يَنقَضَّ فَأَقَامَهُۥ ۖ قَالَ لَوْ شِئْتَ لَتَّخَذْتَ عَلَيْهِ أَجْرًۭا",
              "translate_bn": "অতঃপর তারা চলতে লাগল, অবশেষে যখন একটি জনপদের অধিবাসীদের কাছে পৌছে তাদের কাছে খাবার চাইল, তখন তারা তাদের অতিথেয়তা করতে অস্বীকার করল। অতঃপর তারা সেখানে একটি পতনোম্মুখ প্রাচীর দেখতে পেলেন, সেটি তিনি সোজা করে দাঁড় করিয়ে দিলেন। মূসা বললেনঃ আপনি ইচ্ছা করলে তাদের কাছ থেকে এর পারিশ্রমিক আদায় করতে পারতেন।",
              "numberInSurah": 77,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ফানতালাকা-হাত্তাইযাআতাইয়াআহলা কারইয়াতিনিছতাত‘আমা আহলাহা-ফাআবাওঁআইঁ ইউদাইয়িফূহুমা-ফাওয়াজাদা-ফীহা-জিদা-রাইঁ ইউরীদুআইঁ ইয়ানকাদ্দা ফাআকা-মাহূ কা-লা লাও শি’তা লাত্তাখাযতা ‘আলাইহি আজরা-।",
              "words_arabic": "فَانْطَلَقَا ۥ/فَٱنطَلَقَا/fa-intalaqa//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَتَیَاۤ/أَتَيَآ/ataya//اَهْلَ/أَهۡلَ/ahla//قَرْیَةِ/قَرۡيَةٍ/qaryatin//سْتَطْعَمَاۤ/ٱسۡتَطۡعَمَآ/is'tat'ama//اَهْلَهَا/أَهۡلَهَا/ahlaha//فَاَبَوْا/فَأَبَوۡاْ/fa-abaw//اَنْ/أَن/an//یُّضَیِّفُوْهُمَا/يُضَيِّفُوهُمَا/yudayyifuhuma//فَوَجَدَا/فَوَجَدَا/fawajada//فِیْهَا/فِيهَا/fiha//جِدَارًا/جِدَارٗا/jidaran//یُّرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یَّنْقَضَّ/يَنقَضَّ/yanqadda//فَاَقَامَهٗ ؕ/فَأَقَامَهُۥۖ/fa-aqamahu//قَالَ/قَالَ/qala//لَوْ/لَوۡ/law//شِئْتَ/شِئۡتَ/shi'ta//لَتَّخَذْتَ/لَتَّخَذۡتَ/lattakhadhta//عَلَیْهِ/عَلَيۡهِ/alayhi//اَجْرًا /أَجۡرٗا/ajran",
              "words_bangla": "অতঃপর দু'জনে চললো//এমনকি//যখন//দু'জনে আসলো//আধিবাসীদের কাছে//এক জনপদের//দু'জনে খাদ্য চাইলো//তার অধিবাসীদের কাছে//কিন্তু তারা অস্বীকার করলো//যে//তারা আতিথেয়তা করবে তাদের দু'জনকে//অতঃপর দু'জন পেলো//মধ্যে তার//একটি দেয়াল//চাচ্ছিলো//যে//ভেঙ্গে পড়বে//অতঃপর তা সে দাঁড় করিয়ে দিলো//(মূসা) বললো//\"যদি//আপনি চাইতেন//অবশ্যই আপনি নিতে পারতেন//এর বিনিময়ে//পারিশ্রমিক\""
            },
            {
              "number": 2218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2218.mp3"
              ],
              "text": "قَالَ هَٰذَا فِرَاقُ بَيْنِى وَبَيْنِكَ ۚ سَأُنَبِّئُكَ بِتَأْوِيلِ مَا لَمْ تَسْتَطِع عَّلَيْهِ صَبْرًا",
              "translate_bn": "তিনি বললেনঃ এখানেই আমার ও আপনার মধ্যে সম্পর্কচ্ছেদ হল। এখন যে বিষয়ে আপনি ধৈর্য্য ধরতে পারেননি, আমি তার তাৎপর্য বলে দিচ্ছি।",
              "numberInSurah": 78,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লা হা-যা-ফিরা-কুবাইনী ওয়া বাইনিকা ছাউনাব্বিউকা বিতা’বিলি মালাম তাছতাতি‘ ‘আলাইহি সাব রা-।",
              "words_arabic": "قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//فِرَاقُ/فِرَاقُ/firaqu//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنِكَ ۚ/وَبَيۡنِكَۚ/wabaynika//سَاُنَبِّئُكَ/سَأُنَبِّئُكَ/sa-unabbi-uka//بِتَاْوِیْلِ/بِتَأۡوِيلِ/bitawili//مَا/مَا/ma//لَمْ/لَمۡ/lam//تَسْتَطِعْ/تَسۡتَطِع/tastati'//عَّلَیْهِ/عَّلَيۡهِ/alayhi//صَبْرًا /صَبۡرًا/sabran",
              "words_bangla": "সে বললো//\"এটাই//(যাত্রা শেষ) বিচ্ছেদ//মাঝে আমার//ও মাঝে আপনার//শীঘ্রই আপনাকে জানিয়ে দিবো//সম্পর্কে তাৎপর্য//যে বিষয়ে//নি//পারেন//উপর তার//ধৈর্য ধরতে"
            },
            {
              "number": 2219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2219.mp3"
              ],
              "text": "أَمَّا ٱلسَّفِينَةُ فَكَانَتْ لِمَسَٰكِينَ يَعْمَلُونَ فِى ٱلْبَحْرِ فَأَرَدتُّ أَنْ أَعِيبَهَا وَكَانَ وَرَآءَهُم مَّلِكٌۭ يَأْخُذُ كُلَّ سَفِينَةٍ غَصْبًۭا",
              "translate_bn": "নৌকাটির ব্যাপারে-সেটি ছিল কয়েকজন দরিদ্র ব্যক্তির। তারা সমুদ্রে জীবিকা অন্বেষন করত। আমি ইচ্ছা করলাম যে, সেটিকে ক্রটিযুক্ত করে দেই। তাদের অপরদিকে ছিল এক বাদশাহ। সে বলপ্রয়োগে প্রত্যেকটি নৌকা ছিনিয়ে নিত।",
              "numberInSurah": 79,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "আম্মাছ ছাফীনাতুফাকা-নাত লিমাছা-কীনা ইয়া‘মালূনা ফিল বাহরি ফাআরাততুআন আ‘ঈবাহা-ওয়া কা-না ওয়ারাআহুম মালিকুইঁ ইয়া‘খুযুকুল্লা ছাফীনাতিন গাসবা-।",
              "words_arabic": "اَمَّا/أَمَّا/amma//السَّفِیْنَةُ/ٱلسَّفِينَةُ/al-safinatu//فَكَانَتْ/فَكَانَتۡ/fakanat//لِمَسٰكِیْنَ/لِمَسَٰكِينَ/limasakina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//فَاَرَدْتُّ/فَأَرَدتُّ/fa-aradttu//اَنْ/أَنۡ/an//اَعِیْبَهَا/أَعِيبَهَا/a'ibaha//وَ كَانَ/وَكَانَ/wakana//وَرَآءَهُمْ/وَرَآءَهُم/waraahum//مَّلِكٌ/مَّلِكٞ/malikun//یَّاْخُذُ/يَأۡخُذُ/yakhudhu//كُلَّ/كُلَّ/kulla//سَفِیْنَةٍ/سَفِينَةٍ/safinatin//غَصْبًا /غَصۡبٗا/ghasban",
              "words_bangla": "ব্যাপার হলো//নৌকাটির//অতঃপর সেটা ছিলো//ক'জন গরীব ব্যক্তির//পরিশ্রম করতো//মধ্যে//সমুদ্রের//সুতরাং আমি চেয়েছি//যে//তা ত্রুটিযুক্ত করি//এবং ছিলো//পিছনে তাদের//এক রাজা//নিয়ে নিতো//প্রত্যেক//নৌকা//জোর করে"
            },
            {
              "number": 2220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2220.mp3"
              ],
              "text": "وَأَمَّا ٱلْغُلَٰمُ فَكَانَ أَبَوَاهُ مُؤْمِنَيْنِ فَخَشِينَآ أَن يُرْهِقَهُمَا طُغْيَٰنًۭا وَكُفْرًۭا",
              "translate_bn": "বালকটির ব্যাপার তার পিতা-মাতা ছিল ঈমানদার। আমি আশঙ্কা করলাম যে, সে অবাধ্যতা ও কুফর দ্বারা তাদেরকে প্রভাবিত করবে।",
              "numberInSurah": 80,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল গুলা-মুফাকা-না আবাওয়া-হুমু’মিনাইনি ফাখাশীনাআইঁ ইউরহিকাহুমাতুগইয়া-নাওঁ ওয়া কুফরা-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الْغُلٰمُ/ٱلۡغُلَٰمُ/al-ghulamu//فَكَانَ/فَكَانَ/fakana//اَبَوٰهُ/أَبَوَاهُ/abawahu//مُؤْمِنَیْنِ/مُؤۡمِنَيۡنِ/mu'minayni//فَخَشِیْنَاۤ/فَخَشِينَآ/fakhashina//اَنْ/أَن/an//یُّرْهِقَهُمَا/يُرۡهِقَهُمَا/yur'hiqahuma//طُغْیَانًا/طُغۡيَٰنٗا/tugh'yanan//وَّ كُفْرًاۚ/وَكُفۡرٗا/wakuf'ran",
              "words_bangla": "আর ব্যাপার হলো//ছেলেটির//অতঃপর ছিলো//তার পিতামাতা//দু'জন মু'মিন//তখন আমরা আশঙ্কা করলাম//যে//তাদের দু'জনকে সে কষ্ট দিবে//অবাধ্যতা করে//ও অবিশ্বাস (পথে চলে)"
            },
            {
              "number": 2221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2221.mp3"
              ],
              "text": "فَأَرَدْنَآ أَن يُبْدِلَهُمَا رَبُّهُمَا خَيْرًۭا مِّنْهُ زَكَوٰةًۭ وَأَقْرَبَ رُحْمًۭا",
              "translate_bn": "অতঃপর আমি ইচ্ছা করলাম যে, তাদের পালনকর্তা তাদেরকে মহত্তর, তার চাইতে পবিত্রতায় ও ভালবাসায় ঘনিষ্ঠতর একটি শ্রেষ্ঠ সন্তান দান করুক।",
              "numberInSurah": 81,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ফাআরাদনাআইঁ ইউবদিলাহুমা- রাব্বুহুমা- খাইরাম মিনহু ঝাকা-তাওঁ ওয়া আকারাবা রুহমা-।",
              "words_arabic": "فَاَرَدْنَاۤ/فَأَرَدۡنَآ/fa-aradna//اَنْ/أَن/an//یُّبْدِلَهُمَا/يُبۡدِلَهُمَا/yub'dilahuma//رَبُّهُمَا/رَبُّهُمَا/rabbuhuma//خَیْرًا/خَيۡرٗا/khayran//مِّنْهُ/مِّنۡهُ/min'hu//زَكٰوةً/زَكَوٰةٗ/zakatan//وَّ اَقْرَبَ/وَأَقۡرَبَ/wa-aqraba//رُحْمًا /رُحۡمٗا/ruh'man",
              "words_bangla": "সুতরাং আমরা চাইলাম//যে//দু'জনকে পরিবর্তে দিবেন//দু'জনের রব//উত্তম//তার চেয়ে//পবিত্রতায়//এবং ঘনিষ্টতর//দয়ার দিক থেকে"
            },
            {
              "number": 2222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2222.mp3"
              ],
              "text": "وَأَمَّا ٱلْجِدَارُ فَكَانَ لِغُلَٰمَيْنِ يَتِيمَيْنِ فِى ٱلْمَدِينَةِ وَكَانَ تَحْتَهُۥ كَنزٌۭ لَّهُمَا وَكَانَ أَبُوهُمَا صَٰلِحًۭا فَأَرَادَ رَبُّكَ أَن يَبْلُغَآ أَشُدَّهُمَا وَيَسْتَخْرِجَا كَنزَهُمَا رَحْمَةًۭ مِّن رَّبِّكَ ۚ وَمَا فَعَلْتُهُۥ عَنْ أَمْرِى ۚ ذَٰلِكَ تَأْوِيلُ مَا لَمْ تَسْطِع عَّلَيْهِ صَبْرًۭا",
              "translate_bn": "প্রাচীরের ব্যাপার-সেটি ছিল নগরের দুজন পিতৃহীন বালকের। এর নীচে ছিল তাদের গুপ্তধন এবং তাদের পিতা ছিল সৎকর্ম পরায়ন। সুতরাং আপনার পালনকর্তা দায়বশতঃ ইচ্ছা করলেন যে, তারা যৌবনে পদার্পন করুক এবং নিজেদের গুপ্তধন উদ্ধার করুক। আমি নিজ মতে এটা করিনি। আপনি যে বিষয়ে ধৈর্য্যধারণ করতে অক্ষম হয়েছিলেন, এই হল তার ব্যাখ্যা।",
              "numberInSurah": 82,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 261,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল জিদা-রু ফাকা-না লিগুলা-মাইনি ইয়াতীমাইনি ফিল মাদীনাতি ওয়া কা-না তাহতাহূকানঝুল্লাহুমা-ওয়া কা-না আবূহুমা-সা-লিহান ফাআরা-দা রাব্বুকা আইঁ ইয়াবলুগাআশুদ্দা হুমা-ওয়া ইয়াছতাখরিজা-কানঝাহুমা- রাহমাতাম মির রাব্বিকা ওয়ামা-ফা‘আলতুহূ‘আন আমরী যা-লিকা তা’বীলুমা-লাম তাছতি‘ ‘আলাইহি সাবরা-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الْجِدَارُ/ٱلۡجِدَارُ/al-jidaru//فَكَانَ/فَكَانَ/fakana//لِغُلٰمَیْنِ/لِغُلَٰمَيۡنِ/lighulamayni//یَتِیْمَیْنِ/يَتِيمَيۡنِ/yatimayni//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//وَ كَانَ/وَكَانَ/wakana//تَحْتَهٗ/تَحۡتَهُۥ/tahtahu//كَنْزٌ/كَنزٞ/kanzun//لَّهُمَا/لَّهُمَا/lahuma//وَ كَانَ/وَكَانَ/wakana//اَبُوْهُمَا/أَبُوهُمَا/abuhuma//صَالِحًا ۚ/صَٰلِحٗا/salihan//فَاَرَادَ/فَأَرَادَ/fa-arada//رَبُّكَ/رَبُّكَ/rabbuka//اَنْ/أَن/an//یَّبْلُغَاۤ/يَبۡلُغَآ/yablugha//اَشُدَّهُمَا/أَشُدَّهُمَا/ashuddahuma//وَ یَسْتَخْرِجَا/وَيَسۡتَخۡرِجَا/wayastakhrija//كَنْزَهُمَا ۖۗ/كَنزَهُمَا/kanzahuma//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّن/min//رَّبِّكَ ۚ/رَّبِّكَۚ/rabbika//وَ مَا/وَمَا/wama//فَعَلْتُهٗ/فَعَلۡتُهُۥ/fa'altuhu//عَنْ/عَنۡ/an//اَمْرِیْ ؕ/أَمۡرِيۚ/amri//ذٰلِكَ/ذَٰلِكَ/dhalika//تَاْوِیْلُ/تَأۡوِيلُ/tawilu//مَا/مَا/ma//لَمْ/لَمۡ/lam//تَسْطِعْ/تَسۡطِع/tasti'//عَّلَیْهِ/عَّلَيۡهِ/alayhi//صَبْرًاؕ۠/صَبۡرٗا/sabran",
              "words_bangla": "আর ব্যাপার (হলো)//দেয়ালটির (এই যে)//অতঃপর সেটা ছিলো//দু'টি ছেলের//পিতৃহীন//মধ্যে//শহরটির//এবং ছিলো//নিচে তার//গুপ্তধন//জন্যে দু'জনের//এবং ছিলো//তাদের দু'জনের পিতা//সৎ ব্যক্তি//সুতরাং চাইলেন//আপনার রব//যে//দু'জনে পৌঁছবে//দু'জনের যৌবনে তাদের//এবং দু'জনে উদ্ধার করবে//গুপ্তধন দু'জনের//(এটা) দয়া//থেকে//আপনার রবের//এবং না//তা আমি করেছি//থেকে//আমার ইচ্ছা//এটা//ব্যাখ্যা//যে বিষয়ে//নি//পারেন//উপর তার//ধৈর্য ধরতে\""
            },
            {
              "number": 2223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2223.mp3"
              ],
              "text": "وَيَسْـَٔلُونَكَ عَن ذِى ٱلْقَرْنَيْنِ ۖ قُلْ سَأَتْلُوا۟ عَلَيْكُم مِّنْهُ ذِكْرًا",
              "translate_bn": "তারা আপনাকে যুলকারনাইন সম্পর্কে জিজ্ঞাসা করে। বলুনঃ আমি তোমাদের কাছে তাঁর কিছু অবস্থা বর্ণনা করব।",
              "numberInSurah": 83,
              "juz": 16,
              "manzil": 4,
              "page": 302,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছআলূনাকা আন যিল কারনাইনি কুল ছাআতলূ‘আলাইকুম মিনহু যিকরা-।",
              "words_arabic": "وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//عَنْ/عَن/an//ذِی/ذِي/dhi//الْقَرْنَیْنِ ؕ/ٱلۡقَرۡنَيۡنِۖ/al-qarnayni//قُلْ/قُلۡ/qul//سَاَتْلُوْا/سَأَتۡلُواْ/sa-atlu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْهُ/مِّنۡهُ/min'hu//ذِكْرًاؕ/ذِكۡرًا/dhik'ran",
              "words_bangla": "এবং তোমাকে প্রশ্ন করছে//সম্বন্ধে//বিশিষ্ট//দুই গুচ্ছ//বলো//\"অচিরেই পাঠ করে শোনাবো//কাছে তোমাদের//থেকে তা//(কিছু) বর্ণনা\""
            },
            {
              "number": 2224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2224.mp3"
              ],
              "text": "إِنَّا مَكَّنَّا لَهُۥ فِى ٱلْأَرْضِ وَءَاتَيْنَٰهُ مِن كُلِّ شَىْءٍۢ سَبَبًۭا",
              "translate_bn": "আমি তাকে পৃথিবীতে প্রতিষ্ঠিত করেছিলাম এবং প্রত্যেক বিষয়ের কার্যোপকরণ দান করেছিলাম।",
              "numberInSurah": 84,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ইন্না-মাক্কান্না-লাহূফিল আরদিওয়া আ-তাইনা-হু মিন কুল্লি শাইয়িন ছাবাবা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//مَكَّنَّا/مَكَّنَّا/makkanna//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//سَبَبًاۙ/سَبَبٗا/sababan",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা কর্তৃত্ব দিয়েছিলাম//তাকে//মধ্যে//পৃথিবীর//এবং তাকে আমরা দিয়েছিলাম//থেকে//প্রত্যেক//বস্তু//পথ নির্দেশ"
            },
            {
              "number": 2225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2225.mp3"
              ],
              "text": "فَأَتْبَعَ سَبَبًا",
              "translate_bn": "অতঃপর তিনি এক কার্যোপকরণ অবলম্বন করলেন।",
              "numberInSurah": 85,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ফাআতবা‘আ ছাবাবা-।\r\n",
              "words_arabic": "فَاَتْبَعَ/فَأَتۡبَعَ/fa-atba'a//سَبَبًا /سَبَبًا/sababan",
              "words_bangla": "অতঃপর সে অনুসরণ করলো//এক পথ"
            },
            {
              "number": 2226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2226.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا بَلَغَ مَغْرِبَ ٱلشَّمْسِ وَجَدَهَا تَغْرُبُ فِى عَيْنٍ حَمِئَةٍۢ وَوَجَدَ عِندَهَا قَوْمًۭا ۗ قُلْنَا يَٰذَا ٱلْقَرْنَيْنِ إِمَّآ أَن تُعَذِّبَ وَإِمَّآ أَن تَتَّخِذَ فِيهِمْ حُسْنًۭا",
              "translate_bn": "অবশেষে তিনি যখন সুর্যের অস্তাচলে পৌছলেন; তখন তিনি সুর্যকে এক পঙ্কিল জলাশয়ে অস্ত যেতে দেখলেন এবং তিনি সেখানে এক সম্প্রদায়কে দেখতে পেলেন। আমি বললাম, হে যুলকারনাইন! আপনি তাদেরকে শাস্তি দিতে পারেন অথবা তাদেরকে সদয়ভাবে গ্রহণ করতে পারেন।",
              "numberInSurah": 86,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-বালাগা মাগরিবাশ শামছি ওয়া জাদাহা-তাগরুবুফী ‘আইনিন হামিআতিওঁ ওয়া ওয়াজাদা ‘ইনদাহা-কাওমান কুলনা-ইয়া-যাল কারনাইনি ইম্মাআন তু‘আযযিবা ওয়া ইম্মাআন তাত্তাখিযা ফীহিম হুছনা-।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//بَلَغَ/بَلَغَ/balagha//مَغْرِبَ/مَغۡرِبَ/maghriba//الشَّمْسِ/ٱلشَّمۡسِ/al-shamsi//وَجَدَهَا/وَجَدَهَا/wajadaha//تَغْرُبُ/تَغۡرُبُ/taghrubu//فِیْ/فِي/fi//عَیْنٍ/عَيۡنٍ/aynin//حَمِئَةٍ/حَمِئَةٖ/hami-atin//وَّ وَجَدَ/وَوَجَدَ/wawajada//عِنْدَهَا/عِندَهَا/indaha//قَوْمًا ؕ۬/قَوۡمٗاۖ/qawman//قُلْنَا/قُلۡنَا/qul'na//یٰذَا/يَٰذَا/yadha//الْقَرْنَیْنِ/ٱلۡقَرۡنَيۡنِ/al-qarnayni//اِمَّاۤ/إِمَّآ/imma//اَنْ/أَن/an//تُعَذِّبَ/تُعَذِّبَ/tu'adhiba//وَ اِمَّاۤ/وَإِمَّآ/wa-imma//اَنْ/أَن/an//تَتَّخِذَ/تَتَّخِذَ/tattakhidha//فِیْهِمْ/فِيهِمۡ/fihim//حُسْنًا /حُسۡنٗا/hus'nan",
              "words_bangla": "শেষ পর্যন্ত//যখন//পৌঁছলো//অস্তাচলে//সূর্যের//পেলো তা//অস্ত যাচ্ছে//মধ্যে//জলাশয়//পঙ্কিল//এবং সে পেলো//তার কাছে//এক জাতিকে//আমরা বললাম//\"//\"হে জুলকারনাইন//হয়//যে//তুমি শাস্তি দিবে//আর না হয়//যে//তুমি অবলম্বন করো//জন্যে তাদের//সদ্ব্যবহার\""
            },
            {
              "number": 2227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2227.mp3"
              ],
              "text": "قَالَ أَمَّا مَن ظَلَمَ فَسَوْفَ نُعَذِّبُهُۥ ثُمَّ يُرَدُّ إِلَىٰ رَبِّهِۦ فَيُعَذِّبُهُۥ عَذَابًۭا نُّكْرًۭا",
              "translate_bn": "তিনি বললেনঃ যে কেউ সীমালঙ্ঘনকারী হবে আমি তাকে শাস্তি দেব। অতঃপর তিনি তাঁর পালনকর্তার কাছে ফিরে যাবেন। তিনি তাকে কঠোর শাস্তি দেবেন।",
              "numberInSurah": 87,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লা আম্মা-মান জালামা ফাছাওফা নু‘আযযি বুহূ ছু ম্মা ইউরাদ্দু ইলা-রাব্বিহী ফাইউ‘আযযি বুহূ‘আযা-বান নুকরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَمَّا/أَمَّا/amma//مَنْ/مَن/man//ظَلَمَ/ظَلَمَ/zalama//فَسَوْفَ/فَسَوۡفَ/fasawfa//نُعَذِّبُهٗ/نُعَذِّبُهُۥ/nu'adhibuhu//ثُمَّ/ثُمَّ/thumma//یُرَدُّ/يُرَدُّ/yuraddu//اِلٰی/إِلَىٰ/ila//رَبِّهٖ/رَبِّهِۦ/rabbihi//فَیُعَذِّبُهٗ/فَيُعَذِّبُهُۥ/fayu'adhibuhu//عَذَابًا/عَذَابٗا/adhaban//نُّكْرًا /نُّكۡرٗا/nuk'ran",
              "words_bangla": "সে বললো//\"ব্যাপারে//(তার) যে//সীমালঙ্ঘন করেছে//অতঃপর শীঘ্রই//তাকে আমরা শাস্তি দিবো//এরপর//ফিরিয়ে আনা হবে//দিকে//তার রবের//অতঃপর তিনি শাস্তি দিবেন তাকে//শাস্তি//কঠিন"
            },
            {
              "number": 2228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2228.mp3"
              ],
              "text": "وَأَمَّا مَنْ ءَامَنَ وَعَمِلَ صَٰلِحًۭا فَلَهُۥ جَزَآءً ٱلْحُسْنَىٰ ۖ وَسَنَقُولُ لَهُۥ مِنْ أَمْرِنَا يُسْرًۭا",
              "translate_bn": "এবং যে বিশ্বাস স্থাপন করে ও সৎকর্ম করে তার জন্য প্রতিদান রয়েছে কল্যাণ এবং আমার কাজে তাকে সহজ নির্দেশ দেব।",
              "numberInSurah": 88,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান আ-মানা ওয়া ‘আমিলা সা-লিহান ফালাহূজাঝাআনিল হুছনা-,ওয়া ছানাকূলুলাহূমিন আমরিনা-ইউছরা-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//فَلَهٗ/فَلَهُۥ/falahu//جَزَآءَ/جَزَآءً/jazaan//لْحُسْنٰی ۚ/ٱلۡحُسۡنَىٰۖ/al-hus'na//وَ سَنَقُوْلُ/وَسَنَقُولُ/wasanaqulu//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//اَمْرِنَا/أَمۡرِنَا/amrina//یُسْرًاؕ/يُسۡرٗا/yus'ran",
              "words_bangla": "আর ব্যাপারে//(তার) যে//ঈমান আনবে//ও কাজ করে//সৎ//তবে তার জন্যে//পুরস্কার (রয়েছে)//উত্তম//এবং অচিরেই আমরা বলবো//তাকে//মধ্য হ'তে//আমাদের নির্দেশের//যা সহজ\""
            },
            {
              "number": 2229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2229.mp3"
              ],
              "text": "ثُمَّ أَتْبَعَ سَبَبًا",
              "translate_bn": "অতঃপর তিনি এক উপায় অবলম্বন করলেন।",
              "numberInSurah": 89,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ছুম্মা আতবা‘আ ছাবাবা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَتْبَعَ/أَتۡبَعَ/atba'a//سَبَبًا /سَبَبًا/sababan",
              "words_bangla": "এরপর//সে অনুসরণ করলো//আরও এক পথ"
            },
            {
              "number": 2230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2230.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا بَلَغَ مَطْلِعَ ٱلشَّمْسِ وَجَدَهَا تَطْلُعُ عَلَىٰ قَوْمٍۢ لَّمْ نَجْعَل لَّهُم مِّن دُونِهَا سِتْرًۭا",
              "translate_bn": "অবশেষে তিনি যখন সূর্যের উদয়াচলে পৌছলেন, তখন তিনি তাকে এমন এক সম্প্রদায়ের উপর উদয় হতে দেখলেন, যাদের জন্যে সূর্যতাপ থেকে আত্নরক্ষার কোন আড়াল আমি সৃষ্টি করিনি।",
              "numberInSurah": 90,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-বালাগা মাতলি‘আশশামছি ওয়াজাদাহা-তাতলু‘উ ‘আলা-কাওমিল লাম নাজ‘আল লাহুম মিন দূনিহা-ছিতরা-।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//بَلَغَ/بَلَغَ/balagha//مَطْلِعَ/مَطۡلِعَ/matli'a//الشَّمْسِ/ٱلشَّمۡسِ/al-shamsi//وَجَدَهَا/وَجَدَهَا/wajadaha//تَطْلُعُ/تَطۡلُعُ/tatlu'u//عَلٰی/عَلَىٰ/ala//قَوْمٍ/قَوۡمٖ/qawmin//لَّمْ/لَّمۡ/lam//نَجْعَلْ/نَجۡعَل/naj'al//لَّهُمْ/لَّهُم/lahum//مِّنْ/مِّن/min//دُوْنِهَا/دُونِهَا/duniha//سِتْرًاۙ/سِتۡرٗا/sit'ran",
              "words_bangla": "শেষ পর্যন্ত//যখন//পৌঁছে গেল//উদয়াচলে//সূর্যের//সে তা পেলো//উদয় হ'তে//উপর//এক জাতির//নি//আমরা সৃষ্টি করি//জন্যে তাদের//ছাড়া//তা//কোনো আড়াল"
            },
            {
              "number": 2231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2231.mp3"
              ],
              "text": "كَذَٰلِكَ وَقَدْ أَحَطْنَا بِمَا لَدَيْهِ خُبْرًۭا",
              "translate_bn": "প্রকৃত ঘটনা এমনিই। তার বৃত্তান্ত আমি সম্যক অবগত আছি।",
              "numberInSurah": 91,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ওয়া কাদ আহাতনা-বিমা-লাদাইহি খুবরা",
              "words_arabic": "كَذٰلِكَ ؕ/كَذَٰلِكَۖ/kadhalika//وَ قَدْ/وَقَدۡ/waqad//اَحَطْنَا/أَحَطۡنَا/ahatna//بِمَا/بِمَا/bima//لَدَیْهِ/لَدَيۡهِ/ladayhi//خُبْرًا /خُبۡرٗا/khub'ran",
              "words_bangla": "এরূপ ছিলো//এবং নিশ্চয়ই//আমরা পূর্ণ অবগত আছি//ঐ বিষয় যা//তার সাথে ছিলো//বিবরণ"
            },
            {
              "number": 2232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2232.mp3"
              ],
              "text": "ثُمَّ أَتْبَعَ سَبَبًا",
              "translate_bn": "আবার তিনি এক পথ ধরলেন।",
              "numberInSurah": 92,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আতবা‘আ ছাবাবা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَتْبَعَ/أَتۡبَعَ/atba'a//سَبَبًا /سَبَبًا/sababan",
              "words_bangla": "এরপর//সে অনুসরণ করলো//(আরও) এক পথ"
            },
            {
              "number": 2233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2233.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا بَلَغَ بَيْنَ ٱلسَّدَّيْنِ وَجَدَ مِن دُونِهِمَا قَوْمًۭا لَّا يَكَادُونَ يَفْقَهُونَ قَوْلًۭا",
              "translate_bn": "অবশেষে যখন তিনি দুই পর্বত প্রচীরের মধ্যস্থলে পৌছলেন, তখন তিনি সেখানে এক জাতিকে পেলেন, যারা তাঁর কথা একেবারেই বুঝতে পারছিল না।",
              "numberInSurah": 93,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-বালাগা বাইনাছছাদ্দাইনি ওয়াজাদা মিন দূনিহিমা-কাওমাল লা-ইয়াকা-দূনা ইয়াফকাহূনা কাওলা-।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//بَلَغَ/بَلَغَ/balagha//بَیْنَ/بَيۡنَ/bayna//السَّدَّیْنِ/ٱلسَّدَّيۡنِ/al-sadayni//وَجَدَ/وَجَدَ/wajada//مِنْ/مِن/min//دُوْنِهِمَا/دُونِهِمَا/dunihima//قَوْمًا ۙ/قَوۡمٗا/qawman//لَّا/لَّا/la//یَكَادُوْنَ/يَكَادُونَ/yakaduna//یَفْقَهُوْنَ/يَفۡقَهُونَ/yafqahuna//قَوْلًا /قَوۡلٗا/qawlan",
              "words_bangla": "অবশেষে//যখন//পৌঁছে গেলো//মাঝে//দুই (পর্বত) প্রাচীরের//সে পেলো//ছাড়াও//তাদের দু'য়ের//এক জাতিকে//না//নিকটেও হতো//তারা বুঝার//কথা"
            },
            {
              "number": 2234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2234.mp3"
              ],
              "text": "قَالُوا۟ يَٰذَا ٱلْقَرْنَيْنِ إِنَّ يَأْجُوجَ وَمَأْجُوجَ مُفْسِدُونَ فِى ٱلْأَرْضِ فَهَلْ نَجْعَلُ لَكَ خَرْجًا عَلَىٰٓ أَن تَجْعَلَ بَيْنَنَا وَبَيْنَهُمْ سَدًّۭا",
              "translate_bn": "তারা বললঃ হে যুলকারনাইন, ইয়াজুজ ও মাজুজ দেশে অশান্তি সৃষ্টি করেছে। আপনি বললে আমরা আপনার জন্যে কিছু কর ধার্য করব এই শর্তে যে, আপনি আমাদের ও তাদের মধ্যে একটি প্রাচীর নির্মাণ করে দেবেন।",
              "numberInSurah": 94,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-যাল কারনাইনি ইন্না ইয়া’জূজা ওয়া মা’জূজা মুফছিদূনা ফিল আরদি ফাহাল নাজ‘আলুলাকা খারজান ‘আলাআন তাজ‘আলা বাইনানা-ওয়া বাইনাহুম ছাদ্দা-।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰذَا/يَٰذَا/yadha//الْقَرْنَیْنِ/ٱلۡقَرۡنَيۡنِ/al-qarnayni//اِنَّ/إِنَّ/inna//یَاْجُوْجَ/يَأۡجُوجَ/yajuja//وَ مَاْجُوْجَ/وَمَأۡجُوجَ/wamajuja//مُفْسِدُوْنَ/مُفۡسِدُونَ/muf'siduna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَهَلْ/فَهَلۡ/fahal//نَجْعَلُ/نَجۡعَلُ/naj'alu//لَكَ/لَكَ/laka//خَرْجًا/خَرۡجًا/kharjan//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//تَجْعَلَ/تَجۡعَلَ/taj'ala//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَهُمْ/وَبَيۡنَهُمۡ/wabaynahum//سَدًّا /سَدّٗا/saddan",
              "words_bangla": "তারা বললো//\"//\"হে জুলকারনাইন//নিশ্চয়ই//ইয়াজুজ//এবং মাজুজ//অশান্তি সৃষ্টিকারী//মধ্যে//পৃথিবীর (এ অঙ্গনে)//তবে কি//আমরা দিবো//তোমার জন্যে//কর//এই শর্তে//যে//তুমি বানাবে//মাঝে আমাদের//এবং মাঝে তাদের//একটি প্রাচীর\""
            },
            {
              "number": 2235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2235.mp3"
              ],
              "text": "قَالَ مَا مَكَّنِّى فِيهِ رَبِّى خَيْرٌۭ فَأَعِينُونِى بِقُوَّةٍ أَجْعَلْ بَيْنَكُمْ وَبَيْنَهُمْ رَدْمًا",
              "translate_bn": "তিনি বললেনঃ আমার পালনকর্তা আমাকে যে সামর্থ?2470;িয়েছেন, তাই যথেষ্ট। অতএব, তোমরা আমাকে শ্রম দিয়ে সাহায্য কর। আমি তোমাদের ও তাদের মধ্যে একটি সুদৃঢ় প্রাচীর নির্মাণ করে দেব।",
              "numberInSurah": 95,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লা মা-মাকান্নী ফীহি রাববী খাইরুন ফাআ‘ঈনূনী বিকুওওয়াতিন আজ‘আল বাইনাকুম ওয়া বাইনাহুম রাদমা-।",
              "words_arabic": "قَالَ/قَالَ/qala//مَا/مَا/ma//مَكَّنِّیْ/مَكَّنِّي/makkanni//فِیْهِ/فِيهِ/fihi//رَبِّیْ/رَبِّي/rabbi//خَیْرٌ/خَيۡرٞ/khayrun//فَاَعِیْنُوْنِیْ/فَأَعِينُونِي/fa-a'inuni//بِقُوَّةٍ/بِقُوَّةٍ/biquwwatin//اَجْعَلْ/أَجۡعَلۡ/aj'al//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَهُمْ/وَبَيۡنَهُمۡ/wabaynahum//رَدْمًاۙ/رَدۡمًا/radman",
              "words_bangla": "সে বললো//\"যা//আমাকে ক্ষমতা দিয়েছেন//মধ্যে তার//আমার রব//(তাই) উৎকৃষ্ট//সুতরাং আমাকে তোমরা সাহায্য করো//দিয়ে শ্রম//বানাবো আমি//মাঝে তোমাদের//এবং মাঝে তাদের//শক্ত দেয়াল"
            },
            {
              "number": 2236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2236.mp3"
              ],
              "text": "ءَاتُونِى زُبَرَ ٱلْحَدِيدِ ۖ حَتَّىٰٓ إِذَا سَاوَىٰ بَيْنَ ٱلصَّدَفَيْنِ قَالَ ٱنفُخُوا۟ ۖ حَتَّىٰٓ إِذَا جَعَلَهُۥ نَارًۭا قَالَ ءَاتُونِىٓ أُفْرِغْ عَلَيْهِ قِطْرًۭا",
              "translate_bn": "তোমরা আমাকে লোহার পাত এনে দাও। অবশেষে যখন পাহাড়ের মধ্যবর্তী ফাঁকা স্থান পূর্ণ হয়ে গেল, তখন তিনি বললেনঃ তোমরা হাঁপরে দম দিতে থাক। অবশেষে যখন তা আগুনে পরিণত হল, তখন তিনি বললেনঃ তোমরা গলিত তামা নিয়ে এস, আমি তা এর উপরে ঢেলে দেই।",
              "numberInSurah": 96,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "আ-তূনী ঝুবারাল হাদীদি হাত্তাইযা-ছা-ওয়া-বাইনাসসাদাফাইনি কা-লানফুখূ হাত্তাইযা-জা‘আলাহূনা-রান কা-লা আ-তূনীউফরিগ ‘আলাইহি কিতরা-।",
              "words_arabic": "اٰتُوْنِیْ/ءَاتُونِي/atuni//زُبَرَ/زُبَرَ/zubara//الْحَدِیْدِ ؕ/ٱلۡحَدِيدِۖ/al-hadidi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//سَاوٰی/سَاوَىٰ/sawa//بَیْنَ/بَيۡنَ/bayna//الصَّدَفَیْنِ/ٱلصَّدَفَيۡنِ/al-sadafayni//قَالَ/قَالَ/qala//انْفُخُوْا ؕ/ٱنفُخُواْۖ/unfukhu//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَعَلَهٗ/جَعَلَهُۥ/ja'alahu//نَارًا ۙ/نَارٗا/naran//قَالَ/قَالَ/qala//اٰتُوْنِیْۤ/ءَاتُونِيٓ/atuni//اُفْرِغْ/أُفۡرِغۡ/uf'righ//عَلَیْهِ/عَلَيۡهِ/alayhi//قِطْرًاؕ/قِطۡرٗا/qit'ran",
              "words_bangla": "আমাকে এনে দাও//পাতসমূহ//লোহার\"//অবশেষে//যখন//সমান হলো//মাঝে//পাহাড়ের ফাঁকা জায়গা দুই//সে বললো//\"তোমরা (হাপরে) দম দাও\"//অবশেষে//যখন//তা পরিণত করলো//আগুনের মতো//সে বললো//\"আমাকে এনে দাও//আমি ঢেলে দেই//উপর তার//গলানো তামা\""
            },
            {
              "number": 2237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2237.mp3"
              ],
              "text": "فَمَا ٱسْطَٰعُوٓا۟ أَن يَظْهَرُوهُ وَمَا ٱسْتَطَٰعُوا۟ لَهُۥ نَقْبًۭا",
              "translate_bn": "অতঃপর ইয়াজুজ ও মাজুজ তার উপরে আরোহণ করতে পারল না এবং তা ভেদ করতে ও সক্ষম হল না।",
              "numberInSurah": 97,
              "juz": 16,
              "manzil": 4,
              "page": 303,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "ফামাছতা‘ঊআইঁ ইয়াজহারূহু ওয়া মাছতাতা-‘ঊ লাহূনাকবা-।",
              "words_arabic": "فَمَا/فَمَا/fama//اسْطَاعُوْۤا/ٱسۡطَٰعُوٓاْ/is'ta'u//اَنْ/أَن/an//یَّظْهَرُوْهُ/يَظۡهَرُوهُ/yazharuhu//وَ مَا/وَمَا/wama//اسْتَطَاعُوْا/ٱسۡتَطَٰعُواْ/is'tata'u//لَهٗ/لَهُۥ/lahu//نَقْبًا /نَقۡبٗا/naqban",
              "words_bangla": "অতঃপর না//তারা সক্ষম হলো//যে//তা তারা অতিক্রম করবে//এবং না//তারা সক্ষম হলো//মধ্যে তার//ছিদ্র করতে"
            },
            {
              "number": 2238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2238.mp3"
              ],
              "text": "قَالَ هَٰذَا رَحْمَةٌۭ مِّن رَّبِّى ۖ فَإِذَا جَآءَ وَعْدُ رَبِّى جَعَلَهُۥ دَكَّآءَ ۖ وَكَانَ وَعْدُ رَبِّى حَقًّۭا",
              "translate_bn": "যুলকারনাইন বললেনঃ এটা আমার পালনকর্তার অনুগ্রহ। যখন আমার পালনকর্তার প্রতিশ্রুত সময় আসবে, তখন তিনি একে চূর্ণ-বিচূর্ণ করে দেবেন এবং আমার পালনকর্তার প্রতিশ্রুতি সত্য।",
              "numberInSurah": 98,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 262,
              "hizbQuarter": 121,
              "sajda": false,
              "pronunciation_bn": "কা-লা হা-যা-রাহমাতুম মির রাববী ফাইযা-জাআ ওয়া‘দুরাববী জা‘আলাহূ দাক্কাআ ওয়া কা-না ওয়া‘দুরাববী হাক্কা-।",
              "words_arabic": "قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//رَحْمَةٌ/رَحۡمَةٞ/rahmatun//مِّنْ/مِّن/min//رَّبِّیْ ۚ/رَّبِّيۖ/rabbi//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//وَعْدُ/وَعۡدُ/wa'du//رَبِّیْ/رَبِّي/rabbi//جَعَلَهٗ/جَعَلَهُۥ/ja'alahu//دَكَّآءَ ۚ/دَكَّآءَۖ/dakkaa//وَ كَانَ/وَكَانَ/wakana//وَعْدُ/وَعۡدُ/wa'du//رَبِّیْ/رَبِّي/rabbi//حَقًّاؕ/حَقّٗا/haqqan",
              "words_bangla": "সে বললো//\"এটা//অনুগ্রহ//পক্ষ হ'তে//আমার রবের//অতঃপর যখন//আসবে//প্রতিশ্রুতি//আমার রবের//তা করে দিবেন//চূর্ণবিচূর্ণ//এবং হলো//প্রতিশ্রুতি//আমার রবের//সত্য\""
            },
            {
              "number": 2239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2239.mp3"
              ],
              "text": "۞ وَتَرَكْنَا بَعْضَهُمْ يَوْمَئِذٍۢ يَمُوجُ فِى بَعْضٍۢ ۖ وَنُفِخَ فِى ٱلصُّورِ فَجَمَعْنَٰهُمْ جَمْعًۭا",
              "translate_bn": "আমি সেদিন তাদেরকে দলে দলে তরঙ্গের আকারে ছেড়ে দেব এবং শিঙ্গায় ফুঁৎকার দেয়া হবে। অতঃপর আমি তাদের সবাইকে একত্রিত করে আনব।",
              "numberInSurah": 99,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 262,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাকনা- বা‘দাহুম ইয়াওমাইযিইঁ ইয়ামূজুফী বা‘দিওঁ ওয়া নুফিখা ফিসসূরি ফাজামা‘না-হুম জাম‘আ-।",
              "words_arabic": "وَ تَرَكْنَا/۞وَتَرَكۡنَا/watarakna//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّمُوْجُ/يَمُوجُ/yamuju//فِیْ/فِي/fi//بَعْضٍ/بَعۡضٖۖ/ba'din//وَّ نُفِخَ/وَنُفِخَ/wanufikha//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَجَمَعْنٰهُمْ/فَجَمَعۡنَٰهُمۡ/fajama'nahum//جَمْعًاۙ/جَمۡعٗا/jam'an",
              "words_bangla": "এবং আমরা ছেড়ে দিববো//তাদের কাউকে//সেদিন//তরঙ্গের মত পড়বে//মধ্যে//কারও//এবং ফুঁ দেয়া হবে//মধ্যে//শিঙ্গার//অতঃপর আমরা একত্র করবো তাদেরকে//একসঙ্গে"
            },
            {
              "number": 2240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2240.mp3"
              ],
              "text": "وَعَرَضْنَا جَهَنَّمَ يَوْمَئِذٍۢ لِّلْكَٰفِرِينَ عَرْضًا",
              "translate_bn": "সেদিন আমি কাফেরদের কাছে জাহান্নামকে প্রত্যক্ষ ভাবে উপস্থিত করব।",
              "numberInSurah": 100,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 262,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আরাদনা-জাহান্নামা ইয়াওমাইযিল লিলকা-ফিরীনা ‘আরদা-।",
              "words_arabic": "وَّ عَرَضْنَا/وَعَرَضۡنَا/wa'aradna//جَهَنَّمَ/جَهَنَّمَ/jahannama//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْكٰفِرِیْنَ/لِّلۡكَٰفِرِينَ/lil'kafirina//عَرْضَاۙ/عَرۡضًا/ardan",
              "words_bangla": "এবং আমরা পেশ করবো//জাহান্নামকে//সেদিন//জন্যে কাফিরদের//প্রত্যক্ষভাবে"
            },
            {
              "number": 2241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2241.mp3"
              ],
              "text": "ٱلَّذِينَ كَانَتْ أَعْيُنُهُمْ فِى غِطَآءٍ عَن ذِكْرِى وَكَانُوا۟ لَا يَسْتَطِيعُونَ سَمْعًا",
              "translate_bn": "যাদের চক্ষুসমূহের উপর পর্দা ছিল আমার স্মরণ থেকে এবং যারা শুনতেও সক্ষম ছিল না।",
              "numberInSurah": 101,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 262,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কা-নাত আ‘ইউনুহুম ফী গিতাইন ‘আন যিকরী ওয়া কা-নূলা-ইয়াছতাতী‘ঊনা ছাম‘আ-।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//كَانَتْ/كَانَتۡ/kanat//اَعْیُنُهُمْ/أَعۡيُنُهُمۡ/a'yunuhum//فِیْ/فِي/fi//غِطَآءٍ/غِطَآءٍ/ghitain//عَنْ/عَن/an//ذِكْرِیْ/ذِكۡرِي/dhik'ri//وَ كَانُوْا/وَكَانُواْ/wakanu//لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//سَمْعًا۠/سَمۡعًا/sam'an",
              "words_bangla": "যাদের//ছিলো//চোখগুলোর তাদের//মধ্যে//পর্দা//থেকে//আমার স্মরণ//এবং তারা ছিলো//না//সক্ষম হতো//শুনতে"
            },
            {
              "number": 2242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2242.mp3"
              ],
              "text": "أَفَحَسِبَ ٱلَّذِينَ كَفَرُوٓا۟ أَن يَتَّخِذُوا۟ عِبَادِى مِن دُونِىٓ أَوْلِيَآءَ ۚ إِنَّآ أَعْتَدْنَا جَهَنَّمَ لِلْكَٰفِرِينَ نُزُلًۭا",
              "translate_bn": "কাফেররা কি মনে করে যে, তারা আমার পরিবর্তে আমার বান্দাদেরকে অভিভাবক রূপে গ্রহণ করবে? আমি কাফেরদের অভ্যর্থনার জন্যে জাহান্নামকে প্রস্তুত করে রেখেছি।",
              "numberInSurah": 102,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "আফাহাছিবাল্লাযীনা কাফারূআইঁ ইয়াত্তাখিযূ‘ইবা-দী মিন দূ নীআওলিয়াআ ইন্না আ‘তাদনা-জাহান্নামা লিলকা-ফিরীনা নুঝুলা-।",
              "words_arabic": "اَفَحَسِبَ/أَفَحَسِبَ/afahasiba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنْ/أَن/an//یَّتَّخِذُوْا/يَتَّخِذُواْ/yattakhidhu//عِبَادِیْ/عِبَادِي/ibadi//مِنْ/مِن/min//دُوْنِیْۤ/دُونِيٓ/duni//اَوْلِیَآءَ ؕ/أَوۡلِيَآءَۚ/awliyaa//اِنَّاۤ/إِنَّآ/inna//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//جَهَنَّمَ/جَهَنَّمَ/jahannama//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//نُزُلًا /نُزُلٗا/nuzulan",
              "words_bangla": "কি মনে করেছে//যারা//অস্বীকার করেছে//যে//তারা গ্রহণ করবে//আমার দাসদেরকে//ছাড়া//আমাকে//অভিভাবকরূপে//নিশ্চয়ই আমরা//আমরা প্রস্তুত করে রেখেছি//জাহান্নামকে//জন্যে কাফিরদের//মেহমানদারী হিসেবে"
            },
            {
              "number": 2243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2243.mp3"
              ],
              "text": "قُلْ هَلْ نُنَبِّئُكُم بِٱلْأَخْسَرِينَ أَعْمَٰلًا",
              "translate_bn": "বলুনঃ আমি কি তোমাদেরকে সেসব লোকের সংবাদ দেব, যারা কর্মের দিক দিয়ে খুবই ক্ষতিগ্রস্ত।",
              "numberInSurah": 103,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কুল হাল নুনাব্বিউকুম বিলআখছারীনা আ‘মা-লা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//نُنَبِّئُكُمْ/نُنَبِّئُكُم/nunabbi-ukum//بِالْاَخْسَرِیْنَ/بِٱلۡأَخۡسَرِينَ/bil-akhsarina//اَعْمَالًاؕ/أَعۡمَٰلًا/a'malan",
              "words_bangla": "বলো//\"কি//খবর দিবো আমরা তোমাদেরকে//সম্বন্ধে খুবই ক্ষতিগ্রস্তদের//কর্মসমূহে"
            },
            {
              "number": 2244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2244.mp3"
              ],
              "text": "ٱلَّذِينَ ضَلَّ سَعْيُهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَهُمْ يَحْسَبُونَ أَنَّهُمْ يُحْسِنُونَ صُنْعًا",
              "translate_bn": "তারাই সে লোক, যাদের প্রচেষ্টা পার্থিবজীবনে বিভ্রান্ত হয়, অথচ তারা মনে করে যে, তারা সৎকর্ম করেছে।",
              "numberInSurah": 104,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা দাল্লা ছা‘ইউহুম ফিল হায়া-তিদদুনইয়া- ওয়াহুম ইয়াহছাবূনা আন্নাহুম ইউহছিনূনা সুন‘আ-।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//ضَلَّ/ضَلَّ/dalla//سَعْیُهُمْ/سَعۡيُهُمۡ/sa'yuhum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ هُمْ/وَهُمۡ/wahum//یَحْسَبُوْنَ/يَحۡسَبُونَ/yahsabuna//اَنَّهُمْ/أَنَّهُمۡ/annahum//یُحْسِنُوْنَ/يُحۡسِنُونَ/yuh'sinuna//صُنْعًا /صُنۡعًا/sun'an",
              "words_bangla": "যাদের//পন্ড হয়েছে//তাদের প্রচেষ্টা//মধ্যে//জীবনের//পার্থিব//অথচ তারা//মনে করে//যে তারা//উত্তম করছে//কর্ম\""
            },
            {
              "number": 2245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2245.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِ رَبِّهِمْ وَلِقَآئِهِۦ فَحَبِطَتْ أَعْمَٰلُهُمْ فَلَا نُقِيمُ لَهُمْ يَوْمَ ٱلْقِيَٰمَةِ وَزْنًۭا",
              "translate_bn": "তারাই সে লোক, যারা তাদের পালনকর্তার নিদর্শনাবলী এবং তাঁর সাথে সাক্ষাতের বিষয় অস্বীকার করে। ফলে তাদের কর্ম নিষ্ফল হয়ে যায়। সুতরাং কেয়ামতের দিন তাদের জন্য আমি কোন গুরুত্ব স্থির করব না।",
              "numberInSurah": 105,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা কাফারূ বিআ-য়া-তি রাব্বিহিম ওয়ালিকাইহী ফাহাবিতাত আ‘মালুহুম ফালা-নুকীমুলাহুম ইয়াওমাল কিয়া-মাতি ওয়াঝনা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ لِقَآىِٕهٖ/وَلِقَآئِهِۦ/waliqaihi//فَحَبِطَتْ/فَحَبِطَتۡ/fahabitat//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//فَلَا/فَلَا/fala//نُقِیْمُ/نُقِيمُ/nuqimu//لَهُمْ/لَهُمۡ/lahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَزْنًا /وَزۡنٗا/waznan",
              "words_bangla": "ঐসব লোক//(তারাই) যারা//অস্বীকার করেছে//নিদর্শনসমূহকে//তাদের রবের//ও তার সাক্ষাত//তাই নিষ্ফল হয়েছে//তাদের কাজগুলো//সুতরাং না//দাঁড় করাববো আমরা//জন্যে তাদের//দিনে//ক্বিয়ামাতের//ওজন"
            },
            {
              "number": 2246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2246.mp3"
              ],
              "text": "ذَٰلِكَ جَزَآؤُهُمْ جَهَنَّمُ بِمَا كَفَرُوا۟ وَٱتَّخَذُوٓا۟ ءَايَٰتِى وَرُسُلِى هُزُوًا",
              "translate_bn": "জাহান্নাম-এটাই তাদের প্রতিফল; কারণ, তারা কাফের হয়েছে এবং আমার নিদর্শনাবলী ও রসূলগণকে বিদ্রূপের বিষয় রূপে গ্রহণ করেছে।",
              "numberInSurah": 106,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা জাঝাউহুম জাহান্নামুবিমা-কাফারূওয়াত্তাখাযূআ-য়া-তী ওয়ারুছুলী হুঝুওয়া-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//جَزَآؤُهُمْ/جَزَآؤُهُمۡ/jazauhum//جَهَنَّمُ/جَهَنَّمُ/jahannamu//بِمَا/بِمَا/bima//كَفَرُوْا/كَفَرُواْ/kafaru//وَ اتَّخَذُوْۤا/وَٱتَّخَذُوٓاْ/wa-ittakhadhu//اٰیٰتِیْ/ءَايَٰتِي/ayati//وَ رُسُلِیْ/وَرُسُلِي/warusuli//هُزُوًا /هُزُوًا/huzuwan",
              "words_bangla": "এটাই//প্রতিফল তাদের//জাহান্নাম//কারণে এ যা//অস্বীকার করেছে//ও গ্রহণ করেছে//আমার নিদর্শনাবলী//এবং আমার রাসুলদেরকেও//বিদ্রুপরূপে"
            },
            {
              "number": 2247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2247.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ كَانَتْ لَهُمْ جَنَّٰتُ ٱلْفِرْدَوْسِ نُزُلًا",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে ও সৎকর্ম সম্পাদন করে, তাদের অভ্যর্থনার জন্যে আছে জান্নাতুল ফেরদাউস।",
              "numberInSurah": 107,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি কা-নাত লাহুম জান্না-তুল ফিরদাওছি নুঝুলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//كَانَتْ/كَانَتۡ/kanat//لَهُمْ/لَهُمۡ/lahum//جَنّٰتُ/جَنَّـٰتُ/jannatu//الْفِرْدَوْسِ/ٱلۡفِرۡدَوۡسِ/al-fir'dawsi//نُزُلًاۙ/نُزُلًا/nuzulan",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//রয়েছে//জন্যে তাদের//জান্নাতসমূহ//ফিরদৌসের//আপ্যায়নরূপে"
            },
            {
              "number": 2248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2248.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا لَا يَبْغُونَ عَنْهَا حِوَلًۭا",
              "translate_bn": "সেখানে তারা চিরকাল থাকবে, সেখান থেকে স্থান পরিবর্তন করতে চাইবে না।",
              "numberInSurah": 108,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-লা-ইয়াবগূনা ‘আনহা-হিওয়ালা-।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//لَا/لَا/la//یَبْغُوْنَ/يَبۡغُونَ/yabghuna//عَنْهَا/عَنۡهَا/anha//حِوَلًا /حِوَلٗا/hiwalan",
              "words_bangla": "তারা চিরস্থায়ী হবে//মধ্যে তার//না//তারা চাইবে//থেকে তা//স্থানান্তর"
            },
            {
              "number": 2249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2249.mp3"
              ],
              "text": "قُل لَّوْ كَانَ ٱلْبَحْرُ مِدَادًۭا لِّكَلِمَٰتِ رَبِّى لَنَفِدَ ٱلْبَحْرُ قَبْلَ أَن تَنفَدَ كَلِمَٰتُ رَبِّى وَلَوْ جِئْنَا بِمِثْلِهِۦ مَدَدًۭا",
              "translate_bn": "বলুনঃ আমার পালনকর্তার কথা, লেখার জন্যে যদি সমুদ্রের পানি কালি হয়, তবে আমার পালনকর্তার কথা, শেষ হওয়ার আগেই সে সমুদ্র নিঃশেষিত হয়ে যাবে। সাহায্যার্থে অনুরূপ আরেকটি সমুদ্র এনে দিলেও।",
              "numberInSurah": 109,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কুল লাও কা-নাল বাহরু মিদা-দাল লিকালিমা-তি রাববী লানাফিদাল বাহরু কাবলা আন তানফাদা কালিমা-তুরাববী ওয়ালাও জি’না-বিমিছলিহী মাদাদা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّوْ/لَّوۡ/law//كَانَ/كَانَ/kana//الْبَحْرُ/ٱلۡبَحۡرُ/al-bahru//مِدَادًا/مِدَادٗا/midadan//لِّكَلِمٰتِ/لِّكَلِمَٰتِ/likalimati//رَبِّیْ/رَبِّي/rabbi//لَنَفِدَ/لَنَفِدَ/lanafida//الْبَحْرُ/ٱلۡبَحۡرُ/al-bahru//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَن/an//تَنْفَدَ/تَنفَدَ/tanfada//كَلِمٰتُ/كَلِمَٰتُ/kalimatu//رَبِّیْ/رَبِّي/rabbi//وَ لَوْ/وَلَوۡ/walaw//جِئْنَا/جِئۡنَا/ji'na//بِمِثْلِهٖ/بِمِثۡلِهِۦ/bimith'lihi//مَدَدًا /مَدَدٗا/madadan",
              "words_bangla": "বলো//\"যদি//হয়//সমুদ্র//(লেখার) কালি//কথাসমূহ (লেখার জন্যে)//আমার রবের//অবশ্যই নিঃশেষ হয়ে যাবে//সমুদ্র//পূর্বেই//যে//শেষ হবে//কথাসমূহ//আমার রবের//এবং যদিও//আমরা আসতাম//নিয়ে তার সমান (সমুদ্র)//সাহায্যার্থে\""
            },
            {
              "number": 2250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2250.mp3"
              ],
              "text": "قُلْ إِنَّمَآ أَنَا۠ بَشَرٌۭ مِّثْلُكُمْ يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ ۖ فَمَن كَانَ يَرْجُوا۟ لِقَآءَ رَبِّهِۦ فَلْيَعْمَلْ عَمَلًۭا صَٰلِحًۭا وَلَا يُشْرِكْ بِعِبَادَةِ رَبِّهِۦٓ أَحَدًۢا",
              "translate_bn": "বলুনঃ আমি ও তোমাদের মতই একজন মানুষ, আমার প্রতি প্রত্যাদেশ হয় যে, তোমাদের ইলাহই একমাত্র ইলাহ। অতএব, যে ব্যক্তি তার পালনকর্তার সাক্ষাত কামনা করে, সে যেন, সৎকর্ম সম্পাদন করে এবং তার পালনকর্তার এবাদতে কাউকে শরীক না করে।",
              "numberInSurah": 110,
              "juz": 16,
              "manzil": 4,
              "page": 304,
              "ruku": 263,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাআনা-বাশারুম মিছলুকুম ইউহাইলাইইয়া আন্নামাইলা-হুকুম ইলা-হুওঁ ওয়া-হিদুন ফামান কা-না ইয়ারজূলিকাআ রাব্বিহী ফালইয়া‘মাল ‘আমালান সালিহাওঁ ওয়ালা-ইউশরিক বি‘ইবা-দাতি রাব্বিহীআহাদা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ/مِّثۡلُكُمۡ/mith'lukum//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//اَنَّمَاۤ/أَنَّمَآ/annama//اِلٰهُكُمْ/إِلَٰهُكُمۡ/ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ۚ/وَٰحِدٞۖ/wahidun//فَمَنْ/فَمَن/faman//كَانَ/كَانَ/kana//یَرْجُوْا/يَرۡجُواْ/yarju//لِقَآءَ/لِقَآءَ/liqaa//رَبِّهٖ/رَبِّهِۦ/rabbihi//فَلْیَعْمَلْ/فَلۡيَعۡمَلۡ/falya'mal//عَمَلًا/عَمَلٗا/amalan//صَالِحًا/صَٰلِحٗا/salihan//وَّ لَا/وَلَا/wala//یُشْرِكْ/يُشۡرِكۡ/yush'rik//بِعِبَادَةِ/بِعِبَادَةِ/bi'ibadati//رَبِّهٖۤ/رَبِّهِۦٓ/rabbihi//اَحَدًا۠/أَحَدَۢا/ahadan",
              "words_bangla": "বলো//\"শুধুমাত্র//আমি//একজন মানুষ//মতো তোমাদের//ওহী করা হয়//আমার প্রতি//যে//ইলাহ তোমাদের//ইলাহ//একই//সুতরাং যে কেউ//সে ছিলো//কামনা করে//সাক্ষাত//তার রবের//অতঃপর সে কাজ করে যেন//কাজ//নেক//এবং না//শির্‌ক করে//ক্ষেত্রে তার ইবাদাতের//তার রবের//(অন্য) কাউকে\""
            }
          ]
        },
        {
          "number": 19,
          "name": "سُورَةُ مَرۡيَمَ",
          "englishName": "Maryam",
          "englishNameTranslation": "Mary",
          "revelationType": "Meccan",
          "verse": 98,
          "words": 2036,
          "chars": 8188,
          "ayahs": [
            {
              "number": 2251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2251.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ كٓهيعٓصٓ",
              "translate_bn": "কাফ-হা-ইয়া-আইন-সাদ",
              "numberInSurah": 1,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কাফ হা-ইয়া-‘আঈূন সোয়াদ ।",
              "words_arabic": "كٓهٰیٰعٓصٓ۫ۚ/كٓهيعٓصٓ/kaf-ha-ya-ain-sad",
              "words_bangla": "কাফ-হা-ইয়া-'আইন-স-দ"
            },
            {
              "number": 2252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2252.mp3"
              ],
              "text": "ذِكْرُ رَحْمَتِ رَبِّكَ عَبْدَهُۥ زَكَرِيَّآ",
              "translate_bn": "এটা আপনার পালনকর্তার অনুগ্রহের বিবরণ তাঁর বান্দা যাকারিয়ার প্রতি।",
              "numberInSurah": 2,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "যিকরু রাহমাতি রাব্বিকা ‘আবদাহূঝাকারিইইয়া-।",
              "words_arabic": "ذِكْرُ/ذِكۡرُ/dhik'ru//رَحْمَتِ/رَحۡمَتِ/rahmati//رَبِّكَ/رَبِّكَ/rabbika//عَبْدَهٗ/عَبۡدَهُۥ/abdahu//زَكَرِیَّاۖۚ/زَكَرِيَّآ/zakariyya",
              "words_bangla": "উল্লেখ (করা হচ্ছে)//অনুগ্রহের//তোমার রবের//তাঁর দাস//যাকারিয়্যার (প্রতি)"
            },
            {
              "number": 2253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2253.mp3"
              ],
              "text": "إِذْ نَادَىٰ رَبَّهُۥ نِدَآءً خَفِيًّۭا",
              "translate_bn": "যখন সে তাঁর পালনকর্তাকে আহবান করেছিল নিভৃতে।",
              "numberInSurah": 3,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ইযনা-দা-রাব্বাহূনিদাআন খাফিইইয়া-।",
              "words_arabic": "اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//رَبَّهٗ/رَبَّهُۥ/rabbahu//نِدَآءً/نِدَآءً/nidaan//خَفِیًّا /خَفِيّٗا/khafiyyan",
              "words_bangla": "যখন//সে ডেকেছিলো//তাঁর রবকে//ডাক//নিভৃতে"
            },
            {
              "number": 2254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2254.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّى وَهَنَ ٱلْعَظْمُ مِنِّى وَٱشْتَعَلَ ٱلرَّأْسُ شَيْبًۭا وَلَمْ أَكُنۢ بِدُعَآئِكَ رَبِّ شَقِيًّۭا",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা আমার অস্থি বয়স-ভারাবনত হয়েছে; বার্ধক্যে মস্তক সুশুভ্র হয়েছে; হে আমার পালনকর্তা! আপনাকে ডেকে আমি কখনও বিফলমনোরথ হইনি।",
              "numberInSurah": 4,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী ওয়াহানাল ‘আজমুমিন্নী ওয়াশতা‘আলার রা’ছুশাইবাওঁ ওয়ালাম আকুম বিদু‘আইকা রাব্বি শাকিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//وَهَنَ/وَهَنَ/wahana//الْعَظْمُ/ٱلۡعَظۡمُ/al-'azmu//مِنِّیْ/مِنِّي/minni//وَ اشْتَعَلَ/وَٱشۡتَعَلَ/wa-ish'ta'ala//الرَّاْسُ/ٱلرَّأۡسُ/al-rasu//شَیْبًا/شَيۡبٗا/shayban//وَّ لَمْ/وَلَمۡ/walam//اَكُنْۢ/أَكُنۢ/akun//بِدُعَآىِٕكَ/بِدُعَآئِكَ/bidu'aika//رَبِّ/رَبِّ/rabbi//شَقِیًّا /شَقِيّٗا/shaqiyyan",
              "words_bangla": "সে বলেছিলো//\"হে আমার রব//আমি নিশ্চয়ই (এ অবস্থায় যে)//নরম হয়েছে//হাড় (মজ্জা)//আমার হ'তে//এবং উজ্জ্বল (শুভ্র হয়েছে)//মাথা (চুল)//বার্ধক্যের (চিহ্নে)//এবং নি//আমি হই//কারণে তোমাকে ডাকার//হে আমার রব//ব্যর্থকাম"
            },
            {
              "number": 2255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2255.mp3"
              ],
              "text": "وَإِنِّى خِفْتُ ٱلْمَوَٰلِىَ مِن وَرَآءِى وَكَانَتِ ٱمْرَأَتِى عَاقِرًۭا فَهَبْ لِى مِن لَّدُنكَ وَلِيًّۭا",
              "translate_bn": "আমি ভয় করি আমার পর আমার স্বগোত্রকে এবং আমার স্ত্রী বন্ধ্যা; কাজেই আপনি নিজের পক্ষ থেকে আমাকে এক জন কর্তব্য পালনকারী দান করুন।",
              "numberInSurah": 5,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নী খিফতুল মাওয়া-লিয়া মিওঁ ওয়ারাঈওয়াকা-নাতিম রাআতী ‘আ-কিরান ফাহাব লী মিল্লা দুনকা ওয়ালিইইয়া-।",
              "words_arabic": "وَ اِنِّیْ/وَإِنِّي/wa-inni//خِفْتُ/خِفۡتُ/khif'tu//الْمَوَالِیَ/ٱلۡمَوَٰلِيَ/al-mawaliya//مِنْ/مِن/min//وَّرَآءِیْ/وَرَآءِي/warai//وَ كَانَتِ/وَكَانَتِ/wakanati//امْرَاَتِیْ/ٱمۡرَأَتِي/im'ra-ati//عَاقِرًا/عَاقِرٗا/aqiran//فَهَبْ/فَهَبۡ/fahab//لِیْ/لِي/li//مِنْ/مِن/min//لَّدُنْكَ/لَّدُنكَ/ladunka//وَلِیًّاۙ/وَلِيّٗا/waliyyan",
              "words_bangla": "এবং আমি নিশ্চয়ই//ভয় করছি//আমার স্বগোত্রদের//থেকে//আমার পর//এবং হয়েছে//আমার স্ত্রী//বন্ধ্যা//তবুও দান করো//আমাকে//থেকে//তোমার নিকট//এক উত্তরাধিকারী"
            },
            {
              "number": 2256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2256.mp3"
              ],
              "text": "يَرِثُنِى وَيَرِثُ مِنْ ءَالِ يَعْقُوبَ ۖ وَٱجْعَلْهُ رَبِّ رَضِيًّۭا",
              "translate_bn": "সে আমার স্থলাভিষিক্ত হবে ইয়াকুব বংশের এবং হে আমার পালনকর্তা, তাকে করুন সন্তোষজনক।",
              "numberInSurah": 6,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ইয়ারিছু নী ওয়া ইয়ারিছুমিন আ-লি ইয়া‘কূবা ওয়াজ‘আলহু রাব্বি রাদিইইয়া-।",
              "words_arabic": "یَّرِثُنِیْ/يَرِثُنِي/yarithuni//وَ یَرِثُ/وَيَرِثُ/wayarithu//مِنْ/مِنۡ/min//اٰلِ/ءَالِ/ali//یَعْقُوْبَ ۖۗ/يَعۡقُوبَۖ/ya'quba//وَ اجْعَلْهُ/وَٱجۡعَلۡهُ/wa-ij'alhu//رَبِّ/رَبِّ/rabbi//رَضِیًّا /رَضِيّٗا/radiyyan",
              "words_bangla": "আমার উত্তরাধিকারী হবে সে//ও উত্তরাধিকারী হবে//ব্যাপারে//বংশের//ইয়াকুবের//এবং তাকে করো//হে আমার রব//সন্তোষজনক\""
            },
            {
              "number": 2257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2257.mp3"
              ],
              "text": "يَٰزَكَرِيَّآ إِنَّا نُبَشِّرُكَ بِغُلَٰمٍ ٱسْمُهُۥ يَحْيَىٰ لَمْ نَجْعَل لَّهُۥ مِن قَبْلُ سَمِيًّۭا",
              "translate_bn": "হে যাকারিয়া, আমি তোমাকে এক পুত্রের সুসংবাদ দিচ্ছি, তার নাম হবে ইয়াহইয়া। ইতিপূর্বে এই নামে আমি কারও নাম করণ করিনি।",
              "numberInSurah": 7,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ইয়া-ঝাকারিইইয়াইন্না-নুবাশশিরুকা বিগুলা-মি নিছমুহূইয়াহইয়া- লাম নাজ‘আল লাহূমিন কাবলুছামিইইয়া-।",
              "words_arabic": "یٰزَكَرِیَّاۤ/يَٰزَكَرِيَّآ/yazakariyya//اِنَّا/إِنَّا/inna//نُبَشِّرُكَ/نُبَشِّرُكَ/nubashiruka//بِغُلٰمِ/بِغُلَٰمٍ/bighulamin//سْمُهٗ/ٱسۡمُهُۥ/us'muhu//یَحْیٰی ۙ/يَحۡيَىٰ/yahya//لَمْ/لَمۡ/lam//نَجْعَلْ/نَجۡعَل/naj'al//لَّهٗ/لَّهُۥ/lahu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//سَمِیًّا /سَمِيّٗا/samiyyan",
              "words_bangla": "\"(বলা হলো) হে যাকারিয়্যা//নিশ্চয়ই আমরা//তোমাকে সুসংবাদ দিচ্ছি//সম্পর্কে এক পুত্রের//তার নাম (হবে)//ইয়াহইয়া//নি//আমরা করি//তার জন্য//থেকে//ইতিপূর্বে (অন্য কাউকে)//(সম) নামকরণ\""
            },
            {
              "number": 2258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2258.mp3"
              ],
              "text": "قَالَ رَبِّ أَنَّىٰ يَكُونُ لِى غُلَٰمٌۭ وَكَانَتِ ٱمْرَأَتِى عَاقِرًۭا وَقَدْ بَلَغْتُ مِنَ ٱلْكِبَرِ عِتِيًّۭا",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা কেমন করে আমার পুত্র হবে অথচ আমার স্ত্রী যে বন্ধ্যা, আর আমিও যে বার্ধক্যের শেষ প্রান্তে উপনীত।",
              "numberInSurah": 8,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি আন্না-ইয়াকূনুলী গুলা-মুওঁ ওয়াকা-নাতিমরাআতী ‘আ-কিরাওঁ ওয়া কাদ বালাগতুমিনাল কিবারি ‘ইতিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لِیْ/لِي/li//غُلٰمٌ/غُلَٰمٞ/ghulamun//وَّ كَانَتِ/وَكَانَتِ/wakanati//امْرَاَتِیْ/ٱمۡرَأَتِي/im'ra-ati//عَاقِرًا/عَاقِرٗا/aqiran//وَّ قَدْ/وَقَدۡ/waqad//بَلَغْتُ/بَلَغۡتُ/balaghtu//مِنَ/مِنَ/mina//الْكِبَرِ/ٱلۡكِبَرِ/al-kibari//عِتِیًّا /عِتِيّٗا/itiyyan",
              "words_bangla": "সে বললো//\"হে আমার রব//কেমন করে//হবে//আমার//পুত্র//যখন হলো//আমার স্ত্রী//বন্ধ্যা//এবং নিশ্চয়ই//আমি উপনীত হয়েছি//কারণে//বার্ধক্যের//(চরম) শেষসীমায়\""
            },
            {
              "number": 2259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2259.mp3"
              ],
              "text": "قَالَ كَذَٰلِكَ قَالَ رَبُّكَ هُوَ عَلَىَّ هَيِّنٌۭ وَقَدْ خَلَقْتُكَ مِن قَبْلُ وَلَمْ تَكُ شَيْـًۭٔا",
              "translate_bn": "তিনি বললেনঃ এমনিতেই হবে। তোমার পালনকর্তা বলে দিয়েছেনঃ এটা আমার পক্ষে সহজ। আমি তো পুর্বে তোমাকে সৃষ্টি করেছি এবং তুমি কিছুই ছিলে না।",
              "numberInSurah": 9,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাযা-লিকা কা-লা রাব্বুকা হুওয়া ‘আলাইইয়া হাইয়িনুওঁ ওয়াকাদ খালাকতুকা মিন কাবলুওয়া লাম তাকুশাইআ-।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//كَذٰلِكَ ۚ/كَذَٰلِكَ/kadhalika//قَالَ/قَالَ/qala//رَبُّكَ/رَبُّكَ/rabbuka//هُوَ/هُوَ/huwa//عَلَیَّ/عَلَيَّ/alayya//هَیِّنٌ/هَيِّنٞ/hayyinun//وَّ قَدْ/وَقَدۡ/waqad//خَلَقْتُكَ/خَلَقۡتُكَ/khalaqtuka//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ لَمْ/وَلَمۡ/walam//تَكُ/تَكُ/taku//شَیْـًٔا /شَيۡـٔٗا/shayan",
              "words_bangla": "তিনি বললেন//\"এরূপই (হবে)//বললেন//তোমার রব//তা//আমার উপর//সহজসাধ্য//এবং নিশ্চয়ই//তোমাকে আমি সৃষ্টি করেছি//থেকে//ইতিপূর্বে//যখন না//তুমি ছিলে//(কোন) কিছুই"
            },
            {
              "number": 2260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2260.mp3"
              ],
              "text": "قَالَ رَبِّ ٱجْعَل لِّىٓ ءَايَةًۭ ۚ قَالَ ءَايَتُكَ أَلَّا تُكَلِّمَ ٱلنَّاسَ ثَلَٰثَ لَيَالٍۢ سَوِيًّۭا",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা, আমাকে একটি নির্দশন দিন। তিনি বললেন তোমার নিদর্শন এই যে, তুমি সুস্থ অবস্থায় তিন দিন মানুষের সাথে কথাবার্তা বলবে না।",
              "numberInSurah": 10,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিজ‘আললীআ-য়াতান কা-লা আ-ইয়াতুকা আল্লা-তুকালিলমান্না-ছা ছালা-ছা লাইয়া-লিন ছাবিইইয়া-\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اجْعَلْ/ٱجۡعَل/ij'al//لِّیْۤ/لِّيٓ/li//اٰیَةً ؕ/ءَايَةٗۖ/ayatan//قَالَ/قَالَ/qala//اٰیَتُكَ/ءَايَتُكَ/ayatuka//اَلَّا/أَلَّا/alla//تُكَلِّمَ/تُكَلِّمَ/tukallima//النَّاسَ/ٱلنَّاسَ/al-nasa//ثَلٰثَ/ثَلَٰثَ/thalatha//لَیَالٍ/لَيَالٖ/layalin//سَوِیًّا /سَوِيّٗا/sawiyyan",
              "words_bangla": "সে বললো//\"হে আমার রব//দাও//আমাকে//একটা নিদর্শন\"//তিনি বললেন//\"তোমার নিদর্শন//(এই) যে না//কথা বলতে পারবে//মানুষের (সাথে)//তিন//রাত//(ক্রমাগত) সুস্থ অবস্থায়\""
            },
            {
              "number": 2261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2261.mp3"
              ],
              "text": "فَخَرَجَ عَلَىٰ قَوْمِهِۦ مِنَ ٱلْمِحْرَابِ فَأَوْحَىٰٓ إِلَيْهِمْ أَن سَبِّحُوا۟ بُكْرَةًۭ وَعَشِيًّۭا",
              "translate_bn": "অতঃপর সে কক্ষ থেকে বের হয়ে তার সম্প্রদায়ের কাছে এল এবং ইঙ্গিতে তাদেরকে সকাল সন্ধ্যায় আল্লাহকে স্মরণ করতে বললঃ",
              "numberInSurah": 11,
              "juz": 16,
              "manzil": 4,
              "page": 305,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ফাখারাজা ‘আলা- কাওমিহী মিনাল মিহরা-বি ফাআওহা ইলাইহিম আন ছাব্বিহূবুকরাতাওঁ ওয়া ‘আশিইইয়া-।",
              "words_arabic": "فَخَرَجَ/فَخَرَجَ/fakharaja//عَلٰی/عَلَىٰ/ala//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//مِنَ/مِنَ/mina//الْمِحْرَابِ/ٱلۡمِحۡرَابِ/al-mih'rabi//فَاَوْحٰۤی/فَأَوۡحَىٰٓ/fa-awha//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//اَنْ/أَن/an//سَبِّحُوْا/سَبِّحُواْ/sabbihu//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ عَشِیًّا /وَعَشِيّٗا/wa'ashiyyan",
              "words_bangla": "অতঃপর সে বের হলো//নিকট//তার (জাতির) লোকদের//থেকে//মেহরাব//সে অতঃপর ইঙ্গিত করলো//তাদের দিকে//যে//তোমরা পবিত্রতা ঘোষণা করো//সকালে//ও সন্ধ্যায়"
            },
            {
              "number": 2262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2262.mp3"
              ],
              "text": "يَٰيَحْيَىٰ خُذِ ٱلْكِتَٰبَ بِقُوَّةٍۢ ۖ وَءَاتَيْنَٰهُ ٱلْحُكْمَ صَبِيًّۭا",
              "translate_bn": "হে ইয়াহইয়া দৃঢ়তার সাথে এই গ্রন্থ ধারণ কর। আমি তাকে শৈশবেই বিচারবুদ্ধি দান করেছিলাম।",
              "numberInSurah": 12,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ইয়া-ইয়াহইয়া-খুযিল কিতা-বা বিকুওয়াতিওঁ ওয়াআ-তাইনা-হুল হুকমা সাবিইইয়া-।",
              "words_arabic": "یٰیَحْیٰی/يَٰيَحۡيَىٰ/yayahya//خُذِ/خُذِ/khudhi//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِقُوَّةٍ ؕ/بِقُوَّةٖۖ/biquwwatin//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//الْحُكْمَ/ٱلۡحُكۡمَ/al-huk'ma//صَبِیًّاۙ/صَبِيّٗا/sabiyyan",
              "words_bangla": "\"(বড় হ'লে তাকে বলা হলো) হে ইয়াহইয়া//গ্রহণ করো//কিতাবকে//সহ দৃঢ়তা\"//এবং তাকে আমরা দিয়েছিলাম//প্রজ্ঞা//বাল্য অবস্থায়"
            },
            {
              "number": 2263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2263.mp3"
              ],
              "text": "وَحَنَانًۭا مِّن لَّدُنَّا وَزَكَوٰةًۭ ۖ وَكَانَ تَقِيًّۭا",
              "translate_bn": "এবং নিজের পক্ষ থেকে আগ্রহ ও পবিত্রতা দিয়েছি। সে ছিল পরহেযগার।",
              "numberInSurah": 13,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়াহানা-নাম মিল্লাদুন্না-ওয়াঝাকা-তাও ওয়াকা-না তাকিইইয়া-।",
              "words_arabic": "وَّ حَنَانًا/وَحَنَانٗا/wahananan//مِّنْ/مِّن/min//لَّدُنَّا/لَّدُنَّا/ladunna//وَ زَكٰوةً ؕ/وَزَكَوٰةٗۖ/wazakatan//وَ كَانَ/وَكَانَ/wakana//تَقِیًّاۙ/تَقِيّٗا/taqiyyan",
              "words_bangla": "এবং হৃদয়ের কোমলতা//থেকে//আমাদের নিকট//এবং পবিত্রতা//এবং সে ছিলো//মুত্তাকী"
            },
            {
              "number": 2264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2264.mp3"
              ],
              "text": "وَبَرًّۢا بِوَٰلِدَيْهِ وَلَمْ يَكُن جَبَّارًا عَصِيًّۭا",
              "translate_bn": "পিতা-মাতার অনুগত এবং সে উদ্ধত, নাফরমান ছিল না।",
              "numberInSurah": 14,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাররাম বিওয়া-লিদাইহি ওয়া-লাম ইয়াকুন জাব্বা-রান ‘আসিইইয়া-।",
              "words_arabic": "وَّ بَرًّۢا/وَبَرَّۢا/wabarran//بِوَالِدَیْهِ/بِوَٰلِدَيۡهِ/biwalidayhi//وَ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//جَبَّارًا/جَبَّارًا/jabbaran//عَصِیًّا /عَصِيّٗا/asiyyan",
              "words_bangla": "এবং অনুগত//কাছে তার মা বাপের//এবং না//ছিলো//উদ্ধত//অবাধ্য"
            },
            {
              "number": 2265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2265.mp3"
              ],
              "text": "وَسَلَٰمٌ عَلَيْهِ يَوْمَ وُلِدَ وَيَوْمَ يَمُوتُ وَيَوْمَ يُبْعَثُ حَيًّۭا",
              "translate_bn": "তার প্রতি শান্তি-যেদিন সে জন্মগ্রহণ করে এবং যেদিন মৃত্যুবরণ করবে এবং যেদিন জীবিতাবস্থায় পুনরুত্থিত হবে।",
              "numberInSurah": 15,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 264,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছালা-মুন ‘আলাইহি ইয়াওমা উলিদা ওয়া ইয়াওমা ইয়ামূতুওয়া ইয়াওমা ইউব‘আছু হাইইয়া-।",
              "words_arabic": "وَ سَلٰمٌ/وَسَلَٰمٌ/wasalamun//عَلَیْهِ/عَلَيۡهِ/alayhi//یَوْمَ/يَوۡمَ/yawma//وُلِدَ/وُلِدَ/wulida//وَ یَوْمَ/وَيَوۡمَ/wayawma//یَمُوْتُ/يَمُوتُ/yamutu//وَ یَوْمَ/وَيَوۡمَ/wayawma//یُبْعَثُ/يُبۡعَثُ/yub'athu//حَیًّا۠/حَيّٗا/hayyan",
              "words_bangla": "এবং সালাম//তার উপর//যেদিন//জন্মলাভ করে সে//ও যেদিন//সে মরবে//এবং যেদিন//তাকে উঠানো হবে//জীবিত অবস্থায়"
            },
            {
              "number": 2266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2266.mp3"
              ],
              "text": "وَٱذْكُرْ فِى ٱلْكِتَٰبِ مَرْيَمَ إِذِ ٱنتَبَذَتْ مِنْ أَهْلِهَا مَكَانًۭا شَرْقِيًّۭا",
              "translate_bn": "এই কিতাবে মারইয়ামের কথা বর্ণনা করুন, যখন সে তার পরিবারের লোকজন থেকে পৃথক হয়ে পূর্বদিকে এক স্থানে আশ্রয় নিল।",
              "numberInSurah": 16,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ফিল কিতা-বি মারইয়াম । ইযিন তাবাযাত মিন আহলিহা-মাকা-নান শারকিইইয়া-।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مَرْیَمَ ۘ/مَرۡيَمَ/maryama//اِذِ/إِذِ/idhi//انْتَبَذَتْ/ٱنتَبَذَتۡ/intabadhat//مِنْ/مِنۡ/min//اَهْلِهَا/أَهۡلِهَا/ahliha//مَكَانًا/مَكَانٗا/makanan//شَرْقِیًّاۙ/شَرۡقِيّٗا/sharqiyyan",
              "words_bangla": "এবং বর্ণনা করো (যা)//(বলা হয়েছে) মধ্যে//(এই) কিতাবের//মারইয়াম (সম্পর্কে)//যখন//সে পৃথক হয়ে গেলো//থেকে//তার পরিবার//স্থানে//(বায়তুল মুকাদ্দাসের) পূর্বদিকের"
            },
            {
              "number": 2267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2267.mp3"
              ],
              "text": "فَٱتَّخَذَتْ مِن دُونِهِمْ حِجَابًۭا فَأَرْسَلْنَآ إِلَيْهَا رُوحَنَا فَتَمَثَّلَ لَهَا بَشَرًۭا سَوِيًّۭا",
              "translate_bn": "অতঃপর তাদের থেকে নিজেকে আড়াল করার জন্যে সে পর্দা করলো। অতঃপর আমি তার কাছে আমার রূহ প্রেরণ করলাম, সে তার নিকট পুর্ণ মানবাকৃতিতে আত্নপ্রকাশ করল।",
              "numberInSurah": 17,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাখাযাত মিন দূ নিহিম হিজা-বান ফাআরছালনাইলাইহা-রূহানাফাতামাছছালা লাহা-বাশারান ছাবিইইয়া-।",
              "words_arabic": "فَاتَّخَذَتْ/فَٱتَّخَذَتۡ/fa-ittakhadhat//مِنْ/مِن/min//دُوْنِهِمْ/دُونِهِمۡ/dunihim//حِجَابًا ۪۫/حِجَابٗا/hijaban//فَاَرْسَلْنَاۤ/فَأَرۡسَلۡنَآ/fa-arsalna//اِلَیْهَا/إِلَيۡهَا/ilayha//رُوْحَنَا/رُوحَنَا/ruhana//فَتَمَثَّلَ/فَتَمَثَّلَ/fatamathala//لَهَا/لَهَا/laha//بَشَرًا/بَشَرٗا/basharan//سَوِیًّا /سَوِيّٗا/sawiyyan",
              "words_bangla": "সে অতঃপর গ্রহণ করেছিলো (স্থান)//মধ্য হতে//তাদের ছাড়া//আড়ালে (অর্থাৎ ইতিকাফে বসলো)//আমরা অতঃপর প্রেরণ করলাম//তার প্রতি//আমাদের রূহ (অর্থাৎ ফেরেশতাকে)//অতঃপর সে আকৃতি ধারণ করলো//তার কাছে//একজন মানুষের বেশে//পূর্নাঙ্গ"
            },
            {
              "number": 2268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2268.mp3"
              ],
              "text": "قَالَتْ إِنِّىٓ أَعُوذُ بِٱلرَّحْمَٰنِ مِنكَ إِن كُنتَ تَقِيًّۭا",
              "translate_bn": "মারইয়াম বললঃ আমি তোমা থেকে দয়াময়ের আশ্রয় প্রার্থনা করি যদি তুমি আল্লাহভীরু হও।",
              "numberInSurah": 18,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইন্নীআ‘ঊযুবিররাহমা-নি মিনকা ইন কুনতা তাকিইইয়া-।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//اِنِّیْۤ/إِنِّيٓ/inni//اَعُوْذُ/أَعُوذُ/a'udhu//بِالرَّحْمٰنِ/بِٱلرَّحۡمَٰنِ/bil-rahmani//مِنْكَ/مِنكَ/minka//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//تَقِیًّا /تَقِيّٗا/taqiyyan",
              "words_bangla": "(মারইয়াম) বললো//\"আমি নিশ্চয়ই//আশ্রয় চাই//কাছে দয়াময়ের//তোমার থেকে//যদি//তুমি হও//মুত্তাকী\""
            },
            {
              "number": 2269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2269.mp3"
              ],
              "text": "قَالَ إِنَّمَآ أَنَا۠ رَسُولُ رَبِّكِ لِأَهَبَ لَكِ غُلَٰمًۭا زَكِيًّۭا",
              "translate_bn": "সে বললঃ আমি তো শুধু তোমার পালনকর্তা প্রেরিত, যাতে তোমাকে এক পবিত্র পুত্র দান করে যাব।",
              "numberInSurah": 19,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নামাআনা রাছূলুরাব্বিকি লিআহাবা লাকি গুলা-মান ঝাকিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//رَسُوْلُ/رَسُولُ/rasulu//رَبِّكِ ۖۗ/رَبِّكِ/rabbiki//لِاَهَبَ/لِأَهَبَ/li-ahaba//لَكِ/لَكِ/laki//غُلٰمًا/غُلَٰمٗا/ghulaman//زَكِیًّا /زَكِيّٗا/zakiyyan",
              "words_bangla": "সে বললো//\"প্রকৃতপক্ষে//আমি//(প্রেরিত) দূত//তোমার রবের//দান করি যেন//তোমাকে//এক পুত্র//পবিত্র\""
            },
            {
              "number": 2270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2270.mp3"
              ],
              "text": "قَالَتْ أَنَّىٰ يَكُونُ لِى غُلَٰمٌۭ وَلَمْ يَمْسَسْنِى بَشَرٌۭ وَلَمْ أَكُ بَغِيًّۭا",
              "translate_bn": "মরিইয়াম বললঃ কিরূপে আমার পুত্র হবে, যখন কোন মানব আমাকে স্পর্শ করেনি এবং আমি ব্যভিচারিণীও কখনও ছিলাম না ?",
              "numberInSurah": 20,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লাত আন্না-ইয়াকূনুলী গুলা-মুওঁ ওয়া লাম ইয়ামছাছনী বাশারুওঁ ওয়া লাম আকু বাগিইইয়া-।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//اَنّٰی/أَنَّىٰ/anna//یَكُوْنُ/يَكُونُ/yakunu//لِیْ/لِي/li//غُلٰمٌ/غُلَٰمٞ/ghulamun//وَّ لَمْ/وَلَمۡ/walam//یَمْسَسْنِیْ/يَمۡسَسۡنِي/yamsasni//بَشَرٌ/بَشَرٞ/basharun//وَّ لَمْ/وَلَمۡ/walam//اَكُ/أَكُ/aku//بَغِیًّا /بَغِيّٗا/baghiyyan",
              "words_bangla": "সে বললো//\"কেমন করে//হবে//আমার//পুত্র//যখন নি//আমাকে স্পর্শ করে//কোন মানুষ//এবং নই//আমি (হই)//ব্যভিচারিণী\""
            },
            {
              "number": 2271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2271.mp3"
              ],
              "text": "قَالَ كَذَٰلِكِ قَالَ رَبُّكِ هُوَ عَلَىَّ هَيِّنٌۭ ۖ وَلِنَجْعَلَهُۥٓ ءَايَةًۭ لِّلنَّاسِ وَرَحْمَةًۭ مِّنَّا ۚ وَكَانَ أَمْرًۭا مَّقْضِيًّۭا",
              "translate_bn": "সে বললঃ এমনিতেই হবে। তোমার পালনকর্তা বলেছেন, এটা আমার জন্যে সহজ সাধ্য এবং আমি তাকে মানুষের জন্যে একটি নিদর্শন ও আমার পক্ষ থেকে অনুগ্রহ স্বরূপ করতে চাই। এটা তো এক স্থিরীকৃত ব্যাপার।",
              "numberInSurah": 21,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 122,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাযা-লিকি কা-লা রাব্বুকি হুওয়া ‘আলাইইয়া হাইয়িনুওঁ ওয়ালিনাজ‘আলাহূআ-য়াতাল লিন্না-ছি ওয়ারাহমাতাম মিন্না- ওয়াকা-না আমরাম মাকদিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//كَذٰلِكِ ۚ/كَذَٰلِكِ/kadhaliki//قَالَ/قَالَ/qala//رَبُّكِ/رَبُّكِ/rabbuki//هُوَ/هُوَ/huwa//عَلَیَّ/عَلَيَّ/alayya//هَیِّنٌ ۚ/هَيِّنٞۖ/hayyinun//وَ لِنَجْعَلَهٗۤ/وَلِنَجۡعَلَهُۥٓ/walinaj'alahu//اٰیَةً/ءَايَةٗ/ayatan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//وَ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//مِّنَّا ۚ/مِّنَّاۚ/minna//وَ كَانَ/وَكَانَ/wakana//اَمْرًا/أَمۡرٗا/amran//مَّقْضِیًّا /مَّقۡضِيّٗا/maqdiyyan",
              "words_bangla": "(ফেরেশতা) বললো//\"এরূপই (হবে)//বলেছেন//তোমার রব//তা//আমার উপর//সহজ//এবং যেন তা আমরা করি//একটি নিদর্শন//মানুষদের জন্য//ও অনুগ্রহ//আমাদের থেকে//এবং হয়েছে//বিষয় (সিদ্ধান্ত)//স্থিরীকৃত"
            },
            {
              "number": 2272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2272.mp3"
              ],
              "text": "۞ فَحَمَلَتْهُ فَٱنتَبَذَتْ بِهِۦ مَكَانًۭا قَصِيًّۭا",
              "translate_bn": "অতঃপর তিনি গর্ভে সন্তান ধারণ করলেন এবং তৎসহ এক দূরবর্তী স্থানে চলে গেলেন।",
              "numberInSurah": 22,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাহামালাতহু ফানতাবাযাত বিহী মাকা-নান কাসিইইয়া-।",
              "words_arabic": "فَحَمَلَتْهُ/۞فَحَمَلَتۡهُ/fahamalathu//فَانْتَبَذَتْ/فَٱنتَبَذَتۡ/fa-intabadhat//بِهٖ/بِهِۦ/bihi//مَكَانًا/مَكَانٗا/makanan//قَصِیًّا /قَصِيّٗا/qasiyyan",
              "words_bangla": "তাকে সে অতঃপর গর্ভধারণ করলো//অতঃপর সে পৃথক হয়ে গেলো//তা নিয়ে//স্থানে//দূরবর্তী"
            },
            {
              "number": 2273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2273.mp3"
              ],
              "text": "فَأَجَآءَهَا ٱلْمَخَاضُ إِلَىٰ جِذْعِ ٱلنَّخْلَةِ قَالَتْ يَٰلَيْتَنِى مِتُّ قَبْلَ هَٰذَا وَكُنتُ نَسْيًۭا مَّنسِيًّۭا",
              "translate_bn": "প্রসব বেদনা তাঁকে এক খেজুর বৃক্ষ-মূলে আশ্রয় নিতে বাধ্য করল। তিনি বললেনঃ হায়, আমি যদি কোনরূপে এর পূর্বে মরে যেতাম এবং মানুষের স্মৃতি থেকে বিলুপ্ত হয়ে, যেতাম!",
              "numberInSurah": 23,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাআজাআহাল মাখা-দুইলা-জিয‘ইন নাখলাতি কা-লাত ইয়া-লাইতানী মিত্তু কাবলা হা-যা-ওয়াকুনতুনাছইয়াম মানছিইইয়া-।",
              "words_arabic": "فَاَجَآءَهَا/فَأَجَآءَهَا/fa-ajaaha//الْمَخَاضُ/ٱلۡمَخَاضُ/al-makhadu//اِلٰی/إِلَىٰ/ila//جِذْعِ/جِذۡعِ/jidh'i//النَّخْلَةِ ۚ/ٱلنَّخۡلَةِ/al-nakhlati//قَالَتْ/قَالَتۡ/qalat//یٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//مِتُّ/مِتُّ/mittu//قَبْلَ/قَبۡلَ/qabla//هٰذَا/هَٰذَا/hadha//وَ كُنْتُ/وَكُنتُ/wakuntu//نَسْیًا/نَسۡيٗا/nasyan//مَّنْسِیًّا /مَّنسِيّٗا/mansiyyan",
              "words_bangla": "অতঃপর তাকে নিয়ে এলো//প্রসববেদনা//কাছে//কান্ডের//খেজুর গাছের//সে বললো//\"হায়! আমার আফসোস//আমি (যদি) মরে যেতাম//পূর্বে//এর//এবং আমি হতাম//বিস্মৃত//স্মৃতি বিলুপ্ত\""
            },
            {
              "number": 2274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2274.mp3"
              ],
              "text": "فَنَادَىٰهَا مِن تَحْتِهَآ أَلَّا تَحْزَنِى قَدْ جَعَلَ رَبُّكِ تَحْتَكِ سَرِيًّۭا",
              "translate_bn": "অতঃপর ফেরেশতা তাকে নিম্নদিক থেকে আওয়ায দিলেন যে, তুমি দুঃখ করো না। তোমার পালনকর্তা তোমার পায়ের তলায় একটি নহর জারি করেছেন।",
              "numberInSurah": 24,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফানা-দা-হা-মিন তাহতিহাআল্লা-তাহঝানী কাদ জা‘আলা রাব্বুকি তাহতাকি ছারিইইয়া-।\r\n",
              "words_arabic": "فَنَادٰىهَا/فَنَادَىٰهَا/fanadaha//مِنْ/مِن/min//تَحْتِهَاۤ/تَحۡتِهَآ/tahtiha//اَلَّا/أَلَّا/alla//تَحْزَنِیْ/تَحۡزَنِي/tahzani//قَدْ/قَدۡ/qad//جَعَلَ/جَعَلَ/ja'ala//رَبُّكِ/رَبُّكِ/rabbuki//تَحْتَكِ/تَحۡتَكِ/tahtaki//سَرِیًّا /سَرِيّٗا/sariyyan",
              "words_bangla": "অতঃপর ডেকে বললো (ফেরেশতা) তাকে//হ'তে//তার নিচ//\"যে না//তুমি চিন্তা করো//নিশ্চয়ই//সৃষ্টি করেছেন//তোমার রব//তোমার নিচে//এক ঝর্ণা"
            },
            {
              "number": 2275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2275.mp3"
              ],
              "text": "وَهُزِّىٓ إِلَيْكِ بِجِذْعِ ٱلنَّخْلَةِ تُسَٰقِطْ عَلَيْكِ رُطَبًۭا جَنِيًّۭا",
              "translate_bn": "আর তুমি নিজের দিকে খেজুর গাছের কান্ডে নাড়া দাও, তা থেকে তোমার উপর সুপক্ক খেজুর পতিত হবে।",
              "numberInSurah": 25,
              "juz": 16,
              "manzil": 4,
              "page": 306,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুঝঝীইলাইকি বিজিয‘ইন্নাখলাতি তুছা-কিত‘আলাইকি রুতাবান জানিইইয়া-।",
              "words_arabic": "وَ هُزِّیْۤ/وَهُزِّيٓ/wahuzzi//اِلَیْكِ/إِلَيۡكِ/ilayki//بِجِذْعِ/بِجِذۡعِ/bijidh'i//النَّخْلَةِ/ٱلنَّخۡلَةِ/al-nakhlati//تُسٰقِطْ/تُسَٰقِطۡ/tusaqit//عَلَیْكِ/عَلَيۡكِ/alayki//رُطَبًا/رُطَبٗا/rutaban//جَنِیًّاؗ/جَنِيّٗا/janiyyan",
              "words_bangla": "এবং তুমি নাড়া দাও//তোমার দিকে//কান্ডসহ//খেজুর গাছের//ঝরে পড়বে//তোমার উপর//খেজুর//তাজা"
            },
            {
              "number": 2276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2276.mp3"
              ],
              "text": "فَكُلِى وَٱشْرَبِى وَقَرِّى عَيْنًۭا ۖ فَإِمَّا تَرَيِنَّ مِنَ ٱلْبَشَرِ أَحَدًۭا فَقُولِىٓ إِنِّى نَذَرْتُ لِلرَّحْمَٰنِ صَوْمًۭا فَلَنْ أُكَلِّمَ ٱلْيَوْمَ إِنسِيًّۭا",
              "translate_bn": "যখন আহার কর, পান কর এবং চক্ষু শীতল কর। যদি মানুষের মধ্যে কাউকে তুমি দেখ, তবে বলে দিওঃ আমি আল্লাহর উদ্দেশে রোযা মানত করছি। সুতরাং আজ আমি কিছুতেই কোন মানুষের সাথে কথা বলব না।",
              "numberInSurah": 26,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাকুলী ওয়াশরাবী ওয়াকাররী ‘আইনান ফাইম্মা-তারায়িন্না মিনাল বাশারি আহাদান ফাকূলীইন্নী নাযারতুলিররাহমা-নি সাওমান ফালান উকালিলমাল ইয়াওমা ইনছিইইয়া-।",
              "words_arabic": "فَكُلِیْ/فَكُلِي/fakuli//وَ اشْرَبِیْ/وَٱشۡرَبِي/wa-ish'rabi//وَ قَرِّیْ/وَقَرِّي/waqarri//عَیْنًا ۚ/عَيۡنٗاۖ/aynan//فَاِمَّا/فَإِمَّا/fa-imma//تَرَیِنَّ/تَرَيِنَّ/tarayinna//مِنَ/مِنَ/mina//الْبَشَرِ/ٱلۡبَشَرِ/al-bashari//اَحَدًا ۙ/أَحَدٗا/ahadan//فَقُوْلِیْۤ/فَقُولِيٓ/faquli//اِنِّیْ/إِنِّي/inni//نَذَرْتُ/نَذَرۡتُ/nadhartu//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//صَوْمًا/صَوۡمٗا/sawman//فَلَنْ/فَلَنۡ/falan//اُكَلِّمَ/أُكَلِّمَ/ukallima//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//اِنْسِیًّاۚ/إِنسِيّٗا/insiyyan",
              "words_bangla": "সুতরাং খাও//ও পান করো//এবং জুড়াও//চোখকে//অতঃপর যদি//তুমি দেখো//মধ্য হ'তে//মানুষের//কাউকে//তখন তুমি বলো//\"আমি নিশ্চয়ই//মানত করেছি//দয়াময়ের জন্য//রোজা//অতএব না//কথা বলবো আমি//আজ//কোন মানুষের সাথে\""
            },
            {
              "number": 2277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2277.mp3"
              ],
              "text": "فَأَتَتْ بِهِۦ قَوْمَهَا تَحْمِلُهُۥ ۖ قَالُوا۟ يَٰمَرْيَمُ لَقَدْ جِئْتِ شَيْـًۭٔا فَرِيًّۭا",
              "translate_bn": "অতঃপর তিনি সন্তানকে নিয়ে তার সম্প্রদায়ের কাছে উপস্থিত হলেন। তারা বললঃ হে মারইয়াম, তুমি একটি অঘটন ঘটিয়ে বসেছ।",
              "numberInSurah": 27,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাআতাত বিহী কাওমাহা-তাহমিলুহূ কা-লূইয়া-মারইয়ামুলাকাদ জি’তি শাইআন ফারিইইয়া-।",
              "words_arabic": "فَاَتَتْ/فَأَتَتۡ/fa-atat//بِهٖ/بِهِۦ/bihi//قَوْمَهَا/قَوۡمَهَا/qawmaha//تَحْمِلُهٗ ؕ/تَحۡمِلُهُۥۖ/tahmiluhu//قَالُوْا/قَالُواْ/qalu//یٰمَرْیَمُ/يَٰمَرۡيَمُ/yamaryamu//لَقَدْ/لَقَدۡ/laqad//جِئْتِ/جِئۡتِ/ji'ti//شَیْـًٔا/شَيۡـٔٗا/shayan//فَرِیًّا /فَرِيّٗا/fariyyan",
              "words_bangla": "অতঃপর সে আসলো//তাকে নিয়ে//তার সম্প্রদায়ের কাছে//তাকে বহন করে//তারা বললো//\"হে মারইয়াম//নিশ্চয়ই//এনেছো//কিছু//জঘন্য"
            },
            {
              "number": 2278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2278.mp3"
              ],
              "text": "يَٰٓأُخْتَ هَٰرُونَ مَا كَانَ أَبُوكِ ٱمْرَأَ سَوْءٍۢ وَمَا كَانَتْ أُمُّكِ بَغِيًّۭا",
              "translate_bn": "হে হারূণ-ভাগিনী, তোমার পিতা অসৎ ব্যক্তি ছিলেন না এবং তোমার মাতাও ছিল না ব্যভিচারিনী।",
              "numberInSurah": 28,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইয়াউখতা হা-রূনা মা-কা-না আবূকিম রাআ ছাওইওঁ ওয়ামা-কানাত উম্মুকি বাগিইইয়া-।",
              "words_arabic": "یٰۤاُخْتَ/يَـٰٓأُخۡتَ/yaukh'ta//هٰرُوْنَ/هَٰرُونَ/haruna//مَا/مَا/ma//كَانَ/كَانَ/kana//اَبُوْكِ/أَبُوكِ/abuki//امْرَاَ/ٱمۡرَأَ/im'ra-a//سَوْءٍ/سَوۡءٖ/sawin//وَّ مَا/وَمَا/wama//كَانَتْ/كَانَتۡ/kanat//اُمُّكِ/أُمُّكِ/ummuki//بَغِیًّاۖۚ/بَغِيّٗا/baghiyyan",
              "words_bangla": "হে বোন//হারূনের//না//ছিলেন//তোমার বাপ//ব্যক্তি//অসৎ//আর না//ছিলেন//তোমার মা//ব্যভিচারিনী (চরিত্রহীনা)\""
            },
            {
              "number": 2279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2279.mp3"
              ],
              "text": "فَأَشَارَتْ إِلَيْهِ ۖ قَالُوا۟ كَيْفَ نُكَلِّمُ مَن كَانَ فِى ٱلْمَهْدِ صَبِيًّۭا",
              "translate_bn": "অতঃপর তিনি হাতে সন্তানের দিকে ইঙ্গিত করলেন। তারা বললঃ যে কোলের শিশু তার সাথে আমরা কেমন করে কথা বলব?",
              "numberInSurah": 29,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাআশা-রাত ইলাইহি কা-লূকাইফা নুকালিলমুমান কা-না ফিল মাহদি সাবিইইয়া-।",
              "words_arabic": "فَاَشَارَتْ/فَأَشَارَتۡ/fa-asharat//اِلَیْهِ ؕ/إِلَيۡهِۖ/ilayhi//قَالُوْا/قَالُواْ/qalu//كَیْفَ/كَيۡفَ/kayfa//نُكَلِّمُ/نُكَلِّمُ/nukallimu//مَنْ/مَن/man//كَانَ/كَانَ/kana//فِی/فِي/fi//الْمَهْدِ/ٱلۡمَهۡدِ/al-mahdi//صَبِیًّا /صَبِيّٗا/sabiyyan",
              "words_bangla": "তখন সে ইঙ্গিত করলো//তার দিকে//তারা বললো//\"কিভাবে//কথা বলবো আমরা//যে//আছে//মধ্যে//দোলনার//ছোট্ট শিশু\""
            },
            {
              "number": 2280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2280.mp3"
              ],
              "text": "قَالَ إِنِّى عَبْدُ ٱللَّهِ ءَاتَىٰنِىَ ٱلْكِتَٰبَ وَجَعَلَنِى نَبِيًّۭا",
              "translate_bn": "সন্তান বললঃ আমি তো আল্লাহর দাস। তিনি আমাকে কিতাব দিয়েছেন এবং আমাকে নবী করেছেন।",
              "numberInSurah": 30,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নী ‘আবদুল্লা-হি আ-তা-নিয়াল কিতা-বা ওয়া জা‘আলানী নাবিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//عَبْدُ/عَبۡدُ/abdu//اللّٰهِ ؕ۫/ٱللَّهِ/al-lahi//اٰتٰىنِیَ/ءَاتَىٰنِيَ/ataniya//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ جَعَلَنِیْ/وَجَعَلَنِي/waja'alani//نَبِیًّاۙ/نَبِيّٗا/nabiyyan",
              "words_bangla": "(শিশু ঈসা) বললো//\"নিশ্চয়ই আমি//দাস//আল্লাহ্‌র//আমাকে তিনি দিয়েছেন//কিতাব//এবং আমাকে বানিয়েছেন//নাবী"
            },
            {
              "number": 2281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2281.mp3"
              ],
              "text": "وَجَعَلَنِى مُبَارَكًا أَيْنَ مَا كُنتُ وَأَوْصَٰنِى بِٱلصَّلَوٰةِ وَٱلزَّكَوٰةِ مَا دُمْتُ حَيًّۭا",
              "translate_bn": "আমি যেখানেই থাকি, তিনি আমাকে বরকতময় করেছেন। তিনি আমাকে নির্দেশ দিয়েছেন, যতদিন জীবিত থাকি, ততদিন নামায ও যাকাত আদায় করতে।",
              "numberInSurah": 31,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াজা‘আলানী মুবা-রাকান আইনা মা-কুনতু,ওয়াআওসা-নী বিসসালা-তি ওয়াঝঝাকা-তি মা-দুমতুহাইইয়া-।",
              "words_arabic": "وَّ جَعَلَنِیْ/وَجَعَلَنِي/waja'alani//مُبٰرَكًا/مُبَارَكًا/mubarakan//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كُنْتُ ۪/كُنتُ/kuntu//وَ اَوْصٰنِیْ/وَأَوۡصَٰنِي/wa-awsani//بِالصَّلٰوةِ/بِٱلصَّلَوٰةِ/bil-salati//وَ الزَّكٰوةِ/وَٱلزَّكَوٰةِ/wal-zakati//مَا/مَا/ma//دُمْتُ/دُمۡتُ/dum'tu//حَیًّا۪ۖ/حَيّٗا/hayyan",
              "words_bangla": "এবং আমাকে করেছেন//কল্যাণময়//যেখানে//যা//আমি থাকি//এবং আমাকে নির্দেশ দিয়েছেন//ব্যাপারে সালাতের//ও যাকাতের//যা//আমি থাকি যতদিন পর্যন্ত//জীবিত"
            },
            {
              "number": 2282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2282.mp3"
              ],
              "text": "وَبَرًّۢا بِوَٰلِدَتِى وَلَمْ يَجْعَلْنِى جَبَّارًۭا شَقِيًّۭا",
              "translate_bn": "এবং জননীর অনুগত থাকতে এবং আমাকে তিনি উদ্ধত ও হতভাগ্য করেননি।",
              "numberInSurah": 32,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াবাররাম বিওয়া-লিদাতী ওয়ালাম ইয়াজ‘আলনী জাব্বা-রান শাকিইইয়া-।",
              "words_arabic": "وَّ بَرًّۢا/وَبَرَّۢا/wabarran//بِوَالِدَتِیْ ؗ/بِوَٰلِدَتِي/biwalidati//وَ لَمْ/وَلَمۡ/walam//یَجْعَلْنِیْ/يَجۡعَلۡنِي/yaj'alni//جَبَّارًا/جَبَّارٗا/jabbaran//شَقِیًّا /شَقِيّٗا/shaqiyyan",
              "words_bangla": "এবং অনুগত//আমার মায়ের//এবং নি//আমাকে করেন//উদ্ধত//হতভাগ্য"
            },
            {
              "number": 2283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2283.mp3"
              ],
              "text": "وَٱلسَّلَٰمُ عَلَىَّ يَوْمَ وُلِدتُّ وَيَوْمَ أَمُوتُ وَيَوْمَ أُبْعَثُ حَيًّۭا",
              "translate_bn": "আমার প্রতি সালাম যেদিন আমি জন্মগ্রহণ করেছি, যেদিন মৃত্যুবরণ করব এবং যেদিন পুনরুজ্জীবিত হয়ে উত্থিত হব।",
              "numberInSurah": 33,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছালা-মূ‘আলাইইয়া ইয়াওমা উলিততুওয়া ইয়াওমা আমূতুওয়া ইয়াওমা উব ‘আছু হাইইয়া-।",
              "words_arabic": "وَ السَّلٰمُ/وَٱلسَّلَٰمُ/wal-salamu//عَلَیَّ/عَلَيَّ/alayya//یَوْمَ/يَوۡمَ/yawma//وُلِدْتُّ/وُلِدتُّ/wulidttu//وَ یَوْمَ/وَيَوۡمَ/wayawma//اَمُوْتُ/أَمُوتُ/amutu//وَ یَوْمَ/وَيَوۡمَ/wayawma//اُبْعَثُ/أُبۡعَثُ/ub'athu//حَیًّا /حَيّٗا/hayyan",
              "words_bangla": "এবং শান্তি//আমার উপর//যেদিন//আমি জন্মলাভ করেছি//ও যেদিন//আমি মরবো//ও যেদিন//উত্থিত হবো//জীবিত\""
            },
            {
              "number": 2284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2284.mp3"
              ],
              "text": "ذَٰلِكَ عِيسَى ٱبْنُ مَرْيَمَ ۚ قَوْلَ ٱلْحَقِّ ٱلَّذِى فِيهِ يَمْتَرُونَ",
              "translate_bn": "এই মারইয়ামের পুত্র ঈসা। সত্যকথা, যে সম্পর্কে লোকেরা বিতর্ক করে।",
              "numberInSurah": 34,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ‘ঈছাবনুমারইয়ামা কাওলাল হাক্কিল্লাযী ফীহি ইয়ামতারূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ ۚ/مَرۡيَمَۖ/maryama//قَوْلَ/قَوۡلَ/qawla//الْحَقِّ/ٱلۡحَقِّ/al-haqi//الَّذِیْ/ٱلَّذِي/alladhi//فِیْهِ/فِيهِ/fihi//یَمْتَرُوْنَ /يَمۡتَرُونَ/yamtaruna",
              "words_bangla": "এই (হলো)//ঈসা//পুত্র//মারইয়ামের//কথা//চূড়ান্ত সত্য//যা (এমন যে)//যে বিষয়ে//তারা সন্দেহ করছে"
            },
            {
              "number": 2285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2285.mp3"
              ],
              "text": "مَا كَانَ لِلَّهِ أَن يَتَّخِذَ مِن وَلَدٍۢ ۖ سُبْحَٰنَهُۥٓ ۚ إِذَا قَضَىٰٓ أَمْرًۭا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "আল্লাহ এমন নন যে, সন্তান গ্রহণ করবেন, তিনি পবিত্র ও মহিমাময় সত্তা, তিনি যখন কোন কাজ করা সিদ্ধান্ত করেন, তখন একথাই বলেনঃ হও এবং তা হয়ে যায়।",
              "numberInSurah": 35,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিল্লা-হি আইঁ ইয়াত্তাখিযা মিওঁ ওয়ালাদিন ছুবহা-নাহূ ইযা-কাদা আমরান ফাইন্নামা-ইয়াকূলুলাহূকুন ফাইয়াকূন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِلّٰهِ/لِلَّهِ/lillahi//اَنْ/أَن/an//یَّتَّخِذَ/يَتَّخِذَ/yattakhidha//مِنْ/مِن/min//وَّلَدٍ ۙ/وَلَدٖۖ/waladin//سُبْحٰنَهٗ ؕ/سُبۡحَٰنَهُۥٓۚ/sub'hanahu//اِذَا/إِذَا/idha//قَضٰۤی/قَضَىٰٓ/qada//اَمْرًا/أَمۡرٗا/amran//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَقُوْلُ/يَقُولُ/yaqulu//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُؕ/فَيَكُونُ/fayakunu",
              "words_bangla": "নয়//কাজ//আল্লাহ্‌র জন্য//যে//তিনি গ্রহণ করবেন//কোন//সন্তান//তিনি পবিত্র//যখন//স্হির করেন//কোন বিষয়কে//তখন শুধুমাত্র//বলেন//তাকে//\"হও\"//তখনই হয়ে যায়"
            },
            {
              "number": 2286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2286.mp3"
              ],
              "text": "وَإِنَّ ٱللَّهَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۚ هَٰذَا صِرَٰطٌۭ مُّسْتَقِيمٌۭ",
              "translate_bn": "তিনি আরও বললেনঃ নিশ্চয় আল্লাহ আমার পালনকর্তা ও তোমাদের পালনকর্তা। অতএব, তোমরা তার এবাদত কর। এটা সরল পথ।",
              "numberInSurah": 36,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাল্লা-হা রাববী ওয়ারাব্বুকুম ফা‘বুদূ হু হা-যা-সিরা-তুম মুছতাকীম।\r\n",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//رَبِّیْ/رَبِّي/rabbi//وَ رَبُّكُمْ/وَرَبُّكُمۡ/warabbukum//فَاعْبُدُوْهُ ؕ/فَٱعۡبُدُوهُۚ/fa-u'buduhu//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٞ/siratun//مُّسْتَقِیْمٌ /مُّسۡتَقِيمٞ/mus'taqimun",
              "words_bangla": "\"এবং নিশ্চয়ই//আল্লাহ্‌//আমার রব//ও তোমাদের রব//সুতরাং তাঁরই তোমরা ইবাদাত করো//এটা//পথ//সরল সঠিক\""
            },
            {
              "number": 2287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2287.mp3"
              ],
              "text": "فَٱخْتَلَفَ ٱلْأَحْزَابُ مِنۢ بَيْنِهِمْ ۖ فَوَيْلٌۭ لِّلَّذِينَ كَفَرُوا۟ مِن مَّشْهَدِ يَوْمٍ عَظِيمٍ",
              "translate_bn": "অতঃপর তাদের মধ্যে দলগুলো পৃথক পৃথক পথ অবলম্বন করল। সুতরাং মহাদিবস আগমনকালে কাফেরদের জন্যে ধবংস।",
              "numberInSurah": 37,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফাখতালাফাল আহঝা-বুমিম বাইনিহিম ফাওয়াইলুল লিল্লাযীনা কাফারূমিম মাশহাদি ইয়াওমিন ‘আজীম।",
              "words_arabic": "فَاخْتَلَفَ/فَٱخۡتَلَفَ/fa-ikh'talafa//الْاَحْزَابُ/ٱلۡأَحۡزَابُ/al-ahzabu//مِنْۢ/مِنۢ/min//بَیْنِهِمْ ۚ/بَيۡنِهِمۡۖ/baynihim//فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//مَّشْهَدِ/مَّشۡهَدِ/mashhadi//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٍ/azimin",
              "words_bangla": "অতঃপর মতভেদ করলো//বিভিন্ন দল//থেকে//তাদের মাঝে//সুতরাং দুর্ভোগ//(তাদের) জন্যে যারা//অস্বীকার করেছে//হ'তে//সাক্ষাত//দিনের//কঠিন"
            },
            {
              "number": 2288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2288.mp3"
              ],
              "text": "أَسْمِعْ بِهِمْ وَأَبْصِرْ يَوْمَ يَأْتُونَنَا ۖ لَٰكِنِ ٱلظَّٰلِمُونَ ٱلْيَوْمَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "সেদিন তারা কি চমৎকার শুনবে এবং দেখবে, যেদিন তারা আমার কাছে আগমন করবে। কিন্তু আজ জালেমরা প্রকাশ্য বিভ্রান্তিতে রয়েছে।",
              "numberInSurah": 38,
              "juz": 16,
              "manzil": 4,
              "page": 307,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "আছমি‘বিহিম ওয়া আবসির ইয়াওমা ইয়া’তূনানা-লা-কিনিজ্জা-লিমূনাল ইয়াওমা ফী দালা-লিম মুবীন।",
              "words_arabic": "اَسْمِعْ/أَسۡمِعۡ/asmi'//بِهِمْ/بِهِمۡ/bihim//وَ اَبْصِرْ ۙ/وَأَبۡصِرۡ/wa-absir//یَوْمَ/يَوۡمَ/yawma//یَاْتُوْنَنَا/يَأۡتُونَنَا/yatunana//لٰكِنِ/لَٰكِنِ/lakini//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "স্পষ্ট শুনবে//তারা কত//ও (কত স্পষ্ট) দেখবে//যেদিন//আমাদের কাছে তারা আসবে//কিন্তু//সীমালঙ্ঘনকারীরা//আজ//মধ্যে (রয়েছে)//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 2289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2289.mp3"
              ],
              "text": "وَأَنذِرْهُمْ يَوْمَ ٱلْحَسْرَةِ إِذْ قُضِىَ ٱلْأَمْرُ وَهُمْ فِى غَفْلَةٍۢ وَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "আপনি তাদেরকে পরিতাপের দিবস সম্পর্কে হুশিয়ার করে দিন যখন সব ব্যাপারের মীমাংসা হয়ে যাবে। এখন তারা অনবধানতায় আছে এবং তারা বিশ্বাস স্থাপন করছে না।",
              "numberInSurah": 39,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনযিরহুম ইয়াওমাল হাছরাতি ইযকুদিয়াল আমর । ওয়াহুম ফী গাফলাতিওঁ ওয়াহুম লা-ইউ’মিনূন।",
              "words_arabic": "وَ اَنْذِرْهُمْ/وَأَنذِرۡهُمۡ/wa-andhir'hum//یَوْمَ/يَوۡمَ/yawma//الْحَسْرَةِ/ٱلۡحَسۡرَةِ/al-hasrati//اِذْ/إِذۡ/idh//قُضِیَ/قُضِيَ/qudiya//الْاَمْرُ ۘ/ٱلۡأَمۡرُ/al-amru//وَ هُمْ/وَهُمۡ/wahum//فِیْ/فِي/fi//غَفْلَةٍ/غَفۡلَةٖ/ghaflatin//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং সতর্ক করো তাদেরকে//দিন (সম্পর্কে)//পরিতাপের//যখন//সিদ্ধান্ত হয়ে যাবে//বিষয়টির//তারা এ অবস্থায় যখন//মধ্যে (আছে)//উদাসীনতা//এবং তারা//না//ঈমান আনছে"
            },
            {
              "number": 2290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2290.mp3"
              ],
              "text": "إِنَّا نَحْنُ نَرِثُ ٱلْأَرْضَ وَمَنْ عَلَيْهَا وَإِلَيْنَا يُرْجَعُونَ",
              "translate_bn": "আমিই চুড়ান্ত মালিকানার অধিকারী হব পৃথিবীর এবং তার উপর যারা আছে তাদের এবং আমারই কাছে তারা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 40,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 265,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইন্না-নাহনুনারিছুল আরদা ওয়ামান ‘আলাইহা-ওয়া ইলাইনা-ইউরজা‘ঊন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَحْنُ/نَحۡنُ/nahnu//نَرِثُ/نَرِثُ/narithu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ مَنْ/وَمَنۡ/waman//عَلَیْهَا/عَلَيۡهَا/alayha//وَ اِلَیْنَا/وَإِلَيۡنَا/wa-ilayna//یُرْجَعُوْنَ۠/يُرۡجَعُونَ/yur'ja'una",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা//উত্তরাধিকারী হবো//পৃথিবীর//এবং যা কিছু//তার উপর (আছে)//এবং আমাদেরই দিকে//তাদের ফিরিয়ে আনা হবে"
            },
            {
              "number": 2291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2291.mp3"
              ],
              "text": "وَٱذْكُرْ فِى ٱلْكِتَٰبِ إِبْرَٰهِيمَ ۚ إِنَّهُۥ كَانَ صِدِّيقًۭا نَّبِيًّا",
              "translate_bn": "আপনি এই কিতাবে ইব্রাহীমের কথা বর্ণনা করুন। নিশ্চয় তিনি ছিলেন সত্যবাদী, নবী।",
              "numberInSurah": 41,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ফিল কিতা-বি ইবরা-হীমা ইন্নাহূকা-না সিদ্দীকান নাবিইইয়া-।\r\n",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اِبْرٰهِیْمَ ؕ۬/إِبۡرَٰهِيمَۚ/ib'rahima//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//صِدِّیْقًا/صِدِّيقٗا/siddiqan//نَّبِیًّا /نَّبِيًّا/nabiyyan",
              "words_bangla": "এবং বর্ণনা করো (যা)//মধ্যে (বলা হচ্ছে)//(এই) কিতাবের//ইবরাহীম (সম্পর্কে)//সে নিশ্চয়ই//ছিলো//সত্যনিষ্ঠ//নাবী"
            },
            {
              "number": 2292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2292.mp3"
              ],
              "text": "إِذْ قَالَ لِأَبِيهِ يَٰٓأَبَتِ لِمَ تَعْبُدُ مَا لَا يَسْمَعُ وَلَا يُبْصِرُ وَلَا يُغْنِى عَنكَ شَيْـًۭٔا",
              "translate_bn": "যখন তিনি তার পিতাকে বললেনঃ হে আমার পিতা, যে শোনে না, দেখে না এবং তোমার কোন উপকারে আসে না, তার এবাদত কেন কর?",
              "numberInSurah": 42,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইয কা-লা লিআবীহি ইয়া আবাতি লিমা তা‘বুদুমা-লা-ইয়াছমা‘উ ওয়ালা-ইউবসিরূ ওয়ালা-ইউগনী ‘আনকা শাইআ-।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//لِمَ/لِمَ/lima//تَعْبُدُ/تَعۡبُدُ/ta'budu//مَا/مَا/ma//لَا/لَا/la//یَسْمَعُ/يَسۡمَعُ/yasma'u//وَ لَا/وَلَا/wala//یُبْصِرُ/يُبۡصِرُ/yub'siru//وَ لَا/وَلَا/wala//یُغْنِیْ/يُغۡنِي/yugh'ni//عَنْكَ/عَنكَ/anka//شَیْـًٔا /شَيۡـٔٗا/shayan",
              "words_bangla": "যখন//সে বলেছিলো//তার বাপকে//\"হে আমার পিতা//কেন//উপাসনা করেন আপনি//যা//না//শুনে//আর না//দেখে//এবং না//কাজে আসে//আপনার জন্য//কিছুই"
            },
            {
              "number": 2293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2293.mp3"
              ],
              "text": "يَٰٓأَبَتِ إِنِّى قَدْ جَآءَنِى مِنَ ٱلْعِلْمِ مَا لَمْ يَأْتِكَ فَٱتَّبِعْنِىٓ أَهْدِكَ صِرَٰطًۭا سَوِيًّۭا",
              "translate_bn": "হে আমার পিতা, আমার কাছে এমন জ্ঞান এসেছে; যা তোমার কাছে আসেনি, সুতরাং আমার অনুসরণ কর, আমি তোমাকে সরল পথ দেখাব।",
              "numberInSurah": 43,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইয়াআবাতি ইন্নী কাদ জাআনী মিনাল ‘ইলমি মা-লাম ইয়া’তিকা ফাত্তাবি‘নীআহদিকা সিরা-তান ছাবিইইয়া-।",
              "words_arabic": "یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//اِنِّیْ/إِنِّي/inni//قَدْ/قَدۡ/qad//جَآءَنِیْ/جَآءَنِي/jaani//مِنَ/مِنَ/mina//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یَاْتِكَ/يَأۡتِكَ/yatika//فَاتَّبِعْنِیْۤ/فَٱتَّبِعۡنِيٓ/fa-ittabi'ni//اَهْدِكَ/أَهۡدِكَ/ahdika//صِرَاطًا/صِرَٰطٗا/siratan//سَوِیًّا /سَوِيّٗا/sawiyyan",
              "words_bangla": "হে আমার পিতা//নিশ্চয়ই আমার//নিশ্চয়ই//এসেছে আমার কাছে//(এমন) কিছু//জ্ঞান//যা//নি//আপনার কাছে আসে//সুতরাং অনুসরণ করুন//আমি পথ দেখাবো//পথ//সরল সঠিক"
            },
            {
              "number": 2294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2294.mp3"
              ],
              "text": "يَٰٓأَبَتِ لَا تَعْبُدِ ٱلشَّيْطَٰنَ ۖ إِنَّ ٱلشَّيْطَٰنَ كَانَ لِلرَّحْمَٰنِ عَصِيًّۭا",
              "translate_bn": "হে আমার পিতা, শয়তানের এবাদত করো না। নিশ্চয় শয়তান দয়াময়ের অবাধ্য।",
              "numberInSurah": 44,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইয়াআবাতি লা-তা‘বুদিশশাইতা-না ইন্নাশশাইতা-না কা-না লিররাহমা-নি আ‘সিইইয়া- ।",
              "words_arabic": "یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//لَا/لَا/la//تَعْبُدِ/تَعۡبُدِ/ta'budi//الشَّیْطٰنَ ؕ/ٱلشَّيۡطَٰنَۖ/al-shaytana//اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//كَانَ/كَانَ/kana//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//عَصِیًّا /عَصِيّٗا/asiyyan",
              "words_bangla": "হে আমার পিতা//না//উপাসনা করবেন//শয়তানের//নিশ্চয়ই//শয়তান//হলো//দয়াময়ের//অবাধ্য"
            },
            {
              "number": 2295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2295.mp3"
              ],
              "text": "يَٰٓأَبَتِ إِنِّىٓ أَخَافُ أَن يَمَسَّكَ عَذَابٌۭ مِّنَ ٱلرَّحْمَٰنِ فَتَكُونَ لِلشَّيْطَٰنِ وَلِيًّۭا",
              "translate_bn": "হে আমার পিতা, আমি আশঙ্কা করি, দয়াময়ের একটি আযাব তোমাকে স্পর্শ করবে, অতঃপর তুমি শয়তানের সঙ্গী হয়ে যাবে।",
              "numberInSurah": 45,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ইয়াআবাতি ইন্নীআখা-ফুআইঁ ইয়ামাছছাকা ‘আযা-বুম মিনার রাহমা-নি ফাতাকূনা লিশশাইতা-নি ওয়ালিইইয়া-।",
              "words_arabic": "یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اَنْ/أَن/an//یَّمَسَّكَ/يَمَسَّكَ/yamassaka//عَذَابٌ/عَذَابٞ/adhabun//مِّنَ/مِّنَ/mina//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//فَتَكُوْنَ/فَتَكُونَ/fatakuna//لِلشَّیْطٰنِ/لِلشَّيۡطَٰنِ/lilshaytani//وَلِیًّا /وَلِيّٗا/waliyyan",
              "words_bangla": "হে আমার পিতা//নিশ্চয়ই আমি//ভয় করি আমি//যে//আপনাকে স্পর্শ করবে//শাস্তি//থেকে//দয়াময়ের//অতঃপর আপনি হবেন//শয়তানের জন্য//বন্ধু\""
            },
            {
              "number": 2296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2296.mp3"
              ],
              "text": "قَالَ أَرَاغِبٌ أَنتَ عَنْ ءَالِهَتِى يَٰٓإِبْرَٰهِيمُ ۖ لَئِن لَّمْ تَنتَهِ لَأَرْجُمَنَّكَ ۖ وَٱهْجُرْنِى مَلِيًّۭا",
              "translate_bn": "পিতা বললঃ যে ইব্রাহীম, তুমি কি আমার উপাস্যদের থেকে মুখ ফিরিয়ে নিচ্ছ? যদি তুমি বিরত না হও, আমি অবশ্যই প্রস্তরাঘাতে তোমার প্রাণনাশ করব। তুমি চিরতরে আমার কাছ থেকে দূর হয়ে যাও।",
              "numberInSurah": 46,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "কা-লা আরা-গিবুন আনতা ‘আন আ-লিহাতী ইয়াইবরা-হীমু লাইল্লাম তানতাহি লাআরজুমান্নাকা ওয়াহজুরনী মালিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَرَاغِبٌ/أَرَاغِبٌ/araghibun//اَنْتَ/أَنتَ/anta//عَنْ/عَنۡ/an//اٰلِهَتِیْ/ءَالِهَتِي/alihati//یٰۤاِبْرٰهِیْمُ ۚ/يَـٰٓإِبۡرَٰهِيمُۖ/yaib'rahimu//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//تَنْتَهِ/تَنتَهِ/tantahi//لَاَرْجُمَنَّكَ/لَأَرۡجُمَنَّكَۖ/la-arjumannaka//وَ اهْجُرْنِیْ/وَٱهۡجُرۡنِي/wa-uh'jur'ni//مَلِیًّا /مَلِيّٗا/maliyyan",
              "words_bangla": "সে বললো//\"কি বিমুখ//\"তুমি//হ'তে//আমার দেব-দেবীগুলো//হে ইবরাহীম//অবশ্যই যদি//না//বিরত হও তুমি//অবশ্যই তোমাকে পাথর মেরে হত্যা করবোই//এবং আমাকে ছেড়ে চলে যাও//চিরতরে\""
            },
            {
              "number": 2297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2297.mp3"
              ],
              "text": "قَالَ سَلَٰمٌ عَلَيْكَ ۖ سَأَسْتَغْفِرُ لَكَ رَبِّىٓ ۖ إِنَّهُۥ كَانَ بِى حَفِيًّۭا",
              "translate_bn": "ইব্রাহীম বললেনঃ তোমার উপর শান্তি হোক, আমি আমার পালনকর্তার কাছে তোমার জন্যে ক্ষমা প্রার্থনা করব। নিশ্চয় তিনি আমার প্রতি মেহেরবান।",
              "numberInSurah": 47,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছালা-মুন ‘আলাইকা ছাআছতাগফিরুলাকা রাববী ইন্নাহূকা-না বী হাফিইইয়া-।",
              "words_arabic": "قَالَ/قَالَ/qala//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكَ ۚ/عَلَيۡكَۖ/alayka//سَاَسْتَغْفِرُ/سَأَسۡتَغۡفِرُ/sa-astaghfiru//لَكَ/لَكَ/laka//رَبِّیْ ؕ/رَبِّيٓۖ/rabbi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//بِیْ/بِي/bi//حَفِیًّا /حَفِيّٗا/hafiyyan",
              "words_bangla": "সে বললো//\"শান্তি (সালাম)//আপনার উপর//অচিরেই ক্ষমা চাইবো আমি//আপনার জন্য//আমার রবের কাছে//নিশ্চয়ই তিনি//হলেন//আমার প্রতি//অনুগ্রহশীল"
            },
            {
              "number": 2298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2298.mp3"
              ],
              "text": "وَأَعْتَزِلُكُمْ وَمَا تَدْعُونَ مِن دُونِ ٱللَّهِ وَأَدْعُوا۟ رَبِّى عَسَىٰٓ أَلَّآ أَكُونَ بِدُعَآءِ رَبِّى شَقِيًّۭا",
              "translate_bn": "আমি পরিত্যাগ করছি তোমাদেরকে এবং তোমরা আল্লাহ ব্যতীত যাদের এবাদত কর তাদেরকে; আমি আমার পালনকর্তার এবাদত করব। আশা করি, আমার পালনকর্তার এবাদত করে আমি বঞ্চিত হব না।",
              "numberInSurah": 48,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ‘তাঝিলুকুম ওয়ামা-তাদ‘ঊনা মিন দূ নিল্লা-হি ওয়া আদ‘ঊ রাববী ‘আছাআল্লা আকূনা বিদু‘আই রাববী শাকিইইয়া-।",
              "words_arabic": "وَ اَعْتَزِلُكُمْ/وَأَعۡتَزِلُكُمۡ/wa-a'tazilukum//وَ مَا/وَمَا/wama//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَدْعُوْا/وَأَدۡعُواْ/wa-ad'u//رَبِّیْ ۖؗ/رَبِّي/rabbi//عَسٰۤی/عَسَىٰٓ/asa//اَلَّاۤ/أَلَّآ/alla//اَكُوْنَ/أَكُونَ/akuna//بِدُعَآءِ/بِدُعَآءِ/bidu'ai//رَبِّیْ/رَبِّي/rabbi//شَقِیًّا /شَقِيّٗا/shaqiyyan",
              "words_bangla": "এবং আপনাদের থেকে আমি পৃথক হচ্ছি//এবং যাদেরকে//আপনারা ডাকেন//থেকে//ছাড়া//আল্লাহ্‌//এবং ডাকবো আমি//আমার রবকে//আশা করি//যে না//হবো আমি//ডাকার কারণে//আমার রবের//ব্যর্থকাম\""
            },
            {
              "number": 2299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2299.mp3"
              ],
              "text": "فَلَمَّا ٱعْتَزَلَهُمْ وَمَا يَعْبُدُونَ مِن دُونِ ٱللَّهِ وَهَبْنَا لَهُۥٓ إِسْحَٰقَ وَيَعْقُوبَ ۖ وَكُلًّۭا جَعَلْنَا نَبِيًّۭا",
              "translate_bn": "অতঃপর তিনি যখন তাদেরকে এবং তার আল্লাহ ব্যতীত যাদের এবাদত করত, তাদের সবাইকে পরিত্যাগ করলেন, তখন আমি তাকে দান করলাম ইসহাক ও ইয়াকুব এবং প্রত্যেককে নবী করলাম।",
              "numberInSurah": 49,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা‘ তাঝালাহুম ওয়ামা-ইয়া‘বুদূ না মিন দূ নিল্লা-হি ওয়াহাবনা-লাহূইছহা-কা ওয়া ইয়া‘কূবা ওয়া কুল্লান জা‘আলনা-নাবিইইয়া-।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//اعْتَزَلَهُمْ/ٱعۡتَزَلَهُمۡ/i'tazalahum//وَ مَا/وَمَا/wama//یَعْبُدُوْنَ/يَعۡبُدُونَ/ya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//وَهَبْنَا/وَهَبۡنَا/wahabna//لَهٗۤ/لَهُۥٓ/lahu//اِسْحٰقَ/إِسۡحَٰقَ/is'haqa//وَ یَعْقُوْبَ ؕ/وَيَعۡقُوبَۖ/waya'quba//وَ كُلًّا/وَكُلّٗا/wakullan//جَعَلْنَا/جَعَلۡنَا/ja'alna//نَبِیًّا /نَبِيّٗا/nabiyyan",
              "words_bangla": "অতঃপর যখন//তাদের থেকে পৃথক হলো সে//এবং যাদের//তারা উপাসনা করতো//থেকে//ছাড়া//আল্লাহ্‌//আমরা দান করলাম//তাকে//ইসহাককে//ও ইয়াকুবকে//এবং প্রত্যেককে//আমরা বানালাম//নাবী"
            },
            {
              "number": 2300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2300.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُم مِّن رَّحْمَتِنَا وَجَعَلْنَا لَهُمْ لِسَانَ صِدْقٍ عَلِيًّۭا",
              "translate_bn": "আমি তাদেরকে দান করলাম আমার অনুগ্রহ এবং তাদেরকে দিলাম সমুচ্চ সুখ্যাতি।",
              "numberInSurah": 50,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 266,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লাহুম মির রাহমাতিনা- ওয়া জা‘আলনা- লাহুম লিছা-না সিদকিন ‘আলিইইয়া-।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//رَّحْمَتِنَا/رَّحۡمَتِنَا/rahmatina//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَهُمْ/لَهُمۡ/lahum//لِسَانَ/لِسَانَ/lisana//صِدْقٍ/صِدۡقٍ/sid'qin//عَلِیًّا۠/عَلِيّٗا/aliyyan",
              "words_bangla": "এবং আমরা দান করলাম//তাদের জন্য//থেকে//আমাদের অনুগ্রহ//এবং আমরা দিলাম//তাদের জন্য//ভাষা//সত্যের ও সুখ্যাতির//সমুচ্চ"
            },
            {
              "number": 2301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2301.mp3"
              ],
              "text": "وَٱذْكُرْ فِى ٱلْكِتَٰبِ مُوسَىٰٓ ۚ إِنَّهُۥ كَانَ مُخْلَصًۭا وَكَانَ رَسُولًۭا نَّبِيًّۭا",
              "translate_bn": "এই কিতাবে মূসার কথা বর্ণনা করুন, তিনি ছিলেন মনোনীত এবং তিনি ছিলেন রাসূল, নবী।",
              "numberInSurah": 51,
              "juz": 16,
              "manzil": 4,
              "page": 308,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ফিল কিতা-বি মূছাইন্নাহূকা-না মুখলাসাও ওয়া কা-না রাছূলান নাবিইইয়া-।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مُوْسٰۤی ؗ/مُوسَىٰٓۚ/musa//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//مُخْلَصًا/مُخۡلَصٗا/mukh'lasan//وَّ كَانَ/وَكَانَ/wakana//رَسُوْلًا/رَسُولٗا/rasulan//نَّبِیًّا /نَّبِيّٗا/nabiyyan",
              "words_bangla": "উল্লেখ করো (যা)//মধ্যে (বলা হচ্ছে)//(এই) কিতাবের//মূসা (সম্পর্কে)//সে নিশ্চয়ই//ছিলো//বিশুদ্ধচিত্ত//এবং ছিলো//রাসূল//নাবী"
            },
            {
              "number": 2302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2302.mp3"
              ],
              "text": "وَنَٰدَيْنَٰهُ مِن جَانِبِ ٱلطُّورِ ٱلْأَيْمَنِ وَقَرَّبْنَٰهُ نَجِيًّۭا",
              "translate_bn": "আমি তাকে আহবান করলাম তূর পাহাড়ের ডান দিক থেকে এবং গুঢ়তত্ত্ব আলোচনার উদ্দেশে তাকে নিকটবর্তী করলাম।",
              "numberInSurah": 52,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া না-দাইনা-হু মিন জা-নিবিততূরিল আইমানি ওয়া কাররাবনা-হু নাজিইইয়া-।",
              "words_arabic": "وَ نَادَیْنٰهُ/وَنَٰدَيۡنَٰهُ/wanadaynahu//مِنْ/مِن/min//جَانِبِ/جَانِبِ/janibi//الطُّوْرِ/ٱلطُّورِ/al-turi//الْاَیْمَنِ/ٱلۡأَيۡمَنِ/al-aymani//وَ قَرَّبْنٰهُ/وَقَرَّبۡنَٰهُ/waqarrabnahu//نَجِیًّا /نَجِيّٗا/najiyyan",
              "words_bangla": "এবং তাকে আমরা ডেকেছি//হ'তে//দিক//তুর (পাহাড়ের)//ডান (দিক)//এবং তাকে আমরা কাছে টেনেছিলাম//অন্তরঙ্গ আলাপের জন্যে"
            },
            {
              "number": 2303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2303.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُۥ مِن رَّحْمَتِنَآ أَخَاهُ هَٰرُونَ نَبِيًّۭا",
              "translate_bn": "আমি নিজ অনুগ্রহে তাঁকে দান করলাম তাঁর ভাই হারুনকে নবীরূপে।",
              "numberInSurah": 53,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লাহূমিররাহমাতিনাআখা-হু হা-রূনা নাবিইইয়া-।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//رَّحْمَتِنَاۤ/رَّحۡمَتِنَآ/rahmatina//اَخَاهُ/أَخَاهُ/akhahu//هٰرُوْنَ/هَٰرُونَ/haruna//نَبِیًّا /نَبِيّٗا/nabiyyan",
              "words_bangla": "এবং আমরা বানালাম//তার জন্যে//হ'তে//আমাদের অনুগ্রহ//তার ভাই//হারুনকে//নাবীরূপে"
            },
            {
              "number": 2304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2304.mp3"
              ],
              "text": "وَٱذْكُرْ فِى ٱلْكِتَٰبِ إِسْمَٰعِيلَ ۚ إِنَّهُۥ كَانَ صَادِقَ ٱلْوَعْدِ وَكَانَ رَسُولًۭا نَّبِيًّۭا",
              "translate_bn": "এই কিতাবে ইসমাঈলের কথা বর্ণনা করুন, তিনি প্রতিশ্রুতি পালনে সত্যাশ্রয়ী এবং তিনি ছিলেন রসূল, নবী।",
              "numberInSurah": 54,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ফিল কিতা-বি ইছমা-ঈলা ইন্নাহূকা-না সা-দিকাল ওয়া‘দি ওয়া কা-না রাছূলান নাবিইইয়া-।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اِسْمٰعِیْلَ ؗ/إِسۡمَٰعِيلَۚ/is'ma'ila//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//صَادِقَ/صَادِقَ/sadiqa//الْوَعْدِ/ٱلۡوَعۡدِ/al-wa'di//وَ كَانَ/وَكَانَ/wakana//رَسُوْلًا/رَسُولٗا/rasulan//نَّبِیًّاۚ/نَّبِيّٗا/nabiyyan",
              "words_bangla": "এবং স্মরণ করো//মধ্যে//কিতাবের//ইসমাইলকে//সে নিশ্চয়ই//ছিলো//সত্যতা রক্ষাকারী//প্রতিশ্রুতির//এবং ছিলো//রাসূল//নাবী"
            },
            {
              "number": 2305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2305.mp3"
              ],
              "text": "وَكَانَ يَأْمُرُ أَهْلَهُۥ بِٱلصَّلَوٰةِ وَٱلزَّكَوٰةِ وَكَانَ عِندَ رَبِّهِۦ مَرْضِيًّۭا",
              "translate_bn": "তিনি তাঁর পরিবারবর্গকে নামায ও যাকাত আদায়ের নির্দেশ দিতেন এবং তিনি তাঁর পালনকর্তার কাছে পছন্দনীয় ছিলেন।",
              "numberInSurah": 55,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-না ইয়া’মুরু আহলাহূবিসসালা-তি ওয়াঝঝাকা-তি ওয়া কা-না ‘ইনদা রাব্বিহী মার দিইইয়া-।",
              "words_arabic": "وَ كَانَ/وَكَانَ/wakana//یَاْمُرُ/يَأۡمُرُ/yamuru//اَهْلَهٗ/أَهۡلَهُۥ/ahlahu//بِالصَّلٰوةِ/بِٱلصَّلَوٰةِ/bil-salati//وَ الزَّكٰوةِ ۪/وَٱلزَّكَوٰةِ/wal-zakati//وَ كَانَ/وَكَانَ/wakana//عِنْدَ/عِندَ/inda//رَبِّهٖ/رَبِّهِۦ/rabbihi//مَرْضِیًّا /مَرۡضِيّٗا/mardiyyan",
              "words_bangla": "এবং//আদেশ দিতো//তার পরিজনবর্গকে//সালাতের ব্যাপারে//ও যাকাতের//এবং সে ছিলো//কাছে//তার রবের//প্রিয়পাত্র"
            },
            {
              "number": 2306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2306.mp3"
              ],
              "text": "وَٱذْكُرْ فِى ٱلْكِتَٰبِ إِدْرِيسَ ۚ إِنَّهُۥ كَانَ صِدِّيقًۭا نَّبِيًّۭا",
              "translate_bn": "এই কিতাবে ইদ্রীসের কথা আলোচনা করুন, তিনি ছিলেন সত্যবাদী নবী।",
              "numberInSurah": 56,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ফিল কিতা-বি ইদরীছা ইন্নাহূকা-না সিদ্দীকান নাবিইইয়া-।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اِدْرِیْسَ ؗ/إِدۡرِيسَۚ/id'risa//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//صِدِّیْقًا/صِدِّيقٗا/siddiqan//نَّبِیًّاۗۙ/نَّبِيّٗا/nabiyyan",
              "words_bangla": "এবং উল্লেখ করো (যা)//মধ্যে (বলা হচ্ছে)//(এই) কিতাবের//ইদরীস (সম্পর্কে)//সে নিশ্চয়ই//ছিলো//সত্যনিষ্ঠ//নাবী"
            },
            {
              "number": 2307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2307.mp3"
              ],
              "text": "وَرَفَعْنَٰهُ مَكَانًا عَلِيًّا",
              "translate_bn": "আমি তাকে উচ্চে উন্নীত করেছিলাম।",
              "numberInSurah": 57,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাফা‘না-হু মাকা-নান ‘আলিয়া-।",
              "words_arabic": "وَّ رَفَعْنٰهُ/وَرَفَعۡنَٰهُ/warafa'nahu//مَكَانًا/مَكَانًا/makanan//عَلِیًّا /عَلِيًّا/aliyyan",
              "words_bangla": "এবং তাকে আমরা উন্নীত করেছিলাম//স্থানে//উচ্চতর"
            },
            {
              "number": 2308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2308.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ أَنْعَمَ ٱللَّهُ عَلَيْهِم مِّنَ ٱلنَّبِيِّۦنَ مِن ذُرِّيَّةِ ءَادَمَ وَمِمَّنْ حَمَلْنَا مَعَ نُوحٍۢ وَمِن ذُرِّيَّةِ إِبْرَٰهِيمَ وَإِسْرَٰٓءِيلَ وَمِمَّنْ هَدَيْنَا وَٱجْتَبَيْنَآ ۚ إِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُ ٱلرَّحْمَٰنِ خَرُّوا۟ سُجَّدًۭا وَبُكِيًّۭا ۩",
              "translate_bn": "এরাই তারা-নবীগণের মধ্য থেকে যাদেরকে আল্লাহ তা’আলা নেয়ামত দান করেছেন। এরা আদমের বংশধর এবং যাদেরকে আমি নূহের সাথে নৌকায় আরোহন করিয়েছিলাম, তাদের বংশধর, এবং ইব্রাহীম ও ইসরাঈলের বংশধর এবং যাদেরকে আমি পথ প্রদর্শন করেছি ও মনোনীত করেছি, তাদের বংশোদ্ভূত। তাদের কাছে যখন দয়াময় আল্লাহর আয়াতসমূহ পাঠ করা হত, তখন তারা সেজদায় লুটিয়ে পড়ত এবং ক্রন্দন করত।",
              "numberInSurah": 58,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 123,
              "sajda": {
                "id": 5,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "উলাইকাল্লাযীনা আন‘আমাল্লা-হু ‘আলাইহিম মিনান নাবিইয়ীনা মিন যুররিইইয়াতি আ-দামা ওয়া মিম্মান হামালনা-মা‘আ নূহিওঁ ওয়া মিন যুররিইইয়াতি ইবরা-হীমা ওয়া ইছরাঈলা ওয়া মিম্মান হাদাইনা-ওয়াজতাবাইনা- ইযা-তুতলা-‘আলাইহিম আয়া-তুররাহমা-নি খাররূ ছুজ্জাদাওঁ ওয়া বুকিইইয়া-(ছিজদাহ-৫)।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَنْعَمَ/أَنۡعَمَ/an'ama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنَ/مِّنَ/mina//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//مِنْ/مِن/min//ذُرِّیَّةِ/ذُرِّيَّةِ/dhurriyyati//اٰدَمَ ۗ/ءَادَمَ/adama//وَ مِمَّنْ/وَمِمَّنۡ/wamimman//حَمَلْنَا/حَمَلۡنَا/hamalna//مَعَ/مَعَ/ma'a//نُوْحٍ ؗ/نُوحٖ/nuhin//وَّ مِنْ/وَمِن/wamin//ذُرِّیَّةِ/ذُرِّيَّةِ/dhurriyyati//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْرَآءِیْلَ ؗ/وَإِسۡرَـٰٓءِيلَ/wa-is'raila//وَ مِمَّنْ/وَمِمَّنۡ/wamimman//هَدَیْنَا/هَدَيۡنَا/hadayna//وَ اجْتَبَیْنَا ؕ/وَٱجۡتَبَيۡنَآۚ/wa-ij'tabayna//اِذَا/إِذَا/idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُ/ءَايَٰتُ/ayatu//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//خَرُّوْا/خَرُّواْۤ/kharru//سُجَّدًا/سُجَّدٗاۤ/sujjadan//وَّ بُكِیًّا۩/وَبُكِيّٗا۩/wabukiyyan",
              "words_bangla": "ঐসব লোক//যাদের//অনুগ্রহ করেছেন//আল্লাহ্‌//তাদের উপর//মধ্যে//নাবীদের//মধ্য হ'তে//বংশধর//আদমের//এবং মধ্য হ'তে যাদের//আমরা আরোহণ করিয়েছিলাম//সাথে//নূহের//এবং মধ্য হ'তে//বংশধর//ইবরাহীমের//ও ইসরাঈলের//এবং মধ্য হ'তে (তাদের)//আমরা পথ দেখিয়েছিলাম//ও আমরা মনোনীত করেছিলাম//যখন//পাঠ করা হতো//তাদের কাছে//আয়াতসমূহ//দয়াময়ের//তারা নুয়ে পড়তো//সিজদায়//এবং (তখন) কান্নারত হতো"
            },
            {
              "number": 2309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2309.mp3"
              ],
              "text": "۞ فَخَلَفَ مِنۢ بَعْدِهِمْ خَلْفٌ أَضَاعُوا۟ ٱلصَّلَوٰةَ وَٱتَّبَعُوا۟ ٱلشَّهَوَٰتِ ۖ فَسَوْفَ يَلْقَوْنَ غَيًّا",
              "translate_bn": "অতঃপর তাদের পরে এল অপদার্থ পরবর্তীরা। তারা নামায নষ্ট করল এবং কুপ্রবৃত্তির অনুবর্তী হল। সুতরাং তারা অচিরেই পথভ্রষ্টতা প্রত্যক্ষ করবে।",
              "numberInSurah": 59,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ফাখালাফা মিম বা‘দিহিম খালফুনআদা-‘উসসালা-তা ওয়াত তাবা‘উশশাহাওয়া-তি ফাছাওফা ইয়ালকাওনা গাইইয়া-।\r\n",
              "words_arabic": "فَخَلَفَ/۞فَخَلَفَ/fakhalafa//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//خَلْفٌ/خَلۡفٌ/khalfun//اَضَاعُوا/أَضَاعُواْ/ada'u//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اتَّبَعُوا/وَٱتَّبَعُواْ/wa-ittaba'u//الشَّهَوٰتِ/ٱلشَّهَوَٰتِۖ/al-shahawati//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَلْقَوْنَ/يَلۡقَوۡنَ/yalqawna//غَیًّاۙ/غَيًّا/ghayyan",
              "words_bangla": "অতঃপর স্থলাভিষিক্ত হলো//থেকে//পর তাদের//পরবর্তীরা//তারা নষ্ট করলো//সালাত//ও অনুসরণ করলো//কুপ্রবৃত্তির//সুতরাং শীঘ্রই//তারা দেখবে//কুকর্মের (শাস্তি)"
            },
            {
              "number": 2310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2310.mp3"
              ],
              "text": "إِلَّا مَن تَابَ وَءَامَنَ وَعَمِلَ صَٰلِحًۭا فَأُو۟لَٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ وَلَا يُظْلَمُونَ شَيْـًۭٔا",
              "translate_bn": "কিন্তু তারা ব্যতীত, যারা তওবা করেছে, বিশ্বাস স্থাপন করেছে। সুতরাং তারা জান্নাতে প্রবেশ করবে এবং তাদের উপর কোন জুলুম করা হবে না।",
              "numberInSurah": 60,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান তা-বা ওয়া আ-মানা ওয়া ‘আমিলা সা-লিহান ফাউলাইকা ইয়াদখুলূনাল জান্নাতা ওয়ালা-ইউজলামূনা শাইআ-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//تَابَ/تَابَ/taba//وَ اٰمَنَ/وَءَامَنَ/waamana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//وَ لَا/وَلَا/wala//یُظْلَمُوْنَ/يُظۡلَمُونَ/yuz'lamuna//شَیْـًٔاۙ/شَيۡـٔٗا/shayan",
              "words_bangla": "কিন্তু//যারা//করেছে তওবা//ও ঈমান এনেছে//ও কাজ করেছে//সৎ//অতঃপর ঐসব লোক//তারা প্রবেশ করবে//জান্নাতে//এবং না//অন্যায় করা হবে//কিছুমাত্রও"
            },
            {
              "number": 2311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2311.mp3"
              ],
              "text": "جَنَّٰتِ عَدْنٍ ٱلَّتِى وَعَدَ ٱلرَّحْمَٰنُ عِبَادَهُۥ بِٱلْغَيْبِ ۚ إِنَّهُۥ كَانَ وَعْدُهُۥ مَأْتِيًّۭا",
              "translate_bn": "তাদের স্থায়ী বসবাস হবে যার ওয়াদা দয়াময় আল্লাহ তাঁর বান্দাদেরকে অদৃশ্যভাবে দিয়েছেন। অবশ্যই তাঁর ওয়াদার তারা পৌঁছাবে।",
              "numberInSurah": 61,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "জান্না-তি ‘আদনি নিল্লাতী ওয়া আ‘দার রাহমা-নু‘ইবা-দাহূবিলগাইবি ইন্নাহূকা-না ওয়া‘দুহূমা’তিইইয়া-।",
              "words_arabic": "جَنّٰتِ/جَنَّـٰتِ/jannati//عَدْنِ/عَدۡنٍ/adnin//لَّتِیْ/ٱلَّتِي/allati//وَعَدَ/وَعَدَ/wa'ada//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//عِبَادَهٗ/عِبَادَهُۥ/ibadahu//بِالْغَیْبِ ؕ/بِٱلۡغَيۡبِۚ/bil-ghaybi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//وَعْدُهٗ/وَعۡدُهُۥ/wa'duhu//مَاْتِیًّا /مَأۡتِيّٗا/matiyyan",
              "words_bangla": "জান্নাত//স্থায়ী//যার//প্রতিশ্রুতি দিয়েছেন//দয়াময়//তাঁর দাসদেরকে//গোপনভাবে//তিনি নিশ্চয়ই (এমন যে)//হলো//তাঁর প্রতিশ্রুতি//অবশ্যম্ভাবী"
            },
            {
              "number": 2312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2312.mp3"
              ],
              "text": "لَّا يَسْمَعُونَ فِيهَا لَغْوًا إِلَّا سَلَٰمًۭا ۖ وَلَهُمْ رِزْقُهُمْ فِيهَا بُكْرَةًۭ وَعَشِيًّۭا",
              "translate_bn": "তারা সেখানে সালাম ব্যতীত কোন অসার কথাবার্তা শুনবে না এবং সেখানে সকাল-সন্ধ্যা তাদের জন্যে রুযী থাকবে।",
              "numberInSurah": 62,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছমা‘ঊনা ফীহা-লাগওয়ান ইল্লা-ছালা-মাওঁ ওয়ালাহুম রিঝকুহুম ফীহিাবুকরাতাওঁ ওয়া ‘আশিইইয়া-।",
              "words_arabic": "لَا/لَّا/la//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//فِیْهَا/فِيهَا/fiha//لَغْوًا/لَغۡوًا/laghwan//اِلَّا/إِلَّا/illa//سَلٰمًا ؕ/سَلَٰمٗاۖ/salaman//وَ لَهُمْ/وَلَهُمۡ/walahum//رِزْقُهُمْ/رِزۡقُهُمۡ/riz'quhum//فِیْهَا/فِيهَا/fiha//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ عَشِیًّا /وَعَشِيّٗا/wa'ashiyyan",
              "words_bangla": "না//তারা শুনবে//তার মধ্যে//নিরর্থক কথা//এ ছাড়া//শান্তি//এবং তাদের জন্য থাকবে//তাদের জীবিকা//তার মধ্যে//সকালে//ও সন্ধ্যায়"
            },
            {
              "number": 2313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2313.mp3"
              ],
              "text": "تِلْكَ ٱلْجَنَّةُ ٱلَّتِى نُورِثُ مِنْ عِبَادِنَا مَن كَانَ تَقِيًّۭا",
              "translate_bn": "এটা ঐ জান্নাত যার অধিকারী করব আমার বান্দাদের মধ্যে পরহেযগারদেরকে।",
              "numberInSurah": 63,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "তিলকাল জান্নাতুল্লাতী নূরিছুমিন ‘ইবা-দিনা-মান কা-না তাকিইইয়া-।\r\n",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//الَّتِیْ/ٱلَّتِي/allati//نُوْرِثُ/نُورِثُ/nurithu//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//مَنْ/مَن/man//كَانَ/كَانَ/kana//تَقِیًّا /تَقِيّٗا/taqiyyan",
              "words_bangla": "এই//জান্নাত//যার//আমরা করবো উত্তরাধিকারী//মধ্য হ'তে//আমাদের দাসদের//যে//হবে//মুত্তাকী"
            },
            {
              "number": 2314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2314.mp3"
              ],
              "text": "وَمَا نَتَنَزَّلُ إِلَّا بِأَمْرِ رَبِّكَ ۖ لَهُۥ مَا بَيْنَ أَيْدِينَا وَمَا خَلْفَنَا وَمَا بَيْنَ ذَٰلِكَ ۚ وَمَا كَانَ رَبُّكَ نَسِيًّۭا",
              "translate_bn": "(জিব্রাইল বললঃ) আমি আপনার পালনকর্তার আদেশ ব্যতীত অবতরণ করি না, যা আমাদের সামনে আছে, যা আমাদের পশ্চাতে আছে এবং যা এ দুই-এর মধ্যস্থলে আছে, সবই তাঁর এবং আপনার পালনকর্তা বিস্মৃত হওয়ার নন।",
              "numberInSurah": 64,
              "juz": 16,
              "manzil": 4,
              "page": 309,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-নাতানাঝঝালুইল্লা-বিআমরি রাব্বিকা লাহূমা-বাইনা আইদীনা-ওয়ামাখালফানা ওয়ামা-বাইনা যা-লিকা ওয়ামা-কা-না রাব্বুকা নাছিইইয়া-।",
              "words_arabic": "وَ مَا/وَمَا/wama//نَتَنَزَّلُ/نَتَنَزَّلُ/natanazzalu//اِلَّا/إِلَّا/illa//بِاَمْرِ/بِأَمۡرِ/bi-amri//رَبِّكَ ۚ/رَبِّكَۖ/rabbika//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْنَا/أَيۡدِينَا/aydina//وَ مَا/وَمَا/wama//خَلْفَنَا/خَلۡفَنَا/khalfana//وَ مَا/وَمَا/wama//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ ۚ/ذَٰلِكَۚ/dhalika//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//رَبُّكَ/رَبُّكَ/rabbuka//نَسِیًّاۚ/نَسِيّٗا/nasiyyan",
              "words_bangla": "এবং (হে নাবী) না//আমরা অবতরণ করি//এ ছাড়া//নির্দেশক্রমে//আপনার রবের//তাঁরই জন্য (মালিকানায়)//যা কিছু (আছে)//সামনে//আমাদের হাতের//ও যা কিছু (আছে)//আমাদের পিছনে//এবং যা কিছু (আছে)//মাঝে//এর//এবং না//হলেন//আপনার রব (এমন যে)//ভুলে যান"
            },
            {
              "number": 2315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2315.mp3"
              ],
              "text": "رَّبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا فَٱعْبُدْهُ وَٱصْطَبِرْ لِعِبَٰدَتِهِۦ ۚ هَلْ تَعْلَمُ لَهُۥ سَمِيًّۭا",
              "translate_bn": "তিনি নভোমন্ডল, ভূমন্ডলে এতদুভয়ের মধ্যবর্তী সবার পালনকর্তা। সুতরাং তাঁরই বন্দেগী করুন এবং তাতে দৃঢ় থাকুন আপনি কি তাঁর সমনাম কাউকে জানেন?",
              "numberInSurah": 65,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 267,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "রাব্বুছ ছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা-ফা‘বুদ হু ওয়াসতাবির লি‘ইবা-দাতিহী হাল তা‘লামুলাহূছামিইইয়া-।",
              "words_arabic": "رَبُّ/رَّبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//فَاعْبُدْهُ/فَٱعۡبُدۡهُ/fa-u'bud'hu//وَ اصْطَبِرْ/وَٱصۡطَبِرۡ/wa-is'tabir//لِعِبَادَتِهٖ ؕ/لِعِبَٰدَتِهِۦۚ/li'ibadatihi//هَلْ/هَلۡ/hal//تَعْلَمُ/تَعۡلَمُ/ta'lamu//لَهٗ/لَهُۥ/lahu//سَمِیًّا۠/سَمِيّٗا/samiyyan",
              "words_bangla": "রব//আকাশের//ও পৃথিবীর//এবং যা কিছু (আছে)//উভয়ের মাঝে//তাঁরই সুতরাং ইবাদাত করুন//এবং ধৈর্য্য ধরুন//তাঁর ইবাদাতের উপর//কি//জানেন আপনি (কাউকে)//তাঁর জন্য//সমমান (গুণসম্পন্ন)"
            },
            {
              "number": 2316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2316.mp3"
              ],
              "text": "وَيَقُولُ ٱلْإِنسَٰنُ أَءِذَا مَا مِتُّ لَسَوْفَ أُخْرَجُ حَيًّا",
              "translate_bn": "মানুষ বলেঃ আমার মৃত্যু হলে পর আমি কি জীবিত অবস্থায় পুনরুত্থিত হব?",
              "numberInSurah": 66,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল ইনছা-নুআইযা-মা-মিত্তুলাছাওফা উখরাজুহাইইয়া-।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//ءَاِذَا/أَءِذَا/a-idha//مَا/مَا/ma//مِتُّ/مِتُّ/mittu//لَسَوْفَ/لَسَوۡفَ/lasawfa//اُخْرَجُ/أُخۡرَجُ/ukh'raju//حَیًّا /حَيًّا/hayyan",
              "words_bangla": "এবং বলে//মানুষ//\"যখন কি//\"//আমি মরে যাব//অচিরেই অবশ্যই//আমাকে বের করা হবে//জীবিত অবস্থায়\""
            },
            {
              "number": 2317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2317.mp3"
              ],
              "text": "أَوَلَا يَذْكُرُ ٱلْإِنسَٰنُ أَنَّا خَلَقْنَٰهُ مِن قَبْلُ وَلَمْ يَكُ شَيْـًۭٔا",
              "translate_bn": "মানুষ কি স্মরণ করে না যে, আমি তাকে ইতি পূর্বে সৃষ্টি করেছি এবং সে তখন কিছুই ছিল না।",
              "numberInSurah": 67,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "আওয়ালা-ইয়াযকুরুল ইনছা-নুআন্না-খালাকনা-হু মিন কাবলুওয়া লাম ইয়াকুশাইআ-।\r\n",
              "words_arabic": "اَوَ لَا/أَوَلَا/awala//یَذْكُرُ/يَذۡكُرُ/yadhkuru//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اَنَّا/أَنَّا/anna//خَلَقْنٰهُ/خَلَقۡنَٰهُ/khalaqnahu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ لَمْ/وَلَمۡ/walam//یَكُ/يَكُ/yaku//شَیْـًٔا /شَيۡـٔٗا/shayan",
              "words_bangla": "কি না//স্মরণ করে//মানুষ//যে আমরা//তাকে আমরা সৃষ্টি করেছি//থেকে//ইতিপূর্ব//যখন না//সে ছিলো//কোন কিছুই"
            },
            {
              "number": 2318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2318.mp3"
              ],
              "text": "فَوَرَبِّكَ لَنَحْشُرَنَّهُمْ وَٱلشَّيَٰطِينَ ثُمَّ لَنُحْضِرَنَّهُمْ حَوْلَ جَهَنَّمَ جِثِيًّۭا",
              "translate_bn": "সুতরাং আপনার পালনকর্তার কসম, আমি অবশ্যই তাদেরকে এবং শয়তানদেরকে একত্রে সমবেত করব, অতঃপর অবশ্যই তাদেরকে নতজানু অবস্থায় জাহান্নামের চারপাশে উপস্থিত করব।",
              "numberInSurah": 68,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ফাওয়ারাব্বিকা লানাহশুরান্নাহুম ওয়াশশায়া-তীনা ছু ম্মা লানুহদিরান্নাহুম হাওলা জাহান্নামা জিছিইইয়া-।",
              "words_arabic": "فَوَرَبِّكَ/فَوَرَبِّكَ/fawarabbika//لَنَحْشُرَنَّهُمْ/لَنَحۡشُرَنَّهُمۡ/lanahshurannahum//وَ الشَّیٰطِیْنَ/وَٱلشَّيَٰطِينَ/wal-shayatina//ثُمَّ/ثُمَّ/thumma//لَنُحْضِرَنَّهُمْ/لَنُحۡضِرَنَّهُمۡ/lanuh'dirannahum//حَوْلَ/حَوۡلَ/hawla//جَهَنَّمَ/جَهَنَّمَ/jahannama//جِثِیًّاۚ/جِثِيّٗا/jithiyyan",
              "words_bangla": "সুতরাং শপথ তোমার রবের//অবশ্যই তাদের জড়ো করবো আমরা//এবং শয়তানদেরকেও//এরপর//অবশ্যই তাদের উপস্থিত করবো আমরা//চারদিকে//জাহান্নামের//নতজানু অবস্থায়"
            },
            {
              "number": 2319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2319.mp3"
              ],
              "text": "ثُمَّ لَنَنزِعَنَّ مِن كُلِّ شِيعَةٍ أَيُّهُمْ أَشَدُّ عَلَى ٱلرَّحْمَٰنِ عِتِيًّۭا",
              "translate_bn": "অতঃপর প্রত্যেক সম্প্রদায়ের মধ্যে যে দয়াময় আল্লাহর সর্বাধিক অবাধ্য আমি অবশ্যই তাকে পৃথক করে নেব।",
              "numberInSurah": 69,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লানানঝি‘আন্না মিন কুল্লি শী‘আতিন আইয়ুহুম আশাদ্দু‘আলার রাহমা-নি ‘ইতিইইয়া-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَنَنْزِعَنَّ/لَنَنزِعَنَّ/lananzi'anna//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شِیْعَةٍ/شِيعَةٍ/shi'atin//اَیُّهُمْ/أَيُّهُمۡ/ayyuhum//اَشَدُّ/أَشَدُّ/ashaddu//عَلَی/عَلَى/ala//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//عِتِیًّاۚ/عِتِيّٗا/itiyyan",
              "words_bangla": "এরপর//অবশ্যই আমরা টেনে বের করবো//মধ্য হতে//প্রত্যেক বিষয়ে//দলের//তাদের কোন (ব্যক্তি)//সর্বাধিক//প্রতি//দয়াময়ের//অবাধ্য"
            },
            {
              "number": 2320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2320.mp3"
              ],
              "text": "ثُمَّ لَنَحْنُ أَعْلَمُ بِٱلَّذِينَ هُمْ أَوْلَىٰ بِهَا صِلِيًّۭا",
              "translate_bn": "অতঃপর তাদের মধ্যে যারা জাহান্নামে প্রবেশের অধিক যোগ্য, আমি তাদের বিষয়ে ভালোভাবে জ্ঞাত আছি।",
              "numberInSurah": 70,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লানাহনুআ‘লামুবিল্লাযীনা হুম আওলা-বিহা-সিলিইইয়া-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَنَحْنُ/لَنَحۡنُ/lanahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//هُمْ/هُمۡ/hum//اَوْلٰی/أَوۡلَىٰ/awla//بِهَا/بِهَا/biha//صِلِیًّا /صِلِيّٗا/siliyyan",
              "words_bangla": "এরপর//অবশ্যই আমরা//খুব জানি//তাদের//যারা//অধিকতর যোগ্য//তাঁতে//প্রবেশের (জন্যে)"
            },
            {
              "number": 2321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2321.mp3"
              ],
              "text": "وَإِن مِّنكُمْ إِلَّا وَارِدُهَا ۚ كَانَ عَلَىٰ رَبِّكَ حَتْمًۭا مَّقْضِيًّۭا",
              "translate_bn": "তোমাদের মধ্যে এমন কেউ নেই যে তথায় পৌছবে না। এটা আপনার পালনকর্তার অনিবার্য ফায়সালা।",
              "numberInSurah": 71,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম মিনকুম ইল্লা-ওয়া-রিদুহা- কা-না ‘আলা-রাব্বিকা হাতমাম মাকদিইইয়া-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//مِّنْكُمْ/مِّنكُمۡ/minkum//اِلَّا/إِلَّا/illa//وَارِدُهَا ۚ/وَارِدُهَاۚ/wariduha//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//رَبِّكَ/رَبِّكَ/rabbika//حَتْمًا/حَتۡمٗا/hatman//مَّقْضِیًّاۚ/مَّقۡضِيّٗا/maqdiyyan",
              "words_bangla": "এবং নেই//তোমাদের মধ্যে কেউ//এ ছাড়া//অতিক্রমকারী তা//(এটা) হলো//কাছে//তোমার রবের//চুড়ান্ত//অনিবার্য"
            },
            {
              "number": 2322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2322.mp3"
              ],
              "text": "ثُمَّ نُنَجِّى ٱلَّذِينَ ٱتَّقَوا۟ وَّنَذَرُ ٱلظَّٰلِمِينَ فِيهَا جِثِيًّۭا",
              "translate_bn": "অতঃপর আমি পরহেযগারদেরকে উদ্ধার করব এবং জালেমদেরকে সেখানে নতজানু অবস্থায় ছেড়ে দেব।",
              "numberInSurah": 72,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা নুনাজজিল্লাযীনাততাকাওঁ ওয়া নাযারুজ্জা-লিমীনা ফীহা-জিছিইইয়া-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//نُنَجِّی/نُنَجِّي/nunajji//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَواْ/ittaqaw//وَّ نَذَرُ/وَّنَذَرُ/wanadharu//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//فِیْهَا/فِيهَا/fiha//جِثِیًّا /جِثِيّٗا/jithiyyan",
              "words_bangla": "এরপর//উদ্ধার করবো আমরা//(তাদেরকে) যারা//তাকওয়া অবলম্বন করেছে//ও রেখে দিবো আমরা//সীমালঙ্ঘনকারীদেরকে//তার মধ্যে//নতজানু অবস্থায়"
            },
            {
              "number": 2323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2323.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا بَيِّنَٰتٍۢ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوٓا۟ أَىُّ ٱلْفَرِيقَيْنِ خَيْرٌۭ مَّقَامًۭا وَأَحْسَنُ نَدِيًّۭا",
              "translate_bn": "যখন তাদের কাছে আমার সুস্পষ্ট আয়াতসমূহ তেলাওয়াত করা হয়, তখন কাফেররা মুমিনদেরকে বলেঃ দুই দলের মধ্যে কোনটি মর্তবায় শ্রেষ্ঠ এবং কার মজলিস উত্তম?",
              "numberInSurah": 73,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিন কা-লাল্লাযীনা কাফারূলিল্লাযীনা আ-মানূ আইয়ুল ফারীকাইনি খাইরুম মাকা-মাওঁ ওয়া আহছানুনাদিইইয়া-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْۤا ۙ/ءَامَنُوٓاْ/amanu//اَیُّ/أَيُّ/ayyu//الْفَرِیْقَیْنِ/ٱلۡفَرِيقَيۡنِ/al-fariqayni//خَیْرٌ/خَيۡرٞ/khayrun//مَّقَامًا/مَّقَامٗا/maqaman//وَّ اَحْسَنُ/وَأَحۡسَنُ/wa-ahsanu//نَدِیًّا /نَدِيّٗا/nadiyyan",
              "words_bangla": "এবং যখন//আবৃত্তি করা হয়//তাদের কাছে//আমাদের আয়াতসমূহ//সুস্পষ্ট//বলে//যারা//অস্বীকার করেছে//(তাদের) কে যারা//ঈমান এনেছে//\"কোনটি//দু'দলের//উত্তম//মর্যাদায়//ও শ্রেষ্ঠতর (জাগজমকপূর্ণ)//সমাজ হিসেবে\""
            },
            {
              "number": 2324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2324.mp3"
              ],
              "text": "وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هُمْ أَحْسَنُ أَثَٰثًۭا وَرِءْيًۭا",
              "translate_bn": "তাদের পূর্বে কত মানব গোষ্ঠীকে আমি বিনাশ করেছি, তারা তাদের চাইতে সম্পদে ও জাঁক-জমকে শ্রেষ্ঠ ছিল।",
              "numberInSurah": 74,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাম আহলাকনা-কাবলাহুম মিন কারনিনহুম আহছানুআছা-ছাওঁ ওয়ারি’য়া-।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنْ/مِّن/min//قَرْنٍ/قَرۡنٍ/qarnin//هُمْ/هُمۡ/hum//اَحْسَنُ/أَحۡسَنُ/ahsanu//اَثَاثًا/أَثَٰثٗا/athathan//وَّ رِءْیًا /وَرِءۡيٗا/wari'yan",
              "words_bangla": "এবং কতই (না)//আমরা ধ্বংস করেছি//তাদের পূর্বে//কিছু//মানবগোষ্ঠিকে//তারা//(ছিলো) উত্তম//সম্পদে (সাজ সরঞ্জামে)//এবং (চাকচিক্যে) বাহ্যদৃষ্টিতে"
            },
            {
              "number": 2325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2325.mp3"
              ],
              "text": "قُلْ مَن كَانَ فِى ٱلضَّلَٰلَةِ فَلْيَمْدُدْ لَهُ ٱلرَّحْمَٰنُ مَدًّا ۚ حَتَّىٰٓ إِذَا رَأَوْا۟ مَا يُوعَدُونَ إِمَّا ٱلْعَذَابَ وَإِمَّا ٱلسَّاعَةَ فَسَيَعْلَمُونَ مَنْ هُوَ شَرٌّۭ مَّكَانًۭا وَأَضْعَفُ جُندًۭا",
              "translate_bn": "বলুন, যারা পথভ্রষ্টতায় আছে, দয়াময় আল্লাহ তাদেরকে যথেষ্ট অবকাশ দেবেন; এমনকি অবশেষে তারা প্রত্যক্ষ করবে যে বিষয়ে তাদেরকে ওয়াদা দেয়া হচ্ছে, তা আযাব হোক অথবা কেয়ামতই হোক। সুতরাং তখন তারা জানতে পারবে কে মর্তবায় নিকৃষ্ট ও দলবলে দূর্বল।",
              "numberInSurah": 75,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "কুল মান কা-না ফিদ্দালা-লাতি ফালইয়ামদুদ লাহুর রাহমা-নুমাদ্দান হাত্তাইযারাআও মা-ইউ‘আদূ না ইম্মাল ‘আযা-বা ওয়া ইম্মাছছা-‘আতা ফাছাইয়া‘লামূনা মান হুওয়া শাররুম মাকা-নাওঁ ওয়া আদ‘আফুজুনদা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//كَانَ/كَانَ/kana//فِی/فِي/fi//الضَّلٰلَةِ/ٱلضَّلَٰلَةِ/al-dalalati//فَلْیَمْدُدْ/فَلۡيَمۡدُدۡ/falyamdud//لَهُ/لَهُ/lahu//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//مَدًّا ۚ۬/مَدًّاۚ/maddan//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//رَاَوْا/رَأَوۡاْ/ra-aw//مَا/مَا/ma//یُوْعَدُوْنَ/يُوعَدُونَ/yu'aduna//اِمَّا/إِمَّا/imma//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//وَ اِمَّا/وَإِمَّا/wa-imma//السَّاعَةَ ؕ/ٱلسَّاعَةَ/al-sa'ata//فَسَیَعْلَمُوْنَ/فَسَيَعۡلَمُونَ/fasaya'lamuna//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//شَرٌّ/شَرّٞ/sharrun//مَّكَانًا/مَّكَانٗا/makanan//وَّ اَضْعَفُ/وَأَضۡعَفُ/wa-ad'afu//جُنْدًا /جُندٗا/jundan",
              "words_bangla": "বলো//\"যে//হবে//মধ্যে//বিভ্রান্তির//সেক্ষেত্রে অবকাশ  দিবেন//তার জন্য//দয়াময়//(অনেক) অবকাশ//শেষ পর্যন্ত//যখন//তারা দেখবে//যা//তাদের প্রতিশ্রুতি দেয়া হয়েছে//হয়//শাস্তি//আর না হয়//ক্বিয়ামাতের সময়//অচিরেই তখন তারা জানবে//কে//সে//নিকৃষ্ট//মর্যাদায়//ও দুর্বলতর//দলবলে (সৈন্য সামন্তে)\""
            },
            {
              "number": 2326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2326.mp3"
              ],
              "text": "وَيَزِيدُ ٱللَّهُ ٱلَّذِينَ ٱهْتَدَوْا۟ هُدًۭى ۗ وَٱلْبَٰقِيَٰتُ ٱلصَّٰلِحَٰتُ خَيْرٌ عِندَ رَبِّكَ ثَوَابًۭا وَخَيْرٌۭ مَّرَدًّا",
              "translate_bn": "যারা সৎপথে চলে আল্লাহ তাদের পথপ্রাপ্তি বৃদ্ধি করেন এবং স্থায়ী সৎকর্মসমূহ তোমার পালনকর্তার কাছে সওয়াবের দিক দিয়ে শ্রেষ্ঠ এবং প্রতিদান হিসেবেও শ্রেষ্ট।",
              "numberInSurah": 76,
              "juz": 16,
              "manzil": 4,
              "page": 310,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াঝীদুল্লা-হু ল্লাযী নাহতাদাও হুদাওঁ ওয়াল বা-কিয়া-তুসসা-লিহা-তুখাইরুন ‘ইনদা রাব্বিকা ছাওয়া-বাও ওয়াখাইরুম মারাদ্দা-।",
              "words_arabic": "وَ یَزِیْدُ/وَيَزِيدُ/wayazidu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اهْتَدَوْا/ٱهۡتَدَوۡاْ/ih'tadaw//هُدًی ؕ/هُدٗىۗ/hudan//وَ الْبٰقِیٰتُ/وَٱلۡبَٰقِيَٰتُ/wal-baqiyatu//الصّٰلِحٰتُ/ٱلصَّـٰلِحَٰتُ/al-salihatu//خَیْرٌ/خَيۡرٌ/khayrun//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//ثَوَابًا/ثَوَابٗا/thawaban//وَّ خَیْرٌ/وَخَيۡرٞ/wakhayrun//مَّرَدًّا /مَّرَدًّا/maraddan",
              "words_bangla": "এবং বাড়িয়ে দেন//আল্লাহ্‌//(তাদের) যারা//সঠিক পথে চলে//(অধিক) পথ নির্দেশ//এবং স্থায়ী//সৎকর্মসমূহ//উত্তম//কাছে//তোমার রবের//পুরস্কার প্রাপ্তিতে//ও উত্তম//প্রতিদান হিসাবে"
            },
            {
              "number": 2327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2327.mp3"
              ],
              "text": "أَفَرَءَيْتَ ٱلَّذِى كَفَرَ بِـَٔايَٰتِنَا وَقَالَ لَأُوتَيَنَّ مَالًۭا وَوَلَدًا",
              "translate_bn": "আপনি কি তাকে লক্ষ্য করেছেন যে, আমার নিদর্শনাবলীতে বিশ্বাস করে না এবং বলেঃ আমাকে অর্থ-সম্পদ ও সন্তান-সন্ততি অবশ্যই দেয়া হবে।",
              "numberInSurah": 77,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতাল্লাযী কাফারা বিআ-য়া-তিনা-ওয়াকা-লা লাঊতাইয়ান্না মা-লাওঁ ওয়া ওয়ালাদা-।",
              "words_arabic": "اَفَرَءَیْتَ/أَفَرَءَيۡتَ/afara-ayta//الَّذِیْ/ٱلَّذِي/alladhi//كَفَرَ/كَفَرَ/kafara//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ قَالَ/وَقَالَ/waqala//لَاُوْتَیَنَّ/لَأُوتَيَنَّ/lautayanna//مَالًا/مَالٗا/malan//وَّ وَلَدًاؕ/وَوَلَدًا/wawaladan",
              "words_bangla": "কি তুমি দেখেছো//যে//অস্বীকার করেছে//সঙ্গে আমাদের নিদর্শনগুলোর//এবং বলে//\"আমাকে অবশ্যই দেয়া হবেই//ধন-সম্পদ//ও সন্তান\""
            },
            {
              "number": 2328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2328.mp3"
              ],
              "text": "أَطَّلَعَ ٱلْغَيْبَ أَمِ ٱتَّخَذَ عِندَ ٱلرَّحْمَٰنِ عَهْدًۭا",
              "translate_bn": "সে কি অদৃশ্য বিষয় জেনে ফেলেছে, অথবা দয়াময় আল্লাহর নিকট থেকে কোন প্রতিশ্রুতি প্রাপ্ত হয়েছে?",
              "numberInSurah": 78,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "আততালা‘আল গাইবা আমিত্তাখাযা ‘ইনদার রাহমা-নি ‘আহদা-।",
              "words_arabic": "اَطَّلَعَ/أَطَّلَعَ/attala'a//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//اَمِ/أَمِ/ami//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//عِنْدَ/عِندَ/inda//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//عَهْدًاۙ/عَهۡدٗا/ahdan",
              "words_bangla": "কি সে অবহিত হয়েছে//অদৃশ্য সম্পর্কে//অথবা//গ্রহণ করেছে (কি)//নিকট থেকে//দয়াময়ের//প্রতিশ্রুতি"
            },
            {
              "number": 2329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2329.mp3"
              ],
              "text": "كَلَّا ۚ سَنَكْتُبُ مَا يَقُولُ وَنَمُدُّ لَهُۥ مِنَ ٱلْعَذَابِ مَدًّۭا",
              "translate_bn": "না, এটা ঠিক নয়। সে যা বলে আমি তা লিখে রাখব এবং তার শাস্তি দীর্ঘায়িত করতে থাকব।",
              "numberInSurah": 79,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "কাল্লা- ছানাকতুবুমা-ইয়াকূলুওয়ানামুদ্দুলাহূমিনাল ‘আযা-বি মাদ্দা-।",
              "words_arabic": "كَلَّا ؕ/كَلَّاۚ/kalla//سَنَكْتُبُ/سَنَكۡتُبُ/sanaktubu//مَا/مَا/ma//یَقُوْلُ/يَقُولُ/yaqulu//وَ نَمُدُّ/وَنَمُدُّ/wanamuddu//لَهٗ/لَهُۥ/lahu//مِنَ/مِنَ/mina//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//مَدًّاۙ/مَدّٗا/maddan",
              "words_bangla": "কখনও না//অচিরেই লিখবো আমরা//যা//সে বলছে//এবং বাড়িয়ে দিবো আমরা//তার জন্য//থেকে//শাস্তি//(অধিক মাত্রায়) বাড়ান"
            },
            {
              "number": 2330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2330.mp3"
              ],
              "text": "وَنَرِثُهُۥ مَا يَقُولُ وَيَأْتِينَا فَرْدًۭا",
              "translate_bn": "সে যা বলে, মৃত্যুর পর আমি তা নিয়ে নেব এবং সে আমার কাছে আসবে একাকী।",
              "numberInSurah": 80,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া নারিছুহূমা-ইয়াকূ লুওয়া ইয়া’তীনা-ফারদা-।",
              "words_arabic": "وَّ نَرِثُهٗ/وَنَرِثُهُۥ/wanarithuhu//مَا/مَا/ma//یَقُوْلُ/يَقُولُ/yaqulu//وَ یَاْتِیْنَا/وَيَأۡتِينَا/wayatina//فَرْدًا /فَرۡدٗا/fardan",
              "words_bangla": "এবং আমরা তার অধিকারী হবো//যা কিছু//সে বলছে//এবং আমার কাছে সে আসবে//একাকী"
            },
            {
              "number": 2331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2331.mp3"
              ],
              "text": "وَٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ ءَالِهَةًۭ لِّيَكُونُوا۟ لَهُمْ عِزًّۭا",
              "translate_bn": "তারা আল্লাহ ব্যতীত অন্যান্য ইলাহ গ্রহণ করেছে, যাতে তারা তাদের জন্যে সাহায্যকারী হয়।",
              "numberInSurah": 81,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাখাযূমিন দূনিল্লা-হি আ-লিহাতাল লিইয়াকূনূলাহুম ‘ইঝঝা-।",
              "words_arabic": "وَ اتَّخَذُوْا/وَٱتَّخَذُواْ/wa-ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اٰلِهَةً/ءَالِهَةٗ/alihatan//لِّیَكُوْنُوْا/لِّيَكُونُواْ/liyakunu//لَهُمْ/لَهُمۡ/lahum//عِزًّاۙ/عِزّٗا/izzan",
              "words_bangla": "এবং তারা গ্রহণ করেছে//মধ্য হতে//ছাড়া//আল্লাহ্‌//ইলাহ (অন্য)//যেন তারা হয়//তাদের জন্য//সহায়ক (শক্তি)"
            },
            {
              "number": 2332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2332.mp3"
              ],
              "text": "كَلَّا ۚ سَيَكْفُرُونَ بِعِبَادَتِهِمْ وَيَكُونُونَ عَلَيْهِمْ ضِدًّا",
              "translate_bn": "কখনই নয়, তারা তাদের এবাদত অস্বীকার করবে এবং তাদের বিপক্ষে চলে যাবে।",
              "numberInSurah": 82,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 268,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "কাল্লা- ছাইয়াকফুরূনা বি‘ইবা-দাতিহিম ওয়া ইয়াকূনূনা ‘আলাইহিম দিদ্দা-।",
              "words_arabic": "كَلَّا ؕ/كَلَّاۚ/kalla//سَیَكْفُرُوْنَ/سَيَكۡفُرُونَ/sayakfuruna//بِعِبَادَتِهِمْ/بِعِبَادَتِهِمۡ/bi'ibadatihim//وَ یَكُوْنُوْنَ/وَيَكُونُونَ/wayakununa//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ضِدًّا۠/ضِدًّا/diddan",
              "words_bangla": "কখনও না//অচিরেই তারা অস্বীকার করবে//তাদের উপাসনা সম্পর্কে//এবং তারা হবে//তাদের ব্যাপারে//(তাদের দাবীর) বিরোধী"
            },
            {
              "number": 2333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2333.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّآ أَرْسَلْنَا ٱلشَّيَٰطِينَ عَلَى ٱلْكَٰفِرِينَ تَؤُزُّهُمْ أَزًّۭا",
              "translate_bn": "আপনি কি লক্ষ্য করেননি যে, আমি কাফেরদের উপর শয়তানদেরকে ছেড়ে দিয়েছি। তারা তাদেরকে বিশেষভাবে (মন্দকর্মে) উৎসাহিত করে।",
              "numberInSurah": 83,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাআরছালনাশশাইয়া-তীনা ‘আলাল কা-ফিরীনা তাউঝঝুহুম আঝঝা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّاۤ/أَنَّآ/anna//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//الشَّیٰطِیْنَ/ٱلشَّيَٰطِينَ/al-shayatina//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//تَؤُزُّهُمْ/تَؤُزُّهُمۡ/ta-uzzuhum//اَزًّاۙ/أَزّٗا/azzan",
              "words_bangla": "নি কি//তুমি লক্ষ্য করো//যে আমরা//আমরা পাঠিয়েছি//শয়তানদেরকে//কাছে//কাফিরদের//তাদেরকে উদ্বুদ্ধ করে//(বেশী বেশী) উদ্বুদ্ধ"
            },
            {
              "number": 2334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2334.mp3"
              ],
              "text": "فَلَا تَعْجَلْ عَلَيْهِمْ ۖ إِنَّمَا نَعُدُّ لَهُمْ عَدًّۭا",
              "translate_bn": "সুতরাং তাদের ব্যাপারে আপনি তাড়াহুড়া করবেন না। আমি তো তাদের গণনা পূর্ণ করছি মাত্র।",
              "numberInSurah": 84,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ফালা-তা‘জাল ‘আলাইহিম ইন্নামা-না‘উদ্দুলাহুম ‘আদ্দা-।",
              "words_arabic": "فَلَا/فَلَا/fala//تَعْجَلْ/تَعۡجَلۡ/ta'jal//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۖ/alayhim//اِنَّمَا/إِنَّمَا/innama//نَعُدُّ/نَعُدُّ/na'uddu//لَهُمْ/لَهُمۡ/lahum//عَدًّاۚ/عَدّٗا/addan",
              "words_bangla": "অতএব না//তাড়াতাড়ি করো//তাদের ব্যাপারে//মুলতঃ//গণনা করছি আমরা//তাদের জন্য//(যথাযথ) গণনা"
            },
            {
              "number": 2335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2335.mp3"
              ],
              "text": "يَوْمَ نَحْشُرُ ٱلْمُتَّقِينَ إِلَى ٱلرَّحْمَٰنِ وَفْدًۭا",
              "translate_bn": "সেদিন দয়াময়ের কাছে পরহেযগারদেরকে অতিথিরূপে সমবেত করব,",
              "numberInSurah": 85,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা নাহশুরুল মুত্তাকীনা ইলাররাহমা-নি ওয়াফদা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//نَحْشُرُ/نَحۡشُرُ/nahshuru//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//اِلَی/إِلَى/ila//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//وَفْدًاۙ/وَفۡدٗا/wafdan",
              "words_bangla": "সে দিন//সমবেত করবো আমরা//মুত্তাকীদেরকে//কাছে//দয়াময়ের//অতিথি  হিসেবে"
            },
            {
              "number": 2336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2336.mp3"
              ],
              "text": "وَنَسُوقُ ٱلْمُجْرِمِينَ إِلَىٰ جَهَنَّمَ وِرْدًۭا",
              "translate_bn": "এবং অপরাধীদেরকে পিপাসার্ত অবস্থায় জাহান্নামের দিকে হাঁকিয়ে নিয়ে যাব।",
              "numberInSurah": 86,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাছূকুল মুজরিমীনা ইলা-জাহান্নামা বিরদা-।",
              "words_arabic": "وَّ نَسُوْقُ/وَنَسُوقُ/wanasuqu//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//اِلٰی/إِلَىٰ/ila//جَهَنَّمَ/جَهَنَّمَ/jahannama//وِرْدًاۘ/وِرۡدٗا/wir'dan",
              "words_bangla": "এবং তাড়িয়ে নিয়ে যাবো আমরা//অপরাধীদেরকে//দিকে//জাহান্নামের//তৃষ্ণার্ত অবস্থায়"
            },
            {
              "number": 2337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2337.mp3"
              ],
              "text": "لَّا يَمْلِكُونَ ٱلشَّفَٰعَةَ إِلَّا مَنِ ٱتَّخَذَ عِندَ ٱلرَّحْمَٰنِ عَهْدًۭا",
              "translate_bn": "যে দয়াময় আল্লাহর কাছ থেকে প্রতিশ্রুতি গ্রহণ করেছে, সে ব্যতীত আর কেউ সুপারিশ করার অধিকারী হবে না।",
              "numberInSurah": 87,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়ামলিকূনাশশাফা-‘আতা ইল্লা-মানিত তাখাযা ‘ইনদাররাহমা-নি ‘আহদা-।",
              "words_arabic": "لَا/لَّا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//الشَّفَاعَةَ/ٱلشَّفَٰعَةَ/al-shafa'ata//اِلَّا/إِلَّا/illa//مَنِ/مَنِ/mani//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//عِنْدَ/عِندَ/inda//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//عَهْدًاۘ/عَهۡدٗا/ahdan",
              "words_bangla": "না//তারা সক্ষম হবে//সুপারিশ করার//ছাড়া//(সে)  যে//গ্রহণ করেছে//নিকট হ'তে//দয়াময়ের//প্রতিশ্রুতি"
            },
            {
              "number": 2338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2338.mp3"
              ],
              "text": "وَقَالُوا۟ ٱتَّخَذَ ٱلرَّحْمَٰنُ وَلَدًۭا",
              "translate_bn": "তারা বলেঃ দয়াময় আল্লাহ সন্তান গ্রহণ করেছেন।",
              "numberInSurah": 88,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লুত তাখাযার রাহমা-নুওয়ালাদা-।",
              "words_arabic": "وَ قَالُوا/وَقَالُواْ/waqalu//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وَلَدًاؕ/وَلَدٗا/waladan",
              "words_bangla": "এবং তারা বলে//\"গ্রহণ করেছেন//দয়াময়//পুত্র\""
            },
            {
              "number": 2339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2339.mp3"
              ],
              "text": "لَّقَدْ جِئْتُمْ شَيْـًٔا إِدًّۭا",
              "translate_bn": "নিশ্চয় তোমরা তো এক অদ্ভুত কান্ড করেছ।",
              "numberInSurah": 89,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "লাকাদ জি’তুম শাইআন ইদ্দা-।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//جِئْتُمْ/جِئۡتُمۡ/ji'tum//شَیْـًٔا/شَيۡـًٔا/shayan//اِدًّاۙ/إِدّٗا/iddan",
              "words_bangla": "নিশ্চয়ই//তোমরা এনেছো//কিছু (কথা)//জঘন্য"
            },
            {
              "number": 2340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2340.mp3"
              ],
              "text": "تَكَادُ ٱلسَّمَٰوَٰتُ يَتَفَطَّرْنَ مِنْهُ وَتَنشَقُّ ٱلْأَرْضُ وَتَخِرُّ ٱلْجِبَالُ هَدًّا",
              "translate_bn": "হয় তো এর কারণেই এখনই নভোমন্ডল ফেটে পড়বে, পৃথিবী খন্ড-বিখন্ড হবে এবং পর্বতমালা চূর্ণ-বিচুর্ণ হবে।",
              "numberInSurah": 90,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "তাকা-দুছছামা-ওয়া-তুইয়াতাফাততারনা মিনহু ওয়া তানশাক্কুলআরদুওয়া তাখিররুল জিবা-লুহাদ্দা-।",
              "words_arabic": "تَكَادُ/تَكَادُ/takadu//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//یَتَفَطَّرْنَ/يَتَفَطَّرۡنَ/yatafattarna//مِنْهُ/مِنۡهُ/min'hu//وَ تَنْشَقُّ/وَتَنشَقُّ/watanshaqqu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ تَخِرُّ/وَتَخِرُّ/watakhirru//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//هَدًّاۙ/هَدًّا/haddan",
              "words_bangla": "উপক্রম হয়েছে//আকাশমণ্ডলী//বিদীর্ণ হওয়ার//তার কারণে//ও খন্ড-বিখন্ড হবে//পৃথিবী//এবং পতিত হবে//পাহাড়সমূহ//চূর্ণ-বিচূর্ণ হয়ে"
            },
            {
              "number": 2341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2341.mp3"
              ],
              "text": "أَن دَعَوْا۟ لِلرَّحْمَٰنِ وَلَدًۭا",
              "translate_bn": "এ কারণে যে, তারা দয়াময় আল্লাহর জন্যে সন্তান আহবান করে।",
              "numberInSurah": 91,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "আন দা‘আও লিররাহমা-নি ওয়ালাদা-।",
              "words_arabic": "اَنْ/أَن/an//دَعَوْا/دَعَوۡاْ/da'aw//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//وَلَدًاۚ/وَلَدٗا/waladan",
              "words_bangla": "(এ কারণে) যে//দাবী করছে//দয়াময়ের জন্যে//পুত্র"
            },
            {
              "number": 2342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2342.mp3"
              ],
              "text": "وَمَا يَنۢبَغِى لِلرَّحْمَٰنِ أَن يَتَّخِذَ وَلَدًا",
              "translate_bn": "অথচ সন্তান গ্রহণ করা দয়াময়ের জন্য শোভনীয় নয়।",
              "numberInSurah": 92,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়ামবাগী লির রাহমা-নি আইঁ ইয়াত্তাখিযা ওয়ালাদা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//اَنْ/أَن/an//یَّتَّخِذَ/يَتَّخِذَ/yattakhidha//وَلَدًاؕ/وَلَدًا/waladan",
              "words_bangla": "অথচ না//শোভা পায়//দয়াময়ের জন্য//যে//তিনি গ্রহণ করবেন//পুত্র"
            },
            {
              "number": 2343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2343.mp3"
              ],
              "text": "إِن كُلُّ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ إِلَّآ ءَاتِى ٱلرَّحْمَٰنِ عَبْدًۭا",
              "translate_bn": "নভোমন্ডল ও ভূ-মন্ডলে কেউ নেই যে, দয়াময় আল্লাহর কাছে দাস হয়ে উপস্থিত হবে না।",
              "numberInSurah": 93,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ইন কুল্লুমান ফিছছামা-ওয়া-তি ওয়াল আরদিইল্লাআ-তির রাহমা-নি ‘আবদা-।",
              "words_arabic": "اِنْ/إِن/in//كُلُّ/كُلُّ/kullu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//اِلَّاۤ/إِلَّآ/illa//اٰتِی/ءَاتِي/ati//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//عَبْدًاؕ/عَبۡدٗا/abdan",
              "words_bangla": "নেই//(এমন) কেউ//যা কিছু//মধ্যে আছে//আকাশমন্ডলীর//ও পৃথিবীর//এ ছাড়া যে//উপস্থিত হবে//দয়াময়ের কাছে//দাসরূপে"
            },
            {
              "number": 2344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2344.mp3"
              ],
              "text": "لَّقَدْ أَحْصَىٰهُمْ وَعَدَّهُمْ عَدًّۭا",
              "translate_bn": "তাঁর কাছে তাদের পরিসংখ্যান রয়েছে এবং তিনি তাদেরকে গণনা করে রেখেছেন।",
              "numberInSurah": 94,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আহসা-হুম ওয়া ‘আদ্দাহুম ‘আদ্দা-।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//اَحْصٰىهُمْ/أَحۡصَىٰهُمۡ/ahsahum//وَ عَدَّهُمْ/وَعَدَّهُمۡ/wa'addahum//عَدًّاؕ/عَدّٗا/addan",
              "words_bangla": "নিশ্চয়ই//তাদেরকে ঘিরে রেখেছেন তিনি//ও গুনে রেখেছেন তাদেরকে//গণনা করে"
            },
            {
              "number": 2345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2345.mp3"
              ],
              "text": "وَكُلُّهُمْ ءَاتِيهِ يَوْمَ ٱلْقِيَٰمَةِ فَرْدًا",
              "translate_bn": "কেয়ামতের দিন তাদের সবাই তাঁর কাছে একাকী অবস্থায় আসবে।",
              "numberInSurah": 95,
              "juz": 16,
              "manzil": 4,
              "page": 311,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লুহুম আ-তীহি ইয়াওমাল কিয়া-মাতি ফারদা-।",
              "words_arabic": "وَ كُلُّهُمْ/وَكُلُّهُمۡ/wakulluhum//اٰتِیْهِ/ءَاتِيهِ/atihi//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فَرْدًا /فَرۡدًا/fardan",
              "words_bangla": "তাদের সকলে//তাঁর কাছে আসবে//দিনে//ক্বিয়ামাতের//একাকী"
            },
            {
              "number": 2346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2346.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ سَيَجْعَلُ لَهُمُ ٱلرَّحْمَٰنُ وُدًّۭا",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম সম্পাদন করে, তাদেরকে দয়াময় আল্লাহ ভালবাসা দেবেন।",
              "numberInSurah": 96,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ছাইয়াজ‘আলুলাহুমুর রাহমা-নুউদ্দা-।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//سَیَجْعَلُ/سَيَجۡعَلُ/sayaj'alu//لَهُمُ/لَهُمُ/lahumu//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وُدًّا /وُدّٗا/wuddan",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//অচিরেই সৃষ্টি করবেন (মানুষের মনে)//তাদের জন্য//দয়াময়//ভালবাসা"
            },
            {
              "number": 2347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2347.mp3"
              ],
              "text": "فَإِنَّمَا يَسَّرْنَٰهُ بِلِسَانِكَ لِتُبَشِّرَ بِهِ ٱلْمُتَّقِينَ وَتُنذِرَ بِهِۦ قَوْمًۭا لُّدًّۭا",
              "translate_bn": "আমি কোরআনকে আপনার ভাষায় সহজ করে দিয়েছি, যাতে আপনি এর দ্বারা পরহেযগারদেরকে সুসংবাদ দেন এবং কলহকারী সম্প্রদায়কে সতর্ক করেন।",
              "numberInSurah": 97,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নামা-ইয়াছছারনা-হুবিলিছা-নিকা লিতুবাশশিরা বিহিল মুত্তাকীনা ওয়া তুনযিরা বিহী কাওমাল লুদ্দা-।\r\n",
              "words_arabic": "فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَسَّرْنٰهُ/يَسَّرۡنَٰهُ/yassarnahu//بِلِسَانِكَ/بِلِسَانِكَ/bilisanika//لِتُبَشِّرَ/لِتُبَشِّرَ/litubashira//بِهِ/بِهِ/bihi//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//وَ تُنْذِرَ/وَتُنذِرَ/watundhira//بِهٖ/بِهِۦ/bihi//قَوْمًا/قَوۡمٗا/qawman//لُّدًّا /لُّدّٗا/luddan",
              "words_bangla": "সুতরাং প্রকৃতপক্ষে (হে নাবী)//তা আমরা সহজ করেছি//তোমার ভাষার মাধ্যমে//যেন তুমি সুসংবাদ দাও//তা দিয়ে//মুত্তাকীদেরকে//আর তুমি করো সতর্ক//তা দিয়ে//লোকদেরকে//(যারা) তর্কপ্রিয়"
            },
            {
              "number": 2348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2348.mp3"
              ],
              "text": "وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هَلْ تُحِسُّ مِنْهُم مِّنْ أَحَدٍ أَوْ تَسْمَعُ لَهُمْ رِكْزًۢا",
              "translate_bn": "তাদের পূর্বে আমি কত মানবগোষ্ঠীকে ধ্বংস করেছি। আপনি কি তাদের কাহারও সাড়া পান, অথবা তাদের ক্ষীনতম আওয়ায ও শুনতে পান?",
              "numberInSurah": 98,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 269,
              "hizbQuarter": 124,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাম আহলাকনা-কাবলাহুম মিন কারনিন হাল তুহিছছুমিনহুম মিন আহাদিন আও তাছমা‘ঊ লাহুম রিকঝা-।\r\n",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنْ/مِّن/min//قَرْنٍ ؕ/قَرۡنٍ/qarnin//هَلْ/هَلۡ/hal//تُحِسُّ/تُحِسُّ/tuhissu//مِنْهُمْ/مِنۡهُم/min'hum//مِّنْ/مِّنۡ/min//اَحَدٍ/أَحَدٍ/ahadin//اَوْ/أَوۡ/aw//تَسْمَعُ/تَسۡمَعُ/tasma'u//لَهُمْ/لَهُمۡ/lahum//رِكْزًا۠/رِكۡزَۢا/rik'zan",
              "words_bangla": "এবং কতই (না)//আমরা ধ্বংস করেছি//তাদের পূর্বে//হ'তে//মানবগোষ্ঠী//কি//অনুভব করো (কোন চিহ্ন)//তাদের মধ্য হ'তে//কোন//একজনের//অথবা//শুনতে পাও//তাদের থেকে//কোন ক্ষীণ শব্দও"
            }
          ]
        },
        {
          "number": 20,
          "name": "سُورَةُ طه",
          "englishName": "Taa-Haa",
          "englishNameTranslation": "Taa-Haa",
          "revelationType": "Meccan",
          "verse": 135,
          "words": 2830,
          "chars": 11608,
          "ayahs": [
            {
              "number": 2349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2349.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ طه",
              "translate_bn": "তোয়া-হা",
              "numberInSurah": 1,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "তা-হা-",
              "words_arabic": "طٰهٰۚ/طه/ta-ha",
              "words_bangla": "ত্বা-হা"
            },
            {
              "number": 2350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2350.mp3"
              ],
              "text": "مَآ أَنزَلْنَا عَلَيْكَ ٱلْقُرْءَانَ لِتَشْقَىٰٓ",
              "translate_bn": "আপনাকে ক্লেশ দেবার জন্য আমি আপনার প্রতি কোরআন অবতীর্ণ করিনি।",
              "numberInSurah": 2,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "মাআনঝালনা-‘আলাইকাল কুরআ-না লিতাশকা।",
              "words_arabic": "مَاۤ/مَآ/ma//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لِتَشْقٰۤیۙ/لِتَشۡقَىٰٓ/litashqa",
              "words_bangla": "না//আমরা অবতীর্ণ করেছি//তোমার উপর//(এই) কুরআন//তোমাকে কষ্ট দেওয়ার জন্যে"
            },
            {
              "number": 2351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2351.mp3"
              ],
              "text": "إِلَّا تَذْكِرَةًۭ لِّمَن يَخْشَىٰ",
              "translate_bn": "কিন্তু তাদেরই উপদেশের জন্য যারা ভয় করে।",
              "numberInSurah": 3,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-তাযকিরাতাল লিমাইঁইয়াখশা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//تَذْكِرَةً/تَذۡكِرَةٗ/tadhkiratan//لِّمَنْ/لِّمَن/liman//یَّخْشٰیۙ/يَخۡشَىٰ/yakhsha",
              "words_bangla": "কিন্তু//উপদেশ//( তার ) জন্যে যে//ভয় করে"
            },
            {
              "number": 2352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2352.mp3"
              ],
              "text": "تَنزِيلًۭا مِّمَّنْ خَلَقَ ٱلْأَرْضَ وَٱلسَّمَٰوَٰتِ ٱلْعُلَى",
              "translate_bn": "এটা তাঁর কাছ থেকে অবতীর্ণ, যিনি ভূমন্ডল ও সমুচ্চ নভোমন্ডল সৃষ্টি করেছেন।",
              "numberInSurah": 4,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "তানঝীলাম মিম্মান খালাকাল আরদা ওয়াছছামা-ওয়া-তিল ‘ঊলা-।",
              "words_arabic": "تَنْزِیْلًا/تَنزِيلٗا/tanzilan//مِّمَّنْ/مِّمَّنۡ/mimman//خَلَقَ/خَلَقَ/khalaqa//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ السَّمٰوٰتِ/وَٱلسَّمَٰوَٰتِ/wal-samawati//الْعُلٰیؕ/ٱلۡعُلَى/al-'ula",
              "words_bangla": "অবতীর্ণ করা ( হয়েছে )//তাঁর পক্ষ হ'তে//( যিনি ) সৃষ্টি করেছেন//পৃথিবীকে//ও আকাশমণ্ডলীকে//( যা ) সমুচ্চ"
            },
            {
              "number": 2353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2353.mp3"
              ],
              "text": "ٱلرَّحْمَٰنُ عَلَى ٱلْعَرْشِ ٱسْتَوَىٰ",
              "translate_bn": "তিনি পরম দয়াময়, আরশে সমাসীন হয়েছেন।",
              "numberInSurah": 5,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "আররাহমা-নু‘আলাল ‘আরশিছ তাওয়া-।",
              "words_arabic": "اَلرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//عَلَی/عَلَى/ala//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//اسْتَوٰی /ٱسۡتَوَىٰ/is'tawa",
              "words_bangla": "( তিনিই ) দয়াময়//যিনি উপর//আরশের//সমাসীন হয়েছেন"
            },
            {
              "number": 2354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2354.mp3"
              ],
              "text": "لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَمَا بَيْنَهُمَا وَمَا تَحْتَ ٱلثَّرَىٰ",
              "translate_bn": "নভোমন্ডলে, ভুমন্ডলে, এতদুভয়ের মধ্যবর্তী স্থানে এবং সিক্ত ভূগর্ভে যা আছে, তা তাঁরই।",
              "numberInSurah": 6,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "লাহূ মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়ামা- বাইনাহুমা- ওয়ামা তাহতাছছারা-।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//وَ مَا/وَمَا/wama//تَحْتَ/تَحۡتَ/tahta//الثَّرٰی /ٱلثَّرَىٰ/al-thara",
              "words_bangla": "তাঁরই ( মালিকানায় )//যা কিছু//মধ্যে আছে//আকাশমণ্ডলীর//ও যা কিছু//মধ্যে আছে//পৃথিবীর//এবং যা কিছু ( আছে )//উভয়ের মাঝে//এবং যা কিছু ( আছে )//নিচে//সিক্ত মাটির"
            },
            {
              "number": 2355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2355.mp3"
              ],
              "text": "وَإِن تَجْهَرْ بِٱلْقَوْلِ فَإِنَّهُۥ يَعْلَمُ ٱلسِّرَّ وَأَخْفَى",
              "translate_bn": "যদি তুমি উচ্চকন্ঠেও কথা বল, তিনি তো গুপ্ত ও তদপেক্ষাও গুপ্ত বিষয়বস্তু জানেন।",
              "numberInSurah": 7,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাজহার বিল কাওলি ফাইন্নাহূইয়া‘লামুছছিররা ওয়া আখফা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تَجْهَرْ/تَجۡهَرۡ/tajhar//بِالْقَوْلِ/بِٱلۡقَوۡلِ/bil-qawli//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//السِّرَّ/ٱلسِّرَّ/al-sira//وَ اَخْفٰی /وَأَخۡفَى/wa-akhfa",
              "words_bangla": "এবং যদি//উঁচু গলায় বলো//কথাকে ( তাও তিনি শুনেন )//তবে নিশ্চয়ই তিনি//জানেন//গুপ্ত//এবং অব্যক্ত ( কথাও )"
            },
            {
              "number": 2356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2356.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ۖ لَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ",
              "translate_bn": "আল্লাহ তিনি ব্যতীত কোন উপাস্য ইলাহ নেই। সব সৌন্দর্যমন্ডিত নাম তাঁরই।",
              "numberInSurah": 8,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লাইলা-হা ইল্লা-হুওয়া লাহুল আছমাউল হুছনা-।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۖ/huwa//لَهُ/لَهُ/lahu//الْاَسْمَآءُ/ٱلۡأَسۡمَآءُ/al-asmau//الْحُسْنٰی /ٱلۡحُسۡنَىٰ/al-hus'na",
              "words_bangla": "আল্লাহ ( এমন সত্ত্বা যে )//নেই//কোন ইলাহ//ছাড়া//তিনি//তাঁরই আছে//নামসমূহ//সুন্দর"
            },
            {
              "number": 2357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2357.mp3"
              ],
              "text": "وَهَلْ أَتَىٰكَ حَدِيثُ مُوسَىٰٓ",
              "translate_bn": "আপনার কাছে মূসার বৃত্তান্ত পৌঁছেছে কি।",
              "numberInSurah": 9,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়াহাল আতা-কা হাদীছুমূছা-।",
              "words_arabic": "وَ هَلْ/وَهَلۡ/wahal//اَتٰىكَ/أَتَىٰكَ/ataka//حَدِیْثُ/حَدِيثُ/hadithu//مُوْسٰیۘ/مُوسَىٰٓ/musa",
              "words_bangla": "আর কি//তোমার কাছে এসেছে//বৃত্তান্ত//মূসার"
            },
            {
              "number": 2358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2358.mp3"
              ],
              "text": "إِذْ رَءَا نَارًۭا فَقَالَ لِأَهْلِهِ ٱمْكُثُوٓا۟ إِنِّىٓ ءَانَسْتُ نَارًۭا لَّعَلِّىٓ ءَاتِيكُم مِّنْهَا بِقَبَسٍ أَوْ أَجِدُ عَلَى ٱلنَّارِ هُدًۭى",
              "translate_bn": "তিনি যখন আগুন দেখলেন, তখন পরিবারবর্গকে বললেনঃ তোমরা এখানে অবস্থান কর আমি আগুন দেখেছি। সম্ভবতঃ আমি তা থেকে তোমাদের কাছে কিছু আগুন জালিয়ে আনতে পারব অথবা আগুনে পৌছে পথের সন্ধান পাব।",
              "numberInSurah": 10,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইযরাআ-না-রান ফাকা-লা লিআহলিহিম কুছূ দ্মইন্নীআ-নাছতুনা-রাল লা‘আললীআতীকুম মিনহা-বিকাবাছিন আও আজিদু‘আলান না-রি হুদা-।",
              "words_arabic": "اِذْ/إِذۡ/idh//رَاٰ/رَءَا/raa//نَارًا/نَارٗا/naran//فَقَالَ/فَقَالَ/faqala//لِاَهْلِهِ/لِأَهۡلِهِ/li-ahlihi//امْكُثُوْۤا/ٱمۡكُثُوٓاْ/um'kuthu//اِنِّیْۤ/إِنِّيٓ/inni//اٰنَسْتُ/ءَانَسۡتُ/anastu//نَارًا/نَارٗا/naran//لَّعَلِّیْۤ/لَّعَلِّيٓ/la'alli//اٰتِیْكُمْ/ءَاتِيكُم/atikum//مِّنْهَا/مِّنۡهَا/min'ha//بِقَبَسٍ/بِقَبَسٍ/biqabasin//اَوْ/أَوۡ/aw//اَجِدُ/أَجِدُ/ajidu//عَلَی/عَلَى/ala//النَّارِ/ٱلنَّارِ/al-nari//هُدًی /هُدٗى/hudan",
              "words_bangla": "যখন//সে দেখেছিলো//আগুন//তখন বলেছিলো//তার পরিবারবর্গকে//\"তোমরা থাকো ( অপেক্ষা করো )//নিশ্চয়ই আমি//দেখেছি//আগুন//সম্ভবতঃ আমি//তোমাদের কাছে আমি আসবো//তা থেকে//( কিছু ) অঙ্গার নিয়ে//অথবা//আমি পাবো//কাছে//আগুনের//পথের\""
            },
            {
              "number": 2359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2359.mp3"
              ],
              "text": "فَلَمَّآ أَتَىٰهَا نُودِىَ يَٰمُوسَىٰٓ",
              "translate_bn": "অতঃপর যখন তিনি আগুনের কাছে পৌছলেন, তখন আওয়াজ আসল হে মূসা,",
              "numberInSurah": 11,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআতা-হা-নূদিয়া ইয়া-মূছা-।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَتٰىهَا/أَتَىٰهَا/ataha//نُوْدِیَ/نُودِيَ/nudiya//یٰمُوْسٰیؕ/يَٰمُوسَىٰٓ/yamusa",
              "words_bangla": "অতঃপর যখন//তার কাছে আসলো//তাকে ডাকা হলো//\"( বলা হলো ) হে মূসা"
            },
            {
              "number": 2360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2360.mp3"
              ],
              "text": "إِنِّىٓ أَنَا۠ رَبُّكَ فَٱخْلَعْ نَعْلَيْكَ ۖ إِنَّكَ بِٱلْوَادِ ٱلْمُقَدَّسِ طُوًۭى",
              "translate_bn": "আমিই তোমার পালনকর্তা, অতএব তুমি জুতা খুলে ফেল, তুমি পবিত্র উপত্যকা তুয়ায় রয়েছ।",
              "numberInSurah": 12,
              "juz": 16,
              "manzil": 4,
              "page": 312,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইন্নীআনা রাব্বুকা ফাখলা‘না‘লাইকা ইন্নাকা বিলওয়া-দিল মুকাদ্দাছি তুওয়া।",
              "words_arabic": "اِنِّیْۤ/إِنِّيٓ/inni//اَنَا/أَنَا۠/ana//رَبُّكَ/رَبُّكَ/rabbuka//فَاخْلَعْ/فَٱخۡلَعۡ/fa-ikh'la'//نَعْلَیْكَ ۚ/نَعۡلَيۡكَ/na'layka//اِنَّكَ/إِنَّكَ/innaka//بِالْوَادِ/بِٱلۡوَادِ/bil-wadi//الْمُقَدَّسِ/ٱلۡمُقَدَّسِ/al-muqadasi//طُوًیؕ/طُوٗى/tuwan",
              "words_bangla": "নিশ্চয়ই আমি//আমিই//তোমার রব//অতএব খুলে ফেলো তুমি//তোমার জুতা জোড়া//তুমি নিশ্চয়ই//উপত্যকার মধ্যে//পবিত্র//( যার নাম ) তুওয়া"
            },
            {
              "number": 2361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2361.mp3"
              ],
              "text": "وَأَنَا ٱخْتَرْتُكَ فَٱسْتَمِعْ لِمَا يُوحَىٰٓ",
              "translate_bn": "এবং আমি তোমাকে মনোনীত করেছি, অতএব যা প্রত্যাদেশ করা হচ্ছে, তা শুনতে থাক।",
              "numberInSurah": 13,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনাখ তারতুকা ফাছতামি‘লিমা-ইউহা-।",
              "words_arabic": "وَ اَنَا/وَأَنَا/wa-ana//اخْتَرْتُكَ/ٱخۡتَرۡتُكَ/ikh'tartuka//فَاسْتَمِعْ/فَٱسۡتَمِعۡ/fa-is'tami'//لِمَا/لِمَا/lima//یُوْحٰی /يُوحَىٰٓ/yuha",
              "words_bangla": "এবং আমি//তোমাকে বেছে নিয়েছি//সুতরাং তুমি মনোযোগসহ শুনো//তাই যা কিছু//ওহী করা হয়"
            },
            {
              "number": 2362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2362.mp3"
              ],
              "text": "إِنَّنِىٓ أَنَا ٱللَّهُ لَآ إِلَٰهَ إِلَّآ أَنَا۠ فَٱعْبُدْنِى وَأَقِمِ ٱلصَّلَوٰةَ لِذِكْرِىٓ",
              "translate_bn": "আমিই আল্লাহ আমি ব্যতীত কোন ইলাহ নেই। অতএব আমার এবাদত কর এবং আমার স্মরণার্থে নামায কায়েম কর।",
              "numberInSurah": 14,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইন্নানীআনাল্লা-হু লাইলা-হা ইল্লাআনা-ফা‘বুদনী ওয়া আকিমিসসালা-তা লিযিকরী।",
              "words_arabic": "اِنَّنِیْۤ/إِنَّنِيٓ/innani//اَنَا/أَنَا/ana//اللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّاۤ/إِلَّآ/illa//اَنَا/أَنَا۠/ana//فَاعْبُدْنِیْ ۙ/فَٱعۡبُدۡنِي/fa-u'bud'ni//وَ اَقِمِ/وَأَقِمِ/wa-aqimi//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//لِذِكْرِیْ /لِذِكۡرِيٓ/lidhik'ri",
              "words_bangla": "আমি নিশ্চয়ই//আমিই//আল্লাহ//নেই//কোন ইলাহ//ছাড়া//আমি//সুতরাং আমারই  ইবাদত করো//এবং প্রতিষ্ঠিত করো//সালাত//আমার স্মরণের জন্যে"
            },
            {
              "number": 2363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2363.mp3"
              ],
              "text": "إِنَّ ٱلسَّاعَةَ ءَاتِيَةٌ أَكَادُ أُخْفِيهَا لِتُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا تَسْعَىٰ",
              "translate_bn": "কেয়ামত অবশ্যই আসবে, আমি তা গোপন রাখতে চাই; যাতে প্রত্যেকেই তার কর্মানুযায়ী ফল লাভ করে।",
              "numberInSurah": 15,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইন্নাছছা-‘আতা আ-তিয়াতুন আকা-দুউখফীহা-লিতুজঝা-কুল্লুনাফছিম বিমা-তাছ‘আ-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//اٰتِیَةٌ/ءَاتِيَةٌ/atiyatun//اَكَادُ/أَكَادُ/akadu//اُخْفِیْهَا/أُخۡفِيهَا/ukh'fiha//لِتُجْزٰی/لِتُجۡزَىٰ/lituj'za//كُلُّ/كُلُّ/kullu//نَفْسٍۭ/نَفۡسِۭ/nafsin//بِمَا/بِمَا/bima//تَسْعٰی /تَسۡعَىٰ/tas'a",
              "words_bangla": "নিশ্চয়ই//ক্বিয়ামাত//আসবেই//রাখতে চাই আমি//তা গোপন//যেন প্রতিফল পায়//প্রত্যেক//ব্যক্তি//ঐ বিষয়ের যা//সে চেষ্টা সাধনা করে"
            },
            {
              "number": 2364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2364.mp3"
              ],
              "text": "فَلَا يَصُدَّنَّكَ عَنْهَا مَن لَّا يُؤْمِنُ بِهَا وَٱتَّبَعَ هَوَىٰهُ فَتَرْدَىٰ",
              "translate_bn": "সুতরাং যে ব্যক্তি কেয়ামতে বিশ্বাস রাখে না এবং নিজ খাহেশের অনুসরণ করে, সে যেন তোমাকে তা থেকে নিবৃত্ত না করে। নিবৃত্ত হলে তুমি ধবংস হয়ে যাবে।",
              "numberInSurah": 16,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ফালা-ইয়াসুদ্দান্নাকা ‘আনহা-মাল লা-ইউ’মিনুবিহা-ওয়াত্তাবা‘আ হাওয়া-হু ফাতারদা-।",
              "words_arabic": "فَلَا/فَلَا/fala//یَصُدَّنَّكَ/يَصُدَّنَّكَ/yasuddannaka//عَنْهَا/عَنۡهَا/anha//مَنْ/مَن/man//لَّا/لَّا/la//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِهَا/بِهَا/biha//وَ اتَّبَعَ/وَٱتَّبَعَ/wa-ittaba'a//هَوٰىهُ/هَوَىٰهُ/hawahu//فَتَرْدٰی /فَتَرۡدَىٰ/fatarda",
              "words_bangla": "সুতরাং না//তোমাকে নিবৃত্ত করে ( যেন )//তা থেকে//সেই ব্যক্তি (যে )//না//ঈমান আনে//তার উপর//এবং অনুসরণ করেছে//তার প্রবৃত্তির//তাহ'লে তুমি ধ্বংস হবে"
            },
            {
              "number": 2365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2365.mp3"
              ],
              "text": "وَمَا تِلْكَ بِيَمِينِكَ يَٰمُوسَىٰ",
              "translate_bn": "হে মূসা, তোমার ডানহাতে ওটা কি?",
              "numberInSurah": 17,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তিলকা বিইয়ামীনিকা ইয়া-মূছা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//تِلْكَ/تِلۡكَ/til'ka//بِیَمِیْنِكَ/بِيَمِينِكَ/biyaminika//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "এবং ( আল্লাহ বললেন ) কি//ওটা//তোমার ডান হাতের মধ্যে//হে মূসা\""
            },
            {
              "number": 2366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2366.mp3"
              ],
              "text": "قَالَ هِىَ عَصَاىَ أَتَوَكَّؤُا۟ عَلَيْهَا وَأَهُشُّ بِهَا عَلَىٰ غَنَمِى وَلِىَ فِيهَا مَـَٔارِبُ أُخْرَىٰ",
              "translate_bn": "তিনি বললেনঃ এটা আমার লাঠি, আমি এর উপর ভর দেই এবং এর দ্বারা আমার ছাগপালের জন্যে বৃক্ষপত্র ঝেড়ে ফেলি এবং এতে আমার অন্যান্য কাজ ও চলে।",
              "numberInSurah": 18,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা হিয়া ‘আসা-ইয়া আতাওয়াক্কাউ ‘আলাইহা-ওয়া আহুশশুবিহা-‘আলা-গানামী ওয়ালিয়া ফীহা-মাআ-রিবুউখরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//هِیَ/هِيَ/hiya//عَصَایَ ۚ/عَصَايَ/asaya//اَتَوَكَّؤُا/أَتَوَكَّؤُاْ/atawakka-u//عَلَیْهَا/عَلَيۡهَا/alayha//وَ اَهُشُّ/وَأَهُشُّ/wa-ahushu//بِهَا/بِهَا/biha//عَلٰی/عَلَىٰ/ala//غَنَمِیْ/غَنَمِي/ghanami//وَ لِیَ/وَلِيَ/waliya//فِیْهَا/فِيهَا/fiha//مَاٰرِبُ/مَـَٔارِبُ/maaribu//اُخْرٰی /أُخۡرَىٰ/ukh'ra",
              "words_bangla": "সে বললো//\"তা//আমার লাঠি//ভর দিই আমি//তার উপর//এবং পাতা পাড়ি আমি//তা দিয়ে//উপর//আমার ছাগল ( পালের )//এবং আমার আছে//তা দ্বারা//প্রয়োজনসমূহ//আরও ( কিছু )\""
            },
            {
              "number": 2367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2367.mp3"
              ],
              "text": "قَالَ أَلْقِهَا يَٰمُوسَىٰ",
              "translate_bn": "আল্লাহ বললেনঃ হে মূসা, তুমি ওটা নিক্ষেপ কর।",
              "numberInSurah": 19,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা আলকিহা-ইয়া-মূছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَلْقِهَا/أَلۡقِهَا/alqiha//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "( আল্লাহ ) বললেন//\"তা নিক্ষেপ করো//হে মূসা\""
            },
            {
              "number": 2368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2368.mp3"
              ],
              "text": "فَأَلْقَىٰهَا فَإِذَا هِىَ حَيَّةٌۭ تَسْعَىٰ",
              "translate_bn": "অতঃপর তিনি তা নিক্ষেপ করলেন, অমনি তা সাপ হয়ে ছুটাছুটি করতে লাগল।",
              "numberInSurah": 20,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ফাআলকা-হা-ফাইযা-হিয়া হাইয়াতুন তাছ‘আ-।",
              "words_arabic": "فَاَلْقٰىهَا/فَأَلۡقَىٰهَا/fa-alqaha//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//حَیَّةٌ/حَيَّةٞ/hayyatun//تَسْعٰی /تَسۡعَىٰ/tas'a",
              "words_bangla": "অতঃপর তা সে নিক্ষেপ করলো//সঙ্গে সঙ্গে//তা ( হলো )//সাপ//( যা ) ছুটোছুটি করতে লাগলো"
            },
            {
              "number": 2369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2369.mp3"
              ],
              "text": "قَالَ خُذْهَا وَلَا تَخَفْ ۖ سَنُعِيدُهَا سِيرَتَهَا ٱلْأُولَىٰ",
              "translate_bn": "আল্লাহ বললেনঃ তুমি তাকে ধর এবং ভয় করো না, আমি এখনি একে পূর্বাবস্থায় ফিরিয়ে দেব।",
              "numberInSurah": 21,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা খুযহা-ওয়ালা-তাখাফ ছানু‘ঈদুহা-ছীরাতাহাল ঊলা-।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//خُذْهَا/خُذۡهَا/khudh'ha//وَ لَا/وَلَا/wala//تَخَفْ ۥ/تَخَفۡۖ/takhaf//سَنُعِیْدُهَا/سَنُعِيدُهَا/sanu'iduha//سِیْرَتَهَا/سِيرَتَهَا/sirataha//الْاُوْلٰی /ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "তিনি বললেন//\"তা ধরো//এবং না//ভয় করো তুমি//অচিরেই তা ফিরিয়ে দিবো আমরা//তার অবস্থায়//পূর্বের"
            },
            {
              "number": 2370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2370.mp3"
              ],
              "text": "وَٱضْمُمْ يَدَكَ إِلَىٰ جَنَاحِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍ ءَايَةً أُخْرَىٰ",
              "translate_bn": "তোমার হাত বগলে রাখ, তা বের হয়ে আসবে নির্মল উজ্জ্বল হয়ে অন্য এক নিদর্শন রূপে; কোন দোষ ছাড়াই।",
              "numberInSurah": 22,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়াদমুম ইয়াদাকা ইলা-জানা-হিকা তাখরুজ বাইদায়া মিন গাইরি ছূইন আ-য়াতান উখরা-।",
              "words_arabic": "وَ اضْمُمْ/وَٱضۡمُمۡ/wa-ud'mum//یَدَكَ/يَدَكَ/yadaka//اِلٰی/إِلَىٰ/ila//جَنَاحِكَ/جَنَاحِكَ/janahika//تَخْرُجْ/تَخۡرُجۡ/takhruj//بَیْضَآءَ/بَيۡضَآءَ/baydaa//مِنْ/مِنۡ/min//غَیْرِ/غَيۡرِ/ghayri//سُوْٓءٍ/سُوٓءٍ/suin//اٰیَةً/ءَايَةً/ayatan//اُخْرٰیۙ/أُخۡرَىٰ/ukh'ra",
              "words_bangla": "এবং চেপে ধরো//তোমার হাত//মধ্যে//তোমার বগলের//বের হবে তা//উজ্জ্বল//কোন//ছাড়াই//দোষ//নিদর্শন//অপর ( একটি )"
            },
            {
              "number": 2371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2371.mp3"
              ],
              "text": "لِنُرِيَكَ مِنْ ءَايَٰتِنَا ٱلْكُبْرَى",
              "translate_bn": "এটা এজন্যে যে, আমি আমার বিরাট নিদর্শনাবলীর কিছু তোমাকে দেখাই।",
              "numberInSurah": 23,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "লিনুরিয়াকা মিন আ-য়া-তিনাল কুবরা-।",
              "words_arabic": "لِنُرِیَكَ/لِنُرِيَكَ/linuriyaka//مِنْ/مِنۡ/min//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//الْكُبْرٰیۚ/ٱلۡكُبۡرَى/al-kub'ra",
              "words_bangla": "তোমাকে যেন আমরা দেখাই//মধ্য হ'তে//আমাদের নিদর্শনাবলীর//বড় বড় ( কয়েকটি )"
            },
            {
              "number": 2372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2372.mp3"
              ],
              "text": "ٱذْهَبْ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ",
              "translate_bn": "ফেরাউনের নিকট যাও, সে দারুণ উদ্ধত হয়ে গেছে।",
              "numberInSurah": 24,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 270,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইযহাব ইলা -ফির‘আওনা ইন্নাহূতাগা-।",
              "words_arabic": "اِذْهَبْ/ٱذۡهَبۡ/idh'hab//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِنَّهٗ/إِنَّهُۥ/innahu//طَغٰی۠/طَغَىٰ/tagha",
              "words_bangla": "তুমি যাও//কাছে//ফিরআউনের//সে নিশ্চয়ই//সীমালঙ্ঘন করেছে\""
            },
            {
              "number": 2373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2373.mp3"
              ],
              "text": "قَالَ رَبِّ ٱشْرَحْ لِى صَدْرِى",
              "translate_bn": "মূসা বললেনঃ হে আমার পালনকর্তা আমার বক্ষ প্রশস্ত করে দিন।",
              "numberInSurah": 25,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিশরাহলী সাদরী।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اشْرَحْ/ٱشۡرَحۡ/ish'rah//لِیْ/لِي/li//صَدْرِیْۙ/صَدۡرِي/sadri",
              "words_bangla": "( মূসা ) বললো//\"হে আমার রব//প্রশস্ত করো//আমার জন্যে//আমার বক্ষ"
            },
            {
              "number": 2374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2374.mp3"
              ],
              "text": "وَيَسِّرْ لِىٓ أَمْرِى",
              "translate_bn": "এবং আমার কাজ সহজ করে দিন।",
              "numberInSurah": 26,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছছিরলীআমরী।",
              "words_arabic": "وَ یَسِّرْ/وَيَسِّرۡ/wayassir//لِیْۤ/لِيٓ/li//اَمْرِیْۙ/أَمۡرِي/amri",
              "words_bangla": "এবং সহজ করো//আমার জন্যে//আমার কাজ"
            },
            {
              "number": 2375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2375.mp3"
              ],
              "text": "وَٱحْلُلْ عُقْدَةًۭ مِّن لِّسَانِى",
              "translate_bn": "এবং আমার জিহবা থেকে জড়তা দূর করে দিন।",
              "numberInSurah": 27,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়াহলুল ‘উকদাতাম মিলিলছা-নী।",
              "words_arabic": "وَ احْلُلْ/وَٱحۡلُلۡ/wa-uh'lul//عُقْدَةً/عُقۡدَةٗ/uq'datan//مِّنْ/مِّن/min//لِّسَانِیْۙ/لِّسَانِي/lisani",
              "words_bangla": "এবং খুলে দাও//গিরা (জড়তা)//থেকে//আমার জিহবার"
            },
            {
              "number": 2376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2376.mp3"
              ],
              "text": "يَفْقَهُوا۟ قَوْلِى",
              "translate_bn": "যাতে তারা আমার কথা বুঝতে পারে।",
              "numberInSurah": 28,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইয়াফকাহূকাওলী।",
              "words_arabic": "یَفْقَهُوْا/يَفۡقَهُواْ/yafqahu//قَوْلِیْ۪/قَوۡلِي/qawli",
              "words_bangla": "তারা বুঝে ( যেন )//আমার কথা"
            },
            {
              "number": 2377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2377.mp3"
              ],
              "text": "وَٱجْعَل لِّى وَزِيرًۭا مِّنْ أَهْلِى",
              "translate_bn": "এবং আমার পরিবারবর্গের মধ্য থেকে আমার একজন সাহায্যকারী করে দিন।",
              "numberInSurah": 29,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়াজ‘আললী ওয়াঝীরাম মিন আহলী।",
              "words_arabic": "وَ اجْعَلْ/وَٱجۡعَل/wa-ij'al//لِّیْ/لِّي/li//وَزِیْرًا/وَزِيرٗا/waziran//مِّنْ/مِّنۡ/min//اَهْلِیْۙ/أَهۡلِي/ahli",
              "words_bangla": "এবং বানিয়ে দাও//আমার জন্যে//একজন সাহায্যকারী//মধ্য হ'তে//আমার পরিবারের"
            },
            {
              "number": 2378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2378.mp3"
              ],
              "text": "هَٰرُونَ أَخِى",
              "translate_bn": "আমার ভাই হারুনকে।",
              "numberInSurah": 30,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "হা-রূনা আখী।",
              "words_arabic": "هٰرُوْنَ/هَٰرُونَ/haruna//اَخِیۙ/أَخِي/akhi",
              "words_bangla": "হারুনকে//( যে ) আমার ভাই"
            },
            {
              "number": 2379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2379.mp3"
              ],
              "text": "ٱشْدُدْ بِهِۦٓ أَزْرِى",
              "translate_bn": "তার মাধ্যমে আমার কোমর মজবুত করুন।",
              "numberInSurah": 31,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "উশদুদ বিহীআঝরী।",
              "words_arabic": "اشْدُدْ/ٱشۡدُدۡ/ush'dud//بِهٖۤ/بِهِۦٓ/bihi//اَزْرِیْۙ/أَزۡرِي/azri",
              "words_bangla": "সুদৃঢ় করো//তাকে দিয়ে//আমার শক্তি"
            },
            {
              "number": 2380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2380.mp3"
              ],
              "text": "وَأَشْرِكْهُ فِىٓ أَمْرِى",
              "translate_bn": "এবং তাকে আমার কাজে অংশীদার করুন।",
              "numberInSurah": 32,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়া আশরিকহু ফীআমরী।",
              "words_arabic": "وَ اَشْرِكْهُ/وَأَشۡرِكۡهُ/wa-ashrik'hu//فِیْۤ/فِيٓ/fi//اَمْرِیْۙ/أَمۡرِي/amri",
              "words_bangla": "এবং তাকে শরীক করো//ক্ষেত্রে//আমার কাজের"
            },
            {
              "number": 2381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2381.mp3"
              ],
              "text": "كَىْ نُسَبِّحَكَ كَثِيرًۭا",
              "translate_bn": "যাতে আমরা বেশী করে আপনার পবিত্রতা ও মহিমা ঘোষনা করতে পারি।",
              "numberInSurah": 33,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কাই নুছাব্বিহাকা কাছীরা-।",
              "words_arabic": "كَیْ/كَيۡ/kay//نُسَبِّحَكَ/نُسَبِّحَكَ/nusabbihaka//كَثِیْرًاۙ/كَثِيرٗا/kathiran",
              "words_bangla": "যেন//তোমার মহিমা ঘোষণা করতে পারি আমরা//অধিক (পরিমাণে)"
            },
            {
              "number": 2382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2382.mp3"
              ],
              "text": "وَنَذْكُرَكَ كَثِيرًا",
              "translate_bn": "এবং বেশী পরিমাণে আপনাকে স্মরণ করতে পারি।",
              "numberInSurah": 34,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়ানাযকুরাকা কাছীরা-।",
              "words_arabic": "وَّ نَذْكُرَكَ/وَنَذۡكُرَكَ/wanadhkuraka//كَثِیْرًاؕ/كَثِيرًا/kathiran",
              "words_bangla": "এবং তোমাকে (যেন) স্মরণ করতে পারি আমরা//অধিক"
            },
            {
              "number": 2383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2383.mp3"
              ],
              "text": "إِنَّكَ كُنتَ بِنَا بَصِيرًۭا",
              "translate_bn": "আপনি তো আমাদের অবস্থা সবই দেখছেন।",
              "numberInSurah": 35,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা কুনতা বিনা-বাসীরা-।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//كُنْتَ/كُنتَ/kunta//بِنَا/بِنَا/bina//بَصِیْرًا /بَصِيرٗا/basiran",
              "words_bangla": "নিশ্চয়ই তুমি//আছো//আমাদের উপর//দৃষ্টিবান\""
            },
            {
              "number": 2384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2384.mp3"
              ],
              "text": "قَالَ قَدْ أُوتِيتَ سُؤْلَكَ يَٰمُوسَىٰ",
              "translate_bn": "আল্লাহ বললেনঃ হে মূসা, তুমি যা চেয়েছ তা তোমাকে দেয়া হল।",
              "numberInSurah": 36,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাদ ঊতীতা ছু’লাকা ইয়া-মূছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//قَدْ/قَدۡ/qad//اُوْتِیْتَ/أُوتِيتَ/utita//سُؤْلَكَ/سُؤۡلَكَ/su'laka//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "তিনি বললেন//\"নিশ্চয়ই//তোমাকে দেয়া হলো//তোমার চাওয়া//হে মূসা"
            },
            {
              "number": 2385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2385.mp3"
              ],
              "text": "وَلَقَدْ مَنَنَّا عَلَيْكَ مَرَّةً أُخْرَىٰٓ",
              "translate_bn": "আমি তোমার প্রতি আরও একবার অনুগ্রহ করেছিলাম।",
              "numberInSurah": 37,
              "juz": 16,
              "manzil": 4,
              "page": 313,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ মানান্না-‘আলাইকা মাররাতান উখরা।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//مَنَنَّا/مَنَنَّا/mananna//عَلَیْكَ/عَلَيۡكَ/alayka//مَرَّةً/مَرَّةً/marratan//اُخْرٰۤیۙ/أُخۡرَىٰٓ/ukh'ra",
              "words_bangla": "এবং নিশ্চয়ই//আমরা অনুগ্রহ করেছিলাম//তোমার উপর//একবার//আরও"
            },
            {
              "number": 2386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2386.mp3"
              ],
              "text": "إِذْ أَوْحَيْنَآ إِلَىٰٓ أُمِّكَ مَا يُوحَىٰٓ",
              "translate_bn": "যখন আমি তোমার মাতাকে নির্দেশ দিয়েছিলাম যা অতঃপর বর্ণিত হচ্ছে।",
              "numberInSurah": 38,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইযআওহাইনাইলাউম্মিকা মা-ইউহা।",
              "words_arabic": "اِذْ/إِذۡ/idh//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلٰۤی/إِلَىٰٓ/ila//اُمِّكَ/أُمِّكَ/ummika//مَا/مَا/ma//یُوْحٰۤیۙ/يُوحَىٰٓ/yuha",
              "words_bangla": "(স্মরণ করো) যখন//আমরা ইঙ্গিত করেছিলাম//প্রতি//তোমার মার//(এভাবে) যা//ওহী করা হয়।"
            },
            {
              "number": 2387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2387.mp3"
              ],
              "text": "أَنِ ٱقْذِفِيهِ فِى ٱلتَّابُوتِ فَٱقْذِفِيهِ فِى ٱلْيَمِّ فَلْيُلْقِهِ ٱلْيَمُّ بِٱلسَّاحِلِ يَأْخُذْهُ عَدُوٌّۭ لِّى وَعَدُوٌّۭ لَّهُۥ ۚ وَأَلْقَيْتُ عَلَيْكَ مَحَبَّةًۭ مِّنِّى وَلِتُصْنَعَ عَلَىٰ عَيْنِىٓ",
              "translate_bn": "যে, তুমি (মূসাকে) সিন্দুকে রাখ, অতঃপর তা দরিয়ায় ভাসিয়ে দাও, অতঃপর দরিয়া তাকে তীরে ঠেলে দেবে। তাকে আমার শক্র ও তার শক্র উঠিয়ে নেবে। আমি তোমার প্রতি মহব্বত সঞ্চারিত করেছিলাম আমার নিজের পক্ষ থেকে, যাতে তুমি আমার দৃষ্টির সামনে প্রতি পালিত হও।",
              "numberInSurah": 39,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "আনিকযিফীহি ফিততা-বূতি ফাকযিফীহি ফিল ইয়াম্মি ফালইউলকিহিল ইয়াম্মুবিছছাহিলি ইয়া’খুযহু ‘আদুওউললী ওয়া ‘আদুওউল্লাহূ ওয়াআলকাইতু‘আলাইকা মাহাব্বাতাম মিন্নী ওয়ালিতুসনা‘আ ‘আলা-‘আইনী।",
              "words_arabic": "اَنِ/أَنِ/ani//اقْذِفِیْهِ/ٱقۡذِفِيهِ/iq'dhifihi//فِی/فِي/fi//التَّابُوْتِ/ٱلتَّابُوتِ/al-tabuti//فَاقْذِفِیْهِ/فَٱقۡذِفِيهِ/fa-iq'dhifihi//فِی/فِي/fi//الْیَمِّ/ٱلۡيَمِّ/al-yami//فَلْیُلْقِهِ/فَلۡيُلۡقِهِ/falyul'qihi//الْیَمُّ/ٱلۡيَمُّ/al-yamu//بِالسَّاحِلِ/بِٱلسَّاحِلِ/bil-sahili//یَاْخُذْهُ/يَأۡخُذۡهُ/yakhudh'hu//عَدُوٌّ/عَدُوّٞ/aduwwun//لِّیْ/لِّي/li//وَ عَدُوٌّ/وَعَدُوّٞ/wa'aduwwun//لَّهٗ ؕ/لَّهُۥۚ/lahu//وَ اَلْقَیْتُ/وَأَلۡقَيۡتُ/wa-alqaytu//عَلَیْكَ/عَلَيۡكَ/alayka//مَحَبَّةً/مَحَبَّةٗ/mahabbatan//مِّنِّیْ ۚ۬/مِّنِّي/minni//وَ لِتُصْنَعَ/وَلِتُصۡنَعَ/walitus'na'a//عَلٰی/عَلَىٰ/ala//عَیْنِیْۘ/عَيۡنِيٓ/ayni",
              "words_bangla": "\"যে//তাকে নিক্ষেপ করো (অর্থাৎ রেখে দাও)//মধ্যে//সিন্দুকের//অতঃপর তা নিক্ষেপ করো (অর্থাৎ ভাসিয়ে দাও)//মধ্যে//নদীর//অতঃপর তা ঠেলে দিবে//নদী//তীরের দিকে//তা তুলে নিবে//শত্রু//আমার//ও শত্রু//তার\"//এবং আমি ঢেলে দিয়েছিলাম//তোমার উপর//ভালবাসা//আমার পক্ষ হ'তে//এবং তুমি লালিতপালিত হও যেন//সামনে//আমার চোখের"
            },
            {
              "number": 2388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2388.mp3"
              ],
              "text": "إِذْ تَمْشِىٓ أُخْتُكَ فَتَقُولُ هَلْ أَدُلُّكُمْ عَلَىٰ مَن يَكْفُلُهُۥ ۖ فَرَجَعْنَٰكَ إِلَىٰٓ أُمِّكَ كَىْ تَقَرَّ عَيْنُهَا وَلَا تَحْزَنَ ۚ وَقَتَلْتَ نَفْسًۭا فَنَجَّيْنَٰكَ مِنَ ٱلْغَمِّ وَفَتَنَّٰكَ فُتُونًۭا ۚ فَلَبِثْتَ سِنِينَ فِىٓ أَهْلِ مَدْيَنَ ثُمَّ جِئْتَ عَلَىٰ قَدَرٍۢ يَٰمُوسَىٰ",
              "translate_bn": "যখন তোমার ভগিনী এসে বললঃ আমি কি তোমাদেরকে বলে দেব কে তাকে লালন পালন করবে। অতঃপর আমি তোমাকে তোমার মাতার কাছে ফিরিয়ে দিলাম, যাতে তার চক্ষু শীতল হয় এবং দুঃখ না পায়। তুমি এক ব্যক্তিকে হত্যা করেছিলে, অতঃপর আমি তোমাকে এই দুশ্চিন্তা থেকে মুক্তি দেই; আমি তোমাকে অনেক পরীক্ষা করেছি। অতঃপর তুমি কয়েক বছর মাদইয়ান বাসীদের মধ্যে অবস্থান করেছিলে; হে মূসা, অতঃপর তুমি নির্ধারিত সময়ে এসেছ।",
              "numberInSurah": 40,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইযতামশীউখতুকা ফাতাকূলুহাল আদুল্লুকুম ‘আলা-মাইঁ ইয়াকফুলুহূ ফারাজা‘না-কা ইলাউম্মিকা কাই তাকাররা ‘আইনুহা-ওয়ালা-তাহঝানা ওয়াকাতালতা নাফছান ফানাজ্জাইনা-কা মিনাল গাম্মি ওয়া ফাতান্না-কা ফুতূনা- ফালাবিছতা ছিনীনা ফী আহলি মাদইয়ানা ছু ম্মা জি’তা ‘আলা-কাদারিইঁ ইয়া-মূছা-।",
              "words_arabic": "اِذْ/إِذۡ/idh//تَمْشِیْۤ/تَمۡشِيٓ/tamshi//اُخْتُكَ/أُخۡتُكَ/ukh'tuka//فَتَقُوْلُ/فَتَقُولُ/fataqulu//هَلْ/هَلۡ/hal//اَدُلُّكُمْ/أَدُلُّكُمۡ/adullukum//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّكْفُلُهٗ ؕ/يَكۡفُلُهُۥۖ/yakfuluhu//فَرَجَعْنٰكَ/فَرَجَعۡنَٰكَ/faraja'naka//اِلٰۤی/إِلَىٰٓ/ila//اُمِّكَ/أُمِّكَ/ummika//كَیْ/كَيۡ/kay//تَقَرَّ/تَقَرَّ/taqarra//عَیْنُهَا/عَيۡنُهَا/aynuha//وَ لَا/وَلَا/wala//تَحْزَنَ ؕ۬/تَحۡزَنَۚ/tahzana//وَ قَتَلْتَ/وَقَتَلۡتَ/waqatalta//نَفْسًا/نَفۡسٗا/nafsan//فَنَجَّیْنٰكَ/فَنَجَّيۡنَٰكَ/fanajjaynaka//مِنَ/مِنَ/mina//الْغَمِّ/ٱلۡغَمِّ/al-ghami//وَ فَتَنّٰكَ/وَفَتَنَّـٰكَ/wafatannaka//فُتُوْنًا ۫۬/فُتُونٗاۚ/futunan//فَلَبِثْتَ/فَلَبِثۡتَ/falabith'ta//سِنِیْنَ/سِنِينَ/sinina//فِیْۤ/فِيٓ/fi//اَهْلِ/أَهۡلِ/ahli//مَدْیَنَ ۙ۬/مَدۡيَنَ/madyana//ثُمَّ/ثُمَّ/thumma//جِئْتَ/جِئۡتَ/ji'ta//عَلٰی/عَلَىٰ/ala//قَدَرٍ/قَدَرٖ/qadarin//یّٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "(স্মরণ করো) যখন//চলেছিলো//তোমার বোন//অতঃপর বলেছিলো//\"কি//তোমাদের খোঁজ দিবো//এ বিষয়ে (যে)//কে//তাকে লালন-পালন করতে পারে\"//তখন তোমাকে আমরা ফিরিয়ে দিলাম//কাছে//তোমার মায়ের//যেন//জুড়ায়//তার চোখ//এবং না//দুঃখ পায়//এবং (স্মরণ করো) তুমি হত্যা করেছিলে//এক ব্যক্তিকে//অতঃপর তোমাকে আমরা মুক্তি দিয়েছিলাম//হ'তে//মানসিক কষ্ট//এবং তোমাকে আমরা পরীক্ষা করেছি//(কঠিন) পরীক্ষা//অতঃপর তুমি অবস্থান করেছিলে//(কয়েক) বছর//মধ্যে//অধিবাসীদের//মা'দয়ানের//এরপর//তুমি এসেছো//উপর//নির্ধারিত সময়ের//হে মূসা"
            },
            {
              "number": 2389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2389.mp3"
              ],
              "text": "وَٱصْطَنَعْتُكَ لِنَفْسِى",
              "translate_bn": "এবং আমি তোমাকে আমার নিজের জন্য তৈরী করে নিয়েছি।",
              "numberInSurah": 41,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতানা‘তুকা লিনাফছী।\r\n",
              "words_arabic": "وَ اصْطَنَعْتُكَ/وَٱصۡطَنَعۡتُكَ/wa-is'tana'tuka//لِنَفْسِیْۚ/لِنَفۡسِي/linafsi",
              "words_bangla": "এবং তোমাকে আমি প্রস্তুত করেছি//আমার নিজের (কাজের) জন্যে"
            },
            {
              "number": 2390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2390.mp3"
              ],
              "text": "ٱذْهَبْ أَنتَ وَأَخُوكَ بِـَٔايَٰتِى وَلَا تَنِيَا فِى ذِكْرِى",
              "translate_bn": "তুমি ও তোমার ভাই আমার নিদর্শনাবলীসহ যাও এবং আমার স্মরণে শৈথিল্য করো না।",
              "numberInSurah": 42,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইযহাব আনতা ওয়াআখূকা বিআ-য়া-তী ওয়ালা-তানিয়া-ফী যিকরী।",
              "words_arabic": "اِذْهَبْ/ٱذۡهَبۡ/idh'hab//اَنْتَ/أَنتَ/anta//وَ اَخُوْكَ/وَأَخُوكَ/wa-akhuka//بِاٰیٰتِیْ/بِـَٔايَٰتِي/biayati//وَ لَا/وَلَا/wala//تَنِیَا/تَنِيَا/taniya//فِیْ/فِي/fi//ذِكْرِیْۚ/ذِكۡرِي/dhik'ri",
              "words_bangla": "যাও//তুমি//ও তোমার ভাই//নিয়ে আমার নির্দেশনাবলী//এবং না//তোমরা দু'জনে আসল্য করো//ক্ষেত্রে//আমার স্মরণের"
            },
            {
              "number": 2391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2391.mp3"
              ],
              "text": "ٱذْهَبَآ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ",
              "translate_bn": "তোমরা উভয়ে ফেরআউনের কাছে যাও সে খুব উদ্ধত হয়ে গেছে।",
              "numberInSurah": 43,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইয হাবা ইলা-ফির‘আওনা ইন্নাহূতাগা-।",
              "words_arabic": "اِذْهَبَاۤ/ٱذۡهَبَآ/idh'haba//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِنَّهٗ/إِنَّهُۥ/innahu//طَغٰیۚۖ/طَغَىٰ/tagha",
              "words_bangla": "দু'জনে যাও//নিকট//ফিরআউনের//সে নিশ্চয়ই//সীমালঙ্ঘন করেছে"
            },
            {
              "number": 2392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2392.mp3"
              ],
              "text": "فَقُولَا لَهُۥ قَوْلًۭا لَّيِّنًۭا لَّعَلَّهُۥ يَتَذَكَّرُ أَوْ يَخْشَىٰ",
              "translate_bn": "অতঃপর তোমরা তাকে নম্র কথা বল, হয়তো সে চিন্তা-ভাবনা করবে অথবা ভীত হবে।",
              "numberInSurah": 44,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ফাকূলা-লাহূকাওলাল লাইয়িনাল লা‘আল্লাহূইয়াতাযাক্কারুআও ইয়াখশা-।\r\n",
              "words_arabic": "فَقُوْلَا/فَقُولَا/faqula//لَهٗ/لَهُۥ/lahu//قَوْلًا/قَوۡلٗا/qawlan//لَّیِّنًا/لَّيِّنٗا/layyinan//لَّعَلَّهٗ/لَّعَلَّهُۥ/la'allahu//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//اَوْ/أَوۡ/aw//یَخْشٰی /يَخۡشَىٰ/yakhsha",
              "words_bangla": "অতঃপর দু'জনে বলবে//তার সাথে//কথা//নম্রভাবে//সে সম্ভবতঃ//উপদেশ গ্রহণ করবে//অথবা//ভয় করবে\""
            },
            {
              "number": 2393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2393.mp3"
              ],
              "text": "قَالَا رَبَّنَآ إِنَّنَا نَخَافُ أَن يَفْرُطَ عَلَيْنَآ أَوْ أَن يَطْغَىٰ",
              "translate_bn": "তারা বললঃ হে আমাদের পালনকর্তা, আমরা আশঙ্কা করি যে, সে আমাদের প্রতি জুলুম করবে কিংবা উত্তেজিত হয়ে উঠবে।",
              "numberInSurah": 45,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বানাইন্নানা-নাখা-ফুআইঁ ইয়াফরুতা ‘আলাইনাআও আইঁ ইয়াতগা-।",
              "words_arabic": "قَالَا/قَالَا/qala//رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّنَا/إِنَّنَا/innana//نَخَافُ/نَخَافُ/nakhafu//اَنْ/أَن/an//یَّفْرُطَ/يَفۡرُطَ/yafruta//عَلَیْنَاۤ/عَلَيۡنَآ/alayna//اَوْ/أَوۡ/aw//اَنْ/أَن/an//یَّطْغٰی /يَطۡغَىٰ/yatgha",
              "words_bangla": "তারা (দু'জনে) বললো//\"হে আমাদের রব//নিশ্চয়ই আমরা//আশংকা করি আমরা//যে//ফিরআউন দুর্ব্যবহার করবে//আমাদের সাথে//অথবা//যে//সে সীমালংঘন করবে\""
            },
            {
              "number": 2394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2394.mp3"
              ],
              "text": "قَالَ لَا تَخَافَآ ۖ إِنَّنِى مَعَكُمَآ أَسْمَعُ وَأَرَىٰ",
              "translate_bn": "আল্লাহ বললেনঃ তোমরা ভয় করো না, আমি তোমাদের সাথে আছি, আমি শুনি ও দেখি।",
              "numberInSurah": 46,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা লা-তাখা-ফাইন্নানী মা‘আকুমাআছমা‘উ ওয়া আরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَا/لَا/la//تَخَافَاۤ/تَخَافَآۖ/takhafa//اِنَّنِیْ/إِنَّنِي/innani//مَعَكُمَاۤ/مَعَكُمَآ/ma'akuma//اَسْمَعُ/أَسۡمَعُ/asma'u//وَ اَرٰی /وَأَرَىٰ/wa-ara",
              "words_bangla": "তিনি বললেন//\"না//তোমরা দু'জনে ভয় করো//আমি নিশ্চয়ই//তোমাদের দু'জনের সাথে (আছি)//আমি শুনি (সবকিছু)//ও আমি দেখি (সবকিছু)"
            },
            {
              "number": 2395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2395.mp3"
              ],
              "text": "فَأْتِيَاهُ فَقُولَآ إِنَّا رَسُولَا رَبِّكَ فَأَرْسِلْ مَعَنَا بَنِىٓ إِسْرَٰٓءِيلَ وَلَا تُعَذِّبْهُمْ ۖ قَدْ جِئْنَٰكَ بِـَٔايَةٍۢ مِّن رَّبِّكَ ۖ وَٱلسَّلَٰمُ عَلَىٰ مَنِ ٱتَّبَعَ ٱلْهُدَىٰٓ",
              "translate_bn": "অতএব তোমরা তার কাছে যাও এবং বলঃ আমরা উভয়েই তোমার পালনকর্তার প্রেরিত রসূল, অতএব আমাদের সাথে বনী ইসরাঈলকে যেতে দাও এবং তাদেরকে নিপীড়ন করো না। আমরা তোমার পালনকর্তার কাছ থেকে নিদর্শন নিয়ে তোমার কাছে আগমন করেছি। এবং যে সৎপথ অনুসরণ করে, তার প্রতি শান্তি।",
              "numberInSurah": 47,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ফা’তিয়া-হু ফাকূলাইন্না-রাছূলা-রাব্বিকা ফাআরছিল মা‘আনা-",
              "words_arabic": "فَاْتِیٰهُ/فَأۡتِيَاهُ/fatiyahu//فَقُوْلَاۤ/فَقُولَآ/faqula//اِنَّا/إِنَّا/inna//رَسُوْلَا/رَسُولَا/rasula//رَبِّكَ/رَبِّكَ/rabbika//فَاَرْسِلْ/فَأَرۡسِلۡ/fa-arsil//مَعَنَا/مَعَنَا/ma'ana//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ ۙ۬/إِسۡرَـٰٓءِيلَ/is'raila//وَ لَا/وَلَا/wala//تُعَذِّبْهُمْ ؕ/تُعَذِّبۡهُمۡۖ/tu'adhib'hum//قَدْ/قَدۡ/qad//جِئْنٰكَ/جِئۡنَٰكَ/ji'naka//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//مِّنْ/مِّن/min//رَّبِّكَ ؕ/رَّبِّكَۖ/rabbika//وَ السَّلٰمُ/وَٱلسَّلَٰمُ/wal-salamu//عَلٰی/عَلَىٰ/ala//مَنِ/مَنِ/mani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//الْهُدٰی /ٱلۡهُدَىٰٓ/al-huda",
              "words_bangla": "সুতরাং তার কাছে দু'জনে যাও//অতঃপর দু'জনে বলো//\"নিশ্চয়ই আমরা//দুই রাসূল//তোমার রবের//সুতরাং পাঠাও//আমাদের সাথে//বনী//ইসরাঈলকে//এবং না//তাদেরকে শাস্তি দিও//নিশ্চয়ই//তোমার কাছে আমরা এসেছি//নিয়ে নিদর্শন//পক্ষ হ'তে//তোমার রবের//এবং শান্তি//উপর//(তার) যে//অনুসরণ করে//সঠিক পথের"
            },
            {
              "number": 2396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2396.mp3"
              ],
              "text": "إِنَّا قَدْ أُوحِىَ إِلَيْنَآ أَنَّ ٱلْعَذَابَ عَلَىٰ مَن كَذَّبَ وَتَوَلَّىٰ",
              "translate_bn": "আমরা ওহী লাভ করেছি যে, যে ব্যক্তি মিথ্যারোপ করে এবং মুখ ফিরিয়ে নেয়, তার উপর আযাব পড়বে।",
              "numberInSurah": 48,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাদ ঊহিয়া ইলাইনাআন্নাল ‘আযা-বা ‘আলা-মান কাযযাবা ওয়া তাওয়াল্লা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//قَدْ/قَدۡ/qad//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْنَاۤ/إِلَيۡنَآ/ilayna//اَنَّ/أَنَّ/anna//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//كَذَّبَ/كَذَّبَ/kadhaba//وَ تَوَلّٰی /وَتَوَلَّىٰ/watawalla",
              "words_bangla": "আমরা নিশ্চয়ই (এমন যে)//নিশ্চয়ই//ওহী করা হয়েছে//প্রতি আমাদের//যে//শাস্তি//উপর//(তার) যে//মিথ্যারোপ করবে//ও মুখ ফিরাবে (অমান্য করবে)\""
            },
            {
              "number": 2397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2397.mp3"
              ],
              "text": "قَالَ فَمَن رَّبُّكُمَا يَٰمُوسَىٰ",
              "translate_bn": "সে বললঃ তবে হে মূসা, তোমাদের পালনকর্তা কে?",
              "numberInSurah": 49,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফামার রাব্বুকুমা-ইয়া-মূছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//فَمَنْ/فَمَن/faman//رَّبُّكُمَا/رَّبُّكُمَا/rabbukuma//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "(ফিরআউন) বললো//\"তাহ'লে কে//তোমাদের দু'জনের রব//হে মূসা\""
            },
            {
              "number": 2398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2398.mp3"
              ],
              "text": "قَالَ رَبُّنَا ٱلَّذِىٓ أَعْطَىٰ كُلَّ شَىْءٍ خَلْقَهُۥ ثُمَّ هَدَىٰ",
              "translate_bn": "মূসা বললেনঃ আমাদের পালনকর্তা তিনি, যিনি প্রত্যেক বস্তুকে তার যোগ্য আকৃতি দান করেছেন, অতঃপর পথপ্রদর্শন করেছেন।",
              "numberInSurah": 50,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বুনাল্লাযীআ‘তা-কুল্লা শাইয়িন খালকাহূছুম্মা হাদা-।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبُّنَا/رَبُّنَا/rabbuna//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَعْطٰی/أَعۡطَىٰ/a'ta//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//خَلْقَهٗ/خَلۡقَهُۥ/khalqahu//ثُمَّ/ثُمَّ/thumma//هَدٰی /هَدَىٰ/hada",
              "words_bangla": "মূসা বললো//\"আমাদের রব//(তিনি) যিনি//দিয়েছেন//প্রত্যেক//বস্তুকে//তার সৃষ্টি কাঠামো//এরপর//পথ দেখিয়েছেন\""
            },
            {
              "number": 2399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2399.mp3"
              ],
              "text": "قَالَ فَمَا بَالُ ٱلْقُرُونِ ٱلْأُولَىٰ",
              "translate_bn": "ফেরাউন বললঃ তাহলে অতীত যুগের লোকদের অবস্থা কি?",
              "numberInSurah": 51,
              "juz": 16,
              "manzil": 4,
              "page": 314,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফামা-বা-লুল কুরূনিল ঊলা-।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//فَمَا/فَمَا/fama//بَالُ/بَالُ/balu//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//الْاُوْلٰی /ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "সে বললো//\"তাহ'লে কি (হবে)//অবস্থা//শত শত বছরের বংশধরদের//পূর্বের\""
            },
            {
              "number": 2400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2400.mp3"
              ],
              "text": "قَالَ عِلْمُهَا عِندَ رَبِّى فِى كِتَٰبٍۢ ۖ لَّا يَضِلُّ رَبِّى وَلَا يَنسَى",
              "translate_bn": "মূসা বললেনঃ তাদের খবর আমার পালনকর্তার কাছে লিখিত আছে। আমার পালনকর্তা ভ্রান্ত হন না এং বিস্মৃতও হন না।",
              "numberInSurah": 52,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কা-লা ‘ইলমুহা-‘ইনদা রাববী ফী কিতা-বিল লা-ইয়াদিল্লুরাববী ওয়ালা-ইয়ানছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//عِلْمُهَا/عِلۡمُهَا/il'muha//عِنْدَ/عِندَ/inda//رَبِّیْ/رَبِّي/rabbi//فِیْ/فِي/fi//كِتٰبٍ ۚ/كِتَٰبٖۖ/kitabin//لَا/لَّا/la//یَضِلُّ/يَضِلُّ/yadillu//رَبِّیْ/رَبِّي/rabbi//وَ لَا/وَلَا/wala//یَنْسَیؗ/يَنسَى/yansa",
              "words_bangla": "সে বললো//\"তার জ্ঞান//নিকট (আছে)//আমার রবের//মধ্যে//একটি কিতাবের (সংরক্ষিত)//না//ভুল করেন//আমার রব//আর না//ভুলে যান\""
            },
            {
              "number": 2401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2401.mp3"
              ],
              "text": "ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ مَهْدًۭا وَسَلَكَ لَكُمْ فِيهَا سُبُلًۭا وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَخْرَجْنَا بِهِۦٓ أَزْوَٰجًۭا مِّن نَّبَاتٍۢ شَتَّىٰ",
              "translate_bn": "তিনি তোমাদের জন্যে পৃথিবীকে শয্যা করেছেন এবং তাতে চলার পথ করেছেন, আকাশ থেকে বৃষ্টি বর্ষণ করেছেন এবং তা দ্বারা আমি বিভিন্ন প্রকার উদ্ভিদ উৎপন্ন করেছি।",
              "numberInSurah": 53,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জা‘আলা লাকুমুল আরদা মাহদাওঁ ওয়া ছালাকা লাকুম ফীহা ছুবুলাওঁ ওয়া আনঝালা মিনাছছামাই মাআন ফাআখরাজনা-বিহীআঝওয়া-জাম মিন নাবা-তিন শাত্তা-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مَهْدًا/مَهۡدٗا/mahdan//وَّ سَلَكَ/وَسَلَكَ/wasalaka//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//سُبُلًا/سُبُلٗا/subulan//وَّ اَنْزَلَ/وَأَنزَلَ/wa-anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً ؕ/مَآءٗ/maan//فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//بِهٖۤ/بِهِۦٓ/bihi//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//مِّنْ/مِّن/min//نَّبَاتٍ/نَّبَاتٖ/nabatin//شَتّٰی /شَتَّىٰ/shatta",
              "words_bangla": "যিনি//করেছেন//জন্যে তোমাদের//পৃথিবীকে//বিছানা//ও চালিয়ে দিয়েছেন//তোমাদের জন্য//তার মধ্যে//পথসমূহ//এবং বর্ষণ করেছেন//থেকে//আকাশ//পানি//(আল্লাহ বলেন) অতঃপর আমরা বের করেছি//তা দিয়ে//জোড়া জোড়া//থেকে//উদ্ভিদ//বিভিন্ন"
            },
            {
              "number": 2402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2402.mp3"
              ],
              "text": "كُلُوا۟ وَٱرْعَوْا۟ أَنْعَٰمَكُمْ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّأُو۟لِى ٱلنُّهَىٰ",
              "translate_bn": "তোমরা আহার কর এবং তোমাদের চতুস্পদ জন্তু চরাও। নিশ্চয় এতে বিবেক বানদের জন্যে নিদর্শন রয়েছে।",
              "numberInSurah": 54,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 271,
              "hizbQuarter": 125,
              "sajda": false,
              "pronunciation_bn": "কুলূওয়ার‘আও আন ‘আ-মাকুম ইন্না ফী যা-লিকা লাআ-য়া-তিল লিউলিন নুহা-।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//وَ ارْعَوْا/وَٱرۡعَوۡاْ/wa-ir'aw//اَنْعَامَكُمْ ؕ/أَنۡعَٰمَكُمۡۚ/an'amakum//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّاُولِی/لِّأُوْلِي/li-uli//النُّهٰی۠/ٱلنُّهَىٰ/al-nuha",
              "words_bangla": "তোমরা খাও//ও তোমরা চড়াও//তোমাদের গবাদি পশুগুলোকে//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//সম্পন্নদেরদের জন্যে//বিবেক"
            },
            {
              "number": 2403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2403.mp3"
              ],
              "text": "۞ مِنْهَا خَلَقْنَٰكُمْ وَفِيهَا نُعِيدُكُمْ وَمِنْهَا نُخْرِجُكُمْ تَارَةً أُخْرَىٰ",
              "translate_bn": "এ মাটি থেকেই আমি তোমাদেরকে সৃজন করেছি, এতেই তোমাদেরকে ফিরিয়ে দিব এবং পুনরায় এ থেকেই আমি তোমাদেরকে উত্থিত করব।",
              "numberInSurah": 55,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "মিনহা-খালাকনা-কুম ওয়া ফীহা-নু‘ঈদুকুম ওয়ামিনহা-নুখরিজুকুম তা-রাতান উখরা-।",
              "words_arabic": "مِنْهَا/۞مِنۡهَا/min'ha//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//وَ فِیْهَا/وَفِيهَا/wafiha//نُعِیْدُكُمْ/نُعِيدُكُمۡ/nu'idukum//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//نُخْرِجُكُمْ/نُخۡرِجُكُمۡ/nukh'rijukum//تَارَةً/تَارَةً/taratan//اُخْرٰی /أُخۡرَىٰ/ukh'ra",
              "words_bangla": "তা (অর্থাৎ মাটি) হ'তে//তোমাদের আমরা সৃষ্টি করেছি//ও তার মধ্যে//তোমাদের ফিরিয়ে আনবো আমরা//এবং তার মধ্য হ'তে//তোমাদের বের করবো আমরা//একবার//আরও"
            },
            {
              "number": 2404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2404.mp3"
              ],
              "text": "وَلَقَدْ أَرَيْنَٰهُ ءَايَٰتِنَا كُلَّهَا فَكَذَّبَ وَأَبَىٰ",
              "translate_bn": "আমি ফেরাউনকে আমার সব নিদর্শন দেখিয়ে দিয়েছি, অতঃপর সে মিথ্যা আরোপ করেছে এবং অমান্য করেছে।",
              "numberInSurah": 56,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আরাইনা-হু আ-য়া-তিনা-কুল্লাহা-ফাকাযযাবা ওয়া আবা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرَیْنٰهُ/أَرَيۡنَٰهُ/araynahu//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//كُلَّهَا/كُلَّهَا/kullaha//فَكَذَّبَ/فَكَذَّبَ/fakadhaba//وَ اَبٰی /وَأَبَىٰ/wa-aba",
              "words_bangla": "এবং নিশ্চয়ই//(ফিরআউনকে) তাকে আমরা দেখিয়েছি//আমাদের নিদর্শনাবলী//তা সবই//কিন্তু সে মিথ্যারোপ করেছে//ও অমান্য করেছে"
            },
            {
              "number": 2405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2405.mp3"
              ],
              "text": "قَالَ أَجِئْتَنَا لِتُخْرِجَنَا مِنْ أَرْضِنَا بِسِحْرِكَ يَٰمُوسَىٰ",
              "translate_bn": "সে বললঃ হে মূসা, তুমি কি যাদুর জোরে আমাদেরকে দেশ থেকে বহিষ্কার করার জন্যে আগমন করেছ?",
              "numberInSurah": 57,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লা আজি‘তানা-লিতুখরিজানা-মিন আরদিনা-বিছিহরিকা ইয়া-মূছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اَجِئْتَنَا/أَجِئۡتَنَا/aji'tana//لِتُخْرِجَنَا/لِتُخۡرِجَنَا/litukh'rijana//مِنْ/مِنۡ/min//اَرْضِنَا/أَرۡضِنَا/ardina//بِسِحْرِكَ/بِسِحۡرِكَ/bisih'rika//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "(ফিরআউন) বললো//\"আমাদের কাছে তুমি এসেছ কি//আমাদের তুমি বের করার জন্যে//থেকে//আমাদের দেশ//তোমার জাদুর বলে//হে মূসা"
            },
            {
              "number": 2406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2406.mp3"
              ],
              "text": "فَلَنَأْتِيَنَّكَ بِسِحْرٍۢ مِّثْلِهِۦ فَٱجْعَلْ بَيْنَنَا وَبَيْنَكَ مَوْعِدًۭا لَّا نُخْلِفُهُۥ نَحْنُ وَلَآ أَنتَ مَكَانًۭا سُوًۭى",
              "translate_bn": "অতএব, আমরাও তোমার মোকাবেলায় তোমার নিকট অনুরূপ যাদু উপস্থিত করব। সুতরাং আমাদের ও তোমার মধ্যে একটি ওয়াদার দিন ঠিক কর, যার খেলাফ আমরাও করব না এবং তুমিও করবে না একটি পরিষ্কার প্রান্তরে।",
              "numberInSurah": 58,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফালানা’তিয়ান্নাকা বিছিহরিম মিছলিহী ফাজ‘আল বাইনানা-ওয়া বাইনাকা মাও‘ইদাল লানুখলিফুহূনাহনুওয়ালাআনতা মাকা-নান ছুওয়া-।",
              "words_arabic": "فَلَنَاْتِیَنَّكَ/فَلَنَأۡتِيَنَّكَ/falanatiyannaka//بِسِحْرٍ/بِسِحۡرٖ/bisih'rin//مِّثْلِهٖ/مِّثۡلِهِۦ/mith'lihi//فَاجْعَلْ/فَٱجۡعَلۡ/fa-ij'al//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَكَ/وَبَيۡنَكَ/wabaynaka//مَوْعِدًا/مَوۡعِدٗا/maw'idan//لَّا/لَّا/la//نُخْلِفُهٗ/نُخۡلِفُهُۥ/nukh'lifuhu//نَحْنُ/نَحۡنُ/nahnu//وَ لَاۤ/وَلَآ/wala//اَنْتَ/أَنتَ/anta//مَكَانًا/مَكَانٗا/makanan//سُوًی /سُوٗى/suwan",
              "words_bangla": "সুতরাং আমরা তোমার কাছে অবশ্যই আসবো//জাদু নিয়ে//তার অনুরূপ//অতএব স্থির করো//আমাদের মাঝে//ও তোমার মাঝে//নির্দিষ্ট সময়//না//তা আমরা ব্যতিক্রম করবো//(না) আমরা//আর না//তুমি//প্রান্তর//সমতল\""
            },
            {
              "number": 2407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2407.mp3"
              ],
              "text": "قَالَ مَوْعِدُكُمْ يَوْمُ ٱلزِّينَةِ وَأَن يُحْشَرَ ٱلنَّاسُ ضُحًۭى",
              "translate_bn": "মূসা বললঃ তোমাদের ওয়াদার দিন উৎসবের দিন এবং পূর্বাহেߠলোকজন সমবেত হবে।",
              "numberInSurah": 59,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লা মাও‘ইদুকুম ইয়াওমুঝ ঝীনাতি ওয়া আইঁ ইউহশারান্না-ছুদু হা-।",
              "words_arabic": "قَالَ/قَالَ/qala//مَوْعِدُكُمْ/مَوۡعِدُكُمۡ/maw'idukum//یَوْمُ/يَوۡمُ/yawmu//الزِّیْنَةِ/ٱلزِّينَةِ/al-zinati//وَ اَنْ/وَأَن/wa-an//یُّحْشَرَ/يُحۡشَرَ/yuh'shara//النَّاسُ/ٱلنَّاسُ/al-nasu//ضُحًی /ضُحٗى/duhan",
              "words_bangla": "(মূসা) বললো//\"নির্দিষ্ট সময় তোমাদের//দিন//উৎসবের//এবং (এও) যে//জমায়েত হবে//জনতা//সূর্যোদয়ের সাথে\""
            },
            {
              "number": 2408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2408.mp3"
              ],
              "text": "فَتَوَلَّىٰ فِرْعَوْنُ فَجَمَعَ كَيْدَهُۥ ثُمَّ أَتَىٰ",
              "translate_bn": "অতঃপর ফেরাউন প্রস্থান করল এবং তার সব কলাকৌশল জমা করল অতঃপর উপস্থিত হল।",
              "numberInSurah": 60,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা-ফির‘আওনুফাজামা‘আ কাইদাহূছুম্মা আতা-।",
              "words_arabic": "فَتَوَلّٰی/فَتَوَلَّىٰ/fatawalla//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//فَجَمَعَ/فَجَمَعَ/fajama'a//كَیْدَهٗ/كَيۡدَهُۥ/kaydahu//ثُمَّ/ثُمَّ/thumma//اَتٰی /أَتَىٰ/ata",
              "words_bangla": "অতঃপর চলে গেলো//ফিরআউন//অতঃপর একত্র করলো//তার কলাকৌশল//এরপর//আসলো"
            },
            {
              "number": 2409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2409.mp3"
              ],
              "text": "قَالَ لَهُم مُّوسَىٰ وَيْلَكُمْ لَا تَفْتَرُوا۟ عَلَى ٱللَّهِ كَذِبًۭا فَيُسْحِتَكُم بِعَذَابٍۢ ۖ وَقَدْ خَابَ مَنِ ٱفْتَرَىٰ",
              "translate_bn": "মূসা (আঃ) তাদেরকে বললেনঃ দুর্ভাগ্য তোমাদের; তোমরা আল্লাহর প্রতি মিথ্যা আরোপ করো না। তাহলে তিনি তোমাদেরকে আযাব দ্বারা ধবংস করে দেবেন। যে মিথ্যা উদভাবন করে, সেই বিফল মনোরথ হয়েছে।",
              "numberInSurah": 61,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাহুম মূছা-ওয়াইলাকুম লা-তাফতারূ‘আলাল্লা-হি কাযিবান ফাইউছহিতাকুম বি‘আযা-বিওঁ ওয়া কাদ খা-বা মানিফতারা-।",
              "words_arabic": "قَالَ/قَالَ/qala//لَهُمْ/لَهُم/lahum//مُّوْسٰی/مُّوسَىٰ/musa//وَیْلَكُمْ/وَيۡلَكُمۡ/waylakum//لَا/لَا/la//تَفْتَرُوْا/تَفۡتَرُواْ/taftaru//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبٗا/kadhiban//فَیُسْحِتَكُمْ/فَيُسۡحِتَكُم/fayus'hitakum//بِعَذَابٍ ۚ/بِعَذَابٖۖ/bi'adhabin//وَ قَدْ/وَقَدۡ/waqad//خَابَ/خَابَ/khaba//مَنِ/مَنِ/mani//افْتَرٰی /ٱفۡتَرَىٰ/if'tara",
              "words_bangla": "বললো//তাদেরকে//মূসা//\"তোমাদের জন্যে দুর্ভোগ//না//তোমরা আরোপ করো//প্রতি//আল্লাহর//মিথ্যা//তাহ'লে তোমাদের  ধ্বংস করে দিবেন//শাস্তি দিয়ে//এবং নিশ্চয়ই//ব্যর্থ হয়েছে//(সে) যে//মিথ্যা রচনা করেছে\""
            },
            {
              "number": 2410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2410.mp3"
              ],
              "text": "فَتَنَٰزَعُوٓا۟ أَمْرَهُم بَيْنَهُمْ وَأَسَرُّوا۟ ٱلنَّجْوَىٰ",
              "translate_bn": "অতঃপর তারা তাদের কাজে নিজেদের মধ্যে বিতর্ক করল এবং গোপনে পরামর্শ করল।",
              "numberInSurah": 62,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাতানা-ঝা‘ঊআমরাহুম বাইনাহুম ওয়া আছাররুন নাজওয়া-।",
              "words_arabic": "فَتَنَازَعُوْۤا/فَتَنَٰزَعُوٓاْ/fatanaza'u//اَمْرَهُمْ/أَمۡرَهُم/amrahum//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//وَ اَسَرُّوا/وَأَسَرُّواْ/wa-asarru//النَّجْوٰی /ٱلنَّجۡوَىٰ/al-najwa",
              "words_bangla": "অতঃপর তারা মতবিরোধ করলো//কাজে তাদের//মাঝে তাদের//এবং গোপনে করলো//পরামর্শ"
            },
            {
              "number": 2411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2411.mp3"
              ],
              "text": "قَالُوٓا۟ إِنْ هَٰذَٰنِ لَسَٰحِرَٰنِ يُرِيدَانِ أَن يُخْرِجَاكُم مِّنْ أَرْضِكُم بِسِحْرِهِمَا وَيَذْهَبَا بِطَرِيقَتِكُمُ ٱلْمُثْلَىٰ",
              "translate_bn": "তারা বললঃ এই দুইজন নিশ্চিতই যাদুকর, তারা তাদের যাদু দ্বারা তোমাদেরকে তোমাদের দেশ থেকে বহিস্কার করতে চায় এবং তোমাদের উৎকৃষ্ট জীবন ব্যবস্থা রহিত করতে চায়।",
              "numberInSurah": 63,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন হা-যা-নি লাছা-হিরা-নি ইউরীদা-নি আইঁ ইউখরিজা-কুমমিনআরদিকুম বিছিহরিহিমা-ওয়া ইয়াযহাবা -বিতারীকাতিকুমুল মুছলা-।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنْ/إِنۡ/in//هٰذٰىنِ/هَٰذَٰنِ/hadhani//لَسٰحِرٰنِ/لَسَٰحِرَٰنِ/lasahirani//یُرِیْدٰنِ/يُرِيدَانِ/yuridani//اَنْ/أَن/an//یُّخْرِجٰكُمْ/يُخۡرِجَاكُم/yukh'rijakum//مِّنْ/مِّنۡ/min//اَرْضِكُمْ/أَرۡضِكُم/ardikum//بِسِحْرِهِمَا/بِسِحۡرِهِمَا/bisih'rihima//وَ یَذْهَبَا/وَيَذۡهَبَا/wayadhhaba//بِطَرِیْقَتِكُمُ/بِطَرِيقَتِكُمُ/bitariqatikumu//الْمُثْلٰی /ٱلۡمُثۡلَىٰ/al-muth'la",
              "words_bangla": "(অবশেষে কিছু লোক) বললো//\"নিশ্চয়ই//এ দু'জন//অবশ্যই দুই জাদুকর//দু'জনে চায়//যে//দু'জনে বের করে দিবে তোমাদেরকে//থেকে//তোমাদের দেশ//জাদুর বলে তাদের দু'জনের//এবং দু'জনে যাবে (নসাৎ করবে)//নিয়ে তোমাদের জীবন ব্যবস্থাকে//(যা হলো) আদর্শ"
            },
            {
              "number": 2412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2412.mp3"
              ],
              "text": "فَأَجْمِعُوا۟ كَيْدَكُمْ ثُمَّ ٱئْتُوا۟ صَفًّۭا ۚ وَقَدْ أَفْلَحَ ٱلْيَوْمَ مَنِ ٱسْتَعْلَىٰ",
              "translate_bn": "অতএব, তোমরা তোমাদের কলাকৌশল সুসংহত কর, অতঃপর সারিবদ্ধ হয়ে আস। আজ যে জয়ী হবে, সেই সফলকাম হবে।",
              "numberInSurah": 64,
              "juz": 16,
              "manzil": 4,
              "page": 315,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাআজমি‘উ কাইদাকুম ছুম্মা’তূসাফফাওঁ ওয়াকাদ আফলাহাল ইয়াওমা মানিছতা‘লা-।",
              "words_arabic": "فَاَجْمِعُوْا/فَأَجۡمِعُواْ/fa-ajmi'u//كَیْدَكُمْ/كَيۡدَكُمۡ/kaydakum//ثُمَّ/ثُمَّ/thumma//ائْتُوْا/ٱئۡتُواْ/i'tu//صَفًّا ۚ/صَفّٗاۚ/saffan//وَ قَدْ/وَقَدۡ/waqad//اَفْلَحَ/أَفۡلَحَ/aflaha//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//مَنِ/مَنِ/mani//اسْتَعْلٰی /ٱسۡتَعۡلَىٰ/is'ta'la",
              "words_bangla": "সুতরাং তোমরা একত্র করো//কলাকৌশল তোমাদের//এরপর//আসো//সারি বেঁধে (একত্রিত হয়ে)//এবং নিশ্চয়ই//সফল হবে//আজ//যে//প্রাধান্য বিস্তার করবে\""
            },
            {
              "number": 2413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2413.mp3"
              ],
              "text": "قَالُوا۟ يَٰمُوسَىٰٓ إِمَّآ أَن تُلْقِىَ وَإِمَّآ أَن نَّكُونَ أَوَّلَ مَنْ أَلْقَىٰ",
              "translate_bn": "তারা বললঃ হে মূসা, হয় তুমি নিক্ষেপ কর, না হয় আমরা প্রথমে নিক্ষেপ করি।",
              "numberInSurah": 65,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-মূছাইম্মাআন তুলকিয়া ওয়া ইম্মাআন নাকূনা আওয়ালা মান আলকা-।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِمَّاۤ/إِمَّآ/imma//اَنْ/أَن/an//تُلْقِیَ/تُلۡقِيَ/tul'qiya//وَ اِمَّاۤ/وَإِمَّآ/wa-imma//اَنْ/أَن/an//نَّكُوْنَ/نَّكُونَ/nakuna//اَوَّلَ/أَوَّلَ/awwala//مَنْ/مَنۡ/man//اَلْقٰی /أَلۡقَىٰ/alqa",
              "words_bangla": "(জাদুকররা) বললো//\"হে মূসা//হয়//যে//তুমি নিক্ষেপ করবে//আর (না) হয়//যে//আমরা হবো//প্রথম//যে//নিক্ষেপ করবে\""
            },
            {
              "number": 2414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2414.mp3"
              ],
              "text": "قَالَ بَلْ أَلْقُوا۟ ۖ فَإِذَا حِبَالُهُمْ وَعِصِيُّهُمْ يُخَيَّلُ إِلَيْهِ مِن سِحْرِهِمْ أَنَّهَا تَسْعَىٰ",
              "translate_bn": "মূসা বললেনঃ বরং তোমরাই নিক্ষেপ কর। তাদের যাদুর প্রভাবে হঠাৎ তাঁর মনে হল, যেন তাদের রশিগুলো ও লাঠিগুলো চুটাছুটি করছে।",
              "numberInSurah": 66,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লা বাল আলকূ,ফাইযা- হিবা-লুহুম ওয়া ‘ইসিইউহুম ইউখাইইয়ালুইলাইহি মিন ছিহরিহিম আন্নাহা-তাছ‘আ-।",
              "words_arabic": "قَالَ/قَالَ/qala//بَلْ/بَلۡ/bal//اَلْقُوْا ۚ/أَلۡقُواْۖ/alqu//فَاِذَا/فَإِذَا/fa-idha//حِبَالُهُمْ/حِبَالُهُمۡ/hibaluhum//وَ عِصِیُّهُمْ/وَعِصِيُّهُمۡ/wa'isiyyuhum//یُخَیَّلُ/يُخَيَّلُ/yukhayyalu//اِلَیْهِ/إِلَيۡهِ/ilayhi//مِنْ/مِن/min//سِحْرِهِمْ/سِحۡرِهِمۡ/sih'rihim//اَنَّهَا/أَنَّهَا/annaha//تَسْعٰی /تَسۡعَىٰ/tas'a",
              "words_bangla": "(মূসা) বললো//\"বরং//তোমরা নিক্ষেপ করো\"//অতঃপর তখন//তাদের দড়াদড়ি//ও তাদের লাঠিসোটাগুলো//মনে হলো//তার দিকে//কারণে//তাদের জাদুর//তা যে//ছুটোছুটি"
            },
            {
              "number": 2415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2415.mp3"
              ],
              "text": "فَأَوْجَسَ فِى نَفْسِهِۦ خِيفَةًۭ مُّوسَىٰ",
              "translate_bn": "অতঃপর মূসা মনে মনে কিছুটা ভীতি অনুভব করলেন।",
              "numberInSurah": 67,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাআওজাছা ফী নাফছিহী খীফাতাম মূছা-।",
              "words_arabic": "فَاَوْجَسَ/فَأَوۡجَسَ/fa-awjasa//فِیْ/فِي/fi//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//خِیْفَةً/خِيفَةٗ/khifatan//مُّوْسٰی /مُّوسَىٰ/musa",
              "words_bangla": "অতঃপর অনুভব করলো//মধ্যে//তার নিজের//ভয়//মূসা (নিজেও)"
            },
            {
              "number": 2416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2416.mp3"
              ],
              "text": "قُلْنَا لَا تَخَفْ إِنَّكَ أَنتَ ٱلْأَعْلَىٰ",
              "translate_bn": "আমি বললামঃ ভয় করো না, তুমি বিজয়ী হবে।",
              "numberInSurah": 68,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কুলনা- লা-তাখাফ ইন্নাকা আনতাল আ‘লা-।",
              "words_arabic": "قُلْنَا/قُلۡنَا/qul'na//لَا/لَا/la//تَخَفْ/تَخَفۡ/takhaf//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْاَعْلٰی /ٱلۡأَعۡلَىٰ/al-a'la",
              "words_bangla": "আমরা বললাম//\"না//ভয় করো//তুমি নিশ্চয়ই//তুমিই//বিজয়ী (হবে)"
            },
            {
              "number": 2417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2417.mp3"
              ],
              "text": "وَأَلْقِ مَا فِى يَمِينِكَ تَلْقَفْ مَا صَنَعُوٓا۟ ۖ إِنَّمَا صَنَعُوا۟ كَيْدُ سَٰحِرٍۢ ۖ وَلَا يُفْلِحُ ٱلسَّاحِرُ حَيْثُ أَتَىٰ",
              "translate_bn": "তোমার ডান হাতে যা আছে তুমি তা নিক্ষেপ কর। এটা যা কিছু তারা করেছে তা গ্রাস করে ফেলবে। তারা যা করেছে তা তো কেবল যাদুকরের কলাকৌশল। যাদুকর যেখানেই থাকুক, সফল হবে না।",
              "numberInSurah": 69,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল কিমা-ফী ইয়ামীনিকা তালকাফ মা-সানা‘ঊ ইন্নামা-সানা‘ঊ কাইদুছাহিরিওঁ ওয়ালা-ইউফলিহুছছা-হিরু হাইছুআতা-।",
              "words_arabic": "وَ اَلْقِ/وَأَلۡقِ/wa-alqi//مَا/مَا/ma//فِیْ/فِي/fi//یَمِیْنِكَ/يَمِينِكَ/yaminika//تَلْقَفْ/تَلۡقَفۡ/talqaf//مَا/مَا/ma//صَنَعُوْا ؕ/صَنَعُوٓاْۖ/sana'u//اِنَّمَا/إِنَّمَا/innama//صَنَعُوْا/صَنَعُواْ/sana'u//كَیْدُ/كَيۡدُ/kaydu//سٰحِرٍ ؕ/سَٰحِرٖۖ/sahirin//وَ لَا/وَلَا/wala//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//السَّاحِرُ/ٱلسَّاحِرُ/al-sahiru//حَیْثُ/حَيۡثُ/haythu//اَتٰی /أَتَىٰ/ata",
              "words_bangla": "এবং নিক্ষেপ করো//যা//মধ্যে (আছে)//তোমার ডান হাতের//গ্রাস করবে//যা কিছু//তারা বানিয়েছে//মূলতঃ//তারা বানিয়েছে//কলাকৌশল//জাদুকরের//এবং না//সফল হয়//জাদুকর//যেখান থেকেই//আসুক (না কেন)\""
            },
            {
              "number": 2418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2418.mp3"
              ],
              "text": "فَأُلْقِىَ ٱلسَّحَرَةُ سُجَّدًۭا قَالُوٓا۟ ءَامَنَّا بِرَبِّ هَٰرُونَ وَمُوسَىٰ",
              "translate_bn": "অতঃপর যাদুকররা সেজদায় পড়ে গেল। তারা বললঃ আমরা হারুন ও মূসার পালনকর্তার প্রতি বিশ্বাস স্থাপন করলাম।",
              "numberInSurah": 70,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাউলকিয়াছ ছাহারাতুছুজ্জাদান কা-লূআ-মান্না-বিরাব্বি হা-রূনা ওয়া মূছা-।",
              "words_arabic": "فَاُلْقِیَ/فَأُلۡقِيَ/fa-ul'qiya//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//سُجَّدًا/سُجَّدٗا/sujjadan//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِرَبِّ/بِرَبِّ/birabbi//هٰرُوْنَ/هَٰرُونَ/haruna//وَ مُوْسٰی /وَمُوسَىٰ/wamusa",
              "words_bangla": "অতঃপর পড়ে গেল//জাদুকররা//সিজদায়//তারা বললো//\"আমরা ঈমান আনলাম//রবের উপর//হারূনের//ও মূসার\""
            },
            {
              "number": 2419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2419.mp3"
              ],
              "text": "قَالَ ءَامَنتُمْ لَهُۥ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّهُۥ لَكَبِيرُكُمُ ٱلَّذِى عَلَّمَكُمُ ٱلسِّحْرَ ۖ فَلَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَٰفٍۢ وَلَأُصَلِّبَنَّكُمْ فِى جُذُوعِ ٱلنَّخْلِ وَلَتَعْلَمُنَّ أَيُّنَآ أَشَدُّ عَذَابًۭا وَأَبْقَىٰ",
              "translate_bn": "ফেরাউন বললঃ আমার অনুমতি দানের পূর্বেই? তোমরা কি তার প্রতি বিশ্বাস স্থাপন করলে; দেখছি সেই তোমাদের প্রধান, সে তোমাদেরকে যাদু শিক্ষা দিয়েছে। অতএব আমি অবশ্যই তোমাদের হস্তপদ বিপরীত দিক থেকে কর্তন করব এবং আমি তোমাদেরকে খর্জুর বৃক্ষের কান্ডে শূলে চড়াব এবং তোমরা নিশ্চিত রূপেই জানতে পারবে আমাদের মধ্যে কার আযাব কঠোরতর এবং অধিক্ষণ স্থায়ী।",
              "numberInSurah": 71,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লা আ-মানতুম লাহূ কাবলা আন আ-যানা লাকুম ইন্নাহূ লাকাবীরুকুমুল্লাযী ‘আল্লামাকুমুছ ছিহরা ফালাউকাত্তি‘আন্না আইদিয়াকুম ওয়া আরজুলাকুম মিন খিলা-ফিওঁ ওয়ালা উসালিলবান্নাকুম ফী জুযূ‘ইন নাখলি ওয়ালা তা‘লামুন্না আইঁ ইউনাআশাদ্দু‘আযাবাওঁ ওয়াআবকা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اٰمَنْتُمْ/ءَامَنتُمۡ/amantum//لَهٗ/لَهُۥ/lahu//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَنۡ/an//اٰذَنَ/ءَاذَنَ/adhana//لَكُمْ ؕ/لَكُمۡۖ/lakum//اِنَّهٗ/إِنَّهُۥ/innahu//لَكَبِیْرُكُمُ/لَكَبِيرُكُمُ/lakabirukumu//الَّذِیْ/ٱلَّذِي/alladhi//عَلَّمَكُمُ/عَلَّمَكُمُ/allamakumu//السِّحْرَ ۚ/ٱلسِّحۡرَۖ/al-sih'ra//فَلَاُقَطِّعَنَّ/فَلَأُقَطِّعَنَّ/fala-uqatti'anna//اَیْدِیَكُمْ/أَيۡدِيَكُمۡ/aydiyakum//وَ اَرْجُلَكُمْ/وَأَرۡجُلَكُم/wa-arjulakum//مِّنْ/مِّنۡ/min//خِلَافٍ/خِلَٰفٖ/khilafin//وَّ لَاُصَلِّبَنَّكُمْ/وَلَأُصَلِّبَنَّكُمۡ/wala-usallibannakum//فِیْ/فِي/fi//جُذُوْعِ/جُذُوعِ/judhu'i//النَّخْلِ ؗ/ٱلنَّخۡلِ/al-nakhli//وَ لَتَعْلَمُنَّ/وَلَتَعۡلَمُنَّ/walata'lamunna//اَیُّنَاۤ/أَيُّنَآ/ayyuna//اَشَدُّ/أَشَدُّ/ashaddu//عَذَابًا/عَذَابٗا/adhaban//وَّ اَبْقٰی /وَأَبۡقَىٰ/wa-abqa",
              "words_bangla": "(ফিরআউন) বললো//\"তোমরা ঈমান এনেছো//তার উপর//পূর্বেই//যে//আমি অনুমতি দিবো//তোমাদেরকে//সে নিশ্চয়ই//অবশ্যই তোমাদের প্রধান//যে//তোমাদেরকে শিখিয়েছে//জাদু//সুতরাং অবশ্যই আমি কেটে দিবো//তোমাদের হাতগুলো//ও তোমাদের পাগুলো//থেকে//বিপরীত দিক//এবং অবশ্যই তোমাদেরকে আমি শুলে চড়াবোই//মধ্যে//কাণ্ডের//খেজুরের//এবং তোমরা অবশ্যই জানবেই//আমাদের মধ্যে কে//কঠোরতর//শাস্তি দেওয়াতে//ও অধিক স্থায়ী\""
            },
            {
              "number": 2420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2420.mp3"
              ],
              "text": "قَالُوا۟ لَن نُّؤْثِرَكَ عَلَىٰ مَا جَآءَنَا مِنَ ٱلْبَيِّنَٰتِ وَٱلَّذِى فَطَرَنَا ۖ فَٱقْضِ مَآ أَنتَ قَاضٍ ۖ إِنَّمَا تَقْضِى هَٰذِهِ ٱلْحَيَوٰةَ ٱلدُّنْيَآ",
              "translate_bn": "যাদুকররা বললঃ আমাদের কাছে যে, সুস্পষ্ট প্রমাণ এসেছে তার উপর এবং যিনি আমাদের কে সৃষ্টি করেছেন, তাঁর উপর আমরা কিছুতেই তোমাকে প্রাধান্য দেব না। অতএব, তুমি যা ইচ্ছা করতে পার। তুমি তো শুধু এই পার্থিব জীবনেই যা করার করবে।",
              "numberInSurah": 72,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কা-লূলান নু’ছিরাকা ‘আলা-মা-জাআনা-মিনাল বাইয়িনা-তি ওয়াল্লাযী ফাতারানাফাকদিমাআনতা কা-দিন ইন্নামা-তাকদী হা-যিহিল হায়া-তাদ দুনইয়া-।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَنْ/لَن/lan//نُّؤْثِرَكَ/نُّؤۡثِرَكَ/nu'thiraka//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//جَآءَنَا/جَآءَنَا/jaana//مِنَ/مِنَ/mina//الْبَیِّنٰتِ/ٱلۡبَيِّنَٰتِ/al-bayinati//وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//فَطَرَنَا/فَطَرَنَاۖ/fatarana//فَاقْضِ/فَٱقۡضِ/fa-iq'di//مَاۤ/مَآ/ma//اَنْتَ/أَنتَ/anta//قَاضٍ ؕ/قَاضٍۖ/qadin//اِنَّمَا/إِنَّمَا/innama//تَقْضِیْ/تَقۡضِي/taqdi//هٰذِهِ/هَٰذِهِ/hadhihi//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَاؕ/ٱلدُّنۡيَآ/al-dun'ya",
              "words_bangla": "তারা বলেছিলো//\"কখনও না//তোমাকে প্রাধান্য দিবো আমরা//এর উপর//যা//আমাদের কাছে এসেছে//থেকে//সুস্পষ্ট নিদর্শনাবলী//এবং যিনি//আমাদের সৃষ্টি করেছেন//তাই তুমি বিচার করো//যা কিছু//তুমি//বিচারক (করতে চাও)//মূলতঃ//তুমি তো বিচার করতে পারবে//এই//জীবনে//দুনিয়ার"
            },
            {
              "number": 2421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2421.mp3"
              ],
              "text": "إِنَّآ ءَامَنَّا بِرَبِّنَا لِيَغْفِرَ لَنَا خَطَٰيَٰنَا وَمَآ أَكْرَهْتَنَا عَلَيْهِ مِنَ ٱلسِّحْرِ ۗ وَٱللَّهُ خَيْرٌۭ وَأَبْقَىٰٓ",
              "translate_bn": "আমরা আমাদের পালনকর্তার প্রতি বিশ্বাস স্থাপন করেছি যাতে তিনি আমাদের পাপ এবং তুমি আমাদেরকে যে যাদু করতে বাধ্য করেছ, তা মার্জনা করেন। আল্লাহ শ্রেষ্ঠ ও চিরস্থায়ী।",
              "numberInSurah": 73,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআ-মান্না-বিরাব্বিনা-লিইয়াগফিরালানা-খাতা-ইয়া-না-ওয়ামাআকরাহতানা‘আলাইহি মিনাছছিহরি ওয়াল্লা-হু খাইরুওঁ ওয়া আবকা-।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اٰمَنَّا/ءَامَنَّا/amanna//بِرَبِّنَا/بِرَبِّنَا/birabbina//لِیَغْفِرَ/لِيَغۡفِرَ/liyaghfira//لَنَا/لَنَا/lana//خَطٰیٰنَا/خَطَٰيَٰنَا/khatayana//وَ مَاۤ/وَمَآ/wama//اَكْرَهْتَنَا/أَكۡرَهۡتَنَا/akrahtana//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنَ/مِنَ/mina//السِّحْرِ ؕ/ٱلسِّحۡرِۗ/al-sih'ri//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَبْقٰی /وَأَبۡقَىٰٓ/wa-abqa",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা ঈমান এনেছি//আমাদের রবের উপর//যেন তিনি ক্ষমা করেন//আমাদের//আমাদের পাপসমূহকে//এবং যা//আমাদেরকে তুমি বাধ্য করেছো//তার উপর//কারণে//জাদুর//এবং আল্লাহ//উত্তম//ও চিরস্থায়ী\""
            },
            {
              "number": 2422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2422.mp3"
              ],
              "text": "إِنَّهُۥ مَن يَأْتِ رَبَّهُۥ مُجْرِمًۭا فَإِنَّ لَهُۥ جَهَنَّمَ لَا يَمُوتُ فِيهَا وَلَا يَحْيَىٰ",
              "translate_bn": "নিশ্চয়ই যে তার পালনকর্তার কাছে অপরাধী হয়ে আসে, তার জন্য রয়েছে জাহান্নাম। সেখানে সে মরবে না এবং বাঁচবেও না।",
              "numberInSurah": 74,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূমাইঁ ইয়া’তি রাব্বাহূমুজরিমান ফাইন্না লাহূজাহান্নামা লা-ইয়ামূতুফীহা-ওয়ালাইয়াহইয়া-।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//مَنْ/مَن/man//یَّاْتِ/يَأۡتِ/yati//رَبَّهٗ/رَبَّهُۥ/rabbahu//مُجْرِمًا/مُجۡرِمٗا/muj'riman//فَاِنَّ/فَإِنَّ/fa-inna//لَهٗ/لَهُۥ/lahu//جَهَنَّمَ ؕ/جَهَنَّمَ/jahannama//لَا/لَا/la//یَمُوْتُ/يَمُوتُ/yamutu//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//یَحْیٰی /يَحۡيَىٰ/yahya",
              "words_bangla": "(প্রকৃত কথা) তাই নিশ্চয়ই//যে কেউ//আসবে//তাদের রবের কাছে//অপরাধী হয়ে//অতঃপর নিশ্চয়ই//তার জন্যে//জাহান্নাম//না//সে মরবে//তার মধ্যে//আর না//বাঁচবে"
            },
            {
              "number": 2423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2423.mp3"
              ],
              "text": "وَمَن يَأْتِهِۦ مُؤْمِنًۭا قَدْ عَمِلَ ٱلصَّٰلِحَٰتِ فَأُو۟لَٰٓئِكَ لَهُمُ ٱلدَّرَجَٰتُ ٱلْعُلَىٰ",
              "translate_bn": "আর যারা তাঁর কাছে আসে এমন ঈমানদার হয়ে যায় সৎকর্ম সম্পাদন করেছে, তাদের জন্যে রয়েছে সুউচ্চ মর্তবা।",
              "numberInSurah": 75,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাইঁ ইয়া’তিহী মু’মিনান কাদ ‘আমিলাসসা-লিহা-তি ফাউলাইকা লাহুমুদ দারাজা-তুল ‘উলা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّاْتِهٖ/يَأۡتِهِۦ/yatihi//مُؤْمِنًا/مُؤۡمِنٗا/mu'minan//قَدْ/قَدۡ/qad//عَمِلَ/عَمِلَ/amila//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//لَهُمُ/لَهُمُ/lahumu//الدَّرَجٰتُ/ٱلدَّرَجَٰتُ/al-darajatu//الْعُلٰیۙ/ٱلۡعُلَىٰ/al-'ula",
              "words_bangla": "এবং যে//তাঁর কাছে আসবে//মু'মিন হয়ে//নিশ্চয়ই//সে কাজ করেছে//সৎ//অতঃপর ঐসব লোক//তাদের জন্যে (রয়েছে)//মর্যাদাসমূহ//সমুচ্চ"
            },
            {
              "number": 2424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2424.mp3"
              ],
              "text": "جَنَّٰتُ عَدْنٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ جَزَآءُ مَن تَزَكَّىٰ",
              "translate_bn": "বসবাসের এমন পুষ্পোদ্যান রয়েছে যার তলদেশে দিয়ে নির্ঝরিণীসমূহ প্রবাহিত হয়। সেখানে তারা চিরকাল থাকবে এটা তাদেরই পুরস্কার, যারা পবিত্র হয়।",
              "numberInSurah": 76,
              "juz": 16,
              "manzil": 4,
              "page": 316,
              "ruku": 272,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "জান্না-তু‘আদনিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা- ওয়া যা-লিকা জাঝাউ মান তাঝাক্কা-",
              "words_arabic": "جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//جَزٰٓؤُا/جَزَآءُ/jazau//مَنْ/مَن/man//تَزَكّٰی۠/تَزَكَّىٰ/tazakka",
              "words_bangla": "জান্নাত//স্থায়ী//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাসমূহ//তারা স্থায়ী হবে//তার মধ্যে//এবং এটা//পুরস্কার//(তার) যে//পরিশুদ্ধ হবে"
            },
            {
              "number": 2425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2425.mp3"
              ],
              "text": "وَلَقَدْ أَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَسْرِ بِعِبَادِى فَٱضْرِبْ لَهُمْ طَرِيقًۭا فِى ٱلْبَحْرِ يَبَسًۭا لَّا تَخَٰفُ دَرَكًۭا وَلَا تَخْشَىٰ",
              "translate_bn": "আমি মূসা প্রতি এই মর্মে ওহী করলাম যে, আমার বান্দাদেরকে নিয়ে রাত্রিযোগে বের হয়ে যাও এবং তাদের জন্যে সমুদ্রে শুষ্কপথ নির্মাণ কর। পেছন থেকে এসে তোমাদের ধরে ফেলার আশঙ্কা করো না এবং পানিতে ডুবে যাওয়ার ভয় করো না।",
              "numberInSurah": 77,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আওহাইনাইলা মূছা আন আছরি বি‘ইবা-দী ফাদরিব লাহুম তারীকান ফিল বাহরি ইয়াবাছাল লা-তাখা-ফুদারাকাওঁ ওয়ালা-তাখশা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰۤی ۙ۬/مُوسَىٰٓ/musa//اَنْ/أَنۡ/an//اَسْرِ/أَسۡرِ/asri//بِعِبَادِیْ/بِعِبَادِي/bi'ibadi//فَاضْرِبْ/فَٱضۡرِبۡ/fa-id'rib//لَهُمْ/لَهُمۡ/lahum//طَرِیْقًا/طَرِيقٗا/tariqan//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//یَبَسًا ۙ/يَبَسٗا/yabasan//لَّا/لَّا/la//تَخٰفُ/تَخَٰفُ/takhafu//دَرَكًا/دَرَكٗا/darakan//وَّ لَا/وَلَا/wala//تَخْشٰی /تَخۡشَىٰ/takhsha",
              "words_bangla": "এবং নিশ্চয়ই//আমরা ওহী করেছিলাম//প্রতি//মূসার//যে//\"রাতে বেরিয়ে পড়ো//নিয়ে আমার দাসদের//অতঃপর (লাঠির) আঘাত করো (অবলম্বন করো)//তাদের জন্যে//পথ//মধ্যে//সাগরের//শুকনো//না//ভয় করো তুমি//ধরা পড়ার//আর না//ঘাবড়ে যাও তুমি (ডুবে যাওয়ার)\""
            },
            {
              "number": 2426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2426.mp3"
              ],
              "text": "فَأَتْبَعَهُمْ فِرْعَوْنُ بِجُنُودِهِۦ فَغَشِيَهُم مِّنَ ٱلْيَمِّ مَا غَشِيَهُمْ",
              "translate_bn": "অতঃপর ফেরাউন তার সৈন্যবাহিনী নিয়ে তাদের পশ্চাদ্ধাবন করল এবং সমুদ্র তাদেরকে সম্পূর্ণরূপে নিমজ্জত করল।",
              "numberInSurah": 78,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ফাআতবা‘আহুম ফির‘আওনুবিজুনূদিহী ফাগাশিয়াহুম মিনাল ইয়াম্মি মা-গাশিইয়াহুম।",
              "words_arabic": "فَاَتْبَعَهُمْ/فَأَتۡبَعَهُمۡ/fa-atba'ahum//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//بِجُنُوْدِهٖ/بِجُنُودِهِۦ/bijunudihi//فَغَشِیَهُمْ/فَغَشِيَهُم/faghashiyahum//مِّنَ/مِّنَ/mina//الْیَمِّ/ٱلۡيَمِّ/al-yami//مَا/مَا/ma//غَشِیَهُمْؕ/غَشِيَهُمۡ/ghashiyahum",
              "words_bangla": "অতঃপর তাদের পিছনে তাড়া করলো//ফিরআউন//নিয়ে তার সৈন্যবাহিনী//অতঃপর তাদেরকে ছেয়ে ফেললো//(তার) ভিতরে//সাগর//যা//তাদেরকে ছেয়ে নিয়েছিলো"
            },
            {
              "number": 2427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2427.mp3"
              ],
              "text": "وَأَضَلَّ فِرْعَوْنُ قَوْمَهُۥ وَمَا هَدَىٰ",
              "translate_bn": "ফেরআউন তার সম্প্রদায়কে বিভ্রান্ত করেছিল এবং সৎপথ দেখায়নি।",
              "numberInSurah": 79,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়া আদাল্লা ফির‘আওনুকাওমাহূওয়ামা-হাদা-।",
              "words_arabic": "وَ اَضَلَّ/وَأَضَلَّ/wa-adalla//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//قَوْمَهٗ/قَوۡمَهُۥ/qawmahu//وَ مَا/وَمَا/wama//هَدٰی /هَدَىٰ/hada",
              "words_bangla": "এবং পথভ্রষ্ট করেছিলো//ফিরআউন//তার জাতিকে//এবং না//সৎপথ দেখিয়েছিলো"
            },
            {
              "number": 2428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2428.mp3"
              ],
              "text": "يَٰبَنِىٓ إِسْرَٰٓءِيلَ قَدْ أَنجَيْنَٰكُم مِّنْ عَدُوِّكُمْ وَوَٰعَدْنَٰكُمْ جَانِبَ ٱلطُّورِ ٱلْأَيْمَنَ وَنَزَّلْنَا عَلَيْكُمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ",
              "translate_bn": "হে বনী-ইসরাঈল! আমি তোমাদেরকে তোমাদের শক্রুর কবল থেকে উদ্ধার করেছি, তুর পাহাড়ের দক্ষিণ পার্শ্বে তোমাদেরকে প্রতিশ্রুতি দান করেছি এবং তোমাদের কাছে ‘মান্না’ ও ‘সালওয়া’ নাযিল করেছি।",
              "numberInSurah": 80,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বানীইছরাঈলা কাদ আনজাইনা-কুমমিন‘আদুওবিকুমওয়াওয়া-‘আদনা-কুমজানিবাততূরিল আইমানা ওয়া নাঝঝালনা-‘আলাইকুমুল মান্না ওয়াছছালওয়া-।",
              "words_arabic": "یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//قَدْ/قَدۡ/qad//اَنْجَیْنٰكُمْ/أَنجَيۡنَٰكُم/anjaynakum//مِّنْ/مِّنۡ/min//عَدُوِّكُمْ/عَدُوِّكُمۡ/aduwwikum//وَ وٰعَدْنٰكُمْ/وَوَٰعَدۡنَٰكُمۡ/wawa'adnakum//جَانِبَ/جَانِبَ/janiba//الطُّوْرِ/ٱلطُّورِ/al-turi//الْاَیْمَنَ/ٱلۡأَيۡمَنَ/al-aymana//وَ نَزَّلْنَا/وَنَزَّلۡنَا/wanazzalna//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْمَنَّ/ٱلۡمَنَّ/al-mana//وَ السَّلْوٰی /وَٱلسَّلۡوَىٰ/wal-salwa",
              "words_bangla": "হে সন্তানগণ//ইসরাঈলের//নিশ্চয়ই//তোমাদেরকে আমরা উদ্ধার করেছি//থেকে//তোমাদের শত্রু//ও তোমাদেরকে আমরা ( উপস্থিতির) প্রতিশ্রুতি দিয়েছি//পাশে//তূর পাহাড়ের//ডানদিকের//এবং আমরা পাঠিয়েছি//তোমাদের উপর//মান্না//ও সালওয়া"
            },
            {
              "number": 2429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2429.mp3"
              ],
              "text": "كُلُوا۟ مِن طَيِّبَٰتِ مَا رَزَقْنَٰكُمْ وَلَا تَطْغَوْا۟ فِيهِ فَيَحِلَّ عَلَيْكُمْ غَضَبِى ۖ وَمَن يَحْلِلْ عَلَيْهِ غَضَبِى فَقَدْ هَوَىٰ",
              "translate_bn": "বলেছিঃ আমার দেয়া পবিত্র বস্তুসমূহ খাও এবং এতে সীমালংঘন করো না, তা হলে তোমাদের উপর আমার ক্রোধ নেমে আসবে এবং যার উপর আমার ক্রোধ নেমে আসে সে ধবংস হয়ে যায়।",
              "numberInSurah": 81,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "কুলূমিন তাইয়িবা-তি মা-রাঝাকনা-কুম ওয়ালা-তাতগাও ফীহি ফাইয়াহিল্লা ‘আলাইকুম গাদবী ওয়া মাইঁ ইয়াহলিল ‘আলাইহি গাদাবী ফাকাদ হাওয়া-।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//طَیِّبٰتِ/طَيِّبَٰتِ/tayyibati//مَا/مَا/ma//رَزَقْنٰكُمْ/رَزَقۡنَٰكُمۡ/razaqnakum//وَ لَا/وَلَا/wala//تَطْغَوْا/تَطۡغَوۡاْ/tatghaw//فِیْهِ/فِيهِ/fihi//فَیَحِلَّ/فَيَحِلَّ/fayahilla//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//غَضَبِیْ ۚ/غَضَبِيۖ/ghadabi//وَ مَنْ/وَمَن/waman//یَّحْلِلْ/يَحۡلِلۡ/yahlil//عَلَیْهِ/عَلَيۡهِ/alayhi//غَضَبِیْ/غَضَبِي/ghadabi//فَقَدْ/فَقَدۡ/faqad//هَوٰی /هَوَىٰ/hawa",
              "words_bangla": "তোমরা খাও//থেকে//পবিত্র বস্তুসমূহ//যা//তোমাদেরকে আমরা জীবনোপকরণ দিয়েছি//এবং না//সীমালঙ্ঘন করো//এর মধ্যে//তাহ'লে অবধারিত হবে//তোমাদের উপর//আমার রাগ//এবং যার (এমন)//অবধারিত হবে//তার উপর//আমার রাগ//নিশ্চয়ই//সে ধ্বংস হয়ে যাবে"
            },
            {
              "number": 2430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2430.mp3"
              ],
              "text": "وَإِنِّى لَغَفَّارٌۭ لِّمَن تَابَ وَءَامَنَ وَعَمِلَ صَٰلِحًۭا ثُمَّ ٱهْتَدَىٰ",
              "translate_bn": "আর যে তওবা করে, ঈমান আনে এবং সৎকর্ম করে অতঃপর সৎপথে অটল থাকে, আমি তার প্রতি অবশ্যই ক্ষমাশীল।",
              "numberInSurah": 82,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 126,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নী লাগাফফা-রুল লিমান তা-বা ওয়া আ-মানা ওয়া ‘আমিলা সা-লিহান ছুম্মাহতাদা-।",
              "words_arabic": "وَ اِنِّیْ/وَإِنِّي/wa-inni//لَغَفَّارٌ/لَغَفَّارٞ/laghaffarun//لِّمَنْ/لِّمَن/liman//تَابَ/تَابَ/taba//وَ اٰمَنَ/وَءَامَنَ/waamana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//ثُمَّ/ثُمَّ/thumma//اهْتَدٰی /ٱهۡتَدَىٰ/ih'tada",
              "words_bangla": "এবং আমি নিশ্চয়ই//অবশ্যই ক্ষমাশীল//(তার) জন্য যে//তওবা করলো//ও ঈমান আনলো//এবং কাজ করলো//সৎ//এরপর//সৎপথে অবিচলিত থাকলো"
            },
            {
              "number": 2431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2431.mp3"
              ],
              "text": "۞ وَمَآ أَعْجَلَكَ عَن قَوْمِكَ يَٰمُوسَىٰ",
              "translate_bn": "হে মূসা, তোমার সম্প্রদায়কে পেছনে ফেলে তুমি ত্বরা করলে কেন?",
              "numberInSurah": 83,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআ‘জালাকা ‘আন কাওমিকা ইয়া-মূছা-।",
              "words_arabic": "وَ مَاۤ/۞وَمَآ/wama//اَعْجَلَكَ/أَعۡجَلَكَ/a'jalaka//عَنْ/عَن/an//قَوْمِكَ/قَوۡمِكَ/qawmika//یٰمُوْسٰی /يَٰمُوسَىٰ/yamusa",
              "words_bangla": "\"এবং কিসে//তোমাকে তাড়াহুড়া করালো//থেকে//তোমার জাতি//হে মূসা\""
            },
            {
              "number": 2432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2432.mp3"
              ],
              "text": "قَالَ هُمْ أُو۟لَآءِ عَلَىٰٓ أَثَرِى وَعَجِلْتُ إِلَيْكَ رَبِّ لِتَرْضَىٰ",
              "translate_bn": "তিনি বললেনঃ এই তো তারা আমার পেছনে আসছে এবং হে আমার পালনকর্তা, আমি তাড়াতাড়ি তোমার কাছে এলাম, যাতে তুমি সন্তুষ্ট হও।",
              "numberInSurah": 84,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা হুম উলাই ‘আলাআছারী ওয়া ‘আজিলতুইলাইকা রাব্বি লিতারদা-।",
              "words_arabic": "قَالَ/قَالَ/qala//هُمْ/هُمۡ/hum//اُولَآءِ/أُوْلَآءِ/ulai//عَلٰۤی/عَلَىٰٓ/ala//اَثَرِیْ/أَثَرِي/athari//وَ عَجِلْتُ/وَعَجِلۡتُ/wa'ajil'tu//اِلَیْكَ/إِلَيۡكَ/ilayka//رَبِّ/رَبِّ/rabbi//لِتَرْضٰی /لِتَرۡضَىٰ/litarda",
              "words_bangla": "সে বললো//\"তারা//ঐ তো//উপর//আমার চিহ্নের//এবং আমি তাড়াহুড়া করেছি//তোমার দিকে//হে আমার রব//যেন তুমি সন্তুষ্ট হও\""
            },
            {
              "number": 2433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2433.mp3"
              ],
              "text": "قَالَ فَإِنَّا قَدْ فَتَنَّا قَوْمَكَ مِنۢ بَعْدِكَ وَأَضَلَّهُمُ ٱلسَّامِرِىُّ",
              "translate_bn": "বললেনঃ আমি তোমার সম্প্রদায়কে পরীক্ষা করেছি তোমার পর এবং সামেরী তাদেরকে পথভ্রষ্ট করেছে।",
              "numberInSurah": 85,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাইন্না-কাদ ফাতান্না-কাওমাকা মিম বা‘দিকা ওয়া আদাল্লাহুমুছ ছামিরিইয়ু।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاِنَّا/فَإِنَّا/fa-inna//قَدْ/قَدۡ/qad//فَتَنَّا/فَتَنَّا/fatanna//قَوْمَكَ/قَوۡمَكَ/qawmaka//مِنْۢ/مِنۢ/min//بَعْدِكَ/بَعۡدِكَ/ba'dika//وَ اَضَلَّهُمُ/وَأَضَلَّهُمُ/wa-adallahumu//السَّامِرِیُّ /ٱلسَّامِرِيُّ/al-samiriyu",
              "words_bangla": "(আল্লাহ) বললেন//\"অতঃপর নিশ্চয়ই আমরা//নিশ্চয়ই//আমরা পরীক্ষায় ফেলেছি//তোমার জাতিকে//থেকে//তোমার পর//এবং তাদেরকে পথভ্রষ্ট করেছে//সামেরী\""
            },
            {
              "number": 2434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2434.mp3"
              ],
              "text": "فَرَجَعَ مُوسَىٰٓ إِلَىٰ قَوْمِهِۦ غَضْبَٰنَ أَسِفًۭا ۚ قَالَ يَٰقَوْمِ أَلَمْ يَعِدْكُمْ رَبُّكُمْ وَعْدًا حَسَنًا ۚ أَفَطَالَ عَلَيْكُمُ ٱلْعَهْدُ أَمْ أَرَدتُّمْ أَن يَحِلَّ عَلَيْكُمْ غَضَبٌۭ مِّن رَّبِّكُمْ فَأَخْلَفْتُم مَّوْعِدِى",
              "translate_bn": "অতঃপর মূসা তাঁর সম্প্রদায়ের কাছে ফিরে গেলেন ক্রদ্ধ ও অনুতপ্ত অবস্থায়। তিনি বললেনঃ হে আমার সম্প্রদায়, তোমাদের পালনকর্তা কি তোমাদেরকে একটি উত্তম প্রতিশ্রুতি দেননি? তবে কি প্রতিশ্রুতির সময়কাল তোমাদের কাছে দীর্ঘ হয়েছে, না তোমরা চেয়েছ যে, তোমাদের উপর তোমাদের পালনকর্তার ক্রোধ নেমে আসুক, যে কারণে তোমরা আমার সাথে কৃত ওয়াদা ভঙ্গ করলে?",
              "numberInSurah": 86,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ফারাজা‘আ মূছাইলা-কাওমিহী গাদবা-না আছিফান কা-লা ইয়া-কাওমি আলাম ইয়া‘ইদকুম রাব্বুকুম ওয়া‘দান হাছানান আফাতা-লা ‘আলাইকুমুল ‘আহদুআম আরাততুম আইঁ ইয়াহিল্লা ‘আলাইকুম গাদাবুম মির রাব্বিকুম ফাআখলাফতুম মাও‘ইদী।",
              "words_arabic": "فَرَجَعَ/فَرَجَعَ/faraja'a//مُوْسٰۤی/مُوسَىٰٓ/musa//اِلٰی/إِلَىٰ/ila//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//غَضْبَانَ/غَضۡبَٰنَ/ghadbana//اَسِفًا ۚ۬/أَسِفٗاۚ/asifan//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَلَمْ/أَلَمۡ/alam//یَعِدْكُمْ/يَعِدۡكُمۡ/ya'id'kum//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//وَعْدًا/وَعۡدًا/wa'dan//حَسَنًا ؕ۬/حَسَنًاۚ/hasanan//اَفَطَالَ/أَفَطَالَ/afatala//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْعَهْدُ/ٱلۡعَهۡدُ/al-'ahdu//اَمْ/أَمۡ/am//اَرَدْتُّمْ/أَرَدتُّمۡ/aradttum//اَنْ/أَن/an//یَّحِلَّ/يَحِلَّ/yahilla//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//غَضَبٌ/غَضَبٞ/ghadabun//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//فَاَخْلَفْتُمْ/فَأَخۡلَفۡتُم/fa-akhlaftum//مَّوْعِدِیْ /مَّوۡعِدِي/maw'idi",
              "words_bangla": "অতঃপর ফিরে আসলো//মূসা//কাছে//তার লোকদের//রাগান্বিত হয়ে//অনুতপ্ত অবস্থায়//সে বললো//\"হে আমার জাতি//নি কি//প্রতিশ্রুতি দেন তোমাদের//তোমাদের রব//প্রতিশ্রুতি//উত্তম//কি  সুদীর্ঘ হয়েছে তবে//তোমাদের উপর//প্রতিশ্রুতির সময়//অথবা//তোমরা চেয়েছো//যে//অবধারিত হোক//তোমাদের উপর//রাগ//পক্ষ হ'তে//তোমাদের রবের//অতঃপর তোমরা ভঙ্গ করেছ//আমার সাথে করা প্রতিশ্রুতি\""
            },
            {
              "number": 2435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2435.mp3"
              ],
              "text": "قَالُوا۟ مَآ أَخْلَفْنَا مَوْعِدَكَ بِمَلْكِنَا وَلَٰكِنَّا حُمِّلْنَآ أَوْزَارًۭا مِّن زِينَةِ ٱلْقَوْمِ فَقَذَفْنَٰهَا فَكَذَٰلِكَ أَلْقَى ٱلسَّامِرِىُّ",
              "translate_bn": "তারা বললঃ আমরা তোমার সাথে কৃত ওয়াদা স্বেচ্ছায় ভঙ্গ করিনি; কিন্তু আমাদের উপর ফেরউনীদের অলংকারের বোঝা চাপিয়ে দেয়া হয়েছিল। অতঃপর আমরা তা নিক্ষেপ করে দিয়েছি। এমনি ভাবে সামেরীও নিক্ষেপ করেছে।",
              "numberInSurah": 87,
              "juz": 16,
              "manzil": 4,
              "page": 317,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লূমাআখলাফনা-মাও‘ইদাকা বিমালকিনা-ওয়ালা-কিন্না-হুম্মিলনাআও ঝা-রাম মিন ঝীনাতিল কাওমি ফাকাযাফনা-হা ফাকাযা-লিকা আলকাছছা-মিরিইয়ু।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//مَاۤ/مَآ/ma//اَخْلَفْنَا/أَخۡلَفۡنَا/akhlafna//مَوْعِدَكَ/مَوۡعِدَكَ/maw'idaka//بِمَلْكِنَا/بِمَلۡكِنَا/bimalkina//وَ لٰكِنَّا/وَلَٰكِنَّا/walakinna//حُمِّلْنَاۤ/حُمِّلۡنَآ/hummil'na//اَوْزَارًا/أَوۡزَارٗا/awzaran//مِّنْ/مِّن/min//زِیْنَةِ/زِينَةِ/zinati//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//فَقَذَفْنٰهَا/فَقَذَفۡنَٰهَا/faqadhafnaha//فَكَذٰلِكَ/فَكَذَٰلِكَ/fakadhalika//اَلْقَی/أَلۡقَى/alqa//السَّامِرِیُّۙ/ٱلسَّامِرِيُّ/al-samiriyu",
              "words_bangla": "তারা বললো//\"না//আমরা ভঙ্গ করেছি//তোমার সাথে করা প্রতিশ্রুতি//আমাদের ইচ্ছেমত//কিন্তু//আমাদের উপর চাপানো হয়েছিলো//বোঝা সমূহ//তৈরি//অলংকারের//লোকদের//ফলে তা আমরা ছুঁড়ে ফেলি//পরে ঐভাবে//নিক্ষেপ করলো//সামেরীও\""
            },
            {
              "number": 2436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2436.mp3"
              ],
              "text": "فَأَخْرَجَ لَهُمْ عِجْلًۭا جَسَدًۭا لَّهُۥ خُوَارٌۭ فَقَالُوا۟ هَٰذَآ إِلَٰهُكُمْ وَإِلَٰهُ مُوسَىٰ فَنَسِىَ",
              "translate_bn": "অতঃপর সে তাদের জন্য তৈরী করে বের করল একটি গো-বৎস, একটা দেহ, যার মধ্যে গরুর শব্দ ছিল। তারা বললঃ এটা তোমাদের উপাস্য এবং মূসার ও উপাস্য, অতঃপর মূসা ভুলে গেছে।",
              "numberInSurah": 88,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ফাআখরাজা লাহুম ‘ইজলান জাছাদাল্লাহূখুওয়া-রুন ফাকা-লূহা-যাইলা-হুকুম ওয়াইলা-হু মূছা-ফানাছী-।",
              "words_arabic": "فَاَخْرَجَ/فَأَخۡرَجَ/fa-akhraja//لَهُمْ/لَهُمۡ/lahum//عِجْلًا/عِجۡلٗا/ij'lan//جَسَدًا/جَسَدٗا/jasadan//لَّهٗ/لَّهُۥ/lahu//خُوَارٌ/خُوَارٞ/khuwarun//فَقَالُوْا/فَقَالُواْ/faqalu//هٰذَاۤ/هَٰذَآ/hadha//اِلٰهُكُمْ/إِلَٰهُكُمۡ/ilahukum//وَ اِلٰهُ/وَإِلَٰهُ/wa-ilahu//مُوْسٰی ۬/مُوسَىٰ/musa//فَنَسِیَؕ/فَنَسِيَ/fanasiya",
              "words_bangla": "অতঃপর বের করলো//তাদের জন্য//একটি বাছুর//অবয়ব//তার ছিলো//হাম্বা শব্দ//তখন তারা বললো//\"এটা//তোমাদের উপাস্য//ও উপাস্য//মূসার//(মূসা) আসলে ভুলে গিয়েছিলো\""
            },
            {
              "number": 2437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2437.mp3"
              ],
              "text": "أَفَلَا يَرَوْنَ أَلَّا يَرْجِعُ إِلَيْهِمْ قَوْلًۭا وَلَا يَمْلِكُ لَهُمْ ضَرًّۭا وَلَا نَفْعًۭا",
              "translate_bn": "তারা কি দেখে না যে, এটা তাদের কোন কথার উত্তর দেয় না এবং তারে কোন ক্ষতি ও উপকার করার ক্ষমতাও রাখে না?",
              "numberInSurah": 89,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 273,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়ারাওনা আল্লা-ইয়ারজি‘ঊ ইলাইহিম কাওলাওঁ ওয়ালা-ইয়ামলিকুলাহুম দাররাওঁ ওয়ালা-নাফ‘আ-।",
              "words_arabic": "اَفَلَا/أَفَلَا/afala//یَرَوْنَ/يَرَوۡنَ/yarawna//اَلَّا/أَلَّا/alla//یَرْجِعُ/يَرۡجِعُ/yarji'u//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//قَوْلًا ۙ۬/قَوۡلٗا/qawlan//وَّ لَا/وَلَا/wala//یَمْلِكُ/يَمۡلِكُ/yamliku//لَهُمْ/لَهُمۡ/lahum//ضَرًّا/ضَرّٗا/darran//وَّ لَا/وَلَا/wala//نَفْعًا۠/نَفۡعٗا/naf 'an",
              "words_bangla": "নি কি//তারা (ভেবে) দেখে//যে না//ফিরে আসে//তাদের দিকে (অর্থাৎ উত্তর দেয়)//কথার//এবং না//ক্ষমতা রাখে//তাদের জন্যে//ক্ষতি (করতে)//আর না//উপকার (করতে)"
            },
            {
              "number": 2438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2438.mp3"
              ],
              "text": "وَلَقَدْ قَالَ لَهُمْ هَٰرُونُ مِن قَبْلُ يَٰقَوْمِ إِنَّمَا فُتِنتُم بِهِۦ ۖ وَإِنَّ رَبَّكُمُ ٱلرَّحْمَٰنُ فَٱتَّبِعُونِى وَأَطِيعُوٓا۟ أَمْرِى",
              "translate_bn": "হারুন তাদেরকে পুর্বেই বলেছিলেনঃ হে আমার কওম, তোমরা তো এই গো-বৎস দ্বারা পরীক্ষায় নিপতিত হয়েছ এবং তোমাদের পালনকর্তা দয়াময়। অতএব, তোমরা আমার অনুসরণ কর এবং আমার আদেশ মেনে চল।",
              "numberInSurah": 90,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ কা-লা লাহুম হা-রূনুমিন কাবলুইয়া-কাওমি ইন্নামা-ফুতিনতুম বিহী ওয়া ইন্না রাব্বাকুমুর রাহমা-নুফাত্তাবি‘ঊনী ওয়া আতী‘ঊআমরী।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//هٰرُوْنُ/هَٰرُونُ/harunu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنَّمَا/إِنَّمَا/innama//فُتِنْتُمْ/فُتِنتُم/futintum//بِهٖ ۚ/بِهِۦۖ/bihi//وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكُمُ/رَبَّكُمُ/rabbakumu//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//فَاتَّبِعُوْنِیْ/فَٱتَّبِعُونِي/fa-ittabi'uni//وَ اَطِیْعُوْۤا/وَأَطِيعُوٓاْ/wa-ati'u//اَمْرِیْ /أَمۡرِي/amri",
              "words_bangla": "এবং নিশ্চয়ই//বলেছিলো//তাদেরকে//হারূন//থেকেই//পূর্ব//\"হে আমার জাতি//মূলত//তোমাদের পরীক্ষায় ফেলা হয়েছে//তা দ্বারা//এবং নিশ্চয়ই//তোমাদের রব//দয়াময় (আল্লাহ)//সুতরাং তোমরা আমাকে অনুসরণ করো//ও তোমরা আনুগত্য করো//আমার আদেশের\""
            },
            {
              "number": 2439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2439.mp3"
              ],
              "text": "قَالُوا۟ لَن نَّبْرَحَ عَلَيْهِ عَٰكِفِينَ حَتَّىٰ يَرْجِعَ إِلَيْنَا مُوسَىٰ",
              "translate_bn": "তারা বললঃ মূসা আমাদের কাছে ফিরে আসা পর্যন্ত আমরা সদাসর্বদা এর সাথেই সংযুক্ত হয়ে বসে থাকব।",
              "numberInSurah": 91,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লূলান নাবরাহা ‘আলাইহি ‘আ-কিফীনা হাত্তা-ইয়ারজি‘আ ইলাইনা-মূছা-।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَنْ/لَن/lan//نَّبْرَحَ/نَّبۡرَحَ/nabraha//عَلَیْهِ/عَلَيۡهِ/alayhi//عٰكِفِیْنَ/عَٰكِفِينَ/akifina//حَتّٰی/حَتَّىٰ/hatta//یَرْجِعَ/يَرۡجِعَ/yarji'a//اِلَیْنَا/إِلَيۡنَا/ilayna//مُوْسٰی /مُوسَىٰ/musa",
              "words_bangla": "তারা বলেছিলো//\"কখনও না//বিরত হবো আমরা//তার কাছে//লেগে থাকা (বা পূজা করা হ'তে)_//যতক্ষণ না//ফিরে আসবে//আমাদের কাছে//মূসা\""
            },
            {
              "number": 2440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2440.mp3"
              ],
              "text": "قَالَ يَٰهَٰرُونُ مَا مَنَعَكَ إِذْ رَأَيْتَهُمْ ضَلُّوٓا۟",
              "translate_bn": "মূসা বললেনঃ হে হারুন, তুমি যখন তাদেরকে পথ ভ্রষ্ট হতে দেখলে, তখন তোমাকে কিসে নিবৃত্ত করল ?",
              "numberInSurah": 92,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-হা-রূনূমা-মানা‘আকা ইযরাআইতাহুম দাল্লু।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰهٰرُوْنُ/يَٰهَٰرُونُ/yaharunu//مَا/مَا/ma//مَنَعَكَ/مَنَعَكَ/mana'aka//اِذْ/إِذۡ/idh//رَاَیْتَهُمْ/رَأَيۡتَهُمۡ/ra-aytahum//ضَلُّوْۤاۙ/ضَلُّوٓاْ/dallu",
              "words_bangla": "(মূসা) বললো//\"হে হারূন//কিসে//তোমাকে নিষেধ করলো//যখন//তাদের তুমি দেখলে//তারা পথভ্রষ্ট হয়েছে"
            },
            {
              "number": 2441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2441.mp3"
              ],
              "text": "أَلَّا تَتَّبِعَنِ ۖ أَفَعَصَيْتَ أَمْرِى",
              "translate_bn": "আমার পদাঙ্ক অনুসরণ করা থেকে? তবে তুমি কি আমার আদেশ অমান্য করেছ?",
              "numberInSurah": 93,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "আল্লা-তাত্তাবি‘আনি আফা‘আসাইতা আমরী।",
              "words_arabic": "اَلَّا/أَلَّا/alla//تَتَّبِعَنِ ؕ/تَتَّبِعَنِۖ/tattabi'ani//اَفَعَصَیْتَ/أَفَعَصَيۡتَ/afa'asayta//اَمْرِیْ /أَمۡرِي/amri",
              "words_bangla": "যে না//আমার (আদেশের) অনুসরণ করলে//তবে কি তুমি অমান্য করেছো//আমার আদেশের\""
            },
            {
              "number": 2442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2442.mp3"
              ],
              "text": "قَالَ يَبْنَؤُمَّ لَا تَأْخُذْ بِلِحْيَتِى وَلَا بِرَأْسِىٓ ۖ إِنِّى خَشِيتُ أَن تَقُولَ فَرَّقْتَ بَيْنَ بَنِىٓ إِسْرَٰٓءِيلَ وَلَمْ تَرْقُبْ قَوْلِى",
              "translate_bn": "তিনি বললেনঃ হে আমার জননী-তনয়, আমার শ্মশ্রু ও মাথার চুল ধরে আকর্ষণ করো না; আমি আশঙ্কা করলাম যে, তুমি বলবেঃ তুমি বনী-ইসরাঈলের মধ্যে বিভেদ সৃষ্টি করেছ এবং আমার কথা স্মরণে রাখনি।",
              "numberInSurah": 94,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কালা ইয়াবনাউম্মা লা-তা’খুযবিলিহইয়াতী ওয়ালা-বিরা’ছী ইন্নী খাশীতুআন তাকূলা ফাররাকতা বাইনা বানীইছরাঈলা ওয়ালাম তারকুব কাওলী।",
              "words_arabic": "قَالَ/قَالَ/qala//یَبْنَؤُمَّ/يَبۡنَؤُمَّ/yabna-umma//لَا/لَا/la//تَاْخُذْ/تَأۡخُذۡ/takhudh//بِلِحْیَتِیْ/بِلِحۡيَتِي/bilih'yati//وَ لَا/وَلَا/wala//بِرَاْسِیْ ۚ/بِرَأۡسِيٓۖ/birasi//اِنِّیْ/إِنِّي/inni//خَشِیْتُ/خَشِيتُ/khashitu//اَنْ/أَن/an//تَقُوْلَ/تَقُولَ/taqula//فَرَّقْتَ/فَرَّقۡتَ/farraqta//بَیْنَ/بَيۡنَ/bayna//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//وَ لَمْ/وَلَمۡ/walam//تَرْقُبْ/تَرۡقُبۡ/tarqub//قَوْلِیْ /قَوۡلِي/qawli",
              "words_bangla": "সে বললো//\"হে আমার মায়ের ছেলে (অর্থাৎ ভাই)//না//ধরো//আমার দাড়ি//আর না//আমার মাথার (চুল)//নিশ্চয়ই আমি//আশঙ্কা করেছি//যে//বলবে তুমি//\"তুমি বিভেদ সৃষ্টি করেছো//মাঝে//সন্তানদের//ইসরাঈলের//এবং নি//তুমি মূল্য দাও//আমার কথা\""
            },
            {
              "number": 2443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2443.mp3"
              ],
              "text": "قَالَ فَمَا خَطْبُكَ يَٰسَٰمِرِىُّ",
              "translate_bn": "মূসা বললেন হে সামেরী, এখন তোমার ব্যাপার কি?",
              "numberInSurah": 95,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফামা-খাতবুকা ইয়া-ছা-মিরিইয়ু।",
              "words_arabic": "قَالَ/قَالَ/qala//فَمَا/فَمَا/fama//خَطْبُكَ/خَطۡبُكَ/khatbuka//یٰسَامِرِیُّ /يَٰسَٰمِرِيُّ/yasamiriyyu",
              "words_bangla": "সে বললো//\"তাহ'লে কি//তোমার ব্যাপার//হে সামেরী\""
            },
            {
              "number": 2444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2444.mp3"
              ],
              "text": "قَالَ بَصُرْتُ بِمَا لَمْ يَبْصُرُوا۟ بِهِۦ فَقَبَضْتُ قَبْضَةًۭ مِّنْ أَثَرِ ٱلرَّسُولِ فَنَبَذْتُهَا وَكَذَٰلِكَ سَوَّلَتْ لِى نَفْسِى",
              "translate_bn": "সে বললঃ আমি দেখলাম যা অন্যেরা দেখেনি। অতঃপর আমি সেই প্রেরিত ব্যক্তির পদচিহেߦ#2480; নীচ থেকে এক মুঠি মাটি নিয়ে নিলাম। অতঃপর আমি তা নিক্ষেপ করলাম। আমাকে আমার মন এই মন্ত্রণাই দিল।",
              "numberInSurah": 96,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা বাসুরতুবিমা-লাম ইয়াবসুরূবিহী ফাকাবাদতুকাবদাতাম মিন আছারির রাছূলি ফানাবাযতুহা-ওয়াকাযা-লিকা ছাওওয়ালাত লী নাফছী।",
              "words_arabic": "قَالَ/قَالَ/qala//بَصُرْتُ/بَصُرۡتُ/basur'tu//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//یَبْصُرُوْا/يَبۡصُرُواْ/yabsuru//بِهٖ/بِهِۦ/bihi//فَقَبَضْتُ/فَقَبَضۡتُ/faqabadtu//قَبْضَةً/قَبۡضَةٗ/qabdatan//مِّنْ/مِّنۡ/min//اَثَرِ/أَثَرِ/athari//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//فَنَبَذْتُهَا/فَنَبَذۡتُهَا/fanabadhtuha//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//سَوَّلَتْ/سَوَّلَتۡ/sawwalat//لِیْ/لِي/li//نَفْسِیْ /نَفۡسِي/nafsi",
              "words_bangla": "(সামেরী) বললো//\"আমি দেখেছি//ঐ বিষয়ে যা//নি//তারা দেখে//সে সম্পর্কে//অতঃপর আমি মুঠিতে নিয়েছি//এক মুঠো//হ'তে//পায়ের চিহ্ন//রাসূলের (অর্থাৎ জিবরাঈল বা মূসা আঃ)//অতঃপর তা আমি ছুঁড়ে ফেলেছি//এবং এভাবেই//উদ্বুদ্ধ করেছিলো//আমাকে//আমার মন\""
            },
            {
              "number": 2445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2445.mp3"
              ],
              "text": "قَالَ فَٱذْهَبْ فَإِنَّ لَكَ فِى ٱلْحَيَوٰةِ أَن تَقُولَ لَا مِسَاسَ ۖ وَإِنَّ لَكَ مَوْعِدًۭا لَّن تُخْلَفَهُۥ ۖ وَٱنظُرْ إِلَىٰٓ إِلَٰهِكَ ٱلَّذِى ظَلْتَ عَلَيْهِ عَاكِفًۭا ۖ لَّنُحَرِّقَنَّهُۥ ثُمَّ لَنَنسِفَنَّهُۥ فِى ٱلْيَمِّ نَسْفًا",
              "translate_bn": "মূসা বললেনঃ দূর হ, তোর জন্য সারা জীবন এ শাস্তিই রইল যে, তুই বলবি; আমাকে স্পর্শ করো না, এবং তোর জন্য একটি নির্দিষ্ট ওয়াদা আছে, যার ব্যতিক্রম হবে না। তুই তোর সেই ইলাহের প্রতি লক্ষ্য কর, যাকে তুই ঘিরে থাকতি। আমরা সেটি জালিয়ে দেবই। অতঃপর একে বিক্ষিপ্ত করে সাগরে ছড়িয়ে দেবই।",
              "numberInSurah": 97,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাযহাব ফাইন্না লাকা ফিল হায়া-তি আন তাকূলা লা-মিছা-ছা ওয়া ইন্নালাকা মাও‘ইদাল লান তুখলাফাহূও ওয়ানজুর ইলাইলা-হিকাল্লাযী জালতা ‘আলাইহি আ-কিফাল লানুহাররিকান্নাহূছু ম্মা লানানছিফান্নাহূফিল ইয়াম্মি নাছফা-।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاذْهَبْ/فَٱذۡهَبۡ/fa-idh'hab//فَاِنَّ/فَإِنَّ/fa-inna//لَكَ/لَكَ/laka//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//اَنْ/أَن/an//تَقُوْلَ/تَقُولَ/taqula//لَا/لَا/la//مِسَاسَ ۪/مِسَاسَۖ/misasa//وَ اِنَّ/وَإِنَّ/wa-inna//لَكَ/لَكَ/laka//مَوْعِدًا/مَوۡعِدٗا/maw'idan//لَّنْ/لَّن/lan//تُخْلَفَهٗ ۚ/تُخۡلَفَهُۥۖ/tukh'lafahu//وَ انْظُرْ/وَٱنظُرۡ/wa-unzur//اِلٰۤی/إِلَىٰٓ/ila//اِلٰهِكَ/إِلَٰهِكَ/ilahika//الَّذِیْ/ٱلَّذِي/alladhi//ظَلْتَ/ظَلۡتَ/zalta//عَلَیْهِ/عَلَيۡهِ/alayhi//عَاكِفًا ؕ/عَاكِفٗاۖ/akifan//لَنُحَرِّقَنَّهٗ/لَّنُحَرِّقَنَّهُۥ/lanuharriqannahu//ثُمَّ/ثُمَّ/thumma//لَنَنْسِفَنَّهٗ/لَنَنسِفَنَّهُۥ/lanansifannahu//فِی/فِي/fi//الْیَمِّ/ٱلۡيَمِّ/al-yami//نَسْفًا /نَسۡفًا/nasfan",
              "words_bangla": "সে বললো//\"তাহ'লে তুমি যাও//নিশ্চয়ই এখন//তোমার জন্যে//মধ্যে আছে//(সারা) জীবনের//(এই নির্দেশ) যে//বলবে তুমি//\"না//স্পর্শ করবে (আমাকে)\"//এবং নিশ্চয়ই (আছে)//তোমার জন্য//নির্দিষ্ট সময় (জিজ্ঞাসাবাদের)//কখনও না//তার ব্যতিক্রম করা হবে//এবং দেখো//প্রতি//তোমার উপাস্যের//যার//তুমি সর্বদা ছিলে//তার কাছে//পূজারত//অবশ্যই আমরা জ্বালাবো//এরপর//তাকে আমরা অবশ্যই বিক্ষিপ্তভাবে ছড়াবো//মধ্যে//সাগরের//বিক্ষিপ্ত করে\""
            },
            {
              "number": 2446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2446.mp3"
              ],
              "text": "إِنَّمَآ إِلَٰهُكُمُ ٱللَّهُ ٱلَّذِى لَآ إِلَٰهَ إِلَّا هُوَ ۚ وَسِعَ كُلَّ شَىْءٍ عِلْمًۭا",
              "translate_bn": "তোমাদের ইলাহ তো কেবল আল্লাহই, যিনি ব্যতীত অন্য কোন ইলাহ নেই। সব বিষয় তাঁর জ্ঞানের পরিধিভুক্ত।",
              "numberInSurah": 98,
              "juz": 16,
              "manzil": 4,
              "page": 318,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাইলা-হুকুমুল্লা-হুল লাযী লাইলা-হা ইল্লা-হুওয়া ওয়াছি‘আ কুল্লা শাইয়িন ‘ইলমা-।",
              "words_arabic": "اِنَّمَاۤ/إِنَّمَآ/innama//اِلٰهُكُمُ/إِلَٰهُكُمُ/ilahukumu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//وَسِعَ/وَسِعَ/wasi'a//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//عِلْمًا /عِلۡمٗا/il'man",
              "words_bangla": "প্রকৃতপক্ষে//তোমাদের ইলাহ//একমাত্র আল্লাহ//যিনি (এমন যে)//নেই//কোন ইলাহ//ছাড়া//তিনি//পরিবেষ্টিত//সব//কিছু//(তাঁর) জ্ঞানে"
            },
            {
              "number": 2447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2447.mp3"
              ],
              "text": "كَذَٰلِكَ نَقُصُّ عَلَيْكَ مِنْ أَنۢبَآءِ مَا قَدْ سَبَقَ ۚ وَقَدْ ءَاتَيْنَٰكَ مِن لَّدُنَّا ذِكْرًۭا",
              "translate_bn": "এমনিভাবে আমি পূর্বে যা ঘটেছে, তার সংবাদ আপনার কাছে বর্ণনা করি। আমি আমার কাছ থেকে আপনাকে দান করেছি পড়ার গ্রন্থ।",
              "numberInSurah": 99,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা নাকুসসু‘আলাইকা মিন আমবাই মা কাদ ছাবাকা ওয়া কাদ আতাইনা-কা মিল্লাদুন্না-যিকরা-।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَقُصُّ/نَقُصُّ/naqussu//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِنۡ/min//اَنْۢبَآءِ/أَنۢبَآءِ/anbai//مَا/مَا/ma//قَدْ/قَدۡ/qad//سَبَقَ ۚ/سَبَقَۚ/sabaqa//وَ قَدْ/وَقَدۡ/waqad//اٰتَیْنٰكَ/ءَاتَيۡنَٰكَ/ataynaka//مِنْ/مِن/min//لَّدُنَّا/لَّدُنَّا/ladunna//ذِكْرًاۖۚ/ذِكۡرٗا/dhik'ran",
              "words_bangla": "এরূপে//বর্ণনা করছি আমরা//তোমার কাছে//হ'তে//সংবাদ//যা//নিশ্চয়ই//আগে ঘটেছে//এবং নিশ্চয়ই//তোমাকে আমরা দিয়েছি//হ'তে//আমার নিকট//উপদেশ"
            },
            {
              "number": 2448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2448.mp3"
              ],
              "text": "مَّنْ أَعْرَضَ عَنْهُ فَإِنَّهُۥ يَحْمِلُ يَوْمَ ٱلْقِيَٰمَةِ وِزْرًا",
              "translate_bn": "যে এ থেকে মুখ ফিরিয়ে নেবে, সে কেয়ামতের দিন বোঝা বহন করবে।",
              "numberInSurah": 100,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "মান আ‘রাদা ‘আনহু ফাইন্নাহূইয়াহমিলুইয়াওমাল কিয়া-মাতি বিঝরা-",
              "words_arabic": "مَنْ/مَّنۡ/man//اَعْرَضَ/أَعۡرَضَ/a'rada//عَنْهُ/عَنۡهُ/anhu//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//یَحْمِلُ/يَحۡمِلُ/yahmilu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وِزْرًاۙ/وِزۡرًا/wiz'ran",
              "words_bangla": "যে//বিমুখ হবে//তা থেকে//তবে সে নিশ্চয়ই//বহন করবে//দিনে//ক্বিয়ামাতের//(দূর্বহ) ভার"
            },
            {
              "number": 2449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2449.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهِ ۖ وَسَآءَ لَهُمْ يَوْمَ ٱلْقِيَٰمَةِ حِمْلًۭا",
              "translate_bn": "তারা তাতে চিরকাল থাকবে এবং কেয়ামতের দিন এই বোঝা তাদের জন্যে মন্দ হবে।",
              "numberInSurah": 101,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহি ওয়া ছাআ লাহুম ইয়াওমাল কিয়া-মাতি হিম লা-।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهِ ؕ/فِيهِۖ/fihi//وَ سَآءَ/وَسَآءَ/wasaa//لَهُمْ/لَهُمۡ/lahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//حِمْلًاۙ/حِمۡلٗا/him'lan",
              "words_bangla": "চিরস্থায়ী হবে তারা//তার মধ্যে//এবং কত মন্দ হবে//তাদের জন্যে//দিনে//ক্বিয়ামাতের//বোঝা"
            },
            {
              "number": 2450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2450.mp3"
              ],
              "text": "يَوْمَ يُنفَخُ فِى ٱلصُّورِ ۚ وَنَحْشُرُ ٱلْمُجْرِمِينَ يَوْمَئِذٍۢ زُرْقًۭا",
              "translate_bn": "যেদিন সিঙ্গায় ফূৎকার দেয়া হবে, সেদিন আমি অপরাধীদেরকে সমবেত করব নীল চক্ষু অবস্থায়।",
              "numberInSurah": 102,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউনফাখুফিসসূরি ওয়া নাহশুরুল মুজরিমীনা ইয়াওমাইযিন ঝুরকা-।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//یُنْفَخُ/يُنفَخُ/yunfakhu//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِۚ/al-suri//وَ نَحْشُرُ/وَنَحۡشُرُ/wanahshuru//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//زُرْقًاۚۖ/زُرۡقٗا/zur'qan",
              "words_bangla": "যেদিন//ফুঁ দেয়া হবে//মধ্যে//শিঙ্গার//এবং সমবেত করবো আমরা//অপরাধীদেরকে//সেদিন//নীল-চোখ বিশিষ্ট (দৃষ্টিহীন অবস্থায়)"
            },
            {
              "number": 2451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2451.mp3"
              ],
              "text": "يَتَخَٰفَتُونَ بَيْنَهُمْ إِن لَّبِثْتُمْ إِلَّا عَشْرًۭا",
              "translate_bn": "তারা চুপিসারে পরস্পরে বলাবলি করবেঃ তোমরা মাত্র দশ দিন অবস্থান করেছিলে।",
              "numberInSurah": 103,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইয়াতাখা-ফাতূনা বাইনাহুম ইল লাবিছতুম ইল্লা-‘আশরা-।",
              "words_arabic": "یَّتَخَافَتُوْنَ/يَتَخَٰفَتُونَ/yatakhafatuna//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اِنْ/إِن/in//لَّبِثْتُمْ/لَّبِثۡتُمۡ/labith'tum//اِلَّا/إِلَّا/illa//عَشْرًا /عَشۡرٗا/ashran",
              "words_bangla": "তারা পরস্পরে চুপে-চুপে বলবে//তাদের মাঝে//\"না//তোমরা অবস্থান করেছিলে//কিন্তু//দশ (দিন)\""
            },
            {
              "number": 2452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2452.mp3"
              ],
              "text": "نَّحْنُ أَعْلَمُ بِمَا يَقُولُونَ إِذْ يَقُولُ أَمْثَلُهُمْ طَرِيقَةً إِن لَّبِثْتُمْ إِلَّا يَوْمًۭا",
              "translate_bn": "তারা কি বলে তা আমি ভালোভাবে জানি। তাদের মধ্যে যে, অপেক্ষাকৃত উত্তম পথের অনুসারী সে বলবেঃ তোমরা মাত্র একদিন অবস্থান করেছিলে।",
              "numberInSurah": 104,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 274,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "নাহনুআ‘লামুবিমা-ইয়াকূ লূনা ইযইয়াকূ লুআমছালুহুম তারীকাতান ইল লাবিছতুম ইল্লা-ইয়াওমা-।",
              "words_arabic": "نَحْنُ/نَّحۡنُ/nahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِذْ/إِذۡ/idh//یَقُوْلُ/يَقُولُ/yaqulu//اَمْثَلُهُمْ/أَمۡثَلُهُمۡ/amthaluhum//طَرِیْقَةً/طَرِيقَةً/tariqatan//اِنْ/إِن/in//لَّبِثْتُمْ/لَّبِثۡتُمۡ/labith'tum//اِلَّا/إِلَّا/illa//یَوْمًا۠/يَوۡمٗا/yawman",
              "words_bangla": "আমরা//খুব জানি//ঐ বিষয়ে যা//তারা বলবে//যখন//বলবে//তাদের মধ্যকার অপেক্ষাকৃত উত্তম ব্যক্তি//বুদ্ধিমত্তায়//\"না//তোমরা অবস্থান করেছিলে//এছাড়া//একদিন\""
            },
            {
              "number": 2453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2453.mp3"
              ],
              "text": "وَيَسْـَٔلُونَكَ عَنِ ٱلْجِبَالِ فَقُلْ يَنسِفُهَا رَبِّى نَسْفًۭا",
              "translate_bn": "তারা আপনাকে পাহাড় সম্পর্কে প্রশ্ন করা। অতএব, আপনি বলুনঃ আমার পালনকর্তা পহাড়সমূহকে সমূলে উৎপাটন করে বিক্ষিপ্ত করে দিবেন।",
              "numberInSurah": 105,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছআলূনাকা ‘আনিল জিবা-লি ফাকুল ইয়ানছিফুহা-রাববী নাছফা-।",
              "words_arabic": "وَ یَسْـَٔلُوْنَكَ/وَيَسۡـَٔلُونَكَ/wayasalunaka//عَنِ/عَنِ/ani//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//فَقُلْ/فَقُلۡ/faqul//یَنْسِفُهَا/يَنسِفُهَا/yansifuha//رَبِّیْ/رَبِّي/rabbi//نَسْفًاۙ/نَسۡفٗا/nasfan",
              "words_bangla": "এবং তোমাকে তারা প্রশ্ন করে//সম্পর্কে//পর্বতসমূহ//অতঃপর বলো//\"তা উড়িয়ে দিবেন ধুলো করে//আমার রব//(খুব করে) উড়িয়ে দেয়া"
            },
            {
              "number": 2454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2454.mp3"
              ],
              "text": "فَيَذَرُهَا قَاعًۭا صَفْصَفًۭا",
              "translate_bn": "অতঃপর পৃথিবীকে মসৃণ সমতলভূমি করে ছাড়বেন।",
              "numberInSurah": 106,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াযারুহা-কা-‘আন সাফসাফা-।\r\n",
              "words_arabic": "فَیَذَرُهَا/فَيَذَرُهَا/fayadharuha//قَاعًا/قَاعٗا/qa'an//صَفْصَفًاۙ/صَفۡصَفٗا/safsafan",
              "words_bangla": "অতঃপর তা পরিণত করবেন//সমতল//মসৃণ ময়দানে"
            },
            {
              "number": 2455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2455.mp3"
              ],
              "text": "لَّا تَرَىٰ فِيهَا عِوَجًۭا وَلَآ أَمْتًۭا",
              "translate_bn": "তুমি তাতে মোড় ও টিলা দেখবে না।",
              "numberInSurah": 107,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "লা-তারা-ফীহা-‘ইওয়াজাওঁ ওয়ালাআমতা-।",
              "words_arabic": "لَّا/لَّا/la//تَرٰی/تَرَىٰ/tara//فِیْهَا/فِيهَا/fiha//عِوَجًا/عِوَجٗا/iwajan//وَّ لَاۤ/وَلَآ/wala//اَمْتًاؕ/أَمۡتٗا/amtan",
              "words_bangla": "না//দেখবে তুমি//তার মধ্যে//বাঁকা//আর না//অসমান (উঁচুনিচু)\""
            },
            {
              "number": 2456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2456.mp3"
              ],
              "text": "يَوْمَئِذٍۢ يَتَّبِعُونَ ٱلدَّاعِىَ لَا عِوَجَ لَهُۥ ۖ وَخَشَعَتِ ٱلْأَصْوَاتُ لِلرَّحْمَٰنِ فَلَا تَسْمَعُ إِلَّا هَمْسًۭا",
              "translate_bn": "সেই দিন তারা আহবানকারীর অনুসরণ করবে, যার কথা এদিক-সেদিক হবে না এবং দয়াময় আল্লাহর ভয়ে সব শব্দ ক্ষীণ হয়ে যাবে। সুতরাং মৃদু গুঞ্জন ব্যতীত তুমি কিছুই শুনবে না।",
              "numberInSurah": 108,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমাইযিইঁ ইয়াত্তাবি‘ঊনাদ্দা-‘ইয়া লা-‘ইওয়াজালাহূ ওয়াখাশা‘আতিল আসওয়া-তু লিররাহমা-নি ফালা-তাছমা‘উ ইল্লা-হামছা-।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//الدَّاعِیَ/ٱلدَّاعِيَ/al-da'iya//لَا/لَا/la//عِوَجَ/عِوَجَ/iwaja//لَهٗ ۚ/لَهُۥۖ/lahu//وَ خَشَعَتِ/وَخَشَعَتِ/wakhasha'ati//الْاَصْوَاتُ/ٱلۡأَصۡوَاتُ/al-aswatu//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//فَلَا/فَلَا/fala//تَسْمَعُ/تَسۡمَعُ/tasma'u//اِلَّا/إِلَّا/illa//هَمْسًا /هَمۡسٗا/hamsan",
              "words_bangla": "সে দিন//তারা অনুসরণ করবে//এক আহ্বানকারীকে//না থাকবে//বক্রতা//তার মধ্যে//এবং ক্ষীণ হবে//আওয়াজ সমূহ//দয়াময়ের সামনে//অতঃপর না//শুনবে তুমি//কিন্তু//অস্পষ্ট ধ্বনি (পদ শব্দ)"
            },
            {
              "number": 2457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2457.mp3"
              ],
              "text": "يَوْمَئِذٍۢ لَّا تَنفَعُ ٱلشَّفَٰعَةُ إِلَّا مَنْ أَذِنَ لَهُ ٱلرَّحْمَٰنُ وَرَضِىَ لَهُۥ قَوْلًۭا",
              "translate_bn": "দয়াময় আল্লাহ যাকে অনুমতি দেবেন এবং যার কথায় সন্তুষ্ট হবেন সে ছাড়া কারও সুপারিশ সেদিন কোন উপকারে আসবে না।",
              "numberInSurah": 109,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমাইযিল লা-তানফা‘উশশাফা-‘আতুইল্লা-মান আযিনা লাহুর রাহমা-নুওয়া রাদিয়া লাহূকাওলা-।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لَّا/لَّا/la//تَنْفَعُ/تَنفَعُ/tanfa'u//الشَّفَاعَةُ/ٱلشَّفَٰعَةُ/al-shafa'atu//اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اَذِنَ/أَذِنَ/adhina//لَهُ/لَهُ/lahu//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وَ رَضِیَ/وَرَضِيَ/waradiya//لَهٗ/لَهُۥ/lahu//قَوْلًا /قَوۡلٗا/qawlan",
              "words_bangla": "সে দিন//না//উপকার দিবে//সুপারিশ//কিন্তু//যাকে//অনুমতি দিবেন//তার জন্য//দয়াময় (আল্লাহ)//এবং পছন্দ করবেন//তার জন্য//কথাকে"
            },
            {
              "number": 2458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2458.mp3"
              ],
              "text": "يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَلَا يُحِيطُونَ بِهِۦ عِلْمًۭا",
              "translate_bn": "তিনি জানেন যা কিছু তাদের সামনে ও পশ্চাতে আছে এবং তারা তাকে জ্ঞান দ্বারা আয়ত্ত করতে পারে না।",
              "numberInSurah": 110,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 127,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুমা-বাইনা আইদীহিম ওয়ামা-খালফাহুম ওয়ালা-ইউহীতূনা বিহী ‘ইলমা-।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ/خَلۡفَهُمۡ/khalfahum//وَ لَا/وَلَا/wala//یُحِیْطُوْنَ/يُحِيطُونَ/yuhituna//بِهٖ/بِهِۦ/bihi//عِلْمًا /عِلۡمٗا/il'man",
              "words_bangla": "তিনি জানেন//যা কিছু (আছে)//মাঝে//তাদের হাতের (সামনে)//এবং যা কিছু//তাদের পিছনে (আছে)//এবং না//তারা আয়ত্ত্ব করতে পারে//তাঁকে//জ্ঞানে"
            },
            {
              "number": 2459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2459.mp3"
              ],
              "text": "۞ وَعَنَتِ ٱلْوُجُوهُ لِلْحَىِّ ٱلْقَيُّومِ ۖ وَقَدْ خَابَ مَنْ حَمَلَ ظُلْمًۭا",
              "translate_bn": "সেই চিরঞ্জীব চিরস্থায়ীর সামনে সব মুখমন্ডল অবনমিত হবে এবং সে ব্যর্থ হবে যে জুলুমের বোঝা বহন করবে।",
              "numberInSurah": 111,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আনাতিল উজূহু লিলহাইয়িল কাইয়ুমি ওয়া কাদ খা-বা মান হামালা জুলমা-।",
              "words_arabic": "وَ عَنَتِ/۞وَعَنَتِ/wa'anati//الْوُجُوْهُ/ٱلۡوُجُوهُ/al-wujuhu//لِلْحَیِّ/لِلۡحَيِّ/lil'hayyi//الْقَیُّوْمِ ؕ/ٱلۡقَيُّومِۖ/al-qayumi//وَ قَدْ/وَقَدۡ/waqad//خَابَ/خَابَ/khaba//مَنْ/مَنۡ/man//حَمَلَ/حَمَلَ/hamala//ظُلْمًا /ظُلۡمٗا/zul'man",
              "words_bangla": "এবং অবনমিত হবে//মুখমণ্ডলসমূহ//কাছে চিরঞ্জীবের//চিরস্থায়ীর//এবং নিশ্চয়ই//ব্যর্থ হবে//যে//বহন করবে//অত্যাচার (গুনাহের বোঝা)"
            },
            {
              "number": 2460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2460.mp3"
              ],
              "text": "وَمَن يَعْمَلْ مِنَ ٱلصَّٰلِحَٰتِ وَهُوَ مُؤْمِنٌۭ فَلَا يَخَافُ ظُلْمًۭا وَلَا هَضْمًۭا",
              "translate_bn": "যে ঈমানদার অবস্থায় সৎকর্ম সম্পাদন করে, সে জুলুম ও ক্ষতির আশঙ্কা করবে না।",
              "numberInSurah": 112,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়া‘মাল মিনাসসা-লিহা-তি ওয়া হুওয়া মু’মিনুন ফালা-ইয়াখা-ফুজুলমাওঁ ওয়ালাহাদমা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//مِنَ/مِنَ/mina//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَلَا/فَلَا/fala//یَخٰفُ/يَخَافُ/yakhafu//ظُلْمًا/ظُلۡمٗا/zul'man//وَّ لَا/وَلَا/wala//هَضْمًا /هَضۡمٗا/hadman",
              "words_bangla": "এবং যে//কাজ করবে//থেকে//সৎকাজ//এ অবস্থায়(যে) সে//মু'মিন (হবে)//তাহ'লে না//সে ভয় করবে//অত্যাচার//আর না//ক্ষতির"
            },
            {
              "number": 2461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2461.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَنزَلْنَٰهُ قُرْءَانًا عَرَبِيًّۭا وَصَرَّفْنَا فِيهِ مِنَ ٱلْوَعِيدِ لَعَلَّهُمْ يَتَّقُونَ أَوْ يُحْدِثُ لَهُمْ ذِكْرًۭا",
              "translate_bn": "এমনিভাবে আমি আরবী ভাষায় কোরআন নাযিল করেছি এবং এতে নানাভাবে সতর্কবাণী ব্যক্ত করেছি, যাতে তারা আল্লাহভীরু হয় অথবা তাদের অন্তরে চিন্তার খোরাক যোগায়।",
              "numberInSurah": 113,
              "juz": 16,
              "manzil": 4,
              "page": 319,
              "ruku": 275,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আনঝালনা-হুকুরআ-নান ‘আরাবিইইয়াওঁ ওয়া সাররাফনা ফীহি মিনাল ওয়া‘ঈদি লা‘আল্লাহুম ইয়াত্তাকূনা আও ইউহদিছু লাহুম যিকরা-।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//قُرْاٰنًا/قُرۡءَانًا/qur'anan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//وَّ صَرَّفْنَا/وَصَرَّفۡنَا/wasarrafna//فِیْهِ/فِيهِ/fihi//مِنَ/مِنَ/mina//الْوَعِیْدِ/ٱلۡوَعِيدِ/al-wa'idi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَّقُوْنَ/يَتَّقُونَ/yattaquna//اَوْ/أَوۡ/aw//یُحْدِثُ/يُحۡدِثُ/yuh'dithu//لَهُمْ/لَهُمۡ/lahum//ذِكْرًا /ذِكۡرٗا/dhik'ran",
              "words_bangla": "আর এরূপে//তা আমরা অবতীর্ণ করেছি//(অর্থাৎ) কুরআনকে//আরবী ভাষায়//এবং আমরা বিশদভাবে বর্ণনা করেছি//তার মধ্যে//দিয়ে//সতর্কবাণী//তারা যাতে//তাকওয়া অবলম্বন করে//অথবা//সৃষ্টি করবে//তাদের জন্যে//উপদেশ(হুঁশজ্ঞান)"
            },
            {
              "number": 2462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2462.mp3"
              ],
              "text": "فَتَعَٰلَى ٱللَّهُ ٱلْمَلِكُ ٱلْحَقُّ ۗ وَلَا تَعْجَلْ بِٱلْقُرْءَانِ مِن قَبْلِ أَن يُقْضَىٰٓ إِلَيْكَ وَحْيُهُۥ ۖ وَقُل رَّبِّ زِدْنِى عِلْمًۭا",
              "translate_bn": "সত্যিকার অধীশ্বর আল্লাহ মহান। আপনার প্রতি আল্লাহর ওহী সম্পুর্ণ হওয়ার পূর্বে আপনি কোরআন গ্রহণের ব্যপারে তাড়াহুড়া করবেন না এবং বলুনঃ হে আমার পালনকর্তা, আমার জ্ঞান বৃদ্ধি করুন।",
              "numberInSurah": 114,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 275,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ফাতা‘আ-লাল্লা-হুল মালিকুল হাক্কু ওয়ালা-তা‘জাল বিলকুরআ-নি মিন কাবলি আইঁ ইউকদাইলাইকা ওয়াহইউহূ, ওয়াকুর রাব্বি ঝিদনী ‘ইলমা-।",
              "words_arabic": "فَتَعٰلَی/فَتَعَٰلَى/fata'ala//اللّٰهُ/ٱللَّهُ/al-lahu//الْمَلِكُ/ٱلۡمَلِكُ/al-maliku//الْحَقُّ ۚ/ٱلۡحَقُّۗ/al-haqu//وَ لَا/وَلَا/wala//تَعْجَلْ/تَعۡجَلۡ/ta'jal//بِالْقُرْاٰنِ/بِٱلۡقُرۡءَانِ/bil-qur'ani//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یُّقْضٰۤی/يُقۡضَىٰٓ/yuq'da//اِلَیْكَ/إِلَيۡكَ/ilayka//وَحْیُهٗ ؗ/وَحۡيُهُۥۖ/wahyuhu//وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//زِدْنِیْ/زِدۡنِي/zid'ni//عِلْمًا /عِلۡمٗا/il'man",
              "words_bangla": "সুতরাং মহান//আল্লাহ//অধিপতি//সত্যিকার//এবং না//তাড়াহুড়া করো//নিয়ে কুরআন (পাঠে)//থেকে//এর পূর্ব//যে//সম্পূর্ণ করা হয়//তোমার প্রতি//তার ওহী(প্রেরণ)//এবং বলো//\"হে আমার রব//আমাকে বাড়িয়ে দাও//জ্ঞান\""
            },
            {
              "number": 2463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2463.mp3"
              ],
              "text": "وَلَقَدْ عَهِدْنَآ إِلَىٰٓ ءَادَمَ مِن قَبْلُ فَنَسِىَ وَلَمْ نَجِدْ لَهُۥ عَزْمًۭا",
              "translate_bn": "আমি ইতিপূর্বে আদমকে নির্দেশ দিয়েছিলাম। অতঃপর সে ভুলে গিয়েছিল এবং আমি তার মধ্যে দৃঢ়তা পাইনি।",
              "numberInSurah": 115,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 275,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ‘আহিদনাইলাআ-দামা মিন কাবলুফানাছিয়া ওয়া লাম নাজিদ লাহূ‘আঝমা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//عَهِدْنَاۤ/عَهِدۡنَآ/ahid'na//اِلٰۤی/إِلَىٰٓ/ila//اٰدَمَ/ءَادَمَ/adama//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//فَنَسِیَ/فَنَسِيَ/fanasiya//وَ لَمْ/وَلَمۡ/walam//نَجِدْ/نَجِدۡ/najid//لَهٗ/لَهُۥ/lahu//عَزْمًا۠/عَزۡمٗا/azman",
              "words_bangla": "এবং নিশ্চয়ই//আমরা নির্দেশ দিয়েছিলাম//প্রতি//আদমের//থেকে//ইতিপূর্ব//কিন্তু সে ভুলে যায়//এবং নি//আমরা পাই//তার মধ্যে//দৃঢ় সংকল্প"
            },
            {
              "number": 2464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2464.mp3"
              ],
              "text": "وَإِذْ قُلْنَا لِلْمَلَٰٓئِكَةِ ٱسْجُدُوا۟ لِءَادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ أَبَىٰ",
              "translate_bn": "যখন আমি ফেরেশতাদেরকে বললামঃ তোমরা আদমকে সেজদা কর, তখন ইবলীস ব্যতীত সবাই সেজদা করল। সে অমান্য করল।",
              "numberInSurah": 116,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকুলনা-লিলমালাইকাতিছ জু দূলিআ-দামা ফছাজাদূ ইল্লাইবলীছা আবা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قُلْنَا/قُلۡنَا/qul'na//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اسْجُدُوْا/ٱسۡجُدُواْ/us'judu//لِاٰدَمَ/لِأٓدَمَ/liadama//فَسَجَدُوْۤا/فَسَجَدُوٓاْ/fasajadu//اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//اَبٰی /أَبَىٰ/aba",
              "words_bangla": "এবং(স্মরণ করো) যখন//আমরা বলেছিলাম//ফিরিশতাদেরকে//\"তোমরা সিজদা করো//জন্য আদমের\"//তখন তারা সিজদা করলো//কিন্তু//ইবলিস (করলো না)//সে অমান্য করলো"
            },
            {
              "number": 2465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2465.mp3"
              ],
              "text": "فَقُلْنَا يَٰٓـَٔادَمُ إِنَّ هَٰذَا عَدُوٌّۭ لَّكَ وَلِزَوْجِكَ فَلَا يُخْرِجَنَّكُمَا مِنَ ٱلْجَنَّةِ فَتَشْقَىٰٓ",
              "translate_bn": "অতঃপর আমি বললামঃ হে আদম, এ তোমার ও তোমার স্ত্রীর শত্রু, সুতরাং সে যেন বের করে না দেয় তোমাদের জান্নাত থেকে। তাহলে তোমরা কষ্টে পতিত হবে।",
              "numberInSurah": 117,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ফাকুলনা-ইয়াআ-দামু ইন্না হা-যা- ‘আদুওউল্লাকা ওয়ালি ঝাওজিকা ফালাইউখরিজান্নাকুমা-মিনাল জান্নাতি ফাতাশকা-।",
              "words_arabic": "فَقُلْنَا/فَقُلۡنَا/faqul'na//یٰۤاٰدَمُ/يَـٰٓـَٔادَمُ/yaadamu//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//عَدُوٌّ/عَدُوّٞ/aduwwun//لَّكَ/لَّكَ/laka//وَ لِزَوْجِكَ/وَلِزَوۡجِكَ/walizawjika//فَلَا/فَلَا/fala//یُخْرِجَنَّكُمَا/يُخۡرِجَنَّكُمَا/yukh'rijannakuma//مِنَ/مِنَ/mina//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//فَتَشْقٰی /فَتَشۡقَىٰٓ/fatashqa",
              "words_bangla": "তখন আমরা বললাম//\"হে আদম//নিশ্চয়ই//এটা//শত্রু//জন্য তোমার//এবং জন্য তোমার স্ত্রীর//অতএব না যেন//তোমাদের দু'জনকে বের করে দেয়//হ'তে//জান্নাত//ফলে তুমি কষ্টে পড়বে"
            },
            {
              "number": 2466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2466.mp3"
              ],
              "text": "إِنَّ لَكَ أَلَّا تَجُوعَ فِيهَا وَلَا تَعْرَىٰ",
              "translate_bn": "তোমাকে এই দেয়া হল যে, তুমি এতে ক্ষুধার্ত হবে না এবং বস্ত্রহীণ হবে না।",
              "numberInSurah": 118,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ইন্না লাকা আল্লা-তাজু‘আ ফীহা-ওয়ালা-তা‘রা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//لَكَ/لَكَ/laka//اَلَّا/أَلَّا/alla//تَجُوْعَ/تَجُوعَ/taju'a//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//تَعْرٰیۙ/تَعۡرَىٰ/ta'ra",
              "words_bangla": "নিশ্চয়ই//জন্যে তোমার//(এ ব্যবস্থা) যে না//তুমি ক্ষুধার্ত হবে//তার মধ্যে//আর না//তুমি উলঙ্গ হবে"
            },
            {
              "number": 2467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2467.mp3"
              ],
              "text": "وَأَنَّكَ لَا تَظْمَؤُا۟ فِيهَا وَلَا تَضْحَىٰ",
              "translate_bn": "এবং তোমার পিপাসাও হবে না এবং রৌদ্রেও কষ্ট পাবে না।",
              "numberInSurah": 119,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাকা লা-তাজমাউ ফীহা-ওয়ালা-তাদহা-।",
              "words_arabic": "وَ اَنَّكَ/وَأَنَّكَ/wa-annaka//لَا/لَا/la//تَظْمَؤُا/تَظۡمَؤُاْ/tazma-u//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//تَضْحٰی /تَضۡحَىٰ/tadha",
              "words_bangla": "এবং (এও) যে তুমি//না//পিপাসার্ত হবে//তার মধ্যে//আর না//রোদে উতপ্ত হবে"
            },
            {
              "number": 2468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2468.mp3"
              ],
              "text": "فَوَسْوَسَ إِلَيْهِ ٱلشَّيْطَٰنُ قَالَ يَٰٓـَٔادَمُ هَلْ أَدُلُّكَ عَلَىٰ شَجَرَةِ ٱلْخُلْدِ وَمُلْكٍۢ لَّا يَبْلَىٰ",
              "translate_bn": "অতঃপর শয়তান তাকে কুমন্ত্রনা দিল, বললঃ হে আদম, আমি কি তোমাকে বলে দিব অনন্তকাল জীবিত থাকার বৃক্ষের কথা এবং অবিনশ্বর রাজত্বের কথা?",
              "numberInSurah": 120,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াছওয়াছা ইলাইহিশ শাইতা-নুকা-লা ইয়াআ-দামুহাল আদুল্লুকা ‘আলা-শাজারাতিল খুলদি ওয়া মুলকিল লা-ইয়াবলা-।",
              "words_arabic": "فَوَسْوَسَ/فَوَسۡوَسَ/fawaswasa//اِلَیْهِ/إِلَيۡهِ/ilayhi//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//قَالَ/قَالَ/qala//یٰۤاٰدَمُ/يَـٰٓـَٔادَمُ/yaadamu//هَلْ/هَلۡ/hal//اَدُلُّكَ/أَدُلُّكَ/adulluka//عَلٰی/عَلَىٰ/ala//شَجَرَةِ/شَجَرَةِ/shajarati//الْخُلْدِ/ٱلۡخُلۡدِ/al-khul'di//وَ مُلْكٍ/وَمُلۡكٖ/wamul'kin//لَّا/لَّا/la//یَبْلٰی /يَبۡلَىٰ/yabla",
              "words_bangla": "কিন্তু কুমন্ত্রনা দিলো//তার দিকে//শয়তান//সে বললো//\"হে আদম//কি//তোমাকে আমি বলে দিবো//সমন্ধে//এই গাছের//চিরন্তন জীবনের//ও এমন রাজ্যের//(যা) না//ক্ষয় হয়\""
            },
            {
              "number": 2469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2469.mp3"
              ],
              "text": "فَأَكَلَا مِنْهَا فَبَدَتْ لَهُمَا سَوْءَٰتُهُمَا وَطَفِقَا يَخْصِفَانِ عَلَيْهِمَا مِن وَرَقِ ٱلْجَنَّةِ ۚ وَعَصَىٰٓ ءَادَمُ رَبَّهُۥ فَغَوَىٰ",
              "translate_bn": "অতঃপর তারা উভয়েই এর ফল ভক্ষণ করল, তখন তাদের সামনে তাদের লজ্জাস্থান খুলে গেল এবং তারা জান্নাতের বৃক্ষ-পত্র দ্বারা নিজেদেরকে আবৃত করতে শুরু করল। আদম তার পালনকর্তার অবাধ্যতা করল, ফলে সে পথ ভ্রষ্ঠ হয়ে গেল।",
              "numberInSurah": 121,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ফাআকালা-মিনহা-ফাবাদাত লাহুমা-ছাওআ-তুহুমা-ওয়া তাফিকা ইয়াখছিফা-নি ‘আলাইহিমা- মিওঁ ওয়ারাকিল জান্নাতি ওয়া ‘আসাআ-দামুরাব্বাহূফাগাওয়া-।",
              "words_arabic": "فَاَكَلَا/فَأَكَلَا/fa-akala//مِنْهَا/مِنۡهَا/min'ha//فَبَدَتْ/فَبَدَتۡ/fabadat//لَهُمَا/لَهُمَا/lahuma//سَوْاٰتُهُمَا/سَوۡءَٰتُهُمَا/sawatuhuma//وَ طَفِقَا/وَطَفِقَا/watafiqa//یَخْصِفٰنِ/يَخۡصِفَانِ/yakhsifani//عَلَیْهِمَا/عَلَيۡهِمَا/alayhima//مِنْ/مِن/min//وَّرَقِ/وَرَقِ/waraqi//الْجَنَّةِ ؗ/ٱلۡجَنَّةِۚ/al-janati//وَ عَصٰۤی/وَعَصَىٰٓ/wa'asa//اٰدَمُ/ءَادَمُ/adamu//رَبَّهٗ/رَبَّهُۥ/rabbahu//فَغَوٰی۪ۖ/فَغَوَىٰ/faghawa",
              "words_bangla": "অতঃপর উভয়ে খেলো//তা থেকে//তখন প্রকাশ হয়ে পড়লো//কাছে তাদের উভয়ের//তাদের উভয়ের লজ্জাস্থানসমূহ//এবং উভয়ে শুরু করলো//উভয়ে ঢাকতে//তাদের দুজনের উপর//দিয়ে//পাতা//জান্নাতের//এবং অমান্য করলো//আদম//তার রবকে//অতঃপর সে বিভ্রান্ত হলো"
            },
            {
              "number": 2470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2470.mp3"
              ],
              "text": "ثُمَّ ٱجْتَبَٰهُ رَبُّهُۥ فَتَابَ عَلَيْهِ وَهَدَىٰ",
              "translate_bn": "এরপর তার পালনকর্তা তাকে মনোনীত করলেন, তার প্রতি মনোযোগী হলেন এবং তাকে সুপথে আনয়ন করলেন।",
              "numberInSurah": 122,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মাজ তাবা-হু রাব্বুহূফাতা-বা ‘আলাইহি ওয়াহাদা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اجْتَبٰهُ/ٱجۡتَبَٰهُ/ij'tabahu//رَبُّهٗ/رَبُّهُۥ/rabbuhu//فَتَابَ/فَتَابَ/fataba//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ هَدٰی /وَهَدَىٰ/wahada",
              "words_bangla": "এরপরে//তাকে মনোনীত করলেন (সম্মানিত করলেন)//তাঁর রব//অতঃপর ক্ষমা করলেন//তার প্রতি//ও পথ দেখালেন"
            },
            {
              "number": 2471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2471.mp3"
              ],
              "text": "قَالَ ٱهْبِطَا مِنْهَا جَمِيعًۢا ۖ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّۭ ۖ فَإِمَّا يَأْتِيَنَّكُم مِّنِّى هُدًۭى فَمَنِ ٱتَّبَعَ هُدَاىَ فَلَا يَضِلُّ وَلَا يَشْقَىٰ",
              "translate_bn": "তিনি বললেনঃ তোমরা উভয়েই এখান থেকে এক সঙ্গে নেমে যাও। তোমরা একে অপরের শত্রু। এরপর যদি আমার পক্ষ থেকে তোমাদের কাছে হেদায়েত আসে, তখন যে আমার বর্ণিত পথ অনুসরণ করবে, সে পথভ্রষ্ঠ হবে না এবং কষ্টে পতিত হবে না।",
              "numberInSurah": 123,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "কা-লাহ বিতা-মিনহা-জামী‘আম বা‘দুকুম লিবা‘দিন ‘আদুওউন ফাইম্মাইয়া’তিইয়ান্নাকুম মিন্নী হুদান ফামানিততাবা‘আ হুদা-ইয়া ফালা-ইয়াদিল্লুওয়ালাইয়াশকা-।",
              "words_arabic": "قَالَ/قَالَ/qala//اهْبِطَا/ٱهۡبِطَا/ih'bita//مِنْهَا/مِنۡهَا/min'ha//جَمِیْعًۢا/جَمِيعَۢاۖ/jami'an//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//لِبَعْضٍ/لِبَعۡضٍ/liba'din//عَدُوٌّ ۚ/عَدُوّٞۖ/aduwwun//فَاِمَّا/فَإِمَّا/fa-imma//یَاْتِیَنَّكُمْ/يَأۡتِيَنَّكُم/yatiyannakum//مِّنِّیْ/مِّنِّي/minni//هُدًی ۙ۬/هُدٗى/hudan//فَمَنِ/فَمَنِ/famani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//هُدَایَ/هُدَايَ/hudaya//فَلَا/فَلَا/fala//یَضِلُّ/يَضِلُّ/yadillu//وَ لَا/وَلَا/wala//یَشْقٰی /يَشۡقَىٰ/yashqa",
              "words_bangla": "(আল্লাহ) বললেন//\"উভয়ে নেমে যাও//তা থেকে//এক সঙ্গে//তোমরা একে//জন্যে অপরের//শত্রু (হবে)//অতঃপর যখন//তোমাদের কাছে আসবে//আমার পক্ষ হ'তে//পথনির্দেশ//তখন যে//অনুসরণ করবে//আমার পথনির্দেশ//ফলে না//বিভ্রান্ত হবে//আর না//কষ্ট পাবে"
            },
            {
              "number": 2472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2472.mp3"
              ],
              "text": "وَمَنْ أَعْرَضَ عَن ذِكْرِى فَإِنَّ لَهُۥ مَعِيشَةًۭ ضَنكًۭا وَنَحْشُرُهُۥ يَوْمَ ٱلْقِيَٰمَةِ أَعْمَىٰ",
              "translate_bn": "এবং যে আমার স্মরণ থেকে মুখ ফিরিয়ে নেবে, তার জীবিকা সংকীর্ণ হবে এবং আমি তাকে কেয়ামতের দিন অন্ধ অবস্থায় উত্থিত করব।",
              "numberInSurah": 124,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আ‘রাদা‘আনযিকরী ফাইন্না লাহূমা‘ঈশাতান দানকাওঁ ওয়ানাহশুরুহূইয়াওমাল কিয়া-মাতি আ‘মা-।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَعْرَضَ/أَعۡرَضَ/a'rada//عَنْ/عَن/an//ذِكْرِیْ/ذِكۡرِي/dhik'ri//فَاِنَّ/فَإِنَّ/fa-inna//لَهٗ/لَهُۥ/lahu//مَعِیْشَةً/مَعِيشَةٗ/ma'ishatan//ضَنْكًا/ضَنكٗا/dankan//وَّ نَحْشُرُهٗ/وَنَحۡشُرُهُۥ/wanahshuruhu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//اَعْمٰی /أَعۡمَىٰ/a'ma",
              "words_bangla": "আর যে//বিমুখ হবে//হ'তে//আমার স্মরণ//নিশ্চয়ই তবে//তার জন্যে (হবে)//জীবন যাপন//সংকুচিত//আর তাকে উঠাবো আমরা//দিনে//ক্বিয়ামাতের//অন্ধ অবস্থায়\""
            },
            {
              "number": 2473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2473.mp3"
              ],
              "text": "قَالَ رَبِّ لِمَ حَشَرْتَنِىٓ أَعْمَىٰ وَقَدْ كُنتُ بَصِيرًۭا",
              "translate_bn": "সে বলবেঃ হে আমার পালনকর্তা আমাকে কেন অন্ধ অবস্থায় উত্থিত করলেন? আমি তো চক্ষুমান ছিলাম।",
              "numberInSurah": 125,
              "juz": 16,
              "manzil": 4,
              "page": 320,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি লিমা হাশারতানীআ‘মা-ওয়া কাদ কুনতুবাসীরা-।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//لِمَ/لِمَ/lima//حَشَرْتَنِیْۤ/حَشَرۡتَنِيٓ/hashartani//اَعْمٰی/أَعۡمَىٰ/a'ma//وَ قَدْ/وَقَدۡ/waqad//كُنْتُ/كُنتُ/kuntu//بَصِیْرًا /بَصِيرٗا/basiran",
              "words_bangla": "সে বলবে//\"হে আমার রব//কেন//আমাকে আপনি উঠালেন//অন্ধ অবস্থায়//অথচ নিশ্চয়ই//আমি ছিলাম//চক্ষুষ্মান\""
            },
            {
              "number": 2474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2474.mp3"
              ],
              "text": "قَالَ كَذَٰلِكَ أَتَتْكَ ءَايَٰتُنَا فَنَسِيتَهَا ۖ وَكَذَٰلِكَ ٱلْيَوْمَ تُنسَىٰ",
              "translate_bn": "আল্লাহ বলবেনঃ এমনিভাবে তোমার কাছে আমার আয়াতসমূহ এসেছিল, অতঃপর তুমি সেগুলো ভুলে গিয়েছিলে। তেমনিভাবে আজ তোমাকে ভুলে যাব।",
              "numberInSurah": 126,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাযা-লিকা আতাতকা আ-য়া-তুনা-ফানাছীতাহা- ওয়া কাযা-লিকাল ইয়াওমা তুনছা-।",
              "words_arabic": "قَالَ/قَالَ/qala//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//اَتَتْكَ/أَتَتۡكَ/atatka//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//فَنَسِیْتَهَا ۚ/فَنَسِيتَهَاۖ/fanasitaha//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//تُنْسٰی /تُنسَىٰ/tunsa",
              "words_bangla": "তিনি বলবেন//\"এমনিভাবেই//তোমাদের কাছে এসেছিলো//আমাদের নিদর্শনাবলী//তখন তা তুমি ভুলে গিয়েছিলে//এবং এভাবেই//আজ//বিস্মৃত হয়েছো তুমি\""
            },
            {
              "number": 2475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2475.mp3"
              ],
              "text": "وَكَذَٰلِكَ نَجْزِى مَنْ أَسْرَفَ وَلَمْ يُؤْمِنۢ بِـَٔايَٰتِ رَبِّهِۦ ۚ وَلَعَذَابُ ٱلْءَاخِرَةِ أَشَدُّ وَأَبْقَىٰٓ",
              "translate_bn": "এমনিভাবে আমি তাকে প্রতিফল দেব, যে সীমালঙ্ঘন করে এবং পালনকর্তার কথায় বিশ্বাস স্থাপন না করে। তার পরকালের শাস্তি কঠোরতর এবং অনেক স্থায়ী।",
              "numberInSurah": 127,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা নাজঝী মান আছরাফাওয়া লাম ইউ’মিম বিআ-য়া-তি রাব্বিহী ওয়ালা‘আযা-বুল আ-খিরাতি আশাদ্দুওয়া আবকা-।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِیْ/نَجۡزِي/najzi//مَنْ/مَنۡ/man//اَسْرَفَ/أَسۡرَفَ/asrafa//وَ لَمْ/وَلَمۡ/walam//یُؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهٖ ؕ/رَبِّهِۦۚ/rabbihi//وَ لَعَذَابُ/وَلَعَذَابُ/wala'adhabu//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَشَدُّ/أَشَدُّ/ashaddu//وَ اَبْقٰی /وَأَبۡقَىٰٓ/wa-abqa",
              "words_bangla": "এবং এরূপেই//প্রতিফল দিই আমরা//(তাকে) যে//বাড়াবাড়ি করে//এবং না//বিশ্বাস করে//নিদর্শনাবলীর প্রতি//তার রবের//এবং অবশ্যই শাস্তি//আখিরাতের//কঠোরতর//ও অধিক স্থায়ী"
            },
            {
              "number": 2476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2476.mp3"
              ],
              "text": "أَفَلَمْ يَهْدِ لَهُمْ كَمْ أَهْلَكْنَا قَبْلَهُم مِّنَ ٱلْقُرُونِ يَمْشُونَ فِى مَسَٰكِنِهِمْ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّأُو۟لِى ٱلنُّهَىٰ",
              "translate_bn": "আমি এদের পূর্বে অনেক সম্প্রদায়কে ধবংস করেছি। যাদের বাসভুমিতে এরা বিচরণ করে, এটা কি এদেরকে সৎপথ প্রদর্শন করল না? নিশ্চয় এতে বুদ্ধিমানদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 128,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 276,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়াহদি লাহুম কাম আহলাকনা-কাবলাহুম মিনাল কুরূনি ইয়ামশূনা ফী মাছাকিনিহিম ইন্না ফী যা-লিকা লাআ-য়া-তিল লিউলিননুহা-।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَهْدِ/يَهۡدِ/yahdi//لَهُمْ/لَهُمۡ/lahum//كَمْ/كَمۡ/kam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنَ/مِّنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//یَمْشُوْنَ/يَمۡشُونَ/yamshuna//فِیْ/فِي/fi//مَسٰكِنِهِمْ ؕ/مَسَٰكِنِهِمۡۚ/masakinihim//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّاُولِی/لِّأُوْلِي/li-uli//النُّهٰی۠/ٱلنُّهَىٰ/al-nuha",
              "words_bangla": "নি তবে কি//পথ দেখায় (ইতিহাসের এ শিক্ষা)//তাদের জন্যে//কতই (না)//আমরা ধ্বংস করেছি (জনপদ)//তাদের পূর্বে//মধ্য হ'তে//মানব গোষ্ঠির//তারা চলছে (আজ)//মধ্য দিয়ে//তাদের বাসস্থানসমূহের//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে অধিকারীদের//বুদ্ধি-বিবেকের"
            },
            {
              "number": 2477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2477.mp3"
              ],
              "text": "وَلَوْلَا كَلِمَةٌۭ سَبَقَتْ مِن رَّبِّكَ لَكَانَ لِزَامًۭا وَأَجَلٌۭ مُّسَمًّۭى",
              "translate_bn": "আপনার পালনকর্তার পক্ষ থেকে পূর্ব সিদ্ধান্ত এবং একটি কাল নির্দিষ্ট না থাকলে শাস্তি অবশ্যম্ভাবী হয়ে যেত।",
              "numberInSurah": 129,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাওলা-কালিমাতুন ছাবাকাত মির রাব্বিকা লাকা-না লিঝা-মাওঁ ওয়া আজালুম মুছাম্মা-।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةٌ/كَلِمَةٞ/kalimatun//سَبَقَتْ/سَبَقَتۡ/sabaqat//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لَكَانَ/لَكَانَ/lakana//لِزَامًا/لِزَامٗا/lizaman//وَّ اَجَلٌ/وَأَجَلٞ/wa-ajalun//مُّسَمًّیؕ/مُّسَمّٗى/musamman",
              "words_bangla": "এবং যদি না//একটি বাণী//পূর্বে নির্দিষ্ট হয়ে থাকতো//পক্ষ হ'তে//তোমার রবের//অবশ্যই হতো (শাস্তি)//অবশ্যম্ভাবী//ও একটি কাল (যদি না থাকতো)//নির্দিষ্ট"
            },
            {
              "number": 2478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2478.mp3"
              ],
              "text": "فَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَسَبِّحْ بِحَمْدِ رَبِّكَ قَبْلَ طُلُوعِ ٱلشَّمْسِ وَقَبْلَ غُرُوبِهَا ۖ وَمِنْ ءَانَآئِ ٱلَّيْلِ فَسَبِّحْ وَأَطْرَافَ ٱلنَّهَارِ لَعَلَّكَ تَرْضَىٰ",
              "translate_bn": "সুতরাং এরা যা বলে সে বিষয়ে ধৈর্য্য ধারণ করুন এবং আপনার পালনকর্তার প্রশংসা পবিত্রতা ও মহিমা ঘোষনা করুন সূর্যোদয়ের পূর্বে, সূর্যাস্তের পূর্বে এবং পবিত্রতা ও মহিমা ঘোষনা করুন রাত্রির কিছু অংশ ও দিবাভাগে, সম্ভবতঃ তাতে আপনি সন্তুষ্ট হবেন।",
              "numberInSurah": 130,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ফাসবির ‘আলা-মা-ইয়াকূলূনা ওয়া ছাব্বিহবিহামদি রাব্বিকা কাবলা তুলূ‘ইশশামছি ওয়া কাবলা গুরূবিহা- ওয়া মিন আ-নাইল্লাইলি ফাছাব্বিহওয়া আতরা-ফান্নাহা-রি লা‘আল্লাকা তারদা-।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//وَ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//قَبْلَ/قَبۡلَ/qabla//طُلُوْعِ/طُلُوعِ/tulu'i//الشَّمْسِ/ٱلشَّمۡسِ/al-shamsi//وَ قَبْلَ/وَقَبۡلَ/waqabla//غُرُوْبِهَا ۚ/غُرُوبِهَاۖ/ghurubiha//وَ مِنْ/وَمِنۡ/wamin//اٰنَآئِ/ءَانَآيِٕ/anai//الَّیْلِ/ٱلَّيۡلِ/al-layli//فَسَبِّحْ/فَسَبِّحۡ/fasabbih//وَ اَطْرَافَ/وَأَطۡرَافَ/wa-atrafa//النَّهَارِ/ٱلنَّهَارِ/al-nahari//لَعَلَّكَ/لَعَلَّكَ/la'allaka//تَرْضٰی /تَرۡضَىٰ/tarda",
              "words_bangla": "সুতরাং ধৈর্য ধরো//উপর//যা//তারা বলে//ও মহিমা ঘোষণা করো//প্রশংসা সহ//তোমার রবের//পূর্বে//উদয়ের//সূর্য//ও পূর্বে//তার অস্তের//এবং//কিছু অংশে//রাতের//অতঃপর মহিমা ঘোষণা করো//ও প্রান্ত ভাগে//দিনের//সম্ভবতঃ তুমি//সন্তুষ্ট হবে"
            },
            {
              "number": 2479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2479.mp3"
              ],
              "text": "وَلَا تَمُدَّنَّ عَيْنَيْكَ إِلَىٰ مَا مَتَّعْنَا بِهِۦٓ أَزْوَٰجًۭا مِّنْهُمْ زَهْرَةَ ٱلْحَيَوٰةِ ٱلدُّنْيَا لِنَفْتِنَهُمْ فِيهِ ۚ وَرِزْقُ رَبِّكَ خَيْرٌۭ وَأَبْقَىٰ",
              "translate_bn": "আমি এদের বিভিন্ন প্রকার লোককে পরীক্ষা করার জন্যে পার্থিবজীবনের সৌন্দর্য স্বরূপ ভোগ-বিলাসের যে উপকরণ দিয়েছি, আপনি সেই সব বস্তুর প্রতি দৃষ্টি নিক্ষেপ করবেন না। আপনার পালনকর্তার দেয়া রিযিক উৎকৃষ্ট ও অধিক স্থায়ী।",
              "numberInSurah": 131,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তামুদ্দান্না ‘আইনাইকা ইলা-মা-মাত্তা‘না-বিহীআঝওয়া-জাম মিনহুম ঝাহরাতাল হা-য়া-তিদ দুনইয়া- লিনাফতিনাহুম ফীহি ওয়া রিঝকুরাব্বিকা খাইরুওঁ ওয়া আবকা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَمُدَّنَّ/تَمُدَّنَّ/tamuddanna//عَیْنَیْكَ/عَيۡنَيۡكَ/aynayka//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//مَتَّعْنَا/مَتَّعۡنَا/matta'na//بِهٖۤ/بِهِۦٓ/bihi//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//زَهْرَةَ/زَهۡرَةَ/zahrata//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۙ۬/ٱلدُّنۡيَا/al-dun'ya//لِنَفْتِنَهُمْ/لِنَفۡتِنَهُمۡ/linaftinahum//فِیْهِ ؕ/فِيهِۚ/fihi//وَ رِزْقُ/وَرِزۡقُ/wariz'qu//رَبِّكَ/رَبِّكَ/rabbika//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَبْقٰی /وَأَبۡقَىٰ/wa-abqa",
              "words_bangla": "এবং না//প্রসারিত তুমি করো//তোমার দুচোখ//প্রতি//যা//আমরা উপকরণ দিয়েছি//সে সম্পর্কে//বিভিন্ন শ্রেণীকে//তাদের মধ্যকার//সৌন্দর্য হিসেবে//জীবনের//পার্থিব//যেন তাদের পরীক্ষা করি আমরা//তার মধ্যে//আর জীবিকাই//তোমার রবের//উত্তম//ও স্থায়ী"
            },
            {
              "number": 2480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2480.mp3"
              ],
              "text": "وَأْمُرْ أَهْلَكَ بِٱلصَّلَوٰةِ وَٱصْطَبِرْ عَلَيْهَا ۖ لَا نَسْـَٔلُكَ رِزْقًۭا ۖ نَّحْنُ نَرْزُقُكَ ۗ وَٱلْعَٰقِبَةُ لِلتَّقْوَىٰ",
              "translate_bn": "আপনি আপনার পরিবারের লোকদেরকে নামাযের আদেশ দিন এবং নিজেও এর ওপর অবিচল থাকুন। আমি আপনার কাছে কোন রিযিক চাই না। আমি আপনাকে রিযিক দেই এবং আল্লাহ ভীরুতার পরিণাম শুভ।",
              "numberInSurah": 132,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া’মুর আহলাকা বিসসালা-তি ওয়াসতাবির ‘আলাইহা- লা-নাছআলুকা রিঝকান নাহনুনারঝুকুকা ওয়াল ‘আ-কিবাতুলিত্তাকওয়া-।\r\n",
              "words_arabic": "وَ اْمُرْ/وَأۡمُرۡ/wamur//اَهْلَكَ/أَهۡلَكَ/ahlaka//بِالصَّلٰوةِ/بِٱلصَّلَوٰةِ/bil-salati//وَ اصْطَبِرْ/وَٱصۡطَبِرۡ/wa-is'tabir//عَلَیْهَا ؕ/عَلَيۡهَاۖ/alayha//لَا/لَا/la//نَسْـَٔلُكَ/نَسۡـَٔلُكَ/nasaluka//رِزْقًا ؕ/رِزۡقٗاۖ/riz'qan//نَحْنُ/نَّحۡنُ/nahnu//نَرْزُقُكَ ؕ/نَرۡزُقُكَۗ/narzuquka//وَ الْعَاقِبَةُ/وَٱلۡعَٰقِبَةُ/wal-'aqibatu//لِلتَّقْوٰی /لِلتَّقۡوَىٰ/lilttaqwa",
              "words_bangla": "এবং নির্দেশ দাও//তোমার পরিবারকে//সালাত সম্পর্কে//এবং দৃঢ় থাকো//তার উপর//না//তোমার কাছে চাই আমরা//কোন জীবিকা//আমরাই//তোমাকে জীবিকা দিই//এবং পরিণাম (শুভ)//জন্যে মুত্তাকীদের"
            },
            {
              "number": 2481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2481.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْلَا يَأْتِينَا بِـَٔايَةٍۢ مِّن رَّبِّهِۦٓ ۚ أَوَلَمْ تَأْتِهِم بَيِّنَةُ مَا فِى ٱلصُّحُفِ ٱلْأُولَىٰ",
              "translate_bn": "এরা বলেঃ সে আমাদের কাছে তার পালনকর্তার কাছ থেকে কোন নিদর্শন আনয়ন করে না কেন? তাদের কাছে কি প্রমাণ আসেনি, যা পূর্ববর্তী গ্রন্থসমূহে আছে?",
              "numberInSurah": 133,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাওলা-ইয়া’তীনা-বিআ-য়াতিম মির রাব্বিহী আওয়ালাম তা’তিহিম বাইয়িনাতুমা-ফিসসুহুফিল ঊলা-।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ لَا/لَوۡلَا/lawla//یَاْتِیْنَا/يَأۡتِينَا/yatina//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦٓۚ/rabbihi//اَوَ لَمْ/أَوَلَمۡ/awalam//تَاْتِهِمْ/تَأۡتِهِم/tatihim//بَیِّنَةُ/بَيِّنَةُ/bayyinatu//مَا/مَا/ma//فِی/فِي/fi//الصُّحُفِ/ٱلصُّحُفِ/al-suhufi//الْاُوْلٰی /ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "এবং তারা বলে//\"কেন না//আমাদের কাছে আসে//একটি নিদর্শন (অর্থাৎ মুজি'যা)//থেকে//তার রবের\"//কি নি//তাদের কাছে আসে//সুস্পষ্ট (শিক্ষা)//যা (আছে)//মধ্যে (আছে)//কিতাব//পূর্ববর্তীদের"
            },
            {
              "number": 2482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2482.mp3"
              ],
              "text": "وَلَوْ أَنَّآ أَهْلَكْنَٰهُم بِعَذَابٍۢ مِّن قَبْلِهِۦ لَقَالُوا۟ رَبَّنَا لَوْلَآ أَرْسَلْتَ إِلَيْنَا رَسُولًۭا فَنَتَّبِعَ ءَايَٰتِكَ مِن قَبْلِ أَن نَّذِلَّ وَنَخْزَىٰ",
              "translate_bn": "যদি আমি এদেরকে ইতিপূর্বে কোন শাস্তি দ্বারা ধ্বংস করতাম, তবে এরা বলতঃ হে আমাদের পালনকর্তা, আপনি আমাদের কাছে একজন রসূল প্রেরণ করলেন না কেন? তাহলে তো আমরা অপমানিত ও হেয় হওয়ার পূর্বেই আপনার নিদর্শন সমূহ মেনে চলতাম।",
              "numberInSurah": 134,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্নাআহলাকনা-হুম বি‘আযা-বিম মিন কাবলিহী লাকা-লূরাব্বানা-লাওলা আরছালতা ইলাইনা-রাছূলান ফানাত্তাবি‘আ আ-ইয়া-তিকা মিন কাবলি আন নাযিল্লা ওয়া নাখঝা-।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّاۤ/أَنَّآ/anna//اَهْلَكْنٰهُمْ/أَهۡلَكۡنَٰهُم/ahlaknahum//بِعَذَابٍ/بِعَذَابٖ/bi'adhabin//مِّنْ/مِّن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//لَقَالُوْا/لَقَالُواْ/laqalu//رَبَّنَا/رَبَّنَا/rabbana//لَوْ لَاۤ/لَوۡلَآ/lawla//اَرْسَلْتَ/أَرۡسَلۡتَ/arsalta//اِلَیْنَا/إِلَيۡنَا/ilayna//رَسُوْلًا/رَسُولٗا/rasulan//فَنَتَّبِعَ/فَنَتَّبِعَ/fanattabi'a//اٰیٰتِكَ/ءَايَٰتِكَ/ayatika//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//نَّذِلَّ/نَّذِلَّ/nadhilla//وَ نَخْزٰی /وَنَخۡزَىٰ/wanakhza",
              "words_bangla": "এবং যদি (এমন হতো)//যে আমরা//তাদের আমরা ধ্বংস করে দিতাম//দিয়ে শাস্তি//থেকে//তার পূর্ব//অবশ্যই তারা  বলতো//\"হে আমাদের রব//কেন না//তুমি পাঠিয়েছিলে//আমাদের প্রতি//কোন রাসূল//আমরা তাহ'লে অনুসরণ করতাম//তোমার নিদর্শনাবলীর//থেকে//এর পূর্ব//যে//লাঞ্ছিত হতাম আমরা//ও আমরা অপমানিত হতাম\""
            },
            {
              "number": 2483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2483.mp3"
              ],
              "text": "قُلْ كُلٌّۭ مُّتَرَبِّصٌۭ فَتَرَبَّصُوا۟ ۖ فَسَتَعْلَمُونَ مَنْ أَصْحَٰبُ ٱلصِّرَٰطِ ٱلسَّوِىِّ وَمَنِ ٱهْتَدَىٰ",
              "translate_bn": "বলুন, প্রত্যেকেই পথপানে চেয়ে আছে, সুতরাং তোমরাও পথপানে চেয়ে থাক। অদূর ভবিষ্যতে তোমরা জানতে পারবে কে সরল পথের পথিক এবং কে সৎপথ প্রাপ্ত হয়েছে।",
              "numberInSurah": 135,
              "juz": 16,
              "manzil": 4,
              "page": 321,
              "ruku": 277,
              "hizbQuarter": 128,
              "sajda": false,
              "pronunciation_bn": "কুল কুল্লুম মুতারাব্বিসুন ফাতারাব্বাসূ ফাছাতা‘লামূনা মান আসহা-বুসসিরা-তিছ ছাবিইয়ি ওয়া মানিহতাদা-",
              "words_arabic": "قُلْ/قُلۡ/qul//كُلٌّ/كُلّٞ/kullun//مُّتَرَبِّصٌ/مُّتَرَبِّصٞ/mutarabbisun//فَتَرَبَّصُوْا ۚ/فَتَرَبَّصُواْۖ/fatarabbasu//فَسَتَعْلَمُوْنَ/فَسَتَعۡلَمُونَ/fasata'lamuna//مَنْ/مَنۡ/man//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الصِّرَاطِ/ٱلصِّرَٰطِ/al-sirati//السَّوِیِّ/ٱلسَّوِيِّ/al-sawiyi//وَ مَنِ/وَمَنِ/wamani//اهْتَدٰی۠/ٱهۡتَدَىٰ/ih'tada",
              "words_bangla": "বলো//\"প্রত্যেকেই//অপেক্ষাকারী//সুতরাং তোমরা অপেক্ষা করো//অতঃপর তোমরা জানবে শীঘ্রই//কারা//অধিকারী//পথের//সরল সঠিক//এবং কারা//সৎপথ অবলম্বন করেছে\""
            }
          ]
        },
        {
          "number": 21,
          "name": "سُورَةُ الأَنبِيَاءِ",
          "englishName": "Al-Anbiyaa",
          "englishNameTranslation": "The Prophets",
          "revelationType": "Meccan",
          "verse": 112,
          "words": 2437,
          "chars": 10109,
          "ayahs": [
            {
              "number": 2484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2484.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱقْتَرَبَ لِلنَّاسِ حِسَابُهُمْ وَهُمْ فِى غَفْلَةٍۢ مُّعْرِضُونَ",
              "translate_bn": "মানুষের হিসাব-কিতাবের সময় নিকটবর্তী; অথচ তারা বেখবর হয়ে মুখ ফিরিয়ে নিচ্ছে।",
              "numberInSurah": 1,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ইকতারাবা লিন্না-ছি হিছা-বুহুম ওয়া হুম ফী গাফলাতিম মু‘রিদূন।",
              "words_arabic": "اِقْتَرَبَ/ٱقۡتَرَبَ/iq'taraba//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//حِسَابُهُمْ/حِسَابُهُمۡ/hisabuhum//وَ هُمْ/وَهُمۡ/wahum//فِیْ/فِي/fi//غَفْلَةٍ/غَفۡلَةٖ/ghaflatin//مُّعْرِضُوْنَۚ/مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "নিকটে এসেছে//জন্যে মানুষের//তাদের হিসাব (নেয়ার সময়)//অথচ তারা//মধ্যে//উদাসীনতার//পড়ে আছে বিমুখ হয়ে"
            },
            {
              "number": 2485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2485.mp3"
              ],
              "text": "مَا يَأْتِيهِم مِّن ذِكْرٍۢ مِّن رَّبِّهِم مُّحْدَثٍ إِلَّا ٱسْتَمَعُوهُ وَهُمْ يَلْعَبُونَ",
              "translate_bn": "তাদের কাছে তাদের পালনকর্তার পক্ষ থেকে যখনই কোন নতুন উপদেশ আসে, তারা তা খেলার ছলে শ্রবণ করে।",
              "numberInSurah": 2,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "মা-ইয়া’তীহিম মিন যিকরিম মির রাব্বিহিম মুহদাছিন ইল্লাছতামা‘উহু ওয়া হুম ইয়াল‘আবূন।",
              "words_arabic": "مَا/مَا/ma//یَاْتِیْهِمْ/يَأۡتِيهِم/yatihim//مِّنْ/مِّن/min//ذِكْرٍ/ذِكۡرٖ/dhik'rin//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِم/rabbihim//مُّحْدَثٍ/مُّحۡدَثٍ/muh'dathin//اِلَّا/إِلَّا/illa//اسْتَمَعُوْهُ/ٱسۡتَمَعُوهُ/is'tama'uhu//وَ هُمْ/وَهُمۡ/wahum//یَلْعَبُوْنَۙ/يَلۡعَبُونَ/yal'abuna",
              "words_bangla": "না//তাদের কাছে আসে//কোন//উপদেশ//পক্ষ হ'তে//তাদের রবের//নতুন//এ ছাড়া যে//তা তারা শুনে//এমতাবস্হায় যে তারা//খেলায় মেতে থাকে"
            },
            {
              "number": 2486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2486.mp3"
              ],
              "text": "لَاهِيَةًۭ قُلُوبُهُمْ ۗ وَأَسَرُّوا۟ ٱلنَّجْوَى ٱلَّذِينَ ظَلَمُوا۟ هَلْ هَٰذَآ إِلَّا بَشَرٌۭ مِّثْلُكُمْ ۖ أَفَتَأْتُونَ ٱلسِّحْرَ وَأَنتُمْ تُبْصِرُونَ",
              "translate_bn": "তাদের অন্তর থাকে খেলায় মত্ত। জালেমরা গোপনে পরামর্শ করে, সে তো তোমাদেরই মত একজন মানুষ; এমতাবস্থায় দেখে শুনে তোমরা তার যাদুর কবলে কেন পড়?",
              "numberInSurah": 3,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লা-হিয়াতান কুলূবুহুম ওয়া আছার রুন নাজওয়াল্লাযীনা জালামূ হাল হা-যা ইল্লা-বাশারুম মিছলুকুম আফাতা’তূনাছছিহরা ওয়া আনতুম তুবসিরূন।",
              "words_arabic": "لَاهِیَةً/لَاهِيَةٗ/lahiyatan//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۗ/qulubuhum//وَ اَسَرُّوا/وَأَسَرُّواْ/wa-asarru//النَّجْوَی ۖۗ/ٱلنَّجۡوَى/al-najwa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا ۖۗ/ظَلَمُواْ/zalamu//هَلْ/هَلۡ/hal//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ ۚ/مِّثۡلُكُمۡۖ/mith'lukum//اَفَتَاْتُوْنَ/أَفَتَأۡتُونَ/afatatuna//السِّحْرَ/ٱلسِّحۡرَ/al-sih'ra//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تُبْصِرُوْنَ /تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "অমনোযোগী থাকে//তাদের অন্তরগুলো//এবং তারা গোপনে করে//পরামর্শ//যারা//সীমালঙ্ঘন করেছে//\"(তারা বলে) নয় কি//এই (ব্যক্তি)//এছাড়া//একজন মানুষ//তোমাদেরই মতো//তবে কি তোমরা এসে পড়বে//জাদুর (খপ্পরে)//অথচ তোমরা//দেখছো\""
            },
            {
              "number": 2487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2487.mp3"
              ],
              "text": "قَالَ رَبِّى يَعْلَمُ ٱلْقَوْلَ فِى ٱلسَّمَآءِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "পয়গম্বর বললেনঃ নভোমন্ডল ও ভুমন্ডলের কথাই আমার পালনকর্তা জানেন। তিনি সবকিছু শোনেন, সবকিছু জানেন।",
              "numberInSurah": 4,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাববী ইয়া‘লামুল কাওলা ফিছছামাই ওয়াল আরদি ওয়া হুওয়াছছামী‘উল ‘আলীম।",
              "words_arabic": "قٰلَ/قَالَ/qala//رَبِّیْ/رَبِّي/rabbi//یَعْلَمُ/يَعۡلَمُ/ya'lamu//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ؗ/وَٱلۡأَرۡضِۖ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "(নাবী) বললো//\"আমার রব//জানেন//(সেই সব) কথা//(যা হয়) মধ্যে//আকাশমন্ডলীর//ও পৃথিবীর//এবং তিনিই//সবকিছু শুনেন//সবকিছু জানেন\""
            },
            {
              "number": 2488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2488.mp3"
              ],
              "text": "بَلْ قَالُوٓا۟ أَضْغَٰثُ أَحْلَٰمٍۭ بَلِ ٱفْتَرَىٰهُ بَلْ هُوَ شَاعِرٌۭ فَلْيَأْتِنَا بِـَٔايَةٍۢ كَمَآ أُرْسِلَ ٱلْأَوَّلُونَ",
              "translate_bn": "এছাড়া তারা আরও বলেঃ অলীক স্বপ্ন; না সে মিথ্যা উদ্ভাবন করেছে, না সে একজন কবি। অতএব সে আমাদের কাছে কোন নিদর্শন আনয়ন করুক, যেমন নিদর্শন সহ আগমন করেছিলেন পূর্ববর্তীগন।",
              "numberInSurah": 5,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "বাল কা-লূআদগা-ছু আহলা-মিম বালিফ তারা-হু বাল হুওয়া শা-‘ইরুন ফালইয়া’তিনা-বিআ-য়াতিন কামাউরছিলাল আওওয়ালূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//قَالُوْۤا/قَالُوٓاْ/qalu//اَضْغَاثُ/أَضۡغَٰثُ/adghathu//اَحْلَامٍۭ/أَحۡلَٰمِۭ/ahlamin//بَلِ/بَلِ/bali//افْتَرٰىهُ/ٱفۡتَرَىٰهُ/if'tarahu//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//شَاعِرٌ ۖۚ/شَاعِرٞ/sha'irun//فَلْیَاْتِنَا/فَلۡيَأۡتِنَا/falyatina//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//كَمَاۤ/كَمَآ/kama//اُرْسِلَ/أُرۡسِلَ/ur'sila//الْاَوَّلُوْنَ /ٱلۡأَوَّلُونَ/al-awaluna",
              "words_bangla": "বরং//তারা বলে//\"(এসব) অলীক//স্বপ্নসমূহ//বরং//তা সে উদ্ভাবন করেছে//বরং//সে//একজন কবি//তাহ'লে আসুক আমাদের কাছে//কোন নিদর্শন//যেমন//পাঠানো হয়েছিলো//পূর্ববর্তীগণকে (নিদর্শনসহ)\""
            },
            {
              "number": 2489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2489.mp3"
              ],
              "text": "مَآ ءَامَنَتْ قَبْلَهُم مِّن قَرْيَةٍ أَهْلَكْنَٰهَآ ۖ أَفَهُمْ يُؤْمِنُونَ",
              "translate_bn": "তাদের পূর্বে যেসব জনপদ আমি ধবংস করে দিয়েছি, তারা বিশ্বাস স্থাপন করেনি; এখন এরা কি বিশ্বাস স্থাপন করবে?",
              "numberInSurah": 6,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "মাআ-মানাত কাবলাহুম মিন কারইয়াতিন আহলাকনা-হা- আফাহুম ইউ’মিনূন।",
              "words_arabic": "مَاۤ/مَآ/ma//اٰمَنَتْ/ءَامَنَتۡ/amanat//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَهْلَكْنٰهَا ۚ/أَهۡلَكۡنَٰهَآۖ/ahlaknaha//اَفَهُمْ/أَفَهُمۡ/afahum//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নি//ঈমান আনে//তাদের পূর্বে//কোন//জনবসতিই//যাকে আমরা ধ্বংস করেছি//তবে কি এরা//ঈমান আনবে (এখন)"
            },
            {
              "number": 2490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2490.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا قَبْلَكَ إِلَّا رِجَالًۭا نُّوحِىٓ إِلَيْهِمْ ۖ فَسْـَٔلُوٓا۟ أَهْلَ ٱلذِّكْرِ إِن كُنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "আপনার পূর্বে আমি মানুষই প্রেরণ করেছি, যাদের কাছে আমি ওহী পাঠাতাম। অতএব তোমরা যদি না জান তবে যারা স্মরণ রাখে তাদেরকে জিজ্ঞেস কর।",
              "numberInSurah": 7,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-কাবলাকা ইল্লা-রিজা-লাননূহীইলাইহিম ফাছআলূআহলাযযিকরি ইন কুনতুম লা-তা‘লামূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//قَبْلَكَ/قَبۡلَكَ/qablaka//اِلَّا/إِلَّا/illa//رِجَالًا/رِجَالٗا/rijalan//نُّوْحِیْۤ/نُّوحِيٓ/nuhi//اِلَیْهِمْ/إِلَيۡهِمۡۖ/ilayhim//فَسْـَٔلُوْۤا/فَسۡـَٔلُوٓاْ/fasalu//اَهْلَ/أَهۡلَ/ahla//الذِّكْرِ/ٱلذِّكۡرِ/al-dhik'ri//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং না (হে নবী)//আমরা পাঠিয়েছি//তোমার পূর্বে (কোন রাসূলকে)//এ ছাড়া যে//(সে ছিলো) পুরুষ//ওহী করতাম আমরা//তাদের কাছে//অতএব জিজ্ঞেস করো//অধিকারীদের//জ্ঞানের//যদি//তোমরা//না//জানো"
            },
            {
              "number": 2491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2491.mp3"
              ],
              "text": "وَمَا جَعَلْنَٰهُمْ جَسَدًۭا لَّا يَأْكُلُونَ ٱلطَّعَامَ وَمَا كَانُوا۟ خَٰلِدِينَ",
              "translate_bn": "আমি তাদেরকে এমন দেহ বিশিষ্ট করিনি যে, তারা খাদ্য ভক্ষণ করত না এবং তারা চিরস্থায়ীও ছিল না।",
              "numberInSurah": 8,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জা‘আলনা-হুম জাছাদাল্লা-ইয়া‘কুলূনাততা‘আ-মা ওয়ামা-কা-নূখা-লিদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//جَعَلْنٰهُمْ/جَعَلۡنَٰهُمۡ/ja'alnahum//جَسَدًا/جَسَدٗا/jasadan//لَّا/لَّا/la//یَاْكُلُوْنَ/يَأۡكُلُونَ/yakuluna//الطَّعَامَ/ٱلطَّعَامَ/al-ta'ama//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//خٰلِدِیْنَ /خَٰلِدِينَ/khalidina",
              "words_bangla": "এবং নি//তাদের আমরা বানাই//(এমন) দেহ বিশিষ্ট//যে না//তারা খেতো//খাবার//আর না//তারা ছিলো//চিরস্থায়ী"
            },
            {
              "number": 2492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2492.mp3"
              ],
              "text": "ثُمَّ صَدَقْنَٰهُمُ ٱلْوَعْدَ فَأَنجَيْنَٰهُمْ وَمَن نَّشَآءُ وَأَهْلَكْنَا ٱلْمُسْرِفِينَ",
              "translate_bn": "অতঃপর আমি তাদেরকে দেয়া আমার প্রতিশ্রুতি পূর্ণ করলাম সুতরাং তাদেরকে এবং যাদেরকে ইচ্ছা বাঁচিয়ে দিলাম এবং ধবংস করে ছিলাম সীমালঙ্ঘনকারীদেরকে।",
              "numberInSurah": 9,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা সাদাকনা-হুমুল ওয়া‘দা ফাআনজাইনা-হুম ওয়া মান নাশাউ ওয়া আহলাকনাল মুছরিফীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//صَدَقْنٰهُمُ/صَدَقۡنَٰهُمُ/sadaqnahumu//الْوَعْدَ/ٱلۡوَعۡدَ/al-wa'da//فَاَنْجَیْنٰهُمْ/فَأَنجَيۡنَٰهُمۡ/fa-anjaynahum//وَ مَنْ/وَمَن/waman//نَّشَآءُ/نَّشَآءُ/nashau//وَ اَهْلَكْنَا/وَأَهۡلَكۡنَا/wa-ahlakna//الْمُسْرِفِیْنَ /ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "এরপর//তাদের প্রতি আমরা সত্য করে দেখালাম//প্রতিশ্রুতি//অতঃপর তাদেরকে আমরা রক্ষা করেছি//ও যাদেরকে//চেয়েছি আমরা//এবং আমরা ধ্বংস করেছি//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 2493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2493.mp3"
              ],
              "text": "لَقَدْ أَنزَلْنَآ إِلَيْكُمْ كِتَٰبًۭا فِيهِ ذِكْرُكُمْ ۖ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "আমি তোমাদের প্রতি একটি কিতাব অবর্তীর্ণ করেছি; এতে তোমাদের জন্যে উপদেশ রয়েছে। তোমরা কি বোঝ না?",
              "numberInSurah": 10,
              "juz": 17,
              "manzil": 4,
              "page": 322,
              "ruku": 278,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আনঝালনাইলাইকুম কিতা-বান ফীহি যিকরুকুম আফালা-তা‘কিলূন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//كِتٰبًا/كِتَٰبٗا/kitaban//فِیْهِ/فِيهِ/fihi//ذِكْرُكُمْ ؕ/ذِكۡرُكُمۡۚ/dhik'rukum//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ۠/تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "নিশ্চয়ই//আমরা অবতীর্ণ করেছি//তোমাদের প্রতি//কিতাব//তার মধ্যে (রয়েছে)//তোমাদেরই বর্ণনা//তবে কি না//তোমরা বুঝবে"
            },
            {
              "number": 2494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2494.mp3"
              ],
              "text": "وَكَمْ قَصَمْنَا مِن قَرْيَةٍۢ كَانَتْ ظَالِمَةًۭ وَأَنشَأْنَا بَعْدَهَا قَوْمًا ءَاخَرِينَ",
              "translate_bn": "আমি কত জনপদের ধ্বংস সাধন করেছি যার অধিবাসীরা ছিল পাপী এবং তাদের পর সৃষ্টি করেছি অন্য জাতি।",
              "numberInSurah": 11,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওকাম কাসামনা- মিন কারইয়াতিন কা-নাত জা-লিমাতাওঁ ওয়া আনশা’না- বা‘দাহাকাওমান আ-খারীন।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//قَصَمْنَا/قَصَمۡنَا/qasamna//مِنْ/مِن/min//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//كَانَتْ/كَانَتۡ/kanat//ظَالِمَةً/ظَالِمَةٗ/zalimatan//وَّ اَنْشَاْنَا/وَأَنشَأۡنَا/wa-anshana//بَعْدَهَا/بَعۡدَهَا/ba'daha//قَوْمًا/قَوۡمًا/qawman//اٰخَرِیْنَ /ءَاخَرِينَ/akharina",
              "words_bangla": "এবং কত//আমরা ধ্বংস করেছি//থেকে//জনবসতি//যা ছিল//সীমালঙ্ঘনকারী//এবং আমরা সৃষ্টি করেছি//পরে তার//জাতি//অপর"
            },
            {
              "number": 2495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2495.mp3"
              ],
              "text": "فَلَمَّآ أَحَسُّوا۟ بَأْسَنَآ إِذَا هُم مِّنْهَا يَرْكُضُونَ",
              "translate_bn": "অতঃপর যখন তারা আমার আযাবের কথা টের পেল, তখনই তারা সেখান থেকে পলায়ন করতে লাগল।",
              "numberInSurah": 12,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআহাছছূবা’ছানাইযা-হুম মিনহা-ইয়ারকুদূন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَحَسُّوْا/أَحَسُّواْ/ahassu//بَاْسَنَاۤ/بَأۡسَنَآ/basana//اِذَا/إِذَا/idha//هُمْ/هُم/hum//مِّنْهَا/مِّنۡهَا/min'ha//یَرْكُضُوْنَؕ/يَرۡكُضُونَ/yarkuduna",
              "words_bangla": "অতঃপর যখন//তারা অনুভবব করলো//আমাদের শাস্তি//তখন//তারা//তা থেকে//পালাতে লাগলো"
            },
            {
              "number": 2496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2496.mp3"
              ],
              "text": "لَا تَرْكُضُوا۟ وَٱرْجِعُوٓا۟ إِلَىٰ مَآ أُتْرِفْتُمْ فِيهِ وَمَسَٰكِنِكُمْ لَعَلَّكُمْ تُسْـَٔلُونَ",
              "translate_bn": "পলায়ন করো না এবং ফিরে এস, যেখানে তোমরা বিলাসিতায় মত্ত ছিলে ও তোমাদের আবাসগৃহে; সম্ভবত; কেউ তোমাদের জিজ্ঞেস করবে।",
              "numberInSurah": 13,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লা- তারকুদূ ওয়ারজি‘উ ইলা-মাউতরিফতুম ফীহি ওয়া মাছা-কিনিকুম লা‘আল্লাকুম তুছআলূন।",
              "words_arabic": "لَا/لَا/la//تَرْكُضُوْا/تَرۡكُضُواْ/tarkudu//وَ ارْجِعُوْۤا/وَٱرۡجِعُوٓاْ/wa-ir'ji'u//اِلٰی/إِلَىٰ/ila//مَاۤ/مَآ/ma//اُتْرِفْتُمْ/أُتۡرِفۡتُمۡ/ut'rif'tum//فِیْهِ/فِيهِ/fihi//وَ مَسٰكِنِكُمْ/وَمَسَٰكِنِكُمۡ/wamasakinikum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُسْـَٔلُوْنَ /تُسۡـَٔلُونَ/tus'aluna",
              "words_bangla": "(বলা হলো) না//তোমরা পালাবে//বরং তোমরা ফিরে যাও//দিকে//তার//তোমাদের সম্ভোগ দেয়া হয়েছিলো//যার মধ্যে//ও ঘরবাড়িগুলোতে তোমাদের//যাতে তোমাদের//জিজ্ঞাসাবাদ করা যেতে পারে"
            },
            {
              "number": 2497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2497.mp3"
              ],
              "text": "قَالُوا۟ يَٰوَيْلَنَآ إِنَّا كُنَّا ظَٰلِمِينَ",
              "translate_bn": "তারা বললঃ হায়, দুর্ভোগ আমাদের, আমরা অবশ্যই পাপী ছিলাম।",
              "numberInSurah": 14,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-ওয়াইলানাইন্না-কুন্না-জা-লিমীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰوَیْلَنَاۤ/يَٰوَيۡلَنَآ/yawaylana//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "তারা বলেছিলো//\"হায় আমাদের দুর্ভোগ//নিশ্চয়ই আমরা//ছিলাম//অত্যাচারী\""
            },
            {
              "number": 2498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2498.mp3"
              ],
              "text": "فَمَا زَالَت تِّلْكَ دَعْوَىٰهُمْ حَتَّىٰ جَعَلْنَٰهُمْ حَصِيدًا خَٰمِدِينَ",
              "translate_bn": "তাদের এই আর্তনাদ সব সময় ছিল, শেষ পর্যন্ত আমি তাদেরকে করে দিলাম যেন কর্তিত শস্য ও নির্বাপিত অগ্নি।",
              "numberInSurah": 15,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ফামা-ঝা-লাত তিলকা দা‘ওয়া-হুম হাত্তা-জা‘আলনা-হুম হাসীদান খা-মিদীন।",
              "words_arabic": "فَمَا/فَمَا/fama//زَالَتْ/زَالَت/zalat//تِّلْكَ/تِّلۡكَ/til'ka//دَعْوٰىهُمْ/دَعۡوَىٰهُمۡ/da'wahum//حَتّٰی/حَتَّىٰ/hatta//جَعَلْنٰهُمْ/جَعَلۡنَٰهُمۡ/ja'alnahum//حَصِیْدًا/حَصِيدًا/hasidan//خٰمِدِیْنَ /خَٰمِدِينَ/khamidina",
              "words_bangla": "অতঃপর//চলতে থাকে//এই//তাদের আর্তনাদ//যতক্ষণ না//তাদেরকে আমরা পরিণত করি//কাটা শস্য//নেভানো আগুনের মতো"
            },
            {
              "number": 2499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2499.mp3"
              ],
              "text": "وَمَا خَلَقْنَا ٱلسَّمَآءَ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا لَٰعِبِينَ",
              "translate_bn": "আকাশ পৃথিবী এতদুভয়ের মধ্যে যা আছে, তা আমি ক্রীড়াচ্ছলে সৃষ্টি করিনি।",
              "numberInSurah": 16,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকনাছছামাআ ওয়াল আরদা ওয়ামা-বাইনাহুমা-লা-‘ইবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//لٰعِبِیْنَ /لَٰعِبِينَ/la'ibina",
              "words_bangla": "এবং না//আমরা সৃষ্টি করেছি//আকাশ//ও পৃথিবীকে//আর যা কিছু//উভয়ের মাঝে//খেলার ছলে"
            },
            {
              "number": 2500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2500.mp3"
              ],
              "text": "لَوْ أَرَدْنَآ أَن نَّتَّخِذَ لَهْوًۭا لَّٱتَّخَذْنَٰهُ مِن لَّدُنَّآ إِن كُنَّا فَٰعِلِينَ",
              "translate_bn": "আমি যদি ক্রীড়া উপকরণ সৃষ্টি করতে চাইতাম, তবে আমি আমার কাছে যা আছে তা দ্বারাই তা করতাম, যদি আমাকে করতে হত।",
              "numberInSurah": 17,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লাও আরাদনাআন নাত্তাখিযা লাহওয়াল্লাত্তাখাযনা -হু মিল্লাদুন্না ইন কুন্না-ফা-‘ইলীন ।\r\n",
              "words_arabic": "لَوْ/لَوۡ/law//اَرَدْنَاۤ/أَرَدۡنَآ/aradna//اَنْ/أَن/an//نَّتَّخِذَ/نَّتَّخِذَ/nattakhidha//لَهْوًا/لَهۡوٗا/lahwan//لَّاتَّخَذْنٰهُ/لَّٱتَّخَذۡنَٰهُ/la-ittakhadhnahu//مِنْ/مِن/min//لَّدُنَّاۤ ۖۗ/لَّدُنَّآ/ladunna//اِنْ/إِن/in//كُنَّا/كُنَّا/kunna//فٰعِلِیْنَ /فَٰعِلِينَ/fa'ilina",
              "words_bangla": "যদি//আমরা চাইতাম//যে//আমরা গ্রহণ করবো//(এসব সৃষ্টি) খেলা রূপে//অবশ্যই তা আমরা (খেলা হিসেবে) নিতাম//থেকে//আমাদের কাছ (সীমাবদ্ধ রেখে)//যদি//আমরা হতাম//(খেলা) করার"
            },
            {
              "number": 2501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2501.mp3"
              ],
              "text": "بَلْ نَقْذِفُ بِٱلْحَقِّ عَلَى ٱلْبَٰطِلِ فَيَدْمَغُهُۥ فَإِذَا هُوَ زَاهِقٌۭ ۚ وَلَكُمُ ٱلْوَيْلُ مِمَّا تَصِفُونَ",
              "translate_bn": "বরং আমি সত্যকে মিথ্যার উপর নিক্ষেপ করি, অতঃপর সত্য মিথ্যার মস্তক চুর্ণ-বিচূর্ণ করে দেয়, অতঃপর মিথ্যা তৎক্ষণাৎ নিশ্চিহ্ন হয়ে যায়। তোমরা যা বলছ, তার জন্যে তোমাদের দুর্ভোগ।",
              "numberInSurah": 18,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "বাল নাকযিফুবিলহাক্কি‘আলাল বা-তিলি ফাইয়াদমাগুহূফাইযা-হুওয়া ঝা-হিকুও ওয়ালাকুমুল ওয়াইলুমিম্মা-তাসিফূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//نَقْذِفُ/نَقۡذِفُ/naqdhifu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//عَلَی/عَلَى/ala//الْبَاطِلِ/ٱلۡبَٰطِلِ/al-batili//فَیَدْمَغُهٗ/فَيَدۡمَغُهُۥ/fayadmaghuhu//فَاِذَا/فَإِذَا/fa-idha//هُوَ/هُوَ/huwa//زَاهِقٌ ؕ/زَاهِقٞۚ/zahiqun//وَ لَكُمُ/وَلَكُمُ/walakumu//الْوَیْلُ/ٱلۡوَيۡلُ/al-waylu//مِمَّا/مِمَّا/mimma//تَصِفُوْنَ /تَصِفُونَ/tasifuna",
              "words_bangla": "(ব্যাপার তা নয়) বরং//আঘাত হানি আমরা//দিয়ে সত্য//উপর//মিথ্যার//ফলে তাকে চূর্ণবিচূর্ণ করে দেয়//অতঃপর তখন//তা//নিশ্চিহ্ন হয়ে যায়//আর তোমাদের জন্যে আছে//দুর্ভোগ//সে কারণে যা//তোমরা রচনা করছো"
            },
            {
              "number": 2502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2502.mp3"
              ],
              "text": "وَلَهُۥ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَنْ عِندَهُۥ لَا يَسْتَكْبِرُونَ عَنْ عِبَادَتِهِۦ وَلَا يَسْتَحْسِرُونَ",
              "translate_bn": "নভোমন্ডল ও ভুমন্ডলে যারা আছে, তারা তাঁরই। আর যারা তাঁর সান্নিধ্যে আছে তারা তাঁর ইবাদতে অহংকার করে না এবং অলসতাও করে না।",
              "numberInSurah": 19,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহূমান ফিছছামা-ওয়া-তি ওয়াল আরদি;ওয়ামান ‘ইন্দাহূলা-ইয়াছতাকবিরূনা ‘আন ‘ইবা-দাতিহী ওয়ালা-ইয়াছতাহছিরূন।",
              "words_arabic": "وَ لَهٗ/وَلَهُۥ/walahu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ مَنْ/وَمَنۡ/waman//عِنْدَهٗ/عِندَهُۥ/indahu//لَا/لَا/la//یَسْتَكْبِرُوْنَ/يَسۡتَكۡبِرُونَ/yastakbiruna//عَنْ/عَنۡ/an//عِبَادَتِهٖ/عِبَادَتِهِۦ/ibadatihi//وَ لَا/وَلَا/wala//یَسْتَحْسِرُوْنَۚ/يَسۡتَحۡسِرُونَ/yastahsiruna",
              "words_bangla": "এবং তাঁরই (রয়েছে)//যা কিছু//মধ্যে আছে//আকাশমন্ডলীর//এবং পৃথিবীর//এবং যারা আছে//তাঁর কাছে//না//তারা অহংকার বশে বিরত থাকে//থেকে//তাঁর ইবাদাত//আর না//তারা পরিশ্রান্ত হয়"
            },
            {
              "number": 2503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2503.mp3"
              ],
              "text": "يُسَبِّحُونَ ٱلَّيْلَ وَٱلنَّهَارَ لَا يَفْتُرُونَ",
              "translate_bn": "তারা রাত্রিদিন তাঁর পবিত্রতা ও মহিমা বর্ণনা করে এবং ক্লান্ত হয় না।",
              "numberInSurah": 20,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ইউছাব্বিহূ নাল লাইলা ওয়ান নাহা-রা লা-ইয়াফতুরূন।",
              "words_arabic": "یُسَبِّحُوْنَ/يُسَبِّحُونَ/yusabbihuna//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//لَا/لَا/la//یَفْتُرُوْنَ /يَفۡتُرُونَ/yafturuna",
              "words_bangla": "তারা পবিত্রতা ঘোষণা করে//রাতে//ও দিনে//না//তারা থামে"
            },
            {
              "number": 2504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2504.mp3"
              ],
              "text": "أَمِ ٱتَّخَذُوٓا۟ ءَالِهَةًۭ مِّنَ ٱلْأَرْضِ هُمْ يُنشِرُونَ",
              "translate_bn": "তারা কি মৃত্তিকা দ্বারা তৈরী উপাস্য গ্রহণ করেছে, যে তারা তাদেরকে জীবিত করবে?",
              "numberInSurah": 21,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "আমিততাখাযূআ-লিহাতাম মিনাল আরদিহুম ইউনশিরূন।\r\n",
              "words_arabic": "اَمِ/أَمِ/ami//اتَّخَذُوْۤا/ٱتَّخَذُوٓاْ/ittakhadhu//اٰلِهَةً/ءَالِهَةٗ/alihatan//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//هُمْ/هُمۡ/hum//یُنْشِرُوْنَ /يُنشِرُونَ/yunshiruna",
              "words_bangla": "কি//তারা বানিয়ে নিয়েছে//(অন্যান্যদেরকে) দেবতারূপে//মধ্য হ'তে//পৃথিবীর//তারা//মৃতকে উঠাতে পারে (কি)"
            },
            {
              "number": 2505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2505.mp3"
              ],
              "text": "لَوْ كَانَ فِيهِمَآ ءَالِهَةٌ إِلَّا ٱللَّهُ لَفَسَدَتَا ۚ فَسُبْحَٰنَ ٱللَّهِ رَبِّ ٱلْعَرْشِ عَمَّا يَصِفُونَ",
              "translate_bn": "যদি নভোমন্ডল ও ভুমন্ডলে আল্লাহ ব্যতীত অন্যান্য উপাস্য থাকত, তবে উভয়ের ধ্বংস হয়ে যেত। অতএব তারা যা বলে, তা থেকে আরশের অধিপতি আল্লাহ পবিত্র।",
              "numberInSurah": 22,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লাও কা-না ফীহিমাআ-লিহাতুন ইল্লাল্লা-হু লাফাছাদাতা- ফাছুবহা-নাল্লা-হি রাব্বিল ‘আরশি ‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "لَوْ/لَوۡ/law//كَانَ/كَانَ/kana//فِیْهِمَاۤ/فِيهِمَآ/fihima//اٰلِهَةٌ/ءَالِهَةٌ/alihatun//اِلَّا/إِلَّا/illa//اللّٰهُ/ٱللَّهُ/al-lahu//لَفَسَدَتَا ۚ/لَفَسَدَتَاۚ/lafasadata//فَسُبْحٰنَ/فَسُبۡحَٰنَ/fasub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//رَبِّ/رَبِّ/rabbi//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//عَمَّا/عَمَّا/amma//یَصِفُوْنَ /يَصِفُونَ/yasifuna",
              "words_bangla": "যদি//হতো//তাদের উভয়ের মধ্যে//(আরো অনেক) ইলাহ//ছাড়া//আল্লাহ//অবশ্যই উভয়ই ধ্বংস হতো//অতএব পবিত্র//আল্লাহ্‌//রব//আরশের//তা হ'তে যা//তারা বর্ণনা করে"
            },
            {
              "number": 2506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2506.mp3"
              ],
              "text": "لَا يُسْـَٔلُ عَمَّا يَفْعَلُ وَهُمْ يُسْـَٔلُونَ",
              "translate_bn": "তিনি যা করেন, তৎসম্পর্কে তিনি জিজ্ঞাসিত হবেন না এবং তাদেরকে জিজ্ঞেস করা হবে।",
              "numberInSurah": 23,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লা-ইউছআলু‘আম্মা-ইয়াফ‘আলুওয়া হুম ইউছআলূন।",
              "words_arabic": "لَا/لَا/la//یُسْـَٔلُ/يُسۡـَٔلُ/yus'alu//عَمَّا/عَمَّا/amma//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//وَ هُمْ/وَهُمۡ/wahum//یُسْـَٔلُوْنَ /يُسۡـَٔلُونَ/yus'aluna",
              "words_bangla": "না//তাঁকে জিজ্ঞেস করা হবে//ঐ বিষয়ে যা//তিনি করেন//বরং তারা//জিজ্ঞাসিত হবে"
            },
            {
              "number": 2507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2507.mp3"
              ],
              "text": "أَمِ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةًۭ ۖ قُلْ هَاتُوا۟ بُرْهَٰنَكُمْ ۖ هَٰذَا ذِكْرُ مَن مَّعِىَ وَذِكْرُ مَن قَبْلِى ۗ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ ٱلْحَقَّ ۖ فَهُم مُّعْرِضُونَ",
              "translate_bn": "তারা কি আল্লাহ ব্যতীত অন্যান্য উপাস্য গ্রহণ করেছে? বলুন, তোমরা তোমাদের প্রমাণ আন। এটাই আমার সঙ্গীদের কথা এবং এটাই আমার পুর্ববর্তীদের কথা। বরং তাদের অধিকাংশই সত্য জানে না; অতএব তারা টালবাহানা করে।",
              "numberInSurah": 24,
              "juz": 17,
              "manzil": 4,
              "page": 323,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "আমিত তাখাযূমিন দূ নিহীআ-লিহাতান কুল হা-তূবুরহা-নাকুম হা-যা-যিকরু মাম মা‘ইয়া ওয়া যিকরু মান কাবলী বাল আকছারুহুম লা-ইয়া‘লামূনাল হাক্কা ফাহুম মু‘রিদূ ন।",
              "words_arabic": "اَمِ/أَمِ/ami//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اٰلِهَةً ؕ/ءَالِهَةٗۖ/alihatan//قُلْ/قُلۡ/qul//هَاتُوْا/هَاتُواْ/hatu//بُرْهَانَكُمْ ۚ/بُرۡهَٰنَكُمۡۖ/bur'hanakum//هٰذَا/هَٰذَا/hadha//ذِكْرُ/ذِكۡرُ/dhik'ru//مَنْ/مَن/man//مَّعِیَ/مَّعِيَ/ma'iya//وَ ذِكْرُ/وَذِكۡرُ/wadhik'ru//مَنْ/مَن/man//قَبْلِیْ ؕ/قَبۡلِيۚ/qabli//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَ ۙ/يَعۡلَمُونَ/ya'lamuna//الْحَقَّ/ٱلۡحَقَّۖ/al-haqa//فَهُمْ/فَهُم/fahum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "কি//তারা গ্রহণ করেছে//মধ্য হতে//তাঁকে ছাড়া//(অন্যান্যদেরকে) ইলাহরূপে//(হে নাবী) বলো//\"পেশ করো//তোমাদের প্রমাণ//এটা//উপদেশ (কিতাব)//(তাদের জন্য) যারা//আমার সাথে (আছে)//উপদেশ (কিতাব)//(তাদেরও) যারা//আমার পূর্বে (ছিলো)\"//বরং//অধিকাংশই তাদের//না//জানে//প্রকৃত সত্যকে//ফলে তারা//মুখ ফিরিয়ে নেয়"
            },
            {
              "number": 2508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2508.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن قَبْلِكَ مِن رَّسُولٍ إِلَّا نُوحِىٓ إِلَيْهِ أَنَّهُۥ لَآ إِلَٰهَ إِلَّآ أَنَا۠ فَٱعْبُدُونِ",
              "translate_bn": "আপনার পূর্বে আমি যে রাসূলই প্রেরণ করেছি, তাকে এ আদেশই প্রেরণ করেছি যে, আমি ব্যতীত অন্য কোন উপাস্য নেই। সুতরাং আমারই এবাদত কর।",
              "numberInSurah": 25,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-মিন কাবলিকা মির রাছূলিন ইল্লা-নূহীইলাইহি আন্নাহূলাইলা-হা ইল্লাআনা-ফা‘বুদূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//مِنْ/مِن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//نُوْحِیْۤ/نُوحِيٓ/nuhi//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَنَّهٗ/أَنَّهُۥ/annahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّاۤ/إِلَّآ/illa//اَنَا/أَنَا۠/ana//فَاعْبُدُوْنِ /فَٱعۡبُدُونِ/fa-u'buduni",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//থেকে//পূর্ব তোমার//কোন//রাসূলকে//এ ছাড়া যে//ওহী করেছি আমরা//তার কাছে//এই যে//\"নেই//কোন ইলাহ//ছাড়া//আমি//সুতরাং তোমরা আমারই ইবাদাত করো\""
            },
            {
              "number": 2509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2509.mp3"
              ],
              "text": "وَقَالُوا۟ ٱتَّخَذَ ٱلرَّحْمَٰنُ وَلَدًۭا ۗ سُبْحَٰنَهُۥ ۚ بَلْ عِبَادٌۭ مُّكْرَمُونَ",
              "translate_bn": "তারা বললঃ দয়াময় আল্লাহ সন্তান গ্রহণ করেছে। তাঁর জন্য কখনও ইহা যোগ্য নয়; বরং তারা তো তাঁর সম্মানিত বান্দা।",
              "numberInSurah": 26,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লুততাখাযার রাহমা-নুওয়ালাদান ছুবহা-নাহূ বাল ‘ইবা-দুম মুকরামূন।",
              "words_arabic": "وَ قَالُوا/وَقَالُواْ/waqalu//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وَلَدًا/وَلَدٗاۗ/waladan//سُبْحٰنَهٗ ؕ/سُبۡحَٰنَهُۥۚ/sub'hanahu//بَلْ/بَلۡ/bal//عِبَادٌ/عِبَادٞ/ibadun//مُّكْرَمُوْنَۙ/مُّكۡرَمُونَ/muk'ramuna",
              "words_bangla": "এবং তারা বলে//\"গ্রহণ করেছেন//দয়াময়//সন্তান\"//তিনি মহান পবিত্র//বরং//(ফিরিশতারা) দাস//সম্মানিত"
            },
            {
              "number": 2510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2510.mp3"
              ],
              "text": "لَا يَسْبِقُونَهُۥ بِٱلْقَوْلِ وَهُم بِأَمْرِهِۦ يَعْمَلُونَ",
              "translate_bn": "তারা আগে বেড়ে কথা বলতে পারে না এবং তারা তাঁর আদেশেই কাজ করে।",
              "numberInSurah": 27,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছবিকূ নাহূবিলকাওলি ওয়া হুম বিআমরিহী ইয়া‘মালূন।",
              "words_arabic": "لَا/لَا/la//یَسْبِقُوْنَهٗ/يَسۡبِقُونَهُۥ/yasbiqunahu//بِالْقَوْلِ/بِٱلۡقَوۡلِ/bil-qawli//وَ هُمْ/وَهُم/wahum//بِاَمْرِهٖ/بِأَمۡرِهِۦ/bi-amrihi//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "না//তাঁর আগে বাড়ে তারা//কথার মাধ্যমে//এবং তারা//তাঁর হুকুম অনুসারে//কাজ করে"
            },
            {
              "number": 2511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2511.mp3"
              ],
              "text": "يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَلَا يَشْفَعُونَ إِلَّا لِمَنِ ٱرْتَضَىٰ وَهُم مِّنْ خَشْيَتِهِۦ مُشْفِقُونَ",
              "translate_bn": "তাদের সম্মুখে ও পশ্চাতে যা আছে, তা তিনি জানেন। তারা শুধু তাদের জন্যে সুপারিশ করে, যাদের প্রতি আল্লাহ সন্তুষ্ট এবং তারা তাঁর ভয়ে ভীত।",
              "numberInSurah": 28,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 279,
              "hizbQuarter": 129,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুমা-বাইনা আইদীহিম ওয়ামা-খালফাহুম ওয়ালা-ইয়াশফা‘ঊনা ইল্লালিমানিরতাদা-ওয়া হুম মিন খাশইয়াতিহী মুশফিকূন।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ/خَلۡفَهُمۡ/khalfahum//وَ لَا/وَلَا/wala//یَشْفَعُوْنَ ۙ/يَشۡفَعُونَ/yashfa'una//اِلَّا/إِلَّا/illa//لِمَنِ/لِمَنِ/limani//ارْتَضٰی/ٱرۡتَضَىٰ/ir'tada//وَ هُمْ/وَهُم/wahum//مِّنْ/مِّنۡ/min//خَشْیَتِهٖ/خَشۡيَتِهِۦ/khashyatihi//مُشْفِقُوْنَ /مُشۡفِقُونَ/mush'fiquna",
              "words_bangla": "তিনি জানেন//যা (আছে)//মাঝে//তাদের হাতের (সামনে)//এবং যা (আছে)//তাদের পিছনে//এবং না//তারা সুপারিশ করে//এ ছাড়া//জন্যে তাদের (যাদের প্রতি)//(আল্লাহ্‌) সন্তুষ্ট হন//এবং তারা//কারণে//তাঁর ভয়ের//ভীত সন্ত্রস্ত"
            },
            {
              "number": 2512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2512.mp3"
              ],
              "text": "۞ وَمَن يَقُلْ مِنْهُمْ إِنِّىٓ إِلَٰهٌۭ مِّن دُونِهِۦ فَذَٰلِكَ نَجْزِيهِ جَهَنَّمَ ۚ كَذَٰلِكَ نَجْزِى ٱلظَّٰلِمِينَ",
              "translate_bn": "তাদের মধ্যে যে বলে যে, তিনি ব্যতীত আমিই উপাস্য, তাকে আমি জাহান্নামের শাস্তি দেব। আমি জালেমদেরকে এভাবেই প্রতিফল দিয়ে থাকি।",
              "numberInSurah": 29,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 279,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াকুল মিনহুম ইন্নীইলা-হুম মিন দূ নিহী ফাযা-লিকা নাজঝীহি জাহান্নামা কাযা-লিকা নাজঝিজ্জা-লিমীন।",
              "words_arabic": "وَ مَنْ/۞وَمَن/waman//یَّقُلْ/يَقُلۡ/yaqul//مِنْهُمْ/مِنۡهُمۡ/min'hum//اِنِّیْۤ/إِنِّيٓ/inni//اِلٰهٌ/إِلَٰهٞ/ilahun//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//فَذٰلِكَ/فَذَٰلِكَ/fadhalika//نَجْزِیْهِ/نَجۡزِيهِ/najzihi//جَهَنَّمَ ؕ/جَهَنَّمَۚ/jahannama//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং কেউ//(যদি) বলে//তাদের মধ্য হ'তে//\"আমিও নিশ্চয়ই//একজন ইলাহ//ছাড়া\"//তিনি\"//তবে এ কারণে//তাকে শাস্তি দিবো আমরা//জাহান্নামে//এরূপে//শাস্তি দিই আমরা//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 2513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2513.mp3"
              ],
              "text": "أَوَلَمْ يَرَ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ كَانَتَا رَتْقًۭا فَفَتَقْنَٰهُمَا ۖ وَجَعَلْنَا مِنَ ٱلْمَآءِ كُلَّ شَىْءٍ حَىٍّ ۖ أَفَلَا يُؤْمِنُونَ",
              "translate_bn": "কাফেররা কি ভেবে দেখে না যে, আকাশমন্ডলী ও পৃথিবীর মুখ বন্ধ ছিল, অতঃপর আমি উভয়কে খুলে দিলাম এবং প্রাণবন্ত সবকিছু আমি পানি থেকে সৃষ্টি করলাম। এরপরও কি তারা বিশ্বাস স্থাপন করবে না?",
              "numberInSurah": 30,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাল্লাযীনা কাফারূআন্নছছামা-ওয়া-তি ওয়াল আরদা কা-নাতা-রাতকান ফাফাতাকনা-হুমা- ওয়া জা‘আলনা-মিনাল মাই কুল্লা শাইয়িন হাইয়ি আফালাইউ’মিনূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَ/يَرَ/yara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنَّ/أَنَّ/anna//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//كَانَتَا/كَانَتَا/kanata//رَتْقًا/رَتۡقٗا/ratqan//فَفَتَقْنٰهُمَا ؕ/فَفَتَقۡنَٰهُمَاۖ/fafataqnahuma//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//مِنَ/مِنَ/mina//الْمَآءِ/ٱلۡمَآءِ/al-mai//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//حَیٍّ ؕ/حَيٍّۚ/hayyin//اَفَلَا/أَفَلَا/afala//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি নি//ভেবে দেখে//(তারা) যারা//অস্বীকার করেছে//যে//আকাশমন্ডলী//ও পৃথিবী//উভয়ে ছিলো//মিলিত অবস্থায়//অতঃপর উভয়কে আমরা পৃথক করে দিয়েছি//এবং আমরা বানিয়েছি//থেকে//পানি//প্রত্যেক//বস্তু//জীবন্ত//কি তবুও না//তারা বিশ্বাস করে"
            },
            {
              "number": 2514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2514.mp3"
              ],
              "text": "وَجَعَلْنَا فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِهِمْ وَجَعَلْنَا فِيهَا فِجَاجًۭا سُبُلًۭا لَّعَلَّهُمْ يَهْتَدُونَ",
              "translate_bn": "আমি পৃথিবীতে ভারী বোঝা রেখে দিয়েছি যাতে তাদেরকে নিয়ে পৃথিবী ঝুঁকে না পড়ে এবং তাতে প্রশস্ত পথ রেখেছি, যাতে তারা পথ প্রাপ্ত হয়।",
              "numberInSurah": 31,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-ফিল আরদিরাওয়া-ছিয়া আন তামীদা বিহিম ওয়া জা‘আলনা ফীহাফিজাজান ছুবুলাল লা‘আল্লাহুম ইয়াহতাদূ ন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//اَنْ/أَن/an//تَمِیْدَ/تَمِيدَ/tamida//بِهِمْ ۪/بِهِمۡ/bihim//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْهَا/فِيهَا/fiha//فِجَاجًا/فِجَاجٗا/fijajan//سُبُلًا/سُبُلٗا/subulan//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "এবং আমরা বানিয়েছি//মধ্যে//পৃথিবীর//পর্বতসমূহ//যেন (না)//তা ঢলে পড়ে//নিয়ে তাদের//এবং আমরা বানিয়েছি//তার মধ্যে//প্রশস্ত//রাস্তাসমূহ//যেন তারা//পথ পেতে পারে"
            },
            {
              "number": 2515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2515.mp3"
              ],
              "text": "وَجَعَلْنَا ٱلسَّمَآءَ سَقْفًۭا مَّحْفُوظًۭا ۖ وَهُمْ عَنْ ءَايَٰتِهَا مُعْرِضُونَ",
              "translate_bn": "আমি আকাশকে সুরক্ষিত ছাদ করেছি; অথচ তারা আমার আকাশস্থ নিদর্শনাবলী থেকে মুখ ফিরিয়ে রাখে।",
              "numberInSurah": 32,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনাছছামাআ ছাকফাম মাহফূজাওঁ ওয়া হুম ‘আন আ-য়া-তিহা মু‘রিদূ ন।\r\n",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//سَقْفًا/سَقۡفٗا/saqfan//مَّحْفُوْظًا ۖۚ/مَّحۡفُوظٗاۖ/mahfuzan//وَّ هُمْ/وَهُمۡ/wahum//عَنْ/عَنۡ/an//اٰیٰتِهَا/ءَايَٰتِهَا/ayatiha//مُعْرِضُوْنَ /مُعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং আমরা বানিয়েছি//আকাশকে//ছাদস্বরূপ//সুরক্ষিত//অথচ তারা//থেকে//তাঁর নিদর্শনাবলী//মুখ ফিরিয়ে নিচ্ছে"
            },
            {
              "number": 2516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2516.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى خَلَقَ ٱلَّيْلَ وَٱلنَّهَارَ وَٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّۭ فِى فَلَكٍۢ يَسْبَحُونَ",
              "translate_bn": "তিনিই সৃষ্টি করেছেন রাত্রি ও দিন এবং সূর্য ও চন্দ্র। সবাই আপন আপন কক্ষপথে বিচরণ করে।",
              "numberInSurah": 33,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়াহুয়াল্লাযী খালাকাল লাইলা-ওয়ান্নাহা-রা ওয়াশ শামছা ওয়াল কামারা কুল্লুন ফী ফালাকিইঁ ইয়াছবাহূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//وَ الشَّمْسَ/وَٱلشَّمۡسَ/wal-shamsa//وَ الْقَمَرَ ؕ/وَٱلۡقَمَرَۖ/wal-qamara//كُلٌّ/كُلّٞ/kullun//فِیْ/فِي/fi//فَلَكٍ/فَلَكٖ/falakin//یَّسْبَحُوْنَ /يَسۡبَحُونَ/yasbahuna",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন//রাতকে//ও দিনকে//এবং সূর্যকে//ও চাঁদকে//সবই//উপর//কক্ষপথের//বিচরণ করছে"
            },
            {
              "number": 2517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2517.mp3"
              ],
              "text": "وَمَا جَعَلْنَا لِبَشَرٍۢ مِّن قَبْلِكَ ٱلْخُلْدَ ۖ أَفَإِي۟ن مِّتَّ فَهُمُ ٱلْخَٰلِدُونَ",
              "translate_bn": "আপনার পূর্বেও কোন মানুষকে আমি অনন্ত জীবন দান করিনি। সুতরাং আপনার মৃত্যু হলে তারা কি চিরঞ্জীব হবে?",
              "numberInSurah": 34,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জা‘আলনা-লিবাশারিম মিন কাবলিকাল খুলদা আফাইম মিত্তা ফাহুমুল খা-লিদূ ন।",
              "words_arabic": "وَ مَا/وَمَا/wama//جَعَلْنَا/جَعَلۡنَا/ja'alna//لِبَشَرٍ/لِبَشَرٖ/libasharin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//الْخُلْدَ ؕ/ٱلۡخُلۡدَۖ/al-khul'da//اَفَاۡىِٕنْ/أَفَإِيْن/afa-in//مِّتَّ/مِّتَّ/mitta//فَهُمُ/فَهُمُ/fahumu//الْخٰلِدُوْنَ /ٱلۡخَٰلِدُونَ/al-khaliduna",
              "words_bangla": "এবং (হে নাবী) না//আমরা বানিয়েছি//কোন মানুষের জন্যে//থেকে//তোমার পূর্ব//অমরত্ব//কি তবে যদি//তুমি মৃতবরণ করো//তারা তাহ'লে//অমর হবে কি"
            },
            {
              "number": 2518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2518.mp3"
              ],
              "text": "كُلُّ نَفْسٍۢ ذَآئِقَةُ ٱلْمَوْتِ ۗ وَنَبْلُوكُم بِٱلشَّرِّ وَٱلْخَيْرِ فِتْنَةًۭ ۖ وَإِلَيْنَا تُرْجَعُونَ",
              "translate_bn": "প্রত্যেককে মৃত্যুর স্বাদ আস্বাদন করতে হবে। আমি তোমাদেরকে মন্দ ও ভাল দ্বারা পরীক্ষা করে থাকি এবং আমারই কাছে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 35,
              "juz": 17,
              "manzil": 4,
              "page": 324,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "কুল্লুনাফছিন যাইকাতুল মাওতি ওয়া নাবলূকুম বিশশাররি ওয়াল খাইরি ফিতনাতাও ওয়া ইলাইনা-তুর জা‘ঊন ।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//ذَآىِٕقَةُ/ذَآئِقَةُ/dhaiqatu//الْمَوْتِ ؕ/ٱلۡمَوۡتِۗ/al-mawti//وَ نَبْلُوْكُمْ/وَنَبۡلُوكُم/wanablukum//بِالشَّرِّ/بِٱلشَّرِّ/bil-shari//وَ الْخَیْرِ/وَٱلۡخَيۡرِ/wal-khayri//فِتْنَةً ؕ/فِتۡنَةٗۖ/fit'natan//وَ اِلَیْنَا/وَإِلَيۡنَا/wa-ilayna//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "প্রত্যেক//প্রাণীই//স্বাদ গ্রহণকারী//মৃত্যূর//এবং তোমাদের আমরা পরীক্ষা করি//দিয়ে মন্দ//ও ভাল (দিয়ে)//পরিক্ষা (স্বরুপ)//এবং আমাদেরই দিকে//তোমাদের ফিরিয়ে আনা হবে"
            },
            {
              "number": 2519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2519.mp3"
              ],
              "text": "وَإِذَا رَءَاكَ ٱلَّذِينَ كَفَرُوٓا۟ إِن يَتَّخِذُونَكَ إِلَّا هُزُوًا أَهَٰذَا ٱلَّذِى يَذْكُرُ ءَالِهَتَكُمْ وَهُم بِذِكْرِ ٱلرَّحْمَٰنِ هُمْ كَٰفِرُونَ",
              "translate_bn": "কাফেররা যখন আপনাকে দেখে তখন আপনার সাথে ঠাট্টা করা ছাড়া তাদের আর কোন কাজ থাকে না, একি সেই ব্যক্তি, যে তোমাদের দেব-দেবীদের সমালোচনা করে? এবং তারাই তো রহমান’ এর আলোচনায় অস্বীকার করে।",
              "numberInSurah": 36,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআ-কাল্লাযীনা কাফারূইয়ঁইয়াত্তাখিযূনাকা ইল্লা-হুঝুওয়ান আহাযাল্লাযী ইয়াযকুরু আ-লিহাতাকুম ওয়া হুম বিযিকরির রাহমা-নি হুম কা-ফিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاٰكَ/رَءَاكَ/raaka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِن/in//یَّتَّخِذُوْنَكَ/يَتَّخِذُونَكَ/yattakhidhunaka//اِلَّا/إِلَّا/illa//هُزُوًا ؕ/هُزُوًا/huzuwan//اَهٰذَا/أَهَٰذَا/ahadha//الَّذِیْ/ٱلَّذِي/alladhi//یَذْكُرُ/يَذۡكُرُ/yadhkuru//اٰلِهَتَكُمْ ۚ/ءَالِهَتَكُمۡ/alihatakum//وَ هُمْ/وَهُم/wahum//بِذِكْرِ/بِذِكۡرِ/bidhik'ri//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//هُمْ/هُمۡ/hum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "এবং যখন//তোমাকে দেখে//যারা//অস্বীকার করেছে//না//তোমাকে তারা গ্রহণ করবে//এ ছাড়া//বিদ্রুপের পাত্র রূপে//\"(এবং বলে) এই কি//(সেই ব্যক্তি) যে//সমালোচনা করে//তোমাদের দেবদেবীদেরকে\"//অথচ তারা//নিয়ে আলোচনা//রাহমানের//তারাই//অস্বীকারকারী"
            },
            {
              "number": 2520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2520.mp3"
              ],
              "text": "خُلِقَ ٱلْإِنسَٰنُ مِنْ عَجَلٍۢ ۚ سَأُو۟رِيكُمْ ءَايَٰتِى فَلَا تَسْتَعْجِلُونِ",
              "translate_bn": "সৃষ্টিগত ভাবে মানুষ ত্বরাপ্রবণ, আমি সত্তরই তোমাদেরকে আমার নিদর্শনাবলী দেখাব। অতএব আমাকে শীঘ্র করতে বলো না।",
              "numberInSurah": 37,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "খুলিকাল ইনছা-নুমিন ‘আজালিন ছাঊরীকুম আ-য়া-তী ফালা-তাছতা‘জিলূন।",
              "words_arabic": "خُلِقَ/خُلِقَ/khuliqa//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مِنْ/مِنۡ/min//عَجَلٍ ؕ/عَجَلٖۚ/ajalin//سَاُورِیْكُمْ/سَأُوْرِيكُمۡ/sa-urikum//اٰیٰتِیْ/ءَايَٰتِي/ayati//فَلَا/فَلَا/fala//تَسْتَعْجِلُوْنِ /تَسۡتَعۡجِلُونِ/tasta'jiluni",
              "words_bangla": "সৃষ্টি করা হয়েছে//মানুষকে//দিয়ে//তাড়াহুড়া প্রবৃত্তি//শীঘ্রই তোমাদেরকে আমি দেখাবো//আমার নিদর্শনাবলী//সুতরাং না//আমার কাছে তোমরা তাড়াহুড়া করো"
            },
            {
              "number": 2521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2521.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "এবং তারা বলেঃ যদি তোমরা সত্যবাদী হও তবে এই ওয়াদা কবে পুর্ণ হবে?",
              "numberInSurah": 38,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া-ইয়াকূ লূনা মাতা-হা-যাল ও‘দুইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন (পূর্ণ হবে)//এই//(হুমকির) প্রতিশ্রুতি//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 2522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2522.mp3"
              ],
              "text": "لَوْ يَعْلَمُ ٱلَّذِينَ كَفَرُوا۟ حِينَ لَا يَكُفُّونَ عَن وُجُوهِهِمُ ٱلنَّارَ وَلَا عَن ظُهُورِهِمْ وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "যদি কাফেররা ঐ সময়টি জানত, যখন তারা তাদের সম্মুখ ও পৃষ্ঠদেশ থেকে অগ্নি প্রতিরোধ করতে পারবে না এবং তারা সাহায্য প্রাপ্ত হবে না।",
              "numberInSurah": 39,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "লাও ইয়া‘লামুল্লাযীনা কাফারূহীনা লা-ইয়াকুফফূনা ‘আওঁউজুহিহিমুন্না-রা ওয়ালা-‘আন জু হূরিহিম ওয়ালা-হুম ইউনসারূন।",
              "words_arabic": "لَوْ/لَوۡ/law//یَعْلَمُ/يَعۡلَمُ/ya'lamu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//حِیْنَ/حِينَ/hina//لَا/لَا/la//یَكُفُّوْنَ/يَكُفُّونَ/yakuffuna//عَنْ/عَن/an//وُّجُوْهِهِمُ/وُجُوهِهِمُ/wujuhihimu//النَّارَ/ٱلنَّارَ/al-nara//وَ لَا/وَلَا/wala//عَنْ/عَن/an//ظُهُوْرِهِمْ/ظُهُورِهِمۡ/zuhurihim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "(হায়) যদি//জানতো//যারা//অস্বীকার করেছে//সে সময়ে (যখন)//না//তারা প্রতিরোধ করতে পারবে//হ'তে//তাদের মুখমন্ডলগুলো (সামনের দিক)//আগুনকে//আর না//হ'তে//তাদের পৃষ্ঠসমূহ (পিছনেরর দিক)//আর না//তাদের//সাহায্য করা হবে"
            },
            {
              "number": 2523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2523.mp3"
              ],
              "text": "بَلْ تَأْتِيهِم بَغْتَةًۭ فَتَبْهَتُهُمْ فَلَا يَسْتَطِيعُونَ رَدَّهَا وَلَا هُمْ يُنظَرُونَ",
              "translate_bn": "বরং তা আসবে তাদের উপর অতর্কিত ভাবে, অতঃপর তাদেরকে তা হতবুদ্ধি করে দেবে, তখন তারা তা রোধ করতেও পারবে না এবং তাদেরকে অবকাশও দেয়া হবে না।",
              "numberInSurah": 40,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "বাল তা’তীহিম বাগতাতান ফাতাবহাতুহুম, ফালা-ইয়াছতাতী‘উনা রাদ্দাহা-ওয়া লা-হুম ইউনজারূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//تَاْتِیْهِمْ/تَأۡتِيهِم/tatihim//بَغْتَةً/بَغۡتَةٗ/baghtatan//فَتَبْهَتُهُمْ/فَتَبۡهَتُهُمۡ/fatabhatuhum//فَلَا/فَلَا/fala//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//رَدَّهَا/رَدَّهَا/raddaha//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْظَرُوْنَ /يُنظَرُونَ/yunzaruna",
              "words_bangla": "বরং//তাদের কাছে আসবে//হঠাৎ করে//অতঃপর তাদেরকে হতভম্ব করে দিবে//তখন না//তারা সক্ষম হবে//তা রোধ করতে//আর না//তাদের//অবকাশ দেয়া হবে"
            },
            {
              "number": 2524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2524.mp3"
              ],
              "text": "وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍۢ مِّن قَبْلِكَ فَحَاقَ بِٱلَّذِينَ سَخِرُوا۟ مِنْهُم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "আপনার পূর্বেও অনেক রাসূলের সাথে ঠাট্টা-বিদ্রূপ করা হয়েছে। অতঃপর যে বিষয়ে তারা ঠাট্টা করত তা উল্টো ঠাট্টাকারীদের উপরই আপতিত হয়েছে।",
              "numberInSurah": 41,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 280,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদিছ তুহঝিআ বিরুছুলিম মিন কাবলিকা ফাহা-কাবিল্লাযীনা ছাখিরূমিনহুম মাকা-নূবিহী ইয়াছতাহঝিউন।",
              "words_arabic": "وَ لَقَدِ/وَلَقَدِ/walaqadi//اسْتُهْزِئَ/ٱسۡتُهۡزِئَ/us'tuh'zi-a//بِرُسُلٍ/بِرُسُلٖ/birusulin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فَحَاقَ/فَحَاقَ/fahaqa//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//سَخِرُوْا/سَخِرُواْ/sakhiru//مِنْهُمْ/مِنۡهُم/min'hum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং নিশ্চয়ই//বিদ্রুপ করা হয়েছে//নিয়ে রাসূলদেরকে//থেকে//তোমার পূর্ব//অতঃপর ঘিরে নিয়েছিলো//সহ তাদেরকে//ঠাট্টা করেছিল (যারা)//তাদের মধ্য হ'তে//ঐ জিনিস//তারা ছিলো//যা নিয়ে//বিদ্রুত করত"
            },
            {
              "number": 2525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2525.mp3"
              ],
              "text": "قُلْ مَن يَكْلَؤُكُم بِٱلَّيْلِ وَٱلنَّهَارِ مِنَ ٱلرَّحْمَٰنِ ۗ بَلْ هُمْ عَن ذِكْرِ رَبِّهِم مُّعْرِضُونَ",
              "translate_bn": "বলুনঃ ‘রহমান’ থেকে কে তোমাদেরকে হেফাযত করবে রাত্রে ও দিনে। বরং তারা তাদের পালনকর্তার স্মরণ থেকে মুখ ফিরিয়ে রাখে।",
              "numberInSurah": 42,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "কুল মাই ইয়াকলাউকুম বিল লাইলি ওয়ান নাহা-রি মিনার রাহমা-নি বাল হুম ‘আন যিকরি রাব্বিহিম মু‘রিদূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//یَّكْلَؤُكُمْ/يَكۡلَؤُكُم/yakla-ukum//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//مِنَ/مِنَ/mina//الرَّحْمٰنِ ؕ/ٱلرَّحۡمَٰنِۚ/al-rahmani//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//رَبِّهِمْ/رَبِّهِم/rabbihim//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "(হে নাবী) বলো//\"কে//তোমাদেরকে রক্ষা করতে পারে//বেলায় রাতের//বা দিনের//থেকে//রাহমান\"//বরং//তারাই//হ'তে//স্বরণ//তাদের রবের//মুখ ফিরিয়ে নেয়"
            },
            {
              "number": 2526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2526.mp3"
              ],
              "text": "أَمْ لَهُمْ ءَالِهَةٌۭ تَمْنَعُهُم مِّن دُونِنَا ۚ لَا يَسْتَطِيعُونَ نَصْرَ أَنفُسِهِمْ وَلَا هُم مِّنَّا يُصْحَبُونَ",
              "translate_bn": "তবে কি আমি ব্যতীত তাদের এমন দেব-দেবী আছে যারা তাদেরকে রক্ষা করবে? তারা তো নিজেদেরই সাহায্য করতে সক্ষম নয় এবং তারা আমার মোকাবেলায় সাহায্যকারীও পাবে না।",
              "numberInSurah": 43,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম আ-লিহাতুন তামনা‘উহুম মিন দূ নিনা- লা ইয়াছতাতী‘উনা নাছরা আনফুছিহিম ওয়ালা-হুম মিন্না-ইউছহাবূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//اٰلِهَةٌ/ءَالِهَةٞ/alihatun//تَمْنَعُهُمْ/تَمۡنَعُهُم/tamna'uhum//مِّنْ/مِّن/min//دُوْنِنَا ؕ/دُونِنَاۚ/dunina//لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//نَصْرَ/نَصۡرَ/nasra//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//وَ لَا/وَلَا/wala//هُمْ/هُم/hum//مِّنَّا/مِّنَّا/minna//یُصْحَبُوْنَ /يُصۡحَبُونَ/yus'habuna",
              "words_bangla": "কি//তাদের জন্যে (আছে)//দেবদেবী//তাদের রক্ষা করতে পারে//থেকে//আমাদের ছাড়া//না//তারা সক্ষম//সাহায্য করতে//তাদের নিজেদের//আর না//তাদেরকে//আমাদের বিরুদ্ধে//সহযোগিতা দেয়া হবে"
            },
            {
              "number": 2527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2527.mp3"
              ],
              "text": "بَلْ مَتَّعْنَا هَٰٓؤُلَآءِ وَءَابَآءَهُمْ حَتَّىٰ طَالَ عَلَيْهِمُ ٱلْعُمُرُ ۗ أَفَلَا يَرَوْنَ أَنَّا نَأْتِى ٱلْأَرْضَ نَنقُصُهَا مِنْ أَطْرَافِهَآ ۚ أَفَهُمُ ٱلْغَٰلِبُونَ",
              "translate_bn": "বরং আমি তাদেরকে এবং তাদের বাপ-দাদাকে ভোগসম্বার দিয়েছিলাম, এমনকি তাদের আয়ুস্কালও দীর্ঘ হয়েছিল। তারা কি দেখে না যে, আমি তাদের দেশকে চতুর্দিক থেকে হ্রাস করে আনছি। এরপরও কি তারা বিজয়ী হবে?",
              "numberInSurah": 44,
              "juz": 17,
              "manzil": 4,
              "page": 325,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "বাল মাত্তা‘না-হাউলাই ওয়া আ-বাআহুম হাত্তা-তা-লা ‘আলাইহিমুল ‘উমরু আফালা-ইয়ারাওনা আন্না-না’তিল আরদা নানকুসুহা-মিন আতরা-ফিহা- আফাহুমুল গা-লিবূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//مَتَّعْنَا/مَتَّعۡنَا/matta'na//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//وَ اٰبَآءَهُمْ/وَءَابَآءَهُمۡ/waabaahum//حَتّٰی/حَتَّىٰ/hatta//طَالَ/طَالَ/tala//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْعُمُرُ ؕ/ٱلۡعُمُرُۗ/al-'umuru//اَفَلَا/أَفَلَا/afala//یَرَوْنَ/يَرَوۡنَ/yarawna//اَنَّا/أَنَّا/anna//نَاْتِی/نَأۡتِي/nati//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//نَنْقُصُهَا/نَنقُصُهَا/nanqusuha//مِنْ/مِنۡ/min//اَطْرَافِهَا ؕ/أَطۡرَافِهَآۚ/atrafiha//اَفَهُمُ/أَفَهُمُ/afahumu//الْغٰلِبُوْنَ /ٱلۡغَٰلِبُونَ/al-ghalibuna",
              "words_bangla": "বরং//আমরা ভোগসামগ্রী দিয়েছি//তাদেরকে//ও পিতৃপুরুষদেরকে তাদের//এমনকি//দীর্ঘ হয়েছিলো//তাদের জন্য//আয়ু//কি তবে না//তারা দেখে//যে আমরা//আনছি//জমিনকে//তা সংকুচিত করে আমরা//হ'তে//তার চারদিক//কি তবুও তারা//বিজয়ী হবে"
            },
            {
              "number": 2528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2528.mp3"
              ],
              "text": "قُلْ إِنَّمَآ أُنذِرُكُم بِٱلْوَحْىِ ۚ وَلَا يَسْمَعُ ٱلصُّمُّ ٱلدُّعَآءَ إِذَا مَا يُنذَرُونَ",
              "translate_bn": "বলুনঃ আমি তো কেবল ওহীর মাধ্যমেই তোমাদেরকে সতর্ক করি, কিন্তু বধিরদেরকে যখন সতর্ক করা হয়, তখন তারা সে সতর্কবাণী শোনে না।",
              "numberInSurah": 45,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাউনযিরুকুম বিল ওয়াহয়ি ওয়ালা-ইয়াছমা‘উসসুম্মুদ দু‘আআ ইযা-মাইউনযারূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اُنْذِرُكُمْ/أُنذِرُكُم/undhirukum//بِالْوَحْیِ ۖؗ/بِٱلۡوَحۡيِۚ/bil-wahyi//وَ لَا/وَلَا/wala//یَسْمَعُ/يَسۡمَعُ/yasma'u//الصُّمُّ/ٱلصُّمُّ/al-sumu//الدُّعَآءَ/ٱلدُّعَآءَ/al-du'aa//اِذَا/إِذَا/idha//مَا/مَا/ma//یُنْذَرُوْنَ /يُنذَرُونَ/yundharuna",
              "words_bangla": "বলো//\"মূলতঃ//তোমাদের সতর্ক করছি আমি//দ্বারা ওহী\"//কিন্তু না//শুনে//বধির//কোন আহ্বান//যখন//যা//তাদের সতর্ক করা হয়"
            },
            {
              "number": 2529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2529.mp3"
              ],
              "text": "وَلَئِن مَّسَّتْهُمْ نَفْحَةٌۭ مِّنْ عَذَابِ رَبِّكَ لَيَقُولُنَّ يَٰوَيْلَنَآ إِنَّا كُنَّا ظَٰلِمِينَ",
              "translate_bn": "আপনার পালনকর্তার আযাবের কিছুমাত্রও তাদেরকে স্পর্শ করলে তারা বলতে থাকবে, হায় আমাদের দুর্ভাগ্য, আমরা অবশ্যই পাপী ছিলাম।",
              "numberInSurah": 46,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাইম মাছছাতহুম নাফহাতুমমিন‘আযা-বি রাব্বিকা লাইয়াকূলুন্না ইয়াওয়াইলানাইন্না-কুন্না-জা-লিমীন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//مَّسَّتْهُمْ/مَّسَّتۡهُمۡ/massathum//نَفْحَةٌ/نَفۡحَةٞ/nafhatun//مِّنْ/مِّنۡ/min//عَذَابِ/عَذَابِ/adhabi//رَبِّكَ/رَبِّكَ/rabbika//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//یٰوَیْلَنَاۤ/يَٰوَيۡلَنَآ/yawaylana//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "আর যদি অবশ্যই//তাদের স্পর্শ করে//একটা ঝাপটাও//থেকে//শাস্তি//তোমার রবের//অবশ্যই তারা বলবে//\"হায়! আমাদের দুর্ভোগ//নিশ্চয়ই আমরা//ছিলাম আমরা//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 2530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2530.mp3"
              ],
              "text": "وَنَضَعُ ٱلْمَوَٰزِينَ ٱلْقِسْطَ لِيَوْمِ ٱلْقِيَٰمَةِ فَلَا تُظْلَمُ نَفْسٌۭ شَيْـًۭٔا ۖ وَإِن كَانَ مِثْقَالَ حَبَّةٍۢ مِّنْ خَرْدَلٍ أَتَيْنَا بِهَا ۗ وَكَفَىٰ بِنَا حَٰسِبِينَ",
              "translate_bn": "আমি কেয়ামতের দিন ন্যায়বিচারের মানদন্ড স্থাপন করব। সুতরাং কারও প্রতি জুলুম হবে না। যদি কোন আমল সরিষার দানা পরিমাণও হয়, আমি তা উপস্থিত করব এবং হিসাব গ্রহণের জন্যে আমিই যথেষ্ট।",
              "numberInSurah": 47,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাদা‘উল মাওয়া-ঝীনাল কিছতা লিইয়াওমিল কিয়া-মাতি ফালা-তুজলামুনাফছুন শাইআ- ওয়া ইন কা-না মিছকা-লা হাব্বাতিম মিন খারদালিন আতাইনা-বিহা- ওয়াকাফা-বিনা-হা-ছিবীন।",
              "words_arabic": "وَ نَضَعُ/وَنَضَعُ/wanada'u//الْمَوَازِیْنَ/ٱلۡمَوَٰزِينَ/al-mawazina//الْقِسْطَ/ٱلۡقِسۡطَ/al-qis'ta//لِیَوْمِ/لِيَوۡمِ/liyawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فَلَا/فَلَا/fala//تُظْلَمُ/تُظۡلَمُ/tuz'lamu//نَفْسٌ/نَفۡسٞ/nafsun//شَیْـًٔا ؕ/شَيۡـٔٗاۖ/shayan//وَ اِنْ/وَإِن/wa-in//كَانَ/كَانَ/kana//مِثْقَالَ/مِثۡقَالَ/mith'qala//حَبَّةٍ/حَبَّةٖ/habbatin//مِّنْ/مِّنۡ/min//خَرْدَلٍ/خَرۡدَلٍ/khardalin//اَتَیْنَا/أَتَيۡنَا/atayna//بِهَا ؕ/بِهَاۗ/biha//وَ كَفٰی/وَكَفَىٰ/wakafa//بِنَا/بِنَا/bina//حٰسِبِیْنَ /حَٰسِبِينَ/hasibina",
              "words_bangla": "এবং স্থাপন করবো আমরা//মানদন্ডসমূহ//ন্যায়ের//জন্য দিনের//ক্বিয়ামাতের//ফলে না//অবিচার করা হবে//কাউকে//কিছুমাত্রও//এবং যদি//হয় (কৃতকর্ম)//পরিমাণও//একদানা//থেকে//সরিষার//আমরা আসবো//নিয়ে তাকে (সামনে)//এবং যথেষ্ট//আমরাই//হিসাবগ্রহণকারীরূপে"
            },
            {
              "number": 2531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2531.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَىٰ وَهَٰرُونَ ٱلْفُرْقَانَ وَضِيَآءًۭ وَذِكْرًۭا لِّلْمُتَّقِينَ",
              "translate_bn": "আমি মূসা ও হারুণকে দান করেছিলাম মীমাংসাকারী গ্রন্থ, আলো ও উপদেশ, আল্লাহ ভীরুদের জন্যে",
              "numberInSurah": 48,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছা-ওয়া হা-রূনাল ফুরকা-না ওয়া দিয়াআওঁ ওয়া যিকরাল লিলমুত্তাকীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسٰی/مُوسَىٰ/musa//وَ هٰرُوْنَ/وَهَٰرُونَ/waharuna//الْفُرْقَانَ/ٱلۡفُرۡقَانَ/al-fur'qana//وَ ضِیَآءً/وَضِيَآءٗ/wadiyaan//وَّ ذِكْرًا/وَذِكۡرٗا/wadhik'ran//لِّلْمُتَّقِیْنَۙ/لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এবং অবশ্যই//আমরা দিয়েছি//মূসাকে//ও হারূনকে//ফুরকান//এবং আলো//ও উপদেশ//জন্যে মুত্তাক্বীদের"
            },
            {
              "number": 2532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2532.mp3"
              ],
              "text": "ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ وَهُم مِّنَ ٱلسَّاعَةِ مُشْفِقُونَ",
              "translate_bn": "যারা না দেখেই তাদের পালনকর্তাকে ভয় করে এবং কেয়ামতের ভয়ে শঙ্কিত।",
              "numberInSurah": 49,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াখশাওনা রাব্বাহুম বিলগাইবি ওয়া হুম মিনাছছা-‘আতি মুশফিকূন।\r\n",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//رَبَّهُمْ/رَبَّهُم/rabbahum//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//وَ هُمْ/وَهُم/wahum//مِّنَ/مِّنَ/mina//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//مُشْفِقُوْنَ /مُشۡفِقُونَ/mush'fiquna",
              "words_bangla": "যারা//ভয় করে//তাদের রবকে//অবস্থায় অদৃশ্য//এবং তারাই//সম্পর্কে//ক্বিয়ামাহ//ভীতসন্ত্রস্ত"
            },
            {
              "number": 2533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2533.mp3"
              ],
              "text": "وَهَٰذَا ذِكْرٌۭ مُّبَارَكٌ أَنزَلْنَٰهُ ۚ أَفَأَنتُمْ لَهُۥ مُنكِرُونَ",
              "translate_bn": "এবং এটা একটা বরকতময় উপদেশ, যা আমি নাযিল করেছি। অতএব তোমরা কি একে অস্বীকার কর?",
              "numberInSurah": 50,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 281,
              "hizbQuarter": 130,
              "sajda": false,
              "pronunciation_bn": "ওয়া হা-যা-যিকরুমমুবা-রাকুন আনঝালনা-হু আফাআনতুম লাহূমুনকিরূন।",
              "words_arabic": "وَ هٰذَا/وَهَٰذَا/wahadha//ذِكْرٌ/ذِكۡرٞ/dhik'run//مُّبٰرَكٌ/مُّبَارَكٌ/mubarakun//اَنْزَلْنٰهُ ؕ/أَنزَلۡنَٰهُۚ/anzalnahu//اَفَاَنْتُمْ/أَفَأَنتُمۡ/afa-antum//لَهٗ/لَهُۥ/lahu//مُنْكِرُوْنَ۠/مُنكِرُونَ/munkiruna",
              "words_bangla": "আর এই//উপদেশ (ক্বুর'আন)//কল্যাণময়//তা আমরা অবতীর্ণ করেছি//কি তোমরা তবুও//জন্যে তার//অস্বীকারকারী হবে"
            },
            {
              "number": 2534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2534.mp3"
              ],
              "text": "۞ وَلَقَدْ ءَاتَيْنَآ إِبْرَٰهِيمَ رُشْدَهُۥ مِن قَبْلُ وَكُنَّا بِهِۦ عَٰلِمِينَ",
              "translate_bn": "আর, আমি ইতিপূর্বে ইব্রাহীমকে তার সৎপন্থা দান করেছিলাম এবং আমি তার সম্পর্কে সম্যক পরিজ্ঞাত ও ছিলাম।",
              "numberInSurah": 51,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনাইবরা-হীমা রুশদাহূমিন কাবলুওয়া কুন্না-বিহী ‘আ-লিমীন।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//اٰتَیْنَاۤ/ءَاتَيۡنَآ/atayna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//رُشْدَهٗ/رُشۡدَهُۥ/rush'dahu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ كُنَّا/وَكُنَّا/wakunna//بِهٖ/بِهِۦ/bihi//عٰلِمِیْنَۚ/عَٰلِمِينَ/alimina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছি//ইবরাহীম কে//তার সৎপথের বুদ্ধি জ্ঞান//থেকে//ইতিপূর্ব//এবং আমরা ছিলাম//সম্পর্কে তার//খুব অবহিত"
            },
            {
              "number": 2535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2535.mp3"
              ],
              "text": "إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَا هَٰذِهِ ٱلتَّمَاثِيلُ ٱلَّتِىٓ أَنتُمْ لَهَا عَٰكِفُونَ",
              "translate_bn": "যখন তিনি তাঁর পিতা ও তাঁর সম্প্রদায়কে বললেনঃ এই মূর্তিগুলো কী, যাদের তোমরা পূজারী হয়ে বসে আছ।",
              "numberInSurah": 52,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লিআবীহি ওয়া কাওমিহী মা-হা-যিহিততামা-ছীলুল্লাতীআনতুম লাহা-‘আকিফূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//وَ قَوْمِهٖ/وَقَوۡمِهِۦ/waqawmihi//مَا/مَا/ma//هٰذِهِ/هَٰذِهِ/hadhihi//التَّمَاثِیْلُ/ٱلتَّمَاثِيلُ/al-tamathilu//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْتُمْ/أَنتُمۡ/antum//لَهَا/لَهَا/laha//عٰكِفُوْنَ /عَٰكِفُونَ/akifuna",
              "words_bangla": "যখন//সে বলেছিলো//তার পিতাকে//ও তার জাতিকে//\"কি//এসব//মূর্তিগুলো//যার//তোমরা//জন্য তাদের//পূজায় ব্রত আছো\""
            },
            {
              "number": 2536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2536.mp3"
              ],
              "text": "قَالُوا۟ وَجَدْنَآ ءَابَآءَنَا لَهَا عَٰبِدِينَ",
              "translate_bn": "তারা বললঃ আমরা আমাদের বাপ-দাদাকে এদের পুজা করতে দেখেছি।",
              "numberInSurah": 53,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূওয়াজাদনাআ-বাআনা-লাহা-‘আ-বিদীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//وَجَدْنَاۤ/وَجَدۡنَآ/wajadna//اٰبَآءَنَا/ءَابَآءَنَا/abaana//لَهَا/لَهَا/laha//عٰبِدِیْنَ /عَٰبِدِينَ/abidina",
              "words_bangla": "তারা বললো//\"আমরা পেয়েছি//আমাদের পিতৃপুরুষদেরকে//জন্য তাদের//উপাসনাকারীরূপে\""
            },
            {
              "number": 2537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2537.mp3"
              ],
              "text": "قَالَ لَقَدْ كُنتُمْ أَنتُمْ وَءَابَآؤُكُمْ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "তিনি বললেনঃ তোমরা প্রকাশ্য গোমরাহীতে আছ এবং তোমাদের বাপ-দাদারাও।",
              "numberInSurah": 54,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাকাদ কুনতুম আনতুম ওয়া আ-বাউকুম ফী দালা-লিম মুবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَقَدْ/لَقَدۡ/laqad//كُنْتُمْ/كُنتُمۡ/kuntum//اَنْتُمْ/أَنتُمۡ/antum//وَ اٰبَآؤُكُمْ/وَءَابَآؤُكُمۡ/waabaukum//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "সে বললো//\"নিশ্চয়ই//তোমরা আছো//তোমরা//ও তোমাদের পিতৃপুরুষরা (ছিলো)//মধ্যে//পথভ্রষ্টতার//সুস্পষ্ট\""
            },
            {
              "number": 2538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2538.mp3"
              ],
              "text": "قَالُوٓا۟ أَجِئْتَنَا بِٱلْحَقِّ أَمْ أَنتَ مِنَ ٱللَّٰعِبِينَ",
              "translate_bn": "তারা বললঃ তুমি কি আমাদের কাছে সত্যসহ আগমন করেছ, না তুমি কৌতুক করছ?",
              "numberInSurah": 55,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূআজি’তানা-বিলহাক্কিআম আনতা মিনাল্লা-‘ইবীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَجِئْتَنَا/أَجِئۡتَنَا/aji'tana//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//اَمْ/أَمۡ/am//اَنْتَ/أَنتَ/anta//مِنَ/مِنَ/mina//اللّٰعِبِیْنَ /ٱللَّـٰعِبِينَ/al-la'ibina",
              "words_bangla": "তারা বললো//\"আমাদের কাছে এসেছো কি//নিয়ে প্রকৃত সত্যকে//না//তুমি//অন্তর্ভুক্ত//কৌতুককারীদের\""
            },
            {
              "number": 2539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2539.mp3"
              ],
              "text": "قَالَ بَل رَّبُّكُمْ رَبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ٱلَّذِى فَطَرَهُنَّ وَأَنَا۠ عَلَىٰ ذَٰلِكُم مِّنَ ٱلشَّٰهِدِينَ",
              "translate_bn": "তিনি বললেনঃ না, তিনিই তোমাদের পালনকর্তা যিনি নভোমন্ডল ও ভুমন্ডলের পালনকর্তা, যিনি এগুলো সৃষ্টি করেছেন; এবং আমি এই বিষয়েরই সাক্ষ্যদাতা।",
              "numberInSurah": 56,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লা বার রাব্বুকুম রাব্বুছ ছামা-ওয়া-তি ওয়াল আরদিল্লাযী ফাতারাহুন্না ওয়া আনা ‘আলা-যা-লিকুম মিনাশশা-হিদীন।",
              "words_arabic": "قَالَ/قَالَ/qala//بَلْ/بَل/bal//رَّبُّكُمْ/رَّبُّكُمۡ/rabbukum//رَبُّ/رَبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//الَّذِیْ/ٱلَّذِي/alladhi//فَطَرَهُنَّ ۖؗ/فَطَرَهُنَّ/fatarahunna//وَ اَنَا/وَأَنَا۠/wa-ana//عَلٰی/عَلَىٰ/ala//ذٰلِكُمْ/ذَٰلِكُم/dhalikum//مِّنَ/مِّنَ/mina//الشّٰهِدِیْنَ /ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "সে বললো//\"বরং//তোমাদের রব (তিনিই)//(যিনি) রব//আকাশমন্ডলীর//ও পৃথিবীর//যিনি//তাদেরকে সৃষ্টি করেছেন//এবং আমি//উপর//এসবের উপর//অন্যতম//সাক্ষীদাতাদের"
            },
            {
              "number": 2540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2540.mp3"
              ],
              "text": "وَتَٱللَّهِ لَأَكِيدَنَّ أَصْنَٰمَكُم بَعْدَ أَن تُوَلُّوا۟ مُدْبِرِينَ",
              "translate_bn": "আল্লাহর কসম, যখন তোমরা পৃষ্ঠ প্রদর্শন করে চলে যাবে, তখন আমি তোমাদের মূর্তিগুলোর ব্যাপারে একটা ব্যবস্থা অবলম্বন করব।",
              "numberInSurah": 57,
              "juz": 17,
              "manzil": 4,
              "page": 326,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাল্লা-হি লাআকীদান্না আসনা-মাকুম বা‘দা আন তুওয়াললূমুদবিরীন।",
              "words_arabic": "وَ تَاللّٰهِ/وَتَٱللَّهِ/watal-lahi//لَاَكِیْدَنَّ/لَأَكِيدَنَّ/la-akidanna//اَصْنَامَكُمْ/أَصۡنَٰمَكُم/asnamakum//بَعْدَ/بَعۡدَ/ba'da//اَنْ/أَن/an//تُوَلُّوْا/تُوَلُّواْ/tuwallu//مُدْبِرِیْنَ /مُدۡبِرِينَ/mud'birina",
              "words_bangla": "এবং শপথ আল্লাহর//অবশ্যই ব্যবস্থা নিবো আমি//তোমাদের মূর্তিগুলোর//পরে//যে//তোমাদের চলে যাবে//পিঠ ফিরিয়ে\""
            },
            {
              "number": 2541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2541.mp3"
              ],
              "text": "فَجَعَلَهُمْ جُذَٰذًا إِلَّا كَبِيرًۭا لَّهُمْ لَعَلَّهُمْ إِلَيْهِ يَرْجِعُونَ",
              "translate_bn": "অতঃপর তিনি সেগুলোকে চূর্ণ-বিচুর্ণ করে দিলেন ওদের প্রধানটি ব্যতীতঃ যাতে তারা তাঁর কাছে প্রত্যাবর্তন করে।",
              "numberInSurah": 58,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলাহুম জুযা-যান ইল্লা-কাবীরাল লাহুম লা‘আল্লাহুম ইলাইহি ইয়ারজি‘ঊন।",
              "words_arabic": "فَجَعَلَهُمْ/فَجَعَلَهُمۡ/faja'alahum//جُذٰذًا/جُذَٰذًا/judhadhan//اِلَّا/إِلَّا/illa//كَبِیْرًا/كَبِيرٗا/kabiran//لَّهُمْ/لَّهُمۡ/lahum//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//اِلَیْهِ/إِلَيۡهِ/ilayhi//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "অতঃপর তাদেরকে সে করে দিলো//টুকরো টুকরো//ছাড়া//বড়টা//তাদের//যাতে তারা//তার দিকে//ফিরে আসে"
            },
            {
              "number": 2542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2542.mp3"
              ],
              "text": "قَالُوا۟ مَن فَعَلَ هَٰذَا بِـَٔالِهَتِنَآ إِنَّهُۥ لَمِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "তারা বললঃ আমাদের উপাস্যদের সাথে এরূপ ব্যবহার কে করল? সে তো নিশ্চয়ই কোন জালিম।",
              "numberInSurah": 59,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূমান ফা‘আলা হা-যা বিআ-লিহাতিনাইন্নাহূলামিনাজ্জা-লিমীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//مَنْ/مَن/man//فَعَلَ/فَعَلَ/fa'ala//هٰذَا/هَٰذَا/hadha//بِاٰلِهَتِنَاۤ/بِـَٔالِهَتِنَآ/bialihatina//اِنَّهٗ/إِنَّهُۥ/innahu//لَمِنَ/لَمِنَ/lamina//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "তারা বললো//\"কে//করেছে//এটা//সাথে আমাদের ইলাহগুলোর//সে নিশ্চয়ই//অবশ্যই অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 2543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2543.mp3"
              ],
              "text": "قَالُوا۟ سَمِعْنَا فَتًۭى يَذْكُرُهُمْ يُقَالُ لَهُۥٓ إِبْرَٰهِيمُ",
              "translate_bn": "কতক লোকে বললঃ আমরা এক যুবককে তাদের সম্পর্কে বিরূপ আলোচনা করতে শুনেছি; তাকে ইব্রাহীম বলা হয়।",
              "numberInSurah": 60,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূছামি‘না ফাতাইঁ ইয়াযকুরুহুম ইউকা-লুলাহূইবরা-হীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سَمِعْنَا/سَمِعۡنَا/sami'na//فَتًی/فَتٗى/fatan//یَّذْكُرُهُمْ/يَذۡكُرُهُمۡ/yadhkuruhum//یُقَالُ/يُقَالُ/yuqalu//لَهٗۤ/لَهُۥٓ/lahu//اِبْرٰهِیْمُؕ/إِبۡرَٰهِيمُ/ib'rahimu",
              "words_bangla": "তারা বললো//\"আমরা শুনেছি//এক যুবককেকে//সমালোচনা করতে তাদের ব্যাপারে//বলা হয়//তার (নাম)//ইবরাহীম\""
            },
            {
              "number": 2544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2544.mp3"
              ],
              "text": "قَالُوا۟ فَأْتُوا۟ بِهِۦ عَلَىٰٓ أَعْيُنِ ٱلنَّاسِ لَعَلَّهُمْ يَشْهَدُونَ",
              "translate_bn": "তারা বললঃ তাকে জনসমক্ষে উপস্থিত কর, যাতে তারা দেখে।",
              "numberInSurah": 61,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূফা’তূবিহী ‘আলাআ‘ইউনিন্না-ছি লা‘আল্লাহুম ইয়াশহাদূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//فَاْتُوْا/فَأۡتُواْ/fatu//بِهٖ/بِهِۦ/bihi//عَلٰۤی/عَلَىٰٓ/ala//اَعْیُنِ/أَعۡيُنِ/a'yuni//النَّاسِ/ٱلنَّاسِ/al-nasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَشْهَدُوْنَ /يَشۡهَدُونَ/yashhaduna",
              "words_bangla": "তারা বললো//\"তাহ'লে আসো//নিয়ে তাকে//সামনে//চোখের//লোকদের//যাতে তারা//সাক্ষ্য দিতে পারে\""
            },
            {
              "number": 2545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2545.mp3"
              ],
              "text": "قَالُوٓا۟ ءَأَنتَ فَعَلْتَ هَٰذَا بِـَٔالِهَتِنَا يَٰٓإِبْرَٰهِيمُ",
              "translate_bn": "তারা বললঃ হে ইব্রাহীম তুমিই কি আমাদের উপাস্যদের সাথে এরূপ ব্যবহার করেছ?",
              "numberInSurah": 62,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূআআনতা ফা‘আলতা হা-যা-বিআ-লিহাতিনা ইয়াইবরা-হীম।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//ءَاَنْتَ/ءَأَنتَ/a-anta//فَعَلْتَ/فَعَلۡتَ/fa'alta//هٰذَا/هَٰذَا/hadha//بِاٰلِهَتِنَا/بِـَٔالِهَتِنَا/bialihatina//یٰۤاِبْرٰهِیْمُؕ/يَـٰٓإِبۡرَٰهِيمُ/yaib'rahimu",
              "words_bangla": "তারা বললো//\"কি তুমি//করেছো//এটা//সাথে আমাদের ইলাহগুলোর//হে ইবরাহীম\""
            },
            {
              "number": 2546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2546.mp3"
              ],
              "text": "قَالَ بَلْ فَعَلَهُۥ كَبِيرُهُمْ هَٰذَا فَسْـَٔلُوهُمْ إِن كَانُوا۟ يَنطِقُونَ",
              "translate_bn": "তিনি বললেনঃ না এদের এই প্রধানই তো একাজ করেছে। অতএব তাদেরকে জিজ্ঞেস কর, যদি তারা কথা বলতে পারে।",
              "numberInSurah": 63,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লা বাল ফা‘আলাহূ কাবীরুহুম হা-যা-ফাছআলূহুম ইন কা-নূইয়ানতিকূন।",
              "words_arabic": "قَالَ/قَالَ/qala//بَلْ/بَلۡ/bal//فَعَلَهٗ ۖۗ/فَعَلَهُۥ/fa'alahu//كَبِیْرُهُمْ/كَبِيرُهُمۡ/kabiruhum//هٰذَا/هَٰذَا/hadha//فَسْـَٔلُوْهُمْ/فَسۡـَٔلُوهُمۡ/fasaluhum//اِنْ/إِن/in//كَانُوْا/كَانُواْ/kanu//یَنْطِقُوْنَ /يَنطِقُونَ/yantiquna",
              "words_bangla": "সে বললো//\"বরং//তা করেছে//প্রধান তাদের//এটা//তবে তাদেরকে জিজ্ঞেস করো//যদি//তারা ছিলো//কথা বলতে পারে\""
            },
            {
              "number": 2547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2547.mp3"
              ],
              "text": "فَرَجَعُوٓا۟ إِلَىٰٓ أَنفُسِهِمْ فَقَالُوٓا۟ إِنَّكُمْ أَنتُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "অতঃপর মনে মনে চিন্তা করল এবং বললঃ লোক সকল; তোমরাই বে ইনসাফ।",
              "numberInSurah": 64,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ফারাজা‘উইলাআনফুছিহিম ফাকা-লূইন্নাকুম আনতুমুজ্জা-লিমূন।",
              "words_arabic": "فَرَجَعُوْۤا/فَرَجَعُوٓاْ/faraja'u//اِلٰۤی/إِلَىٰٓ/ila//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اِنَّكُمْ/إِنَّكُمۡ/innakum//اَنْتُمُ/أَنتُمُ/antumu//الظّٰلِمُوْنَۙ/ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "তখন তারা ফিরে এলো//প্রতি//তাদের মনের//অতঃপর তারা বললো//\"তোমরা নিশ্চয়ই//তোমরাই//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 2548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2548.mp3"
              ],
              "text": "ثُمَّ نُكِسُوا۟ عَلَىٰ رُءُوسِهِمْ لَقَدْ عَلِمْتَ مَا هَٰٓؤُلَآءِ يَنطِقُونَ",
              "translate_bn": "অতঃপর তারা ঝুঁকে গেল মস্তক নত করে, তুমি তো জান যে, এরা কথা বলে না",
              "numberInSurah": 65,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা নুকিছূ‘আলা-রুঊছিহিম লাকাদ ‘আলিমতা মা-হাউলাই ইয়ানতিকূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//نُكِسُوْا/نُكِسُواْ/nukisu//عَلٰی/عَلَىٰ/ala//رُءُوْسِهِمْ ۚ/رُءُوسِهِمۡ/ruusihim//لَقَدْ/لَقَدۡ/laqad//عَلِمْتَ/عَلِمۡتَ/alim'ta//مَا/مَا/ma//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//یَنْطِقُوْنَ /يَنطِقُونَ/yantiquna",
              "words_bangla": "এরপর//অবনত হয়ে গেলো//ওপর//তাদের মস্তকগুলোর//\"(এবং বলল) নিশ্চয়ই//তুমি জেনেছো//না//এরা সব//কথা বলতে পারে\""
            },
            {
              "number": 2549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2549.mp3"
              ],
              "text": "قَالَ أَفَتَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُكُمْ شَيْـًۭٔا وَلَا يَضُرُّكُمْ",
              "translate_bn": "তিনি বললেনঃ তোমরা কি আল্লাহর পরিবর্তে এমন কিছুর এবাদত কর, যা তোমাদের কোন উপকার ও করতে পারে না এবং ক্ষতিও করতে পারে না ?",
              "numberInSurah": 66,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লা আফাতা‘বুদূনা মিন দূনিল্লা-হি মা-লা-ইয়ানফা‘উকুম শাইআওঁ ওয়ালা-ইয়াদু ররুকুম।",
              "words_arabic": "قَالَ/قَالَ/qala//اَفَتَعْبُدُوْنَ/أَفَتَعۡبُدُونَ/afata'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَنْفَعُكُمْ/يَنفَعُكُمۡ/yanfa'ukum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَضُرُّكُمْؕ/يَضُرُّكُمۡ/yadurrukum",
              "words_bangla": "সে বললো//\"কি তবুও তোমরা ইবাদাত করবে//থেকে//ছাড়া//আল্লাহ//যা//না//তোমাদের উপকার করতে পারে//কিছুমাত্র//আর না//তোমাদের ক্ষতি করতে পারে"
            },
            {
              "number": 2550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2550.mp3"
              ],
              "text": "أُفٍّۢ لَّكُمْ وَلِمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ ۖ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "ধিক তোমাদের জন্যে এবং তোমরা আল্লাহ ব্যতীত যাদেরই এবাদত কর, ওদের জন্যে। তোমরা কি বোঝ না?",
              "numberInSurah": 67,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "উফফিল্লাকুম ওয়া লিমা-তা‘বুদূ না মিন দূ নিল্লা-হি আফালা-তা‘কিলূন।",
              "words_arabic": "اُفٍّ/أُفّٖ/uffin//لَّكُمْ/لَّكُمۡ/lakum//وَ لِمَا/وَلِمَا/walima//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "ধিক//জন্যে তোমাদের//এবং (তাদের) জন্যেও যাদের//তোমরা উপাসনা করো//থেকে//ছাড়া//আল্লাহ//কি তবুও না//তোমরা বুঝবে\""
            },
            {
              "number": 2551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2551.mp3"
              ],
              "text": "قَالُوا۟ حَرِّقُوهُ وَٱنصُرُوٓا۟ ءَالِهَتَكُمْ إِن كُنتُمْ فَٰعِلِينَ",
              "translate_bn": "তারা বললঃ একে পুড়িয়ে দাও এবং তোমাদের উপাস্যদের সাহায্য কর, যদি তোমরা কিছু করতে চাও।",
              "numberInSurah": 68,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কা-লূহাররিকূহু ওয়ানসুরূআ-লিহাতাকুম ইন কুনতুম ফা-‘ইলীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//حَرِّقُوْهُ/حَرِّقُوهُ/harriquhu//وَ انْصُرُوْۤا/وَٱنصُرُوٓاْ/wa-unsuru//اٰلِهَتَكُمْ/ءَالِهَتَكُمۡ/alihatakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//فٰعِلِیْنَ /فَٰعِلِينَ/fa'ilina",
              "words_bangla": "তারা বললো//\"তাকে পুড়িয়ে ফেলো//এবং তোমরা সাহায্য করো//তোমাদের দেবতাগুলোকে//যদি//তোমরা ছিলে//করতে পারো\""
            },
            {
              "number": 2552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2552.mp3"
              ],
              "text": "قُلْنَا يَٰنَارُ كُونِى بَرْدًۭا وَسَلَٰمًا عَلَىٰٓ إِبْرَٰهِيمَ",
              "translate_bn": "আমি বললামঃ হে অগ্নি, তুমি ইব্রাহীমের উপর শীতল ও নিরাপদ হয়ে যাও।",
              "numberInSurah": 69,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "কুলনা-ইয়া-না-রু কূনী বারদাওঁ ওয়া ছালা-মান ‘আলাইবরা-হীম।",
              "words_arabic": "قُلْنَا/قُلۡنَا/qul'na//یٰنَارُ/يَٰنَارُ/yanaru//كُوْنِیْ/كُونِي/kuni//بَرْدًا/بَرۡدٗا/bardan//وَّ سَلٰمًا/وَسَلَٰمًا/wasalaman//عَلٰۤی/عَلَىٰٓ/ala//اِبْرٰهِیْمَۙ/إِبۡرَٰهِيمَ/ib'rahima",
              "words_bangla": "আমরা বললাম//\"হে আগুন//হয়ে যাও//শীতল//ও নিরাপদ//জন্যে//ইবরাহীমের\""
            },
            {
              "number": 2553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2553.mp3"
              ],
              "text": "وَأَرَادُوا۟ بِهِۦ كَيْدًۭا فَجَعَلْنَٰهُمُ ٱلْأَخْسَرِينَ",
              "translate_bn": "তারা ইব্রাহীমের বিরুদ্ধে ফন্দি আঁটতে চাইল, অতঃপর আমি তাদেরকেই সর্বাধিক ক্ষতিগ্রস্থ করে দিলাম।",
              "numberInSurah": 70,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া আরা-দূবিহী কাইদান ফাজা‘আলনা-হুমুল আখছারীন।",
              "words_arabic": "وَ اَرَادُوْا/وَأَرَادُواْ/wa-aradu//بِهٖ/بِهِۦ/bihi//كَیْدًا/كَيۡدٗا/kaydan//فَجَعَلْنٰهُمُ/فَجَعَلۡنَٰهُمُ/faja'alnahumu//الْاَخْسَرِیْنَۚ/ٱلۡأَخۡسَرِينَ/al-akhsarina",
              "words_bangla": "এবং তারা চেয়েছিলো//সাথে তার//এক ফন্দি আঁটতে//কিন্তু তাদেরকে আমরা করে দিয়েছিলাম//সর্বাধিক ক্ষতিগ্রস্ত"
            },
            {
              "number": 2554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2554.mp3"
              ],
              "text": "وَنَجَّيْنَٰهُ وَلُوطًا إِلَى ٱلْأَرْضِ ٱلَّتِى بَٰرَكْنَا فِيهَا لِلْعَٰلَمِينَ",
              "translate_bn": "আমি তাঁকে ও লূতকে উদ্ধার করে সেই দেশে পৌঁছিয়ে দিলাম, যেখানে আমি বিশ্বের জন্যে কল্যাণ রেখেছি।",
              "numberInSurah": 71,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাজ্জাইনা-হু ওয়া লূতান ইলাল আরদিল্লাতী বা-রাকনা-ফীহা-লিল‘আ-লামীন।",
              "words_arabic": "وَ نَجَّیْنٰهُ/وَنَجَّيۡنَٰهُ/wanajjaynahu//وَ لُوْطًا/وَلُوطًا/walutan//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//الَّتِیْ/ٱلَّتِي/allati//بٰرَكْنَا/بَٰرَكۡنَا/barakna//فِیْهَا/فِيهَا/fiha//لِلْعٰلَمِیْنَ /لِلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এবং তাকে আমরা উদ্ধার করলাম//ও লূতকে//দিকে//(সেই) দেশের//যা//আমরা কল্যাণ দিয়েছি//তার মধ্যে//জন্যে বিশ্ববাসীর"
            },
            {
              "number": 2555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2555.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُۥٓ إِسْحَٰقَ وَيَعْقُوبَ نَافِلَةًۭ ۖ وَكُلًّۭا جَعَلْنَا صَٰلِحِينَ",
              "translate_bn": "আমি তাকে দান করলাম ইসহাক ও পুরস্কার স্বরূপ দিলাম ইয়াকুব এবং প্রত্যেককেই সৎকর্ম পরায়ণ করলাম।",
              "numberInSurah": 72,
              "juz": 17,
              "manzil": 4,
              "page": 327,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লাহূইছহা-কা ওয়া ইয়া‘কূবা নাফিলাতাও ওয়া কুল্লান জা‘আলনা-সা-লিহীন ।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗۤ/لَهُۥٓ/lahu//اِسْحٰقَ ؕ/إِسۡحَٰقَ/is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//نَافِلَةً ؕ/نَافِلَةٗۖ/nafilatan//وَ كُلًّا/وَكُلّٗا/wakullan//جَعَلْنَا/جَعَلۡنَا/ja'alna//صٰلِحِیْنَ /صَٰلِحِينَ/salihina",
              "words_bangla": "এবং আমরা দিয়েছি//তার জন্যে//ইসহাক (পুত্ররূপে)//ও ইয়াকুব (পৌত্ররূপে)//অতিরিক্ত হিসেবে//এবং প্রত্যেককে//আমরা বানিয়েছে//সৎকর্মপরায়ণ"
            },
            {
              "number": 2556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2556.mp3"
              ],
              "text": "وَجَعَلْنَٰهُمْ أَئِمَّةًۭ يَهْدُونَ بِأَمْرِنَا وَأَوْحَيْنَآ إِلَيْهِمْ فِعْلَ ٱلْخَيْرَٰتِ وَإِقَامَ ٱلصَّلَوٰةِ وَإِيتَآءَ ٱلزَّكَوٰةِ ۖ وَكَانُوا۟ لَنَا عَٰبِدِينَ",
              "translate_bn": "আমি তাঁদেরকে নেতা করলাম। তাঁরা আমার নির্দেশ অনুসারে পথ প্রদর্শন করতেন। আমি তাঁদের প্রতি ওহী নাযিল করলাম সৎকর্ম করার, নামায কায়েম করার এবং যাকাত দান করার। তাঁরা আমার এবাদতে ব্যাপৃত ছিল।",
              "numberInSurah": 73,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআলনা-হুম আইম্মাতাইঁ ইয়াহদূ না বিআমরিনা-ওয়াআওহাইনাইলাইহিম ফি‘লাল খাইরা-তি ওয়া ইকা-মাসসালা-তি ওয়া ঈতাআঝঝাকা-তি ওয়া কা-নূলানা-‘আবিদীন ।",
              "words_arabic": "وَ جَعَلْنٰهُمْ/وَجَعَلۡنَٰهُمۡ/waja'alnahum//اَىِٕمَّةً/أَئِمَّةٗ/a-immatan//یَّهْدُوْنَ/يَهۡدُونَ/yahduna//بِاَمْرِنَا/بِأَمۡرِنَا/bi-amrina//وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//فِعْلَ/فِعۡلَ/fi'la//الْخَیْرٰتِ/ٱلۡخَيۡرَٰتِ/al-khayrati//وَ اِقَامَ/وَإِقَامَ/wa-iqama//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//وَ اِیْتَآءَ/وَإِيتَآءَ/waitaa//الزَّكٰوةِ ۚ/ٱلزَّكَوٰةِۖ/al-zakati//وَ كَانُوْا/وَكَانُواْ/wakanu//لَنَا/لَنَا/lana//عٰبِدِیْنَۚۙ/عَٰبِدِينَ/abidina",
              "words_bangla": "এবং তাদেরকে আমরা বানিয়েছিলাম//নেতৃবৃন্দ//তারা পথপ্রদর্শন করতো//আমাদের নির্দেশ অনুসারে//এবং আমরা ওহী করেছিলাম//তাদের প্রতি//কাজ করতে//ভালো ভালো//ও প্রতিষ্ঠা করতে//সালাত//ও প্রদান করতো//জাকাত//এবং তারা ছিলো//জন্যে আমাদের//ইবাদাতকারী"
            },
            {
              "number": 2557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2557.mp3"
              ],
              "text": "وَلُوطًا ءَاتَيْنَٰهُ حُكْمًۭا وَعِلْمًۭا وَنَجَّيْنَٰهُ مِنَ ٱلْقَرْيَةِ ٱلَّتِى كَانَت تَّعْمَلُ ٱلْخَبَٰٓئِثَ ۗ إِنَّهُمْ كَانُوا۟ قَوْمَ سَوْءٍۢ فَٰسِقِينَ",
              "translate_bn": "এবং আমি লূতকে দিয়েছিলাম প্রজ্ঞা ও জ্ঞান এবং তাঁকে ঐ জনপদ থেকে উদ্ধার করেছিলাম, যারা নোংরা কাজে লিপ্ত ছিল। তারা মন্দ ও নাফরমান সম্প্রদায় ছিল।",
              "numberInSurah": 74,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া লূতান আ-তাইনা-হু হুকমাওঁ ওয়া ‘ইল মাওঁ ওয়া নাজ্জাইনা-হু মিনাল কারয়াতিল্লাতী কা-নাত তা‘মালুল খাবাইছা ইন্নাহুম কা-নূকাওমা ছাওইন ফা-ছিকীন।",
              "words_arabic": "وَ لُوْطًا/وَلُوطًا/walutan//اٰتَیْنٰهُ/ءَاتَيۡنَٰهُ/ataynahu//حُكْمًا/حُكۡمٗا/huk'man//وَّ عِلْمًا/وَعِلۡمٗا/wa'il'man//وَّ نَجَّیْنٰهُ/وَنَجَّيۡنَٰهُ/wanajjaynahu//مِنَ/مِنَ/mina//الْقَرْیَةِ/ٱلۡقَرۡيَةِ/al-qaryati//الَّتِیْ/ٱلَّتِي/allati//كَانَتْ/كَانَت/kanat//تَّعْمَلُ/تَّعۡمَلُ/ta'malu//الْخَبٰٓىِٕثَ ؕ/ٱلۡخَبَـٰٓئِثَۚ/al-khabaitha//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمَ/قَوۡمَ/qawma//سَوْءٍ/سَوۡءٖ/sawin//فٰسِقِیْنَۙ/فَٰسِقِينَ/fasiqina",
              "words_bangla": "এবং লূতকে//তাকে আমরা দিয়েছিলাম//প্রজ্ঞা//ও জ্ঞান//এবং তাকে আমরা উদ্ধার করেছিলাম//থেকে//জনপদ//যা//ছিলো//করতে//অশ্লীল কর্মসমূহে//নিশ্চয়ই তারা//ছিলো//জাতি//খারাপ//সত্যত্যাগী"
            },
            {
              "number": 2558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2558.mp3"
              ],
              "text": "وَأَدْخَلْنَٰهُ فِى رَحْمَتِنَآ ۖ إِنَّهُۥ مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তাকে আমার অনুগ্রহের অন্তর্ভুক্ত করেছিলাম। সে ছিল সৎকর্মশীলদের একজন।",
              "numberInSurah": 75,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 282,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া আদখাল না-হু ফী রাহমাতিনা- ইন্নাহূমিনাসসা-লিহীন।",
              "words_arabic": "وَ اَدْخَلْنٰهُ/وَأَدۡخَلۡنَٰهُ/wa-adkhalnahu//فِیْ/فِي/fi//رَحْمَتِنَا ؕ/رَحۡمَتِنَآۖ/rahmatina//اِنَّهٗ/إِنَّهُۥ/innahu//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ۠/ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং তাকে আমরা প্রবেশ করিয়েছিলাম//মধ্যে//আমাদের অনুগ্রহের//নিশ্চয়ই সে (ছিলো)//অন্যতম//সৎকর্মশীলদের"
            },
            {
              "number": 2559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2559.mp3"
              ],
              "text": "وَنُوحًا إِذْ نَادَىٰ مِن قَبْلُ فَٱسْتَجَبْنَا لَهُۥ فَنَجَّيْنَٰهُ وَأَهْلَهُۥ مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ",
              "translate_bn": "এবং স্মরণ করুন নূহকে; যখন তিনি এর পূর্বে আহবান করেছিলেন। তখন আমি তাঁর দোয়া কবুল করেছিলাম, অতঃপর তাঁকে ও তাঁর পরিবারবর্গকে মহা সংকট থেকে উদ্ধার করেছিলাম।",
              "numberInSurah": 76,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া নূহান ইযনা-দা-মিন কাবলুফাছতাজাবনা-লাহূফানাজ্জাইনা-হুওয়াআহলাহূমিনাল কারবিল ‘আজীম।",
              "words_arabic": "وَ نُوْحًا/وَنُوحًا/wanuhan//اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//فَاسْتَجَبْنَا/فَٱسۡتَجَبۡنَا/fa-is'tajabna//لَهٗ/لَهُۥ/lahu//فَنَجَّیْنٰهُ/فَنَجَّيۡنَٰهُ/fanajjaynahu//وَ اَهْلَهٗ/وَأَهۡلَهُۥ/wa-ahlahu//مِنَ/مِنَ/mina//الْكَرْبِ/ٱلۡكَرۡبِ/al-karbi//الْعَظِیْمِۚ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "এবং নূহকে (স্মরণ করো)//যখন//সে ডেকেছিলো//থেকে//ইতিপূর্ব//তখন আমরা সাড়া দিয়েছিলাম//তার ডাকে//অতঃপর তাকে আমরা উদ্ধার করেছিলাম//ও তার পরিবারকে//হ'তে//সংকট//মহা"
            },
            {
              "number": 2560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2560.mp3"
              ],
              "text": "وَنَصَرْنَٰهُ مِنَ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَآ ۚ إِنَّهُمْ كَانُوا۟ قَوْمَ سَوْءٍۢ فَأَغْرَقْنَٰهُمْ أَجْمَعِينَ",
              "translate_bn": "এবং আমি তাঁকে ঐ সম্প্রদায়ের বিপক্ষে সাহায্য করেছিলাম, যারা আমার নিদর্শনাবলীকে অস্বীকার করেছিল। নিশ্চয়, তারা ছিল এক মন্দ সম্প্রদায়। অতঃপর আমি তাদের সবাইকে নিমজ্জত করেছিলাম।",
              "numberInSurah": 77,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাসারনা-হু মিনাল কাওমিল্লাযীনা কাযযাবূবিআ-য়া-তিনা- ইন্নাহুম কা-নূ কাওমা ছাওইন ফাআগরাকনা-হুম আজমা‘ঈন।",
              "words_arabic": "وَ نَصَرْنٰهُ/وَنَصَرۡنَٰهُ/wanasarnahu//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ؕ/بِـَٔايَٰتِنَآۚ/biayatina//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمَ/قَوۡمَ/qawma//سَوْءٍ/سَوۡءٖ/sawin//فَاَغْرَقْنٰهُمْ/فَأَغۡرَقۡنَٰهُمۡ/fa-aghraqnahum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "এবং তাকে আমরা সাহায্য করেছিলাম//বিরুদ্ধে//(এমন) লোকদের//যারা//মিথ্যারোপ করেছিলো//আমাদের নিদর্শনাবলীকে//নিশ্চয়ই তারা//ছিলো//লোক//খারাপ//সুতরাং তাদের আমরা ডুবিয়ে দিই//সকলকেই"
            },
            {
              "number": 2561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2561.mp3"
              ],
              "text": "وَدَاوُۥدَ وَسُلَيْمَٰنَ إِذْ يَحْكُمَانِ فِى ٱلْحَرْثِ إِذْ نَفَشَتْ فِيهِ غَنَمُ ٱلْقَوْمِ وَكُنَّا لِحُكْمِهِمْ شَٰهِدِينَ",
              "translate_bn": "এবং স্মরণ করুন দাউদ ও সুলায়মানকে, যখন তাঁরা শস্যক্ষেত্র সম্পর্কে বিচার করেছিলেন। তাতে রাত্রিকালে কিছু লোকের মেষ ঢুকে পড়েছিল। তাদের বিচার আমার সম্মুখে ছিল।",
              "numberInSurah": 78,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া দাঊদা ওয়া ছুলাইমা-না ইযইয়াহকুমা-নি ফিল হারছি ইযনাফাশাত ফীহি গানামুল কাওমি ওয়াকুন্না-লিহুকমিহিম শা-হিদীন।",
              "words_arabic": "وَ دَاوٗدَ/وَدَاوُۥدَ/wadawuda//وَ سُلَیْمٰنَ/وَسُلَيۡمَٰنَ/wasulaymana//اِذْ/إِذۡ/idh//یَحْكُمٰنِ/يَحۡكُمَانِ/yahkumani//فِی/فِي/fi//الْحَرْثِ/ٱلۡحَرۡثِ/al-harthi//اِذْ/إِذۡ/idh//نَفَشَتْ/نَفَشَتۡ/nafashat//فِیْهِ/فِيهِ/fihi//غَنَمُ/غَنَمُ/ghanamu//الْقَوْمِ ۚ/ٱلۡقَوۡمِ/al-qawmi//وَ كُنَّا/وَكُنَّا/wakunna//لِحُكْمِهِمْ/لِحُكۡمِهِمۡ/lihuk'mihim//شٰهِدِیْنَۗۙ/شَٰهِدِينَ/shahidina",
              "words_bangla": "এবং (স্মরণ করো) দাঊদকে//ও সুলাইমানকে//যখন//উভয়ে বিচার করেছিলো//সম্পর্কে//এক ক্ষেত//যখন//রাতে ছড়িয়ে পড়েছিলো//তার মধ্যে//মেষ//কিছু লোকের//এবং আমরা ছিলাম//জন্যে তাদের বিচারের//পর্যবেক্ষক"
            },
            {
              "number": 2562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2562.mp3"
              ],
              "text": "فَفَهَّمْنَٰهَا سُلَيْمَٰنَ ۚ وَكُلًّا ءَاتَيْنَا حُكْمًۭا وَعِلْمًۭا ۚ وَسَخَّرْنَا مَعَ دَاوُۥدَ ٱلْجِبَالَ يُسَبِّحْنَ وَٱلطَّيْرَ ۚ وَكُنَّا فَٰعِلِينَ",
              "translate_bn": "অতঃপর আমি সুলায়মানকে সে ফায়সালা বুঝিয়ে দিয়েছিলাম এবং আমি উভয়কে প্রজ্ঞা ও জ্ঞান দিয়েছিলাম। আমি পর্বত ও পক্ষীসমূহকে দাউদের অনুগত করে দিয়েছিলাম; তারা আমার পবিত্রতা ও মহিমা ঘোষণা করত। এই সমস্ত আমিই করেছিলাম।",
              "numberInSurah": 79,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ফাফাহহামনা-হা-ছুলাইমা-না ওয়া কুল্লান আ-তাইনা-হুকমাও ওয়া ‘ইলমাওঁ ওয়া ছাখখারনা-মা‘আ দা-ঊদাল জিবা-লা ইউছাব্বিহনা ওয়াততাইরা ওয়া কুন্না-ফা‘ইলীন ।",
              "words_arabic": "فَفَهَّمْنٰهَا/فَفَهَّمۡنَٰهَا/fafahhamnaha//سُلَیْمٰنَ ۚ/سُلَيۡمَٰنَۚ/sulaymana//وَ كُلًّا/وَكُلًّا/wakullan//اٰتَیْنَا/ءَاتَيۡنَا/atayna//حُكْمًا/حُكۡمٗا/huk'man//وَّ عِلْمًا ؗ/وَعِلۡمٗاۚ/wa'il'man//وَّ سَخَّرْنَا/وَسَخَّرۡنَا/wasakharna//مَعَ/مَعَ/ma'a//دَاوٗدَ/دَاوُۥدَ/dawuda//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//یُسَبِّحْنَ/يُسَبِّحۡنَ/yusabbih'na//وَ الطَّیْرَ ؕ/وَٱلطَّيۡرَۚ/wal-tayra//وَ كُنَّا/وَكُنَّا/wakunna//فٰعِلِیْنَ /فَٰعِلِينَ/fa'ilina",
              "words_bangla": "অতঃপর তা আমরা বুঝিয়ে দিই//সুলাইমানকে//অথচ প্রত্যেককেই//আমরা দিয়েছি//প্রজ্ঞা//ও জ্ঞান//এবং আমরা নিয়ন্ত্রিত করে দিয়েছিলাম//সাথে//দাঊদের//পাহাড়গুলোকে//তারা পবিত্রতা ঘোষণা করতো//এবং পাখিদেরকেও (নিয়ন্ত্রিত করেছিলাম)//এবং আমরা ছিলাম//(এসবের) সম্পাদনকারী"
            },
            {
              "number": 2563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2563.mp3"
              ],
              "text": "وَعَلَّمْنَٰهُ صَنْعَةَ لَبُوسٍۢ لَّكُمْ لِتُحْصِنَكُم مِّنۢ بَأْسِكُمْ ۖ فَهَلْ أَنتُمْ شَٰكِرُونَ",
              "translate_bn": "আমি তাঁকে তোমাদের জন্যে বর্ম নির্মান শিক্ষা দিয়েছিলাম, যাতে তা যুদ্ধে তোমাদেরকে রক্ষা করে। অতএব তোমরা কি কৃতজ্ঞ হবে?",
              "numberInSurah": 80,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আল্লামনা-হু সান‘আতা লাবূছিল লাকুম লিতুহছিনাকুম মিম বা’ছিকুম ফাহাল আনতুম শা-কিরূন।",
              "words_arabic": "وَ عَلَّمْنٰهُ/وَعَلَّمۡنَٰهُ/wa'allamnahu//صَنْعَةَ/صَنۡعَةَ/san'ata//لَبُوْسٍ/لَبُوسٖ/labusin//لَّكُمْ/لَّكُمۡ/lakum//لِتُحْصِنَكُمْ/لِتُحۡصِنَكُم/lituh'sinakum//مِّنْۢ/مِّنۢ/min//بَاْسِكُمْ ۚ/بَأۡسِكُمۡۖ/basikum//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُمۡ/antum//شٰكِرُوْنَ /شَٰكِرُونَ/shakiruna",
              "words_bangla": "এবং তাকে আমরা শিখিয়েছিলাম//শিল্প//বর্ম (নির্মাণ)//জন্যে তোমাদের//যেন তোমাদের রক্ষা করতে পারে//হ'তে//তোমাদের যুদ্ধের (আঘাত)//তবুও কি//তোমরা (না)//কৃতজ্ঞ হবে"
            },
            {
              "number": 2564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2564.mp3"
              ],
              "text": "وَلِسُلَيْمَٰنَ ٱلرِّيحَ عَاصِفَةًۭ تَجْرِى بِأَمْرِهِۦٓ إِلَى ٱلْأَرْضِ ٱلَّتِى بَٰرَكْنَا فِيهَا ۚ وَكُنَّا بِكُلِّ شَىْءٍ عَٰلِمِينَ",
              "translate_bn": "এবং সুলায়মানের অধীন করে দিয়েছিলাম প্রবল বায়ুকে; তা তাঁর আদেশে প্রবাহিত হত ঐ দেশের দিকে, যেখানে আমি কল্যাণ দান করেছি। আমি সব বিষয়েই সম্যক অবগত রয়েছি।",
              "numberInSurah": 81,
              "juz": 17,
              "manzil": 4,
              "page": 328,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিছুলাইমা-নাররীহা ‘আ-সিফাতান তাজরী বিআমরিহীইলাল আরদিল্লাতী বা-রাকনাফীহা- ওয়াকুন্না-বিকুল্লি শাইয়িন ‘আ-লিমীন।",
              "words_arabic": "وَ لِسُلَیْمٰنَ/وَلِسُلَيۡمَٰنَ/walisulaymana//الرِّیْحَ/ٱلرِّيحَ/al-riha//عَاصِفَةً/عَاصِفَةٗ/asifatan//تَجْرِیْ/تَجۡرِي/tajri//بِاَمْرِهٖۤ/بِأَمۡرِهِۦٓ/bi-amrihi//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//الَّتِیْ/ٱلَّتِي/allati//بٰرَكْنَا/بَٰرَكۡنَا/barakna//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ كُنَّا/وَكُنَّا/wakunna//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عٰلِمِیْنَ /عَٰلِمِينَ/alimina",
              "words_bangla": "এবং জন্যে সুলাইমানের//বায়ুকে (নিয়ন্ত্রিত করেছিলাম)//(যা ছিলো) তীব্র//প্রবাহিত হতো//তার নির্দেশ অনুসারে//দিকে//(সেই) দেশের//যা (ছিলো এমন)//আমরা কল্যাণ দিয়েছি//তার মধ্যে//এবং আমরা হলাম//সম্পর্কে সব//বিষয়//খুব অবহিত"
            },
            {
              "number": 2565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2565.mp3"
              ],
              "text": "وَمِنَ ٱلشَّيَٰطِينِ مَن يَغُوصُونَ لَهُۥ وَيَعْمَلُونَ عَمَلًۭا دُونَ ذَٰلِكَ ۖ وَكُنَّا لَهُمْ حَٰفِظِينَ",
              "translate_bn": "এবং অধীন করেছি শয়তানদের কতককে, যারা তার জন্যে ডুবুরীর কাজ করত এবং এ ছাড়া অন্য আরও অনেক কাজ করত। আমি তাদেরকে নিয়ন্ত্রন করে রাখতাম।",
              "numberInSurah": 82,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 131,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাশশাইয়া-তীনি মাইঁ ইয়াগূছূনা লাহূওয়া ইয়া‘মালূনা ‘আমালান দূ না যা-লিকা ওয়া কুন্না-লাহুম হাফিজীন ।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الشَّیٰطِیْنِ/ٱلشَّيَٰطِينِ/al-shayatini//مَنْ/مَن/man//یَّغُوْصُوْنَ/يَغُوصُونَ/yaghusuna//لَهٗ/لَهُۥ/lahu//وَ یَعْمَلُوْنَ/وَيَعۡمَلُونَ/waya'maluna//عَمَلًا/عَمَلٗا/amalan//دُوْنَ/دُونَ/duna//ذٰلِكَ ۚ/ذَٰلِكَۖ/dhalika//وَ كُنَّا/وَكُنَّا/wakunna//لَهُمْ/لَهُمۡ/lahum//حٰفِظِیْنَۙ/حَٰفِظِينَ/hafizina",
              "words_bangla": "এবং মধ্য হ'তে//(জ্বিন) শয়তানদের//যারা//ডুবুরির কাজ করতো//জন্যে তার//ও তারা করতো//কাজ//ছাড়াও//এটা//আমরা ছিলাম//উপর তাদের//সংরক্ষণকারী"
            },
            {
              "number": 2566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2566.mp3"
              ],
              "text": "۞ وَأَيُّوبَ إِذْ نَادَىٰ رَبَّهُۥٓ أَنِّى مَسَّنِىَ ٱلضُّرُّ وَأَنتَ أَرْحَمُ ٱلرَّٰحِمِينَ",
              "translate_bn": "এবং স্মরণ করুন আইয়্যুবের কথা, যখন তিনি তাঁর পালনকর্তাকে আহবান করে বলেছিলেনঃ আমি দুঃখকষ্টে পতিত হয়েছি এবং আপনি দয়াবানদের চাইতেও সর্বশ্রেষ্ট দয়াবান।",
              "numberInSurah": 83,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া আইঁয়ুবা ইযনা-দা-রাব্বাহূআন্নী মাছছানিয়াদদু ররু ওয়া আনতা আরহামুররা-হিমীন ।",
              "words_arabic": "وَ اَیُّوْبَ/۞وَأَيُّوبَ/wa-ayyuba//اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//رَبَّهٗۤ/رَبَّهُۥٓ/rabbahu//اَنِّیْ/أَنِّي/anni//مَسَّنِیَ/مَسَّنِيَ/massaniya//الضُّرُّ/ٱلضُّرُّ/al-duru//وَ اَنْتَ/وَأَنتَ/wa-anta//اَرْحَمُ/أَرۡحَمُ/arhamu//الرّٰحِمِیْنَۚۖ/ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "এবং আইয়ূবকে (স্মরণ করো)//যখন//সে ডেকেছিলো//তার রবকে//\"নিশ্চয়ই আমি//ধরেছে আমাকে//দুঃখ কষ্টে (অসুখে)//আর তুমি//সর্বশ্রেষ্ঠ দয়ালু//সব দয়ালুদের\""
            },
            {
              "number": 2567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2567.mp3"
              ],
              "text": "فَٱسْتَجَبْنَا لَهُۥ فَكَشَفْنَا مَا بِهِۦ مِن ضُرٍّۢ ۖ وَءَاتَيْنَٰهُ أَهْلَهُۥ وَمِثْلَهُم مَّعَهُمْ رَحْمَةًۭ مِّنْ عِندِنَا وَذِكْرَىٰ لِلْعَٰبِدِينَ",
              "translate_bn": "অতঃপর আমি তাঁর আহবানে সাড়া দিলাম এবং তাঁর দুঃখকষ্ট দূর করে দিলাম এবং তাঁর পরিবরাবর্গ ফিরিয়ে দিলাম, আর তাদের সাথে তাদের সমপরিমাণ আরও দিলাম আমার পক্ষ থেকে কৃপাবশতঃ আর এটা এবাদত কারীদের জন্যে উপদেশ স্বরূপ।",
              "numberInSurah": 84,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ফাছতাজাবনা- লাহূফাকাশাফনা-মা-বিহী মিন দু ররিওঁ ওয়া আ-তাইনা-হু আহলাহূওয়া মিছলাহুম মা‘আহুম রাহমাতাম মিন ‘ইনদিনা-ওয়া যিকরা-লিল‘আ-বিদীন।",
              "words_arabic": "فَاسْتَجَبْنَا/فَٱسۡتَجَبۡنَا/fa-is'tajabna//لَهٗ/لَهُۥ/lahu//فَكَشَفْنَا/فَكَشَفۡنَا/fakashafna//مَا/مَا/ma//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//ضُرٍّ/ضُرّٖۖ/durrin//وَّ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//اَهْلَهٗ/أَهۡلَهُۥ/ahlahu//وَ مِثْلَهُمْ/وَمِثۡلَهُم/wamith'lahum//مَّعَهُمْ/مَّعَهُمۡ/ma'ahum//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّنۡ/min//عِنْدِنَا/عِندِنَا/indina//وَ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِلْعٰبِدِیْنَ /لِلۡعَٰبِدِينَ/lil'abidina",
              "words_bangla": "তখন আমরা সাড়া দিলাম//তার ডাকে//অতঃপর আমরা দূর করে দিলাম//যা//তার সাথে (হয়েছিলো)//থেকে//দুঃখ কষ্ট//ও তাকে আমরা ফেরত দিলাম//তার পরিবারকে//এবং তাদের অনুরূপ//তাদের সাথে//অনুগ্রহ হিসেবে//হ'তে//আমাদের পক্ষ//এবং উপদেশস্বরূপ//ইবাদাতকারীদের জন্যে"
            },
            {
              "number": 2568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2568.mp3"
              ],
              "text": "وَإِسْمَٰعِيلَ وَإِدْرِيسَ وَذَا ٱلْكِفْلِ ۖ كُلٌّۭ مِّنَ ٱلصَّٰبِرِينَ",
              "translate_bn": "এবং ইসমাঈল, ই’দ্রীস ও যুলকিফলের কথা স্মরণ করুন, তাঁরা প্রত্যেকেই ছিলেন সবরকারী।",
              "numberInSurah": 85,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইছমা-‘ঈলা ওয়া ইদরীছা ওয়া যাল কিফলি কুল্লুম মিনাসসা-বিরীন।",
              "words_arabic": "وَ اِسْمٰعِیْلَ/وَإِسۡمَٰعِيلَ/wa-is'ma'ila//وَ اِدْرِیْسَ/وَإِدۡرِيسَ/wa-id'risa//وَ ذَا/وَذَا/wadha//الْكِفْلِ ؕ/ٱلۡكِفۡلِۖ/al-kif'li//كُلٌّ/كُلّٞ/kullun//مِّنَ/مِّنَ/mina//الصّٰبِرِیْنَۚۖ/ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "এবং (স্মরণ করো) ইসমাইলকে//ও ইদরীসকে//ও//যুলকিফ্‌লকে//প্রত্যেকে (ছিলো)//অন্তর্ভুক্ত//ধৈর্যশীলদের"
            },
            {
              "number": 2569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2569.mp3"
              ],
              "text": "وَأَدْخَلْنَٰهُمْ فِى رَحْمَتِنَآ ۖ إِنَّهُم مِّنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তাঁদেরকে আমার রহমাতপ্রাপ্তদের অন্তর্ভূক্ত করেছিলাম। তাঁরা ছিলেন সৎকর্মপরায়ণ।",
              "numberInSurah": 86,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া আদখাল না-হুম ফী রাহমাতিনা- ইন্নাহুম মিনাসসা-লিহীন।",
              "words_arabic": "وَ اَدْخَلْنٰهُمْ/وَأَدۡخَلۡنَٰهُمۡ/wa-adkhalnahum//فِیْ/فِي/fi//رَحْمَتِنَا ؕ/رَحۡمَتِنَآۖ/rahmatina//اِنَّهُمْ/إِنَّهُم/innahum//مِّنَ/مِّنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং তাদেরকে আমরা প্রবেশ করিয়েছি//মধ্যে//আমাদের অনুগ্রহের//নিশ্চয়ই তারা (ছিলো)//অন্তর্ভুক্ত//সৎকর্মশীলদের"
            },
            {
              "number": 2570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2570.mp3"
              ],
              "text": "وَذَا ٱلنُّونِ إِذ ذَّهَبَ مُغَٰضِبًۭا فَظَنَّ أَن لَّن نَّقْدِرَ عَلَيْهِ فَنَادَىٰ فِى ٱلظُّلُمَٰتِ أَن لَّآ إِلَٰهَ إِلَّآ أَنتَ سُبْحَٰنَكَ إِنِّى كُنتُ مِنَ ٱلظَّٰلِمِينَ",
              "translate_bn": "এবং মাছওয়ালার কথা স্মরণ করুন তিনি ক্রুদ্ধ হয়ে চলে গিয়েছিলেন, অতঃপর মনে করেছিলেন যে, আমি তাঁকে ধৃত করতে পারব না। অতঃপর তিনি অন্ধকারের মধ্যে আহবান করলেনঃ তুমি ব্যতীত কোন উপাস্য নেই; তুমি নির্দোষ আমি গুনাহগার।",
              "numberInSurah": 87,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া যাননূনি ইযযাহাবা মুগা-দিবান ফাজান্না আল্লান নাকদিরা ‘আলাইহি ফানা-দাফিজজু লুমা-তি আল্লাইলা-হা ইল্লাআনতা ছুবহা-নাকা ইন্নী কুনতুমিনাজ্জালিমীন।",
              "words_arabic": "وَ ذَا/وَذَا/wadha//النُّوْنِ/ٱلنُّونِ/al-nuni//اِذْ/إِذ/idh//ذَّهَبَ/ذَّهَبَ/dhahaba//مُغَاضِبًا/مُغَٰضِبٗا/mughadiban//فَظَنَّ/فَظَنَّ/fazanna//اَنْ/أَن/an//لَّنْ/لَّن/lan//نَّقْدِرَ/نَّقۡدِرَ/naqdira//عَلَیْهِ/عَلَيۡهِ/alayhi//فَنَادٰی/فَنَادَىٰ/fanada//فِی/فِي/fi//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اَنْ/أَن/an//لَّاۤ/لَّآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّاۤ/إِلَّآ/illa//اَنْتَ/أَنتَ/anta//سُبْحٰنَكَ ۖۗ/سُبۡحَٰنَكَ/sub'hanaka//اِنِّیْ/إِنِّي/inni//كُنْتُ/كُنتُ/kuntu//مِنَ/مِنَ/mina//الظّٰلِمِیْنَۚۖ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "আর অধিকারী//মাছের (স্মরণ করো)//যখন//চলে গিয়েছিলো//রাগ করে//অতঃপর মনে করেছিলো//যে//না//ধড়-পাকড় করতে পারবো//তার উপর//অতঃপর সে ডেকেছিলো//মধ্যে//অন্ধকারের//যে//\"নেই//কোন ইলাহ//ছাড়া//তুমি//তুমি পবিত্র মহান//নিশ্চয়ই আমি//ছিলাম//অন্তর্ভুক্ত//সীমালঙ্ঘনকারীদের\""
            },
            {
              "number": 2571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2571.mp3"
              ],
              "text": "فَٱسْتَجَبْنَا لَهُۥ وَنَجَّيْنَٰهُ مِنَ ٱلْغَمِّ ۚ وَكَذَٰلِكَ نُۨجِى ٱلْمُؤْمِنِينَ",
              "translate_bn": "অতঃপর আমি তাঁর আহবানে সাড়া দিলাম এবং তাঁকে দুশ্চিন্তা থেকে মুক্তি দিলাম। আমি এমনি ভাবে বিশ্ববাসীদেরকে মুক্তি দিয়ে থাকি।",
              "numberInSurah": 88,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ফাছতাজাবনা-লাহূওয়া নাজ্জাইনা-হু মিনাল গাম্মি ওয়া কাযা-লিকা নুনজিল মু’মিনীন।",
              "words_arabic": "فَاسْتَجَبْنَا/فَٱسۡتَجَبۡنَا/fa-is'tajabna//لَهٗ ۙ/لَهُۥ/lahu//وَ نَجَّیْنٰهُ/وَنَجَّيۡنَٰهُ/wanajjaynahu//مِنَ/مِنَ/mina//الْغَمِّ ؕ/ٱلۡغَمِّۚ/al-ghami//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نُـْۨجِی/نُـۨجِي/nunji//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "তখন আমরা সাড়া দিলাম//তার ডাকে//এবং তাকে আমরা উদ্ধার করেছিলাম//হ'তে//দুশ্চিন্তা//এরূপেই//উদ্ধার করি আমরা//মু'মিনদেরকে"
            },
            {
              "number": 2572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2572.mp3"
              ],
              "text": "وَزَكَرِيَّآ إِذْ نَادَىٰ رَبَّهُۥ رَبِّ لَا تَذَرْنِى فَرْدًۭا وَأَنتَ خَيْرُ ٱلْوَٰرِثِينَ",
              "translate_bn": "এবং যাকারিয়ার কথা স্মরণ করুন, যখন সে তার পালনকর্তাকে আহবান করেছিল; হে আমার পালনকর্তা আমাকে একা রেখো না। তুমি তো উত্তম ওয়ারিস।",
              "numberInSurah": 89,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঝাকারিইইয়াইযনা-দা-রাব্বাহূরাব্বি লা-তাযারনী ফারদাওঁ ওয়া আনতা খাইরুল ওয়ারিছীন।",
              "words_arabic": "وَ زَكَرِیَّاۤ/وَزَكَرِيَّآ/wazakariyya//اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//رَبَّهٗ/رَبَّهُۥ/rabbahu//رَبِّ/رَبِّ/rabbi//لَا/لَا/la//تَذَرْنِیْ/تَذَرۡنِي/tadharni//فَرْدًا/فَرۡدٗا/fardan//وَّ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الْوٰرِثِیْنَۚۖ/ٱلۡوَٰرِثِينَ/al-warithina",
              "words_bangla": "এবং যাকারিয়াকে (স্মরণ করো)//যখন//সে ডেকেছিলো//তার রবকে//\"হে আমার রব//না//আমাকে ছেড়ো//একাকী//এবং তুমি//উত্তম//উত্তরাধিকারীদের\""
            },
            {
              "number": 2573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2573.mp3"
              ],
              "text": "فَٱسْتَجَبْنَا لَهُۥ وَوَهَبْنَا لَهُۥ يَحْيَىٰ وَأَصْلَحْنَا لَهُۥ زَوْجَهُۥٓ ۚ إِنَّهُمْ كَانُوا۟ يُسَٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَيَدْعُونَنَا رَغَبًۭا وَرَهَبًۭا ۖ وَكَانُوا۟ لَنَا خَٰشِعِينَ",
              "translate_bn": "অতঃপর আমি তার দোয়া কবুল করেছিলাম, তাকে দান করেছিলাম ইয়াহইয়া এবং তার জন্যে তার স্ত্রীকে প্রসব যোগ্য করেছিলাম। তারা সৎকর্মে ঝাঁপিয়ে পড়ত, তারা আশা ও ভীতি সহকারে আমাকে ডাকত এবং তারা ছিল আমার কাছে বিনীত।",
              "numberInSurah": 90,
              "juz": 17,
              "manzil": 4,
              "page": 329,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ফছতাজাবনা-লাহূ ওয়া ওয়াহাবনা-লাহূইয়াহইয়া-ওয়া আসলাহনা-লাহূঝাওজাহূ ইন্নাহুম কা-নূইউছা-রি‘ঊনা ফিল খাইরা-তি ওয়া ইয়াদঊনানা-রাগাবাওঁ ওয়া রাহাবাও ওয়া কা-নূলানা-খা-শি‘ঈন।",
              "words_arabic": "فَاسْتَجَبْنَا/فَٱسۡتَجَبۡنَا/fa-is'tajabna//لَهٗ ؗ/لَهُۥ/lahu//وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗ/لَهُۥ/lahu//یَحْیٰی/يَحۡيَىٰ/yahya//وَ اَصْلَحْنَا/وَأَصۡلَحۡنَا/wa-aslahna//لَهٗ/لَهُۥ/lahu//زَوْجَهٗ ؕ/زَوۡجَهُۥٓۚ/zawjahu//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//یُسٰرِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِی/فِي/fi//الْخَیْرٰتِ/ٱلۡخَيۡرَٰتِ/al-khayrati//وَ یَدْعُوْنَنَا/وَيَدۡعُونَنَا/wayad'unana//رَغَبًا/رَغَبٗا/raghaban//وَّ رَهَبًا ؕ/وَرَهَبٗاۖ/warahaban//وَ كَانُوْا/وَكَانُواْ/wakanu//لَنَا/لَنَا/lana//خٰشِعِیْنَ /خَٰشِعِينَ/khashi'ina",
              "words_bangla": "তখন আমরা সাড়া দিয়েছিলাম//তার ডাকে//ও আমরা দিয়েছিলাম//তার জন্যে//ইয়াহইয়াকে//আমরা উপযোগী করে দিয়েছিলাম//জন্যে তা//তার স্ত্রীকে//নিশ্চয়ই তারা//তারা ছিলো//প্রাণপণ চেষ্টা করতো//ব্যাপারে//সৎকাজসমূহের//এবং আমাদেরকে ডাকতো//আগ্রহ//ও ভয়ের সাথে//এবং তারা ছিলো//কাছে আমাদের//ভীত অবনত"
            },
            {
              "number": 2574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2574.mp3"
              ],
              "text": "وَٱلَّتِىٓ أَحْصَنَتْ فَرْجَهَا فَنَفَخْنَا فِيهَا مِن رُّوحِنَا وَجَعَلْنَٰهَا وَٱبْنَهَآ ءَايَةًۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "এবং সেই নারীর কথা আলোচনা করুন, যে তার কামপ্রবৃত্তিকে বশে রেখেছিল, অতঃপর আমি তার মধ্যে আমার রূহ ফুঁকে দিয়েছিলাম এবং তাকে তার পুত্রকে বিশ্ববাসীর জন্য নিদর্শন করেছিলাম।",
              "numberInSurah": 91,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাতীআহসানাত ফারজাহা-ফানাফাখনা-ফীহা-মির রূহিনা-ওয়া জা‘আলনা-হাওয়াবনাহাআ-য়াতাল লিল‘আ-লামীন।",
              "words_arabic": "وَ الَّتِیْۤ/وَٱلَّتِيٓ/wa-allati//اَحْصَنَتْ/أَحۡصَنَتۡ/ahsanat//فَرْجَهَا/فَرۡجَهَا/farjaha//فَنَفَخْنَا/فَنَفَخۡنَا/fanafakhna//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//رُّوْحِنَا/رُّوحِنَا/ruhina//وَ جَعَلْنٰهَا/وَجَعَلۡنَٰهَا/waja'alnaha//وَ ابْنَهَاۤ/وَٱبۡنَهَآ/wa-ib'naha//اٰیَةً/ءَايَةٗ/ayatan//لِّلْعٰلَمِیْنَ /لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এবং (স্মরণ করো) (মারইয়ামকে) যে//রক্ষা করেছিলো//তার সতীত্বকে//অতঃপর আমরা ফুঁকে দিলাম//তার মধ্যে//থেকে//আমাদের রূহ//এবং তাকে বানিয়েছিলাম//ও তার পুত্রকে//একটি নিদর্শন//জন্যে বিশ্ববাসীদের"
            },
            {
              "number": 2575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2575.mp3"
              ],
              "text": "إِنَّ هَٰذِهِۦٓ أُمَّتُكُمْ أُمَّةًۭ وَٰحِدَةًۭ وَأَنَا۠ رَبُّكُمْ فَٱعْبُدُونِ",
              "translate_bn": "তারা সকলেই তোমাদের ধর্মের; একই ধর্মে তো বিশ্বাসী সবাই এবং আমিই তোমাদের পালনকর্তা, অতএব আমার বন্দেগী কর।",
              "numberInSurah": 92,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যিহীউম্মাতুকুম উম্মাতাওঁ ওয়া-হিদাতাওঁ ওয়া আনা রাব্বুকুম ফা‘বুদূ ন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اُمَّتُكُمْ/أُمَّتُكُمۡ/ummatukum//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً ۖؗ/وَٰحِدَةٗ/wahidatan//وَّ اَنَا/وَأَنَا۠/wa-ana//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//فَاعْبُدُوْنِ /فَٱعۡبُدُونِ/fa-u'buduni",
              "words_bangla": "নিশ্চয়ই//এই যে//তোমাদের জাতি//জাতি (প্রকৃতপক্ষে)//একই//এবং আমি//তোমাদের রব//সুতরাং তোমরা আমারই ইবাদাত করো"
            },
            {
              "number": 2576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2576.mp3"
              ],
              "text": "وَتَقَطَّعُوٓا۟ أَمْرَهُم بَيْنَهُمْ ۖ كُلٌّ إِلَيْنَا رَٰجِعُونَ",
              "translate_bn": "এবং মানুষ তাদের কার্যকলাপ দ্বারা পারস্পরিক বিষয়ে ভেদ সৃষ্টি করেছে। প্রত্যেকেই আমার কাছে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 93,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 283,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাকাততা‘ঊআমরাহুম বাইনাহুম কুল্লুন ইলাইনা-রা-জি‘উন।",
              "words_arabic": "وَ تَقَطَّعُوْۤا/وَتَقَطَّعُوٓاْ/wataqatta'u//اَمْرَهُمْ/أَمۡرَهُم/amrahum//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۖ/baynahum//كُلٌّ/كُلٌّ/kullun//اِلَیْنَا/إِلَيۡنَا/ilayna//رٰجِعُوْنَ۠/رَٰجِعُونَ/raji'una",
              "words_bangla": "কিন্তু তারা টুকরা টুকরা করে ফেললো//তাদের কার্যকলাপ (দ্বীন)//তাদের মাঝে//প্রত্যেককে//আমাদের দিকেই//প্রত্যাবর্তনকারী"
            },
            {
              "number": 2577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2577.mp3"
              ],
              "text": "فَمَن يَعْمَلْ مِنَ ٱلصَّٰلِحَٰتِ وَهُوَ مُؤْمِنٌۭ فَلَا كُفْرَانَ لِسَعْيِهِۦ وَإِنَّا لَهُۥ كَٰتِبُونَ",
              "translate_bn": "অতঃপর যে বিশ্বাসী অবস্থায় সৎকর্ম সম্পাদন করে, তার প্রচেষ্টা অস্বীকৃত হবে না এবং আমি তা লিপিবদ্ধ করে রাখি।",
              "numberInSurah": 94,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ফামাইঁ ইয়া‘মাল মিনাসসা-লিহা-তি ওয়া হুওয়া মু’মিনুন ফালা কুফরা-না লিছা‘য়িহী ওয়া ইন্না-লাহূকা-তিবূন।",
              "words_arabic": "فَمَنْ/فَمَن/faman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//مِنَ/مِنَ/mina//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَلَا/فَلَا/fala//كُفْرَانَ/كُفۡرَانَ/kuf'rana//لِسَعْیِهٖ ۚ/لِسَعۡيِهِۦ/lisa'yihi//وَ اِنَّا/وَإِنَّا/wa-inna//لَهٗ/لَهُۥ/lahu//كٰتِبُوْنَ /كَٰتِبُونَ/katibuna",
              "words_bangla": "তবে যে//কাজ করবে//থেকে//সৎকাজসমূহের//এ অবস্থায় যে সে//মু'মিনও (হবে)//তখন না//অগ্রাহ্য হবে (তার কাজ)//জন্যে তার প্রচেষ্টার//এবং নিশ্চয়ই আমরা//জন্যে তার//লেখক (অর্থাৎ লিখে রাখি)"
            },
            {
              "number": 2578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2578.mp3"
              ],
              "text": "وَحَرَٰمٌ عَلَىٰ قَرْيَةٍ أَهْلَكْنَٰهَآ أَنَّهُمْ لَا يَرْجِعُونَ",
              "translate_bn": "যেসব জনপদকে আমি ধ্বংস করে দিয়েছি, তার অধিবাসীদের ফিরে না আসা অবধারিত।",
              "numberInSurah": 95,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া হারা-মুন ‘আলা-কারইয়াতিন আহলাকনা-হাআন্নাহুম লা-ইয়ারজি‘ঊন।",
              "words_arabic": "وَ حَرٰمٌ/وَحَرَٰمٌ/waharamun//عَلٰی/عَلَىٰ/ala//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَهْلَكْنٰهَاۤ/أَهۡلَكۡنَٰهَآ/ahlaknaha//اَنَّهُمْ/أَنَّهُمۡ/annahum//لَا/لَا/la//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং (প্রত্যাবর্তন) নিষিদ্ধ//জন্য//কোন জনপদের//আমরা ধ্বংস করেছি তাকে//তারা যে//না//ফিরে আসতে পারবে"
            },
            {
              "number": 2579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2579.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا فُتِحَتْ يَأْجُوجُ وَمَأْجُوجُ وَهُم مِّن كُلِّ حَدَبٍۢ يَنسِلُونَ",
              "translate_bn": "যে পর্যন্ত না ইয়াজুজ ও মাজুজকে বন্ধন মুক্ত করে দেয়া হবে এবং তারা প্রত্যেক উচ্চভুমি থেকে দ্রুত ছুটে আসবে।",
              "numberInSurah": 96,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-ফুতিহাত ইয়া’জুজুওয়ামা’জুজুওয়া হুম মিন কুল্লি হাদাবিইঁ ইয়ানছিলূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//فُتِحَتْ/فُتِحَتۡ/futihat//یَاْجُوْجُ/يَأۡجُوجُ/yajuju//وَ مَاْجُوْجُ/وَمَأۡجُوجُ/wamajuju//وَ هُمْ/وَهُم/wahum//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//حَدَبٍ/حَدَبٖ/hadabin//یَّنْسِلُوْنَ /يَنسِلُونَ/yansiluna",
              "words_bangla": "এমনকি//যখন//খুলে দেয়া হবে//ইয়াজুজ//ও মাজুজকে//এবং তারা//হ'তে//প্রত্যেক//উচ্চভূমি//ছুটে আসবে"
            },
            {
              "number": 2580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2580.mp3"
              ],
              "text": "وَٱقْتَرَبَ ٱلْوَعْدُ ٱلْحَقُّ فَإِذَا هِىَ شَٰخِصَةٌ أَبْصَٰرُ ٱلَّذِينَ كَفَرُوا۟ يَٰوَيْلَنَا قَدْ كُنَّا فِى غَفْلَةٍۢ مِّنْ هَٰذَا بَلْ كُنَّا ظَٰلِمِينَ",
              "translate_bn": "আমোঘ প্রতিশ্রুত সময় নিকটবর্তী হলে কাফেরদের চক্ষু উচ্চে স্থির হয়ে যাবে; হায় আমাদের দূর্ভাগ্য, আমরা এ বিষয়ে বেখবর ছিলাম; বরং আমরা গোনাহগরই ছিলাম।",
              "numberInSurah": 97,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়াকতালাবাল ওয়া‘দুল হাক্কুফাইযা-হিয়া শা-খিসাতুন আবসা-রুল্লাযীনা কাফারূ ইয়া-ওয়াইলানা-কাদ কুন্না-ফী গাফলাতিম মিন হা-যা-বাল কুন্না-জা-লিমীন।",
              "words_arabic": "وَ اقْتَرَبَ/وَٱقۡتَرَبَ/wa-iq'taraba//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//الْحَقُّ/ٱلۡحَقُّ/al-haqu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//شَاخِصَةٌ/شَٰخِصَةٌ/shakhisatun//اَبْصَارُ/أَبۡصَٰرُ/absaru//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْ/kafaru//یٰوَیْلَنَا/يَٰوَيۡلَنَا/yawaylana//قَدْ/قَدۡ/qad//كُنَّا/كُنَّا/kunna//فِیْ/فِي/fi//غَفْلَةٍ/غَفۡلَةٖ/ghaflatin//مِّنْ/مِّنۡ/min//هٰذَا/هَٰذَا/hadha//بَلْ/بَلۡ/bal//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "এবং নিকটবর্তী হবে//প্রতিশ্রুতি (ক্বিয়ামাতের)//সত্য//অতঃপর যখন//তা//বিস্ফোরিত হবে//চোখগুলো//(তাদের) যারা//অস্বীকার করেছিলো//\"(এবং বলবে) হায় আমাদের দুর্ভোগ//নিশ্চয়ই//আমরা ছিলাম//মধ্যে//উদাসীনতার//সম্পর্কে//এটা//বরং//আমরা ছিলাম//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 2581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2581.mp3"
              ],
              "text": "إِنَّكُمْ وَمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ حَصَبُ جَهَنَّمَ أَنتُمْ لَهَا وَٰرِدُونَ",
              "translate_bn": "তোমরা এবং আল্লাহর পরিবর্তে তোমরা যাদের পুজা কর, সেগুলো দোযখের ইন্ধন। তোমরাই তাতে প্রবেশ করবে।",
              "numberInSurah": 98,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকুম ওয়ামা-তা‘বুদূ না মিন দূ নিল্লা-হি হাসাবুজাহান্নামা আনতুম লাহা-ওয়া-রিদূ ন।",
              "words_arabic": "اِنَّكُمْ/إِنَّكُمۡ/innakum//وَ مَا/وَمَا/wama//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//حَصَبُ/حَصَبُ/hasabu//جَهَنَّمَ ؕ/جَهَنَّمَ/jahannama//اَنْتُمْ/أَنتُمۡ/antum//لَهَا/لَهَا/laha//وٰرِدُوْنَ /وَٰرِدُونَ/wariduna",
              "words_bangla": "নিশ্চয়ই তোমরা//ও যাদের//তোমরা ইবাদাত করতে//মধ্য হতে//ছাড়া//আল্লাহ//ইন্ধন (হবে)//জাহান্নামের//তোমরা//জন্যে তার//প্রবেশকারী (হবে)"
            },
            {
              "number": 2582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2582.mp3"
              ],
              "text": "لَوْ كَانَ هَٰٓؤُلَآءِ ءَالِهَةًۭ مَّا وَرَدُوهَا ۖ وَكُلٌّۭ فِيهَا خَٰلِدُونَ",
              "translate_bn": "এই মূর্তিরা যদি উপাস্য হত, তবে জাহান্নামে প্রবেশ করত না। প্রত্যেকেই তাতে চিরস্থায়ী হয়ে পড়ে থাকবে।",
              "numberInSurah": 99,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "লাও কা-না হাঊলাই আ-লিহাতামমা-ওয়ারাদূ হা- ওয়া কুল্লুন ফীহা-খা-লিদূ ন।",
              "words_arabic": "لَوْ/لَوۡ/law//كَانَ/كَانَ/kana//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اٰلِهَةً/ءَالِهَةٗ/alihatan//مَّا/مَّا/ma//وَرَدُوْهَا ؕ/وَرَدُوهَاۖ/waraduha//وَ كُلٌّ/وَكُلّٞ/wakullun//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "যদি//হতো//এসব//উপাস্য//(তাহ'লে) না//তাতে প্রবেশ করতো//এবং প্রত্যেকে//তার মধ্যে//স্থায়ী হবে"
            },
            {
              "number": 2583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2583.mp3"
              ],
              "text": "لَهُمْ فِيهَا زَفِيرٌۭ وَهُمْ فِيهَا لَا يَسْمَعُونَ",
              "translate_bn": "তারা সেখানে চীৎকার করবে এবং সেখানে তারা কিছুই শুনতে পাবে না।",
              "numberInSurah": 100,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "লাহুম ফীহা-ঝাফীরুওঁ ওয়াহুম ফীহা-লা-ইয়াছমা‘ঊন।",
              "words_arabic": "لَهُمْ/لَهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//زَفِیْرٌ/زَفِيرٞ/zafirun//وَّ هُمْ/وَهُمۡ/wahum//فِیْهَا/فِيهَا/fiha//لَا/لَا/la//یَسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "জন্যে তাদের//তার মধ্যে থাকবে//কান ফাটা আর্তনাদ//কিন্তু তারা//তার মধ্যে//না//শুনতে পাবে (কিছুই)"
            },
            {
              "number": 2584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2584.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ سَبَقَتْ لَهُم مِّنَّا ٱلْحُسْنَىٰٓ أُو۟لَٰٓئِكَ عَنْهَا مُبْعَدُونَ",
              "translate_bn": "যাদের জন্য প্রথম থেকেই আমার পক্ষ থেকে কল্যাণ নির্ধারিত হয়েছে তারা দোযখ থেকে দূরে থাকবে।",
              "numberInSurah": 101,
              "juz": 17,
              "manzil": 4,
              "page": 330,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ছাবাকাত লাহুম মিন্নাল হুছনা উলাইকা ‘আনহা-মুব‘আদূ ন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//سَبَقَتْ/سَبَقَتۡ/sabaqat//لَهُمْ/لَهُم/lahum//مِّنَّا/مِّنَّا/minna//الْحُسْنٰۤی ۙ/ٱلۡحُسۡنَىٰٓ/al-hus'na//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//عَنْهَا/عَنۡهَا/anha//مُبْعَدُوْنَۙ/مُبۡعَدُونَ/mub'aduna",
              "words_bangla": "নিশ্চয়ই//যাদের (জন্যে)//পূর্বেই নির্ধারিত হয়েছিলো//জন্যে তাদের//আমাদের থেকে//কল্যাণ//ঐসব লোককে//থেকে তা//দূরে রাখা হবে"
            },
            {
              "number": 2585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2585.mp3"
              ],
              "text": "لَا يَسْمَعُونَ حَسِيسَهَا ۖ وَهُمْ فِى مَا ٱشْتَهَتْ أَنفُسُهُمْ خَٰلِدُونَ",
              "translate_bn": "তারা তার ক্ষীণতম শব্দও শুনবে না এবং তারা তাদের মনের বাসনা অনুযায়ী চিরকাল বসবাস করবে।",
              "numberInSurah": 102,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছমা‘ঊনা হাছীছাহা- ওয়া হুম ফী মাশতাহাত আনফুছুহুম খা-লিদূ ন।",
              "words_arabic": "لَا/لَا/la//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//حَسِیْسَهَا ۚ/حَسِيسَهَاۖ/hasisaha//وَ هُمْ/وَهُمۡ/wahum//فِیْ/فِي/fi//مَا/مَا/ma//اشْتَهَتْ/ٱشۡتَهَتۡ/ish'tahat//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//خٰلِدُوْنَۚ/خَٰلِدُونَ/khaliduna",
              "words_bangla": "না//তারা শুনতে পাবে//তার ক্ষীণতম শব্দও//আর তারা (হবে)//মধ্যে//যা//চাইবে//তাদের মন//তারা স্থায়ী হবে"
            },
            {
              "number": 2586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2586.mp3"
              ],
              "text": "لَا يَحْزُنُهُمُ ٱلْفَزَعُ ٱلْأَكْبَرُ وَتَتَلَقَّىٰهُمُ ٱلْمَلَٰٓئِكَةُ هَٰذَا يَوْمُكُمُ ٱلَّذِى كُنتُمْ تُوعَدُونَ",
              "translate_bn": "মহা ত্রাস তাদেরকে চিন্তান্বিত করবে না এবং ফেরেশতারা তাদেরকে অভ্যর্থনা করবেঃ আজ তোমাদের দিন, যে দিনের ওয়াদা তোমাদেরকে দেয়া হয়েছিল।",
              "numberInSurah": 103,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াহঝুনুহুমুল ফাঝা‘উল আকবারু ওয়া তাতালাক্কা-হুমুল মালাইকাতু হা-যাইয়াওমুকুমুল্লাযী কুনতুম তূ‘আদূ ন।",
              "words_arabic": "لَا/لَا/la//یَحْزُنُهُمُ/يَحۡزُنُهُمُ/yahzunuhumu//الْفَزَعُ/ٱلۡفَزَعُ/al-faza'u//الْاَكْبَرُ/ٱلۡأَكۡبَرُ/al-akbaru//وَ تَتَلَقّٰىهُمُ/وَتَتَلَقَّىٰهُمُ/watatalaqqahumu//الْمَلٰٓىِٕكَةُ ؕ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//هٰذَا/هَٰذَا/hadha//یَوْمُكُمُ/يَوۡمُكُمُ/yawmukumu//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُمۡ/kuntum//تُوْعَدُوْنَ /تُوعَدُونَ/tu'aduna",
              "words_bangla": "না//তাদেরকে চিন্তিত করবে//ভয়//মহা//এবং তাদেরকে অভ্যর্থনা করবে//ফেরেশতারা//\"এই//তোমাদের দিন//সেই (যারা)//তোমরা ছিলে//প্রতিশ্রুতি দেয়া হয়েছিলো\""
            },
            {
              "number": 2587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2587.mp3"
              ],
              "text": "يَوْمَ نَطْوِى ٱلسَّمَآءَ كَطَىِّ ٱلسِّجِلِّ لِلْكُتُبِ ۚ كَمَا بَدَأْنَآ أَوَّلَ خَلْقٍۢ نُّعِيدُهُۥ ۚ وَعْدًا عَلَيْنَآ ۚ إِنَّا كُنَّا فَٰعِلِينَ",
              "translate_bn": "সেদিন আমি আকাশকে গুটিয়ে নেব, যেমন গুটানো হয় লিখিত কাগজপত্র। যেভাবে আমি প্রথমবার সৃষ্টি করেছিলাম, সেভাবে পুনরায় সৃষ্টি করব। আমার ওয়াদা নিশ্চিত, আমাকে তা পূর্ণ করতেই হবে।",
              "numberInSurah": 104,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা নাতবিছছামাআ কাতাইয়িছছিজিলিল লিলকুতুবি কামা-বাদা’নাআওয়ালা খালকিন নু‘ঈদুহূ ওয়া‘দান ‘আলাইনা- ইন্না-কুন্না-ফা-‘ইলীন ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//نَطْوِی/نَطۡوِي/natwi//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//كَطَیِّ/كَطَيِّ/katayyi//السِّجِلِّ/ٱلسِّجِلِّ/al-sijili//لِلْكُتُبِ ؕ/لِلۡكُتُبِۚ/lil'kutubi//كَمَا/كَمَا/kama//بَدَاْنَاۤ/بَدَأۡنَآ/badana//اَوَّلَ/أَوَّلَ/awwala//خَلْقٍ/خَلۡقٖ/khalqin//نُّعِیْدُهٗ ؕ/نُّعِيدُهُۥۚ/nu'iduhu//وَعْدًا/وَعۡدًا/wa'dan//عَلَیْنَا ؕ/عَلَيۡنَآۚ/alayna//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//فٰعِلِیْنَ /فَٰعِلِينَ/fa'ilina",
              "words_bangla": "সেদিন//গুটিয়ে ফেলবো আমরা//আকাশকে//মতো গুটানোর যেমন//খাতা//(বিভিন্ন বিষয়ে) লিখিত//যেমন//আমরা সৃষ্টি করেছি//প্রথম//সৃষ্টি//তা আমরা পুনরায় সৃষ্টি করবো//প্রতিশ্রুতি (পালন)//ওপর আমাদের (দায়িত্ব)//নিশ্চয়ই আমরা//আমরা হলাম//সম্পাদনকারী (তা)"
            },
            {
              "number": 2588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2588.mp3"
              ],
              "text": "وَلَقَدْ كَتَبْنَا فِى ٱلزَّبُورِ مِنۢ بَعْدِ ٱلذِّكْرِ أَنَّ ٱلْأَرْضَ يَرِثُهَا عِبَادِىَ ٱلصَّٰلِحُونَ",
              "translate_bn": "আমি উপদেশের পর যবুরে লিখে দিয়েছি যে, আমার সৎকর্মপরায়ণ বান্দাগণ অবশেষে পৃথিবীর অধিকারী হবে।",
              "numberInSurah": 105,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কাতাবনা-ফিঝঝাবূরি মিম বা‘দিযযিকরি আন্নাল আরদা ইয়ারিছু হা-ইবা দিয়াসসা-লিহূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كَتَبْنَا/كَتَبۡنَا/katabna//فِی/فِي/fi//الزَّبُوْرِ/ٱلزَّبُورِ/al-zaburi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//الذِّكْرِ/ٱلذِّكۡرِ/al-dhik'ri//اَنَّ/أَنَّ/anna//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//یَرِثُهَا/يَرِثُهَا/yarithuha//عِبَادِیَ/عِبَادِيَ/ibadiya//الصّٰلِحُوْنَ /ٱلصَّـٰلِحُونَ/al-salihuna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা লিখেছিলাম//মধ্যে//যাবুর গ্রন্থে//থেকে//পর//উপদেশের//যে//পৃথিবীর//তার উত্তরাধিকারী হবে//(যারা) আমার দাস//সৎকর্মশীল"
            },
            {
              "number": 2589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2589.mp3"
              ],
              "text": "إِنَّ فِى هَٰذَا لَبَلَٰغًۭا لِّقَوْمٍ عَٰبِدِينَ",
              "translate_bn": "এতে এবাদতকারী সম্প্রদায়ের জন্যে পর্যাপ্ত বিষয়বস্তু আছে।",
              "numberInSurah": 106,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী হা-যা-লাবালা-গাল লিকাওমিন ‘আ-বিদীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//لَبَلٰغًا/لَبَلَٰغٗا/labalaghan//لِّقَوْمٍ/لِّقَوۡمٍ/liqawmin//عٰبِدِیْنَؕ/عَٰبِدِينَ/abidina",
              "words_bangla": "নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই বার্তা//জন্যে লোকদের//ইবাদাতকারী"
            },
            {
              "number": 2590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2590.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَٰكَ إِلَّا رَحْمَةًۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "আমি আপনাকে বিশ্ববাসীর জন্যে রহমত স্বরূপই প্রেরণ করেছি।",
              "numberInSurah": 107,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-কা ইল্লা-রাহমাতাল লিল‘আ-লামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//اِلَّا/إِلَّا/illa//رَحْمَةً/رَحۡمَةٗ/rahmatan//لِّلْعٰلَمِیْنَ /لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এবং না//তোমাকে আমরা পাঠিয়েছি//এছাড়া যে//রহমত হিসেবে//জন্যে বিশ্বজগতের"
            },
            {
              "number": 2591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2591.mp3"
              ],
              "text": "قُلْ إِنَّمَا يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ ۖ فَهَلْ أَنتُم مُّسْلِمُونَ",
              "translate_bn": "বলুনঃ আমাকে তো এ আদেশই দেয়া হয়েছে যে, তোমাদের উপাস্য একমাত্র উপাস্য। সুতরাংতোমরা কি আজ্ঞাবহ হবে?",
              "numberInSurah": 108,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামা-ইঊহাইলাইয়া আন্নামাইলা-হুকুম ইলা-হুওঁ ওয়াহিদুন ফাহাল আনতুম মুছলিমূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//اَنَّمَاۤ/أَنَّمَآ/annama//اِلٰهُكُمْ/إِلَٰهُكُمۡ/ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ ۚ/وَٰحِدٞۖ/wahidun//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُم/antum//مُّسْلِمُوْنَ /مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "বলো//\"মূলতঃ//ওহী করা হয়েছে//আমার প্রতি//যে//তোমাদের ইলাহ (কেবল)//ইলাহ//একই//তাহ'লে কি//তোমরা//আত্মসমর্পণকারী হবে\""
            },
            {
              "number": 2592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2592.mp3"
              ],
              "text": "فَإِن تَوَلَّوْا۟ فَقُلْ ءَاذَنتُكُمْ عَلَىٰ سَوَآءٍۢ ۖ وَإِنْ أَدْرِىٓ أَقَرِيبٌ أَم بَعِيدٌۭ مَّا تُوعَدُونَ",
              "translate_bn": "অতঃপর যদি তারা মুখ ফিরিয়ে নেয়, তবে বলে দিনঃ আমি তোমাদেরকে পরিস্কার ভাবে সতর্ক করেছি এবং আমি জানি না, তোমাদেরকে যে ওয়াদা দেয়া হয়েছে, তা নিকটবর্তী না দূরবর্তী।",
              "numberInSurah": 109,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ফাইন তাওয়াল্লাও ফাকুল আ-যানতুকুম ‘আলা-ছাওয়াইও ওয়া ইন আদরীআকারীবুন আম বা‘ঈদুম মা-তূ‘আদূ ন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَقُلْ/فَقُلۡ/faqul//اٰذَنْتُكُمْ/ءَاذَنتُكُمۡ/adhantukum//عَلٰی/عَلَىٰ/ala//سَوَآءٍ ؕ/سَوَآءٖۖ/sawain//وَ اِنْ/وَإِنۡ/wa-in//اَدْرِیْۤ/أَدۡرِيٓ/adri//اَقَرِیْبٌ/أَقَرِيبٌ/aqaribun//اَمْ/أَم/am//بَعِیْدٌ/بَعِيدٞ/ba'idun//مَّا/مَّا/ma//تُوْعَدُوْنَ /تُوعَدُونَ/tu'aduna",
              "words_bangla": "তবে যদি//তারা মুখ ফিরায়//তাহ'লে বলো//\"তোমাদের আমি সতর্ক করে দিয়েছি//ভাবে//সমান (সকলকে)//এবং না//জানি আমি//(ক্বিয়ামাত) কি নিকটে//বা//দূরে//যা//তোমাদেরকে প্রতিশ্রুতি দেয়া হয়েছে"
            },
            {
              "number": 2593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2593.mp3"
              ],
              "text": "إِنَّهُۥ يَعْلَمُ ٱلْجَهْرَ مِنَ ٱلْقَوْلِ وَيَعْلَمُ مَا تَكْتُمُونَ",
              "translate_bn": "তিনি জানেন, যে কথা সশব্দে বল এবং যে কথা তোমরা গোপন কর।",
              "numberInSurah": 110,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূইয়া‘লামুল জাহরা মিনাল কাওলি ওয়া ইয়া‘লামুমা-তাকতুমূন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//الْجَهْرَ/ٱلۡجَهۡرَ/al-jahra//مِنَ/مِنَ/mina//الْقَوْلِ/ٱلۡقَوۡلِ/al-qawli//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//تَكْتُمُوْنَ /تَكۡتُمُونَ/taktumuna",
              "words_bangla": "নিশ্চয়ই তিনি (অর্থাৎ আল্লাহ)//জানেন//ব্যক্ত হয় (যা)//মাধ্যমে//কথার//তিনিই জানেন//যা//তোমরা গোপন করো"
            },
            {
              "number": 2594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2594.mp3"
              ],
              "text": "وَإِنْ أَدْرِى لَعَلَّهُۥ فِتْنَةٌۭ لَّكُمْ وَمَتَٰعٌ إِلَىٰ حِينٍۢ",
              "translate_bn": "আমি জানি না সম্ভবতঃ বিলম্বের মধ্যে তোমাদের জন্যে একটি পরীক্ষা এবং এক সময় পর্যন্ত ভোগ করার সুযোগ।",
              "numberInSurah": 111,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন আদরী লা‘আল্লাহূফিতনাতুল লাকুম ওয়া মাতা-‘উন ইলা-হীন।\r\n",
              "words_arabic": "وَ اِنْ/وَإِنۡ/wa-in//اَدْرِیْ/أَدۡرِي/adri//لَعَلَّهٗ/لَعَلَّهُۥ/la'allahu//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//لَّكُمْ/لَّكُمۡ/lakum//وَ مَتَاعٌ/وَمَتَٰعٌ/wamata'un//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "এবং না//আমি জানি (এছাড়া যে)//সেটা হয়তো//পরীক্ষা//তোমাদের জন্যে//ও জীবনোপভোগের (অবকাশ)//পর্যন্ত//কিছুকাল\""
            },
            {
              "number": 2595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2595.mp3"
              ],
              "text": "قَٰلَ رَبِّ ٱحْكُم بِٱلْحَقِّ ۗ وَرَبُّنَا ٱلرَّحْمَٰنُ ٱلْمُسْتَعَانُ عَلَىٰ مَا تَصِفُونَ",
              "translate_bn": "পয়গাম্বর বললেনঃ হে আমার পালনকর্তা, আপনি ন্যায়ানুগ ফয়সালা করে দিন। আমাদের পালনকর্তা তো দয়াময়, তোমরা যা বলছ, সে বিষয়ে আমরা তাঁর কাছেই সাহায্য প্রার্থনা করি।",
              "numberInSurah": 112,
              "juz": 17,
              "manzil": 4,
              "page": 331,
              "ruku": 284,
              "hizbQuarter": 132,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিহকুম বিলহাক্কি ওয়া রাব্বুনার রাহমা-নুল মুছতা‘আ-নু‘আলা-মাতাসিফূন।",
              "words_arabic": "قٰلَ/قَٰلَ/qala//رَبِّ/رَبِّ/rabbi//احْكُمْ/ٱحۡكُم/uh'kum//بِالْحَقِّ ؕ/بِٱلۡحَقِّۗ/bil-haqi//وَ رَبُّنَا/وَرَبُّنَا/warabbuna//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//الْمُسْتَعَانُ/ٱلۡمُسۡتَعَانُ/al-mus'ta'anu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//تَصِفُوْنَ۠/تَصِفُونَ/tasifuna",
              "words_bangla": "(শেষ পর্যন্ত রাসূল) বললো//\"হে আমার রব//তুমি বিচার করে দাও//ভাবে ন্যায়//এবং আমাদের রব//দয়াময়//সহায়স্থল//উপর//যা//তোমরা বলছো\""
            }
          ]
        },
        {
          "number": 22,
          "name": "سُورَةُ الحَجِّ",
          "englishName": "Al-Hajj",
          "englishNameTranslation": "The Pilgrimage",
          "revelationType": "Medinan",
          "verse": 78,
          "words": 2537,
          "chars": 10938,
          "ayahs": [
            {
              "number": 2596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2596.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمْ ۚ إِنَّ زَلْزَلَةَ ٱلسَّاعَةِ شَىْءٌ عَظِيمٌۭ",
              "translate_bn": "হে লোক সকল! তোমাদের পালনকর্তাকে ভয় কর। নিশ্চয় কেয়ামতের প্রকম্পন একটি ভয়ংকর ব্যাপার।",
              "numberInSurah": 1,
              "juz": 17,
              "manzil": 4,
              "page": 332,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুত্তাকূরাব্বাকুম ইন্না ঝালঝালাতাছছা-‘আতি শাইউন ‘আজীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اتَّقُوْا/ٱتَّقُواْ/ittaqu//رَبَّكُمْ ۚ/رَبَّكُمۡۚ/rabbakum//اِنَّ/إِنَّ/inna//زَلْزَلَةَ/زَلۡزَلَةَ/zalzalata//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//شَیْءٌ/شَيۡءٌ/shayon//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "হে//মানবজাতি//তোমরা ভয় করো//তোমাদের রবকে//নিশ্চয়ই//প্রকম্পন//ক্বিয়ামাতের//ব্যাপার//ভয়ংকর"
            },
            {
              "number": 2597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2597.mp3"
              ],
              "text": "يَوْمَ تَرَوْنَهَا تَذْهَلُ كُلُّ مُرْضِعَةٍ عَمَّآ أَرْضَعَتْ وَتَضَعُ كُلُّ ذَاتِ حَمْلٍ حَمْلَهَا وَتَرَى ٱلنَّاسَ سُكَٰرَىٰ وَمَا هُم بِسُكَٰرَىٰ وَلَٰكِنَّ عَذَابَ ٱللَّهِ شَدِيدٌۭ",
              "translate_bn": "যেদিন তোমরা তা প্রত্যক্ষ করবে, সেদিন প্রত্যেক স্তন্যধাত্রী তার দুধের শিশুকে বিস্মৃত হবে এবং প্রত্যেক গর্ভবতী তার গর্ভপাত করবে এবং মানুষকে তুমি দেখবে মাতাল; অথচ তারা মাতাল নয় বস্তুতঃ আল্লাহর আযাব সুকঠিন।",
              "numberInSurah": 2,
              "juz": 17,
              "manzil": 4,
              "page": 332,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তারাওনাহা-তাযহালুকুলল মুরদি‘আতিন ‘আম্মাআরদা‘আত ওয়া তাদা’উ কুলুল যা-তি হামলিন হামলাহা-ওয়া তারান্না-ছা ছুকা-রা-ওয়ামা-হুম বিছুকা-রা-ওয়ালা-কিন্না ‘আযা-বাল্লা-হি শাদীদ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَرَوْنَهَا/تَرَوۡنَهَا/tarawnaha//تَذْهَلُ/تَذۡهَلُ/tadhhalu//كُلُّ/كُلُّ/kullu//مُرْضِعَةٍ/مُرۡضِعَةٍ/mur'di'atin//عَمَّاۤ/عَمَّآ/amma//اَرْضَعَتْ/أَرۡضَعَتۡ/arda'at//وَ تَضَعُ/وَتَضَعُ/watada'u//كُلُّ/كُلُّ/kullu//ذَاتِ/ذَاتِ/dhati//حَمْلٍ/حَمۡلٍ/hamlin//حَمْلَهَا/حَمۡلَهَا/hamlaha//وَ تَرَی/وَتَرَى/watara//النَّاسَ/ٱلنَّاسَ/al-nasa//سُكٰرٰی/سُكَٰرَىٰ/sukara//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِسُكٰرٰی/بِسُكَٰرَىٰ/bisukara//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//عَذَابَ/عَذَابَ/adhaba//اللّٰهِ/ٱللَّهِ/al-lahi//شَدِیْدٌ /شَدِيدٞ/shadidun",
              "words_bangla": "যেদিন//তা তোমরা দেখবে (সেদিন)//বিস্মৃত হবে//প্রত্যেক//স্তন্যদাত্রী (মা)//তাহ'তে যাকে//সে দুধপান করিয়েছে (অর্থাৎ দুগ্ধপোষ্যকে)//ও গর্ভপাত করবে//প্রত্যেক//সম্পন্ন//গর্ভ (গর্ভবতী)//তার গর্ভকে//এবং দেখবে//লোকদেরকে//মাতালের মতো//অথচ না//তারা (হবে)//মাতাল//কিন্তু//শাস্তি//আল্লাহ্‌র//কঠিন (শাস্তি)"
            },
            {
              "number": 2598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2598.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يُجَٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍۢ وَيَتَّبِعُ كُلَّ شَيْطَٰنٍۢ مَّرِيدٍۢ",
              "translate_bn": "কতক মানুষ অজ্ঞানতাবশতঃ আল্লাহ সম্পꦣ2503;ক বিতর্ক করে এবং প্রত্যেক অবাধ্য শয়তানের অনুসরণ করে।",
              "numberInSurah": 3,
              "juz": 17,
              "manzil": 4,
              "page": 332,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইউজা-দিলুফিল্লা-হি বিগাইরি ‘ইলমিওঁ ওয়া ইয়াত্তাবি’উ কুল্লা শাইতা নিম মারীদ।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یُّجَادِلُ/يُجَٰدِلُ/yujadilu//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ/عِلۡمٖ/il'min//وَّ یَتَّبِعُ/وَيَتَّبِعُ/wayattabi'u//كُلَّ/كُلَّ/kulla//شَیْطٰنٍ/شَيۡطَٰنٖ/shaytanin//مَّرِیْدٍۙ/مَّرِيدٖ/maridin",
              "words_bangla": "আর কেউ কেউ (মধ্য হ'তে)//মানুষের//যারা//(যারা) বিতর্ক করে//সম্বন্ধে//আল্লাহর//ব্যতীত//কোন জ্ঞান//এবং অনুসরণ করে//প্রত্যেক//শয়তানকে//উদ্ধত"
            },
            {
              "number": 2599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2599.mp3"
              ],
              "text": "كُتِبَ عَلَيْهِ أَنَّهُۥ مَن تَوَلَّاهُ فَأَنَّهُۥ يُضِلُّهُۥ وَيَهْدِيهِ إِلَىٰ عَذَابِ ٱلسَّعِيرِ",
              "translate_bn": "শয়তান সম্পর্কে লিখে দেয়া হয়েছে যে, যে কেউ তার সাথী হবে, সে তাকে বিভ্রান্ত করবে এবং দোযখের আযাবের দিকে পরিচালিত করবে।",
              "numberInSurah": 4,
              "juz": 17,
              "manzil": 4,
              "page": 332,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "কুতিবা ‘আলাইহি আন্নাহূমান তাওয়াল্লা-হু ফাআন্নাহূইউদিল্লুহূওয়া ইয়াহদীহি ইলা-‘আযাবিছ ছা‘ঈর।",
              "words_arabic": "كُتِبَ/كُتِبَ/kutiba//عَلَیْهِ/عَلَيۡهِ/alayhi//اَنَّهٗ/أَنَّهُۥ/annahu//مَنْ/مَن/man//تَوَلَّاهُ/تَوَلَّاهُ/tawallahu//فَاَنَّهٗ/فَأَنَّهُۥ/fa-annahu//یُضِلُّهٗ/يُضِلُّهُۥ/yudilluhu//وَ یَهْدِیْهِ/وَيَهۡدِيهِ/wayahdihi//اِلٰی/إِلَىٰ/ila//عَذَابِ/عَذَابِ/adhabi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "লিখে দেয়া হয়েছে//তার সম্পর্কে//যে তা (এমন)//যে কেউ//তাকে বন্ধু বানাবে//তখন সে নিশ্চয়ই//তাকে বিভ্রান্ত করবে//ও তাকে পরিচালিত করবে//দিকে//শাস্তির//জ্বলন্ত অাগুনের"
            },
            {
              "number": 2600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2600.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ إِن كُنتُمْ فِى رَيْبٍۢ مِّنَ ٱلْبَعْثِ فَإِنَّا خَلَقْنَٰكُم مِّن تُرَابٍۢ ثُمَّ مِن نُّطْفَةٍۢ ثُمَّ مِنْ عَلَقَةٍۢ ثُمَّ مِن مُّضْغَةٍۢ مُّخَلَّقَةٍۢ وَغَيْرِ مُخَلَّقَةٍۢ لِّنُبَيِّنَ لَكُمْ ۚ وَنُقِرُّ فِى ٱلْأَرْحَامِ مَا نَشَآءُ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى ثُمَّ نُخْرِجُكُمْ طِفْلًۭا ثُمَّ لِتَبْلُغُوٓا۟ أَشُدَّكُمْ ۖ وَمِنكُم مَّن يُتَوَفَّىٰ وَمِنكُم مَّن يُرَدُّ إِلَىٰٓ أَرْذَلِ ٱلْعُمُرِ لِكَيْلَا يَعْلَمَ مِنۢ بَعْدِ عِلْمٍۢ شَيْـًۭٔا ۚ وَتَرَى ٱلْأَرْضَ هَامِدَةًۭ فَإِذَآ أَنزَلْنَا عَلَيْهَا ٱلْمَآءَ ٱهْتَزَّتْ وَرَبَتْ وَأَنۢبَتَتْ مِن كُلِّ زَوْجٍۭ بَهِيجٍۢ",
              "translate_bn": "হে লোকসকল! যদি তোমরা পুনরুত্থানের ব্যাপারে সন্দিগ্ধ হও, তবে (ভেবে দেখ-) আমি তোমাদেরকে মৃত্তিকা থেকে সৃষ্টি করেছি। এরপর বীর্য থেকে, এরপর জমাট রক্ত থেকে, এরপর পূর্ণাকৃতিবিশিষ্ট ও অপূর্ণাকৃতিবিশিষ্ট মাংসপিন্ড থেকে, তোমাদের কাছে ব্যক্ত করার জন্যে। আর আমি এক নির্দিষ্ট কালের জন্যে মাতৃগর্ভে যা ইচ্ছা রেখে দেই, এরপর আমি তোমাদেরকে শিশু অবস্থায় বের করি; তারপর যাতে তোমরা যৌবনে পদার্পণ কর। তোমাদের মধ্যে কেউ কেউ মৃত্যুমুখে পতিত হয় এবং তোমাদের মধ্যে কাউকে নিষ্কর্মা বয়স পর্যন্ত পৌছানো হয়, যাতে সে জানার পর জ্ঞাত বিষয় সম্পর্কে সজ্ঞান থাকে না। তুমি ভূমিকে পতিত দেখতে পাও, অতঃপর আমি যখন তাতে বৃষ্টি বর্ষণ করি, তখন তা সতেজ ও স্ফীত হয়ে যায় এবং সর্বপ্রকার সুদৃশ্য উদ্ভিদ উৎপন্ন করে।",
              "numberInSurah": 5,
              "juz": 17,
              "manzil": 4,
              "page": 332,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুইন কুনতুম ফীরাইবিম মিনাল বা‘ছি ফাইন্না-খালাকনা-কুম মিন তুরা-বিন ছু ম্মা মিন নুতফাতিন ছুম্মা মিন ‘আলাকাতিন ছুম্মা মিম মু দগাতিম মুখালিলকাতিওঁ ওয়া গাইরি মুখাল্লাকাতিল লিনুবাইয়িনা লাকুম ওয়া নুকিররু ফিল আরহা-মি মা-নাশাউ ইলাআজালিম মুছাম্মান ছুম্মা নুখরিজুকুম তিফলান ছুম্মা লিতাবলুগূআশুদ্দাকুম ওয়া মিনকুম মাইঁ ইউতাওয়াফফা-ওয়া মিনকুম মাইঁ ইউরাদ্দুইলাআরযালিল ‘উমুরি লিকাইলাইয়া‘লামা মিম বা‘দি ‘ইলমিন শাইআওঁ ওয়া তারাল আরদা হা-মিদাতান ফাইযা আনঝালনা-‘আলাইহাল মাআহতাঝঝাত ওয়া রাবাত ওয়া আমবাতাত মিন কুল্লি ঝাওজিম বাহীজ।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْ/فِي/fi//رَیْبٍ/رَيۡبٖ/raybin//مِّنَ/مِّنَ/mina//الْبَعْثِ/ٱلۡبَعۡثِ/al-ba'thi//فَاِنَّا/فَإِنَّا/fa-inna//خَلَقْنٰكُمْ/خَلَقۡنَٰكُم/khalaqnakum//مِّنْ/مِّن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِنۡ/min//عَلَقَةٍ/عَلَقَةٖ/alaqatin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِن/min//مُّضْغَةٍ/مُّضۡغَةٖ/mud'ghatin//مُّخَلَّقَةٍ/مُّخَلَّقَةٖ/mukhallaqatin//وَّ غَیْرِ/وَغَيۡرِ/waghayri//مُخَلَّقَةٍ/مُخَلَّقَةٖ/mukhallaqatin//لِّنُبَیِّنَ/لِّنُبَيِّنَ/linubayyina//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ نُقِرُّ/وَنُقِرُّ/wanuqirru//فِی/فِي/fi//الْاَرْحَامِ/ٱلۡأَرۡحَامِ/al-arhami//مَا/مَا/ma//نَشَآءُ/نَشَآءُ/nashau//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//ثُمَّ/ثُمَّ/thumma//نُخْرِجُكُمْ/نُخۡرِجُكُمۡ/nukh'rijukum//طِفْلًا/طِفۡلٗا/tif'lan//ثُمَّ/ثُمَّ/thumma//لِتَبْلُغُوْۤا/لِتَبۡلُغُوٓاْ/litablughu//اَشُدَّكُمْ ۚ/أَشُدَّكُمۡۖ/ashuddakum//وَ مِنْكُمْ/وَمِنكُم/waminkum//مَّنْ/مَّن/man//یُّتَوَفّٰی/يُتَوَفَّىٰ/yutawaffa//وَ مِنْكُمْ/وَمِنكُم/waminkum//مَّنْ/مَّن/man//یُّرَدُّ/يُرَدُّ/yuraddu//اِلٰۤی/إِلَىٰٓ/ila//اَرْذَلِ/أَرۡذَلِ/ardhali//الْعُمُرِ/ٱلۡعُمُرِ/al-'umuri//لِكَیْلَا/لِكَيۡلَا/likayla//یَعْلَمَ/يَعۡلَمَ/ya'lama//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//عِلْمٍ/عِلۡمٖ/il'min//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//وَ تَرَی/وَتَرَى/watara//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//هَامِدَةً/هَامِدَةٗ/hamidatan//فَاِذَاۤ/فَإِذَآ/fa-idha//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْهَا/عَلَيۡهَا/alayha//الْمَآءَ/ٱلۡمَآءَ/al-maa//اهْتَزَّتْ/ٱهۡتَزَّتۡ/ih'tazzat//وَ رَبَتْ/وَرَبَتۡ/warabat//وَ اَنْۢبَتَتْ/وَأَنۢبَتَتۡ/wa-anbatat//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//زَوْجٍۭ/زَوۡجِۭ/zawjin//بَهِیْجٍ /بَهِيجٖ/bahijin",
              "words_bangla": "হে//মানবজাতি//যদি//তোমরা হও//মধ্যে//সন্দেহের//সম্পর্কে//উত্থান//তবে নিশ্চয়ই আমরা//তোমাদেরকে আমরা সৃষ্টি করেছি//হ'তে//মাটি//এরপর//হ'তে//শুক্র//এরপর//হ'তে//রক্তপিন্ড//এরপর//হ'তে//মাংসপিন্ড//পূর্ণাকৃতির//ও নয়//পূর্ণাকৃতির//যেন স্পষ্ট করি আমরা প্রকৃত সত্য//কাছে তোমাদের//এবং আমরা স্থিতিশীল করি//মধ্যে//জরায়ুসমূহের//যেমন//চাই আমরা//পর্যন্ত//সময়//নির্দিষ্ট//এরপর//তোমাদেরকে বের করি আমরা//শিশুরূপে//এরপর (ব্যবস্থা করি)//যেন তোমরা পৌঁছে যাও//যৌবনে তোমাদের//আর তোমাদের মধ্য হ'তে//কাউকে//মৃত্যূ দেয়া হয়//আবার তোমাদের মধ্য হ'তে//কাউকে//প্রত্যাবর্তন করানো হয়//দিকে//হীনতম//বয়সের//যেন না//সে জানবে//থেকে//পর//সবকিছু জেনে নেয়ার//কিছুমাত্র//এবং তুমি দেখছো//ভূমিকে//শুকনো//অতঃপর যখন//আমরা বর্ষণ করি//তার উপর//পানি//তা সতেজ হয়//ও ফুলে ফেঁপে ওঠে//এবং উদ্‌গত করে//প্রকার//সর্ব//উদ্ভিদ//সুদৃশ্য"
            },
            {
              "number": 2601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2601.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّهُۥ يُحْىِ ٱلْمَوْتَىٰ وَأَنَّهُۥ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "এগুলো এ কারণে যে, আল্লাহ সত্য এবং তিনি মৃতকে জীবিত করেন এবং তিনি সবকিছুর উপর ক্ষমতাবান।",
              "numberInSurah": 6,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা হুওয়াল হাক্কু ওয়া আন্নাহূইউহয়িল মাওতা-ওয়া আন্নাহূ‘আলাকুল্লি শাইয়িন কাদীর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//یُحْیِ/يُحۡيِ/yuh'yi//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌۙ/قَدِيرٞ/qadirun",
              "words_bangla": "এটা//এজন্যে যে//আল্লাহ//তিনিই//প্রকৃত সত্য//এবং এসব এজন্যে যে তিনিই//জীবিত করেন//মৃতদেরকে//এবং (এটা প্রমাণ করে যে) তিনিই//উপর//সব//কিছুর//শক্তিমান"
            },
            {
              "number": 2602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2602.mp3"
              ],
              "text": "وَأَنَّ ٱلسَّاعَةَ ءَاتِيَةٌۭ لَّا رَيْبَ فِيهَا وَأَنَّ ٱللَّهَ يَبْعَثُ مَن فِى ٱلْقُبُورِ",
              "translate_bn": "এবং এ কারণে যে, কেয়ামত অবশ্যম্ভাবী, এতে সন্দেহ নেই এবং এ কারণে যে, কবরে যারা আছে, আল্লাহ তাদেরকে পুনরুত্থিত করবেন।",
              "numberInSurah": 7,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাছছা-‘আতা আ-তিয়াতুল লা-রাইবা ফীহা- ওয়া আন্নাল্লা-হা ইয়াব‘আছুমান ফিল কুবূর।",
              "words_arabic": "وَّ اَنَّ/وَأَنَّ/wa-anna//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//اٰتِیَةٌ/ءَاتِيَةٞ/atiyatun//لَّا/لَّا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهَا ۙ/فِيهَا/fiha//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//یَبْعَثُ/يَبۡعَثُ/yab'athu//مَنْ/مَن/man//فِی/فِي/fi//الْقُبُوْرِ /ٱلۡقُبُورِ/al-quburi",
              "words_bangla": "এবং (এটা প্রমাণ করে) যে//ক্বিয়ামাত//অবশ্যম্ভাবী//নেই//কোন সন্দেহ//মধ্যে তার//এবং (এটা প্রমাণ করে) যে//আল্লাহ//উত্থিত করবেন//যারা (আছে)//মধ্যে//কবরসমূহের"
            },
            {
              "number": 2603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2603.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يُجَٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍۢ وَلَا هُدًۭى وَلَا كِتَٰبٍۢ مُّنِيرٍۢ",
              "translate_bn": "কতক মানুষ জ্ঞান; প্রমাণ ও উজ্জ্বল কিতাব ছাড়াই আল্লাহ সম্পর্কে বিতর্ক করে।",
              "numberInSurah": 8,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইউজা-দিলুফিল্লা-হি বিগাইরি ‘ইলমিওঁ ওয়ালা-হুদাওঁ ওয়ালা-কিতা-বিম মুনীর।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یُّجَادِلُ/يُجَٰدِلُ/yujadilu//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ/عِلۡمٖ/il'min//وَّ لَا/وَلَا/wala//هُدًی/هُدٗى/hudan//وَّ لَا/وَلَا/wala//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّنِیْرٍۙ/مُّنِيرٖ/munirin",
              "words_bangla": "এবং কেউ কেউ (মধ্য হ'তে)//লোকদের//যে//ঝগড়া করে//সম্বন্ধে//আল্লাহর//ছাড়াই//কোন জ্ঞান//এবং না (আছে)//(তাদের কাছে) পথ নির্দেশনা//আর না (আছে)//কিতাব//আলোকময়"
            },
            {
              "number": 2604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2604.mp3"
              ],
              "text": "ثَانِىَ عِطْفِهِۦ لِيُضِلَّ عَن سَبِيلِ ٱللَّهِ ۖ لَهُۥ فِى ٱلدُّنْيَا خِزْىٌۭ ۖ وَنُذِيقُهُۥ يَوْمَ ٱلْقِيَٰمَةِ عَذَابَ ٱلْحَرِيقِ",
              "translate_bn": "সে পার্শ্ব পরিবর্তন করে বিতর্ক করে, যাতে আল্লাহর পথ থেকে বিভ্রান্ত করে দেয়। তার জন্যে দুনিয়াতে লাঞ্ছনা আছে এবং কেয়ামতের দিন আমি তাকে দহন-যন্ত্রণা আস্বাদন করাব।",
              "numberInSurah": 9,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ছা-নিয়া-‘ইতফিহী লিইউদিল্লা ‘আন ছাবীলিল্লা-হি লাহূফিদ দুনইয়া-খিঝইয়ুওঁ ওয়া নুযীকুহূইয়াওমাল কিয়া-মাতি ‘আযা-বাল হারীক।",
              "words_arabic": "ثَانِیَ/ثَانِيَ/thaniya//عِطْفِهٖ/عِطۡفِهِۦ/it'fihi//لِیُضِلَّ/لِيُضِلَّ/liyudilla//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//خِزْیٌ/خِزۡيٞۖ/khiz'yun//وَّ نُذِیْقُهٗ/وَنُذِيقُهُۥ/wanudhiquhu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//عَذَابَ/عَذَابَ/adhaba//الْحَرِیْقِ /ٱلۡحَرِيقِ/al-hariqi",
              "words_bangla": "বাঁকা করে//তার ঘাড়//জন্যে বিভ্রান্ত করার//হ'তে//পথ//আল্লাহর//জন্যে তার//মধ্যে আছে//দুনিয়ার//লাঞ্ছনা//আর তাকে আস্বাদন করাবো আমরা//দিনে//ক্বিয়ামাতের//শাস্তি//দহনের"
            },
            {
              "number": 2605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2605.mp3"
              ],
              "text": "ذَٰلِكَ بِمَا قَدَّمَتْ يَدَاكَ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّٰمٍۢ لِّلْعَبِيدِ",
              "translate_bn": "এটা তোমার দুই হাতের কর্মের কারণে, আল্লাহ বান্দাদের প্রতি জুলুম করেন না।",
              "numberInSurah": 10,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 285,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিমা-কাদ্দামাত ইয়াদা-কা ওয়া আন্নাল্লা-হা লাইছা বিজাল্লা-মিল লিল‘আবীদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//یَدٰكَ/يَدَاكَ/yadaka//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//لَیْسَ/لَيۡسَ/laysa//بِظَلَّامٍ/بِظَلَّـٰمٖ/bizallamin//لِّلْعَبِیْدِ۠/لِّلۡعَبِيدِ/lil'abidi",
              "words_bangla": "(বলা হবে) এটা//এ কারণে যা//আগে পাঠিয়েছে//তোমার হাত//এবং (এও) যে//আল্লাহ//নন//অত্যাচারী//দাসদের প্রতি"
            },
            {
              "number": 2606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2606.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَعْبُدُ ٱللَّهَ عَلَىٰ حَرْفٍۢ ۖ فَإِنْ أَصَابَهُۥ خَيْرٌ ٱطْمَأَنَّ بِهِۦ ۖ وَإِنْ أَصَابَتْهُ فِتْنَةٌ ٱنقَلَبَ عَلَىٰ وَجْهِهِۦ خَسِرَ ٱلدُّنْيَا وَٱلْءَاخِرَةَ ۚ ذَٰلِكَ هُوَ ٱلْخُسْرَانُ ٱلْمُبِينُ",
              "translate_bn": "মানুষের মধ্যে কেউ কেউ দ্বিধা-দ্বন্দ্বে জড়িত হয়ে আল্লাহর এবাদত করে। যদি সে কল্যাণ প্রাপ্ত হয়, তবে এবাদতের উপর কায়েম থাকে এবং যদি কোন পরীক্ষায় পড়ে, তবে পূর্বাবস্থায় ফিরে যায়। সে ইহকালে ও পরকালে ক্ষতিগ্রস্ত। এটাই প্রকাশ্য ক্ষতি",
              "numberInSurah": 11,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইয়া‘বুদুল্লা-হা ‘আলা-হারফিন ফাইন আসা-বাহূখাইরুনিতমাআন্না বিহী ওয়া ইন আসা-বাতহু ফিতনাতুনিনকালাবা ‘আলা-ওয়াজহিহী খাছিরাদ দুনইয়া-ওয়াল আ-খিরাতা যা-লিকা হুওয়াল খুছরা-নুল মুবীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّعْبُدُ/يَعۡبُدُ/ya'budu//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//حَرْفٍ ۚ/حَرۡفٖۖ/harfin//فَاِنْ/فَإِنۡ/fa-in//اَصَابَهٗ/أَصَابَهُۥ/asabahu//خَیْرُ/خَيۡرٌ/khayrun//طْمَاَنَّ/ٱطۡمَأَنَّ/it'ma-anna//بِهٖ ۚ/بِهِۦۖ/bihi//وَ اِنْ/وَإِنۡ/wa-in//اَصَابَتْهُ/أَصَابَتۡهُ/asabathu//فِتْنَةُ/فِتۡنَةٌ/fit'natun//نْقَلَبَ/ٱنقَلَبَ/inqalaba//عَلٰی/عَلَىٰ/ala//وَجْهِهٖ ۚ۫/وَجۡهِهِۦ/wajhihi//خَسِرَ/خَسِرَ/khasira//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةَ ؕ/وَٱلۡأٓخِرَةَۚ/wal-akhirata//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْخُسْرَانُ/ٱلۡخُسۡرَانُ/al-khus'ranu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং কেউ কেউ (মধ্য হ'তে)//লোকদের//যে//ইবাদাত করে//আল্লাহর//উপর//এক প্রান্তে (দাঁড়িয়ে)//অতঃপর যদি//তার (উপর) পৌঁছে//কোন কল্যাণ//সে প্রশান্ত হয়//তার মাধ্যমে//আর যদি//তার (উপর) পৌঁছে//কোন বিপর্যয়//ফিরে যায়//উপর//তার (আসল) চেহারার (অর্থাৎ কুফুরীতে)//সে ক্ষতিগ্রস্ত হলো//দুনিয়াতে//ও আখিরাতে//এটা//সেই//ক্ষতি//সুস্পষ্ট"
            },
            {
              "number": 2607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2607.mp3"
              ],
              "text": "يَدْعُوا۟ مِن دُونِ ٱللَّهِ مَا لَا يَضُرُّهُۥ وَمَا لَا يَنفَعُهُۥ ۚ ذَٰلِكَ هُوَ ٱلضَّلَٰلُ ٱلْبَعِيدُ",
              "translate_bn": "সে আল্লাহর পরিবর্তে এমন কিছুকে ডাকে, যে তার অপকার করতে পারে না এবং উপকারও করতে পারে না। এটাই চরম পথভ্রষ্টতা।",
              "numberInSurah": 12,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইয়াদ‘ঊ মিন দূ নিল্লা-হি মা-লা-ইয়াদুররুহূওয়ামা- লা- ইয়ানফা‘উহূ যা-লিকা হুওয়াদ দালা-লুল বা‘ঈদ।",
              "words_arabic": "یَدْعُوْا/يَدۡعُواْ/yad'u//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَضُرُّهٗ/يَضُرُّهُۥ/yadurruhu//وَ مَا/وَمَا/wama//لَا/لَا/la//یَنْفَعُهٗ ؕ/يَنفَعُهُۥۚ/yanfa'uhu//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الضَّلٰلُ/ٱلضَّلَٰلُ/al-dalalu//الْبَعِیْدُۚ/ٱلۡبَعِيدُ/al-ba'idu",
              "words_bangla": "তারা ডাকে//মধ্য হতে//পরিবর্তে//আল্লাহর//যা//না//তাকে ক্ষতি করতে পারে//আর যা//না//তার উপকার করতে পারে//এটা//সেই//পথভ্রষ্টতা//সুদূর (চরম)"
            },
            {
              "number": 2608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2608.mp3"
              ],
              "text": "يَدْعُوا۟ لَمَن ضَرُّهُۥٓ أَقْرَبُ مِن نَّفْعِهِۦ ۚ لَبِئْسَ ٱلْمَوْلَىٰ وَلَبِئْسَ ٱلْعَشِيرُ",
              "translate_bn": "সে এমন কিছুকে ডাকে, যার অপকার উপকারের আগে পৌছে। কত মন্দ এই বন্ধু এবং কত মন্দ এই সঙ্গী।",
              "numberInSurah": 13,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইয়াদ‘ঊ লামান দাররুহূআকরাবুমিন নাফ‘ইহী লাবি’ছাল মাওলা-ওয়ালা-বি’ছাল ‘আশীর।",
              "words_arabic": "یَدْعُوْا/يَدۡعُواْ/yad'u//لَمَنْ/لَمَن/laman//ضَرُّهٗۤ/ضَرُّهُۥٓ/darruhu//اَقْرَبُ/أَقۡرَبُ/aqrabu//مِنْ/مِن/min//نَّفْعِهٖ ؕ/نَّفۡعِهِۦۚ/naf'ihi//لَبِئْسَ/لَبِئۡسَ/labi'sa//الْمَوْلٰی/ٱلۡمَوۡلَىٰ/al-mawla//وَ لَبِئْسَ/وَلَبِئۡسَ/walabi'sa//الْعَشِیْرُ /ٱلۡعَشِيرُ/al-'ashiru",
              "words_bangla": "তারা ডাকে//অবশ্যই এমন কিছুকে//যার ক্ষতি//নিকটতর অধিকতর//অপেক্ষা//তার উপকারিতা//অবশ্যই কত নিকৃষ্ট//অভিভাবক//আর অবশ্যই কত নিকৃষ্ট//সঙ্গী"
            },
            {
              "number": 2609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2609.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۚ إِنَّ ٱللَّهَ يَفْعَلُ مَا يُرِيدُ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে ও সৎকর্ম সম্পাদন করে, আল্লাহ তাদেরকে জান্নাতে দাখিল করবেন, যার তলদেশ দিয়ে নির্ঝরণীসমূহ প্রবাহিত হয়। আল্লাহ যা ইচ্ছা তাই করেন।",
              "numberInSurah": 14,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউদখিলুল্লাযীনা আ-মানূওয়া আমিলুসসা-লিহা-তি জান্না-তিন তাজরী মিন তাহতিহাল আহা-রু ইন্নাল্লা-হা ইয়াফ‘আলুমা-ইউরীদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُدْخِلُ/يُدۡخِلُ/yud'khilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؕ/ٱلۡأَنۡهَٰرُۚ/al-anharu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//مَا/مَا/ma//یُرِیْدُ /يُرِيدُ/yuridu",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//প্রবেশ করাবেন//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকাজসমূহের//(এমন) জান্নাতে//প্রবাহিত হয়//থেকে//যার নিচ//ঝর্নাসমূহ//নিশ্চয়ই//আল্লাহ//করেন//যা//চান তিনি"
            },
            {
              "number": 2610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2610.mp3"
              ],
              "text": "مَن كَانَ يَظُنُّ أَن لَّن يَنصُرَهُ ٱللَّهُ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ فَلْيَمْدُدْ بِسَبَبٍ إِلَى ٱلسَّمَآءِ ثُمَّ لْيَقْطَعْ فَلْيَنظُرْ هَلْ يُذْهِبَنَّ كَيْدُهُۥ مَا يَغِيظُ",
              "translate_bn": "সে ধারণা করে যে, আল্লাহ কখনই ইহকালে ও পরকালে রাসূলকে সাহায্য করবেন না, সে একটি রশি আকাশ পর্যন্ত ঝুলিয়ে নিক; এরপর কেটে দিক; অতঃপর দেখুক তার এই কৌশল তার আক্রোশ দূর করে কিনা।",
              "numberInSurah": 15,
              "juz": 17,
              "manzil": 4,
              "page": 333,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইয়াজু ন্নুআল্লাইঁ ইয়ানসুরাহুল্লা-হুফিদদুনইয়া-ওয়াল আ-খিরাতি ফালইয়ামদুদ বিছাবাবিন ইলাছ ছামাইছু ম্মাল ইয়াকতা‘ ফালইয়ানজু র হাল ইউযহিবান্না কাইদুহূমাইয়াগীজ।",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//یَظُنُّ/يَظُنُّ/yazunnu//اَنْ/أَن/an//لَّنْ/لَّن/lan//یَّنْصُرَهُ/يَنصُرَهُ/yansurahu//اللّٰهُ/ٱللَّهُ/al-lahu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ/وَٱلۡأٓخِرَةِ/wal-akhirati//فَلْیَمْدُدْ/فَلۡيَمۡدُدۡ/falyamdud//بِسَبَبٍ/بِسَبَبٍ/bisababin//اِلَی/إِلَى/ila//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//ثُمَّ/ثُمَّ/thumma//لْیَقْطَعْ/لۡيَقۡطَعۡ/l'yaqta'//فَلْیَنْظُرْ/فَلۡيَنظُرۡ/falyanzur//هَلْ/هَلۡ/hal//یُذْهِبَنَّ/يُذۡهِبَنَّ/yudh'hibanna//كَیْدُهٗ/كَيۡدُهُۥ/kayduhu//مَا/مَا/ma//یَغِیْظُ /يَغِيظُ/yaghizu",
              "words_bangla": "যে//ছিলো//ধারণা করতো//যে//কখনও না//তাকে (রাসূল সাল্লাল্লাহু 'আলাইহি ওয়া সাল্লাম-কে) সাহায্য করবেন//আল্লাহ//মধ্যে//দুনিয়ার//ও আখিরাতে//তাহ'লে সে লম্বা করুক//নিয়ে একটি রশিকে//পর্যন্ত//আকাশ//এরপর (সেখানে পৌঁছে)//যেন তা কেটে দেয় (ওহীর ধারা)//অতঃপর দেখুক//কি//দূর করতে পারবে//তার কৌশল//যা//রাগান্বিত করে (তাকে)"
            },
            {
              "number": 2611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2611.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَنزَلْنَٰهُ ءَايَٰتٍۭ بَيِّنَٰتٍۢ وَأَنَّ ٱللَّهَ يَهْدِى مَن يُرِيدُ",
              "translate_bn": "এমনিভাবে আমি সুস্পষ্ট আয়াত রূপে কোরআন নাযিল করেছি এবং আল্লাহ-ই যাকে ইচ্ছা হেদায়েত করেন।",
              "numberInSurah": 16,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আনঝালনা-হু আ-য়া-তিম বাইয়িনা-তিওঁ ওয়া আন্নাল্লা-হা ইয়াহদী মাইঁ ইউরীদ।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ ۙ/بَيِّنَٰتٖ/bayyinatin//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یُّرِیْدُ /يُرِيدُ/yuridu",
              "words_bangla": "আর এরূপেই//তা আমরা অবতীর্ণ করেছি//আয়াত (রূপে)//সুস্পষ্ট//আর নিশ্চয়ই//আল্লাহ//পথ দেখান//যাকে//চান"
            },
            {
              "number": 2612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2612.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلصَّٰبِـِٔينَ وَٱلنَّصَٰرَىٰ وَٱلْمَجُوسَ وَٱلَّذِينَ أَشْرَكُوٓا۟ إِنَّ ٱللَّهَ يَفْصِلُ بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌ",
              "translate_bn": "যারা মুসলমান, যারা ইহুদী, সাবেয়ী, খ্রীষ্টান, অগ্নিপুজক এবং যারা মুশরেক, কেয়ামতের দিন আল্লাহ অবশ্যই তাদের মধ্যে ফায়সালা করে দেবেন। সবকিছুই আল্লাহর দৃষ্টির সামনে।",
              "numberInSurah": 17,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়াল্লাযীনা হা-দূওয়াসসা-বিঈনা ওয়ান্নাসা-রা-ওয়াল মাজুছা ওয়াল্লাযীনা আশরাকূ ইন্নাল্লা-হা ইয়াফসিলুবাইনাহুম ইয়াওমাল কিয়া-মাতি ইন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَادُوْا/هَادُواْ/hadu//وَ الصّٰبِـِٕیْنَ/وَٱلصَّـٰبِـِٔينَ/wal-sabiina//وَ النَّصٰرٰی/وَٱلنَّصَٰرَىٰ/wal-nasara//وَ الْمَجُوْسَ/وَٱلۡمَجُوسَ/wal-majusa//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اَشْرَكُوْۤا ۖۗ/أَشۡرَكُوٓاْ/ashraku//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَفْصِلُ/يَفۡصِلُ/yafsilu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌ /شَهِيدٌ/shahidun",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও যারা//ইয়াহুদী হয়েছে//ও সাবেয়ী//ও খ্রিষ্টান//ও অগ্নি পূজারক//এবং যারা//শিরক করেছে//নিশ্চয়ই//আল্লাহ//মীমাংসা করে দিবেন//তাদের মাঝে//দিনে//ক্বিয়ামাতের//নিশ্চয়ই//আল্লাহ//সম্পর্কে//সব//কিছু//প্রত্যক্ষকারী"
            },
            {
              "number": 2613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2613.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ يَسْجُدُ لَهُۥ مَن فِى ٱلسَّمَٰوَٰتِ وَمَن فِى ٱلْأَرْضِ وَٱلشَّمْسُ وَٱلْقَمَرُ وَٱلنُّجُومُ وَٱلْجِبَالُ وَٱلشَّجَرُ وَٱلدَّوَآبُّ وَكَثِيرٌۭ مِّنَ ٱلنَّاسِ ۖ وَكَثِيرٌ حَقَّ عَلَيْهِ ٱلْعَذَابُ ۗ وَمَن يُهِنِ ٱللَّهُ فَمَا لَهُۥ مِن مُّكْرِمٍ ۚ إِنَّ ٱللَّهَ يَفْعَلُ مَا يَشَآءُ ۩",
              "translate_bn": "তুমি কি দেখনি যে, আল্লাহকে সেজদা করে যা কিছু আছে নভোমন্ডলে, যা কিছু আছে ভুমন্ডলে, সূর্য, চন্দ্র, তারকারাজি পর্বতরাজি বৃক্ষলতা, জীবজন্তু এবং অনেক মানুষ। আবার অনেকের উপর অবধারিত হয়েছে শাস্তি। আল্লাহ যাকে ইচ্ছা লাঞ্ছিত করেন, তাকে কেউ সম্মান দিতে পারে না। আল্লাহ যা ইচ্ছা তাই করেন",
              "numberInSurah": 18,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 133,
              "sajda": {
                "id": 6,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ইয়াছজুদুলাহূ মান ফিছ ছামা-ওয়া-তি ওয়া মান ফিল আরদি ওয়াশশামছুওয়ালকামারু ওয়ান নুজূমুওয়াল জিবা-লুওয়াশশাজারু ওয়াদ্দাওয়া ব্বুওয়া কাছীরুম মিনান্না-ছি ওয়া কাছীরুন হাক্কা ‘আলাইহিল ‘আযা-বু ওয়া মাইঁ ইউহিনিল্লা-হু ফামা-লাহূ মিম মুকরিমিন ইন্নাল্লা-হা ইয়াফ‘আলুমা-ইয়াশাউ(ছিজদাহ-৬)।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَسْجُدُ/يَسۡجُدُۤ/yasjudu//لَهٗ/لَهُۥۤ/lahu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ الشَّمْسُ/وَٱلشَّمۡسُ/wal-shamsu//وَ الْقَمَرُ/وَٱلۡقَمَرُ/wal-qamaru//وَ النُّجُوْمُ/وَٱلنُّجُومُ/wal-nujumu//وَ الْجِبَالُ/وَٱلۡجِبَالُ/wal-jibalu//وَ الشَّجَرُ/وَٱلشَّجَرُ/wal-shajaru//وَ الدَّوَآبُّ/وَٱلدَّوَآبُّ/wal-dawabu//وَ كَثِیْرٌ/وَكَثِيرٞ/wakathirun//مِّنَ/مِّنَ/mina//النَّاسِ ؕ/ٱلنَّاسِۖ/al-nasi//وَ كَثِیْرٌ/وَكَثِيرٌ/wakathirun//حَقَّ/حَقَّ/haqqa//عَلَیْهِ/عَلَيۡهِ/alayhi//الْعَذَابُ ؕ/ٱلۡعَذَابُۗ/al-'adhabu//وَ مَنْ/وَمَن/waman//یُّهِنِ/يُهِنِ/yuhini//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//مُّكْرِمٍ ؕ/مُّكۡرِمٍۚ/muk'rimin//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَفْعَلُ/يَفۡعَلُ/yaf 'alu//مَا/مَا/ma//یَشَآءُؕ۩/يَشَآءُ۩/yashau",
              "words_bangla": "নি কি//তুমি দেখো//যে//আল্লাহ (এমন সত্ত্বা)//সিজদা করে//তাঁর জন্যে//যা কিছু//আছে//আকাশমন্ডলীতে//ও যা কিছু//আছে//পৃথিবীতে//এবং সূর্য//ও চাঁদ//ও নক্ষত্রমণ্ডলী//ও পর্বতরাজি//ও গাছপালা//ও জীবজন্তু//এবং অনেকে//মধ্য হ'তে//মানুষের (সিজদাবনত থাকে)//আবার অনেকের//অবধারিত হয়েছে//যার উপর//শাস্তি (তারা এর বিপরীত)//এবং যাকে//হেয় করেন//আল্লাহ//সেক্ষেত্রে নেই//জন্যে তার//কোন//সম্মানদাতা//নিশ্চয়ই//আল্লাহ//করেন//যা//তিনি চান"
            },
            {
              "number": 2614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2614.mp3"
              ],
              "text": "۞ هَٰذَانِ خَصْمَانِ ٱخْتَصَمُوا۟ فِى رَبِّهِمْ ۖ فَٱلَّذِينَ كَفَرُوا۟ قُطِّعَتْ لَهُمْ ثِيَابٌۭ مِّن نَّارٍۢ يُصَبُّ مِن فَوْقِ رُءُوسِهِمُ ٱلْحَمِيمُ",
              "translate_bn": "এই দুই বাদী বিবাদী, তারা তাদের পালনকর্তা সম্পর্কে বিতর্ক করে। অতএব যারা কাফের, তাদের জন্যে আগুনের পোশাক তৈরী করা হয়েছে। তাদের মাথার উপর ফুটন্ত পানি ঢেলে দেয়া হবে।",
              "numberInSurah": 19,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "হা-যা-নি খাছমা-নিখ তাছামূফী রাব্বিহিম ফাল্লাযীনা কাফারূকুত্তি‘আত লাহুম ছিয়া-বুম মিন্না-রিইঁ ইউসাব্বুমিন ফাওকিরুঊছিহিমুল হামীম।",
              "words_arabic": "هٰذٰنِ/۞هَٰذَانِ/hadhani//خَصْمٰنِ/خَصۡمَانِ/khasmani//اخْتَصَمُوْا/ٱخۡتَصَمُواْ/ikh'tasamu//فِیْ/فِي/fi//رَبِّهِمْ ؗ/رَبِّهِمۡۖ/rabbihim//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//قُطِّعَتْ/قُطِّعَتۡ/qutti'at//لَهُمْ/لَهُمۡ/lahum//ثِیَابٌ/ثِيَابٞ/thiyabun//مِّنْ/مِّن/min//نَّارٍ ؕ/نَّارٖ/narin//یُصَبُّ/يُصَبُّ/yusabbu//مِنْ/مِن/min//فَوْقِ/فَوۡقِ/fawqi//رُءُوْسِهِمُ/رُءُوسِهِمُ/ruusihimu//الْحَمِیْمُۚ/ٱلۡحَمِيمُ/al-hamimu",
              "words_bangla": "এই দুই//বিবদমান পক্ষদ্বয়//বিতর্ক করছে//সম্পর্কে//তাদের রব//তাই যারা//অস্বীকার করেছে//কেটে তৈরী করা হয়েছে//জন্যে তাদের//পোশাক//তৈরি//আগুনের//ঢেলে দেয়া হবে//হ'তে//উপর//তাদের মাথার//ফুটন্ত পানি"
            },
            {
              "number": 2615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2615.mp3"
              ],
              "text": "يُصْهَرُ بِهِۦ مَا فِى بُطُونِهِمْ وَٱلْجُلُودُ",
              "translate_bn": "ফলে তাদের পেটে যা আছে, তা এবং চর্ম গলে বের হয়ে যাবে।",
              "numberInSurah": 20,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ইউসহারু বিহী মা-ফী বুতূনিহিম ওয়াল জুলূদ।",
              "words_arabic": "یُصْهَرُ/يُصۡهَرُ/yus'haru//بِهٖ/بِهِۦ/bihi//مَا/مَا/ma//فِیْ/فِي/fi//بُطُوْنِهِمْ/بُطُونِهِمۡ/butunihim//وَ الْجُلُوْدُؕ/وَٱلۡجُلُودُ/wal-juludu",
              "words_bangla": "গলে যায়//দিয়ে তা//যা কিছু//মধ্যে (আছে)//তাদের পেটসমূহের//ও চামড়াগুলো"
            },
            {
              "number": 2616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2616.mp3"
              ],
              "text": "وَلَهُم مَّقَٰمِعُ مِنْ حَدِيدٍۢ",
              "translate_bn": "তাদের জন্যে আছে লোহার হাতুড়ি।",
              "numberInSurah": 21,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহুম মাকা-মি‘উ মিন হাদীদ।",
              "words_arabic": "وَ لَهُمْ/وَلَهُم/walahum//مَّقَامِعُ/مَّقَٰمِعُ/maqami'u//مِنْ/مِنۡ/min//حَدِیْدٍ /حَدِيدٖ/hadidin",
              "words_bangla": "আর জন্যে তাদের রয়েছে//মুগুরগুলো//(তৈরী) দিয়ে//লোহা"
            },
            {
              "number": 2617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2617.mp3"
              ],
              "text": "كُلَّمَآ أَرَادُوٓا۟ أَن يَخْرُجُوا۟ مِنْهَا مِنْ غَمٍّ أُعِيدُوا۟ فِيهَا وَذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ",
              "translate_bn": "তারা যখনই যন্ত্রনায় অতিষ্ঠ হয়ে জাহান্নাম থেকে বের হতে চাইবে, তখনই তাদেরকে তাতে ফিরিয়ে দেয়া হবে। বলা হবেঃ দহন শাস্তি আস্বাদন কর।",
              "numberInSurah": 22,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 286,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "কুল্লামাআরা-দূ আইঁ ইয়াখরুজুমিনহা-মিন গাম্বিন উ‘ঈদূফীহা- ওয়া যূকূ‘আযাবাল হারীক।",
              "words_arabic": "كُلَّمَاۤ/كُلَّمَآ/kullama//اَرَادُوْۤا/أَرَادُوٓاْ/aradu//اَنْ/أَن/an//یَّخْرُجُوْا/يَخۡرُجُواْ/yakhruju//مِنْهَا/مِنۡهَا/min'ha//مِنْ/مِنۡ/min//غَمٍّ/غَمٍّ/ghammin//اُعِیْدُوْا/أُعِيدُواْ/u'idu//فِیْهَا ۗ/فِيهَا/fiha//وَ ذُوْقُوْا/وَذُوقُواْ/wadhuqu//عَذَابَ/عَذَابَ/adhaba//الْحَرِیْقِ۠/ٱلۡحَرِيقِ/al-hariqi",
              "words_bangla": "যখনই//চাইবে তারা//যে//তারা বের হবে//তা হ'তে//কারণে//যন্ত্রণার//তাদেরকে ফিরিয়ে দেয়া হবে//তার মধ্যে//\"এবং (বলা হবে) তোমরা স্বাদ নাও//শাস্তির//দহনের\""
            },
            {
              "number": 2618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2618.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍۢ وَلُؤْلُؤًۭا ۖ وَلِبَاسُهُمْ فِيهَا حَرِيرٌۭ",
              "translate_bn": "নিশ্চয় যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম করে, আল্লাহ তাদেরকে দাখিল করবেন উদ্যান সমূহে, যার তলদেশ দিয়ে নির্ঝরিণীসমূহ প্রবাহিত হবে। তাদেরকে তথায় স্বর্ণ-কংকন ও মুক্তা দ্বারা অলংকৃত করা হবে এবং তথায় তাদের পোশাক হবে রেশমী।",
              "numberInSurah": 23,
              "juz": 17,
              "manzil": 4,
              "page": 334,
              "ruku": 287,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউদখিলুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ইউহাল্লাওনা ফীহা-মিন আছা-বিরা মিন যাহাবিওঁ ওয়া লু’লুওআওঁ ওয়া লিবা-ছুহুম ফীহা-হারীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُدْخِلُ/يُدۡخِلُ/yud'khilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//یُحَلَّوْنَ/يُحَلَّوۡنَ/yuhallawna//فِیْهَا/فِيهَا/fiha//مِنْ/مِنۡ/min//اَسَاوِرَ/أَسَاوِرَ/asawira//مِنْ/مِن/min//ذَهَبٍ/ذَهَبٖ/dhahabin//وَّ لُؤْلُؤًا ؕ/وَلُؤۡلُؤٗاۖ/walu'lu-an//وَ لِبَاسُهُمْ/وَلِبَاسُهُمۡ/walibasuhum//فِیْهَا/فِيهَا/fiha//حَرِیْرٌ /حَرِيرٞ/harirun",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//প্রবেশ করাবেন//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//জান্নাতসমূহে//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাসমূহ//তাদেরকে অলংকৃত করা হবে//তার মধ্যে//দ্বারা//কঙ্কণ//তৈরি//সোনার//ও মুক্তার//তাদের পোশাক (হবে)//তার মধ্যে//রেশমের"
            },
            {
              "number": 2619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2619.mp3"
              ],
              "text": "وَهُدُوٓا۟ إِلَى ٱلطَّيِّبِ مِنَ ٱلْقَوْلِ وَهُدُوٓا۟ إِلَىٰ صِرَٰطِ ٱلْحَمِيدِ",
              "translate_bn": "তারা পথপ্রদর্শিত হয়েছিল সৎবাক্যের দিকে এবং পরিচালিত হয়েছিল প্রশংসিত আল্লাহর পথপানে।",
              "numberInSurah": 24,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 287,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুদূ ইলাততাইয়িবি মিনাল কাওলি ওয়া হুদূ ইলা-সিরা-তিল হামীদ।",
              "words_arabic": "وَ هُدُوْۤا/وَهُدُوٓاْ/wahudu//اِلَی/إِلَى/ila//الطَّیِّبِ/ٱلطَّيِّبِ/al-tayibi//مِنَ/مِنَ/mina//الْقَوْلِ ۖۚ/ٱلۡقَوۡلِ/al-qawli//وَ هُدُوْۤا/وَهُدُوٓاْ/wahudu//اِلٰی/إِلَىٰ/ila//صِرَاطِ/صِرَٰطِ/sirati//الْحَمِیْدِ /ٱلۡحَمِيدِ/al-hamidi",
              "words_bangla": "এবং তাদেরকে সৎপথের দিশা দেয়া হয়েছে//প্রতি//পবিত্র//থেকে//বাণীর (কবুলের)//পরিচালিত করা হয়েছে//দিকে//পথের//প্রশংসিতের (অর্থাৎ আল্লাহর)"
            },
            {
              "number": 2620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2620.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَٱلْمَسْجِدِ ٱلْحَرَامِ ٱلَّذِى جَعَلْنَٰهُ لِلنَّاسِ سَوَآءً ٱلْعَٰكِفُ فِيهِ وَٱلْبَادِ ۚ وَمَن يُرِدْ فِيهِ بِإِلْحَادٍۭ بِظُلْمٍۢ نُّذِقْهُ مِنْ عَذَابٍ أَلِيمٍۢ",
              "translate_bn": "যারা কুফর করে ও আল্লাহর পথে বাধা সৃষ্টি করে এবং সেই মসজিদে হারাম থেকে বাধা দেয়, যাকে আমি প্রস্তুত করেছি স্থানীয় ও বহিরাগত সকল মানুষের জন্যে সমভাবে এবং যে মসজিদে হারামে অন্যায়ভাবে কোন ধর্মদ্রোহী কাজ করার ইচছা করে, আমি তাদেরকে যন্ত্রানাদায়ক শাস্তি আস্বাদন করাব।",
              "numberInSurah": 25,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 287,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূওয়া ইয়াসুদ্দূনা ‘আন ছাবীলিল্লা-হি ওয়াল মাছজিদিল হারা-মিল্লাযী জা‘আলনা-হু লিন্না-ছি ছাওয়া-আনিল ‘আ-কিফুফীহি ওয়াল বা-দি ওয়া মাইঁ ইউরিদ ফীহি বিইলহা-দিম বিজু লমিন নুযিকহু মিন ‘আযা-বিন আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ یَصُدُّوْنَ/وَيَصُدُّونَ/wayasudduna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْمَسْجِدِ/وَٱلۡمَسۡجِدِ/wal-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//سَوَآءَ/سَوَآءً/sawaan//لْعَاكِفُ/ٱلۡعَٰكِفُ/al-'akifu//فِیْهِ/فِيهِ/fihi//وَ الْبَادِ ؕ/وَٱلۡبَادِۚ/wal-badi//وَ مَنْ/وَمَن/waman//یُّرِدْ/يُرِدۡ/yurid//فِیْهِ/فِيهِ/fihi//بِاِلْحَادٍۭ/بِإِلۡحَادِۭ/bi-il'hadin//بِظُلْمٍ/بِظُلۡمٖ/bizul'min//نُّذِقْهُ/نُّذِقۡهُ/nudhiq'hu//مِنْ/مِنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//اَلِیْمٍ۠/أَلِيمٖ/alimin",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করেছে//ও বাদা দেয়//হ'তে//পথ//আল্লাহর//ও মাসজিদে//হারাম (হ'তে)//যা//আমরা করেছি তা//জন্যে মানুষের//সমান (অধিকার)//(অর্থাৎ যারা) স্থানীয় বাসিন্দা//তার মধ্যে//ও বহিরাগত//আর যে//ইচ্ছে করে//তার মধ্যে//ব্যাপারে পাপ কাজের//অন্যায়ভাবে//তাকে আস্বাদন করাবো আমরা//থেকে//শাস্তি//নিদারুণ"
            },
            {
              "number": 2621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2621.mp3"
              ],
              "text": "وَإِذْ بَوَّأْنَا لِإِبْرَٰهِيمَ مَكَانَ ٱلْبَيْتِ أَن لَّا تُشْرِكْ بِى شَيْـًۭٔا وَطَهِّرْ بَيْتِىَ لِلطَّآئِفِينَ وَٱلْقَآئِمِينَ وَٱلرُّكَّعِ ٱلسُّجُودِ",
              "translate_bn": "যখন আমি ইব্রাহীমকে বায়তুল্লাহর স্থান ঠিক করে দিয়েছিলাম যে, আমার সাথে কাউকে শরীক করো না এবং আমার গৃহকে পবিত্র রাখ তাওয়াফকারীদের জন্যে, নামাযে দন্ডায়মানদের জন্যে এবং রকু সেজদাকারীদের জন্যে।",
              "numberInSurah": 26,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয বাওওয়া’না- লিইবরা-হীমা মাকা-নাল বাইতি আল্লা-তুশরিক বী শাইআও ওয়াতাহহির বাইতিয়া লিততাইফীনা ওয়াল কাইমীনা ওয়াররুক্কা‘ইছছুজুদ ।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//بَوَّاْنَا/بَوَّأۡنَا/bawwana//لِاِبْرٰهِیْمَ/لِإِبۡرَٰهِيمَ/li-ib'rahima//مَكَانَ/مَكَانَ/makana//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//اَنْ/أَن/an//لَّا/لَّا/la//تُشْرِكْ/تُشۡرِكۡ/tush'rik//بِیْ/بِي/bi//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ طَهِّرْ/وَطَهِّرۡ/watahhir//بَیْتِیَ/بَيۡتِيَ/baytiya//لِلطَّآىِٕفِیْنَ/لِلطَّآئِفِينَ/lilttaifina//وَ الْقَآىِٕمِیْنَ/وَٱلۡقَآئِمِينَ/wal-qaimina//وَ الرُّكَّعِ/وَٱلرُّكَّعِ/wal-ruka'i//السُّجُوْدِ /ٱلسُّجُودِ/al-sujudi",
              "words_bangla": "এবং (স্মরণ করো) যখন//আমরা নির্দিষ্ট করেছিলাম//জন্যে ইব্রাহীমের//স্থান//(কা'বা) ঘরের//\"যে//না//শিরক করো//সাথে আমার//কোন কিছুর//ও পবিত্র রাখো//আমার ঘরকে//জন্যে তওয়াফকারীদের//ও (সালাতে) দন্ডায়মানদের//ও রুকুকারীদের//সিজদাকারীদের (জন্যে)"
            },
            {
              "number": 2622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2622.mp3"
              ],
              "text": "وَأَذِّن فِى ٱلنَّاسِ بِٱلْحَجِّ يَأْتُوكَ رِجَالًۭا وَعَلَىٰ كُلِّ ضَامِرٍۢ يَأْتِينَ مِن كُلِّ فَجٍّ عَمِيقٍۢ",
              "translate_bn": "এবং মানুষের মধ্যে হজ্বের জন্যে ঘোষণা প্রচার কর। তারা তোমার কাছে আসবে পায়ে হেঁটে এবং সর্বপ্রকার কৃশকায় উটের পিঠে সওয়ার হয়ে দূর-দূরান্ত থেকে।",
              "numberInSurah": 27,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়া আযযিনফিন্না-ছি বিলহাজ্জি ইয়া’তূকা রিজা-লাওঁ ওয়া ‘আলা-কুল্লি দামিরিইঁ ইয়া’তীনা মিন কুল্লি ফাজজিন ‘আমীক।",
              "words_arabic": "وَ اَذِّنْ/وَأَذِّن/wa-adhin//فِی/فِي/fi//النَّاسِ/ٱلنَّاسِ/al-nasi//بِالْحَجِّ/بِٱلۡحَجِّ/bil-haji//یَاْتُوْكَ/يَأۡتُوكَ/yatuka//رِجَالًا/رِجَالٗا/rijalan//وَّ عَلٰی/وَعَلَىٰ/wa'ala//كُلِّ/كُلِّ/kulli//ضَامِرٍ/ضَامِرٖ/damirin//یَّاْتِیْنَ/يَأۡتِينَ/yatina//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//فَجٍّ/فَجٍّ/fajjin//عَمِیْقٍۙ/عَمِيقٖ/amiqin",
              "words_bangla": "এবং ঘোষণা দাও//নিকট//মানুষের//ব্যাপারে হজ্জের//তোমার নিকট আসবে//পায়ে হেঁটে//ও (চড়ে) উপর//সর্ব (প্রকার)//ক্ষীণকায় উটের//তারা আসবে//হ'তে//সব//পথ//দূরদূরান্তের"
            },
            {
              "number": 2623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2623.mp3"
              ],
              "text": "لِّيَشْهَدُوا۟ مَنَٰفِعَ لَهُمْ وَيَذْكُرُوا۟ ٱسْمَ ٱللَّهِ فِىٓ أَيَّامٍۢ مَّعْلُومَٰتٍ عَلَىٰ مَا رَزَقَهُم مِّنۢ بَهِيمَةِ ٱلْأَنْعَٰمِ ۖ فَكُلُوا۟ مِنْهَا وَأَطْعِمُوا۟ ٱلْبَآئِسَ ٱلْفَقِيرَ",
              "translate_bn": "যাতে তারা তাদের কল্যাণের স্থান পর্যন্ত পৌছে এবং নির্দিষ্ট দিনগুলোতে আল্লাহর নাম স্মরণ করে তাঁর দেয়া চতুস্পদ জন্তু যবেহ করার সময়। অতঃপর তোমরা তা থেকে আহার কর এবং দুঃস্থ-অভাবগ্রস্থকে আহার করাও।",
              "numberInSurah": 28,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "লিইয়াশহাদূমানা-ফি‘আ লাহুম ওয়া ইয়াযকুরুছমাল্লা-হি ফীআইইয়া-মিম মা‘লূমা-তিন ‘আলা-মা-রাঝাকাহুম মিম বাহীমাতিল আন‘আ-মি ফাকুলূমিনহা-ওয়াআত‘ইমুল বাইছাল ফাকীর।",
              "words_arabic": "لِّیَشْهَدُوْا/لِّيَشۡهَدُواْ/liyashhadu//مَنَافِعَ/مَنَٰفِعَ/manafi'a//لَهُمْ/لَهُمۡ/lahum//وَ یَذْكُرُوا/وَيَذۡكُرُواْ/wayadhkuru//اسْمَ/ٱسۡمَ/is'ma//اللّٰهِ/ٱللَّهِ/al-lahi//فِیْۤ/فِيٓ/fi//اَیَّامٍ/أَيَّامٖ/ayyamin//مَّعْلُوْمٰتٍ/مَّعۡلُومَٰتٍ/ma'lumatin//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//رَزَقَهُمْ/رَزَقَهُم/razaqahum//مِّنْۢ/مِّنۢ/min//بَهِیْمَةِ/بَهِيمَةِ/bahimati//الْاَنْعَامِ ۚ/ٱلۡأَنۡعَٰمِۖ/al-an'ami//فَكُلُوْا/فَكُلُواْ/fakulu//مِنْهَا/مِنۡهَا/min'ha//وَ اَطْعِمُوا/وَأَطۡعِمُواْ/wa-at'imu//الْبَآىِٕسَ/ٱلۡبَآئِسَ/al-baisa//الْفَقِیْرَؗ/ٱلۡفَقِيرَ/al-faqira",
              "words_bangla": "যেন তারা প্রত্যক্ষ করে//উপকারসমূহকে//তাদের জন্যে (এখানে রাখা)//ও স্মরণ করে (যেন)//নাম//আল্লাহর//মধ্যে//দিনগুলোর//নির্দিষ্ট//(কুরবানির জন্তুর) উপর//যা//তাদেরকে জীবিকা (হিসেবে) দিয়েছেন//হ'তে//চতুষ্পদ জন্তু//গৃহপালিত//অতঃপর তোমরা খাও//তা হ'তে//ও খাওয়াও//দুস্থদেরকে//অভাবগ্রস্তদেরকে"
            },
            {
              "number": 2624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2624.mp3"
              ],
              "text": "ثُمَّ لْيَقْضُوا۟ تَفَثَهُمْ وَلْيُوفُوا۟ نُذُورَهُمْ وَلْيَطَّوَّفُوا۟ بِٱلْبَيْتِ ٱلْعَتِيقِ",
              "translate_bn": "এরপর তারা যেন দৈহিক ময়লা দূর করে দেয়, তাদের মানত পূর্ণ করে এবং এই সুসংরক্ষিত গৃহের তাওয়াফ করে।",
              "numberInSurah": 29,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মাল ইয়াকদূ তাফাছাহুম ওয়ালইউফূনুযূরাহুম ওয়াল ইয়াততাওওয়াফূবিলবাইতিল ‘আতীক।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لْیَقْضُوْا/لۡيَقۡضُواْ/l'yaqdu//تَفَثَهُمْ/تَفَثَهُمۡ/tafathahum//وَ لْیُوْفُوْا/وَلۡيُوفُواْ/walyufu//نُذُوْرَهُمْ/نُذُورَهُمۡ/nudhurahum//وَ لْیَطَّوَّفُوْا/وَلۡيَطَّوَّفُواْ/walyattawwafu//بِالْبَیْتِ/بِٱلۡبَيۡتِ/bil-bayti//الْعَتِیْقِ /ٱلۡعَتِيقِ/al-'atiqi",
              "words_bangla": "এরপর//যেন তারা দূর করে//তাদের অপরিচ্ছন্নতা//ও যেন তারা পূর্ণ করে//তাদের মানতগুলোকে//ও যেন তারা তওয়াফ করে//ঘরের//প্রাচীন\""
            },
            {
              "number": 2625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2625.mp3"
              ],
              "text": "ذَٰلِكَ وَمَن يُعَظِّمْ حُرُمَٰتِ ٱللَّهِ فَهُوَ خَيْرٌۭ لَّهُۥ عِندَ رَبِّهِۦ ۗ وَأُحِلَّتْ لَكُمُ ٱلْأَنْعَٰمُ إِلَّا مَا يُتْلَىٰ عَلَيْكُمْ ۖ فَٱجْتَنِبُوا۟ ٱلرِّجْسَ مِنَ ٱلْأَوْثَٰنِ وَٱجْتَنِبُوا۟ قَوْلَ ٱلزُّورِ",
              "translate_bn": "এটা শ্রবণযোগ্য। আর কেউ আল্লাহর সম্মানযোগ্য বিধানাবলীর প্রতি সম্মান প্রদর্শন করলে পালনকর্তার নিকট তা তার জন্যে উত্তম। উল্লেখিত ব্যতিক্রমগুলো ছাড়া তোমাদের জন্যে চতুস্পদ জন্তু হালাল করা হয়েছে। সুতরাং তোমরা মূর্তিদের অপবিত্রতা থেকে বেঁচে থাক এবং মিথ্যা কথন থেকে দূরে সরে থাক;",
              "numberInSurah": 30,
              "juz": 17,
              "manzil": 4,
              "page": 335,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ওয়া মাইঁ ইউ‘আজজিম হুরুমা-তিল্লা-হি ফাহুওয়া খাইরুল্লাহূ‘ইনদা রাব্বিহী ওয়া-উহিল্লাত লাকুমুল আন‘আ-মুইল্লা-মা-ইউতলা-‘আলাইকুম ফাজতানিবুর রিজছা মিনাল আওছা-নি ওয়াজতানিবূকাওলাঝঝূর।",
              "words_arabic": "ذٰلِكَ ۗ/ذَٰلِكَۖ/dhalika//وَ مَنْ/وَمَن/waman//یُّعَظِّمْ/يُعَظِّمۡ/yu'azzim//حُرُمٰتِ/حُرُمَٰتِ/hurumati//اللّٰهِ/ٱللَّهِ/al-lahi//فَهُوَ/فَهُوَ/fahuwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّهٗ/لَّهُۥ/lahu//عِنْدَ/عِندَ/inda//رَبِّهٖ ؕ/رَبِّهِۦۗ/rabbihi//وَ اُحِلَّتْ/وَأُحِلَّتۡ/wa-uhillat//لَكُمُ/لَكُمُ/lakumu//الْاَنْعَامُ/ٱلۡأَنۡعَٰمُ/al-an'amu//اِلَّا/إِلَّا/illa//مَا/مَا/ma//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْكُمْ/عَلَيۡكُمۡۖ/alaykum//فَاجْتَنِبُوا/فَٱجۡتَنِبُواْ/fa-ij'tanibu//الرِّجْسَ/ٱلرِّجۡسَ/al-rij'sa//مِنَ/مِنَ/mina//الْاَوْثَانِ/ٱلۡأَوۡثَٰنِ/al-awthani//وَ اجْتَنِبُوْا/وَٱجۡتَنِبُواْ/wa-ij'tanibu//قَوْلَ/قَوۡلَ/qawla//الزُّوْرِۙ/ٱلزُّورِ/al-zuri",
              "words_bangla": "এটাই (বিধান)//আর যে//সম্মান করে//(নির্ধারিত) মর্যাদাসমূহের//আল্লাহর//তবেই তা (হবে)//উত্তম//জন্যে তার//নিকট//তার রবের//আর হালাল করা হয়েছে//জন্যে তোমাদের//গৃহপালিত জন্তু//এ ছাড়া//যা//শোনানো হয়েছে//তোমাদের কাছে//অতঃপর তোমরা বেঁচে থাকো//অপবিত্রতা (হ'তে)//(কারণে) তৈরি//মূর্তিসমূহের//আর তোমরা দূরে থাকো//কথা//মিথ্যার"
            },
            {
              "number": 2626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2626.mp3"
              ],
              "text": "حُنَفَآءَ لِلَّهِ غَيْرَ مُشْرِكِينَ بِهِۦ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَكَأَنَّمَا خَرَّ مِنَ ٱلسَّمَآءِ فَتَخْطَفُهُ ٱلطَّيْرُ أَوْ تَهْوِى بِهِ ٱلرِّيحُ فِى مَكَانٍۢ سَحِيقٍۢ",
              "translate_bn": "আল্লাহর দিকে একনিষ্ট হয়ে, তাঁর সাথে শরীক না করে; এবং যে কেউ আল্লাহর সাথে শরীক করল; সে যেন আকাশ থেকে ছিটকে পড়ল, অতঃপর মৃতভোজী পাখী তাকে ছোঁ মেরে নিয়ে গেল অথবা বাতাস তাকে উড়িয়ে নিয়ে কোন দূরবর্তী স্থানে নিক্ষেপ করল।",
              "numberInSurah": 31,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "হুনাফাআ লিল্লা-হি গাইরা মুশরিকীনা বিহী ওয়া মাইঁ ইউশরিক বিল্লা-হি ফাকাআন্নামাখাররা মিনাছছামাই ফাতাখতাফুহুততাইরু আও তাহওয়ী বিহির রীহুফী মাকা-নিন ছাহীক।",
              "words_arabic": "حُنَفَآءَ/حُنَفَآءَ/hunafaa//لِلّٰهِ/لِلَّهِ/lillahi//غَیْرَ/غَيۡرَ/ghayra//مُشْرِكِیْنَ/مُشۡرِكِينَ/mush'rikina//بِهٖ ؕ/بِهِۦۚ/bihi//وَ مَنْ/وَمَن/waman//یُّشْرِكْ/يُشۡرِكۡ/yush'rik//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَكَاَنَّمَا/فَكَأَنَّمَا/faka-annama//خَرَّ/خَرَّ/kharra//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَتَخْطَفُهُ/فَتَخۡطَفُهُ/fatakhtafuhu//الطَّیْرُ/ٱلطَّيۡرُ/al-tayru//اَوْ/أَوۡ/aw//تَهْوِیْ/تَهۡوِي/tahwi//بِهِ/بِهِ/bihi//الرِّیْحُ/ٱلرِّيحُ/al-rihu//فِیْ/فِي/fi//مَكَانٍ/مَكَانٖ/makanin//سَحِیْقٍ /سَحِيقٖ/sahiqin",
              "words_bangla": "একনিষ্ঠ হয়ে//জন্যে আল্লাহরই//ছাড়া//মুশরিক (হওয়া)//তাঁর সাথে//আর যে//শরীক করে//আল্লাহর সাথে//অতঃপর যেন//সে পড়ে গেলো//হ'তে//আকাশ//অতঃপর তাকে ছোঁ মেরে নিয়ে যাবে//পাখি//অথবা//উড়িয়ে যাবে//নিয়ে তাকে//বাতাস//মধ্যে//স্থানের//দূরবর্তী"
            },
            {
              "number": 2627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2627.mp3"
              ],
              "text": "ذَٰلِكَ وَمَن يُعَظِّمْ شَعَٰٓئِرَ ٱللَّهِ فَإِنَّهَا مِن تَقْوَى ٱلْقُلُوبِ",
              "translate_bn": "এটা শ্রবণযোগ্য কেউ আল্লাহর নামযুক্ত বস্তুসমুহের প্রতি সম্মান প্রদর্শন করলে তা তো তার হৃদয়ের আল্লাহভীতি প্রসূত।",
              "numberInSurah": 32,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ওয়া মাইঁ ইউ‘আজজিম শা‘আইরাল্লা-হি ফাইন্নাহা-মিন তাকওয়াল কুলূব।",
              "words_arabic": "ذٰلِكَ ۗ/ذَٰلِكَۖ/dhalika//وَ مَنْ/وَمَن/waman//یُّعَظِّمْ/يُعَظِّمۡ/yu'azzim//شَعَآىِٕرَ/شَعَـٰٓئِرَ/sha'aira//اللّٰهِ/ٱللَّهِ/al-lahi//فَاِنَّهَا/فَإِنَّهَا/fa-innaha//مِنْ/مِن/min//تَقْوَی/تَقۡوَى/taqwa//الْقُلُوْبِ /ٱلۡقُلُوبِ/al-qulubi",
              "words_bangla": "এটাই (আসল ব্যাপার)//আর যে//সম্মান করে//নিদর্শনাবলী কে//আল্লাহর//তবে তা নিশ্চয়ই (উৎসারিত হয়)//হ'তে//তাক্বওয়া//অন্তরসমূহের"
            },
            {
              "number": 2628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2628.mp3"
              ],
              "text": "لَكُمْ فِيهَا مَنَٰفِعُ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى ثُمَّ مَحِلُّهَآ إِلَى ٱلْبَيْتِ ٱلْعَتِيقِ",
              "translate_bn": "চতুস্পদ জন্তুসমূহের মধ্যে তোমাদের জন্যে নির্দিষ্টকাল পর্যন্ত উপকার রয়েছে। অতঃপর এগুলোকে পৌছাতে হবে মুক্ত গৃহ পর্যন্ত।",
              "numberInSurah": 33,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 288,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "লাকুম ফীহা-মানা-ফি‘উ ইলাআজালিম মুছাম্মান ছুম্মা মাহিল্লুহাইলাল বাইতিল ‘আতীক।",
              "words_arabic": "لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//مَنَافِعُ/مَنَٰفِعُ/manafi'u//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//ثُمَّ/ثُمَّ/thumma//مَحِلُّهَاۤ/مَحِلُّهَآ/mahilluha//اِلَی/إِلَى/ila//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//الْعَتِیْقِ۠/ٱلۡعَتِيقِ/al-'atiqi",
              "words_bangla": "জন্যে তোমাদের//মধ্যে এর//নানা উপকার//পর্যন্ত//সময়//নির্দিষ্ট//এরপর//তার (কুরবানির জায়গা)//নিকট (অবস্থিত)//ঘরের//প্রাচীন"
            },
            {
              "number": 2629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2629.mp3"
              ],
              "text": "وَلِكُلِّ أُمَّةٍۢ جَعَلْنَا مَنسَكًۭا لِّيَذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَىٰ مَا رَزَقَهُم مِّنۢ بَهِيمَةِ ٱلْأَنْعَٰمِ ۗ فَإِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ فَلَهُۥٓ أَسْلِمُوا۟ ۗ وَبَشِّرِ ٱلْمُخْبِتِينَ",
              "translate_bn": "আমি প্রত্যেক উম্মতের জন্যে কোরবানী নির্ধারণ করেছি, যাতে তারা আল্লাহর দেয়া চতুস্পদ জন্তু যবেহ কারার সময় আল্লাহর নাম উচ্চারণ করে। অতএব তোমাদের আল্লাহ তো একমাত্র আল্লাহ সুতরাং তাঁরই আজ্ঞাধীন থাক এবং বিনয়ীগণকে সুসংবাদ দাও;",
              "numberInSurah": 34,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 289,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লি উম্মাতিন জা‘আলনা-মানছাকাল লিইয়াযকুরুছমাল্লা-হি ‘আলা-মা-রাঝাকাহুম মিম বাহীমাতিল আন‘আ-ম ফাইলা-হুকুম ইলা-হুওঁ ওয়া-হিদুন ফালাহূআছলিমূ ওয়া বাশশিরিল মুখবিতীন।",
              "words_arabic": "وَ لِكُلِّ/وَلِكُلِّ/walikulli//اُمَّةٍ/أُمَّةٖ/ummatin//جَعَلْنَا/جَعَلۡنَا/ja'alna//مَنْسَكًا/مَنسَكٗا/mansakan//لِّیَذْكُرُوا/لِّيَذۡكُرُواْ/liyadhkuru//اسْمَ/ٱسۡمَ/is'ma//اللّٰهِ/ٱللَّهِ/al-lahi//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//رَزَقَهُمْ/رَزَقَهُم/razaqahum//مِّنْۢ/مِّنۢ/min//بَهِیْمَةِ/بَهِيمَةِ/bahimati//الْاَنْعَامِ ؕ/ٱلۡأَنۡعَٰمِۗ/al-an'ami//فَاِلٰهُكُمْ/فَإِلَٰهُكُمۡ/fa-ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ/وَٰحِدٞ/wahidun//فَلَهٗۤ/فَلَهُۥٓ/falahu//اَسْلِمُوْا ؕ/أَسۡلِمُواْۗ/aslimu//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُخْبِتِیْنَۙ/ٱلۡمُخۡبِتِينَ/al-mukh'bitina",
              "words_bangla": "এবং জন্যে প্রত্যেক//জাতির//আমরা নির্দিষ্ট করে দিয়েছি//কুরবানির নিয়ম//যেন তারা স্মরণ করে//নাম//আল্লাহর//উপর//যা//তাদেরকে জীবিকা দিয়েছেন//মধ্য হ'তে//চতুষ্পদজন্তুর//গৃহপালিত//অতএব তোমাদের ইলাহ//ইলাহ//একই//সুতরাং তাঁরই নিকট//আত্মসমর্পণ করো//আর সুসংবাদ দাও//(আল্লাহর হুকুমের কাছে) অবনতকারীদের"
            },
            {
              "number": 2630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2630.mp3"
              ],
              "text": "ٱلَّذِينَ إِذَا ذُكِرَ ٱللَّهُ وَجِلَتْ قُلُوبُهُمْ وَٱلصَّٰبِرِينَ عَلَىٰ مَآ أَصَابَهُمْ وَٱلْمُقِيمِى ٱلصَّلَوٰةِ وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "যাদের অন্তর আল্লাহর নাম স্মরণ করা হলে ভীত হয় এবং যারা তাদের বিপদাপদে ধৈর্য্যধারণ করে এবং যারা নামায কায়েম করে ও আমি যা দিয়েছি, তা থেকে ব্যয় করে।",
              "numberInSurah": 35,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 289,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইযা-যুকিরাল্লা-হু ওয়াজিলাত কুলূবুহুম ওয়াসসাবিরীনা ‘আলা-মাআসাবাহুম ওয়াল মুকীমিসসালা-তি ওয়া মিম্মা-রাঝাকনা-হুম ইউনফিকূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَا/إِذَا/idha//ذُكِرَ/ذُكِرَ/dhukira//اللّٰهُ/ٱللَّهُ/al-lahu//وَ جِلَتْ/وَجِلَتۡ/wajilat//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//وَ الصّٰبِرِیْنَ/وَٱلصَّـٰبِرِينَ/wal-sabirina//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اَصَابَهُمْ/أَصَابَهُمۡ/asabahum//وَ الْمُقِیْمِی/وَٱلۡمُقِيمِي/wal-muqimi//الصَّلٰوةِ ۙ/ٱلصَّلَوٰةِ/al-salati//وَ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَ /يُنفِقُونَ/yunfiquna",
              "words_bangla": "যারা (এরূপ যে)//যখন//উল্লেখ করা হয়//আল্লাহর (নাম)//কেঁপে উঠে//তাদের অন্তরগুলো//ধৈর্য্যধারণকারী (হয়)//(এর) উপর//যা//তাদের উপর আপতিত হয়//ও প্রতিষ্ঠাকারী (হয়)//সালাত//এবং (তা) হ'তে যা//তাদের আমরা জীবিকা দিয়েছি//তারা খরচ করে"
            },
            {
              "number": 2631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2631.mp3"
              ],
              "text": "وَٱلْبُدْنَ جَعَلْنَٰهَا لَكُم مِّن شَعَٰٓئِرِ ٱللَّهِ لَكُمْ فِيهَا خَيْرٌۭ ۖ فَٱذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَيْهَا صَوَآفَّ ۖ فَإِذَا وَجَبَتْ جُنُوبُهَا فَكُلُوا۟ مِنْهَا وَأَطْعِمُوا۟ ٱلْقَانِعَ وَٱلْمُعْتَرَّ ۚ كَذَٰلِكَ سَخَّرْنَٰهَا لَكُمْ لَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "এবং কা’বার জন্যে উৎসর্গীকৃত উটকে আমি তোমাদের জন্যে আল্লাহর অন্যতম নিদর্শন করেছি। এতে তোমাদের জন্যে মঙ্গল রয়েছে। সুতরাং সারিবদ্ধভাবে বাঁধা অবস্থায় তাদের যবেহ করার সময় তোমরা আল্লাহর নাম উচ্চারণ কর। অতঃপর যখন তারা কাত হয়ে পড়ে যায় তখন তা থেকে তোমরা আহার কর এবং আহার করাও যে কিছু যাচ্ঞা করে না তাকে এবং যে যাচ্ঞা করে তাকে। এমনিভাবে আমি এগুলোকে তোমাদের বশীভূত করে দিয়েছি, যাতে তোমরা কৃতজ্ঞতা প্রকাশ কর।",
              "numberInSurah": 36,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 289,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "ওয়ালবুদনা জা‘আলনা-হা-লাকুম মিন শা‘আইরিল্লা-হি লাকুম ফীহা-খাইরুন ফাযকরুছ মাল্লা-হি ‘আলাইহা-সাওয়াফফা ফাইযা-ওয়াজাবাত জুনূবুহা-ফাকুলূ মিনহা-ওয়া আত‘ইমুল কা-নি‘আ ওয়াল মু‘তাররা কাযা-লিকা ছাখখারনা-হা-লাকুম লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ الْبُدْنَ/وَٱلۡبُدۡنَ/wal-bud'na//جَعَلْنٰهَا/جَعَلۡنَٰهَا/ja'alnaha//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//شَعَآىِٕرِ/شَعَـٰٓئِرِ/sha'airi//اللّٰهِ/ٱللَّهِ/al-lahi//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//خَیْرٌ ۖۗ/خَيۡرٞۖ/khayrun//فَاذْكُرُوا/فَٱذۡكُرُواْ/fa-udh'kuru//اسْمَ/ٱسۡمَ/is'ma//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهَا/عَلَيۡهَا/alayha//صَوَآفَّ ۚ/صَوَآفَّۖ/sawaffa//فَاِذَا/فَإِذَا/fa-idha//وَجَبَتْ/وَجَبَتۡ/wajabat//جُنُوْبُهَا/جُنُوبُهَا/junubuha//فَكُلُوْا/فَكُلُواْ/fakulu//مِنْهَا/مِنۡهَا/min'ha//وَ اَطْعِمُوا/وَأَطۡعِمُواْ/wa-at'imu//الْقَانِعَ/ٱلۡقَانِعَ/al-qani'a//وَ الْمُعْتَرَّ ؕ/وَٱلۡمُعۡتَرَّۚ/wal-mu'tara//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//سَخَّرْنٰهَا/سَخَّرۡنَٰهَا/sakharnaha//لَكُمْ/لَكُمۡ/lakum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং কুরবানির উটগুলো//সেগুলোকে আমরা করেছি//জন্যে তোমাদের//অন্তর্ভুক্ত//নিদর্শনাবলীর//আল্লাহর//জন্যে তোমাদের রয়েছে//তার মধ্যে//কল্যাণ//তাই (জবেহ করার সময়) উচ্চারণ করো//নাম//আল্লাহর//তাদের উপর//সারিবদ্ধভাবে (দাঁড়ানো অবস্থায়)//অতঃপর যখন//কাত হয়ে পড়ে//তাদের পাশগুলো (অর্থাৎ প্রাণ নির্গত হয়)//তখন তোমরাখাও//তা হ'তে//এবং তোমরা খাওয়াও//ধৈর্য্যশীল অভাবগ্রস্তকে//ও চায় এমন অভাবগ্রস্তকে//এভাবে//সেগুলোকে আমরা নিয়ন্ত্রিত করেছি//জন্যে তোমাদের//যাতে তোমরা//শোকর করো"
            },
            {
              "number": 2632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2632.mp3"
              ],
              "text": "لَن يَنَالَ ٱللَّهَ لُحُومُهَا وَلَا دِمَآؤُهَا وَلَٰكِن يَنَالُهُ ٱلتَّقْوَىٰ مِنكُمْ ۚ كَذَٰلِكَ سَخَّرَهَا لَكُمْ لِتُكَبِّرُوا۟ ٱللَّهَ عَلَىٰ مَا هَدَىٰكُمْ ۗ وَبَشِّرِ ٱلْمُحْسِنِينَ",
              "translate_bn": "এগুলোর গোশত ও রক্ত আল্লাহর কাছে পৌঁছে না, কিন্তু পৌঁছে তাঁর কাছে তোমাদের মনের তাকওয়া। এমনিভাবে তিনি এগুলোকে তোমাদের বশ করে দিয়েছেন, যাতে তোমরা আল্লাহর মহত্ত্ব ঘোষণা কর এ কারণে যে, তিনি তোমাদের পথ প্রদর্শন করেছেন। সুতরাং সৎকর্মশীলদের সুসংবাদ শুনিয়ে দিন।",
              "numberInSurah": 37,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 289,
              "hizbQuarter": 134,
              "sajda": false,
              "pronunciation_bn": "লাইঁ ইয়ানা-লাল্লা-হা লুহূমুহা-ওয়ালা-দিমাউহা-ওয়ালা-কিইঁ ইয়ানা-লুহুততাকওয়ামিনকুম কাযা-লিকা ছাখখারাহা-লাকুম লিতুকাববিরুল্লা-হা ‘আলা-মা-হাদা-কুম ওয়া বাশশিরিল মুহছিনীন।",
              "words_arabic": "لَنْ/لَن/lan//یَّنَالَ/يَنَالَ/yanala//اللّٰهَ/ٱللَّهَ/al-laha//لُحُوْمُهَا/لُحُومُهَا/luhumuha//وَ لَا/وَلَا/wala//دِمَآؤُهَا/دِمَآؤُهَا/dimauha//وَ لٰكِنْ/وَلَٰكِن/walakin//یَّنَالُهُ/يَنَالُهُ/yanaluhu//التَّقْوٰی/ٱلتَّقۡوَىٰ/al-taqwa//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//سَخَّرَهَا/سَخَّرَهَا/sakharaha//لَكُمْ/لَكُمۡ/lakum//لِتُكَبِّرُوا/لِتُكَبِّرُواْ/litukabbiru//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//هَدٰىكُمْ ؕ/هَدَىٰكُمۡۗ/hadakum//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "কখনও না//পৌঁছে//আল্লাহর (নিকট)//তাদের গোশ্‌তসমূহ//আর না//তাদের রক্ত//কিন্তু//তাঁর (নিকট) পৌঁছে//তাক্বওয়া//তোমাদের হ'তে//এভাবে//সেগুলোকে তিনি নিয়ন্ত্রিত করেছেন//জন্যে তোমাদের//যেন তোমরা শ্রেষ্ঠত্ব ঘোষণা (তাকবীর) করো//আল্লাহর//সে অনুযায়ী//যেমন//তোমাদেরকে পথ দেখিয়েছেন//আর সুসংবাদ দাও//সৎকর্মপরায়ণদেরকে"
            },
            {
              "number": 2633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2633.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ يُدَٰفِعُ عَنِ ٱلَّذِينَ ءَامَنُوٓا۟ ۗ إِنَّ ٱللَّهَ لَا يُحِبُّ كُلَّ خَوَّانٍۢ كَفُورٍ",
              "translate_bn": "আল্লাহ মুমিনদের থেকে শত্রুদেরকে হটিয়ে দেবেন। আল্লাহ কোন বিশ্বাসঘাতক অকৃতজ্ঞকে পছন্দ করেন না।",
              "numberInSurah": 38,
              "juz": 17,
              "manzil": 4,
              "page": 336,
              "ruku": 289,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউদা-ফি‘উ ‘আনিল্লাযীনা আ-মানূ ইন্নাল্লা-হা লা-ইউহিব্বুকুল্লা খাওওয়ানিন কাফূর।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُدٰفِعُ/يُدَٰفِعُ/yudafi'u//عَنِ/عَنِ/ani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ؕ/ءَامَنُوٓاْۗ/amanu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//كُلَّ/كُلَّ/kulla//خَوَّانٍ/خَوَّانٖ/khawwanin//كَفُوْرٍ۠/كَفُورٍ/kafurin",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//প্রতিরোধ করেন//(তাদের পক্ষ) হ'তে//যারা//ঈমান এনেছে//নিশ্চয়ই//আল্লাহ//না//পছন্দ করেন//প্রত্যেক//বিশ্বাসঘাতক//অকৃতজ্ঞকে"
            },
            {
              "number": 2634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2634.mp3"
              ],
              "text": "أُذِنَ لِلَّذِينَ يُقَٰتَلُونَ بِأَنَّهُمْ ظُلِمُوا۟ ۚ وَإِنَّ ٱللَّهَ عَلَىٰ نَصْرِهِمْ لَقَدِيرٌ",
              "translate_bn": "যুদ্ধে অনুমতি দেয়া হল তাদেরকে যাদের সাথে কাফেররা যুদ্ধ করে; কারণ তাদের প্রতি অত্যাচার করা হয়েছে। আল্লাহ তাদেরকে সাহায্য করতে অবশ্যই সক্ষম।",
              "numberInSurah": 39,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "উযিনা লিল্লাযীনা ইউকা-তালূনা বিআন্নাহুম জুলিমূ ওয়া ইন্নাল্লা-হা ‘আলা-নাসরিহিম লা-কাদীর।",
              "words_arabic": "اُذِنَ/أُذِنَ/udhina//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//یُقٰتَلُوْنَ/يُقَٰتَلُونَ/yuqataluna//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//ظُلِمُوْا ؕ/ظُلِمُواْۚ/zulimu//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//نَصْرِهِمْ/نَصۡرِهِمۡ/nasrihim//لَقَدِیْرُۙ/لَقَدِيرٌ/laqadirun",
              "words_bangla": "অনুমতি দেয়া হলো//জন্যে তাদের (যাদের বিরুদ্ধে)//যুদ্ধ করা হচ্ছে//কারণ তারা//নির্যাতিত//আর নিশ্চয়ই//আল্লাহ//ক্ষেত্রে//সাহায্যের তাদের//অবশ্যই ক্ষমতাবান"
            },
            {
              "number": 2635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2635.mp3"
              ],
              "text": "ٱلَّذِينَ أُخْرِجُوا۟ مِن دِيَٰرِهِم بِغَيْرِ حَقٍّ إِلَّآ أَن يَقُولُوا۟ رَبُّنَا ٱللَّهُ ۗ وَلَوْلَا دَفْعُ ٱللَّهِ ٱلنَّاسَ بَعْضَهُم بِبَعْضٍۢ لَّهُدِّمَتْ صَوَٰمِعُ وَبِيَعٌۭ وَصَلَوَٰتٌۭ وَمَسَٰجِدُ يُذْكَرُ فِيهَا ٱسْمُ ٱللَّهِ كَثِيرًۭا ۗ وَلَيَنصُرَنَّ ٱللَّهُ مَن يَنصُرُهُۥٓ ۗ إِنَّ ٱللَّهَ لَقَوِىٌّ عَزِيزٌ",
              "translate_bn": "যাদেরকে তাদের ঘর-বাড়ী থেকে অন্যায়ভাবে বহিস্কার করা হয়েছে শুধু এই অপরাধে যে, তারা বলে আমাদের পালনকর্তা আল্লাহ। আল্লাহ যদি মানবজাতির একদলকে অপর দল দ্বারা প্রতিহত না করতেন, তবে (খ্রীষ্টানদের) নির্ঝন গির্জা, এবাদত খানা, (ইহুদীদের) উপাসনালয় এবং মসজিদসমূহ বিধ্বস্ত হয়ে যেত, যেগুলাতে আল্লাহর নাম অধিক স্মরণ করা হয়। আল্লাহ নিশ্চয়ই তাদেরকে সাহায্য করবেন, যারা আল্লাহর সাহায্য করে। নিশ্চয়ই আল্লাহ পরাক্রমশালী শক্তিধর।",
              "numberInSurah": 40,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা উখরিজুমিন দিয়া-রিহিম বিগাইরি হাক্কিন ইল্লাআইঁ ইয়াকূলূরাব্বুনাল্লা-হু ওয়া লাওলা-দাফ‘উল্লা-হিন্না-ছা বা‘দাহুম ব্বিা‘দিল লাহুদ্দিমাত ছাওয়া-মি‘উ ওয়া বিয়া‘উওঁ ওয়া সালাওয়া-তুওঁ ওয়া মাছা-জিদুইউযকারু ফীহাছমুল্লা-হি কাছীরাও ওয়ালাইয়ানসুরান্নাল্লা-হু মাইঁ ইয়ানসুরুহূ ইন্নাল্লা-হা লাকাবিইয়ুউন ‘আঝীঝ।",
              "words_arabic": "لَّذِیْنَ/ٱلَّذِينَ/alladhina//اُخْرِجُوْا/أُخۡرِجُواْ/ukh'riju//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِم/diyarihim//بِغَیْرِ/بِغَيۡرِ/bighayri//حَقٍّ/حَقٍّ/haqqin//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//رَبُّنَا/رَبُّنَا/rabbuna//اللّٰهُ ؕ/ٱللَّهُۗ/al-lahu//وَ لَوْ لَا/وَلَوۡلَا/walawla//دَفْعُ/دَفۡعُ/daf'u//اللّٰهِ/ٱللَّهِ/al-lahi//النَّاسَ/ٱلنَّاسَ/al-nasa//بَعْضَهُمْ/بَعۡضَهُم/ba'dahum//بِبَعْضٍ/بِبَعۡضٖ/biba'din//لَّهُدِّمَتْ/لَّهُدِّمَتۡ/lahuddimat//صَوَامِعُ/صَوَٰمِعُ/sawami'u//وَ بِیَعٌ/وَبِيَعٞ/wabiya'un//وَّ صَلَوٰتٌ/وَصَلَوَٰتٞ/wasalawatun//وَّ مَسٰجِدُ/وَمَسَٰجِدُ/wamasajidu//یُذْكَرُ/يُذۡكَرُ/yudh'karu//فِیْهَا/فِيهَا/fiha//اسْمُ/ٱسۡمُ/us'mu//اللّٰهِ/ٱللَّهِ/al-lahi//كَثِیْرًا ؕ/كَثِيرٗاۗ/kathiran//وَ لَیَنْصُرَنَّ/وَلَيَنصُرَنَّ/walayansuranna//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّنْصُرُهٗ ؕ/يَنصُرُهُۥٓۚ/yansuruhu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَقَوِیٌّ/لَقَوِيٌّ/laqawiyyun//عَزِیْزٌ /عَزِيزٌ/azizun",
              "words_bangla": "যাদেরকে//বের করে দেয়া হয়েছে//হ'তে//তাদের ঘরবাড়িগুলো//সঙ্গে নয়//সত্যের (অন্যায়ভাবে)//(তাদের অপরাধ) এছাড়া নয়//যে//তারা বলে//\"আমাদের রব//আল্লাহই\"//এবং যদি না//প্রতিহত করতেন//আল্লাহ//লোকদের//তাদের কিছু অংশকে//(অন্য) কিছু অংশ দ্বারা//অবশ্যই বিধ্বস্ত করা হতো//সংসার বিরাগীদের উপাসনালয়গুলো//ও গীর্জা//ও ইহুদীদের উপাসনালয়গুলো//এবং মাসজিদসমূহ//স্মরণ করা হয়//তার মধ্যে//নাম//আল্লাহর//অধিক (পরিমাণে)//আর অবশ্যই সাহায্য করবেন//আল্লাহ//যে//তাঁকে সাহায্য করে//নিশ্চয়ই//আল্লাহ//অবশ্যই শক্তিমান//পরাক্রমশালী"
            },
            {
              "number": 2636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2636.mp3"
              ],
              "text": "ٱلَّذِينَ إِن مَّكَّنَّٰهُمْ فِى ٱلْأَرْضِ أَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ وَأَمَرُوا۟ بِٱلْمَعْرُوفِ وَنَهَوْا۟ عَنِ ٱلْمُنكَرِ ۗ وَلِلَّهِ عَٰقِبَةُ ٱلْأُمُورِ",
              "translate_bn": "তারা এমন লোক যাদেরকে আমি পৃথিবীতে শক্তি-সামর্থ?2470;ান করলে তারা নামায কায়েম করবে, যাকাত দেবে এবং সৎকাজে আদেশ ও অসৎকাজে নিষেধ করবে। প্রত্যেক কর্মের পরিণাম আল্লাহর এখতিয়ারভূক্ত।",
              "numberInSurah": 41,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইম মাকান্না-হুম ফিল আরদিআকা-মুসসালা-তা ওয়া আ-তাউঝঝাকা-তা ওয়া আমারূ বিল মা‘রূফি ওয়া নাহাও ‘আনিল মুনকারি ওয়া লিল্লা-হি ‘আ-কিবাতুল উমূর।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اِنْ/إِن/in//مَّكَّنّٰهُمْ/مَّكَّنَّـٰهُمۡ/makkannahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَقَامُوا/أَقَامُواْ/aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتَوُا/وَءَاتَوُاْ/waatawu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اَمَرُوْا/وَأَمَرُواْ/wa-amaru//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ نَهَوْا/وَنَهَوۡاْ/wanahaw//عَنِ/عَنِ/ani//الْمُنْكَرِ ؕ/ٱلۡمُنكَرِۗ/al-munkari//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْاُمُوْرِ /ٱلۡأُمُورِ/al-umuri",
              "words_bangla": "যারা (সেই লোক)//যদি//তাদেরকে আমরা ক্ষমতা দিই//মধ্যে//পৃথিবীর//তারা প্রতিষ্ঠা করে//সালাত//ও তারা দেয়//জাকাত//আর তারা নির্দেশ দেয়//ব্যাপারে সৎকাজের//ও তারা নিষেধ করে//হ'তে//অসৎ কাজ//আর আল্লাহরই হাতে//পরিণতি (চূড়ান্ত)//সব ব্যাপারের"
            },
            {
              "number": 2637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2637.mp3"
              ],
              "text": "وَإِن يُكَذِّبُوكَ فَقَدْ كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍۢ وَعَادٌۭ وَثَمُودُ",
              "translate_bn": "তারা যদি আপনাকে মিথ্যাবাদী বলে, তবে তাদের পূর্বে মিথ্যাবাদী বলেছে কওমে নূহ, আদ, সামুদ,",
              "numberInSurah": 42,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইউকাযযিবূকা ফাকাদ কাযযাবাত কাবলাহুম কাওমুনূহিওঁ ওয়া ‘আদুওঁ ওয়া ছামূদ ।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یُّكَذِّبُوْكَ/يُكَذِّبُوكَ/yukadhibuka//فَقَدْ/فَقَدۡ/faqad//كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمُ/قَوۡمُ/qawmu//نُوْحٍ/نُوحٖ/nuhin//وَّ عَادٌ/وَعَادٞ/wa'adun//وَّ ثَمُوْدُۙ/وَثَمُودُ/wathamudu",
              "words_bangla": "আর (হে নাবী) যদি//তোমাকে মিথ্যারোপ করে//(তবে আশ্চর্য কি) নিশ্চয়ই//মিথ্যারোপ করেছিলো//তাদের পূর্বেও//জাতি//নূহের//ও আদ//ও সামূদ"
            },
            {
              "number": 2638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2638.mp3"
              ],
              "text": "وَقَوْمُ إِبْرَٰهِيمَ وَقَوْمُ لُوطٍۢ",
              "translate_bn": "ইব্রাহীম ও লূতের সম্প্রদায়ও।",
              "numberInSurah": 43,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাওমুইবরা-হীমা ওয়া কাওমুলূত।",
              "words_arabic": "وَ قَوْمُ/وَقَوۡمُ/waqawmu//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ قَوْمُ/وَقَوۡمُ/waqawmu//لُوْطٍۙ/لُوطٖ/lutin",
              "words_bangla": "এবং জাতি//ইব্রাহীমের//ও জাতি//লূতের"
            },
            {
              "number": 2639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2639.mp3"
              ],
              "text": "وَأَصْحَٰبُ مَدْيَنَ ۖ وَكُذِّبَ مُوسَىٰ فَأَمْلَيْتُ لِلْكَٰفِرِينَ ثُمَّ أَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ نَكِيرِ",
              "translate_bn": "এবং মাদইয়ানের অধিবাসীরা এবং মিথ্যাবাদী বলা হয়েছিল মূসাকেও। অতঃপর আমি কাফেরদেরকে সুযোগ দিয়েছিলাম এরপর তাদেরকে পাকড়াও করেছিলাম অতএব কি ভীষণ ছিল আমাকে অস্বীকৃতির পরিণাম।",
              "numberInSurah": 44,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসহা-বুমাদইয়ানা ওয়া কুযযি বা মূছা-ফাআমলাইতুলিলকা-ফিরীনা ছুম্মা আখাযতুহুম ফাকাইফা কা-না নাকীর।\r\n",
              "words_arabic": "وَّ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//مَدْیَنَ ۚ/مَدۡيَنَۖ/madyana//وَ كُذِّبَ/وَكُذِّبَ/wakudhiba//مُوْسٰی/مُوسَىٰۖ/musa//فَاَمْلَیْتُ/فَأَمۡلَيۡتُ/fa-amlaytu//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//ثُمَّ/ثُمَّ/thumma//اَخَذْتُهُمْ ۚ/أَخَذۡتُهُمۡۖ/akhadhtuhum//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//نَكِیْرِ /نَكِيرِ/nakiri",
              "words_bangla": "এবং অধিবাসীরা//মাদইয়ানের//এবং মিথ্যারোপ করা হয়েছিলো//মূসাকেও//অতঃএব আমি অবকাশ দিয়েছিলাম//জন্যে কাফিরদের//এরপর//তাদেরকে আমি পাকড়াও করেছিলাম//(ভেবে দেখো) তখন কেমন//ছিলো//আমার শাস্তি"
            },
            {
              "number": 2640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2640.mp3"
              ],
              "text": "فَكَأَيِّن مِّن قَرْيَةٍ أَهْلَكْنَٰهَا وَهِىَ ظَالِمَةٌۭ فَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا وَبِئْرٍۢ مُّعَطَّلَةٍۢ وَقَصْرٍۢ مَّشِيدٍ",
              "translate_bn": "আমি কত জনপদ ধ্বংস করেছি এমতাবস্থায় যে, তারা ছিল গোনাহগার। এই সব জনপদ এখন ধ্বংসস্তুপে পরিণত হয়েছে এবং কত কূপ পরিত্যক্ত হয়েছে ও কত সুদৃঢ় প্রাসাদ ধ্বংস হয়েছে।",
              "numberInSurah": 45,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ফাকাআইয়িম মিন কারইয়াতিন আহলাকনা-হা-ওয়াহিয়া জা-লিমাতুন ফাহিয়া খাওয়িয়াতুন ‘আলা-‘উরূশিহা-ওয়া বি’রিম মু‘আততালাতিওঁ ওয়া কাসরিম মাশীদ।",
              "words_arabic": "فَكَاَیِّنْ/فَكَأَيِّن/faka-ayyin//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَهْلَكْنٰهَا/أَهۡلَكۡنَٰهَا/ahlaknaha//وَ هِیَ/وَهِيَ/wahiya//ظَالِمَةٌ/ظَالِمَةٞ/zalimatun//فَهِیَ/فَهِيَ/fahiya//خَاوِیَةٌ/خَاوِيَةٌ/khawiyatun//عَلٰی/عَلَىٰ/ala//عُرُوْشِهَا/عُرُوشِهَا/urushiha//وَ بِئْرٍ/وَبِئۡرٖ/wabi'rin//مُّعَطَّلَةٍ/مُّعَطَّلَةٖ/mu'attalatin//وَّ قَصْرٍ/وَقَصۡرٖ/waqasrin//مَّشِیْدٍ /مَّشِيدٍ/mashidin",
              "words_bangla": "অতঃপর কতই না//থেকে//জনপদ//তা আমরা ধ্বংস করেছি//যখন তা (ছিলো)//অপরাধী//ফলে তা//ধ্বংসপ্রাপ্ত//উপর//তার ছাদসমূহের//এবং কূপ//পরিত্যক্ত (হয়েছে)//ও প্রাসাদ//সুদৃঢ় (বিধ্বস্ত হয়েছে)"
            },
            {
              "number": 2641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2641.mp3"
              ],
              "text": "أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَتَكُونَ لَهُمْ قُلُوبٌۭ يَعْقِلُونَ بِهَآ أَوْ ءَاذَانٌۭ يَسْمَعُونَ بِهَا ۖ فَإِنَّهَا لَا تَعْمَى ٱلْأَبْصَٰرُ وَلَٰكِن تَعْمَى ٱلْقُلُوبُ ٱلَّتِى فِى ٱلصُّدُورِ",
              "translate_bn": "তারা কি এই উদ্দেশ্যে দেশ ভ্রমণ করেনি, যাতে তারা সমঝদার হৃদয় ও শ্রবণ শক্তি সম্পন্ন কর্ণের অধিকারী হতে পারে? বস্তুতঃ চক্ষু তো অন্ধ হয় না, কিন্তু বক্ষ স্থিত অন্তরই অন্ধ হয়।",
              "numberInSurah": 46,
              "juz": 17,
              "manzil": 4,
              "page": 337,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়াছীরূফিল আরদিফাতাকূনা লাহুম কুলূবুইঁ ইয়া‘কিলূনা বিহাআও আ-যানুইঁ ইয়াছমা‘ঊনা বিহা- ফাইন্নাহা-লা-তা‘মাল আবসা-রু ওয়ালা-কিন তা‘মাল কুলূবুল্লাতী ফিসসুদূ র।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَتَكُوْنَ/فَتَكُونَ/fatakuna//لَهُمْ/لَهُمۡ/lahum//قُلُوْبٌ/قُلُوبٞ/qulubun//یَّعْقِلُوْنَ/يَعۡقِلُونَ/ya'qiluna//بِهَاۤ/بِهَآ/biha//اَوْ/أَوۡ/aw//اٰذَانٌ/ءَاذَانٞ/adhanun//یَّسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//بِهَا ۚ/بِهَاۖ/biha//فَاِنَّهَا/فَإِنَّهَا/fa-innaha//لَا/لَا/la//تَعْمَی/تَعۡمَى/ta'ma//الْاَبْصَارُ/ٱلۡأَبۡصَٰرُ/al-absaru//وَ لٰكِنْ/وَلَٰكِن/walakin//تَعْمَی/تَعۡمَى/ta'ma//الْقُلُوْبُ/ٱلۡقُلُوبُ/al-qulubu//الَّتِیْ/ٱلَّتِي/allati//فِی/فِي/fi//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "কি তবে নি//তারা ভ্রমণ করে//মধ্যে//জমীনে//তাহ'লে হতো//জন্যে তাদের//অন্তরসমূহ (এমন যে)//বুঝতো//দিয়ে তা//অথবা//কানগুলো//শুনতো//দিয়ে তা//বস্তুতঃ তা অবশ্যই (এমন যে)//না//অন্ধ হয়//চোখগুলো//কিন্তু//অন্ধ হয়//অন্তরগুলো//যা//মধ্যে (আছে)//বুকসমূহের"
            },
            {
              "number": 2642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2642.mp3"
              ],
              "text": "وَيَسْتَعْجِلُونَكَ بِٱلْعَذَابِ وَلَن يُخْلِفَ ٱللَّهُ وَعْدَهُۥ ۚ وَإِنَّ يَوْمًا عِندَ رَبِّكَ كَأَلْفِ سَنَةٍۢ مِّمَّا تَعُدُّونَ",
              "translate_bn": "তারা আপনাকে আযাব ত্বরান্বিত করতে বলে। অথচ আল্লাহ কখনও তাঁর ওয়াদা ভঙ্গ করেন না। আপনার পালনকর্তার কাছে একদিন তোমাদের গণনার এক হাজার বছরের সমান।",
              "numberInSurah": 47,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতা‘জিলূনাকা বিল‘আযা-বি ওয়ালাইঁ ইউখলিফাল্লা-হু ওয়া‘দাহূ ওয়া ইন্না ইয়াওমান ‘ইনদা রাব্বিকা কাআলফি ছানাতিম মিম্মা-তা‘উদ্দূন।",
              "words_arabic": "وَ یَسْتَعْجِلُوْنَكَ/وَيَسۡتَعۡجِلُونَكَ/wayasta'jilunaka//بِالْعَذَابِ/بِٱلۡعَذَابِ/bil-'adhabi//وَ لَنْ/وَلَن/walan//یُّخْلِفَ/يُخۡلِفَ/yukh'lifa//اللّٰهُ/ٱللَّهُ/al-lahu//وَعْدَهٗ ؕ/وَعۡدَهُۥۚ/wa'dahu//وَ اِنَّ/وَإِنَّ/wa-inna//یَوْمًا/يَوۡمًا/yawman//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//كَاَلْفِ/كَأَلۡفِ/ka-alfi//سَنَةٍ/سَنَةٖ/sanatin//مِّمَّا/مِّمَّا/mimma//تَعُدُّوْنَ /تَعُدُّونَ/ta'udduna",
              "words_bangla": "আর তোমাকে তাড়াতাড়ি করতে বলে//ব্যাপারে শাস্তির//অথচ কখনও না//ভঙ্গ করবেন//আল্লাহ//তাঁর প্রতিজ্ঞা//আর নিশ্চয়ই//সেদিন (হবে)//নিকট//তোমার রবের//মতো এক হাজার//বছর//তা হ'তে যা//তোমরা গণনা করো"
            },
            {
              "number": 2643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2643.mp3"
              ],
              "text": "وَكَأَيِّن مِّن قَرْيَةٍ أَمْلَيْتُ لَهَا وَهِىَ ظَالِمَةٌۭ ثُمَّ أَخَذْتُهَا وَإِلَىَّ ٱلْمَصِيرُ",
              "translate_bn": "এবং আমি কত জনপদকে অবকাশ দিয়েছি এমতাবস্থায় যে, তারা গোনাহগার ছিল। এরপর তাদেরকে পাকড়াও করেছি এবং আমার কাছেই প্রত্যাবর্তন করতে হবে।",
              "numberInSurah": 48,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 290,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন কারইয়াতিন আমলাইতুলাহা-ওয়াহিয়া জা-লিমাতুন ছুম্মা আখাযতুহা- ওয়া ইলাইইয়াল মাসীর।",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اَمْلَیْتُ/أَمۡلَيۡتُ/amlaytu//لَهَا/لَهَا/laha//وَ هِیَ/وَهِيَ/wahiya//ظَالِمَةٌ/ظَالِمَةٞ/zalimatun//ثُمَّ/ثُمَّ/thumma//اَخَذْتُهَا ۚ/أَخَذۡتُهَا/akhadhtuha//وَ اِلَیَّ/وَإِلَيَّ/wa-ilayya//الْمَصِیْرُ۠/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "আর কত//থেকে//জনবসতির (এমন ছিলো)//আমি অবকাশ দিয়েছি//জন্যে তাদের//যখন তা//সীমালঙ্ঘনকারী (ছিলো)//এরপর//তাদেরকে আমি পাকড়াও করেছি//আর নিকট আমারই//প্রত্যাবর্তন (সকলেরই)"
            },
            {
              "number": 2644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2644.mp3"
              ],
              "text": "قُلْ يَٰٓأَيُّهَا ٱلنَّاسُ إِنَّمَآ أَنَا۠ لَكُمْ نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "বলুনঃ হে লোক সকল! আমি তো তোমাদের জন্যে স্পষ্ট ভাষায় সতর্ককারী।",
              "numberInSurah": 49,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআইয়ুহান্না-ছুইন্নামাআনা লাকুম নাযীরুম মুবীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//لَكُمْ/لَكُمۡ/lakum//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌۚ/مُّبِينٞ/mubinun",
              "words_bangla": "(হে নাবী) বলো//\"হে//\"মানবজাতি//মূলতঃ//আমি//জন্যে তোমাদের//একজন সতর্ককারী//সুস্পষ্ট\""
            },
            {
              "number": 2645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2645.mp3"
              ],
              "text": "فَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُم مَّغْفِرَةٌۭ وَرِزْقٌۭ كَرِيمٌۭ",
              "translate_bn": "সুতরাং যারা বিশ্বাস স্থাপন করেছে এবং সৎকর্ম করেছে, তাদের জন্যে আছে পাপ মার্জনা এবং সম্মানজনক রুযী।",
              "numberInSurah": 50,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ফাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লাহুম মাগফিরাতুওঁ ওয়া রিঝকুন কারীম।",
              "words_arabic": "فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ رِزْقٌ/وَرِزۡقٞ/wariz'qun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "অতঃপর যারা//ঈমান আনে//ও কাজ করে//সৎকাজসমূহের//জন্যে তাদের (রয়েছে)//ক্ষমা//ও জীবিকা//সম্মানজনক"
            },
            {
              "number": 2646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2646.mp3"
              ],
              "text": "وَٱلَّذِينَ سَعَوْا۟ فِىٓ ءَايَٰتِنَا مُعَٰجِزِينَ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَحِيمِ",
              "translate_bn": "এবং যারা আমার আয়াতসমূহকে ব্যর্থ করার জন্যে চেষ্টা করে, তারাই দোযখের অধিবাসী।",
              "numberInSurah": 51,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ছা‘আও ফীআ-য়া-তিনা-মু‘আ-জিঝীনা উলাইকা আসহা-বুল জাহীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//سَعَوْا/سَعَوۡاْ/sa'aw//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//مُعٰجِزِیْنَ/مُعَٰجِزِينَ/mu'ajizina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "আর যারা//চেষ্টা করে//মধ্যে//আমাদের আয়াত সমূহের//ব্যর্থ করে দেখাতে//ঐসবলোক//অধিবাসী//জাহান্নামের"
            },
            {
              "number": 2647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2647.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا مِن قَبْلِكَ مِن رَّسُولٍۢ وَلَا نَبِىٍّ إِلَّآ إِذَا تَمَنَّىٰٓ أَلْقَى ٱلشَّيْطَٰنُ فِىٓ أُمْنِيَّتِهِۦ فَيَنسَخُ ٱللَّهُ مَا يُلْقِى ٱلشَّيْطَٰنُ ثُمَّ يُحْكِمُ ٱللَّهُ ءَايَٰتِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "আমি আপনার পূর্বে যে সমস্ত রাসূল ও নবী প্রেরণ করেছি, তারা যখনই কিছু কল্পনা করেছে, তখনই শয়তান তাদের কল্পনায় কিছু মিশ্রণ করে দিয়েছে। অতঃপর আল্লাহ দূর করে দেন শয়তান যা মিশ্রণ করে। এরপর আল্লাহ তাঁর আয়াতসমূহকে সু-প্রতিষ্ঠিত করেন এবং আল্লাহ জ্ঞানময়, প্রজ্ঞাময়।",
              "numberInSurah": 52,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-মিন কাবলিকা মির রাছূলিওঁ ওয়ালা-নাবিইয়িন ইল্লাইযা-তামান্না আলকাশ শাইতা-নুফীউমনিইইয়াতিহী ফাইয়ানছাখুল্লা-হু মা-ইউলকিশশাইতা-নু ছু ম্মা ইউহকিমুল্লা-হু আ-য়া-তিহী ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//مِنْ/مِن/min//رَّسُوْلٍ/رَّسُولٖ/rasulin//وَّ لَا/وَلَا/wala//نَبِیٍّ/نَبِيٍّ/nabiyyin//اِلَّاۤ/إِلَّآ/illa//اِذَا/إِذَا/idha//تَمَنّٰۤی/تَمَنَّىٰٓ/tamanna//اَلْقَی/أَلۡقَى/alqa//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//فِیْۤ/فِيٓ/fi//اُمْنِیَّتِهٖ ۚ/أُمۡنِيَّتِهِۦ/um'niyyatihi//فَیَنْسَخُ/فَيَنسَخُ/fayansakhu//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//یُلْقِی/يُلۡقِي/yul'qi//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//ثُمَّ/ثُمَّ/thumma//یُحْكِمُ/يُحۡكِمُ/yuh'kimu//اللّٰهُ/ٱللَّهُ/al-lahu//اٰیٰتِهٖ ؕ/ءَايَٰتِهِۦۗ/ayatihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌۙ/حَكِيمٞ/hakimun",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//থেকে//তোমার পূর্ব//কোন//রাসূলকে//আর না//কোন নাবীকে//এ ছাড়া যে//যখন//আকাঙ্ক্ষা করেছে (তিলাওয়াত করেছে)//ছুঁড়ে দিয়েছে//শয়তান (প্রতিবন্ধকতা)//মধ্যে//তার আকাঙ্ক্ষার (তিলাওয়াতে)//তখন দূর করেছেন//আল্লাহ//যা//ছুঁড়ে  দেয়//শয়তান//এরপর//সুদৃঢ় করেন//আল্লাহ//তাঁর আয়াতকে//আর আল্লাহ//জ্ঞানময়//প্রজ্ঞাময়"
            },
            {
              "number": 2648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2648.mp3"
              ],
              "text": "لِّيَجْعَلَ مَا يُلْقِى ٱلشَّيْطَٰنُ فِتْنَةًۭ لِّلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ وَٱلْقَاسِيَةِ قُلُوبُهُمْ ۗ وَإِنَّ ٱلظَّٰلِمِينَ لَفِى شِقَاقٍۭ بَعِيدٍۢ",
              "translate_bn": "এ কারণে যে, শয়তান যা মিশ্রণ করে, তিনি তা পরীক্ষাস্বরূপ করে দেন, তাদের জন্যে, যাদের অন্তরে রোগ আছে এবং যারা পাষাণহৃদয়। গোনাহগাররা দূরবর্তী বিরোধিতায় লিপ্ত আছে।",
              "numberInSurah": 53,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "লিইয়াজ‘আলা মা-ইউলকিশশাইতা-নুফিতনাতাল লিল্লাযীনা ফী কুলূবিহিম মারাদুওঁ ওয়াল কা-ছিয়াতি কুলূবুহুম ওয়া ইন্নাজ্জা-লিমীনা লাফী শিকা-কিম বা‘ঈদ।",
              "words_arabic": "لِّیَجْعَلَ/لِّيَجۡعَلَ/liyaj'ala//مَا/مَا/ma//یُلْقِی/يُلۡقِي/yul'qi//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//وَّ الْقَاسِیَةِ/وَٱلۡقَاسِيَةِ/wal-qasiyati//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۗ/qulubuhum//وَ اِنَّ/وَإِنَّ/wa-inna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//لَفِیْ/لَفِي/lafi//شِقَاقٍۭ/شِقَاقِۭ/shiqaqin//بَعِیْدٍۙ/بَعِيدٖ/ba'idin",
              "words_bangla": "(এরূপ এজন্যে হয়) যেন তিনি বানিয়ে দেন//যা//ছুঁড়ে দেয়//শয়তান//পরীক্ষাস্বরূপ//জন্যে তাদের//মধ্যে (আছে)//যাদের অন্তরসমূহে//রোগ//এবং পাষাণ (হয়েছে)//তাদের অন্তরগুলো//এবং নিশ্চয়ই//সীমালঙ্ঘনকারীরা//অবশ্যই মধ্যে//(সত্যের) বিরোধিতার//বহুদূরে (অগ্রসর হয়ে গিয়েছে)"
            },
            {
              "number": 2649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2649.mp3"
              ],
              "text": "وَلِيَعْلَمَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّكَ فَيُؤْمِنُوا۟ بِهِۦ فَتُخْبِتَ لَهُۥ قُلُوبُهُمْ ۗ وَإِنَّ ٱللَّهَ لَهَادِ ٱلَّذِينَ ءَامَنُوٓا۟ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "এবং এ কারণেও যে, যাদেরকে জ্ঞানদান করা হয়েছে; তারা যেন জানে যে এটা আপনার পালনকর্তার পক্ষ থেকে সত্য; অতঃপর তারা যেন এতে বিশ্বাস স্তাপন করে এবং তাদের অন্তর যেন এর প্রতি বিজয়ী হয়। আল্লাহই বিশ্বাস স্থাপনকারীকে সরল পথ প্রদর্শন করেন।",
              "numberInSurah": 54,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিইয়া‘লামাল্লাযীনা ঊতুল ‘ইলমা আন্নাহুল হাক্কুমির রাব্বিকা ফাইউ‘মিনূবিহী ফাতুখবিতা লাহূকুলূবুহুম ওয়া ইন্নাল্লা-হা লাহা-দিল্লাযীনা আ-মানূইলা-সিরাতিম মুছতাকীম।",
              "words_arabic": "وَّ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//اَنَّهُ/أَنَّهُ/annahu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//فَیُؤْمِنُوْا/فَيُؤۡمِنُواْ/fayu'minu//بِهٖ/بِهِۦ/bihi//فَتُخْبِتَ/فَتُخۡبِتَ/fatukh'bita//لَهٗ/لَهُۥ/lahu//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۗ/qulubuhum//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَهَادِ/لَهَادِ/lahadi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "আর যেন জানে//যাদেরকে//দেয়া হয়েছে//জ্ঞান//যে তা//সত্য//নিকট হ'তে//তোমার রবের//তারা অতঃপর ঈমান আনে//উপর তাঁর//অতঃপর অবনমিত হয়//প্রতি তাঁর//তাদের অন্তরসমূহ//এবং নিশ্চয়ই//আল্লাহ//অবশ্যই পথপ্রদর্শনকারী//(তাদেরকে) যারা//ঈমান এনেছে//দিকে//পথের//সরল"
            },
            {
              "number": 2650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2650.mp3"
              ],
              "text": "وَلَا يَزَالُ ٱلَّذِينَ كَفَرُوا۟ فِى مِرْيَةٍۢ مِّنْهُ حَتَّىٰ تَأْتِيَهُمُ ٱلسَّاعَةُ بَغْتَةً أَوْ يَأْتِيَهُمْ عَذَابُ يَوْمٍ عَقِيمٍ",
              "translate_bn": "কাফেররা সর্বদাই সন্দেহ পোষন করবে যে পর্যন্ত না তাদের কাছে আকস্মিকভাবে কেয়ামত এসে পড়ে অথবা এসে পড়ে তাদের কাছে এমন দিবসের শাস্তি যা থেকে রক্ষার উপায় নেই।",
              "numberInSurah": 55,
              "juz": 17,
              "manzil": 4,
              "page": 338,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা- ইয়াঝা-লুল্লাযীনা কাফারূফী মিরইয়াতিম মিনহু হাত্তা- তা’তিয়াহুমুছছা-‘আতু বাগতাতান আও ইয়া’তিয়াহুম ‘আযা-বুইয়াওমিন ‘আকীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَزَالُ/يَزَالُ/yazalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فِیْ/فِي/fi//مِرْیَةٍ/مِرۡيَةٖ/mir'yatin//مِّنْهُ/مِّنۡهُ/min'hu//حَتّٰی/حَتَّىٰ/hatta//تَاْتِیَهُمُ/تَأۡتِيَهُمُ/tatiyahumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//بَغْتَةً/بَغۡتَةً/baghtatan//اَوْ/أَوۡ/aw//یَاْتِیَهُمْ/يَأۡتِيَهُمۡ/yatiyahum//عَذَابُ/عَذَابُ/adhabu//یَوْمٍ/يَوۡمٍ/yawmin//عَقِیْمٍ /عَقِيمٍ/aqimin",
              "words_bangla": "এবং না//বিরত হবে//যারা//অমান্য করেছে//মধ্যে//সন্দেহের//তা হ'তে//যতক্ষণ না//তাদের (নিকট) এসে পড়বে//ক্বিয়ামাত//হঠাৎ করে//অথবা//তাদের (নিকট) আসবে//শাস্তি//দিনের//বন্ধ্যা (খারাপ)"
            },
            {
              "number": 2651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2651.mp3"
              ],
              "text": "ٱلْمُلْكُ يَوْمَئِذٍۢ لِّلَّهِ يَحْكُمُ بَيْنَهُمْ ۚ فَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فِى جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "রাজত্ব সেদিন আল্লাহরই; তিনিই তাদের বিচার করবেন। অতএব যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম সম্পাদন করে তারা নেয়ামত পূর্ণ কাননে থাকবে।",
              "numberInSurah": 56,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "আল মুলকুইয়াওমাইযিল লিল্লা-হি ইয়াহকুমুবাইনাহুম ফাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফী জান্না-তিন না‘ঈম।",
              "words_arabic": "اَلْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلّٰهِ ؕ/لِّلَّهِ/lillahi//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِ /ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "চূড়ান্ত কর্তৃত্ব//সেদিন হবে//জন্যে আল্লাহরই//তিনি বিচার করবেন//তাদের মাঝে//সুতরাং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকাজসমূহের//(তারা থাকবে) মধ্যে//জান্নাতসমূহের//সুখকর"
            },
            {
              "number": 2652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2652.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَا فَأُو۟لَٰٓئِكَ لَهُمْ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "এবং যারা কুফরি করে এবং আমার আয়াত সমূহকে মিথ্যা বলে তাদের জন্যে লাঞ্ছনাকর শাস্তি রয়েছে।",
              "numberInSurah": 57,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 291,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূওয়া কাযযাবূবিআ-য়া-তিনা-ফাউলাইকা লাহুম ‘আযা-বুম মুহীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ۠/مُّهِينٞ/muhinun",
              "words_bangla": "আর যারা//অস্বীকার করেছে//ও অমান্য করেছে//প্রতি আমাদের নিদর্শনাবলীর//তবে ঐসবলোক//জন্যে তাদের  (রয়েছে)//শাস্তি//লাঞ্ছনাদায়ক"
            },
            {
              "number": 2653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2653.mp3"
              ],
              "text": "وَٱلَّذِينَ هَاجَرُوا۟ فِى سَبِيلِ ٱللَّهِ ثُمَّ قُتِلُوٓا۟ أَوْ مَاتُوا۟ لَيَرْزُقَنَّهُمُ ٱللَّهُ رِزْقًا حَسَنًۭا ۚ وَإِنَّ ٱللَّهَ لَهُوَ خَيْرُ ٱلرَّٰزِقِينَ",
              "translate_bn": "যারা আল্লাহর পথে গৃহ ত্যাগ করেছে, এরপর নিহত হয়েছে অথবা মরে গেছে; আল্লাহ তাদেরকে অবশ্যই উৎকৃষ্ট জীবিকা দান করবেন এবং আল্লাহ সর্বোৎকৃষ্ট রিযিক দাতা।",
              "numberInSurah": 58,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হা-জারূফী ছাবীলিল্লা-হি ছুম্মা কুতিলূআও মা-তূলাইয়ারঝুকান্নাহুমুল্লা-হু রিঝকান হাছানাওঁ ওয়া ইন্নাল্লা-হা লাহুওয়া খাইরুর রা-ঝিকীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هَاجَرُوْا/هَاجَرُواْ/hajaru//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//قُتِلُوْۤا/قُتِلُوٓاْ/qutilu//اَوْ/أَوۡ/aw//مَاتُوْا/مَاتُواْ/matu//لَیَرْزُقَنَّهُمُ/لَيَرۡزُقَنَّهُمُ/layarzuqannahumu//اللّٰهُ/ٱللَّهُ/al-lahu//رِزْقًا/رِزۡقًا/riz'qan//حَسَنًا ؕ/حَسَنٗاۚ/hasanan//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَهُوَ/لَهُوَ/lahuwa//خَیْرُ/خَيۡرُ/khayru//الرّٰزِقِیْنَ /ٱلرَّـٰزِقِينَ/al-raziqina",
              "words_bangla": "আর যারা//হিজরত করেছে//মধ্যে//পথের//আল্লাহর//এরপর//নিহত হয়েছে//অথবা//মারা গিয়েছে//অবশ্যই তাদেরকে জীবিকা দিবেন//আল্লাহ//জীবিকা//উৎকৃষ্ট//নিশ্চয়ই//আল্লাহ//অবশ্যই তিনি//উত্তম//জীবিকাদাতাদের"
            },
            {
              "number": 2654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2654.mp3"
              ],
              "text": "لَيُدْخِلَنَّهُم مُّدْخَلًۭا يَرْضَوْنَهُۥ ۗ وَإِنَّ ٱللَّهَ لَعَلِيمٌ حَلِيمٌۭ",
              "translate_bn": "তাদেরকে অবশ্যই এমন এক স্থানে পৌছাবেন, যাকে তারা পছন্দ করবে এবং আল্লাহ জ্ঞানময়, সহনশীল।",
              "numberInSurah": 59,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 135,
              "sajda": false,
              "pronunciation_bn": "লাইউদখিলান্নাহুম মু দ খালাইঁ ইয়ারদাওনাহূ ওয়া ইন্নাল্লা-হা লা‘আলীমুন হালীম।",
              "words_arabic": "لَیُدْخِلَنَّهُمْ/لَيُدۡخِلَنَّهُم/layud'khilannahum//مُّدْخَلًا/مُّدۡخَلٗا/mud'khalan//یَّرْضَوْنَهٗ ؕ/يَرۡضَوۡنَهُۥۚ/yardawnahu//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلِیْمٌ/لَعَلِيمٌ/la'alimun//حَلِیْمٌ /حَلِيمٞ/halimun",
              "words_bangla": "অবশ্যই তাদেরকে তিনি প্রবেশ করাবেন//(এমন) প্রবেশস্থানে//তাতে তারা সন্তুষ্ট হবে//এবং নিশ্চয়ই//আল্লাহ//অবশ্যই সর্বজ্ঞ//পরম সহনশীল"
            },
            {
              "number": 2655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2655.mp3"
              ],
              "text": "۞ ذَٰلِكَ وَمَنْ عَاقَبَ بِمِثْلِ مَا عُوقِبَ بِهِۦ ثُمَّ بُغِىَ عَلَيْهِ لَيَنصُرَنَّهُ ٱللَّهُ ۗ إِنَّ ٱللَّهَ لَعَفُوٌّ غَفُورٌۭ",
              "translate_bn": "এ তো শুনলে, যে ব্যক্তি নিপীড়িত হয়ে নিপীড়ন পরিমাণে প্রতিশোধ গ্রহণ করে এবং পুনরায় সে নিপীড়িত হয়, আল্লাহ অবশ্যই তাকে সাহায্য করবেন। নিশ্চয় আল্লাহ মার্জনাকারী ক্ষমাশীল।",
              "numberInSurah": 60,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ওয়ামান ‘আ-কাবা বিমিছলি মা-‘উকিবা বিহী ছুম্মা বুগিয়া ‘আলাইহি লাইয়ানসুরান্নাহুল্লা-হু ইন্নাল্লা-হা লা‘আফুওউন গাফূর।",
              "words_arabic": "ذٰلِكَ ۚ/۞ذَٰلِكَۖ/dhalika//وَ مَنْ/وَمَنۡ/waman//عَاقَبَ/عَاقَبَ/aqaba//بِمِثْلِ/بِمِثۡلِ/bimith'li//مَا/مَا/ma//عُوْقِبَ/عُوقِبَ/uqiba//بِهٖ/بِهِۦ/bihi//ثُمَّ/ثُمَّ/thumma//بُغِیَ/بُغِيَ/bughiya//عَلَیْهِ/عَلَيۡهِ/alayhi//لَیَنْصُرَنَّهُ/لَيَنصُرَنَّهُ/layansurannahu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَعَفُوٌّ/لَعَفُوٌّ/la'afuwwun//غَفُوْرٌ /غَفُورٞ/ghafurun",
              "words_bangla": "এটা (এদের পরিনতি)//আর যে//প্রতিশোধ নিবে//(তার) সমতুল্য//যেমন//নিপীড়ন করা হয়েছে//প্রতি তার//আবার//বাড়াবাড়ি করা হয়েছে//তার উপর//অবশ্যই তাকে সাহায্য করবেন//আল্লাহ//নিশ্চয়ই//আল্লাহ//অবশ্যই পাপমোচনকারী//ক্ষমাশীল"
            },
            {
              "number": 2656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2656.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَأَنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌۭ",
              "translate_bn": "এটা এ জন্যে যে, আল্লাহ রাত্রিকে দিনের মধ্যে এবং দিনকে রাত্রির মধ্য দাখিল করে দেন এবং আল্লাহ সবকিছু শোনেন, দেখেন।",
              "numberInSurah": 61,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা ইউলিজুল্লাইলা ফিন্নাহা-রি ওয়া ইউলিজুন্নাহা-রা ফিল্লাইলি ওয়া আন্নাল্লা-হা ছামী‘উম বাসীর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//یُوْلِجُ/يُولِجُ/yuliju//الَّیْلَ/ٱلَّيۡلَ/al-layla//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ یُوْلِجُ/وَيُولِجُ/wayuliju//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فِی/فِي/fi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌۢ/سَمِيعُۢ/sami'un//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "এটা//এজন্যে যে//আল্লাহ//প্রবেশ করান//রাতকে//মধ্যে//দিনের//ও তিনি প্রবেশ করান//দিনকে//মধ্যে//রাতের//আর নিশ্চয়ই//আল্লাহ্‌//সব শুনেন//সব দেখেন"
            },
            {
              "number": 2657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2657.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّ مَا يَدْعُونَ مِن دُونِهِۦ هُوَ ٱلْبَٰطِلُ وَأَنَّ ٱللَّهَ هُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ",
              "translate_bn": "এটা এ কারণেও যে, আল্লাহই সত্য; আর তাঁর পরিবর্তে তারা যাকে ডাকে, তা অসত্য এবং আল্লাহই সবার উচ্চে, মহান।",
              "numberInSurah": 62,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা হুওয়াল হাক্কুওয়াআন্না মা-ইয়াদ‘উনা মিন দূনিহী হুওয়াল বা-তিলু ওয়া আন্নাল্লা-হা হুয়াল ‘আলিইয়ুল কাবীর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ اَنَّ/وَأَنَّ/wa-anna//مَا/مَا/ma//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//هُوَ/هُوَ/huwa//الْبَاطِلُ/ٱلۡبَٰطِلُ/al-batilu//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْعَلِیُّ/ٱلۡعَلِيُّ/al-'aliyu//الْكَبِیْرُ /ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "এটা//এজন্য যে//আল্লাহ্‌//তিনিই//সত্য//আর (এও সত্য) যে//যাকে//তারা ডাকে//মধ্য হতে//তাঁকে ছাড়া//তা//অসত্য//আর (এও সত্য) যে//আল্লাহ//তিনিই//সমুচ্চ//সুমহান"
            },
            {
              "number": 2658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2658.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَتُصْبِحُ ٱلْأَرْضُ مُخْضَرَّةً ۗ إِنَّ ٱللَّهَ لَطِيفٌ خَبِيرٌۭ",
              "translate_bn": "তুমি কি দেখ না যে, আল্লাহ আকাশ থেকে পানি বর্ষণ করেন, অতঃপর ভূপৃষ্ট সবুজ-শ্যামল হয়ে উঠে। নিশ্চয় আল্লাহ সুক্ষদর্শী, সর্ববিষয়ে খবরদার।",
              "numberInSurah": 63,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা আনঝালা মিনাছছামাই মাআন ফাতুসবিহুল আরদু মুখদাররাতান ইন্নাল্লা-হা লাতীফুন খাবীর।\r\n",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً ؗ/مَآءٗ/maan//فَتُصْبِحُ/فَتُصۡبِحُ/fatus'bihu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//مُخْضَرَّةً ؕ/مُخۡضَرَّةًۚ/mukh'darratan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَطِیْفٌ/لَطِيفٌ/latifun//خَبِیْرٌۚ/خَبِيرٞ/khabirun",
              "words_bangla": "নি কি//তুমি দেখো//যে//আল্লাহ//বর্ষণ করেন//হ'তে//আকাশ//পানি//ফলে হয়ে উঠে//জমিন//সবুজ শ্যামল//নিশ্চয়ই//আল্লাহ//সূক্ষ্ণদর্শী//খুব অবহিত"
            },
            {
              "number": 2659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2659.mp3"
              ],
              "text": "لَّهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَإِنَّ ٱللَّهَ لَهُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ",
              "translate_bn": "নভোমন্ডল ও ভুপৃষ্ঠে যা কিছু আছে, সব তাঁরই এবং আল্লাহই অভাবমুক্ত প্রশংসার অধিকারী।",
              "numberInSurah": 64,
              "juz": 17,
              "manzil": 4,
              "page": 339,
              "ruku": 292,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "লাহূমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া ইন্নাল্লা-হা লাহুওয়াল গানিইয়ুল হামীদ।",
              "words_arabic": "لَهٗ/لَّهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَهُوَ/لَهُوَ/lahuwa//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//الْحَمِیْدُ۠/ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "জন্যে তাঁরই//যা কিছু//মধ্যে (আছে)//আকাশমন্ডলীর//ও যা কিছু//মধ্যে (আছে)//পৃথিবীর//এবং নিশ্চয়ই//আল্লাহ//অবশ্যই তিনি//অভাবমুক্ত//প্রশংসিত"
            },
            {
              "number": 2660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2660.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ سَخَّرَ لَكُم مَّا فِى ٱلْأَرْضِ وَٱلْفُلْكَ تَجْرِى فِى ٱلْبَحْرِ بِأَمْرِهِۦ وَيُمْسِكُ ٱلسَّمَآءَ أَن تَقَعَ عَلَى ٱلْأَرْضِ إِلَّا بِإِذْنِهِۦٓ ۗ إِنَّ ٱللَّهَ بِٱلنَّاسِ لَرَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "তুমি কি দেখ না যে, ভূপৃষ্টে যা আছে এবং সমুদ্রে চলমান নৌকা তৎসমুদয়কে আল্লাহ নিজ আদেশে তোমাদের অধীন করে দিয়েছেন এবং তিনি আকাশ স্থির রাখেন, যাতে তাঁর আদেশ ব্যতীত ভূপৃষ্টে পতিত না হয়। নিশ্চয় আল্লাহ মানুষের প্রতি করুণাশীল, দয়াবান।",
              "numberInSurah": 65,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ছাখখারা লাকুম মা-ফিল আরদিওয়াল ফুলকা তাজরী ফিল বাহরি বিআমরিহী ওয়া ইউমছিকুছছামাআন তাকা‘আ ‘আলাল আরদিইল্লা-বিইযনিহী ইন্নাল্লা-হা বিন্না-ছি লারাঊফুররাহীম।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//سَخَّرَ/سَخَّرَ/sakhara//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ الْفُلْكَ/وَٱلۡفُلۡكَ/wal-ful'ka//تَجْرِیْ/تَجۡرِي/tajri//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦ/bi-amrihi//وَ یُمْسِكُ/وَيُمۡسِكُ/wayum'siku//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//اَنْ/أَن/an//تَقَعَ/تَقَعَ/taqa'a//عَلَی/عَلَى/ala//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلَّا/إِلَّا/illa//بِاِذْنِهٖ ؕ/بِإِذۡنِهِۦٓۚ/bi-idh'nihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِالنَّاسِ/بِٱلنَّاسِ/bil-nasi//لَرَءُوْفٌ/لَرَءُوفٞ/laraufun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "নি কি//তুমি দেখো//যে//আল্লাহ//অধীন করে দিয়েছেন//জন্যে তোমাদের//যা কিছু//মধ্যে (আছে)//পৃথিবীর//এবং নৌযানসমূহ//চলাচল করে//মধ্যে//সমুদ্রের//তাঁর নির্দেশ অনুসারে//এবং তিনি ধরে রেখেছেন//আকাশকে//যেন (না)//পতিত হয়//উপর//পৃথিবীর//ছাড়া//নিয়ে তাঁর অনুমতি//নিশ্চয়ই//আল্লাহ//উপর মানুষের//অবশ্যই দয়াপরবশ//পরম দয়ালু"
            },
            {
              "number": 2661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2661.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِىٓ أَحْيَاكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ۗ إِنَّ ٱلْإِنسَٰنَ لَكَفُورٌۭ",
              "translate_bn": "তিনিই তোমাদেরকে জীবিত করেছেন, অতঃপর তিনিই তোমাদেরকে মৃত্যুদান করবেন ও পুনরায় জীবিত করবেন। নিশ্চয় মানুষ বড় অকৃতজ্ঞ।",
              "numberInSurah": 66,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীআহইয়া-কুম, ছু ম্মা ইউমীতুকুমছু ম্মা ইউহঈকুম ; ইন্নাল ইনছা-না লাকাফূর।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَحْیَاكُمْ ؗ/أَحۡيَاكُمۡ/ahyakum//ثُمَّ/ثُمَّ/thumma//یُمِیْتُكُمْ/يُمِيتُكُمۡ/yumitukum//ثُمَّ/ثُمَّ/thumma//یُحْیِیْكُمْ ؕ/يُحۡيِيكُمۡۗ/yuh'yikum//اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لَكَفُوْرٌ /لَكَفُورٞ/lakafurun",
              "words_bangla": "এবং তিনিই//যিনি//জীবন দিয়েছেন তোমাদেরকে//এরপর//তোমাদেরকে মৃত্যু দিবেন//এরপর//তোমাদের জীবিত করবেন//নিশ্চয়ই//মানুষ//অবশ্যই অকৃতজ্ঞ বড়"
            },
            {
              "number": 2662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2662.mp3"
              ],
              "text": "لِّكُلِّ أُمَّةٍۢ جَعَلْنَا مَنسَكًا هُمْ نَاسِكُوهُ ۖ فَلَا يُنَٰزِعُنَّكَ فِى ٱلْأَمْرِ ۚ وَٱدْعُ إِلَىٰ رَبِّكَ ۖ إِنَّكَ لَعَلَىٰ هُدًۭى مُّسْتَقِيمٍۢ",
              "translate_bn": "আমি প্রত্যেক উম্মতের জন্যে এবাদতের একটি নিয়ম-কানুন নির্ধারণ করে দিয়েছি, যা তারা পালন করে। অতএব তারা যেন এ ব্যাপারে আপনার সাথে বিতর্ক না করে। আপনি তাদেরকে পালনকর্তার দিকে আহবান করুন। নিশ্চয় আপনি সরল পথেই আছেন।",
              "numberInSurah": 67,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "লিকুল্লি উম্মাতিন জা‘আলনা-মানছাকান হুম না-ছিকূহু ফালা-ইউনা-ঝি‘উন্নাকা ফিলআমরি ওয়াদ‘উ ইলা-রাব্বিকা ইন্নাকা লা‘আলা-হুদাম মুছতাকীম।",
              "words_arabic": "لِكُلِّ/لِّكُلِّ/likulli//اُمَّةٍ/أُمَّةٖ/ummatin//جَعَلْنَا/جَعَلۡنَا/ja'alna//مَنْسَكًا/مَنسَكًا/mansakan//هُمْ/هُمۡ/hum//نَاسِكُوْهُ/نَاسِكُوهُۖ/nasikuhu//فَلَا/فَلَا/fala//یُنَازِعُنَّكَ/يُنَٰزِعُنَّكَ/yunazi'unnaka//فِی/فِي/fi//الْاَمْرِ/ٱلۡأَمۡرِۚ/al-amri//وَ ادْعُ/وَٱدۡعُ/wa-ud'u//اِلٰی/إِلَىٰ/ila//رَبِّكَ ؕ/رَبِّكَۖ/rabbika//اِنَّكَ/إِنَّكَ/innaka//لَعَلٰی/لَعَلَىٰ/la'ala//هُدًی/هُدٗى/hudan//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "জন্যে প্রত্যেক//জাতির//আমরা নির্ধারণ করেছি//ইবাদাত পদ্ধতি//তারা//সেই প্রথা অনুসরণকারী//সুতরাং না (যেন)//তোমার (সাথে) ঝগড়া করে//নিয়ে//এই (ব্যাপার)//এবং তুমি ডাকো//দিকে//তোমার রবের//তুমি নিশ্চয়ই (আছো)//অবশ্যই উপর//পথের//সরল সঠিক"
            },
            {
              "number": 2663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2663.mp3"
              ],
              "text": "وَإِن جَٰدَلُوكَ فَقُلِ ٱللَّهُ أَعْلَمُ بِمَا تَعْمَلُونَ",
              "translate_bn": "তারা যদি আপনার সাথে বিতর্ক করে, তবে বলে দিন, তোমরা যা কর, সে সর্ম্পকে আল্লাহ অধিক জ্ঞাত।",
              "numberInSurah": 68,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন জা-দালূকা ফাকুল্লিলা-হু আ‘লামুবিমা-তা‘মালূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//جٰدَلُوْكَ/جَٰدَلُوكَ/jadaluka//فَقُلِ/فَقُلِ/faquli//اللّٰهُ/ٱللَّهُ/al-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "আর যদি//তোমার সাথে তারা বিতর্ক করে//তবে বলো//\"আল্লাহ//খুব জানেন//যা সে বিষয়ে//তোমরা কাজ করছো"
            },
            {
              "number": 2664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2664.mp3"
              ],
              "text": "ٱللَّهُ يَحْكُمُ بَيْنَكُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ",
              "translate_bn": "তোমরা যে বিষয়ে মতবিরোধ করছ, আল্লাহ কিয়ামতের দিন সেই বিষয়ে তোমাদের মধ্যে ফায়সালা করবেন।",
              "numberInSurah": 69,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াহকুমুবাইনাকুম ইয়াওমাল কিয়া-মাতি ফীমা-কুনতুম ফীহি তাখতালিফূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كُنْتُمْ/كُنتُمۡ/kuntum//فِیْهِ/فِيهِ/fihi//تَخْتَلِفُوْنَ /تَخۡتَلِفُونَ/takhtalifuna",
              "words_bangla": "আল্লাহ//মীমাংসা করে দিবেন//তোমাদের মাঝে//দিনে//ক্বিয়ামাতের//সে বিষয়ে//তোমরা ছিলে//যার মধ্যে//মতভেদ করতে\""
            },
            {
              "number": 2665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2665.mp3"
              ],
              "text": "أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَآءِ وَٱلْأَرْضِ ۗ إِنَّ ذَٰلِكَ فِى كِتَٰبٍ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌۭ",
              "translate_bn": "তুমি কি জান না যে, আল্লাহ জানেন যা কিছু আকাশে ও ভুমন্ডলে আছে এসব কিতাবে লিখিত আছে। এটা আল্লাহর কাছে সহজ।",
              "numberInSurah": 70,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "আলাম তা‘লাম আন্নাল্লা-হা ইয়া‘লামুমা-ফিছছামাই ওয়াল আরদি ইন্না যা-লিকা ফী কিতা-বিন ইন্না যা-লিকা ‘আলাল্লা-হি ইয়াছীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَعْلَمْ/تَعۡلَمۡ/ta'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//فِیْ/فِي/fi//كِتٰبٍ ؕ/كِتَٰبٍۚ/kitabin//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "নি কি//তুমি জানো//যে//আল্লাহ//জানেন//যা কিছু//মধ্যে (আছে)//আকাশের//ও পৃথিবীতে//নিশ্চয়ই//এটা//মধ্যে (আছে)//এক কিতাবে (লিপিবদ্ধ)//নিশ্চয়ই//এটা//নিকট//আল্লাহর//সহজ"
            },
            {
              "number": 2666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2666.mp3"
              ],
              "text": "وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَٰنًۭا وَمَا لَيْسَ لَهُم بِهِۦ عِلْمٌۭ ۗ وَمَا لِلظَّٰلِمِينَ مِن نَّصِيرٍۢ",
              "translate_bn": "তারা আল্লাহর পরিবর্তে এমন কিছুর পূজা করে, যার কোন সনদ নাযিল করা হয়নি এবং সে সম্পর্কে তাদের কোন জ্ঞান নেই। বস্তুতঃ জালেমদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 71,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া‘বুদূ না মিন দূ নিল্লা-হি মা-লাম ইউনাঝঝিল বিহী ছুলতা-নাওঁ ওয়ামা-লাইছা লাহুম বিহী ‘ইলমুওঁ ওয়ামা লিজ্জা-লিমীনা মিন নাসীর।",
              "words_arabic": "وَ یَعْبُدُوْنَ/وَيَعۡبُدُونَ/waya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یُنَزِّلْ/يُنَزِّلۡ/yunazzil//بِهٖ/بِهِۦ/bihi//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//وَّ مَا/وَمَا/wama//لَیْسَ/لَيۡسَ/laysa//لَهُمْ/لَهُم/lahum//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؕ/عِلۡمٞۗ/il'mun//وَ مَا/وَمَا/wama//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِن/min//نَّصِیْرٍ /نَّصِيرٖ/nasirin",
              "words_bangla": "এবং তারা উপাসনা করে//মধ্য হতে//পরিবর্তে//আল্লাহ্‌র//(এমন কিছুর) যা//নি//অবতীর্ণ করেন (আল্লাহ)//সে সম্বন্ধে//কোন প্রমাণ//আর যার//নেই//কাছে তাদের//সম্বন্ধে সে//কোন জ্ঞান//এবং নেই//জন্যে সীমালঙ্ঘনকারীদের//কোন//সাহায্যকারী"
            },
            {
              "number": 2667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2667.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا بَيِّنَٰتٍۢ تَعْرِفُ فِى وُجُوهِ ٱلَّذِينَ كَفَرُوا۟ ٱلْمُنكَرَ ۖ يَكَادُونَ يَسْطُونَ بِٱلَّذِينَ يَتْلُونَ عَلَيْهِمْ ءَايَٰتِنَا ۗ قُلْ أَفَأُنَبِّئُكُم بِشَرٍّۢ مِّن ذَٰلِكُمُ ۗ ٱلنَّارُ وَعَدَهَا ٱللَّهُ ٱلَّذِينَ كَفَرُوا۟ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "যখন তাদের কাছে আমার সুস্পষ্ট আয়াতসমূহ আবৃত্তি করা হয়, তখন তুমি কাফেরদের চোখে মুখে অসন্তোষের লক্ষণ প্রত্যক্ষ করতে পারবে। যারা তাদের কাছে আমার আয়াত সমূহ পাঠ করে, তারা তাদের প্রতি মার মুখো হয়ে উঠে। বলুন, আমি কি তোমাদেরকে তদপেক্ষা মন্দ কিছুর সংবাদ দেব? তা আগুন; আল্লাহ কাফেরদেরকে এর ওয়াদা দিয়েছেন। এটা কতই না নিকৃষ্ট প্রত্যাবর্তনস্থল।",
              "numberInSurah": 72,
              "juz": 17,
              "manzil": 4,
              "page": 340,
              "ruku": 293,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-‘আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিন তা‘রিফুফী উজূহিল্লাযীনা কাফারুল মুনকারা ইয়াকা-দূ না ইয়াছতূনা বিল্লাযীনা ইয়াতলূনা ‘আলাইহিম আ-য়াতিনা- কুল আফাউনাববিউকুম বিশাররিম মিন যা-লিকুম আন্নারু ওয়া ‘আদাহাল্লা-হু ল্লাযীনা কাফারূ ওয়াবি’ছাল মাসীর।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//تَعْرِفُ/تَعۡرِفُ/ta'rifu//فِیْ/فِي/fi//وُجُوْهِ/وُجُوهِ/wujuhi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوا/كَفَرُواْ/kafaru//الْمُنْكَرَ ؕ/ٱلۡمُنكَرَۖ/al-munkara//یَكَادُوْنَ/يَكَادُونَ/yakaduna//یَسْطُوْنَ/يَسۡطُونَ/yastuna//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//یَتْلُوْنَ/يَتۡلُونَ/yatluna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِنَا ؕ/ءَايَٰتِنَاۗ/ayatina//قُلْ/قُلۡ/qul//اَفَاُنَبِّئُكُمْ/أَفَأُنَبِّئُكُم/afa-unabbi-ukum//بِشَرٍّ/بِشَرّٖ/bisharrin//مِّنْ/مِّن/min//ذٰلِكُمْ ؕ/ذَٰلِكُمُۚ/dhalikumu//اَلنَّارُ ؕ/ٱلنَّارُ/al-naru//وَعَدَهَا/وَعَدَهَا/wa'adaha//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۖ/kafaru//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ۠/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//তাদের নিকট//আমাদের আয়াতগুলোকে//সুস্পষ্ট//তুমি লক্ষ্য করবে//মধ্যে//মুখমণ্ডলসমূহে//(তাদের) যারা//অস্বীকার করেছে//অসন্তোষের লক্ষণ//তারা উপক্রম হয়//আক্রমণ করবে তারা//উপর (তাদের) যারা//তিলাওয়াত করে//নিকট তাদের//আমাদের আয়াতগুলোকে//বলো//\"কি তবে তোমাদের সংবাদ দিবো//নিকৃষ্ট কিছু সম্পর্কে//চেয়েও//এর (তোমাদের)//(সেটা হলো) আগুন//যা প্রতিশ্রুতি দিয়েছেন//আল্লাহ//(তাদের জন্যে) যারা//অস্বীকার করেছে//এবং কত নিকৃষ্ট//প্রত্যাবর্তনস্থল\""
            },
            {
              "number": 2668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2668.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ ضُرِبَ مَثَلٌۭ فَٱسْتَمِعُوا۟ لَهُۥٓ ۚ إِنَّ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ لَن يَخْلُقُوا۟ ذُبَابًۭا وَلَوِ ٱجْتَمَعُوا۟ لَهُۥ ۖ وَإِن يَسْلُبْهُمُ ٱلذُّبَابُ شَيْـًۭٔا لَّا يَسْتَنقِذُوهُ مِنْهُ ۚ ضَعُفَ ٱلطَّالِبُ وَٱلْمَطْلُوبُ",
              "translate_bn": "হে লোক সকল! একটি উপমা বর্ণনা করা হলো, অতএব তোমরা তা মনোযোগ দিয়ে শোন; তোমরা আল্লাহর পরিবর্তে যাদের পূজা কর, তারা কখনও একটি মাছি সৃষ্টি করতে পারবে না, যদিও তারা সকলে একত্রিত হয়। আর মাছি যদি তাদের কাছ থেকে কোন কিছু ছিনিয়ে নেয়, তবে তারা তার কাছ থেকে তা উদ্ধার করতে পারবে না, প্রার্থনাকারী ও যার কাছে প্রার্থনা করা হয়, উভয়েই শক্তিহীন।",
              "numberInSurah": 73,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুদুরিবা মাছালুন ফাছতামি‘ঊ লাহূ ইন্নাল্লায ীনা তাদ‘উনা মিন দূ নিল্লাহি লাইঁ ইয়াখলুকূযুবা-বাওঁ ওয়া লাবিজতামা‘ঊ লাহূ ওয়াইয়ঁইয়াসলুবহুমুয যুবা-বু শাইআল লাইয়াছতানকিযূহু মিনহু দা‘উফাততা-লিবুওয়াল মাতলূব।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//ضُرِبَ/ضُرِبَ/duriba//مَثَلٌ/مَثَلٞ/mathalun//فَاسْتَمِعُوْا/فَٱسۡتَمِعُواْ/fa-is'tami'u//لَهٗ ؕ/لَهُۥٓۚ/lahu//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//لَنْ/لَن/lan//یَّخْلُقُوْا/يَخۡلُقُواْ/yakhluqu//ذُبَابًا/ذُبَابٗا/dhubaban//وَّ لَوِ/وَلَوِ/walawi//اجْتَمَعُوْا/ٱجۡتَمَعُواْ/ij'tama'u//لَهٗ ؕ/لَهُۥۖ/lahu//وَ اِنْ/وَإِن/wa-in//یَّسْلُبْهُمُ/يَسۡلُبۡهُمُ/yaslub'humu//الذُّبَابُ/ٱلذُّبَابُ/al-dhubabu//شَیْـًٔا/شَيۡـٔٗا/shayan//لَّا/لَّا/la//یَسْتَنْقِذُوْهُ/يَسۡتَنقِذُوهُ/yastanqidhuhu//مِنْهُ ؕ/مِنۡهُۚ/min'hu//ضَعُفَ/ضَعُفَ/da'ufa//الطَّالِبُ/ٱلطَّالِبُ/al-talibu//وَ الْمَطْلُوْبُ /وَٱلۡمَطۡلُوبُ/wal-matlubu",
              "words_bangla": "হে//মানুষ//পেশ করা হচ্ছে//একটি উপমা//তাই তোমরা মনযোগ দিয়ে শুনো//প্রতি তার//নিশ্চয়ই//যাদেরকে//ডাকছো তোমরা//মধ্য হতে//পরিবর্তে//আল্লাহর//কখনও না//তারা সৃষ্টি করতে পারে//একটি মাছিও//যদি//তারা একত্র হয়//সেজন্যে//আর যদি//তাদের থেকে ছিনিয়ে নেয়//মাছি//কোন কিছুই//না//তা উদ্ধার করতে পারে//তা হ'তে//দুর্বল (কতই না)//(সাহায্য) অন্বেষণকারী//ও অন্বেষণকৃত (সেও দুর্বল)"
            },
            {
              "number": 2669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2669.mp3"
              ],
              "text": "مَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦٓ ۗ إِنَّ ٱللَّهَ لَقَوِىٌّ عَزِيزٌ",
              "translate_bn": "তারা আল্লাহর যথাযোগ্য মর্যাদা বোঝেনি। নিশ্চয় আল্লাহ শক্তিধর, মহাপরাক্রমশীল।",
              "numberInSurah": 74,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "মা-কাদারুল্লা-হা হাক্কা কাদরিহী ইন্নাল্লা-হা লাকাবিইইউন ‘আঝীঝ।",
              "words_arabic": "مَا/مَا/ma//قَدَرُوا/قَدَرُواْ/qadaru//اللّٰهَ/ٱللَّهَ/al-laha//حَقَّ/حَقَّ/haqqa//قَدْرِهٖ ؕ/قَدۡرِهِۦٓۚ/qadrihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَقَوِیٌّ/لَقَوِيٌّ/laqawiyyun//عَزِیْزٌ /عَزِيزٌ/azizun",
              "words_bangla": "না//তারা মর্যাদা দিলো//আল্লাহ্‌র//যথোচিত//তাঁর মর্যাদা//নিশ্চয়ই//আল্লাহ্‌//অবশ্যই শক্তিমান//পরাক্রমশালী"
            },
            {
              "number": 2670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2670.mp3"
              ],
              "text": "ٱللَّهُ يَصْطَفِى مِنَ ٱلْمَلَٰٓئِكَةِ رُسُلًۭا وَمِنَ ٱلنَّاسِ ۚ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌۭ",
              "translate_bn": "আল্লাহ ফেরেশতা ও মানুষের মধ্য থেকে রাসূল মনোনীত করেন। আল্লাহ সর্বশ্রোতা, সর্ব দ্রষ্টা!",
              "numberInSurah": 75,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াসতাফী মিনাল মালাইকাতি রুছূলাওঁ ওয়া মিনান্না-ছি ইন্নাল্লা-হা ছামী‘উম বাসীর।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَصْطَفِیْ/يَصۡطَفِي/yastafi//مِنَ/مِنَ/mina//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//رُسُلًا/رُسُلٗا/rusulan//وَّ مِنَ/وَمِنَ/wamina//النَّاسِ ؕ/ٱلنَّاسِۚ/al-nasi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌۢ/سَمِيعُۢ/sami'un//بَصِیْرٌۚ/بَصِيرٞ/basirun",
              "words_bangla": "(বস্তুতঃ) আল্লাহ্‌//মনোনীত করেন//মধ্য হ'তে//ফেরেশতাদের//বাণীবাহকরূপে//আর মধ্য হ'তেও//মানুষের//নিশ্চয়ই//আল্লাহ//সব শুনেন//সব দেখেন"
            },
            {
              "number": 2671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2671.mp3"
              ],
              "text": "يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ ۗ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "তিনি জানেন যা তাদের সামনে আছে এবং যা পশ্চাতে আছে এবং সবকিছু আল্লাহর দিকে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 76,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুমা-বাইনা আইদীহিম ওয়ামা-খালফাহুম ওয়া ইলাল্লা-হি তুরজা‘উল উমূর।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ ؕ/خَلۡفَهُمۡۚ/khalfahum//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ /ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "তিনি জানেন//যা (আছে)//মাঝে//হাতের তাদের (সম্মুখে)//ও যা (আছে)//তাদের পিছনে//এবং দিকে//আল্লাহ্‌রই//প্রত্যাবর্তিত হয়//সব ব্যাপারে"
            },
            {
              "number": 2672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2672.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱرْكَعُوا۟ وَٱسْجُدُوا۟ وَٱعْبُدُوا۟ رَبَّكُمْ وَٱفْعَلُوا۟ ٱلْخَيْرَ لَعَلَّكُمْ تُفْلِحُونَ ۩",
              "translate_bn": "হে মুমিনগণ! তোমরা রুকু কর, সেজদা কর, তোমাদের পালনকর্তার এবাদত কর এবং সৎকাজ সম্পাদন কর, যাতে তোমরা সফলকাম হতে পার।",
              "numberInSurah": 77,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": {
                "id": 7,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুরকা‘উওয়াছজুদূওয়া‘বুদূরাব্বাকুম ওয়াফ‘আলুলখাইরা লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//ارْكَعُوْا/ٱرۡكَعُواْ/ir'ka'u//وَ اسْجُدُوْا/وَٱسۡجُدُواْۤ/wa-us'judu//وَ اعْبُدُوْا/وَٱعۡبُدُواْ/wa-u'budu//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//وَ افْعَلُوا/وَٱفۡعَلُواْ/wa-if'alu//الْخَیْرَ/ٱلۡخَيۡرَ/al-khayra//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَۚ۩/تُفۡلِحُونَ۩/tuf'lihuna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা রূকূ করো//ও তোমরা সিজদা করো//ও তোমরা ইবাদাত করো//তোমাদের রবের//ও তোমরা করো//ভালো কাজ//যাতে তোমরা//সফলকাম হ'তে পারো"
            },
            {
              "number": 2673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2673.mp3"
              ],
              "text": "وَجَٰهِدُوا۟ فِى ٱللَّهِ حَقَّ جِهَادِهِۦ ۚ هُوَ ٱجْتَبَىٰكُمْ وَمَا جَعَلَ عَلَيْكُمْ فِى ٱلدِّينِ مِنْ حَرَجٍۢ ۚ مِّلَّةَ أَبِيكُمْ إِبْرَٰهِيمَ ۚ هُوَ سَمَّىٰكُمُ ٱلْمُسْلِمِينَ مِن قَبْلُ وَفِى هَٰذَا لِيَكُونَ ٱلرَّسُولُ شَهِيدًا عَلَيْكُمْ وَتَكُونُوا۟ شُهَدَآءَ عَلَى ٱلنَّاسِ ۚ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَٱعْتَصِمُوا۟ بِٱللَّهِ هُوَ مَوْلَىٰكُمْ ۖ فَنِعْمَ ٱلْمَوْلَىٰ وَنِعْمَ ٱلنَّصِيرُ",
              "translate_bn": "তোমরা আল্লাহর জন্যে শ্রম স্বীকার কর যেভাবে শ্রম স্বীকার করা উচিত। তিনি তোমাদেরকে পছন্দ করেছেন এবং ধর্মের ব্যাপারে তোমাদের উপর কোন সংকীর্ণতা রাখেননি। তোমরা তোমাদের পিতা ইব্রাহীমের ধর্মে কায়েম থাক। তিনিই তোমাদের নাম মুসলমান রেখেছেন পূর্বেও এবং এই কোরআনেও, যাতে রসূল তোমাদের জন্যে সাক্ষ্যদাতা এবং তোমরা সাক্ষ্যদাতা হও মানবমন্ডলির জন্যে। সুতরাং তোমরা নামায কায়েম কর, যাকাত দাও এবং আল্লাহকে শক্তভাবে ধারণ কর। তিনিই তোমাদের মালিক। অতএব তিনি কত উত্তম মালিক এবং কত উত্তম সাহায্যকারী।",
              "numberInSurah": 78,
              "juz": 17,
              "manzil": 4,
              "page": 341,
              "ruku": 294,
              "hizbQuarter": 136,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা-হিদূফিল্লা-হি হাক্কা জিহা-দিহী হুওয়াজতাবা-কুম ওয়ামা-জা‘আলা ‘আলাইকুম ফিদদীনি মিন হারাজিন মিল্লাতা আবীকুম ইবরা-হীমা হুওয়া ছাম্মাকুমুল মুছলিমীনা মিন কাবলুওয়া ফী হা-যা-লিয়াকূনার রাছূলুশাহীদান ‘আলাইকুম ওয়া তাকূনূশুহাদাআ ‘আলান্না-ছি ফাআকীমুসসালা-তা ওয়া আ-তুঝঝাকা-তা ওয়া‘ তাসিমূবিল্লা-হি হুওয়া মাওলা-কুম ফানি‘মাল মাওলা-ওয়া নি‘মান নাসীর।",
              "words_arabic": "وَ جَاهِدُوْا/وَجَٰهِدُواْ/wajahidu//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//حَقَّ/حَقَّ/haqqa//جِهَادِهٖ ؕ/جِهَادِهِۦۚ/jihadihi//هُوَ/هُوَ/huwa//اجْتَبٰىكُمْ/ٱجۡتَبَىٰكُمۡ/ij'tabakum//وَ مَا/وَمَا/wama//جَعَلَ/جَعَلَ/ja'ala//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//مِنْ/مِنۡ/min//حَرَجٍ ؕ/حَرَجٖۚ/harajin//مِلَّةَ/مِّلَّةَ/millata//اَبِیْكُمْ/أَبِيكُمۡ/abikum//اِبْرٰهِیْمَ ؕ/إِبۡرَٰهِيمَۚ/ib'rahima//هُوَ/هُوَ/huwa//سَمّٰىكُمُ/سَمَّىٰكُمُ/sammakumu//الْمُسْلِمِیْنَ ۙ۬/ٱلۡمُسۡلِمِينَ/al-mus'limina//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ فِیْ/وَفِي/wafi//هٰذَا/هَٰذَا/hadha//لِیَكُوْنَ/لِيَكُونَ/liyakuna//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//شَهِیْدًا/شَهِيدًا/shahidan//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ تَكُوْنُوْا/وَتَكُونُواْ/watakunu//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//عَلَی/عَلَى/ala//النَّاسِ ۖۚ/ٱلنَّاسِۚ/al-nasi//فَاَقِیْمُوا/فَأَقِيمُواْ/fa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اعْتَصِمُوْا/وَٱعۡتَصِمُواْ/wa-i'tasimu//بِاللّٰهِ ؕ/بِٱللَّهِ/bil-lahi//هُوَ/هُوَ/huwa//مَوْلٰىكُمْ ۚ/مَوۡلَىٰكُمۡۖ/mawlakum//فَنِعْمَ/فَنِعۡمَ/fani'ma//الْمَوْلٰی/ٱلۡمَوۡلَىٰ/al-mawla//وَ نِعْمَ/وَنِعۡمَ/wani'ma//النَّصِیْرُ۠/ٱلنَّصِيرُ/al-nasiru",
              "words_bangla": "আর তোমরা জিহাদ করো//মধ্যে//আল্লাহর (পথে)//যথাযথ//তাঁর জিহাদ//তিনি//তোমাদের মনোনীত  করেছেন//এবং না//আরোপ করেছেন//তোমাদের উপর//ব্যাপারে//দ্বীনের//কোন//সংকীর্ণতা//ধর্মে (মিল্লাতে)//তোমাদের পিতার (প্রতিষ্ঠিত থাকো)//(অর্থাৎ) ইব্রাহীমের//তিনি (অর্থাৎ আল্লাহ)//তোমাদের নাম দিয়েছেন//মুসলিম//থেকে//পূর্ব//এবং মধ্যে//এই (ক্বুর'আনেও)//যেন হয়//রাসূল//সাক্ষী//তোমাদের উপর//আর তোমরাও হও//সাক্ষী//উপর//সমস্ত মানুষের//সুতরাং তোমরা প্রতিষ্ঠা করো//সালাত//ও দাও//জাকাত//এবং তোমরা আঁকড়ে ধরো//প্রতি আল্লাহ্‌র//তিনিই//তোমাদের অভিভাবক//অতএব কত উত্তম//অভিভাবক//আর কত উত্তম//সাহায্যকারী"
            }
          ]
        },
        {
          "number": 23,
          "name": "سُورَةُ المُؤۡمِنُونَ",
          "englishName": "Al-Muminoon",
          "englishNameTranslation": "The Believers",
          "revelationType": "Meccan",
          "verse": 118,
          "words": 2116,
          "chars": 8871,
          "ayahs": [
            {
              "number": 2674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2674.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قَدْ أَفْلَحَ ٱلْمُؤْمِنُونَ",
              "translate_bn": "মুমিনগণ সফলকাম হয়ে গেছে,",
              "numberInSurah": 1,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "কাদ আফলা হাল মু’মিনূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//اَفْلَحَ/أَفۡلَحَ/aflaha//الْمُؤْمِنُوْنَۙ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "নিশ্চয়ই//সফল হয়েছে//মু'মিনরা"
            },
            {
              "number": 2675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2675.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ فِى صَلَاتِهِمْ خَٰشِعُونَ",
              "translate_bn": "যারা নিজেদের নামাযে বিনয়-নম্র;",
              "numberInSurah": 2,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা হুম ফী সালা-তিহিম খা-শি‘ঊন,",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//صَلَاتِهِمْ/صَلَاتِهِمۡ/salatihim//خٰشِعُوْنَۙ/خَٰشِعُونَ/khashi'una",
              "words_bangla": "যারা(এমন লোক যে)//তারা//মধ্যে//সালাতসমূহের তাদের//বিনয়ী-নম্র-ভীত"
            },
            {
              "number": 2676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2676.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ عَنِ ٱللَّغْوِ مُعْرِضُونَ",
              "translate_bn": "যারা অনর্থক কথা-বার্তায় নির্লিপ্ত,",
              "numberInSurah": 3,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম ‘আনিল লাগবি মু‘রিদূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//عَنِ/عَنِ/ani//اللَّغْوِ/ٱللَّغۡوِ/al-laghwi//مُعْرِضُوْنَۙ/مُعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং যারা (বৈশিষ্ট্য হলো যে)//তারা//হ'তে//অসার কথা কাজ//বিরত থাকে"
            },
            {
              "number": 2677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2677.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ لِلزَّكَوٰةِ فَٰعِلُونَ",
              "translate_bn": "যারা যাকাত দান করে থাকে",
              "numberInSurah": 4,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম লিঝঝাকা-তি ফা-‘ইলূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//لِلزَّكٰوةِ/لِلزَّكَوٰةِ/lilzzakati//فٰعِلُوْنَۙ/فَٰعِلُونَ/fa'iluna",
              "words_bangla": "এবং যারা (বৈশিষ্ট্য এও যে)//তারা//জাকাতের ব্যাপারে//সক্রিয়"
            },
            {
              "number": 2678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2678.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ لِفُرُوجِهِمْ حَٰفِظُونَ",
              "translate_bn": "এবং যারা নিজেদের যৌনাঙ্গকে সংযত রাখে।",
              "numberInSurah": 5,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম লিফুরূজিহিম হা-ফিজূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//لِفُرُوْجِهِمْ/لِفُرُوجِهِمۡ/lifurujihim//حٰفِظُوْنَۙ/حَٰفِظُونَ/hafizuna",
              "words_bangla": "এবং যারা (এটাও গুণ যে)//তারা//জন্যে তাদের লজ্জাস্থানগুলোর//সংরক্ষক"
            },
            {
              "number": 2679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2679.mp3"
              ],
              "text": "إِلَّا عَلَىٰٓ أَزْوَٰجِهِمْ أَوْ مَا مَلَكَتْ أَيْمَٰنُهُمْ فَإِنَّهُمْ غَيْرُ مَلُومِينَ",
              "translate_bn": "তবে তাদের স্ত্রী ও মালিকানাভুক্ত দাসীদের ক্ষেত্রে সংযত না রাখলে তারা তিরস্কৃত হবে না।",
              "numberInSurah": 6,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘আলাআঝওয়া-জিহিম আও মা-মালাকাত আইমা-নুহুম ফাইন্নাহুম গাইরু মালূমীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عَلٰۤی/عَلَىٰٓ/ala//اَزْوَاجِهِمْ/أَزۡوَٰجِهِمۡ/azwajihim//اَوْ/أَوۡ/aw//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُمْ/أَيۡمَٰنُهُمۡ/aymanuhum//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//غَیْرُ/غَيۡرُ/ghayru//مَلُوْمِیْنَۚ/مَلُومِينَ/malumina",
              "words_bangla": "তবে (এটা প্রযোজ্য নয়)//উপর//তাদের স্ত্রীদের//বা//যা//মালিক হয়েছে//তাদের ডান হাত (অর্থাৎ দাসী)//নিশ্চয়ই সেক্ষেত্রে তারা//নয়//নিন্দনীয়"
            },
            {
              "number": 2680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2680.mp3"
              ],
              "text": "فَمَنِ ٱبْتَغَىٰ وَرَآءَ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلْعَادُونَ",
              "translate_bn": "অতঃপর কেউ এদেরকে ছাড়া অন্যকে কামনা করলে তারা সীমালংঘনকারী হবে।",
              "numberInSurah": 7,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফামানিবতাগা-ওয়ারাআ যা-লিকা ফাউলাইকা হুমুল ‘আ-দূন।",
              "words_arabic": "فَمَنِ/فَمَنِ/famani//ابْتَغٰی/ٱبۡتَغَىٰ/ib'tagha//وَرَآءَ/وَرَآءَ/waraa//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْعٰدُوْنَۚ/ٱلۡعَادُونَ/al-'aduna",
              "words_bangla": "তবে যে//কামনা করে//বাইরে//এর//সেক্ষেত্রে ঐসবলোক//তারাই//সীমালঙ্ঘনকারী"
            },
            {
              "number": 2681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2681.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ لِأَمَٰنَٰتِهِمْ وَعَهْدِهِمْ رَٰعُونَ",
              "translate_bn": "এবং যারা আমানত ও অঙ্গীকার সম্পর্কে হুশিয়ার থাকে।",
              "numberInSurah": 8,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা যীনা হুম লিআমা-না-তিহিম ওয়া‘আহদিহিম রা-‘ঊন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//لِاَمٰنٰتِهِمْ/لِأَمَٰنَٰتِهِمۡ/li-amanatihim//وَ عَهْدِهِمْ/وَعَهۡدِهِمۡ/wa'ahdihim//رٰعُوْنَۙ/رَٰعُونَ/ra'una",
              "words_bangla": "এবং যারা (বৈশিষ্ট হলো যে)//তারা//জন্যে তাদের আমানতসমূহের//ও তাদের প্রতিশ্রুতির//সংরক্ষণকারী"
            },
            {
              "number": 2682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2682.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ عَلَىٰ صَلَوَٰتِهِمْ يُحَافِظُونَ",
              "translate_bn": "এবং যারা তাদের নামাযসমূহের খবর রাখে।",
              "numberInSurah": 9,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম ‘আলা-সালাওয়া-তিহিম ইউহা-ফিজূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//عَلٰی/عَلَىٰ/ala//صَلَوٰتِهِمْ/صَلَوَٰتِهِمۡ/salawatihim//یُحَافِظُوْنَۘ/يُحَافِظُونَ/yuhafizuna",
              "words_bangla": "এবং যারা (বৈশিষ্ট্য হলো যে)//তারা//ক্ষেত্রে//তাদের সালাতসমুহের//তারা যত্ন করে"
            },
            {
              "number": 2683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2683.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ هُمُ ٱلْوَٰرِثُونَ",
              "translate_bn": "তারাই উত্তরাধিকার লাভ করবে।",
              "numberInSurah": 10,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "উলাইকা হুমুল ওয়া-রিছূ ন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْوٰرِثُوْنَۙ/ٱلۡوَٰرِثُونَ/al-warithuna",
              "words_bangla": "ঐসবলোক//তারাই//(সেই) উত্তরাধিকারী"
            },
            {
              "number": 2684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2684.mp3"
              ],
              "text": "ٱلَّذِينَ يَرِثُونَ ٱلْفِرْدَوْسَ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "তারা শীতল ছায়াময় উদ্যানের উত্তরাধিকার লাভ করবে। তারা তাতে চিরকাল থাকবে।",
              "numberInSurah": 11,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়ারিছূনাল ফিরদাউছা হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَرِثُوْنَ/يَرِثُونَ/yarithuna//الْفِرْدَوْسَ ؕ/ٱلۡفِرۡدَوۡسَ/al-fir'dawsa//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "যা্রা//উত্তরাধিকারী হয়েছে//ফিরদাউসের//তারা//তার মধ্যে//চিরস্থায়ী হবে"
            },
            {
              "number": 2685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2685.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَا ٱلْإِنسَٰنَ مِن سُلَٰلَةٍۢ مِّن طِينٍۢ",
              "translate_bn": "আমি মানুষকে মাটির সারাংশ থেকে সৃষ্টি করেছি।",
              "numberInSurah": 12,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ খালাকনাল ইনছা-না মিন ছুলা-লাতিম মিন তীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِن/min//سُلٰلَةٍ/سُلَٰلَةٖ/sulalatin//مِّنْ/مِّن/min//طِیْنٍۚ/طِينٖ/tinin",
              "words_bangla": "এবং নিশ্চয়ই//সৃষ্টি করেছি আমরা//মানুষকে//থেকে//নির্যাস//থেকে//মাটির"
            },
            {
              "number": 2686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2686.mp3"
              ],
              "text": "ثُمَّ جَعَلْنَٰهُ نُطْفَةًۭ فِى قَرَارٍۢ مَّكِينٍۢ",
              "translate_bn": "অতঃপর আমি তাকে শুক্রবিন্দু রূপে এক সংরক্ষিত আধারে স্থাপন করেছি।",
              "numberInSurah": 13,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা জা‘আলনা-হু নুতফাতান ফী কারা-রিম মাকীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//نُطْفَةً/نُطۡفَةٗ/nut'fatan//فِیْ/فِي/fi//قَرَارٍ/قَرَارٖ/qararin//مَّكِیْنٍ۪/مَّكِينٖ/makinin",
              "words_bangla": "এরপর//তাকে (মানুষকে) আমরা স্হাপন করি//শুক্ররূপে//মধ্যে//আঁধারের//সুরক্ষিত"
            },
            {
              "number": 2687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2687.mp3"
              ],
              "text": "ثُمَّ خَلَقْنَا ٱلنُّطْفَةَ عَلَقَةًۭ فَخَلَقْنَا ٱلْعَلَقَةَ مُضْغَةًۭ فَخَلَقْنَا ٱلْمُضْغَةَ عِظَٰمًۭا فَكَسَوْنَا ٱلْعِظَٰمَ لَحْمًۭا ثُمَّ أَنشَأْنَٰهُ خَلْقًا ءَاخَرَ ۚ فَتَبَارَكَ ٱللَّهُ أَحْسَنُ ٱلْخَٰلِقِينَ",
              "translate_bn": "এরপর আমি শুক্রবিন্দুকে জমাট রক্তরূপে সৃষ্টি করেছি, অতঃপর জমাট রক্তকে মাংসপিন্ডে পরিণত করেছি, এরপর সেই মাংসপিন্ড থেকে অস্থি সৃষ্টি করেছি, অতঃপর অস্থিকে মাংস দ্বারা আবৃত করেছি, অবশেষে তাকে নতুন রূপে দাঁড় করিয়েছি। নিপুণতম সৃষ্টিকর্তা আল্লাহ কত কল্যাণময়।",
              "numberInSurah": 14,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা খালাকনান নুতফাতা ‘আলাকাতান ফাখালাকনাল ‘আলাকাতা মুদগাতান ফাখালাকনাল মুদগাতা ‘ইজা-মান ফাকাছাওনাল ‘ইজা-মা লাহমান ছু ম্মা আনশা’না-হু খালকান আ-খারা ফাতাবা-রাকাল্লা-হু আহছানুল খা-লিকীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//خَلَقْنَا/خَلَقۡنَا/khalaqna//النُّطْفَةَ/ٱلنُّطۡفَةَ/al-nut'fata//عَلَقَةً/عَلَقَةٗ/alaqatan//فَخَلَقْنَا/فَخَلَقۡنَا/fakhalaqna//الْعَلَقَةَ/ٱلۡعَلَقَةَ/al-'alaqata//مُضْغَةً/مُضۡغَةٗ/mud'ghatan//فَخَلَقْنَا/فَخَلَقۡنَا/fakhalaqna//الْمُضْغَةَ/ٱلۡمُضۡغَةَ/al-mud'ghata//عِظٰمًا/عِظَٰمٗا/izaman//فَكَسَوْنَا/فَكَسَوۡنَا/fakasawna//الْعِظٰمَ/ٱلۡعِظَٰمَ/al-'izama//لَحْمًا ۗ/لَحۡمٗا/lahman//ثُمَّ/ثُمَّ/thumma//اَنْشَاْنٰهُ/أَنشَأۡنَٰهُ/anshanahu//خَلْقًا/خَلۡقًا/khalqan//اٰخَرَ ؕ/ءَاخَرَۚ/akhara//فَتَبٰرَكَ/فَتَبَارَكَ/fatabaraka//اللّٰهُ/ٱللَّهُ/al-lahu//اَحْسَنُ/أَحۡسَنُ/ahsanu//الْخٰلِقِیْنَؕ/ٱلۡخَٰلِقِينَ/al-khaliqina",
              "words_bangla": "এরপর (এই প্রক্রিয়ায়)//আমরা সৃষ্টি করি//শুক্রবিন্দুকে//জমাট রক্তরূপে//অতঃপর আমরা সৃষ্টি করি//জমাট রক্তকে//মাংসপিন্ডে//অতঃপর আমরা সৃষ্টি করি//মাংসপিন্ডকে//হাড়ে//অতঃপর আমরা ঢেকে দিই//হাড়কে//গোশত (দ্বারা)//এরপর//তাকে আমরা গড়ে তুলি//সৃষ্টিরূপে//অন্য এক//অতএব কত মহান//আল্লাহ্‌//(যিনি) সর্বোত্তম//(সব) স্রষ্টাদের"
            },
            {
              "number": 2688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2688.mp3"
              ],
              "text": "ثُمَّ إِنَّكُم بَعْدَ ذَٰلِكَ لَمَيِّتُونَ",
              "translate_bn": "এরপর তোমরা মৃত্যুবরণ করবে",
              "numberInSurah": 15,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নাকুম বা‘দা যা-লিকা লামাইয়িতূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّكُمْ/إِنَّكُم/innakum//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//لَمَیِّتُوْنَؕ/لَمَيِّتُونَ/lamayyituna",
              "words_bangla": "এরপর//নিশ্চয়ই তোমরা//পরে//এর//অবশ্যই মৃত্যুবরণ করবে"
            },
            {
              "number": 2689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2689.mp3"
              ],
              "text": "ثُمَّ إِنَّكُمْ يَوْمَ ٱلْقِيَٰمَةِ تُبْعَثُونَ",
              "translate_bn": "অতঃপর কেয়ামতের দিন তোমরা পুনরুত্থিত হবে।",
              "numberInSurah": 16,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নাকুম ইয়াওমাল কিয়া-মাতি তুব‘আছূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّكُمْ/إِنَّكُمۡ/innakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//تُبْعَثُوْنَ /تُبۡعَثُونَ/tub'athuna",
              "words_bangla": "এরপর//নিশ্চয়ই তোমাদের//দিনে//ক্বিয়ামাতের//ওঠানো হবে"
            },
            {
              "number": 2690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2690.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَا فَوْقَكُمْ سَبْعَ طَرَآئِقَ وَمَا كُنَّا عَنِ ٱلْخَلْقِ غَٰفِلِينَ",
              "translate_bn": "আমি তোমাদের উপর সুপ্তপথ সৃষ্টি করেছি এবং আমি সৃষ্টি সম্বন্ধে অনবধান নই।",
              "numberInSurah": 17,
              "juz": 18,
              "manzil": 4,
              "page": 342,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ খালাকনা-ফাওকাকুম ছাব‘আ তারাইকা ওয়ামা-কুন্না-‘আনিল খালকিগা-ফিলীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//فَوْقَكُمْ/فَوۡقَكُمۡ/fawqakum//سَبْعَ/سَبۡعَ/sab'a//طَرَآىِٕقَ ۖۗ/طَرَآئِقَ/taraiqa//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//عَنِ/عَنِ/ani//الْخَلْقِ/ٱلۡخَلۡقِ/al-khalqi//غٰفِلِیْنَ /غَٰفِلِينَ/ghafilina",
              "words_bangla": "আর নিশ্চয়ই//আমরা সৃষ্টি করেছি//তোমাদের ওপরে//সাতটি//পথ//এবং না//আমরা ছিলাম//সম্পর্কে//সৃষ্টি//অমনোযোগী"
            },
            {
              "number": 2691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2691.mp3"
              ],
              "text": "وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءًۢ بِقَدَرٍۢ فَأَسْكَنَّٰهُ فِى ٱلْأَرْضِ ۖ وَإِنَّا عَلَىٰ ذَهَابٍۭ بِهِۦ لَقَٰدِرُونَ",
              "translate_bn": "আমি আকাশ থেকে পানি বর্ষণ করে থাকি পরিমাণ মত অতঃপর আমি জমিনে সংরক্ষণ করি এবং আমি তা অপসারণও করতে সক্ষম।",
              "numberInSurah": 18,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনঝালনা-মিনাছ ছামাই মাআম বিকাদারিন ফাআছকান্না-হু ফিল আরদি ওয়া ইন্না-‘আলা-যাহা-বিম বিহী লাকা-দিরূন।",
              "words_arabic": "وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءًۢ/مَآءَۢ/maan//بِقَدَرٍ/بِقَدَرٖ/biqadarin//فَاَسْكَنّٰهُ/فَأَسۡكَنَّـٰهُ/fa-askannahu//فِی/فِي/fi//الْاَرْضِ ۖۗ/ٱلۡأَرۡضِۖ/al-ardi//وَ اِنَّا/وَإِنَّا/wa-inna//عَلٰی/عَلَىٰ/ala//ذَهَابٍۭ/ذَهَابِۭ/dhahabin//بِهٖ/بِهِۦ/bihi//لَقٰدِرُوْنَۚ/لَقَٰدِرُونَ/laqadiruna",
              "words_bangla": "আর আমরা বর্ষণ করি//হ'তে//আকাশ//পানি//পরিমাণ মতো//অতঃপর তা আমরা সংরক্ষণ করি//মধ্যে//মাটির//আর নিশ্চয়ই আমরা//ব্যাপারে//(অন্যত্র) যাওয়ার//নিয়ে তা//অবশ্যই সক্ষম"
            },
            {
              "number": 2692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2692.mp3"
              ],
              "text": "فَأَنشَأْنَا لَكُم بِهِۦ جَنَّٰتٍۢ مِّن نَّخِيلٍۢ وَأَعْنَٰبٍۢ لَّكُمْ فِيهَا فَوَٰكِهُ كَثِيرَةٌۭ وَمِنْهَا تَأْكُلُونَ",
              "translate_bn": "অতঃপর আমি তা দ্বারা তোমাদের জন্যে খেজুর ও আঙ্গুরের বাগান সৃষ্টি করেছি। তোমাদের জন্যে এতে প্রচুর ফল আছে এবং তোমরা তা থেকে আহার করে থাক।",
              "numberInSurah": 19,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফাআনশা’না-লাকুম বিহী জান্না-তিম মিন নাখীলিওঁ ওয়া ‘আনা-ব । লাকুম ফীহা-ফাওয়াকিহু কাছী রাতুওঁ ওয়া মিনহা-তা’কুলূন।",
              "words_arabic": "فَاَنْشَاْنَا/فَأَنشَأۡنَا/fa-anshana//لَكُمْ/لَكُم/lakum//بِهٖ/بِهِۦ/bihi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//مِّنْ/مِّن/min//نَّخِیْلٍ/نَّخِيلٖ/nakhilin//وَّ اَعْنَابٍ ۘ/وَأَعۡنَٰبٖ/wa-a'nabin//لَكُمْ/لَّكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//فَوَاكِهُ/فَوَٰكِهُ/fawakihu//كَثِیْرَةٌ/كَثِيرَةٞ/kathiratun//وَّ مِنْهَا/وَمِنۡهَا/wamin'ha//تَاْكُلُوْنَۙ/تَأۡكُلُونَ/takuluna",
              "words_bangla": "অতঃপর আমরা সৃষ্টি করি//জন্যে তোমাদের//দিয়ে তা//বাগান//(দিয়ে) তৈরি//খেজুরের (গাছ)//ও আঙ্গুরের//জন্যে তোমাদের//তার মধ্যে (আছে)//ফলমূল//প্রচুর//আর তা হ'তে//তোমরা খাও"
            },
            {
              "number": 2693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2693.mp3"
              ],
              "text": "وَشَجَرَةًۭ تَخْرُجُ مِن طُورِ سَيْنَآءَ تَنۢبُتُ بِٱلدُّهْنِ وَصِبْغٍۢ لِّلْءَاكِلِينَ",
              "translate_bn": "এবং ঐ বৃক্ষ সৃষ্টি করেছি, যা সিনাই পর্বতে জন্মায় এবং আহারকারীদের জন্যে তৈল ও ব্যঞ্জন উৎপন্ন করে।",
              "numberInSurah": 20,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া শাজারাতান তাখরুজুমিন তূরি ছাইনাআ তামবুতুবিদ্দুহনি ওয়াছিবগিল লিলআ-কিলীন।",
              "words_arabic": "وَ شَجَرَةً/وَشَجَرَةٗ/washajaratan//تَخْرُجُ/تَخۡرُجُ/takhruju//مِنْ/مِن/min//طُوْرِ/طُورِ/turi//سَیْنَآءَ/سَيۡنَآءَ/saynaa//تَنْۢبُتُ/تَنۢبُتُ/tanbutu//بِالدُّهْنِ/بِٱلدُّهۡنِ/bil-duh'ni//وَ صِبْغٍ/وَصِبۡغٖ/wasib'ghin//لِّلْاٰكِلِیْنَ /لِّلۡأٓكِلِينَ/lil'akilina",
              "words_bangla": "এবং গাছ (জয়তুনের)//বের হয়//হ'তে//পাহাড়//সিনাইয়ের//উৎপন্ন হয়//তেল নিয়ে//এবং খাবার (তরকারিসহ)//জন্যে খাদ্যগ্রহণকারীদের"
            },
            {
              "number": 2694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2694.mp3"
              ],
              "text": "وَإِنَّ لَكُمْ فِى ٱلْأَنْعَٰمِ لَعِبْرَةًۭ ۖ نُّسْقِيكُم مِّمَّا فِى بُطُونِهَا وَلَكُمْ فِيهَا مَنَٰفِعُ كَثِيرَةٌۭ وَمِنْهَا تَأْكُلُونَ",
              "translate_bn": "এবং তোমাদের জন্যে চতুস্পদ জন্তু সমূহের মধ্যে চিন্তা করার বিষয় রয়েছে। আমি তোমাদেরকে তাদের উদরস্থিত বস্তু থেকে পান করাই এবং তোমাদের জন্যে তাদের মধ্যে প্রচুর উপকারিতা আছে। তোমরা তাদের কতককে ভক্ষণ কর।",
              "numberInSurah": 21,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লাকুম ফিল আন‘আ-মি লা‘ইবরাতান নুছকীকুম মিম্মা-ফী বুতূনিহা-ওয়া লাকুম ফীহা-মানা-ফি‘উ কাছীরাতুওঁ ওয়া মিনহা-তা’কুলূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لَكُمْ/لَكُمۡ/lakum//فِی/فِي/fi//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//لَعِبْرَةً ؕ/لَعِبۡرَةٗۖ/la'ib'ratan//نُسْقِیْكُمْ/نُّسۡقِيكُم/nus'qikum//مِّمَّا/مِّمَّا/mimma//فِیْ/فِي/fi//بُطُوْنِهَا/بُطُونِهَا/butuniha//وَ لَكُمْ/وَلَكُمۡ/walakum//فِیْهَا/فِيهَا/fiha//مَنَافِعُ/مَنَٰفِعُ/manafi'u//كَثِیْرَةٌ/كَثِيرَةٞ/kathiratun//وَّ مِنْهَا/وَمِنۡهَا/wamin'ha//تَاْكُلُوْنَۙ/تَأۡكُلُونَ/takuluna",
              "words_bangla": "এবং নিশ্চয়ই//জন্যে তোমাদের//মধ্যে (আছে)//গৃহপালিত পশুদের//অবশ্যই শিক্ষা//তোমাদেরকে পান করাই আমরা//তা হ'তে যা//রয়েছে//তাদের পেটে (অর্থাৎ দুধ)//আর জন্যে তোমাদের (রয়েছে)//তাদের মধ্যে//উপকারিতা//প্রচুর//আর তাদের মধ্য হ'তে//তোমরা খাও (গোশত)"
            },
            {
              "number": 2695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2695.mp3"
              ],
              "text": "وَعَلَيْهَا وَعَلَى ٱلْفُلْكِ تُحْمَلُونَ",
              "translate_bn": "তাদের পিঠে ও জলযানে তোমরা আরোহণ করে চলাফেরা করে থাক।",
              "numberInSurah": 22,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 295,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আলাইহা-ওয়া ‘আলাল ফুলকি তুহমালূন।",
              "words_arabic": "وَ عَلَیْهَا/وَعَلَيۡهَا/wa'alayha//وَ عَلَی/وَعَلَى/wa'ala//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//تُحْمَلُوْنَ۠/تُحۡمَلُونَ/tuh'maluna",
              "words_bangla": "এবং তাদের উপর//ও উপর//নৌযানের//তোমাদের বহন করা হয়"
            },
            {
              "number": 2696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2696.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَقَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥٓ ۖ أَفَلَا تَتَّقُونَ",
              "translate_bn": "আমি নূহকে তার সম্প্রদায়ের কাছে প্রেরণ করেছিলাম। সে বলেছিলঃ হে আমার সম্প্রদায়, তোমরা আল্লাহর বন্দেগী কর। তিনি ব্যতীত তোমাদের কোন মাবুদ নেই। তোমরা কি ভয় কর না।",
              "numberInSurah": 23,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-নূহান ইলা-কাওমিহী ফাকা-লা ইয়া-কাওমি‘বুদল্লা-হা মালাকুম মিন ইলা-হিন গাইরুহূ আফালা-তাত্তাকূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحًا/nuhan//اِلٰی/إِلَىٰ/ila//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//فَقَالَ/فَقَالَ/faqala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥٓۚ/ghayruhu//اَفَلَا/أَفَلَا/afala//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "আর নিশ্চয়ই//আমরা পাঠিয়েছি//নূহকে//প্রতি//তার জাতির//তখন সে বলেছিলো//\"হে আমার জাতি//তোমরা ইবাদাত করো//আল্লাহর//নেই//জন্যে তোমাদের//কোন//ইলাহ//তিনি ছাড়া//কি তবুও না//তোমরা সাবধান হবে\""
            },
            {
              "number": 2697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2697.mp3"
              ],
              "text": "فَقَالَ ٱلْمَلَؤُا۟ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ مَا هَٰذَآ إِلَّا بَشَرٌۭ مِّثْلُكُمْ يُرِيدُ أَن يَتَفَضَّلَ عَلَيْكُمْ وَلَوْ شَآءَ ٱللَّهُ لَأَنزَلَ مَلَٰٓئِكَةًۭ مَّا سَمِعْنَا بِهَٰذَا فِىٓ ءَابَآئِنَا ٱلْأَوَّلِينَ",
              "translate_bn": "তখন তার সম্প্রদায়ের কাফের-প্রধানরা বলেছিলঃ এ তো তোমাদের মতই একজন মানুষ বৈ নয়। সে তোমাদের উপর নেতৃত্ব করতে চায়। আল্লাহ ইচ্ছা করলে ফেরেশতাই নাযিল করতেন। আমরা আমাদের পূর্বপুরুষদের মধ্যে এরূপ কথা শুনিনি।",
              "numberInSurah": 24,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লাল মালাউল্লাযীনা কাফারূমিন কাওমিহী মা-হা-যাইল্লা-বাশারুম মিছলুকুম ইউরীদুআইঁ ইয়াতাফাদ্দালা ‘আলাইকুম ওয়া লাও শাআল্লা-হু লাআনঝালা মালাইকাতাম মা-ছামি‘না-বিহা-যা-ফীআ-বাইনাল আওওয়ালীন।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//الْمَلَؤُا/ٱلۡمَلَؤُاْ/al-mala-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ ۙ/مِّثۡلُكُمۡ/mith'lukum//یُرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یَّتَفَضَّلَ/يَتَفَضَّلَ/yatafaddala//عَلَیْكُمْ ؕ/عَلَيۡكُمۡ/alaykum//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَاَنْزَلَ/لَأَنزَلَ/la-anzala//مَلٰٓىِٕكَةً ۖۚ/مَلَـٰٓئِكَةٗ/malaikatan//مَّا/مَّا/ma//سَمِعْنَا/سَمِعۡنَا/sami'na//بِهٰذَا/بِهَٰذَا/bihadha//فِیْۤ/فِيٓ/fi//اٰبَآىِٕنَا/ءَابَآئِنَا/abaina//الْاَوَّلِیْنَۚ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "তখন বলেছিলো//প্রধান ব্যক্তিরা//(তাদের) যারা//অস্বীকার করেছিলো//মধ্য হ'তে//তার জাতির//\"নয়//\"এই (ব্যক্তি)//এ ছাড়া যে//একজন মানুষ//তোমাদেরই মতো//সে চায়//যে//শ্রেষ্ঠত্ব লাভ করবে//তোমাদের উপর//আর যদি//চাইতেন//আল্লাহ্‌//অবশ্যই পাঠাতেন//ফেরেশতা//না//আমরা শুনেছি//ধরণের এ (কথা)//মধ্যে//আমাদের পিতৃপুরুষদের//পূর্বকালের"
            },
            {
              "number": 2698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2698.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا رَجُلٌۢ بِهِۦ جِنَّةٌۭ فَتَرَبَّصُوا۟ بِهِۦ حَتَّىٰ حِينٍۢ",
              "translate_bn": "সে তো এক উম্মাদ ব্যক্তি বৈ নয়। সুতরাং কিছুকাল তার ব্যাপারে অপেক্ষা কর।",
              "numberInSurah": 25,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা-রাজুলুম বিহী জিন্নাতুন ফাতারাব্বাসুবিহী হাত্তা-হীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//رَجُلٌۢ/رَجُلُۢ/rajulun//بِهٖ/بِهِۦ/bihi//جِنَّةٌ/جِنَّةٞ/jinnatun//فَتَرَبَّصُوْا/فَتَرَبَّصُواْ/fatarabbasu//بِهٖ/بِهِۦ/bihi//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "নয়//সে//এ ছাড়া যে//একজন মানুষ//সাথে তার (আছে)//জ্বিন//অতএব তোমরা অপেক্ষা করো//সম্পর্কে তার//পর্যন্ত//কিছুকাল\""
            },
            {
              "number": 2699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2699.mp3"
              ],
              "text": "قَالَ رَبِّ ٱنصُرْنِى بِمَا كَذَّبُونِ",
              "translate_bn": "নূহ বলেছিলঃ হে আমার পালনকর্তা, আমাকে সাহায্য কর; কেননা, তারা আমাকে মিথ্যাবাদী বলছে।",
              "numberInSurah": 26,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিনসুরনী বিমা-কাযযাবূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//انْصُرْنِیْ/ٱنصُرۡنِي/unsur'ni//بِمَا/بِمَا/bima//كَذَّبُوْنِ /كَذَّبُونِ/kadhabuni",
              "words_bangla": "(নূহ) বললো//\"হে আমার রব//আমাকে সাহায্য করো//এ কারণে যে//আমাকে তারা মিথ্যা সাব্যস্ত করেছে\""
            },
            {
              "number": 2700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2700.mp3"
              ],
              "text": "فَأَوْحَيْنَآ إِلَيْهِ أَنِ ٱصْنَعِ ٱلْفُلْكَ بِأَعْيُنِنَا وَوَحْيِنَا فَإِذَا جَآءَ أَمْرُنَا وَفَارَ ٱلتَّنُّورُ ۙ فَٱسْلُكْ فِيهَا مِن كُلٍّۢ زَوْجَيْنِ ٱثْنَيْنِ وَأَهْلَكَ إِلَّا مَن سَبَقَ عَلَيْهِ ٱلْقَوْلُ مِنْهُمْ ۖ وَلَا تُخَٰطِبْنِى فِى ٱلَّذِينَ ظَلَمُوٓا۟ ۖ إِنَّهُم مُّغْرَقُونَ",
              "translate_bn": "অতঃপর আমি তার কাছে আদেশ প্রেরণ করলাম যে, তুমি আমার দৃষ্টির সামনে এবং আমার নির্দেশে নৌকা তৈরী কর। এরপর যখন আমার আদেশ আসে এবং চুল্লী প্লাবিত হয়, তখন নৌকায় তুলে নাও, প্রত্যেক জীবের এক এক জোড়া এবং তোমার পরিবারবর্গকে, তাদের মধ্যে যাদের বিপক্ষে পূর্বে সিদ্ধান্ত নেয়া হয়েছে তাদের ছাড়া। এবং তুমি জালেমদের সম্পর্কে আমাকে কিছু বলো না। নিশ্চয় তারা নিমজ্জত হবে।",
              "numberInSurah": 27,
              "juz": 18,
              "manzil": 4,
              "page": 343,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফাআওহাইনা ইলাইহি আনিসনা‘ইল ফুলকা বিআ‘ইউনিনা-ওয়া ওয়াহয়িনা-ফাইযাজাআ আমরুনা-ওয়া ফা-রাততাননূরূ ফাছলুক ফীহা-মিন কুলিন ঝাওজাইনিছনাইনি ওয়া আহ লাকা ইল্লা-মান ছাবাকা ‘আলাইহিল কাওলুমিনহুম ওয়ালা-তুখা-তিবনী ফিল্লাযীনা জালামূ ইন্নাহুম মুগরাকূন।",
              "words_arabic": "فَاَوْحَیْنَاۤ/فَأَوۡحَيۡنَآ/fa-awhayna//اِلَیْهِ/إِلَيۡهِ/ilayhi//اَنِ/أَنِ/ani//اصْنَعِ/ٱصۡنَعِ/is'na'i//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//بِاَعْیُنِنَا/بِأَعۡيُنِنَا/bi-a'yunina//وَ وَحْیِنَا/وَوَحۡيِنَا/wawahyina//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//اَمْرُنَا/أَمۡرُنَا/amruna//وَ فَارَ/وَفَارَ/wafara//التَّنُّوْرُ ۙ/ٱلتَّنُّورُ/al-tanuru//فَاسْلُكْ/فَٱسۡلُكۡ/fa-us'luk//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلٍّ/كُلّٖ/kullin//زَوْجَیْنِ/زَوۡجَيۡنِ/zawjayni//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//وَ اَهْلَكَ/وَأَهۡلَكَ/wa-ahlaka//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//سَبَقَ/سَبَقَ/sabaqa//عَلَیْهِ/عَلَيۡهِ/alayhi//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//مِنْهُمْ ۚ/مِنۡهُمۡۖ/min'hum//وَ لَا/وَلَا/wala//تُخَاطِبْنِیْ/تُخَٰطِبۡنِي/tukhatib'ni//فِی/فِي/fi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا ۚ/ظَلَمُوٓاْ/zalamu//اِنَّهُمْ/إِنَّهُم/innahum//مُّغْرَقُوْنَ /مُّغۡرَقُونَ/mugh'raquna",
              "words_bangla": "অতঃপর আমরা ওহী করলাম//তার প্রতি//\"যে//নির্মাণ করো//নৌকা//সামনে আমাদের চোখের//ও আমাদের ওহীর ভিত্তিতে//অতঃপর যখন//আসবে//আমাদের নির্দেশ//ও উথলে উঠবে//চুলাটি//(নৌকাতে) তখন উঠিয়ে নিবে//তার মধ্যে//ধরণের//প্রত্যেক (জীব জন্তুর)//জোড়া//দুইটার (অর্থাৎ নর ও নারী)//ও তোমার পরিবারকে//ছাড়া//তাদের//পূর্বে নির্ধারিত হয়েছে//যাদের সম্পর্কে//বাণী (সিদ্ধান্ত)//তাদের মধ্য হ'তে//এবং না//আমাকে কিছু বলো//সম্পর্কে//(তাদের) যারা//অত্যাচার করেছে//তারা নিশ্চয়ই//নিমজ্জিত হবে"
            },
            {
              "number": 2701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2701.mp3"
              ],
              "text": "فَإِذَا ٱسْتَوَيْتَ أَنتَ وَمَن مَّعَكَ عَلَى ٱلْفُلْكِ فَقُلِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى نَجَّىٰنَا مِنَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "যখন তুমি ও তোমার সঙ্গীরা নৌকায় আরোহণ করবে, তখন বলঃ আল্লাহর শোকর, যিনি আমাদেরকে জালেম সম্প্রদায়ের কবল থেকে উদ্ধার করেছেন।",
              "numberInSurah": 28,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফাইযাছ তাওয়াইতা আনতা ওয়া মাম মা‘আকা ‘আলাল ফুলকি ফাকুল্লি হামদুলিল্লা-হি ল্লাযী নাজ্জা-না-মিনাল কাওমিজ্জা-লিমীন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//اسْتَوَیْتَ/ٱسۡتَوَيۡتَ/is'tawayta//اَنْتَ/أَنتَ/anta//وَ مَنْ/وَمَن/waman//مَّعَكَ/مَّعَكَ/ma'aka//عَلَی/عَلَى/ala//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//فَقُلِ/فَقُلِ/faquli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//نَجّٰىنَا/نَجَّىٰنَا/najjana//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর যখন//তুমি স্হির হবে//তুমি//ও যারা//তোমার সাথে//উপর//নৌকার//তখন বলো//\"সব প্রশংসা//জন্যে আল্লাহরই//যিনি//আমাদেরকে উদ্ধার করেছেন//হ'তে//জাতি//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 2702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2702.mp3"
              ],
              "text": "وَقُل رَّبِّ أَنزِلْنِى مُنزَلًۭا مُّبَارَكًۭا وَأَنتَ خَيْرُ ٱلْمُنزِلِينَ",
              "translate_bn": "আরও বলঃ পালনকর্তা, আমাকে কল্যাণকর ভাবে নামিয়ে দাও, তুমি শ্রেষ্ঠ অবতারণকারী।",
              "numberInSurah": 29,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুর রাব্বি আনঝিলনী মুনঝালাম মুবা-রাকাওঁ ওয়া আনতা খাইরুল মুনঝিলীন।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//اَنْزِلْنِیْ/أَنزِلۡنِي/anzil'ni//مُنْزَلًا/مُنزَلٗا/munzalan//مُّبٰرَكًا/مُّبَارَكٗا/mubarakan//وَّ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الْمُنْزِلِیْنَ /ٱلۡمُنزِلِينَ/al-munzilina",
              "words_bangla": "এবং বলো//\"হে আমার রব//আমাকে অবতরণ করাও//অবতরণস্থানে//কল্যাণকর//আর তুমি//উত্তম//অবতীর্ণকারীদের (মধ্যে)\""
            },
            {
              "number": 2703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2703.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ وَإِن كُنَّا لَمُبْتَلِينَ",
              "translate_bn": "এতে নিদর্শনাবলী রয়েছে এবং আমি পরীক্ষাকারী।",
              "numberInSurah": 30,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়া-তিওঁ ওয়া ইন কুন্না-লামুবতালীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//وَّ اِنْ/وَإِن/wa-in//كُنَّا/كُنَّا/kunna//لَمُبْتَلِیْنَ /لَمُبۡتَلِينَ/lamub'talina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//আর নিশ্চয়ই//আমরাই ছিলাম//অবশ্যই পরীক্ষাকারী"
            },
            {
              "number": 2704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2704.mp3"
              ],
              "text": "ثُمَّ أَنشَأْنَا مِنۢ بَعْدِهِمْ قَرْنًا ءَاخَرِينَ",
              "translate_bn": "অতঃপর অন্য এক সম্প্রদায় আমি তার স্থলাভিষিক্ত করেছিলাম।",
              "numberInSurah": 31,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আশা’না-মিম বা‘দিহিম কারনান আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَنْشَاْنَا/أَنشَأۡنَا/anshana//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//قَرْنًا/قَرۡنًا/qarnan//اٰخَرِیْنَۚ/ءَاخَرِينَ/akharina",
              "words_bangla": "এরপর//আমরা সৃষ্টি করেছি//থেকে//পর তাদের//জাতি//অন্য এক"
            },
            {
              "number": 2705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2705.mp3"
              ],
              "text": "فَأَرْسَلْنَا فِيهِمْ رَسُولًۭا مِّنْهُمْ أَنِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَٰهٍ غَيْرُهُۥٓ ۖ أَفَلَا تَتَّقُونَ",
              "translate_bn": "এবং তাদেরই একজনকে তাদের মধ্যে রসূলরূপে প্রেরণ করেছিলাম এই বলে যে, তোমরা আল্লাহর বন্দেগী কর। তিনি ব্যতীত তোমাদের অন্য কোন মাবুদ নেই। তবুও কি তোমরা ভয় করবে না?",
              "numberInSurah": 32,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 296,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ফাআরছালনা-ফীহিম রাছূলাম মিনহুম আনি‘ বুদুল্লা-হা মা-লাকুম মিন ইলা-হিন গাইরুহূ আফালা-তাত্তাকূন।",
              "words_arabic": "فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//فِیْهِمْ/فِيهِمۡ/fihim//رَسُوْلًا/رَسُولٗا/rasulan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَنِ/أَنِ/ani//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرُهٗ ؕ/غَيۡرُهُۥٓۚ/ghayruhu//اَفَلَا/أَفَلَا/afala//تَتَّقُوْنَ۠/تَتَّقُونَ/tattaquna",
              "words_bangla": "অতঃপর আমরা পাঠিয়েছি//তাদের মধ্যে//একজনকে রাসূলরূপে//তাদেরই মধ্য হ'তে//(তার দাওয়াত এ ছিলো) যে//\"তোমরা ইবাদাত করো//আল্লাহর//নেই//জন্যে তোমাদের//কোন//ইলাহ//তিনি ছাড়া//কি তবুও না//তোমরা সাবধান হবে\""
            },
            {
              "number": 2706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2706.mp3"
              ],
              "text": "وَقَالَ ٱلْمَلَأُ مِن قَوْمِهِ ٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِلِقَآءِ ٱلْءَاخِرَةِ وَأَتْرَفْنَٰهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا مَا هَٰذَآ إِلَّا بَشَرٌۭ مِّثْلُكُمْ يَأْكُلُ مِمَّا تَأْكُلُونَ مِنْهُ وَيَشْرَبُ مِمَّا تَشْرَبُونَ",
              "translate_bn": "তাঁর সম্প্রদায়ের প্রধানরা যারা কাফের ছিল, পরকালের সাক্ষাতকে মিথ্যা বলত এবং যাদেরকে আমি পার্থিব জীবনে সুখ-স্বাচ্ছন্দ্য দিয়েছিলাম, তারা বললঃ এতো আমাদের মতই একজন মানুষ বৈ নয়। তোমরা যা খাও, সেও তাই খায় এবং তোমরা যা পান কর, সেও তাই পান করে।",
              "numberInSurah": 33,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল মালাউ মিন কাওমিহিল্লাযীনা কাফারূওয়া কাযযাবূবিলিকাইল আখিরাতি ওয়া আতরাফনা-হুম ফিল হায়া-তিদ দুনইয়া- মা হা-যাইল্লা-বাশারুম মিছলুকুম ইয়া’কুলু মিম্মা-তা’কুলূনা মিনহু ওয়া ইয়াশরাবুমিম্মা-তাশরাবূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مِنْ/مِن/min//قَوْمِهِ/قَوۡمِهِ/qawmihi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِلِقَآءِ/بِلِقَآءِ/biliqai//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//وَ اَتْرَفْنٰهُمْ/وَأَتۡرَفۡنَٰهُمۡ/wa-atrafnahum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۙ/ٱلدُّنۡيَا/al-dun'ya//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ ۙ/مِّثۡلُكُمۡ/mith'lukum//یَاْكُلُ/يَأۡكُلُ/yakulu//مِمَّا/مِمَّا/mimma//تَاْكُلُوْنَ/تَأۡكُلُونَ/takuluna//مِنْهُ/مِنۡهُ/min'hu//وَ یَشْرَبُ/وَيَشۡرَبُ/wayashrabu//مِمَّا/مِمَّا/mimma//تَشْرَبُوْنَ۪ۙ/تَشۡرَبُونَ/tashrabuna",
              "words_bangla": "এবং বলেছিলো//প্রধান ব্যক্তিরা//মধ্য হ'তে//তার জাতির//যারা//অস্বীকার করেছিলো//ও মিথ্যারোপ করেছিলো//প্রতি সাক্ষাতের//পরকালের//এবং তাদেরকে আমরা স্বাচ্ছন্দ্য দিয়েছিলাম//মধ্যে//জীবনের//দুনিয়ার//\"নয়//সে//এ ছাড়া//একজন মানুষ//তোমাদেরই মতো//সে খায়//তা হ'তে//তোমরা খাও//যা হ'তে//এবং পান করে//তা হ'তে যা//তোমরা পান করো"
            },
            {
              "number": 2707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2707.mp3"
              ],
              "text": "وَلَئِنْ أَطَعْتُم بَشَرًۭا مِّثْلَكُمْ إِنَّكُمْ إِذًۭا لَّخَٰسِرُونَ",
              "translate_bn": "যদি তোমরা তোমাদের মতই একজন মানুষের আনুগত্য কর, তবে তোমরা নিশ্চিতরূপেই ক্ষতিগ্রস্ত হবে।",
              "numberInSurah": 34,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন আতা‘তুম বাশারাম মিছলাকুম ইন্নাকুম ইযাল লাখা-ছিরূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَطَعْتُمْ/أَطَعۡتُم/ata'tum//بَشَرًا/بَشَرٗا/basharan//مِّثْلَكُمْ/مِّثۡلَكُمۡ/mith'lakum//اِنَّكُمْ/إِنَّكُمۡ/innakum//اِذًا/إِذٗا/idhan//لَّخٰسِرُوْنَۙ/لَّخَٰسِرُونَ/lakhasiruna",
              "words_bangla": "আর অবশ্যই যদি//তোমরা আনুগত্য করো//একজন মানুষের//তোমাদের মতো//নিশ্চয়ই তোমরা//তাহ'লে//ক্ষতিগ্রস্ত হবে"
            },
            {
              "number": 2708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2708.mp3"
              ],
              "text": "أَيَعِدُكُمْ أَنَّكُمْ إِذَا مِتُّمْ وَكُنتُمْ تُرَابًۭا وَعِظَٰمًا أَنَّكُم مُّخْرَجُونَ",
              "translate_bn": "সে কি তোমাদেরকে এই ওয়াদা দেয় যে, তোমরা মারা গেলে এবং মৃত্তিকা ও অস্থিতে পরিণত হলে তোমাদেরকে পুনরুজ্জীবিত করা হবে?",
              "numberInSurah": 35,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 137,
              "sajda": false,
              "pronunciation_bn": "আইয়া‘ইদুকুমআন্নাকুমইযা-মিততুমওয়াকনতুমতুরা-বাওঁ ওয়া ‘ইজা-মান আন্নাকুম মুখরাজূন।",
              "words_arabic": "اَیَعِدُكُمْ/أَيَعِدُكُمۡ/aya'idukum//اَنَّكُمْ/أَنَّكُمۡ/annakum//اِذَا/إِذَا/idha//مِتُّمْ/مِتُّمۡ/mittum//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//تُرَابًا/تُرَابٗا/turaban//وَّ عِظَامًا/وَعِظَٰمًا/wa'izaman//اَنَّكُمْ/أَنَّكُم/annakum//مُّخْرَجُوْنَ۪ۙ/مُّخۡرَجُونَ/mukh'rajuna",
              "words_bangla": "কি তোমাদেরকে প্রতিশ্রুতি দেয়//যে তোমরা//যখন//মরে যাবে//ও তোমরা হবে//মাটি//ও হাড়//নিশ্চয়ই তোমরা//(কবর হ'তে) তোমাদেরকে বের করা হবে"
            },
            {
              "number": 2709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2709.mp3"
              ],
              "text": "۞ هَيْهَاتَ هَيْهَاتَ لِمَا تُوعَدُونَ",
              "translate_bn": "তোমাদেরকে যে ওয়াদা দেয়া হচ্ছে, তা কোথায় হতে পারে?",
              "numberInSurah": 36,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "হাইহা-তা হাই-হাতা লিমা-তূ‘আদূন।",
              "words_arabic": "هَیْهَاتَ/۞هَيۡهَاتَ/hayhata//هَیْهَاتَ/هَيۡهَاتَ/hayhata//لِمَا/لِمَا/lima//تُوْعَدُوْنَ۪ۙ/تُوعَدُونَ/tu'aduna",
              "words_bangla": "(অসম্ভব) দূরে//(অসম্ভব) বহুদূরে//বিষয়ে যার//তোমাদের প্রতিশ্রুতি দেয়া হচ্ছে"
            },
            {
              "number": 2710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2710.mp3"
              ],
              "text": "إِنْ هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا نَمُوتُ وَنَحْيَا وَمَا نَحْنُ بِمَبْعُوثِينَ",
              "translate_bn": "আমাদের পার্থিবজীবনই একমাত্র জীবন। আমরা মরি ও বাঁচি এখানেই এবং আমারা পুনরুত্থিত হবো না।",
              "numberInSurah": 37,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ইন হিয়া ইল্লা-হায়া-তুনাদ দুনইয়া-নামূতুওয়া নাহইয়া-ওয়ামা-নাহনুবিমাব‘উছীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//حَیَاتُنَا/حَيَاتُنَا/hayatuna//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//نَمُوْتُ/نَمُوتُ/namutu//وَ نَحْیَا/وَنَحۡيَا/wanahya//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمَبْعُوْثِیْنَ۪ۙ/بِمَبۡعُوثِينَ/bimab'uthina",
              "words_bangla": "না//তা//এ ছাড়া যে//আমাদের জীবন//দুুনিয়ারই//(শুধু এখানেই) আমরা মরি//ও আমরা বাঁচি//এবং না//আমরা//উত্থিত হবো"
            },
            {
              "number": 2711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2711.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا رَجُلٌ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًۭا وَمَا نَحْنُ لَهُۥ بِمُؤْمِنِينَ",
              "translate_bn": "সে তো এমন ব্যক্তি বৈ নয়, যে আল্লাহ সম্বন্ধে মিথ্যা উদ্ভাবন করেছে এবং আমরা তাকে বিশ্বাস করি না।",
              "numberInSurah": 38,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা-রাজুলুনিফতারা-‘আলাল্লা-হি কাযিবাও ওয়ামা-নাহনুলাহূবিমু’মিনীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//رَجُلُ/رَجُلٌ/rajulun//فْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبٗا/kadhiban//وَّ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//لَهٗ/لَهُۥ/lahu//بِمُؤْمِنِیْنَ /بِمُؤۡمِنِينَ/bimu'minina",
              "words_bangla": "নয়//সে//এ ছাড়া//এক ব্যক্তি//রচনা করেছে//সম্পর্কে//আল্লাহ//মিথ্যা//আর নই//আমরা//উপর তার//মু'মিন\""
            },
            {
              "number": 2712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2712.mp3"
              ],
              "text": "قَالَ رَبِّ ٱنصُرْنِى بِمَا كَذَّبُونِ",
              "translate_bn": "তিনি বললেনঃ হে আমার পালনকর্তা, আমাকে সাহায্য কর, কারণ তারা আমাকে মিথ্যাবাদী বলছে।",
              "numberInSurah": 39,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিনসুরনী বিমা-কাযযাবূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//انْصُرْنِیْ/ٱنصُرۡنِي/unsur'ni//بِمَا/بِمَا/bima//كَذَّبُوْنِ /كَذَّبُونِ/kadhabuni",
              "words_bangla": "(রাসূল) বলল//\"হে আমার রব//আমাকে সাহায্য করো//এ কারণে যে//আমার উপর তারা মিথ্যারোপ করেছে\""
            },
            {
              "number": 2713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2713.mp3"
              ],
              "text": "قَالَ عَمَّا قَلِيلٍۢ لَّيُصْبِحُنَّ نَٰدِمِينَ",
              "translate_bn": "আল্লাহ বললেনঃ কিছু দিনের মধ্যে তারা সকাল বেলা অনুতপ্ত হবে।",
              "numberInSurah": 40,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "কা-লা ‘আম্মা-কালীলিল লাইউসবিহুন্না না-দিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//عَمَّا/عَمَّا/amma//قَلِیْلٍ/قَلِيلٖ/qalilin//لَّیُصْبِحُنَّ/لَّيُصۡبِحُنَّ/layus'bihunna//نٰدِمِیْنَۚ/نَٰدِمِينَ/nadimina",
              "words_bangla": "(আল্লাহ) বললেন//\"হ'তে ঐবিষয়//\"অল্প পরে (অচিরেই)//অবশ্যই তারা হবে//অনুতপ্ত\""
            },
            {
              "number": 2714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2714.mp3"
              ],
              "text": "فَأَخَذَتْهُمُ ٱلصَّيْحَةُ بِٱلْحَقِّ فَجَعَلْنَٰهُمْ غُثَآءًۭ ۚ فَبُعْدًۭا لِّلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর সত্য সত্যই এক ভয়ংকর শব্দ তাদেরকে হতচকিত করল এবং আমি তাদেরকে বাত্যা-তাড়িত আবর্জনা সদৃশ করে দিলাম। অতঃপর ধ্বংস হোক পাপী সম্প্রদায়।",
              "numberInSurah": 41,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাতহুমুসসাইহাতুবিলহাক্কিফাজা‘আলনা-হুম গুছাআন ফাবু‘দাল লিলকাওমিজ্জা-লিমীন।",
              "words_arabic": "فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الصَّیْحَةُ/ٱلصَّيۡحَةُ/al-sayhatu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//فَجَعَلْنٰهُمْ/فَجَعَلۡنَٰهُمۡ/faja'alnahum//غُثَآءً ۚ/غُثَآءٗۚ/ghuthaan//فَبُعْدًا/فَبُعۡدٗا/fabu'dan//لِّلْقَوْمِ/لِّلۡقَوۡمِ/lil'qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর তাদেরকে ধরলো//এক মহাগর্জন//সাথে ন্যায়ের//অতঃপর তাদেরকে আমরা করেছিলাম//ঢেউ তাড়িত আবর্জনার (মতো)//সুতরাং দূর হোক (অর্থাৎ ধ্বংস আসুক)//জন্যে (এমন) জাতির//(যারা) সীমালঙ্ঘনকারী"
            },
            {
              "number": 2715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2715.mp3"
              ],
              "text": "ثُمَّ أَنشَأْنَا مِنۢ بَعْدِهِمْ قُرُونًا ءَاخَرِينَ",
              "translate_bn": "এরপর তাদের পরে আমি বহু সম্প্রদায় সৃষ্টি করেছি।",
              "numberInSurah": 42,
              "juz": 18,
              "manzil": 4,
              "page": 344,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আনশা’না-মিম বা‘দিহিম কুরুনান আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَنْشَاْنَا/أَنشَأۡنَا/anshana//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//قُرُوْنًا/قُرُونًا/qurunan//اٰخَرِیْنَؕ/ءَاخَرِينَ/akharina",
              "words_bangla": "এরপর//আমরা সৃষ্টি করলাম//থেকে//পর তাদের//(বহু) জাতি//অন্যান্য"
            },
            {
              "number": 2716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2716.mp3"
              ],
              "text": "مَا تَسْبِقُ مِنْ أُمَّةٍ أَجَلَهَا وَمَا يَسْتَـْٔخِرُونَ",
              "translate_bn": "কোন সম্প্রদায় তার নির্দিষ্ট কালের অগ্রে যেতে পারে না। এবং পশ্চাতেও থকাতে পারে না।",
              "numberInSurah": 43,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "মা-তাছবিকুমিন উম্মাতিন আজালাহা-ওয়ামা-ইয়াছতা’খিরূন।",
              "words_arabic": "مَا/مَا/ma//تَسْبِقُ/تَسۡبِقُ/tasbiqu//مِنْ/مِنۡ/min//اُمَّةٍ/أُمَّةٍ/ummatin//اَجَلَهَا/أَجَلَهَا/ajalaha//وَ مَا/وَمَا/wama//یَسْتَاْخِرُوْنَؕ/يَسۡتَـٔۡخِرُونَ/yastakhiruna",
              "words_bangla": "না//তাড়াতাড়ি এগিয়ে আনতে পারে//কোন//জাতি//তার নির্ধারিত সময়//আর না//দেরি করতে পারে"
            },
            {
              "number": 2717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2717.mp3"
              ],
              "text": "ثُمَّ أَرْسَلْنَا رُسُلَنَا تَتْرَا ۖ كُلَّ مَا جَآءَ أُمَّةًۭ رَّسُولُهَا كَذَّبُوهُ ۚ فَأَتْبَعْنَا بَعْضَهُم بَعْضًۭا وَجَعَلْنَٰهُمْ أَحَادِيثَ ۚ فَبُعْدًۭا لِّقَوْمٍۢ لَّا يُؤْمِنُونَ",
              "translate_bn": "এরপর আমি একাদিক্রমে আমার রসূল প্রেরণ করেছি। যখনই কোন উম্মতের কাছে তাঁর রসূল আগমন করেছেন, তখনই তারা তাঁকে মিথ্যাবাদী বলেছে। অতঃপর আমি তাদের একের পর এক ধ্বংস করেছি এবং তাদেরকে কাহিনীর বিষয়ে পরিণত করেছি। সুতরাং ধ্বংস হোক অবিশ্বাসীরা।",
              "numberInSurah": 44,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আর ছাল না-রুছুলানা-তাতরা- ‘কুল্লামা-জাআ উম্মাতার রাছূলুহা-কাযযাবূহু ফাআতবা‘না-বা‘দাহুম বা‘দাওঁ ওয়া জা‘আলনা-হুম আহা-দীছা ফাবু‘দাল লিকাওমিল লা-ইউ’মিনূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//رُسُلَنَا/رُسُلَنَا/rusulana//تَتْرَا ؕ/تَتۡرَاۖ/tatra//كُلَّ/كُلَّ/kulla//مَا/مَا/ma//جَآءَ/جَآءَ/jaa//اُمَّةً/أُمَّةٗ/ummatan//رَّسُوْلُهَا/رَّسُولُهَا/rasuluha//كَذَّبُوْهُ/كَذَّبُوهُۖ/kadhabuhu//فَاَتْبَعْنَا/فَأَتۡبَعۡنَا/fa-atba'na//بَعْضَهُمْ/بَعۡضَهُم/ba'dahum//بَعْضًا/بَعۡضٗا/ba'dan//وَّ جَعَلْنٰهُمْ/وَجَعَلۡنَٰهُمۡ/waja'alnahum//اَحَادِیْثَ ۚ/أَحَادِيثَۚ/ahaditha//فَبُعْدًا/فَبُعۡدٗا/fabu'dan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//لَّا/لَّا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এরপর//আমরা পাঠিয়েছি//আমাদের রাসূলগণকে//একের পর এক//যখনই//যা//এসেছে//কোন জাতির (নিকট)//তার রাসূল//তাকে তারা মিথ্যাবাদী বলেছে//অতঃপর আমরা পিছনে চললাম (অর্থাৎ ধ্বংস করলাম)//তাদের একের পর//এক//ও আমরা বানিয়েছি তাদেরকে//কাহিনীর (মতো)//সুতরাং দূর হোক (অর্থাৎ ধ্বংস আসুক)//জন্যে (এমন) জাতির//(যারা) না//ঈমান আনে"
            },
            {
              "number": 2718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2718.mp3"
              ],
              "text": "ثُمَّ أَرْسَلْنَا مُوسَىٰ وَأَخَاهُ هَٰرُونَ بِـَٔايَٰتِنَا وَسُلْطَٰنٍۢ مُّبِينٍ",
              "translate_bn": "অতঃপর আমি মূসা ও হারুণকে প্রেরণ করেছিলাম আমার নিদর্শনাবলী ও সুস্পষ্ট সনদসহ,",
              "numberInSurah": 45,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আর ছাল না-মূছা-ওয়া আখা-হু হা-রূনা বিআ-য়া-তিনা-ওয়া ছুলতা-নিম মুবীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مُوْسٰی/مُوسَىٰ/musa//وَ اَخَاهُ/وَأَخَاهُ/wa-akhahu//هٰرُوْنَ ۙ۬/هَٰرُونَ/haruna//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ سُلْطٰنٍ/وَسُلۡطَٰنٖ/wasul'tanin//مُّبِیْنٍۙ/مُّبِينٍ/mubinin",
              "words_bangla": "এরপর//আমরা পাঠালাম//মূসাকে//ও তার ভাই//হারূনকে//সহ আমাদের নিদর্শনাবলী//ও প্রমাণ (সহ)//সুস্পষ্ট"
            },
            {
              "number": 2719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2719.mp3"
              ],
              "text": "إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًا عَالِينَ",
              "translate_bn": "ফেরআউন ও তার অমাত্যদের কাছে। অতঃপর তারা অহংকার করল এবং তারা উদ্ধত সম্প্রদায় ছিল।",
              "numberInSurah": 46,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ইলা-ফিরআওনা ওয়া মালাইহী ফাছতাকবারূওয়া কা-নূকাওমান ‘আ-লীন।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ/وَمَلَإِيْهِۦ/wamala-ihi//فَاسْتَكْبَرُوْا/فَٱسۡتَكۡبَرُواْ/fa-is'takbaru//وَ كَانُوْا/وَكَانُواْ/wakanu//قَوْمًا/قَوۡمًا/qawman//عَالِیْنَۚ/عَالِينَ/alina",
              "words_bangla": "প্রতি//ফিরআউনের//ও তার সভাষদদের (প্রতি)//কিন্তু তারা অহংকার করলো//ও তারা ছিলো//জাতি//উদ্ধত"
            },
            {
              "number": 2720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2720.mp3"
              ],
              "text": "فَقَالُوٓا۟ أَنُؤْمِنُ لِبَشَرَيْنِ مِثْلِنَا وَقَوْمُهُمَا لَنَا عَٰبِدُونَ",
              "translate_bn": "তারা বললঃ আমরা কি আমাদের মতই এ দুই ব্যক্তিতে বিশ্বাস স্থাপন করব; অথচ তাদের সম্প্রদায় আমাদের দাস?",
              "numberInSurah": 47,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লূআনু’মিনুলিবাশারাইনি মিছলিনা-ওয়া কাওমুহুমা-লানা-‘আ-বিদূন।",
              "words_arabic": "فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اَنُؤْمِنُ/أَنُؤۡمِنُ/anu'minu//لِبَشَرَیْنِ/لِبَشَرَيۡنِ/libasharayni//مِثْلِنَا/مِثۡلِنَا/mith'lina//وَ قَوْمُهُمَا/وَقَوۡمُهُمَا/waqawmuhuma//لَنَا/لَنَا/lana//عٰبِدُوْنَۚ/عَٰبِدُونَ/abiduna",
              "words_bangla": "অতঃপর তারা বললো//\"কি ঈমান আনবো আমরা//মানুষের উপর দুজন//আমাদের মতো//অথচ তাদের উভয়ের জাতি//জন্যে আমাদের//দাস-দাসী (হয়ে আছে)\""
            },
            {
              "number": 2721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2721.mp3"
              ],
              "text": "فَكَذَّبُوهُمَا فَكَانُوا۟ مِنَ ٱلْمُهْلَكِينَ",
              "translate_bn": "অতঃপর তারা উভয়কে মিথ্যাবাদী বলল। ফলে তারা ধ্বংস প্রাপ্ত হল।",
              "numberInSurah": 48,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহুমা-ফাকা-নূমিনাল মুহলাকীন।",
              "words_arabic": "فَكَذَّبُوْهُمَا/فَكَذَّبُوهُمَا/fakadhabuhuma//فَكَانُوْا/فَكَانُواْ/fakanu//مِنَ/مِنَ/mina//الْمُهْلَكِیْنَ /ٱلۡمُهۡلَكِينَ/al-muh'lakina",
              "words_bangla": "অতএব উভয়কে তারা মিথ্যারোপ করলো//অতঃপর তারা হলো//অন্তর্ভুক্ত//ধ্বংসপ্রাপ্তদের"
            },
            {
              "number": 2722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2722.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ لَعَلَّهُمْ يَهْتَدُونَ",
              "translate_bn": "আমি মূসাকে কিতাব দিয়েছিলাম যাতে তারা সৎপথ পায়।",
              "numberInSurah": 49,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছাল কিতা-বা লা‘আল্লাহুম ইয়াহতাদূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "আর নিশ্চয়ই//আমরা দিয়েছিলাম//মূসাকে//কিতাব//যাতে তারা//সৎ পথ পায়"
            },
            {
              "number": 2723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2723.mp3"
              ],
              "text": "وَجَعَلْنَا ٱبْنَ مَرْيَمَ وَأُمَّهُۥٓ ءَايَةًۭ وَءَاوَيْنَٰهُمَآ إِلَىٰ رَبْوَةٍۢ ذَاتِ قَرَارٍۢ وَمَعِينٍۢ",
              "translate_bn": "এবং আমি মরিয়ম তনয় ও তাঁর মাতাকে এক নিদর্শন দান করেছিলাম। এবং তাদেরকে এক অবস্থানযোগ্য স্বচ্ছ পানি বিশিষ্ট টিলায় আশ্রয় দিয়েছিলাম।",
              "numberInSurah": 50,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 297,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনাবনা মারয়ামা ওয়া উম্মাহূ আ-য়াতাওঁ ওয়াআ- ওয়াইনা-হুমা ইলারবওয়াতিন যা-তি কারা-রিওঁ ওয়া মা‘ঈন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//ابْنَ/ٱبۡنَ/ib'na//مَرْیَمَ/مَرۡيَمَ/maryama//وَ اُمَّهٗۤ/وَأُمَّهُۥٓ/wa-ummahu//اٰیَةً/ءَايَةٗ/ayatan//وَّ اٰوَیْنٰهُمَاۤ/وَءَاوَيۡنَٰهُمَآ/waawaynahuma//اِلٰی/إِلَىٰ/ila//رَبْوَةٍ/رَبۡوَةٖ/rabwatin//ذَاتِ/ذَاتِ/dhati//قَرَارٍ/قَرَارٖ/qararin//وَّ مَعِیْنٍ۠/وَمَعِينٖ/wama'inin",
              "words_bangla": "আর আমরা করেছি//পুত্রকে//মারইয়ামের//ও তার মাকে//এক নিদর্শন//এবং উভয়কে আশ্রয় দিয়েছিলাম আমরা//দিকে//উচ্চভূমির//উপযোগী//অবস্থানের//ও ঝর্ণা (বিশিষ্ট)"
            },
            {
              "number": 2724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2724.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلرُّسُلُ كُلُوا۟ مِنَ ٱلطَّيِّبَٰتِ وَٱعْمَلُوا۟ صَٰلِحًا ۖ إِنِّى بِمَا تَعْمَلُونَ عَلِيمٌۭ",
              "translate_bn": "হে রসূলগণ, পবিত্র বস্তু আহার করুন এবং সৎকাজ করুন। আপনারা যা করেন সে বিষয়ে আমি পরিজ্ঞাত।",
              "numberInSurah": 51,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহার রুছুলুকুলূমিনাততাইয়িবা-তি ওয়া‘মালূসা-লিহান ইন্নী বিমাতা‘মালূনা ‘আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الرُّسُلُ/ٱلرُّسُلُ/al-rusulu//كُلُوْا/كُلُواْ/kulu//مِنَ/مِنَ/mina//الطَّیِّبٰتِ/ٱلطَّيِّبَٰتِ/al-tayibati//وَ اعْمَلُوْا/وَٱعۡمَلُواْ/wa-i'malu//صَالِحًا ؕ/صَٰلِحًاۖ/salihan//اِنِّیْ/إِنِّي/inni//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//عَلِیْمٌؕ/عَلِيمٞ/alimun",
              "words_bangla": "(আর বলেছিলাম) হে//রাসূলরা//তোমরা খাও//হ'তে//পবিত্র (বস্তু)//ও তোমরা কাজ করো//সৎ//নিশ্চয়ই আমি//সে সম্পর্কে যা//তোমরা কাজ করো//খুব অবহিত"
            },
            {
              "number": 2725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2725.mp3"
              ],
              "text": "وَإِنَّ هَٰذِهِۦٓ أُمَّتُكُمْ أُمَّةًۭ وَٰحِدَةًۭ وَأَنَا۠ رَبُّكُمْ فَٱتَّقُونِ",
              "translate_bn": "আপনাদের এই উম্মত সব তো একই ধর্মের অনুসারী এবং আমি আপনাদের পালনকর্তা; অতএব আমাকে ভয় করুন।",
              "numberInSurah": 52,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না হা-যিহীউম্মাতুকুম উম্মাতাওঁ ওয়াহিদাতাওঁ ওয়া আনা-রাব্বুকুম ফাত্তাকূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//هٰذِهٖۤ/هَٰذِهِۦٓ/hadhihi//اُمَّتُكُمْ/أُمَّتُكُمۡ/ummatukum//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//وَّ اَنَا/وَأَنَا۠/wa-ana//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//فَاتَّقُوْنِ /فَٱتَّقُونِ/fa-ittaquni",
              "words_bangla": "এবং নিশ্চয়ই//এই//তোমাদের জাতি//জাতি//একই//আর আমি//তোমাদে্র রব//সুতরাং আমাকেই তোমরা ভয় করো"
            },
            {
              "number": 2726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2726.mp3"
              ],
              "text": "فَتَقَطَّعُوٓا۟ أَمْرَهُم بَيْنَهُمْ زُبُرًۭا ۖ كُلُّ حِزْبٍۭ بِمَا لَدَيْهِمْ فَرِحُونَ",
              "translate_bn": "অতঃপর মানুষ তাদের বিষয়কে বহুধা বিভক্ত করে দিয়েছে। প্রত্যেক সম্প্রদায় নিজ নিজ মতবাদ নিয়ে আনন্দিত হচ্ছে।",
              "numberInSurah": 53,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ফাতাকাততা‘ঊআমরাহুম বাইনাহুম ঝুবুরান কুল্লুহিঝবিম বিমা-লাদাইহিম ফারিহূন।",
              "words_arabic": "فَتَقَطَّعُوْۤا/فَتَقَطَّعُوٓاْ/fataqatta'u//اَمْرَهُمْ/أَمۡرَهُم/amrahum//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//زُبُرًا ؕ/زُبُرٗاۖ/zuburan//كُلُّ/كُلُّ/kullu//حِزْبٍۭ/حِزۡبِۭ/hiz'bin//بِمَا/بِمَا/bima//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//فَرِحُوْنَ /فَرِحُونَ/farihuna",
              "words_bangla": "কিন্তু (লোকেরা) বিভক্ত করলো//তাদের কাজকে//তাদের মাঝে//টুকরো টুকরো করে//প্রত্যেক//দলই//যা//কাছে তাদের (আছে)//(তা নিয়েই) আনন্দিত"
            },
            {
              "number": 2727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2727.mp3"
              ],
              "text": "فَذَرْهُمْ فِى غَمْرَتِهِمْ حَتَّىٰ حِينٍ",
              "translate_bn": "অতএব তাদের কিছু কালের জন্যে তাদের অজ্ঞানতায় নিমজ্জত থাকতে দিন।",
              "numberInSurah": 54,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ফাযারহুম ফী গামরাতিহিম হাত্তা-হীন।",
              "words_arabic": "فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//فِیْ/فِي/fi//غَمْرَتِهِمْ/غَمۡرَتِهِمۡ/ghamratihim//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍ /حِينٍ/hinin",
              "words_bangla": "সুতরাং ছেড়ে দাও তাদেরকে//মধ্যে//তাদের বিভ্রান্তির//পর্যন্ত//এক নির্দিষ্ট সময়"
            },
            {
              "number": 2728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2728.mp3"
              ],
              "text": "أَيَحْسَبُونَ أَنَّمَا نُمِدُّهُم بِهِۦ مِن مَّالٍۢ وَبَنِينَ",
              "translate_bn": "তারা কি মনে করে যে, আমি তাদেরকে ধন-সম্পদ ও সন্তান-সন্ততি দিয়ে যাচ্ছি।",
              "numberInSurah": 55,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "আইয়াহছাবূনা আন্নামা-নুমিদ্দুহুম বিহী মিম মা-লিওঁ ওয়া বানীন।",
              "words_arabic": "اَیَحْسَبُوْنَ/أَيَحۡسَبُونَ/ayahsabuna//اَنَّمَا/أَنَّمَا/annama//نُمِدُّهُمْ/نُمِدُّهُم/numidduhum//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//مَّالٍ/مَّالٖ/malin//وَّ بَنِیْنَۙ/وَبَنِينَ/wabanina",
              "words_bangla": "কি তারা মনে করেছে//যেহেতু//সাহায্য করে যাচ্ছি আমরা তাদের//মাধ্যমে তার//দিয়ে//ধন-সম্পদ//ও সন্তান-সন্তুতি"
            },
            {
              "number": 2729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2729.mp3"
              ],
              "text": "نُسَارِعُ لَهُمْ فِى ٱلْخَيْرَٰتِ ۚ بَل لَّا يَشْعُرُونَ",
              "translate_bn": "তাতে করে তাদেরকে দ্রুত মঙ্গলের দিকে নিয়ে যাচ্ছি? বরং তারা বোঝে না।",
              "numberInSurah": 56,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "নুছা-রি‘উ লাহুম ফিল খাইরা-তি বাল লা-ইয়াশ‘উরূন।",
              "words_arabic": "نُسَارِعُ/نُسَارِعُ/nusari'u//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْخَیْرٰتِ ؕ/ٱلۡخَيۡرَٰتِۚ/al-khayrati//بَلْ/بَل/bal//لَّا/لَّا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "আমরা দ্রুত নিয়ে যাচ্ছি//তাদেরকে//দিকে//কল্যাণের//বরং//না//তারা বুঝে"
            },
            {
              "number": 2730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2730.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ هُم مِّنْ خَشْيَةِ رَبِّهِم مُّشْفِقُونَ",
              "translate_bn": "নিশ্চয় যারা তাদের পালনকর্তার ভয়ে সন্ত্রস্ত,",
              "numberInSurah": 57,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল লাযীনা হুম মিন খাশইয়াতি রাব্বিহিম মুশফিকূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُم/hum//مِّنْ/مِّنۡ/min//خَشْیَةِ/خَشۡيَةِ/khashyati//رَبِّهِمْ/رَبِّهِم/rabbihim//مُّشْفِقُوْنَۙ/مُّشۡفِقُونَ/mush'fiquna",
              "words_bangla": "নিশ্চয়ই//যাদের (অবস্থা এই যে)//তারা//কারণে//ভয়ের//তাদের রবের//ভীত-সন্ত্রস্ত"
            },
            {
              "number": 2731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2731.mp3"
              ],
              "text": "وَٱلَّذِينَ هُم بِـَٔايَٰتِ رَبِّهِمْ يُؤْمِنُونَ",
              "translate_bn": "যারা তাদের পালনকর্তার কথায় বিশ্বাস স্থাপন করে,",
              "numberInSurah": 58,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম বিআ-য়া-তি রাব্বিহিম ইউ’মিনূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یُؤْمِنُوْنَۙ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং যাদের (অবস্থা এই যে)//তারা//উপর আয়াতসমূহের//তাদের রবের//ঈমান আনে"
            },
            {
              "number": 2732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2732.mp3"
              ],
              "text": "وَٱلَّذِينَ هُم بِرَبِّهِمْ لَا يُشْرِكُونَ",
              "translate_bn": "যারা তাদের পালনকর্তার সাথে কাউকে শরীক করে না",
              "numberInSurah": 59,
              "juz": 18,
              "manzil": 4,
              "page": 345,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম বিরাব্বিহিম লা-ইউশরিকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//لَا/لَا/la//یُشْرِكُوْنَۙ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এবং যাদের (অবস্থা এই যে)//তারা//সাথে তাদের রবের//না//শরীক করে (কাউকে)"
            },
            {
              "number": 2733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2733.mp3"
              ],
              "text": "وَٱلَّذِينَ يُؤْتُونَ مَآ ءَاتَوا۟ وَّقُلُوبُهُمْ وَجِلَةٌ أَنَّهُمْ إِلَىٰ رَبِّهِمْ رَٰجِعُونَ",
              "translate_bn": "এবং যারা যা দান করবার, তা ভীত, কম্পিত হৃদয়ে এ কারণে দান করে যে, তারা তাদের পালনকর্তার কাছে প্রত্যাবর্তন করবে,",
              "numberInSurah": 60,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউ’তূনা মাআ-তাওঁ ওয়া কুলূবুহুম ওয়াজিলাতুনআন্নাহুমইলা-লাব্বিহিম রাজি‘উন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُؤْتُوْنَ/يُؤۡتُونَ/yu'tuna//مَاۤ/مَآ/ma//اٰتَوْا/ءَاتَواْ/ataw//وَّ قُلُوْبُهُمْ/وَّقُلُوبُهُمۡ/waqulubuhum//وَجِلَةٌ/وَجِلَةٌ/wajilatun//اَنَّهُمْ/أَنَّهُمۡ/annahum//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//رٰجِعُوْنَۙ/رَٰجِعُونَ/raji'una",
              "words_bangla": "এবং যারা (এমন যে)//(যখন) দান করে//যা কিছু//দান করার//এ অবস্থায় যে তাদের অন্তর//কম্পিত থাকে//(এ ভেবে) যে তারা//দিকে//তাদের রবের//প্রত্যাবর্তনকারী"
            },
            {
              "number": 2734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2734.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ يُسَٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَهُمْ لَهَا سَٰبِقُونَ",
              "translate_bn": "তারাই কল্যাণ দ্রুত অর্জন করে এবং তারা তাতে অগ্রগামী।",
              "numberInSurah": 61,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ইউছা-রি‘উনা ফিল খাইরা-তি ওয়া হুম লাহা-ছা-বিকূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُسٰرِعُوْنَ/يُسَٰرِعُونَ/yusari'una//فِی/فِي/fi//الْخَیْرٰتِ/ٱلۡخَيۡرَٰتِ/al-khayrati//وَ هُمْ/وَهُمۡ/wahum//لَهَا/لَهَا/laha//سٰبِقُوْنَ /سَٰبِقُونَ/sabiquna",
              "words_bangla": "ঐসবলোক//দ্রুত সম্পাদন করে//দিকে//কল্যাণের//আর তারাই//জন্যে তার//অগ্রগামী হয়"
            },
            {
              "number": 2735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2735.mp3"
              ],
              "text": "وَلَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَا ۖ وَلَدَيْنَا كِتَٰبٌۭ يَنطِقُ بِٱلْحَقِّ ۚ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "আমি কাউকে তার সাধ্যাতীত দায়িত্ব অর্পন করি না। আমার এক কিতাব আছে, যা সত্য ব্যক্ত করে এবং তাদের প্রতি জুলুম করা হবে না।",
              "numberInSurah": 62,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-নুকালিলফুনাফছান ইল্লা-উছ‘আহা-ওয়া লাদাইনা-কিতা-বুইঁ ইয়ানতিকুবিলহাক্কি ওয়া হুম লা-ইউজলামূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//نُكَلِّفُ/نُكَلِّفُ/nukallifu//نَفْسًا/نَفۡسًا/nafsan//اِلَّا/إِلَّا/illa//وُسْعَهَا/وُسۡعَهَاۚ/wus'aha//وَ لَدَیْنَا/وَلَدَيۡنَا/waladayna//كِتٰبٌ/كِتَٰبٞ/kitabun//یَّنْطِقُ/يَنطِقُ/yantiqu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং না//দায়িত্ব দিই আমরা//কাউকে//এ ছাড়া//তার সাধ্য//আর আমাদের কাছে (আছে)//এক কিতাব (আমলনামা)//ব্যক্ত করে (যা)//ভাবে যথাযথ//এবং তাদেরকে//না//অত্যাচার করা হবে"
            },
            {
              "number": 2736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2736.mp3"
              ],
              "text": "بَلْ قُلُوبُهُمْ فِى غَمْرَةٍۢ مِّنْ هَٰذَا وَلَهُمْ أَعْمَٰلٌۭ مِّن دُونِ ذَٰلِكَ هُمْ لَهَا عَٰمِلُونَ",
              "translate_bn": "না, তাদের অন্তর এ বিষয়ে অজ্ঞানতায় আচ্ছন্ন, এ ছাড়া তাদের আরও কাজ রয়েছে, যা তারা করছে।",
              "numberInSurah": 63,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "বাল কুলূবুহুম ফী গামরাতিম মিন হা-যা-ওয়া লাহুম ‘আমা-লুমমিনদূনি যা-লিকা হুম লাহা-‘আ-মিলূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//فِیْ/فِي/fi//غَمْرَةٍ/غَمۡرَةٖ/ghamratin//مِّنْ/مِّنۡ/min//هٰذَا/هَٰذَا/hadha//وَ لَهُمْ/وَلَهُمۡ/walahum//اَعْمَالٌ/أَعۡمَٰلٞ/a'malun//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//ذٰلِكَ/ذَٰلِكَ/dhalika//هُمْ/هُمۡ/hum//لَهَا/لَهَا/laha//عٰمِلُوْنَ /عَٰمِلُونَ/amiluna",
              "words_bangla": "বরং//তাদের অন্তর (রয়েছে)//মধ্যে//অজ্ঞানতার//হ'তে//এ (বিষয়ে)//আর রয়েছে তাদের//অনেক কাজ//থেকে//ছাড়া//এই (পূর্ব বর্ণিত নিয়মের)//তারা//জন্যে যার//করে যাচ্ছে"
            },
            {
              "number": 2737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2737.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَآ أَخَذْنَا مُتْرَفِيهِم بِٱلْعَذَابِ إِذَا هُمْ يَجْـَٔرُونَ",
              "translate_bn": "এমনকি, যখন আমি তাদের ঐশ্বর্যশালী লোকদেরকে শাস্তি দ্বারা পাকড়াও করব, তখনই তারা চীৎকার জুড়ে দেবে।",
              "numberInSurah": 64,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযাআখাযনা -মুতরাফীহিম বিলআযা-বি ইযা-হুম ইয়াজআরূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَخَذْنَا/أَخَذۡنَا/akhadhna//مُتْرَفِیْهِمْ/مُتۡرَفِيهِم/mut'rafihim//بِالْعَذَابِ/بِٱلۡعَذَابِ/bil-'adhabi//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَجْـَٔرُوْنَؕ/يَجۡـَٔرُونَ/yajaruna",
              "words_bangla": "শেষ পর্যন্ত//যখন//আমরা পাকড়াও করবো//তাদের ঐশ্বর্যশালীদেরকে//দিয়ে শাস্তি//তখন//তারা//চিৎকার করে উঠবে"
            },
            {
              "number": 2738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2738.mp3"
              ],
              "text": "لَا تَجْـَٔرُوا۟ ٱلْيَوْمَ ۖ إِنَّكُم مِّنَّا لَا تُنصَرُونَ",
              "translate_bn": "অদ্য চীৎকার করো না। তোমরা আমার কাছ থেকে নিস্কৃতি পাবে না।",
              "numberInSurah": 65,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "লা-তাজআরুল ইয়াওমা ইন্নাকুম মিন্না-লা-তুনসারূন।",
              "words_arabic": "لَا/لَا/la//تَجْـَٔرُوا/تَجۡـَٔرُواْ/tajaru//الْیَوْمَ ۫/ٱلۡيَوۡمَۖ/al-yawma//اِنَّكُمْ/إِنَّكُم/innakum//مِّنَّا/مِّنَّا/minna//لَا/لَا/la//تُنْصَرُوْنَ /تُنصَرُونَ/tunsaruna",
              "words_bangla": "\"না//(বলা হবে) চিৎকার করো//আজ//নিশ্চয়ই তোমাদেরকে//আমাদের হ'তে//না//সাহায্য করা হবে"
            },
            {
              "number": 2739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2739.mp3"
              ],
              "text": "قَدْ كَانَتْ ءَايَٰتِى تُتْلَىٰ عَلَيْكُمْ فَكُنتُمْ عَلَىٰٓ أَعْقَٰبِكُمْ تَنكِصُونَ",
              "translate_bn": "তোমাদেরকে আমার আয়াতসমূহ শোনানো হত, তখন তোমরা উল্টো পায়ে সরে পড়তে।",
              "numberInSurah": 66,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "কাদ কা-নাত আ-য়া-তী তুতলা-আলাইকুম ফাকুনতুম ‘আলাআ’কা-বিকুম তানকিসূন।",
              "words_arabic": "قَدْ/قَدۡ/qad//كَانَتْ/كَانَتۡ/kanat//اٰیٰتِیْ/ءَايَٰتِي/ayati//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَكُنْتُمْ/فَكُنتُمۡ/fakuntum//عَلٰۤی/عَلَىٰٓ/ala//اَعْقَابِكُمْ/أَعۡقَٰبِكُمۡ/a'qabikum//تَنْكِصُوْنَۙ/تَنكِصُونَ/tankisuna",
              "words_bangla": "নিশ্চয়ই//হতো//আমার আয়াতগুলোকে//তিলাওয়াত করা হতো//তোমাদের কাছে//তখন তোমরা ছিলে//উপর//তোমাদের গোড়ালির (পিছনে)//পিছিয়ে আসতে"
            },
            {
              "number": 2740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2740.mp3"
              ],
              "text": "مُسْتَكْبِرِينَ بِهِۦ سَٰمِرًۭا تَهْجُرُونَ",
              "translate_bn": "অহংকার করে এ বিষয়ে অর্থহীন গল্প-গুজব করে যেতে।",
              "numberInSurah": 67,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "মুছতাকবিরীনা বিহী ছা-মিরান তাহজুরূন।",
              "words_arabic": "مُسْتَكْبِرِیْنَ ۖۗ/مُسۡتَكۡبِرِينَ/mus'takbirina//بِهٖ/بِهِۦ/bihi//سٰمِرًا/سَٰمِرٗا/samiran//تَهْجُرُوْنَ /تَهۡجُرُونَ/tahjuruna",
              "words_bangla": "অহংকারী হয়ে (গুরুত্ব দিতে না)//সম্পর্কে এ//গল্পগুজবে মেতে//তোমরা অর্থহীন কথা বলতে\""
            },
            {
              "number": 2741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2741.mp3"
              ],
              "text": "أَفَلَمْ يَدَّبَّرُوا۟ ٱلْقَوْلَ أَمْ جَآءَهُم مَّا لَمْ يَأْتِ ءَابَآءَهُمُ ٱلْأَوَّلِينَ",
              "translate_bn": "অতএব তারা কি এই কালাম সম্পꦣ2503;ক চিন্তা-ভাবনা করে না? না তাদের কাছে এমন কিছু এসেছে, যা তাদের পিতৃপুরুষদের কাছে আসেনি?",
              "numberInSurah": 68,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়াদ্দাব্বারুল কাওলা আম জাআহুম মা-লাম ইয়া’তি আ-বাআ হুমুল আওওয়ালীন।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَدَّبَّرُوا/يَدَّبَّرُواْ/yaddabbaru//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//اَمْ/أَمۡ/am//جَآءَهُمْ/جَآءَهُم/jaahum//مَّا/مَّا/ma//لَمْ/لَمۡ/lam//یَاْتِ/يَأۡتِ/yati//اٰبَآءَهُمُ/ءَابَآءَهُمُ/abaahumu//الْاَوَّلِیْنَؗ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "কি তবে না//তারা চিন্তা ভাবনা করে//(এই) বাণী (সম্পর্কে)//অথবা//(সে) এসেছে তাদের (কাছে)//(এমন কিছু নিয়ে) যা//নি//আসে//তাদের পিতৃপুরুষদের (কাছে)//পূর্বেকার"
            },
            {
              "number": 2742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2742.mp3"
              ],
              "text": "أَمْ لَمْ يَعْرِفُوا۟ رَسُولَهُمْ فَهُمْ لَهُۥ مُنكِرُونَ",
              "translate_bn": "না তারা তাদের রসূলকে চেনে না, ফলে তারা তাঁকে অস্বীকার করে?",
              "numberInSurah": 69,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "আম লাম ইয়া‘রিফূরাছুলাহুম ফাহুম লাহূমুনকিরূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//یَعْرِفُوْا/يَعۡرِفُواْ/ya'rifu//رَسُوْلَهُمْ/رَسُولَهُمۡ/rasulahum//فَهُمْ/فَهُمۡ/fahum//لَهٗ/لَهُۥ/lahu//مُنْكِرُوْنَؗ/مُنكِرُونَ/munkiruna",
              "words_bangla": "অথবা//না//তারা চিনে//তাদের রাসূলকে//তাই তারা//প্রতি তার//অস্বীকারকারী হয়েছে"
            },
            {
              "number": 2743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2743.mp3"
              ],
              "text": "أَمْ يَقُولُونَ بِهِۦ جِنَّةٌۢ ۚ بَلْ جَآءَهُم بِٱلْحَقِّ وَأَكْثَرُهُمْ لِلْحَقِّ كَٰرِهُونَ",
              "translate_bn": "না তারা বলে যে, তিনি পাগল ? বরং তিনি তাদের কাছে সত্য নিয়ে আগমন করেছেন এবং তাদের অধিকাংশ সত্যকে অপছন্দ করে।",
              "numberInSurah": 70,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনা বিহী জিন্নাতুম বাল জাআহুম বিলহাক্কিওয়া আকছারুহুম লিলহাক্কি কা-রিহূন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//بِهٖ/بِهِۦ/bihi//جِنَّةٌ ؕ/جِنَّةُۢۚ/jinnatun//بَلْ/بَلۡ/bal//جَآءَهُمْ/جَآءَهُم/jaahum//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اَكْثَرُهُمْ/وَأَكۡثَرُهُمۡ/wa-aktharuhum//لِلْحَقِّ/لِلۡحَقِّ/lil'haqqi//كٰرِهُوْنَ /كَٰرِهُونَ/karihuna",
              "words_bangla": "অথবা//তারা বলে//\"তার সাথে (আছে)//জ্বিন\"//বরং//সে এসেছে তাদের (নিকট)//নিয়ে সত্যকে//অথচ অধিকাংশ তাদের//প্রতি সত্যের//অপছন্দকারী"
            },
            {
              "number": 2744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2744.mp3"
              ],
              "text": "وَلَوِ ٱتَّبَعَ ٱلْحَقُّ أَهْوَآءَهُمْ لَفَسَدَتِ ٱلسَّمَٰوَٰتُ وَٱلْأَرْضُ وَمَن فِيهِنَّ ۚ بَلْ أَتَيْنَٰهُم بِذِكْرِهِمْ فَهُمْ عَن ذِكْرِهِم مُّعْرِضُونَ",
              "translate_bn": "সত্য যদি তাদের কাছে কামনা-বাসনার অনুসারী হত, তবে নভোমন্ডল ও ভূমন্ডল এবং এগুলোর মধ্যবর্তꦣ2496; সবকিছুই বিশৃঙ্খল হয়ে পড়ত। বরং আমি তাদেরকে দান করেছি উপদেশ, কিন্তু তারা তাদের উপদেশ অনুধাবন করে না।",
              "numberInSurah": 71,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা বিততাবা‘আল হাক্কুআহওয়াআহুম লাফাছাদাতিছ ছামা-ওয়া-তুওয়াল আরদ ওয়া মান ফীহিন্না বাল আতাইনা-হুম বিযিকরিহিম ফাহুম ‘আন যিকরিহিম মু‘রিদূ ন।",
              "words_arabic": "وَ لَوِ/وَلَوِ/walawi//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//الْحَقُّ/ٱلۡحَقُّ/al-haqu//اَهْوَآءَهُمْ/أَهۡوَآءَهُمۡ/ahwaahum//لَفَسَدَتِ/لَفَسَدَتِ/lafasadati//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//وَ مَنْ/وَمَن/waman//فِیْهِنَّ ؕ/فِيهِنَّۚ/fihinna//بَلْ/بَلۡ/bal//اَتَیْنٰهُمْ/أَتَيۡنَٰهُم/ataynahum//بِذِكْرِهِمْ/بِذِكۡرِهِمۡ/bidhik'rihim//فَهُمْ/فَهُمۡ/fahum//عَنْ/عَن/an//ذِكْرِهِمْ/ذِكۡرِهِم/dhik'rihim//مُّعْرِضُوْنَؕ/مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "আর যদি//অনুসরণ করতো//সত্য্//কামনা-বাসনার তাদের//অবশ্যই বিশৃঙ্খল হয়ে পড়তো//আকাশমন্ডলি//ও পৃথিবী//আর যাকিছু (আছে)//তাদের মাঝে//বরং//তাদেরকে আমরা দিয়েছি//বিষয়কে তাদের উপদেশের (অর্থাৎ কুরআন)//কিন্তু তারা//হ'তে//উপদেশ তাদের//মুখ ফিরিয়ে নিচ্ছে"
            },
            {
              "number": 2745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2745.mp3"
              ],
              "text": "أَمْ تَسْـَٔلُهُمْ خَرْجًۭا فَخَرَاجُ رَبِّكَ خَيْرٌۭ ۖ وَهُوَ خَيْرُ ٱلرَّٰزِقِينَ",
              "translate_bn": "না আপনি তাদের কাছে কোন প্রতিদান চান? আপনার পালনকর্তার প্রতিদান উত্তম এবং তিনিই রিযিকদাতা।",
              "numberInSurah": 72,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "আম তাছআলুহুম খারজান ফাখারা-জুরাব্বিকা খাইরুওঁ ওয়া হুওয়া খাইরুর রা-ঝিকীন।",
              "words_arabic": "اَمْ/أَمۡ/am//تَسْـَٔلُهُمْ/تَسۡـَٔلُهُمۡ/tasaluhum//خَرْجًا/خَرۡجٗا/kharjan//فَخَرَاجُ/فَخَرَاجُ/fakharaju//رَبِّكَ/رَبِّكَ/rabbika//خَیْرٌ ۖۗ/خَيۡرٞۖ/khayrun//وَّ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الرّٰزِقِیْنَ /ٱلرَّـٰزِقِينَ/al-raziqina",
              "words_bangla": "অথবা কি//তাদের (নিকট) তুমি চাচ্ছো//কোন প্রতিদান//অথচ প্রতিদান//তোমার রবেরই//উত্তম//আর তিনিই//উত্তম//জীবিকাদাতাদের"
            },
            {
              "number": 2746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2746.mp3"
              ],
              "text": "وَإِنَّكَ لَتَدْعُوهُمْ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আপনি তো তাদেরকে সোজা পথে দাওয়াত দিচ্ছেন;",
              "numberInSurah": 73,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাকা লাতাদ‘ঊহুম ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَتَدْعُوْهُمْ/لَتَدۡعُوهُمۡ/latad'uhum//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "আর তুমি নিশ্চয়ই//অবশ্যই ডাকছো তাদেরকে//দিকে//পথের//সরল-সোজা"
            },
            {
              "number": 2747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2747.mp3"
              ],
              "text": "وَإِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ عَنِ ٱلصِّرَٰطِ لَنَٰكِبُونَ",
              "translate_bn": "আর যারা পরকালে বিশ্বাস করে না, তারা সোজা পথ থেকে বিচ্যুত হয়ে গেছে।",
              "numberInSurah": 74,
              "juz": 18,
              "manzil": 4,
              "page": 346,
              "ruku": 298,
              "hizbQuarter": 138,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি ‘আনিসসিরা-তিলানা-কিবূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//عَنِ/عَنِ/ani//الصِّرَاطِ/ٱلصِّرَٰطِ/al-sirati//لَنٰكِبُوْنَ /لَنَٰكِبُونَ/lanakibuna",
              "words_bangla": "এবং নিশ্চয়ই//যারা//না//ঈমান আনে//প্রতি আখিরাতের//(তারাই) হ'তে//সরল সঠিক পথ//অবশ্যই বিচ্যুত"
            },
            {
              "number": 2748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2748.mp3"
              ],
              "text": "۞ وَلَوْ رَحِمْنَٰهُمْ وَكَشَفْنَا مَا بِهِم مِّن ضُرٍّۢ لَّلَجُّوا۟ فِى طُغْيَٰنِهِمْ يَعْمَهُونَ",
              "translate_bn": "যদি আমি তাদের প্রতি দয়া করি এবং তাদের কষ্ট দূর করে দেই, তবুও তারা তাদের অবাধ্যতায় দিশেহারা হয়ে লেগে থাকবে।",
              "numberInSurah": 75,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 298,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও রাহিমনা-হুম ওয়াকাশাফনা-মা-বিহিম মিন দুররিল লালাজজুফী তুগইয়া-নিহিম ইয়া‘মাহূন।",
              "words_arabic": "وَ لَوْ/۞وَلَوۡ/walaw//رَحِمْنٰهُمْ/رَحِمۡنَٰهُمۡ/rahim'nahum//وَ كَشَفْنَا/وَكَشَفۡنَا/wakashafna//مَا/مَا/ma//بِهِمْ/بِهِم/bihim//مِّنْ/مِّن/min//ضُرٍّ/ضُرّٖ/durrin//لَّلَجُّوْا/لَّلَجُّواْ/lalajju//فِیْ/فِي/fi//طُغْیَانِهِمْ/طُغۡيَٰنِهِمۡ/tugh'yanihim//یَعْمَهُوْنَ /يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "আর যদি//তাদেরকে আমরা দয়া করি//ও আমরা দূর করে দিই//যা (আছে)//উপর তাদের//থেকে//দুঃখ কষ্ট (তবুও)//লেগে থাকবেই তারা//মধ্যে//তাদের অবাধ্যতার//দিশেহারা হয়ে ঘুরবে"
            },
            {
              "number": 2749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2749.mp3"
              ],
              "text": "وَلَقَدْ أَخَذْنَٰهُم بِٱلْعَذَابِ فَمَا ٱسْتَكَانُوا۟ لِرَبِّهِمْ وَمَا يَتَضَرَّعُونَ",
              "translate_bn": "আমি তাদেরকে শাস্তি দ্বারা পাকড়াও করেছিলাম, কিন্তু তারা তাদের পালনকর্তার সামনে নত হল না এবং কাকুতি-মিনুতিও করল না।",
              "numberInSurah": 76,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 298,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আখাযনা-হুম বিল’আযা-বি ফামাছতা কা-নূ লিরাব্বিহিম ওয়ামাইয়াতাদাররা‘ঊন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَخَذْنٰهُمْ/أَخَذۡنَٰهُم/akhadhnahum//بِالْعَذَابِ/بِٱلۡعَذَابِ/bil-'adhabi//فَمَا/فَمَا/fama//اسْتَكَانُوْا/ٱسۡتَكَانُواْ/is'takanu//لِرَبِّهِمْ/لِرَبِّهِمۡ/lirabbihim//وَ مَا/وَمَا/wama//یَتَضَرَّعُوْنَ /يَتَضَرَّعُونَ/yatadarra'una",
              "words_bangla": "এবং নিশ্চয়ই//তাদেরকে আমরা ধরেছি//দিয়ে শাস্তি//কিন্তু না//তারা বিনত হলো//প্রতি তাদের রবের//আর না//তারা কাতর প্রার্থনা করলো"
            },
            {
              "number": 2750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2750.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا فَتَحْنَا عَلَيْهِم بَابًۭا ذَا عَذَابٍۢ شَدِيدٍ إِذَا هُمْ فِيهِ مُبْلِسُونَ",
              "translate_bn": "অবশেষে যখন আমি তাদের জন্য কঠিন শাস্তির দ্বার খুলে দেব, তখন তাতে তাদের আশা ভঙ্গ হবে।",
              "numberInSurah": 77,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 298,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-ফাতাহনা-‘আলাইহিম বা-বান যা-‘আযা-বিন শাদীদিন ইযা-হুম ফীহি মুবলিছূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//فَتَحْنَا/فَتَحۡنَا/fatahna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بَابًا/بَابٗا/baban//ذَا/ذَا/dha//عَذَابٍ/عَذَابٖ/adhabin//شَدِیْدٍ/شَدِيدٍ/shadidin//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//فِیْهِ/فِيهِ/fihi//مُبْلِسُوْنَ۠/مُبۡلِسُونَ/mub'lisuna",
              "words_bangla": "শেষ পর্যন্ত//যখন//আমরা খুলে দিই//তাদের উপর//দরজা//সম্পন্ন//শাস্তি//কঠিন//তখন//তারা//তারা মধ্যে//হতাশ হয়ে পড়বে"
            },
            {
              "number": 2751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2751.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِىٓ أَنشَأَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَٰرَ وَٱلْأَفْـِٔدَةَ ۚ قَلِيلًۭا مَّا تَشْكُرُونَ",
              "translate_bn": "তিনি তোমাদের কান, চোখ ও অন্তঃকরণ সৃষ্টি করেছেন; তোমরা খুবই অল্প কৃতজ্ঞতা স্বীকার করে থাক।",
              "numberInSurah": 78,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়ল্লাযীআনশাআলাকুমুছ ছাম‘আ ওয়াল আবসা-রা ওয়াল আফইদাতা কালীলাম মা-তাশকুরূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْشَاَ/أَنشَأَ/ansha-a//لَكُمُ/لَكُمُ/lakumu//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْاَبْصَارَ/وَٱلۡأَبۡصَٰرَ/wal-absara//وَ الْاَفْـِٕدَةَ ؕ/وَٱلۡأَفۡـِٔدَةَۚ/wal-afidata//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//সৃষ্টি করেছেন//জন্যে তোমাদের//(শ্রবণশক্তির) কান//ও (দর্শনশক্তির) চোখ//হৃদয়//কমই//যা//তোমরা কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 2752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2752.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى ذَرَأَكُمْ فِى ٱلْأَرْضِ وَإِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "তিনিই তোমাদেরকে পৃথিবীতে ছড়িয়ে রেখেছেন এবং তারই দিকে তোমাদেরকে সমবেত করা হবে।",
              "numberInSurah": 79,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী যারা-আকুম ফিল আরদিওয়া ইলাইহি তুহশারূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//ذَرَاَكُمْ/ذَرَأَكُمۡ/dhara-akum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//তোমাদেরকে ছড়িয়ে দিয়েছেন//মধ্যে//জমিনের//আর তাঁরই দিকে//তোমাদেরকে একত্র করা হবে"
            },
            {
              "number": 2753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2753.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ وَلَهُ ٱخْتِلَٰفُ ٱلَّيْلِ وَٱلنَّهَارِ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "তিনিই প্রাণ দান করেন এবং মৃত্যু ঘটান এবং দিবা-রাত্রির বিবর্তন তাঁরই কাজ, তবু ও কি তোমরা বুঝবে না?",
              "numberInSurah": 80,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী ইউহয়ী ওয়া ইউমীতুওয়ালাহুখতিলা-ফুল লাইলি ওয়ান্নাহা-রি আফালাতা’কিলূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ/وَيُمِيتُ/wayumitu//وَ لَهُ/وَلَهُ/walahu//اخْتِلَافُ/ٱخۡتِلَٰفُ/ikh'tilafu//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ ؕ/وَٱلنَّهَارِۚ/wal-nahari//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//জীবনদান করেন//ও মৃত্যু দেন//আর  রয়েছে তাঁরই (কর্তৃত্ব)//আবর্তন//রাতের//ও দিনের//কি তবুও না//তোমরা বুঝবে"
            },
            {
              "number": 2754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2754.mp3"
              ],
              "text": "بَلْ قَالُوا۟ مِثْلَ مَا قَالَ ٱلْأَوَّلُونَ",
              "translate_bn": "বরং তারা বলে যেমন তাদের পূর্ববর্তীরা বলত।",
              "numberInSurah": 81,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "বাল কা-লূমিছলা মা-কা-লাল আওওয়ালূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//قَالُوْا/قَالُواْ/qalu//مِثْلَ/مِثۡلَ/mith'la//مَا/مَا/ma//قَالَ/قَالَ/qala//الْاَوَّلُوْنَ /ٱلۡأَوَّلُونَ/al-awaluna",
              "words_bangla": "বরং//তারা বলে//তেমনই//যা//বলেছিলো//পূর্ববর্তীরা"
            },
            {
              "number": 2755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2755.mp3"
              ],
              "text": "قَالُوٓا۟ أَءِذَا مِتْنَا وَكُنَّا تُرَابًۭا وَعِظَٰمًا أَءِنَّا لَمَبْعُوثُونَ",
              "translate_bn": "তারা বলেঃ যখন আমরা মরে যাব এবং মৃত্তিকা ও অস্থিতে পরিণত হব, তখনও কি আমরা পুনরুত্থিত হব ?",
              "numberInSurah": 82,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লূআইযা-মিতনা-ওয়া কুন্না-তুরা-বাওঁ ওয়া ‘ইজা-মান আইন্না-লামাব‘উছূন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//ءَاِذَا/أَءِذَا/a-idha//مِتْنَا/مِتۡنَا/mit'na//وَ كُنَّا/وَكُنَّا/wakunna//تُرَابًا/تُرَابٗا/turaban//وَّ عِظَامًا/وَعِظَٰمًا/wa'izaman//ءَاِنَّا/أَءِنَّا/a-inna//لَمَبْعُوْثُوْنَ /لَمَبۡعُوثُونَ/lamab'uthuna",
              "words_bangla": "তারা বলে//\"কি যখন//আমরা মরে যাবো//ও আমরা হয়ে যাবো//মাটি//ও হাড়//কি নিশ্চয়ই আমরা//অবশ্যই উত্থিত হবো"
            },
            {
              "number": 2756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2756.mp3"
              ],
              "text": "لَقَدْ وُعِدْنَا نَحْنُ وَءَابَآؤُنَا هَٰذَا مِن قَبْلُ إِنْ هَٰذَآ إِلَّآ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "অতীতে আমাদেরকে এবং আমাদের পিতৃপুরুষদেরকে এই ওয়াদাই দেয়া হয়েছে। এটা তো পূর্ববতীদের কল্প-কথা বৈ কিছুই নয়।",
              "numberInSurah": 83,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "লাকাদ উ‘ইদনা-নাহনুওয়া আ-বাউনা-হা-যা-মিন কাবলুইন হা-যাইল্লাআছাতীরুল আওওয়ালীন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//وُعِدْنَا/وُعِدۡنَا/wu'id'na//نَحْنُ/نَحۡنُ/nahnu//وَ اٰبَآؤُنَا/وَءَابَآؤُنَا/waabauna//هٰذَا/هَٰذَا/hadha//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "নিশ্চয়ই//প্রতিশ্রুতি দেয়া হয়েছে//আমরা (আমাদেরকে)//ও আমাদের পূর্ব পুরুষদেরকে//এটা//থেকে//ইতিপূর্ব//নয়//এটা//এ ছাড়া//উপকথা//পূর্ববর্তীদের\""
            },
            {
              "number": 2757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2757.mp3"
              ],
              "text": "قُل لِّمَنِ ٱلْأَرْضُ وَمَن فِيهَآ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "বলুন পৃথিবী এবং পৃথিবীতে যারা আছে, তারা কার? যদি তোমরা জান, তবে বল।",
              "numberInSurah": 84,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কুল লিমানিল আরদুওয়া মান ফীহাইন কুনতুম তা‘লামূন।",
              "words_arabic": "قُلْ/قُل/qul//لِّمَنِ/لِّمَنِ/limani//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ مَنْ/وَمَن/waman//فِیْهَاۤ/فِيهَآ/fiha//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "বলো//\"জন্যে কার (মালিকানায়)//(এই) পৃথিবী//ও যা কিছু (আছে)//তার মধ্যে//যদি//(তোমরা)//তোমরা জেনে থাকো\""
            },
            {
              "number": 2758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2758.mp3"
              ],
              "text": "سَيَقُولُونَ لِلَّهِ ۚ قُلْ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "এখন তারা বলবেঃ সবই আল্লাহর। বলুন, তবুও কি তোমরা চিন্তা কর না?",
              "numberInSurah": 85,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলূনা লিল্লা-হি কুল আফালা-তাযাক্কারূন।",
              "words_arabic": "سَیَقُوْلُوْنَ/سَيَقُولُونَ/sayaquluna//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//قُلْ/قُلۡ/qul//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "অচিরেই তারা বলবে//\"জন্যে আল্লাহ্‌রই\"//বলো//\"কি তবুও না//তোমরা শিক্ষা নিবে\""
            },
            {
              "number": 2759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2759.mp3"
              ],
              "text": "قُلْ مَن رَّبُّ ٱلسَّمَٰوَٰتِ ٱلسَّبْعِ وَرَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ",
              "translate_bn": "বলুনঃ সপ্তাকাশ ও মহা-আরশের মালিক কে?",
              "numberInSurah": 86,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কুল মার রাব্বুছছামা-ওয়া-তিছছাব‘ই ওয়া রাব্বুল ‘আরশিল ‘আজীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//رَّبُّ/رَّبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//السَّبْعِ/ٱلسَّبۡعِ/al-sab'i//وَ رَبُّ/وَرَبُّ/warabbu//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "বলো//\"কে//রব//আকাশের//সাত//ও রব//আরশের//মহান\""
            },
            {
              "number": 2760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2760.mp3"
              ],
              "text": "سَيَقُولُونَ لِلَّهِ ۚ قُلْ أَفَلَا تَتَّقُونَ",
              "translate_bn": "এখন তারা বলবেঃ আল্লাহ। বলুন, তবুও কি তোমরা ভয় করবে না?",
              "numberInSurah": 87,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলূনা লিল্লা-হি কুল আফালা-তাত্তাকূন।",
              "words_arabic": "سَیَقُوْلُوْنَ/سَيَقُولُونَ/sayaquluna//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//قُلْ/قُلۡ/qul//اَفَلَا/أَفَلَا/afala//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "তারা বলবে//\"জন্যে আল্লাহর (উলুহিয়াত)\"//বলো//\"কি তবুও না//তোমরা ভয় করবে\""
            },
            {
              "number": 2761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2761.mp3"
              ],
              "text": "قُلْ مَنۢ بِيَدِهِۦ مَلَكُوتُ كُلِّ شَىْءٍۢ وَهُوَ يُجِيرُ وَلَا يُجَارُ عَلَيْهِ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "বলুনঃ তোমাদের জানা থাকলে বল, কার হাতে সব বস্তুর কতৃর্ꦣ2468;্ব, যিনি রক্ষা করেন এবং যার কবল থেকে কেউ রক্ষা করতে পারে না ?",
              "numberInSurah": 88,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কুল মাম বিইয়াদিহী মালাকূতুকুল্লি শাইয়িওঁ ওয়া হুওয়া ইউজীরু ওয়ালা-ইউজা-রু ‘আলাইহি ইন কুনতুম তা‘লামূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْۢ/مَنۢ/man//بِیَدِهٖ/بِيَدِهِۦ/biyadihi//مَلَكُوْتُ/مَلَكُوتُ/malakutu//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ هُوَ/وَهُوَ/wahuwa//یُجِیْرُ/يُجِيرُ/yujiru//وَ لَا/وَلَا/wala//یُجَارُ/يُجَارُ/yujaru//عَلَیْهِ/عَلَيۡهِ/alayhi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "বলো//কে (এমন)//যার হাতে (রয়েছে)//কর্তৃত্ব//সব//কিছুর//এবং তিনিই//আশ্রয় দেন//অথচ না//আশ্রয় দিতে পারে কেউ//তাঁর বিপক্ষে//যদি//তোমরা থাকো//তোমরা জেনে\""
            },
            {
              "number": 2762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2762.mp3"
              ],
              "text": "سَيَقُولُونَ لِلَّهِ ۚ قُلْ فَأَنَّىٰ تُسْحَرُونَ",
              "translate_bn": "এখন তারা বলবেঃ আল্লাহর। বলুনঃ তাহলে কোথা থেকে তোমাদেরকে জাদু করা হচ্ছে?",
              "numberInSurah": 89,
              "juz": 18,
              "manzil": 4,
              "page": 347,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলূনা লিল্লা-হি কুল ফাআন্না-তুছহারূন।",
              "words_arabic": "سَیَقُوْلُوْنَ/سَيَقُولُونَ/sayaquluna//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//قُلْ/قُلۡ/qul//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُسْحَرُوْنَ /تُسۡحَرُونَ/tus'haruna",
              "words_bangla": "অচিরেই তারা বলবে//\"জন্যে আল্লাহ্‌রই\"//বলো//\"তাহ'লে কোথা (হ'তে)//তোমাদেরকে জাদু করা হচ্ছে\""
            },
            {
              "number": 2763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2763.mp3"
              ],
              "text": "بَلْ أَتَيْنَٰهُم بِٱلْحَقِّ وَإِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "কিছুই নয়, আমি তাদের কাছে সত্য পৌঁছিয়েছি, আর তারা তো মিথ্যাবাদী।",
              "numberInSurah": 90,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "বাল আতাইনা-হুম বিলহাক্কিওয়া ইন্নাহুম লাকা-যিবূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//اَتَیْنٰهُمْ/أَتَيۡنَٰهُم/ataynahum//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "বরং//আমরা এসেছি তাদের কাছে//নিয়ে মহাসত্যকে//আর নিশ্চয়ই তারা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 2764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2764.mp3"
              ],
              "text": "مَا ٱتَّخَذَ ٱللَّهُ مِن وَلَدٍۢ وَمَا كَانَ مَعَهُۥ مِنْ إِلَٰهٍ ۚ إِذًۭا لَّذَهَبَ كُلُّ إِلَٰهٍۭ بِمَا خَلَقَ وَلَعَلَا بَعْضُهُمْ عَلَىٰ بَعْضٍۢ ۚ سُبْحَٰنَ ٱللَّهِ عَمَّا يَصِفُونَ",
              "translate_bn": "আল্লাহ কোন সন্তান গ্রহণ করেননি এবং তাঁর সাথে কোন মাবুদ নেই। থাকলে প্রত্যেক মাবুদ নিজ নিজ সৃষ্টি নিয়ে চলে যেত এবং একজন অন্যজনের উপর প্রবল হয়ে যেত। তারা যা বলে, তা থেকে আল্লাহ পবিত্র।",
              "numberInSurah": 91,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "মাততাখাযাল্লা-হু মিওঁ ওয়ালাদিওঁ ওয়ামা-কা-না মা‘আহূমিন ইলা-হিন ইযাল লাযাহাবা কুল্লুইলা-হিম বিমা-খালাকা ওয়া লা‘আলা-বা‘দুহুম ‘আলা-বা‘দিন ছুবহা-নাল্লা-হি ‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "مَا/مَا/ma//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//وَّلَدٍ/وَلَدٖ/waladin//وَّ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مَعَهٗ/مَعَهُۥ/ma'ahu//مِنْ/مِنۡ/min//اِلٰهٍ/إِلَٰهٍۚ/ilahin//اِذًا/إِذٗا/idhan//لَّذَهَبَ/لَّذَهَبَ/ladhahaba//كُلُّ/كُلُّ/kullu//اِلٰهٍۭ/إِلَٰهِۭ/ilahin//بِمَا/بِمَا/bima//خَلَقَ/خَلَقَ/khalaqa//وَ لَعَلَا/وَلَعَلَا/wala'ala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//عَمَّا/عَمَّا/amma//یَصِفُوْنَۙ/يَصِفُونَ/yasifuna",
              "words_bangla": "নি//গ্রহণ করেন//আল্লাহ//(কাউকে) কোন//সন্তান (হিসেবে)//আর না//ছিলো (শরীক)//তাঁর সাথে//কোন//ইলাহর//যদি হতো (তবে)//অবশ্যই নিয়ে যেতো//প্রত্যেক//ইলাহ//ঐসব যা কিছু//সে সৃষ্টি করেছে//ও প্রাধান্য বিস্তার করতো//তাদের একে//উপর//অপরের//পবিত্র//আল্লাহ্‌//(তা) হ'তে যা//তারা রচনা করে"
            },
            {
              "number": 2765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2765.mp3"
              ],
              "text": "عَٰلِمِ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ فَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "তিনি দৃশ্য ও অদৃশ্যের জ্ঞানী। তারা শরীক করে, তিনি তা থেকে উর্ধ্বে।",
              "numberInSurah": 92,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 299,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "‘আ-লিমিল গাইবি ওয়াশশাহা-দাতি ফাতা‘আ-লা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "عٰلِمِ/عَٰلِمِ/alimi//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//فَتَعٰلٰی/فَتَعَٰلَىٰ/fata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ۠/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "অবহিত//অদৃশ্যের//ও দৃশ্যের//অতএব তিনি উর্দ্ধে//তা হ'তে যা কিছু//তারা শরীক করছে"
            },
            {
              "number": 2766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2766.mp3"
              ],
              "text": "قُل رَّبِّ إِمَّا تُرِيَنِّى مَا يُوعَدُونَ",
              "translate_bn": "বলুনঃ হে আমার পালনকর্তা! যে বিষয়ে তাদেরকে ওয়াদা দেয়া হয়েছে তা যদি আমাকে দেখান,",
              "numberInSurah": 93,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কুররাব্বি ইম্মা-তুরিইয়ান্নী মা-ইউ‘আদূন।",
              "words_arabic": "قُلْ/قُل/qul//رَّبِّ/رَّبِّ/rabbi//اِمَّا/إِمَّا/imma//تُرِیَنِّیْ/تُرِيَنِّي/turiyanni//مَا/مَا/ma//یُوْعَدُوْنَۙ/يُوعَدُونَ/yu'aduna",
              "words_bangla": "বলো (দোয়া করো)//\"হে আমার রব//যদি//আমাকে দেখাও//যা//তাদের প্রতিশ্রুতি দেয়া হচ্ছে"
            },
            {
              "number": 2767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2767.mp3"
              ],
              "text": "رَبِّ فَلَا تَجْعَلْنِى فِى ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "হে আমার পালনকর্তা! তবে আপনি আমাকে গোনাহগার সম্প্রদায়ের অন্তর্ভূক্ত করবেন না।",
              "numberInSurah": 94,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "রাব্বি ফালা-তাজ‘আলনী ফিল কাউমিজ্জা-লিমীন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//فَلَا/فَلَا/fala//تَجْعَلْنِیْ/تَجۡعَلۡنِي/taj'alni//فِی/فِي/fi//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "হে আমার রব//তবে না//আমাকে করো তুমি//অন্তর্ভুক্ত//সম্প্রদায়ের//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 2768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2768.mp3"
              ],
              "text": "وَإِنَّا عَلَىٰٓ أَن نُّرِيَكَ مَا نَعِدُهُمْ لَقَٰدِرُونَ",
              "translate_bn": "আমি তাদেরকে যে বিষয়ের ওয়াদা দিয়েছি, তা আপনাকে দেখাতে অবশ্যই সক্ষম।",
              "numberInSurah": 95,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-‘আলাআননুরিইয়াকা মা-না‘ইদুহুম লাকা-দিরূন।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//نُّرِیَكَ/نُّرِيَكَ/nuriyaka//مَا/مَا/ma//نَعِدُهُمْ/نَعِدُهُمۡ/na'iduhum//لَقٰدِرُوْنَ /لَقَٰدِرُونَ/laqadiruna",
              "words_bangla": "এবং নিশ্চয়ই আমরা//এক্ষেত্রে//যে//তোমাকে দেখাবো আমরা//যা//আমরা প্রতিশ্রুতি দিয়েছি তাদেরকে//অবশ্যই (তা দেখাতে) সক্ষম"
            },
            {
              "number": 2769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2769.mp3"
              ],
              "text": "ٱدْفَعْ بِٱلَّتِى هِىَ أَحْسَنُ ٱلسَّيِّئَةَ ۚ نَحْنُ أَعْلَمُ بِمَا يَصِفُونَ",
              "translate_bn": "মন্দের জওয়াবে তাই বলুন, যা উত্তম। তারা যা বলে, আমি সে বিষয়ে সবিশেষ অবগত।",
              "numberInSurah": 96,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ইদফা‘ বিল্লাতী হিইয়া আহছানুছ ছাইয়িআতা নাহনুআ‘লামুবিমা-ইয়াসিফূন।",
              "words_arabic": "اِدْفَعْ/ٱدۡفَعۡ/id'fa'//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ/أَحۡسَنُ/ahsanu//السَّیِّئَةَ ؕ/ٱلسَّيِّئَةَۚ/al-sayi-ata//نَحْنُ/نَحۡنُ/nahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَصِفُوْنَ /يَصِفُونَ/yasifuna",
              "words_bangla": "প্রতিহত করো//দিয়ে তা//যা//উত্তম//মন্দের (মোকাবিলায়)//আমরা//খুব জানি//ঐ বিষয় যা//তারা বর্ণনা করে"
            },
            {
              "number": 2770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2770.mp3"
              ],
              "text": "وَقُل رَّبِّ أَعُوذُ بِكَ مِنْ هَمَزَٰتِ ٱلشَّيَٰطِينِ",
              "translate_bn": "বলুনঃ হে আমার পালনকর্তা! আমি শয়তানের প্ররোচনা থেকে আপনার আশ্রয় প্রার্থনা করি,",
              "numberInSurah": 97,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুর রাব্বি আ‘ঊযুবিকা মিন হামাঝা-তিশশাইয়া-তীন।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//اَعُوْذُ/أَعُوذُ/a'udhu//بِكَ/بِكَ/bika//مِنْ/مِنۡ/min//هَمَزٰتِ/هَمَزَٰتِ/hamazati//الشَّیٰطِیْنِۙ/ٱلشَّيَٰطِينِ/al-shayatini",
              "words_bangla": "এবং বলো (দু'আ করো)//\"হে আমার রব//আমি আশ্রয় চাই//তোমার নিকট//হ'তে//প্ররোচনা//শয়তানদের"
            },
            {
              "number": 2771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2771.mp3"
              ],
              "text": "وَأَعُوذُ بِكَ رَبِّ أَن يَحْضُرُونِ",
              "translate_bn": "এবং হে আমার পালনকর্তা! আমার নিকট তাদের উপস্থিতি থেকে আপনার আশ্রয় প্রার্থনা করি।",
              "numberInSurah": 98,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ‘ঊযুবিকা রাব্বি আইঁ ইয়াহদু রূন।",
              "words_arabic": "وَ اَعُوْذُ/وَأَعُوذُ/wa-a'udhu//بِكَ/بِكَ/bika//رَبِّ/رَبِّ/rabbi//اَنْ/أَن/an//یَّحْضُرُوْنِ /يَحۡضُرُونِ/yahduruni",
              "words_bangla": "ও আশ্রয় চাই আমি//নিকট তোমার//হে আমার রব//যে//আমার নিকট (শয়তান) উপস্থিত হবে\""
            },
            {
              "number": 2772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2772.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا جَآءَ أَحَدَهُمُ ٱلْمَوْتُ قَالَ رَبِّ ٱرْجِعُونِ",
              "translate_bn": "যখন তাদের কারও কাছে মৃত্যু আসে, তখন সে বলেঃ হে আমার পালণকর্তা! আমাকে পুনরায় (দুনিয়াতে ) প্রেরণ করুন।",
              "numberInSurah": 99,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-জাআ আহাদাহুমুল মাওতুকা-লা রাব্বির জি‘ঊন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//اَحَدَهُمُ/أَحَدَهُمُ/ahadahumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//ارْجِعُوْنِۙ/ٱرۡجِعُونِ/ir'ji'uni",
              "words_bangla": "শেষ পর্যন্ত//যখন//আসবে//কারো তাদের//মৃত্যু//সে বলবে//\"হে আমার রব//আমাকে ফেরত পাঠাও"
            },
            {
              "number": 2773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2773.mp3"
              ],
              "text": "لَعَلِّىٓ أَعْمَلُ صَٰلِحًۭا فِيمَا تَرَكْتُ ۚ كَلَّآ ۚ إِنَّهَا كَلِمَةٌ هُوَ قَآئِلُهَا ۖ وَمِن وَرَآئِهِم بَرْزَخٌ إِلَىٰ يَوْمِ يُبْعَثُونَ",
              "translate_bn": "যাতে আমি সৎকর্ম করতে পারি, যা আমি করিনি। কখনই নয়, এ তো তার একটি কথার কথা মাত্র। তাদের সামনে পর্দা আছে পুনরুত্থান দিবস পর্যন্ত।",
              "numberInSurah": 100,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "লা‘আললীআ‘মালুসা-লিহান ফীমা-তারাকতুকাল্লা- ইন্নাহা-কালিমাতুন হুওয়া কাইলুহা- ওয়ামিওঁ ওয়ারাইহিম বারঝাখুন ইলা-ইয়াওমি ইউব‘আছূন।",
              "words_arabic": "لَعَلِّیْۤ/لَعَلِّيٓ/la'alli//اَعْمَلُ/أَعۡمَلُ/a'malu//صَالِحًا/صَٰلِحٗا/salihan//فِیْمَا/فِيمَا/fima//تَرَكْتُ/تَرَكۡتُۚ/taraktu//كَلَّا ؕ/كَلَّآۚ/kalla//اِنَّهَا/إِنَّهَا/innaha//كَلِمَةٌ/كَلِمَةٌ/kalimatun//هُوَ/هُوَ/huwa//قَآىِٕلُهَا ؕ/قَآئِلُهَاۖ/qailuha//وَ مِنْ/وَمِن/wamin//وَّرَآىِٕهِمْ/وَرَآئِهِم/waraihim//بَرْزَخٌ/بَرۡزَخٌ/barzakhun//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//یُبْعَثُوْنَ /يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "যাতে আমি//কাজ করি//সৎ//(তার) মধ্যে যা//আমি ছেড়ে এসেছি\"//কখনও না//নিশ্চয়ই তা//একটি কথা (মাত্র)//সে//যার উক্তিকারী//এবং থেকে//তাদের পিছনে (আছে)//অন্তরায়//পর্যন্ত//সেদিন (যেদিন)//তারা উত্থিত হবে"
            },
            {
              "number": 2774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2774.mp3"
              ],
              "text": "فَإِذَا نُفِخَ فِى ٱلصُّورِ فَلَآ أَنسَابَ بَيْنَهُمْ يَوْمَئِذٍۢ وَلَا يَتَسَآءَلُونَ",
              "translate_bn": "অতঃপর যখন শিংগায় ফুৎকার দেয়া হবে, সেদিন তাদের পারস্পরিক আত্নীয়তার বন্ধন থাকবে না এবং একে অপরকে জিজ্ঞাসাবাদ করবে না।",
              "numberInSurah": 101,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ফাইযা- নুফিখা ফিসসূরি ফালা আনছা-বা বাইনাহুম ইয়াওমায়িযিওঁ ওয়ালাইয়াতাছাআলূন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//نُفِخَ/نُفِخَ/nufikha//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَلَاۤ/فَلَآ/fala//اَنْسَابَ/أَنسَابَ/ansaba//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//وَّ لَا/وَلَا/wala//یَتَسَآءَلُوْنَ /يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "অতঃপর যখন//ফুঁ দেয়া হবে//মধ্যে//শিঙ্গার//তখন না//আত্মীয়তার বন্ধন (থাকবে)//মাঝে তাদের//সেদিন//আর না//তারা পরস্পরে খোঁজখবর করবে"
            },
            {
              "number": 2775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2775.mp3"
              ],
              "text": "فَمَن ثَقُلَتْ مَوَٰزِينُهُۥ فَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "যাদের পাল্লা ভারী হবে, তারাই হবে সফলকাম,",
              "numberInSurah": 102,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ফামান ছাকুলাত মাওয়া-ঝীনুহূফাউলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "فَمَنْ/فَمَن/faman//ثَقُلَتْ/ثَقُلَتۡ/thaqulat//مَوَازِیْنُهٗ/مَوَٰزِينُهُۥ/mawazinuhu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "অতঃপর যার//ভারী হবে//তার পাল্লা//তখন ঐসবলোক//তারাই//সফলকাম (হবে)"
            },
            {
              "number": 2776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2776.mp3"
              ],
              "text": "وَمَنْ خَفَّتْ مَوَٰزِينُهُۥ فَأُو۟لَٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فِى جَهَنَّمَ خَٰلِدُونَ",
              "translate_bn": "এবং যাদের পাল্লা হাল্কা হবে তারাই নিজেদের ক্ষতিসাধন করেছে, তারা দোযখেই চিরকাল বসবাস করবে।",
              "numberInSurah": 103,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান খাফফাত মাওয়া-ঝীনুহূফাউলাইকাল্লাযীনা খাছিরূআনফুছাহুম ফী জাহান্নামা খালিদূন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//خَفَّتْ/خَفَّتۡ/khaffat//مَوَازِیْنُهٗ/مَوَٰزِينُهُۥ/mawazinuhu//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدُوْنَۚ/خَٰلِدُونَ/khaliduna",
              "words_bangla": "আর যার//হালকা হবে//তার পাল্লা//অতঃপর ঐসবলোক (হবে)//(তারাই) যারা//ক্ষতিগ্রস্ত করেছে//তাদের নিজেদেরকে//মধ্যে//জাহান্নামের//তারা চিরস্থায়ী হবে (সেখানে)"
            },
            {
              "number": 2777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2777.mp3"
              ],
              "text": "تَلْفَحُ وُجُوهَهُمُ ٱلنَّارُ وَهُمْ فِيهَا كَٰلِحُونَ",
              "translate_bn": "আগুন তাদের মুখমন্ডল দগ্ধ করবে এবং তারা তাতে বীভৎস আকার ধারন করবে।",
              "numberInSurah": 104,
              "juz": 18,
              "manzil": 4,
              "page": 348,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "তালফাহুউজূহাহুমুন্না-রু ওয়া হুম ফীহা-কা-লিহূন।",
              "words_arabic": "تَلْفَحُ/تَلۡفَحُ/talfahu//وُجُوْهَهُمُ/وُجُوهَهُمُ/wujuhahumu//النَّارُ/ٱلنَّارُ/al-naru//وَ هُمْ/وَهُمۡ/wahum//فِیْهَا/فِيهَا/fiha//كٰلِحُوْنَ /كَٰلِحُونَ/kalihuna",
              "words_bangla": "জ্বালিয়ে দিবে//তাদের মুখমন্ডলকে//আগুন//আর তারা//তার মধ্যে//বীভৎস হবে (চেহারায়)"
            },
            {
              "number": 2778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2778.mp3"
              ],
              "text": "أَلَمْ تَكُنْ ءَايَٰتِى تُتْلَىٰ عَلَيْكُمْ فَكُنتُم بِهَا تُكَذِّبُونَ",
              "translate_bn": "তোমাদের সামনে কি আমার আয়াত সমূহ পঠিত হত না? তোমরা তো সেগুলোকে মিথ্যা বলতে।",
              "numberInSurah": 105,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "আলাম তাকুন আ-য়া-তী তুতলা-‘আলাইকুম ফাকুনতুম বিহা-তুকাযযি বূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَكُنْ/تَكُنۡ/takun//اٰیٰتِیْ/ءَايَٰتِي/ayati//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَكُنْتُمْ/فَكُنتُم/fakuntum//بِهَا/بِهَا/biha//تُكَذِّبُوْنَ /تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "\"(বলা হবে) কি না//\"হচ্ছিল//আমার আয়াতগুলোকে//তিলাওয়াত করা হতো//তোমাদের নিকট//তখন তোমরা ছিলে//সম্পর্কে তা\"//মিথ্যারোপ করতে\""
            },
            {
              "number": 2779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2779.mp3"
              ],
              "text": "قَالُوا۟ رَبَّنَا غَلَبَتْ عَلَيْنَا شِقْوَتُنَا وَكُنَّا قَوْمًۭا ضَآلِّينَ",
              "translate_bn": "তারা বলবেঃ হে আমাদের পালনকর্তা, আমরা দূর্ভাগ্যের হাতে পরাভূত ছিলাম এবং আমরা ছিলাম বিভ্রান্ত জাতি।",
              "numberInSurah": 106,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লূরাব্বানা-গালাবাত ‘আলাইনা-শিকওয়াতুনা-ওয়াকুন্না-কাওমান দাল্লীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//رَبَّنَا/رَبَّنَا/rabbana//غَلَبَتْ/غَلَبَتۡ/ghalabat//عَلَیْنَا/عَلَيۡنَا/alayna//شِقْوَتُنَا/شِقۡوَتُنَا/shiq'watuna//وَ كُنَّا/وَكُنَّا/wakunna//قَوْمًا/قَوۡمٗا/qawman//ضَآلِّیْنَ /ضَآلِّينَ/dallina",
              "words_bangla": "তারা বলবে//\"হে আমার রব//বিজয় লাভ করেছিলো//উপর আমাদের//আমাদের দুর্ভাগ্য//এবং আমরা ছিলাম//জাতি//পথভ্রষ্ট"
            },
            {
              "number": 2780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2780.mp3"
              ],
              "text": "رَبَّنَآ أَخْرِجْنَا مِنْهَا فَإِنْ عُدْنَا فَإِنَّا ظَٰلِمُونَ",
              "translate_bn": "হে আমাদের পালনকর্তা! এ থেকে আমাদেরকে উদ্ধার কর; আমরা যদি পুনরায় তা করি, তবে আমরা গোনাহগার হব।",
              "numberInSurah": 107,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাআখরিজনা-মিনহা-ফাইন ‘উদনা-ফাইন্না-জা-লিমূন।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اَخْرِجْنَا/أَخۡرِجۡنَا/akhrij'na//مِنْهَا/مِنۡهَا/min'ha//فَاِنْ/فَإِنۡ/fa-in//عُدْنَا/عُدۡنَا/ud'na//فَاِنَّا/فَإِنَّا/fa-inna//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "হে আমার রব//আমাদেরকে বের করে দাও//তা হ'তে//অতঃপর যদি//আমরা পুনরায় করি//তবে আমরা নিশ্চয়ই//সীমালঙ্ঘনকারী (প্রমাণিত হবো)\""
            },
            {
              "number": 2781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2781.mp3"
              ],
              "text": "قَالَ ٱخْسَـُٔوا۟ فِيهَا وَلَا تُكَلِّمُونِ",
              "translate_bn": "আল্লাহ বলবেনঃ তোমরা ধিকৃত অবস্থায় এখানেই পড়ে থাক এবং আমার সাথে কোন কথা বলো না।",
              "numberInSurah": 108,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লাখছাঊ ফীহা-ওয়ালা-তুকালিলমূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اخْسَـُٔوْا/ٱخۡسَـُٔواْ/ikh'sau//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//تُكَلِّمُوْنِ /تُكَلِّمُونِ/tukallimuni",
              "words_bangla": "তিনি বলবেন//\"পড়ে থাকো অপদস্হ হয়ে//তার মধ্যে//এবং না//আমার সাথে তোমরা কথা বলবে"
            },
            {
              "number": 2782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2782.mp3"
              ],
              "text": "إِنَّهُۥ كَانَ فَرِيقٌۭ مِّنْ عِبَادِى يَقُولُونَ رَبَّنَآ ءَامَنَّا فَٱغْفِرْ لَنَا وَٱرْحَمْنَا وَأَنتَ خَيْرُ ٱلرَّٰحِمِينَ",
              "translate_bn": "আমার বান্দাদের একদলে বলতঃ হে আমাদের পালনকর্তা! আমরা বিশ্বাস স্থাপন করেছি। অতএব তুমি আমাদেরকে ক্ষমা কর ও আমাদের প্রতি রহম কর। তুমি তো দয়ালুদের মধ্যে শ্রেষ্ঠ দয়ালু।",
              "numberInSurah": 109,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূ কা-না ফারীকুম মিন ‘ইবা-দী ইয়াকূ লূনা রাব্বানা আ-মান্না-ফাগফিরলানাওয়ারহামনা-ওয়াআনতা খাইরুর রা-হিমীন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْ/مِّنۡ/min//عِبَادِیْ/عِبَادِي/ibadi//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰمَنَّا/ءَامَنَّا/amanna//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لَنَا/لَنَا/lana//وَ ارْحَمْنَا/وَٱرۡحَمۡنَا/wa-ir'hamna//وَ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الرّٰحِمِیْنَۚۖ/ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "নিশ্চয়ই//ছিলো//একদল//মধ্যে//আমার দাসদের//(যারা) বলতো//\"হে আমাদের রব//আমরা ঈমান এনেছি//তাই ক্ষমা করো//আমাদেরকে//ও আমাদের উপর দয়া করো//আর তুমিই//অতি উত্তম//দয়াকারীদের"
            },
            {
              "number": 2783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2783.mp3"
              ],
              "text": "فَٱتَّخَذْتُمُوهُمْ سِخْرِيًّا حَتَّىٰٓ أَنسَوْكُمْ ذِكْرِى وَكُنتُم مِّنْهُمْ تَضْحَكُونَ",
              "translate_bn": "অতঃপর তোমরা তাদেরকে ঠাট্টার পাত্ররূপে গ্রহণ করতে। এমনকি, তা তোমাদেরকে আমার স্মরণ ভুলিয়ে দিয়েছিল এবং তোমরা তাদেরকে দেখে পরিহাস করতে।",
              "numberInSurah": 110,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাখাযতুমূহুম ছিখরিইইয়ান হাত্তাআনছাওকুম যিকরী ওয়া কুনতুম মিনহুম তাদহাকূন।",
              "words_arabic": "فَاتَّخَذْتُمُوْهُمْ/فَٱتَّخَذۡتُمُوهُمۡ/fa-ittakhadhtumuhum//سِخْرِیًّا/سِخۡرِيًّا/sikh'riyyan//حَتّٰۤی/حَتَّىٰٓ/hatta//اَنْسَوْكُمْ/أَنسَوۡكُمۡ/ansawkum//ذِكْرِیْ/ذِكۡرِي/dhik'ri//وَ كُنْتُمْ/وَكُنتُم/wakuntum//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//تَضْحَكُوْنَ /تَضۡحَكُونَ/tadhakuna",
              "words_bangla": "তখন তোমরা গ্রহণ করেছিলে তাদেরকে//ঠাট্টার পাত্ররূপে//এমনকি (তা)//তোমাদেরকে ভুলিয়ে দিয়েছিলো//আমার স্মরণ//আর তোমরা ছিলে//সাথে তাদের//ঠাট্টা-বিদ্রুপ করতে"
            },
            {
              "number": 2784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2784.mp3"
              ],
              "text": "إِنِّى جَزَيْتُهُمُ ٱلْيَوْمَ بِمَا صَبَرُوٓا۟ أَنَّهُمْ هُمُ ٱلْفَآئِزُونَ",
              "translate_bn": "আজ আমি তাদেরকে তাদের সবরের কারণে এমন প্রতিদান দিয়েছি যে, তারাই সফলকাম।",
              "numberInSurah": 111,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ইন্নী জাঝাইতুহুমুল ইয়াওমা বিমা-সাবারূ আন্নাহুম হুমুল ফাইঝূন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//جَزَیْتُهُمُ/جَزَيۡتُهُمُ/jazaytuhumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//بِمَا/بِمَا/bima//صَبَرُوْۤا ۙ/صَبَرُوٓاْ/sabaru//اَنَّهُمْ/أَنَّهُمۡ/annahum//هُمُ/هُمُ/humu//الْفَآىِٕزُوْنَ /ٱلۡفَآئِزُونَ/al-faizuna",
              "words_bangla": "নিশ্চয়ই আমি//আমি পুরস্কার দিলাম তাদেরকে//আজ//এ কারণে যে//তারা ধৈর্য ধরেছিলো//(ফল এই) যে তারা//তারাই//সফলকাম (হলো)"
            },
            {
              "number": 2785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2785.mp3"
              ],
              "text": "قَٰلَ كَمْ لَبِثْتُمْ فِى ٱلْأَرْضِ عَدَدَ سِنِينَ",
              "translate_bn": "আল্লাহ বলবেনঃ তোমরা পৃথিবীতে কতদিন অবস্থান করলে বছরের গণনায়?",
              "numberInSurah": 112,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাম লাবিছতুম ফিল আরদি‘আদাদা ছিনীন।",
              "words_arabic": "قٰلَ/قَٰلَ/qala//كَمْ/كَمۡ/kam//لَبِثْتُمْ/لَبِثۡتُمۡ/labith'tum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//عَدَدَ/عَدَدَ/adada//سِنِیْنَ /سِنِينَ/sinina",
              "words_bangla": "(আল্লাহ) বলবেন//\"কত (কাল)//তোমরা অবস্থান করেছিলে//মধ্যে//পৃথিবীর//হিসেবে//বছরের\""
            },
            {
              "number": 2786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2786.mp3"
              ],
              "text": "قَالُوا۟ لَبِثْنَا يَوْمًا أَوْ بَعْضَ يَوْمٍۢ فَسْـَٔلِ ٱلْعَآدِّينَ",
              "translate_bn": "তারা বলবে, আমরা একদিন অথবা দিনের কিছু অংশ অবস্থান করেছি। অতএব আপনি গণনাকারীদেরকে জিজ্ঞেস করুন।",
              "numberInSurah": 113,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাবিছনা-ইয়াওমান আও বা‘দা ইয়াওমিন ফাছআলিল ‘আ-দ্দীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَبِثْنَا/لَبِثۡنَا/labith'na//یَوْمًا/يَوۡمًا/yawman//اَوْ/أَوۡ/aw//بَعْضَ/بَعۡضَ/ba'da//یَوْمٍ/يَوۡمٖ/yawmin//فَسْـَٔلِ/فَسۡـَٔلِ/fasali//الْعَآدِّیْنَ /ٱلۡعَآدِّينَ/al-'adina",
              "words_bangla": "তারা বলবে//\"আমরা অবস্থান করেছিলাম//একদিন//অথবা//কিছু অংশ//দিনের//তবে জিজ্ঞেস করুন//গণনাকারীদেরকে\""
            },
            {
              "number": 2787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2787.mp3"
              ],
              "text": "قَٰلَ إِن لَّبِثْتُمْ إِلَّا قَلِيلًۭا ۖ لَّوْ أَنَّكُمْ كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "আল্লাহ বলবেনঃ তোমরা তাতে অল্পদিনই অবস্থান করেছ, যদি তোমরা জানতে?",
              "numberInSurah": 114,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইল লাবিছতুম ইল্লা-কালীলাল লাও আন্নাকুম কুনতুম তা‘লামূন।",
              "words_arabic": "قٰلَ/قَٰلَ/qala//اِنْ/إِن/in//لَّبِثْتُمْ/لَّبِثۡتُمۡ/labith'tum//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗاۖ/qalilan//لَّوْ/لَّوۡ/law//اَنَّكُمْ/أَنَّكُمۡ/annakum//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "(আল্লাহ) বলবেন//\"না//অবস্থান করেছিলে তোমরা//এ ছাড়া//অল্প (কালই)//যদি//(এমন হতো) যে তোমরা//তোমরা ছিলে//তোমরা জানতে"
            },
            {
              "number": 2788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2788.mp3"
              ],
              "text": "أَفَحَسِبْتُمْ أَنَّمَا خَلَقْنَٰكُمْ عَبَثًۭا وَأَنَّكُمْ إِلَيْنَا لَا تُرْجَعُونَ",
              "translate_bn": "তোমরা কি ধারণা কর যে, আমি তোমাদেরকে অনর্থক সৃষ্টি করেছি এবং তোমরা আমার কাছে ফিরে আসবে না?",
              "numberInSurah": 115,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "আফাহাছিবতুম আন্নামা-খালাকনা-কুম আবাছাওঁ ওয়া আন্নাকুম ইলাইনা-লা-তুরজা‘ঊন।",
              "words_arabic": "اَفَحَسِبْتُمْ/أَفَحَسِبۡتُمۡ/afahasib'tum//اَنَّمَا/أَنَّمَا/annama//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//عَبَثًا/عَبَثٗا/abathan//وَّ اَنَّكُمْ/وَأَنَّكُمۡ/wa-annakum//اِلَیْنَا/إِلَيۡنَا/ilayna//لَا/لَا/la//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "কি তবে তোমরা মনে করেছিলে//যে প্রকৃতপক্ষে//তোমাদেরকে আমরা সৃষ্টি করেছি//অনর্থক//আর (এও বুঝেছিলে) যে তোমরা//আমাদের কাছে//না//তোমরা প্রত্যাবর্তিত হবে\""
            },
            {
              "number": 2789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2789.mp3"
              ],
              "text": "فَتَعَٰلَى ٱللَّهُ ٱلْمَلِكُ ٱلْحَقُّ ۖ لَآ إِلَٰهَ إِلَّا هُوَ رَبُّ ٱلْعَرْشِ ٱلْكَرِيمِ",
              "translate_bn": "অতএব শীর্ষ মহিমায় আল্লাহ, তিনি সত্যিকার মালিক, তিনি ব্যতীত কোন মাবুদ নেই। তিনি সম্মানিত আরশের মালিক।",
              "numberInSurah": 116,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ফাতাআ-লাল্লা-হুল মালিকুল হাক্কু লাইলা-হা ইল্লা-হুওয়া, রাব্বুল ‘আরশিল কারীম।",
              "words_arabic": "فَتَعٰلَی/فَتَعَٰلَى/fata'ala//اللّٰهُ/ٱللَّهُ/al-lahu//الْمَلِكُ/ٱلۡمَلِكُ/al-maliku//الْحَقُّ ۚ/ٱلۡحَقُّۖ/al-haqu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَ/huwa//رَبُّ/رَبُّ/rabbu//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//الْكَرِیْمِ /ٱلۡكَرِيمِ/al-karimi",
              "words_bangla": "অতএব মহান শ্রেষ্ঠ//আল্লাহ//(যিনি) অধিপতি//প্রকৃত//নেই//কোন ইলাহ//ছাড়া//তিনি//রব (মালিক)//আরশের//মর্যাদাবান"
            },
            {
              "number": 2790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2790.mp3"
              ],
              "text": "وَمَن يَدْعُ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ لَا بُرْهَٰنَ لَهُۥ بِهِۦ فَإِنَّمَا حِسَابُهُۥ عِندَ رَبِّهِۦٓ ۚ إِنَّهُۥ لَا يُفْلِحُ ٱلْكَٰفِرُونَ",
              "translate_bn": "যে কেউ আল্লাহর সাথে অন্য উপাস্যকে ডাকে, তার কাছে যার সনদ নেই, তার হিসাব তার পালণকর্তার কাছে আছে। নিশ্চয় কাফেররা সফলকাম হবে না।",
              "numberInSurah": 117,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াদ‘উ মা‘আল্লা-হি ইলা-হান আ-খারা লা-বুরহা-না লাহূবিহী ফাইন্নামাহিছা-বুহূ‘ইনদা রাব্বিহী ইন্নাহূলা-ইউফলিহুল কা-ফিরূন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّدْعُ/يَدۡعُ/yad'u//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ ۙ/ءَاخَرَ/akhara//لَا/لَا/la//بُرْهَانَ/بُرۡهَٰنَ/bur'hana//لَهٗ/لَهُۥ/lahu//بِهٖ ۙ/بِهِۦ/bihi//فَاِنَّمَا/فَإِنَّمَا/fa-innama//حِسَابُهٗ/حِسَابُهُۥ/hisabuhu//عِنْدَ/عِندَ/inda//رَبِّهٖ ؕ/رَبِّهِۦٓۚ/rabbihi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "আর যে কেউ//ডাকবে//সাথে//আল্লাহর//ইলাহ (হিসেবে)//অন্য (কাউকে)//নেই//কোন প্রমাণ//জন্যে তার//উপর এর//তবে প্রকৃতপক্ষে//তার হিসেব (হবে)//কাছে//তার রবের//নিশ্চয়ই//না//সফলকাম হবে//কাফিররা"
            },
            {
              "number": 2791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2791.mp3"
              ],
              "text": "وَقُل رَّبِّ ٱغْفِرْ وَٱرْحَمْ وَأَنتَ خَيْرُ ٱلرَّٰحِمِينَ",
              "translate_bn": "বলূনঃ হে আমার পালনকর্তা, ক্ষমা করুন ও রহম করুন। রহমকারীদের মধ্যে আপনি শ্রেষ্ট রহমকারী।",
              "numberInSurah": 118,
              "juz": 18,
              "manzil": 4,
              "page": 349,
              "ruku": 300,
              "hizbQuarter": 139,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুর রাব্বিগফির ওয়ারহাম ওয়া আনতা খাইরুররা-হিমীন।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//رَّبِّ/رَّبِّ/rabbi//اغْفِرْ/ٱغۡفِرۡ/igh'fir//وَ ارْحَمْ/وَٱرۡحَمۡ/wa-ir'ham//وَ اَنْتَ/وَأَنتَ/wa-anta//خَیْرُ/خَيۡرُ/khayru//الرّٰحِمِیْنَ۠/ٱلرَّـٰحِمِينَ/al-rahimina",
              "words_bangla": "আর (হে নাবী) বলো//\"হে আমার রব//ক্ষমা করো//আর দয়া করো//আর তুমিই//উত্তম//দয়াকারীদের"
            }
          ]
        },
        {
          "number": 24,
          "name": "سُورَةُ النُّورِ",
          "englishName": "An-Noor",
          "englishNameTranslation": "The Light",
          "revelationType": "Medinan",
          "verse": 64,
          "words": 2611,
          "chars": 11316,
          "ayahs": [
            {
              "number": 2792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2792.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سُورَةٌ أَنزَلْنَٰهَا وَفَرَضْنَٰهَا وَأَنزَلْنَا فِيهَآ ءَايَٰتٍۭ بَيِّنَٰتٍۢ لَّعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "এটা একটা সূরা যা আমি নাযিল করেছি, এবং দায়িত্বে অপরিহার্য করেছি। এতে আমি সুস্পষ্ট আয়াতসমূহ অবতীর্ণ করেছি, যাতে তোমরা স্মরণ রাখ।",
              "numberInSurah": 1,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ছূরাতুন আনঝালনা-হা-ওয়া ফারাদনা-হা-ওয়া আনঝালনা-ফীহাআ-য়া-তিম বাইয়িনাতিল লা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "سُوْرَةٌ/سُورَةٌ/suratun//اَنْزَلْنٰهَا/أَنزَلۡنَٰهَا/anzalnaha//وَ فَرَضْنٰهَا/وَفَرَضۡنَٰهَا/wafaradnaha//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//فِیْهَاۤ/فِيهَآ/fiha//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "(এটা) একটি সূরা//তা আমরা অবতীর্ণ করেছি//ও এর (বিধানকে) আমরা ফরজ করেছি//এবং আমরা অবতীর্ণ করেছি//তার মধ্যে//আয়াতসমূহ//সুস্পষ্ট//সম্ভবতঃ তোমরা//উপদেশ গ্রহণ করবে"
            },
            {
              "number": 2793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2793.mp3"
              ],
              "text": "ٱلزَّانِيَةُ وَٱلزَّانِى فَٱجْلِدُوا۟ كُلَّ وَٰحِدٍۢ مِّنْهُمَا مِا۟ئَةَ جَلْدَةٍۢ ۖ وَلَا تَأْخُذْكُم بِهِمَا رَأْفَةٌۭ فِى دِينِ ٱللَّهِ إِن كُنتُمْ تُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۖ وَلْيَشْهَدْ عَذَابَهُمَا طَآئِفَةٌۭ مِّنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "ব্যভিচারিণী নারী ব্যভিচারী পুরুষ; তাদের প্রত্যেককে একশ’ করে বেত্রাঘাত কর। আল্লাহর বিধান কার্যকর কারণে তাদের প্রতি যেন তোমাদের মনে দয়ার উদ্রেক না হয়, যদি তোমরা আল্লাহর প্রতি ও পরকালের প্রতি বিশ্বাসী হয়ে থাক। মুসলমানদের একটি দল যেন তাদের শাস্তি প্রত্যক্ষ করে।",
              "numberInSurah": 2,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "আঝঝা-নিয়াতুওয়াঝঝা-নী ফাজলিদূকুল্লা ওয়াহিদিম মিনহুমা-মিআতা জালদাতিওঁ ওয়ালা-তা’খুযকুম বিহিমা-রা’ফাতুন ফী দীনিল্লা-হি ইন কুনতুম তু’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়াল ইয়াশহাদ ‘আযা-বাহুমা-তাইফাতুম মিনাল মু’মিনীন।",
              "words_arabic": "اَلزَّانِیَةُ/ٱلزَّانِيَةُ/al-zaniyatu//وَ الزَّانِیْ/وَٱلزَّانِي/wal-zani//فَاجْلِدُوْا/فَٱجۡلِدُواْ/fa-ij'lidu//كُلَّ/كُلَّ/kulla//وَاحِدٍ/وَٰحِدٖ/wahidin//مِّنْهُمَا/مِّنۡهُمَا/min'huma//مِائَةَ/مِاْئَةَ/mi-ata//جَلْدَةٍ ۪/جَلۡدَةٖۖ/jaldatin//وَّ لَا/وَلَا/wala//تَاْخُذْكُمْ/تَأۡخُذۡكُم/takhudh'kum//بِهِمَا/بِهِمَا/bihima//رَاْفَةٌ/رَأۡفَةٞ/rafatun//فِیْ/فِي/fi//دِیْنِ/دِينِ/dini//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تُؤْمِنُوْنَ/تُؤۡمِنُونَ/tu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ۚ/ٱلۡأٓخِرِۖ/al-akhiri//وَ لْیَشْهَدْ/وَلۡيَشۡهَدۡ/walyashhad//عَذَابَهُمَا/عَذَابَهُمَا/adhabahuma//طَآىِٕفَةٌ/طَآئِفَةٞ/taifatun//مِّنَ/مِّنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "ব্যভিচারিণী//ও ব্যভিচারী//অতঃপর তোমরা দোররা মারবে//প্রত্যেক//একজনকে//তাদের দুজনার মধ্য হ'তে//একশত//দোররা//আর না (যেন)//তোমাদেরকে প্রভাবিত করে//প্রতি তাদের দু'জনের//দয়া অনুকম্পা//ব্যাপারে//দ্বীনের//আল্লাহর//যদি//তোমরা থাকো//তোমরা ঈমান আনো//প্রতি আল্লাহর//ও দিনের//শেষ (প্রতি)//আর যেন প্রত্যক্ষ করে//দু'জনের শাস্তি তাদের//একদল//মধ্য হ'তে//মু'মিনদের"
            },
            {
              "number": 2794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2794.mp3"
              ],
              "text": "ٱلزَّانِى لَا يَنكِحُ إِلَّا زَانِيَةً أَوْ مُشْرِكَةًۭ وَٱلزَّانِيَةُ لَا يَنكِحُهَآ إِلَّا زَانٍ أَوْ مُشْرِكٌۭ ۚ وَحُرِّمَ ذَٰلِكَ عَلَى ٱلْمُؤْمِنِينَ",
              "translate_bn": "ব্যভিচারী পুরুষ কেবল ব্যভিচারিণী নারী অথবা মুশরিকা নারীকেই বিয়ে করে এবং ব্যভিচারিণীকে কেবল ব্যভিচারী অথবা মুশরিক পুরুষই বিয়ে করে এবং এদেরকে মুমিনদের জন্যে হারাম করা হয়েছে।",
              "numberInSurah": 3,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "আঝঝা-নী লা-ইয়ানকিহুইল্লা-ঝা-নিইয়াতান আও মুশরিকাতাওঁ ওয়াঝঝা-নিয়াতুলাইয়ানকিহুহাইল্লা-ঝা-নিন আও মুশরিকুওঁ ওয়া হুররিমা যা-লিকা ‘আলাল মু’মিনীন।",
              "words_arabic": "اَلزَّانِیْ/ٱلزَّانِي/al-zani//لَا/لَا/la//یَنْكِحُ/يَنكِحُ/yankihu//اِلَّا/إِلَّا/illa//زَانِیَةً/زَانِيَةً/zaniyatan//اَوْ/أَوۡ/aw//مُشْرِكَةً ؗ/مُشۡرِكَةٗ/mush'rikatan//وَّ الزَّانِیَةُ/وَٱلزَّانِيَةُ/wal-zaniyatu//لَا/لَا/la//یَنْكِحُهَاۤ/يَنكِحُهَآ/yankihuha//اِلَّا/إِلَّا/illa//زَانٍ/زَانٍ/zanin//اَوْ/أَوۡ/aw//مُشْرِكٌ ۚ/مُشۡرِكٞۚ/mush'rikun//وَ حُرِّمَ/وَحُرِّمَ/wahurrima//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "ব্যভিচারী//না//বিয়ে করবে (অন্য কাউকে)//ছাড়া//ব্যভিচারিণীকে//অথবা//মুশরিক নারীকে//আর ব্যভিচারিণী//না//তাকে বিয়ে করবে (অন্য কেউ)//ছাড়া//ব্যভিচারী//অথবা//মুশরিক//এবং নিষিদ্ধ করা হলো//এটা//জন্যে//মু'মিনদের"
            },
            {
              "number": 2795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2795.mp3"
              ],
              "text": "وَٱلَّذِينَ يَرْمُونَ ٱلْمُحْصَنَٰتِ ثُمَّ لَمْ يَأْتُوا۟ بِأَرْبَعَةِ شُهَدَآءَ فَٱجْلِدُوهُمْ ثَمَٰنِينَ جَلْدَةًۭ وَلَا تَقْبَلُوا۟ لَهُمْ شَهَٰدَةً أَبَدًۭا ۚ وَأُو۟لَٰٓئِكَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "যারা সতী-সাধ্বী নারীর প্রতি অপবাদ আরোপ করে অতঃপর স্বপক্ষে চার জন পুরুষ সাক্ষী উপস্থিত করে না, তাদেরকে আশিটি বেত্রাঘাত করবে এবং কখনও তাদের সাক্ষ্য কবুল করবে না। এরাই না’ফারমান।",
              "numberInSurah": 4,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়ারমূনাল মুহসানা-তি ছুম্মা লাম ইয়া’তূবিআরবা‘আতি শুহাদাআ ফাজলিদূ হুম ছামা-নীনা জালদাতাওঁ ওয়ালা-তাকবালূলাহুম শাহা-দাতান আবাদা- ওয়া উলাইকা হুমুল ফা-ছিকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَرْمُوْنَ/يَرۡمُونَ/yarmuna//الْمُحْصَنٰتِ/ٱلۡمُحۡصَنَٰتِ/al-muh'sanati//ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//یَاْتُوْا/يَأۡتُواْ/yatu//بِاَرْبَعَةِ/بِأَرۡبَعَةِ/bi-arba'ati//شُهَدَآءَ/شُهَدَآءَ/shuhadaa//فَاجْلِدُوْهُمْ/فَٱجۡلِدُوهُمۡ/fa-ij'liduhum//ثَمٰنِیْنَ/ثَمَٰنِينَ/thamanina//جَلْدَةً/جَلۡدَةٗ/jaldatan//وَّ لَا/وَلَا/wala//تَقْبَلُوْا/تَقۡبَلُواْ/taqbalu//لَهُمْ/لَهُمۡ/lahum//شَهَادَةً/شَهَٰدَةً/shahadatan//اَبَدًا ۚ/أَبَدٗاۚ/abadan//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْفٰسِقُوْنَۙ/ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "এবং যারা//অপবাদ দেয়//পবিত্র রমণীদেরকে//এরপর//না//তারা আসে//নিয়ে চারজন//সাক্ষী//তখন দোররা লাগাও তাদেরকে//আশি//দোররা//আর না//তোমরা গ্রহণ করবে//জন্যে তাদের (হ'তে)//সাক্ষ্য//কখনও//এবং ঐসবলোক//তারাই//সত্যত্যাগী (ফাসেক)"
            },
            {
              "number": 2796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2796.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "কিন্তু যারা এরপর তওবা করে এবং সংশোধিত হয়, আল্লাহ ক্ষমাশীল, পরম মেহেরবান।",
              "numberInSurah": 5,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা তা-বূমিম বা‘দি যা-লিকা ওয়া আসলাহূ ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَابُوْا/تَابُواْ/tabu//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ اَصْلَحُوْا ۚ/وَأَصۡلَحُواْ/wa-aslahu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "ছাড়া//(তারা) যারা//তওবা করেছে//থেকে//পর//এর//ও সংশোধন করেছে//তাহ'লে নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2797.mp3"
              ],
              "text": "وَٱلَّذِينَ يَرْمُونَ أَزْوَٰجَهُمْ وَلَمْ يَكُن لَّهُمْ شُهَدَآءُ إِلَّآ أَنفُسُهُمْ فَشَهَٰدَةُ أَحَدِهِمْ أَرْبَعُ شَهَٰدَٰتٍۭ بِٱللَّهِ ۙ إِنَّهُۥ لَمِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "এবং যারা তাদের স্ত্রীদের প্রতি অপবাদ আরোপ করে এবং তারা নিজেরা ছাড়া তাদের কোন সাক্ষী নেই, এরূপ ব্যক্তির সাক্ষ্য এভাবে হবে যে, সে আল্লাহর কসম খেয়ে চারবার সাক্ষ্য দেবে যে, সে অবশ্যই সত্যবাদী।",
              "numberInSurah": 6,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়ারমূনা আঝওয়া-জাহুম ওয়ালাম ইয়াকুল লাহূম শুহাদাউ ইল্লাআনফুছুহুম ফাশাহা-দাতুআহাদিহিম আরবা‘উ শাহা-দা-তিম বিল্লা-হি ইন্নাহূলামিনাসসা-দিকীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَرْمُوْنَ/يَرۡمُونَ/yarmuna//اَزْوَاجَهُمْ/أَزۡوَٰجَهُمۡ/azwajahum//وَ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهُمْ/لَّهُمۡ/lahum//شُهَدَآءُ/شُهَدَآءُ/shuhadau//اِلَّاۤ/إِلَّآ/illa//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//فَشَهَادَةُ/فَشَهَٰدَةُ/fashahadatu//اَحَدِهِمْ/أَحَدِهِمۡ/ahadihim//اَرْبَعُ/أَرۡبَعُ/arba'u//شَهٰدٰتٍۭ/شَهَٰدَٰتِۭ/shahadatin//بِاللّٰهِ ۙ/بِٱللَّهِ/bil-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//لَمِنَ/لَمِنَ/lamina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "আর যারা//অপবাদ দেয়//তাদের স্ত্রীদেরকে//আর না//থাকে//তাদের কাছে//কোন সাক্ষী//ছাড়া//তাদের নিজেদের//তখন সাক্ষ্য//তাদের একজনের//চারবার//(কসম খেয়ে) সাক্ষ্য দিবে//যে আল্লাহর (নামে)//নিশ্চয়ই সে//অবশ্যই অন্তর্ভুক্ত//সত্যবাদীদের"
            },
            {
              "number": 2798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2798.mp3"
              ],
              "text": "وَٱلْخَٰمِسَةُ أَنَّ لَعْنَتَ ٱللَّهِ عَلَيْهِ إِن كَانَ مِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "এবং পঞ্চমবার বলবে যে, যদি সে মিথ্যাবাদী হয় তবে তার উপর আল্লাহর লানত।",
              "numberInSurah": 7,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়াল খা-মিছাতুআন্না লা‘নাতাল্লা-হি ‘আলাইহি ইন কা-না মিনাল কা-যিবীন।",
              "words_arabic": "وَ الْخَامِسَةُ/وَٱلۡخَٰمِسَةُ/wal-khamisatu//اَنَّ/أَنَّ/anna//لَعْنَتَ/لَعۡنَتَ/la'nata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهِ/عَلَيۡهِ/alayhi//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "আর পঞ্চমবার (বলবে)//যে//অভিশাপ//আল্লাহর//তার উপর (পড়ুক)//যদি//সে হয়//অন্তর্ভুক্ত//মিথ্যাবাদীদের"
            },
            {
              "number": 2799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2799.mp3"
              ],
              "text": "وَيَدْرَؤُا۟ عَنْهَا ٱلْعَذَابَ أَن تَشْهَدَ أَرْبَعَ شَهَٰدَٰتٍۭ بِٱللَّهِ ۙ إِنَّهُۥ لَمِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "এবং স্ত্রীর শাস্তি রহিত হয়ে যাবে যদি সে আল্লাহর কসম খেয়ে চার বার সাক্ষ্য দেয় যে, তার স্বামী অবশ্যই মিথ্যাবাদী;",
              "numberInSurah": 8,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াদরাউ ‘আনহাল ‘আযা-বা আন তাশহাদা আরবা‘আ শাহা-দা-তিম বিল্লা-হি ইন্নাহূ লামিনাল কা-যিবীন।\r\n",
              "words_arabic": "وَ یَدْرَؤُا/وَيَدۡرَؤُاْ/wayadra-u//عَنْهَا/عَنۡهَا/anha//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//اَنْ/أَن/an//تَشْهَدَ/تَشۡهَدَ/tashhada//اَرْبَعَ/أَرۡبَعَ/arba'a//شَهٰدٰتٍۭ/شَهَٰدَٰتِۭ/shahadatin//بِاللّٰهِ ۙ/بِٱللَّهِ/bil-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//لَمِنَ/لَمِنَ/lamina//الْكٰذِبِیْنَۙ/ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "আর রহিত হবে//তার (অর্থাৎ স্ত্রীলোকটি) হ'তে//শাস্তি//(এভাবে) যে//সে শপথ করে সাক্ষ্য দিবে//চারবার//সাক্ষ্য//নামে আল্লাহর//সে (অর্থাৎ পুরুষটি) নিশ্চয়ই//অবশ্যই অন্তর্ভুক্ত//মিথ্যাবাদীদের"
            },
            {
              "number": 2800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2800.mp3"
              ],
              "text": "وَٱلْخَٰمِسَةَ أَنَّ غَضَبَ ٱللَّهِ عَلَيْهَآ إِن كَانَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "এবং পঞ্চমবার বলে যে, যদি তার স্বামী সত্যবাদী হয় তবে তার ওপর আল্লাহর গযব নেমে আসবে।",
              "numberInSurah": 9,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়াল খা-মিছাতা আন্না গাদাবাল্লা-হি ‘আলাইহাইন কা-না মিনাসসা-দিকীন।",
              "words_arabic": "وَ الْخَامِسَةَ/وَٱلۡخَٰمِسَةَ/wal-khamisata//اَنَّ/أَنَّ/anna//غَضَبَ/غَضَبَ/ghadaba//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْهَاۤ/عَلَيۡهَآ/alayha//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "এবং পঞ্চমবার (বলবে)//যে//রাগ (পড়ুক)//আল্লাহর//তার (অর্থাৎ স্ত্রীলোকটির) উপর//যদি//(পুরুষটি) হয়//অন্তর্ভুক্ত//সত্যবাদীদের"
            },
            {
              "number": 2801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2801.mp3"
              ],
              "text": "وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ وَأَنَّ ٱللَّهَ تَوَّابٌ حَكِيمٌ",
              "translate_bn": "তোমাদের প্রতি আল্লাহর অনুগ্রহ ও দয়া না থাকলে এবং আল্লাহ তওবা কবুল কারী, প্রজ্ঞাময় না হলে কত কিছুই যে হয়ে যেত।",
              "numberInSurah": 10,
              "juz": 18,
              "manzil": 4,
              "page": 350,
              "ruku": 301,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলা- ফাদলুল্লা-হি ‘আলাইকুমওয়ারাহমাতুহূওয়া আন্নাল্লা-হা তাওওয়া-বুন হাকীম।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//تَوَّابٌ/تَوَّابٌ/tawwabun//حَكِیْمٌ۠/حَكِيمٌ/hakimun",
              "words_bangla": "আর যদি না (হতো)//অনুগ্রহ//আল্লাহর//তোমাদের উপর//ও তাঁর দয়া (তবে তোমরা জটিলতায় পড়তে)//আর নিশ্চয়ই//আল্লাহ//তওবা গ্রহণকারী//প্রজ্ঞাময়"
            },
            {
              "number": 2802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2802.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ جَآءُو بِٱلْإِفْكِ عُصْبَةٌۭ مِّنكُمْ ۚ لَا تَحْسَبُوهُ شَرًّۭا لَّكُم ۖ بَلْ هُوَ خَيْرٌۭ لَّكُمْ ۚ لِكُلِّ ٱمْرِئٍۢ مِّنْهُم مَّا ٱكْتَسَبَ مِنَ ٱلْإِثْمِ ۚ وَٱلَّذِى تَوَلَّىٰ كِبْرَهُۥ مِنْهُمْ لَهُۥ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "যারা মিথ্যা অপবাদ রটনা করেছে, তারা তোমাদেরই একটি দল। তোমরা একে নিজেদের জন্যে খারাপ মনে করো না; বরং এটা তোমাদের জন্যে মঙ্গলজনক। তাদের প্রত্যেকের জন্যে ততটুকু আছে যতটুকু সে গোনাহ করেছে এবং তাদের মধ্যে যে এ ব্যাপারে অগ্রণী ভূমিকা নিয়েছে, তার জন্যে রয়েছে বিরাট শাস্তি।",
              "numberInSurah": 11,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা জাঊ বিলইফকি ‘উসবাতুম মিনকুম লা তাহছাবূহু শাররাল্লাকুম বাল হুওয়া খাইরুল লাকুম লিকুল্লিমরিয়িম মিনহুম মাকতাছাবা মিনাল ইছমি ওয়াল্লাযী তাওয়াল্লা-কিবরাহূমিনহুম লাহূ‘আযা-বুন ‘আজীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//جَآءُوْ/جَآءُو/jau//بِالْاِفْكِ/بِٱلۡإِفۡكِ/bil-if'ki//عُصْبَةٌ/عُصۡبَةٞ/us'batun//مِّنْكُمْ ؕ/مِّنكُمۡۚ/minkum//لَا/لَا/la//تَحْسَبُوْهُ/تَحۡسَبُوهُ/tahsabuhu//شَرًّا/شَرّٗا/sharran//لَّكُمْ ؕ/لَّكُمۖ/lakum//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//لِكُلِّ/لِكُلِّ/likulli//امْرِئٍ/ٱمۡرِيٕٖ/im'ri-in//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّا/مَّا/ma//اكْتَسَبَ/ٱكۡتَسَبَ/ik'tasaba//مِنَ/مِنَ/mina//الْاِثْمِ ۚ/ٱلۡإِثۡمِۚ/al-ith'mi//وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//تَوَلّٰی/تَوَلَّىٰ/tawalla//كِبْرَهٗ/كِبۡرَهُۥ/kib'rahu//مِنْهُمْ/مِنۡهُمۡ/min'hum//لَهٗ/لَهُۥ/lahu//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "নিশ্চয়ই//যারা//তারা এসেছে//নিয়ে অপবাদ রচনা//(তারা) একটি দল//তোমাদের মধ্যকার//না//তা তোমরা মনে করো//খারাপ//জন্যে তোমাদের//বরং//তা//ভালো//জন্যে তোমাদের//জন্যে প্রত্যেক//ব্যক্তির (রয়েছে)//তাদের মধ্য হ'তে//যতটা//সে অর্জন করেছে//হ'তে//পাপ//আর যে//দায়িত্ব নিয়েছে (নিজের উপর)//তার বড় (অংশ)//মধ্য হ'তে তাদের//জন্যে তার (রয়েছে)//শাস্তি//কঠিন"
            },
            {
              "number": 2803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2803.mp3"
              ],
              "text": "لَّوْلَآ إِذْ سَمِعْتُمُوهُ ظَنَّ ٱلْمُؤْمِنُونَ وَٱلْمُؤْمِنَٰتُ بِأَنفُسِهِمْ خَيْرًۭا وَقَالُوا۟ هَٰذَآ إِفْكٌۭ مُّبِينٌۭ",
              "translate_bn": "তোমরা যখন একথা শুনলে, তখন ঈমানদার পুরুষ ও নারীগণ কেন নিজেদের লোক সম্পর্কে উত্তম ধারণা করনি এবং বলনি যে, এটা তো নির্জলা অপবাদ?",
              "numberInSurah": 12,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "লাওলাইযছামি‘তুমূহু জান্নাল মু’মিনূনা ওয়াল মু’মিনা-তুবিআনফুছিহিম খাইরাওঁ ওয়া কা-লূহা-যাইফকুম মুবীন।",
              "words_arabic": "لَوْ لَاۤ/لَّوۡلَآ/lawla//اِذْ/إِذۡ/idh//سَمِعْتُمُوْهُ/سَمِعۡتُمُوهُ/sami'tumuhu//ظَنَّ/ظَنَّ/zanna//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//وَ الْمُؤْمِنٰتُ/وَٱلۡمُؤۡمِنَٰتُ/wal-mu'minatu//بِاَنْفُسِهِمْ/بِأَنفُسِهِمۡ/bi-anfusihim//خَیْرًا ۙ/خَيۡرٗا/khayran//وَّ قَالُوْا/وَقَالُواْ/waqalu//هٰذَاۤ/هَٰذَآ/hadha//اِفْكٌ/إِفۡكٞ/if'kun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "কেন না//যখন//তা তোমরা শুনলে//অনুমান করলো//মু'মিনরা//ও মু'মিন নারীরা//সম্পর্কে তাদের নিজেদের//ভালো (ধারণা)//ও (কেন না) বললো//\"এটা//মিথ্যা অপবাদ//সুস্পষ্ট\""
            },
            {
              "number": 2804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2804.mp3"
              ],
              "text": "لَّوْلَا جَآءُو عَلَيْهِ بِأَرْبَعَةِ شُهَدَآءَ ۚ فَإِذْ لَمْ يَأْتُوا۟ بِٱلشُّهَدَآءِ فَأُو۟لَٰٓئِكَ عِندَ ٱللَّهِ هُمُ ٱلْكَٰذِبُونَ",
              "translate_bn": "তারা কেন এ ব্যাপারে চার জন সাক্ষী উপস্থিত করেনি; অতঃপর যখন তারা সাক্ষী উপস্থিত করেনি, তখন তারাই আল্লাহর কাছে মিথ্যাবাদী।",
              "numberInSurah": 13,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "লাওলা-জাঊ ‘আলাইহি বিআরবা‘আতি শুহাদাআ ফাইযলাম ইয়া’তূ বিশশুহাদাই ফাউলাইকা ‘ইনদাল্লা-হি হুমুল কা-যিবূন।",
              "words_arabic": "لَوْ لَا/لَّوۡلَا/lawla//جَآءُوْ/جَآءُو/jau//عَلَیْهِ/عَلَيۡهِ/alayhi//بِاَرْبَعَةِ/بِأَرۡبَعَةِ/bi-arba'ati//شُهَدَآءَ ۚ/شُهَدَآءَۚ/shuhadaa//فَاِذْ/فَإِذۡ/fa-idh//لَمْ/لَمۡ/lam//یَاْتُوْا/يَأۡتُواْ/yatu//بِالشُّهَدَآءِ/بِٱلشُّهَدَآءِ/bil-shuhadai//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//هُمُ/هُمُ/humu//الْكٰذِبُوْنَ /ٱلۡكَٰذِبُونَ/al-kadhibuna",
              "words_bangla": "কেন না//তারা আসলো//এ ব্যাপারে//নিয়ে চারজন//সাক্ষী//কাজেই যখন//নি//তারা আসে//নিয়ে সাক্ষীদেরকে//তাহ'লে ঐসবলোক//নিকটে//আল্লাহর//তারাই//মিথ্যাবাদী"
            },
            {
              "number": 2805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2805.mp3"
              ],
              "text": "وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ لَمَسَّكُمْ فِى مَآ أَفَضْتُمْ فِيهِ عَذَابٌ عَظِيمٌ",
              "translate_bn": "যদি ইহকালে ও পরকালে তোমাদের প্রতি আল্লাহর অনুগ্রহ ও দয়া না থাকত, তবে তোমরা যা চর্চা করছিলে, তজ্জন্যে তোমাদেরকে গুরুতর আযাব স্পর্শ করত।",
              "numberInSurah": 14,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলা- ফাদলুল্লা-হি আলাইকুমওয়ারাহমাতুহূফিদদুনইয়া-ওয়াল আ-খিরাতি লামছছাকুম ফী মাআফাদতুম ফীহি ‘আযা-বুন ‘আজীম।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ/وَٱلۡأٓخِرَةِ/wal-akhirati//لَمَسَّكُمْ/لَمَسَّكُمۡ/lamassakum//فِیْ/فِي/fi//مَاۤ/مَآ/ma//اَفَضْتُمْ/أَفَضۡتُمۡ/afadtum//فِیْهِ/فِيهِ/fihi//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌۚۖ/عَظِيمٌ/azimun",
              "words_bangla": "আর যদি না (হতো)//অনুগ্রহ//আল্লাহর//তোমাদের উপর//ও তাঁর দয়া//মধ্যে//দুনিয়ার//ও আখিরাতে//অবশ্যই তোমাদেরকে স্পর্শ করতো//মধ্যে//যার//তোমরা জড়িয়ে পড়েছিলে//সেক্ষেত্রে//শাস্তি//কঠিন"
            },
            {
              "number": 2806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2806.mp3"
              ],
              "text": "إِذْ تَلَقَّوْنَهُۥ بِأَلْسِنَتِكُمْ وَتَقُولُونَ بِأَفْوَاهِكُم مَّا لَيْسَ لَكُم بِهِۦ عِلْمٌۭ وَتَحْسَبُونَهُۥ هَيِّنًۭا وَهُوَ عِندَ ٱللَّهِ عَظِيمٌۭ",
              "translate_bn": "যখন তোমরা একে মুখে মুখে ছড়াচ্ছিলে এবং মুখে এমন বিষয় উচ্চারণ করছিলে, যার কোন জ্ঞান তোমাদের ছিল না। তোমরা একে তুচ্ছ মনে করছিলে, অথচ এটা আল্লাহর কাছে গুরুতর ব্যাপার ছিল।",
              "numberInSurah": 15,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ইযতালাক্কাওনাহূবিআলছিনাতিকুম ওয়া তাকূলূনা বিআফওয়া-হিকুম মা-লাইছা লাকুম বিহী ‘ইলমুওঁ ওয়া তাহছাবূনাহূহাইয়িনাওঁ ওয়া হুওয়া ‘ইনদাল্লা-হি ‘আজীম।",
              "words_arabic": "اِذْ/إِذۡ/idh//تَلَقَّوْنَهٗ/تَلَقَّوۡنَهُۥ/talaqqawnahu//بِاَلْسِنَتِكُمْ/بِأَلۡسِنَتِكُمۡ/bi-alsinatikum//وَ تَقُوْلُوْنَ/وَتَقُولُونَ/wataquluna//بِاَفْوَاهِكُمْ/بِأَفۡوَاهِكُم/bi-afwahikum//مَّا/مَّا/ma//لَیْسَ/لَيۡسَ/laysa//لَكُمْ/لَكُم/lakum//بِهٖ/بِهِۦ/bihi//عِلْمٌ/عِلۡمٞ/il'mun//وَّ تَحْسَبُوْنَهٗ/وَتَحۡسَبُونَهُۥ/watahsabunahu//هَیِّنًا ۖۗ/هَيِّنٗا/hayyinan//وَّ هُوَ/وَهُوَ/wahuwa//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "যখন//তা তোমরা ছড়াচ্ছিলে//দিয়ে তোমাদের জিহ্বা//ও বলছিলে//দিয়ে তোমাদের মুখ//যার//নেই//তোমাদের//সম্পর্কে সে//কোন জ্ঞান//আর তা তোমরা মনে করছিলে//তুচ্ছ//অথচ তা//নিকট//আল্লাহর//গুরুতর"
            },
            {
              "number": 2807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2807.mp3"
              ],
              "text": "وَلَوْلَآ إِذْ سَمِعْتُمُوهُ قُلْتُم مَّا يَكُونُ لَنَآ أَن نَّتَكَلَّمَ بِهَٰذَا سُبْحَٰنَكَ هَٰذَا بُهْتَٰنٌ عَظِيمٌۭ",
              "translate_bn": "তোমরা যখন এ কথা শুনলে তখন কেন বললে না যে, এ বিষয়ে কথা বলা আমাদের উচিত নয়। আল্লাহ তো পবিত্র, মহান। এটা তো এক গুরুতর অপবাদ।",
              "numberInSurah": 16,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলাইযছামি‘তুমূহু কুলতুম মা-ইয়াকূনুলানাআন নাতাকাল্লামা বিহা-যা- ছুবহা-নাকা হা-যা-বুহতা-নুন ‘আজীম।",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اِذْ/إِذۡ/idh//سَمِعْتُمُوْهُ/سَمِعۡتُمُوهُ/sami'tumuhu//قُلْتُمْ/قُلۡتُم/qul'tum//مَّا/مَّا/ma//یَكُوْنُ/يَكُونُ/yakunu//لَنَاۤ/لَنَآ/lana//اَنْ/أَن/an//نَّتَكَلَّمَ/نَّتَكَلَّمَ/natakallama//بِهٰذَا ۖۗ/بِهَٰذَا/bihadha//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//هٰذَا/هَٰذَا/hadha//بُهْتَانٌ/بُهۡتَٰنٌ/buh'tanun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "এবং কেন না//যখন//তা তোমরা শুনেছিলে//বললে তোমরা//\"নয়//হবার (শোভা পায়)//জন্যে আমাদের//যে//কথা বলবো আমরা//এ বিষয়ে//(হে আল্লাহ) তুমি মহান পবিত্র//এটাতো//অপবাদ//গুরুতর\""
            },
            {
              "number": 2808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2808.mp3"
              ],
              "text": "يَعِظُكُمُ ٱللَّهُ أَن تَعُودُوا۟ لِمِثْلِهِۦٓ أَبَدًا إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "আল্লাহ তোমাদেরকে উপদেশ দিচ্ছেন, তোমরা যদি ঈমানদার হও, তবে তখনও পুনরায় এ ধরণের আচরণের পুনরাবৃত্তি করো না।",
              "numberInSurah": 17,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘ইজু কুমুল্লা-হু আন তা‘ঊদূলিমিছলিহীআবাদান ইন কুনতুম মু’মিনীন।",
              "words_arabic": "یَعِظُكُمُ/يَعِظُكُمُ/ya'izukumu//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//تَعُوْدُوْا/تَعُودُواْ/ta'udu//لِمِثْلِهٖۤ/لِمِثۡلِهِۦٓ/limith'lihi//اَبَدًا/أَبَدًا/abadan//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَۚ/مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "তোমাদের উপদেশ করেন//আল্লাহ//যে (না)//পুনরাবৃত্তি করো//অনুরূপ তার//কখনও//যদি//তোমরা হয়ে থাকো//মু'মিন"
            },
            {
              "number": 2809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2809.mp3"
              ],
              "text": "وَيُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْءَايَٰتِ ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে কাজের কথা স্পষ্ট করে বর্ণনা করেন। আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 18,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউবাইয়িনুল্লা-হু লাকুমুল আ-য়া-তি ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ یُبَیِّنُ/وَيُبَيِّنُ/wayubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ ؕ/ٱلۡأٓيَٰتِۚ/al-ayati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٌ/hakimun",
              "words_bangla": "এবং সুস্পষ্ট বর্ণনা করেছেন//আল্লাহ//জন্যে তোমাদের//আয়াতসমূহ//আর আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 2810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2810.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُحِبُّونَ أَن تَشِيعَ ٱلْفَٰحِشَةُ فِى ٱلَّذِينَ ءَامَنُوا۟ لَهُمْ عَذَابٌ أَلِيمٌۭ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ ۚ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "যারা পছন্দ করে যে, ঈমানদারদের মধ্যে ব্যভিচার প্রসার লাভ করুক, তাদের জন্যে ইহাকাল ও পরকালে যন্ত্রণাদায়ক শাস্তি রয়েছে। আল্লাহ জানেন, তোমরা জান না।",
              "numberInSurah": 19,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউহিববূনা আন তাশী‘আল ফা-হিশাতুফিল্লাযীনা আ-মানূলাহুম ‘আযা-বুন আলিমুন ফিদদুনইয়া-ওয়াল আ-খিরাতি ওয়া ল্লা-হু ইয়া‘লামুওয়া আনতুম লাতা‘লামূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُحِبُّوْنَ/يُحِبُّونَ/yuhibbuna//اَنْ/أَن/an//تَشِیْعَ/تَشِيعَ/tashi'a//الْفَاحِشَةُ/ٱلۡفَٰحِشَةُ/al-fahishatu//فِی/فِي/fi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ ۙ/أَلِيمٞ/alimun//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ؕ/وَٱلۡأٓخِرَةِۚ/wal-akhirati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "নিশ্চয়ই//যারা//পছন্দ করে//যে//প্রসার লাভ করুক//নির্লজ্জতা//মধ্যে//(তাদের) যারা//ঈমান এনেছে//জন্যে তাদের//শাস্তি//নিদারুণ//মধ্যে//দুনিয়ার//ও আখিরাতে//আর আল্লাহ//জানেন//কিন্তু তোমরা//না//তোমরা জানো"
            },
            {
              "number": 2811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2811.mp3"
              ],
              "text": "وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ وَأَنَّ ٱللَّهَ رَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "যদি তোমাদের প্রতি আল্লাহর অনুগ্রহ ও দয়া না থাকত এবং আল্লাহ দয়ালু, মেহেরবান না হতেন, তবে কত কিছুই হয়ে যেত।",
              "numberInSurah": 20,
              "juz": 18,
              "manzil": 4,
              "page": 351,
              "ruku": 302,
              "hizbQuarter": 140,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলা-ফাদলুল্লা-হি ‘আলাইকুম ওয়া রাহমাতুহূওয়া আন্নাল্লা-হা রাঊফুর রাহীম।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//رَءُوْفٌ/رَءُوفٞ/raufun//رَّحِیْمٌ۠/رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যদি না (হতো)//অনুগ্রহ//আল্লাহর//তোমাদের উপর//ও তাঁর দয়া (তবে নিকৃষ্ট পরিণাম হতো)//কিন্তু নিশ্চয়ই//আল্লাহ//বড়ই দয়াবান//পরম দয়ালু"
            },
            {
              "number": 2812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2812.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَٰنِ ۚ وَمَن يَتَّبِعْ خُطُوَٰتِ ٱلشَّيْطَٰنِ فَإِنَّهُۥ يَأْمُرُ بِٱلْفَحْشَآءِ وَٱلْمُنكَرِ ۚ وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ مَا زَكَىٰ مِنكُم مِّنْ أَحَدٍ أَبَدًۭا وَلَٰكِنَّ ٱللَّهَ يُزَكِّى مَن يَشَآءُ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "হে ঈমানদারগণ, তোমরা শয়তানের পদাঙ্ক অনুসরণ করো না। যে কেউ শয়তানের পদাঙ্ক অনুসরণ করবে, তখন তো শয়তান নির্লজ্জতা ও মন্দ কাজেরই আদেশ করবে। যদি আল্লাহর অনুগ্রহ ও দয়া তোমাদের প্রতি না থাকত, তবে তোমাদের কেউ কখনও পবিত্র হতে পারতে না। কিন্তু আল্লাহ যাকে ইচ্ছা পবিত্র করেন। আল্লাহ সবকিছু শোনেন, জানেন।",
              "numberInSurah": 21,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাবি‘উ খুতুওয়া-তিশশাইতা-নি ওয়া মাইঁ ইয়াত্তাবি’ খুতুওয়া-তিশশাইতা-নি ফাইন্নাহূইয়া’মরু বিল ফাহশাই ওয়াল মুনকারি ওয়া লাওলা-ফাদলুল্লা-হি ‘আলাইকুম ওয়া রাহমাতুহূমা-ঝাকা-মিনকুম মিন আহাদিন আবাদাওঁ ওয়ালা-কিন্নাল্লা-হা ইউঝাক্কী মাইঁ ইয়াশাউ ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّبِعُوْا/تَتَّبِعُواْ/tattabi'u//خُطُوٰتِ/خُطُوَٰتِ/khutuwati//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۚ/al-shaytani//وَ مَنْ/وَمَن/waman//یَّتَّبِعْ/يَتَّبِعۡ/yattabi'//خُطُوٰتِ/خُطُوَٰتِ/khutuwati//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//یَاْمُرُ/يَأۡمُرُ/yamuru//بِالْفَحْشَآءِ/بِٱلۡفَحۡشَآءِ/bil-fahshai//وَ الْمُنْكَرِ ؕ/وَٱلۡمُنكَرِۚ/wal-munkari//وَ لَوْ لَا/وَلَوۡلَا/walawla//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ رَحْمَتُهٗ/وَرَحۡمَتُهُۥ/warahmatuhu//مَا/مَا/ma//زَكٰی/زَكَىٰ/zaka//مِنْكُمْ/مِنكُم/minkum//مِّنْ/مِّنۡ/min//اَحَدٍ/أَحَدٍ/ahadin//اَبَدًا ۙ/أَبَدٗا/abadan//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یُزَكِّیْ/يُزَكِّي/yuzakki//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۗ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা অনুসরণ করো//পদাঙ্ক//শয়তানের//আর যে//অনুসরণ করবে//পদাঙ্ক//শয়তানের//তাহ'লে সে নিশ্চয়ই//নির্দেশ দেবে//প্রতি নির্লজ্জতার//ও মন্দ কাজের//না যদি আর (হতো)//অনুগ্রহ//আল্লাহ্‌র//তোমাদের উপর//ও তাঁর দয়া//না//পবিত্র হ'তে পারতো//তোমাদের মধ্যে//কোন//একজন//কখনও//কিন্তু//আল্লাহ্‌//পবিত্র করে দেন//যাকে//তিনি চান//আর আল্লাহ্‌//সব শুনেন//সব জানেন"
            },
            {
              "number": 2813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2813.mp3"
              ],
              "text": "وَلَا يَأْتَلِ أُو۟لُوا۟ ٱلْفَضْلِ مِنكُمْ وَٱلسَّعَةِ أَن يُؤْتُوٓا۟ أُو۟لِى ٱلْقُرْبَىٰ وَٱلْمَسَٰكِينَ وَٱلْمُهَٰجِرِينَ فِى سَبِيلِ ٱللَّهِ ۖ وَلْيَعْفُوا۟ وَلْيَصْفَحُوٓا۟ ۗ أَلَا تُحِبُّونَ أَن يَغْفِرَ ٱللَّهُ لَكُمْ ۗ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "তোমাদের মধ্যে যারা উচ্চমর্যাদা ও আর্থিক প্রাচুর্যের অধিকারী, তারা যেন কসম না খায় যে, তারা আত্নীয়-স্বজনকে, অভাবগ্রস্তকে এবং আল্লাহর পথে হিজরতকারীদেরকে কিছুই দেবে না। তাদের ক্ষমা করা উচিত এবং দোষক্রটি উপেক্ষা করা উচিত। তোমরা কি কামনা কর না যে, আল্লাহ তোমাদেরকে ক্ষমা করেন? আল্লাহ ক্ষমাশীল, পরম করুণাময়।",
              "numberInSurah": 22,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়া’তালি উলুল ফাদলি মিনকুম ওয়াছছা‘আতি আইঁ ইউ’তূউলিল কুরবা-ওয়াল মাছা-কীনা ওয়ালমুহা-জিরীনা ফী ছাবীলিল্লা-হি ওয়ালইয়া‘ফূওয়ালইয়াসফাহূ আলা-তুহিববূনা আইঁ ইয়াগফিরাল্লা-হু লাকুম ওয়াল্লা-হু গাফরুর রাহীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَاْتَلِ/يَأۡتَلِ/yatali//اُولُوا/أُوْلُواْ/ulu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//مِنْكُمْ/مِنكُمۡ/minkum//وَ السَّعَةِ/وَٱلسَّعَةِ/wal-sa'ati//اَنْ/أَن/an//یُّؤْتُوْۤا/يُؤۡتُوٓاْ/yu'tu//اُولِی/أُوْلِي/uli//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْمَسٰكِیْنَ/وَٱلۡمَسَٰكِينَ/wal-masakina//وَ الْمُهٰجِرِیْنَ/وَٱلۡمُهَٰجِرِينَ/wal-muhajirina//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۪ۖ/ٱللَّهِۖ/al-lahi//وَ لْیَعْفُوْا/وَلۡيَعۡفُواْ/walya'fu//وَ لْیَصْفَحُوْا ؕ/وَلۡيَصۡفَحُوٓاْۗ/walyasfahu//اَلَا/أَلَا/ala//تُحِبُّوْنَ/تُحِبُّونَ/tuhibbuna//اَنْ/أَن/an//یَّغْفِرَ/يَغۡفِرَ/yaghfira//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "আর না (যেন)//শপথ গ্রহণ করে//অধিকারীরা//অনুগ্রহের//তোমাদের মধ্য থেকে//ও প্রাচুর্যের (অধিকারীরা)//যে//তারা দিবে (না)//অধিকারীদের//নৈকট্যের (আত্মীয় স্বজনকে)//ও অভাবগ্রস্তদেরকে//ও মুহাজিরদেরকে//মধ্যে//পথের//আল্লাহ্‌র//এবং যেন তারা ক্ষমা করে দেয়//এবং যেন দোষ-ত্রুটি উপেক্ষা করে//না কি//তোমরা পছন্দ করো//যে//ক্ষমা করবেন//আল্লাহ্‌//তোমাদেরকে//আর আল্লাহ্‌//বড় ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2814.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَرْمُونَ ٱلْمُحْصَنَٰتِ ٱلْغَٰفِلَٰتِ ٱلْمُؤْمِنَٰتِ لُعِنُوا۟ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ وَلَهُمْ عَذَابٌ عَظِيمٌۭ",
              "translate_bn": "যারা সতী-সাধ্বী, নিরীহ ঈমানদার নারীদের প্রতি অপবাদ আরোপ করে, তারা ইহকালে ও পরকালে ধিকৃত এবং তাদের জন্যে রয়েছে গুরুতর শাস্তি।",
              "numberInSurah": 23,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়ারমূনাল মুহসানা-তিল গা-ফিলা-তিল মু’মিনা-তি লু‘ইনূফিদদুনইয়া-ওয়াল আ-খিরাতি ওয়া লাহুম ‘আযা-বুন ‘আজীম।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَرْمُوْنَ/يَرۡمُونَ/yarmuna//الْمُحْصَنٰتِ/ٱلۡمُحۡصَنَٰتِ/al-muh'sanati//الْغٰفِلٰتِ/ٱلۡغَٰفِلَٰتِ/al-ghafilati//الْمُؤْمِنٰتِ/ٱلۡمُؤۡمِنَٰتِ/al-mu'minati//لُعِنُوْا/لُعِنُواْ/lu'inu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ ۪/وَٱلۡأٓخِرَةِ/wal-akhirati//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌۙ/عَظِيمٞ/azimun",
              "words_bangla": "নিশ্চয়ই//যারা//অপবাদ দেয়//পবিত্র রমনীরা//সাদাসিধা//মু'মিন নারীদেরকে//তারা অভিশপ্ত//মধ্যে//দুনিয়ার//ও আখিরাতে//এবং জন্যে তাদের//শাস্তি (রয়েছে)//কঠিন"
            },
            {
              "number": 2815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2815.mp3"
              ],
              "text": "يَوْمَ تَشْهَدُ عَلَيْهِمْ أَلْسِنَتُهُمْ وَأَيْدِيهِمْ وَأَرْجُلُهُم بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যেদিন প্রকাশ করে দেবে তাদের জিহবা, তাদের হাত ও তাদের পা, যা কিছু তারা করত;",
              "numberInSurah": 24,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তাশহাদু‘আলাইহিম আলছিনাতুহুম ওয়া আইদীহিম ওয়া আরজুলুহুম বিমা-কা-নূ ইয়া‘মালূন।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//تَشْهَدُ/تَشۡهَدُ/tashhadu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَلْسِنَتُهُمْ/أَلۡسِنَتُهُمۡ/alsinatuhum//وَ اَیْدِیْهِمْ/وَأَيۡدِيهِمۡ/wa-aydihim//وَ اَرْجُلُهُمْ/وَأَرۡجُلُهُم/wa-arjuluhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "সেদিন//সাক্ষ্য দিবে//তাদের বিরুদ্ধে//তাদের জিহ্বাগুলো//ও তাদের হাতগুলো//ও তাদের পাগুলো//ঐ বিষয়ে যা//তারা ছিলো//তারা কাজ করে"
            },
            {
              "number": 2816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2816.mp3"
              ],
              "text": "يَوْمَئِذٍۢ يُوَفِّيهِمُ ٱللَّهُ دِينَهُمُ ٱلْحَقَّ وَيَعْلَمُونَ أَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ ٱلْمُبِينُ",
              "translate_bn": "সেদিন আল্লাহ তাদের সমুচিত শাস্তি পুরোপুরি দেবেন এবং তারা জানতে পারবে যে, অল্লাহই সত্য, স্পষ্ট ব্যক্তকারী।",
              "numberInSurah": 25,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমায়িযিইঁ ইউওয়াফফীহিমুল্লা-হু দীনাহুমুলহাক্কাওয়াইয়া‘লামূনা আন্নাল্লা-হা হুওয়াল হাক্কুল মুবীন।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یُّوَفِّیْهِمُ/يُوَفِّيهِمُ/yuwaffihimu//اللّٰهُ/ٱللَّهُ/al-lahu//دِیْنَهُمُ/دِينَهُمُ/dinahumu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ یَعْلَمُوْنَ/وَيَعۡلَمُونَ/waya'lamuna//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "সেদিন//তাদেরকে পুরোপুরি দিবেন//আল্লাহ্‌//তাদের প্রতিদান//যথাযোগ্য//আর তারা জানবে//যে//আল্লাহ//তিনিই//সত্য//(সত্যের) সুস্পষ্ট প্রকাশক"
            },
            {
              "number": 2817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2817.mp3"
              ],
              "text": "ٱلْخَبِيثَٰتُ لِلْخَبِيثِينَ وَٱلْخَبِيثُونَ لِلْخَبِيثَٰتِ ۖ وَٱلطَّيِّبَٰتُ لِلطَّيِّبِينَ وَٱلطَّيِّبُونَ لِلطَّيِّبَٰتِ ۚ أُو۟لَٰٓئِكَ مُبَرَّءُونَ مِمَّا يَقُولُونَ ۖ لَهُم مَّغْفِرَةٌۭ وَرِزْقٌۭ كَرِيمٌۭ",
              "translate_bn": "দুশ্চরিত্রা নারীকূল দুশ্চরিত্র পুরুষকুলের জন্যে এবং দুশ্চরিত্র পুরুষকুল দুশ্চরিত্রা নারীকুলের জন্যে। সচ্চরিত্রা নারীকুল সচ্চরিত্র পুরুষকুলের জন্যে এবং সচ্চরিত্র পুরুষকুল সচ্চরিত্রা নারীকুলের জন্যে। তাদের সম্পর্কে লোকে যা বলে, তার সাথে তারা সম্পর্কহীন। তাদের জন্যে আছে ক্ষমা ও সম্মানজনক জীবিকা।",
              "numberInSurah": 26,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 303,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "আলখাবীছা-তুলিলখাবীছীনা ওয়াল খাবীছূনা লিলখাবীছা-তি ওয়াততাইয়িবা-তু লিততাইয়িবীনা ওয়াততাইয়িবূনা লিততাইয়িবা-ত উলাইকা মুবাররাঊনা মিম্মাইয়াকূলূনা লাহুম মাগরিফাতুওঁ ওয়ারিঝকুন কারীম।\r\n",
              "words_arabic": "اَلْخَبِیْثٰتُ/ٱلۡخَبِيثَٰتُ/al-khabithatu//لِلْخَبِیْثِیْنَ/لِلۡخَبِيثِينَ/lil'khabithina//وَ الْخَبِیْثُوْنَ/وَٱلۡخَبِيثُونَ/wal-khabithuna//لِلْخَبِیْثٰتِ ۚ/لِلۡخَبِيثَٰتِۖ/lil'khabithati//وَ الطَّیِّبٰتُ/وَٱلطَّيِّبَٰتُ/wal-tayibatu//لِلطَّیِّبِیْنَ/لِلطَّيِّبِينَ/lilttayyibina//وَ الطَّیِّبُوْنَ/وَٱلطَّيِّبُونَ/wal-tayibuna//لِلطَّیِّبٰتِ ۚ/لِلطَّيِّبَٰتِۚ/lilttayyibati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//مُبَرَّءُوْنَ/مُبَرَّءُونَ/mubarrauna//مِمَّا/مِمَّا/mimma//یَقُوْلُوْنَ ؕ/يَقُولُونَۖ/yaquluna//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ رِزْقٌ/وَرِزۡقٞ/wariz'qun//كَرِیْمٌ۠/كَرِيمٞ/karimun",
              "words_bangla": "দুশ্চরিত্রা নারীরা//জন্যে দুশ্চরিত্র পুরুষদের (যোগ্য)//ও দুশ্চরিত্র পুরুষরা//জন্যে দুশ্চরিত্রা নারীদের (যোগ্য)//এবং সচ্চরিত্রা নারীরা//জন্যে সচ্চরিত্র পুরুষের (যোগ্য)//ও সচ্চরিত্র পুরুষরা//জন্যে সচ্চরিত্রা নারীদের (যোগ্য)//ঐসবলোক//মুক্ত//তাহ'তে যা//তারা বলে//জন্যে তাদের (রয়েছে)//ক্ষমা//ও জীবিকা//সম্মানিত"
            },
            {
              "number": 2818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2818.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَدْخُلُوا۟ بُيُوتًا غَيْرَ بُيُوتِكُمْ حَتَّىٰ تَسْتَأْنِسُوا۟ وَتُسَلِّمُوا۟ عَلَىٰٓ أَهْلِهَا ۚ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ لَعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "হে মুমিনগণ, তোমরা নিজেদের গৃহ ব্যতীত অন্য গৃহে প্রবেশ করো না, যে পর্যন্ত আলাপ-পরিচয় না কর এবং গৃহবাসীদেরকে সালাম না কর। এটাই তোমাদের জন্যে উত্তম, যাতে তোমরা স্মরণ রাখ।",
              "numberInSurah": 27,
              "juz": 18,
              "manzil": 4,
              "page": 352,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা তাদখুলূবুয়ূতান গাইরা বুয়ূতিকুম হাত্তা-তাছতা’নিছূওয়া তুছালিলমূ‘আলাআহলিহা- যা-লিকুম খাউরুল্লাকুম লা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَدْخُلُوْا/تَدۡخُلُواْ/tadkhulu//بُیُوْتًا/بُيُوتًا/buyutan//غَیْرَ/غَيۡرَ/ghayra//بُیُوْتِكُمْ/بُيُوتِكُمۡ/buyutikum//حَتّٰی/حَتَّىٰ/hatta//تَسْتَاْنِسُوْا/تَسۡتَأۡنِسُواْ/tastanisu//وَ تُسَلِّمُوْا/وَتُسَلِّمُواْ/watusallimu//عَلٰۤی/عَلَىٰٓ/ala//اَهْلِهَا ؕ/أَهۡلِهَاۚ/ahliha//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা প্রবেশ করো//ঘরগুলোতে (অন্যদের)//ছাড়া//তোমাদের ঘরগুলো//যতক্ষণ না//তোমরা অনুমতি চাও (ও পাও)//ও তোমরা সালাম দাও//উপর//তারা অধিবাসীদের//এটা//উত্তম//জন্যে তোমাদের//আশা করা যায় তোমরা//তোমরা উপদেশ গ্রহণ করবে"
            },
            {
              "number": 2819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2819.mp3"
              ],
              "text": "فَإِن لَّمْ تَجِدُوا۟ فِيهَآ أَحَدًۭا فَلَا تَدْخُلُوهَا حَتَّىٰ يُؤْذَنَ لَكُمْ ۖ وَإِن قِيلَ لَكُمُ ٱرْجِعُوا۟ فَٱرْجِعُوا۟ ۖ هُوَ أَزْكَىٰ لَكُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ عَلِيمٌۭ",
              "translate_bn": "যদি তোমরা গৃহে কাউকে না পাও, তবে অনুমতি গ্রহণ না করা পর্যন্ত সেখানে প্রবেশ করো না। যদি তোমাদেরকে বলা হয় ফিরে যাও, তবে ফিরে যাবে। এতে তোমাদের জন্যে অনেক পবিত্রতা আছে এবং তোমরা যা কর, আল্লাহ তা ভালোভাবে জানেন।",
              "numberInSurah": 28,
              "juz": 18,
              "manzil": 4,
              "page": 353,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ফাইল লাম তাজিদূফীহাআহাদান ফালা-তাদখুলূহা-হাত্তা-ইউ’যানা লাকুম ওয়া ইন কীলা লাকুমুর জি‘ঊ ফারজি‘ঊ হুওয়া আঝকা-লাকুম ওয়াল্লা-হু বিমা-তা‘মালূনা ‘আলীম।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَجِدُوْا/تَجِدُواْ/tajidu//فِیْهَاۤ/فِيهَآ/fiha//اَحَدًا/أَحَدٗا/ahadan//فَلَا/فَلَا/fala//تَدْخُلُوْهَا/تَدۡخُلُوهَا/tadkhuluha//حَتّٰی/حَتَّىٰ/hatta//یُؤْذَنَ/يُؤۡذَنَ/yu'dhana//لَكُمْ ۚ/لَكُمۡۖ/lakum//وَ اِنْ/وَإِن/wa-in//قِیْلَ/قِيلَ/qila//لَكُمُ/لَكُمُ/lakumu//ارْجِعُوْا/ٱرۡجِعُواْ/ir'ji'u//فَارْجِعُوْا/فَٱرۡجِعُواْۖ/fa-ir'ji'u//هُوَ/هُوَ/huwa//اَزْكٰی/أَزۡكَىٰ/azka//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "তবে যদি//না//তোমরা পাও//তার মধ্যে//কাউকে//তাহ'লে না//তাতে তোমরা প্রবেশ করো//যতক্ষণ না//অনুমতি দেয়া হয়//তোমাদের জন্যে//আর যদি//বলা হয়//তোমাদেরকে//\"তোমরা ফিরে যাও\"//তাহ'লে তোমরা ফিরে যাও//তা//পবিত্রতম//জন্যে তোমাদের//আর আল্লাহ্‌//ঐ বিষয়ে যা//তোমরা করো (সে সম্পর্কে)//খুব অবহিত"
            },
            {
              "number": 2820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2820.mp3"
              ],
              "text": "لَّيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَدْخُلُوا۟ بُيُوتًا غَيْرَ مَسْكُونَةٍۢ فِيهَا مَتَٰعٌۭ لَّكُمْ ۚ وَٱللَّهُ يَعْلَمُ مَا تُبْدُونَ وَمَا تَكْتُمُونَ",
              "translate_bn": "যে গৃহে কেউ বাস করে না, যাতে তোমাদের সামগ্রী আছে এমন গৃহে প্রবেশ করাতে তোমাদের কোন পাপ নেই এবং আল্লাহ জানেন তোমরা যা প্রকাশ কর এবং যা গোপন কর।",
              "numberInSurah": 29,
              "juz": 18,
              "manzil": 4,
              "page": 353,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাইকুম জুনা-হুন আন তাদখুলূবুয়ূতান গাইরা মাছকূনাতিন ফীহা-মাতা-‘উল লাকুম ওয়াল্লা-হু ইয়া‘লামুমা-তুবদূ না ওয়ামা-তাকতুমূন।",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٌ/junahun//اَنْ/أَن/an//تَدْخُلُوْا/تَدۡخُلُواْ/tadkhulu//بُیُوْتًا/بُيُوتًا/buyutan//غَیْرَ/غَيۡرَ/ghayra//مَسْكُوْنَةٍ/مَسۡكُونَةٖ/maskunatin//فِیْهَا/فِيهَا/fiha//مَتَاعٌ/مَتَٰعٞ/mata'un//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تُبْدُوْنَ/تُبۡدُونَ/tub'duna//وَ مَا/وَمَا/wama//تَكْتُمُوْنَ /تَكۡتُمُونَ/taktumuna",
              "words_bangla": "নেই//তোমাদের উপর//কোন পাপ//যে//তোমরা প্রবেশ করবে//(এমন) ঘরগুলোতে//(যা) নয়//বসবাসের স্থান (কারো)//তার মধ্যে (আছে)//সামগ্রী দ্রব্য//তোমাদের (সবার জন্যে)//আর আল্লাহ্‌//জানেন//যা//তোমরা প্রকাশ করো//আর যা//তোমরা গোপন করো"
            },
            {
              "number": 2821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2821.mp3"
              ],
              "text": "قُل لِّلْمُؤْمِنِينَ يَغُضُّوا۟ مِنْ أَبْصَٰرِهِمْ وَيَحْفَظُوا۟ فُرُوجَهُمْ ۚ ذَٰلِكَ أَزْكَىٰ لَهُمْ ۗ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا يَصْنَعُونَ",
              "translate_bn": "মুমিনদেরকে বলুন, তারা যেন তাদের দৃষ্টি নত রাখে এবং তাদের যৌনাঙ্গর হেফাযত করে। এতে তাদের জন্য খুব পবিত্রতা আছে। নিশ্চয় তারা যা করে আল্লাহ তা অবহিত আছেন।",
              "numberInSurah": 30,
              "juz": 18,
              "manzil": 4,
              "page": 353,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "কুল লিলমু’মিনীনা ইয়াগুদদূ মিন আবসা-রিহিম ওয়া ইয়াহফাজূ’ ফুরূজাহুম যালিকা আঝকা-লাহুম ইন্নাল্লা-হা খাবীরুম বিমা ইয়াসনা‘ঊন।",
              "words_arabic": "قُلْ/قُل/qul//لِّلْمُؤْمِنِیْنَ/لِّلۡمُؤۡمِنِينَ/lil'mu'minina//یَغُضُّوْا/يَغُضُّواْ/yaghuddu//مِنْ/مِنۡ/min//اَبْصَارِهِمْ/أَبۡصَٰرِهِمۡ/absarihim//وَ یَحْفَظُوْا/وَيَحۡفَظُواْ/wayahfazu//فُرُوْجَهُمْ ؕ/فُرُوجَهُمۡۚ/furujahum//ذٰلِكَ/ذَٰلِكَ/dhalika//اَزْكٰی/أَزۡكَىٰ/azka//لَهُمْ ؕ/لَهُمۡۚ/lahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//یَصْنَعُوْنَ /يَصۡنَعُونَ/yasna'una",
              "words_bangla": "(হে নাবী) বলো//মু'মিনদেরকে//সংযত করে (যেন তারা)//ব্যাপার//দৃষ্টিগুলোর তাদের//এবং সংরক্ষণ করে (যেন)//লজ্জাস্থানসমূহকে তাদের//এটা//পবিত্রতম//জন্যে তাদের//নিশ্চয়ই//আল্লাহ্‌//খুব অবগত//(ঐ বিষয়ে) যা কিছু//তারা করে"
            },
            {
              "number": 2822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2822.mp3"
              ],
              "text": "وَقُل لِّلْمُؤْمِنَٰتِ يَغْضُضْنَ مِنْ أَبْصَٰرِهِنَّ وَيَحْفَظْنَ فُرُوجَهُنَّ وَلَا يُبْدِينَ زِينَتَهُنَّ إِلَّا مَا ظَهَرَ مِنْهَا ۖ وَلْيَضْرِبْنَ بِخُمُرِهِنَّ عَلَىٰ جُيُوبِهِنَّ ۖ وَلَا يُبْدِينَ زِينَتَهُنَّ إِلَّا لِبُعُولَتِهِنَّ أَوْ ءَابَآئِهِنَّ أَوْ ءَابَآءِ بُعُولَتِهِنَّ أَوْ أَبْنَآئِهِنَّ أَوْ أَبْنَآءِ بُعُولَتِهِنَّ أَوْ إِخْوَٰنِهِنَّ أَوْ بَنِىٓ إِخْوَٰنِهِنَّ أَوْ بَنِىٓ أَخَوَٰتِهِنَّ أَوْ نِسَآئِهِنَّ أَوْ مَا مَلَكَتْ أَيْمَٰنُهُنَّ أَوِ ٱلتَّٰبِعِينَ غَيْرِ أُو۟لِى ٱلْإِرْبَةِ مِنَ ٱلرِّجَالِ أَوِ ٱلطِّفْلِ ٱلَّذِينَ لَمْ يَظْهَرُوا۟ عَلَىٰ عَوْرَٰتِ ٱلنِّسَآءِ ۖ وَلَا يَضْرِبْنَ بِأَرْجُلِهِنَّ لِيُعْلَمَ مَا يُخْفِينَ مِن زِينَتِهِنَّ ۚ وَتُوبُوٓا۟ إِلَى ٱللَّهِ جَمِيعًا أَيُّهَ ٱلْمُؤْمِنُونَ لَعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "ঈমানদার নারীদেরকে বলুন, তারা যেন তাদের দৃষ্টিকে নত রাখে এবং তাদের যৌন অঙ্গের হেফাযত করে। তারা যেন যা সাধারণতঃ প্রকাশমান, তা ছাড়া তাদের সৌন্দর্য প্রদর্শন না করে এবং তারা যেন তাদের মাথার ওড়না বক্ষ দেশে ফেলে রাখে এবং তারা যেন তাদের স্বামী, পিতা, শ্বশুর, পুত্র, স্বামীর পুত্র, ভ্রাতা, ভ্রাতুস্পুত্র, ভগ্নিপুত্র, স্ত্রীলোক অধিকারভুক্ত বাঁদী, যৌনকামনামুক্ত পুরুষ, ও বালক, যারা নারীদের গোপন অঙ্গ সম্পর্কে অজ্ঞ, তাদের ব্যতীত কারো আছে তাদের সৌন্দর্য প্রকাশ না করে, তারা যেন তাদের গোপন সাজ-সজ্জা প্রকাশ করার জন্য জোরে পদচারণা না করে। মুমিনগণ, তোমরা সবাই আল্লাহর সামনে তওবা কর, যাতে তোমরা সফলকাম হও।",
              "numberInSurah": 31,
              "juz": 18,
              "manzil": 4,
              "page": 353,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল লিলমু’মিনা-তি ইয়াগদুদনা মিন আবসা-রিহিন্না ওয়া ইয়াহফাজনা ফুরূজাহুন্না ওয়ালা-ইউবদীনা ঝীনাতাহুন্না ইল্লা-মা-জাহারা মিনহা-ওয়াল ইয়াদরিবনা বিখুমুরিহিন্না ‘আলা-জুয়ূবিহিন্না ওয়ালা-ইউবদীনা ঝীনাতাহুন্না ইল্লা-লিবু‘উলাতিহিন্না আও আবাইহিন্না আও আ-বাই বু‘উলাতিহিন্না আও আবনাইহিন্না আও আবনাই বু‘উলাতিহিন্না আও ইখওয়া-নিহিন্না আও বানীইখওয়া-নিহিন্না আও বানীআখাওয়া-তিহিন্না আও নিছাইহিন্না আও মা-মালাকাত আইমা-নুহুন্না আবিত তা-বি‘ঈনা গাইরি ঊলিল ইরবাতি মিনার রিজা-লি আবিততিফলিল্লাযীনা লাম ইয়াজহারূ‘আলা-‘আওরাতিননিছাই ওয়ালা-ইয়াদরিবনা বিআরজুলিহিন্না লিইউ‘লামা মা-ইউখফীনা মিন ঝীনাতিহিন্না ওয়াতূবূইলাল্লা-হি জামী‘আন আইয়ুহাল মু’মিনূনা লা‘আল্লাকুম তুফলিহূন।",
              "words_arabic": "وَ قُلْ/وَقُل/waqul//لِّلْمُؤْمِنٰتِ/لِّلۡمُؤۡمِنَٰتِ/lil'mu'minati//یَغْضُضْنَ/يَغۡضُضۡنَ/yaghdud'na//مِنْ/مِنۡ/min//اَبْصَارِهِنَّ/أَبۡصَٰرِهِنَّ/absarihinna//وَ یَحْفَظْنَ/وَيَحۡفَظۡنَ/wayahfazna//فُرُوْجَهُنَّ/فُرُوجَهُنَّ/furujahunna//وَ لَا/وَلَا/wala//یُبْدِیْنَ/يُبۡدِينَ/yub'dina//زِیْنَتَهُنَّ/زِينَتَهُنَّ/zinatahunna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//ظَهَرَ/ظَهَرَ/zahara//مِنْهَا/مِنۡهَاۖ/min'ha//وَ لْیَضْرِبْنَ/وَلۡيَضۡرِبۡنَ/walyadrib'na//بِخُمُرِهِنَّ/بِخُمُرِهِنَّ/bikhumurihinna//عَلٰی/عَلَىٰ/ala//جُیُوْبِهِنَّ ۪/جُيُوبِهِنَّۖ/juyubihinna//وَ لَا/وَلَا/wala//یُبْدِیْنَ/يُبۡدِينَ/yub'dina//زِیْنَتَهُنَّ/زِينَتَهُنَّ/zinatahunna//اِلَّا/إِلَّا/illa//لِبُعُوْلَتِهِنَّ/لِبُعُولَتِهِنَّ/libu'ulatihinna//اَوْ/أَوۡ/aw//اٰبَآىِٕهِنَّ/ءَابَآئِهِنَّ/abaihinna//اَوْ/أَوۡ/aw//اٰبَآءِ/ءَابَآءِ/abai//بُعُوْلَتِهِنَّ/بُعُولَتِهِنَّ/bu'ulatihinna//اَوْ/أَوۡ/aw//اَبْنَآىِٕهِنَّ/أَبۡنَآئِهِنَّ/abnaihinna//اَوْ/أَوۡ/aw//اَبْنَآءِ/أَبۡنَآءِ/abnai//بُعُوْلَتِهِنَّ/بُعُولَتِهِنَّ/bu'ulatihinna//اَوْ/أَوۡ/aw//اِخْوَانِهِنَّ/إِخۡوَٰنِهِنَّ/ikh'wanihinna//اَوْ/أَوۡ/aw//بَنِیْۤ/بَنِيٓ/bani//اِخْوَانِهِنَّ/إِخۡوَٰنِهِنَّ/ikh'wanihinna//اَوْ/أَوۡ/aw//بَنِیْۤ/بَنِيٓ/bani//اَخَوٰتِهِنَّ/أَخَوَٰتِهِنَّ/akhawatihinna//اَوْ/أَوۡ/aw//نِسَآىِٕهِنَّ/نِسَآئِهِنَّ/nisaihinna//اَوْ/أَوۡ/aw//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُنَّ/أَيۡمَٰنُهُنَّ/aymanuhunna//اَوِ/أَوِ/awi//التّٰبِعِیْنَ/ٱلتَّـٰبِعِينَ/al-tabi'ina//غَیْرِ/غَيۡرِ/ghayri//اُولِی/أُوْلِي/uli//الْاِرْبَةِ/ٱلۡإِرۡبَةِ/al-ir'bati//مِنَ/مِنَ/mina//الرِّجَالِ/ٱلرِّجَالِ/al-rijali//اَوِ/أَوِ/awi//الطِّفْلِ/ٱلطِّفۡلِ/al-tif'li//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَمْ/لَمۡ/lam//یَظْهَرُوْا/يَظۡهَرُواْ/yazharu//عَلٰی/عَلَىٰ/ala//عَوْرٰتِ/عَوۡرَٰتِ/awrati//النِّسَآءِ ۪/ٱلنِّسَآءِۖ/al-nisai//وَ لَا/وَلَا/wala//یَضْرِبْنَ/يَضۡرِبۡنَ/yadrib'na//بِاَرْجُلِهِنَّ/بِأَرۡجُلِهِنَّ/bi-arjulihinna//لِیُعْلَمَ/لِيُعۡلَمَ/liyu'lama//مَا/مَا/ma//یُخْفِیْنَ/يُخۡفِينَ/yukh'fina//مِنْ/مِن/min//زِیْنَتِهِنَّ ؕ/زِينَتِهِنَّۚ/zinatihinna//وَ تُوْبُوْۤا/وَتُوبُوٓاْ/watubu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//جَمِیْعًا/جَمِيعًا/jami'an//اَیُّهَ/أَيُّهَ/ayyuha//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "এবং বলো//মু'মিন নারীদেরকে//তারা সংযত রাখে (যেন)//ব্যাপার//তাদের দৃষ্টিসমূহের//ও সংরক্ষণ করে (যেন)//তাদের লজ্জাস্থানসমূহকে//এবং না (যেন)//প্রদর্শন করে//তাদের সৌন্দর্য//ছাড়া//যা//(সাধারণভাবে) প্রকাশ পায়//তা হ'তে//এবং জড়িয়ে রাখে যেন//দিয়ে তাদের ওড়না//উপর//তাদের ঘাড় ও বুকের//আর না (যেন)//প্রকাশ করে//তাদের সৌন্দর্য//ছাড়া//নিকট তাদের স্বামীদের//অথবা//তাদের পিতাদের (নিকট)//অথবা//(নিকট) পিতাদের//তাদের স্বামীদের//অথবা//তাদের পুত্রদের (নিকট)//অথবা//(নিকট) পুত্রদের//তাদের স্বামীদের//অথবা//তাদের ভাইদের (নিকট)//অথবা//(নিকট) পুত্রদের//তাদের ভাইদের//অথবা//(নিকট) পুত্রদের//তাদের বোনদের//অথবা//তাদের স্ত্রীলোকদের (মিলামিশার)//অথবা//যা//মালিক হয়েছে//তাদের ডান হাত (অর্থাৎ দাসী)//অথবা//অধীনস্থ পুরুষরা (এমন)//নয় (যারা)//সম্পন্ন//যৌন কামনা//মধ্য হ'তে//পুরুষদের//অথবা//বালক//যারা//নি হয়//অবহিত//সম্পর্কে//গোপন অঙ্গ//স্ত্রীলোকদের//আর না//তারা মারবে//দিয়ে তাদের পাগুলোকে (অর্থাৎ চলাফেরা করবে)//(এমনভাবে) যেন কেউ জানতে পারে//যা//তারা গোপন রেখেছে//থেকে//তাদের সৌন্দর্য//আর তোমরা তওবা করো//নিকট//আল্লাহ্‌র//সকলেই//হে//মু'মিনরা//আশা করা যায় তোমরা//কল্যাণ পাবে"
            },
            {
              "number": 2823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2823.mp3"
              ],
              "text": "وَأَنكِحُوا۟ ٱلْأَيَٰمَىٰ مِنكُمْ وَٱلصَّٰلِحِينَ مِنْ عِبَادِكُمْ وَإِمَآئِكُمْ ۚ إِن يَكُونُوا۟ فُقَرَآءَ يُغْنِهِمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌۭ",
              "translate_bn": "তোমাদের মধ্যে যারা বিবাহহীন, তাদের বিবাহ সম্পাদন করে দাও এবং তোমাদের দাস ও দাসীদের মধ্যে যারা সৎকর্মপরায়ন, তাদেরও। তারা যদি নিঃস্ব হয়, তবে আল্লাহ নিজ অনুগ্রহে তাদেরকে সচ্ছল করে দেবেন। আল্লাহ প্রাচুর্যময়, সর্বজ্ঞ।",
              "numberInSurah": 32,
              "juz": 18,
              "manzil": 4,
              "page": 354,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনকিহুল আয়া-মা-মিনকুম ওয়াসসা-লিহীনা মিন ‘ইবা-দিকুম ওয়াইমাইকুম ইয়ঁইয়াকূনূফুকারাআ ইউগনিহিমুল্লা-হু মিন ফাদলিহী ওয়াল্লা-হু ওয়া-ছি‘উন ‘আলীম।",
              "words_arabic": "وَ اَنْكِحُوا/وَأَنكِحُواْ/wa-ankihu//الْاَیَامٰی/ٱلۡأَيَٰمَىٰ/al-ayama//مِنْكُمْ/مِنكُمۡ/minkum//وَ الصّٰلِحِیْنَ/وَٱلصَّـٰلِحِينَ/wal-salihina//مِنْ/مِنۡ/min//عِبَادِكُمْ/عِبَادِكُمۡ/ibadikum//وَ اِمَآىِٕكُمْ ؕ/وَإِمَآئِكُمۡۚ/wa-imaikum//اِنْ/إِن/in//یَّكُوْنُوْا/يَكُونُواْ/yakunu//فُقَرَآءَ/فُقَرَآءَ/fuqaraa//یُغْنِهِمُ/يُغۡنِهِمُ/yugh'nihimu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦۗ/fadlihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَاسِعٌ/وَٰسِعٌ/wasi'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং তোমরা বিয়ে দাও//বিবাহহীনদেরকে//তোমাদের মধ্য থেকে//ও (যারা) সচ্চরিত্রবান//মধ্য হ'তে//তোমাদের দাসদের//ও তোমাদের দাসীদের//যদি//তারা হয়//অভাবগ্রস্ত//তাদের অভাবমুক্ত করে দিবেন//আল্লাহ্‌//মাধ্যমে//তাঁর অনুগ্রহের//আর আল্লাহ্‌//প্রাচুর্যময়//মহাবিজ্ঞ"
            },
            {
              "number": 2824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2824.mp3"
              ],
              "text": "وَلْيَسْتَعْفِفِ ٱلَّذِينَ لَا يَجِدُونَ نِكَاحًا حَتَّىٰ يُغْنِيَهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَٱلَّذِينَ يَبْتَغُونَ ٱلْكِتَٰبَ مِمَّا مَلَكَتْ أَيْمَٰنُكُمْ فَكَاتِبُوهُمْ إِنْ عَلِمْتُمْ فِيهِمْ خَيْرًۭا ۖ وَءَاتُوهُم مِّن مَّالِ ٱللَّهِ ٱلَّذِىٓ ءَاتَىٰكُمْ ۚ وَلَا تُكْرِهُوا۟ فَتَيَٰتِكُمْ عَلَى ٱلْبِغَآءِ إِنْ أَرَدْنَ تَحَصُّنًۭا لِّتَبْتَغُوا۟ عَرَضَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَمَن يُكْرِههُّنَّ فَإِنَّ ٱللَّهَ مِنۢ بَعْدِ إِكْرَٰهِهِنَّ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যারা বিবাহে সামর্থ নয়, তারা যেন সংযম অবলম্বন করে যে পর্যন্ত না আল্লাহ নিজ অনুগ্রহে তাদেরকে অভাবমুক্ত করে দেন। তোমাদের অধিকারভুক্তদের মধ্যে যারা মুক্তির জন্য লিখিত চুক্তি করতে চায়, তাদের সাথে তোমরা লিখিত চুক্তি কর যদি জান যে, তাদের মধ্যে কল্যাণ আছে। আল্লাহ তোমাদেরকে যে, অর্থ-কড়ি দিয়েছেন, তা থেকে তাদেরকে দান কর। তোমাদের দাসীরা নিজেদের পবিত্রতা রক্ষা করতে চাইলে তোমরা পার্থিব জীবনের সম্পদের লালসায় তাদেরকে ব্যভিচারে বাধ্য কারো না। যদি কেহ তাদের উপর জোর-জবরদস্তি করে, তবে তাদের উপর জোর-জবরদস্তির পর আল্লাহ তাদের প্রতি ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 33,
              "juz": 18,
              "manzil": 4,
              "page": 354,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ওয়ালইয়াছতা‘ফিফিল্লাযীনা লা-ইয়াজিদূ না নিকা-হান হাত্তা-ইউগনিয়াহুমুল্লা-হু মিন ফাদলিহী ওয়াল্লাযীনা ইয়াবতাগূনাল কিতা-বা মিম্মা-মালাকাত আইমা-নুকুম ফাকাতিবূহুম ইন ‘আলিমতুম ফীহিম খাইরাওঁ ওয়াআ-তূহুম মিম মা-লিল্লা-হিল্লাযীআ-তাকুম ওয়ালা-তুকরিহূফাতায়া-তিকুম ‘আলাল বিগাই ইন আরদনা তাহাসসুনাল লিতাবতাগূ‘আরাদাল হায়া-তিদদুনইয়া- ওয়া মাইঁ ইউকরিহহুন্না ফাইন্নাল্লা-হা মিম বা‘দি ইকরা-হিহিন্না গাফূরুর রাহীম।",
              "words_arabic": "وَ لْیَسْتَعْفِفِ/وَلۡيَسۡتَعۡفِفِ/walyasta'fifi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَجِدُوْنَ/يَجِدُونَ/yajiduna//نِكَاحًا/نِكَاحًا/nikahan//حَتّٰی/حَتَّىٰ/hatta//یُغْنِیَهُمُ/يُغۡنِيَهُمُ/yugh'niyahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦۗ/fadlihi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِمَّا/مِمَّا/mimma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ/أَيۡمَٰنُكُمۡ/aymanukum//فَكَاتِبُوْهُمْ/فَكَاتِبُوهُمۡ/fakatibuhum//اِنْ/إِنۡ/in//عَلِمْتُمْ/عَلِمۡتُمۡ/alim'tum//فِیْهِمْ/فِيهِمۡ/fihim//خَیْرًا ۖۗ/خَيۡرٗاۖ/khayran//وَّ اٰتُوْهُمْ/وَءَاتُوهُم/waatuhum//مِّنْ/مِّن/min//مَّالِ/مَّالِ/mali//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اٰتٰىكُمْ ؕ/ءَاتَىٰكُمۡۚ/atakum//وَ لَا/وَلَا/wala//تُكْرِهُوْا/تُكۡرِهُواْ/tuk'rihu//فَتَیٰتِكُمْ/فَتَيَٰتِكُمۡ/fatayatikum//عَلَی/عَلَى/ala//الْبِغَآءِ/ٱلۡبِغَآءِ/al-bighai//اِنْ/إِنۡ/in//اَرَدْنَ/أَرَدۡنَ/aradna//تَحَصُّنًا/تَحَصُّنٗا/tahassunan//لِّتَبْتَغُوْا/لِّتَبۡتَغُواْ/litabtaghu//عَرَضَ/عَرَضَ/arada//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؕ/ٱلدُّنۡيَاۚ/al-dun'ya//وَ مَنْ/وَمَن/waman//یُّكْرِهْهُّنَّ/يُكۡرِههُّنَّ/yuk'rihhunna//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اِكْرَاهِهِنَّ/إِكۡرَٰهِهِنَّ/ik'rahihinna//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যেন সংযত হয়//(তাদের) যারা//না//তারা পায় (সামর্থ্য রাখে)//বিয়ে করতে//যতক্ষণ না//তাদেরকে অভাবমুক্ত করে দেন//আল্লাহ্‌//মাধ্যমে//তাঁর অনুগ্রহের//এবং যারা//তারা চায়//(মুক্তির) লিখিত চুক্তিপত্র করতে//তাদের মধ্য হ'তে যাদের//মালিক করেছে//তোমাদের ডান হাত (অর্থাৎ দাসদাসী)//তাহ'লে তোমরা লিখে নাও (মুক্তির চুক্তি করো) তাদের সাথে//যদি//তোমরা জানতে পারো//তাদের মধ্যে রয়েছে//কল্যাণ//এবং তাদেরকে দাও//হ'তে//সম্পদ//আল্লাহ্‌র//যা//তিনি দিয়েছেন তোমাদেরকে//এবং না//তোমরা বাধ্য করো//তোমাদের দাসদাসীদেরকে//জন্য//বেশ্যা বৃত্তির//যখন//তারা চায়//সতীত্ব রক্ষা করতে//যেন তোমরা আশা করো//স্বার্থ//জীবনের//পার্থিব//আর যে//তাদেরকে বাধ্য করবে//তাহ'লে নিশ্চয়ই//আল্লাহ্‌//থেকে//পর//তাদেরকে জবরদস্তির//(তাদের উপর) ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2825.mp3"
              ],
              "text": "وَلَقَدْ أَنزَلْنَآ إِلَيْكُمْ ءَايَٰتٍۢ مُّبَيِّنَٰتٍۢ وَمَثَلًۭا مِّنَ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِكُمْ وَمَوْعِظَةًۭ لِّلْمُتَّقِينَ",
              "translate_bn": "আমি তোমাদের প্রতি অবতীর্ণ করেছি সুস্পষ্ট আয়াতসমূহ, তোমাদের পূর্ববর্তীদের কিছু দৃষ্টান্ত এবং আল্লাহ ভীরুদের জন্যে দিয়েছি উপদেশ।",
              "numberInSurah": 34,
              "juz": 18,
              "manzil": 4,
              "page": 354,
              "ruku": 304,
              "hizbQuarter": 141,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আনঝালনাইলাইকুমআ-য়া-তিম মুবাইয়িানা-তিওঁ ওয়া মাছালাম মিনাল্লাযীনা খালাও মিন কাবলিকুম ওয়া মাও‘ইজাতাল লিল মুত্তাকীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//اٰیٰتٍ/ءَايَٰتٖ/ayatin//مُّبَیِّنٰتٍ/مُّبَيِّنَٰتٖ/mubayyinatin//وَّ مَثَلًا/وَمَثَلٗا/wamathalan//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَلَوْا/خَلَوۡاْ/khalaw//مِنْ/مِن/min//قَبْلِكُمْ/قَبۡلِكُمۡ/qablikum//وَ مَوْعِظَةً/وَمَوۡعِظَةٗ/wamaw'izatan//لِّلْمُتَّقِیْنَ۠/لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "আর নিশ্চয়ই//আমরা অবতীর্ণ করেছি//নিকট তোমাদের//আয়াতসমূহ//সুস্পষ্ট//ও দৃষ্টান্ত//হ'তে//(তাদের) যারা//অতীত হয়েছে//থেকে//তোমাদের পূর্ব//ও উপদেশ//মুত্তাকীদের জন্যে"
            },
            {
              "number": 2826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2826.mp3"
              ],
              "text": "۞ ٱللَّهُ نُورُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ مَثَلُ نُورِهِۦ كَمِشْكَوٰةٍۢ فِيهَا مِصْبَاحٌ ۖ ٱلْمِصْبَاحُ فِى زُجَاجَةٍ ۖ ٱلزُّجَاجَةُ كَأَنَّهَا كَوْكَبٌۭ دُرِّىٌّۭ يُوقَدُ مِن شَجَرَةٍۢ مُّبَٰرَكَةٍۢ زَيْتُونَةٍۢ لَّا شَرْقِيَّةٍۢ وَلَا غَرْبِيَّةٍۢ يَكَادُ زَيْتُهَا يُضِىٓءُ وَلَوْ لَمْ تَمْسَسْهُ نَارٌۭ ۚ نُّورٌ عَلَىٰ نُورٍۢ ۗ يَهْدِى ٱللَّهُ لِنُورِهِۦ مَن يَشَآءُ ۚ وَيَضْرِبُ ٱللَّهُ ٱلْأَمْثَٰلَ لِلنَّاسِ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "আল্লাহ নভোমন্ডল ও ভূমন্ডলের জ্যোতি, তাঁর জ্যোতির উদাহরণ যেন একটি কুলঙ্গি, যাতে আছে একটি প্রদীপ, প্রদীপটি একটি কাঁচপাত্রে স্থাপিত, কাঁচপাত্রটি উজ্জ্বল নক্ষত্র সদৃশ্য। তাতে পুতঃপবিত্র যয়তুন বৃক্ষের তৈল প্রজ্বলিত হয়, যা পূর্বমুখী নয় এবং পশ্চিমমুখীও নয়। অগ্নি স্পর্শ না করলেও তার তৈল যেন আলোকিত হওয়ার নিকটবর্তী। জ্যোতির উপর জ্যোতি। আল্লাহ যাকে ইচ্ছা পথ দেখান তাঁর জ্যোতির দিকে। আল্লাহ মানুষের জন্যে দৃষ্টান্তসমূহ বর্ণনা করেন এবং আল্লাহ সব বিষয়ে জ্ঞাত।",
              "numberInSurah": 35,
              "juz": 18,
              "manzil": 4,
              "page": 354,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু নূরুছছামা-ওয়া-তি ওয়াল আরদি মাছালুনূরিহী কামিশকা-তিন ফীহা-মিসবাহুন আলমিসবা-হুফী ঝুজা-জাতিন আঝঝুজা-জাতুকাআন্নাহা-কাওকাবুন দুররিইইউঁইউকাদুমিন শাজারাতিম মুবা-রাকাতিন ঝাইতূনাতিল লা-শারকিইইয়াতিওঁ ওয়ালাগারবিইইয়াতিইঁ ইয়াকা-দুঝাইতুহা- ইউদীঊ ওয়ালাও লাম তামছাছহু না-রুন নূরুন ‘আলা-নূরিন ইয়াহদিল্লা-হু লিনূরিহী মাইঁ ইয়াশাউ ওয়া ইয়াদরিবুল্লা-হুল আমছা-লা লিন্না-ছি ওয়াল্লা-হু বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "اَللّٰهُ/۞ٱللَّهُ/al-lahu//نُوْرُ/نُورُ/nuru//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//مَثَلُ/مَثَلُ/mathalu//نُوْرِهٖ/نُورِهِۦ/nurihi//كَمِشْكٰوةٍ/كَمِشۡكَوٰةٖ/kamish'katin//فِیْهَا/فِيهَا/fiha//مِصْبَاحٌ ؕ/مِصۡبَاحٌۖ/mis'bahun//اَلْمِصْبَاحُ/ٱلۡمِصۡبَاحُ/al-mis'bahu//فِیْ/فِي/fi//زُجَاجَةٍ ؕ/زُجَاجَةٍۖ/zujajatin//اَلزُّجَاجَةُ/ٱلزُّجَاجَةُ/al-zujajatu//كَاَنَّهَا/كَأَنَّهَا/ka-annaha//كَوْكَبٌ/كَوۡكَبٞ/kawkabun//دُرِّیٌّ/دُرِّيّٞ/durriyyun//یُّوْقَدُ/يُوقَدُ/yuqadu//مِنْ/مِن/min//شَجَرَةٍ/شَجَرَةٖ/shajaratin//مُّبٰرَكَةٍ/مُّبَٰرَكَةٖ/mubarakatin//زَیْتُوْنَةٍ/زَيۡتُونَةٖ/zaytunatin//لَّا/لَّا/la//شَرْقِیَّةٍ/شَرۡقِيَّةٖ/sharqiyyatin//وَّ لَا/وَلَا/wala//غَرْبِیَّةٍ ۙ/غَرۡبِيَّةٖ/gharbiyyatin//یَّكَادُ/يَكَادُ/yakadu//زَیْتُهَا/زَيۡتُهَا/zaytuha//یُضِیْٓءُ/يُضِيٓءُ/yudiu//وَ لَوْ/وَلَوۡ/walaw//لَمْ/لَمۡ/lam//تَمْسَسْهُ/تَمۡسَسۡهُ/tamsashu//نَارٌ ؕ/نَارٞۚ/narun//نُوْرٌ/نُّورٌ/nurun//عَلٰی/عَلَىٰ/ala//نُوْرٍ ؕ/نُورٖۚ/nurin//یَهْدِی/يَهۡدِي/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//لِنُوْرِهٖ/لِنُورِهِۦ/linurihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ یَضْرِبُ/وَيَضۡرِبُ/wayadribu//اللّٰهُ/ٱللَّهُ/al-lahu//الْاَمْثَالَ/ٱلۡأَمۡثَٰلَ/al-amthala//لِلنَّاسِ ؕ/لِلنَّاسِۗ/lilnnasi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌۙ/عَلِيمٞ/alimun",
              "words_bangla": "আল্লাহ্‌//আলো//আকাশমণ্ডলির//ও পৃথিবীর//দৃষ্টান্ত//তাঁর আলোর//মতো দীপাধারের//তার মধ্যে (আছে)//একটি প্রদীপ//প্রদীপটি//(অবস্থিত) মধ্যে//একটি কাঁচপাত্রের//(এমন) কাঁচপাত্র//যেন তা//তারকা//উজ্জ্বল//তা জ্বালানো হয়//(তেল) দ্বারা//গাছের//কল্যাণকর//যয়তুনের//(যা) না//পূর্বের//আর না//পশ্চিমের//উপক্রম হয় (যেন মনে হয়)//তার তেল//উজ্জ্বল আলো দিচ্ছে//যদিও//নি//তাকে স্পর্শ করে//আগুন//আলো//উপর//আলো//পথ দেখান//আল্লাহ্‌//দিকে তাঁর আলোর//যাকে//ইচ্ছে করেন তিনি//আর পেশ করেন//আল্লাহ্‌//দৃষ্টান্তসমূহকে//মানুষের জন্যে//আর আল্লাহ্‌//সম্পর্কে সব//কিছু//খুব অবহিত"
            },
            {
              "number": 2827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2827.mp3"
              ],
              "text": "فِى بُيُوتٍ أَذِنَ ٱللَّهُ أَن تُرْفَعَ وَيُذْكَرَ فِيهَا ٱسْمُهُۥ يُسَبِّحُ لَهُۥ فِيهَا بِٱلْغُدُوِّ وَٱلْءَاصَالِ",
              "translate_bn": "আল্লাহ যেসব গৃহকে মর্যাদায় উন্নীত করার এবং সেগুলোতে তাঁর নাম উচ্চারণ করার আদেশ দিয়েছেন, সেখানে সকাল ও সন্ধ্যায় তাঁর পবিত্রতা ও মহিমা ঘোষণা করে;",
              "numberInSurah": 36,
              "juz": 18,
              "manzil": 4,
              "page": 354,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ফী বুয়ূতিন আযিনাল্লা-হু আন তুরফা‘আ ওয়া ইউযকারা ফীহাছমুহূ ইউছাব্বিহুলাহূ ফীহা-বিলগুদুওবিওয়াল আ-সা-ল।",
              "words_arabic": "فِیْ/فِي/fi//بُیُوْتٍ/بُيُوتٍ/buyutin//اَذِنَ/أَذِنَ/adhina//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//تُرْفَعَ/تُرۡفَعَ/tur'fa'a//وَ یُذْكَرَ/وَيُذۡكَرَ/wayudh'kara//فِیْهَا/فِيهَا/fiha//اسْمُهٗ ۙ/ٱسۡمُهُۥ/us'muhu//یُسَبِّحُ/يُسَبِّحُ/yusabbihu//لَهٗ/لَهُۥ/lahu//فِیْهَا/فِيهَا/fiha//بِالْغُدُوِّ/بِٱلۡغُدُوِّ/bil-ghuduwi//وَ الْاٰصَالِۙ/وَٱلۡأٓصَالِ/wal-asali",
              "words_bangla": "(এসব লোক) মধ্যে (আছে)//ঘরগুলোর (অর্থাৎ মাসজিদের)//নির্দেশ দিয়েছেন//আল্লাহ্‌//যে//সমুন্নত করতে (সেগুলোকে)//ও স্মরণ করতে//তার মধ্যে//তাঁর নাম//পবিত্র মহিমা ঘোষনা করে (তারা)//জন্যে তাঁরই//তার মধ্যে//বেলায় সকাল//ও সন্ধ্যাসমূহে"
            },
            {
              "number": 2828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2828.mp3"
              ],
              "text": "رِجَالٌۭ لَّا تُلْهِيهِمْ تِجَٰرَةٌۭ وَلَا بَيْعٌ عَن ذِكْرِ ٱللَّهِ وَإِقَامِ ٱلصَّلَوٰةِ وَإِيتَآءِ ٱلزَّكَوٰةِ ۙ يَخَافُونَ يَوْمًۭا تَتَقَلَّبُ فِيهِ ٱلْقُلُوبُ وَٱلْأَبْصَٰرُ",
              "translate_bn": "এমন লোকেরা, যাদেরকে ব্যবসা-বাণিজ্য ও ক্রয়-বিক্রয় আল্লাহর স্মরণ থেকে, নামায কায়েম করা থেকে এবং যাকাত প্রদান করা থেকে বিরত রাখে না। তারা ভয় করে সেই দিনকে, যেদিন অন্তর ও দৃষ্টিসমূহ উল্টে যাবে।",
              "numberInSurah": 37,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "রিজা-লুল লা-তুলহীহিম তিজা-রাতুওঁ ওয়ালা-বাই‘উন ‘আন যিকরিল্লা-হি ওয়া ইকামিসসালা-তি ওয়া ইতাইঝঝাকা-তি ইয়াখা-ফূনা ইয়াওমান তাতাকাল্লাবুফীহিল কুলূবু ওয়াল আবসা-র।",
              "words_arabic": "رِجَالٌ ۙ/رِجَالٞ/rijalun//لَّا/لَّا/la//تُلْهِیْهِمْ/تُلۡهِيهِمۡ/tul'hihim//تِجَارَةٌ/تِجَٰرَةٞ/tijaratun//وَّ لَا/وَلَا/wala//بَیْعٌ/بَيۡعٌ/bay'un//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اِقَامِ/وَإِقَامِ/wa-iqami//الصَّلٰوةِ/ٱلصَّلَوٰةِ/al-salati//وَ اِیْتَآءِ/وَإِيتَآءِ/waitai//الزَّكٰوةِ ۪ۙ/ٱلزَّكَوٰةِ/al-zakati//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//یَوْمًا/يَوۡمٗا/yawman//تَتَقَلَّبُ/تَتَقَلَّبُ/tataqallabu//فِیْهِ/فِيهِ/fihi//الْقُلُوْبُ/ٱلۡقُلُوبُ/al-qulubu//وَ الْاَبْصَارُۗۙ/وَٱلۡأَبۡصَٰرُ/wal-absaru",
              "words_bangla": "(তারা এমন) লোক//না//তাদেরকে বিরত করে//ব্যবসায়//আর না//কেনাবেচায়//হ'তে//স্মরণ//আল্লাহ্‌র//আর প্রতিষ্ঠা করতে//সালাত//ও আদায় করতে//যাকাত//তারা ভয় করে//সেদিনের (যখন)//উল্টে যাবে//তার মধ্যে//অন্তরসমূহ//ও দৃষ্টিসমূহ"
            },
            {
              "number": 2829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2829.mp3"
              ],
              "text": "لِيَجْزِيَهُمُ ٱللَّهُ أَحْسَنَ مَا عَمِلُوا۟ وَيَزِيدَهُم مِّن فَضْلِهِۦ ۗ وَٱللَّهُ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "(তারা আল্লাহর পবিত্রতা ঘোষণা করে) যাতে আল্লাহ তাদের উৎকৃষ্টতর কাজের প্রতিদান দেন এবং নিজ অনুগ্রহে আরও অধিক দেন। আল্লাহ যাকে ইচ্ছা অপরিমিত রুযী দান করেন।",
              "numberInSurah": 38,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "লিইয়াজঝিইয়াহুমুল্লা-হু আহছানা মা-‘আমিলূওয়া ইয়াঝীদাহুম মিন ফাদলিহী ওয়াল্লা-হু ইয়ারঝুকুমাইঁ ইয়াশাউ বিগাইরি হিছা-ব।",
              "words_arabic": "لِیَجْزِیَهُمُ/لِيَجۡزِيَهُمُ/liyajziyahumu//اللّٰهُ/ٱللَّهُ/al-lahu//اَحْسَنَ/أَحۡسَنَ/ahsana//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//وَ یَزِیْدَهُمْ/وَيَزِيدَهُم/wayazidahum//مِّنْ/مِّن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦۗ/fadlihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَرْزُقُ/يَرۡزُقُ/yarzuqu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "(তারা এসব করে এজন্যে) যেন তাদেরকে প্রতিফল দেন//আল্লাহ্‌//উত্তম//যা//তারা কাজ করেছে//এবং তাদেরকে বাড়িয়ে দেন (যেন অতিরিক্ত কিছু)//সাহায্যে//তাঁর অনুগ্রহের//আর আল্লাহ্‌//জীবিকা দেন//যাকে//ইচ্ছে করেন তিনি//ছাড়াই//কোন হিসাব"
            },
            {
              "number": 2830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2830.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوٓا۟ أَعْمَٰلُهُمْ كَسَرَابٍۭ بِقِيعَةٍۢ يَحْسَبُهُ ٱلظَّمْـَٔانُ مَآءً حَتَّىٰٓ إِذَا جَآءَهُۥ لَمْ يَجِدْهُ شَيْـًۭٔا وَوَجَدَ ٱللَّهَ عِندَهُۥ فَوَفَّىٰهُ حِسَابَهُۥ ۗ وَٱللَّهُ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "যারা কাফের, তাদের কর্ম মরুভুমির মরীচিকা সদৃশ, যাকে পিপাসার্ত ব্যক্তি পানি মনে করে। এমনকি, সে যখন তার কাছে যায়, তখন কিছুই পায় না এবং পায় সেখানে আল্লাহকে, অতঃপর আল্লাহ তার হিসাব চুকিয়ে দেন। আল্লাহ দ্রুত হিসাব গ্রহণকারী।",
              "numberInSurah": 39,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূআ‘মা-লুহুম কাছারা-বিম বিকী‘আতিইঁ ইয়াহছাবুহুজ্জামআ-নু মাআন হাত্তাইযা-জাআহূলাম ইয়াজিদহু শাইআওঁ ওয়া ওয়াজাদাল্লা-হা ‘ইনদাহূ ফাওয়াফফা-হু হিছা-বাহূ ওয়াল্লা-হু ছারী‘উল হিছা-ব।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَعْمَالُهُمْ/أَعۡمَٰلُهُمۡ/a'maluhum//كَسَرَابٍۭ/كَسَرَابِۭ/kasarabin//بِقِیْعَةٍ/بِقِيعَةٖ/biqi'atin//یَّحْسَبُهُ/يَحۡسَبُهُ/yahsabuhu//الظَّمْاٰنُ/ٱلظَّمۡـَٔانُ/al-zamanu//مَآءً ؕ/مَآءً/maan//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَهٗ/جَآءَهُۥ/jaahu//لَمْ/لَمۡ/lam//یَجِدْهُ/يَجِدۡهُ/yajid'hu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ وَجَدَ/وَوَجَدَ/wawajada//اللّٰهَ/ٱللَّهَ/al-laha//عِنْدَهٗ/عِندَهُۥ/indahu//فَوَفّٰىهُ/فَوَفَّىٰهُ/fawaffahu//حِسَابَهٗ ؕ/حِسَابَهُۥۗ/hisabahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِۙ/ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "আর যারা//অস্বীকার করেছে//তাদের কর্মসমূহ//মতো মরীচিকার//মধ্যে মরুভূমির//তাকে মনে করে//পিপাসার্ত লোক//পানি (হিসেবে)//এমনকি//যখন//সেখানে পৌঁছলো//না//সেখানে পেলো//কিছুই//বরং পেলো//আল্লাহ্‌কে//তার কাছে//তখন তাকে পূর্ণ করে দিলেন//তার হিসাব//আর আল্লাহ্‌//দ্রুত//হিসাবগ্রহণে"
            },
            {
              "number": 2831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2831.mp3"
              ],
              "text": "أَوْ كَظُلُمَٰتٍۢ فِى بَحْرٍۢ لُّجِّىٍّۢ يَغْشَىٰهُ مَوْجٌۭ مِّن فَوْقِهِۦ مَوْجٌۭ مِّن فَوْقِهِۦ سَحَابٌۭ ۚ ظُلُمَٰتٌۢ بَعْضُهَا فَوْقَ بَعْضٍ إِذَآ أَخْرَجَ يَدَهُۥ لَمْ يَكَدْ يَرَىٰهَا ۗ وَمَن لَّمْ يَجْعَلِ ٱللَّهُ لَهُۥ نُورًۭا فَمَا لَهُۥ مِن نُّورٍ",
              "translate_bn": "অথবা (তাদের কর্ম) প্রমত্ত সমুদ্রের বুকে গভীর অন্ধকারের ন্যায়, যাকে উদ্বেলিত করে তরঙ্গের উপর তরঙ্গ, যার উপরে ঘন কালো মেঘ আছে। একের উপর এক অন্ধকার। যখন সে তার হাত বের করে, তখন তাকে একেবারেই দেখতে পায় না। আল্লাহ যাকে জ্যোতি দেন না, তার কোন জ্যোতিই নেই।",
              "numberInSurah": 40,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 305,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "আও কাজুলুমা-তিন ফী বাহরিল লুজ্জিইয়িইঁ ইয়াগশা-হু মাওজুম মিন ফাওকিহী মাওজুম মিন ফাওকিহী ছাহা-বুন জু লুমা-তুম বা‘দুহা-ফাওকা বা‘দিন ইযাআখরাজা ইয়াদাহূলাম ইয়াকাদ ইয়ারা-হা- ওয়া মাল লাম ইয়াজ‘আলিল্লা-হু লাহূনূরান ফামালাহূমিননূর।",
              "words_arabic": "اَوْ/أَوۡ/aw//كَظُلُمٰتٍ/كَظُلُمَٰتٖ/kazulumatin//فِیْ/فِي/fi//بَحْرٍ/بَحۡرٖ/bahrin//لُّجِّیٍّ/لُّجِّيّٖ/lujjiyyin//یَّغْشٰىهُ/يَغۡشَىٰهُ/yaghshahu//مَوْجٌ/مَوۡجٞ/mawjun//مِّنْ/مِّن/min//فَوْقِهٖ/فَوۡقِهِۦ/fawqihi//مَوْجٌ/مَوۡجٞ/mawjun//مِّنْ/مِّن/min//فَوْقِهٖ/فَوۡقِهِۦ/fawqihi//سَحَابٌ ؕ/سَحَابٞۚ/sahabun//ظُلُمٰتٌۢ/ظُلُمَٰتُۢ/zulumatun//بَعْضُهَا/بَعۡضُهَا/ba'duha//فَوْقَ/فَوۡقَ/fawqa//بَعْضٍ ؕ/بَعۡضٍ/ba'din//اِذَاۤ/إِذَآ/idha//اَخْرَجَ/أَخۡرَجَ/akhraja//یَدَهٗ/يَدَهُۥ/yadahu//لَمْ/لَمۡ/lam//یَكَدْ/يَكَدۡ/yakad//یَرٰىهَا ؕ/يَرَىٰهَاۗ/yaraha//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَجْعَلِ/يَجۡعَلِ/yaj'ali//اللّٰهُ/ٱللَّهُ/al-lahu//لَهٗ/لَهُۥ/lahu//نُوْرًا/نُورٗا/nuran//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//نُّوْرٍ۠/نُّورٍ/nurin",
              "words_bangla": "অথবা//মতো অন্ধকারপুঞ্জের//মধ্যে//সমুদ্রের//গভীর//তাকে আচ্ছন্ন করে রেখেছে//ঢেউ//হ'তে//তার উপর//ঢেউ//থেকে//তার উপর//মেঘমালা//অন্ধকারপুঞ্জ//তার কিছু (স্তরের)//উপর//কিছু (স্তর)//যখন//সে বের করে//তার হাত//না//মোটেই//তা দেখতে পায়//আর যাকে//নি//দেন//আল্লাহ্‌//জন্যে তার//আলো//তখন নেই//তার জন্য//কোন//আলো"
            },
            {
              "number": 2832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2832.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ يُسَبِّحُ لَهُۥ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَٱلطَّيْرُ صَٰٓفَّٰتٍۢ ۖ كُلٌّۭ قَدْ عَلِمَ صَلَاتَهُۥ وَتَسْبِيحَهُۥ ۗ وَٱللَّهُ عَلِيمٌۢ بِمَا يَفْعَلُونَ",
              "translate_bn": "তুমি কি দেখ না যে, নভোমন্ডল ও ভূমন্ডলে যারা আছে, তারা এবং উড়ন্ত পক্ষীকুল তাদের পাখা বিস্তার করতঃ আল্লাহর পবিত্রতা ও মহিমা ঘোষণা করে? প্রত্যেকেই তার যোগ্য এবাদত এবং পবিত্রতা ও মহিমা ঘোষণার পদ্ধতি জানে। তারা যা করে, আল্লাহ সে বিষয়ে সম্যক জ্ঞাত।",
              "numberInSurah": 41,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ইউছাব্বিহুলাহূমান ফিছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াততাইরু সাফফা-তিন কুল্লুন কাদ ‘আলিমা সালা-তাহূওয়া তাছবীহাহূও ওয়াল্লা-হু ‘আলীমুম বিমা-ইয়াফ‘আলুন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یُسَبِّحُ/يُسَبِّحُ/yusabbihu//لَهٗ/لَهُۥ/lahu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ الطَّیْرُ/وَٱلطَّيۡرُ/wal-tayru//صٰٓفّٰتٍ ؕ/صَـٰٓفَّـٰتٖۖ/saffatin//كُلٌّ/كُلّٞ/kullun//قَدْ/قَدۡ/qad//عَلِمَ/عَلِمَ/alima//صَلَاتَهٗ/صَلَاتَهُۥ/salatahu//وَ تَسْبِیْحَهٗ ؕ/وَتَسۡبِيحَهُۥۗ/watasbihahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِمَا/بِمَا/bima//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "কি নি দেখো//তুমি//যে//আল্লাহ্‌র//পবিত্র মহিমা ঘোষনা করছে//জন্যে তাঁরই//যা কিছু//মধ্যে (অাছে)//আকাশমণ্ডলির//ও পৃথিবীতে//আর পাখিরাও (যারা)//ডানা মেলে চলছে (উড়ন্ত)//প্রত্যেকে//নিশ্চয়ই//জেনে নিয়েছে//তাঁর প্রার্থনার//ও তাঁর পবিত্র মহিমা ঘোষনা করার (নিয়ম)//আর আল্লাহ্‌//খুব অবহিত//ঐ বিষয়ে যা//তারা করছে"
            },
            {
              "number": 2833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2833.mp3"
              ],
              "text": "وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের সার্বভৌমত্ব আল্লাহরই এবং তাঁরই দিকে প্রত্যাবর্তন করতে হবে।",
              "numberInSurah": 42,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি মুলকুছছামা-ওয়া-তি ওয়াল আরদি ওয়া ইলাল্লা-হিল মাসীর।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "আর জন্যে আল্লাহ্‌রই//সার্বভৌমত্ব//আকাশমণ্ডলির//ও পৃথিবীর//এবং দিকে//আল্লাহ্‌রই//প্রত্যাবর্তন (সকলেরই)"
            },
            {
              "number": 2834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2834.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ يُزْجِى سَحَابًۭا ثُمَّ يُؤَلِّفُ بَيْنَهُۥ ثُمَّ يَجْعَلُهُۥ رُكَامًۭا فَتَرَى ٱلْوَدْقَ يَخْرُجُ مِنْ خِلَٰلِهِۦ وَيُنَزِّلُ مِنَ ٱلسَّمَآءِ مِن جِبَالٍۢ فِيهَا مِنۢ بَرَدٍۢ فَيُصِيبُ بِهِۦ مَن يَشَآءُ وَيَصْرِفُهُۥ عَن مَّن يَشَآءُ ۖ يَكَادُ سَنَا بَرْقِهِۦ يَذْهَبُ بِٱلْأَبْصَٰرِ",
              "translate_bn": "তুমি কি দেখ না যে, আল্লাহ মেঘমালাকে সঞ্চালিত করেন, অতঃপর তাকে পুঞ্জীভূত করেন, অতঃপর তাকে স্তরে স্তরে রাখেন; অতঃপর তুমি দেখ যে, তার মধ্য থেকে বারিধারা নির্গত হয়। তিনি আকাশস্থিত শিলাস্তুপ থেকে শিলাবর্ষণ করেন এবং তা দ্বারা যাকে ইচ্ছা আঘাত করেন এবং যার কাছ থেকে ইচ্ছা, তা অন্যদিকে ফিরিয়ে দেন। তার বিদ্যুৎঝলক দৃষ্টিশক্তি যেন বিলীন করে দিতে চায়।",
              "numberInSurah": 43,
              "juz": 18,
              "manzil": 4,
              "page": 355,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ইউঝজী ছাহা-বান ছুম্মা ইউআলিলফুবাইনাহূছু ম্মা ইয়াজ‘আলুহূ রুকা-মান ফাতারাল ওয়াদকা ইয়াখরুজুমিন খিলা-লিহী ওয়া ইউনাঝঝিলুমিনাছছামাই মিন জিবা-লিন ফীহা-মিম বারাদিন ফাইউসীবুবিহী মাইঁ ইয়াশাউ ওয়া ইয়াসরিফুহূ‘আম মাইঁ ইয়াশাউ ইয়াকা-দুছানা-বারকিহী ইয়াযহাবুবিলআবসা-র।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یُزْجِیْ/يُزۡجِي/yuz'ji//سَحَابًا/سَحَابٗا/sahaban//ثُمَّ/ثُمَّ/thumma//یُؤَلِّفُ/يُؤَلِّفُ/yu-allifu//بَیْنَهٗ/بَيۡنَهُۥ/baynahu//ثُمَّ/ثُمَّ/thumma//یَجْعَلُهٗ/يَجۡعَلُهُۥ/yaj'aluhu//رُكَامًا/رُكَامٗا/rukaman//فَتَرَی/فَتَرَى/fatara//الْوَدْقَ/ٱلۡوَدۡقَ/al-wadqa//یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْ/مِنۡ/min//خِلٰلِهٖ ۚ/خِلَٰلِهِۦ/khilalihi//وَ یُنَزِّلُ/وَيُنَزِّلُ/wayunazzilu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مِنْ/مِن/min//جِبَالٍ/جِبَالٖ/jibalin//فِیْهَا/فِيهَا/fiha//مِنْۢ/مِنۢ/min//بَرَدٍ/بَرَدٖ/baradin//فَیُصِیْبُ/فَيُصِيبُ/fayusibu//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَصْرِفُهٗ/وَيَصۡرِفُهُۥ/wayasrifuhu//عَنْ/عَن/an//مَّنْ/مَّن/man//یَّشَآءُ ؕ/يَشَآءُۖ/yashau//یَكَادُ/يَكَادُ/yakadu//سَنَا/سَنَا/sana//بَرْقِهٖ/بَرۡقِهِۦ/barqihi//یَذْهَبُ/يَذۡهَبُ/yadhhabu//بِالْاَبْصَارِؕ/بِٱلۡأَبۡصَٰرِ/bil-absari",
              "words_bangla": "কি নি//তুমি লক্ষ্য করো//যে//আল্লাহ্‌//সঞ্চালিত করেন//মেঘমালাকে//এরপর//পুঞ্জীভূত করেন//তার মাঝে//এরপর//তাকে করেন//ঘনীভূত//অতঃপর তুমি দেখো//বৃষ্টি//বের হয়//হ'তে//তার ভিতর//এবং বর্ষণ করেন (শিলাবৃষ্টি)//হ'তে//আকাশ//সাহায্যে//পাহাড়গুলোর//তার মধ্যে (থাকে)//তৈরি//বরফ (শিলা)//অতঃপর তিনি পৌঁছান (ক্ষতি)//দিয়ে তা//যাকে//ইচ্ছে করেন তিনি//আবার তা ফিরিয়ে রাখেন//হ'তে//যার//তিনি ইচ্ছে করেন//উপক্রম হয় (যেন মনে হয়)//ঝলক//তার বিদ্যুৎ ঝলক//কেড়ে নিয়ে যাবে//নিয়ে দৃষ্টিশক্তিকে"
            },
            {
              "number": 2835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2835.mp3"
              ],
              "text": "يُقَلِّبُ ٱللَّهُ ٱلَّيْلَ وَٱلنَّهَارَ ۚ إِنَّ فِى ذَٰلِكَ لَعِبْرَةًۭ لِّأُو۟لِى ٱلْأَبْصَٰرِ",
              "translate_bn": "আল্লাহ দিন ও রাত্রির পরিবর্তন ঘটান। এতে অর্ন্তদৃষ্টি-সম্পন্নগণের জন্যে চিন্তার উপকরণ রয়েছে।",
              "numberInSurah": 44,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ইউকালিলবুল্লা-হুল লাইলা ওয়ান্নাহা-রা ইন্না ফী যা-লিকা লা‘ইবরাতাল লিঊলিল আবসার।",
              "words_arabic": "یُقَلِّبُ/يُقَلِّبُ/yuqallibu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ ؕ/وَٱلنَّهَارَۚ/wal-nahara//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَعِبْرَةً/لَعِبۡرَةٗ/la'ib'ratan//لِّاُولِی/لِّأُوْلِي/li-uli//الْاَبْصَارِ /ٱلۡأَبۡصَٰرِ/al-absari",
              "words_bangla": "আবর্তন ঘটান//আল্লাহ//রাতকে//ও দিনকে//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই শিক্ষা//জন্যে সম্পন্নদের//অন্তর্দৃষ্টি"
            },
            {
              "number": 2836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2836.mp3"
              ],
              "text": "وَٱللَّهُ خَلَقَ كُلَّ دَآبَّةٍۢ مِّن مَّآءٍۢ ۖ فَمِنْهُم مَّن يَمْشِى عَلَىٰ بَطْنِهِۦ وَمِنْهُم مَّن يَمْشِى عَلَىٰ رِجْلَيْنِ وَمِنْهُم مَّن يَمْشِى عَلَىٰٓ أَرْبَعٍۢ ۚ يَخْلُقُ ٱللَّهُ مَا يَشَآءُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "আল্লাহ প্রত্যেক চলন্ত জীবকে পানি দ্বারা সৃষ্টি করেছেন। তাদের কতক বুকে ভয় দিয়ে চলে, কতক দুই পায়ে ভর দিয়ে চলে এবং কতক চার পায়ে ভর দিয়ে চলে; আল্লাহ যা ইচ্ছা সৃষ্টি করেন। নিশ্চয়ই আল্লাহ সবকিছু করতে সক্ষম।",
              "numberInSurah": 45,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু খালাকাকুল্লা দাব্বাতিম মিম মাইন ফামিনহুম মাইঁ ইয়ামশী ‘আলাবাতনিহী ওয়া মিনহুম মাইঁ ইয়ামশী ‘আলা-রিজলাইনি ওয়া মিনহুম মাইঁ ইয়ামশী ‘আলাআরবা‘ইন ইয়াখলুকুল্লা-হু মা-ইয়াশাউ ইন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَلَقَ/خَلَقَ/khalaqa//كُلَّ/كُلَّ/kulla//دَآبَّةٍ/دَآبَّةٖ/dabbatin//مِّنْ/مِّن/min//مَّآءٍ ۚ/مَّآءٖۖ/main//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّن/man//یَّمْشِیْ/يَمۡشِي/yamshi//عَلٰی/عَلَىٰ/ala//بَطْنِهٖ ۚ/بَطۡنِهِۦ/batnihi//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّمْشِیْ/يَمۡشِي/yamshi//عَلٰی/عَلَىٰ/ala//رِجْلَیْنِ ۚ/رِجۡلَيۡنِ/rij'layni//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّمْشِیْ/يَمۡشِي/yamshi//عَلٰۤی/عَلَىٰٓ/ala//اَرْبَعٍ ؕ/أَرۡبَعٖۚ/arba'in//یَخْلُقُ/يَخۡلُقُ/yakhluqu//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "এবং আল্লাহ তা'লা//সৃষ্টি করেছেন//সব//জীবকে//হ'তে//পানি//অতঃপর তাদের মধ্যে হ'তে//কেউ//চলে//উপর//তার পেটের//আবার তাদের মধ্যে হ'তে//কেউ//চলে//উপর//দু'পায়ের//আবার তাদের মধ্য হ'তে//কেউ//চলে//উপর//চার (পায়ের)//সৃষ্টি করেন//আল্লাহ//যা//তিনি চান//নিশ্চয়ই//আল্লাহ//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 2837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2837.mp3"
              ],
              "text": "لَّقَدْ أَنزَلْنَآ ءَايَٰتٍۢ مُّبَيِّنَٰتٍۢ ۚ وَٱللَّهُ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "আমি তো সুস্পষ্ট আয়াত সমূহ অবর্তীর্ণ করেছি। আল্লাহ যাকে ইচ্ছা সরল পথে পরিচালনা করেন।",
              "numberInSurah": 46,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আনঝালনাআ-য়া-তিম মুবাইয়িনা-তিওঁ ওয়াল্লা-হু ইয়াহদী মাইঁ ইয়াশাউ ইলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اٰیٰتٍ/ءَايَٰتٖ/ayatin//مُّبَیِّنٰتٍ ؕ/مُّبَيِّنَٰتٖۚ/mubayyinatin//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "নিশ্চয়ই//আমরা অবতীর্ণ করেছি//নিদর্শনসমূহ//সুস্পষ্ট//এবং আল্লাহ//পরিচালিত করবেন//যাকে//তিনি চান//দিকে//পথের//সরল সোজা"
            },
            {
              "number": 2838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2838.mp3"
              ],
              "text": "وَيَقُولُونَ ءَامَنَّا بِٱللَّهِ وَبِٱلرَّسُولِ وَأَطَعْنَا ثُمَّ يَتَوَلَّىٰ فَرِيقٌۭ مِّنْهُم مِّنۢ بَعْدِ ذَٰلِكَ ۚ وَمَآ أُو۟لَٰٓئِكَ بِٱلْمُؤْمِنِينَ",
              "translate_bn": "তারা বলেঃ আমরা আল্লাহ ও রসূলের প্রতি বিশ্বাস স্থাপন করেছি এবং আনুগত্য করি; কিন্তু অতঃপর তাদের একদল মুখ ফিরিয়ে নেয় এবং তারা বিশ্বাসী নয়।",
              "numberInSurah": 47,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা আ-মান্না-বিল্লা-হি ওয়া বিররাছূলি ওয়া আতা‘না-ছু ম্মা ইয়াতাওয়াল্লাফারীকুম মিনহুম মিম বা‘দি যা-লিকা ওয়ামাউলাইকা বিলমু’মিনীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ بِالرَّسُوْلِ/وَبِٱلرَّسُولِ/wabil-rasuli//وَ اَطَعْنَا/وَأَطَعۡنَا/wa-ata'na//ثُمَّ/ثُمَّ/thumma//یَتَوَلّٰی/يَتَوَلَّىٰ/yatawalla//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُم/min'hum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ذٰلِكَ ؕ/ذَٰلِكَۚ/dhalika//وَ مَاۤ/وَمَآ/wama//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//بِالْمُؤْمِنِیْنَ /بِٱلۡمُؤۡمِنِينَ/bil-mu'minina",
              "words_bangla": "এবং তারা বলে//\"আমরা ঈমান এনেছি//উপর আল্লাহর//ও উপর রাসূলের//এবং আমরা আনুগত্য করেছি\"//এরপর (কিন্তু)//মুখ ফিরিয়ে নেয়//একদল//তাদের মধ্য হ'তে//থেকে//পর//এর//আর না//ঐ সব লোক//মু'মিন"
            },
            {
              "number": 2839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2839.mp3"
              ],
              "text": "وَإِذَا دُعُوٓا۟ إِلَى ٱللَّهِ وَرَسُولِهِۦ لِيَحْكُمَ بَيْنَهُمْ إِذَا فَرِيقٌۭ مِّنْهُم مُّعْرِضُونَ",
              "translate_bn": "তাদের মধ্যে ফয়সালা করার জন্য যখন তাদেরকে আল্লাহ ও রসূলের দিকে আহবান করা হয তখন তাদের একদল মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 48,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-দু’ঊইলাল্লা-হি ওয়া রাছূলিহী লিইয়াহকুমা বাইনাহুম ইযা-ফারীকুমমিনহুম মু‘রিদূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//دُعُوْۤا/دُعُوٓاْ/du'u//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//لِیَحْكُمَ/لِيَحۡكُمَ/liyahkuma//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اِذَا/إِذَا/idha//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُم/min'hum//مُّعْرِضُوْنَ /مُّعۡرِضُونَ/mu'riduna",
              "words_bangla": "এবং যখন//ডাকা হয় তাদেরকে//দিকে//আল্লাহ তা'লার//ও তাঁর রাসূলের//জন্যে মীমাংসার//তাদের মাঝে//তখন//একদল//তাদের মধ্য হ'তে//মুখ ফিরিয়ে নেয়"
            },
            {
              "number": 2840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2840.mp3"
              ],
              "text": "وَإِن يَكُن لَّهُمُ ٱلْحَقُّ يَأْتُوٓا۟ إِلَيْهِ مُذْعِنِينَ",
              "translate_bn": "সত্য তাদের স্বপক্ষে হলে তারা বিনীতভাবে রসূলের কাছে ছুটে আসে।",
              "numberInSurah": 49,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়াইয়ঁইয়াকুল লাহুমুল হাক্কুইয়া’তূইলাইহি মুয’ইনীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّكُنْ/يَكُن/yakun//لَّهُمُ/لَّهُمُ/lahumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//یَاْتُوْۤا/يَأۡتُوٓاْ/yatu//اِلَیْهِ/إِلَيۡهِ/ilayhi//مُذْعِنِیْنَؕ/مُذۡعِنِينَ/mudh'inina",
              "words_bangla": "আর যদি//হয়//জন্যে তাদের//সত্য//তারা আসে//তার দিকে//বিনীত হয়ে"
            },
            {
              "number": 2841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2841.mp3"
              ],
              "text": "أَفِى قُلُوبِهِم مَّرَضٌ أَمِ ٱرْتَابُوٓا۟ أَمْ يَخَافُونَ أَن يَحِيفَ ٱللَّهُ عَلَيْهِمْ وَرَسُولُهُۥ ۚ بَلْ أُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "তাদের অন্তরে কি রোগ আছে, না তারা ধোঁকায় পড়ে আছে; না তারা ভয় করে যে, আল্লাহ ও তাঁর রাসূল তাদের প্রতি অবিচার করবেন? বরং তারাই তো অবিচারকারী ?",
              "numberInSurah": 50,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 306,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "আফী কুলূবিহিম মারাদুন আমিরতা-বূআম ইয়াখা-ফূনা আইঁ ইয়াহীফাল্লা-হু ‘আলাইহিম ওয়া রাছূলুহূ বাল উলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "اَفِیْ/أَفِي/afi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٌ/maradun//اَمِ/أَمِ/ami//ارْتَابُوْۤا/ٱرۡتَابُوٓاْ/ir'tabu//اَمْ/أَمۡ/am//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//اَنْ/أَن/an//یَّحِیْفَ/يَحِيفَ/yahifa//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ رَسُوْلُهٗ ؕ/وَرَسُولُهُۥۚ/warasuluhu//بَلْ/بَلۡ/bal//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ۠/ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "কি আছে//তাদের অন্তরসমূহে//রোগ//অথবা//তারা সন্দেহ করে//অথবা//তারা ভয় করে//যে//অন্যায় করবেন//আল্লাহ্‌//তাদের উপর//ও তাঁর রাসূল//বরং//ঐ সব লোক//তারাই//সীমালঙ্ঘনকারী"
            },
            {
              "number": 2842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2842.mp3"
              ],
              "text": "إِنَّمَا كَانَ قَوْلَ ٱلْمُؤْمِنِينَ إِذَا دُعُوٓا۟ إِلَى ٱللَّهِ وَرَسُولِهِۦ لِيَحْكُمَ بَيْنَهُمْ أَن يَقُولُوا۟ سَمِعْنَا وَأَطَعْنَا ۚ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "মুমিনদের বক্তব্য কেবল এ কথাই যখন তাদের মধ্যে ফয়সালা করার জন্যে আল্লাহ ও তাঁর রসূলের দিকে তাদেরকে আহবান করা হয়, তখন তারা বলেঃ আমরা শুনলাম ও আদেশ মান্য করলাম। তারাই সফলকাম।",
              "numberInSurah": 51,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 307,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-কা-না কাওলাল মু’মিমীনা ইযা-দু‘উইলাল্লা-হি ওয়া রাছূলিহী লিইয়াহকুমা বাইনাহুম আইঁ ইয়াকূলূছামি‘না-ওয়া আতা‘না- ওয়া উলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//كَانَ/كَانَ/kana//قَوْلَ/قَوۡلَ/qawla//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اِذَا/إِذَا/idha//دُعُوْۤا/دُعُوٓاْ/du'u//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//لِیَحْكُمَ/لِيَحۡكُمَ/liyahkuma//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//اَنْ/أَن/an//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//سَمِعْنَا/سَمِعۡنَا/sami'na//وَ اَطَعْنَا ؕ/وَأَطَعۡنَاۚ/wa-ata'na//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "মূলতঃ//ছিলো (শোভা পেত)//উক্তি//মু'মিনদের//যখন//ডাকা হয় তাদেরকে//দিকে//আল্লাহ্‌র//ও তাঁর রাসূলের//জন্যে মীমাংসার//তাদের মাঝে//যে//তারা বলবে//\"আমরা শুনলাম//ও আমরা মেনে নিলাম\"//আর ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 2843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2843.mp3"
              ],
              "text": "وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ وَيَخْشَ ٱللَّهَ وَيَتَّقْهِ فَأُو۟لَٰٓئِكَ هُمُ ٱلْفَآئِزُونَ",
              "translate_bn": "যারা আল্লাহ ও তাঁর রসূলের আনুগত্য করে আল্লাহকে ভয় করে ও তাঁর শাস্তি থেকে বেঁচে থাকে তারাই কৃতকার্য।",
              "numberInSurah": 52,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 307,
              "hizbQuarter": 142,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউতি‘ইল্লা-হা ওয়া রাছূলাহূওয়া ইয়াখশাল্লা-হা ওয়া ইয়াত্তাকহি ফাউলাইকা হুমুল ফাইঝূন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یُّطِعِ/يُطِعِ/yuti'i//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ یَخْشَ/وَيَخۡشَ/wayakhsha//اللّٰهَ/ٱللَّهَ/al-laha//وَ یَتَّقْهِ/وَيَتَّقۡهِ/wayattaqhi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْفَآىِٕزُوْنَ /ٱلۡفَآئِزُونَ/al-faizuna",
              "words_bangla": "আর যে//আনুগত্য করে//আল্লাহ্‌র//ও তাঁর রাসূলের//এবং ভয় করে//আল্লাহ্‌কে//ও (তাঁর শাস্তি হ'তে) সাবধান থাকে//অতঃপর ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 2844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2844.mp3"
              ],
              "text": "۞ وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَٰنِهِمْ لَئِنْ أَمَرْتَهُمْ لَيَخْرُجُنَّ ۖ قُل لَّا تُقْسِمُوا۟ ۖ طَاعَةٌۭ مَّعْرُوفَةٌ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "তারা দৃঢ়ভাবে আল্লাহর কসম খেয়ে বলে যে, আপনি তাদেরকে আদেশ করলে তারা সবকিছু ছেড়ে বের হবেই। বলুনঃ তোমরা কসম খেয়ো না। নিয়মানুযায়ী তোমাদের আনুগত্য, তোমরা যা কিছু কর নিশ্চয় আল্লাহ সে বিষয়ে জ্ঞাত।",
              "numberInSurah": 53,
              "juz": 18,
              "manzil": 4,
              "page": 356,
              "ruku": 307,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকছামূবিল্লা-হি জাহদা আইমা-নিহিম লাইন আমারতাহুম লাইয়াখরুজুন্না কুল লাতুকছিমূ তা-‘আতুম মা‘রূফাতুন ইন্নাল্লা-হা খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "وَ اَقْسَمُوْا/۞وَأَقۡسَمُواْ/wa-aqsamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//جَهْدَ/جَهۡدَ/jahda//اَیْمَانِهِمْ/أَيۡمَٰنِهِمۡ/aymanihim//لَىِٕنْ/لَئِنۡ/la-in//اَمَرْتَهُمْ/أَمَرۡتَهُمۡ/amartahum//لَیَخْرُجُنَّ ؕ/لَيَخۡرُجُنَّۖ/layakhrujunna//قُلْ/قُل/qul//لَّا/لَّا/la//تُقْسِمُوْا ۚ/تُقۡسِمُواْۖ/tuq'simu//طَاعَةٌ/طَاعَةٞ/ta'atun//مَّعْرُوْفَةٌ ؕ/مَّعۡرُوفَةٌۚ/ma'rufatun//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং (মুনাফিকরা) শপথ করে//নামে আল্লাহ্‌র//দৃঢ় ভাবে (করে)//তাদের শপথগুলোকে//অবশ্যই যদি//তাদেরকে তুমি নির্দেশ দাও//অবশ্যই তারা (জিহাদের জন্যে) বের হবে//বলো//\"না//তোমরা শপথ করো//আনুগত্য//যথার্থই (কাম্য)//নিশ্চয়ই//আল্লাহ্‌//খুব অবহিত//ঐ সম্পর্কে যা//কাজ করছো তোমরা\""
            },
            {
              "number": 2845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2845.mp3"
              ],
              "text": "قُلْ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ ۖ فَإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْهِ مَا حُمِّلَ وَعَلَيْكُم مَّا حُمِّلْتُمْ ۖ وَإِن تُطِيعُوهُ تَهْتَدُوا۟ ۚ وَمَا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "বলুনঃ আল্লাহর আনুগত্য কর এবং রসূলের আনুগত্য কর। অতঃপর যদি তোমরা মুখ ফিরিয়ে নাও, তবে তার উপর ন্যস্ত দায়িত্বের জন্যে সে দায়ী এবং তোমাদের উপর ন্যস্ত দায়িত্বের জন্যে তোমরা দায়ী। তোমরা যদি তাঁর আনুগত্য কর, তবে সৎ পথ পাবে। রসূলের দায়িত্ব তো কেবল সুস্পষ্টরূপে পৌছে দেয়া।",
              "numberInSurah": 54,
              "juz": 18,
              "manzil": 4,
              "page": 357,
              "ruku": 307,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "কুল আতী‘উল্লা-হা ওয়া আতী‘উররাছূলা ফাইন তাওয়াল্লাও ফাইন্নামা -‘আলাইহি মাহুম্মিলা ওয়া ‘আলাইকুম মা-হুম্মিলতুম ওয়া ইন তুতী‘ঊহু তাহতাদূ ওয়ামা‘আলার রাছূলি ইল্লাল বালা-গুল মুবীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَطِیْعُوا/أَطِيعُواْ/ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ ۚ/ٱلرَّسُولَۖ/al-rasula//فَاِنْ/فَإِن/fa-in//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//فَاِنَّمَا/فَإِنَّمَا/fa-innama//عَلَیْهِ/عَلَيۡهِ/alayhi//مَا/مَا/ma//حُمِّلَ/حُمِّلَ/hummila//وَ عَلَیْكُمْ/وَعَلَيۡكُم/wa'alaykum//مَّا/مَّا/ma//حُمِّلْتُمْ ؕ/حُمِّلۡتُمۡۖ/hummil'tum//وَ اِنْ/وَإِن/wa-in//تُطِیْعُوْهُ/تُطِيعُوهُ/tuti'uhu//تَهْتَدُوْا ؕ/تَهۡتَدُواْۚ/tahtadu//وَ مَا/وَمَا/wama//عَلَی/عَلَى/ala//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//اِلَّا/إِلَّا/illa//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "বলো//\"তোমরা আনুগত্য করো//আল্লাহর//ও তোমরা আনুগত্য করো//রাসূলের//কিন্তু যদি//তোমরা মুখ ফিরাও//তবে (জেনে রাখো) প্রকৃতপক্ষে//তার উপর//যা//তাকে (দায়িত্ব) ভার দেয়া হয়েছে//আর তোমাদের উপর (দায়িত্ব)//যা//তোমাদের (দায়িত্ব) ভার দেয়া হয়েছে//আর যদি//তার আনুগত্য করো//তোমরা সঠিক পথ পাবে//আর না//(দায়িত্ব) উপর//রাসূলের//এ ছাড়া যে//পৌঁছান (বিধান)//সুস্পষ্টভাবে\""
            },
            {
              "number": 2846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2846.mp3"
              ],
              "text": "وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَيَسْتَخْلِفَنَّهُمْ فِى ٱلْأَرْضِ كَمَا ٱسْتَخْلَفَ ٱلَّذِينَ مِن قَبْلِهِمْ وَلَيُمَكِّنَنَّ لَهُمْ دِينَهُمُ ٱلَّذِى ٱرْتَضَىٰ لَهُمْ وَلَيُبَدِّلَنَّهُم مِّنۢ بَعْدِ خَوْفِهِمْ أَمْنًۭا ۚ يَعْبُدُونَنِى لَا يُشْرِكُونَ بِى شَيْـًۭٔا ۚ وَمَن كَفَرَ بَعْدَ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "তোমাদের মধ্যে যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, আল্লাহ তাদেরকে ওয়াদা দিয়েছেন যে, তাদেরকে অবশ্যই পৃথিবীতে শাসনকর্তৃত্ব দান করবেন। যেমন তিনি শাসনকতৃꦣ2468;্ব দান করেছেন তাদের পূর্ববতীদেরকে এবং তিনি অবশ্যই সুদৃঢ় করবেন তাদের ধর্মকে, যা তিনি তাদের জন্যে পছন্দ করেছেন এবং তাদের ভয়-ভীতির পরিবর্তে অবশ্যই তাদেরকে শান্তি দান করবেন। তারা আমার এবাদত করবে এবং আমার সাথে কাউকে শরীক করবে না। এরপর যারা অকৃতজ্ঞ হবে, তারাই অবাধ্য।",
              "numberInSurah": 55,
              "juz": 18,
              "manzil": 4,
              "page": 357,
              "ruku": 307,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আদাল্লা-হুল লাযীনা আ-মানূ মিনকুম ওয়া আমিলুসসা-লিহা-তি লাইয়াসতাখলিফান্নাহুম ফিল আরদিকামাছ তাখলাফাল্লাযীনা মিন কাবলিহিম ওয়া লাইউমাক্কিনান্না লাহুম দীনাহুমুল্লাযির তাদা-লাহুম ওয়ালা ইউবাদ্দিলান্নাহুম মিম বা‘দি খাওফিহিম আমনা- ইয়া‘বুদূ নানী লা-ইউশরিকূনা বী শাইআওঁ ওয়া মান কাফারা বা‘দা যা-লিকা ফাউলাইকা হুমুল ফা-ছিকূন।",
              "words_arabic": "وَعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْكُمْ/مِنكُمۡ/minkum//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَیَسْتَخْلِفَنَّهُمْ/لَيَسۡتَخۡلِفَنَّهُمۡ/layastakhlifannahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//كَمَا/كَمَا/kama//اسْتَخْلَفَ/ٱسۡتَخۡلَفَ/is'takhlafa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ۪/قَبۡلِهِمۡ/qablihim//وَ لَیُمَكِّنَنَّ/وَلَيُمَكِّنَنَّ/walayumakkinanna//لَهُمْ/لَهُمۡ/lahum//دِیْنَهُمُ/دِينَهُمُ/dinahumu//الَّذِی/ٱلَّذِي/alladhi//ارْتَضٰی/ٱرۡتَضَىٰ/ir'tada//لَهُمْ/لَهُمۡ/lahum//وَ لَیُبَدِّلَنَّهُمْ/وَلَيُبَدِّلَنَّهُم/walayubaddilannahum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//خَوْفِهِمْ/خَوۡفِهِمۡ/khawfihim//اَمْنًا ؕ/أَمۡنٗاۚ/amnan//یَعْبُدُوْنَنِیْ/يَعۡبُدُونَنِي/ya'budunani//لَا/لَا/la//یُشْرِكُوْنَ/يُشۡرِكُونَ/yush'rikuna//بِیْ/بِي/bi//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "প্রতিশ্রুতি দিয়েছেন//আল্লাহ//(তাদেরকে) যারা//ঈমান এনেছে//তোমাদের মধ্য হ'তে//ও কাজ করেছে//সৎ//অবশ্যই তিনি প্রতিনিধি  বানাবেন তাদেরকে//মধ্যে//পৃথিবীর//যেমন//প্রতিনিধি বানিয়েছিলেন//(তাদেরকে) যারা//থেকে//তাদের পূর্ব (ছিলো)//এবং অবশ্যই সুদৃঢ় করবেন//জন্যে তাদের//তাদের দ্বীনকে//যা//তিনি পছন্দ করেছেন//জন্যে তাদের//ও অবশ্যই পরিবর্তিত করে দিবেন তাদের জন্যে//থেকে//পর//তাদের ভয়-ভীতির//নিরাপত্তায়//আমারই তারা ইবাদাত করবে//(আর) না//তারা শরীক করবে//সাথে আমার//কোন কিছুরই//আর যে//অস্বীকার করবে//পরে//এর//অতঃপর ঐসবলোক//তারাই//সত্যত্যাগী"
            },
            {
              "number": 2847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2847.mp3"
              ],
              "text": "وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَطِيعُوا۟ ٱلرَّسُولَ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "নামায কায়েম কর, যাকাত প্রদান কর এবং রসূলের আনুগত্য কর যাতে তোমরা অনুগ্রহ প্রাপ্ত হও।",
              "numberInSurah": 56,
              "juz": 18,
              "manzil": 4,
              "page": 357,
              "ruku": 307,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকীমুসসালা-তা ওয়া-আ-তুঝঝাকা-তা ওয়া আতী‘উর রাছূলা লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَ /تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "এবং তোমরা প্রতিষ্ঠা করো//সালাত//আর দাও//যাকাত//ও আনুগত্য করো//রাসূলের//যাতে তোমরা//তোমরা অনুগ্রহভাজন হবে"
            },
            {
              "number": 2848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2848.mp3"
              ],
              "text": "لَا تَحْسَبَنَّ ٱلَّذِينَ كَفَرُوا۟ مُعْجِزِينَ فِى ٱلْأَرْضِ ۚ وَمَأْوَىٰهُمُ ٱلنَّارُ ۖ وَلَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "তোমরা কাফেরদেরকে পৃথিবীতে পরাক্রমশালী মনে করো না। তাদের ঠিকানা অগ্নি। কতই না নিকৃষ্ট এই প্রত্যাবর্তনস্থল।",
              "numberInSurah": 57,
              "juz": 18,
              "manzil": 4,
              "page": 357,
              "ruku": 307,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "লা-তাহছাবান্নাল্লাযীনা কাফারূমু‘জিঝীনা ফিল আর দি ওয়ামা’ওয়া-হুমুন্না-রু ওয়ালাবি’ছাল মাসীর।",
              "words_arabic": "لَا/لَا/la//تَحْسَبَنَّ/تَحۡسَبَنَّ/tahsabanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مُعْجِزِیْنَ/مُعۡجِزِينَ/mu'jizina//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِۚ/al-ardi//وَ مَاْوٰىهُمُ/وَمَأۡوَىٰهُمُ/wamawahumu//النَّارُ ؕ/ٱلنَّارُۖ/al-naru//وَ لَبِئْسَ/وَلَبِئۡسَ/walabi'sa//الْمَصِیْرُ۠/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "না//কখনও মনে করো//যারা//অস্বীকার করেছে//তারা অক্ষমকারী (আল্লাহ্‌কে)//মধ্যে//পৃথিবীর//এবং তাদের আশ্রয়স্থল//জাহান্নাম//আর অবশ্যই (তা) অতি নিকৃষ্ট//প্রত্যাবর্তনস্থল"
            },
            {
              "number": 2849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2849.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لِيَسْتَـْٔذِنكُمُ ٱلَّذِينَ مَلَكَتْ أَيْمَٰنُكُمْ وَٱلَّذِينَ لَمْ يَبْلُغُوا۟ ٱلْحُلُمَ مِنكُمْ ثَلَٰثَ مَرَّٰتٍۢ ۚ مِّن قَبْلِ صَلَوٰةِ ٱلْفَجْرِ وَحِينَ تَضَعُونَ ثِيَابَكُم مِّنَ ٱلظَّهِيرَةِ وَمِنۢ بَعْدِ صَلَوٰةِ ٱلْعِشَآءِ ۚ ثَلَٰثُ عَوْرَٰتٍۢ لَّكُمْ ۚ لَيْسَ عَلَيْكُمْ وَلَا عَلَيْهِمْ جُنَاحٌۢ بَعْدَهُنَّ ۚ طَوَّٰفُونَ عَلَيْكُم بَعْضُكُمْ عَلَىٰ بَعْضٍۢ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْءَايَٰتِ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "হে মুমিনগণ! তোমাদের দাসদাসীরা এবং তোমাদের মধ্যে যারা প্রাপ্ত বয়স্ক হয়নি তারা যেন তিন সময়ে তোমাদের কাছে অনুমতি গ্রহণ করে, ফজরের নামাযের পূর্বে, দুপুরে যখন তোমরা বস্ত্র খুলে রাখ এবং এশার নামাযের পর। এই তিন সময় তোমাদের দেহ খোলার সময়। এ সময়ের পর তোমাদের ও তাদের জন্যে কোন দোষ নেই। তোমাদের একে অপরের কাছে তো যাতায়াত করতেই হয়, এমনি ভাবে আল্লাহ তোমাদের কাছে সুস্পষ্ট আয়াতসমূহ বিবৃত করেন। আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 58,
              "juz": 18,
              "manzil": 4,
              "page": 357,
              "ruku": 308,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলিইয়াছতা’যিনকুমুল্লাযীনা মালাকাত আইমা-নুকুম ওয়াল লাযীনা লাম ইয়াবলুগুল হুলুমা মিনকুম ছালা-ছা মাররা-তিন মিন কাবলি সালা-তিল ফাজরি ওয়া হীনা তাদা‘ঊনা ছিয়া-বাকুম মিনাজ্জাহীরাতি ওয়া মিম বা‘দি সালা-তিল ‘ইশাই ছালা-ছু‘আওরা-তিল্লাকুম লাইছা ‘আলাইকুম ওয়ালা-‘আলাইহিম জুনা-হুম বা‘দাহুন্না তাওওয়া-ফূনা ‘আলাইকুম বা‘দুকুম ‘আলা-বা‘দিন কাযালিকা ইউবাইয়িনুল্লা-হু লাকুমুল আ-য়া-তি ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لِیَسْتَاْذِنْكُمُ/لِيَسۡتَـٔۡذِنكُمُ/liyastadhinkumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ/أَيۡمَٰنُكُمۡ/aymanukum//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَمْ/لَمۡ/lam//یَبْلُغُوا/يَبۡلُغُواْ/yablughu//الْحُلُمَ/ٱلۡحُلُمَ/al-huluma//مِنْكُمْ/مِنكُمۡ/minkum//ثَلٰثَ/ثَلَٰثَ/thalatha//مَرّٰتٍ ؕ/مَرَّـٰتٖۚ/marratin//مِنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//صَلٰوةِ/صَلَوٰةِ/salati//الْفَجْرِ/ٱلۡفَجۡرِ/al-fajri//وَ حِیْنَ/وَحِينَ/wahina//تَضَعُوْنَ/تَضَعُونَ/tada'una//ثِیَابَكُمْ/ثِيَابَكُم/thiyabakum//مِّنَ/مِّنَ/mina//الظَّهِیْرَةِ/ٱلظَّهِيرَةِ/al-zahirati//وَ مِنْۢ/وَمِنۢ/wamin//بَعْدِ/بَعۡدِ/ba'di//صَلٰوةِ/صَلَوٰةِ/salati//الْعِشَآءِ ؕ۫/ٱلۡعِشَآءِۚ/al-'ishai//ثَلٰثُ/ثَلَٰثُ/thalathu//عَوْرٰتٍ/عَوۡرَٰتٖ/awratin//لَّكُمْ ؕ/لَّكُمۡۚ/lakum//لَیْسَ/لَيۡسَ/laysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ لَا/وَلَا/wala//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//جُنَاحٌۢ/جُنَاحُۢ/junahun//بَعْدَهُنَّ ؕ/بَعۡدَهُنَّۚ/ba'dahunna//طَوّٰفُوْنَ/طَوَّـٰفُونَ/tawwafuna//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//عَلٰی/عَلَىٰ/ala//بَعْضٍ ؕ/بَعۡضٖۚ/ba'din//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ ؕ/ٱلۡأٓيَٰتِۗ/al-ayati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যেন তোমাদের (হ'তে) অনুমতি নেয়//(তারা) যাদেরকে//মালিক করেছে//তোমাদের ডান হাত (অর্থাৎ দাস দাসী)//ও যারা//নি//তারা পৌঁছে//প্রাপ্ত বয়সে (অর্থাৎ অবুঝ বালক বালিকা)//তোমাদের মধ্য থেকে//তিন//সময়ে (বার)//থেকে//পূর্ব//সালাতের//ফজরের//ও যখন//তোমরা (খুলে) রাখো//তোমাদের কাপড়//থেকে//দ্বিপ্রহর//ও থেকে//পর//সালাতের//এশার//তিন (সময়)//গোপনীয়তার//জন্যে তোমাদের//নেই//তোমাদের জন্যে//আর না//তাদের জন্যে//কোন পাপ//ছাড়া এসব (সময়)//বার বার যাতায়াত করতে//তোমাদের নিকট//তোমাদের একে//নিকট//অপরের (যাতায়াত তো করতেই হয়)//এভাবে//সুস্পষ্ট বর্ণনা করেন//আল্লাহ্‌//জন্যে তোমাদের//আয়াতসমূহ//আর আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 2850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2850.mp3"
              ],
              "text": "وَإِذَا بَلَغَ ٱلْأَطْفَٰلُ مِنكُمُ ٱلْحُلُمَ فَلْيَسْتَـْٔذِنُوا۟ كَمَا ٱسْتَـْٔذَنَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَٰتِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "তোমাদের সন্তান-সন্ততিরা যখন বায়োপ্রাপ্ত হয়, তারাও যেন তাদের পূর্ববর্তীদের ন্যায় অনুমতি চায়। এমনিভাবে আল্লাহ তাঁর আয়াতসমূহ তোমাদের কাছে বর্ণনা করেন। আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 59,
              "juz": 18,
              "manzil": 4,
              "page": 358,
              "ruku": 308,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-বালাগাল আতফা-লুমিনকুমুল হুলুমা ফালইয়াছতা’যিনূকামাছতা’যানাল্লাযীনা মিন কাবলিহিম কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুম আ-য়া-তিহী ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//بَلَغَ/بَلَغَ/balagha//الْاَطْفَالُ/ٱلۡأَطۡفَٰلُ/al-atfalu//مِنْكُمُ/مِنكُمُ/minkumu//الْحُلُمَ/ٱلۡحُلُمَ/al-huluma//فَلْیَسْتَاْذِنُوْا/فَلۡيَسۡتَـٔۡذِنُواْ/falyastadhinu//كَمَا/كَمَا/kama//اسْتَاْذَنَ/ٱسۡتَـٔۡذَنَ/is'tadhana//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//اٰیٰتِهٖ ؕ/ءَايَٰتِهِۦۗ/ayatihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং যখন//পৌঁছে//ছেলেমেয়েরা//তোমাদের মধ্য থেকে//প্রাপ্ত বয়সে//তখন যেন তারা অনুমতি নেয়//যেমন//অনুমতি নেয়//যারা//থেকে//পূর্ব তাদের (বয়োপ্রাপ্ত হয়েছে)//এভাবে//বর্ণনা করেন//আল্লাহ//জন্যে তোমাদের//তাঁর নিদর্শনাবলী//আর আল্লাহ্‌//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 2851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2851.mp3"
              ],
              "text": "وَٱلْقَوَٰعِدُ مِنَ ٱلنِّسَآءِ ٱلَّٰتِى لَا يَرْجُونَ نِكَاحًۭا فَلَيْسَ عَلَيْهِنَّ جُنَاحٌ أَن يَضَعْنَ ثِيَابَهُنَّ غَيْرَ مُتَبَرِّجَٰتٍۭ بِزِينَةٍۢ ۖ وَأَن يَسْتَعْفِفْنَ خَيْرٌۭ لَّهُنَّ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "বৃদ্ধা নারী, যারা বিবাহের আশা রাখে না, যদি তারা তাদের সৌন্দর্য?2474;্রকাশ না করে তাদের বস্ত্র খুলে রাখে। তাদের জন্যে দোষ নেই, তবে এ থেকে বিরত থাকাই তাদের জন্যে উত্তম। আল্লাহ সর্বশ্রোতা, সর্বজ্ঞ।",
              "numberInSurah": 60,
              "juz": 18,
              "manzil": 4,
              "page": 358,
              "ruku": 308,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কাওয়া-‘ইদুমিনাননিছাইল্লা-তী লা-ইয়ারজুনা নিকা-হান ফালাইছা ‘আলাইহিন্না জুনা-হুন আইঁ ইয়াদা‘না ছিয়া-বাহুন্না গাইরা মুতাবাররিজা-তিম বিঝীনাতিও ওয়া আইঁ ইয়াছতা‘ফিফনা খাইরুল লাহুন্না ওয়াল্লা-হু ছামী‘উন ‘আলীম।",
              "words_arabic": "وَ الْقَوَاعِدُ/وَٱلۡقَوَٰعِدُ/wal-qawa'idu//مِنَ/مِنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//الّٰتِیْ/ٱلَّـٰتِي/allati//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//نِكَاحًا/نِكَاحٗا/nikahan//فَلَیْسَ/فَلَيۡسَ/falaysa//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//جُنَاحٌ/جُنَاحٌ/junahun//اَنْ/أَن/an//یَّضَعْنَ/يَضَعۡنَ/yada'na//ثِیَابَهُنَّ/ثِيَابَهُنَّ/thiyabahunna//غَیْرَ/غَيۡرَ/ghayra//مُتَبَرِّجٰتٍۭ/مُتَبَرِّجَٰتِۭ/mutabarrijatin//بِزِیْنَةٍ ؕ/بِزِينَةٖۖ/bizinatin//وَ اَنْ/وَأَن/wa-an//یَّسْتَعْفِفْنَ/يَسۡتَعۡفِفۡنَ/yasta'fif'na//خَیْرٌ/خَيۡرٞ/khayrun//لَّهُنَّ ؕ/لَّهُنَّۗ/lahunna//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "এবং (যৌবন) অতিক্রমকারিনী//মধ্য হ'তে//স্ত্রীলোকদের//যারা//না//তারা আশা রাখে//বিয়ের//সেক্ষেত্রে নেই//জন্যে তাদের//কোন পাপ//যে//তারা খুলে রাখে//তাদের পোষাক (অতিরিক্ত)//না//প্রদর্শনকারিনীরূপে//ব্যাপারে রূপসৌন্দর্যের//আর যে//বিরত থাকে তারা//উত্তম//জন্যে তাদের//আর আল্লাহ//সবকিছু শুনেন//সবকিছুু জানেন"
            },
            {
              "number": 2852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2852.mp3"
              ],
              "text": "لَّيْسَ عَلَى ٱلْأَعْمَىٰ حَرَجٌۭ وَلَا عَلَى ٱلْأَعْرَجِ حَرَجٌۭ وَلَا عَلَى ٱلْمَرِيضِ حَرَجٌۭ وَلَا عَلَىٰٓ أَنفُسِكُمْ أَن تَأْكُلُوا۟ مِنۢ بُيُوتِكُمْ أَوْ بُيُوتِ ءَابَآئِكُمْ أَوْ بُيُوتِ أُمَّهَٰتِكُمْ أَوْ بُيُوتِ إِخْوَٰنِكُمْ أَوْ بُيُوتِ أَخَوَٰتِكُمْ أَوْ بُيُوتِ أَعْمَٰمِكُمْ أَوْ بُيُوتِ عَمَّٰتِكُمْ أَوْ بُيُوتِ أَخْوَٰلِكُمْ أَوْ بُيُوتِ خَٰلَٰتِكُمْ أَوْ مَا مَلَكْتُم مَّفَاتِحَهُۥٓ أَوْ صَدِيقِكُمْ ۚ لَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَأْكُلُوا۟ جَمِيعًا أَوْ أَشْتَاتًۭا ۚ فَإِذَا دَخَلْتُم بُيُوتًۭا فَسَلِّمُوا۟ عَلَىٰٓ أَنفُسِكُمْ تَحِيَّةًۭ مِّنْ عِندِ ٱللَّهِ مُبَٰرَكَةًۭ طَيِّبَةًۭ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْءَايَٰتِ لَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "অন্ধের জন্যে দোষ নেই, খঞ্জের জন্যে দোষ নেই, রোগীর জন্যে দোষ নেই, এবং তোমাদের নিজেদের জন্যেও দোষ নেই যে, তোমরা আহার করবে তোমাদের গৃহে অথবা তোমাদের পিতাদের গৃহে অথবা তোমাদের মাতাদের গৃহে অথবা তোমাদের ভ্রাতাদের গৃহে অথবা তোমাদের ভগিণীদের গৃহে অথবা তোমাদের পিতৃব্যদের গৃহে অথবা তোমাদের ফুফুদের গৃহে অথবা তোমাদের মামাদের গৃহে অথবা তোমাদের খালাদের গৃহে অথবা সেই গৃহে, যার চাবি আছে তোমাদের হাতে অথবা তোমাদের বন্ধুদের গৃহে। তোমরা একত্রে আহার কর অথবা পৃথকভবে আহার কর, তাতে তোমাদের কোন দোষ নেই। অতঃপর যখন তোমরা গৃহে প্রবেশ কর, তখন তোমাদের স্বজনদের প্রতি সালাম বলবে। এটা আল্লাহর কাছ থেকে কল্যাণময় ও পবিত্র দোয়া। এমনিভাবে আল্লাহ তোমাদের জন্যে আয়াতসমূহ বিশদভাবে বর্ননা করেন, যাতে তোমরা বুঝে নাও।",
              "numberInSurah": 61,
              "juz": 18,
              "manzil": 4,
              "page": 358,
              "ruku": 308,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাল আ‘মা-হারাজুইঁওয়ালা-‘আলাল আ‘রাজি হারাজুওঁ ওয়ালা ‘আলাল মারীদি হারাজুওঁ ওয়ালা-‘আলা- আনফুছিকুম আন তা’কুলূমিম বুয়ূতিকুম আও বুয়ূতি আ-বাইকুম আও বুয়ূতি উম্মাহা-তিকুম আও বুয়ূতি ইখওয়া-নিকুম আও বুয়ূতি আখাওয়া-তিকুম আও বুয়ূতি আ‘মা-মিকুম আও বুয়ূতি ‘আম্মা-তিকুম আও বুয়ূতি আখওয়া-লিকুম আও বুয়ূতি খা-লাতিকুম আও মা-মালাকতুম মাফা-তিহাহূআও সাদীকিকুম লাইছা ‘আলাইকুম জুনা-হুন আন তা‘কুলূজামী‘আন আও আশতা-তান ফাইযা-দাখাল তুম বূয়ূতান ফাছালিল-মূ‘আলা আনফুছিকুম তাহিইইয়াতাম মিন ‘ইনদিল্লা-হি মুবা-রাকাতান তাইয়িবাতান কাযা-লিকা ইউবাইয়িনুল্লা-হু লাকুমুল আ-য়া-তি লা‘আল্লাকুম তা’কিলূন।",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//عَلَی/عَلَى/ala//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//حَرَجٌ/حَرَجٞ/harajun//وَّ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الْاَعْرَجِ/ٱلۡأَعۡرَجِ/al-a'raji//حَرَجٌ/حَرَجٞ/harajun//وَّ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الْمَرِیْضِ/ٱلۡمَرِيضِ/al-maridi//حَرَجٌ/حَرَجٞ/harajun//وَّ لَا/وَلَا/wala//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَنْ/أَن/an//تَاْكُلُوْا/تَأۡكُلُواْ/takulu//مِنْۢ/مِنۢ/min//بُیُوْتِكُمْ/بُيُوتِكُمۡ/buyutikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اٰبَآىِٕكُمْ/ءَابَآئِكُمۡ/abaikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اُمَّهٰتِكُمْ/أُمَّهَٰتِكُمۡ/ummahatikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اِخْوَانِكُمْ/إِخۡوَٰنِكُمۡ/ikh'wanikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اَخَوٰتِكُمْ/أَخَوَٰتِكُمۡ/akhawatikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اَعْمَامِكُمْ/أَعۡمَٰمِكُمۡ/a'mamikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//عَمّٰتِكُمْ/عَمَّـٰتِكُمۡ/ammatikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//اَخْوَالِكُمْ/أَخۡوَٰلِكُمۡ/akhwalikum//اَوْ/أَوۡ/aw//بُیُوْتِ/بُيُوتِ/buyuti//خٰلٰتِكُمْ/خَٰلَٰتِكُمۡ/khalatikum//اَوْ/أَوۡ/aw//مَا/مَا/ma//مَلَكْتُمْ/مَلَكۡتُم/malaktum//مَّفَاتِحَهٗۤ/مَّفَاتِحَهُۥٓ/mafatihahu//اَوْ/أَوۡ/aw//صَدِیْقِكُمْ ؕ/صَدِيقِكُمۡۚ/sadiqikum//لَیْسَ/لَيۡسَ/laysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٌ/junahun//اَنْ/أَن/an//تَاْكُلُوْا/تَأۡكُلُواْ/takulu//جَمِیْعًا/جَمِيعًا/jami'an//اَوْ/أَوۡ/aw//اَشْتَاتًا ؕ/أَشۡتَاتٗاۚ/ashtatan//فَاِذَا/فَإِذَا/fa-idha//دَخَلْتُمْ/دَخَلۡتُم/dakhaltum//بُیُوْتًا/بُيُوتٗا/buyutan//فَسَلِّمُوْا/فَسَلِّمُواْ/fasallimu//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//تَحِیَّةً/تَحِيَّةٗ/tahiyyatan//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//مُبٰرَكَةً/مُبَٰرَكَةٗ/mubarakatan//طَیِّبَةً ؕ/طَيِّبَةٗۚ/tayyibatan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُبَیِّنُ/يُبَيِّنُ/yubayyinu//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ۠/تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "নেই//জন্য//অন্ধের//কোন দোষ//আর না//জন্যে//পঙ্গুর//কোন দোষ//আর না//জন্যে//রোগীর//কোন দোষ//আর না//জন্যে//তোমাদের নিজেদের (কোন দোষ)//যে//তোমরা খাও//হ'তে//তোমাদের ঘরগুলো//অথবা//ঘরগুলো (হ'তে)//তোমাদের বাপ দাদাদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের মা-নানীদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের ভাইদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের বোনদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের চাচাদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের ফুফুদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের মামাদের//অথবা//ঘরগুলো (হ'তে)//তোমাদের খালাদের//অথবা//যার//তোমরা মালিক হয়েছো//তার চাবিগুলোর//অথবা//তোমাদের বন্ধুদের (গৃহে)//নেই//জন্যে তোমাদের//কোন পাপ//যে//তোমরা খাও//একত্রে//অথবা//আলাদা আলাদা ভাবে//অতঃপর যখন//তোমরা প্রবেশ করবে//ঘরগুলোতে//তখন সালাম দিবে//উপর//তোমাদের নিজেদের//অভিবাদন//হ'তে//নিকট//আল্লাহ্‌র//কল্যাণময় (এই দোয়া)//পবিত্র//এরূপে//বর্ণনা করেন//আল্লাহ্‌//জন্যে তোমাদের//আয়াতসমূহকে//যাতে তোমরা//বুঝতে পারো"
            },
            {
              "number": 2853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2853.mp3"
              ],
              "text": "إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَإِذَا كَانُوا۟ مَعَهُۥ عَلَىٰٓ أَمْرٍۢ جَامِعٍۢ لَّمْ يَذْهَبُوا۟ حَتَّىٰ يَسْتَـْٔذِنُوهُ ۚ إِنَّ ٱلَّذِينَ يَسْتَـْٔذِنُونَكَ أُو۟لَٰٓئِكَ ٱلَّذِينَ يُؤْمِنُونَ بِٱللَّهِ وَرَسُولِهِۦ ۚ فَإِذَا ٱسْتَـْٔذَنُوكَ لِبَعْضِ شَأْنِهِمْ فَأْذَن لِّمَن شِئْتَ مِنْهُمْ وَٱسْتَغْفِرْ لَهُمُ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "মুমিন তো তারাই; যারা আল্লাহর ও রসূলের প্রতি বিশ্বাস স্থাপন করে এবং রসূলের সাথে কোন সমষ্টিগত কাজে শরীক হলে তাঁর কাছ থেকে অনুমতি গ্রহণ ব্যতীত চলে যায় না। যারা আপনার কাছে অনুমতি প্রার্থনা করে, তারাই আল্লাহ ও তাঁর রসূলের প্রতি বিশ্বাস স্থাপন করে। অতএব তারা আপনার কাছে তাদের কোন কাজের জন্যে অনুমতি চাইলে আপনি তাদের মধ্যে যাকে ইচ্ছা অনুমতি দিন এবং তাদের জন্যে আল্লাহর কাছে ক্ষমা প্রার্থনা করুন। আল্লাহ ক্ষমাশীল, মেহেরবান।",
              "numberInSurah": 62,
              "juz": 18,
              "manzil": 4,
              "page": 359,
              "ruku": 309,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাল মু’মিনূনাল্লাযীনা আ-মানূ বিল্লা-হি ওয়া রাছূলিহী ওয়া ইযা-কা-নূ মা‘আহূ‘আলা আমরিন জামি‘ইল লাম ইয়াযহাবূহাত্তা-ইয়াছতা’যিনূহু ইন্নাল্লাযীনা ইয়াছতা’যিনূনাকা উলাইকাল্লাযীনা ইউ’মিনূনা বিল্লা-হি ওয়া রাছূলিহী ফাইযাছতা’যানূকা লিবা‘দি শা’নিহিম ফা’যাল লিমান শি’তা মিনহুম ওয়াছতাগফির লাহুমুল্লা-হা ইন্নাল্লা-হা গাফরুর রাহীম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ اِذَا/وَإِذَا/wa-idha//كَانُوْا/كَانُواْ/kanu//مَعَهٗ/مَعَهُۥ/ma'ahu//عَلٰۤی/عَلَىٰٓ/ala//اَمْرٍ/أَمۡرٖ/amrin//جَامِعٍ/جَامِعٖ/jami'in//لَّمْ/لَّمۡ/lam//یَذْهَبُوْا/يَذۡهَبُواْ/yadhhabu//حَتّٰی/حَتَّىٰ/hatta//یَسْتَاْذِنُوْهُ ؕ/يَسۡتَـٔۡذِنُوهُۚ/yastadhinuhu//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَاْذِنُوْنَكَ/يَسۡتَـٔۡذِنُونَكَ/yastadhinunaka//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ ۚ/وَرَسُولِهِۦۚ/warasulihi//فَاِذَا/فَإِذَا/fa-idha//اسْتَاْذَنُوْكَ/ٱسۡتَـٔۡذَنُوكَ/is'tadhanuka//لِبَعْضِ/لِبَعۡضِ/liba'di//شَاْنِهِمْ/شَأۡنِهِمۡ/shanihim//فَاْذَنْ/فَأۡذَن/fadhan//لِّمَنْ/لِّمَن/liman//شِئْتَ/شِئۡتَ/shi'ta//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ اسْتَغْفِرْ/وَٱسۡتَغۡفِرۡ/wa-is'taghfir//لَهُمُ/لَهُمُ/lahumu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "মূলতঃ//মু'মিন (তারাই)//যারা//ঈমান এনেছে//উপর আল্লাহ্‌র//ও তাঁর রাসূলের (উপর)//এবং যখন//তারা হয়//তার সাথে//উপর//কোন কাজের//সমষ্টিগত ভাবে//না//তারা চলে যায়//যতক্ষণ না//তার (হ'তে) অনুমতি নেয়//নিশ্চয়ই//যারা//তোমার (হ'তে) অনুমতি চায়//ঐসব লোক//তারাই//ঈমান আনে//উপর আল্লাহ্‌র//ও তাঁর রাসূলের (উপর)//অতএব যখন//তোমার (নিকট) অনুমতি চায়//জন্যে কোন কিছুর//ব্যাপারে তাদের//তখন অনুমতি দাও//জন্যে যার//তুমি চাও//তাদের মধ্য হ'তে//আর ক্ষমা চাও//জন্যে তাদের//আল্লাহ্‌র (নিকট)//নিশ্চয়ই//আল্লাহ্‌//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2854.mp3"
              ],
              "text": "لَّا تَجْعَلُوا۟ دُعَآءَ ٱلرَّسُولِ بَيْنَكُمْ كَدُعَآءِ بَعْضِكُم بَعْضًۭا ۚ قَدْ يَعْلَمُ ٱللَّهُ ٱلَّذِينَ يَتَسَلَّلُونَ مِنكُمْ لِوَاذًۭا ۚ فَلْيَحْذَرِ ٱلَّذِينَ يُخَالِفُونَ عَنْ أَمْرِهِۦٓ أَن تُصِيبَهُمْ فِتْنَةٌ أَوْ يُصِيبَهُمْ عَذَابٌ أَلِيمٌ",
              "translate_bn": "রসূলের আহবানকে তোমরা তোমাদের একে অপরকে আহ্বানের মত গণ্য করো না। আল্লাহ তাদেরকে জানেন, যারা তোমাদের মধ্যে চুপিসারে সরে পড়ে। অতএব যারা তাঁর আদেশের বিরুদ্ধাচরণ করে, তারা এ বিষয়ে সতর্ক হোক যে, বিপর্যয় তাদেরকে স্পর্শ করবে অথবা যন্ত্রণাদায়ক শাস্তি তাদেরকে গ্রাস করবে।",
              "numberInSurah": 63,
              "juz": 18,
              "manzil": 4,
              "page": 359,
              "ruku": 309,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "লা-তাজ‘আলূদু‘আআররাছূলি বাইনাকুম কাদু‘আই বা‘দিকুম বা‘দান কাদ ইয়ালামুল্লা-হুল্লাযীনা ইয়াতাছাল্লালূনা মিনকুম লিওয়া-যান ফালইয়াহযারিল্লাযীনা ইউখালিফূনা ‘আন আমরিহীআন তুসীবাহুম ফিতনাতুন আও ইউসীবাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "لَا/لَّا/la//تَجْعَلُوْا/تَجۡعَلُواْ/taj'alu//دُعَآءَ/دُعَآءَ/du'aa//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//كَدُعَآءِ/كَدُعَآءِ/kadu'ai//بَعْضِكُمْ/بَعۡضِكُم/ba'dikum//بَعْضًا ؕ/بَعۡضٗاۚ/ba'dan//قَدْ/قَدۡ/qad//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتَسَلَّلُوْنَ/يَتَسَلَّلُونَ/yatasallaluna//مِنْكُمْ/مِنكُمۡ/minkum//لِوَاذًا ۚ/لِوَاذٗاۚ/liwadhan//فَلْیَحْذَرِ/فَلۡيَحۡذَرِ/falyahdhari//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُخَالِفُوْنَ/يُخَالِفُونَ/yukhalifuna//عَنْ/عَنۡ/an//اَمْرِهٖۤ/أَمۡرِهِۦٓ/amrihi//اَنْ/أَن/an//تُصِیْبَهُمْ/تُصِيبَهُمۡ/tusibahum//فِتْنَةٌ/فِتۡنَةٌ/fit'natun//اَوْ/أَوۡ/aw//یُصِیْبَهُمْ/يُصِيبَهُمۡ/yusibahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "না//তোমরা গণ্য করো//আহ্বানকে//রাসূলের//তোমাদের মাঝে//আহ্বানের মতো//তোমাদের একে//অপরের//নিশ্চয়ই//জানেন//আল্লাহ্‌//(তাদেরকে) যারা//তারা সরে পড়ে//মধ্যে হ'তে তোমাদের//(আড়ালে) চুপিচুপি//সুতরাং ভয় করা উচিৎ//(তাদের) যারা//বিরুদ্ধাচারণ করে//বিষয়ে//তাঁর হুকুমের//যে//(উপরে) পড়বে তাদের//বিপর্যয়//অথবা//(উপরে) পড়বে তাদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 2855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2855.mp3"
              ],
              "text": "أَلَآ إِنَّ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ قَدْ يَعْلَمُ مَآ أَنتُمْ عَلَيْهِ وَيَوْمَ يُرْجَعُونَ إِلَيْهِ فَيُنَبِّئُهُم بِمَا عَمِلُوا۟ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۢ",
              "translate_bn": "মনে রেখো নভোমন্ডল ও ভূমন্ডলে যা আছে, তা আল্লাহরই। তোমরা যে অবস্থায় আছ তা তিনি জানেন। যেদিন তারা তাঁর কাছে প্রত্যাবর্তিত হবে, সেদিন তিনি বলে দেবেন তারা যা করেছে। আল্লাহ প্রত্যেক বিষয়ই জানেন।",
              "numberInSurah": 64,
              "juz": 18,
              "manzil": 4,
              "page": 359,
              "ruku": 309,
              "hizbQuarter": 143,
              "sajda": false,
              "pronunciation_bn": "আলাইন্না লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়াল আরদি কাদ ইয়া‘লামুমাআনতুম ‘আলাইহি ওয়া ইয়াওমা ইউরজা‘ঊনা ইলাইহি ফাইউনাব্বিঊহুম বিমা-‘আমিলূ ওয়াল্লা-হু বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//قَدْ/قَدۡ/qad//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَاۤ/مَآ/ma//اَنْتُمْ/أَنتُمۡ/antum//عَلَیْهِ ؕ/عَلَيۡهِ/alayhi//وَ یَوْمَ/وَيَوۡمَ/wayawma//یُرْجَعُوْنَ/يُرۡجَعُونَ/yur'ja'una//اِلَیْهِ/إِلَيۡهِ/ilayhi//فَیُنَبِّئُهُمْ/فَيُنَبِّئُهُم/fayunabbi-uhum//بِمَا/بِمَا/bima//عَمِلُوْا ؕ/عَمِلُواْۗ/amilu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ۠/عَلِيمُۢ/alimun",
              "words_bangla": "সাবধান হও//নিশ্চয়ই//জন্যে আল্লাহরই//যা কিছু//আছে//আকাশমন্ডলিতে//ও পৃথিবীতে//নিশ্চয়ই//তিনি জানেন//তা//তোমরা (আছো)//যে (অবস্থার) উপরে//এবং যেদিন//তোমরা প্রত্যাবর্তিত হবে//তাঁর দিকে//তখন তিনি জানিয়ে দিবেন তাদেরকে//ঐবিষয়ে যা//তারা কাজ করেছে//আর আল্লাহ//সম্পর্কে সব//কিছু//খুব জ্ঞাত"
            }
          ]
        },
        {
          "number": 25,
          "name": "سُورَةُ الفُرۡقَانِ",
          "englishName": "Al-Furqaan",
          "englishNameTranslation": "The Criterion",
          "revelationType": "Meccan",
          "verse": 77,
          "words": 1846,
          "chars": 7811,
          "ayahs": [
            {
              "number": 2856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2856.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ تَبَارَكَ ٱلَّذِى نَزَّلَ ٱلْفُرْقَانَ عَلَىٰ عَبْدِهِۦ لِيَكُونَ لِلْعَٰلَمِينَ نَذِيرًا",
              "translate_bn": "পরম কল্যাণময় তিনি যিনি তাঁর বান্দার প্রতি ফয়সালার গ্রন্থ অবর্তীণ করেছেন, যাতে সে বিশ্বজগতের জন্যে সতর্ককারী হয়,।",
              "numberInSurah": 1,
              "juz": 18,
              "manzil": 4,
              "page": 359,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "তাবা-রাকাল্লাযী নাঝঝালাল ফুরকা-না ‘আলা-‘আবদিহী লিইয়াকূনা লিল‘আ-লামীনা নাযীরা-।",
              "words_arabic": "تَبٰرَكَ/تَبَارَكَ/tabaraka//الَّذِیْ/ٱلَّذِي/alladhi//نَزَّلَ/نَزَّلَ/nazzala//الْفُرْقَانَ/ٱلۡفُرۡقَانَ/al-fur'qana//عَلٰی/عَلَىٰ/ala//عَبْدِهٖ/عَبۡدِهِۦ/abdihi//لِیَكُوْنَ/لِيَكُونَ/liyakuna//لِلْعٰلَمِیْنَ/لِلۡعَٰلَمِينَ/lil'alamina//نَذِیْرَاۙ/نَذِيرًا/nadhiran",
              "words_bangla": "অতীব কল্যাণময়//(সেই সত্ত্বা) যিনি//অবতীর্ণ করেছেন//সত্য-মিথ্যার মাপকাঠি//উপর//তাঁর দাসের//যেন সে হয়//জন্যে বিশ্ববাসীর//সতর্ককারী"
            },
            {
              "number": 2857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2857.mp3"
              ],
              "text": "ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَلَمْ يَتَّخِذْ وَلَدًۭا وَلَمْ يَكُن لَّهُۥ شَرِيكٌۭ فِى ٱلْمُلْكِ وَخَلَقَ كُلَّ شَىْءٍۢ فَقَدَّرَهُۥ تَقْدِيرًۭا",
              "translate_bn": "তিনি হলেন যাঁর রয়েছে নভোমন্ডল ও ভূমন্ডলের রাজত্ব। তিনি কোন সন্তান গ্রহণ করেননি। রাজত্বে তাঁর কোন অংশীদার নেই। তিনি প্রত্যেক বস্তু সৃষ্টি করেছেন, অতঃপর তাকে শোধিত করেছেন পরিমিতভাবে।",
              "numberInSurah": 2,
              "juz": 18,
              "manzil": 4,
              "page": 359,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীলাহুমুলকুছছামা-ওয়া-তি ওয়াল আরদি ওয়ালাম ইয়াত্তাখিয ওয়ালাদাওঁ ওয়ালাম ইয়াকুল্লাহূশারীকুন ফিল মুলকি ওয়া খালাকা কুল্লা শাইয়িন ফাকাদ্দারাহূতাকদীরা-।\r\n",
              "words_arabic": "لَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لَمْ/وَلَمۡ/walam//یَتَّخِذْ/يَتَّخِذۡ/yattakhidh//وَلَدًا/وَلَدٗا/waladan//وَّ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//شَرِیْكٌ/شَرِيكٞ/sharikun//فِی/فِي/fi//الْمُلْكِ/ٱلۡمُلۡكِ/al-mul'ki//وَ خَلَقَ/وَخَلَقَ/wakhalaqa//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٖ/shayin//فَقَدَّرَهٗ/فَقَدَّرَهُۥ/faqaddarahu//تَقْدِیْرًا /تَقۡدِيرٗا/taqdiran",
              "words_bangla": "যিনি (এমন সত্ত্বা যে)//জন্যে তাঁরই//সার্বভৌমত্ব//আকাশমন্ডলীর//ও পৃথিবীর//এবং নি//তিনি গ্রহন করেন//কোন সন্তান//আর না//আছে//জন্যে তাঁর//কোন শরীক//মধ্যে//সার্বভৌমত্বের//এবং তিনি সৃষ্টি করেছেন//প্রত্যেক//জিনিসকে//অতঃপর তা পরিমিত করেছেন//(যথাযথ) পরিমাণে"
            },
            {
              "number": 2858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2858.mp3"
              ],
              "text": "وَٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةًۭ لَّا يَخْلُقُونَ شَيْـًۭٔا وَهُمْ يُخْلَقُونَ وَلَا يَمْلِكُونَ لِأَنفُسِهِمْ ضَرًّۭا وَلَا نَفْعًۭا وَلَا يَمْلِكُونَ مَوْتًۭا وَلَا حَيَوٰةًۭ وَلَا نُشُورًۭا",
              "translate_bn": "তারা তাঁর পরিবর্তে কত উপাস্য গ্রহণ করেছে, যারা কিছুই সৃষ্টি করে না এবং তারা নিজেরাই সৃষ্ট এবং নিজেদের ভালও করতে পারে না, মন্দও করতে পারে না এবং জীবন, মরণ ও পুনরুজ্জীবনের ও তারা মালিক নয়।",
              "numberInSurah": 3,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাখাযূমিন দূনিহীআ-লিহাতাল লা-ইয়াখলুকূ না শাইআওঁ ওয়াহুম ইউখলাকূ না ওয়ালা-ইয়ামলিকূনা লিআনফুছিহিম দাররাওঁ ওয়ালা-নাফ‘আওঁ ওয়ালা-ইয়ামলিকূনা মাওতাওঁ ওয়ালা-হায়া-তাওঁ ওয়ালা-নুশূরা-।",
              "words_arabic": "وَ اتَّخَذُوْا/وَٱتَّخَذُواْ/wa-ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اٰلِهَةً/ءَالِهَةٗ/alihatan//لَّا/لَّا/la//یَخْلُقُوْنَ/يَخۡلُقُونَ/yakhluquna//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ هُمْ/وَهُمۡ/wahum//یُخْلَقُوْنَ/يُخۡلَقُونَ/yukh'laquna//وَ لَا/وَلَا/wala//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//لِاَنْفُسِهِمْ/لِأَنفُسِهِمۡ/li-anfusihim//ضَرًّا/ضَرّٗا/darran//وَّ لَا/وَلَا/wala//نَفْعًا/نَفۡعٗا/naf 'an//وَّ لَا/وَلَا/wala//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//مَوْتًا/مَوۡتٗا/mawtan//وَّ لَا/وَلَا/wala//حَیٰوةً/حَيَوٰةٗ/hayatan//وَّ لَا/وَلَا/wala//نُشُوْرًا /نُشُورٗا/nushuran",
              "words_bangla": "আর (কিছু লোক) তারা গ্রহণ করেছে//মধ্য হতে//তাঁর পরিবর্তে//ইলাহরূপে (অন্যদেরকে)//না//( সেই ইলাহরা) সৃষ্টি করে//কোন কিছু//অথচ তাদেরকেই//সৃষ্টি করা হয়েছে//আর না//তারা ক্ষমতা রাখে//জন্যেও তাদের নিজেদের//কোন ক্ষতির//আর না//উপকারের//এবং না//তারা ক্ষমতা রাখে//মৃত্যুর//আর না//জীবনের//আর না//উত্থানের"
            },
            {
              "number": 2859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2859.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَٰذَآ إِلَّآ إِفْكٌ ٱفْتَرَىٰهُ وَأَعَانَهُۥ عَلَيْهِ قَوْمٌ ءَاخَرُونَ ۖ فَقَدْ جَآءُو ظُلْمًۭا وَزُورًۭا",
              "translate_bn": "কাফেররা বলে, এটা মিথ্যা বৈ নয়, যা তিনি উদ্ভাবন করেছেন এবং অন্য লোকেরা তাঁকে সাহায্য করেছে। অবশ্যই তারা অবিচার ও মিথ্যার আশ্রয় নিয়েছে।",
              "numberInSurah": 4,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূইন হা-যাইল্লাইফকুনিফতারা-হু ওয়াআ‘আ-নাহূ ‘আলাইহি কাওমুন আ-খারূনা ফাকাদ জাঊ জুলমাওঁ ওয়াঝূরা-।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اِفْكُ/إِفۡكٌ/if'kun//فْتَرٰىهُ/ٱفۡتَرَىٰهُ/if'tarahu//وَ اَعَانَهٗ/وَأَعَانَهُۥ/wa-a'anahu//عَلَیْهِ/عَلَيۡهِ/alayhi//قَوْمٌ/قَوۡمٌ/qawmun//اٰخَرُوْنَ ۛۚ/ءَاخَرُونَۖ/akharuna//فَقَدْ/فَقَدۡ/faqad//جَآءُوْ/جَآءُو/jau//ظُلْمًا/ظُلۡمٗا/zul'man//وَّ زُوْرًاۚۛ/وَزُورٗا/wazuran",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"নয়//এই (কুরআন)//এ ছাড়া//মনগড়া জিনিস//তা (মুহাম্মাদ সাল্লাল্লাহু 'অালাইহি ওয়া সাল্লাম) রচনা করেছে//ও তাকে সাহায্য করেছে//এক্ষেত্রে//লোকেরা//অন্য সব\"//এভাবে নিশ্চয়ই//তারা এসেছে//সীমালঙ্ঘনে//ও মিথ্যায়"
            },
            {
              "number": 2860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2860.mp3"
              ],
              "text": "وَقَالُوٓا۟ أَسَٰطِيرُ ٱلْأَوَّلِينَ ٱكْتَتَبَهَا فَهِىَ تُمْلَىٰ عَلَيْهِ بُكْرَةًۭ وَأَصِيلًۭا",
              "translate_bn": "তারা বলে, এগুলো তো পুরাকালের রূপকথা, যা তিনি লিখে রেখেছেন। এগুলো সকাল-সন্ধ্যায় তাঁর কাছে শেখানো হয়।",
              "numberInSurah": 5,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূআছা-তীরুল আওওয়ালীনাক তাতাবাহা-ফাহিয়া তুমলা-আলাইহি বুকরাতাওঁ ওয়াআসীলা-।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ/ٱلۡأَوَّلِينَ/al-awalina//اكْتَتَبَهَا/ٱكۡتَتَبَهَا/ik'tatabaha//فَهِیَ/فَهِيَ/fahiya//تُمْلٰی/تُمۡلَىٰ/tum'la//عَلَیْهِ/عَلَيۡهِ/alayhi//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ اَصِیْلًا /وَأَصِيلٗا/wa-asilan",
              "words_bangla": "এবং তারা বলে//\"(এই কুরআন) উপকথার সমাহার//পূর্বকালের//তা সে লিখিয়ে নিয়েছে//অতঃপর তা//তিলাওয়াত করা হয়//তার নিকট//সকালে//ও সন্ধ্যায়\""
            },
            {
              "number": 2861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2861.mp3"
              ],
              "text": "قُلْ أَنزَلَهُ ٱلَّذِى يَعْلَمُ ٱلسِّرَّ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّهُۥ كَانَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "বলুন, একে তিনিই অবতীর্ণ করেছেন, যিনি নভোমন্ডল ও ভূমন্ডলের গোপন রহস্য অবগত আছেন। তিনি ক্ষমাশীল, মেহেরবান।",
              "numberInSurah": 6,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "কুল আনঝা-লাহুল্লাযী ইয়া‘লামুছছিররা ফিছছামা-ওয়া-তি ওয়াল আরদি ইন্নাহূকা-না গাফূরার রাহীমা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَنْزَلَهُ/أَنزَلَهُ/anzalahu//الَّذِیْ/ٱلَّذِي/alladhi//یَعْلَمُ/يَعۡلَمُ/ya'lamu//السِّرَّ/ٱلسِّرَّ/al-sira//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "বলো (হে নাবী)//\"তা অবতীর্ণ করেছেন//(এমন সত্ত্বা) যিনি//জানেন//(সমুদয়) রহস্য (গোপন)//মধ্যকার//আকাশমন্ডলীর//ও পৃথিবীর//নিশ্চয়ই তিনি//হলেন//ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 2862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2862.mp3"
              ],
              "text": "وَقَالُوا۟ مَالِ هَٰذَا ٱلرَّسُولِ يَأْكُلُ ٱلطَّعَامَ وَيَمْشِى فِى ٱلْأَسْوَاقِ ۙ لَوْلَآ أُنزِلَ إِلَيْهِ مَلَكٌۭ فَيَكُونَ مَعَهُۥ نَذِيرًا",
              "translate_bn": "তারা বলে, এ কেমন রসূল যে, খাদ্য আহার করে এবং হাটে-বাজারে চলাফেরা করে? তাঁর কাছে কেন কোন ফেরেশতা নাযিল করা হল না যে, তাঁর সাথে সতর্ককারী হয়ে থাকত?",
              "numberInSurah": 7,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূমা-লি হা-যার রাছূলি ইয়া’কুলুততা‘আমা ওয়া ইয়ামশী ফিল আছওয়া-কি লাওলাউনঝিলা ইলাইহি মালাকুন ফাইয়াকূনা মা‘আহূনাযীরা-।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//مَالِ/مَالِ/mali//هٰذَا/هَٰذَا/hadha//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//یَاْكُلُ/يَأۡكُلُ/yakulu//الطَّعَامَ/ٱلطَّعَامَ/al-ta'ama//وَ یَمْشِیْ/وَيَمۡشِي/wayamshi//فِی/فِي/fi//الْاَسْوَاقِ ؕ/ٱلۡأَسۡوَاقِ/al-aswaqi//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَلَكٌ/مَلَكٞ/malakun//فَیَكُوْنَ/فَيَكُونَ/fayakuna//مَعَهٗ/مَعَهُۥ/ma'ahu//نَذِیْرًاۙ/نَذِيرًا/nadhiran",
              "words_bangla": "এবং তারা বলে//\"কেমন//এই//রাসূল//সে খায়//খাবার//ও চলাফেরা করে//মধ্যে//হাট বাজারসমূহে//কেন না//অবতীর্ণ করা হলো//তার কাছে//কোন ফেরেশতা//অতঃপর সে হতো//তার সাথে//ভীতি প্রদর্শনকারী"
            },
            {
              "number": 2863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2863.mp3"
              ],
              "text": "أَوْ يُلْقَىٰٓ إِلَيْهِ كَنزٌ أَوْ تَكُونُ لَهُۥ جَنَّةٌۭ يَأْكُلُ مِنْهَا ۚ وَقَالَ ٱلظَّٰلِمُونَ إِن تَتَّبِعُونَ إِلَّا رَجُلًۭا مَّسْحُورًا",
              "translate_bn": "অথবা তিনি ধন-ভান্ডার প্রাপ্ত হলেন না কেন, অথবা তাঁর একটি বাগান হল না কেন, যা থেকে তিনি আহার করতেন? জালেমরা বলে, তোমরা তো একজন জাদুগ্রস্ত ব্যক্তিরই অনুসরণ করছ।",
              "numberInSurah": 8,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "আও ইউলকাইলাইহি কানঝুন আও তাকূনুলাহূজান্নাতুইঁ ইয়া’কুলুমিনহা- ওয়া কালাজ্জা-লিমূনা ইন তাত্তাবি‘ঊনা ইল্লা-রাজুলাম মাছহূরা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//یُلْقٰۤی/يُلۡقَىٰٓ/yul'qa//اِلَیْهِ/إِلَيۡهِ/ilayhi//كَنْزٌ/كَنزٌ/kanzun//اَوْ/أَوۡ/aw//تَكُوْنُ/تَكُونُ/takunu//لَهٗ/لَهُۥ/lahu//جَنَّةٌ/جَنَّةٞ/jannatun//یَّاْكُلُ/يَأۡكُلُ/yakulu//مِنْهَا ؕ/مِنۡهَاۚ/min'ha//وَ قَالَ/وَقَالَ/waqala//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//اِنْ/إِن/in//تَتَّبِعُوْنَ/تَتَّبِعُونَ/tattabi'una//اِلَّا/إِلَّا/illa//رَجُلًا/رَجُلٗا/rajulan//مَّسْحُوْرًا /مَّسۡحُورًا/mashuran",
              "words_bangla": "অথবা//নিক্ষেপ করা হতো//তার কাছে//কোন ধনভান্ডার//অথবা//হতো//জন্যে তার//একটি বাগান//সে খেতো//তা হ'তে//এবং বলেে//সীমালঙ্ঘনকারীরা//\"না//তোমরা অনুসরণ করছো//এ ছাড়া//এক ব্যক্তিকে//জাদুগ্রস্ত\""
            },
            {
              "number": 2864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2864.mp3"
              ],
              "text": "ٱنظُرْ كَيْفَ ضَرَبُوا۟ لَكَ ٱلْأَمْثَٰلَ فَضَلُّوا۟ فَلَا يَسْتَطِيعُونَ سَبِيلًۭا",
              "translate_bn": "দেখুন, তারা আপনার কেমন দৃষ্টান্ত বর্ণনা করে! অতএব তারা পথভ্রষ্ট হয়েছে, এখন তারা পথ পেতে পারে না।",
              "numberInSurah": 9,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 310,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "উনজু র কাইফা দারাবূলাকাল আমছা-লা ফাদাললূফালা-ইয়াছতাতী‘ঊনা ছাবীলা-।",
              "words_arabic": "اُنْظُرْ/ٱنظُرۡ/unzur//كَیْفَ/كَيۡفَ/kayfa//ضَرَبُوْا/ضَرَبُواْ/darabu//لَكَ/لَكَ/laka//الْاَمْثَالَ/ٱلۡأَمۡثَٰلَ/al-amthala//فَضَلُّوْا/فَضَلُّواْ/fadallu//فَلَا/فَلَا/fala//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//سَبِیْلًا۠/سَبِيلٗا/sabilan",
              "words_bangla": "লক্ষ্য করো//কেমন//পেশ করেছে//জন্যে তোমার//উপমাসমূহ//এভাবে তারা বিভ্রান্ত হয়েছে//অতএব না//তারা পেতে পারে//কোন (সঠিক) পথ"
            },
            {
              "number": 2865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2865.mp3"
              ],
              "text": "تَبَارَكَ ٱلَّذِىٓ إِن شَآءَ جَعَلَ لَكَ خَيْرًۭا مِّن ذَٰلِكَ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ وَيَجْعَل لَّكَ قُصُورًۢا",
              "translate_bn": "কল্যানময় তিনি, যিনি ইচ্ছা করলে আপনাকে তদপেক্ষা উত্তম বস্তু দিতে পারেন-বাগ-বাগিচা, যার তলদেশে নহর প্রবাহিত হয় এবং দিতে পারেন আপনাকে প্রাসাদসমূহ।",
              "numberInSurah": 10,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "তাবা-রাকাল্লাযীইন শাআ জা‘আলা লাকা খাইরাম মিন যা-লিকা জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ওয়া ইয়াজ‘আল লাকা কুসূরা-।",
              "words_arabic": "تَبٰرَكَ/تَبَارَكَ/tabaraka//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//جَعَلَ/جَعَلَ/ja'ala//لَكَ/لَكَ/laka//خَیْرًا/خَيۡرٗا/khayran//مِّنْ/مِّن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۙ/ٱلۡأَنۡهَٰرُ/al-anharu//وَ یَجْعَلْ/وَيَجۡعَل/wayaj'al//لَّكَ/لَّكَ/laka//قُصُوْرًا /قُصُورَۢا/qusuran",
              "words_bangla": "অতীব কল্যাণময়//(সেই সত্ত্বা) যিনি//যদি//চান তিনি//দিতে পারেন//জন্যে তোমার//(আরও) উত্তম//চেয়েও//এর//(অনেক) বাগান//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাধারাসমূহ//এবং দিতে পারেন//জন্যে তোমার//(অনেক) প্রাসাদ"
            },
            {
              "number": 2866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2866.mp3"
              ],
              "text": "بَلْ كَذَّبُوا۟ بِٱلسَّاعَةِ ۖ وَأَعْتَدْنَا لِمَن كَذَّبَ بِٱلسَّاعَةِ سَعِيرًا",
              "translate_bn": "বরং তারা কেয়ামতকে অস্বীকার করে এবং যে কেয়ামতকে অস্বীকার করে, আমি তার জন্যে অগ্নি প্রস্তুত করেছি।",
              "numberInSurah": 11,
              "juz": 18,
              "manzil": 4,
              "page": 360,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "বাল কাযযাবূবিছছা-‘আতি ওয়া আ‘তাদনা-লিমান কাযযাবা বিছছা-‘আতি ছা‘ঈরা-।",
              "words_arabic": "بَلْ/بَلۡ/bal//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِالسَّاعَةِ ۫/بِٱلسَّاعَةِۖ/bil-sa'ati//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لِمَنْ/لِمَن/liman//كَذَّبَ/كَذَّبَ/kadhaba//بِالسَّاعَةِ/بِٱلسَّاعَةِ/bil-sa'ati//سَعِیْرًاۚ/سَعِيرًا/sa'iran",
              "words_bangla": "কিন্তু//তারা মিথ্যা ভাবছে//ব্যাপারকে ক্বিয়ামাতের//আর আমরা প্রস্তুত করে রেখেছি//জন্যে (তার) যে//মিথ্যারোপ করেছে//ব্যাপারকে ক্বিয়ামাতের//জ্বলন্ত অাগুন"
            },
            {
              "number": 2867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2867.mp3"
              ],
              "text": "إِذَا رَأَتْهُم مِّن مَّكَانٍۭ بَعِيدٍۢ سَمِعُوا۟ لَهَا تَغَيُّظًۭا وَزَفِيرًۭا",
              "translate_bn": "অগ্নি যখন দূর থেকে তাদেরকে দেখবে, তখন তারা শুনতে পাবে তার গর্জন ও হুঙ্কার।",
              "numberInSurah": 12,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ইযা-রাআতহুম মিম মাকা-নিম বা‘ঈদিন ছামি‘ঊ লাহা-তাগাইয়ুজাওঁ ওয়া ঝাফীরা-।",
              "words_arabic": "اِذَا/إِذَا/idha//رَاَتْهُمْ/رَأَتۡهُم/ra-athum//مِّنْ/مِّن/min//مَّكَانٍۭ/مَّكَانِۭ/makanin//بَعِیْدٍ/بَعِيدٖ/ba'idin//سَمِعُوْا/سَمِعُواْ/sami'u//لَهَا/لَهَا/laha//تَغَیُّظًا/تَغَيُّظٗا/taghayyuzan//وَّ زَفِیْرًا /وَزَفِيرٗا/wazafiran",
              "words_bangla": "যখন (আগুন )//তুমি দেখবে তাদেরকে//হ'তে//জায়গা//দূরবর্তী//তারা শুনতে পাবে (তখন)//প্রতি তার//ক্রোধের গর্জন//ও চীৎকার"
            },
            {
              "number": 2868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2868.mp3"
              ],
              "text": "وَإِذَآ أُلْقُوا۟ مِنْهَا مَكَانًۭا ضَيِّقًۭا مُّقَرَّنِينَ دَعَوْا۟ هُنَالِكَ ثُبُورًۭا",
              "translate_bn": "যখন এক শিকলে কয়েকজন বাঁধা অবস্থায় জাহান্নামের কোন সংকীর্ণ স্থানে নিক্ষেপ করা হবে, তখন সেখানে তারা মৃত্যুকে ডাকবে।",
              "numberInSurah": 13,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাউলকূ মিনহা-মাকা-নান দাইয়িকাম মুকাররানীনা দা‘আও হুনা-লিকা ছুবূরা-।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اُلْقُوْا/أُلۡقُواْ/ul'qu//مِنْهَا/مِنۡهَا/min'ha//مَكَانًا/مَكَانٗا/makanan//ضَیِّقًا/ضَيِّقٗا/dayyiqan//مُّقَرَّنِیْنَ/مُّقَرَّنِينَ/muqarranina//دَعَوْا/دَعَوۡاْ/da'aw//هُنَالِكَ/هُنَالِكَ/hunalika//ثُبُوْرًاؕ/ثُبُورٗا/thuburan",
              "words_bangla": "এবং যখন//নিক্ষেপ করা হবে//তার মধ্যে//জায়গায়//সংকীর্ণ//শিকল পরা অবস্থায়//তারা ডাকবে//সেখানে//মৃত্যুকে (ধ্বংস)"
            },
            {
              "number": 2869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2869.mp3"
              ],
              "text": "لَّا تَدْعُوا۟ ٱلْيَوْمَ ثُبُورًۭا وَٰحِدًۭا وَٱدْعُوا۟ ثُبُورًۭا كَثِيرًۭا",
              "translate_bn": "বলা হবে, আজ তোমরা এক মৃত্যুকে ডেকো না অনেক মৃত্যুকে ডাক।",
              "numberInSurah": 14,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "লা-তাদ‘ঊল ইয়াওমা ছুবূরাওঁ ওয়া-হিদাওঁ ওয়াদ‘ঊ ছুবূরান কাছীরা-।",
              "words_arabic": "لَا/لَّا/la//تَدْعُوا/تَدۡعُواْ/tad'u//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//ثُبُوْرًا/ثُبُورٗا/thuburan//وَّاحِدًا/وَٰحِدٗا/wahidan//وَّ ادْعُوْا/وَٱدۡعُواْ/wa-id'u//ثُبُوْرًا/ثُبُورٗا/thuburan//كَثِیْرًا /كَثِيرٗا/kathiran",
              "words_bangla": "\"(বলা হবে) না//তোমরা ডাকো//আজ//মৃত্যুকে (ধ্বংস)//এক (বার)//বরং তোমরা ডাকো//মৃত্যু//বহুবার\""
            },
            {
              "number": 2870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2870.mp3"
              ],
              "text": "قُلْ أَذَٰلِكَ خَيْرٌ أَمْ جَنَّةُ ٱلْخُلْدِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۚ كَانَتْ لَهُمْ جَزَآءًۭ وَمَصِيرًۭا",
              "translate_bn": "বলুন এটা উত্তম, না চিরকাল বসবাসের জান্নাত, যার সুসংবাদ দেয়া হয়েছে মুত্তাকীদেরকে? সেটা হবে তাদের প্রতিদান ও প্রত্যাবর্তন স্থান।",
              "numberInSurah": 15,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "কুল আযা-লিকা খাইরুন আম জান্নাতুল খুলদিল্লাতী উ‘ইদাল মুত্তাকূনা কা-নাত লাহুম জাঝাআওঁ ওয়া মাসীরা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَذٰلِكَ/أَذَٰلِكَ/adhalika//خَیْرٌ/خَيۡرٌ/khayrun//اَمْ/أَمۡ/am//جَنَّةُ/جَنَّةُ/jannatu//الْخُلْدِ/ٱلۡخُلۡدِ/al-khul'di//الَّتِیْ/ٱلَّتِي/allati//وُعِدَ/وُعِدَ/wu'ida//الْمُتَّقُوْنَ ؕ/ٱلۡمُتَّقُونَۚ/al-mutaquna//كَانَتْ/كَانَتۡ/kanat//لَهُمْ/لَهُمۡ/lahum//جَزَآءً/جَزَآءٗ/jazaan//وَّ مَصِیْرًا /وَمَصِيرٗا/wamasiran",
              "words_bangla": "বলো//\"কি এটা//উত্তম//না//জান্নাত//চিরস্থায়ী//যা//প্রতিশ্রুতি দেয়া হয়েছে//মুত্তাকীদেরকে//(সেটা) হবে//জন্যে তাদের//পুরস্কার//ও প্রত্যাবর্তনস্থল"
            },
            {
              "number": 2871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2871.mp3"
              ],
              "text": "لَّهُمْ فِيهَا مَا يَشَآءُونَ خَٰلِدِينَ ۚ كَانَ عَلَىٰ رَبِّكَ وَعْدًۭا مَّسْـُٔولًۭا",
              "translate_bn": "তারা চিরকাল বসবাসরত অবস্থায় সেখানে যা চাইবে, তাই পাবে। এই প্রার্থিত ওয়াদা পূরণ আপনার পালনকর্তার দায়িত্ব।",
              "numberInSurah": 16,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "লাহুম ফীহা-মা-ইয়াশাঊনা খা-লিদীনা কা-না ‘আলা-রাব্বিকা ওয়া‘দাম মাছঊলা-।",
              "words_arabic": "لَهُمْ/لَّهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//یَشَآءُوْنَ/يَشَآءُونَ/yashauna//خٰلِدِیْنَ ؕ/خَٰلِدِينَۚ/khalidina//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//رَبِّكَ/رَبِّكَ/rabbika//وَعْدًا/وَعۡدٗا/wa'dan//مَّسْـُٔوْلًا /مَّسۡـُٔولٗا/masulan",
              "words_bangla": "জন্যে তাদের (থাকবে)//তার মধ্যে//যা//তারা চাইবে//তারা স্থায়ী হবে (সেখানে)//(এটা) হলো//উপর//তোমার রবের//প্রতিশ্রুতি//অবশ্য পালনীয়\""
            },
            {
              "number": 2872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2872.mp3"
              ],
              "text": "وَيَوْمَ يَحْشُرُهُمْ وَمَا يَعْبُدُونَ مِن دُونِ ٱللَّهِ فَيَقُولُ ءَأَنتُمْ أَضْلَلْتُمْ عِبَادِى هَٰٓؤُلَآءِ أَمْ هُمْ ضَلُّوا۟ ٱلسَّبِيلَ",
              "translate_bn": "সেদিন আল্লাহ একত্রিত করবেন তাদেরকে এবং তারা আল্লাহর পরিবর্তে যাদের এবাদত করত তাদেরকে, সেদিন তিনি উপাস্যদেরকে বলবেন, তোমরাই কি আমার এই বান্দাদেরকে পথভ্রান্ত করেছিলে, না তারা নিজেরাই পথভ্রান্ত হয়েছিল?",
              "numberInSurah": 17,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়াহশুরুহুম ওয়ামা- ইয়া‘বুদূনা মিন দূনিল্লা-হি ফাইয়াকূলুআআনতুম আদলালতুম ‘ইবা-দী হাউলাই আম হুম দাল্লুছছাবীল।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَحْشُرُهُمْ/يَحۡشُرُهُمۡ/yahshuruhum//وَ مَا/وَمَا/wama//یَعْبُدُوْنَ/يَعۡبُدُونَ/ya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//اَضْلَلْتُمْ/أَضۡلَلۡتُمۡ/adlaltum//عِبَادِیْ/عِبَادِي/ibadi//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اَمْ/أَمۡ/am//هُمْ/هُمۡ/hum//ضَلُّوا/ضَلُّواْ/dallu//السَّبِیْلَؕ/ٱلسَّبِيلَ/al-sabila",
              "words_bangla": "আর যেদিন//তিনি একত্র করবেন তাদেরকে//এবং যাদেরকে//তারা ইবাদাত করতো//থেকে//পরিবর্তে//আল্লাহর//তখন তিনি বলবেন//\"কি তোমরাই//তোমরা বিভ্রান্ত করেছিলে//আমার দাসদেরকে//এসব//না//তারাই//ভ্রান্ত হয়েছিলো//পথ\""
            },
            {
              "number": 2873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2873.mp3"
              ],
              "text": "قَالُوا۟ سُبْحَٰنَكَ مَا كَانَ يَنۢبَغِى لَنَآ أَن نَّتَّخِذَ مِن دُونِكَ مِنْ أَوْلِيَآءَ وَلَٰكِن مَّتَّعْتَهُمْ وَءَابَآءَهُمْ حَتَّىٰ نَسُوا۟ ٱلذِّكْرَ وَكَانُوا۟ قَوْمًۢا بُورًۭا",
              "translate_bn": "তারা বলবে-আপনি পবিত্র, আমরা আপনার পরিবর্তে অন্যকে মুরুব্বীরূপে গ্রহণ করতে পারতাম না; কিন্তু আপনিই তো তাদেরকে এবং তাদের পিতৃপুরুষদেরকে ভোগসম্ভার দিয়েছিলেন, ফলে তারা আপনার স্মৃতি বিস্মৃত হয়েছিল এবং তারা ছিল ধ্বংসপ্রাপ্ত জাতি।",
              "numberInSurah": 18,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "কা-লূছুবহা-নাকা মা-কা-না ইয়ামবাগী লানাআন নাত্তাখিযা মিন দূ নিকা মিন আওলিয়াআ ওয়ালা-কিম মাত্তা‘তাহুম ওয়া আ-বাআহুম হাত্তা-নাছুযযিকরা- ওয়া কা-নূকাওমাম বূরা-।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//مَا/مَا/ma//كَانَ/كَانَ/kana//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لَنَاۤ/لَنَآ/lana//اَنْ/أَن/an//نَّتَّخِذَ/نَّتَّخِذَ/nattakhidha//مِنْ/مِن/min//دُوْنِكَ/دُونِكَ/dunika//مِنْ/مِنۡ/min//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//وَ لٰكِنْ/وَلَٰكِن/walakin//مَّتَّعْتَهُمْ/مَّتَّعۡتَهُمۡ/matta'tahum//وَ اٰبَآءَهُمْ/وَءَابَآءَهُمۡ/waabaahum//حَتّٰی/حَتَّىٰ/hatta//نَسُوا/نَسُواْ/nasu//الذِّكْرَ ۚ/ٱلذِّكۡرَ/al-dhik'ra//وَ كَانُوْا/وَكَانُواْ/wakanu//قَوْمًۢا/قَوۡمَۢا/qawman//بُوْرًا /بُورٗا/buran",
              "words_bangla": "তারা বলবে//\"সত্ত্বা আপনার পবিত্র মহান//না//ছিলো//উচিত//জন্যে আমাদের//যে//গ্রহণ করবো আমরা//থেকে//আপনার পরিবর্তে//কোন//অভিভাবক//কিন্তু//আপনি ভোগ-সম্ভার দিয়েছেলেন তাদেরকে//এবং তাদের পিতৃ পুরুষদেরকেও//শেষ পর্যন্ত//তারা ভুলে গিয়েছিলো//(আপনার) স্মরণ//এবং তারা হয়েছিলো//জাতিতে//ধ্বংসপ্রাপ্ত\""
            },
            {
              "number": 2874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2874.mp3"
              ],
              "text": "فَقَدْ كَذَّبُوكُم بِمَا تَقُولُونَ فَمَا تَسْتَطِيعُونَ صَرْفًۭا وَلَا نَصْرًۭا ۚ وَمَن يَظْلِم مِّنكُمْ نُذِقْهُ عَذَابًۭا كَبِيرًۭا",
              "translate_bn": "আল্লাহ মুশরিকদেরকে বলবেন, তোমাদের কথা তো তারা মিথ্যা সাব্যস্ত করল, এখন তোমরা শাস্তি প্রতিরোধ করতে পারবে না এবং সাহায্যও করতে পারবে না। তোমাদের মধ্যে যে গোনাহগার আমি তাকে গুরুতর শাস্তি আস্বাদন করাব।",
              "numberInSurah": 19,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ফাকাদ কাযযাবূকুম বিমা-তাকূলূনা ফামা-তাছতী‘ঊনা সারফাওঁ ওয়ালা-নাসরাওঁ ওয়া মাইঁ ইয়াজলিম মিনকুম নুযিকহু ‘আযা-বান কাবীরা-।",
              "words_arabic": "فَقَدْ/فَقَدۡ/faqad//كَذَّبُوْكُمْ/كَذَّبُوكُم/kadhabukum//بِمَا/بِمَا/bima//تَقُوْلُوْنَ ۙ/تَقُولُونَ/taquluna//فَمَا/فَمَا/fama//تَسْتَطِیْعُوْنَ/تَسۡتَطِيعُونَ/tastati'una//صَرْفًا/صَرۡفٗا/sarfan//وَّ لَا/وَلَا/wala//نَصْرًا ۚ/نَصۡرٗاۚ/nasran//وَ مَنْ/وَمَن/waman//یَّظْلِمْ/يَظۡلِم/yazlim//مِّنْكُمْ/مِّنكُمۡ/minkum//نُذِقْهُ/نُذِقۡهُ/nudhiq'hu//عَذَابًا/عَذَابٗا/adhaban//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "\"তখন নিশ্চয়ই//তারা মিথ্যা সাব্যস্ত করেছে তোমাদেরকে//ঐবিষয় যা//তোমরা বলছো//সুতরাং না//তোমরা পারবে//ফিরাতে (শাস্তি)//আর না//সাহায্যও (পাবে)\"//আর যে//সীমালঙ্ঘন করবে//তোমাদের মধ্য হ'তে//তাকে আস্বাদ করাবো আমরা//শাস্তি//গুরুতর"
            },
            {
              "number": 2875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2875.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا قَبْلَكَ مِنَ ٱلْمُرْسَلِينَ إِلَّآ إِنَّهُمْ لَيَأْكُلُونَ ٱلطَّعَامَ وَيَمْشُونَ فِى ٱلْأَسْوَاقِ ۗ وَجَعَلْنَا بَعْضَكُمْ لِبَعْضٍۢ فِتْنَةً أَتَصْبِرُونَ ۗ وَكَانَ رَبُّكَ بَصِيرًۭا",
              "translate_bn": "আপনার পূর্বে যত রসূল প্রেরণ করেছি, তারা সবাই খাদ্য গ্রহণ করত এবং হাটে-বাজারে চলাফেরা করত। আমি তোমাদের এককে অপরের জন্যে পরীক্ষাস্বরূপ করেছি। দেখি, তোমরা সবর কর কিনা। আপনার পালনকর্তা সব কিছু দেখেন।",
              "numberInSurah": 20,
              "juz": 18,
              "manzil": 4,
              "page": 361,
              "ruku": 311,
              "hizbQuarter": 144,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-কাবলাকা মিনাল মুরছালীনা ইল্লাইন্নাহুম লাইয়া’কুলূনাততা‘আ-মা ওয়া ইয়ামশূনা ফিল আছওয়া-কি ওয়াজা‘আলনা-বা‘দাকুম লিবা‘দিন ফিতনাতান আতাসবিরূনা ওয়া কা-না রাব্বুকা বাসীরা।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//قَبْلَكَ/قَبۡلَكَ/qablaka//مِنَ/مِنَ/mina//الْمُرْسَلِیْنَ/ٱلۡمُرۡسَلِينَ/al-mur'salina//اِلَّاۤ/إِلَّآ/illa//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَیَاْكُلُوْنَ/لَيَأۡكُلُونَ/layakuluna//الطَّعَامَ/ٱلطَّعَامَ/al-ta'ama//وَ یَمْشُوْنَ/وَيَمۡشُونَ/wayamshuna//فِی/فِي/fi//الْاَسْوَاقِ ؕ/ٱلۡأَسۡوَاقِۗ/al-aswaqi//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//بَعْضَكُمْ/بَعۡضَكُمۡ/ba'dakum//لِبَعْضٍ/لِبَعۡضٖ/liba'din//فِتْنَةً ؕ/فِتۡنَةً/fit'natan//اَتَصْبِرُوْنَ ۚ/أَتَصۡبِرُونَۗ/atasbiruna//وَ كَانَ/وَكَانَ/wakana//رَبُّكَ/رَبُّكَ/rabbuka//بَصِیْرًا۠/بَصِيرٗا/basiran",
              "words_bangla": "আর (হে নাবী) না//আমরা পাঠিয়েছি//তোমার পূর্বে (কাউকে)//মধ্য হ'তে//রাসূলদের//এ ছাড়া যে//নিশ্চয়ই তারা//অবশ্যই তারা খায়//খাবার//ও চলাফেরা করে//মধ্যে//হাট-বাজারগুলোর//আর আমরা করেছি//একে তোমাদের//জন্যে অপরের//পরীক্ষাস্বরূপ//তোমরা ধৈর্য ধারণ করবে কি//আর (জেনে রেখো) হলেন//তোমার রব (এমন যে)//তিনি সবকিছু দেখেন"
            },
            {
              "number": 2876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2876.mp3"
              ],
              "text": "۞ وَقَالَ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا لَوْلَآ أُنزِلَ عَلَيْنَا ٱلْمَلَٰٓئِكَةُ أَوْ نَرَىٰ رَبَّنَا ۗ لَقَدِ ٱسْتَكْبَرُوا۟ فِىٓ أَنفُسِهِمْ وَعَتَوْ عُتُوًّۭا كَبِيرًۭا",
              "translate_bn": "যারা আমার সাক্ষাৎ আশা করে না, তারা বলে, আমাদের কাছে ফেরেশতা অবতীর্ণ করা হল না কেন? অথবা আমরা আমাদের পালনকর্তাকে দেখি না কেন? তারা নিজেদের অন্তরে অহংকার পোষণ করে এবং গুরুতর অবাধ্যতায় মেতে উঠেছে।",
              "numberInSurah": 21,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কালাল্লাযীনা লা-ইয়ারজূনা লিকাআনা-লাওলাউনঝিলা ‘আলাইনাল মালাইকাতু আও নারা-রাব্বানা- লাকাদিছতাকবারূফীআনফুছিহিম ওয়া‘আতাওঁ‘উতুওয়ান কাবীরা-।",
              "words_arabic": "وَ قَالَ/۞وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//لِقَآءَنَا/لِقَآءَنَا/liqaana//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْنَا/عَلَيۡنَا/alayna//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//اَوْ/أَوۡ/aw//نَرٰی/نَرَىٰ/nara//رَبَّنَا ؕ/رَبَّنَاۗ/rabbana//لَقَدِ/لَقَدِ/laqadi//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//وَ عَتَوْ/وَعَتَوۡ/wa'ataw//عُتُوًّا/عُتُوّٗا/utuwwan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "এবং বলবে//(তারা) যারা//না//আশা করে//প্রতি আমাদের সাক্ষাতের//\"কেন না//অবতীর্ণ করা হলো//আমাদের উপর//ফেরেশতাদের//অথবা//আমরা প্রত্যক্ষ করি//আমাদের রবকে\"//নিশ্চয়ই//তারা অহঙ্কার করেছে//মধ্যে//নিজেদের মনের তাদের//ও  অবাধ্য হয়েছে//অবাধ্য//গুরুতর"
            },
            {
              "number": 2877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2877.mp3"
              ],
              "text": "يَوْمَ يَرَوْنَ ٱلْمَلَٰٓئِكَةَ لَا بُشْرَىٰ يَوْمَئِذٍۢ لِّلْمُجْرِمِينَ وَيَقُولُونَ حِجْرًۭا مَّحْجُورًۭا",
              "translate_bn": "যেদিন তারা ফেরেশতাদেরকে দেখবে, সেদিন অপরাধীদের জন্যে কোন সুসংবাদ থাকবে না এবং তারা বলবে, কোন বাধা যদি তা আটকে রাখত।",
              "numberInSurah": 22,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়ারাওনাল মালাইকাতা লা-বুশরা-ইয়াওমাইযিল লিলমুজরিমীনা ওয়া ইয়াকূ লূনা হিজরাম মাহজূরা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَرَوْنَ/يَرَوۡنَ/yarawna//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//لَا/لَا/la//بُشْرٰی/بُشۡرَىٰ/bush'ra//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُجْرِمِیْنَ/لِّلۡمُجۡرِمِينَ/lil'muj'rimina//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//حِجْرًا/حِجۡرٗا/hij'ran//مَّحْجُوْرًا /مَّحۡجُورٗا/mahjuran",
              "words_bangla": "যেদিন//তারা দেখবে//ফেরেশতাদেরকে//না//সুসংবাদ (থাকবে)//সেদিন//জন্যে অপরাধীদের//এবং তারা বলবে (আছে কি)//\"কোন আড়াল//দুর্ভেদ্য\""
            },
            {
              "number": 2878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2878.mp3"
              ],
              "text": "وَقَدِمْنَآ إِلَىٰ مَا عَمِلُوا۟ مِنْ عَمَلٍۢ فَجَعَلْنَٰهُ هَبَآءًۭ مَّنثُورًا",
              "translate_bn": "আমি তাদের কৃতকর্মের প্রতি মনোনিবেশ করব, অতঃপর সেগুলোকে বিক্ষিপ্ত ধুলিকণারূপে করে দেব।",
              "numberInSurah": 23,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদিমনাইলা-মা-‘আমিলূমিন ‘আমালিন ফাজা‘আলনা-হু হাবাআম মানছূরা-।",
              "words_arabic": "وَ قَدِمْنَاۤ/وَقَدِمۡنَآ/waqadim'na//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//مِنْ/مِنۡ/min//عَمَلٍ/عَمَلٖ/amalin//فَجَعَلْنٰهُ/فَجَعَلۡنَٰهُ/faja'alnahu//هَبَآءً/هَبَآءٗ/habaan//مَّنْثُوْرًا /مَّنثُورًا/manthuran",
              "words_bangla": "এবং আমরা অগ্রসর হবো (বিবেচনা করবো)//(তার) প্রতি//যা//তারা করেছে//কোন//কাজ//অতঃপর তা আমরা পরিণত করবো//ধুলিকণায়//বিক্ষিপ্ত"
            },
            {
              "number": 2879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2879.mp3"
              ],
              "text": "أَصْحَٰبُ ٱلْجَنَّةِ يَوْمَئِذٍ خَيْرٌۭ مُّسْتَقَرًّۭا وَأَحْسَنُ مَقِيلًۭا",
              "translate_bn": "সেদিন জান্নাতীদের বাসস্থান হবে উত্তম এবং বিশ্রামস্থল হবে মনোরম।",
              "numberInSurah": 24,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আসহা-বুল জান্নাতি ইয়াওমাইযিন খাইরুম মুছতাকাররাওঁ ওয়া আহছানুমাকীলা-।",
              "words_arabic": "اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//یَوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//خَیْرٌ/خَيۡرٞ/khayrun//مُّسْتَقَرًّا/مُّسۡتَقَرّٗا/mus'taqarran//وَّ اَحْسَنُ/وَأَحۡسَنُ/wa-ahsanu//مَقِیْلًا /مَقِيلٗا/maqilan",
              "words_bangla": "অধিবাসীদের (জন্যে)//জান্নাতের//সেদিন//উত্তম//বাসস্থান (থাকবে)//ও উৎকৃষ্ট//(দুপুরের) বিশ্রামস্থল"
            },
            {
              "number": 2880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2880.mp3"
              ],
              "text": "وَيَوْمَ تَشَقَّقُ ٱلسَّمَآءُ بِٱلْغَمَٰمِ وَنُزِّلَ ٱلْمَلَٰٓئِكَةُ تَنزِيلًا",
              "translate_bn": "সেদিন আকাশ মেঘমালাসহ বিদীর্ণ হবে এবং সেদিন ফেরেশতাদের নামিয়ে দেয়া হবে,",
              "numberInSurah": 25,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা তাশাক্কাকুছছামাউ বিলগামা-মি ওয়ানুঝঝিলাল মালাইকাতুতানঝীলা-।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//تَشَقَّقُ/تَشَقَّقُ/tashaqqaqu//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//بِالْغَمَامِ/بِٱلۡغَمَٰمِ/bil-ghamami//وَ نُزِّلَ/وَنُزِّلَ/wanuzzila//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//تَنْزِیْلًا /تَنزِيلًا/tanzilan",
              "words_bangla": "এবং সেদিন//বিদীর্ণ হবে//আকাশ//সহ মেঘ//ও অবতীর্ণ করা হবে//ফেরেশতাদেরকে//অবতরণ (ক্রমাগতভাবে)"
            },
            {
              "number": 2881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2881.mp3"
              ],
              "text": "ٱلْمُلْكُ يَوْمَئِذٍ ٱلْحَقُّ لِلرَّحْمَٰنِ ۚ وَكَانَ يَوْمًا عَلَى ٱلْكَٰفِرِينَ عَسِيرًۭا",
              "translate_bn": "সেদিন সত্যিকার রাজত্ব হবে দয়াময় আল্লাহর এবং কাফেরদের পক্ষে দিনটি হবে কঠিন।",
              "numberInSurah": 26,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আলমুলকুইয়াওমাইযিনিল হাক্কুলিররাহমা-নি ওয়া কা-না ইয়াওমান ‘আলাল কাফিরীনা ‘আছীরা-।",
              "words_arabic": "اَلْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//یَوْمَىِٕذِ/يَوۡمَئِذٍ/yawma-idhin//لْحَقُّ/ٱلۡحَقُّ/al-haqu//لِلرَّحْمٰنِ ؕ/لِلرَّحۡمَٰنِۚ/lilrrahmani//وَ كَانَ/وَكَانَ/wakana//یَوْمًا/يَوۡمًا/yawman//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//عَسِیْرًا /عَسِيرٗا/asiran",
              "words_bangla": "কর্তৃত্ব (হবে)//সেদিন//প্রকৃত (কর্তৃত্ব)//জন্যে দয়াময়ের//আর হবে//সেদিন//জন্যে//কাফিরদের//কঠিন"
            },
            {
              "number": 2882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2882.mp3"
              ],
              "text": "وَيَوْمَ يَعَضُّ ٱلظَّالِمُ عَلَىٰ يَدَيْهِ يَقُولُ يَٰلَيْتَنِى ٱتَّخَذْتُ مَعَ ٱلرَّسُولِ سَبِيلًۭا",
              "translate_bn": "জালেম সেদিন আপন হস্তদ্বয় দংশন করতে করতে বলবে, হায় আফসোস! আমি যদি রসূলের সাথে পথ অবলম্বন করতাম।",
              "numberInSurah": 27,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়া‘আদ্দুজ্জা-লিমু‘আলা-ইয়াদাইহি ইয়াকূ লুইয়া-লাইতানিততাখাযতু মা‘আর রাছূলি ছাবীলা-।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَعَضُّ/يَعَضُّ/ya'addu//الظَّالِمُ/ٱلظَّالِمُ/al-zalimu//عَلٰی/عَلَىٰ/ala//یَدَیْهِ/يَدَيۡهِ/yadayhi//یَقُوْلُ/يَقُولُ/yaqulu//یٰلَیْتَنِی/يَٰلَيۡتَنِي/yalaytani//اتَّخَذْتُ/ٱتَّخَذۡتُ/ittakhadhtu//مَعَ/مَعَ/ma'a//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "এবং সেদিন//কামড়াবে//সীমালঙ্ঘনকারী//উপর//তার দু'হাতের//বলবে//\"হায়! আমার দুর্ভোগ//আমি ধরতাম (যদি)//সাথে//রাসূলের//পথ"
            },
            {
              "number": 2883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2883.mp3"
              ],
              "text": "يَٰوَيْلَتَىٰ لَيْتَنِى لَمْ أَتَّخِذْ فُلَانًا خَلِيلًۭا",
              "translate_bn": "হায় আমার দূর্ভাগ্য, আমি যদি অমুককে বন্ধুরূপে গ্রহণ না করতাম।",
              "numberInSurah": 28,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ইয়া-ওয়াইলাতা-লাইতানী লাম আত্তাখিযফুলা-নান খালীলা-।",
              "words_arabic": "یٰوَیْلَتٰی/يَٰوَيۡلَتَىٰ/yawaylata//لَیْتَنِیْ/لَيۡتَنِي/laytani//لَمْ/لَمۡ/lam//اَتَّخِذْ/أَتَّخِذۡ/attakhidh//فُلَانًا/فُلَانًا/fulanan//خَلِیْلًا /خَلِيلٗا/khalilan",
              "words_bangla": "হায়! আমার দুর্ভাগ্য//আমার দুর্ভোগ//না//গ্রহণ করতাম//অমুককে//বন্ধুরূপে"
            },
            {
              "number": 2884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2884.mp3"
              ],
              "text": "لَّقَدْ أَضَلَّنِى عَنِ ٱلذِّكْرِ بَعْدَ إِذْ جَآءَنِى ۗ وَكَانَ ٱلشَّيْطَٰنُ لِلْإِنسَٰنِ خَذُولًۭا",
              "translate_bn": "আমার কাছে উপদেশ আসার পর সে আমাকে তা থেকে বিভ্রান্ত করেছিল। শয়তান মানুষকে বিপদকালে ধোঁকা দেয়।",
              "numberInSurah": 29,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আদাল্লানী ‘আনিযযিকরি বা‘দা ইযজাআনী ওয়া কা-নাশশাইতা-নু লিলইনছা-নি খাযূলা-।\r\n",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//اَضَلَّنِیْ/أَضَلَّنِي/adallani//عَنِ/عَنِ/ani//الذِّكْرِ/ٱلذِّكۡرِ/al-dhik'ri//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//جَآءَنِیْ ؕ/جَآءَنِيۗ/jaani//وَ كَانَ/وَكَانَ/wakana//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//خَذُوْلًا /خَذُولٗا/khadhulan",
              "words_bangla": "নিশ্চয়ই//আমাকে সে বিভ্রান্ত করেছে//হ'তে//উপদেশ (কুরআন)//এরপরও//যখন//আমার (নিকট) এসেছিলো//আর হলো//শয়তান//জন্যে মানুষের//প্রতারক\""
            },
            {
              "number": 2885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2885.mp3"
              ],
              "text": "وَقَالَ ٱلرَّسُولُ يَٰرَبِّ إِنَّ قَوْمِى ٱتَّخَذُوا۟ هَٰذَا ٱلْقُرْءَانَ مَهْجُورًۭا",
              "translate_bn": "রসূল বললেনঃ হে আমার পালনকর্তা, আমার সম্প্রদায় এই কোরআনকে প্রলাপ সাব্যস্ত করেছে।",
              "numberInSurah": 30,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাররাছূলুইয়া-রাব্বি ইন্না কাওমিততাখাযূহা-যাল কুরআ-না মাহজূরা-।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//یٰرَبِّ/يَٰرَبِّ/yarabbi//اِنَّ/إِنَّ/inna//قَوْمِی/قَوۡمِي/qawmi//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//مَهْجُوْرًا /مَهۡجُورٗا/mahjuran",
              "words_bangla": "এবং বলবে//রাসূল//\"হে আমার রব//নিশ্চয়ই//আমার জাতি//গ্রহণ করেছিলো//এই//কুরআনকে//পরিত্যাজ্য\""
            },
            {
              "number": 2886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2886.mp3"
              ],
              "text": "وَكَذَٰلِكَ جَعَلْنَا لِكُلِّ نَبِىٍّ عَدُوًّۭا مِّنَ ٱلْمُجْرِمِينَ ۗ وَكَفَىٰ بِرَبِّكَ هَادِيًۭا وَنَصِيرًۭا",
              "translate_bn": "এমনিভাবে প্রত্যেক নবীর জন্যে আমি অপরাধীদের মধ্য থেকে শত্রু করেছি। আপনার জন্যে আপনার পালনকর্তা পথপ্রদর্শক ও সাহায্যকারীরূপে যথেষ্ট।",
              "numberInSurah": 31,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা জা‘আলনা-লিকুল্লি নাবিইয়িন ‘আদুওওয়াম মিনাল মুজরিমীনা ওয়া কাফা-বিরাব্বিকা হা-দিয়াওঁ ওয়া নাসীরা-।\r\n",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//جَعَلْنَا/جَعَلۡنَا/ja'alna//لِكُلِّ/لِكُلِّ/likulli//نَبِیٍّ/نَبِيٍّ/nabiyyin//عَدُوًّا/عَدُوّٗا/aduwwan//مِّنَ/مِّنَ/mina//الْمُجْرِمِیْنَ ؕ/ٱلۡمُجۡرِمِينَۗ/al-muj'rimina//وَ كَفٰی/وَكَفَىٰ/wakafa//بِرَبِّكَ/بِرَبِّكَ/birabbika//هَادِیًا/هَادِيٗا/hadiyan//وَّ نَصِیْرًا /وَنَصِيرٗا/wanasiran",
              "words_bangla": "এবং এভাবে//আমরা করেছি//জন্যে প্রত্যেক//নাবীর//শত্রু//থেকে//দুষ্কৃতিকারীদেরকে//এবং যথেষ্ট//তোমার রব (তোমার জন্যে)//পথপ্রদর্শক//ও সাহায্যকারীরূপে"
            },
            {
              "number": 2887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2887.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَوْلَا نُزِّلَ عَلَيْهِ ٱلْقُرْءَانُ جُمْلَةًۭ وَٰحِدَةًۭ ۚ كَذَٰلِكَ لِنُثَبِّتَ بِهِۦ فُؤَادَكَ ۖ وَرَتَّلْنَٰهُ تَرْتِيلًۭا",
              "translate_bn": "সত্য প্রত্যাখানকারীরা বলে, তাঁর প্রতি সমগ্র কোরআন একদফায় অবতীর্ণ হল না কেন? আমি এমনিভাবে অবতীর্ণ করেছি এবং ক্রমে ক্রমে আবৃত্তি করেছি আপনার অন্তকরণকে মজবুত করার জন্যে।",
              "numberInSurah": 32,
              "juz": 19,
              "manzil": 4,
              "page": 362,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূলাওলা-নুঝঝিলা ‘আলাইহিল কুরআ-নুজুম লাতাওঁ ওয়াহিদাতান কাযা-লিকা লিনুছাব্বিতা বিহী ফুআ-দাকা ওয়া রাত্তালনা-হু তারতীলা-।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوْ لَا/لَوۡلَا/lawla//نُزِّلَ/نُزِّلَ/nuzzila//عَلَیْهِ/عَلَيۡهِ/alayhi//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//جُمْلَةً/جُمۡلَةٗ/jum'latan//وَّاحِدَةً ۛۚ/وَٰحِدَةٗۚ/wahidatan//كَذٰلِكَ ۛۚ/كَذَٰلِكَ/kadhalika//لِنُثَبِّتَ/لِنُثَبِّتَ/linuthabbita//بِهٖ/بِهِۦ/bihi//فُؤَادَكَ/فُؤَادَكَۖ/fuadaka//وَ رَتَّلْنٰهُ/وَرَتَّلۡنَٰهُ/warattalnahu//تَرْتِیْلًا /تَرۡتِيلٗا/tartilan",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"কেন না//অবতীর্ণ হলো//তার উপর//কুরআন//সমগ্র\"//একবারে\"//এভাবে (করেছি)//যেন আমরা দৃঢ় করি//এদ্বারা//তোমার অন্তরকে//এবং তা আমরা আবৃত্তি করেছি (সাজিয়েছি)//থেমে থেমে আবৃত্তি (স্পষ্টভাবে সাজানো)"
            },
            {
              "number": 2888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2888.mp3"
              ],
              "text": "وَلَا يَأْتُونَكَ بِمَثَلٍ إِلَّا جِئْنَٰكَ بِٱلْحَقِّ وَأَحْسَنَ تَفْسِيرًا",
              "translate_bn": "তারা আপনার কাছে কোন সমস্যা উপস্থাপিত করলেই আমি আপনাকে তার সঠিক জওয়াব ও সুন্দর ব্যাখ্যা দান করি।",
              "numberInSurah": 33,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা ইয়া’তূনাকা বিমাছালিন ইল্লা-জি’না-কা বিল হাক্কিওয়া আহছানা তাফছীরা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَاْتُوْنَكَ/يَأۡتُونَكَ/yatunaka//بِمَثَلٍ/بِمَثَلٍ/bimathalin//اِلَّا/إِلَّا/illa//جِئْنٰكَ/جِئۡنَٰكَ/ji'naka//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اَحْسَنَ/وَأَحۡسَنَ/wa-ahsana//تَفْسِیْرًاؕ/تَفۡسِيرًا/tafsiran",
              "words_bangla": "এবং না//তোমার (কাছে) তারা আসে//নিয়ে কোন সমস্যাকে//এ ছাড়া যে//তোমার কাছে আসি আমরা//ভাবে সঠিক (সমাধান)//ও অতি উত্তম//ব্যাখ্যা (প্রদান করি)"
            },
            {
              "number": 2889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2889.mp3"
              ],
              "text": "ٱلَّذِينَ يُحْشَرُونَ عَلَىٰ وُجُوهِهِمْ إِلَىٰ جَهَنَّمَ أُو۟لَٰٓئِكَ شَرٌّۭ مَّكَانًۭا وَأَضَلُّ سَبِيلًۭا",
              "translate_bn": "যাদেরকে মুখ থুবড়ে পড়ে থাকা অবস্থায় জাহান্নামের দিকে একত্রিত করা হবে, তাদেরই স্থান হবে নিকৃষ্ট এবং তারাই পথভ্রষ্ট।",
              "numberInSurah": 34,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 312,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউহশারূনা ‘আলা-উজূহিহিম ইলা-জাহান্নামা উলাইকা শাররুম মাকানাওঁ ওয়া আদাল্লুছাবীলা-।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یُحْشَرُوْنَ/يُحۡشَرُونَ/yuh'sharuna//عَلٰی/عَلَىٰ/ala//وُجُوْهِهِمْ/وُجُوهِهِمۡ/wujuhihim//اِلٰی/إِلَىٰ/ila//جَهَنَّمَ ۙ/جَهَنَّمَ/jahannama//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//شَرٌّ/شَرّٞ/sharrun//مَّكَانًا/مَّكَانٗا/makanan//وَّ اَضَلُّ/وَأَضَلُّ/wa-adallu//سَبِیْلًا۠/سَبِيلٗا/sabilan",
              "words_bangla": "যাদেরকে//একত্র করা হবে//উপর (ভর করে)//মুখমণ্ডলের তাদের//দিকে//জাহান্নামের//ঐসব লোকের  (জন্যে হবে)//নিকৃষ্ট//অবস্থান//ও চূড়ান্তভাবে ভ্রষ্ট হয়েছে//পথ"
            },
            {
              "number": 2890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2890.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ وَجَعَلْنَا مَعَهُۥٓ أَخَاهُ هَٰرُونَ وَزِيرًۭا",
              "translate_bn": "আমি তো মূসাকে কিতাব দিয়েছি এবং তাঁর সাথে তাঁর ভ্রাতা হারুনকে সাহায্যকারী করেছি।",
              "numberInSurah": 35,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আ-তাইনা- মূছাল কিতা-বা ওয়া জা‘আলনা- মা‘আহূআখা-হুহা-রূনা ওয়াঝীরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//مَعَهٗۤ/مَعَهُۥٓ/ma'ahu//اَخَاهُ/أَخَاهُ/akhahu//هٰرُوْنَ/هَٰرُونَ/haruna//وَزِیْرًاۚۖ/وَزِيرٗا/waziran",
              "words_bangla": "এবং  নিশ্চয়ই//আমরা দিয়েছিলাম//মূসাকে//কিতাব//ও আমরা করেছিলাম//তার সাথে//তার ভাই//হারুনকে//সাহায্যকারী"
            },
            {
              "number": 2891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2891.mp3"
              ],
              "text": "فَقُلْنَا ٱذْهَبَآ إِلَى ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِنَا فَدَمَّرْنَٰهُمْ تَدْمِيرًۭا",
              "translate_bn": "অতঃপর আমি বলেছি, তোমরা সেই সম্প্রদায়ের কাছে যাও, যারা আমার আয়াতসমূহকে মিথ্যা অভিহিত করেছে। অতঃপর আমি তাদেরকে সমূলে ধ্বংস করে দিয়েছি।",
              "numberInSurah": 36,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ফাকুলনাযহাবাইলাল কাওমিল্লাযীনা কাযযাবূবিআ-য়া-তিনা- ফাদাম্মারনা-হুম তাদমীরা-।",
              "words_arabic": "فَقُلْنَا/فَقُلۡنَا/faqul'na//اذْهَبَاۤ/ٱذۡهَبَآ/idh'haba//اِلَی/إِلَى/ila//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا ؕ/بِـَٔايَٰتِنَا/biayatina//فَدَمَّرْنٰهُمْ/فَدَمَّرۡنَٰهُمۡ/fadammarnahum//تَدْمِیْرًاؕ/تَدۡمِيرٗا/tadmiran",
              "words_bangla": "অতঃপর আমরা বলেছিলাম//\"দু'জনে যাও//প্রতি//(সে জাতির) লোকদের//যারা//মিথ্যারোপ করেছে//প্রতি আমার নির্দেশনাবলীর\"//ফলে আমরা ধ্বংস করে দিয়েছি তাদেরকে//ধ্বংস (সম্পূর্ণ রূপে)"
            },
            {
              "number": 2892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2892.mp3"
              ],
              "text": "وَقَوْمَ نُوحٍۢ لَّمَّا كَذَّبُوا۟ ٱلرُّسُلَ أَغْرَقْنَٰهُمْ وَجَعَلْنَٰهُمْ لِلنَّاسِ ءَايَةًۭ ۖ وَأَعْتَدْنَا لِلظَّٰلِمِينَ عَذَابًا أَلِيمًۭا",
              "translate_bn": "নূহের সম্প্রদায় যখন রসূলগণের প্রতি মিথ্যারোপ করল, তখন আমি তাদেরকে নিমজ্জত করলাম এবং তাদেরকে মানবমন্ডলীর জন্যে নিদর্শন করে দিলাম। জালেমদের জন্যে আমি যন্ত্রণাদায়ক শাস্তি প্রস্তুত করে রেখেছি।",
              "numberInSurah": 37,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাওমা নূহিল লাম্মা-কাযযাবুর রুছুলা আগরাকনা-হুম ওয়া জা‘আলনা-হুম লিন্না-ছি আ-য়াতাওঁ ওয়া আ‘তাদনা-লিজ্জা-লিমীনা ‘আযা-বান আলীমা-",
              "words_arabic": "وَ قَوْمَ/وَقَوۡمَ/waqawma//نُوْحٍ/نُوحٖ/nuhin//لَّمَّا/لَّمَّا/lamma//كَذَّبُوا/كَذَّبُواْ/kadhabu//الرُّسُلَ/ٱلرُّسُلَ/al-rusula//اَغْرَقْنٰهُمْ/أَغۡرَقۡنَٰهُمۡ/aghraqnahum//وَ جَعَلْنٰهُمْ/وَجَعَلۡنَٰهُمۡ/waja'alnahum//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//اٰیَةً ؕ/ءَايَةٗۖ/ayatan//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًاۚۖ/أَلِيمٗا/aliman",
              "words_bangla": "এবং জাতি//নূহের//যখন//মিথ্যারোপ করেছিলো//রাসুলদেরকে//আমরা ডুবিয়ে দিয়েছি তাদেরকে//এবং আমরা করেছিলাম তাদেরকে//জন্যে মানুষের//নিদর্শন//আর আমরা প্রস্তুত করে রেখেছি//জন্যে সীমালঙ্ঘনকারীদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 2893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2893.mp3"
              ],
              "text": "وَعَادًۭا وَثَمُودَا۟ وَأَصْحَٰبَ ٱلرَّسِّ وَقُرُونًۢا بَيْنَ ذَٰلِكَ كَثِيرًۭا",
              "translate_bn": "আমি ধ্বংস করেছি আদ, সামুদ, কপবাসী এবং তাদের মধ্যবর্তী অনেক সম্প্রদায়কে।",
              "numberInSurah": 38,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া-‘আদাওঁ ওয়া ছামূদা ওয়া আসহা-বার রাছছি ওয়া কুরূনাম বাইনা যা-লিকা কাছীরা-।",
              "words_arabic": "وَّ عَادًا/وَعَادٗا/wa'adan//وَّ ثَمُوْدَاۡ/وَثَمُودَاْ/wathamuda//وَ اَصْحٰبَ/وَأَصۡحَٰبَ/wa-ashaba//الرَّسِّ/ٱلرَّسِّ/al-rasi//وَ قُرُوْنًۢا/وَقُرُونَۢا/waqurunan//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ/ذَٰلِكَ/dhalika//كَثِیْرًا /كَثِيرٗا/kathiran",
              "words_bangla": "এবং (ধ্বংস করেছি) আদ//ও সামূদ//ও অধিবাসী//রাস্‌//এবং শতাব্দীসমূহে//মাঝের//এদের//অনেক (লোক)"
            },
            {
              "number": 2894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2894.mp3"
              ],
              "text": "وَكُلًّۭا ضَرَبْنَا لَهُ ٱلْأَمْثَٰلَ ۖ وَكُلًّۭا تَبَّرْنَا تَتْبِيرًۭا",
              "translate_bn": "আমি প্রত্যেকের জন্যেই দৃষ্টান্ত বর্ণনা করেছি এবং প্রত্যেককেই সম্পুর্ণরূপে ধ্বংস করেছি।",
              "numberInSurah": 39,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লান দারাবনা-লাহুল আমছা-লা ওয়া কুল্লান তাব্বারনা-তাতবীরা-।",
              "words_arabic": "وَ كُلًّا/وَكُلّٗا/wakullan//ضَرَبْنَا/ضَرَبۡنَا/darabna//لَهُ/لَهُ/lahu//الْاَمْثَالَ ؗ/ٱلۡأَمۡثَٰلَۖ/al-amthala//وَ كُلًّا/وَكُلّٗا/wakullan//تَبَّرْنَا/تَبَّرۡنَا/tabbarna//تَتْبِیْرًا /تَتۡبِيرٗا/tatbiran",
              "words_bangla": "এবং প্রত্যেক (জাতিকে)//আমরা বর্ণনা দিয়েছি//জন্যে তার//দৃষ্টান্তসমূহ (পুর্বের)//এবং প্রত্যেককে//আমরা ধ্বংস করেছি//ধ্বংস (সম্পূর্ণরূপে)"
            },
            {
              "number": 2895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2895.mp3"
              ],
              "text": "وَلَقَدْ أَتَوْا۟ عَلَى ٱلْقَرْيَةِ ٱلَّتِىٓ أُمْطِرَتْ مَطَرَ ٱلسَّوْءِ ۚ أَفَلَمْ يَكُونُوا۟ يَرَوْنَهَا ۚ بَلْ كَانُوا۟ لَا يَرْجُونَ نُشُورًۭا",
              "translate_bn": "তারা তো সেই জনপদের উপর দিয়েই যাতায়াত করে, যার ওপর বর্ষিত হয়েছে মন্দ বৃষ্টি। তবে কি তারা তা প্রত্যক্ষ করে না? বরং তারা পুনরুজ্জীবনের আশঙ্কা করে না।",
              "numberInSurah": 40,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আতাও ‘আলাল কারয়াতিল্লাতীউমতিরাত মাতারাছছাওই আফালাম ইয়াকূনূইয়ারাওনাহা- বাল কা-নূলা-ইয়ারজূনা নুশূরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَتَوْا/أَتَوۡاْ/ataw//عَلَی/عَلَى/ala//الْقَرْیَةِ/ٱلۡقَرۡيَةِ/al-qaryati//الَّتِیْۤ/ٱلَّتِيٓ/allati//اُمْطِرَتْ/أُمۡطِرَتۡ/um'tirat//مَطَرَ/مَطَرَ/matara//السَّوْءِ ؕ/ٱلسَّوۡءِۚ/al-sawi//اَفَلَمْ/أَفَلَمۡ/afalam//یَكُوْنُوْا/يَكُونُواْ/yakunu//یَرَوْنَهَا ۚ/يَرَوۡنَهَاۚ/yarawnaha//بَلْ/بَلۡ/bal//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//نُشُوْرًا /نُشُورٗا/nushuran",
              "words_bangla": "এবং নিশ্চয়ই//তারা আসা যাওয়া করে//উপর (দিয়ে)//(সেই) জনপদের//যার (উপর)//বৃষ্টি বর্ষিত হয়েছিল//বৃষ্টি//নিকৃষ্ট রকমের//কি তবে না//তারা থাকে//তা তারা দেখে//বরং//তারা হলো (এমন যে)//না//তারা আশা করে//উত্থানের"
            },
            {
              "number": 2896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2896.mp3"
              ],
              "text": "وَإِذَا رَأَوْكَ إِن يَتَّخِذُونَكَ إِلَّا هُزُوًا أَهَٰذَا ٱلَّذِى بَعَثَ ٱللَّهُ رَسُولًا",
              "translate_bn": "তারা যখন আপনাকে দেখে, তখন আপনাকে কেবল বিদ্রুপের পাত্ররূপে গ্রহণ করে, বলে, এ-ই কি সে যাকে আল্লাহ ‘রসূল’ করে প্রেরণ করেছেন?",
              "numberInSurah": 41,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআওকা ইয়ঁইয়াত্তাখিযূনাকা ইল্লা-হুঝুওয়ান আহা-যাল্লাযী বা‘আছাল্লাহু রাছূলা-।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَوْكَ/رَأَوۡكَ/ra-awka//اِنْ/إِن/in//یَّتَّخِذُوْنَكَ/يَتَّخِذُونَكَ/yattakhidhunaka//اِلَّا/إِلَّا/illa//هُزُوًا ؕ/هُزُوًا/huzuwan//اَهٰذَا/أَهَٰذَا/ahadha//الَّذِیْ/ٱلَّذِي/alladhi//بَعَثَ/بَعَثَ/ba'atha//اللّٰهُ/ٱللَّهُ/al-lahu//رَسُوْلًا /رَسُولًا/rasulan",
              "words_bangla": "এবং যখন//তোমাকে তারা দেখে//না//তোমাকে তারা গ্রহণ করে//এ ছাড়া যে//বিদ্রূপের পাত্ররূপে//\"(তারা বলে) কি এই//যাকে//পাঠিয়েছেন//আল্লাহ//রাসূলরূপে"
            },
            {
              "number": 2897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2897.mp3"
              ],
              "text": "إِن كَادَ لَيُضِلُّنَا عَنْ ءَالِهَتِنَا لَوْلَآ أَن صَبَرْنَا عَلَيْهَا ۚ وَسَوْفَ يَعْلَمُونَ حِينَ يَرَوْنَ ٱلْعَذَابَ مَنْ أَضَلُّ سَبِيلًا",
              "translate_bn": "সে তো আমাদেরকে আমাদের উপাস্যগণের কাছ থেকে সরিয়েই দিত, যদি আমরা তাদেরকে আঁকড়ে ধরে না থাকতাম। তারা যখন শাস্তি প্রত্যক্ষ করবে, তখন জানতে পারবে কে অধিক পথভ্রষ্ট।",
              "numberInSurah": 42,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ইন কা-দা লাইউদিল্লুনা-‘আন আ-লিহাতিনা- লাওলাআন সাবারনা-‘আলাইহা- ওয়া ছাওফা ইয়া‘লামূনা হীনা ইয়ারাওনাল ‘আযা-বা মান আদাল্লুছাবীলা-।",
              "words_arabic": "اِنْ/إِن/in//كَادَ/كَادَ/kada//لَیُضِلُّنَا/لَيُضِلُّنَا/layudilluna//عَنْ/عَنۡ/an//اٰلِهَتِنَا/ءَالِهَتِنَا/alihatina//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَن/an//صَبَرْنَا/صَبَرۡنَا/sabarna//عَلَیْهَا ؕ/عَلَيۡهَاۚ/alayha//وَ سَوْفَ/وَسَوۡفَ/wasawfa//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//حِیْنَ/حِينَ/hina//یَرَوْنَ/يَرَوۡنَ/yarawna//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//مَنْ/مَنۡ/man//اَضَلُّ/أَضَلُّ/adallu//سَبِیْلًا /سَبِيلًا/sabilan",
              "words_bangla": "যদি//উপক্রম হয়েছিলো//অবশ্যই আমাদেরকে ভ্রষ্ট করে দিতো//হ'তে//আমাদের দেবতাগুলো//যদি না//যে//আমরা ধৈর্য ধরতাম//তাদের উপর\"//আর শীঘ্রই//তারা জানতে পারবে//যখন//তারা দেখবে//শাস্তি//কে//চূড়ান্তরূপে ভ্রষ্ট হয়েছে//পথ"
            },
            {
              "number": 2898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2898.mp3"
              ],
              "text": "أَرَءَيْتَ مَنِ ٱتَّخَذَ إِلَٰهَهُۥ هَوَىٰهُ أَفَأَنتَ تَكُونُ عَلَيْهِ وَكِيلًا",
              "translate_bn": "আপনি কি তাকে দেখেন না, যে তারা প্রবৃত্তিকে উপাস্যরূপে গ্রহণ করে? তবুও কি আপনি তার যিম্মাদার হবেন?",
              "numberInSurah": 43,
              "juz": 19,
              "manzil": 4,
              "page": 363,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আরাআইতা মানিততাখাযা ইলা-হাহূহাওয়া-হু আফাআনতা তাকূনু‘আলাইহি ওয়াকীলা-।",
              "words_arabic": "اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//مَنِ/مَنِ/mani//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اِلٰهَهٗ/إِلَٰهَهُۥ/ilahahu//هَوٰىهُ ؕ/هَوَىٰهُ/hawahu//اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تَكُوْنُ/تَكُونُ/takunu//عَلَیْهِ/عَلَيۡهِ/alayhi//وَكِیْلًاۙ/وَكِيلًا/wakilan",
              "words_bangla": "কি তুমি (ভেবে) দেখেছো//যে//গ্রহণ করেছে//উপাস্যরূপে//তার বাসনা লালসাকে//কি তবে তুমি//তুমি হবে//তার উপর//কর্মবিধায়ক"
            },
            {
              "number": 2899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2899.mp3"
              ],
              "text": "أَمْ تَحْسَبُ أَنَّ أَكْثَرَهُمْ يَسْمَعُونَ أَوْ يَعْقِلُونَ ۚ إِنْ هُمْ إِلَّا كَٱلْأَنْعَٰمِ ۖ بَلْ هُمْ أَضَلُّ سَبِيلًا",
              "translate_bn": "আপনি কি মনে করেন যে, তাদের অধিকাংশ শোনে অথবা বোঝে ? তারা তো চতুস্পদ জন্তুর মত; বরং আরও পথভ্রান্ত",
              "numberInSurah": 44,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 313,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আম তাহছাবুআন্না আকছারাহুম ইয়াছমা‘ঊনা আও ইয়া‘কিলূনা ইন হুম ইল্লা-কাল আন‘আ-মি বাল হুম আদাল্লুছাবীলা-।",
              "words_arabic": "اَمْ/أَمۡ/am//تَحْسَبُ/تَحۡسَبُ/tahsabu//اَنَّ/أَنَّ/anna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//اَوْ/أَوۡ/aw//یَعْقِلُوْنَ ؕ/يَعۡقِلُونَۚ/ya'qiluna//اِنْ/إِنۡ/in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//كَالْاَنْعَامِ/كَٱلۡأَنۡعَٰمِ/kal-an'ami//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//اَضَلُّ/أَضَلُّ/adallu//سَبِیْلًا۠/سَبِيلًا/sabilan",
              "words_bangla": "অথবা কি//মনে করো তুমি//যে//অধিকাংশ তাদের//শূনতে পায়//অথবা//বুঝতে পারে//নয়//তারা//এ ছাড়া//মতো চতুষ্পদ পশুর//বরং//তারা//অধিকতর ভ্রষ্ট হয়েছে//পথ"
            },
            {
              "number": 2900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2900.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَىٰ رَبِّكَ كَيْفَ مَدَّ ٱلظِّلَّ وَلَوْ شَآءَ لَجَعَلَهُۥ سَاكِنًۭا ثُمَّ جَعَلْنَا ٱلشَّمْسَ عَلَيْهِ دَلِيلًۭا",
              "translate_bn": "তুমি কি তোমার পালনকর্তাকে দেখ না, তিনি কিভাবে ছায়াকে বিলম্বিত করেন? তিনি ইচ্ছা করলে একে স্থির রাখতে পারতেন। এরপর আমি সূর্যকে করেছি এর নির্দেশক।",
              "numberInSurah": 45,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলা-রাব্বিকা কাইফা মাদ্দাজজিল্লা ওয়ালাও শাআ লাজা‘আলাহূছাকিনান ছু ম্মা জা‘আলনাশশামছা ‘আলাইহি দালীলা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//كَیْفَ/كَيۡفَ/kayfa//مَدَّ/مَدَّ/madda//الظِّلَّ ۚ/ٱلظِّلَّ/al-zila//وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//لَجَعَلَهٗ/لَجَعَلَهُۥ/laja'alahu//سَاكِنًا ۚ/سَاكِنٗا/sakinan//ثُمَّ/ثُمَّ/thumma//جَعَلْنَا/جَعَلۡنَا/ja'alna//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//عَلَیْهِ/عَلَيۡهِ/alayhi//دَلِیْلًاۙ/دَلِيلٗا/dalilan",
              "words_bangla": "কি নি//তুমি (ভেবে) দেখো//প্রতি//তোমার রবের//কিভাবে//তিনি বিস্তার করেছেন//ছায়া//এবং যদি//তিনি চাইতেন//অবশ্যই তাকে করতে পারতেন//স্থির//এরপর//আমরা করেছি//সূর্যকে//তার উপর//প্রমাণ"
            },
            {
              "number": 2901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2901.mp3"
              ],
              "text": "ثُمَّ قَبَضْنَٰهُ إِلَيْنَا قَبْضًۭا يَسِيرًۭا",
              "translate_bn": "অতঃপর আমি একে নিজের দিকে ধীরে ধীরে গুটিয়ে আনি।",
              "numberInSurah": 46,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কাবাদনা-হু ইলাইনা-কাবদাইঁ ইয়াছীরা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قَبَضْنٰهُ/قَبَضۡنَٰهُ/qabadnahu//اِلَیْنَا/إِلَيۡنَا/ilayna//قَبْضًا/قَبۡضٗا/qabdan//یَّسِیْرًا /يَسِيرٗا/yasiran",
              "words_bangla": "এরপর//তাকে আমরা গুটিয়ে আনি//আমাদের দিকে//গুটিয়ে//ধীর ভাবে"
            },
            {
              "number": 2902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2902.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِبَاسًۭا وَٱلنَّوْمَ سُبَاتًۭا وَجَعَلَ ٱلنَّهَارَ نُشُورًۭا",
              "translate_bn": "তিনিই তো তোমাদের জন্যে রাত্রিকে করেছেন আবরণ, নিদ্রাকে বিশ্রাম এবং দিনকে করেছেন বাইরে গমনের জন্যে।",
              "numberInSurah": 47,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী জা‘আলা লাকুমুল্লাইলা লিবা-ছাওঁ ওয়ান নাওমা ছুবা-তাওঁ ওয়া জা‘আলান্নাহা-রা নুশূরা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//لِبَاسًا/لِبَاسٗا/libasan//وَّ النَّوْمَ/وَٱلنَّوۡمَ/wal-nawma//سُبَاتًا/سُبَاتٗا/subatan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//النَّهَارَ/ٱلنَّهَارَ/al-nahara//نُشُوْرًا /نُشُورٗا/nushuran",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//করেছেন//জন্যে তোমাদের//রাতকে//(আবরণ ও) পোশাকস্বরূপ//ও ঘুমকে (করেছেন)//(মৃত্যুর সম) বিশ্রামস্বরূপ//ও তিনি করেছেন//দিনকে//(জীবন্ত করে) উত্থানস্বরূপ"
            },
            {
              "number": 2903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2903.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِىٓ أَرْسَلَ ٱلرِّيَٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦ ۚ وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءًۭ طَهُورًۭا",
              "translate_bn": "তিনিই স্বীয় রহমতের প্রাক্কালে বাতাসকে সুসংবাদবাহীরূপে প্রেরণ করেন। এবং আমি আকাশ থেকে পবিত্রতা অর্জনের জন্যে পানি বর্ষণ করি।",
              "numberInSurah": 48,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীআরছালাররিয়া-হা বুশরাম বাইনা ইয়াদাই রাহমাতিহী ওয়া আনঝালনা-মিনাছছামাই মাআন তাহূরা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَرْسَلَ/أَرۡسَلَ/arsala//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//بُشْرًۢا/بُشۡرَۢا/bush'ran//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//رَحْمَتِهٖ ۚ/رَحۡمَتِهِۦۚ/rahmatihi//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//طَهُوْرًاۙ/طَهُورٗا/tahuran",
              "words_bangla": "এবং তিনিই//যিনি//প্রেরণ করেন//বাতাসকে//সুসংবাদরূপে//মাঝে//হাতের (প্রাক্কালে)//তাঁর অনুগ্রহের//এবং আমরা বর্ষণ করি//হ'তে//আকাশ//পানি//বিশুদ্ধ"
            },
            {
              "number": 2904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2904.mp3"
              ],
              "text": "لِّنُحْۦِىَ بِهِۦ بَلْدَةًۭ مَّيْتًۭا وَنُسْقِيَهُۥ مِمَّا خَلَقْنَآ أَنْعَٰمًۭا وَأَنَاسِىَّ كَثِيرًۭا",
              "translate_bn": "তদ্দ্বারা মৃত ভূভাগকে সঞ্জীবিত করার জন্যে এবং আমার সৃষ্ট জীবজন্তু ও অনেক মানুষের তৃষ্ণা নিবারণের জন্যে।",
              "numberInSurah": 49,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "লিনুহইইয়া বিহী বালদাতাম মাইতাওঁ ওয়া নুছকিয়াহূমিম্মা- খালাকনাআন‘আ-মাওঁ ওয়াআনা-ছিইইয়া কাছীরা-।\r\n",
              "words_arabic": "لِّنُحْیِ َۧ/لِّنُحۡـِۧيَ/linuh'yiya//بِهٖ/بِهِۦ/bihi//بَلْدَةً/بَلۡدَةٗ/baldatan//مَّیْتًا/مَّيۡتٗا/maytan//وَّ نُسْقِیَهٗ/وَنُسۡقِيَهُۥ/wanus'qiyahu//مِمَّا/مِمَّا/mimma//خَلَقْنَاۤ/خَلَقۡنَآ/khalaqna//اَنْعَامًا/أَنۡعَٰمٗا/an'aman//وَّ اَنَاسِیَّ/وَأَنَاسِيَّ/wa-anasiyya//كَثِیْرًا /كَثِيرٗا/kathiran",
              "words_bangla": "যেন জীবিত করি আমরা//দ্বারা তা//ভূখণ্ডকে//মৃত//ও তা পান করাই আমরা//মধ্যে যাদের//আমরা সৃষ্টি করেছি//জীবজন্তু//ও মানুষ//বহু"
            },
            {
              "number": 2905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2905.mp3"
              ],
              "text": "وَلَقَدْ صَرَّفْنَٰهُ بَيْنَهُمْ لِيَذَّكَّرُوا۟ فَأَبَىٰٓ أَكْثَرُ ٱلنَّاسِ إِلَّا كُفُورًۭا",
              "translate_bn": "এবং আমি তা তাদের মধ্যে বিভিন্নভাবে বিতরণ করি, যাতে তারা স্মরণ করে। কিন্তু অধিকাংশ লোক অকৃতজ্ঞতা ছাড়া কিছুই করে না।",
              "numberInSurah": 50,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাররাফনা-হু বাইনাহুম লিয়াযযাক্কারূ ফাআবা আকছারুন্না-ছি ইল্লাকুফূরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَرَّفْنٰهُ/صَرَّفۡنَٰهُ/sarrafnahu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//لِیَذَّكَّرُوْا ۖؗ/لِيَذَّكَّرُواْ/liyadhakkaru//فَاَبٰۤی/فَأَبَىٰٓ/fa-aba//اَكْثَرُ/أَكۡثَرُ/aktharu//النَّاسِ/ٱلنَّاسِ/al-nasi//اِلَّا/إِلَّا/illa//كُفُوْرًا /كُفُورٗا/kufuran",
              "words_bangla": "এবং নিশ্চয়ই//তা আমরা বারবার পেশ করি//তাদের মাঝে//যেন তারা শিক্ষা নেয়//কিন্তু অস্বীকার করে//অধিকাংশ//মানুষ//(আর) কেবল//অকৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 2906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2906.mp3"
              ],
              "text": "وَلَوْ شِئْنَا لَبَعَثْنَا فِى كُلِّ قَرْيَةٍۢ نَّذِيرًۭا",
              "translate_bn": "আমি ইচ্ছা করলে প্রত্যেক জনপদে একজন ভয় প্রদর্শনকারী প্রেরণ করতে পারতাম।",
              "numberInSurah": 51,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও শি’না-লাবা‘আছনা-ফী কুল্লি কারইয়াতিন নাযীরা-।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شِئْنَا/شِئۡنَا/shi'na//لَبَعَثْنَا/لَبَعَثۡنَا/laba'athna//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//نَّذِیْرًاؗۖ/نَّذِيرٗا/nadhiran",
              "words_bangla": "আর যদি//আমরা চাইতাম//অবশ্যই আমরাপাঠাতাম//মধ্যে//প্রত্যেক//জনপদের//একজন  সতর্ককারী"
            },
            {
              "number": 2907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2907.mp3"
              ],
              "text": "فَلَا تُطِعِ ٱلْكَٰفِرِينَ وَجَٰهِدْهُم بِهِۦ جِهَادًۭا كَبِيرًۭا",
              "translate_bn": "অতএব আপনি কাফেরদের আনুগত্য করবেন না এবং তাদের সাথে এর সাহায্যে কঠোর সংগ্রাম করুন।",
              "numberInSurah": 52,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 145,
              "sajda": false,
              "pronunciation_bn": "ফালা-তুতি‘ইল কা-ফিরীনা ওয়া জা-হিদহুম বিহী জিহা-দান কাবীরা-।",
              "words_arabic": "فَلَا/فَلَا/fala//تُطِعِ/تُطِعِ/tuti'i//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//وَ جَاهِدْهُمْ/وَجَٰهِدۡهُم/wajahid'hum//بِهٖ/بِهِۦ/bihi//جِهَادًا/جِهَادٗا/jihadan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "সুতরাং না//তুমি অনুসরণ করো//কাফিরদেরকে//এবং জিহাদ করো তাদের সাথে//দ্বারা এ//জিহাদ//বড়"
            },
            {
              "number": 2908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2908.mp3"
              ],
              "text": "۞ وَهُوَ ٱلَّذِى مَرَجَ ٱلْبَحْرَيْنِ هَٰذَا عَذْبٌۭ فُرَاتٌۭ وَهَٰذَا مِلْحٌ أُجَاجٌۭ وَجَعَلَ بَيْنَهُمَا بَرْزَخًۭا وَحِجْرًۭا مَّحْجُورًۭا",
              "translate_bn": "তিনিই সমান্তরালে দুই সমুদ্র প্রবাহিত করেছেন, এটি মিষ্ট, তৃষ্ণা নিবারক ও এটি লোনা, বিস্বাদ; উভয়ের মাঝখানে রেখেছেন একটি অন্তরায়, একটি দুর্ভেদ্য আড়াল।",
              "numberInSurah": 53,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী মারাজাল বাহরাইনি হা-যা-‘আযবুন ফুরা-তুওঁ ওয়া হা-যা-মিলহুন উজা-জুওঁ ওয়া জা‘আলা বাইনাহুমা-বারঝাখাওঁ ওয়া হিজরাম মাহজূরা-।",
              "words_arabic": "وَ هُوَ/۞وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//مَرَجَ/مَرَجَ/maraja//الْبَحْرَیْنِ/ٱلۡبَحۡرَيۡنِ/al-bahrayni//هٰذَا/هَٰذَا/hadha//عَذْبٌ/عَذۡبٞ/adhbun//فُرَاتٌ/فُرَاتٞ/furatun//وَّ هٰذَا/وَهَٰذَا/wahadha//مِلْحٌ/مِلۡحٌ/mil'hun//اُجَاجٌ ۚ/أُجَاجٞ/ujajun//وَ جَعَلَ/وَجَعَلَ/waja'ala//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//بَرْزَخًا/بَرۡزَخٗا/barzakhan//وَّ حِجْرًا/وَحِجۡرٗا/wahij'ran//مَّحْجُوْرًا /مَّحۡجُورٗا/mahjuran",
              "words_bangla": "এবং তিনি (আল্লাহ)//যিনি//মিলিয়ে প্রবাহিত করেছেন//দুই সমুদ্রকে//এটা//সুমিষ্ট//সুপেয়//এবং ওটা//লোনা//বিস্বাদ//এবং তিনি করেছেন//উভয়ের মাঝে//অন্তরায়//ও আড়াল//দুর্ভেদ্য"
            },
            {
              "number": 2909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2909.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى خَلَقَ مِنَ ٱلْمَآءِ بَشَرًۭا فَجَعَلَهُۥ نَسَبًۭا وَصِهْرًۭا ۗ وَكَانَ رَبُّكَ قَدِيرًۭا",
              "translate_bn": "তিনিই পানি থেকে সৃষ্টি করেছেন মানবকে, অতঃপর তাকে রক্তগত, বংশ ও বৈবাহিক সম্পর্কশীল করেছেন। তোমার পালনকর্তা সবকিছু করতে সক্ষম।",
              "numberInSurah": 54,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী খালাকা মিনাল মাই বাশরান ফাজা‘আলাহূনাছাবাওঁ ওয়া সিহরাও ওয়া কা-না রাব্বুকা কাদীরা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//مِنَ/مِنَ/mina//الْمَآءِ/ٱلۡمَآءِ/al-mai//بَشَرًا/بَشَرٗا/basharan//فَجَعَلَهٗ/فَجَعَلَهُۥ/faja'alahu//نَسَبًا/نَسَبٗا/nasaban//وَّ صِهْرًا ؕ/وَصِهۡرٗاۗ/wasih'ran//وَ كَانَ/وَكَانَ/wakana//رَبُّكَ/رَبُّكَ/rabbuka//قَدِیْرًا /قَدِيرٗا/qadiran",
              "words_bangla": "এবং তিনিই//যিনি//সৃষ্টি করেছেন//হ'তে//পানি//মানুষকে//অতঃপর তা স্থাপন করেছেন//বংশগত সম্পর্ক//ও বৈবাহিক সম্পর্ক//আর হলেন//তোমার রব//(সবকিছুর উপর) শক্তিমান"
            },
            {
              "number": 2910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2910.mp3"
              ],
              "text": "وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُهُمْ وَلَا يَضُرُّهُمْ ۗ وَكَانَ ٱلْكَافِرُ عَلَىٰ رَبِّهِۦ ظَهِيرًۭا",
              "translate_bn": "তারা এবাদত করে আল্লাহর পরিবর্তে এমন কিছুর, যা তাদের উপকার করতে পারে না এবং ক্ষতিও করতে পারে না। কাফের তো তার পালনকর্তার প্রতি পৃষ্ঠপ্রদর্শনকারী।",
              "numberInSurah": 55,
              "juz": 19,
              "manzil": 4,
              "page": 364,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া‘বুদূ না মিন দূ নিল্লা-হি মা-লা-ইয়ানফা‘উহুম ওয়ালা-ইয়াদুররুহুম ওয়া কা-নাল কা-ফিরু ‘আলা-রাব্বিহী জাহীরা-।",
              "words_arabic": "وَ یَعْبُدُوْنَ/وَيَعۡبُدُونَ/waya'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَا/لَا/la//یَنْفَعُهُمْ/يَنفَعُهُمۡ/yanfa'uhum//وَ لَا/وَلَا/wala//یَضُرُّهُمْ ؕ/يَضُرُّهُمۡۗ/yadurruhum//وَ كَانَ/وَكَانَ/wakana//الْكَافِرُ/ٱلۡكَافِرُ/al-kafiru//عَلٰی/عَلَىٰ/ala//رَبِّهٖ/رَبِّهِۦ/rabbihi//ظَهِیْرًا /ظَهِيرٗا/zahiran",
              "words_bangla": "ও তারা ইবাদাত করে//মধ্য হতে//পরিবর্তে//আল্লাহর//(এমন কিছুর) যা//না//তাদের উপকার করতে পারে//আর না//তাদের ক্ষতি করতে পারে//আর হলো//কাফিররা//বিরুদ্ধে//তার রবের//সাহায্যকারী (প্রত্যেক বিদ্রোহীর)"
            },
            {
              "number": 2911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2911.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَٰكَ إِلَّا مُبَشِّرًۭا وَنَذِيرًۭا",
              "translate_bn": "আমি আপনাকে সুসংবাদ ও সতর্ককারীরূপেই প্রেরণ করেছি।",
              "numberInSurah": 56,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-কা ইল্লা-মুবাশশিরাওঁ ওয়া নাযীরা-।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//اِلَّا/إِلَّا/illa//مُبَشِّرًا/مُبَشِّرٗا/mubashiran//وَّ نَذِیْرًا /وَنَذِيرٗا/wanadhiran",
              "words_bangla": "এবং না//তোমাকে আমরা পাঠিয়েছি//এ ছাড়া যে//সুসংবাদদাতা//ও সতর্ক কারী রূপে"
            },
            {
              "number": 2912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2912.mp3"
              ],
              "text": "قُلْ مَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ إِلَّا مَن شَآءَ أَن يَتَّخِذَ إِلَىٰ رَبِّهِۦ سَبِيلًۭا",
              "translate_bn": "বলুন, আমি তোমাদের কাছে এর কোন বিনিময় চাই না, কিন্তু যে ইচ্ছা করে, সে তার পালনকর্তার পথ অবলম্বন করুক।",
              "numberInSurah": 57,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "কুলমাআছআলুকুম ‘আলাইহি মিন আজরিন ইল্লা-মান শাআ আইঁ ইয়াত্তাখিযাইলারাব্বিহী ছাবীলা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَاۤ/مَآ/ma//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ/أَجۡرٍ/ajrin//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//شَآءَ/شَآءَ/shaa//اَنْ/أَن/an//یَّتَّخِذَ/يَتَّخِذَ/yattakhidha//اِلٰی/إِلَىٰ/ila//رَبِّهٖ/رَبِّهِۦ/rabbihi//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "বলো//\"না//তোমাদের (নিকট) চাচ্ছি আমি//এর জন্য//কোন//প্রতিদান//তবে (এতটুকু)//যে//ইচ্ছে করে//যে//সে গ্রহণ করবে//দিকে//তার রবের//পথ\""
            },
            {
              "number": 2913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2913.mp3"
              ],
              "text": "وَتَوَكَّلْ عَلَى ٱلْحَىِّ ٱلَّذِى لَا يَمُوتُ وَسَبِّحْ بِحَمْدِهِۦ ۚ وَكَفَىٰ بِهِۦ بِذُنُوبِ عِبَادِهِۦ خَبِيرًا",
              "translate_bn": "আপনি সেই চিরঞ্জীবের উপর ভরসা করুন, যার মৃত্যু নেই এবং তাঁর প্রশংসাসহ পবিত্রতা ঘোষণা করুন। তিনি বান্দার গোনাহ সম্পর্কে যথেষ্ট খবরদার।",
              "numberInSurah": 58,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাওয়াক্কাল ‘আলাল হাইয়িল্লাযী লা-ইয়ামূতুওয়া ছাব্বিহবিহামদিহী ওয়া কাফাবিহী বিযুনূবি ‘ইবা-দিহী খাবীরা ।",
              "words_arabic": "وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//الْحَیِّ/ٱلۡحَيِّ/al-hayi//الَّذِیْ/ٱلَّذِي/alladhi//لَا/لَا/la//یَمُوْتُ/يَمُوتُ/yamutu//وَ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِحَمْدِهٖ ؕ/بِحَمۡدِهِۦۚ/bihamdihi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِهٖ/بِهِۦ/bihi//بِذُنُوْبِ/بِذُنُوبِ/bidhunubi//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//خَبِیْرَا/خَبِيرًا/khabiran",
              "words_bangla": "এবং নির্ভর করো//উপর//চিরঞ্জীব (আল্লাহর)//যিনি//না//মরবেন (কখনও)//ও পবিত্রতা ঘোষণা করো//তাঁর প্রশংসাসহ//আর যথেষ্ট//এ ব্যাপারে//সম্পর্কে পাপ//তাঁর দাসদের//(তাঁরই) অবহিত হওয়া"
            },
            {
              "number": 2914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2914.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍۢ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۚ ٱلرَّحْمَٰنُ فَسْـَٔلْ بِهِۦ خَبِيرًۭا",
              "translate_bn": "তিনি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের অন্তর্বর্তী সবকিছু ছয়দিনে সৃস্টি করেছেন, অতঃপর আরশে সমাসীন হয়েছেন। তিনি পরম দয়াময়। তাঁর সম্পর্কে যিনি অবগত, তাকে জিজ্ঞেস কর।",
              "numberInSurah": 59,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকাছছামা-ওয়া-তি ওয়ালা আরদা ওয়ামা-বাইনাহুমা-ফী ছিত্তাতি আইয়া-মিন ছু ম্মাছতাওয়া-‘আলাল ‘আরশি আররাহমা-নূফাছআল বিহী খাবীরা-\r\n",
              "words_arabic": "لَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ ۛۚ/ٱلۡعَرۡشِۖ/al-'arshi//اَلرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//فَسْـَٔلْ/فَسۡـَٔلۡ/fasal//بِهٖ/بِهِۦ/bihi//خَبِیْرًا /خَبِيرٗا/khabiran",
              "words_bangla": "যিনি//সৃষ্টি করেছেন//আকাশমণ্ডলী//ও পৃথিবী//এবং যা কিছু//উভয়ের মাঝে (আছে)//মধ্যে//ছয়//দিনে//এরপর//সমাসীন হন//উপর//আরশের//অশেষ দয়াবান//সুতরাং জিজ্ঞেস করো//সম্পর্কে তাঁর//(তাদের হ'তে) যারা অবহিত"
            },
            {
              "number": 2915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2915.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمُ ٱسْجُدُوا۟ لِلرَّحْمَٰنِ قَالُوا۟ وَمَا ٱلرَّحْمَٰنُ أَنَسْجُدُ لِمَا تَأْمُرُنَا وَزَادَهُمْ نُفُورًۭا ۩",
              "translate_bn": "তাদেরকে যখন বলা হয়, দয়াময়কে সেজদা কর, তখন তারা বলে, দয়াময় আবার কে? তুমি কাউকে সেজদা করার আদেশ করলেই কি আমরা সেজদা করব? এতে তাদের পলায়নপরতাই বৃদ্ধি পায়।",
              "numberInSurah": 60,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 314,
              "hizbQuarter": 146,
              "sajda": {
                "id": 8,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুমুছজু দূ লিররাহমা-নি কা-লূ ওয়ামার রাহমা-নু আনাছজুদু লিমা-তা’মুরুনা-ওয়া ঝা-দাহুম নুফূরা (ছিজদাহ-৭) ।\r\n",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//اسْجُدُوْا/ٱسۡجُدُواْۤ/us'judu//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//قَالُوْا/قَالُواْ/qalu//وَ مَا/وَمَا/wama//الرَّحْمٰنُ ۗ/ٱلرَّحۡمَٰنُ/al-rahmanu//اَنَسْجُدُ/أَنَسۡجُدُ/anasjudu//لِمَا/لِمَا/lima//تَاْمُرُنَا/تَأۡمُرُنَا/tamuruna//وَ زَادَهُمْ/وَزَادَهُمۡ/wazadahum//نُفُوْرًا۠۩/نُفُورٗا۩/nufuran",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা সিজদা করো//জন্যে দয়াময়ের\"//তারা বলে//\"কে আবার//(সেই) দয়াময়//কি আমরা সিজদা করবো//(তাকে) যাকে//আমাদের তুমি নির্দেশ দিবে\"//আর (এভাবে) বৃদ্ধি করলো তাদের//বিমুখতা"
            },
            {
              "number": 2916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2916.mp3"
              ],
              "text": "تَبَارَكَ ٱلَّذِى جَعَلَ فِى ٱلسَّمَآءِ بُرُوجًۭا وَجَعَلَ فِيهَا سِرَٰجًۭا وَقَمَرًۭا مُّنِيرًۭا",
              "translate_bn": "কল্যাণময় তিনি, যিনি নভোমন্ডলে রাশিচক্র সৃষ্টি করেছেন এবং তাতে রেখেছেন সূর্য ও দীপ্তিময় চন্দ্র।",
              "numberInSurah": 61,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "তাবা-রাকাল্লাযী জা‘আলা ফিছছামাইবুরূজাওঁ ওয়া জা‘আলা ফীহা- ছিরা-জাওঁ ওয়া কামারাম মুনীরা-।",
              "words_arabic": "تَبٰرَكَ/تَبَارَكَ/tabaraka//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بُرُوْجًا/بُرُوجٗا/burujan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//فِیْهَا/فِيهَا/fiha//سِرٰجًا/سِرَٰجٗا/sirajan//وَّ قَمَرًا/وَقَمَرٗا/waqamaran//مُّنِیْرًا /مُّنِيرٗا/muniran",
              "words_bangla": "কল্যাণময়//(সেই সত্ত্বা) যিনি//স্থাপন করেছেন//মধ্যে//আকাশের//বুরুজ (রাশিচক্র)//ও স্থাপন করেছেন//মধ্যে তার//প্রদীপ (সূর্য)//ও চাঁদ//উজ্জ্বল"
            },
            {
              "number": 2917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2917.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى جَعَلَ ٱلَّيْلَ وَٱلنَّهَارَ خِلْفَةًۭ لِّمَنْ أَرَادَ أَن يَذَّكَّرَ أَوْ أَرَادَ شُكُورًۭا",
              "translate_bn": "যারা অনুসন্ধানপ্রিয় অথবা যারা কৃতজ্ঞতাপ্রিয় তাদের জন্যে তিনি রাত্রি ও দিবস সৃষ্টি করেছেন পরিবর্তনশীলরূপে।",
              "numberInSurah": 62,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী জা‘আলাল লাইলা ওয়ান্নাহা-রা খিলফাতাল লিমান আরা-দা আইঁ ইয়াযযাক্কারা আও আরা-দা শুকূরা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//خِلْفَةً/خِلۡفَةٗ/khil'fatan//لِّمَنْ/لِّمَنۡ/liman//اَرَادَ/أَرَادَ/arada//اَنْ/أَن/an//یَّذَّكَّرَ/يَذَّكَّرَ/yadhakkara//اَوْ/أَوۡ/aw//اَرَادَ/أَرَادَ/arada//شُكُوْرًا /شُكُورٗا/shukuran",
              "words_bangla": "এবং তিনিই//যিনি//বানিয়েছেন//রাতকে//ও দিনকে//পরস্পরের অনুগামী//(এসব নিদর্শন) তার জন্য যে//চায়//যে//উপদেশ গ্রহণ করবে//অথবা//সে চায়//কৃতজ্ঞতা প্রকাশ করতে"
            },
            {
              "number": 2918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2918.mp3"
              ],
              "text": "وَعِبَادُ ٱلرَّحْمَٰنِ ٱلَّذِينَ يَمْشُونَ عَلَى ٱلْأَرْضِ هَوْنًۭا وَإِذَا خَاطَبَهُمُ ٱلْجَٰهِلُونَ قَالُوا۟ سَلَٰمًۭا",
              "translate_bn": "রহমান-এর বান্দা তারাই, যারা পৃথিবীতে নম্রভাবে চলাফেরা করে এবং তাদের সাথে যখন মুর্খরা কথা বলতে থাকে, তখন তারা বলে, সালাম।",
              "numberInSurah": 63,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইবা-দুররাহমা-নিল্লাযীনা ইয়ামশূনা ‘আলাল আরদি হাওনাওঁ ওয়া ইযা তাবাহুমুল জা-হিলূনা কা-লূছালা-মা-।\r\n",
              "words_arabic": "وَ عِبَادُ/وَعِبَادُ/wa'ibadu//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَمْشُوْنَ/يَمۡشُونَ/yamshuna//عَلَی/عَلَى/ala//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//هَوْنًا/هَوۡنٗا/hawnan//وَّ اِذَا/وَإِذَا/wa-idha//خَاطَبَهُمُ/خَاطَبَهُمُ/khatabahumu//الْجٰهِلُوْنَ/ٱلۡجَٰهِلُونَ/al-jahiluna//قَالُوْا/قَالُواْ/qalu//سَلٰمًا /سَلَٰمٗا/salaman",
              "words_bangla": "আর দাসরা//দয়াময়ের//(তারাই) যারা//চলাফেরা করে//উপর//জমিনের//নম্রভাবে//আর যখন//সম্বোধন করে তাদেরকে//অজ্ঞ লোকেরা//তারা বলে//\"(তোমাদেরকে) সালাম\""
            },
            {
              "number": 2919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2919.mp3"
              ],
              "text": "وَٱلَّذِينَ يَبِيتُونَ لِرَبِّهِمْ سُجَّدًۭا وَقِيَٰمًۭا",
              "translate_bn": "এবং যারা রাত্রি যাপন করে পালনকর্তার উদ্দেশ্যে সেজদাবনত হয়ে ও দন্ডায়মান হয়ে;",
              "numberInSurah": 64,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াবীতূনা লিরাব্বিহিম ছুজ্জাদাওঁ ওয়া কিয়া-মা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَبِیْتُوْنَ/يَبِيتُونَ/yabituna//لِرَبِّهِمْ/لِرَبِّهِمۡ/lirabbihim//سُجَّدًا/سُجَّدٗا/sujjadan//وَّ قِیَامًا /وَقِيَٰمٗا/waqiyaman",
              "words_bangla": "এবং যারা//রাত কাটায়//উদ্দেশ্যে তাদেের রবের//সিজদায়//ও দাঁড়ানো অবস্থায়"
            },
            {
              "number": 2920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2920.mp3"
              ],
              "text": "وَٱلَّذِينَ يَقُولُونَ رَبَّنَا ٱصْرِفْ عَنَّا عَذَابَ جَهَنَّمَ ۖ إِنَّ عَذَابَهَا كَانَ غَرَامًا",
              "translate_bn": "এবং যারা বলে, হে আমার পালনকর্তা, আমাদের কাছথেকে জাহান্নামের শাস্তি হটিয়ে দাও। নিশ্চয় এর শাস্তি নিশ্চিত বিনাশ;",
              "numberInSurah": 65,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াকূলূনা রাব্বানাসরিফ ‘আন্না-‘আযা-বা জাহান্নামা ইন্না ‘আযা-বাহাকা-না গারা-মা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَا/رَبَّنَا/rabbana//اصْرِفْ/ٱصۡرِفۡ/is'rif//عَنَّا/عَنَّا/anna//عَذَابَ/عَذَابَ/adhaba//جَهَنَّمَ ۖۗ/جَهَنَّمَۖ/jahannama//اِنَّ/إِنَّ/inna//عَذَابَهَا/عَذَابَهَا/adhabaha//كَانَ/كَانَ/kana//غَرَامًاۗۖ/غَرَامًا/gharaman",
              "words_bangla": "এবং যারা//বলে//\"হে আমাদের রব//দূর করো//হ'তে আমাদের//শাস্তি//জাহান্নামের//নিশ্চয়ই//তার শাস্তি//হলো//প্রাণান্তকর (ধ্বংস)"
            },
            {
              "number": 2921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2921.mp3"
              ],
              "text": "إِنَّهَا سَآءَتْ مُسْتَقَرًّۭا وَمُقَامًۭا",
              "translate_bn": "বসবাস ও অবস্থানস্থল হিসেবে তা কত নিকৃষ্ট জায়গা।",
              "numberInSurah": 66,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহা-ছাআত মুছতাকাররাওঁ ওয়া মুকা-মা-।",
              "words_arabic": "اِنَّهَا/إِنَّهَا/innaha//سَآءَتْ/سَآءَتۡ/saat//مُسْتَقَرًّا/مُسۡتَقَرّٗا/mus'taqarran//وَّ مُقَامًا /وَمُقَامٗا/wamuqaman",
              "words_bangla": "নিশ্চয়ই তা//কত নিকৃষ্ট//বিশ্রামস্থল//ও বাসস্থান\""
            },
            {
              "number": 2922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2922.mp3"
              ],
              "text": "وَٱلَّذِينَ إِذَآ أَنفَقُوا۟ لَمْ يُسْرِفُوا۟ وَلَمْ يَقْتُرُوا۟ وَكَانَ بَيْنَ ذَٰلِكَ قَوَامًۭا",
              "translate_bn": "এবং তারা যখন ব্যয় করে, তখন অযথা ব্যয় করে না কৃপণতাও করে না এবং তাদের পন্থা হয় এতদুভয়ের মধ্যবর্তী।",
              "numberInSurah": 67,
              "juz": 19,
              "manzil": 4,
              "page": 365,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইযা-আনফাকূলাম ইউছরিফূওয়া লাম ইয়াকতুরূওয়া কা-না বাইনা যা-লিকা কাওয়া-মা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اِذَاۤ/إِذَآ/idha//اَنْفَقُوْا/أَنفَقُواْ/anfaqu//لَمْ/لَمۡ/lam//یُسْرِفُوْا/يُسۡرِفُواْ/yus'rifu//وَ لَمْ/وَلَمۡ/walam//یَقْتُرُوْا/يَقۡتُرُواْ/yaqturu//وَ كَانَ/وَكَانَ/wakana//بَیْنَ/بَيۡنَ/bayna//ذٰلِكَ/ذَٰلِكَ/dhalika//قَوَامًا /قَوَامٗا/qawaman",
              "words_bangla": "এবং তারা (এমন যে)//যখন//ব্যয় করে//না//অমিতব্যয় করে//আর না//কার্পণ্য করে//বরং থাকে//মাঝে//এই (দু'য়ের)//দন্ডায়মান"
            },
            {
              "number": 2923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2923.mp3"
              ],
              "text": "وَٱلَّذِينَ لَا يَدْعُونَ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ وَلَا يَقْتُلُونَ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ وَلَا يَزْنُونَ ۚ وَمَن يَفْعَلْ ذَٰلِكَ يَلْقَ أَثَامًۭا",
              "translate_bn": "এবং যারা আল্লাহর সাথে অন্য উপাস্যের এবাদত করে না, আল্লাহ যার হত্যা অবৈধ করেছেন, সঙ্গত কারণ ব্যতীত তাকে হত্যা করে না এবং ব্যভিচার করে না। যারা একাজ করে, তারা শাস্তির সম্মুখীন হবে।",
              "numberInSurah": 68,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা লা-ইয়াদ‘ঊনা মা‘আল্লা-হি ইলা-হান আ-খারা ওয়ালা-ইয়াকতুলূনান নাফছাল্লাতী হাররামাল্লা-হু ইল্লা-বিলহাক্কিওয়ালা-ইয়াঝনূনা ওয়া মাইঁ ইয়াফ‘আল যা-লিকা ইয়ালকা আছা-মা-।\r\n",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ/ءَاخَرَ/akhara//وَ لَا/وَلَا/wala//یَقْتُلُوْنَ/يَقۡتُلُونَ/yaqtuluna//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//الَّتِیْ/ٱلَّتِي/allati//حَرَّمَ/حَرَّمَ/harrama//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لَا/وَلَا/wala//یَزْنُوْنَ ۚ/يَزۡنُونَۚ/yaznuna//وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//یَلْقَ/يَلۡقَ/yalqa//اَثَامًاۙ/أَثَامٗا/athaman",
              "words_bangla": "এবং যারা//না//তারা ডাকে//সাথে//আল্লাহর//উপাস্য//অন্যকে//আর না//হত্যা করে তারা//কোন প্রাণকে//যাকে//নিষিদ্ধ করেছেন//আল্লাহ//তবে//সাথে যথার্থতার (হ'লে ভিন্ন কথা)//আর না//ব্যভিচার করে//এবং যে//করবে//এটা//অর্জন করবে//পাপ"
            },
            {
              "number": 2924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2924.mp3"
              ],
              "text": "يُضَٰعَفْ لَهُ ٱلْعَذَابُ يَوْمَ ٱلْقِيَٰمَةِ وَيَخْلُدْ فِيهِۦ مُهَانًا",
              "translate_bn": "কেয়ামতের দিন তাদের শাস্তি দ্বিগুন হবে এবং তথায় লাঞ্ছিত অবস্থায় চিরকাল বসবাস করবে।",
              "numberInSurah": 69,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ইউদা-‘আফ লাহুল ‘আযা-বুইয়াওমাল কিয়া-মাতি ওয়া ইয়াখলুদ ফীহি মুহা-না-।",
              "words_arabic": "یُّضٰعَفْ/يُضَٰعَفۡ/yuda'af//لَهُ/لَهُ/lahu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ یَخْلُدْ/وَيَخۡلُدۡ/wayakhlud//فِیْهٖ/فِيهِۦ/fihi//مُهَانًاۗۖ/مُهَانًا/muhanan",
              "words_bangla": "দ্বিগুণ করা হবে//তার জন্যই//শাস্তি//দিনে//ক্বিয়ামাতের//এবং স্থায়ী হবে//তার মধ্যে//হীন অবস্থায়"
            },
            {
              "number": 2925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2925.mp3"
              ],
              "text": "إِلَّا مَن تَابَ وَءَامَنَ وَعَمِلَ عَمَلًۭا صَٰلِحًۭا فَأُو۟لَٰٓئِكَ يُبَدِّلُ ٱللَّهُ سَيِّـَٔاتِهِمْ حَسَنَٰتٍۢ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "কিন্তু যারা তওবা করে বিশ্বাস স্থাপন করে এবং সৎকর্ম করে, আল্লাহ তাদের গোনাহকে পুন্য দ্বারা পরিবর্তত করে এবং দেবেন। আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 70,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান তা-বা ওয়া আ-মানা ওয়া ‘আমিলা ‘আমালান সা-লিহান ফাউলাইকা ইউবাদ্দিলুল্লা-হু ছাইয়িআ-তিহিম হাছানা-তিও ওয়া কা-নাল্লা-হু গাফূরাররাহীমা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//تَابَ/تَابَ/taba//وَ اٰمَنَ/وَءَامَنَ/waamana//وَ عَمِلَ/وَعَمِلَ/wa'amila//عَمَلًا/عَمَلٗا/amalan//صَالِحًا/صَٰلِحٗا/salihan//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یُبَدِّلُ/يُبَدِّلُ/yubaddilu//اللّٰهُ/ٱللَّهُ/al-lahu//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//حَسَنٰتٍ ؕ/حَسَنَٰتٖۗ/hasanatin//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "তবেে//যে//তওবা করবে//ও ঈমান আনবে//ও কাজ করবে//কর্ম//সৎ//তখন ঐসব লোকদেরকে//পরিবর্তন করে দিবেন//আল্লাহ//তাদের অন্যায়কে//ভালোয়//আর হলেন//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 2926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2926.mp3"
              ],
              "text": "وَمَن تَابَ وَعَمِلَ صَٰلِحًۭا فَإِنَّهُۥ يَتُوبُ إِلَى ٱللَّهِ مَتَابًۭا",
              "translate_bn": "যে তওবা করে ও সৎকর্ম করে, সে ফিরে আসার স্থান আল্লাহর দিকে ফিরে আসে।",
              "numberInSurah": 71,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান তা-বা ওয়া ‘আমিলা সা-লিহান ফাইন্নাহূইয়াতূবুইলাল্লা-হি মাতা-বা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//تَابَ/تَابَ/taba//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//یَتُوْبُ/يَتُوبُ/yatubu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//مَتَابًا /مَتَابٗا/mataban",
              "words_bangla": "এবং যে//তওবা করে//ও কাজ করে//সৎ//তখন নিশ্চয়ই সে//ফিরে আসে//দিকে//আল্লাহর//অনুতপ্ত হয়ে"
            },
            {
              "number": 2927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2927.mp3"
              ],
              "text": "وَٱلَّذِينَ لَا يَشْهَدُونَ ٱلزُّورَ وَإِذَا مَرُّوا۟ بِٱللَّغْوِ مَرُّوا۟ كِرَامًۭا",
              "translate_bn": "এবং যারা মিথ্যা কাজে যোগদান করে না এবং যখন অসার ক্রিয়াকর্মের সম্মুখীন হয়, তখন মান রক্ষার্থে ভদ্রভাবে চলে যায়।",
              "numberInSurah": 72,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা লা-ইয়াশহাদূ নাঝঝূরা ওয়া ইযা-মাররূবিল্লাগবিমাররূকিরা-মা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یَشْهَدُوْنَ/يَشۡهَدُونَ/yashhaduna//الزُّوْرَ ۙ/ٱلزُّورَ/al-zura//وَ اِذَا/وَإِذَا/wa-idha//مَرُّوْا/مَرُّواْ/marru//بِاللَّغْوِ/بِٱللَّغۡوِ/bil-laghwi//مَرُّوْا/مَرُّواْ/marru//كِرَامًا /كِرَامٗا/kiraman",
              "words_bangla": "এবং যারা//না//সাক্ষ্য দেয়//মিথ্যার//এবং যখন//অতিক্রম করে//পাশ দিয়ে কোন অর্থহীন বিষয়কে//তারা অতিক্রম করে//ভদ্রভাবে"
            },
            {
              "number": 2928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2928.mp3"
              ],
              "text": "وَٱلَّذِينَ إِذَا ذُكِّرُوا۟ بِـَٔايَٰتِ رَبِّهِمْ لَمْ يَخِرُّوا۟ عَلَيْهَا صُمًّۭا وَعُمْيَانًۭا",
              "translate_bn": "এবং যাদেরকে তাদের পালনকর্তার আয়াতসমূহ বোঝানো হলে তাতে অন্ধ ও বধির সদৃশ আচরণ করে না।",
              "numberInSurah": 73,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইযা-যুক্কিরূবিআ-য়া-তি রাব্বিহিম লাম ইয়াখিররূ‘আলাইহা-সুম্মাওঁ ওয়া ‘উমইয়া-না-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اِذَا/إِذَا/idha//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//لَمْ/لَمۡ/lam//یَخِرُّوْا/يَخِرُّواْ/yakhirru//عَلَیْهَا/عَلَيۡهَا/alayha//صُمًّا/صُمّٗا/summan//وَّ عُمْیَانًا /وَعُمۡيَانٗا/wa'um'yanan",
              "words_bangla": "এবং তাদেরকে//যখন//স্মরণ করানো হয়//প্রতি আয়াতগুলোর//তাদের রবের//না//তারা পড়ে থাকে//তার উপর//অন্ধ//ও বধির হয়ে"
            },
            {
              "number": 2929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2929.mp3"
              ],
              "text": "وَٱلَّذِينَ يَقُولُونَ رَبَّنَا هَبْ لَنَا مِنْ أَزْوَٰجِنَا وَذُرِّيَّٰتِنَا قُرَّةَ أَعْيُنٍۢ وَٱجْعَلْنَا لِلْمُتَّقِينَ إِمَامًا",
              "translate_bn": "এবং যারা বলে, হে আমাদের পালনকর্তা, আমাদের স্ত্রীদের পক্ষ থেকে এবং আমাদের সন্তানের পক্ষ থেকে আমাদের জন্যে চোখের শীতলতা দান কর এবং আমাদেরকে মুত্তাকীদের জন্যে আদর্শস্বরূপ কর।",
              "numberInSurah": 74,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াকূ লূনা রাব্বানা-হাবলানা-মিন আঝওয়া-জিনা-ওয়া যুররিইইয়া-তিনা কুররাতা আ‘ইউনিওঁ ওয়াজ‘আলনা-লিলমুত্তাকীনা ইমা-মা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَا/رَبَّنَا/rabbana//هَبْ/هَبۡ/hab//لَنَا/لَنَا/lana//مِنْ/مِنۡ/min//اَزْوَاجِنَا/أَزۡوَٰجِنَا/azwajina//وَ ذُرِّیّٰتِنَا/وَذُرِّيَّـٰتِنَا/wadhurriyyatina//قُرَّةَ/قُرَّةَ/qurrata//اَعْیُنٍ/أَعۡيُنٖ/a'yunin//وَّ اجْعَلْنَا/وَٱجۡعَلۡنَا/wa-ij'alna//لِلْمُتَّقِیْنَ/لِلۡمُتَّقِينَ/lil'muttaqina//اِمَامًا /إِمَامًا/imaman",
              "words_bangla": "এবং যারা//বলে//\"হে আমাদের রব//তুমি দাও//জন্যে আমাদের//থেকে//আমাদের স্ত্রীদেরকে//এবং আমাদের বংশধরদেরকে//শীতলতা (অর্থাৎ শান্তি)//চোখের//এবং আমাদেরকে বানাও//জন্যে মুত্তাকীদের//নেতা\""
            },
            {
              "number": 2930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2930.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ يُجْزَوْنَ ٱلْغُرْفَةَ بِمَا صَبَرُوا۟ وَيُلَقَّوْنَ فِيهَا تَحِيَّةًۭ وَسَلَٰمًا",
              "translate_bn": "তাদেরকে তাদের সবরের প্রতিদানে জান্নাতে কক্ষ দেয়া হবে এবং তাদেরকে তথায় দোয়া ও সালাম সহকারে অভ্যর্থনা করা হবে।",
              "numberInSurah": 75,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ইউজঝাওনাল গুরফাতা বিমা-সাবারূওয়া ইউলাক্কাওনা ফীহা-তাহিইইয়াতাওঁ ওয়া ছালা-মা-।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُجْزَوْنَ/يُجۡزَوۡنَ/yuj'zawna//الْغُرْفَةَ/ٱلۡغُرۡفَةَ/al-ghur'fata//بِمَا/بِمَا/bima//صَبَرُوْا/صَبَرُواْ/sabaru//وَ یُلَقَّوْنَ/وَيُلَقَّوۡنَ/wayulaqqawna//فِیْهَا/فِيهَا/fiha//تَحِیَّةً/تَحِيَّةٗ/tahiyyatan//وَّ سَلٰمًاۙ/وَسَلَٰمًا/wasalaman",
              "words_bangla": "ঐসব লোকদেরকে//তাদেরকে প্রতিদান দেয়া হবে//উচ্চতম কক্ষ//যা এ কারণে//তারা ধৈর্য ধরেছে//ও তারা পাবে//তার মধ্যে//অভিবাদন//ও সালাম"
            },
            {
              "number": 2931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2931.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا ۚ حَسُنَتْ مُسْتَقَرًّۭا وَمُقَامًۭا",
              "translate_bn": "তথায় তারা চিরকাল বসবাস করবে। অবস্থানস্থল ও বাসস্থান হিসেবে তা কত উত্তম।",
              "numberInSurah": 76,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা-; হাছুনাত মুছতাকাররাওঁ ওয়া মুকা-মা-।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//حَسُنَتْ/حَسُنَتۡ/hasunat//مُسْتَقَرًّا/مُسۡتَقَرّٗا/mus'taqarran//وَّ مُقَامًا /وَمُقَامٗا/wamuqaman",
              "words_bangla": "চিরস্থায়ী হবে//তার মধ্যে//কত উত্তম হবে//বিশ্রামাগার//আর (কত উত্তম) বাসস্থান"
            },
            {
              "number": 2932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2932.mp3"
              ],
              "text": "قُلْ مَا يَعْبَؤُا۟ بِكُمْ رَبِّى لَوْلَا دُعَآؤُكُمْ ۖ فَقَدْ كَذَّبْتُمْ فَسَوْفَ يَكُونُ لِزَامًۢا",
              "translate_bn": "বলুন, আমার পালনকর্তা পরওয়া করেন না যদি তোমরা তাঁকে না ডাক। তোমরা মিথ্যা বলেছ। অতএব সত্বর নেমে আসবে অনিবার্য শাস্তি।",
              "numberInSurah": 77,
              "juz": 19,
              "manzil": 4,
              "page": 366,
              "ruku": 315,
              "hizbQuarter": 146,
              "sajda": false,
              "pronunciation_bn": "কুল মা-ইয়া‘বাউ বিকুম রাববী লাওলা-দু‘আউকুম ফাকাদ কাযযাবতুম ফাছাওফা ইয়াকূনুলিঝা-মা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَا/مَا/ma//یَعْبَؤُا/يَعۡبَؤُاْ/ya'ba-u//بِكُمْ/بِكُمۡ/bikum//رَبِّیْ/رَبِّي/rabbi//لَوْ لَا/لَوۡلَا/lawla//دُعَآؤُكُمْ ۚ/دُعَآؤُكُمۡۖ/du'aukum//فَقَدْ/فَقَدۡ/faqad//كَذَّبْتُمْ/كَذَّبۡتُمۡ/kadhabtum//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَكُوْنُ/يَكُونُ/yakunu//لِزَامًا۠/لِزَامَۢا/lizaman",
              "words_bangla": "(হে নাবী) বলো//\"না//ভ্রুক্ষেপ করেন তিনি//প্রতি তোমাদের//আমার রব//যদি না//তোমাদের প্রার্থনা (হয় তাঁর কাছে)//নিশ্চয়ই (এখন)//তোমরা অস্বীকার করেছো//ফলে অতিশীঘ্রই//হবে//স্থায়ী অনিবার্য (শাস্তি)\""
            }
          ]
        },
        {
          "number": 26,
          "name": "سُورَةُ الشُّعَرَاءِ",
          "englishName": "Ash-Shu'araa",
          "englishNameTranslation": "The Poets",
          "revelationType": "Meccan",
          "verse": 227,
          "words": 2710,
          "chars": 10938,
          "ayahs": [
            {
              "number": 2933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2933.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ طسٓمٓ",
              "translate_bn": "ত্বা, সীন, মীম।",
              "numberInSurah": 1,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "",
              "words_arabic": "طٰسٓمّٓ /طسٓمٓ/ta-seen-meem",
              "words_bangla": "ত্বা-সীন-মীম"
            },
            {
              "number": 2934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2934.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ٱلْمُبِينِ",
              "translate_bn": "এগুলো সুস্পষ্ট কিতাবের আয়াত।",
              "numberInSurah": 2,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-য়া-তুল কিতা-বিল মুবীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//الْمُبِیْنِ /ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "এই//আয়াতগুলো//কিতাবের//(যা) সুস্পষ্ট"
            },
            {
              "number": 2935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2935.mp3"
              ],
              "text": "لَعَلَّكَ بَٰخِعٌۭ نَّفْسَكَ أَلَّا يَكُونُوا۟ مُؤْمِنِينَ",
              "translate_bn": "তারা বিশ্বাস করে না বলে আপনি হয়তো মর্মব্যথায় আত্নঘাতী হবেন।",
              "numberInSurah": 3,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "লা‘আল্লাকা বা-খি‘উন নাফছাকা আল্লা-ইয়াকূনূমু’মিনীন।",
              "words_arabic": "لَعَلَّكَ/لَعَلَّكَ/la'allaka//بَاخِعٌ/بَٰخِعٞ/bakhi'un//نَّفْسَكَ/نَّفۡسَكَ/nafsaka//اَلَّا/أَلَّا/alla//یَكُوْنُوْا/يَكُونُواْ/yakunu//مُؤْمِنِیْنَ /مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "হয়তো তুমি (হে নাবী)//ধ্বংসকারী//তোমার প্রাণ (এ চিন্তায়)//যে না//তারা হচ্ছে//মু'মিন"
            },
            {
              "number": 2936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2936.mp3"
              ],
              "text": "إِن نَّشَأْ نُنَزِّلْ عَلَيْهِم مِّنَ ٱلسَّمَآءِ ءَايَةًۭ فَظَلَّتْ أَعْنَٰقُهُمْ لَهَا خَٰضِعِينَ",
              "translate_bn": "আমি যদি ইচ্ছা করি, তবে আকাশ থেকে তাদের কাছে কোন নিদর্শন নাযিল করতে পারি। অতঃপর তারা এর সামনে নত হয়ে যাবে।",
              "numberInSurah": 4,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ইন নাশা’ নুনাঝঝিল ‘আলাইহিম মিনাছছামাইআ-ইয়াতান ফাজাল্লাত আ‘না-কুহুম লাহা খা-দি‘ঈন।",
              "words_arabic": "اِنْ/إِن/in//نَّشَاْ/نَّشَأۡ/nasha//نُنَزِّلْ/نُنَزِّلۡ/nunazzil//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اٰیَةً/ءَايَةٗ/ayatan//فَظَلَّتْ/فَظَلَّتۡ/fazallat//اَعْنَاقُهُمْ/أَعۡنَٰقُهُمۡ/a'naquhum//لَهَا/لَهَا/laha//خٰضِعِیْنَ /خَٰضِعِينَ/khadi'ina",
              "words_bangla": "যদি//আমরা চাইতাম//অবতীর্ণ করতাম আমরা//উপর তাদের//হ'তে//আকাশ//(এমন) কোনো নিদর্শন//ফলে হয়ে পড়তো//ঘাড়গুলো তাদের//প্রতি তাঁর//অবনত"
            },
            {
              "number": 2937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2937.mp3"
              ],
              "text": "وَمَا يَأْتِيهِم مِّن ذِكْرٍۢ مِّنَ ٱلرَّحْمَٰنِ مُحْدَثٍ إِلَّا كَانُوا۟ عَنْهُ مُعْرِضِينَ",
              "translate_bn": "যখনই তাদের কাছে রহমান এর কোন নতুন উপদেশ আসে, তখনই তারা তা থেকে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 5,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াতীহিম মিন যিকরিম মিনার রাহমা-নি মুহদাছিনইল্লা-কা-নূ‘আনহু মু‘রিদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَاْتِیْهِمْ/يَأۡتِيهِم/yatihim//مِّنْ/مِّن/min//ذِكْرٍ/ذِكۡرٖ/dhik'rin//مِّنَ/مِّنَ/mina//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//مُحْدَثٍ/مُحۡدَثٍ/muh'dathin//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//عَنْهُ/عَنۡهُ/anhu//مُعْرِضِیْنَ /مُعۡرِضِينَ/mu'ridina",
              "words_bangla": "এবং না//আসে তাদের (কাছে)//কোনো//উপদেশ//হ'তে//দয়াময়//(উপদেশ) নতুন//এ ছাড়া যে//তারা ছিলো//তা হতে//মুখ ফিরিয়ে নিতো"
            },
            {
              "number": 2938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2938.mp3"
              ],
              "text": "فَقَدْ كَذَّبُوا۟ فَسَيَأْتِيهِمْ أَنۢبَٰٓؤُا۟ مَا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "অতএব তারা তো মিথ্যারোপ করেছেই; সুতরাং যে বিষয় নিয়ে তারা ঠাট্টা-বিদ্রুপ করত, তার যথার্থ স্বরূপ শীঘ্রই তাদের কাছে পৌছবে।",
              "numberInSurah": 6,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাকাদ কাযযাবূফাছাইয়া’তীহিম আমবাউ মা-কা-নূবিহী ইয়াছতাহঝিউন।",
              "words_arabic": "فَقَدْ/فَقَدۡ/faqad//كَذَّبُوْا/كَذَّبُواْ/kadhabu//فَسَیَاْتِیْهِمْ/فَسَيَأۡتِيهِمۡ/fasayatihim//اَنْۢبٰٓؤُا/أَنۢبَـٰٓؤُاْ/anbau//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এখন নিশ্চয়ই//তারা মিথ্যারোপ করেছে//সুতরাং শীঘ্রই আসবে তাদের (কাছে)//সংবাদ//যা কিছু//তারা ছিলো//সম্পর্কে সে//ঠাট্টা-বিদ্রুপ করতো"
            },
            {
              "number": 2939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2939.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ إِلَى ٱلْأَرْضِ كَمْ أَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍۢ كَرِيمٍ",
              "translate_bn": "তারা কি ভুপৃষ্ঠের প্রতি দৃষ্টিপাত করে না? আমি তাতে সর্বপ্রকার বিশেষ-বস্তু কত উদগত করেছি।",
              "numberInSurah": 7,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও ইলাল আরদিকাম আমবাতনা-ফীহা-মিন কুল্লি ঝাওজিন কারীম।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//كَمْ/كَمۡ/kam//اَنْۢبَتْنَا/أَنۢبَتۡنَا/anbatna//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//زَوْجٍ/زَوۡجٖ/zawjin//كَرِیْمٍ /كَرِيمٍ/karimin",
              "words_bangla": "কি নি//তারা লক্ষ্য করে//প্রতি//পৃথিবীর//কত (বিপুল পরিমাণ)//উদ্গত করেছি আমরা//মধ্যে তার//থেকে//প্রত্যেক//প্রকার (উদ্ভিদ)//চমৎকার"
            },
            {
              "number": 2940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2940.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয় এতে নিদর্শন আছে, কিন্তু তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 8,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-ইয়াতাওঁ ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//কিন্তু না//ছিলো//অধিকাংশ তাদের//মু'মিন"
            },
            {
              "number": 2941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2941.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "আপনার পালনকর্তা তো পরাক্রমশালী পরম দয়ালু।",
              "numberInSurah": 9,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 316,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালুও"
            },
            {
              "number": 2942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2942.mp3"
              ],
              "text": "وَإِذْ نَادَىٰ رَبُّكَ مُوسَىٰٓ أَنِ ٱئْتِ ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "যখন আপনার পালনকর্তা মূসাকে ডেকে বললেনঃ তুমি পাপিষ্ঠ সম্প্রদায়ের নিকট যাও;",
              "numberInSurah": 10,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযনা-দা-রাব্বুকা মূছা-আনি’তিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//نَادٰی/نَادَىٰ/nada//رَبُّكَ/رَبُّكَ/rabbuka//مُوْسٰۤی/مُوسَىٰٓ/musa//اَنِ/أَنِ/ani//ائْتِ/ٱئۡتِ/i'ti//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং (স্মরণ করো) যখন//ডেকেছিলেন//তোমার রব//মূসাকে//যে//\"যাও তুমি//জাতির (নিকট)//সীমালঙ্ঘনকারী"
            },
            {
              "number": 2943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2943.mp3"
              ],
              "text": "قَوْمَ فِرْعَوْنَ ۚ أَلَا يَتَّقُونَ",
              "translate_bn": "ফেরাউনের সম্প্রদায়ের নিকট; তারা কি ভয় করে না?",
              "numberInSurah": 11,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কাওমা ফির‘আওনা আলা-ইয়াত্তাকূন।",
              "words_arabic": "قَوْمَ/قَوۡمَ/qawma//فِرْعَوْنَ ؕ/فِرۡعَوۡنَۚ/fir'awna//اَلَا/أَلَا/ala//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "জাতি//ফিরআউনের//কি না//তারা ভয় করে\""
            },
            {
              "number": 2944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2944.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّىٓ أَخَافُ أَن يُكَذِّبُونِ",
              "translate_bn": "সে বলল, হে আমার পালনকর্তা, আমার আশংকা হচ্ছে যে, তারা আমাকে মিথ্যাবাদী বলে দেবে।",
              "numberInSurah": 12,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী-আখা-ফুআইঁ ইউকাযযি বূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اَنْ/أَن/an//یُّكَذِّبُوْنِؕ/يُكَذِّبُونِ/yukadhibuni",
              "words_bangla": "(মূসা) বললো//\"হে আমার রব//নিশ্চয়ই আমি//আমি আশংকা করছি//যে//মিথ্যাবাদী বলবে তারা আমাকে"
            },
            {
              "number": 2945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2945.mp3"
              ],
              "text": "وَيَضِيقُ صَدْرِى وَلَا يَنطَلِقُ لِسَانِى فَأَرْسِلْ إِلَىٰ هَٰرُونَ",
              "translate_bn": "এবং আমার মন হতবল হয়ে পড়ে এবং আমার জিহবা অচল হয়ে যায়। সুতরাং হারুনের কাছে বার্তা প্রেরণ করুন।",
              "numberInSurah": 13,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াদীকুসাদরী ওয়ালা-ইয়ানতলিকুলিছা-নী ফাআরছিল ইলা-হা-রূন।",
              "words_arabic": "وَ یَضِیْقُ/وَيَضِيقُ/wayadiqu//صَدْرِیْ/صَدۡرِي/sadri//وَ لَا/وَلَا/wala//یَنْطَلِقُ/يَنطَلِقُ/yantaliqu//لِسَانِیْ/لِسَانِي/lisani//فَاَرْسِلْ/فَأَرۡسِلۡ/fa-arsil//اِلٰی/إِلَىٰ/ila//هٰرُوْنَ /هَٰرُونَ/haruna",
              "words_bangla": "এবং সংকুচিত হচ্ছে//আমার অন্তর//আর না//অগ্রসর হয়//জিহবা আমার//সুতরাং আপনি পাঠান (ওহি)//প্রতিও//হারূনের"
            },
            {
              "number": 2946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2946.mp3"
              ],
              "text": "وَلَهُمْ عَلَىَّ ذَنۢبٌۭ فَأَخَافُ أَن يَقْتُلُونِ",
              "translate_bn": "আমার বিরুদ্ধে তাদের অভিযোগ আছে। অতএব আমি আশংকা করি যে, তারা আমাকে হত্যা করবে।",
              "numberInSurah": 14,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাহুম ‘আলাইইয়া যামবুন ফাআখা-ফুআইঁ ইয়াকতুলূন।",
              "words_arabic": "وَ لَهُمْ/وَلَهُمۡ/walahum//عَلَیَّ/عَلَيَّ/alayya//ذَنْۢبٌ/ذَنۢبٞ/dhanbun//فَاَخَافُ/فَأَخَافُ/fa-akhafu//اَنْ/أَن/an//یَّقْتُلُوْنِۚ/يَقۡتُلُونِ/yaqtuluni",
              "words_bangla": "এবং আছে তাদের//বিরুদ্ধে আমার//(অপরাধের) অভিযোগ//তাই আমি আশংকা করছি//যে//আমাকে তারা হত্যা করবে\""
            },
            {
              "number": 2947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2947.mp3"
              ],
              "text": "قَالَ كَلَّا ۖ فَٱذْهَبَا بِـَٔايَٰتِنَآ ۖ إِنَّا مَعَكُم مُّسْتَمِعُونَ",
              "translate_bn": "আল্লাহ বলেন, কখনই নয় তোমরা উভয়ে যাও আমার নিদর্শনাবলী নিয়ে। আমি তোমাদের সাথে থেকে শোনব।",
              "numberInSurah": 15,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাল্লা- ফাযহাবা-বিআ-য়া-তিনাইন্না মা‘আকুম মুছতামি‘উন।",
              "words_arabic": "قَالَ/قَالَ/qala//كَلَّا ۚ/كَلَّاۖ/kalla//فَاذْهَبَا/فَٱذۡهَبَا/fa-idh'haba//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآۖ/biayatina//اِنَّا/إِنَّا/inna//مَعَكُمْ/مَعَكُم/ma'akum//مُّسْتَمِعُوْنَ /مُّسۡتَمِعُونَ/mus'tami'una",
              "words_bangla": "(আল্লাহ) বললেন//\"কখনও না (তারা পারবে)//অতএব তোমরা দু'জনে যাও//নিয়ে নিদর্শনাবলী আমাদের//নিশ্চয়ই আমরা//সাথে তোমাদের (আছি)//(সদা সর্বদা)শ্রবণকারী"
            },
            {
              "number": 2948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2948.mp3"
              ],
              "text": "فَأْتِيَا فِرْعَوْنَ فَقُولَآ إِنَّا رَسُولُ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "অতএব তোমরা ফেরআউনের কাছে যাও এবং বল, আমরা বিশ্বজগতের পালনকর্তার রসূল।",
              "numberInSurah": 16,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফা’তিইয়া-ফির‘আওনা ফাকূলা ইন্না-রাছূলুরাব্বিল ‘আ-লামীন।",
              "words_arabic": "فَاْتِیَا/فَأۡتِيَا/fatiya//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//فَقُوْلَاۤ/فَقُولَآ/faqula//اِنَّا/إِنَّا/inna//رَسُوْلُ/رَسُولُ/rasulu//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সুতরাং দু'জনে যাও//ফিরআউনের (নিকট)//অতঃপর দু'জনে বলো//নিশ্চয়ই আমরা//রাসূল//রবের//বিশ্বজগতের"
            },
            {
              "number": 2949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2949.mp3"
              ],
              "text": "أَنْ أَرْسِلْ مَعَنَا بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "যাতে তুমি বনী-ইসরাঈলকে আমাদের সাথে যেতে দাও।",
              "numberInSurah": 17,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "আন আরছিল মা‘আনা-বানীইছরাঈল।",
              "words_arabic": "اَنْ/أَنۡ/an//اَرْسِلْ/أَرۡسِلۡ/arsil//مَعَنَا/مَعَنَا/ma'ana//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "(আরও বলো) যে//পাঠাও//সাথে আমাদের//বনী//ইসরাঈলকে"
            },
            {
              "number": 2950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2950.mp3"
              ],
              "text": "قَالَ أَلَمْ نُرَبِّكَ فِينَا وَلِيدًۭا وَلَبِثْتَ فِينَا مِنْ عُمُرِكَ سِنِينَ",
              "translate_bn": "ফেরাউন বলল, আমরা কি তোমাকে শিশু অবস্থায় আমাদের মধ্যে লালন-পালন করিনি? এবং তুমি আমাদের মধ্যে জীবনের বহু বছর কাটিয়েছ।",
              "numberInSurah": 18,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা আলাম নুরাব্বিকা ফীনা-ওয়ালীদাওঁ ওয়ালাবিছতা ফীনা-মিন ‘উমুরিকা ছিনীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَلَمْ/أَلَمۡ/alam//نُرَبِّكَ/نُرَبِّكَ/nurabbika//فِیْنَا/فِينَا/fina//وَلِیْدًا/وَلِيدٗا/walidan//وَّ لَبِثْتَ/وَلَبِثۡتَ/walabith'ta//فِیْنَا/فِينَا/fina//مِنْ/مِنۡ/min//عُمُرِكَ/عُمُرِكَ/umurika//سِنِیْنَۙ/سِنِينَ/sinina",
              "words_bangla": "(ফিরআউন) বললো//\"কি নি//আমরা তোমাকে প্রতিপালন করি//মাঝে আমাদের//শৈশবে//এবং তুমি কাটিয়েছো//মাঝে আমাদের//থেকে//জীবনের তোমার//(কয়েকটি) বছর"
            },
            {
              "number": 2951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2951.mp3"
              ],
              "text": "وَفَعَلْتَ فَعْلَتَكَ ٱلَّتِى فَعَلْتَ وَأَنتَ مِنَ ٱلْكَٰفِرِينَ",
              "translate_bn": "তুমি সেই-তোমরা অপরাধ যা করবার করেছ। তুমি হলে কৃতঘ্ন।",
              "numberInSurah": 19,
              "juz": 19,
              "manzil": 5,
              "page": 367,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফা‘আলতা ফা‘লাতাকাল্লাতী ফা‘আলতা ওয়াআনতা মিনাল কা-ফিরীন।",
              "words_arabic": "وَ فَعَلْتَ/وَفَعَلۡتَ/wafa'alta//فَعْلَتَكَ/فَعۡلَتَكَ/fa'lataka//الَّتِیْ/ٱلَّتِي/allati//فَعَلْتَ/فَعَلۡتَ/fa'alta//وَ اَنْتَ/وَأَنتَ/wa-anta//مِنَ/مِنَ/mina//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং তুমি করেছো//কর্ম তোমার//যা কিছু//তুমি করেছো//আর তুমি//অন্তর্ভূক্ত//অকৃতজ্ঞদের\""
            },
            {
              "number": 2952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2952.mp3"
              ],
              "text": "قَالَ فَعَلْتُهَآ إِذًۭا وَأَنَا۠ مِنَ ٱلضَّآلِّينَ",
              "translate_bn": "মূসা বলল, আমি সে অপরাধ তখন করেছি, যখন আমি ভ্রান্ত ছিলাম।",
              "numberInSurah": 20,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফা‘আলতুহা ইযাওঁ ওয়া আনা মিনাদ্দাল্লীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَعَلْتُهَاۤ/فَعَلۡتُهَآ/fa'altuha//اِذًا/إِذٗا/idhan//وَّ اَنَا/وَأَنَا۠/wa-ana//مِنَ/مِنَ/mina//الضَّآلِّیْنَؕ/ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "(মূসা) বললো//\"তা আমি করেছিলাম//তখন (সে সময়)//যখন আমি (ছিলাম)//অন্তর্ভূক্ত//পথভ্রষ্টদের"
            },
            {
              "number": 2953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2953.mp3"
              ],
              "text": "فَفَرَرْتُ مِنكُمْ لَمَّا خِفْتُكُمْ فَوَهَبَ لِى رَبِّى حُكْمًۭا وَجَعَلَنِى مِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "অতঃপর আমি ভীত হয়ে তোমাদের কাছ থেকে পলায়ন করলাম। এরপর আমার পালনকর্তা আমাকে প্রজ্ঞা দান করেছেন এবং আমাকে পয়গম্বর করেছেন।",
              "numberInSurah": 21,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাফারারতুমিনকুমলাম্মা-খিফতুকুম ফাওয়াহাবালী রাববী হুকমাওঁ ওয়া জা‘আলানী মিনাল মুরছালীন।",
              "words_arabic": "فَفَرَرْتُ/فَفَرَرۡتُ/fafarartu//مِنْكُمْ/مِنكُمۡ/minkum//لَمَّا/لَمَّا/lamma//خِفْتُكُمْ/خِفۡتُكُمۡ/khif'tukum//فَوَهَبَ/فَوَهَبَ/fawahaba//لِیْ/لِي/li//رَبِّیْ/رَبِّي/rabbi//حُكْمًا/حُكۡمٗا/huk'man//وَّ جَعَلَنِیْ/وَجَعَلَنِي/waja'alani//مِنَ/مِنَ/mina//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "অতঃপর আমি পালিয়ে গেলাম//হ'তে তোমাদের//যখন//ভয় করেছিলাম তোমাদেরকে//অতঃপর দান করলেন//জন্যে আমার//আমার রব//প্রজ্ঞা//এবং আমাকে করলেন//অন্তর্ভূক্ত//রাসূলদের"
            },
            {
              "number": 2954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2954.mp3"
              ],
              "text": "وَتِلْكَ نِعْمَةٌۭ تَمُنُّهَا عَلَىَّ أَنْ عَبَّدتَّ بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "আমার প্রতি তোমার যে অনুগ্রহের কথা বলছ, তা এই যে, তুমি বনী-ইসলাঈলকে গোলাম বানিয়ে রেখেছ।",
              "numberInSurah": 22,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকা নি‘মাতুন তামুননুহা-‘আলাইইয়া আন ‘আব্বাত্তা বানীইছরাঈল।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//نِعْمَةٌ/نِعۡمَةٞ/ni'matun//تَمُنُّهَا/تَمُنُّهَا/tamunnuha//عَلَیَّ/عَلَيَّ/alayya//اَنْ/أَنۡ/an//عَبَّدْتَّ/عَبَّدتَّ/abbadtta//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "আর ঐ//অনুগ্রহ//যা তুমি দয়া দেখাচ্ছো//আমার উপর (তা কি)//(এ নয়) যে//তুমি দাস বানিয়ে রেখেছো//বনী\"//ইসরাঈলকে\""
            },
            {
              "number": 2955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2955.mp3"
              ],
              "text": "قَالَ فِرْعَوْنُ وَمَا رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "ফেরাউন বলল, বিশ্বজগতের পালনকর্তা আবার কি?",
              "numberInSurah": 23,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফির‘আওনুওয়ামা-রাব্বুল ‘আ-লামীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//وَ مَا/وَمَا/wama//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "বললো//ফিরআউন//\"আবার কি (কে)//রব//বিশ্বজগতের\""
            },
            {
              "number": 2956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2956.mp3"
              ],
              "text": "قَالَ رَبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُم مُّوقِنِينَ",
              "translate_bn": "মূসা বলল, তিনি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছুর পালনকর্তা যদি তোমরা বিশ্বাসী হও।",
              "numberInSurah": 24,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বুছছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা- ইন কুনতুম মূকিনীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبُّ/رَبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ؕ/بَيۡنَهُمَآۖ/baynahuma//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّوْقِنِیْنَ /مُّوقِنِينَ/muqinina",
              "words_bangla": "(মূসা) বললো//\"রব//আকাশমন্ডলীর//ও পৃথিবীর//এবং যা কিছু (আছে)//উভয়ের মাঝে তাদের//যদি//হও তোমরা//দৃঢ় বিশ্বাসী\""
            },
            {
              "number": 2957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2957.mp3"
              ],
              "text": "قَالَ لِمَنْ حَوْلَهُۥٓ أَلَا تَسْتَمِعُونَ",
              "translate_bn": "ফেরাউন তার পরিষদবর্গকে বলল, তোমরা কি শুনছ না?",
              "numberInSurah": 25,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা লিমান হাওলাহূ আলা-তাছতামি‘উন।",
              "words_arabic": "قَالَ/قَالَ/qala//لِمَنْ/لِمَنۡ/liman//حَوْلَهٗۤ/حَوۡلَهُۥٓ/hawlahu//اَلَا/أَلَا/ala//تَسْتَمِعُوْنَ /تَسۡتَمِعُونَ/tastami'una",
              "words_bangla": "(ফিরআউন) বললো//তাদেরকে (যারা ছিলো)//চারপাশে তার//\"কি না//তোমরা শুনছো\""
            },
            {
              "number": 2958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2958.mp3"
              ],
              "text": "قَالَ رَبُّكُمْ وَرَبُّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ",
              "translate_bn": "মূসা বলল, তিনি তোমাদের পালনকর্তা এবং তোমাদের পূর্ববর্তীদেরও পালনকর্তা।",
              "numberInSurah": 26,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বুকুম ওয়ারাব্বুআবাইকুমুল আওওয়ালীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//وَ رَبُّ/وَرَبُّ/warabbu//اٰبَآىِٕكُمُ/ءَابَآئِكُمُ/abaikumu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "(মূসা) বললো//\"রব তোমাদের//ও রব//পিতৃ-পুরুষদেরও তোমাদের\"//পূর্ববর্তী\""
            },
            {
              "number": 2959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2959.mp3"
              ],
              "text": "قَالَ إِنَّ رَسُولَكُمُ ٱلَّذِىٓ أُرْسِلَ إِلَيْكُمْ لَمَجْنُونٌۭ",
              "translate_bn": "ফেরাউন বলল, তোমাদের প্রতি প্রেরিত তোমাদের রসূলটি নিশ্চয়ই বদ্ধ পাগল।",
              "numberInSurah": 27,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্না রাছূলাকুমুল্লাযী উরছিলা ইলাইকুম লামাজনূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّ/إِنَّ/inna//رَسُوْلَكُمُ/رَسُولَكُمُ/rasulakumu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اُرْسِلَ/أُرۡسِلَ/ur'sila//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//لَمَجْنُوْنٌ /لَمَجۡنُونٞ/lamajnunun",
              "words_bangla": "(ফিরআউন) বললো//\"নিশ্চয়ই//রাসূল তোমাদের//যাকে//পাঠানো হয়েছে//প্রতি তোমাদের//অবশ্যই পাগল\""
            },
            {
              "number": 2960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2960.mp3"
              ],
              "text": "قَالَ رَبُّ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُمْ تَعْقِلُونَ",
              "translate_bn": "মূসা বলল, তিনি পূর্ব, পশ্চিম ও এতদুভয়ের মধ্যবর্তী সব কিছুর পালনকর্তা, যদি তোমরা বোঝ।",
              "numberInSurah": 28,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বুল মাশরিকিওয়াল মাগরিবি ওয়ামা-বাইনাহুমা- ইন কুনতুম তা‘কিলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبُّ/رَبُّ/rabbu//الْمَشْرِقِ/ٱلۡمَشۡرِقِ/al-mashriqi//وَ الْمَغْرِبِ/وَٱلۡمَغۡرِبِ/wal-maghribi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ؕ/بَيۡنَهُمَآۖ/baynahuma//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "(মূসা) বললো//\"(তিনি তো) রব//পূর্বের//এবং পশ্চিমের//এবং যা কিছু (আছে)//উভয়ের মাঝে তাদের//যদি//তোমরা থাকো//তোমরা বুঝো\""
            },
            {
              "number": 2961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2961.mp3"
              ],
              "text": "قَالَ لَئِنِ ٱتَّخَذْتَ إِلَٰهًا غَيْرِى لَأَجْعَلَنَّكَ مِنَ ٱلْمَسْجُونِينَ",
              "translate_bn": "ফেরাউন বলল, তুমি যদি আমার পরিবর্তে অন্যকে উপাস্যরূপে গ্রহণ কর তবে আমি অবশ্যই তোমাকে কারাগারে নিক্ষেপ করব।",
              "numberInSurah": 29,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাইনিততাখাযতা ইলা -হান গাইরী লাআজ‘আলান্নাকা মিনাল মাছজূনীন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَىِٕنِ/لَئِنِ/la-ini//اتَّخَذْتَ/ٱتَّخَذۡتَ/ittakhadhta//اِلٰهًا/إِلَٰهًا/ilahan//غَیْرِیْ/غَيۡرِي/ghayri//لَاَجْعَلَنَّكَ/لَأَجۡعَلَنَّكَ/la-aj'alannaka//مِنَ/مِنَ/mina//الْمَسْجُوْنِیْنَ /ٱلۡمَسۡجُونِينَ/al-masjunina",
              "words_bangla": "(ফিরআউন) বললো//\"অবশ্যই যদি//তুমি গ্রহণ করো//(অন্যকে) ইলাহরূপে//ছাড়া আমাকে//অবশ্যই আমি তোমাকে করবোই//অন্তর্ভূক্ত//কারারুদ্ধদের\""
            },
            {
              "number": 2962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2962.mp3"
              ],
              "text": "قَالَ أَوَلَوْ جِئْتُكَ بِشَىْءٍۢ مُّبِينٍۢ",
              "translate_bn": "মূসা বলল, আমি তোমার কাছে কোন স্পষ্ট বিষয় নিয়ে আগমন করলেও কি?",
              "numberInSurah": 30,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা আওয়ালাও জি’তুকা বিশাইয়িম মুবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَوَ لَوْ/أَوَلَوۡ/awalaw//جِئْتُكَ/جِئۡتُكَ/ji'tuka//بِشَیْءٍ/بِشَيۡءٖ/bishayin//مُّبِیْنٍۚ/مُّبِينٖ/mubinin",
              "words_bangla": "(মূসা) বললো//\"কি যদিও//তোমাদের (কাছে) আসি আমি//নিয়ে এক বস্তু (নিদর্শন)//সুস্পষ্ট (তবুও)\""
            },
            {
              "number": 2963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2963.mp3"
              ],
              "text": "قَالَ فَأْتِ بِهِۦٓ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "ফেরাউন বলল, তুমি সত্যবাদী হলে তা উপস্থিত কর।",
              "numberInSurah": 31,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফা’তি বিহীইন কুননতা মিনাসসা-দিকীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاْتِ/فَأۡتِ/fati//بِهٖۤ/بِهِۦٓ/bihi//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "(ফিরআউন) বললো//\"তবে আসো//নিয়ে তা//যদি//তুমি হও//অন্তর্ভূক্ত//সত্যবাদীদের\""
            },
            {
              "number": 2964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2964.mp3"
              ],
              "text": "فَأَلْقَىٰ عَصَاهُ فَإِذَا هِىَ ثُعْبَانٌۭ مُّبِينٌۭ",
              "translate_bn": "অতঃপর তিনি লাঠি নিক্ষেপ করলে মুহূর্তের মধ্যে তা সুস্পষ্ট অজগর হয়ে গেল।",
              "numberInSurah": 32,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাআলকা-‘আসা-হু ফাইযা-হিয়া ছু‘বা-নুম মুবীন।",
              "words_arabic": "فَاَلْقٰی/فَأَلۡقَىٰ/fa-alqa//عَصَاهُ/عَصَاهُ/asahu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//ثُعْبَانٌ/ثُعۡبَانٞ/thu'banun//مُّبِیْنٌۚۖ/مُّبِينٞ/mubinun",
              "words_bangla": "অতঃপর সে ছুঁড়ে ফেললো//লাঠি তাঁর//তখনই//তা (হয়ে গেলো)//অজগর//সুস্পষ্ট"
            },
            {
              "number": 2965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2965.mp3"
              ],
              "text": "وَنَزَعَ يَدَهُۥ فَإِذَا هِىَ بَيْضَآءُ لِلنَّٰظِرِينَ",
              "translate_bn": "আর তিনি তার হাত বের করলেন, তৎক্ষণাৎ তা দর্শকদের কাছে সুশুভ্র প্রতিভাত হলো।",
              "numberInSurah": 33,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 317,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাঝা‘আ ইয়াদাহূফাইযা-হিয়া বাইদাউ লিন্না-জিরীন।",
              "words_arabic": "وَّ نَزَعَ/وَنَزَعَ/wanaza'a//یَدَهٗ/يَدَهُۥ/yadahu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//بَیْضَآءُ/بَيۡضَآءُ/baydau//لِلنّٰظِرِیْنَ۠/لِلنَّـٰظِرِينَ/lilnnazirina",
              "words_bangla": "এবং টেনে বের করলো (বগল হ'তে)//হাত তাঁর//তখনই//তা (হয়ে গেলো)//শুভ্র উজ্জ্বল//জন্যে দর্শকদের"
            },
            {
              "number": 2966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2966.mp3"
              ],
              "text": "قَالَ لِلْمَلَإِ حَوْلَهُۥٓ إِنَّ هَٰذَا لَسَٰحِرٌ عَلِيمٌۭ",
              "translate_bn": "ফেরাউন তার পরিষদবর্গকে বলল, নিশ্চয় এ একজন সুদক্ষ জাদুকর।",
              "numberInSurah": 34,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা লিলমালায়ি হাওলাহূ ইন্না হা-যা-লাছা-হিরুন ‘আলীম।",
              "words_arabic": "قَالَ/قَالَ/qala//لِلْمَلَاِ/لِلۡمَلَإِ/lil'mala-i//حَوْلَهٗۤ/حَوۡلَهُۥٓ/hawlahu//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَسٰحِرٌ/لَسَٰحِرٌ/lasahirun//عَلِیْمٌۙ/عَلِيمٞ/alimun",
              "words_bangla": "(ফিরআউন) বললো//সভাষদদের//চারপাশের তার//\"নিশ্চয়ই//এতো//অবশ্যই জাদুকর//সূদক্ষ"
            },
            {
              "number": 2967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2967.mp3"
              ],
              "text": "يُرِيدُ أَن يُخْرِجَكُم مِّنْ أَرْضِكُم بِسِحْرِهِۦ فَمَاذَا تَأْمُرُونَ",
              "translate_bn": "সে তার জাদু বলে তোমাদেরকে তোমাদের দেশ থেকে বহিস্কার করতে চায়। অতএব তোমাদের মত কি?",
              "numberInSurah": 35,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ইউরীদুআইঁ ইউখরিজাকুম মিন আরদিকুম বিছিহরিহী ফামা-যা-তা’মুরূন।",
              "words_arabic": "یُّرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یُّخْرِجَكُمْ/يُخۡرِجَكُم/yukh'rijakum//مِّنْ/مِّنۡ/min//اَرْضِكُمْ/أَرۡضِكُم/ardikum//بِسِحْرِهٖ ۖۗ/بِسِحۡرِهِۦ/bisih'rihi//فَمَا ذَا/فَمَاذَا/famadha//تَاْمُرُوْنَ /تَأۡمُرُونَ/tamuruna",
              "words_bangla": "সে চায়//যে//সে বের করবে তোমাদেরকে//হ'তে//দেশ তোমাদের//সাহায্যে তাঁর জাদুর//অতঃপর কি//তোমরা পরামর্শ দিচ্ছো\""
            },
            {
              "number": 2968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2968.mp3"
              ],
              "text": "قَالُوٓا۟ أَرْجِهْ وَأَخَاهُ وَٱبْعَثْ فِى ٱلْمَدَآئِنِ حَٰشِرِينَ",
              "translate_bn": "তারা বলল, তাকে ও তার ভাইকে কিছু অবকাশ দিন এবং শহরে শহরে ঘোষক প্রেরণ করুন।",
              "numberInSurah": 36,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লূ আরজিহ ওয়া আখা-হু ওয়াব‘আছফিল মাদা-ইনি হা-শিরীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَرْجِهْ/أَرۡجِهۡ/arjih//وَ اَخَاهُ/وَأَخَاهُ/wa-akhahu//وَ ابْعَثْ/وَٱبۡعَثۡ/wa-ib'ath//فِی/فِي/fi//الْمَدَآىِٕنِ/ٱلۡمَدَآئِنِ/al-madaini//حٰشِرِیْنَۙ/حَٰشِرِينَ/hashirina",
              "words_bangla": "তারা বললো//\"তাঁর (ব্যাপার) স্থগিত রাখুন//ও তাঁর ভায়ের (ব্যাপারে)//এবং পাঠিয়ে দিন//মধ্যে//শহরে শহরে//সংগ্রহকারীদেরকে"
            },
            {
              "number": 2969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2969.mp3"
              ],
              "text": "يَأْتُوكَ بِكُلِّ سَحَّارٍ عَلِيمٍۢ",
              "translate_bn": "তারা যেন আপনার কাছে প্রত্যেকটি দক্ষ জাদুকর কে উপস্থিত করে।",
              "numberInSurah": 37,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ইয়া’তূকা বিকুল্লি ছাহহা-রিন ‘আলীম।",
              "words_arabic": "یَاْتُوْكَ/يَأۡتُوكَ/yatuka//بِكُلِّ/بِكُلِّ/bikulli//سَحَّارٍ/سَحَّارٍ/sahharin//عَلِیْمٍ /عَلِيمٖ/alimin",
              "words_bangla": "আপনার নিকট আসবে তারা//নিয়ে প্রত্যেক//বড় জাদুকরকে//সূদক্ষ\""
            },
            {
              "number": 2970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2970.mp3"
              ],
              "text": "فَجُمِعَ ٱلسَّحَرَةُ لِمِيقَٰتِ يَوْمٍۢ مَّعْلُومٍۢ",
              "translate_bn": "অতঃপর এক নির্দিষ্ট দিনে জাদুকরদেরকে একত্রিত করা হল।",
              "numberInSurah": 38,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাজুমি‘আছ ছাহারাতুলিমীকা-তি ইয়াওমিম মা‘লূম।",
              "words_arabic": "فَجُمِعَ/فَجُمِعَ/fajumi'a//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//لِمِیْقَاتِ/لِمِيقَٰتِ/limiqati//یَوْمٍ/يَوۡمٖ/yawmin//مَّعْلُوْمٍۙ/مَّعۡلُومٖ/ma'lumin",
              "words_bangla": "অতঃপর জড়ো করা হলো//জাদুকরদেরকে//জন্যে নির্দিষ্ট সময়ের//দিনের//নির্ধারিত"
            },
            {
              "number": 2971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2971.mp3"
              ],
              "text": "وَقِيلَ لِلنَّاسِ هَلْ أَنتُم مُّجْتَمِعُونَ",
              "translate_bn": "এবং জনগণের মধ্যে ঘোষণা করা হল, তোমরাও সমবেত হও।",
              "numberInSurah": 39,
              "juz": 19,
              "manzil": 5,
              "page": 368,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলা লিন্না-ছি হাল আনতুম মুজতামি‘ঊন।",
              "words_arabic": "وَّ قِیْلَ/وَقِيلَ/waqila//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//هَلْ/هَلۡ/hal//اَنْتُمْ/أَنتُم/antum//مُّجْتَمِعُوْنَۙ/مُّجۡتَمِعُونَ/muj'tami'una",
              "words_bangla": "এবং বলা হলো//লোকদেরকে//\"(তাহ'লে) কি//তোমরা//(সম্মেলনে) সমবেত হচ্ছো"
            },
            {
              "number": 2972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2972.mp3"
              ],
              "text": "لَعَلَّنَا نَتَّبِعُ ٱلسَّحَرَةَ إِن كَانُوا۟ هُمُ ٱلْغَٰلِبِينَ",
              "translate_bn": "যাতে আমরা জাদুকরদের অনুসরণ করতে পারি-যদি তারাই বিজয়ী হয়।",
              "numberInSurah": 40,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "লা‘আল্লানা-নাত্তাবি‘উছ ছাহারাতা ইন কা-নূহুমুল গা-লিবীন।",
              "words_arabic": "لَعَلَّنَا/لَعَلَّنَا/la'allana//نَتَّبِعُ/نَتَّبِعُ/nattabi'u//السَّحَرَةَ/ٱلسَّحَرَةَ/al-saharata//اِنْ/إِن/in//كَانُوْا/كَانُواْ/kanu//هُمُ/هُمُ/humu//الْغٰلِبِیْنَ /ٱلۡغَٰلِبِينَ/al-ghalibina",
              "words_bangla": "সম্ভবতঃ আমরা//অনুসরণ করবো//জাদুকরদের (দ্বীনকে)//যদি//তারা হয়//তারা//বিজয়ী\""
            },
            {
              "number": 2973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2973.mp3"
              ],
              "text": "فَلَمَّا جَآءَ ٱلسَّحَرَةُ قَالُوا۟ لِفِرْعَوْنَ أَئِنَّ لَنَا لَأَجْرًا إِن كُنَّا نَحْنُ ٱلْغَٰلِبِينَ",
              "translate_bn": "যখন যাদুকররা আগমণ করল, তখন ফেরআউনকে বলল, যদি আমরা বিজয়ী হই, তবে আমরা পুরস্কার পাব তো?",
              "numberInSurah": 41,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- জাআছছাহারাতুকা-লূলিফির‘আওনা আইন্না লানা- লাআজরান ইন কুন্নানাহনুল গা-লিবীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//قَالُوْا/قَالُواْ/qalu//لِفِرْعَوْنَ/لِفِرۡعَوۡنَ/lifir'awna//اَىِٕنَّ/أَئِنَّ/a-inna//لَنَا/لَنَا/lana//لَاَجْرًا/لَأَجۡرًا/la-ajran//اِنْ/إِن/in//كُنَّا/كُنَّا/kunna//نَحْنُ/نَحۡنُ/nahnu//الْغٰلِبِیْنَ /ٱلۡغَٰلِبِينَ/al-ghalibina",
              "words_bangla": "অতঃপর যখন//আসলো (ময়দানে)//জাদুকররা//তারা বললো//উদ্দেশ্যে ফিরআউনের//\"কি নিশ্চয়ই (আছে)//জন্যে আমাদের//অবশ্যই পুরস্কার//যদি//আমরা হই//আমরা//বিজয়ী\""
            },
            {
              "number": 2974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2974.mp3"
              ],
              "text": "قَالَ نَعَمْ وَإِنَّكُمْ إِذًۭا لَّمِنَ ٱلْمُقَرَّبِينَ",
              "translate_bn": "ফেরাউন বলল, হঁ্যা এবং তখন তোমরা আমার নৈকট্যশীলদের অন্তর্ভুক্ত হবে।",
              "numberInSurah": 42,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা না‘আম ওয়া ইন্নাকুম ইযাল্লামিনাল মুকারবাবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//نَعَمْ/نَعَمۡ/na'am//وَ اِنَّكُمْ/وَإِنَّكُمۡ/wa-innakum//اِذًا/إِذٗا/idhan//لَّمِنَ/لَّمِنَ/lamina//الْمُقَرَّبِیْنَ /ٱلۡمُقَرَّبِينَ/al-muqarabina",
              "words_bangla": "(ফিরআউন) বললো//\"হ্যাঁ//এবং নিশ্চয়ই তোমরা//তখন//অবশ্যই অন্তর্ভূক্ত (হবে)//(আমার) ঘনিষ্ঠদের\""
            },
            {
              "number": 2975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2975.mp3"
              ],
              "text": "قَالَ لَهُم مُّوسَىٰٓ أَلْقُوا۟ مَآ أَنتُم مُّلْقُونَ",
              "translate_bn": "মূসা (আঃ) তাদেরকে বললেন, নিক্ষেপ কর তোমরা যা নিক্ষেপ করবে।",
              "numberInSurah": 43,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা লাহুম মূছাআলকূমাআনতুম মুলকূন।",
              "words_arabic": "قَالَ/قَالَ/qala//لَهُمْ/لَهُم/lahum//مُّوْسٰۤی/مُّوسَىٰٓ/musa//اَلْقُوْا/أَلۡقُواْ/alqu//مَاۤ/مَآ/ma//اَنْتُمْ/أَنتُم/antum//مُّلْقُوْنَ /مُّلۡقُونَ/mul'quna",
              "words_bangla": "বললো//উদ্দশ্যে তাদের//মূসা//\"তোমরা ছোড়ো//যা কিছু//তোমরা//নিক্ষেপকারী\""
            },
            {
              "number": 2976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2976.mp3"
              ],
              "text": "فَأَلْقَوْا۟ حِبَالَهُمْ وَعِصِيَّهُمْ وَقَالُوا۟ بِعِزَّةِ فِرْعَوْنَ إِنَّا لَنَحْنُ ٱلْغَٰلِبُونَ",
              "translate_bn": "অতঃপর তারা তাদের রশি ও লাঠি নিক্ষেপ করল এবং বলল, ফেরাউনের ইযযতের কসম, আমরাই বিজয়ী হব।",
              "numberInSurah": 44,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাআলকাও হিবা-লাহুম ওয়া ‘ইসিইইয়াহুম ওয়া কা-লূবি‘ইঝঝাতি ফির‘আওনা ইন্নালানাহনুল গা-লিবূন।",
              "words_arabic": "فَاَلْقَوْا/فَأَلۡقَوۡاْ/fa-alqaw//حِبَالَهُمْ/حِبَالَهُمۡ/hibalahum//وَ عِصِیَّهُمْ/وَعِصِيَّهُمۡ/wa'isiyyahum//وَ قَالُوْا/وَقَالُواْ/waqalu//بِعِزَّةِ/بِعِزَّةِ/bi'izzati//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِنَّا/إِنَّا/inna//لَنَحْنُ/لَنَحۡنُ/lanahnu//الْغٰلِبُوْنَ /ٱلۡغَٰلِبُونَ/al-ghalibuna",
              "words_bangla": "অতঃপর তারা ছুঁড়লো//দড়িদড়া তাদের//ও লাঠিসোটা তাদের//এবং বললো//\"শপথ মর্যাদার//ফিরআউনের//নিশ্চয়ই//অবশ্যই আমরাই//বিজয়ী (হবো)\""
            },
            {
              "number": 2977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2977.mp3"
              ],
              "text": "فَأَلْقَىٰ مُوسَىٰ عَصَاهُ فَإِذَا هِىَ تَلْقَفُ مَا يَأْفِكُونَ",
              "translate_bn": "অতঃপর মূসা তাঁর লাঠি নিক্ষেপ করল, হঠাৎ তা তাদের অলীক কীর্তিগুলোকে গ্রাস করতে লাগল।",
              "numberInSurah": 45,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাআলকা-মূছা-‘আসা-হু ফাইযা-হিইয়া তালকাফুমা-ইয়া’ফিকূন।",
              "words_arabic": "فَاَلْقٰی/فَأَلۡقَىٰ/fa-alqa//مُوْسٰی/مُوسَىٰ/musa//عَصَاهُ/عَصَاهُ/asahu//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//تَلْقَفُ/تَلۡقَفُ/talqafu//مَا/مَا/ma//یَاْفِكُوْنَۚۖ/يَأۡفِكُونَ/yafikuna",
              "words_bangla": "অতঃপর ছুঁড়লো//মূসা//তাঁর লাঠি//তখনই//তা//গিলে ফেলতে লাগলো//যা কিছু//তারা মিথ্যা সৃষ্টি করে"
            },
            {
              "number": 2978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2978.mp3"
              ],
              "text": "فَأُلْقِىَ ٱلسَّحَرَةُ سَٰجِدِينَ",
              "translate_bn": "তখন জাদুকররা সেজদায় নত হয়ে গেল।",
              "numberInSurah": 46,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ফাউলকিয়াছ ছাহারাতুছা-জিদীন।",
              "words_arabic": "فَاُلْقِیَ/فَأُلۡقِيَ/fa-ul'qiya//السَّحَرَةُ/ٱلسَّحَرَةُ/al-saharatu//سٰجِدِیْنَۙ/سَٰجِدِينَ/sajidina",
              "words_bangla": "তখন পড়ে গেলো//জাদুকররা//সিজদাকারী হিসেবে"
            },
            {
              "number": 2979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2979.mp3"
              ],
              "text": "قَالُوٓا۟ ءَامَنَّا بِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "তারা বলল, আমরা রাব্বুল আলামীনের প্রতি বিশ্বাস স্থাপন করলাম।",
              "numberInSurah": 47,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লূ আ-মান্না-বিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِرَبِّ/بِرَبِّ/birabbi//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তারা বললো//\"আমরা ঈমান এনেছি//উপর রবের//বিশ্ব্বজগতের"
            },
            {
              "number": 2980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2980.mp3"
              ],
              "text": "رَبِّ مُوسَىٰ وَهَٰرُونَ",
              "translate_bn": "যিনি মূসা ও হারুনের রব।",
              "numberInSurah": 48,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "রাব্বি মূছা-ওয়াহা-রূন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//مُوْسٰی/مُوسَىٰ/musa//وَ هٰرُوْنَ /وَهَٰرُونَ/waharuna",
              "words_bangla": "(যিনি) রব//মূসার//ও হারুনের\""
            },
            {
              "number": 2981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2981.mp3"
              ],
              "text": "قَالَ ءَامَنتُمْ لَهُۥ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّهُۥ لَكَبِيرُكُمُ ٱلَّذِى عَلَّمَكُمُ ٱلسِّحْرَ فَلَسَوْفَ تَعْلَمُونَ ۚ لَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَٰفٍۢ وَلَأُصَلِّبَنَّكُمْ أَجْمَعِينَ",
              "translate_bn": "ফেরাউন বলল, আমার অনুমতি দানের পূর্বেই তোমরা কি তাকে মেনে নিলে? নিশ্চয় সে তোমাদের প্রধান, যে তোমাদেরকে জাদু শিক্ষা দিয়েছে। শীঘ্রই তোমরা পরিণাম জানতে পারবে। আমি অবশ্যই তোমাদের হাত ও পা বিপরীত দিক থেকে কর্তন করব। এবং তোমাদের সবাইকে শূলে চড়াব।",
              "numberInSurah": 49,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লা আ-মানতুম লাহূকাবলা আন আ-যানা লাকুম ইন্নাহূলাকাবীরু কুমুল্লাযী ‘আল্লামাকুমুছ ছিহরা ফালাছাওফা তা‘লামূনা লাউকাত্তি‘আন্না আইদিয়াকুম ওয়া আরজুলাকুম মিন খিলা-ফিওঁ ওয়ালাউসালিলবান্নাকুম আজমা‘ঈন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//اٰمَنْتُمْ/ءَامَنتُمۡ/amantum//لَهٗ/لَهُۥ/lahu//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَنۡ/an//اٰذَنَ/ءَاذَنَ/adhana//لَكُمْ ۚ/لَكُمۡۖ/lakum//اِنَّهٗ/إِنَّهُۥ/innahu//لَكَبِیْرُكُمُ/لَكَبِيرُكُمُ/lakabirukumu//الَّذِیْ/ٱلَّذِي/alladhi//عَلَّمَكُمُ/عَلَّمَكُمُ/allamakumu//السِّحْرَ ۚ/ٱلسِّحۡرَ/al-sih'ra//فَلَسَوْفَ/فَلَسَوۡفَ/falasawfa//تَعْلَمُوْنَ ؕ۬/تَعۡلَمُونَۚ/ta'lamuna//لَاُقَطِّعَنَّ/لَأُقَطِّعَنَّ/la-uqatti'anna//اَیْدِیَكُمْ/أَيۡدِيَكُمۡ/aydiyakum//وَ اَرْجُلَكُمْ/وَأَرۡجُلَكُم/wa-arjulakum//مِّنْ/مِّنۡ/min//خِلَافٍ/خِلَٰفٖ/khilafin//وَّ لَاُصَلِّبَنَّكُمْ/وَلَأُصَلِّبَنَّكُمۡ/wala-usallibannakum//اَجْمَعِیْنَۚ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "(ফিরআউন) বললো//\"কি তোমরা ঈমান আনলে//প্রতি তাঁর//এর পূর্বেই//যে//আমি দিবো অনুমতি//জন্যে তোমাদের//নিশ্চয়ই সে//অবশ্যই প্রধান (নেতা) তোমাদের//যে//তোমাদেরকে শিখিয়েছে//জাদু//অতএব শীঘ্রই//তোমরা জানতে পারবে (পরিণাম)//অবশ্যই আমি কাটবোই//হাতগুলোকে তোমাদের//ও পাগুলোকে তোমাদের//হ'তে//বিপরীত দিক//আর অবশ্যই তোমাদেরকে শূলে চড়াবো//সবাইকে\""
            },
            {
              "number": 2982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2982.mp3"
              ],
              "text": "قَالُوا۟ لَا ضَيْرَ ۖ إِنَّآ إِلَىٰ رَبِّنَا مُنقَلِبُونَ",
              "translate_bn": "তারা বলল, কোন ক্ষতি নেই। আমরা আমাদের পালনকর্তার কাছে প্রত্যাবর্তন করব।",
              "numberInSurah": 50,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "কা-লূলা-দাইরা ইন্নাইলা-রাব্বিনা- মুনকালিবূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//ضَیْرَ ؗ/ضَيۡرَۖ/dayra//اِنَّاۤ/إِنَّآ/inna//اِلٰی/إِلَىٰ/ila//رَبِّنَا/رَبِّنَا/rabbina//مُنْقَلِبُوْنَۚ/مُنقَلِبُونَ/munqalibuna",
              "words_bangla": "তারা বললো//\"নেই//কোনো ক্ষতি//নিশ্চয়ই আমরা//দিকে//আমাদের রবের//প্রত্যাবর্তনকারী"
            },
            {
              "number": 2983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2983.mp3"
              ],
              "text": "إِنَّا نَطْمَعُ أَن يَغْفِرَ لَنَا رَبُّنَا خَطَٰيَٰنَآ أَن كُنَّآ أَوَّلَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আমরা আশা করি, আমাদের পালনকর্তা আমাদের ক্রটি-বিচ্যুতি মার্জনা করবেন। কারণ, আমরা বিশ্বাস স্থাপনকারীদের মধ্যে অগ্রণী।",
              "numberInSurah": 51,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 147,
              "sajda": false,
              "pronunciation_bn": "ইন্না-নাতমা‘উ আইঁ ইউগফিরালানা- রাব্বুনা- খাতাইয়া-নাআন কুন্না আওওয়ালাল মু’মিনীন।\r\n",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَطْمَعُ/نَطۡمَعُ/natma'u//اَنْ/أَن/an//یَّغْفِرَ/يَغۡفِرَ/yaghfira//لَنَا/لَنَا/lana//رَبُّنَا/رَبُّنَا/rabbuna//خَطٰیٰنَاۤ/خَطَٰيَٰنَآ/khatayana//اَنْ/أَن/an//كُنَّاۤ/كُنَّآ/kunna//اَوَّلَ/أَوَّلَ/awwala//الْمُؤْمِنِیْنَؕ۠/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "নিশ্চয়ই  আমরা//আশা করি//যে//ক্ষমা করবেন//আমাদেরকে//রব আমাদের//ভুলক্রটিগুলোকে আমাদের//(এজন্য) যে//আমরা হলাম//প্রথম//মু'মিন\""
            },
            {
              "number": 2984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2984.mp3"
              ],
              "text": "۞ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَسْرِ بِعِبَادِىٓ إِنَّكُم مُّتَّبَعُونَ",
              "translate_bn": "আমি মূসাকে আদেশ করলাম যে, আমার বান্দাদেরকে নিয়ে রাত্রিযোগে বের হয়ে যাও, নিশ্চয় তোমাদের পশ্চাদ্ধাবন করা হবে।",
              "numberInSurah": 52,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 318,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওহাইনাইলা-মূছাআন আছরিবি‘ইবা-দী ইন্নাকুম মুত্তাবা‘ঊন।",
              "words_arabic": "وَ اَوْحَیْنَاۤ/۞وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰۤی/مُوسَىٰٓ/musa//اَنْ/أَنۡ/an//اَسْرِ/أَسۡرِ/asri//بِعِبَادِیْۤ/بِعِبَادِيٓ/bi'ibadi//اِنَّكُمْ/إِنَّكُم/innakum//مُّتَّبَعُوْنَ /مُّتَّبَعُونَ/muttaba'una",
              "words_bangla": "এবং আমরা ওহী পাঠালাম//প্রতি//মূসার//যে//\"রাতে বের হয়ে যাও//নিয়ে আমার দাসদের//নিশ্চয়ই তোমাদেরকে//পিছনে অনুসরণ করা হবে\""
            },
            {
              "number": 2985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2985.mp3"
              ],
              "text": "فَأَرْسَلَ فِرْعَوْنُ فِى ٱلْمَدَآئِنِ حَٰشِرِينَ",
              "translate_bn": "অতঃপর ফেরাউন শহরে শহরে সংগ্রাহকদেরকে প্রেরণ করল,",
              "numberInSurah": 53,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাআরছালা ফির‘আওনুফিল মাদাইনি হা-শিরীন।",
              "words_arabic": "فَاَرْسَلَ/فَأَرۡسَلَ/fa-arsala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//فِی/فِي/fi//الْمَدَآىِٕنِ/ٱلۡمَدَآئِنِ/al-madaini//حٰشِرِیْنَۚ/حَٰشِرِينَ/hashirina",
              "words_bangla": "অতঃপর পাঠালো//ফিরআউন//মধ্যে//শহরগুলোর//(লোক) সংগ্রহকারীদেরকে"
            },
            {
              "number": 2986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2986.mp3"
              ],
              "text": "إِنَّ هَٰٓؤُلَآءِ لَشِرْذِمَةٌۭ قَلِيلُونَ",
              "translate_bn": "নিশ্চয় এরা (বনী-ইসরাঈলরা) ক্ষুদ্র একটি দল।",
              "numberInSurah": 54,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইন্না হাউলাই লাশিরযিমাতুন কালীলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//لَشِرْذِمَةٌ/لَشِرۡذِمَةٞ/lashir'dhimatun//قَلِیْلُوْنَۙ/قَلِيلُونَ/qaliluna",
              "words_bangla": "\"(এই বলে যে) নিশ্চয়ই//এরা//অবশ্যই একটি ক্ষুদে দল//কম (লোক)"
            },
            {
              "number": 2987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2987.mp3"
              ],
              "text": "وَإِنَّهُمْ لَنَا لَغَآئِظُونَ",
              "translate_bn": "এবং তারা আমাদের ক্রোধের উদ্রেক করেছে।",
              "numberInSurah": 55,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহুম লানা-লাগাইজূ ন।",
              "words_arabic": "وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَنَا/لَنَا/lana//لَغَآىِٕظُوْنَۙ/لَغَآئِظُونَ/laghaizuna",
              "words_bangla": "এবং নিশ্চয়ই তারা//জন্যে আমাদের//রাগউদ্রেককারী"
            },
            {
              "number": 2988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2988.mp3"
              ],
              "text": "وَإِنَّا لَجَمِيعٌ حَٰذِرُونَ",
              "translate_bn": "এবং আমরা সবাই সদা শংকিত।",
              "numberInSurah": 56,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লাজামী‘উন হা-যিরূন।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//لَجَمِیْعٌ/لَجَمِيعٌ/lajami'un//حٰذِرُوْنَؕ/حَٰذِرُونَ/hadhiruna",
              "words_bangla": "এবং নিশ্চয়ই আমরা//অবশ্যই সবাই//সদা-সতর্ক\""
            },
            {
              "number": 2989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2989.mp3"
              ],
              "text": "فَأَخْرَجْنَٰهُم مِّن جَنَّٰتٍۢ وَعُيُونٍۢ",
              "translate_bn": "অতঃপর আমি ফেরআউনের দলকে তাদের বাগ-বাগিচা ও ঝর্ণাসমূহ থেকে বহিষ্কার করলাম।",
              "numberInSurah": 57,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাআখরাজনা-হুম মিন জান্না-তিওঁ ওয়া ‘উয়ূন।",
              "words_arabic": "فَاَخْرَجْنٰهُمْ/فَأَخۡرَجۡنَٰهُم/fa-akhrajnahum//مِّنْ/مِّن/min//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍۙ/وَعُيُونٖ/wa'uyunin",
              "words_bangla": "এরপর আমরা বের করলাম তাদেরকে//হ'তে//বাগান//ও ঝর্ণাসমূহ"
            },
            {
              "number": 2990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2990.mp3"
              ],
              "text": "وَكُنُوزٍۢ وَمَقَامٍۢ كَرِيمٍۢ",
              "translate_bn": "এবং ধন-ভান্ডার ও মনোরম স্থানসমূহ থেকে।",
              "numberInSurah": 58,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুনূঝিওঁ ওয়া মাকা-মিন কারীম।",
              "words_arabic": "وَّ كُنُوْزٍ/وَكُنُوزٖ/wakunuzin//وَّ مَقَامٍ/وَمَقَامٖ/wamaqamin//كَرِیْمٍۙ/كَرِيمٖ/karimin",
              "words_bangla": "এবং ধন-ভান্ডার//ও (হ'তে) স্থানসমূহ//সম্মানের"
            },
            {
              "number": 2991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2991.mp3"
              ],
              "text": "كَذَٰلِكَ وَأَوْرَثْنَٰهَا بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "এরূপই হয়েছিল এবং বনী-ইসলাঈলকে করে দিলাম এসবের মালিক।",
              "numberInSurah": 59,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ওয়া আওরাছনা-হা-বানীইছরাঈল।\r\n",
              "words_arabic": "كَذٰلِكَ ؕ/كَذَٰلِكَۖ/kadhalika//وَ اَوْرَثْنٰهَا/وَأَوۡرَثۡنَٰهَا/wa-awrathnaha//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "এরূপই (ঘটেছিলো)//আর আমরা উত্তরাধিকারী করেছিলাম তার//বনী//ইসরাঈলদেরকে"
            },
            {
              "number": 2992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2992.mp3"
              ],
              "text": "فَأَتْبَعُوهُم مُّشْرِقِينَ",
              "translate_bn": "অতঃপর সুর্যোদয়ের সময় তারা তাদের পশ্চাদ্ধাবন করল।",
              "numberInSurah": 60,
              "juz": 19,
              "manzil": 5,
              "page": 369,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাআতবা‘ঊহুম মুশরিকীন।",
              "words_arabic": "فَاَتْبَعُوْهُمْ/فَأَتۡبَعُوهُم/fa-atba'uhum//مُّشْرِقِیْنَ /مُّشۡرِقِينَ/mush'riqina",
              "words_bangla": "অতঃপর তারা পিছু নিলো তাদেরকে//সূর্যোদয়ের সময়"
            },
            {
              "number": 2993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2993.mp3"
              ],
              "text": "فَلَمَّا تَرَٰٓءَا ٱلْجَمْعَانِ قَالَ أَصْحَٰبُ مُوسَىٰٓ إِنَّا لَمُدْرَكُونَ",
              "translate_bn": "যখন উভয় দল পরস্পরকে দেখল, তখন মূসার সঙ্গীরা বলল, আমরা যে ধরা পড়ে গেলাম।",
              "numberInSurah": 61,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-তারাআল জাম‘আ-নি কা-লা আসহা-বুমূছাইন্না-লামুদরাকূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//تَرَآءَ/تَرَـٰٓءَا/taraa//الْجَمْعٰنِ/ٱلۡجَمۡعَانِ/al-jam'ani//قَالَ/قَالَ/qala//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//مُوْسٰۤی/مُوسَىٰٓ/musa//اِنَّا/إِنَّا/inna//لَمُدْرَكُوْنَۚ/لَمُدۡرَكُونَ/lamud'rakuna",
              "words_bangla": "অতঃপর যখন//পরস্পরকে দেখলো//দল দু'টো//বললো//সাথীরা//মূসার//\"নিশ্চয়ই আমরা//অবশ্যই ধরা পড়ে গেলাম\""
            },
            {
              "number": 2994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2994.mp3"
              ],
              "text": "قَالَ كَلَّآ ۖ إِنَّ مَعِىَ رَبِّى سَيَهْدِينِ",
              "translate_bn": "মূসা বলল, কখনই নয়, আমার সাথে আছেন আমার পালনকর্তা। তিনি আমাকে পথ বলে দেবেন।",
              "numberInSurah": 62,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লা কাল্লা- ইন্না মা‘ইয়া রাববী ছাইয়াহদীন।",
              "words_arabic": "قَالَ/قَالَ/qala//كَلَّا ۚ/كَلَّآۖ/kalla//اِنَّ/إِنَّ/inna//مَعِیَ/مَعِيَ/ma'iya//رَبِّیْ/رَبِّي/rabbi//سَیَهْدِیْنِ /سَيَهۡدِينِ/sayahdini",
              "words_bangla": "(মূসা) বললো//\"কখনও না//নিশ্চয়ই//আমার সাথে (আছেন)//আমার রব//শীঘ্রই তিনি আমাকে পথ দেখাবেন\""
            },
            {
              "number": 2995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2995.mp3"
              ],
              "text": "فَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنِ ٱضْرِب بِّعَصَاكَ ٱلْبَحْرَ ۖ فَٱنفَلَقَ فَكَانَ كُلُّ فِرْقٍۢ كَٱلطَّوْدِ ٱلْعَظِيمِ",
              "translate_bn": "অতঃপর আমি মূসাকে আদেশ করলাম, তোমার লাঠি দ্বারা সমূদ্রকে আঘাত কর। ফলে, তা বিদীর্ণ হয়ে গেল এবং প্রত্যেক ভাগ বিশাল পর্বতসদৃশ হয়ে গেল।",
              "numberInSurah": 63,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাআওহাইনাইলা-মূছাআনিদরিব বি‘আসাকাল বাহ রা ফানফালাকা ফাকা-না কুল্লু ফিরকিন কাততাওদিল ‘আজীম।\r\n",
              "words_arabic": "فَاَوْحَیْنَاۤ/فَأَوۡحَيۡنَآ/fa-awhayna//اِلٰی/إِلَىٰ/ila//مُوْسٰۤی/مُوسَىٰٓ/musa//اَنِ/أَنِ/ani//اضْرِبْ/ٱضۡرِب/id'rib//بِّعَصَاكَ/بِّعَصَاكَ/bi'asaka//الْبَحْرَ ؕ/ٱلۡبَحۡرَۖ/al-bahra//فَانْفَلَقَ/فَٱنفَلَقَ/fa-infalaqa//فَكَانَ/فَكَانَ/fakana//كُلُّ/كُلُّ/kullu//فِرْقٍ/فِرۡقٖ/fir'qin//كَالطَّوْدِ/كَٱلطَّوۡدِ/kal-tawdi//الْعَظِیْمِۚ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "অতঃপর আমরা ওহী পাঠালাম//প্রতি//মূসার//যে//\"আঘাত করো//দিয়ে তোমার লাঠি//সমূদ্রকে\"//ফলে ফেটে গেল (সমুদ্র)//অতঃপর হলো//প্রত্যেক//ভাগ//মতো পর্বতের//বিশাল"
            },
            {
              "number": 2996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2996.mp3"
              ],
              "text": "وَأَزْلَفْنَا ثَمَّ ٱلْءَاخَرِينَ",
              "translate_bn": "আমি সেথায় অপর দলকে পৌঁছিয়ে দিলাম।",
              "numberInSurah": 64,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া আঝলাফনা-ছাম্মাল আ-খারীন।",
              "words_arabic": "وَ اَزْلَفْنَا/وَأَزۡلَفۡنَا/wa-azlafna//ثَمَّ/ثَمَّ/thamma//الْاٰخَرِیْنَۚ/ٱلۡأٓخَرِينَ/al-akharina",
              "words_bangla": "এবং আমরা নিকটে আনলাম//সেখানেই//অন্যান্যদেরকে (অপর দলকে)"
            },
            {
              "number": 2997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2997.mp3"
              ],
              "text": "وَأَنجَيْنَا مُوسَىٰ وَمَن مَّعَهُۥٓ أَجْمَعِينَ",
              "translate_bn": "এবং মূসা ও তাঁর সংগীদের সবাইকে বাঁচিয়ে দিলাম।",
              "numberInSurah": 65,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনজাইনা-মূছা-ওয়ামাম মা‘আহূআজমা‘ঈন।",
              "words_arabic": "وَ اَنْجَیْنَا/وَأَنجَيۡنَا/wa-anjayna//مُوْسٰی/مُوسَىٰ/musa//وَ مَنْ/وَمَن/waman//مَّعَهٗۤ/مَّعَهُۥٓ/ma'ahu//اَجْمَعِیْنَۚ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "এবং আমরা উদ্ধার করলাম//মূসাকে//ও যারা (ছিলো)//তাঁর সাথে//সবাইকে"
            },
            {
              "number": 2998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2998.mp3"
              ],
              "text": "ثُمَّ أَغْرَقْنَا ٱلْءَاخَرِينَ",
              "translate_bn": "অতঃপর অপর দলটিকে নিমজ্জত কললাম।",
              "numberInSurah": 66,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আগরাকনাল আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَغْرَقْنَا/أَغۡرَقۡنَا/aghraqna//الْاٰخَرِیْنَؕ/ٱلۡأٓخَرِينَ/al-akharina",
              "words_bangla": "এরপর//আমরা ডুবিয়ে দিলাম//অন্যান্যদেরকে"
            },
            {
              "number": 2999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/2999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/2999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/2999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/2999.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয় এতে একটি নিদর্শন আছে এবং তাদের অধিকাংশই বিশ্বাসী ছিল না।",
              "numberInSurah": 67,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাওঁ ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই একটি নিদর্শন//কিন্তু না//ছিলো//অধিকাংশই তাদের//বিশ্বাসী"
            },
            {
              "number": 3000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3000.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "আপনার পালনকর্তা অবশ্যই পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 68,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//অবশ্যই তিনিই//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3001.mp3"
              ],
              "text": "وَٱتْلُ عَلَيْهِمْ نَبَأَ إِبْرَٰهِيمَ",
              "translate_bn": "আর তাদেরকে ইব্রাহীমের বৃত্তান্ত শুনিয়ে দিন।",
              "numberInSurah": 69,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 319,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াতলু‘আলাইহিম নাবাআ ইবরা-হীম।",
              "words_arabic": "وَ اتْلُ/وَٱتۡلُ/wa-ut'lu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//نَبَاَ/نَبَأَ/naba-a//اِبْرٰهِیْمَۘ/إِبۡرَٰهِيمَ/ib'rahima",
              "words_bangla": "আর পাঠ করে শুনাও//কাছে তাদের//সংবাদ//ইবরাহীমের"
            },
            {
              "number": 3002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3002.mp3"
              ],
              "text": "إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَا تَعْبُدُونَ",
              "translate_bn": "যখন তাঁর পিতাকে এবং তাঁর সম্প্রদায়কে বললেন, তোমরা কিসের এবাদত কর?",
              "numberInSurah": 70,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লিআবীহি ওয়া কাওমিহী মা-তা‘বুদূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//وَ قَوْمِهٖ/وَقَوۡمِهِۦ/waqawmihi//مَا/مَا/ma//تَعْبُدُوْنَ /تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "যখন//সে বলেছিলো//উদ্দেশ্যে তার পিতার//ও তার জাতির//\"কিসের//তোমরা পূজা করছো\""
            },
            {
              "number": 3003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3003.mp3"
              ],
              "text": "قَالُوا۟ نَعْبُدُ أَصْنَامًۭا فَنَظَلُّ لَهَا عَٰكِفِينَ",
              "translate_bn": "তারা বলল, আমরা প্রতিমার পূজা করি এবং সারাদিন এদেরকেই নিষ্ঠার সাথে আঁকড়ে থাকি।",
              "numberInSurah": 71,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লূনা‘বুদুআসনা-মান ফানাজালুল লাহা -‘আ-কিফীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//نَعْبُدُ/نَعۡبُدُ/na'budu//اَصْنَامًا/أَصۡنَامٗا/asnaman//فَنَظَلُّ/فَنَظَلُّ/fanazallu//لَهَا/لَهَا/laha//عٰكِفِیْنَ /عَٰكِفِينَ/akifina",
              "words_bangla": "তারা বলেছিলো//\"আমরা পূজা করি//(কিছু) মূর্তির//অতঃপর আমরা লেগে থাকি//জন্যে তাদের//নিষ্ঠাবান হয়ে\""
            },
            {
              "number": 3004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3004.mp3"
              ],
              "text": "قَالَ هَلْ يَسْمَعُونَكُمْ إِذْ تَدْعُونَ",
              "translate_bn": "ইব্রাহীম (আঃ) বললেন, তোমরা যখন আহবান কর, তখন তারা শোনে কি?",
              "numberInSurah": 72,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লা হাল ইয়াছমা‘উনাকুম ইযতাদ‘ঊন।",
              "words_arabic": "قَالَ/قَالَ/qala//هَلْ/هَلۡ/hal//یَسْمَعُوْنَكُمْ/يَسۡمَعُونَكُمۡ/yasma'unakum//اِذْ/إِذۡ/idh//تَدْعُوْنَۙ/تَدۡعُونَ/tad'una",
              "words_bangla": "(ইবরাহীম) বললো//\"কি//তারা শুনতে পায় তোমাদেরকে//যখন//তোমরা ডাকো"
            },
            {
              "number": 3005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3005.mp3"
              ],
              "text": "أَوْ يَنفَعُونَكُمْ أَوْ يَضُرُّونَ",
              "translate_bn": "অথবা তারা কি তোমাদের উপকার কিংবা ক্ষতি করতে পারে?",
              "numberInSurah": 73,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "আও ইয়ানফা‘ঊনাকুম আও ইয়াদুররূন।",
              "words_arabic": "اَوْ/أَوۡ/aw//یَنْفَعُوْنَكُمْ/يَنفَعُونَكُمۡ/yanfa'unakum//اَوْ/أَوۡ/aw//یَضُرُّوْنَ /يَضُرُّونَ/yadurruna",
              "words_bangla": "অথবা//উপকার করতে পারে তোমাদেরকে//অথবা//ক্ষতি করতে পারে\""
            },
            {
              "number": 3006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3006.mp3"
              ],
              "text": "قَالُوا۟ بَلْ وَجَدْنَآ ءَابَآءَنَا كَذَٰلِكَ يَفْعَلُونَ",
              "translate_bn": "তারা বললঃ না, তবে আমরা আমাদের পিতৃপুরুষদেরকে পেয়েছি, তারা এরূপই করত।",
              "numberInSurah": 74,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লূবাল ওয়া জাদনাআ-বাআনা-কাযা-লিকা ইয়াফ‘আলূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَلْ/بَلۡ/bal//وَجَدْنَاۤ/وَجَدۡنَآ/wajadna//اٰبَآءَنَا/ءَابَآءَنَا/abaana//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "তারা বললো//\"(না) বরং//আমরা পেয়েছি//আমাদের বাপ দাদাদেরকে//এরূপই//তারা করতেন\""
            },
            {
              "number": 3007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3007.mp3"
              ],
              "text": "قَالَ أَفَرَءَيْتُم مَّا كُنتُمْ تَعْبُدُونَ",
              "translate_bn": "ইব্রাহীম বললেন, তোমরা কি তাদের সম্পর্কে ভেবে দেখেছ, যাদের পূজা করে আসছ।",
              "numberInSurah": 75,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লা আফারাআইতুম মা-কুনতুম তা‘বুদূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَفَرَءَیْتُمْ/أَفَرَءَيۡتُم/afara-aytum//مَّا/مَّا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْبُدُوْنَۙ/تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "সে বললো//\"কি তবে (ভেবে) দেখেছো তোমরা//(ঐগুলোকে) যার//তোমরা ছিলে//তোমরা পূজা করো"
            },
            {
              "number": 3008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3008.mp3"
              ],
              "text": "أَنتُمْ وَءَابَآؤُكُمُ ٱلْأَقْدَمُونَ",
              "translate_bn": "তোমরা এবং তোমাদের পূর্ববর্তী পিতৃপুরুষেরা ?",
              "numberInSurah": 76,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "আনতুম ওয়া আ-বাউকুমুল আকদামূন।",
              "words_arabic": "اَنْتُمْ/أَنتُمۡ/antum//وَ اٰبَآؤُكُمُ/وَءَابَآؤُكُمُ/waabaukumu//الْاَقْدَمُوْنَؗۖ/ٱلۡأَقۡدَمُونَ/al-aqdamuna",
              "words_bangla": "তোমরা//ও পিতৃ-পুরুষেরা তোমাদের//(যারা) অতীত হয়েছে"
            },
            {
              "number": 3009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3009.mp3"
              ],
              "text": "فَإِنَّهُمْ عَدُوٌّۭ لِّىٓ إِلَّا رَبَّ ٱلْعَٰلَمِينَ",
              "translate_bn": "বিশ্বপালনকর্তা ব্যতীত তারা সবাই আমার শত্রু।",
              "numberInSurah": 77,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাহুম ‘আদুওউললী ইল্লা-রাব্বাল ‘আ-লামীন।",
              "words_arabic": "فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//عَدُوٌّ/عَدُوّٞ/aduwwun//لِّیْۤ/لِّيٓ/li//اِلَّا/إِلَّا/illa//رَبَّ/رَبَّ/rabba//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সুতরাং নিশ্চয়ই তারা//শত্রু//আমার//ছাড়া//রব//বিশ্বজগতের"
            },
            {
              "number": 3010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3010.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَنِى فَهُوَ يَهْدِينِ",
              "translate_bn": "যিনি আমাকে সৃষ্টি করেছেন, অতঃপর তিনিই আমাকে পথপ্রদর্শন করেন,",
              "numberInSurah": 78,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকানী ফাহুওয়া ইয়াহদীন।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَنِیْ/خَلَقَنِي/khalaqani//فَهُوَ/فَهُوَ/fahuwa//یَهْدِیْنِۙ/يَهۡدِينِ/yahdini",
              "words_bangla": "যিনি//আমাকে সৃষ্টি করেছেন//অতঃপর তিনিই//আমাকে পথ দেখান"
            },
            {
              "number": 3011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3011.mp3"
              ],
              "text": "وَٱلَّذِى هُوَ يُطْعِمُنِى وَيَسْقِينِ",
              "translate_bn": "যিনি আমাকে আহার এবং পানীয় দান করেন,",
              "numberInSurah": 79,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী হুওয়া ইউত‘ইমুনী ওয়া ইয়াছকীন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//هُوَ/هُوَ/huwa//یُطْعِمُنِیْ/يُطۡعِمُنِي/yut'imuni//وَ یَسْقِیْنِۙ/وَيَسۡقِينِ/wayasqini",
              "words_bangla": "এবং তিনিই//যিনি//আমাকে খাওয়ান//ও আমাকে পান করান"
            },
            {
              "number": 3012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3012.mp3"
              ],
              "text": "وَإِذَا مَرِضْتُ فَهُوَ يَشْفِينِ",
              "translate_bn": "যখন আমি রোগাক্রান্ত হই, তখন তিনিই আরোগ্য দান করেন।",
              "numberInSurah": 80,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মারিদতুফাহুওয়া ইয়াশফীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَرِضْتُ/مَرِضۡتُ/marid'tu//فَهُوَ/فَهُوَ/fahuwa//یَشْفِیْنِ۪ۙ/يَشۡفِينِ/yashfini",
              "words_bangla": "এবং যখন//আমি অসুস্থ হই//তখন তিনিই//আমাকে আরোগ্য দান করেন"
            },
            {
              "number": 3013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3013.mp3"
              ],
              "text": "وَٱلَّذِى يُمِيتُنِى ثُمَّ يُحْيِينِ",
              "translate_bn": "যিনি আমার মৃত্যু ঘটাবেন, অতঃপর পুনর্জীবন দান করবেন।",
              "numberInSurah": 81,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী ইউমীতুনী ছুম্মা ইউহঈন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//یُمِیْتُنِیْ/يُمِيتُنِي/yumituni//ثُمَّ/ثُمَّ/thumma//یُحْیِیْنِۙ/يُحۡيِينِ/yuh'yini",
              "words_bangla": "এবং (তিনিই) যিনি//আমাকে মৃত্যু দিবেন//এরপর//জীবিত করবেন"
            },
            {
              "number": 3014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3014.mp3"
              ],
              "text": "وَٱلَّذِىٓ أَطْمَعُ أَن يَغْفِرَ لِى خَطِيٓـَٔتِى يَوْمَ ٱلدِّينِ",
              "translate_bn": "আমি আশা করি তিনিই বিচারের দিনে আমার ক্রটি-বিচ্যুতি মাফ করবেন।",
              "numberInSurah": 82,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীআতমা‘উ আইঁ ইয়াগফিরালী খাতীআতী ইয়াওমাদ দীন।",
              "words_arabic": "وَ الَّذِیْۤ/وَٱلَّذِيٓ/wa-alladhi//اَطْمَعُ/أَطۡمَعُ/atma'u//اَنْ/أَن/an//یَّغْفِرَ/يَغۡفِرَ/yaghfira//لِیْ/لِي/li//خَطِیْٓـَٔتِیْ/خَطِيٓـَٔتِي/khatiati//یَوْمَ/يَوۡمَ/yawma//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "(তিনিই) যার (নিকট)//আশা করি আমি//যে//ক্ষমা করবেন//আমাকে//আমার ভুলত্রুটি//দিনে//বিচারের"
            },
            {
              "number": 3015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3015.mp3"
              ],
              "text": "رَبِّ هَبْ لِى حُكْمًۭا وَأَلْحِقْنِى بِٱلصَّٰلِحِينَ",
              "translate_bn": "হে আমার পালনকর্তা, আমাকে প্রজ্ঞা দান কর এবং আমাকে সৎকর্মশীলদের অন্তর্ভুক্ত কর",
              "numberInSurah": 83,
              "juz": 19,
              "manzil": 5,
              "page": 370,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "রাব্বি হাবলী হুকমাওঁ ওয়া আল হিকনী বিসসা-লিহীন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//هَبْ/هَبۡ/hab//لِیْ/لِي/li//حُكْمًا/حُكۡمٗا/huk'man//وَّ اَلْحِقْنِیْ/وَأَلۡحِقۡنِي/wa-alhiq'ni//بِالصّٰلِحِیْنَۙ/بِٱلصَّـٰلِحِينَ/bil-salihina",
              "words_bangla": "(পরে বললেন) হে আমার রব//দান করো//জন্যে আমার//প্রজ্ঞা//ও মিলিত করো//সাথে সৎকর্মশীলদের"
            },
            {
              "number": 3016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3016.mp3"
              ],
              "text": "وَٱجْعَل لِّى لِسَانَ صِدْقٍۢ فِى ٱلْءَاخِرِينَ",
              "translate_bn": "এবং আমাকে পরবর্তীদের মধ্যে সত্যভাষী কর।",
              "numberInSurah": 84,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াজ‘আললী লিছা-না সিদকিন ফিল আ-খিরীন।",
              "words_arabic": "وَ اجْعَلْ/وَٱجۡعَل/wa-ij'al//لِّیْ/لِّي/li//لِسَانَ/لِسَانَ/lisana//صِدْقٍ/صِدۡقٖ/sid'qin//فِی/فِي/fi//الْاٰخِرِیْنَۙ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং দাও//জন্যে আমার//জিহবা (খ্যাতি)//সত্যিকার//মধ্যে//পরবর্তীদের"
            },
            {
              "number": 3017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3017.mp3"
              ],
              "text": "وَٱجْعَلْنِى مِن وَرَثَةِ جَنَّةِ ٱلنَّعِيمِ",
              "translate_bn": "এবং আমাকে নেয়ামত উদ্যানের অধিকারীদের অন্তর্ভূক্ত কর।",
              "numberInSurah": 85,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াজ‘আলনী মিওঁ ওয়ারাছাতি জান্নাতিন না‘ঈম।",
              "words_arabic": "وَ اجْعَلْنِیْ/وَٱجۡعَلۡنِي/wa-ij'alni//مِنْ/مِن/min//وَّرَثَةِ/وَرَثَةِ/warathati//جَنَّةِ/جَنَّةِ/jannati//النَّعِیْمِۙ/ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "এবং আমাকে করো//অন্তর্ভূক্ত//উত্তরাধিকারীদের//জান্নাতের//সুখকর"
            },
            {
              "number": 3018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3018.mp3"
              ],
              "text": "وَٱغْفِرْ لِأَبِىٓ إِنَّهُۥ كَانَ مِنَ ٱلضَّآلِّينَ",
              "translate_bn": "এবং আমার পিতাকে ক্ষমা কর। সে তো পথভ্রষ্টদের অন্যতম।",
              "numberInSurah": 86,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াগফির লিআবী ইন্নাহূকা-না মিনাদ্দাল্লীন,",
              "words_arabic": "وَ اغْفِرْ/وَٱغۡفِرۡ/wa-igh'fir//لِاَبِیْۤ/لِأَبِيٓ/li-abi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الضَّآلِّیْنَۙ/ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "এবং ক্ষমা করো//আমার পিতাকে//নিশ্চয়ই তিনি//ছিলেন//অর্ন্তভূক্ত//পথভ্রষ্ঠদের"
            },
            {
              "number": 3019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3019.mp3"
              ],
              "text": "وَلَا تُخْزِنِى يَوْمَ يُبْعَثُونَ",
              "translate_bn": "এবং পূনরুত্থান দিবসে আমাকে লাঞ্ছিত করো না,",
              "numberInSurah": 87,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুখঝিনী ইয়াওমা ইউব‘আছূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُخْزِنِیْ/تُخۡزِنِي/tukh'zini//یَوْمَ/يَوۡمَ/yawma//یُبْعَثُوْنَۙ/يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "আর না//আমাকে লাঞ্চিত করো//দিনে//উত্থানের"
            },
            {
              "number": 3020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3020.mp3"
              ],
              "text": "يَوْمَ لَا يَنفَعُ مَالٌۭ وَلَا بَنُونَ",
              "translate_bn": "যে দিবসে ধন-সম্পদ ও সন্তান সন্ততি কোন উপকারে আসবে না;",
              "numberInSurah": 88,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা লা-ইয়ানফা‘উ মা-লুওঁ ওয়ালা-বানূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//یَنْفَعُ/يَنفَعُ/yanfa'u//مَالٌ/مَالٞ/malun//وَّ لَا/وَلَا/wala//بَنُوْنَۙ/بَنُونَ/banuna",
              "words_bangla": "সেদিন//না//উপকারে আসবে//ধন-সম্পদ//আর না//সন্তান-সন্ততি"
            },
            {
              "number": 3021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3021.mp3"
              ],
              "text": "إِلَّا مَنْ أَتَى ٱللَّهَ بِقَلْبٍۢ سَلِيمٍۢ",
              "translate_bn": "কিন্তু যে সুস্থ অন্তর নিয়ে আল্লাহর কাছে আসবে।",
              "numberInSurah": 89,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান আতাল্লা-হা বিকালবিন ছালীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اَتَی/أَتَى/ata//اللّٰهَ/ٱللَّهَ/al-laha//بِقَلْبٍ/بِقَلۡبٖ/biqalbin//سَلِیْمٍؕ/سَلِيمٖ/salimin",
              "words_bangla": "তবে//(তাকে) যে//আসবে//আল্লাহর নিকট//সহ অন্তর//প্রশান্ত (বিশুদ্ধ)\""
            },
            {
              "number": 3022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3022.mp3"
              ],
              "text": "وَأُزْلِفَتِ ٱلْجَنَّةُ لِلْمُتَّقِينَ",
              "translate_bn": "জান্নাত আল্লাহভীরুদের নিকটবর্তী করা হবে।",
              "numberInSurah": 90,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া উঝলিফাতিল জান্নাতুলিলমুত্তাকীন।",
              "words_arabic": "وَ اُزْلِفَتِ/وَأُزۡلِفَتِ/wa-uz'lifati//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//لِلْمُتَّقِیْنَۙ/لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এবং নিকটে আনা হবে//জান্নাত//জন্যে মুত্তাকীদের"
            },
            {
              "number": 3023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3023.mp3"
              ],
              "text": "وَبُرِّزَتِ ٱلْجَحِيمُ لِلْغَاوِينَ",
              "translate_bn": "এবং বিপথগামীদের সামনে উম্মোচিত করা হবে জাহান্নাম।",
              "numberInSurah": 91,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া বুররিঝাতিল জাহীমুলিলগা-বীন।",
              "words_arabic": "وَ بُرِّزَتِ/وَبُرِّزَتِ/waburrizati//الْجَحِیْمُ/ٱلۡجَحِيمُ/al-jahimu//لِلْغٰوِیْنَۙ/لِلۡغَاوِينَ/lil'ghawina",
              "words_bangla": "এবং খোলা হবে//জাহান্নাম//জন্যে বিভ্রান্ত লোকদের"
            },
            {
              "number": 3024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3024.mp3"
              ],
              "text": "وَقِيلَ لَهُمْ أَيْنَ مَا كُنتُمْ تَعْبُدُونَ",
              "translate_bn": "তাদেরকে বলা হবেঃ তারা কোথায়, তোমরা যাদের পূজা করতে।",
              "numberInSurah": 92,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াকীলা লাহুম আইনামা-কুনতুম তা‘বুদূন।",
              "words_arabic": "وَ قِیْلَ/وَقِيلَ/waqila//لَهُمْ/لَهُمۡ/lahum//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْبُدُوْنَۙ/تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "এবং বলা হবে//উদ্দেশ্যে তাদের//\"কোথায়//যা//তোমরা ছিলে//তোমরা উপাসনা করো"
            },
            {
              "number": 3025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3025.mp3"
              ],
              "text": "مِن دُونِ ٱللَّهِ هَلْ يَنصُرُونَكُمْ أَوْ يَنتَصِرُونَ",
              "translate_bn": "আল্লাহর পরিবর্তে? তারা কি তোমাদের সাহায্য করতে পারে, অথবা তারা প্রতিশোধ নিতে পারে?",
              "numberInSurah": 93,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "মিন দূ নিল্লাহি হাল ইয়ানসুরূনাকুম আও ইয়ানতাসিরূন।",
              "words_arabic": "مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//هَلْ/هَلۡ/hal//یَنْصُرُوْنَكُمْ/يَنصُرُونَكُمۡ/yansurunakum//اَوْ/أَوۡ/aw//یَنْتَصِرُوْنَؕ/يَنتَصِرُونَ/yantasiruna",
              "words_bangla": "থেকে//পরিবর্তে//আল্লাহর//কি//তারা সাহায্য করতে পারে তোমাদেরকে//অথবা//আত্মরক্ষা করতে পারে (কি)\""
            },
            {
              "number": 3026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3026.mp3"
              ],
              "text": "فَكُبْكِبُوا۟ فِيهَا هُمْ وَٱلْغَاوُۥنَ",
              "translate_bn": "অতঃপর তাদেরকে এবং পথভ্রষ্টদেরকে আধোমুখি করে নিক্ষেপ করা হবে জাহান্নামে।",
              "numberInSurah": 94,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাকুবকিবূফীহা-হুম ওয়ালগা-ঊন।",
              "words_arabic": "فَكُبْكِبُوْا/فَكُبۡكِبُواْ/fakub'kibu//فِیْهَا/فِيهَا/fiha//هُمْ/هُمۡ/hum//وَ الْغَاوٗنَۙ/وَٱلۡغَاوُۥنَ/wal-ghawuna",
              "words_bangla": "অতঃপর মুখ নিচু করে ফেলা হবে তাদেরকে//মধ্যে তার//তাদেরকে//ও বিভ্রান্তদেরকে"
            },
            {
              "number": 3027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3027.mp3"
              ],
              "text": "وَجُنُودُ إِبْلِيسَ أَجْمَعُونَ",
              "translate_bn": "এবং ইবলীস বাহিনীর সকলকে।",
              "numberInSurah": 95,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়াজুনূদুইবলীছা আজমা‘উন।",
              "words_arabic": "وَ جُنُوْدُ/وَجُنُودُ/wajunudu//اِبْلِیْسَ/إِبۡلِيسَ/ib'lisa//اَجْمَعُوْنَؕ/أَجۡمَعُونَ/ajma'una",
              "words_bangla": "ও সৈন্যসামন্তদেরকে//ইবলীসের//সবাইকে"
            },
            {
              "number": 3028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3028.mp3"
              ],
              "text": "قَالُوا۟ وَهُمْ فِيهَا يَخْتَصِمُونَ",
              "translate_bn": "তারা তথায় কথা কাটাকাটিতে লিপ্ত হয়ে বলবেঃ",
              "numberInSurah": 96,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কা-লূওয়া হুম ফীহা-ইয়াখতাসিমূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//وَ هُمْ/وَهُمۡ/wahum//فِیْهَا/فِيهَا/fiha//یَخْتَصِمُوْنَۙ/يَخۡتَصِمُونَ/yakhtasimuna",
              "words_bangla": "তারা বলবে//এমতাবস্হায় যে তারা//মধ্যে তার//ঝগড়া করতে থাকবে"
            },
            {
              "number": 3029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3029.mp3"
              ],
              "text": "تَٱللَّهِ إِن كُنَّا لَفِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "আল্লাহর কসম, আমরা প্রকাশ্য বিভ্রান্তিতে লিপ্ত ছিলাম।",
              "numberInSurah": 97,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "তাল্লা-হি ইন কুন্না-লাফী দালা-লিম মুবীন।",
              "words_arabic": "تَاللّٰهِ/تَٱللَّهِ/tal-lahi//اِنْ/إِن/in//كُنَّا/كُنَّا/kunna//لَفِیْ/لَفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍۙ/مُّبِينٍ/mubinin",
              "words_bangla": "\"শপথ আল্লাহর//নিশ্চয়ই//আমরা ছিলাম//অবশ্যই মধ্যে//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 3030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3030.mp3"
              ],
              "text": "إِذْ نُسَوِّيكُم بِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "যখন আমরা তোমাদেরকে বিশ্ব-পালনকর্তার সমতুল্য গন্য করতাম।",
              "numberInSurah": 98,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইযনুছাওবীকুম বিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//نُسَوِّیْكُمْ/نُسَوِّيكُم/nusawwikum//بِرَبِّ/بِرَبِّ/birabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "যখন//সমকক্ষ মনে করতাম আমরা তোমাদেরকে//সাথে রবের//বিশ্বজগতের"
            },
            {
              "number": 3031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3031.mp3"
              ],
              "text": "وَمَآ أَضَلَّنَآ إِلَّا ٱلْمُجْرِمُونَ",
              "translate_bn": "আমাদেরকে দুষ্টকর্মীরাই গোমরাহ করেছিল।",
              "numberInSurah": 99,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদাল্লানাইল্লাল মুজরিমূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَضَلَّنَاۤ/أَضَلَّنَآ/adallana//اِلَّا/إِلَّا/illa//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "এবং না//পথ ভ্রষ্ট করেছে আমাদেরকে//(অন্য কেউ) এ ছাড়া//অপরাধীরা"
            },
            {
              "number": 3032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3032.mp3"
              ],
              "text": "فَمَا لَنَا مِن شَٰفِعِينَ",
              "translate_bn": "অতএব আমাদের কোন সুপারিশকারী নেই।",
              "numberInSurah": 100,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফামা-লানা-মিন শা-ফি‘ঈন।",
              "words_arabic": "فَمَا/فَمَا/fama//لَنَا/لَنَا/lana//مِنْ/مِن/min//شَافِعِیْنَۙ/شَٰفِعِينَ/shafi'ina",
              "words_bangla": "সুতরাং (আজ) নেই//জন্যে আমাদের//(কেউ) মধ্যে হ'তে//সুপারিশকারীদের"
            },
            {
              "number": 3033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3033.mp3"
              ],
              "text": "وَلَا صَدِيقٍ حَمِيمٍۢ",
              "translate_bn": "এবং কোন সহৃদয় বন্ধু ও নেই।",
              "numberInSurah": 101,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা সাদীকিন হামীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//صَدِیْقٍ/صَدِيقٍ/sadiqin//حَمِیْمٍ /حَمِيمٖ/hamimin",
              "words_bangla": "আর না (আছে)//কোনো বন্ধু//সহৃদয়"
            },
            {
              "number": 3034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3034.mp3"
              ],
              "text": "فَلَوْ أَنَّ لَنَا كَرَّةًۭ فَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "হায়, যদি কোনরুপে আমরা পৃথিবীতে প্রত্যাবর্তনের সুযোগ পেতাম, তবে আমরা বিশ্বাস স্থাপনকারী হয়ে যেতাম।",
              "numberInSurah": 102,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফালাও আন্না লানা-কাররাতান ফানাকূনা মিনাল মু’মিনীন।",
              "words_arabic": "فَلَوْ/فَلَوۡ/falaw//اَنَّ/أَنَّ/anna//لَنَا/لَنَا/lana//كَرَّةً/كَرَّةٗ/karratan//فَنَكُوْنَ/فَنَكُونَ/fanakuna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "অতএব যদি (থাকতো)//নিশ্চিত//জন্যে আমাদের (সম্ভব হতো)//একবার (ফিরে যাওয়া)//তবে আমরা হতাম//অন্তর্ভুক্ত//মু'মিনদের\""
            },
            {
              "number": 3035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3035.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয়, এতে নিদর্শন আছে এবং তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 103,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাওঁ ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//কিন্তু না//ছিলো//অধিকাংশ তাদের//মু'মিন"
            },
            {
              "number": 3036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3036.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "আপনার পালনকর্তা প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 104,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 320,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3037.mp3"
              ],
              "text": "كَذَّبَتْ قَوْمُ نُوحٍ ٱلْمُرْسَلِينَ",
              "translate_bn": "নূহের সম্প্রদায় পয়গম্বরগণকে মিথ্যারোপ করেছে।",
              "numberInSurah": 105,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাওমুনূহিনিল মুরছালীন।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَوْمُ/قَوۡمُ/qawmu//نُوْحِ/نُوحٍ/nuhin//لْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "মিথ্যারোপ করেছিলো//জাতি//নূহের//রাসূলদেরকে"
            },
            {
              "number": 3038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3038.mp3"
              ],
              "text": "إِذْ قَالَ لَهُمْ أَخُوهُمْ نُوحٌ أَلَا تَتَّقُونَ",
              "translate_bn": "যখন তাদের ভ্রাতা নূহ তাদেরকে বললেন, তোমাদের কি ভয় নেই?",
              "numberInSurah": 106,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহুম আখূহুম নূহুন ‘আলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//اَخُوْهُمْ/أَخُوهُمۡ/akhuhum//نُوْحٌ/نُوحٌ/nuhun//اَلَا/أَلَا/ala//تَتَّقُوْنَۚ/تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//উদ্দেশ্যে তাদের//ভাই তাদের//নূহ//\"কি না//তোমরা ভয় করো"
            },
            {
              "number": 3039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3039.mp3"
              ],
              "text": "إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "আমি তোমাদের জন্য বিশ্বস্ত বার্তাবাহক।",
              "numberInSurah": 107,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ইন্নী লাকুম রাছূলুন আমীন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "নিশ্চয়ই আমি//জন্যে তোমাদের//একজন রাসূল//বিশ্বস্ত"
            },
            {
              "number": 3040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3040.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 108,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//ও আমার আনুগত্য করো"
            },
            {
              "number": 3041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3041.mp3"
              ],
              "text": "وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি তোমাদের কাছে এর জন্য কোন প্রতিদান চাই না, আমার প্রতিদান তো বিশ্ব-পালনকর্তাই দেবেন।",
              "numberInSurah": 109,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআছআলুকুম ‘আলাইহি মিন আজরিন ইন আজরিয়া ইল্লা-‘আলা-রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ۚ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَۚ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "আর না//আমি চাচ্ছি তোমাদের (নিকট)//জন্যে এর//কোনো//প্রতিদান//নেই//আমার প্রতিদান (অন্য কারো নিকট)//এ ছাড়া//নিকট//রবের//বিশ্বজগতের"
            },
            {
              "number": 3042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3042.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 110,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 148,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়াআতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِؕ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "সুতরাং তোমরা ভয় করো//আল্লাহকে//ও তোমরা আমার আনুগত্য করো\""
            },
            {
              "number": 3043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3043.mp3"
              ],
              "text": "۞ قَالُوٓا۟ أَنُؤْمِنُ لَكَ وَٱتَّبَعَكَ ٱلْأَرْذَلُونَ",
              "translate_bn": "তারা বলল, আমরা কি তোমাকে মেনে নেব যখন তোমার অনুসরণ করছে ইতরজনেরা?",
              "numberInSurah": 111,
              "juz": 19,
              "manzil": 5,
              "page": 371,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লূআনু’মিনুলাকা ওয়াত্তাবা‘আকাল আরযালূন।",
              "words_arabic": "قَالُوْۤا/۞قَالُوٓاْ/qalu//اَنُؤْمِنُ/أَنُؤۡمِنُ/anu'minu//لَكَ/لَكَ/laka//وَ اتَّبَعَكَ/وَٱتَّبَعَكَ/wa-ittaba'aka//الْاَرْذَلُوْنَؕ/ٱلۡأَرۡذَلُونَ/al-ardhaluna",
              "words_bangla": "তারা বললো//\"কি আমরা ঈমান আনবো//প্রতি তোমার//অথচ তোমাকে অনুসরণ করেছে//নিকৃষ্টতম লোকেরা\""
            },
            {
              "number": 3044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3044.mp3"
              ],
              "text": "قَالَ وَمَا عِلْمِى بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "নূহ বললেন, তারা কি কাজ করছে, তা জানা আমার কি দরকার?",
              "numberInSurah": 112,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লা ওয়ামা-‘ইলমী বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "قَالَ/قَالَ/qala//وَ مَا/وَمَا/wama//عِلْمِیْ/عِلۡمِي/il'mi//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَۚ/يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "(নূহ) বললো//\"আর নেই//আমার জানা//ঐ বিষয়ে যা//তারা ছিলো//তারা কাজ করে"
            },
            {
              "number": 3045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3045.mp3"
              ],
              "text": "إِنْ حِسَابُهُمْ إِلَّا عَلَىٰ رَبِّى ۖ لَوْ تَشْعُرُونَ",
              "translate_bn": "তাদের হিসাব নেয়া আমার পালনকর্তারই কাজ; যদি তোমরা বুঝতে!",
              "numberInSurah": 113,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন হিছা-বুহুম ইল্লা-‘আলা-রাববী লাও তাশ‘উরূন।",
              "words_arabic": "اِنْ/إِنۡ/in//حِسَابُهُمْ/حِسَابُهُمۡ/hisabuhum//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّیْ/رَبِّيۖ/rabbi//لَوْ/لَوۡ/law//تَشْعُرُوْنَۚ/تَشۡعُرُونَ/tash'uruna",
              "words_bangla": "নয়//তাদের হিসাব (অন্য কারো নিকট)//এ ছাড়া//উপর (দায়িত্ব)//আমার রবের//যদি//তোমরা অনুভব করো"
            },
            {
              "number": 3046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3046.mp3"
              ],
              "text": "وَمَآ أَنَا۠ بِطَارِدِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আমি মুমিনগণকে তাড়িয়ে দেয়ার লোক নই।",
              "numberInSurah": 114,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনা বিতা-রিদিল মু’মিনীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//بِطَارِدِ/بِطَارِدِ/bitaridi//الْمُؤْمِنِیْنَۚ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "আর না//আমি (হ'তে পারি)//বিতাড়নকারী//মু'মিনদেরকে"
            },
            {
              "number": 3047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3047.mp3"
              ],
              "text": "إِنْ أَنَا۠ إِلَّا نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "আমি তো শুধু একজন সুস্পষ্ট সতর্ককারী।",
              "numberInSurah": 115,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন আনা ইল্লা-নাযীরুম মুবীন।",
              "words_arabic": "اِنْ/إِنۡ/in//اَنَا/أَنَا۠/ana//اِلَّا/إِلَّا/illa//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌؕ/مُّبِينٞ/mubinun",
              "words_bangla": "নই//আমি//এ ছাড়া//সতর্ককারী (মাত্র)//সুস্পষ্ট\""
            },
            {
              "number": 3048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3048.mp3"
              ],
              "text": "قَالُوا۟ لَئِن لَّمْ تَنتَهِ يَٰنُوحُ لَتَكُونَنَّ مِنَ ٱلْمَرْجُومِينَ",
              "translate_bn": "তারা বলল, হে নূহ যদি তুমি বিরত না হও, তবে তুমি নিশ্চিতই প্রস্তরাঘাতে নিহত হবে।",
              "numberInSurah": 116,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাইল্লাম তানতাহি ইয়া-নূহুলাতাকূনান্না মিনাল মারজূমীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//تَنْتَهِ/تَنتَهِ/tantahi//یٰنُوْحُ/يَٰنُوحُ/yanuhu//لَتَكُوْنَنَّ/لَتَكُونَنَّ/latakunanna//مِنَ/مِنَ/mina//الْمَرْجُوْمِیْنَؕ/ٱلۡمَرۡجُومِينَ/al-marjumina",
              "words_bangla": "তারা বললো//\"অবশ্যই যদি//না//বিরত হও//হে নূহ//অবশ্যই তুমি হবেই//অন্তর্ভুক্ত//পাথরের আঘাতে নিহতদের"
            },
            {
              "number": 3049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3049.mp3"
              ],
              "text": "قَالَ رَبِّ إِنَّ قَوْمِى كَذَّبُونِ",
              "translate_bn": "নূহ বললেন, হে আমার পালনকর্তা, আমার সম্প্রদায় তো আমাকে মিথ্যাবাদী বলছে।",
              "numberInSurah": 117,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্না কাওমী কাযযাবূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنَّ/إِنَّ/inna//قَوْمِیْ/قَوۡمِي/qawmi//كَذَّبُوْنِۚۖ/كَذَّبُونِ/kadhabuni",
              "words_bangla": "(নূহ) বললো//\"হে আমার রব//নিশ্চয়ই//আমার জাতি//আমাকে মিথ্যাবাদী বলেছে"
            },
            {
              "number": 3050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3050.mp3"
              ],
              "text": "فَٱفْتَحْ بَيْنِى وَبَيْنَهُمْ فَتْحًۭا وَنَجِّنِى وَمَن مَّعِىَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "অতএব, আমার ও তাদের মধ্যে কোন ফয়সালা করে দিন এবং আমাকে ও আমার সংগী মুমিনগণকে রক্ষা করুন।",
              "numberInSurah": 118,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাফতাহবাইনী ওয়া বাইনাহুম ফাতহাও ওয়া নাজজিনী ওয়ামাম মা‘ইয়া মিনাল মু’মিনীন।",
              "words_arabic": "فَافْتَحْ/فَٱفۡتَحۡ/fa-if'tah//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَهُمْ/وَبَيۡنَهُمۡ/wabaynahum//فَتْحًا/فَتۡحٗا/fathan//وَّ نَجِّنِیْ/وَنَجِّنِي/wanajjini//وَ مَنْ/وَمَن/waman//مَّعِیَ/مَّعِيَ/ma'iya//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "সুতরাং মীমাংসা করো//মাঝে আমার//ও মাঝে তাদের//(চূড়ান্ত) মীমাংসা//এবং আমাকে রক্ষা করো//ও যারা (আছে)//আমার সাথে//(অর্থাৎ ) মধ্য থেকে//মু'মিন\""
            },
            {
              "number": 3051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3051.mp3"
              ],
              "text": "فَأَنجَيْنَٰهُ وَمَن مَّعَهُۥ فِى ٱلْفُلْكِ ٱلْمَشْحُونِ",
              "translate_bn": "অতঃপর আমি তাঁকে ও তাঁর সঙ্গিগণকে বোঝাই করা নৌকায় রক্ষা করলাম।",
              "numberInSurah": 119,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাআনজাইনা-হু ওয়ামাম মা‘আহূফিল ফুলকিল মাশহূন।",
              "words_arabic": "فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ مَنْ/وَمَن/waman//مَّعَهٗ/مَّعَهُۥ/ma'ahu//فِی/فِي/fi//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//الْمَشْحُوْنِۚ/ٱلۡمَشۡحُونِ/al-mashhuni",
              "words_bangla": "অতঃপর আমরা তাকে রক্ষা করলাম//ও যারা (ছিলো)//তাঁর সাথে//মধ্যে//নৌযানের//বোঝাই করা"
            },
            {
              "number": 3052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3052.mp3"
              ],
              "text": "ثُمَّ أَغْرَقْنَا بَعْدُ ٱلْبَاقِينَ",
              "translate_bn": "এরপর অবশিষ্ট সবাইকে নিমজ্জত করলাম।",
              "numberInSurah": 120,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আগরাকনা-বা‘দুল বা-কীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَغْرَقْنَا/أَغۡرَقۡنَا/aghraqna//بَعْدُ/بَعۡدُ/ba'du//الْبٰقِیْنَؕ/ٱلۡبَاقِينَ/al-baqina",
              "words_bangla": "এরপর//আমরা ডুবিয়ে দিলাম//পরে (রক্ষা করার)//অবশিষ্টদেরকে"
            },
            {
              "number": 3053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3053.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয় এতে নিদর্শন আছে এবং তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 121,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাওঁ ওয়ামা কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//আর না//ছিলো//অধিকাংশই তাদের//মু'মিন"
            },
            {
              "number": 3054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3054.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "নিশ্চয় আপনার পালনকর্তা প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 122,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 321,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "আর নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3055.mp3"
              ],
              "text": "كَذَّبَتْ عَادٌ ٱلْمُرْسَلِينَ",
              "translate_bn": "আদ সম্প্রদায় পয়গম্বরগণকে মিথ্যাবাদী বলেছে।",
              "numberInSurah": 123,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ‘আ-দুনিল মুরছালীন।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//عَادُ/عَادٌ/adun//لْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "মিথ্যারোপ করেছিলো//আ'দ জাতিও//রাসূলদেরকে"
            },
            {
              "number": 3056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3056.mp3"
              ],
              "text": "إِذْ قَالَ لَهُمْ أَخُوهُمْ هُودٌ أَلَا تَتَّقُونَ",
              "translate_bn": "তখন তাদের ভাই হুদ তাদেরকে বললেনঃ তোমাদের কি ভয় নেই?",
              "numberInSurah": 124,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহুম আখূহুম হূদুন ‘আলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//اَخُوْهُمْ/أَخُوهُمۡ/akhuhum//هُوْدٌ/هُودٌ/hudun//اَلَا/أَلَا/ala//تَتَّقُوْنَۚ/تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//উদ্দেশ্যে তাদের//ভাই তাদের//হূদ//\"কি না//তোমরা ভয় করবে"
            },
            {
              "number": 3057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3057.mp3"
              ],
              "text": "إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "আমি তোমাদের বিশ্বস্ত রসূল।",
              "numberInSurah": 125,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্নী লাকুম রাছূলুন আমীন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "নিশ্চয়ই আমি//জন্যে তোমাদের//একজন রাসূল//বিশ্বস্ত"
            },
            {
              "number": 3058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3058.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 126,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়াআতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//ও তোমরা আমার আনুগত্য করো"
            },
            {
              "number": 3059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3059.mp3"
              ],
              "text": "وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি তোমাদের কাছে এর জন্যে প্রতিদান চাই না। আমার প্রতিদান তো পালনকর্তা দেবেন।",
              "numberInSurah": 127,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআছআলুকুম ‘আলাইহি মিন আজরিন ইন আজরিয়া ইল্লা-‘আলা-রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ۚ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "আর না//তোমাদের (নিকট) আমি চাচ্ছি//জন্যে এর//কোনো//প্রতিদান//নেই//আমার প্রতিদান (অন্য কারো নিকট)//ছাড়া//নিকট//রবের//বিশ্বজগতের"
            },
            {
              "number": 3060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3060.mp3"
              ],
              "text": "أَتَبْنُونَ بِكُلِّ رِيعٍ ءَايَةًۭ تَعْبَثُونَ",
              "translate_bn": "তোমরা কি প্রতিটি উচ্চস্থানে অযথা নিদর্শন নির্মান করছ?",
              "numberInSurah": 128,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আতাবনূনা বিকুল্লি রী‘ইন আ-য়াতান তা‘বাছূন।",
              "words_arabic": "اَتَبْنُوْنَ/أَتَبۡنُونَ/atabnuna//بِكُلِّ/بِكُلِّ/bikulli//رِیْعٍ/رِيعٍ/ri'in//اٰیَةً/ءَايَةٗ/ayatan//تَعْبَثُوْنَ /تَعۡبَثُونَ/ta'bathuna",
              "words_bangla": "কি তোমরা নির্মাণ করছো//স্হানে প্রত্যক//উঁচু//(স্মৃতিচিহ্ন) নিদর্শন//তোমরা নিরর্থক কাজ করছো"
            },
            {
              "number": 3061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3061.mp3"
              ],
              "text": "وَتَتَّخِذُونَ مَصَانِعَ لَعَلَّكُمْ تَخْلُدُونَ",
              "translate_bn": "এবং বড় বড় প্রাসাদ নির্মাণ করছ, যেন তোমরা চিরকাল থাকবে?",
              "numberInSurah": 129,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাত্তাখিযূনা মাসা-নি‘আ লা‘আল্লাকুম তাখলুদূন।",
              "words_arabic": "وَ تَتَّخِذُوْنَ/وَتَتَّخِذُونَ/watattakhidhuna//مَصَانِعَ/مَصَانِعَ/masani'a//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَخْلُدُوْنَۚ/تَخۡلُدُونَ/takhluduna",
              "words_bangla": "ও তোমরা তৈরী করছো//প্রাসাদ//যেন তোমরা//চিরস্থায়ী হবে"
            },
            {
              "number": 3062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3062.mp3"
              ],
              "text": "وَإِذَا بَطَشْتُم بَطَشْتُمْ جَبَّارِينَ",
              "translate_bn": "যখন তোমরা আঘাত হান, তখন জালেম ও নিষ্ঠুরের মত আঘাত হান।",
              "numberInSurah": 130,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-বাতাশতুম বাতাশতুম জাব্বা-রীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//بَطَشْتُمْ/بَطَشۡتُم/batashtum//بَطَشْتُمْ/بَطَشۡتُمۡ/batashtum//جَبَّارِیْنَۚ/جَبَّارِينَ/jabbarina",
              "words_bangla": "এবং যখন//তোমরা আঘাত করো//তোমরা আঘাত করো//স্বেচ্ছাচারী হয়ে"
            },
            {
              "number": 3063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3063.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, আল্লাহকে ভয় কর এবং আমার অনুগত্য কর।",
              "numberInSurah": 131,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//এবং তোমরা আমার আনুগত্য করো"
            },
            {
              "number": 3064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3064.mp3"
              ],
              "text": "وَٱتَّقُوا۟ ٱلَّذِىٓ أَمَدَّكُم بِمَا تَعْلَمُونَ",
              "translate_bn": "ভয় কর তাঁকে, যিনি তোমাদেরকে সেসব বস্তু দিয়েছেন, যা তোমরা জান।",
              "numberInSurah": 132,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকুল্লাযী আমাদ্দাকুম বিমা-তা‘লামূন।",
              "words_arabic": "وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَمَدَّكُمْ/أَمَدَّكُم/amaddakum//بِمَا/بِمَا/bima//تَعْلَمُوْنَۚ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং তোমরা ভয় করো//(তাকে) যিনি//সাহায্য করেছেন তোমাদেরকে//যা কিছু(তা)//তোমরা জানো"
            },
            {
              "number": 3065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3065.mp3"
              ],
              "text": "أَمَدَّكُم بِأَنْعَٰمٍۢ وَبَنِينَ",
              "translate_bn": "তোমাদেরকে দিয়েছেন চতুষ্পদ জন্তু ও পুত্র-সন্তান,",
              "numberInSurah": 133,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আমাদ্দাকুম বিআন‘আ-মিওঁ ওয়াবানীন।",
              "words_arabic": "اَمَدَّكُمْ/أَمَدَّكُم/amaddakum//بِاَنْعَامٍ/بِأَنۡعَٰمٖ/bi-an'amin//وَّ بَنِیْنَۚۙ/وَبَنِينَ/wabanina",
              "words_bangla": "সাহায্য করেছেন তোমাদেরকে//দিয়ে গবাদিপশু//ও সন্তান সন্তুতি"
            },
            {
              "number": 3066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3066.mp3"
              ],
              "text": "وَجَنَّٰتٍۢ وَعُيُونٍ",
              "translate_bn": "এবং উদ্যান ও ঝরণা।",
              "numberInSurah": 134,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া জান্নাতিওঁ ওয়া ‘উইয়ূন।",
              "words_arabic": "وَ جَنّٰتٍ/وَجَنَّـٰتٖ/wajannatin//وَّ عُیُوْنٍۚ/وَعُيُونٍ/wa'uyunin",
              "words_bangla": "এবং বাগান//ও ঝর্ণাসমূহ (দিয়ে)"
            },
            {
              "number": 3067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3067.mp3"
              ],
              "text": "إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "আমি তোমাদের জন্যে মহাদিবসের শাস্তি আশংকা করি।",
              "numberInSurah": 135,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্নীআখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍؕ/عَظِيمٖ/azimin",
              "words_bangla": "নিশ্চয়ই আমি//আশংকা করছি//উপর তোমাদের//শাস্তির//দিনের//মহা\""
            },
            {
              "number": 3068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3068.mp3"
              ],
              "text": "قَالُوا۟ سَوَآءٌ عَلَيْنَآ أَوَعَظْتَ أَمْ لَمْ تَكُن مِّنَ ٱلْوَٰعِظِينَ",
              "translate_bn": "তারা বলল, তুমি উপদেশ দাও অথবা উপদেশ নাই দাও, উভয়ই আমাদের জন্যে সমান।",
              "numberInSurah": 136,
              "juz": 19,
              "manzil": 5,
              "page": 372,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লূছাওয়াউন ‘আলাইনা আওয়া ‘আজতা আম লাম তাকুম মিনাল ওয়া‘ইজীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْنَاۤ/عَلَيۡنَآ/alayna//اَوَ عَظْتَ/أَوَعَظۡتَ/awa'azta//اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//تَكُنْ/تَكُن/takun//مِّنَ/مِّنَ/mina//الْوٰعِظِیْنَۙ/ٱلۡوَٰعِظِينَ/al-wa'izina",
              "words_bangla": "তারা বললো//\"সমান//জন্যে আমাদের//কি তুমি উপদেশ দাও//অথবা//না-ই//তুমি হও//অন্তর্ভুক্ত//উপদেশকারীদের"
            },
            {
              "number": 3069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3069.mp3"
              ],
              "text": "إِنْ هَٰذَآ إِلَّا خُلُقُ ٱلْأَوَّلِينَ",
              "translate_bn": "এসব কথাবার্তা পূর্ববর্তী লোকদের অভ্যাস বৈ নয়।",
              "numberInSurah": 137,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন হা-যাইল্লা-খুলুকুল আওওয়ালীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//خُلُقُ/خُلُقُ/khuluqu//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "নয়//এটা//এ ছাড়া যে//স্বভাব//পুর্ববর্তীদের"
            },
            {
              "number": 3070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3070.mp3"
              ],
              "text": "وَمَا نَحْنُ بِمُعَذَّبِينَ",
              "translate_bn": "আমরা শাস্তিপ্রাপ্ত হব না।",
              "numberInSurah": 138,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-নাহনুবিমু‘আযযাবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمُعَذَّبِیْنَۚ/بِمُعَذَّبِينَ/bimu'adhabina",
              "words_bangla": "আর না//আমরা//শাস্তিপ্রাপ্ত হবো\""
            },
            {
              "number": 3071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3071.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَأَهْلَكْنَٰهُمْ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "অতএব, তারা তাঁকে মিথ্যাবাদী বলতে লাগল এবং আমি তাদেরকে নিপাত করে দিলাম। এতে অবশ্যই নিদর্শন আছে; কিন্তু তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 139,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফাআহলাকনা-হুম ইন্না ফী যা-লিকা লাআ-য়াতাও ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاَهْلَكْنٰهُمْ ؕ/فَأَهۡلَكۡنَٰهُمۡۚ/fa-ahlaknahum//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "তারা তাকে মিথ্যা সাব্যস্ত করলো//তখন আমরা ধ্বংস করলাম তাদেরকে//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//কিন্তু না//ছিলো//অধিকাংশ তাদের//মু'মিন"
            },
            {
              "number": 3072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3072.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "এবং আপনার পালনকর্তা, তিনি তো প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 140,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 322,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "আর নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3073.mp3"
              ],
              "text": "كَذَّبَتْ ثَمُودُ ٱلْمُرْسَلِينَ",
              "translate_bn": "সামুদ সম্প্রদায় পয়গম্বরগণকে মিথ্যাবাদী বলেছে।",
              "numberInSurah": 141,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ছামূদুল মুরছালীন।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//ثَمُوْدُ/ثَمُودُ/thamudu//الْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "মিথ্যারোপ করেছিলো//সামূদ জাতি//রাসূলদেরকে"
            },
            {
              "number": 3074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3074.mp3"
              ],
              "text": "إِذْ قَالَ لَهُمْ أَخُوهُمْ صَٰلِحٌ أَلَا تَتَّقُونَ",
              "translate_bn": "যখন তাদের ভাই সালেহ, তাদেরকে বললেন, তোমরা কি ভয় কর না?",
              "numberInSurah": 142,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহুম আখূহুম সা-লিহুন ‘আলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//اَخُوْهُمْ/أَخُوهُمۡ/akhuhum//صٰلِحٌ/صَٰلِحٌ/salihun//اَلَا/أَلَا/ala//تَتَّقُوْنَۚ/تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//উদ্দেশ্যে তাদের//ভাই তাদের//সালেহ//\"কি না//তোমরা করবে ভয়"
            },
            {
              "number": 3075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3075.mp3"
              ],
              "text": "إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "আমি তোমাদের বিশ্বস্ত পয়গম্বর।",
              "numberInSurah": 143,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্নী লাকুম রাছূলুন আমীন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "নিশ্চয়ই আমি//জন্যে তোমাদের//রাসূল//বিশ্বস্ত"
            },
            {
              "number": 3076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3076.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 144,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//আর তোমরা আমার আনুগত্য করো"
            },
            {
              "number": 3077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3077.mp3"
              ],
              "text": "وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি এর জন্যে তোমাদের কাছে কোন প্রতিদান চাই না। আমার প্রতিদান তো বিশ্ব-পালনকর্তাই দেবেন।",
              "numberInSurah": 145,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআছআলুকুম ‘আলাইহি মিন আজরিন ইন আজরিয়া ইল্লা-‘আলা-রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ۚ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং না//তোমাদের (নিকট) আমি চাচ্ছি//জন্যে এর//কোনো//প্রতিদান//নয়//আমার প্রতিদান (অন্য কারো নিকট)//এ ছাড়া//নিকট//রবের//বিশ্বজগতের"
            },
            {
              "number": 3078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3078.mp3"
              ],
              "text": "أَتُتْرَكُونَ فِى مَا هَٰهُنَآ ءَامِنِينَ",
              "translate_bn": "তোমাদেরকে কি এ জগতের ভোগ-বিলাসের মধ্যে নিরাপদে রেখে দেয়া হবে?",
              "numberInSurah": 146,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আতুতরাকূনা ফী মা-হা-হুনাআ-মিনীন।",
              "words_arabic": "اَتُتْرَكُوْنَ/أَتُتۡرَكُونَ/atut'rakuna//فِیْ/فِي/fi//مَا/مَا/ma//هٰهُنَاۤ/هَٰهُنَآ/hahuna//اٰمِنِیْنَۙ/ءَامِنِينَ/aminina",
              "words_bangla": "কি তোমাদেরক ছেড়ে দেয়া হবে//(তা সবের) মধ্যে//যা কিছু//এখানে (আছে)//নিরাপদে"
            },
            {
              "number": 3079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3079.mp3"
              ],
              "text": "فِى جَنَّٰتٍۢ وَعُيُونٍۢ",
              "translate_bn": "উদ্যানসমূহের মধ্যে এবং ঝরণাসমূহের মধ্যে ?",
              "numberInSurah": 147,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফী জান্না-তিওঁ ওয়া ‘উইয়ূন।",
              "words_arabic": "فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍۙ/وَعُيُونٖ/wa'uyunin",
              "words_bangla": "মধ্যে//বাগানের//ও ঝর্ণাসমূহের"
            },
            {
              "number": 3080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3080.mp3"
              ],
              "text": "وَزُرُوعٍۢ وَنَخْلٍۢ طَلْعُهَا هَضِيمٌۭ",
              "translate_bn": "শস্যক্ষেত্রের মধ্যে এবং মঞ্জুরিত খেজুর বাগানের মধ্যে ?",
              "numberInSurah": 148,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঝুরূ‘ইওঁ ওয়া নাখলিন তাল‘উহা-হাদীম।",
              "words_arabic": "وَّ زُرُوْعٍ/وَزُرُوعٖ/wazuru'in//وَّ نَخْلٍ/وَنَخۡلٖ/wanakhlin//طَلْعُهَا/طَلۡعُهَا/tal'uha//هَضِیْمٌۚ/هَضِيمٞ/hadimun",
              "words_bangla": "এবং ফসলের ক্ষেত//ও খেজুর বাগানের//ছড়াগুলো তার//সুকোমল রসে ভরা"
            },
            {
              "number": 3081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3081.mp3"
              ],
              "text": "وَتَنْحِتُونَ مِنَ ٱلْجِبَالِ بُيُوتًۭا فَٰرِهِينَ",
              "translate_bn": "তোমরা পাহাড় কেটে জাঁক জমকের গৃহ নির্মাণ করছ।",
              "numberInSurah": 149,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া তানহিতূনা মিনাল জিবা-লি বুঊতান ফা-রিহীন।",
              "words_arabic": "وَ تَنْحِتُوْنَ/وَتَنۡحِتُونَ/watanhituna//مِنَ/مِنَ/mina//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//بُیُوْتًا/بُيُوتٗا/buyutan//فٰرِهِیْنَۚ/فَٰرِهِينَ/farihina",
              "words_bangla": "এবং তোমরা খোদাই করে নির্মান করেছো//মধ্যে//পাহাড়সমূহের//ঘরসমূহ//সাথে নৈপুণ্যের"
            },
            {
              "number": 3082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3082.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "সুতরাং তোমরা আল্লাহকে ভয় কর এবং আমার অনুগত্য কর।",
              "numberInSurah": 150,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "তাই তোমরা ভয় করো//আল্লাহকে//ও আমার আনুগত্য করো"
            },
            {
              "number": 3083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3083.mp3"
              ],
              "text": "وَلَا تُطِيعُوٓا۟ أَمْرَ ٱلْمُسْرِفِينَ",
              "translate_bn": "এবং সীমালংঘনকারীদের আদেশ মান্য কর না;",
              "numberInSurah": 151,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুতী‘ঊআমরাল মুছরিফীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُطِیْعُوْۤا/تُطِيعُوٓاْ/tuti'u//اَمْرَ/أَمۡرَ/amra//الْمُسْرِفِیْنَۙ/ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "আর না//আনুগত্য করো//আদেশের//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 3084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3084.mp3"
              ],
              "text": "ٱلَّذِينَ يُفْسِدُونَ فِى ٱلْأَرْضِ وَلَا يُصْلِحُونَ",
              "translate_bn": "যারা পৃথিবীতে অনর্থ সৃষ্টি করে এবং শান্তি স্থাপন করে না;",
              "numberInSurah": 152,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউফছিদূনা ফিল আরদিওয়ালা-ইউসলিহূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُفْسِدُوْنَ/يُفۡسِدُونَ/yuf'siduna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//یُصْلِحُوْنَ /يُصۡلِحُونَ/yus'lihuna",
              "words_bangla": "যারা//বিপর্যয় সৃষ্টি করে//মধ্যে//পৃথিবীর//আর না//সংশোধনের কাজ করে\""
            },
            {
              "number": 3085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3085.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّمَآ أَنتَ مِنَ ٱلْمُسَحَّرِينَ",
              "translate_bn": "তারা বলল, তুমি তো জাদুগ্রস্থুরেদ একজন।",
              "numberInSurah": 153,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নামাআনতা মিনাল মুছাহহারীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مِنَ/مِنَ/mina//الْمُسَحَّرِیْنَۚ/ٱلۡمُسَحَّرِينَ/al-musaharina",
              "words_bangla": "তারা বললো//\"মূলতঃ//তুমি//অন্তর্ভুক্ত//জাদুগ্রস্তদের"
            },
            {
              "number": 3086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3086.mp3"
              ],
              "text": "مَآ أَنتَ إِلَّا بَشَرٌۭ مِّثْلُنَا فَأْتِ بِـَٔايَةٍ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "তুমি তো আমাদের মতই একজন মানুষ বৈ নও। সুতরাং যদি তুমি সত্যবাদী হও, তবে কোন নিদর্শন উপস্থিত কর।",
              "numberInSurah": 154,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "মাআনতা ইল্লা-বাশারুম মিছলুনা ফা’তি বিআয়া-তিন ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "مَاۤ/مَآ/ma//اَنْتَ/أَنتَ/anta//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُنَا ۖۚ/مِّثۡلُنَا/mith'luna//فَاْتِ/فَأۡتِ/fati//بِاٰیَةٍ/بِـَٔايَةٍ/biayatin//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "নও//তুমি//এ ছাড়া//একজন মানুষ//মতো আমাদেরই//কাজেই আসো//নিয়ে একটি নিদর্শন//যদি//তুমি হও//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 3087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3087.mp3"
              ],
              "text": "قَالَ هَٰذِهِۦ نَاقَةٌۭ لَّهَا شِرْبٌۭ وَلَكُمْ شِرْبُ يَوْمٍۢ مَّعْلُومٍۢ",
              "translate_bn": "সালেহ বললেন এই উষ্ট্রী, এর জন্যে আছে পানি পানের পালা এবং তোমাদের জন্যে আছে পানি পানের পালা নির্দিষ্ট এক-এক দিনের।",
              "numberInSurah": 155,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লা হা-যিহী না-কাতুল লাহা-শিরবুওঁ ওয়ালাকুম শিরবুইয়াওমিম মা‘লূম।",
              "words_arabic": "قَالَ/قَالَ/qala//هٰذِهٖ/هَٰذِهِۦ/hadhihi//نَاقَةٌ/نَاقَةٞ/naqatun//لَّهَا/لَّهَا/laha//شِرْبٌ/شِرۡبٞ/shir'bun//وَّ لَكُمْ/وَلَكُمۡ/walakum//شِرْبُ/شِرۡبُ/shir'bu//یَوْمٍ/يَوۡمٖ/yawmin//مَّعْلُوْمٍۚ/مَّعۡلُومٖ/ma'lumin",
              "words_bangla": "(সালেহ) বললো//\"এই//একটি মাদি উট//জন্যে তার (রয়েছে)//পানি পান করার পালা//এবং জন্যে তোমাদের//পানি পান করার পালা//দিন//নির্দিষ্ট"
            },
            {
              "number": 3088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3088.mp3"
              ],
              "text": "وَلَا تَمَسُّوهَا بِسُوٓءٍۢ فَيَأْخُذَكُمْ عَذَابُ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "তোমরা একে কোন কষ্ট দিও না। তাহলে তোমাদেরকে মহাদিবসের আযাব পাকড়াও করবে।",
              "numberInSurah": 156,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তামাছছূহা-বিছূইন ফাইয়া’খুযাকুম ‘আযা-বুইয়াওমিন ‘আজীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَمَسُّوْهَا/تَمَسُّوهَا/tamassuha//بِسُوْٓءٍ/بِسُوٓءٖ/bisuin//فَیَاْخُذَكُمْ/فَيَأۡخُذَكُمۡ/fayakhudhakum//عَذَابُ/عَذَابُ/adhabu//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "আর না//স্পর্শ করো তাকে//মন্দভাবে//তাহলে ধরবে তোমাদেরকে//শাস্তি//দিনের//কঠিন\""
            },
            {
              "number": 3089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3089.mp3"
              ],
              "text": "فَعَقَرُوهَا فَأَصْبَحُوا۟ نَٰدِمِينَ",
              "translate_bn": "তারা তাকে বধ করল ফলে, তারা অনুতপ্ত হয়ে গেল।",
              "numberInSurah": 157,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফা‘আকারূহা-ফাআছবাহূনা-দিমীন।",
              "words_arabic": "فَعَقَرُوْهَا/فَعَقَرُوهَا/fa'aqaruha//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//نٰدِمِیْنَۙ/نَٰدِمِينَ/nadimina",
              "words_bangla": "কিন্তু তার পায়ের রগ কেটে দিয়ে হত্যা করলো//পরিণামে তারা হলো//অনুতপ্ত"
            },
            {
              "number": 3090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3090.mp3"
              ],
              "text": "فَأَخَذَهُمُ ٱلْعَذَابُ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "এরপর আযাব তাদেরকে পাকড়াও করল। নিশ্চয় এতে নিদর্শন আছে। কিন্তু তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 158,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাহুমুল ‘আযা-বু ইন্না ফী যা-লিকা লাআ-য়াতাওঁ; ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//الْعَذَابُ ؕ/ٱلۡعَذَابُۚ/al-'adhabu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "অতঃপর গ্রাস করলো তাদেরকে//শাস্তি//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//আর না//ছিলো//অধিকাংশ তাদের//মু'মিন"
            },
            {
              "number": 3091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3091.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "আপনার পালনকর্তা প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 159,
              "juz": 19,
              "manzil": 5,
              "page": 373,
              "ruku": 323,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "অথচ নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3092.mp3"
              ],
              "text": "كَذَّبَتْ قَوْمُ لُوطٍ ٱلْمُرْسَلِينَ",
              "translate_bn": "লূতের সম্প্রদায় পয়গম্বরগণকে মিথ্যাবাদী বলেছে।",
              "numberInSurah": 160,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাওমুলূতিনিল মুরছালীন।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَوْمُ/قَوۡمُ/qawmu//لُوْطِ/لُوطٍ/lutin//لْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "মিথ্যারোপ করেছিলো//জাতি//লুতের//রাসূলদেরকে"
            },
            {
              "number": 3093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3093.mp3"
              ],
              "text": "إِذْ قَالَ لَهُمْ أَخُوهُمْ لُوطٌ أَلَا تَتَّقُونَ",
              "translate_bn": "যখন তাদের ভাই লূত তাদেরকে বললেন, তোমরা কি ভয় কর না ?",
              "numberInSurah": 161,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহুম আখূহুম লূতুন আলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//اَخُوْهُمْ/أَخُوهُمۡ/akhuhum//لُوْطٌ/لُوطٌ/lutun//اَلَا/أَلَا/ala//تَتَّقُوْنَۚ/تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//উদ্দেশ্যে তাদের//ভাই তাদের//লুত//\"কি না//তোমরা ভয় করবে"
            },
            {
              "number": 3094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3094.mp3"
              ],
              "text": "إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "আমি তোমাদের বিশ্বস্ত পয়গম্বর।",
              "numberInSurah": 162,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আমি তোমাদের বিশ্বস্ত পয়গম্বর।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "নিশ্চয়ই আমি//জন্যে তোমাদের//একজন রাসূল//বিশ্বস্ত"
            },
            {
              "number": 3095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3095.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 163,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//ও আমার আনুগত্য করো"
            },
            {
              "number": 3096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3096.mp3"
              ],
              "text": "وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি এর জন্যে তোমাদের কাছে কোন প্রতিদান চাই না। আমার প্রতিদান তো বিশ্ব-পালনকর্তা দেবেন।",
              "numberInSurah": 164,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআছআলুকুম ‘আলাইহি মিন আজরিন ইন আজরিয়া ইল্লা-‘আলা-রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ۚ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "আর না//তোমাদের (নিকট) আমি চাচ্ছি//জন্যে এর//কোনো//পারিশ্রমিক//নেই//আমার প্রতিদান (কারো নিকট)//এ ছাড়া//নিকট//রবের//বিশ্বজগতের"
            },
            {
              "number": 3097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3097.mp3"
              ],
              "text": "أَتَأْتُونَ ٱلذُّكْرَانَ مِنَ ٱلْعَٰلَمِينَ",
              "translate_bn": "সারা জাহানের মানুষের মধ্যে তোমরাই কি পুরূষদের সাথে কুকর্ম কর?",
              "numberInSurah": 165,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "আতা’তূনাযযুকরা-না মিনাল ‘আ-লামীন।",
              "words_arabic": "اَتَاْتُوْنَ/أَتَأۡتُونَ/atatuna//الذُّكْرَانَ/ٱلذُّكۡرَانَ/al-dhuk'rana//مِنَ/مِنَ/mina//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "কি তোমরা উপগত হও//পুরুষদের (নিকট)//মধ্য হ'তে//বিশ্বজগতের"
            },
            {
              "number": 3098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3098.mp3"
              ],
              "text": "وَتَذَرُونَ مَا خَلَقَ لَكُمْ رَبُّكُم مِّنْ أَزْوَٰجِكُم ۚ بَلْ أَنتُمْ قَوْمٌ عَادُونَ",
              "translate_bn": "এবং তোমাদের পালনকর্তা তোমাদের জন্যে যে স্ত্রীগনকে সৃষ্টি করেছেন, তাদেরকে বর্জন কর? বরং তোমরা সীমালঙ্ঘনকারী সম্প্রদায়।",
              "numberInSurah": 166,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাযারূনা মা-খালাকা লাকুম রাব্বুকুম মিন আঝওয়া-জিকুম বাল আনতুম কাওমুন ‘আ-দূ ন।",
              "words_arabic": "وَ تَذَرُوْنَ/وَتَذَرُونَ/watadharuna//مَا/مَا/ma//خَلَقَ/خَلَقَ/khalaqa//لَكُمْ/لَكُمۡ/lakum//رَبُّكُمْ/رَبُّكُم/rabbukum//مِّنْ/مِّنۡ/min//اَزْوَاجِكُمْ ؕ/أَزۡوَٰجِكُمۚ/azwajikum//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُمۡ/antum//قَوْمٌ/قَوۡمٌ/qawmun//عٰدُوْنَ /عَادُونَ/aduna",
              "words_bangla": "ও তোমরা পরিহার করছো//যা//সৃষ্টি করেছেন//জন্যে তোমাদের//রব তোমাদের//মধ্য থেকে//তোমাদের স্ত্রীদের//বরং//তোমরা//জাতি//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 3099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3099.mp3"
              ],
              "text": "قَالُوا۟ لَئِن لَّمْ تَنتَهِ يَٰلُوطُ لَتَكُونَنَّ مِنَ ٱلْمُخْرَجِينَ",
              "translate_bn": "তারা বলল, হে লূত, তুমি যদি বিরত না হও, তবে অবশ্যই তোমাকে বহিস্কৃত করা হবে।",
              "numberInSurah": 167,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাইল্লাম তানতাহি ইয়া-লূতুলাতাকূনান্না মিনাল মুখরাজীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//تَنْتَهِ/تَنتَهِ/tantahi//یٰلُوْطُ/يَٰلُوطُ/yalutu//لَتَكُوْنَنَّ/لَتَكُونَنَّ/latakunanna//مِنَ/مِنَ/mina//الْمُخْرَجِیْنَ /ٱلۡمُخۡرَجِينَ/al-mukh'rajina",
              "words_bangla": "তারা বললো//\"অবশ্যই যদি//না//বিরত হও//হে লুত//অবশ্যই তুমি হবে//অন্তর্ভুক্ত//বহিষ্কৃতদের\""
            },
            {
              "number": 3100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3100.mp3"
              ],
              "text": "قَالَ إِنِّى لِعَمَلِكُم مِّنَ ٱلْقَالِينَ",
              "translate_bn": "লূত বললেন, আমি তোমাদের এই কাজকে ঘৃণা করি।",
              "numberInSurah": 168,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নী লি‘আমালিকুম মিনাল কা-লীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//لِعَمَلِكُمْ/لِعَمَلِكُم/li'amalikum//مِّنَ/مِّنَ/mina//الْقَالِیْنَؕ/ٱلۡقَالِينَ/al-qalina",
              "words_bangla": "(লুত) বললো//\"নিশ্চয়ই আমি//জন্যে তোমাদের কাজের//অন্তর্ভুক্ত//ঘৃণাকারীদের"
            },
            {
              "number": 3101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3101.mp3"
              ],
              "text": "رَبِّ نَجِّنِى وَأَهْلِى مِمَّا يَعْمَلُونَ",
              "translate_bn": "হে আমার পালনকর্তা, আমাকে এবং আমার পরিবারবর্গকে তারা যা করে, তা থেকে রক্ষা কর।",
              "numberInSurah": 169,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "রাব্বি নাজজিনী ওয়া আহলী মিম্মা-ইয়া‘মালূন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//نَجِّنِیْ/نَجِّنِي/najjini//وَ اَهْلِیْ/وَأَهۡلِي/wa-ahli//مِمَّا/مِمَّا/mimma//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "হে আমার রব//আমাকে রক্ষা করো//ও আমার পরিবারকে//(তা) হ'তে যা//তারা করেছে\""
            },
            {
              "number": 3102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3102.mp3"
              ],
              "text": "فَنَجَّيْنَٰهُ وَأَهْلَهُۥٓ أَجْمَعِينَ",
              "translate_bn": "অতঃপর আমি তাঁকে ও তাঁর পরিবারবর্গকে রক্ষা করলাম।",
              "numberInSurah": 170,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফানাজ্জাইনা-হু ওয়া আহলাহূআজমা‘ঈন।",
              "words_arabic": "فَنَجَّیْنٰهُ/فَنَجَّيۡنَٰهُ/fanajjaynahu//وَ اَهْلَهٗۤ/وَأَهۡلَهُۥٓ/wa-ahlahu//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "অতঃপর তাকে আমরা রক্ষা করলাম//ও তার পরিবারকে//সবাইকে (একযোগে)"
            },
            {
              "number": 3103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3103.mp3"
              ],
              "text": "إِلَّا عَجُوزًۭا فِى ٱلْغَٰبِرِينَ",
              "translate_bn": "এক বৃদ্ধা ব্যতীত, সে ছিল ধ্বংস প্রাপ্তদের অন্তর্ভুক্ত।",
              "numberInSurah": 171,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘আজুঝান ফিল গা-বিরীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عَجُوْزًا/عَجُوزٗا/ajuzan//فِی/فِي/fi//الْغٰبِرِیْنَۚ/ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "ছাড়া//এক বৃদ্ধা (তার স্ত্রী)//(সে ছিলো) অন্তর্ভুক্ত//পিছনে অবস্থানকারীদের"
            },
            {
              "number": 3104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3104.mp3"
              ],
              "text": "ثُمَّ دَمَّرْنَا ٱلْءَاخَرِينَ",
              "translate_bn": "এরপর অন্যদেরকে নিপাত করলাম।",
              "numberInSurah": 172,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা দাম্মারনাল আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//دَمَّرْنَا/دَمَّرۡنَا/dammarna//الْاٰخَرِیْنَۚ/ٱلۡأٓخَرِينَ/al-akharina",
              "words_bangla": "এরপর//আমরা ধ্বংস করলাম//অন্যদেরকে"
            },
            {
              "number": 3105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3105.mp3"
              ],
              "text": "وَأَمْطَرْنَا عَلَيْهِم مَّطَرًۭا ۖ فَسَآءَ مَطَرُ ٱلْمُنذَرِينَ",
              "translate_bn": "তাদের উপর এক বিশেষ বৃষ্টি বর্ষণ করলাম। ভীতি-প্রদর্শিত দের জন্যে এই বৃষ্টি ছিল কত নিকৃষ্ট।",
              "numberInSurah": 173,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া আমতারনা-‘আলাইহিম মাতারান ফাছাআ মাতারুল মুনযারীন।",
              "words_arabic": "وَ اَمْطَرْنَا/وَأَمۡطَرۡنَا/wa-amtarna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّطَرًا ۚ/مَّطَرٗاۖ/mataran//فَسَآءَ/فَسَآءَ/fasaa//مَطَرُ/مَطَرُ/mataru//الْمُنْذَرِیْنَ /ٱلۡمُنذَرِينَ/al-mundharina",
              "words_bangla": "এবং আমরা বর্ষণ করেছিলাম//উপর তাদের//এক বর্ষণ (শাস্তিমূলক)//অতএব কত নিকৃষ্ট//বর্ষণ//সতর্ককৃতদের (জন্যে)"
            },
            {
              "number": 3106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3106.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয়ই এতে নিদর্শন রয়েছে; কিন্তু তাদের অধিকাংশই বিশ্বাসী নয়।",
              "numberInSurah": 174,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাওঁ ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//আর না//ছিলো//অধিকাংশই তাদের//মু'মিন"
            },
            {
              "number": 3107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3107.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "নিশ্চয়ই আপনার পালনকর্তা প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 175,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 324,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "অথচ নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3108.mp3"
              ],
              "text": "كَذَّبَ أَصْحَٰبُ لْـَٔيْكَةِ ٱلْمُرْسَلِينَ",
              "translate_bn": "বনের অধিবাসীরা পয়গম্বরগণকে মিথ্যাবাদী বলেছে।",
              "numberInSurah": 176,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "কাযযাবা আসহা-বুল আইকাতিল মুরছালীন।",
              "words_arabic": "كَذَّبَ/كَذَّبَ/kadhaba//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//لْـَٔیْكَةِ/لۡـَٔيۡكَةِ/al'aykati//الْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "মিথ্যারোপ করেছিলো//অধিবাসীরাও//আইকার//রাসূলদেরকে"
            },
            {
              "number": 3109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3109.mp3"
              ],
              "text": "إِذْ قَالَ لَهُمْ شُعَيْبٌ أَلَا تَتَّقُونَ",
              "translate_bn": "যখন শো’আয়ব তাদের কে বললেন, তোমরা কি ভয় কর না?",
              "numberInSurah": 177,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লাহুম শু‘আইবুন আলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهُمْ/لَهُمۡ/lahum//شُعَیْبٌ/شُعَيۡبٌ/shu'aybun//اَلَا/أَلَا/ala//تَتَّقُوْنَۚ/تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//উদ্দেশ্যে তাদের//শু'আইব//\"কি না//তোমরা ভয় করবে"
            },
            {
              "number": 3110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3110.mp3"
              ],
              "text": "إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "আমি তোমাদের বিশ্বস্ত পয়গম্বর।",
              "numberInSurah": 178,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ইন্নী লাকুম রাছূলুন আমীন।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "নিশ্চয়ই আমি//জন্যে তোমাদের//একজন রাসূল//বিশ্বস্ত"
            },
            {
              "number": 3111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3111.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 179,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা ওয়া আতী‘ঊন।",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِۚ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "অতঃপর তোমরা ভয় করো//আল্লাহকে//ও তোমরা আমার আনুগত্য করো"
            },
            {
              "number": 3112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3112.mp3"
              ],
              "text": "وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি তোমাদের কাছে এর জন্য কোন প্রতিদান চাই না। আমার প্রতিদান তো বিশ্ব-পালনকর্তাই দেবেন।",
              "numberInSurah": 180,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 149,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআছআলুকুম ‘আলাইহি মিন আজরিন ইন আজরিয়া ইল্লা-‘আলা-রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ ۚ/أَجۡرٍۖ/ajrin//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلٰی/عَلَىٰ/ala//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "আর না//তোমাদের (নিকট) আমি চাচ্ছি//জন্যে এর//কোনো//প্রতিদান//নেই//আমার প্রতিদান (অন্য কারো নিকট)//ছাড়া//নিকট//রবের//বিশ্বজগতের"
            },
            {
              "number": 3113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3113.mp3"
              ],
              "text": "۞ أَوْفُوا۟ ٱلْكَيْلَ وَلَا تَكُونُوا۟ مِنَ ٱلْمُخْسِرِينَ",
              "translate_bn": "মাপ পূর্ণ কর এবং যারা পরিমাপে কম দেয়, তাদের অন্তর্ভুক্ত হয়ো না।",
              "numberInSurah": 181,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আওফুল কাইলা ওয়ালা-তাকূনূমিনাল মুখছিরীন।",
              "words_arabic": "اَوْفُوا/۞أَوۡفُواْ/awfu//الْكَیْلَ/ٱلۡكَيۡلَ/al-kayla//وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//مِنَ/مِنَ/mina//الْمُخْسِرِیْنَۚ/ٱلۡمُخۡسِرِينَ/al-mukh'sirina",
              "words_bangla": "তোমরা পূর্ণ দাও//মাপ//ও না//তোমরা হয়ো//অন্তর্ভুক্ত//মাপে কমদানকারীদের"
            },
            {
              "number": 3114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3114.mp3"
              ],
              "text": "وَزِنُوا۟ بِٱلْقِسْطَاسِ ٱلْمُسْتَقِيمِ",
              "translate_bn": "সোজা দাঁড়ি-পাল্লায় ওজন কর।",
              "numberInSurah": 182,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়াঝিনূবিলকিছতা-ছিল মুছতাকীম।",
              "words_arabic": "وَزِنُوْا/وَزِنُواْ/wazinu//بِالْقِسْطَاسِ/بِٱلۡقِسۡطَاسِ/bil-qis'tasi//الْمُسْتَقِیْمِۚ/ٱلۡمُسۡتَقِيمِ/al-mus'taqimi",
              "words_bangla": "এবং তোমরা ওজন করবে//দিয়ে দাঁড়িপাল্লা//সঠিক"
            },
            {
              "number": 3115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3115.mp3"
              ],
              "text": "وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ",
              "translate_bn": "মানুষকে তাদের বস্তু কম দিও না এবং পৃথিবীতে অনর্থ সৃষ্টি করে ফিরো না।",
              "numberInSurah": 183,
              "juz": 19,
              "manzil": 5,
              "page": 374,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাবখাছুন্না-ছা আশইয়াআহুম ওয়ালা-তা‘ছাও ফিল আরদিমুফছিদীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَبْخَسُوا/تَبۡخَسُواْ/tabkhasu//النَّاسَ/ٱلنَّاسَ/al-nasa//اَشْیَآءَهُمْ/أَشۡيَآءَهُمۡ/ashyaahum//وَ لَا/وَلَا/wala//تَعْثَوْا/تَعۡثَوۡاْ/ta'thaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُفْسِدِیْنَۚ/مُفۡسِدِينَ/muf'sidina",
              "words_bangla": "আর না//তোমরা কম দিবে//মানুষকে//জিনিসগুলোকে তাদের//আর না//গোলযোগ সৃষ্টি করো//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টিকারী হিসেবে"
            },
            {
              "number": 3116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3116.mp3"
              ],
              "text": "وَٱتَّقُوا۟ ٱلَّذِى خَلَقَكُمْ وَٱلْجِبِلَّةَ ٱلْأَوَّلِينَ",
              "translate_bn": "ভয় কর তাঁকে, যিনি তোমাদেরকে এবং তোমাদের পূর্ববর্তী লোক-সম্প্রদায়কে সৃষ্টি করেছেন।",
              "numberInSurah": 184,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাকুল্লাযী খালাকাকুম ওয়াল জিবিল্লাতাল আওওয়ালীন।",
              "words_arabic": "وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//وَ الْجِبِلَّةَ/وَٱلۡجِبِلَّةَ/wal-jibilata//الْاَوَّلِیْنَؕ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং তোমরা ভয় করো//(তাঁকে) যিনি//সৃষ্টি করেছেন তোমাদেরকে//জনগোষ্ঠীকেও//পুর্ববর্তী\""
            },
            {
              "number": 3117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3117.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّمَآ أَنتَ مِنَ ٱلْمُسَحَّرِينَ",
              "translate_bn": "তারা বলল, তুমি তো জাদুগ্রস্তদের অন্যতম।",
              "numberInSurah": 185,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নামাআনতা মিনাল মুছাহহারীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مِنَ/مِنَ/mina//الْمُسَحَّرِیْنَۙ/ٱلۡمُسَحَّرِينَ/al-musaharina",
              "words_bangla": "তারা বলেছিলো//\"মূলতঃ//তুমি//অন্তর্ভুক্ত//জাদুগ্রস্তদের"
            },
            {
              "number": 3118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3118.mp3"
              ],
              "text": "وَمَآ أَنتَ إِلَّا بَشَرٌۭ مِّثْلُنَا وَإِن نَّظُنُّكَ لَمِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "তুমি আমাদের মত মানুষ বৈ তো নও। আমাদের ধারণা-তুমি মিথ্যাবাদীদের অন্তর্ভুক্ত।",
              "numberInSurah": 186,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনতা ইল্লা-বাশারুম মিছলুনা-ওয়া ইন নাজুন্নুকা লামিনাল কা-যিবীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُنَا/مِّثۡلُنَا/mith'luna//وَ اِنْ/وَإِن/wa-in//نَّظُنُّكَ/نَّظُنُّكَ/nazunnuka//لَمِنَ/لَمِنَ/lamina//الْكٰذِبِیْنَۚ/ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "আর না//তুমি//এ ছাড়া//একজন মানুষ//মতো আমাদেরই//আর নিশ্চয়ই//তোমাকে আমরা মনেকরি//অবশ্যই অন্তর্ভুক্ত//মিথ্যাবাদীদের"
            },
            {
              "number": 3119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3119.mp3"
              ],
              "text": "فَأَسْقِطْ عَلَيْنَا كِسَفًۭا مِّنَ ٱلسَّمَآءِ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "অতএব, যদি সত্যবাদী হও, তবে আকাশের কোন টুকরো আমাদের উপর ফেলে দাও।",
              "numberInSurah": 187,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাআছকিত‘আলাইনা-কিছাফাম মিনাছছামাই ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "فَاَسْقِطْ/فَأَسۡقِطۡ/fa-asqit//عَلَیْنَا/عَلَيۡنَا/alayna//كِسَفًا/كِسَفٗا/kisafan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَؕ/ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "অতএব ফেলে দাও//উপর আমাদের//এক টুকরো//থেকে//আকাশের//যদি//তুমি হও//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 3120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3120.mp3"
              ],
              "text": "قَالَ رَبِّىٓ أَعْلَمُ بِمَا تَعْمَلُونَ",
              "translate_bn": "শো’আয়ব বললেন, তোমরা যা কর, সে সম্পর্কে আমার পালনকর্তা ভালরূপে অবহিত।",
              "numberInSurah": 188,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাববীআ‘লামুবিমা-তা‘মালূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّیْۤ/رَبِّيٓ/rabbi//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "(শু'আইব) বললো//\"আমার রব//খুব জানেন//ঐ বিষয়ে যা//তোমরা করছো\""
            },
            {
              "number": 3121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3121.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَأَخَذَهُمْ عَذَابُ يَوْمِ ٱلظُّلَّةِ ۚ إِنَّهُۥ كَانَ عَذَابَ يَوْمٍ عَظِيمٍ",
              "translate_bn": "অতঃপর তারা তাঁকে মিথ্যাবাদী বলে দিল। ফলে তাদেরকে মেঘাচ্ছন্ন দিবসের আযাব পাকড়াও করল। নিশ্চয় সেটা ছিল এক মহাদিবসের আযাব।",
              "numberInSurah": 189,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফাআখাযাহুম ‘আযা-বুইয়াওমিজজু ল্লাতি ইন্নাহূকা-না ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاَخَذَهُمْ/فَأَخَذَهُمۡ/fa-akhadhahum//عَذَابُ/عَذَابُ/adhabu//یَوْمِ/يَوۡمِ/yawmi//الظُّلَّةِ ؕ/ٱلظُّلَّةِۚ/al-zulati//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٍ/azimin",
              "words_bangla": "অতঃপর তারা তাকে মিথ্যা সাব্যস্ত করলো//তখন ধরলো তাদেরকে//শাস্তি//দিনের//(ছায়াওয়ালা) মেঘাচ্ছন্ন//নিশ্চয়ই তা//ছিলো//শাস্তি//দিনের//ভয়াবহ"
            },
            {
              "number": 3122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3122.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ",
              "translate_bn": "নিশ্চয় এতে নিদর্শন রয়েছে; কিন্তু তাদের অধিকাংশই বিশ্বাস করে না।",
              "numberInSurah": 190,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাআ-য়াতাওঁ ওয়ামা-কা-না আকছারুহুম মু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً ؕ/لَأٓيَةٗۖ/laayatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শন//কিন্তু না//ছিলো//অধিকাংশ তাদের//মু'মিন"
            },
            {
              "number": 3123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3123.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "নিশ্চয় আপনার পালনকর্তা প্রবল পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 191,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 325,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَهُوَ/لَهُوَ/lahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "আর নিশ্চয়ই//তোমার রব//অবশ্যই তিনি//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3124.mp3"
              ],
              "text": "وَإِنَّهُۥ لَتَنزِيلُ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "এই কোরআন তো বিশ্ব-জাহানের পালনকর্তার নিকট থেকে অবতীর্ণ।",
              "numberInSurah": 192,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাতানঝীলুরাব্বিল ‘আ-লামীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَتَنْزِیْلُ/لَتَنزِيلُ/latanzilu//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং নিশ্চয়ই তা//অবশ্যই অবতীর্ণ//রবের (পক্ষ হ'তে)//বিশ্বজগতের"
            },
            {
              "number": 3125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3125.mp3"
              ],
              "text": "نَزَلَ بِهِ ٱلرُّوحُ ٱلْأَمِينُ",
              "translate_bn": "বিশ্বস্ত ফেরেশতা একে নিয়ে অবতরণ করেছে।",
              "numberInSurah": 193,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "নাঝালা বিহির রূহুলআমীন।",
              "words_arabic": "نَزَلَ/نَزَلَ/nazala//بِهِ/بِهِ/bihi//الرُّوْحُ/ٱلرُّوحُ/al-ruhu//الْاَمِیْنُۙ/ٱلۡأَمِينُ/al-aminu",
              "words_bangla": "অবতরণ করেছে//নিয়ে তা//রূহ (জিবরাঈল)//বিশ্বস্ত"
            },
            {
              "number": 3126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3126.mp3"
              ],
              "text": "عَلَىٰ قَلْبِكَ لِتَكُونَ مِنَ ٱلْمُنذِرِينَ",
              "translate_bn": "আপনার অন্তরে, যাতে আপনি ভীতি প্রদর্শণকারীদের অন্তর্ভুক্ত হন,",
              "numberInSurah": 194,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "‘আ-লা কালবিকা লিতাকূনা মিনাল মুনযিরীন।",
              "words_arabic": "عَلٰی/عَلَىٰ/ala//قَلْبِكَ/قَلۡبِكَ/qalbika//لِتَكُوْنَ/لِتَكُونَ/litakuna//مِنَ/مِنَ/mina//الْمُنْذِرِیْنَ /ٱلۡمُنذِرِينَ/al-mundhirina",
              "words_bangla": "উপর//তোমার অন্তরের//যেন তুমি হও//অন্তর্ভুক্ত//সতর্ককারীদের"
            },
            {
              "number": 3127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3127.mp3"
              ],
              "text": "بِلِسَانٍ عَرَبِىٍّۢ مُّبِينٍۢ",
              "translate_bn": "সুস্পষ্ট আরবী ভাষায়।",
              "numberInSurah": 195,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "বিলিছা-নিন ‘আরাবিইয়িম মুবীন।",
              "words_arabic": "بِلِسَانٍ/بِلِسَانٍ/bilisanin//عَرَبِیٍّ/عَرَبِيّٖ/arabiyyin//مُّبِیْنٍؕ/مُّبِينٖ/mubinin",
              "words_bangla": "মাধ্যমে ভাষায়//আরবী//সুস্পষ্ট"
            },
            {
              "number": 3128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3128.mp3"
              ],
              "text": "وَإِنَّهُۥ لَفِى زُبُرِ ٱلْأَوَّلِينَ",
              "translate_bn": "নিশ্চয় এর উল্লেখ আছে পূর্ববর্তী কিতাবসমূহে।",
              "numberInSurah": 196,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাফী ঝুবুরিল আওওয়ালীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَفِیْ/لَفِي/lafi//زُبُرِ/زُبُرِ/zuburi//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং নিশ্চয়ই তা//অবশ্যই মধ্যে (আছে)//কিতাবসমূহের//পুর্ববর্তী"
            },
            {
              "number": 3129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3129.mp3"
              ],
              "text": "أَوَلَمْ يَكُن لَّهُمْ ءَايَةً أَن يَعْلَمَهُۥ عُلَمَٰٓؤُا۟ بَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "তাদের জন্যে এটা কি নিদর্শন নয় যে, বনী-ইসরাঈলের আলেমগণ এটা অবগত আছে?",
              "numberInSurah": 197,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়াকুল্লাহুম আ-য়াতান আইঁ ইয়া‘লামাহূ‘উলামাউ বানীইছরাঈল।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَكُنْ/يَكُن/yakun//لَّهُمْ/لَّهُمۡ/lahum//اٰیَةً/ءَايَةً/ayatan//اَنْ/أَن/an//یَّعْلَمَهٗ/يَعۡلَمَهُۥ/ya'lamahu//عُلَمٰٓؤُا/عُلَمَـٰٓؤُاْ/ulamau//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "কি নি//হয়//জন্যে তাদের//একটি নিদর্শন//যে//তা জানে//পন্ডিতরা//বনী//ইসরাঈলের"
            },
            {
              "number": 3130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3130.mp3"
              ],
              "text": "وَلَوْ نَزَّلْنَٰهُ عَلَىٰ بَعْضِ ٱلْأَعْجَمِينَ",
              "translate_bn": "যদি আমি একে কোন ভিন্নভাষীর প্রতি অবতীর্ণ করতাম,",
              "numberInSurah": 198,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও নাঝঝালনা-হু ‘আলা-বা‘দিল আ‘জামীন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَزَّلْنٰهُ/نَزَّلۡنَٰهُ/nazzalnahu//عَلٰی/عَلَىٰ/ala//بَعْضِ/بَعۡضِ/ba'di//الْاَعْجَمِیْنَۙ/ٱلۡأَعۡجَمِينَ/al-a'jamina",
              "words_bangla": "আর যদি//তা আমরা অবতীর্ণ করতাম//উপর//কারোও//অনারবদের"
            },
            {
              "number": 3131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3131.mp3"
              ],
              "text": "فَقَرَأَهُۥ عَلَيْهِم مَّا كَانُوا۟ بِهِۦ مُؤْمِنِينَ",
              "translate_bn": "অতঃপর তিনি তা তাদের কাছে পাঠ করতেন, তবে তারা তাতে বিশ্বাস স্থাপন করত না।",
              "numberInSurah": 199,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাকারাআহূ‘আলাইহিম মা-কা-নূবিহী মু’মিনীন।\r\n",
              "words_arabic": "فَقَرَاَهٗ/فَقَرَأَهُۥ/faqara-ahu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//مُؤْمِنِیْنَؕ/مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "অতঃপর পাঠ করতো তা//কাছে তাদের//না//তারা হতো//প্রতি তার//মু'মিন"
            },
            {
              "number": 3132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3132.mp3"
              ],
              "text": "كَذَٰلِكَ سَلَكْنَٰهُ فِى قُلُوبِ ٱلْمُجْرِمِينَ",
              "translate_bn": "এমনিভাবে আমি গোনাহগারদের অন্তরে অবিশ্বাস সঞ্চার করেছি।",
              "numberInSurah": 200,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ছালাকনা-হু ফী কুলূবিল মুজরিমীন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//سَلَكْنٰهُ/سَلَكۡنَٰهُ/salaknahu//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الْمُجْرِمِیْنَؕ/ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "এরূপেই//তা আমরা সঞ্চার করেছি//মধ্যে//অন্তরসমূহের//অপরাধীদের"
            },
            {
              "number": 3133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3133.mp3"
              ],
              "text": "لَا يُؤْمِنُونَ بِهِۦ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ",
              "translate_bn": "তারা এর প্রতি বিশ্বাস স্থাপন করবে না, যে পর্যন্ত প্রত্যক্ষ না করে মর্মন্তুদ আযাব।",
              "numberInSurah": 201,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "লা-ইউ’মিনূনা বিহী হাত্তা-ইয়ারাউল ‘আযা-বাল আলীম।",
              "words_arabic": "لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ/بِهِۦ/bihi//حَتّٰی/حَتَّىٰ/hatta//یَرَوُا/يَرَوُاْ/yarawu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الْاَلِیْمَۙ/ٱلۡأَلِيمَ/al-alima",
              "words_bangla": "না//তারা ঈমান আনবে//প্রতি তার//যতক্ষণ না//তারা দেখবে//শাস্তি//নিদারুণ"
            },
            {
              "number": 3134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3134.mp3"
              ],
              "text": "فَيَأْتِيَهُم بَغْتَةًۭ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "অতঃপর তা আকস্মিকভাবে তাদের কাছে এসে পড়বে, তারা তা বুঝতে ও পারবে না।",
              "numberInSurah": 202,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাইয়া’তিয়াহুম বাগতাতাওঁ ওয়াহুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "فَیَاْتِیَهُمْ/فَيَأۡتِيَهُم/fayatiyahum//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَۙ/يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "অতঃপর তাদের (উপর) এসে পড়বে//হঠাৎ করে//এমতাবস্হায় যে তারা//না//অনুভবও করবে"
            },
            {
              "number": 3135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3135.mp3"
              ],
              "text": "فَيَقُولُوا۟ هَلْ نَحْنُ مُنظَرُونَ",
              "translate_bn": "তখন তারা বলবে, আমরা কি অবকাশ পাব না?",
              "numberInSurah": 203,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াকূলূহাল নাহনুমুনজারূন।",
              "words_arabic": "فَیَقُوْلُوْا/فَيَقُولُواْ/fayaqulu//هَلْ/هَلۡ/hal//نَحْنُ/نَحۡنُ/nahnu//مُنْظَرُوْنَؕ/مُنظَرُونَ/munzaruna",
              "words_bangla": "তখন তারা বলবে//\"কি//আমরা//অবকাশপ্রাপ্ত\""
            },
            {
              "number": 3136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3136.mp3"
              ],
              "text": "أَفَبِعَذَابِنَا يَسْتَعْجِلُونَ",
              "translate_bn": "তারা কি আমার শাস্তি দ্রুত কামনা করে?",
              "numberInSurah": 204,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আফাবি‘আযা-বিনা -ইয়াছতা‘জিলূন।",
              "words_arabic": "اَفَبِعَذَابِنَا/أَفَبِعَذَابِنَا/afabi'adhabina//یَسْتَعْجِلُوْنَ /يَسۡتَعۡجِلُونَ/yasta'jiluna",
              "words_bangla": "কি তবে শাস্তি সম্পর্কে আমাদের//তারা তাড়াহুড়া করছে"
            },
            {
              "number": 3137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3137.mp3"
              ],
              "text": "أَفَرَءَيْتَ إِن مَّتَّعْنَٰهُمْ سِنِينَ",
              "translate_bn": "আপনি ভেবে দেখুন তো, যদি আমি তাদেরকে বছরের পর বছর ভোগ-বিলাস করতে দেই,",
              "numberInSurah": 205,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতাইম্মাততা‘না-হুম ছিনীন।",
              "words_arabic": "اَفَرَءَیْتَ/أَفَرَءَيۡتَ/afara-ayta//اِنْ/إِن/in//مَّتَّعْنٰهُمْ/مَّتَّعۡنَٰهُمۡ/matta'nahum//سِنِیْنَۙ/سِنِينَ/sinina",
              "words_bangla": "কি তবে তুমি ভেবে দেখেছো//যদি//আমরা ভোগবিলাস করতে দিই তাদেরকে//(বহু) বছর"
            },
            {
              "number": 3138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3138.mp3"
              ],
              "text": "ثُمَّ جَآءَهُم مَّا كَانُوا۟ يُوعَدُونَ",
              "translate_bn": "অতঃপর যে বিষয়ে তাদেরকে ওয়াদা দেয়া হত, তা তাদের কাছে এসে পড়ে।",
              "numberInSurah": 206,
              "juz": 19,
              "manzil": 5,
              "page": 375,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা জাআহুম মা-কা-নূইউ‘আদূন।\r\n",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//جَآءَهُمْ/جَآءَهُم/jaahum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یُوْعَدُوْنَۙ/يُوعَدُونَ/yu'aduna",
              "words_bangla": "এরপরও//আসে তাদের (নিকট)//যা//তারা ছিলো//তাদেরকে সতর্ক করা হচ্ছে"
            },
            {
              "number": 3139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3139.mp3"
              ],
              "text": "مَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يُمَتَّعُونَ",
              "translate_bn": "তখন তাদের ভোগ বিলাস তা তাদের কি কোন উপকারে আসবে?",
              "numberInSurah": 207,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "মাআগনা-‘আনহুম মা-কা-নূইউমাত্তা‘ঊন।",
              "words_arabic": "مَاۤ/مَآ/ma//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یُمَتَّعُوْنَؕ/يُمَتَّعُونَ/yumatta'una",
              "words_bangla": "(তাহ'লেও) কি//উপকারে আসবে//জন্যে তাদের//যা কিছু//তারা ছিলো//তারা উপভোগ করে"
            },
            {
              "number": 3140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3140.mp3"
              ],
              "text": "وَمَآ أَهْلَكْنَا مِن قَرْيَةٍ إِلَّا لَهَا مُنذِرُونَ",
              "translate_bn": "আমি কোন জনপদ ধ্বংস করিনি; কিন্তু এমতাবস্থায় যে, তারা সতর্ককারী ছিল।",
              "numberInSurah": 208,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআহলাকনা-মিন কারইয়াতিন ইল্লা-লাহা-মুনযিরূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//اِلَّا/إِلَّا/illa//لَهَا/لَهَا/laha//مُنْذِرُوْنَ/مُنذِرُونَ/mundhiruna",
              "words_bangla": "আর না//আমরা ধ্বংস করেছি//কোনো//জনপদ//এ ছাড়া (যে)//জন্যে তার (এসেছে)//সতর্ককারীরা"
            },
            {
              "number": 3141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3141.mp3"
              ],
              "text": "ذِكْرَىٰ وَمَا كُنَّا ظَٰلِمِينَ",
              "translate_bn": "স্মরণ করানোর জন্যে, এবং আমার কাজ অন্যায়াচরণ নয়।",
              "numberInSurah": 209,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "যিকরা-ওয়ামা-কুন্না-জা-লিমীন।",
              "words_arabic": "ذِكْرٰی ۛ۫/ذِكۡرَىٰ/dhik'ra//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "উপদেশস্বরূপ//আর না//আমরা ছিলাম//সীমালঙ্ঘনকারী"
            },
            {
              "number": 3142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3142.mp3"
              ],
              "text": "وَمَا تَنَزَّلَتْ بِهِ ٱلشَّيَٰطِينُ",
              "translate_bn": "এই কোরআন শয়তানরা অবতীর্ণ করেনি।",
              "numberInSurah": 210,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা তানাঝঝালাত বিহিশশাইয়া-তীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَنَزَّلَتْ/تَنَزَّلَتۡ/tanazzalat//بِهِ/بِهِ/bihi//الشَّیٰطِیْنُ /ٱلشَّيَٰطِينُ/al-shayatinu",
              "words_bangla": "এবং না//অবতীর্ণ করেছে//নিয়ে তা//শয়তানরা"
            },
            {
              "number": 3143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3143.mp3"
              ],
              "text": "وَمَا يَنۢبَغِى لَهُمْ وَمَا يَسْتَطِيعُونَ",
              "translate_bn": "তারা এ কাজের উপযুক্ত নয় এবং তারা এর সামর্থ?451; রাখে না।",
              "numberInSurah": 211,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়ামবাগী লাহুম ওয়ামা-ইয়াছতাতী‘ঊন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لَهُمْ/لَهُمۡ/lahum//وَ مَا/وَمَا/wama//یَسْتَطِیْعُوْنَؕ/يَسۡتَطِيعُونَ/yastati'una",
              "words_bangla": "আর না//উচিত//জন্যে তাদের//আর না//তারা সামর্থ্য রাখে"
            },
            {
              "number": 3144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3144.mp3"
              ],
              "text": "إِنَّهُمْ عَنِ ٱلسَّمْعِ لَمَعْزُولُونَ",
              "translate_bn": "তাদেরকে তো শ্রবণের জায়গা থেকে দূরে রাখা রয়েছে।",
              "numberInSurah": 212,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম ‘আনিছছাম‘ই লামা‘ঝূলূন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//عَنِ/عَنِ/ani//السَّمْعِ/ٱلسَّمۡعِ/al-sam'i//لَمَعْزُوْلُوْنَؕ/لَمَعۡزُولُونَ/lama'zuluna",
              "words_bangla": "নিশ্চয়ই তাদেরকে//হ'তে//শোনা//অবশ্যই দূরে রাখা হয়েছে"
            },
            {
              "number": 3145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3145.mp3"
              ],
              "text": "فَلَا تَدْعُ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ فَتَكُونَ مِنَ ٱلْمُعَذَّبِينَ",
              "translate_bn": "অতএব, আপনি আল্লাহর সাথে অন্য উপাস্যকে আহবান করবেন না। করলে শাস্তিতে পতিত হবেন।",
              "numberInSurah": 213,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফালা-তাদ‘উ মা‘আল্লা-হি ইলা-হান আ-খারা ফাতাকূনা মিনাল মু‘আযযাবীন।",
              "words_arabic": "فَلَا/فَلَا/fala//تَدْعُ/تَدۡعُ/tad'u//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ/ءَاخَرَ/akhara//فَتَكُوْنَ/فَتَكُونَ/fatakuna//مِنَ/مِنَ/mina//الْمُعَذَّبِیْنَۚ/ٱلۡمُعَذَّبِينَ/al-mu'adhabina",
              "words_bangla": "অতএব না//তুমি ডেকো//সাথে//আল্লাহর//কোনো ইলাহ//অন্য//তাহ'লে তুমি হবে//অন্তর্ভুক্ত//শাস্তিপ্রাপ্তদের"
            },
            {
              "number": 3146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3146.mp3"
              ],
              "text": "وَأَنذِرْ عَشِيرَتَكَ ٱلْأَقْرَبِينَ",
              "translate_bn": "আপনি নিকটতম আত্মীয়দেরকে সতর্ক করে দিন।",
              "numberInSurah": 214,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনযির ‘আশীরাতাকাল আকরাবীন।",
              "words_arabic": "وَ اَنْذِرْ/وَأَنذِرۡ/wa-andhir//عَشِیْرَتَكَ/عَشِيرَتَكَ/ashirataka//الْاَقْرَبِیْنَۙ/ٱلۡأَقۡرَبِينَ/al-aqrabina",
              "words_bangla": "এবং সতর্ক করো//তোমার আত্মীয় স্বজনদেরকে//নিকটতম"
            },
            {
              "number": 3147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3147.mp3"
              ],
              "text": "وَٱخْفِضْ جَنَاحَكَ لِمَنِ ٱتَّبَعَكَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "এবং আপনার অনুসারী মুমিনদের প্রতি সদয় হোন।",
              "numberInSurah": 215,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়াখফিদজানা-হাকা লিমানিততাবা‘আকা মিনাল মু’মিনীন।",
              "words_arabic": "وَ اخْفِضْ/وَٱخۡفِضۡ/wa-ikh'fid//جَنَاحَكَ/جَنَاحَكَ/janahaka//لِمَنِ/لِمَنِ/limani//اتَّبَعَكَ/ٱتَّبَعَكَ/ittaba'aka//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَۚ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "আর অবনত করো (অর্থাৎ বিনয়ী হও)//তোমার বাহু//জন্যে তাদের (যারা)//তোমার অনুসরন করে//মধ্য হ'তে//মু'মিনদের"
            },
            {
              "number": 3148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3148.mp3"
              ],
              "text": "فَإِنْ عَصَوْكَ فَقُلْ إِنِّى بَرِىٓءٌۭ مِّمَّا تَعْمَلُونَ",
              "translate_bn": "যদি তারা আপনার অবাধ্য করে, তবে বলে দিন, তোমরা যা কর, তা থেকে আমি মুক্ত।",
              "numberInSurah": 216,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ফাইন ‘আসাওকা ফাকুল ইন্নী বারীউম মিম্মা-তা‘মালূন।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//عَصَوْكَ/عَصَوۡكَ/asawka//فَقُلْ/فَقُلۡ/faqul//اِنِّیْ/إِنِّي/inni//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّمَّا/مِّمَّا/mimma//تَعْمَلُوْنَۚ/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "কিন্তু যদি//তোমার তারা অবাধ্য হয়//তবে বলো//\"নিশ্চয়ই আমি//দায়মুক্ত//(তা) হ'তে যা//তোমরা কাজ করছো\""
            },
            {
              "number": 3149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3149.mp3"
              ],
              "text": "وَتَوَكَّلْ عَلَى ٱلْعَزِيزِ ٱلرَّحِيمِ",
              "translate_bn": "আপনি ভরসা করুন পরাক্রমশালী, পরম দয়ালুর উপর,",
              "numberInSurah": 217,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাওয়াক্কাল ‘আলাল ‘আঝীঝির রাহীম।",
              "words_arabic": "وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الرَّحِیْمِۙ/ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "এবং নির্ভর করো//(আল্লাহর) উপর//(যিনি) পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3150.mp3"
              ],
              "text": "ٱلَّذِى يَرَىٰكَ حِينَ تَقُومُ",
              "translate_bn": "যিনি আপনাকে দেখেন যখন আপনি নামাযে দন্ডায়মান হন,",
              "numberInSurah": 218,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী ইয়ারা-কা হীনা তাকূম।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//یَرٰىكَ/يَرَىٰكَ/yaraka//حِیْنَ/حِينَ/hina//تَقُوْمُۙ/تَقُومُ/taqumu",
              "words_bangla": "যিনি//তোমাকে দেখছেন//যখন//তুমি দাঁড়াও"
            },
            {
              "number": 3151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3151.mp3"
              ],
              "text": "وَتَقَلُّبَكَ فِى ٱلسَّٰجِدِينَ",
              "translate_bn": "এবং নামাযীদের সাথে উঠাবসা করেন।",
              "numberInSurah": 219,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাকাল্লুবাকা ফিছছা-জিদীন।",
              "words_arabic": "وَ تَقَلُّبَكَ/وَتَقَلُّبَكَ/wataqal-lubaka//فِی/فِي/fi//السّٰجِدِیْنَ /ٱلسَّـٰجِدِينَ/al-sajidina",
              "words_bangla": "তোমার গতিবিধি//মধ্যে//সিজদাকারীদের"
            },
            {
              "number": 3152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3152.mp3"
              ],
              "text": "إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "নিশ্চয় তিনি সর্বশ্রোতা, সর্বজ্ঞানী।",
              "numberInSurah": 220,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূহুওয়াছ ছামী‘উল ‘আলীম।\r\n",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "নিশ্চয়ই তিনি//তিনিই//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 3153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3153.mp3"
              ],
              "text": "هَلْ أُنَبِّئُكُمْ عَلَىٰ مَن تَنَزَّلُ ٱلشَّيَٰطِينُ",
              "translate_bn": "আমি আপনাকে বলব কি কার নিকট শয়তানরা অবতরণ করে?",
              "numberInSurah": 221,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "হাল উনাব্বিউকুম ‘আলা-মান তানাঝঝালুশ শাইয়া-তীন।",
              "words_arabic": "هَلْ/هَلۡ/hal//اُنَبِّئُكُمْ/أُنَبِّئُكُمۡ/unabbi-ukum//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//تَنَزَّلُ/تَنَزَّلُ/tanazzalu//الشَّیٰطِیْنُؕ/ٱلشَّيَٰطِينُ/al-shayatinu",
              "words_bangla": "কি//জানাবো তোমাদেরকে//উপর//কার//অবতীর্ণ হয়//শয়তানরা"
            },
            {
              "number": 3154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3154.mp3"
              ],
              "text": "تَنَزَّلُ عَلَىٰ كُلِّ أَفَّاكٍ أَثِيمٍۢ",
              "translate_bn": "তারা অবতীর্ণ হয় প্রত্যেক মিথ্যাবাদী, গোনাহগারের উপর।",
              "numberInSurah": 222,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "তানাঝঝালু‘আলা-কুল্লি আফফা-কিন আছীম।",
              "words_arabic": "تَنَزَّلُ/تَنَزَّلُ/tanazzalu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//اَفَّاكٍ/أَفَّاكٍ/affakin//اَثِیْمٍۙ/أَثِيمٖ/athimin",
              "words_bangla": "অবতীর্ণ হয়//উপর//প্রত্যেক//ঘোর মিথ্যাবাদী//পাপীর"
            },
            {
              "number": 3155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3155.mp3"
              ],
              "text": "يُلْقُونَ ٱلسَّمْعَ وَأَكْثَرُهُمْ كَٰذِبُونَ",
              "translate_bn": "তারা শ্রুত কথা এনে দেয় এবং তাদের অধিকাংশই মিথ্যাবাদী।",
              "numberInSurah": 223,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ইউলকূ নাছছাম‘আ ওয়া আকছারুহুম কা-যিবূন।",
              "words_arabic": "یُّلْقُوْنَ/يُلۡقُونَ/yul'quna//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ اَكْثَرُهُمْ/وَأَكۡثَرُهُمۡ/wa-aktharuhum//كٰذِبُوْنَؕ/كَٰذِبُونَ/kadhibuna",
              "words_bangla": "(যারা) পেতে রাখে//কান (শয়তানের কথায়)//আর অধিকাংশ তাদের//মিথ্যাবাদী"
            },
            {
              "number": 3156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3156.mp3"
              ],
              "text": "وَٱلشُّعَرَآءُ يَتَّبِعُهُمُ ٱلْغَاوُۥنَ",
              "translate_bn": "বিভ্রান্ত লোকেরাই কবিদের অনুসরণ করে।",
              "numberInSurah": 224,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়াশশু‘আরাঊ ইয়াত্তাবি‘উহুমুল গা-ঊন।",
              "words_arabic": "وَ الشُّعَرَآءُ/وَٱلشُّعَرَآءُ/wal-shu'arau//یَتَّبِعُهُمُ/يَتَّبِعُهُمُ/yattabi'uhumu//الْغَاوٗنَؕ/ٱلۡغَاوُۥنَ/al-ghawuna",
              "words_bangla": "এবং কবিদের (কথা)//অনুসরণ করে তাদেরকে//বিভ্রান্তলোকেরা"
            },
            {
              "number": 3157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3157.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّهُمْ فِى كُلِّ وَادٍۢ يَهِيمُونَ",
              "translate_bn": "তুমি কি দেখ না যে, তারা প্রতি ময়দানেই উদভ্রান্ত হয়ে ফিরে?",
              "numberInSurah": 225,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাহুম ফী কুল্লি ওয়াদিইঁ ইয়াহীমূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّهُمْ/أَنَّهُمۡ/annahum//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//وَادٍ/وَادٖ/wadin//یَّهِیْمُوْنَۙ/يَهِيمُونَ/yahimuna",
              "words_bangla": "কি নি//তুমি দেখো//যে তারা//মধ্যে//প্রত্যেক//উপত্যকার//উদভ্রান্ত হয়ে ঘুরছে"
            },
            {
              "number": 3158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3158.mp3"
              ],
              "text": "وَأَنَّهُمْ يَقُولُونَ مَا لَا يَفْعَلُونَ",
              "translate_bn": "এবং এমন কথা বলে, যা তারা করে না।",
              "numberInSurah": 226,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহুম ইয়াকূলূনা মা-লা-ইয়াফ‘আলূন।",
              "words_arabic": "وَ اَنَّهُمْ/وَأَنَّهُمۡ/wa-annahum//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//مَا/مَا/ma//لَا/لَا/la//یَفْعَلُوْنَۙ/يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "এবং (এও) যে তারা//বলে (এমন কথা)//যা//না//(নিজেরা) তারা করে"
            },
            {
              "number": 3159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3159.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَذَكَرُوا۟ ٱللَّهَ كَثِيرًۭا وَٱنتَصَرُوا۟ مِنۢ بَعْدِ مَا ظُلِمُوا۟ ۗ وَسَيَعْلَمُ ٱلَّذِينَ ظَلَمُوٓا۟ أَىَّ مُنقَلَبٍۢ يَنقَلِبُونَ",
              "translate_bn": "তবে তাদের কথা ভিন্ন, যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে এবং আল্লাহ কে খুব স্মরণ করে এবং নিপীড়িত হওয়ার পর প্রতিশোধ গ্রহণ করে। নিপীড়নকারীরা শীঘ্রই জানতে পারবে তাদের গন্তব্যস্থল কিরূপ।",
              "numberInSurah": 227,
              "juz": 19,
              "manzil": 5,
              "page": 376,
              "ruku": 326,
              "hizbQuarter": 150,
              "sajda": false,
              "pronunciation_bn": "",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ ذَكَرُوا/وَذَكَرُواْ/wadhakaru//اللّٰهَ/ٱللَّهَ/al-laha//كَثِیْرًا/كَثِيرٗا/kathiran//وَّ انْتَصَرُوْا/وَٱنتَصَرُواْ/wa-intasaru//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//ظُلِمُوْا ؕ/ظُلِمُواْۗ/zulimu//وَ سَیَعْلَمُ/وَسَيَعۡلَمُ/wasaya'lamu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَیَّ/أَيَّ/ayya//مُنْقَلَبٍ/مُنقَلَبٖ/munqalabin//یَّنْقَلِبُوْنَ۠/يَنقَلِبُونَ/yanqalibuna",
              "words_bangla": "তবে (ব্যতিক্রম)//(তারা) যারা//ঈমান আনে//ও কাজ করে//সৎ//এবং স্মরণ করে//আল্লাহকে//বেশী বেশী//এবং প্রতিশোধ নেয়//থেকে//পর//যা//তারা নির্যাতিত হ'লে//এবং শীঘ্রই জানবে//যারা//নির্যাতন করেছে//কোনো//প্রত্যাবর্তনস্থলে//তারা প্রত্যাবর্তন করছে"
            }
          ]
        },
        {
          "number": 27,
          "name": "سُورَةُ النَّمۡلِ",
          "englishName": "An-Naml",
          "englishNameTranslation": "The Ant",
          "revelationType": "Meccan",
          "verse": 93,
          "words": 2352,
          "chars": 9712,
          "ayahs": [
            {
              "number": 3160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3160.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ طسٓ ۚ تِلْكَ ءَايَٰتُ ٱلْقُرْءَانِ وَكِتَابٍۢ مُّبِينٍ",
              "translate_bn": "ত্বা-সীন; এগুলো আল-কোরআনের আয়াত এবং আয়াত সুস্পষ্ট কিতাবের।",
              "numberInSurah": 1,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "তা-ছীন তিলকা আ-য়া-তুল কুরআ-নি ওয়া কিতা-বিম মুবীন।\r\n",
              "words_arabic": "طٰسٓ ۫/طسٓۚ/ta-seen//تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//وَ كِتَابٍ/وَكِتَابٖ/wakitabin//مُّبِیْنٍۙ/مُّبِينٍ/mubinin",
              "words_bangla": "ত্বা-সীন//এই//আয়াতসমূহ//কুরআনের//ও কিতাবের//(যা) সুস্পষ্ট"
            },
            {
              "number": 3161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3161.mp3"
              ],
              "text": "هُدًۭى وَبُشْرَىٰ لِلْمُؤْمِنِينَ",
              "translate_bn": "মুমিনদের জন্যে পথ নির্দেশ ও সুসংবাদ।",
              "numberInSurah": 2,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "হুদাওঁ ওয়া বুশরা-লিলমু’মিনীন।",
              "words_arabic": "هُدًی/هُدٗى/hudan//وَّ بُشْرٰی/وَبُشۡرَىٰ/wabush'ra//لِلْمُؤْمِنِیْنَۙ/لِلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "(এটা) পথ নির্দেশ//ও সুসংবাদ//জন্যে মু'মিনদের"
            },
            {
              "number": 3162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3162.mp3"
              ],
              "text": "ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْءَاخِرَةِ هُمْ يُوقِنُونَ",
              "translate_bn": "যারা নামায কায়েম করে, যাকাত প্রদান করে এবং পরকালে নিশ্চিত বিশ্বাস করে।",
              "numberInSurah": 3,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউকীমূনাসসালা-তা ওয়া ইউ’তূনাঝঝাকা-তা ওয়া হুম বিল আ-খিরাতি হুম ইউকিনূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقِیْمُوْنَ/يُقِيمُونَ/yuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُؤْتُوْنَ/وَيُؤۡتُونَ/wayu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//هُمْ/هُمۡ/hum//یُوْقِنُوْنَ /يُوقِنُونَ/yuqinuna",
              "words_bangla": "যারা//প্রতিষ্ঠা করে//সালাত//ও আদায় করে//যাকাত//এবং তারা//উপর আখেরাতের//তারা//দৃঢ় বিশ্বাস রাখে"
            },
            {
              "number": 3163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3163.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ زَيَّنَّا لَهُمْ أَعْمَٰلَهُمْ فَهُمْ يَعْمَهُونَ",
              "translate_bn": "যারা পরকালে বিশ্বাস করে না, আমি তাদের দৃষ্টিতে তাদের কর্মকান্ডকে সুশোভিত করে দিয়েছি। অতএব, তারা উদভ্রান্ত হয়ে ঘুরে বেড়ায়।",
              "numberInSurah": 4,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি ঝাইইয়ান্না-লাহুম আ‘মা-লাহুম ফাহুম ইয়া‘মাহূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//زَیَّنَّا/زَيَّنَّا/zayyanna//لَهُمْ/لَهُمۡ/lahum//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//فَهُمْ/فَهُمۡ/fahum//یَعْمَهُوْنَؕ/يَعۡمَهُونَ/ya'mahuna",
              "words_bangla": "নিশ্চয়ই//যারা//না//বিশ্বাস করে//উপর আখেরাতের//আমরা সুশোভন করেছি//জন্যে তাদের//কাজকর্মসমূহকে তাদের//ফলে তারা//বিভ্রান্তিতে ঘুরে বেড়াচ্ছে"
            },
            {
              "number": 3164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3164.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ لَهُمْ سُوٓءُ ٱلْعَذَابِ وَهُمْ فِى ٱلْءَاخِرَةِ هُمُ ٱلْأَخْسَرُونَ",
              "translate_bn": "তাদের জন্যেই রয়েছে মন্দ শাস্তি এবং তারাই পরকালে অধিক ক্ষতিগ্রস্ত।",
              "numberInSurah": 5,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা লাহুম ছূউল ‘আযা-বি ওয়াহুম ফিল আ-খিরাতি হুমুল আখছারূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَهُمْ/لَهُمۡ/lahum//سُوْٓءُ/سُوٓءُ/suu//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//وَ هُمْ/وَهُمۡ/wahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//هُمُ/هُمُ/humu//الْاَخْسَرُوْنَ /ٱلۡأَخۡسَرُونَ/al-akhsaruna",
              "words_bangla": "ঐসব (লোক)//তারাই//জন্যে যাদের (রয়েছে)//(অত্যন্ত) খারাপ//শাস্তি//এবং তারা হবে//মধ্যে//আখেরাতে//তারাই//সর্বাধিক ক্ষতিগ্রস্ত"
            },
            {
              "number": 3165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3165.mp3"
              ],
              "text": "وَإِنَّكَ لَتُلَقَّى ٱلْقُرْءَانَ مِن لَّدُنْ حَكِيمٍ عَلِيمٍ",
              "translate_bn": "এবং আপনাকে কোরআন প্রদত্ত হচ্ছে প্রজ্ঞাময়, জ্ঞানময় আল্লাহর কাছ থেকে।",
              "numberInSurah": 6,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাকা লাতুলাক্কাল কুরআ-না মিল্লাদুন হাকীমিন ‘আলীম।",
              "words_arabic": "وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَتُلَقَّی/لَتُلَقَّى/latulaqqa//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//مِنْ/مِن/min//لَّدُنْ/لَّدُنۡ/ladun//حَكِیْمٍ/حَكِيمٍ/hakimin//عَلِیْمٍ /عَلِيمٍ/alimin",
              "words_bangla": "আর (হে নাবী) নিশ্চয়ই তুমি//অবশ্যই লাভ করেছো//(এই) কুরআন//হ'তে//পক্ষ//মহাবিজ্ঞ//সর্বাধিক জ্ঞানী (আল্লাহর)"
            },
            {
              "number": 3166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3166.mp3"
              ],
              "text": "إِذْ قَالَ مُوسَىٰ لِأَهْلِهِۦٓ إِنِّىٓ ءَانَسْتُ نَارًۭا سَـَٔاتِيكُم مِّنْهَا بِخَبَرٍ أَوْ ءَاتِيكُم بِشِهَابٍۢ قَبَسٍۢ لَّعَلَّكُمْ تَصْطَلُونَ",
              "translate_bn": "যখন মূসা তাঁর পরিবারবর্গকে বললেনঃ আমি অগ্নি দেখেছি, এখন আমি সেখান থেকে তোমাদের জন্যে কোন খবর আনতে পারব অথবা তোমাদের জন্যে জ্বলন্ত অঙ্গার নিয়ে আসতে পারব যাতে তোমরা আগুন পোহাতে পার।",
              "numberInSurah": 7,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা মূছা-লিআহলিহী ইন্নীআ-নাছতুনা-রান ছাআ-তীকুম মিনহাবিখাবারিন আও আ-তীকুম বিশিহা-বিন কাবাছিল লা‘আল্লাকুম তাসতালূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِاَهْلِهٖۤ/لِأَهۡلِهِۦٓ/li-ahlihi//اِنِّیْۤ/إِنِّيٓ/inni//اٰنَسْتُ/ءَانَسۡتُ/anastu//نَارًا ؕ/نَارٗا/naran//سَاٰتِیْكُمْ/سَـَٔاتِيكُم/saatikum//مِّنْهَا/مِّنۡهَا/min'ha//بِخَبَرٍ/بِخَبَرٍ/bikhabarin//اَوْ/أَوۡ/aw//اٰتِیْكُمْ/ءَاتِيكُم/atikum//بِشِهَابٍ/بِشِهَابٖ/bishihabin//قَبَسٍ/قَبَسٖ/qabasin//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَصْطَلُوْنَ /تَصۡطَلُونَ/tastaluna",
              "words_bangla": "(স্মরণ করো) যখন//বলেছিলো//মূসা//উদ্দেশ্যে তার পরিবারের//\"নিশ্চয়ই আমি//দেখেছি//আগুন//অচিরেই তোমাদের (কাছে) আসবো আমি//তা হ'তে//নিয়ে কোনো সংবাদ//অথবা//তোমাদের (কাছে) আসবো আমি//নিয়ে জ্বলন্ত//অঙ্গার//যাতে তোমরা//আগুন পোহাতে পারো\""
            },
            {
              "number": 3167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3167.mp3"
              ],
              "text": "فَلَمَّا جَآءَهَا نُودِىَ أَنۢ بُورِكَ مَن فِى ٱلنَّارِ وَمَنْ حَوْلَهَا وَسُبْحَٰنَ ٱللَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "অতঃপর যখন তিনি আগুনের কাছে আসলেন তখন আওয়াজ হল ধন্য তিনি, যিনি আগুনের স্থানে আছেন এবং যারা আগুনের আশেপাশে আছেন। বিশ্ব জাহানের পালনকর্তা আল্লাহ পবিত্র ও মহিমান্বিত।",
              "numberInSurah": 8,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআহা-নূদিইয়া আম বূরিকা মান ফিন্না-রি ওয়া মান হাওলাহা- ওয়া ছুবহা-নাল্লা-হি রাব্বিল ‘আ-লামীন।\r\n",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهَا/جَآءَهَا/jaaha//نُوْدِیَ/نُودِيَ/nudiya//اَنْۢ/أَنۢ/an//بُوْرِكَ/بُورِكَ/burika//مَنْ/مَن/man//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//وَ مَنْ/وَمَنۡ/waman//حَوْلَهَا ؕ/حَوۡلَهَا/hawlaha//وَ سُبْحٰنَ/وَسُبۡحَٰنَ/wasub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অতঃপর যখন//সেখানে সে আসলো//ডাক দেয়া হলো//যে//\"সে হয়েছে ধন্য//যে (আছে)//মধ্যে//আগুনের (আলোর)//এবং যে (আছে)//তার চারপাশে//এবং পবিত্র মহান//আল্লাহ//রব//বিশ্বজগতের"
            },
            {
              "number": 3168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3168.mp3"
              ],
              "text": "يَٰمُوسَىٰٓ إِنَّهُۥٓ أَنَا ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "হে মূসা, আমি আল্লাহ, প্রবল পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 9,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ইয়া-মূছাইন্নাহূআনাল্লা-হুল ‘আঝীঝুল হাকীম।",
              "words_arabic": "یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنَّهٗۤ/إِنَّهُۥٓ/innahu//اَنَا/أَنَا/ana//اللّٰهُ/ٱللَّهُ/al-lahu//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُۙ/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "হে মূসা (প্রকৃত ব্যাপার হলো)//নিশ্চয়ই তিনি//আমি//আল্লাহ//মহাপরাক্রমশালী//প্রজ্ঞামময়\""
            },
            {
              "number": 3169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3169.mp3"
              ],
              "text": "وَأَلْقِ عَصَاكَ ۚ فَلَمَّا رَءَاهَا تَهْتَزُّ كَأَنَّهَا جَآنٌّۭ وَلَّىٰ مُدْبِرًۭا وَلَمْ يُعَقِّبْ ۚ يَٰمُوسَىٰ لَا تَخَفْ إِنِّى لَا يَخَافُ لَدَىَّ ٱلْمُرْسَلُونَ",
              "translate_bn": "আপনি নিক্ষেপ করুন আপনার লাঠি। অতঃপর যখন তিনি তাকে সর্পের ন্যায় ছুটাছুটি করতে দেখলেন, তখন তিনি বিপরীত দিকে ছুটতে লাগলেন এবং পেছন ফিরেও দেখলেন না। হে মূসা, ভয় করবেন না। আমি যে রয়েছি, আমার কাছে পয়গম্বরগণ ভয় করেন না।",
              "numberInSurah": 10,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া আলকি‘আসা-কা ফালাম্মা-রাআ-হা-তাহতাঝঝুকাআন্নাহা-জাননুওঁ ওয়াল্লামুদবিরাওঁ ওয়ালাম ইউ‘আক্কিব ইয়া-মূছা-লা-তাখাফ ইন্নী লা-ইয়াখা-ফূ লাদাইয়াল মুরছালূন।",
              "words_arabic": "وَ اَلْقِ/وَأَلۡقِ/wa-alqi//عَصَاكَ ؕ/عَصَاكَۚ/asaka//فَلَمَّا/فَلَمَّا/falamma//رَاٰهَا/رَءَاهَا/raaha//تَهْتَزُّ/تَهۡتَزُّ/tahtazzu//كَاَنَّهَا/كَأَنَّهَا/ka-annaha//جَآنٌّ/جَآنّٞ/jannun//وَّلّٰی/وَلَّىٰ/walla//مُدْبِرًا/مُدۡبِرٗا/mud'biran//وَّ لَمْ/وَلَمۡ/walam//یُعَقِّبْ ؕ/يُعَقِّبۡۚ/yu'aqqib//یٰمُوْسٰی/يَٰمُوسَىٰ/yamusa//لَا/لَا/la//تَخَفْ ۫/تَخَفۡ/takhaf//اِنِّیْ/إِنِّي/inni//لَا/لَا/la//یَخَافُ/يَخَافُ/yakhafu//لَدَیَّ/لَدَيَّ/ladayya//الْمُرْسَلُوْنَۗۖ/ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "আর (হে মূসা) তুমি ছোঁড়ো//তোমার লাঠি\"//অতঃপর যখন//সে দেখলো তা//গড়িয়ে চলছে//যেন তা//সাপ//সে ফিরে পালালো//পিছন দিকে//আর না//পিছন দিকে দেখলো//\"(বলা হলো) হে মূসা//না//ভয় করো//আমি নিশ্চয়ই (এমন যে)//না//ভয় করে//নিকট আমার//রাসূলরা"
            },
            {
              "number": 3170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3170.mp3"
              ],
              "text": "إِلَّا مَن ظَلَمَ ثُمَّ بَدَّلَ حُسْنًۢا بَعْدَ سُوٓءٍۢ فَإِنِّى غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "তবে যে বাড়াবাড়ি করে এরপর মন্দ কর্মের পরিবর্তে সৎকর্ম করে। নিশ্চয় আমি ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 11,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান জালামা ছুম্মা বাদ্দালা হুছনাম বা‘দা ছূইন ফাইন্নী গাফূরুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//ظَلَمَ/ظَلَمَ/zalama//ثُمَّ/ثُمَّ/thumma//بَدَّلَ/بَدَّلَ/baddala//حُسْنًۢا/حُسۡنَۢا/hus'nan//بَعْدَ/بَعۡدَ/ba'da//سُوْٓءٍ/سُوٓءٖ/suin//فَاِنِّیْ/فَإِنِّي/fa-inni//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "কিন্তু//যে//সীমালঙ্ঘন করে//এরপর//বদলে নেয় (নিজের কর্মকে)//সৎকর্ম (দিয়ে)//পরে//মন্দ কর্মের//সেক্ষেত্রে আমি নিশ্চয়ই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3171.mp3"
              ],
              "text": "وَأَدْخِلْ يَدَكَ فِى جَيْبِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍۢ ۖ فِى تِسْعِ ءَايَٰتٍ إِلَىٰ فِرْعَوْنَ وَقَوْمِهِۦٓ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًۭا فَٰسِقِينَ",
              "translate_bn": "আপনার হাত আপনার বগলে ঢুকিয়ে দিন, সুশুভ্র হয়ে বের হবে নির্দোষ অবস্থায়। এগুলো ফেরাউন ও তার সম্প্রদায়ের কাছে আনীত নয়টি নিদর্শনের অন্যতম। নিশ্চয় তারা ছিল পাপাচারী সম্প্রদায়।",
              "numberInSurah": 12,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া আদখিল ইয়াদাকা ফী জাইবিকা তাখরুজ বাইদাআ মিন গাইরি ছূইন ফী তিছ‘ই আয়া-তিন ইলা-ফির‘আওনা ওয়া কাওমিহী ইন্নাহুম কা-নূকাওমান ফা-ছিকীন।\r\n",
              "words_arabic": "وَ اَدْخِلْ/وَأَدۡخِلۡ/wa-adkhil//یَدَكَ/يَدَكَ/yadaka//فِیْ/فِي/fi//جَیْبِكَ/جَيۡبِكَ/jaybika//تَخْرُجْ/تَخۡرُجۡ/takhruj//بَیْضَآءَ/بَيۡضَآءَ/baydaa//مِنْ/مِنۡ/min//غَیْرِ/غَيۡرِ/ghayri//سُوْٓءٍ ۫/سُوٓءٖۖ/suin//فِیْ/فِي/fi//تِسْعِ/تِسۡعِ/tis'i//اٰیٰتٍ/ءَايَٰتٍ/ayatin//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ قَوْمِهٖ ؕ/وَقَوۡمِهِۦٓۚ/waqawmihi//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمًا/قَوۡمٗا/qawman//فٰسِقِیْنَ /فَٰسِقِينَ/fasiqina",
              "words_bangla": "এবং (হে মূসা) প্রবেশ করাও//তোমার হাত//মধ্যে//তোমার বক্ষপাশে (অর্থাৎ বগলে)//তা বের হয়ে আসবে//শুভ্র উজ্জ্বল হয়ে//কোনো//ছাড়াই//অনিষ্ট//(এটা) অন্তর্গত//নয়টি//নিদর্শনের//(এ নিয়ে যাও) প্রতি//ফিরআউনের//ও তার জাতির (কাছে)//তারা নিশ্চয়ই//হলো//লোক//(দুষ্কর্মপরায়ন) সত্য-ত্যাগী\""
            },
            {
              "number": 3172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3172.mp3"
              ],
              "text": "فَلَمَّا جَآءَتْهُمْ ءَايَٰتُنَا مُبْصِرَةًۭ قَالُوا۟ هَٰذَا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "অতঃপর যখন তাদের কাছে আমার উজ্জল নিদর্শনাবলী আগমন করল, তখন তারা বলল, এটা তো সুস্পষ্ট জাদু।",
              "numberInSurah": 13,
              "juz": 19,
              "manzil": 5,
              "page": 377,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- জাআতহুম আ-য়া-তুনা-মুবসিরাতান কা-লূহা-যা-ছিহরুম মুবীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//مُبْصِرَةً/مُبۡصِرَةٗ/mub'siratan//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌۚ/مُّبِينٞ/mubinun",
              "words_bangla": "অতঃপর যখন//তাদের (নিকট) আসলো//নিদর্শনাবলী আমাদের//উজ্জ্বল হয়ে//তারা বললো//\"এটা//জাদু//সুস্পষ্ট\""
            },
            {
              "number": 3173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3173.mp3"
              ],
              "text": "وَجَحَدُوا۟ بِهَا وَٱسْتَيْقَنَتْهَآ أَنفُسُهُمْ ظُلْمًۭا وَعُلُوًّۭا ۚ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُفْسِدِينَ",
              "translate_bn": "তারা অন্যায় ও অহংকার করে নিদর্শনাবলীকে প্রত্যাখ্যান করল, যদিও তাদের অন্তর এগুলো সত্য বলে বিশ্বাস করেছিল। অতএব দেখুন, অনর্থকারীদের পরিণাম কেমন হয়েছিল?",
              "numberInSurah": 14,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 327,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাহাদূবিহা-ওয়াছতাইকানাতহা আনফুছুহুম জুলমাওঁ ওয়া ‘উলুওওয়ান ফানজু র কাইফা কা-না ‘আ-কিবাতুল মুফছিদীন।",
              "words_arabic": "وَ جَحَدُوْا/وَجَحَدُواْ/wajahadu//بِهَا/بِهَا/biha//وَ اسْتَیْقَنَتْهَاۤ/وَٱسۡتَيۡقَنَتۡهَآ/wa-is'tayqanatha//اَنْفُسُهُمْ/أَنفُسُهُمۡ/anfusuhum//ظُلْمًا/ظُلۡمٗا/zul'man//وَّ عُلُوًّا ؕ/وَعُلُوّٗاۚ/wa'uluwwan//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُفْسِدِیْنَ۠/ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এবং তারা প্রত্যাখ্যান করলো//প্রতি সেগুলোর//অথচ সেগুলো মেনে নিয়েছিলো//তাদের অন্তরগুলো (কিন্তু অমান্য করলো)//অন্যায়ভাবে//ও অহংকারবশত//তাই দেখো//কেমন//ছিলো//পরিণাম//বিপর্যয় সৃষ্টিকারীদের"
            },
            {
              "number": 3174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3174.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا دَاوُۥدَ وَسُلَيْمَٰنَ عِلْمًۭا ۖ وَقَالَا ٱلْحَمْدُ لِلَّهِ ٱلَّذِى فَضَّلَنَا عَلَىٰ كَثِيرٍۢ مِّنْ عِبَادِهِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আমি অবশ্যই দাউদ ও সুলায়মানকে জ্ঞান দান করেছিলাম। তাঁরা বলে ছিলেন, আল্লাহর প্রশংসা, যিনি আমাদেরকে তাঁর অনেক মুমিন বান্দার উপর শ্রেষ্ঠত্ব দান করেছেন।",
              "numberInSurah": 15,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-দা-ঊদা ওয়া ছুলাইমা-না ‘ইলমান ওয়া কা-লাল হামদুলিল্লাহিল্লাযী ফাদ্দালানা-‘আলা-কাছীরিম মিন ‘ইবা-দিহিল মু’মিনীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//دَاوٗدَ/دَاوُۥدَ/dawuda//وَ سُلَیْمٰنَ/وَسُلَيۡمَٰنَ/wasulaymana//عِلْمًا ۚ/عِلۡمٗاۖ/il'man//وَ قَالَا/وَقَالَا/waqala//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//فَضَّلَنَا/فَضَّلَنَا/faddalana//عَلٰی/عَلَىٰ/ala//كَثِیْرٍ/كَثِيرٖ/kathirin//مِّنْ/مِّنۡ/min//عِبَادِهِ/عِبَادِهِ/ibadihi//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং নিশ্চয়ই//দান করেছিলাম আমরা//দাউদকে//ও সুলায়মানকে//জ্ঞান//এবং তারা দু'জনে বলেছিলো//\"সব প্রশংসা//জন্যে আল্লাহর//যিনি//শ্রেষ্টত্ব দিয়েছেন আমাদেরকে//উপর//অনেকের//মধ্য হ'তে//দাসদের//মু'মিন\""
            },
            {
              "number": 3175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3175.mp3"
              ],
              "text": "وَوَرِثَ سُلَيْمَٰنُ دَاوُۥدَ ۖ وَقَالَ يَٰٓأَيُّهَا ٱلنَّاسُ عُلِّمْنَا مَنطِقَ ٱلطَّيْرِ وَأُوتِينَا مِن كُلِّ شَىْءٍ ۖ إِنَّ هَٰذَا لَهُوَ ٱلْفَضْلُ ٱلْمُبِينُ",
              "translate_bn": "সুলায়মান দাউদের উত্তরাধিকারী হয়েছিলেন। বলেছিলেন, ‘হে লোক সকল, আমাকে উড়ন্ত পক্ষীকূলের ভাষা শিক্ষা দেয়া হয়েছে এবং আমাকে সব কিছু দেয়া হয়েছে। নিশ্চয় এটা সুস্পষ্ট শ্রেষ্ঠত্ব। ’",
              "numberInSurah": 16,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়ারিছা ছুলাইমা-নুদা-ঊদা ওয়া কা-লা ইয়াআইয়ুহান্না-ছু‘উলিলমনামানতিকাততাইরি ওয়াঊতীনা-মিন কুল্লি শাইয়িন ইন্না হা-যা-লাহুওয়াল ফাদলুল মুবীন।",
              "words_arabic": "وَ وَرِثَ/وَوَرِثَ/wawaritha//سُلَیْمٰنُ/سُلَيۡمَٰنُ/sulaymanu//دَاوٗدَ/دَاوُۥدَۖ/dawuda//وَ قَالَ/وَقَالَ/waqala//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//عُلِّمْنَا/عُلِّمۡنَا/ullim'na//مَنْطِقَ/مَنطِقَ/mantiqa//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//وَ اُوْتِیْنَا/وَأُوتِينَا/wautina//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْءٍ ؕ/شَيۡءٍۖ/shayin//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَهُوَ/لَهُوَ/lahuwa//الْفَضْلُ/ٱلۡفَضۡلُ/al-fadlu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং উত্তরাধিকারী হয়েছে//সুলায়মান//দাউদের//এবং (সুলাইমান) বলেছিলো//\"হে//মানুষ//শিখানো হয়েছে আমাদেরকে//ভাষা//পাখীদের//এবং দেয়া হয়েছে আমাদেরকে//থেকে//সব//কিছুই//নিশ্চয়ই//এটা//অবশ্যই তা//অনুগ্রহ//সুস্পষ্ট\""
            },
            {
              "number": 3176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3176.mp3"
              ],
              "text": "وَحُشِرَ لِسُلَيْمَٰنَ جُنُودُهُۥ مِنَ ٱلْجِنِّ وَٱلْإِنسِ وَٱلطَّيْرِ فَهُمْ يُوزَعُونَ",
              "translate_bn": "সুলায়মানের সামনে তার সেনাবাহিনীকে সমবেত করা হল। জ্বিন-মানুষ ও পক্ষীকুলকে, অতঃপর তাদেরকে বিভিন্ন ব্যূহে বিভক্ত করা হল।",
              "numberInSurah": 17,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুশিরা লিছুলাইমা-না জুনূদুহূমিনাল জিন্নি ওয়াল ইনছি ওয়াততাইরি ফাহুম ইউঝা‘উন।",
              "words_arabic": "وَ حُشِرَ/وَحُشِرَ/wahushira//لِسُلَیْمٰنَ/لِسُلَيۡمَٰنَ/lisulaymana//جُنُوْدُهٗ/جُنُودُهُۥ/junuduhu//مِنَ/مِنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ/وَٱلۡإِنسِ/wal-insi//وَ الطَّیْرِ/وَٱلطَّيۡرِ/wal-tayri//فَهُمْ/فَهُمۡ/fahum//یُوْزَعُوْنَ /يُوزَعُونَ/yuza'una",
              "words_bangla": "আর একত্র করা হয়েছিলো//জন্যে সুলায়মানের//সৈন্যবাহিনী তার//মধ্য হ'তে//জিনদের//ও মানুষদের//এবং পাখীদের (মধ্য হ'তেও)//অতঃপর তাদেরকে//বিন্যস্ত করা হতো (বিভিন্ন বুহ্যে)"
            },
            {
              "number": 3177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3177.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَآ أَتَوْا۟ عَلَىٰ وَادِ ٱلنَّمْلِ قَالَتْ نَمْلَةٌۭ يَٰٓأَيُّهَا ٱلنَّمْلُ ٱدْخُلُوا۟ مَسَٰكِنَكُمْ لَا يَحْطِمَنَّكُمْ سُلَيْمَٰنُ وَجُنُودُهُۥ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "যখন তারা পিপীলিকা অধ্যূষিত উপত্যকায় পৌঁছাল, তখন এক পিপীলিকা বলল, হে পিপীলিকার দল, তোমরা তোমাদের গৃহে প্রবেশ কর। অন্যথায় সুলায়মান ও তার বাহিনী অজ্ঞাতসারে তোমাদেরকে পিষ্ট করে ফেলবে।",
              "numberInSurah": 18,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযাআতাও ‘আলা-ওয়া-দিন্নামলি কা-লাত নামলাতুইঁ ইয়াআইয়ুহান্নামলুদ খুলূমাছা-কিনাকুম লা-ইয়াহতিমান্নাকুম ছুলাইমা-নুওয়া জুনূদুহূ ওয়াহুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَتَوْا/أَتَوۡاْ/ataw//عَلٰی/عَلَىٰ/ala//وَادِ/وَادِ/wadi//النَّمْلِ ۙ/ٱلنَّمۡلِ/al-namli//قَالَتْ/قَالَتۡ/qalat//نَمْلَةٌ/نَمۡلَةٞ/namlatun//یّٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّمْلُ/ٱلنَّمۡلُ/al-namlu//ادْخُلُوْا/ٱدۡخُلُواْ/ud'khulu//مَسٰكِنَكُمْ ۚ/مَسَٰكِنَكُمۡ/masakinakum//لَا/لَا/la//یَحْطِمَنَّكُمْ/يَحۡطِمَنَّكُمۡ/yahtimannakum//سُلَیْمٰنُ/سُلَيۡمَٰنُ/sulaymanu//وَ جُنُوْدُهٗ ۙ/وَجُنُودُهُۥ/wajunuduhu//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "শেষ পর্যন্ত (এক যাত্রায়)//যখন//পৌঁছুল//নিকট//উপত্যকার//পিঁপড়েদের//(তখন) বললো//এক পিঁপড়ে//\"হে//পিঁপড়েরা (দল)//তোমরা ঢোকো//ঘরে তোমাদের//না (যেন)//পিষে ফেলে তোমাদেরকে//সুলায়মান//ও সৈন্যবাহিনী তার//এমতাবস্হায় যে তারা//না\"//টেরও পাবে\""
            },
            {
              "number": 3178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3178.mp3"
              ],
              "text": "فَتَبَسَّمَ ضَاحِكًۭا مِّن قَوْلِهَا وَقَالَ رَبِّ أَوْزِعْنِىٓ أَنْ أَشْكُرَ نِعْمَتَكَ ٱلَّتِىٓ أَنْعَمْتَ عَلَىَّ وَعَلَىٰ وَٰلِدَىَّ وَأَنْ أَعْمَلَ صَٰلِحًۭا تَرْضَىٰهُ وَأَدْخِلْنِى بِرَحْمَتِكَ فِى عِبَادِكَ ٱلصَّٰلِحِينَ",
              "translate_bn": "তার কথা শুনে সুলায়মান মুচকি হাসলেন এবং বললেন, হে আমার পালনকর্তা, তুমি আমাকে সামর্থ?2470;াও যাতে আমি তোমার সেই নিয়ামতের কৃতজ্ঞতা প্রকাশ করতে পারি, যা তুমি আমাকে ও আমার পিতা-মাতাকে দান করেছ এবং যাতে আমি তোমার পছন্দনীয় সৎকর্ম করতে পারি এবং আমাকে নিজ অনুগ্রহে তোমার সৎকর্মপরায়ন বান্দাদের অন্তর্ভুক্ত কর।",
              "numberInSurah": 19,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ফাতাবাছছামা দা-হিকাম মিন কাওলিহা-ওয়া কা-লা রাব্বি আওঝি‘নীআন আশকুরা নি‘মাতাকাল্লাতীআন‘আমতা ‘আলাইইয়া ওয়া ‘আলা-ওয়া-লিদাইইয়া ওয়াআন আ‘মালা সালিহান তারদা-হু ওয়া আদখিলনী বিরাহমাতিকা ফী ‘ইবাদিকাসসা-লিহীন।",
              "words_arabic": "فَتَبَسَّمَ/فَتَبَسَّمَ/fatabassama//ضَاحِكًا/ضَاحِكٗا/dahikan//مِّنْ/مِّن/min//قَوْلِهَا/قَوۡلِهَا/qawliha//وَ قَالَ/وَقَالَ/waqala//رَبِّ/رَبِّ/rabbi//اَوْزِعْنِیْۤ/أَوۡزِعۡنِيٓ/awzi'ni//اَنْ/أَنۡ/an//اَشْكُرَ/أَشۡكُرَ/ashkura//نِعْمَتَكَ/نِعۡمَتَكَ/ni'mataka//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْعَمْتَ/أَنۡعَمۡتَ/an'amta//عَلَیَّ/عَلَيَّ/alayya//وَ عَلٰی/وَعَلَىٰ/wa'ala//وَالِدَیَّ/وَٰلِدَيَّ/walidayya//وَ اَنْ/وَأَنۡ/wa-an//اَعْمَلَ/أَعۡمَلَ/a'mala//صَالِحًا/صَٰلِحٗا/salihan//تَرْضٰىهُ/تَرۡضَىٰهُ/tardahu//وَ اَدْخِلْنِیْ/وَأَدۡخِلۡنِي/wa-adkhil'ni//بِرَحْمَتِكَ/بِرَحۡمَتِكَ/birahmatika//فِیْ/فِي/fi//عِبَادِكَ/عِبَادِكَ/ibadika//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "তখন (সুলায়মান) মুচকি হাসলো//হাসি//কারণে//কথার তার//এবং বললো//\"হে আমার রব//সামর্থ্য দাও//যেন//কৃতজ্ঞতা প্রকাশ করতে পারি আমি//অনুগ্রহের তোমার//যা//অনুগ্রহ করেছো তুমি//আমার উপর//ও উপর//আমার পিতা মাতার//এবং যেন//আমি করি//(এমন) সৎ কাজ//যা পছন্দ করো তুমি//এবং অন্তর্ভুক্ত করো আমাকে//দ্বারা অনুগ্রহ তোমার//মধ্যে//তোমাদের দাসদের//(যারা) সৎকর্মপরায়ণ\""
            },
            {
              "number": 3179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3179.mp3"
              ],
              "text": "وَتَفَقَّدَ ٱلطَّيْرَ فَقَالَ مَا لِىَ لَآ أَرَى ٱلْهُدْهُدَ أَمْ كَانَ مِنَ ٱلْغَآئِبِينَ",
              "translate_bn": "সুলায়মান পক্ষীদের খোঁজ খবর নিলেন, অতঃপর বললেন, কি হল, হুদহুদকে দেখছি না কেন? নাকি সে অনুপস্থিত?",
              "numberInSurah": 20,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাফাককাদাততাইরা ফাকা-লা মা-লিইয়া লাআরাল হুদহুদা আম কা-না মিনাল গাইবীন।",
              "words_arabic": "وَ تَفَقَّدَ/وَتَفَقَّدَ/watafaqqada//الطَّیْرَ/ٱلطَّيۡرَ/al-tayra//فَقَالَ/فَقَالَ/faqala//مَا/مَا/ma//لِیَ/لِيَ/liya//لَاۤ/لَآ/la//اَرَی/أَرَى/ara//الْهُدْهُدَ ۖؗ/ٱلۡهُدۡهُدَ/al-hud'huda//اَمْ/أَمۡ/am//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْغَآىِٕبِیْنَ /ٱلۡغَآئِبِينَ/al-ghaibina",
              "words_bangla": "এবং (একবার) সে সন্ধান নিলো//পাখীকে (দলের)//অতঃপর বললো//\"কি (হলো)//\"আমার//না//দেখছি আমি//হুদহুদ পাখীকে//কি//সে হয়েছে//অন্তর্ভুক্ত//অনুপস্থিতদের"
            },
            {
              "number": 3180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3180.mp3"
              ],
              "text": "لَأُعَذِّبَنَّهُۥ عَذَابًۭا شَدِيدًا أَوْ لَأَا۟ذْبَحَنَّهُۥٓ أَوْ لَيَأْتِيَنِّى بِسُلْطَٰنٍۢ مُّبِينٍۢ",
              "translate_bn": "আমি অবশ্যই তাকে কঠোর শাস্তি দেব কিংবা হত্যা করব অথবা সে উপস্থিত করবে উপযুক্ত কারণ।",
              "numberInSurah": 21,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "লাউ‘আযযি বান্নাহূ ‘আযা-বান শাদীদান আও লাআযবাহান্নাহূআওলাইয়া’তিইয়ান্নী বিছুলতা-নিম মুবীন।",
              "words_arabic": "لَاُعَذِّبَنَّهٗ/لَأُعَذِّبَنَّهُۥ/la-u'adhibannahu//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا/شَدِيدًا/shadidan//اَوْ/أَوۡ/aw//لَاۡاَذْبَحَنَّهٗۤ/لَأَاْذۡبَحَنَّهُۥٓ/laadh'bahannahu//اَوْ/أَوۡ/aw//لَیَاْتِیَنِّیْ/لَيَأۡتِيَنِّي/layatiyanni//بِسُلْطٰنٍ/بِسُلۡطَٰنٖ/bisul'tanin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "অবশ্যই শাস্তি দিবো আমি তাকে//শাস্তি//কঠিন//অথবা//অবশ্যই জবেহ করবোই আমি তাকে//অথবা//অবশ্যই আমার কাছে আসবে//নিয়ে প্রমাণ//সুস্পষ্ট\""
            },
            {
              "number": 3181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3181.mp3"
              ],
              "text": "فَمَكَثَ غَيْرَ بَعِيدٍۢ فَقَالَ أَحَطتُ بِمَا لَمْ تُحِطْ بِهِۦ وَجِئْتُكَ مِن سَبَإٍۭ بِنَبَإٍۢ يَقِينٍ",
              "translate_bn": "কিছুক্ষণ পড়েই হুদ এসে বলল, আপনি যা অবগত নন, আমি তা অবগত হয়েছি। আমি আপনার কাছে সাবা থেকে নিশ্চিত সংবাদ নিয়ে আগমন করেছি।",
              "numberInSurah": 22,
              "juz": 19,
              "manzil": 5,
              "page": 378,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ফামাকাছা গাইরা বা‘ঈদিন ফাকা-লা আহাততুবিমা-লামতুহিত বিহী ওয়াজি’তুকা মিন ছাবাইম বিনাবাইঁ ইয়াকীন।",
              "words_arabic": "فَمَكَثَ/فَمَكَثَ/famakatha//غَیْرَ/غَيۡرَ/ghayra//بَعِیْدٍ/بَعِيدٖ/ba'idin//فَقَالَ/فَقَالَ/faqala//اَحَطْتُّ/أَحَطتُ/ahattu//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//تُحِطْ/تُحِطۡ/tuhit//بِهٖ/بِهِۦ/bihi//وَ جِئْتُكَ/وَجِئۡتُكَ/waji'tuka//مِنْ/مِن/min//سَبَاٍۭ/سَبَإِۭ/saba-in//بِنَبَاٍ/بِنَبَإٖ/binaba-in//یَّقِیْنٍ /يَقِينٍ/yaqinin",
              "words_bangla": "অতঃপর (পাখীটি) অতিবাহিত করলো//নয়//দৃঢ়ে (অতি অল্প সময়)//অতঃপর বললো//\"আমি অবগত হয়েছি//ঐ বিষয়ে যা//নি//আপনি অবগত হন//সম্পর্কে সে//এবং আপনার কাছে এসেছি//সম্পর্কে//সাবা'//নিয়ে (কিছু) তথ্য//নিশ্চিত"
            },
            {
              "number": 3182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3182.mp3"
              ],
              "text": "إِنِّى وَجَدتُّ ٱمْرَأَةًۭ تَمْلِكُهُمْ وَأُوتِيَتْ مِن كُلِّ شَىْءٍۢ وَلَهَا عَرْشٌ عَظِيمٌۭ",
              "translate_bn": "আমি এক নারীকে সাবাবাসীদের উপর রাজত্ব করতে দেখেছি। তাকে সবকিছুই দেয়া হয়েছে এবং তার একটা বিরাট সিংহাসন আছে।",
              "numberInSurah": 23,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ইন্নী ওয়াজাততুম রাআতান তামলিকুহুম ওয়া ঊতিইয়াত মিন কুল্লি শাইয়িওঁ ওয়া লাহা-‘আরশুন ‘আজীম।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//وَجَدْتُّ/وَجَدتُّ/wajadttu//امْرَاَةً/ٱمۡرَأَةٗ/im'ra-atan//تَمْلِكُهُمْ/تَمۡلِكُهُمۡ/tamlikuhum//وَ اُوْتِیَتْ/وَأُوتِيَتۡ/wautiyat//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ لَهَا/وَلَهَا/walaha//عَرْشٌ/عَرۡشٌ/arshun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "নিশ্চয়ই আমি//আমি (দেখতে) পেয়েছি//একজন মহিলা//শাসন করে সে তাদেরকে//এবং তাকে দেওয়া হয়েছে//থেকে//সব//কিছুই//আর আছে তার//একটি সিংহাসন//বিরাট"
            },
            {
              "number": 3183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3183.mp3"
              ],
              "text": "وَجَدتُّهَا وَقَوْمَهَا يَسْجُدُونَ لِلشَّمْسِ مِن دُونِ ٱللَّهِ وَزَيَّنَ لَهُمُ ٱلشَّيْطَٰنُ أَعْمَٰلَهُمْ فَصَدَّهُمْ عَنِ ٱلسَّبِيلِ فَهُمْ لَا يَهْتَدُونَ",
              "translate_bn": "আমি তাকে ও তার সম্প্রদায়কে দেখলাম তারা আল্লাহর পরিবর্তে সূর্যকে সেজদা করছে। শয়তান তাদের দৃষ্টিতে তাদের কার্যাবলী সুশোভিত করে দিয়েছে। অতঃপর তাদেরকে সৎপথ থেকে নিবৃত্ত করেছে। অতএব তারা সৎপথ পায় না।",
              "numberInSurah": 24,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাততুহা-ওয়া কাওমাহা-ইয়াছজুদূনা লিশশামছি মিন দূনিল্লা-হি ওয়া ঝাইইয়ানা লাহুমুশ শাইতা-নুআ‘মা-লাহুম ফাসাদ্দাহুম ‘আনিছছাবীলি ফাহুম লা-ইয়াহতাদূন।",
              "words_arabic": "وَجَدْتُّهَا/وَجَدتُّهَا/wajadttuha//وَ قَوْمَهَا/وَقَوۡمَهَا/waqawmaha//یَسْجُدُوْنَ/يَسۡجُدُونَ/yasjuduna//لِلشَّمْسِ/لِلشَّمۡسِ/lilshamsi//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ زَیَّنَ/وَزَيَّنَ/wazayyana//لَهُمُ/لَهُمُ/lahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//فَصَدَّهُمْ/فَصَدَّهُمۡ/fasaddahum//عَنِ/عَنِ/ani//السَّبِیْلِ/ٱلسَّبِيلِ/al-sabili//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَهْتَدُوْنَۙ/يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "আমি (দেখতে) পেয়েছি তাকে//ও জাতিকে তার//সিজদা করে তারা//উদ্দেশ্যে সূর্যের//মধ্য হতে//পরিবর্তে//আল্লাহর//এবং সুশোভন করেছে//কাছে তাদের//শয়তান//কাজগুলোকে তাদের//অতঃপর বিরত করেছে তাদেরকে//হ'তে//(সৎ) পথ//তাই তারা//না//(সৎ) পথ পায়"
            },
            {
              "number": 3184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3184.mp3"
              ],
              "text": "أَلَّا يَسْجُدُوا۟ لِلَّهِ ٱلَّذِى يُخْرِجُ ٱلْخَبْءَ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَيَعْلَمُ مَا تُخْفُونَ وَمَا تُعْلِنُونَ",
              "translate_bn": "তারা আল্লাহকে সেজদা করে না কেন, যিনি নভোমন্ডল ও ভুমন্ডলের গোপন বস্তু প্রকাশ করেন এবং জানেন যা তোমরা গোপন কর ও যা প্রকাশ কর।",
              "numberInSurah": 25,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": false,
              "pronunciation_bn": "আল্লা-ইয়াছজুদূলিল্লা-হিল্লাযী ইউখরিজুলখাবআফিছছামা-ওয়া-তি ওয়ালআরদি ওয়া ইয়া‘লামুমা-তুখফূনা ওয়ামা-তু‘লিনূন(ছিজদাহ-৮)।",
              "words_arabic": "اَلَّا/أَلَّاۤ/alla//یَسْجُدُوْا/يَسۡجُدُواْۤ/yasjudu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//یُخْرِجُ/يُخۡرِجُ/yukh'riju//الْخَبْءَ/ٱلۡخَبۡءَ/al-khaba-a//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//تُخْفُوْنَ/تُخۡفُونَ/tukh'funa//وَ مَا/وَمَا/wama//تُعْلِنُوْنَ /تُعۡلِنُونَ/tu'linuna",
              "words_bangla": "(বিরত করেছে) যেন না//তারা সিজদা করে//উদ্দেশ্যে আল্লাহর//যিনি//বের করেন//লুকায়িত বস্তুকে//মধ্যে//আকাশমন্ডলীর//ও পৃথিবীর//আর তিনি জানেন//যা কিছু//তোমরা গোপন করো//এবং যা কিছু//তোমরা প্রকাশ করো"
            },
            {
              "number": 3185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3185.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ رَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ ۩",
              "translate_bn": "আল্লাহ ব্যতীত কোন উপাস্য নেই; তিনি মহা আরশের মালিক।",
              "numberInSurah": 26,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 151,
              "sajda": {
                "id": 9,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "আল্লা-হু লা ইলা-হা ইল্লা-হুওয়া রাব্বুল ‘আরশিল ‘আজীম ।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//رَبُّ/رَبُّ/rabbu//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//الْعَظِیْمِ۩/ٱلۡعَظِيمِ۩/al-'azimi",
              "words_bangla": "আল্লাহ (এমন যে)//নেই//কোনো ইলাহ//ছাড়া//তিনি//অধিপতি//আরশের//মহান\""
            },
            {
              "number": 3186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3186.mp3"
              ],
              "text": "۞ قَالَ سَنَنظُرُ أَصَدَقْتَ أَمْ كُنتَ مِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "সুলায়মান বললেন, এখন আমি দেখব তুমি সত্য বলছ, না তুমি মিথ্যবাদী।",
              "numberInSurah": 27,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছানানজুরু আসাদাকতা আম কুনতা মিনাল কা-যিবীন।",
              "words_arabic": "قَالَ/۞قَالَ/qala//سَنَنْظُرُ/سَنَنظُرُ/sananzuru//اَصَدَقْتَ/أَصَدَقۡتَ/asadaqta//اَمْ/أَمۡ/am//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "(সুলায়মান) বললো//\"শীঘ্রই আমরা দেখবো//কি তুমি সত্য বলেছো//না//তুমি//অন্তর্ভুক্ত//মিথ্যাবাদীদের"
            },
            {
              "number": 3187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3187.mp3"
              ],
              "text": "ٱذْهَب بِّكِتَٰبِى هَٰذَا فَأَلْقِهْ إِلَيْهِمْ ثُمَّ تَوَلَّ عَنْهُمْ فَٱنظُرْ مَاذَا يَرْجِعُونَ",
              "translate_bn": "তুমি আমার এই পত্র নিয়ে যাও এবং এটা তাদের কাছে অর্পন কর। অতঃপর তাদের কাছ থেকে সরে পড় এবং দেখ, তারা কি জওয়াব দেয়।",
              "numberInSurah": 28,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ইযহাব বিকিতা-বী হা-যা-ফাআলকিহ ইলাইহিম ছু ম্মা তাওয়াল্লা ‘আনহুম ফানজুরমাযা-ইয়ারজি‘ঊন।",
              "words_arabic": "اِذْهَبْ/ٱذۡهَب/idh'hab//بِّكِتٰبِیْ/بِّكِتَٰبِي/bikitabi//هٰذَا/هَٰذَا/hadha//فَاَلْقِهْ/فَأَلۡقِهۡ/fa-alqih//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//ثُمَّ/ثُمَّ/thumma//تَوَلَّ/تَوَلَّ/tawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//مَا ذَا/مَاذَا/madha//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "তুমি যাও//নিয়ে আমার চিঠি//এই//অতঃপর অর্পণ করো তা//নিকট তাদের//এরপর//সরে দাঁড়াও//হ'তে তাদের//অতঃপর লক্ষ্য করো//কি//প্রতিক্রিয়া দেখায়\""
            },
            {
              "number": 3188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3188.mp3"
              ],
              "text": "قَالَتْ يَٰٓأَيُّهَا ٱلْمَلَؤُا۟ إِنِّىٓ أُلْقِىَ إِلَىَّ كِتَٰبٌۭ كَرِيمٌ",
              "translate_bn": "বিলকীস বলল, হে পরিষদবর্গ, আমাকে একটি সম্মানিত পত্র দেয়া হয়েছে।",
              "numberInSurah": 29,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইয়াআইয়ুহাল মালাউ ইন্নীউলকিয়া ইলাইইয়া কিতা-বুন কারীম।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمَلَؤُا/ٱلۡمَلَؤُاْ/al-mala-u//اِنِّیْۤ/إِنِّيٓ/inni//اُلْقِیَ/أُلۡقِيَ/ul'qiya//اِلَیَّ/إِلَيَّ/ilayya//كِتٰبٌ/كِتَٰبٞ/kitabun//كَرِیْمٌ /كَرِيمٌ/karimun",
              "words_bangla": "(রানী) বললো//\"হে//সভাসদবৃন্দ//নিশ্চয়ই আমাকে//অর্পণ করা হয়েছে//আমার প্রতি//একটি চিঠি//সম্মানিত"
            },
            {
              "number": 3189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3189.mp3"
              ],
              "text": "إِنَّهُۥ مِن سُلَيْمَٰنَ وَإِنَّهُۥ بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ",
              "translate_bn": "সেই পত্র সুলায়মানের পক্ষ থেকে এবং তা এইঃ সসীম দাতা, পরম দয়ালু, আল্লাহর নামে শুরু;",
              "numberInSurah": 30,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূমিন ছুলাইমা-না ওয়া ইন্নাহূবিছমিল্লা-হির রাহমা-নির রাহীম।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//مِنْ/مِن/min//سُلَیْمٰنَ/سُلَيۡمَٰنَ/sulaymana//وَ اِنَّهٗ ۙ/وَإِنَّهُۥ/wa-innahu//بِسْمِ/بِسۡمِ/bis'mi//اللّٰهِ/ٱللَّهِ/al-lahi//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//الرَّحِیْمِ /ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "নিশ্চয় তা (এসেছে)//হ'তে//সুলায়মান//এবং নিশ্চয় তা (শুরু হয়েছে)//\"দিয়ে নাম//আল্লাহর//দয়াময়//পরম দয়ালু"
            },
            {
              "number": 3190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3190.mp3"
              ],
              "text": "أَلَّا تَعْلُوا۟ عَلَىَّ وَأْتُونِى مُسْلِمِينَ",
              "translate_bn": "আমার মোকাবেলায় শক্তি প্রদর্শন করো না এবং বশ্যতা স্বীকার করে আমার কাছে উপস্থিত হও।",
              "numberInSurah": 31,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 328,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "আল্লা-তা‘লূ‘আলাইইয়া ওয়া’তূনী মুছলিমীন।",
              "words_arabic": "اَلَّا/أَلَّا/alla//تَعْلُوْا/تَعۡلُواْ/ta'lu//عَلَیَّ/عَلَيَّ/alayya//وَ اْتُوْنِیْ/وَأۡتُونِي/watuni//مُسْلِمِیْنَ۠/مُسۡلِمِينَ/mus'limina",
              "words_bangla": "(তা এই) যে না//তোমরা বিদ্রোহ করো//আমার বিরুদ্ধে//এবং আমার (নিকট) চলে এসো//আত্মসমর্পণকারী হয়ে\""
            },
            {
              "number": 3191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3191.mp3"
              ],
              "text": "قَالَتْ يَٰٓأَيُّهَا ٱلْمَلَؤُا۟ أَفْتُونِى فِىٓ أَمْرِى مَا كُنتُ قَاطِعَةً أَمْرًا حَتَّىٰ تَشْهَدُونِ",
              "translate_bn": "বিলকীস বলল, হে পরিষদবর্গ, আমাকে আমার কাজে পরামর্শ দাও। তোমাদের উপস্থিতি ব্যতিরেকে আমি কোন কাজে সিদ্ধান্ত গ্রহণ করি না।",
              "numberInSurah": 32,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইয়াআইয়ুহাল মালাউ আফতূনী ফীআমরী মা-কুনতুকা-তি‘আতান আমরান হাত্তা-তাশহাদূ ন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمَلَؤُا/ٱلۡمَلَؤُاْ/al-mala-u//اَفْتُوْنِیْ/أَفۡتُونِي/aftuni//فِیْۤ/فِيٓ/fi//اَمْرِیْ ۚ/أَمۡرِي/amri//مَا/مَا/ma//كُنْتُ/كُنتُ/kuntu//قَاطِعَةً/قَاطِعَةً/qati'atan//اَمْرًا/أَمۡرًا/amran//حَتّٰی/حَتَّىٰ/hatta//تَشْهَدُوْنِ /تَشۡهَدُونِ/tashhaduni",
              "words_bangla": "(রাণী) বললো//\"হে//সভাসদবৃন্দ//তোমরা আমাকে অভিমত দাও//ব্যাপারে//আমার কাজের//না//আমি ছিলাম//চূড়ান্ত মীমাংসাকারী//কোনো কাজে//যতক্ষণ না//তোমরা আমার সামনে উপস্থিত থাকো (পরামর্শে)\""
            },
            {
              "number": 3192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3192.mp3"
              ],
              "text": "قَالُوا۟ نَحْنُ أُو۟لُوا۟ قُوَّةٍۢ وَأُو۟لُوا۟ بَأْسٍۢ شَدِيدٍۢ وَٱلْأَمْرُ إِلَيْكِ فَٱنظُرِى مَاذَا تَأْمُرِينَ",
              "translate_bn": "তারা বলল, আমরা শক্তিশালী এবং কঠোর যোদ্ধা। এখন সিদ্ধান্ত গ্রহণের ক্ষমতা আপনারই। অতএব আপনি ভেবে দেখুন, আমাদেরকে কি আদেশ করবেন।",
              "numberInSurah": 33,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লূনাহনুঊলূকুওওয়াতিওঁ ওয়া উলূবা’ছিন শাদীদিওঁ ওয়াল আমরু ইলাইকি ফানজু রী মা-যা-তা’মুরীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//نَحْنُ/نَحۡنُ/nahnu//اُولُوْا/أُوْلُواْ/ulu//قُوَّةٍ/قُوَّةٖ/quwwatin//وَّ اُولُوْا/وَأُوْلُواْ/wa-ulu//بَاْسٍ/بَأۡسٖ/basin//شَدِیْدٍ ۙ۬/شَدِيدٖ/shadidin//وَّ الْاَمْرُ/وَٱلۡأَمۡرُ/wal-amru//اِلَیْكِ/إِلَيۡكِ/ilayki//فَانْظُرِیْ/فَٱنظُرِي/fa-unzuri//مَا ذَا/مَاذَا/madha//تَاْمُرِیْنَ /تَأۡمُرِينَ/tamurina",
              "words_bangla": "(সভাসদবৃন্দ) বললো//\"আমরা//অধিকারী//শক্তির (অর্থাৎ বড় শক্তিশালী)//ও (দক্ষতার) অধিকারী//যুদ্ধ বিগ্রহে//কঠোর//তবে (সিদ্ধান্তের) কাজ//কাছে আপনারই//তাই ভেবে দেখুন//কি//নির্দেশ দিবেন\""
            },
            {
              "number": 3193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3193.mp3"
              ],
              "text": "قَالَتْ إِنَّ ٱلْمُلُوكَ إِذَا دَخَلُوا۟ قَرْيَةً أَفْسَدُوهَا وَجَعَلُوٓا۟ أَعِزَّةَ أَهْلِهَآ أَذِلَّةًۭ ۖ وَكَذَٰلِكَ يَفْعَلُونَ",
              "translate_bn": "সে বলল, রাজা বাদশারা যখন কোন জনপদে প্রবেশ করে, তখন তাকে বিপর্যস্ত করে দেয় এবং সেখানকার সম্ভ্রান্ত ব্যক্তিবর্গকে অপদস্থ করে। তারাও এরূপই করবে।",
              "numberInSurah": 34,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইন্নাল মুলূকা ইযা-দাখালূকারইয়াতান আফছাদূ হা-ওয়া জা‘আলূ আ‘ইঝঝাতা আহলিহাআযিল্লাতাওঁ ওয়া কাযা-লিকা ইয়াফ‘আলূন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//اِنَّ/إِنَّ/inna//الْمُلُوْكَ/ٱلۡمُلُوكَ/al-muluka//اِذَا/إِذَا/idha//دَخَلُوْا/دَخَلُواْ/dakhalu//قَرْیَةً/قَرۡيَةً/qaryatan//اَفْسَدُوْهَا/أَفۡسَدُوهَا/afsaduha//وَ جَعَلُوْۤا/وَجَعَلُوٓاْ/waja'alu//اَعِزَّةَ/أَعِزَّةَ/a'izzata//اَهْلِهَاۤ/أَهۡلِهَآ/ahliha//اَذِلَّةً ۚ/أَذِلَّةٗۚ/adhillatan//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//یَفْعَلُوْنَ /يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "(রানী) বললো//\"নিশ্চয়ই//রাজারা//যখন//তারা প্রবেশ করে//কোনো জনপদে//তা বিপর্যস্ত করে তারা//ও তারা বানিয়ে দেয়//মর্যাদাবানদেরকে//অধিবাসীদের তার//অপদস্হ//আর এরূপই//তারা করবে"
            },
            {
              "number": 3194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3194.mp3"
              ],
              "text": "وَإِنِّى مُرْسِلَةٌ إِلَيْهِم بِهَدِيَّةٍۢ فَنَاظِرَةٌۢ بِمَ يَرْجِعُ ٱلْمُرْسَلُونَ",
              "translate_bn": "আমি তাঁর কাছে কিছু উপঢৌকন পাঠাচ্ছি; দেখি প্রেরিত লোকেরা কি জওয়াব আনে।",
              "numberInSurah": 35,
              "juz": 19,
              "manzil": 5,
              "page": 379,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নী মুরছিলাতুন ইলাইহিম বিহাদিইইয়াতিন ফানা-জিরাতুম বিমা ইয়ারজি‘উল মুরছালূন।",
              "words_arabic": "وَ اِنِّیْ/وَإِنِّي/wa-inni//مُرْسِلَةٌ/مُرۡسِلَةٌ/mur'silatun//اِلَیْهِمْ/إِلَيۡهِم/ilayhim//بِهَدِیَّةٍ/بِهَدِيَّةٖ/bihadiyyatin//فَنٰظِرَةٌۢ/فَنَاظِرَةُۢ/fanaziratun//بِمَ/بِمَ/bima//یَرْجِعُ/يَرۡجِعُ/yarji'u//الْمُرْسَلُوْنَ /ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "এবং নিশ্চয়ই আমি//প্রেরণকারী//প্রতি তাদের//সহ উপঢৌকন//অতঃপর লক্ষ্য করবো//নিয়ে কি//ফিরে আসে//দূতেরা\""
            },
            {
              "number": 3195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3195.mp3"
              ],
              "text": "فَلَمَّا جَآءَ سُلَيْمَٰنَ قَالَ أَتُمِدُّونَنِ بِمَالٍۢ فَمَآ ءَاتَىٰنِۦَ ٱللَّهُ خَيْرٌۭ مِّمَّآ ءَاتَىٰكُم بَلْ أَنتُم بِهَدِيَّتِكُمْ تَفْرَحُونَ",
              "translate_bn": "অতঃপর যখন দূত সুলায়মানের কাছে আগমন করল, তখন সুলায়মান বললেন, তোমরা কি ধনসম্পদ দ্বারা আমাকে সাহায্য করতে চাও? আল্লাহ আমাকে যা দিয়েছেন, তা তোমাদেরকে প্রদত্ত বস্তু থেকে উত্তম। বরং তোমরাই তোমাদের উপঢৌকন নিয়ে সুখে থাক।",
              "numberInSurah": 36,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ ছুলাইমা-না কা-লা আতুমিদ্দূনানি বিমা-লিন ফামাআ-তা-নিইয়াল্লাহু খাইরুম মিম্মাআ-তা-কুম বাল আনতুম বিহাদিইইয়াতিকুম তাফ রাহূন।\r\n",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَ/جَآءَ/jaa//سُلَیْمٰنَ/سُلَيۡمَٰنَ/sulaymana//قَالَ/قَالَ/qala//اَتُمِدُّوْنَنِ/أَتُمِدُّونَنِ/atumiddunani//بِمَالٍ ؗ/بِمَالٖ/bimalin//فَمَاۤ/فَمَآ/fama//اٰتٰىنِ َۧ/ءَاتَىٰنِۦَ/ataniya//اللّٰهُ/ٱللَّهُ/al-lahu//خَیْرٌ/خَيۡرٞ/khayrun//مِّمَّاۤ/مِّمَّآ/mimma//اٰتٰىكُمْ ۚ/ءَاتَىٰكُمۚ/atakum//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُم/antum//بِهَدِیَّتِكُمْ/بِهَدِيَّتِكُمۡ/bihadiyyatikum//تَفْرَحُوْنَ /تَفۡرَحُونَ/tafrahuna",
              "words_bangla": "অতঃপর যখন//আসলো (দূত)//সুলায়মানের (নিকট)//সে বললো//\"কি তোমরা কি সাহায্য করছো আমাকে//দিয়ে ধনসম্পদ//অথচ যা//দিয়েছেন আমাকে//আল্লাহ//উত্তম//তার চেয়ে যা//দিয়েছেন তোমাদেরকে//বরং//তোমরা//নিয়ে উপঢৌকন তোমাদের//আনন্দ করো"
            },
            {
              "number": 3196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3196.mp3"
              ],
              "text": "ٱرْجِعْ إِلَيْهِمْ فَلَنَأْتِيَنَّهُم بِجُنُودٍۢ لَّا قِبَلَ لَهُم بِهَا وَلَنُخْرِجَنَّهُم مِّنْهَآ أَذِلَّةًۭ وَهُمْ صَٰغِرُونَ",
              "translate_bn": "ফিরে যাও তাদের কাছে। এখন অবশ্যই আমি তাদের বিরুদ্ধে এক সৈন্যবাহিনী নিয়ে আসব, যার মোকাবেলা করার শক্তি তাদের নেই। আমি অবশ্যই তাদেরকে অপদস্থ করে সেখান থেকে বহিষ্কৃত করব এবং তারা হবে লাঞ্ছিত।",
              "numberInSurah": 37,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ইরজি‘ ইলাইহিম ফালানা’তিইয়ান্নাহুম বিজুনূদিল লা-কিবালা লাহুম বিহা-ওয়ালানুখরিজান্নাহুম মিনহাআযিল্লাতাওঁ ওয়াহুম সা-গিরূন।",
              "words_arabic": "اِرْجِعْ/ٱرۡجِعۡ/ir'ji'//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//فَلَنَاْتِیَنَّهُمْ/فَلَنَأۡتِيَنَّهُم/falanatiyannahum//بِجُنُوْدٍ/بِجُنُودٖ/bijunudin//لَّا/لَّا/la//قِبَلَ/قِبَلَ/qibala//لَهُمْ/لَهُم/lahum//بِهَا/بِهَا/biha//وَ لَنُخْرِجَنَّهُمْ/وَلَنُخۡرِجَنَّهُم/walanukh'rijannahum//مِّنْهَاۤ/مِّنۡهَآ/min'ha//اَذِلَّةً/أَذِلَّةٗ/adhillatan//وَّ هُمْ/وَهُمۡ/wahum//صٰغِرُوْنَ /صَٰغِرُونَ/saghiruna",
              "words_bangla": "ফিরে যাও//নিকট তাদের//অতঃপর অবশ্যই আমরা কাছে আসবোই তাদের//সহ এক সৈন্যবাহিনী//নেই//রুখবার শক্তি//কাছে তাদের//বিষয়ে তার//এবং অবশ্যই আমরা বের করবোই তাদেরকে//হ'তে সেখান//অপমানিত করে//যখন তারা//অপদস্হ (হবে)\""
            },
            {
              "number": 3197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3197.mp3"
              ],
              "text": "قَالَ يَٰٓأَيُّهَا ٱلْمَلَؤُا۟ أَيُّكُمْ يَأْتِينِى بِعَرْشِهَا قَبْلَ أَن يَأْتُونِى مُسْلِمِينَ",
              "translate_bn": "সুলায়মান বললেন, হে পরিষদবর্গ, তারা আত্নসমর্পণ করে আমার কাছে আসার পূর্বে কে বিলকীসের সিংহাসন আমাকে এনে দেবে?",
              "numberInSurah": 38,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়াআইয়ুহাল মালাউ আইয়ুকুম ইয়া’তীনী বি‘আরশিহা-কাবলা আইঁ ইয়া’তূনী মুছলিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمَلَؤُا/ٱلۡمَلَؤُاْ/al-mala-u//اَیُّكُمْ/أَيُّكُمۡ/ayyukum//یَاْتِیْنِیْ/يَأۡتِينِي/yatini//بِعَرْشِهَا/بِعَرۡشِهَا/bi'arshiha//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَن/an//یَّاْتُوْنِیْ/يَأۡتُونِي/yatuni//مُسْلِمِیْنَ /مُسۡلِمِينَ/mus'limina",
              "words_bangla": "(সুলায়মান) বললো//\"হে//সভাসদবৃন্দ//কে তোমাদের মধ্যে//আমার কাছে আসবে//নিয়ে তার সিংহাসন//এর পূর্বেই//যে//আমার কাছে তারা আসবে//আত্মসমর্পণকারী হয়ে\""
            },
            {
              "number": 3198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3198.mp3"
              ],
              "text": "قَالَ عِفْرِيتٌۭ مِّنَ ٱلْجِنِّ أَنَا۠ ءَاتِيكَ بِهِۦ قَبْلَ أَن تَقُومَ مِن مَّقَامِكَ ۖ وَإِنِّى عَلَيْهِ لَقَوِىٌّ أَمِينٌۭ",
              "translate_bn": "জনৈক দৈত্য-জিন বলল, আপনি আপনার স্থান থেকে উঠার পূর্বে আমি তা এনে দেব এবং আমি একাজে শক্তিবান, বিশ্বস্ত।",
              "numberInSurah": 39,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লা ‘ইফরীতুম মিনাল জিন্নি আনা আ-তীকা বিহী কাবলা আন তাকূমা মিম মাকা-মিকা ওয়া ইন্নী ‘আলাইহি লাকাওওয়িয়ুন আমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//عِفْرِیْتٌ/عِفۡرِيتٞ/if'ritun//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//اَنَا/أَنَا۠/ana//اٰتِیْكَ/ءَاتِيكَ/atika//بِهٖ/بِهِۦ/bihi//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَن/an//تَقُوْمَ/تَقُومَ/taquma//مِنْ/مِن/min//مَّقَامِكَ ۚ/مَّقَامِكَۖ/maqamika//وَ اِنِّیْ/وَإِنِّي/wa-inni//عَلَیْهِ/عَلَيۡهِ/alayhi//لَقَوِیٌّ/لَقَوِيٌّ/laqawiyyun//اَمِیْنٌ /أَمِينٞ/aminun",
              "words_bangla": "বললো//এক শক্তিশালী জিন//মধ্য হ'তে//জিনদের//\"আমি//আপনার কাছে আসবো//নিয়ে তা//এর পূর্বেই//যে//আপনি উঠে দাঁড়াবেন//হ'তে//আপনার স্থান//এবং নিশ্চয়ই আমি//উপর এর//অবশ্যই শক্তিশালী//বিশ্বস্ত\""
            },
            {
              "number": 3199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3199.mp3"
              ],
              "text": "قَالَ ٱلَّذِى عِندَهُۥ عِلْمٌۭ مِّنَ ٱلْكِتَٰبِ أَنَا۠ ءَاتِيكَ بِهِۦ قَبْلَ أَن يَرْتَدَّ إِلَيْكَ طَرْفُكَ ۚ فَلَمَّا رَءَاهُ مُسْتَقِرًّا عِندَهُۥ قَالَ هَٰذَا مِن فَضْلِ رَبِّى لِيَبْلُوَنِىٓ ءَأَشْكُرُ أَمْ أَكْفُرُ ۖ وَمَن شَكَرَ فَإِنَّمَا يَشْكُرُ لِنَفْسِهِۦ ۖ وَمَن كَفَرَ فَإِنَّ رَبِّى غَنِىٌّۭ كَرِيمٌۭ",
              "translate_bn": "কিতাবের জ্ঞান যার ছিল, সে বলল, আপনার দিকে আপনার চোখের পলক ফেলার পূর্বেই আমি তা আপনাকে এনে দেব। অতঃপর সুলায়মান যখন তা সামনে রক্ষিত দেখলেন, তখন বললেন এটা আমার পালনকর্তার অনুগ্রহ, যাতে তিনি আমাকে পরীক্ষা করেন যে, আমি কৃতজ্ঞতা প্রকাশ করি, না অকৃতজ্ঞতা প্রকাশ করি। যে কৃতজ্ঞতা প্রকাশ করে, সে নিজের উপকারের জন্যেই কৃতজ্ঞতা প্রকাশ করে এবং যে অকৃতজ্ঞতা প্রকাশ করে সে জানুক যে, আমার পালনকর্তা অভাবমুক্ত কৃপাশীল।",
              "numberInSurah": 40,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লাযী ‘ইনদাহূ‘ইলমুম মিনাল কিতা-বি আনা আ-তীকা বিহী কাবলা আইঁ ইয়ারতাদ্দা ইলাইকা তারফুকা ফালাম্মা-রাআ-হু মুছতাকিররান ইনদাহূকা-লা হা-যা-মিন ফাদলি রাববী লিইয়াবলুওয়ানী আআশকুরু আম আকফুরু ওয়া মান শাকারা ফাইন্নামা-ইয়াশকুরু লিনাফছিহী ওয়ামান কাফারা ফাইন্না রাববী গানিইয়ুন কারীম।",
              "words_arabic": "قَالَ/قَالَ/qala//الَّذِیْ/ٱلَّذِي/alladhi//عِنْدَهٗ/عِندَهُۥ/indahu//عِلْمٌ/عِلۡمٞ/il'mun//مِّنَ/مِّنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اَنَا/أَنَا۠/ana//اٰتِیْكَ/ءَاتِيكَ/atika//بِهٖ/بِهِۦ/bihi//قَبْلَ/قَبۡلَ/qabla//اَنْ/أَن/an//یَّرْتَدَّ/يَرۡتَدَّ/yartadda//اِلَیْكَ/إِلَيۡكَ/ilayka//طَرْفُكَ ؕ/طَرۡفُكَۚ/tarfuka//فَلَمَّا/فَلَمَّا/falamma//رَاٰهُ/رَءَاهُ/raahu//مُسْتَقِرًّا/مُسۡتَقِرًّا/mus'taqirran//عِنْدَهٗ/عِندَهُۥ/indahu//قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//مِنْ/مِن/min//فَضْلِ/فَضۡلِ/fadli//رَبِّیْ ۖ۫/رَبِّي/rabbi//لِیَبْلُوَنِیْۤ/لِيَبۡلُوَنِيٓ/liyabluwani//ءَاَشْكُرُ/ءَأَشۡكُرُ/a-ashkuru//اَمْ/أَمۡ/am//اَكْفُرُ ؕ/أَكۡفُرُۖ/akfuru//وَ مَنْ/وَمَن/waman//شَكَرَ/شَكَرَ/shakara//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَشْكُرُ/يَشۡكُرُ/yashkuru//لِنَفْسِهٖ ۚ/لِنَفۡسِهِۦۖ/linafsihi//وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//فَاِنَّ/فَإِنَّ/fa-inna//رَبِّیْ/رَبِّي/rabbi//غَنِیٌّ/غَنِيّٞ/ghaniyyun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "(এরপর)বললো একজন//সে (এমন যে)//নিকট তার (ছিলো)//জ্ঞান//থেকে//কিতাবের//\"আমি//আপনার কাছে আসবো//নিয়ে তা//(এর) পূর্বেই//যে//ফিরবে//আপনার দিকে//আপনার চোখের পলক\"//অতঃপর যখন//তা সে দেখলো//স্হির অবস্হায়//নিকট তার//সে বললো//\"এটা//কারণে//অনুগ্রহের//আমার রবের//যাতে তিনি আমাকে পরীক্ষা করেন//কি আমি কৃতজ্ঞ হই//না//আমি অকৃতজ্ঞ হই//আর যে//কৃতজ্ঞ হয়//তবে শুধুমাত্র//সে কৃতজ্ঞ হয়//জন্যে তার নিজের//আর যে//অকৃতজ্ঞ হয়//তবে নিশ্চয়ই//আমার রব//অভাবমুক্ত//সম্মানিত\""
            },
            {
              "number": 3200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3200.mp3"
              ],
              "text": "قَالَ نَكِّرُوا۟ لَهَا عَرْشَهَا نَنظُرْ أَتَهْتَدِىٓ أَمْ تَكُونُ مِنَ ٱلَّذِينَ لَا يَهْتَدُونَ",
              "translate_bn": "সুলায়মান বললেন, বিলকীসের সামনে তার সিংহাসনের আকার-আকৃতি বদলিয়ে দাও, দেখব সে সঠিক বুঝতে পারে, না সে তাদের অন্তর্ভুক্ত, যাদের দিশা নেই ?",
              "numberInSurah": 41,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লা নাক্কিরূলাহা- ‘আরশাহা- নানজু র আতাহতাদীআম তাকূনুমিনাল্লাযীনা লা ইয়াহতাদূন।",
              "words_arabic": "قَالَ/قَالَ/qala//نَكِّرُوْا/نَكِّرُواْ/nakkiru//لَهَا/لَهَا/laha//عَرْشَهَا/عَرۡشَهَا/arshaha//نَنْظُرْ/نَنظُرۡ/nanzur//اَتَهْتَدِیْۤ/أَتَهۡتَدِيٓ/atahtadi//اَمْ/أَمۡ/am//تَكُوْنُ/تَكُونُ/takunu//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "(সুলায়মান) বললো//\"তোমরা অজ্ঞাতসারে রাখো//সামনে তার//সিংহাসন তার//দেখবো আমরা//সে (সঠিক) ব্যাপার বুঝতে পারছে কি//অথবা//সে হয়//অন্তর্ভুক্ত//(তাদের) যারা//না\"//পথ পায়\""
            },
            {
              "number": 3201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3201.mp3"
              ],
              "text": "فَلَمَّا جَآءَتْ قِيلَ أَهَٰكَذَا عَرْشُكِ ۖ قَالَتْ كَأَنَّهُۥ هُوَ ۚ وَأُوتِينَا ٱلْعِلْمَ مِن قَبْلِهَا وَكُنَّا مُسْلِمِينَ",
              "translate_bn": "অতঃপর যখন বিলকীস এসে গেল, তখন তাকে জিজ্ঞাসা করা হল, তোমার সিংহাসন কি এরূপই? সে বলল, মনে হয় এটা সেটাই। আমরা পূর্বেই সমস্ত অবগত হয়েছি এবং আমরা আজ্ঞাবহও হয়ে গেছি।",
              "numberInSurah": 42,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআত কীলা আহা-কাযা-‘আরশুকি কা-লাত কাআন্নাহূহুওয়া ওয়া ঊতীনাল ‘ইলমা মিন কাবলিহা-ওয়া কুন্না-মুছলিমীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَتْ/جَآءَتۡ/jaat//قِیْلَ/قِيلَ/qila//اَهٰكَذَا/أَهَٰكَذَا/ahakadha//عَرْشُكِ ؕ/عَرۡشُكِۖ/arshuki//قَالَتْ/قَالَتۡ/qalat//كَاَنَّهٗ/كَأَنَّهُۥ/ka-annahu//هُوَ ۚ/هُوَۚ/huwa//وَ اُوْتِیْنَا/وَأُوتِينَا/wautina//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//مِنْ/مِن/min//قَبْلِهَا/قَبۡلِهَا/qabliha//وَ كُنَّا/وَكُنَّا/wakunna//مُسْلِمِیْنَ /مُسۡلِمِينَ/mus'limina",
              "words_bangla": "অতঃপর যখন//(রানী) আসলো//বলা হলো//\"এরূপই কি//তোমার সিংহাসন\"//সে বললো//\"এ যেন//সেটাই\"//\"এবং আমাদের দেয়া হয়েছে//জ্ঞান//থেকেই//এর পূর্ব//এবং আমরা ছিলাম//আত্মসমর্পণকারী\""
            },
            {
              "number": 3202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3202.mp3"
              ],
              "text": "وَصَدَّهَا مَا كَانَت تَّعْبُدُ مِن دُونِ ٱللَّهِ ۖ إِنَّهَا كَانَتْ مِن قَوْمٍۢ كَٰفِرِينَ",
              "translate_bn": "আল্লাহর পরিবর্তে সে যার এবাদত করত, সেই তাকে ঈমান থেকে নিবৃত্ত করেছিল। নিশ্চয় সে কাফের সম্প্রদায়ের অন্তর্ভুক্ত ছিল।",
              "numberInSurah": 43,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়াসাদ্দাহা-মা-কা-নাত তা‘বুদুমিন দূ নিল্লা-হি ইন্নাহা-কা-নাত মিন কাওমিন কাফিরীন।",
              "words_arabic": "وَ صَدَّهَا/وَصَدَّهَا/wasaddaha//مَا/مَا/ma//كَانَتْ/كَانَت/kanat//تَّعْبُدُ/تَّعۡبُدُ/ta'budu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنَّهَا/إِنَّهَا/innaha//كَانَتْ/كَانَتۡ/kanat//مِنْ/مِن/min//قَوْمٍ/قَوۡمٖ/qawmin//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "আর তাকে বিরত রেখেছিলো (ঈমান আনা হ'তে)//(তাই) যা কিছু//সে ছিলো//সে পূজা করে//থেকে//ছাড়া//আল্লাহ//নিশ্চয়ই সে//ছিলো//অন্তর্ভুক্ত//জাতির//কাফের"
            },
            {
              "number": 3203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3203.mp3"
              ],
              "text": "قِيلَ لَهَا ٱدْخُلِى ٱلصَّرْحَ ۖ فَلَمَّا رَأَتْهُ حَسِبَتْهُ لُجَّةًۭ وَكَشَفَتْ عَن سَاقَيْهَا ۚ قَالَ إِنَّهُۥ صَرْحٌۭ مُّمَرَّدٌۭ مِّن قَوَارِيرَ ۗ قَالَتْ رَبِّ إِنِّى ظَلَمْتُ نَفْسِى وَأَسْلَمْتُ مَعَ سُلَيْمَٰنَ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "তাকে বলা হল, এই প্রাসাদে প্রবেশ কর। যখন সে তার প্রতি দৃষ্টিপাত করল সে ধারণা করল যে, এটা স্বচ্ছ গভীর জলাশয়। সে তার পায়ের গোছা খুলে ফেলল। সুলায়মান বলল, এটা তো স্বচ্ছ স্ফটিক নির্মিত প্রাসাদ। বিলকীস বলল, হে আমার পালনকর্তা, আমি তো নিজের প্রতি জুলুম করেছি। আমি সুলায়মানের সাথে বিশ্ব জাহানের পালনকর্তা আল্লাহর কাছে আত্নসমর্পন করলাম।",
              "numberInSurah": 44,
              "juz": 19,
              "manzil": 5,
              "page": 380,
              "ruku": 329,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কীলা লাহাদ খুলিসসারহা ফালাম্মা-রাআতহু হাছিবাতহু লুজ্জাতাওঁ ওয়া কাশাফাত ‘আন ছা-কাইহা- কা-লা ইন্নাহূছারহুম মুমার রাদুম মিন কাওয়ারীরা কা-লাত রাব্বি ইন্নী জালামতুনাফছী ওয়া আছলামতুমা‘আ ছুলাইমা-না লিল্লা-হি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "قِیْلَ/قِيلَ/qila//لَهَا/لَهَا/laha//ادْخُلِی/ٱدۡخُلِي/ud'khuli//الصَّرْحَ ۚ/ٱلصَّرۡحَۖ/al-sarha//فَلَمَّا/فَلَمَّا/falamma//رَاَتْهُ/رَأَتۡهُ/ra-athu//حَسِبَتْهُ/حَسِبَتۡهُ/hasibathu//لُجَّةً/لُجَّةٗ/lujjatan//وَّ كَشَفَتْ/وَكَشَفَتۡ/wakashafat//عَنْ/عَن/an//سَاقَیْهَا ؕ/سَاقَيۡهَاۚ/saqayha//قَالَ/قَالَ/qala//اِنَّهٗ/إِنَّهُۥ/innahu//صَرْحٌ/صَرۡحٞ/sarhun//مُّمَرَّدٌ/مُّمَرَّدٞ/mumarradun//مِّنْ/مِّن/min//قَوَارِیْرَ ؕ۬/قَوَارِيرَۗ/qawarira//قَالَتْ/قَالَتۡ/qalat//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//ظَلَمْتُ/ظَلَمۡتُ/zalamtu//نَفْسِیْ/نَفۡسِي/nafsi//وَ اَسْلَمْتُ/وَأَسۡلَمۡتُ/wa-aslamtu//مَعَ/مَعَ/ma'a//سُلَیْمٰنَ/سُلَيۡمَٰنَ/sulaymana//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "বলা হলো//উদ্দেশ্যে তার//\"প্রবেশ করো//(এই) প্রাসাদে\"//অতঃপর যখন//তা সে দেখলো//তা মনে করলো//পানির হাউজ (জলাশয়)//ও উঠালো (কাপড়)//হতে//দুই গোড়ালী তার//(সুলায়মান) বললো//\"নিশ্চয় তা//(প্রাসাদের) মেঝে//নির্মিত//দিয়ে//স্বচ্ছ কাঁচ\"//(রানী) বললো//\"হে আমার রব (আজ পর্যন্ত)//নিশ্চয়ই আমি//অন্যায় করেছি//আমার নিজের (উপর)//(আর এখন) আমি আত্মসমর্পণ করছি//সাথে//সুলায়মানের//নিকট আল্লাহর//(যিনি) রব//বিশ্বজগতের\""
            },
            {
              "number": 3204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3204.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَآ إِلَىٰ ثَمُودَ أَخَاهُمْ صَٰلِحًا أَنِ ٱعْبُدُوا۟ ٱللَّهَ فَإِذَا هُمْ فَرِيقَانِ يَخْتَصِمُونَ",
              "translate_bn": "আমি সামুদ সম্প্রদায়ের কাছে তাদের ভাই সালেহকে এই মর্মে প্রেরণ করেছি যে, তোমরা আল্লাহর এবাদত কর। অতঃপর তারা দ্বিধাবিভক্ত হয়ে বিতর্কে প্রবৃত্ত হল।",
              "numberInSurah": 45,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনাইলা-ছামূদা আখা-হুম সা-লিহান আনি‘বুদুল্লা-হা-ফাইযা-হুম ফারীকা-নি ইয়াখতাসিমূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلٰی/إِلَىٰ/ila//ثَمُوْدَ/ثَمُودَ/thamuda//اَخَاهُمْ/أَخَاهُمۡ/akhahum//صٰلِحًا/صَٰلِحًا/salihan//اَنِ/أَنِ/ani//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُمۡ/hum//فَرِیْقٰنِ/فَرِيقَانِ/fariqani//یَخْتَصِمُوْنَ /يَخۡتَصِمُونَ/yakhtasimuna",
              "words_bangla": "এবং নিশ্চয়ই//প্রেরণ করেছিলাম আমরা//প্রতি//সামূদের//ভাই তাদেরই//সালেহকে//(এ বার্তাসহ) যে//\"তোমরা ইবাদত করো//আল্লাহর\"//অতঃপর তখন//তারা//দু'দলে//তর্কে মেতে উঠলো"
            },
            {
              "number": 3205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3205.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ لِمَ تَسْتَعْجِلُونَ بِٱلسَّيِّئَةِ قَبْلَ ٱلْحَسَنَةِ ۖ لَوْلَا تَسْتَغْفِرُونَ ٱللَّهَ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "সালেহ বললেন, হে আমার সম্প্রদায়, তোমরা কল্যাণের পূর্বে দ্রুত অকল্যাণ কামনা করছ কেন? তোমরা আল্লাহর কাছে ক্ষমা প্রার্থনা করছ না কেন? সম্ভবতঃ তোমরা দয়াপ্রাপ্ত হবে।",
              "numberInSurah": 46,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া-কাওমি লিমা তাছতা‘জিলূনা বিছছাইয়িআতি কাবলাল হাছানাতি লাওলাতাছতাগফিরূনাল্লা-হা লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لِمَ/لِمَ/lima//تَسْتَعْجِلُوْنَ/تَسۡتَعۡجِلُونَ/tasta'jiluna//بِالسَّیِّئَةِ/بِٱلسَّيِّئَةِ/bil-sayi-ati//قَبْلَ/قَبۡلَ/qabla//الْحَسَنَةِ ۚ/ٱلۡحَسَنَةِۖ/al-hasanati//لَوْ لَا/لَوۡلَا/lawla//تَسْتَغْفِرُوْنَ/تَسۡتَغۡفِرُونَ/tastaghfiruna//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَ /تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "(সালেহ) বললো//\"হে আমার জাতি//কেন//তোমরা তাড়াতাড়ি করতে চাচ্ছো//অকল্যাণকে//পূর্বে//কল্যাণের//কেন না//তোমরা ক্ষমা চাচ্ছো//আল্লাহর (নিকট)//হয়তো তোমাদের (প্রতি)//করুণা করা হবে\""
            },
            {
              "number": 3206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3206.mp3"
              ],
              "text": "قَالُوا۟ ٱطَّيَّرْنَا بِكَ وَبِمَن مَّعَكَ ۚ قَالَ طَٰٓئِرُكُمْ عِندَ ٱللَّهِ ۖ بَلْ أَنتُمْ قَوْمٌۭ تُفْتَنُونَ",
              "translate_bn": "তারা বলল, তোমাকে এবং তোমার সাথে যারা আছে, তাদেরকে আমরা অকল্যাণের প্রতীক মনে করি। সালেহ বললেন, তোমাদের মঙ্গলামঙ্গল আল্লাহর কাছে; বরং তোমরা এমন সম্প্রদায়, যাদেরকে পরীক্ষা করা হচ্ছে।",
              "numberInSurah": 47,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লুততাইয়ারনা-বিকা ওয়া বিমাম মা‘আকা কা-লা তাইরুকুম ‘ইনদাল্লা-হি বাল আনতুম কাওমুন তুফতানূন।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//اطَّیَّرْنَا/ٱطَّيَّرۡنَا/ittayyarna//بِكَ/بِكَ/bika//وَ بِمَنْ/وَبِمَن/wabiman//مَّعَكَ ؕ/مَّعَكَۚ/ma'aka//قَالَ/قَالَ/qala//طٰٓىِٕرُكُمْ/طَـٰٓئِرُكُمۡ/tairukum//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِۖ/al-lahi//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُمۡ/antum//قَوْمٌ/قَوۡمٞ/qawmun//تُفْتَنُوْنَ /تُفۡتَنُونَ/tuf'tanuna",
              "words_bangla": "তারা বললো//\"আমরা অমঙ্গল ভাবছি//\"বিষয়টি তোমার//ও বিষয়টি তাদের (যারা)//তোমার সাথে (আছে)\"//(সালেহ) বললো//\"তোমাদের শুভাশুভ//নিকট//আল্লাহর//বরং//তোমরা//(এমন) লোক//পরীক্ষা করা হচ্ছে (যাদেরকে)\""
            },
            {
              "number": 3207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3207.mp3"
              ],
              "text": "وَكَانَ فِى ٱلْمَدِينَةِ تِسْعَةُ رَهْطٍۢ يُفْسِدُونَ فِى ٱلْأَرْضِ وَلَا يُصْلِحُونَ",
              "translate_bn": "আর সেই শহরে ছিল এমন একজন ব্যক্তি, যারা দেশময় অনর্থ সৃষ্টি করে বেড়াত এবং সংশোধন করত না।",
              "numberInSurah": 48,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-না ফিল মাদীনাতি তিছ‘আতুরাহতিইঁ ইউফছিদূনা ফিল আরদিওয়ালা-ইউসলিহূন।",
              "words_arabic": "وَ كَانَ/وَكَانَ/wakana//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//تِسْعَةُ/تِسۡعَةُ/tis'atu//رَهْطٍ/رَهۡطٖ/rahtin//یُّفْسِدُوْنَ/يُفۡسِدُونَ/yuf'siduna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//یُصْلِحُوْنَ /يُصۡلِحُونَ/yus'lihuna",
              "words_bangla": "এবং ছিলো//মধ্যে//শহরের//নয় (জনের)//একটি দল//তারা বিপর্যয় সৃষ্টি করতো//মধ্যে//দেশের//এবং না//তারা সংশোধনমূলক কাজ করতো"
            },
            {
              "number": 3208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3208.mp3"
              ],
              "text": "قَالُوا۟ تَقَاسَمُوا۟ بِٱللَّهِ لَنُبَيِّتَنَّهُۥ وَأَهْلَهُۥ ثُمَّ لَنَقُولَنَّ لِوَلِيِّهِۦ مَا شَهِدْنَا مَهْلِكَ أَهْلِهِۦ وَإِنَّا لَصَٰدِقُونَ",
              "translate_bn": "তারা বলল, তোমরা পরস্পরে আল্লাহর নামে শপথ গ্রহণ কর যে, আমরা রাত্রিকালে তাকে ও তার পরিবারবর্গকে হত্যা করব। অতঃপর তার দাবীদারকে বলে দেব যে, তার পরিবারবর্গের হত্যাকান্ড আমরা প্রত্যক্ষ করিনি। আমরা নিশ্চয়ই সত্যবাদী।",
              "numberInSurah": 49,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাকা-ছামূবিল্লা-হি লানুবাইয়িতান্নাহূওয়া আহলাহূছু ম্মা লানাকূলান্না লিওয়ালিয়্যিহী মা-শাহিদনা-মাহলিকা আহলিহী ওয়া ইন্না-লাসা-দিকূ ন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تَقَاسَمُوْا/تَقَاسَمُواْ/taqasamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//لَنُبَیِّتَنَّهٗ/لَنُبَيِّتَنَّهُۥ/lanubayyitannahu//وَ اَهْلَهٗ/وَأَهۡلَهُۥ/wa-ahlahu//ثُمَّ/ثُمَّ/thumma//لَنَقُوْلَنَّ/لَنَقُولَنَّ/lanaqulanna//لِوَلِیِّهٖ/لِوَلِيِّهِۦ/liwaliyyihi//مَا/مَا/ma//شَهِدْنَا/شَهِدۡنَا/shahid'na//مَهْلِكَ/مَهۡلِكَ/mahlika//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//وَ اِنَّا/وَإِنَّا/wa-inna//لَصٰدِقُوْنَ /لَصَٰدِقُونَ/lasadiquna",
              "words_bangla": "তারা বললো//\"তোমরা শপথ করো পরস্পরে//নামে আল্লাহর//অবশ্যই আমরা তাকে রাতে আক্রমণ করবোই//ও তার পরিবারকে//এরপর//অবশ্যই বলবো আমরা//প্রতি তার অভিভাবকের//\"না//উপস্থিত ছিলাম আমরা//ধ্বংসের সময়//তার পরিবারের//আর নিশ্চয়ই আমরা//অবশ্যই সত্যবাদী\""
            },
            {
              "number": 3209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3209.mp3"
              ],
              "text": "وَمَكَرُوا۟ مَكْرًۭا وَمَكَرْنَا مَكْرًۭا وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "তারা এক চক্রান্ত করেছিল এবং আমিও এক চক্রান্ত করেছিলাম। কিন্তু তারা বুঝতে পারেনি।",
              "numberInSurah": 50,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাকারূমাকরাওঁ ওয়া মাকারনা-মাকরাওঁ ওয়া হুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "وَ مَكَرُوْا/وَمَكَرُواْ/wamakaru//مَكْرًا/مَكۡرٗا/makran//وَّ مَكَرْنَا/وَمَكَرۡنَا/wamakarna//مَكْرًا/مَكۡرٗا/makran//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এবং তারা ষড়যন্ত্র করলো//এক ষড়যন্ত্র//আর আমরা কৌশল করলাম//এক কৌশল//অথচ তারা//না//অনুভব করলো"
            },
            {
              "number": 3210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3210.mp3"
              ],
              "text": "فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ مَكْرِهِمْ أَنَّا دَمَّرْنَٰهُمْ وَقَوْمَهُمْ أَجْمَعِينَ",
              "translate_bn": "অতএব, দেখ তাদের চক্রান্তের পরিনাম, আমি অবশ্রই তাদেরকে এবং তাদের সম্প্রদায়কে নাস্তনাবুদ করে দিয়েছি।",
              "numberInSurah": 51,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ফানজু র কাইফা কা-না ‘আ-কিবাতুমাকরিহিম আন্না-দাম্মারনা-হুম ওয়া কাওমাহুম আজমা‘ঈন।",
              "words_arabic": "فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//مَكْرِهِمْ ۙ/مَكۡرِهِمۡ/makrihim//اَنَّا/أَنَّا/anna//دَمَّرْنٰهُمْ/دَمَّرۡنَٰهُمۡ/dammarnahum//وَ قَوْمَهُمْ/وَقَوۡمَهُمۡ/waqawmahum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "অতঃপর লক্ষ্য করো//কেমন//হয়েছিলো//পরিণাম//ষড়যন্ত্রের তাদের//নিশ্চয়ই আমরা//আমরা ধ্বংস করেছি তাদেরকে//ও জাতির তাদের//সবাইকে"
            },
            {
              "number": 3211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3211.mp3"
              ],
              "text": "فَتِلْكَ بُيُوتُهُمْ خَاوِيَةًۢ بِمَا ظَلَمُوٓا۟ ۗ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "এই তো তাদের বাড়ীঘর-তাদের অবিশ্বাসের কারণে জনশূন্য অবস্থায় পড়ে আছে। নিশ্চয় এতে জ্ঞানী সম্প্রদায়ের জন্যে নিদর্শন আছে।",
              "numberInSurah": 52,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ফাতিলকা বুয়ূতুহুম খা-বিয়াতাম বিমা-জালামূ ইন্না ফী যা-লিকা লাআ-য়াতাল লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "فَتِلْكَ/فَتِلۡكَ/fatil'ka//بُیُوْتُهُمْ/بُيُوتُهُمۡ/buyutuhum//خَاوِیَةًۢ/خَاوِيَةَۢ/khawiyatan//بِمَا/بِمَا/bima//ظَلَمُوْا ؕ/ظَلَمُوٓاْۚ/zalamu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তাই ঐসব//ঘরবাড়ি তাদের//শূন্য হয়ে আছে//এ কারণে যা//তারা সীমালঙ্ঘন করেছিলো//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//জন্যে সম্প্রদায়ের//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 3212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3212.mp3"
              ],
              "text": "وَأَنجَيْنَا ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছিল এবং পরহেযগার ছিল, তাদেরকে আমি উদ্ধার করেছি।",
              "numberInSurah": 53,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনজাইনাল্লাযীনা আ-মানূওয়া কা-নূইয়াত্তাকূন।",
              "words_arabic": "وَ اَنْجَیْنَا/وَأَنجَيۡنَا/wa-anjayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ كَانُوْا/وَكَانُواْ/wakanu//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "এবং আমরা রক্ষা করলাম//(তাদেরকে) যারা//ঈমান এনেছিলো//ও তারা ছিলো//ও (নাফরমানী হতে) তারা বিরত থাকতো"
            },
            {
              "number": 3213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3213.mp3"
              ],
              "text": "وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ أَتَأْتُونَ ٱلْفَٰحِشَةَ وَأَنتُمْ تُبْصِرُونَ",
              "translate_bn": "স্মরণ কর লূতের কথা, তিনি তাঁর কওমকে বলেছিলেন, তোমরা কেন অশ্লীল কাজ করছ? অথচ এর পরিণতির কথা তোমরা অবগত আছ!",
              "numberInSurah": 54,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "ওয়া লূতান ইযকা-লা লিকাওমিহী আতা’তূনাল ফা-হিশাতা ওয়া আনতুম তুবসিরূন।",
              "words_arabic": "وَ لُوْطًا/وَلُوطًا/walutan//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهٖۤ/لِقَوۡمِهِۦٓ/liqawmihi//اَتَاْتُوْنَ/أَتَأۡتُونَ/atatuna//الْفَاحِشَةَ/ٱلۡفَٰحِشَةَ/al-fahishata//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//تُبْصِرُوْنَ /تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "এবং লূতকে (পাঠিয়েছিলাম)//(স্মরণ করো) যখন//সে বলেছিলো//উদ্দেশ্যে তার জাতির//\"কি তোমরা করছো//অশ্লীল কাজে//যখন তোমরা//প্রত্যক্ষও করছো"
            },
            {
              "number": 3214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3214.mp3"
              ],
              "text": "أَئِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ شَهْوَةًۭ مِّن دُونِ ٱلنِّسَآءِ ۚ بَلْ أَنتُمْ قَوْمٌۭ تَجْهَلُونَ",
              "translate_bn": "তোমরা কি কামতৃপ্তির জন্য নারীদেরকে ছেড়ে পুরুষে উপগত হবে? তোমরা তো এক বর্বর সম্প্রদায়।",
              "numberInSurah": 55,
              "juz": 19,
              "manzil": 5,
              "page": 381,
              "ruku": 330,
              "hizbQuarter": 152,
              "sajda": false,
              "pronunciation_bn": "আইন্নাকুম লাতা’তূনার রিজা-লা শাহওয়াতাম মিন দূ নিন নিছা-ই বাল আনতুম কাওমুন তাজহালূন।",
              "words_arabic": "اَىِٕنَّكُمْ/أَئِنَّكُمۡ/a-innakum//لَتَاْتُوْنَ/لَتَأۡتُونَ/latatuna//الرِّجَالَ/ٱلرِّجَالَ/al-rijala//شَهْوَةً/شَهۡوَةٗ/shahwatan//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//النِّسَآءِ ؕ/ٱلنِّسَآءِۚ/al-nisai//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُمۡ/antum//قَوْمٌ/قَوۡمٞ/qawmun//تَجْهَلُوْنَ /تَجۡهَلُونَ/tajhaluna",
              "words_bangla": "কি নিশ্চয়ই তোমরা//অবশ্যই তোমরা গমন করছো//পুরুষদের কাছে//যৌন লালসার (জন্যে)//বাদ//দিয়ে//স্ত্রীদেরকে//আসলে//তোমরা//(এমন) সম্প্রদায়//(যারা) মূর্খতা করছো\""
            },
            {
              "number": 3215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3215.mp3"
              ],
              "text": "۞ فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوٓا۟ أَخْرِجُوٓا۟ ءَالَ لُوطٍۢ مِّن قَرْيَتِكُمْ ۖ إِنَّهُمْ أُنَاسٌۭ يَتَطَهَّرُونَ",
              "translate_bn": "উত্তরে তাঁর কওম শুধু এ কথাটিই বললো, লূত পরিবারকে তোমাদের জনপদ থেকে বের করে দাও। এরা তো এমন লোক যারা শুধু পাকপবিত্র সাজতে চায়।",
              "numberInSurah": 56,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 330,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ফামা-কা-না জাওয়া-বা কাওমিহীইল্লা-আন কা-লূআখরিজু আ-লা লূতিম মিন কারইয়াতিকুম ইন্নাহুম উনা-ছুইঁ ইয়াতাতাহহারূন।",
              "words_arabic": "فَمَا/۞فَمَا/fama//كَانَ/كَانَ/kana//جَوَابَ/جَوَابَ/jawaba//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوْۤا/قَالُوٓاْ/qalu//اَخْرِجُوْۤا/أَخۡرِجُوٓاْ/akhriju//اٰلَ/ءَالَ/ala//لُوْطٍ/لُوطٖ/lutin//مِّنْ/مِّن/min//قَرْیَتِكُمْ ۚ/قَرۡيَتِكُمۡۖ/qaryatikum//اِنَّهُمْ/إِنَّهُمۡ/innahum//اُنَاسٌ/أُنَاسٞ/unasun//یَّتَطَهَّرُوْنَ /يَتَطَهَّرُونَ/yatatahharuna",
              "words_bangla": "অতঃপর না//ছিলো//উত্তর/জবাব//জাতির তার//এ ছাড়া//যে//তারা বলেছিলো//\"তোমরা বের করে দাও//পরিবারকে//লুতের//হ'তে//জনপদ তোমাদের//নিশ্চয়ই তারা//এমন লোক//(যারা) তারা পবিত্র থাকতে চায়"
            },
            {
              "number": 3216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3216.mp3"
              ],
              "text": "فَأَنجَيْنَٰهُ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ قَدَّرْنَٰهَا مِنَ ٱلْغَٰبِرِينَ",
              "translate_bn": "অতঃপর তাঁকে ও তাঁর পরিবারবর্গকে উদ্ধার করলাম তাঁর স্ত্রী ছাড়া। কেননা, তার জন্যে ধ্বংসপ্রাপ্তদের ভাগ্যই নির্ধারিত করেছিলাম।",
              "numberInSurah": 57,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 330,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ফাআনজাইনা-হু ওয়া আহলাহূইল্লাম রাআতাহূ কাদ্দারনা-হা-মিনাল গা-বিরীন।",
              "words_arabic": "فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ اَهْلَهٗۤ/وَأَهۡلَهُۥٓ/wa-ahlahu//اِلَّا/إِلَّا/illa//امْرَاَتَهٗ ؗ/ٱمۡرَأَتَهُۥ/im'ra-atahu//قَدَّرْنٰهَا/قَدَّرۡنَٰهَا/qaddarnaha//مِنَ/مِنَ/mina//الْغٰبِرِیْنَ /ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "অতঃপর আমরা রক্ষা করলাম তাকে//ও পরিবারকে তার//ছাড়া//স্ত্রীকে তার//আমরা সাব্যস্ত করেছিলাম তাকে//অন্তর্ভুক্ত//পিছে পড়ে থাকাদের"
            },
            {
              "number": 3217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3217.mp3"
              ],
              "text": "وَأَمْطَرْنَا عَلَيْهِم مَّطَرًۭا ۖ فَسَآءَ مَطَرُ ٱلْمُنذَرِينَ",
              "translate_bn": "আর তাদের উপর বর্ষণ করেছিলাম মুষলধারে বৃষ্টি। সেই সতর্ককৃতদের উপর কতই না মারাত্নক ছিল সে বৃষ্টি।",
              "numberInSurah": 58,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 330,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া আমতারনা-‘আলাইহিম মাতারান ফাছাআ মাতারুল মুনযারীন।",
              "words_arabic": "وَ اَمْطَرْنَا/وَأَمۡطَرۡنَا/wa-amtarna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مَّطَرًا ۚ/مَّطَرٗاۖ/mataran//فَسَآءَ/فَسَآءَ/fasaa//مَطَرُ/مَطَرُ/mataru//الْمُنْذَرِیْنَ۠/ٱلۡمُنذَرِينَ/al-mundharina",
              "words_bangla": "এবং বর্ষণ করেছিলাম আমরা//উপর তাদের//(খুব) বৃষ্টি//অতঃপর বড় খারাপ//বৃষ্টিবর্ষণ (ছিলো)//(তাদের জন্যে) যাদেরকে সতর্ক করা হয়েছিলো"
            },
            {
              "number": 3218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3218.mp3"
              ],
              "text": "قُلِ ٱلْحَمْدُ لِلَّهِ وَسَلَٰمٌ عَلَىٰ عِبَادِهِ ٱلَّذِينَ ٱصْطَفَىٰٓ ۗ ءَآللَّهُ خَيْرٌ أَمَّا يُشْرِكُونَ",
              "translate_bn": "বল, সকল প্রশংসাই আল্লাহর এবং শান্তি তাঁর মনোনীত বান্দাগণের প্রতি! শ্রেষ্ঠ কে? আল্লাহ না ওরা-তারা যাদেরকে শরীক সাব্যস্ত করে।",
              "numberInSurah": 59,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "কুল্লিহামদুলিল্লা-হি ওয়া ছালা-মুন ‘আলা-‘ইবাদিহিল্লাযী নাসতাফা- আল্লা-হু খাইরুন আম্মা-ইউশরিকূন।",
              "words_arabic": "قُلِ/قُلِ/quli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//وَ سَلٰمٌ/وَسَلَٰمٌ/wasalamun//عَلٰی/عَلَىٰ/ala//عِبَادِهِ/عِبَادِهِ/ibadihi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اصْطَفٰی ؕ/ٱصۡطَفَىٰٓۗ/is'tafa//آٰللّٰهُ/ءَآللَّهُ/allahu//خَیْرٌ/خَيۡرٌ/khayrun//اَمَّا/أَمَّا/amma//یُشْرِكُوْنَؕ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "(হে নাবী) বলো//\"সব প্রশংসা//জন্যে আল্লাহরই//আর সালাম//উপর//দাসদের তাঁর//যাদেরকে//তিনি মনোনীত করেছেন//(তাদের জিজ্ঞেস করো)কি আল্লাহ//উত্তম//না সেই (মাবুদ)//(যাদেরকে) তারা শরিক করছে\""
            },
            {
              "number": 3219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3219.mp3"
              ],
              "text": "أَمَّنْ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَأَنزَلَ لَكُم مِّنَ ٱلسَّمَآءِ مَآءًۭ فَأَنۢبَتْنَا بِهِۦ حَدَآئِقَ ذَاتَ بَهْجَةٍۢ مَّا كَانَ لَكُمْ أَن تُنۢبِتُوا۟ شَجَرَهَآ ۗ أَءِلَٰهٌۭ مَّعَ ٱللَّهِ ۚ بَلْ هُمْ قَوْمٌۭ يَعْدِلُونَ",
              "translate_bn": "বল তো কে সৃষ্টি করেছেন নভোমন্ডল ও ভূমন্ডল এবং আকাশ থেকে তোমাদের জন্যে বর্ষণ করেছেন পানি; অতঃপর তা দ্বারা আমি মনোরম বাগান সৃষ্টি করেছি। তার বৃক্ষাদি উৎপন্ন করার শক্তিই তোমাদের নেই। অতএব, আল্লাহর সাথে অন্য কোন উপাস্য আছে কি? বরং তারা সত্যবিচ্যুত সম্প্রদায়।",
              "numberInSurah": 60,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "আম্মান খালাকাছছামা-ওয়া-তি ওয়াল আরদা ওয়া আনঝালা লাকুম মিনাছছামাই মাআন ফাআমবাতনা-বিহী হাদাইকা যা-তা বাহজাতিম মা-কা-না লাকুম আন তুমবিতূ শাজারাহা-; আ ইলা-হুম মা‘আল্লা-হি ; বাল হুম কাওমুইঁ ইয়া‘দিলূন।",
              "words_arabic": "اَمَّنْ/أَمَّنۡ/amman//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً ۚ/مَآءٗ/maan//فَاَنْۢبَتْنَا/فَأَنۢبَتۡنَا/fa-anbatna//بِهٖ/بِهِۦ/bihi//حَدَآىِٕقَ/حَدَآئِقَ/hadaiqa//ذَاتَ/ذَاتَ/dhata//بَهْجَةٍ ۚ/بَهۡجَةٖ/bahjatin//مَا/مَّا/ma//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//اَنْ/أَن/an//تُنْۢبِتُوْا/تُنۢبِتُواْ/tunbitu//شَجَرَهَا ؕ/شَجَرَهَآۗ/shajaraha//ءَاِلٰهٌ/أَءِلَٰهٞ/a-ilahun//مَّعَ/مَّعَ/ma'a//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//قَوْمٌ/قَوۡمٞ/qawmun//یَّعْدِلُوْنَؕ/يَعۡدِلُونَ/ya'diluna",
              "words_bangla": "অথবা কে (এমন আছেন)//যিনি সৃষ্টি করেছেন//আকাশমন্ডলী//ও পৃথিবীকে//ও বর্ষণ করেছেন//জন্যে তোমাদের//হ'তে//আকাশ//পানি//অতঃপর আমরাই  উৎপন্ন করেছি//দ্বারা তা//বাগানসমূহ//মন্ডিত//শোভা//না//(সম্ভব) ছিলো//জন্যে তোমাদের//যে//তোমরা উৎপন্ন করবে//গাছ-পালা তার//কি তবে (আছে) কোনো ইলাহ//সাথে//আল্লাহর (এ কাজে)//বরং//তারা//(এমন) সম্প্রদায়//যারা সত্যবিচ্যুত হচ্ছে"
            },
            {
              "number": 3220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3220.mp3"
              ],
              "text": "أَمَّن جَعَلَ ٱلْأَرْضَ قَرَارًۭا وَجَعَلَ خِلَٰلَهَآ أَنْهَٰرًۭا وَجَعَلَ لَهَا رَوَٰسِىَ وَجَعَلَ بَيْنَ ٱلْبَحْرَيْنِ حَاجِزًا ۗ أَءِلَٰهٌۭ مَّعَ ٱللَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "বল তো কে পৃথিবীকে বাসোপযোগী করেছেন এবং তার মাঝে মাঝে নদ-নদী প্রবাহিত করেছেন এবং তাকে স্থিত রাখার জন্যে পর্বত স্থাপন করেছেন এবং দুই সমুদ্রের মাঝখানে অন্তরায় রেখেছেন। অতএব, আল্লাহর সাথে অন্য কোন উপাস্য আছে কি? বরং তাদের অধিকাংশই জানে না।",
              "numberInSurah": 61,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "আম্মান জা‘আলাল আরদা কারা-রাওঁ ওয়া জা‘আলা খিলা-লাহাআনহা-রাওঁ ওয়া জা‘আলা লাহা রাওয়া-ছিয়া ওয়া জা‘আলা বাইনাল বাহরাইনি হা-জিঝান আ ইলা-হুম মা‘আল্লাহি বাল আকছারুহুম লা-ইয়া‘লামূন।",
              "words_arabic": "اَمَّنْ/أَمَّن/amman//جَعَلَ/جَعَلَ/ja'ala//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//قَرَارًا/قَرَارٗا/qararan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//خِلٰلَهَاۤ/خِلَٰلَهَآ/khilalaha//اَنْهٰرًا/أَنۡهَٰرٗا/anharan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَهَا/لَهَا/laha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//وَ جَعَلَ/وَجَعَلَ/waja'ala//بَیْنَ/بَيۡنَ/bayna//الْبَحْرَیْنِ/ٱلۡبَحۡرَيۡنِ/al-bahrayni//حَاجِزًا ؕ/حَاجِزًاۗ/hajizan//ءَاِلٰهٌ/أَءِلَٰهٞ/a-ilahun//مَّعَ/مَّعَ/ma'a//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَؕ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অথবা কে (এমন আছে)//যিনি করেছেন//পৃথিবীকে//বাসোপযোগী//ও প্রবাহিত করেছেন//মাঝে তার//নদ-নদীসমূহ//এবং স্থাপন করেছেন//তাতে//সুদৃঢ় পর্বতসমূহ//এবং সৃষ্টি করেছেন//মাঝে//দুই সাগরের//আড়াল//কি তবে (আছে) কোনো ইলাহ//সাথে//আল্লাহর (এ কাজে)//বরং//অধিকাংশ তাদের//না//জানে"
            },
            {
              "number": 3221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3221.mp3"
              ],
              "text": "أَمَّن يُجِيبُ ٱلْمُضْطَرَّ إِذَا دَعَاهُ وَيَكْشِفُ ٱلسُّوٓءَ وَيَجْعَلُكُمْ خُلَفَآءَ ٱلْأَرْضِ ۗ أَءِلَٰهٌۭ مَّعَ ٱللَّهِ ۚ قَلِيلًۭا مَّا تَذَكَّرُونَ",
              "translate_bn": "বল তো কে নিঃসহায়ের ডাকে সাড়া দেন যখন সে ডাকে এবং কষ্ট দূরীভূত করেন এবং তোমাদেরকে পৃথিবীতে পুর্ববর্তীদের স্থলাভিষিক্ত করেন। সুতরাং আল্লাহর সাথে অন্য কোন উপাস্য আছে কি? তোমরা অতি সামান্যই ধ্যান কর।",
              "numberInSurah": 62,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "আম্মাইঁ ইউজীবুল মু দতাররা ইযা-দা‘আ-হু ওয়া ইয়াকশিফুছছূআ ওয়া ইয়াজ‘আলুকুম খুলাফাআল আরদি আ ইলা-হুম মা‘আল্লা-হি কালীলাম মা-তাযাক্কারূন।\r\n",
              "words_arabic": "اَمَّنْ/أَمَّن/amman//یُّجِیْبُ/يُجِيبُ/yujibu//الْمُضْطَرَّ/ٱلۡمُضۡطَرَّ/al-mud'tara//اِذَا/إِذَا/idha//دَعَاهُ/دَعَاهُ/da'ahu//وَ یَكْشِفُ/وَيَكۡشِفُ/wayakshifu//السُّوْٓءَ/ٱلسُّوٓءَ/al-sua//وَ یَجْعَلُكُمْ/وَيَجۡعَلُكُمۡ/wayaj'alukum//خُلَفَآءَ/خُلَفَآءَ/khulafaa//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//ءَاِلٰهٌ/أَءِلَٰهٞ/a-ilahun//مَّعَ/مَّعَ/ma'a//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَذَكَّرُوْنَؕ/تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "কে অথবা (এমন আছেন)//যিনি সাড়া দেন//আর্তকে//যখন//তাকে ডাকে সে//ও দূর করেন//কষ্ট//ও করেন তোমাদেরকে//প্রতিনিধি//পৃথিবীর//কি (আছে) কোনো ইলাহ//সাথে//আল্লাহর (এ কাজে)//খুব কমই//যা//তোমরা উপদেশ গ্রহণ করো"
            },
            {
              "number": 3222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3222.mp3"
              ],
              "text": "أَمَّن يَهْدِيكُمْ فِى ظُلُمَٰتِ ٱلْبَرِّ وَٱلْبَحْرِ وَمَن يُرْسِلُ ٱلرِّيَٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦٓ ۗ أَءِلَٰهٌۭ مَّعَ ٱللَّهِ ۚ تَعَٰلَى ٱللَّهُ عَمَّا يُشْرِكُونَ",
              "translate_bn": "বল তো কে তোমাদেরকে জলে ও স্থলে অন্ধকারে পথ দেখান এবং যিনি তাঁর অনুগ্রহের পূর্বে সুসংবাদবাহী বাতাস প্রেরণ করেন? অতএব, আল্লাহর সাথে অন্য কোন উপাস্য আছে কি? তারা যাকে শরীক করে, আল্লাহ তা থেকে অনেক ঊর্ধ্বে।",
              "numberInSurah": 63,
              "juz": 20,
              "manzil": 5,
              "page": 382,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "আম্মাইঁ ইয়াহদীকুম ফী জুলুমা-তিল বাররি ওয়াল বাহরি ওয়া মাইঁ ইউরছিলুর রিয়া-হা বুশরাম বাইনা ইয়াদাই রাহমাতিহী আ ইলা-হুম মা‘আল্লা-হি তা‘আ-লাল্লা-হু ‘আম্মা-ইউশরিকূন।",
              "words_arabic": "اَمَّنْ/أَمَّن/amman//یَّهْدِیْكُمْ/يَهۡدِيكُمۡ/yahdikum//فِیْ/فِي/fi//ظُلُمٰتِ/ظُلُمَٰتِ/zulumati//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ/وَٱلۡبَحۡرِ/wal-bahri//وَ مَنْ/وَمَن/waman//یُّرْسِلُ/يُرۡسِلُ/yur'silu//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//بُشْرًۢا/بُشۡرَۢا/bush'ran//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦٓۗ/rahmatihi//ءَاِلٰهٌ/أَءِلَٰهٞ/a-ilahun//مَّعَ/مَّعَ/ma'a//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//تَعٰلَی/تَعَٰلَى/ta'ala//اللّٰهُ/ٱللَّهُ/al-lahu//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَؕ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "কে অথবা (এমন আছেন)//যিনি পথ দেখান তোমাদেরকে//মধ্যে//অন্ধকারসমূহের//স্থলের//ও সমুদ্রের//আর কে//পাঠান//বাতাসকে//সু-সংবাদ স্বরুপ//মাঝে//হাতের (পূর্বে)//অনুগ্রহের তাঁর//কি (আছে) কোনো ইলাহ//সাথে//আল্লাহর(এ কাজে)//অতি উর্দ্ধে//আল্লাহ//তা হ'তে যা//তারা শিরক করে"
            },
            {
              "number": 3223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3223.mp3"
              ],
              "text": "أَمَّن يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ وَمَن يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۗ أَءِلَٰهٌۭ مَّعَ ٱللَّهِ ۚ قُلْ هَاتُوا۟ بُرْهَٰنَكُمْ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বল তো কে প্রথমবার সৃষ্টি করেন, অতঃপর তাকে পুনরায় সৃষ্টি করবেন এবং কে তোমাদেরকে আকাশ ও মর্ত?2469;েকে রিযিক দান করেন। সুতরাং আল্লাহর সাথে অন্য কোন উপাস্য আছে কি? বলুন, তোমরা যদি সত্যবাদী হও তবে তোমাদের প্রমাণ উপস্থিত কর।",
              "numberInSurah": 64,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "আম্মাইঁ ইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূওয়ামাইঁ ইয়ারঝুকুকুম মিনাছ ছামাই ওয়াল আরদি আ ইলা-হুম মা‘আল্লা-হি কুল হা-তূবুরহা-নাকুম ইন কুনতুম সা-দিকীন।",
              "words_arabic": "اَمَّنْ/أَمَّن/amman//یَّبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ/يُعِيدُهُۥ/yu'iduhu//وَ مَنْ/وَمَن/waman//یَّرْزُقُكُمْ/يَرۡزُقُكُم/yarzuqukum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//ءَاِلٰهٌ/أَءِلَٰهٞ/a-ilahun//مَّعَ/مَّعَ/ma'a//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قُلْ/قُلۡ/qul//هَاتُوْا/هَاتُواْ/hatu//بُرْهَانَكُمْ/بُرۡهَٰنَكُمۡ/bur'hanakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "কে অথবা (এমন আছেন)//যিনি সূচনা করেন//সৃষ্টির//এরপর//পুনরাবৃত্তি করবেন তার//আর কে//তোমাদেরকে জীবিকা দেন//হ'তে//আকাশ//ও পৃথিবী(হ'তে)//কি (আছে) কোনো ইলাহ//সাথে//আল্লাহর(এ কাজে)//বলো//\"তোমরা উপস্হিত করো//প্রমাণ তোমাদের//যদি//তোমরা//সত্যবাদী হয়ে থাকো\""
            },
            {
              "number": 3224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3224.mp3"
              ],
              "text": "قُل لَّا يَعْلَمُ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ٱلْغَيْبَ إِلَّا ٱللَّهُ ۚ وَمَا يَشْعُرُونَ أَيَّانَ يُبْعَثُونَ",
              "translate_bn": "বলুন, আল্লাহ ব্যতীত নভোমন্ডল ও ভূমন্ডলে কেউ গায়বের খবর জানে না এবং তারা জানে না যে, তারা কখন পুনরুজ্জীবিত হবে।",
              "numberInSurah": 65,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "কুল লা-ইয়া‘লামুমান ফিছছামা-ওয়া-তি ওয়াল আরদিল গাইবা ইল্লাল্লা-হু ওয়ামাইয়াশ‘উরূনা আইয়া-না ইউব‘আছূন।\r\n",
              "words_arabic": "قُلْ/قُل/qul//لَّا/لَّا/la//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//اِلَّا/إِلَّا/illa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ مَا/وَمَا/wama//یَشْعُرُوْنَ/يَشۡعُرُونَ/yash'uruna//اَیَّانَ/أَيَّانَ/ayyana//یُبْعَثُوْنَ /يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "বলো//\"না//জানে//যারা//আছে//আকাশমন্ডলীতে//ও পৃথিবীতে//অদৃশ্যের(খবর)//ছাড়া//আল্লাহ//এবং না//অনুভব করতেও পারে//কখন//তারা উত্থিত হবে\""
            },
            {
              "number": 3225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3225.mp3"
              ],
              "text": "بَلِ ٱدَّٰرَكَ عِلْمُهُمْ فِى ٱلْءَاخِرَةِ ۚ بَلْ هُمْ فِى شَكٍّۢ مِّنْهَا ۖ بَلْ هُم مِّنْهَا عَمُونَ",
              "translate_bn": "বরং পরকাল সম্পর্কে তাদের জ্ঞান নিঃশেষ হয়ে গেছে; বরং তারা এ বিষয়ে সন্দেহ পোষন করছে বরং এ বিষয়ে তারা অন্ধ।",
              "numberInSurah": 66,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 331,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "বালিদ দা-রাকা ‘ইলমুহুম ফিল আ-খিরাতি বাল হুম ফী শাক্কিম মিনহা-, বাল হুম মিনহা‘আমূন।",
              "words_arabic": "بَلِ/بَلِ/bali//ادّٰرَكَ/ٱدَّـٰرَكَ/iddaraka//عِلْمُهُمْ/عِلۡمُهُمۡ/il'muhum//فِی/فِي/fi//الْاٰخِرَةِ ۫/ٱلۡأٓخِرَةِۚ/al-akhirati//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مِّنْهَا ۫ؗ/مِّنۡهَاۖ/min'ha//بَلْ/بَلۡ/bal//هُمْ/هُم/hum//مِّنْهَا/مِّنۡهَا/min'ha//عَمُوْنَ۠/عَمُونَ/amuna",
              "words_bangla": "বরং//বিলুপ্ত হয়ে গেছে//জ্ঞান তাদের//ব্যাপারে//পরকালের//বরং//তারা//মধ্যে (আছে)//সন্দেহের//বিষয়ে সে//বরং//তারা//বিষয়ে সে//অন্ধ"
            },
            {
              "number": 3226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3226.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ أَءِذَا كُنَّا تُرَٰبًۭا وَءَابَآؤُنَآ أَئِنَّا لَمُخْرَجُونَ",
              "translate_bn": "কাফেররা বলে, যখন আমরা ও আমাদের বাপ-দাদারা মৃত্তিকা হয়ে যাব, তখনও কি আমাদেরকে পুনরুত্থিত করা হবে?",
              "numberInSurah": 67,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূ আইযা-কুন্না-তুরা-বাওঁ ওয়াআ-বাউনা আইন্নালামুখরাজুন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//ءَاِذَا/أَءِذَا/a-idha//كُنَّا/كُنَّا/kunna//تُرٰبًا/تُرَٰبٗا/turaban//وَّ اٰبَآؤُنَاۤ/وَءَابَآؤُنَآ/waabauna//اَىِٕنَّا/أَئِنَّا/a-inna//لَمُخْرَجُوْنَ /لَمُخۡرَجُونَ/lamukh'rajuna",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"কি যখন//আমরা হবো//মাটি//ও পিতৃ-পুরুষরা আমাদের//কি নিশ্চয়ই আমরা//অবশ্যই উত্থিত হবো"
            },
            {
              "number": 3227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3227.mp3"
              ],
              "text": "لَقَدْ وُعِدْنَا هَٰذَا نَحْنُ وَءَابَآؤُنَا مِن قَبْلُ إِنْ هَٰذَآ إِلَّآ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "এই ওয়াদাপ্রাপ্ত হয়েছি আমরা এবং পূর্ব থেকেই আমাদের বাপ-দাদারা। এটা তো পূর্ববর্তীদের উপকথা বৈ কিছু নয়।",
              "numberInSurah": 68,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "লাকাদ উ‘ইদনা-হা-যা-নাহনুওয়া আ-বাউনা-মিন কাবলু ইন হাযাইল্লাআছা-তীরুল আওওয়ালীন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//وُعِدْنَا/وُعِدۡنَا/wu'id'na//هٰذَا/هَٰذَا/hadha//نَحْنُ/نَحۡنُ/nahnu//وَ اٰبَآؤُنَا/وَءَابَآؤُنَا/waabauna//مِنْ/مِن/min//قَبْلُ ۙ/قَبۡلُ/qablu//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "নিশ্চয়ই//প্রতিশ্রুতি দেয়া হয়েছে আমাদের//এটার//আমরাও (পেয়েছি)//এবং পিতৃপুরুষরাও আমাদের//থেকে//পূর্ব//(কিন্তু) নয়//এটা//এ ছাড়া যে//উপকথা//পূর্ববর্তীদের\""
            },
            {
              "number": 3228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3228.mp3"
              ],
              "text": "قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُجْرِمِينَ",
              "translate_bn": "বলুন, পৃথিবী পরিভ্রমণ কর এবং দেখ অপরাধীদের পরিণতি কি হয়েছে।",
              "numberInSurah": 69,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "কুল ছীরূফিল আরদিফানজুরূকাইফা কা-না ‘আ-কিবাতুল মুজরিমীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//سِیْرُوْا/سِيرُواْ/siru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَانْظُرُوْا/فَٱنظُرُواْ/fa-unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "বলো//\"তোমরা পরিভ্রমণ করো//মধ্যে//পৃথিবীর//অতঃপর লক্ষ্য করো//কেমন//হয়েছিলো//পরিণাম//অপরাধীদের\""
            },
            {
              "number": 3229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3229.mp3"
              ],
              "text": "وَلَا تَحْزَنْ عَلَيْهِمْ وَلَا تَكُن فِى ضَيْقٍۢ مِّمَّا يَمْكُرُونَ",
              "translate_bn": "তাদের কারণে আপনি দুঃখিত হবেন না এবং তারা যে চক্রান্ত করেছে এতে মনঃক্ষুন্ন হবেন না।",
              "numberInSurah": 70,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাহঝান ‘আলাইহিম ওয়ালা-তাকুন ফী দাইকিম মিম্মা-ইয়ামকুরূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَحْزَنْ/تَحۡزَنۡ/tahzan//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//تَكُنْ/تَكُن/takun//فِیْ/فِي/fi//ضَیْقٍ/ضَيۡقٖ/dayqin//مِّمَّا/مِّمَّا/mimma//یَمْكُرُوْنَ /يَمۡكُرُونَ/yamkuruna",
              "words_bangla": "আর(হে নাবী) না//দুঃখ করো//সম্পর্কে তাদের//আর না//তুমি হয়ো//(মনের) মধ্যে//সংকীর্ণ//তা হ'তে যা//তারা ষড়যন্ত্র করছে"
            },
            {
              "number": 3230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3230.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা বলে, তোমরা যদি সত্যবাদী হও তবে বল, এই ওয়াদা কখন পূর্ণ হবে?",
              "numberInSurah": 71,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ওয়া‘দুইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন//এই//প্রতিশ্রুতি (কার্যকর হবে)//যদি//হও তোমরা//সত্যবাদী\""
            },
            {
              "number": 3231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3231.mp3"
              ],
              "text": "قُلْ عَسَىٰٓ أَن يَكُونَ رَدِفَ لَكُم بَعْضُ ٱلَّذِى تَسْتَعْجِلُونَ",
              "translate_bn": "বলুন, অসম্ভব কি, তোমরা যত দ্রুত কামনা করছ তাদের কিয়দংশ তোমাদের পিঠের উপর এসে গেছে।",
              "numberInSurah": 72,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "কুল ‘আছাআইঁ ইয়াকূনা রাদিফা লাকুম বা‘দুল্লাযী তাছতা‘জিলূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//رَدِفَ/رَدِفَ/radifa//لَكُمْ/لَكُم/lakum//بَعْضُ/بَعۡضُ/ba'du//الَّذِیْ/ٱلَّذِي/alladhi//تَسْتَعْجِلُوْنَ /تَسۡتَعۡجِلُونَ/tasta'jiluna",
              "words_bangla": "বলো//\"সম্ভবতঃ//(এমন) যে//তা হয়//নিকটবর্তী হয়েছে//জন্যে তোমাদের//(তার) কিছুটা//যা//তোমরা তাড়াতাড়ি করতে চাও\""
            },
            {
              "number": 3232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3232.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَشْكُرُونَ",
              "translate_bn": "আপনার পালনকর্তা মানুষের প্রতি অনুগ্রহশীল, কিন্তু তাদের অধিকাংশই কৃতজ্ঞতা প্রকাশ করে না।",
              "numberInSurah": 73,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাযূফাদলিন ‘আলান্না -ছি ওয়ালা-কিন্না আকছারাহুম লা-ইয়াশকুরূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَذُوْ/لَذُو/ladhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//অবশ্যই অধিকারী//অনুগ্রহের//উপর//মানুষের//কিন্তু//অধিকাংশই তাদের//না//তারা কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 3233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3233.mp3"
              ],
              "text": "وَإِنَّ رَبَّكَ لَيَعْلَمُ مَا تُكِنُّ صُدُورُهُمْ وَمَا يُعْلِنُونَ",
              "translate_bn": "তাদের অন্তর যা গোপন করে এবং যা প্রকাশ করে আপনার পালনকর্তা অবশ্যই তা জানেন।",
              "numberInSurah": 74,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না রাব্বাকা লাইয়া‘লামুমা-তুকিন্নুসুদূরুহুম ওয়ামা-ইউ‘লিনূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//رَبَّكَ/رَبَّكَ/rabbaka//لَیَعْلَمُ/لَيَعۡلَمُ/laya'lamu//مَا/مَا/ma//تُكِنُّ/تُكِنُّ/tukinnu//صُدُوْرُهُمْ/صُدُورُهُمۡ/suduruhum//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ /يُعۡلِنُونَ/yu'linuna",
              "words_bangla": "এবং নিশ্চয়ই//তোমার রব//অবশ্যই জানেন//যা//গোপন করে//তাদের অন্তরসমূহ//আর যা//তারা প্রকাশ করে"
            },
            {
              "number": 3234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3234.mp3"
              ],
              "text": "وَمَا مِنْ غَآئِبَةٍۢ فِى ٱلسَّمَآءِ وَٱلْأَرْضِ إِلَّا فِى كِتَٰبٍۢ مُّبِينٍ",
              "translate_bn": "আকাশে ও পৃথিবীতে এমন কোন গোপন ভেদ নেই, যা সুস্পষ্ট কিতাবে না আছে।",
              "numberInSurah": 75,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা মিন গাইবাতিন ফিছছামাই ওয়াল আরদিইল্লা-ফী কিতা-বিম মুবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//مِنْ/مِنۡ/min//غَآىِٕبَةٍ/غَآئِبَةٖ/ghaibatin//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "আর নেই//কোনো//গোপন বিষয়//মধ্যে//আকাশের//আর (না) পৃথিবীতে//এ ছাড়া যে//আছে (তা)//কিতাবে//সুস্পষ্ট"
            },
            {
              "number": 3235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3235.mp3"
              ],
              "text": "إِنَّ هَٰذَا ٱلْقُرْءَانَ يَقُصُّ عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَكْثَرَ ٱلَّذِى هُمْ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "এই কোরআন বণী ইসরাঈল যেসব বিষয়ে মতবিরোধ করে, তার অধিকাংশ তাদের কাছে বর্ণনা করে।",
              "numberInSurah": 76,
              "juz": 20,
              "manzil": 5,
              "page": 383,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যাল কুরআ-না ইয়াকু সসু‘আলা-বানীইছরাঈলা আকছারাল্লাযীহুমফীহি ইয়াখতালিফূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//یَقُصُّ/يَقُصُّ/yaqussu//عَلٰی/عَلَىٰ/ala//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اَكْثَرَ/أَكۡثَرَ/akthara//الَّذِیْ/ٱلَّذِي/alladhi//هُمْ/هُمۡ/hum//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "নিশ্চয়ই//এই//কুরআন//বিবৃত করে//কাছে//বনী//ইসরাঈলদের//(এমন) অনেক কিছু//যা//তারা//মধ্যে তার//মতভেদ করে"
            },
            {
              "number": 3236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3236.mp3"
              ],
              "text": "وَإِنَّهُۥ لَهُدًۭى وَرَحْمَةٌۭ لِّلْمُؤْمِنِينَ",
              "translate_bn": "এবং নিশ্চিতই এটা মুমিনদের জন্যে হেদায়েত ও রহমত।",
              "numberInSurah": 77,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাহুদাওঁ ওয়া রাহমাতুল লিলমু’মিনীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَهُدًی/لَهُدٗى/lahudan//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّلْمُؤْمِنِیْنَ /لِّلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "এবং নিশ্চয়ই তা//অবশ্যই পথনির্দেশ//এবং দয়া//জন্যে মু'মিনদের"
            },
            {
              "number": 3237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3237.mp3"
              ],
              "text": "إِنَّ رَبَّكَ يَقْضِى بَيْنَهُم بِحُكْمِهِۦ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْعَلِيمُ",
              "translate_bn": "আপনার পালনকর্তা নিজ শাসনক্ষমতা অনুযায়ী তাদের মধ্যে ফয়সালা করে দেবেন। তিনি পরাক্রমশালী, সুবিজ্ঞ।",
              "numberInSurah": 78,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা ইয়াকদী বাইনাহুম বিহুকমিহী ওয়া হুওয়াল ‘আঝীঝুল ‘আলীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//یَقْضِیْ/يَقۡضِي/yaqdi//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِحُكْمِهٖ ۚ/بِحُكۡمِهِۦۚ/bihuk'mihi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْعَلِیْمُۙۚ/ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "নিশ্চয়ই//তোমার রব//মীমাংসা করে দিবেন//মাঝে তাদের//অনুযায়ী নির্দেশ তাঁর//আর তিনি (হলেন)//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 3238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3238.mp3"
              ],
              "text": "فَتَوَكَّلْ عَلَى ٱللَّهِ ۖ إِنَّكَ عَلَى ٱلْحَقِّ ٱلْمُبِينِ",
              "translate_bn": "অতএব, আপনি আল্লাহর উপর ভরসা করুন। নিশ্চয় আপনি সত্য ও স্পষ্ট পথে আছেন।",
              "numberInSurah": 79,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াক্কাল ‘আলাল্লা-হি ইন্নাকা ‘আলাল হাক্কিল মুবীন।",
              "words_arabic": "فَتَوَكَّلْ/فَتَوَكَّلۡ/fatawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنَّكَ/إِنَّكَ/innaka//عَلَی/عَلَى/ala//الْحَقِّ/ٱلۡحَقِّ/al-haqi//الْمُبِیْنِ /ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "অতএব (হে নাবী) নির্ভর করো//উপর//আল্লাহর//তুমি নিশ্চয়ই (প্রতিষ্ঠিত)//উপর//সত্যের//সুস্পষ্ট"
            },
            {
              "number": 3239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3239.mp3"
              ],
              "text": "إِنَّكَ لَا تُسْمِعُ ٱلْمَوْتَىٰ وَلَا تُسْمِعُ ٱلصُّمَّ ٱلدُّعَآءَ إِذَا وَلَّوْا۟ مُدْبِرِينَ",
              "translate_bn": "আপনি আহবান শোনাতে পারবেন না মৃতদেরকে এবং বধিরকেও নয়, যখন তারা পৃষ্ঠ প্রদর্শন করে চলে যায়।",
              "numberInSurah": 80,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা লা-তুছমি‘উল মাওতা-ওয়ালা-তুছমি‘উসসু ম্মাদ দু‘আ-আ ইযা-ওয়াল্লাও মুদবিরীন।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//لَا/لَا/la//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//وَ لَا/وَلَا/wala//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الصُّمَّ/ٱلصُّمَّ/al-suma//الدُّعَآءَ/ٱلدُّعَآءَ/al-du'aa//اِذَا/إِذَا/idha//وَلَّوْا/وَلَّوۡاْ/wallaw//مُدْبِرِیْنَ /مُدۡبِرِينَ/mud'birina",
              "words_bangla": "নিশ্চয়ই তুমি//না//শুনাতে পারো//মৃতদেরকে//আর না//শুনাতে পারো//বধিরদেরকে//আহবান//যখন//তারা ফিরে যায়//পিঠ প্রদর্শন করে"
            },
            {
              "number": 3240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3240.mp3"
              ],
              "text": "وَمَآ أَنتَ بِهَٰدِى ٱلْعُمْىِ عَن ضَلَٰلَتِهِمْ ۖ إِن تُسْمِعُ إِلَّا مَن يُؤْمِنُ بِـَٔايَٰتِنَا فَهُم مُّسْلِمُونَ",
              "translate_bn": "আপনি অন্ধদেরকে তাদের পথভ্রষ্টতা থেকে ফিরিয়ে সৎপথে আনতে পারবেন না। আপনি কেবল তাদেরকে শোনাতে পারবেন, যারা আমার আয়াতসমূহে বিশ্বাস করে। অতএব, তারাই আজ্ঞাবহ।",
              "numberInSurah": 81,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 153,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনতা বিহা-দিল ‘উময়ি ‘আন দালা-লাতিহিম ইন তুছমি‘উ ইল্লা-মাইঁ ইউ‘মিনু বিআ-য়া-তিনা-ফাহুম মুছলিমূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//بِهٰدِی/بِهَٰدِي/bihadi//الْعُمْیِ/ٱلۡعُمۡيِ/al-'um'yi//عَنْ/عَن/an//ضَلٰلَتِهِمْ ؕ/ضَلَٰلَتِهِمۡۖ/dalalatihim//اِنْ/إِن/in//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَهُمْ/فَهُم/fahum//مُّسْلِمُوْنَ /مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং না//তুমি//পথপ্রদর্শনকারী (হ'তে পারো)//অন্ধদেরকে//হ'তে//পথভ্রষ্টতা তাদের//(আর) না//তুমি শুনাতে পারো//এ ছাড়া//যারা//ঈমান আনে//প্রতি আয়াতগুলোর আমাদের//অতঃপর তারাই//মুসলমান বা আত্মসমর্পণকারী"
            },
            {
              "number": 3241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3241.mp3"
              ],
              "text": "۞ وَإِذَا وَقَعَ ٱلْقَوْلُ عَلَيْهِمْ أَخْرَجْنَا لَهُمْ دَآبَّةًۭ مِّنَ ٱلْأَرْضِ تُكَلِّمُهُمْ أَنَّ ٱلنَّاسَ كَانُوا۟ بِـَٔايَٰتِنَا لَا يُوقِنُونَ",
              "translate_bn": "যখন প্রতিশ্রুতি (কেয়ামত) সমাগত হবে, তখন আমি তাদের সামনে ভূগর্ভ থেকে একটি জীব নির্গত করব। সে মানুষের সাথে কথা বলবে। এ কারণে যে মানুষ আমার নিদর্শনসমূহে বিশ্বাস করত না।",
              "numberInSurah": 82,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 332,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ওয়াকা‘আল কাওলু‘আলাইহিম আখরাজনা-লাহুম দাব্বাতাম মিনাল আরদি তুকালিলমুহুম আন্নান্না-ছা কা-নূবিআ-য়া-তিনা-লা-ইঊকিনূন।",
              "words_arabic": "وَ اِذَا/۞وَإِذَا/wa-idha//وَقَعَ/وَقَعَ/waqa'a//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَخْرَجْنَا/أَخۡرَجۡنَا/akhrajna//لَهُمْ/لَهُمۡ/lahum//دَآبَّةً/دَآبَّةٗ/dabbatan//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//تُكَلِّمُهُمْ ۙ/تُكَلِّمُهُمۡ/tukallimuhum//اَنَّ/أَنَّ/anna//النَّاسَ/ٱلنَّاسَ/al-nasa//كَانُوْا/كَانُواْ/kanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//لَا/لَا/la//یُوْقِنُوْنَ۠/يُوقِنُونَ/yuqinuna",
              "words_bangla": "এবং যখন//এসে পড়বে//(ঘোষিত শাস্তির) কথা//উপর তাদের//আমরা বের করবো//জন্যে তাদের//একটি জন্তু//হ'তে//মাটি//সে কথা বলবে তাদের (সাথে)//যেহেতু//মানিষ//তারা ছিলো//প্রতি আয়াতগুলোর আমাদের//না//দৃঢ় বিশ্বাস করতো"
            },
            {
              "number": 3242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3242.mp3"
              ],
              "text": "وَيَوْمَ نَحْشُرُ مِن كُلِّ أُمَّةٍۢ فَوْجًۭا مِّمَّن يُكَذِّبُ بِـَٔايَٰتِنَا فَهُمْ يُوزَعُونَ",
              "translate_bn": "যেদিন আমি একত্রিত করব একেকটি দলকে সেসব সম্প্রদায় থেকে, যারা আমার আয়াতসমূহকে মিথ্যা বলত; অতঃপর তাদেরকে বিভিন্ন দলে বিভক্ত করা হবে।",
              "numberInSurah": 83,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা নাহশুরু মিন কুল্লি উম্মাতিন ফাওজাম মিম্মাইঁ ইউকাযযিবুবিআ-য়া-তিনা-ফাহুম ইউঝা‘ঊন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//نَحْشُرُ/نَحۡشُرُ/nahshuru//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//اُمَّةٍ/أُمَّةٖ/ummatin//فَوْجًا/فَوۡجٗا/fawjan//مِّمَّنْ/مِّمَّن/mimman//یُّكَذِّبُ/يُكَذِّبُ/yukadhibu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَهُمْ/فَهُمۡ/fahum//یُوْزَعُوْنَ /يُوزَعُونَ/yuza'una",
              "words_bangla": "এবং(স্মরণ করো) সেদিন//আমরা সমবেত করবো//হ'তে//প্রত্যেক//সম্প্রদায়//একেক দলকে//তাদের হ'তে যারা//মিথ্যারোপ করতো//প্রতি আয়াতগুলোর আমাদের//অতঃপর তাদেরকে//ভাগ করা হবে (বিভিন্ন দলে)"
            },
            {
              "number": 3243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3243.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا جَآءُو قَالَ أَكَذَّبْتُم بِـَٔايَٰتِى وَلَمْ تُحِيطُوا۟ بِهَا عِلْمًا أَمَّاذَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "যখন তারা উপস্থিত হয়ে যাবে, তখন আল্লাহ বলবেন, তোমরা কি আমার আয়াতসমূহকে মিথ্যা বলেছিলে? অথচ এগুলো সম্পর্কে তোমাদের পুর্ণ জ্ঞান ছিল না। না তোমরা অন্য কিছু করছিলে?",
              "numberInSurah": 84,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা- জাঊকা-লা আকাযযাবতুমবিআ-য়া-তী ওয়া লাম তুহীতূবিহা‘ইলমান আম্মা-যা-কুনতুম তা‘মালূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءُوْ/جَآءُو/jau//قَالَ/قَالَ/qala//اَكَذَّبْتُمْ/أَكَذَّبۡتُم/akadhabtum//بِاٰیٰتِیْ/بِـَٔايَٰتِي/biayati//وَ لَمْ/وَلَمۡ/walam//تُحِیْطُوْا/تُحِيطُواْ/tuhitu//بِهَا/بِهَا/biha//عِلْمًا/عِلۡمًا/il'man//اَمَّا ذَا/أَمَّاذَا/ammadha//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "শেষ পর্যন্ত//যখন//তারা এসে যাবে (সব দল)//(আল্লাহ) বলবেন//\"কি প্রত্যাখ্যান করেছিলে তোমরা//প্রতি নিদর্শনগুলোর আমাদের//অথচ নি//আয়ত্বে নিতে পারো//সম্পর্কে সেগুলো//কোনো জ্ঞান//কি (তবে) আর//তোমরা ছিলে//তোমরা করো\""
            },
            {
              "number": 3244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3244.mp3"
              ],
              "text": "وَوَقَعَ ٱلْقَوْلُ عَلَيْهِم بِمَا ظَلَمُوا۟ فَهُمْ لَا يَنطِقُونَ",
              "translate_bn": "জুলুমের কারণে তাদের কাছে আযাবের ওয়াদা এসে গেছে। এখন তারা কোন কিছু বলতে পারবে না।",
              "numberInSurah": 85,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া-ওয়াকা‘আল কাওলু‘আলাইহিম বিমা-জালামূফাহুম লা-ইয়ানতিকূন।",
              "words_arabic": "وَ وَقَعَ/وَوَقَعَ/wawaqa'a//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِمَا/بِمَا/bima//ظَلَمُوْا/ظَلَمُواْ/zalamu//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَنْطِقُوْنَ /يَنطِقُونَ/yantiquna",
              "words_bangla": "আর এসে পড়বে//(ঘোষিত শাস্তির) কথা//উপর তাদের//এ কারণে যা//তারা সীমালঙ্ঘন করেছিলো//তখন তারা//না//কথা বলতে পারবে"
            },
            {
              "number": 3245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3245.mp3"
              ],
              "text": "أَلَمْ يَرَوْا۟ أَنَّا جَعَلْنَا ٱلَّيْلَ لِيَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তারা কি দেখে না যে, আমি রাত্রি সৃষ্টি করেছি তাদের বিশ্রামের জন্যে এবং দিনকে করেছি আলোকময়। নিশ্চয় এতে ঈমানদার সম্প্রদায়ের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 86,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়ারাও আন্না-জা‘আলনাল্লাইলা লিইয়াছকুনূফীহি ওয়ান্নাহা-রা মুবসিরান ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّا/أَنَّا/anna//جَعَلْنَا/جَعَلۡنَا/ja'alna//الَّیْلَ/ٱلَّيۡلَ/al-layla//لِیَسْكُنُوْا/لِيَسۡكُنُواْ/liyaskunu//فِیْهِ/فِيهِ/fihi//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//مُبْصِرًا ؕ/مُبۡصِرًاۚ/mub'siran//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি নি//তারা দেখে//যে আমরা//(আমরা) বানিয়েছি//রাতকে//যেন তারা প্রশান্তি লাভ করে//মধ্যে তার//আর দিনকে (করেছি)//দৃশ্যমান//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায় (যারা)//ঈমান আনে"
            },
            {
              "number": 3246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3246.mp3"
              ],
              "text": "وَيَوْمَ يُنفَخُ فِى ٱلصُّورِ فَفَزِعَ مَن فِى ٱلسَّمَٰوَٰتِ وَمَن فِى ٱلْأَرْضِ إِلَّا مَن شَآءَ ٱللَّهُ ۚ وَكُلٌّ أَتَوْهُ دَٰخِرِينَ",
              "translate_bn": "যেদিন সিঙ্গায় ফুৎকার দেওয়া হবে, অতঃপর আল্লাহ যাদেরকে ইচ্ছা করবেন, তারা ব্যতীত নভোমন্ডলে ও ভূমন্ডলে যারা আছে, তারা সবাই ভীতবিহ্বল হয়ে পড়বে এবং সকলেই তাঁর কাছে আসবে বিনীত অবস্থায়।",
              "numberInSurah": 87,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউনফাখুফিসসূরি ফাফাঝি‘আ মান ফিছছামা-ওয়া-তি ওয়া মান ফিল আরদি ইল্লা-মান শাআল্লা-হু ওয়া কুললন আতাওহু দা-খিরীন।\r\n",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُنْفَخُ/يُنفَخُ/yunfakhu//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَفَزِعَ/فَفَزِعَ/fafazi'a//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ كُلٌّ/وَكُلٌّ/wakullun//اَتَوْهُ/أَتَوۡهُ/atawhu//دٰخِرِیْنَ /دَٰخِرِينَ/dakhirina",
              "words_bangla": "এবং সেদিন//ফুঁ দেওয়া হবে//মধ্যে//শিঙ্গার//অতঃপর হবে ভীত-কম্পিত//যারা//আছে//আকাশমন্ডলীতে//আর যারা (আছে)//মধ্যে//পৃথিবীর//ছাড়া//(তারা) যাদেরকে//চাইবেন//আল্লাহ//এবং সবাই//তাঁর (কাছে) আসবে//হীন অবস্থায়"
            },
            {
              "number": 3247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3247.mp3"
              ],
              "text": "وَتَرَى ٱلْجِبَالَ تَحْسَبُهَا جَامِدَةًۭ وَهِىَ تَمُرُّ مَرَّ ٱلسَّحَابِ ۚ صُنْعَ ٱللَّهِ ٱلَّذِىٓ أَتْقَنَ كُلَّ شَىْءٍ ۚ إِنَّهُۥ خَبِيرٌۢ بِمَا تَفْعَلُونَ",
              "translate_bn": "তুমি পর্বতমালাকে দেখে অচল মনে কর, অথচ সেদিন এগুলো মেঘমালার মত চলমান হবে। এটা আল্লাহর কারিগরী, যিনি সবকিছুকে করেছেন সুসংহত। তোমরা যা কিছু করছ, তিনি তা অবগত আছেন।",
              "numberInSurah": 88,
              "juz": 20,
              "manzil": 5,
              "page": 384,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাল জিবা-লা তাহছাবুহা-জা-মিদাতাওঁ ওয়াহিয়া তামুররু মাররাছছাহা-বি সুন‘আল্লা-হিল্লাযী আতকানা কুল্লা শাইয়িন ইন্নাহূখাবীরুম বিমা-তাফ‘আলূন।",
              "words_arabic": "وَ تَرَی/وَتَرَى/watara//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//تَحْسَبُهَا/تَحۡسَبُهَا/tahsabuha//جَامِدَةً/جَامِدَةٗ/jamidatan//وَّ هِیَ/وَهِيَ/wahiya//تَمُرُّ/تَمُرُّ/tamurru//مَرَّ/مَرَّ/marra//السَّحَابِ ؕ/ٱلسَّحَابِۚ/al-sahabi//صُنْعَ/صُنۡعَ/sun'a//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَتْقَنَ/أَتۡقَنَ/atqana//كُلَّ/كُلَّ/kulla//شَیْءٍ ؕ/شَيۡءٍۚ/shayin//اِنَّهٗ/إِنَّهُۥ/innahu//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَفْعَلُوْنَ /تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "এবং তুমি দেখছো//পর্বতমালাকে//মনে করছো তাদেরকে//অচল//অথচ তা (সেদিন)//চলবে//চলন (মতো)//মেঘমালার//সৃষ্টি-নৈপুণ্য//আল্লাহর//যিনি//সুষম করেছেন//প্রত্যেক//জিনিসকে//নিশ্চয়ই তিনি//খুব অবহিত//ঐ বিষয় সম্পর্কে যা//তোমরা করছো"
            },
            {
              "number": 3248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3248.mp3"
              ],
              "text": "مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ خَيْرٌۭ مِّنْهَا وَهُم مِّن فَزَعٍۢ يَوْمَئِذٍ ءَامِنُونَ",
              "translate_bn": "যে কেউ সৎকর্ম নিয়ে আসবে, সে উৎকৃষ্টতর প্রতিদান পাবে এবং সেদিন তারা গুরুতর অস্থিরতা থেকে নিরাপদ থাকবে।",
              "numberInSurah": 89,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "মান জাআ বিলহাছানাতি ফালাহূখাইরুম মিনহা- ওয়া হুম মিন ফাঝাইয়ঁইয়াওমাইযিন আ-মিনূন।",
              "words_arabic": "مَنْ/مَن/man//جَآءَ/جَآءَ/jaa//بِالْحَسَنَةِ/بِٱلۡحَسَنَةِ/bil-hasanati//فَلَهٗ/فَلَهُۥ/falahu//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْهَا ۚ/مِّنۡهَا/min'ha//وَ هُمْ/وَهُم/wahum//مِّنْ/مِّن/min//فَزَعٍ/فَزَعٖ/faza'in//یَّوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//اٰمِنُوْنَ /ءَامِنُونَ/aminuna",
              "words_bangla": "যে//আসবে (সেদিন)//নিয়ে সৎ-কর্ম//তখন তার জন্যে (থাকবে)//উত্তম//তার চেয়েও//আর তারা//হ'তে//শঙ্কা//সেদিন//নিরাপদ থাকবে"
            },
            {
              "number": 3249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3249.mp3"
              ],
              "text": "وَمَن جَآءَ بِٱلسَّيِّئَةِ فَكُبَّتْ وُجُوهُهُمْ فِى ٱلنَّارِ هَلْ تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "এবং যে মন্দ কাজ নিয়ে আসবে, তাকে অগ্নিতে অধঃমূখে নিক্ষেপ করা হবে। তোমরা যা করছিলে, তারই প্রতিফল তোমরা পাবে।",
              "numberInSurah": 90,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান জাআ বিছছাইয়িআতি ফাকুব্বাত উজূহুহুম ফিন্না-রি হাল তুজঝাওনা ইল্লা-মাকনতুম তা‘মালূন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//جَآءَ/جَآءَ/jaa//بِالسَّیِّئَةِ/بِٱلسَّيِّئَةِ/bil-sayi-ati//فَكُبَّتْ/فَكُبَّتۡ/fakubbat//وُجُوْهُهُمْ/وُجُوهُهُمۡ/wujuhuhum//فِی/فِي/fi//النَّارِ ؕ/ٱلنَّارِ/al-nari//هَلْ/هَلۡ/hal//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং যে//আসবে//নিয়ে অসৎকর্ম//তখন নিক্ষেপ করা হবে//মুখ তাদের (উল্টোভাবে)//মধ্যে//আগুনের//\"(তাদের বলা হবে) কি//প্রতিফল দেয়া হয়েছে তোমাদেরকে//এ ছাড়া//যা//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 3250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3250.mp3"
              ],
              "text": "إِنَّمَآ أُمِرْتُ أَنْ أَعْبُدَ رَبَّ هَٰذِهِ ٱلْبَلْدَةِ ٱلَّذِى حَرَّمَهَا وَلَهُۥ كُلُّ شَىْءٍۢ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "আমি তো কেবল এই নগরীর প্রভুর এবাদত করতে আদিষ্ট হয়েছি, যিনি একে সম্মানিত করেছেন। এবং সব কিছু তাঁরই। আমি আরও আদিষ্ট হয়েছি যেন আমি আজ্ঞাবহদের একজন হই।",
              "numberInSurah": 91,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা উমিরতুআন আ‘বুদা রাব্বা হা-যিহিল বালদাতিল্লাযী হাররামাহা-ওয়ালাহূকুল্লু শাইয়িওঁ ওয়া উমিরতুআন আকূনা মিনাল মুছলিমীন।\r\n",
              "words_arabic": "اِنَّمَاۤ/إِنَّمَآ/innama//اُمِرْتُ/أُمِرۡتُ/umir'tu//اَنْ/أَنۡ/an//اَعْبُدَ/أَعۡبُدَ/a'buda//رَبَّ/رَبَّ/rabba//هٰذِهِ/هَٰذِهِ/hadhihi//الْبَلْدَةِ/ٱلۡبَلۡدَةِ/al-baldati//الَّذِیْ/ٱلَّذِي/alladhi//حَرَّمَهَا/حَرَّمَهَا/harramaha//وَ لَهٗ/وَلَهُۥ/walahu//كُلُّ/كُلُّ/kullu//شَیْءٍ ؗ/شَيۡءٖۖ/shayin//وَّ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//اَنْ/أَنۡ/an//اَكُوْنَ/أَكُونَ/akuna//مِنَ/مِنَ/mina//الْمُسْلِمِیْنَۙ/ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "\"মূলত//আমি আদিষ্ট হয়েছি//যেন//ইবাদত করি আমি//রবের//এই//শহরের (অর্থাৎ মাক্কার)//যিনি//সম্মানিত করেছেন তা//এবং জন্যে  তাঁরই (মালিকানায়)//প্রত্যেক//বস্তু//এবং আমি আদিষ্ট হয়েছি//যেন//আমি হই//অন্তর্ভুক্ত//আত্মসমর্পণকারীদের"
            },
            {
              "number": 3251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3251.mp3"
              ],
              "text": "وَأَنْ أَتْلُوَا۟ ٱلْقُرْءَانَ ۖ فَمَنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَقُلْ إِنَّمَآ أَنَا۠ مِنَ ٱلْمُنذِرِينَ",
              "translate_bn": "এবং যেন আমি কোরআন পাঠ করে শোনাই। পর যে ব্যক্তি সৎপথে চলে, সে নিজের কল্যাণার্থেই সৎপথে চলে এবং কেউ পথভ্রষ্ট হলে আপনি বলে দিন, আমি তো কেবল একজন ভীতি প্রদর্শনকারী।",
              "numberInSurah": 92,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন আতলুওয়াল কুরআ-না ফামানিহ তাদা-ফাইন্নামা-ইয়াহতাদী লিনাফছিহী ওয়া মান দাল্লা ফাকুল ইন্নামা আনা মিনাল মুনযিরীন।",
              "words_arabic": "وَ اَنْ/وَأَنۡ/wa-an//اَتْلُوَا/أَتۡلُوَاْ/atluwa//الْقُرْاٰنَ ۚ/ٱلۡقُرۡءَانَۖ/al-qur'ana//فَمَنِ/فَمَنِ/famani//اهْتَدٰی/ٱهۡتَدَىٰ/ih'tada//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَهْتَدِیْ/يَهۡتَدِي/yahtadi//لِنَفْسِهٖ ۚ/لِنَفۡسِهِۦۖ/linafsihi//وَ مَنْ/وَمَن/waman//ضَلَّ/ضَلَّ/dalla//فَقُلْ/فَقُلۡ/faqul//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//مِنَ/مِنَ/mina//الْمُنْذِرِیْنَ /ٱلۡمُنذِرِينَ/al-mundhirina",
              "words_bangla": "(এও)এবং যে//আমি তিলাওয়াত করবো//কুরআন\"//অতএব যে//সৎপথ অবলম্বন করবে//শুধুমাত্র//সে সৎপথ অবলম্বন করবে//জন্যে নিজের তার//আর যে//ভ্রান্তপথ অবলম্বন করবে//অতঃপর বলো//\"শুধুমাত্র//আমি//অন্তর্ভুক্ত//সতর্ককারীদের\""
            },
            {
              "number": 3252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3252.mp3"
              ],
              "text": "وَقُلِ ٱلْحَمْدُ لِلَّهِ سَيُرِيكُمْ ءَايَٰتِهِۦ فَتَعْرِفُونَهَا ۚ وَمَا رَبُّكَ بِغَٰفِلٍ عَمَّا تَعْمَلُونَ",
              "translate_bn": "এবং আরও বলুন, সমস্ত প্রশংসা আল্লাহর। সত্বরই তিনি তাঁর নিদর্শনসমূহ তোমাদেরকে দেখাবেন। তখন তোমরা তা চিনতে পারবে। এবং তোমরা যা কর, সে সম্পর্কে আপনার পালনকর্তা গাফেল নন।",
              "numberInSurah": 93,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 333,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লি হামদুলিল্লা-হি ছাইউরীকুম আ-য়া-তিহী ফাতা‘রিফূনাহা- ওয়ামা-রাব্বুকা বিগা-ফিলিন ‘আম্মা-তা‘মালূন।",
              "words_arabic": "وَ قُلِ/وَقُلِ/waquli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//سَیُرِیْكُمْ/سَيُرِيكُمۡ/sayurikum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//فَتَعْرِفُوْنَهَا ؕ/فَتَعۡرِفُونَهَاۚ/fata'rifunaha//وَ مَا/وَمَا/wama//رَبُّكَ/رَبُّكَ/rabbuka//بِغَافِلٍ/بِغَٰفِلٍ/bighafilin//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং বলো//\"সব প্রশংসা//জন্যে আল্লাহরই//শীঘ্রই তিনি দেখাবেন তোমাদেরকে//নিদের্শনাবলী তাঁর//তখন তোমরা চিনে নিবে সব তা//আর নন//তোমার রব//অমনোযোগী//সে সম্পর্কে যা//তোমরা কাজ করছো\""
            }
          ]
        },
        {
          "number": 28,
          "name": "سُورَةُ القَصَصِ",
          "englishName": "Al-Qasas",
          "englishNameTranslation": "The Stories",
          "revelationType": "Meccan",
          "verse": 88,
          "words": 2900,
          "chars": 11817,
          "ayahs": [
            {
              "number": 3253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3253.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ طسٓمٓ",
              "translate_bn": "ত্বা-সীন-মীম।",
              "numberInSurah": 1,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "তা-ছিম মীম।",
              "words_arabic": "طٰسٓمّٓ /طسٓمٓ/ta-seen-meem",
              "words_bangla": "ত্বা-সীন-মীম"
            },
            {
              "number": 3254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3254.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ٱلْمُبِينِ",
              "translate_bn": "এগুলো সুস্পষ্ট কিতাবের আয়াত।",
              "numberInSurah": 2,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-য়া-তুল কিতা-বিল মুবীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//الْمُبِیْنِ /ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "এই//আয়াতগুলো//কিতাবের//(যা) সুস্পষ্ট"
            },
            {
              "number": 3255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3255.mp3"
              ],
              "text": "نَتْلُوا۟ عَلَيْكَ مِن نَّبَإِ مُوسَىٰ وَفِرْعَوْنَ بِٱلْحَقِّ لِقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "আমি আপনার কাছে মূসা ও ফেরাউনের বৃত্তান্ত সত্য সহকারে বর্ণনা করছি ঈমানদার সম্প্রদায়ের জন্যে।",
              "numberInSurah": 3,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "নাতলূ‘আলাইকা মিন নাবাই মূছা-ওয়াফির‘আওনা বিলহাক্কিলিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "نَتْلُوْا/نَتۡلُواْ/natlu//عَلَیْكَ/عَلَيۡكَ/alayka//مِنْ/مِن/min//نَّبَاِ/نَّبَإِ/naba-i//مُوْسٰی/مُوسَىٰ/musa//وَ فِرْعَوْنَ/وَفِرۡعَوۡنَ/wafir'awna//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "আমরা তিলাওয়াত করছি//নিকট তোমার//কিছু//বৃত্তান্ত//মূসার//ও ফিরআউনের//ভাবে যথাযথ//জন্যে (এমন) সম্প্রদায়ের (যারা)//ঈমান আনে"
            },
            {
              "number": 3256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3256.mp3"
              ],
              "text": "إِنَّ فِرْعَوْنَ عَلَا فِى ٱلْأَرْضِ وَجَعَلَ أَهْلَهَا شِيَعًۭا يَسْتَضْعِفُ طَآئِفَةًۭ مِّنْهُمْ يُذَبِّحُ أَبْنَآءَهُمْ وَيَسْتَحْىِۦ نِسَآءَهُمْ ۚ إِنَّهُۥ كَانَ مِنَ ٱلْمُفْسِدِينَ",
              "translate_bn": "ফেরাউন তার দেশে উদ্ধত হয়েছিল এবং সে দেশবাসীকে বিভিন্ন দলে বিভক্ত করে তাদের একটি দলকে দূর্বল করে দিয়েছিল। সে তাদের পুত্র-সন্তানদেরকে হত্যা করত এবং নারীদেরকে জীবিত রাখত। নিশ্চয় সে ছিল অনর্থ সৃষ্টিকারী।",
              "numberInSurah": 4,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফির‘আওনা ‘আলা-ফিল আরদিওয়াজা‘আলা আহলাহা-শিইয়া‘আইঁ ইয়াছতাদ‘ইফু তাইফাতাম মিনহুম ইউযাব্বিহুআবনাআহুম ওয়াইয়াছতাহয়ী নিছাআহুম ইন্নাহূ কা-না মিনাল মুফছিদীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//عَلَا/عَلَا/ala//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ جَعَلَ/وَجَعَلَ/waja'ala//اَهْلَهَا/أَهۡلَهَا/ahlaha//شِیَعًا/شِيَعٗا/shiya'an//یَّسْتَضْعِفُ/يَسۡتَضۡعِفُ/yastad'ifu//طَآىِٕفَةً/طَآئِفَةٗ/taifatan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یُذَبِّحُ/يُذَبِّحُ/yudhabbihu//اَبْنَآءَهُمْ/أَبۡنَآءَهُمۡ/abnaahum//وَ یَسْتَحْیٖ/وَيَسۡتَحۡيِۦ/wayastahyi//نِسَآءَهُمْ ؕ/نِسَآءَهُمۡۚ/nisaahum//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "নিশ্চয়ই//ফিরআউন//উদ্ধৃত হয়েছিলো//মধ্যে//দেশের (অর্থাৎ মিশরে)//এবং (বিভক্ত) করেছিলো//অধিবাসীদেরকে তার//(বিভিন্ন) দলে//দূর্বল করে রেখে//একটি দলকে//মধ্যে হ'তে তাদের//সে জবেহ করতো//পুত্রসন্তানদেরকে তাদের//ও জীবিত রাখতো//নারীদেরকে তাদের//নিশ্চয়ই সে//ছিলো//অন্তর্ভুক্ত//বিপর্যয় সৃষ্টিকারীদের"
            },
            {
              "number": 3257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3257.mp3"
              ],
              "text": "وَنُرِيدُ أَن نَّمُنَّ عَلَى ٱلَّذِينَ ٱسْتُضْعِفُوا۟ فِى ٱلْأَرْضِ وَنَجْعَلَهُمْ أَئِمَّةًۭ وَنَجْعَلَهُمُ ٱلْوَٰرِثِينَ",
              "translate_bn": "দেশে যাদেরকে দূর্বল করা হয়েছিল, আমার ইচ্ছা হল তাদের প্রতি অনুগ্রহ করার, তাদেরকে নেতা করার এবং তাদেরকে দেশের উত্তরাধিকারী করার।",
              "numberInSurah": 5,
              "juz": 20,
              "manzil": 5,
              "page": 385,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়ানুরীদুআন্নামুন্না ‘আলাল্লাযীনাছতুদ‘ইফূফিল আরদি ওয়া নাজ‘আলাহুম আয়িম্মাতাওঁ ওয়া নাজ‘আলাহুমুল ওয়া-রিছীন।\r\n",
              "words_arabic": "وَ نُرِیْدُ/وَنُرِيدُ/wanuridu//اَنْ/أَن/an//نَّمُنَّ/نَّمُنَّ/namunna//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتُضْعِفُوْا/ٱسۡتُضۡعِفُواْ/us'tud'ifu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ نَجْعَلَهُمْ/وَنَجۡعَلَهُمۡ/wanaj'alahum//اَىِٕمَّةً/أَئِمَّةٗ/a-immatan//وَّ نَجْعَلَهُمُ/وَنَجۡعَلَهُمُ/wanaj'alahumu//الْوٰرِثِیْنَۙ/ٱلۡوَٰرِثِينَ/al-warithina",
              "words_bangla": "এবং আমরা চাই//যে//আমরা অনুগ্রহ করবো//(তাদের) উপর//যাদেরকে//দূর্বল করে রাখা হয়েছিলো//মধ্যে//দেশের//এবং আমরা করবো তাদেরকে//নেতা//ও আমরা বানাবো তাদেরকে//উত্তরাধিকারী"
            },
            {
              "number": 3258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3258.mp3"
              ],
              "text": "وَنُمَكِّنَ لَهُمْ فِى ٱلْأَرْضِ وَنُرِىَ فِرْعَوْنَ وَهَٰمَٰنَ وَجُنُودَهُمَا مِنْهُم مَّا كَانُوا۟ يَحْذَرُونَ",
              "translate_bn": "এবং তাদেরকে দেশের ক্ষমতায় আসীন করার এবং ফেরাউন, হামান ও তাদের সৈন্য-বাহিনীকে তা দেখিয়ে দেয়ার, যা তারা সেই দূর্বল দলের তরফ থেকে আশংকা করত।",
              "numberInSurah": 6,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুমাক্কিনা লাহুম ফিল আরদি ওয়া নুরিয়া ফির‘আওনা ওয়া হা-মা-না ওয়া জুনূদাহুমামিনহুম মা-কা-নূইয়াহযারূন।",
              "words_arabic": "وَ نُمَكِّنَ/وَنُمَكِّنَ/wanumakkina//لَهُمْ/لَهُمۡ/lahum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ نُرِیَ/وَنُرِيَ/wanuriya//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ هَامٰنَ/وَهَٰمَٰنَ/wahamana//وَ جُنُوْدَهُمَا/وَجُنُودَهُمَا/wajunudahuma//مِنْهُمْ/مِنۡهُم/min'hum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَحْذَرُوْنَ /يَحۡذَرُونَ/yahdharuna",
              "words_bangla": "এবং আমরা ক্ষমতাসীন করবো//তাদেরকে//মধ্যে//পৃথিবীর//এবং আমরা দেখাবো//ফিরআউনকে//ও হামানকে//ও উভয়ের সৈন্য বাহিনীকে তাদের//হ'তে তাদের (অর্থাৎ বনি ঈসরাঈল)//(সেইসব) যা//তারা ছিলো//আশংকা করে তারা"
            },
            {
              "number": 3259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3259.mp3"
              ],
              "text": "وَأَوْحَيْنَآ إِلَىٰٓ أُمِّ مُوسَىٰٓ أَنْ أَرْضِعِيهِ ۖ فَإِذَا خِفْتِ عَلَيْهِ فَأَلْقِيهِ فِى ٱلْيَمِّ وَلَا تَخَافِى وَلَا تَحْزَنِىٓ ۖ إِنَّا رَآدُّوهُ إِلَيْكِ وَجَاعِلُوهُ مِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "আমি মূসা-জননীকে আদেশ পাঠালাম যে, তাকে স্তন্য দান করতে থাক। অতঃপর যখন তুমি তার সম্পর্কে বিপদের আশংকা কর, তখন তাকে দরিয়ায় নিক্ষেপ কর এবং ভয় করো না, দুঃখও করো না। আমি অবশ্যই তাকে তোমার কাছে ফিরিয়ে দেব এবং তাকে পয়গম্বরগণের একজন করব।",
              "numberInSurah": 7,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওহাইনাইলাউম্মিা মূছাআন আরদি‘ঈহি ফাইযা-খিফতি ‘আলাইহি ফাআলকীহি ফিল ইয়াম্মি ওয়ালা-তাখা-ফী ওয়ালা-তাহঝানী ইন্না-রাদ্দূহু ইলাইকি ওয়া জা-‘ইলূহু মিনাল মুরছালীন।\r\n",
              "words_arabic": "وَ اَوْحَیْنَاۤ/وَأَوۡحَيۡنَآ/wa-awhayna//اِلٰۤی/إِلَىٰٓ/ila//اُمِّ/أُمِّ/ummi//مُوْسٰۤی/مُوسَىٰٓ/musa//اَنْ/أَنۡ/an//اَرْضِعِیْهِ ۚ/أَرۡضِعِيهِۖ/ardi'ihi//فَاِذَا/فَإِذَا/fa-idha//خِفْتِ/خِفۡتِ/khif'ti//عَلَیْهِ/عَلَيۡهِ/alayhi//فَاَلْقِیْهِ/فَأَلۡقِيهِ/fa-alqihi//فِی/فِي/fi//الْیَمِّ/ٱلۡيَمِّ/al-yami//وَ لَا/وَلَا/wala//تَخَافِیْ/تَخَافِي/takhafi//وَ لَا/وَلَا/wala//تَحْزَنِیْ ۚ/تَحۡزَنِيٓۖ/tahzani//اِنَّا/إِنَّا/inna//رَآدُّوْهُ/رَآدُّوهُ/radduhu//اِلَیْكِ/إِلَيۡكِ/ilayki//وَ جَاعِلُوْهُ/وَجَاعِلُوهُ/waja'iluhu//مِنَ/مِنَ/mina//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং ইঙ্গিতে বলেছিলাম আমরা//প্রতি//মায়ের//মূসার//যে//\"দুধপান করাও তাকে//অতঃপর যখন//তুমি আশংকা করবে//সম্পর্কে তার//তখন (ফেলে) দাও তাকে//মধ্যে//সাগরের//এবং না//ভয় করো//আর না//দুঃশ্চিন্তা করো//নিশ্চয়ই আমরা//ফিরিয়ে দিবো তাকে//কাছে তোমার//ও করবো তাকে//অন্তর্ভুক্ত//রাসূলদের\""
            },
            {
              "number": 3260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3260.mp3"
              ],
              "text": "فَٱلْتَقَطَهُۥٓ ءَالُ فِرْعَوْنَ لِيَكُونَ لَهُمْ عَدُوًّۭا وَحَزَنًا ۗ إِنَّ فِرْعَوْنَ وَهَٰمَٰنَ وَجُنُودَهُمَا كَانُوا۟ خَٰطِـِٔينَ",
              "translate_bn": "অতঃপর ফেরাউন পরিবার মূসাকে কুড়িয়ে নিল, যাতে তিনি তাদের শত্রু ও দুঃখের কারণ হয়ে যান। নিশ্চয় ফেরাউন, হামান, ও তাদের সৈন্যবাহিনী অপরাধী ছিল।",
              "numberInSurah": 8,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ফালতাকাতাহূ আ-লুফির‘আওনা লিয়াকূনা লাহুম ‘আদুওওয়াওঁ ওয়া হাঝানান ইন্না ফির‘আওনা ওয়া হা-মা-না ওয়া জুনূদাহুমা-কা-নূখা-তিঈন।",
              "words_arabic": "فَالْتَقَطَهٗۤ/فَٱلۡتَقَطَهُۥٓ/fal-taqatahu//اٰلُ/ءَالُ/alu//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//لِیَكُوْنَ/لِيَكُونَ/liyakuna//لَهُمْ/لَهُمۡ/lahum//عَدُوًّا/عَدُوّٗا/aduwwan//وَّ حَزَنًا ؕ/وَحَزَنًاۗ/wahazanan//اِنَّ/إِنَّ/inna//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ هَامٰنَ/وَهَٰمَٰنَ/wahamana//وَ جُنُوْدَهُمَا/وَجُنُودَهُمَا/wajunudahuma//كَانُوْا/كَانُواْ/kanu//خٰطِـِٕیْنَ /خَٰطِـِٔينَ/khatiina",
              "words_bangla": "অতঃপর তুলে নিলো তাকে//পরিবার//ফিরআউনের//যেন হয় সে//জন্যে তাদের//শত্রু//ও দুঃশ্চিন্তার কারণ//নিশ্চয়ই//ফিরআউন//ও হামান//ও উভয়ের সেনাবাহিনী তাদের//তারা ছিলো//অপরাধী"
            },
            {
              "number": 3261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3261.mp3"
              ],
              "text": "وَقَالَتِ ٱمْرَأَتُ فِرْعَوْنَ قُرَّتُ عَيْنٍۢ لِّى وَلَكَ ۖ لَا تَقْتُلُوهُ عَسَىٰٓ أَن يَنفَعَنَآ أَوْ نَتَّخِذَهُۥ وَلَدًۭا وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "ফেরাউনের স্ত্রী বলল, এ শিশু আমার ও তোমার নয়নমণি, তাকে হত্যা করো না। এ আমাদের উপকারে আসতে পারে অথবা আমরা তাকে পুত্র করে নিতে পারি। প্রকৃতপক্ষে পরিণাম সম্পর্কে তাদের কোন খবর ছিল না।",
              "numberInSurah": 9,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাতিমরাআতুফির‘আওনা কুররাতু‘আইনিললী ওয়ালাকা লা-তাকতুলূহু ‘আছা আইঁ ইয়ানফা‘আনাআও নাত্তাখিযাহূওয়ালাদাওঁ ওয়া হুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "وَ قَالَتِ/وَقَالَتِ/waqalati//امْرَاَتُ/ٱمۡرَأَتُ/im'ra-atu//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//قُرَّتُ/قُرَّتُ/qurratu//عَیْنٍ/عَيۡنٖ/aynin//لِّیْ/لِّي/li//وَ لَكَ ؕ/وَلَكَۖ/walaka//لَا/لَا/la//تَقْتُلُوْهُ ۖۗ/تَقۡتُلُوهُ/taqtuluhu//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّنْفَعَنَاۤ/يَنفَعَنَآ/yanfa'ana//اَوْ/أَوۡ/aw//نَتَّخِذَهٗ/نَتَّخِذَهُۥ/nattakhidhahu//وَلَدًا/وَلَدٗا/waladan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এবং বললো//স্ত্রী//ফিরআউনের//\"(এই বালক) প্রশান্তি//নয়নের//জন্যে আমার//ও জন্যে তোমার//না//তোমরা হত্যা করো তাকে//হয়তো//সে//উপকারে আসবে আমাদের//অথবা//আমরা গ্রহন করবো তাকে//পুত্রসন্তান হিসেবে\"//অথচ তারা//না//টেরও পায় (এর পরিমাণ)"
            },
            {
              "number": 3262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3262.mp3"
              ],
              "text": "وَأَصْبَحَ فُؤَادُ أُمِّ مُوسَىٰ فَٰرِغًا ۖ إِن كَادَتْ لَتُبْدِى بِهِۦ لَوْلَآ أَن رَّبَطْنَا عَلَىٰ قَلْبِهَا لِتَكُونَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "সকালে মূসা জননীর অন্তর অস্থির হয়ে পড়ল। যদি আমি তাঁর হৃদয়কে দৃঢ় করে না দিতাম, তবে তিনি মূসাজনিত অস্থিরতা প্রকাশ করেই দিতেন। দৃঢ় করলাম, যাতে তিনি থাকেন বিশ্ববাসীগণের মধ্যে।",
              "numberInSurah": 10,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়াআসবাহা ফুআ-দুউম্মি মূছা-ফা-রিগান ইন কা-দাত লাতুবদী বিহী লাওলাআর রাবাতনা-‘আলা-কালবিহা-লিতাকূনা মিনাল মু’মিনীন।",
              "words_arabic": "وَ اَصْبَحَ/وَأَصۡبَحَ/wa-asbaha//فُؤَادُ/فُؤَادُ/fuadu//اُمِّ/أُمِّ/ummi//مُوْسٰی/مُوسَىٰ/musa//فٰرِغًا ؕ/فَٰرِغًاۖ/farighan//اِنْ/إِن/in//كَادَتْ/كَادَتۡ/kadat//لَتُبْدِیْ/لَتُبۡدِي/latub'di//بِهٖ/بِهِۦ/bihi//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَن/an//رَّبَطْنَا/رَّبَطۡنَا/rabatna//عَلٰی/عَلَىٰ/ala//قَلْبِهَا/قَلۡبِهَا/qalbiha//لِتَكُوْنَ/لِتَكُونَ/litakuna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং হয়ে পড়লো//অন্তর//মায়ের//মূসার//বিচলিত//নিশ্চয়ই//উপক্রম হয়েছিলো যে//অবশ্যই সে প্রকাশ করবে//সম্পর্কে সে//যদি না//যে//দৃঢ় করতাম আমরা//ওপর//অন্তরের তার//যেন সে হয় (আমাদের প্রতিশ্রুতির প্রতি)//অন্তর্ভুক্ত//মু'মিনদের"
            },
            {
              "number": 3263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3263.mp3"
              ],
              "text": "وَقَالَتْ لِأُخْتِهِۦ قُصِّيهِ ۖ فَبَصُرَتْ بِهِۦ عَن جُنُبٍۢ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "তিনি মূসার ভগিণীকে বললেন, তার পেছন পেছন যাও। সে তাদের অজ্ঞাতসারে অপরিচিতা হয়ে তাকে দেখে যেতে লাগল।",
              "numberInSurah": 11,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 154,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাত লিউখতিহী কুসসীহি ফাবাসুরাত বিহী ‘আন জুনুবিওঁ ওয়াহুম লাইয়াশ‘উরূন।",
              "words_arabic": "وَ قَالَتْ/وَقَالَتۡ/waqalat//لِاُخْتِهٖ/لِأُخۡتِهِۦ/li-ukh'tihi//قُصِّیْهِ ؗ/قُصِّيهِۖ/qussihi//فَبَصُرَتْ/فَبَصُرَتۡ/fabasurat//بِهٖ/بِهِۦ/bihi//عَنْ/عَن/an//جُنُبٍ/جُنُبٖ/junubin//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَۙ/يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "এবং (তার মা) বললো//উদ্দেশ্যে তার বোনের//\"পিছনে পিছনে যাও তার\"//তাই সে দেখে যেতে থাকলো//প্রতি তার//হ'তে//দূর//অথচ তারা//না//টেরও পেলো"
            },
            {
              "number": 3264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3264.mp3"
              ],
              "text": "۞ وَحَرَّمْنَا عَلَيْهِ ٱلْمَرَاضِعَ مِن قَبْلُ فَقَالَتْ هَلْ أَدُلُّكُمْ عَلَىٰٓ أَهْلِ بَيْتٍۢ يَكْفُلُونَهُۥ لَكُمْ وَهُمْ لَهُۥ نَٰصِحُونَ",
              "translate_bn": "পূর্ব থেকেই আমি ধাত্রীদেরকে মূসা থেকে বিরত রেখেছিলাম। মূসার ভগিনী বলল, আমি তোমাদেরকে এমন এক পরিবারের কথা বলব কি, যারা তোমাদের জন্যে একে লালন-পালন করবে এবং তারা হবে তার হিতাকাঙ্ক্ষী?",
              "numberInSurah": 12,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাররামনা- ‘আলাইহিল মারা-দি‘আ মিন কাবলুফাকা-লাত হাল আদুললকুম ‘আলাআহলি বাইতিইঁ ইয়াকফুলূনাহূলাকুম ওয়াহুম লাহূনা-সিহূন।",
              "words_arabic": "وَ حَرَّمْنَا/۞وَحَرَّمۡنَا/waharramna//عَلَیْهِ/عَلَيۡهِ/alayhi//الْمَرَاضِعَ/ٱلۡمَرَاضِعَ/al-maradi'a//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//فَقَالَتْ/فَقَالَتۡ/faqalat//هَلْ/هَلۡ/hal//اَدُلُّكُمْ/أَدُلُّكُمۡ/adullukum//عَلٰۤی/عَلَىٰٓ/ala//اَهْلِ/أَهۡلِ/ahli//بَیْتٍ/بَيۡتٖ/baytin//یَّكْفُلُوْنَهٗ/يَكۡفُلُونَهُۥ/yakfulunahu//لَكُمْ/لَكُمۡ/lakum//وَ هُمْ/وَهُمۡ/wahum//لَهٗ/لَهُۥ/lahu//نٰصِحُوْنَ /نَٰصِحُونَ/nasihuna",
              "words_bangla": "এবং হারাম করে দিয়েছিলাম আমরা//উপর তার//স্তন্যদানকারিনীদেরকে//থেকেই//পূর্ব//অতঃপর বললো (তার বোন)//\"কি//আমি সন্ধান দেবো তোমাদেরকে//সম্বন্ধে//বাসিন্দাদের//এক ঘরের//তারা লালন পালন করবে তাকে//জন্যে তোমাদের//এবং তারা (হবে)//জন্যে তার//কল্যাণকামী\""
            },
            {
              "number": 3265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3265.mp3"
              ],
              "text": "فَرَدَدْنَٰهُ إِلَىٰٓ أُمِّهِۦ كَىْ تَقَرَّ عَيْنُهَا وَلَا تَحْزَنَ وَلِتَعْلَمَ أَنَّ وَعْدَ ٱللَّهِ حَقٌّۭ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "অতঃপর আমি তাকে জননীর কাছে ফিরিয়ে দিলাম, যাতে তার চক্ষু জুড়ায় এবং তিনি দুঃখ না করেন এবং যাতে তিনি জানেন যে, আল্লাহর ওয়াদা সত্য, কিন্তু অনেক মানুষ তা জানে না।",
              "numberInSurah": 13,
              "juz": 20,
              "manzil": 5,
              "page": 386,
              "ruku": 334,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফারাদাদনা-হুইলাউম্মিহী কাই তাকাররা ‘আইনুহা- ওয়ালা-তাহঝানা, ওয়ালিতা‘লামা আন্না ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "فَرَدَدْنٰهُ/فَرَدَدۡنَٰهُ/faradadnahu//اِلٰۤی/إِلَىٰٓ/ila//اُمِّهٖ/أُمِّهِۦ/ummihi//كَیْ/كَيۡ/kay//تَقَرَّ/تَقَرَّ/taqarra//عَیْنُهَا/عَيۡنُهَا/aynuha//وَ لَا/وَلَا/wala//تَحْزَنَ/تَحۡزَنَ/tahzana//وَ لِتَعْلَمَ/وَلِتَعۡلَمَ/walita'lama//اَنَّ/أَنَّ/anna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞ/haqqun//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতঃপর আমরা ফিরিয়ে দিই তাকে//নিকট//মায়ের তার//যেন//জুড়ায়//চক্ষু তার//এবং না//দুশ্চিন্তা করে//এবং যেন জানতে পারে//যে//প্রতিশ্রুতি//আল্লাহর//সত্য//কিন্তু//অধিকাংশই তাদের//না//জানে"
            },
            {
              "number": 3266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3266.mp3"
              ],
              "text": "وَلَمَّا بَلَغَ أَشُدَّهُۥ وَٱسْتَوَىٰٓ ءَاتَيْنَٰهُ حُكْمًۭا وَعِلْمًۭا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "যখন মূসা যৌবনে পদার্পন করলেন এবং পরিণত বয়স্ক হয়ে গেলেন, তখন আমি তাঁকে প্রজ্ঞা ও জ্ঞানদান করলাম। এমনিভাবে আমি সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 14,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাম্মা-বালাগা আশুদ্দাহূওয়াছতাওয়াআ-তাইনা-হু হুকমাওঁ ওয়া ‘ইলমাওঁ ওয়া কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//بَلَغَ/بَلَغَ/balagha//اَشُدَّهٗ/أَشُدَّهُۥ/ashuddahu//وَ اسْتَوٰۤی/وَٱسۡتَوَىٰٓ/wa-is'tawa//اٰتَیْنٰهُ/ءَاتَيۡنَٰهُ/ataynahu//حُكْمًا/حُكۡمٗا/huk'man//وَّ عِلْمًا ؕ/وَعِلۡمٗاۚ/wa'il'man//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং যখন//সে পৌঁছে//পূর্ণ যৌবনে তার//ও পরিণত বয়স্ক হলো//আমরা দান করলাম তাকে//প্রজ্ঞা//ও জ্ঞান//এবং এভাবে//আমরা পুরস্কার দিই//সৎকর্মশীলদেরকে"
            },
            {
              "number": 3267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3267.mp3"
              ],
              "text": "وَدَخَلَ ٱلْمَدِينَةَ عَلَىٰ حِينِ غَفْلَةٍۢ مِّنْ أَهْلِهَا فَوَجَدَ فِيهَا رَجُلَيْنِ يَقْتَتِلَانِ هَٰذَا مِن شِيعَتِهِۦ وَهَٰذَا مِنْ عَدُوِّهِۦ ۖ فَٱسْتَغَٰثَهُ ٱلَّذِى مِن شِيعَتِهِۦ عَلَى ٱلَّذِى مِنْ عَدُوِّهِۦ فَوَكَزَهُۥ مُوسَىٰ فَقَضَىٰ عَلَيْهِ ۖ قَالَ هَٰذَا مِنْ عَمَلِ ٱلشَّيْطَٰنِ ۖ إِنَّهُۥ عَدُوٌّۭ مُّضِلٌّۭ مُّبِينٌۭ",
              "translate_bn": "তিনি শহরে প্রবেশ করলেন, যখন তার অধিবাসীরা ছিল বেখবর। তথায় তিনি দুই ব্যক্তিকে লড়াইরত দেখলেন। এদের একজন ছিল তাঁর নিজ দলের এবং অন্য জন তাঁর শত্রু দলের। অতঃপর যে তাঁর নিজ দলের সে তাঁর শত্রু দলের লোকটির বিরুদ্ধে তাঁর কাছে সাহায্য প্রার্থনা করল। তখন মূসা তাকে ঘুষি মারলেন এবং এতেই তার মৃত্যু হয়ে গেল। মূসা বললেন, এটা শয়তানের কাজ। নিশ্চয় সে প্রকাশ্য শত্রু, বিভ্রান্তকারী।",
              "numberInSurah": 15,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়া দাখালাল মাদীনাতা ‘আলা-হীনি গাফলাতিম মিন আহলিহা-ফাওয়াজাদাফীহারাজুলাইনি ইয়াকতাতিলা-নি হা-যা-মিন শী‘আতিহী ওয়া হা-যা-মিন আদুওবিহী ফাছতাগা-ছাহুল্লাযী মিন শী‘আতিহী ‘আলাল্লাযী মিন ‘আদুওবিহী ফাওয়াকাঝাহূ মূছা-ফাকাদা-‘আলাইহি কা-লা হা-যা-মিন ‘আমালিশশাইতা-নি ইন্নাহূ ‘আদুওউম মুদিল্লুম মুবীন।",
              "words_arabic": "وَ دَخَلَ/وَدَخَلَ/wadakhala//الْمَدِیْنَةَ/ٱلۡمَدِينَةَ/al-madinata//عَلٰی/عَلَىٰ/ala//حِیْنِ/حِينِ/hini//غَفْلَةٍ/غَفۡلَةٖ/ghaflatin//مِّنْ/مِّنۡ/min//اَهْلِهَا/أَهۡلِهَا/ahliha//فَوَجَدَ/فَوَجَدَ/fawajada//فِیْهَا/فِيهَا/fiha//رَجُلَیْنِ/رَجُلَيۡنِ/rajulayni//یَقْتَتِلٰنِ ؗۗ/يَقۡتَتِلَانِ/yaqtatilani//هٰذَا/هَٰذَا/hadha//مِنْ/مِن/min//شِیْعَتِهٖ/شِيعَتِهِۦ/shi'atihi//وَ هٰذَا/وَهَٰذَا/wahadha//مِنْ/مِنۡ/min//عَدُوِّهٖ ۚ/عَدُوِّهِۦۖ/aduwwihi//فَاسْتَغَاثَهُ/فَٱسۡتَغَٰثَهُ/fa-is'taghathahu//الَّذِیْ/ٱلَّذِي/alladhi//مِنْ/مِن/min//شِیْعَتِهٖ/شِيعَتِهِۦ/shi'atihi//عَلَی/عَلَى/ala//الَّذِیْ/ٱلَّذِي/alladhi//مِنْ/مِنۡ/min//عَدُوِّهٖ ۙ/عَدُوِّهِۦ/aduwwihi//فَوَكَزَهٗ/فَوَكَزَهُۥ/fawakazahu//مُوْسٰی/مُوسَىٰ/musa//فَقَضٰی/فَقَضَىٰ/faqada//عَلَیْهِ ؗۗ/عَلَيۡهِۖ/alayhi//قَالَ/قَالَ/qala//هٰذَا/هَٰذَا/hadha//مِنْ/مِنۡ/min//عَمَلِ/عَمَلِ/amali//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۖ/al-shaytani//اِنَّهٗ/إِنَّهُۥ/innahu//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّضِلٌّ/مُّضِلّٞ/mudillun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং সে প্রবেশ করলো//শহরে//এমন//এক সময়ে (যখন)//অসতর্ক (ছিলো)//থেকে//অধিবাসীদের তার//অতঃপর সে পেলো//মধ্যে তার//দু'ব্যক্তিকে//তারা দু'জনে মারামারি করছে//এই (এক ব্যক্তি)//অন্তর্ভুক্ত//দলের তার//এবং এই (অন্য ব্যক্তি)//অন্তর্ভুক্ত//শত্রু তার (দলের)//অতঃপর সাহায্য চাইলো (নিকট) তার//(সে) যে (ছিলো)//অন্তর্ভুক্ত//দলের তার//বিরুদ্ধে//(তার) যে ছিলো//অন্তর্ভুক্ত//শত্রুর তার//তখন ঘুষি মারলো তাকে//মূসা//অতঃপর শেষ করলেন//ব্যাপার তার (অর্থাৎ সে মারা গেলো)//(সাথে সাথেই) সে বললো//\"এটা//অন্তর্ভুক্ত//কাজের//শয়তানের//নিশ্চয়ই সে//শ্ত্রু//বিভ্রান্তকারী//সুস্পষ্ট\""
            },
            {
              "number": 3268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3268.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّى ظَلَمْتُ نَفْسِى فَٱغْفِرْ لِى فَغَفَرَ لَهُۥٓ ۚ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "তিনি বললেন, হে আমার পালনকর্তা, আমি তো নিজের উপর জুলুম করে ফেলেছি। অতএব, আমাকে ক্ষমা করুন। আল্লাহ তাকে ক্ষমা করলেন। নিশ্চয় তিনি ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 16,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী জালামতুনাফছী ফাগফিরলী ফাগাফারা লাহূ ইন্নাহূহুওয়াল গাফূরুর রাহীম।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//ظَلَمْتُ/ظَلَمۡتُ/zalamtu//نَفْسِیْ/نَفۡسِي/nafsi//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لِیْ/لِي/li//فَغَفَرَ/فَغَفَرَ/faghafara//لَهٗ ؕ/لَهُۥٓۚ/lahu//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "সে বললো//\"হে আমার রব//নিশ্চয়ই আমি//অন্যায় করেছি//আমার নিজের (উপর)//অতএব ক্ষমা করো//আমাকে\"//অতঃপর ক্ষমা করলেন তিনি//তাকে//নিশ্চয়ই তিনি//তিনিই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3269.mp3"
              ],
              "text": "قَالَ رَبِّ بِمَآ أَنْعَمْتَ عَلَىَّ فَلَنْ أَكُونَ ظَهِيرًۭا لِّلْمُجْرِمِينَ",
              "translate_bn": "তিনি বললেন, হে আমার পালনকর্তা, আপনি আমার প্রতি যে অনুগ্রহ করেছেন, এরপর আমি কখনও অপরাধীদের সাহায্যকারী হব না।",
              "numberInSurah": 17,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি বিমাআন‘আমতা আলাইইয়া ফালান আকূনা জাহীরাল লিলমুজরিমীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//بِمَاۤ/بِمَآ/bima//اَنْعَمْتَ/أَنۡعَمۡتَ/an'amta//عَلَیَّ/عَلَيَّ/alayya//فَلَنْ/فَلَنۡ/falan//اَكُوْنَ/أَكُونَ/akuna//ظَهِیْرًا/ظَهِيرٗا/zahiran//لِّلْمُجْرِمِیْنَ /لِّلۡمُجۡرِمِينَ/lil'muj'rimina",
              "words_bangla": "সে বললো//\"হে আমার রব//শপথ ঐ বিষয়ের যা//তুমি অনুগ্রহ করেছো//উপর আমার//অতঃপর কখনও না//হবো আমি//সাহায্যকারী//জন্যে অপরাধীদের\""
            },
            {
              "number": 3270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3270.mp3"
              ],
              "text": "فَأَصْبَحَ فِى ٱلْمَدِينَةِ خَآئِفًۭا يَتَرَقَّبُ فَإِذَا ٱلَّذِى ٱسْتَنصَرَهُۥ بِٱلْأَمْسِ يَسْتَصْرِخُهُۥ ۚ قَالَ لَهُۥ مُوسَىٰٓ إِنَّكَ لَغَوِىٌّۭ مُّبِينٌۭ",
              "translate_bn": "অতঃপর তিনি প্রভাতে উঠলেন সে শহরে ভীত-শংকিত অবস্থায়। হঠাৎ তিনি দেখলেন, গতকল্য যে ব্যক্তি তাঁর সাহায্য চেয়েছিল, সে চিৎকার করে তাঁর সাহায্য প্রার্থনা করছে। মূসা তাকে বললেন, তুমি তো একজন প্রকাশ্য পথভ্রষ্ট ব্যক্তি।",
              "numberInSurah": 18,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফাআসবাহা ফিল মাদীনাতি খাইফাইঁ ইয়াতারাক্কাবুফাইযাল্লাযিছ তানসারাহূবিলআমছি ইয়াছতাসরিখুহু কা-লা লাহূমূছাইন্নাকা লাগাবিইউম মুবীন।",
              "words_arabic": "فَاَصْبَحَ/فَأَصۡبَحَ/fa-asbaha//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//خَآىِٕفًا/خَآئِفٗا/khaifan//یَّتَرَقَّبُ/يَتَرَقَّبُ/yataraqqabu//فَاِذَا/فَإِذَا/fa-idha//الَّذِی/ٱلَّذِي/alladhi//اسْتَنْصَرَهٗ/ٱسۡتَنصَرَهُۥ/is'tansarahu//بِالْاَمْسِ/بِٱلۡأَمۡسِ/bil-amsi//یَسْتَصْرِخُهٗ ؕ/يَسۡتَصۡرِخُهُۥۚ/yastasrikhuhu//قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//مُوْسٰۤی/مُوسَىٰٓ/musa//اِنَّكَ/إِنَّكَ/innaka//لَغَوِیٌّ/لَغَوِيّٞ/laghawiyyun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "অতঃপর সকালে উঠলো//মধ্যে//শহরের//ভীতসন্ত্রস্ত অবস্থায়//সতর্ক হয়ে//অতঃপর তখন (দেখলো)//যে//তার (কাছে) সাহায্য চেয়েছিলো//গতকাল//(আজও) তাকে চিৎকার করে ডাকছে//বললো//উদ্দেশ্যে তার//মূসা//\"নিশ্চয়ই তুমি//অবশ্যই বিভ্রান্ত//সুস্পষ্ট\""
            },
            {
              "number": 3271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3271.mp3"
              ],
              "text": "فَلَمَّآ أَنْ أَرَادَ أَن يَبْطِشَ بِٱلَّذِى هُوَ عَدُوٌّۭ لَّهُمَا قَالَ يَٰمُوسَىٰٓ أَتُرِيدُ أَن تَقْتُلَنِى كَمَا قَتَلْتَ نَفْسًۢا بِٱلْأَمْسِ ۖ إِن تُرِيدُ إِلَّآ أَن تَكُونَ جَبَّارًۭا فِى ٱلْأَرْضِ وَمَا تُرِيدُ أَن تَكُونَ مِنَ ٱلْمُصْلِحِينَ",
              "translate_bn": "অতঃপর মূসা যখন উভয়ের শত্রুকে শায়েস্তা করতে চাইলেন, তখন সে বলল, গতকল্য তুমি যেমন এক ব্যক্তিকে হত্যা করেছিলে, সে রকম আমাকেও কি হত্যা করতে চাও? তুমি তো পৃথিবীতে স্বৈরাচারী হতে চাচ্ছ এবং সন্ধি স্থাপনকারী হতে চাও না।",
              "numberInSurah": 19,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআন আরা-দা আইঁ ইয়াবতিশা বিল্লাযী হুওয়া ‘আদুওউল্লাহুমা- কা-লা ইয়া-মূছাআতুরীদুআন তাকতুলানী কামা-কাতালতা নাফছাম বিলআমছি ইন তুরীদু ইল্লাআন তাকূনা জাব্বা-রান ফিল আরদিওয়ামা-তুরীদুআন তাকূনা মিনাল মুসলিহীন।\r\n",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَنْ/أَنۡ/an//اَرَادَ/أَرَادَ/arada//اَنْ/أَن/an//یَّبْطِشَ/يَبۡطِشَ/yabtisha//بِالَّذِیْ/بِٱلَّذِي/bi-alladhi//هُوَ/هُوَ/huwa//عَدُوٌّ/عَدُوّٞ/aduwwun//لَّهُمَا ۙ/لَّهُمَا/lahuma//قَالَ/قَالَ/qala//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اَتُرِیْدُ/أَتُرِيدُ/aturidu//اَنْ/أَن/an//تَقْتُلَنِیْ/تَقۡتُلَنِي/taqtulani//كَمَا/كَمَا/kama//قَتَلْتَ/قَتَلۡتَ/qatalta//نَفْسًۢا/نَفۡسَۢا/nafsan//بِالْاَمْسِ ۖۗ/بِٱلۡأَمۡسِۖ/bil-amsi//اِنْ/إِن/in//تُرِیْدُ/تُرِيدُ/turidu//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//جَبَّارًا/جَبَّارٗا/jabbaran//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//تُرِیْدُ/تُرِيدُ/turidu//اَنْ/أَن/an//تَكُوْنَ/تَكُونَ/takuna//مِنَ/مِنَ/mina//الْمُصْلِحِیْنَ /ٱلۡمُصۡلِحِينَ/al-mus'lihina",
              "words_bangla": "অতঃপর যখন//যে//সে ইচ্ছে করলো//যে//সে ধরবে//তাকে//যে (ছিলো)//শত্রু//জন্যে তাদের উভয়ের//(ইসরাঈলী) বললো//\"হে মূসা//কি ততুমি চাচ্ছো//যে//তুমি হত্যা করবে আমাকে//যেমন//হত্যা করেছো তুমি//এক ব্যক্তিকে//গতকাল//না//তুমি চাচ্ছো//এ ছাড়া//যে//তুমি হবে//স্বেচ্ছাচারী//মধ্যে//এদেশের//আর না//তুমি চাও//যে//তুমি হবে//অন্তর্ভুক্ত//সংশোধনকারীদের\""
            },
            {
              "number": 3272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3272.mp3"
              ],
              "text": "وَجَآءَ رَجُلٌۭ مِّنْ أَقْصَا ٱلْمَدِينَةِ يَسْعَىٰ قَالَ يَٰمُوسَىٰٓ إِنَّ ٱلْمَلَأَ يَأْتَمِرُونَ بِكَ لِيَقْتُلُوكَ فَٱخْرُجْ إِنِّى لَكَ مِنَ ٱلنَّٰصِحِينَ",
              "translate_bn": "এসময় শহরের প্রান্ত থেকে একব্যক্তি ছুটে আসল এবং বলল, হে মূসা, রাজ্যের পরিষদবর্গ তোমাকে হত্যা করার পরমর্শ করছে। অতএব, তুমি বের হয়ে যাও। আমি তোমার হিতাকাঙ্ক্ষী।",
              "numberInSurah": 20,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআ রাজুলুম মিন আকসাল মাদীনাতি ইয়াছ‘আ- কা-লা ইয়া-মূছাইন্নাল মালায়া ইয়া’তামিরূনা বিকা লিইয়াকতুলূকা ফাখরুজ ইন্নী লাকা মিনান না-সিহীন।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//رَجُلٌ/رَجُلٞ/rajulun//مِّنْ/مِّنۡ/min//اَقْصَا/أَقۡصَا/aqsa//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//یَسْعٰی ؗ/يَسۡعَىٰ/yas'a//قَالَ/قَالَ/qala//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنَّ/إِنَّ/inna//الْمَلَاَ/ٱلۡمَلَأَ/al-mala-a//یَاْتَمِرُوْنَ/يَأۡتَمِرُونَ/yatamiruna//بِكَ/بِكَ/bika//لِیَقْتُلُوْكَ/لِيَقۡتُلُوكَ/liyaqtuluka//فَاخْرُجْ/فَٱخۡرُجۡ/fa-ukh'ruj//اِنِّیْ/إِنِّي/inni//لَكَ/لَكَ/laka//مِنَ/مِنَ/mina//النّٰصِحِیْنَ /ٱلنَّـٰصِحِينَ/al-nasihina",
              "words_bangla": "এবং (এরপর) আসলো//এক ব্যক্তি//হ'তে//দূর প্রান্ত//শহরের//দৌঁড়িয়ে//সে বললো//\"হে মূসা//নিশ্চয়ই//সভাষদবর্গ//পরামর্শ করেছে//নিয়ে তোমার//যাতে তারা তোমাকে হত্যা করে//সুতরাং বের হয়ে যাও//নিশ্চয়ই আমি//ব্যাপারে তোমার//অন্তর্ভুক্ত//মঙ্গলকামীদের\""
            },
            {
              "number": 3273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3273.mp3"
              ],
              "text": "فَخَرَجَ مِنْهَا خَآئِفًۭا يَتَرَقَّبُ ۖ قَالَ رَبِّ نَجِّنِى مِنَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর তিনি সেখান থেকে ভীত অবস্থায় বের হয়ে পড়লেন পথ দেখতে দেখতে। তিনি বললেন, হে আমার পালনকর্তা, আমাকে জালেম সম্প্রদায়ের কবল থেকে রক্ষা কর।",
              "numberInSurah": 21,
              "juz": 20,
              "manzil": 5,
              "page": 387,
              "ruku": 335,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফাখারাজা মিনহা-খা-ইফাইঁ ইয়াতারাক্কাবু কা-লা রাব্বি নাজ্জিনী মিনাল কাওমিজ্জা-লিমীন।",
              "words_arabic": "فَخَرَجَ/فَخَرَجَ/fakharaja//مِنْهَا/مِنۡهَا/min'ha//خَآىِٕفًا/خَآئِفٗا/khaifan//یَّتَرَقَّبُ ؗ/يَتَرَقَّبُۖ/yataraqqabu//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//نَجِّنِیْ/نَجِّنِي/najjini//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ۠ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "তখন সে বের হলো//সেখান হ'তে//ভীত অবস্থায়//সতর্ক হয়ে//(মূসা) বললো//\"হে আমার রব//আমাকে উদ্ধার করো//হ'তে//সম্প্রদায়//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 3274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3274.mp3"
              ],
              "text": "وَلَمَّا تَوَجَّهَ تِلْقَآءَ مَدْيَنَ قَالَ عَسَىٰ رَبِّىٓ أَن يَهْدِيَنِى سَوَآءَ ٱلسَّبِيلِ",
              "translate_bn": "যখন তিনি মাদইয়ান অভিমুখে রওয়ানা হলেন তখন বললেন, আশা করা যায় আমার পালনকর্তা আমাকে সরল পথ দেখাবেন।",
              "numberInSurah": 22,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-তাওয়াজ্জাহা তিলকাআ মাদইয়ানা কা-লা ‘আছা-রাববীআই ইয়াহদিয়ানী ছাওয়াআছছাবীল।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//تَوَجَّهَ/تَوَجَّهَ/tawajjaha//تِلْقَآءَ/تِلۡقَآءَ/til'qaa//مَدْیَنَ/مَدۡيَنَ/madyana//قَالَ/قَالَ/qala//عَسٰی/عَسَىٰ/asa//رَبِّیْۤ/رَبِّيٓ/rabbi//اَنْ/أَن/an//یَّهْدِیَنِیْ/يَهۡدِيَنِي/yahdiyani//سَوَآءَ/سَوَآءَ/sawaa//السَّبِیْلِ /ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "এবং যখন//মুখ ফেরালো (রওনা হলো)//দিকে//মাদইয়ানের//সে বললো//\"আশা করা যায়//আমার রব//যে//প্রদর্শন করবেন আমাকে//সরল//পথ\""
            },
            {
              "number": 3275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3275.mp3"
              ],
              "text": "وَلَمَّا وَرَدَ مَآءَ مَدْيَنَ وَجَدَ عَلَيْهِ أُمَّةًۭ مِّنَ ٱلنَّاسِ يَسْقُونَ وَوَجَدَ مِن دُونِهِمُ ٱمْرَأَتَيْنِ تَذُودَانِ ۖ قَالَ مَا خَطْبُكُمَا ۖ قَالَتَا لَا نَسْقِى حَتَّىٰ يُصْدِرَ ٱلرِّعَآءُ ۖ وَأَبُونَا شَيْخٌۭ كَبِيرٌۭ",
              "translate_bn": "যখন তিনি মাদইয়ানের কূপের ধারে পৌছলেন, তখন কূপের কাছে একদল লোককে পেলেন তারা জন্তুদেরকে পানি পান করানোর কাজে রত। এবং তাদের পশ্চাতে দূ’জন স্ত্রীলোককে দেখলেন তারা তাদের জন্তুদেরকে আগলিয়ে রাখছে। তিনি বললেন, তোমাদের কি ব্যাপার? তারা বলল, আমরা আমাদের জন্তুদেরকে পানি পান করাতে পারি না, যে পর্যন্ত রাখালরা তাদের জন্তুদেরকে নিয়ে সরে না যায়। আমাদের পিতা খুবই বৃদ্ধ।",
              "numberInSurah": 23,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-ওয়ারাদা মাআ মাদইয়ানা ওয়াজাদা ‘আলাইহি উম্মাতাম মিনান্না-ছি ইয়াছকূনা ওয়া ওয়াজাদা মিন দূনিহিমুমরাআতাইনি তাযূদা-নি কা-লা মা-খাতবুকুমা- কা-লাতা-লা-নাছকী হাত্তা-ইউসদিরার রি‘আউ ওয়া আবূনা-শাইখুন কাবীর।\r\n",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//وَرَدَ/وَرَدَ/warada//مَآءَ/مَآءَ/maa//مَدْیَنَ/مَدۡيَنَ/madyana//وَجَدَ/وَجَدَ/wajada//عَلَیْهِ/عَلَيۡهِ/alayhi//اُمَّةً/أُمَّةٗ/ummatan//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//یَسْقُوْنَ ؗ۬/يَسۡقُونَ/yasquna//وَ وَجَدَ/وَوَجَدَ/wawajada//مِنْ/مِن/min//دُوْنِهِمُ/دُونِهِمُ/dunihimu//امْرَاَتَیْنِ/ٱمۡرَأَتَيۡنِ/im'ra-atayni//تَذُوْدٰنِ ۚ/تَذُودَانِۖ/tadhudani//قَالَ/قَالَ/qala//مَا/مَا/ma//خَطْبُكُمَا ؕ/خَطۡبُكُمَاۖ/khatbukuma//قَالَتَا/قَالَتَا/qalata//لَا/لَا/la//نَسْقِیْ/نَسۡقِي/nasqi//حَتّٰی/حَتَّىٰ/hatta//یُصْدِرَ/يُصۡدِرَ/yus'dira//الرِّعَآءُ ٚ/ٱلرِّعَآءُۖ/al-ri'au//وَ اَبُوْنَا/وَأَبُونَا/wa-abuna//شَیْخٌ/شَيۡخٞ/shaykhun//كَبِیْرٌ /كَبِيرٞ/kabirun",
              "words_bangla": "আর যখন//পৌঁছলো//পানির (কূপের নিকট)//মাদইয়ানের//সে পেলো//কাছে তার//একদল//মধ্য হ'তে//লোকদের//পানি পান করাচ্ছে (নিজেদের জন্তুগুলোকে)//এবং সে পেলো//ছাড়াও//তাদের//দু'জন স্ত্রীলোককে//দু'জনে আগলে রেখেছে (তাদের জন্তুগুলোকে)//(মূসা) বললো//\"কি//ব্যাপার তোমাদের দু'জনের\"//দু'জনে বললো//\"না//\"আমরা পানি পান করাই//যতক্ষণ না//সরিয়ে নিয়ে যায়//রাখালরা (তাদের জন্তুগুলো)//এবং আমাদের আব্বা//বৃদ্ধ\"//অতিশয় (তাই আমরা এসেছি)\""
            },
            {
              "number": 3276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3276.mp3"
              ],
              "text": "فَسَقَىٰ لَهُمَا ثُمَّ تَوَلَّىٰٓ إِلَى ٱلظِّلِّ فَقَالَ رَبِّ إِنِّى لِمَآ أَنزَلْتَ إِلَىَّ مِنْ خَيْرٍۢ فَقِيرٌۭ",
              "translate_bn": "অতঃপর মূসা তাদের জন্তুদেরকে পানি পান করালেন। অতঃপর তিনি ছায়ার দিকে সরে গেলেন এবং বললেন, হে আমার পালনকর্তা, তুমি আমার প্রতি যে অনুগ্রহ নাযিল করবে, আমি তার মুখাপেক্ষী।",
              "numberInSurah": 24,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফাছাকা-লাহুমা-ছু ম্মা তাওয়াল্লাইলাজজিলিল ফাকা-লা রাব্বি ইন্নী লিমাআনঝালতা ইলাইইয়া মিন খাইরিন ফাকীর।\r\n",
              "words_arabic": "فَسَقٰی/فَسَقَىٰ/fasaqa//لَهُمَا/لَهُمَا/lahuma//ثُمَّ/ثُمَّ/thumma//تَوَلّٰۤی/تَوَلَّىٰٓ/tawalla//اِلَی/إِلَى/ila//الظِّلِّ/ٱلظِّلِّ/al-zili//فَقَالَ/فَقَالَ/faqala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//لِمَاۤ/لِمَآ/lima//اَنْزَلْتَ/أَنزَلۡتَ/anzalta//اِلَیَّ/إِلَيَّ/ilayya//مِنْ/مِنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//فَقِیْرٌ /فَقِيرٞ/faqirun",
              "words_bangla": "তখন সে পানি পান করালো//পক্ষে তাদের দু'জনের (জন্তুগুলোকে)//এরপর//ফিরে গেলো//দিকে//ছায়ার//অতঃপর বললো//\"হে আমার রব//নিশ্চয়ই আমি//তার প্রতি যা//অবতীর্ণ করবে তুমি//প্রতি আমার//কোনো//কল্যাণ//(আমি তারই)মুখাপেক্ষী\""
            },
            {
              "number": 3277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3277.mp3"
              ],
              "text": "فَجَآءَتْهُ إِحْدَىٰهُمَا تَمْشِى عَلَى ٱسْتِحْيَآءٍۢ قَالَتْ إِنَّ أَبِى يَدْعُوكَ لِيَجْزِيَكَ أَجْرَ مَا سَقَيْتَ لَنَا ۚ فَلَمَّا جَآءَهُۥ وَقَصَّ عَلَيْهِ ٱلْقَصَصَ قَالَ لَا تَخَفْ ۖ نَجَوْتَ مِنَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর বালিকাদ্বয়ের একজন লজ্জাজড়িত পদক্ষেপে তাঁর কাছে আগমন করল। বলল, আমার পিতা আপনাকে ডাকছেন, যাতে আপনি যে আমাদেরকে পানি পান করিয়েছেন, তার বিনিময়ে পুরস্কার প্রদান করেন। অতঃপর মূসা যখন তাঁর কাছে গেলেন এবং সমস্ত বৃত্তান্ত বর্ণনা করলেন, তখন তিনি বললেন, ভয় করো না, তুমি জালেম সম্প্রদায়ের কবল থেকে রক্ষা পেয়েছ।",
              "numberInSurah": 25,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "ফাজাআতহু ইহদা-হুমা-তামশী ‘আলাছ তিহইয়া-ইন, কা-লাত ইন্না আবী ইয়াদ‘ঊকা লিইয়াজঝিয়াকা আজরামা-ছাকাইতা লানা- ফালাম্মা-জাআহূওয়া কাসসা ‘আলাইহিল কাসাসা কা-লা লা-তাখাফ নাজাওতা মিনাল কাওমিজ্জালিমীন।",
              "words_arabic": "فَجَآءَتْهُ/فَجَآءَتۡهُ/fajaathu//اِحْدٰىهُمَا/إِحۡدَىٰهُمَا/ih'dahuma//تَمْشِیْ/تَمۡشِي/tamshi//عَلَی/عَلَى/ala//اسْتِحْیَآءٍ ؗ/ٱسۡتِحۡيَآءٖ/is'tih'yain//قَالَتْ/قَالَتۡ/qalat//اِنَّ/إِنَّ/inna//اَبِیْ/أَبِي/abi//یَدْعُوْكَ/يَدۡعُوكَ/yad'uka//لِیَجْزِیَكَ/لِيَجۡزِيَكَ/liyajziyaka//اَجْرَ/أَجۡرَ/ajra//مَا/مَا/ma//سَقَیْتَ/سَقَيۡتَ/saqayta//لَنَا ؕ/لَنَاۚ/lana//فَلَمَّا/فَلَمَّا/falamma//جَآءَهٗ/جَآءَهُۥ/jaahu//وَ قَصَّ/وَقَصَّ/waqassa//عَلَیْهِ/عَلَيۡهِ/alayhi//الْقَصَصَ ۙ/ٱلۡقَصَصَ/al-qasasa//قَالَ/قَالَ/qala//لَا/لَا/la//تَخَفْ ۫ۥ/تَخَفۡۖ/takhaf//نَجَوْتَ/نَجَوۡتَ/najawta//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর কাছে আসলো তার//দু'জনের একজন তাদের//হেঁটে//সাথে//লজ্জা ও শালিনতার//(মেয়েটি) বললো//\"নিশ্চয়ই//আমার পিতা (শোয়াইব আঃ)//আপনাকে ডাকছেন//যাতে তিনি আপনাকে প্রতিদান দিতে পারেন//পারিশ্রমিক//(তার) যা//আপনি (জন্তুগুলোকে) পানি পান করিয়েছেন//পক্ষ হয়ে আমাদের\"//অতঃপর যখন//সে আসলো কাছে তার//ও বর্ণনা করলো//কাছে তার//সব বৃত্তান্ত//সে বললো//\"না//ভয় করো//তুমি বেঁচে গিয়েছো//হ'তে//সম্প্রদায়//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 3278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3278.mp3"
              ],
              "text": "قَالَتْ إِحْدَىٰهُمَا يَٰٓأَبَتِ ٱسْتَـْٔجِرْهُ ۖ إِنَّ خَيْرَ مَنِ ٱسْتَـْٔجَرْتَ ٱلْقَوِىُّ ٱلْأَمِينُ",
              "translate_bn": "বালিকাদ্বয়ের একজন বলল পিতাঃ তাকে চাকর নিযুক্ত করুন। কেননা, আপনার চাকর হিসেবে সে-ই উত্তম হবে, যে শক্তিশালী ও বিশ্বস্ত।",
              "numberInSurah": 26,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "কা-লাত ইহদা-হুমা-ইয়াআবাতিছ তা’জিরহু ইন্না খাইরা মানিছতা’জারতাল কাবিইয়ুউল আমীন।",
              "words_arabic": "قَالَتْ/قَالَتۡ/qalat//اِحْدٰىهُمَا/إِحۡدَىٰهُمَا/ih'dahuma//یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//اسْتَاْجِرْهُ ؗ/ٱسۡتَـٔۡجِرۡهُۖ/is'tajir'hu//اِنَّ/إِنَّ/inna//خَیْرَ/خَيۡرَ/khayra//مَنِ/مَنِ/mani//اسْتَاْجَرْتَ/ٱسۡتَـٔۡجَرۡتَ/is'tajarta//الْقَوِیُّ/ٱلۡقَوِيُّ/al-qawiyu//الْاَمِیْنُ /ٱلۡأَمِينُ/al-aminu",
              "words_bangla": "বললো//একজন তাদের//\"হে আমার পিতা//তাকে মজুর নিযুক্ত করুন//নিশ্চয়ই//(সেই) উত্তম//যাকে//আপনি মজুর নিযুক্ত করবেন//(যে) শক্তিশালী//বিশ্বস্ত\""
            },
            {
              "number": 3279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3279.mp3"
              ],
              "text": "قَالَ إِنِّىٓ أُرِيدُ أَنْ أُنكِحَكَ إِحْدَى ٱبْنَتَىَّ هَٰتَيْنِ عَلَىٰٓ أَن تَأْجُرَنِى ثَمَٰنِىَ حِجَجٍۢ ۖ فَإِنْ أَتْمَمْتَ عَشْرًۭا فَمِنْ عِندِكَ ۖ وَمَآ أُرِيدُ أَنْ أَشُقَّ عَلَيْكَ ۚ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "পিতা মূসাকে বললেন, আমি আমার এই কন্যাদ্বয়ের একজনকে তোমার সাথে বিবাহে দিতে চাই এই শর্তে যে, তুমি আট বছর আমার চাকুরী করবে, যদি তুমি দশ বছর পূর্ণ কর, তা তোমার ইচ্ছা। আমি তোমাকে কষ্ট দিতে চাই না। আল্লাহ চাহেন তো তুমি আমাকে সৎকর্মপরায়ণ পাবে।",
              "numberInSurah": 27,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নীউরীদুআন উনকিহাকা ইহদাব নাতাইইয়া হা-তাইনি ‘আলাআন তা’জুরানী ছামা-নিয়া হিজাজিন ফাইন আতমামতা ‘আশরান ফামিন ‘ইনদিকা ওয়ামাউরীদু আন আশুক্কা ‘আলাইকা ছাতাজিদুনীইন শাআল্লা-হু মিনাসসা-লিহীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنِّیْۤ/إِنِّيٓ/inni//اُرِیْدُ/أُرِيدُ/uridu//اَنْ/أَنۡ/an//اُنْكِحَكَ/أُنكِحَكَ/unkihaka//اِحْدَی/إِحۡدَى/ih'da//ابْنَتَیَّ/ٱبۡنَتَيَّ/ib'natayya//هٰتَیْنِ/هَٰتَيۡنِ/hatayni//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//تَاْجُرَنِیْ/تَأۡجُرَنِي/tajurani//ثَمٰنِیَ/ثَمَٰنِيَ/thamaniya//حِجَجٍ ۚ/حِجَجٖۖ/hijajin//فَاِنْ/فَإِنۡ/fa-in//اَتْمَمْتَ/أَتۡمَمۡتَ/atmamta//عَشْرًا/عَشۡرٗا/ashran//فَمِنْ/فَمِنۡ/famin//عِنْدِكَ ۚ/عِندِكَۖ/indika//وَ مَاۤ/وَمَآ/wama//اُرِیْدُ/أُرِيدُ/uridu//اَنْ/أَنۡ/an//اَشُقَّ/أَشُقَّ/ashuqqa//عَلَیْكَ ؕ/عَلَيۡكَۚ/alayka//سَتَجِدُنِیْۤ/سَتَجِدُنِيٓ/satajiduni//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "সে বললো//\"নিশ্চয়ই আমি//চাই//যে//তোমার সঙ্গে আমি বিয়ে দিবো//একজনকে//আমার কন্যা দু'জনের//এই দু'য়ের//এ শর্তে//যে//আমার কাজ করবে তুমি//আট//বছর//অতঃপর যদি//তুমি পূর্ণ করো//দশ (বছর)//তবে (তা হবে) হ'তে//তোমার নিকট//আর না//আমি চাই//যে//কষ্ট দিবো//উপর তোমার//অচিরেই তুমি পাবে আমাকে//যদি//চান//আল্লাহ//অন্তর্ভুক্ত//সৎকর্মশীলদের\""
            },
            {
              "number": 3280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3280.mp3"
              ],
              "text": "قَالَ ذَٰلِكَ بَيْنِى وَبَيْنَكَ ۖ أَيَّمَا ٱلْأَجَلَيْنِ قَضَيْتُ فَلَا عُدْوَٰنَ عَلَىَّ ۖ وَٱللَّهُ عَلَىٰ مَا نَقُولُ وَكِيلٌۭ",
              "translate_bn": "মূসা বললেন, আমার ও আপনার মধ্যে এই চুক্তি স্থির হল। দু’টি মেয়াদের মধ্য থেকে যে কোন একটি পূর্ণ করলে আমার বিরুদ্ধে কোন অভিযোগ থাকবে না। আমরা যা বলছি, তাতে আল্লাহর উপর ভরসা।",
              "numberInSurah": 28,
              "juz": 20,
              "manzil": 5,
              "page": 388,
              "ruku": 336,
              "hizbQuarter": 155,
              "sajda": false,
              "pronunciation_bn": "কা-লা যা-লিকা বাইনি ওয়া বাইনাকা আইইয়ামাল আজালাইনি কাদাইতুফালা‘উদওয়া-না ‘আলাইইয়া ওয়াল্লা-হু ‘আলা-মা-নাকূলুওয়াকীল।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//ذٰلِكَ/ذَٰلِكَ/dhalika//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكَ ؕ/وَبَيۡنَكَۖ/wabaynaka//اَیَّمَا/أَيَّمَا/ayyama//الْاَجَلَیْنِ/ٱلۡأَجَلَيۡنِ/al-ajalayni//قَضَیْتُ/قَضَيۡتُ/qadaytu//فَلَا/فَلَا/fala//عُدْوَانَ/عُدۡوَٰنَ/ud'wana//عَلَیَّ ؕ/عَلَيَّۖ/alayya//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//نَقُوْلُ/نَقُولُ/naqulu//وَكِیْلٌ۠/وَكِيلٞ/wakilun",
              "words_bangla": "(মূসা) বললো//\"এটা (চুক্তি)//মাঝে আমার//ও মাঝে তোমার//যে কোনোটি//দুই মেয়াদের//আমি পূর্ণ করবো//এরপর না (থাকবে)//কোনো বাড়াবাড়ি//বিরুদ্ধে আমার//এবং আল্লাহ//উপর//যা//আমরা বলছি//কর্মবিধায়ক\""
            },
            {
              "number": 3281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3281.mp3"
              ],
              "text": "۞ فَلَمَّا قَضَىٰ مُوسَى ٱلْأَجَلَ وَسَارَ بِأَهْلِهِۦٓ ءَانَسَ مِن جَانِبِ ٱلطُّورِ نَارًۭا قَالَ لِأَهْلِهِ ٱمْكُثُوٓا۟ إِنِّىٓ ءَانَسْتُ نَارًۭا لَّعَلِّىٓ ءَاتِيكُم مِّنْهَا بِخَبَرٍ أَوْ جَذْوَةٍۢ مِّنَ ٱلنَّارِ لَعَلَّكُمْ تَصْطَلُونَ",
              "translate_bn": "অতঃপর মূসা (আঃ) যখন সেই মেয়াদ পূর্ণ করল এবং সপরিবারে যাত্রা করল, তখন সে তুর পর্বতের দিক থেকে আগুন দেখতে পেল। সে তার পরিবারবর্গকে বলল, তোমরা অপেক্ষা কর, আমি আগুন দেখেছি। সম্ভবতঃ আমি সেখান থেকে তোমাদের কাছে কোন খবর নিয়ে আসতে পারি অথবা কোন জ্বলন্ত কাষ্ঠখন্ড আনতে পারি, যাতে তোমরা আগুন পোহাতে পার।",
              "numberInSurah": 29,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-কাদা-মূছাল আজালা ওয়াছা-রা বিআহলিহীআ-নাছা মিন জা-নিবিততুরি নারান কা-লা লিআহলিহিমকুছূদ্ম ইন্নীআ-নাছতুনা-রাল্লা‘আললীআ-তীকুম মিন হাবিখাবারিন আও জাযওয়াতিম মিনান্না-রি লা‘আল্লাকুম তাসতালূন।",
              "words_arabic": "فَلَمَّا/۞فَلَمَّا/falamma//قَضٰی/قَضَىٰ/qada//مُوْسَی/مُوسَى/musa//الْاَجَلَ/ٱلۡأَجَلَ/al-ajala//وَ سَارَ/وَسَارَ/wasara//بِاَهْلِهٖۤ/بِأَهۡلِهِۦٓ/bi-ahlihi//اٰنَسَ/ءَانَسَ/anasa//مِنْ/مِن/min//جَانِبِ/جَانِبِ/janibi//الطُّوْرِ/ٱلطُّورِ/al-turi//نَارًا ۚ/نَارٗاۖ/naran//قَالَ/قَالَ/qala//لِاَهْلِهِ/لِأَهۡلِهِ/li-ahlihi//امْكُثُوْۤا/ٱمۡكُثُوٓاْ/um'kuthu//اِنِّیْۤ/إِنِّيٓ/inni//اٰنَسْتُ/ءَانَسۡتُ/anastu//نَارًا/نَارٗا/naran//لَّعَلِّیْۤ/لَّعَلِّيٓ/la'alli//اٰتِیْكُمْ/ءَاتِيكُم/atikum//مِّنْهَا/مِّنۡهَا/min'ha//بِخَبَرٍ/بِخَبَرٍ/bikhabarin//اَوْ/أَوۡ/aw//جَذْوَةٍ/جَذۡوَةٖ/jadhwatin//مِّنَ/مِّنَ/mina//النَّارِ/ٱلنَّارِ/al-nari//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَصْطَلُوْنَ /تَصۡطَلُونَ/tastaluna",
              "words_bangla": "অতঃপর যখন//পূর্ণ করলো//মূসা//নির্দিষ্ট মেয়াদ//ও যাত্রা করলো//নিয়ে তার পরিবার//সে দেখলো//হ'তে//দিক//তুর পাহাড়ের//আগুন//(তখন) সে বললো//উদ্দেশ্যে তার পরিবারের//\"তোমরা অপেক্ষা করো//নিশ্চয়ই আমি//আমি দেখেছি//আগুন//সম্ভবতঃ আমি//তোমাদের কাছে আমি আসবো//হ'তে সেখান//নিয়ে কোন তথ্য//অথবা//জ্বলন্ত অঙ্গার//হ'তে//আগুন//যাতে তোমরা//আগুন পোহাতে পারো\""
            },
            {
              "number": 3282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3282.mp3"
              ],
              "text": "فَلَمَّآ أَتَىٰهَا نُودِىَ مِن شَٰطِئِ ٱلْوَادِ ٱلْأَيْمَنِ فِى ٱلْبُقْعَةِ ٱلْمُبَٰرَكَةِ مِنَ ٱلشَّجَرَةِ أَن يَٰمُوسَىٰٓ إِنِّىٓ أَنَا ٱللَّهُ رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "যখন সে তার কাছে পৌছল, তখন পবিত্র ভূমিতে অবস্থিত উপত্যকার ডান প্রান্তের বৃক্ষ থেকে তাকে আওয়াজ দেয়া হল, হে মূসা! আমি আল্লাহ, বিশ্ব পালনকর্তা।",
              "numberInSurah": 30,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআতা-হা-নূদিয়া মিন শা-তিইল ওয়া-দিল আইমানি ফিল বুক‘আতিল মুবা-রাকাতি মিনাশশাজারাতি আইঁ ইয়া-মূছাইন্নীআনাল্লা-হু রাব্বুল ‘আ-লামীন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَتٰىهَا/أَتَىٰهَا/ataha//نُوْدِیَ/نُودِيَ/nudiya//مِنْ/مِن/min//شَاطِئِ/شَٰطِيِٕ/shati-i//الْوَادِ/ٱلۡوَادِ/al-wadi//الْاَیْمَنِ/ٱلۡأَيۡمَنِ/al-aymani//فِی/فِي/fi//الْبُقْعَةِ/ٱلۡبُقۡعَةِ/al-buq'ati//الْمُبٰرَكَةِ/ٱلۡمُبَٰرَكَةِ/al-mubarakati//مِنَ/مِنَ/mina//الشَّجَرَةِ/ٱلشَّجَرَةِ/al-shajarati//اَنْ/أَن/an//یّٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اِنِّیْۤ/إِنِّيٓ/inni//اَنَا/أَنَا/ana//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَۙ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অতঃপর যখন//সেখানে আসলো//তাকে ডাকা হলো//হ'তে//প্রান্ত//উপত্যকার//ডানদিকের//উপর//ভূখন্ডের//পবিত্র//হ'তে//একটি গাছ//(এ বলে) যে//\"হে মূসা//নিশ্চয়ই//আমি//আল্লাহ//রব//বিশ্বজগতের"
            },
            {
              "number": 3283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3283.mp3"
              ],
              "text": "وَأَنْ أَلْقِ عَصَاكَ ۖ فَلَمَّا رَءَاهَا تَهْتَزُّ كَأَنَّهَا جَآنٌّۭ وَلَّىٰ مُدْبِرًۭا وَلَمْ يُعَقِّبْ ۚ يَٰمُوسَىٰٓ أَقْبِلْ وَلَا تَخَفْ ۖ إِنَّكَ مِنَ ٱلْءَامِنِينَ",
              "translate_bn": "আরও বলা হল, তুমি তোমার লাঠি নিক্ষেপ কর। অতঃপর যখন সে লাঠিকে সর্পের ন্যায় দৌড়াদৌড়ি করতে দেখল, তখন সে মুখ ফিরিয়ে বিপরীত দিকে পালাতে লাগল এবং পেছন ফিরে দেখল না। হে মূসা, সামনে এস এবং ভয় করো না। তোমার কোন আশংকা নেই।",
              "numberInSurah": 31,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন আলকি‘আসা-কা ফালাম্মা-রাআ-হা-তাহতাঝঝুকাআন্নাহা-জান্নুওঁ ওয়াল্লা-মুদবিরাওঁ ওয়া লাম ইউআক্কিব ইয়া-মূছা আকবিল ওয়ালা-তাখাফ ইন্নাকা মিনাল আ-মিনীন।",
              "words_arabic": "وَ اَنْ/وَأَنۡ/wa-an//اَلْقِ/أَلۡقِ/alqi//عَصَاكَ ؕ/عَصَاكَۚ/asaka//فَلَمَّا/فَلَمَّا/falamma//رَاٰهَا/رَءَاهَا/raaha//تَهْتَزُّ/تَهۡتَزُّ/tahtazzu//كَاَنَّهَا/كَأَنَّهَا/ka-annaha//جَآنٌّ/جَآنّٞ/jannun//وَّلّٰی/وَلَّىٰ/walla//مُدْبِرًا/مُدۡبِرٗا/mud'biran//وَّ لَمْ/وَلَمۡ/walam//یُعَقِّبْ ؕ/يُعَقِّبۡۚ/yu'aqqib//یٰمُوْسٰۤی/يَٰمُوسَىٰٓ/yamusa//اَقْبِلْ/أَقۡبِلۡ/aqbil//وَ لَا/وَلَا/wala//تَخَفْ ۫/تَخَفۡۖ/takhaf//اِنَّكَ/إِنَّكَ/innaka//مِنَ/مِنَ/mina//الْاٰمِنِیْنَ /ٱلۡأٓمِنِينَ/al-aminina",
              "words_bangla": "এবং (বলা হলো) যে//ছোঁড়ো//তোমার লাঠিকে\"//অতঃপর যখন//সে দেখলো তা//হামাগুড়ি দিয়ে চলছে//যেন তা//সাপ//(তখন) সে ফিরে পালালো//পিছন দিকে//এবং না//মুখ ফিরে দেখলো//\"(বলা হলো) হে মূসা//সামনে এসো//এবং না//ভয় করো//নিশ্চয়ই তুমি//অন্তর্ভুক্ত//নিরাপদদের"
            },
            {
              "number": 3284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3284.mp3"
              ],
              "text": "ٱسْلُكْ يَدَكَ فِى جَيْبِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍۢ وَٱضْمُمْ إِلَيْكَ جَنَاحَكَ مِنَ ٱلرَّهْبِ ۖ فَذَٰنِكَ بُرْهَٰنَانِ مِن رَّبِّكَ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦٓ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًۭا فَٰسِقِينَ",
              "translate_bn": "তোমার হাত বগলে রাখ। তা বের হয়ে আসবে নিরাময় উজ্জ্বল হয়ে এবং ভয় হেতু তোমার হাত তোমার উপর চেপে ধর। এই দু’টি ফেরাউন ও তার পরিষদবর্গের প্রতি তোমার পালনকর্তার তরফ থেকে প্রমাণ। নিশ্চয় তারা পাপাচারী সম্প্রদায়।",
              "numberInSurah": 32,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "উছলুক ইয়াদাকা ফী জাইবিকা তাখরুজ বাইদাআ মিন গাইরি ছূইওঁ ওয়াদমুম ইলাইকা জানা-হাকা মিনাররাহবি ফাযা-নিকা বুরহা-না-নি মিররাব্বিকা ইলা-ফির‘আওনা ওয়া মালাইহী ইন্নাহুম কা-নূকাওমান ফা-ছিকীন।",
              "words_arabic": "اُسْلُكْ/ٱسۡلُكۡ/us'luk//یَدَكَ/يَدَكَ/yadaka//فِیْ/فِي/fi//جَیْبِكَ/جَيۡبِكَ/jaybika//تَخْرُجْ/تَخۡرُجۡ/takhruj//بَیْضَآءَ/بَيۡضَآءَ/baydaa//مِنْ/مِنۡ/min//غَیْرِ/غَيۡرِ/ghayri//سُوْٓءٍ ؗ/سُوٓءٖ/suin//وَّ اضْمُمْ/وَٱضۡمُمۡ/wa-ud'mum//اِلَیْكَ/إِلَيۡكَ/ilayka//جَنَاحَكَ/جَنَاحَكَ/janahaka//مِنَ/مِنَ/mina//الرَّهْبِ/ٱلرَّهۡبِۖ/al-rahbi//فَذٰنِكَ/فَذَٰنِكَ/fadhanika//بُرْهَانٰنِ/بُرۡهَٰنَانِ/bur'hanani//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ ؕ/وَمَلَإِيْهِۦٓۚ/wamala-ihi//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمًا/قَوۡمٗا/qawman//فٰسِقِیْنَ /فَٰسِقِينَ/fasiqina",
              "words_bangla": "প্রবেশ করাও//তোমার হাত//মধ্যে//তোমার বগলের//তা বের হবে//উজ্জ্বল হয়ে//কোনো//ছাড়াই//দোষ//এবং চেপে ধরো (মিলাও)//উপর (দিকে) তোমার (বুকের)//তোমার হাত (বাঁচার জন্যে)//কারণে//ভয়ের//অতএব এই দু'টো (হলো)//দু'টো প্রমাণ//পক্ষ হ'তে//তোমার রবের//প্রতি//ফিরআউনের//ও তার সভাষদবর্গের (প্রতি)//নিশ্চয়ই তারা//তারা ছিলো//সম্প্রদায়//সত্যত্যাগী\""
            },
            {
              "number": 3285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3285.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّى قَتَلْتُ مِنْهُمْ نَفْسًۭا فَأَخَافُ أَن يَقْتُلُونِ",
              "translate_bn": "মূসা বলল, হে আমার পালনকর্তা, আমি তাদের এক ব্যক্তিকে হত্যা করেছি। কাজেই আমি ভয় করছি যে, তারা আমাকে হত্যা করবে।",
              "numberInSurah": 33,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী কাতালতুমিনহুম নাফছান ফাআখা-ফুআইঁ ইয়াকতুলূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//قَتَلْتُ/قَتَلۡتُ/qataltu//مِنْهُمْ/مِنۡهُمۡ/min'hum//نَفْسًا/نَفۡسٗا/nafsan//فَاَخَافُ/فَأَخَافُ/fa-akhafu//اَنْ/أَن/an//یَّقْتُلُوْنِ /يَقۡتُلُونِ/yaqtuluni",
              "words_bangla": "সে বললো//\"হে আমার রব//নিশ্চয়ই আমি//আমি হত্যা করেছি//মধ্য হ'তে তাদের//এক ব্যক্তিকে//অতএব আমি ভয় করি//যে//আমাকে তারা হত্যা করবে"
            },
            {
              "number": 3286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3286.mp3"
              ],
              "text": "وَأَخِى هَٰرُونُ هُوَ أَفْصَحُ مِنِّى لِسَانًۭا فَأَرْسِلْهُ مَعِىَ رِدْءًۭا يُصَدِّقُنِىٓ ۖ إِنِّىٓ أَخَافُ أَن يُكَذِّبُونِ",
              "translate_bn": "আমার ভাই হারুণ, সে আমা অপেক্ষা প্রাঞ্জলভাষী। অতএব, তাকে আমার সাথে সাহায্যের জন্যে প্রেরণ করুন। সে আমাকে সমর্থন জানাবে। আমি আশংকা করি যে, তারা আমাকে মিথ্যাবাদী বলবে।",
              "numberInSurah": 34,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া আখী হা-রূনুহুওয়া আফসাহুমিন্নী লিছা-নান ফাআরছিলহু মা‘ইয়া রিদআইঁ ইউসাদ্দিকু নীইন্নী আখা-ফুআইঁ ইউকাযযি বূন।",
              "words_arabic": "وَ اَخِیْ/وَأَخِي/wa-akhi//هٰرُوْنُ/هَٰرُونُ/harunu//هُوَ/هُوَ/huwa//اَفْصَحُ/أَفۡصَحُ/afsahu//مِنِّیْ/مِنِّي/minni//لِسَانًا/لِسَانٗا/lisanan//فَاَرْسِلْهُ/فَأَرۡسِلۡهُ/fa-arsil'hu//مَعِیَ/مَعِيَ/ma'iya//رِدْاً/رِدۡءٗا/rid'an//یُّصَدِّقُنِیْۤ ؗ/يُصَدِّقُنِيٓۖ/yusaddiquni//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اَنْ/أَن/an//یُّكَذِّبُوْنِ /يُكَذِّبُونِ/yukadhibuni",
              "words_bangla": "এবং আমার ভাই//হারুন//সে//অধিক বাকপটু//আমার চেয়ে//ভাষায়//সুতরাং তাকে পাঠাও//আমার সাথে//সহায়ক হিসেবে//আমাকে সে সমর্থন করবে//নিশ্চয়ই আমি//আশংকা করি//যে//আমাকে তারা মিথ্যাবাদী বলবে\""
            },
            {
              "number": 3287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3287.mp3"
              ],
              "text": "قَالَ سَنَشُدُّ عَضُدَكَ بِأَخِيكَ وَنَجْعَلُ لَكُمَا سُلْطَٰنًۭا فَلَا يَصِلُونَ إِلَيْكُمَا ۚ بِـَٔايَٰتِنَآ أَنتُمَا وَمَنِ ٱتَّبَعَكُمَا ٱلْغَٰلِبُونَ",
              "translate_bn": "আল্লাহ বললেন, আমি তোমার বাহু শক্তিশালী করব তোমার ভাই দ্বারা এবং তোমাদের প্রধান্য দান করব। ফলে, তারা তোমার কাছে পৌছাতে পারবে না। আমার নিদর্শনাবলীর জোরে তোমরা এবং তোমাদের অনুসারীরা প্রবল থাকবে।",
              "numberInSurah": 35,
              "juz": 20,
              "manzil": 5,
              "page": 389,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "কা-লা ছানাশুদ্দু‘আদুদাকা বিআখীকা ওয়া নাজ‘আলুলাকুমা-ছুলতা-নান ফালা-ইয়াসিলূনা ইলাইকুমা-বিআ-য়া-তিনা আনতুমা-ওয়া মানিততাবা‘আকুমাল গা-লিবূন।",
              "words_arabic": "قَالَ/قَالَ/qala//سَنَشُدُّ/سَنَشُدُّ/sanashuddu//عَضُدَكَ/عَضُدَكَ/adudaka//بِاَخِیْكَ/بِأَخِيكَ/bi-akhika//وَ نَجْعَلُ/وَنَجۡعَلُ/wanaj'alu//لَكُمَا/لَكُمَا/lakuma//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//فَلَا/فَلَا/fala//یَصِلُوْنَ/يَصِلُونَ/yasiluna//اِلَیْكُمَا ۛۚ/إِلَيۡكُمَا/ilaykuma//بِاٰیٰتِنَاۤ ۛۚ/بِـَٔايَٰتِنَآۚ/biayatina//اَنْتُمَا/أَنتُمَا/antuma//وَ مَنِ/وَمَنِ/wamani//اتَّبَعَكُمَا/ٱتَّبَعَكُمَا/ittaba'akuma//الْغٰلِبُوْنَ /ٱلۡغَٰلِبُونَ/al-ghalibuna",
              "words_bangla": "আল্লাহ (বলেন)//\"অচিরেই আমরা শক্ত করবো//তোমার বাহুকে//দ্বারা তোমার ভাই//এবং আমরা দিবো//জন্যে তোমাদের দু'জনের//প্রাধান্য//সুতরাং না//তারা পৌঁছুতে পারবে (কষ্ট দিতে)//নিকটে তোমাদের দু'জনের//মাধ্যমে আমাদের নিদর্শনগুলোর//তোমরা দু'জন//এবং যারা//অনুসরণ করবে তোমাদের দু'জনকে//বিজয়ী হবে\""
            },
            {
              "number": 3288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3288.mp3"
              ],
              "text": "فَلَمَّا جَآءَهُم مُّوسَىٰ بِـَٔايَٰتِنَا بَيِّنَٰتٍۢ قَالُوا۟ مَا هَٰذَآ إِلَّا سِحْرٌۭ مُّفْتَرًۭى وَمَا سَمِعْنَا بِهَٰذَا فِىٓ ءَابَآئِنَا ٱلْأَوَّلِينَ",
              "translate_bn": "অতঃপর মূসা যখন তাদের কাছে আমার সুস্পষ্ট নিদর্শনাবলী নিয়ে পৌছল, তখন তারা বলল, এতো অলীক জাদু মাত্র। আমরা আমাদের পূর্বপুরুষদের মধ্যে এ কথা শুনিনি।",
              "numberInSurah": 36,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- জাআহুম মূছা- বিআ-য়া-তিনা বাইয়িনা-তিন কা-লূমা- হা-যা ইল্লাছিহরুম মুফতারাওঁ ওয়ামা-ছামি‘না-বিহা-যা-ফীআ-বাইনাল আওওয়ালীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُم/jaahum//مُّوْسٰی/مُّوسَىٰ/musa//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//قَالُوْا/قَالُواْ/qalu//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّفْتَرًی/مُّفۡتَرٗى/muf'taran//وَّ مَا/وَمَا/wama//سَمِعْنَا/سَمِعۡنَا/sami'na//بِهٰذَا/بِهَٰذَا/bihadha//فِیْۤ/فِيٓ/fi//اٰبَآىِٕنَا/ءَابَآئِنَا/abaina//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "অতঃপর যখন//আসলো তাদের কাছে//মূসা//নিয়ে আমাদের নিদর্শনাবলী//সুস্পষ্ট//তারা বললো//\"নয়//এটা//এ ছাড়া যে//জাদু//অলীক//এবং না//শুনেছি আমরা//সম্পর্কে এটা//মধ্যে (নিকট)//আমাদের পিতৃপুরুষদের\"//পূর্বেকার\""
            },
            {
              "number": 3289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3289.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰ رَبِّىٓ أَعْلَمُ بِمَن جَآءَ بِٱلْهُدَىٰ مِنْ عِندِهِۦ وَمَن تَكُونُ لَهُۥ عَٰقِبَةُ ٱلدَّارِ ۖ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّٰلِمُونَ",
              "translate_bn": "মূসা বলল, আমার পালনকর্তা সম্যক জানেন যে তার নিকট থেকে হেদায়েতের কথা নিয়ে আগমন করেছে এবং যে প্রাপ্ত হবে পরকালের গৃহ। নিশ্চয় জালেমরা সফলকাম হবে না।",
              "numberInSurah": 37,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মূছা-রাববীআ‘লামুবিমান জাআ বিলহুদা-মিন ‘ইনদিহী ওয়া মান তাকূনুলাহূ ‘আ-কিবাতুদ দা-রি ইন্নাহূলা-ইউফলিহুজ্জা-লিমূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰی/مُوسَىٰ/musa//رَبِّیْۤ/رَبِّيٓ/rabbi//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//جَآءَ/جَآءَ/jaa//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//مِنْ/مِنۡ/min//عِنْدِهٖ/عِندِهِۦ/indihi//وَ مَنْ/وَمَن/waman//تَكُوْنُ/تَكُونُ/takunu//لَهٗ/لَهُۥ/lahu//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الدَّارِ ؕ/ٱلدَّارِۚ/al-dari//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "এবং বললো//মূসা//\"আমার রব//খুব ভাল জানেন//(তার) সম্পর্কে যে//এসেছে//নিয়ে পথ নির্দেশ//হ'তে//নিকট তাঁর//এবং কে//(শুভ) হবে//জন্যে তাঁর//পরিণাম//আখিরাতের//নিশ্চয়ই তা(এমন যে)//না//সফলকাম হয়//সীমালঙ্ঘনকারীরা\""
            },
            {
              "number": 3290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3290.mp3"
              ],
              "text": "وَقَالَ فِرْعَوْنُ يَٰٓأَيُّهَا ٱلْمَلَأُ مَا عَلِمْتُ لَكُم مِّنْ إِلَٰهٍ غَيْرِى فَأَوْقِدْ لِى يَٰهَٰمَٰنُ عَلَى ٱلطِّينِ فَٱجْعَل لِّى صَرْحًۭا لَّعَلِّىٓ أَطَّلِعُ إِلَىٰٓ إِلَٰهِ مُوسَىٰ وَإِنِّى لَأَظُنُّهُۥ مِنَ ٱلْكَٰذِبِينَ",
              "translate_bn": "ফেরাউন বলল, হে পরিষদবর্গ, আমি জানি না যে, আমি ব্যতীত তোমাদের কোন উপাস্য আছে। হে হামান, তুমি ইট পোড়াও, অতঃপর আমার জন্যে একটি প্রাসাদ নির্মাণ কর, যাতে আমি মূসার উপাস্যকে উকি মেরে দেখতে পারি। আমার তো ধারণা এই যে, সে একজন মিথ্যাবাদী।",
              "numberInSurah": 38,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ফির‘আওনুইয়াআইয়ুহাল মালাউ মা-‘আলিমতুলাকুম মিন ইলা-হিন গাইরী ফাআওকিদ লী ইয়া-হা-মা-নু‘আলাততীনি ফাজ‘আললী সারহাল লা‘আললীআত্তালি‘উ ইলাইলা-হি মূছা-ওয়া ইন্নী লাআজুন্নুহূমিনাল কা-যিবীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مَا/مَا/ma//عَلِمْتُ/عَلِمۡتُ/alim'tu//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//غَیْرِیْ ۚ/غَيۡرِي/ghayri//فَاَوْقِدْ/فَأَوۡقِدۡ/fa-awqid//لِیْ/لِي/li//یٰهَامٰنُ/يَٰهَٰمَٰنُ/yahamanu//عَلَی/عَلَى/ala//الطِّیْنِ/ٱلطِّينِ/al-tini//فَاجْعَلْ/فَٱجۡعَل/fa-ij'al//لِّیْ/لِّي/li//صَرْحًا/صَرۡحٗا/sarhan//لَّعَلِّیْۤ/لَّعَلِّيٓ/la'alli//اَطَّلِعُ/أَطَّلِعُ/attali'u//اِلٰۤی/إِلَىٰٓ/ila//اِلٰهِ/إِلَٰهِ/ilahi//مُوْسٰی ۙ/مُوسَىٰ/musa//وَ اِنِّیْ/وَإِنِّي/wa-inni//لَاَظُنُّهٗ/لَأَظُنُّهُۥ/la-azunnuhu//مِنَ/مِنَ/mina//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "এবং বললো//ফেরআউন//\"হে//\"সভাষদবৃন্দ//না//আমি জানি//জন্যে তোমাদের//কোনো//ইলাহ//আমি ছাড়া//সুতরাং জ্বালাও আগুন//জন্যে আমার//হে হামান//উপর//মাটির (অর্থাৎ ইট তৈরী করো)//অতঃপর বানাও//জন্যে আমার//সুউচ্চ প্রাসাদ//যাতে আমি//আমি চড়ে দেখতে পারি//প্রতি//ইলাহর//মূসার//এবং নিশ্চয়ই আমি//অবশ্যই আমি মনে করি তাকে//অন্তর্ভুক্ত//মিথ্যাবাদীদের\""
            },
            {
              "number": 3291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3291.mp3"
              ],
              "text": "وَٱسْتَكْبَرَ هُوَ وَجُنُودُهُۥ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَظَنُّوٓا۟ أَنَّهُمْ إِلَيْنَا لَا يُرْجَعُونَ",
              "translate_bn": "ফেরাউন ও তার বাহিনী অন্যায়ভাবে পৃথিবীতে অহংকার করতে লাগল এবং তারা মনে করল যে, তারা আমার কাছে প্রত্যাবর্তিত হবে না।",
              "numberInSurah": 39,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতাকবারা হুওয়া ওয়া জুনূদুহূফিল আরদি বিগাইরিল হাক্কি ওয়া জাননূআন্নাহুম ইলাইনা-লা-ইউরজা‘ঊন।",
              "words_arabic": "وَ اسْتَكْبَرَ/وَٱسۡتَكۡبَرَ/wa-is'takbara//هُوَ/هُوَ/huwa//وَ جُنُوْدُهٗ/وَجُنُودُهُۥ/wajunuduhu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنَّهُمْ/أَنَّهُمۡ/annahum//اِلَیْنَا/إِلَيۡنَا/ilayna//لَا/لَا/la//یُرْجَعُوْنَ /يُرۡجَعُونَ/yur'ja'una",
              "words_bangla": "এবং সে অহংকার করলো//সে//ও তার সৈন্য বাহিনী//মধ্যে//পৃথিবীর//ছাড়া//কোনো অধিকার//এবং তারা মনে করেছিলো//যে তারা//দিকে আমাদের//না//তারা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 3292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3292.mp3"
              ],
              "text": "فَأَخَذْنَٰهُ وَجُنُودَهُۥ فَنَبَذْنَٰهُمْ فِى ٱلْيَمِّ ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর আমি তাকে ও তার বাহিনীকে পাকড়াও করলাম, তৎপর আমি তাদেরকে সমু˦#2503;দ্র নিক্ষেপ করলাম। অতএব, দেখ জালেমদের পরিণাম কি হয়েছে।",
              "numberInSurah": 40,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযনা-হু ওয়া জুনূদাহূফানাবাযনা-হুম ফিল ইয়াম্মি ফানজু র কাইফা কা-না ‘আকিবাতুজ্জা-লিমীন।",
              "words_arabic": "فَاَخَذْنٰهُ/فَأَخَذۡنَٰهُ/fa-akhadhnahu//وَ جُنُوْدَهٗ/وَجُنُودَهُۥ/wajunudahu//فَنَبَذْنٰهُمْ/فَنَبَذۡنَٰهُمۡ/fanabadhnahum//فِی/فِي/fi//الْیَمِّ ۚ/ٱلۡيَمِّۖ/al-yami//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর আমরা ধরলাম তাকে//ও তার সৈন্যবাহিনীকেও//অতঃপর আমরা নিক্ষেপ করলাম তাদেরকে//মধ্যে//সমুদ্রের//এখন দেখো//কেমন//হয়েছিলো//পরিণাম//সীমালঙ্ঘনকারীদের"
            },
            {
              "number": 3293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3293.mp3"
              ],
              "text": "وَجَعَلْنَٰهُمْ أَئِمَّةًۭ يَدْعُونَ إِلَى ٱلنَّارِ ۖ وَيَوْمَ ٱلْقِيَٰمَةِ لَا يُنصَرُونَ",
              "translate_bn": "আমি তাদেরকে নেতা করেছিলাম। তারা জাহান্নামের দিকে আহবান করত। কেয়ামতের দিন তারা সাহায্য প্রাপ্ত হবে না।",
              "numberInSurah": 41,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-হুম আইম্মাতাইঁ ইয়াদ‘ঊনা ইলান্না-রি ওয়া ইয়াওমাল কিয়া-মাতি লাইউনসারূন।",
              "words_arabic": "وَ جَعَلْنٰهُمْ/وَجَعَلۡنَٰهُمۡ/waja'alnahum//اَىِٕمَّةً/أَئِمَّةٗ/a-immatan//یَّدْعُوْنَ/يَدۡعُونَ/yad'una//اِلَی/إِلَى/ila//النَّارِ ۚ/ٱلنَّارِۖ/al-nari//وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//لَا/لَا/la//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "আমরা বানিয়েছিলাম তাদেরকে//নেতৃবৃন্দ (অথচ)//তারা ডাকে (লোকদেরকে)//দিকে//জাহান্নামের//এবং দিনে//ক্বিয়ামাতের//না//তাদের সাহায্য করা হবে"
            },
            {
              "number": 3294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3294.mp3"
              ],
              "text": "وَأَتْبَعْنَٰهُمْ فِى هَٰذِهِ ٱلدُّنْيَا لَعْنَةًۭ ۖ وَيَوْمَ ٱلْقِيَٰمَةِ هُم مِّنَ ٱلْمَقْبُوحِينَ",
              "translate_bn": "আমি এই পৃথিবীতে অভিশাপকে তাদের পশ্চাতে লাগিয়ে দিয়েছি এবং কেয়ামতের দিন তারা হবে দুর্দশাগ্রস্ত।",
              "numberInSurah": 42,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 337,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতবা‘না-হুম ফী হা-যিহিদদুনইয়া-লা‘নাতাওঁ ওয়া ইয়াওমাল কিয়া-মাতি হুম মিনাল মাকবূহীন।",
              "words_arabic": "وَ اَتْبَعْنٰهُمْ/وَأَتۡبَعۡنَٰهُمۡ/wa-atba'nahum//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//لَعْنَةً ۚ/لَعۡنَةٗۖ/la'natan//وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//هُمْ/هُم/hum//مِّنَ/مِّنَ/mina//الْمَقْبُوْحِیْنَ۠/ٱلۡمَقۡبُوحِينَ/al-maqbuhina",
              "words_bangla": "এবং আমরা লাগিয়ে দিয়েছি পিছনে তাদের//মধ্যে//এই//দুনিয়ার//অভিশাপ//এবং দিনে//ক্বিয়ামাতের//তারা (হবে)//অন্তর্ভুক্ত//ঘৃণিতদের"
            },
            {
              "number": 3295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3295.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ مِنۢ بَعْدِ مَآ أَهْلَكْنَا ٱلْقُرُونَ ٱلْأُولَىٰ بَصَآئِرَ لِلنَّاسِ وَهُدًۭى وَرَحْمَةًۭ لَّعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আমি পূর্ববর্তী অনেক সম্প্রদায়কে ধ্বংস করার পর মূসাকে কিতাব দিয়েছি মানুষের জন্যে জ্ঞানবর্তিকা। হেদায়েত ও রহমত, যাতে তারা স্মরণ রাখে।",
              "numberInSurah": 43,
              "juz": 20,
              "manzil": 5,
              "page": 390,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছাল কিতা-বা মিম বা‘দি মাআহলাকনাল কুরূনাল ঊলাবাসাইরা লিন্না-ছি ওয়াহুদাওঁ ওয়া রাহমাতাল লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَاۤ/مَآ/ma//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//الْقُرُوْنَ/ٱلۡقُرُونَ/al-quruna//الْاُوْلٰی/ٱلۡأُولَىٰ/al-ula//بَصَآىِٕرَ/بَصَآئِرَ/basaira//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَ /يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছি//মূসাকে//কিতাব//থেকে//পর//যখন//ধ্বংস করে দিয়েছি আমরা//বহুমানবগোষ্ঠীকে//পুর্ববর্তী//জ্ঞান-বর্তিকাস্বরুপ//জন্যে মানুষের//এবং পথ নির্দেশ//ও দয়া হিসেবে//যাতে তারা//শিক্ষাগ্রহণ করে"
            },
            {
              "number": 3296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3296.mp3"
              ],
              "text": "وَمَا كُنتَ بِجَانِبِ ٱلْغَرْبِىِّ إِذْ قَضَيْنَآ إِلَىٰ مُوسَى ٱلْأَمْرَ وَمَا كُنتَ مِنَ ٱلشَّٰهِدِينَ",
              "translate_bn": "মূসাকে যখন আমি নির্দেশনামা দিয়েছিলাম, তখন আপনি পশ্চিম প্রান্তে ছিলেন না এবং আপনি প্রত্যক্ষদর্শীও ছিলেন না।",
              "numberInSurah": 44,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কুনতা বিজানিবিল গারবিইয়ি ইযকাদাইনাইলা- মূছাল আমরা ওয়ামা- কুনতা মিনাশশা-হিদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//بِجَانِبِ/بِجَانِبِ/bijanibi//الْغَرْبِیِّ/ٱلۡغَرۡبِيِّ/al-gharbiyi//اِذْ/إِذۡ/idh//قَضَیْنَاۤ/قَضَيۡنَآ/qadayna//اِلٰی/إِلَىٰ/ila//مُوْسَی/مُوسَى/musa//الْاَمْرَ/ٱلۡأَمۡرَ/al-amra//وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الشّٰهِدِیْنَۙ/ٱلشَّـٰهِدِينَ/al-shahidina",
              "words_bangla": "আর (হে নাবী) না//তুমি ছিলে//পাশে//(তুর পাহাড়ের)পশ্চিম//যখন//দান করেছিলাম আমরা//প্রতি//মূসার//বিধান//আর না//তুমি ছিলে//অন্তর্ভুক্ত//প্রত্যক্ষদর্শীদের"
            },
            {
              "number": 3297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3297.mp3"
              ],
              "text": "وَلَٰكِنَّآ أَنشَأْنَا قُرُونًۭا فَتَطَاوَلَ عَلَيْهِمُ ٱلْعُمُرُ ۚ وَمَا كُنتَ ثَاوِيًۭا فِىٓ أَهْلِ مَدْيَنَ تَتْلُوا۟ عَلَيْهِمْ ءَايَٰتِنَا وَلَٰكِنَّا كُنَّا مُرْسِلِينَ",
              "translate_bn": "কিন্তু আমি অনেক সম্প্রদায় সৃষ্টি করেছিলাম, অতঃপর তাদের অনেক যুগ অতিবাহিত হয়েছে। আর আপনি মাদইয়ানবাসীদের মধ্যে ছিলেন না যে, তাদের কাছে আমার আয়াতসমূহ পাঠ করতেন। কিন্তু আমিই ছিলাম রসূল প্রেরণকারী।",
              "numberInSurah": 45,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-কিন্না আনশা’না-কুরূনান ফাতাতা-ওয়ালা ‘আলাইহিমুল ‘উমুরু ওয়ামা-কুনতা ছা-বিয়ান ফীআহলি মাদইয়ানা তাতলূ‘আলাইহিম আ-য়া-তিনা- ওয়া লা-কিন্নাকুন্না-মুরছিলীন।",
              "words_arabic": "وَ لٰكِنَّاۤ/وَلَٰكِنَّآ/walakinna//اَنْشَاْنَا/أَنشَأۡنَا/anshana//قُرُوْنًا/قُرُونٗا/qurunan//فَتَطَاوَلَ/فَتَطَاوَلَ/fatatawala//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْعُمُرُ ۚ/ٱلۡعُمُرُۚ/al-'umuru//وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//ثَاوِیًا/ثَاوِيٗا/thawiyan//فِیْۤ/فِيٓ/fi//اَهْلِ/أَهۡلِ/ahli//مَدْیَنَ/مَدۡيَنَ/madyana//تَتْلُوْا/تَتۡلُواْ/tatlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِنَا ۙ/ءَايَٰتِنَا/ayatina//وَ لٰكِنَّا/وَلَٰكِنَّا/walakinna//كُنَّا/كُنَّا/kunna//مُرْسِلِیْنَ /مُرۡسِلِينَ/mur'silina",
              "words_bangla": "কিন্তু আমরা//সৃষ্টি করেছি আমরা//বহু মানবগোষ্ঠী//অতঃপর দীর্ঘায়িত হয়েছে//উপর তাদের//(বহু) যুগ//আর না//তুমি ছিলে//বিদ্যমান//মধ্যে//বাসীদের//মাদয়ান//তুমি তিলাওয়াত করো (যেন)//কাছে তাদের//আয়াতসমূহ আমাদের//কিন্তু আমরা//আমরা ছিলাম//(রাসূল) প্রেরণকারী"
            },
            {
              "number": 3298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3298.mp3"
              ],
              "text": "وَمَا كُنتَ بِجَانِبِ ٱلطُّورِ إِذْ نَادَيْنَا وَلَٰكِن رَّحْمَةًۭ مِّن رَّبِّكَ لِتُنذِرَ قَوْمًۭا مَّآ أَتَىٰهُم مِّن نَّذِيرٍۢ مِّن قَبْلِكَ لَعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আমি যখন মূসাকে আওয়াজ দিয়েছিলাম, তখন আপনি তুর পর্বতের পার্শ্বে ছিলেন না। কিন্তু এটা আপনার পালনকর্তার রহমত স্বরূপ, যাতে আপনি এমন এক সম্প্রদায়কে ভীতি প্রদর্শন করেন, যাদের কাছে আপনার পূꦣ2503;ব কোন ভীতি প্রদর্শনকারী আগমন করেনি, যাতে তারা স্মরণ রাখে।",
              "numberInSurah": 46,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কুনতা বিজা-নিবিততূরি ইয না-দাইনা-ওয়ালা-কির রাহমাতাম মির রাব্বিকা লিতুনযিরা কাওমাম মাআতা-হুম মিন নাযীরিম মিন কাবলিকা লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//بِجَانِبِ/بِجَانِبِ/bijanibi//الطُّوْرِ/ٱلطُّورِ/al-turi//اِذْ/إِذۡ/idh//نَادَیْنَا/نَادَيۡنَا/nadayna//وَ لٰكِنْ/وَلَٰكِن/walakin//رَّحْمَةً/رَّحۡمَةٗ/rahmatan//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لِتُنْذِرَ/لِتُنذِرَ/litundhira//قَوْمًا/قَوۡمٗا/qawman//مَّاۤ/مَّآ/ma//اَتٰىهُمْ/أَتَىٰهُم/atahum//مِّنْ/مِّن/min//نَّذِیْرٍ/نَّذِيرٖ/nadhirin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَ /يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "আর না//তুমি ছিলে//পাশে//তুর পাহাড়ের//যখন//ডেকে ছিলাম আমরা//কিন্তু//এটা (অনুগ্রহ)//পক্ষ হতে//তোমার রবের//যেন তুমি সতর্ক করো//সম্প্রদায়কে//না//যাদের (নিকট) এসেছে//কোনো//সতর্ককারী//থেকে//তোমার পূর্ব//যাতে তারা//উপদেশ গ্রহণ করে"
            },
            {
              "number": 3299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3299.mp3"
              ],
              "text": "وَلَوْلَآ أَن تُصِيبَهُم مُّصِيبَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ فَيَقُولُوا۟ رَبَّنَا لَوْلَآ أَرْسَلْتَ إِلَيْنَا رَسُولًۭا فَنَتَّبِعَ ءَايَٰتِكَ وَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর এ জন্য যে, তাদের কৃতকর্মের জন্যে তাদের কোন বিপদ হলে তারা বলত, হে আমাদের পালনকর্তা, তুমি আমাদের কাছে কোন রসূল প্রেরণ করলে না কেন? করলে আমরা তোমার আয়াতসমূহের অনুসরণ করতাম এবং আমরা বিশ্বাস স্থাপনকারী হয়ে যেতাম।",
              "numberInSurah": 47,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলাআন তুসীবাহুম মুসীবাতুম বিমা-কাদ্দামাত আইদীহিম ফাইয়াকূলূরাব্বানালাওলাআরছালতা ইলাইনা-রাছূলান ফানাত্তাবি‘আ আ-য়া-তিকা ওয়া নাকূনা মিনাল মু’মিনীন।",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اَنْ/أَن/an//تُصِیْبَهُمْ/تُصِيبَهُم/tusibahum//مُّصِیْبَةٌۢ/مُّصِيبَةُۢ/musibatun//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//فَیَقُوْلُوْا/فَيَقُولُواْ/fayaqulu//رَبَّنَا/رَبَّنَا/rabbana//لَوْ لَاۤ/لَوۡلَآ/lawla//اَرْسَلْتَ/أَرۡسَلۡتَ/arsalta//اِلَیْنَا/إِلَيۡنَا/ilayna//رَسُوْلًا/رَسُولٗا/rasulan//فَنَتَّبِعَ/فَنَتَّبِعَ/fanattabi'a//اٰیٰتِكَ/ءَايَٰتِكَ/ayatika//وَ نَكُوْنَ/وَنَكُونَ/wanakuna//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "আর যদি না//(হতো) যে//তাদের (উপর) পড়তো//কোনো বিপদ//এ কারণে যা//আগে পাঠিয়েছে//হাতগুলো তাদের//তখন তারা বলতো//\"হে আমাদের রব//কেন না//তুমি পাঠালে//প্রতি আমাদের//কোনো রাসূলকে//তাহ'লে আমরা অনুসরণ করতাম//তোমার আয়াতসমূহের//এবং হতাম আমরা//অন্তর্ভুক্ত//মু'মিনদের\""
            },
            {
              "number": 3300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3300.mp3"
              ],
              "text": "فَلَمَّا جَآءَهُمُ ٱلْحَقُّ مِنْ عِندِنَا قَالُوا۟ لَوْلَآ أُوتِىَ مِثْلَ مَآ أُوتِىَ مُوسَىٰٓ ۚ أَوَلَمْ يَكْفُرُوا۟ بِمَآ أُوتِىَ مُوسَىٰ مِن قَبْلُ ۖ قَالُوا۟ سِحْرَانِ تَظَٰهَرَا وَقَالُوٓا۟ إِنَّا بِكُلٍّۢ كَٰفِرُونَ",
              "translate_bn": "অতঃপর আমার কাছ থেকে যখন তাদের কাছে সত্য আগমন করল, তখন তারা বলল, মূসাকে যেরূপ দেয়া হয়েছিল, এই রসূলকে সেরূপ দেয়া হল না কেন? পূর্বে মূসাকে যা দেয়া হয়েছিল, তারা কি তা অস্বীকার করেনি? তারা বলেছিল, উভয়ই জাদু, পরস্পরে একাত্ম। তারা আরও বলেছিল, আমরা উভয়কে মানি না।",
              "numberInSurah": 48,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআহুমুল হাক্কুমিন ‘ইনদিনা কা-লূলাওলা ঊতিয়া মিছলা মাঊতিয়া মূছা- আওয়ালাম ইয়াকফুরূবিমাঊতিয়া মূছা-মিন কাবলু কা-লূছিহরা-নি তাজাহারা- ওয়া কা-লূইন্না-বিকুল্লিন কা-ফিরূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِنۡ/min//عِنْدِنَا/عِندِنَا/indina//قَالُوْا/قَالُواْ/qalu//لَوْ لَاۤ/لَوۡلَآ/lawla//اُوْتِیَ/أُوتِيَ/utiya//مِثْلَ/مِثۡلَ/mith'la//مَاۤ/مَآ/ma//اُوْتِیَ/أُوتِيَ/utiya//مُوْسٰی ؕ/مُوسَىٰٓۚ/musa//اَوَ لَمْ/أَوَلَمۡ/awalam//یَكْفُرُوْا/يَكۡفُرُواْ/yakfuru//بِمَاۤ/بِمَآ/bima//اُوْتِیَ/أُوتِيَ/utiya//مُوْسٰی/مُوسَىٰ/musa//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۖ/qablu//قَالُوْا/قَالُواْ/qalu//سِحْرٰنِ/سِحۡرَانِ/sih'rani//تَظٰهَرَا ۥ۫/تَظَٰهَرَا/tazahara//وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اِنَّا/إِنَّا/inna//بِكُلٍّ/بِكُلّٖ/bikullin//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "অতঃপর যখন//আসলো তাদের (কাছে)//সত্য//হ'তে//নিকট আমাদের//তারা বলে//\"কেন না//তাকে দেয়া হয়েছে//(তার) মতো//যেমন//দেয়া হয়েছে//মূসাকে\"//কি নি//তারা অস্বীকার করে//ঐ বিষয়ে যা//দেয়া হয়েছিলো//মূসাকে//থেকে//পূর্ব//তারা বললো//\"(ক্বুর'আন ও তাওরাত) এ দু'টিই জ্দু//পরস্পরে সমর্থন করে\"//আরও তারা বললো//\"নিশ্চয়ই আমরা//প্রতি প্রত্যেকটির//অস্বীকারকারী\""
            },
            {
              "number": 3301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3301.mp3"
              ],
              "text": "قُلْ فَأْتُوا۟ بِكِتَٰبٍۢ مِّنْ عِندِ ٱللَّهِ هُوَ أَهْدَىٰ مِنْهُمَآ أَتَّبِعْهُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বলুন, তোমরা সত্যবাদী হলে এখন আল্লাহর কাছ থেকে কোন কিতাব আন, যা এতদুভয় থেকে উত্তম পথপ্রদর্শক হয়। আমি সেই কিতাব অনুসরণ করব।",
              "numberInSurah": 49,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "কুল ফা’তূবিকিতা-বিম মিন ‘ইনদিল্লা-হি হুওয়া আহদা-মিনহুমাআত্তাবি‘হু ইন কুনতুম সাদিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//فَاْتُوْا/فَأۡتُواْ/fatu//بِكِتٰبٍ/بِكِتَٰبٖ/bikitabin//مِّنْ/مِّنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//هُوَ/هُوَ/huwa//اَهْدٰی/أَهۡدَىٰ/ahda//مِنْهُمَاۤ/مِنۡهُمَآ/min'huma//اَتَّبِعْهُ/أَتَّبِعۡهُ/attabi'hu//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "বলো//\"তাহ'লে তোমরা আসো//নিয়ে কোন কিতাব//হ'তে//নিকট//আল্লাহর//(যেন) তা (হয়)//পথপ্রদর্শনে উৎকৃষ্টতর//সে দু'টির চেয়ে//আমিই অনুসরণ করবো তা//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 3302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3302.mp3"
              ],
              "text": "فَإِن لَّمْ يَسْتَجِيبُوا۟ لَكَ فَٱعْلَمْ أَنَّمَا يَتَّبِعُونَ أَهْوَآءَهُمْ ۚ وَمَنْ أَضَلُّ مِمَّنِ ٱتَّبَعَ هَوَىٰهُ بِغَيْرِ هُدًۭى مِّنَ ٱللَّهِ ۚ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর তারা যদি আপনার কথায় সাড়া না দেয়, তবে জানবেন, তারা শুধু নিজের প্রবৃত্তির অনুসরণ করে। আল্লাহর হেদায়েতের পরিবর্তে যে ব্যক্তি নিজ প্রবৃত্তির অনুসরণ করে, তার চাইতে অধিক পথভ্রষ্ট আর কে? নিশ্চয় আল্লাহ জালেম সম্প্রদায়কে পথ দেখান না।",
              "numberInSurah": 50,
              "juz": 20,
              "manzil": 5,
              "page": 391,
              "ruku": 338,
              "hizbQuarter": 156,
              "sajda": false,
              "pronunciation_bn": "ফাইল লাম ইয়াছতাজীবূলাকা ফা‘লাম আন্নামা-ইয়াত্তাবি‘ঊনা আহওয়া-আহুম ওয়ামান আদালুল মিম মানিত্তাবা‘আ হাওয়া -হু বিগাইরি হুদাম মিনাল্লা-হি ইন্নাল্লা-হা লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//یَسْتَجِیْبُوْا/يَسۡتَجِيبُواْ/yastajibu//لَكَ/لَكَ/laka//فَاعْلَمْ/فَٱعۡلَمۡ/fa-i'lam//اَنَّمَا/أَنَّمَا/annama//یَتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//اَهْوَآءَهُمْ ؕ/أَهۡوَآءَهُمۡۚ/ahwaahum//وَ مَنْ/وَمَنۡ/waman//اَضَلُّ/أَضَلُّ/adallu//مِمَّنِ/مِمَّنِ/mimmani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//هَوٰىهُ/هَوَىٰهُ/hawahu//بِغَیْرِ/بِغَيۡرِ/bighayri//هُدًی/هُدٗى/hudan//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "অতঃপর যদি//না//তারা সাড়া দেয়//প্রতি তোমার (ডাকে)//তবে জেনে রাখো//কেবল//তারা অনুসরণ করছে//খেয়ালখুশিগুলোর তাদের//আর কে (আছে)//অধিক বিভ্রান্ত//(তার) চেয়ে যে//অনুসরণ করে//খেয়ালখুশির তার//ঝাড়া//কোনো পথনির্দেশ//হ'তে//আল্লাহ//নিশ্চয়ই//আল্লাহ//না//সৎপথ দেখান//সম্প্রদায়কে//(যারা)সীমালঙ্ঘনকারী"
            },
            {
              "number": 3303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3303.mp3"
              ],
              "text": "۞ وَلَقَدْ وَصَّلْنَا لَهُمُ ٱلْقَوْلَ لَعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আমি তাদের কাছে উপর্যুপরি বাণী পৌছিয়েছি। যাতে তারা অনুধাবন করে।",
              "numberInSurah": 51,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ ওয়াসসালনা-লাহুমুল কাওলা লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//وَصَّلْنَا/وَصَّلۡنَا/wassalna//لَهُمُ/لَهُمُ/lahumu//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَؕ/يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা বারবার পাঠিয়েছি//জন্যে তাদের//(হেদায়াতের) বাণী//যাতে তারা//উপদেশ গ্রহন করে"
            },
            {
              "number": 3304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3304.mp3"
              ],
              "text": "ٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ مِن قَبْلِهِۦ هُم بِهِۦ يُؤْمِنُونَ",
              "translate_bn": "কোরআনের পূর্বে আমি যাদেরকে কিতাব দিয়েছি, তারা এতে বিশ্বাস করে।",
              "numberInSurah": 52,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-তাইনা-হুমুল কিতা-বা মিন কাবলিহী হুম বিহী ইউ’মিনূন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//هُمْ/هُم/hum//بِهٖ/بِهِۦ/bihi//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "যারা (অর্থাৎ আহলে কিতাবদেরকে)//আমরা দান করেছি তাদেরকে//কিতাব//থেকে//এর (অর্থাৎ কোরআনের) পূর্ব//তারা//উপর এর//ঈমান আনে"
            },
            {
              "number": 3305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3305.mp3"
              ],
              "text": "وَإِذَا يُتْلَىٰ عَلَيْهِمْ قَالُوٓا۟ ءَامَنَّا بِهِۦٓ إِنَّهُ ٱلْحَقُّ مِن رَّبِّنَآ إِنَّا كُنَّا مِن قَبْلِهِۦ مُسْلِمِينَ",
              "translate_bn": "যখন তাদের কাছে এটা পাঠ করা হয়, তখন তারা বলে, আমরা এর প্রতি বিশ্বাস স্থাপন করলাম। এটা আমাদের পালনকর্তার পক্ষ থেকে সত্য। আমরা এর পূর্বেও আজ্ঞাবহ ছিলাম।",
              "numberInSurah": 53,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ইউতলা-‘আলাইহিম কা-লূআ-মান্না-বিহীইন্নাহুল হাক্কুমির রাব্বিনাইন্না-কুন্না-মিন কাবলিহী মুছলিমীন।\r\n",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِهٖۤ/بِهِۦٓ/bihi//اِنَّهُ/إِنَّهُ/innahu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّنَاۤ/رَّبِّنَآ/rabbina//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//مِنْ/مِن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//مُسْلِمِیْنَ /مُسۡلِمِينَ/mus'limina",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//নিকট তাদের//তারা বলে//\"আমরা ঈমান এনেছি//উপর এর//নিশ্চয়ই তা//সত্য//পক্ষ হ'তে//আমাদের রবের//নিশ্চয়ই আমরা//ছিলাম//থেকে//পূর্ব এর//মুসলমান\""
            },
            {
              "number": 3306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3306.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ يُؤْتَوْنَ أَجْرَهُم مَّرَّتَيْنِ بِمَا صَبَرُوا۟ وَيَدْرَءُونَ بِٱلْحَسَنَةِ ٱلسَّيِّئَةَ وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "তারা দুইবার পুরস্কৃত হবে তাদের সবরের কারণে। তারা মন্দের জওয়াবে ভাল করে এবং আমি তাদেরকে যা দিয়েছি, তা থেকে ব্যয় করে।",
              "numberInSurah": 54,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ইউ’তাওনা আজরাহুম মাররাতাইনি বিমা-সাবারূওয়া ইয়াদরাঊনা বিলহাছানাতিছ ছাইয়িআতা ওয়া মিম্মা-রাঝাকনা-হুম ইউনফিকূ ন।\r\n",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُؤْتَوْنَ/يُؤۡتَوۡنَ/yu'tawna//اَجْرَهُمْ/أَجۡرَهُم/ajrahum//مَّرَّتَیْنِ/مَّرَّتَيۡنِ/marratayni//بِمَا/بِمَا/bima//صَبَرُوْا/صَبَرُواْ/sabaru//وَ یَدْرَءُوْنَ/وَيَدۡرَءُونَ/wayadrauna//بِالْحَسَنَةِ/بِٱلۡحَسَنَةِ/bil-hasanati//السَّیِّئَةَ/ٱلسَّيِّئَةَ/al-sayi-ata//وَ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَ /يُنفِقُونَ/yunfiquna",
              "words_bangla": "ঐসব (লোকদেরকে)//দেয়া হবে//প্রতিফল তাদের//দু'বার//এ কারণে যা//তারা ধৈর্য ধরেছে//ও তারা প্রতিরোধ করে//দিয়ে ভালো//মন্দকে//এবং (তা) হ'তে যা//আমরা জীবিকা দিয়েছি তাদেরকে//তারা ব্যয় করে"
            },
            {
              "number": 3307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3307.mp3"
              ],
              "text": "وَإِذَا سَمِعُوا۟ ٱللَّغْوَ أَعْرَضُوا۟ عَنْهُ وَقَالُوا۟ لَنَآ أَعْمَٰلُنَا وَلَكُمْ أَعْمَٰلُكُمْ سَلَٰمٌ عَلَيْكُمْ لَا نَبْتَغِى ٱلْجَٰهِلِينَ",
              "translate_bn": "তারা যখন অবাঞ্চিত বাজে কথাবার্তা শ্রবণ করে, তখন তা থেকে মুখ ফিরিয়ে নেয় এবং বলে, আমাদের জন্যে আমাদের কাজ এবং তোমাদের জন্যে তোমাদের কাজ। তোমাদের প্রতি সালাম। আমরা অজ্ঞদের সাথে জড়িত হতে চাই না।",
              "numberInSurah": 55,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-ছামি‘উল লাগওয়া আ‘রাদূ ‘আনহু ওয়া কা-লূলানাআ‘মা-লুনা-ওয়ালাকুম আ‘মা-লুকুম ছালা-মুন ‘আলাইকুম লা-নাবতাগিল জা-হিলীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//سَمِعُوا/سَمِعُواْ/sami'u//اللَّغْوَ/ٱللَّغۡوَ/al-laghwa//اَعْرَضُوْا/أَعۡرَضُواْ/a'radu//عَنْهُ/عَنۡهُ/anhu//وَ قَالُوْا/وَقَالُواْ/waqalu//لَنَاۤ/لَنَآ/lana//اَعْمَالُنَا/أَعۡمَٰلُنَا/a'maluna//وَ لَكُمْ/وَلَكُمۡ/walakum//اَعْمَالُكُمْ ؗ/أَعۡمَٰلُكُمۡ/a'malukum//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمْ ؗ/عَلَيۡكُمۡ/alaykum//لَا/لَا/la//نَبْتَغِی/نَبۡتَغِي/nabtaghi//الْجٰهِلِیْنَ /ٱلۡجَٰهِلِينَ/al-jahilina",
              "words_bangla": "যখন//তারা শুনে//অসার (উক্তি)//তারা মুখ ফিরিয়ে নেয়//হ'তে তা//এবং তারা বলে//\"জন্যে (রয়েছে) আমাদের//কর্মসমূহ আমাদের//আর জন্যে (রয়েছে) তোমাদের//কর্মসমূহ তোমাদের//সালাম'//উপর তোমাদের//না//চাই আমরা//অজ্ঞদের (মতো পথ)\""
            },
            {
              "number": 3308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3308.mp3"
              ],
              "text": "إِنَّكَ لَا تَهْدِى مَنْ أَحْبَبْتَ وَلَٰكِنَّ ٱللَّهَ يَهْدِى مَن يَشَآءُ ۚ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ",
              "translate_bn": "আপনি যাকে পছন্দ করেন, তাকে সৎপথে আনতে পারবেন না, তবে আল্লাহ তা’আলাই যাকে ইচ্ছা সৎপথে আনয়ন করেন। কে সৎপথে আসবে, সে সম্পর্কে তিনিই ভাল জানেন।",
              "numberInSurah": 56,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা লা-তাহদী মান আহবাবতা ওয়ালাকিন্নাল্লা-হা ইয়াহদী মাইঁ ইয়াশাঊ ওয়া হুওয়া আ‘লামুবিলমুহতাদীন।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//لَا/لَا/la//تَهْدِیْ/تَهۡدِي/tahdi//مَنْ/مَنۡ/man//اَحْبَبْتَ/أَحۡبَبۡتَ/ahbabta//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۚ/yashau//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُهْتَدِیْنَ /بِٱلۡمُهۡتَدِينَ/bil-muh'tadina",
              "words_bangla": "(হে নাবী) তুমি নিশ্চয়ই//না//পথ দেখাতে পারো//যাকে//তুমি ভালবাসো//কিন্তু//আল্লাহ//সৎপথ দেখান//যাকে//ইচ্ছে করেন//এবং তিনিই//খুব জানেন//সম্পর্কে সৎপথপ্রাপ্তদের"
            },
            {
              "number": 3309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3309.mp3"
              ],
              "text": "وَقَالُوٓا۟ إِن نَّتَّبِعِ ٱلْهُدَىٰ مَعَكَ نُتَخَطَّفْ مِنْ أَرْضِنَآ ۚ أَوَلَمْ نُمَكِّن لَّهُمْ حَرَمًا ءَامِنًۭا يُجْبَىٰٓ إِلَيْهِ ثَمَرَٰتُ كُلِّ شَىْءٍۢ رِّزْقًۭا مِّن لَّدُنَّا وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "তারা বলে, যদি আমরা আপনার সাথে সুপথে আসি, তবে আমরা আমাদের দেশ থেকে উৎখাত হব। আমি কি তাদের জন্যে একটি নিরাপদ হরম প্রতিষ্ঠিত করিনি? এখানে সর্বপ্রকার ফল-মূল আমদানী হয় আমার দেয়া রিযিকস্বরূপ। কিন্তু তাদের অধিকাংশই জানে না।",
              "numberInSurah": 57,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূইন নাত্তাবি‘ইল হুদা-মা‘আকা নুতাখাততাফ মিন আরদিনা- আওয়ালাম নুমাক্কিল লাহুম হারামান আ-মিনাইঁ ইউজবাইলাইহি ছামারা-তুকুল্লি শাইইররিঝকাম মিল্লাদুন্না-ওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اِنْ/إِن/in//نَّتَّبِعِ/نَّتَّبِعِ/nattabi'i//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//مَعَكَ/مَعَكَ/ma'aka//نُتَخَطَّفْ/نُتَخَطَّفۡ/nutakhattaf//مِنْ/مِنۡ/min//اَرْضِنَا ؕ/أَرۡضِنَآۚ/ardina//اَوَ لَمْ/أَوَلَمۡ/awalam//نُمَكِّنْ/نُمَكِّن/numakkin//لَّهُمْ/لَّهُمۡ/lahum//حَرَمًا/حَرَمًا/haraman//اٰمِنًا/ءَامِنٗا/aminan//یُّجْبٰۤی/يُجۡبَىٰٓ/yuj'ba//اِلَیْهِ/إِلَيۡهِ/ilayhi//ثَمَرٰتُ/ثَمَرَٰتُ/thamaratu//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//رِّزْقًا/رِّزۡقٗا/riz'qan//مِّنْ/مِّن/min//لَّدُنَّا/لَّدُنَّا/ladunna//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং তারা বলে//\"যদি//আমরা অনুসরণ করি//সৎপথের//তোমার সাথে//আমাদেরকে উৎখাত করা হবে//হ'তে//আমাদের দেশ\"//করি  নি কি//আমরা প্রতিষ্ঠা//জন্যে তাদের//হারাম//শান্তিপূর্ণ//আনা হয়//দিকে তার//ফল-মূলসমূহ//প্রত্যেক//রকমের//জীবনের উপকরণ হিসেবে//হ'তে//আমাদের পক্ষ//কিন্তু//অধিকাংশই তাদের//না//জানে"
            },
            {
              "number": 3310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3310.mp3"
              ],
              "text": "وَكَمْ أَهْلَكْنَا مِن قَرْيَةٍۭ بَطِرَتْ مَعِيشَتَهَا ۖ فَتِلْكَ مَسَٰكِنُهُمْ لَمْ تُسْكَن مِّنۢ بَعْدِهِمْ إِلَّا قَلِيلًۭا ۖ وَكُنَّا نَحْنُ ٱلْوَٰرِثِينَ",
              "translate_bn": "আমি অনেক জনপদ ধবংস করেছি, যার অধিবাসীরা তাদের জীবন যাপনে মদমত্ত ছিল। এগুলোই এখন তাদের ঘর-বাড়ী। তাদের পর এগুলোতে মানুষ সামান্যই বসবাস করেছে। অবশেষে আমিই মালিক রয়েছি।",
              "numberInSurah": 58,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাম আহ লাকনা-মিন কারইয়াতিম বাতিরাত মা‘ঈশাতাহা- ফাতিলকা মাছাকিনুহুম লাম তুছকাম মিম বা‘দিহিম ইল্লা-কালীলাওঁ ওয়া কুন্না-নাহনুল ওয়া-রিছীন।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَرْیَةٍۭ/قَرۡيَةِۭ/qaryatin//بَطِرَتْ/بَطِرَتۡ/batirat//مَعِیْشَتَهَا ۚ/مَعِيشَتَهَاۖ/ma'ishataha//فَتِلْكَ/فَتِلۡكَ/fatil'ka//مَسٰكِنُهُمْ/مَسَٰكِنُهُمۡ/masakinuhum//لَمْ/لَمۡ/lam//تُسْكَنْ/تُسۡكَن/tus'kan//مِّنْۢ/مِّنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//اِلَّا/إِلَّا/illa//قَلِیْلًا ؕ/قَلِيلٗاۖ/qalilan//وَ كُنَّا/وَكُنَّا/wakunna//نَحْنُ/نَحۡنُ/nahnu//الْوٰرِثِیْنَ /ٱلۡوَٰرِثِينَ/al-warithina",
              "words_bangla": "আর কতই না//ধ্বংস করেছি আমরা//থেকে//জনপদ//অহংকার করতো (তার অধিবাসীরা)//তাদের জীবিকার//অতঃপর ঐ//ঘরবাড়িসমূহ তাদের//নি//বসবাস করে//থেকে//পর তাদের//ছাড়া//অতি অল্প//এবং আমরা হলাম//আমরাই//(এসবের) উত্তরাধিকারী"
            },
            {
              "number": 3311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3311.mp3"
              ],
              "text": "وَمَا كَانَ رَبُّكَ مُهْلِكَ ٱلْقُرَىٰ حَتَّىٰ يَبْعَثَ فِىٓ أُمِّهَا رَسُولًۭا يَتْلُوا۟ عَلَيْهِمْ ءَايَٰتِنَا ۚ وَمَا كُنَّا مُهْلِكِى ٱلْقُرَىٰٓ إِلَّا وَأَهْلُهَا ظَٰلِمُونَ",
              "translate_bn": "আপনার পালনকর্তা জনপদসমূহকে ধ্বংস করেন না, যে পর্যন্ত তার কেন্দ্রস্থলে রসূল প্রেরণ না করেন, যিনি তাদের কাছে আমার আয়াতসমূহ পাঠ করেন এবং আমি জনপদসমূহকে তখনই ধ্বংস করি, যখন তার বাসিন্দারা জুলুম করে।",
              "numberInSurah": 59,
              "juz": 20,
              "manzil": 5,
              "page": 392,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না রাব্বুকা মুহলিকাল কুরা-হাত্তা-ইয়াব‘আছা ফীউম্মিহা-রাছূলাইঁ ইয়াতলূ ‘আলাইহিম আ-য়া-তিনা- ওয়ামা-কুন্না-মুহলিকিল কুরাইল্লা-ওয়া আহলুহা-জালিমূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//رَبُّكَ/رَبُّكَ/rabbuka//مُهْلِكَ/مُهۡلِكَ/muh'lika//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//حَتّٰی/حَتَّىٰ/hatta//یَبْعَثَ/يَبۡعَثَ/yab'atha//فِیْۤ/فِيٓ/fi//اُمِّهَا/أُمِّهَا/ummiha//رَسُوْلًا/رَسُولٗا/rasulan//یَّتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِنَا ۚ/ءَايَٰتِنَاۚ/ayatina//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//مُهْلِكِی/مُهۡلِكِي/muh'liki//الْقُرٰۤی/ٱلۡقُرَىٰٓ/al-qura//اِلَّا/إِلَّا/illa//وَ اَهْلُهَا/وَأَهۡلُهَا/wa-ahluha//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "আর না//ছিলেন//তোমার রব//ধ্বংসকারী//জনবসতিগুলোকে//যতক্ষণ না//তিনি পাঠান//মধ্যে//তার কেন্দ্রস্থলের//কোনো রাসূলকে//(যে)তিলাওয়াত করেন//নিকট তাদের//আয়াতসমূহকে আমাদের//ও না//আমরা ছিলাম//ধ্বংসকারী//জনপদসমূহকে//এ ছাড়া যে//যখন তার অধিবাসীরা (ছিলো)//সীমালঙ্ঘনকারী"
            },
            {
              "number": 3312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3312.mp3"
              ],
              "text": "وَمَآ أُوتِيتُم مِّن شَىْءٍۢ فَمَتَٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا وَزِينَتُهَا ۚ وَمَا عِندَ ٱللَّهِ خَيْرٌۭ وَأَبْقَىٰٓ ۚ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "তোমাদেরকে যা কিছু দেয়া হয়েছে, তা পার্থিব জীবনের ভোগ ও শোভা বৈ নয়। আর আল্লাহর কাছে যা আছে, তা উত্তম ও স্থায়ী। তোমরা কি বোঝ না ?",
              "numberInSurah": 60,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 339,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাঊতীতুম মিন শাইয়িন ফামাতা-‘উল হায়া-তিদদুনইয়া-ওয়াঝীনাতুহা- ওয়ামা‘ইনদাল্লা-হি খাইরুওঁ ওয়া আব কা- আফালা-তা‘কিলূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اُوْتِیْتُمْ/أُوتِيتُم/utitum//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//فَمَتَاعُ/فَمَتَٰعُ/famata'u//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ زِیْنَتُهَا ۚ/وَزِينَتُهَاۚ/wazinatuha//وَ مَا/وَمَا/wama//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَبْقٰی ؕ/وَأَبۡقَىٰٓۚ/wa-abqa//اَفَلَا/أَفَلَا/afala//تَعْقِلُوْنَ۠/تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "আর যা কিছু//দেয়া হয়েছে তোমাদের//থেকে//বস্তু//তা হলো ভোগসামগ্রী//জীবনের//পার্থিব//ও তার চাকচিক্য (মাত্র)//আর যা (আছে)//নিকট//আল্লাহর//(তাই) উত্তম//ও অধিক স্থায়ী//কি তবে না//তোমরা বুঝবে"
            },
            {
              "number": 3313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3313.mp3"
              ],
              "text": "أَفَمَن وَعَدْنَٰهُ وَعْدًا حَسَنًۭا فَهُوَ لَٰقِيهِ كَمَن مَّتَّعْنَٰهُ مَتَٰعَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ثُمَّ هُوَ يَوْمَ ٱلْقِيَٰمَةِ مِنَ ٱلْمُحْضَرِينَ",
              "translate_bn": "যাকে আমি উত্তম প্রতিশ্রুতি দিয়েছি, যা সে পাবে, সে কি ঐ ব্যক্তির সমান, যাকে আমি পার্থিব জীবনের ভোগ-সম্ভার দিয়েছি, অতঃপর তাকে কেয়ামতের দিন অপরাধীরূপে হাযির করা হবে?",
              "numberInSurah": 61,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "আফামাওঁ ওয়া ‘আদানা-হুওয়া‘দানহাছানান ফাহুওয়া লা-কীহি কামাম মাত্তা‘না-হুমাতা‘আল হায়া-তিদদুনইয়া-ছুম্মা হুওয়া ইয়াওমাল কিয়া-মাতি মিনাল মুহদারীন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//وَّعَدْنٰهُ/وَعَدۡنَٰهُ/wa'adnahu//وَعْدًا/وَعۡدًا/wa'dan//حَسَنًا/حَسَنٗا/hasanan//فَهُوَ/فَهُوَ/fahuwa//لَاقِیْهِ/لَٰقِيهِ/laqihi//كَمَنْ/كَمَن/kaman//مَّتَّعْنٰهُ/مَّتَّعۡنَٰهُ/matta'nahu//مَتَاعَ/مَتَٰعَ/mata'a//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//ثُمَّ/ثُمَّ/thumma//هُوَ/هُوَ/huwa//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مِنَ/مِنَ/mina//الْمُحْضَرِیْنَ /ٱلۡمُحۡضَرِينَ/al-muh'darina",
              "words_bangla": "কি তবে সে//আমরা প্রতিশ্রুতি দিয়েছি যাকে//প্রতিশ্রুতি//উত্তম//অতঃপর সে//লাভ করবে তা//(সে কি) তার মতো//আমরা ভোগ করতে দিয়েছি যাকে//ভোগসামগ্রী//জীবনের//পার্থিব//এরপর//সে (হবে)//দিনে//ক্বিয়ামাতের//অন্তর্ভূক্ত//উপস্থিতদের (অপরাধীদের)"
            },
            {
              "number": 3314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3314.mp3"
              ],
              "text": "وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ",
              "translate_bn": "যেদিন আল্লাহ তাদেরকে আওয়াজ দিয়ে বলবেন, তোমরা যাদেরকে আমার শরীক দাবী করতে, তারা কোথায়?",
              "numberInSurah": 62,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউনা-দীহিম ফাইয়াকূলুআইনা শুরাকাই ইয়াল্লাযীনা কুনতুম তাঝ‘উমূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُنَادِیْهِمْ/يُنَادِيهِمۡ/yunadihim//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//اَیْنَ/أَيۡنَ/ayna//شُرَكَآءِیَ/شُرَكَآءِيَ/shurakaiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُنْتُمْ/كُنتُمۡ/kuntum//تَزْعُمُوْنَ /تَزۡعُمُونَ/taz'umuna",
              "words_bangla": "এবং সেদিন//তিনি ডাকবেন তাদেরকে//অতঃপর বলবেন//\"কোথায়//আমার শরিকেরা//যাদেরকে//তোমরা ছিলে//ধারণা করতে (শরিক হিসেবে)\""
            },
            {
              "number": 3315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3315.mp3"
              ],
              "text": "قَالَ ٱلَّذِينَ حَقَّ عَلَيْهِمُ ٱلْقَوْلُ رَبَّنَا هَٰٓؤُلَآءِ ٱلَّذِينَ أَغْوَيْنَآ أَغْوَيْنَٰهُمْ كَمَا غَوَيْنَا ۖ تَبَرَّأْنَآ إِلَيْكَ ۖ مَا كَانُوٓا۟ إِيَّانَا يَعْبُدُونَ",
              "translate_bn": "যাদের জন্যে শাস্তির আদেশ অবধারিত হয়েছে, তারা বলবে, হে আমাদের পালনকর্তা। এদেরকেই আমরা পথভ্রষ্ট করেছিলাম। আমরা তাদেরকে পথভ্রষ্ট করেছিলাম, যেমন আমরা পথভ্রষ্ট হয়েছিলাম। আমরা আপনার সামনে দায়মুক্ত হচ্ছি। তারা কেবল আমাদেরই এবাদত করত না।",
              "numberInSurah": 63,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লাযীনা হাক্কা ‘আলাইহিমুল কাওলুরাব্বানা-হাউলাইল্লাযীনা আগওয়াইনা- আগওয়াইনা-হুম কামা-গাওয়াইনা- তাবাররা’নাইলাইকা মা-কা-নূইয়্যানা-ইয়া‘বুদূ ন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//حَقَّ/حَقَّ/haqqa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//رَبَّنَا/رَبَّنَا/rabbana//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَغْوَیْنَا ۚ/أَغۡوَيۡنَآ/aghwayna//اَغْوَیْنٰهُمْ/أَغۡوَيۡنَٰهُمۡ/aghwaynahum//كَمَا/كَمَا/kama//غَوَیْنَا ۚ/غَوَيۡنَاۖ/ghawayna//تَبَرَّاْنَاۤ/تَبَرَّأۡنَآ/tabarrana//اِلَیْكَ ؗ/إِلَيۡكَۖ/ilayka//مَا/مَا/ma//كَانُوْۤا/كَانُوٓاْ/kanu//اِیَّانَا/إِيَّانَا/iyyana//یَعْبُدُوْنَ /يَعۡبُدُونَ/ya'buduna",
              "words_bangla": "বলবে//তারা//অবধারিত হয়েছে//উপর যাদের//(এই) কথাটি//\"হে আমার রব//এরাই//(তারা) যাদেরকে//পথভ্রষ্ট করেছিলাম আমরা//পথভ্রষ্ট করেছিলাম আমরা তাদেরকে//যেমন//পথভ্রষ্ট হয়েছিলাম আমরা//দায়মুক্ত বলে ঘোষণা করছি আমরা//আপনার কাছে//না//তারা ছিলো//আমাদের\"//ইবাদাত করতো\""
            },
            {
              "number": 3316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3316.mp3"
              ],
              "text": "وَقِيلَ ٱدْعُوا۟ شُرَكَآءَكُمْ فَدَعَوْهُمْ فَلَمْ يَسْتَجِيبُوا۟ لَهُمْ وَرَأَوُا۟ ٱلْعَذَابَ ۚ لَوْ أَنَّهُمْ كَانُوا۟ يَهْتَدُونَ",
              "translate_bn": "বলা হবে, তোমরা তোমাদের শরীকদের আহবান কর। তখন তারা ডাকবে,। অতঃপর তারা তাদের ডাকে সাড়া দিবে না এবং তারা আযাব দেখবে। হায়! তারা যদি সৎপথ প্রাপ্ত হত।",
              "numberInSurah": 64,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলাদ‘ঊ শুরাকাআকুম ফাদা‘আওহুম ফালাম ইয়াছতাজীবূলাহুম ওয়ারাআউল ‘আযা-বা লাও আন্নাহুম কা-নূইয়াহতাদূ ন।",
              "words_arabic": "وَ قِیْلَ/وَقِيلَ/waqila//ادْعُوْا/ٱدۡعُواْ/id'u//شُرَكَآءَكُمْ/شُرَكَآءَكُمۡ/shurakaakum//فَدَعَوْهُمْ/فَدَعَوۡهُمۡ/fada'awhum//فَلَمْ/فَلَمۡ/falam//یَسْتَجِیْبُوْا/يَسۡتَجِيبُواْ/yastajibu//لَهُمْ/لَهُمۡ/lahum//وَ رَاَوُا/وَرَأَوُاْ/wara-awu//الْعَذَابَ ۚ/ٱلۡعَذَابَۚ/al-'adhaba//لَوْ/لَوۡ/law//اَنَّهُمْ/أَنَّهُمۡ/annahum//كَانُوْا/كَانُواْ/kanu//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "এবং বলা হবে//\"তোমরা ডাকো//শরিকদেরকে তোমাদের (বানানো)\"//তখন তারা ডাকবে তাদেরকে//কিন্তু না//তারা ডাকে সাড়া দিবে//উদ্দেশ্যে তাদের//এবং তারা দেখবে//শাস্তি//(হায়!) যদি//(এমন হতো) যে তারা//তারা ছিলো//সঠিকপথ পেতো"
            },
            {
              "number": 3317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3317.mp3"
              ],
              "text": "وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ مَاذَآ أَجَبْتُمُ ٱلْمُرْسَلِينَ",
              "translate_bn": "যে দিন আল্লাহ তাদেরকে ডেকে বলবেন, তোমরা রসূলগণকে কি জওয়াব দিয়েছিলে?",
              "numberInSurah": 65,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউনা-দীহিম ফাইয়াকূলুমা-যাআজাবতুমুল মুরছালীন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُنَادِیْهِمْ/يُنَادِيهِمۡ/yunadihim//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//مَا ذَاۤ/مَاذَآ/madha//اَجَبْتُمُ/أَجَبۡتُمُ/ajabtumu//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং সেদিন//তিনি ডাকবেন তাদেরকে//অতঃপর বলবেন//\"কি//জবাব দিয়েছিলে তোমরা//রাসূলদেরকে\""
            },
            {
              "number": 3318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3318.mp3"
              ],
              "text": "فَعَمِيَتْ عَلَيْهِمُ ٱلْأَنۢبَآءُ يَوْمَئِذٍۢ فَهُمْ لَا يَتَسَآءَلُونَ",
              "translate_bn": "অতঃপর তাদের কথাবার্তা বন্ধ হয়ে যাবে এবং তারা একে অপরকে জিজ্ঞাসাবাদ করতে পারবে না।",
              "numberInSurah": 66,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ফা‘আমিয়াত ‘আলাইহিমুল আমবাউ ইয়াওমায়িযিন ফাহুম লা-ইয়াতাছাআলূন।",
              "words_arabic": "فَعَمِیَتْ/فَعَمِيَتۡ/fa'amiyat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْاَنْۢبَآءُ/ٱلۡأَنۢبَآءُ/al-anbau//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَتَسَآءَلُوْنَ /يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "তখন বিলুপ্ত হবে//থেকে তাদের//তথ্যাদি//সেদিন//তখন তারা//না//পরস্পরকে জিজ্ঞেসও করতে পারবে"
            },
            {
              "number": 3319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3319.mp3"
              ],
              "text": "فَأَمَّا مَن تَابَ وَءَامَنَ وَعَمِلَ صَٰلِحًۭا فَعَسَىٰٓ أَن يَكُونَ مِنَ ٱلْمُفْلِحِينَ",
              "translate_bn": "তবে যে তওবা করে, বিশ্বাস স্থাপন করে ও সৎকর্ম করে, আশা করা যায়, সে সফলকাম হবে।",
              "numberInSurah": 67,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান তা-বা ওয়া আ-মানা ওয়া‘আমিলা সা-লিহান ফা‘আছাআইঁ ইয়াকূনা মিনাল মুফলিহীন।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَن/man//تَابَ/تَابَ/taba//وَ اٰمَنَ/وَءَامَنَ/waamana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//فَعَسٰۤی/فَعَسَىٰٓ/fa'asa//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//مِنَ/مِنَ/mina//الْمُفْلِحِیْنَ /ٱلۡمُفۡلِحِينَ/al-muf'lihina",
              "words_bangla": "তবে অবশ্য//যে//তওবা করলো//ও ঈমান আনলো//ও কাজ করলো//সৎ//সেক্ষেত্রে আশা করা যায়//যে//সে হবে//অন্তর্ভুক্ত//সফলকামদের"
            },
            {
              "number": 3320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3320.mp3"
              ],
              "text": "وَرَبُّكَ يَخْلُقُ مَا يَشَآءُ وَيَخْتَارُ ۗ مَا كَانَ لَهُمُ ٱلْخِيَرَةُ ۚ سُبْحَٰنَ ٱللَّهِ وَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "আপনার পালনকর্তা যা ইচ্ছা সৃষ্টি করেন এবং পছন্দ করেন। তাদের কোন ক্ষমতা নেই। আল্লাহ পবিত্র এবং তারা যাকে শরীক করে, তা থেকে উর্ধ্বে।",
              "numberInSurah": 68,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বুকা ইয়াখলুকুমা-ইয়াশাউ ওয়া ইয়াখতা-রু মা-কানা লাহুমুল খিয়ারাতু ছুবহা-নাল্লা-হি ওয়া তা‘আ-লা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "وَ رَبُّكَ/وَرَبُّكَ/warabbuka//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ/يَشَآءُ/yashau//وَ یَخْتَارُ ؕ/وَيَخۡتَارُۗ/wayakhtaru//مَا/مَا/ma//كَانَ/كَانَ/kana//لَهُمُ/لَهُمُ/lahumu//الْخِیَرَةُ ؕ/ٱلۡخِيَرَةُۚ/al-khiyaratu//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এবং তোমার রব//সৃষ্টি করেন//যা কিছু//তিনি চান//এবং মনোনীত করেন (নিজের কাজে যাকে চান)//না//আছে//জন্যে তাদের(এ ব্যাপারে)//বেছে নেয়ার স্বাধীনতা//পবিত্র মহান//আল্লাহ//এবং বহু উর্দ্ধে//(তা) হ'তে যা//তারা শরিক করছে"
            },
            {
              "number": 3321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3321.mp3"
              ],
              "text": "وَرَبُّكَ يَعْلَمُ مَا تُكِنُّ صُدُورُهُمْ وَمَا يُعْلِنُونَ",
              "translate_bn": "তাদের অন্তর যা গোপন করে এবং যা প্রকাশ করে, আপনার পালনকর্তা তা জানেন।",
              "numberInSurah": 69,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বুকা ইয়া‘লামুমা-তুকিন্নুসুদূরুহুম ওয়ামা-ইউ‘লিমূন।\r\n",
              "words_arabic": "وَ رَبُّكَ/وَرَبُّكَ/warabbuka//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تُكِنُّ/تُكِنُّ/tukinnu//صُدُوْرُهُمْ/صُدُورُهُمۡ/suduruhum//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ /يُعۡلِنُونَ/yu'linuna",
              "words_bangla": "এবং তোমার রব//জানেন//যা কিছু//লুকিয়ে রাখে//অন্তরসমূহ তাদের//এবং যা কিছু//তারা প্রকাশ করে"
            },
            {
              "number": 3322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3322.mp3"
              ],
              "text": "وَهُوَ ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ۖ لَهُ ٱلْحَمْدُ فِى ٱلْأُولَىٰ وَٱلْءَاخِرَةِ ۖ وَلَهُ ٱلْحُكْمُ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "তিনিই আল্লাহ তিনি ব্যতীত কোন উপাস্য নেই। ইহকাল ও পরকালে তাঁরই প্রশংসা। বিধান তাঁরই ক্ষমতাধীন এবং তোমরা তাঁরই কাছে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 70,
              "juz": 20,
              "manzil": 5,
              "page": 393,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লা-হু লাইলা-হা ইল্লা-হুওয়া লাহুল হামদুফিল ঊলা-ওয়াল আ-খিরাতি ওয়া লাহুল হুকমুওয়া ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//اللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۖ/huwa//لَهُ/لَهُ/lahu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//فِی/فِي/fi//الْاُوْلٰی/ٱلۡأُولَىٰ/al-ula//وَ الْاٰخِرَةِ ؗ/وَٱلۡأٓخِرَةِۖ/wal-akhirati//وَ لَهُ/وَلَهُ/walahu//الْحُكْمُ/ٱلۡحُكۡمُ/al-huk'mu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "এবং তিনিই//আল্লাহ//নেই//কোন ইলাহ//ছাড়া//তিনি//জন্যে তাঁরই//সব প্রশংসা//মধ্যে//দুনিয়ার//ও আখেরাতে//এবং জন্যে তাঁরই//বিধান//এবং দিকে তাঁরই//প্রত্যাবর্তিত হবে তোমরা"
            },
            {
              "number": 3323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3323.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِن جَعَلَ ٱللَّهُ عَلَيْكُمُ ٱلَّيْلَ سَرْمَدًا إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ مَنْ إِلَٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِضِيَآءٍ ۖ أَفَلَا تَسْمَعُونَ",
              "translate_bn": "বলুন, ভেবে দেখ তো, আল্লাহ যদি রাত্রিকে কেয়ামতের দিন পর্যন্ত স্থায়ী করেন, তবে আল্লাহ ব্যতীত এমন উপাস্য কে আছে, যে তোমাদেরকে আলোক দান করতে পারে? তোমরা কি তবুও কর্ণꦣ2474;াত করবে না?",
              "numberInSurah": 71,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন জা‘আলা-ল্লাহু ‘আলাইকুমুল লাইলা ছার মাদান ইলা-ইয়াওমিল কিয়ামাতি মান ইলা-হুন গাইরুল্লা-হি ইয়া’তীকুম বিদিয়াইন আফালা-তাছমা‘ঊন।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//سَرْمَدًا/سَرۡمَدًا/sarmadan//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مَنْ/مَنۡ/man//اِلٰهٌ/إِلَٰهٌ/ilahun//غَیْرُ/غَيۡرُ/ghayru//اللّٰهِ/ٱللَّهِ/al-lahi//یَاْتِیْكُمْ/يَأۡتِيكُم/yatikum//بِضِیَآءٍ ؕ/بِضِيَآءٍۚ/bidiyain//اَفَلَا/أَفَلَا/afala//تَسْمَعُوْنَ /تَسۡمَعُونَ/tasma'una",
              "words_bangla": "বলো//\"কি ভেবে দেখেছো তোমরা//যদি//করে দেন//আল্লাহ//উপর তোমাদের//রাতকে//সুদীর্ঘ//পর্যন্ত//দিন//ক্বিয়ামাতের//কে (এমন আছে)//ইলাহ//ছাড়া//আল্লাহ (যে)//কাছে আসবে তোমাদের//নিয়ে আলো//কি তবুও না//তোমরা শুনবে\""
            },
            {
              "number": 3324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3324.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِن جَعَلَ ٱللَّهُ عَلَيْكُمُ ٱلنَّهَارَ سَرْمَدًا إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ مَنْ إِلَٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِلَيْلٍۢ تَسْكُنُونَ فِيهِ ۖ أَفَلَا تُبْصِرُونَ",
              "translate_bn": "বলুন, ভেবে দেখ তো, আল্লাহ যদি দিনকে কেয়ামতের দিন পর্যন্ত স্থায়ী করেন, তবে আল্লাহ ব্যতীত এমন উপাস্য কে আছে যে, তোমাদেরকে রাত্রি দান করতে পারে, যাতে তোমরা বিশ্রাম করবে ? তোমরা কি তবুও ভেবে দেখবে না ?",
              "numberInSurah": 72,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন জা‘আলাল্লা-হু ‘আলাইকুমুন নাহা-রা ছার মাদান ইলা-ইয়াওমিল কিয়ামাতি মান ইলা-হুন গাইরুল্লা-হি ইয়া’তীকুম বিলাইলিন তাছকুনূনা ফীহি আফালাতুবসিরূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//النَّهَارَ/ٱلنَّهَارَ/al-nahara//سَرْمَدًا/سَرۡمَدًا/sarmadan//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//مَنْ/مَنۡ/man//اِلٰهٌ/إِلَٰهٌ/ilahun//غَیْرُ/غَيۡرُ/ghayru//اللّٰهِ/ٱللَّهِ/al-lahi//یَاْتِیْكُمْ/يَأۡتِيكُم/yatikum//بِلَیْلٍ/بِلَيۡلٖ/bilaylin//تَسْكُنُوْنَ/تَسۡكُنُونَ/taskununa//فِیْهِ ؕ/فِيهِۚ/fihi//اَفَلَا/أَفَلَا/afala//تُبْصِرُوْنَ /تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "বলো//\"কি ভেবে দেখেছো তোমরা//যদি//করে দেন//আল্লাহ//উপর তোমাদের//দিনকে//সুদীর্ঘ//পর্যন্ত//দিন//ক্বিয়ামাতের//কে (এমন আছে)//ইলাহ//ছাড়া//আল্লাহ//কাছে আসবে তোমাদের//নিয়ে রাত//তোমরা (যেন) শান্তি পেতে পারো//মধ্যে তার//কি তবুও না//তোমরা ভেবে দেখবে\""
            },
            {
              "number": 3325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3325.mp3"
              ],
              "text": "وَمِن رَّحْمَتِهِۦ جَعَلَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ لِتَسْكُنُوا۟ فِيهِ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তিনিই স্বীয় রহমতে তোমাদের জন্যে রাত ও দিন করেছেন, যাতে তোমরা তাতে বিশ্রাম গ্রহণ কর ও তাঁর অনুগ্রহ অন্বেষণ কর এবং যাতে তোমরা কৃতজ্ঞতা প্রকাশ কর।",
              "numberInSurah": 73,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া মির রাহমাতিহী জা‘আলা লাকুমুল লাইলা ওয়ান নাহা-রা লিতাছকুনূফীহি ওয়ালিতাবতাগূ মিন ফাদলিহী ওয়া লা‘আল্লাকুম তাশকুরূন।\r\n",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//رَّحْمَتِهٖ/رَّحۡمَتِهِۦ/rahmatihi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//لِتَسْكُنُوْا/لِتَسۡكُنُواْ/litaskunu//فِیْهِ/فِيهِ/fihi//وَ لِتَبْتَغُوْا/وَلِتَبۡتَغُواْ/walitabtaghu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "আর হ'তে//তাঁর দয়া//তিনি সৃষ্টি করেছেন//জন্যে তোমাদের//রাতকে//ও দিনকে//যেন তোমরা শান্তি পাও//মধ্যে তার//এবং যেন তোমরা সন্ধান করো//হ'তে//তাঁর অনুগ্রহ//আর( এভাবেই) হয়তো তোমরা//তোমরা কৃতজ্ঞতা প্রকাশ করবে"
            },
            {
              "number": 3326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3326.mp3"
              ],
              "text": "وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ",
              "translate_bn": "যেদিন আল্লাহ তাদেরকে ডেকে বলবেন, তোমরা যাদেরকে আমার শরীক মনে করতে, তারা কোথায়?",
              "numberInSurah": 74,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউনা-দীহিম ফাইয়াকূলুআইনা শুরাকাইয়াল্লাযীনা কুনতুম তাঝ‘উমূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُنَادِیْهِمْ/يُنَادِيهِمۡ/yunadihim//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//اَیْنَ/أَيۡنَ/ayna//شُرَكَآءِیَ/شُرَكَآءِيَ/shurakaiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كُنْتُمْ/كُنتُمۡ/kuntum//تَزْعُمُوْنَ /تَزۡعُمُونَ/taz'umuna",
              "words_bangla": "আর সেদিন (কেমন হবে যখন)//তিনি ডাকবেন তাদেরকে//অতঃপর বলবেন//\"কোথায়//(তোমাদের বানানো) আমার শরিকরা//যাদেরকে//তোমরা ছিলে তোমরা ধারণা করতে শরিক হিসেবে//\""
            },
            {
              "number": 3327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3327.mp3"
              ],
              "text": "وَنَزَعْنَا مِن كُلِّ أُمَّةٍۢ شَهِيدًۭا فَقُلْنَا هَاتُوا۟ بُرْهَٰنَكُمْ فَعَلِمُوٓا۟ أَنَّ ٱلْحَقَّ لِلَّهِ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "প্রত্যেক সম্প্রদায় থেকে আমি একজন সাক্ষী আলাদা করব; অতঃপর বলব, তোমাদের প্রমাণ আন। তখন তারা জানতে পারবে যে, সত্য আল্লাহর এবং তারা যা গড়ত, তা তাদের কাছ থেকে উধাও হয়ে যাবে।",
              "numberInSurah": 75,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 340,
              "hizbQuarter": 157,
              "sajda": false,
              "pronunciation_bn": "ওয়ানাঝা‘না-মিন কুল্লি উম্মাতিন শাহীদান ফাকুলনা-হা-তূবুরহা-নাকুম ফা‘আলিমূআন্নাল হাক্কা লিল্লা-হি ওয়া দাল্লা ‘আনহুম মা-কা-নূইয়াফতারূন।\r\n",
              "words_arabic": "وَ نَزَعْنَا/وَنَزَعۡنَا/wanaza'na//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//اُمَّةٍ/أُمَّةٖ/ummatin//شَهِیْدًا/شَهِيدٗا/shahidan//فَقُلْنَا/فَقُلۡنَا/faqul'na//هَاتُوْا/هَاتُواْ/hatu//بُرْهَانَكُمْ/بُرۡهَٰنَكُمۡ/bur'hanakum//فَعَلِمُوْۤا/فَعَلِمُوٓاْ/fa'alimu//اَنَّ/أَنَّ/anna//الْحَقَّ/ٱلۡحَقَّ/al-haqa//لِلّٰهِ/لِلَّهِ/lillahi//وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ۠/يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "বের করে আনবো আমরা//হ'তে//প্রত্যেক//জাতি//একজন সাক্ষী//অতঃপর আমরা বলবো//\"তোমরা উপস্হিত করো//প্রমাণ তোমাদের\"//তখন তারা জানবে//যে//প্রকৃত সত্য (এটাই যে)//(ইলাহ হওয়ার অধিকার) জন্যে আল্লাহরই//এবং উধাও হয়ে যাবে//হ'তে তাদের//যা//তারা ছিলো তারা মিথ্যা//রটনা করতো"
            },
            {
              "number": 3328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3328.mp3"
              ],
              "text": "۞ إِنَّ قَٰرُونَ كَانَ مِن قَوْمِ مُوسَىٰ فَبَغَىٰ عَلَيْهِمْ ۖ وَءَاتَيْنَٰهُ مِنَ ٱلْكُنُوزِ مَآ إِنَّ مَفَاتِحَهُۥ لَتَنُوٓأُ بِٱلْعُصْبَةِ أُو۟لِى ٱلْقُوَّةِ إِذْ قَالَ لَهُۥ قَوْمُهُۥ لَا تَفْرَحْ ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْفَرِحِينَ",
              "translate_bn": "কারুন ছিল মূসার সম্প্রদায়ভুক্ত। অতঃপর সে তাদের প্রতি দুষ্টামি করতে আরম্ভ করল। আমি তাকে এত ধন-ভান্ডার দান করেছিলাম যার চাবি বহন করা কয়েকজন শক্তিশালী লোকের পক্ষে কষ্টসাধ্য ছিল। যখন তার সম্প্রদায় তাকে বলল, দম্ভ করো না, আল্লাহ দাম্ভিকদেরকে ভালবাসেন না।",
              "numberInSurah": 76,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ইন্না কা-রূনা কা-না মিন কাওমি মূছা-ফাবাগা-‘আলাইহিম ওয়া আ-তাইনা-হু মিনাল কুনূঝি মাইন্না মাফা-তিহাহূলাতানূউ বিল‘উসবাতি উলিল কুওওয়াতি ইযকা-লা লাহূকাওমুহূলা-তাফরাহইন্নাল্লা-হা লা-ইউহিব্বুল ফারিহীন।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//قَارُوْنَ/قَٰرُونَ/qaruna//كَانَ/كَانَ/kana//مِنْ/مِن/min//قَوْمِ/قَوۡمِ/qawmi//مُوْسٰی/مُوسَىٰ/musa//فَبَغٰی/فَبَغَىٰ/fabagha//عَلَیْهِمْ ۪/عَلَيۡهِمۡۖ/alayhim//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//مِنَ/مِنَ/mina//الْكُنُوْزِ/ٱلۡكُنُوزِ/al-kunuzi//مَاۤ/مَآ/ma//اِنَّ/إِنَّ/inna//مَفَاتِحَهٗ/مَفَاتِحَهُۥ/mafatihahu//لَتَنُوْٓاُ/لَتَنُوٓأُ/latanuu//بِالْعُصْبَةِ/بِٱلۡعُصۡبَةِ/bil-'us'bati//اُولِی/أُوْلِي/uli//الْقُوَّةِ ۗ/ٱلۡقُوَّةِ/al-quwati//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لَهٗ/لَهُۥ/lahu//قَوْمُهٗ/قَوۡمُهُۥ/qawmuhu//لَا/لَا/la//تَفْرَحْ/تَفۡرَحۡۖ/tafrah//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْفَرِحِیْنَ /ٱلۡفَرِحِينَ/al-farihina",
              "words_bangla": "নিশ্চয়ই//ক্বারুণ//ছিলো//অন্তর্ভুক্ত//জাতির//মূসার//কিন্তু সে উদ্ধত্য প্রকাশ করলো//বিরুদ্ধে তাদেরই (জাতির)//আর আমরা দিয়েছিলাম তাকে//থেকে//ধনভান্ডারসমূহ//যা (এমন ছিলো যে)//নিশ্চয়ই//চাবিগুলো তার//অবশ্যই বহন করা কষ্টসাধ্য ছিলো//পক্ষে একদল লোকের//অধিকারী//শক্তির//যখন//বলেছিলো//উদ্দেশ্যে তার//জাতির লোকেরা তার//\"না//আনন্দে আত্মহারা হয়ো//নিশ্চয়ই//আল্লাহ//না//ভালবাসেন//আনন্দের আত্মহারাদেরকে"
            },
            {
              "number": 3329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3329.mp3"
              ],
              "text": "وَٱبْتَغِ فِيمَآ ءَاتَىٰكَ ٱللَّهُ ٱلدَّارَ ٱلْءَاخِرَةَ ۖ وَلَا تَنسَ نَصِيبَكَ مِنَ ٱلدُّنْيَا ۖ وَأَحْسِن كَمَآ أَحْسَنَ ٱللَّهُ إِلَيْكَ ۖ وَلَا تَبْغِ ٱلْفَسَادَ فِى ٱلْأَرْضِ ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُفْسِدِينَ",
              "translate_bn": "আল্লাহ তোমাকে যা দান করেছেন, তদ্বারা পরকালের গৃহ অনুসন্ধান কর, এবং ইহকাল থেকে তোমার অংশ ভূলে যেয়ো না। তুমি অনুগ্রহ কর, যেমন আল্লাহ তোমার প্রতি অনুগ্রহ করেছেন এবং পৃথিবীতে অনর্থ সৃষ্টি করতে প্রয়াসী হয়ো না। নিশ্চয় আল্লাহ অনর্থ সৃষ্টিকারীদেরকে পছন্দ করেন না।",
              "numberInSurah": 77,
              "juz": 20,
              "manzil": 5,
              "page": 394,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়াবতাগি ফিমাআ-তা-কাল্লা-হুদ্দা-রাল আ-খিরাতা ওয়ালা-তানছা নাসীবাকা মিনাদদুনইয়া-ওয়া আহছিন কামাআহছানাল্লা-হু ইলাইকা ওয়ালা তাবগিল ফাছা-দা ফিল আরদি ইন্নাল্লা-হা লা-ইউহিব্বুল মুফছিদীন।",
              "words_arabic": "وَ ابْتَغِ/وَٱبۡتَغِ/wa-ib'taghi//فِیْمَاۤ/فِيمَآ/fima//اٰتٰىكَ/ءَاتَىٰكَ/ataka//اللّٰهُ/ٱللَّهُ/al-lahu//الدَّارَ/ٱلدَّارَ/al-dara//الْاٰخِرَةَ/ٱلۡأٓخِرَةَۖ/al-akhirata//وَ لَا/وَلَا/wala//تَنْسَ/تَنسَ/tansa//نَصِیْبَكَ/نَصِيبَكَ/nasibaka//مِنَ/مِنَ/mina//الدُّنْیَا/ٱلدُّنۡيَاۖ/al-dun'ya//وَ اَحْسِنْ/وَأَحۡسِن/wa-ahsin//كَمَاۤ/كَمَآ/kama//اَحْسَنَ/أَحۡسَنَ/ahsana//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَیْكَ/إِلَيۡكَۖ/ilayka//وَ لَا/وَلَا/wala//تَبْغِ/تَبۡغِ/tabghi//الْفَسَادَ/ٱلۡفَسَادَ/al-fasada//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۖ/al-ardi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُفْسِدِیْنَ /ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "এবং অনুসন্ধান করো//মধ্যে তার যা//(অর্থাৎ ধনসম্পদ) যা তোমাকে দিয়েছেন//আল্লাহ//ঘর//আখেরাতের//তবে না//ভুলো//তোমার অংশ//মধ্যেকার//দুনিয়ার//এবং অনুগ্রহ করো (অপরের প্রতি)//যেমন//অনুগ্রহ করেছেন//আল্লাহ//প্রতি তোমার//এবং না//চেয়ো//বিপর্যয় সৃষ্টি করতে//মধ্যে//পৃথিবীর//নিশ্চয়ই//আল্লাহ//না//পছন্দ করেন//বিপর্যয় সৃষ্টিকারীদেরকে\""
            },
            {
              "number": 3330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3330.mp3"
              ],
              "text": "قَالَ إِنَّمَآ أُوتِيتُهُۥ عَلَىٰ عِلْمٍ عِندِىٓ ۚ أَوَلَمْ يَعْلَمْ أَنَّ ٱللَّهَ قَدْ أَهْلَكَ مِن قَبْلِهِۦ مِنَ ٱلْقُرُونِ مَنْ هُوَ أَشَدُّ مِنْهُ قُوَّةًۭ وَأَكْثَرُ جَمْعًۭا ۚ وَلَا يُسْـَٔلُ عَن ذُنُوبِهِمُ ٱلْمُجْرِمُونَ",
              "translate_bn": "সে বলল, আমি এই ধন আমার নিজস্ব জ্ঞান-গরিমা দ্বারা প্রাপ্ত হয়েছি। সে কি জানে না যে, আল্লাহ তার পূর্বে অনেক সম্প্রদায়কে ধ্বংস করেছেন, যারা শক্তিতে ছিল তার চাইতে প্রবল এবং ধন-সম্পদে অধিক প্রাচুর্যশীল? পাপীদেরকে তাদের পাপকর্ম সম্পর্কে জিজ্ঞেস করা হবে না।",
              "numberInSurah": 78,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নামাঊতীতুহূ‘আলা-‘ইলমিন ‘ইনদী আওয়ালাম ইয়া‘লাম আন্নাল্লা-হা কাদ আহলাকা মিন কাবলিহী মিনাল কুরূনি মান হুওয়া আশাদ্দুমিনহু কুওওয়াতাওঁ ওয়া আক ছারু জাম‘আওঁ ওয়ালা-ইউছআলু‘আন যুনূবিহিমুল মুজরিমূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّمَاۤ/إِنَّمَآ/innama//اُوْتِیْتُهٗ/أُوتِيتُهُۥ/utituhu//عَلٰی/عَلَىٰ/ala//عِلْمٍ/عِلۡمٍ/il'min//عِنْدِیْ ؕ/عِندِيٓۚ/indi//اَوَ لَمْ/أَوَلَمۡ/awalam//یَعْلَمْ/يَعۡلَمۡ/ya'lam//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//قَدْ/قَدۡ/qad//اَهْلَكَ/أَهۡلَكَ/ahlaka//مِنْ/مِن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//مِنَ/مِنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//اَشَدُّ/أَشَدُّ/ashaddu//مِنْهُ/مِنۡهُ/min'hu//قُوَّةً/قُوَّةٗ/quwwatan//وَّ اَكْثَرُ/وَأَكۡثَرُ/wa-aktharu//جَمْعًا ؕ/جَمۡعٗاۚ/jam'an//وَ لَا/وَلَا/wala//یُسْـَٔلُ/يُسۡـَٔلُ/yus'alu//عَنْ/عَن/an//ذُنُوْبِهِمُ/ذُنُوبِهِمُ/dhunubihimu//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "(ক্বারুণ) বললো//\"শুধুমাত্র//আমাকে দেয়া হয়েছে তা//এ কারণে যে//জ্ঞান (রয়েছে)//আমার নিকট\"//কি আর না//সে জানে//যে//আল্লাহ//নিশ্চয়ই//ধ্বংস করেছেন//থেকে//তার পূর্ব//মধ্য হ'তে//মানবগোষ্ঠীর//অনেককে//যারা (ছিলো)//অধিকতর//চেয়েও তার//শক্তিতে//ও অনেক বেশি//জনবলে//আর না//জিজ্ঞেস করা হবে//সম্পর্কে//অপরাধসমূহ তাদের//অপরাধীদেরকে"
            },
            {
              "number": 3331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3331.mp3"
              ],
              "text": "فَخَرَجَ عَلَىٰ قَوْمِهِۦ فِى زِينَتِهِۦ ۖ قَالَ ٱلَّذِينَ يُرِيدُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا يَٰلَيْتَ لَنَا مِثْلَ مَآ أُوتِىَ قَٰرُونُ إِنَّهُۥ لَذُو حَظٍّ عَظِيمٍۢ",
              "translate_bn": "অতঃপর কারুন জাঁকজমক সহকারে তার সম্প্রদায়ের সামনে বের হল। যারা পার্থিব জীবন কামনা করত, তারা বলল, হায়, কারুন যা প্রাপ্ত হয়েছে, আমাদেরকে যদি তা দেয়া হত! নিশ্চয় সে বড় ভাগ্যবান।",
              "numberInSurah": 79,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ফাখারাজা ‘আলা-কাওমিহী ফী ঝীনাতিহী কা-লাল্লাযীনা ইউরীদূ নাল হায়া-তাদ দুনইয়া-ইয়া-লাইতা লানা-মিছলা মাঊতিয়া কা-রূনু ইন্নাহূলাযূহাজ্জিন ‘আজীম।",
              "words_arabic": "فَخَرَجَ/فَخَرَجَ/fakharaja//عَلٰی/عَلَىٰ/ala//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//فِیْ/فِي/fi//زِیْنَتِهٖ ؕ/زِينَتِهِۦۖ/zinatihi//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//یٰلَیْتَ/يَٰلَيۡتَ/yalayta//لَنَا/لَنَا/lana//مِثْلَ/مِثۡلَ/mith'la//مَاۤ/مَآ/ma//اُوْتِیَ/أُوتِيَ/utiya//قَارُوْنُ ۙ/قَٰرُونُ/qarunu//اِنَّهٗ/إِنَّهُۥ/innahu//لَذُوْ/لَذُو/ladhu//حَظٍّ/حَظٍّ/hazzin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "অতঃপর সে  বের হয়েছিলো//সামনে//জাতির তার//সাথে//জাঁকজমকের তার//বললো//যারা//চায়//জীবন//পার্থিব//\"হায়! যদি হতো//জন্যে আমাদের//এরূপ//যা//দেয়া হয়েছে//ক্বারুনকে//নিশ্চয়ই সে//অবশ্যই অধিকারী//সৌভাগ্যের//বড়\""
            },
            {
              "number": 3332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3332.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ وَيْلَكُمْ ثَوَابُ ٱللَّهِ خَيْرٌۭ لِّمَنْ ءَامَنَ وَعَمِلَ صَٰلِحًۭا وَلَا يُلَقَّىٰهَآ إِلَّا ٱلصَّٰبِرُونَ",
              "translate_bn": "আর যারা জ্ঞান প্রাপ্ত হয়েছিল, তার বলল, ধিক তোমাদেরকে, যারা ঈমানদার এবং সৎকর্মী, তাদের জন্যে আল্লাহর দেয়া সওয়াবই উৎকৃষ্ট। এটা তারাই পায়, যারা সবরকারী।",
              "numberInSurah": 80,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা ঊতুল ‘ইল মা ওয়াইলাকুম ছাওয়া-বুল্লা-হি খাইরুল লিমান আ-মানা ওয়া ‘আমিলা সা-লিহাওঁ ওয়ালা-ইউলাক্কা-হাইল্লাসসা-বিরূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//وَیْلَكُمْ/وَيۡلَكُمۡ/waylakum//ثَوَابُ/ثَوَابُ/thawabu//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//لِّمَنْ/لِّمَنۡ/liman//اٰمَنَ/ءَامَنَ/amana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا ۚ/صَٰلِحٗاۚ/salihan//وَ لَا/وَلَا/wala//یُلَقّٰىهَاۤ/يُلَقَّىٰهَآ/yulaqqaha//اِلَّا/إِلَّا/illa//الصّٰبِرُوْنَ /ٱلصَّـٰبِرُونَ/al-sabiruna",
              "words_bangla": "কিন্তু বললো//(তারা) যাদেরকে//দেয়া হয়েছিলো//জ্ঞান//\"ধ্বংস জন্যে তোমাদের//পুরস্কার//আল্লাহরই//উত্তম//(তার) জন্যে যে//ঈমান এনেছে//কাজ করেছে//সৎ//আর না//তা পায় (অন্য কেউ)//ছাড়া//ধৈর্য্যশীলরা\""
            },
            {
              "number": 3333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3333.mp3"
              ],
              "text": "فَخَسَفْنَا بِهِۦ وَبِدَارِهِ ٱلْأَرْضَ فَمَا كَانَ لَهُۥ مِن فِئَةٍۢ يَنصُرُونَهُۥ مِن دُونِ ٱللَّهِ وَمَا كَانَ مِنَ ٱلْمُنتَصِرِينَ",
              "translate_bn": "অতঃপর আমি কারুনকে ও তার প্রাসাদকে ভূগর্ভে বিলীন করে দিলাম। তার পক্ষে আল্লাহ ব্যতীত এমন কোন দল ছিল না, যারা তাকে সাহায্য করতে পারে এবং সে নিজেও আত্মরক্ষা করতে পারল না।",
              "numberInSurah": 81,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ফাখাছাফনা-বিহী ওয়া বিদা-রিহিল আরদা ফামা-কা-না লাহূমিন ফিয়াতিইঁ ইয়ানসুরূনাহূমিন দূ নিল্লা-হি ওয়ামা-কা-না মিনাল মুনতাসিরীন।",
              "words_arabic": "فَخَسَفْنَا/فَخَسَفۡنَا/fakhasafna//بِهٖ/بِهِۦ/bihi//وَ بِدَارِهِ/وَبِدَارِهِ/wabidarihi//الْاَرْضَ ۫/ٱلۡأَرۡضَ/al-arda//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//فِئَةٍ/فِئَةٖ/fi-atin//یَّنْصُرُوْنَهٗ/يَنصُرُونَهُۥ/yansurunahu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ۗ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُنْتَصِرِیْنَ /ٱلۡمُنتَصِرِينَ/al-muntasirina",
              "words_bangla": "অতঃপর ধ্বসিয়ে দিলাম আমরা//সহ তাকে//ও সহ তার ঘর (অর্থাৎ তার প্রাসাদ)//জমীনে//তখন না//ছিলো//জন্যে তার//কোনো//দল//তারা সাহায্য করবে তাকে//থেকে//ছাড়া//আল্লাহ//আর না//সে ছিলো//অন্তর্ভুক্ত//আত্মরক্ষায় সক্ষমদের"
            },
            {
              "number": 3334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3334.mp3"
              ],
              "text": "وَأَصْبَحَ ٱلَّذِينَ تَمَنَّوْا۟ مَكَانَهُۥ بِٱلْأَمْسِ يَقُولُونَ وَيْكَأَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ ۖ لَوْلَآ أَن مَّنَّ ٱللَّهُ عَلَيْنَا لَخَسَفَ بِنَا ۖ وَيْكَأَنَّهُۥ لَا يُفْلِحُ ٱلْكَٰفِرُونَ",
              "translate_bn": "গতকল্য যারা তার মত হওয়ার বাসনা প্রকাশ করেছিল, তারা প্রত্যুষে বলতে লাগল, হায়, আল্লাহ তাঁর বান্দাদের মধ্যে যার জন্যে ইচ্ছা রিযিক বর্ধিত করেন ও হ্রাস করেন। আল্লাহ আমাদের প্রতি অনুগ্রহ না করলে আমাদেরকেও ভূগর্ভে বিলীন করে দিতেন। হায়, কাফেররা সফলকাম হবে না।",
              "numberInSurah": 82,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসবাহাল্লাযীনা তামান্নাও মাকা-নাহূবিলআমছি ইয়াকূলূনা ওয়াইকাআন্নাল্লা-হা ইয়াবছুতুররিঝকা লিমাইঁ ইয়াশাঊ মিন ‘ইবা-দিহী ওয়া ইয়াকদিরু লাওলাআম মান্নাল্লা-হু ‘আলাইনা-লাখাছাফা বিনা- ওয়াইকাআন্নাহূলা-ইউফলিহুল কা-ফিরূন।",
              "words_arabic": "وَ اَصْبَحَ/وَأَصۡبَحَ/wa-asbaha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَمَنَّوْا/تَمَنَّوۡاْ/tamannaw//مَكَانَهٗ/مَكَانَهُۥ/makanahu//بِالْاَمْسِ/بِٱلۡأَمۡسِ/bil-amsi//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//وَیْكَاَنَّ/وَيۡكَأَنَّ/wayka-anna//اللّٰهَ/ٱللَّهَ/al-laha//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//وَ یَقْدِرُ ۚ/وَيَقۡدِرُۖ/wayaqdiru//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْ/أَن/an//مَّنَّ/مَّنَّ/manna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْنَا/عَلَيۡنَا/alayna//لَخَسَفَ/لَخَسَفَ/lakhasafa//بِنَا ؕ/بِنَاۖ/bina//وَیْكَاَنَّهٗ/وَيۡكَأَنَّهُۥ/wayka-annahu//لَا/لَا/la//یُفْلِحُ/يُفۡلِحُ/yuf'lihu//الْكٰفِرُوْنَ۠/ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "এবং সকাল হলো//যারা (তাদের)//কামনা করেছিলো//তার মতো হওয়ার//গতকালকে//তারা বলতে লাগলো (আজ)//\"বড়ই পরিতাপ নিশ্চয়ই (আমরা ভুলে গিয়েছিলাম)//আল্লাহ//সম্প্রসারিত করেন//জীবিকা//(তার) জন্যে যাকে//তিনি ইচ্ছে করেন//মধ্য হ'তে//দাসদের তাঁর//আর পরিমিত দেন (যাকে চান)//যদি না//যে//অনুগ্রহ করতেন//আল্লাহ//উপর আমাদের//অবশ্যই ধসিয়ে দিতেন//সহ আমাদের (মাটিতে)//বড়ই পরিতাপ নিশ্চয়ই সে বিষয়ে (আমরা ভুলে গিয়েছিলাম)//না//সফল হয়//কাফিররা\""
            },
            {
              "number": 3335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3335.mp3"
              ],
              "text": "تِلْكَ ٱلدَّارُ ٱلْءَاخِرَةُ نَجْعَلُهَا لِلَّذِينَ لَا يُرِيدُونَ عُلُوًّۭا فِى ٱلْأَرْضِ وَلَا فَسَادًۭا ۚ وَٱلْعَٰقِبَةُ لِلْمُتَّقِينَ",
              "translate_bn": "এই পরকাল আমি তাদের জন্যে নির্ধারিত করি, যারা দুনিয়ার বুকে ঔদ্ধত্য প্রকাশ করতে ও অনর্থ সৃষ্টি করতে চায় না। খোদাভীরুদের জন্যে শুভ পরিণাম।",
              "numberInSurah": 83,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "তিলকাদ্দা-রুল আ-খিরাতুনাজ‘আলুহা-লিল্লাযীনা লা-ইউরীদূ না ‘উলুওওয়ান ফিল আরদি ওয়ালা-ফাছা-দাওঁ ওয়াল ‘আ-কিবাতুলিলমুত্তাকীন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//الدَّارُ/ٱلدَّارُ/al-daru//الْاٰخِرَةُ/ٱلۡأٓخِرَةُ/al-akhiratu//نَجْعَلُهَا/نَجۡعَلُهَا/naj'aluha//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//لَا/لَا/la//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//عُلُوًّا/عُلُوّٗا/uluwwan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فَسَادًا ؕ/فَسَادٗاۚ/fasadan//وَ الْعَاقِبَةُ/وَٱلۡعَٰقِبَةُ/wal-'aqibatu//لِلْمُتَّقِیْنَ /لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এই//ঘর//আখেরাতের//আমরা রেখেছি তা//(তাদের) জন্যে যারা//না//চায়//ঔদ্ধত্য//উপর//পৃথিবীর//আর না//বিপর্যয় (সৃষ্টি করে)//(শুভ) পরিণাম//জন্যে মুত্তাক্বীদের"
            },
            {
              "number": 3336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3336.mp3"
              ],
              "text": "مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ خَيْرٌۭ مِّنْهَا ۖ وَمَن جَآءَ بِٱلسَّيِّئَةِ فَلَا يُجْزَى ٱلَّذِينَ عَمِلُوا۟ ٱلسَّيِّـَٔاتِ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যে সৎকর্ম নিয়ে আসবে, সে তদপেক্ষা উত্তম ফল পাবে এবং যে মন্দ কর্ম নিয়ে আসবে, এরূপ মন্দ কর্মীরা সে মন্দ কর্ম পরিমানেই প্রতিফল পাবে।",
              "numberInSurah": 84,
              "juz": 20,
              "manzil": 5,
              "page": 395,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "মান জাআ বিল হাছানাতি ফালাহূখাইরুম মিনহা- ওয়া মান জাআ বিছছাইয়িআতি ফালা-ইউজঝাল্লাযীনা ‘আমিলুছ ছাইয়িআ-তি ইল্লা-মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "مَنْ/مَن/man//جَآءَ/جَآءَ/jaa//بِالْحَسَنَةِ/بِٱلۡحَسَنَةِ/bil-hasanati//فَلَهٗ/فَلَهُۥ/falahu//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْهَا ۚ/مِّنۡهَاۖ/min'ha//وَ مَنْ/وَمَن/waman//جَآءَ/جَآءَ/jaa//بِالسَّیِّئَةِ/بِٱلسَّيِّئَةِ/bil-sayi-ati//فَلَا/فَلَا/fala//یُجْزَی/يُجۡزَى/yuj'za//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عَمِلُوا/عَمِلُواْ/amilu//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "যে//আসবে//নিয়ে সৎকর্ম//অতঃপর জন্যে তার (রয়েছে)//উত্তম (প্রতিদান)//তা অপেক্ষা (বেশী)//আর যে//আসবে//নিয়ে মন্দকর্ম//অতঃপর না//প্রতিফল দেয়া হবে//(তাদেরকে) যারা//করেছে//মন্দকর্মসমূহ//এ ছাড়া//যা//তারা ছিলো//তারা কাজ করতো"
            },
            {
              "number": 3337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3337.mp3"
              ],
              "text": "إِنَّ ٱلَّذِى فَرَضَ عَلَيْكَ ٱلْقُرْءَانَ لَرَآدُّكَ إِلَىٰ مَعَادٍۢ ۚ قُل رَّبِّىٓ أَعْلَمُ مَن جَآءَ بِٱلْهُدَىٰ وَمَنْ هُوَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "যিনি আপনার প্রতি কোরআনের বিধান পাঠিয়েছেন, তিনি অবশ্যই আপনাকে স্বদেশে ফিরিয়ে আনবেন। বলুন আমার পালনকর্তা ভাল জানেন কে হেদায়েত নিয়ে এসেছে এবং কে প্রকাশ্য বিভ্রান্তিতে আছে।",
              "numberInSurah": 85,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযী ফারাদা ‘আলাইকাল কুরআ-না লারাদ্দুকা ইলা-মা‘আ-দিন কুররাববীআ‘লামুমান জাআ বিলহুদা-ওয়া মান হুওয়া ফী দালা-",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْ/ٱلَّذِي/alladhi//فَرَضَ/فَرَضَ/farada//عَلَیْكَ/عَلَيۡكَ/alayka//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لَرَآدُّكَ/لَرَآدُّكَ/laradduka//اِلٰی/إِلَىٰ/ila//مَعَادٍ ؕ/مَعَادٖۚ/ma'adin//قُلْ/قُل/qul//رَّبِّیْۤ/رَّبِّيٓ/rabbi//اَعْلَمُ/أَعۡلَمُ/a'lamu//مَنْ/مَن/man//جَآءَ/جَآءَ/jaa//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//وَ مَنْ/وَمَنۡ/waman//هُوَ/هُوَ/huwa//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "(হে নাবী) নিশ্চয়ই//যিনি//ফরজ করেছেন//উপর তোমার//(এই) কুরআন//অবশ্যই তোমাকে ফিরিয়ে আনবেন//দিকে//প্রত্যাবর্তনস্হলের//বলো//\"আমার রব//খুব জানেন//কে//এসেছে//নিয়ে সৎপথের নির্দেশ//আর কে//সে//মধ্যে (আছে)//বিভ্রান্তির//সুস্পষ্ট\""
            },
            {
              "number": 3338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3338.mp3"
              ],
              "text": "وَمَا كُنتَ تَرْجُوٓا۟ أَن يُلْقَىٰٓ إِلَيْكَ ٱلْكِتَٰبُ إِلَّا رَحْمَةًۭ مِّن رَّبِّكَ ۖ فَلَا تَكُونَنَّ ظَهِيرًۭا لِّلْكَٰفِرِينَ",
              "translate_bn": "আপনি আশা করতেন না যে, আপনার প্রতি কিতাব অবর্তীর্ণ হবে। এটা কেবল আপনার পালনকর্তার রহমত। অতএব আপনি কাফেরদের সাহায্যকারী হবেন না।",
              "numberInSurah": 86,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা- কুনতা তারাজূআইঁ ইউলকাইলাইকাল কিতা-বুইল্লা-রাহমাতাম মির রাব্বিকা ফালা-তাকূনান্না জাহীরাল লিলকা-ফিরীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//تَرْجُوْۤا/تَرۡجُوٓاْ/tarju//اَنْ/أَن/an//یُّلْقٰۤی/يُلۡقَىٰٓ/yul'qa//اِلَیْكَ/إِلَيۡكَ/ilayka//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//اِلَّا/إِلَّا/illa//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَۖ/rabbika//فَلَا/فَلَا/fala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//ظَهِیْرًا/ظَهِيرٗا/zahiran//لِّلْكٰفِرِیْنَؗ/لِّلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "আর না//তুমি ছিলে//তুমি আশা করতে//যে//অবতীর্ণ করা হবে//প্রতি তোমার//কিতাব//কিন্তু (এটা মাত্র)//অনুগ্রহ//পক্ষ হ'তে//তোমার রবের//সুতরাং না//তুমি কখনও হয়ো//সাহায্যকারী//জন্যে কাফেরদের"
            },
            {
              "number": 3339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3339.mp3"
              ],
              "text": "وَلَا يَصُدُّنَّكَ عَنْ ءَايَٰتِ ٱللَّهِ بَعْدَ إِذْ أُنزِلَتْ إِلَيْكَ ۖ وَٱدْعُ إِلَىٰ رَبِّكَ ۖ وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "কাফেররা যেন আপনাকে আল্লাহর আয়াত থেকে বিমুখ না করে সেগুলো আপনার প্রতি অবর্তীর্ণ হওয়ার পর আপনি আপনার পালনকর্তার প্রতি দাওয়াত দিন এবং কিছুতেই মুশরিকদের অন্তর্ভুক্ত হবেন না।",
              "numberInSurah": 87,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াসুদ্দুন্নাকা ‘আন আ-য়া-তিল্লা-হি বা‘দা ইয উনঝিলাত ইলাইকা ওয়াদ‘উ ইলা রাব্বিকা ওয়ালা-তাকূনান্না মিনাল মুশরিকীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَصُدُّنَّكَ/يَصُدُّنَّكَ/yasuddunnaka//عَنْ/عَنۡ/an//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//اُنْزِلَتْ/أُنزِلَتۡ/unzilat//اِلَیْكَ/إِلَيۡكَۖ/ilayka//وَ ادْعُ/وَٱدۡعُ/wa-ud'u//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَۖ/rabbika//وَ لَا/وَلَا/wala//تَكُوْنَنَّ/تَكُونَنَّ/takunanna//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَۚ/ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "এবং না//তোমাকে কিছুতেই (যেন) ফিরিয়ে রাখতে পারে//হ'তে//আয়াত//আল্লাহর//এরপর//যখন//অবতীর্ণ করা হয়েছে//প্রতি তোমার//আর আহবান করো//দিকে//তোমার রবের//এবং না//তুমি কিছুতেই হয়ো//অন্তর্ভুক্ত//মুশরিকদের"
            },
            {
              "number": 3340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3340.mp3"
              ],
              "text": "وَلَا تَدْعُ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ ۘ لَآ إِلَٰهَ إِلَّا هُوَ ۚ كُلُّ شَىْءٍ هَالِكٌ إِلَّا وَجْهَهُۥ ۚ لَهُ ٱلْحُكْمُ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "আপনি আল্লাহর সাথে অন্য উপাস্যকে আহবান করবেন না। তিনি ব্যতীত অন্য কোন উপাস্য নেই। আল্লাহর সত্তা ব্যতীত সবকিছু ধবংস হবে। বিধান তাঁরই এবং তোমরা তাঁরই কাছে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 88,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 341,
              "hizbQuarter": 158,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাদ‘উ মা‘আল্লা-হি ইলা-হান আ-খারা । লাইলা-হা ইল্লা-হুওয়া কুল্লু শাইইন হা-লিকুন ইল্লা-ওয়াজহাহূ লাহুল হুকমুওয়া ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَدْعُ/تَدۡعُ/tad'u//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ ۘ/ءَاخَرَۘ/akhara//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۫/هُوَۚ/huwa//كُلُّ/كُلُّ/kullu//شَیْءٍ/شَيۡءٍ/shayin//هَالِكٌ/هَالِكٌ/halikun//اِلَّا/إِلَّا/illa//وَجْهَهٗ ؕ/وَجۡهَهُۥۚ/wajhahu//لَهُ/لَهُ/lahu//الْحُكْمُ/ٱلۡحُكۡمُ/al-huk'mu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ۠/تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "আর না//ডেকো//সাথে//আল্লাহর//উপাস্যকে//অন্য কোনো//নেই//কোনো ইলাহ//ছাড়া//তিনি//প্রত্যেকটি//বস্তু//ধ্বংসশীল//ব্যতীত//তাঁর সত্ত্বা (চেহারা)//জন্যে তাঁরই//বিধান//আর দিকে তাঁরই//প্রত্যাবর্তিত হবে তোমরা"
            }
          ]
        },
        {
          "number": 29,
          "name": "سُورَةُ العَنكَبُوتِ",
          "englishName": "Al-Ankaboot",
          "englishNameTranslation": "The Spider",
          "revelationType": "Meccan",
          "verse": 69,
          "words": 1969,
          "chars": 8353,
          "ayahs": [
            {
              "number": 3341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3341.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ-লাম-মীম।",
              "numberInSurah": 1,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম।",
              "words_arabic": "الٓمّٓۚ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ-লাম-মীম"
            },
            {
              "number": 3342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3342.mp3"
              ],
              "text": "أَحَسِبَ ٱلنَّاسُ أَن يُتْرَكُوٓا۟ أَن يَقُولُوٓا۟ ءَامَنَّا وَهُمْ لَا يُفْتَنُونَ",
              "translate_bn": "মানুষ কি মনে করে যে, তারা একথা বলেই অব্যাহতি পেয়ে যাবে যে, আমরা বিশ্বাস করি এবং তাদেরকে পরীক্ষা করা হবে না?",
              "numberInSurah": 2,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "আহাছিবান্না-ছুআইঁ ইউতরাকূআইঁ ইয়াকূলূ আ-মান্না-ওয়া হুম লা-ইউফতানূন।",
              "words_arabic": "اَحَسِبَ/أَحَسِبَ/ahasiba//النَّاسُ/ٱلنَّاسُ/al-nasu//اَنْ/أَن/an//یُّتْرَكُوْۤا/يُتۡرَكُوٓاْ/yut'raku//اَنْ/أَن/an//یَّقُوْلُوْۤا/يَقُولُوٓاْ/yaqulu//اٰمَنَّا/ءَامَنَّا/amanna//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُفْتَنُوْنَ /يُفۡتَنُونَ/yuf'tanuna",
              "words_bangla": "কি মনে করেছে//মানুষ//যে//তাদেরকে ছেড়ে দেয়া হবে//(এ কথায়) যে//তারা বলবে//\"ঈমান এনেছি আমরা\"//আর তাদেরকে//না//পরীক্ষা করা হবে"
            },
            {
              "number": 3343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3343.mp3"
              ],
              "text": "وَلَقَدْ فَتَنَّا ٱلَّذِينَ مِن قَبْلِهِمْ ۖ فَلَيَعْلَمَنَّ ٱللَّهُ ٱلَّذِينَ صَدَقُوا۟ وَلَيَعْلَمَنَّ ٱلْكَٰذِبِينَ",
              "translate_bn": "আমি তাদেরকেও পরীক্ষা করেছি, যারা তাদের পূর্বে ছিল। আল্লাহ অবশ্যই জেনে নেবেন যারা সত্যবাদী এবং নিশ্চয়ই জেনে নেবেন মিথ্যুকদেরকে।",
              "numberInSurah": 3,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ ফাতান্নাল্লাযীনা মিন কাবলিহিম ফালাইয়া‘লামান্নাল্লা-হুল্লাযীনা সাদাকূ ওয়ালাইয়া‘লামান্নাল কা-যিবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//فَتَنَّا/فَتَنَّا/fatanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡۖ/qablihim//فَلَیَعْلَمَنَّ/فَلَيَعۡلَمَنَّ/falaya'lamanna//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَدَقُوْا/صَدَقُواْ/sadaqu//وَ لَیَعْلَمَنَّ/وَلَيَعۡلَمَنَّ/walaya'lamanna//الْكٰذِبِیْنَ /ٱلۡكَٰذِبِينَ/al-kadhibina",
              "words_bangla": "অথচ নিশ্চয়ই//পরীক্ষা করেছি আমরা//(তাদেরকে) যারা//থেকে//পূর্ব ছিলো তাদের//অতএব অবশ্যই জেনে নিবেন//আল্লাহ্//(তাদেরকে) যারা//সত্য বলেছে//আর অবশ্যই জেনে নিবেন//মিথ্যাবাদীদেরকে"
            },
            {
              "number": 3344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3344.mp3"
              ],
              "text": "أَمْ حَسِبَ ٱلَّذِينَ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ أَن يَسْبِقُونَا ۚ سَآءَ مَا يَحْكُمُونَ",
              "translate_bn": "যারা মন্দ কাজ করে, তারা কি মনে করে যে, তারা আমার হাত থেকে বেঁচে যাবে? তাদের ফয়সালা খুবই মন্দ।",
              "numberInSurah": 4,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবাল্লাযীনা ইয়া‘মালূনাছছাইয়িআ-তি আইঁ ইয়াছবিকূনা- ছাআ মাইয়াহকুমূন।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبَ/حَسِبَ/hasiba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//اَنْ/أَن/an//یَّسْبِقُوْنَا ؕ/يَسۡبِقُونَاۚ/yasbiquna//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَحْكُمُوْنَ /يَحۡكُمُونَ/yahkumuna",
              "words_bangla": "কি//মনে করেছে//(তারা) যারা//কাজ করে//মন্দ//যে//তারা ছাড়িয়ে যাবে অামাদেরকে//কত খারাপ//যা//তারা সিদ্ধান্ত নিয়েছে"
            },
            {
              "number": 3345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3345.mp3"
              ],
              "text": "مَن كَانَ يَرْجُوا۟ لِقَآءَ ٱللَّهِ فَإِنَّ أَجَلَ ٱللَّهِ لَءَاتٍۢ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "যে আল্লাহর সাক্ষাত কামনা করে, আল্লাহর সেই নির্ধারিত কাল অবশ্যই আসবে। তিনি সর্বশ্রোতা, সর্বজ্ঞানী।",
              "numberInSurah": 5,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইয়ারজুলিকাআল্লা-হি ফাইন্না আজালাল্লা-হি লাআ-তিওঁ ওয়া হুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//یَرْجُوْا/يَرۡجُواْ/yarju//لِقَآءَ/لِقَآءَ/liqaa//اللّٰهِ/ٱللَّهِ/al-lahi//فَاِنَّ/فَإِنَّ/fa-inna//اَجَلَ/أَجَلَ/ajala//اللّٰهِ/ٱللَّهِ/al-lahi//لَاٰتٍ ؕ/لَأٓتٖۚ/laatin//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "যে//সে হলো//সে কামনা করে//সাক্ষাত//আল্লাহ্‌র//(সে জানুক) তবে নিশ্চয়ই//নির্ধারিত সময়//আল্লাহ্‌র//অবশ্যই আসবে//এবং তিনিই//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 3346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3346.mp3"
              ],
              "text": "وَمَن جَٰهَدَ فَإِنَّمَا يُجَٰهِدُ لِنَفْسِهِۦٓ ۚ إِنَّ ٱللَّهَ لَغَنِىٌّ عَنِ ٱلْعَٰلَمِينَ",
              "translate_bn": "যে কষ্ট স্বীকার করে, সে তো নিজের জন্যেই কষ্ট স্বীকার করে। আল্লাহ বিশ্ববাসী থেকে বে-পরওয়া।",
              "numberInSurah": 6,
              "juz": 20,
              "manzil": 5,
              "page": 396,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান জা-হাদা ফাইন্নামা-ইউজা-হিদুলিনাফছিহী ইন্নাল্লা-হা লাগানিইইউন ‘আনিল ‘আ-লামীন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//جَاهَدَ/جَٰهَدَ/jahada//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یُجَاهِدُ/يُجَٰهِدُ/yujahidu//لِنَفْسِهٖ ؕ/لِنَفۡسِهِۦٓۚ/linafsihi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَغَنِیٌّ/لَغَنِيٌّ/laghaniyyun//عَنِ/عَنِ/ani//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং যে//জিহাদ (সংগ্রাম সাধনা) করে//তবে শুধুমাত্র//সে জিহাদ (সংগ্রাম সাধনা)করে//জন্যে নিজের তার//নিশ্চয়ই//আল্লাহ্‌//অবশ্যই অমুখাপেক্ষী//হ'তে//বিশ্ববাসী"
            },
            {
              "number": 3347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3347.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَنُكَفِّرَنَّ عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَنَجْزِيَنَّهُمْ أَحْسَنَ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আর যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, আমি অবশ্যই তাদের মন্দ কাজ গুলো মিটিয়ে দেব এবং তাদেরকে কর্মের উৎকৃষ্টতর প্রতিদান দেব।",
              "numberInSurah": 7,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লানুকাফফিরান্না ‘আনহুম ছাইয়িআ-তিহিম ওয়ালানাজঝিয়ান্নাহুম আহছানাল্লাযী কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَنُكَفِّرَنَّ/لَنُكَفِّرَنَّ/lanukaffiranna//عَنْهُمْ/عَنۡهُمۡ/anhum//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//وَ لَنَجْزِیَنَّهُمْ/وَلَنَجۡزِيَنَّهُمۡ/walanajziyannahum//اَحْسَنَ/أَحۡسَنَ/ahsana//الَّذِیْ/ٱلَّذِي/alladhi//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং যারা//ঈমান আনে//ও কাজ করে//সৎ//অবশ্যই মিটিয়ে দিবো আমরা//তাদের হ'তে তাদের//দোষগুলো তাদের//এবং অবশ্যই আমরা প্রতিফল দিবো তাদেরকে//অতি উত্তম//(বদলে) যা//তারা ছিলো//তারা কাজ করে"
            },
            {
              "number": 3348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3348.mp3"
              ],
              "text": "وَوَصَّيْنَا ٱلْإِنسَٰنَ بِوَٰلِدَيْهِ حُسْنًۭا ۖ وَإِن جَٰهَدَاكَ لِتُشْرِكَ بِى مَا لَيْسَ لَكَ بِهِۦ عِلْمٌۭ فَلَا تُطِعْهُمَآ ۚ إِلَىَّ مَرْجِعُكُمْ فَأُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আমি মানুষকে পিতা-মাতার সাথে সদ্ব্যবহার করার জোর নির্দেশ দিয়েছি। যদি তারা তোমাকে আমার সাথে এমন কিছু শরীক করার জোর প্রচেষ্টা চালায়, যার সম্পর্কে তোমার কোন জ্ঞান নেই, তবে তাদের আনুগত্য করো না। আমারই দিকে তোমাদের প্রত্যাবর্তন। অতঃপর আমি তোমাদেরকে বলে দেব যা কিছু তোমরা করতে।",
              "numberInSurah": 8,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াসসাইনাল ইনছা-না বিওয়া-লিদাইহি হুূছনাওঁ ওয়া ইন জা-হাদা-কা লিতুশরিকা বী মা-লাইছা লাকা বিহী ‘ইলমুন ফালা-তুতি‘হুমা- ইলাইইয়া মারজি‘উকুম ফাউনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ وَصَّیْنَا/وَوَصَّيۡنَا/wawassayna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//بِوَالِدَیْهِ/بِوَٰلِدَيۡهِ/biwalidayhi//حُسْنًا ؕ/حُسۡنٗاۖ/hus'nan//وَ اِنْ/وَإِن/wa-in//جَاهَدٰكَ/جَٰهَدَاكَ/jahadaka//لِتُشْرِكَ/لِتُشۡرِكَ/litush'rika//بِیْ/بِي/bi//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//بِهٖ/بِهِۦ/bihi//عِلْمٌ/عِلۡمٞ/il'mun//فَلَا/فَلَا/fala//تُطِعْهُمَا ؕ/تُطِعۡهُمَآۚ/tuti'huma//اِلَیَّ/إِلَيَّ/ilayya//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//فَاُنَبِّئُكُمْ/فَأُنَبِّئُكُم/fa-unabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং জোর নির্দেশ দিয়েছি আমরা//মানুষকে//কাছে তার পিতা-মাতার প্রতি//উত্তম (ব্যবহারের)//কিন্তু যদি//তোমাকে দু'জনে চাপ দেয়//যেন তুমি শিরক করো//সাথে আমার//যার//নেই//তোমার//সম্পর্কে সে//কোনো জ্ঞান//তাহ'লে না//অনুগত্য করো তাদের দু'য়ের//দিকে আমারই//প্রত্যাবর্তন তোমাদের (হবে)//তখন আমি জানিয়ে দিবো তোমাদেরকে//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা কাজ করে"
            },
            {
              "number": 3349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3349.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَنُدْخِلَنَّهُمْ فِى ٱلصَّٰلِحِينَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে ও সৎকাজ করে, আমি অবশ্যই তাদেরকে সৎকর্মীদের অন্তর্ভুক্ত করব।",
              "numberInSurah": 9,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লানুদখিলান্নাহুম ফিসসা-লিহীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَنُدْخِلَنَّهُمْ/لَنُدۡخِلَنَّهُمۡ/lanud'khilannahum//فِی/فِي/fi//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//অবশ্যই আমরা প্রবেশ করবো তাদেরকে//মধ্যে//সৎকর্মশীলদের"
            },
            {
              "number": 3350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3350.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَقُولُ ءَامَنَّا بِٱللَّهِ فَإِذَآ أُوذِىَ فِى ٱللَّهِ جَعَلَ فِتْنَةَ ٱلنَّاسِ كَعَذَابِ ٱللَّهِ وَلَئِن جَآءَ نَصْرٌۭ مِّن رَّبِّكَ لَيَقُولُنَّ إِنَّا كُنَّا مَعَكُمْ ۚ أَوَلَيْسَ ٱللَّهُ بِأَعْلَمَ بِمَا فِى صُدُورِ ٱلْعَٰلَمِينَ",
              "translate_bn": "কতক লোক বলে, আমরা আল্লাহর উপর বিশ্বাস স্থাপন করেছি; কিন্তু আল্লাহর পথে যখন তারা নির্যাতিত হয়, তখন তারা মানুষের নির্যাতনকে আল্লাহর আযাবের মত মনে করে। যখন আপনার পালনকর্তার কাছ থেকে কোন সাহায্য আসে তখন তারা বলতে থাকে, আমরা তো তোমাদের সাথেই ছিলাম। বিশ্ববাসীর অন্তরে যা আছে, আল্লাহ কি তা সম্যক অবগত নন?",
              "numberInSurah": 10,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইয়াকূলুআ-মান্না-বিল্লা-হি ফাইযা-ঊযিইয়া ফিল্লা-হি জা‘আলা ফিতনাতান্না-ছি কা‘আযা-বিল্লা-হি ওয়ালাইন জাআ নাসরুম মির রাব্বিকা লাইয়াকূলুন্না ইন্না-কুন্না-মা‘আকুম আওয়া লাইছাল্লা-হু বিআ‘লামা বিমা-ফী সুদূ রিল ‘আলামীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّقُوْلُ/يَقُولُ/yaqulu//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//فَاِذَاۤ/فَإِذَآ/fa-idha//اُوْذِیَ/أُوذِيَ/udhiya//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//جَعَلَ/جَعَلَ/ja'ala//فِتْنَةَ/فِتۡنَةَ/fit'nata//النَّاسِ/ٱلنَّاسِ/al-nasi//كَعَذَابِ/كَعَذَابِ/ka'adhabi//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//وَ لَىِٕنْ/وَلَئِن/wala-in//جَآءَ/جَآءَ/jaa//نَصْرٌ/نَصۡرٞ/nasrun//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//مَعَكُمْ ؕ/مَعَكُمۡۚ/ma'akum//اَوَ لَیْسَ/أَوَلَيۡسَ/awalaysa//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَعْلَمَ/بِأَعۡلَمَ/bi-a'lama//بِمَا/بِمَا/bima//فِیْ/فِي/fi//صُدُوْرِ/صُدُورِ/suduri//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং মধ্যে//মানুষের//কেউ কেউ//বলে//\"ঈমান এনেছি আমরা//প্রতি আল্লাহ্‌র\"//অতঃপর যখন//তারা নির্যাতিত হয়//পথে//আল্লাহ্‌র//গণ্য করে//পীড়নকে//মানুষের//শাস্তির মতো//আল্লাহ্‌র//এবং অবশ্যই যদি//আসে//কোনো সাহায্য//পক্ষ হ'তে//তোমার রবের//অবশ্যই তারা বলবেই//\"নিশ্চয়ই আমরা//আমরা ছিলাম//সাথে তোমাদের\"//কি নন//আল্লাহ্‌//খুব অবহিত//ঐ বিষয়ে যা//মধ্যে (আছে)//অন্তরসমূহের//বিশ্ববাসীর"
            },
            {
              "number": 3351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3351.mp3"
              ],
              "text": "وَلَيَعْلَمَنَّ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَلَيَعْلَمَنَّ ٱلْمُنَٰفِقِينَ",
              "translate_bn": "আল্লাহ অবশ্যই জেনে নেবেন যারা বিশ্বাস স্থাপন করেছে এবং নিশ্চয় জেনে নেবেন যারা মুনাফেক।",
              "numberInSurah": 11,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইয়া‘লামান্নাল্লা-হুল্লাযীনা আ-মানূওয়া লাইয়া‘লামান্নাল মুনা-ফিকীন।",
              "words_arabic": "وَ لَیَعْلَمَنَّ/وَلَيَعۡلَمَنَّ/walaya'lamanna//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ لَیَعْلَمَنَّ/وَلَيَعۡلَمَنَّ/walaya'lamanna//الْمُنٰفِقِیْنَ /ٱلۡمُنَٰفِقِينَ/al-munafiqina",
              "words_bangla": "এবং অবশ্যই জেনে নিবেন//আল্লাহ্‌ (বাস্তব ময়দানে)//(তাদেরকে) যারা//ঈমান এনেছে//এবং অবশ্যই (বাস্তবে) জেনে নিবেন//মুনাফিকদেরকে"
            },
            {
              "number": 3352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3352.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوا۟ ٱتَّبِعُوا۟ سَبِيلَنَا وَلْنَحْمِلْ خَطَٰيَٰكُمْ وَمَا هُم بِحَٰمِلِينَ مِنْ خَطَٰيَٰهُم مِّن شَىْءٍ ۖ إِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "কাফেররা মুমিনদেরকে বলে, আমাদের পথ অনুসরণ কর। আমরা তোমাদের পাপভার বহন করব। অথচ তারা পাপভার কিছুতেই বহন করবে না। নিশ্চয় তারা মিথ্যাবাদী।",
              "numberInSurah": 12,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূ লিল্লাযীনা আ-মানততাবি‘ঊ ছাবীলানা-ওয়ালনাহমিল খাতায়া-কুম ওয়ামা-হুম বিহা-মিলীনা মিন খাতা-য়া হুম মিন শাইয়িন ইন্নাহুম লাকাযিবূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّبِعُوْا/ٱتَّبِعُواْ/ittabi'u//سَبِیْلَنَا/سَبِيلَنَا/sabilana//وَ لْنَحْمِلْ/وَلۡنَحۡمِلۡ/walnahmil//خَطٰیٰكُمْ ؕ/خَطَٰيَٰكُمۡ/khatayakum//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِحٰمِلِیْنَ/بِحَٰمِلِينَ/bihamilina//مِنْ/مِنۡ/min//خَطٰیٰهُمْ/خَطَٰيَٰهُم/khatayahum//مِّنْ/مِّن/min//شَیْءٍ ؕ/شَيۡءٍۖ/shayin//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//(তাদের)-কে যারা//ঈমান এনেছে//\"তোমরা অনুসরণ করো//পথকে আমাদের//আর অবশ্যই আমরা বহন করবো//ত্রুটিগুলোর (পাপরাশিকে)তোমাদের\"//কিন্তু না//তারা//বহনকারী হবে//হ'তে//ত্রুটিগুলোর (পাপরাশিকে)তোমাদের//কোনো//কিছুই//নিশ্চয়ই তারা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 3353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3353.mp3"
              ],
              "text": "وَلَيَحْمِلُنَّ أَثْقَالَهُمْ وَأَثْقَالًۭا مَّعَ أَثْقَالِهِمْ ۖ وَلَيُسْـَٔلُنَّ يَوْمَ ٱلْقِيَٰمَةِ عَمَّا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "তারা নিজেদের পাপভার এবং তার সাথে আরও কিছু পাপভার বহন করবে। অবশ্য তারা যে সব মিথ্যা কথা উদ্ভাবন করে, সে সম্পর্কে কেয়ামতের দিন জিজ্ঞাসিত হবে।",
              "numberInSurah": 13,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 342,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইয়াহমিলুন্না আছকা-লাহুম ওয়াআছকা-লাম মা‘আ আছকা-লিহিম ওয়ালাইউছআলুন্না ইয়াওমাল কিয়া-মাতি ‘আম্মা-কা-নূইয়াফতারূন।",
              "words_arabic": "وَ لَیَحْمِلُنَّ/وَلَيَحۡمِلُنَّ/walayahmilunna//اَثْقَالَهُمْ/أَثۡقَالَهُمۡ/athqalahum//وَ اَثْقَالًا/وَأَثۡقَالٗا/wa-athqalan//مَّعَ/مَّعَ/ma'a//اَثْقَالِهِمْ ؗ/أَثۡقَالِهِمۡۖ/athqalihim//وَ لَیُسْـَٔلُنَّ/وَلَيُسۡـَٔلُنَّ/walayus'alunna//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//عَمَّا/عَمَّا/amma//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ۠/يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "এবং অবশ্যই তারা বহন করবেই//বোঝাসমূহকে তাদের//এবং বোঝাসমূহকে (অন্য অনেক)//সাথে//বোঝাসমূহের তাদের//এবং অবশ্যই তাদেরকে  জিজ্ঞাসা করা হবে//দিনে//ক্বিয়ামাতের//ঐ সম্পর্কে যা//তারা ছিলো//তারা মিথ্যা রচনা করে আসছে"
            },
            {
              "number": 3354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3354.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَلَبِثَ فِيهِمْ أَلْفَ سَنَةٍ إِلَّا خَمْسِينَ عَامًۭا فَأَخَذَهُمُ ٱلطُّوفَانُ وَهُمْ ظَٰلِمُونَ",
              "translate_bn": "আমি নূহ (আঃ) কে তাঁর সম্প্রদায়ের কাছে প্রেরণ করেছিলাম। তিনি তাদের মধ্যে পঞ্চাশ কম এক হাজার বছর অবস্থান করেছিলেন। অতঃপর তাদেরকে মহাপ্লাবণ গ্রাস করেছিল। তারা ছিল পাপী।",
              "numberInSurah": 14,
              "juz": 20,
              "manzil": 5,
              "page": 397,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-নূহান ইলা-কাওমিহী ফালাবিছা ফীহিম আলফা ছানাতিন ইল্লাখামছীনা ‘আ-মান ফাআখাযা হুমুততূফা-নুওয়াহুম জা-লিমূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحًا/nuhan//اِلٰی/إِلَىٰ/ila//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//فَلَبِثَ/فَلَبِثَ/falabitha//فِیْهِمْ/فِيهِمۡ/fihim//اَلْفَ/أَلۡفَ/alfa//سَنَةٍ/سَنَةٍ/sanatin//اِلَّا/إِلَّا/illa//خَمْسِیْنَ/خَمۡسِينَ/khamsina//عَامًا ؕ/عَامٗا/aman//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//الطُّوْفَانُ/ٱلطُّوفَانُ/al-tufanu//وَ هُمْ/وَهُمۡ/wahum//ظٰلِمُوْنَ /ظَٰلِمُونَ/zalimuna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছিলাম//নূহকে//প্রতি//তার জাতির//অতঃপর সে অবস্থান করেছিলো//মধ্যে তাদের//এক হাজার//ব্ছর//কম//পঞ্চাশ//ব্ছর (অর্থাৎ সাড়ে নয়শত বছর)//অতঃপর গ্রাস করেছিলো তাদেরকে//প্লাবন//এ অবস্থায় যে তারা ছিলো//সীমালঙ্ঘনকারী"
            },
            {
              "number": 3355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3355.mp3"
              ],
              "text": "فَأَنجَيْنَٰهُ وَأَصْحَٰبَ ٱلسَّفِينَةِ وَجَعَلْنَٰهَآ ءَايَةًۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "অতঃপর আমি তাঁকে ও নৌকারোহীগণকে রক্ষা করলাম এবং নৌকাকে নিদর্শন করলাম বিশ্ববাসীর জন্যে।",
              "numberInSurah": 15,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ফাআনজাইনা-হু ওয়া আসহা-বাছছাফীনাতি ওয়া জা‘আলনা-হা-আ-য়াতাল লিল‘আ-লামীন।",
              "words_arabic": "فَاَنْجَیْنٰهُ/فَأَنجَيۡنَٰهُ/fa-anjaynahu//وَ اَصْحٰبَ/وَأَصۡحَٰبَ/wa-ashaba//السَّفِیْنَةِ/ٱلسَّفِينَةِ/al-safinati//وَ جَعَلْنٰهَاۤ/وَجَعَلۡنَٰهَآ/waja'alnaha//اٰیَةً/ءَايَةٗ/ayatan//لِّلْعٰلَمِیْنَ /لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "অতঃপর আমরা রক্ষা করলাম তাকে//এবং সাথীদেরকে (অর্থাৎ আরোহীদেরকেও)//নৌকার//এবং আমরা করেছি তা//একটি নিদর্শন//জন্যে বিশ্ববাসীদের"
            },
            {
              "number": 3356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3356.mp3"
              ],
              "text": "وَإِبْرَٰهِيمَ إِذْ قَالَ لِقَوْمِهِ ٱعْبُدُوا۟ ٱللَّهَ وَٱتَّقُوهُ ۖ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "স্মরণ কর ইব্রাহীমকে। যখন তিনি তাঁর সম্প্রদায়কে বললেন; তোমরা আল্লাহর এবাদত কর এবং তাঁকে ভয় কর। এটাই তোমাদের জন্যে উত্তম যদি তোমরা বোঝ।",
              "numberInSurah": 16,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইবরা-হীমা ইযকা-লা লিকাওমিহি‘বুদুল্লা-হা ওয়াত্তাকূহু যা-লিকুম খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "وَ اِبْرٰهِیْمَ/وَإِبۡرَٰهِيمَ/wa-ib'rahima//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهِ/لِقَوۡمِهِ/liqawmihi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اتَّقُوْهُ ؕ/وَٱتَّقُوهُۖ/wa-ittaquhu//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং (স্মরণ করো) ইবরাহীমের (কথা)//যখন//সে বলেছিলো//উদ্দেশ্যে তার জাতির//\"তোমরা ইবাদাত করো//আল্লাহ্‌র//এবং তাঁকেই ভয় করো//এটাই//উত্তম//জন্যে তোমাদের//যদি//তোমরা ছিলে//তোমরা জানতে"
            },
            {
              "number": 3357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3357.mp3"
              ],
              "text": "إِنَّمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ أَوْثَٰنًۭا وَتَخْلُقُونَ إِفْكًا ۚ إِنَّ ٱلَّذِينَ تَعْبُدُونَ مِن دُونِ ٱللَّهِ لَا يَمْلِكُونَ لَكُمْ رِزْقًۭا فَٱبْتَغُوا۟ عِندَ ٱللَّهِ ٱلرِّزْقَ وَٱعْبُدُوهُ وَٱشْكُرُوا۟ لَهُۥٓ ۖ إِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "তোমরা তো আল্লাহর পরিবর্তে কেবল প্রতিমারই পূজা করছ এবং মিথ্যা উদ্ভাবন করছ। তোমরা আল্লাহর পরিবর্তে যাদের এবাদত করছ, তারা তোমাদের রিযিকের মালিক নয়। কাজেই আল্লাহর কাছে রিযিক তালাশ কর, তাঁর এবাদত কর এবং তাঁর কৃতজ্ঞতা প্রকাশ কর। তাঁরই কাছে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 17,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-তা‘বূদূ না মিন দূ নিল্লা-হি আওছা-নাওঁ ওয়া তাখলুকূনা ইফকান ইন্নাল্লাযীনা তা‘বুদূ না মিন দূ নিল্লা-হি লা-ইয়ামলিকূনা লাকুম রিঝকান ফাবতাগূ‘ইনদাল্লা-হির রিঝকা ওয়া‘বুদূ হু ওয়াশকুরূলাহূ ইলাইহি তুরজা‘ঊন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْثَانًا/أَوۡثَٰنٗا/awthanan//وَّ تَخْلُقُوْنَ/وَتَخۡلُقُونَ/watakhluquna//اِفْكًا ؕ/إِفۡكًاۚ/if'kan//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//لَكُمْ/لَكُمۡ/lakum//رِزْقًا/رِزۡقٗا/riz'qan//فَابْتَغُوْا/فَٱبۡتَغُواْ/fa-ib'taghu//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//وَ اعْبُدُوْهُ/وَٱعۡبُدُوهُ/wa-u'buduhu//وَ اشْكُرُوْا/وَٱشۡكُرُواْ/wa-ush'kuru//لَهٗ ؕ/لَهُۥٓۖ/lahu//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "কেবল//তোমরা উপাসনা করছো//মধ্য হতে//ছাড়া//আল্লাহ্‌//মূর্তিগুলোকে//এবং তোমরা বানাচ্ছো//মিথ্যা//নিশ্চয়ই//যাদেরকে//তোমরা উপাসনা করছো//মধ্য হতে//ছাড়া//আল্লাহ্‌//না//তারা ক্ষমতা রাখে//জন্যে তোমাদের//জীবিকা(দেয়ার)//সুতরাং তোমরা চাও//নিকট//আল্লাহ্‌র//জীবিকা//এবং তোমরা ইবাদাত করো তাঁরই//এবং তোমরা কৃতজ্ঞতা প্রকাশ করো//তাঁরই//দিকে তাঁরই//তোমরা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 3358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3358.mp3"
              ],
              "text": "وَإِن تُكَذِّبُوا۟ فَقَدْ كَذَّبَ أُمَمٌۭ مِّن قَبْلِكُمْ ۖ وَمَا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "তোমরা যদি মিথ্যাবাদী বল, তবে তোমাদের পূর্ববর্তীরাও তো মিথ্যাবাদী বলেছে। স্পষ্টভাবে পয়গাম পৌছে দেয়াই তো রসূলের দায়িত্ব।",
              "numberInSurah": 18,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তূকাযযিবূফাকাদ কাযযাবা উমামুম মিন কাবলিকুম ওয়ামা-‘আলাররাছূলি ইল্লাল বালা-গুল মুবীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//تُكَذِّبُوْا/تُكَذِّبُواْ/tukadhibu//فَقَدْ/فَقَدۡ/faqad//كَذَّبَ/كَذَّبَ/kadhaba//اُمَمٌ/أُمَمٞ/umamun//مِّنْ/مِّن/min//قَبْلِكُمْ ؕ/قَبۡلِكُمۡۖ/qablikum//وَ مَا/وَمَا/wama//عَلَی/عَلَى/ala//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//اِلَّا/إِلَّا/illa//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "আর যদি//তোমরা মিথ্যা আরোপ করো//নিশ্চয়ই তবে//মিথ্যারোপ করেছিলো//(অনেক) জাতি//থেকেও//তোমাদের পূর্ব//আর না//উপর//(দায়িত্ব) রাসূলের//এ ছাড়া যে//পৌঁছানো//সুস্পষ্টভাবে\""
            },
            {
              "number": 3359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3359.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ كَيْفَ يُبْدِئُ ٱللَّهُ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥٓ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌۭ",
              "translate_bn": "তারা কি দেখে না যে, আল্লাহ কিভাবে সৃষ্টিকর্ম শুরু করেন অতঃপর তাকে পুনরায় সৃষ্টি করবেন? এটা আল্লাহর জন্যে সহজ।",
              "numberInSurah": 19,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও কাইফা ইউবদিউল্লা-হুল খালকা ছুম্মা ইউ‘ঈদুহূ ইন্না যা-লিকা ‘আলাল্লা-হি ইয়াছীর।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//كَیْفَ/كَيۡفَ/kayfa//یُبْدِئُ/يُبۡدِئُ/yub'di-u//اللّٰهُ/ٱللَّهُ/al-lahu//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ ؕ/يُعِيدُهُۥٓۚ/yu'iduhu//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "কি না//তারা লক্ষ্য করে//কিভাবে//অস্তিত্ব দেন//আল্লাহ্‌//সৃষ্টিকে//এরপর//পুনঃসৃষ্টি করবেন তা//নিশ্চয়ই//এটা//জন্যে//আল্লাহ্‌র//সহজ"
            },
            {
              "number": 3360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3360.mp3"
              ],
              "text": "قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ بَدَأَ ٱلْخَلْقَ ۚ ثُمَّ ٱللَّهُ يُنشِئُ ٱلنَّشْأَةَ ٱلْءَاخِرَةَ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "বলুন, তোমরা পৃথিবীতে ভ্রমণ কর এবং দেখ, কিভাবে তিনি সৃষ্টিকর্ম শুরু করেছেন। অতঃপর আল্লাহ পুর্নবার সৃষ্টি করবেন। নিশ্চয় আল্লাহ সবকিছু করতে সক্ষম।",
              "numberInSurah": 20,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "কুল ছীরূ ফিল আরদিফানজুরূ কাইফা বাদাআল খালকা ছুম্মাল্লা-হু ইউনশিউন নাশআতাল আ-খিরাতা ইন্নাল্লা-হা ‘আলা-কুল্লিা শাইয়িন কাদীর।",
              "words_arabic": "قُلْ/قُلۡ/qul//سِیْرُوْا/سِيرُواْ/siru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَانْظُرُوْا/فَٱنظُرُواْ/fa-unzuru//كَیْفَ/كَيۡفَ/kayfa//بَدَاَ/بَدَأَ/bada-a//الْخَلْقَ/ٱلۡخَلۡقَۚ/al-khalqa//ثُمَّ/ثُمَّ/thumma//اللّٰهُ/ٱللَّهُ/al-lahu//یُنْشِئُ/يُنشِئُ/yunshi-u//النَّشْاَةَ/ٱلنَّشۡأَةَ/al-nashata//الْاٰخِرَةَ ؕ/ٱلۡأٓخِرَةَۚ/al-akhirata//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌۚ/قَدِيرٞ/qadirun",
              "words_bangla": "বলো//\"তোমরা ভ্রমণ করো//মধ্যে//পৃথিবীর//অতঃপর লক্ষ্য করো//কিভাবে//তিনি সূচনা করেছেন//সৃষ্টির//এরপর//আল্লাহ্‌//সৃষ্টি করবেন//সৃষ্টি//পরবর্তী//নিশ্চয়ই//আল্লাহ্‌//উপর//সব//কিছুর//সর্বশক্তিমান\""
            },
            {
              "number": 3361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3361.mp3"
              ],
              "text": "يُعَذِّبُ مَن يَشَآءُ وَيَرْحَمُ مَن يَشَآءُ ۖ وَإِلَيْهِ تُقْلَبُونَ",
              "translate_bn": "তিনি যাকে ইচ্ছা শাস্তি দেন এবং যার প্রতি ইচ্ছা রহমত করেন। তাঁরই দিকে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 21,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ইউ‘আযযিবূমাইঁ ইয়াশাউ ওয়া ইয়ারহামুমাইঁ ইয়াশাউ ওয়া ইলাইহি তুকলাবূন ।",
              "words_arabic": "یُعَذِّبُ/يُعَذِّبُ/yu'adhibu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَرْحَمُ/وَيَرۡحَمُ/wayarhamu//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۖ/yashau//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُقْلَبُوْنَ /تُقۡلَبُونَ/tuq'labuna",
              "words_bangla": "তিনি শাস্তি দিবেন//যাকে//তিনি চান//ও অনুগ্রহ করবেন//যাকে//ইচ্ছে করবেন//এবং দিকে তাঁরই//তোমরা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 3362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3362.mp3"
              ],
              "text": "وَمَآ أَنتُم بِمُعْجِزِينَ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ ۖ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّۢ وَلَا نَصِيرٍۢ",
              "translate_bn": "তোমরা স্থলে ও অন্তরীক্ষে আল্লাহকে অপারগ করতে পারবে না এবং আল্লাহ ব্যতীত তোমাদের কোন হিতাকাঙ্খী নেই, সাহায্যকারীও নেই।",
              "numberInSurah": 22,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 343,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-আনতুম বিমু‘জিঝীনা ফিল আরদি ওয়ালা -ফিছছামাই ওয়ামা-লাকুম মিন দূ নিল্লাহি মিওঁ ওয়ালিইয়িওঁ ওয়ালা-নাসীর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُعْجِزِیْنَ/بِمُعۡجِزِينَ/bimu'jizina//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فِی/فِي/fi//السَّمَآءِ ؗ/ٱلسَّمَآءِۖ/al-samai//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ۠/نَصِيرٖ/nasirin",
              "words_bangla": "এবং না//তোমরা//(আল্লাহকে)অক্ষমকারী//(না) মধ্যে//পৃথিবীর//আর না//মধ্যে//আকাশের//এবং না (আছে)//জন্যে তোমাদের//থেকে//ছাড়া//আল্লাহ্‌//কোনো//অভিভাবক//আর না আছে//কোনো সাহায্যকারী"
            },
            {
              "number": 3363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3363.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِ ٱللَّهِ وَلِقَآئِهِۦٓ أُو۟لَٰٓئِكَ يَئِسُوا۟ مِن رَّحْمَتِى وَأُو۟لَٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যারা আল্লাহর আয়াত সমূহ ও তাঁর সাক্ষাত অস্বীকার করে, তারাই আমার রহমত থেকে নিরাশ হবে এবং তাদের জন্যেই যন্ত্রণাদায়ক শাস্তি রয়েছে।",
              "numberInSurah": 23,
              "juz": 20,
              "manzil": 5,
              "page": 398,
              "ruku": 344,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূ বিআ-য়া-তিল্লা-হি ওয়া লিকা-ইহীউলাইকা ইয়াইছূমিররাহমাতী ওয়া উলাইকা লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لِقَآىِٕهٖۤ/وَلِقَآئِهِۦٓ/waliqaihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یَىِٕسُوْا/يَئِسُواْ/ya-isu//مِنْ/مِن/min//رَّحْمَتِیْ/رَّحۡمَتِي/rahmati//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং যারা//অস্বীকার করেছে//প্রতি নিদর্শনসমূহের//আল্লাহ্‌র//ও সাক্ষাতের তাঁর//ঐ সব লোক//নিরাশ হয়েছে//হ'তে//আমার অনুগ্রহ//আর ঐসব লোক//জন্যে তাদের (রয়েছে)//শাস্তি//নিদারুণ"
            },
            {
              "number": 3364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3364.mp3"
              ],
              "text": "فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوا۟ ٱقْتُلُوهُ أَوْ حَرِّقُوهُ فَأَنجَىٰهُ ٱللَّهُ مِنَ ٱلنَّارِ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তখন ইব্রাহীমের সম্প্রদায়ের এছাড়া কোন জওয়াব ছিল না যে তারা বলল, তাকে হত্যা কর অথবা অগ্নিদগ্ধ কর। অতঃপর আল্লাহ তাকে অগ্নি থেকে রক্ষা করলেন। নিশ্চয় এতে বিশ্বাসী লোকদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 24,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ফামা-কা-না জাওয়া-বা কাওমিহী-ইল্লা-আন কানলুকতুলূহু আও হাররিকুহু ফাআনজা-হুল্লাহু মিনান্না-রি ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//جَوَابَ/جَوَابَ/jawaba//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوا/قَالُواْ/qalu//اقْتُلُوْهُ/ٱقۡتُلُوهُ/uq'tuluhu//اَوْ/أَوۡ/aw//حَرِّقُوْهُ/حَرِّقُوهُ/harriquhu//فَاَنْجٰىهُ/فَأَنجَىٰهُ/fa-anjahu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//النَّارِ ؕ/ٱلنَّارِۚ/al-nari//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "অতঃপর না//ছিলো//জবাব//জাতির তার//এ ছাড়া//যে//তারা বললো//\"তোমরা তাকে হত্যা করো//অথবা//তাকে অাগুনে পোড়াও\"//অতঃপর রক্ষা করলেন তাকে//আল্লাহ্‌//হ'তে//আগুন//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা) ঈমান আনে"
            },
            {
              "number": 3365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3365.mp3"
              ],
              "text": "وَقَالَ إِنَّمَا ٱتَّخَذْتُم مِّن دُونِ ٱللَّهِ أَوْثَٰنًۭا مَّوَدَّةَ بَيْنِكُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ ثُمَّ يَوْمَ ٱلْقِيَٰمَةِ يَكْفُرُ بَعْضُكُم بِبَعْضٍۢ وَيَلْعَنُ بَعْضُكُم بَعْضًۭا وَمَأْوَىٰكُمُ ٱلنَّارُ وَمَا لَكُم مِّن نَّٰصِرِينَ",
              "translate_bn": "ইব্রাহীম বললেন, পার্থিব জীবনে তোমাদের পারস্পরিক ভালবাসা রক্ষার জন্যে তোমরা আল্লাহর পরিবর্তে প্রতিমাগুলোকে উপাস্যরূপে গ্রহণ করেছ। এরপর কেয়ামতের দিন তোমরা একে অপরকে অস্বীকার করবে এবং একে অপরকে লানত করবে। তোমাদের ঠিকানা জাহান্নাম এবং তোমাদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 25,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 159,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ইন্নামাততাখাযতুম মিন দূ নিল্লা-হি আওছা-নাম মাওয়াদ্দাতা বাইনিকুম ফিল হায়া-তিদ দুনইয়া- ছু ম্মা ইয়াওমাল কিয়া-মাতি ইয়াকফুরু বা‘দুকুম ব্বিা‘দিওঁ ওয়া ইয়াল‘আনুবা‘দুকুম বা‘দাওঁ ওয়ামা‘ ওয়া-কুমুন্না-রু ওয়ামা-লাকুম মিন্না-সিরীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//اِنَّمَا/إِنَّمَا/innama//اتَّخَذْتُمْ/ٱتَّخَذۡتُم/ittakhadhtum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْثَانًا ۙ/أَوۡثَٰنٗا/awthanan//مَّوَدَّةَ/مَّوَدَّةَ/mawaddata//بَیْنِكُمْ/بَيۡنِكُمۡ/baynikum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//ثُمَّ/ثُمَّ/thumma//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//یَكْفُرُ/يَكۡفُرُ/yakfuru//بَعْضُكُمْ/بَعۡضُكُم/ba'dukum//بِبَعْضٍ/بِبَعۡضٖ/biba'din//وَّ یَلْعَنُ/وَيَلۡعَنُ/wayal'anu//بَعْضُكُمْ/بَعۡضُكُم/ba'dukum//بَعْضًا ؗ/بَعۡضٗا/ba'dan//وَّ مَاْوٰىكُمُ/وَمَأۡوَىٰكُمُ/wamawakumu//النَّارُ/ٱلنَّارُ/al-naru//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//نّٰصِرِیْنَۗۙ/نَّـٰصِرِينَ/nasirina",
              "words_bangla": "এবং সে বলেছিলো//\"মূলতঃ//তোমরা গ্রহণ করেছো//থেকে//ছাড়া//আল্লাহ্‌//মূর্তিগুলোকে//বন্ধুত্ব রক্ষার (উপায় হিসাবে)//মাঝে তোমাদের//মধ্যে//জীবনের//পার্থিব//এরপর//দিনে//ক্বিয়ামাতের//অস্বীকার করবে//একে তোমাদের//প্রতি অপরের//ও অভিশাপ দিবে//একে তোমাদের//অপরকে//এবং তোমাদের আবাস (হবে)//আগুন//ও না//জন্যে (থাকবে)তোমাদের//কোনো//সাহায্যকারী\""
            },
            {
              "number": 3366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3366.mp3"
              ],
              "text": "۞ فَـَٔامَنَ لَهُۥ لُوطٌۭ ۘ وَقَالَ إِنِّى مُهَاجِرٌ إِلَىٰ رَبِّىٓ ۖ إِنَّهُۥ هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "অতঃপর তার প্রতি বিশ্বাস স্থাপন করলেন লূত। ইব্রাহীম বললেন, আমি আমার পালনকর্তার উদ্দেশে দেশত্যাগ করছি। নিশ্চয় তিনি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 26,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ফাআ-মানা লাহূলূত । ওয়া কা-লা ইন্নী মুহা-জিরুন ইলা-রাববী ইন্নাহূহুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "فَاٰمَنَ/۞فَـَٔامَنَ/faamana//لَهٗ/لَهُۥ/lahu//لُوْطٌ ۘ/لُوطٞۘ/lutun//وَ قَالَ/وَقَالَ/waqala//اِنِّیْ/إِنِّي/inni//مُهَاجِرٌ/مُهَاجِرٌ/muhajirun//اِلٰی/إِلَىٰ/ila//رَبِّیْ ؕ/رَبِّيٓۖ/rabbi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তখন ঈমান আনলো//প্রতি তাঁর//লূত//এবং (ইবরাহীম) বললো//\"নিশ্চয়ই আমি//হিজরতকারী//দিকে//আমার রবের//নিশ্চয়ই তিনি//তিনিই//মহাপরাক্রমশালী//প্রজ্ঞাময়\""
            },
            {
              "number": 3367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3367.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُۥٓ إِسْحَٰقَ وَيَعْقُوبَ وَجَعَلْنَا فِى ذُرِّيَّتِهِ ٱلنُّبُوَّةَ وَٱلْكِتَٰبَ وَءَاتَيْنَٰهُ أَجْرَهُۥ فِى ٱلدُّنْيَا ۖ وَإِنَّهُۥ فِى ٱلْءَاخِرَةِ لَمِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তাকে দান করলাম ইসহাক ও ইয়াকুব, তাঁর বংশধরদের মধ্যে নবুওয়ত ও কিতাব রাখলাম এবং দুনিয়াতে তাঁকে পুরস্কৃত করলাম। নিশ্চয় পরকালে ও সে সৎলোকদর অন্তর্ভূক্ত হবে।",
              "numberInSurah": 27,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লাহূইছহা-কা ওয়াইয়া‘কূবা ওয়া জা‘আলনা-ফী যুররিইইয়াতিহিন নুবুওওয়াতা ওয়ালকিতা-বা ওয়া আ-তাইনা-হু আজরাহূফিদদুনইয়া- ওয়া ইন্নাহূফিল আখিরাতি লামিনাসসা-লিহীন।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗۤ/لَهُۥٓ/lahu//اِسْحٰقَ/إِسۡحَٰقَ/is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْ/فِي/fi//ذُرِّیَّتِهِ/ذُرِّيَّتِهِ/dhurriyyatihi//النُّبُوَّةَ/ٱلنُّبُوَّةَ/al-nubuwata//وَ الْكِتٰبَ/وَٱلۡكِتَٰبَ/wal-kitaba//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//اَجْرَهٗ/أَجۡرَهُۥ/ajrahu//فِی/فِي/fi//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//لَمِنَ/لَمِنَ/lamina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং আমরা দান করলাম//জন্যে তার//ইসহাককে//ও ইয়াকুবকে//এবং আমরা স্হির করলাম//মধ্যে//বংশধরদের তার//নবুয়্যত//ও  কিতাব//এবং তাকে দিয়েছি//প্রতিফল তার//মধ্যে//দুনিয়ার//এবং নিশ্চয়ই সে (হবে)//মধ্যে//আখেরাতের//অবশ্যই অন্তর্ভুক্ত//সৎকর্মশীলদের"
            },
            {
              "number": 3368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3368.mp3"
              ],
              "text": "وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ إِنَّكُمْ لَتَأْتُونَ ٱلْفَٰحِشَةَ مَا سَبَقَكُم بِهَا مِنْ أَحَدٍۢ مِّنَ ٱلْعَٰلَمِينَ",
              "translate_bn": "আর প্রেরণ করেছি লূতকে। যখন সে তার সম্প্রদায়কে বলল, তোমরা এমন অশ্লীল কাজ করছ, যা তোমাদের পূর্বে পৃথিবীর কেউ করেনি।",
              "numberInSurah": 28,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া লূতান ইযকা-লা লিকাওমিহী-ইন্নাকুম লাতা’তূনাল ফা-হিশাতা মা-ছাবাকাকুম বিহা-মিন আহাদিম মিনাল ‘আ-লামীন।",
              "words_arabic": "وَ لُوْطًا/وَلُوطًا/walutan//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهٖۤ/لِقَوۡمِهِۦٓ/liqawmihi//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَتَاْتُوْنَ/لَتَأۡتُونَ/latatuna//الْفَاحِشَةَ ؗ/ٱلۡفَٰحِشَةَ/al-fahishata//مَا/مَا/ma//سَبَقَكُمْ/سَبَقَكُم/sabaqakum//بِهَا/بِهَا/biha//مِنْ/مِنۡ/min//اَحَدٍ/أَحَدٖ/ahadin//مِّنَ/مِّنَ/mina//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং (স্মরণ করো) লূতের (ঘটনা হলো)//যখন//বলেছিলো//উদ্দেশ্যে তার জাতির//\"নিশ্চয়ই তোমরা//অবশ্যই তোমরা আছো (করছো)//(এমন)অশ্লীলকর্মে//না//পূর্বে করেছে তোমাদের//তা//কোনো//একজন//মধ্যে//বিশ্ববাসীদের"
            },
            {
              "number": 3369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3369.mp3"
              ],
              "text": "أَئِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ وَتَقْطَعُونَ ٱلسَّبِيلَ وَتَأْتُونَ فِى نَادِيكُمُ ٱلْمُنكَرَ ۖ فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوا۟ ٱئْتِنَا بِعَذَابِ ٱللَّهِ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "তোমরা কি পুংমৈথুনে লিপ্ত আছ, রাহাজানি করছ এবং নিজেদের মজলিসে গর্হিত কর্ম করছ? জওয়াবে তাঁর সম্প্রদায় কেবল একথা বলল, আমাদের উপর আল্লাহর আযাব আন যদি তুমি সত্যবাদী হও।",
              "numberInSurah": 29,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "আইন্নাকুম লাতা’তূনার রিজা-লা ওয়া তাকতা‘ঊনাছ ছাবীলা ওয়া তা’তূনা ফী না-দীকুমুল মুনকারা ফামা-কা-না জাওয়া-বা কাওমিহীইল্লাআন কা-লূ’ তিনা-বি‘আযাবিল্লা-হি ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "اَىِٕنَّكُمْ/أَئِنَّكُمۡ/a-innakum//لَتَاْتُوْنَ/لَتَأۡتُونَ/latatuna//الرِّجَالَ/ٱلرِّجَالَ/al-rijala//وَ تَقْطَعُوْنَ/وَتَقۡطَعُونَ/wataqta'una//السَّبِیْلَ ۙ۬/ٱلسَّبِيلَ/al-sabila//وَ تَاْتُوْنَ/وَتَأۡتُونَ/watatuna//فِیْ/فِي/fi//نَادِیْكُمُ/نَادِيكُمُ/nadikumu//الْمُنْكَرَ ؕ/ٱلۡمُنكَرَۖ/al-munkara//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//جَوَابَ/جَوَابَ/jawaba//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوا/قَالُواْ/qalu//ائْتِنَا/ٱئۡتِنَا/i'tina//بِعَذَابِ/بِعَذَابِ/bi'adhabi//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "কি নিশ্চয়ই তোমরা//অবশ্যই তোমরা আসো//পুরুষদের (কাছে পুংমৈথুনের উদ্দেশ্যে)//ও তোমরা কাটছো//পথ (অর্থাৎ রাহাজানি করছো)//এবং তোমরা আসো (করছো)//মধ্যে//বৈঠকসমূহের তোমাদের//ঘৃণ্যকর্ম\"//অতঃপর না//ছিলো//জবাব//জাতির তার//এ ছাড়া//যে//তারা বললো//\"কাছে আসো আমাদের//নিয়ে শাস্তি//আল্লাহ্‌র//যদি//তুমি হয়ে থাকো//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 3370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3370.mp3"
              ],
              "text": "قَالَ رَبِّ ٱنصُرْنِى عَلَى ٱلْقَوْمِ ٱلْمُفْسِدِينَ",
              "translate_bn": "সে বলল, হে আমার পালনকর্তা, দুস্কৃতকারীদের বিরুদ্ধে আমাকে সাহায্য কর।",
              "numberInSurah": 30,
              "juz": 20,
              "manzil": 5,
              "page": 399,
              "ruku": 344,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিনসুরনী ‘আলাল কাওমিল মুফছিদীন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//انْصُرْنِیْ/ٱنصُرۡنِي/unsur'ni//عَلَی/عَلَى/ala//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الْمُفْسِدِیْنَ۠/ٱلۡمُفۡسِدِينَ/al-muf'sidina",
              "words_bangla": "সে বলেছিলো//\"হে আমার রব//আমাকে সাহায্য করো//বিরুদ্ধে//সম্প্রদায়ের//বিপর্যয় সৃষ্টিকারী\""
            },
            {
              "number": 3371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3371.mp3"
              ],
              "text": "وَلَمَّا جَآءَتْ رُسُلُنَآ إِبْرَٰهِيمَ بِٱلْبُشْرَىٰ قَالُوٓا۟ إِنَّا مُهْلِكُوٓا۟ أَهْلِ هَٰذِهِ ٱلْقَرْيَةِ ۖ إِنَّ أَهْلَهَا كَانُوا۟ ظَٰلِمِينَ",
              "translate_bn": "যখন আমার প্রেরিত ফেরেশতাগণ সুসংবাদ নিয়ে ইব্রাহীমের কাছে আগমন করল, তখন তারা বলল, আমরা এই জনপদের অধিবাসীদেরকে ধ্বংস করব। নিশ্চয় এর অধিবাসীরা জালেম।",
              "numberInSurah": 31,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআত রুছুলুনাইবরা-হীমা বিলবুশরা- কা-লূইন্না-মুহলিকূআহলি হাযিহিল কারইয়াতি ইন্না আহলাহা-কা-নূজা-লিমীন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُنَاۤ/رُسُلُنَآ/rusuluna//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//بِالْبُشْرٰی ۙ/بِٱلۡبُشۡرَىٰ/bil-bush'ra//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//مُهْلِكُوْۤا/مُهۡلِكُوٓاْ/muh'liku//اَهْلِ/أَهۡلِ/ahli//هٰذِهِ/هَٰذِهِ/hadhihi//الْقَرْیَةِ ۚ/ٱلۡقَرۡيَةِۖ/al-qaryati//اِنَّ/إِنَّ/inna//اَهْلَهَا/أَهۡلَهَا/ahlaha//كَانُوْا/كَانُواْ/kanu//ظٰلِمِیْنَۚۖ/ظَٰلِمِينَ/zalimina",
              "words_bangla": "এবং যখন//আসলো//দূতগণ আমাদের(ফেরেশতারা)//ইবরাহীমের (নিকট)//নিয়ে সুসংবাদ//তারা বললো//\"নিশ্চয়ই আমরা//ধ্বংসকারী//এই//অধিবাসীদেরকে//জনপদের//নিশ্চয়ই//অধিবাসীরা তার//ছিলো//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 3372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3372.mp3"
              ],
              "text": "قَالَ إِنَّ فِيهَا لُوطًۭا ۚ قَالُوا۟ نَحْنُ أَعْلَمُ بِمَن فِيهَا ۖ لَنُنَجِّيَنَّهُۥ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ كَانَتْ مِنَ ٱلْغَٰبِرِينَ",
              "translate_bn": "সে বলল, এই জনপদে তো লূতও রয়েছে। তারা বলল, সেখানে কে আছে, তা আমরা ভাল জানি। আমরা অবশ্যই তাকে ও তাঁর পরিবারবর্গকে রক্ষা করব তাঁর স্ত্রী ব্যতীত; সে ধ্বংসপ্রাপ্তদের অন্তর্ভূক্ত থাকবে।",
              "numberInSurah": 32,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্না ফীহা-লূতা- কা-লূনাহনুআ‘লামুবিমান ফীহা- লানুনাজজিয়ান্নাহূ ওয়া আহ লাহূইল্লাম রাআতাহূ কা-নাত মিনাল গা-বিরীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّ/إِنَّ/inna//فِیْهَا/فِيهَا/fiha//لُوْطًا ؕ/لُوطٗاۚ/lutan//قَالُوْا/قَالُواْ/qalu//نَحْنُ/نَحۡنُ/nahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//فِیْهَا ؗۥ/فِيهَاۖ/fiha//لَنُنَجِّیَنَّهٗ/لَنُنَجِّيَنَّهُۥ/lanunajjiyannahu//وَ اَهْلَهٗۤ/وَأَهۡلَهُۥٓ/wa-ahlahu//اِلَّا/إِلَّا/illa//امْرَاَتَهٗ ؗۗ/ٱمۡرَأَتَهُۥ/im'ra-atahu//كَانَتْ/كَانَتۡ/kanat//مِنَ/مِنَ/mina//الْغٰبِرِیْنَ /ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "(ইবরাহীম) বললো//\"নিশ্চয়ই//মধ্যে তার(আছে)//লুত\"//তারা বললো//\"আমরা//খুব জানি//সে সম্পর্কে কারা//মধ্যে তার(আছে)//অবশ্যই রক্ষা করবোই তাকে//ও পরিবারকে তার//ছাড়া//স্ত্রীকে তার//সে ছিলো//অন্তর্ভুক্ত//পিছনে অবস্হানকারীদের"
            },
            {
              "number": 3373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3373.mp3"
              ],
              "text": "وَلَمَّآ أَن جَآءَتْ رُسُلُنَا لُوطًۭا سِىٓءَ بِهِمْ وَضَاقَ بِهِمْ ذَرْعًۭا وَقَالُوا۟ لَا تَخَفْ وَلَا تَحْزَنْ ۖ إِنَّا مُنَجُّوكَ وَأَهْلَكَ إِلَّا ٱمْرَأَتَكَ كَانَتْ مِنَ ٱلْغَٰبِرِينَ",
              "translate_bn": "যখন আমার প্রেরিত ফেরেশতাগণ লূতের কাছে আগমন করল, তখন তাদের কারণে সে বিষন্ন হয়ে পড়ল এবং তার মন সংকীর্ণ হয়ে গেল। তারা বলল, ভয় করবেন না এবং দুঃখ করবেন না। আমরা আপনাকে ও আপনার পরিবারবর্গকে রক্ষা করবই আপনার স্ত্রী ব্যতীত, সে ধ্বংস প্রাপ্তদের অন্তর্ভূক্ত থাকবে।",
              "numberInSurah": 33,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মাআন জাআত রুছুলুনা-লূতান ছীআ বিহিম ওয়া দা-কা বিহিম যার‘আওঁ ওয়া কা-লূলা-তাখাফ ওয়ালা-তাহঝান ইন্না-মুনাজজূকা ওয়া আহলাকা ইল্লাম রাআতাকা কা-নাত মিনাল গা-বিরীন।",
              "words_arabic": "وَ لَمَّاۤ/وَلَمَّآ/walamma//اَنْ/أَن/an//جَآءَتْ/جَآءَتۡ/jaat//رُسُلُنَا/رُسُلُنَا/rusuluna//لُوْطًا/لُوطٗا/lutan//سِیْٓءَ/سِيٓءَ/sia//بِهِمْ/بِهِمۡ/bihim//وَ ضَاقَ/وَضَاقَ/wadaqa//بِهِمْ/بِهِمۡ/bihim//ذَرْعًا/ذَرۡعٗاۖ/dhar'an//وَّ قَالُوْا/وَقَالُواْ/waqalu//لَا/لَا/la//تَخَفْ/تَخَفۡ/takhaf//وَ لَا/وَلَا/wala//تَحْزَنْ ۫/تَحۡزَنۡ/tahzan//اِنَّا/إِنَّا/inna//مُنَجُّوْكَ/مُنَجُّوكَ/munajjuka//وَ اَهْلَكَ/وَأَهۡلَكَ/wa-ahlaka//اِلَّا/إِلَّا/illa//امْرَاَتَكَ/ٱمۡرَأَتَكَ/im'ra-ataka//كَانَتْ/كَانَتۡ/kanat//مِنَ/مِنَ/mina//الْغٰبِرِیْنَ /ٱلۡغَٰبِرِينَ/al-ghabirina",
              "words_bangla": "এবং যখন//যে//আসলো//দূতগণ আমাদের(ফেরেশতারা)//লুতের (নিকট)//সে বিষন্ন হলো//কারণে তাদের//এবং সংকীর্ণ হলো//কারণে তাদের//শক্তিতে (অর্থাৎ অসহায় হলো)//এবং তারা বললো//\"না//ভয় করো//আর না//দুশ্চিন্তা করো//নিশ্চয়ই আমরা//তোমাকে রক্ষাকারী//ও তোমার পরিবারকে//ছাড়া//তোমার স্ত্রীকে//সে ছিলো//অন্তর্ভুক্ত//পিছনে অবস্থানকারীদের"
            },
            {
              "number": 3374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3374.mp3"
              ],
              "text": "إِنَّا مُنزِلُونَ عَلَىٰٓ أَهْلِ هَٰذِهِ ٱلْقَرْيَةِ رِجْزًۭا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَفْسُقُونَ",
              "translate_bn": "আমরা এই জনপদের অধিবাসীদের উপর আকাশ থেকে আযাব নাজিল করব তাদের পাপাচারের কারণে।",
              "numberInSurah": 34,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ইন্না মুনঝিলূনা ‘আলাআহলি হা-যিহিল কারইয়াতি রিজঝাম মিনাছছামাইবিমা-কা-নূ ইয়াফছুকূ ন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//مُنْزِلُوْنَ/مُنزِلُونَ/munziluna//عَلٰۤی/عَلَىٰٓ/ala//اَهْلِ/أَهۡلِ/ahli//هٰذِهِ/هَٰذِهِ/hadhihi//الْقَرْیَةِ/ٱلۡقَرۡيَةِ/al-qaryati//رِجْزًا/رِجۡزٗا/rij'zan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَفْسُقُوْنَ /يَفۡسُقُونَ/yafsuquna",
              "words_bangla": "নিশ্চয়ই আমরা//অবতরণকারী//উপর//অধিবাসীদের//এই//জনপদের//শাস্তি//হ'তে//আকাশ//এ কারণে যা//তারা ছিলো//তারা পাপাচার করে\""
            },
            {
              "number": 3375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3375.mp3"
              ],
              "text": "وَلَقَد تَّرَكْنَا مِنْهَآ ءَايَةًۢ بَيِّنَةًۭ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "আমি বুদ্ধিমান লোকদের জন্যে এতে একটি স্পষ্ট নিদর্শন রেখে দিয়েছি।",
              "numberInSurah": 35,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাত তারাকনা-মিনহাআ-য়াতাম বাইয়িনাতাল লিকাওমিই ইয়া‘কিলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَد/walaqad//تَّرَكْنَا/تَّرَكۡنَا/tarakna//مِنْهَاۤ/مِنۡهَآ/min'ha//اٰیَةًۢ/ءَايَةَۢ/ayatan//بَیِّنَةً/بَيِّنَةٗ/bayyinatan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা রেখে দিয়েছি//হ:তে তা//একটি নিদর্শন//সুস্পষ্ট//জন্যে সম্প্রদায়ের//(যারা)বিবেক কাজে লাগায়"
            },
            {
              "number": 3376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3376.mp3"
              ],
              "text": "وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًۭا فَقَالَ يَٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ وَٱرْجُوا۟ ٱلْيَوْمَ ٱلْءَاخِرَ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ",
              "translate_bn": "আমি মাদইয়ানবাসীদের প্রতি তাদের ভাই শোআয়বকে প্রেরণ করেছি। সে বলল, হে আমার সম্প্রদায় তোমরা আল্লাহর এবাদত কর, শেষ দিবসের আশা রাখ এবং পৃথিবীতে অনর্থ সৃষ্টি করো না।",
              "numberInSurah": 36,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা-মাদইয়না আখা-হুম শু‘আইবান ফাকা-লা ইয়া-কাওমি‘বুদুল্লা-হা ওয়ারজুল ইয়াওমাল আ-খিরা ওয়ালা-তা‘ছাও ফিল আরদিমুফছিদীন।",
              "words_arabic": "وَ اِلٰی/وَإِلَىٰ/wa-ila//مَدْیَنَ/مَدۡيَنَ/madyana//اَخَاهُمْ/أَخَاهُمۡ/akhahum//شُعَیْبًا ۙ/شُعَيۡبٗا/shu'ayban//فَقَالَ/فَقَالَ/faqala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//وَ ارْجُوا/وَٱرۡجُواْ/wa-ir'ju//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//الْاٰخِرَ/ٱلۡأٓخِرَ/al-akhira//وَ لَا/وَلَا/wala//تَعْثَوْا/تَعۡثَوۡاْ/ta'thaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مُفْسِدِیْنَ /مُفۡسِدِينَ/muf'sidina",
              "words_bangla": "এবং প্রতি//মাদয়ানবাসীদের//ভাই তাদের//শুয়াইবকে (আমরা প্রেরণ করি)//অতঃপর সে বলেছিলো//\"হে আমার জাতি//তোমরা ইবাদাত করো//আল্লাহ্‌র//ও (ভালো) আশা রাখো//দিনের//শেষ//এবং না//তোমরা বাড়াবাড়ি করো//মধ্যে//পৃথিবীর//বিপর্যয় সৃষ্টিকারী হয়ে\""
            },
            {
              "number": 3377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3377.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَٰثِمِينَ",
              "translate_bn": "কিন্তু তারা তাঁকে মিথ্যাবাদী বলল; অতঃপর তারা ভূমিকম্প দ্বারা আক্রান্ত হল এবং নিজেদের গৃহে উপুড় হয়ে পড়ে রইল।",
              "numberInSurah": 37,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফাআখাযাতহুমুর রাজফাতুফাআসবাহূফী দা-রিহিম জা-ছিমীন।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الرَّجْفَةُ/ٱلرَّجۡفَةُ/al-rajfatu//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//فِیْ/فِي/fi//دَارِهِمْ/دَارِهِمۡ/darihim//جٰثِمِیْنَؗ/جَٰثِمِينَ/jathimina",
              "words_bangla": "অতঃপর তারা মিথ্যা সাব্যস্ত করলো তাকে//তখন গ্রাস করলো তাদেরকে//ভূমিকম্প//ফলে তারা হয়ে গেলো//মধ্যে//ঘরবাড়ির তাদের//নতজানু অবস্থায় (অর্থাৎ মরে পড়ে রইলো)"
            },
            {
              "number": 3378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3378.mp3"
              ],
              "text": "وَعَادًۭا وَثَمُودَا۟ وَقَد تَّبَيَّنَ لَكُم مِّن مَّسَٰكِنِهِمْ ۖ وَزَيَّنَ لَهُمُ ٱلشَّيْطَٰنُ أَعْمَٰلَهُمْ فَصَدَّهُمْ عَنِ ٱلسَّبِيلِ وَكَانُوا۟ مُسْتَبْصِرِينَ",
              "translate_bn": "আমি আ’দ ও সামুদকে ধ্বংস করে দিয়েছি। তাদের বাড়ী-ঘর থেকেই তাদের অবস্থা তোমাদের জানা হয়ে গেছে। শয়তান তাদের কর্মকে তাদের দৃষ্টিতে সুশোভিত করেছিল, অতঃপর তাদেরকে সৎপথ অবলম্বনে বাধা দিয়েছিল এবং তারা ছিল হুশিয়ার।",
              "numberInSurah": 38,
              "juz": 20,
              "manzil": 5,
              "page": 400,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আদাওঁ ওয়া ছামূদা ওয়া কাততাবাইইয়ানা লাকুম মিম মাছা-কিনিহিম ওয়া ঝাইইয়ানা লাহুমুশশাইতা-নুআ‘মা-লাহুম ফাসাদ্দাহুম ‘আনিছছাবীলি ওয়া কা-নূ মুছতাবসিরীন।",
              "words_arabic": "وَ عَادًا/وَعَادٗا/wa'adan//وَّ ثَمُوْدَاۡ/وَثَمُودَاْ/wathamuda//وَ قَدْ/وَقَد/waqad//تَّبَیَّنَ/تَّبَيَّنَ/tabayyana//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//مَّسٰكِنِهِمْ ۫/مَّسَٰكِنِهِمۡۖ/masakinihim//وَ زَیَّنَ/وَزَيَّنَ/wazayyana//لَهُمُ/لَهُمُ/lahumu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//فَصَدَّهُمْ/فَصَدَّهُمۡ/fasaddahum//عَنِ/عَنِ/ani//السَّبِیْلِ/ٱلسَّبِيلِ/al-sabili//وَ كَانُوْا/وَكَانُواْ/wakanu//مُسْتَبْصِرِیْنَۙ/مُسۡتَبۡصِرِينَ/mus'tabsirina",
              "words_bangla": "এবং আ'দ//ও সামূদকেও (ধ্বংস করেছি)//এবং নিশ্চয়ই//সুস্পষ্ট হয়েছে (তাদের ধ্বংস)//জন্যে তোমাদের//হ'তে//ঘরবাড়িসমূহ তাদের//শোভন করেছিলো//নিকট তাদের//শয়তান//কাজগুলোকে তাদের//অতঃপর বাঁধা দিয়েছিলো তাদেরকে//হ'তে//(সঠিক) পথ//কিন্তু তারা ছিলো//কাণ্ডজ্ঞানসম্পন্ন বিচক্ষণ"
            },
            {
              "number": 3379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3379.mp3"
              ],
              "text": "وَقَٰرُونَ وَفِرْعَوْنَ وَهَٰمَٰنَ ۖ وَلَقَدْ جَآءَهُم مُّوسَىٰ بِٱلْبَيِّنَٰتِ فَٱسْتَكْبَرُوا۟ فِى ٱلْأَرْضِ وَمَا كَانُوا۟ سَٰبِقِينَ",
              "translate_bn": "আমি কারুন, ফেরাউন ও হামানকে ধ্বংস করেছি। মূসা তাদের কাছে সুস্পষ্ট নিদর্শনাবলী নিয়ে আগমন করেছিল অতঃপর তারা দেশে দম্ভ করেছিল। কিন্তু তারা জিতে যায়নি।",
              "numberInSurah": 39,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-রূনা ওয়া ফির‘আওনা ওয়া হা-মা-না ওয়া লাকাদ জাআহুম মূছাবিলবাইয়িনা-তি ফাছতাকবারূ ফিল আরদিওয়ামা-কা-নূছা-বিক ীন।",
              "words_arabic": "وَ قَارُوْنَ/وَقَٰرُونَ/waqaruna//وَ فِرْعَوْنَ/وَفِرۡعَوۡنَ/wafir'awna//وَ هَامٰنَ ۫/وَهَٰمَٰنَۖ/wahamana//وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَهُمْ/جَآءَهُم/jaahum//مُّوْسٰی/مُّوسَىٰ/musa//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَاسْتَكْبَرُوْا/فَٱسۡتَكۡبَرُواْ/fa-is'takbaru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//سٰبِقِیْنَۚۖ/سَٰبِقِينَ/sabiqina",
              "words_bangla": "এবং ক্বারুন//ও ফিরআউন//এবং হামানকেও (আমরা ধ্বংস করেছি)//এবং নিশ্চয়ই//কাছে এসেছিলো তাদের//মূসা//নিয়ে সুস্পষ্ট প্রমাণাদি//তখন তারা দম্ভ করতো//মধ্যে//দেশের//কিন্তু না//তারা ছিলো//অগ্রগামী"
            },
            {
              "number": 3380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3380.mp3"
              ],
              "text": "فَكُلًّا أَخَذْنَا بِذَنۢبِهِۦ ۖ فَمِنْهُم مَّنْ أَرْسَلْنَا عَلَيْهِ حَاصِبًۭا وَمِنْهُم مَّنْ أَخَذَتْهُ ٱلصَّيْحَةُ وَمِنْهُم مَّنْ خَسَفْنَا بِهِ ٱلْأَرْضَ وَمِنْهُم مَّنْ أَغْرَقْنَا ۚ وَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "আমি প্রত্যেককেই তার অপরাধের কারণে পাকড়াও করেছি। তাদের কারও প্রতি প্রেরণ করেছি প্রস্তরসহ প্রচন্ড বাতাস, কাউকে পেয়েছে বজ্রপাত, কাউকে আমি বিলীন করেছি ভূগর্ভে এবং কাউকে করেছি নিমজ্জত। আল্লাহ তাদের প্রতি যুলুম করার ছিলেন না; কিন্তু তারা নিজেরাই নিজেদের প্রতি যুলুম করেছে।",
              "numberInSurah": 40,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ফাকুল লান আখযনা-বিযামবিহী ফামিনহুম মান আরছালনা-‘আলাইহি হা-সিবাওঁ ওয়া মিনহুম মান আখাযাতহুস সাইহাতু ওয়া মিনহুম মান খাছাফনা-বিহিল আরদা ওয়া মিনহুম মান আগরাকনা- ওয়ামা-কা-নাল্লা-হু লিইয়াজলিমাহুম ওয়ালা-কিন কানূআনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "فَكُلًّا/فَكُلًّا/fakullan//اَخَذْنَا/أَخَذۡنَا/akhadhna//بِذَنْۢبِهٖ ۚ/بِذَنۢبِهِۦۖ/bidhanbihi//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّنۡ/man//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//عَلَیْهِ/عَلَيۡهِ/alayhi//حَاصِبًا ۚ/حَاصِبٗا/hasiban//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//اَخَذَتْهُ/أَخَذَتۡهُ/akhadhathu//الصَّیْحَةُ ۚ/ٱلصَّيۡحَةُ/al-sayhatu//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//خَسَفْنَا/خَسَفۡنَا/khasafna//بِهِ/بِهِ/bihi//الْاَرْضَ ۚ/ٱلۡأَرۡضَ/al-arda//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّنۡ/man//اَغْرَقْنَا ۚ/أَغۡرَقۡنَاۚ/aghraqna//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَظْلِمَهُمْ/لِيَظۡلِمَهُمۡ/liyazlimahum//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَ /يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "শেষ পর্যন্ত প্রত্যেককে//পাকড়াও করেছি আমরা//কারণে তার অপরাধের//অতঃপর মধ্য হ'তে তাদের//কারও (ক্ষেত্রে)//আমরা প্রেরণ করেছি//উপর তার//পাথর বর্ষণকারী ঝঞ্ঝা//আর মধ্য হ'তে তাদের//কারও (অবস্থা ছিলো)//ধরেছিলো তাকে//মহাগর্জন//আবার মধ্য হ'তে তাদের//কাউকে//আমরা ধসিয়ে দিয়েছি//সহ তাকে//জমীনে//আর মধ্য হ'তে তাদের//কাউকে//আমরা ডুবিয়ে দিয়েছি (পানিতে)//অথচ না//ছিলেন//আল্লাহ//যেন তিনি তাদের প্রতি অন্যায় করবেন//কিন্তু//তারা ছিলো//নিজেদের (উপর) তাদের//তারা অন্যায় করতো"
            },
            {
              "number": 3381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3381.mp3"
              ],
              "text": "مَثَلُ ٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ أَوْلِيَآءَ كَمَثَلِ ٱلْعَنكَبُوتِ ٱتَّخَذَتْ بَيْتًۭا ۖ وَإِنَّ أَوْهَنَ ٱلْبُيُوتِ لَبَيْتُ ٱلْعَنكَبُوتِ ۖ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "যারা আল্লাহর পরিবর্তে অপরকে সাহায্যকারীরূপে গ্রহণ করে তাদের উদাহরণ মাকড়সা। সে ঘর বানায়। আর সব ঘরের মধ্যে মাকড়সার ঘরই তো অধিক দুর্বল, যদি তারা জানত।",
              "numberInSurah": 41,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "মাছালুল্লাযীনাততাখাযূমিন দূ নিল্লা-হি আওলিয়াআ কামাছালিল ‘আনকাবূতি ইত্তাখাযাত বাইতাওঁ ওয়া ইন্না আওহানাল বুয়ূতি লা বাইতুল ‘আনকাবূত। লাও কা-নূ ইয়া‘লামূন।",
              "words_arabic": "مَثَلُ/مَثَلُ/mathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//كَمَثَلِ/كَمَثَلِ/kamathali//الْعَنْكَبُوْتِ ۚۖ/ٱلۡعَنكَبُوتِ/al-'ankabuti//اِتَّخَذَتْ/ٱتَّخَذَتۡ/ittakhadhat//بَیْتًا ؕ/بَيۡتٗاۖ/baytan//وَ اِنَّ/وَإِنَّ/wa-inna//اَوْهَنَ/أَوۡهَنَ/awhana//الْبُیُوْتِ/ٱلۡبُيُوتِ/al-buyuti//لَبَیْتُ/لَبَيۡتُ/labaytu//الْعَنْكَبُوْتِ ۘ/ٱلۡعَنكَبُوتِۚ/al-'ankabuti//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "দৃষ্টান্ত//(তাদের) যারা//গ্রহণ করেছে (অপরকে)//থেকে//ছাড়া//আল্লাহ্‌//অভিভাবক হিসেবে//মতো দৃষ্টান্তের//মাকড়শার//সে বানিয়েছে//(তার) ঘরকে (বড় অবলম্বন হিসেবে)//অথচ নিশ্চয়ই//দুর্বলতম (ঘর)//সব ঘরের (চেয়ে)//অবশ্যই ঘর//মাকড়শার//যদি//তারা ছিলো//তারা জানতো"
            },
            {
              "number": 3382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3382.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يَعْلَمُ مَا يَدْعُونَ مِن دُونِهِۦ مِن شَىْءٍۢ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "তারা আল্লাহর পরিবর্তে যা কিছুকে ডাকে, আল্লাহ তা জানেন। তিনি শক্তিশালী, প্রজ্ঞাময়।",
              "numberInSurah": 42,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইয়া‘লামুমা-ইয়াদ‘ঊনা মিন দূ নিহী মিন শাইয়িওঁ ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "নিশ্চয়ই আমরা//আল্লাহ্‌//জানেন//যা//তারা ডাকে//ছাড়া//তাঁর//অন্য কোনো//কিছুকে//এবং তিনি//মহাপরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 3383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3383.mp3"
              ],
              "text": "وَتِلْكَ ٱلْأَمْثَٰلُ نَضْرِبُهَا لِلنَّاسِ ۖ وَمَا يَعْقِلُهَآ إِلَّا ٱلْعَٰلِمُونَ",
              "translate_bn": "এ সকল উদাহরণ আমি মানুষের জন্যে দেই; কিন্তু জ্ঞানীরাই তা বোঝে।",
              "numberInSurah": 43,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকাল আমছা-লুনাদরিবুহা-লিন্না-ছি ওয়ামা-ইয়া‘কিলুহা ইল্লাল ‘আ-লিমূন।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//الْاَمْثَالُ/ٱلۡأَمۡثَٰلُ/al-amthalu//نَضْرِبُهَا/نَضۡرِبُهَا/nadribuha//لِلنَّاسِ ۚ/لِلنَّاسِۖ/lilnnasi//وَ مَا/وَمَا/wama//یَعْقِلُهَاۤ/يَعۡقِلُهَآ/ya'qiluha//اِلَّا/إِلَّا/illa//الْعٰلِمُوْنَ /ٱلۡعَٰلِمُونَ/al-'alimuna",
              "words_bangla": "এবং এই//দৃষ্টান্তসমূহ//তা পেশ করি আমরা//জন্যে মানুষের//আর না//বুঝতে পারে তা//ছাড়া//জ্ঞানীরা"
            },
            {
              "number": 3384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3384.mp3"
              ],
              "text": "خَلَقَ ٱللَّهُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّلْمُؤْمِنِينَ",
              "translate_bn": "আল্লাহ যথার্থরূপে নভোমন্ডল ও ভূমন্ডল সৃষ্টি করেছেন। এতে নিদর্শন রয়েছে ঈমানদার সম্প্রদায়ের জন্যে।",
              "numberInSurah": 44,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 345,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "খালাকাল্লা-হুছছামা-ওয়া-তি ওয়াল আরদা বিলহাক্কি ইন্না ফী যা-লিকা লাআ-য়াতাল লিলমু’মিনীন।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّلْمُؤْمِنِیْنَ۠/لِّلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "সৃষ্টি করেছেন//আল্লাহ্‌//আকাশমণ্ডলী//ও পৃথিবী//ভাবে যথাযথ//নিশ্চয়ই//(মধ্যে)রয়েছে//এর//অবশ্যই নিদর্শন//জন্যে মু'মিনদের"
            },
            {
              "number": 3385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3385.mp3"
              ],
              "text": "ٱتْلُ مَآ أُوحِىَ إِلَيْكَ مِنَ ٱلْكِتَٰبِ وَأَقِمِ ٱلصَّلَوٰةَ ۖ إِنَّ ٱلصَّلَوٰةَ تَنْهَىٰ عَنِ ٱلْفَحْشَآءِ وَٱلْمُنكَرِ ۗ وَلَذِكْرُ ٱللَّهِ أَكْبَرُ ۗ وَٱللَّهُ يَعْلَمُ مَا تَصْنَعُونَ",
              "translate_bn": "আপনি আপনার প্রতি প্রত্যাদিষ্ট কিতাব পাঠ করুন এবং নামায কায়েম করুন। নিশ্চয় নামায অশ্লীল ও গর্হিত কার্য থেকে বিরত রাখে। আল্লাহর স্মরণ সর্বশ্রেষ্ঠ। আল্লাহ জানেন তোমরা যা কর।",
              "numberInSurah": 45,
              "juz": 20,
              "manzil": 5,
              "page": 401,
              "ruku": 346,
              "hizbQuarter": 160,
              "sajda": false,
              "pronunciation_bn": "উতলুমাঊহিয়া ইলাইকা মিনাল কিতা-বি ওয়া আকিমিসসালা-তা ইন্নাসসালা-তা তানহা-‘আনিল ফাহশাই ওয়াল মুনকারি ওয়ালাযিকরুল্লা-হি আকবারু ওয়াল্লা-হু ইয়া‘লামুমা-তাসনা‘ঊন।",
              "words_arabic": "اُتْلُ/ٱتۡلُ/ut'lu//مَاۤ/مَآ/ma//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ اَقِمِ/وَأَقِمِ/wa-aqimi//الصَّلٰوةَ ؕ/ٱلصَّلَوٰةَۖ/al-salata//اِنَّ/إِنَّ/inna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//تَنْهٰی/تَنۡهَىٰ/tanha//عَنِ/عَنِ/ani//الْفَحْشَآءِ/ٱلۡفَحۡشَآءِ/al-fahshai//وَ الْمُنْكَرِ ؕ/وَٱلۡمُنكَرِۗ/wal-munkari//وَ لَذِكْرُ/وَلَذِكۡرُ/waladhik'ru//اللّٰهِ/ٱللَّهِ/al-lahi//اَكْبَرُ ؕ/أَكۡبَرُۗ/akbaru//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//تَصْنَعُوْنَ /تَصۡنَعُونَ/tasna'una",
              "words_bangla": "(হে নাবী) তিলাওয়াত করো//যা//ওহী করা হয়েছে//প্রতি তোমার//থেকে//কিতাব//এবং প্রতিষ্ঠা করো//সালাত//নিশ্চয়ই//সালাত//বিরত রাখে//হ'তে//অশ্লীলতা//এবং খারাপ কাজ (হ'তে)//এবং অবশ্যই স্মরণ//আল্লাহ্‌র//সর্বশ্রেষ্ঠ//এবং আল্লাহ্‌//জানেন//যা কিছু//তোমরা করছো"
            },
            {
              "number": 3386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3386.mp3"
              ],
              "text": "۞ وَلَا تُجَٰدِلُوٓا۟ أَهْلَ ٱلْكِتَٰبِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ إِلَّا ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ ۖ وَقُولُوٓا۟ ءَامَنَّا بِٱلَّذِىٓ أُنزِلَ إِلَيْنَا وَأُنزِلَ إِلَيْكُمْ وَإِلَٰهُنَا وَإِلَٰهُكُمْ وَٰحِدٌۭ وَنَحْنُ لَهُۥ مُسْلِمُونَ",
              "translate_bn": "তোমরা কিতাবধারীদের সাথে তর্ক-বিতর্ক করবে না, কিন্তু উত্তম পন্থায়; তবে তাদের সাথে নয়, যারা তাদের মধ্যে বে-ইনসাফ। এবং বল, আমাদের প্রতি ও তোমাদের প্রতি যা নাযিল করা হয়েছে, তাতে আমরা বিশ্বাস স্থাপন করেছি। আমাদের উপাস্য ও তোমাদের উপাস্য একই এবং আমরা তাঁরই আজ্ঞাবহ।",
              "numberInSurah": 46,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুজা-দিলূআহলাল কিতা-বি ইল্লা-বিল্লাতী হিয়া আহছানু ইল্লাল্লাযীনা জালামূমিনহুম ওয়া কূলূআ-মান্না-বিল্লাযী উনঝিলা ইলাইনা-ওয়া উনঝিলা ইলাইকুম ওয়া ইলা-হুনা-ওয়া ইলা-হুকুম ওয়া-হিদুওঁ ওয়া নাহনুলাহূমুছলিমূন।",
              "words_arabic": "وَ لَا/۞وَلَا/wala//تُجَادِلُوْۤا/تُجَٰدِلُوٓاْ/tujadilu//اَهْلَ/أَهۡلَ/ahla//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اِلَّا/إِلَّا/illa//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ ۖۗ/أَحۡسَنُ/ahsanu//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْهُمْ/مِنۡهُمۡۖ/min'hum//وَ قُوْلُوْۤا/وَقُولُوٓاْ/waqulu//اٰمَنَّا/ءَامَنَّا/amanna//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْنَا/إِلَيۡنَا/ilayna//وَ اُنْزِلَ/وَأُنزِلَ/wa-unzila//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//وَ اِلٰهُنَا/وَإِلَٰهُنَا/wa-ilahuna//وَ اِلٰهُكُمْ/وَإِلَٰهُكُمۡ/wa-ilahukum//وَاحِدٌ/وَٰحِدٞ/wahidun//وَّ نَحْنُ/وَنَحۡنُ/wanahnu//لَهٗ/لَهُۥ/lahu//مُسْلِمُوْنَ /مُسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং না//তোমরা বিতর্ক করো//অধিকারীদের//কিতাবের (সাথে)//এ ছাড়া//দিয়ে তা//যা//অতি উত্তম//(তবে)ছাড়া//(সেই লোকদের) যারা//সীমালঙ্ঘন করেছে//মধ্য হ'তে তাদের//এবং তোমরা বলো//\"আমরা ঈমান এনেছি//ঐ বিষয়ে যা//অবতীর্ণ করা হয়েছে//প্রতি আমাদের//ও অবতীর্ণ করা হয়েছে//প্রতি তোমাদের//এবং ইলাহ আমাদের//ও  ইলাহ তোমাদের//একই//এবং আমরা//নিকট তাঁরই//আত্নসমর্পণকারী (মুসলিম)\""
            },
            {
              "number": 3387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3387.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَٰبَ ۚ فَٱلَّذِينَ ءَاتَيْنَٰهُمُ ٱلْكِتَٰبَ يُؤْمِنُونَ بِهِۦ ۖ وَمِنْ هَٰٓؤُلَآءِ مَن يُؤْمِنُ بِهِۦ ۚ وَمَا يَجْحَدُ بِـَٔايَٰتِنَآ إِلَّا ٱلْكَٰفِرُونَ",
              "translate_bn": "এভাবেই আমি আপনার প্রতি কিতাব অবর্তীণ করেছি। অতঃপর যাদের কে আমি কিতাব দিয়েছিলাম, তারা একে মেনে চলে এবং এদেরও (মক্কাবাসীদেরও) কেউ কেউ এতে বিশ্বাস রাখে। কেবল কাফেররাই আমার আয়াতসমূহ অস্বীকার করে।",
              "numberInSurah": 47,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আনঝালনাইলাইকাল কিতা-বা ফাল্লাযীনা আ-তাইনা-হুমুল কিতাবা ইউ’মিনূনা বিহী ওয়া মিন হাউলাই মাইঁ ইউ’মিনুবিহী ওয়ামা-ইয়াজহাদু বিআ-য়া-তিনাইল্লাল কা-ফিরূন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//الْكِتٰبَ ؕ/ٱلۡكِتَٰبَۚ/al-kitaba//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//اٰتَیْنٰهُمُ/ءَاتَيۡنَٰهُمُ/ataynahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهٖ ۚ/بِهِۦۖ/bihi//وَ مِنْ/وَمِنۡ/wamin//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//مَنْ/مَن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِهٖ ؕ/بِهِۦۚ/bihi//وَ مَا/وَمَا/wama//یَجْحَدُ/يَجۡحَدُ/yajhadu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِلَّا/إِلَّا/illa//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "এবং (হে নাবী) এভাবেই//আমরা অবতীর্ণ করেছি//প্রতি তোমার//কিতাব//তাই যাদেরকে//আমরা দিয়েছিলাম তাদেরকে//কিতাব//তারা ঈমান আনে//উপর এর//এবং মধ্য হ'তে//এদেরও (অর্থাৎ আরবদেরও)//কেউ কেউ//ঈমান আনে//উপর এর//আর না//অস্বীকার করে (অন্য কেউ)//প্রতি নিদর্শনাবলীর আমাদের//এ ছাড়া//কাফেররা"
            },
            {
              "number": 3388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3388.mp3"
              ],
              "text": "وَمَا كُنتَ تَتْلُوا۟ مِن قَبْلِهِۦ مِن كِتَٰبٍۢ وَلَا تَخُطُّهُۥ بِيَمِينِكَ ۖ إِذًۭا لَّٱرْتَابَ ٱلْمُبْطِلُونَ",
              "translate_bn": "আপনি তো এর পূর্বে কোন কিতাব পাঠ করেননি এবং স্বীয় দক্ষিণ হস্ত দ্বারা কোন কিতাব লিখেননি। এরূপ হলে মিথ্যাবাদীরা অবশ্যই সন্দেহ পোষণ করত।",
              "numberInSurah": 48,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কুনতা তাতলূমিন কাবলিহী মিন কিতা-বিওঁ ওয়ালা-তাখুত্তুহূবিয়ামীনিকা ইযাল লারতা-বাল মুবতিলূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كُنْتَ/كُنتَ/kunta//تَتْلُوْا/تَتۡلُواْ/tatlu//مِنْ/مِن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//مِنْ/مِن/min//كِتٰبٍ/كِتَٰبٖ/kitabin//وَّ لَا/وَلَا/wala//تَخُطُّهٗ/تَخُطُّهُۥ/takhuttuhu//بِیَمِیْنِكَ/بِيَمِينِكَۖ/biyaminika//اِذًا/إِذٗا/idhan//لَّارْتَابَ/لَّٱرۡتَابَ/la-ir'taba//الْمُبْطِلُوْنَ /ٱلۡمُبۡطِلُونَ/al-mub'tiluna",
              "words_bangla": "এবং (হে নাবী) না//তুমি ছিলে//তুমি তিলাওয়াত করতে//থেকে//পূর্ব এর//কোনো//কিতাব//আর না//তা লিখতে তুমি//দিয়ে তোমার ডান হাত//(যদি হতো) তাহ'লে//অবশ্যই সন্দেহ করতো//অসত্যপন্থীরা"
            },
            {
              "number": 3389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3389.mp3"
              ],
              "text": "بَلْ هُوَ ءَايَٰتٌۢ بَيِّنَٰتٌۭ فِى صُدُورِ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ ۚ وَمَا يَجْحَدُ بِـَٔايَٰتِنَآ إِلَّا ٱلظَّٰلِمُونَ",
              "translate_bn": "বরং যাদেরকে জ্ঞান দেয়া হয়েছে, তাদের অন্তরে ইহা (কোরআন) তো স্পষ্ট আয়াত। কেবল বে-ইনসাফরাই আমার আয়াতসমূহ অস্বীকার করে।",
              "numberInSurah": 49,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "বাল হুওয়া আ-য়া-তুম বাইয়িনা-তুন ফী সদূ রিল্লাযীনা ঊতুল ‘ইলমা ওয়ামা-ইয়াজহাদু বিআ-য়া-তিনাইল্লাজ্জা-লিমূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//اٰیٰتٌۢ/ءَايَٰتُۢ/ayatun//بَیِّنٰتٌ/بَيِّنَٰتٞ/bayyinatun//فِیْ/فِي/fi//صُدُوْرِ/صُدُورِ/suduri//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ ؕ/ٱلۡعِلۡمَۚ/al-'il'ma//وَ مَا/وَمَا/wama//یَجْحَدُ/يَجۡحَدُ/yajhadu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِلَّا/إِلَّا/illa//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "বরং//তা//নিদর্শন//সুস্পষ্ট//মধ্যে রয়েছে//অন্তরসমূহের//যাদেরকে//দেয়া হয়েছে//জ্ঞান//আর না//অস্বীকার করে (অন্য কেউ)//প্রতি নিদর্শনাবলীর আমাদের//ছাড়া//সীমালঙ্ঘনকারীরা"
            },
            {
              "number": 3390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3390.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَٰتٌۭ مِّن رَّبِّهِۦ ۖ قُلْ إِنَّمَا ٱلْءَايَٰتُ عِندَ ٱللَّهِ وَإِنَّمَآ أَنَا۠ نَذِيرٌۭ مُّبِينٌ",
              "translate_bn": "তারা বলে, তার পালনকর্তার পক্ষ থেকে তার প্রতি কিছু নিদর্শন অবতীর্ণ হল না কেন? বলুন, নিদর্শন তো আল্লাহর ইচ্ছাধীন। আমি তো একজন সুস্পষ্ট সতর্ককারী মাত্র।",
              "numberInSurah": 50,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাওলাউনঝিলা ‘আলাইহি আ-য়া-তুম মির রাব্বিহী কুল ইন্নামাল আ-য়াতু‘ইনদাল্লা-হি ওয়া ইন্নামাআনা নাযীরুম মুবীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ لَاۤ/لَوۡلَآ/lawla//اُنْزِلَ/أُنزِلَ/unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیٰتٌ/ءَايَٰتٞ/ayatun//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦۚ/rabbihi//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//الْاٰیٰتُ/ٱلۡأٓيَٰتُ/al-ayatu//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//وَ اِنَّمَاۤ/وَإِنَّمَآ/wa-innama//اَنَا/أَنَا۠/ana//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "এবং তারা বলে//\"কেন না//অবতীর্ণ করা হলো//উপর তার//নিদর্শনাবলী//পক্ষ হ'তে//রবের তার\"//বলো//\"কেবল//নিদর্শনাবলী (রয়েছে)//নিকট//আল্লাহ্‌র//আর শুধুমাত্র//আমি//একজন সতর্ককারী//সুস্পষ্ট\""
            },
            {
              "number": 3391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3391.mp3"
              ],
              "text": "أَوَلَمْ يَكْفِهِمْ أَنَّآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَٰبَ يُتْلَىٰ عَلَيْهِمْ ۚ إِنَّ فِى ذَٰلِكَ لَرَحْمَةًۭ وَذِكْرَىٰ لِقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "এটাকি তাদের জন্যে যথেষ্ট নয় যে, আমি আপনার প্রতি কিতাব নাযিল করেছি, যা তাদের কাছে পাঠ করা হয়। এতে অবশ্যই বিশ্বাসী লোকদের জন্যে রহমত ও উপদেশ আছে।",
              "numberInSurah": 51,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 346,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়াকফিহিম আন্নাআনঝালনা-‘আলাইকাল কিতা-বা ইউতলা-‘আলাইহিম ইন্না ফী যা-লিকা লারাহমাতাওঁ ওয়া যিকরা-লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَكْفِهِمْ/يَكۡفِهِمۡ/yakfihim//اَنَّاۤ/أَنَّآ/anna//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//یُتْلٰی/يُتۡلَىٰ/yut'la//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَرَحْمَةً/لَرَحۡمَةٗ/larahmatan//وَّ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি নয়//জন্যে যথেষ্ট তাদের//যে আমরা//অবতীর্ণ করেছি আমরা//উপর তোমার//কিতাব//তিলাওয়াত করে শোনানো হয়//কাছে তাদের//নিশ্চয়ই//মধ্যে রয়েছে//এর//অবশ্যই অনুগ্রহ//ও উপদেশ//জন্যে সম্প্রদায়ের//(যারা) ঈমান আনে"
            },
            {
              "number": 3392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3392.mp3"
              ],
              "text": "قُلْ كَفَىٰ بِٱللَّهِ بَيْنِى وَبَيْنَكُمْ شَهِيدًۭا ۖ يَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱلَّذِينَ ءَامَنُوا۟ بِٱلْبَٰطِلِ وَكَفَرُوا۟ بِٱللَّهِ أُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "বলুন, আমার মধ্যে ও তোমাদের মধ্যে আল্লাহই সাক্ষীরূপে যথেষ্ট। তিনি জানেন যা কিছু নভোমন্ডলে ও ভূ-মন্ডলে আছে। আর যারা মিথ্যায় বিশ্বাস করে ও আল্লাহকে অস্বীকার করে, তারাই ক্ষতিগ্রস্ত।",
              "numberInSurah": 52,
              "juz": 21,
              "manzil": 5,
              "page": 402,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "কুল কাফা-বিল্লা-হি বাইনী ওয়াবাইনাকুম শাহীদাইঁ ইয়া‘লামুমা-ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়াল্লাযীনা আ-মানূবিলবা-তিলি ওয়া কাফারূ বিল্লা-হি উলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//كَفٰی/كَفَىٰ/kafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ/وَبَيۡنَكُمۡ/wabaynakum//شَهِیْدًا ۚ/شَهِيدٗاۖ/shahidan//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//وَ كَفَرُوْا/وَكَفَرُواْ/wakafaru//بِاللّٰهِ ۙ/بِٱللَّهِ/bil-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "(হে নাবী) বলো//\"যথেষ্ট//আল্লাহ্ই//মাঝে আমার//ও মাঝে তোমাদের//সাক্ষী হিসেবে//তিনি জানেন//যা কিছু//মধ্যে (আছে)//আকাশমন্ডলীতে//ও পৃথিবীতে//এবং যারা//বিশ্বাস করে//উপর অসত্যের//এবং অস্বীকার করে//প্রতি আল্লাহর//ঐসব লোক//তারাই//ক্ষতিগ্রস্ত\""
            },
            {
              "number": 3393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3393.mp3"
              ],
              "text": "وَيَسْتَعْجِلُونَكَ بِٱلْعَذَابِ ۚ وَلَوْلَآ أَجَلٌۭ مُّسَمًّۭى لَّجَآءَهُمُ ٱلْعَذَابُ وَلَيَأْتِيَنَّهُم بَغْتَةًۭ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "তারা আপনাকে আযাব ত্বরান্বিত করতে বলে। যদি আযাবের সময় নির্ধারিত না থাকত, তবে আযাব তাদের উপর এসে যেত। নিশ্চয়ই আকস্মিকভাবে তাদের কাছে আযাব এসে যাবে, তাদের খবরও থাকবে না।",
              "numberInSurah": 53,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতা‘জিলূনাকা বিল ‘আযা-বি ওয়া লাওলাআজালুম মুছাম্মাল লাজাআহুমুল ‘আযা-বু ওয়ালাইয়া’তিইয়ান্নাহুম বাগতাতাওঁ ওয়া হুম লা-ইয়াশ‘উরূন।",
              "words_arabic": "وَ یَسْتَعْجِلُوْنَكَ/وَيَسۡتَعۡجِلُونَكَ/wayasta'jilunaka//بِالْعَذَابِ ؕ/بِٱلۡعَذَابِ/bil-'adhabi//وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اَجَلٌ/أَجَلٞ/ajalun//مُّسَمًّی/مُّسَمّٗى/musamman//لَّجَآءَهُمُ/لَّجَآءَهُمُ/lajaahumu//الْعَذَابُ ؕ/ٱلۡعَذَابُۚ/al-'adhabu//وَ لَیَاْتِیَنَّهُمْ/وَلَيَأۡتِيَنَّهُم/walayatiyannahum//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "আর তোমার (নিকট)দাবী করে এগিয়ে আনতে//বিষয়টি শাস্তির//কিন্তু যদি না (থাকতো)//সময়//নির্ধারিত//অবশ্যই আসতো তাদের (উপর)//শাস্তি//এবং অবশ্যই আসবেই উপর তাদের//হঠাৎ করে//এ অবস্থায় যে তারা//না//টেরও পাবে"
            },
            {
              "number": 3394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3394.mp3"
              ],
              "text": "يَسْتَعْجِلُونَكَ بِٱلْعَذَابِ وَإِنَّ جَهَنَّمَ لَمُحِيطَةٌۢ بِٱلْكَٰفِرِينَ",
              "translate_bn": "তারা আপনাকে আযাব ত্বরান্বিত করতে বলে; অথচ জাহান্নাম কাফেরদেরকে ঘেরাও করছে।",
              "numberInSurah": 54,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ইয়াছতা‘জিলূনাকা বিল‘আযা-বি ওয়াইন্না জাহান্নামা লামুহীতাতুম বিলকা-ফিরীন।\r\n",
              "words_arabic": "یَسْتَعْجِلُوْنَكَ/يَسۡتَعۡجِلُونَكَ/yasta'jilunaka//بِالْعَذَابِ ؕ/بِٱلۡعَذَابِ/bil-'adhabi//وَ اِنَّ/وَإِنَّ/wa-inna//جَهَنَّمَ/جَهَنَّمَ/jahannama//لَمُحِیْطَةٌۢ/لَمُحِيطَةُۢ/lamuhitatun//بِالْكٰفِرِیْنَۙ/بِٱلۡكَٰفِرِينَ/bil-kafirina",
              "words_bangla": "তোমার (কাছে) দাবী করে এগিয়ে আনতে//বিষয়টি শাস্তির//অথচ নিশ্চয়ই//জাহান্নাম//অবশ্যই পরিবেষ্টনকারী//নিয়ে কাফেরদেরকে"
            },
            {
              "number": 3395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3395.mp3"
              ],
              "text": "يَوْمَ يَغْشَىٰهُمُ ٱلْعَذَابُ مِن فَوْقِهِمْ وَمِن تَحْتِ أَرْجُلِهِمْ وَيَقُولُ ذُوقُوا۟ مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "যেদিন আযাব তাদেরকে ঘেরাও করবে মাথার উপর থেকে এবং পায়ের নীচ থেকে। আল্লাহ বললেন, তোমরা যা করতে, তার স্বাদ গ্রহণ কর।",
              "numberInSurah": 55,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াগশা-হুমুল‘আযা-বুমিন ফাওকিহিম ওয়া মিন তাহতি আরজুলিহিম ওয়া ইয়াকূলু যূকূমা-কুনতুম তা‘মালূন।\r\n",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَغْشٰىهُمُ/يَغۡشَىٰهُمُ/yaghshahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//مِنْ/مِن/min//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//وَ مِنْ/وَمِن/wamin//تَحْتِ/تَحۡتِ/tahti//اَرْجُلِهِمْ/أَرۡجُلِهِمۡ/arjulihim//وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//ذُوْقُوْا/ذُوقُواْ/dhuqu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "সেদিন//ঢেকে ফেলবে তাদেরকে//শাস্তি//হ'তে//উপর তাদের//ও হ'তে//নিচ//পায়ের তাদের//আর তিনি বলবেন//\"তোমরা স্বাদ নাও//যা কিছু//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 3396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3396.mp3"
              ],
              "text": "يَٰعِبَادِىَ ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ أَرْضِى وَٰسِعَةٌۭ فَإِيَّٰىَ فَٱعْبُدُونِ",
              "translate_bn": "হে আমার ঈমানদার বান্দাগণ, আমার পৃথিবী প্রশস্ত। অতএব তোমরা আমারই এবাদত কর।",
              "numberInSurah": 56,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ইয়া-‘ইবা-দিয়াল্লাযীনা আ-মানূইন্না আরদী ওয়া-ছি‘আতুন ফাইইয়া-ইয়া ফা‘বুদূন।",
              "words_arabic": "یٰعِبَادِیَ/يَٰعِبَادِيَ/ya'ibadiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّ/إِنَّ/inna//اَرْضِیْ/أَرۡضِي/ardi//وَاسِعَةٌ/وَٰسِعَةٞ/wasi'atun//فَاِیَّایَ/فَإِيَّـٰيَ/fa-iyyaya//فَاعْبُدُوْنِ /فَٱعۡبُدُونِ/fa-u'buduni",
              "words_bangla": "হে আমার দাসরা//যারা//ঈমান এনেছো//নিশ্চয়ই//আমার পৃথিবী//প্রশস্ত//সুতরাং শুধু আমারই//অতএব তোমরা ইবাদাত করো আমারই"
            },
            {
              "number": 3397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3397.mp3"
              ],
              "text": "كُلُّ نَفْسٍۢ ذَآئِقَةُ ٱلْمَوْتِ ۖ ثُمَّ إِلَيْنَا تُرْجَعُونَ",
              "translate_bn": "জীবমাত্রই মৃত্যুর স্বাদ গ্রহণ করবে। অতঃপর তোমরা আমারই কাছে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 57,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "কুল্লুনাফছিন যাইকাতুল মাওতি ছু ম্মা ইলাইনা-তুরজা‘ঊন।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//ذَآىِٕقَةُ/ذَآئِقَةُ/dhaiqatu//الْمَوْتِ ۫/ٱلۡمَوۡتِۖ/al-mawti//ثُمَّ/ثُمَّ/thumma//اِلَیْنَا/إِلَيۡنَا/ilayna//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "প্রত্যেক//প্রাণই//স্বাদ গ্রহণকারী//মৃত্যুর//অতঃপর//দিকেই আমাদের//তোমরা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 3398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3398.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَنُبَوِّئَنَّهُم مِّنَ ٱلْجَنَّةِ غُرَفًۭا تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ نِعْمَ أَجْرُ ٱلْعَٰمِلِينَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, আমি অবশ্যই তাদেরকে জান্নাতের সুউচ্চ প্রাসাদে স্থান দেব, যার তলদেশে প্রস্রবণসমূহ প্রবাহিত। সেখানে তারা চিরকাল থাকবে। কত উত্তম পুরস্কার কর্মীদের।",
              "numberInSurah": 58,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লানুবাওবিআন্নাহুম মিনাল জান্নাতি গুরাফান তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা- নি‘মা আজরুল ‘আ-মিলীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَنُبَوِّئَنَّهُمْ/لَنُبَوِّئَنَّهُم/lanubawwi-annahum//مِّنَ/مِّنَ/mina//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//غُرَفًا/غُرَفٗا/ghurafan//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//نِعْمَ/نِعۡمَ/ni'ma//اَجْرُ/أَجۡرُ/ajru//الْعٰمِلِیْنَۗۖ/ٱلۡعَٰمِلِينَ/al-'amilina",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//অবশ্যই বসবাস করাবোই তাদেরকে//এর//জান্নাতে//সুউচ্চ প্রাসাদসমূহে//প্রবাহিত হয়//দিয়ে//নিচ তার//ঝর্ণাধারাসমূহ//তারা চিরস্থায়ী হবে//মধ্যে তার//কত উত্তম//প্রতিদান//কর্মশীলদের (আমলকারীদের)"
            },
            {
              "number": 3399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3399.mp3"
              ],
              "text": "ٱلَّذِينَ صَبَرُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ",
              "translate_bn": "যারা সবর করে এবং তাদের পালনকর্তার উপর ভরসা করে।",
              "numberInSurah": 59,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা সাবারূ ওয়া ‘আলা-রাব্বিহিম ইয়াতাওয়াক্কালূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَبَرُوْا/صَبَرُواْ/sabaru//وَ عَلٰی/وَعَلَىٰ/wa'ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَتَوَكَّلُوْنَ /يَتَوَكَّلُونَ/yatawakkaluna",
              "words_bangla": "যারা//ধৈর্য ধরেছে//আর উপর//রবের তাদের//তারা নির্ভর করে"
            },
            {
              "number": 3400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3400.mp3"
              ],
              "text": "وَكَأَيِّن مِّن دَآبَّةٍۢ لَّا تَحْمِلُ رِزْقَهَا ٱللَّهُ يَرْزُقُهَا وَإِيَّاكُمْ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "এমন অনেক জন্তু আছে, যারা তাদের খাদ্য সঞ্চিত রাখে না। আল্লাহই রিযিক দেন তাদেরকে এবং তোমাদেরকেও। তিনি সর্বশ্রোতা, সর্বজ্ঞ।",
              "numberInSurah": 60,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন দাব্বাতিল লা-তাহমিলুরিঝকাহা-আল্লা-হু ইয়ারঝুকুহাওয়া ইয়্যা-কুম ওয়া হুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//لَّا/لَّا/la//تَحْمِلُ/تَحۡمِلُ/tahmilu//رِزْقَهَا ۗۖ/رِزۡقَهَا/riz'qaha//اَللّٰهُ/ٱللَّهُ/al-lahu//یَرْزُقُهَا/يَرۡزُقُهَا/yarzuquha//وَ اِیَّاكُمْ ۖؗ/وَإِيَّاكُمۡۚ/wa-iyyakum//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং এমন অনেক আছে//মধ্যে//জীব-জন্তর//না//বহন করে (মওজুদ রাখে)//জীবিকা তাদের//আল্লাহই//জীবিকা দেন তাদেরকে//আর তোমাদেরকেও//এবং তিনি//সব শুনেন//সব জানেন"
            },
            {
              "number": 3401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3401.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ لَيَقُولُنَّ ٱللَّهُ ۖ فَأَنَّىٰ يُؤْفَكُونَ",
              "translate_bn": "যদি আপনি তাদেরকে জিজ্ঞেস করেন, কে নভোমন্ডল ও ভূ-মন্ডল সৃষ্টি করেছে, চন্দ্র ও সূর্যকে কর্মে নিয়োজিত করেছে? তবে তারা অবশ্যই বলবে আল্লাহ। তাহলে তারা কোথায় ঘুরে বেড়াচ্ছে?",
              "numberInSurah": 61,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম মান খালাকাছছামা-ওয়া-তি ওয়াল আরদা ওয়াছাখখারাশশামছা ওয়াল কামারা লাইয়াকূলুন্নাল্লা-হু ফাআন্না-ইউ’ফাকূন।\r\n",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّنۡ/man//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اللّٰهُ ۚ/ٱللَّهُۖ/al-lahu//فَاَنّٰی/فَأَنَّىٰ/fa-anna//یُؤْفَكُوْنَ /يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "এবং অবশ্যই যদি//তুমি জিজ্ঞেস করো তাদেরকে//\"কে//সৃষ্টি করেছেন//আকাশমন্ডলী//ও পৃথিবী//ও নিয়ন্ত্রণ করেন//সূর্যকে//ও চাঁদকে\"//অবশ্যই তারা বলবে//\"আল্লাহ্‌\"//তাহলে কোথা হ'তে//ফিরানো হচ্ছে তাদেরকে"
            },
            {
              "number": 3402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3402.mp3"
              ],
              "text": "ٱللَّهُ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ لَهُۥٓ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "আল্লাহ তাঁর বান্দাদের মধ্যে যার জন্য ইচ্ছা রিযিক প্রশস্ত করে দেন এবং যার জন্য ইচ্ছা হ্রাস করেন। নিশ্চয়, আল্লাহ সর্ববিষয়ে সম্যক পরিজ্ঞাত।",
              "numberInSurah": 62,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "আল্লাহু ইয়াবছুতুর রিঝকা লিমাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ওয়া ইয়াকদিরুলাহূ ইন্নাল্লা-হা বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//وَ یَقْدِرُ/وَيَقۡدِرُ/wayaqdiru//لَهٗ ؕ/لَهُۥٓۚ/lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "আল্লাহ্‌//প্রশস্ত করে দেন//জীবনের উপকরণকে//জন্যে যার//তিনি ইচ্ছে করেন//মধ্য হ'তে//দাসদের তাঁর//আবার পরিমিত করে দেন//জন্যে যার(তিনি চান)//নিশ্চয়ই//আল্লাহ্‌//সম্পর্কে সব//কিছুরই//খুব অবহিত"
            },
            {
              "number": 3403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3403.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّن نَّزَّلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَحْيَا بِهِ ٱلْأَرْضَ مِنۢ بَعْدِ مَوْتِهَا لَيَقُولُنَّ ٱللَّهُ ۚ قُلِ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْقِلُونَ",
              "translate_bn": "যদি আপনি তাদেরকে জিজ্ঞেস করেন, কে আকাশ থেকে বারি বর্ষণ করে, অতঃপর তা দ্বারা মৃত্তিকাকে উহার মৃত হওয়ার পর সঞ্জীবিত করে? তবে তারা অবশ্যই বলবে, আল্লাহ। বলুন, সমস্ত প্রশংসা আল্লাহরই। কিন্তু তাদের অধিকাংশই তা বোঝে না।",
              "numberInSurah": 63,
              "juz": 21,
              "manzil": 5,
              "page": 403,
              "ruku": 347,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম মান্নাঝঝালা মিনাছছামাই মাআন ফাআহইয়া-বিহিল আরদা মিম বা‘দি মাওতিহা- লাইয়াকূলুন্নাল্লা-হু কুল্লি হামদুলিল্লা-হি বাল আকছারুহুম লা-ইয়া‘কিলূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّن/man//نَّزَّلَ/نَّزَّلَ/nazzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَحْیَا/فَأَحۡيَا/fa-ahya//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَوْتِهَا/مَوۡتِهَا/mawtiha//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//قُلِ/قُلِ/quli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْقِلُوْنَ۠/يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং অবশ্যই যদি//তুমি জিজ্ঞেস করো তাদেরকে//\"কে//বর্ষণ করেন//হ'তে//আকাশ//পানি//অতঃপর জীবিত করেন//দিয়ে তা//ভূমিকে//থেকে//পর//মৃত্যুর তার\"//অবশ্যই তারা বলবে//\"আল্লাহ্‌\"//বলো//\"সব প্রশংসা//জন্যে আল্লাহরই\"//কিন্তু//অধিকাংশ লোক তাদের//না//অনুধাবন করে"
            },
            {
              "number": 3404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3404.mp3"
              ],
              "text": "وَمَا هَٰذِهِ ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا لَهْوٌۭ وَلَعِبٌۭ ۚ وَإِنَّ ٱلدَّارَ ٱلْءَاخِرَةَ لَهِىَ ٱلْحَيَوَانُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "এই পার্থিব জীবন ক্রীড়া-কৌতুক বৈ তো কিছুই নয়। পরকালের গৃহই প্রকৃত জীবন; যদি তারা জানত।",
              "numberInSurah": 64,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হা-যিহিল হায়া-তুদ দুনইয়া-ইল্লা-লাহউওঁ ওয়ালা‘ইবুওঁ ওয়া ইন্নাদ দা-রাল আখিরাতা লাহিয়াল হায়াওয়া-ন । লাও কা-নূইয়া‘লামূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//هٰذِهِ/هَٰذِهِ/hadhihi//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَاۤ/ٱلدُّنۡيَآ/al-dun'ya//اِلَّا/إِلَّا/illa//لَهْوٌ/لَهۡوٞ/lahwun//وَّ لَعِبٌ ؕ/وَلَعِبٞۚ/wala'ibun//وَ اِنَّ/وَإِنَّ/wa-inna//الدَّارَ/ٱلدَّارَ/al-dara//الْاٰخِرَةَ/ٱلۡأٓخِرَةَ/al-akhirata//لَهِیَ/لَهِيَ/lahiya//الْحَیَوَانُ ۘ/ٱلۡحَيَوَانُۚ/al-hayawanu//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং নয় (অন্য কিছু)//এই//জীবন//পার্থিব//ছাড়া//কৌতুক//ও ক্রীড়া//আর নিশ্চয়ই//ঘর//আখেরাতের//তাই অবশ্যই//প্রকৃত জীবন//যদি//তারা ছিলো//তারা জানতো"
            },
            {
              "number": 3405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3405.mp3"
              ],
              "text": "فَإِذَا رَكِبُوا۟ فِى ٱلْفُلْكِ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ فَلَمَّا نَجَّىٰهُمْ إِلَى ٱلْبَرِّ إِذَا هُمْ يُشْرِكُونَ",
              "translate_bn": "তারা যখন জলযানে আরোহণ করে তখন একনিষ্ঠভাবে আল্লাহকে ডাকে। অতঃপর তিনি যখন স্থলে এনে তাদেরকে উদ্ধার করেন, তখনই তারা শরীক করতে থাকে।",
              "numberInSurah": 65,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-রাকিবূফিল ফুলকি দা‘আ-উল্লা-হা মুখলিসীনা লাহুদদীনা ফালাম্মা-নাজ্জা-হুম ইলাল বাররি ইযা-হুম ইউশরিকূন।\r\n",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//رَكِبُوْا/رَكِبُواْ/rakibu//فِی/فِي/fi//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//دَعَوُا/دَعَوُاْ/da'awu//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ۚ۬/ٱلدِّينَ/al-dina//فَلَمَّا/فَلَمَّا/falamma//نَجّٰىهُمْ/نَجَّىٰهُمۡ/najjahum//اِلَی/إِلَى/ila//الْبَرِّ/ٱلۡبَرِّ/al-bari//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یُشْرِكُوْنَۙ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "অতঃপর যখন//তারা আরোহণ করে//মধ্যে//জলযানের (এবং বিপদে পড়ে)//তারা ডাকে (দোয়া করে)//আল্লাহ্‌কে//বিশুদ্ধচিত্তে//জন্যে তাঁরই//অনুগত্যকে (নির্দিষ্ট করে)//অতঃপর যখন//(আল্লাহ্‌)উদ্ধার করে আনেন তাদেরকে//দিকে//স্থলের//তখন//তারা//শিরক করে"
            },
            {
              "number": 3406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3406.mp3"
              ],
              "text": "لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَٰهُمْ وَلِيَتَمَتَّعُوا۟ ۖ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "যাতে তারা তাদের প্রতি আমার দান অস্বীকার করে এবং ভোগ-বিলাসে ডুবে থাকে। সত্বরই তারা জানতে পারবে।",
              "numberInSurah": 66,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "লিইয়াকফুরূ বিমাআ-তাইনা-হুম ওয়া লিইয়াতামাত্তা‘ঊ ফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "لِیَكْفُرُوْا/لِيَكۡفُرُواْ/liyakfuru//بِمَاۤ/بِمَآ/bima//اٰتَیْنٰهُمْ ۙۚ/ءَاتَيۡنَٰهُمۡ/ataynahum//وَ لِیَتَمَتَّعُوْا ۥ/وَلِيَتَمَتَّعُواْۚ/waliyatamatta'u//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "যাতে তারা অস্বীকার করে//প্রতি ঐ বিষয়ের যা//আমরা দান করেছি তাদেরকে//এবং যাতে তারা ভোগবিলাসে মত্ত থাকে//তবে শীঘ্রই//তারা জানতে পারবে"
            },
            {
              "number": 3407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3407.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّا جَعَلْنَا حَرَمًا ءَامِنًۭا وَيُتَخَطَّفُ ٱلنَّاسُ مِنْ حَوْلِهِمْ ۚ أَفَبِٱلْبَٰطِلِ يُؤْمِنُونَ وَبِنِعْمَةِ ٱللَّهِ يَكْفُرُونَ",
              "translate_bn": "তারা কি দেখে না যে, আমি একটি নিরাপদ আশ্রয়স্থল করেছি। অথচ এর চতুপার্শ্বে যারা আছে, তাদের উপর আক্রমণ করা হয়। তবে কি তারা মিথ্যায়ই বিশ্বাস করবে এবং আল্লাহর নেয়ামত অস্বীকার করবে?",
              "numberInSurah": 67,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়ারাও আন্না-জা‘আলনা-হারামান আ-মিনাওঁ ওয়া ইউতাখাত্তাফুন্না-ছুমিন হাওলিহিম আফাবিলবা-তিলি ইউ’মিনূনা ওয়া বিনি‘মাতিল্লা-হি ইয়াকফুরূন।\r\n",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّا/أَنَّا/anna//جَعَلْنَا/جَعَلۡنَا/ja'alna//حَرَمًا/حَرَمًا/haraman//اٰمِنًا/ءَامِنٗا/aminan//وَّ یُتَخَطَّفُ/وَيُتَخَطَّفُ/wayutakhattafu//النَّاسُ/ٱلنَّاسُ/al-nasu//مِنْ/مِنۡ/min//حَوْلِهِمْ ؕ/حَوۡلِهِمۡۚ/hawlihim//اَفَبِالْبَاطِلِ/أَفَبِٱلۡبَٰطِلِ/afabil-batili//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//وَ بِنِعْمَةِ/وَبِنِعۡمَةِ/wabini'mati//اللّٰهِ/ٱللَّهِ/al-lahi//یَكْفُرُوْنَ /يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "কি   না//তারা দেখে//যে আমরা//আমরা বানিয়েছি//হারামকে//নিরাপদ//অথচ হামলা করা হয়//মানুষদেরকে//হ'তে//চারপাশ তার//কি তবে উপর অসত্যের//তারা বিশ্বাস করবে//আর প্রতি  অনুগ্রহের//আল্লাহ্‌র//তারা অস্বীকার করবে"
            },
            {
              "number": 3408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3408.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِٱلْحَقِّ لَمَّا جَآءَهُۥٓ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًۭى لِّلْكَٰفِرِينَ",
              "translate_bn": "যে আল্লাহ সম্পর্কে মিথ্যা কথা গড়ে অথবা তার কাছে সত্য আসার পর তাকে অস্বীকার করে, তার কি স্মরণ রাখা উচিত নয় যে, জাহান্নামই সেসব কাফেরের আশ্রয়স্থল হবে?",
              "numberInSurah": 68,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামুমিম্মানিফ তারা-‘আলাল্লা-হি কাযিবান আও কাযযাবা বিলহাক্কি লাম্মা-জাআহূ আলাইছা ফী জাহান্নামা মাছওয়াল লিল কা-ফিরীন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَوْ/أَوۡ/aw//كَذَّبَ/كَذَّبَ/kadhaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لَمَّا/لَمَّا/lamma//جَآءَهٗ ؕ/جَآءَهُۥٓۚ/jaahu//اَلَیْسَ/أَلَيۡسَ/alaysa//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//مَثْوًی/مَثۡوٗى/mathwan//لِّلْكٰفِرِیْنَ /لِّلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "এবং কে//বড় সীমালঙ্ঘনকারী (হতে পারে)//(তার) চেয়ে যে//রচনা করে//সম্পর্কে//আল্লাহ্‌//মিথ্যা//অথবা//মিথ্যারোপ করে//উপর সত্যের//যখন//তার (কাছে) এসে পৌঁছেছে//কি নয়//মধ্যে//জাহান্নামের//আবাসস্থল//জন্যে কাফেরদের"
            },
            {
              "number": 3409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3409.mp3"
              ],
              "text": "وَٱلَّذِينَ جَٰهَدُوا۟ فِينَا لَنَهْدِيَنَّهُمْ سُبُلَنَا ۚ وَإِنَّ ٱللَّهَ لَمَعَ ٱلْمُحْسِنِينَ",
              "translate_bn": "যারা আমার পথে সাধনায় আত্মনিয়োগ করে, আমি অবশ্যই তাদেরকে আমার পথে পরিচালিত করব। নিশ্চয় আল্লাহ সৎকর্মপরায়ণদের সাথে আছেন।",
              "numberInSurah": 69,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 348,
              "hizbQuarter": 161,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা জা-হাদূফীনা-লানাহদিয়ান্নাহুম ছুবুলানা- ওয়া ইন্নাল্লা-হা লামা‘আল মুহছিনীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//جَاهَدُوْا/جَٰهَدُواْ/jahadu//فِیْنَا/فِينَا/fina//لَنَهْدِیَنَّهُمْ/لَنَهۡدِيَنَّهُمۡ/lanahdiyannahum//سُبُلَنَا ؕ/سُبُلَنَاۚ/subulana//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَمَعَ/لَمَعَ/lama'a//الْمُحْسِنِیْنَ۠/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এবং যারা//সংগ্রাম-সাধনা করে//জন্যে আমাদের//অবশ্যই আমরা দেখাবে তাদেরকে//পথ আমাদের//এবং নিশ্চয়ই//আল্লাহ্‌//অবশ্যই সাথে আছেন//সৎকর্মশীলদের"
            }
          ]
        },
        {
          "number": 30,
          "name": "سُورَةُ الرُّومِ",
          "englishName": "Ar-Room",
          "englishNameTranslation": "The Romans",
          "revelationType": "Meccan",
          "verse": 60,
          "words": 1636,
          "chars": 7003,
          "ayahs": [
            {
              "number": 3410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3410.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ-লাম-মীম,",
              "numberInSurah": 1,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম।",
              "words_arabic": "الٓمّٓۚ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ লাম- মীম-"
            },
            {
              "number": 3411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3411.mp3"
              ],
              "text": "غُلِبَتِ ٱلرُّومُ",
              "translate_bn": "রোমকরা পরাজিত হয়েছে,",
              "numberInSurah": 2,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "গুলিবাতির রূম।",
              "words_arabic": "غُلِبَتِ/غُلِبَتِ/ghulibati//الرُّوْمُۙ/ٱلرُّومُ/al-rumu",
              "words_bangla": "পরাজিত হয়েছে//রোমানরা"
            },
            {
              "number": 3412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3412.mp3"
              ],
              "text": "فِىٓ أَدْنَى ٱلْأَرْضِ وَهُم مِّنۢ بَعْدِ غَلَبِهِمْ سَيَغْلِبُونَ",
              "translate_bn": "নিকটবর্তী এলাকায় এবং তারা তাদের পরাজয়ের পর অতিসত্বর বিজয়ী হবে,",
              "numberInSurah": 3,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ফীআদনাল আরদিওয়াহুম মিম বা‘দি গালাবিহিম ছাইয়াগলিবূন।",
              "words_arabic": "فِیْۤ/فِيٓ/fi//اَدْنَی/أَدۡنَى/adna//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ هُمْ/وَهُم/wahum//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//غَلَبِهِمْ/غَلَبِهِمۡ/ghalabihim//سَیَغْلِبُوْنَۙ/سَيَغۡلِبُونَ/sayaghlibuna",
              "words_bangla": "মধ্যে//নিকটবর্তী//অঞ্চলের//কিন্তু তারা//থেকে//পর//পরাজয়ের তাদের//শীঘ্রই জয়লাভ করবে"
            },
            {
              "number": 3413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3413.mp3"
              ],
              "text": "فِى بِضْعِ سِنِينَ ۗ لِلَّهِ ٱلْأَمْرُ مِن قَبْلُ وَمِنۢ بَعْدُ ۚ وَيَوْمَئِذٍۢ يَفْرَحُ ٱلْمُؤْمِنُونَ",
              "translate_bn": "কয়েক বছরের মধ্যে। অগ্র-পশ্চাতের কাজ আল্লাহর হাতেই। সেদিন মুমিনগণ আনন্দিত হবে।",
              "numberInSurah": 4,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ফী বিদ‘ই ছিনীনা লিল্লা-হিল আমরু মিন কাবলুওয়া মিম বা‘দু ওয়া ইয়াওমাইযিইঁ ইয়াফরাহুল মু’মিনূন।",
              "words_arabic": "فِیْ/فِي/fi//بِضْعِ/بِضۡعِ/bid'i//سِنِیْنَ ؕ۬/سِنِينَۗ/sinina//لِلّٰهِ/لِلَّهِ/lillahi//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ مِنْۢ/وَمِنۢ/wamin//بَعْدُ ؕ/بَعۡدُۚ/ba'du//وَ یَوْمَىِٕذٍ/وَيَوۡمَئِذٖ/wayawma-idhin//یَّفْرَحُ/يَفۡرَحُ/yafrahu//الْمُؤْمِنُوْنَۙ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "মধ্যে//কয়েক//বছরের//জন্যে আল্লাহরই//সিদ্ধান্ত//এর//পূর্ব//এবং এর//এবং পরও//এবং সেদিন//উৎফুল্ল হবে//মু'মিনরা"
            },
            {
              "number": 3414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3414.mp3"
              ],
              "text": "بِنَصْرِ ٱللَّهِ ۚ يَنصُرُ مَن يَشَآءُ ۖ وَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "আল্লাহর সাহায্যে। তিনি যাকে ইচ্ছা সাহায্য করেন এবং তিনি পরাক্রমশালী, পরম দয়ালু।",
              "numberInSurah": 5,
              "juz": 21,
              "manzil": 5,
              "page": 404,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "বিনাসরিল্লা-হি ইয়ানসুরু মাইঁ ইয়াশা-উ ওয়া হুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "بِنَصْرِ/بِنَصۡرِ/binasri//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//یَنْصُرُ/يَنصُرُ/yansuru//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۖ/yashau//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُۙ/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "মাধ্যমে সাহায্যের//আল্লাহর//তিনি সাহায্য করেন//যাকে//তিনি চান//এবং তিনিই//পরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3415.mp3"
              ],
              "text": "وَعْدَ ٱللَّهِ ۖ لَا يُخْلِفُ ٱللَّهُ وَعْدَهُۥ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "আল্লাহর প্রতিশ্রুতি হয়ে গেছে। আল্লাহ তার প্রতিশ্রুতি খেলাফ করবেন না। কিন্তু অধিকাংশ লোক জানে না।",
              "numberInSurah": 6,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘দাল্লা-হি লা-ইউখলিফুল্লা-হু ওয়া‘দাহূওয়া লা-কিন্না আকছারান্না-ছি লাইয়া‘লামূন।",
              "words_arabic": "وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//لَا/لَا/la//یُخْلِفُ/يُخۡلِفُ/yukh'lifu//اللّٰهُ/ٱللَّهُ/al-lahu//وَعْدَهٗ/وَعۡدَهُۥ/wa'dahu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "(এটা)প্রতিশ্রুতি//আল্লাহর//না//ভঙ্গ করেন//আল্লাহ//প্রতিশ্রুতি তাঁর//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে"
            },
            {
              "number": 3416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3416.mp3"
              ],
              "text": "يَعْلَمُونَ ظَٰهِرًۭا مِّنَ ٱلْحَيَوٰةِ ٱلدُّنْيَا وَهُمْ عَنِ ٱلْءَاخِرَةِ هُمْ غَٰفِلُونَ",
              "translate_bn": "তারা পার্থিব জীবনের বাহ্যিক দিক জানে এবং তারা পরকালের খবর রাখে না।",
              "numberInSurah": 7,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামূনা জা-হিরাম মিনাল হায়া-তিদ দুনইয়া- ওয়া হুম ‘আনিল আ-খিরাতি হুম গাফিলূন।",
              "words_arabic": "یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//ظَاهِرًا/ظَٰهِرٗا/zahiran//مِّنَ/مِّنَ/mina//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۖۚ/ٱلدُّنۡيَا/al-dun'ya//وَ هُمْ/وَهُمۡ/wahum//عَنِ/عَنِ/ani//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//هُمْ/هُمۡ/hum//غٰفِلُوْنَ /غَٰفِلُونَ/ghafiluna",
              "words_bangla": "(কেবল) তারা জানে//বাহ্যিক দিক//থেকে//জীবনের//পার্থিব//আর তারা//সম্পর্কে//আখেরাত//তারা//অমনোযোগী"
            },
            {
              "number": 3417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3417.mp3"
              ],
              "text": "أَوَلَمْ يَتَفَكَّرُوا۟ فِىٓ أَنفُسِهِم ۗ مَّا خَلَقَ ٱللَّهُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ وَأَجَلٍۢ مُّسَمًّۭى ۗ وَإِنَّ كَثِيرًۭا مِّنَ ٱلنَّاسِ بِلِقَآئِ رَبِّهِمْ لَكَٰفِرُونَ",
              "translate_bn": "তারা কি তাদের মনে ভেবে দেখে না যে, আল্লাহ নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু সৃষ্টি করেছেন যথাযথরূপে ও নির্দিষ্ট সময়ের জন্য, কিন্তু অনেক মানুষ তাদের পালনকর্তার সাক্ষাতে অবিশ্বাসী।",
              "numberInSurah": 8,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়াতাফাক্কারূফীআনফুছিহিম মা-খালাকাল্লা-হুছছামা-ওয়া-তি ওয়াল আরদা ওয়ামা-বাইনাহুমাইল্লা-বিলহাক্কিওয়া আজালিম মুছাম্মাওঁ ওয়া ইন্না কাছীরাম মিনান্না-ছি বিলিকাই রাব্বিহিম লাকা-ফিরূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَتَفَكَّرُوْا/يَتَفَكَّرُواْ/yatafakkaru//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ ۫/أَنفُسِهِمۗ/anfusihim//مَا/مَّا/ma//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَاۤ/بَيۡنَهُمَآ/baynahuma//اِلَّا/إِلَّا/illa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اَجَلٍ/وَأَجَلٖ/wa-ajalin//مُّسَمًّی ؕ/مُّسَمّٗىۗ/musamman//وَ اِنَّ/وَإِنَّ/wa-inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//النَّاسِ/ٱلنَّاسِ/al-nasi//بِلِقَآئِ/بِلِقَآيِٕ/biliqai//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//لَكٰفِرُوْنَ /لَكَٰفِرُونَ/lakafiruna",
              "words_bangla": "কি না//তারা চিন্তা করে (মনের)//মধ্যে//নিজেদের তাদের//না//সৃষ্টি করেছেন//আল্লাহ্‌//আকাশমন্ডলী//ও পৃথিবী//এবং যা (আছে)//দু'য়ের মাঝে তাদের//ছাড়া//ভাবে যথাযথ//এবং একটি কালের (জন্যে)//নির্দিষ্ট//এবং নিশ্চয়ই//অধিকাংশ//মধ্যে//মানুষের//সম্পর্কে সাক্ষাৎ//রবের তাদের//অবশ্যই অস্বীকারকারী"
            },
            {
              "number": 3418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3418.mp3"
              ],
              "text": "أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَانُوٓا۟ أَشَدَّ مِنْهُمْ قُوَّةًۭ وَأَثَارُوا۟ ٱلْأَرْضَ وَعَمَرُوهَآ أَكْثَرَ مِمَّا عَمَرُوهَا وَجَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ ۖ فَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ",
              "translate_bn": "তারা কি পৃথিবীতে ভ্রমণ করে না অতঃপর দেখে না যে; তাদের পূর্ববর্তীদের পরিণাম কি কি হয়েছে? তারা তাদের চাইতে শক্তিশালী ছিল, তারা যমীন চাষ করত এবং তাদের চাইতে বেশী আবাদ করত। তাদের কাছে তাদের রসূলগণ সুস্পষ্ট নির্দেশ নিয়ে এসেছিল। বস্তুতঃ আল্লাহ তাদের প্রতি জুলুমকারী ছিলেন না। কিন্তু তারা নিজেরাই নিজেদের প্রতি জুলুম করেছিল।",
              "numberInSurah": 9,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়াছীরূ ফিলআরদিফাইয়ানজুরূ কাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলিহিম কা-নূআশাদ্দা মিনহুম কুওওয়াতাওঁ ওয়া আছা-রুল আরদা ওয়া ‘আমারূহা আকছারা মিম্মা-‘আমারূহা-ওয়া জাআতহুম রুছুলুহুম বিলবাইয়িনা-তি ফামা-কা-নাল্লা-হু লিইয়াজলিমাহুম ওয়া লা-কিন কা-নূআনফুছাহুম ইয়াজলিমূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَانُوْۤا/كَانُوٓاْ/kanu//اَشَدَّ/أَشَدَّ/ashadda//مِنْهُمْ/مِنۡهُمۡ/min'hum//قُوَّةً/قُوَّةٗ/quwwatan//وَّ اَثَارُوا/وَأَثَارُواْ/wa-atharu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//وَ عَمَرُوْهَاۤ/وَعَمَرُوهَآ/wa'amaruha//اَكْثَرَ/أَكۡثَرَ/akthara//مِمَّا/مِمَّا/mimma//عَمَرُوْهَا/عَمَرُوهَا/amaruha//وَ جَآءَتْهُمْ/وَجَآءَتۡهُمۡ/wajaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ ؕ/بِٱلۡبَيِّنَٰتِۖ/bil-bayinati//فَمَا/فَمَا/fama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیَظْلِمَهُمْ/لِيَظۡلِمَهُمۡ/liyazlimahum//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْۤا/كَانُوٓاْ/kanu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//یَظْلِمُوْنَؕ/يَظۡلِمُونَ/yazlimuna",
              "words_bangla": "কি না//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//তাহ'লে তারা দেখতে পেতো//কেমন//ছিলো//পরিণাম//(তাদের) যারা//থেকে//পূর্ব তাদের (ছিলো)//তারা ছিলো//প্রবলতর//চেয়ে এদের//শক্তিতে//এবং তারা চাষ করতো//জমীন//ও তারা আবাদ করতো তা//অনেক বেশি//(তার)চেয়েও যা//এরা আবাদ করেছে তা//এবং কাছে এসেছিলো তাদের//রাসূলরা তাদের//নিয়ে স্পষ্ট নিদর্শনাবলী//বস্তুতঃ না//ছিলেন//আল্লাহ্‌//যাতে অন্যায় করবেন উপর তাদের//কিন্তু//তারা ছিলো (এমন যে)//নিজেদের তাদের (উপর)//অন্যায় করতো"
            },
            {
              "number": 3419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3419.mp3"
              ],
              "text": "ثُمَّ كَانَ عَٰقِبَةَ ٱلَّذِينَ أَسَٰٓـُٔوا۟ ٱلسُّوٓأَىٰٓ أَن كَذَّبُوا۟ بِـَٔايَٰتِ ٱللَّهِ وَكَانُوا۟ بِهَا يَسْتَهْزِءُونَ",
              "translate_bn": "অতঃপর যারা মন্দ কর্ম করত, তাদের পরিণাম হয়েছে মন্দ। কারণ, তারা আল্লাহর আয়াতসমূহকে মিথ্যা বলত এবং সেগুলো নিয়ে ঠাট্টা-বিদ্রূপ করত।",
              "numberInSurah": 10,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 349,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কা-না ‘আ-কিবাতাল্লাযীনা আছাউছছূআআন কাযযাবূবিআ-য়া-তিল্লা-হি ওয়া কা-নূবিহা-ইয়াছতাহঝিঊন।\r\n",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كَانَ/كَانَ/kana//عَاقِبَةَ/عَٰقِبَةَ/aqibata//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَسَآءُوا/أَسَـٰٓـُٔواْ/asau//السُّوْٓاٰۤی/ٱلسُّوٓأَىٰٓ/al-sua//اَنْ/أَن/an//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَانُوْا/وَكَانُواْ/wakanu//بِهَا/بِهَا/biha//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এরপর//হলো//পরিণাম//(তাদের) যারা//মন্দকর্ম করেছিলো//মন্দ//(এজন্যে) যে//তারা মিথ্যারোপ করেছিলো//প্রতি নিদর্শনাবলীর//আল্লাহর//এবং তারা ছিলো//সম্পর্কে তা//বিদ্রুপ করতো"
            },
            {
              "number": 3420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3420.mp3"
              ],
              "text": "ٱللَّهُ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ثُمَّ إِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "আল্লাহ প্রথমবার সৃষ্টি করেন, অতঃপর তিনি পুনরায় সৃষ্টি করবেন। এরপর তোমরা তাঁরই দিকে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 11,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূছুম্মা ইলাইহি তুরজা‘ঊন।\r\n",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ/يُعِيدُهُۥ/yu'iduhu//ثُمَّ/ثُمَّ/thumma//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "আল্লাহ//সূচনা করেন//সৃষ্টির//এরপর//পুনরাবৃত্তি করবেন তা//এরপর//দিকে তাঁরই//তোমরা প্রত্যাবর্তিত হবে"
            },
            {
              "number": 3421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3421.mp3"
              ],
              "text": "وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يُبْلِسُ ٱلْمُجْرِمُونَ",
              "translate_bn": "যে দিন কেয়ামত সংঘটিত হবে, সেদিন অপরাধীরা হতাশ হয়ে যাবে।",
              "numberInSurah": 12,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা তাকূমুছছা-‘আতুইউবলিছুল মুজরিমূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//تَقُوْمُ/تَقُومُ/taqumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//یُبْلِسُ/يُبۡلِسُ/yub'lisu//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "এবং যেদিন//সংঘটিত হবে//ক্বিয়ামাত//হতাশ হয়ে যাবে//অপরাধীরা"
            },
            {
              "number": 3422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3422.mp3"
              ],
              "text": "وَلَمْ يَكُن لَّهُم مِّن شُرَكَآئِهِمْ شُفَعَٰٓؤُا۟ وَكَانُوا۟ بِشُرَكَآئِهِمْ كَٰفِرِينَ",
              "translate_bn": "তাদের দেবতা গুলোর মধ্যে কেউ তাদের সুপারিশ করবে না। এবং তারা তাদের দেবতাকে অস্বীকার করবে।",
              "numberInSurah": 13,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাম ইয়াকুল লাহুম মিন শুরাকাইহিম শুফা‘আউওয়াকা-নূবিশুরাকাইহিম কাফিরীন।",
              "words_arabic": "وَ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهُمْ/لَّهُم/lahum//مِّنْ/مِّن/min//شُرَكَآىِٕهِمْ/شُرَكَآئِهِمۡ/shurakaihim//شُفَعٰٓؤُا/شُفَعَـٰٓؤُاْ/shufa'au//وَ كَانُوْا/وَكَانُواْ/wakanu//بِشُرَكَآىِٕهِمْ/بِشُرَكَآئِهِمۡ/bishurakaihim//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "এবং না//হবে//জন্যে তাদের//মধ্য থেকে (কেউ)//শরিকদের তাদের//সুপারিশকারী//এবং তারা হবে//প্রতি শরিকদের তাদের(বানানো)//অস্বীকারকারী"
            },
            {
              "number": 3423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3423.mp3"
              ],
              "text": "وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يَوْمَئِذٍۢ يَتَفَرَّقُونَ",
              "translate_bn": "যেদিন কেয়ামত সংঘটিত হবে, সেদিন মানুষ বিভক্ত হয়ে পড়বে।",
              "numberInSurah": 14,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা তাকূমুছছা-‘আতুইয়াওমাইযিইঁ ইয়াতাফাররাকূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//تَقُوْمُ/تَقُومُ/taqumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّتَفَرَّقُوْنَ /يَتَفَرَّقُونَ/yatafarraquna",
              "words_bangla": "এবং যেদিন//সংঘটিত হবে//ক্বিয়ামাত//সেদিন//তারা বিভক্ত হয়ে যাবে"
            },
            {
              "number": 3424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3424.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَهُمْ فِى رَوْضَةٍۢ يُحْبَرُونَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছে ও সৎকর্ম করেছে, তারা জান্নাতে সমাদৃত হবে;",
              "numberInSurah": 15,
              "juz": 21,
              "manzil": 5,
              "page": 405,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফাহুম ফী রাওদাতিইঁ ইউহবারূন।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصَّلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَهُمْ/فَهُمۡ/fahum//فِیْ/فِي/fi//رَوْضَةٍ/رَوۡضَةٖ/rawdatin//یُّحْبَرُوْنَ /يُحۡبَرُونَ/yuh'baruna",
              "words_bangla": "অতঃপর (তাদের) ব্যাপার//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//তখন তারা//(হবে) মধ্যে//বাগানের//আনন্দ করবে"
            },
            {
              "number": 3425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3425.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَا وَلِقَآئِ ٱلْءَاخِرَةِ فَأُو۟لَٰٓئِكَ فِى ٱلْعَذَابِ مُحْضَرُونَ",
              "translate_bn": "আর যারা কাফের এবং আমার আয়াতসমূহ ও পরকালের সাক্ষাতকারকে মিথ্যা বলছে, তাদেরকেই আযাবের মধ্যে উপস্থিত করা হবে।",
              "numberInSurah": 16,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল্লাযীনা কাফারূওয়া কাযযাবূবিআ-য়া-তিনা-ওয়া লিকাইল আ-খিরাতি ফাউলাইকা ফিল ‘আযা-বি মুহদারূন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ لِقَآئِ/وَلِقَآيِٕ/waliqai//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//مُحْضَرُوْنَ /مُحۡضَرُونَ/muh'daruna",
              "words_bangla": "আর (তাদের) ব্যাপার//যারা//অস্বীকার করেছে//ও মিথ্যারোপ করেছে//প্রতি নিদর্শনাবলীর আমাদের//ও সাক্ষাতকে//পরকালের//তখন ঐসব (লোককে)//মধ্যে//শাস্তির//উপস্থিত করা হবে"
            },
            {
              "number": 3426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3426.mp3"
              ],
              "text": "فَسُبْحَٰنَ ٱللَّهِ حِينَ تُمْسُونَ وَحِينَ تُصْبِحُونَ",
              "translate_bn": "অতএব, তোমরা আল্লাহর পবিত্রতা স্মরণ কর সন্ধ্যায় ও সকালে,",
              "numberInSurah": 17,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ফাছুবহা-নাল্লা-হি হীনা তুমছূনা ওয়া হীনা তুসবিহূন।\r\n",
              "words_arabic": "فَسُبْحٰنَ/فَسُبۡحَٰنَ/fasub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//حِیْنَ/حِينَ/hina//تُمْسُوْنَ/تُمۡسُونَ/tum'suna//وَ حِیْنَ/وَحِينَ/wahina//تُصْبِحُوْنَ /تُصۡبِحُونَ/tus'bihuna",
              "words_bangla": "অতএব মহিমা ঘোষণা করো//আল্লাহর//যখন//তোমরা সন্ধ্যা করো(অর্থাৎ মাগরিব হয়)//ও যখন//তোমরা সকাল করো (অর্থাৎ ফজর হয়)"
            },
            {
              "number": 3427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3427.mp3"
              ],
              "text": "وَلَهُ ٱلْحَمْدُ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَعَشِيًّۭا وَحِينَ تُظْهِرُونَ",
              "translate_bn": "এবং অপরাহেߠও মধ্যাহেߦ#2404; নভোমন্ডল ও ভূমন্ডলে, তাঁরই প্রসংসা।",
              "numberInSurah": 18,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহুল হামদুফিছছামা-ওয়া-তি ওয়াল আরদিওয়া‘আশিইইয়াওঁ ওয়া হীনা তুজহিরূন।",
              "words_arabic": "وَ لَهُ/وَلَهُ/walahu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ عَشِیًّا/وَعَشِيّٗا/wa'ashiyyan//وَّ حِیْنَ/وَحِينَ/wahina//تُظْهِرُوْنَ /تُظۡهِرُونَ/tuz'hiruna",
              "words_bangla": "এবং জন্যে  তাঁরই//সকল প্রশংসা//মধ্যে//আকাশ মন্ডলীর//ও পৃথিবীতে//এবং (মহিমা ঘোষণা করো) বিকেলে  (অর্থাৎ আসরে)//ও যখন//তোমরা দুপুরে উপনীত হও"
            },
            {
              "number": 3428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3428.mp3"
              ],
              "text": "يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَيُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ وَيُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ وَكَذَٰلِكَ تُخْرَجُونَ",
              "translate_bn": "তিনি মৃত থেকে জীবিতকে বহির্গত করেন জীবিত থেকে মৃতকে বহির্গত করেন, এবং ভূমির মৃত্যুর পর তাকে পুনরুজ্জীবিত করেন। এভাবে তোমরা উত্থিত হবে।",
              "numberInSurah": 19,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 350,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ইউখরিজুল হাইইয়া মিনাল মাইয়িতি ওয়া ইউখরিজুল মাইয়িতা মিনাল হাইয়ি ওয়া ইউহইল আরদা বা‘দা মাওতিহা- ওয়া কাযা-লিকা তুখরাজূন।",
              "words_arabic": "یُخْرِجُ/يُخۡرِجُ/yukh'riju//الْحَیَّ/ٱلۡحَيَّ/al-haya//مِنَ/مِنَ/mina//الْمَیِّتِ/ٱلۡمَيِّتِ/al-mayiti//وَ یُخْرِجُ/وَيُخۡرِجُ/wayukh'riju//الْمَیِّتَ/ٱلۡمَيِّتَ/al-mayita//مِنَ/مِنَ/mina//الْحَیِّ/ٱلۡحَيِّ/al-hayi//وَ یُحْیِ/وَيُحۡيِ/wayuh'yi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَاۚ/mawtiha//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//تُخْرَجُوْنَ۠/تُخۡرَجُونَ/tukh'rajuna",
              "words_bangla": "তিনি বের করেন//জীবন্তকে//হ'তে//মৃত//ও তিনি বের করেন//মৃতকে//হ'তে//জীবন্ত//এবং জীবিত করেন//পৃথিবীকে//পরে//মৃত্যুর তার//এবং এরূপেই//তোমাদের বের করা হবে"
            },
            {
              "number": 3429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3429.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦٓ أَنْ خَلَقَكُم مِّن تُرَابٍۢ ثُمَّ إِذَآ أَنتُم بَشَرٌۭ تَنتَشِرُونَ",
              "translate_bn": "তাঁর নিদর্শনাবলীর মধ্যে এক নিদর্শন এই যে, তিনি মৃত্তিকা থেকে তোমাদের সৃষ্টি করেছেন। এখন তোমরা মানুষ, পৃথিবীতে ছড়িয়ে আছ।",
              "numberInSurah": 20,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহীআন খালাকাকুমমিনতুরা-বিন ছু ম্মা ইযা- আনতুম বাশারুন তানতাশিরূন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖۤ/ءَايَٰتِهِۦٓ/ayatihi//اَنْ/أَنۡ/an//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//اِذَاۤ/إِذَآ/idha//اَنْتُمْ/أَنتُم/antum//بَشَرٌ/بَشَرٞ/basharun//تَنْتَشِرُوْنَ /تَنتَشِرُونَ/tantashiruna",
              "words_bangla": "এবং মধ্যে (রয়েছে)//নিদর্শনাবলীর তাঁর//(এও) যে//তিনি সৃষ্টি করেছেন তোমাদেরকে//হ'তে//মাটি//এরপর//এখন//তোমরা//মানুষ (হিসেবে)//তোমরা ছড়িয়ে পড়ছো"
            },
            {
              "number": 3430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3430.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦٓ أَنْ خَلَقَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًۭا لِّتَسْكُنُوٓا۟ إِلَيْهَا وَجَعَلَ بَيْنَكُم مَّوَدَّةًۭ وَرَحْمَةً ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "আর এক নিদর্শন এই যে, তিনি তোমাদের জন্যে তোমাদের মধ্য থেকে তোমাদের সংগিনীদের সৃষ্টি করেছেন, যাতে তোমরা তাদের কাছে শান্তিতে থাক এবং তিনি তোমাদের মধ্যে পারস্পরিক সম্প্রীতি ও দয়া সৃষ্টি করেছেন। নিশ্চয় এতে চিন্তাশীল লোকদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 21,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী আন খালাকা লাকুম মিন আনফুছিকুম আঝওয়া-জাল লিতাছকুনূ ইলাইহা ওয়াজা‘আলা বাইনাকুম মাওয়াদ্দাতাওঁ ওয়া রাহমাতান ইন্না ফী যা-লিকা লাআয়া-তিল লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖۤ/ءَايَٰتِهِۦٓ/ayatihi//اَنْ/أَنۡ/an//خَلَقَ/خَلَقَ/khalaqa//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//لِّتَسْكُنُوْۤا/لِّتَسۡكُنُوٓاْ/litaskunu//اِلَیْهَا/إِلَيۡهَا/ilayha//وَ جَعَلَ/وَجَعَلَ/waja'ala//بَیْنَكُمْ/بَيۡنَكُم/baynakum//مَّوَدَّةً/مَّوَدَّةٗ/mawaddatan//وَّ رَحْمَةً ؕ/وَرَحۡمَةًۚ/warahmatan//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "এবং মধ্য হ'তে//নিদর্শনাবলীর তাঁর//এও (যে)//তিনি সৃষ্টি করেছেন//জন্যে তোমাদের//মধ্যে হ'তে//তোমাদের নিজেদের//স্ত্রীদেরকে//যেন তোমরা প্রশান্তি পাও//কাছে তাদের//এবং সৃষ্টি করেছেন//মাঝে তোমাদের//সম্প্রীতি//ও দয়া//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নির্দেশনাবলী//জন্যে সম্প্রদায়ের//(যারা ) চিন্তা ভাবনা করে"
            },
            {
              "number": 3431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3431.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦ خَلْقُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَٰفُ أَلْسِنَتِكُمْ وَأَلْوَٰنِكُمْ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّلْعَٰلِمِينَ",
              "translate_bn": "তাঁর আর ও এক নিদর্শন হচ্ছে নভোমন্ডল ও ভূমন্ডলের সৃজন এবং তোমাদের ভাষা ও বর্ণের বৈচিত্র। নিশ্চয় এতে জ্ঞানীদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 22,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী খালকুছছামা-ওয়া-তি ওয়াল আরদিওয়াখতিলা-ফুআলছিনাতিকুম ওয়া আলওয়া-নিকুম ইন্না ফী যা-লিকা লাআ-য়া-তিল লিল‘আ-লিমীন।\r\n",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//خَلْقُ/خَلۡقُ/khalqu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ اخْتِلَافُ/وَٱخۡتِلَٰفُ/wa-ikh'tilafu//اَلْسِنَتِكُمْ/أَلۡسِنَتِكُمۡ/alsinatikum//وَ اَلْوَانِكُمْ ؕ/وَأَلۡوَٰنِكُمۡۚ/wa-alwanikum//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّلْعٰلِمِیْنَ /لِّلۡعَٰلِمِينَ/lil'alimina",
              "words_bangla": "এবং মধ্যে হ'তে//নিদর্শনাবলীর তাঁর//সৃষ্টি//আকাশমন্ডলীর//ও পৃথিবীর//এবং বৈচিত্র্য//ভাষাসমূহের তোমাদের//ও বর্ণসমূহের তোমাদের//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে জ্ঞানীদের"
            },
            {
              "number": 3432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3432.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦ مَنَامُكُم بِٱلَّيْلِ وَٱلنَّهَارِ وَٱبْتِغَآؤُكُم مِّن فَضْلِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَسْمَعُونَ",
              "translate_bn": "তাঁর আরও নিদর্শনঃ রাতে ও দিনে তোমাদের নিদ্রা এবং তাঁর কৃপা অন্বেষণ। নিশ্চয় এতে মনোযোগী সম্প্রদায়ের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 23,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী মানা-মুকুম বিল্লাইলি ওয়ান্নাহা-রি ওয়াবতিগাউকুম মিন ফাদলিহী ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইয়াছমা‘উন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//مَنَامُكُمْ/مَنَامُكُم/manamukum//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//وَ ابْتِغَآؤُكُمْ/وَٱبۡتِغَآؤُكُم/wa-ib'tighaukum//مِّنْ/مِّن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦٓۚ/fadlihi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "এবং মধ্যে হ'তে//নিদর্শনাবলীর তাঁর//ঘুম তোমাদের//বেলায় রাতের//ও দিনে//এবং অনুসন্ধান করা তোমাদের//মধ্য হ'তে//অনুগ্রহের তাঁর//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//যারা (শুনে)"
            },
            {
              "number": 3433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3433.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦ يُرِيكُمُ ٱلْبَرْقَ خَوْفًۭا وَطَمَعًۭا وَيُنَزِّلُ مِنَ ٱلسَّمَآءِ مَآءًۭ فَيُحْىِۦ بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "তাঁর আরও নিদর্শনঃ তিনি তোমাদেরকে দেখান বিদ্যুৎ, ভয় ও ভরসার জন্যে এবং আকাশ থেকে পানি বর্ষণ করেন, অতঃপর তদ্দ্বারা ভূমির মৃত্যুর পর তাকে পুনরুজ্জীবিত করেন। নিশ্চয় এতে বুদ্ধিমান লোকদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 24,
              "juz": 21,
              "manzil": 5,
              "page": 406,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী ইউরীকুমুল বারকা খাওফাওঁ ওয়া তামা‘আওঁ ওয়া ইউনাঝঝিলু মিনাছছামাই মাআন ফাইউহয়ী বিহিল আরদা বা‘দা মাওতিহা ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//یُرِیْكُمُ/يُرِيكُمُ/yurikumu//الْبَرْقَ/ٱلۡبَرۡقَ/al-barqa//خَوْفًا/خَوۡفٗا/khawfan//وَّ طَمَعًا/وَطَمَعٗا/watama'an//وَّ یُنَزِّلُ/وَيُنَزِّلُ/wayunazzilu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَیُحْیٖ/فَيُحۡيِۦ/fayuh'yi//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَآۚ/mawtiha//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং মধ্য হ'তে//নিদর্শনাবলীর তাঁর//তিনি দেখান তোমাদের//বিদ্যুৎ//ভয় হিসেবে//ও আশারূপে//এবং বর্ষণ করেন//হ'তে//আকাশ//পানি//অতঃপর জীবিত করেন//দিয়ে তা//জমিনকে//পরে//মৃত্যুর তার//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা) জ্ঞান-বুদ্ধি রাখে"
            },
            {
              "number": 3434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3434.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦٓ أَن تَقُومَ ٱلسَّمَآءُ وَٱلْأَرْضُ بِأَمْرِهِۦ ۚ ثُمَّ إِذَا دَعَاكُمْ دَعْوَةًۭ مِّنَ ٱلْأَرْضِ إِذَآ أَنتُمْ تَخْرُجُونَ",
              "translate_bn": "তাঁর অন্যতম নিদর্শন এই যে, তাঁরই আদেশে আকাশ ও পৃথিবী প্রতিষ্ঠিত আছে। অতঃপর যখন তিনি মৃত্তিকা থেকে উঠার জন্যে তোমাদের ডাক দেবেন, তখন তোমরা উঠে আসবে।",
              "numberInSurah": 25,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী আন তাকুমাছছামাউ ওয়াল আরদুবিআমরিহী ছু ম্মা ইযা-দা‘আ-কুম দা‘ওয়াতাম মিনাল আরদি ইযা আনতুম তাখরুজূন।\r\n",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖۤ/ءَايَٰتِهِۦٓ/ayatihi//اَنْ/أَن/an//تَقُوْمَ/تَقُومَ/taquma//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//بِاَمْرِهٖ ؕ/بِأَمۡرِهِۦۚ/bi-amrihi//ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//دَعَاكُمْ/دَعَاكُمۡ/da'akum//دَعْوَةً ۖۗ/دَعۡوَةٗ/da'watan//مِّنَ/مِّنَ/mina//الْاَرْضِ ۖۗ/ٱلۡأَرۡضِ/al-ardi//اِذَاۤ/إِذَآ/idha//اَنْتُمْ/أَنتُمۡ/antum//تَخْرُجُوْنَ /تَخۡرُجُونَ/takhrujuna",
              "words_bangla": "এবং মধ্যে হ'তে//নিদর্শনসমূহের তাঁর//(এও) যে//প্রতিষ্ঠিত  রয়েছে//আকাশ//ও পৃথিবী//নির্দেশক্রমে তাঁরই//এরপর//যখন//তিনি ডাক দিবেন তোমাদের//একটি ডাক//হ'তে//জমিন//তখন//তোমরা//বের হয়ে আসবে"
            },
            {
              "number": 3435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3435.mp3"
              ],
              "text": "وَلَهُۥ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ كُلٌّۭ لَّهُۥ قَٰنِتُونَ",
              "translate_bn": "নভোমন্ডলে ও ভুমন্ডলে যা কিছু আছে, সব তাঁরই। সবাই তাঁর আজ্ঞাবহ।",
              "numberInSurah": 26,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহূমান ফিছছামা-ওয়া-তি ওয়াল আরদি কুল্লুল লাহূকা-নিতূন।",
              "words_arabic": "وَ لَهٗ/وَلَهُۥ/walahu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//كُلٌّ/كُلّٞ/kullun//لَّهٗ/لَّهُۥ/lahu//قٰنِتُوْنَ /قَٰنِتُونَ/qanituna",
              "words_bangla": "এবং জন্যে তাঁরই//যা কিছু//মধ্যে (আছে)//আকাশমন্ডলীর//ও পৃথিবীর//সবকিছু//প্রতি তাঁরই//অনুগত"
            },
            {
              "number": 3436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3436.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ وَهُوَ أَهْوَنُ عَلَيْهِ ۚ وَلَهُ ٱلْمَثَلُ ٱلْأَعْلَىٰ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "তিনিই প্রথমবার সৃষ্টিকে অস্তিত্বে আনয়ন করেন, অতঃপর তিনি সৃষ্টি করবেন। এটা তাঁর জন্যে সহজ। আকাশ ও পৃথিবীতে সর্বোচ্চ মর্যাদা তাঁরই এবং তিনিই পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 27,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 351,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী ইয়াবদাউল খালকা ছুম্মা ইউ‘ঈদুহূওয়া হুওয়া আহওয়ানু‘আলাইহি ওয়া লাহুল মাছালুল আ‘লা-ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یَبْدَؤُا/يَبۡدَؤُاْ/yabda-u//الْخَلْقَ/ٱلۡخَلۡقَ/al-khalqa//ثُمَّ/ثُمَّ/thumma//یُعِیْدُهٗ/يُعِيدُهُۥ/yu'iduhu//وَ هُوَ/وَهُوَ/wahuwa//اَهْوَنُ/أَهۡوَنُ/ahwanu//عَلَیْهِ ؕ/عَلَيۡهِۚ/alayhi//وَ لَهُ/وَلَهُ/walahu//الْمَثَلُ/ٱلۡمَثَلُ/al-mathalu//الْاَعْلٰى/ٱلۡأَعۡلَىٰ/al-a'la//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//সূচনা করেন//সৃষ্টির//এরপর//পুনরাবৃত্তি করবেন তার//এবং তা//সহজতর//কাছে তাঁর//এবং জন্যে তাঁরই//গুণাবলী (মর্যাদা)//সর্বোত্তম//মধ্যে//আকাশসমূহের//এবং পৃথিবীতে//এবং তিনি//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 3437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3437.mp3"
              ],
              "text": "ضَرَبَ لَكُم مَّثَلًۭا مِّنْ أَنفُسِكُمْ ۖ هَل لَّكُم مِّن مَّا مَلَكَتْ أَيْمَٰنُكُم مِّن شُرَكَآءَ فِى مَا رَزَقْنَٰكُمْ فَأَنتُمْ فِيهِ سَوَآءٌۭ تَخَافُونَهُمْ كَخِيفَتِكُمْ أَنفُسَكُمْ ۚ كَذَٰلِكَ نُفَصِّلُ ٱلْءَايَٰتِ لِقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে তোমাদেরই মধ্য থেকে একটি দৃষ্টান্ত বর্ণনা করেছেনঃ তোমাদের আমি যে রুযী দিয়েছি, তোমাদের অধিকারভুক্ত দাস-দাসীরা কি তাতে তোমাদের সমান সমান অংশীদার? তোমরা কি তাদেরকে সেরূপ ভয় কর, যেরূপ নিজেদের লোককে ভয় কর? এমনিভাবে আমি সমঝদার সম্প্রদায়ের জন্যে নিদর্শনাবলী বিস্তারিত বর্ণনা করি।",
              "numberInSurah": 28,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 352,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "দারাবা লাকুম মাছালাম মিন আনফুছিকুম; হাল লাকুম মিম্মা-মালাকাত আইমা-নুকুম মিন শুরাকাআ ফী মা-রাঝাকনা-কুম ফাআনতুম ফীহি ছাওয়াউন তাখা-ফূনাহুম কাখীফাতিকুম আনফুছাকুম কাযা-লিকা নুফাসসিলুল আ-য়া-তি লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "ضَرَبَ/ضَرَبَ/daraba//لَكُمْ/لَكُم/lakum//مَّثَلًا/مَّثَلٗا/mathalan//مِّنْ/مِّنۡ/min//اَنْفُسِكُمْ ؕ/أَنفُسِكُمۡۖ/anfusikum//هَلْ/هَل/hal//لَّكُمْ/لَّكُم/lakum//مِّنْ/مِّن/min//مَّا/مَّا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُكُمْ/أَيۡمَٰنُكُم/aymanukum//مِّنْ/مِّن/min//شُرَكَآءَ/شُرَكَآءَ/shurakaa//فِیْ/فِي/fi//مَا/مَا/ma//رَزَقْنٰكُمْ/رَزَقۡنَٰكُمۡ/razaqnakum//فَاَنْتُمْ/فَأَنتُمۡ/fa-antum//فِیْهِ/فِيهِ/fihi//سَوَآءٌ/سَوَآءٞ/sawaon//تَخَافُوْنَهُمْ/تَخَافُونَهُمۡ/takhafunahum//كَخِیْفَتِكُمْ/كَخِيفَتِكُمۡ/kakhifatikum//اَنْفُسَكُمْ ؕ/أَنفُسَكُمۡۚ/anfusakum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نُفَصِّلُ/نُفَصِّلُ/nufassilu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لِقَوْمٍ/لِقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "পেশ করেন (আল্লাহ)//জন্যে তোমাদের//একটি দৃষ্টান্ত//মধ্য হ'তে//নিজেদের তোমাদের//(আছে) কি//জন্যে তোমাদের//মধ্য হ'তে//যাকে//মালিক করেছে//ডানহাত তোমাদের (অর্থাৎ তোমাদের দাসদাসী)//কিছু (সংখ্যক)//অংশীদার//মধ্যে//(তার) যা//আমরা জীবিকা দিয়েছি তোমাদেরকে//অতঃপর তোমরা//মধ্যে তার//সমান (অংশীদারিত্বে)//তোমরা ভয় করবে তাদেরকে (কি?)//যেমন ভয় তোমাদের//নিজেদের তোমাদের (সমান লোকদের ক্ষেত্রে)//এরূপে//আমরা বর্ণনা করি বিশদভাবে//নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা) বুদ্ধি কাজে লাগায়"
            },
            {
              "number": 3438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3438.mp3"
              ],
              "text": "بَلِ ٱتَّبَعَ ٱلَّذِينَ ظَلَمُوٓا۟ أَهْوَآءَهُم بِغَيْرِ عِلْمٍۢ ۖ فَمَن يَهْدِى مَنْ أَضَلَّ ٱللَّهُ ۖ وَمَا لَهُم مِّن نَّٰصِرِينَ",
              "translate_bn": "বরং যারা যে-ইনসাফ, তারা অজ্ঞানতাবশতঃ তাদের খেয়াল-খূশীর অনুসরণ করে থাকে। অতএব, আল্লাহ যাকে পথভ্রষ্ট করেন, তাকে কে বোঝাবে? তাদের কোন সাহায্যকারী নেই।",
              "numberInSurah": 29,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 352,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "বালিততাবা‘আল্লাযীনা জালামূআহওয়াআহুম বিগাইরি ‘ইলমিন ফামাইঁ ইয়াহদী মান আদাল্লাল্লা-হু ওয়ামা-লাহুম মিন না-সিরীন।\r\n",
              "words_arabic": "بَلِ/بَلِ/bali//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْۤا/ظَلَمُوٓاْ/zalamu//اَهْوَآءَهُمْ/أَهۡوَآءَهُم/ahwaahum//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ۚ/عِلۡمٖۖ/il'min//فَمَنْ/فَمَن/faman//یَّهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَنۡ/man//اَضَلَّ/أَضَلَّ/adalla//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//نّٰصِرِیْنَ /نَّـٰصِرِينَ/nasirina",
              "words_bangla": "বরং//অনুসরণ করে//তারা (যারা)//সীমালঙ্ঘন করেছে//খেয়ালখুশির তাদের//ছাড়া//কোনো জ্ঞান//সুতরাং কে//পথ দেখাবে//যাকে//পথভ্রষ্ট করেছেন//আল্লাহ//এবং নেই//জন্যে তাদের//কোনো//সাহায্যকারী"
            },
            {
              "number": 3439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3439.mp3"
              ],
              "text": "فَأَقِمْ وَجْهَكَ لِلدِّينِ حَنِيفًۭا ۚ فِطْرَتَ ٱللَّهِ ٱلَّتِى فَطَرَ ٱلنَّاسَ عَلَيْهَا ۚ لَا تَبْدِيلَ لِخَلْقِ ٱللَّهِ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "তুমি একনিষ্ঠ ভাবে নিজেকে ধর্মের উপর প্রতিষ্ঠিত রাখ। এটাই আল্লাহর প্রকৃতি, যার উপর তিনি মানব সৃষ্টি করেছেন। আল্লাহর সৃষ্টির কোন পরিবর্তন নেই। এটাই সরল ধর্ম। কিন্তু অধিকাংশ মানুষ জানে না।",
              "numberInSurah": 30,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 352,
              "hizbQuarter": 162,
              "sajda": false,
              "pronunciation_bn": "ফাআকিম ওয়াজহাকা লিদ্দীনি হানীফান ফিতরাতাল্লা-হিল্লাতী ফাতারান্না-ছা ‘আলাইহা- লা-তাবদীলা লিখালকিল্লা-হি যা-লিকাদদীনুল কাইয়িমুওয়া লা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "فَاَقِمْ/فَأَقِمۡ/fa-aqim//وَجْهَكَ/وَجۡهَكَ/wajhaka//لِلدِّیْنِ/لِلدِّينِ/lilddini//حَنِیْفًا ؕ/حَنِيفٗاۚ/hanifan//فِطْرَتَ/فِطۡرَتَ/fit'rata//اللّٰهِ/ٱللَّهِ/al-lahi//الَّتِیْ/ٱلَّتِي/allati//فَطَرَ/فَطَرَ/fatara//النَّاسَ/ٱلنَّاسَ/al-nasa//عَلَیْهَا ؕ/عَلَيۡهَاۚ/alayha//لَا/لَا/la//تَبْدِیْلَ/تَبۡدِيلَ/tabdila//لِخَلْقِ/لِخَلۡقِ/likhalqi//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//الدِّیْنُ/ٱلدِّينُ/al-dinu//الْقَیِّمُ ۙۗ/ٱلۡقَيِّمُ/al-qayimu//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَۗۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতএব (হে নাবী) প্রতিষ্ঠিত করো//তোমার চেহারা (লক্ষ্য)কে//জন্যে দ্বীনের//একনিষ্ঠভাবে//(সেই দ্বীন) প্রকৃতির//আল্লাহর//যা//তিনি সৃষ্টি করেছেন//মানুষকে//উপর তার//না (হ'তে পারে)//কোনো  পরিবর্তন//জন্যে সৃষ্টির//আল্লাহর//এটাই//দীন//প্রতিষ্ঠিত//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে"
            },
            {
              "number": 3440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3440.mp3"
              ],
              "text": "۞ مُنِيبِينَ إِلَيْهِ وَٱتَّقُوهُ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَلَا تَكُونُوا۟ مِنَ ٱلْمُشْرِكِينَ",
              "translate_bn": "সবাই তাঁর অভিমুখী হও এবং ভয় কর, নামায কায়েম কর এবং মুশরিকদের অন্তর্ভুক্ত হয়ো না।",
              "numberInSurah": 31,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "মুনীবীনা ইলাইহি ওয়াত্তাকূহু ওয়াআকীমুসসালা-তা ওয়ালা-তাকূনূমিনাল মুশরিকীন।",
              "words_arabic": "مُنِیْبِیْنَ/۞مُنِيبِينَ/munibina//اِلَیْهِ/إِلَيۡهِ/ilayhi//وَ اتَّقُوْهُ/وَٱتَّقُوهُ/wa-ittaquhu//وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//مِنَ/مِنَ/mina//الْمُشْرِكِیْنَۙ/ٱلۡمُشۡرِكِينَ/al-mush'rikina",
              "words_bangla": "(বিশুদ্ধচিত্তে) অভিমূখী হয়ে//দিকে তাঁরই//এবং তাঁকে ভয় কর//ও প্রতিষ্ঠা করো//সালাত//এবং না//তোমরা হয়ো//অন্তর্ভূক্ত//মুশরেকদের"
            },
            {
              "number": 3441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3441.mp3"
              ],
              "text": "مِنَ ٱلَّذِينَ فَرَّقُوا۟ دِينَهُمْ وَكَانُوا۟ شِيَعًۭا ۖ كُلُّ حِزْبٍۭ بِمَا لَدَيْهِمْ فَرِحُونَ",
              "translate_bn": "যারা তাদের ধর্মে বিভেদ সৃষ্টি করেছে এবং অনেক দলে বিভক্ত হয়ে পড়েছে। প্রত্যেক দলই নিজ নিজ মতবাদ নিয়ে উল্লসিত।",
              "numberInSurah": 32,
              "juz": 21,
              "manzil": 5,
              "page": 407,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "মিনাল্লাযীনা ফাররাকূদীনাহুম ওয়া কা-নূশিয়া‘আন কুল্লুহিঝবিম বিমা-লাদাইহিম ফারিহুন।",
              "words_arabic": "مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فَرَّقُوْا/فَرَّقُواْ/farraqu//دِیْنَهُمْ/دِينَهُمۡ/dinahum//وَ كَانُوْا/وَكَانُواْ/wakanu//شِیَعًا ؕ/شِيَعٗاۖ/shiya'an//كُلُّ/كُلُّ/kullu//حِزْبٍۭ/حِزۡبِۭ/hiz'bin//بِمَا/بِمَا/bima//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//فَرِحُوْنَ /فَرِحُونَ/farihuna",
              "words_bangla": "মধ্যে//তাদের (যারা)//বিভক্ত করেছে//দীনকে তাদের//এবং হয়ে গিয়েছে//বিভিন্ন দল//প্রত্যেক//দলই//নিয়ে ঐ বিষয় যা//কাছে আছে তাদের//সন্তুষ্ট"
            },
            {
              "number": 3442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3442.mp3"
              ],
              "text": "وَإِذَا مَسَّ ٱلنَّاسَ ضُرٌّۭ دَعَوْا۟ رَبَّهُم مُّنِيبِينَ إِلَيْهِ ثُمَّ إِذَآ أَذَاقَهُم مِّنْهُ رَحْمَةً إِذَا فَرِيقٌۭ مِّنْهُم بِرَبِّهِمْ يُشْرِكُونَ",
              "translate_bn": "মানুষকে যখন দুঃখ-কষ্ট স্পর্শ করে, তখন তারা তাদের পালনকর্তাকে আহবান করে তাঁরই অভিমুখী হয়ে। অতঃপর তিনি যখন তাদেরকে রহমতের স্বাদ আস্বাদন করান, তখন তাদের একদল তাদের পালনকর্তার সাথে শিরক করতে থাকে,",
              "numberInSurah": 33,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাছছান্না-ছা দু ররুন দা‘আও রাব্বাহুম মুনীবীনা ইলাইহি ছু ম্মা ইযাআযা-কাহুম মিনহু রাহামাতান ইযা-ফারীকুম মিনহুম বিরাব্বিহিম ইউশরিকূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَسَّ/مَسَّ/massa//النَّاسَ/ٱلنَّاسَ/al-nasa//ضُرٌّ/ضُرّٞ/durrun//دَعَوْا/دَعَوۡاْ/da'aw//رَبَّهُمْ/رَبَّهُم/rabbahum//مُّنِیْبِیْنَ/مُّنِيبِينَ/munibina//اِلَیْهِ/إِلَيۡهِ/ilayhi//ثُمَّ/ثُمَّ/thumma//اِذَاۤ/إِذَآ/idha//اَذَاقَهُمْ/أَذَاقَهُم/adhaqahum//مِّنْهُ/مِّنۡهُ/min'hu//رَحْمَةً/رَحۡمَةً/rahmatan//اِذَا/إِذَا/idha//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمْ/مِّنۡهُم/min'hum//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//یُشْرِكُوْنَۙ/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এবং যখন//স্পর্শ করে//মানুষকে//দুঃখ-দৈন্যে//তারা ডাকে//রবকে তাদের//বিশুদ্ধচিত্তে//দিকে তাঁরই//এরপর//যখন//তিনি আস্বাদন করান তাদেরকে//পক্ষ হ'তে তাঁর//অনুগ্রহ//তখন//একদল//মধ্য থেকে তাদের//সাথে রবের তাদের//তারা শিরক করে"
            },
            {
              "number": 3443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3443.mp3"
              ],
              "text": "لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَٰهُمْ ۚ فَتَمَتَّعُوا۟ فَسَوْفَ تَعْلَمُونَ",
              "translate_bn": "যাতে তারা অস্বীকার করে যা আমি তাদেরকে দিয়েছি। অতএব, মজা লুটে নাও, সত্বরই জানতে পারবে।",
              "numberInSurah": 34,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "লিয়াকফুরূ বিমাআ-তাইনা-হুম ফাতামাত্তা‘ঊ ফাছাওফা তা‘লামূন।",
              "words_arabic": "لِیَكْفُرُوْا/لِيَكۡفُرُواْ/liyakfuru//بِمَاۤ/بِمَآ/bima//اٰتَیْنٰهُمْ ؕ/ءَاتَيۡنَٰهُمۡۚ/ataynahum//فَتَمَتَّعُوْا ۥ/فَتَمَتَّعُواْ/fatamatta'u//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "যেন তারা অকৃতজ্ঞতা করে//ঐ বিষয়ে যা//আমরা দান করেছি তাদেরকে//সুতরাং তোমরা (ঠিক আছে) ভোগ করো//অতঃপর শীঘ্রই//তোমরা জানবে"
            },
            {
              "number": 3444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3444.mp3"
              ],
              "text": "أَمْ أَنزَلْنَا عَلَيْهِمْ سُلْطَٰنًۭا فَهُوَ يَتَكَلَّمُ بِمَا كَانُوا۟ بِهِۦ يُشْرِكُونَ",
              "translate_bn": "আমি কি তাদের কাছে এমন কোন দলীল নাযিল করেছি, যে তাদেরকে আমার শরীক করতে বলে?",
              "numberInSurah": 35,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "আম আনঝালনা-‘আলাইহিম ছুলতা-নান ফাহুওয়া ইয়াতাকাল্লামুবিমা-কা-নূবিহী ইউশরিকূন।",
              "words_arabic": "اَمْ/أَمۡ/am//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سُلْطٰنًا/سُلۡطَٰنٗا/sul'tanan//فَهُوَ/فَهُوَ/fahuwa//یَتَكَلَّمُ/يَتَكَلَّمُ/yatakallamu//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "কি//অবতীর্ণ করেছি আমরা//উপর তাদের//কোনো প্রমাণ//সুতরাং তা//বলে//ঐ বিষয়ে যা//তারা ছিলো//সাথে তাঁর//শিরক করতো"
            },
            {
              "number": 3445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3445.mp3"
              ],
              "text": "وَإِذَآ أَذَقْنَا ٱلنَّاسَ رَحْمَةًۭ فَرِحُوا۟ بِهَا ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ إِذَا هُمْ يَقْنَطُونَ",
              "translate_bn": "আর যখন আমি মানুষকে রহমতের স্বাদ আস্বাদন করাই, তারা তাতে আনন্দিত হয় এবং তাদের কৃতকর্মের ফলে যদি তাদেরকে কোন দুদর্শা পায়, তবে তারা হতাশ হয়ে পড়ে।",
              "numberInSurah": 36,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-আযাকনান্না-ছা রাহমাতান ফারিহূবিহা- ওয়া ইন তুসিবহুম ছাইয়িআতুম বিমা-কাদ্দামাত আইদীহিম ইযা-হুম ইয়াকনাতূন।\r\n",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اَذَقْنَا/أَذَقۡنَا/adhaqna//النَّاسَ/ٱلنَّاسَ/al-nasa//رَحْمَةً/رَحۡمَةٗ/rahmatan//فَرِحُوْا/فَرِحُواْ/farihu//بِهَا ؕ/بِهَاۖ/biha//وَ اِنْ/وَإِن/wa-in//تُصِبْهُمْ/تُصِبۡهُمۡ/tusib'hum//سَیِّئَةٌۢ/سَيِّئَةُۢ/sayyi-atun//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَقْنَطُوْنَ /يَقۡنَطُونَ/yaqnatuna",
              "words_bangla": "এবং যখন//আস্বাদন করাই আমরা//মানুষকে//অনুগ্রহের//ফলে তারা উৎফুল্ল হয়//কারণে তার//এবং যদি//পৌঁছে তাদের//কোনো দুর্দশা//এ কারণে যা//আগে পাঠিয়েছে//হাত তাদের//তখন//তারা//হতাশ হয়ে পড়ে"
            },
            {
              "number": 3446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3446.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তারা কি দেখে না যে, আল্লাহ যার জন্যে ইচ্ছা রিযিক বর্ধিত করেন এবং হ্রাস করেন। নিশ্চয় এতে বিশ্বাসী সম্প্রদায়ের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 37,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়ারাও আন্নাল্লা-হা ইয়াবছুতুর রিঝকা লিমাইঁ ইয়াশাউ ওয়া ইয়াকদিরু ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ ؕ/وَيَقۡدِرُۚ/wayaqdiru//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি না//তারা দেখে//যে//আল্লাহ//প্রশস্ত করে দেন//জীবিকা//(তার) জন্যে যাকে//তিনি চান//আবার সীমিতও করেন//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে সম্প্রদায়ের//(যারা) ঈমান আনে"
            },
            {
              "number": 3447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3447.mp3"
              ],
              "text": "فَـَٔاتِ ذَا ٱلْقُرْبَىٰ حَقَّهُۥ وَٱلْمِسْكِينَ وَٱبْنَ ٱلسَّبِيلِ ۚ ذَٰلِكَ خَيْرٌۭ لِّلَّذِينَ يُرِيدُونَ وَجْهَ ٱللَّهِ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "আত্নীয়-স্বজনকে তাদের প্রাপ্য দিন এবং মিসকীন ও মুসাফিরদেরও। এটা তাদের জন্যে উত্তম, যারা আল্লাহর সন্তুষ্টি কামনা করে। তারাই সফলকাম।",
              "numberInSurah": 38,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ফাআ-তি যাল কুরবা-হাক্কাহূওয়াল মিছকীনা ওয়াবনাছছাবীল যা-লিকা খাইরুল লিল্লাযীনা ইউরীদূ না ওয়াজহাল্লা-হি ওয়া উলাইকা হুমুল মুফলিহূন।\r\n",
              "words_arabic": "فَاٰتِ/فَـَٔاتِ/faati//ذَا/ذَا/dha//الْقُرْبٰى/ٱلۡقُرۡبَىٰ/al-qur'ba//حَقَّهٗ/حَقَّهُۥ/haqqahu//وَ الْمِسْكِیْنَ/وَٱلۡمِسۡكِينَ/wal-mis'kina//وَ ابْنَ/وَٱبۡنَ/wa-ib'na//السَّبِیْلِ ؕ/ٱلسَّبِيلِۚ/al-sabili//ذٰلِكَ/ذَٰلِكَ/dhalika//خَیْرٌ/خَيۡرٞ/khayrun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//وَجْهَ/وَجۡهَ/wajha//اللّٰهِ ؗ/ٱللَّهِۖ/al-lahi//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "অতএব দাও//সম্পন্নকে//নৈকট্য  (নিকট আত্নীয়কে)//তার প্রাপ্য//ও অভাবগ্রস্তকে//ও ছেলেকে//পথের (পথিককে)//এটা//উত্তম//(তাদের) জন্যে যারা//তারা চায়//চেহারা (সন্তুষ্টি)//আল্লাহর//এবং ঐ সব লোক//তারাই//সফলকাম"
            },
            {
              "number": 3448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3448.mp3"
              ],
              "text": "وَمَآ ءَاتَيْتُم مِّن رِّبًۭا لِّيَرْبُوَا۟ فِىٓ أَمْوَٰلِ ٱلنَّاسِ فَلَا يَرْبُوا۟ عِندَ ٱللَّهِ ۖ وَمَآ ءَاتَيْتُم مِّن زَكَوٰةٍۢ تُرِيدُونَ وَجْهَ ٱللَّهِ فَأُو۟لَٰٓئِكَ هُمُ ٱلْمُضْعِفُونَ",
              "translate_bn": "মানুষের ধন-সম্পদে তোমাদের ধন-সম্পদ বৃদ্ধি পাবে, এই আশায় তোমরা সুদে যা কিছু দাও, আল্লাহর কাছে তা বৃদ্ধি পায় না। পক্ষান্তরে, আল্লাহর সন্তুষ্টি লাভের আশায় পবিত্র অন্তরে যারা দিয়ে থাকে, অতএব, তারাই দ্বিগুণ লাভ করে।",
              "numberInSurah": 39,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআ-তাইতুম মির রিবাল লিয়ারবুওয়া ফীআমওয়া-লিন্না-ছি ফালা-ইয়ারবূ‘ইনদাল্লা-হি ওয়ামাআ-তাইতুম মিন ঝাকা-তিন তুরীদূ না ওয়াজহাল্লা-হি ফাউলাইকা হুমুল মু দ‘ইফূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اٰتَیْتُمْ/ءَاتَيۡتُم/ataytum//مِّنْ/مِّن/min//رِّبًا/رِّبٗا/riban//لِّیَرْبُوَاۡ/لِّيَرۡبُوَاْ/liyarbuwa//فِیْۤ/فِيٓ/fi//اَمْوَالِ/أَمۡوَٰلِ/amwali//النَّاسِ/ٱلنَّاسِ/al-nasi//فَلَا/فَلَا/fala//یَرْبُوْا/يَرۡبُواْ/yarbu//عِنْدَ/عِندَ/inda//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ مَاۤ/وَمَآ/wama//اٰتَیْتُمْ/ءَاتَيۡتُم/ataytum//مِّنْ/مِّن/min//زَكٰوةٍ/زَكَوٰةٖ/zakatin//تُرِیْدُوْنَ/تُرِيدُونَ/turiduna//وَجْهَ/وَجۡهَ/wajha//اللّٰهِ/ٱللَّهِ/al-lahi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْمُضْعِفُوْنَ /ٱلۡمُضۡعِفُونَ/al-mud'ifuna",
              "words_bangla": "এবং যা কিছু//দিয়ে থাকো তোমরা//থেকে//সূদ//যেন বৃদ্ধি পায়//মধ্যে//ধনসম্পদের//মানুষের//প্রকৃতপক্ষে না//বৃদ্ধি পায়//কাছে//আল্লাহর//এবং যা কিছু//দিয়ে থাকো তোমরা//থেকে//যাকাত//(এ উদ্দেশ্যে যে) তোমরা চাও//চেহারা (সন্তুষ্টি)//আল্লাহর//প্রকৃতপক্ষে ঐসব লোক//তারাই//সমৃদ্ধশালী"
            },
            {
              "number": 3449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3449.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى خَلَقَكُمْ ثُمَّ رَزَقَكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ۖ هَلْ مِن شُرَكَآئِكُم مَّن يَفْعَلُ مِن ذَٰلِكُم مِّن شَىْءٍۢ ۚ سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "আল্লাহই তোমাদের সৃষ্টি করেছেন, অতঃপর রিযিক দিয়েছেন, এরপর তোমাদের মৃত্যু দেবেন, এরপর তোমাদের জীবিত করবেন। তোমাদের শরীকদের মধ্যে এমন কেউ আছে কি, যে এসব কাজের মধ্যে কোন একটিও করতে পারবে? তারা যাকে শরীক করে, আল্লাহ তা থেকে পবিত্র ও মহান।",
              "numberInSurah": 40,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 352,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী খালাকাকুম ছুম্মা রাঝাকাকুম ছুম্মা ইউমীতুকুম ছুম্মা ইউহঈকুম হাল মিন শুরাকাইকুম মাইঁ ইয়াফ‘আলুমিন যা-লিকুম মিন শাইয়িন ছুবহা-নাহূওয়া তা‘আলা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//ثُمَّ/ثُمَّ/thumma//رَزَقَكُمْ/رَزَقَكُمۡ/razaqakum//ثُمَّ/ثُمَّ/thumma//یُمِیْتُكُمْ/يُمِيتُكُمۡ/yumitukum//ثُمَّ/ثُمَّ/thumma//یُحْیِیْكُمْ ؕ/يُحۡيِيكُمۡۖ/yuh'yikum//هَلْ/هَلۡ/hal//مِنْ/مِن/min//شُرَكَآىِٕكُمْ/شُرَكَآئِكُم/shurakaikum//مَّنْ/مَّن/man//یَّفْعَلُ/يَفۡعَلُ/yaf 'alu//مِنْ/مِن/min//ذٰلِكُمْ/ذَٰلِكُم/dhalikum//مِّنْ/مِّن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰى/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ۠/يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "আল্লাহ (সেই সত্ত্বা)//যিনি//সৃষ্টি করেছেন তোমাদের//এরপর//জীবিকা দিয়েছেন তোমাদের//এরপর//মৃত্যু দিবেন তোমাদের//এরপর//জীবিত করবেন তোমাদের//আছে কি//মধ্য থেকে//(বানানো) শরিকদের তোমাদের//যে (কেউ)//করতে পারে//থেকে//এগুলোর//কোনো//কিছু//তিনি পবিত্র মহান//এবং অনেক উর্দ্ধে//(তা) হ'তে যা//তারা শিরক করে"
            },
            {
              "number": 3450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3450.mp3"
              ],
              "text": "ظَهَرَ ٱلْفَسَادُ فِى ٱلْبَرِّ وَٱلْبَحْرِ بِمَا كَسَبَتْ أَيْدِى ٱلنَّاسِ لِيُذِيقَهُم بَعْضَ ٱلَّذِى عَمِلُوا۟ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "স্থলে ও জলে মানুষের কৃতকর্মের দরুন বিপর্যয় ছড়িয়ে পড়েছে। আল্লাহ তাদেরকে তাদের কর্মের শাস্তি আস্বাদন করাতে চান, যাতে তারা ফিরে আসে।",
              "numberInSurah": 41,
              "juz": 21,
              "manzil": 5,
              "page": 408,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "জাহারাল ফাছা-দুফিল বাররি ওয়ালবাহরি বিমা-কাছাবাত আইদিন্না-ছি লিইউযীকাহুম বা‘দাল্লাযী ‘আমিলূলা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "ظَهَرَ/ظَهَرَ/zahara//الْفَسَادُ/ٱلۡفَسَادُ/al-fasadu//فِی/فِي/fi//الْبَرِّ/ٱلۡبَرِّ/al-bari//وَ الْبَحْرِ/وَٱلۡبَحۡرِ/wal-bahri//بِمَا/بِمَا/bima//كَسَبَتْ/كَسَبَتۡ/kasabat//اَیْدِی/أَيۡدِي/aydi//النَّاسِ/ٱلنَّاسِ/al-nasi//لِیُذِیْقَهُمْ/لِيُذِيقَهُم/liyudhiqahum//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//عَمِلُوْا/عَمِلُواْ/amilu//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "ছড়িয়ে পড়েছে//বিপর্যয়//মধ্যে//স্থলের (স্হলভাগে)//ও সাগরের (জলভাগে)//একারণে যা//অর্জন করেছে//হাত//মানুষের//যেন তিনি আস্বাদন করান তাদের//কিছুটা//যা//তারা কাজ করেছে//যাতে তারা//ফিরে আসে"
            },
            {
              "number": 3451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3451.mp3"
              ],
              "text": "قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلُ ۚ كَانَ أَكْثَرُهُم مُّشْرِكِينَ",
              "translate_bn": "বলুন, তোমরা পৃথিবীতে পরিভ্রমণ কর এবং দেখ তোমাদের পুর্ববর্তীদের পরিণাম কি হয়েছে। তাদের অধিকাংশই ছিল মুশরিক।",
              "numberInSurah": 42,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "কুল ছীরূফিল আরদিফানজুরূ কাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলু কানা আকছারুহুম মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//سِیْرُوْا/سِيرُواْ/siru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَانْظُرُوْا/فَٱنظُرُواْ/fa-unzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//كَانَ/كَانَ/kana//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//مُّشْرِكِیْنَ /مُّشۡرِكِينَ/mush'rikina",
              "words_bangla": "বলো( হে নাবী )//\"তোমরা ভ্রমণ করো//মধ্যে//পৃথিবীর//অতঃপর লক্ষ্য করো//কেমন//ছিলো//( তাদের ) পরিণাম//যারা//থেকে//পূর্ব ( ছিলো )//ছিলো//অধিকাংশ তাদের//মুশরেক\""
            },
            {
              "number": 3452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3452.mp3"
              ],
              "text": "فَأَقِمْ وَجْهَكَ لِلدِّينِ ٱلْقَيِّمِ مِن قَبْلِ أَن يَأْتِىَ يَوْمٌۭ لَّا مَرَدَّ لَهُۥ مِنَ ٱللَّهِ ۖ يَوْمَئِذٍۢ يَصَّدَّعُونَ",
              "translate_bn": "যে দিবস আল্লাহর পক্ষ থেকে প্রত্যাহূত হবার নয়, সেই দিবসের পূর্বে আপনি সরল ধর্মে নিজেকে প্রতিষ্ঠিত করুন। সেদিন মানুষ বিভক্ত হয়ে পড়বে।",
              "numberInSurah": 43,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ফাআকিম ওয়াজহাকা লিদ্দীনিল কাইয়িমি মিন কাবলি আইঁ ইয়া’তিয়া ইয়াওমুল লা-মারাদ্দা লাহূমিনাল্লা-হি ইয়াওমাইযিইঁ ইয়াসসাদ্দা‘ঊন।",
              "words_arabic": "فَاَقِمْ/فَأَقِمۡ/fa-aqim//وَجْهَكَ/وَجۡهَكَ/wajhaka//لِلدِّیْنِ/لِلدِّينِ/lilddini//الْقَیِّمِ/ٱلۡقَيِّمِ/al-qayimi//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//یَوْمٌ/يَوۡمٞ/yawmun//لَّا/لَّا/la//مَرَدَّ/مَرَدَّ/maradda//لَهٗ/لَهُۥ/lahu//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِۖ/al-lahi//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّصَّدَّعُوْنَ /يَصَّدَّعُونَ/yassadda'una",
              "words_bangla": "অতএব ( হে নাবী ) প্রতিষ্ঠিত করো//তোমার চেহারা (তোমার লক্ষ্য)//প্রতি দ্বীনের//(যা) সঠিক//থেকেই//পূর্ব//যে//আসবে//একদিন//নয়//টলে যাওয়ার//তা//পক্ষ থেকে//আল্লাহর//সেদিন//তারা বিভক্ত হয়ে পড়বে"
            },
            {
              "number": 3453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3453.mp3"
              ],
              "text": "مَن كَفَرَ فَعَلَيْهِ كُفْرُهُۥ ۖ وَمَنْ عَمِلَ صَٰلِحًۭا فَلِأَنفُسِهِمْ يَمْهَدُونَ",
              "translate_bn": "যে কুফরী করে, তার কফুরের জন্যে সে-ই দায়ী এবং যে সৎকর্ম করে, তারা নিজেদের পথই শুধরে নিচ্ছে।",
              "numberInSurah": 44,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "মান কাফারা ফা‘আলাইহি কুফরুহু ওয়া মান ‘আমিলা সা-লিহান ফালিআনফুছিহিম ইয়ামহাদূ ন।",
              "words_arabic": "مَنْ/مَن/man//كَفَرَ/كَفَرَ/kafara//فَعَلَیْهِ/فَعَلَيۡهِ/fa'alayhi//كُفْرُهٗ ۚ/كُفۡرُهُۥۖ/kuf'ruhu//وَ مَنْ/وَمَنۡ/waman//عَمِلَ/عَمِلَ/amila//صَالِحًا/صَٰلِحٗا/salihan//فَلِاَنْفُسِهِمْ/فَلِأَنفُسِهِمۡ/fali-anfusihim//یَمْهَدُوْنَۙ/يَمۡهَدُونَ/yamhaduna",
              "words_bangla": "যে//অস্বীকার করবে//তবে (পড়বে)উপর তার//তার অস্বীকৃতির ( কুফল )//এবং যারা//কাজ করবে//সৎ//তবে জন্যে নিজেদের তাদের//তারা সুখশয্যা তৈরী করে"
            },
            {
              "number": 3454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3454.mp3"
              ],
              "text": "لِيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ مِن فَضْلِهِۦٓ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْكَٰفِرِينَ",
              "translate_bn": "যারা বিশ্বাস করেছে ও সৎকর্ম করেছে যাতে, আল্লাহ তা’আলা তাদেরকে নিজ অনুগ্রহে প্রতিদান দেন। নিশ্চয় তিনি কাফেরদের ভালবাসেন না।",
              "numberInSurah": 45,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "লিয়াজঝিইয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি মিন ফাদলিহী ইন্নাহূলাইউহিব্বুল কা-ফিরীন।",
              "words_arabic": "لِیَجْزِیَ/لِيَجۡزِيَ/liyajziya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصَّلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//مِنْ/مِن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦٓۚ/fadlihi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "যেন তিনি পুরস্কার দেন//(তাদেরকে)যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//কারণে//অনুগ্রহের তাঁর//নিশ্চয়ই তিনি//না//ভালবাসেন//কাফিরদেরকে"
            },
            {
              "number": 3455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3455.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦٓ أَن يُرْسِلَ ٱلرِّيَاحَ مُبَشِّرَٰتٍۢ وَلِيُذِيقَكُم مِّن رَّحْمَتِهِۦ وَلِتَجْرِىَ ٱلْفُلْكُ بِأَمْرِهِۦ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তাঁর নিদর্শনসমূহের মধ্যে একটি এই যে, তিনি সুসংবাদবাহী বায়ু প্রেরণ করেন, যাতে তিনি তাঁর অনুগ্রহ তোমাদের আস্বাদন করান এবং যাতে তাঁর নির্দেশে জাহাজসমূহ বিচরণ করে এবং যাতে তোমরা তাঁর অনুগ্রহ তালাশ কর এবং তাঁর প্রতি কৃতজ্ঞ হও।",
              "numberInSurah": 46,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহীআইঁ ইউরছিলার রিয়া-হামুবাশশিরা-তিওঁ ওয়া লিইউযীকাকুম মিররাহমাতিহী ওয়া লিতাজরিয়াল ফুলকুবিআমরিহী ওয়া লিতাবতাগূমিন ফাদলিহী ওয়া লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖۤ/ءَايَٰتِهِۦٓ/ayatihi//اَنْ/أَن/an//یُّرْسِلَ/يُرۡسِلَ/yur'sila//الرِّیَاحَ/ٱلرِّيَاحَ/al-riyaha//مُبَشِّرٰتٍ/مُبَشِّرَٰتٖ/mubashiratin//وَّ لِیُذِیْقَكُمْ/وَلِيُذِيقَكُم/waliyudhiqakum//مِّنْ/مِّن/min//رَّحْمَتِهٖ/رَّحۡمَتِهِۦ/rahmatihi//وَ لِتَجْرِیَ/وَلِتَجۡرِيَ/walitajriya//الْفُلْكُ/ٱلۡفُلۡكُ/al-ful'ku//بِاَمْرِهٖ/بِأَمۡرِهِۦ/bi-amrihi//وَ لِتَبْتَغُوْا/وَلِتَبۡتَغُواْ/walitabtaghu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং হ'তে//নিদর্শনাবলী তাঁর//( এও ) যে//তিনি পাঠান//বাতাস//সুসংবাদ বাহক হিসাবে//এবং যাতে তিনি আস্বাদন করাতে পারেন তোমাদেরকে//মাধ্যমে//দয়ার তাঁর//ও যেন চলে//নৌযান//অনুসারে আদেশ তাঁর//ও যেন তোমরা সন্ধান করো//হ'তে//অনুগ্রহ তাঁর//এবং যাতে  তোমরা//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 3456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3456.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مِن قَبْلِكَ رُسُلًا إِلَىٰ قَوْمِهِمْ فَجَآءُوهُم بِٱلْبَيِّنَٰتِ فَٱنتَقَمْنَا مِنَ ٱلَّذِينَ أَجْرَمُوا۟ ۖ وَكَانَ حَقًّا عَلَيْنَا نَصْرُ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আপনার পূর্বে আমি রসূলগণকে তাঁদের নিজ নিজ সম্প্রদায়ের কাছে প্রেরণ করেছি। তাঁরা তাদের কাছে সুস্পষ্ট নিদর্শনাবলী নিয়ে আগমন করেন। অতঃপর যারা পাপী ছিল, তাদের আমি শাস্তি দিয়েছি। মুমিনদের সাহায্য করা আমার দায়িত্ব।",
              "numberInSurah": 47,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-মিন কাবলিকা রুছুলান ইলা-কাওমিহিম ফাজাঊহুম বিল বাইয়িনাতি ফানতাকামনা-মিনাল্লাযীনা আজরামূ ওয়া কা-না হাক্কান ‘আলাইনা-নাসরুল মু’মিনীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//رُسُلًا/رُسُلًا/rusulan//اِلٰى/إِلَىٰ/ila//قَوْمِهِمْ/قَوۡمِهِمۡ/qawmihim//فَجَآءُوْهُمْ/فَجَآءُوهُم/fajauhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَانْتَقَمْنَا/فَٱنتَقَمۡنَا/fa-intaqamna//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَجْرَمُوْا ؕ/أَجۡرَمُواْۖ/ajramu//وَ كَانَ/وَكَانَ/wakana//حَقًّا/حَقًّا/haqqan//عَلَیْنَا/عَلَيۡنَا/alayna//نَصْرُ/نَصۡرُ/nasru//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং নিশ্চয়ই//পাঠিয়েছি আমরা//থেকে//তোমার পূর্ব//রাসূলদেরকে//প্রতি//জাতির তাদের//অতঃপর তারা এসেছিলো তাদের কাছে//নিয়ে সুস্পষ্ট নিদর্শনসমূহ//অতঃপর প্রতিশোধ নিয়েছি আমরা//হ'তে//(তাদের) যারা//অপরাধ করেছিলো//এবং (এটা) হলো//দায়িত্ব//উপর আমাদের//সাহায্য করা//মু'মিনদেরকে"
            },
            {
              "number": 3457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3457.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى يُرْسِلُ ٱلرِّيَٰحَ فَتُثِيرُ سَحَابًۭا فَيَبْسُطُهُۥ فِى ٱلسَّمَآءِ كَيْفَ يَشَآءُ وَيَجْعَلُهُۥ كِسَفًۭا فَتَرَى ٱلْوَدْقَ يَخْرُجُ مِنْ خِلَٰلِهِۦ ۖ فَإِذَآ أَصَابَ بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦٓ إِذَا هُمْ يَسْتَبْشِرُونَ",
              "translate_bn": "তিনি আল্লাহ, যিনি বায়ু প্রেরণ করেন, অতঃপর তা মেঘমালাকে সঞ্চারিত করে। অতঃপর তিনি মেঘমালাকে যেভাবে ইচ্ছা আকাশে ছড়িয়ে দেন এবং তাকে স্তরে স্তরে রাখেন। এরপর তুমি দেখতে পাও তার মধ্য থেকে নির্গত হয় বৃষ্টিধারা। তিনি তাঁর বান্দাদের মধ্যে যাদেরকে ইচ্ছা পৌঁছান; তখন তারা আনন্দিত হয়।",
              "numberInSurah": 48,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী ইউরছিলুর রিয়া-হা ফাতুছীরু ছাহা-বান ফাইয়াবছুতু হূফিছ ছামাই কাইফা ইয়াশা-উ ওয়া ইয়াজ‘আলুহূকিছাফান ফাতারাল ওয়াদকা ইয়াখরুজুমিন খিলা-লিহী ফাইযা আসা-বা বিহী মাইঁ ইয়াশা-উ মিন ‘ইবা-দিহী ইযা-হুম ইয়াছতাবশিরূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//یُرْسِلُ/يُرۡسِلُ/yur'silu//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//فَتُثِیْرُ/فَتُثِيرُ/fatuthiru//سَحَابًا/سَحَابٗا/sahaban//فَیَبْسُطُهٗ/فَيَبۡسُطُهُۥ/fayabsutuhu//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//كَیْفَ/كَيۡفَ/kayfa//یَشَآءُ/يَشَآءُ/yashau//وَ یَجْعَلُهٗ/وَيَجۡعَلُهُۥ/wayaj'aluhu//كِسَفًا/كِسَفٗا/kisafan//فَتَرَی/فَتَرَى/fatara//الْوَدْقَ/ٱلۡوَدۡقَ/al-wadqa//یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْ/مِنۡ/min//خِلٰلِهٖ ۚ/خِلَٰلِهِۦۖ/khilalihi//فَاِذَاۤ/فَإِذَآ/fa-idha//اَصَابَ/أَصَابَ/asaba//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖۤ/عِبَادِهِۦٓ/ibadihi//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَسْتَبْشِرُوْنَۚ/يَسۡتَبۡشِرُونَ/yastabshiruna",
              "words_bangla": "আল্লাহ (তিনিই)//যিনি//পাঠান//বাতাস//ফলে তা সঞ্চালিত করে//মেঘমালাকে//অতঃপর তিনি ছড়িয়ে দেন তা//মধ্যে//আকাশের//যেমন//তিনি চান//এবং করেন তা//খণ্ড-বিখন্ড//অতঃপর তুমি দেখতে পাও//বৃষ্টির ফোঁটা//তা বের হয়//হ'তে//ভিতর তার//অতঃপর যখন//পৌঁছে দেন//সহ তা//যাকে//তিনি চান//মধ্যে হ'তে//দাসদের তাঁর//তখন//তারা//আনন্দিত হয়ে যায়"
            },
            {
              "number": 3458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3458.mp3"
              ],
              "text": "وَإِن كَانُوا۟ مِن قَبْلِ أَن يُنَزَّلَ عَلَيْهِم مِّن قَبْلِهِۦ لَمُبْلِسِينَ",
              "translate_bn": "তারা প্রথম থেকেই তাদের প্রতি এই বৃষ্টি বর্ষিত হওয়ার পূর্বে নিরাশ ছিল।",
              "numberInSurah": 49,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-নূমিন কাবলি আইঁ ইউনাঝঝালা ‘আলাইহিম মিন কাবলিহী লামুবলিছীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانُوْا/كَانُواْ/kanu//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یُّنَزَّلَ/يُنَزَّلَ/yunazzala//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//لَمُبْلِسِیْنَ /لَمُبۡلِسِينَ/lamub'lisina",
              "words_bangla": "এবং যদিও//তারা ছিলো//থেকে//পূর্ব//যে//( বৃষ্টি )বর্ষণ করা হবে//উপর তাদের//থেকেই//পূর্ব এর//অবশ্যই নিরাশ"
            },
            {
              "number": 3459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3459.mp3"
              ],
              "text": "فَٱنظُرْ إِلَىٰٓ ءَاثَٰرِ رَحْمَتِ ٱللَّهِ كَيْفَ يُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ ذَٰلِكَ لَمُحْىِ ٱلْمَوْتَىٰ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "অতএব, আল্লাহর রহমতের ফল দেখে নাও, কিভাবে তিনি মৃত্তিকার মৃত্যুর পর তাকে জীবিত করেন। নিশ্চয় তিনি মৃতদেরকে জীবিত করবেন এবং তিনি সব কিছুর উপর সর্বশক্তিমান।",
              "numberInSurah": 50,
              "juz": 21,
              "manzil": 5,
              "page": 409,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ফানজু র ইলা আ-ছা-রি রাহমাতিল্লা-হি কাইফা ইউহয়িল আরদা বা‘দা মাওতিহা- ইন্না যা-লিকা লামুহয়িল মাওতা- ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "فَانْظُرْ/فَٱنظُرۡ/fa-unzur//اِلٰۤی/إِلَىٰٓ/ila//اٰثٰرِ/ءَاثَٰرِ/athari//رَحْمَتِ/رَحۡمَتِ/rahmati//اللّٰهِ/ٱللَّهِ/al-lahi//كَیْفَ/كَيۡفَ/kayfa//یُحْیِ/يُحۡيِ/yuh'yi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَآۚ/mawtiha//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//لَمُحْیِ/لَمُحۡيِ/lamuh'yi//الْمَوْتٰى ۚ/ٱلۡمَوۡتَىٰۖ/al-mawta//وَ هُوَ/وَهُوَ/wahuwa//عَلٰى/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "অতঃপর লক্ষ্য করো//প্রতি//প্রভাবের//অনুগ্রহের//আল্লাহর//কিভাবে//জীবিত করেন//জমিনকে//পর//মৃত্যুর তার//নিশ্চয়ই//এভাবে//অবশ্যই তিনি জীবন্তকারী//মৃতদেরকে//এবং তিনিই//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 3460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3460.mp3"
              ],
              "text": "وَلَئِنْ أَرْسَلْنَا رِيحًۭا فَرَأَوْهُ مُصْفَرًّۭا لَّظَلُّوا۟ مِنۢ بَعْدِهِۦ يَكْفُرُونَ",
              "translate_bn": "আমি যদি এমন বায়ু প্রেরণ করি যার ফলে তারা শস্যকে হলদে হয়ে যেতে দেখে, তখন তো তারা অবশ্যই অকৃতজ্ঞ হয়ে যায়।",
              "numberInSurah": 51,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন আরছালনা-রীহান ফারাআওহু মুসফাররাল লাজাললূমিম বা‘দিহী ইয়াকফুরূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//رِیْحًا/رِيحٗا/rihan//فَرَاَوْهُ/فَرَأَوۡهُ/fara-awhu//مُصْفَرًّا/مُصۡفَرّٗا/mus'farran//لَّظَلُّوْا/لَّظَلُّواْ/lazallu//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//یَكْفُرُوْنَ /يَكۡفُرُونَ/yakfuruna",
              "words_bangla": "এবং অবশ্যই যদি//আমরা পাঠাই//(এমন)বাতাস//ফলে তারা দেখে তা//হলুদ রঙ//অবশ্যই লেগে থাকে তবুও//থেকে//পর তার//অকৃতজ্ঞতা করতে"
            },
            {
              "number": 3461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3461.mp3"
              ],
              "text": "فَإِنَّكَ لَا تُسْمِعُ ٱلْمَوْتَىٰ وَلَا تُسْمِعُ ٱلصُّمَّ ٱلدُّعَآءَ إِذَا وَلَّوْا۟ مُدْبِرِينَ",
              "translate_bn": "অতএব, আপনি মৃতদেরকে শোনাতে পারবেন না এবং বধিরকেও আহবান শোনাতে পারবেন না, যখন তারা পৃষ্ঠ প্রদর্শন করে।",
              "numberInSurah": 52,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাকা লা-তুছমি‘উল মাওতা-ওয়ালা-তুছমি‘উস সুম্মাদ দু‘আআ ইযা-ওয়াল্লাও মুদবিরীন।\r\n",
              "words_arabic": "فَاِنَّكَ/فَإِنَّكَ/fa-innaka//لَا/لَا/la//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الْمَوْتٰى/ٱلۡمَوۡتَىٰ/al-mawta//وَ لَا/وَلَا/wala//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الصُّمَّ/ٱلصُّمَّ/al-suma//الدُّعَآءَ/ٱلدُّعَآءَ/al-du'aa//اِذَا/إِذَا/idha//وَلَّوْا/وَلَّوۡاْ/wallaw//مُدْبِرِیْنَ /مُدۡبِرِينَ/mud'birina",
              "words_bangla": "তাই নিশ্চয়ই তুমি//না//শুনাতে পারো//মৃতদেরকে//আর না//শুনাতে পারো//বধিরকেও//আহবান//যখন//তারা ফিরায়//পিঠসমূহ"
            },
            {
              "number": 3462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3462.mp3"
              ],
              "text": "وَمَآ أَنتَ بِهَٰدِ ٱلْعُمْىِ عَن ضَلَٰلَتِهِمْ ۖ إِن تُسْمِعُ إِلَّا مَن يُؤْمِنُ بِـَٔايَٰتِنَا فَهُم مُّسْلِمُونَ",
              "translate_bn": "আপনি অন্ধদেরও তাদের পথভ্রষ্টতা থেকে পথ দেখাতে পারবেন না। আপনি কেবল তাদেরই শোনাতে পারবেন, যারা আমার আয়াতসমূহে বিশ্বাস করে। কারন তারা মুসলমান।",
              "numberInSurah": 53,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 353,
              "hizbQuarter": 163,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাআনতা বিহা-দিল ‘উময়ি ‘আন দালা-লাতিহিম ইন তুছমি‘উ ইল্লা-মাইঁ ইউ’মিনু বিআ-য়া-তিনা-ফাহুম মুছলিমূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//بِهٰدِ/بِهَٰدِ/bihadi//الْعُمْیِ/ٱلۡعُمۡيِ/al-'um'yi//عَنْ/عَن/an//ضَلٰلَتِهِمْ ؕ/ضَلَٰلَتِهِمۡۖ/dalalatihim//اِنْ/إِن/in//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//فَهُمْ/فَهُم/fahum//مُّسْلِمُوْنَ۠/مُّسۡلِمُونَ/mus'limuna",
              "words_bangla": "এবং না//তুমি//পথপ্রদর্শক//অন্ধলোকদের//হ'তে//পথভ্রষ্টতা তাদের//না//তুমি শুনাতে পারো//ছাড়া//(তাকে) যে//ঈমান আনে//প্রতি আমাদের নিদর্শনসমূহের//কারণ তারা//আত্নসমর্পনকারী (মুসলমান)"
            },
            {
              "number": 3463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3463.mp3"
              ],
              "text": "۞ ٱللَّهُ ٱلَّذِى خَلَقَكُم مِّن ضَعْفٍۢ ثُمَّ جَعَلَ مِنۢ بَعْدِ ضَعْفٍۢ قُوَّةًۭ ثُمَّ جَعَلَ مِنۢ بَعْدِ قُوَّةٍۢ ضَعْفًۭا وَشَيْبَةًۭ ۚ يَخْلُقُ مَا يَشَآءُ ۖ وَهُوَ ٱلْعَلِيمُ ٱلْقَدِيرُ",
              "translate_bn": "আল্লাহ তিনি দূর্বল অবস্থায় তোমাদের সৃষ্টি করেন অতঃপর দূর্বলতার পর শক্তিদান করেন, অতঃপর শক্তির পর দেন দুর্বলতা ও বার্ধক্য। তিনি যা ইচ্ছা সৃষ্টি করেন এবং তিনি সর্বজ্ঞ, সর্বশক্তিমান।",
              "numberInSurah": 54,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী খালাকাকুম মিন দু‘ফিন ছু ম্মা জা‘আলা মিম বা‘দি দু‘ফিন কু ওওয়াতান ছু ম্মা জা‘আলা মিম বা‘দি কুওওয়াতিন দু‘ফাওঁ ওয়া শাইবাতাইঁ ইয়াখলুকুমা-ইয়াশাউ ওয়া হুওয়াল ‘আলীমুল কাদীর।",
              "words_arabic": "اَللّٰهُ/۞ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//ضُؔعْفٍ/ضَعۡفٖ/da'fin//ثُمَّ/ثُمَّ/thumma//جَعَلَ/جَعَلَ/ja'ala//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ضُؔعْفٍ/ضَعۡفٖ/da'fin//قُوَّةً/قُوَّةٗ/quwwatan//ثُمَّ/ثُمَّ/thumma//جَعَلَ/جَعَلَ/ja'ala//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//قُوَّةٍ/قُوَّةٖ/quwwatin//ضُؔعْفًا/ضَعۡفٗا/da'fan//وَّ شَیْبَةً ؕ/وَشَيۡبَةٗۚ/washaybatan//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ ۚ/يَشَآءُۚ/yashau//وَ هُوَ/وَهُوَ/wahuwa//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْقَدِیْرُ /ٱلۡقَدِيرُ/al-qadiru",
              "words_bangla": "( তিনিই ) আল্লাহ//যিনি//সৃষ্টি করেছেন তোমাদের//হ'তে//দুর্বল অবস্থা//এরপর//দান করেছেন//থেকে//পর//দুর্বল অবস্থার//শক্তি//এরপর//করে দিয়েছেন//থেকে//পর//শক্তির//দুর্বল//ও বৃদ্ধ//তিনি সৃষ্টি করেন//যা//তিনি চান//এবং তিনি//সর্বজ্ঞ//সর্বশক্তিমান"
            },
            {
              "number": 3464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3464.mp3"
              ],
              "text": "وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يُقْسِمُ ٱلْمُجْرِمُونَ مَا لَبِثُوا۟ غَيْرَ سَاعَةٍۢ ۚ كَذَٰلِكَ كَانُوا۟ يُؤْفَكُونَ",
              "translate_bn": "যেদিন কেয়ামত সংঘটিত হবে, সেদিন অপরাধীরা কসম খেয়ে বলবে যে, এক মুহুর্তেরও বেশী অবস্থান করিনি। এমনিভাবে তারা সত্যবিমুখ হত।",
              "numberInSurah": 55,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা তাকূমুছ ছা-‘আতুইউকছিমুল মুজরিমূনা মা-লাবিছূগাইরা ছা‘আতিন কাযা-লিকা কা-নূইউ’ফাকূন।\r\n",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//تَقُوْمُ/تَقُومُ/taqumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//یُقْسِمُ/يُقۡسِمُ/yuq'simu//الْمُجْرِمُوْنَ ۙ۬/ٱلۡمُجۡرِمُونَ/al-muj'rimuna//مَا/مَا/ma//لَبِثُوْا/لَبِثُواْ/labithu//غَیْرَ/غَيۡرَ/ghayra//سَاعَةٍ ؕ/سَاعَةٖۚ/sa'atin//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//كَانُوْا/كَانُواْ/kanu//یُؤْفَكُوْنَ /يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "এবং যেদিন//সংঘটিত হবে//ক্বিয়ামাত//শপথ করে বলবে//অপরাধীরা//না//তারা অবস্থান করেছে//ছাড়া//মুহূর্তকাল//এরূপেই//তারা ছিলো//তাদেরকে পথভ্রষ্ট করা হবে"
            },
            {
              "number": 3465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3465.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ وَٱلْإِيمَٰنَ لَقَدْ لَبِثْتُمْ فِى كِتَٰبِ ٱللَّهِ إِلَىٰ يَوْمِ ٱلْبَعْثِ ۖ فَهَٰذَا يَوْمُ ٱلْبَعْثِ وَلَٰكِنَّكُمْ كُنتُمْ لَا تَعْلَمُونَ",
              "translate_bn": "যাদের জ্ঞান ও ঈমান দেয়া হয়েছে, তারা বলবে আমরা আল্লাহর কিতাব মতে পুনরুত্থান দিবস পর্যন্ত অবস্থান করেছি। এটাই পুনরুত্থান দিবস, কিন্তু তোমরা তা জানতে না।",
              "numberInSurah": 56,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা ঊতুল ‘ইলমা ওয়াল ঈমা-না লাকাদ লাবিছতুম ফী কিতা-বিল্লা-হি ইলা-ইয়াওমিল বা‘ছি ফাহা-যা-ইয়াওমুল বা‘ছিওয়ালা-কিন্নাকুম কনতুম লা-তা‘লামূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//وَ الْاِیْمَانَ/وَٱلۡإِيمَٰنَ/wal-imana//لَقَدْ/لَقَدۡ/laqad//لَبِثْتُمْ/لَبِثۡتُمۡ/labith'tum//فِیْ/فِي/fi//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰى/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْبَعْثِ ؗ/ٱلۡبَعۡثِۖ/al-ba'thi//فَهٰذَا/فَهَٰذَا/fahadha//یَوْمُ/يَوۡمُ/yawmu//الْبَعْثِ/ٱلۡبَعۡثِ/al-ba'thi//وَ لٰكِنَّكُمْ/وَلَٰكِنَّكُمۡ/walakinnakum//كُنْتُمْ/كُنتُمۡ/kuntum//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এবং বলবে//যাদের (তারা)//দেয়া হয়েছিলো//জ্ঞান//ও ঈমান//\"নিশ্চয়ই//অবস্থান করেছিলে তোমরা//অনুসারে//লিখন (বিধান)//আল্লাহর//পর্যন্ত//দিবস//উত্থানের//অতএব এটাই//দিবস//উত্থানের//কিন্তু তোমরা//তোমরা ছিলে (এমন)//না//তোমরা জানতে"
            },
            {
              "number": 3466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3466.mp3"
              ],
              "text": "فَيَوْمَئِذٍۢ لَّا يَنفَعُ ٱلَّذِينَ ظَلَمُوا۟ مَعْذِرَتُهُمْ وَلَا هُمْ يُسْتَعْتَبُونَ",
              "translate_bn": "সেদিন জালেমদের ওযর-আপত্তি তাদের কোন উপকারে আসবে না এবং তওবা করে আল্লাহর সন্তুষ্টি লাভের সুযোগও তাদের দেয়া হবে না।",
              "numberInSurah": 57,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াওমাইযিল লা-ইয়ানফা‘উল্লাযীনা জালামূমা‘যিরাতুহুম ওয়ালা-হুম ইউছতা‘তাবূন।",
              "words_arabic": "فَیَوْمَىِٕذٍ/فَيَوۡمَئِذٖ/fayawma-idhin//لَّا/لَّا/la//یَنْفَعُ/يَنفَعُ/yanfa'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مَعْذِرَتُهُمْ/مَعۡذِرَتُهُمۡ/ma'dhiratuhum//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُسْتَعْتَبُوْنَ /يُسۡتَعۡتَبُونَ/yus'ta'tabuna",
              "words_bangla": "অতএব সেদিন//না//উপকারে আসবে//( তাদেরকে ) যারা//সীমালঙ্ঘন করেছে//অজুহাত তাদের//আর না//তাদের//তাদেরকে তওবা করে আল্লাহ তা'লাকে খুশি করার সুযোগও দেয়া হবে"
            },
            {
              "number": 3467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3467.mp3"
              ],
              "text": "وَلَقَدْ ضَرَبْنَا لِلنَّاسِ فِى هَٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍۢ ۚ وَلَئِن جِئْتَهُم بِـَٔايَةٍۢ لَّيَقُولَنَّ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ أَنتُمْ إِلَّا مُبْطِلُونَ",
              "translate_bn": "আমি এই কোরআনে মানুষের জন্য সর্বপ্রকার দৃষ্টান্ত বর্ণনা করেছি। আপনি যদি তাদের কাছে কোন নিদর্শন উপস্থিত করেন, তবে কাফেররা অবশ্যই বলবে, তোমরা সবাই মিথ্যাপন্থী।",
              "numberInSurah": 58,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ দারাবনা-লিন্না-ছি ফী হা-যাল কুরআ-নি মিন কুল্লি মাছালিওঁ ওয়া লাইন জি’তাহুম বিআ-ইয়াতিল লাইয়াকূলান্নাল্লাযীনা কাফারূইন আনতুম ইল্লা-মুবতিলূন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//ضَرَبْنَا/ضَرَبۡنَا/darabna//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَثَلٍ ؕ/مَثَلٖۚ/mathalin//وَ لَىِٕنْ/وَلَئِن/wala-in//جِئْتَهُمْ/جِئۡتَهُم/ji'tahum//بِاٰیَةٍ/بِـَٔايَةٖ/biayatin//لَّیَقُوْلَنَّ/لَّيَقُولَنَّ/layaqulanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//مُبْطِلُوْنَ /مُبۡطِلُونَ/mub'tiluna",
              "words_bangla": "এবং নিশ্চয়ই//পেশ করেছি আমরা//জন্যে মানুষের//মধ্যে//এই//কুরআনের//প্রকার//প্রত্যেক//দৃষ্টান্ত//এবং অবশ্যই যদি//তুমি আসো নিকট তাদের//নিয়ে (যে)নিদর্শন//অবশ্যই তারা বলবেই//যারা//অস্বীকার করেছে//\"না//তোমরা//এ ছাড়া//মিথ্যাশ্রয়ী (বাতিলপন্থী)\""
            },
            {
              "number": 3468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3468.mp3"
              ],
              "text": "كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ قُلُوبِ ٱلَّذِينَ لَا يَعْلَمُونَ",
              "translate_bn": "এমনিভাবে আল্লাহ জ্ঞানহীনদের হৃদয় মোহরাঙ্কিত করে দেন।",
              "numberInSurah": 59,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ইয়াতবা‘উল্লা-হু ‘আলা-কুলূবিল্লাযীনা লা-ইয়া‘লামূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَطْبَعُ/يَطۡبَعُ/yatba'u//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰى/عَلَىٰ/ala//قُلُوْبِ/قُلُوبِ/qulubi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এরূপে//সীল মেরে দিয়েছেন (মোহর করে দিয়েছেন)//আল্লাহ//উপর//অন্তরসমূহের//(তাদের) যারা//না//তারা জানে"
            },
            {
              "number": 3469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3469.mp3"
              ],
              "text": "فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ ۖ وَلَا يَسْتَخِفَّنَّكَ ٱلَّذِينَ لَا يُوقِنُونَ",
              "translate_bn": "অতএব, আপনি সবর করুন। আল্লাহর ওয়াদা সত্য। যারা বিশ্বাসী নয়, তারা যেন আপনাকে বিচলিত করতে না পারে।",
              "numberInSurah": 60,
              "juz": 21,
              "manzil": 5,
              "page": 410,
              "ruku": 354,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ফাসবির ইন্না ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়ালা-ইয়াছতাখিফফান্নাকাল্লাযীনা লা-ইঊকিনূন।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞۖ/haqqun//وَّ لَا/وَلَا/wala//یَسْتَخِفَّنَّكَ/يَسۡتَخِفَّنَّكَ/yastakhiffannaka//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُوْقِنُوْنَ۠/يُوقِنُونَ/yuqinuna",
              "words_bangla": "অতএব ধৈর্য ধরো//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//এবং না//তোমাকে হালকা পায় (বিচলিত করে)//(তারা)যারা//না//দৃঢ় বিশ্বাস করে"
            }
          ]
        },
        {
          "number": 31,
          "name": "سُورَةُ لُقۡمَانَ",
          "englishName": "Luqman",
          "englishNameTranslation": "Luqman",
          "revelationType": "Meccan",
          "verse": 34,
          "words": 1038,
          "chars": 4415,
          "ayahs": [
            {
              "number": 3470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3470.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ-লাম-মীম।",
              "numberInSurah": 1,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম।",
              "words_arabic": "الٓمّٓۚ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ লাম - মীম-"
            },
            {
              "number": 3471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3471.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱلْكِتَٰبِ ٱلْحَكِيمِ",
              "translate_bn": "এগুলো প্রজ্ঞাময় কিতাবের আয়াত।",
              "numberInSurah": 2,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-ইয়া-তুল কিতা-বিল হাকীম।\r\n",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//الْحَكِیْمِۙ/ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "এই//আয়াতগুলো//কিতাবের//(যা) জ্ঞানময়"
            },
            {
              "number": 3472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3472.mp3"
              ],
              "text": "هُدًۭى وَرَحْمَةًۭ لِّلْمُحْسِنِينَ",
              "translate_bn": "হেদায়েত ও রহমত সৎকর্মপরায়ণদের জন্য।",
              "numberInSurah": 3,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "হুদাওঁ ওয়া রাহমাতাল লিলমুহছিনীন।",
              "words_arabic": "هُدًی/هُدٗى/hudan//وَّ رَحْمَةً/وَرَحۡمَةٗ/warahmatan//لِّلْمُحْسِنِیْنَۙ/لِّلۡمُحۡسِنِينَ/lil'muh'sinina",
              "words_bangla": "পথ নির্দেশনা//ও দয়াস্বরূপ//জন্যে সৎকর্মশীলদের"
            },
            {
              "number": 3473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3473.mp3"
              ],
              "text": "ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْءَاخِرَةِ هُمْ يُوقِنُونَ",
              "translate_bn": "যারা সালাত কায়েম করে, যাকাত দেয় এবং আখেরাত সম্পর্কে দৃঢ় বিশ্বাস রাখে।",
              "numberInSurah": 4,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউকীমূনাসসালা-তা ওয়া ইউ’তূনাঝঝাকা-তা ওয়া হুম বিলআ-খিরাতি হুম ইঊকিনূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقِیْمُوْنَ/يُقِيمُونَ/yuqimuna//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُؤْتُوْنَ/وَيُؤۡتُونَ/wayu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//هُمْ/هُمۡ/hum//یُوْقِنُوْنَؕ/يُوقِنُونَ/yuqinuna",
              "words_bangla": "যারা//তারা প্রতিষ্ঠা করে//সালাত//ও তারা দেয়//যাকাত//এবং তারা//উপর আখিরাতের//তারাই//দৃঢ় বিশ্বাস করে"
            },
            {
              "number": 3474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3474.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ عَلَىٰ هُدًۭى مِّن رَّبِّهِمْ ۖ وَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "এসব লোকই তাদের পরওয়ারদেগারের তরফ থেকে আগত হেদায়েতের উপর প্রতিষ্ঠিত এবং এরাই সফলকাম।",
              "numberInSurah": 5,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ‘আলা-হুদাম মিররাব্বিহিম ওয়া উলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//عَلٰی/عَلَىٰ/ala//هُدًی/هُدٗى/hudan//مِّنْ/مِّن/min//رَّبِّهِمْ/رَّبِّهِمۡۖ/rabbihim//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "ঐসব (লোকই)//উপর (প্রতিষ্ঠিত)//পথনির্দেশের//পক্ষ থেকে//রবের তাদের//এবং ঐসব (লোক)//তারাই//সফলকাম"
            },
            {
              "number": 3475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3475.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ مَن يَشْتَرِى لَهْوَ ٱلْحَدِيثِ لِيُضِلَّ عَن سَبِيلِ ٱللَّهِ بِغَيْرِ عِلْمٍۢ وَيَتَّخِذَهَا هُزُوًا ۚ أُو۟لَٰٓئِكَ لَهُمْ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "একশ্রেণীর লোক আছে যারা মানুষকে আল্লাহর পথ থেকে গোমরাহ করার উদ্দেশে অবান্তর কথাবার্তা সংগ্রহ করে অন্ধভাবে এবং উহাকে নিয়ে ঠাট্টা-বিদ্রূপ করে। এদের জন্য রয়েছে অবমাননাকর শাস্তি।",
              "numberInSurah": 6,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি মাইঁ ইয়াশতারী লাহওয়াল হাদীছিলিইউদিল্লা ‘আন ছাবীলিল্লা-হি বিগাইরি ‘ইলমিওঁ ওয়া ইয়াত্তাখিযাহা-হুঝুওয়ান উলাইকা লাহুম ‘আযা-বুম মুহীন।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یَّشْتَرِیْ/يَشۡتَرِي/yashtari//لَهْوَ/لَهۡوَ/lahwa//الْحَدِیْثِ/ٱلۡحَدِيثِ/al-hadithi//لِیُضِلَّ/لِيُضِلَّ/liyudilla//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ۖۗ/عِلۡمٖ/il'min//وَّ یَتَّخِذَهَا/وَيَتَّخِذَهَا/wayattakhidhaha//هُزُوًا ؕ/هُزُوًاۚ/huzuwan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ /مُّهِينٞ/muhinun",
              "words_bangla": "এবং মধ্য থেকে//মানুষের (এমনও আছে)//যে//কোনো//অসার//কথা//যেন সে বিভ্রান্ত করতে পারে//থেকে//পথ//আল্লাহর//ছাড়া//কোনো জ্ঞান//এবং গ্রহণ করে তা//বিদ্রুপরূপে//ঐসব (লোক)//জন্যে তাদের (রয়েছে)//শাস্তি//অপমানকর"
            },
            {
              "number": 3476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3476.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِ ءَايَٰتُنَا وَلَّىٰ مُسْتَكْبِرًۭا كَأَن لَّمْ يَسْمَعْهَا كَأَنَّ فِىٓ أُذُنَيْهِ وَقْرًۭا ۖ فَبَشِّرْهُ بِعَذَابٍ أَلِيمٍ",
              "translate_bn": "যখন ওদের সামনে আমার আয়তসমূহ পাঠ করা হয়, তখন ওরা দম্ভের সাথে এমনভাবে মুখ ফিরিয়ে নেয়, যেন ওরা তা শুনতেই পায়নি অথবা যেন ওদের দু’কান বধির। সুতরাং ওদেরকে কষ্টদায়ক আযাবের সংবাদ দাও।",
              "numberInSurah": 7,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-‘আলাইহি আ-য়া-তুনা-ওয়াল্লা-মুছতাকবিরান কাআল্লাম ইয়াছমা‘হাকাআন্না ফী উযু নাইহি ওয়াকরান ফাবাশশিরহু বি‘আযা-বিন আলীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//وَلّٰی/وَلَّىٰ/walla//مُسْتَكْبِرًا/مُسۡتَكۡبِرٗا/mus'takbiran//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَسْمَعْهَا/يَسۡمَعۡهَا/yasma'ha//كَاَنَّ/كَأَنَّ/ka-anna//فِیْۤ/فِيٓ/fi//اُذُنَیْهِ/أُذُنَيۡهِ/udhunayhi//وَقْرًا ۚ/وَقۡرٗاۖ/waqran//فَبَشِّرْهُ/فَبَشِّرۡهُ/fabashir'hu//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍ /أَلِيمٍ/alimin",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//নিকট তার//আয়াতসমূহ আমাদের//সে মুখ ফিরায়//অহঙ্কারী হিসেবে//যেন//নি//শুনতে পায় তা//যেন//মধ্যে (আছে)//দু'কানের তার//বধিরতা//অতএব সুসংবাদ দাও তাকে//ব্যাপারে শাস্তির//নিদারুণ"
            },
            {
              "number": 3477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3477.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُمْ جَنَّٰتُ ٱلنَّعِيمِ",
              "translate_bn": "যারা ঈমান আনে আর সৎকাজ করে তাদের জন্য রয়েছে নেয়ামতে ভরা জান্নাত।",
              "numberInSurah": 8,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লাহুম জান্না-তুন না‘ঈম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُمۡ/lahum//جَنّٰتُ/جَنَّـٰتُ/jannatu//النَّعِیْمِۙ/ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//জন্যে তাদের (রয়েছে)//জান্নাতসমুহ//সুখকর"
            },
            {
              "number": 3478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3478.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَا ۖ وَعْدَ ٱللَّهِ حَقًّۭا ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "সেখানে তারা চিরকাল থাকবে। আল্লাহর ওয়াদা যথার্থ। তিনি পরাক্রমশালী ও প্রজ্ঞাময়।",
              "numberInSurah": 9,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহা- ওয়া‘দাল্লা-হি হাক্কাওঁ ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۖ/fiha//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقًّا ؕ/حَقّٗاۚ/haqqan//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "চিরস্থায়ীভাবে থাকবে তারা//মধ্যে তার//প্রতিশ্রুতি//আল্লাহ//সত্য//এবং তিনিই//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 3479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3479.mp3"
              ],
              "text": "خَلَقَ ٱلسَّمَٰوَٰتِ بِغَيْرِ عَمَدٍۢ تَرَوْنَهَا ۖ وَأَلْقَىٰ فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِكُمْ وَبَثَّ فِيهَا مِن كُلِّ دَآبَّةٍۢ ۚ وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍۢ كَرِيمٍ",
              "translate_bn": "তিনি খুঁটি ব্যতীত আকাশমন্ডলী সৃষ্টি করেছেন; তোমরা তা দেখছ। তিনি পৃথিবীতে স্থাপন করেছেন পর্বতমালা, যাতে পৃথিবী তোমাদেরকে নিয়ে ঢলে না পড়ে এবং এতে ছড়িয়ে দিয়েছেন সর্বপ্রকার জন্তু। আমি আকাশ থেকে পানি বর্ষণ করেছি, অতঃপর তাতে উদগত করেছি সর্বপ্রকার কল্যাণকর উদ্ভিদরাজি।",
              "numberInSurah": 10,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "খালাকাছছামা-ওয়া-তি বিগাইরি ‘আমাদিন তারাওনাহা-ওয়া আলাকা-ফিল আরদিরাওয়াছিয়া আন তামীদা বিকুম ওয়া বাছছা ফীহা-মিন কুল্লি দাব্বাতিওঁ ওয়া আনঝালনামিনাছছামাই মাআন ফাআমবাতনা-ফীহা-মিন কুল্লি ঝাওজিন কারীম।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//بِغَیْرِ/بِغَيۡرِ/bighayri//عَمَدٍ/عَمَدٖ/amadin//تَرَوْنَهَا/تَرَوۡنَهَاۖ/tarawnaha//وَ اَلْقٰی/وَأَلۡقَىٰ/wa-alqa//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//اَنْ/أَن/an//تَمِیْدَ/تَمِيدَ/tamida//بِكُمْ/بِكُمۡ/bikum//وَ بَثَّ/وَبَثَّ/wabatha//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//دَآبَّةٍ ؕ/دَآبَّةٖۚ/dabbatin//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَاَنْۢبَتْنَا/فَأَنۢبَتۡنَا/fa-anbatna//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//زَوْجٍ/زَوۡجٖ/zawjin//كَرِیْمٍ /كَرِيمٍ/karimin",
              "words_bangla": "তিনি সৃষ্টি করেছেন//আকাশসমূহ//ছাড়া//কোন খুঁটি//তোমরা দেখছো তা//এবং স্থাপন করেছেন//মধ্যে//পৃথিবীর//পর্বতমালা//( এমন না হয় ) যে//ঢলে যায়//নিয়ে তোমাদেরকে//এবং ছড়িয়ে দিয়েছেন//মধ্যে তার//প্রকার//প্রত্যেক//জীবজন্তু//এবং আমরা বর্ষণ করেছি//থেকে//আকাশ//পানি//অতঃপর উৎপন্ন করি আমরা//মধ্যে তার//প্রকার//প্রত্যেক//জোড়া জোড়া (উদ্ভিদ)//উত্তম"
            },
            {
              "number": 3480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3480.mp3"
              ],
              "text": "هَٰذَا خَلْقُ ٱللَّهِ فَأَرُونِى مَاذَا خَلَقَ ٱلَّذِينَ مِن دُونِهِۦ ۚ بَلِ ٱلظَّٰلِمُونَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "এটা আল্লাহর সৃষ্টি; অতঃপর তিনি ব্যতীত অন্যেরা যা সৃষ্টি করেছে, তা আমাকে দেখাও। বরং জালেমরা সুস্পষ্ট পথভ্রষ্টতায় পতিত আছে।",
              "numberInSurah": 11,
              "juz": 21,
              "manzil": 5,
              "page": 411,
              "ruku": 355,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "হা-যা-খালকুল্লা-হি ফাআরূনী মা-যা-খালকাল্লাযীনা মিন দূ নিহী বালিজ্জা-লিমূনা ফী দালা-লিম মুবীন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//خَلْقُ/خَلۡقُ/khalqu//اللّٰهِ/ٱللَّهِ/al-lahi//فَاَرُوْنِیْ/فَأَرُونِي/fa-aruni//مَا ذَا/مَاذَا/madha//خَلَقَ/خَلَقَ/khalaqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//دُوْنِهٖ ؕ/دُونِهِۦۚ/dunihi//بَلِ/بَلِ/bali//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ۠/مُّبِينٖ/mubinin",
              "words_bangla": "এটা//সৃষ্টি//আল্লাহর//তাহ'লে দেখাও তোমরা আমাকে//কি//সৃষ্টি করেছে//(তারা) যারা (আছে)//ছাড়া//তিনি//বরং//সীমালঙ্ঘনকারীরা//মধ্যে(লিপ্ত)//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 3481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3481.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا لُقْمَٰنَ ٱلْحِكْمَةَ أَنِ ٱشْكُرْ لِلَّهِ ۚ وَمَن يَشْكُرْ فَإِنَّمَا يَشْكُرُ لِنَفْسِهِۦ ۖ وَمَن كَفَرَ فَإِنَّ ٱللَّهَ غَنِىٌّ حَمِيدٌۭ",
              "translate_bn": "আমি লোকমানকে প্রজ্ঞা দান করেছি এই মর্মে যে, আল্লাহর প্রতি কৃতজ্ঞ হও। যে কৃতজ্ঞ হয়, সে তো কেবল নিজ কল্যানের জন্যই কৃতজ্ঞ হয়। আর যে অকৃতজ্ঞ হয়, আল্লাহ অভাবমুক্ত, প্রশংসিত।",
              "numberInSurah": 12,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-লুকমা-নাল হিকমাতা আনিশকুর লিল্লা-হি ওয়া মাইঁ ইয়াশকুর ফাইন্নামা-ইয়াশকুরু লিনাফছিহী ওয়ামান কাফারা ফাইন্নাল্লা-হা গানিইয়ুন হামীদ।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//لُقْمٰنَ/لُقۡمَٰنَ/luq'mana//الْحِكْمَةَ/ٱلۡحِكۡمَةَ/al-hik'mata//اَنِ/أَنِ/ani//اشْكُرْ/ٱشۡكُرۡ/ush'kur//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//وَ مَنْ/وَمَن/waman//یَّشْكُرْ/يَشۡكُرۡ/yashkur//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَشْكُرُ/يَشۡكُرُ/yashkuru//لِنَفْسِهٖ ۚ/لِنَفۡسِهِۦۖ/linafsihi//وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَنِیٌّ/غَنِيٌّ/ghaniyyun//حَمِیْدٌ /حَمِيدٞ/hamidun",
              "words_bangla": "এবং নিশ্চয়ই//দিয়েছিলাম আমরা//লুকমানকে//প্রজ্ঞা//যে//\"তুমি কৃতজ্ঞতা প্রকাশ করো//জন্যে আল্লাহ্‌রই\"//এবং যে//(আল্লাহর) কৃতজ্ঞতা প্রকাশ করে//তখন মূলতঃ//সে কৃতজ্ঞতা প্রকাশ করে//জন্যে নিজের তার//এবং যে//অকৃতজ্ঞ হয়//তবে নিশ্চয়ই//আল্লাহ//অমুখাপেক্ষী//প্রশংসিত"
            },
            {
              "number": 3482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3482.mp3"
              ],
              "text": "وَإِذْ قَالَ لُقْمَٰنُ لِٱبْنِهِۦ وَهُوَ يَعِظُهُۥ يَٰبُنَىَّ لَا تُشْرِكْ بِٱللَّهِ ۖ إِنَّ ٱلشِّرْكَ لَظُلْمٌ عَظِيمٌۭ",
              "translate_bn": "যখন লোকমান উপদেশচ্ছলে তার পুত্রকে বললঃ হে বৎস, আল্লাহর সাথে শরীক করো না। নিশ্চয় আল্লাহর সাথে শরীক করা মহা অন্যায়।",
              "numberInSurah": 13,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা লুকমা-নুলিবনিহী ওয়া হুওয়া ইয়া‘ইজুহূইয়া-বুনাইইয়া লা-তুশরিক বিল্লা-হি ইন্নাশশিরকা লাজুলমুন ‘আজীম।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//لُقْمٰنُ/لُقۡمَٰنُ/luq'manu//لِابْنِهٖ/لِٱبۡنِهِۦ/li-ib'nihi//وَ هُوَ/وَهُوَ/wahuwa//یَعِظُهٗ/يَعِظُهُۥ/ya'izuhu//یٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//لَا/لَا/la//تُشْرِكْ/تُشۡرِكۡ/tush'rik//بِاللّٰهِ ؔؕ/بِٱللَّهِۖ/bil-lahi//اِنَّ/إِنَّ/inna//الشِّرْكَ/ٱلشِّرۡكَ/al-shir'ka//لَظُلْمٌ/لَظُلۡمٌ/lazul'mun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলো//লুকমান//উদ্দেশ্যে পুত্রের তার//এমতাবস্হায় যে সে//উপদেশ দিচ্ছিলো তাকে//\"হে আমার পুত্র//না//শিরক করো//সাথে আল্লাহর(কাউকে)//নিশ্চয়ই//শিরক করা//অবশ্যই সীমালঙ্ঘন//চরম\""
            },
            {
              "number": 3483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3483.mp3"
              ],
              "text": "وَوَصَّيْنَا ٱلْإِنسَٰنَ بِوَٰلِدَيْهِ حَمَلَتْهُ أُمُّهُۥ وَهْنًا عَلَىٰ وَهْنٍۢ وَفِصَٰلُهُۥ فِى عَامَيْنِ أَنِ ٱشْكُرْ لِى وَلِوَٰلِدَيْكَ إِلَىَّ ٱلْمَصِيرُ",
              "translate_bn": "আর আমি মানুষকে তার পিতা-মাতার সাথে সদ্ব্যবহারের জোর নির্দেশ দিয়েছি। তার মাতা তাকে কষ্টের পর কষ্ট করে গর্ভে ধারণ করেছে। তার দুধ ছাড়ানো দু বছরে হয়। নির্দেশ দিয়েছি যে, আমার প্রতি ও তোমার পিতা-মতার প্রতি কৃতজ্ঞ হও। অবশেষে আমারই নিকট ফিরে আসতে হবে।",
              "numberInSurah": 14,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াসসাইনাল ইনছা-না বিওয়া-লিদাইহি হামালাতহু উম্মুহূওয়াহনান ‘আলাওয়াহনিওঁ ওয়া ফিসা-লুহূফী ‘আ-মাইনি আনিশকুর লী ওয়ালি ওয়া-লিদাইকা ইলাইইয়াল মাসীর।",
              "words_arabic": "وَ وَصَّیْنَا/وَوَصَّيۡنَا/wawassayna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//بِوَالِدَیْهِ ۚ/بِوَٰلِدَيۡهِ/biwalidayhi//حَمَلَتْهُ/حَمَلَتۡهُ/hamalathu//اُمُّهٗ/أُمُّهُۥ/ummuhu//وَهْنًا/وَهۡنًا/wahnan//عَلٰی/عَلَىٰ/ala//وَهْنٍ/وَهۡنٖ/wahnin//وَّ فِصٰلُهٗ/وَفِصَٰلُهُۥ/wafisaluhu//فِیْ/فِي/fi//عَامَیْنِ/عَامَيۡنِ/amayni//اَنِ/أَنِ/ani//اشْكُرْ/ٱشۡكُرۡ/ush'kur//لِیْ/لِي/li//وَ لِوَالِدَیْكَ ؕ/وَلِوَٰلِدَيۡكَ/waliwalidayka//اِلَیَّ/إِلَيَّ/ilayya//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং জোর উপদেশ দিয়েছি আমরা//মানুষকে//সাথে তার মাতা-পিতার (ভালো ব্যবহারের জন্যে)//বহন করেছে তাকে (পেটে)//মা তার//কষ্টের//উপর//কষ্ট (করে)//এবং দুধ ছাড়ান তার//মধ্যে//দু'বছরের//যে//\"কৃতজ্ঞতা প্রকাশ করো//প্রতি আমার//এবং প্রতি তোমার মা-বাপেরও//দিকে আমারই//(তোমাদের) প্রত্যাবর্তন"
            },
            {
              "number": 3484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3484.mp3"
              ],
              "text": "وَإِن جَٰهَدَاكَ عَلَىٰٓ أَن تُشْرِكَ بِى مَا لَيْسَ لَكَ بِهِۦ عِلْمٌۭ فَلَا تُطِعْهُمَا ۖ وَصَاحِبْهُمَا فِى ٱلدُّنْيَا مَعْرُوفًۭا ۖ وَٱتَّبِعْ سَبِيلَ مَنْ أَنَابَ إِلَىَّ ۚ ثُمَّ إِلَىَّ مَرْجِعُكُمْ فَأُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "পিতা-মাতা যদি তোমাকে আমার সাথে এমন বিষয়কে শরীক স্থির করতে পীড়াপীড়ি করে, যার জ্ঞান তোমার নেই; তবে তুমি তাদের কথা মানবে না এবং দুনিয়াতে তাদের সাথে সদ্ভাবে সহঅবস্থান করবে। যে আমার অভিমুখী হয়, তার পথ অনুসরণ করবে। অতঃপর তোমাদের প্রত্যাবর্তন আমারই দিকে এবং তোমরা যা করতে, আমি সে বিষয়ে তোমাদেরকে জ্ঞাত করবো।",
              "numberInSurah": 15,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন জা-হাদা-কা ‘আলাআন তুশরিকা বী মা-লাইছা লাকা বিহী ‘ইলমুন ফালাতুতি‘হুমা-ওয়াসা-হিবহুমা-ফিদদুনইয়া-মা‘রূফাওঁ ওয়াত্তাবি‘ ছাবীলা মান আনা-বা ইলাইইয়া ছু ম্মা ইলাইইয়া মারজি‘উকুম ফাউনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//جَاهَدٰكَ/جَٰهَدَاكَ/jahadaka//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//تُشْرِكَ/تُشۡرِكَ/tush'rika//بِیْ/بِي/bi//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لَكَ/لَكَ/laka//بِهٖ/بِهِۦ/bihi//عِلْمٌ ۙ/عِلۡمٞ/il'mun//فَلَا/فَلَا/fala//تُطِعْهُمَا/تُطِعۡهُمَاۖ/tuti'huma//وَ صَاحِبْهُمَا/وَصَاحِبۡهُمَا/wasahib'huma//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//مَعْرُوْفًا ؗ/مَعۡرُوفٗاۖ/ma'rufan//وَّ اتَّبِعْ/وَٱتَّبِعۡ/wa-ittabi'//سَبِیْلَ/سَبِيلَ/sabila//مَنْ/مَنۡ/man//اَنَابَ/أَنَابَ/anaba//اِلَیَّ ۚ/إِلَيَّۚ/ilayya//ثُمَّ/ثُمَّ/thumma//اِلَیَّ/إِلَيَّ/ilayya//مَرْجِعُكُمْ/مَرۡجِعُكُمۡ/marji'ukum//فَاُنَبِّئُكُمْ/فَأُنَبِّئُكُم/fa-unabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং যদি//তারা দু'জনে তোমাকে চাপ দেয়//(এর)উপর//যে//তুমি শিরক করো//সাথে আমার//যা//নেই//কাছে তোমার//সম্পর্কে সে//কোনো জ্ঞান//তবে না//উভয়ের (কাউকে) মানবে//তবে উভয়ের সাথে ব্যবহার করবে//মধ্যে//দুনিয়ার//সদ্ভাবে//এবং অনুসরণ করো//পথ//(তার)যে//অভিমুখী হয়েছে//দিকে আমারই//এরপর//দিকে আমারই//প্রত্যাবর্তন তোমাদের(হবে)//তখন আমি জানিয়ে দিবো তোমাদেরকে//ঐ বিষয়ে যা//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 3485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3485.mp3"
              ],
              "text": "يَٰبُنَىَّ إِنَّهَآ إِن تَكُ مِثْقَالَ حَبَّةٍۢ مِّنْ خَرْدَلٍۢ فَتَكُن فِى صَخْرَةٍ أَوْ فِى ٱلسَّمَٰوَٰتِ أَوْ فِى ٱلْأَرْضِ يَأْتِ بِهَا ٱللَّهُ ۚ إِنَّ ٱللَّهَ لَطِيفٌ خَبِيرٌۭ",
              "translate_bn": "হে বৎস, কোন বস্তু যদি সরিষার দানা পরিমাণও হয় অতঃপর তা যদি থাকে প্রস্তর গর্ভে অথবা আকাশে অথবা ভূ-গর্ভে, তবে আল্লাহ তাও উপস্থিত করবেন। নিশ্চয় আল্লাহ গোপন ভেদ জানেন, সবকিছুর খবর রাখেন।",
              "numberInSurah": 16,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বুনাইয়া ইন্নাহাইন তাকুমিছকা-লা হাব্বাতিম্মিন খারদালিন ফাতাকুন ফী সাখরাতিন আও ফিছছামা-ওয়া-তি আও ফিল আরদিইয়া’তি বিহাল্লা-হু ইন্নাল্লা-হা লাতীফুন খাবীর।",
              "words_arabic": "یٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//اِنَّهَاۤ/إِنَّهَآ/innaha//اِنْ/إِن/in//تَكُ/تَكُ/taku//مِثْقَالَ/مِثۡقَالَ/mith'qala//حَبَّةٍ/حَبَّةٖ/habbatin//مِّنْ/مِّنۡ/min//خَرْدَلٍ/خَرۡدَلٖ/khardalin//فَتَكُنْ/فَتَكُن/fatakun//فِیْ/فِي/fi//صَخْرَةٍ/صَخۡرَةٍ/sakhratin//اَوْ/أَوۡ/aw//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//اَوْ/أَوۡ/aw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//یَاْتِ/يَأۡتِ/yati//بِهَا/بِهَا/biha//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَطِیْفٌ/لَطِيفٌ/latifun//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "\"হে আমার পুত্র//নিশ্চয়ই তা//যদি//তা হয়//পরিমাণ//দানার//মধ্যকার//সরিষার//অতঃপর তা হয়//মধ্যে//শিলাখন্ডের//অথবা//মধ্যে//আসমানসমূহের//অথবা//মধ্যে//জমিনের//আসবেন//নিয়ে তাকে (তাকে বের করে আনবেন)//আল্লাহ//নিশ্চয়ই//আল্লাহ//সূক্ষ্মদর্শী//খুব অবহিত"
            },
            {
              "number": 3486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3486.mp3"
              ],
              "text": "يَٰبُنَىَّ أَقِمِ ٱلصَّلَوٰةَ وَأْمُرْ بِٱلْمَعْرُوفِ وَٱنْهَ عَنِ ٱلْمُنكَرِ وَٱصْبِرْ عَلَىٰ مَآ أَصَابَكَ ۖ إِنَّ ذَٰلِكَ مِنْ عَزْمِ ٱلْأُمُورِ",
              "translate_bn": "হে বৎস, নামায কায়েম কর, সৎকাজে আদেশ দাও, মন্দকাজে নিষেধ কর এবং বিপদাপদে সবর কর। নিশ্চয় এটা সাহসিকতার কাজ।",
              "numberInSurah": 17,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ইয়া-বুনাইইয়া আকিমিসসালা-তা ওয়া’মুর বিলমা‘রূফি ওয়ানহা ‘আনিল মুনকারি ওয়াসবির ‘আলা-মাআসা-বাকা ইন্না যা-লিকা মিন ‘আঝমিল উমূর।",
              "words_arabic": "یٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//اَقِمِ/أَقِمِ/aqimi//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اْمُرْ/وَأۡمُرۡ/wamur//بِالْمَعْرُوْفِ/بِٱلۡمَعۡرُوفِ/bil-ma'rufi//وَ انْهَ/وَٱنۡهَ/wa-in'ha//عَنِ/عَنِ/ani//الْمُنْكَرِ/ٱلۡمُنكَرِ/al-munkari//وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//عَلٰی/عَلَىٰ/ala//مَاۤ/مَآ/ma//اَصَابَكَ ؕ/أَصَابَكَۖ/asabaka//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//مِنْ/مِنۡ/min//عَزْمِ/عَزۡمِ/azmi//الْاُمُوْرِۚ/ٱلۡأُمُورِ/al-umuri",
              "words_bangla": "হে আমার পুত্র//প্রতিষ্ঠা করো//সালাত//ও নির্দেশ দাও//প্রতি সৎকাজের//এবং নিষেধ করো//থেকে//অসৎকাজ//এবং ধৈর্য ধরো//(ঐ বিষয়ের) উপর//যা//তোমার উপর আপতিত হবে//নিশ্চয়ই//এটা//অন্তর্ভুক্ত//দৃঢ় সংকল্পের (সাহসের)//কাজসমূহের"
            },
            {
              "number": 3487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3487.mp3"
              ],
              "text": "وَلَا تُصَعِّرْ خَدَّكَ لِلنَّاسِ وَلَا تَمْشِ فِى ٱلْأَرْضِ مَرَحًا ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ كُلَّ مُخْتَالٍۢ فَخُورٍۢ",
              "translate_bn": "অহংকারবশে তুমি মানুষকে অবজ্ঞা করো না এবং পৃথিবীতে গর্বভরে পদচারণ করো না। নিশ্চয় আল্লাহ কোন দাম্ভিক অহংকারীকে পছন্দ করেন না।",
              "numberInSurah": 18,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুসা‘‘ইর খাদ্দাকা লিন্না-ছি ওয়ালা-তামশি ফিল আরদিমারাহান ইন্নাল্লা-হা লাইউহিব্বুকুল্লা মুখতা-লিন ফাখূর।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُصَعِّرْ/تُصَعِّرۡ/tusa'ir//خَدَّكَ/خَدَّكَ/khaddaka//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ لَا/وَلَا/wala//تَمْشِ/تَمۡشِ/tamshi//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مَرَحًا ؕ/مَرَحًاۖ/marahan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//كُلَّ/كُلَّ/kulla//مُخْتَالٍ/مُخۡتَالٖ/mukh'talin//فَخُوْرٍۚ/فَخُورٖ/fakhurin",
              "words_bangla": "এবং না//তুমি ফিরাও//তোমার গাল//থেকে মানুষের//আর না//চলো//উপর//জমিনের//দেমাক করে//নিশ্চয়ই//আল্লাহ//না//ভালোবাসেন//কোনো//উদ্ধত//অহংকারীকে"
            },
            {
              "number": 3488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3488.mp3"
              ],
              "text": "وَٱقْصِدْ فِى مَشْيِكَ وَٱغْضُضْ مِن صَوْتِكَ ۚ إِنَّ أَنكَرَ ٱلْأَصْوَٰتِ لَصَوْتُ ٱلْحَمِيرِ",
              "translate_bn": "পদচারণায় মধ্যবর্তিতা অবলম্বন কর এবং কন্ঠস্বর নীচু কর। নিঃসন্দেহে গাধার স্বরই সর্বাপেক্ষা অপ্রীতিকর।",
              "numberInSurah": 19,
              "juz": 21,
              "manzil": 5,
              "page": 412,
              "ruku": 356,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়াকসিদ ফী মাশইকা ওয়াগদুদমিন সাওতিকা ইন্না আনকারাল আসওয়া-তি লাসাওতুল হামীর।",
              "words_arabic": "وَ اقْصِدْ/وَٱقۡصِدۡ/wa-iq'sid//فِیْ/فِي/fi//مَشْیِكَ/مَشۡيِكَ/mashyika//وَ اغْضُضْ/وَٱغۡضُضۡ/wa-ugh'dud//مِنْ/مِن/min//صَوْتِكَ ؕ/صَوۡتِكَۚ/sawtika//اِنَّ/إِنَّ/inna//اَنْكَرَ/أَنكَرَ/ankara//الْاَصْوَاتِ/ٱلۡأَصۡوَٰتِ/al-aswati//لَصَوْتُ/لَصَوۡتُ/lasawtu//الْحَمِیْرِ۠/ٱلۡحَمِيرِ/al-hamiri",
              "words_bangla": "এবং মধ্যম পন্থা অবলম্বন করো//ক্ষেত্রে//তোমার চলার//এবং নিচু করো//থেকে//তোমার কণ্ঠস্বর//নিশ্চয়ই//অধিক শ্রুতিকটু//স্বরসমূহের মধ্যে//অবশ্যই আওয়াজ//গাধার\""
            },
            {
              "number": 3489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3489.mp3"
              ],
              "text": "أَلَمْ تَرَوْا۟ أَنَّ ٱللَّهَ سَخَّرَ لَكُم مَّا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَأَسْبَغَ عَلَيْكُمْ نِعَمَهُۥ ظَٰهِرَةًۭ وَبَاطِنَةًۭ ۗ وَمِنَ ٱلنَّاسِ مَن يُجَٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍۢ وَلَا هُدًۭى وَلَا كِتَٰبٍۢ مُّنِيرٍۢ",
              "translate_bn": "তোমরা কি দেখ না আল্লাহ নভোমন্ডল ও ভূ-মন্ডলে যাকিছু আছে, সবই তোমাদের কাজে নিয়োজিত করে দিয়েছেন এবং তোমাদের প্রতি তাঁর প্রকাশ্য ও অপ্রকাশ্য নেয়ামতসমূহ পরিপূর্ন করে দিয়েছেন? এমন লোক ও আছে; যারা জ্ঞান, পথনির্দেশ ও উজ্জল কিতাব ছাড়াই আল্লাহ সম্পর্কে বাকবিতন্ডা করে।",
              "numberInSurah": 20,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "আলাম তারাও আন্নাল্লা-হা ছাখখরা লাকুম মা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদিওয়া আছবাগা ‘আলাইকুম নি‘মাহূজা-হিরাতাওঁ ওয়া বা-তিনাতাওঁ ওয়া মিনান্না-ছি মাইঁ ইউজা-দিলুফিল্লা-হি বিগাইরি ‘ইলমিওঁ ওয়ালা-হুদাওঁ ওয়ালা-কিতা-বিম মুনীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَوْا/تَرَوۡاْ/taraw//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//سَخَّرَ/سَخَّرَ/sakhara//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اَسْبَغَ/وَأَسۡبَغَ/wa-asbagha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//نِعَمَهٗ/نِعَمَهُۥ/ni'amahu//ظَاهِرَةً/ظَٰهِرَةٗ/zahiratan//وَّ بَاطِنَةً ؕ/وَبَاطِنَةٗۗ/wabatinatan//وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//مَنْ/مَن/man//یُّجَادِلُ/يُجَٰدِلُ/yujadilu//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ/عِلۡمٖ/il'min//وَّ لَا/وَلَا/wala//هُدًی/هُدٗى/hudan//وَّ لَا/وَلَا/wala//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّنِیْرٍ /مُّنِيرٖ/munirin",
              "words_bangla": "কি না//তোমরা দেখো//যে//আল্লাহ//অধীন করে দিয়েছেন//জন্যে তোমাদের//যা//মধ্যে (আছে)//আকাশমন্ডলীর//ও যা//মধ্যে (আছে)//পৃথিবীর//এবং সম্পূর্ণ করে দিয়েছেন//উপর তোমাদের//অনুগ্রহসমূহ তাঁর//প্রকাশ্য//ও অপ্রকাশ্য//এবং মধ্যে//মানুষের//কেউ কেউ (এমনও আছে)//তর্ক করে//সম্পর্কে//আল্লাহ//ছাড়া//কোনো জ্ঞান//আর না//কোনো পথনির্দেশ//আর না//কোনো কিতাব//দীপ্তিময়"
            },
            {
              "number": 3490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3490.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمُ ٱتَّبِعُوا۟ مَآ أَنزَلَ ٱللَّهُ قَالُوا۟ بَلْ نَتَّبِعُ مَا وَجَدْنَا عَلَيْهِ ءَابَآءَنَآ ۚ أَوَلَوْ كَانَ ٱلشَّيْطَٰنُ يَدْعُوهُمْ إِلَىٰ عَذَابِ ٱلسَّعِيرِ",
              "translate_bn": "তাদেরকে যখন বলা হয়, আল্লাহ যা নাযিল করেছেন, তোমরা তার অনুসরণ কর, তখন তারা বলে, বরং আমরা আমাদের পূর্বপুরুষদেরকে যে বিষয়ের উপর পেয়েছি, তারই অনুসরণ করব। শয়তান যদি তাদেরকে জাহান্নামের শাস্তির দিকে দাওয়াত দেয়, তবুও কি?",
              "numberInSurah": 21,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 164,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুমুত তাবি‘উ মাআনঝালাল্লা-হু কা-লূবাল নাত্তাবি‘উ মা-ওয়াজাদনা‘আলাইহি আ-বাআনা- আওয়া লাও কা-নাশশাইতা-নুইয়াদ‘উহুম ইলা-‘আযাবিছছা‘ঈর।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//اتَّبِعُوْا/ٱتَّبِعُواْ/ittabi'u//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//قَالُوْا/قَالُواْ/qalu//بَلْ/بَلۡ/bal//نَتَّبِعُ/نَتَّبِعُ/nattabi'u//مَا/مَا/ma//وَجَدْنَا/وَجَدۡنَا/wajadna//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰبَآءَنَا ؕ/ءَابَآءَنَآۚ/abaana//اَوَ لَوْ/أَوَلَوۡ/awalaw//كَانَ/كَانَ/kana//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//یَدْعُوْهُمْ/يَدۡعُوهُمۡ/yad'uhum//اِلٰی/إِلَىٰ/ila//عَذَابِ/عَذَابِ/adhabi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা অনুসরণ করো//যা//অবতীর্ণ করেছেন\"//আল্লাহ\"//তারা বলে//\"বরং//আমরা অনুসরণ করবো//যা//আমরা পেয়েছি//উপর তার//আমার পিতৃ-পুরুষদেরকে\"//কি যদিও//হলো//শয়তান (এমন যে)//ডেকে আসছে তাদেরকে//দিকে//শাস্তির//জ্বলন্ত আগুনের (তবুও অনুসরণ করবেই)"
            },
            {
              "number": 3491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3491.mp3"
              ],
              "text": "۞ وَمَن يُسْلِمْ وَجْهَهُۥٓ إِلَى ٱللَّهِ وَهُوَ مُحْسِنٌۭ فَقَدِ ٱسْتَمْسَكَ بِٱلْعُرْوَةِ ٱلْوُثْقَىٰ ۗ وَإِلَى ٱللَّهِ عَٰقِبَةُ ٱلْأُمُورِ",
              "translate_bn": "যে ব্যক্তি সৎকর্মপরায়ণ হয়ে স্বীয় মুখমন্ডলকে আল্লাহ অভিমূখী করে, সে এক মজবুত হাতল ধারণ করে, সকল কর্মের পরিণাম আল্লাহর দিকে।",
              "numberInSurah": 22,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউছলিম ওয়াজহাহূ ইলাল্লা-হি ওয়া হুওয়া মুহছিনুন ফাকাদিছতামছাকা বিল ‘উরওয়াতিল উছকা- ওয়া ইলাল্লা-হি ‘আ-কিবাতুল উমূর।\r\n",
              "words_arabic": "وَ مَنْ/۞وَمَن/waman//یُّسْلِمْ/يُسۡلِمۡ/yus'lim//وَجْهَهٗۤ/وَجۡهَهُۥٓ/wajhahu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ هُوَ/وَهُوَ/wahuwa//مُحْسِنٌ/مُحۡسِنٞ/muh'sinun//فَقَدِ/فَقَدِ/faqadi//اسْتَمْسَكَ/ٱسۡتَمۡسَكَ/is'tamsaka//بِالْعُرْوَةِ/بِٱلۡعُرۡوَةِ/bil-'ur'wati//الْوُثْقٰی ؕ/ٱلۡوُثۡقَىٰۗ/al-wuth'qa//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْاُمُوْرِ /ٱلۡأُمُورِ/al-umuri",
              "words_bangla": "এবং যে//সমর্পণ করে//চেহারাকে (নিজেকে) তার//কাছে//আল্লাহর//এমতাবস্হায় যে সে//সৎকর্মপরায়ণ//তবে নিশ্চয়ই//সে শক্ত করে ধরেছে//নিয়ে হাতলকে (অর্থাৎ আশ্রয়কে)//সুদৃঢ়//এবং দিকে//আল্লাহ্‌রই//পরিণাম//সব ব্যাপারের"
            },
            {
              "number": 3492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3492.mp3"
              ],
              "text": "وَمَن كَفَرَ فَلَا يَحْزُنكَ كُفْرُهُۥٓ ۚ إِلَيْنَا مَرْجِعُهُمْ فَنُنَبِّئُهُم بِمَا عَمِلُوٓا۟ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "যে ব্যক্তি কুফরী করে তার কুফরী যেন আপনাকে চিন্তিত না করে। আমারই দিকে তাদের প্রত্যাবর্তন, অতঃপর আমি তাদের কর্ম সম্পর্কে তাদেরকে অবহিত করব। অন্তরে যা কিছু রয়েছে, সে সম্পর্কে আল্লাহ সবিশেষ পরিজ্ঞাত।",
              "numberInSurah": 23,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান কাফারা ফালা-ইয়াহঝুনকা কুফরুহূ ইলাইনা-মারজি‘উহুম ফানুনাব্বিউহুম বিমা‘আমিলূ ইন্নাল্লা-হা ‘আলীমুম বিযা-তিসসুদূ র।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//كَفَرَ/كَفَرَ/kafara//فَلَا/فَلَا/fala//یَحْزُنْكَ/يَحۡزُنكَ/yahzunka//كُفْرُهٗ ؕ/كُفۡرُهُۥٓۚ/kuf'ruhu//اِلَیْنَا/إِلَيۡنَا/ilayna//مَرْجِعُهُمْ/مَرۡجِعُهُمۡ/marji'uhum//فَنُنَبِّئُهُمْ/فَنُنَبِّئُهُم/fanunabbi-uhum//بِمَا/بِمَا/bima//عَمِلُوْا ؕ/عَمِلُوٓاْۚ/amilu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "এবং যে//অবিশ্বাস করলো//অতঃপর না (যেন)//চিন্তিত করে তোমাকে//অবিশ্বাস তার//দিকে আমাদেরই//প্রত্যাবর্তন তাদের ( হবে )//তখন আমরা জানিয়ে দিবো তাদের//ঐ বিষয়ে যা//তারা করেছে//নিশ্চয়ই//আল্লাহ//খুব অবহিত//সম্পর্কে অবস্থা//অন্তরসমূহের"
            },
            {
              "number": 3493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3493.mp3"
              ],
              "text": "نُمَتِّعُهُمْ قَلِيلًۭا ثُمَّ نَضْطَرُّهُمْ إِلَىٰ عَذَابٍ غَلِيظٍۢ",
              "translate_bn": "আমি তাদেরকে স্বল্পকালের জন্যে ভোগবিলাস করতে দেব, অতঃপর তাদেরকে বাধ্য করব গুরুতর শাস্তি ভোগ করতে।",
              "numberInSurah": 24,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "নুমাত্তি‘উহুম কালীলান ছুম্মা নাদতাররুহুম ইলা-‘আযা-বিন গালীজ।",
              "words_arabic": "نُمَتِّعُهُمْ/نُمَتِّعُهُمۡ/numatti'uhum//قَلِیْلًا/قَلِيلٗا/qalilan//ثُمَّ/ثُمَّ/thumma//نَضْطَرُّهُمْ/نَضۡطَرُّهُمۡ/nadtarruhum//اِلٰی/إِلَىٰ/ila//عَذَابٍ/عَذَابٍ/adhabin//غَلِیْظٍ /غَلِيظٖ/ghalizin",
              "words_bangla": "আমরা ভোগ করতে দিবো তাদেরকে//অল্প (কাল)//এরপর//আমরা বাধ্য করবো তাদেরকে//দিকে//শাস্তির//কঠিন"
            },
            {
              "number": 3494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3494.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ ٱللَّهُ ۚ قُلِ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "আপনি যদি তাদেরকে জিজ্ঞেস করেন, নভোমন্ডল ও ভূ-মন্ডল কে সৃষ্টি করেছে? তারা অবশ্যই বলবে, আল্লাহ। বলুন, সকল প্রশংসাই আল্লাহর। বরং তাদের অধিকাংশই জ্ঞান রাখে না।",
              "numberInSurah": 25,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম মান খালাকাছছামা-ওয়া-তি ওয়াল আরদা লাইয়াকূলুন্নাল্লা-হু কুল্লি হামদুলিল্লা-হি; বাল আকছারুহুম লা-ইয়া‘লামূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّنۡ/man//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//قُلِ/قُلِ/quli//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং অবশ্যই যদি//তুমি প্রশ্ন করো তাদের//\"কে//সৃষ্টি করেছেন//আকাশ মন্ডলী//ও পৃথিবী\"//অবশ্যই তারা বলবে//\"আল্লাহ্‌\"//বলো//\"সব প্রশংসা//জন্যে আল্লাহ্‌রই\"//কিন্তু//অধিকাংশ (লোক) তাদের//না//তারা জানে"
            },
            {
              "number": 3495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3495.mp3"
              ],
              "text": "لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ",
              "translate_bn": "নভোমন্ডল ও ভূ-মন্ডলে যা কিছু রয়েছে সবই আল্লাহর। আল্লাহ অভাবমুক্ত, প্রশংসিত।",
              "numberInSurah": 26,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়াল আরদি ইন্নাল্লা-হা হুওয়াল গানিইয়ুল হামীদ।",
              "words_arabic": "لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//الْحَمِیْدُ /ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "জন্যে আল্লাহ্‌রই//যা কিছু//মধ্যে (আছে)//আকাশমন্ডলীর//ও পৃথিবীর//নিশ্চয়ই//আল্লাহ//তিনিই//অভাবমুক্ত//প্রশংসিত"
            },
            {
              "number": 3496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3496.mp3"
              ],
              "text": "وَلَوْ أَنَّمَا فِى ٱلْأَرْضِ مِن شَجَرَةٍ أَقْلَٰمٌۭ وَٱلْبَحْرُ يَمُدُّهُۥ مِنۢ بَعْدِهِۦ سَبْعَةُ أَبْحُرٍۢ مَّا نَفِدَتْ كَلِمَٰتُ ٱللَّهِ ۗ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌۭ",
              "translate_bn": "পৃথিবীতে যত বৃক্ষ আছে, সবই যদি কলম হয় এবং সমুদ্রের সাথেও সাত সমুদ্র যুক্ত হয়ে কালি হয়, তবুও তাঁর বাক্যাবলী লিখে শেষ করা যাবে না। নিশ্চয় আল্লাহ পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 27,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আন্না মা-ফিল আরদিমিন শাজারাতিন আকলা-মুওঁ ওয়াল বাহরু ইয়ামুদ্দুহূমিম বা‘দিহী ছাব‘আতুআবহুরিম মা-নাফিদাত কালিমা-তুল্লা-হি ইন্নাল্লা-হা ‘আঝীঝুন হাকীম।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّمَا/أَنَّمَا/annama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِنْ/مِن/min//شَجَرَةٍ/شَجَرَةٍ/shajaratin//اَقْلَامٌ/أَقۡلَٰمٞ/aqlamun//وَّ الْبَحْرُ/وَٱلۡبَحۡرُ/wal-bahru//یَمُدُّهٗ/يَمُدُّهُۥ/yamudduhu//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//سَبْعَةُ/سَبۡعَةُ/sab'atu//اَبْحُرٍ/أَبۡحُرٖ/abhurin//مَّا/مَّا/ma//نَفِدَتْ/نَفِدَتۡ/nafidat//كَلِمٰتُ/كَلِمَٰتُ/kalimatu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং যদি (হয়)//নিশ্চয়ই যা কিছু//মধ্যে//পৃথিবীর//দিয়ে//গাছ//কলমসমূহ//এবং সমুদ্র(কালি হয়)//বৃদ্ধি করে তাকে//থেকেও//পর তার//সাত//সমুদ্র ( এবং রবের কথা লেখা হয় )//(তবুও) না (এবং রবের কথা লেখা হয়)//শেষ হবে//কথাগুলো (লেখা)//আল্লাহর//নিশ্চয়ই//আল্লাহ//মহাপরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 3497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3497.mp3"
              ],
              "text": "مَّا خَلْقُكُمْ وَلَا بَعْثُكُمْ إِلَّا كَنَفْسٍۢ وَٰحِدَةٍ ۗ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ",
              "translate_bn": "তোমাদের সৃষ্টি ও পুনরুত্থান একটি মাত্র প্রাণীর সৃষ্টি ও পুনরুত্থানের সমান বৈ নয়। নিশ্চয় আল্লাহ সব কিছু শোনেন, সবকিছু দেখেন।",
              "numberInSurah": 28,
              "juz": 21,
              "manzil": 5,
              "page": 413,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "মা-খালকুকুম ওয়ালা-বা‘ছুকুম ইল্লা-কানাফছিওঁ ওয়া-হিদাতিন ইন্নাল্লা-হা ছামী‘উম বাসীর।",
              "words_arabic": "مَا/مَّا/ma//خَلْقُكُمْ/خَلۡقُكُمۡ/khalqukum//وَ لَا/وَلَا/wala//بَعْثُكُمْ/بَعۡثُكُمۡ/ba'thukum//اِلَّا/إِلَّا/illa//كَنَفْسٍ/كَنَفۡسٖ/kanafsin//وَّاحِدَةٍ ؕ/وَٰحِدَةٍۚ/wahidatin//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌۢ/سَمِيعُۢ/sami'un//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "নয়//সৃষ্টি তোমাদের//আর না//উত্থান তোমাদের//এ ছাড়া//মতো(সৃষ্টি ও উত্থান)প্রাণীর//একটিমাত্র//নিশ্চয়ই//আল্লাহ//সব শুনেন//সব দেখেন"
            },
            {
              "number": 3498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3498.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ كُلٌّۭ يَجْرِىٓ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى وَأَنَّ ٱللَّهَ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "তুমি কি দেখ না যে, আল্লাহ রাত্রিকে দিবসে প্রবিষ্ট করেন এবং দিবসকে রাত্রিতে প্রবিষ্ট করেন? তিনি চন্দ্র ও সূর্যকে কাজে নিয়োজিত করেছেন। প্রত্যেকেই নির্দিষ্টকাল পর্যন্ত পরিভ্রমণ করে। তুমি কি আরও দেখ না যে, তোমরা যা কর, আল্লাহ তার খবর রাখেন?",
              "numberInSurah": 29,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ইঊলিজুল লাইলা ফিন্নাহা-রি ওয়া ইঊলিজুন্নাহা-রা ফিল্লাইলি ওয়া ছাখখারাশশামছা ওয়ালা কামারা কুলুলইঁইয়াজরীইলাআজালিম মুছাম্মাওঁ ওয়া আন্নাল্লা-হা বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یُوْلِجُ/يُولِجُ/yuliju//الَّیْلَ/ٱلَّيۡلَ/al-layla//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ یُوْلِجُ/وَيُولِجُ/wayuliju//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فِی/فِي/fi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ ؗ/وَٱلۡقَمَرَۖ/wal-qamara//كُلٌّ/كُلّٞ/kullun//یَّجْرِیْۤ/يَجۡرِيٓ/yajri//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "কি না//তুমি দেখো//যে//আল্লাহ//প্রবেশ করান//রাতকে//মধ্যে//দিনের//ও প্রবেশ করান//দিনকে//মধ্যে//রাতের//এবং নিয়মাধীন করেছেন//সূর্যকে//ও চাঁদকে//প্রত্যেকে//চলছে//পর্যন্ত//কাল//নির্দিষ্ট//এবং নিশ্চয়ই//আল্লাহ//ঐ বিষয়ে যা//তোমরা করছো//খুব অবহিত"
            },
            {
              "number": 3499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3499.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّ مَا يَدْعُونَ مِن دُونِهِ ٱلْبَٰطِلُ وَأَنَّ ٱللَّهَ هُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ",
              "translate_bn": "এটাই প্রমাণ যে, আল্লাহ-ই সত্য এবং আল্লাহ ব্যতীত তারা যাদের পূজা করে সব মিথ্যা। আল্লাহ সর্বোচ্চ, মহান।",
              "numberInSurah": 30,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা হুওয়াল হাক্কুওয়া আন্নামা- ইয়াদ‘ঊনা মিন দূ নিহিল বা-তিলু ওয়া আন্নাল্লা-হা হুওয়াল ‘আলিইয়ুল কাবীর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ اَنَّ/وَأَنَّ/wa-anna//مَا/مَا/ma//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهِ/دُونِهِ/dunihi//الْبَاطِلُ ۙ/ٱلۡبَٰطِلُ/al-batilu//وَ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْعَلِیُّ/ٱلۡعَلِيُّ/al-'aliyu//الْكَبِیْرُ۠/ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "এটা//একারণে যে//আল্লাহ//তিনিই//সত্য//এবং (এও) যে//যাকে//তারা ডাকছে//ছাড়া//তাঁকে//( তা সবই )অসত্য//এবং (এও সত্য) যে//আল্লাহ//তিনিই//সমুন্নত//সুমহান"
            },
            {
              "number": 3500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3500.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱلْفُلْكَ تَجْرِى فِى ٱلْبَحْرِ بِنِعْمَتِ ٱللَّهِ لِيُرِيَكُم مِّنْ ءَايَٰتِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّكُلِّ صَبَّارٍۢ شَكُورٍۢ",
              "translate_bn": "তুমি কি দেখ না যে, আল্লাহর অনুগ্রহে জাহাজ সমুদ্রে চলাচল করে, যাতে তিনি তোমাদেরকে তাঁর নিদর্শনাবলী প্রদর্শন করেন? নিশ্চয় এতে প্রত্যেক সহনশীল, কৃতজ্ঞ ব্যক্তির জন্যে নিদর্শন রয়েছে।",
              "numberInSurah": 31,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল ফুলকা তাজরী ফিল বাহরি বিনি‘মাতিল্লা-হি লিইউরিয়াকুম মিন আ-য়াতিহী ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকুল্লি সাব্বা-রিন শাকূর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//تَجْرِیْ/تَجۡرِي/tajri//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//بِنِعْمَتِ/بِنِعۡمَتِ/bini'mati//اللّٰهِ/ٱللَّهِ/al-lahi//لِیُرِیَكُمْ/لِيُرِيَكُم/liyuriyakum//مِّنْ/مِّنۡ/min//اٰیٰتِهٖ ؕ/ءَايَٰتِهِۦٓۚ/ayatihi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّكُلِّ/لِّكُلِّ/likulli//صَبَّارٍ/صَبَّارٖ/sabbarin//شَكُوْرٍ /شَكُورٖ/shakurin",
              "words_bangla": "কি না//তুমি দেখো//যে//জলযান//চলে//মধ্যে//সমুদ্রের//সাহায্যে অনুগ্রহের//আল্লাহর//যেন তিনি তোমাদের দেখান//কিছু//নির্দেশাবলী তাঁর//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে প্রত্যেক//ধৈর্যশীলের//কৃতজ্ঞের"
            },
            {
              "number": 3501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3501.mp3"
              ],
              "text": "وَإِذَا غَشِيَهُم مَّوْجٌۭ كَٱلظُّلَلِ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ فَلَمَّا نَجَّىٰهُمْ إِلَى ٱلْبَرِّ فَمِنْهُم مُّقْتَصِدٌۭ ۚ وَمَا يَجْحَدُ بِـَٔايَٰتِنَآ إِلَّا كُلُّ خَتَّارٍۢ كَفُورٍۢ",
              "translate_bn": "যখন তাদেরকে মেঘমালা সদৃশ তরংগ আচ্ছাদিত করে নেয়, তখন তারা খাঁটি মনে আল্লাহকে ডাকতে থাকে। অতঃপর তিনি যখন তাদেরকে স্থলভাগের দিকে উদ্ধার করে আনেন, তখন তাদের কেউ কেউ সরল পথে চলে। কেবল মিথ্যাচারী, অকৃতজ্ঞ ব্যক্তিই আমার নিদর্শনাবলী অস্বীকার করে।",
              "numberInSurah": 32,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-গাশিয়াহুম মাওজুন কাজ্জুলালি দা‘আউল্লা-হা মুখলিসীনা লাহুদ্দীনা ফালাম্মানাজ্জা-হুম ইলাল বাররি ফামিনহুম মুকতাসিদুওঁ ওয়ামা-ইয়াজহাদুবিআ-য়া-তিনা-ইল্লাকুল্লুখাত্তা-রিন কাফূর।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//غَشِیَهُمْ/غَشِيَهُم/ghashiyahum//مَّوْجٌ/مَّوۡجٞ/mawjun//كَالظُّلَلِ/كَٱلظُّلَلِ/kal-zulali//دَعَوُا/دَعَوُاْ/da'awu//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ۚ۬/ٱلدِّينَ/al-dina//فَلَمَّا/فَلَمَّا/falamma//نَجّٰىهُمْ/نَجَّىٰهُمۡ/najjahum//اِلَی/إِلَى/ila//الْبَرِّ/ٱلۡبَرِّ/al-bari//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مُّقْتَصِدٌ ؕ/مُّقۡتَصِدٞۚ/muq'tasidun//وَ مَا/وَمَا/wama//یَجْحَدُ/يَجۡحَدُ/yajhadu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِلَّا/إِلَّا/illa//كُلُّ/كُلُّ/kullu//خَتَّارٍ/خَتَّارٖ/khattarin//كَفُوْرٍ /كَفُورٖ/kafurin",
              "words_bangla": "এবং যখন//ঢেকে ফেলে তাদের//ঢেউ//মতো চাঁদোয়ার//তারা ডাকে//আল্লাহকে//বিশুদ্ধ করে//জন্যে তাঁর//আনুগত্যকে//অতঃপর যখন//তিনিই উদ্ধার করেন তাদেরকে//দিকে//স্থলের//তখন মধ্যে তাদের (কেউ কেউ)//মধ্যম নীতি গ্রহন করে//এবং না//অস্বীকার করে (আর কেউ)//প্রতি আমাদের নিদর্শনগুলোর//এ ছাড়া//প্রত্যেক//বিশ্বাসঘাতক//অকৃতজ্ঞ"
            },
            {
              "number": 3502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3502.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمْ وَٱخْشَوْا۟ يَوْمًۭا لَّا يَجْزِى وَالِدٌ عَن وَلَدِهِۦ وَلَا مَوْلُودٌ هُوَ جَازٍ عَن وَالِدِهِۦ شَيْـًٔا ۚ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ ۖ فَلَا تَغُرَّنَّكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَلَا يَغُرَّنَّكُم بِٱللَّهِ ٱلْغَرُورُ",
              "translate_bn": "হে মানব জাতি! তোমরা তোমাদের পালনকর্তাকে ভয় কর এবং ভয় কর এমন এক দিবসকে, যখন পিতা পুত্রের কোন কাজে আসবে না এবং পুত্রও তার পিতার কোন উপকার করতে পারবে না। নিঃসন্দেহে আল্লাহর ওয়াদা সত্য। অতএব, পার্থিব জীবন যেন তোমাদেরকে ধোঁকা না দেয় এবং আল্লাহ সম্পর্কে প্রতারক শয়তানও যেন তোমাদেরকে প্রতারিত না করে।",
              "numberInSurah": 33,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ইয়া-আইয়ুহান্না-ছুত্তাকূরাব্বাকুম ওয়াখশাও ইয়াওমাল্লা-ইয়াজঝী ওয়া-লিদুন আওঁ ওয়ালাদিহী ওয়ালা-মাওলূদুন হুওয়া জা-ঝিন ‘আওঁ ওয়া-লিদিহী শাইআন ইন্না ওয়া‘দাল্লা-হি হাক্কুন ফালা-তাগুররান্নাকুমুল হায়া-তুদ্দুনইয়া-ওয়ালা-ইয়াগুররান্নাকুম বিল্লা-হিল গারূর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اتَّقُوْا/ٱتَّقُواْ/ittaqu//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//وَ اخْشَوْا/وَٱخۡشَوۡاْ/wa-ikh'shaw//یَوْمًا/يَوۡمٗا/yawman//لَّا/لَّا/la//یَجْزِیْ/يَجۡزِي/yajzi//وَالِدٌ/وَالِدٌ/walidun//عَنْ/عَن/an//وَّلَدِهٖ ؗ/وَلَدِهِۦ/waladihi//وَ لَا/وَلَا/wala//مَوْلُوْدٌ/مَوۡلُودٌ/mawludun//هُوَ/هُوَ/huwa//جَازٍ/جَازٍ/jazin//عَنْ/عَن/an//وَّالِدِهٖ/وَالِدِهِۦ/walidihi//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞۖ/haqqun//فَلَا/فَلَا/fala//تَغُرَّنَّكُمُ/تَغُرَّنَّكُمُ/taghurrannakumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا ۥ/ٱلدُّنۡيَا/al-dun'ya//وَ لَا/وَلَا/wala//یَغُرَّنَّكُمْ/يَغُرَّنَّكُم/yaghurrannakum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الْغَرُوْرُ /ٱلۡغَرُورُ/al-gharuru",
              "words_bangla": "হে//মানব সম্প্রদায়//তোমরা ভয় করো//রবকে তোমাদের//এবং ভয় করো//সেই দিনকে (যখন)//না//প্রতিদান দিবে//কোনো পিতা//পক্ষ হ'তে//সন্তানের তার//আর না//কোনো সন্তান//সে//প্রতিদান দাতা হবে//পক্ষ হ'তে//পিতার তার//কিছুমাত্র//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//সুতরাং না(যেন)//ধোঁকায় ফেলে তোমাদেরকে//জীবন//পার্থিব//আর না//ধোঁকায় ফেলে তোমাদেরকে//ব্যাপারে আল্লাহর//কোনো ধোঁকাবাজ (জীন , শয়তান বা মানুষ)"
            },
            {
              "number": 3503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3503.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ عِندَهُۥ عِلْمُ ٱلسَّاعَةِ وَيُنَزِّلُ ٱلْغَيْثَ وَيَعْلَمُ مَا فِى ٱلْأَرْحَامِ ۖ وَمَا تَدْرِى نَفْسٌۭ مَّاذَا تَكْسِبُ غَدًۭا ۖ وَمَا تَدْرِى نَفْسٌۢ بِأَىِّ أَرْضٍۢ تَمُوتُ ۚ إِنَّ ٱللَّهَ عَلِيمٌ خَبِيرٌۢ",
              "translate_bn": "নিশ্চয় আল্লাহর কাছেই কেয়ামতের জ্ঞান রয়েছে। তিনিই বৃষ্টি বর্ষণ করেন এবং গর্ভাশয়ে যা থাকে, তিনি তা জানেন। কেউ জানে না আগামীকল্য সে কি উপার্জন করবে এবং কেউ জানে না কোন দেশে সে মৃত্যুবরণ করবে। আল্লাহ সর্বজ্ঞ, সর্ববিষয়ে সম্যক জ্ঞাত।",
              "numberInSurah": 34,
              "juz": 21,
              "manzil": 5,
              "page": 414,
              "ruku": 357,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ‘ইনদাহূ‘ইলমুছছা-‘আতি ওয়া ইউনাঝঝিলুল গাইছা ওয়া ইয়া‘লামুমাফিল আরহা-মি ওয়ামা-তাদরী নাফছুম মা-যা তাকছিবুগাদাওঁ ওয়ামা-তাদরী নাফছুম বিআইয়ি আরদিন তামূতু ইন্নাল্লা-হা ‘আলীমুন খাবীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عِنْدَهٗ/عِندَهُۥ/indahu//عِلْمُ/عِلۡمُ/il'mu//السَّاعَةِ ۚ/ٱلسَّاعَةِ/al-sa'ati//وَ یُنَزِّلُ/وَيُنَزِّلُ/wayunazzilu//الْغَیْثَ ۚ/ٱلۡغَيۡثَ/al-ghaytha//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//فِی/فِي/fi//الْاَرْحَامِ ؕ/ٱلۡأَرۡحَامِۖ/al-arhami//وَ مَا/وَمَا/wama//تَدْرِیْ/تَدۡرِي/tadri//نَفْسٌ/نَفۡسٞ/nafsun//مَّا ذَا/مَّاذَا/madha//تَكْسِبُ/تَكۡسِبُ/taksibu//غَدًا ؕ/غَدٗاۖ/ghadan//وَ مَا/وَمَا/wama//تَدْرِیْ/تَدۡرِي/tadri//نَفْسٌۢ/نَفۡسُۢ/nafsun//بِاَیِّ/بِأَيِّ/bi-ayyi//اَرْضٍ/أَرۡضٖ/ardin//تَمُوْتُ ؕ/تَمُوتُۚ/tamutu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌ/عَلِيمٌ/alimun//خَبِیْرٌ۠/خَبِيرُۢ/khabirun",
              "words_bangla": "নিশ্চয়ই//আল্লাহ (এমন সত্ত্বা)//কাছে তাঁরই (আছে)//জ্ঞান//ক্বিয়ামাতের//এবং তিনিই বর্ষণ করেন//বৃষ্টি//এবং তিনিই জানেন//যা কিছু//মধ্যে(আছে)//জরায়ুসমূহের//এবং না//জানে//কোনো প্রাণীই//কি//সে অর্জন করবে//আগামীকাল//এবং না//জানে//কোনো প্রাণীই//কোনো//জমিনে//সে মরবে//নিশ্চয়ই//আল্লাহ//সবকিছু জানেন//সব বিষয়ে অবহিত"
            }
          ]
        },
        {
          "number": 32,
          "name": "سُورَةُ السَّجۡدَةِ",
          "englishName": "As-Sajda",
          "englishNameTranslation": "The Prostration",
          "revelationType": "Meccan",
          "verse": 30,
          "words": 745,
          "chars": 3153,
          "ayahs": [
            {
              "number": 3504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3504.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ الٓمٓ",
              "translate_bn": "আলিফ-লাম-মীম।",
              "numberInSurah": 1,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আলিফ লাম মীম।",
              "words_arabic": "الٓمّٓۚ/الٓمٓ/alif-lam-meem",
              "words_bangla": "আলিফ লাম- মীম-"
            },
            {
              "number": 3505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3505.mp3"
              ],
              "text": "تَنزِيلُ ٱلْكِتَٰبِ لَا رَيْبَ فِيهِ مِن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "এ কিতাবের অবতরণ বিশ্বপালনকর্তার নিকট থেকে এতে কোন সন্দেহ নেই।",
              "numberInSurah": 2,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুল কিতা-বি লা-রাইবা ফীহি মির রাব্বিল ‘আ-লামীন।",
              "words_arabic": "تَنْزِیْلُ/تَنزِيلُ/tanzilu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অবতরণ (হয়েছে)//(এই) কিতাবের//নেই//সন্দেহ//মধ্যে তার//পক্ষ হ'তে//রবের//বিশ্বজগতের"
            },
            {
              "number": 3506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3506.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۚ بَلْ هُوَ ٱلْحَقُّ مِن رَّبِّكَ لِتُنذِرَ قَوْمًۭا مَّآ أَتَىٰهُم مِّن نَّذِيرٍۢ مِّن قَبْلِكَ لَعَلَّهُمْ يَهْتَدُونَ",
              "translate_bn": "তারা কি বলে, এটা সে মিথ্যা রচনা করেছে? বরং এটা আপনার পালনকর্তার তরফ থেকে সত্য, যাতে আপনি এমন এক সম্প্রদায়কে সতর্ক করেন, যাদের কাছে আপনার পূর্বে কোন সতর্ককারী আসেনি। সম্ভবতঃ এরা সুপথ প্রাপ্ত হবে।",
              "numberInSurah": 3,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনাফতারা-হু বাল হুওয়াল হাক্কুমির রাব্বিকা লিতুনযিরা কাওমাম মাআতা-হুম মিন্নাযীরিম মিন কাবলিকা লা‘আল্লাহুম ইয়াহতাদূ ন।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰىهُ ۚ/ٱفۡتَرَىٰهُۚ/if'tarahu//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لِتُنْذِرَ/لِتُنذِرَ/litundhira//قَوْمًا/قَوۡمٗا/qawman//مَّاۤ/مَّآ/ma//اَتٰىهُمْ/أَتَىٰهُم/atahum//مِّنْ/مِّن/min//نَّذِیْرٍ/نَّذِيرٖ/nadhirin//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَهْتَدُوْنَ /يَهۡتَدُونَ/yahtaduna",
              "words_bangla": "কি//তারা বলেছে//\"সে মিথ্যা রচনা করেছে তা\"//বরং//তা//সত্য//পক্ষ হ'তে//রবের তোমার//যেন তুমি সতর্ক করো//(এমন)এক জাতিকে//না//কাছে এসেছে তাদের//কোনো//সতর্ককারী//থেকে//তোমার পূর্ব//সম্ভবত তারা//সঠিক পথে চলবে"
            },
            {
              "number": 3507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3507.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍۢ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ مَا لَكُم مِّن دُونِهِۦ مِن وَلِىٍّۢ وَلَا شَفِيعٍ ۚ أَفَلَا تَتَذَكَّرُونَ",
              "translate_bn": "আল্লাহ যিনি নভোমন্ডল, ভুমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু ছয় দিনে সৃষ্টি করেছেন, অতঃপর তিনি আরশে বিরাজমান হয়েছেন। তিনি ব্যতীত তোমাদের কোন অভিভাবক ও সুপারিশকারী নেই। এরপরও কি তোমরা বুঝবে না?",
              "numberInSurah": 4,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী খালাকাছছামা-ওয়া-তি ওয়াল আরদা ওয়ামা-বাইনাহুমা-ফী ছিত্তাতি আইয়ামিন ছু ম্মাছ তাওয়া-‘আলাল ‘আরশি মা-লাকুম মিন দূ নিহী মিওঁ ওয়ালিইয়িওঁ ওয়ালাশাফী‘ইন আফালা-তাতাযাক্কারূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ ؕ/ٱلۡعَرۡشِۖ/al-'arshi//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//شَفِیْعٍ ؕ/شَفِيعٍۚ/shafi'in//اَفَلَا/أَفَلَا/afala//تَتَذَكَّرُوْنَ /تَتَذَكَّرُونَ/tatadhakkaruna",
              "words_bangla": "(তিনিই)আল্লাহ//যিনি//সৃষ্টি করেছেন//আকাশসমূহকে//ও পৃথিবীকে//এবং যা কিছু//উভয়ের মাঝে তাদের (আছে)//মধ্যে//ছয়//দিনের//এরপর//সমাসীন হন//উপর//আরশের//নেই//জন্যে তোমাদের//ছাড়া//তিনি//কোনো//অভিভাবক//আর না//সুপারিশকারী//কি তবে না//তোমরা উপদেশ গ্রহণ করবে"
            },
            {
              "number": 3508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3508.mp3"
              ],
              "text": "يُدَبِّرُ ٱلْأَمْرَ مِنَ ٱلسَّمَآءِ إِلَى ٱلْأَرْضِ ثُمَّ يَعْرُجُ إِلَيْهِ فِى يَوْمٍۢ كَانَ مِقْدَارُهُۥٓ أَلْفَ سَنَةٍۢ مِّمَّا تَعُدُّونَ",
              "translate_bn": "তিনি আকাশ থেকে পৃথিবী পর্যন্ত সমস্ত কর্ম পরিচালনা করেন, অতঃপর তা তাঁর কাছে পৌছবে এমন এক দিনে, যার পরিমাণ তোমাদের গণনায় হাজার বছরের সমান।",
              "numberInSurah": 5,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ইউদাব্বিরুল আমরা মিনাছছামাইইলালআরদিছু ম্মা ইয়া‘রুজুইলাইহি ফী ইয়াওমিন কানা মিকদা-রুহূআলফা ছানাতিম মিম্মা-তা‘উদ্দূন।\r\n",
              "words_arabic": "یُدَبِّرُ/يُدَبِّرُ/yudabbiru//الْاَمْرَ/ٱلۡأَمۡرَ/al-amra//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//ثُمَّ/ثُمَّ/thumma//یَعْرُجُ/يَعۡرُجُ/ya'ruju//اِلَیْهِ/إِلَيۡهِ/ilayhi//فِیْ/فِي/fi//یَوْمٍ/يَوۡمٖ/yawmin//كَانَ/كَانَ/kana//مِقْدَارُهٗۤ/مِقۡدَارُهُۥٓ/miq'daruhu//اَلْفَ/أَلۡفَ/alfa//سَنَةٍ/سَنَةٖ/sanatin//مِّمَّا/مِّمَّا/mimma//تَعُدُّوْنَ /تَعُدُّونَ/ta'udduna",
              "words_bangla": "তিনি পরিচালনা করেন//সবকাজের//থেকে//আকাশ//পর্যন্ত//পৃথিবী//এরপর//উত্থিত হবে//দিকে তাঁরই//মধ্যে//একদিনের//হবে//যার পরিমাণ (তোমাদের কাছে)//এক হাজার//বছর//সেই(হিসেব)থেকে যা//তোমরা গণনা করো"
            },
            {
              "number": 3509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3509.mp3"
              ],
              "text": "ذَٰلِكَ عَٰلِمُ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "তিনিই দৃশ্য ও অদৃশ্যের জ্ঞানী, পরাক্রমশালী, পরম দয়ালু,",
              "numberInSurah": 6,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ‘আ-লিমুল গাইবি ওয়াশশাহা-দাতিল ‘আঝীঝুর রাহীম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُۙ/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "তিনিই//জ্ঞানী//অদৃশ্যের//ও দৃশ্যের//মহাপরাক্রমশালী//পরম দয়ালু"
            },
            {
              "number": 3510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3510.mp3"
              ],
              "text": "ٱلَّذِىٓ أَحْسَنَ كُلَّ شَىْءٍ خَلَقَهُۥ ۖ وَبَدَأَ خَلْقَ ٱلْإِنسَٰنِ مِن طِينٍۢ",
              "translate_bn": "যিনি তাঁর প্রত্যেকটি সৃষ্টিকে সুন্দর করেছেন এবং কাদামাটি থেকে মানব সৃষ্টির সূচনা করেছেন।",
              "numberInSurah": 7,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী-আহছানা কুল্লা শাইয়িন খালাকাহূওয়া বাদাআ খালকাল ইনছা-নি মিন তীন।",
              "words_arabic": "الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَحْسَنَ/أَحۡسَنَ/ahsana//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//خَلَقَهٗ/خَلَقَهُۥۖ/khalaqahu//وَ بَدَاَ/وَبَدَأَ/wabada-a//خَلْقَ/خَلۡقَ/khalqa//الْاِنْسَانِ/ٱلۡإِنسَٰنِ/al-insani//مِنْ/مِن/min//طِیْنٍۚ/طِينٖ/tinin",
              "words_bangla": "যিনি//অতি উত্তম করেছেন//প্রত্যেক//বস্তকে//তিনি সৃষ্টি করেছেন তা//এবং সূচনা করেছেন//সৃষ্টি//মানুষের//থেকে//কাদামাটি"
            },
            {
              "number": 3511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3511.mp3"
              ],
              "text": "ثُمَّ جَعَلَ نَسْلَهُۥ مِن سُلَٰلَةٍۢ مِّن مَّآءٍۢ مَّهِينٍۢ",
              "translate_bn": "অতঃপর তিনি তার বংশধর সৃষ্টি করেন তুচ্ছ পানির নির্যাস থেকে।",
              "numberInSurah": 8,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা জা‘আলা নাছলাহূমিন ছুলা-লাতিম মিম মাইম মাহীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//جَعَلَ/جَعَلَ/ja'ala//نَسْلَهٗ/نَسۡلَهُۥ/naslahu//مِنْ/مِن/min//سُلٰلَةٍ/سُلَٰلَةٖ/sulalatin//مِّنْ/مِّن/min//مَّآءٍ/مَّآءٖ/main//مَّهِیْنٍۚ/مَّهِينٖ/mahinin",
              "words_bangla": "এরপর//সৃষ্টি করেছেন//বংশধরকে তার//থেকে//নির্যাস//থেকে//পানির//তুচ্ছ"
            },
            {
              "number": 3512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3512.mp3"
              ],
              "text": "ثُمَّ سَوَّىٰهُ وَنَفَخَ فِيهِ مِن رُّوحِهِۦ ۖ وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَٰرَ وَٱلْأَفْـِٔدَةَ ۚ قَلِيلًۭا مَّا تَشْكُرُونَ",
              "translate_bn": "অতঃপর তিনি তাকে সুষম করেন, তাতে রূহ সঞ্চার করেন এবং তোমাদেরকে দেন কর্ণ, চক্ষু ও অন্তঃকরণ। তোমরা সামান্যই কৃতজ্ঞতা প্রকাশ কর।",
              "numberInSurah": 9,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ছু ম্ম ছাওওয়া-হু ওয়া নাফাখা ফীহি মিররূহিহী ওয়া জা‘আলা লাকুমুছ ছাম‘আ ওয়াল আবসারা ওয়াল আফইদাতা কালীলাম মা-তাশকুরূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//سَوّٰىهُ/سَوَّىٰهُ/sawwahu//وَ نَفَخَ/وَنَفَخَ/wanafakha//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رُّوْحِهٖ/رُّوحِهِۦۖ/ruhihi//وَ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمُ/لَكُمُ/lakumu//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْاَبْصَارَ/وَٱلۡأَبۡصَٰرَ/wal-absara//وَ الْاَفْـِٕدَةَ ؕ/وَٱلۡأَفۡـِٔدَةَۚ/wal-afidata//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এরপর//সুঠাম করেছেন তাকে//ও ফুঁকে দিয়েছেন//মধ্যে তার//থেকে//রূহ তার//এবং দিয়েছেন//জন্যে তোমাদের//শ্রবণশক্তিসমূহ//ও দর্শনশক্তিসমূহ//ও অন্তরসমূহ//কমই//যা//তোমরা কৃতজ্ঞতা স্বীকার করো"
            },
            {
              "number": 3513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3513.mp3"
              ],
              "text": "وَقَالُوٓا۟ أَءِذَا ضَلَلْنَا فِى ٱلْأَرْضِ أَءِنَّا لَفِى خَلْقٍۢ جَدِيدٍۭ ۚ بَلْ هُم بِلِقَآءِ رَبِّهِمْ كَٰفِرُونَ",
              "translate_bn": "তারা বলে, আমরা মৃত্তিকায় মিশ্রিত হয়ে গেলেও পুনরায় নতুন করে সৃজিত হব কি? বরং তারা তাদের পালনকর্তার সাক্ষাতকে অস্বীকার করে।",
              "numberInSurah": 10,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 165,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূ ইযা-দালালনা-ফিল আরদিআইন্না-লাফী খালকিন জাদীম বাল হুম বিলিকাই রাব্বিহিম কা-ফিরূন।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//ءَاِذَا/أَءِذَا/a-idha//ضَلَلْنَا/ضَلَلۡنَا/dalalna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//ءَاِنَّا/أَءِنَّا/a-inna//لَفِیْ/لَفِي/lafi//خَلْقٍ/خَلۡقٖ/khalqin//جَدِیْدٍ ؕ۬/جَدِيدِۭۚ/jadidin//بَلْ/بَلۡ/bal//هُمْ/هُم/hum//بِلِقَآئِ/بِلِقَآءِ/biliqai//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "এবং তারা বলে//\"কি যখন//আমরা মিশে যাবো//মধ্যে//মাটির//কি নিশ্চয়ই আমরা (হবো)//অবশ্যই মধ্যে//সৃষ্টি//নতুন\"//বরং//তারা//সম্পর্কে সাক্ষাত//রবের তাদের//অস্বীকারকারী"
            },
            {
              "number": 3514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3514.mp3"
              ],
              "text": "۞ قُلْ يَتَوَفَّىٰكُم مَّلَكُ ٱلْمَوْتِ ٱلَّذِى وُكِّلَ بِكُمْ ثُمَّ إِلَىٰ رَبِّكُمْ تُرْجَعُونَ",
              "translate_bn": "বলুন, তোমাদের প্রাণ হরণের দায়িত্বে নিয়োজিত ফেরেশতা তোমাদের প্রাণ হরণ করবে। অতঃপর তোমরা তোমাদের পালনকর্তার কাছে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 11,
              "juz": 21,
              "manzil": 5,
              "page": 415,
              "ruku": 358,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াতাওয়াফফা-কুম মালাকুল মাওতিল্লাযী উক্কিলা বিকুমছু ম্মা ইলা-রাব্বিকুম তুরজা‘ঊন।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//یَتَوَفّٰىكُمْ/يَتَوَفَّىٰكُم/yatawaffakum//مَّلَكُ/مَّلَكُ/malaku//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//الَّذِیْ/ٱلَّذِي/alladhi//وُكِّلَ/وُكِّلَ/wukkila//بِكُمْ/بِكُمۡ/bikum//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//تُرْجَعُوْنَ۠/تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "বলো//\"প্রাণ নিবে তোমাদের//ফেরেশতারা//মৃত্যুর//যাকে//নিয়োগ করা হয়েছে//উপর তোমাদের//এরপর//দিকে//রবের তোমাদের//তোমরা প্রত্যাবর্তিত হবে\""
            },
            {
              "number": 3515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3515.mp3"
              ],
              "text": "وَلَوْ تَرَىٰٓ إِذِ ٱلْمُجْرِمُونَ نَاكِسُوا۟ رُءُوسِهِمْ عِندَ رَبِّهِمْ رَبَّنَآ أَبْصَرْنَا وَسَمِعْنَا فَٱرْجِعْنَا نَعْمَلْ صَٰلِحًا إِنَّا مُوقِنُونَ",
              "translate_bn": "যদি আপনি দেখতেন যখন অপরাধীরা তাদের পালনকর্তার সামনে নতশির হয়ে বলবে, হে আমাদের পালনকর্তা, আমরা দেখলাম ও শ্রবণ করলাম। এখন আমাদেরকে পাঠিয়ে দিন, আমরা সৎকর্ম করব। আমরা দৃঢ়বিশ্বাসী হয়ে গেছি।",
              "numberInSurah": 12,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও তারাইযিল মুজরিমূনা না-কিছূরুঊছিহিম ‘ইনদা রাব্বিহিম রাব্বানাআবসারনা-ওয়া ছামি‘না-ফারজি‘না-না‘মাল সা-লিহান ইন্না-মূকিনূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذِ/إِذِ/idhi//الْمُجْرِمُوْنَ/ٱلۡمُجۡرِمُونَ/al-muj'rimuna//نَاكِسُوْا/نَاكِسُواْ/nakisu//رُءُوْسِهِمْ/رُءُوسِهِمۡ/ruusihim//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؕ/رَبِّهِمۡ/rabbihim//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَبْصَرْنَا/أَبۡصَرۡنَا/absarna//وَ سَمِعْنَا/وَسَمِعۡنَا/wasami'na//فَارْجِعْنَا/فَٱرۡجِعۡنَا/fa-ir'ji'na//نَعْمَلْ/نَعۡمَلۡ/na'mal//صَالِحًا/صَٰلِحًا/salihan//اِنَّا/إِنَّا/inna//مُوْقِنُوْنَ /مُوقِنُونَ/muqinuna",
              "words_bangla": "এবং যদি//তুমি দেখতে//যখন//অপরাধীরা//অবনতকারী (হবে)//মাথাসমূহ তাদের//কাছে//রবের তাদের//\"(বলবে) হে আমাদের রব//দেখেছি আমরা//ও শুনেছি আমরা//এখন ফেরত পাঠান আমাদের//কাজ করবো আমরা//সৎ//নিশ্চয়ই আমরা//দৃঢ়বিশ্বাসী\""
            },
            {
              "number": 3516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3516.mp3"
              ],
              "text": "وَلَوْ شِئْنَا لَءَاتَيْنَا كُلَّ نَفْسٍ هُدَىٰهَا وَلَٰكِنْ حَقَّ ٱلْقَوْلُ مِنِّى لَأَمْلَأَنَّ جَهَنَّمَ مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ أَجْمَعِينَ",
              "translate_bn": "আমি ইচ্ছা করলে প্রত্যেককে সঠিক দিক নির্দেশ দিতাম; কিন্তু আমার এ উক্তি অবধারিত সত্য যে, আমি জিন ও মানব সকলকে দিয়ে অবশ্যই জাহান্নাম পূর্ণ করব।",
              "numberInSurah": 13,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও শি‘না-লাআ-তাইনা-কুল্লা নাফছিন হুদা-হা-ওয়া লা-কিন হাক্কাল কাওলুমিন্নী লাআমলাআন্না জাহান্নামা মিনাল জিন্নাতি ওয়ান্না-ছি আজমা‘ঈন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شِئْنَا/شِئۡنَا/shi'na//لَاٰتَیْنَا/لَأٓتَيۡنَا/laatayna//كُلَّ/كُلَّ/kulla//نَفْسٍ/نَفۡسٍ/nafsin//هُدٰىهَا/هُدَىٰهَا/hudaha//وَ لٰكِنْ/وَلَٰكِنۡ/walakin//حَقَّ/حَقَّ/haqqa//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//مِنِّیْ/مِنِّي/minni//لَاَمْلَـَٔنَّ/لَأَمۡلَأَنَّ/la-amla-anna//جَهَنَّمَ/جَهَنَّمَ/jahannama//مِنَ/مِنَ/mina//الْجِنَّةِ/ٱلۡجِنَّةِ/al-jinati//وَ النَّاسِ/وَٱلنَّاسِ/wal-nasi//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "এবং যদি//চাইতাম আমরা//অবশ্যই দিতাম আমরা//প্রত্যেক//ব্যক্তিকে//পথনির্দেশ তার//কিন্তু//অবধারিত হয়েছে//(শাস্তির)বাণী//পক্ষ হ'তে আমার//অবশ্যই (যে) পূর্ণ করবো আমি\"//জাহান্নামকে//দিয়ে//জিনদের//ও মানুষদের//একসাথে"
            },
            {
              "number": 3517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3517.mp3"
              ],
              "text": "فَذُوقُوا۟ بِمَا نَسِيتُمْ لِقَآءَ يَوْمِكُمْ هَٰذَآ إِنَّا نَسِينَٰكُمْ ۖ وَذُوقُوا۟ عَذَابَ ٱلْخُلْدِ بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "অতএব এ দিবসকে ভূলে যাওয়ার কারণে তোমরা মজা আস্বাদন কর। আমিও তোমাদেরকে ভুলে গেলাম। তোমরা তোমাদের কৃতকর্মের কারণে স্থায়ী আযাব ভোগ কর।",
              "numberInSurah": 14,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ফাযূকূবিমা-নাছীতুম লিকাআ ইয়াওমিকুম হা-যা- ইন্না-নাছীনা-কুম ওয়া যূকু ‘আযা-বাল খুলদি বিমা-কনতুম তা‘মালূন।",
              "words_arabic": "فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//بِمَا/بِمَا/bima//نَسِیْتُمْ/نَسِيتُمۡ/nasitum//لِقَآءَ/لِقَآءَ/liqaa//یَوْمِكُمْ/يَوۡمِكُمۡ/yawmikum//هٰذَا ۚ/هَٰذَآ/hadha//اِنَّا/إِنَّا/inna//نَسِیْنٰكُمْ/نَسِينَٰكُمۡۖ/nasinakum//وَ ذُوْقُوْا/وَذُوقُواْ/wadhuqu//عَذَابَ/عَذَابَ/adhaba//الْخُلْدِ/ٱلۡخُلۡدِ/al-khul'di//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "সুতরাং স্বাদ নাও//একারণে যা//ভুলে গিয়েছিলে তোমরা//সাক্ষাৎ//দিনের তোমাদের//এই//নিশ্চয়ই আমরাও//আমরা ভুলে গিয়েছি তোমাদের//এবং তোমরা স্বাদ গ্রহণ করো//শাস্তির//চিরকালীন//বিনিময়ে যা//তোমরা ছিলে//তোমরা  কাজ করতে\""
            },
            {
              "number": 3518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3518.mp3"
              ],
              "text": "إِنَّمَا يُؤْمِنُ بِـَٔايَٰتِنَا ٱلَّذِينَ إِذَا ذُكِّرُوا۟ بِهَا خَرُّوا۟ سُجَّدًۭا وَسَبَّحُوا۟ بِحَمْدِ رَبِّهِمْ وَهُمْ لَا يَسْتَكْبِرُونَ ۩",
              "translate_bn": "কেবল তারাই আমার আয়াতসমূহের প্রতি ঈমান আনে, যারা আয়াতসমূহ দ্বারা উপদেশপ্রাপ্ত হয়ে সেজদায় লুটিয়ে পড়ে এবং অহংকারমুক্ত হয়ে তাদের পালনকর্তার সপ্রশংস পবিত্রতা বর্ণনা করে।",
              "numberInSurah": 15,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": {
                "id": 10,
                "recommended": false,
                "obligatory": true
              },
              "pronunciation_bn": "ইন্নামা-ইউ’মিনুবিআ-য়া-তিনাল্লাযীনা ইযা-যুক্কিরূ বিহা-খাররূছুজ্জাদাওঁ ওয়াছাব্বাহূ বিহামদি রাব্বিহিম ওয়া হুম লা-ইয়াছতাকবিরূন (ছিজদাহ-৯)।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَا/إِذَا/idha//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//بِهَا/بِهَا/biha//خَرُّوْا/خَرُّواْۤ/kharru//سُجَّدًا/سُجَّدٗاۤ/sujjadan//وَّ سَبَّحُوْا/وَسَبَّحُواْ/wasabbahu//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَسْتَكْبِرُوْنَ۩/يَسۡتَكۡبِرُونَ۩/yastakbiruna",
              "words_bangla": "কেবল//ঈমান আনে//প্রতি আমাদের নিদর্শনাবলীর//(তারাই)যারা//যখন//তাদেরকে স্মরণ করিয়ে দেওয়া হয়//দ্বারা এ//লুটিয়ে পড়ে//সিজদায়//ও পবিত্রতা ঘোষণা করে//সহ প্রশংসা//রবের তাদের//এবং তারা//না//অহংকার করে"
            },
            {
              "number": 3519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3519.mp3"
              ],
              "text": "تَتَجَافَىٰ جُنُوبُهُمْ عَنِ ٱلْمَضَاجِعِ يَدْعُونَ رَبَّهُمْ خَوْفًۭا وَطَمَعًۭا وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "তাদের পার্শ্ব শয্যা থেকে আলাদা থাকে। তারা তাদের পালনকর্তাকে ডাকে ভয়ে ও আশায় এবং আমি তাদেরকে যে রিযিক দিয়েছি, তা থেকে ব্যয় করে।",
              "numberInSurah": 16,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "তাতাজা-ফা-জুনূবুহুম ‘আনিল মাদা-জি‘ই ইয়াদ‘ঊনা রাব্বাহুম খাওফাওঁ ওয়া তামা‘আওঁ ওয়ামিম্মা-রাঝাকনা-হুম ইউনফিকূন।\r\n",
              "words_arabic": "تَتَجَافٰی/تَتَجَافَىٰ/tatajafa//جُنُوْبُهُمْ/جُنُوبُهُمۡ/junubuhum//عَنِ/عَنِ/ani//الْمَضَاجِعِ/ٱلۡمَضَاجِعِ/al-madaji'i//یَدْعُوْنَ/يَدۡعُونَ/yad'una//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//خَوْفًا/خَوۡفٗا/khawfan//وَّ طَمَعًا ؗ/وَطَمَعٗا/watama'an//وَّ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَ /يُنفِقُونَ/yunfiquna",
              "words_bangla": "আলাদা থাকে//পাশগুলো তাদের//থেকে//শয্যাগুলো//তারা ডাকে//রবকে তাদের//ভয়ে//ও আশায়//এবং তা হ'তে যা//আমরা জীবিকা দিয়েছি তাদেরকে//তারা ব্যয় করে"
            },
            {
              "number": 3520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3520.mp3"
              ],
              "text": "فَلَا تَعْلَمُ نَفْسٌۭ مَّآ أُخْفِىَ لَهُم مِّن قُرَّةِ أَعْيُنٍۢ جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "কেউ জানে না তার জন্যে কৃতকর্মের কি কি নয়ন-প্রীতিকর প্রতিদান লুক্কায়িত আছে।",
              "numberInSurah": 17,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ফালা-তা‘লামুনাফছুম মাউখফিয়া লাহুম মিন কুররাতি আ‘ইউনিন জাঝাআম বিমা-কানূইয়া‘মালূন।",
              "words_arabic": "فَلَا/فَلَا/fala//تَعْلَمُ/تَعۡلَمُ/ta'lamu//نَفْسٌ/نَفۡسٞ/nafsun//مَّاۤ/مَّآ/ma//اُخْفِیَ/أُخۡفِيَ/ukh'fiya//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//قُرَّةِ/قُرَّةِ/qurrati//اَعْیُنٍ ۚ/أَعۡيُنٖ/a'yunin//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "অতঃপর না//জানে//কোনো ব্যক্তিই//যা//লুকিয়ে রাখা হয়েছে//জন্যে তাদের//থেকে//শীতলকারী (জিনিসসমূহ)//চোখসমূহের//প্রতিদান হিসেবে//বিনিময়ে যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 3521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3521.mp3"
              ],
              "text": "أَفَمَن كَانَ مُؤْمِنًۭا كَمَن كَانَ فَاسِقًۭا ۚ لَّا يَسْتَوُۥنَ",
              "translate_bn": "ঈমানদার ব্যক্তি কি অবাধ্যের অনুরূপ? তারা সমান নয়।",
              "numberInSurah": 18,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "আফামান কা-না মু’মিনান কামান কা-না ফা-ছিকাল লা-ইয়াছতাউন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//كَانَ/كَانَ/kana//مُؤْمِنًا/مُؤۡمِنٗا/mu'minan//كَمَنْ/كَمَن/kaman//كَانَ/كَانَ/kana//فَاسِقًا ؔؕ/فَاسِقٗاۚ/fasiqan//لَا/لَّا/la//یَسْتَوٗنَ/يَسۡتَوُۥنَ/yastawuna",
              "words_bangla": "কি তবে যে//হবে//মু'মিন//(সে কি তার) মতো যে//হয়//সত্যত্যাগী (দুষ্কৃতিকারী)//না//তারা সমান হতে পারে"
            },
            {
              "number": 3522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3522.mp3"
              ],
              "text": "أَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَلَهُمْ جَنَّٰتُ ٱلْمَأْوَىٰ نُزُلًۢا بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যারা ঈমান আনে ও সৎকর্ম করে, তাদের জন্যে রয়েছে তাদের কৃতকর্মের আপ্যায়নস্বরূপ বসবাসের জান্নাত।",
              "numberInSurah": 19,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "আম্মাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফালাহুম জান্না-তুল মা’ওয়া- নুঝুলাম বিমা-কা-নূইয়া‘মালূন।\r\n",
              "words_arabic": "اَمَّا/أَمَّا/amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَلَهُمْ/فَلَهُمۡ/falahum//جَنّٰتُ/جَنَّـٰتُ/jannatu//الْمَاْوٰی ؗ/ٱلۡمَأۡوَىٰ/al-mawa//نُزُلًۢا/نُزُلَۢا/nuzulan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "(আর তাদের)ব্যাপার//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//অতঃপর জন্যে তাদের//জান্নাতসমূহ//বসবাসের//আপ্যায়ন হিসেবে//বিনিময়ে যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 3523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3523.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ فَسَقُوا۟ فَمَأْوَىٰهُمُ ٱلنَّارُ ۖ كُلَّمَآ أَرَادُوٓا۟ أَن يَخْرُجُوا۟ مِنْهَآ أُعِيدُوا۟ فِيهَا وَقِيلَ لَهُمْ ذُوقُوا۟ عَذَابَ ٱلنَّارِ ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ",
              "translate_bn": "পক্ষান্তরে যারা অবাধ্য হয়, তাদের ঠিকানা জাহান্নাম। যখনই তারা জাহান্নাম থেকে বের হতে চাইবে, তখনই তাদেরকে তথায় ফিরিয়ে দেয়া হবে এবং তাদেরকে বলা হবে, তোমরা জাহান্নামের যে আযাবকে মিথ্যা বলতে, তার স্বাদ আস্বাদন কর।",
              "numberInSurah": 20,
              "juz": 21,
              "manzil": 5,
              "page": 416,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল্লাযীনা ফাছাকূফামা’ওয়া-হুমুন্না-রু কুল্লামাআরা-দূ আইঁ ইয়াখরুজূ মিনহা-উ‘ঈদূফীহা-ওয়াকীলা লাহুম যূকূ‘আযা-বান্না-রিল্লাযী কুনতুম বিহী তুকাযযিবূন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فَسَقُوْا/فَسَقُواْ/fasaqu//فَمَاْوٰىهُمُ/فَمَأۡوَىٰهُمُ/famawahumu//النَّارُ ؕ/ٱلنَّارُۖ/al-naru//كُلَّمَاۤ/كُلَّمَآ/kullama//اَرَادُوْۤا/أَرَادُوٓاْ/aradu//اَنْ/أَن/an//یَّخْرُجُوْا/يَخۡرُجُواْ/yakhruju//مِنْهَاۤ/مِنۡهَآ/min'ha//اُعِیْدُوْا/أُعِيدُواْ/u'idu//فِیْهَا/فِيهَا/fiha//وَ قِیْلَ/وَقِيلَ/waqila//لَهُمْ/لَهُمۡ/lahum//ذُوْقُوْا/ذُوقُواْ/dhuqu//عَذَابَ/عَذَابَ/adhaba//النَّارِ/ٱلنَّارِ/al-nari//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تُكَذِّبُوْنَ /تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "আর(তাদের)ক্ষেত্রে//যারা//সত্যত্যাগ করেছে//অতঃপর বাসস্থান হবে তাদের//আগুন//যখনই//তারা ইচ্ছে করবে//যে//তারা বের হবে//থেকে তা//ফিরিয়ে দেওয়া হবে//মধ্যে তার//এবং বলা হবে//উদ্দেশ্যে তাদের//\"তোমরা স্বাদ নাও//শাস্তির//আগুনের//যা//তোমরা ছিলে//সম্বন্ধে সে//মিথ্যারোপ করতে\""
            },
            {
              "number": 3524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3524.mp3"
              ],
              "text": "وَلَنُذِيقَنَّهُم مِّنَ ٱلْعَذَابِ ٱلْأَدْنَىٰ دُونَ ٱلْعَذَابِ ٱلْأَكْبَرِ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "গুরু শাস্তির পূর্বে আমি অবশ্যই তাদেরকে লঘু শাস্তি আস্বাদন করাব, যাতে তারা প্রত্যাবর্তন করে।",
              "numberInSurah": 21,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়ালানুযীকান্নাহুম মিনাল ‘আযা-বিল আদনা-দূনাল ‘আযা-বিল আকবারি লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ لَنُذِیْقَنَّهُمْ/وَلَنُذِيقَنَّهُم/walanudhiqannahum//مِّنَ/مِّنَ/mina//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْاَدْنٰی/ٱلۡأَدۡنَىٰ/al-adna//دُوْنَ/دُونَ/duna//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْاَكْبَرِ/ٱلۡأَكۡبَرِ/al-akbari//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং অবশ্যই আস্বাদন করাবোই আমরা তাদের//কিছু//শাস্তি (দ্বারা)//হালকা (দুনিয়ার)//ছাড়াও//শাস্তি (আখেরাতের)//বড়//সম্ভবত তারা//ফিরে আসবে"
            },
            {
              "number": 3525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3525.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّن ذُكِّرَ بِـَٔايَٰتِ رَبِّهِۦ ثُمَّ أَعْرَضَ عَنْهَآ ۚ إِنَّا مِنَ ٱلْمُجْرِمِينَ مُنتَقِمُونَ",
              "translate_bn": "যে ব্যক্তিকে তার পালনকর্তার আয়াতসমূহ দ্বারা উপদেশ দান করা হয়, অতঃপর সে তা থেকে মুখ ফিরিয়ে নেয়, তার চেয়ে যালেম আর কে? আমি অপরাধীদেরকে শাস্তি দেব।",
              "numberInSurah": 22,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 359,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামুমিম মান যুক্কিরা বিআ-য়া-তি রাব্বিহী ছুম্মা আ‘রাদা ‘আনহা- ইন্না-মিনাল মুজরিমীনা মুনতাকিমূন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//ذُكِّرَ/ذُكِّرَ/dhukkira//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهٖ/رَبِّهِۦ/rabbihi//ثُمَّ/ثُمَّ/thumma//اَعْرَضَ/أَعۡرَضَ/a'rada//عَنْهَا ؕ/عَنۡهَآۚ/anha//اِنَّا/إِنَّا/inna//مِنَ/مِنَ/mina//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//مُنْتَقِمُوْنَ۠/مُنتَقِمُونَ/muntaqimuna",
              "words_bangla": "এবং কে//বড় সীমালঙ্ঘনকারী//(তার) চেয়ে যাকে//উপদেশ দেওয়া হয়//দিয়ে নিদর্শন সমূহ//রবের তার//এরপরও//সে মুখ ফিরিয়ে নেয়//থেকে তা//নিশ্চয়ই আমরা//থেকে//অপরাধীদের//প্রতিশোধ গ্রহণকারী"
            },
            {
              "number": 3526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3526.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ فَلَا تَكُن فِى مِرْيَةٍۢ مِّن لِّقَآئِهِۦ ۖ وَجَعَلْنَٰهُ هُدًۭى لِّبَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "আমি মূসাকে কিতাব দিয়েছি, অতএব আপনি কোরআন প্রাপ্তির বিষয়ে কোন সন্দেহ করবেন না। আমি একে বনী ইসরাঈলের জন্যে পথ প্রদর্শক করেছিলাম।",
              "numberInSurah": 23,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছাল কিতা-বা ফালা-তাকুন ফী মিরইয়াতিম মিললিকাইহী ওয়া জা‘আলনা-হু হুদাল লিবানীইসরাঈল।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//فَلَا/فَلَا/fala//تَكُنْ/تَكُن/takun//فِیْ/فِي/fi//مِرْیَةٍ/مِرۡيَةٖ/mir'yatin//مِّنْ/مِّن/min//لِّقَآىِٕهٖ/لِّقَآئِهِۦۖ/liqaihi//وَ جَعَلْنٰهُ/وَجَعَلۡنَٰهُ/waja'alnahu//هُدًی/هُدٗى/hudan//لِّبَنِیْۤ/لِّبَنِيٓ/libani//اِسْرَآءِیْلَۚ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "এবং নিশ্চয়ই//দিয়েছি আমরা//মূসাকে//কিতাব//সুতরাং না (যেন)//তুমি হয়ো (থাকো)//মধ্যে//সন্দেহের//ব্যাপারে//পাওয়ার তা//এবং আমরা বানিয়েছিলাম তাকে//পথনির্দেশনা//জন্যে সন্তানদের//ইসরাঈলের"
            },
            {
              "number": 3527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3527.mp3"
              ],
              "text": "وَجَعَلْنَا مِنْهُمْ أَئِمَّةًۭ يَهْدُونَ بِأَمْرِنَا لَمَّا صَبَرُوا۟ ۖ وَكَانُوا۟ بِـَٔايَٰتِنَا يُوقِنُونَ",
              "translate_bn": "তারা সবর করত বিধায় আমি তাদের মধ্য থেকে নেতা মনোনীত করেছিলাম, যারা আমার আদেশে পথ প্রদর্শন করত। তারা আমার আয়াতসমূহে দৃঢ় বিশ্বাসী ছিল।",
              "numberInSurah": 24,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-মিনহুম আইম্মাতাইঁ ইয়াহদূ না বিআমরিনা-লাম্মা-সাবারূ ওয়া কা-নূ বিআ-য়া-তিনা-ইঊকিনূন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَىِٕمَّةً/أَئِمَّةٗ/a-immatan//یَّهْدُوْنَ/يَهۡدُونَ/yahduna//بِاَمْرِنَا/بِأَمۡرِنَا/bi-amrina//لَمَّا/لَمَّا/lamma//صَبَرُوْا ؕ۫/صَبَرُواْۖ/sabaru//وَ كَانُوْا/وَكَانُواْ/wakanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یُوْقِنُوْنَ /يُوقِنُونَ/yuqinuna",
              "words_bangla": "এবং মনোনীত করেছিলাম আমরা//মধ্যে থেকে তাদের//(অনেক) নেতা//(যারা) পথ দেখাতো//অনুসারে আমাদের নির্দেশ//যখন//তারা ধৈর্য ধরেছিলো//এবং তারা ছিলো//প্রতি আমাদের নিদর্শনগুলোর//দৃঢ়বিশ্বাস করতো"
            },
            {
              "number": 3528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3528.mp3"
              ],
              "text": "إِنَّ رَبَّكَ هُوَ يَفْصِلُ بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "তারা যে বিষয়ে মত বিরোধ করছে, আপনার পালনকর্তাই কেয়ামতের দিন সে বিষয়ে তাদের মধ্যে ফয়সালা দেবেন।",
              "numberInSurah": 25,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা হুওয়া ইয়াফসিলু বাইনাহুম ইয়াওমাল কিয়া-মাতি ফীমা-কা-নূ ফীহি ইয়াখতালিফূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//یَفْصِلُ/يَفۡصِلُ/yafsilu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "নিশ্চয়ই//তোমার রব//তিনিই//মীমাংসা করে দিবেন//মাঝে তাদের//দিনে//ক্বিয়ামাতের//ঐ বিষয়ে যা//তারা ছিলো//বিষয়ে সে//তারা মত-বিরোধ করতো"
            },
            {
              "number": 3529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3529.mp3"
              ],
              "text": "أَوَلَمْ يَهْدِ لَهُمْ كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّنَ ٱلْقُرُونِ يَمْشُونَ فِى مَسَٰكِنِهِمْ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍ ۖ أَفَلَا يَسْمَعُونَ",
              "translate_bn": "এতে কি তাদের চোখ খোলেনি যে, আমি তাদের পূর্বে অনেক সম্প্রদায়কে ধ্বংস করেছি, যাদের বাড়ী-ঘরে এরা বিচরণ করে। অবশ্যই এতে নিদর্শনাবলী রয়েছে। তারা কি শোনে না?",
              "numberInSurah": 26,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়াহদিলাহুম কাম আহলাকনা-মিন কাবলিহিম মিনাল কুরূনি ইয়ামশূনা ফী মাছাকিনিহিম ইন্না ফী যা-লিকা লাআ-য়া-তিন আফালা-ইয়াছমা‘ঊন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَهْدِ/يَهۡدِ/yahdi//لَهُمْ/لَهُمۡ/lahum//كَمْ/كَمۡ/kam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنَ/مِّنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//یَمْشُوْنَ/يَمۡشُونَ/yamshuna//فِیْ/فِي/fi//مَسٰكِنِهِمْ ؕ/مَسَٰكِنِهِمۡۚ/masakinihim//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ ؕ/لَأٓيَٰتٍۚ/laayatin//اَفَلَا/أَفَلَا/afala//یَسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "(এটাও) কি না//পথপ্রদর্শন করে//জন্যে তাদের//কতই (না)//ধ্বংস করেছি আমরা//থেকে//পূর্ব তাদের//মধ্য হ'তে//মানবগোষ্ঠীর//তারা বিচরণ করে//মধ্য দিয়ে//বাসভূমির তাদের//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//কি তবুও না//তারা শুনবে"
            },
            {
              "number": 3530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3530.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّا نَسُوقُ ٱلْمَآءَ إِلَى ٱلْأَرْضِ ٱلْجُرُزِ فَنُخْرِجُ بِهِۦ زَرْعًۭا تَأْكُلُ مِنْهُ أَنْعَٰمُهُمْ وَأَنفُسُهُمْ ۖ أَفَلَا يُبْصِرُونَ",
              "translate_bn": "তারা কি লক্ষ্য করে না যে, আমি উষর ভূমিতে পানি প্রবাহিত করে শস্য উদগত করি, যা থেকে ভক্ষণ করে তাদের জন্তুরা এবং তারা কি দেখে না?",
              "numberInSurah": 27,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাম ইয়ারাও আন্না-নাছূকুল মাআ ইলাল আরদিল জুরুঝি ফানুখরিজুবিহী ঝার‘আন তা’কুলুমিনহু আন‘আ-মুহুম ওয়া আনফুছুহুম আফালা-ইউবসিরূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّا/أَنَّا/anna//نَسُوْقُ/نَسُوقُ/nasuqu//الْمَآءَ/ٱلۡمَآءَ/al-maa//اِلَی/إِلَى/ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//الْجُرُزِ/ٱلۡجُرُزِ/al-juruzi//فَنُخْرِجُ/فَنُخۡرِجُ/fanukh'riju//بِهٖ/بِهِۦ/bihi//زَرْعًا/زَرۡعٗا/zar'an//تَاْكُلُ/تَأۡكُلُ/takulu//مِنْهُ/مِنۡهُ/min'hu//اَنْعَامُهُمْ/أَنۡعَٰمُهُمۡ/an'amuhum//وَ اَنْفُسُهُمْ ؕ/وَأَنفُسُهُمۡۚ/wa-anfusuhum//اَفَلَا/أَفَلَا/afala//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "কি না//তারা দেখে//যে আমরা//প্রবাহিত করি//পানি//দিকে//ভূমির//(তৃণ পানিবিহীন) ঊষর//এরপর বের করি আমরা//দিয়ে তা//শস্য//খায়//থেকে তা//গবাদি পশু তাদের//এবং নিজেরাও তারা//কি তবুুও  না//তারা লক্ষ্য করবে (বা বুঝবে)"
            },
            {
              "number": 3531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3531.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْفَتْحُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা বলে তোমরা সত্যবাদী হলে বল; কবে হবে এই ফয়সালা?",
              "numberInSurah": 28,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ফাতহুইন কনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْفَتْحُ/ٱلۡفَتۡحُ/al-fathu//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন (আসবে)//এই//মীমাংসা//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 3532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3532.mp3"
              ],
              "text": "قُلْ يَوْمَ ٱلْفَتْحِ لَا يَنفَعُ ٱلَّذِينَ كَفَرُوٓا۟ إِيمَٰنُهُمْ وَلَا هُمْ يُنظَرُونَ",
              "translate_bn": "বলুন, ফয়সালার দিনে কাফেরদের ঈমান তাদের কোন কাজে আসবে না এবং তাদেরকে অবকাশ ও দেয়া হবে না।",
              "numberInSurah": 29,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াওমাল ফাতহিলা-ইয়ানফা‘উল্লাযীনা কাফারূঈমা-নুহুম ওয়ালা-হুম ইউনজারূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یَوْمَ/يَوۡمَ/yawma//الْفَتْحِ/ٱلۡفَتۡحِ/al-fathi//لَا/لَا/la//یَنْفَعُ/يَنفَعُ/yanfa'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِیْمَانُهُمْ/إِيمَٰنُهُمۡ/imanuhum//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْظَرُوْنَ /يُنظَرُونَ/yunzaruna",
              "words_bangla": "বলো//\"দিন//মীমাংসার//না//উপকার দিবে//(তাদের) যারা//অবিশ্বাস করেছে//ঈমান তাদের//আর না//তাদের//অবকাশ দেওয়া হবে\""
            },
            {
              "number": 3533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3533.mp3"
              ],
              "text": "فَأَعْرِضْ عَنْهُمْ وَٱنتَظِرْ إِنَّهُم مُّنتَظِرُونَ",
              "translate_bn": "অতএব আপনি তাদের থেকে মুখ ফিরিয়ে নিন এবং অপেক্ষা করুন, তারাও অপেক্ষা করছে।",
              "numberInSurah": 30,
              "juz": 21,
              "manzil": 5,
              "page": 417,
              "ruku": 360,
              "hizbQuarter": 166,
              "sajda": false,
              "pronunciation_bn": "ফাআ‘রিদ‘আনহুম ওয়ানতাজির ইন্নাহুম মুনতাজিরূন।",
              "words_arabic": "فَاَعْرِضْ/فَأَعۡرِضۡ/fa-a'rid//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ انْتَظِرْ/وَٱنتَظِرۡ/wa-intazir//اِنَّهُمْ/إِنَّهُم/innahum//مُّنْتَظِرُوْنَ۠/مُّنتَظِرُونَ/muntaziruna",
              "words_bangla": "সুতরাং (এ অবস্থায়) ছেড়ে দাও//ব্যাপারে তাদের//ও অপেক্ষা করো//নিশ্চয়ই তারাও//অপেক্ষাকারী"
            }
          ]
        },
        {
          "number": 33,
          "name": "سُورَةُ الأَحۡزَابِ",
          "englishName": "Al-Ahzaab",
          "englishNameTranslation": "The Clans",
          "revelationType": "Medinan",
          "verse": 73,
          "words": 2594,
          "chars": 11343,
          "ayahs": [
            {
              "number": 3534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3534.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلنَّبِىُّ ٱتَّقِ ٱللَّهَ وَلَا تُطِعِ ٱلْكَٰفِرِينَ وَٱلْمُنَٰفِقِينَ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "হে নবী! আল্লাহকে ভয় করুন এবং কাফের ও কপট বিশ্বাসীদের কথা মানবেন না। নিশ্চয় আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 1,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুত্তাকিল্লা-হা ওয়ালা তুতি‘ইল কা-ফিরীনা ওয়াল মুনা-ফিকীনা ইন্নাল্লা-হা কা-না ‘আলীমান হাকীমা।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اتَّقِ/ٱتَّقِ/ittaqi//اللّٰهَ/ٱللَّهَ/al-laha//وَ لَا/وَلَا/wala//تُطِعِ/تُطِعِ/tuti'i//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//وَ الْمُنٰفِقِیْنَ ؕ/وَٱلۡمُنَٰفِقِينَۚ/wal-munafiqina//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًاۙ/حَكِيمٗا/hakiman",
              "words_bangla": "হে//নাবী//ভয় করো//আল্লাহকে//এবং না//আনুগত্য করো//কাফিরদের//আর (না) মুনাফিকদেরকে//নিশ্চয়ই//আল্লাহ//হলেন//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 3535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3535.mp3"
              ],
              "text": "وَٱتَّبِعْ مَا يُوحَىٰٓ إِلَيْكَ مِن رَّبِّكَ ۚ إِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًۭا",
              "translate_bn": "আপনার পালনকর্তার পক্ষ থেকে যা অবতীর্ণ হয়, আপনি তার অনুসরণ করুন। নিশ্চয় তোমরা যা কর, আল্লাহ সে বিষয়ে খবর রাখেন।",
              "numberInSurah": 2,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাবি‘ মা-ইঊহাইলাইকা মির রাব্বিকা ইন্নাল্লা-হা কা-না বিমা-তা‘মালূনা খাবীরা-।",
              "words_arabic": "وَّ اتَّبِعْ/وَٱتَّبِعۡ/wa-ittabi'//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ ؕ/رَّبِّكَۚ/rabbika//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرًاۙ/خَبِيرٗا/khabiran",
              "words_bangla": "এবং অনুসরণ করো//যা//ওহী করা হয়েছে//প্রতি তোমার//পক্ষ হ'তে//রবের তোমার//নিশ্চয়ই//আল্লাহ//হলেন//ঐ বিষয়ে যা//তোমরা কাজ করো//খুব অবহিত"
            },
            {
              "number": 3536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3536.mp3"
              ],
              "text": "وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًۭا",
              "translate_bn": "আপনি আল্লাহর উপর ভরসা করুন। কার্যনির্বাহীরূপে আল্লাহই যথেষ্ট।",
              "numberInSurah": 3,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাওয়াক্কাল ‘আলাল্লা-হি ওয়া কাফা-বিল্লা-হি ওয়াকীলা-।",
              "words_arabic": "وَّ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "এবং নির্ভর করো//উপর//আল্লাহর//এবং যথেষ্ট//আল্লাহই//(দায়িত্বশীল বা) কর্মবিধায়করূপে"
            },
            {
              "number": 3537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3537.mp3"
              ],
              "text": "مَّا جَعَلَ ٱللَّهُ لِرَجُلٍۢ مِّن قَلْبَيْنِ فِى جَوْفِهِۦ ۚ وَمَا جَعَلَ أَزْوَٰجَكُمُ ٱلَّٰٓـِٔى تُظَٰهِرُونَ مِنْهُنَّ أُمَّهَٰتِكُمْ ۚ وَمَا جَعَلَ أَدْعِيَآءَكُمْ أَبْنَآءَكُمْ ۚ ذَٰلِكُمْ قَوْلُكُم بِأَفْوَٰهِكُمْ ۖ وَٱللَّهُ يَقُولُ ٱلْحَقَّ وَهُوَ يَهْدِى ٱلسَّبِيلَ",
              "translate_bn": "আল্লাহ কোন মানুষের মধ্যে দুটি হৃদয় স্থাপন করেননি। তোমাদের স্ত্রীগণ যাদের সাথে তোমরা যিহার কর, তাদেরকে তোমাদের জননী করেননি এবং তোমাদের পোষ্যপুত্রদেরকে তোমাদের পুত্র করেননি। এগুলো তোমাদের মুখের কথা মাত্র। আল্লাহ ন্যায় কথা বলেন এবং পথ প্রদর্শন করেন।",
              "numberInSurah": 4,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "মা-জা‘আলাল্লা-হু লিরাজুলিম মিন কালবাইনি ফী জাওফিহী ওয়ামা-জা‘আলা আঝওয়াজাকুমুল লাঈ তুজা-হিরূনা মিনহুন্না উম্মাহা-তিকুম ওয়ামা-জা‘আলা আদ‘ইয়াআকুম আবনাআকুম যা-লিকুম কাওলুকুম বিআফওয়া-হিকুম ওয়াল্লাহু ইয়াকূলুল হাক্কা ওয়াহুওয়া ইয়াহদিছছাবীল।\r\n",
              "words_arabic": "مَا/مَّا/ma//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لِرَجُلٍ/لِرَجُلٖ/lirajulin//مِّنْ/مِّن/min//قَلْبَیْنِ/قَلۡبَيۡنِ/qalbayni//فِیْ/فِي/fi//جَوْفِهٖ ۚ/جَوۡفِهِۦۚ/jawfihi//وَ مَا/وَمَا/wama//جَعَلَ/جَعَلَ/ja'ala//اَزْوَاجَكُمُ/أَزۡوَٰجَكُمُ/azwajakumu//الّٰٓـِٔیْ/ٱلَّـٰٓـِٔي/allai//تُظٰهِرُوْنَ/تُظَٰهِرُونَ/tuzahiruna//مِنْهُنَّ/مِنۡهُنَّ/min'hunna//اُمَّهٰتِكُمْ ۚ/أُمَّهَٰتِكُمۡۚ/ummahatikum//وَ مَا/وَمَا/wama//جَعَلَ/جَعَلَ/ja'ala//اَدْعِیَآءَكُمْ/أَدۡعِيَآءَكُمۡ/ad'iyaakum//اَبْنَآءَكُمْ ؕ/أَبۡنَآءَكُمۡۚ/abnaakum//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//قَوْلُكُمْ/قَوۡلُكُم/qawlukum//بِاَفْوَاهِكُمْ ؕ/بِأَفۡوَٰهِكُمۡۖ/bi-afwahikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَقُوْلُ/يَقُولُ/yaqulu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//وَ هُوَ/وَهُوَ/wahuwa//یَهْدِی/يَهۡدِي/yahdi//السَّبِیْلَ /ٱلسَّبِيلَ/al-sabila",
              "words_bangla": "না//সৃষ্টি করেছেন//আল্লাহ//জন্যে কোনো ব্যক্তির//দিয়ে//দু'টি হৃদয়//মধ্যে//অভ্যন্তরে তার//এবং না//বানিয়েছেন//স্ত্রীদেরকে তোমাদের//যাদেরকে//তোমরা জিহার কর//মধ্যে হ'তে তাদের//তোমাদের মা তোমাদের//আর না//(আল্লাহ) করেছেন//মুখডাকা পুত্রদেরকে (পালকপুত্র)তোমাদের//(প্রকৃত)পুত্র তোমাদের//এটা//(মুখে বলা)কথা তোমাদের//দিয়ে মুখ(বলা)তোমাদের//এবং আল্লাহই//বলেন//সত্য//এবং তিনিই//পরিচালনা করেন//(সৎ)পথে"
            },
            {
              "number": 3538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3538.mp3"
              ],
              "text": "ٱدْعُوهُمْ لِءَابَآئِهِمْ هُوَ أَقْسَطُ عِندَ ٱللَّهِ ۚ فَإِن لَّمْ تَعْلَمُوٓا۟ ءَابَآءَهُمْ فَإِخْوَٰنُكُمْ فِى ٱلدِّينِ وَمَوَٰلِيكُمْ ۚ وَلَيْسَ عَلَيْكُمْ جُنَاحٌۭ فِيمَآ أَخْطَأْتُم بِهِۦ وَلَٰكِن مَّا تَعَمَّدَتْ قُلُوبُكُمْ ۚ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًا",
              "translate_bn": "তোমরা তাদেরকে তাদের পিতৃপরিচয়ে ডাক। এটাই আল্লাহর কাছে ন্যায়সঙ্গত। যদি তোমরা তাদের পিতৃ-পরিচয় না জান, তবে তারা তোমাদের ধর্মীয় ভাই ও বন্ধুরূপে গণ্য হবে। এ ব্যাপারে তোমাদের কোন বিচ্যুতি হলে তাতে তোমাদের কোন গোনাহ নেই, তবে ইচ্ছাকৃত হলে ভিন্ন কথা। আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 5,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "উদ‘ঊহুম লিআ-বাইহিম হুওয়া আকছাতু‘ইনদাল্লা-হি ফাইল্লাম তা‘লামূআবাআহুম ফাইখওয়া-নুকুম ফিদ্দীনি ওয়া মাওয়া-লীকুম ওয়া লাইছা ‘আলাইকুম জুনাহুন ফীমাআখতাতুম বিহী ওয়ালা-কিম মা-তা‘আম্মাদাত কুলূবুকুম ওয়া কানাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "اُدْعُوْهُمْ/ٱدۡعُوهُمۡ/id'uhum//لِاٰبَآىِٕهِمْ/لِأٓبَآئِهِمۡ/liabaihim//هُوَ/هُوَ/huwa//اَقْسَطُ/أَقۡسَطُ/aqsatu//عِنْدَ/عِندَ/inda//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَعْلَمُوْۤا/تَعۡلَمُوٓاْ/ta'lamu//اٰبَآءَهُمْ/ءَابَآءَهُمۡ/abaahum//فَاِخْوَانُكُمْ/فَإِخۡوَٰنُكُمۡ/fa-ikh'wanukum//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//وَ مَوَالِیْكُمْ ؕ/وَمَوَٰلِيكُمۡۚ/wamawalikum//وَ لَیْسَ/وَلَيۡسَ/walaysa//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//جُنَاحٌ/جُنَاحٞ/junahun//فِیْمَاۤ/فِيمَآ/fima//اَخْطَاْتُمْ/أَخۡطَأۡتُم/akhtatum//بِهٖ ۙ/بِهِۦ/bihi//وَ لٰكِنْ/وَلَٰكِن/walakin//مَّا/مَّا/ma//تَعَمَّدَتْ/تَعَمَّدَتۡ/ta'ammadat//قُلُوْبُكُمْ ؕ/قُلُوبُكُمۡۚ/qulubukum//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمًا/rahiman",
              "words_bangla": "তোমরা ডাকো তাদেরকে//নিয়ে পিতাদের তাদের (সম্পর্কে)//তা-ই//অধিক ন্যায়সঙ্গত//কাছে//আল্লাহর//অতঃপর যদি//না//তোমরা জানো//পিতাদের তাদের(পরিচয়)//তবে ভাই তোমাদের//ভিত্তিতে//দ্বীনের//ও  বন্ধু তোমাদের//এবং নেই//উপর তোমাদের//কোনো ত্রুটি//(এসব বিষয়ে) যা//তোমরা ভুল করে ফেলেছো//সম্পর্কে সে//কিন্তু//যা//ইচ্ছাকৃতভাবে করে//অন্তর তোমাদের//এবং হলেন//আল্লাহ্‌//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3539.mp3"
              ],
              "text": "ٱلنَّبِىُّ أَوْلَىٰ بِٱلْمُؤْمِنِينَ مِنْ أَنفُسِهِمْ ۖ وَأَزْوَٰجُهُۥٓ أُمَّهَٰتُهُمْ ۗ وَأُو۟لُوا۟ ٱلْأَرْحَامِ بَعْضُهُمْ أَوْلَىٰ بِبَعْضٍۢ فِى كِتَٰبِ ٱللَّهِ مِنَ ٱلْمُؤْمِنِينَ وَٱلْمُهَٰجِرِينَ إِلَّآ أَن تَفْعَلُوٓا۟ إِلَىٰٓ أَوْلِيَآئِكُم مَّعْرُوفًۭا ۚ كَانَ ذَٰلِكَ فِى ٱلْكِتَٰبِ مَسْطُورًۭا",
              "translate_bn": "নবী মুমিনদের নিকট তাদের নিজেদের অপেক্ষা অধিক ঘনিষ্ঠ এবং তাঁর স্ত্রীগণ তাদের মাতা। আল্লাহর বিধান অনুযায়ী মুমিন ও মুহাজিরগণের মধ্যে যারা আত্নীয়, তারা পরস্পরে অধিক ঘনিষ্ঠ। তবে তোমরা যদি তোমাদের বন্ধুদের প্রতি দয়া-দাক্ষিণ্য করতে চাও, করতে পার। এটা লওহে-মাহফুযে লিখিত আছে।",
              "numberInSurah": 6,
              "juz": 21,
              "manzil": 5,
              "page": 418,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "আন্নাবিইয়ুআওলা-বিলমু’মিনীনা মিন আনফুছিহিম ওয়া আঝওয়া-জুহূ উম্মাহা-তুহুম ওয়া উলুল আরহা-মি বাদুহুম আওলা-ব্বিা‘দিন ফী কিতা-বিল্লা-হি মিনাল মু’মিনীনা ওয়াল মুহা-জিরীনা ইল্লাআন তাফ‘আলূ ইলাআওলিয়াইকুম মা‘রূফান কা-না যা-লিকা ফিল কিতা-বি মাছতূরা-।",
              "words_arabic": "اَلنَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اَوْلٰی/أَوۡلَىٰ/awla//بِالْمُؤْمِنِیْنَ/بِٱلۡمُؤۡمِنِينَ/bil-mu'minina//مِنْ/مِنۡ/min//اَنْفُسِهِمْ/أَنفُسِهِمۡۖ/anfusihim//وَ اَزْوَاجُهٗۤ/وَأَزۡوَٰجُهُۥٓ/wa-azwajuhu//اُمَّهٰتُهُمْ ؕ/أُمَّهَٰتُهُمۡۗ/ummahatuhum//وَ اُولُوا/وَأُوْلُواْ/wa-ulu//الْاَرْحَامِ/ٱلۡأَرۡحَامِ/al-arhami//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلٰی/أَوۡلَىٰ/awla//بِبَعْضٍ/بِبَعۡضٖ/biba'din//فِیْ/فِي/fi//كِتٰبِ/كِتَٰبِ/kitabi//اللّٰهِ/ٱللَّهِ/al-lahi//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُهٰجِرِیْنَ/وَٱلۡمُهَٰجِرِينَ/wal-muhajirina//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//تَفْعَلُوْۤا/تَفۡعَلُوٓاْ/taf 'alu//اِلٰۤی/إِلَىٰٓ/ila//اَوْلِیٰٓىِٕكُمْ/أَوۡلِيَآئِكُم/awliyaikum//مَّعْرُوْفًا ؕ/مَّعۡرُوفٗاۚ/ma'rufan//كَانَ/كَانَ/kana//ذٰلِكَ/ذَٰلِكَ/dhalika//فِی/فِي/fi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مَسْطُوْرًا /مَسۡطُورٗا/masturan",
              "words_bangla": "নাবীই//অধিক ঘনিষ্ঠ//কাছে মু’মিনদের//অপেক্ষা//নিজেদের তাদের//এবং স্ত্রীগণ তার//মা তাদের//এবং অধিকারীরা//আত্নীয়তা-সম্পর্কের (নিকট আত্মীয়-স্বজনরা মু’মিন হ'লে)//পরস্পরে তাদের//অধিক ঘনিষ্ঠ//সাথে পরস্পরের//অনুসারে//বিধান//আল্লাহর//চেয়ে//(সাধারণ) মু’মিনদের//ও মুহাজিরদের//তবে//(এটা) যে//(চাও যদি) তোমরা করতে পারো//প্রতি//(এসব)বন্ধুদের তোমাদের//ভালো ব্যবহার//আছে//এটা//মধ্যে//কিতাবের//লিখিত"
            },
            {
              "number": 3540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3540.mp3"
              ],
              "text": "وَإِذْ أَخَذْنَا مِنَ ٱلنَّبِيِّۦنَ مِيثَٰقَهُمْ وَمِنكَ وَمِن نُّوحٍۢ وَإِبْرَٰهِيمَ وَمُوسَىٰ وَعِيسَى ٱبْنِ مَرْيَمَ ۖ وَأَخَذْنَا مِنْهُم مِّيثَٰقًا غَلِيظًۭا",
              "translate_bn": "যখন আমি পয়গম্বরগণের কাছ থেকে, আপনার কাছ থেকে এবং নূহ, ইব্রাহীম, মূসা ও মরিয়ম তনয় ঈসার কাছ থেকে অঙ্গীকার নিলাম এবং অঙ্গীকার নিলাম তাদের কাছ থেকে দৃঢ় অঙ্গীকার।",
              "numberInSurah": 7,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআখাযনা-মিনান্নাবিইয়ীনা মীছা-কাহুম ওয়া মিনকা ওয়া মিন নূহিওঁ ওয়া ইবরাহীমা ওয়া মূছা-ওয়া ‘ঈছাব নি মারইয়ামা ওয়া আখাযনা-মিনহুম মীছা-কান গালীজা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَخَذْنَا/أَخَذۡنَا/akhadhna//مِنَ/مِنَ/mina//النَّبِیّٖنَ/ٱلنَّبِيِّـۧنَ/al-nabiyina//مِیْثَاقَهُمْ/مِيثَٰقَهُمۡ/mithaqahum//وَ مِنْكَ/وَمِنكَ/waminka//وَ مِنْ/وَمِن/wamin//نُّوْحٍ/نُّوحٖ/nuhin//وَّ اِبْرٰهِیْمَ/وَإِبۡرَٰهِيمَ/wa-ib'rahima//وَ مُوْسٰی/وَمُوسَىٰ/wamusa//وَ عِیْسَی/وَعِيسَى/wa'isa//ابْنِ/ٱبۡنِ/ib'ni//مَرْیَمَ ۪/مَرۡيَمَۖ/maryama//وَ اَخَذْنَا/وَأَخَذۡنَا/wa-akhadhna//مِنْهُمْ/مِنۡهُم/min'hum//مِّیْثَاقًا/مِّيثَٰقًا/mithaqan//غَلِیْظًاۙ/غَلِيظٗا/ghalizan",
              "words_bangla": "এবং (স্মরণ করো) যখন//নিয়েছিলাম আমরা//কাছ থেকে//নাবীদের//অঙ্গীকার তাদের//এবং থেকেও তোমার//এবং থেকে//নূহ//এবং ইবরাহীম//এবং মূসা//ও ঈসা//তনয়//মারইয়াম (থেকেও)//এবং নিয়েছিলাম আমরা//থেকে তাদের//অঙ্গীকার//দৃঢ়"
            },
            {
              "number": 3541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3541.mp3"
              ],
              "text": "لِّيَسْـَٔلَ ٱلصَّٰدِقِينَ عَن صِدْقِهِمْ ۚ وَأَعَدَّ لِلْكَٰفِرِينَ عَذَابًا أَلِيمًۭا",
              "translate_bn": "সত্যবাদীদেরকে তাদের সত্যবাদিতা সম্পর্কে জিজ্ঞাসা করার জন্য। তিনি কাফেরদের জন্য যন্ত্রণাদায়ক শাস্তি প্রস্তুত রেখেছেন।",
              "numberInSurah": 8,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 361,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "লিয়াছআলাসসা-দিকীনা ‘আন সিদকিহিম ওয়া আ‘আদ্দা লিলকা-ফিরীনা ‘আযা-বান আলীমা-।",
              "words_arabic": "لِّیَسْـَٔلَ/لِّيَسۡـَٔلَ/liyasala//الصّٰدِقِیْنَ/ٱلصَّـٰدِقِينَ/al-sadiqina//عَنْ/عَن/an//صِدْقِهِمْ ۚ/صِدۡقِهِمۡۚ/sid'qihim//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا۠/أَلِيمٗا/aliman",
              "words_bangla": "যেন সে জিজ্ঞেস করতে পারে//সত্যবাদীদেরকে//সম্বন্ধে//সত্যবাদীতা তাদের//এবং তিনি প্রস্তুত করে রেখেছেন//জন্যে কাফিরদের//শাস্তি//নিদারুণ"
            },
            {
              "number": 3542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3542.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ جَآءَتْكُمْ جُنُودٌۭ فَأَرْسَلْنَا عَلَيْهِمْ رِيحًۭا وَجُنُودًۭا لَّمْ تَرَوْهَا ۚ وَكَانَ ٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرًا",
              "translate_bn": "হে মুমিনগণ! তোমরা তোমাদের প্রতি আল্লাহর নেয়ামতের কথা স্মরণ কর, যখন শত্রুবাহিনী তোমাদের নিকটবর্তী হয়েছিল, অতঃপর আমি তাদের বিরুদ্ধে ঝঞ্চাবায়ু এবং এমন সৈন্যবাহিনী প্রেরণ করেছিলাম, যাদেরকে তোমরা দেখতে না। তোমরা যা কর, আল্লাহ তা দেখেন।",
              "numberInSurah": 9,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানুযকুরূনি‘মাতাল্লা-হি ‘আলাইকুম ইযজাআতকুম জুনূদুন ফাআরছালনা-‘আলাইহিম রীহাওঁ ওয়া জুনূদাল্লাম তারাওহা- ওয়া কা-নাল্লা-হু বিমাতা‘মালূনা বাসীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَةَ/نِعۡمَةَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اِذْ/إِذۡ/idh//جَآءَتْكُمْ/جَآءَتۡكُمۡ/jaatkum//جُنُوْدٌ/جُنُودٞ/junudun//فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رِیْحًا/رِيحٗا/rihan//وَّ جُنُوْدًا/وَجُنُودٗا/wajunudan//لَّمْ/لَّمۡ/lam//تَرَوْهَا ؕ/تَرَوۡهَاۚ/tarawha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرًاۚ/بَصِيرًا/basiran",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা স্মরণ করো//অনুগ্রহের//আল্লাহর//প্রতি তোমাদের//যখন//এসেছিলো তোমাদের (উপর)//(শত্রু) সৈন্যবাহিনী//তখন পাঠিয়েছিলাম আমরা//বিরুদ্ধে তাদের//প্রবল ঝড়//ও সৈন্যবাহিনী//নাই//তোমরা দেখো তা//এবং হলেন//আল্লাহ//ঐ বিষয়ে যা//তোমরা করো//খুব দৃষ্টিমান"
            },
            {
              "number": 3543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3543.mp3"
              ],
              "text": "إِذْ جَآءُوكُم مِّن فَوْقِكُمْ وَمِنْ أَسْفَلَ مِنكُمْ وَإِذْ زَاغَتِ ٱلْأَبْصَٰرُ وَبَلَغَتِ ٱلْقُلُوبُ ٱلْحَنَاجِرَ وَتَظُنُّونَ بِٱللَّهِ ٱلظُّنُونَا۠",
              "translate_bn": "যখন তারা তোমাদের নিকটবর্তী হয়েছিল উচ্চ ভূমি ও নিম্নভূমি থেকে এবং যখন তোমাদের দৃষ্টিভ্রম হচ্ছিল, প্রাণ কন্ঠাগত হয়েছিল এবং তোমরা আল্লাহ সম্পর্কে নানা বিরূপ ধারণা পোষণ করতে শুরু করছিলে।",
              "numberInSurah": 10,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ইযজাঊকুমমিনফাওকিকুম ওয়া মিন আছফালা মিনকুমওয়াইযঝা-গাতিল আবসা-রু ওয়া বালাগাতিল কুলূবুল হানা-জিরা ওয়া তাজুন্নূনা বিল্লা-হিজ জু নূনা।\r\n",
              "words_arabic": "اِذْ/إِذۡ/idh//جَآءُوْكُمْ/جَآءُوكُم/jaukum//مِّنْ/مِّن/min//فَوْقِكُمْ/فَوۡقِكُمۡ/fawqikum//وَ مِنْ/وَمِنۡ/wamin//اَسْفَلَ/أَسۡفَلَ/asfala//مِنْكُمْ/مِنكُمۡ/minkum//وَ اِذْ/وَإِذۡ/wa-idh//زَاغَتِ/زَاغَتِ/zaghati//الْاَبْصَارُ/ٱلۡأَبۡصَٰرُ/al-absaru//وَ بَلَغَتِ/وَبَلَغَتِ/wabalaghati//الْقُلُوْبُ/ٱلۡقُلُوبُ/al-qulubu//الْحَنَاجِرَ/ٱلۡحَنَاجِرَ/al-hanajira//وَ تَظُنُّوْنَ/وَتَظُنُّونَ/watazunnuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الظُّنُوْنَا /ٱلظُّنُونَا۠/al-zununa",
              "words_bangla": "যখন//তারা এসেছিলো বিরুদ্ধে তোমাদের//হতে//উপর তোমাদের(অঞ্চল)//ও হ'তে//নিচ (অঞ্চল)//হ'তে তোমাদের//এবং যখন//বিস্ফোরিত হয়েছিলো//চোখসমূহ//ও পৌঁছে গিয়েছিলো//প্রাণসমূহ//কণ্ঠসমূহে//এবং তোমরা মনে করতে//সম্পর্কে আল্লাহ//নানাবিধ ধারণা"
            },
            {
              "number": 3544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3544.mp3"
              ],
              "text": "هُنَالِكَ ٱبْتُلِىَ ٱلْمُؤْمِنُونَ وَزُلْزِلُوا۟ زِلْزَالًۭا شَدِيدًۭا",
              "translate_bn": "সে সময়ে মুমিনগণ পরীক্ষিত হয়েছিল এবং ভীষণভাবে প্রকম্পিত হচ্ছিল।",
              "numberInSurah": 11,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "হুনা-লিকাব তুলিয়াল মু’মিনূনা ওয়া ঝুলঝিলূঝিলঝা-লান শাদীদা-।",
              "words_arabic": "هُنَالِكَ/هُنَالِكَ/hunalika//ابْتُلِیَ/ٱبۡتُلِيَ/ub'tuliya//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//وَ زُلْزِلُوْا/وَزُلۡزِلُواْ/wazul'zilu//زِلْزَالًا/زِلۡزَالٗا/zil'zalan//شَدِیْدًا /شَدِيدٗا/shadidan",
              "words_bangla": "তখনই//পরীক্ষা করা হয়েছিলো//মু’মিনদেরকে//এবং প্রকম্পিত করা হয়েছিলো//প্রকম্পন//ভীষণভাবে"
            },
            {
              "number": 3545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3545.mp3"
              ],
              "text": "وَإِذْ يَقُولُ ٱلْمُنَٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ مَّا وَعَدَنَا ٱللَّهُ وَرَسُولُهُۥٓ إِلَّا غُرُورًۭا",
              "translate_bn": "এবং যখন মুনাফিক ও যাদের অন্তরে রোগ ছিল তারা বলছিল, আমাদেরকে প্রদত্ত আল্লাহ ও রসূলের প্রতিশ্রুতি প্রতারণা বৈ নয়।",
              "numberInSurah": 12,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযইয়াকূ লুলমুনা-ফিকূনা ওয়াল্লাযীনা ফী কুলূবিহিম মারাদুম মা-ওয়া‘আদানাল্লাহুয়া রাছূলুহূইল্লা-গুরূরা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یَقُوْلُ/يَقُولُ/yaqulu//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//مَّا/مَّا/ma//وَعَدَنَا/وَعَدَنَا/wa'adana//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗۤ/وَرَسُولُهُۥٓ/warasuluhu//اِلَّا/إِلَّا/illa//غُرُوْرًا /غُرُورٗا/ghururan",
              "words_bangla": "এবং যখন//বলেছিলো//মুনাফিকরা//ও যাদের//মধ্যে//অন্তরসমূহের তাদের//রোগ (ছিলো)//\"না//প্রতিশ্রুতি দিয়েছেন আমাদের//আল্লাহ//ও রাসূল তাঁর//ছাড়া//প্রতারণা\""
            },
            {
              "number": 3546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3546.mp3"
              ],
              "text": "وَإِذْ قَالَت طَّآئِفَةٌۭ مِّنْهُمْ يَٰٓأَهْلَ يَثْرِبَ لَا مُقَامَ لَكُمْ فَٱرْجِعُوا۟ ۚ وَيَسْتَـْٔذِنُ فَرِيقٌۭ مِّنْهُمُ ٱلنَّبِىَّ يَقُولُونَ إِنَّ بُيُوتَنَا عَوْرَةٌۭ وَمَا هِىَ بِعَوْرَةٍ ۖ إِن يُرِيدُونَ إِلَّا فِرَارًۭا",
              "translate_bn": "এবং যখন তাদের একদল বলেছিল, হে ইয়াসরেববাসী, এটা টিকবার মত জায়গা নয়, তোমরা ফিরে চল। তাদেরই একদল নবীর কাছে অনুমতি প্রার্থনা করে বলেছিল, আমাদের বাড়ী-ঘর খালি, অথচ সেগুলো খালি ছিল না, পলায়ন করাই ছিল তাদের ইচ্ছা।",
              "numberInSurah": 13,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লাততাইফাতুম মিনহুম ইয়াআহলা ইয়াছরিবা লা-মুকা-মা লাকুম ফারজি‘ঊ ওয়া ইয়াছতা’যিনুফারীকুম মিনহুমুন নাবিইইয়া ইয়াকূলূনা ইন্না বুইঊতানা‘আওরাতুওঁ ওয়ামা-হিয়া বি‘আওরাতিইঁ ইয়ঁইউদূ না ইল্লা-ফিরা-রা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَتْ/قَالَت/qalat//طَّآىِٕفَةٌ/طَّآئِفَةٞ/taifatun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یٰۤاَهْلَ/يَـٰٓأَهۡلَ/yaahla//یَثْرِبَ/يَثۡرِبَ/yathriba//لَا/لَا/la//مُقَامَ/مُقَامَ/muqama//لَكُمْ/لَكُمۡ/lakum//فَارْجِعُوْا ۚ/فَٱرۡجِعُواْۚ/fa-ir'ji'u//وَ یَسْتَاْذِنُ/وَيَسۡتَـٔۡذِنُ/wayastadhinu//فَرِیْقٌ/فَرِيقٞ/fariqun//مِّنْهُمُ/مِّنۡهُمُ/min'humu//النَّبِیَّ/ٱلنَّبِيَّ/al-nabiya//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//اِنَّ/إِنَّ/inna//بُیُوْتَنَا/بُيُوتَنَا/buyutana//عَوْرَةٌ ۛؕ/عَوۡرَةٞ/awratun//وَ مَا/وَمَا/wama//هِیَ/هِيَ/hiya//بِعَوْرَةٍ ۛۚ/بِعَوۡرَةٍۖ/bi'awratin//اِنْ/إِن/in//یُّرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اِلَّا/إِلَّا/illa//فِرَارًا /فِرَارٗا/firaran",
              "words_bangla": "এবং যখন//বলেছিলো//একদল//মধ্যে হ'তে তাদের//\"হে অধিবাসীরা//ইযাসরিবের (অর্থাৎ মাদীনাহর)//নেই//দাঁড়াবার স্থান//জন্যে তোমাদের//সুতরাং তোমরা ফিরে যাও\"//এবং অনুমতি (অব্যাহতি) নিতে চায়//একদল//মধ্যে হ'তে তাদের//নাবী (থেকে)//তারা বলে//\"নিশ্চয়ই//ঘরসমূহ আমাদের//অরক্ষিত\"//অথচ না//তা (ছিলো)//অবস্থায় অরক্ষিত//না//তারা চায়//এ ছাড়া//পালিয়ে যাওয়া"
            },
            {
              "number": 3547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3547.mp3"
              ],
              "text": "وَلَوْ دُخِلَتْ عَلَيْهِم مِّنْ أَقْطَارِهَا ثُمَّ سُئِلُوا۟ ٱلْفِتْنَةَ لَءَاتَوْهَا وَمَا تَلَبَّثُوا۟ بِهَآ إِلَّا يَسِيرًۭا",
              "translate_bn": "যদি শত্রুপক্ষ চতুর্দিক থেকে নগরে প্রবেশ করে তাদের সাথে মিলিত হত, অতঃপর বিদ্রোহ করতে প্ররোচিত করত, তবে তারা অবশ্যই বিদ্রোহ করত এবং তারা মোটেই বিলম্ব করত না।",
              "numberInSurah": 14,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও দুখিলাত ‘আলাইহিম মিন আকতা-রিহা-ছু ম্মা ছুইলুল ফিতনাতা লাআ-তাওহাওয়ামা-তালাব্বাছূবিহাইল্লা ইয়াছীরা।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//دُخِلَتْ/دُخِلَتۡ/dukhilat//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّنۡ/min//اَقْطَارِهَا/أَقۡطَارِهَا/aqtariha//ثُمَّ/ثُمَّ/thumma//سُىِٕلُوا/سُئِلُواْ/su-ilu//الْفِتْنَةَ/ٱلۡفِتۡنَةَ/al-fit'nata//لَاٰتَوْهَا/لَأٓتَوۡهَا/laatawha//وَ مَا/وَمَا/wama//تَلَبَّثُوْا/تَلَبَّثُواْ/talabbathu//بِهَاۤ/بِهَآ/biha//اِلَّا/إِلَّا/illa//یَسِیْرًا /يَسِيرٗا/yasiran",
              "words_bangla": "এবং যদি//প্রবেশ করতো//মধ্যে তাদের//হ'তে//চারদিক তার//এরপর//তাদের কাছে চাওয়া (আহ্বান করা) হতো//বিদ্রোহের//অবশ্যই তারা করে বসতো তা//আর না//তারা অবস্থান করতো//জন্যে তার//কিন্তু//সামান্য"
            },
            {
              "number": 3548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3548.mp3"
              ],
              "text": "وَلَقَدْ كَانُوا۟ عَٰهَدُوا۟ ٱللَّهَ مِن قَبْلُ لَا يُوَلُّونَ ٱلْأَدْبَٰرَ ۚ وَكَانَ عَهْدُ ٱللَّهِ مَسْـُٔولًۭا",
              "translate_bn": "অথচ তারা পূর্বে আল্লাহর সাথে অঙ্গীকার করেছিল যে, তারা পৃষ্ঠ প্রদর্শন করবে না। আল্লাহর অঙ্গীকার সম্পর্কে জিজ্ঞাসা করা হবে।",
              "numberInSurah": 15,
              "juz": 21,
              "manzil": 5,
              "page": 419,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কা-নূ‘আ-হাদুল্লা-হা মিন কাবলুলা-ইউওয়ালূলনাল আদবা -রা ওয়া কা-না ‘আহদুল্লা-হি মাছঊলা।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كَانُوْا/كَانُواْ/kanu//عَاهَدُوا/عَٰهَدُواْ/ahadu//اللّٰهَ/ٱللَّهَ/al-laha//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//لَا/لَا/la//یُوَلُّوْنَ/يُوَلُّونَ/yuwalluna//الْاَدْبَارَ ؕ/ٱلۡأَدۡبَٰرَۚ/al-adbara//وَ كَانَ/وَكَانَ/wakana//عَهْدُ/عَهۡدُ/ahdu//اللّٰهِ/ٱللَّهِ/al-lahi//مَسْـُٔوْلًا /مَسۡـُٔولٗا/masulan",
              "words_bangla": "এবং নিশ্চয়ই//তারা ছিলো//তারা অঙ্গীকার করেছিলো//আল্লাহর (সাথে)//থেকে//ইতিপূর্ব (যে)//না//তারা ফিরাবে//পিঠসমূহ//এবং হবে//অঙ্গীকার//আল্লাহর (সাথে কৃত)//জিজ্ঞাসিত"
            },
            {
              "number": 3549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3549.mp3"
              ],
              "text": "قُل لَّن يَنفَعَكُمُ ٱلْفِرَارُ إِن فَرَرْتُم مِّنَ ٱلْمَوْتِ أَوِ ٱلْقَتْلِ وَإِذًۭا لَّا تُمَتَّعُونَ إِلَّا قَلِيلًۭا",
              "translate_bn": "বলুন! তোমরা যদি মৃত্যু অথবা হত্যা থেকে পলায়ন কর, তবে এ পলায়ন তোমাদের কাজে আসবে না। তখন তোমাদেরকে সামান্যই ভোগ করতে দেয়া হবে।",
              "numberInSurah": 16,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "কুল্লাই ইয়ানফা‘আকুমুল ফিরা-রু ইন ফারারতুম মিনাল মাওতি আবিলকাতলি ওয়া ইযাল লা-তুমাত্তা‘ঊনা ইল্লা-কালীলা-।",
              "words_arabic": "قُلْ/قُل/qul//لَّنْ/لَّن/lan//یَّنْفَعَكُمُ/يَنفَعَكُمُ/yanfa'akumu//الْفِرَارُ/ٱلۡفِرَارُ/al-firaru//اِنْ/إِن/in//فَرَرْتُمْ/فَرَرۡتُم/farartum//مِّنَ/مِّنَ/mina//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//اَوِ/أَوِ/awi//الْقَتْلِ/ٱلۡقَتۡلِ/al-qatli//وَ اِذًا/وَإِذٗا/wa-idhan//لَّا/لَّا/la//تُمَتَّعُوْنَ/تُمَتَّعُونَ/tumatta'una//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "বলো//\"কখনও না//উপকার দিবে তোমাদের//পালিয়ে যাওয়া//যদিও//তোমরা পালাও//হ'তে//মৃত্যু//অথবা//হত্যা (হ'তে)//এবং তখন//না//তোমাদের ভোগ করতে দেয়া হবে//কিন্তু//অতি সামান্য\""
            },
            {
              "number": 3550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3550.mp3"
              ],
              "text": "قُلْ مَن ذَا ٱلَّذِى يَعْصِمُكُم مِّنَ ٱللَّهِ إِنْ أَرَادَ بِكُمْ سُوٓءًا أَوْ أَرَادَ بِكُمْ رَحْمَةًۭ ۚ وَلَا يَجِدُونَ لَهُم مِّن دُونِ ٱللَّهِ وَلِيًّۭا وَلَا نَصِيرًۭا",
              "translate_bn": "বলুন! কে তোমাদেরকে আল্লাহ থেকে রক্ষা করবে যদি তিনি তোমাদের অমঙ্গল ইচ্ছা করেন অথবা তোমাদের প্রতি অনুকম্পার ইচ্ছা? তারা আল্লাহ ব্যতীত নিজেদের কোন অভিভাবক ও সাহায্যদাতা পাবে না।",
              "numberInSurah": 17,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 362,
              "hizbQuarter": 167,
              "sajda": false,
              "pronunciation_bn": "কুল মান যাল্লাযী ইয়া‘সিমুকুম মিনাল্লা-হি ইন আরা-দা বিকুম ছুূআন আও আরা-দা বিকুম রাহমাতাওঁ ওয়ালা-ইয়াজিদূ না লাহুম মিন দূ নিল্লা-হি ওয়ালিইয়াওঁ ওয়ালা-নাসীরা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَنْ/مَن/man//ذَا/ذَا/dha//الَّذِیْ/ٱلَّذِي/alladhi//یَعْصِمُكُمْ/يَعۡصِمُكُم/ya'simukum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِنۡ/in//اَرَادَ/أَرَادَ/arada//بِكُمْ/بِكُمۡ/bikum//سُوْٓءًا/سُوٓءًا/suan//اَوْ/أَوۡ/aw//اَرَادَ/أَرَادَ/arada//بِكُمْ/بِكُمۡ/bikum//رَحْمَةً ؕ/رَحۡمَةٗۚ/rahmatan//وَ لَا/وَلَا/wala//یَجِدُوْنَ/يَجِدُونَ/yajiduna//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "বলো//\"কে//এমন//যে//রক্ষা করবে তোমাদেরকে//হ'তে//আল্লাহ্‌//যদি//তিনি ইচ্ছে করেন//সাথে তোমাদের//অমঙ্গলের//অথবা (যদি)//তিনি ইচ্ছে করেন//সাথে তোমাদের//অনুগ্রহের (তবে কে বন্ধ করতে পারে)\"//এবং না//তারা পাবে//জন্যে তাদের//থেকে//ছাড়া//আল্লাহ//কোনো অভিভাবক//আর না//কোন সাহায্যকারী"
            },
            {
              "number": 3551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3551.mp3"
              ],
              "text": "۞ قَدْ يَعْلَمُ ٱللَّهُ ٱلْمُعَوِّقِينَ مِنكُمْ وَٱلْقَآئِلِينَ لِإِخْوَٰنِهِمْ هَلُمَّ إِلَيْنَا ۖ وَلَا يَأْتُونَ ٱلْبَأْسَ إِلَّا قَلِيلًا",
              "translate_bn": "আল্লাহ খুব জানেন তোমাদের মধ্যে কারা তোমাদেরকে বাধা দেয় এবং কারা তাদের ভাইদেরকে বলে, আমাদের কাছে এস। তারা কমই যুদ্ধ করে।",
              "numberInSurah": 18,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 362,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "কাদ ইয়া‘লামুল্লা-হুল মু‘আওবিকীনা মিনকুম ওয়াল কাইলীনা লিইখওয়া নিহিম হালুম্মা ইলাইনা- ওয়ালা-ইয়া’তূনাল বা’ছা ইল্লা-কালীলা-।",
              "words_arabic": "قَدْ/۞قَدۡ/qad//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُعَوِّقِیْنَ/ٱلۡمُعَوِّقِينَ/al-mu'awiqina//مِنْكُمْ/مِنكُمۡ/minkum//وَ الْقَآىِٕلِیْنَ/وَٱلۡقَآئِلِينَ/wal-qailina//لِاِخْوَانِهِمْ/لِإِخۡوَٰنِهِمۡ/li-ikh'wanihim//هَلُمَّ/هَلُمَّ/halumma//اِلَیْنَا ۚ/إِلَيۡنَاۖ/ilayna//وَ لَا/وَلَا/wala//یَاْتُوْنَ/يَأۡتُونَ/yatuna//الْبَاْسَ/ٱلۡبَأۡسَ/al-basa//اِلَّا/إِلَّا/illa//قَلِیْلًاۙ/قَلِيلًا/qalilan",
              "words_bangla": "অবশ্যই//জানেন//আল্লাহ//বাধাদানকারীদেরকে//মধ্য হ'তে তোমাদের//কথকদেরকে (যারা বলে)//উদ্দেশ্যে ভাইদের তাদের//\"চলে এসো//দিকে আমাদের\"//কিন্তু না//তারা আসে//যুদ্ধে//ছাড়া//অল্পই"
            },
            {
              "number": 3552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3552.mp3"
              ],
              "text": "أَشِحَّةً عَلَيْكُمْ ۖ فَإِذَا جَآءَ ٱلْخَوْفُ رَأَيْتَهُمْ يَنظُرُونَ إِلَيْكَ تَدُورُ أَعْيُنُهُمْ كَٱلَّذِى يُغْشَىٰ عَلَيْهِ مِنَ ٱلْمَوْتِ ۖ فَإِذَا ذَهَبَ ٱلْخَوْفُ سَلَقُوكُم بِأَلْسِنَةٍ حِدَادٍ أَشِحَّةً عَلَى ٱلْخَيْرِ ۚ أُو۟لَٰٓئِكَ لَمْ يُؤْمِنُوا۟ فَأَحْبَطَ ٱللَّهُ أَعْمَٰلَهُمْ ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًۭا",
              "translate_bn": "তারা তোমাদের প্রতি কুন্ঠাবোধ করে। যখন বিপদ আসে, তখন আপনি দেখবেন মৃত্যুভয়ে অচেতন ব্যক্তির মত চোখ উল্টিয়ে তারা আপনার প্রতি তাকায়। অতঃপর যখন বিপদ টলে যায় তখন তারা ধন-সম্পদ লাভের আশায় তোমাদের সাথে বাকচাতুরীতে অবতীর্ণ হয়। তারা মুমিন নয়। তাই আল্লাহ তাদের কর্মসমূহ নিস্ফল করে দিয়েছেন। এটা আল্লাহর জন্যে সহজ।",
              "numberInSurah": 19,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 362,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "আশিহহাতান ‘আলাইকুম, ফাইযা-জাআল খাওফুরাআইতাহুম ইয়ানজুরূনা ইলাইকা তাদূ রু আ‘ইউনুহুম কাল্লাযী ইউগশা-‘আলাইহি মিনাল মাওতি ফাইযা-যাহাবাল খাওফুছালাকূকুম বিআলছিনাতিন হিদা-দিন আশিহহাতান ‘আলাল খাইরি উলাইকা লাম ইউ’মিনূফাআহবাতাল্লা-হু আ‘মা-লাহুম ওয়া কা-না যা-লিকা ‘আলাল্লা-হি ইয়াছীরা-।\r\n",
              "words_arabic": "اَشِحَّةً/أَشِحَّةً/ashihhatan//عَلَیْكُمْ ۖۚ/عَلَيۡكُمۡۖ/alaykum//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//الْخَوْفُ/ٱلۡخَوۡفُ/al-khawfu//رَاَیْتَهُمْ/رَأَيۡتَهُمۡ/ra-aytahum//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَیْكَ/إِلَيۡكَ/ilayka//تَدُوْرُ/تَدُورُ/taduru//اَعْیُنُهُمْ/أَعۡيُنُهُمۡ/a'yunuhum//كَالَّذِیْ/كَٱلَّذِي/ka-alladhi//یُغْشٰی/يُغۡشَىٰ/yugh'sha//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنَ/مِنَ/mina//الْمَوْتِ ۚ/ٱلۡمَوۡتِۖ/al-mawti//فَاِذَا/فَإِذَا/fa-idha//ذَهَبَ/ذَهَبَ/dhahaba//الْخَوْفُ/ٱلۡخَوۡفُ/al-khawfu//سَلَقُوْكُمْ/سَلَقُوكُم/salaqukum//بِاَلْسِنَةٍ/بِأَلۡسِنَةٍ/bi-alsinatin//حِدَادٍ/حِدَادٍ/hidadin//اَشِحَّةً/أَشِحَّةً/ashihhatan//عَلَی/عَلَى/ala//الْخَیْرِ ؕ/ٱلۡخَيۡرِۚ/al-khayri//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَمْ/لَمۡ/lam//یُؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//فَاَحْبَطَ/فَأَحۡبَطَ/fa-ahbata//اللّٰهُ/ٱللَّهُ/al-lahu//اَعْمَالَهُمْ ؕ/أَعۡمَٰلَهُمۡۚ/a'malahum//وَ كَانَ/وَكَانَ/wakana//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرًا /يَسِيرٗا/yasiran",
              "words_bangla": "কৃপণতাবশত//ব্যাপারে তোমাদের//অতঃপর যখন//আসে//ভয় (বিপদ)//তুমি দেখবে তাদেরকে//তারা তাকাচ্ছে//প্রতি তোমার//ঘুরছে//চোখগুলো তাদের//(তার) মতো যাকে//অচেতনতা চেপে বসেছে//উপর তার//ভয়ে//মৃত্যু//কিন্তু যখন//চলে যায়//ভয় (বিপদ)//শীঘ্রই সাথে মিলবে তোমাদের//নিয়ে ভাষা//তীক্ষ্ণ//লোভবশত//ক্ষেত্রে//ধনমালের (বা স্বার্থ সুযোগের)//ঐ সব (লোক)//না//ঈমান আনে//সুতরাং নষ্ট করে দিয়েছেন//আল্লাহ//কর্মসমূহ তাদের//এবং হলো//এটা//পক্ষে//আল্লাহর//সহজ"
            },
            {
              "number": 3553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3553.mp3"
              ],
              "text": "يَحْسَبُونَ ٱلْأَحْزَابَ لَمْ يَذْهَبُوا۟ ۖ وَإِن يَأْتِ ٱلْأَحْزَابُ يَوَدُّوا۟ لَوْ أَنَّهُم بَادُونَ فِى ٱلْأَعْرَابِ يَسْـَٔلُونَ عَنْ أَنۢبَآئِكُمْ ۖ وَلَوْ كَانُوا۟ فِيكُم مَّا قَٰتَلُوٓا۟ إِلَّا قَلِيلًۭا",
              "translate_bn": "তারা মনে করে শক্রবাহিনী চলে যায়নি। যদি শক্রবাহিনী আবার এসে পড়ে, তবে তারা কামনা করবে যে, যদি তারা গ্রামবাসীদের মধ্য থেকে তোমাদের সংবাদাদি জেনে নিত, তবেই ভাল হত। তারা তোমাদের মধ্যে অবস্থান করলেও যুদ্ধ সামান্যই করত।",
              "numberInSurah": 20,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 362,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ইয়াহছাবূনাল আহঝা-বা লাম ইয়াযহাবূ ওয়া ইঁ ইয়া’তিল আহঝা-বুইয়াওয়াদ্দূলাও আন্নাহুম বা-দূ না ফিল আ‘রা-বি ইয়াছআলূনা ‘আন আমবাইকুম ওয়া লাও কা-নূ ফীকুম মা-কা-তালূইল্লা- কালীলা-।",
              "words_arabic": "یَحْسَبُوْنَ/يَحۡسَبُونَ/yahsabuna//الْاَحْزَابَ/ٱلۡأَحۡزَابَ/al-ahzaba//لَمْ/لَمۡ/lam//یَذْهَبُوْا ۚ/يَذۡهَبُواْۖ/yadhhabu//وَ اِنْ/وَإِن/wa-in//یَّاْتِ/يَأۡتِ/yati//الْاَحْزَابُ/ٱلۡأَحۡزَابُ/al-ahzabu//یَوَدُّوْا/يَوَدُّواْ/yawaddu//لَوْ/لَوۡ/law//اَنَّهُمْ/أَنَّهُم/annahum//بَادُوْنَ/بَادُونَ/baduna//فِی/فِي/fi//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//یَسْاَلُوْنَ/يَسۡـَٔلُونَ/yasaluna//عَنْ/عَنۡ/an//اَنْۢبَآىِٕكُمْ ؕ/أَنۢبَآئِكُمۡۖ/anbaikum//وَ لَوْ/وَلَوۡ/walaw//كَانُوْا/كَانُواْ/kanu//فِیْكُمْ/فِيكُم/fikum//مَّا/مَّا/ma//قٰتَلُوْۤا/قَٰتَلُوٓاْ/qatalu//اِلَّا/إِلَّا/illa//قَلِیْلًا۠/قَلِيلٗا/qalilan",
              "words_bangla": "তারা মনে করে//(আক্রমণকারী) দলসমূহ//না//চলে যায়//এবং যদি//(ফিরে) আসে//দলসমূহ//তারা কামনা করবে//যদি//(এমন হতো) যে তারা//অবস্হানকারী//মধ্যে//মরুবাসীদের//জিজ্ঞাসাবাদ করতো//সম্পর্কে//সংবাদ তোমাদের (সেখানে বসে)//এবং যদি//তারা হতো//মাঝে তোমাদের//না//তারা যুদ্ধ করতো//ছাড়া//অল্পই"
            },
            {
              "number": 3554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3554.mp3"
              ],
              "text": "لَّقَدْ كَانَ لَكُمْ فِى رَسُولِ ٱللَّهِ أُسْوَةٌ حَسَنَةٌۭ لِّمَن كَانَ يَرْجُوا۟ ٱللَّهَ وَٱلْيَوْمَ ٱلْءَاخِرَ وَذَكَرَ ٱللَّهَ كَثِيرًۭا",
              "translate_bn": "যারা আল্লাহ ও শেষ দিবসের আশা রাখে এবং আল্লাহকে অধিক স্মরণ করে, তাদের জন্যে রসূলুল্লাহর মধ্যে উত্তম নমুনা রয়েছে।",
              "numberInSurah": 21,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কা-না লাকুমফীরাছূলিল্লা-হি উছওয়াতুনহাছানাতুল লিমান কা-না ইয়ারজুল্লা-হা ওয়াল ইয়াওমাল আখিরা ওয়া যাকারাল্লা-হা কাছীরা-।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//فِیْ/فِي/fi//رَسُوْلِ/رَسُولِ/rasuli//اللّٰهِ/ٱللَّهِ/al-lahi//اُسْوَةٌ/أُسۡوَةٌ/us'watun//حَسَنَةٌ/حَسَنَةٞ/hasanatun//لِّمَنْ/لِّمَن/liman//كَانَ/كَانَ/kana//یَرْجُوا/يَرۡجُواْ/yarju//اللّٰهَ/ٱللَّهَ/al-laha//وَالْیَوْمَ/وَٱلۡيَوۡمَ/wal-yawma//الْاٰخِرَ/ٱلۡأٓخِرَ/al-akhira//وَ ذَكَرَ/وَذَكَرَ/wadhakara//اللّٰهَ/ٱللَّهَ/al-laha//كَثِیْرًاؕ/كَثِيرٗا/kathiran",
              "words_bangla": "নিশ্চয়ই//রয়েছে//জন্যে তোমাদের//মধ্যে//রাসূলের//আল্লাহর//আদর্শ//উত্তম//(তার) জন্যে যে//হলো//আশা রাখে//আল্লাহর//ও দিনের//শেষ//এবং স্মরণ করে//আল্লাহকে//অধিক"
            },
            {
              "number": 3555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3555.mp3"
              ],
              "text": "وَلَمَّا رَءَا ٱلْمُؤْمِنُونَ ٱلْأَحْزَابَ قَالُوا۟ هَٰذَا مَا وَعَدَنَا ٱللَّهُ وَرَسُولُهُۥ وَصَدَقَ ٱللَّهُ وَرَسُولُهُۥ ۚ وَمَا زَادَهُمْ إِلَّآ إِيمَٰنًۭا وَتَسْلِيمًۭا",
              "translate_bn": "যখন মুমিনরা শক্রবাহিনীকে দেখল, তখন বলল, আল্লাহ ও তাঁর রসূল এরই ওয়াদা আমাদেরকে দিয়েছিলেন এবং আল্লাহ ও তাঁর রসূল সত্য বলেছেন। এতে তাদের ঈমান ও আত্নসমর্পণই বৃদ্ধি পেল।",
              "numberInSurah": 22,
              "juz": 21,
              "manzil": 5,
              "page": 420,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-রাআল মু’মিনূনাল আহঝা-বা কা-লূহা-যা-মা-ওয়া‘আদানাল্লা-হু ওয়া রাছূলুহূওয়া সাদাকাল্লা-হু ওয়া রাছূলুহূ ওয়ামা-ঝা-দাহুম ইল্লাঈমা-নাওঁ ওয়া তাছলীমা-।\r\n",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//رَاَ/رَءَا/raa//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//الْاَحْزَابَ ۙ/ٱلۡأَحۡزَابَ/al-ahzaba//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//وَعَدَنَا/وَعَدَنَا/wa'adana//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ/وَرَسُولُهُۥ/warasuluhu//وَ صَدَقَ/وَصَدَقَ/wasadaqa//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗ ؗ/وَرَسُولُهُۥۚ/warasuluhu//وَ مَا/وَمَا/wama//زَادَهُمْ/زَادَهُمۡ/zadahum//اِلَّاۤ/إِلَّآ/illa//اِیْمَانًا/إِيمَٰنٗا/imanan//وَّ تَسْلِیْمًاؕ/وَتَسۡلِيمٗا/watasliman",
              "words_bangla": "এবং যখন//দেখলো//মু’মিনরা//(শত্রু) দলগুলোকে//তারা বললো//\"এটাই//(তা) যা//আমাদের কাছে অঙ্গীকার করেছেন//আল্লাহ//ও তাঁর রাসূল//এবং সত্য বলেছেন//আল্লাহ//ও তাঁর রাসূল//এবং না//বৃদ্ধি পায় তাদের(অন্য কিছু)//ছাড়া//ঈমান//ও (তাঁর) আনুগত্য"
            },
            {
              "number": 3556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3556.mp3"
              ],
              "text": "مِّنَ ٱلْمُؤْمِنِينَ رِجَالٌۭ صَدَقُوا۟ مَا عَٰهَدُوا۟ ٱللَّهَ عَلَيْهِ ۖ فَمِنْهُم مَّن قَضَىٰ نَحْبَهُۥ وَمِنْهُم مَّن يَنتَظِرُ ۖ وَمَا بَدَّلُوا۟ تَبْدِيلًۭا",
              "translate_bn": "মুমিনদের মধ্যে কতক আল্লাহর সাথে কৃত ওয়াদা পূর্ণ করেছে। তাদের কেউ কেউ মৃত্যুবরণ করেছে এবং কেউ কেউ প্রতীক্ষা করছে। তারা তাদের সংকল্প মোটেই পরিবর্তন করেনি।",
              "numberInSurah": 23,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "মিনাল মু’মিনীনা রিজা-লুন সাদাকূমা-‘আ-হাদুল্লা-হ ‘আলাইহি ফামিনহুম মান কাদানাহবাহূওয়া মিনহুম মাইঁ ইয়ানতাজিরু ওয়ামা-বাদ্দালূতাবদীলা-।",
              "words_arabic": "مِنَ/مِّنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//رِجَالٌ/رِجَالٞ/rijalun//صَدَقُوْا/صَدَقُواْ/sadaqu//مَا/مَا/ma//عَاهَدُوا/عَٰهَدُواْ/ahadu//اللّٰهَ/ٱللَّهَ/al-laha//عَلَیْهِ ۚ/عَلَيۡهِۖ/alayhi//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مَّنْ/مَّن/man//قَضٰی/قَضَىٰ/qada//نَحْبَهٗ/نَحۡبَهُۥ/nahbahu//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّنْتَظِرُ ۖؗ/يَنتَظِرُۖ/yantaziru//وَ مَا/وَمَا/wama//بَدَّلُوْا/بَدَّلُواْ/baddalu//تَبْدِیْلًاۙ/تَبۡدِيلٗا/tabdilan",
              "words_bangla": "মধ্য হ'তে//মু'মিনদের//(কিছু) লোক//সত্য প্রমাণ করেছে//যা//তারা অঙ্গীকার করেছিলো//আল্লাহকে//উপর তার//অতঃপর মধ্য থেকে তাদের//কেউ//পূর্ণ করেছে//ব্রত তার (শহীদ হয়েছে)//আবার মধ্যে হ'তে তাদের//কেউ//অপেক্ষায় আছে//এবং না//তারা পরিবর্তন করেছে//কোনো পরিবর্তন"
            },
            {
              "number": 3557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3557.mp3"
              ],
              "text": "لِّيَجْزِىَ ٱللَّهُ ٱلصَّٰدِقِينَ بِصِدْقِهِمْ وَيُعَذِّبَ ٱلْمُنَٰفِقِينَ إِن شَآءَ أَوْ يَتُوبَ عَلَيْهِمْ ۚ إِنَّ ٱللَّهَ كَانَ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "এটা এজন্য যাতে আল্লাহ, সত্যবাদীদেরকে তাদের সত্যবাদিতার কারণে প্রতিদান দেন এবং ইচ্ছা করলে মুনাফেকদেরকে শাস্তি দেন অথবা ক্ষমা করেন। নিশ্চয় আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 24,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "লিয়াজঝিয়াল্লা-হুসসা-দিকীনা বিসিদকিহিম ওয়া ইউ‘আযযি বাল মুনা-ফিকীনা ইন শাআ আওঁইয়াতূবা ‘আলাইহিম ইন্নাল্লা-হা কা-না গাফূরার রাহীমা।\r\n",
              "words_arabic": "لِّیَجْزِیَ/لِّيَجۡزِيَ/liyajziya//اللّٰهُ/ٱللَّهُ/al-lahu//الصّٰدِقِیْنَ/ٱلصَّـٰدِقِينَ/al-sadiqina//بِصِدْقِهِمْ/بِصِدۡقِهِمۡ/bisid'qihim//وَ یُعَذِّبَ/وَيُعَذِّبَ/wayu'adhiba//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اَوْ/أَوۡ/aw//یَتُوْبَ/يَتُوبَ/yatuba//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًاۚ/رَّحِيمٗا/rahiman",
              "words_bangla": "যেন পুরস্কার দেন//আল্লাহ//সত্যবাদীদেরকে//কারণে সত্যবাদীতার তাদের//এবং শাস্তি দেন//মুনাফিকদেরকে//যদি//তিনি ইচ্ছে করেন//অথবা//ক্ষমা করে দিবেন//প্রতি তাদের//নিশ্চয়ই//আল্লাহ//হলেন//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3558.mp3"
              ],
              "text": "وَرَدَّ ٱللَّهُ ٱلَّذِينَ كَفَرُوا۟ بِغَيْظِهِمْ لَمْ يَنَالُوا۟ خَيْرًۭا ۚ وَكَفَى ٱللَّهُ ٱلْمُؤْمِنِينَ ٱلْقِتَالَ ۚ وَكَانَ ٱللَّهُ قَوِيًّا عَزِيزًۭا",
              "translate_bn": "আল্লাহ কাফেরদেরকে ক্রুদ্ধাবস্থায় ফিরিয়ে দিলেন। তারা কোন কল্যাণ পায়নি। যুদ্ধ করার জন্য আল্লাহ মুমিনদের জন্যে যথেষ্ট হয়ে গেছেন। আল্লাহ শক্তিধর, পরাক্রমশালী।",
              "numberInSurah": 25,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাদ্দাল্লা-হুল্লাযীনা কাফারূবিগাইজিহিম লাম ইয়ানা-লূখাইরাওঁ ওয়া কাফাল্লা-হুল মু’মিনীনাল কিতা-লা ওয়া কা-নাল্লা-হু কাবিইইয়ান ‘আঝীঝা-।",
              "words_arabic": "وَ رَدَّ/وَرَدَّ/waradda//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِغَیْظِهِمْ/بِغَيۡظِهِمۡ/bighayzihim//لَمْ/لَمۡ/lam//یَنَالُوْا/يَنَالُواْ/yanalu//خَیْرًا ؕ/خَيۡرٗاۚ/khayran//وَ كَفَی/وَكَفَى/wakafa//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//الْقِتَالَ ؕ/ٱلۡقِتَالَۚ/al-qitala//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//قَوِیًّا/قَوِيًّا/qawiyyan//عَزِیْزًاۚ/عَزِيزٗا/azizan",
              "words_bangla": "এবং ফিরিয়ে দিলেন//আল্লাহ//(তাদেরকে) যারা//অবিশ্বাস করেছে//সহ মনের জ্বালা তাদের//নি//তারা পায়//কল্যাণ//এবং যথেষ্ট//আল্লাহই//মু'মিনদের (জন্যে)//যুদ্ধে//এবং হলেন//আল্লাহ//শক্তিমান//মহাপরাক্রমশালী"
            },
            {
              "number": 3559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3559.mp3"
              ],
              "text": "وَأَنزَلَ ٱلَّذِينَ ظَٰهَرُوهُم مِّنْ أَهْلِ ٱلْكِتَٰبِ مِن صَيَاصِيهِمْ وَقَذَفَ فِى قُلُوبِهِمُ ٱلرُّعْبَ فَرِيقًۭا تَقْتُلُونَ وَتَأْسِرُونَ فَرِيقًۭا",
              "translate_bn": "কিতাবীদের মধ্যে যারা কাফেরদের পৃষ্টপোষকতা করেছিল, তাদেরকে তিনি তাদের দূর্গ থেকে নামিয়ে দিলেন এবং তাদের অন্তরে ভীতি নিক্ষেপ করলেন। ফলে তোমরা একদলকে হত্যা করছ এবং একদলকে বন্দী করছ।",
              "numberInSurah": 26,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনঝালাল্লাযীনা জা-হারূহুম মিন আহলিল কিতা-বি মিন সায়া-সীহিম ওয়া কাযাফা ফী কুলূবিহিমুর রু‘বা ফারীকান তাকতুলূনা ওয়া তা’ছিরূনা ফারীকা-।",
              "words_arabic": "وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَاهَرُوْهُمْ/ظَٰهَرُوهُم/zaharuhum//مِّنْ/مِّنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنْ/مِن/min//صَیَاصِیْهِمْ/صَيَاصِيهِمۡ/sayasihim//وَ قَذَفَ/وَقَذَفَ/waqadhafa//فِیْ/فِي/fi//قُلُوْبِهِمُ/قُلُوبِهِمُ/qulubihimu//الرُّعْبَ/ٱلرُّعۡبَ/al-ru'ba//فَرِیْقًا/فَرِيقٗا/fariqan//تَقْتُلُوْنَ/تَقۡتُلُونَ/taqtuluna//وَ تَاْسِرُوْنَ/وَتَأۡسِرُونَ/watasiruna//فَرِیْقًاۚ/فَرِيقٗا/fariqan",
              "words_bangla": "এবং নামিয়ে দিলেন//(তাদেরকে) যারা//সাহায্য করেছিলো তাদের//মধ্য হ'তে//অধিকারীদের//কিতাবের//হ'তে//দূর্গসমূহ তাদের//এবং সঞ্চার করলেন//মধ্যে//অন্তসমূহের তাদের//ভয়//(এখন) এক দলকে//তোমরা হত্যা করছো//এবং তোমরা বন্দী করছো//(অপর) দলকে"
            },
            {
              "number": 3560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3560.mp3"
              ],
              "text": "وَأَوْرَثَكُمْ أَرْضَهُمْ وَدِيَٰرَهُمْ وَأَمْوَٰلَهُمْ وَأَرْضًۭا لَّمْ تَطَـُٔوهَا ۚ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرًۭا",
              "translate_bn": "তিনি তোমাদেরকে তাদের ভূমির, ঘর-বাড়ীর, ধন-সম্পদের এবং এমন এক ভূ-খন্ডের মালিক করে দিয়েছেন, যেখানে তোমরা অভিযান করনি। আল্লাহ সর্ববিষয়োপরি সর্বশক্তিমান।",
              "numberInSurah": 27,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 363,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ওয়া আওরাছাকুম আরদাহুম ওয়া দিয়া-রাহুম ওয়া আমওলা-লাহুম ওয়া আরদাল লাম তাতাঊহা- ওয়া কা-নাল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীরা-।",
              "words_arabic": "وَ اَوْرَثَكُمْ/وَأَوۡرَثَكُمۡ/wa-awrathakum//اَرْضَهُمْ/أَرۡضَهُمۡ/ardahum//وَ دِیَارَهُمْ/وَدِيَٰرَهُمۡ/wadiyarahum//وَ اَمْوَالَهُمْ/وَأَمۡوَٰلَهُمۡ/wa-amwalahum//وَ اَرْضًا/وَأَرۡضٗا/wa-ardan//لَّمْ/لَّمۡ/lam//تَطَـُٔوْهَا ؕ/تَطَـُٔوهَاۚ/tatauha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرًا۠/قَدِيرٗا/qadiran",
              "words_bangla": "এবং উত্তরাধিকারী বানালেন তোমাদেরকে//জায়গা জমির তাদের//ও ঘর বাড়িসমূহের তাদের//ও ধনসম্পদের তাদের//এবং (এমন)এক দেশের//(যা) নি//তোমরা পা রাখো তাতে//এবং হলেন//আল্লাহ//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 3561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3561.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّأَزْوَٰجِكَ إِن كُنتُنَّ تُرِدْنَ ٱلْحَيَوٰةَ ٱلدُّنْيَا وَزِينَتَهَا فَتَعَالَيْنَ أُمَتِّعْكُنَّ وَأُسَرِّحْكُنَّ سَرَاحًۭا جَمِيلًۭا",
              "translate_bn": "হে নবী, আপনার পত্নীগণকে বলুন, তোমরা যদি পার্থিব জীবন ও তার বিলাসিতা কামনা কর, তবে আস, আমি তোমাদের ভোগের ব্যবস্থা করে দেই এবং উত্তম পন্থায় তোমাদের বিদায় নেই।",
              "numberInSurah": 28,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 364,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুকুললিআঝওয়া-জিকা ইন কুনতুন্না তুরিদনাল হায়া-তাদ্দুনইয়া-ওয়া ঝীনাতাহা-ফাতা‘আ-লাইনা উমাতিত‘কুন্না ওয়া উছাররিহকুন্না ছারা-হান জামীলা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//قُلْ/قُل/qul//لِّاَزْوَاجِكَ/لِّأَزۡوَٰجِكَ/li-azwajika//اِنْ/إِن/in//كُنْتُنَّ/كُنتُنَّ/kuntunna//تُرِدْنَ/تُرِدۡنَ/turid'na//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ زِیْنَتَهَا/وَزِينَتَهَا/wazinataha//فَتَعَالَیْنَ/فَتَعَالَيۡنَ/fata'alayna//اُمَتِّعْكُنَّ/أُمَتِّعۡكُنَّ/umatti'kunna//وَ اُسَرِّحْكُنَّ/وَأُسَرِّحۡكُنَّ/wa-usarrih'kunna//سَرَاحًا/سَرَاحٗا/sarahan//جَمِیْلًا /جَمِيلٗا/jamilan",
              "words_bangla": "হে//নাবী//বলো//উদ্দেশ্যে তোমার স্ত্রীদের//\"যদি//তোমরা হও (এমন যে)//তোমরা পেতে চাও//জীবন//পার্থিব//ও চাকচিক্য তার//তবে তোমরা এসো//আমি ভোগসামগ্রী দিয়ে দিই তোমাদেরকে//ও আমি বিদায় দিই তোমাদেরকে//বিদায়//সৌজন্যের সাথে"
            },
            {
              "number": 3562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3562.mp3"
              ],
              "text": "وَإِن كُنتُنَّ تُرِدْنَ ٱللَّهَ وَرَسُولَهُۥ وَٱلدَّارَ ٱلْءَاخِرَةَ فَإِنَّ ٱللَّهَ أَعَدَّ لِلْمُحْسِنَٰتِ مِنكُنَّ أَجْرًا عَظِيمًۭا",
              "translate_bn": "পক্ষান্তরে যদি তোমরা আল্লাহ, তাঁর রসূল ও পরকাল কামনা কর, তবে তোমাদের সৎকর্মপরায়ণদের জন্য আল্লাহ মহা পুরস্কার প্রস্তুত করে রেখেছেন।",
              "numberInSurah": 29,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 364,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কনতুন্না তুরিদনাল্লা-হা ওয়া রাছূলাহূওয়াদ্দা-রাল আ-খিরাতা ফাইন্নাল্লা-হা আ‘আদ্দা লিলমুহছিনা-তি মিনকুন্না আজরান ‘আজীমা-।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كُنْتُنَّ/كُنتُنَّ/kuntunna//تُرِدْنَ/تُرِدۡنَ/turid'na//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ الدَّارَ/وَٱلدَّارَ/wal-dara//الْاٰخِرَةَ/ٱلۡأٓخِرَةَ/al-akhirata//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//اَعَدَّ/أَعَدَّ/a'adda//لِلْمُحْسِنٰتِ/لِلۡمُحۡسِنَٰتِ/lil'muh'sinati//مِنْكُنَّ/مِنكُنَّ/minkunna//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "আর যদি//তোমরা হও (এমন যে)//তোমরা চাও//আল্লাহকে//ও তাঁর রাসূলকে//ও ঘরকে//আখিরাতের//তবে নিশ্চয়ই//আল্লাহ//প্রস্তুত করে রেখেছেন//জন্যে সৎকর্মশীলদের//মধ্য হ'তে তোমাদের//পুরস্কার//মহা\""
            },
            {
              "number": 3563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3563.mp3"
              ],
              "text": "يَٰنِسَآءَ ٱلنَّبِىِّ مَن يَأْتِ مِنكُنَّ بِفَٰحِشَةٍۢ مُّبَيِّنَةٍۢ يُضَٰعَفْ لَهَا ٱلْعَذَابُ ضِعْفَيْنِ ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًۭا",
              "translate_bn": "হে নবী পত্নীগণ! তোমাদের মধ্যে কেউ প্রকাশ্য অশ্লীল কাজ করলে তাকে দ্বিগুণ শাস্তি দেয়া হবে। এটা আল্লাহর জন্য সহজ।",
              "numberInSurah": 30,
              "juz": 21,
              "manzil": 5,
              "page": 421,
              "ruku": 364,
              "hizbQuarter": 168,
              "sajda": false,
              "pronunciation_bn": "ইয়া-নিছাআন নাবিইয়ি মাই ইয়া’তি মিনকুন্না বিফা-হিশাতিম মুবাইয়িনাতিইঁ ইউদা‘আফ লাহাল ‘আযা-বুদি‘ফাইনি ওয়া কা-না যা-লিকা ‘আলাল্লা-হি ইয়াছীরা-।\r\n",
              "words_arabic": "یٰنِسَآءَ/يَٰنِسَآءَ/yanisaa//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//مَنْ/مَن/man//یَّاْتِ/يَأۡتِ/yati//مِنْكُنَّ/مِنكُنَّ/minkunna//بِفَاحِشَةٍ/بِفَٰحِشَةٖ/bifahishatin//مُّبَیِّنَةٍ/مُّبَيِّنَةٖ/mubayyinatin//یُّضٰعَفْ/يُضَٰعَفۡ/yuda'af//لَهَا/لَهَا/laha//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//ضِعْفَیْنِ ؕ/ضِعۡفَيۡنِۚ/di'fayni//وَ كَانَ/وَكَانَ/wakana//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرًا /يَسِيرٗا/yasiran",
              "words_bangla": "হে স্ত্রীগণ//নাবীর//যে//আসবে//মধ্য হ'তে তোমাদের//নিয়ে (করে)অশ্লীল কাজ//সুস্পষ্ট//দ্বিগুণ দেয়া হবে//জন্যে তার//শাস্তি//দ্বিগুণ//এবং হ'লে//এটা//জন্যে//আল্লাহর//সহজ"
            },
            {
              "number": 3564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3564.mp3"
              ],
              "text": "۞ وَمَن يَقْنُتْ مِنكُنَّ لِلَّهِ وَرَسُولِهِۦ وَتَعْمَلْ صَٰلِحًۭا نُّؤْتِهَآ أَجْرَهَا مَرَّتَيْنِ وَأَعْتَدْنَا لَهَا رِزْقًۭا كَرِيمًۭا",
              "translate_bn": "তোমাদের মধ্যে যে কেউ আল্লাহ ও তাঁর রসূলের অনুগত হবে এবং সৎকর্ম করবে, আমি তাকে দুবার পুরস্কার দেব এবং তার জন্য আমি সম্মান জনক রিযিক প্রস্তুত রেখেছি।",
              "numberInSurah": 31,
              "juz": 22,
              "manzil": 5,
              "page": 422,
              "ruku": 364,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াকনুত মিনকুন্না লিল্লা-হি ওয়া রাছূলিহী ওয়া তা‘মাল সা-লিহান নু’তিহাআজরাহা-মাররাতাইনি ওয়া আ‘তাদনা-লাহা-রিঝকান কারীমা-।\r\n",
              "words_arabic": "وَ مَنْ/۞وَمَن/waman//یَّقْنُتْ/يَقۡنُتۡ/yaqnut//مِنْكُنَّ/مِنكُنَّ/minkunna//لِلّٰهِ/لِلَّهِ/lillahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ تَعْمَلْ/وَتَعۡمَلۡ/wata'mal//صَالِحًا/صَٰلِحٗا/salihan//نُّؤْتِهَاۤ/نُّؤۡتِهَآ/nu'tiha//اَجْرَهَا/أَجۡرَهَا/ajraha//مَرَّتَیْنِ ۙ/مَرَّتَيۡنِ/marratayni//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لَهَا/لَهَا/laha//رِزْقًا/رِزۡقٗا/riz'qan//كَرِیْمًا /كَرِيمٗا/kariman",
              "words_bangla": "এবং যে//অনুগত হবে//মধ্য হ'তে তোমাদের//প্রতি আল্লাহরই//ও রাসূলের তাঁর//ও কাজ করবে//সৎ//আমরা দিবো তাকে//পুরস্কার তার//দু’বার//এবং প্রস্তুত করে রেখেছি আমরা//জন্যে তার//জীবিকা//সম্মানজনক"
            },
            {
              "number": 3565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3565.mp3"
              ],
              "text": "يَٰنِسَآءَ ٱلنَّبِىِّ لَسْتُنَّ كَأَحَدٍۢ مِّنَ ٱلنِّسَآءِ ۚ إِنِ ٱتَّقَيْتُنَّ فَلَا تَخْضَعْنَ بِٱلْقَوْلِ فَيَطْمَعَ ٱلَّذِى فِى قَلْبِهِۦ مَرَضٌۭ وَقُلْنَ قَوْلًۭا مَّعْرُوفًۭا",
              "translate_bn": "হে নবী পত্নীগণ! তোমরা অন্য নারীদের মত নও; যদি তোমরা আল্লাহকে ভয় কর, তবে পরপুরুষের সাথে কোমল ও আকর্ষনীয় ভঙ্গিতে কথা বলো না, ফলে সেই ব্যক্তি কুবাসনা করে, যার অন্তরে ব্যাধি রয়েছে তোমরা সঙ্গত কথাবার্তা বলবে।",
              "numberInSurah": 32,
              "juz": 22,
              "manzil": 5,
              "page": 422,
              "ruku": 364,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইয়া-নিছাআন্নাবিইয়ি লাছতুন্না কাআহাদিম মিনান নিছাই ইনিত্তাকাইতুন্না ফালাতাখদা‘না বিলকাওলি ফাইয়াতমা‘আল্লাযীফীকালবিহী মারাদুওঁ ওয়া কুলনা কাওলাম মা‘রূফা-।",
              "words_arabic": "یٰنِسَآءَ/يَٰنِسَآءَ/yanisaa//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//لَسْتُنَّ/لَسۡتُنَّ/lastunna//كَاَحَدٍ/كَأَحَدٖ/ka-ahadin//مِّنَ/مِّنَ/mina//النِّسَآءِ/ٱلنِّسَآءِ/al-nisai//اِنِ/إِنِ/ini//اتَّقَیْتُنَّ/ٱتَّقَيۡتُنَّۚ/ittaqaytunna//فَلَا/فَلَا/fala//تَخْضَعْنَ/تَخۡضَعۡنَ/takhda'na//بِالْقَوْلِ/بِٱلۡقَوۡلِ/bil-qawli//فَیَطْمَعَ/فَيَطۡمَعَ/fayatma'a//الَّذِیْ/ٱلَّذِي/alladhi//فِیْ/فِي/fi//قَلْبِهٖ/قَلۡبِهِۦ/qalbihi//مَرَضٌ/مَرَضٞ/maradun//وَّ قُلْنَ/وَقُلۡنَ/waqul'na//قَوْلًا/قَوۡلٗا/qawlan//مَّعْرُوْفًاۚ/مَّعۡرُوفٗا/ma'rufan",
              "words_bangla": "হে স্ত্রীগণ//নাবীর//তোমরা নও//মতো একজনের//অন্য কোনো//নারীদের//যদি//তোমরা ভয় করো//তবে না//কোমল করো//(অন্য পুরুষদের সাথে) কথাকে//ফলে প্রলুদ্ধ হয়//(সে) যার//আছে//অন্তরে তার//রোগ//বরং তোমরা বলো//কথা//সঙ্গতভাবে"
            },
            {
              "number": 3566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3566.mp3"
              ],
              "text": "وَقَرْنَ فِى بُيُوتِكُنَّ وَلَا تَبَرَّجْنَ تَبَرُّجَ ٱلْجَٰهِلِيَّةِ ٱلْأُولَىٰ ۖ وَأَقِمْنَ ٱلصَّلَوٰةَ وَءَاتِينَ ٱلزَّكَوٰةَ وَأَطِعْنَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ لِيُذْهِبَ عَنكُمُ ٱلرِّجْسَ أَهْلَ ٱلْبَيْتِ وَيُطَهِّرَكُمْ تَطْهِيرًۭا",
              "translate_bn": "তোমরা গৃহাভ্যন্তরে অবস্থান করবে-মূর্খতা যুগের অনুরূপ নিজেদেরকে প্রদর্শন করবে না। নামায কায়েম করবে, যাকাত প্রদান করবে এবং আল্লাহ ও তাঁর রসূলের আনুগত্য করবে। হে নবী পরিবারের সদস্যবর্গ। আল্লাহ কেবল চান তোমাদের থেকে অপবিত্রতা দূর করতে এবং তোমাদেরকে পূর্ণরূপে পূত-পবিত্র রাখতে।",
              "numberInSurah": 33,
              "juz": 22,
              "manzil": 5,
              "page": 422,
              "ruku": 364,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া কারনা ফী বুয়ূতিকুন্না ওয়ালা-তাবাররাজনা তাবাররুজাল জা-হিলিইয়াতিল ঊলা-ওয়া আকিমনাসসালা-তা ওয়া আতীনাঝঝাকা-তা ওয়া আতি‘নাল্লা-হা ওয়া রাছূলাহূ ইন্নামাইউরীদুল্লা-হু লিইউযহিবা ‘আনকুমুর রিজছা আহলাল বাইতি ওয়া ইউতাহহিরাকুম তাতহীরা-।\r\n",
              "words_arabic": "وَ قَرْنَ/وَقَرۡنَ/waqarna//فِیْ/فِي/fi//بُیُوْتِكُنَّ/بُيُوتِكُنَّ/buyutikunna//وَ لَا/وَلَا/wala//تَبَرَّجْنَ/تَبَرَّجۡنَ/tabarrajna//تَبَرُّجَ/تَبَرُّجَ/tabarruja//الْجَاهِلِیَّةِ/ٱلۡجَٰهِلِيَّةِ/al-jahiliyati//الْاُوْلٰی/ٱلۡأُولَىٰۖ/al-ula//وَ اَقِمْنَ/وَأَقِمۡنَ/wa-aqim'na//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتِیْنَ/وَءَاتِينَ/waatina//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اَطِعْنَ/وَأَطِعۡنَ/wa-ati'na//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ؕ/وَرَسُولَهُۥٓۚ/warasulahu//اِنَّمَا/إِنَّمَا/innama//یُرِیْدُ/يُرِيدُ/yuridu//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُذْهِبَ/لِيُذۡهِبَ/liyudh'hiba//عَنْكُمُ/عَنكُمُ/ankumu//الرِّجْسَ/ٱلرِّجۡسَ/al-rij'sa//اَهْلَ/أَهۡلَ/ahla//الْبَیْتِ/ٱلۡبَيۡتِ/al-bayti//وَ یُطَهِّرَكُمْ/وَيُطَهِّرَكُمۡ/wayutahhirakum//تَطْهِیْرًاۚ/تَطۡهِيرٗا/tathiran",
              "words_bangla": "এবং তোমরা অবস্থান করো//মধ্যে//ঘরগুলোর তোমাদের//এবং না//তোমরা প্রদর্শন করো//প্রদর্শনী//অজ্ঞযুগের//প্রাচীন//এবং তোমরা প্রতিষ্ঠিত করো//সালাত//ও তোমরা আদায় করো//যাকাত//এবং তোমরা আনুগত্য করো//আল্লাহর//ও রাসূলের তাঁর//কেবল//চান//আল্লাহ্‌//যাতে দূর করে দেন//হ'তে তোমাদের//অপবিত্রতা//(অর্থাৎ হ'তে) বাসিন্দাদের//(নাবীর) ঘরের//এবং পবিত্র করবেন তোমাদেরকে//সম্পূর্ণ পবিত্র"
            },
            {
              "number": 3567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3567.mp3"
              ],
              "text": "وَٱذْكُرْنَ مَا يُتْلَىٰ فِى بُيُوتِكُنَّ مِنْ ءَايَٰتِ ٱللَّهِ وَٱلْحِكْمَةِ ۚ إِنَّ ٱللَّهَ كَانَ لَطِيفًا خَبِيرًا",
              "translate_bn": "আল্লাহর আয়াত ও জ্ঞানগর্ভ কথা, যা তোমাদের গৃহে পঠিত হয় তোমরা সেগুলো স্মরণ করবে। নিশ্চয় আল্লাহ সূক্ষ্নদর্শী, সর্ববিষয়ে খবর রাখেন।",
              "numberInSurah": 34,
              "juz": 22,
              "manzil": 5,
              "page": 422,
              "ruku": 364,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরনা মা-ইউতলা-ফী বুয়ূতিকুন্না মিন আ-য়া-তিল্লা-হি ওয়াল হিকমাতি ইন্নাল্লাহা কা-না লাতীফান খাবীরা-।\r\n",
              "words_arabic": "وَ اذْكُرْنَ/وَٱذۡكُرۡنَ/wa-udh'kur'na//مَا/مَا/ma//یُتْلٰی/يُتۡلَىٰ/yut'la//فِیْ/فِي/fi//بُیُوْتِكُنَّ/بُيُوتِكُنَّ/buyutikunna//مِنْ/مِنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْحِكْمَةِ ؕ/وَٱلۡحِكۡمَةِۚ/wal-hik'mati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//لَطِیْفًا/لَطِيفًا/latifan//خَبِیْرًا۠/خَبِيرًا/khabiran",
              "words_bangla": "এবং তোমরা স্মরণ করো//যা//তিলাওয়াত করা হয়//মধ্যে//তোমাদের ঘরগুলোর//থেকে//আয়াতসমূহ//আল্লাহর//ও প্রজ্ঞার কথা//নিশ্চয়ই//আল্লাহ্‌//হলেন//সূক্ষ্মদর্শী//খুব অবহিত"
            },
            {
              "number": 3568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3568.mp3"
              ],
              "text": "إِنَّ ٱلْمُسْلِمِينَ وَٱلْمُسْلِمَٰتِ وَٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ وَٱلْقَٰنِتِينَ وَٱلْقَٰنِتَٰتِ وَٱلصَّٰدِقِينَ وَٱلصَّٰدِقَٰتِ وَٱلصَّٰبِرِينَ وَٱلصَّٰبِرَٰتِ وَٱلْخَٰشِعِينَ وَٱلْخَٰشِعَٰتِ وَٱلْمُتَصَدِّقِينَ وَٱلْمُتَصَدِّقَٰتِ وَٱلصَّٰٓئِمِينَ وَٱلصَّٰٓئِمَٰتِ وَٱلْحَٰفِظِينَ فُرُوجَهُمْ وَٱلْحَٰفِظَٰتِ وَٱلذَّٰكِرِينَ ٱللَّهَ كَثِيرًۭا وَٱلذَّٰكِرَٰتِ أَعَدَّ ٱللَّهُ لَهُم مَّغْفِرَةًۭ وَأَجْرًا عَظِيمًۭا",
              "translate_bn": "নিশ্চয় মুসলমান পুরুষ, মুসলমান নারী, ঈমানদার পুরুষ, ঈমানদার নারী, অনুগত পুরুষ, অনুগত নারী, সত্যবাদী পুরুষ, সত্যবাদী নারী, ধৈর্য্যশীল পুরুষ, ধৈর্য্যশীল নারী, বিনীত পুরুষ, বিনীত নারী, দানশীল পুরুষ, দানশীল নারী, রোযা পালণকারী পুরুষ, রোযা পালনকারী নারী, যৌনাঙ্গ হেফাযতকারী পুরুষ, , যৌনাঙ্গ হেফাযতকারী নারী, আল্লাহর অধিক যিকরকারী পুরুষ ও যিকরকারী নারী-তাদের জন্য আল্লাহ প্রস্তুত রেখেছেন ক্ষমা ও মহাপুরষ্কার।",
              "numberInSurah": 35,
              "juz": 22,
              "manzil": 5,
              "page": 422,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুছলিমীনা ওয়াল মুছলিমা-তি ওয়াল মু’মিনীনা ওয়াল মু’মিনা-তি ওয়াল কা-নিতীনা ওয়াল কা-নিতা-তি ওয়াসসা-দিকীনা ওয়াসসা-দিকা-তি ওয়াসসা-বিরীনা ওয়াসসা-বিরাতি ওয়াল খা-শি‘ঈনা ওয়াল খা-শি‘আ-তি ওয়াল মুতাসাদ্দিকীনা ওয়াল মুতাসাদ্দিকা-তি ওয়াসসাইমীনা ওয়াসসাইমা-তি ওয়াল হা-ফিজীনা ফুরূজাহুম ওয়াল হা-ফিজা-তি ওয়াযযা-কিরীনাল্লা-হা কাছীরাওঁ ওয়াযযা-কিরা-তি আ‘আদ্দাল্লা-হু লাহুম মাগফিরাতাওঁ ওয়া আজরান ‘আজীমা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُسْلِمِیْنَ/ٱلۡمُسۡلِمِينَ/al-mus'limina//وَ الْمُسْلِمٰتِ/وَٱلۡمُسۡلِمَٰتِ/wal-mus'limati//وَ الْمُؤْمِنِیْنَ/وَٱلۡمُؤۡمِنِينَ/wal-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//وَ الْقٰنِتِیْنَ/وَٱلۡقَٰنِتِينَ/wal-qanitina//وَ الْقٰنِتٰتِ/وَٱلۡقَٰنِتَٰتِ/wal-qanitati//وَ الصّٰدِقِیْنَ/وَٱلصَّـٰدِقِينَ/wal-sadiqina//وَ الصّٰدِقٰتِ/وَٱلصَّـٰدِقَٰتِ/wal-sadiqati//وَ الصّٰبِرِیْنَ/وَٱلصَّـٰبِرِينَ/wal-sabirina//وَ الصّٰبِرٰتِ/وَٱلصَّـٰبِرَٰتِ/wal-sabirati//وَ الْخٰشِعِیْنَ/وَٱلۡخَٰشِعِينَ/wal-khashi'ina//وَ الْخٰشِعٰتِ/وَٱلۡخَٰشِعَٰتِ/wal-khashi'ati//وَ الْمُتَصَدِّقِیْنَ/وَٱلۡمُتَصَدِّقِينَ/wal-mutasadiqina//وَ الْمُتَصَدِّقٰتِ/وَٱلۡمُتَصَدِّقَٰتِ/wal-mutasadiqati//وَ الصَّآىِٕمِیْنَ/وَٱلصَّـٰٓئِمِينَ/wal-saimina//وَ الصّٰٓىِٕمٰتِ/وَٱلصَّـٰٓئِمَٰتِ/wal-saimati//وَ الْحٰفِظِیْنَ/وَٱلۡحَٰفِظِينَ/wal-hafizina//فُرُوْجَهُمْ/فُرُوجَهُمۡ/furujahum//وَ الْحٰفِظٰتِ/وَٱلۡحَٰفِظَٰتِ/wal-hafizati//وَ الذّٰكِرِیْنَ/وَٱلذَّـٰكِرِينَ/wal-dhakirina//اللّٰهَ/ٱللَّهَ/al-laha//كَثِیْرًا/كَثِيرٗا/kathiran//وَّ الذّٰكِرٰتِ ۙ/وَٱلذَّـٰكِرَٰتِ/wal-dhakirati//اَعَدَّ/أَعَدَّ/a'adda//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ/لَهُم/lahum//مَّغْفِرَةً/مَّغۡفِرَةٗ/maghfiratan//وَّ اَجْرًا/وَأَجۡرًا/wa-ajran//عَظِیْمًا /عَظِيمٗا/aziman",
              "words_bangla": "নিশ্চয়ই//মুসলমান পুরুষগণ//ও মুসলমান নারীগণ//এবং মু’মিন পুরুষগণ//ও মুু’মিনা নারীগণ//এবং অনুগত পুরুষগণ//ও অনুগত নারীগণ//এবং সত্যবাদী পুরুষগণ//ও সত্যবাদী নারীগণ//এবং ধৈয্যশীল পুরুষগণ//ও ধৈয্যশীল নারীগণ//এবং নম্র পুরুষগণ//ও নম্র নারীগণ//এবং দানশীল পুরুষগণ//ও দানশীল নারীগণ//এবং সাওমপালনকারী পুরুষগণ//ও সাওমপালনকারী নারীগণ//এবং পুরুষ সংরক্ষকগণ//লজ্জাস্থানগুলোর তাদের//ও নারী সংরক্ষকগণ//এবং পুরুষ স্মরণকারীগণ//আল্লাহকে//অধিকমাত্রায়//ও নারী স্মরণকারীগণ (আল্লাহকে)//নির্দিষ্ট করে রেখেছেন//আল্লাহ//জন্যে তাদের//ক্ষমা//ও পুরস্কার//মহা"
            },
            {
              "number": 3569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3569.mp3"
              ],
              "text": "وَمَا كَانَ لِمُؤْمِنٍۢ وَلَا مُؤْمِنَةٍ إِذَا قَضَى ٱللَّهُ وَرَسُولُهُۥٓ أَمْرًا أَن يَكُونَ لَهُمُ ٱلْخِيَرَةُ مِنْ أَمْرِهِمْ ۗ وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ فَقَدْ ضَلَّ ضَلَٰلًۭا مُّبِينًۭا",
              "translate_bn": "আল্লাহ ও তাঁর রসূল কোন কাজের আদেশ করলে কোন ঈমানদার পুরুষ ও ঈমানদার নারীর সে বিষয়ে ভিন্ন ক্ষমতা নেই যে, আল্লাহ ও তাঁর রসূলের আদেশ অমান্য করে সে প্রকাশ্য পথভ্রষ্ট তায় পতিত হয়।",
              "numberInSurah": 36,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-না লিমু’মিনিওঁ ওয়ালা-মু’মিনাতিন ইযা-কাদাল্লা-হু ওয়া রাছূলুহূআমরান আইঁ ইয়াকূনা লাহুমুল খিয়ারাতুমিন আমরিহিম ওয়া মাইঁ ইয়া‘সিল্লা-হা ওয়া রাছূলাহূফাকাদ দাল্লা দালা-লাম মুবীনা-।আল্লাহ ও তাঁর রসূল কোন কাজের আদেশ করলে কোন ঈমানদার পুরুষ ও ঈমানদার নারীর সে বিষয়ে ভিন্ন ক্ষমতা নেই যে, আল্লাহ ও তাঁর রসূলের আদেশ অমান্য করে সে প্রকাশ্য পথভ্রষ্ট তায় পতিত হয়।\r\n",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِمُؤْمِنٍ/لِمُؤۡمِنٖ/limu'minin//وَّ لَا/وَلَا/wala//مُؤْمِنَةٍ/مُؤۡمِنَةٍ/mu'minatin//اِذَا/إِذَا/idha//قَضَی/قَضَى/qada//اللّٰهُ/ٱللَّهُ/al-lahu//وَ رَسُوْلُهٗۤ/وَرَسُولُهُۥٓ/warasuluhu//اَمْرًا/أَمۡرًا/amran//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//لَهُمُ/لَهُمُ/lahumu//الْخِیَرَةُ/ٱلۡخِيَرَةُ/al-khiyaratu//مِنْ/مِنۡ/min//اَمْرِهِمْ ؕ/أَمۡرِهِمۡۗ/amrihim//وَ مَنْ/وَمَن/waman//یَّعْصِ/يَعۡصِ/ya'si//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//ضَلٰلًا/ضَلَٰلٗا/dalalan//مُّبِیْنًاؕ/مُّبِينٗا/mubinan",
              "words_bangla": "এবং নেই//অধিকার//কোন মু'মিন পুরুষের জন্যে//আর না//মু'মিন নারীর (জন্যে)//যখন//সিদ্ধান্ত দেন//আল্লাহ//ও রাসূল তাঁর//কোনো বিষয়ের//যে//থাকবে//জন্যে তাদের//স্বাধীন ইচ্ছা//কোনো//(সে) বিষয়ের তাদের//এবং যে//অমান্য করবে//আল্লাহকে//ও রাসূলকে তাঁর//তবে নিশ্চয়ই//সে পথভ্রষ্ট হবে//পথভ্রষ্টতা//সুস্পষ্ট"
            },
            {
              "number": 3570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3570.mp3"
              ],
              "text": "وَإِذْ تَقُولُ لِلَّذِىٓ أَنْعَمَ ٱللَّهُ عَلَيْهِ وَأَنْعَمْتَ عَلَيْهِ أَمْسِكْ عَلَيْكَ زَوْجَكَ وَٱتَّقِ ٱللَّهَ وَتُخْفِى فِى نَفْسِكَ مَا ٱللَّهُ مُبْدِيهِ وَتَخْشَى ٱلنَّاسَ وَٱللَّهُ أَحَقُّ أَن تَخْشَىٰهُ ۖ فَلَمَّا قَضَىٰ زَيْدٌۭ مِّنْهَا وَطَرًۭا زَوَّجْنَٰكَهَا لِكَىْ لَا يَكُونَ عَلَى ٱلْمُؤْمِنِينَ حَرَجٌۭ فِىٓ أَزْوَٰجِ أَدْعِيَآئِهِمْ إِذَا قَضَوْا۟ مِنْهُنَّ وَطَرًۭا ۚ وَكَانَ أَمْرُ ٱللَّهِ مَفْعُولًۭا",
              "translate_bn": "আল্লাহ যাকে অনুগ্রহ করেছেন; আপনিও যাকে অনুগ্রহ করেছেন; তাকে যখন আপনি বলেছিলেন, তোমার স্ত্রীকে তোমার কাছেই থাকতে দাও এবং আল্লাহকে ভয় কর। আপনি অন্তরে এমন বিষয় গোপন করছিলেন, যা আল্লাহ পাক প্রকাশ করে দেবেন আপনি লোকনিন্দার ভয় করেছিলেন অথচ আল্লাহকেই অধিক ভয় করা উচিত। অতঃপর যায়েদ যখন যয়নবের সাথে সম্পর্ক ছিন্ন করল, তখন আমি তাকে আপনার সাথে বিবাহবন্ধনে আবদ্ধ করলাম যাতে মুমিনদের পোষ্যপুত্ররা তাদের স্ত্রীর সাথে সম্পর্ক ছিন্ন করলে সেসব স্ত্রীকে বিবাহ করার ব্যাপারে মুমিনদের কোন অসুবিধা না থাকে। আল্লাহর নির্দেশ কার্যে পরিণত হয়েই থাকে।",
              "numberInSurah": 37,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযতাকূলু লিল্লাযী আন‘আমাল্লা-হু আলাইহি ওয়াআন‘আমতা ‘আলাইহি আমছিক ‘আলাইকা ঝাওজাকা ওয়াত্তাকিল্লা-হা ওয়া তুখফী ফী নাফছিকা মাল্লা-হু মুবদীহি ওয়া তাখশান্না-ছা ওয়াল্লা-হু আহাক্কুআন তাখশা-হু ফালাম্মা-কাদা-ঝাইদুম মিন হাওয়াতারান ঝাওয়াজনা-কাহা-লিকাই লা-ইয়াকূনা ‘আলাল মু’মিনীনা হারাজুন ফীআঝওয়াজি আদ‘ইয়াইহিম ইযা-কাদাও মিনহুন্না ওয়াতারা- ওয়া কা-না আমরুল্লা-হি মাফ ‘ঊলা-।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//تَقُوْلُ/تَقُولُ/taqulu//لِلَّذِیْۤ/لِلَّذِيٓ/lilladhi//اَنْعَمَ/أَنۡعَمَ/an'ama//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ اَنْعَمْتَ/وَأَنۡعَمۡتَ/wa-an'amta//عَلَیْهِ/عَلَيۡهِ/alayhi//اَمْسِكْ/أَمۡسِكۡ/amsik//عَلَیْكَ/عَلَيۡكَ/alayka//زَوْجَكَ/زَوۡجَكَ/zawjaka//وَ اتَّقِ/وَٱتَّقِ/wa-ittaqi//اللّٰهَ/ٱللَّهَ/al-laha//وَ تُخْفِیْ/وَتُخۡفِي/watukh'fi//فِیْ/فِي/fi//نَفْسِكَ/نَفۡسِكَ/nafsika//مَا/مَا/ma//اللّٰهُ/ٱللَّهُ/al-lahu//مُبْدِیْهِ/مُبۡدِيهِ/mub'dihi//وَ تَخْشَی/وَتَخۡشَى/watakhsha//النَّاسَ ۚ/ٱلنَّاسَ/al-nasa//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَحَقُّ/أَحَقُّ/ahaqqu//اَنْ/أَن/an//تَخْشٰىهُ ؕ/تَخۡشَىٰهُۖ/takhshahu//فَلَمَّا/فَلَمَّا/falamma//قَضٰی/قَضَىٰ/qada//زَیْدٌ/زَيۡدٞ/zaydun//مِّنْهَا/مِّنۡهَا/min'ha//وَطَرًا/وَطَرٗا/wataran//زَوَّجْنٰكَهَا/زَوَّجۡنَٰكَهَا/zawwajnakaha//لِكَیْ/لِكَيۡ/likay//لَا/لَا/la//یَكُوْنَ/يَكُونَ/yakuna//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//حَرَجٌ/حَرَجٞ/harajun//فِیْۤ/فِيٓ/fi//اَزْوَاجِ/أَزۡوَٰجِ/azwaji//اَدْعِیَآىِٕهِمْ/أَدۡعِيَآئِهِمۡ/ad'iyaihim//اِذَا/إِذَا/idha//قَضَوْا/قَضَوۡاْ/qadaw//مِنْهُنَّ/مِنۡهُنَّ/min'hunna//وَطَرًا ؕ/وَطَرٗاۚ/wataran//وَ كَانَ/وَكَانَ/wakana//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//مَفْعُوْلًا /مَفۡعُولٗا/maf'ulan",
              "words_bangla": "এবং (স্মরণ কর) যখন//তুমি বলেছিলে//উদ্দেশ্যে সেই(ব্যক্তির)//অনুগ্রহ করেছেন (যাকে)//আল্লাহ//উপর তার//ও তুমি অনুগ্রহ করেছো//উপর তার//\"(বিবাহাধীনে) তুমি রাখো//সাথে তোমার//স্ত্রীকে তোমার//এবং ভয় করো//আল্লাহকে\"//আর তুমি গোপন করেছিলে//মধ্যে//মনের তোমার//যা//আল্লাহ//প্রকাশকারী তা//এবং তুমি ভয় করছিলে//মানুষকে//অথচ আল্লাহ//অধিক সংগত//যে//ভয় করো তুমি তাঁকে//অত:পর যখন//শেষ (পূর্ণ) করলো//যায়েদ//থেকে তার//(তালাক দেয়ার) প্রয়োজন//তোমার সাথে আমরা বিয়ে দিলাম তাকে//যেন//না//হয়//উপর//মু'মিনদের//কোনো সংকীর্ণতা//(বিবাহের)ব্যাপারে//স্ত্রীদের//পোষ্য-পুত্রদের তাদের//যখন//তারা শেষ (পূর্ণ) করে//থেকে তাদের//(তালাক দেয়ার) প্রয়োজন//এবং হয়//আদেশ//আল্লাহর//কার্যকর"
            },
            {
              "number": 3571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3571.mp3"
              ],
              "text": "مَّا كَانَ عَلَى ٱلنَّبِىِّ مِنْ حَرَجٍۢ فِيمَا فَرَضَ ٱللَّهُ لَهُۥ ۖ سُنَّةَ ٱللَّهِ فِى ٱلَّذِينَ خَلَوْا۟ مِن قَبْلُ ۚ وَكَانَ أَمْرُ ٱللَّهِ قَدَرًۭا مَّقْدُورًا",
              "translate_bn": "আল্লাহ নবীর জন্যে যা নির্ধারণ করেন, তাতে তাঁর কোন বাধা নেই পূর্ববর্তী নবীগণের ক্ষেত্রে এটাই ছিল আল্লাহর চিরাচরিত বিধান। আল্লাহর আদেশ নির্ধারিত, অবধারিত।",
              "numberInSurah": 38,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না ‘আলান্নাবিইয়ি মিন হারাজিন ফীমা-ফারাদাল্লাহু লাহূ ছুন্নাতাল্লা-হি ফিল্লাযীনা খালাও মিন কাবলু ওয়া কা-না আমরুল্লা-হি কাদারাম মাকদূ রা-।",
              "words_arabic": "مَا/مَّا/ma//كَانَ/كَانَ/kana//عَلَی/عَلَى/ala//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//مِنْ/مِنۡ/min//حَرَجٍ/حَرَجٖ/harajin//فِیْمَا/فِيمَا/fima//فَرَضَ/فَرَضَ/farada//اللّٰهُ/ٱللَّهُ/al-lahu//لَهٗ ؕ/لَهُۥۖ/lahu//سُنَّةَ/سُنَّةَ/sunnata//اللّٰهِ/ٱللَّهِ/al-lahi//فِی/فِي/fi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَلَوْا/خَلَوۡاْ/khalaw//مِنْ/مِن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//وَ كَانَ/وَكَانَ/wakana//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//قَدَرًا/قَدَرٗا/qadaran//مَّقْدُوْرَاؗۙ/مَّقۡدُورًا/maqduran",
              "words_bangla": "না//ছিলো//উপর//নাবীর//কোনো//বাধা//ঐ বিষয়ে যা//বিধিসম্মত করেছেন//আল্লাহ//জন্যে তার//নীতি (ছিলো)//আল্লাহর//(তাদের) ক্ষেত্রেও//যারা//অতীত হয়েছে//থেকে//পূর্ব//এবং হয়//বিধান//আল্লাহর//সুনির্ধারিত//অবশ্যম্ভাবী"
            },
            {
              "number": 3572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3572.mp3"
              ],
              "text": "ٱلَّذِينَ يُبَلِّغُونَ رِسَٰلَٰتِ ٱللَّهِ وَيَخْشَوْنَهُۥ وَلَا يَخْشَوْنَ أَحَدًا إِلَّا ٱللَّهَ ۗ وَكَفَىٰ بِٱللَّهِ حَسِيبًۭا",
              "translate_bn": "সেই নবীগণ আল্লাহর পয়গাম প্রচার করতেন ও তাঁকে ভয় করতেন। তারা আল্লাহ ব্যতীত অন্যকাউকে ভয় করতেন না। হিসাব গ্রহণের জন্যে আল্লাহ যথেষ্ঠ।",
              "numberInSurah": 39,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউবালিলাগূনা রিছা-লা-তিল্লা-হি ওয়া ইয়াখশাওনাহূওয়ালা-ইয়াখশাওনা আহাদান ইল্লাল্লা-হা ওয়া কাফা-বিল্লা-হি হাছীবা-।",
              "words_arabic": "ِ۟الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُبَلِّغُوْنَ/يُبَلِّغُونَ/yuballighuna//رِسٰلٰتِ/رِسَٰلَٰتِ/risalati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ یَخْشَوْنَهٗ/وَيَخۡشَوۡنَهُۥ/wayakhshawnahu//وَ لَا/وَلَا/wala//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//اَحَدًا/أَحَدًا/ahadan//اِلَّا/إِلَّا/illa//اللّٰهَ ؕ/ٱللَّهَۗ/al-laha//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//حَسِیْبًا /حَسِيبٗا/hasiban",
              "words_bangla": "যারা//পৌঁছায়//বাণীসমূহ//আল্লাহর//ও তারা ভয় করে তাঁকে//আর না//তারা ভয় করে//কাউকেও//ছাড়া//আল্লাহ//এবং যথেষ্ট//আল্লাহই//হিসাব গ্রহণকারীরূপে"
            },
            {
              "number": 3573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3573.mp3"
              ],
              "text": "مَّا كَانَ مُحَمَّدٌ أَبَآ أَحَدٍۢ مِّن رِّجَالِكُمْ وَلَٰكِن رَّسُولَ ٱللَّهِ وَخَاتَمَ ٱلنَّبِيِّۦنَ ۗ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمًۭا",
              "translate_bn": "মুহাম্মদ তোমাদের কোন ব্যক্তির পিতা নন; বরং তিনি আল্লাহর রাসূল এবং শেষ নবী। আল্লাহ সব বিষয়ে জ্ঞাত।",
              "numberInSurah": 40,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 365,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না মুহাম্মাদুন আবা আহাদিম মিররিজা-লিকুম ওয়ালা-কির রাছূলাল্লা-হি ওয়া খাতামান নাবিইয়ীনা ওয়াকা-নাল্লা-হু বিকুল্লি শাইয়িন ‘আলীমা-।",
              "words_arabic": "مَا/مَّا/ma//كَانَ/كَانَ/kana//مُحَمَّدٌ/مُحَمَّدٌ/muhammadun//اَبَاۤ/أَبَآ/aba//اَحَدٍ/أَحَدٖ/ahadin//مِّنْ/مِّن/min//رِّجَالِكُمْ/رِّجَالِكُمۡ/rijalikum//وَ لٰكِنْ/وَلَٰكِن/walakin//رَّسُوْلَ/رَّسُولَ/rasula//اللّٰهِ/ٱللَّهِ/al-lahi//وَ خَاتَمَ/وَخَاتَمَ/wakhatama//النَّبِیّٖنَ ؕ/ٱلنَّبِيِّـۧنَۗ/al-nabiyina//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمًا۠/عَلِيمٗا/aliman",
              "words_bangla": "না//ছিলো//মুহাম্মাদ//পিতা//কারো//মধ্যেকার//পুরুষদের তোমাদের//কিন্তু//রাসূল//আল্লাহর//সর্বশেষ (সমাপ্তির ও সিলমোহর)//নাবীদের (আগমনের)//এবং হলেন//আল্লাহ//সম্পর্কে সব//কিছুই//সর্বজ্ঞ"
            },
            {
              "number": 3574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3574.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ ٱللَّهَ ذِكْرًۭا كَثِيرًۭا",
              "translate_bn": "মুমিনগণ তোমরা আল্লাহকে অধিক পরিমাণে স্মরণ কর।",
              "numberInSurah": 41,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুযকুরুল্লা-হা যিকরান কাছীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اذْكُرُوا/ٱذۡكُرُواْ/udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//ذِكْرًا/ذِكۡرٗا/dhik'ran//كَثِیْرًاۙ/كَثِيرٗا/kathiran",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা স্মরণ করো//আল্লাহর//স্মরণ//অধিক"
            },
            {
              "number": 3575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3575.mp3"
              ],
              "text": "وَسَبِّحُوهُ بُكْرَةًۭ وَأَصِيلًا",
              "translate_bn": "এবং সকাল বিকাল আল্লাহর পবিত্রতা বর্ণনা কর।",
              "numberInSurah": 42,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাব্বিহূহু বুকরাতাওঁ ওয়া আসীলা-।",
              "words_arabic": "وَّ سَبِّحُوْهُ/وَسَبِّحُوهُ/wasabbihuhu//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ اَصِیْلًا /وَأَصِيلًا/wa-asilan",
              "words_bangla": "এবং তাঁর পবিত্রতা ঘোষণা করো//সকালে//ও সন্ধ্যায়"
            },
            {
              "number": 3576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3576.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُصَلِّى عَلَيْكُمْ وَمَلَٰٓئِكَتُهُۥ لِيُخْرِجَكُم مِّنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ ۚ وَكَانَ بِٱلْمُؤْمِنِينَ رَحِيمًۭا",
              "translate_bn": "তিনিই তোমাদের প্রতি রহমত করেন এবং তাঁর ফেরেশতাগণও রহমতের দোয়া করেন-অন্ধকার থেকে তোমাদেরকে আলোকে বের করার জন্য। তিনি মুমিনদের প্রতি পরম দয়ালু।",
              "numberInSurah": 43,
              "juz": 22,
              "manzil": 5,
              "page": 423,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউসাললী ‘আলাইকুম ওয়া মালাইকাতুহূলিইউখরিজাকুম মিনাজ্জুলুমা-তি ইলাননূরি ওয়া কা-না বিলমু’মিনীনা রাহীমা-।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُصَلِّیْ/يُصَلِّي/yusalli//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//وَ مَلٰٓىِٕكَتُهٗ/وَمَلَـٰٓئِكَتُهُۥ/wamalaikatuhu//لِیُخْرِجَكُمْ/لِيُخۡرِجَكُم/liyukh'rijakum//مِّنَ/مِّنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ؕ/ٱلنُّورِۚ/al-nuri//وَ كَانَ/وَكَانَ/wakana//بِالْمُؤْمِنِیْنَ/بِٱلۡمُؤۡمِنِينَ/bil-mu'minina//رَحِیْمًا /رَحِيمٗا/rahiman",
              "words_bangla": "তিনিই//যিনি//অনুগ্রহ করেন//উপর তোমাদের//ফেরেশতাগণ তাঁর(দোয়া করে)//যেন তিনি বের করেন তোমাদেরকে//হ'তে//অন্ধকারসমূহ//দিকে//আলোর//এবং তিনি হলেন//প্রতি মু'মিনদের//বড় অনুগ্রহশীল"
            },
            {
              "number": 3577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3577.mp3"
              ],
              "text": "تَحِيَّتُهُمْ يَوْمَ يَلْقَوْنَهُۥ سَلَٰمٌۭ ۚ وَأَعَدَّ لَهُمْ أَجْرًۭا كَرِيمًۭا",
              "translate_bn": "যেদিন আল্লাহর সাথে মিলিত হবে; সেদিন তাদের অভিবাদন হবে সালাম। তিনি তাদের জন্যে সম্মানজনক পুরস্কার প্রস্তুত রেখেছেন।",
              "numberInSurah": 44,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "তাহিইয়াতুহুম ইয়াওমা ইয়ালকাওনাহূছালা-মুন ওয়া আ‘আদ্দা লাহুম আজরান কারীমা-।",
              "words_arabic": "تَحِیَّتُهُمْ/تَحِيَّتُهُمۡ/tahiyyatuhum//یَوْمَ/يَوۡمَ/yawma//یَلْقَوْنَهٗ/يَلۡقَوۡنَهُۥ/yalqawnahu//سَلٰمٌ ۚۖ/سَلَٰمٞۚ/salamun//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهُمْ/لَهُمۡ/lahum//اَجْرًا/أَجۡرٗا/ajran//كَرِیْمًا /كَرِيمٗا/kariman",
              "words_bangla": "অভিবাদন (হবে)তাদের যেদিন//যে দিন//তারা সাক্ষাৎ করবে তাঁর সাথে//সালাম (দিয়ে)\"//এবং প্রস্তুত করে রেখেছেন//জন্যে তাদের//কর্মফল//সম্মানজনক"
            },
            {
              "number": 3578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3578.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ إِنَّآ أَرْسَلْنَٰكَ شَٰهِدًۭا وَمُبَشِّرًۭا وَنَذِيرًۭا",
              "translate_bn": "হে নবী! আমি আপনাকে সাক্ষী, সুসংবাদ দাতা ও সতর্ককারীরূপে প্রেরণ করেছি।",
              "numberInSurah": 45,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুইন্নাআরছালনা-কা শাহিদাওঁ ওয়া মুবাশশিরাওঁ ওয়া নাযীরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//شَاهِدًا/شَٰهِدٗا/shahidan//وَّ مُبَشِّرًا/وَمُبَشِّرٗا/wamubashiran//وَّ نَذِیْرًاۙ/وَنَذِيرٗا/wanadhiran",
              "words_bangla": "হে//নাবী//নিশ্চয়ই আমরা//আমরা পাঠিয়েছি তোমাকে//সাক্ষীরূপে//এবং সুসংবাদদাতা//ও সতর্ককারী হিসেবে"
            },
            {
              "number": 3579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3579.mp3"
              ],
              "text": "وَدَاعِيًا إِلَى ٱللَّهِ بِإِذْنِهِۦ وَسِرَاجًۭا مُّنِيرًۭا",
              "translate_bn": "এবং আল্লাহর আদেশক্রমে তাঁর দিকে আহবায়করূপে এবং উজ্জ্বল প্রদীপরূপে।",
              "numberInSurah": 46,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া দা-‘ইয়ান ইলাল্লা-হি বিইযনিহী ওয়া ছিরা-জাম মুনীরা-।",
              "words_arabic": "وَّ دَاعِیًا/وَدَاعِيًا/wada'iyan//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//بِاِذْنِهٖ/بِإِذۡنِهِۦ/bi-idh'nihi//وَ سِرَاجًا/وَسِرَاجٗا/wasirajan//مُّنِیْرًا /مُّنِيرٗا/muniran",
              "words_bangla": "এবং আহবানকারীরূপে//দিকে//আল্লাহর//অনুসারে অনুমতি তাঁর//ও প্রদীপস্বরূপ//উজ্জ্বল"
            },
            {
              "number": 3580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3580.mp3"
              ],
              "text": "وَبَشِّرِ ٱلْمُؤْمِنِينَ بِأَنَّ لَهُم مِّنَ ٱللَّهِ فَضْلًۭا كَبِيرًۭا",
              "translate_bn": "আপনি মুমিনদেরকে সুসংবাদ দিন যে, তাদের জন্য আল্লাহর পক্ষ থেকে বিরাট অনুগ্রহ রয়েছে।",
              "numberInSurah": 47,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাশশিরিল মু’মিনীনা বিআন্না লাহুম মিনাল্লা-হি ফাদলান কাবীরা-।",
              "words_arabic": "وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//بِاَنَّ/بِأَنَّ/bi-anna//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//فَضْلًا/فَضۡلٗا/fadlan//كَبِیْرًا /كَبِيرٗا/kabiran",
              "words_bangla": "এবং সুসংবাদ দাও//মু'মিনদেরকে//যে অবশ্যই//জন্যে (আছে)তাদের//পক্ষ থেকে//আল্লাহর//অনুগ্র্রহ//বিরাট"
            },
            {
              "number": 3581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3581.mp3"
              ],
              "text": "وَلَا تُطِعِ ٱلْكَٰفِرِينَ وَٱلْمُنَٰفِقِينَ وَدَعْ أَذَىٰهُمْ وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًۭا",
              "translate_bn": "আপনি কাফের ও মুনাফিকদের আনুগত্য করবেন না এবং তাদের উৎপীড়ন উপেক্ষা করুন ও আল্লাহর উপর ভরসা করুন। আল্লাহ কার্যনিবার্হীরূপে যথেষ্ট।",
              "numberInSurah": 48,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুতি‘ইল কা-ফিরীনা ওয়াল মুনা-ফিকীনা ওয়াদা‘ আযা-হুম ওয়া তাওয়াক্কাল ‘আলাল্লা-হি ওয়া কাফা-বিল্লা-হি ওয়াকীলা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُطِعِ/تُطِعِ/tuti'i//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//وَ الْمُنٰفِقِیْنَ/وَٱلۡمُنَٰفِقِينَ/wal-munafiqina//وَ دَعْ/وَدَعۡ/wada'//اَذٰىهُمْ/أَذَىٰهُمۡ/adhahum//وَ تَوَكَّلْ/وَتَوَكَّلۡ/watawakkal//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "এবং না//আনুগত্য করো//কাফিরদের//ও মুনাফিকদের//এবং উপেক্ষা করো//নির্যাতনকে তাদের//এবং নির্ভর করো//উপর//আল্লাহর//এবং যথেষ্ট//আল্লাহই//কর্মবিধায়ক হিসেবে"
            },
            {
              "number": 3582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3582.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نَكَحْتُمُ ٱلْمُؤْمِنَٰتِ ثُمَّ طَلَّقْتُمُوهُنَّ مِن قَبْلِ أَن تَمَسُّوهُنَّ فَمَا لَكُمْ عَلَيْهِنَّ مِنْ عِدَّةٍۢ تَعْتَدُّونَهَا ۖ فَمَتِّعُوهُنَّ وَسَرِّحُوهُنَّ سَرَاحًۭا جَمِيلًۭا",
              "translate_bn": "মুমিনগণ! তোমরা যখন মুমিন নারীদেরকে বিবাহ কর, অতঃপর তাদেরকে স্পর্শ করার পূর্বে তালাক দিয়ে দাও, তখন তাদেরকে ইদ্দত পালনে বাধ্য করার অধিকার তোমাদের নাই। অতঃপর তোমরা তাদেরকে কিছু দেবে এবং উত্তম পন্থায় বিদায় দেবে।",
              "numberInSurah": 49,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূ ইযা-নাকাহতুমুল মু’মিনা-তি ছুম্মা তাল্লাকতুমূহুন্না মিন কাবলি আন তামাছছূহুন্না ফামা-লাকুম ‘আলাইহিন্না মিন ‘ইদ্দাতিন তা‘তাদ্দূনাহা- ফামাত্তি‘ঊ হুন্না ওয়া ছাররিহূহুন্না ছারা-হান জামীলা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//نَكَحْتُمُ/نَكَحۡتُمُ/nakahtumu//الْمُؤْمِنٰتِ/ٱلۡمُؤۡمِنَٰتِ/al-mu'minati//ثُمَّ/ثُمَّ/thumma//طَلَّقْتُمُوْهُنَّ/طَلَّقۡتُمُوهُنَّ/tallaqtumuhunna//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//تَمَسُّوْهُنَّ/تَمَسُّوهُنَّ/tamassuhunna//فَمَا/فَمَا/fama//لَكُمْ/لَكُمۡ/lakum//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//مِنْ/مِنۡ/min//عِدَّةٍ/عِدَّةٖ/iddatin//تَعْتَدُّوْنَهَا ۚ/تَعۡتَدُّونَهَاۖ/ta'taddunaha//فَمَتِّعُوْهُنَّ/فَمَتِّعُوهُنَّ/famatti'uhunna//وَ سَرِّحُوْهُنَّ/وَسَرِّحُوهُنَّ/wasarrihuhunna//سَرَاحًا/سَرَاحٗا/sarahan//جَمِیْلًا /جَمِيلٗا/jamilan",
              "words_bangla": "হে//যারা//ঈমান এনেছো//যখন//তোমরা বিয়ে করবে//মু’মিন নারীদেরকে//এরপর//তালাক দিবে তাদেরকে//থেকে (এর)//পূর্বই//যে//তোমরা স্পর্শ করেছো তাদেরকে//তখন নেই//জন্যে তোমাদের//উপর তাদের//কোনো//ইদ্দত পালন//তোমরা গণনা করে থাকো যা//সুতরাং তোমরা ভোগ্যসামগ্রী দাও (কিছু) তাদেরকে//এবং  বিদায় দাও তাদের//বিদায়//সৌজন্যের সাথে"
            },
            {
              "number": 3583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3583.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ إِنَّآ أَحْلَلْنَا لَكَ أَزْوَٰجَكَ ٱلَّٰتِىٓ ءَاتَيْتَ أُجُورَهُنَّ وَمَا مَلَكَتْ يَمِينُكَ مِمَّآ أَفَآءَ ٱللَّهُ عَلَيْكَ وَبَنَاتِ عَمِّكَ وَبَنَاتِ عَمَّٰتِكَ وَبَنَاتِ خَالِكَ وَبَنَاتِ خَٰلَٰتِكَ ٱلَّٰتِى هَاجَرْنَ مَعَكَ وَٱمْرَأَةًۭ مُّؤْمِنَةً إِن وَهَبَتْ نَفْسَهَا لِلنَّبِىِّ إِنْ أَرَادَ ٱلنَّبِىُّ أَن يَسْتَنكِحَهَا خَالِصَةًۭ لَّكَ مِن دُونِ ٱلْمُؤْمِنِينَ ۗ قَدْ عَلِمْنَا مَا فَرَضْنَا عَلَيْهِمْ فِىٓ أَزْوَٰجِهِمْ وَمَا مَلَكَتْ أَيْمَٰنُهُمْ لِكَيْلَا يَكُونَ عَلَيْكَ حَرَجٌۭ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "হে নবী! আপনার জন্য আপনার স্ত্রীগণকে হালাল করেছি, যাদেরকে আপনি মোহরানা প্রদান করেন। আর দাসীদেরকে হালাল করেছি, যাদেরকে আল্লাহ আপনার করায়ত্ব করে দেন এবং বিবাহের জন্য বৈধ করেছি আপনার চাচাতো ভগ্নি, ফুফাতো ভগ্নি, মামাতো ভগ্নি, খালাতো ভগ্নিকে যারা আপনার সাথে হিজরত করেছে। কোন মুমিন নারী যদি নিজেকে নবীর কাছে সমর্পন করে, নবী তাকে বিবাহ করতে চাইলে সেও হালাল। এটা বিশেষ করে আপনারই জন্য-অন্য মুমিনদের জন্য নয়। আপনার অসুবিধা দূরীকরণের উদ্দেশে। মুমিনগণের স্ত্রী ও দাসীদের ব্যাপারে যা নির্ধারিত করেছি আমার জানা আছে। আল্লাহ ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 50,
              "juz": 22,
              "manzil": 5,
              "page": 424,
              "ruku": 366,
              "hizbQuarter": 169,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহান্নাবিইয়ুইন্না আহলালনা-লাকা আঝওয়া-জাকাল্লা-তীআ-তাইতা উজূরাহুন্না ওয়ামা-মালাকাত ইয়ামীনুকা মিম্মাআফা-আল্লা-হু ‘আলাইকা ওয়া বানা-তি ‘আম্মিকা ওয়া বানা-তি ‘আম্মা-তিকা ওয়া বানা-তি খা-লিকা ওয়া বানা-তি খা-লা-তিকাল্লা-তী হা-জার না মা‘আকা ওয়ামরাআতাম মু’মিনাতান ইওঁ ওয়াহাবাত নাফছাহা-লিন্নাবিইয়ি ইন আরা-দান নাবিইয়ুআইঁ ইয়াছতানকিহাহা- খালিসাতাল্লাকা মিন দূ নিল মু’মিনীনা কাদ ‘আলিমনা-মা-ফারাদনা-‘আলাইহিম ফীআঝওয়া-জিহিম ওয়ামা-মালাকাত আইমা-নুহুম লিকাইলা-ইয়াকূনা ‘আলাইকা হারাজুওঁ ওয়া কা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اِنَّاۤ/إِنَّآ/inna//اَحْلَلْنَا/أَحۡلَلۡنَا/ahlalna//لَكَ/لَكَ/laka//اَزْوَاجَكَ/أَزۡوَٰجَكَ/azwajaka//الّٰتِیْۤ/ٱلَّـٰتِيٓ/allati//اٰتَیْتَ/ءَاتَيۡتَ/atayta//اُجُوْرَهُنَّ/أُجُورَهُنَّ/ujurahunna//وَ مَا/وَمَا/wama//مَلَكَتْ/مَلَكَتۡ/malakat//یَمِیْنُكَ/يَمِينُكَ/yaminuka//مِمَّاۤ/مِمَّآ/mimma//اَفَآءَ/أَفَآءَ/afaa//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكَ/عَلَيۡكَ/alayka//وَ بَنٰتِ/وَبَنَاتِ/wabanati//عَمِّكَ/عَمِّكَ/ammika//وَ بَنٰتِ/وَبَنَاتِ/wabanati//عَمّٰتِكَ/عَمَّـٰتِكَ/ammatika//وَ بَنٰتِ/وَبَنَاتِ/wabanati//خَالِكَ/خَالِكَ/khalika//وَ بَنٰتِ/وَبَنَاتِ/wabanati//خٰلٰتِكَ/خَٰلَٰتِكَ/khalatika//الّٰتِیْ/ٱلَّـٰتِي/allati//هَاجَرْنَ/هَاجَرۡنَ/hajarna//مَعَكَ ؗ/مَعَكَ/ma'aka//وَ امْرَاَةً/وَٱمۡرَأَةٗ/wa-im'ra-atan//مُّؤْمِنَةً/مُّؤۡمِنَةً/mu'minatan//اِنْ/إِن/in//وَّهَبَتْ/وَهَبَتۡ/wahabat//نَفْسَهَا/نَفۡسَهَا/nafsaha//لِلنَّبِیِّ/لِلنَّبِيِّ/lilnnabiyyi//اِنْ/إِنۡ/in//اَرَادَ/أَرَادَ/arada//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اَنْ/أَن/an//یَّسْتَنْكِحَهَا ۗ/يَسۡتَنكِحَهَا/yastankihaha//خَالِصَةً/خَالِصَةٗ/khalisatan//لَّكَ/لَّكَ/laka//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//الْمُؤْمِنِیْنَ ؕ/ٱلۡمُؤۡمِنِينَۗ/al-mu'minina//قَدْ/قَدۡ/qad//عَلِمْنَا/عَلِمۡنَا/alim'na//مَا/مَا/ma//فَرَضْنَا/فَرَضۡنَا/faradna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//فِیْۤ/فِيٓ/fi//اَزْوَاجِهِمْ/أَزۡوَٰجِهِمۡ/azwajihim//وَ مَا/وَمَا/wama//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُمْ/أَيۡمَٰنُهُمۡ/aymanuhum//لِكَیْلَا/لِكَيۡلَا/likayla//یَكُوْنَ/يَكُونَ/yakuna//عَلَیْكَ/عَلَيۡكَ/alayka//حَرَجٌ ؕ/حَرَجٞۗ/harajun//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "হে//নাবী//নিশ্চয়ই আমরা//বৈধ করেছি//জন্যে তোমার//স্ত্রীদেরকে তোমার//যাদের//তুমি দিয়েছো//মোহরগুলো তাদের//এবং যা//মালিক হয়েছে//তোমার ডান হাত (অর্থাৎ দাসী)//(তাদের) মধ্য হ'তে যা//গণীমত করে দিয়েছেন//আল্লাহ//কাছে তোমার//এবং মেয়েদেরকে//তোমার চাচার//ও মেয়েদের//তোমার ফুফুর//ও মেয়েদের//তোমার মামার//ও মেয়েদেরকে//তোমার খালার//যারা//হিজরত করেছে//সাথে তোমার//এবং (সেই) নারী//মু’মিন//যদি//নিবেদন করে//নিজেকে তার//জন্যে নাবীর//(আর) যদি//চায়//নাবী//যে//সে তাকে বিয়ে করবে//(এটা) বিশেষভাবে//জন্যে তোমার//মধ্য হতে//নয়//(অন্য) মু’মিনদের//নিশ্চয়ই//আমরা জানি//যা//বিধিসম্মত করেছি আমরা//উপর তাদের//ব্যাপারে//স্ত্রীদের তাদের//এবং যা//মালিক হয়েছে//ডান হাত তাদের (অর্থাৎ দাসী)//যেন না//হয়//উপর তোমার//কোনো অসুবিধা//আর হলেন//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3584.mp3"
              ],
              "text": "۞ تُرْجِى مَن تَشَآءُ مِنْهُنَّ وَتُـْٔوِىٓ إِلَيْكَ مَن تَشَآءُ ۖ وَمَنِ ٱبْتَغَيْتَ مِمَّنْ عَزَلْتَ فَلَا جُنَاحَ عَلَيْكَ ۚ ذَٰلِكَ أَدْنَىٰٓ أَن تَقَرَّ أَعْيُنُهُنَّ وَلَا يَحْزَنَّ وَيَرْضَيْنَ بِمَآ ءَاتَيْتَهُنَّ كُلُّهُنَّ ۚ وَٱللَّهُ يَعْلَمُ مَا فِى قُلُوبِكُمْ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَلِيمًۭا",
              "translate_bn": "আপনি তাদের মধ্যে যাকে ইচ্ছা দূরে রাখতে পারেন এবং যাকে ইচ্ছা কাছে রাখতে পারেন। আপনি যাকে দূরে রেখেছেন, তাকে কামনা করলে তাতে আপনার কোন দোষ নেই। এতে অধিক সম্ভাবনা আছে যে, তাদের চক্ষু শীতল থাকবে; তারা দুঃখ পাবে না এবং আপনি যা দেন, তাতে তারা সকলেই সন্তুষ্ট থাকবে। তোমাদের অন্তরে যা আছে, আল্লাহ জানেন। আল্লাহ সর্বজ্ঞ, সহনশীল।",
              "numberInSurah": 51,
              "juz": 22,
              "manzil": 5,
              "page": 425,
              "ruku": 366,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "তুরজী মান তাশাউ মিনহুন্না ওয়া তু’বী ইলাইকা মান তাশাউ ওয়া মানিবতাগাইতা মিম্মান ‘আঝালতা ফালা-জুনা-হা ‘আলাইকা যা-লিকা আদনা আন তাকাররা আ‘ইউনুহুন্না ওয়ালা-ইয়াহঝান্না ওয়া ইয়ারদাইনা বিমাআ-তাইতাহুন্না কুল্লুহুন্না ওয়াল্লাহু ইয়া‘লামুমা-ফী কূলূবিকুম ওয়া কা-নাল্লা-হু ‘আলীমান হালীমা-।",
              "words_arabic": "تُرْجِیْ/۞تُرۡجِي/tur'ji//مَنْ/مَن/man//تَشَآءُ/تَشَآءُ/tashau//مِنْهُنَّ/مِنۡهُنَّ/min'hunna//وَ تُـْٔوِیْۤ/وَتُـٔۡوِيٓ/watu'wi//اِلَیْكَ/إِلَيۡكَ/ilayka//مَنْ/مَن/man//تَشَآءُ ؕ/تَشَآءُۖ/tashau//وَ مَنِ/وَمَنِ/wamani//ابْتَغَیْتَ/ٱبۡتَغَيۡتَ/ib'taghayta//مِمَّنْ/مِمَّنۡ/mimman//عَزَلْتَ/عَزَلۡتَ/azalta//فَلَا/فَلَا/fala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكَ ؕ/عَلَيۡكَۚ/alayka//ذٰلِكَ/ذَٰلِكَ/dhalika//اَدْنٰۤی/أَدۡنَىٰٓ/adna//اَنْ/أَن/an//تَقَرَّ/تَقَرَّ/taqarra//اَعْیُنُهُنَّ/أَعۡيُنُهُنَّ/a'yunuhunna//وَ لَا/وَلَا/wala//یَحْزَنَّ/يَحۡزَنَّ/yahzanna//وَ یَرْضَیْنَ/وَيَرۡضَيۡنَ/wayardayna//بِمَاۤ/بِمَآ/bima//اٰتَیْتَهُنَّ/ءَاتَيۡتَهُنَّ/ataytahunna//كُلُّهُنَّ ؕ/كُلُّهُنَّۚ/kulluhunna//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِیْ/فِي/fi//قُلُوْبِكُمْ ؕ/قُلُوبِكُمۡۚ/qulubikum//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَلِیْمًا /حَلِيمٗا/haliman",
              "words_bangla": "দূরে রাখতে পারো//যাকে//তুমি চাও//মধ্য হ'তে তাদের(অর্থাৎ স্ত্রীদের)//এবং স্থান দিতে পারো//কাছে তোমার//যাকে//তুমি চাও//এবং যাকে//তুমি কামনা করো//তাদের মধ্যে থেকে (যাকে)//তুমি দূরে রেখেছিলে//এক্ষেত্রে নেই//কোনো পাপ//উপর তোমার//এটা//অধিক নিকটবর্তী//যে//শীতল হবে//চোখগুলো তাদের//আর না//দুঃখ পাবে//এবং সন্তুষ্ট থাকবে//ঐ বিষয়ে যা//তুমি দিয়েছো তাদেরকে//সকলে তাদের//এবং আল্লাহ//জানেন//যা//মধ্যে (আছে)//অন্তরসমূহের তোমাদের//এবং হলেন//আল্লাহ//সর্বজ্ঞ//সহনশীল"
            },
            {
              "number": 3585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3585.mp3"
              ],
              "text": "لَّا يَحِلُّ لَكَ ٱلنِّسَآءُ مِنۢ بَعْدُ وَلَآ أَن تَبَدَّلَ بِهِنَّ مِنْ أَزْوَٰجٍۢ وَلَوْ أَعْجَبَكَ حُسْنُهُنَّ إِلَّا مَا مَلَكَتْ يَمِينُكَ ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ رَّقِيبًۭا",
              "translate_bn": "এরপর আপনার জন্যে কোন নারী হালাল নয় এবং তাদের পরিবর্তে অন্য স্ত্রী গ্রহণ করাও হালাল নয় যদিও তাদের রূপলাবণ্য আপনাকে মুগ্ধ করে, তবে দাসীর ব্যাপার ভিন্ন। আল্লাহ সর্ব বিষয়ের উপর সজাগ নজর রাখেন।",
              "numberInSurah": 52,
              "juz": 22,
              "manzil": 5,
              "page": 425,
              "ruku": 366,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াহিল্লুলাকান্নিছাউ মিম বা‘দুওয়ালা আন তাবাদ্দালা বিহিন্না মিন আঝওয়া-জিওঁ ওয়ালাও আ‘জাবাকা হুছনুহুন্না ইল্লা-মা-মালাকাত ইয়ামীনুকা ওয়াকা-নাল্লা-হু ‘আলাকুল্লি শাইয়ির রাকীবা-।",
              "words_arabic": "لَا/لَّا/la//یَحِلُّ/يَحِلُّ/yahillu//لَكَ/لَكَ/laka//النِّسَآءُ/ٱلنِّسَآءُ/al-nisau//مِنْۢ/مِنۢ/min//بَعْدُ/بَعۡدُ/ba'du//وَ لَاۤ/وَلَآ/wala//اَنْ/أَن/an//تَبَدَّلَ/تَبَدَّلَ/tabaddala//بِهِنَّ/بِهِنَّ/bihinna//مِنْ/مِنۡ/min//اَزْوَاجٍ/أَزۡوَٰجٖ/azwajin//وَّ لَوْ/وَلَوۡ/walaw//اَعْجَبَكَ/أَعۡجَبَكَ/a'jabaka//حُسْنُهُنَّ/حُسۡنُهُنَّ/hus'nuhunna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//یَمِیْنُكَ ؕ/يَمِينُكَۗ/yaminuka//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//رَّقِیْبًا۠/رَّقِيبٗا/raqiban",
              "words_bangla": "নয়//বৈধ//জন্যে তোমার//(অন্য) মহিলারা//থেকে//এরপর//আর না (এটাও)//যে//পরিবর্তন করবে তুমি//বিনিময়ে তাদের (কাউকে)//মধ্যে হ'তে//(তোমার) স্ত্রীদের//এবং যদিও//তোমাকে মুগ্ধ করে//সৌন্দর্য তাদের//(তবে) ব্যতিক্রম//যা//মালিক হয়েছে//ডানহাত তোমার (অর্থাৎ দাসী)//এবং হলেন//আল্লাহ//উপরে//সব//কিছুর//সজাগ দৃষ্টিবান"
            },
            {
              "number": 3586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3586.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَدْخُلُوا۟ بُيُوتَ ٱلنَّبِىِّ إِلَّآ أَن يُؤْذَنَ لَكُمْ إِلَىٰ طَعَامٍ غَيْرَ نَٰظِرِينَ إِنَىٰهُ وَلَٰكِنْ إِذَا دُعِيتُمْ فَٱدْخُلُوا۟ فَإِذَا طَعِمْتُمْ فَٱنتَشِرُوا۟ وَلَا مُسْتَـْٔنِسِينَ لِحَدِيثٍ ۚ إِنَّ ذَٰلِكُمْ كَانَ يُؤْذِى ٱلنَّبِىَّ فَيَسْتَحْىِۦ مِنكُمْ ۖ وَٱللَّهُ لَا يَسْتَحْىِۦ مِنَ ٱلْحَقِّ ۚ وَإِذَا سَأَلْتُمُوهُنَّ مَتَٰعًۭا فَسْـَٔلُوهُنَّ مِن وَرَآءِ حِجَابٍۢ ۚ ذَٰلِكُمْ أَطْهَرُ لِقُلُوبِكُمْ وَقُلُوبِهِنَّ ۚ وَمَا كَانَ لَكُمْ أَن تُؤْذُوا۟ رَسُولَ ٱللَّهِ وَلَآ أَن تَنكِحُوٓا۟ أَزْوَٰجَهُۥ مِنۢ بَعْدِهِۦٓ أَبَدًا ۚ إِنَّ ذَٰلِكُمْ كَانَ عِندَ ٱللَّهِ عَظِيمًا",
              "translate_bn": "হে মুমিনগণ! তোমাদেরকে অনুমতি দেয়া না হলে তোমরা খাওয়ার জন্য আহার্য রন্ধনের অপেক্ষা না করে নবীর গৃহে প্রবেশ করো না। তবে তোমরা আহুত হলে প্রবেশ করো, তবে অতঃপর খাওয়া শেষে আপনা আপনি চলে যেয়ো, কথাবার্তায় মশগুল হয়ে যেয়ো না। নিশ্চয় এটা নবীর জন্য কষ্টদায়ক। তিনি তোমাদের কাছে সংকোচ বোধ করেন; কিন্তু আল্লাহ সত্যকথা বলতে সংকোচ করেন না। তোমরা তাঁর পত্নীগণের কাছে কিছু চাইলে পর্দার আড়াল থেকে চাইবে। এটা তোমাদের অন্তরের জন্যে এবং তাঁদের অন্তরের জন্যে অধিকতর পবিত্রতার কারণ। আল্লাহর রাসূলকে কষ্ট দেয়া এবং তাঁর ওফাতের পর তাঁর পত্নীগণকে বিবাহ করা তোমাদের জন্য বৈধ নয়। আল্লাহর কাছে এটা গুরুতর অপরাধ।",
              "numberInSurah": 53,
              "juz": 22,
              "manzil": 5,
              "page": 425,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাদখুলূবুয়ূতান নাবিইয়ি ইল্লাআইঁ ইউ’যানা লাকুম ইলাতা‘আ-মিন গাইরা না-জিরীনা ইনা-হু ওয়ালা-কিন ইযা-দু‘ঈতুম ফাদখুলূফাইযাতা‘ইমতুম ফানতাশিরূ ওয়ালা-মুছতা’নিছীনা লিহাদীছিন ইন্না যা-লিকুম কা-না ইউ’যিন্নাবিইয়া ফাইয়াছতাহয়ী মিনকুম ওয়াল্লা-হু লা-ইয়াছতাহয়ী মিনাল হাক্কি ওয়া ইযা-ছাআলতুমূহুন্না মাতা-‘আন ফাছআলূহুন্না মিওঁ ওয়ারাই হিজা-বিন যালিকুম আতহারু লিকুলূবিকুম ওয়া কুলূবিহিন্না; ওয়ামা-কা-না লাকুম আন তু’যূরাছূলাল্লা-হি ওয়ালাআন তানকিহূআঝওয়াজাহু মিম বা‘দিহীআবাদান ইন্না যালিকুম কানা ‘ইনদালিল হি ‘আজীমা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَدْخُلُوْا/تَدۡخُلُواْ/tadkhulu//بُیُوْتَ/بُيُوتَ/buyuta//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّؤْذَنَ/يُؤۡذَنَ/yu'dhana//لَكُمْ/لَكُمۡ/lakum//اِلٰی/إِلَىٰ/ila//طَعَامٍ/طَعَامٍ/ta'amin//غَیْرَ/غَيۡرَ/ghayra//نٰظِرِیْنَ/نَٰظِرِينَ/nazirina//اِنٰىهُ ۙ/إِنَىٰهُ/inahu//وَ لٰكِنْ/وَلَٰكِنۡ/walakin//اِذَا/إِذَا/idha//دُعِیْتُمْ/دُعِيتُمۡ/du'itum//فَادْخُلُوْا/فَٱدۡخُلُواْ/fa-ud'khulu//فَاِذَا/فَإِذَا/fa-idha//طَعِمْتُمْ/طَعِمۡتُمۡ/ta'im'tum//فَانْتَشِرُوْا/فَٱنتَشِرُواْ/fa-intashiru//وَ لَا/وَلَا/wala//مُسْتَاْنِسِیْنَ/مُسۡتَـٔۡنِسِينَ/mus'tanisina//لِحَدِیْثٍ ؕ/لِحَدِيثٍۚ/lihadithin//اِنَّ/إِنَّ/inna//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//كَانَ/كَانَ/kana//یُؤْذِی/يُؤۡذِي/yu'dhi//النَّبِیَّ/ٱلنَّبِيَّ/al-nabiya//فَیَسْتَحْیٖ/فَيَسۡتَحۡيِۦ/fayastahyi//مِنْكُمْ ؗ/مِنكُمۡۖ/minkum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَسْتَحْیٖ/يَسۡتَحۡيِۦ/yastahyi//مِنَ/مِنَ/mina//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//وَ اِذَا/وَإِذَا/wa-idha//سَاَلْتُمُوْهُنَّ/سَأَلۡتُمُوهُنَّ/sa-altumuhunna//مَتَاعًا/مَتَٰعٗا/mata'an//فَسْـَٔلُوْهُنَّ/فَسۡـَٔلُوهُنَّ/fasaluhunna//مِنْ/مِن/min//وَّرَآءِ/وَرَآءِ/warai//حِجَابٍ ؕ/حِجَابٖۚ/hijabin//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//اَطْهَرُ/أَطۡهَرُ/atharu//لِقُلُوْبِكُمْ/لِقُلُوبِكُمۡ/liqulubikum//وَ قُلُوْبِهِنَّ ؕ/وَقُلُوبِهِنَّۚ/waqulubihinna//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//اَنْ/أَن/an//تُؤْذُوْا/تُؤۡذُواْ/tu'dhu//رَسُوْلَ/رَسُولَ/rasula//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لَاۤ/وَلَآ/wala//اَنْ/أَن/an//تَنْكِحُوْۤا/تَنكِحُوٓاْ/tankihu//اَزْوَاجَهٗ/أَزۡوَٰجَهُۥ/azwajahu//مِنْۢ/مِنۢ/min//بَعْدِهٖۤ/بَعۡدِهِۦٓ/ba'dihi//اَبَدًا ؕ/أَبَدًاۚ/abadan//اِنَّ/إِنَّ/inna//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//كَانَ/كَانَ/kana//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//عَظِیْمًا /عَظِيمًا/aziman",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা প্রবেশ করো//ঘরগুলোতে//নাবীর//কিন্তু//যদি//অনুমতি দেওয়া হয়//জন্যে তোমাদের//প্রতি//খাওয়ার (দাওয়াতে)//(তবে এসো না)ছাড়া//অপেক্ষাকারী//প্রস্তুতির তা//কিন্তু//যখন//ডাকা হয় তোমাদের//তখন তোমরা প্রবেশ করো//অতঃপর যখন//তোমরা খাওয়া শেষ করো//তখন তোমরা চলে যাও//এবং না//তোমরা মেতে যেয়ো//মধ্যে কথা-বার্তার//নিশ্চয়ই//সেটা//হলো (এমন যে)//কষ্ট দেয়//নাবীকে//কিন্তু সে সংকোচ বোধ করে (বলতে)//হ'তে তোমাদের//অথচ আল্লাহ//না//সংকোচ বোধ করেন//হ'তে//সত্য (বলা)//এবং যখন//তাদের (অর্থাৎ নাবী স্ত্রীদের) হ'তে তোমরা চাও//কোনো সামগ্রী//তবে তোমরা তাদের কাছে চাও//হ'তে//পিছন//পর্দার//সেটাই//পবিত্রতর//জন্যে অন্তরসমূহের তোমাদের//এবং অন্তরসমূহের তাদের (জন্যও)//এবং না//ছিলো (সঙ্গত)//জন্যে তোমাদের//যে//তোমরা কষ্ট দিবে//রাসূলকে//আল্লাহর//আর না//(সঙ্গত) যে//তোমরা বিয়ে করবে//স্ত্রীদেরকে তার//থেকে//পর তার//কখনও//নিশ্চয়ই//সেটা//হলো//কাছে//আল্লাহর//গুরুতর (অপরাধ)"
            },
            {
              "number": 3587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3587.mp3"
              ],
              "text": "إِن تُبْدُوا۟ شَيْـًٔا أَوْ تُخْفُوهُ فَإِنَّ ٱللَّهَ كَانَ بِكُلِّ شَىْءٍ عَلِيمًۭا",
              "translate_bn": "তোমরা খোলাখুলি কিছু বল অথবা গোপন রাখ, আল্লাহ সর্ব বিষয়ে সর্বজ্ঞ।",
              "numberInSurah": 54,
              "juz": 22,
              "manzil": 5,
              "page": 425,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ইন তুবদূশাইআন আও তুখফূহু ফাইন্নাল্লা-হা কা-না বিকুল্লি শাইয়িন ‘আলীমা-।",
              "words_arabic": "اِنْ/إِن/in//تُبْدُوْا/تُبۡدُواْ/tub'du//شَیْـًٔا/شَيۡـًٔا/shayan//اَوْ/أَوۡ/aw//تُخْفُوْهُ/تُخۡفُوهُ/tukh'fuhu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمًا /عَلِيمٗا/aliman",
              "words_bangla": "যদি//তোমরা প্রকাশ করো//কিছুু//অথবা//গোপন করো তা//তবুও নিশ্চয়ই//আল্লাহ//হলেন//সম্পর্কে সব//কিছুরই//খুব অবগত"
            },
            {
              "number": 3588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3588.mp3"
              ],
              "text": "لَّا جُنَاحَ عَلَيْهِنَّ فِىٓ ءَابَآئِهِنَّ وَلَآ أَبْنَآئِهِنَّ وَلَآ إِخْوَٰنِهِنَّ وَلَآ أَبْنَآءِ إِخْوَٰنِهِنَّ وَلَآ أَبْنَآءِ أَخَوَٰتِهِنَّ وَلَا نِسَآئِهِنَّ وَلَا مَا مَلَكَتْ أَيْمَٰنُهُنَّ ۗ وَٱتَّقِينَ ٱللَّهَ ۚ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدًا",
              "translate_bn": "নবী-পত্নীগণের জন্যে তাঁদের পিতা পুত্র, ভ্রাতা, ভ্রাতুস্পুত্র, ভগ্নি পুত্র, সহধর্মিনী নারী এবং অধিকার ভুক্ত দাসদাসীগণের সামনে যাওয়ার ব্যাপারে গোনাহ নেই। নবী-পত্নীগণ, তোমরা আল্লাহকে ভয় কর। নিশ্চয় আল্লাহ সর্ব বিষয় প্রত্যক্ষ করেন।",
              "numberInSurah": 55,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "লা-জুনা-হা‘আলাইহিন্না ফীআ-বাইহিন্না ওয়ালাআবনাইহিন্না ওয়ালা ইখওয়ানিহিন্না ওয়ালাআবনাই ইখওয়া-নিহিন্না ওয়ালাআবনাই আখাওয়া-তিহিন্না ওয়ালানিছাইহিন্না ওয়ালা-মা-মালাকাত আইমা-নুহুন্না, ওয়াত্তাকীনাল্লা-হা ইন্নাল্লা-হা কা-না ‘আলা-কুল্লি শাইয়িন শাহীদা-।",
              "words_arabic": "لَا/لَّا/la//جُنَاحَ/جُنَاحَ/junaha//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//فِیْۤ/فِيٓ/fi//اٰبَآىِٕهِنَّ/ءَابَآئِهِنَّ/abaihinna//وَ لَاۤ/وَلَآ/wala//اَبْنَآىِٕهِنَّ/أَبۡنَآئِهِنَّ/abnaihinna//وَ لَاۤ/وَلَآ/wala//اِخْوَانِهِنَّ/إِخۡوَٰنِهِنَّ/ikh'wanihinna//وَ لَاۤ/وَلَآ/wala//اَبْنَآءِ/أَبۡنَآءِ/abnai//اِخْوَانِهِنَّ/إِخۡوَٰنِهِنَّ/ikh'wanihinna//وَ لَاۤ/وَلَآ/wala//اَبْنَآءِ/أَبۡنَآءِ/abnai//اَخَوٰتِهِنَّ/أَخَوَٰتِهِنَّ/akhawatihinna//وَ لَا/وَلَا/wala//نِسَآىِٕهِنَّ/نِسَآئِهِنَّ/nisaihinna//وَ لَا/وَلَا/wala//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُنَّ ۚ/أَيۡمَٰنُهُنَّۗ/aymanuhunna//وَ اتَّقِیْنَ/وَٱتَّقِينَ/wa-ittaqina//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدًا /شَهِيدًا/shahidan",
              "words_bangla": "নেই//অপরাধ//উপর তাদের//ক্ষেত্রে//পিতাদের তাদের(সাথে দেখা সাক্ষাতের)//আর না//পুত্রদের তাদের//আর না//ভাইদের তাদের//আর না//ছেলেদের//ভাইদের (অর্থাৎ ভাতিজাদের) তাদের//আর না//ছেলেদের//বোনদের (অর্থাৎ ভাগিনাদের) তাদের//আর না//নারীদের তাদের//আর নেই (অপরাধ)//(তাদের সাথে) যা//মালিক হয়েছে//ডানহাত তাদের (অর্থাৎ দাসদাসী)//এবং ভয় করো (হে নাবী পত্নীগণ)//আল্লাহকে//নিশ্চয়ই//আল্লাহ//হলেন//উপর//সব//কিছুর//প্রত্যক্ষ সাক্ষী"
            },
            {
              "number": 3589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3589.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ وَمَلَٰٓئِكَتَهُۥ يُصَلُّونَ عَلَى ٱلنَّبِىِّ ۚ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ صَلُّوا۟ عَلَيْهِ وَسَلِّمُوا۟ تَسْلِيمًا",
              "translate_bn": "আল্লাহ ও তাঁর ফেরেশতাগণ নবীর প্রতি রহমত প্রেরণ করেন। হে মুমিনগণ! তোমরা নবীর জন্যে রহমতের তরে দোয়া কর এবং তাঁর প্রতি সালাম প্রেরণ কর।",
              "numberInSurah": 56,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ওয়া-মালাইকাতাহূইউসাললূনা ‘আলান নাবিইয়ি ইয়াআইয়ুহাল্লাযীনা আমানূসাললূ‘আলাইহি ওয়া ছালিলমূতাছলীমা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//وَ مَلٰٓىِٕكَتَهٗ/وَمَلَـٰٓئِكَتَهُۥ/wamalaikatahu//یُصَلُّوْنَ/يُصَلُّونَ/yusalluna//عَلَی/عَلَى/ala//النَّبِیِّ ؕ/ٱلنَّبِيِّۚ/al-nabiyi//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//صَلُّوْا/صَلُّواْ/sallu//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ سَلِّمُوْا/وَسَلِّمُواْ/wasallimu//تَسْلِیْمًا /تَسۡلِيمًا/tasliman",
              "words_bangla": "নিশ্চয়ই//আল্লাহ (প্রশংসা করেন)//ও ফেরেশতাগণ তাঁর//দু'আ পাঠান//উপর//নাবীর//হে//যারা//ঈমান এনেছো//দরূদ পাঠাও//উপর তার//ও তোমরা সালাম জানাও//(অতি উত্তম) সালাম"
            },
            {
              "number": 3590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3590.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُؤْذُونَ ٱللَّهَ وَرَسُولَهُۥ لَعَنَهُمُ ٱللَّهُ فِى ٱلدُّنْيَا وَٱلْءَاخِرَةِ وَأَعَدَّ لَهُمْ عَذَابًۭا مُّهِينًۭا",
              "translate_bn": "যারা আল্লাহ ও তাঁর রসূলকে কষ্ট দেয়, আল্লাহ তাদের প্রতি ইহকালে ও পরকালে অভিসম্পাত করেন এবং তাদের জন্যে প্রস্তুত রেখেছেন অবমাননাকর শাস্তি।",
              "numberInSurah": 57,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউ’যূ নাল্লা-হা ওয়া রাছূলাহূলা‘আনাহুমল্লা-হুফিদ্দুনইয়া-ওয়াল আ-খিরাতি ওয়া আ‘আদ্দা লাহুম ‘আযা-বাম মুহীনা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُؤْذُوْنَ/يُؤۡذُونَ/yu'dhuna//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//لَعَنَهُمُ/لَعَنَهُمُ/la'anahumu//اللّٰهُ/ٱللَّهُ/al-lahu//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ الْاٰخِرَةِ/وَٱلۡأٓخِرَةِ/wal-akhirati//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابٗا/adhaban//مُّهِیْنًا /مُّهِينٗا/muhinan",
              "words_bangla": "নিশ্চয়ই//যারা//কষ্ট দেয়//আল্লাহকে//ও রাসূলকে তাঁর//অভিশাপ দেন তাদেরকে//আল্লাহ//মধ্যে//দুনিয়ার//ও আখিরাতে//এবং প্রস্তুত করে রেখেছেন//জন্যে তাদের//শাস্তি//অপমানকর"
            },
            {
              "number": 3591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3591.mp3"
              ],
              "text": "وَٱلَّذِينَ يُؤْذُونَ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ بِغَيْرِ مَا ٱكْتَسَبُوا۟ فَقَدِ ٱحْتَمَلُوا۟ بُهْتَٰنًۭا وَإِثْمًۭا مُّبِينًۭا",
              "translate_bn": "যারা বিনা অপরাধে মুমিন পুরুষ ও মুমিন নারীদেরকে কষ্ট দেয়, তারা মিথ্যা অপবাদ ও প্রকাশ্য পাপের বোঝা বহন করে।",
              "numberInSurah": 58,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 367,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউ’যূ নাল মু’মিনীনা ওয়াল মু’মিনা-তি বিগাইরি মাকতাছাবূফাকাদিহতামালূ বুহতানাওঁ ওয়া ইছমাম মুবীনা-।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُؤْذُوْنَ/يُؤۡذُونَ/yu'dhuna//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//بِغَیْرِ/بِغَيۡرِ/bighayri//مَا/مَا/ma//اكْتَسَبُوْا/ٱكۡتَسَبُواْ/ik'tasabu//فَقَدِ/فَقَدِ/faqadi//احْتَمَلُوْا/ٱحۡتَمَلُواْ/ih'tamalu//بُهْتَانًا/بُهۡتَٰنٗا/buh'tanan//وَّ اِثْمًا/وَإِثۡمٗا/wa-ith'man//مُّبِیْنًا۠/مُّبِينٗا/mubinan",
              "words_bangla": "এবং যারা//কষ্ট দেয়//মু’মিনদেরকে//ও মু’মিন নারীদেরকে//এ ছাড়া//যা//তারা অর্জন (অপরাধ) করেছে//তাহ'লে নিশ্চয়ই//তারা বহন করবে//অপবাদ//ও পাপ//সুস্পষ্ট"
            },
            {
              "number": 3592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3592.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّأَزْوَٰجِكَ وَبَنَاتِكَ وَنِسَآءِ ٱلْمُؤْمِنِينَ يُدْنِينَ عَلَيْهِنَّ مِن جَلَٰبِيبِهِنَّ ۚ ذَٰلِكَ أَدْنَىٰٓ أَن يُعْرَفْنَ فَلَا يُؤْذَيْنَ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "হে নবী! আপনি আপনার পত্নীগণকে ও কন্যাগণকে এবং মুমিনদের স্ত্রীগণকে বলুন, তারা যেন তাদের চাদরের কিয়দংশ নিজেদের উপর টেনে নেয়। এতে তাদেরকে চেনা সহজ হবে। ফলে তাদেরকে উত্যক্ত করা হবে না। আল্লাহ ক্ষমাশীল পরম দয়ালু।",
              "numberInSurah": 59,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 368,
              "hizbQuarter": 170,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুকুল লিআঝওয়া-জিকা ওয়া বানা-তিকা ওয়ানিছাইল মু’মিনীনা ইউদনীনা ‘আলাইহিন্না মিন জালাবীবিহিন্না যা-লিকা আদনাআইঁ ইউ‘রাফনা ফালাইউ’যাইনা ওয়া কা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//قُلْ/قُل/qul//لِّاَزْوَاجِكَ/لِّأَزۡوَٰجِكَ/li-azwajika//وَ بَنٰتِكَ/وَبَنَاتِكَ/wabanatika//وَ نِسَآءِ/وَنِسَآءِ/wanisai//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//یُدْنِیْنَ/يُدۡنِينَ/yud'nina//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//مِنْ/مِن/min//جَلَابِیْبِهِنَّ ؕ/جَلَٰبِيبِهِنَّۚ/jalabibihinna//ذٰلِكَ/ذَٰلِكَ/dhalika//اَدْنٰۤی/أَدۡنَىٰٓ/adna//اَنْ/أَن/an//یُّعْرَفْنَ/يُعۡرَفۡنَ/yu'rafna//فَلَا/فَلَا/fala//یُؤْذَیْنَ ؕ/يُؤۡذَيۡنَۗ/yu'dhayna//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "হে//নাবী//বলো//উদ্দেশ্যে স্ত্রীদের তোমার//ও তোমাদের মেয়েদেরকে//ও নারীদের//মু’মিনদের (যেন)//তারা টেনে দেয়//উপর তাদের//কিছু অংশ (অর্থাৎ আঁচল)//চাদরের তাদের//এটা//নিকটতর//যে//তাদের চেনা যাবে//তখন না//তাদের কষ্ট দেয়া হবে//এবং হলেন//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 3593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3593.mp3"
              ],
              "text": "۞ لَّئِن لَّمْ يَنتَهِ ٱلْمُنَٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ وَٱلْمُرْجِفُونَ فِى ٱلْمَدِينَةِ لَنُغْرِيَنَّكَ بِهِمْ ثُمَّ لَا يُجَاوِرُونَكَ فِيهَآ إِلَّا قَلِيلًۭا",
              "translate_bn": "মুনাফিকরা এবং যাদের অন্তরে রোগ আছে এবং মদীনায় গুজব রটনাকারীরা যদি বিরত না হয়, তবে আমি অবশ্যই তাদের বিরুদ্ধে আপনাকে উত্তেজিত করব। অতঃপর এই শহরে আপনার প্রতিবেশী অল্পই থাকবে।",
              "numberInSurah": 60,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "লাইল্লাম ইয়ানতাহিল মুনা-ফিকূনা ওয়াল্লাযীনা ফী কুলূবিহমি মারাদুওঁ ওয়াল মুরজিফূনা ফিল মাদীনাতি লানুগরিয়ান্নাকা বিহিম ছুম্মা লা-ইউজা-বিরূনাকা ফীহাইল্লা-কালীলা-।",
              "words_arabic": "لَىِٕنْ/۞لَّئِن/la-in//لَّمْ/لَّمۡ/lam//یَنْتَهِ/يَنتَهِ/yantahi//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//وَّ الْمُرْجِفُوْنَ/وَٱلۡمُرۡجِفُونَ/wal-mur'jifuna//فِی/فِي/fi//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//لَنُغْرِیَنَّكَ/لَنُغۡرِيَنَّكَ/lanugh'riyannaka//بِهِمْ/بِهِمۡ/bihim//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُجَاوِرُوْنَكَ/يُجَاوِرُونَكَ/yujawirunaka//فِیْهَاۤ/فِيهَآ/fiha//اِلَّا/إِلَّا/illa//قَلِیْلًا/قَلِيلٗا/qalilan",
              "words_bangla": "অবশ্যই যদি//না//বিরত থাকে//মুনাফিকরা//ও যাদের//মধ্যে (আছে)//অন্তরসমূহের তাদের//রোগ//এবং গুজব রটনাকারীরা//মধ্যে//মদিনা (শহরের)//অবশ্যই আমরা প্রবল করবো তোমাকে//বিরুদ্ধে তাদের//এরপর//না//তোমার প্রতিবেশী হয়ে তারা থাকবে//মধ্যে তার//ছাড়া//স্বল্প"
            },
            {
              "number": 3594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3594.mp3"
              ],
              "text": "مَّلْعُونِينَ ۖ أَيْنَمَا ثُقِفُوٓا۟ أُخِذُوا۟ وَقُتِّلُوا۟ تَقْتِيلًۭا",
              "translate_bn": "অভিশপ্ত অবস্থায় তাদেরকে যেখানেই পাওয়া যাবে, ধরা হবে এবং প্রাণে বধ করা হবে।",
              "numberInSurah": 61,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "মাল‘ঊনীনা আইনামা-ছূকিফূ উখিযূওয়াকুত্তিলূতাকতীলা-।",
              "words_arabic": "مَّلْعُوْنِیْنَ ۛۚ/مَّلۡعُونِينَۖ/mal'unina//اَیْنَمَا/أَيۡنَمَا/aynama//ثُقِفُوْۤا/ثُقِفُوٓاْ/thuqifu//اُخِذُوْا/أُخِذُواْ/ukhidhu//وَ قُتِّلُوْا/وَقُتِّلُواْ/waquttilu//تَقْتِیْلًا /تَقۡتِيلٗا/taqtilan",
              "words_bangla": "তারা অভিশপ্ত হয়ে//যেখানেই//তাদের পাওয়া যাবে//তাদের ধরা হবে//ও তাদের হত্যা করা হবে//(নির্মমভাবে) হত্যা"
            },
            {
              "number": 3595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3595.mp3"
              ],
              "text": "سُنَّةَ ٱللَّهِ فِى ٱلَّذِينَ خَلَوْا۟ مِن قَبْلُ ۖ وَلَن تَجِدَ لِسُنَّةِ ٱللَّهِ تَبْدِيلًۭا",
              "translate_bn": "যারা পূর্বে অতীত হয়ে গেছে, তাদের ব্যাপারে এটাই ছিল আল্লাহর রীতি। আপনি আল্লাহর রীতিতে কখনও পরিবর্তন পাবেন না।",
              "numberInSurah": 62,
              "juz": 22,
              "manzil": 5,
              "page": 426,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ছুন্নাতাল্লা-হি ফিল্লাযীনা খালাও মিন কাবলু ওয়ালান তাজিদা লিছুন্নাতিল্লা-হি তাবদীলা-।",
              "words_arabic": "سُنَّةَ/سُنَّةَ/sunnata//اللّٰهِ/ٱللَّهِ/al-lahi//فِی/فِي/fi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَلَوْا/خَلَوۡاْ/khalaw//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۖ/qablu//وَ لَنْ/وَلَن/walan//تَجِدَ/تَجِدَ/tajida//لِسُنَّةِ/لِسُنَّةِ/lisunnati//اللّٰهِ/ٱللَّهِ/al-lahi//تَبْدِیْلًا /تَبۡدِيلٗا/tabdilan",
              "words_bangla": "রীতি//আল্লাহর//(তাদের) ক্ষেত্রেও//যারা//অতীত হয়েছে//থেকে//পূর্ব//এবং কখনও না//পাবে তুমি//মধ্যে রীতির//আল্লাহর//কোনো পরিবর্তন"
            },
            {
              "number": 3596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3596.mp3"
              ],
              "text": "يَسْـَٔلُكَ ٱلنَّاسُ عَنِ ٱلسَّاعَةِ ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ ٱللَّهِ ۚ وَمَا يُدْرِيكَ لَعَلَّ ٱلسَّاعَةَ تَكُونُ قَرِيبًا",
              "translate_bn": "লোকেরা আপনাকে কেয়ামত সম্পর্কে জিজ্ঞাসা করে। বলুন, এর জ্ঞান আল্লাহর কাছেই। আপনি কি করে জানবেন যে সম্ভবতঃ কেয়ামত নিকটেই।",
              "numberInSurah": 63,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলুকান্না-ছু‘আনিছছা-‘আতি কুল ইন্নামা- ‘ইলমুহা-‘ইনদাল্লা-হি ওয়ামাইউদরীকা লা‘আল্লাছছা-‘আতা তাকূনুকারীবা-।",
              "words_arabic": "یَسْـَٔلُكَ/يَسۡـَٔلُكَ/yasaluka//النَّاسُ/ٱلنَّاسُ/al-nasu//عَنِ/عَنِ/ani//السَّاعَةِ ؕ/ٱلسَّاعَةِۖ/al-sa'ati//قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//عِلْمُهَا/عِلۡمُهَا/il'muha//عِنْدَ/عِندَ/inda//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ مَا/وَمَا/wama//یُدْرِیْكَ/يُدۡرِيكَ/yud'rika//لَعَلَّ/لَعَلَّ/la'alla//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//تَكُوْنُ/تَكُونُ/takunu//قَرِیْبًا /قَرِيبًا/qariban",
              "words_bangla": "তোমাকে প্রশ্ন করছে//মানুষ//সম্পর্কে//ক্বিয়ামাত//বলো//\"কেবল//জ্ঞান তার//কাছে//আল্লাহর//এবং কিসে//তোমাকে জানাবে//সম্ভবত//ক্বিয়ামাত//হবে//নিকটে\""
            },
            {
              "number": 3597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3597.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ لَعَنَ ٱلْكَٰفِرِينَ وَأَعَدَّ لَهُمْ سَعِيرًا",
              "translate_bn": "নিশ্চয় আল্লাহ কাফেরদেরকে অভিসম্পাত করেছেন এবং তাদের জন্যে জ্বলন্ত অগ্নি প্রস্তুত রেখেছেন।",
              "numberInSurah": 64,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা লা‘আনাল কা-ফিরীনা ওয়া আ‘আদ্দা লাহুম ছা‘ঈরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَعَنَ/لَعَنَ/la'ana//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهُمْ/لَهُمۡ/lahum//سَعِیْرًاۙ/سَعِيرًا/sa'iran",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//অভিশাপ দেন//কাফিরদেরকে//এবং প্রস্তুত করে রেখেছেন//জন্যে তাদের//জ্বলন্ত আগুন"
            },
            {
              "number": 3598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3598.mp3"
              ],
              "text": "خَٰلِدِينَ فِيهَآ أَبَدًۭا ۖ لَّا يَجِدُونَ وَلِيًّۭا وَلَا نَصِيرًۭا",
              "translate_bn": "তথায় তারা অনন্তকাল থাকবে এবং কোন অভিভাবক ও সাহায্যকারী পাবে না।",
              "numberInSurah": 65,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "খা-লিদীনা ফীহাআবাদাল লা-ইয়াজিদূ না ওয়ালিইয়াওঁ ওয়া নাসীরা-।",
              "words_arabic": "خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ۚ/أَبَدٗاۖ/abadan//لَا/لَّا/la//یَجِدُوْنَ/يَجِدُونَ/yajiduna//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًاۚ/نَصِيرٗا/nasiran",
              "words_bangla": "তারা স্থায়ীভাবে থাকবে//মধ্যে তার//চিরকাল//না//তারা পাবে//কোনো অভিভাবক//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 3599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3599.mp3"
              ],
              "text": "يَوْمَ تُقَلَّبُ وُجُوهُهُمْ فِى ٱلنَّارِ يَقُولُونَ يَٰلَيْتَنَآ أَطَعْنَا ٱللَّهَ وَأَطَعْنَا ٱلرَّسُولَا۠",
              "translate_bn": "যেদিন অগ্নিতে তাদের মুখমন্ডল ওলট পালট করা হবে; সেদিন তারা বলবে, হায়। আমরা যদি আল্লাহর আনুগত্য করতাম ও রসূলের আনুগত্য করতাম।",
              "numberInSurah": 66,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তুকাল্লাবু উজূহুহুম ফিন্না-রি ইয়াকূ লূনা ইয়া-লাইতানা-আতা‘নাল্লাহা ওয়াআতা‘নাররাছূলা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تُقَلَّبُ/تُقَلَّبُ/tuqallabu//وُجُوْهُهُمْ/وُجُوهُهُمۡ/wujuhuhum//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//یٰلَیْتَنَاۤ/يَٰلَيۡتَنَآ/yalaytana//اَطَعْنَا/أَطَعۡنَا/ata'na//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطَعْنَا/وَأَطَعۡنَا/wa-ata'na//الرَّسُوْلَا /ٱلرَّسُولَا۠/al-rasula",
              "words_bangla": "যে দিন//উলট-পালট করা হবে//মুখমণ্ডল তাদের//মধ্যে//আগুনের//তারা বলবে//\"হায়! আমাদের পরিতাপ//আমরা আনুগত্য করতাম (যদি)//আল্লাহর//ও আমরা আনুগত্য করতাম (যদি)//রাসূলের\""
            },
            {
              "number": 3600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3600.mp3"
              ],
              "text": "وَقَالُوا۟ رَبَّنَآ إِنَّآ أَطَعْنَا سَادَتَنَا وَكُبَرَآءَنَا فَأَضَلُّونَا ٱلسَّبِيلَا۠",
              "translate_bn": "তারা আরও বলবে, হে আমাদের পালনকর্তা, আমরা আমাদের নেতা ও বড়দের কথা মেনেছিলাম, অতঃপর তারা আমাদের পথভ্রষ্ট করেছিল।",
              "numberInSurah": 67,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূ রাব্বানা ইন্না আতা‘না-ছা-দাতানা- ওয়াকুবারাআনা-ফাআদাললূনাছ ছাবীলা-।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّاۤ/إِنَّآ/inna//اَطَعْنَا/أَطَعۡنَا/ata'na//سَادَتَنَا/سَادَتَنَا/sadatana//وَ كُبَرَآءَنَا/وَكُبَرَآءَنَا/wakubaraana//فَاَضَلُّوْنَا/فَأَضَلُّونَا/fa-adalluna//السَّبِیْلَا /ٱلسَّبِيلَا۠/al-sabila",
              "words_bangla": "এবং তারা বলবে//\"হে আমাদের রব//নিশ্চয়ই আমরা//আনুগত্য করেছি আমরা//নেতাদের আমাদের//ও বড়দের আমাদের//অতঃপর তারা ভ্রষ্ট করেছে আমাদেরকে//পথ"
            },
            {
              "number": 3601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3601.mp3"
              ],
              "text": "رَبَّنَآ ءَاتِهِمْ ضِعْفَيْنِ مِنَ ٱلْعَذَابِ وَٱلْعَنْهُمْ لَعْنًۭا كَبِيرًۭا",
              "translate_bn": "হে আমাদের পালনকর্তা! তাদেরকে দ্বিগুণ শাস্তি দিন এবং তাদেরকে মহা অভিসম্পাত করুন।",
              "numberInSurah": 68,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 368,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাআ-তিহিম দি‘ফাইনি মিনাল ‘আযা-বি ওয়াল ‘আনহুম লা‘নান কাবীরা-।",
              "words_arabic": "رَبَّنَاۤ/رَبَّنَآ/rabbana//اٰتِهِمْ/ءَاتِهِمۡ/atihim//ضِعْفَیْنِ/ضِعۡفَيۡنِ/di'fayni//مِنَ/مِنَ/mina//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//وَ الْعَنْهُمْ/وَٱلۡعَنۡهُمۡ/wal-'anhum//لَعْنًا/لَعۡنٗا/la'nan//كَبِیْرًا۠/كَبِيرٗا/kabiran",
              "words_bangla": "হে আমাদের রব//দিন তাদের//দ্বিগুণ//থেকে//শাস্তি//এবং অভিশপ্ত করুন তাদেরকে//অভিশাপে//বড়\""
            },
            {
              "number": 3602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3602.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَكُونُوا۟ كَٱلَّذِينَ ءَاذَوْا۟ مُوسَىٰ فَبَرَّأَهُ ٱللَّهُ مِمَّا قَالُوا۟ ۚ وَكَانَ عِندَ ٱللَّهِ وَجِيهًۭا",
              "translate_bn": "হে মুমিনগণ! মূসাকে যারা কষ্ট দিয়েছে, তোমরা তাদের মত হয়ো না। তারা যা বলেছিল, আল্লাহ তা থেকে তাঁকে নির্দোষ প্রমাণ করেছিলেন। তিনি আল্লাহর কাছে ছিলেন মর্যাদাবান।",
              "numberInSurah": 69,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 369,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাকূনূকাল্লাযীনা আ-যাও মূছা-ফাবাররাআহুল্লা-হু মিম্মা-কা-লূ ওয়া কা-না ‘ইনদাল্লা-হি ওয়াজীহা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//اٰذَوْا/ءَاذَوۡاْ/adhaw//مُوْسٰی/مُوسَىٰ/musa//فَبَرَّاَهُ/فَبَرَّأَهُ/fabarra-ahu//اللّٰهُ/ٱللَّهُ/al-lahu//مِمَّا/مِمَّا/mimma//قَالُوْا ؕ/قَالُواْۚ/qalu//وَ كَانَ/وَكَانَ/wakana//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَجِیْهًاؕ/وَجِيهٗا/wajihan",
              "words_bangla": "হে//যারা//ঈমান এনেছো//না//তোমরা হয়ো//(তাদের) মতো যারা//কষ্ট দিয়েছিলো//মূসাকে//অতঃপর নির্দোষ প্রমাণ করলেন তাকে//আল্লাহ//ঐ বিষয় হ'তে যা//তারা বলেছিলো//এবং সে ছিলো//কাছে//আল্লাহর//মর্যাদাবান"
            },
            {
              "number": 3603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3603.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَقُولُوا۟ قَوْلًۭا سَدِيدًۭا",
              "translate_bn": "হে মুমিনগণ! আল্লাহকে ভয় কর এবং সঠিক কথা বল।",
              "numberInSurah": 70,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 369,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা ওয়াকূলূকাওলান ছাদীদা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ قُوْلُوْا/وَقُولُواْ/waqulu//قَوْلًا/قَوۡلٗا/qawlan//سَدِیْدًاۙ/سَدِيدٗا/sadidan",
              "words_bangla": "হে//যারা//ঈমান এনেছো//তোমরা ভয় করো//আল্লাহকে//এবং তোমরা বলো//কথা//সঠিক"
            },
            {
              "number": 3604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3604.mp3"
              ],
              "text": "يُصْلِحْ لَكُمْ أَعْمَٰلَكُمْ وَيَغْفِرْ لَكُمْ ذُنُوبَكُمْ ۗ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ فَقَدْ فَازَ فَوْزًا عَظِيمًا",
              "translate_bn": "তিনি তোমাদের আমল-আচরণ সংশোধন করবেন এবং তোমাদের পাপসমূহ ক্ষমা করবেন। যে কেউ আল্লাহ ও তাঁর রসূলের আনুগত্য করে, সে অবশ্যই মহা সাফল্য অর্জন করবে।",
              "numberInSurah": 71,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 369,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইউসলিহলাকুম আ‘মা-লাকুম ওয়া ইয়াগফিরলাকুম যুনূবাকুম ওয়া মাইঁ ইউতি‘ইল্লা-হা ওয়া রাছুলাহূফাকাদ ফা-ঝা ফাওঝান ‘আজীমা-।",
              "words_arabic": "یُّصْلِحْ/يُصۡلِحۡ/yus'lih//لَكُمْ/لَكُمۡ/lakum//اَعْمَالَكُمْ/أَعۡمَٰلَكُمۡ/a'malakum//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ/لَكُمۡ/lakum//ذُنُوْبَكُمْ ؕ/ذُنُوبَكُمۡۗ/dhunubakum//وَ مَنْ/وَمَن/waman//یُّطِعِ/يُطِعِ/yuti'i//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//فَقَدْ/فَقَدۡ/faqad//فَازَ/فَازَ/faza//فَوْزًا/فَوۡزًا/fawzan//عَظِیْمًا /عَظِيمًا/aziman",
              "words_bangla": "তিনি সংশোধন করবেন//জন্যে তোমাদের//কর্মসমূহকে তোমাদের//এবং ক্ষমা করে দিবেন//জন্যে তোমাদের//পাপগুলোকে তোমাদের//এবং যে//আনুগত্য করে//আল্লাহর//ও রাসূলের তাঁর//তাহ'লে নিশ্চয়ই//সে সফল হলো//সাফল্য//মহা"
            },
            {
              "number": 3605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3605.mp3"
              ],
              "text": "إِنَّا عَرَضْنَا ٱلْأَمَانَةَ عَلَى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَٱلْجِبَالِ فَأَبَيْنَ أَن يَحْمِلْنَهَا وَأَشْفَقْنَ مِنْهَا وَحَمَلَهَا ٱلْإِنسَٰنُ ۖ إِنَّهُۥ كَانَ ظَلُومًۭا جَهُولًۭا",
              "translate_bn": "আমি আকাশ পৃথিবী ও পর্বতমালার সামনে এই আমানত পেশ করেছিলাম, অতঃপর তারা একে বহন করতে অস্বীকার করল এবং এতে ভীত হল; কিন্তু মানুষ তা বহণ করল। নিশ্চয় সে জালেম-অজ্ঞ।",
              "numberInSurah": 72,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 369,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইন্না-‘আরাদনাল আমা-নাতা ‘আলাছছামা-ওয়া-তি ওয়াল আরদিওয়াল জিবা-লি ফাআবাইনা আইঁ ইয়াহমিলনাহা-ওয়া আশফাকনা মিনহা-ওয়া হামালাহাল ইনছা-নু ইন্নাহূকা-না জালূমান জাহূলা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//عَرَضْنَا/عَرَضۡنَا/aradna//الْاَمَانَةَ/ٱلۡأَمَانَةَ/al-amanata//عَلَی/عَلَى/ala//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ الْجِبَالِ/وَٱلۡجِبَالِ/wal-jibali//فَاَبَیْنَ/فَأَبَيۡنَ/fa-abayna//اَنْ/أَن/an//یَّحْمِلْنَهَا/يَحۡمِلۡنَهَا/yahmil'naha//وَ اَشْفَقْنَ/وَأَشۡفَقۡنَ/wa-ashfaqna//مِنْهَا/مِنۡهَا/min'ha//وَ حَمَلَهَا/وَحَمَلَهَا/wahamalaha//الْاِنْسَانُ ؕ/ٱلۡإِنسَٰنُۖ/al-insanu//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//ظَلُوْمًا/ظَلُومٗا/zaluman//جَهُوْلًاۙ/جَهُولٗا/jahulan",
              "words_bangla": "নিশ্চয়ই আমরা//পেশ করেছিলাম আমরা//এ-আমানত (কুরআন)//উপর//আকাশসমূহের//ও পৃথিবীর//ও পর্বতমালার//কিন্তু তারা অস্বীকার করলো//যে//তারা বহন করবে তা//আর তারা ভয় পেলো//থেকে তা//এবং বহন করলো তা//মানুষ//নিশ্চয়ই সে//হলো//বড় সীমালঙ্ঘনকারী//বড় অজ্ঞ"
            },
            {
              "number": 3606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3606.mp3"
              ],
              "text": "لِّيُعَذِّبَ ٱللَّهُ ٱلْمُنَٰفِقِينَ وَٱلْمُنَٰفِقَٰتِ وَٱلْمُشْرِكِينَ وَٱلْمُشْرِكَٰتِ وَيَتُوبَ ٱللَّهُ عَلَى ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ ۗ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۢا",
              "translate_bn": "যাতে আল্লাহ মুনাফিক পুরুষ, মুনাফিক নারী, মুশরিক পুরুষ, মুশরিক নারীদেরকে শাস্তি দেন এবং মুমিন পুরুষ ও মুমিন নারীদেরকে ক্ষমা করেন। আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 73,
              "juz": 22,
              "manzil": 5,
              "page": 427,
              "ruku": 369,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "লিইউ‘আযযি বাল্লা-হুল মুনা-ফিকীনা ওয়াল মুনাফিকা-তি ওয়াল মুশরিকীনা ওয়াল মুশরিকা-তি ওয়া ইয়াতূবাল্লা-হু ‘আলাল মু’মিনীনা ওয়াল মু’মিনা-তি ওয়াকা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "لِّیُعَذِّبَ/لِّيُعَذِّبَ/liyu'adhiba//اللّٰهُ/ٱللَّهُ/al-lahu//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//وَ الْمُنٰفِقٰتِ/وَٱلۡمُنَٰفِقَٰتِ/wal-munafiqati//وَ الْمُشْرِكِیْنَ/وَٱلۡمُشۡرِكِينَ/wal-mush'rikina//وَ الْمُشْرِكٰتِ/وَٱلۡمُشۡرِكَٰتِ/wal-mush'rikati//وَ یَتُوْبَ/وَيَتُوبَ/wayatuba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَی/عَلَى/ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ ؕ/وَٱلۡمُؤۡمِنَٰتِۗ/wal-mu'minati//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا۠/رَّحِيمَۢا/rahiman",
              "words_bangla": "(এর পরিণাম হলো এই যে) যেন শাস্তি দিবেন//আল্লাহ//মুনাফিক পুরুষদেরকে//ও মুনাফিক নারীদেরকে//এবং মুশরিক পুরুষদেরকে//ও মুশরিক নারীদেরকে//এবং ক্ষমা করবেন//আল্লাহ//উপর//মু’মিন পুরুষদের//ও মু’মিন নারীদেরকে//এবং হলেন//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            }
          ]
        },
        {
          "number": 34,
          "name": "سُورَةُ سَبَإٍ",
          "englishName": "Saba",
          "englishNameTranslation": "Sheba",
          "revelationType": "Meccan",
          "verse": 54,
          "words": 1741,
          "chars": 7287,
          "ayahs": [
            {
              "number": 3607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3607.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَلَهُ ٱلْحَمْدُ فِى ٱلْءَاخِرَةِ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ",
              "translate_bn": "সমস্ত প্রশংসা আল্লাহর, যিনি নভোমন্ডলে যা আছে এবং ভূমন্ডলে যা আছে সব কিছুর মালিক এবং তাঁরই প্রশংসা পরকালে। তিনি প্রজ্ঞাময়, সর্বজ্ঞ।",
              "numberInSurah": 1,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "আলহামদুলিল্লা-হিল্লাযী লাহূমা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদিওয়া লাহুল হামদুফিল আ-খিরাতি ওয়াহুওয়াল হাকীমুল খাবীর।\r\n",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَهُ/وَلَهُ/walahu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//فِی/فِي/fi//الْاٰخِرَةِ ؕ/ٱلۡأٓخِرَةِۚ/al-akhirati//وَ هُوَ/وَهُوَ/wahuwa//الْحَكِیْمُ/ٱلۡحَكِيمُ/al-hakimu//الْخَبِیْرُ /ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "সমস্ত প্রশংসা//জন্যে আল্লাহর//যিনি (এমন সত্ত্বা)//জন্যে তাঁরই (মালিকানায়)//যা কিছু//মধ্যে (আছে)//আকাশমন্ডলীর//আর যা কিছু//মধ্যে (আছে)//পৃথিবীর//এবং জন্যে তাঁরই//সকল প্রশংসা//মধ্যে//পরকালের//এবং তিনিই//প্রজ্ঞাময়//খুব অবহিত"
            },
            {
              "number": 3608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3608.mp3"
              ],
              "text": "يَعْلَمُ مَا يَلِجُ فِى ٱلْأَرْضِ وَمَا يَخْرُجُ مِنْهَا وَمَا يَنزِلُ مِنَ ٱلسَّمَآءِ وَمَا يَعْرُجُ فِيهَا ۚ وَهُوَ ٱلرَّحِيمُ ٱلْغَفُورُ",
              "translate_bn": "তিনি জানেন যা ভূগর্ভে প্রবেশ করে, যা সেখান থেকে নির্গত হয়, যা আকাশ থেকে বর্ষিত হয় এবং যা আকাশে উত্থিত হয়। তিনি পরম দয়ালু ক্ষমাশীল।",
              "numberInSurah": 2,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুমা-ইয়ালিজুফিল আরদিওয়ামা-ইয়াখরুজুমিনহা-ওয়ামা-ইয়ানঝিলু মিনাছছামাই ওয়ামা-ইয়া‘রুজুফীহা- ওয়া হুওয়ার রাহীমুল গাফূর।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یَلِجُ/يَلِجُ/yaliju//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْهَا/مِنۡهَا/min'ha//وَ مَا/وَمَا/wama//یَنْزِلُ/يَنزِلُ/yanzilu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ مَا/وَمَا/wama//یَعْرُجُ/يَعۡرُجُ/ya'ruju//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ هُوَ/وَهُوَ/wahuwa//الرَّحِیْمُ/ٱلرَّحِيمُ/al-rahimu//الْغَفُوْرُ /ٱلۡغَفُورُ/al-ghafuru",
              "words_bangla": "তিনি জানেন//যা কিছু//প্রবেশ করে//মধ্যে//পৃথিবীর//আর যা কিছু//বের হয়//থেকে তা//এবং যা কিছু//নামে (অবতীর্ণ হয়)//থেকে//আকাশ//আর যা কিছু//উত্থিত হয়//মধ্যে তার//এবং তিনিই//পরম দয়ালু//ক্ষমাশীল"
            },
            {
              "number": 3609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3609.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَا تَأْتِينَا ٱلسَّاعَةُ ۖ قُلْ بَلَىٰ وَرَبِّى لَتَأْتِيَنَّكُمْ عَٰلِمِ ٱلْغَيْبِ ۖ لَا يَعْزُبُ عَنْهُ مِثْقَالُ ذَرَّةٍۢ فِى ٱلسَّمَٰوَٰتِ وَلَا فِى ٱلْأَرْضِ وَلَآ أَصْغَرُ مِن ذَٰلِكَ وَلَآ أَكْبَرُ إِلَّا فِى كِتَٰبٍۢ مُّبِينٍۢ",
              "translate_bn": "কাফেররা বলে আমাদের উপর কেয়ামত আসবে না। বলুন কেন আসবে না? আমার পালনকর্তার শপথ-অবশ্যই আসবে। তিনি অদৃশ্য সম্পর্কে জ্ঞাত। নভোমন্ডলে ও ভূ-মন্ডলে তাঁর আগোচরে নয় অণু পরিমাণ কিছু, না তদপেক্ষা ক্ষুদ্র এবং না বৃহৎ-সমস্তই আছে সুস্পষ্ট কিতাবে।",
              "numberInSurah": 3,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূ লা-তা’তীনাছছা-‘আতু কুলবালা-ওয়া রাববী লাতা’তিইয়ান্নাকুম ‘আ-লিমিল গাইবি লা-ইয়া‘ঝুবু‘আনহু মিছকা-লুযাররাতিন ফিছছামা-ওয়া-তি ওয়ালা-ফিল আরদিওয়ালাআসগারু মিন যা-লিকা ওয়ালাআকবারু ইল্লা-ফী কিতা-বিম মুবীন।\r\n",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَا/لَا/la//تَاْتِیْنَا/تَأۡتِينَا/tatina//السَّاعَةُ ؕ/ٱلسَّاعَةُۖ/al-sa'atu//قُلْ/قُلۡ/qul//بَلٰی/بَلَىٰ/bala//وَ رَبِّیْ/وَرَبِّي/warabbi//لَتَاْتِیَنَّكُمْ ۙ/لَتَأۡتِيَنَّكُمۡ/latatiyannakum//عٰلِمِ/عَٰلِمِ/alimi//الْغَیْبِ ۚ/ٱلۡغَيۡبِۖ/al-ghaybi//لَا/لَا/la//یَعْزُبُ/يَعۡزُبُ/ya'zubu//عَنْهُ/عَنۡهُ/anhu//مِثْقَالُ/مِثۡقَالُ/mith'qalu//ذَرَّةٍ/ذَرَّةٖ/dharratin//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ لَا/وَلَا/wala//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَاۤ/وَلَآ/wala//اَصْغَرُ/أَصۡغَرُ/asgharu//مِنْ/مِن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ لَاۤ/وَلَآ/wala//اَكْبَرُ/أَكۡبَرُ/akbaru//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مُّبِیْنٍۗۙ/مُّبِينٖ/mubinin",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//\"(কেন) না//উপর আসছে আমাদের//ক্বিয়ামাত\"//বলো//\"কেন না নিশ্চয়ই//শপথ আমার রবের//অবশ্যই উপর আসবেই তোমাদের//(আমার রব)জ্ঞানী//অদৃশ্যের (ব্যাপারে)\"//না//লুকায়িত আছে//থেকে তাঁর//(কিছু) পরিমাণও//কোনো অণুর//মধ্যে//আকাশসমূহের//আর না//মধ্যে//পৃথিবীর//এবং না//ক্ষুদ্রতর//চেয়েও//সেটার//আর না//বৃহত্তর//কিন্তু//মধ্যে (আছে)//(লিখিত) একটি কিতাবের//সুস্পষ্ট"
            },
            {
              "number": 3610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3610.mp3"
              ],
              "text": "لِّيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ ۚ أُو۟لَٰٓئِكَ لَهُم مَّغْفِرَةٌۭ وَرِزْقٌۭ كَرِيمٌۭ",
              "translate_bn": "তিনি পরিণামে যারা মুমিন ও সৎকর্ম পরায়ণ, তাদেরকে প্রতিদান দেবেন। তাদের জন্য রয়েছে ক্ষমা ও সম্মান জনক রিযিক।",
              "numberInSurah": 4,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "লিইয়াজঝিয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি উলাইকা লাহুম মাগফিরাতুওঁ ওয়ারিঝকুন কারীম।",
              "words_arabic": "لِّیَجْزِیَ/لِّيَجۡزِيَ/liyajziya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ؕ/ٱلصَّـٰلِحَٰتِۚ/al-salihati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ رِزْقٌ/وَرِزۡقٞ/wariz'qun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "(ক্বিয়ামাত এজন্যে) যেন তিনি পুরস্কার দেন//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//ঐসব (লোক)//জন্যে তাদের (রয়েছে)//ক্ষমা//ও জীবিকা//সম্মানজনক"
            },
            {
              "number": 3611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3611.mp3"
              ],
              "text": "وَٱلَّذِينَ سَعَوْ فِىٓ ءَايَٰتِنَا مُعَٰجِزِينَ أُو۟لَٰٓئِكَ لَهُمْ عَذَابٌۭ مِّن رِّجْزٍ أَلِيمٌۭ",
              "translate_bn": "আর যারা আমার আয়াত সমূহকে ব্যর্থ করার জন্য উঠে পড়ে লেগে যায়, তাদের জন্যে রয়েছে যন্ত্রনাদায়ক শাস্তি।",
              "numberInSurah": 5,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ছা‘আও ফী আয়া-তিনা- মু‘আজিঝীনা উলাইকা লাহুম ‘আযা-বুম্মির রিজঝিন আলীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//سَعَوْ/سَعَوۡ/sa'aw//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//مُعٰجِزِیْنَ/مُعَٰجِزِينَ/mu'ajizina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//مِّنْ/مِّن/min//رِّجْزٍ/رِّجۡزٍ/rij'zin//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "এবং যারা//চেষ্টা করে//ক্ষেত্রে//আয়াতগুলোর আমাদের//ব্যর্থ প্রমাণ করতে//ঐসব (লোক)//জন্যে তাদের(রয়েছে)//শাস্তি//ধরণের//ভয়ংকর//নির্মম"
            },
            {
              "number": 3612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3612.mp3"
              ],
              "text": "وَيَرَى ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ ٱلَّذِىٓ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ هُوَ ٱلْحَقَّ وَيَهْدِىٓ إِلَىٰ صِرَٰطِ ٱلْعَزِيزِ ٱلْحَمِيدِ",
              "translate_bn": "যারা জ্ঞানপ্রাপ্ত, তারা আপনার পালনকর্তার নিকট থেকে অবর্তীর্ণ কোরআনকে সত্য জ্ঞান করে এবং এটা মানুষকে পরাক্রমশালী, প্রশংসার্হ আল্লাহর পথ প্রদর্শন করে।",
              "numberInSurah": 6,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ারাল্লাযীনা ঊতুল ‘ইলমাল্লাযীউনঝিলা ইলাইকা মির রাব্বিকা হুওয়াল হাক্কা ওয়া ইয়াহদীইলা-সিরা-তিল ‘আঝীঝিল হামীদ।",
              "words_arabic": "وَ یَرَی/وَيَرَى/wayara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//هُوَ/هُوَ/huwa//الْحَقَّ ۙ/ٱلۡحَقَّ/al-haqa//وَ یَهْدِیْۤ/وَيَهۡدِيٓ/wayahdi//اِلٰی/إِلَىٰ/ila//صِرَاطِ/صِرَٰطِ/sirati//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَمِیْدِ /ٱلۡحَمِيدِ/al-hamidi",
              "words_bangla": "এবং জানে//(তারা) যাদের//দেয়া হয়েছে//জ্ঞান//যা//অবতীর্ণ করা হয়েছে//প্রতি তোমার//পক্ষ হ'তে//তোমার রবের//তা//সত্য//এবং তা পথ দেখায়//দিকে//পথের//পরাক্রমশালী (রবের)//(যিনি) প্রশংসিত"
            },
            {
              "number": 3613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3613.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ هَلْ نَدُلُّكُمْ عَلَىٰ رَجُلٍۢ يُنَبِّئُكُمْ إِذَا مُزِّقْتُمْ كُلَّ مُمَزَّقٍ إِنَّكُمْ لَفِى خَلْقٍۢ جَدِيدٍ",
              "translate_bn": "কাফেররা বলে, আমরা কি তোমাদেরকে এমন ব্যক্তির সন্ধান দেব, যে তোমাদেরকে খবর দেয় যে; তোমরা সম্পুর্ণ ছিন্ন-বিচ্ছিন্ন হয়ে গেলেও তোমরা নতুন সৃজিত হবে।",
              "numberInSurah": 7,
              "juz": 22,
              "manzil": 5,
              "page": 428,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূহাল নাদুল্লুকুম ‘আলা-রাজুলিইঁ ইউনাব্বিউকুম ইযা-মুঝঝিকতুম কুল্লা মুমাঝঝাকিন ইন্নাকুম লাফী খালকিন জাদীদ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//هَلْ/هَلۡ/hal//نَدُلُّكُمْ/نَدُلُّكُمۡ/nadullukum//عَلٰی/عَلَىٰ/ala//رَجُلٍ/رَجُلٖ/rajulin//یُّنَبِّئُكُمْ/يُنَبِّئُكُمۡ/yunabbi-ukum//اِذَا/إِذَا/idha//مُزِّقْتُمْ/مُزِّقۡتُمۡ/muzziq'tum//كُلَّ/كُلَّ/kulla//مُمَزَّقٍ ۙ/مُمَزَّقٍ/mumazzaqin//اِنَّكُمْ/إِنَّكُمۡ/innakum//لَفِیْ/لَفِي/lafi//خَلْقٍ/خَلۡقٖ/khalqin//جَدِیْدٍۚ/جَدِيدٍ/jadidin",
              "words_bangla": "এবং বলে//(তারা) যারা//অস্বীকার করেছে//\"কি//আমরা সন্ধান দিবো তোমাদেরকে//সম্পর্কে//এক ব্যক্তির//যে জানিয়ে দিবে তোমাদেরকে//যখন//ছিন্ন-বিচ্ছিন্ন করা হবে তোমাদেরকে//সম্পূর্ণ//খুব ছিন্ন-বিচ্ছিন্ন//নিশ্চয়ই তোমরা(হবে)//অবশ্যই মধ্যে//সৃষ্টির//নতুন (অর্থাৎ উত্থিত হবে?)"
            },
            {
              "number": 3614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3614.mp3"
              ],
              "text": "أَفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَم بِهِۦ جِنَّةٌۢ ۗ بَلِ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ فِى ٱلْعَذَابِ وَٱلضَّلَٰلِ ٱلْبَعِيدِ",
              "translate_bn": "সে আল্লাহ সম্পর্কে মিথ্যা বলে, না হয় সে উম্মাদ এবং যারা পরকালে অবিশ্বাসী, তারা আযাবে ও ঘোর পথভ্রষ্টতায় পতিত আছে।",
              "numberInSurah": 8,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "আফতারা-‘আলাল্লা-হি কাযিবান আম বিহী জিন্নাতুম বালিল্লাযীনা লা-ইউ’মিনূনা বিলআ-খিরাতি ফিল ‘আযা-বি ওয়াদ্দালা-লিল বা‘ঈদ।",
              "words_arabic": "اَفْتَرٰی/أَفۡتَرَىٰ/aftara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا/كَذِبًا/kadhiban//اَمْ/أَم/am//بِهٖ/بِهِۦ/bihi//جِنَّةٌ ؕ/جِنَّةُۢۗ/jinnatun//بَلِ/بَلِ/bali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//وَ الضَّلٰلِ/وَٱلضَّلَٰلِ/wal-dalali//الْبَعِیْدِ /ٱلۡبَعِيدِ/al-ba'idi",
              "words_bangla": "কি রচনা করেছে//উপর//আল্লাহর//মিথ্যা//অথবা//সাথে তার (আছে)//জিন\"//বরং//যারা//না//বিশ্বাস করে//প্রতি আখেরাতের//মধ্যে (রয়েছে)//শাস্তির//এবং বিভ্রান্তির//সুদূর"
            },
            {
              "number": 3615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3615.mp3"
              ],
              "text": "أَفَلَمْ يَرَوْا۟ إِلَىٰ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۚ إِن نَّشَأْ نَخْسِفْ بِهِمُ ٱلْأَرْضَ أَوْ نُسْقِطْ عَلَيْهِمْ كِسَفًۭا مِّنَ ٱلسَّمَآءِ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَةًۭ لِّكُلِّ عَبْدٍۢ مُّنِيبٍۢ",
              "translate_bn": "তারা কি তাদের সামনের ও পশ্চাতের আকাশ ও পৃথিবীর প্রতিলক্ষ্য করে না? আমি ইচ্ছা করলে তাদের সহ ভূমি ধসিয়ে দেব অথবা আকাশের কোন খন্ড তাদের উপর পতিত করব। আল্লাহ অভিমুখী প্রত্যেক বান্দার জন্য এতে অবশ্যই নিদর্শন রয়েছে।",
              "numberInSurah": 9,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 370,
              "hizbQuarter": 171,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়ারাও ইলা-মা-বাইনা আইদীহিম ওয়ামা- খালফাহুম মিনাছছামাই ওয়াল আরদি ইন নাশা’ নাখছিফ বিহিমূল আরদা আও নুছকিতআলাইহিম কিছাফাম মিনাছছামাই ইন্না ফী যা-লিকা লাআ-য়াতাল লিকুল্লি ‘আবদিম মুনীব।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَرَوْا/يَرَوۡاْ/yaraw//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ/خَلۡفَهُم/khalfahum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//اِنْ/إِن/in//نَّشَاْ/نَّشَأۡ/nasha//نَخْسِفْ/نَخۡسِفۡ/nakhsif//بِهِمُ/بِهِمُ/bihimu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//اَوْ/أَوۡ/aw//نُسْقِطْ/نُسۡقِطۡ/nus'qit//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//كِسَفًا/كِسَفٗا/kisafan//مِّنَ/مِّنَ/mina//السَّمَآءِ ؕ/ٱلسَّمَآءِۚ/al-samai//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیَةً/لَأٓيَةٗ/laayatan//لِّكُلِّ/لِّكُلِّ/likulli//عَبْدٍ/عَبۡدٖ/abdin//مُّنِیْبٍ۠/مُّنِيبٖ/munibin",
              "words_bangla": "কি তবে না//তারা দেখে//দিকে//(তার) যা//মাঝে//হাতের (সামনে রয়েছে) তাদের//এবং যা//পিছনে তাদের//হ'তে//আকাশ//এবং পৃথিবী//যদি//আমরা চাই//আমরা ধ্বসিয়ে দিবো//সহ তাদের//পৃথিবীকে//অথবা//আমরা পতিত করবো//উপর তাদের//(কিছু) খণ্ড//থেকে//আকাশ//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শন//জন্যে প্রত্যেক//দাসের//যে (আল্লাহ) অভিমুখী"
            },
            {
              "number": 3616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3616.mp3"
              ],
              "text": "۞ وَلَقَدْ ءَاتَيْنَا دَاوُۥدَ مِنَّا فَضْلًۭا ۖ يَٰجِبَالُ أَوِّبِى مَعَهُۥ وَٱلطَّيْرَ ۖ وَأَلَنَّا لَهُ ٱلْحَدِيدَ",
              "translate_bn": "আমি দাউদের প্রতি অনুগ্রহ করেছিলাম এই আদেশ মর্মে যে, হে পর্বতমালা, তোমরা দাউদের সাথে আমার পবিত্রতা ঘোষণা কর এবং হে পক্ষী সকল, তোমরাও। আমি তাঁর জন্য লৌহকে নরম করে ছিলাম।",
              "numberInSurah": 10,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা দা-ঊদা মিন্না-ফাদলাইঁ ইয়া-জিবা-লুআওব্বিী মা‘আহূ ওয়াত্তাইরা ওয়া আলান্না-লাহুল হাদীদ।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//دَاوٗدَ/دَاوُۥدَ/dawuda//مِنَّا/مِنَّا/minna//فَضْلًا ؕ/فَضۡلٗاۖ/fadlan//یٰجِبَالُ/يَٰجِبَالُ/yajibalu//اَوِّبِیْ/أَوِّبِي/awwibi//مَعَهٗ/مَعَهُۥ/ma'ahu//وَ الطَّیْرَ ۚ/وَٱلطَّيۡرَۖ/wal-tayra//وَ اَلَنَّا/وَأَلَنَّا/wa-alanna//لَهُ/لَهُ/lahu//الْحَدِیْدَۙ/ٱلۡحَدِيدَ/al-hadida",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছি//দাউদকে//আমাদের পক্ষ থেকে//অনুগ্রহ//\"(এবং বলেছিলাম) হে পর্বতমালা//পবিত্রতা ঘোষণা করো//তার সাথে//এবং পাখীদেরকেও (হুকুম দিয়েছিলাম)\"//এবং আমরা নরম করে দেই//জন্যে তার//লোহাকে"
            },
            {
              "number": 3617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3617.mp3"
              ],
              "text": "أَنِ ٱعْمَلْ سَٰبِغَٰتٍۢ وَقَدِّرْ فِى ٱلسَّرْدِ ۖ وَٱعْمَلُوا۟ صَٰلِحًا ۖ إِنِّى بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "এবং তাকে আমি বলে ছিলাম, প্রশস্ত বর্ম তৈরী কর, কড়াসমূহ যথাযথভাবে সংযুক্ত কর এবং সৎকর্ম সম্পাদন কর। তোমরা যা কিছু কর, আমি তা দেখি।",
              "numberInSurah": 11,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "আনি‘মাল ছা-বিগা-তিওঁ ওয়া কাদ্দির ফিছছারদি ওয়া‘মালূসা-লিহান ইন্নী বিমাতা‘মালূনা বাসীর।",
              "words_arabic": "اَنِ/أَنِ/ani//اعْمَلْ/ٱعۡمَلۡ/i'mal//سٰبِغٰتٍ/سَٰبِغَٰتٖ/sabighatin//وَّ قَدِّرْ/وَقَدِّرۡ/waqaddir//فِی/فِي/fi//السَّرْدِ/ٱلسَّرۡدِۖ/al-sardi//وَ اعْمَلُوْا/وَٱعۡمَلُواْ/wa-i'malu//صَالِحًا ؕ/صَٰلِحًاۖ/salihan//اِنِّیْ/إِنِّي/inni//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "(এবং নির্দেশ দিয়েছিলাম) যে//তুমি তৈরি করো//(নিখুঁত) বর্মসমূহ//ও পরিমাণ রক্ষা করো//মধ্যে//কড়াগুলোর//এবং তোমরা কাজ করো//সৎ//নিশ্চয়ই আমি//ঐ বিষয়ে যা//তোমরা করছো//দৃষ্টিমান"
            },
            {
              "number": 3618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3618.mp3"
              ],
              "text": "وَلِسُلَيْمَٰنَ ٱلرِّيحَ غُدُوُّهَا شَهْرٌۭ وَرَوَاحُهَا شَهْرٌۭ ۖ وَأَسَلْنَا لَهُۥ عَيْنَ ٱلْقِطْرِ ۖ وَمِنَ ٱلْجِنِّ مَن يَعْمَلُ بَيْنَ يَدَيْهِ بِإِذْنِ رَبِّهِۦ ۖ وَمَن يَزِغْ مِنْهُمْ عَنْ أَمْرِنَا نُذِقْهُ مِنْ عَذَابِ ٱلسَّعِيرِ",
              "translate_bn": "আর আমি সোলায়মানের অধীন করেছিলাম বায়ুকে, যা সকালে এক মাসের পথ এবং বিকালে এক মাসের পথ অতিক্রম করত। আমি তার জন্যে গলিত তামার এক ঝরণা প্রবাহিত করেছিলাম। কতক জিন তার সামনে কাজ করত তার পালনকর্তার আদেশে। তাদের যে কেউ আমার আদেশ অমান্য করবে, আমি জ্বলন্ত অগ্নির-শাস্তি আস্বাদন করাব।",
              "numberInSurah": 12,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিছুলাইমা-নাররীহা গুদুওউহা-শাহরুওঁ ওয়ারাওয়া-হুহা-শাহরুওঁ ওয়া আছালনালাহু ‘আইনাল কিতরি ওয়ামিনাল জিন্নি মাইঁ ইয়া‘মালুবাইনা ইয়াদাইহি বিইযনি রাব্বিহী ওয়া মাইঁ ইয়াঝিগ মিনহুম ‘আন আমরিনা-নুযিকহু মিন ‘আযা-বিছছা‘ঈর।",
              "words_arabic": "وَ لِسُلَیْمٰنَ/وَلِسُلَيۡمَٰنَ/walisulaymana//الرِّیْحَ/ٱلرِّيحَ/al-riha//غُدُوُّهَا/غُدُوُّهَا/ghuduwwuha//شَهْرٌ/شَهۡرٞ/shahrun//وَّ رَوَاحُهَا/وَرَوَاحُهَا/warawahuha//شَهْرٌ ۚ/شَهۡرٞۖ/shahrun//وَ اَسَلْنَا/وَأَسَلۡنَا/wa-asalna//لَهٗ/لَهُۥ/lahu//عَیْنَ/عَيۡنَ/ayna//الْقِطْرِ ؕ/ٱلۡقِطۡرِۖ/al-qit'ri//وَ مِنَ/وَمِنَ/wamina//الْجِنِّ/ٱلۡجِنِّ/al-jini//مَنْ/مَن/man//یَّعْمَلُ/يَعۡمَلُ/ya'malu//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهٖ ؕ/رَبِّهِۦۖ/rabbihi//وَ مَنْ/وَمَن/waman//یَّزِغْ/يَزِغۡ/yazigh//مِنْهُمْ/مِنۡهُمۡ/min'hum//عَنْ/عَنۡ/an//اَمْرِنَا/أَمۡرِنَا/amrina//نُذِقْهُ/نُذِقۡهُ/nudhiq'hu//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এবং জন্যে সোলায়মানের (অধীন করে দেই)//বাতাসকে//সকালের বেড়ানো তার//এক মাসের//এবং সন্ধ্যার বেড়ানো তার//এক মাসের (অর্থাৎ সে এক মাসের পথ এক সকাল বা এক সন্ধায় অতিক্রম করতো//এবং আমরা প্রবাহিত করেছি//জন্যে তার//ঝর্ণা//গলানো তামার//এবং কিছু//জিনদের//যারা//কাজ করতো//মাঝে//হাতের (সামনে) তার//ক্রমে অনুমতি//তাঁর রবের//আর যে//অমান্য করতো//মধ্য থেকে তাদের//হ'তে//নির্দেশের আমাদের//আমরা আস্বাদন করাতাম তাকে//থেকে//শাস্তি//জ্বলন্ত আগুনের"
            },
            {
              "number": 3619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3619.mp3"
              ],
              "text": "يَعْمَلُونَ لَهُۥ مَا يَشَآءُ مِن مَّحَٰرِيبَ وَتَمَٰثِيلَ وَجِفَانٍۢ كَٱلْجَوَابِ وَقُدُورٍۢ رَّاسِيَٰتٍ ۚ ٱعْمَلُوٓا۟ ءَالَ دَاوُۥدَ شُكْرًۭا ۚ وَقَلِيلٌۭ مِّنْ عِبَادِىَ ٱلشَّكُورُ",
              "translate_bn": "তারা সোলায়মানের ইচ্ছানুযায়ী দুর্গ, ভাস্কর্য, হাউযসদৃশ বৃহদাকার পাত্র এবং চুল্লির উপর স্থাপিত বিশাল ডেগ নির্মাণ করত। হে দাউদ পরিবার! কৃতজ্ঞতা সহকারে তোমরা কাজ করে যাও। আমার বান্দাদের মধ্যে অল্পসংখ্যকই কৃতজ্ঞ।",
              "numberInSurah": 13,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘মালূনা লাহু মা-ইয়াশাউ মিম মাহা-রীবা ওয়া তামা-ছীলা ওয়া জিফা-নিন কাল জাওয়া-বি ওয়া কুদূ রির রা-ছিয়া-তিন ই‘মালূআ-লা দা-ঊদা শুকরাওঁ ওয়া কালীলুম মিন ‘ইবা-দিয়াশশাকূর।",
              "words_arabic": "یَعْمَلُوْنَ/يَعۡمَلُونَ/ya'maluna//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//یَشَآءُ/يَشَآءُ/yashau//مِنْ/مِن/min//مَّحَارِیْبَ/مَّحَٰرِيبَ/mahariba//وَ تَمَاثِیْلَ/وَتَمَٰثِيلَ/watamathila//وَ جِفَانٍ/وَجِفَانٖ/wajifanin//كَالْجَوَابِ/كَٱلۡجَوَابِ/kal-jawabi//وَ قُدُوْرٍ/وَقُدُورٖ/waqudurin//رّٰسِیٰتٍ ؕ/رَّاسِيَٰتٍۚ/rasiyatin//اِعْمَلُوْۤا/ٱعۡمَلُوٓاْ/i'malu//اٰلَ/ءَالَ/ala//دَاوٗدَ/دَاوُۥدَ/dawuda//شُكْرًا ؕ/شُكۡرٗاۚ/shuk'ran//وَ قَلِیْلٌ/وَقَلِيلٞ/waqalilun//مِّنْ/مِّنۡ/min//عِبَادِیَ/عِبَادِيَ/ibadiya//الشَّكُوْرُ /ٱلشَّكُورُ/al-shakuru",
              "words_bangla": "তারা তৈরি করতো//জন্যে তার//যা//সে ইচ্ছে করতো//যেমন//প্রাসাদসমূহ//ও (প্রাণহীন বস্তুর)ভাস্কর্য//ও বড় পাত্রসমূহ//হাউজসদৃশ//এবং বড় ডেগসমূহ//দৃঢ়ভাবে প্রতিষ্ঠিত//\"(আরও বলেছিলাম) তোমরা কাজ করো//(হে)বংশধররা//দাউদের//কৃতজ্ঞতা সহকারে\"//এবং কমই//মধ্যে হ'তে//আমার দাসদের//কৃতজ্ঞ"
            },
            {
              "number": 3620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3620.mp3"
              ],
              "text": "فَلَمَّا قَضَيْنَا عَلَيْهِ ٱلْمَوْتَ مَا دَلَّهُمْ عَلَىٰ مَوْتِهِۦٓ إِلَّا دَآبَّةُ ٱلْأَرْضِ تَأْكُلُ مِنسَأَتَهُۥ ۖ فَلَمَّا خَرَّ تَبَيَّنَتِ ٱلْجِنُّ أَن لَّوْ كَانُوا۟ يَعْلَمُونَ ٱلْغَيْبَ مَا لَبِثُوا۟ فِى ٱلْعَذَابِ ٱلْمُهِينِ",
              "translate_bn": "যখন আমি সোলায়মানের মৃত্যু ঘটালাম, তখন ঘুণ পোকাই জিনদেরকে তাঁর মৃত্যু সম্পর্কে অবহিত করল। সোলায়মানের লাঠি খেয়ে যাচ্ছিল। যখন তিনি মাটিতে পড়ে গেলেন, তখন জিনেরা বুঝতে পারল যে, অদৃশ্য বিষয়ের জ্ঞান থাকলে তারা এই লাঞ্ছনাপূর্ণ শাস্তিতে আবদ্ধ থাকতো না।",
              "numberInSurah": 14,
              "juz": 22,
              "manzil": 5,
              "page": 429,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-কাদাইনা-‘আলাইহিল মাওতা মা-দাল্লাহুম ‘আলা-মাওতিহী-ইল্লা-দাব্বাতুল আরদিতা’কুলুমিন ছাআতাহু ফালাম্মা-খাররা তাবাইয়ানাতিল জিন্নুআল্লাও কা-নূ ইয়া‘লামূনাল গাইবা মা-লাবিছূফিল ‘আযা-বিল মুহীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//قَضَیْنَا/قَضَيۡنَا/qadayna//عَلَیْهِ/عَلَيۡهِ/alayhi//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//مَا/مَا/ma//دَلَّهُمْ/دَلَّهُمۡ/dallahum//عَلٰی/عَلَىٰ/ala//مَوْتِهٖۤ/مَوۡتِهِۦٓ/mawtihi//اِلَّا/إِلَّا/illa//دَآبَّةُ/دَآبَّةُ/dabbatu//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//تَاْكُلُ/تَأۡكُلُ/takulu//مِنْسَاَتَهٗ ۚ/مِنسَأَتَهُۥۖ/minsa-atahu//فَلَمَّا/فَلَمَّا/falamma//خَرَّ/خَرَّ/kharra//تَبَیَّنَتِ/تَبَيَّنَتِ/tabayyanati//الْجِنُّ/ٱلۡجِنُّ/al-jinu//اَنْ/أَن/an//لَّوْ/لَّوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//الْغَیْبَ/ٱلۡغَيۡبَ/al-ghayba//مَا/مَا/ma//لَبِثُوْا/لَبِثُواْ/labithu//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْمُهِیْنِؕ/ٱلۡمُهِينِ/al-muhini",
              "words_bangla": "অতঃপর যখন//সিদ্ধান্ত করলাম আমরা//উপর তার//মৃত্যুর//না//জানালো তাদের//সম্পর্কে//মৃত্যু তার//কিন্তু//ঘুণপোকা//মাটির//(যা) খাচ্ছিলো//লাঠিকে তার//অতঃপর যখন//সে পড়ে গেলো//পরিষ্কারভাবে জানতে পারলো//জিনরা//যে//যদি//তারা ছিলো//তারা জানতো//অদৃশ্য বিষয়ে//না//তারা অবস্থান করতো (বাঁধা থাকতো)//মধ্যে//শাস্তির//অপমানকর"
            },
            {
              "number": 3621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3621.mp3"
              ],
              "text": "لَقَدْ كَانَ لِسَبَإٍۢ فِى مَسْكَنِهِمْ ءَايَةٌۭ ۖ جَنَّتَانِ عَن يَمِينٍۢ وَشِمَالٍۢ ۖ كُلُوا۟ مِن رِّزْقِ رَبِّكُمْ وَٱشْكُرُوا۟ لَهُۥ ۚ بَلْدَةٌۭ طَيِّبَةٌۭ وَرَبٌّ غَفُورٌۭ",
              "translate_bn": "সাবার অধিবাসীদের জন্যে তাদের বাসভূমিতে ছিল এক নিদর্শন-দুটি উদ্যান, একটি ডানদিকে, একটি বামদিকে। তোমরা তোমাদের পালনকর্তার রিযিক খাও এবং তাঁর প্রতি কৃতজ্ঞতা প্রকাশ কর। স্বাস্থ্যকর শহর এবং ক্ষমাশীল পালনকর্তা।",
              "numberInSurah": 15,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কা-না লিছাবাইন ফী মাছকানিহিম আ-য়াতুন জান্নাতা-নি আইঁ ইয়ামীনিওঁ ওয়াশিমা-লিন কুলূমির রিযকিরাব্বিকুম ওয়াশকুরূলাহূ বালদাতুন তাইয়িবাতুওঁ ওয়া রাব্বুন গাফূর।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//كَانَ/كَانَ/kana//لِسَبَاٍ/لِسَبَإٖ/lisaba-in//فِیْ/فِي/fi//مَسْكَنِهِمْ/مَسۡكَنِهِمۡ/maskanihim//اٰیَةٌ ۚ/ءَايَةٞۖ/ayatun//جَنَّتٰنِ/جَنَّتَانِ/jannatani//عَنْ/عَن/an//یَّمِیْنٍ/يَمِينٖ/yaminin//وَّ شِمَالٍ ؕ۬/وَشِمَالٖۖ/washimalin//كُلُوْا/كُلُواْ/kulu//مِنْ/مِن/min//رِّزْقِ/رِّزۡقِ/riz'qi//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//وَ اشْكُرُوْا/وَٱشۡكُرُواْ/wa-ush'kuru//لَهٗ ؕ/لَهُۥۚ/lahu//بَلْدَةٌ/بَلۡدَةٞ/baldatun//طَیِّبَةٌ/طَيِّبَةٞ/tayyibatun//وَّ رَبٌّ/وَرَبٌّ/warabbun//غَفُوْرٌ /غَفُورٞ/ghafurun",
              "words_bangla": "নিশ্চয়ই//ছিলো//জন্যে সাবা (জাতির)//মধ্যে//বাসভূমির তাদের//একটি নিদর্শন//দু'টি বাগান//থেকে//ডানদিক//ও বামদিকে//\"(বলেছিলাম) তোমরা খাও//থেকে//জীবিকা//রবের তোমাদের//ও তোমরা কৃতজ্ঞতা প্রকাশ করো//জন্যে তাঁর//(এই) দেশ//উত্তম//এবং রব//ক্ষমাশীল\""
            },
            {
              "number": 3622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3622.mp3"
              ],
              "text": "فَأَعْرَضُوا۟ فَأَرْسَلْنَا عَلَيْهِمْ سَيْلَ ٱلْعَرِمِ وَبَدَّلْنَٰهُم بِجَنَّتَيْهِمْ جَنَّتَيْنِ ذَوَاتَىْ أُكُلٍ خَمْطٍۢ وَأَثْلٍۢ وَشَىْءٍۢ مِّن سِدْرٍۢ قَلِيلٍۢ",
              "translate_bn": "অতঃপর তারা অবাধ্যতা করল ফলে আমি তাদের উপর প্রেরণ করলাম প্রবল বন্যা! আর তাদের উদ্যানদ্বয়কে পরিবর্তন করে দিলাম এমন দুই উদ্যানে, যাতে উদগত হয় বিস্বাদ ফলমূল, ঝাউ গাছ এবং সামান্য কুলবৃক্ষ।",
              "numberInSurah": 16,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ফাআ‘রাদূ ফাআরছালনা-‘আলাইহিম ছাইলাল ‘আরিমি ওয়া বাদ্দালনা-হুম বিজান্নাতাইহিম জান্নাতাইনি যাওয়া-তাই উকুলিন খামতিওঁ ওয়া আছলিওঁ ওয়া শাইয়িম মিন ছিদরিন কালীল।",
              "words_arabic": "فَاَعْرَضُوْا/فَأَعۡرَضُواْ/fa-a'radu//فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سَیْلَ/سَيۡلَ/sayla//الْعَرِمِ/ٱلۡعَرِمِ/al-'arimi//وَ بَدَّلْنٰهُمْ/وَبَدَّلۡنَٰهُم/wabaddalnahum//بِجَنَّتَیْهِمْ/بِجَنَّتَيۡهِمۡ/bijannatayhim//جَنَّتَیْنِ/جَنَّتَيۡنِ/jannatayni//ذَوَاتَیْ/ذَوَاتَيۡ/dhawatay//اُكُلٍ/أُكُلٍ/ukulin//خَمْطٍ/خَمۡطٖ/khamtin//وَّ اَثْلٍ/وَأَثۡلٖ/wa-athlin//وَّ شَیْءٍ/وَشَيۡءٖ/washayin//مِّنْ/مِّن/min//سِدْرٍ/سِدۡرٖ/sid'rin//قَلِیْلٍ /قَلِيلٖ/qalilin",
              "words_bangla": "কিন্তু তারা মুখ ফেরালো//তাই পাঠালাম আমরা//উপর তাদের//বন্যা//বাঁধ-ভাঙ্গা//এবং আমরা পাল্টে দিলাম তাদের//বিনিময়ে দু'টি বাগানের তাদের//দু'টি বাগান//সম্পন্ন//ফল-মূল//বিস্বাদ//এবং ঝাউগাছ//ও কিছু//থেকে//কুলগাছ//সামান্য"
            },
            {
              "number": 3623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3623.mp3"
              ],
              "text": "ذَٰلِكَ جَزَيْنَٰهُم بِمَا كَفَرُوا۟ ۖ وَهَلْ نُجَٰزِىٓ إِلَّا ٱلْكَفُورَ",
              "translate_bn": "এটা ছিল কুফরের কারণে তাদের প্রতি আমার শাস্তি। আমি অকৃতজ্ঞ ব্যতীত কাউকে শাস্তি দেই না।",
              "numberInSurah": 17,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা জাঝাইনা-হুম বিমা-কাফারূ ওয়া হাল নুজা-ঝীইল্লাল কাফূর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//جَزَیْنٰهُمْ/جَزَيۡنَٰهُم/jazaynahum//بِمَا/بِمَا/bima//كَفَرُوْا ؕ/كَفَرُواْۖ/kafaru//وَ هَلْ/وَهَلۡ/wahal//نُجٰزِیْۤ/نُجَٰزِيٓ/nujazi//اِلَّا/إِلَّا/illa//الْكَفُوْرَ /ٱلۡكَفُورَ/al-kafura",
              "words_bangla": "এটা//আমরা প্রতিফল দিই তাদের//এ কারণ//তারা অবিশ্বাস করেছিলো//এবং না//আমরা দেই (এমন) প্রতিফল//ছাড়া//অকৃতজ্ঞকে"
            },
            {
              "number": 3624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3624.mp3"
              ],
              "text": "وَجَعَلْنَا بَيْنَهُمْ وَبَيْنَ ٱلْقُرَى ٱلَّتِى بَٰرَكْنَا فِيهَا قُرًۭى ظَٰهِرَةًۭ وَقَدَّرْنَا فِيهَا ٱلسَّيْرَ ۖ سِيرُوا۟ فِيهَا لَيَالِىَ وَأَيَّامًا ءَامِنِينَ",
              "translate_bn": "তাদের এবং যেসব জনপদের লোকদের প্রতি আমি অনুগ্রহ করেছিলম সেগুলোর মধ্যবর্তী স্থানে অনেক দৃশ্যমান জনপদ স্থাপন করেছিলাম এবং সেগুলোতে ভ্রমণ নির্ধারিত করেছিলাম। তোমরা এসব জনপদে রাত্রে ও দিনে নিরাপদে ভ্রমণ কর।",
              "numberInSurah": 18,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-বাইনাহুম ওয়া বাইনাল কুরাল্লাতী বা-রাকনা-ফীহা-কুরান জা-হিরাতাওঁ ওয়াকাদ্দারনা-ফীহাছছাইরা ছীরূফীহা-লায়া-লিয়া ওয়া আইইয়া-মান আ-মিনীন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//وَ بَیْنَ/وَبَيۡنَ/wabayna//الْقُرَی/ٱلۡقُرَى/al-qura//الَّتِیْ/ٱلَّتِي/allati//بٰرَكْنَا/بَٰرَكۡنَا/barakna//فِیْهَا/فِيهَا/fiha//قُرًی/قُرٗى/quran//ظَاهِرَةً/ظَٰهِرَةٗ/zahiratan//وَّ قَدَّرْنَا/وَقَدَّرۡنَا/waqaddarna//فِیْهَا/فِيهَا/fiha//السَّیْرَ ؕ/ٱلسَّيۡرَۖ/al-sayra//سِیْرُوْا/سِيرُواْ/siru//فِیْهَا/فِيهَا/fiha//لَیَالِیَ/لَيَالِيَ/layaliya//وَ اَیَّامًا/وَأَيَّامًا/wa-ayyaman//اٰمِنِیْنَ /ءَامِنِينَ/aminina",
              "words_bangla": "এবং স্থাপন করেছিলাম আমরা//মাঝে তাদের//ও মাঝে//জনবসতিগুলোর//যাতে//কল্যাণ দিয়েছিলাম আমরা//মধ্যে তার//(বহু) জনপদ//দৃশ্যমান//এবং পরিমাণ মতো রেখেছিলাম আমরা//মধ্যে তার//সফরের (দুরত্ব)//\"(বলেছিলাম) তোমরা ভ্রমণ করো//মধ্যে তার//রাতগুলোতে//ও দিনগুলোতে//নিরাপদে\""
            },
            {
              "number": 3625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3625.mp3"
              ],
              "text": "فَقَالُوا۟ رَبَّنَا بَٰعِدْ بَيْنَ أَسْفَارِنَا وَظَلَمُوٓا۟ أَنفُسَهُمْ فَجَعَلْنَٰهُمْ أَحَادِيثَ وَمَزَّقْنَٰهُمْ كُلَّ مُمَزَّقٍ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّكُلِّ صَبَّارٍۢ شَكُورٍۢ",
              "translate_bn": "অতঃপর তারা বলল, হে আমাদের পালনকর্তা, আমাদের ভ্রমণের পরিসর বাড়িয়ে দাও। তারা নিজেদের প্রতি জুলুম করেছিল। ফলে আমি তাদেরকে উপাখ্যানে পরিণত করলাম এবং সম্পূর্ণরূপে ছিন্ন-বিচ্ছিন্ন করে দিলাম। নিশ্চয় এতে প্রত্যেক ধৈর্যশীল কৃতজ্ঞের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 19,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লূরাব্বানা-বা-‘ইদ বাইনা আছফা-রিনা-ওয়া জালামূআনফুছাহুম ফাজা‘আলনাহুম আহা-দীছা ওয়া মাঝঝাকনা-হুম কুল্লা মুমাঝঝাকিন ইন্না ফী যা-লিকা লাআ-য়াতিল লিকুল্লি সাব্বা-রিন শাকূর।",
              "words_arabic": "فَقَالُوْا/فَقَالُواْ/faqalu//رَبَّنَا/رَبَّنَا/rabbana//بٰعِدْ/بَٰعِدۡ/ba'id//بَیْنَ/بَيۡنَ/bayna//اَسْفَارِنَا/أَسۡفَارِنَا/asfarina//وَ ظَلَمُوْۤا/وَظَلَمُوٓاْ/wazalamu//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//فَجَعَلْنٰهُمْ/فَجَعَلۡنَٰهُمۡ/faja'alnahum//اَحَادِیْثَ/أَحَادِيثَ/ahaditha//وَ مَزَّقْنٰهُمْ/وَمَزَّقۡنَٰهُمۡ/wamazzaqnahum//كُلَّ/كُلَّ/kulla//مُمَزَّقٍ ؕ/مُمَزَّقٍۚ/mumazzaqin//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّكُلِّ/لِّكُلِّ/likulli//صَبَّارٍ/صَبَّارٖ/sabbarin//شَكُوْرٍ /شَكُورٖ/shakurin",
              "words_bangla": "কিন্তু তারা বলেছিলো//\"হে আমাদের রব//দূরত্ব বাড়াও//মাঝে//সফরসমূহের আমাদের\"//এবং তারা সীমালঙ্ঘন করেছিলো//নিজেদের তাদের (উপর)//অতঃপর আমরা পরিণত করলাম তাদেরকে//কাহিনীর বিষয়বস্তু//এবং আমরা ছিন্ন-ভিন্ন করলাম তাদেরকে//প্রত্যেককে//খুব ছিন্ন-ভিন্ন//নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই নিদর্শনাবলী//জন্যে প্রত্যেক//বড় ধৈর্যশীল//কৃতজ্ঞ ব্যক্তির"
            },
            {
              "number": 3626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3626.mp3"
              ],
              "text": "وَلَقَدْ صَدَّقَ عَلَيْهِمْ إِبْلِيسُ ظَنَّهُۥ فَٱتَّبَعُوهُ إِلَّا فَرِيقًۭا مِّنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "আর তাদের উপর ইবলীস তার অনুমান সত্য হিসেবে প্রতিষ্ঠিত করল। ফলে তাদের মধ্যে মুমিনদের একটি দল ব্যতীত সকলেই তার পথ অনুসরণ করল।",
              "numberInSurah": 20,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাদ্দাকা ‘আলাইহিম ইবলীছূজান্নাহূফাত্তাবা‘ঊহু ইল্লা-ফারীকাম মিনাল মু’মিনীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَدَّقَ/صَدَّقَ/saddaqa//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اِبْلِیْسُ/إِبۡلِيسُ/ib'lisu//ظَنَّهٗ/ظَنَّهُۥ/zannahu//فَاتَّبَعُوْهُ/فَٱتَّبَعُوهُ/fa-ittaba'uhu//اِلَّا/إِلَّا/illa//فَرِیْقًا/فَرِيقٗا/fariqan//مِّنَ/مِّنَ/mina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং নিশ্চয়ই//সত্য প্রমাণ করলো//ব্যাপারে তাদের//ইবলীস//অনুমানকে তার//অতঃপর তারা অনুসরণ করলো তার//ছাড়া//একটি দল//থেকে//মু'মিনদের"
            },
            {
              "number": 3627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3627.mp3"
              ],
              "text": "وَمَا كَانَ لَهُۥ عَلَيْهِم مِّن سُلْطَٰنٍ إِلَّا لِنَعْلَمَ مَن يُؤْمِنُ بِٱلْءَاخِرَةِ مِمَّنْ هُوَ مِنْهَا فِى شَكٍّۢ ۗ وَرَبُّكَ عَلَىٰ كُلِّ شَىْءٍ حَفِيظٌۭ",
              "translate_bn": "তাদের উপর শয়তানের কোন ক্ষমতা ছিল না, তবে কে পরকালে বিশ্বাস করে এবং কে তাতে সন্দেহ করে, তা প্রকাশ করাই ছিল আমার উদ্দেশ্য। আপনার পালনকর্তা সব বিষয়ে তত্ত্বাবধায়ক।",
              "numberInSurah": 21,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 371,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-কা-না লাহূ‘আলাইহিম মিন ছুলতা-নিন ইল্লা-লিনা‘লামা মাইঁ ইউ’মিনুবিলআখিরাতি মিম্মান হুওয়া মিনহা-ফী শাক্কিওঁ ওয়া রাব্বুকা ‘আলা-কুল্লি শাইয়িন হাফীজ।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَهٗ/لَهُۥ/lahu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّن/min//سُلْطٰنٍ/سُلۡطَٰنٍ/sul'tanin//اِلَّا/إِلَّا/illa//لِنَعْلَمَ/لِنَعۡلَمَ/lina'lama//مَنْ/مَن/man//یُّؤْمِنُ/يُؤۡمِنُ/yu'minu//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//مِمَّنْ/مِمَّنۡ/mimman//هُوَ/هُوَ/huwa//مِنْهَا/مِنۡهَا/min'ha//فِیْ/فِي/fi//شَكٍّ ؕ/شَكّٖۗ/shakkin//وَ رَبُّكَ/وَرَبُّكَ/warabbuka//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٍ/shayin//حَفِیْظٌ۠/حَفِيظٞ/hafizun",
              "words_bangla": "এবং না//ছিলো//জন্যে তার//উপর তাদের//কোনো//আধিপত্য//কিন্তু//যেন আমরা (বাস্তবে)  জানি//কে//বিশ্বাস করে//উপর আখেরাতের//মধ্যে হ'তে কে//সে//সম্পর্কে তার//মধ্যে (রয়েছে)//সন্দেহের//এবং রব তোমার//উপর//সব//কিছুর//তত্তাবধায়ক"
            },
            {
              "number": 3628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3628.mp3"
              ],
              "text": "قُلِ ٱدْعُوا۟ ٱلَّذِينَ زَعَمْتُم مِّن دُونِ ٱللَّهِ ۖ لَا يَمْلِكُونَ مِثْقَالَ ذَرَّةٍۢ فِى ٱلسَّمَٰوَٰتِ وَلَا فِى ٱلْأَرْضِ وَمَا لَهُمْ فِيهِمَا مِن شِرْكٍۢ وَمَا لَهُۥ مِنْهُم مِّن ظَهِيرٍۢ",
              "translate_bn": "বলুন, তোমরা তাদেরকে আহবান কর, যাদেরকে উপাস্য মনে করতে আল্লাহ ব্যতীত। তারা নভোমন্ডল ও ভূ-মন্ডলের অনু পরিমাণ কোন কিছুর মালিক নয়, এতে তাদের কোন অংশও নেই এবং তাদের কেউ আল্লাহর সহায়কও নয়।",
              "numberInSurah": 22,
              "juz": 22,
              "manzil": 5,
              "page": 430,
              "ruku": 372,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "কুলিদ ‘উল্লাযীনা ঝা‘আমতুম মিন দূ নিল্লা-হি লা-ইয়ামলিকূনা মিছকা-লা যাররাতিন ফিছ ছামা-ওয়া-তি ওয়ালা-ফিল আরদিওয়ামা-লাহুম ফীহিমা-মিন শিরকিওঁ ওয়ামা-লাহূ মিনহুম মিন জাহীর।",
              "words_arabic": "قُلِ/قُلِ/quli//ادْعُوا/ٱدۡعُواْ/id'u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//زَعَمْتُمْ/زَعَمۡتُم/za'amtum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//لَا/لَا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//مِثْقَالَ/مِثۡقَالَ/mith'qala//ذَرَّةٍ/ذَرَّةٖ/dharratin//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ لَا/وَلَا/wala//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//لَهُمْ/لَهُمۡ/lahum//فِیْهِمَا/فِيهِمَا/fihima//مِنْ/مِن/min//شِرْكٍ/شِرۡكٖ/shir'kin//وَّ مَا/وَمَا/wama//لَهٗ/لَهُۥ/lahu//مِنْهُمْ/مِنۡهُم/min'hum//مِّنْ/مِّن/min//ظَهِیْرٍ /ظَهِيرٖ/zahirin",
              "words_bangla": "(হে নাবী) বলো//\"(মুশরিকদেরকে) তোমরা ডাকো//(তাদের) যাদেরকে//(ইলাহ) মনে করেছো তোমরা//কোনো//ছাড়া//আল্লাহ\"//(প্রকৃতপক্ষে) না//তারা মালিক হয়//পরিমাণ//কোনো অণুর//মধ্যে//আকাশসমূহের//আর না//মধ্যে//পৃথিবীর//এবং নেই//জন্যে তাদের//মধ্যে(আছে)এ দু'য়ের//কোনো//অংশ//আর না (আছে)//জন্যে তাঁর//মধ্য হ'তে তাদের//কোনো//সাহায্যকারী"
            },
            {
              "number": 3629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3629.mp3"
              ],
              "text": "وَلَا تَنفَعُ ٱلشَّفَٰعَةُ عِندَهُۥٓ إِلَّا لِمَنْ أَذِنَ لَهُۥ ۚ حَتَّىٰٓ إِذَا فُزِّعَ عَن قُلُوبِهِمْ قَالُوا۟ مَاذَا قَالَ رَبُّكُمْ ۖ قَالُوا۟ ٱلْحَقَّ ۖ وَهُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ",
              "translate_bn": "যার জন্যে অনুমতি দেয়া হয়, তার জন্যে ব্যতীত আল্লাহর কাছে কারও সুপারিশ ফলপ্রসূ হবে না। যখন তাদের মন থেকে ভয়-ভীতি দূর হয়ে যাবে, তখন তারা পরস্পরে বলবে, তোমাদের পালনকর্তা কি বললেন? তারা বলবে, তিনি সত্য বলেছেন এবং তিনিই সবার উপরে মহান।",
              "numberInSurah": 23,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 172,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তানফা‘উশশাফা-‘আতু‘ইনদাহূইল্লা-লিমান আযিনা লাহূ হাত্তাইযাফুঝঝি‘আ ‘আন কুলূবিহিম কা-লূমা-যা- কা-লা রাব্বুকুম কা-লুল হাক্কা ওয়া হুওয়াল ‘আলিইয়ুল কাবীর।\r\n",
              "words_arabic": "وَ لَا/وَلَا/wala//تَنْفَعُ/تَنفَعُ/tanfa'u//الشَّفَاعَةُ/ٱلشَّفَٰعَةُ/al-shafa'atu//عِنْدَهٗۤ/عِندَهُۥٓ/indahu//اِلَّا/إِلَّا/illa//لِمَنْ/لِمَنۡ/liman//اَذِنَ/أَذِنَ/adhina//لَهٗ ؕ/لَهُۥۚ/lahu//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//فُزِّعَ/فُزِّعَ/fuzzi'a//عَنْ/عَن/an//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//قَالُوْا/قَالُواْ/qalu//مَا ذَا ۙ/مَاذَا/madha//قَالَ/قَالَ/qala//رَبُّكُمْ ؕ/رَبُّكُمۡۖ/rabbukum//قَالُوا/قَالُواْ/qalu//الْحَقَّ ۚ/ٱلۡحَقَّۖ/al-haqa//وَ هُوَ/وَهُوَ/wahuwa//الْعَلِیُّ/ٱلۡعَلِيُّ/al-'aliyu//الْكَبِیْرُ /ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "এবং না//উপকার দিবে//কোনো সুপারিশ//কাছে তাঁর//কিন্তু//জন্যে যার//তিনি অনুমতি দিবেন//জন্যে তার//এমনকি//যখন//দূর হয়ে যাবে (ভয়)//থেকে//অন্তরগুলো তাদের//তারা বলবে( সুপারিশকারীদের)//\"কি//বলেছেন\"//রব তোমাদের\"//তারা বলবে//\"(যা)সত্য\"//এবং তিনি//সুউচ্চ//সুমহান"
            },
            {
              "number": 3630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3630.mp3"
              ],
              "text": "۞ قُلْ مَن يَرْزُقُكُم مِّنَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ قُلِ ٱللَّهُ ۖ وَإِنَّآ أَوْ إِيَّاكُمْ لَعَلَىٰ هُدًى أَوْ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "বলুন, নভোমন্ডল ও ভূ-মন্ডল থেকে কে তোমাদের কে রিযিক দেয়। বলুন, আল্লাহ। আমরা অথবা তোমরা সৎপথে অথবা স্পষ্ট বিভ্রান্তিতে আছি ও আছ?",
              "numberInSurah": 24,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল মাইঁ ইয়ার ঝুকুকুম মিনাছছামা-ওয়া-তি ওয়াল আরদি কুল্লিলা-হু ওয়া ইন্নাআও ইয়্যা-কুম লা‘আলা-হুদান আও ফী দালা-লিম মুবীন।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//مَنْ/مَن/man//یَّرْزُقُكُمْ/يَرۡزُقُكُم/yarzuqukum//مِّنَ/مِّنَ/mina//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//قُلِ/قُلِ/quli//اللّٰهُ ۙ/ٱللَّهُۖ/al-lahu//وَ اِنَّاۤ/وَإِنَّآ/wa-inna//اَوْ/أَوۡ/aw//اِیَّاكُمْ/إِيَّاكُمۡ/iyyakum//لَعَلٰی/لَعَلَىٰ/la'ala//هُدًی/هُدًى/hudan//اَوْ/أَوۡ/aw//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "বলো//\"কে//জীবিকা দেন আমাদের//হ'তে//আকাশসমূহ//ও পৃথিবী (হ'তে)\"//বলো//\"আল্লাহ//এবং নিশ্চয়ই আমরা//অথবা//তোমরা (কোনো এক পক্ষ)//অবশ্যই উপর//সৎপথের//অথবা//মধ্যে (রয়েছে)//বিভ্রান্তি//সুস্পষ্ট\""
            },
            {
              "number": 3631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3631.mp3"
              ],
              "text": "قُل لَّا تُسْـَٔلُونَ عَمَّآ أَجْرَمْنَا وَلَا نُسْـَٔلُ عَمَّا تَعْمَلُونَ",
              "translate_bn": "বলুন, আমাদের অপরাধের জন্যে তোমরা জিজ্ঞাসিত হবে না এবং তোমরা যা কিছু কর, সে সম্পর্কে আমরা জিজ্ঞাসিত হব না।",
              "numberInSurah": 25,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল লা-তুছআলূনা ‘আম্মাআজরামনা-ওয়ালা-নুছআলু‘আম্মা-তা‘মালূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّا/لَّا/la//تُسْـَٔلُوْنَ/تُسۡـَٔلُونَ/tus'aluna//عَمَّاۤ/عَمَّآ/amma//اَجْرَمْنَا/أَجۡرَمۡنَا/ajramna//وَ لَا/وَلَا/wala//نُسْـَٔلُ/نُسۡـَٔلُ/nus'alu//عَمَّا/عَمَّا/amma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "বলো//\"না//তোমাদের জিজ্ঞাসা করা হবে//ঐ বিষয়ে যা//আমরা অপরাধ করেছি//আর না//আমাদের জিজ্ঞেস করা হবে//ঐ বিষয়ে যা//তোমরা কাজ করছো\""
            },
            {
              "number": 3632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3632.mp3"
              ],
              "text": "قُلْ يَجْمَعُ بَيْنَنَا رَبُّنَا ثُمَّ يَفْتَحُ بَيْنَنَا بِٱلْحَقِّ وَهُوَ ٱلْفَتَّاحُ ٱلْعَلِيمُ",
              "translate_bn": "বলুন, আমাদের পালনকর্তা আমাদেরকে সমবেত করবেন, অতঃপর তিনি আমাদের মধ্যে সঠিকভাবে ফয়সালা করবেন। তিনি ফয়সালাকারী, সর্বজ্ঞ।",
              "numberInSurah": 26,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াজমা‘উ বাইনানা-রাব্বুনা-ছু ম্মা ইয়াফতাহূবাইনানা-বিল হাক্কি ওয়া হুওয়াল ফাত্তা-হুল ‘আলীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//یَجْمَعُ/يَجۡمَعُ/yajma'u//بَیْنَنَا/بَيۡنَنَا/baynana//رَبُّنَا/رَبُّنَا/rabbuna//ثُمَّ/ثُمَّ/thumma//یَفْتَحُ/يَفۡتَحُ/yaftahu//بَیْنَنَا/بَيۡنَنَا/baynana//بِالْحَقِّ ؕ/بِٱلۡحَقِّ/bil-haqi//وَ هُوَ/وَهُوَ/wahuwa//الْفَتَّاحُ/ٱلۡفَتَّاحُ/al-fatahu//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "বলো//\"একত্র করবেন//মাঝে আমাদের//রব আমাদের//এরপর//তিনি মীমাংসা করে দিবেন//মাঝে আমাদের//ভাবে সঠিক//এবং তিনিই//শ্রেষ্ঠ বিচারক//সর্বজ্ঞ\""
            },
            {
              "number": 3633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3633.mp3"
              ],
              "text": "قُلْ أَرُونِىَ ٱلَّذِينَ أَلْحَقْتُم بِهِۦ شُرَكَآءَ ۖ كَلَّا ۚ بَلْ هُوَ ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "বলুন, তোমরা যাদেরকে আল্লাহর সাথে অংশীদাররূপে সংযুক্ত করেছ, তাদেরকে এনে আমাকে দেখাও। বরং তিনিই আল্লাহ, পরাক্রমশীল, প্রজ্ঞাময়।",
              "numberInSurah": 27,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল আরূনিয়াল্লাযীনা আলহাকতুম বিহী শুরাকাআ কাল্লা- বাল হুওয়াল্লা-হুল ‘আঝীঝুল হাকীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرُوْنِیَ/أَرُونِيَ/aruniya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَلْحَقْتُمْ/أَلۡحَقۡتُم/alhaqtum//بِهٖ/بِهِۦ/bihi//شُرَكَآءَ/شُرَكَآءَۖ/shurakaa//كَلَّا ؕ/كَلَّاۚ/kalla//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "বলো//\"তোমরা দেখাও তোমরা//(তাদেরকে) যাদের//সংযুক্ত করেছো তোমরা//সাথে তাঁর//শরিক হিসেবে//কখনও না//বরং//তিনিই//আল্লাহ//মহাপরাক্রমশালী//প্রজ্ঞাময়\""
            },
            {
              "number": 3634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3634.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَٰكَ إِلَّا كَآفَّةًۭ لِّلنَّاسِ بَشِيرًۭا وَنَذِيرًۭا وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "আমি আপনাকে সমগ্র মানবজাতির জন্যে সুসংবাদাতা ও সতর্ককারী রূপে পাঠিয়েছি; কিন্তু অধিকাংশ মানুষ তা জানে না।",
              "numberInSurah": 28,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআরছালনা-কা ইল্লা-কাফফাতাল লিন্না-ছি বাশীরাওঁ ওয়ানাযীরাওঁ ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//اِلَّا/إِلَّا/illa//كَآفَّةً/كَآفَّةٗ/kaffatan//لِّلنَّاسِ/لِّلنَّاسِ/lilnnasi//بَشِیْرًا/بَشِيرٗا/bashiran//وَّ نَذِیْرًا/وَنَذِيرٗا/wanadhiran//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি তোমাকে//এছাড়া//সমগ্র//জন্যে মানবজাতির//সুসংবাদ দাতারূপে//ও সতর্ককারী রূপে//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে"
            },
            {
              "number": 3635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3635.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা বলে, তোমরা যদি সত্যবাদী হও, তবে বল, এ ওয়াদা কখন বাস্তবায়িত হবে?",
              "numberInSurah": 29,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ওয়া‘দুইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন//সেই//প্রতিশ্রুতি(পূর্ণ হবে)//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 3636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3636.mp3"
              ],
              "text": "قُل لَّكُم مِّيعَادُ يَوْمٍۢ لَّا تَسْتَـْٔخِرُونَ عَنْهُ سَاعَةًۭ وَلَا تَسْتَقْدِمُونَ",
              "translate_bn": "বলুন, তোমাদের জন্যে একটি দিনের ওয়াদা রয়েছে যাকে তোমরা এক মহূর্তও বিলম্বিত করতে পারবে না এবং ত্বরান্বিত ও করতে পারবে না।",
              "numberInSurah": 30,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 372,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল্লাকুম মী‘আ-দু ইয়াওমিল লা-তাছতা’খিরূনা ‘আনহু ছা-‘আতাওঁ ওয়ালাতাছতাকদিমূন।",
              "words_arabic": "قُلْ/قُل/qul//لَّكُمْ/لَّكُم/lakum//مِّیْعَادُ/مِّيعَادُ/mi'adu//یَوْمٍ/يَوۡمٖ/yawmin//لَّا/لَّا/la//تَسْتَاْخِرُوْنَ/تَسۡتَـٔۡخِرُونَ/tastakhiruna//عَنْهُ/عَنۡهُ/anhu//سَاعَةً/سَاعَةٗ/sa'atan//وَّ لَا/وَلَا/wala//تَسْتَقْدِمُوْنَ۠/تَسۡتَقۡدِمُونَ/tastaqdimuna",
              "words_bangla": "বলো//\"জন্যে তোমাদের//নির্দিষ্ট সময়//দিনে (যা)//না//তোমরা পিছিয়ে দিতে পারবে//থেকে তা//মুহূর্তকাল//আর না//তোমরা এগিয়ে আনতে পারবে\""
            },
            {
              "number": 3637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3637.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَن نُّؤْمِنَ بِهَٰذَا ٱلْقُرْءَانِ وَلَا بِٱلَّذِى بَيْنَ يَدَيْهِ ۗ وَلَوْ تَرَىٰٓ إِذِ ٱلظَّٰلِمُونَ مَوْقُوفُونَ عِندَ رَبِّهِمْ يَرْجِعُ بَعْضُهُمْ إِلَىٰ بَعْضٍ ٱلْقَوْلَ يَقُولُ ٱلَّذِينَ ٱسْتُضْعِفُوا۟ لِلَّذِينَ ٱسْتَكْبَرُوا۟ لَوْلَآ أَنتُمْ لَكُنَّا مُؤْمِنِينَ",
              "translate_bn": "কাফেররা বলে, আমরা কখনও এ কোরআনে বিশ্বাস করব না এবং এর পূর্ববর্তী কিতাবেও নয়। আপনি যদি পাপিষ্ঠদেরকে দেখতেন, যখন তাদেরকে তাদের পালনকর্তার সামনে দাঁড় করানো হবে, , তখন তারা পরস্পর কথা কাটাকাটি করবে। যাদেরকে দুর্বল মনে করা হত, তারা অহংকারীদেরকে বলবে, তোমরা না থাকলে আমরা অবশ্যই মুমিন হতাম।",
              "numberInSurah": 31,
              "juz": 22,
              "manzil": 5,
              "page": 431,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লাল্লাযীনা কাফারূ লান নু’মিনা বিহা-যাল কুরআ-নি ওয়ালা-বিল্লাযীবাইনা ইয়াদাইহি ওয়ালাও তারাইযিজ্জা-লিমূনা মাওকূফূনা ‘ইনদা রাব্বিহিম ইয়ারজি‘উ বা‘দুহুম ইলা-বা‘দিনিল কাওলা ইয়াকূলুল্লাযীনাছতুদ‘ইফূলিল্লাযীনাছতাকবারূ লাওলাআনতুম লাকুন্না-মু’মিনীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَنْ/لَن/lan//نُّؤْمِنَ/نُّؤۡمِنَ/nu'mina//بِهٰذَا/بِهَٰذَا/bihadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//وَ لَا/وَلَا/wala//بِالَّذِیْ/بِٱلَّذِي/bi-alladhi//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ ؕ/يَدَيۡهِۗ/yadayhi//وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذِ/إِذِ/idhi//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//مَوْقُوْفُوْنَ/مَوۡقُوفُونَ/mawqufuna//عِنْدَ/عِندَ/inda//رَبِّهِمْ ۖۚ/رَبِّهِمۡ/rabbihim//یَرْجِعُ/يَرۡجِعُ/yarji'u//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اِلٰی/إِلَىٰ/ila//بَعْضِ/بَعۡضٍ/ba'din//ِ۟الْقَوْلَ ۚ/ٱلۡقَوۡلَ/al-qawla//یَقُوْلُ/يَقُولُ/yaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتُضْعِفُوْا/ٱسۡتُضۡعِفُواْ/us'tud'ifu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//لَوْ لَاۤ/لَوۡلَآ/lawla//اَنْتُمْ/أَنتُمۡ/antum//لَكُنَّا/لَكُنَّا/lakunna//مُؤْمِنِیْنَ /مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং বলবে//যারা//অস্বীকার করেছে//\"কখনও না//বিশ্বাস করবো আমরা//উপর এই//কুরআনের//আর না//উপর যা//মাঝে\"//হাতের তার\"//এবং যদি//তুমি দেখতে//যখন//সীমালঙ্ঘনকারীদেরকে//দাঁড় করানো হবে//সামনে//রবের তাদের//(ফিরিয়ে) উত্তর দিবে//একে তাদের//প্রতি//অপরের//কথা (অর্থাৎ দোষারোপ করবে)//বলবে//(তারা) যাদের//দুর্বল করে রাখা হয়েছিলো//উদ্দেশ্যে(তাদের) যারা//অহংকারী করেছিলো//\"যদি না//তোমরা (থাকতে)//অবশ্যই আমরা হতাম//মু'মিন\""
            },
            {
              "number": 3638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3638.mp3"
              ],
              "text": "قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ لِلَّذِينَ ٱسْتُضْعِفُوٓا۟ أَنَحْنُ صَدَدْنَٰكُمْ عَنِ ٱلْهُدَىٰ بَعْدَ إِذْ جَآءَكُم ۖ بَلْ كُنتُم مُّجْرِمِينَ",
              "translate_bn": "অহংকারীরা দুর্বলকে বলবে, তোমাদের কাছে হেদায়েত আসার পর আমরা কি তোমাদেরকে বাধা দিয়েছিলাম? বরং তোমরাই তো ছিলে অপরাধী।",
              "numberInSurah": 32,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লাযীনাছতাকবারূলিল্লাযীনাছতুদ‘ইফূ আনাহনুসাদাদ না-কুম ‘আনিল হুদা-বা‘দা ইযজাআকুম বাল কুনতুম মুজরিমীন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتُضْعِفُوْۤا/ٱسۡتُضۡعِفُوٓاْ/us'tud'ifu//اَنَحْنُ/أَنَحۡنُ/anahnu//صَدَدْنٰكُمْ/صَدَدۡنَٰكُمۡ/sadadnakum//عَنِ/عَنِ/ani//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//بَعْدَ/بَعۡدَ/ba'da//اِذْ/إِذۡ/idh//جَآءَكُمْ/جَآءَكُمۖ/jaakum//بَلْ/بَلۡ/bal//كُنْتُمْ/كُنتُم/kuntum//مُّجْرِمِیْنَ /مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "বলবে//(তারা) যারা//অহংকারী করেছিলো//উদ্দেশ্যে (তাদের) যাদের//দুর্বল করে রাখা হয়েছিলো//\"কি আমরা//আমরা বাধা দিয়েছিলাম তোমাদেরকে//হ'তে//সৎপথ//পরে//যখন//এসেছিলো তোমাদের কাছে//বরং//তোমরা ছিলে//অপরাধী\""
            },
            {
              "number": 3639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3639.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ ٱسْتُضْعِفُوا۟ لِلَّذِينَ ٱسْتَكْبَرُوا۟ بَلْ مَكْرُ ٱلَّيْلِ وَٱلنَّهَارِ إِذْ تَأْمُرُونَنَآ أَن نَّكْفُرَ بِٱللَّهِ وَنَجْعَلَ لَهُۥٓ أَندَادًۭا ۚ وَأَسَرُّوا۟ ٱلنَّدَامَةَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ وَجَعَلْنَا ٱلْأَغْلَٰلَ فِىٓ أَعْنَاقِ ٱلَّذِينَ كَفَرُوا۟ ۚ هَلْ يُجْزَوْنَ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "দুর্বলরা অহংকারীদেরকে বলবে, বরং তোমরাই তো দিবারাত্রি চক্রান্ত করে আমাদেরকে নির্দেশ দিতে যেন আমরা আল্লাহকে না মানি এবং তাঁর অংশীদার সাব্যস্ত করি তারা যখন শাস্তি দেখবে, তখন মনের অনুতাপ মনেই রাখবে। বস্তুতঃ আমি কাফেরদের গলায় বেড়ী পরাব। তারা সে প্রতিফলই পেয়ে থাকে যা তারা করত।",
              "numberInSurah": 33,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লাল্লাযীনাছতুদ‘ইফূলিল্লাযীনাছতাকবারূবাল মাকরুল লাইলি ওয়ান্নাহা-রি ইয তা’মুরূনানাআন নাকফুরা বিল্লা-হি ওয়ানাজ‘আলা লাহূআনদা-দাওঁ ওয়া আছাররুন্নাদামাতা লাম্মা-রাআউল ‘আযা-বা ওয়াজা‘আলনাল আগলা-লা ফীআ‘নাকিল্লাযীনা কাফারূ হাল ইউজঝাওনা ইল্লা-মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتُضْعِفُوْا/ٱسۡتُضۡعِفُواْ/us'tud'ifu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//بَلْ/بَلۡ/bal//مَكْرُ/مَكۡرُ/makru//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//اِذْ/إِذۡ/idh//تَاْمُرُوْنَنَاۤ/تَأۡمُرُونَنَآ/tamurunana//اَنْ/أَن/an//نَّكْفُرَ/نَّكۡفُرَ/nakfura//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ نَجْعَلَ/وَنَجۡعَلَ/wanaj'ala//لَهٗۤ/لَهُۥٓ/lahu//اَنْدَادًا ؕ/أَندَادٗاۚ/andadan//وَ اَسَرُّوا/وَأَسَرُّواْ/wa-asarru//النَّدَامَةَ/ٱلنَّدَامَةَ/al-nadamata//لَمَّا/لَمَّا/lamma//رَاَوُا/رَأَوُاْ/ra-awu//الْعَذَابَ ؕ/ٱلۡعَذَابَۚ/al-'adhaba//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//الْاَغْلٰلَ/ٱلۡأَغۡلَٰلَ/al-aghlala//فِیْۤ/فِيٓ/fi//اَعْنَاقِ/أَعۡنَاقِ/a'naqi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۖ/kafaru//هَلْ/هَلۡ/hal//یُجْزَوْنَ/يُجۡزَوۡنَ/yuj'zawna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "এবং বলবে//(তারা) যাদের//দুর্বল করে রাখা হয়েছিলো//উদ্দেশ্যে (তাদের) যারা//অহংকারী করেছিলো//\"বরং//চক্রান্ত (ছিলো)//রাতের//ও দিনের//যখন//তোমরা নির্দেশ দিতে আমাদেরকে//যেন//আমরা অস্বীকার করি//প্রতি আল্লাহর//ও আমরা বানাই (যেন)//জন্যে তাঁর//সমকক্ষ\"//এবং তারা গোপন করবে//অনুতাপ//যখন//তারা দেখবে//শাস্তি//এবং আমরা পরিয়ে দিবো//শিকলসমূহ//মধ্যে//গলাসমূহের//(তাদের) যারা//অবিশ্বাস করেছে//কি//তাদেরকে প্রতিফল দেয়া হবে//এছাড়া//যা//তারা ছিলো//তারা কাজ করতে"
            },
            {
              "number": 3640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3640.mp3"
              ],
              "text": "وَمَآ أَرْسَلْنَا فِى قَرْيَةٍۢ مِّن نَّذِيرٍ إِلَّا قَالَ مُتْرَفُوهَآ إِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَٰفِرُونَ",
              "translate_bn": "কোন জনপদে সতর্ককারী প্রেরণ করা হলেই তার বিত্তশালী অধিবাসীরা বলতে শুরু করেছে, তোমরা যে বিষয়সহ প্রেরিত হয়েছ, আমরা তা মানি না।",
              "numberInSurah": 34,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা আরছালনা-ফী কারইয়াতিম মিন নাযীরিন ইল্লা-কা-লা মুতরাফূহা ইন্না বিমাউরছিলতুম বিহী কা-ফিরূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//فِیْ/فِي/fi//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//مِّنْ/مِّن/min//نَّذِیْرٍ/نَّذِيرٍ/nadhirin//اِلَّا/إِلَّا/illa//قَالَ/قَالَ/qala//مُتْرَفُوْهَاۤ ۙ/مُتۡرَفُوهَآ/mut'rafuha//اِنَّا/إِنَّا/inna//بِمَاۤ/بِمَآ/bima//اُرْسِلْتُمْ/أُرۡسِلۡتُم/ur'sil'tum//بِهٖ/بِهِۦ/bihi//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "এবং না//আমরা পাঠিয়েছি//মধ্যে//কোনো জনবসতির//কোনো//সতর্ককারী//এছাড়া//বলেছিলো//বিত্তশালীরা তার//\"নিশ্চয়ই আমরা//(ঐ বিষয়ে) যা নিয়ে//তোমরা প্রেরিত হয়েছো//সম্পর্কে তা//অস্বীকারকারী\""
            },
            {
              "number": 3641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3641.mp3"
              ],
              "text": "وَقَالُوا۟ نَحْنُ أَكْثَرُ أَمْوَٰلًۭا وَأَوْلَٰدًۭا وَمَا نَحْنُ بِمُعَذَّبِينَ",
              "translate_bn": "তারা আরও বলেছে, আমরা ধনে-জনে সমৃদ্ধ, সুতরাং আমরা শাস্তিপ্রাপ্ত হব না।",
              "numberInSurah": 35,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূনাহনুআকছারু আমওয়া-লাওঁ ওয়াআওলা-দাওঁ ওয়ামা-নাহনু বিমু‘আযযাবীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//نَحْنُ/نَحۡنُ/nahnu//اَكْثَرُ/أَكۡثَرُ/aktharu//اَمْوَالًا/أَمۡوَٰلٗا/amwalan//وَّ اَوْلَادًا ۙ/وَأَوۡلَٰدٗا/wa-awladan//وَّ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمُعَذَّبِیْنَ /بِمُعَذَّبِينَ/bimu'adhabina",
              "words_bangla": "এবং তারা বলতো//\"আমরা//অধিক//সম্পদসমূহে//ও সন্তানাদিতে//এবং না//আমরা//শাস্তিপ্রাপ্ত হবো\""
            },
            {
              "number": 3642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3642.mp3"
              ],
              "text": "قُلْ إِنَّ رَبِّى يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "বলুন, আমার পালনকর্তা যাকে ইচ্ছা রিযিক বাড়িয়ে দেন এবং পরিমিত দেন। কিন্তু অধিকাংশ মানুষ তা বোঝে না।",
              "numberInSurah": 36,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 373,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্না রাববী ইয়াবছুতু ররিঝকালিমাইঁ ইয়াশাউওয়াইয়াকদিরু ওয়া লা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ/وَيَقۡدِرُ/wayaqdiru//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "বলো//\"নিশ্চয়ই//আমার রব//প্রশস্ততা দেন//জীবিকায়//জন্যে যার//তিনি ইচ্ছে করেন//আবার পরিমিতও দেন//কিন্তু//অধিকাংশ//মানুষ//না//তারা জানে\""
            },
            {
              "number": 3643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3643.mp3"
              ],
              "text": "وَمَآ أَمْوَٰلُكُمْ وَلَآ أَوْلَٰدُكُم بِٱلَّتِى تُقَرِّبُكُمْ عِندَنَا زُلْفَىٰٓ إِلَّا مَنْ ءَامَنَ وَعَمِلَ صَٰلِحًۭا فَأُو۟لَٰٓئِكَ لَهُمْ جَزَآءُ ٱلضِّعْفِ بِمَا عَمِلُوا۟ وَهُمْ فِى ٱلْغُرُفَٰتِ ءَامِنُونَ",
              "translate_bn": "তোমাদের ধন-সম্পদ ও সন্তান-সন্ততি তোমাদেরকে আমার নিকটবর্তী করবে না। তবে যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, তারা তাদের কর্মের বহুগুণ প্রতিদান পাবে এবং তারা সুউচ্চ প্রাসাদে নিরাপদে থাকবে।",
              "numberInSurah": 37,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআমওয়া-লুকুম ওয়ালাআওলা-দুকুম বিল্লাতী তুকাররিবুকুম ‘ইনদানা-ঝুলফা ইল্লামান আ-মানা ওয়া ‘আমিলা সা-লিহান ফাউলাইকা লাহুম জাঝাউদ দি‘ফি বিমা‘আমিলূওয়াহুম ফিল গুরূফা-তি আ-মিনূন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَمْوَالُكُمْ/أَمۡوَٰلُكُمۡ/amwalukum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُكُمْ/أَوۡلَٰدُكُم/awladukum//بِالَّتِیْ/بِٱلَّتِي/bi-allati//تُقَرِّبُكُمْ/تُقَرِّبُكُمۡ/tuqarribukum//عِنْدَنَا/عِندَنَا/indana//زُلْفٰۤی/زُلۡفَىٰٓ/zul'fa//اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اٰمَنَ/ءَامَنَ/amana//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا ؗ/صَٰلِحٗا/salihan//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//لَهُمْ/لَهُمۡ/lahum//جَزَآءُ/جَزَآءُ/jazau//الضِّعْفِ/ٱلضِّعۡفِ/al-di'fi//بِمَا/بِمَا/bima//عَمِلُوْا/عَمِلُواْ/amilu//وَ هُمْ/وَهُمۡ/wahum//فِی/فِي/fi//الْغُرُفٰتِ/ٱلۡغُرُفَٰتِ/al-ghurufati//اٰمِنُوْنَ /ءَامِنُونَ/aminuna",
              "words_bangla": "এবং না//সম্পদসমূহ তোমাদের//আর না//সন্তানাদি তোমাদের//ঐসব যা (না)//নিকটবর্তী করবে তোমাদেরকে//কাছে আমাদের//নিকটবর্তী//কিন্তু//যে//ঈমান আনবে//ও কাজ করবে//সৎ//অতঃপর ঐসব লোক//জন্যে তাদের(রয়েছে)//প্রতিফল//বহুগুণ//এ কারণে যা//তারা কাজ করেছে//এবং তারা//মধ্যে//প্রাসাদসমূহের//নিরাপদে থাকবে"
            },
            {
              "number": 3644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3644.mp3"
              ],
              "text": "وَٱلَّذِينَ يَسْعَوْنَ فِىٓ ءَايَٰتِنَا مُعَٰجِزِينَ أُو۟لَٰٓئِكَ فِى ٱلْعَذَابِ مُحْضَرُونَ",
              "translate_bn": "আর যারা আমার আয়াতসমূহকে ব্যর্থ করার অপপ্রয়াসে লিপ্ত হয়, তাদেরকে আযাবে উপস্থিত করা হবে।",
              "numberInSurah": 38,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াছ‘আওনা ফীআ-য়া-তিনা-মু‘আ-জিঝীনা উলাইকা ফিল ‘আযা-বি মুহদারূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَسْعَوْنَ/يَسۡعَوۡنَ/yas'awna//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//مُعٰجِزِیْنَ/مُعَٰجِزِينَ/mu'ajizina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//مُحْضَرُوْنَ /مُحۡضَرُونَ/muh'daruna",
              "words_bangla": "এবং যারা//চেষ্টা করে//ক্ষেত্রে//নিদের্শনাবলীর আমাদের//ব্যর্থকারী হিসেবে//ঐসব (লোককে)//মধ্যে//শাস্তির//উপস্হিত করা হবে"
            },
            {
              "number": 3645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3645.mp3"
              ],
              "text": "قُلْ إِنَّ رَبِّى يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ لَهُۥ ۚ وَمَآ أَنفَقْتُم مِّن شَىْءٍۢ فَهُوَ يُخْلِفُهُۥ ۖ وَهُوَ خَيْرُ ٱلرَّٰزِقِينَ",
              "translate_bn": "বলুন, আমার পালনকর্তা তাঁর বান্দাদের মধ্যে যাকে ইচ্ছা রিযিক বাড়িয়ে দেন এবং সীমিত পরিমাণে দেন। তোমরা যা কিছু ব্যয় কর, তিনি তার বিনিময় দেন। তিনি উত্তম রিযিক দাতা।",
              "numberInSurah": 39,
              "juz": 22,
              "manzil": 5,
              "page": 432,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্না রাববী ইয়াবছুতু র রিঝকালিমাইঁ ইয়াশাউ মিন ‘ইবা-দিহী ওয়া ইয়াকদিরু লাহূ ওয়ামাআনফাকতুম মিন শাইয়িন ফাহুওয়া ইউখলিফুহূ ওয়াহুওয়া খাইরুর রা-ঝিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//وَ یَقْدِرُ/وَيَقۡدِرُ/wayaqdiru//لَهٗ ؕ/لَهُۥۚ/lahu//وَ مَاۤ/وَمَآ/wama//اَنْفَقْتُمْ/أَنفَقۡتُم/anfaqtum//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//فَهُوَ/فَهُوَ/fahuwa//یُخْلِفُهٗ ۚ/يُخۡلِفُهُۥۖ/yukh'lifuhu//وَ هُوَ/وَهُوَ/wahuwa//خَیْرُ/خَيۡرُ/khayru//الرّٰزِقِیْنَ /ٱلرَّـٰزِقِينَ/al-raziqina",
              "words_bangla": "বলো//\"নিশ্চয়ই//আমার রব//প্রশস্ততা দেন//জীবিকায়//জন্যে যার//তিনি ইচ্ছে করেন//মধ্য থেকে//দাসদের তাঁর//আর পরিমিত দেন (যাকে চান)//জন্যে তার//এবং যা//তোমরা ব্যয় করো//থেকে//কোনো কিছু//অতঃপর তিনি//(আরও) তার প্রতিফল দেন//এবং তিনিই//উত্তম//জীবিকাদাতা"
            },
            {
              "number": 3646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3646.mp3"
              ],
              "text": "وَيَوْمَ يَحْشُرُهُمْ جَمِيعًۭا ثُمَّ يَقُولُ لِلْمَلَٰٓئِكَةِ أَهَٰٓؤُلَآءِ إِيَّاكُمْ كَانُوا۟ يَعْبُدُونَ",
              "translate_bn": "যেদিন তিনি তাদের সবাইকে একত্রিত করবেন এবং ফেরেশতাদেরকে বলবেন, এরা কি তোমাদেরই পূজা করত?",
              "numberInSurah": 40,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইয়াহশুরুহুম জামী‘আন ছু ম্মা ইয়াকূ লুলিলমালাইকাতি আহাউলাই ইয়্যাকুম কা-নূইয়া‘বুদূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یَحْشُرُهُمْ/يَحۡشُرُهُمۡ/yahshuruhum//جَمِیْعًا/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//یَقُوْلُ/يَقُولُ/yaqulu//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اَهٰۤؤُلَآءِ/أَهَـٰٓؤُلَآءِ/ahaulai//اِیَّاكُمْ/إِيَّاكُمۡ/iyyakum//كَانُوْا/كَانُواْ/kanu//یَعْبُدُوْنَ /يَعۡبُدُونَ/ya'buduna",
              "words_bangla": "এবং যেদিন//তিনি একত্র করবেন তাদের//সকলকে//এরপর//বলবেন//ফেরেশতাদেরকে//\"কি এরাই//\"তোমাদেরকে//তারা ছিলো//তারা ইবাদাত করতো\""
            },
            {
              "number": 3647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3647.mp3"
              ],
              "text": "قَالُوا۟ سُبْحَٰنَكَ أَنتَ وَلِيُّنَا مِن دُونِهِم ۖ بَلْ كَانُوا۟ يَعْبُدُونَ ٱلْجِنَّ ۖ أَكْثَرُهُم بِهِم مُّؤْمِنُونَ",
              "translate_bn": "ফেরেশতারা বলবে, আপনি পবিত্র, আমরা আপনার পক্ষে, তাদের পক্ষে নই, বরং তারা জিনদের পূজা করত। তাদের অধিকাংশই শয়তানে বিশ্বাসী।",
              "numberInSurah": 41,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "কা-লূছুবহা-নাকা আনতা ওয়ালিইয়ুনা-মিন দূ নিহিম বাল কা-নূইয়া‘বুদূ নাল জিন্না আকছারুহুম বিহিম মু’মিনূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سُبْحٰنَكَ/سُبۡحَٰنَكَ/sub'hanaka//اَنْتَ/أَنتَ/anta//وَلِیُّنَا/وَلِيُّنَا/waliyyuna//مِنْ/مِن/min//دُوْنِهِمْ ۚ/دُونِهِمۖ/dunihim//بَلْ/بَلۡ/bal//كَانُوْا/كَانُواْ/kanu//یَعْبُدُوْنَ/يَعۡبُدُونَ/ya'buduna//الْجِنَّ ۚ/ٱلۡجِنَّۖ/al-jina//اَكْثَرُهُمْ/أَكۡثَرُهُم/aktharuhum//بِهِمْ/بِهِم/bihim//مُّؤْمِنُوْنَ /مُّؤۡمِنُونَ/mu'minuna",
              "words_bangla": "তারা বলবে//\"আপনার সত্ত্বা পবিত্র//আপনিই//আমাদের অভিভাবক//ছাড়া//তারা//বরং//তারা ছিলো//তারা ইবাদাত করতো//জিনদের//অধিকাংশ তাদের//উপর তাদের//বিশ্বাসী (ছিলো)\""
            },
            {
              "number": 3648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3648.mp3"
              ],
              "text": "فَٱلْيَوْمَ لَا يَمْلِكُ بَعْضُكُمْ لِبَعْضٍۢ نَّفْعًۭا وَلَا ضَرًّۭا وَنَقُولُ لِلَّذِينَ ظَلَمُوا۟ ذُوقُوا۟ عَذَابَ ٱلنَّارِ ٱلَّتِى كُنتُم بِهَا تُكَذِّبُونَ",
              "translate_bn": "অতএব আজকের দিনে তোমরা একে অপরের কোন উপকার ও অপকার করার অধিকারী হবে না আর আমি জালেমদেরকে বলব, তোমরা আগুনের যে শাস্তিকে মিথ্যা বলতে তা আস্বাদন কর।",
              "numberInSurah": 42,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াওমা লা-ইয়ামলিকুবা‘দুকুম লিবা‘দিন নাফ‘আওঁ ওয়ালা-দাররাওঁ ওয়ানাকূলু লিল্লাযীনা জালামূযূকূ‘আযা-বান্না-রিল্লাতী কুনতুম বিহা-তুকাযযিবূন।",
              "words_arabic": "فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//لَا/لَا/la//یَمْلِكُ/يَمۡلِكُ/yamliku//بَعْضُكُمْ/بَعۡضُكُمۡ/ba'dukum//لِبَعْضٍ/لِبَعۡضٖ/liba'din//نَّفْعًا/نَّفۡعٗا/naf 'an//وَّ لَا/وَلَا/wala//ضَرًّا ؕ/ضَرّٗا/darran//وَ نَقُوْلُ/وَنَقُولُ/wanaqulu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//ذُوْقُوْا/ذُوقُواْ/dhuqu//عَذَابَ/عَذَابَ/adhaba//النَّارِ/ٱلنَّارِ/al-nari//الَّتِیْ/ٱلَّتِي/allati//كُنْتُمْ/كُنتُم/kuntum//بِهَا/بِهَا/biha//تُكَذِّبُوْنَ /تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "সুতরাং আজ//না//ক্ষমতা হবে//কেউ তোমাদের//জন্যে কারো//উপকার করার//আর না//ক্ষতি করার//এবং আমরা বলবো//উদ্দেশ্যে (তাদের) যারা//সীমালঙ্ঘন করেছিলো//\"তোমরা আস্বাদন করো//শাস্তির//আগুনের//যা//তোমরা ছিলে//সম্পর্কে সে//অস্বীকার করতে\""
            },
            {
              "number": 3649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3649.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا بَيِّنَٰتٍۢ قَالُوا۟ مَا هَٰذَآ إِلَّا رَجُلٌۭ يُرِيدُ أَن يَصُدَّكُمْ عَمَّا كَانَ يَعْبُدُ ءَابَآؤُكُمْ وَقَالُوا۟ مَا هَٰذَآ إِلَّآ إِفْكٌۭ مُّفْتَرًۭى ۚ وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلْحَقِّ لَمَّا جَآءَهُمْ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "যখন তাদের কাছে আমার সুস্পষ্ট আয়াত সমূহ তেলাওয়াত করা হয়, তখন তারা বলে, তোমাদের বাপ-দাদারা যার এবাদত করত এ লোকটি যে তা থেকে তোমাদেরকে বাধা দিতে চায়। তারা আরও বলে, এটা মনগড়া মিথ্যা বৈ নয়। আর কাফেরদের কাছে যখন সত্য আগমন করে, তখন তারা বলে, এতো এক সুস্পষ্ট যাদু।",
              "numberInSurah": 43,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা-‘আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিন কা-লূ মা-হা-যাইল্লা-রাজূলুইঁ ইউরীদুআইঁ ইয়াসুদ্দাকুম ‘আম্মা-কা-না ইয়া‘বুদুআ-বাউকুম ওয়াকা-লূমা-হাযাইল্লাইফকুম মুফতারাওঁ- ওয়া কা-লাল্লাযীনা কাফারূলিল হাক্কিলাম্মাজাআহুম ইন হা-যাইল্লা-ছিহরুম মুবীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//قَالُوْا/قَالُواْ/qalu//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//رَجُلٌ/رَجُلٞ/rajulun//یُّرِیْدُ/يُرِيدُ/yuridu//اَنْ/أَن/an//یَّصُدَّكُمْ/يَصُدَّكُمۡ/yasuddakum//عَمَّا/عَمَّا/amma//كَانَ/كَانَ/kana//یَعْبُدُ/يَعۡبُدُ/ya'budu//اٰبَآؤُكُمْ ۚ/ءَابَآؤُكُمۡ/abaukum//وَ قَالُوْا/وَقَالُواْ/waqalu//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اِفْكٌ/إِفۡكٞ/if'kun//مُّفْتَرًی ؕ/مُّفۡتَرٗىۚ/muf'taran//وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلْحَقِّ/لِلۡحَقِّ/lil'haqqi//لَمَّا/لَمَّا/lamma//جَآءَهُمْ ۙ/جَآءَهُمۡ/jaahum//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং যখন//তিলাওয়াত করা হয়//কাছে তাদের//আয়াতগুলো আমাদের//সুস্পষ্ট//তারা বলে//\"নয়//এই সে//ছাড়া//একজন মানুষ//সে চায়//যে//বাধা দিবে তোমাদিগকে//(ঐগুলো) হ'তে যার//সে ছিলো//ইবাদাত করে এসেছে//পিতৃপুরুষরা তোমাদের\"//এবং তারা বলে//\"নয়//এই (কুরআন)//এ ছাড়া//মিথ্যা রচনা//মনগড়া\"//এবং বলে//যারা//অস্বীকার করেছে//প্রতি সত্যের//যখন//এসেছে তাদের (কাছে)//\"নয়//এটা//ছাড়া//জাদু//সুস্পষ্ট\""
            },
            {
              "number": 3650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3650.mp3"
              ],
              "text": "وَمَآ ءَاتَيْنَٰهُم مِّن كُتُبٍۢ يَدْرُسُونَهَا ۖ وَمَآ أَرْسَلْنَآ إِلَيْهِمْ قَبْلَكَ مِن نَّذِيرٍۢ",
              "translate_bn": "আমি তাদেরকে কোন কিতাব দেইনি, যা তারা অধ্যয়ন করবে এবং আপনার পূর্বে তাদের কাছে কোন সতর্ককারী প্রেরণ করিনি।",
              "numberInSurah": 44,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআ-তাইনা-হুম মিন কুতুবিইঁ ইয়াদরুছূনাহা-ওয়ামাআরছালনাইলাইহিম কাবলাকা মিন নাযীর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اٰتَیْنٰهُمْ/ءَاتَيۡنَٰهُم/ataynahum//مِّنْ/مِّن/min//كُتُبٍ/كُتُبٖ/kutubin//یَّدْرُسُوْنَهَا/يَدۡرُسُونَهَاۖ/yadrusunaha//وَ مَاۤ/وَمَآ/wama//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//قَبْلَكَ/قَبۡلَكَ/qablaka//مِنْ/مِن/min//نَّذِیْرٍؕ/نَّذِيرٖ/nadhirin",
              "words_bangla": "অথচ না//আমরা দিয়েছি তাদেরকে//(কোন কিতাব) মধ্য হ'তে//কিতাবসমূহের//তারা অধ্যয়ন করতো যা//আর না//পাঠিয়েছি অামরা//কাছে তোমার//পূর্বে তোমার//কোনো//সতর্ককারী"
            },
            {
              "number": 3651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3651.mp3"
              ],
              "text": "وَكَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ وَمَا بَلَغُوا۟ مِعْشَارَ مَآ ءَاتَيْنَٰهُمْ فَكَذَّبُوا۟ رُسُلِى ۖ فَكَيْفَ كَانَ نَكِيرِ",
              "translate_bn": "তাদের পূর্ববর্তীরাও মিথ্যা আরোপ করেছে। আমি তাদেরকে যা দিয়েছিলাম, এরা তার এক দশমাংশও পায়নি। এরপরও তারা আমার রাসূলগনকে মিথ্যা বলেছে। অতএব কেমন হয়েছে আমার শাস্তি।",
              "numberInSurah": 45,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 374,
              "hizbQuarter": 173,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযযাবাল্লাযীনা মিন কাবলিহিম ওয়ামা-বালাগূমি‘শা-রা মাআ-তাইনা-হুম ফাকাযযাবূরুছুলী ফাকাইফা কা-না নাকীর।",
              "words_arabic": "وَ كَذَّبَ/وَكَذَّبَ/wakadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ۙ/قَبۡلِهِمۡ/qablihim//وَ مَا/وَمَا/wama//بَلَغُوْا/بَلَغُواْ/balaghu//مِعْشَارَ/مِعۡشَارَ/mi'shara//مَاۤ/مَآ/ma//اٰتَیْنٰهُمْ/ءَاتَيۡنَٰهُمۡ/ataynahum//فَكَذَّبُوْا/فَكَذَّبُواْ/fakadhabu//رُسُلِیْ ۫/رُسُلِيۖ/rusuli//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//نَكِیْرِ۠/نَكِيرِ/nakiri",
              "words_bangla": "এবং মিথ্যারোপ করেছিলো//(তারাও) যারা//থেকে//পূর্ব (ছিলো)তাদের//এবং নি//(এদের কাছে) পৌঁছেছে//দশ ভাগের এক ভাগও//যা//আমরা (ওদেরকে) দিয়েছিলাম//কিন্তু মিথ্যারোপ করেছিলো ওরা//রাসূলদেরকে আমার//(দেখো) তখন কেমন//ছিলো//আমার শাস্তি"
            },
            {
              "number": 3652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3652.mp3"
              ],
              "text": "۞ قُلْ إِنَّمَآ أَعِظُكُم بِوَٰحِدَةٍ ۖ أَن تَقُومُوا۟ لِلَّهِ مَثْنَىٰ وَفُرَٰدَىٰ ثُمَّ تَتَفَكَّرُوا۟ ۚ مَا بِصَاحِبِكُم مِّن جِنَّةٍ ۚ إِنْ هُوَ إِلَّا نَذِيرٌۭ لَّكُم بَيْنَ يَدَىْ عَذَابٍۢ شَدِيدٍۢ",
              "translate_bn": "বলুন, আমি তোমাদেরকে একটি বিষয়ে উপদেশ দিচ্ছিঃ তোমরা আল্লাহর নামে এক একজন করে ও দু, দু জন করে দাঁড়াও, অতঃপর চিন্তা-ভাবনা কর-তোমাদের সঙ্গীর মধ্যে কোন উম্মাদনা নেই। তিনি তো আসন্ন কাঠোর শাস্তি সম্পর্কে তোমাদেরকে সতর্ক করেন মাত্র।",
              "numberInSurah": 46,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাআ‘ইজুকুম বিওয়া-হিদাতিন আন তাকূমূলিল্লা-হি মাছনা-ওয়া ফুরা-দা-ছু ম্মা তাতাফাক্কারূ মা-বিসা-হিবিকুম মিন জিন্নাতিন ইন হুওয়া ইল্লা-নাযীরুল লাকুম বাইনা ইয়াদাই ‘আযা-বিন শাদীদ।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَعِظُكُمْ/أَعِظُكُم/a'izukum//بِوَاحِدَةٍ ۚ/بِوَٰحِدَةٍۖ/biwahidatin//اَنْ/أَن/an//تَقُوْمُوْا/تَقُومُواْ/taqumu//لِلّٰهِ/لِلَّهِ/lillahi//مَثْنٰی/مَثۡنَىٰ/mathna//وَ فُرَادٰی/وَفُرَٰدَىٰ/wafurada//ثُمَّ/ثُمَّ/thumma//تَتَفَكَّرُوْا ۫/تَتَفَكَّرُواْۚ/tatafakkaru//مَا/مَا/ma//بِصَاحِبِكُمْ/بِصَاحِبِكُم/bisahibikum//مِّنْ/مِّن/min//جِنَّةٍ ؕ/جِنَّةٍۚ/jinnatin//اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//نَذِیْرٌ/نَذِيرٞ/nadhirun//لَّكُمْ/لَّكُم/lakum//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//عَذَابٍ/عَذَابٖ/adhabin//شَدِیْدٍ /شَدِيدٖ/shadidin",
              "words_bangla": "বলো//\"কেবল//আমি উপদেশ দিচ্ছি তোমাদেরকে//সম্পর্কে একটি (বিষয়)//যে//তোমরা দাঁড়াও//উদ্দেশ্যে আল্লাহ তা'লার//দুই দুই জন//অথবা এক এক জন//এরপর//তোমরা চিন্তা করে দেখো\"//নেই//মধ্যে সাথীর তোমাদের//কোনো//পাগলামীর (লেশমাত্রও)//নয়//সে//এ ছাড়া//একজন সতর্ককারী//জন্যে তোমাদের//মাঝে//হাতের//শাস্তি//কঠোর\""
            },
            {
              "number": 3653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3653.mp3"
              ],
              "text": "قُلْ مَا سَأَلْتُكُم مِّنْ أَجْرٍۢ فَهُوَ لَكُمْ ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌۭ",
              "translate_bn": "বলুন, আমি তোমাদের কাছে কোন পারিশ্রমিক চাই না বরং তা তোমরাই রাখ। আমার পুরস্কার তো আল্লাহর কাছে রয়েছে। প্রত্যেক বস্তুই তাঁর সামনে।",
              "numberInSurah": 47,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "কুল মা-ছাআলতুকুম মিন আজরিন ফাহুওয়া লাকুম ইন আজরিয়া ইল্লা-‘আলাল্লা-হি ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَا/مَا/ma//سَاَلْتُكُمْ/سَأَلۡتُكُم/sa-altukum//مِّنْ/مِّنۡ/min//اَجْرٍ/أَجۡرٖ/ajrin//فَهُوَ/فَهُوَ/fahuwa//لَكُمْ ؕ/لَكُمۡۖ/lakum//اِنْ/إِنۡ/in//اَجْرِیَ/أَجۡرِيَ/ajriya//اِلَّا/إِلَّا/illa//عَلَی/عَلَى/ala//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌ /شَهِيدٞ/shahidun",
              "words_bangla": "বলো//\"(যা) কিছু//আমি চেয়ে থাকি কাছে তোমাদের//(অর্থাৎ) কোনো//পারিশ্রমিক//অতঃপর তা//জন্যে তোমাদের//(মূলতঃ) নেই//পুরস্কার আমার//এ ছাড়া//কাছে//আল্লাহরই//এবং তিনি//উপর//সব//কিছুর//প্রত্যক্ষ সাক্ষী\""
            },
            {
              "number": 3654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3654.mp3"
              ],
              "text": "قُلْ إِنَّ رَبِّى يَقْذِفُ بِٱلْحَقِّ عَلَّٰمُ ٱلْغُيُوبِ",
              "translate_bn": "বলুন, আমার পালনকর্তা সত্য দ্বীন অবতরণ করেছেন। তিনি আলেমুল গায়ব।",
              "numberInSurah": 48,
              "juz": 22,
              "manzil": 5,
              "page": 433,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্না রাববী ইয়াকযিফুবিলহাক্কি‘আল্লা-মুল গুয়ুব।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//رَبِّیْ/رَبِّي/rabbi//یَقْذِفُ/يَقۡذِفُ/yaqdhifu//بِالْحَقِّ ۚ/بِٱلۡحَقِّ/bil-haqi//عَلَّامُ/عَلَّـٰمُ/allamu//الْغُیُوْبِ /ٱلۡغُيُوبِ/al-ghuyubi",
              "words_bangla": "বলো//\"নিশ্চয়ই//আমার রব//নিক্ষেপ করেন (মিথ্যার উপর)//দিয়ে সত্যকে (সত্যকে উদ্ভাসিত করতে)//(তিনি) খুব অবহিত//অদৃশ্যসমূহের (বিষয়ে)\""
            },
            {
              "number": 3655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3655.mp3"
              ],
              "text": "قُلْ جَآءَ ٱلْحَقُّ وَمَا يُبْدِئُ ٱلْبَٰطِلُ وَمَا يُعِيدُ",
              "translate_bn": "বলুন, সত্য আগমন করেছে এবং অসত্য না পারে নতুন কিছু সৃজন করতে এবং না পারে পূনঃ প্রত্যাবর্তিত হতে।",
              "numberInSurah": 49,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "কুল জাআল হাক্কুওয়ামা-ইউবদিউল বা-তিলুওয়ামা-ইউ‘ঈদ।",
              "words_arabic": "قُلْ/قُلۡ/qul//جَآءَ/جَآءَ/jaa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ مَا/وَمَا/wama//یُبْدِئُ/يُبۡدِئُ/yub'di-u//الْبَاطِلُ/ٱلۡبَٰطِلُ/al-batilu//وَ مَا/وَمَا/wama//یُعِیْدُ /يُعِيدُ/yu'idu",
              "words_bangla": "বলো//\"এসেছে//সত্য//এবং না//নতুন সৃষ্টি করতে পারে//অসত্য//আর না//পুনরাবৃত্তি করতে (অর্থাৎ কিছুই পারে না)\""
            },
            {
              "number": 3656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3656.mp3"
              ],
              "text": "قُلْ إِن ضَلَلْتُ فَإِنَّمَآ أَضِلُّ عَلَىٰ نَفْسِى ۖ وَإِنِ ٱهْتَدَيْتُ فَبِمَا يُوحِىٓ إِلَىَّ رَبِّىٓ ۚ إِنَّهُۥ سَمِيعٌۭ قَرِيبٌۭ",
              "translate_bn": "বলুন, আমি পথভ্রষ্ট হলে নিজের ক্ষতির জন্যেই পথভ্রষ্ট হব; আর যদি আমি সৎপথ প্রাপ্ত হই, তবে তা এ জন্যে যে, আমার পালনকর্তা আমার প্রতি ওহী প্রেরণ করেন। নিশ্চয় তিনি সর্বশ্রোতা, নিকটবর্তী।",
              "numberInSurah": 50,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "কুল ইন দালালতুফাইন্নামাআদিল্লু‘আলা-নাফছী ওয়াইনিহতাদাইতুফাবিমা-ইউহী ইলাইয়া রাববী ইন্নাহূছামী‘উন কারীব।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//ضَلَلْتُ/ضَلَلۡتُ/dalaltu//فَاِنَّمَاۤ/فَإِنَّمَآ/fa-innama//اَضِلُّ/أَضِلُّ/adillu//عَلٰی/عَلَىٰ/ala//نَفْسِیْ ۚ/نَفۡسِيۖ/nafsi//وَ اِنِ/وَإِنِ/wa-ini//اهْتَدَیْتُ/ٱهۡتَدَيۡتُ/ih'tadaytu//فَبِمَا/فَبِمَا/fabima//یُوْحِیْۤ/يُوحِيٓ/yuhi//اِلَیَّ/إِلَيَّ/ilayya//رَبِّیْ ؕ/رَبِّيٓۚ/rabbi//اِنَّهٗ/إِنَّهُۥ/innahu//سَمِیْعٌ/سَمِيعٞ/sami'un//قَرِیْبٌ /قَرِيبٞ/qaribun",
              "words_bangla": "বলো//\"যদি//আমি পথভ্রষ্ট হয়ে থাকি//তবে মূলতঃ//আমি পথভ্রষ্ট হবো//জন্যে//আমার নিজের//আর যদি//আমি সঠিক পথ পেয়ে থাকি//তবে এ কারণে যা//ওহী করেন//আমার প্রতি//আমার রব//নিশ্চয়ই তিনি//খুব শুনেন//নিকট (আছেন)\""
            },
            {
              "number": 3657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3657.mp3"
              ],
              "text": "وَلَوْ تَرَىٰٓ إِذْ فَزِعُوا۟ فَلَا فَوْتَ وَأُخِذُوا۟ مِن مَّكَانٍۢ قَرِيبٍۢ",
              "translate_bn": "যদি আপনি দেখতেন, যখন তারা ভীতসস্ত্রস্ত হয়ে পড়বে, অতঃপর পালিয়েও বাঁচতে পারবে না এবং নিকটবর্তী স্থান থেকে ধরা পড়বে।",
              "numberInSurah": 51,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও তারাইয ফাঝি‘ঊ ফালা -ফাওতা ওয়া উখিযূমিম মাকা-নিন কারীব।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَرٰۤی/تَرَىٰٓ/tara//اِذْ/إِذۡ/idh//فَزِعُوْا/فَزِعُواْ/fazi'u//فَلَا/فَلَا/fala//فَوْتَ/فَوۡتَ/fawta//وَ اُخِذُوْا/وَأُخِذُواْ/wa-ukhidhu//مِنْ/مِن/min//مَّكَانٍ/مَّكَانٖ/makanin//قَرِیْبٍۙ/قَرِيبٖ/qaribin",
              "words_bangla": "এবং যদি//তুমি দেখতে//যখন//তারা ভয়ে বিহ্বল হবে//কিন্তু না//পালাতে পারবে//এবং তারা ধরা পড়বে//থেকে//স্হান//নিকটবর্তী"
            },
            {
              "number": 3658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3658.mp3"
              ],
              "text": "وَقَالُوٓا۟ ءَامَنَّا بِهِۦ وَأَنَّىٰ لَهُمُ ٱلتَّنَاوُشُ مِن مَّكَانٍۭ بَعِيدٍۢ",
              "translate_bn": "তারা বলবে, আমরা সত্যে বিশ্বাস স্থাপন করলাম। কিন্তু তারা এতদূর থেকে তার নাগাল পাবে কেমন করে?",
              "numberInSurah": 52,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূআ-মান্না-বিহী ওয়া আন্না-লাহুমুততানা-উশু মিম মাকা-নিম বা‘ঈদ।",
              "words_arabic": "وَّ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اٰمَنَّا/ءَامَنَّا/amanna//بِهٖ ۚ/بِهِۦ/bihi//وَ اَنّٰی/وَأَنَّىٰ/wa-anna//لَهُمُ/لَهُمُ/lahumu//التَّنَاوُشُ/ٱلتَّنَاوُشُ/al-tanawushu//مِنْ/مِن/min//مَّكَانٍۭ/مَّكَانِۭ/makanin//بَعِیْدٍۚۖ/بَعِيدٖ/ba'idin",
              "words_bangla": "এবং তারা বলবে//\"আমরা ঈমান এনেছি//প্রতি তাঁর\"//কিন্তু কোথায়//জন্যে তাদের (সম্ভব হবে)//(ঈমানের) নাগাল পাওয়া//থেকে//স্হান//দূরবর্তী"
            },
            {
              "number": 3659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3659.mp3"
              ],
              "text": "وَقَدْ كَفَرُوا۟ بِهِۦ مِن قَبْلُ ۖ وَيَقْذِفُونَ بِٱلْغَيْبِ مِن مَّكَانٍۭ بَعِيدٍۢ",
              "translate_bn": "অথচ তারা পূর্ব থেকে সত্যকে অস্বীকার করছিল। আর তারা সত্য হতে দূরে থেকে অজ্ঞাত বিষয়ের উপর মন্তব্য করত।",
              "numberInSurah": 53,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ কাফারূবিহী মিন কাবলু ওয়া ইয়াকযিফূনা বিলগাইবি মিম মাকা-নিম বা‘ঈদ।",
              "words_arabic": "وَّ قَدْ/وَقَدۡ/waqad//كَفَرُوْا/كَفَرُواْ/kafaru//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۖ/qablu//وَ یَقْذِفُوْنَ/وَيَقۡذِفُونَ/wayaqdhifuna//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//مِنْ/مِن/min//مَّكَانٍۭ/مَّكَانِۭ/makanin//بَعِیْدٍ /بَعِيدٖ/ba'idin",
              "words_bangla": "অথচ নিশ্চয়ই//অস্বীকার করেছিলো//প্রতি তার//থেকে//পূর্ব//এবং তারা (আনুমানিক কথা)ছুঁড়ে মারতো//বিষয়ে অদৃশ্য//থেকে//স্হান//দূরবর্তী"
            },
            {
              "number": 3660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3660.mp3"
              ],
              "text": "وَحِيلَ بَيْنَهُمْ وَبَيْنَ مَا يَشْتَهُونَ كَمَا فُعِلَ بِأَشْيَاعِهِم مِّن قَبْلُ ۚ إِنَّهُمْ كَانُوا۟ فِى شَكٍّۢ مُّرِيبٍۭ",
              "translate_bn": "তাদের ও তাদের বাসনার মধ্যে অন্তরাল হয়ে গেছে, যেমন-তাদের সতীর্থদের সাথেও এরূপ করা হয়েছে, যারা তাদের পূর্বে ছিল। তারা ছিল বিভ্রান্তিকর সন্দেহে পতিত।",
              "numberInSurah": 54,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 375,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়া হীলা বাইনাহুম ওয়া বাইনা মা-ইয়াশতাহূনা কামা-ফু‘ইলা বিআশইয়া-‘ইহিম মিন কাবলু ইন্নাহুম কা-নূফী শাক্কিম মুরীব।",
              "words_arabic": "وَ حِیْلَ/وَحِيلَ/wahila//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//وَ بَیْنَ/وَبَيۡنَ/wabayna//مَا/مَا/ma//یَشْتَهُوْنَ/يَشۡتَهُونَ/yashtahuna//كَمَا/كَمَا/kama//فُعِلَ/فُعِلَ/fu'ila//بِاَشْیَاعِهِمْ/بِأَشۡيَاعِهِم/bi-ashya'ihim//مِّنْ/مِّن/min//قَبْلُ ؕ/قَبۡلُۚ/qablu//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مُّرِیْبٍ۠/مُّرِيبِۭ/muribin",
              "words_bangla": "এবং অন্তরাল করা হবে//মাঝে তাদের//ও মাঝে (ঐসব জিনিসের)//যা//তারা বাসনা করবে (অর্থাৎ তা হ'তে বঞ্চিত করা হবে)//যেমন//করা হয়েছিলো//সাথে তাদের (একমনা) দলগুলোর (ক্ষেত্রে)//থেকে//পূর্ব//নিশ্চয়ই তারা//তারা ছিলো//মধ্যে//সন্দেহের//বিভ্রান্তিকর"
            }
          ]
        },
        {
          "number": 35,
          "name": "سُورَةُ فَاطِرٍ",
          "englishName": "Faatir",
          "englishNameTranslation": "The Originator",
          "revelationType": "Meccan",
          "verse": 45,
          "words": 1519,
          "chars": 6492,
          "ayahs": [
            {
              "number": 3661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3661.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْحَمْدُ لِلَّهِ فَاطِرِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ جَاعِلِ ٱلْمَلَٰٓئِكَةِ رُسُلًا أُو۟لِىٓ أَجْنِحَةٍۢ مَّثْنَىٰ وَثُلَٰثَ وَرُبَٰعَ ۚ يَزِيدُ فِى ٱلْخَلْقِ مَا يَشَآءُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "সমস্ত প্রশংসা আল্লাহর, যিনি আসমান ও যমীনের স্রষ্টা এবং ফেরেশতাগণকে করেছেন বার্তাবাহক-তারা দুই দুই, তিন তিন ও চার চার পাখাবিশিষ্ট। তিনি সৃষ্টি মধ্যে যা ইচ্ছা যোগ করেন। নিশ্চয় আল্লাহ সর্ববিষয়ে সক্ষম।",
              "numberInSurah": 1,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "আল হামদুলিল্লা-হি ফা-তিরিছছামা-ওয়া-তি ওয়াল আরদিজা‘ইলিল মালাইকাতি রুছুলান ঊলীআজনিহাতিম্মাছনা-ওয়া ছুলা-ছা ওয়া রুবা-‘আ ইয়াঝীদুফিল খালকিমা-ইয়াশাউ ইন্নাল্লা-হা আ‘লা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//فَاطِرِ/فَاطِرِ/fatiri//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//جَاعِلِ/جَاعِلِ/ja'ili//الْمَلٰٓىِٕكَةِ/ٱلۡمَلَـٰٓئِكَةِ/al-malaikati//رُسُلًا/رُسُلًا/rusulan//اُولِیْۤ/أُوْلِيٓ/uli//اَجْنِحَةٍ/أَجۡنِحَةٖ/ajnihatin//مَّثْنٰی/مَّثۡنَىٰ/mathna//وَ ثُلٰثَ/وَثُلَٰثَ/wathulatha//وَ رُبٰعَ ؕ/وَرُبَٰعَۚ/waruba'a//یَزِیْدُ/يَزِيدُ/yazidu//فِی/فِي/fi//الْخَلْقِ/ٱلۡخَلۡقِ/al-khalqi//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "সকল প্রশংসা//আল্লাহরই জন্যে//(যিনি) স্রষ্টা//আকাশের//ও পৃথিবীর//(তিনিই) নিয়োগকারী//ফেরেশতাদেরকে//বাণীবাহক রূপে//বিশিষ্ট//(বহু) ডানা//দু'টি//ও তিনটি//ও চারটি (করে)//বৃদ্ধি করেন//মধ্যে//সৃষ্টি (কাঠামোর)//যেমন//ইচ্ছে করেন তিনি//নিশ্চয়//আল্লাহ//উপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 3662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3662.mp3"
              ],
              "text": "مَّا يَفْتَحِ ٱللَّهُ لِلنَّاسِ مِن رَّحْمَةٍۢ فَلَا مُمْسِكَ لَهَا ۖ وَمَا يُمْسِكْ فَلَا مُرْسِلَ لَهُۥ مِنۢ بَعْدِهِۦ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "আল্লাহ মানুষের জন্য অনুগ্রহের মধ্য থেকে যা খুলে দেন, তা ফেরাবার কেউ নেই এবং তিনি যা বারণ করেন, তা কেউ প্রেরণ করতে পারে না তিনি ব্যতিত। তিনি পরাক্রমশালী প্রজ্ঞাময়।",
              "numberInSurah": 2,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "মা ইয়াফতাহিল্লা-হু লিন্না-ছি মির রাহমাতিন ফালা-মুম ছিকা লাহা- ওয়া মা-ইউমছিক ফালা-মুরছিলা লাহূমিম বা‘দিহী ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "مَا/مَّا/ma//یَفْتَحِ/يَفۡتَحِ/yaftahi//اللّٰهُ/ٱللَّهُ/al-lahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//مِنْ/مِن/min//رَّحْمَةٍ/رَّحۡمَةٖ/rahmatin//فَلَا/فَلَا/fala//مُمْسِكَ/مُمۡسِكَ/mum'sika//لَهَا ۚ/لَهَاۖ/laha//وَ مَا/وَمَا/wama//یُمْسِكْ ۙ/يُمۡسِكۡ/yum'sik//فَلَا/فَلَا/fala//مُرْسِلَ/مُرۡسِلَ/mur'sila//لَهٗ/لَهُۥ/lahu//مِنْۢ/مِنۢ/min//بَعْدِهٖ ؕ/بَعۡدِهِۦۚ/ba'dihi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "যা কিছু//খুলে দেন//আল্লাহ//মানুষের জন্যে//হ'তে//(তাঁর) অনুগ্রহ//সে ক্ষেত্রে নেই//কোনো প্রতিরোধকারী//তার//এবং যা কিছু//তিনি বন্ধ করেন//তখনও নেই//কোনো উন্মুক্তকারী (প্রেরণকারী)//তার//মধ্য হতে//তাঁর পরে//এবং তিনিই//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 3663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3663.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ ٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ ۚ هَلْ مِنْ خَٰلِقٍ غَيْرُ ٱللَّهِ يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۚ لَآ إِلَٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُؤْفَكُونَ",
              "translate_bn": "হে মানুষ, তোমাদের প্রতি আল্লাহর অনুগ্রহ স্মরণ কর। আল্লাহ ব্যতীত এমন কোন স্রষ্টা আছে কি, যে তোমাদেরকে আসমান ও যমীন থেকে রিযিক দান করে? তিনি ব্যতীত কোন উপাস্য নেই। অতএব তোমরা কোথায় ফিরে যাচ্ছ?",
              "numberInSurah": 3,
              "juz": 22,
              "manzil": 5,
              "page": 434,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুযকুরূনি‘মাতাল্লা-হি ‘আলাইকুম হাল মিন খা-লিকিন গাইরুল্লা-হি ইয়ারঝুকুকুম মিনাছ ছামাই ওয়াল আরদি লাইলা-হা ইল্লা-হুওয়া ফাআন্নাতু’ফাকূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اذْكُرُوْا/ٱذۡكُرُواْ/udh'kuru//نِعْمَتَ/نِعۡمَتَ/ni'mata//اللّٰهِ/ٱللَّهِ/al-lahi//عَلَیْكُمْ ؕ/عَلَيۡكُمۡۚ/alaykum//هَلْ/هَلۡ/hal//مِنْ/مِنۡ/min//خَالِقٍ/خَٰلِقٍ/khaliqin//غَیْرُ/غَيۡرُ/ghayru//اللّٰهِ/ٱللَّهِ/al-lahi//یَرْزُقُكُمْ/يَرۡزُقُكُم/yarzuqukum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۖؗ/هُوَۖ/huwa//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُؤْفَكُوْنَ /تُؤۡفَكُونَ/tu'fakuna",
              "words_bangla": "হে//মানব সম্প্রদায়//তোমরা স্মরণ করো//অনুগ্রহের (কথা)//আল্লাহর//তোমাদের উপর//(আছে) কি//কোন//সৃষ্টিকর্তা//ব্যতীত//আল্লাহ//তোমাদের জীবিকা দেয় (যে)//হ'তে//আকাশ//ও পৃথিবী (হ'তে)//নেই//কোন ইলাহ//ছাড়া//তিনি//তা হ'লে কেমন করে//তোমাদের ফিরানো হচ্ছে"
            },
            {
              "number": 3664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3664.mp3"
              ],
              "text": "وَإِن يُكَذِّبُوكَ فَقَدْ كُذِّبَتْ رُسُلٌۭ مِّن قَبْلِكَ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "তারা যদি আপনাকে মিথ্যাবাদী বলে, তবে আপনার পূর্ববর্তী পয়গম্বরগণকেও তো মিথ্যাবাদী বলা হয়েছিল। আল্লাহর প্রতিই যাবতীয় বিষয় প্রত্যাবর্তিত হয়।",
              "numberInSurah": 4,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইউকাযযিবূকা ফাকাদ কুযযিবাত রুছুলুম মিন কাবলিকা ওয়া ইলাল্লা-হি তুর জা‘উল উমূর।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یُّكَذِّبُوْكَ/يُكَذِّبُوكَ/yukadhibuka//فَقَدْ/فَقَدۡ/faqad//كُذِّبَتْ/كُذِّبَتۡ/kudhibat//رُسُلٌ/رُسُلٞ/rusulun//مِّنْ/مِّن/min//قَبْلِكَ ؕ/قَبۡلِكَۚ/qablika//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ /ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "এবং (হে নাবী) যদি//তোমাকে তারা মিথ্যারোপ করে//নিশ্চয়ই তবে//মিথ্যারোপ করা হয়েছে//রাসূলদেরকে//থেকে//তোমার পূর্বেও//এবং দিকে//আল্লাহরই//ফিরিয়ে আনা হয়//(সব) বিষয়"
            },
            {
              "number": 3665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3665.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ ۖ فَلَا تَغُرَّنَّكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۖ وَلَا يَغُرَّنَّكُم بِٱللَّهِ ٱلْغَرُورُ",
              "translate_bn": "হে মানুষ, নিশ্চয় আল্লাহর ওয়াদা সত্য। সুতরাং, পার্থিব জীবন যেন তোমাদেরকে প্রতারণা না করে। এবং সেই প্রবঞ্চক যেন কিছুতেই তোমাদেরকে আল্লাহ সম্পর্কে প্রবঞ্চিত না করে।",
              "numberInSurah": 5,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুইন্না ওয়া‘দাল্লা-হি হাক্কুন ফালা-তাগুররান্নাকুমুল হায়াতুদ্দনইয়া- ওয়ালা-ইয়াগুররান্নাকুম বিল্লা-হিল গারূর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞۖ/haqqun//فَلَا/فَلَا/fala//تَغُرَّنَّكُمُ/تَغُرَّنَّكُمُ/taghurrannakumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا ۥ/ٱلدُّنۡيَا/al-dun'ya//وَ لَا/وَلَا/wala//یَغُرَّنَّكُمْ/يَغُرَّنَّكُم/yaghurrannakum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الْغَرُوْرُ /ٱلۡغَرُورُ/al-gharuru",
              "words_bangla": "হে//মানব সম্প্রদায়//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//সুতরাং না//তোমাদেরকে ধোঁকা দেয় (যেন)//জীবন//পার্থিব//এবং না//তোমাদের ধোঁকা দেয় (যেন)//আল্লাহর ব্যাপারে//কোনো বড় ধোঁকাবাজ (অর্থাৎ শয়তান)"
            },
            {
              "number": 3666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3666.mp3"
              ],
              "text": "إِنَّ ٱلشَّيْطَٰنَ لَكُمْ عَدُوٌّۭ فَٱتَّخِذُوهُ عَدُوًّا ۚ إِنَّمَا يَدْعُوا۟ حِزْبَهُۥ لِيَكُونُوا۟ مِنْ أَصْحَٰبِ ٱلسَّعِيرِ",
              "translate_bn": "শয়তান তোমাদের শত্রু; অতএব তাকে শত্রু রূপেই গ্রহণ কর। সে তার দলবলকে আহবান করে যেন তারা জাহান্নামী হয়।",
              "numberInSurah": 6,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ইন্নাশশাইতা-না লাকুম ‘আদুওউন ফাত্তাখিযূহু আ‘দুওওয়ান ইন্নামা-ইয়াদ‘ঊ হিঝবাহূ লিইয়াকূনূমিন আসহা-বিছছা‘ঈর।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الشَّیْطٰنَ/ٱلشَّيۡطَٰنَ/al-shaytana//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//فَاتَّخِذُوْهُ/فَٱتَّخِذُوهُ/fa-ittakhidhuhu//عَدُوًّا ؕ/عَدُوًّاۚ/aduwwan//اِنَّمَا/إِنَّمَا/innama//یَدْعُوْا/يَدۡعُواْ/yad'u//حِزْبَهٗ/حِزۡبَهُۥ/hiz'bahu//لِیَكُوْنُوْا/لِيَكُونُواْ/liyakunu//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//السَّعِیْرِؕ/ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "নিশ্চয়ই//শয়তান//তোমাদের জন্যে//শত্রু//সুতরাং তোমরা তাকে  গ্রহণ করো//শত্রু হিসেবে//মূলতঃ//সে ডাকে//তার দলবলকে//তারা হয় যেন//অন্তর্ভুক্ত//অধিবাসীদের//জাহান্নামের"
            },
            {
              "number": 3667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3667.mp3"
              ],
              "text": "ٱلَّذِينَ كَفَرُوا۟ لَهُمْ عَذَابٌۭ شَدِيدٌۭ ۖ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُم مَّغْفِرَةٌۭ وَأَجْرٌۭ كَبِيرٌ",
              "translate_bn": "যারা কুফর করে তাদের জন্যে রয়েছে কঠোর আযাব। আর যারা ঈমান আনে ও সৎকর্ম করে, তাদের জন্যে রয়েছে ক্ষমা ও মহা পুরস্কার।",
              "numberInSurah": 7,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 376,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কাফারূলাহুম ‘আযা-বুন শাদীদুওঁ ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসালিহা-তি লাহুম মাগফিরাতুওঁ ওয়া আজরুন কাবীর।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ ؕ۬/شَدِيدٞۖ/shadidun//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ اَجْرٌ/وَأَجۡرٞ/wa-ajrun//كَبِیْرٌ۠/كَبِيرٌ/kabirun",
              "words_bangla": "যারা//অস্বীকার করেছে//তাদের জন্যে (রয়েছে)//শাস্তি//কঠোর//আর যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকাজ//তাদের জন্যে (রয়েছে)//ক্ষমা//ও পুরস্কার//বড়"
            },
            {
              "number": 3668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3668.mp3"
              ],
              "text": "أَفَمَن زُيِّنَ لَهُۥ سُوٓءُ عَمَلِهِۦ فَرَءَاهُ حَسَنًۭا ۖ فَإِنَّ ٱللَّهَ يُضِلُّ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۖ فَلَا تَذْهَبْ نَفْسُكَ عَلَيْهِمْ حَسَرَٰتٍ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا يَصْنَعُونَ",
              "translate_bn": "যাকে মন্দকর্ম শোভনীয় করে দেখানো হয়, সে তাকে উত্তম মনে করে, সে কি সমান যে মন্দকে মন্দ মনে করে। নিশ্চয় আল্লাহ যাকে ইচ্ছা পথভ্রষ্ট করেন এবং যাকে ইচছা সৎপথ প্রদর্শন করেন। সুতরাং আপনি তাদের জন্যে অনুতাপ করে নিজেকে ধ্বংস করবেন না। নিশ্চয়ই আল্লাহ জানেন তারা যা করে।",
              "numberInSurah": 8,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "আফামান ঝুইয়িনা লাহূছূউ ‘আমালিহী ফারাআ-হু হাছানান ফাইন্নাল্লা-হা ইউদিল্লুমাইঁ ইয়াশাউ ফালা-তাযহাব নাফছুকা ‘আলাইহিম হাছারাতিন ইন্নাল্লা-হা ‘আলীমুম বিমা-ইয়াসনা‘ঊন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//زُیِّنَ/زُيِّنَ/zuyyina//لَهٗ/لَهُۥ/lahu//سُوْٓءُ/سُوٓءُ/suu//عَمَلِهٖ/عَمَلِهِۦ/amalihi//فَرَاٰهُ/فَرَءَاهُ/faraahu//حَسَنًا ؕ/حَسَنٗاۖ/hasanan//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//یُضِلُّ/يُضِلُّ/yudillu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْ/وَيَهۡدِي/wayahdi//مَنْ/مَن/man//یَّشَآءُ ۖؗ/يَشَآءُۖ/yashau//فَلَا/فَلَا/fala//تَذْهَبْ/تَذۡهَبۡ/tadhhab//نَفْسُكَ/نَفۡسُكَ/nafsuka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَسَرٰتٍ ؕ/حَسَرَٰتٍۚ/hasaratin//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِمَا/بِمَا/bima//یَصْنَعُوْنَ /يَصۡنَعُونَ/yasna'una",
              "words_bangla": "তবে কি যে//শোভন করে দেখানো হয়েছে//তার কাছে//মন্দ//তার কাজকে//তা অতঃপর সে মনে করে//উত্তম হিসেবে (সে কি হেদায়াত পাবে?)//প্রকৃত পক্ষে নিশ্চয়//আল্লাহ//বিভ্রান্ত করেন//যাকে//ইচ্ছে করেন তিনি//এবং সৎ পথে পরিচালিত করেন//যাকে//তিনি ইচ্ছে করেন//সুতরাং না//চলে যায় (অর্থাৎ শেষ করে দিও)//তোমার প্রাণ//তাদের জন্যে//আক্ষেপ করে//নিশ্চয়ই//আল্লাহ//খুব অবহিত//ঐ বিষয়ে যা//তারা তৈরি করছে"
            },
            {
              "number": 3669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3669.mp3"
              ],
              "text": "وَٱللَّهُ ٱلَّذِىٓ أَرْسَلَ ٱلرِّيَٰحَ فَتُثِيرُ سَحَابًۭا فَسُقْنَٰهُ إِلَىٰ بَلَدٍۢ مَّيِّتٍۢ فَأَحْيَيْنَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ كَذَٰلِكَ ٱلنُّشُورُ",
              "translate_bn": "আল্লাহই বায়ু প্রেরণ করেন, অতঃপর সে বায়ু মেঘমালা সঞ্চারিত করে। অতঃপর আমি তা মৃত ভূ-খন্ডের দিকে পরিচালিত করি, অতঃপর তদ্বারা সে ভূ-খন্ডকে তার মৃত্যুর পর সঞ্জীবিত করে দেই। এমনিভাবে হবে পুনরুত্থান।",
              "numberInSurah": 9,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হুল্লাযীআরছালার রিইয়া-হা ফাতুছীরু ছাহা-বান ফাছুকনা-হু ইলা-বালাদিম মাইয়িতিন ফাআহইয়াইনা-বিহিল আরদা বা‘দা মাওতিহা- কাযা-লিকান নুশূর।\r\n",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَرْسَلَ/أَرۡسَلَ/arsala//الرِّیٰحَ/ٱلرِّيَٰحَ/al-riyaha//فَتُثِیْرُ/فَتُثِيرُ/fatuthiru//سَحَابًا/سَحَابٗا/sahaban//فَسُقْنٰهُ/فَسُقۡنَٰهُ/fasuq'nahu//اِلٰی/إِلَىٰ/ila//بَلَدٍ/بَلَدٖ/baladin//مَّیِّتٍ/مَّيِّتٖ/mayyitin//فَاَحْیَیْنَا/فَأَحۡيَيۡنَا/fa-ahyayna//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَاۚ/mawtiha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//النُّشُوْرُ /ٱلنُّشُورُ/al-nushuru",
              "words_bangla": "এবং আল্লাহ (তিনিই)//যিনি//পাঠান//বাতাস//অতঃপর (তা) সঞ্চালন//মেঘমালা//তা আমরা অতঃপর পরিচালনা করি//দিকে//ভূখণ্ডের//(যা ছিলো) নির্জীব মৃত//আমরা এভাবে জীবিত করি//তা দ্বারা//মাটিকে//পরে//তার মৃত্যুর//এভাবেই (হবে)//উত্থান"
            },
            {
              "number": 3670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3670.mp3"
              ],
              "text": "مَن كَانَ يُرِيدُ ٱلْعِزَّةَ فَلِلَّهِ ٱلْعِزَّةُ جَمِيعًا ۚ إِلَيْهِ يَصْعَدُ ٱلْكَلِمُ ٱلطَّيِّبُ وَٱلْعَمَلُ ٱلصَّٰلِحُ يَرْفَعُهُۥ ۚ وَٱلَّذِينَ يَمْكُرُونَ ٱلسَّيِّـَٔاتِ لَهُمْ عَذَابٌۭ شَدِيدٌۭ ۖ وَمَكْرُ أُو۟لَٰٓئِكَ هُوَ يَبُورُ",
              "translate_bn": "কেউ সম্মান চাইলে জেনে রাখুন, সমস্ত সম্মান আল্লাহরই জন্যে। তাঁরই দিকে আরোহণ করে সৎবাক্য এবং সৎকর্ম তাকে তুলে নেয়। যারা মন্দ কার্যের চক্রান্তে লেগে থাকে, তাদের জন্যে রয়েছে কঠোর শাস্তি। তাদের চক্রান্ত ব্যর্থ হবে।",
              "numberInSurah": 10,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইউরীদুল ‘ইঝঝাতা ফালিল্লা-হিল ‘ইঝঝাতুজামী‘আন ইলাইহি ইয়াস‘আদুল কালিমুততাইয়িবুওয়াল ‘আমালুসসা-লিহুইয়ারফা‘উহূ ওয়াল্লাযীনা ইয়ামকুরূনাছ ছাইয়িআ-তি লাহুম ‘আযা-বুন শাদীদুওঁ ওয়া মাকরূউলাইকা হুওয়া ইয়াবূর।\r\n",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//الْعِزَّةَ/ٱلۡعِزَّةَ/al-'izata//فَلِلّٰهِ/فَلِلَّهِ/falillahi//الْعِزَّةُ/ٱلۡعِزَّةُ/al-'izatu//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//اِلَیْهِ/إِلَيۡهِ/ilayhi//یَصْعَدُ/يَصۡعَدُ/yas'adu//الْكَلِمُ/ٱلۡكَلِمُ/al-kalimu//الطَّیِّبُ/ٱلطَّيِّبُ/al-tayibu//وَ الْعَمَلُ/وَٱلۡعَمَلُ/wal-'amalu//الصَّالِحُ/ٱلصَّـٰلِحُ/al-salihu//یَرْفَعُهٗ ؕ/يَرۡفَعُهُۥۚ/yarfa'uhu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَمْكُرُوْنَ/يَمۡكُرُونَ/yamkuruna//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ ؕ/شَدِيدٞۖ/shadidun//وَ مَكْرُ/وَمَكۡرُ/wamakru//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُوَ/هُوَ/huwa//یَبُوْرُ /يَبُورُ/yaburu",
              "words_bangla": "যে//ছিল//চায়//সম্মান//তবে (জেনে রাখুক) আল্লাহর জন্যে//সম্মান//সবই//তাঁরই দিকে//উঠে//কথা//ভালো//এবং কাজ//সত//তা উন্নীত করে//ও যারা//ষড়যন্ত্র করে//মন্দ (কাজের)//তাদের জন্যে (রয়েছে)//শাস্তি//কঠোর//এবং ষড়যন্ত্র//তাদের//তা//ব্যর্থ হবে"
            },
            {
              "number": 3671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3671.mp3"
              ],
              "text": "وَٱللَّهُ خَلَقَكُم مِّن تُرَابٍۢ ثُمَّ مِن نُّطْفَةٍۢ ثُمَّ جَعَلَكُمْ أَزْوَٰجًۭا ۚ وَمَا تَحْمِلُ مِنْ أُنثَىٰ وَلَا تَضَعُ إِلَّا بِعِلْمِهِۦ ۚ وَمَا يُعَمَّرُ مِن مُّعَمَّرٍۢ وَلَا يُنقَصُ مِنْ عُمُرِهِۦٓ إِلَّا فِى كِتَٰبٍ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌۭ",
              "translate_bn": "আল্লাহ তোমাদেরকে সৃষ্টি করেছেন মাটি থেকে, অতঃপর বীর্য থেকে, তারপর করেছেন তোমাদেরকে যুগল। কোন নারী গর্ভধারণ করে না এবং সন্তান প্রসব করে না; কিন্তু তাঁর জ্ঞাতসারে। কোন বয়স্ক ব্যক্তি বয়স পায় না। এবং তার বয়স হ্রাস পায় না; কিন্তু তা লিখিত আছে কিতাবে। নিশ্চয় এটা আল্লাহর পক্ষে সহজ।",
              "numberInSurah": 11,
              "juz": 22,
              "manzil": 5,
              "page": 435,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু খালাকাকুম মিন তুরা-বিন ছু ম্মা জা‘আলাকুম আঝওয়া-জাওঁ ওয়ামাতাহমিলুমিন উনছা-ওয়ালা-তাদা‘উ ইল্লা-বি‘ইলমিহী ওয়ামা-ইউ‘আম্মারু মিম মু‘আম্মারিওঁ ওয়ালা-ইউনকাসুমিন ‘উমুরিহী ইল্লা ফী কিতা-বিন ইন্না যা-লিকা ‘আলাল্লা-হি ইয়াছীর।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//ثُمَّ/ثُمَّ/thumma//جَعَلَكُمْ/جَعَلَكُمۡ/ja'alakum//اَزْوَاجًا ؕ/أَزۡوَٰجٗاۚ/azwajan//وَ مَا/وَمَا/wama//تَحْمِلُ/تَحۡمِلُ/tahmilu//مِنْ/مِنۡ/min//اُنْثٰی/أُنثَىٰ/untha//وَ لَا/وَلَا/wala//تَضَعُ/تَضَعُ/tada'u//اِلَّا/إِلَّا/illa//بِعِلْمِهٖ ؕ/بِعِلۡمِهِۦۚ/bi'il'mihi//وَ مَا/وَمَا/wama//یُعَمَّرُ/يُعَمَّرُ/yu'ammaru//مِنْ/مِن/min//مُّعَمَّرٍ/مُّعَمَّرٖ/mu'ammarin//وَّ لَا/وَلَا/wala//یُنْقَصُ/يُنقَصُ/yunqasu//مِنْ/مِنۡ/min//عُمُرِهٖۤ/عُمُرِهِۦٓ/umurihi//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ ؕ/كِتَٰبٍۚ/kitabin//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "এবং আল্লাহই//তোমাদের সৃষ্টি করেছেন//থেকে//মাটি//এরপর//থেকে//শুক্রবিন্দু//এরপর//তোমাদেরকে বানিয়েছেন//জোড়া জোড়া//এবং না//গর্ভধারণ করে//কোনো//নারী//আর না//প্রসব করে সে//এ ব্যতীত//তাঁর জানা থাকে//এবং না//আয়ু বৃদ্ধি পায়//কোনো//বয়স্কলোকের//আর না//কমিয়ে দেওয়া হয়//হ'তে//তার আয়ু//এ ছাড়া//মধ্যে আছে//একটি কিতাবে (লিখিত)//নিশ্চয়ই//সেটা//জন্যে//আল্লাহর//(খুব)সহজ"
            },
            {
              "number": 3672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3672.mp3"
              ],
              "text": "وَمَا يَسْتَوِى ٱلْبَحْرَانِ هَٰذَا عَذْبٌۭ فُرَاتٌۭ سَآئِغٌۭ شَرَابُهُۥ وَهَٰذَا مِلْحٌ أُجَاجٌۭ ۖ وَمِن كُلٍّۢ تَأْكُلُونَ لَحْمًۭا طَرِيًّۭا وَتَسْتَخْرِجُونَ حِلْيَةًۭ تَلْبَسُونَهَا ۖ وَتَرَى ٱلْفُلْكَ فِيهِ مَوَاخِرَ لِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "দু’টি সমুদ্র সমান হয় না-একটি মিঠা ও তৃষ্ণানিবারক এবং অপরটি লোনা। ঊভয়টি থেকেই তোমরা তাজা গোশত (মৎস) আহার কর এবং পরিধানে ব্যবহার্য গয়নাগাটি আহরণ কর। তুমি তাতে তার বুক চিরে জাহাজ চলতে দেখ, যাতে তোমরা তার অনুগ্রহ অন্বেষণ কর এবং যাতে তোমরা কৃতজ্ঞতা প্রকাশ কর।",
              "numberInSurah": 12,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াছতাবিলবাহরা-নি হা-যা-‘আযবুন ফুরা-তুন ছাইগুন শারা-বুহূওয়া হা-যা-মিলহুন উজা-জুওঁ ওয়া মিন কুল্লিন তা’কুলূনা লাহমান তারিইইয়াওঁ ওয়া তাছতাখরিজূনা হিলয়াতান তালবাছূনাহা-ওয়া তারাল ফুলকা ফীহি মাওয়া-খিরাঁলিতাবতাগু মিন ফাদলিহী ওয়া লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَسْتَوِی/يَسۡتَوِي/yastawi//الْبَحْرٰنِ ۖۗ/ٱلۡبَحۡرَانِ/al-bahrani//هٰذَا/هَٰذَا/hadha//عَذْبٌ/عَذۡبٞ/adhbun//فُرَاتٌ/فُرَاتٞ/furatun//سَآىِٕغٌ/سَآئِغٞ/saighun//شَرَابُهٗ/شَرَابُهُۥ/sharabuhu//وَ هٰذَا/وَهَٰذَا/wahadha//مِلْحٌ/مِلۡحٌ/mil'hun//اُجَاجٌ ؕ/أُجَاجٞۖ/ujajun//وَ مِنْ/وَمِن/wamin//كُلٍّ/كُلّٖ/kullin//تَاْكُلُوْنَ/تَأۡكُلُونَ/takuluna//لَحْمًا/لَحۡمٗا/lahman//طَرِیًّا/طَرِيّٗا/tariyyan//وَّ تَسْتَخْرِجُوْنَ/وَتَسۡتَخۡرِجُونَ/watastakhrijuna//حِلْیَةً/حِلۡيَةٗ/hil'yatan//تَلْبَسُوْنَهَا ۚ/تَلۡبَسُونَهَاۖ/talbasunaha//وَ تَرَی/وَتَرَى/watara//الْفُلْكَ/ٱلۡفُلۡكَ/al-ful'ka//فِیْهِ/فِيهِ/fihi//مَوَاخِرَ/مَوَاخِرَ/mawakhira//لِتَبْتَغُوْا/لِتَبۡتَغُواْ/litabtaghu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "এবং না//সমান হয়//দুই সাগর//যেমন (এটা)//সুমিষ্ট//সুপেয়//সহজ পেয়//তার পানীয়//আর ওটা//লোনা//বিস্বাদ//কিন্তু থেকে//প্রত্যেকটা//তোমরা খাও//গোশত (মাছ)//তাজা//ও তোমরা বের করো//অলংকার (অর্থাৎ মনি-মুক্তা)//তা তোমরা পরিধান করো//এবং তোমরা দেখো//নৌকাগুলো//তার মধ্যে//পানিবিদীর্ণ করে চলে//তোমরা খোঁজ করতে পারো যেন//থেকে//তাঁর অনুগ্রহ//এবং তোমরা যাতে//কৃতজ্ঞতা প্রকাশ করো"
            },
            {
              "number": 3673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3673.mp3"
              ],
              "text": "يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ كُلٌّۭ يَجْرِى لِأَجَلٍۢ مُّسَمًّۭى ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ لَهُ ٱلْمُلْكُ ۚ وَٱلَّذِينَ تَدْعُونَ مِن دُونِهِۦ مَا يَمْلِكُونَ مِن قِطْمِيرٍ",
              "translate_bn": "তিনি রাত্রিকে দিবসে প্রবিষ্ট করেন এবং দিবসকে রাত্রিতে প্রবিষ্ট করেন। তিনি সূর্য ও চন্দ্রকে কাজে নিয়োজিত করেছেন। প্রত্যেকটি আবর্তন করে এক নির্দিষ্ট মেয়াদ পর্যন্ত। ইনি আল্লাহ; তোমাদের পালনকর্তা, সাম্রাজ্য তাঁরই। তাঁর পরিবর্তে তোমরা যাদেরকে ডাক, তারা তুচ্ছ খেজুর আঁটিরও অধিকারী নয়।",
              "numberInSurah": 13,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ইঊলিজুল্লাইলা ফিন্নাহা-রি ওয়া ইঊলিজুন্নাহা-রা ফিল্লাইলি ওয়া ছাখখারাশশামছা ওয়াল কামারা কুল্লুইঁ ইয়াজরী লিআজালিম মুছাম্মান যা-লিকুমুল্লা-হু রাব্বাকুম লাহুল মুলকু ওয়াল্লাযীনা তাদ‘ঊনা মিন দূ নিহী মা-ইয়ামলিকূনা মিন কিতমীর।\r\n",
              "words_arabic": "یُوْلِجُ/يُولِجُ/yuliju//الَّیْلَ/ٱلَّيۡلَ/al-layla//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ یُوْلِجُ/وَيُولِجُ/wayuliju//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فِی/فِي/fi//الَّیْلِ ۙ/ٱلَّيۡلِ/al-layli//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ ۖؗ/وَٱلۡقَمَرَۖ/wal-qamara//كُلٌّ/كُلّٞ/kullun//یَّجْرِیْ/يَجۡرِي/yajri//لِاَجَلٍ/لِأَجَلٖ/li-ajalin//مُّسَمًّی ؕ/مُّسَمّٗىۚ/musamman//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//لَهُ/لَهُ/lahu//الْمُلْكُ ؕ/ٱلۡمُلۡكُۚ/al-mul'ku//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مَا/مَا/ma//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//مِنْ/مِن/min//قِطْمِیْرٍؕ/قِطۡمِيرٍ/qit'mirin",
              "words_bangla": "তিনি প্রবেশ করান//রাতকে//মধ্যে//দিনের//এবং প্রবেশ করান//দিনকে//মধ্যে//রাতের//এবং নিয়ন্ত্রিত করেছেন//সূর্যকে//ও চাঁদকে//প্রত্যেকেই//(পরিভ্রমণ করে) আবর্তন করে//একটি সময়ের জন্যে//নির্দিষ্ট//তোমাদের সেই//আল্লাহ-ই//তোমাদের রব//তাঁরই//সার্বভৌমত্ব//এবং যাদেরকে//তোমরা ডাকো//ছাড়া//তাঁকে//না//(তারা অধিকারী) অধিকার রাখে//কোনো//(তুচ্ছাতিতুচ্ছ বস্তুর) খেজুরের আঁটির পর্দা"
            },
            {
              "number": 3674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3674.mp3"
              ],
              "text": "إِن تَدْعُوهُمْ لَا يَسْمَعُوا۟ دُعَآءَكُمْ وَلَوْ سَمِعُوا۟ مَا ٱسْتَجَابُوا۟ لَكُمْ ۖ وَيَوْمَ ٱلْقِيَٰمَةِ يَكْفُرُونَ بِشِرْكِكُمْ ۚ وَلَا يُنَبِّئُكَ مِثْلُ خَبِيرٍۢ",
              "translate_bn": "তোমরা তাদেরকে ডাকলে তারা তোমাদের সে ডাক শুনে না। শুনলেও তোমাদের ডাকে সাড়া দেয় না। কেয়ামতের দিন তারা তোমাদের শেরক অস্বীকার করবে। বস্তুতঃ আল্লাহর ন্যায় তোমাকে কেউ অবহিত করতে পারবে না।",
              "numberInSurah": 14,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 377,
              "hizbQuarter": 174,
              "sajda": false,
              "pronunciation_bn": "ইন তাদ‘ঊহুম লা-ইয়াছমা‘ঊ দু‘আআকুম ওয়ালাও ছামি‘ঊ মাছতাজা-বূলাকুম ওয়া ইয়াওমাল কিয়া-মাতি ইয়াকফুরূনা বিশিরকিকুম ওয়া লা-ইউনাব্বিউকা মিছলু খাবীর।\r\n",
              "words_arabic": "اِنْ/إِن/in//تَدْعُوْهُمْ/تَدۡعُوهُمۡ/tad'uhum//لَا/لَا/la//یَسْمَعُوْا/يَسۡمَعُواْ/yasma'u//دُعَآءَكُمْ ۚ/دُعَآءَكُمۡ/du'aakum//وَ لَوْ/وَلَوۡ/walaw//سَمِعُوْا/سَمِعُواْ/sami'u//مَا/مَا/ma//اسْتَجَابُوْا/ٱسۡتَجَابُواْ/is'tajabu//لَكُمْ ؕ/لَكُمۡۖ/lakum//وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//یَكْفُرُوْنَ/يَكۡفُرُونَ/yakfuruna//بِشِرْكِكُمْ ؕ/بِشِرۡكِكُمۡۚ/bishir'kikum//وَ لَا/وَلَا/wala//یُنَبِّئُكَ/يُنَبِّئُكَ/yunabbi-uka//مِثْلُ/مِثۡلُ/mith'lu//خَبِیْرٍ۠/خَبِيرٖ/khabirin",
              "words_bangla": "যদি//তোমরা তাদেরকে ডাকো//না//তারা শুনতে পায়//তোমাদের ডাক//আর যদি//তারা শুনেও//না//তারা সাড়া দিতে পারে//তোমাদেরকে//এবং দিনে//ক্বিয়ামাতের//তারা অস্বীকার করবে//তোমাদের শিরককে//এবং না//তোমাকে জানাতে পারে কেউ//মতো//সর্বজ্ঞ আল্লাহর"
            },
            {
              "number": 3675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3675.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلنَّاسُ أَنتُمُ ٱلْفُقَرَآءُ إِلَى ٱللَّهِ ۖ وَٱللَّهُ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ",
              "translate_bn": "হে মানুষ, তোমরা আল্লাহর গলগ্রহ। আর আল্লাহ; তিনি অভাবমুক্ত, প্রশংসিত।",
              "numberInSurah": 15,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুআনতুমুল ফুকারাউ ইলাল্লা-হি ওয়াল্লা-হু হুওয়াল গানিইয়ুল হামীদ।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اَنْتُمُ/أَنتُمُ/antumu//الْفُقَرَآءُ/ٱلۡفُقَرَآءُ/al-fuqarau//اِلَی/إِلَى/ila//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//هُوَ/هُوَ/huwa//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//الْحَمِیْدُ /ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "হে//মানব সম্প্রদায়//তোমরা//মুখাপেক্ষী//কাছে//আল্লাহর//কিন্তু আল্লাহ (এমন যে)//তিনিই//অভাবমুক্ত//প্রশংসিত"
            },
            {
              "number": 3676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3676.mp3"
              ],
              "text": "إِن يَشَأْ يُذْهِبْكُمْ وَيَأْتِ بِخَلْقٍۢ جَدِيدٍۢ",
              "translate_bn": "তিনি ইচ্ছা করলে তোমাদেরকে বিলুপ্ত করে এক নতুন সৃষ্টির উদ্ভব করবেন।",
              "numberInSurah": 16,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াশা’ ইউযহিবকুম ওয়া ইয়া’তি বিখালকিন জাদীদ।",
              "words_arabic": "اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُذْهِبْكُمْ/يُذۡهِبۡكُمۡ/yudh'hib'kum//وَ یَاْتِ/وَيَأۡتِ/wayati//بِخَلْقٍ/بِخَلۡقٖ/bikhalqin//جَدِیْدٍۚ/جَدِيدٖ/jadidin",
              "words_bangla": "যদি//তিনি ইচ্ছে করেন//তোমাদেরকে বিলোপ করতে পারেন//এবং আনতে পারেন (তোমাদের স্থানে)//সৃষ্টিকে//নতুন"
            },
            {
              "number": 3677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3677.mp3"
              ],
              "text": "وَمَا ذَٰلِكَ عَلَى ٱللَّهِ بِعَزِيزٍۢ",
              "translate_bn": "এটা আল্লাহর পক্ষে কঠিন নয়।",
              "numberInSurah": 17,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-যা-লিকা ‘আলাল্লা-হি বি‘আঝীঝ।",
              "words_arabic": "وَ مَا/وَمَا/wama//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//بِعَزِیْزٍ /بِعَزِيزٖ/bi'azizin",
              "words_bangla": "আর নয়//এটা//জন্যে//আল্লাহর//কোনো কঠিন (কিছু)"
            },
            {
              "number": 3678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3678.mp3"
              ],
              "text": "وَلَا تَزِرُ وَازِرَةٌۭ وِزْرَ أُخْرَىٰ ۚ وَإِن تَدْعُ مُثْقَلَةٌ إِلَىٰ حِمْلِهَا لَا يُحْمَلْ مِنْهُ شَىْءٌۭ وَلَوْ كَانَ ذَا قُرْبَىٰٓ ۗ إِنَّمَا تُنذِرُ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ ۚ وَمَن تَزَكَّىٰ فَإِنَّمَا يَتَزَكَّىٰ لِنَفْسِهِۦ ۚ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ",
              "translate_bn": "কেউ অপরের বোঝা বহন করবে না। কেউ যদি তার গুরুতর ভার বহন করতে অন্যকে আহবান করে কেউ তা বহন করবে না-যদি সে নিকটবর্তী আত্নীয়ও হয়। আপনি কেবল তাদেরকে সতর্ক করেন, যারা তাদের পালনকর্তাকে না দেখেও ভয় করে এবং নামায কায়েম করে। যে কেউ নিজের সংশোধন করে, সে সংশোধন করে, স্বীয় কল্যাণের জন্যেই আল্লাহর নিকটই সকলের প্রত্যাবর্তন।",
              "numberInSurah": 18,
              "juz": 22,
              "manzil": 5,
              "page": 436,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাঝিরু ওয়া-ঝিরাতুওঁবিঝরা উখরা- ওয়া ইন তাদ‘উ মুছকালাতুন ইলাহিম লিহা-লা-ইউহমাল মিনহু শাইয়ুওঁ ওয়ালাও কা-না যা-কুরবা- ইন্নামাতুনযিরুল্লাযীনা ইয়াখশাওনা রাব্বাহুম বিলগাইবি ওয়া আকামুসসালা-তা ওয়া মান তাঝাক্কা-ফাইন্নামা-ইয়াতাঝাক্কা-লিনাফছিহী ওয়া ইলাল্লা-হিল মাসীর।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَزِرُ/تَزِرُ/taziru//وَازِرَةٌ/وَازِرَةٞ/waziratun//وِّزْرَ/وِزۡرَ/wiz'ra//اُخْرٰی ؕ/أُخۡرَىٰۚ/ukh'ra//وَ اِنْ/وَإِن/wa-in//تَدْعُ/تَدۡعُ/tad'u//مُثْقَلَةٌ/مُثۡقَلَةٌ/muth'qalatun//اِلٰی/إِلَىٰ/ila//حِمْلِهَا/حِمۡلِهَا/him'liha//لَا/لَا/la//یُحْمَلْ/يُحۡمَلۡ/yuh'mal//مِنْهُ/مِنۡهُ/min'hu//شَیْءٌ/شَيۡءٞ/shayon//وَّ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//ذَا/ذَا/dha//قُرْبٰی ؕ/قُرۡبَىٰٓۗ/qur'ba//اِنَّمَا/إِنَّمَا/innama//تُنْذِرُ/تُنذِرُ/tundhiru//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//رَبَّهُمْ/رَبَّهُم/rabbahum//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ ؕ/ٱلصَّلَوٰةَۚ/al-salata//وَ مَنْ/وَمَن/waman//تَزَكّٰی/تَزَكَّىٰ/tazakka//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَتَزَكّٰی/يَتَزَكَّىٰ/yatazakka//لِنَفْسِهٖ ؕ/لِنَفۡسِهِۦۚ/linafsihi//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং না//বহন করবে//কোনো বহনকারী//ভার//অন্যের//এবং যদি//ডাকে//কোনো বোঝাভারাক্রান্ত ব্যক্তি//দিকে//তার বোঝার (তা বইতে)//না//বহন করা হবে//তার থেকে//(সামান্য) কিছুও//এবং যদি//সে হয়ও//আছে//কোন নিকট আত্মীয়//(তাই হে নাবী) কেবল//তুমি সতর্ক করো//(তাদেরকে) যারা//ভয় করে//তাদের রবকে//না দেখা অবস্থায়//এবং প্রতিষ্ঠা করে//সালাত//এবং যে//পবিত্র করে//প্রকৃতপক্ষে//সে পবিত্র করে//তার নিজের জন্যে//এবং দিকে//আল্লাহর-ই//(তোমাদের হবে) প্রত্যাবর্তন"
            },
            {
              "number": 3679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3679.mp3"
              ],
              "text": "وَمَا يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ",
              "translate_bn": "দৃষ্টিমান ও দৃষ্টিহীন সমান নয়।",
              "numberInSurah": 19,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াছতাবিল আ‘মা-ওয়াল বাসীর।\r\n",
              "words_arabic": "وَ مَا/وَمَا/wama//یَسْتَوِی/يَسۡتَوِي/yastawi//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//وَ الْبَصِیْرُۙ/وَٱلۡبَصِيرُ/wal-basiru",
              "words_bangla": "এবং না//সমান হয়//অন্ধ//ও চক্ষুষ্মান"
            },
            {
              "number": 3680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3680.mp3"
              ],
              "text": "وَلَا ٱلظُّلُمَٰتُ وَلَا ٱلنُّورُ",
              "translate_bn": "সমান নয় অন্ধকার ও আলো।",
              "numberInSurah": 20,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাজ্জুলুমা-তুওয়ালান্নূর।",
              "words_arabic": "وَ لَا/وَلَا/wala//الظُّلُمٰتُ/ٱلظُّلُمَٰتُ/al-zulumatu//وَ لَا/وَلَا/wala//النُّوْرُۙ/ٱلنُّورُ/al-nuru",
              "words_bangla": "এবং না//অন্ধকারসমূহ//আর না//আলো"
            },
            {
              "number": 3681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3681.mp3"
              ],
              "text": "وَلَا ٱلظِّلُّ وَلَا ٱلْحَرُورُ",
              "translate_bn": "সমান নয় ছায়া ও তপ্তরোদ।",
              "numberInSurah": 21,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাজ্জিল্লুওয়ালাল হারূর।",
              "words_arabic": "وَ لَا/وَلَا/wala//الظِّلُّ/ٱلظِّلُّ/al-zilu//وَ لَا/وَلَا/wala//الْحَرُوْرُۚ/ٱلۡحَرُورُ/al-haruru",
              "words_bangla": "এবং না//ছায়া//আর না//রৌদ্র"
            },
            {
              "number": 3682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3682.mp3"
              ],
              "text": "وَمَا يَسْتَوِى ٱلْأَحْيَآءُ وَلَا ٱلْأَمْوَٰتُ ۚ إِنَّ ٱللَّهَ يُسْمِعُ مَن يَشَآءُ ۖ وَمَآ أَنتَ بِمُسْمِعٍۢ مَّن فِى ٱلْقُبُورِ",
              "translate_bn": "আরও সমান নয় জীবিত ও মৃত। আল্লাহ শ্রবণ করান যাকে ইচ্ছা। আপনি কবরে শায়িতদেরকে শুনাতে সক্ষম নন।",
              "numberInSurah": 22,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াছতাবিল আহইয়াউ ওয়ালাল আমওয়া-তু ইন্নাল্লা-হা ইউছমি‘উ মাইঁ ইয়াশাউ ওয়ামাআনতা বিমুছমি‘ইম মান ফিল কুবূর।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَسْتَوِی/يَسۡتَوِي/yastawi//الْاَحْیَآءُ/ٱلۡأَحۡيَآءُ/al-ahyau//وَ لَا/وَلَا/wala//الْاَمْوَاتُ ؕ/ٱلۡأَمۡوَٰتُۚ/al-amwatu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُسْمِعُ/يُسۡمِعُ/yus'mi'u//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۖ/yashau//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//بِمُسْمِعٍ/بِمُسۡمِعٖ/bimus'mi'in//مَّنْ/مَّن/man//فِی/فِي/fi//الْقُبُوْرِ /ٱلۡقُبُورِ/al-quburi",
              "words_bangla": "এবং না//সমান হয়//জীবিত//আর না//মৃত//নিশ্চয়ই//আল্লাহ//শুনান//যাকে//ইচ্ছে করেন তিনি//আর না//তুমি//শুনাতে সমর্থ//যে (আছে)//মধ্যে//কবরগুলোর"
            },
            {
              "number": 3683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3683.mp3"
              ],
              "text": "إِنْ أَنتَ إِلَّا نَذِيرٌ",
              "translate_bn": "আপনি তো কেবল একজন সতর্ককারী।",
              "numberInSurah": 23,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইন আনতা ইল্লা-নাযীর।",
              "words_arabic": "اِنْ/إِنۡ/in//اَنْتَ/أَنتَ/anta//اِلَّا/إِلَّا/illa//نَذِیْرٌ /نَذِيرٌ/nadhirun",
              "words_bangla": "নও//তুমি//এ ছাড়া//একজন সতর্ককারী"
            },
            {
              "number": 3684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3684.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَٰكَ بِٱلْحَقِّ بَشِيرًۭا وَنَذِيرًۭا ۚ وَإِن مِّنْ أُمَّةٍ إِلَّا خَلَا فِيهَا نَذِيرٌۭ",
              "translate_bn": "আমি আপনাকে সত্যধর্মসহ পাঠিয়েছি সংবাদদাতা ও সতর্ককারীরূপে। এমন কোন সম্প্রদায় নেই যাতে সতর্ককারী আসেনি।",
              "numberInSurah": 24,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-কা বিলহাক্কিবাশীরাওঁ ওয়া নাযীরাওঁ ওয়া ইম মিন উম্মাতিন ইল্লাখালা-ফীহা-নাযীর।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//بَشِیْرًا/بَشِيرٗا/bashiran//وَّ نَذِیْرًا ؕ/وَنَذِيرٗاۚ/wanadhiran//وَ اِنْ/وَإِن/wa-in//مِّنْ/مِّنۡ/min//اُمَّةٍ/أُمَّةٍ/ummatin//اِلَّا/إِلَّا/illa//خَلَا/خَلَا/khala//فِیْهَا/فِيهَا/fiha//نَذِیْرٌ /نَذِيرٞ/nadhirun",
              "words_bangla": "নিশ্চযই় আমরা//তোমাকে আমরা পাঠিয়েছি//সত্যসহ//সুসংবাদদাতা রূপে//ও সতর্ককারী হিসেবে//এবং নেই//কোনো//(এমন) জাতি//এ ছাড়া যে//অতিক্রম করেছে//তার মধ্যে//কোনো সতর্ককারী"
            },
            {
              "number": 3685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3685.mp3"
              ],
              "text": "وَإِن يُكَذِّبُوكَ فَقَدْ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ وَبِٱلزُّبُرِ وَبِٱلْكِتَٰبِ ٱلْمُنِيرِ",
              "translate_bn": "তারা যদি আপনার প্রতি মিথ্যারোপ করে, তাদের পূর্ববর্তীরাও মিথ্যারোপ করেছিল। তাদের কাছে তাদের রসূলগণ স্পষ্ট নিদর্শন, সহীফা এবং উজ্জল কিতাবসহ এসেছিলেন।",
              "numberInSurah": 25,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইউকাযযিবূকা ফাকাদ কাযযাবাল্লাযীনা মিন কাবলিহিম জাআতহুম রুছুলহুম বিলবাইয়িনা-তি ওয়া বিঝঝুবুরি ওয়া বিলকিতা-বিল মুনীর।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یُّكَذِّبُوْكَ/يُكَذِّبُوكَ/yukadhibuka//فَقَدْ/فَقَدۡ/faqad//كَذَّبَ/كَذَّبَ/kadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ۚ/قَبۡلِهِمۡ/qablihim//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ بِالزُّبُرِ/وَبِٱلزُّبُرِ/wabil-zuburi//وَ بِالْكِتٰبِ/وَبِٱلۡكِتَٰبِ/wabil-kitabi//الْمُنِیْرِ /ٱلۡمُنِيرِ/al-muniri",
              "words_bangla": "এবং যদি//তোমাকে তারা মিথ্যারোপ করে//তবে (নতুন কিছু নয়)//মিথ্যারোপ করেছে//যারা (ছিলো)//পূর্বেও//তাদের//তাদের কাছে এসেছিলো//তাদের রাসূলগণ//স্পষ্ট নিদর্শনসহ//এবং ছোট ছোট সহীফাসহ//ও কিতাবসহ//দীপ্তিময়"
            },
            {
              "number": 3686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3686.mp3"
              ],
              "text": "ثُمَّ أَخَذْتُ ٱلَّذِينَ كَفَرُوا۟ ۖ فَكَيْفَ كَانَ نَكِيرِ",
              "translate_bn": "অতঃপর আমি কাফেরদেরকে ধৃত করেছিলাম। কেমন ছিল আমার আযাব!",
              "numberInSurah": 26,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 378,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আখাযতুল্লায ীনা কাফারূফাকাইফা কা-না নাকীর।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَخَذْتُ/أَخَذۡتُ/akhadhtu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْۖ/kafaru//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//نَكِیْرِ۠/نَكِيرِ/nakiri",
              "words_bangla": "এরপর//আমি পাকড়াও করেছি//তাদেরকে (যারা)//অস্বীকার করেছে//অতঃপর কেমন (দেখো)//ছিলো//আমার শাস্তি"
            },
            {
              "number": 3687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3687.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَأَخْرَجْنَا بِهِۦ ثَمَرَٰتٍۢ مُّخْتَلِفًا أَلْوَٰنُهَا ۚ وَمِنَ ٱلْجِبَالِ جُدَدٌۢ بِيضٌۭ وَحُمْرٌۭ مُّخْتَلِفٌ أَلْوَٰنُهَا وَغَرَابِيبُ سُودٌۭ",
              "translate_bn": "তুমি কি দেখনি আল্লাহ আকাশ থেকে বৃষ্টিবর্ষণ করেন, অতঃপর তদ্দ্বারা আমি বিভিন্ন বর্ণের ফল-মূল উদগত করি। পর্বতসমূহের মধ্যে রয়েছে বিভিন্ন বর্ণের গিরিপথ-সাদা, লাল ও নিকষ কালো কৃষ্ণ।",
              "numberInSurah": 27,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা-আন্নাল্লাহা আনঝালা মিনাছছামাই মা-আন ফাআখরাজনা-বিহী ছামারাতিম মুখতালিফান আলওয়া-নুহা- ওয়া মিনাল জিবা-লি জুদাদুম বীদুওঁ ওয়া হুম রুম মুখতালিফুন আলওয়া-নুহা-ওয়া গারা-বীবুছূদ।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً ۚ/مَآءٗ/maan//فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//بِهٖ/بِهِۦ/bihi//ثَمَرٰتٍ/ثَمَرَٰتٖ/thamaratin//مُّخْتَلِفًا/مُّخۡتَلِفًا/mukh'talifan//اَلْوَانُهَا ؕ/أَلۡوَٰنُهَاۚ/alwanuha//وَ مِنَ/وَمِنَ/wamina//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//جُدَدٌۢ/جُدَدُۢ/judadun//بِیْضٌ/بِيضٞ/bidun//وَّ حُمْرٌ/وَحُمۡرٞ/wahum'run//مُّخْتَلِفٌ/مُّخۡتَلِفٌ/mukh'talifun//اَلْوَانُهَا/أَلۡوَٰنُهَا/alwanuha//وَ غَرَابِیْبُ/وَغَرَابِيبُ/wagharabibu//سُوْدٌ /سُودٞ/sudun",
              "words_bangla": "তুমি কি//দেখো নাই//যে//আল্লাহ//বর্ষণ করেন//থেকে//আকাশ//পানি//অতঃপর আমরা উৎপন্ন করি//তা দিয়ে//ফল মূলসমূহ//বিচিত্র//তার রংসমূহ//এবং মধ্যেও//পাহাড়সমূহের//রেখাপথ (রয়েছে)//সাদা//ও লাল//বিচিত্র//তার রংসমূহ//এবং নিকষ//কালো (রংও)"
            },
            {
              "number": 3688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3688.mp3"
              ],
              "text": "وَمِنَ ٱلنَّاسِ وَٱلدَّوَآبِّ وَٱلْأَنْعَٰمِ مُخْتَلِفٌ أَلْوَٰنُهُۥ كَذَٰلِكَ ۗ إِنَّمَا يَخْشَى ٱللَّهَ مِنْ عِبَادِهِ ٱلْعُلَمَٰٓؤُا۟ ۗ إِنَّ ٱللَّهَ عَزِيزٌ غَفُورٌ",
              "translate_bn": "অনুরূপ ভাবে বিভিন্ন বর্ণের মানুষ, জন্তু, চতুস্পদ প্রাণী রয়েছে। আল্লাহর বান্দাদের মধ্যে জ্ঞানীরাই কেবল তাঁকে ভয় করে। নিশ্চয় আল্লাহ পরাক্রমশালী ক্ষমাময়।",
              "numberInSurah": 28,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনান্না-ছি ওয়াদ্দাওয়াব্বি ওয়াল আন ‘আ-মি মুখতালিফুন আলওয়া-নুহূকাযা-লিকা ইন্নামা-ইয়াখশাল্লা-হা মিন ‘ইবা-দিহিল ‘উলামাউ ইন্নাল্লা-হা ‘আঝীঝুন গাফূর।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ الدَّوَآبِّ/وَٱلدَّوَآبِّ/wal-dawabi//وَ الْاَنْعَامِ/وَٱلۡأَنۡعَٰمِ/wal-an'ami//مُخْتَلِفٌ/مُخۡتَلِفٌ/mukh'talifun//اَلْوَانُهٗ/أَلۡوَٰنُهُۥ/alwanuhu//كَذٰلِكَ ؕ/كَذَٰلِكَۗ/kadhalika//اِنَّمَا/إِنَّمَا/innama//یَخْشَی/يَخۡشَى/yakhsha//اللّٰهَ/ٱللَّهَ/al-laha//مِنْ/مِنۡ/min//عِبَادِهِ/عِبَادِهِ/ibadihi//الْعُلَمٰٓؤُا ؕ/ٱلۡعُلَمَـٰٓؤُاْۗ/al-'ulamau//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَزِیْزٌ/عَزِيزٌ/azizun//غَفُوْرٌ /غَفُورٌ/ghafurun",
              "words_bangla": "এবং মধ্যে//মানুষের//ও জীব জন্তুগুলোর//এবং গৃহপালিত পশুদের (মধ্যেও রয়েছে)//বিচিত্র//তার রংসমূহ//এভাবেই//প্রকৃতপক্ষে//ভয় করে//আল্লাহকে//মধ্য হ'তে//তাঁর দাসদের//জ্ঞানীগণই//নিশ্চয়ই//আল্লাহ//পরাক্রমশালী//ক্ষমাশীল"
            },
            {
              "number": 3689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3689.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَتْلُونَ كِتَٰبَ ٱللَّهِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَنفَقُوا۟ مِمَّا رَزَقْنَٰهُمْ سِرًّۭا وَعَلَانِيَةًۭ يَرْجُونَ تِجَٰرَةًۭ لَّن تَبُورَ",
              "translate_bn": "যারা আল্লাহর কিতাব পাঠ করে, নামায কায়েম করে, এবং আমি যা দিয়েছি, তা থেকে গোপনে ও প্রকাশ্যে ব্যয় করে, তারা এমন ব্যবসা আশা কর, যাতে কখনও লোকসান হবে না।",
              "numberInSurah": 29,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াতলূনা কিতা-বাল্লা-হি ওয়াআকা-মুসসালা-তা ওয়াআনফাকূ মিম্মারাঝাকনা-হুম ছিররাওঁ ওয়া‘আলা-নিয়াতাইঁ ইয়ারজূনা তিজা-রাতাল্লান তাবূর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَتْلُوْنَ/يَتۡلُونَ/yatluna//كِتٰبَ/كِتَٰبَ/kitaba//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اَنْفَقُوْا/وَأَنفَقُواْ/wa-anfaqu//مِمَّا/مِمَّا/mimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//سِرًّا/سِرّٗا/sirran//وَّ عَلَانِیَةً/وَعَلَانِيَةٗ/wa'alaniyatan//یَّرْجُوْنَ/يَرۡجُونَ/yarjuna//تِجَارَةً/تِجَٰرَةٗ/tijaratan//لَّنْ/لَّن/lan//تَبُوْرَۙ/تَبُورَ/tabura",
              "words_bangla": "নিশ্চয়ই//যারা//পাঠ করে//কিতাব//আল্লাহর//এবং প্রতিষ্ঠা  করে//সালাত//ও ব্যয় করে//তা হ'তে যা//তাদেরকে আমরা জীবিকা দিয়েছি//গোপনে//ও প্রকাশ্যে//তারাই আশা করতে পারে//(এমন) ব্যবসার//(যার) কখনও না//ব্যর্থ হবে"
            },
            {
              "number": 3690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3690.mp3"
              ],
              "text": "لِيُوَفِّيَهُمْ أُجُورَهُمْ وَيَزِيدَهُم مِّن فَضْلِهِۦٓ ۚ إِنَّهُۥ غَفُورٌۭ شَكُورٌۭ",
              "translate_bn": "পরিণামে তাদেরকে আল্লাহ তাদের সওয়াব পুরোপুরি দেবেন এবং নিজ অনুগ্রহে আরও বেশী দেবেন। নিশ্চয় তিনি ক্ষমাশীল, গুণগ্রাহী।",
              "numberInSurah": 30,
              "juz": 22,
              "manzil": 5,
              "page": 437,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "লিইউওয়াফিফইয়াহুম উজূরাহুম ওয়া ইয়াঝীদাহুম মিন ফাদলিহী ইন্নাহূগাফূরুন শাকূর।",
              "words_arabic": "لِیُوَفِّیَهُمْ/لِيُوَفِّيَهُمۡ/liyuwaffiyahum//اُجُوْرَهُمْ/أُجُورَهُمۡ/ujurahum//وَ یَزِیْدَهُمْ/وَيَزِيدَهُم/wayazidahum//مِّنْ/مِّن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦٓۚ/fadlihi//اِنَّهٗ/إِنَّهُۥ/innahu//غَفُوْرٌ/غَفُورٞ/ghafurun//شَكُوْرٌ /شَكُورٞ/shakurun",
              "words_bangla": "তাদের পূর্ণমাত্রায় (আল্লাহ) দেন যেন//তাদের প্রতিফলন//এবং তাদের আরো বেশী দেন//থেকে//তাঁর অনুগ্রহ//তিনি নিশ্চয়ই//ক্ষমাশীল//গুণগ্রাহী"
            },
            {
              "number": 3691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3691.mp3"
              ],
              "text": "وَٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ مِنَ ٱلْكِتَٰبِ هُوَ ٱلْحَقُّ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ ۗ إِنَّ ٱللَّهَ بِعِبَادِهِۦ لَخَبِيرٌۢ بَصِيرٌۭ",
              "translate_bn": "আমি আপনার প্রতি যে কিতাব প্রত্যাদেশ করেছি, তা সত্য-পূর্ববর্তী কিতাবের সত্যায়ন কারী নিশ্চয় আল্লাহ তাঁর বান্দাদের ব্যাপারে সব জানেন, দেখেন।",
              "numberInSurah": 31,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী আওহাইনাইলাইকা মিনাল কিতা-বি হুওয়াল হাক্কুমুসাদ্দিকাল লিমা-বাইনা ইয়াদাইহি ইন্নাল্লা-হা বি‘ইবা-দিহী লাখাবীরুম বাসীর।",
              "words_arabic": "وَ الَّذِیْۤ/وَٱلَّذِيٓ/wa-alladhi//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//مِنَ/مِنَ/mina//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//هُوَ/هُوَ/huwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ ؕ/يَدَيۡهِۗ/yadayhi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//لَخَبِیْرٌۢ/لَخَبِيرُۢ/lakhabirun//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "এবং(হে নাবী) যা//আমরা ওহী করেছি//তোমার প্রতি//থেকে//কিতাব//তাই//সত্য//(তা) সত্যায়নকারী ও সমর্থক//তার যা//পূর্বে (এসেছে)//তার//নিশ্চয়ই//আল্লাহ//তাঁর দাসদের সম্পর্কে//অবশ্যই সব জানেন//সব দেখেন"
            },
            {
              "number": 3692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3692.mp3"
              ],
              "text": "ثُمَّ أَوْرَثْنَا ٱلْكِتَٰبَ ٱلَّذِينَ ٱصْطَفَيْنَا مِنْ عِبَادِنَا ۖ فَمِنْهُمْ ظَالِمٌۭ لِّنَفْسِهِۦ وَمِنْهُم مُّقْتَصِدٌۭ وَمِنْهُمْ سَابِقٌۢ بِٱلْخَيْرَٰتِ بِإِذْنِ ٱللَّهِ ۚ ذَٰلِكَ هُوَ ٱلْفَضْلُ ٱلْكَبِيرُ",
              "translate_bn": "অতঃপর আমি কিতাবের অধিকারী করেছি তাদেরকে যাদেরকে আমি আমার বান্দাদের মধ্য থেকে মনোনীত করেছি। তাদের কেউ কেউ নিজের প্রতি অত্যাচারী, কেউ মধ্যপন্থা অবলম্বনকারী এবং তাদের মধ্যে কেউ কেউ আল্লাহর নির্দেশক্রমে কল্যাণের পথে এগিয়ে গেছে। এটাই মহা অনুগ্রহ।",
              "numberInSurah": 32,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আওরাছনাল কিতা-বাল্লাযীনাসতাফাইনা মিন ‘ইবা-দিনা- ফামিনহুম জালিমুললিনাফছিহী ওয়া মিনহুম মুকতাছিদুওঁ ওয়া মিনহুম ছা-বিকুম বিলখাইরা-তি বিইযনিল্লা-হি যা-লিকা হুওয়াল ফাদলুল কাবীর।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَوْرَثْنَا/أَوۡرَثۡنَا/awrathna//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اصْطَفَیْنَا/ٱصۡطَفَيۡنَا/is'tafayna//مِنْ/مِنۡ/min//عِبَادِنَا ۚ/عِبَادِنَاۖ/ibadina//فَمِنْهُمْ/فَمِنۡهُمۡ/famin'hum//ظَالِمٌ/ظَالِمٞ/zalimun//لِّنَفْسِهٖ ۚ/لِّنَفۡسِهِۦ/linafsihi//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مُّقْتَصِدٌ ۚ/مُّقۡتَصِدٞ/muq'tasidun//وَ مِنْهُمْ/وَمِنۡهُمۡ/wamin'hum//سَابِقٌۢ/سَابِقُۢ/sabiqun//بِالْخَیْرٰتِ/بِٱلۡخَيۡرَٰتِ/bil-khayrati//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَضْلُ/ٱلۡفَضۡلُ/al-fadlu//الْكَبِیْرُؕ/ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "এরপর//আমরা উত্তরাধিকার বানিয়েছি//কিতাবের//( তাদেরকে ) যাদের//আমরা মনোনীত করেছি//মধ্য হ'তে//আমাদের দাসদের//অতঃপর তাদের মধ্যে//(কেউ হয়েছে) অত্যাচারী//তার নিজের প্রতি//আবার তাদের মধ্য (রয়েছে)//(কেউ) মধ্যপন্থী//আবার তাদের মধ্যে (রয়েছে)//(কেউ) অগ্রগামী//কল্যাণকর কাজসমূহে//অনুমতিক্রমে//আল্লাহর//এটাই//সেই//অনুগ্রহ//মহা"
            },
            {
              "number": 3693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3693.mp3"
              ],
              "text": "جَنَّٰتُ عَدْنٍۢ يَدْخُلُونَهَا يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍۢ وَلُؤْلُؤًۭا ۖ وَلِبَاسُهُمْ فِيهَا حَرِيرٌۭ",
              "translate_bn": "তারা প্রবেশ করবে বসবাসের জান্নাতে। তথায় তারা স্বর্ণনির্মিত, মোতি খচিত কংকন দ্বারা অলংকৃত হবে। সেখানে তাদের পোশাক হবে রেশমের।",
              "numberInSurah": 33,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "জান্না-তু‘আদনিইঁ ইয়াদখুলূনাহা-ইউহাল্লাওনা ফীহা-মিন আছা-বিরা মিন যাহাবিওঁ ওয়ালু’লুওয়া- ওয়া লিবা-ছুহুম ফীহা-হারীর।",
              "words_arabic": "جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//یَّدْخُلُوْنَهَا/يَدۡخُلُونَهَا/yadkhulunaha//یُحَلَّوْنَ/يُحَلَّوۡنَ/yuhallawna//فِیْهَا/فِيهَا/fiha//مِنْ/مِنۡ/min//اَسَاوِرَ/أَسَاوِرَ/asawira//مِنْ/مِن/min//ذَهَبٍ/ذَهَبٖ/dhahabin//وَّ لُؤْلُؤًا ۚ/وَلُؤۡلُؤٗاۖ/walu'lu-an//وَ لِبَاسُهُمْ/وَلِبَاسُهُمۡ/walibasuhum//فِیْهَا/فِيهَا/fiha//حَرِیْرٌ /حَرِيرٞ/harirun",
              "words_bangla": "বেহেশতসমূহ (রয়েছে)//স্থায়ী//তাতে তারা প্রবেশ করবে//অলংকৃত করা হবে(তাদেরকে)//তার মধ্যে//দিয়ে//বালা//দ্বারা (নির্মিত)//স্বর্ণের//ও মনি মুক্তার//এবং তাদের পোশাক (হবে)//তার মধ্যে//রেশমের"
            },
            {
              "number": 3694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3694.mp3"
              ],
              "text": "وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِىٓ أَذْهَبَ عَنَّا ٱلْحَزَنَ ۖ إِنَّ رَبَّنَا لَغَفُورٌۭ شَكُورٌ",
              "translate_bn": "আর তারা বলবে-সমস্ত প্রশংসা আল্লাহর, যিনি আমাদের দূঃখ দূর করেছেন। নিশ্চয় আমাদের পালনকর্তা ক্ষমাশীল, গুণগ্রাহী।",
              "numberInSurah": 34,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লুল হামদুলিল্লা-হিল্লাযী আযহাবা ‘আন্নাল হাঝানা ইন্না রাব্বানালাগাফূরুন শাকূর।",
              "words_arabic": "وَ قَالُوا/وَقَالُواْ/waqalu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَذْهَبَ/أَذۡهَبَ/adhhaba//عَنَّا/عَنَّا/anna//الْحَزَنَ ؕ/ٱلۡحَزَنَۖ/al-hazana//اِنَّ/إِنَّ/inna//رَبَّنَا/رَبَّنَا/rabbana//لَغَفُوْرٌ/لَغَفُورٞ/laghafurun//شَكُوْرُۙ/شَكُورٌ/shakurun",
              "words_bangla": "এবং তারা বলবে//\"সব প্রশংসা//আল্লাহর-ই জন্য//যিনি//দূর করেছেন//আমাদের থেকে//দুশ্চিন্তা//নিশ্চয়ই//আমাদের রব//অবশ্যই ক্ষমাশীল//গুণগ্রাহী"
            },
            {
              "number": 3695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3695.mp3"
              ],
              "text": "ٱلَّذِىٓ أَحَلَّنَا دَارَ ٱلْمُقَامَةِ مِن فَضْلِهِۦ لَا يَمَسُّنَا فِيهَا نَصَبٌۭ وَلَا يَمَسُّنَا فِيهَا لُغُوبٌۭ",
              "translate_bn": "যিনি স্বীয় অনুগ্রহে আমাদেরকে বসবাসের গৃহে স্থান দিয়েছেন, তথায় কষ্ট আমাদেরকে স্পর্শ করে না এবং স্পর্শ করে না ক্লান্তি।",
              "numberInSurah": 35,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীআহাল্লানা-দা-রাল মুকা-মাতি মিন ফাদলিহী লা-ইয়ামাছছুনা-ফীহানাসাবুওঁ ওয়ালা-ইয়ামাছছুনা ফীহা-লুগূব।",
              "words_arabic": "ِ۟الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَحَلَّنَا/أَحَلَّنَا/ahallana//دَارَ/دَارَ/dara//الْمُقَامَةِ/ٱلۡمُقَامَةِ/al-muqamati//مِنْ/مِن/min//فَضْلِهٖ ۚ/فَضۡلِهِۦ/fadlihi//لَا/لَا/la//یَمَسُّنَا/يَمَسُّنَا/yamassuna//فِیْهَا/فِيهَا/fiha//نَصَبٌ/نَصَبٞ/nasabun//وَّ لَا/وَلَا/wala//یَمَسُّنَا/يَمَسُّنَا/yamassuna//فِیْهَا/فِيهَا/fiha//لُغُوْبٌ /لُغُوبٞ/lughubun",
              "words_bangla": "যিনি//আমাদের জন্যে স্হান দিয়েছেন//আরাম//স্হায়ী//অনুগ্রহের মাধ্যমে//তাঁর//না//আমাদের স্পর্শ করবে//তার মধ্যে//কোনো কষ্ট//আর না//আমাদেরকে স্পর্শ করবে//তার মধ্যে//কোনো ক্লান্তি\""
            },
            {
              "number": 3696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3696.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ لَهُمْ نَارُ جَهَنَّمَ لَا يُقْضَىٰ عَلَيْهِمْ فَيَمُوتُوا۟ وَلَا يُخَفَّفُ عَنْهُم مِّنْ عَذَابِهَا ۚ كَذَٰلِكَ نَجْزِى كُلَّ كَفُورٍۢ",
              "translate_bn": "আর যারা কাফের হয়েছে, তাদের জন্যে রয়েছে জাহান্নামের আগুন। তাদেরকে মৃত্যুর আদেশও দেয়া হবে না যে, তারা মরে যাবে এবং তাদের থেকে তার শাস্তিও লাঘব করা হবে না। আমি প্রত্যেক অকৃতজ্ঞকে এভাবেই শাস্তি দিয়ে থাকি।",
              "numberInSurah": 36,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূলাহুম না-রু জাহান্নামা লা-ইউকদা-‘আলাইহিম ফাইয়ামূতূ ওয়ালা-ইউখাফফাফু‘আনহুম মিন ‘আযা-বিহা- কাযা-লিকা নাজঝী কুল্লা কাফূর।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَهُمْ/لَهُمۡ/lahum//نَارُ/نَارُ/naru//جَهَنَّمَ ۚ/جَهَنَّمَ/jahannama//لَا/لَا/la//یُقْضٰی/يُقۡضَىٰ/yuq'da//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//فَیَمُوْتُوْا/فَيَمُوتُواْ/fayamutu//وَ لَا/وَلَا/wala//یُخَفَّفُ/يُخَفَّفُ/yukhaffafu//عَنْهُمْ/عَنۡهُم/anhum//مِّنْ/مِّنۡ/min//عَذَابِهَا ؕ/عَذَابِهَاۚ/adhabiha//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِیْ/نَجۡزِي/najzi//كُلَّ/كُلَّ/kulla//كَفُوْرٍۚ/كَفُورٖ/kafurin",
              "words_bangla": "এবং যারা//অবিশ্বাস করেছে//তাদের জন্যে (রয়েছে)//আগুন//জাহান্নামের//না//আদেশ দেয়া হবে(মৃত্যু)//তাদের উপর//যে তারা মরবে//আর না//হাল্কা করা হবে//তাদের থেকে//কিছু//তার শাস্তি//এরূপে//প্রতিফল দিই আমরা//প্রত্যেকে//অকৃতজ্ঞকে"
            },
            {
              "number": 3697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3697.mp3"
              ],
              "text": "وَهُمْ يَصْطَرِخُونَ فِيهَا رَبَّنَآ أَخْرِجْنَا نَعْمَلْ صَٰلِحًا غَيْرَ ٱلَّذِى كُنَّا نَعْمَلُ ۚ أَوَلَمْ نُعَمِّرْكُم مَّا يَتَذَكَّرُ فِيهِ مَن تَذَكَّرَ وَجَآءَكُمُ ٱلنَّذِيرُ ۖ فَذُوقُوا۟ فَمَا لِلظَّٰلِمِينَ مِن نَّصِيرٍ",
              "translate_bn": "সেখানে তারা আর্ত চিৎকার করে বলবে, হে আমাদের পালনকর্তা, বের করুন আমাদেরকে, আমরা সৎকাজ করব, পূর্বে যা করতাম, তা করব না। (আল্লাহ বলবেন) আমি কি তোমাদেরকে এতটা বয়স দেইনি, যাতে যা চিন্তা করার বিষয় চিন্তা করতে পারতে? উপরন্তু তোমাদের কাছে সতর্ককারীও আগমন করেছিল। অতএব আস্বাদন কর। জালেমদের জন্যে কোন সাহায্যকারী নেই।",
              "numberInSurah": 37,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 379,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুম ইয়াসতারিখূনা ফীহা- রাব্বানাআখরিজনা-না‘মাল সা-লিহান গাইরাল্লাযী কুন্না-না‘মালু আওয়ালাম নু‘আম্মির কুম মা-ইয়াতাযাক্কারু ফীহি মান তাযাক্কারা ওয়াজাআ কুমুন নাযীরু ফাযূকূফামা-লিজ্জা-লিমীনা মিন নাসীর।",
              "words_arabic": "وَ هُمْ/وَهُمۡ/wahum//یَصْطَرِخُوْنَ/يَصۡطَرِخُونَ/yastarikhuna//فِیْهَا ۚ/فِيهَا/fiha//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَخْرِجْنَا/أَخۡرِجۡنَا/akhrij'na//نَعْمَلْ/نَعۡمَلۡ/na'mal//صَالِحًا/صَٰلِحًا/salihan//غَیْرَ/غَيۡرَ/ghayra//الَّذِیْ/ٱلَّذِي/alladhi//كُنَّا/كُنَّا/kunna//نَعْمَلُ ؕ/نَعۡمَلُۚ/na'malu//اَوَ لَمْ/أَوَلَمۡ/awalam//نُعَمِّرْكُمْ/نُعَمِّرۡكُم/nu'ammir'kum//مَّا/مَّا/ma//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//فِیْهِ/فِيهِ/fihi//مَنْ/مَن/man//تَذَكَّرَ/تَذَكَّرَ/tadhakkara//وَ جَآءَكُمُ/وَجَآءَكُمُ/wajaakumu//النَّذِیْرُ ؕ/ٱلنَّذِيرُۖ/al-nadhiru//فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//فَمَا/فَمَا/fama//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِن/min//نَّصِیْرٍ۠/نَّصِيرٍ/nasirin",
              "words_bangla": "এবং তারা//চিৎকার করে বলবে//তার মধ্যে//\"হে আমাদের রব//আমাদেরকে বের করুন//আমরা কাজ করবো//সৎ//(তা হ'তে)ভিন্নতর//যা//আমরা//করতেছিলাম\"//(বলা হবে) নি কি//তোমাদের আমরা আয়ু বৃদ্ধি করেছি//যাতে//শিক্ষা গ্রহণ করতে//তার মধ্যে//কেউ//শিক্ষা নিতে (চাইলে)//এবং তোমাদের (কাছে) এসেছিলেন//সতর্ককারী//সুতরাং তোমরা স্বাদ নাও//অতঃপর নাই//সীমালঙ্ঘনকারীদের জন্যে//কোনো//সাহায্যকারী"
            },
            {
              "number": 3698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3698.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ عَٰلِمُ غَيْبِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "আল্লাহ আসমান ও যমীনের অদৃশ্য বিষয় সম্পর্কে জ্ঞাত। তিনি অন্তরের বিষয় সম্পর্কেও সবিশেষ অবহিত।",
              "numberInSurah": 38,
              "juz": 22,
              "manzil": 5,
              "page": 438,
              "ruku": 380,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ‘আ-লিমুগাইবিছছামা-ওয়া-তি ওয়াল আরদি ইন্নাহূ‘আলীমুম বিযা-তিস সুদূ র।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عٰلِمُ/عَٰلِمُ/alimu//غَیْبِ/غَيۡبِ/ghaybi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//অবগত//গোপন রহস্যের//আকাশের//ও পৃথিবীর//তিনি নিশ্চযই়//খুব অবহিত//অবস্থা সম্পর্কে//অন্তরসমূহের"
            },
            {
              "number": 3699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3699.mp3"
              ],
              "text": "هُوَ ٱلَّذِى جَعَلَكُمْ خَلَٰٓئِفَ فِى ٱلْأَرْضِ ۚ فَمَن كَفَرَ فَعَلَيْهِ كُفْرُهُۥ ۖ وَلَا يَزِيدُ ٱلْكَٰفِرِينَ كُفْرُهُمْ عِندَ رَبِّهِمْ إِلَّا مَقْتًۭا ۖ وَلَا يَزِيدُ ٱلْكَٰفِرِينَ كُفْرُهُمْ إِلَّا خَسَارًۭا",
              "translate_bn": "তিনিই তোমাদেরকে পৃথিবীতে স্বীয় প্রতিনিধি করেছেন। অতএব যে কুফরী করবে তার কুফরী তার উপরই বর্তাবে। কাফেরদের কুফর কেবল তাদের পালনকর্তার ক্রোধই বৃদ্ধি করে এবং কাফেরদের কুফর কেবল তাদের ক্ষতিই বৃদ্ধি করে।",
              "numberInSurah": 39,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী জা‘আলাকুম খালাইফা ফিল আরদি ফামান কাফারা ফা‘আলাইহি কুফরুহূ ওয়ালা-ইয়াঝীদুল কা-ফিরীনা কুফরুহুম ‘ইনদা রাব্বিহিম ইল্লা-মাকতাওঁ ওয়ালাইয়াঝীদুল কা-ফিরীনা কুফরুহুম ইল্লা-খাছা-রা-।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَكُمْ/جَعَلَكُمۡ/ja'alakum//خَلٰٓىِٕفَ/خَلَـٰٓئِفَ/khalaifa//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//فَمَنْ/فَمَن/faman//كَفَرَ/كَفَرَ/kafara//فَعَلَیْهِ/فَعَلَيۡهِ/fa'alayhi//كُفْرُهٗ ؕ/كُفۡرُهُۥۖ/kuf'ruhu//وَ لَا/وَلَا/wala//یَزِیْدُ/يَزِيدُ/yazidu//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//كُفْرُهُمْ/كُفۡرُهُمۡ/kuf'ruhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//اِلَّا/إِلَّا/illa//مَقْتًا ۚ/مَقۡتٗاۖ/maqtan//وَ لَا/وَلَا/wala//یَزِیْدُ/يَزِيدُ/yazidu//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//كُفْرُهُمْ/كُفۡرُهُمۡ/kuf'ruhum//اِلَّا/إِلَّا/illa//خَسَارًا /خَسَارٗا/khasaran",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//তোমাদেরকে বানিয়েছেন//প্রতিনিধি হিসেবে//মধ্যে//পৃথিবীর//অতঃপর যে//অবিশ্বাস করলো//তার উপর তখন (পড়বে)//তার অবিশ্বাসের (শাস্তি)//এবং না//বৃদ্ধি করে//কাফেরদেরকে//অবিশ্বাস তাদের//কাছে//তাদের রবের//এ ছাড়া//ক্রোধ//আর না//বৃদ্ধি করবে//কাফেরদেরকে//তাদের অবিশ্বাস//এ ছাড়া//ক্ষতি"
            },
            {
              "number": 3700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3700.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ شُرَكَآءَكُمُ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ أَرُونِى مَاذَا خَلَقُوا۟ مِنَ ٱلْأَرْضِ أَمْ لَهُمْ شِرْكٌۭ فِى ٱلسَّمَٰوَٰتِ أَمْ ءَاتَيْنَٰهُمْ كِتَٰبًۭا فَهُمْ عَلَىٰ بَيِّنَتٍۢ مِّنْهُ ۚ بَلْ إِن يَعِدُ ٱلظَّٰلِمُونَ بَعْضُهُم بَعْضًا إِلَّا غُرُورًا",
              "translate_bn": "বলুন, তোমরা কি তোমাদের সে শরীকদের কথা ভেবে দেখেছ, যাদেরকে আল্লাহর পরিবর্তে তোমরা ডাক? তারা পৃথিবীতে কিছু সৃষ্টি করে থাকলে আমাকে দেখাও। না আসমান সৃষ্টিতে তাদের কোন অংশ আছে, না আমি তাদেরকে কোন কিতাব দিয়েছি যে, তারা তার দলীলের উপর কায়েম রয়েছে, বরং জালেমরা একে অপরকে কেবল প্রতারণামূলক ওয়াদা দিয়ে থাকে।",
              "numberInSurah": 40,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 175,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম শুরাকাআকুমুল্লাযীনা তাদ‘ঊনা মিন দূ নিল্লা-হি আরূনী মা-যাখালাকূমিনাল আরদিআম লাহুম শিরকুন ফিছ ছামা-ওয়া-তি আম আ-তাইনা-হুম কিতা-বান ফাহুম ‘আলা-বাইয়িনাতিম মিনহু বাল ইয়ঁইয়া‘ইদুজ্জা-লিমূনা বা‘দুহুম বা‘দান ইল্লা-গুরূরা",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//شُرَكَآءَكُمُ/شُرَكَآءَكُمُ/shurakaakumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//اَرُوْنِیْ/أَرُونِي/aruni//مَا ذَا/مَاذَا/madha//خَلَقُوْا/خَلَقُواْ/khalaqu//مِنَ/مِنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//شِرْكٌ/شِرۡكٞ/shir'kun//فِی/فِي/fi//السَّمٰوٰتِ ۚ/ٱلسَّمَٰوَٰتِ/al-samawati//اَمْ/أَمۡ/am//اٰتَیْنٰهُمْ/ءَاتَيۡنَٰهُمۡ/ataynahum//كِتٰبًا/كِتَٰبٗا/kitaban//فَهُمْ/فَهُمۡ/fahum//عَلٰی/عَلَىٰ/ala//بَیِّنَتٍ/بَيِّنَتٖ/bayyinatin//مِّنْهُ ۚ/مِّنۡهُۚ/min'hu//بَلْ/بَلۡ/bal//اِنْ/إِن/in//یَّعِدُ/يَعِدُ/ya'idu//الظّٰلِمُوْنَ/ٱلظَّـٰلِمُونَ/al-zalimuna//بَعْضُهُمْ/بَعۡضُهُم/ba'duhum//بَعْضًا/بَعۡضًا/ba'dan//اِلَّا/إِلَّا/illa//غُرُوْرًا /غُرُورًا/ghururan",
              "words_bangla": "বলো//\"তোমরা (ভেবে) দেখেছো কি//তোমাদের শরীকদেরকে//যাদের//তোমরা ডেকে থাকো//মধ্য হতে//ছাড়া//আল্লাহকে\"//আমাকে দেখাও//কি//তারা সৃষ্টি করেছে//কিছু//পৃথিবীতে//বা//তাদের জন্যে (আছে)//অংশ//মধ্যে//আকাশের//অথবা//তাদেরকে আমরা দিয়েছি//কোনো কিতাব//অতঃপর তারা//(প্রতিষ্ঠিত) উপর//প্রমাণের//তা থেকে//বরং//না//প্রতিশ্রুতি দেয়//সীমালঙ্ঘনকারীরা//তাদের একে//অপরকে//এ ছাড়া//ধোঁকা"
            },
            {
              "number": 3701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3701.mp3"
              ],
              "text": "۞ إِنَّ ٱللَّهَ يُمْسِكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ أَن تَزُولَا ۚ وَلَئِن زَالَتَآ إِنْ أَمْسَكَهُمَا مِنْ أَحَدٍۢ مِّنۢ بَعْدِهِۦٓ ۚ إِنَّهُۥ كَانَ حَلِيمًا غَفُورًۭا",
              "translate_bn": "নিশ্চয় আল্লাহ আসমান ও যমীনকে স্থির রাখেন, যাতে টলে না যায়। যদি এগুলো টলে যায় তবে তিনি ব্যতীত কে এগুলোকে স্থির রাখবে? তিনি সহনশীল, ক্ষমাশীল।",
              "numberInSurah": 41,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউমছিকুছ ছামা-ওয়া-তি ওয়াল আরদা আন তাঝূলা- ওয়ালাইন ঝালাতাইন আমছাকাহুমা-মিন আহাদিম মিম বা‘দিহী ইন্নাহূকা-না হালীমান গাফূরা-।\r\n",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُمْسِكُ/يُمۡسِكُ/yum'siku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//اَنْ/أَن/an//تَزُوْلَا ۚ۬/تَزُولَاۚ/tazula//وَ لَىِٕنْ/وَلَئِن/wala-in//زَالَتَاۤ/زَالَتَآ/zalata//اِنْ/إِنۡ/in//اَمْسَكَهُمَا/أَمۡسَكَهُمَا/amsakahuma//مِنْ/مِنۡ/min//اَحَدٍ/أَحَدٖ/ahadin//مِّنْۢ/مِّنۢ/min//بَعْدِهٖ ؕ/بَعۡدِهِۦٓۚ/ba'dihi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//حَلِیْمًا/حَلِيمًا/haliman//غَفُوْرًا /غَفُورٗا/ghafuran",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//স্হিরভাবে ধরে রেখেছেন//আকাশকে//ও পৃথিবীকে//যেন (না)//কক্ষচ্যুত হয়//আর অবশ্য যদি//কক্ষচ্যুত হয়//না//উভয়কে স্হিরভাবে ধরে রাখতে পারবে//মধ্য হতে//কেউ//থেকে//তাঁর পরে//নিশ্চয়ই তিনি//হলেন//সহনশীল//ক্ষমাশীল"
            },
            {
              "number": 3702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3702.mp3"
              ],
              "text": "وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَٰنِهِمْ لَئِن جَآءَهُمْ نَذِيرٌۭ لَّيَكُونُنَّ أَهْدَىٰ مِنْ إِحْدَى ٱلْأُمَمِ ۖ فَلَمَّا جَآءَهُمْ نَذِيرٌۭ مَّا زَادَهُمْ إِلَّا نُفُورًا",
              "translate_bn": "তারা জোর শপথ করে বলত, তাদের কাছে কোন সতর্ককারী আগমন করলে তারা অন্য যে কোন সম্প্রদায় অপেক্ষা অধিকতর সৎপথে চলবে। অতঃপর যখন তাদের কাছে সতর্ককারী আগমন করল, তখন তাদের ঘৃণাই কেবল বেড়ে গেল।",
              "numberInSurah": 42,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকছামূবিল্লা-হি জাহদা আইমা-নিহিম লাইন জাআহুম নাযীরুল্লাইয়াকূনুন্না আহদামিন ইহদাল উমামি ফালাম্মা-জাআহুম নাযীরুম মা-ঝা-দাহুম ইল্লা-নুফূরা-।",
              "words_arabic": "وَ اَقْسَمُوْا/وَأَقۡسَمُواْ/wa-aqsamu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//جَهْدَ/جَهۡدَ/jahda//اَیْمَانِهِمْ/أَيۡمَٰنِهِمۡ/aymanihim//لَىِٕنْ/لَئِن/la-in//جَآءَهُمْ/جَآءَهُمۡ/jaahum//نَذِیْرٌ/نَذِيرٞ/nadhirun//لَّیَكُوْنُنَّ/لَّيَكُونُنَّ/layakununna//اَهْدٰی/أَهۡدَىٰ/ahda//مِنْ/مِنۡ/min//اِحْدَی/إِحۡدَى/ih'da//الْاُمَمِ ۚ/ٱلۡأُمَمِۖ/al-umami//فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُمۡ/jaahum//نَذِیْرٌ/نَذِيرٞ/nadhirun//مَّا/مَّا/ma//زَادَهُمْ/زَادَهُمۡ/zadahum//اِلَّا/إِلَّا/illa//نُفُوْرَاۙ/نُفُورًا/nufuran",
              "words_bangla": "এবং তারা শপথ করে//আল্লাহর (নামে)//কড়া//তাদের শপথসমূহ//অবশ্যই যদি//তাদের কাছে আসেন//কোনো সতর্ককারী//তারা হবে অবশ্যই//অধিকতর সৎপথে//চেয়েও//যে কোনোটির//(অন্যান্য) জাতিগুলোর//অতঃপর যখন//তাদের কাছে আসলেন//সতর্ককারী//না//তাদের বৃদ্ধি করেছে//এ ছাড়া//পালনো"
            },
            {
              "number": 3703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3703.mp3"
              ],
              "text": "ٱسْتِكْبَارًۭا فِى ٱلْأَرْضِ وَمَكْرَ ٱلسَّيِّئِ ۚ وَلَا يَحِيقُ ٱلْمَكْرُ ٱلسَّيِّئُ إِلَّا بِأَهْلِهِۦ ۚ فَهَلْ يَنظُرُونَ إِلَّا سُنَّتَ ٱلْأَوَّلِينَ ۚ فَلَن تَجِدَ لِسُنَّتِ ٱللَّهِ تَبْدِيلًۭا ۖ وَلَن تَجِدَ لِسُنَّتِ ٱللَّهِ تَحْوِيلًا",
              "translate_bn": "পৃথিবীতে ঔদ্ধত্যের কারণে এবং কুচক্রের কারণে। কুচক্র কুচক্রীদেরকেই ঘিরে ধরে। তারা কেবল পূর্ববর্তীদের দশারই অপেক্ষা করছে। অতএব আপনি আল্লাহর বিধানে পরিবর্তন পাবেন না এবং আল্লাহর রীতি-নীতিতে কোন রকম বিচ্যুতিও পাবেন না।",
              "numberInSurah": 43,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইছতিকবা-রান ফিল আরদিওয়ামাকরাছ ছাইয়িয়ি ওয়ালা-ইয়াহীকুল মাকরুছ ছাইয়িইউ ইল্লা-বিআহলিহী ফাহাল ইয়ানজু রূনা ইল্লা-ছুন্নাতাল আওওয়ালীনা ফালান তাজিদা লিছুন্নাতিল্লা-হি তাবদীলাওঁ ওয়ালান তাজিদা লিছুন্নাতিল্লা-হি তাহবীলা-।",
              "words_arabic": "ِ۟اسْتِكْبَارًا/ٱسۡتِكۡبَارٗا/is'tik'baran//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَكْرَ/وَمَكۡرَ/wamakra//السَّیِّئِ ؕ/ٱلسَّيِّيِٕۚ/al-sayi-i//وَ لَا/وَلَا/wala//یَحِیْقُ/يَحِيقُ/yahiqu//الْمَكْرُ/ٱلۡمَكۡرُ/al-makru//السَّیِّئُ/ٱلسَّيِّئُ/al-sayi-u//اِلَّا/إِلَّا/illa//بِاَهْلِهٖ ؕ/بِأَهۡلِهِۦۚ/bi-ahlihi//فَهَلْ/فَهَلۡ/fahal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّا/إِلَّا/illa//سُنَّتَ/سُنَّتَ/sunnata//الْاَوَّلِیْنَ ۚ/ٱلۡأَوَّلِينَۚ/al-awalina//فَلَنْ/فَلَن/falan//تَجِدَ/تَجِدَ/tajida//لِسُنَّتِ/لِسُنَّتِ/lisunnati//اللّٰهِ/ٱللَّهِ/al-lahi//تَبْدِیْلًا ۚ۬/تَبۡدِيلٗاۖ/tabdilan//وَ لَنْ/وَلَن/walan//تَجِدَ/تَجِدَ/tajida//لِسُنَّتِ/لِسُنَّتِ/lisunnati//اللّٰهِ/ٱللَّهِ/al-lahi//تَحْوِیْلًا /تَحۡوِيلًا/tahwilan",
              "words_bangla": "ঔদ্ধত্য প্রকাশ করে//মধ্যে//পৃথিবীর//ও ষড়যন্ত্র (এঁটে)//নিকৃষ্ট//অথচ না//ঘিরে ধরে//ষড়যন্ত্র//নিকৃষ্ট//কিন্তু//তার উদ্যোক্তাদেরই//তবে কি//তারা অপেক্ষা করছে//এ ছাড়া যে//বিধানের//পূর্ববর্তীদের (ক্ষেত্রে গৃহীত)//তখন কখনও না//পাবে তুমি//বিধানের ক্ষেত্রে//আল্লাহর//কোনো পরিবর্তন//এবং কখনও না//পাবে তুমি//বিধানে//আল্লাহর//ব্যতিক্রম"
            },
            {
              "number": 3704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3704.mp3"
              ],
              "text": "أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ وَكَانُوٓا۟ أَشَدَّ مِنْهُمْ قُوَّةًۭ ۚ وَمَا كَانَ ٱللَّهُ لِيُعْجِزَهُۥ مِن شَىْءٍۢ فِى ٱلسَّمَٰوَٰتِ وَلَا فِى ٱلْأَرْضِ ۚ إِنَّهُۥ كَانَ عَلِيمًۭا قَدِيرًۭا",
              "translate_bn": "তারা কি পৃথিবীতে ভ্রমণ করে না? করলে দেখত তাদের পূর্ববর্তীদের কি পরিণাম হয়েছে। অথচ তারা তাদের অপেক্ষা অধিকতর শক্তিশালী ছিল। আকাশ ও পৃথিবীতে কোন কিছুই আল্লাহকে অপারগ করতে পারে না। নিশ্চয় তিনি সর্বজ্ঞ সর্বশক্তিমান।",
              "numberInSurah": 44,
              "juz": 22,
              "manzil": 5,
              "page": 439,
              "ruku": 380,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়াছীরূফিল আরদিফাইয়ানজুরূকাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলিহিম ওয়া কা-নূআশাদ্দা মিনহুম কুওওয়াতাওঁ ওয়ামা-কা-নাল্লা-হু লিইউ‘জিঝাহূ মিন শাইয়িন ফিছ ছামা-ওয়া-তি ওয়ালা-ফিল আরদি ইন্নাহূকা-না ‘আলীমান কাদীরা-।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//وَ كَانُوْۤا/وَكَانُوٓاْ/wakanu//اَشَدَّ/أَشَدَّ/ashadda//مِنْهُمْ/مِنۡهُمۡ/min'hum//قُوَّةً ؕ/قُوَّةٗۚ/quwwatan//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//لِیُعْجِزَهٗ/لِيُعۡجِزَهُۥ/liyu'jizahu//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ لَا/وَلَا/wala//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمٗا/aliman//قَدِیْرًا /قَدِيرٗا/qadiran",
              "words_bangla": "নি কি//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//তারা তখন দেখে (নাই কি)//কেমন//ছিলো//পরিণাম//তাদের (যারা)//পূর্বে ছিলো//তাদের//অথচ তারা ছিলো//অনেক বেশী কঠোর//এদের চেয়েও//শক্তিতে//এবং নন//ছিল//আল্লাহ (এমন যে)//তাঁকে অক্ষম করতে পারে//কোনো//কিছুই//মধ্যেকার//আকাশের//আর না//(কোন কিছু) মধ্যকার//পৃথিবীর//তিনি নিশ্চয়ই//হলেন//মহাজ্ঞানী//সর্বশক্তিমান"
            },
            {
              "number": 3705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3705.mp3"
              ],
              "text": "وَلَوْ يُؤَاخِذُ ٱللَّهُ ٱلنَّاسَ بِمَا كَسَبُوا۟ مَا تَرَكَ عَلَىٰ ظَهْرِهَا مِن دَآبَّةٍۢ وَلَٰكِن يُؤَخِّرُهُمْ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى ۖ فَإِذَا جَآءَ أَجَلُهُمْ فَإِنَّ ٱللَّهَ كَانَ بِعِبَادِهِۦ بَصِيرًۢا",
              "translate_bn": "যদি আল্লাহ মানুষকে তাদের কৃতকর্মের কারণে পাকড়াও করতেন, তবে ভুপৃষ্ঠে চলমানকাউকে ছেড়ে দিতেন না। কিন্তু তিনি এক নির্দিষ্ট মেয়াদ পর্যন্ত তাদেরকে অবকাশ দেন। অতঃপর যখন সে নির্দিষ্ট মেয়াদ এসে যাবে তখন আল্লাহর সব বান্দা তাঁর দৃষ্টিতে থাকবে।",
              "numberInSurah": 45,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 380,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও ইউআ-খিযু ল্লা-হুন্না-ছা বিমা-কাছাবূমা-তারাকা ‘আলা-জাহরিহা-মিন দাব্বাতিওঁ ওয়ালা-কিইঁ ইউআখখিরুহুম ইলাআজালিম মুছাম্মান ফাইযা-জাআ আজালুহুম ফাইন্নাল্লা-হা কা-না বি‘ইবা-দিহী বাসীরা।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//یُؤَاخِذُ/يُؤَاخِذُ/yuakhidhu//اللّٰهُ/ٱللَّهُ/al-lahu//النَّاسَ/ٱلنَّاسَ/al-nasa//بِمَا/بِمَا/bima//كَسَبُوْا/كَسَبُواْ/kasabu//مَا/مَا/ma//تَرَكَ/تَرَكَ/taraka//عَلٰی/عَلَىٰ/ala//ظَهْرِهَا/ظَهۡرِهَا/zahriha//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٖ/dabbatin//وَّ لٰكِنْ/وَلَٰكِن/walakin//یُّؤَخِّرُهُمْ/يُؤَخِّرُهُمۡ/yu-akhiruhum//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی ۚ/مُّسَمّٗىۖ/musamman//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//اَجَلُهُمْ/أَجَلُهُمۡ/ajaluhum//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//بَصِیْرًا۠/بَصِيرَۢا/basiran",
              "words_bangla": "এবং যদি//পাকড়াও করতেন//আল্লাহ//মানুষকে//এ কারণে যা//তারা কামাই করেছে//না//রেহাই দিতেন//উপর//তার পৃষ্ঠের//কোনো//চলমান প্রাণীকেই//কিন্তু//তাদের অবকাশ দিয়ে থাকেন তিনি//পর্যন্ত//একটা সময়//নির্দিষ্ট//অতঃপর যখন//আসবে//তাদের সময়//নিশ্চযই় তখন//আল্লাহ//হবেন//তাঁর দাসদের সম্পর্কে//খুব দেখেন (অর্থাৎ দেখে নিবেন)"
            }
          ]
        },
        {
          "number": 36,
          "name": "سُورَةُ يسٓ",
          "englishName": "Yaseen",
          "englishNameTranslation": "Yaseen",
          "revelationType": "Meccan",
          "verse": 83,
          "words": 1498,
          "chars": 6040,
          "ayahs": [
            {
              "number": 3706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3706.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يسٓ",
              "translate_bn": "ইয়া-সীন",
              "numberInSurah": 1,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইয়া-ছীন।",
              "words_arabic": "یٰسٓۚ/يسٓ/ya-seen",
              "words_bangla": "ইয়া-সীন।"
            },
            {
              "number": 3707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3707.mp3"
              ],
              "text": "وَٱلْقُرْءَانِ ٱلْحَكِيمِ",
              "translate_bn": "প্রজ্ঞাময় কোরআনের কসম।",
              "numberInSurah": 2,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কুরআ-নিল হাকীম।",
              "words_arabic": "وَ الْقُرْاٰنِ/وَٱلۡقُرۡءَانِ/wal-qur'ani//الْحَكِیْمِۙ/ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "শপথ কুরআনের (যা)//জ্ঞানময়  (বিজ্ঞানময়)।"
            },
            {
              "number": 3708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3708.mp3"
              ],
              "text": "إِنَّكَ لَمِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "নিশ্চয় আপনি প্রেরিত রসূলগণের একজন।",
              "numberInSurah": 3,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা লামিনাল মুরছালীন।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//لَمِنَ/لَمِنَ/lamina//الْمُرْسَلِیْنَۙ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "তুমি নিশ্চয়ই//অন্তর্ভুক্ত অবশ্যই//রাসূলদের।"
            },
            {
              "number": 3709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3709.mp3"
              ],
              "text": "عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "সরল পথে প্রতিষ্ঠিত।",
              "numberInSurah": 4,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "‘আলা-সিরাতিম মুছতাকীম।",
              "words_arabic": "عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍؕ/مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "(তুমি প্রতিষ্ঠিত) উপর//পথের//সরল সঠিক"
            },
            {
              "number": 3710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3710.mp3"
              ],
              "text": "تَنزِيلَ ٱلْعَزِيزِ ٱلرَّحِيمِ",
              "translate_bn": "কোরআন পরাক্রমশালী পরম দয়ালু আল্লাহর তরফ থেকে অবতীর্ণ,",
              "numberInSurah": 5,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "তানঝীলাল ‘আঝীঝির রাহীম।",
              "words_arabic": "تَنْزِیْلَ/تَنزِيلَ/tanzila//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الرَّحِیْمِۙ/ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "(এই কোরআন) অবতীর্ণ করা//পরাক্রমশালীর (পক্ষ হ'তে)//(যিনি) পরম দয়ালু"
            },
            {
              "number": 3711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3711.mp3"
              ],
              "text": "لِتُنذِرَ قَوْمًۭا مَّآ أُنذِرَ ءَابَآؤُهُمْ فَهُمْ غَٰفِلُونَ",
              "translate_bn": "যাতে আপনি এমন এক জাতিকে সতর্ক করেন, যাদের পূর্ব পুরুষগণকেও সতর্ক করা হয়নি। ফলে তারা গাফেল।",
              "numberInSurah": 6,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "লিতুনযিরা কাওমাম্মাউনযিরা আ-বাউহুম ফাহুম গা-ফিলূন।",
              "words_arabic": "لِتُنْذِرَ/لِتُنذِرَ/litundhira//قَوْمًا/قَوۡمٗا/qawman//مَّاۤ/مَّآ/ma//اُنْذِرَ/أُنذِرَ/undhira//اٰبَآؤُهُمْ/ءَابَآؤُهُمۡ/abauhum//فَهُمْ/فَهُمۡ/fahum//غٰفِلُوْنَ /غَٰفِلُونَ/ghafiluna",
              "words_bangla": "সতর্ক করো তুমি যেন//(এমন) জাতিকে//না//সতর্ক করা হয়েছে//তাদের পিতৃ-পুরুষদেরকে//অতএব তারা//উদাসীন (হয়ে আছে)"
            },
            {
              "number": 3712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3712.mp3"
              ],
              "text": "لَقَدْ حَقَّ ٱلْقَوْلُ عَلَىٰٓ أَكْثَرِهِمْ فَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "তাদের অধিকাংশের জন্যে শাস্তির বিষয় অবধারিত হয়েছে। সুতরাং তারা বিশ্বাস স্থাপন করবে না।",
              "numberInSurah": 7,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "লাকাদ হাক্কাল কাওলু‘আলাআকছারিহিম ফাহুম লা-ইউ’মিনূন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//حَقَّ/حَقَّ/haqqa//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//عَلٰۤی/عَلَىٰٓ/ala//اَكْثَرِهِمْ/أَكۡثَرِهِمۡ/aktharihim//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//অবধারিত হয়েছে//(শান্তির) বাণী//উপর//তাদের অধিক অংশের//সুতরাং তারা//না//ঈমান আনবে"
            },
            {
              "number": 3713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3713.mp3"
              ],
              "text": "إِنَّا جَعَلْنَا فِىٓ أَعْنَٰقِهِمْ أَغْلَٰلًۭا فَهِىَ إِلَى ٱلْأَذْقَانِ فَهُم مُّقْمَحُونَ",
              "translate_bn": "আমি তাদের গর্দানে চিবুক পর্যন্ত বেড়ী পরিয়েছি। ফলে তাদের মস্তক উর্দ্ধমুখী হয়ে গেছে।",
              "numberInSurah": 8,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্না- জা‘আলনা-ফী আ‘না-কিহিম আগলা-লান ফাহিয়া ইলাল আযকা-নি ফাহুম মুকমাহূন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//جَعَلْنَا/جَعَلۡنَا/ja'alna//فِیْۤ/فِيٓ/fi//اَعْنَاقِهِمْ/أَعۡنَٰقِهِمۡ/a'naqihim//اَغْلٰلًا/أَغۡلَٰلٗا/aghlalan//فَهِیَ/فَهِيَ/fahiya//اِلَی/إِلَى/ila//الْاَذْقَانِ/ٱلۡأَذۡقَانِ/al-adhqani//فَهُمْ/فَهُم/fahum//مُّقْمَحُوْنَ /مُّقۡمَحُونَ/muq'mahuna",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা লাগিয়েছি//উপর//তাদের গলায়//বেড়িসমূহ//তা তাই//(রয়েছে) পর্যন্ত//চিবুকগুলো (শৃঙ্খলিত হয়ে)//তারা এজন্য//ঊর্ধ্বমুখী (হয়ে আছে)"
            },
            {
              "number": 3714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3714.mp3"
              ],
              "text": "وَجَعَلْنَا مِنۢ بَيْنِ أَيْدِيهِمْ سَدًّۭا وَمِنْ خَلْفِهِمْ سَدًّۭا فَأَغْشَيْنَٰهُمْ فَهُمْ لَا يُبْصِرُونَ",
              "translate_bn": "আমি তাদের সামনে ও পিছনে প্রাচীর স্থাপন করেছি, অতঃপর তাদেরকে আবৃত করে দিয়েছি, ফলে তারা দেখে না।",
              "numberInSurah": 9,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আল না-মিম বাইনি আইদীহিম ছাদ্দাওঁ ওয়া মিন খালফিহিম ছাদ্দান ফাআগশাইনা-হুম ফাহুম লা-ইউবসিরূন।\r\n",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//سَدًّا/سَدّٗا/saddan//وَّ مِنْ/وَمِنۡ/wamin//خَلْفِهِمْ/خَلۡفِهِمۡ/khalfihim//سَدًّا/سَدّٗا/saddan//فَاَغْشَیْنٰهُمْ/فَأَغۡشَيۡنَٰهُمۡ/fa-aghshaynahum//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "এবং আমরা খাড়া করেছি//থেকে//সামনে//তাদের//প্রাচীর//ও থেকে//তাদের পিছন//প্রাচীর//তাদেরকে আমরা এভাবে ঢেকে দিয়েছি//তারা অতএব//না//দেখতে পায়"
            },
            {
              "number": 3715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3715.mp3"
              ],
              "text": "وَسَوَآءٌ عَلَيْهِمْ ءَأَنذَرْتَهُمْ أَمْ لَمْ تُنذِرْهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "আপনি তাদেরকে সতর্ক করুন বা না করুন, তাদের পক্ষে দুয়েই সমান; তারা বিশ্বাস স্থাপন করবে না।",
              "numberInSurah": 10,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাওয়াউন ‘আলাইহিম আ আনযারতাহুম আম লাম তুনযিরহুম লা-ইউ’মিনূন।",
              "words_arabic": "وَ سَوَآءٌ/وَسَوَآءٌ/wasawaon//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ءَاَنْذَرْتَهُمْ/ءَأَنذَرۡتَهُمۡ/a-andhartahum//اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//تُنْذِرْهُمْ/تُنذِرۡهُمۡ/tundhir'hum//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এবং সমান//তাদের পক্ষে//তাদের তুমি সতর্ক করো কি//বা//নি//তাদের সতর্ক করো তুমি//না//তারা ঈমান আনবে"
            },
            {
              "number": 3716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3716.mp3"
              ],
              "text": "إِنَّمَا تُنذِرُ مَنِ ٱتَّبَعَ ٱلذِّكْرَ وَخَشِىَ ٱلرَّحْمَٰنَ بِٱلْغَيْبِ ۖ فَبَشِّرْهُ بِمَغْفِرَةٍۢ وَأَجْرٍۢ كَرِيمٍ",
              "translate_bn": "আপনি কেবল তাদেরকেই সতর্ক করতে পারেন, যারা উপদেশ অনুসরণ করে এবং দয়াময় আল্লাহকে না দেখে ভয় করে। অতএব আপনি তাদেরকে সুসংবাদ দিয়ে দিন ক্ষমা ও সম্মানজনক পুরস্কারের।",
              "numberInSurah": 11,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-তুনযিরু মানিত্তাবা‘আযযিকরা ওয়া খাশিয়াররাহমা-না বিলগাইবি ফাবাশশিরহু বিমাগফিরাতিওঁ ওয়া আজরিন কারীম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//تُنْذِرُ/تُنذِرُ/tundhiru//مَنِ/مَنِ/mani//اتَّبَعَ/ٱتَّبَعَ/ittaba'a//الذِّكْرَ/ٱلذِّكۡرَ/al-dhik'ra//وَ خَشِیَ/وَخَشِيَ/wakhashiya//الرَّحْمٰنَ/ٱلرَّحۡمَٰنَ/al-rahmana//بِالْغَیْبِ ۚ/بِٱلۡغَيۡبِۖ/bil-ghaybi//فَبَشِّرْهُ/فَبَشِّرۡهُ/fabashir'hu//بِمَغْفِرَةٍ/بِمَغۡفِرَةٖ/bimaghfiratin//وَّ اَجْرٍ/وَأَجۡرٖ/wa-ajrin//كَرِیْمٍ /كَرِيمٍ/karimin",
              "words_bangla": "প্রকৃতপক্ষে//সতর্ক করো তুমি//(তাকে) যে//মেনে চলে//উপদেশ//ও ভয় করে//দয়াময়কে//না দেখা অবস্থায়//তাকে সুতরাং দাও সুসংবাদ//ক্ষমার//ও প্রতিফলের//সম্মানজনক"
            },
            {
              "number": 3717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3717.mp3"
              ],
              "text": "إِنَّا نَحْنُ نُحْىِ ٱلْمَوْتَىٰ وَنَكْتُبُ مَا قَدَّمُوا۟ وَءَاثَٰرَهُمْ ۚ وَكُلَّ شَىْءٍ أَحْصَيْنَٰهُ فِىٓ إِمَامٍۢ مُّبِينٍۢ",
              "translate_bn": "আমিই মৃতদেরকে জীবিত করি এবং তাদের কর্ম ও কীর্তিসমূহ লিপিবদ্ধ করি। আমি প্রত্যেক বস্তু স্পষ্ট কিতাবে সংরক্ষিত রেখেছি।",
              "numberInSurah": 12,
              "juz": 22,
              "manzil": 5,
              "page": 440,
              "ruku": 381,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্না-নাহনুনুহয়িল মাওতা-ওয়া নাকতুবুমা-কাদ্দামূওয়া আ-ছা-রাহুম ওয়া কুল্লা শাইয়িন আহসাইনা-হু ফীইমা-মিম মুবীন।\r\n",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَحْنُ/نَحۡنُ/nahnu//نُحْیِ/نُحۡيِ/nuh'yi//الْمَوْتٰی/ٱلۡمَوۡتَىٰ/al-mawta//وَ نَكْتُبُ/وَنَكۡتُبُ/wanaktubu//مَا/مَا/ma//قَدَّمُوْا/قَدَّمُواْ/qaddamu//وَ اٰثَارَهُمْ ؔؕ/وَءَاثَٰرَهُمۡۚ/waatharahum//وَ كُلَّ/وَكُلَّ/wakulla//شَیْءٍ/شَيۡءٍ/shayin//اَحْصَیْنٰهُ/أَحۡصَيۡنَٰهُ/ahsaynahu//فِیْۤ/فِيٓ/fi//اِمَامٍ/إِمَامٖ/imamin//مُّبِیْنٍ۠/مُّبِينٖ/mubinin",
              "words_bangla": "নিশ্চয়ই//আমরা//জীবিত করবো (একদিন)//মৃতদেরকে//এবং আমরা লিখে রাখি//যা//তারা আগে পাঠিয়েছে//ও তাদের কীর্তিসমূহ (যা পিছনে রেখেছে)//এবং প্রত্যেক//জিনিস//তা আমরা সংরক্ষণ করেছি//মধ্যে//একটি কিতাবের//সুস্পষ্ট"
            },
            {
              "number": 3718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3718.mp3"
              ],
              "text": "وَٱضْرِبْ لَهُم مَّثَلًا أَصْحَٰبَ ٱلْقَرْيَةِ إِذْ جَآءَهَا ٱلْمُرْسَلُونَ",
              "translate_bn": "আপনি তাদের কাছে সে জনপদের অধিবাসীদের দৃষ্টান্ত বর্ণনা করুন, যখন সেখানে রসূল আগমন করেছিলেন।",
              "numberInSurah": 13,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়াদরিব লাহুম মাছালান আসহা-বাল কারইয়াহ । ইযজাআহাল মুরছালূন।",
              "words_arabic": "وَ اضْرِبْ/وَٱضۡرِبۡ/wa-id'rib//لَهُمْ/لَهُم/lahum//مَّثَلًا/مَّثَلًا/mathalan//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْقَرْیَةِ ۘ/ٱلۡقَرۡيَةِ/al-qaryati//اِذْ/إِذۡ/idh//جَآءَهَا/جَآءَهَا/jaaha//الْمُرْسَلُوْنَۚ/ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "এবং বর্ণনা করো//তাদের কাছে//দৃষ্টান্ত//অধিবাসীদেরকে//জনপদের//যখন//সেখানে এসেছিলো//রাসূলগণ"
            },
            {
              "number": 3719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3719.mp3"
              ],
              "text": "إِذْ أَرْسَلْنَآ إِلَيْهِمُ ٱثْنَيْنِ فَكَذَّبُوهُمَا فَعَزَّزْنَا بِثَالِثٍۢ فَقَالُوٓا۟ إِنَّآ إِلَيْكُم مُّرْسَلُونَ",
              "translate_bn": "আমি তাদের নিকট দুজন রসূল প্রেরণ করেছিলাম, অতঃপর ওরা তাদেরকে মিথ্যা প্রতিপন্ন করল। তখন আমি তাদেরকে শক্তিশালী করলাম তৃতীয় একজনের মাধ্যমে। তারা সবাই বলল, আমরা তোমাদের প্রতি প্রেরিত হয়েছি।",
              "numberInSurah": 14,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইয আরছালনা ইলাইলিমুছনাইনি ফাকাযযাবূহুমা-ফা‘আঝঝাঝনা-বিছা-লিছিন ফাকালূইন্নাইলাউকুম মুরছালূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلَیْهِمُ/إِلَيۡهِمُ/ilayhimu//اثْنَیْنِ/ٱثۡنَيۡنِ/ith'nayni//فَكَذَّبُوْهُمَا/فَكَذَّبُوهُمَا/fakadhabuhuma//فَعَزَّزْنَا/فَعَزَّزۡنَا/fa'azzazna//بِثَالِثٍ/بِثَالِثٖ/bithalithin//فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اِنَّاۤ/إِنَّآ/inna//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مُّرْسَلُوْنَ /مُّرۡسَلُونَ/mur'saluna",
              "words_bangla": "যখন//আমরা পাঠিয়েছিলাম//তাদের প্রতি//দু'জনকে//তখন উভয়কে তারা মিথ্যারোপ করলো//আমরা শক্তিশালী করলাম তখন//তৃতীয়জনকে দিয়ে//তারা অতঃপর বললো//\"নিশ্চয়ই আমরা//তোমাদের প্রতি//প্রেরিত রাসূল\""
            },
            {
              "number": 3720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3720.mp3"
              ],
              "text": "قَالُوا۟ مَآ أَنتُمْ إِلَّا بَشَرٌۭ مِّثْلُنَا وَمَآ أَنزَلَ ٱلرَّحْمَٰنُ مِن شَىْءٍ إِنْ أَنتُمْ إِلَّا تَكْذِبُونَ",
              "translate_bn": "তারা বলল, তোমরা তো আমাদের মতই মানুষ, রহমান আল্লাহ কিছুই নাযিল করেননি। তোমরা কেবল মিথ্যাই বলে যাচ্ছ।",
              "numberInSurah": 15,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "কা-লূমাআনতুম ইল্লা-বাশারুম মিছলুনা- ওয়ামাআনঝালাররাহমা-নুমিনশাইয়িন ইন আনতুম ইল্লা-তাকযিবূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//مَاۤ/مَآ/ma//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُنَا ۙ/مِّثۡلُنَا/mith'luna//وَ مَاۤ/وَمَآ/wama//اَنْزَلَ/أَنزَلَ/anzala//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//مِنْ/مِن/min//شَیْءٍ ۙ/شَيۡءٍ/shayin//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//تَكْذِبُوْنَ /تَكۡذِبُونَ/takdhibuna",
              "words_bangla": "(লোকেরা) বললো//\"না//তোমরা//এছাড়া//মানুষ//আমাদেরই মতো//না এবং//অবতীর্ণ করেছেন//দয়াময়//কোনো//কিছুই//না//তোমরা//এছাড়া//মিথ্যা বলছো\""
            },
            {
              "number": 3721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3721.mp3"
              ],
              "text": "قَالُوا۟ رَبُّنَا يَعْلَمُ إِنَّآ إِلَيْكُمْ لَمُرْسَلُونَ",
              "translate_bn": "রাসূলগণ বলল, আমাদের পরওয়ারদেগার জানেন, আমরা অবশ্যই তোমাদের প্রতি প্রেরিত হয়েছি।",
              "numberInSurah": 16,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "কা-লূরাব্বুনা-ইয়া‘লামুইন্না-ইলাইকুম লামুরছালূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//رَبُّنَا/رَبُّنَا/rabbuna//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اِنَّاۤ/إِنَّآ/inna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//لَمُرْسَلُوْنَ /لَمُرۡسَلُونَ/lamur'saluna",
              "words_bangla": "(রাসূলগণ) বললেন//\"আমাদের রব//জানেন//নিশ্চযই় আমরা//তোমাদের প্রতি//প্রেরিত অবশ্যই (রাসূল হিসেবে)"
            },
            {
              "number": 3722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3722.mp3"
              ],
              "text": "وَمَا عَلَيْنَآ إِلَّا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "পরিস্কারভাবে আল্লাহর বাণী পৌছে দেয়াই আমাদের দায়িত্ব।",
              "numberInSurah": 17,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-‘আলাইনাইল্লাল বালা-গুল মুবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//عَلَیْنَاۤ/عَلَيۡنَآ/alayna//اِلَّا/إِلَّا/illa//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং না//আমাদের উপর (দায়িত্ব)//এ ব্যতীত//প্রচার//সুস্পষ্ট (পয়গাম)\""
            },
            {
              "number": 3723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3723.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّا تَطَيَّرْنَا بِكُمْ ۖ لَئِن لَّمْ تَنتَهُوا۟ لَنَرْجُمَنَّكُمْ وَلَيَمَسَّنَّكُم مِّنَّا عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তারা বলল, আমরা তোমাদেরকে অশুভ-অকল্যাণকর দেখছি। যদি তোমরা বিরত না হও, তবে অবশ্যই তোমাদেরকে প্রস্তর বর্ষণে হত্যা করব এবং আমাদের পক্ষ থেকে তোমাদেরকে যন্ত্রনাদায়ক শাস্তি স্পর্শ করবে।",
              "numberInSurah": 18,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্না-তাতাইয়ারনা বিকুম লাইল্লাম তানতাহূলানারজুমান্নাকুম ওয়ালাইয়ামাছছান্নাকুম মিন্না-‘আযা-বুন আলীম।\r\n",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//تَطَیَّرْنَا/تَطَيَّرۡنَا/tatayyarna//بِكُمْ ۚ/بِكُمۡۖ/bikum//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//تَنْتَهُوْا/تَنتَهُواْ/tantahu//لَنَرْجُمَنَّكُمْ/لَنَرۡجُمَنَّكُمۡ/lanarjumannakum//وَ لَیَمَسَّنَّكُمْ/وَلَيَمَسَّنَّكُم/walayamassannakum//مِّنَّا/مِّنَّا/minna//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "তারা বললো//\"নিশ্চযই় আমরা//আমরা অমঙ্গল মনে করি//তোমাদেরকে//অবশ্যই যদি//না//তোমরা বিরত হও//তোমাদেরকে আমরা পাথর মেরে হত্যা করবোই//এবং তোমাদেরকে ধরবে অবশ্যই//আমাদের পক্ষ হ'তে//শাস্তি//নিদারুণ\""
            },
            {
              "number": 3724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3724.mp3"
              ],
              "text": "قَالُوا۟ طَٰٓئِرُكُم مَّعَكُمْ ۚ أَئِن ذُكِّرْتُم ۚ بَلْ أَنتُمْ قَوْمٌۭ مُّسْرِفُونَ",
              "translate_bn": "রসূলগণ বলল, তোমাদের অকল্যাণ তোমাদের সাথেই! এটা কি এজন্যে যে, আমরা তোমাদেরকে সদুপদেশ দিয়েছি? বস্তুতঃ তোমরা সীমা লংঘনকারী সম্প্রদায় বৈ নও।",
              "numberInSurah": 19,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "কা-লূতাইরুকুম মা‘আকুম আইন যুক্কিরতুম বাল আনতুম কাওমুম মুছরিফূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//طَآىِٕرُكُمْ/طَـٰٓئِرُكُم/tairukum//مَّعَكُمْ ؕ/مَّعَكُمۡ/ma'akum//اَىِٕنْ/أَئِن/a-in//ذُكِّرْتُمْ ؕ/ذُكِّرۡتُمۚ/dhukkir'tum//بَلْ/بَلۡ/bal//اَنْتُمْ/أَنتُمۡ/antum//قَوْمٌ/قَوۡمٞ/qawmun//مُّسْرِفُوْنَ /مُّسۡرِفُونَ/mus'rifuna",
              "words_bangla": "(রাসূলগণ) বললেন//\"তোমাদের অমঙ্গলের (কারণ)//তোমাদের সাথে//(এসব বলছো) কি//তোমাদের উপদেশ দেওয়া হয়েছে//বরং//তোমরা//সম্প্রদায়//সীমালঙ্ঘনকারী\""
            },
            {
              "number": 3725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3725.mp3"
              ],
              "text": "وَجَآءَ مِنْ أَقْصَا ٱلْمَدِينَةِ رَجُلٌۭ يَسْعَىٰ قَالَ يَٰقَوْمِ ٱتَّبِعُوا۟ ٱلْمُرْسَلِينَ",
              "translate_bn": "অতঃপর শহরের প্রান্তভাগ থেকে এক ব্যক্তি দৌড়ে এল। সে বলল, হে আমার সম্প্রদায় তোমরা রসূলগণের অনুসরণ কর।",
              "numberInSurah": 20,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়াজাআ মিন আকসাল মাদীনাতি রাজুলুইঁ ইয়াছ‘আ- কা-লা ইয়াকাওমিত্তাবি‘উল মুরছালীন।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//مِنْ/مِنۡ/min//اَقْصَا/أَقۡصَا/aqsa//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//رَجُلٌ/رَجُلٞ/rajulun//یَّسْعٰی/يَسۡعَىٰ/yas'a//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اتَّبِعُوا/ٱتَّبِعُواْ/ittabi'u//الْمُرْسَلِیْنَۙ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এ অবস্থায় আসলো//হ'তে//এক প্রান্ত//শহরের//এক ব্যক্তি//দৌঁড়ে//সে বললো//\"হে আমার জাতি//তোমরা অনুসরণ করো//রাসূলগণকে"
            },
            {
              "number": 3726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3726.mp3"
              ],
              "text": "ٱتَّبِعُوا۟ مَن لَّا يَسْـَٔلُكُمْ أَجْرًۭا وَهُم مُّهْتَدُونَ",
              "translate_bn": "অনুসরণ কর তাদের, যারা তোমাদের কাছে কোন বিনিময় কামনা করে না, অথচ তারা সুপথ প্রাপ্ত।",
              "numberInSurah": 21,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইত্তাবি‘ঊ মাল্লা-ইয়াছআলুকুম আজরাওঁ ওয়া হুম মুহতাদূন।",
              "words_arabic": "اتَّبِعُوْا/ٱتَّبِعُواْ/ittabi'u//مَنْ/مَن/man//لَّا/لَّا/la//یَسْـَٔلُكُمْ/يَسۡـَٔلُكُمۡ/yasalukum//اَجْرًا/أَجۡرٗا/ajran//وَّ هُمْ/وَهُم/wahum//مُّهْتَدُوْنَ /مُّهۡتَدُونَ/muh'taduna",
              "words_bangla": "তোমরা অনুসরণ করো//(তার) যে//না//তোমাদের কাছে চায়//কোনো বিনিময়//এবং তারা//সৎপথপ্রাপ্ত"
            },
            {
              "number": 3727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3727.mp3"
              ],
              "text": "وَمَا لِىَ لَآ أَعْبُدُ ٱلَّذِى فَطَرَنِى وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "আমার কি হল যে, যিনি আমাকে সৃষ্টি করেছেন এবং যার কাছে তোমরা প্রত্যাবর্তিত হবে, আমি তাঁর এবাদত করব না?",
              "numberInSurah": 22,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-লিয়া লাআ‘বুদুল্লাযী ফাতারানী ওয়া ইলাইহি তুর জা‘উন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لِیَ/لِيَ/liya//لَاۤ/لَآ/la//اَعْبُدُ/أَعۡبُدُ/a'budu//الَّذِیْ/ٱلَّذِي/alladhi//فَطَرَنِیْ/فَطَرَنِي/fatarani//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "এবং কি//আমার জন্য (যুক্তি আছে যে)//না//ইবাদত করবো আমি//(তাঁর) যিনি//আমাকে সৃষ্টি করেছেন//ও তাঁরই দিকে//তোমাদেরকে ফিরিয়ে নেয়া হবে"
            },
            {
              "number": 3728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3728.mp3"
              ],
              "text": "ءَأَتَّخِذُ مِن دُونِهِۦٓ ءَالِهَةً إِن يُرِدْنِ ٱلرَّحْمَٰنُ بِضُرٍّۢ لَّا تُغْنِ عَنِّى شَفَٰعَتُهُمْ شَيْـًۭٔا وَلَا يُنقِذُونِ",
              "translate_bn": "আমি কি তাঁর পরিবর্তে অন্যান্যদেরকে উপাস্যরূপে গ্রহণ করব? করুণাময় যদি আমাকে কষ্টে নিপতিত করতে চান, তবে তাদের সুপারিশ আমার কোনই কাজে আসবে না এবং তারা আমাকে রক্ষাও করতে পারবে না।",
              "numberInSurah": 23,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "আআত্তাখিযুমিন দুনিহীআ-লিহাতান ইয়ঁইউরিদনির রাহমা-নুবিদু ররিল লা-তুগনি ‘আন্নী শাফা-‘আতুহুম শাইআওঁ ওয়ালা-ইউনকিযূন।",
              "words_arabic": "ءَاَتَّخِذُ/ءَأَتَّخِذُ/a-attakhidhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اٰلِهَةً/ءَالِهَةً/alihatan//اِنْ/إِن/in//یُّرِدْنِ/يُرِدۡنِ/yurid'ni//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//بِضُرٍّ/بِضُرّٖ/bidurrin//لَّا/لَّا/la//تُغْنِ/تُغۡنِ/tugh'ni//عَنِّیْ/عَنِّي/anni//شَفَاعَتُهُمْ/شَفَٰعَتُهُمۡ/shafa'atuhum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یُنْقِذُوْنِۚ/يُنقِذُونِ/yunqidhuni",
              "words_bangla": "গ্রহণ করবো আমি কি//ছাড়া//তাঁকে//উপাস্য (অন্য কাউকে)//(অথচ) যদি//আমাকে চান//দয়াময়//কোনো ক্ষতি করতে//না//কাজে আসবে//আমার জন্যে//তাদের সুপারিশ//কিছু মাত্র//আর না//আমাকে তারা উদ্ধার করতে পারবে"
            },
            {
              "number": 3729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3729.mp3"
              ],
              "text": "إِنِّىٓ إِذًۭا لَّفِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "এরূপ করলে আমি প্রকাশ্য পথভ্রষ্টতায় পতিত হব।",
              "numberInSurah": 24,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্নী ইযাল্লাফী দালা-লিম্মুবীন।",
              "words_arabic": "اِنِّیْۤ/إِنِّيٓ/inni//اِذًا/إِذٗا/idhan//لَّفِیْ/لَّفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "নিশ্চয়ই আমি//তাহ'লে//অবশ্যই মধ্যে হব//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 3730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3730.mp3"
              ],
              "text": "إِنِّىٓ ءَامَنتُ بِرَبِّكُمْ فَٱسْمَعُونِ",
              "translate_bn": "আমি নিশ্চিতভাবে তোমাদের পালনকর্তার প্রতি বিশ্বাস স্থাপন করলাম। অতএব আমার কাছ থেকে শুনে নাও।",
              "numberInSurah": 25,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "ইন্নীআ-মানতুবিরাব্বিকুম ফাছমা‘ঊন।",
              "words_arabic": "اِنِّیْۤ/إِنِّيٓ/inni//اٰمَنْتُ/ءَامَنتُ/amantu//بِرَبِّكُمْ/بِرَبِّكُمۡ/birabbikum//فَاسْمَعُوْنِؕ/فَٱسۡمَعُونِ/fa-is'ma'uni",
              "words_bangla": "নিশ্চযই় আমি//আমি ঈমান এনেছি//প্রতি তোমাদের রবের//সুতরা তোমরা আমার কথা শোনো (ও মানো)\""
            },
            {
              "number": 3731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3731.mp3"
              ],
              "text": "قِيلَ ٱدْخُلِ ٱلْجَنَّةَ ۖ قَالَ يَٰلَيْتَ قَوْمِى يَعْلَمُونَ",
              "translate_bn": "তাকে বলা হল, জান্নাতে প্রবেশ কর। সে বলল হায়, আমার সম্প্রদায় যদি কোন ক্রমে জানতে পারত-",
              "numberInSurah": 26,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "কীলাদ খুলিল জান্নাতা কা-লা ইয়া-লাইতা কাওমী ইয়া‘লামূন।",
              "words_arabic": "قِیْلَ/قِيلَ/qila//ادْخُلِ/ٱدۡخُلِ/ud'khuli//الْجَنَّةَ ؕ/ٱلۡجَنَّةَۖ/al-janata//قَالَ/قَالَ/qala//یٰلَیْتَ/يَٰلَيۡتَ/yalayta//قَوْمِیْ/قَوۡمِي/qawmi//یَعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "(তাকে তারা হত্যা করলো এবং তাকে) বলা হলো//\"প্রবেশ করো//জান্নাতে\"//সে বললো//\"হায় আফসোস্‌//আমার জাতি//(যদি) জানতো"
            },
            {
              "number": 3732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3732.mp3"
              ],
              "text": "بِمَا غَفَرَ لِى رَبِّى وَجَعَلَنِى مِنَ ٱلْمُكْرَمِينَ",
              "translate_bn": "যে আমার পরওয়ারদেগার আমাকে ক্ষমা করেছেন এবং আমাকে সম্মানিতদের অন্তর্ভুক্ত করেছেন।",
              "numberInSurah": 27,
              "juz": 22,
              "manzil": 5,
              "page": 441,
              "ruku": 382,
              "hizbQuarter": 176,
              "sajda": false,
              "pronunciation_bn": "বিমা-গাফারালী রাববী ওয়া জা‘আলানী মিনাল মুকরামীন।",
              "words_arabic": "بِمَا/بِمَا/bima//غَفَرَ/غَفَرَ/ghafara//لِیْ/لِي/li//رَبِّیْ/رَبِّي/rabbi//وَ جَعَلَنِیْ/وَجَعَلَنِي/waja'alani//مِنَ/مِنَ/mina//الْمُكْرَمِیْنَ /ٱلۡمُكۡرَمِينَ/al-muk'ramina",
              "words_bangla": "যে কারণে//ক্ষমা করেছেন//আমাকে//আমার রব্‌//ও আমাকে করেছেন//অন্তর্ভুক্ত//সম্মানিতদের\""
            },
            {
              "number": 3733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3733.mp3"
              ],
              "text": "۞ وَمَآ أَنزَلْنَا عَلَىٰ قَوْمِهِۦ مِنۢ بَعْدِهِۦ مِن جُندٍۢ مِّنَ ٱلسَّمَآءِ وَمَا كُنَّا مُنزِلِينَ",
              "translate_bn": "তারপর আমি তার সম্প্রদায়ের উপর আকাশ থেকে কোন বাহিনী অবতীর্ণ করিনি এবং আমি (বাহিনী) অবতরণকারীও না।",
              "numberInSurah": 28,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 382,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনঝালনা-‘আলা-কাওমিহী মিম বা‘দিহী মিন জুনদিম মিনাছ ছামাইওয়ামা-কুন্নামুনঝিলীন।",
              "words_arabic": "وَ مَاۤ/۞وَمَآ/wama//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلٰی/عَلَىٰ/ala//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//مِنْ/مِن/min//جُنْدٍ/جُندٖ/jundin//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//مُنْزِلِیْنَ /مُنزِلِينَ/munzilina",
              "words_bangla": "এবং না//আমরা অবতীর্ণ করেছি//বিরুদ্ধে//তার জাতির//পরে//তার//কোনো//সৈন্য//থেকে//আকাশ//আর না//আমরা ছিলাম//অবতীর্ণকারী"
            },
            {
              "number": 3734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3734.mp3"
              ],
              "text": "إِن كَانَتْ إِلَّا صَيْحَةًۭ وَٰحِدَةًۭ فَإِذَا هُمْ خَٰمِدُونَ",
              "translate_bn": "বস্তুতঃ এ ছিল এক মহানাদ। অতঃপর সঙ্গে সঙ্গে সবাই স্তদ্ধ হয়ে গেল।",
              "numberInSurah": 29,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 382,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ইন কা-নাত ইল্লা-সাইহাতাওঁ ওয়া-হিদাতান ফাইযা-হুম খা-মিদূন।",
              "words_arabic": "اِنْ/إِن/in//كَانَتْ/كَانَتۡ/kanat//اِلَّا/إِلَّا/illa//صَیْحَةً/صَيۡحَةٗ/sayhatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُمۡ/hum//خٰمِدُوْنَ /خَٰمِدُونَ/khamiduna",
              "words_bangla": "না//ছিলো//এছাড়া//মহাগর্জন//একটি মাত্র//তখন//তারা//নিথর নিস্তব্ধ হয়ে গেলো"
            },
            {
              "number": 3735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3735.mp3"
              ],
              "text": "يَٰحَسْرَةً عَلَى ٱلْعِبَادِ ۚ مَا يَأْتِيهِم مِّن رَّسُولٍ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "বান্দাদের জন্যে আক্ষেপ যে, তাদের কাছে এমন কোন রসূলই আগমন করেনি যাদের প্রতি তারা বিদ্রুপ করে না।",
              "numberInSurah": 30,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 382,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ইয়া-হাছরাতান ‘আলাল ‘ইবা-দি মা-ইয়া’তীহিম মির রাছূলিন ইল্লা-কা-নূবিহী ইয়াছতাহঝিউন।",
              "words_arabic": "یٰحَسْرَةً/يَٰحَسۡرَةً/yahasratan//عَلَی/عَلَى/ala//الْعِبَادِ ؔۚ/ٱلۡعِبَادِۚ/al-'ibadi//مَا/مَا/ma//یَاْتِیْهِمْ/يَأۡتِيهِم/yatihim//مِّنْ/مِّن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "হায় পরিতাপ//জন্য//দাসদের//না//তাদেরর কাছে এসেছে//(এমন) কোন//রাসূল//এ ব্যতীত যে//তারা ছিলো//তাঁর সাথে//ঠাট্টা বিদ্রূপ করতো"
            },
            {
              "number": 3736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3736.mp3"
              ],
              "text": "أَلَمْ يَرَوْا۟ كَمْ أَهْلَكْنَا قَبْلَهُم مِّنَ ٱلْقُرُونِ أَنَّهُمْ إِلَيْهِمْ لَا يَرْجِعُونَ",
              "translate_bn": "তারা কি প্রত্যক্ষ করে না, তাদের পূর্বে আমি কত সম্প্রদায়কে ধ্বংস করেছি যে, তারা তাদের মধ্যে আর ফিরে আসবে না।",
              "numberInSurah": 31,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 382,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়ারাও কাম আহলাকনা- কাবলাহুম মিনাল কুরূনি আন্নাহুম ইলাইহিম লাইয়ারজি‘উন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَرَوْا/يَرَوۡاْ/yaraw//كَمْ/كَمۡ/kam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنَ/مِّنَ/mina//الْقُرُوْنِ/ٱلۡقُرُونِ/al-quruni//اَنَّهُمْ/أَنَّهُمۡ/annahum//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//لَا/لَا/la//یَرْجِعُوْنَؕ/يَرۡجِعُونَ/yarji'una",
              "words_bangla": "দেখে নি কি//তারা//কত (জাতিকে)//আমরা ধ্বংস করেছি//তাদের পূর্বে//মধ্য হ'তে//মানবগোষ্ঠীর//তারা যে//তাদের মধ্যে//না//ফিরে আসবে"
            },
            {
              "number": 3737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3737.mp3"
              ],
              "text": "وَإِن كُلٌّۭ لَّمَّا جَمِيعٌۭ لَّدَيْنَا مُحْضَرُونَ",
              "translate_bn": "ওদের সবাইকে সমবেত অবস্থায় আমার দরবারে উপস্থিত হতেই হবে।",
              "numberInSurah": 32,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 382,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কুল্লুল লাম্মা-জামী‘উল লাদাইনা-মুহদারূন।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كُلٌّ/كُلّٞ/kullun//لَّمَّا/لَّمَّا/lamma//جَمِیْعٌ/جَمِيعٞ/jami'un//لَّدَیْنَا/لَّدَيۡنَا/ladayna//مُحْضَرُوْنَ۠/مُحۡضَرُونَ/muh'daruna",
              "words_bangla": "এবং নি//কেউ (এমন)//এছাড়া//সকলকেই//আমাদের কাছে//উপস্থিত করা হবে"
            },
            {
              "number": 3738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3738.mp3"
              ],
              "text": "وَءَايَةٌۭ لَّهُمُ ٱلْأَرْضُ ٱلْمَيْتَةُ أَحْيَيْنَٰهَا وَأَخْرَجْنَا مِنْهَا حَبًّۭا فَمِنْهُ يَأْكُلُونَ",
              "translate_bn": "তাদের জন্যে একটি নিদর্শন মৃত পৃথিবী। আমি একে সঞ্জীবিত করি এবং তা থেকে উৎপন্ন করি শস্য, তারা তা থেকে ভক্ষণ করে।",
              "numberInSurah": 33,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-য়াতুল লাহুমুল আরদুল মাইতাতু আহইয়াইনা-হা-ওয়াআখরাজনা-মিনহাহাব্বান ফামিনহু ইয়া’কুলূন।",
              "words_arabic": "وَ اٰیَةٌ/وَءَايَةٞ/waayatun//لَّهُمُ/لَّهُمُ/lahumu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//الْمَیْتَةُ ۖۚ/ٱلۡمَيۡتَةُ/al-maytatu//اَحْیَیْنٰهَا/أَحۡيَيۡنَٰهَا/ahyaynaha//وَ اَخْرَجْنَا/وَأَخۡرَجۡنَا/wa-akhrajna//مِنْهَا/مِنۡهَا/min'ha//حَبًّا/حَبّٗا/habban//فَمِنْهُ/فَمِنۡهُ/famin'hu//یَاْكُلُوْنَ /يَأۡكُلُونَ/yakuluna",
              "words_bangla": "এবং (অন্যতম) নিদর্শন//তাদের জন্য (রয়েছে)//মাটি//নিষ্প্রাণ//তাকে আমরা জীবিত করি//ও আমরা উৎপন্ন করি//তা থেকে//শস্যদানা//অতঃপর তা থেকে//তারা খায়"
            },
            {
              "number": 3739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3739.mp3"
              ],
              "text": "وَجَعَلْنَا فِيهَا جَنَّٰتٍۢ مِّن نَّخِيلٍۢ وَأَعْنَٰبٍۢ وَفَجَّرْنَا فِيهَا مِنَ ٱلْعُيُونِ",
              "translate_bn": "আমি তাতে সৃষ্টি করি খেজুর ও আঙ্গুরের বাগান এবং প্রবাহিত করি তাতে নির্ঝরিণী।",
              "numberInSurah": 34,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আল না-ফীহা-জান্না-তিম মিন নাখীলিওঁ ওয়া আ‘না-বিও ওয়া ফাজ্জারনা-ফীহামিনাল ‘উইঊন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْهَا/فِيهَا/fiha//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//مِّنْ/مِّن/min//نَّخِیْلٍ/نَّخِيلٖ/nakhilin//وَّ اَعْنَابٍ/وَأَعۡنَٰبٖ/wa-a'nabin//وَّ فَجَّرْنَا/وَفَجَّرۡنَا/wafajjarna//فِیْهَا/فِيهَا/fiha//مِنَ/مِنَ/mina//الْعُیُوْنِۙ/ٱلۡعُيُونِ/al-'uyuni",
              "words_bangla": "এবং আমরা বানিয়েছি//তার মধ্যে//বাগানসমূহ//থেকে//খেজুরের//ও আঙ্গুরের//এবং আমরা বইয়ে দিয়েছি//তার মধ্যে//মধ্য হতে//ঝর্ণা সমূহ"
            },
            {
              "number": 3740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3740.mp3"
              ],
              "text": "لِيَأْكُلُوا۟ مِن ثَمَرِهِۦ وَمَا عَمِلَتْهُ أَيْدِيهِمْ ۖ أَفَلَا يَشْكُرُونَ",
              "translate_bn": "যাতে তারা তার ফল খায়। তাদের হাত একে সৃষ্টি করে না। অতঃপর তারা কৃতজ্ঞতা প্রকাশ করে না কেন?",
              "numberInSurah": 35,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "লিইয়া’কুলূমিন ছামারিহী ওয়ামা-‘আমিলাতহু আইদীহিম আফালা-ইয়াশকুরূন।",
              "words_arabic": "لِیَاْكُلُوْا/لِيَأۡكُلُواْ/liyakulu//مِنْ/مِن/min//ثَمَرِهٖ ۙ/ثَمَرِهِۦ/thamarihi//وَ مَا/وَمَا/wama//عَمِلَتْهُ/عَمِلَتۡهُ/amilathu//اَیْدِیْهِمْ ؕ/أَيۡدِيهِمۡۚ/aydihim//اَفَلَا/أَفَلَا/afala//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "তারা খেতে পারে যেন//থেকে//তার ফলমূল//অথচ নি//তা সৃষ্টি করেছে//তাদের হাতগুলো//তবুও কি না//তারা কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 3741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3741.mp3"
              ],
              "text": "سُبْحَٰنَ ٱلَّذِى خَلَقَ ٱلْأَزْوَٰجَ كُلَّهَا مِمَّا تُنۢبِتُ ٱلْأَرْضُ وَمِنْ أَنفُسِهِمْ وَمِمَّا لَا يَعْلَمُونَ",
              "translate_bn": "পবিত্র তিনি যিনি যমীন থেকে উৎপন্ন উদ্ভিদকে, তাদেরই মানুষকে এবং যা তারা জানে না, তার প্রত্যেককে জোড়া জোড়া করে সৃষ্টি করেছেন।",
              "numberInSurah": 36,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-নাল্লাযী খালাকাল আঝাওয়া-জা কুল্লাহা- মিম্মা-তুমবিতুলআরদুওয়া মিন আনফুছিহিম ওয়া মিম্মা-লা-ইয়া‘লামূন।",
              "words_arabic": "سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//الْاَزْوَاجَ/ٱلۡأَزۡوَٰجَ/al-azwaja//كُلَّهَا/كُلَّهَا/kullaha//مِمَّا/مِمَّا/mimma//تُنْۢبِتُ/تُنۢبِتُ/tunbitu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ مِنْ/وَمِنۡ/wamin//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//وَ مِمَّا/وَمِمَّا/wamimma//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "(আল্লাহ) মহান পবিত্র//যিনি//সৃষ্টি করেছেন//জোড়া জোড়া//সব কিছুকেই//তা হ'তে যা//উৎপন্ন করে//ভূমি//এবং মধ্য হ'তে//তাদের নিজেদের (মানব জাতিরও)//এবং তাহ'তেও যা//না//(এখনও) তারা জানে"
            },
            {
              "number": 3742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3742.mp3"
              ],
              "text": "وَءَايَةٌۭ لَّهُمُ ٱلَّيْلُ نَسْلَخُ مِنْهُ ٱلنَّهَارَ فَإِذَا هُم مُّظْلِمُونَ",
              "translate_bn": "তাদের জন্যে এক নিদর্শন রাত্রি, আমি তা থেকে দিনকে অপসারিত করি, তখনই তারা অন্ধকারে থেকে যায়।",
              "numberInSurah": 37,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-য়াতুল্লাহুমুল্লাইলু নাছলাখুমিনহুন্নাহা-রা ফাইযা-হুম মুজলিমূন।",
              "words_arabic": "وَ اٰیَةٌ/وَءَايَةٞ/waayatun//لَّهُمُ/لَّهُمُ/lahumu//الَّیْلُ ۖۚ/ٱلَّيۡلُ/al-laylu//نَسْلَخُ/نَسۡلَخُ/naslakhu//مِنْهُ/مِنۡهُ/min'hu//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُم/hum//مُّظْلِمُوْنَۙ/مُّظۡلِمُونَ/muz'limuna",
              "words_bangla": "এবং (আরো) একটি নিদর্শন//তাদের জন্যে//রাত//সরিয়ে দিই আমরা//তা থেকে//দিনকে//অতঃপর তখন//তারা//অন্ধকারাচ্ছন্ন (হয়ে যায়)"
            },
            {
              "number": 3743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3743.mp3"
              ],
              "text": "وَٱلشَّمْسُ تَجْرِى لِمُسْتَقَرٍّۢ لَّهَا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ",
              "translate_bn": "সূর্য তার নির্দিষ্ট অবস্থানে আবর্তন করে। এটা পরাক্রমশালী, সর্বজ্ঞ, আল্লাহর নিয়ন্ত্রণ।",
              "numberInSurah": 38,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়াশশামছুতাজরী লিমুছতাকাররিল লাহা- যা-লিকা তাকদীরুল ‘আঝীঝিল ‘আলীম।",
              "words_arabic": "وَ الشَّمْسُ/وَٱلشَّمۡسُ/wal-shamsu//تَجْرِیْ/تَجۡرِي/tajri//لِمُسْتَقَرٍّ/لِمُسۡتَقَرّٖ/limus'taqarrin//لَّهَا ؕ/لَّهَاۚ/laha//ذٰلِكَ/ذَٰلِكَ/dhalika//تَقْدِیْرُ/تَقۡدِيرُ/taqdiru//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْعَلِیْمِؕ/ٱلۡعَلِيمِ/al-'alimi",
              "words_bangla": "এবং সূর্য//আবর্তন করে//নির্দিষ্ট গন্ডির মধ্যে//তার//এটা//নির্দিষ্ট (হিসাব)//পরাক্রমশালীর//(যিনি) সুবিজ্ঞ"
            },
            {
              "number": 3744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3744.mp3"
              ],
              "text": "وَٱلْقَمَرَ قَدَّرْنَٰهُ مَنَازِلَ حَتَّىٰ عَادَ كَٱلْعُرْجُونِ ٱلْقَدِيمِ",
              "translate_bn": "চন্দ্রের জন্যে আমি বিভিন্ন মনযিল নির্ধারিত করেছি। অবশেষে সে পুরাতন খর্জুর শাখার অনুরূপ হয়ে যায়।",
              "numberInSurah": 39,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কামারা কাদ্দারনা-হু মানা-ঝিলা হাত্তা-‘আ-দাকাল ‘উরজুনিল কাদীম।",
              "words_arabic": "وَ الْقَمَرَ/وَٱلۡقَمَرَ/wal-qamara//قَدَّرْنٰهُ/قَدَّرۡنَٰهُ/qaddarnahu//مَنَازِلَ/مَنَازِلَ/manazila//حَتّٰی/حَتَّىٰ/hatta//عَادَ/عَادَ/ada//كَالْعُرْجُوْنِ/كَٱلۡعُرۡجُونِ/kal-'ur'juni//الْقَدِیْمِ /ٱلۡقَدِيمِ/al-qadimi",
              "words_bangla": "এবং চাঁদকে//তার আমরা নির্দিষ্ট করেছি//বিভিন্ন কক্ষপথ (যার উপর চলে)//অবশেষে//সে ফিরে আসে//খেজুর শাখার মতো//(এমন যা শুষ্ক) পুরান"
            },
            {
              "number": 3745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3745.mp3"
              ],
              "text": "لَا ٱلشَّمْسُ يَنۢبَغِى لَهَآ أَن تُدْرِكَ ٱلْقَمَرَ وَلَا ٱلَّيْلُ سَابِقُ ٱلنَّهَارِ ۚ وَكُلٌّۭ فِى فَلَكٍۢ يَسْبَحُونَ",
              "translate_bn": "সূর্য নাগাল পেতে পারে না চন্দ্রের এবং রাত্রি অগ্রে চলে না দিনের প্রত্যেকেই আপন আপন কক্ষপথে সন্তরণ করে।",
              "numberInSurah": 40,
              "juz": 23,
              "manzil": 5,
              "page": 442,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "লশ্ শামসু ইয়াম বাগি লাহা আন তুদরিকাল্ ক্বামারা ওয়া লাল লাইলু ছাবিকুন নাহারি, ওয়া ফালাকিই ইয়াছ বাহুন",
              "words_arabic": "لَا/لَا/la//الشَّمْسُ/ٱلشَّمۡسُ/al-shamsu//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لَهَاۤ/لَهَآ/laha//اَنْ/أَن/an//تُدْرِكَ/تُدۡرِكَ/tud'rika//الْقَمَرَ/ٱلۡقَمَرَ/al-qamara//وَ لَا/وَلَا/wala//الَّیْلُ/ٱلَّيۡلُ/al-laylu//سَابِقُ/سَابِقُ/sabiqu//النَّهَارِ ؕ/ٱلنَّهَارِۚ/al-nahari//وَ كُلٌّ/وَكُلّٞ/wakullun//فِیْ/فِي/fi//فَلَكٍ/فَلَكٖ/falakin//یَّسْبَحُوْنَ /يَسۡبَحُونَ/yasbahuna",
              "words_bangla": "না//সূর্য//ক্ষমতা রাখে//তার জন্যে//যে//নাগাল পাবে//চাঁদের//আর না//রাত//অতিক্রমকারী (হ'তে পারে)//দিনের//এবং প্রত্যেকে//উপর//কক্ষের//সাঁতার কাটছে"
            },
            {
              "number": 3746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3746.mp3"
              ],
              "text": "وَءَايَةٌۭ لَّهُمْ أَنَّا حَمَلْنَا ذُرِّيَّتَهُمْ فِى ٱلْفُلْكِ ٱلْمَشْحُونِ",
              "translate_bn": "তাদের জন্যে একটি নিদর্শন এই যে, আমি তাদের সন্তান-সন্ততিকে বোঝাই নৌকায় আরোহণ করিয়েছি।",
              "numberInSurah": 41,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-য়াতুল লাহুম আন্না-হামালনা-যুররিইয়াতাহুম ফিল ফুলকিল মাশহূন।",
              "words_arabic": "وَ اٰیَةٌ/وَءَايَةٞ/waayatun//لَّهُمْ/لَّهُمۡ/lahum//اَنَّا/أَنَّا/anna//حَمَلْنَا/حَمَلۡنَا/hamalna//ذُرِّیَّتَهُمْ/ذُرِّيَّتَهُمۡ/dhurriyyatahum//فِی/فِي/fi//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//الْمَشْحُوْنِۙ/ٱلۡمَشۡحُونِ/al-mashhuni",
              "words_bangla": "এবং একটি নিদর্শন//তাদের জন্যে//(এও) যে আমরা//আমরা আরোহণ করিয়েছি//তাদের বংশধরদেরকে//মধ্যে//জাহাজের//বোঝাই"
            },
            {
              "number": 3747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3747.mp3"
              ],
              "text": "وَخَلَقْنَا لَهُم مِّن مِّثْلِهِۦ مَا يَرْكَبُونَ",
              "translate_bn": "এবং তাদের জন্যে নৌকার অনুরূপ যানবাহন সৃষ্টি করেছি, যাতে তারা আরোহণ করে।",
              "numberInSurah": 42,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া খালাকনা-লাহুম মিম মিছলিহী মা ইয়ারকাবূন।",
              "words_arabic": "وَ خَلَقْنَا/وَخَلَقۡنَا/wakhalaqna//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//مِّثْلِهٖ/مِّثۡلِهِۦ/mith'lihi//مَا/مَا/ma//یَرْكَبُوْنَ /يَرۡكَبُونَ/yarkabuna",
              "words_bangla": "এবং আমরা সৃষ্টি করেছি//তাদের জন্যে//থেকে//সেটার অনুরূপ (আরো অনেকে)//যাতে//তারা চড়তে পারে"
            },
            {
              "number": 3748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3748.mp3"
              ],
              "text": "وَإِن نَّشَأْ نُغْرِقْهُمْ فَلَا صَرِيخَ لَهُمْ وَلَا هُمْ يُنقَذُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তাদেরকে নিমজ্জত করতে পারি, তখন তাদের জন্যে কোন সাহায্যকারী নেই এবং তারা পরিত্রাণও পাবে না।",
              "numberInSurah": 43,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন নাশা’ নুগরিকহুম ফালা-ছারীখা লাহুম ওয়ালা-হুম ইউনকাযূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//نَّشَاْ/نَّشَأۡ/nasha//نُغْرِقْهُمْ/نُغۡرِقۡهُمۡ/nugh'riq'hum//فَلَا/فَلَا/fala//صَرِیْخَ/صَرِيخَ/sarikha//لَهُمْ/لَهُمۡ/lahum//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْقَذُوْنَۙ/يُنقَذُونَ/yunqadhuna",
              "words_bangla": "এবং যদি//আমরা চাই//তাদেরকে ডোবাতে আমরা//তখন না//ডাকে সাড়াদানকারী (পাবে)//তাদের জন্যে//আর না//তাদের//নিস্তার পাবে"
            },
            {
              "number": 3749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3749.mp3"
              ],
              "text": "إِلَّا رَحْمَةًۭ مِّنَّا وَمَتَٰعًا إِلَىٰ حِينٍۢ",
              "translate_bn": "কিন্তু আমারই পক্ষ থেকে কৃপা এবং তাদেরকে কিছু কাল জীবনোপভোগ করার সুযোগ দেয়ার কারণে তা করি না।",
              "numberInSurah": 44,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-রাহমাতাম মিন্না -ওয়া মাতা-‘আন ইলা-হীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنَّا/مِّنَّا/minna//وَ مَتَاعًا/وَمَتَٰعًا/wamata'an//اِلٰی/إِلَىٰ/ila//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "কিন্তু//অনুগ্রহ//আমাদের পক্ষ হ'তে//এবং জীবনোপভোগ//পর্যন্ত//কিছুকাল"
            },
            {
              "number": 3750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3750.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمُ ٱتَّقُوا۟ مَا بَيْنَ أَيْدِيكُمْ وَمَا خَلْفَكُمْ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "আর যখন তাদেরকে বলা হয়, তোমরা সামনের আযাব ও পেছনের আযাবকে ভয় কর, যাতে তোমাদের প্রতি অনুগ্রহ করা হয়, তখন তারা তা অগ্রাহ্য করে।",
              "numberInSurah": 45,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুমুত্তাকূ মা- বাইনা আইদীকুম ওয়ামা- খালফাকুম লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//اتَّقُوْا/ٱتَّقُواْ/ittaqu//مَا/مَا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْكُمْ/أَيۡدِيكُمۡ/aydikum//وَ مَا/وَمَا/wama//خَلْفَكُمْ/خَلۡفَكُمۡ/khalfakum//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَ /تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা ভয় করো//(পরিণামের) যা//সামনে//তোমাদের//এবং যা//তোমাদের পিছনে (আছে)//তোমাদের যাতে (উপর)//অনুগ্রহ করা যায়\""
            },
            {
              "number": 3751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3751.mp3"
              ],
              "text": "وَمَا تَأْتِيهِم مِّنْ ءَايَةٍۢ مِّنْ ءَايَٰتِ رَبِّهِمْ إِلَّا كَانُوا۟ عَنْهَا مُعْرِضِينَ",
              "translate_bn": "যখনই তাদের পালনকর্তার নির্দেশাবলীর মধ্যে থেকে কোন নির্দেশ তাদের কাছে আসে, তখনই তারা তা থেকে মুখে ফিরিয়ে নেয়।",
              "numberInSurah": 46,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তা’তীহিম মিন আ-য়াতিম মিন আ-য়া-তি রাব্বিহিম ইল্লা-কা-নূ‘আনহা-মু‘রিদীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَاْتِیْهِمْ/تَأۡتِيهِم/tatihim//مِّنْ/مِّنۡ/min//اٰیَةٍ/ءَايَةٖ/ayatin//مِّنْ/مِّنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//عَنْهَا/عَنۡهَا/anha//مُعْرِضِیْنَ /مُعۡرِضِينَ/mu'ridina",
              "words_bangla": "এবং না//তাদের কাছে এসেছে//(এমন) কোনো//নিদর্শন//মধ্য হ'তে//নিদর্শনের//তাদের রবের//এছাড়া//তারা ছিলো//তা হ'তে//উপেক্ষাকারী"
            },
            {
              "number": 3752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3752.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ أَنفِقُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوٓا۟ أَنُطْعِمُ مَن لَّوْ يَشَآءُ ٱللَّهُ أَطْعَمَهُۥٓ إِنْ أَنتُمْ إِلَّا فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "যখন তাদেরকে বলা হয়, আল্লাহ তোমাদেরকে যা দিয়েছেন, তা থেকে ব্যয় কর। তখন কাফেররা মুমিনগণকে বলে, ইচ্ছা করলেই আল্লাহ যাকে খাওয়াতে পারতেন, আমরা তাকে কেন খাওয়াব? তোমরা তো স্পষ্ট বিভ্রান্তিতে পতিত রয়েছ।",
              "numberInSurah": 47,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা লাহুম আনফিকূমিম্মা-রাঝাকাকুমুল্লা-হু কা-লাল্লাযীনা কাফারূ লিল্লাযীনা আমানূ আনুত‘ইমুমাল্লাও ইয়াশাউল্লা-হু আত‘আমাহূ ইন আনতুম ইল্লা-ফী দালা-লিম মুবীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//اَنْفِقُوْا/أَنفِقُواْ/anfiqu//مِمَّا/مِمَّا/mimma//رَزَقَكُمُ/رَزَقَكُمُ/razaqakumu//اللّٰهُ ۙ/ٱللَّهُ/al-lahu//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنُطْعِمُ/أَنُطۡعِمُ/anut'imu//مَنْ/مَن/man//لَّوْ/لَّوۡ/law//یَشَآءُ/يَشَآءُ/yashau//اللّٰهُ/ٱللَّهُ/al-lahu//اَطْعَمَهٗۤ ۖۗ/أَطۡعَمَهُۥٓ/at'amahu//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা ব্যয় করো//তাহ'তে যা//তোমাদেরকে জীবিকা দিয়েছেন//আল্লাহ\"//বলে//যারা//অস্বীকার করেছে//তাদেরকে (যারা)//ঈমান এনেছে//\"খাওয়াবো আমরা কি//যাকে (এমন কাউকে)//যদি//ইচ্ছে করতেন//আল্লাহ্‌//তাকে খাওয়াতে পারতেন\"//না//তোমরা//এছাড়া//মধ্যে//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 3753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3753.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা বলে, তোমরা সত্যবাদী হলে বল এই ওয়াদা কবে পূর্ণ হবে?",
              "numberInSurah": 48,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ওয়া‘দুইন কনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন (পূর্ণ হবে)//সেই//(কেয়ামতের) প্রতিশ্রুতি//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 3754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3754.mp3"
              ],
              "text": "مَا يَنظُرُونَ إِلَّا صَيْحَةًۭ وَٰحِدَةًۭ تَأْخُذُهُمْ وَهُمْ يَخِصِّمُونَ",
              "translate_bn": "তারা কেবল একটা ভয়াবহ শব্দের অপেক্ষা করছে, যা তাদেরকে আঘাত করবে তাদের পারস্পরিক বাকবিতন্ডাকালে।",
              "numberInSurah": 49,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "মা-ইয়ানজু রূনা ইল্লা সাইহাতাওঁ ওয়া-হিদাতান তা’খুযুহুম ইয়াখিসসিমূন।",
              "words_arabic": "مَا/مَا/ma//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّا/إِلَّا/illa//صَیْحَةً/صَيۡحَةٗ/sayhatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//تَاْخُذُهُمْ/تَأۡخُذُهُمۡ/takhudhuhum//وَ هُمْ/وَهُمۡ/wahum//یَخِصِّمُوْنَ /يَخِصِّمُونَ/yakhissimuna",
              "words_bangla": "না//তারা অপেক্ষা করছে//এছাড়া//মহাগর্জনের//একটি মাত্র//তাদেরকে আঘাত করবে//এ অবস্থায় যে তারা//তর্কাতর্কি করতে থাকবে"
            },
            {
              "number": 3755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3755.mp3"
              ],
              "text": "فَلَا يَسْتَطِيعُونَ تَوْصِيَةًۭ وَلَآ إِلَىٰٓ أَهْلِهِمْ يَرْجِعُونَ",
              "translate_bn": "তখন তারা ওছিয়ত করতেও সক্ষম হবে না। এবং তাদের পরিবার-পরিজনের কাছেও ফিরে যেতে পারবে না।",
              "numberInSurah": 50,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 383,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ফালা-ইয়াছতাতী‘ঊনা তাওছিয়াতাওঁ ওয়ালাইলাআহলিহিম ইয়ারজি‘ঊন।",
              "words_arabic": "فَلَا/فَلَا/fala//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//تَوْصِیَةً/تَوۡصِيَةٗ/tawsiyatan//وَّ لَاۤ/وَلَآ/wala//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهِمْ/أَهۡلِهِمۡ/ahlihim//یَرْجِعُوْنَ۠/يَرۡجِعُونَ/yarji'una",
              "words_bangla": "না তখন//তারা সমর্থ হবে//উপদেশ করতে//আর না//প্রতি//তাদের পরিবারের//তারা ফিরে যেতে পারবে"
            },
            {
              "number": 3756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3756.mp3"
              ],
              "text": "وَنُفِخَ فِى ٱلصُّورِ فَإِذَا هُم مِّنَ ٱلْأَجْدَاثِ إِلَىٰ رَبِّهِمْ يَنسِلُونَ",
              "translate_bn": "শিংগায় ফুঁক দেয়া হবে, তখনই তারা কবর থেকে তাদের পালনকর্তার দিকে ছুটে চলবে।",
              "numberInSurah": 51,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়ানুফিখা ফিসসূরি ফাইযা-হুম মিনাল আজদা-ছিইলা-রাব্বিহিম ইয়ানছিলূন।",
              "words_arabic": "وَ نُفِخَ/وَنُفِخَ/wanufikha//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُم/hum//مِّنَ/مِّنَ/mina//الْاَجْدَاثِ/ٱلۡأَجۡدَاثِ/al-ajdathi//اِلٰی/إِلَىٰ/ila//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَنْسِلُوْنَ /يَنسِلُونَ/yansiluna",
              "words_bangla": "এবং ফুঁ দেওয়া হবে//মধ্যে//শিঙ্গার//তখন অতঃপর//তারা//হ'তে//কবরসমূহ//দিকে//তাদের রবের//ছুটে আসবে"
            },
            {
              "number": 3757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3757.mp3"
              ],
              "text": "قَالُوا۟ يَٰوَيْلَنَا مَنۢ بَعَثَنَا مِن مَّرْقَدِنَا ۜ ۗ هَٰذَا مَا وَعَدَ ٱلرَّحْمَٰنُ وَصَدَقَ ٱلْمُرْسَلُونَ",
              "translate_bn": "তারা বলবে, হায় আমাদের দুর্ভোগ! কে আমাদেরকে নিদ্রাস্থল থেকে উখিত করল? রহমান আল্লাহ তো এরই ওয়াদা দিয়েছিলেন এবং রসূলগণ সত্য বলেছিলেন।",
              "numberInSurah": 52,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-ওয়াইলানা-মাম বা‘আছানা-মিম মারকাদিনা-হা-যা-মাওয়া‘আদার রাহমা-নুওয়া সাদাকাল মুরছালূন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰوَیْلَنَا/يَٰوَيۡلَنَا/yawaylana//مَنْۢ/مَنۢ/man//بَعَثَنَا/بَعَثَنَا/ba'athana//مِنْ/مِن/min//مَّرْقَدِنَا ؔٚۘ/مَّرۡقَدِنَاۜۗ/marqadina//هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//وَعَدَ/وَعَدَ/wa'ada//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وَ صَدَقَ/وَصَدَقَ/wasadaqa//الْمُرْسَلُوْنَ /ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "(ভীত হয়ে) তারা বলবে//\"আমাদের দুর্ভোগ হায়//কে//আমাদেরকে উঠালো//হ'তে//আমাদের ঘুমের স্হান\"//\"এটাই//(তাই) যার//প্রতিশ্রুতি দিয়েছিলেন//দয়াময়//এবং সত্যই বলেছিলেন//রাসূলগণ\""
            },
            {
              "number": 3758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3758.mp3"
              ],
              "text": "إِن كَانَتْ إِلَّا صَيْحَةًۭ وَٰحِدَةًۭ فَإِذَا هُمْ جَمِيعٌۭ لَّدَيْنَا مُحْضَرُونَ",
              "translate_bn": "এটা তো হবে কেবল এক মহানাদ। সে মুহুর্তেই তাদের সবাইকে আমার সামনে উপস্থিত করা হবে।",
              "numberInSurah": 53,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ইন কা-নাত ইল্লা-সাইহাতাওঁ ওয়া-হিদাতান ফাইযা-হুম জামী‘উল লাদাইনা-মুহদারূন।",
              "words_arabic": "اِنْ/إِن/in//كَانَتْ/كَانَتۡ/kanat//اِلَّا/إِلَّا/illa//صَیْحَةً/صَيۡحَةٗ/sayhatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُمۡ/hum//جَمِیْعٌ/جَمِيعٞ/jami'un//لَّدَیْنَا/لَّدَيۡنَا/ladayna//مُحْضَرُوْنَ /مُحۡضَرُونَ/muh'daruna",
              "words_bangla": "না//হবে//এছাড়া//মহাগর্জন//একটি মাত্র//অতঃপর তখনই//তাদের//সকলকেই//আমাদের কাছে//উপস্থিত করা হবে"
            },
            {
              "number": 3759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3759.mp3"
              ],
              "text": "فَٱلْيَوْمَ لَا تُظْلَمُ نَفْسٌۭ شَيْـًۭٔا وَلَا تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আজকের দিনে কারও প্রতি জুলুম করা হবে না এবং তোমরা যা করবে কেবল তারই প্রতিদান পাবে।",
              "numberInSurah": 54,
              "juz": 23,
              "manzil": 5,
              "page": 443,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াওমা লা-তুজলামুনাফছুন শাইয়াওঁ ওয়ালা-তুজঝাওনা ইল্লা-মা-কুনতুম তা‘মালূন।",
              "words_arabic": "فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//لَا/لَا/la//تُظْلَمُ/تُظۡلَمُ/tuz'lamu//نَفْسٌ/نَفۡسٞ/nafsun//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "অতঃপর (বলা হবে) আজ//না//অবিচার করা হবে//কাউকে//কিছুই//আর না//প্রতিফল দেওয়া হবে//এ ব্যতীত//যা//তোমরা//কাজ করতেছিলে"
            },
            {
              "number": 3760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3760.mp3"
              ],
              "text": "إِنَّ أَصْحَٰبَ ٱلْجَنَّةِ ٱلْيَوْمَ فِى شُغُلٍۢ فَٰكِهُونَ",
              "translate_bn": "এদিন জান্নাতীরা আনন্দে মশগুল থাকবে।",
              "numberInSurah": 55,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ইন্না আসহা-বাল জান্নাতিল ইয়াওমা ফী শুগুলিন ফা-কিহূন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//فِیْ/فِي/fi//شُغُلٍ/شُغُلٖ/shughulin//فٰكِهُوْنَۚ/فَٰكِهُونَ/fakihuna",
              "words_bangla": "নিশ্চয়ই//অধিবাসীরা//জান্নাতের//আজ//থাকবে//(মজার) মগ্ন//আনন্দে"
            },
            {
              "number": 3761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3761.mp3"
              ],
              "text": "هُمْ وَأَزْوَٰجُهُمْ فِى ظِلَٰلٍ عَلَى ٱلْأَرَآئِكِ مُتَّكِـُٔونَ",
              "translate_bn": "তারা এবং তাদের স্ত্রীরা উপবিষ্ট থাকবে ছায়াময় পরিবেশে আসনে হেলান দিয়ে।",
              "numberInSurah": 56,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "হুম ওয়া আঝওয়া-জুহুম ফী জিলা-লিন ‘আলাল আরাইকি মুত্তাকিঊন।",
              "words_arabic": "هُمْ/هُمۡ/hum//وَ اَزْوَاجُهُمْ/وَأَزۡوَٰجُهُمۡ/wa-azwajuhum//فِیْ/فِي/fi//ظِلٰلٍ/ظِلَٰلٍ/zilalin//عَلَی/عَلَى/ala//الْاَرَآىِٕكِ/ٱلۡأَرَآئِكِ/al-araiki//مُتَّكِـُٔوْنَ /مُتَّكِـُٔونَ/muttakiuna",
              "words_bangla": "তারা//ও তাদের স্ত্রীরা (হবে)//মধ্যে//ছায়ার//উপর//সুসজ্জিত আসনে//হেলান দিয়ে বসবে"
            },
            {
              "number": 3762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3762.mp3"
              ],
              "text": "لَهُمْ فِيهَا فَٰكِهَةٌۭ وَلَهُم مَّا يَدَّعُونَ",
              "translate_bn": "সেখানে তাদের জন্যে থাকবে ফল-মূল এবং যা চাইবে।",
              "numberInSurah": 57,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "লাহুম ফীহা-ফা-কিহাতুওঁ ওয়া লাহুম মা-ইয়াদ্দা‘ঊন।",
              "words_arabic": "لَهُمْ/لَهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//فَاكِهَةٌ/فَٰكِهَةٞ/fakihatun//وَّ لَهُمْ/وَلَهُم/walahum//مَّا/مَّا/ma//یَدَّعُوْنَۚۖ/يَدَّعُونَ/yadda'una",
              "words_bangla": "তাদের জন্যে (থাকবে)//তার মধ্যে//ফলমূল//ও তাদের জন্যে (থাকবে)//যা//তারা চাইবে"
            },
            {
              "number": 3763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3763.mp3"
              ],
              "text": "سَلَٰمٌۭ قَوْلًۭا مِّن رَّبٍّۢ رَّحِيمٍۢ",
              "translate_bn": "করুণাময় পালনকর্তার পক্ষ থেকে তাদেরকে বলা হবে সালাম।",
              "numberInSurah": 58,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন কাওলাম মিররাব্বির রাহীম।",
              "words_arabic": "سَلٰمٌ ۫/سَلَٰمٞ/salamun//قَوْلًا/قَوۡلٗا/qawlan//مِّنْ/مِّن/min//رَّبٍّ/رَّبّٖ/rabbin//رَّحِیْمٍ /رَّحِيمٖ/rahimin",
              "words_bangla": "\"সালাম\"//বলা (হবে)//পক্ষ হ'তে//রবের//(যিনি) পরম দয়ালু"
            },
            {
              "number": 3764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3764.mp3"
              ],
              "text": "وَٱمْتَٰزُوا۟ ٱلْيَوْمَ أَيُّهَا ٱلْمُجْرِمُونَ",
              "translate_bn": "হে অপরাধীরা! আজ তোমরা আলাদা হয়ে যাও।",
              "numberInSurah": 59,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 177,
              "sajda": false,
              "pronunciation_bn": "ওয়াম তা-ঝুল ইয়াওমা আইয়ুহাল মুজরিমূন।",
              "words_arabic": "وَ امْتَازُوا/وَٱمۡتَٰزُواْ/wa-im'tazu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//اَیُّهَا/أَيُّهَا/ayyuha//الْمُجْرِمُوْنَ /ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "\"এবং (বলা হবে) তোমারা আলাদা হয়ে যাও//আজ//হে//অপরাধীরা"
            },
            {
              "number": 3765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3765.mp3"
              ],
              "text": "۞ أَلَمْ أَعْهَدْ إِلَيْكُمْ يَٰبَنِىٓ ءَادَمَ أَن لَّا تَعْبُدُوا۟ ٱلشَّيْطَٰنَ ۖ إِنَّهُۥ لَكُمْ عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "হে বনী-আদম! আমি কি তোমাদেরকে বলে রাখিনি যে, শয়তানের এবাদত করো না, সে তোমাদের প্রকাশ্য শত্রু?",
              "numberInSurah": 60,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আলাম আ‘হাদ ইলাইকুম ইয়া-বানীআ-দামা আল্লা-তা‘বুদুশশাইতা-না ইন্নাহূলাকুম ‘আদুওউম মুবীন।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//اَعْهَدْ/أَعۡهَدۡ/a'had//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اٰدَمَ/ءَادَمَ/adama//اَنْ/أَن/an//لَّا/لَّا/la//تَعْبُدُوا/تَعۡبُدُواْ/ta'budu//الشَّیْطٰنَ ۚ/ٱلشَّيۡطَٰنَۖ/al-shaytana//اِنَّهٗ/إِنَّهُۥ/innahu//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌۙ/مُّبِينٞ/mubinun",
              "words_bangla": "দিই নি কি//আমি নির্দেশ//তোমাদের প্রতি//হে সন্তান//আদমের//যে//না//তোমরা দাসত্ব করো//শয়তানের//সে নিশ্চয়ই//তোমাদের জন্যে//শত্রু//প্রকাশ্য"
            },
            {
              "number": 3766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3766.mp3"
              ],
              "text": "وَأَنِ ٱعْبُدُونِى ۚ هَٰذَا صِرَٰطٌۭ مُّسْتَقِيمٌۭ",
              "translate_bn": "এবং আমার এবাদত কর। এটাই সরল পথ।",
              "numberInSurah": 61,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনি‘বুদূ নী হা-যা-সিরা-তুম মুছতাকীম।\r\n",
              "words_arabic": "وَّ اَنِ/وَأَنِ/wa-ani//اعْبُدُوْنِیْ ؔؕ/ٱعۡبُدُونِيۚ/u'buduni//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٞ/siratun//مُّسْتَقِیْمٌ /مُّسۡتَقِيمٞ/mus'taqimun",
              "words_bangla": "এবং (এও) যে//আমারই তোমরা ইবাদত করো//এটাই//পথ//সরল সঠিক"
            },
            {
              "number": 3767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3767.mp3"
              ],
              "text": "وَلَقَدْ أَضَلَّ مِنكُمْ جِبِلًّۭا كَثِيرًا ۖ أَفَلَمْ تَكُونُوا۟ تَعْقِلُونَ",
              "translate_bn": "শয়তান তোমাদের অনেক দলকে পথভ্রষ্ট করেছে। তবুও কি তোমরা বুঝনি?",
              "numberInSurah": 62,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আদাল্লা মিনকুম জিবিল্লান কাছীরা- আফালাম তাকূনূতা‘কিলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَضَلَّ/أَضَلَّ/adalla//مِنْكُمْ/مِنكُمۡ/minkum//جِبِلًّا/جِبِلّٗا/jibillan//كَثِیْرًا ؕ/كَثِيرًاۖ/kathiran//اَفَلَمْ/أَفَلَمۡ/afalam//تَكُوْنُوْا/تَكُونُواْ/takunu//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "এবং (এ সত্ত্বেও) নিশ্চয়ই//সে পথ ভ্রষ্ট করেছে//তোমাদের মধ্য হ'তে//বড় দলকে//অনেক//তবুও কি না//হবে//তোমরা বুঝতে"
            },
            {
              "number": 3768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3768.mp3"
              ],
              "text": "هَٰذِهِۦ جَهَنَّمُ ٱلَّتِى كُنتُمْ تُوعَدُونَ",
              "translate_bn": "এই সে জাহান্নাম, যার ওয়াদা তোমাদেরকে দেয়া হতো।",
              "numberInSurah": 63,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "হা-যিহী জাহান্নামুল্লাতী কুনতুম তূ‘আদূন।",
              "words_arabic": "هٰذِهٖ/هَٰذِهِۦ/hadhihi//جَهَنَّمُ/جَهَنَّمُ/jahannamu//الَّتِیْ/ٱلَّتِي/allati//كُنْتُمْ/كُنتُمۡ/kuntum//تُوْعَدُوْنَ /تُوعَدُونَ/tu'aduna",
              "words_bangla": "এই সেই//জাহান্নাম//যার//তোমাদের//প্রতিশ্রুতি দেয়া হয়েছিলো"
            },
            {
              "number": 3769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3769.mp3"
              ],
              "text": "ٱصْلَوْهَا ٱلْيَوْمَ بِمَا كُنتُمْ تَكْفُرُونَ",
              "translate_bn": "তোমাদের কুফরের কারণে আজ এতে প্রবেশ কর।",
              "numberInSurah": 64,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ইসলাওহাল ইয়াওমা বিমা-কুনতুম তাকফুরূন।",
              "words_arabic": "اِصْلَوْهَا/ٱصۡلَوۡهَا/is'lawha//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْفُرُوْنَ /تَكۡفُرُونَ/takfuruna",
              "words_bangla": "তাতে তোমরা প্রবেশ করো//আজ//বিনিময়ে যা//তোমরা//অস্বীকার করছিলে\""
            },
            {
              "number": 3770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3770.mp3"
              ],
              "text": "ٱلْيَوْمَ نَخْتِمُ عَلَىٰٓ أَفْوَٰهِهِمْ وَتُكَلِّمُنَآ أَيْدِيهِمْ وَتَشْهَدُ أَرْجُلُهُم بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "আজ আমি তাদের মুখে মোহর এঁটে দেব তাদের হাত আমার সাথে কথা বলবে এবং তাদের পা তাদের কৃতকর্মের সাক্ষ্য দেবে।",
              "numberInSurah": 65,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আলইয়াওমা নাখতিমু‘আলাআফওয়া-হিহিম ওয়াতুকালিলমুনা আইদীহিম ওয়া তাশহাদু আরজুলুহুম বিমা-কা-নূইয়াকছিবূন।",
              "words_arabic": "اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//نَخْتِمُ/نَخۡتِمُ/nakhtimu//عَلٰۤی/عَلَىٰٓ/ala//اَفْوَاهِهِمْ/أَفۡوَٰهِهِمۡ/afwahihim//وَ تُكَلِّمُنَاۤ/وَتُكَلِّمُنَآ/watukallimuna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ تَشْهَدُ/وَتَشۡهَدُ/watashhadu//اَرْجُلُهُمْ/أَرۡجُلُهُم/arjuluhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "আজ//সীল করে দিবো আমরা//উপর//তাদের মুখগুলোর//এবং আমাদের সাথে কথা বলবে//তাদের হাতগুলো//এবং সাক্ষ্য দিবে//তাদের পাগুলো//ঐ বিষয়ে যা//করেছিলো//তারা কামাই"
            },
            {
              "number": 3771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3771.mp3"
              ],
              "text": "وَلَوْ نَشَآءُ لَطَمَسْنَا عَلَىٰٓ أَعْيُنِهِمْ فَٱسْتَبَقُوا۟ ٱلصِّرَٰطَ فَأَنَّىٰ يُبْصِرُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তাদের দৃষ্টি শক্তি বিলুপ্ত করে দিতে পারতাম, তখন তারা পথের দিকে দৌড়াতে চাইলে কেমন করে দেখতে পেত!",
              "numberInSurah": 66,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও নাশাউলাতামাছনা- আলা আ‘ইউনিহিম ফাছতাবাকুসসিরা-তা ফাআন্নাইউবসিরূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَشَآءُ/نَشَآءُ/nashau//لَطَمَسْنَا/لَطَمَسۡنَا/latamasna//عَلٰۤی/عَلَىٰٓ/ala//اَعْیُنِهِمْ/أَعۡيُنِهِمۡ/a'yunihim//فَاسْتَبَقُوا/فَٱسۡتَبَقُواْ/fa-is'tabaqu//الصِّرَاطَ/ٱلصِّرَٰطَ/al-sirata//فَاَنّٰی/فَأَنَّىٰ/fa-anna//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "এবং যদি//চাই আমরা//দিতে পারি অবশ্যই//আমরা আলো নিভিয়ে//তাদের চোখের//তারা অতঃপর চলতে চাইতো//পথে//তখন কেমন করে//তারা দেখতে পাবে"
            },
            {
              "number": 3772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3772.mp3"
              ],
              "text": "وَلَوْ نَشَآءُ لَمَسَخْنَٰهُمْ عَلَىٰ مَكَانَتِهِمْ فَمَا ٱسْتَطَٰعُوا۟ مُضِيًّۭا وَلَا يَرْجِعُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তাদেরকে স্ব স্ব স্থানে আকার বিকৃত করতে পারতাম, ফলে তারা আগেও চলতে পারত না এবং পেছনেও ফিরে যেতে পারত না।",
              "numberInSurah": 67,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 384,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও নাশাউ লামাছাখনা-হুম ‘আলা মাকা-নাতিহিম ফামাছতাতা-‘ঊ মুদিইয়াওঁ ওয়ালাইয়ারজি‘ঊন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَشَآءُ/نَشَآءُ/nashau//لَمَسَخْنٰهُمْ/لَمَسَخۡنَٰهُمۡ/lamasakhnahum//عَلٰی/عَلَىٰ/ala//مَكَانَتِهِمْ/مَكَانَتِهِمۡ/makanatihim//فَمَا/فَمَا/fama//اسْتَطَاعُوْا/ٱسۡتَطَٰعُواْ/is'tata'u//مُضِیًّا/مُضِيّٗا/mudiyyan//وَّ لَا/وَلَا/wala//یَرْجِعُوْنَ۠/يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং যদি//চাই আমরা//তাদেরকে আমরা অবশ্যই বিকৃত করে দিতে পারি//উপর//তাদের (নিজ নিজ) অবস্থানেই//অতঃপর না//তারা সমর্থ হবে//আগে যেতে//আর না//পিছনে ফিরতে"
            },
            {
              "number": 3773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3773.mp3"
              ],
              "text": "وَمَن نُّعَمِّرْهُ نُنَكِّسْهُ فِى ٱلْخَلْقِ ۖ أَفَلَا يَعْقِلُونَ",
              "translate_bn": "আমি যাকে দীর্ঘ জীবন দান করি, তাকে সৃষ্টিগত পূর্বাবস্থায় ফিরিয়ে নেই। তবুও কি তারা বুঝে না?",
              "numberInSurah": 68,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়ামান নু‘আম্মির হু নুনাক্কিছহু ফিল খালকি আফালা-ইয়া‘কিলূন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//نُّعَمِّرْهُ/نُّعَمِّرۡهُ/nu'ammir'hu//نُنَكِّسْهُ/نُنَكِّسۡهُ/nunakkis'hu//فِی/فِي/fi//الْخَلْقِ ؕ/ٱلۡخَلۡقِۚ/al-khalqi//اَفَلَا/أَفَلَا/afala//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং কোনো ব্যক্তি//যাকে দীর্ঘায়ু দিই আমরা//উল্টিয়ে দিই আমরা তার//মধ্যে//আকৃতি-প্রকৃতির (বুদ্ধি ও যোগ্যতার)//তবুও কি না//তারা জ্ঞানবুদ্ধি কাজে লাগায়"
            },
            {
              "number": 3774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3774.mp3"
              ],
              "text": "وَمَا عَلَّمْنَٰهُ ٱلشِّعْرَ وَمَا يَنۢبَغِى لَهُۥٓ ۚ إِنْ هُوَ إِلَّا ذِكْرٌۭ وَقُرْءَانٌۭ مُّبِينٌۭ",
              "translate_bn": "আমি রসূলকে কবিতা শিক্ষা দেইনি এবং তা তার জন্যে শোভনীয়ও নয়। এটা তো এক উপদেশ ও প্রকাশ্য কোরআন।",
              "numberInSurah": 69,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-‘আল্লামনা-হুশশি‘রা ওয়ামা-ইয়ামবাগী লাহূ ইন হুওয়া ইল্লা-যিকরুওঁ ওয়া কুরআ-নুম মুবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//عَلَّمْنٰهُ/عَلَّمۡنَٰهُ/allamnahu//الشِّعْرَ/ٱلشِّعۡرَ/al-shi'ra//وَ مَا/وَمَا/wama//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لَهٗ ؕ/لَهُۥٓۚ/lahu//اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٌ/ذِكۡرٞ/dhik'run//وَّ قُرْاٰنٌ/وَقُرۡءَانٞ/waqur'anun//مُّبِیْنٌۙ/مُّبِينٞ/mubinun",
              "words_bangla": "এবং না//তাকে আমরা শিখিয়েছি//কবিতা//আর না//শোভা পায় (এটা)//তার জন্যে//না//তা//এছাড়া//উপদেশ//ও (পাঠযোগ্য কিতাব) কোরআন//সুস্পষ্ট"
            },
            {
              "number": 3775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3775.mp3"
              ],
              "text": "لِّيُنذِرَ مَن كَانَ حَيًّۭا وَيَحِقَّ ٱلْقَوْلُ عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "যাতে তিনি সতর্ক করেন জীবিতকে এবং যাতে কাফেরদের বিরুদ্ধে অভিযোগ প্রতিষ্ঠিত হয়।",
              "numberInSurah": 70,
              "juz": 23,
              "manzil": 5,
              "page": 444,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "লিইউনযিরা মান কা-না হাইয়াওঁ ওয়া ইয়াহিক্কাল কাওলু‘আলাল কা-ফিরীন।",
              "words_arabic": "لِّیُنْذِرَ/لِّيُنذِرَ/liyundhira//مَنْ/مَن/man//كَانَ/كَانَ/kana//حَیًّا/حَيّٗا/hayyan//وَّ یَحِقَّ/وَيَحِقَّ/wayahiqqa//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "সতর্ক করে যেন//(এমন প্রত্যেককে) যে//হলো//জীবিত//এবং প্রতিষ্ঠিত হতে পারে (যেন)//(শাস্তির) বাণী//বিরুদ্ধে//কাফিরদের"
            },
            {
              "number": 3776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3776.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّا خَلَقْنَا لَهُم مِّمَّا عَمِلَتْ أَيْدِينَآ أَنْعَٰمًۭا فَهُمْ لَهَا مَٰلِكُونَ",
              "translate_bn": "তারা কি দেখে না, তাদের জন্যে আমি আমার নিজ হাতের তৈরী বস্তুর দ্বারা চতুস্পদ জন্তু সৃষ্টি করেছি, অতঃপর তারাই এগুলোর মালিক।",
              "numberInSurah": 71,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও আন্না-খালাকনা- লাহুম মিম্মা- ‘আমিলাত আইদীনাআন‘আ-মান ফাহুম লাহা-মা-লিকূন।\r\n",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّا/أَنَّا/anna//خَلَقْنَا/خَلَقۡنَا/khalaqna//لَهُمْ/لَهُم/lahum//مِّمَّا/مِّمَّا/mimma//عَمِلَتْ/عَمِلَتۡ/amilat//اَیْدِیْنَاۤ/أَيۡدِينَآ/aydina//اَنْعَامًا/أَنۡعَٰمٗا/an'aman//فَهُمْ/فَهُمۡ/fahum//لَهَا/لَهَا/laha//مٰلِكُوْنَ /مَٰلِكُونَ/malikuna",
              "words_bangla": "নি কি//তারা দেখে//যে আমরা//আমরা সৃষ্টি করেছি//তাদের জন্যে//সেসব থেকে যা//সৃষ্টি করেছে//আমাদের হাতগুলো//(যেমন) গবাদি পশু//এখন তারাই//সেগুলোর//মালিক"
            },
            {
              "number": 3777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3777.mp3"
              ],
              "text": "وَذَلَّلْنَٰهَا لَهُمْ فَمِنْهَا رَكُوبُهُمْ وَمِنْهَا يَأْكُلُونَ",
              "translate_bn": "আমি এগুলোকে তাদের হাতে অসহায় করে দিয়েছি। ফলে এদের কতক তাদের বাহন এবং কতক তারা ভক্ষণ করে।",
              "numberInSurah": 72,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া যাল্লালনা-হা-লাহুম ফামিনহা-রাকূবুহুম ওয়া মিনহা-ইয়া’কুলূন।",
              "words_arabic": "وَ ذَلَّلْنٰهَا/وَذَلَّلۡنَٰهَا/wadhallalnaha//لَهُمْ/لَهُمۡ/lahum//فَمِنْهَا/فَمِنۡهَا/famin'ha//رَكُوْبُهُمْ/رَكُوبُهُمۡ/rakubuhum//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//یَاْكُلُوْنَ /يَأۡكُلُونَ/yakuluna",
              "words_bangla": "এবং সেগুলোকে আমরা বশীভূত করেছি//তাদের জন্যে//অতঃপর (রয়েছে) সেগুলোর কিছু কিছু//তাদের বাহনও (যেমন উট)//এবং সেগুলোর কিছু কিছু//তারা আহারও করে"
            },
            {
              "number": 3778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3778.mp3"
              ],
              "text": "وَلَهُمْ فِيهَا مَنَٰفِعُ وَمَشَارِبُ ۖ أَفَلَا يَشْكُرُونَ",
              "translate_bn": "তাদের জন্যে চতুস্পদ জন্তুর মধ্যে অনেক উপকারিতা ও পানীয় রয়েছে। তবুও কেন তারা শুকরিয়া আদায় করে না?",
              "numberInSurah": 73,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহুম ফীহা-মানা-ফি‘উ ওয়া মাশা-রিবু আফালা-ইয়াশকুরূন।",
              "words_arabic": "وَ لَهُمْ/وَلَهُمۡ/walahum//فِیْهَا/فِيهَا/fiha//مَنَافِعُ/مَنَٰفِعُ/manafi'u//وَ مَشَارِبُ ؕ/وَمَشَارِبُۚ/wamasharibu//اَفَلَا/أَفَلَا/afala//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "এবং তাদের জন্যে রয়েছে//সেগুলোর মধ্যে//(নানা রকম) উপকার//এবং (নানা প্রকার) পানীয়//তবুও কি না//তারা কৃতজ্ঞ হবে"
            },
            {
              "number": 3779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3779.mp3"
              ],
              "text": "وَٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ ءَالِهَةًۭ لَّعَلَّهُمْ يُنصَرُونَ",
              "translate_bn": "তারা আল্লাহর পরিবর্তে অনেক উপাস্য গ্রহণ করেছে যাতে তারা সাহায্যপ্রাপ্ত হতে পারে।",
              "numberInSurah": 74,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাখাযূমিন দূনিল্লা-হি আ-লিহাতাল লা‘আল্লাহুম ইউনসারূন।",
              "words_arabic": "وَ اتَّخَذُوْا/وَٱتَّخَذُواْ/wa-ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اٰلِهَةً/ءَالِهَةٗ/alihatan//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یُنْصَرُوْنَؕ/يُنصَرُونَ/yunsaruna",
              "words_bangla": "এবং (এ সত্ত্বেও) তারা গ্রহণ করেছে//মধ্য হতে//ছাড়া//আল্লাহ//উপাস্যরূপে (অন্যদেরকে)//তারা যাতে//তারা সাহায্য পাবে"
            },
            {
              "number": 3780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3780.mp3"
              ],
              "text": "لَا يَسْتَطِيعُونَ نَصْرَهُمْ وَهُمْ لَهُمْ جُندٌۭ مُّحْضَرُونَ",
              "translate_bn": "অথচ এসব উপাস্য তাদেরকে সাহায্য করতে সক্ষম হবে না এবং এগুলো তাদের বাহিনী রূপে ধৃত হয়ে আসবে।",
              "numberInSurah": 75,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছতাতী‘ঊনা নাসরাহুম ওয়াহুম লাহুম জুনদুম মুহদারূন।",
              "words_arabic": "لَا/لَا/la//یَسْتَطِیْعُوْنَ/يَسۡتَطِيعُونَ/yastati'una//نَصْرَهُمْ ۙ/نَصۡرَهُمۡ/nasrahum//وَ هُمْ/وَهُمۡ/wahum//لَهُمْ/لَهُمۡ/lahum//جُنْدٌ/جُندٞ/jundun//مُّحْضَرُوْنَ /مُّحۡضَرُونَ/muh'daruna",
              "words_bangla": "না//তারা সমর্থ হবে//তাদের সাহায্য করতে//বরং তারাই (হয়ে আছে)//তাদের জন্যে//সৈন্য (রক্ষাকারী রূপে)//সদা উপস্থিত"
            },
            {
              "number": 3781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3781.mp3"
              ],
              "text": "فَلَا يَحْزُنكَ قَوْلُهُمْ ۘ إِنَّا نَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ",
              "translate_bn": "অতএব তাদের কথা যেন আপনাকে দুঃখিত না করে। আমি জানি যা তারা গোপনে করে এবং যা তারা প্রকাশ্যে করে।",
              "numberInSurah": 76,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফালা-ইয়াহঝুনকা কাওলুহুম । ইন্না-না‘লামুমা-ইউছিররূনা ওয়ামা-ইউ‘লিনূন।",
              "words_arabic": "فَلَا/فَلَا/fala//یَحْزُنْكَ/يَحۡزُنكَ/yahzunka//قَوْلُهُمْ ۘ/قَوۡلُهُمۡۘ/qawluhum//اِنَّا/إِنَّا/inna//نَعْلَمُ/نَعۡلَمُ/na'lamu//مَا/مَا/ma//یُسِرُّوْنَ/يُسِرُّونَ/yusirruna//وَ مَا/وَمَا/wama//یُعْلِنُوْنَ /يُعۡلِنُونَ/yu'linuna",
              "words_bangla": "কাজেই না (যেন)//তোমাকে দুঃখ দেয়//তাদের কথা//আমরা নিশ্চয়ই//জানি আমরা//যা//তারা গোপন করে//আর যা//তারা প্রকাশ করে"
            },
            {
              "number": 3782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3782.mp3"
              ],
              "text": "أَوَلَمْ يَرَ ٱلْإِنسَٰنُ أَنَّا خَلَقْنَٰهُ مِن نُّطْفَةٍۢ فَإِذَا هُوَ خَصِيمٌۭ مُّبِينٌۭ",
              "translate_bn": "মানুষ কি দেখে না যে, আমি তাকে সৃষ্টি করেছি বীর্য থেকে? অতঃপর তখনই সে হয়ে গেল প্রকাশ্য বাকবিতন্ডাকারী।",
              "numberInSurah": 77,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাল ইনছা-নুআন্না-খালাকনা-হুমিননুতফাতিন ফাইযা-হুওয়া খাসীমুম মুবীন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَ/يَرَ/yara//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اَنَّا/أَنَّا/anna//خَلَقْنٰهُ/خَلَقۡنَٰهُ/khalaqnahu//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//فَاِذَا/فَإِذَا/fa-idha//هُوَ/هُوَ/huwa//خَصِیْمٌ/خَصِيمٞ/khasimun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "নি কি//দেখে//মানুষ//যে আমরা//তাকে আমরা সৃষ্টি করেছি//থেকে//শুক্রবিন্দু//অথচ পরে//সে (হয়েছে)//ঝগড়াটে//প্রকাশ্য"
            },
            {
              "number": 3783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3783.mp3"
              ],
              "text": "وَضَرَبَ لَنَا مَثَلًۭا وَنَسِىَ خَلْقَهُۥ ۖ قَالَ مَن يُحْىِ ٱلْعِظَٰمَ وَهِىَ رَمِيمٌۭ",
              "translate_bn": "সে আমার সম্পর্কে এক অদ্ভূত কথা বর্ণনা করে, অথচ সে নিজের সৃষ্টি ভুলে যায়। সে বলে কে জীবিত করবে অস্থিসমূহকে যখন সেগুলো পচে গলে যাবে?",
              "numberInSurah": 78,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া দারাবা লানা-মাছালাওঁ ওয়া নাছিয়া খালকাহূ কা-লা মাইঁ ইউহয়িল ‘ইজা-মা ওয়া হিয়া রামীম।",
              "words_arabic": "وَ ضَرَبَ/وَضَرَبَ/wadaraba//لَنَا/لَنَا/lana//مَثَلًا/مَثَلٗا/mathalan//وَّ نَسِیَ/وَنَسِيَ/wanasiya//خَلْقَهٗ ؕ/خَلۡقَهُۥۖ/khalqahu//قَالَ/قَالَ/qala//مَنْ/مَن/man//یُّحْیِ/يُحۡيِ/yuh'yi//الْعِظَامَ/ٱلۡعِظَٰمَ/al-'izama//وَ هِیَ/وَهِيَ/wahiya//رَمِیْمٌ /رَمِيمٞ/ramimun",
              "words_bangla": "এবং পেশ করে//আমাদের জন্যে//উপমা//অথচ সে ভুলে যায়//তার সৃষ্টিকে//সে বলে//\"কে//প্রাণ দিবে//হাড়ে//যখন তা (হয়ে যাবে)//পচাগলা জরাজীর্ণ\""
            },
            {
              "number": 3784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3784.mp3"
              ],
              "text": "قُلْ يُحْيِيهَا ٱلَّذِىٓ أَنشَأَهَآ أَوَّلَ مَرَّةٍۢ ۖ وَهُوَ بِكُلِّ خَلْقٍ عَلِيمٌ",
              "translate_bn": "বলুন, যিনি প্রথমবার সেগুলোকে সৃষ্টি করেছেন, তিনিই জীবিত করবেন। তিনি সর্বপ্রকার সৃষ্টি সম্পর্কে সম্যক অবগত।",
              "numberInSurah": 79,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "কুল ইউহয়ী হাল্লাযী আনশাআহা আওওয়ালা মাররাতিওঁ ওয়া হুয়া বিকুল্লি খালকিন ‘আলীমু।",
              "words_arabic": "قُلْ/قُلۡ/qul//یُحْیِیْهَا/يُحۡيِيهَا/yuh'yiha//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْشَاَهَاۤ/أَنشَأَهَآ/ansha-aha//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ ؕ/مَرَّةٖۖ/marratin//وَ هُوَ/وَهُوَ/wahuwa//بِكُلِّ/بِكُلِّ/bikulli//خَلْقٍ/خَلۡقٍ/khalqin//عَلِیْمُۙ/عَلِيمٌ/alimun",
              "words_bangla": "বলো (তাদেরকে)//\"তাতে প্রাণ দিবেন//(তিনিই) যিনি//তা সৃষ্টি করেছেন//প্রথম//বার//এবং তিনি//সম্পর্কে সবকিছু//(তাঁর) সৃষ্টির//সম্যক অবগত\""
            },
            {
              "number": 3785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3785.mp3"
              ],
              "text": "ٱلَّذِى جَعَلَ لَكُم مِّنَ ٱلشَّجَرِ ٱلْأَخْضَرِ نَارًۭا فَإِذَآ أَنتُم مِّنْهُ تُوقِدُونَ",
              "translate_bn": "যিনি তোমাদের জন্যে সবুজ বৃক্ষ থেকে আগুন উৎপন্ন করেন। তখন তোমরা তা থেকে আগুন জ্বালাও।",
              "numberInSurah": 80,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জা‘আলা লাকুম মিনাশশাজারিল আখদারি না-রান ফাইযা-আনতুম মিনহু তূকিদূন।",
              "words_arabic": "لَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الشَّجَرِ/ٱلشَّجَرِ/al-shajari//الْاَخْضَرِ/ٱلۡأَخۡضَرِ/al-akhdari//نَارًا/نَارٗا/naran//فَاِذَاۤ/فَإِذَآ/fa-idha//اَنْتُمْ/أَنتُم/antum//مِّنْهُ/مِّنۡهُ/min'hu//تُوْقِدُوْنَ /تُوقِدُونَ/tuqiduna",
              "words_bangla": "যিনি//সৃষ্টি করেছেন//তোমাদের জন্যে//থেকে//গাছ//সবুজ//আগুন//অতঃপর//তোমরা//তা থেকে//আগুন জ্বালো"
            },
            {
              "number": 3786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3786.mp3"
              ],
              "text": "أَوَلَيْسَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِقَٰدِرٍ عَلَىٰٓ أَن يَخْلُقَ مِثْلَهُم ۚ بَلَىٰ وَهُوَ ٱلْخَلَّٰقُ ٱلْعَلِيمُ",
              "translate_bn": "যিনি নভোমন্ডল ও ভূমন্ডল সৃষ্টি করেছেন, তিনিই কি তাদের অনুরূপ সৃষ্টি করতে সক্ষম নন? হ্যাঁ তিনি মহাস্রষ্টা, সর্বজ্ঞ।",
              "numberInSurah": 81,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আওয়া লাইছাল্লাযী খালাকাছছামা-ওয়াতি ওয়াল আরদা বিকা-দিরিন ‘আলা আইঁ ইয়াখলুকা মিছলাহুম বালা- ওয়া হুওয়াল খাল্লা-কুল ‘আলীম।",
              "words_arabic": "اَوَ لَیْسَ/أَوَلَيۡسَ/awalaysa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِقٰدِرٍ/بِقَٰدِرٍ/biqadirin//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یَّخْلُقَ/يَخۡلُقَ/yakhluqa//مِثْلَهُمْ ؔؕ/مِثۡلَهُمۚ/mith'lahum//بَلٰی ۗ/بَلَىٰ/bala//وَ هُوَ/وَهُوَ/wahuwa//الْخَلّٰقُ/ٱلۡخَلَّـٰقُ/al-khalaqu//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "নন কি (সেই আল্লাহ)//যিনি//সৃষ্টি করেছেন//আকাশ সমূহ//ও পৃথিবীকে//সক্ষম//এক্ষেত্রে//যে//সৃষ্টি করবেন//তাদের মতো//হ্যাঁ নিশ্চয়ই//এবং তিনিই//মহাস্রষ্টা//সর্বজ্ঞ"
            },
            {
              "number": 3787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3787.mp3"
              ],
              "text": "إِنَّمَآ أَمْرُهُۥٓ إِذَآ أَرَادَ شَيْـًٔا أَن يَقُولَ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "তিনি যখন কোন কিছু করতে ইচ্ছা করেন, তখন তাকে কেবল বলে দেন, ‘হও’ তখনই তা হয়ে যায়।",
              "numberInSurah": 82,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাআমরুহূ ইযাআরা-দা শাইআন আইঁ ইয়াকূলা লাহূকুন ফাইয়াকূন।",
              "words_arabic": "اِنَّمَاۤ/إِنَّمَآ/innama//اَمْرُهٗۤ/أَمۡرُهُۥٓ/amruhu//اِذَاۤ/إِذَآ/idha//اَرَادَ/أَرَادَ/arada//شَیْـًٔا/شَيۡـًٔا/shayan//اَنْ/أَن/an//یَّقُوْلَ/يَقُولَ/yaqula//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ /فَيَكُونُ/fayakunu",
              "words_bangla": "কেবল//তাঁর নির্দেশ হয়//যখন//ইচ্ছে করেন//কিছু (করতে)//যে//বলেন//তাকে//\"হও\"//তখনই হয়ে যায়"
            },
            {
              "number": 3788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3788.mp3"
              ],
              "text": "فَسُبْحَٰنَ ٱلَّذِى بِيَدِهِۦ مَلَكُوتُ كُلِّ شَىْءٍۢ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "অতএব পবিত্র তিনি, যাঁর হাতে সবকিছুর রাজত্ব এবং তাঁরই দিকে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 83,
              "juz": 23,
              "manzil": 5,
              "page": 445,
              "ruku": 385,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফাছুবহা-নাল্লাযী বিয়াদিহী মালাকূতুকুল্লি শাইয়িওঁ ওয়া ইলাইহি তুর জা‘ঊন।",
              "words_arabic": "فَسُبْحٰنَ/فَسُبۡحَٰنَ/fasub'hana//الَّذِیْ/ٱلَّذِي/alladhi//بِیَدِهٖ/بِيَدِهِۦ/biyadihi//مَلَكُوْتُ/مَلَكُوتُ/malakutu//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ۠/تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "অতএব মহান পবিত্র//(সেই সত্ত্বা) তিনিই//যার হাতে (আছে)//সার্বভৌম ক্ষমতা//সব//জিনিসের//এবং তাঁরই দিকে//তোমাদেরকে ফিরিয়ে নেয়া হবে"
            }
          ]
        },
        {
          "number": 37,
          "name": "سُورَةُ الصَّافَّاتِ",
          "englishName": "As-Saaffaat",
          "englishNameTranslation": "Those drawn up in Ranks",
          "revelationType": "Meccan",
          "verse": 182,
          "words": 1881,
          "chars": 7896,
          "ayahs": [
            {
              "number": 3789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3789.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلصَّٰٓفَّٰتِ صَفًّۭا",
              "translate_bn": "শপথ তাদের যারা সারিবদ্ধ হয়ে দাঁড়ানো,",
              "numberInSurah": 1,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়াসসাফফা-তি সাফফা-।\r\n",
              "words_arabic": "وَ الصّٰٓفّٰتِ/وَٱلصَّـٰٓفَّـٰتِ/wal-safati//صَفًّاۙ/صَفّٗا/saffan",
              "words_bangla": "শপথ সারি বেঁধে দাঁড়ায় যারা//সারি সারি"
            },
            {
              "number": 3790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3790.mp3"
              ],
              "text": "فَٱلزَّٰجِرَٰتِ زَجْرًۭا",
              "translate_bn": "অতঃপর ধমকিয়ে ভীতি প্রদর্শনকারীদের,",
              "numberInSurah": 2,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফাঝঝা-জিরা-তি ঝাজরা-।",
              "words_arabic": "فَالزّٰجِرٰتِ/فَٱلزَّـٰجِرَٰتِ/fal-zajirati//زَجْرًاۙ/زَجۡرٗا/zajran",
              "words_bangla": "অতঃপর (শপথ) ধমকদানকারীদের//সজোরে"
            },
            {
              "number": 3791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3791.mp3"
              ],
              "text": "فَٱلتَّٰلِيَٰتِ ذِكْرًا",
              "translate_bn": "অতঃপর মুখস্থ আবৃত্তিকারীদের-",
              "numberInSurah": 3,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফাত্তা-লিয়া-তি যিকরা-।",
              "words_arabic": "فَالتّٰلِیٰتِ/فَٱلتَّـٰلِيَٰتِ/fal-taliyati//ذِكْرًاۙ/ذِكۡرًا/dhik'ran",
              "words_bangla": "অতঃপর (শপথ তাদের) পাঠকদের//উপদেশবাণী"
            },
            {
              "number": 3792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3792.mp3"
              ],
              "text": "إِنَّ إِلَٰهَكُمْ لَوَٰحِدٌۭ",
              "translate_bn": "নিশ্চয় তোমাদের মাবুদ এক।",
              "numberInSurah": 4,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইলা-হাকুম লাওয়া-হিদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اِلٰهَكُمْ/إِلَٰهَكُمۡ/ilahakum//لَوَاحِدٌؕ/لَوَٰحِدٞ/lawahidun",
              "words_bangla": "নিশ্চয়ই//তোমাদের ইলাহ//একজন অবশ্যই"
            },
            {
              "number": 3793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3793.mp3"
              ],
              "text": "رَّبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا وَرَبُّ ٱلْمَشَٰرِقِ",
              "translate_bn": "তিনি আসমান সমূহ, যমীনও এতদুভয়ের মধ্যবর্তী সবকিছুর পালনকর্তা এবং পালনকর্তা উদয়াচলসমূহের।",
              "numberInSurah": 5,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "রাব্বুছ ছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা-ওয়া রাব্বুল মাশা-রিক।",
              "words_arabic": "رَبُّ/رَّبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//وَ رَبُّ/وَرَبُّ/warabbu//الْمَشَارِقِؕ/ٱلۡمَشَٰرِقِ/al-mashariqi",
              "words_bangla": "(তিনি) রব//আকাশের//ও পৃৃথিবীর//এবং যা কিছু (আছে)//তাদের উভয়ের মাঝে//এবং রব//উদয়স্থলসমূহের"
            },
            {
              "number": 3794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3794.mp3"
              ],
              "text": "إِنَّا زَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِزِينَةٍ ٱلْكَوَاكِبِ",
              "translate_bn": "নিশ্চয় আমি নিকটবর্তী আকাশকে তারকারাজির দ্বারা সুশোভিত করেছি।",
              "numberInSurah": 6,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ইন্না-ঝাইয়ান্নাছছামাআদ্দুনইয়া-বিঝীনাতিনিল কাওয়া-কিব।",
              "words_arabic": "اِنَّا/إِنَّا/inna//زَیَّنَّا/زَيَّنَّا/zayyanna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//بِزِیْنَةِ/بِزِينَةٍ/bizinatin//ِ۟الْكَوَاكِبِۙ/ٱلۡكَوَاكِبِ/al-kawakibi",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা সৃুশোভিত করেছি//আকাশকে//কাছের//চাকচিক্য দ্বারা//তারকাদের"
            },
            {
              "number": 3795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3795.mp3"
              ],
              "text": "وَحِفْظًۭا مِّن كُلِّ شَيْطَٰنٍۢ مَّارِدٍۢ",
              "translate_bn": "এবং তাকে সংরক্ষিত করেছি প্রত্যেক অবাধ্য শয়তান থেকে।",
              "numberInSurah": 7,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া হিফজাম মিন কুল্লি শাইতা-নিম মা-রিদ।",
              "words_arabic": "وَ حِفْظًا/وَحِفۡظٗا/wahif'zan//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//شَیْطٰنٍ/شَيۡطَٰنٖ/shaytanin//مَّارِدٍۚ/مَّارِدٖ/maridin",
              "words_bangla": "এবং (তাকে) (আমরা করেছি) সংরক্ষণ//হ'তে//প্রত্যেক//শয়তানের//(যারা) অবাধ্য"
            },
            {
              "number": 3796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3796.mp3"
              ],
              "text": "لَّا يَسَّمَّعُونَ إِلَى ٱلْمَلَإِ ٱلْأَعْلَىٰ وَيُقْذَفُونَ مِن كُلِّ جَانِبٍۢ",
              "translate_bn": "ওরা উর্ধ্ব জগতের কোন কিছু শ্রবণ করতে পারে না এবং চার দিক থেকে তাদের প্রতি উল্কা নিক্ষেপ করা হয়।",
              "numberInSurah": 8,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "লা ইয়াছছাম্মা‘ঊনা ইলাল মালাইল আ‘লা-ওয়া ইউকযাফূনা মিন কুল্লি জা-নিব।",
              "words_arabic": "لَا/لَّا/la//یَسَّمَّعُوْنَ/يَسَّمَّعُونَ/yassamma'una//اِلَی/إِلَى/ila//الْمَلَاِ/ٱلۡمَلَإِ/al-mala-i//الْاَعْلٰی/ٱلۡأَعۡلَىٰ/al-a'la//وَ یُقْذَفُوْنَ/وَيُقۡذَفُونَ/wayuq'dhafuna//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//جَانِبٍۗۖ/جَانِبٖ/janibin",
              "words_bangla": "না//তারা শুনতে পায়//(কোন কথা) হ'তে//জগৎ//ওপরের//এবং নিক্ষেপ করা হয়//থেকে//প্রত্যেক//দিক"
            },
            {
              "number": 3797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3797.mp3"
              ],
              "text": "دُحُورًۭا ۖ وَلَهُمْ عَذَابٌۭ وَاصِبٌ",
              "translate_bn": "ওদেরকে বিতাড়নের উদ্দেশে। ওদের জন্যে রয়েছে বিরামহীন শাস্তি।",
              "numberInSurah": 9,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "দুহূ রাও ওয়ালাহুম ‘আযা-বুন ওয়া-সিব।",
              "words_arabic": "دُحُوْرًا/دُحُورٗاۖ/duhuran//وَّ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٞ/adhabun//وَّاصِبٌۙ/وَاصِبٌ/wasibun",
              "words_bangla": "তাড়ানোর (জন্যে)//এবং তাদের জন্যে রয়েছে//শাস্তি//অবিরাম"
            },
            {
              "number": 3798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3798.mp3"
              ],
              "text": "إِلَّا مَنْ خَطِفَ ٱلْخَطْفَةَ فَأَتْبَعَهُۥ شِهَابٌۭ ثَاقِبٌۭ",
              "translate_bn": "তবে কেউ ছোঁ মেরে কিছু শুনে ফেললে জ্বলন্ত উল্কাপিন্ড তার পশ্চাদ্ধাবন করে।",
              "numberInSurah": 10,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান খাতিফাল খাতফাতা ফাআতবা‘আহূশিহা-বুন ছাকিব।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//خَطِفَ/خَطِفَ/khatifa//الْخَطْفَةَ/ٱلۡخَطۡفَةَ/al-khatfata//فَاَتْبَعَهٗ/فَأَتۡبَعَهُۥ/fa-atba'ahu//شِهَابٌ/شِهَابٞ/shihabun//ثَاقِبٌ /ثَاقِبٞ/thaqibun",
              "words_bangla": "তবে//যে//হঠাৎ করে (শুনে) নেয়//হঠাৎ নেওয়া//তাকে তখন অনুসরণ করে//উল্কা//জ্বলন্ত"
            },
            {
              "number": 3799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3799.mp3"
              ],
              "text": "فَٱسْتَفْتِهِمْ أَهُمْ أَشَدُّ خَلْقًا أَم مَّنْ خَلَقْنَآ ۚ إِنَّا خَلَقْنَٰهُم مِّن طِينٍۢ لَّازِبٍۭ",
              "translate_bn": "আপনি তাদেরকে জিজ্ঞেস করুন, তাদেরকে সৃষ্টি করা কঠিনতর, না আমি অন্য যা সৃষ্টি করেছি? আমিই তাদেরকে সৃষ্টি করেছি এঁটেল মাটি থেকে।",
              "numberInSurah": 11,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফাছতাফতিহিম আহুম আশাদ্দুখাল কান আম্মান খালাকনা- ইন্না-খালাকনা-হুম মিন তীনিল লা-ঝিব।",
              "words_arabic": "فَاسْتَفْتِهِمْ/فَٱسۡتَفۡتِهِمۡ/fa-is'taftihim//اَهُمْ/أَهُمۡ/ahum//اَشَدُّ/أَشَدُّ/ashaddu//خَلْقًا/خَلۡقًا/khalqan//اَمْ/أَم/am//مَّنْ/مَّنۡ/man//خَلَقْنَا ؕ/خَلَقۡنَآۚ/khalaqna//اِنَّا/إِنَّا/inna//خَلَقْنٰهُمْ/خَلَقۡنَٰهُم/khalaqnahum//مِّنْ/مِّن/min//طِیْنٍ/طِينٖ/tinin//لَّازِبٍ /لَّازِبِۭ/lazibin",
              "words_bangla": "তাদেরকে অতঃপর জিজ্ঞেস করো//\"তারা কি//বেশী কঠিন//সৃষ্টি হিসেবে//অথবা//(অন্য) যা কিছু//আমরা সৃষ্টি করেছি\"//নিশ্চয়ই আমরা//তাদেরকে আমরা সৃষ্টি করেছি//থেকে//মাটি//(যা) এঁটেল"
            },
            {
              "number": 3800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3800.mp3"
              ],
              "text": "بَلْ عَجِبْتَ وَيَسْخَرُونَ",
              "translate_bn": "বরং আপনি বিস্ময় বোধ করেন আর তারা বিদ্রুপ করে।",
              "numberInSurah": 12,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "বাল ‘আজিবতা ওয়া ইয়াছখারূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//عَجِبْتَ/عَجِبۡتَ/ajib'ta//وَ یَسْخَرُوْنَ۪/وَيَسۡخَرُونَ/wayaskharuna",
              "words_bangla": "বরং//তুমি অবাক হচ্ছো//আর তারা বিদ্রূপ করছে"
            },
            {
              "number": 3801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3801.mp3"
              ],
              "text": "وَإِذَا ذُكِّرُوا۟ لَا يَذْكُرُونَ",
              "translate_bn": "যখন তাদেরকে বোঝানো হয়, তখন তারা বোঝে না।",
              "numberInSurah": 13,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-যুক্কিরূলা-ইয়াযকুরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//ذُكِّرُوْا/ذُكِّرُواْ/dhukkiru//لَا/لَا/la//یَذْكُرُوْنَ۪/يَذۡكُرُونَ/yadhkuruna",
              "words_bangla": "এবং যখন//তাদের উপদেশ দেয়া হয়//না//তারা উপদেশ গ্রহণ করে"
            },
            {
              "number": 3802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3802.mp3"
              ],
              "text": "وَإِذَا رَأَوْا۟ ءَايَةًۭ يَسْتَسْخِرُونَ",
              "translate_bn": "তারা যখন কোন নিদর্শন দেখে তখন বিদ্রূপ করে।",
              "numberInSurah": 14,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআও আ-য়াতাই ইয়াছতাছখিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَوْا/رَأَوۡاْ/ra-aw//اٰیَةً/ءَايَةٗ/ayatan//یَّسْتَسْخِرُوْنَ۪/يَسۡتَسۡخِرُونَ/yastaskhiruna",
              "words_bangla": "এবং যখন//তারা দেখে//কোনো নিদর্শন//তারা উপহাস করে"
            },
            {
              "number": 3803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3803.mp3"
              ],
              "text": "وَقَالُوٓا۟ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ مُّبِينٌ",
              "translate_bn": "এবং বলে, কিছুই নয়, এযে স্পষ্ট যাদু।",
              "numberInSurah": 15,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূ ইন হা-যাইল্লা-ছিহরু মুবীন।\r\n",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌۚۖ/مُّبِينٌ/mubinun",
              "words_bangla": "এবং তারা বলে//\"নয়//এটা//এ ব্যতীত//জাদু//সুস্পষ্ট"
            },
            {
              "number": 3804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3804.mp3"
              ],
              "text": "أَءِذَا مِتْنَا وَكُنَّا تُرَابًۭا وَعِظَٰمًا أَءِنَّا لَمَبْعُوثُونَ",
              "translate_bn": "আমরা যখন মরে যাব, এবং মাটি ও হাড়ে পরিণত হয়ে যাব, তখনও কি আমরা পুনরুত্থিত হব?",
              "numberInSurah": 16,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আইযা-মিতনা-ওয়া কুন্না-তুরাবাওঁ ওয়া ‘ইজা-মান আইন্না-লামাব‘ঊছূন।",
              "words_arabic": "ءَاِذَا/أَءِذَا/a-idha//مِتْنَا/مِتۡنَا/mit'na//وَ كُنَّا/وَكُنَّا/wakunna//تُرَابًا/تُرَابٗا/turaban//وَّ عِظَامًا/وَعِظَٰمًا/wa'izaman//ءَاِنَّا/أَءِنَّا/a-inna//لَمَبْعُوْثُوْنَۙ/لَمَبۡعُوثُونَ/lamab'uthuna",
              "words_bangla": "কি যখন//আমরা মরে যাব//এবং আমরা হয়ে যাব//মাটি//ও হাড়//নিশ্চয়ই কি আমরা//আমাদেরকে উঠানো হবে অবশ্যই"
            },
            {
              "number": 3805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3805.mp3"
              ],
              "text": "أَوَءَابَآؤُنَا ٱلْأَوَّلُونَ",
              "translate_bn": "আমাদের পিতৃপুরুষগণও কি?",
              "numberInSurah": 17,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "আওয়াআ-বাউনাল আওওয়ালূন।",
              "words_arabic": "اَوَ اٰبَآؤُنَا/أَوَءَابَآؤُنَا/awaabauna//الْاَوَّلُوْنَؕ/ٱلۡأَوَّلُونَ/al-awaluna",
              "words_bangla": "এবং কি (উঠানো হবে) আমাদের পিতৃপুরুষদেরকেও//পূর্বকালের\""
            },
            {
              "number": 3806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3806.mp3"
              ],
              "text": "قُلْ نَعَمْ وَأَنتُمْ دَٰخِرُونَ",
              "translate_bn": "বলুন, হ্যাঁ এবং তোমরা হবে লাঞ্ছিত।",
              "numberInSurah": 18,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "কুল না‘আম ওয়া আনতুম দা-খিরূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//نَعَمْ/نَعَمۡ/na'am//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//دَاخِرُوْنَۚ/دَٰخِرُونَ/dakhiruna",
              "words_bangla": "বলো//\"হ্যাঁ//এবং তোমরা//অপমানিত হবে\""
            },
            {
              "number": 3807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3807.mp3"
              ],
              "text": "فَإِنَّمَا هِىَ زَجْرَةٌۭ وَٰحِدَةٌۭ فَإِذَا هُمْ يَنظُرُونَ",
              "translate_bn": "বস্তুতঃ সে উত্থান হবে একটি বিকট শব্দ মাত্র-যখন তারা প্রত্যক্ষ করতে থাকবে।",
              "numberInSurah": 19,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নামা-হিয়া ঝাজরাতুওঁ ওয়া-হিদাতুন ফাইযা-হুম ইয়ানজু রূন।",
              "words_arabic": "فَاِنَّمَا/فَإِنَّمَا/fa-innama//هِیَ/هِيَ/hiya//زَجْرَةٌ/زَجۡرَةٞ/zajratun//وَّاحِدَةٌ/وَٰحِدَةٞ/wahidatun//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُمۡ/hum//یَنْظُرُوْنَ /يَنظُرُونَ/yanzuruna",
              "words_bangla": "মূলতঃ//তা (হবে)//বিকট শব্দ কম্পন//একটি (মাত্র)//অতঃপর তখন//তারা//দেখবে"
            },
            {
              "number": 3808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3808.mp3"
              ],
              "text": "وَقَالُوا۟ يَٰوَيْلَنَا هَٰذَا يَوْمُ ٱلدِّينِ",
              "translate_bn": "এবং বলবে, দুর্ভাগ্য আমাদের! এটাই তো প্রতিফল দিবস।",
              "numberInSurah": 20,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "ওয়া-কা-লূইয়া-ওয়াইলানা-হা-যা-ইয়াওমুদ্দীন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//یٰوَیْلَنَا/يَٰوَيۡلَنَا/yawaylana//هٰذَا/هَٰذَا/hadha//یَوْمُ/يَوۡمُ/yawmu//الدِّیْنِ /ٱلدِّينِ/al-dini",
              "words_bangla": "এবং তারা বলবে//\"আমাদের দুর্ভোগ হায়//এটাই//দিন//বিচারের\""
            },
            {
              "number": 3809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3809.mp3"
              ],
              "text": "هَٰذَا يَوْمُ ٱلْفَصْلِ ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ",
              "translate_bn": "বলা হবে, এটাই ফয়সালার দিন, যাকে তোমরা মিথ্যা বলতে।",
              "numberInSurah": 21,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 386,
              "hizbQuarter": 178,
              "sajda": false,
              "pronunciation_bn": "হা-যা-ইয়াওমুল ফাসলিল্লাযী কুনতুম বিহী তুকাযযিবূন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//یَوْمُ/يَوۡمُ/yawmu//الْفَصْلِ/ٱلۡفَصۡلِ/al-fasli//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تُكَذِّبُوْنَ۠/تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "\"এটাই//দিন//মীমাংসার//যা//তোমরা ছিলে//তা সম্পর্কে//মিথ্যা বলতে\""
            },
            {
              "number": 3810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3810.mp3"
              ],
              "text": "۞ ٱحْشُرُوا۟ ٱلَّذِينَ ظَلَمُوا۟ وَأَزْوَٰجَهُمْ وَمَا كَانُوا۟ يَعْبُدُونَ",
              "translate_bn": "একত্রিত কর গোনাহগারদেরকে, তাদের দোসরদেরকে এবং যাদের এবাদত তারা করত।",
              "numberInSurah": 22,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "উহশুরুল্লাযীনা জালামূওয়া আঝওয়া-জাহুম ওয়ামা-কা-নূইয়া‘বুদূন।",
              "words_arabic": "اُحْشُرُوا/۞ٱحۡشُرُواْ/uh'shuru//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//وَ اَزْوَاجَهُمْ/وَأَزۡوَٰجَهُمۡ/wa-azwajahum//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//یَعْبُدُوْنَۙ/يَعۡبُدُونَ/ya'buduna",
              "words_bangla": "(বলা হবে) একত্র করে আনো//(তাদেরকে) যারা//সীমালঙ্ঘন করেছিলো//এবং তাদের দোসরদেরকে//এবং যাদের//তারা//উপাসনা করতো"
            },
            {
              "number": 3811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3811.mp3"
              ],
              "text": "مِن دُونِ ٱللَّهِ فَٱهْدُوهُمْ إِلَىٰ صِرَٰطِ ٱلْجَحِيمِ",
              "translate_bn": "আল্লাহ ব্যতীত। অতঃপর তাদেরকে পরিচালিত কর জাহান্নামের পথে,",
              "numberInSurah": 23,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "মিন দূনিল্লা-হি ফাহদূহুম ইলা-সিরা-তিল জাহীম।",
              "words_arabic": "مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//فَاهْدُوْهُمْ/فَٱهۡدُوهُمۡ/fa-ih'duhum//اِلٰی/إِلَىٰ/ila//صِرَاطِ/صِرَٰطِ/sirati//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "মধ্য হতে//ছাড়া//আল্লাহ//তাই তাদেরকে পরিচালিত করো//দিকে//পথের//জাহান্নামের"
            },
            {
              "number": 3812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3812.mp3"
              ],
              "text": "وَقِفُوهُمْ ۖ إِنَّهُم مَّسْـُٔولُونَ",
              "translate_bn": "এবং তাদেরকে থামাও, তারা জিজ্ঞাসিত হবে;",
              "numberInSurah": 24,
              "juz": 23,
              "manzil": 6,
              "page": 446,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়াকিফূহুম ইন্নাহুম মাছঊলূন।",
              "words_arabic": "وَ قِفُوْهُمْ/وَقِفُوهُمۡۖ/waqifuhum//اِنَّهُمْ/إِنَّهُم/innahum//مَّسْـُٔوْلُوْنَۙ/مَّسۡـُٔولُونَ/masuluna",
              "words_bangla": "এবং থামাও তাদেরকে//তারা নিশ্চয়ই//জিজ্ঞাসিত হবে\""
            },
            {
              "number": 3813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3813.mp3"
              ],
              "text": "مَا لَكُمْ لَا تَنَاصَرُونَ",
              "translate_bn": "তোমাদের কি হল যে, তোমরা একে অপরের সাহায্য করছ না?",
              "numberInSurah": 25,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "মা-লাকুম লা-তানা-সারূন।",
              "words_arabic": "مَا/مَا/ma//لَكُمْ/لَكُمۡ/lakum//لَا/لَا/la//تَنَاصَرُوْنَ /تَنَاصَرُونَ/tanasaruna",
              "words_bangla": "\"(বলা হবে) কি//তোমাদের হলো (যে)//না//তোমরা পরস্পরে সাহায্য করছো\""
            },
            {
              "number": 3814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3814.mp3"
              ],
              "text": "بَلْ هُمُ ٱلْيَوْمَ مُسْتَسْلِمُونَ",
              "translate_bn": "বরং তারা আজকের দিনে আত্নসমর্পণকারী।",
              "numberInSurah": 26,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "বাল হুমুল ইয়াওমা মুছতাছলিমূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//هُمُ/هُمُ/humu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//مُسْتَسْلِمُوْنَ /مُسۡتَسۡلِمُونَ/mus'taslimuna",
              "words_bangla": "বরং//তারা//আজ//আত্মসমর্পণকারী"
            },
            {
              "number": 3815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3815.mp3"
              ],
              "text": "وَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍۢ يَتَسَآءَلُونَ",
              "translate_bn": "তারা একে অপরের দিকে মুখ করে পরস্পরকে জিজ্ঞাসাবাদ করবে।",
              "numberInSurah": 27,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকবালা বা‘দুহুম ‘আলা-বা‘দিইঁ ইয়াতাছাআলূন।",
              "words_arabic": "وَ اَقْبَلَ/وَأَقۡبَلَ/wa-aqbala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//یَّتَسَآءَلُوْنَ /يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "এবং মুখোমুখী হবে//তাদের একে//দিকে//অপরের//তারা পরস্পরে জিজ্ঞাসাবাদ করবে"
            },
            {
              "number": 3816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3816.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّكُمْ كُنتُمْ تَأْتُونَنَا عَنِ ٱلْيَمِينِ",
              "translate_bn": "বলবে, তোমরা তো আমাদের কাছে ডান দিক থেকে আসতে।",
              "numberInSurah": 28,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নাকুম কুনতুম তা’তূনানা-‘আনিল ইয়ামীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّكُمْ/إِنَّكُمۡ/innakum//كُنْتُمْ/كُنتُمۡ/kuntum//تَاْتُوْنَنَا/تَأۡتُونَنَا/tatunana//عَنِ/عَنِ/ani//الْیَمِیْنِ /ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "(অনুসারীরা) বলবে//\"তোমরা নিশ্চয়ই//আমাদের//কাছে আসতে//থেকে//ডানদিক (অর্থাৎ শক্তি নিয়ে)\""
            },
            {
              "number": 3817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3817.mp3"
              ],
              "text": "قَالُوا۟ بَل لَّمْ تَكُونُوا۟ مُؤْمِنِينَ",
              "translate_bn": "তারা বলবে, বরং তোমরা তো বিশ্বাসীই ছিলে না।",
              "numberInSurah": 29,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কা-লূবাল লাম তাকূনূমু’মিনীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَلْ/بَل/bal//لَّمْ/لَّمۡ/lam//تَكُوْنُوْا/تَكُونُواْ/takunu//مُؤْمِنِیْنَۚ/مُؤۡمِنِينَ/mu'minina",
              "words_bangla": "(নেতারা) বলবে//\"বরং//না//তোমরা ছিলে//মু'মিন"
            },
            {
              "number": 3818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3818.mp3"
              ],
              "text": "وَمَا كَانَ لَنَا عَلَيْكُم مِّن سُلْطَٰنٍۭ ۖ بَلْ كُنتُمْ قَوْمًۭا طَٰغِينَ",
              "translate_bn": "এবং তোমাদের উপর আমাদের কোন কতৃত্ব ছিল না, বরং তোমরাই ছিলে সীমালংঘনকারী সম্প্রদায়।",
              "numberInSurah": 30,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লানা-‘আলাইকুম মিন ছুলতা-নিন বাল কুনতুম কাওমান তা-গীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَنَا/لَنَا/lana//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّنْ/مِّن/min//سُلْطٰنٍ ۚ/سُلۡطَٰنِۭۖ/sul'tanin//بَلْ/بَلۡ/bal//كُنْتُمْ/كُنتُمۡ/kuntum//قَوْمًا/قَوۡمٗا/qawman//طٰغِیْنَ /طَٰغِينَ/taghina",
              "words_bangla": "এবং না//ছিলো//আমাদের জন্যে//তোমাদের উপর//কোনো//কর্তৃত্ব//বরং//তোমরা ছিলে//সম্প্রদায়//অবাধ্য"
            },
            {
              "number": 3819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3819.mp3"
              ],
              "text": "فَحَقَّ عَلَيْنَا قَوْلُ رَبِّنَآ ۖ إِنَّا لَذَآئِقُونَ",
              "translate_bn": "আমাদের বিপক্ষে আমাদের পালনকর্তার উক্তিই সত্য হয়েছে। আমাদেরকে অবশই স্বাদ আস্বাদন করতে হবে।",
              "numberInSurah": 31,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাহাক্কা ‘আলাইনা-কাওলুরাব্বিনা ইনা-লাযাইকূন।",
              "words_arabic": "فَحَقَّ/فَحَقَّ/fahaqqa//عَلَیْنَا/عَلَيۡنَا/alayna//قَوْلُ/قَوۡلُ/qawlu//رَبِّنَاۤ ۖۗ/رَبِّنَآۖ/rabbina//اِنَّا/إِنَّا/inna//لَذَآىِٕقُوْنَ /لَذَآئِقُونَ/ladhaiquna",
              "words_bangla": "সুতরাং সত্য হলো//আমাদের বিরুদ্ধে//কথা//আমাদের রবের//নিশ্চয়ই আমরা//অবশ্যই (শাস্তির) স্বাদ ভোগ করতে হবে"
            },
            {
              "number": 3820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3820.mp3"
              ],
              "text": "فَأَغْوَيْنَٰكُمْ إِنَّا كُنَّا غَٰوِينَ",
              "translate_bn": "আমরা তোমাদেরকে পথভ্রষ্ট করেছিলাম। কারণ আমরা নিজেরাই পথভ্রষ্ট ছিলাম।",
              "numberInSurah": 32,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাআগওয়াইনা-কুম ইন্না-কুন্না-গা-বীন।",
              "words_arabic": "فَاَغْوَیْنٰكُمْ/فَأَغۡوَيۡنَٰكُمۡ/fa-aghwaynakum//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//غٰوِیْنَ /غَٰوِينَ/ghawina",
              "words_bangla": "কারণ তোমাদেরকে আমরা বিভ্রান্ত করেছিলাম//নিশ্চয়ই আমরা//ছিলাম//বিভ্রান্ত\""
            },
            {
              "number": 3821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3821.mp3"
              ],
              "text": "فَإِنَّهُمْ يَوْمَئِذٍۢ فِى ٱلْعَذَابِ مُشْتَرِكُونَ",
              "translate_bn": "তারা সবাই সেদিন শান্তিতে শরীক হবে।",
              "numberInSurah": 33,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাহুম ইয়াওমাইযিন ফিল ‘আযা-বি মুশতারিকূন।",
              "words_arabic": "فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//مُشْتَرِكُوْنَ /مُشۡتَرِكُونَ/mush'tarikuna",
              "words_bangla": "অতঃপর তারা নিশ্চয়ই//সেদিন//মধ্যে//শাস্তির//সম অংশীদার হবে"
            },
            {
              "number": 3822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3822.mp3"
              ],
              "text": "إِنَّا كَذَٰلِكَ نَفْعَلُ بِٱلْمُجْرِمِينَ",
              "translate_bn": "অপরাধীদের সাথে আমি এমনি ব্যবহার করে থাকি।",
              "numberInSurah": 34,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাযা-লিকা নাফ‘আলুবিলমুজরিমীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَفْعَلُ/نَفۡعَلُ/naf 'alu//بِالْمُجْرِمِیْنَ /بِٱلۡمُجۡرِمِينَ/bil-muj'rimina",
              "words_bangla": "নিশ্চয়ই আমরা//এরূপই//আমরা করি//অপরাধীদের সাথে"
            },
            {
              "number": 3823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3823.mp3"
              ],
              "text": "إِنَّهُمْ كَانُوٓا۟ إِذَا قِيلَ لَهُمْ لَآ إِلَٰهَ إِلَّا ٱللَّهُ يَسْتَكْبِرُونَ",
              "translate_bn": "তাদের যখন বলা হত, আল্লাহ ব্যতীত কোন উপাস্য েনই, তখন তারা ঔদ্ধত্য প্রদর্শন করত।",
              "numberInSurah": 35,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম কা-নূইযা-কীলা লাহুম লাইলা-হা ইল্লাল্লা-হু ইয়াছতাকবিরূন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْۤا/كَانُوٓاْ/kanu//اِذَا/إِذَا/idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//اللّٰهُ ۙ/ٱللَّهُ/al-lahu//یَسْتَكْبِرُوْنَۙ/يَسۡتَكۡبِرُونَ/yastakbiruna",
              "words_bangla": "তারা নিশ্চয়ই//ছিলো//যখন//বলা হতো//তাদেরকে//\"নাই//কোনো ইলাহ//ছাড়া//আল্লাহ\"//তারা অহংকার করতো"
            },
            {
              "number": 3824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3824.mp3"
              ],
              "text": "وَيَقُولُونَ أَئِنَّا لَتَارِكُوٓا۟ ءَالِهَتِنَا لِشَاعِرٍۢ مَّجْنُونٍۭ",
              "translate_bn": "এবং বলত, আমরা কি এক উম্মাদ কবির কথায় আমাদের উপাস্যদেরকে পরিত্যাগ করব।",
              "numberInSurah": 36,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা আইন্না-লাতা-রিকূআ-লিহাতিনা-লিশা-‘ইরিম মাজনূন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//اَىِٕنَّا/أَئِنَّا/a-inna//لَتَارِكُوْۤا/لَتَارِكُوٓاْ/latariku//اٰلِهَتِنَا/ءَالِهَتِنَا/alihatina//لِشَاعِرٍ/لِشَاعِرٖ/lisha'irin//مَّجْنُوْنٍؕ/مَّجۡنُونِۭ/majnunin",
              "words_bangla": "এবং তারা বলতো//\"নিশ্চয়ই আমরা কি//অবশ্যই ত্যাগকারী হবো//আমাদের উপাস্যদেরকে//এক কবির জন্যে//(যে) পাগল\""
            },
            {
              "number": 3825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3825.mp3"
              ],
              "text": "بَلْ جَآءَ بِٱلْحَقِّ وَصَدَّقَ ٱلْمُرْسَلِينَ",
              "translate_bn": "না, তিনি সত্যসহ আগমন করেছেন এবং রসূলগণের সত্যতা স্বীকার করেছেন।",
              "numberInSurah": 37,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "বাল জাআ বিলহাক্কিওয়া সাদ্দাকাল মুরছালীন।",
              "words_arabic": "بَلْ/بَلۡ/bal//جَآءَ/جَآءَ/jaa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ صَدَّقَ/وَصَدَّقَ/wasaddaqa//الْمُرْسَلِیْنَ /ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "বরং//(এই নাবী) এসেছে//সত্য নিয়ে//এবং সত্য বলে স্বীকার করেছে//(তাঁর পূর্বের) রাসূলদের"
            },
            {
              "number": 3826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3826.mp3"
              ],
              "text": "إِنَّكُمْ لَذَآئِقُوا۟ ٱلْعَذَابِ ٱلْأَلِيمِ",
              "translate_bn": "তোমরা অবশ্যই বেদনাদায়ক শাস্তি আস্বাদন করবে।",
              "numberInSurah": 38,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকুম লাযাইকু ল ‘আযা-বিল আলীম।",
              "words_arabic": "اِنَّكُمْ/إِنَّكُمۡ/innakum//لَذَآىِٕقُوا/لَذَآئِقُواْ/ladhaiqu//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْاَلِیْمِۚ/ٱلۡأَلِيمِ/al-alimi",
              "words_bangla": "নিশ্চয়ই তোমার//অবশ্যই স্বাদ ভোগকারী হবে//শাস্তির//নিদারুণ"
            },
            {
              "number": 3827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3827.mp3"
              ],
              "text": "وَمَا تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তোমরা যা করতে, তারই প্রতিফল পাবে।",
              "numberInSurah": 39,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-তুজঝাওনা ইল্লা-মা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//اِلَّا/إِلَّا/illa//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَۙ/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং না//প্রতিফল দেয়া হবে//এ ছাড়া//যা//(তোমরা)//কাজ করতেছিলে"
            },
            {
              "number": 3828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3828.mp3"
              ],
              "text": "إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ",
              "translate_bn": "তবে তারা নয়, যারা আল্লাহর বাছাই করা বান্দা।",
              "numberInSurah": 40,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবাদাল্লা-হিল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عِبَادَ/عِبَادَ/ibada//اللّٰهِ/ٱللَّهِ/al-lahi//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "তবে//দাসরা//আল্লাহর//(যারা ছিলো) নিষ্ঠাবান (রক্ষা পাবে)"
            },
            {
              "number": 3829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3829.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ لَهُمْ رِزْقٌۭ مَّعْلُومٌۭ",
              "translate_bn": "তাদের জন্যে রয়েছে নির্ধারিত রুযি।",
              "numberInSurah": 41,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "উলাইকা লাহুম রিঝকুম মা‘লূম।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//رِزْقٌ/رِزۡقٞ/riz'qun//مَّعْلُوْمٌۙ/مَّعۡلُومٞ/ma'lumun",
              "words_bangla": "ঐসব লোক//তাদের জন্যে আছে//জীবিকা//নির্ধারিত"
            },
            {
              "number": 3830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3830.mp3"
              ],
              "text": "فَوَٰكِهُ ۖ وَهُم مُّكْرَمُونَ",
              "translate_bn": "ফল-মূল এবং তারা সম্মানিত।",
              "numberInSurah": 42,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাওয়া-কিহু ওয়া হুম মুকরামূন।",
              "words_arabic": "فَوَاكِهُ ۚ/فَوَٰكِهُ/fawakihu//وَ هُمْ/وَهُم/wahum//مُّكْرَمُوْنَۙ/مُّكۡرَمُونَ/muk'ramuna",
              "words_bangla": "ফলমূলসমূহ//এবং তারা (হবে)//সম্মানিত"
            },
            {
              "number": 3831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3831.mp3"
              ],
              "text": "فِى جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "নেয়ামতের উদ্যানসমূহ।",
              "numberInSurah": 43,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফী জান্না-তিন না‘ঈম।",
              "words_arabic": "فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِۙ/ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "মধ্যে//জান্নাতের//সুখকর"
            },
            {
              "number": 3832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3832.mp3"
              ],
              "text": "عَلَىٰ سُرُرٍۢ مُّتَقَٰبِلِينَ",
              "translate_bn": "মুখোমুখি হয়ে আসনে আসীন।",
              "numberInSurah": 44,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "‘আলা-ছুরুরিম মুতাকা-বিলীন।",
              "words_arabic": "عَلٰی/عَلَىٰ/ala//سُرُرٍ/سُرُرٖ/sururin//مُّتَقٰبِلِیْنَ /مُّتَقَٰبِلِينَ/mutaqabilina",
              "words_bangla": "উপর//আসনসমূহের (সমাসীন হবে)//মুখোমুখী হয়ে"
            },
            {
              "number": 3833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3833.mp3"
              ],
              "text": "يُطَافُ عَلَيْهِم بِكَأْسٍۢ مِّن مَّعِينٍۭ",
              "translate_bn": "তাদেরকে ঘুরে ফিরে পরিবেশন করা হবে স্বচ্ছ পানপাত্র।",
              "numberInSurah": 45,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইউতা-ফু‘আলাইহিম বিকা’ছিম মিম মা‘ঈন।",
              "words_arabic": "یُطَافُ/يُطَافُ/yutafu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِكَاْسٍ/بِكَأۡسٖ/bikasin//مِّنْ/مِّن/min//مَّعِیْنٍۭۙ/مَّعِينِۭ/ma'inin",
              "words_bangla": "ঘুরে ঘুরে পরিবেশন করা হবে//তাদের কাছে//পান পাত্রকে (যা ভরা হবে)//থেকে//বিশুদ্ধ পানীয় পূর্ণ"
            },
            {
              "number": 3834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3834.mp3"
              ],
              "text": "بَيْضَآءَ لَذَّةٍۢ لِّلشَّٰرِبِينَ",
              "translate_bn": "সুশুভ্র, যা পানকারীদের জন্যে সুস্বাদু।",
              "numberInSurah": 46,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "বাইদাআ লাযযাতিল লিশশা-রিবীন।",
              "words_arabic": "بَیْضَآءَ/بَيۡضَآءَ/baydaa//لَذَّةٍ/لَذَّةٖ/ladhatin//لِّلشّٰرِبِیْنَۚۖ/لِّلشَّـٰرِبِينَ/lilsharibina",
              "words_bangla": "শুভ্র উজ্জ্বল//সুস্বাদু সুপেয়//পানকারীদের জন্যে"
            },
            {
              "number": 3835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3835.mp3"
              ],
              "text": "لَا فِيهَا غَوْلٌۭ وَلَا هُمْ عَنْهَا يُنزَفُونَ",
              "translate_bn": "তাতে মাথা ব্যথার উপাদান নেই এবং তারা তা পান করে মাতালও হবে না।",
              "numberInSurah": 47,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "লা-ফীহা-গাওলুওঁ ওয়ালা-হুম ‘আনহা-ইউনঝাফূন।",
              "words_arabic": "لَا/لَا/la//فِیْهَا/فِيهَا/fiha//غَوْلٌ/غَوۡلٞ/ghawlun//وَّ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//عَنْهَا/عَنۡهَا/anha//یُنْزَفُوْنَ /يُنزَفُونَ/yunzafuna",
              "words_bangla": "না//তার মধ্যে (থাকবে)//কোনো মানসিক বিকৃতি//আর না//তারা//তা হ'তে//মাতাল হবে"
            },
            {
              "number": 3836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3836.mp3"
              ],
              "text": "وَعِندَهُمْ قَٰصِرَٰتُ ٱلطَّرْفِ عِينٌۭ",
              "translate_bn": "তাদের কাছে থাকবে নত, আয়তলোচনা তরুণীগণ।",
              "numberInSurah": 48,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইনদাহুম কা-সিরা-তুত্তারফি ‘ঈন।",
              "words_arabic": "وَ عِنْدَهُمْ/وَعِندَهُمۡ/wa'indahum//قٰصِرٰتُ/قَٰصِرَٰتُ/qasiratu//الطَّرْفِ/ٱلطَّرۡفِ/al-tarfi//عِیْنٌۙ/عِينٞ/inun",
              "words_bangla": "এবং কাছে তাদের (এমন তরুণী থাকবে)//(যারা) নতকারিণী//দৃষ্টি//আয়তলোচনা"
            },
            {
              "number": 3837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3837.mp3"
              ],
              "text": "كَأَنَّهُنَّ بَيْضٌۭ مَّكْنُونٌۭ",
              "translate_bn": "যেন তারা সুরক্ষিত ডিম।",
              "numberInSurah": 49,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কাআন্নাহুন্না বাইদুম মাকনূন।",
              "words_arabic": "كَاَنَّهُنَّ/كَأَنَّهُنَّ/ka-annahunna//بَیْضٌ/بَيۡضٞ/baydun//مَّكْنُوْنٌ /مَّكۡنُونٞ/maknunun",
              "words_bangla": "তারা যেন//ডিম//সুরক্ষিত"
            },
            {
              "number": 3838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3838.mp3"
              ],
              "text": "فَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍۢ يَتَسَآءَلُونَ",
              "translate_bn": "অতঃপর তারা একে অপরের দিকে মুখ করে জিজ্ঞাসাবাদ করবে।",
              "numberInSurah": 50,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাআকবালা বা‘দুহুম ‘আলা-বা‘দিইঁ ইয়াতাছাআলূন।",
              "words_arabic": "فَاَقْبَلَ/فَأَقۡبَلَ/fa-aqbala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//یَّتَسَآءَلُوْنَ /يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "অতঃপর সামনা-সামনি হবে//তাদের একে//দিকে//অপরের//তারা জিজ্ঞাসাবাদ করবে"
            },
            {
              "number": 3839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3839.mp3"
              ],
              "text": "قَالَ قَآئِلٌۭ مِّنْهُمْ إِنِّى كَانَ لِى قَرِينٌۭ",
              "translate_bn": "তাদের একজন বলবে, আমার এক সঙ্গী ছিল।",
              "numberInSurah": 51,
              "juz": 23,
              "manzil": 6,
              "page": 447,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কা-লা কা-ইলুম মিনহুম ইন্নী কা-না লী কারীন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//قَآىِٕلٌ/قَآئِلٞ/qailun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اِنِّیْ/إِنِّي/inni//كَانَ/كَانَ/kana//لِیْ/لِي/li//قَرِیْنٌۙ/قَرِينٞ/qarinun",
              "words_bangla": "বলবে,//এক বক্তা//তাদের মধ্যে হ'তে//\"নিশ্চয়ই আমার//ছিলো//আমার//একজন সঙ্গী"
            },
            {
              "number": 3840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3840.mp3"
              ],
              "text": "يَقُولُ أَءِنَّكَ لَمِنَ ٱلْمُصَدِّقِينَ",
              "translate_bn": "সে বলত, তুমি কি বিশ্বাস কর যে,",
              "numberInSurah": 52,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূ লুআইন্নাকা লামিনাল মুসাদ্দিকীন।",
              "words_arabic": "یَّقُوْلُ/يَقُولُ/yaqulu//اَىِٕنَّكَ/أَءِنَّكَ/a-innaka//لَمِنَ/لَمِنَ/lamina//الْمُصَدِّقِیْنَ /ٱلۡمُصَدِّقِينَ/al-musadiqina",
              "words_bangla": "সে বলতো//\"তুমি কি নিশ্চয়ই//অবশ্যই অন্তর্ভুক্ত//সত্যতা স্বীকারকারীদের"
            },
            {
              "number": 3841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3841.mp3"
              ],
              "text": "أَءِذَا مِتْنَا وَكُنَّا تُرَابًۭا وَعِظَٰمًا أَءِنَّا لَمَدِينُونَ",
              "translate_bn": "আমরা যখন মরে যাব এবং মাটি ও হাড়ে পরিণত হব, তখনও কি আমরা প্রতিফল প্রাপ্ত হব?",
              "numberInSurah": 53,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "আইযা-মিতনা-ওয়া কুন্না-তুরা-বাওঁ ওয়া ‘ইজা-মান আইন্না-লামাদীনূন।",
              "words_arabic": "ءَاِذَا/أَءِذَا/a-idha//مِتْنَا/مِتۡنَا/mit'na//وَ كُنَّا/وَكُنَّا/wakunna//تُرَابًا/تُرَابٗا/turaban//وَّ عِظَامًا/وَعِظَٰمًا/wa'izaman//ءَاِنَّا/أَءِنَّا/a-inna//لَمَدِیْنُوْنَ /لَمَدِينُونَ/lamadinuna",
              "words_bangla": "কি যখন//আমরা মারা যাবো//এবং আমরা হবো//মাটি//ও হাড় (সর্বস্ব)//আমরা কি নিশ্চয়ই//প্রতিফলপ্রাপ্ত হবো অবশ্যই\""
            },
            {
              "number": 3842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3842.mp3"
              ],
              "text": "قَالَ هَلْ أَنتُم مُّطَّلِعُونَ",
              "translate_bn": "আল্লাহ বলবেন, তোমরা কি তাকে উকি দিয়ে দেখতে চাও?",
              "numberInSurah": 54,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কা-লা হাল আনতুম মুত্তালি‘ঊন।",
              "words_arabic": "قَالَ/قَالَ/qala//هَلْ/هَلۡ/hal//اَنْتُمْ/أَنتُم/antum//مُّطَّلِعُوْنَ /مُّطَّلِعُونَ/muttali'una",
              "words_bangla": "বলবে//\"কি//তোমরা//(সেসব লোকদেরকে) উঁকি মেরে দেখতে পাও\""
            },
            {
              "number": 3843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3843.mp3"
              ],
              "text": "فَٱطَّلَعَ فَرَءَاهُ فِى سَوَآءِ ٱلْجَحِيمِ",
              "translate_bn": "অপর সে উকি দিয়ে দেখবে এবং তাকে জাহান্নামের মাঝখানে দেখতে পাবে।",
              "numberInSurah": 55,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাত্তালা‘আ ফারাআ-হু ফী ছাওয়াইল জাহীম।",
              "words_arabic": "فَاطَّلَعَ/فَٱطَّلَعَ/fa-ittala'a//فَرَاٰهُ/فَرَءَاهُ/faraahu//فِیْ/فِي/fi//سَوَآءِ/سَوَآءِ/sawai//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "সে তখন উঁকি মেরে দেখবে//তাকে ফলে দেখতে পাবে//মধ্যে//মাঝখানে//জাহান্নামের"
            },
            {
              "number": 3844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3844.mp3"
              ],
              "text": "قَالَ تَٱللَّهِ إِن كِدتَّ لَتُرْدِينِ",
              "translate_bn": "সে বলবে, আল্লাহর কসম, তুমি তো আমাকে প্রায় ধ্বংসই করে দিয়েছিলে।",
              "numberInSurah": 56,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "কা-লা তাল্লা-হি ইন কিত্তা লাতুরদীন।",
              "words_arabic": "قَالَ/قَالَ/qala//تَاللّٰهِ/تَٱللَّهِ/tal-lahi//اِنْ/إِن/in//كِدْتَّ/كِدتَّ/kidtta//لَتُرْدِیْنِۙ/لَتُرۡدِينِ/latur'dini",
              "words_bangla": "সে বলবে//\"আল্লাহর শপথ//যে//তুমি প্রায়//আমাকে ধ্বংস করেই ফেলেছিলে"
            },
            {
              "number": 3845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3845.mp3"
              ],
              "text": "وَلَوْلَا نِعْمَةُ رَبِّى لَكُنتُ مِنَ ٱلْمُحْضَرِينَ",
              "translate_bn": "আমার পালনকর্তার অনুগ্রহ না হলে আমিও যে গ্রেফতারকৃতদের সাথেই উপস্থিত হতাম।",
              "numberInSurah": 57,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলা-নি‘মাতুরাববী লাকুনতুমিনাল মুহদারীন।",
              "words_arabic": "وَ لَوْ لَا/وَلَوۡلَا/walawla//نِعْمَةُ/نِعۡمَةُ/ni'matu//رَبِّیْ/رَبِّي/rabbi//لَكُنْتُ/لَكُنتُ/lakuntu//مِنَ/مِنَ/mina//الْمُحْضَرِیْنَ /ٱلۡمُحۡضَرِينَ/al-muh'darina",
              "words_bangla": "এবং যদি না//অনুগ্রহ (হতো)//আমার রবের//অবশ্যই আমি হতাম//অন্তর্ভুক্ত//(জাহান্নামে) উপস্থিত করা লোকদের"
            },
            {
              "number": 3846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3846.mp3"
              ],
              "text": "أَفَمَا نَحْنُ بِمَيِّتِينَ",
              "translate_bn": "এখন আমাদের আর মৃত্যু হবে না।",
              "numberInSurah": 58,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "আফামা-নাহনু বিমাইয়িতীন।",
              "words_arabic": "اَفَمَا/أَفَمَا/afama//نَحْنُ/نَحۡنُ/nahnu//بِمَیِّتِیْنَۙ/بِمَيِّتِينَ/bimayyitina",
              "words_bangla": "তবে কি না//আমরা//মৃত্যুবরণকারী হবো"
            },
            {
              "number": 3847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3847.mp3"
              ],
              "text": "إِلَّا مَوْتَتَنَا ٱلْأُولَىٰ وَمَا نَحْنُ بِمُعَذَّبِينَ",
              "translate_bn": "আমাদের প্রথম মৃত্যু ছাড়া এবং আমরা শাস্তি প্রাপ্তও হব না।",
              "numberInSurah": 59,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মাওতাতানাল ঊলা-ওয়ামা-নাহনুবিমু‘আযযাবীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَوْتَتَنَا/مَوۡتَتَنَا/mawtatana//الْاُوْلٰی/ٱلۡأُولَىٰ/al-ula//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمُعَذَّبِیْنَ /بِمُعَذَّبِينَ/bimu'adhabina",
              "words_bangla": "ব্যতীত//আমাদের মৃত্যু//প্রথম//এবং না//আমরা//শাস্তিপ্রাপ্ত হবো\""
            },
            {
              "number": 3848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3848.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَهُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "নিশ্চয় এই মহা সাফল্য।",
              "numberInSurah": 60,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লাহুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَهُوَ/لَهُوَ/lahuwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "নিশ্চয়ই//এটা//অবশ্যই সেই//সাফল্য//মহা"
            },
            {
              "number": 3849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3849.mp3"
              ],
              "text": "لِمِثْلِ هَٰذَا فَلْيَعْمَلِ ٱلْعَٰمِلُونَ",
              "translate_bn": "এমন সাফল্যের জন্যে পরিশ্রমীদের পরিশ্রম করা উচিত।",
              "numberInSurah": 61,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "লিমিছলি হা-যা-ফাল ইয়া‘মালিল ‘আ-মিলূন।",
              "words_arabic": "لِمِثْلِ/لِمِثۡلِ/limith'li//هٰذَا/هَٰذَا/hadha//فَلْیَعْمَلِ/فَلۡيَعۡمَلِ/falya'mali//الْعٰمِلُوْنَ /ٱلۡعَٰمِلُونَ/al-'amiluna",
              "words_bangla": "অনুরূপ (সাফল্যের) জন্যে//এর//সাধনা করা উচিৎ//পরিশ্রমীদের"
            },
            {
              "number": 3850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3850.mp3"
              ],
              "text": "أَذَٰلِكَ خَيْرٌۭ نُّزُلًا أَمْ شَجَرَةُ ٱلزَّقُّومِ",
              "translate_bn": "এই কি উত্তম আপ্যায়ন, না যাক্কুম বৃক্ষ?",
              "numberInSurah": 62,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "আযা-লিকা খাইরুন নুঝুলান আম শাজারাতুঝ ঝাককূম।",
              "words_arabic": "اَذٰلِكَ/أَذَٰلِكَ/adhalika//خَیْرٌ/خَيۡرٞ/khayrun//نُّزُلًا/نُّزُلًا/nuzulan//اَمْ/أَمۡ/am//شَجَرَةُ/شَجَرَةُ/shajaratu//الزَّقُّوْمِ /ٱلزَّقُّومِ/al-zaqumi",
              "words_bangla": "এটা কি//উত্তম//আপ্যায়ন//না//গাছ//যাক্কুমের"
            },
            {
              "number": 3851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3851.mp3"
              ],
              "text": "إِنَّا جَعَلْنَٰهَا فِتْنَةًۭ لِّلظَّٰلِمِينَ",
              "translate_bn": "আমি যালেমদের জন্যে একে বিপদ করেছি।",
              "numberInSurah": 63,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্না-জা‘আলনা-হা-ফিতনাতাল লিজ্জা-লিমীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//جَعَلْنٰهَا/جَعَلۡنَٰهَا/ja'alnaha//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلظّٰلِمِیْنَ /لِّلظَّـٰلِمِينَ/lilzzalimina",
              "words_bangla": "নিশ্চয়ই আমরা//তা আমরা সৃষ্টি করেছি//পরীক্ষা স্বরূপ//সীমালঙ্ঘনকারীদের জন্যে"
            },
            {
              "number": 3852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3852.mp3"
              ],
              "text": "إِنَّهَا شَجَرَةٌۭ تَخْرُجُ فِىٓ أَصْلِ ٱلْجَحِيمِ",
              "translate_bn": "এটি একটি বৃক্ষ, যা উদগত হয় জাহান্নামের মূলে।",
              "numberInSurah": 64,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহা-শাজারাতুন তাখ রুজুফীআসলিল জাহীম।\r\n",
              "words_arabic": "اِنَّهَا/إِنَّهَا/innaha//شَجَرَةٌ/شَجَرَةٞ/shajaratun//تَخْرُجُ/تَخۡرُجُ/takhruju//فِیْۤ/فِيٓ/fi//اَصْلِ/أَصۡلِ/asli//الْجَحِیْمِۙ/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "তা নিশ্চয়ই (এমন)//একটি গাছ (যা)//বের হয়//হ'তে//তলদেশ//জাহান্নামের"
            },
            {
              "number": 3853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3853.mp3"
              ],
              "text": "طَلْعُهَا كَأَنَّهُۥ رُءُوسُ ٱلشَّيَٰطِينِ",
              "translate_bn": "এর গুচ্ছ শয়তানের মস্তকের মত।",
              "numberInSurah": 65,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "তাল‘উহা-কাআন্নাহূরুঊছুশশায়া-তীন।",
              "words_arabic": "طَلْعُهَا/طَلۡعُهَا/tal'uha//كَاَنَّهٗ/كَأَنَّهُۥ/ka-annahu//رُءُوْسُ/رُءُوسُ/ruusu//الشَّیٰطِیْنِ /ٱلشَّيَٰطِينِ/al-shayatini",
              "words_bangla": "তার গুচ্ছগুলো (হচ্ছে এমন)//তা যেন//মাথাসমূহ//শয়তানগুলোর"
            },
            {
              "number": 3854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3854.mp3"
              ],
              "text": "فَإِنَّهُمْ لَءَاكِلُونَ مِنْهَا فَمَالِـُٔونَ مِنْهَا ٱلْبُطُونَ",
              "translate_bn": "কাফেররা একে ভক্ষণ করবে এবং এর দ্বারা উদর পূর্ণ করবে।",
              "numberInSurah": 66,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাহুম লাআ-কিলূনা মিনহা-ফামা-লিঊনা মিনহাল বুতূন।",
              "words_arabic": "فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//لَاٰكِلُوْنَ/لَأٓكِلُونَ/laakiluna//مِنْهَا/مِنۡهَا/min'ha//فَمَالِـُٔوْنَ/فَمَالِـُٔونَ/famaliuna//مِنْهَا/مِنۡهَا/min'ha//الْبُطُوْنَؕ/ٱلۡبُطُونَ/al-butuna",
              "words_bangla": "নিশ্চয়ই অতঃপর তারা//খেতে বাধ্য হবেই//তা থেকে//এভাবে পূর্ণকারী হবে//তা থেকে//(তাদের) পেট"
            },
            {
              "number": 3855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3855.mp3"
              ],
              "text": "ثُمَّ إِنَّ لَهُمْ عَلَيْهَا لَشَوْبًۭا مِّنْ حَمِيمٍۢ",
              "translate_bn": "তদুপরি তাদেরকে দেয়া হবে। ফুটন্ত পানির মিশ্রণ,",
              "numberInSurah": 67,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না লাহুম ‘আলাইহা- লাশাওবাম মিন হামীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//لَهُمْ/لَهُمۡ/lahum//عَلَیْهَا/عَلَيۡهَا/alayha//لَشَوْبًا/لَشَوۡبٗا/lashawban//مِّنْ/مِّنۡ/min//حَمِیْمٍۚ/حَمِيمٖ/hamimin",
              "words_bangla": "এরপর//নিশ্চয়ই//তাদের জন্যে (থাকবে)//তার উপর//অবশ্যই মিশ্রিত পানীয়//থেকে//ফুটন্ত পানির"
            },
            {
              "number": 3856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3856.mp3"
              ],
              "text": "ثُمَّ إِنَّ مَرْجِعَهُمْ لَإِلَى ٱلْجَحِيمِ",
              "translate_bn": "অতঃপর তাদের প্রত্যাবর্তন হবে জাহান্নামের দিকে।",
              "numberInSurah": 68,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না মারজি‘আহুম লা ইলাল জাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//مَرْجِعَهُمْ/مَرۡجِعَهُمۡ/marji'ahum//لَاۡاِلَی/لَإِلَى/la-ila//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "এরপর//নিশ্চয়ই//তাদের প্রত্যাবর্তন হবে//অবশ্যই দিকে//জাহান্নামের"
            },
            {
              "number": 3857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3857.mp3"
              ],
              "text": "إِنَّهُمْ أَلْفَوْا۟ ءَابَآءَهُمْ ضَآلِّينَ",
              "translate_bn": "তারা তাদের পূর্বপুরুষদেরকে পেয়েছিল বিপথগামী।",
              "numberInSurah": 69,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম আলফাও আ-বাআহুম দাল্লীন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//اَلْفَوْا/أَلۡفَوۡاْ/alfaw//اٰبَآءَهُمْ/ءَابَآءَهُمۡ/abaahum//ضَآلِّیْنَۙ/ضَآلِّينَ/dallina",
              "words_bangla": "তারা নিশ্চয়ই//পেয়েছিলো//তাদের পিতৃপুরুষদেরকে//বিপথগামী"
            },
            {
              "number": 3858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3858.mp3"
              ],
              "text": "فَهُمْ عَلَىٰٓ ءَاثَٰرِهِمْ يُهْرَعُونَ",
              "translate_bn": "অতঃপর তারা তদের পদাংক অনুসরণে তৎপর ছিল।",
              "numberInSurah": 70,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফাহুম ‘আলাআ-ছা-রিহিম ইউহরা‘ঊন।",
              "words_arabic": "فَهُمْ/فَهُمۡ/fahum//عَلٰۤی/عَلَىٰٓ/ala//اٰثٰرِهِمْ/ءَاثَٰرِهِمۡ/atharihim//یُهْرَعُوْنَ /يُهۡرَعُونَ/yuh'ra'una",
              "words_bangla": "অতঃপর তারা//উপর//তাদের পদাঙ্কের//ছুটে চলছে"
            },
            {
              "number": 3859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3859.mp3"
              ],
              "text": "وَلَقَدْ ضَلَّ قَبْلَهُمْ أَكْثَرُ ٱلْأَوَّلِينَ",
              "translate_bn": "তাদের পূর্বেও অগ্রবর্তীদের অধিকাংশ বিপথগামী হয়েছিল।",
              "numberInSurah": 71,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ দাল্লা কাবলাহুম আকছারুল আওওয়ালীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//ضَلَّ/ضَلَّ/dalla//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//اَكْثَرُ/أَكۡثَرُ/aktharu//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং নিশ্চয়ই//পথভ্রষ্ট হয়েছিলো//তাদের পূর্বেও//অধিকাংশ//পূর্ববর্তীদের"
            },
            {
              "number": 3860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3860.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا فِيهِم مُّنذِرِينَ",
              "translate_bn": "আমি তাদের মধ্যে ভীতি প্রদর্শনকারী প্রেরণ করেছিলাম।",
              "numberInSurah": 72,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-ফীহিম মুনযিরীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//فِیْهِمْ/فِيهِم/fihim//مُّنْذِرِیْنَ /مُّنذِرِينَ/mundhirina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছিলাম//তাদের মধ্যে//সতর্ককারীদেরকে (রাসূলরূপে)"
            },
            {
              "number": 3861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3861.mp3"
              ],
              "text": "فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُنذَرِينَ",
              "translate_bn": "অতএব লক্ষ্য করুন, যাদেরকে ভীতিপ্রদর্শণ করা হয়েছিল, তাদের পরিণতি কি হয়েছে।",
              "numberInSurah": 73,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ফানজু র কাইফা কা-না ‘আ-কিবাতুল মুনযারীন।",
              "words_arabic": "فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُنْذَرِیْنَۙ/ٱلۡمُنذَرِينَ/al-mundharina",
              "words_bangla": "দেখো অতঃপর//কেমন//হয়েছিলো//পরিণাম (সেই লোকদের)//যাদের সতর্ক করা হয়েছিলো"
            },
            {
              "number": 3862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3862.mp3"
              ],
              "text": "إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ",
              "translate_bn": "তবে আল্লাহর বাছাই করা বান্দাদের কথা ভিন্ন।",
              "numberInSurah": 74,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 387,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবা-দাল্লা-হিল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عِبَادَ/عِبَادَ/ibada//اللّٰهِ/ٱللَّهِ/al-lahi//الْمُخْلَصِیْنَ۠/ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "তবে স্বতন্ত্র (কথা)//দাসদের//আল্লাহর//খাঁটি (যাদের)"
            },
            {
              "number": 3863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3863.mp3"
              ],
              "text": "وَلَقَدْ نَادَىٰنَا نُوحٌۭ فَلَنِعْمَ ٱلْمُجِيبُونَ",
              "translate_bn": "আর নূহ আমাকে ডেকেছিল। আর কি চমৎকারভাবে আমি তার ডাকে সাড়া দিয়েছিলাম।",
              "numberInSurah": 75,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা কাদ না-দা-না-নূহুন ফালানি‘মাল মুজীবূন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//نَادٰىنَا/نَادَىٰنَا/nadana//نُوْحٌ/نُوحٞ/nuhun//فَلَنِعْمَ/فَلَنِعۡمَ/falani'ma//الْمُجِیْبُوْنَؗۖ/ٱلۡمُجِيبُونَ/al-mujibuna",
              "words_bangla": "এবং নিশ্চয়ই//আমাদেরকে ডেকেছিলো//নূহ//অতঃপর কত উত্তম//সাড়াদানকারী (আমরা)"
            },
            {
              "number": 3864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3864.mp3"
              ],
              "text": "وَنَجَّيْنَٰهُ وَأَهْلَهُۥ مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ",
              "translate_bn": "আমি তাকে ও তার পরিবারবর্গকে এক মহাসংকট থেকে রক্ষা করেছিলাম।",
              "numberInSurah": 76,
              "juz": 23,
              "manzil": 6,
              "page": 448,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাজ্জাইনা-হু ওয়া আহলাহূমিনাল কারবিল ‘আজীম।\r\n",
              "words_arabic": "وَ نَجَّیْنٰهُ/وَنَجَّيۡنَٰهُ/wanajjaynahu//وَ اَهْلَهٗ/وَأَهۡلَهُۥ/wa-ahlahu//مِنَ/مِنَ/mina//الْكَرْبِ/ٱلۡكَرۡبِ/al-karbi//الْعَظِیْمِؗۖ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "এবং তাকে আমরা করেছিলাম উদ্ধার//ও তার পরিবারকে//হ'তে//সংকট//মহা"
            },
            {
              "number": 3865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3865.mp3"
              ],
              "text": "وَجَعَلْنَا ذُرِّيَّتَهُۥ هُمُ ٱلْبَاقِينَ",
              "translate_bn": "এবং তার বংশধরদেরকেই আমি অবশিষ্ট রেখেছিলাম।",
              "numberInSurah": 77,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা- যুররিইইয়াতাহূহুমুল বাকীন।",
              "words_arabic": "وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//ذُرِّیَّتَهٗ/ذُرِّيَّتَهُۥ/dhurriyyatahu//هُمُ/هُمُ/humu//الْبٰقِیْنَؗۖ/ٱلۡبَاقِينَ/al-baqina",
              "words_bangla": "এবং আমরা রাখলাম//তার বংশধরকে (এমন যে)//তারাই//অবশিষ্ট"
            },
            {
              "number": 3866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3866.mp3"
              ],
              "text": "وَتَرَكْنَا عَلَيْهِ فِى ٱلْءَاخِرِينَ",
              "translate_bn": "আমি তার জন্যে পরবর্তীদের মধ্যে এ বিষয় রেখে দিয়েছি যে,",
              "numberInSurah": 78,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাকনা-‘আলাইহি ফিল আ-খিরীন।",
              "words_arabic": "وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//عَلَیْهِ/عَلَيۡهِ/alayhi//فِی/فِي/fi//الْاٰخِرِیْنَؗۖ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং আমরা ছেড়েছি (প্রশংসা)//তার সম্বন্ধে//মধ্যে//পরবর্তীদের"
            },
            {
              "number": 3867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3867.mp3"
              ],
              "text": "سَلَٰمٌ عَلَىٰ نُوحٍۢ فِى ٱلْعَٰلَمِينَ",
              "translate_bn": "বিশ্ববাসীর মধ্যে নূহের প্রতি শান্তি বর্ষিত হোক।",
              "numberInSurah": 79,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ‘আলা-নূহিন ফিল ‘আ-লামীন।",
              "words_arabic": "سَلٰمٌ/سَلَٰمٌ/salamun//عَلٰی/عَلَىٰ/ala//نُوْحٍ/نُوحٖ/nuhin//فِی/فِي/fi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "\"শান্তি (বর্ষিত হোক)//উপর//নূহের//মধ্যে//সমগ্র বিশ্বের\""
            },
            {
              "number": 3868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3868.mp3"
              ],
              "text": "إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "আমি এভাবেই সৎকর্ম পরায়নদেরকে পুরস্কৃত করে থাকি।",
              "numberInSurah": 80,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "নিশ্চয়ই আমরা//এভাবে//পুরস্কার দিই আমরা//সৎকর্মপরায়ণদেরকে"
            },
            {
              "number": 3869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3869.mp3"
              ],
              "text": "إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ",
              "translate_bn": "সে ছিল আমার ঈমানদার বান্দাদের অন্যতম।",
              "numberInSurah": 81,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূমিন ‘ইবা-দিনাল মু’মিনীন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "সে নিশ্চয়ই (ছিলো)//অন্তর্ভুক্ত//আমাদের দাসদের//মু'মিন"
            },
            {
              "number": 3870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3870.mp3"
              ],
              "text": "ثُمَّ أَغْرَقْنَا ٱلْءَاخَرِينَ",
              "translate_bn": "অতঃপর আমি অপরাপর সবাইকে নিমজ্জত করেছিলাম।",
              "numberInSurah": 82,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 179,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আগরাকনাল আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَغْرَقْنَا/أَغۡرَقۡنَا/aghraqna//الْاٰخَرِیْنَ /ٱلۡأٓخَرِينَ/al-akharina",
              "words_bangla": "এরপর//আমরা ডুবিয়ে দিই//অন্যদেরকে"
            },
            {
              "number": 3871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3871.mp3"
              ],
              "text": "۞ وَإِنَّ مِن شِيعَتِهِۦ لَإِبْرَٰهِيمَ",
              "translate_bn": "আর নূহ পন্থীদেরই একজন ছিল ইব্রাহীম।",
              "numberInSurah": 83,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না মিন শী‘আতিহী লাইবরা-হীম।",
              "words_arabic": "وَ اِنَّ/۞وَإِنَّ/wa-inna//مِنْ/مِن/min//شِیْعَتِهٖ/شِيعَتِهِۦ/shi'atihi//لَاِبْرٰهِیْمَۘ/لَإِبۡرَٰهِيمَ/la-ib'rahima",
              "words_bangla": "এবং নিশ্চয়ই//মধ্য হ'তে//তার পথের অনুসারীদের//ইব্রাহীম অবশ্যই (অন্তর্ভক্ত ছিলো)"
            },
            {
              "number": 3872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3872.mp3"
              ],
              "text": "إِذْ جَآءَ رَبَّهُۥ بِقَلْبٍۢ سَلِيمٍ",
              "translate_bn": "যখন সে তার পালনকর্তার নিকট সুষ্ঠু চিত্তে উপস্থিত হয়েছিল,",
              "numberInSurah": 84,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইযজাআ রাব্বাহূবিকালবিন ছালীম।",
              "words_arabic": "اِذْ/إِذۡ/idh//جَآءَ/جَآءَ/jaa//رَبَّهٗ/رَبَّهُۥ/rabbahu//بِقَلْبٍ/بِقَلۡبٖ/biqalbin//سَلِیْمٍ /سَلِيمٍ/salimin",
              "words_bangla": "(স্মরণ করো) যখন//সে এসেছিলো//তার রবের (কাছে)//নিয়ে অন্তর//বিশুদ্ধ"
            },
            {
              "number": 3873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3873.mp3"
              ],
              "text": "إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَاذَا تَعْبُدُونَ",
              "translate_bn": "যখন সে তার পিতা ও সম্প্রদায়কে বলেছিলঃ তোমরা কিসের উপাসনা করছ?",
              "numberInSurah": 85,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লিআবীহি ওয়া কাওমিহী মা-যা-তা‘বুদূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//وَ قَوْمِهٖ/وَقَوۡمِهِۦ/waqawmihi//مَا ذَا/مَاذَا/madha//تَعْبُدُوْنَۚ/تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "যখন//সে বলেছিলো//তার পিতাকে//ও তার জাতিকে//\"কিসের//তোমরা উপাসনা করছো"
            },
            {
              "number": 3874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3874.mp3"
              ],
              "text": "أَئِفْكًا ءَالِهَةًۭ دُونَ ٱللَّهِ تُرِيدُونَ",
              "translate_bn": "তোমরা কি আল্লাহ ব্যতীত মিথ্যা উপাস্য কামনা করছ?",
              "numberInSurah": 86,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "আইফকান আ-লিহাতান দূনাল্লা-হি তুরীদূন।",
              "words_arabic": "اَىِٕفْكًا/أَئِفۡكًا/a-if'kan//اٰلِهَةً/ءَالِهَةٗ/alihatan//دُوْنَ/دُونَ/duna//اللّٰهِ/ٱللَّهِ/al-lahi//تُرِیْدُوْنَؕ/تُرِيدُونَ/turiduna",
              "words_bangla": "কি মিথ্যা//উপাস্যদের//ব্যতীত//আল্লাহকে//তোমরা পেতে চাও"
            },
            {
              "number": 3875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3875.mp3"
              ],
              "text": "فَمَا ظَنُّكُم بِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "বিশ্বজগতের পালনকর্তা সম্পর্কে তোমাদের ধারণা কি?",
              "numberInSurah": 87,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফমা-জান্নুকুম বিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "فَمَا/فَمَا/fama//ظَنُّكُمْ/ظَنُّكُم/zannukum//بِرَبِّ/بِرَبِّ/birabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "কি তাহ'লে//তোমরা মনে করো//রব সম্বন্ধে//বিশ্বজগতের\""
            },
            {
              "number": 3876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3876.mp3"
              ],
              "text": "فَنَظَرَ نَظْرَةًۭ فِى ٱلنُّجُومِ",
              "translate_bn": "অতঃপর সে একবার তারকাদের প্রতি লক্ষ্য করল।",
              "numberInSurah": 88,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফানাজারা নাজরাতান ফিননুজূম।",
              "words_arabic": "فَنَظَرَ/فَنَظَرَ/fanazara//نَظْرَةً/نَظۡرَةٗ/nazratan//فِی/فِي/fi//النُّجُوْمِۙ/ٱلنُّجُومِ/al-nujumi",
              "words_bangla": "অতঃপর সে তাকালো//একবার//দিকে//তারকাদের"
            },
            {
              "number": 3877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3877.mp3"
              ],
              "text": "فَقَالَ إِنِّى سَقِيمٌۭ",
              "translate_bn": "এবং বললঃ আমি পীড়িত।",
              "numberInSurah": 89,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লা ইন্নী ছাকীম।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//اِنِّیْ/إِنِّي/inni//سَقِیْمٌ /سَقِيمٞ/saqimun",
              "words_bangla": "অতঃপর বললো//\"নিশ্চয়ই আমি//অসুস্থ\""
            },
            {
              "number": 3878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3878.mp3"
              ],
              "text": "فَتَوَلَّوْا۟ عَنْهُ مُدْبِرِينَ",
              "translate_bn": "অতঃপর তারা তার প্রতি পিঠ ফিরিয়ে চলে গেল।",
              "numberInSurah": 90,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাতওয়াল্লাও ‘আনহু মুদবিরীন।",
              "words_arabic": "فَتَوَلَّوْا/فَتَوَلَّوۡاْ/fatawallaw//عَنْهُ/عَنۡهُ/anhu//مُدْبِرِیْنَ /مُدۡبِرِينَ/mud'birina",
              "words_bangla": "তারা অতঃপর ফিরে গেল//তার থেকে//পিঠ ফিরিয়ে"
            },
            {
              "number": 3879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3879.mp3"
              ],
              "text": "فَرَاغَ إِلَىٰٓ ءَالِهَتِهِمْ فَقَالَ أَلَا تَأْكُلُونَ",
              "translate_bn": "অতঃপর সে তাদের দেবালয়ে, গিয়ে ঢুকল এবং বললঃ তোমরা খাচ্ছ না কেন?",
              "numberInSurah": 91,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফারা-গা ইলাআ-লিহাতিহিম ফাকা-লা আলা-তা’কুলূন।",
              "words_arabic": "فَرَاغَ/فَرَاغَ/faragha//اِلٰۤی/إِلَىٰٓ/ila//اٰلِهَتِهِمْ/ءَالِهَتِهِمۡ/alihatihim//فَقَالَ/فَقَالَ/faqala//اَلَا/أَلَا/ala//تَاْكُلُوْنَۚ/تَأۡكُلُونَ/takuluna",
              "words_bangla": "সে অতঃপর চুপিসারে  গেলো//দিকে//তাদের দেবতাগুলোর//অতঃপর বললো//\"কেন না//তোমরা খাচ্ছো"
            },
            {
              "number": 3880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3880.mp3"
              ],
              "text": "مَا لَكُمْ لَا تَنطِقُونَ",
              "translate_bn": "তোমাদের কি হল যে, কথা বলছ না?",
              "numberInSurah": 92,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "মা-লাকুম লা-তানতিকূন।",
              "words_arabic": "مَا/مَا/ma//لَكُمْ/لَكُمۡ/lakum//لَا/لَا/la//تَنْطِقُوْنَ /تَنطِقُونَ/tantiquna",
              "words_bangla": "কি//তোমাদের হয়েছে//না//তোমরা কথা বলো\""
            },
            {
              "number": 3881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3881.mp3"
              ],
              "text": "فَرَاغَ عَلَيْهِمْ ضَرْبًۢا بِٱلْيَمِينِ",
              "translate_bn": "অতঃপর সে প্রবল আঘাতে তাদের উপর ঝাঁপিয়ে পড়ল।",
              "numberInSurah": 93,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফারা-গা ‘আলাইহিম দারবাম বিলইয়ামীন।\r\n",
              "words_arabic": "فَرَاغَ/فَرَاغَ/faragha//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ضَرْبًۢا/ضَرۡبَۢا/darban//بِالْیَمِیْنِ /بِٱلۡيَمِينِ/bil-yamini",
              "words_bangla": "সে অতঃপর ঝাঁপিয়ে পড়লো//তাদের উপর//আঘাত//দিয়ে ডান হাত"
            },
            {
              "number": 3882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3882.mp3"
              ],
              "text": "فَأَقْبَلُوٓا۟ إِلَيْهِ يَزِفُّونَ",
              "translate_bn": "তখন লোকজন তার দিকে ছুটে এলো ভীত-সন্ত্রস্ত পদে।",
              "numberInSurah": 94,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাআকবালূইলাইহি ইয়াঝিফফূন।\r\n",
              "words_arabic": "فَاَقْبَلُوْۤا/فَأَقۡبَلُوٓاْ/fa-aqbalu//اِلَیْهِ/إِلَيۡهِ/ilayhi//یَزِفُّوْنَ /يَزِفُّونَ/yaziffuna",
              "words_bangla": "তারা অতঃপর এগিয়ে এলো//তার দিকে//ছুটে"
            },
            {
              "number": 3883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3883.mp3"
              ],
              "text": "قَالَ أَتَعْبُدُونَ مَا تَنْحِتُونَ",
              "translate_bn": "সে বললঃ তোমরা স্বহস্ত নির্মিত পাথরের পূজা কর কেন?",
              "numberInSurah": 95,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "কা-লা আতা‘বুদূনা মা-তানহিতূন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَتَعْبُدُوْنَ/أَتَعۡبُدُونَ/ata'buduna//مَا/مَا/ma//تَنْحِتُوْنَۙ/تَنۡحِتُونَ/tanhituna",
              "words_bangla": "সে বললো//\"তোমরা পূজা করো কি//যাকে//তোমরা খোদাই করে তৈরী কর"
            },
            {
              "number": 3884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3884.mp3"
              ],
              "text": "وَٱللَّهُ خَلَقَكُمْ وَمَا تَعْمَلُونَ",
              "translate_bn": "অথচ আল্লাহ তোমাদেরকে এবং তোমরা যা নির্মাণ করছ সবাইকে সৃষ্টি করেছেন।",
              "numberInSurah": 96,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু খালাকাকুম ওয়ামা-তা‘মালূন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//وَ مَا/وَمَا/wama//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "অথচ আল্লাহই//তোমাদেরকে সৃষ্টি করেছেন//এবং (তাদেরকেও) যাদের//তোমরা তৈরী করো\""
            },
            {
              "number": 3885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3885.mp3"
              ],
              "text": "قَالُوا۟ ٱبْنُوا۟ لَهُۥ بُنْيَٰنًۭا فَأَلْقُوهُ فِى ٱلْجَحِيمِ",
              "translate_bn": "তারা বললঃ এর জন্যে একটি ভিত নির্মাণ কর এবং অতঃপর তাকে আগুনের স্তুপে নিক্ষেপ কর।",
              "numberInSurah": 97,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "কা-লুবনূলাহূবুনইয়া-নান ফাআলকূহু ফিল জাহীম।",
              "words_arabic": "قَالُوا/قَالُواْ/qalu//ابْنُوْا/ٱبۡنُواْ/ib'nu//لَهٗ/لَهُۥ/lahu//بُنْیَانًا/بُنۡيَٰنٗا/bun'yanan//فَاَلْقُوْهُ/فَأَلۡقُوهُ/fa-alquhu//فِی/فِي/fi//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "তারা বললো//\"তোমরা তৈরী করো//তার জন্যে//প্রাচীর বেষ্টনী (অগ্নিকুন্ডের)//তাকে অতঃপর নিক্ষেপ করো//মধ্যে//জ্বলন্ত আগুনে\""
            },
            {
              "number": 3886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3886.mp3"
              ],
              "text": "فَأَرَادُوا۟ بِهِۦ كَيْدًۭا فَجَعَلْنَٰهُمُ ٱلْأَسْفَلِينَ",
              "translate_bn": "তারপর তারা তার বিরুদ্ধে মহা ষড়যন্ত্র আঁটতে চাইল, কিন্তু আমি তাদেরকেই পরাভূত করে দিলাম।",
              "numberInSurah": 98,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাআরাদূবিহী কাইদান ফাজা‘আলনা-হুমুল আছফালীন।",
              "words_arabic": "فَاَرَادُوْا/فَأَرَادُواْ/fa-aradu//بِهٖ/بِهِۦ/bihi//كَیْدًا/كَيۡدٗا/kaydan//فَجَعَلْنٰهُمُ/فَجَعَلۡنَٰهُمُ/faja'alnahumu//الْاَسْفَلِیْنَ /ٱلۡأَسۡفَلِينَ/al-asfalina",
              "words_bangla": "তারা অতঃপর সংকল্প করলো//তাঁর বিরুদ্ধে//একটি ষড়যন্ত্রের//তাদেরকে তখন আমরা করলাম//অতিশয় হীন"
            },
            {
              "number": 3887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3887.mp3"
              ],
              "text": "وَقَالَ إِنِّى ذَاهِبٌ إِلَىٰ رَبِّى سَيَهْدِينِ",
              "translate_bn": "সে বললঃ আমি আমার পালনকর্তার দিকে চললাম, তিনি আমাকে পথপ্রদর্শন করবেন।",
              "numberInSurah": 99,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ইন্নী যা-হিবুন ইলা-রাববী ছাইয়াহদীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//اِنِّیْ/إِنِّي/inni//ذَاهِبٌ/ذَاهِبٌ/dhahibun//اِلٰی/إِلَىٰ/ila//رَبِّیْ/رَبِّي/rabbi//سَیَهْدِیْنِ /سَيَهۡدِينِ/sayahdini",
              "words_bangla": "এবং সে বললো//\"নিশ্চয়ই আমি//চললাম//দিকে//আমার রবের//পথ দেখাবেন শীঘ্রই তিনি আমাকে"
            },
            {
              "number": 3888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3888.mp3"
              ],
              "text": "رَبِّ هَبْ لِى مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "হে আমার পরওয়ারদেগার! আমাকে এক সৎপুত্র দান কর।",
              "numberInSurah": 100,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "রাব্বি হাবলী মিনাসসা-লিহীন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//هَبْ/هَبۡ/hab//لِیْ/لِي/li//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "(সে দোয়া করলো) হে আমার রব//দাও//আমাকে (সন্তান)//মধ্য হ'তে//সৎপরায়ণদের\""
            },
            {
              "number": 3889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3889.mp3"
              ],
              "text": "فَبَشَّرْنَٰهُ بِغُلَٰمٍ حَلِيمٍۢ",
              "translate_bn": "সুতরাং আমি তাকে এক সহনশীল পুত্রের সুসংবাদ দান করলাম।",
              "numberInSurah": 101,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাবাশশারনা-হু বিগুলা-মিন হালীম।",
              "words_arabic": "فَبَشَّرْنٰهُ/فَبَشَّرۡنَٰهُ/fabasharnahu//بِغُلٰمٍ/بِغُلَٰمٍ/bighulamin//حَلِیْمٍ /حَلِيمٖ/halimin",
              "words_bangla": "তাকে আমরা ফলে সুসংবাদ দিলাম//এক পুত্রের//ধীরস্থির"
            },
            {
              "number": 3890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3890.mp3"
              ],
              "text": "فَلَمَّا بَلَغَ مَعَهُ ٱلسَّعْىَ قَالَ يَٰبُنَىَّ إِنِّىٓ أَرَىٰ فِى ٱلْمَنَامِ أَنِّىٓ أَذْبَحُكَ فَٱنظُرْ مَاذَا تَرَىٰ ۚ قَالَ يَٰٓأَبَتِ ٱفْعَلْ مَا تُؤْمَرُ ۖ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ مِنَ ٱلصَّٰبِرِينَ",
              "translate_bn": "অতঃপর সে যখন পিতার সাথে চলাফেরা করার বয়সে উপনীত হল, তখন ইব্রাহীম তাকে বললঃ বৎস! আমি স্বপ্নে দেখিযে, তোমাকে যবেহ করছি; এখন তোমার অভিমত কি দেখ। সে বললঃ পিতাঃ! আপনাকে যা আদেশ করা হয়েছে, তাই করুন। আল্লাহ চাহে তো আপনি আমাকে সবরকারী পাবেন।",
              "numberInSurah": 102,
              "juz": 23,
              "manzil": 6,
              "page": 449,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-বালাগা মা‘আহুছ ছা‘ইয়া কা-লা ইয়া-বুনাইইয়া ইন্নীআরা-ফিল মানা-মি আন্নী আযবাহুকা ফানজুর মা-যা-তারা- কা-লা ইয়াআবাতিফ‘আল মা-তু’মারু ছাতাজিদুনীইন শা-আল্লা-হু মিনাসসা-বিরীন।\r\n",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//بَلَغَ/بَلَغَ/balagha//مَعَهُ/مَعَهُ/ma'ahu//السَّعْیَ/ٱلسَّعۡيَ/al-sa'ya//قَالَ/قَالَ/qala//یٰبُنَیَّ/يَٰبُنَيَّ/yabunayya//اِنِّیْۤ/إِنِّيٓ/inni//اَرٰی/أَرَىٰ/ara//فِی/فِي/fi//الْمَنَامِ/ٱلۡمَنَامِ/al-manami//اَنِّیْۤ/أَنِّيٓ/anni//اَذْبَحُكَ/أَذۡبَحُكَ/adhbahuka//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//مَا ذَا/مَاذَا/madha//تَرٰی ؕ/تَرَىٰۚ/tara//قَالَ/قَالَ/qala//یٰۤاَبَتِ/يَـٰٓأَبَتِ/yaabati//افْعَلْ/ٱفۡعَلۡ/if'al//مَا/مَا/ma//تُؤْمَرُ ؗ/تُؤۡمَرُۖ/tu'maru//سَتَجِدُنِیْۤ/سَتَجِدُنِيٓ/satajiduni//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//الصّٰبِرِیْنَ /ٱلصَّـٰبِرِينَ/al-sabirina",
              "words_bangla": "অতঃপর যখন//পৌঁছলো//তার সাথে//চলাফেরার (বয়সে)//সে বললো//\"হে আমার পুত্র//নিশ্চয়ই আমি//দেখেছি//মধ্যে//স্বপ্নের//যে আমি//তোমাকে জবাই করছি//তাই ভেবে দেখো//কি//তোমার মত\"//সে বললো//\"হে আমার পিতা//আপনি করুন//যা//আপনাকে আদেশ করা হয়েছে//আমাকে আপনি পাবেন//যদি//ইচ্ছে করে//আল্লাহ//অন্তর্ভুক্ত//ধৈর্য্যশীলদের\""
            },
            {
              "number": 3891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3891.mp3"
              ],
              "text": "فَلَمَّآ أَسْلَمَا وَتَلَّهُۥ لِلْجَبِينِ",
              "translate_bn": "যখন পিতা-পুত্র উভয়েই আনুগত্য প্রকাশ করল এবং ইব্রাহীম তাকে যবেহ করার জন্যে শায়িত করল।",
              "numberInSurah": 103,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআছলামা-ওয়া তাল্লাহূলিলজাবীন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اَسْلَمَا/أَسۡلَمَا/aslama//وَ تَلَّهٗ/وَتَلَّهُۥ/watallahu//لِلْجَبِیْنِۚ/لِلۡجَبِينِ/lil'jabini",
              "words_bangla": "যখন অতঃপর//অনুগত হয়ে গেলো উভয়ে//এবং তাকে শুইয়ে দিলো//উপুড় করে"
            },
            {
              "number": 3892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3892.mp3"
              ],
              "text": "وَنَٰدَيْنَٰهُ أَن يَٰٓإِبْرَٰهِيمُ",
              "translate_bn": "তখন আমি তাকে ডেকে বললামঃ হে ইব্রাহীম,",
              "numberInSurah": 104,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া না-দাইনা-হু আইঁ ইয়াইবরা-হীম।",
              "words_arabic": "وَ نَادَیْنٰهُ/وَنَٰدَيۡنَٰهُ/wanadaynahu//اَنْ/أَن/an//یّٰۤاِبْرٰهِیْمُۙ/يَـٰٓإِبۡرَٰهِيمُ/yaib'rahimu",
              "words_bangla": "এবং তাকে আমরা ডাক দিলাম//যে//\"হে ইব্রাহীম"
            },
            {
              "number": 3893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3893.mp3"
              ],
              "text": "قَدْ صَدَّقْتَ ٱلرُّءْيَآ ۚ إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "তুমি তো স্বপ্নকে সত্যে পরিণত করে দেখালে! আমি এভাবেই সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 105,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "কাদ সাদ্দাকতার রু’ইয়া- ইন্না-কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "قَدْ/قَدۡ/qad//صَدَّقْتَ/صَدَّقۡتَ/saddaqta//الرُّءْیَا ۚ/ٱلرُّءۡيَآۚ/al-ru'ya//اِنَّا/إِنَّا/inna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "নিশ্চয়ই//তুমি সত্য করেছো//স্বপ্নকে\"//নিশ্চয়ই আমরা//এরূপে//প্রতিফল দিই আমরা//সৎকর্মপরায়ণদের"
            },
            {
              "number": 3894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3894.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَهُوَ ٱلْبَلَٰٓؤُا۟ ٱلْمُبِينُ",
              "translate_bn": "নিশ্চয় এটা এক সুস্পষ্ট পরীক্ষা।",
              "numberInSurah": 106,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লাহুওয়াল বালাউল মুবীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَهُوَ/لَهُوَ/lahuwa//الْبَلٰٓؤُا/ٱلۡبَلَـٰٓؤُاْ/al-balau//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "নিশ্চয়ই//এটা//তা অবশ্যই (ছিলো)//পরীক্ষা//সুস্পষ্ট"
            },
            {
              "number": 3895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3895.mp3"
              ],
              "text": "وَفَدَيْنَٰهُ بِذِبْحٍ عَظِيمٍۢ",
              "translate_bn": "আমি তার পরিবর্তে দিলাম যবেহ করার জন্যে এক মহান জন্তু।",
              "numberInSurah": 107,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফাদাইনা-হু বিযিবহিন ‘আজীম।",
              "words_arabic": "وَ فَدَیْنٰهُ/وَفَدَيۡنَٰهُ/wafadaynahu//بِذِبْحٍ/بِذِبۡحٍ/bidhib'hin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "এবং তাকে আমরা ছাড়িয়ে নিই//জবাই পশুর বিনিময়ে//বড়"
            },
            {
              "number": 3896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3896.mp3"
              ],
              "text": "وَتَرَكْنَا عَلَيْهِ فِى ٱلْءَاخِرِينَ",
              "translate_bn": "আমি তার জন্যে এ বিষয়টি পরবর্তীদের মধ্যে রেখে দিয়েছি যে,",
              "numberInSurah": 108,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাকনা-‘আলাইহি ফিল আ-খিরীন।",
              "words_arabic": "وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//عَلَیْهِ/عَلَيۡهِ/alayhi//فِی/فِي/fi//الْاٰخِرِیْنَۖ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং আমরা প্রচলিত রাখলাম//তাঁর উপর//মধ্যে//পরবর্তীদের (তাঁর স্মরণ)"
            },
            {
              "number": 3897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3897.mp3"
              ],
              "text": "سَلَٰمٌ عَلَىٰٓ إِبْرَٰهِيمَ",
              "translate_bn": "ইব্রাহীমের প্রতি সালাম বর্ষিত হোক।",
              "numberInSurah": 109,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ‘আলাইবরা-হীম।",
              "words_arabic": "سَلٰمٌ/سَلَٰمٌ/salamun//عَلٰۤی/عَلَىٰٓ/ala//اِبْرٰهِیْمَ /إِبۡرَٰهِيمَ/ib'rahima",
              "words_bangla": "\"সালাম (বর্ষিত হোক)//উপর//ইবরাহীমের\""
            },
            {
              "number": 3898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3898.mp3"
              ],
              "text": "كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "এমনিভাবে আমি সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 110,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা নাজঝিল মুহছিনীন।\r\n",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "এরূপে//প্রতিফল দিই আমরা//উত্তম কর্মশীলদেরকে"
            },
            {
              "number": 3899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3899.mp3"
              ],
              "text": "إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ",
              "translate_bn": "সে ছিল আমার বিশ্বাসী বান্দাদের একজন।",
              "numberInSurah": 111,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূমিন ‘ইবা-দিনাল মু’মুনীন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "সে নিশ্চয়ই (ছিলো)//অন্তর্ভুক্ত//আমাদের দাসদের//(যারা ছিলো) মু'মিন"
            },
            {
              "number": 3900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3900.mp3"
              ],
              "text": "وَبَشَّرْنَٰهُ بِإِسْحَٰقَ نَبِيًّۭا مِّنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তাকে সুসংবাদ দিয়েছি ইসহাকের, সে সৎকর্মীদের মধ্য থেকে একজন নবী।",
              "numberInSurah": 112,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাশশারনা-হু বিইছহা-কা নাবিইয়াম মিনাসসা-লিহীন।",
              "words_arabic": "وَ بَشَّرْنٰهُ/وَبَشَّرۡنَٰهُ/wabasharnahu//بِاِسْحٰقَ/بِإِسۡحَٰقَ/bi-is'haqa//نَبِیًّا/نَبِيّٗا/nabiyyan//مِّنَ/مِّنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং তাকে আমরা সুসংবাদ দিলাম//ইসহাক সম্পর্কে//একজন নাবী হিসেবে//অন্যতম//সৎকর্মশীলদের"
            },
            {
              "number": 3901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3901.mp3"
              ],
              "text": "وَبَٰرَكْنَا عَلَيْهِ وَعَلَىٰٓ إِسْحَٰقَ ۚ وَمِن ذُرِّيَّتِهِمَا مُحْسِنٌۭ وَظَالِمٌۭ لِّنَفْسِهِۦ مُبِينٌۭ",
              "translate_bn": "তাকে এবং ইসহাককে আমি বরকত দান করেছি। তাদের বংশধরদের মধ্যে কতক সৎকর্মী এবং কতক নিজেদের উপর স্পষ্ট জুলুমকারী।",
              "numberInSurah": 113,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 388,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া বা-রাকনা ‘আলাইহিওয়া ‘আলাইছহা-ক ওয়া মিন যুররিইইয়াতিহিমামুহছিনুওঁ ওয়া জা-লিমুল লিনাফছিহী মুবীন।",
              "words_arabic": "وَ بٰرَكْنَا/وَبَٰرَكۡنَا/wabarakna//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ عَلٰۤی/وَعَلَىٰٓ/wa'ala//اِسْحٰقَ ؕ/إِسۡحَٰقَۚ/is'haqa//وَ مِنْ/وَمِن/wamin//ذُرِّیَّتِهِمَا/ذُرِّيَّتِهِمَا/dhurriyyatihima//مُحْسِنٌ/مُحۡسِنٞ/muh'sinun//وَّ ظَالِمٌ/وَظَالِمٞ/wazalimun//لِّنَفْسِهٖ/لِّنَفۡسِهِۦ/linafsihi//مُبِیْنٌ۠/مُبِينٞ/mubinun",
              "words_bangla": "এবং আমরা সমৃদ্ধি দিলাম//তাঁর উপর//ও উপর//ইসহাকের//এবং মধ্য হ'তে//তাদের দু'জনের বংশধরদের//(কেউ হয়) সৎকর্মপরায়ণ//ও (কেউ হয়) সীমালঙ্ঘনকারী//তার নিজের উপর//সুস্পষ্ট"
            },
            {
              "number": 3902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3902.mp3"
              ],
              "text": "وَلَقَدْ مَنَنَّا عَلَىٰ مُوسَىٰ وَهَٰرُونَ",
              "translate_bn": "আমি অনুগ্রহ করেছিলাম মূসা ও হারুনের প্রতি।",
              "numberInSurah": 114,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ মান্নান্না-‘আলা-মূছা-ওয়া হা-রূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//مَنَنَّا/مَنَنَّا/mananna//عَلٰی/عَلَىٰ/ala//مُوْسٰی/مُوسَىٰ/musa//وَ هٰرُوْنَۚ/وَهَٰرُونَ/waharuna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা অনুগ্রহ করেছি//উপর//মূসার//ও হারূনের"
            },
            {
              "number": 3903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3903.mp3"
              ],
              "text": "وَنَجَّيْنَٰهُمَا وَقَوْمَهُمَا مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ",
              "translate_bn": "তাদেরকে ও তাদের সম্প্রদায়কে উদ্ধার করেছি মহা সংকট থেকে।",
              "numberInSurah": 115,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাজ্জাইনা-হুমা ওয়া কাওমাহুমা-মিনাল কারবিল ‘আজীম।\r\n",
              "words_arabic": "وَ نَجَّیْنٰهُمَا/وَنَجَّيۡنَٰهُمَا/wanajjaynahuma//وَ قَوْمَهُمَا/وَقَوۡمَهُمَا/waqawmahuma//مِنَ/مِنَ/mina//الْكَرْبِ/ٱلۡكَرۡبِ/al-karbi//الْعَظِیْمِۚ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "এবং উদ্ধার করেছি আমরা উভয়কে//ও উভয়ের জাতিকে//হ'তে//সংকট//মহা"
            },
            {
              "number": 3904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3904.mp3"
              ],
              "text": "وَنَصَرْنَٰهُمْ فَكَانُوا۟ هُمُ ٱلْغَٰلِبِينَ",
              "translate_bn": "আমি তাদেরকে সাহায্য করেছিলাম, ফলে তারাই ছিল বিজয়ী।",
              "numberInSurah": 116,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাসারনা-হু ফাকা-নূহুমুল গা-লিবীন।",
              "words_arabic": "وَ نَصَرْنٰهُمْ/وَنَصَرۡنَٰهُمۡ/wanasarnahum//فَكَانُوْا/فَكَانُواْ/fakanu//هُمُ/هُمُ/humu//الْغٰلِبِیْنَۚ/ٱلۡغَٰلِبِينَ/al-ghalibina",
              "words_bangla": "এবং তাদেরকে আমরা সাহায্য করেছি//অতঃপর তারা হয়েছিলো//তারাই//বিজয়ী"
            },
            {
              "number": 3905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3905.mp3"
              ],
              "text": "وَءَاتَيْنَٰهُمَا ٱلْكِتَٰبَ ٱلْمُسْتَبِينَ",
              "translate_bn": "আমি উভয়কে দিয়েছিলাম সুস্পষ্ট কিতাব।",
              "numberInSurah": 117,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-হুমাল কিতা-বাল মুছতাবীন।",
              "words_arabic": "وَ اٰتَیْنٰهُمَا/وَءَاتَيۡنَٰهُمَا/waataynahuma//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//الْمُسْتَبِیْنَۚ/ٱلۡمُسۡتَبِينَ/al-mus'tabina",
              "words_bangla": "এবং উভয়কে আমরা দিয়েছি//কিতাব//স্পষ্ট"
            },
            {
              "number": 3906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3906.mp3"
              ],
              "text": "وَهَدَيْنَٰهُمَا ٱلصِّرَٰطَ ٱلْمُسْتَقِيمَ",
              "translate_bn": "এবং তাদেরকে সরল পথ প্রদর্শন করেছিলাম।",
              "numberInSurah": 118,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাদাইনা-হুমাসসিরাতাল মুছতাকীম।",
              "words_arabic": "وَ هَدَیْنٰهُمَا/وَهَدَيۡنَٰهُمَا/wahadaynahuma//الصِّرَاطَ/ٱلصِّرَٰطَ/al-sirata//الْمُسْتَقِیْمَۚ/ٱلۡمُسۡتَقِيمَ/al-mus'taqima",
              "words_bangla": "এবং উভয়কে আমরা পরিচালিত করেছি//পথে//সরল সঠিক"
            },
            {
              "number": 3907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3907.mp3"
              ],
              "text": "وَتَرَكْنَا عَلَيْهِمَا فِى ٱلْءَاخِرِينَ",
              "translate_bn": "আমি তাদের জন্যে পরবর্তীদের মধ্যে এ বিষয় রেখে দিয়েছি যে,",
              "numberInSurah": 119,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাকনা-‘আলাইহিমা-ফিল আ-খিরীন।",
              "words_arabic": "وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//عَلَیْهِمَا/عَلَيۡهِمَا/alayhima//فِی/فِي/fi//الْاٰخِرِیْنَۙ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং আমরা অবশিষ্ট রেখেছি//তাদের উভয়ের সম্বন্ধে//মধ্যে//পরবর্তীদের (উত্তম স্মরণ)"
            },
            {
              "number": 3908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3908.mp3"
              ],
              "text": "سَلَٰمٌ عَلَىٰ مُوسَىٰ وَهَٰرُونَ",
              "translate_bn": "মূসা ও হারুনের প্রতি সালাম বর্ষিত হোক।",
              "numberInSurah": 120,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ‘আলা-মূছা-ওয়া হা-রূন।",
              "words_arabic": "سَلٰمٌ/سَلَٰمٌ/salamun//عَلٰی/عَلَىٰ/ala//مُوْسٰی/مُوسَىٰ/musa//وَ هٰرُوْنَ /وَهَٰرُونَ/waharuna",
              "words_bangla": "\"সালাম (বর্ষিত হউক)//উপর//মূসার//ও হারূনের\""
            },
            {
              "number": 3909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3909.mp3"
              ],
              "text": "إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "এভাবে আমি সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 121,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাযা-লিকা নাজঝিল মুহছীনীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "নিশ্চয়ই আমরা//এরূপে//প্রতিফল দিই আমরা//সৎকর্মপরায়ণদের"
            },
            {
              "number": 3910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3910.mp3"
              ],
              "text": "إِنَّهُمَا مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ",
              "translate_bn": "তারা উভয়েই ছিল আমার বিশ্বাসী বান্দাদের অন্যতম।",
              "numberInSurah": 122,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুমা-মিন ‘ইবা-দিনাল মু’মিনীন।",
              "words_arabic": "اِنَّهُمَا/إِنَّهُمَا/innahuma//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "নিশ্চয়ই তারা দু'জনও//অন্তর্ভুক্ত//আমাদের দাসদের//(যারা ছিলো) মু'মিন"
            },
            {
              "number": 3911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3911.mp3"
              ],
              "text": "وَإِنَّ إِلْيَاسَ لَمِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "নিশ্চয়ই ইলিয়াস ছিল রসূল।",
              "numberInSurah": 123,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না ইলইয়াছা লামিনাল মুরছালীন।\r\n",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//اِلْیَاسَ/إِلۡيَاسَ/il'yasa//لَمِنَ/لَمِنَ/lamina//الْمُرْسَلِیْنَؕ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//ইলয়াস//অবশ্যই অন্যতম//রাসূলদের"
            },
            {
              "number": 3912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3912.mp3"
              ],
              "text": "إِذْ قَالَ لِقَوْمِهِۦٓ أَلَا تَتَّقُونَ",
              "translate_bn": "যখন সে তার সম্প্রদায়কে বললঃ তোমরা কি ভয় কর না ?",
              "numberInSurah": 124,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা লিকাওমিহীআলা-তাত্তাকূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِقَوْمِهٖۤ/لِقَوۡمِهِۦٓ/liqawmihi//اَلَا/أَلَا/ala//تَتَّقُوْنَ /تَتَّقُونَ/tattaquna",
              "words_bangla": "(স্মরণ করো) যখন//সে বলেছিলো//তার জাতিকে//\"না কি//তোমরা সাবধান হবে"
            },
            {
              "number": 3913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3913.mp3"
              ],
              "text": "أَتَدْعُونَ بَعْلًۭا وَتَذَرُونَ أَحْسَنَ ٱلْخَٰلِقِينَ",
              "translate_bn": "তোমরা কি বা’আল দেবতার এবাদত করবে এবং সর্বোত্তম স্রষ্টাকে পরিত্যাগ করবে।",
              "numberInSurah": 125,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "আ তাদ‘ঊনা বা‘লাওঁ ওয়া তাযারূনা আহছানাল খা-লিকীন।",
              "words_arabic": "اَتَدْعُوْنَ/أَتَدۡعُونَ/atad'una//بَعْلًا/بَعۡلٗا/ba'lan//وَّ تَذَرُوْنَ/وَتَذَرُونَ/watadharuna//اَحْسَنَ/أَحۡسَنَ/ahsana//الْخَالِقِیْنَۙ/ٱلۡخَٰلِقِينَ/al-khaliqina",
              "words_bangla": "তোমরা ডাকবে কি//বা'আল (নামক মূর্তিকে)//আর ত্যাগ করবে//সর্বশ্রেষ্ঠ//স্রষ্টা"
            },
            {
              "number": 3914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3914.mp3"
              ],
              "text": "ٱللَّهَ رَبَّكُمْ وَرَبَّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ",
              "translate_bn": "যিনি আল্লাহ তোমাদের পালনকর্তা এবং তোমাদের পূর্বপুরুষদের পালনকর্তা?",
              "numberInSurah": 126,
              "juz": 23,
              "manzil": 6,
              "page": 450,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হা রাব্বাকুম ওয়া রাব্বা আ-বাই কুমুল আওওয়ালীন।",
              "words_arabic": "اللّٰهَ/ٱللَّهَ/al-laha//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//وَ رَبَّ/وَرَبَّ/warabba//اٰبَآىِٕكُمُ/ءَابَآئِكُمُ/abaikumu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "(অর্থাৎ) আল্লাহকে//(যিনি) তোমাদের রব//ও রব//তোমাদের পিতৃপুরুষদেরও\"//পূর্বের\""
            },
            {
              "number": 3915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3915.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَإِنَّهُمْ لَمُحْضَرُونَ",
              "translate_bn": "অতঃপর তারা তাকে মিথ্যা প্রতিপন্ন করল। অতএব তারা অবশ্যই গ্রেফতার হয়ে আসবে।",
              "numberInSurah": 127,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফাইন্নাহুম লামুহদারূন।\r\n",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//لَمُحْضَرُوْنَۙ/لَمُحۡضَرُونَ/lamuh'daruna",
              "words_bangla": "তাকে তারা তখন অমান্য করলো//নিশ্চয় তাই তাদের//উপস্থিত করা হবে অবশ্যই (শাস্তির জন্যে)"
            },
            {
              "number": 3916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3916.mp3"
              ],
              "text": "إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ",
              "translate_bn": "কিন্তু আল্লাহ তা’আলার খাঁটি বান্দাগণ নয়।",
              "numberInSurah": 128,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবাদাল্লা-হিল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عِبَادَ/عِبَادَ/ibada//اللّٰهِ/ٱللَّهِ/al-lahi//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "তবে (ব্যতিক্রম)//দাসরা//আল্লাহর//(যারা) একনিষ্ঠ"
            },
            {
              "number": 3917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3917.mp3"
              ],
              "text": "وَتَرَكْنَا عَلَيْهِ فِى ٱلْءَاخِرِينَ",
              "translate_bn": "আমি তার জন্যে পরবর্তীদের মধ্যে এ বিষয়ে রেখে দিয়েছি যে,",
              "numberInSurah": 129,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাকনা-‘আলাইহি ফিল আ-খিরীন।",
              "words_arabic": "وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//عَلَیْهِ/عَلَيۡهِ/alayhi//فِی/فِي/fi//الْاٰخِرِیْنَۙ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং আমরা রেখেছি//তার সমন্ধে//মধ্যে//পরবর্তীদের (উত্তম স্মরণ)"
            },
            {
              "number": 3918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3918.mp3"
              ],
              "text": "سَلَٰمٌ عَلَىٰٓ إِلْ يَاسِينَ",
              "translate_bn": "ইলিয়াসের প্রতি সালাম বর্ষিত হোক!",
              "numberInSurah": 130,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ‘আলাইলইয়া-ছীন।\r\n",
              "words_arabic": "سَلٰمٌ/سَلَٰمٌ /salamun//عَلٰۤی/عَلَىٰٓ /ala//اِلْیَاسِیْنَ /إِلۡيَاسِينَ /ilyasin",
              "words_bangla": "\"সালাম (বর্ষিত হোক)//উপর//ইলিয়াসের\""
            },
            {
              "number": 3919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3919.mp3"
              ],
              "text": "إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "এভাবেই আমি সৎকর্মীদেরকে প্রতিদান দিয়ে থাকি।",
              "numberInSurah": 131,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "اِنَّا/إِنَّا /inna//كَذٰلِكَ/كَذَٰلِكَ /kadhalika//نَجْزِی/نَجۡزِي /najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ /al-muh'sinina",
              "words_bangla": "নিশ্চয়ই আমরা//এরূপে//প্রতিফল দিই আমরা//সৎকর্মশীলদের"
            },
            {
              "number": 3920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3920.mp3"
              ],
              "text": "إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ",
              "translate_bn": "সে ছিল আমার বিশ্বাসী বান্দাদের অন্তর্ভূক্ত।",
              "numberInSurah": 132,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহু মিন ‘ইবা-দিনাল মু’মিনীন।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ /innahu//مِنْ/مِنۡ /min//عِبَادِنَا/عِبَادِنَا /ibadina//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ /al-mu'minina",
              "words_bangla": "সে নিশ্চয়ই//অন্তর্ভুক্ত//আমাদের দাসদের//(যারা) মু'মিন"
            },
            {
              "number": 3921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3921.mp3"
              ],
              "text": "وَإِنَّ لُوطًۭا لَّمِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "নিশ্চয় লূত ছিলেন রসূলগণের একজন।",
              "numberInSurah": 133,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লূতাল্লা মিনাল মুরছালীন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ /wa-inna//لُوْطًا/لُوطٗا /lutan//لَّمِنَ/لَّمِنَ /lamina//الْمُرْسَلِیْنَؕ/ٱلۡمُرۡسَلِينَ /al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//লুতও (ছিলো)//অন্যতম অবশ্যই//রাসূলদের"
            },
            {
              "number": 3922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3922.mp3"
              ],
              "text": "إِذْ نَجَّيْنَٰهُ وَأَهْلَهُۥٓ أَجْمَعِينَ",
              "translate_bn": "যখন আমি তাকেও তার পরিবারের সবাইকে উদ্ধার করেছিলাম;",
              "numberInSurah": 134,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইযনাজ্জাইনা-হু ওয়া আহলাহূআজমা‘ঈন।",
              "words_arabic": "اِذْ/إِذۡ /idh//نَجَّیْنٰهُ/نَجَّيۡنَٰهُ /najjaynahu//وَ اَهْلَهٗۤ/وَأَهۡلَهُۥٓ /wa-ahlahu//اَجْمَعِیْنَۙ/أَجۡمَعِينَ /ajma'ina",
              "words_bangla": "(স্মরণ করো) যখন//তাকে আমরা উদ্ধার করেছিলাম//এবং তারা পরিবারের//সকলকে"
            },
            {
              "number": 3923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3923.mp3"
              ],
              "text": "إِلَّا عَجُوزًۭا فِى ٱلْغَٰبِرِينَ",
              "translate_bn": "কিন্তু এক বৃদ্ধাকে ছাড়া; সে অন্যান্যদের সঙ্গে থেকে গিয়েছিল।",
              "numberInSurah": 135,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘আজূঝান ফিল গা-বিরীন।",
              "words_arabic": "اِلَّا/إِلَّا /illa//عَجُوْزًا/عَجُوزٗا /ajuzan//فِی/فِي /fi//الْغٰبِرِیْنَ /ٱلۡغَٰبِرِينَ /al-ghabirina",
              "words_bangla": "ব্যতীত//এক বৃদ্ধাকে (অর্থাৎ তার স্ত্রীকে)//(সে ছিলো) অন্তর্ভুক্ত//পিছনে অবস্থানকারীদের"
            },
            {
              "number": 3924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3924.mp3"
              ],
              "text": "ثُمَّ دَمَّرْنَا ٱلْءَاخَرِينَ",
              "translate_bn": "অতঃপর অবশিষ্টদেরকে আমি সমূলে উৎপাটিত করেছিলাম।",
              "numberInSurah": 136,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা দাম্মার নাল আ-খারীন।",
              "words_arabic": "ثُمَّ/ثُمَّ /thumma//دَمَّرْنَا/دَمَّرۡنَا /dammarna//الْاٰخَرِیْنَ /ٱلۡأٓخَرِينَ /al-akharina",
              "words_bangla": "এরপর//আমরা ধ্বংস করেছিলাম//বাকিদেরকে"
            },
            {
              "number": 3925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3925.mp3"
              ],
              "text": "وَإِنَّكُمْ لَتَمُرُّونَ عَلَيْهِم مُّصْبِحِينَ",
              "translate_bn": "তোমরা তোমাদের ধ্বংস স্তুপের উপর দিয়ে গমন কর ভোর বেলায়",
              "numberInSurah": 137,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাকুম লাতামুররূনা ‘আলাইহিম মুসবিহীন।",
              "words_arabic": "وَ اِنَّكُمْ/وَإِنَّكُمۡ /wa-innakum//لَتَمُرُّوْنَ/لَتَمُرُّونَ /latamurruna//عَلَیْهِمْ/عَلَيۡهِم /alayhim//مُّصْبِحِیْنَ /مُّصۡبِحِينَ /mus'bihina",
              "words_bangla": "এবং নিশ্চয়ই তোমরা//অবশ্যই আসা-যাওয়া করে থাকো//তাদের (ধ্বংসপ্রাপ্ত এলাকার) উপর দিয়ে//সকালে"
            },
            {
              "number": 3926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3926.mp3"
              ],
              "text": "وَبِٱلَّيْلِ ۗ أَفَلَا تَعْقِلُونَ",
              "translate_bn": "এবং সন্ধ্যায়, তার পরেও কি তোমরা বোঝ না?",
              "numberInSurah": 138,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 389,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া বিল্লাইলি আফালা-তা‘কিলূন।",
              "words_arabic": "وَ بِالَّیْلِ ؕ/وَبِٱلَّيۡلِۚ /wabi-al-layli//اَفَلَا/أَفَلَا /afala//تَعْقِلُوْنَ۠/تَعۡقِلُونَ /ta'qiluna",
              "words_bangla": "ও সন্ধ্যায়//তবুও কিনা//তোমরা জ্ঞান কাজে লাগাও"
            },
            {
              "number": 3927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3927.mp3"
              ],
              "text": "وَإِنَّ يُونُسَ لَمِنَ ٱلْمُرْسَلِينَ",
              "translate_bn": "আর ইউনুসও ছিলেন পয়গম্বরগণের একজন।",
              "numberInSurah": 139,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না ইঊনুছা লামিনাল মুরছালীন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ /wa-inna//یُوْنُسَ/يُونُسَ /yunusa//لَمِنَ/لَمِنَ /lamina//الْمُرْسَلِیْنَؕ/ٱلۡمُرۡسَلِينَ /al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//ইউনূসও (ছিলো)//অবশ্যই অন্যতম//রাসূলদের"
            },
            {
              "number": 3928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3928.mp3"
              ],
              "text": "إِذْ أَبَقَ إِلَى ٱلْفُلْكِ ٱلْمَشْحُونِ",
              "translate_bn": "যখন পালিয়ে তিনি বোঝাই নৌকায় গিয়ে পৌঁছেছিলেন।",
              "numberInSurah": 140,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ইয আবাকা ইলাল ফুলকিল মাশহূন।",
              "words_arabic": "اِذْ/إِذۡ /idh//اَبَقَ/أَبَقَ /abaqa//اِلَی/إِلَى /ila//الْفُلْكِ/ٱلۡفُلۡكِ /al-ful'ki//الْمَشْحُوْنِۙ/ٱلۡمَشۡحُونِ /al-mashhuni",
              "words_bangla": "(স্মরণ করো) যখন//সে পালিয়েছিলো//দিকে//নৌকার//বোঝাই"
            },
            {
              "number": 3929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3929.mp3"
              ],
              "text": "فَسَاهَمَ فَكَانَ مِنَ ٱلْمُدْحَضِينَ",
              "translate_bn": "অতঃপর লটারী (সুরতি) করালে তিনি দোষী সাব্যস্ত হলেন।",
              "numberInSurah": 141,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফাছা-হামা ফাকা-না মিনাল মুদ হাদীন।",
              "words_arabic": "فَسَاهَمَ/فَسَاهَمَ /fasahama//فَكَانَ/فَكَانَ /fakana//مِنَ/مِنَ /mina//الْمُدْحَضِیْنَۚ/ٱلۡمُدۡحَضِينَ /al-mud'hadina",
              "words_bangla": "অতঃপর সে লটারীতে অংশ নিলো//তখন সে হলো//অন্তর্ভুক্ত//পরাস্তদের (আর পানিতে নিক্ষিপ্ত হলো)"
            },
            {
              "number": 3930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3930.mp3"
              ],
              "text": "فَٱلْتَقَمَهُ ٱلْحُوتُ وَهُوَ مُلِيمٌۭ",
              "translate_bn": "অতঃপর একটি মাছ তাঁকে গিলে ফেলল, তখন তিনি অপরাধী গণ্য হয়েছিলেন।",
              "numberInSurah": 142,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফালতাকামাহুল হূতুওয়া হুওয়া মুলীম।",
              "words_arabic": "فَالْتَقَمَهُ/فَٱلۡتَقَمَهُ /fal-taqamahu//الْحُوْتُ/ٱلۡحُوتُ /al-hutu//وَ هُوَ/وَهُوَ /wahuwa//مُلِیْمٌ /مُلِيمٞ /mulimun",
              "words_bangla": "তাকে অতঃপর গিলে ফেললো//মাছ//এবং সে//নিজেকে ধিক্কারকারী হলো"
            },
            {
              "number": 3931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3931.mp3"
              ],
              "text": "فَلَوْلَآ أَنَّهُۥ كَانَ مِنَ ٱلْمُسَبِّحِينَ",
              "translate_bn": "যদি তিনি আল্লাহর তসবীহ পাঠ না করতেন,",
              "numberInSurah": 143,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "ফালাওলাআন্নাহূকা-না মিনাল মুছাব্বিহীন।",
              "words_arabic": "فَلَوْ لَاۤ/فَلَوۡلَآ /falawla//اَنَّهٗ/أَنَّهُۥ /annahu//كَانَ/كَانَ /kana//مِنَ/مِنَ /mina//الْمُسَبِّحِیْنَۙ/ٱلۡمُسَبِّحِينَ /al-musabihina",
              "words_bangla": "তখন যদি না//সে//হতো//অন্তর্ভুক্ত//মহিমা ঘোষণাকারীদের"
            },
            {
              "number": 3932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3932.mp3"
              ],
              "text": "لَلَبِثَ فِى بَطْنِهِۦٓ إِلَىٰ يَوْمِ يُبْعَثُونَ",
              "translate_bn": "তবে তাঁকে কেয়ামত দিবস পর্যন্ত মাছের পেটেই থাকতে হত।",
              "numberInSurah": 144,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 180,
              "sajda": false,
              "pronunciation_bn": "লালাবিছা ফী বাতনিহীইলা-ইয়াওমি ইউব‘আছূন।",
              "words_arabic": "لَلَبِثَ/لَلَبِثَ /lalabitha//فِیْ/فِي /fi//بَطْنِهٖۤ/بَطۡنِهِۦٓ /batnihi//اِلٰی/إِلَىٰ /ila//یَوْمِ/يَوۡمِ /yawmi//یُبْعَثُوْنَۚ/يُبۡعَثُونَ /yub'athuna",
              "words_bangla": "অবশ্যই সে থাকতো//মধ্যে//তার পেটের//পর্যন্ত//দিন//উত্থানের"
            },
            {
              "number": 3933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3933.mp3"
              ],
              "text": "۞ فَنَبَذْنَٰهُ بِٱلْعَرَآءِ وَهُوَ سَقِيمٌۭ",
              "translate_bn": "অতঃপর আমি তাঁকে এক বিস্তীর্ণ-বিজন প্রান্তরে নিক্ষেপ করলাম, তখন তিনি ছিলেন রুগ্ন।",
              "numberInSurah": 145,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফানাবাযনা-হু বিল‘আরাই ওয়া হুওয়া ছাকীম।",
              "words_arabic": "فَنَبَذْنٰهُ/۞فَنَبَذۡنَٰهُ /fanabadhnahu//بِالْعَرَآءِ/بِٱلۡعَرَآءِ /bil-'arai//وَ هُوَ/وَهُوَ /wahuwa//سَقِیْمٌۚ/سَقِيمٞ /saqimun",
              "words_bangla": "তাকে আমরা এরপর নিক্ষেপ করলাম//তৃণহীন প্রান্তরে//এমনাবস্হায় যে সে//(ছিলো) অসুস্থ"
            },
            {
              "number": 3934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3934.mp3"
              ],
              "text": "وَأَنۢبَتْنَا عَلَيْهِ شَجَرَةًۭ مِّن يَقْطِينٍۢ",
              "translate_bn": "আমি তাঁর উপর এক লতাবিশিষ্ট বৃক্ষ উদগত করলাম।",
              "numberInSurah": 146,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া আমবাতনা ‘আলাইহি শাজারাতাম মিইঁ ইয়াকতীন।",
              "words_arabic": "وَ اَنْۢبَتْنَا/وَأَنۢبَتۡنَا /wa-anbatna//عَلَیْهِ/عَلَيۡهِ /alayhi//شَجَرَةً/شَجَرَةٗ /shajaratan//مِّنْ/مِّن /min//یَّقْطِیْنٍۚ/يَقۡطِينٖ /yaqtinin",
              "words_bangla": "এবং আমরা উৎপন্ন করলাম//তার জন্যে//গাছ//থেকে//লাউগাছ"
            },
            {
              "number": 3935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3935.mp3"
              ],
              "text": "وَأَرْسَلْنَٰهُ إِلَىٰ مِا۟ئَةِ أَلْفٍ أَوْ يَزِيدُونَ",
              "translate_bn": "এবং তাঁকে, লক্ষ বা ততোধিক লোকের প্রতি প্রেরণ করলাম।",
              "numberInSurah": 147,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া আরছালনা-হু ইলা-মিআতি আলফিন আও ইয়াঝীদূন।",
              "words_arabic": "وَ اَرْسَلْنٰهُ/وَأَرۡسَلۡنَٰهُ /wa-arsalnahu//اِلٰی/إِلَىٰ /ila//مِائَةِ/مِاْئَةِ /mi-ati//اَلْفٍ/أَلۡفٍ /alfin//اَوْ/أَوۡ /aw//یَزِیْدُوْنَۚ/يَزِيدُونَ /yaziduna",
              "words_bangla": "এবং তাকে আমরা পাঠালাম//প্রতি//একশত//হাজার (অর্থাৎ এক লক্ষ)//বা//আরও বেশী (লোকদের কাছে)"
            },
            {
              "number": 3936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3936.mp3"
              ],
              "text": "فَـَٔامَنُوا۟ فَمَتَّعْنَٰهُمْ إِلَىٰ حِينٍۢ",
              "translate_bn": "তারা বিশ্বাস স্থাপন করল অতঃপর আমি তাদেরকে নির্ধারিত সময় পর্যন্ত জীবনোপভোগ করতে দিলাম।",
              "numberInSurah": 148,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাআ-মানূফামাত্তা‘না-হুম ইলা-হীন।",
              "words_arabic": "فَاٰمَنُوْا/فَـَٔامَنُواْ /faamanu//فَمَتَّعْنٰهُمْ/فَمَتَّعۡنَٰهُمۡ /famatta'nahum//اِلٰی/إِلَىٰ /ila//حِیْنٍؕ/حِينٖ /hinin",
              "words_bangla": "তারা অতঃপর ঈমান আনে//তাদেরকে আমরা অতঃপর জীবন উপভোগ করতে দিলাম//পর্যন্ত//নির্দিষ্টকাল"
            },
            {
              "number": 3937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3937.mp3"
              ],
              "text": "فَٱسْتَفْتِهِمْ أَلِرَبِّكَ ٱلْبَنَاتُ وَلَهُمُ ٱلْبَنُونَ",
              "translate_bn": "এবার তাদেরকে জিজ্ঞেস করুন, তোমার পালনকর্তার জন্যে কি কন্যা সন্তান রয়েছে এবং তাদের জন্যে কি পুত্র-সন্তান।",
              "numberInSurah": 149,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাছতাফতিহিম আ লিরাব্বিকাল বানা-তুওয়া লাহুমুল বানূন।",
              "words_arabic": "فَاسْتَفْتِهِمْ/فَٱسۡتَفۡتِهِمۡ /fa-is'taftihim//اَلِرَبِّكَ/أَلِرَبِّكَ /alirabbika//الْبَنَاتُ/ٱلۡبَنَاتُ /al-banatu//وَ لَهُمُ/وَلَهُمُ /walahumu//الْبَنُوْنَۙ/ٱلۡبَنُونَ /al-banuna",
              "words_bangla": "তাদেরকে অতঃপর জিজ্ঞাসা করো//\"তোমার রবের জন্যে কি//কন্যাসমূহ (আছে)//এবং তাদের জন্যে (আছে)//পুত্রসমূহ\""
            },
            {
              "number": 3938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3938.mp3"
              ],
              "text": "أَمْ خَلَقْنَا ٱلْمَلَٰٓئِكَةَ إِنَٰثًۭا وَهُمْ شَٰهِدُونَ",
              "translate_bn": "না কি আমি তাদের উপস্থিতিতে ফেরেশতাগণকে নারীরূপে সৃষ্টি করেছি?",
              "numberInSurah": 150,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আম খালাকনাল মালাইকাতা ইনা-ছাওঁ ওয়া হুম শা-হিদূন।",
              "words_arabic": "اَمْ/أَمۡ /am//خَلَقْنَا/خَلَقۡنَا /khalaqna//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ /al-malaikata//اِنَاثًا/إِنَٰثٗا /inathan//وَّ هُمْ/وَهُمۡ /wahum//شٰهِدُوْنَ /شَٰهِدُونَ /shahiduna",
              "words_bangla": "অথবা//আমরা সৃষ্টি করেছি//ফেরেশতাদেরকে//নারীরূপে//আর তারা//দেখেছে"
            },
            {
              "number": 3939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3939.mp3"
              ],
              "text": "أَلَآ إِنَّهُم مِّنْ إِفْكِهِمْ لَيَقُولُونَ",
              "translate_bn": "জেনো, তারা মনগড়া উক্তি করে যে,",
              "numberInSurah": 151,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আলাইন্নাহুম মিন ইফকিহিম লাইয়াকূলূন।\r\n",
              "words_arabic": "اَلَاۤ/أَلَآ /ala//اِنَّهُمْ/إِنَّهُم /innahum//مِّنْ/مِّنۡ /min//اِفْكِهِمْ/إِفۡكِهِمۡ /if'kihim//لَیَقُوْلُوْنَۙ/لَيَقُولُونَ /layaquluna",
              "words_bangla": "সাবধান//তারা নিশ্চয়ই//হ'তে//তাদের মনগড়া কথা//বলছে অবশ্যই (যে)"
            },
            {
              "number": 3940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3940.mp3"
              ],
              "text": "وَلَدَ ٱللَّهُ وَإِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "আল্লাহ সন্তান জন্ম দিয়েছেন। নিশ্চয় তারা মিথ্যাবাদী।",
              "numberInSurah": 152,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাদাল্লা-হু ওয়া ইন্নাহুম লাকা-যিবূন।",
              "words_arabic": "وَلَدَ/وَلَدَ /walada//اللّٰهُ ۙ/ٱللَّهُ /al-lahu//وَ اِنَّهُمْ/وَإِنَّهُمۡ /wa-innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ /lakadhibuna",
              "words_bangla": "\"সন্তান জন্ম দিয়েছেন\"//\"আল্লাহ\"//এবং তারা নিশ্চয়ই//মিথ্যাবাদী অবশ্যই"
            },
            {
              "number": 3941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3941.mp3"
              ],
              "text": "أَصْطَفَى ٱلْبَنَاتِ عَلَى ٱلْبَنِينَ",
              "translate_bn": "তিনি কি পুত্র-সন্তানের স্থলে কন্যা-সন্তান পছন্দ করেছেন?",
              "numberInSurah": 153,
              "juz": 23,
              "manzil": 6,
              "page": 451,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আসতাফাল বানা-তি ‘আলাল বানীন।",
              "words_arabic": "اَصْطَفَی/أَصۡطَفَى /astafa//الْبَنَاتِ/ٱلۡبَنَاتِ /al-banati//عَلَی/عَلَى /ala//الْبَنِیْنَؕ/ٱلۡبَنِينَ /al-banina",
              "words_bangla": "তিনি পছন্দ করেছেন কি//কন্যাদেরকে//পরিবর্তে//পুত্রসন্তানদের"
            },
            {
              "number": 3942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3942.mp3"
              ],
              "text": "مَا لَكُمْ كَيْفَ تَحْكُمُونَ",
              "translate_bn": "তোমাদের কি হল? তোমাদের এ কেমন সিন্ধান্ত?",
              "numberInSurah": 154,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "মা-লাকুম কাইফা তাহকুমূন।",
              "words_arabic": "مَا/مَا /ma//لَكُمْ ۫/لَكُمۡ /lakum//كَیْفَ/كَيۡفَ /kayfa//تَحْكُمُوْنَ /تَحۡكُمُونَ /tahkumuna",
              "words_bangla": "কি//তোমাদের হয়েছে//কেমন//তোমরা বিচার করো"
            },
            {
              "number": 3943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3943.mp3"
              ],
              "text": "أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "তোমরা কি অনুধাবন কর না?",
              "numberInSurah": 155,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আফালা-তাযাক্কারূন।",
              "words_arabic": "اَفَلَا/أَفَلَا /afala//تَذَكَّرُوْنَۚ/تَذَكَّرُونَ /tadhakkaruna",
              "words_bangla": "তবে কি না//তোমরা উপদেশ গ্রহণ করবে"
            },
            {
              "number": 3944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3944.mp3"
              ],
              "text": "أَمْ لَكُمْ سُلْطَٰنٌۭ مُّبِينٌۭ",
              "translate_bn": "না কি তোমাদের কাছে সুস্পষ্ট কোন দলীল রয়েছে?",
              "numberInSurah": 156,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আম লাকুম ছুলতা-নুম মুবীন।",
              "words_arabic": "اَمْ/أَمۡ /am//لَكُمْ/لَكُمۡ /lakum//سُلْطٰنٌ/سُلۡطَٰنٞ /sul'tanun//مُّبِیْنٌۙ/مُّبِينٞ /mubinun",
              "words_bangla": "অথবা//তোমাদের (আছে)//প্রমাণ//সুস্পষ্ট"
            },
            {
              "number": 3945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3945.mp3"
              ],
              "text": "فَأْتُوا۟ بِكِتَٰبِكُمْ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তোমরা সত্যবাদী হলে তোমাদের কিতাব আন।",
              "numberInSurah": 157,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফা’তূবিকিতা-বিকুম ইন কুনতুম সা-দিকীন।",
              "words_arabic": "فَاْتُوْا/فَأۡتُواْ /fatu//بِكِتٰبِكُمْ/بِكِتَٰبِكُمۡ /bikitabikum//اِنْ/إِن /in//كُنْتُمْ/كُنتُمۡ /kuntum//صٰدِقِیْنَ /صَٰدِقِينَ /sadiqina",
              "words_bangla": "তাহ'লে তোমরা আনো//তোমাদের কিতাব//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 3946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3946.mp3"
              ],
              "text": "وَجَعَلُوا۟ بَيْنَهُۥ وَبَيْنَ ٱلْجِنَّةِ نَسَبًۭا ۚ وَلَقَدْ عَلِمَتِ ٱلْجِنَّةُ إِنَّهُمْ لَمُحْضَرُونَ",
              "translate_bn": "তারা আল্লাহ ও জ্বিনদের মধ্যে সম্পর্ক সাব্যস্ত করেছে, অথচ জ্বিনেরা জানে যে, তারা গ্রেফতার হয়ে আসবে।",
              "numberInSurah": 158,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়াজা‘আলূবাইনাহূওয়া বাইনাল জিন্নাতি নাছাবাওঁ ওয়ালাকাদ ‘আলিমাতিল জিন্নাতু ইন্নাহুম লামুহদারূন।",
              "words_arabic": "وَ جَعَلُوْا/وَجَعَلُواْ /waja'alu//بَیْنَهٗ/بَيۡنَهُۥ /baynahu//وَ بَیْنَ/وَبَيۡنَ /wabayna//الْجِنَّةِ/ٱلۡجِنَّةِ /al-jinati//نَسَبًا ؕ/نَسَبٗاۚ /nasaban//وَ لَقَدْ/وَلَقَدۡ /walaqad//عَلِمَتِ/عَلِمَتِ /alimati//الْجِنَّةُ/ٱلۡجِنَّةُ /al-jinatu//اِنَّهُمْ/إِنَّهُمۡ /innahum//لَمُحْضَرُوْنَۙ/لَمُحۡضَرُونَ /lamuh'daruna",
              "words_bangla": "এবং তারা স্হির করেছে//তাঁর মাঝে//ও মাঝে//জিনদের//বংশীয় সম্পর্ক//অথচ নিশ্চয়ই//জেনেছে//জিনরা//নিশ্চয়ই তাদেরকে//অবশ্যই উপস্থিত করা হবে"
            },
            {
              "number": 3947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3947.mp3"
              ],
              "text": "سُبْحَٰنَ ٱللَّهِ عَمَّا يَصِفُونَ",
              "translate_bn": "তারা যা বলে তা থেকে আল্লাহ পবিত্র।",
              "numberInSurah": 159,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-নাল্লা-হি ‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "سُبْحٰنَ/سُبۡحَٰنَ /sub'hana//اللّٰهِ/ٱللَّهِ /al-lahi//عَمَّا/عَمَّا /amma//یَصِفُوْنَۙ/يَصِفُونَ /yasifuna",
              "words_bangla": "পবিত্র//আল্লাহ//তা হ'তে যা//তারা আরোপ করে"
            },
            {
              "number": 3948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3948.mp3"
              ],
              "text": "إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ",
              "translate_bn": "তবে যারা আল্লাহর নিষ্ঠাবান বান্দা, তারা গ্রেফতার হয়ে আসবে না।",
              "numberInSurah": 160,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবাদাল্লা-হিল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا /illa//عِبَادَ/عِبَادَ /ibada//اللّٰهِ/ٱللَّهِ /al-lahi//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ /al-mukh'lasina",
              "words_bangla": "তবে ব্যতিক্রম//(ঐসব) দাস//আল্লাহর//(যারা) একনিষ্ঠ"
            },
            {
              "number": 3949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3949.mp3"
              ],
              "text": "فَإِنَّكُمْ وَمَا تَعْبُدُونَ",
              "translate_bn": "অতএব তোমরা এবং তোমরা যাদের উপাসনা কর,",
              "numberInSurah": 161,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাকুম ওয়ামা-তা‘বুদূন।",
              "words_arabic": "فَاِنَّكُمْ/فَإِنَّكُمۡ /fa-innakum//وَ مَا/وَمَا /wama//تَعْبُدُوْنَۙ/تَعۡبُدُونَ /ta'buduna",
              "words_bangla": "সুতরাং তোমরা নিশ্চয়ই//এবং যাদেরকে//তোমরা উপাসনা করো"
            },
            {
              "number": 3950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3950.mp3"
              ],
              "text": "مَآ أَنتُمْ عَلَيْهِ بِفَٰتِنِينَ",
              "translate_bn": "তাদের কাউকেই তোমরা আল্লাহ সম্পর্কে বিভ্রান্ত করতে পারবে না।",
              "numberInSurah": 162,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "মাআনতুম ‘আলাইহি বিফা-তিনীন।",
              "words_arabic": "مَاۤ/مَآ /ma//اَنْتُمْ/أَنتُمۡ /antum//عَلَیْهِ/عَلَيۡهِ /alayhi//بِفٰتِنِیْنَۙ/بِفَٰتِنِينَ /bifatinina",
              "words_bangla": "না//তোমরা//তাঁর সম্বন্ধে (কাউকে)//বিভ্রান্ত করতে পারবে"
            },
            {
              "number": 3951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3951.mp3"
              ],
              "text": "إِلَّا مَنْ هُوَ صَالِ ٱلْجَحِيمِ",
              "translate_bn": "শুধুমাত্র তাদের ছাড়া যারা জাহান্নামে পৌছাবে।",
              "numberInSurah": 163,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান হুওয়া সা-লিল জাহীম।",
              "words_arabic": "اِلَّا/إِلَّا /illa//مَنْ/مَنۡ /man//هُوَ/هُوَ /huwa//صَالِ/صَالِ /sali//الْجَحِیْمِ /ٱلۡجَحِيمِ /al-jahimi",
              "words_bangla": "তবে (পারবে)//তাকে//যে//প্রবেশকারী//প্রজ্জ্বলিত আগুনে"
            },
            {
              "number": 3952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3952.mp3"
              ],
              "text": "وَمَا مِنَّآ إِلَّا لَهُۥ مَقَامٌۭ مَّعْلُومٌۭ",
              "translate_bn": "আমাদের প্রত্যেকের জন্য রয়েছে নির্দিষ্ট স্থান।",
              "numberInSurah": 164,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-মিন্নাইল্লা-লাহূমাকা-মুম মা‘লূম।",
              "words_arabic": "وَ مَا/وَمَا /wama//مِنَّاۤ/مِنَّآ/minna//اِلَّا/إِلَّا/illa//لَهٗ/لَهُۥ/lahu//مَقَامٌ/مَقَامٞ/maqamun//مَّعْلُوْمٌۙ/مَّعۡلُومٞ/ma'lumun",
              "words_bangla": "\"এবং নাই//আমাদের মধ্য কেউ//এ ব্যতীত যে//তার জন্যে//স্থান//নির্দিষ্ট (রয়েছে)"
            },
            {
              "number": 3953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3953.mp3"
              ],
              "text": "وَإِنَّا لَنَحْنُ ٱلصَّآفُّونَ",
              "translate_bn": "এবং আমরাই সারিবদ্ধভাবে দন্ডায়মান থাকি।",
              "numberInSurah": 165,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লানাহনুসসাফফূন।",
              "words_arabic": "وَّ اِنَّا/وَإِنَّا/wa-inna//لَنَحْنُ/لَنَحۡنُ/lanahnu//الصَّآفُّوْنَۚ/ٱلصَّآفُّونَ/al-safuna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা অবশ্যই//সারি বেঁধে দাঁড়িয়ে আছি"
            },
            {
              "number": 3954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3954.mp3"
              ],
              "text": "وَإِنَّا لَنَحْنُ ٱلْمُسَبِّحُونَ",
              "translate_bn": "এবং আমরাই আল্লাহর পবিত্রতা ঘোষণা করি।",
              "numberInSurah": 166,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লানাহনুল মুছাব্বিহূন।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//لَنَحْنُ/لَنَحۡنُ/lanahnu//الْمُسَبِّحُوْنَ /ٱلۡمُسَبِّحُونَ/al-musabihuna",
              "words_bangla": "এবং নিশ্চয়ই আমরা//আমরা অবশ্যই//মহিমা ঘোষণাকারী\""
            },
            {
              "number": 3955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3955.mp3"
              ],
              "text": "وَإِن كَانُوا۟ لَيَقُولُونَ",
              "translate_bn": "তারা তো বলতঃ",
              "numberInSurah": 167,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন কা-নূলাইয়াকূলূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//كَانُوْا/كَانُواْ/kanu//لَیَقُوْلُوْنَۙ/لَيَقُولُونَ/layaquluna",
              "words_bangla": "এবং যদিও//(তারা)//তারা বলেই আসছে"
            },
            {
              "number": 3956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3956.mp3"
              ],
              "text": "لَوْ أَنَّ عِندَنَا ذِكْرًۭا مِّنَ ٱلْأَوَّلِينَ",
              "translate_bn": "যদি আমাদের কাছে পূর্ববর্তীদের কোন উপদেশ থাকত,",
              "numberInSurah": 168,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "লাও আন্না ‘ইনদানা- যিকরাম মিনাল আওওয়ালীন।",
              "words_arabic": "لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//عِنْدَنَا/عِندَنَا/indana//ذِكْرًا/ذِكۡرٗا/dhik'ran//مِّنَ/مِّنَ/mina//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "\"যদি//নিশ্চিত//আমাদের কাছে//কোনো কিতাব//মতো//পূর্ববর্তীদের"
            },
            {
              "number": 3957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3957.mp3"
              ],
              "text": "لَكُنَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ",
              "translate_bn": "তবে আমরা অবশ্যই আল্লাহর মনোনীত বান্দা হতাম।",
              "numberInSurah": 169,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "লাকুন্না-‘ইবা-দাল্লা-হিল মুখলাসীন।",
              "words_arabic": "لَكُنَّا/لَكُنَّا/lakunna//عِبَادَ/عِبَادَ/ibada//اللّٰهِ/ٱللَّهِ/al-lahi//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "অবশ্যই আমরা হতাম//দাস//আল্লাহর//(যারা) একনিষ্ঠ\""
            },
            {
              "number": 3958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3958.mp3"
              ],
              "text": "فَكَفَرُوا۟ بِهِۦ ۖ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "বস্তুতঃ তারা এই কোরআনকে অস্বীকার করেছে। এখন শীঘ্রই তারা জেনে নিতে পারবে,",
              "numberInSurah": 170,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাকাফারূবিহী ফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "فَكَفَرُوْا/فَكَفَرُواْ/fakafaru//بِهٖ/بِهِۦۖ/bihi//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "কিন্তু তারা অস্বীকার করলো//তাকে//শীঘ্রই তাই//তারা জানবে"
            },
            {
              "number": 3959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3959.mp3"
              ],
              "text": "وَلَقَدْ سَبَقَتْ كَلِمَتُنَا لِعِبَادِنَا ٱلْمُرْسَلِينَ",
              "translate_bn": "আমার রাসূল ও বান্দাগণের ব্যাপারে আমার এই বাক্য সত্য হয়েছে যে,",
              "numberInSurah": 171,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ছাবাকাত কালিমাতুনা-লি‘ইবা-দিনাল মুরছালীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//سَبَقَتْ/سَبَقَتۡ/sabaqat//كَلِمَتُنَا/كَلِمَتُنَا/kalimatuna//لِعِبَادِنَا/لِعِبَادِنَا/li'ibadina//الْمُرْسَلِیْنَۚۖ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং নিশ্চয়ই//পূর্বে স্থির হয়েছে//আমাদের বাণী (ওয়াদা)//আমাদের দাসদের জন্যে//যারা প্রেরিত রাসূল"
            },
            {
              "number": 3960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3960.mp3"
              ],
              "text": "إِنَّهُمْ لَهُمُ ٱلْمَنصُورُونَ",
              "translate_bn": "অবশ্যই তারা সাহায্য প্রাপ্ত হয়।",
              "numberInSurah": 172,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম লাহুমুল মানসূরূন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//لَهُمُ/لَهُمُ/lahumu//الْمَنْصُوْرُوْنَ۪/ٱلۡمَنصُورُونَ/al-mansuruna",
              "words_bangla": "(ঐ বিষয়ে যে) তারা নিশ্চয়ই//তারাই//সাহায্যপ্রাপ্ত হবে"
            },
            {
              "number": 3961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3961.mp3"
              ],
              "text": "وَإِنَّ جُندَنَا لَهُمُ ٱلْغَٰلِبُونَ",
              "translate_bn": "আর আমার বাহিনীই হয় বিজয়ী।",
              "numberInSurah": 173,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না জুনদানা-লাহুমুল গা-লিবূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//جُنْدَنَا/جُندَنَا/jundana//لَهُمُ/لَهُمُ/lahumu//الْغٰلِبُوْنَ /ٱلۡغَٰلِبُونَ/al-ghalibuna",
              "words_bangla": "এবং নিশ্চয়ই//আমাদের সৈন্যরা//তারাই//বিজয়ী হবে"
            },
            {
              "number": 3962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3962.mp3"
              ],
              "text": "فَتَوَلَّ عَنْهُمْ حَتَّىٰ حِينٍۢ",
              "translate_bn": "অতএব আপনি কিছুকালের জন্যে তাদেরকে উপেক্ষা করুন।",
              "numberInSurah": 174,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা ‘আনহুম হাত্তা-হীন।",
              "words_arabic": "فَتَوَلَّ/فَتَوَلَّ/fatawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍۙ/حِينٖ/hinin",
              "words_bangla": "সুতরাং উপেক্ষা করো//তাদেরকে//পর্যন্ত//কিছুকাল"
            },
            {
              "number": 3963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3963.mp3"
              ],
              "text": "وَأَبْصِرْهُمْ فَسَوْفَ يُبْصِرُونَ",
              "translate_bn": "এবং তাদেরকে দেখতে থাকুন। শীঘ্রই তারাও এর পরিণাম দেখে নেবে।",
              "numberInSurah": 175,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া আবসিরহুম ফাছাওফা ইউবসিরূন।",
              "words_arabic": "وَّ اَبْصِرْهُمْ/وَأَبۡصِرۡهُمۡ/wa-absir'hum//فَسَوْفَ/فَسَوۡفَ/fasawfa//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "এবং দেখতে থাকো তাদেরকে//অতঃপর শীঘ্রই//তারাই দেখবে"
            },
            {
              "number": 3964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3964.mp3"
              ],
              "text": "أَفَبِعَذَابِنَا يَسْتَعْجِلُونَ",
              "translate_bn": "আমার আযাব কি তারা দ্রুত কামনা করে?",
              "numberInSurah": 176,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আফাবি‘আযা-বিনা-ইয়াছতা‘জিলূন।",
              "words_arabic": "اَفَبِعَذَابِنَا/أَفَبِعَذَابِنَا/afabi'adhabina//یَسْتَعْجِلُوْنَ /يَسۡتَعۡجِلُونَ/yasta'jiluna",
              "words_bangla": "আমাদের শাস্তি সম্পর্কে তবে কি//তারা তাড়াহুড়া করছে"
            },
            {
              "number": 3965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3965.mp3"
              ],
              "text": "فَإِذَا نَزَلَ بِسَاحَتِهِمْ فَسَآءَ صَبَاحُ ٱلْمُنذَرِينَ",
              "translate_bn": "অতঃপর যখন তাদের আঙ্গিনায় আযাব নাযিল হবে, তখন যাদেরকে সতর্ক করা হয়েছিল, তাদের সকাল বেলাটি হবে খুবই মন্দ।",
              "numberInSurah": 177,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-নাঝালা বিছা-হাতিহিম ফাছাআ সাবাহুল মুনযারীন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//نَزَلَ/نَزَلَ/nazala//بِسَاحَتِهِمْ/بِسَاحَتِهِمۡ/bisahatihim//فَسَآءَ/فَسَآءَ/fasaa//صَبَاحُ/صَبَاحُ/sabahu//الْمُنْذَرِیْنَ /ٱلۡمُنذَرِينَ/al-mundharina",
              "words_bangla": "অতঃপর যখন//নেমে আসবে (তা)//তাদের আঙ্গিনায়//কত মন্দ হবে তখন//প্রভাত//সতর্কীকৃতদের"
            },
            {
              "number": 3966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3966.mp3"
              ],
              "text": "وَتَوَلَّ عَنْهُمْ حَتَّىٰ حِينٍۢ",
              "translate_bn": "আপনি কিছুকালের জন্যে তাদেরকে উপেক্ষা করুন।",
              "numberInSurah": 178,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাওয়াল্লা ‘আনহুম হাত্তা-হীন।",
              "words_arabic": "وَ تَوَلَّ/وَتَوَلَّ/watawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍۙ/حِينٖ/hinin",
              "words_bangla": "উপেক্ষা করো এবং//তাদেরকে//পর্যন্ত//কিছুুকাল"
            },
            {
              "number": 3967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3967.mp3"
              ],
              "text": "وَأَبْصِرْ فَسَوْفَ يُبْصِرُونَ",
              "translate_bn": "এবং দেখতে থাকুন, শীঘ্রই তারাও এর পরিণাম দেখে নেবে।",
              "numberInSurah": 179,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া আবসির ফাছাওফা ইউবসিরূন।\r\n",
              "words_arabic": "وَّ اَبْصِرْ/وَأَبۡصِرۡ/wa-absir//فَسَوْفَ/فَسَوۡفَ/fasawfa//یُبْصِرُوْنَ /يُبۡصِرُونَ/yub'siruna",
              "words_bangla": "আর দেখতে থাকো//শীঘ্র্রই//তারাও দেখতে পাবে"
            },
            {
              "number": 3968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3968.mp3"
              ],
              "text": "سُبْحَٰنَ رَبِّكَ رَبِّ ٱلْعِزَّةِ عَمَّا يَصِفُونَ",
              "translate_bn": "পবিত্র আপনার পরওয়ারদেগারের সত্তা, তিনি সম্মানিত ও পবিত্র যা তারা বর্ণনা করে তা থেকে।",
              "numberInSurah": 180,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-না রাব্বিকা রাব্বিল ‘ইঝঝাতি ‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//رَبِّكَ/رَبِّكَ/rabbika//رَبِّ/رَبِّ/rabbi//الْعِزَّةِ/ٱلۡعِزَّةِ/al-'izati//عَمَّا/عَمَّا/amma//یَصِفُوْنَۚ/يَصِفُونَ/yasifuna",
              "words_bangla": "পবিত্র//তোমার রব//রব//সম্মানের (মালিক)//তাহ'তে যা//তারা আরোপ করে"
            },
            {
              "number": 3969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3969.mp3"
              ],
              "text": "وَسَلَٰمٌ عَلَى ٱلْمُرْسَلِينَ",
              "translate_bn": "পয়গম্বরগণের প্রতি সালাম বর্ষিত হোক।",
              "numberInSurah": 181,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া-ছালা-মুন ‘আলাল মুরছালীন।",
              "words_arabic": "وَ سَلٰمٌ/وَسَلَٰمٌ/wasalamun//عَلَی/عَلَى/ala//الْمُرْسَلِیْنَۚ/ٱلۡمُرۡسَلِينَ/al-mur'salina",
              "words_bangla": "এবং শান্তি (বর্ষিত হোক)//উপর//রাসূলদের"
            },
            {
              "number": 3970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3970.mp3"
              ],
              "text": "وَٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "সমস্ত প্রশংসা বিশ্বপালক আল্লাহর নিমিত্ত।",
              "numberInSurah": 182,
              "juz": 23,
              "manzil": 6,
              "page": 452,
              "ruku": 390,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়াল হামদুলিল্লা-হি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "وَ الْحَمْدُ/وَٱلۡحَمۡدُ/wal-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং সমস্ত প্রশংসা//আল্লাহরই//(যিনি) রব//বিশ্বজগতের"
            }
          ]
        },
        {
          "number": 38,
          "name": "سُورَةُ صٓ",
          "englishName": "Saad",
          "englishNameTranslation": "The letter Saad",
          "revelationType": "Meccan",
          "verse": 88,
          "words": 1553,
          "chars": 6600,
          "ayahs": [
            {
              "number": 3971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3971.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ صٓ ۚ وَٱلْقُرْءَانِ ذِى ٱلذِّكْرِ",
              "translate_bn": "ছোয়াদ। শপথ উপদেশপূর্ণ কোরআনের,",
              "numberInSurah": 1,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "সাদ ওয়াল কুরআ-নি যিযযিকরি।",
              "words_arabic": "صٓ/صٓۚ/sad//وَ الْقُرْاٰنِ/وَٱلۡقُرۡءَانِ/wal-qur'ani//ذِی/ذِي/dhi//الذِّكْرِؕ/ٱلذِّكۡرِ/al-dhik'ri",
              "words_bangla": "সাদ//কোরআনের শপথ//পূর্ণ//উপদেশ"
            },
            {
              "number": 3972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3972.mp3"
              ],
              "text": "بَلِ ٱلَّذِينَ كَفَرُوا۟ فِى عِزَّةٍۢ وَشِقَاقٍۢ",
              "translate_bn": "বরং যারা কাফের, তারা অহংকার ও বিরোধিতায় লিপ্ত।",
              "numberInSurah": 2,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "বালিল্লাযীনা কাফারূফী ‘ইঝঝাতিওঁ ওয়াশিকা-ক।",
              "words_arabic": "بَلِ/بَلِ/bali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فِیْ/فِي/fi//عِزَّةٍ/عِزَّةٖ/izzatin//وَّ شِقَاقٍ /وَشِقَاقٖ/washiqaqin",
              "words_bangla": "কিন্তু//যারা//অস্বীকার করেছে//মধ্যে (লিপ্ত)//ঔদ্ধত্যের//ও বিরোধীতার"
            },
            {
              "number": 3973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3973.mp3"
              ],
              "text": "كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّن قَرْنٍۢ فَنَادَوا۟ وَّلَاتَ حِينَ مَنَاصٍۢ",
              "translate_bn": "তাদের আগে আমি কত জনগোষ্ঠীকে ধ্বংস করেছি, অতঃপর তারা আর্তনাদ করতে শুরু করেছে কিন্তু তাদের নিষ্কৃতি লাভের সময় ছিল না।",
              "numberInSurah": 3,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "কাম আহলাকনা-মিন কাবলিহিম মিন কারনিন ফানা-দাওঁ ওয়ালা-তাহীনা মানা-স।",
              "words_arabic": "كَمْ/كَمۡ/kam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنْ/مِّن/min//قَرْنٍ/قَرۡنٖ/qarnin//فَنَادَوْا/فَنَادَواْ/fanadaw//وَّ لَاتَ/وَّلَاتَ/walata//حِیْنَ/حِينَ/hina//مَنَاصٍ /مَنَاصٖ/manasin",
              "words_bangla": "কত (জাতিকেই)//আমরা ধ্বংস করেছি//পূর্বে//তাদের//মধ্যে হতে//জাতিসমূহের//তারা তখন চিৎকার করেছে//কিন্তু আর ছিলো না//সময়//মুক্তি লাভের"
            },
            {
              "number": 3974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3974.mp3"
              ],
              "text": "وَعَجِبُوٓا۟ أَن جَآءَهُم مُّنذِرٌۭ مِّنْهُمْ ۖ وَقَالَ ٱلْكَٰفِرُونَ هَٰذَا سَٰحِرٌۭ كَذَّابٌ",
              "translate_bn": "তারা বিস্ময়বোধ করে যে, তাদেরই কাছে তাদের মধ্যে থেকে একজন সতর্ককারী আগমন করেছেন। আর কাফেররা বলে এ-তো এক মিথ্যাচারী যাদুকর।",
              "numberInSurah": 4,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আজিবূআন জাআহুম মুনযিরুম মিনহুম ওয়াকা-লাল কাফিরূনা হা-যা-ছাহিরূন কাযযা-ব।",
              "words_arabic": "وَ عَجِبُوْۤا/وَعَجِبُوٓاْ/wa'ajibu//اَنْ/أَن/an//جَآءَهُمْ/جَآءَهُم/jaahum//مُّنْذِرٌ/مُّنذِرٞ/mundhirun//مِّنْهُمْ ؗ/مِّنۡهُمۡۖ/min'hum//وَ قَالَ/وَقَالَ/waqala//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//هٰذَا/هَٰذَا/hadha//سٰحِرٌ/سَٰحِرٞ/sahirun//كَذَّابٌۖۚ/كَذَّابٌ/kadhabun",
              "words_bangla": "এবং অবাক হয়েছে তারা//যে//তাদের কাছে এসেছে//একজন সতর্ককারী//তাদেরই মধ্য হ'তে//এবং বললো//কাফিররা//\"এই (ব্যক্তি)//যাদুকর//বড় মিথ্যাবাদী"
            },
            {
              "number": 3975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3975.mp3"
              ],
              "text": "أَجَعَلَ ٱلْءَالِهَةَ إِلَٰهًۭا وَٰحِدًا ۖ إِنَّ هَٰذَا لَشَىْءٌ عُجَابٌۭ",
              "translate_bn": "সে কি বহু উপাস্যের পরিবর্তে এক উপাস্যের উপাসনা সাব্যস্ত করে দিয়েছে। নিশ্চয় এটা এক বিস্ময়কর ব্যাপার।",
              "numberInSurah": 5,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আ জা‘আলাল আ-লিহাতা ইলা-হাও ওয়া-হিদান ইন্না হা-যা-লাশাইউন ‘উজা-ব।",
              "words_arabic": "اَجَعَلَ/أَجَعَلَ/aja'ala//الْاٰلِهَةَ/ٱلۡأٓلِهَةَ/al-alihata//اِلٰهًا/إِلَٰهٗا/ilahan//وَّاحِدًا ۖۚ/وَٰحِدًاۖ/wahidan//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَشَیْءٌ/لَشَيۡءٌ/lashayon//عُجَابٌ /عُجَابٞ/ujabun",
              "words_bangla": "সাব্যস্ত করেছে কি সে//সব উপাস্যকে//ইলাহ//একই//নিশ্চয়ই//এটা//অবশ্যই ব্যাপার//আজব\""
            },
            {
              "number": 3976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3976.mp3"
              ],
              "text": "وَٱنطَلَقَ ٱلْمَلَأُ مِنْهُمْ أَنِ ٱمْشُوا۟ وَٱصْبِرُوا۟ عَلَىٰٓ ءَالِهَتِكُمْ ۖ إِنَّ هَٰذَا لَشَىْءٌۭ يُرَادُ",
              "translate_bn": "তাদের কতিপয় বিশিষ্ট ব্যক্তি একথা বলে প্রস্থান করে যে, তোমরা চলে যাও এবং তোমাদের উপাস্যদের পূজায় দৃঢ় থাক। নিশ্চয়ই এ বক্তব্য কোন বিশেষ উদ্দেশ্যে প্রণোদিত।",
              "numberInSurah": 6,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়ান তালাকাল মালাউ মিনহুম আনিমশূওয়াসবিরূ‘আলাআ-লিহাতিকুম ইন্না হা-যালাশাইয়ুইঁ ইউরা-দ।",
              "words_arabic": "وَ انْطَلَقَ/وَٱنطَلَقَ/wa-intalaqa//الْمَلَاُ/ٱلۡمَلَأُ/al-mala-u//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَنِ/أَنِ/ani//امْشُوْا/ٱمۡشُواْ/im'shu//وَ اصْبِرُوْا/وَٱصۡبِرُواْ/wa-is'biru//عَلٰۤی/عَلَىٰٓ/ala//اٰلِهَتِكُمْ ۖۚ/ءَالِهَتِكُمۡۖ/alihatikum//اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَشَیْءٌ/لَشَيۡءٞ/lashayon//یُّرَادُۖۚ/يُرَادُ/yuradu",
              "words_bangla": "এবং সরে পড়লো//প্রধানেরা//তাদের মধ্যকার//(এই বলে) যে,//\"তোমরা চলে যাও//ও তোমরা অবিচল থাকো//উপর//তোমাদের উপাস্যদের (উপাসনায়)//নিশ্চয়ই//এই//ব্যাপার অবশ্যই//উদ্দেশ্যমূলক"
            },
            {
              "number": 3977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3977.mp3"
              ],
              "text": "مَا سَمِعْنَا بِهَٰذَا فِى ٱلْمِلَّةِ ٱلْءَاخِرَةِ إِنْ هَٰذَآ إِلَّا ٱخْتِلَٰقٌ",
              "translate_bn": "আমরা সাবেক ধর্মে এ ধরনের কথা শুনিনি। এটা মনগড়া ব্যাপার বৈ নয়।",
              "numberInSurah": 7,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "মা-ছামি‘না-বিহা-যা-ফিল মিল্লাতিল আ-খিরাতি ইন হা-যাইল্লাখ তিলা-ক।",
              "words_arabic": "مَا/مَا/ma//سَمِعْنَا/سَمِعۡنَا/sami'na//بِهٰذَا/بِهَٰذَا/bihadha//فِی/فِي/fi//الْمِلَّةِ/ٱلۡمِلَّةِ/al-milati//الْاٰخِرَةِ ۖۚ/ٱلۡأٓخِرَةِ/al-akhirati//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//اخْتِلَاقٌۖۚ/ٱخۡتِلَٰقٌ/ikh'tilaqun",
              "words_bangla": "না//আমরা শুনেছি//এ সম্পর্কে//মধ্যে//জাতি-ধর্মগুলোতে//(অতীতের) অন্যান্য//নয়//এটা//ব্যতীত//মনগড়া কথা"
            },
            {
              "number": 3978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3978.mp3"
              ],
              "text": "أَءُنزِلَ عَلَيْهِ ٱلذِّكْرُ مِنۢ بَيْنِنَا ۚ بَلْ هُمْ فِى شَكٍّۢ مِّن ذِكْرِى ۖ بَل لَّمَّا يَذُوقُوا۟ عَذَابِ",
              "translate_bn": "আমাদের মধ্য থেকে শুধু কি তারই প্রতি উপদেশ বানী অবতীর্ণ হল? বস্তুতঃ ওরা আমার উপদেশ সম্পর্কে সন্দিহান; বরং ওরা এখনও আমার মার আস্বাদন করেনি।",
              "numberInSurah": 8,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আউনঝিলা ‘আলাইহিযযিকরু মিম বাইনিনা- বালহুম ফী শাক্কিম মিন যিকরী বাল লাম্মা-ইয়াযূকূ‘আযা-ব।",
              "words_arabic": "ءَاُنْزِلَ/أَءُنزِلَ/a-unzila//عَلَیْهِ/عَلَيۡهِ/alayhi//الذِّكْرُ/ٱلذِّكۡرُ/al-dhik'ru//مِنْۢ/مِنۢ/min//بَیْنِنَا ؕ/بَيۡنِنَاۚ/baynina//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مِّنْ/مِّن/min//ذِكْرِیْ ۚ/ذِكۡرِيۚ/dhik'ri//بَلْ/بَل/bal//لَّمَّا/لَّمَّا/lamma//یَذُوْقُوْا/يَذُوقُواْ/yadhuqu//عَذَابِؕ/عَذَابِ/adhabi",
              "words_bangla": "কি অবতরণ করা হয়েছে//তার উপর//কোরআন (কিতাব)//হ'তে//আমাদের মধ্যে\"//বরং//তারা//মধ্যে (আছে)//সন্দেহের//সম্পর্কে//আমার কোরআন (অর্থাৎ কিতাব)//বরং//করে নি//তারা স্বাদ গ্রহণ//আমার শাস্তির"
            },
            {
              "number": 3979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3979.mp3"
              ],
              "text": "أَمْ عِندَهُمْ خَزَآئِنُ رَحْمَةِ رَبِّكَ ٱلْعَزِيزِ ٱلْوَهَّابِ",
              "translate_bn": "না কি তাদের কাছে আপনার পরাক্রান্ত দয়াবান পালনকর্তার রহমতের কোন ভান্ডার রয়েছে?",
              "numberInSurah": 9,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আম ‘ইনদাহুম খাঝাইনুরাহমাতি রাব্বিকাল ‘আঝীঝিল ওয়াহহা-ব।",
              "words_arabic": "اَمْ/أَمۡ/am//عِنْدَهُمْ/عِندَهُمۡ/indahum//خَزَآىِٕنُ/خَزَآئِنُ/khazainu//رَحْمَةِ/رَحۡمَةِ/rahmati//رَبِّكَ/رَبِّكَ/rabbika//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْوَهَّابِۚ/ٱلۡوَهَّابِ/al-wahabi",
              "words_bangla": "তবে কি//কাছে আছে তাদের//ভান্ডারসমূহ//অনুগ্রহের//তোমার রবের//(যিনি) পরাক্রমশালী//মহান দাতা"
            },
            {
              "number": 3980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3980.mp3"
              ],
              "text": "أَمْ لَهُم مُّلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۖ فَلْيَرْتَقُوا۟ فِى ٱلْأَسْبَٰبِ",
              "translate_bn": "নাকি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছুর উপর তাদের সাম্রাজ্য রয়েছে? থাকলে তাদের আকাশে আরোহণ করা উচিত রশি ঝুলিয়ে।",
              "numberInSurah": 10,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম মুলকুছ ছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা- ফালইয়ারতাকূ ফিল আছবা-ব।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُم/lahum//مُّلْكُ/مُّلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ۫/بَيۡنَهُمَاۖ/baynahuma//فَلْیَرْتَقُوْا/فَلۡيَرۡتَقُواْ/falyartaqu//فِی/فِي/fi//الْاَسْبَابِ /ٱلۡأَسۡبَٰبِ/al-asbabi",
              "words_bangla": "না কি//তাদের আছে//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এবং যা (আছে)//তাদের উভয়ের মাঝে//তারা আরোহণ করুক তাহ'লে//সাহায্যে//(উচ্চজগতের) সিঁড়ির"
            },
            {
              "number": 3981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3981.mp3"
              ],
              "text": "جُندٌۭ مَّا هُنَالِكَ مَهْزُومٌۭ مِّنَ ٱلْأَحْزَابِ",
              "translate_bn": "এক্ষেত্রে বহু বাহিনীর মধ্যে ওদেরও এক বাহিনী আছে, যা পরাজিত হবে।",
              "numberInSurah": 11,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "জুনদুম মা-হুনা-লিকা মাহঝূমুম মিনাল আহঝা-ব।",
              "words_arabic": "جُنْدٌ/جُندٞ/jundun//مَّا/مَّا/ma//هُنَالِكَ/هُنَالِكَ/hunalika//مَهْزُوْمٌ/مَهۡزُومٞ/mahzumun//مِّنَ/مِّنَ/mina//الْاَحْزَابِ /ٱلۡأَحۡزَابِ/al-ahzabi",
              "words_bangla": "(এটা তো) একটি বাহিনী//যা//এখানেই (মাক্কায়)//পরাজিত হবে//মধ্য হ'তে//(অনেকগুলো) বহু বাহিনীর"
            },
            {
              "number": 3982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3982.mp3"
              ],
              "text": "كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍۢ وَعَادٌۭ وَفِرْعَوْنُ ذُو ٱلْأَوْتَادِ",
              "translate_bn": "তাদের পূর্বেও মিথ্যারোপ করেছিল নূহের সম্প্রদায়, আদ, কীলক বিশিষ্ট ফেরাউন,",
              "numberInSurah": 12,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাবলাহুম কাওমুনূহিওঁ ওয়া ‘আ-দুওঁ ওয়া ফির‘আওনুযুল আওতা-দ।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمُ/قَوۡمُ/qawmu//نُوْحٍ/نُوحٖ/nuhin//وَّ عَادٌ/وَعَادٞ/wa'adun//وَّ فِرْعَوْنُ/وَفِرۡعَوۡنُ/wafir'awnu//ذُو/ذُو/dhu//الْاَوْتَادِۙ/ٱلۡأَوۡتَادِ/al-awtadi",
              "words_bangla": "মিথ্যারোপ করেছিলো//তাদের পূর্বে//জাতি//নূহের//ও আ'দ//ও ফিরআউনের//অধিপতি//কিলক ও স্তম্ভসমূহের"
            },
            {
              "number": 3983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3983.mp3"
              ],
              "text": "وَثَمُودُ وَقَوْمُ لُوطٍۢ وَأَصْحَٰبُ لْـَٔيْكَةِ ۚ أُو۟لَٰٓئِكَ ٱلْأَحْزَابُ",
              "translate_bn": "সামুদ, লূতের সম্প্রদায় ও আইকার লোকেরা। এরাই ছিল বহু বাহিনী।",
              "numberInSurah": 13,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়াছামূদুওয়া কাওমুলুতিওঁ ওয়া আসহা-বুল আইকাতি উলাইকাল আহঝা-ব।",
              "words_arabic": "وَ ثَمُوْدُ/وَثَمُودُ/wathamudu//وَ قَوْمُ/وَقَوۡمُ/waqawmu//لُوْطٍ/لُوطٖ/lutin//وَّ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//لْـَٔیْكَةِ ؕ/لۡـَٔيۡكَةِۚ/al'aykati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الْاَحْزَابُ /ٱلۡأَحۡزَابُ/al-ahzabu",
              "words_bangla": "ও সামূদ//ও জাতি//লূতের//ও অধিবাসী//আইকা’র//ঐ সবই (ছিলো)//(বিশাল) সম্মিলিত বাহিনী"
            },
            {
              "number": 3984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3984.mp3"
              ],
              "text": "إِن كُلٌّ إِلَّا كَذَّبَ ٱلرُّسُلَ فَحَقَّ عِقَابِ",
              "translate_bn": "এদের প্রত্যেকেই পয়গম্বরগণের প্রতি মিথ্যারোপ করেছে। ফলে আমার আযাব প্রতিষ্ঠিত হয়েছে।",
              "numberInSurah": 14,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 391,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইন কুল্লুন ইল্লা-কাযযাবার রুছুলা ফাহাক্কা ‘ইকা-ব।",
              "words_arabic": "اِنْ/إِن/in//كُلٌّ/كُلٌّ/kullun//اِلَّا/إِلَّا/illa//كَذَّبَ/كَذَّبَ/kadhaba//الرُّسُلَ/ٱلرُّسُلَ/al-rusula//فَحَقَّ/فَحَقَّ/fahaqqa//عِقَابِ۠/عِقَابِ/iqabi",
              "words_bangla": "না//কেউই (ছিলো)//এ ব্যতীত যে//মিথ্যারোপ করতো//রাসূলগণকে//অতঃপর কার্যকর হয়েছিলো//আমার শাস্তি"
            },
            {
              "number": 3985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3985.mp3"
              ],
              "text": "وَمَا يَنظُرُ هَٰٓؤُلَآءِ إِلَّا صَيْحَةًۭ وَٰحِدَةًۭ مَّا لَهَا مِن فَوَاقٍۢ",
              "translate_bn": "কেবল একটি মহানাদের অপেক্ষা করছে, যাতে দম ফেলার অবকাশ থাকবে না।",
              "numberInSurah": 15,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়ানজুরু হাউলাই ইল্লা-সাইহাতাওঁ ওয়া-হিদাতাম মা-লাহা-মিন ফাওয়া-ক।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَنْظُرُ/يَنظُرُ/yanzuru//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//اِلَّا/إِلَّا/illa//صَیْحَةً/صَيۡحَةٗ/sayhatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//مَّا/مَّا/ma//لَهَا/لَهَا/laha//مِنْ/مِن/min//فَوَاقٍ /فَوَاقٖ/fawaqin",
              "words_bangla": "এবং না//অপেক্ষা করছে//এই সব (লোক)//এ ব্যতীত//মহা গর্জনের//একটি (মাত্র)//না//তার জন্যে (থাকবে)//কোনো//দম ফেলার অবকাশ"
            },
            {
              "number": 3986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3986.mp3"
              ],
              "text": "وَقَالُوا۟ رَبَّنَا عَجِّل لَّنَا قِطَّنَا قَبْلَ يَوْمِ ٱلْحِسَابِ",
              "translate_bn": "তারা বলে, হে আমাদের পরওয়ারদেগার, আমাদের প্রাপ্য অংশ হিসাব দিবসের আগেই দিয়ে দাও।",
              "numberInSurah": 16,
              "juz": 23,
              "manzil": 6,
              "page": 453,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূরাব্বানা-‘আজ্জিল্লানা-কিত্তানা-কাবলা ইয়াওমিল হিছা-ব।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//رَبَّنَا/رَبَّنَا/rabbana//عَجِّلْ/عَجِّل/ajjil//لَّنَا/لَّنَا/lana//قِطَّنَا/قِطَّنَا/qittana//قَبْلَ/قَبۡلَ/qabla//یَوْمِ/يَوۡمِ/yawmi//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "ও তারা বলে//\"হে আমাদের রব//শীঘ্র দাও//আমাদের জন্যে//আমাদের পাওনা//পূর্বেই//দিনের//বিচারের\""
            },
            {
              "number": 3987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3987.mp3"
              ],
              "text": "ٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَٱذْكُرْ عَبْدَنَا دَاوُۥدَ ذَا ٱلْأَيْدِ ۖ إِنَّهُۥٓ أَوَّابٌ",
              "translate_bn": "তারা যা বলে তাতে আপনি সবর করুন এবং আমার শক্তিশালী বান্দা দাউদকে স্মরণ করুন। সে ছিল আমার প্রতি প্রত্যাবর্তনশীল।",
              "numberInSurah": 17,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইসবির ‘আলা-মা-ইয়াকূলূনা ওয়াযকুর ‘আবদানা-দা-ঊদা যাল আইদি ইন্নাহূআওওয়া-ব।",
              "words_arabic": "اِصْبِرْ/ٱصۡبِرۡ/is'bir//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//عَبْدَنَا/عَبۡدَنَا/abdana//دَاوٗدَ/دَاوُۥدَ/dawuda//ذَا/ذَا/dha//الْاَیْدِ ۚ/ٱلۡأَيۡدِۖ/al-aydi//اِنَّهٗۤ/إِنَّهُۥٓ/innahu//اَوَّابٌ /أَوَّابٌ/awwabun",
              "words_bangla": "(হে নাবী) ধৈর্য্য ধরো//উপর//যা//তারা বলছে//এবং স্মরণ করো//আমাদের দাস//দাউদের (ঘটনা)//অধিকারী//(যে ছিলো) শক্তির//নিশ্চয়ই সে (ছিলো)//(আল্লাহ) অভিমুখী"
            },
            {
              "number": 3988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3988.mp3"
              ],
              "text": "إِنَّا سَخَّرْنَا ٱلْجِبَالَ مَعَهُۥ يُسَبِّحْنَ بِٱلْعَشِىِّ وَٱلْإِشْرَاقِ",
              "translate_bn": "আমি পর্বতমালাকে তার অনুগামী করে দিয়েছিলাম, তারা সকাল-সন্ধ্যায় তার সাথে পবিত্রতা ঘোষণা করত;",
              "numberInSurah": 18,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ইন্না-ছাখখারনাল জিবা-লা মা‘আহূইউছাব্বিহনা বিল‘আশিইয়ি ওয়াল ইশরা-ক।",
              "words_arabic": "اِنَّا/إِنَّا/inna//سَخَّرْنَا/سَخَّرۡنَا/sakharna//الْجِبَالَ/ٱلۡجِبَالَ/al-jibala//مَعَهٗ/مَعَهُۥ/ma'ahu//یُسَبِّحْنَ/يُسَبِّحۡنَ/yusabbih'na//بِالْعَشِیِّ/بِٱلۡعَشِيِّ/bil-'ashiyi//وَ الْاِشْرَاقِۙ/وَٱلۡإِشۡرَاقِ/wal-ish'raqi",
              "words_bangla": "নিশ্চযই় আমরা//আমরা বশ করে দিয়েছিলাম//পাহাড়সমূহকে//তার সাথে//তারা পবিত্র মহিমা ঘোষণা করতো//সন্ধ্যায়//ও সকালে"
            },
            {
              "number": 3989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3989.mp3"
              ],
              "text": "وَٱلطَّيْرَ مَحْشُورَةًۭ ۖ كُلٌّۭ لَّهُۥٓ أَوَّابٌۭ",
              "translate_bn": "আর পক্ষীকুলকেও, যারা তার কাছে সমবেত হত। সবাই ছিল তাঁর প্রতি প্রত্যাবর্তনশীল।",
              "numberInSurah": 19,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাইরা মাহশূরাতান কুল্লুল্লাহূআওওয়া-ব।",
              "words_arabic": "وَ الطَّیْرَ/وَٱلطَّيۡرَ/wal-tayra//مَحْشُوْرَةً ؕ/مَحۡشُورَةٗۖ/mahshuratan//كُلٌّ/كُلّٞ/kullun//لَّهٗۤ/لَّهُۥٓ/lahu//اَوَّابٌ /أَوَّابٞ/awwabun",
              "words_bangla": "এবং পাখিগুলো//সমবেত হতো//প্রত্যেকে (ছিলো)//তাঁরই//অভিমুখী (ও অনুগত)"
            },
            {
              "number": 3990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3990.mp3"
              ],
              "text": "وَشَدَدْنَا مُلْكَهُۥ وَءَاتَيْنَٰهُ ٱلْحِكْمَةَ وَفَصْلَ ٱلْخِطَابِ",
              "translate_bn": "আমি তাঁর সাম্রাজ্যকে সুদৃঢ় করেছিলাম এবং তাঁকে দিয়েছিলাম প্রজ্ঞা ও ফয়সালাকারী বাগ্নীতা।",
              "numberInSurah": 20,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 181,
              "sajda": false,
              "pronunciation_bn": "ওয়া শাদাদ না-মুলকাহূওয়া আ-তাইনা-হুল হিকমাতা ওয়া ফাসলাল খিতা-ব।",
              "words_arabic": "وَ شَدَدْنَا/وَشَدَدۡنَا/washadadna//مُلْكَهٗ/مُلۡكَهُۥ/mul'kahu//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//الْحِكْمَةَ/ٱلۡحِكۡمَةَ/al-hik'mata//وَ فَصْلَ/وَفَصۡلَ/wafasla//الْخِطَابِ /ٱلۡخِطَابِ/al-khitabi",
              "words_bangla": "এবং আমরা সুদৃঢ় করেছিলাম//তার রাজত্বকে//এবং তাকে আমরা দিয়েছিলাম//প্রজ্ঞা//ও চূড়ান্তকারী//বাগ্মিতা"
            },
            {
              "number": 3991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3991.mp3"
              ],
              "text": "۞ وَهَلْ أَتَىٰكَ نَبَؤُا۟ ٱلْخَصْمِ إِذْ تَسَوَّرُوا۟ ٱلْمِحْرَابَ",
              "translate_bn": "আপনার কাছে দাবীদারদের বৃত্তান্ত পৌছেছে, যখন তারা প্রাচীর ডিঙ্গীয়ে এবাদত খানায় প্রবেশ করেছিল।",
              "numberInSurah": 21,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাল আতা-কা নাবাউল খাসম । ইযতাসাওওয়ারুল মিহরা-ব।",
              "words_arabic": "وَ هَلْ/۞وَهَلۡ/wahal//اَتٰىكَ/أَتَىٰكَ/ataka//نَبَؤُا/نَبَؤُاْ/naba-u//الْخَصْمِ ۘ/ٱلۡخَصۡمِ/al-khasmi//اِذْ/إِذۡ/idh//تَسَوَّرُوا/تَسَوَّرُواْ/tasawwaru//الْمِحْرَابَۙ/ٱلۡمِحۡرَابَ/al-mih'raba",
              "words_bangla": "এবং কি//তোমার কাছে পৌঁছেছে//খবর//বিবদমান লোকদের//যখন//তারা দেয়াল টপকে ঢুকে পড়লো//খাসকামরায়"
            },
            {
              "number": 3992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3992.mp3"
              ],
              "text": "إِذْ دَخَلُوا۟ عَلَىٰ دَاوُۥدَ فَفَزِعَ مِنْهُمْ ۖ قَالُوا۟ لَا تَخَفْ ۖ خَصْمَانِ بَغَىٰ بَعْضُنَا عَلَىٰ بَعْضٍۢ فَٱحْكُم بَيْنَنَا بِٱلْحَقِّ وَلَا تُشْطِطْ وَٱهْدِنَآ إِلَىٰ سَوَآءِ ٱلصِّرَٰطِ",
              "translate_bn": "যখন তারা দাউদের কাছে অনুপ্রবেশ করল, তখন সে সন্ত্রস্ত হয়ে পড়ল। তারা বললঃ ভয় করবেন না; আমরা বিবদমান দুটি পক্ষ, একে অপরের প্রতি বাড়াবাড়ি করেছি। অতএব, আমাদের মধ্যে ন্যায়বিচার করুন, অবিচার করবেন না। আমাদেরকে সরল পথ প্রদর্শন করুন।",
              "numberInSurah": 22,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ইযদাখালূ‘আলা-দা-ঊদা ফাফাঝি‘আ মিনহুম কা-লূলা-তাখাফ খাছমা-নি বাগাবা‘দুনা-‘আলা-বা‘দিন ফাহকুম বাইনানা-বিলহাক্কিওয়ালা-তুশতিত ওয়াহদিনাইলা-ছাওয়াইসসিরা-ত।",
              "words_arabic": "اِذْ/إِذۡ/idh//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلٰی/عَلَىٰ/ala//دَاوٗدَ/دَاوُۥدَ/dawuda//فَفَزِعَ/فَفَزِعَ/fafazi'a//مِنْهُمْ/مِنۡهُمۡۖ/min'hum//قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//تَخَفْ ۚ/تَخَفۡۖ/takhaf//خَصْمٰنِ/خَصۡمَانِ/khasmani//بَغٰی/بَغَىٰ/bagha//بَعْضُنَا/بَعۡضُنَا/ba'duna//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//فَاحْكُمْ/فَٱحۡكُم/fa-uh'kum//بَیْنَنَا/بَيۡنَنَا/baynana//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لَا/وَلَا/wala//تُشْطِطْ/تُشۡطِطۡ/tush'tit//وَ اهْدِنَاۤ/وَٱهۡدِنَآ/wa-ih'dina//اِلٰی/إِلَىٰ/ila//سَوَآءِ/سَوَآءِ/sawai//الصِّرَاطِ /ٱلصِّرَٰطِ/al-sirati",
              "words_bangla": "যখন//তারা প্রবেশ করেছিলো//কাছে//দাউদের//সে তখন ভয় পেলো//তাদের থেকে//তারা বললো//\"না//ভয় পাবেন//(আমরা) বিবদমান  দু'পক্ষ//বাড়াবাড়ি করেছে//আমাদের একজন//উপর//অপরজনের//সুতরাং বিচার করে দিন//আমাদের মাঝে//ন্যায়ভাবে//এবং না//অবিচার করবেন//এবং আমাদের পরিচালনা করবেন//দিকে//সরল সঠিক//পথের"
            },
            {
              "number": 3993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3993.mp3"
              ],
              "text": "إِنَّ هَٰذَآ أَخِى لَهُۥ تِسْعٌۭ وَتِسْعُونَ نَعْجَةًۭ وَلِىَ نَعْجَةٌۭ وَٰحِدَةٌۭ فَقَالَ أَكْفِلْنِيهَا وَعَزَّنِى فِى ٱلْخِطَابِ",
              "translate_bn": "সে আমার ভাই, সে নিরানব্বই দুম্বার মালিক আর আমি মালিক একটি মাদী দুম্বার। এরপরও সে বলেঃ এটিও আমাকে দিয়ে দাও। সে কথাবার্তায় আমার উপর বল প্রয়োগ করে।",
              "numberInSurah": 23,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যাআখী লাহূতিছউওঁ ওয়া তিছ‘ঊনা না‘জাতাওঁ ওয়ালিয়া না‘জাতুওঁ ওয়াহিদাতুন ফাকা-লা আকফিলনীহা-ওয়া ‘আঝঝানী ফিল খিতা-ব।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَاۤ/هَٰذَآ/hadha//اَخِیْ ۫/أَخِي/akhi//لَهٗ/لَهُۥ/lahu//تِسْعٌ/تِسۡعٞ/tis'un//وَّ تِسْعُوْنَ/وَتِسۡعُونَ/watis'una//نَعْجَةً/نَعۡجَةٗ/na'jatan//وَّلِیَ/وَلِيَ/waliya//نَعْجَةٌ/نَعۡجَةٞ/na'jatun//وَّاحِدَةٌ ۫/وَٰحِدَةٞ/wahidatun//فَقَالَ/فَقَالَ/faqala//اَكْفِلْنِیْهَا/أَكۡفِلۡنِيهَا/akfil'niha//وَ عَزَّنِیْ/وَعَزَّنِي/wa'azzani//فِی/فِي/fi//الْخِطَابِ /ٱلۡخِطَابِ/al-khitabi",
              "words_bangla": "নিশ্চয়ই//এই//আমার ভাই//তার আছে//নয়//এবং নব্বই (অর্থাৎ নিরানব্বইটি)//দুম্বী//ও আমার আছে//দুম্বী//একটি//তবুও সে বললো//\"তা আমার দায়িত্বে দাও\"//এবং সে আমাকে পরাস্ত করে ফেললো//মধ্যে//কথাবার্তার\""
            },
            {
              "number": 3994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3994.mp3"
              ],
              "text": "قَالَ لَقَدْ ظَلَمَكَ بِسُؤَالِ نَعْجَتِكَ إِلَىٰ نِعَاجِهِۦ ۖ وَإِنَّ كَثِيرًۭا مِّنَ ٱلْخُلَطَآءِ لَيَبْغِى بَعْضُهُمْ عَلَىٰ بَعْضٍ إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَقَلِيلٌۭ مَّا هُمْ ۗ وَظَنَّ دَاوُۥدُ أَنَّمَا فَتَنَّٰهُ فَٱسْتَغْفَرَ رَبَّهُۥ وَخَرَّ رَاكِعًۭا وَأَنَابَ ۩",
              "translate_bn": "দাউদ বললঃ সে তোমার দুম্বাটিকে নিজের দুম্বাগুলোর সাথে সংযুক্ত করার দাবী করে তোমার প্রতি অবিচার করেছে। শরীকদের অনেকেই একে অপরের প্রতি জুলুম করে থাকে। তবে তারা করে না, যারা আল্লাহর প্রতি বিশ্বাসী ও সৎকর্ম সম্পাদনকারী। অবশ্য এমন লোকের সংখ্যা অল্প। দাউদের খেয়াল হল যে, আমি তাকে পরীক্ষা করছি। অতঃপর সে তার পালনকর্তার কাছে ক্ষমা প্রার্থনা করল, সেজদায় লুটিয়ে পড়ল এবং তাঁর দিকে প্রত্যাবর্তন করল।",
              "numberInSurah": 24,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": {
                "id": 11,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "কা-লা লাকাদ জালামাকা বিছুআ-লি না‘জাতিকা ইলা-নি‘আ-জিহী ওয়া ইন্না কাছীরাম মিনাল খুলাতাই লাইয়াবগী বা‘দুহুম ‘আলা-বা‘দিন ইল্লাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া কালীলুম মা-হুম ওয়া জান্না দা-ঊদা আন্নামা-ফাতান্না-হু ফাছতাগফারা রাব্বাহূওয়া খাররা রা -কি‘আওঁ ওয়া আনা-ব (ছিজদাহ-১০)।",
              "words_arabic": "قَالَ/قَالَ/qala//لَقَدْ/لَقَدۡ/laqad//ظَلَمَكَ/ظَلَمَكَ/zalamaka//بِسُؤَالِ/بِسُؤَالِ/bisuali//نَعْجَتِكَ/نَعۡجَتِكَ/na'jatika//اِلٰی/إِلَىٰ/ila//نِعَاجِهٖ ؕ/نِعَاجِهِۦۖ/ni'ajihi//وَ اِنَّ/وَإِنَّ/wa-inna//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//الْخُلَطَآءِ/ٱلۡخُلَطَآءِ/al-khulatai//لَیَبْغِیْ/لَيَبۡغِي/layabghi//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٍ/ba'din//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ قَلِیْلٌ/وَقَلِيلٞ/waqalilun//مَّا/مَّا/ma//هُمْ ؕ/هُمۡۗ/hum//وَ ظَنَّ/وَظَنَّ/wazanna//دَاوٗدُ/دَاوُۥدُ/dawudu//اَنَّمَا/أَنَّمَا/annama//فَتَنّٰهُ/فَتَنَّـٰهُ/fatannahu//فَاسْتَغْفَرَ/فَٱسۡتَغۡفَرَ/fa-is'taghfara//رَبَّهٗ/رَبَّهُۥ/rabbahu//وَ خَرَّ/وَخَرَّۤ/wakharra//رَاكِعًا/رَاكِعٗاۤ/raki'an//وَّ اَنَابَ۩/وَأَنَابَ۩/wa-anaba",
              "words_bangla": "সে বললো//\"নিশ্চয়ই//অবিচার করেছে তোমার উপর//(যোগ করার) দাবীর কারণে//তোমার দুম্বী//সাথে//তার দুম্বীগুলোর//এবং নিশ্চয়ই//অনেকেই//মধ্য হ'তে//শরিকদের//বাড়াবাড়ি করে অবশ্যই//তাদের একে//উপর//অন্যের//(তবে) ব্যতিক্রম//যারা//ঈমান আনে//ও কাজ করে//সৎকর্মসমূহ//এবং খুব কম (সংখ্যায়)//যা\"//তারা\"//এবং তখনই বুঝতে পারলো//দাউদ//যে আসলে//তাকে আমরা পরীক্ষা করেছি//সে ক্ষমা চাইলো তখন//তার রবের কাছে//এবং লুটিয়ে পড়লো//এবং রুকূতে (সিজদায়)//এবং সে (আল্লাহ) অভিমুখী হলো"
            },
            {
              "number": 3995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3995.mp3"
              ],
              "text": "فَغَفَرْنَا لَهُۥ ذَٰلِكَ ۖ وَإِنَّ لَهُۥ عِندَنَا لَزُلْفَىٰ وَحُسْنَ مَـَٔابٍۢ",
              "translate_bn": "আমি তার সে অপরাধ ক্ষমা করলাম। নিশ্চয় আমার কাছে তার জন্যে রয়েছে উচ্চ মর্তবা ও সুন্দর আবাসস্থল।",
              "numberInSurah": 25,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ফাগাফারনা-লাহূযা-লিকা ওয়া ইন্না লাহু ‘ইনদানা-লাঝুলফা-ওয়া হুছনা মাআ-ব।",
              "words_arabic": "فَغَفَرْنَا/فَغَفَرۡنَا/faghafarna//لَهٗ/لَهُۥ/lahu//ذٰلِكَ ؕ/ذَٰلِكَۖ/dhalika//وَ اِنَّ/وَإِنَّ/wa-inna//لَهٗ/لَهُۥ/lahu//عِنْدَنَا/عِندَنَا/indana//لَزُلْفٰی/لَزُلۡفَىٰ/lazul'fa//وَ حُسْنَ/وَحُسۡنَ/wahus'na//مَاٰبٍ /مَـَٔابٖ/maabin",
              "words_bangla": "আমরা তখন মাফ করলাম//তাকে//সেই (অপরাধ)//এবং নিশ্চয়ই//তার জন্যে//আমাদের কাছে আছে//অবশ্যই নৈকট্যের মর্যাদা//ও সুন্দর//পরিণাম"
            },
            {
              "number": 3996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3996.mp3"
              ],
              "text": "يَٰدَاوُۥدُ إِنَّا جَعَلْنَٰكَ خَلِيفَةًۭ فِى ٱلْأَرْضِ فَٱحْكُم بَيْنَ ٱلنَّاسِ بِٱلْحَقِّ وَلَا تَتَّبِعِ ٱلْهَوَىٰ فَيُضِلَّكَ عَن سَبِيلِ ٱللَّهِ ۚ إِنَّ ٱلَّذِينَ يَضِلُّونَ عَن سَبِيلِ ٱللَّهِ لَهُمْ عَذَابٌۭ شَدِيدٌۢ بِمَا نَسُوا۟ يَوْمَ ٱلْحِسَابِ",
              "translate_bn": "হে দাউদ! আমি তোমাকে পৃথিবীতে প্রতিনিধি করেছি, অতএব, তুমি মানুষের মাঝে ন্যায়সঙ্গতভাবে রাজত্ব কর এবং খেয়াল-খুশীর অনুসরণ করো না। তা তোমাকে আল্লাহর পথ থেকে বিচ্যুত করে দেবে। নিশ্চয় যারা আল্লাহর পথ থেকে বিচ্যুত হয়, তাদের জন্যে রয়েছে কঠোর শাস্তি, এ কারণে যে, তারা হিসাবদিবসকে ভূলে যায়।",
              "numberInSurah": 26,
              "juz": 23,
              "manzil": 6,
              "page": 454,
              "ruku": 392,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ইয়া-দা-ঊদুইন্না-জা‘আলনা-কা খালীফাতান ফিল আরদিফাহকুম বাইনান্না-ছি বিলহাক্কি ওয়ালা-তাত্তাবি‘ইল হাওয়া-ফাইউদিল্লাকা ‘আন ছাবীলিল্লা-হি ইন্নাল্লাযীনা ইয়াদিল্লুনা ‘আন ছাবীলিল্লা-হি লাহুম ‘আযা-বুন শাদীদুম বিমা-নাছূইয়াওমাল হিছা-ব।",
              "words_arabic": "یٰدَاوٗدُ/يَٰدَاوُۥدُ/yadawudu//اِنَّا/إِنَّا/inna//جَعَلْنٰكَ/جَعَلۡنَٰكَ/ja'alnaka//خَلِیْفَةً/خَلِيفَةٗ/khalifatan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَاحْكُمْ/فَٱحۡكُم/fa-uh'kum//بَیْنَ/بَيۡنَ/bayna//النَّاسِ/ٱلنَّاسِ/al-nasi//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لَا/وَلَا/wala//تَتَّبِعِ/تَتَّبِعِ/tattabi'i//الْهَوٰی/ٱلۡهَوَىٰ/al-hawa//فَیُضِلَّكَ/فَيُضِلَّكَ/fayudillaka//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَضِلُّوْنَ/يَضِلُّونَ/yadilluna//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌۢ/شَدِيدُۢ/shadidun//بِمَا/بِمَا/bima//نَسُوْا/نَسُواْ/nasu//یَوْمَ/يَوۡمَ/yawma//الْحِسَابِ۠/ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "\"(আল্লাহ বললেন) হে দাউদ//নিশ্চযই় আমরা//তোমাকে আমরা বানিয়েছি//প্রতিনিধি//মধ্যে//পৃথিবীর//সুতরাং শাসন করো//মাঝে//মানুষের//ন্যায়ভাবে//এবং না//অনুসরণ করো//খেয়ালখুশীর//তোমাকে তা হ'লে সরিয়ে দিবে//হ'তে//পথ//আল্লাহর//নিশ্চয়ই//যারা//বিভ্রান্ত হয়//হ'তে//পথ//আল্লাহর//তাদের জন্যে (রয়েছে)//শাস্তি//কঠোর//একারণে যে//তারা ভুলে গিয়েছে//দিন//বিচারের\""
            },
            {
              "number": 3997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3997.mp3"
              ],
              "text": "وَمَا خَلَقْنَا ٱلسَّمَآءَ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا بَٰطِلًۭا ۚ ذَٰلِكَ ظَنُّ ٱلَّذِينَ كَفَرُوا۟ ۚ فَوَيْلٌۭ لِّلَّذِينَ كَفَرُوا۟ مِنَ ٱلنَّارِ",
              "translate_bn": "আমি আসমান-যমীন ও এতদুভয়ের মধ্যবর্তী কোন কিছু অযথা সৃষ্টি করিনি। এটা কাফেরদের ধারণা। অতএব, কাফেরদের জন্যে রয়েছে দূর্ভোগ অর্থাৎ জাহান্নাম।",
              "numberInSurah": 27,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকনাছ ছামাআ ওয়াল আরদা ওয়ামা-বাইনাহুমা-বা-তিলান যা-লিকা জান্নুল্লাযীনা কাফারূ ফাওয়াইলুলিলল্লাযীনা কাফারূমিনান্না-র।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//بَاطِلًا ؕ/بَٰطِلٗاۚ/batilan//ذٰلِكَ/ذَٰلِكَ/dhalika//ظَنُّ/ظَنُّ/zannu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ۚ/كَفَرُواْۚ/kafaru//فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنَ/مِنَ/mina//النَّارِؕ/ٱلنَّارِ/al-nari",
              "words_bangla": "এবং না//আমরা সৃষ্টি করেছি//আকাশকে//ও পৃৃথিবীকে//এবং যা (আছে)//উভয়ের মাঝে//অনর্থক//সেটা//ধারণা//(তাদের) যারা//অস্বীকার করেছে//দুর্ভোগ সুতরাং//(তাদের) জন্যে যারা//অস্বীকার করেছে//হ'তে//(জাহান্নামের) আগুনের"
            },
            {
              "number": 3998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3998.mp3"
              ],
              "text": "أَمْ نَجْعَلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ كَٱلْمُفْسِدِينَ فِى ٱلْأَرْضِ أَمْ نَجْعَلُ ٱلْمُتَّقِينَ كَٱلْفُجَّارِ",
              "translate_bn": "আমি কি বিশ্বাসী ও সৎকর্মীদেরকে পৃথিবীতে বিপর্যয় সৃষ্টিকারী কাফেরদের সমতুল্য করে দেব? না খোদাভীরুদেরকে পাপাচারীদের সম্মান করে দেব।",
              "numberInSurah": 28,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "আম নাজ‘আলুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি কালমুফছিদীনা ফিল আরদি আম নাজ‘আলুল মুত্তাকীনা কালফুজ্জা-র ।",
              "words_arabic": "اَمْ/أَمۡ/am//نَجْعَلُ/نَجۡعَلُ/naj'alu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//كَالْمُفْسِدِیْنَ/كَٱلۡمُفۡسِدِينَ/kal-muf'sidina//فِی/فِي/fi//الْاَرْضِ ؗ/ٱلۡأَرۡضِ/al-ardi//اَمْ/أَمۡ/am//نَجْعَلُ/نَجۡعَلُ/naj'alu//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//كَالْفُجَّارِ /كَٱلۡفُجَّارِ/kal-fujari",
              "words_bangla": "কি//গণ্য করবো আমরা//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকর্মসমূহ//মতো বিপর্যয় সৃষ্টিকারীদের//মধ্যে//পৃথিবীর//কি//গণ্য করবো আমরা//মুত্তাকীদেরকে//পাপাচারীদের মতো"
            },
            {
              "number": 3999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/3999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/3999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/3999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/3999.mp3"
              ],
              "text": "كِتَٰبٌ أَنزَلْنَٰهُ إِلَيْكَ مُبَٰرَكٌۭ لِّيَدَّبَّرُوٓا۟ ءَايَٰتِهِۦ وَلِيَتَذَكَّرَ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "এটি একটি বরকতময় কিতাব, যা আমি আপনার প্রতি বরকত হিসেবে অবতীর্ণ করেছি, যাতে মানুষ এর আয়াতসূহ লক্ষ্য করে এবং বুদ্ধিমানগণ যেন তা অনুধাবন করে।",
              "numberInSurah": 29,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "কিতা-বুন আনঝালনা-হুইলাইকামুবা-রাকুল লিইয়াদ্দাব্বারূআ-য়া-তিহী ওয়া লিইয়াতাযাক্কারা উলুল আলবা-ব।",
              "words_arabic": "كِتٰبٌ/كِتَٰبٌ/kitabun//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//اِلَیْكَ/إِلَيۡكَ/ilayka//مُبٰرَكٌ/مُبَٰرَكٞ/mubarakun//لِّیَدَّبَّرُوْۤا/لِّيَدَّبَّرُوٓاْ/liyaddabbaru//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//وَ لِیَتَذَكَّرَ/وَلِيَتَذَكَّرَ/waliyatadhakkara//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "(হে নাবী) এই কিতাব//তা আমরা অবতীর্ণ করেছি//তোমার প্রতি//কল্যাণকর (কিতাব)//তারা চিন্তাভাবনা করে যেন//তাঁর আয়াতসমূহকে//এবং উপদেশ নেয় যেন//সম্পন্নরা//বুদ্ধি-জ্ঞান"
            },
            {
              "number": 4000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4000.mp3"
              ],
              "text": "وَوَهَبْنَا لِدَاوُۥدَ سُلَيْمَٰنَ ۚ نِعْمَ ٱلْعَبْدُ ۖ إِنَّهُۥٓ أَوَّابٌ",
              "translate_bn": "আমি দাউদকে সোলায়মান দান করেছি। সে একজন উত্তম বান্দা। সে ছিল প্রত্যাবর্তনশীল।",
              "numberInSurah": 30,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা-লিদা-ঊদা ছুলাইমা-না নি‘মাল ‘আবদু; ইন্নাহূআওওয়া-ব।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لِدَاوٗدَ/لِدَاوُۥدَ/lidawuda//سُلَیْمٰنَ ؕ/سُلَيۡمَٰنَۚ/sulaymana//نِعْمَ/نِعۡمَ/ni'ma//الْعَبْدُ ؕ/ٱلۡعَبۡدُ/al-'abdu//اِنَّهٗۤ/إِنَّهُۥٓ/innahu//اَوَّابٌؕ/أَوَّابٌ/awwabun",
              "words_bangla": "এবং আমরা দান করেছিলাম//দাউদের জন্য//(তার পুত্র) সুলায়মানকে//অতি উত্তম//দাস//সে নিশ্চযই় (ছিলো)//অতিশয় (আল্লাহ) অভিমুখী"
            },
            {
              "number": 4001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4001.mp3"
              ],
              "text": "إِذْ عُرِضَ عَلَيْهِ بِٱلْعَشِىِّ ٱلصَّٰفِنَٰتُ ٱلْجِيَادُ",
              "translate_bn": "যখন তার সামনে অপরাহ্নে উৎকৃষ্ট অশ্বরাজি পেশ করা হল,",
              "numberInSurah": 31,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ইয‘উরিদা ‘আলাইহি বিল ‘আশিইয়িসসা-ফিনা-তুল জিয়া-দ।",
              "words_arabic": "اِذْ/إِذۡ/idh//عُرِضَ/عُرِضَ/urida//عَلَیْهِ/عَلَيۡهِ/alayhi//بِالْعَشِیِّ/بِٱلۡعَشِيِّ/bil-'ashiyi//الصّٰفِنٰتُ/ٱلصَّـٰفِنَٰتُ/al-safinatu//الْجِیَادُۙ/ٱلۡجِيَادُ/al-jiyadu",
              "words_bangla": "(স্মরণ করো) যখন//উপস্হিত করা হলো//তার সামনে//সন্ধ্যায়//দ্রুতগামী ঘোড়াসমূহ//উৎকৃষ্টমানের (ঘোড়া)"
            },
            {
              "number": 4002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4002.mp3"
              ],
              "text": "فَقَالَ إِنِّىٓ أَحْبَبْتُ حُبَّ ٱلْخَيْرِ عَن ذِكْرِ رَبِّى حَتَّىٰ تَوَارَتْ بِٱلْحِجَابِ",
              "translate_bn": "তখন সে বললঃ আমি তো আমার পরওয়ারদেগারের স্মরণে বিস্মৃত হয়ে সম্পদের মহব্বতে মুগ্ধ হয়ে পড়েছি-এমনকি সূর্য ডুবে গেছে।",
              "numberInSurah": 32,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লা ইন্নীআহবাবতুহুব্বাল খাইরি ‘আন যিকরি রাববী হাত্তা-তাওয়া-রাত বিলহিজা-ব।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//اِنِّیْۤ/إِنِّيٓ/inni//اَحْبَبْتُ/أَحۡبَبۡتُ/ahbabtu//حُبَّ/حُبَّ/hubba//الْخَیْرِ/ٱلۡخَيۡرِ/al-khayri//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//رَبِّیْ ۚ/رَبِّي/rabbi//حَتّٰی/حَتَّىٰ/hatta//تَوَارَتْ/تَوَارَتۡ/tawarat//بِالْحِجَابِۥ/بِٱلۡحِجَابِ/bil-hijabi",
              "words_bangla": "তখন সে বললো//\"নিশ্চয়ই আমি//আমি ভালোবেসেছি//ভালোবাসা//(এই) সম্পদের//কারণে//স্মরণের//আমার রবের\"//এমনকি (যখন)//অদৃশ্য হয়ে গেলো//(চোখের) আড়ালে"
            },
            {
              "number": 4003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4003.mp3"
              ],
              "text": "رُدُّوهَا عَلَىَّ ۖ فَطَفِقَ مَسْحًۢا بِٱلسُّوقِ وَٱلْأَعْنَاقِ",
              "translate_bn": "এগুলোকে আমার কাছে ফিরিয়ে আন। অতঃপর সে তাদের পা ও গলদেশ ছেদন করতে শুরু করল।",
              "numberInSurah": 33,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "রুদ্দূহা-‘আলাইইয়া ফাতাফিকা মাছহাম বিছছূকিওয়াল আ‘না-ক।",
              "words_arabic": "رُدُّوْهَا/رُدُّوهَا/rudduha//عَلَیَّ ؕ/عَلَيَّۖ/alayya//فَطَفِقَ/فَطَفِقَ/fatafiqa//مَسْحًۢا/مَسۡحَۢا/mashan//بِالسُّوْقِ/بِٱلسُّوقِ/bil-suqi//وَ الْاَعْنَاقِ /وَٱلۡأَعۡنَاقِ/wal-a'naqi",
              "words_bangla": "\"(সে বললো) সেগুলো ফিরিয়ে আনো//আমার কাছে\"//সে অতঃপর শুরু করলো//(হাত) বুলাতে//(ঘোড়ার) পাগুলোর উপর//ও ঘাড়ে"
            },
            {
              "number": 4004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4004.mp3"
              ],
              "text": "وَلَقَدْ فَتَنَّا سُلَيْمَٰنَ وَأَلْقَيْنَا عَلَىٰ كُرْسِيِّهِۦ جَسَدًۭا ثُمَّ أَنَابَ",
              "translate_bn": "আমি সোলায়মানকে পরীক্ষা করলাম এবং রেখে দিলাম তার সিংহাসনের উপর একটি নিস্প্রাণ দেহ। অতঃপর সে রুজু হল।",
              "numberInSurah": 34,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ফাতান্না-ছুলাইমা-না ওয়া আলকাইনা-‘আলা-কুরছিইয়িহী জাছাদান ছু ম্মা আনা-ব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//فَتَنَّا/فَتَنَّا/fatanna//سُلَیْمٰنَ/سُلَيۡمَٰنَ/sulaymana//وَ اَلْقَیْنَا/وَأَلۡقَيۡنَا/wa-alqayna//عَلٰی/عَلَىٰ/ala//كُرْسِیِّهٖ/كُرۡسِيِّهِۦ/kur'siyyihi//جَسَدًا/جَسَدٗا/jasadan//ثُمَّ/ثُمَّ/thumma//اَنَابَ /أَنَابَ/anaba",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পরীক্ষা করেছিলাম//সুলায়মানকে//ও আমরা রেখে দিলাম//উপর//তার আসনের//একটি দেহ//অতঃপর//সে মুখ ফেরালো"
            },
            {
              "number": 4005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4005.mp3"
              ],
              "text": "قَالَ رَبِّ ٱغْفِرْ لِى وَهَبْ لِى مُلْكًۭا لَّا يَنۢبَغِى لِأَحَدٍۢ مِّنۢ بَعْدِىٓ ۖ إِنَّكَ أَنتَ ٱلْوَهَّابُ",
              "translate_bn": "সোলায়মান বললঃ হে আমার পালনকর্তা, আমাকে মাফ করুন এবং আমাকে এমন সাম্রাজ্য দান করুন যা আমার পরে আর কেউ পেতে পারবে না। নিশ্চয় আপনি মহাদাতা।",
              "numberInSurah": 35,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বিগ ফিরলী ওয়া হাবলী মুলকাল লা-ইয়ামবাগী লিআহাদিম মিম বা‘দী ইন্নাকা আনতাল ওয়াহহা-ব।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لِیْ/لِي/li//وَهَبْ/وَهَبۡ/wahab//لِیْ/لِي/li//مُلْكًا/مُلۡكٗا/mul'kan//لَّا/لَّا/la//یَنْۢبَغِیْ/يَنۢبَغِي/yanbaghi//لِاَحَدٍ/لِأَحَدٖ/li-ahadin//مِّنْۢ/مِّنۢ/min//بَعْدِیْ ۚ/بَعۡدِيٓۖ/ba'di//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْوَهَّابُ /ٱلۡوَهَّابُ/al-wahabu",
              "words_bangla": "সে বললো//\"হে আমার রব//মাফ করো//আমাকে//ও দাও//আমাকে//(এমন) রাজত্ব//না//শোভনীয় হবে (যা)//কারও জন্যে//থেকে//আমার পরে//তুমি নিশ্চয়ই//তুমিই//মহাদাতা\""
            },
            {
              "number": 4006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4006.mp3"
              ],
              "text": "فَسَخَّرْنَا لَهُ ٱلرِّيحَ تَجْرِى بِأَمْرِهِۦ رُخَآءً حَيْثُ أَصَابَ",
              "translate_bn": "তখন আমি বাতাসকে তার অনুগত করে দিলাম, যা তার হুকুমে অবাধে প্রবাহিত হত যেখানে সে পৌছাতে চাইত।",
              "numberInSurah": 36,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ফাছাখখারনা-লাহুররীহা তাজরী বিআমরিহী রুখাআন হাইছুআসা-ব।",
              "words_arabic": "فَسَخَّرْنَا/فَسَخَّرۡنَا/fasakharna//لَهُ/لَهُ/lahu//الرِّیْحَ/ٱلرِّيحَ/al-riha//تَجْرِیْ/تَجۡرِي/tajri//بِاَمْرِهٖ/بِأَمۡرِهِۦ/bi-amrihi//رُخَآءً/رُخَآءً/rukhaan//حَیْثُ/حَيۡثُ/haythu//اَصَابَۙ/أَصَابَ/asaba",
              "words_bangla": "আমরা তখন অধীন করে দিলাম//তার জন্যে//বাতাসকে//বয়ে যেতো//তার আদেশে//গতিতে//যেখানে//তিনি চাইতেন"
            },
            {
              "number": 4007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4007.mp3"
              ],
              "text": "وَٱلشَّيَٰطِينَ كُلَّ بَنَّآءٍۢ وَغَوَّاصٍۢ",
              "translate_bn": "আর সকল শয়তানকে তার অধীন করে দিলাম অর্থৎ, যারা ছিল প্রাসাদ নির্মাণকারী ও ডুবুরী।",
              "numberInSurah": 37,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়াশশায়া-তীনা কুল্লা বান্নাইওঁ ওয়া গাওওয়াছ।",
              "words_arabic": "وَ الشَّیٰطِیْنَ/وَٱلشَّيَٰطِينَ/wal-shayatina//كُلَّ/كُلَّ/kulla//بَنَّآءٍ/بَنَّآءٖ/bannain//وَّ غَوَّاصٍۙ/وَغَوَّاصٖ/waghawwasin",
              "words_bangla": "এবং শয়তানগুলোকেও (অধীন করেছিলাম)//প্রত্যেকে (যারা ছিলো)//স্হপতি//ও ডুবুরী"
            },
            {
              "number": 4008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4008.mp3"
              ],
              "text": "وَءَاخَرِينَ مُقَرَّنِينَ فِى ٱلْأَصْفَادِ",
              "translate_bn": "এবং অন্য আরও অনেককে অধীন করে দিলাম, যারা আবদ্ধ থাকত শৃঙ্খলে।",
              "numberInSurah": 38,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-খারীনা মুকাররানীনা ফিল আসফা-দ।",
              "words_arabic": "وَّ اٰخَرِیْنَ/وَءَاخَرِينَ/waakharina//مُقَرَّنِیْنَ/مُقَرَّنِينَ/muqarranina//فِی/فِي/fi//الْاَصْفَادِ /ٱلۡأَصۡفَادِ/al-asfadi",
              "words_bangla": "এবং অন্যান্যদেরকে//আবদ্ধ (করলাম)//মধ্যে//শেকলসমূহের"
            },
            {
              "number": 4009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4009.mp3"
              ],
              "text": "هَٰذَا عَطَآؤُنَا فَٱمْنُنْ أَوْ أَمْسِكْ بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "এগুলো আমার অনুগ্রহ, অতএব, এগুলো কাউকে দাও অথবা নিজে রেখে দাও-এর কোন হিসেব দিতে হবে না।",
              "numberInSurah": 39,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "হা-যা-‘আতাউনা-ফামনুন আও আমছিক বিগাইরি হিছা-ব।\r\n",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//عَطَآؤُنَا/عَطَآؤُنَا/atauna//فَامْنُنْ/فَٱمۡنُنۡ/fa-um'nun//اَوْ/أَوۡ/aw//اَمْسِكْ/أَمۡسِكۡ/amsik//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "\"(আমি বললাম) এটা//আমাদের দান//সুতরাং দান করো (যাকে চাও)//অথবা//রেখে দাও (নিজের জন্যে)//ছাড়াই//কোনো হিসেব\""
            },
            {
              "number": 4010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4010.mp3"
              ],
              "text": "وَإِنَّ لَهُۥ عِندَنَا لَزُلْفَىٰ وَحُسْنَ مَـَٔابٍۢ",
              "translate_bn": "নিশ্চয় তার জন্যে আমার কাছে রয়েছে মর্যাদা ও শুভ পরিণতি।",
              "numberInSurah": 40,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 393,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লাহূ‘ইনদানা-লাঝুলফা-ওয়াহুছনা মাআ-ব।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لَهٗ/لَهُۥ/lahu//عِنْدَنَا/عِندَنَا/indana//لَزُلْفٰی/لَزُلۡفَىٰ/lazul'fa//وَ حُسْنَ/وَحُسۡنَ/wahus'na//مَاٰبٍ۠/مَـَٔابٖ/maabin",
              "words_bangla": "এবং নিশ্চয়ই//তার জন্যে//আমাদের কাছে আছে//অবশ্যই নৈকট্যের মর্যাদা//ও সুন্দর//প্রত্যাবর্তন স্থান (পরিণাম)"
            },
            {
              "number": 4011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4011.mp3"
              ],
              "text": "وَٱذْكُرْ عَبْدَنَآ أَيُّوبَ إِذْ نَادَىٰ رَبَّهُۥٓ أَنِّى مَسَّنِىَ ٱلشَّيْطَٰنُ بِنُصْبٍۢ وَعَذَابٍ",
              "translate_bn": "স্মরণ করুণ, আমার বান্দা আইয়্যুবের কথা, যখন সে তার পালনকর্তাকে আহবান করে বললঃ শয়তান আমাকে যন্ত্রণা ও কষ্ট পৌছিয়েছে।",
              "numberInSurah": 41,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ‘আবদানাআইইঊব । ইযনা-দা-রাব্বাহূআন্নী মাছছানিয়াশ শায়তা-নু বিনুসবিওঁ ওয়া ‘আযা-ব।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//عَبْدَنَاۤ/عَبۡدَنَآ/abdana//اَیُّوْبَ ۘ/أَيُّوبَ/ayyuba//اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//رَبَّهٗۤ/رَبَّهُۥٓ/rabbahu//اَنِّیْ/أَنِّي/anni//مَسَّنِیَ/مَسَّنِيَ/massaniya//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//بِنُصْبٍ/بِنُصۡبٖ/binus'bin//وَّ عَذَابٍؕ/وَعَذَابٍ/wa'adhabin",
              "words_bangla": "এবং স্মরণ করো//আমাদের দাস//আইয়ূবকে//যখন//সে ডেকে ছিলো//তার রবকে//\"নিশ্চযই় আমি//আমাকে স্পর্শ করেছে//শয়তান//কষ্ট দিয়ে//ও যন্ত্রণায়\""
            },
            {
              "number": 4012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4012.mp3"
              ],
              "text": "ٱرْكُضْ بِرِجْلِكَ ۖ هَٰذَا مُغْتَسَلٌۢ بَارِدٌۭ وَشَرَابٌۭ",
              "translate_bn": "তুমি তোমার পা দিয়ে ভূমিতে আঘাত কর। ঝরণা নির্গত হল গোসল করার জন্যে শীতল ও পান করার জন্যে।",
              "numberInSurah": 42,
              "juz": 23,
              "manzil": 6,
              "page": 455,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "উরকুদবিরিজলিকা হা-যা-মুগতাছালুম বা-রিদুওঁ ওয়া শারা-ব।",
              "words_arabic": "اُرْكُضْ/ٱرۡكُضۡ/ur'kud//بِرِجْلِكَ ۚ/بِرِجۡلِكَۖ/birij'lika//هٰذَا/هَٰذَا/hadha//مُغْتَسَلٌۢ/مُغۡتَسَلُۢ/mugh'tasalun//بَارِدٌ/بَارِدٞ/baridun//وَّ شَرَابٌ /وَشَرَابٞ/washarabun",
              "words_bangla": "\"(তাকে বললাম) আঘাত করো//তোমার পা দিয়ে (যমীনে)//এটা//গোসলের পানি//ঠান্ডা//ও সুপেয় পানীয়\""
            },
            {
              "number": 4013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4013.mp3"
              ],
              "text": "وَوَهَبْنَا لَهُۥٓ أَهْلَهُۥ وَمِثْلَهُم مَّعَهُمْ رَحْمَةًۭ مِّنَّا وَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَٰبِ",
              "translate_bn": "আমি তাকে দিলাম তার পরিজনবর্গ ও তাদের মত আরও অনেক আমার পক্ষ থেকে রহমতস্বরূপ এবং বুদ্ধিমানদের জন্যে উপদেশস্বরূপ।",
              "numberInSurah": 43,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াহাবনা- লাহূআহলাহূওয়া মিছলাহুম মা‘আহুম রাহমাতাম মিন্না- ওয়াযিকরালিঊলিল আলবা-ব।",
              "words_arabic": "وَ وَهَبْنَا/وَوَهَبۡنَا/wawahabna//لَهٗۤ/لَهُۥٓ/lahu//اَهْلَهٗ/أَهۡلَهُۥ/ahlahu//وَ مِثْلَهُمْ/وَمِثۡلَهُم/wamith'lahum//مَّعَهُمْ/مَّعَهُمۡ/ma'ahum//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنَّا/مِّنَّا/minna//وَ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِاُولِی/لِأُوْلِي/li-uli//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "এবং আমরা (ফিরিয়ে) দিলাম//তার কাছে//তার পরিবারকে//আরও তাদের মতো//তাদের সাথে//অনুগ্রহ স্বরূপ//আমাদের থেকে//এবং শিক্ষা//সম্পন্নদের জন্যে//বিবেক-বুদ্ধি"
            },
            {
              "number": 4014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4014.mp3"
              ],
              "text": "وَخُذْ بِيَدِكَ ضِغْثًۭا فَٱضْرِب بِّهِۦ وَلَا تَحْنَثْ ۗ إِنَّا وَجَدْنَٰهُ صَابِرًۭا ۚ نِّعْمَ ٱلْعَبْدُ ۖ إِنَّهُۥٓ أَوَّابٌۭ",
              "translate_bn": "তুমি তোমার হাতে এক মুঠো তৃণশলা নাও, তদ্বারা আঘাত কর এবং শপথ ভঙ্গ করো না। আমি তাকে পেলাম সবরকারী। চমৎকার বান্দা সে। নিশ্চয় সে ছিল প্রত্যাবর্তনশীল।",
              "numberInSurah": 44,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া খুযবিয়াদিকা দিগছান ফাদরিব্বিহী ওয়ালা-তাহনাছ ইন্না-ওয়াজাদনা-হু সাবিরান নি‘মাল ‘আবদু ইন্নাহূআওওয়া-ব।\r\n",
              "words_arabic": "وَ خُذْ/وَخُذۡ/wakhudh//بِیَدِكَ/بِيَدِكَ/biyadika//ضِغْثًا/ضِغۡثٗا/digh'than//فَاضْرِبْ/فَٱضۡرِب/fa-id'rib//بِّهٖ/بِّهِۦ/bihi//وَ لَا/وَلَا/wala//تَحْنَثْ ؕ/تَحۡنَثۡۗ/tahnath//اِنَّا/إِنَّا/inna//وَجَدْنٰهُ/وَجَدۡنَٰهُ/wajadnahu//صَابِرًا ؕ/صَابِرٗاۚ/sabiran//نِّعْمَ/نِّعۡمَ/ni'ma//الْعَبْدُ ؕ/ٱلۡعَبۡدُ/al-'abdu//اِنَّهٗۤ/إِنَّهُۥٓ/innahu//اَوَّابٌ /أَوَّابٞ/awwabun",
              "words_bangla": "\"এবং (তাকে বললাম) ধরো//তোমার হাত দিয়ে//একমুঠো ঘাস//অতঃপর আঘাত করো//তা দিয়ে (তোমার স্ত্রীকে)//এবং না//তুমি শপথ ভঙ্গ করো\"//নিশ্চযই় আমরা//তাকে আমরা পেয়েছি//ধৈর্য্যশীল//অতি উত্তম//দাস//সে নিশ্চয়ই  ছিলো//বড় (আল্লাহ) অভিমুখী"
            },
            {
              "number": 4015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4015.mp3"
              ],
              "text": "وَٱذْكُرْ عِبَٰدَنَآ إِبْرَٰهِيمَ وَإِسْحَٰقَ وَيَعْقُوبَ أُو۟لِى ٱلْأَيْدِى وَٱلْأَبْصَٰرِ",
              "translate_bn": "স্মরণ করুন, হাত ও চোখের অধিকারী আমার বান্দা ইব্রাহীম, ইসহাক ও ইয়াকুবের কথা।",
              "numberInSurah": 45,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ‘ইবা-দানাইবরা-হীমা ওয়া ইছহা-কাওয়াইয়া‘কূ বা ঊলিল আইদী ওয়াল আবসা-র।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//عِبٰدَنَاۤ/عِبَٰدَنَآ/ibadana//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ اِسْحٰقَ/وَإِسۡحَٰقَ/wa-is'haqa//وَ یَعْقُوْبَ/وَيَعۡقُوبَ/waya'quba//اُولِی/أُوْلِي/uli//الْاَیْدِیْ/ٱلۡأَيۡدِي/al-aydi//وَ الْاَبْصَارِ /وَٱلۡأَبۡصَٰرِ/wal-absari",
              "words_bangla": "এবং স্মরণ করো//আমাদের দাসদেরকে//(যেমন) ইবরাহীম//ও ইসহাক//ও ইয়াকূব//সম্পন্ন//কর্মক্ষমতা//ও সূক্ষ্মদৃষ্টি (সম্পন্ন)"
            },
            {
              "number": 4016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4016.mp3"
              ],
              "text": "إِنَّآ أَخْلَصْنَٰهُم بِخَالِصَةٍۢ ذِكْرَى ٱلدَّارِ",
              "translate_bn": "আমি তাদের এক বিশেষ গুণ তথা পরকালের স্মরণ দ্বারা স্বাতন্ত্র্য দান করেছিলাম।",
              "numberInSurah": 46,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআখলাসনা-হুম বিখা-লিসাতিন যিকরাদ্দা-র।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَخْلَصْنٰهُمْ/أَخۡلَصۡنَٰهُم/akhlasnahum//بِخَالِصَةٍ/بِخَالِصَةٖ/bikhalisatin//ذِكْرَی/ذِكۡرَى/dhik'ra//الدَّارِۚ/ٱلدَّارِ/al-dari",
              "words_bangla": "নিশ্চয়ই আমরা//তাদেরকে আমরা  মর্যাদা দিয়েছিলাম//একটি স্বতন্ত্রগুণের কারণে//(তা ছিলো) স্মরণ//পরকালের"
            },
            {
              "number": 4017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4017.mp3"
              ],
              "text": "وَإِنَّهُمْ عِندَنَا لَمِنَ ٱلْمُصْطَفَيْنَ ٱلْأَخْيَارِ",
              "translate_bn": "আর তারা আমার কাছে মনোনীত ও সৎলোকদের অন্তর্ভুক্ত।",
              "numberInSurah": 47,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহুম ‘ইনদানা-লামিনাল মুছতাফাইনাল আখইয়া-র।",
              "words_arabic": "وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//عِنْدَنَا/عِندَنَا/indana//لَمِنَ/لَمِنَ/lamina//الْمُصْطَفَیْنَ/ٱلۡمُصۡطَفَيۡنَ/al-mus'tafayna//الْاَخْیَارِؕ/ٱلۡأَخۡيَارِ/al-akhyari",
              "words_bangla": "এবং তারা নিশ্চয়ই//আমাদের কাছে//অবশ্যই অন্তর্ভুক্ত//মনোনীত  (বান্দাদের)//উত্তম (বান্দাদের)"
            },
            {
              "number": 4018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4018.mp3"
              ],
              "text": "وَٱذْكُرْ إِسْمَٰعِيلَ وَٱلْيَسَعَ وَذَا ٱلْكِفْلِ ۖ وَكُلٌّۭ مِّنَ ٱلْأَخْيَارِ",
              "translate_bn": "স্মরণ করুণ, ইসমাঈল, আল ইয়াসা ও যুলকিফলের কথা। তারা প্রত্যেকেই গুনীজন।",
              "numberInSurah": 48,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর ইছমা-‘ঈলা ওয়াল ইয়াছা‘আ ওয়াযাল কিফলি ওয়া কুল্লুম মিনাল আখইয়া-র।",
              "words_arabic": "وَ اذْكُرْ/وَٱذۡكُرۡ/wa-udh'kur//اِسْمٰعِیْلَ/إِسۡمَٰعِيلَ/is'ma'ila//وَ الْیَسَعَ/وَٱلۡيَسَعَ/wal-yasa'a//وَ ذَا/وَذَا/wadha//الْكِفْلِ ؕ/ٱلۡكِفۡلِۖ/al-kif'li//وَ كُلٌّ/وَكُلّٞ/wakullun//مِّنَ/مِّنَ/mina//الْاَخْیَارِؕ/ٱلۡأَخۡيَارِ/al-akhyari",
              "words_bangla": "এবং স্মরণ করো//ইসমাঈল//ও আলইয়াসা//ও//যুলকিফ্‌লকে//এবং প্রত্যেকে (ছিলো)//অন্তর্ভুক্ত//উত্তম (বান্দাদের)"
            },
            {
              "number": 4019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4019.mp3"
              ],
              "text": "هَٰذَا ذِكْرٌۭ ۚ وَإِنَّ لِلْمُتَّقِينَ لَحُسْنَ مَـَٔابٍۢ",
              "translate_bn": "এ এক মহৎ আলোচনা। খোদাভীরুদের জন্যে রয়েছে উত্তম ঠিকানা-",
              "numberInSurah": 49,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "হা-যা-যিকরুওঁ ওয়া ইন্না লিলমুত্তাকীনা লাহুছনা মাআ-ব।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//ذِكْرٌ ؕ/ذِكۡرٞۚ/dhik'run//وَ اِنَّ/وَإِنَّ/wa-inna//لِلْمُتَّقِیْنَ/لِلۡمُتَّقِينَ/lil'muttaqina//لَحُسْنَ/لَحُسۡنَ/lahus'na//مَاٰبٍۙ/مَـَٔابٖ/maabin",
              "words_bangla": "এটা//একটি স্মরণ//এবং নিশ্চয়ই//মুত্তাকীদের জন্যে (রয়েছে)//অবশ্যই উত্তম//আবাস"
            },
            {
              "number": 4020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4020.mp3"
              ],
              "text": "جَنَّٰتِ عَدْنٍۢ مُّفَتَّحَةًۭ لَّهُمُ ٱلْأَبْوَٰبُ",
              "translate_bn": "তথা স্থায়ী বসবাসের জান্নাত; তাদের জন্যে তার দ্বার উম্মুক্ত রয়েছে।",
              "numberInSurah": 50,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "জান্না-তি ‘আদনিম মুফাত্তাহাল লাহুমুল আবওয়া-ব।",
              "words_arabic": "جَنّٰتِ/جَنَّـٰتِ/jannati//عَدْنٍ/عَدۡنٖ/adnin//مُّفَتَّحَةً/مُّفَتَّحَةٗ/mufattahatan//لَّهُمُ/لَّهُمُ/lahumu//الْاَبْوَابُۚ/ٱلۡأَبۡوَٰبُ/al-abwabu",
              "words_bangla": "জান্নাত//চিরস্থায়ী//খোলা (রয়েছে)//তাদের জন্যে//দরজাসমূহ"
            },
            {
              "number": 4021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4021.mp3"
              ],
              "text": "مُتَّكِـِٔينَ فِيهَا يَدْعُونَ فِيهَا بِفَٰكِهَةٍۢ كَثِيرَةٍۢ وَشَرَابٍۢ",
              "translate_bn": "সেখানে তারা হেলান দিয়ে বসবে। তারা সেখানে চাইবে অনেক ফল-মূল ও পানীয়।",
              "numberInSurah": 51,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 182,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইনদাহুম কা-সিরা-তুত্তারফি আতরা-ব।",
              "words_arabic": "مُتَّكِـِٕیْنَ/مُتَّكِـِٔينَ/muttakiina//فِیْهَا/فِيهَا/fiha//یَدْعُوْنَ/يَدۡعُونَ/yad'una//فِیْهَا/فِيهَا/fiha//بِفَاكِهَةٍ/بِفَٰكِهَةٖ/bifakihatin//كَثِیْرَةٍ/كَثِيرَةٖ/kathiratin//وَّ شَرَابٍ /وَشَرَابٖ/washarabin",
              "words_bangla": "তারা হেলান দিয়ে বসবে//তার মধ্যে//তারা আদেশ করবে//তার মধ্যে//ফলমূলের//অনেক//ও পানীয়ের"
            },
            {
              "number": 4022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4022.mp3"
              ],
              "text": "۞ وَعِندَهُمْ قَٰصِرَٰتُ ٱلطَّرْفِ أَتْرَابٌ",
              "translate_bn": "তাদের কাছে থাকবে আনতনয়না সমবয়স্কা রমণীগণ।",
              "numberInSurah": 52,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইনদাহুম কা-সিরা-তুত্তারফি আতরা-ব।\r\n",
              "words_arabic": "وَ عِنْدَهُمْ/۞وَعِندَهُمۡ/wa'indahum//قٰصِرٰتُ/قَٰصِرَٰتُ/qasiratu//الطَّرْفِ/ٱلطَّرۡفِ/al-tarfi//اَتْرَابٌ /أَتۡرَابٌ/atrabun",
              "words_bangla": "এবং কাছে (থাকবে) তাদের//আনত//নয়না//সমবয়ষ্কা (সহধর্মিনী)"
            },
            {
              "number": 4023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4023.mp3"
              ],
              "text": "هَٰذَا مَا تُوعَدُونَ لِيَوْمِ ٱلْحِسَابِ",
              "translate_bn": "তোমাদেরকে এরই প্রতিশ্রুতি দেয়া হচ্ছে বিচার দিবসের জন্যে।",
              "numberInSurah": 53,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "হা-যা-মা-তূ‘আদূনা লিইয়াওমিল হিছা-ব।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//لِیَوْمِ/لِيَوۡمِ/liyawmi//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "এই (সব নিয়ামাত)//যা//তোমাদের প্রতিশ্রুতি দেওয়া হচ্ছে//দিনের জন্যে//বিচারের"
            },
            {
              "number": 4024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4024.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَرِزْقُنَا مَا لَهُۥ مِن نَّفَادٍ",
              "translate_bn": "এটা আমার দেয়া রিযিক যা শেষ হবে না।",
              "numberInSurah": 54,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লারিঝকূনা-মা লাহূমিন নাফা-দ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَرِزْقُنَا/لَرِزۡقُنَا/lariz'quna//مَا/مَا/ma//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//نَّفَادٍۚۖ/نَّفَادٍ/nafadin",
              "words_bangla": "নিশ্চয়ই//এটা//অবশ্যই আমাদের জীবিকা//নেই//তার//কোনো//শেষ"
            },
            {
              "number": 4025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4025.mp3"
              ],
              "text": "هَٰذَا ۚ وَإِنَّ لِلطَّٰغِينَ لَشَرَّ مَـَٔابٍۢ",
              "translate_bn": "এটাতো শুনলে, এখন দুষ্টদের জন্যে রয়েছে নিকৃষ্ট ঠিকানা",
              "numberInSurah": 55,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "হা-যা- ওয়া ইন্না লিত্তা-গীনা লাশাররা মাআ-ব।",
              "words_arabic": "هٰذَا ؕ/هَٰذَاۚ/hadha//وَ اِنَّ/وَإِنَّ/wa-inna//لِلطّٰغِیْنَ/لِلطَّـٰغِينَ/lilttaghina//لَشَرَّ/لَشَرَّ/lasharra//مَاٰبٍۙ/مَـَٔابٖ/maabin",
              "words_bangla": "এটাই (মুত্তাকীদের পরিণাম)//আর নিশ্চয়ই (রয়েছে)//সীমালংঘনকারীদের জন্যে//অবশ্যই নিকৃষ্ট//প্রত্যাবর্তন স্থান"
            },
            {
              "number": 4026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4026.mp3"
              ],
              "text": "جَهَنَّمَ يَصْلَوْنَهَا فَبِئْسَ ٱلْمِهَادُ",
              "translate_bn": "তথা জাহান্নাম। তারা সেখানে প্রবেশ করবে। অতএব, কত নিকৃষ্ট সেই আবাস স্থল।",
              "numberInSurah": 56,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "জাহান্নামা ইয়াসলাওনাহা- ফাবি’ছাল মিহা-দ।",
              "words_arabic": "جَهَنَّمَ ۚ/جَهَنَّمَ/jahannama//یَصْلَوْنَهَا ۚ/يَصۡلَوۡنَهَا/yaslawnaha//فَبِئْسَ/فَبِئۡسَ/fabi'sa//الْمِهَادُ /ٱلۡمِهَادُ/al-mihadu",
              "words_bangla": "জাহান্নাম//তাতে তারা প্রবেশ জ্বলবে//আর কত নিকৃষ্ট//ঠিকানা"
            },
            {
              "number": 4027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4027.mp3"
              ],
              "text": "هَٰذَا فَلْيَذُوقُوهُ حَمِيمٌۭ وَغَسَّاقٌۭ",
              "translate_bn": "এটা উত্তপ্ত পানি ও পঁূজ; অতএব তারা একে আস্বাদন করুক।",
              "numberInSurah": 57,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "হা-যা- ফাল ইয়াযূকূহু হামীমুওঁগাছছা-ক।",
              "words_arabic": "هٰذَا ۙ/هَٰذَا/hadha//فَلْیَذُوْقُوْهُ/فَلۡيَذُوقُوهُ/falyadhuquhu//حَمِیْمٌ/حَمِيمٞ/hamimun//وَّ غَسَّاقٌۙ/وَغَسَّاقٞ/waghassaqun",
              "words_bangla": "এটাই (তাদের পরিণাম)//সুতরাং  তার তারা স্বাদ নিক//ফুটন্ত পানির//ও পূঁজের"
            },
            {
              "number": 4028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4028.mp3"
              ],
              "text": "وَءَاخَرُ مِن شَكْلِهِۦٓ أَزْوَٰجٌ",
              "translate_bn": "এ ধরনের আরও কিছু শাস্তি আছে।",
              "numberInSurah": 58,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-খারু মিন শাকলিহী আঝওয়া-জ।",
              "words_arabic": "وَّ اٰخَرُ/وَءَاخَرُ/waakharu//مِنْ/مِن/min//شَكْلِهٖۤ/شَكۡلِهِۦٓ/shaklihi//اَزْوَاجٌؕ/أَزۡوَٰجٌ/azwajun",
              "words_bangla": "এবং অন্য কিছু//মধ্যে//সে ধরণের//বিভিন্ন প্রকার (কষ্টের)"
            },
            {
              "number": 4029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4029.mp3"
              ],
              "text": "هَٰذَا فَوْجٌۭ مُّقْتَحِمٌۭ مَّعَكُمْ ۖ لَا مَرْحَبًۢا بِهِمْ ۚ إِنَّهُمْ صَالُوا۟ ٱلنَّارِ",
              "translate_bn": "এই তো একদল তোমাদের সাথে প্রবেশ করছে। তাদের জন্যে অভিনন্দন নেই তারা তো জাহান্নামে প্রবেশ করবে।",
              "numberInSurah": 59,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "হা-যা-ফাওজুম মুকতাহিমুম মা‘আকুম লা-মারহাবাম বিহিম ইন্নাহুম সা-লুন্নার।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//فَوْجٌ/فَوۡجٞ/fawjun//مُّقْتَحِمٌ/مُّقۡتَحِمٞ/muq'tahimun//مَّعَكُمْ ۚ/مَّعَكُمۡ/ma'akum//لَا/لَا/la//مَرْحَبًۢا/مَرۡحَبَۢا/marhaban//بِهِمْ ؕ/بِهِمۡۚ/bihim//اِنَّهُمْ/إِنَّهُمۡ/innahum//صَالُوا/صَالُواْ/salu//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "(তারা বলবে) এই তো//একটি দল//প্রবেশকারী//তোমাদের সাথে//নেই//কোনো অভিনন্দন//তাদের জন্যে//তারা নিশ্চয়ই//জ্বলবে//(জাহান্নামের) আগুনে"
            },
            {
              "number": 4030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4030.mp3"
              ],
              "text": "قَالُوا۟ بَلْ أَنتُمْ لَا مَرْحَبًۢا بِكُمْ ۖ أَنتُمْ قَدَّمْتُمُوهُ لَنَا ۖ فَبِئْسَ ٱلْقَرَارُ",
              "translate_bn": "তারা বলবে, তোমাদের জন্যে ও তো অভিনন্দন নেই। তোমরাই আমাদেরকে এ বিপদের সম্মুখীন করেছ। অতএব, এটি কতই না ঘৃণ্য আবাসস্থল।",
              "numberInSurah": 60,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লূবাল আনতুম লা-মার হাবম বিকুম আনতুম কাদ্দামতুমূহু লানা- ফাবি’ছাল কারা-র।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَلْ/بَلۡ/bal//اَنْتُمْ ۫/أَنتُمۡ/antum//لَا/لَا/la//مَرْحَبًۢا/مَرۡحَبَۢا/marhaban//بِكُمْ ؕ/بِكُمۡۖ/bikum//اَنْتُمْ/أَنتُمۡ/antum//قَدَّمْتُمُوْهُ/قَدَّمۡتُمُوهُ/qaddamtumuhu//لَنَا ۚ/لَنَاۖ/lana//فَبِئْسَ/فَبِئۡسَ/fabi'sa//الْقَرَارُ /ٱلۡقَرَارُ/al-qararu",
              "words_bangla": "(অনুসারীরা) বলবে//\"বরং//তোমরাও (তাতে জ্বলছো)//নেই//কোনো অভিনন্দন//তোমাদের জন্যও//তোমরাই//তা তোমরাই সামনে এনেছো//আমাদের জন্যে//অতএব কত নিকৃষ্ট//আবাসস্থল\""
            },
            {
              "number": 4031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4031.mp3"
              ],
              "text": "قَالُوا۟ رَبَّنَا مَن قَدَّمَ لَنَا هَٰذَا فَزِدْهُ عَذَابًۭا ضِعْفًۭا فِى ٱلنَّارِ",
              "translate_bn": "তারা বলবে, হে আমাদের পালনকর্তা, যে আমাদেরকে এর সম্মুখীন করেছে, আপনি জাহান্নামে তার শাস্তি দ্বিগুণ করে দিন।",
              "numberInSurah": 61,
              "juz": 23,
              "manzil": 6,
              "page": 456,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লূরাব্বানা-মান কাদ্দামা লানা-হা-যা-ফাঝিদহু ‘আযা-বান দি‘ফান ফিন্না-র।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//رَبَّنَا/رَبَّنَا/rabbana//مَنْ/مَن/man//قَدَّمَ/قَدَّمَ/qaddama//لَنَا/لَنَا/lana//هٰذَا/هَٰذَا/hadha//فَزِدْهُ/فَزِدۡهُ/fazid'hu//عَذَابًا/عَذَابٗا/adhaban//ضِعْفًا/ضِعۡفٗا/di'fan//فِی/فِي/fi//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "তারা বলবে//\"হে আমাদের রব//যে//সম্মুখীন করেছে//আমাদের জন্যে//এটা//তাকে বাড়িয়ে দাও এজন্যে//শাস্তি//দ্বিগুণ//মধ্যে//জাহান্নামের\""
            },
            {
              "number": 4032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4032.mp3"
              ],
              "text": "وَقَالُوا۟ مَا لَنَا لَا نَرَىٰ رِجَالًۭا كُنَّا نَعُدُّهُم مِّنَ ٱلْأَشْرَارِ",
              "translate_bn": "তারা আরও বলবে, আমাদের কি হল যে, আমরা যাদেরকে মন্দ লোক বলে গণ্য করতাম, তাদেরকে এখানে দেখছি না।",
              "numberInSurah": 62,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূমা-লানা-লা-নারা-রিজা-লান কুন্না-না‘উদ্দুহুম মিনাল আশরা-র।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//مَا/مَا/ma//لَنَا/لَنَا/lana//لَا/لَا/la//نَرٰی/نَرَىٰ/nara//رِجَالًا/رِجَالٗا/rijalan//كُنَّا/كُنَّا/kunna//نَعُدُّهُمْ/نَعُدُّهُم/na'udduhum//مِّنَ/مِّنَ/mina//الْاَشْرَارِؕ/ٱلۡأَشۡرَارِ/al-ashrari",
              "words_bangla": "এবং তারা বলবে//\"কি//আমাদের হলো (যে)//না//আমরা দেখছি//লোকদেরকে//আমরা ছিলাম//তাদেরকে গণ্য করতাম//মধ্যে//খুব খারাপ (লোকদের)"
            },
            {
              "number": 4033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4033.mp3"
              ],
              "text": "أَتَّخَذْنَٰهُمْ سِخْرِيًّا أَمْ زَاغَتْ عَنْهُمُ ٱلْأَبْصَٰرُ",
              "translate_bn": "আমরা কি অহেতুক তাদেরকে ঠাট্টার পাত্র করে নিয়েছিলাম, না আমাদের দৃষ্টি ভুল করছে?",
              "numberInSurah": 63,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "আত্তাখাযনা-হুম ছিখরিইয়ান আম ঝা-গাত ‘আনহুম আবসা-র।",
              "words_arabic": "اَتَّخَذْنٰهُمْ/أَتَّخَذۡنَٰهُمۡ/attakhadhnahum//سِخْرِیًّا/سِخۡرِيًّا/sikh'riyyan//اَمْ/أَمۡ/am//زَاغَتْ/زَاغَتۡ/zaghat//عَنْهُمُ/عَنۡهُمُ/anhumu//الْاَبْصَارُ /ٱلۡأَبۡصَٰرُ/al-absaru",
              "words_bangla": "কি তাদেরকে আমরা বানিয়ে নিয়েছিলাম//বিদ্রুপের (ব্যক্তি হিসেবে)//অথবা//ভুল করেছে//তাদের থেকে//(আমাদের) দৃষ্টিসমূহ\""
            },
            {
              "number": 4034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4034.mp3"
              ],
              "text": "إِنَّ ذَٰلِكَ لَحَقٌّۭ تَخَاصُمُ أَهْلِ ٱلنَّارِ",
              "translate_bn": "এটা অর্থাৎ জাহান্নামীদের পারস্পরিক বাক-বিতন্ডা অবশ্যম্ভাবী।",
              "numberInSurah": 64,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 394,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইন্না যা-লিকা লাহাক্কুন তাখা-সুমুআহলিন্না-র।",
              "words_arabic": "اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//لَحَقٌّ/لَحَقّٞ/lahaqqun//تَخَاصُمُ/تَخَاصُمُ/takhasumu//اَهْلِ/أَهۡلِ/ahli//النَّارِ۠/ٱلنَّارِ/al-nari",
              "words_bangla": "নিশ্চয়ই//এটা//সত্য অবশ্যই//পারস্পারিক বিবাদ//অধিবাসীদের//জাহান্নামের"
            },
            {
              "number": 4035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4035.mp3"
              ],
              "text": "قُلْ إِنَّمَآ أَنَا۠ مُنذِرٌۭ ۖ وَمَا مِنْ إِلَٰهٍ إِلَّا ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ",
              "translate_bn": "বলুন, আমি তো একজন সতর্ককারী মাত্র এবং এক পরাক্রমশালী আল্লাহ ব্যতীত কোন উপাস্য নেই।",
              "numberInSurah": 65,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাআনা-মুনযিরুওঁ ওয়া মা-মিন ইলা-হিন ইল্লাল্লা-হুল ওয়া-হিদুল কাহহার।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//مُنْذِرٌ ۖۗ/مُنذِرٞۖ/mundhirun//وَّ مَا/وَمَا/wama//مِنْ/مِنۡ/min//اِلٰهٍ/إِلَٰهٍ/ilahin//اِلَّا/إِلَّا/illa//اللّٰهُ/ٱللَّهُ/al-lahu//الْوَاحِدُ/ٱلۡوَٰحِدُ/al-wahidu//الْقَهَّارُۚ/ٱلۡقَهَّارُ/al-qaharu",
              "words_bangla": "(হে নাবী) তুমি বলো//\"মূলতঃ//আমি//একজন সতর্ককারী (মাত্র)//এবং নেই//কোনো//ইলাহ//ছাড়া//আল্লাহ//এক//মহাপ্রতাপশালী"
            },
            {
              "number": 4036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4036.mp3"
              ],
              "text": "رَبُّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ٱلْعَزِيزُ ٱلْغَفَّٰرُ",
              "translate_bn": "তিনি আসমান-যমীন ও এতদুভয়ের মধ্যবর্তী সব কিছুর পালনকর্তা, পরাক্রমশালী, মার্জনাকারী।",
              "numberInSurah": 66,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "রাব্বুছছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমাল ‘আঝীঝুল গাফফা-র।\r\n",
              "words_arabic": "رَبُّ/رَبُّ/rabbu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْغَفَّارُ /ٱلۡغَفَّـٰرُ/al-ghafaru",
              "words_bangla": "রব//আকাশের//ও পৃথিবীর//এবং যা//উভয়ের মাঝে (আছে)//(তিনি) মহাপরাক্রমশালী//পরম ক্ষমাশীল\""
            },
            {
              "number": 4037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4037.mp3"
              ],
              "text": "قُلْ هُوَ نَبَؤٌا۟ عَظِيمٌ",
              "translate_bn": "বলুন, এটি এক মহাসংবাদ,",
              "numberInSurah": 67,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়া নাবাউন ‘আজীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//نَبَؤٌا/نَبَؤٌاْ/naba-on//عَظِیْمٌۙ/عَظِيمٌ/azimun",
              "words_bangla": "বলো//\"তা//সংবাদ//মহা"
            },
            {
              "number": 4038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4038.mp3"
              ],
              "text": "أَنتُمْ عَنْهُ مُعْرِضُونَ",
              "translate_bn": "যা থেকে তোমরা মুখ ফিরিয়ে নিয়েছ।",
              "numberInSurah": 68,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "\r\nআনতুম ‘আনহু মু‘রিদূন।\r\n",
              "words_arabic": "اَنْتُمْ/أَنتُمۡ/antum//عَنْهُ/عَنۡهُ/anhu//مُعْرِضُوْنَ /مُعۡرِضُونَ/mu'riduna",
              "words_bangla": "তোমরা//তা থেকে//মুখ ফিরিয়ে নিচ্ছো"
            },
            {
              "number": 4039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4039.mp3"
              ],
              "text": "مَا كَانَ لِىَ مِنْ عِلْمٍۭ بِٱلْمَلَإِ ٱلْأَعْلَىٰٓ إِذْ يَخْتَصِمُونَ",
              "translate_bn": "ঊর্ধ্ব জগৎ সম্পর্কে আমার কোন জ্ঞান ছিল না যখন ফেরেশতারা কথাবার্তা বলছিল।",
              "numberInSurah": 69,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "মা-কা-না লিয়া মিন ‘ইলমিম বিল মালাইল আ‘লা ইযইয়াখতাসিমূন।",
              "words_arabic": "مَا/مَا/ma//كَانَ/كَانَ/kana//لِیَ/لِيَ/liya//مِنْ/مِنۡ/min//عِلْمٍۭ/عِلۡمِۭ/il'min//بِالْمَلَاِ/بِٱلۡمَلَإِ/bil-mala-i//الْاَعْلٰۤی/ٱلۡأَعۡلَىٰٓ/al-a'la//اِذْ/إِذۡ/idh//یَخْتَصِمُوْنَ /يَخۡتَصِمُونَ/yakhtasimuna",
              "words_bangla": "না//ছিলো//আমার//কোনো কিছি//জ্ঞান//জগতের সম্পর্কে//উর্ধ্ব//যখন//তারা বাদানুবাদ করছিলো"
            },
            {
              "number": 4040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4040.mp3"
              ],
              "text": "إِن يُوحَىٰٓ إِلَىَّ إِلَّآ أَنَّمَآ أَنَا۠ نَذِيرٌۭ مُّبِينٌ",
              "translate_bn": "আমার কাছে এ ওহীই আসে যে, আমি একজন স্পষ্ট সতর্ককারী।",
              "numberInSurah": 70,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইঊহাইলাইয়া ইল্লাআন্নামাআনা নাযীরুম মুবীন।",
              "words_arabic": "اِنْ/إِن/in//یُّوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//اِلَّاۤ/إِلَّآ/illa//اَنَّمَاۤ/أَنَّمَآ/annama//اَنَا/أَنَا۠/ana//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "না//ওহী করা হয়//আমার প্রতি//এ ছাড়া//যে মূলতঃ//আমি//একজন সতর্ককারী (মাত্র)//সুস্পষ্ট\""
            },
            {
              "number": 4041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4041.mp3"
              ],
              "text": "إِذْ قَالَ رَبُّكَ لِلْمَلَٰٓئِكَةِ إِنِّى خَٰلِقٌۢ بَشَرًۭا مِّن طِينٍۢ",
              "translate_bn": "যখন আপনার পালনকর্তা ফেরেশতাগণকে বললেন, আমি মাটির মানুষ সৃষ্টি করব।",
              "numberInSurah": 71,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইযকা-লা রাব্বুকা লিল মালাইকাতি ইন্নী খা-লিকুম বাশারাম মিন তীন।",
              "words_arabic": "اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//رَبُّكَ/رَبُّكَ/rabbuka//لِلْمَلٰٓىِٕكَةِ/لِلۡمَلَـٰٓئِكَةِ/lil'malaikati//اِنِّیْ/إِنِّي/inni//خَالِقٌۢ/خَٰلِقُۢ/khaliqun//بَشَرًا/بَشَرٗا/basharan//مِّنْ/مِّن/min//طِیْنٍ /طِينٖ/tinin",
              "words_bangla": "যখন//বলেছিলেন//তোমার রব//ফেরেশতাদেরকে//\"নিশ্চয়ই আমি//সৃষ্টি করছি//একজন মানুষ//থেকে//মাটি"
            },
            {
              "number": 4042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4042.mp3"
              ],
              "text": "فَإِذَا سَوَّيْتُهُۥ وَنَفَخْتُ فِيهِ مِن رُّوحِى فَقَعُوا۟ لَهُۥ سَٰجِدِينَ",
              "translate_bn": "যখন আমি তাকে সুষম করব এবং তাতে আমার রূহ ফুঁকে দেব, তখন তোমরা তার সম্মুখে সেজদায় নত হয়ে যেয়ো।",
              "numberInSurah": 72,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-ছাওওয়াইতুহূওয়া নাফাখতুফীহি মিররূহী ফাকা‘ঊ লাহূছা-জিদীন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//سَوَّیْتُهٗ/سَوَّيۡتُهُۥ/sawwaytuhu//وَ نَفَخْتُ/وَنَفَخۡتُ/wanafakhtu//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رُّوْحِیْ/رُّوحِي/ruhi//فَقَعُوْا/فَقَعُواْ/faqa'u//لَهٗ/لَهُۥ/lahu//سٰجِدِیْنَ /سَٰجِدِينَ/sajidina",
              "words_bangla": "অতঃপর যখন//তা আমি সুঠাম করবো//ও আমি সঞ্চার করবো//তার মধ্যে//থেকে//আমার রূহ//তোমরা তখন পড়বে//তার (সামনে)//সিজদাকারী হয়ে\""
            },
            {
              "number": 4043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4043.mp3"
              ],
              "text": "فَسَجَدَ ٱلْمَلَٰٓئِكَةُ كُلُّهُمْ أَجْمَعُونَ",
              "translate_bn": "অতঃপর সমস্ত ফেরেশতাই একযোগে সেজদায় নত হল,",
              "numberInSurah": 73,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ফাছাজাদাল মালাইকাতুকুল্লুহুম আজমা‘ঊন।",
              "words_arabic": "فَسَجَدَ/فَسَجَدَ/fasajada//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//كُلُّهُمْ/كُلُّهُمۡ/kulluhum//اَجْمَعُوْنَۙ/أَجۡمَعُونَ/ajma'una",
              "words_bangla": "অতঃপর সিজদা করলো//ফেরেশতারা//তাদের সকলেই//একত্রে"
            },
            {
              "number": 4044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4044.mp3"
              ],
              "text": "إِلَّآ إِبْلِيسَ ٱسْتَكْبَرَ وَكَانَ مِنَ ٱلْكَٰفِرِينَ",
              "translate_bn": "কিন্তু ইবলীস; সে অহংকার করল এবং অস্বীকারকারীদের অন্তর্ভুক্ত হয়ে গেল।",
              "numberInSurah": 74,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইল্লাইবলীছ ইছতাকবারা ওয়া কা-না মিনাল কা-ফিরীন।",
              "words_arabic": "اِلَّاۤ/إِلَّآ/illa//اِبْلِیْسَ ؕ/إِبۡلِيسَ/ib'lisa//اِسْتَكْبَرَ/ٱسۡتَكۡبَرَ/is'takbara//وَ كَانَ/وَكَانَ/wakana//مِنَ/مِنَ/mina//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "ব্যতীত//ইবলিস//সে অহংকার করলো//ও হলো//অন্তর্ভুক্ত//কাফিরদের"
            },
            {
              "number": 4045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4045.mp3"
              ],
              "text": "قَالَ يَٰٓإِبْلِيسُ مَا مَنَعَكَ أَن تَسْجُدَ لِمَا خَلَقْتُ بِيَدَىَّ ۖ أَسْتَكْبَرْتَ أَمْ كُنتَ مِنَ ٱلْعَالِينَ",
              "translate_bn": "আল্লাহ বললেন, হে ইবলীস, আমি স্বহস্তে যাকে সৃষ্টি করেছি, তার সম্মুখে সেজদা করতে তোমাকে কিসে বাধা দিল? তুমি অহংকার করলে, না তুমি তার চেয়ে উচ্চ মর্যাদা সম্পন্ন?",
              "numberInSurah": 75,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়াইবলীছুমা-মানা‘আকা আন তাছজু দা লিমা-খালাকতুবিয়াদাইইয়া আছতাকবারতা আম কুনতা মিনাল ‘আ-লীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰۤاِبْلِیْسُ/يَـٰٓإِبۡلِيسُ/yaib'lisu//مَا/مَا/ma//مَنَعَكَ/مَنَعَكَ/mana'aka//اَنْ/أَن/an//تَسْجُدَ/تَسۡجُدَ/tasjuda//لِمَا/لِمَا/lima//خَلَقْتُ/خَلَقۡتُ/khalaqtu//بِیَدَیَّ ؕ/بِيَدَيَّۖ/biyadayya//اَسْتَكْبَرْتَ/أَسۡتَكۡبَرۡتَ/astakbarta//اَمْ/أَمۡ/am//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الْعَالِیْنَ /ٱلۡعَالِينَ/al-'alina",
              "words_bangla": "(আল্লাহ) বললেন//\"হে ইবলিস//কিসে//তোমাকে বাধা দিলো//যে (না)//সিজদা করলে তুমি//(তাকে) যাকে//আমি সৃষ্টি করেছি//আমার দু’হাত দ্বারা//তুমি কি অহংকার করলে//অথবা//তুমি ছিলে//অন্তর্ভুক্ত//উচ্চ মর্যাদাসম্পন্নদের\""
            },
            {
              "number": 4046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4046.mp3"
              ],
              "text": "قَالَ أَنَا۠ خَيْرٌۭ مِّنْهُ ۖ خَلَقْتَنِى مِن نَّارٍۢ وَخَلَقْتَهُۥ مِن طِينٍۢ",
              "translate_bn": "সে বললঃ আমি তার চেয়ে উত্তম আপনি আমাকে আগুনের দ্বারা সৃষ্টি করেছেন, আর তাকে সৃষ্টি করেছেন মাটির দ্বারা।",
              "numberInSurah": 76,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা আনা খাইরুম মিনহু খালাকতানী মিন না-রিওঁ ওয়া খালাকতাহূমিন তীন।",
              "words_arabic": "قَالَ/قَالَ/qala//اَنَا/أَنَا۠/ana//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْهُ ؕ/مِّنۡهُ/min'hu//خَلَقْتَنِیْ/خَلَقۡتَنِي/khalaqtani//مِنْ/مِن/min//نَّارٍ/نَّارٖ/narin//وَّ خَلَقْتَهٗ/وَخَلَقۡتَهُۥ/wakhalaqtahu//مِنْ/مِن/min//طِیْنٍ /طِينٖ/tinin",
              "words_bangla": "সে বললো//\"আমি//বড়//তার চেয়ে//আমাকে আপনি সৃষ্টি করেছেন//দিয়ে//আগুন//আর তাকে সৃষ্টি করেছেন//দিয়ে//মাটি\""
            },
            {
              "number": 4047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4047.mp3"
              ],
              "text": "قَالَ فَٱخْرُجْ مِنْهَا فَإِنَّكَ رَجِيمٌۭ",
              "translate_bn": "আল্লাহ বললেনঃ বের হয়ে যা, এখান থেকে। কারণ, তুই অভিশপ্ত।",
              "numberInSurah": 77,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাখরুজ মিনহা-ফাইন্নাকা রাজীম।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاخْرُجْ/فَٱخۡرُجۡ/fa-ukh'ruj//مِنْهَا/مِنۡهَا/min'ha//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//رَجِیْمٌۚۖ/رَجِيمٞ/rajimun",
              "words_bangla": "(আল্লাহ) বললেন//\"তাহ'লে বের হও//এখান থেকে//তাহ'লে তুমি নিশ্চয়ই//বিতাড়িত"
            },
            {
              "number": 4048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4048.mp3"
              ],
              "text": "وَإِنَّ عَلَيْكَ لَعْنَتِىٓ إِلَىٰ يَوْمِ ٱلدِّينِ",
              "translate_bn": "তোর প্রতি আমার এ অভিশাপ বিচার দিবস পর্যন্ত স্থায়ী হবে।",
              "numberInSurah": 78,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না ‘আলাইকা লা‘নাতী ইলা- ইয়াওমিদ্দীন।",
              "words_arabic": "وَّ اِنَّ/وَإِنَّ/wa-inna//عَلَیْكَ/عَلَيۡكَ/alayka//لَعْنَتِیْۤ/لَعۡنَتِيٓ/la'nati//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الدِّیْنِ /ٱلدِّينِ/al-dini",
              "words_bangla": "এবং নিশ্চয়ই//তোমার উপর//আমার অভিশাপ//পর্যন্ত//দিন//বিচার\""
            },
            {
              "number": 4049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4049.mp3"
              ],
              "text": "قَالَ رَبِّ فَأَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা, আপনি আমাকে পুনরুত্থান দিবস পর্যন্ত অবকাশ দিন।",
              "numberInSurah": 79,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ফাআনজিরনীইলা-ইয়াওমি ইউব‘আছূন।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//فَاَنْظِرْنِیْۤ/فَأَنظِرۡنِيٓ/fa-anzir'ni//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//یُبْعَثُوْنَ /يُبۡعَثُونَ/yub'athuna",
              "words_bangla": "সে বললো//\"হে আমার রব//আমাকে তাহ'লে অবকাশ দিন//পর্যন্ত//দিন//উত্থানের\""
            },
            {
              "number": 4050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4050.mp3"
              ],
              "text": "قَالَ فَإِنَّكَ مِنَ ٱلْمُنظَرِينَ",
              "translate_bn": "আল্লঅহ বললেনঃ তোকে অবকাশ দেয়া হল।",
              "numberInSurah": 80,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাইন্নাকা মিনাল মুনজারীন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//مِنَ/مِنَ/mina//الْمُنْظَرِیْنَۙ/ٱلۡمُنظَرِينَ/al-munzarina",
              "words_bangla": "(আল্লাহ) বললেন//\"নিশ্চযই তাহ'লে ়  তুমি//অন্তর্ভুক্ত//অবকাশ প্রাপ্তদের"
            },
            {
              "number": 4051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4051.mp3"
              ],
              "text": "إِلَىٰ يَوْمِ ٱلْوَقْتِ ٱلْمَعْلُومِ",
              "translate_bn": "সে সময়ের দিন পর্যন্ত যা জানা।",
              "numberInSurah": 81,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইলা-ইয়াওমিল ওয়াকতিল মা‘লূম।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْوَقْتِ/ٱلۡوَقۡتِ/al-waqti//الْمَعْلُوْمِ /ٱلۡمَعۡلُومِ/al-ma'lumi",
              "words_bangla": "পর্যন্ত//দিন//(এমন) সময়ের//(যা) অবধারিত\""
            },
            {
              "number": 4052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4052.mp3"
              ],
              "text": "قَالَ فَبِعِزَّتِكَ لَأُغْوِيَنَّهُمْ أَجْمَعِينَ",
              "translate_bn": "সে বলল, আপনার ইযযতের কসম, আমি অবশ্যই তাদের সবাইকে বিপথগামী করে দেব।",
              "numberInSurah": 82,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফাবি ‘ইঝঝাতিকা লাউগবিয়ান্নাহুম আজমা‘ঈন।",
              "words_arabic": "قَالَ/قَالَ/qala//فَبِعِزَّتِكَ/فَبِعِزَّتِكَ/fabi'izzatika//لَاُغْوِیَنَّهُمْ/لَأُغۡوِيَنَّهُمۡ/la-ugh'wiyannahum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "সে বললো//\"আপনার সম্মানের শপথ তাহ'লে//তাদের অবশ্যই বিভ্রান্ত করবো আমি//সকলকেই"
            },
            {
              "number": 4053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4053.mp3"
              ],
              "text": "إِلَّا عِبَادَكَ مِنْهُمُ ٱلْمُخْلَصِينَ",
              "translate_bn": "তবে তাদের মধ্যে যারা আপনার খাঁটি বান্দা, তাদেরকে ছাড়া।",
              "numberInSurah": 83,
              "juz": 23,
              "manzil": 6,
              "page": 457,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘ইবা-দাকা মিনহুমুল মুখলাসীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عِبَادَكَ/عِبَادَكَ/ibadaka//مِنْهُمُ/مِنۡهُمُ/min'humu//الْمُخْلَصِیْنَ /ٱلۡمُخۡلَصِينَ/al-mukh'lasina",
              "words_bangla": "ব্যতীত//আপনার দাসদের//তাদের মধ্যে হ'তে//একনিষ্ঠ\""
            },
            {
              "number": 4054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4054.mp3"
              ],
              "text": "قَالَ فَٱلْحَقُّ وَٱلْحَقَّ أَقُولُ",
              "translate_bn": "আল্লাহ বললেনঃ তাই ঠিক, আর আমি সত্য বলছি-",
              "numberInSurah": 84,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফালহাক্কু ওয়াল হাক্কা আকূল।",
              "words_arabic": "قَالَ/قَالَ/qala//فَالْحَقُّ ؗ/فَٱلۡحَقُّ/fal-haqu//وَ الْحَقَّ/وَٱلۡحَقَّ/wal-haqa//اَقُوْلُۚ/أَقُولُ/aqulu",
              "words_bangla": "(আল্লাহ) বললেন//\"তবে (এটাই) সত্য//আর সত্যই//আমি বলি"
            },
            {
              "number": 4055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4055.mp3"
              ],
              "text": "لَأَمْلَأَنَّ جَهَنَّمَ مِنكَ وَمِمَّن تَبِعَكَ مِنْهُمْ أَجْمَعِينَ",
              "translate_bn": "তোর দ্বারা আর তাদের মধ্যে যারা তোর অনুসরণ করবে তাদের দ্বারা আমি জাহান্নাম পূর্ণ করব।",
              "numberInSurah": 85,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "লাআমলাআন্না জাহান্নামা মিনকা ওয়া মিম্মান তাবি‘আকা মিনহুম আজমা‘ঈন।",
              "words_arabic": "لَاَمْلَـَٔنَّ/لَأَمۡلَأَنَّ/la-amla-anna//جَهَنَّمَ/جَهَنَّمَ/jahannama//مِنْكَ/مِنكَ/minka//وَ مِمَّنْ/وَمِمَّن/wamimman//تَبِعَكَ/تَبِعَكَ/tabi'aka//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَجْمَعِیْنَ /أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "আমি অবশ্যই ভরিয়ে তুলবো//জাহান্নামকে//তোমার দ্বারা//ও তার দ্বারা যে//তোমার অনুসরণ করবে//তাদের মধ্যে হ'তে//সকলের (দ্বারা)\""
            },
            {
              "number": 4056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4056.mp3"
              ],
              "text": "قُلْ مَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍۢ وَمَآ أَنَا۠ مِنَ ٱلْمُتَكَلِّفِينَ",
              "translate_bn": "বলুন, আমি তোমাদের কাছে কোন প্রতিদান চাই না আর আমি লৌকিকতাকারীও নই।",
              "numberInSurah": 86,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "কুল মাআছআলুকুম ‘আলাইহি মিন আজরিওঁ ওয়ামাআনা মিনাল মুতাকালিলফীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَاۤ/مَآ/ma//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//اَجْرٍ/أَجۡرٖ/ajrin//وَّ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//مِنَ/مِنَ/mina//الْمُتَكَلِّفِیْنَ /ٱلۡمُتَكَلِّفِينَ/al-mutakalifina",
              "words_bangla": "(হে নাবী) বলো//\"না//তোমাদের কাছে চাই আমি//এর উপর//কোনো//পারিশ্রমিক//আর না//আমি//অন্তর্ভুক্ত//ভানকারীদের"
            },
            {
              "number": 4057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4057.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا ذِكْرٌۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "এটা তো বিশ্ববাসীর জন্যে এক উপদেশ মাত্র।",
              "numberInSurah": 87,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা-যিকরুলিলল ‘আ-লামীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٌ/ذِكۡرٞ/dhik'run//لِّلْعٰلَمِیْنَ /لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "নয়//তা//এ ব্যতীত//উপদেশ//বিশ্ববাসীদের জন্যে"
            },
            {
              "number": 4058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4058.mp3"
              ],
              "text": "وَلَتَعْلَمُنَّ نَبَأَهُۥ بَعْدَ حِينٍۭ",
              "translate_bn": "তোমরা কিছু কাল পরে এর সংবাদ অবশ্যই জানতে পারবে।",
              "numberInSurah": 88,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 395,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা তা‘লামুন্না নাবাআহূবা‘দা হীন।",
              "words_arabic": "وَ لَتَعْلَمُنَّ/وَلَتَعۡلَمُنَّ/walata'lamunna//نَبَاَهٗ/نَبَأَهُۥ/naba-ahu//بَعْدَ/بَعۡدَ/ba'da//حِیْنٍ۠/حِينِۭ/hinin",
              "words_bangla": "এবং তোমরা অবশ্যই জানবে//তার খবর//পরেই//কিছুকাল\""
            }
          ]
        },
        {
          "number": 39,
          "name": "سُورَةُ الزُّمَرِ",
          "englishName": "Az-Zumar",
          "englishNameTranslation": "The Groups",
          "revelationType": "Meccan",
          "verse": 75,
          "words": 2319,
          "chars": 9831,
          "ayahs": [
            {
              "number": 4059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4059.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ تَنزِيلُ ٱلْكِتَٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ",
              "translate_bn": "কিতাব অবতীর্ণ হয়েছে পরাক্রমশালী, প্রজ্ঞাময় আল্লাহর পক্ষ থেকে।",
              "numberInSurah": 1,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুল কিতা-বি মিনাল্লা-হিল ‘আঝীঝিল হাকীম।",
              "words_arabic": "تَنْزِیْلُ/تَنزِيلُ/tanzilu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "অবতীর্ণ করা//(এই) কিতাব//পক্ষ হ'তে//আল্লাহর//( যিনি) পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 4060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4060.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَٰبَ بِٱلْحَقِّ فَٱعْبُدِ ٱللَّهَ مُخْلِصًۭا لَّهُ ٱلدِّينَ",
              "translate_bn": "আমি আপনার প্রতি এ কিতাব যথার্থরূপে নাযিল করেছি। অতএব, আপনি নিষ্ঠার সাথে আল্লাহর এবাদত করুন।",
              "numberInSurah": 2,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনাইলাইকাল কিতা-বা বিলহাক্কিফা‘বুদিল্লা-হা মুখলিসাল্লাহুদ্দীন।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اِلَیْكَ/إِلَيۡكَ/ilayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//فَاعْبُدِ/فَٱعۡبُدِ/fa-u'budi//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصًا/مُخۡلِصٗا/mukh'lisan//لَّهُ/لَّهُ/lahu//الدِّیْنَؕ/ٱلدِّينَ/al-dina",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা অবতীর্ণ করেছি//তোমার প্রতি//(এই) কিতাবকে//সত্যসহকারে//সুতরাং ইবাদাত করো//আল্লাহর//একনিষ্ঠভাবে//তাঁরই জন্যে//আনুগত্যে (নির্দিষ্ট করে)"
            },
            {
              "number": 4061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4061.mp3"
              ],
              "text": "أَلَا لِلَّهِ ٱلدِّينُ ٱلْخَالِصُ ۚ وَٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ مَا نَعْبُدُهُمْ إِلَّا لِيُقَرِّبُونَآ إِلَى ٱللَّهِ زُلْفَىٰٓ إِنَّ ٱللَّهَ يَحْكُمُ بَيْنَهُمْ فِى مَا هُمْ فِيهِ يَخْتَلِفُونَ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى مَنْ هُوَ كَٰذِبٌۭ كَفَّارٌۭ",
              "translate_bn": "জেনে রাখুন, নিষ্ঠাপূর্ণ এবাদত আল্লাহরই নিমিত্ত। যারা আল্লাহ ব্যতীত অপরকে উপাস্যরূপে গ্রহণ করে রেখেছে এবং বলে যে, আমরা তাদের এবাদত এ জন্যেই করি, যেন তারা আমাদেরকে আল্লাহর নিকটবর্তী করে দেয়। নিশ্চয় আল্লাহ তাদের মধ্যে তাদের পারস্পরিক বিরোধপূর্ণ বিষয়ের ফয়সালা করে দেবেন। আল্লাহ মিথ্যাবাদী কাফেরকে সৎপথে পরিচালিত করেন না।",
              "numberInSurah": 3,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "আলা-লিল্লা-হিদ্দীনুল খা-লিসু ওয়াল্লাযীনাত্তাখাযূমিন দূ নিহীআওলিয়াআ । মানা‘বুদুহুম ইল্লা-লিইউকাররিবূনাইলাল্লা-হি ঝুলফা- ইন্নাল্লাহা ইয়াহকুমুবাইনাহুম ফী মা-হুম ফীহি ইয়াখতালিফূন ইন্নাল্লা-হা লা-ইয়াহদী মান হুওয়া কা-যিবুন কাফ ফা-র।",
              "words_arabic": "اَلَا/أَلَا/ala//لِلّٰهِ/لِلَّهِ/lillahi//الدِّیْنُ/ٱلدِّينُ/al-dinu//الْخَالِصُ ؕ/ٱلۡخَالِصُۚ/al-khalisu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءَ ۘ/أَوۡلِيَآءَ/awliyaa//مَا/مَا/ma//نَعْبُدُهُمْ/نَعۡبُدُهُمۡ/na'buduhum//اِلَّا/إِلَّا/illa//لِیُقَرِّبُوْنَاۤ/لِيُقَرِّبُونَآ/liyuqarribuna//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//زُلْفٰی ؕ/زُلۡفَىٰٓ/zul'fa//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//فِیْ/فِي/fi//مَا/مَا/ma//هُمْ/هُمۡ/hum//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ ؕ۬/يَخۡتَلِفُونَۗ/yakhtalifuna//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//كٰذِبٌ/كَٰذِبٞ/kadhibun//كَفَّارٌ /كَفَّارٞ/kaffarun",
              "words_bangla": "জেনে রাখো//আল্লাহরই জন্যে//আনুগত্য//একনিষ্ঠ//এবং যারা//গ্রহণ করেছো//ছাড়া//তাঁকে//অভিভাবকরূপে (অন্যদেরকে)//\"(এবং বলে) না//তাদের পূজা করি আমরা//এ ব্যতীত//আমাদের নিকটে করে দেয় যেন//দিকে//আল্লাহর//(তাঁর) কাছাকাছি\"//নিশ্চয়ই//আল্লাহ//মীমাংসা করে দিবেন//তাদের মাঝে//মধ্যে//(ঐ বিষয়ে) যা//তারা//যাতে//মতভেদ করছে//নিশ্চয়ই//আল্লাহ//না//সৎপথে পরিচালনা করেন//তাকে//যে//মিথ্যাবাদী//কট্টর কাফির"
            },
            {
              "number": 4062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4062.mp3"
              ],
              "text": "لَّوْ أَرَادَ ٱللَّهُ أَن يَتَّخِذَ وَلَدًۭا لَّٱصْطَفَىٰ مِمَّا يَخْلُقُ مَا يَشَآءُ ۚ سُبْحَٰنَهُۥ ۖ هُوَ ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ",
              "translate_bn": "আল্লাহ যদি সন্তান গ্রহণ করার ইচ্ছা করতেন, তবে তাঁর সৃষ্টির মধ্য থেকে যা কিছু ইচ্ছা মনোনীত করতেন, তিনি পবিত্র। তিনি আল্লাহ, এক পরাক্রমশালী।",
              "numberInSurah": 4,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "লাও আরাদাল্লা-হু আইঁ ইয়াত্তাখিযা ওয়ালাদাল্লাসতাফা-মিম্মা-ইয়াখলুকূমা ইয়াশাউ ছুবহা-নাহূ হুওয়াল্লা-হুল ওয়া-হিদুল কাহহা-র।",
              "words_arabic": "لَوْ/لَّوۡ/law//اَرَادَ/أَرَادَ/arada//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّتَّخِذَ/يَتَّخِذَ/yattakhidha//وَلَدًا/وَلَدٗا/waladan//لَّاصْطَفٰی/لَّٱصۡطَفَىٰ/la-is'tafa//مِمَّا/مِمَّا/mimma//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ ۙ/يَشَآءُۚ/yashau//سُبْحٰنَهٗ ؕ/سُبۡحَٰنَهُۥۖ/sub'hanahu//هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//الْوَاحِدُ/ٱلۡوَٰحِدُ/al-wahidu//الْقَهَّارُ /ٱلۡقَهَّارُ/al-qaharu",
              "words_bangla": "যদি//ইচ্ছে করতেন//আল্লাহ//যে//গ্রহণ করবেন//কোনো পুত্র সন্তান//মনোনীত করতেন অবশ্যই//তা হ'তে যা//তিনি সৃষ্টি করেন//যাকে//তিনি চাইতেন//(কিন্তু তা হ'তে) তিনি পবিত্র/মহান//তিনিই//আল্লাহ//এক//প্রবল পরাক্রমশালী"
            },
            {
              "number": 4063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4063.mp3"
              ],
              "text": "خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۖ يُكَوِّرُ ٱلَّيْلَ عَلَى ٱلنَّهَارِ وَيُكَوِّرُ ٱلنَّهَارَ عَلَى ٱلَّيْلِ ۖ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّۭ يَجْرِى لِأَجَلٍۢ مُّسَمًّى ۗ أَلَا هُوَ ٱلْعَزِيزُ ٱلْغَفَّٰرُ",
              "translate_bn": "তিনি আসমান ও যমীন সৃষ্টি করেছেন যথাযথভাবে। তিনি রাত্রিকে দিবস দ্বারা আচ্ছাদিত করেন এবং দিবসকে রাত্রি দ্বারা আচ্ছাদিত করেন এবং তিনি সুর্য ও চন্দ্রকে কাজে নিযুক্ত করেছেন প্রত্যেকেই বিচরণ করে নির্দিষ্ট সময়কাল পর্যন্ত। জেনে রাখুন, তিনি পরাক্রমশালী, ক্ষমাশীল।",
              "numberInSurah": 5,
              "juz": 23,
              "manzil": 6,
              "page": 458,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "খালাকাছছামা-ওয়া-তি ওয়াল আরদা বিল হাক্কি ইউকাওবিরুল্লাইলা ‘আলান্নাহা-রি ওয়া ইউকাওবিরুন্নাহা-রা ‘আলাল্লাইলি ওয়া ছাখ খারাশশামছা ওয়াল কামারা কুল্লুইঁ ইয়াজরী লিআজালিম মুছাম্মান আলা-হুওয়াল ‘আঝীঝুল গাফফা-র।\r\n",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ ۚ/بِٱلۡحَقِّۖ/bil-haqi//یُكَوِّرُ/يُكَوِّرُ/yukawwiru//الَّیْلَ/ٱلَّيۡلَ/al-layla//عَلَی/عَلَى/ala//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ یُكَوِّرُ/وَيُكَوِّرُ/wayukawwiru//النَّهَارَ/ٱلنَّهَارَ/al-nahara//عَلَی/عَلَى/ala//الَّیْلِ/ٱلَّيۡلِۖ/al-layli//وَ سَخَّرَ/وَسَخَّرَ/wasakhara//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//وَ الْقَمَرَ ؕ/وَٱلۡقَمَرَۖ/wal-qamara//كُلٌّ/كُلّٞ/kullun//یَّجْرِیْ/يَجۡرِي/yajri//لِاَجَلٍ/لِأَجَلٖ/li-ajalin//مُّسَمًّی ؕ/مُّسَمًّىۗ/musamman//اَلَا/أَلَا/ala//هُوَ/هُوَ/huwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْغَفَّارُ /ٱلۡغَفَّـٰرُ/al-ghafaru",
              "words_bangla": "তিনি সৃৃষ্টি করেছেন//আকাশকে//ও পৃথিবীকে//সুপরিকল্পিতভাবে//তিনি ঢেকে রাখেন//রাতকে//উপর//দিনের//এবং ঢেকে রাখেন//দিনকে//উপর//রাতের//এবং নিয়ন্ত্রিত করেছেন//সূর্যকে//ও চাঁদকে//প্রত্যেকেই//আবর্তন করে//একটি কাল পর্যন্ত//নির্দিষ্ট//জেনে রেখো//তিনিই//মহাপরাক্রমশালী//পরম ক্ষমাশীল"
            },
            {
              "number": 4064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4064.mp3"
              ],
              "text": "خَلَقَكُم مِّن نَّفْسٍۢ وَٰحِدَةٍۢ ثُمَّ جَعَلَ مِنْهَا زَوْجَهَا وَأَنزَلَ لَكُم مِّنَ ٱلْأَنْعَٰمِ ثَمَٰنِيَةَ أَزْوَٰجٍۢ ۚ يَخْلُقُكُمْ فِى بُطُونِ أُمَّهَٰتِكُمْ خَلْقًۭا مِّنۢ بَعْدِ خَلْقٍۢ فِى ظُلُمَٰتٍۢ ثَلَٰثٍۢ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ لَهُ ٱلْمُلْكُ ۖ لَآ إِلَٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُصْرَفُونَ",
              "translate_bn": "তিনি সৃষ্টি করেছেন তোমাদেরকে একই ব্যক্তি থেকে। অতঃপর তা থেকে তার যুগল সৃষ্টি করেছেন এবং তিনি তোমাদের জন্যে আট প্রকার চতুষ্পদ জন্তু অবতীর্ণ করেছেন। তিনি তোমাদেরকে সৃষ্টি করেছেন তোমাদের মাতৃগর্ভে পর্যায়ক্রমে একের পর এক ত্রিবিধ অন্ধকারে। তিনি আল্লাহ তোমাদের পালনকর্তা, সাম্রাজ্য তাঁরই। তিনি ব্যতীত কোন উপাস্য নেই। অতএব, তোমরা কোথায় বিভ্রান্ত হচ্ছ?",
              "numberInSurah": 6,
              "juz": 23,
              "manzil": 6,
              "page": 459,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "খালাকাকুম মিন নাফছিওঁ ওয়া-হিদাতিন ছুম্মা জা‘আলা মিনহা-ঝাওজাহা-ওয়া আনঝালা লাকুম মিনাল আন‘আ-মি ছামা-নিয়াতা আঝওয়া-জিন ইয়াখলুকুকুম ফী বুতূনি উম্মাহা-তিকুম খাল কাম মিম বা‘দি খালকিন ফী জুলুমা-তিন ছালা-ছিন যালিকুমুল্লা-হু রাব্বুকুম লাহুল মুলকু লাইলা-হা ইল্লা-হুওয়া ফাআন্না-তুসরাফূন।",
              "words_arabic": "خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//نَّفْسٍ/نَّفۡسٖ/nafsin//وَّاحِدَةٍ/وَٰحِدَةٖ/wahidatin//ثُمَّ/ثُمَّ/thumma//جَعَلَ/جَعَلَ/ja'ala//مِنْهَا/مِنۡهَا/min'ha//زَوْجَهَا/زَوۡجَهَا/zawjaha//وَ اَنْزَلَ/وَأَنزَلَ/wa-anzala//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//ثَمٰنِیَةَ/ثَمَٰنِيَةَ/thamaniyata//اَزْوَاجٍ ؕ/أَزۡوَٰجٖۚ/azwajin//یَخْلُقُكُمْ/يَخۡلُقُكُمۡ/yakhluqukum//فِیْ/فِي/fi//بُطُوْنِ/بُطُونِ/butuni//اُمَّهٰتِكُمْ/أُمَّهَٰتِكُمۡ/ummahatikum//خَلْقًا/خَلۡقٗا/khalqan//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//خَلْقٍ/خَلۡقٖ/khalqin//فِیْ/فِي/fi//ظُلُمٰتٍ/ظُلُمَٰتٖ/zulumatin//ثَلٰثٍ ؕ/ثَلَٰثٖۚ/thalathin//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//لَهُ/لَهُ/lahu//الْمُلْكُ ؕ/ٱلۡمُلۡكُۖ/al-mul'ku//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُصْرَفُوْنَ /تُصۡرَفُونَ/tus'rafuna",
              "words_bangla": "তোমাদের তিনি সৃষ্টি করেছেন//থেকে//ব্যক্তি//একই//এরপর//সৃষ্টি করেছেন//তার থেকে//তার জোড়া//ও দিয়েছেন//তোমাদের জন্যে//মধ্যে হতে//গবাদি পশুদের//আট//জোড়া//তোমাদেরকে সৃষ্টি করেন//মধ্যে//পেটসমূহের//তোমাদের মায়েদের//সৃষ্টির//থেকে//পরে//সৃষ্টি//মধ্যে//অন্ধকারসমূহের//তিনটি (আবরণের)//তিনিই তোমাদের//আল্লাহ//তোমাদের রব//তাঁরই//সার্বভৌমত্ব//নেই//কোনো ইলাহ//ব্যতীত//তিনি//সুতরাং কোথায়//তোমাদের ফিরানো হচ্ছে"
            },
            {
              "number": 4065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4065.mp3"
              ],
              "text": "إِن تَكْفُرُوا۟ فَإِنَّ ٱللَّهَ غَنِىٌّ عَنكُمْ ۖ وَلَا يَرْضَىٰ لِعِبَادِهِ ٱلْكُفْرَ ۖ وَإِن تَشْكُرُوا۟ يَرْضَهُ لَكُمْ ۗ وَلَا تَزِرُ وَازِرَةٌۭ وِزْرَ أُخْرَىٰ ۗ ثُمَّ إِلَىٰ رَبِّكُم مَّرْجِعُكُمْ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "যদি তোমরা অস্বীকার কর, তবে আল্লাহ তোমাদের থেকে বেপরওয়া। তিনি তাঁর বান্দাদের কাফের হয়ে পড়া পছন্দ করেন না। পক্ষান্তরে যদি তোমরা কৃতজ্ঞ হও, তবে তিনি তোমাদের জন্যে তা পছন্দ করেন। একের পাপ ভার অন্যে বহন করবে না। অতঃপর তোমরা তোমাদের পালনকর্তার কাছে ফিরে যাবে। তিনি তোমাদেরকে তোমাদের কর্ম সম্বন্ধে অবহিত করবেন। নিশ্চয় তিনি অন্তরের বিষয় সম্পর্কেও অবগত।",
              "numberInSurah": 7,
              "juz": 23,
              "manzil": 6,
              "page": 459,
              "ruku": 396,
              "hizbQuarter": 183,
              "sajda": false,
              "pronunciation_bn": "ইন তাকফুরূফাইন্নাল্লা-হা গানিইয়ুন‘আনকুম ওয়ালা-ইয়ারদা-লি‘ইবা-দিহিল কুফরা, ওয়া ইনতাশকুরূইয়ারদাহু লাকুম ওয়ালা-তাঝিরু ওয়া-ঝিরাতুওঁবিঝরা উখরা- ছু ম্মা ইলা-রাব্বিকুম মার জি‘উকুম ফাইউনাব্বিউকুম বিমা-কনতুম তা‘মালূনা ইন্নাহূ ‘আলীমুম বিযা-তিসসুদূ র।",
              "words_arabic": "اِنْ/إِن/in//تَكْفُرُوْا/تَكۡفُرُواْ/takfuru//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَنِیٌّ/غَنِيٌّ/ghaniyyun//عَنْكُمْ ۫/عَنكُمۡۖ/ankum//وَ لَا/وَلَا/wala//یَرْضٰی/يَرۡضَىٰ/yarda//لِعِبَادِهِ/لِعِبَادِهِ/li'ibadihi//الْكُفْرَ ۚ/ٱلۡكُفۡرَۖ/al-kuf'ra//وَ اِنْ/وَإِن/wa-in//تَشْكُرُوْا/تَشۡكُرُواْ/tashkuru//یَرْضَهُ/يَرۡضَهُ/yardahu//لَكُمْ ؕ/لَكُمۡۗ/lakum//وَ لَا/وَلَا/wala//تَزِرُ/تَزِرُ/taziru//وَازِرَةٌ/وَازِرَةٞ/waziratun//وِّزْرَ/وِزۡرَ/wiz'ra//اُخْرٰی ؕ/أُخۡرَىٰۚ/ukh'ra//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُم/rabbikum//مَّرْجِعُكُمْ/مَّرۡجِعُكُمۡ/marji'ukum//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ ؕ/تَعۡمَلُونَۚ/ta'maluna//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "যদি//তোমরা অকৃতজ্ঞ হও//নিশ্চযই তবুও়//আল্লাহ//অমুখাপেক্ষী//তোমাদের থেকে//কিন্তু না//পছন্দ করেন তিনি//তাঁর দাসদের জন্যে//অকৃতজ্ঞতাকে//এবং যদি//তোমরা কৃতজ্ঞ হও//তা  তিনি পছন্দ করেন//তোমাদের জন্যে//এবং না//বহন করবে//কোনো বোঝাবহনকারী//বোঝা//অন্যের//এরপর//দিকে//তোমাদের রবের//তোমাদের প্রত্যাবর্তন হবে//তোমাদেরকে অতঃপর তিনি জানিয়ে দিবেন//ঐ বিষয়ে যা//তোমরা//কাজ করতেছিলে//তিনি নিশ্চয়ই//ভালোভাবেই জানেন//অবস্থা সম্পর্কে//অন্তরসমূহের"
            },
            {
              "number": 4066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4066.mp3"
              ],
              "text": "۞ وَإِذَا مَسَّ ٱلْإِنسَٰنَ ضُرٌّۭ دَعَا رَبَّهُۥ مُنِيبًا إِلَيْهِ ثُمَّ إِذَا خَوَّلَهُۥ نِعْمَةًۭ مِّنْهُ نَسِىَ مَا كَانَ يَدْعُوٓا۟ إِلَيْهِ مِن قَبْلُ وَجَعَلَ لِلَّهِ أَندَادًۭا لِّيُضِلَّ عَن سَبِيلِهِۦ ۚ قُلْ تَمَتَّعْ بِكُفْرِكَ قَلِيلًا ۖ إِنَّكَ مِنْ أَصْحَٰبِ ٱلنَّارِ",
              "translate_bn": "যখন মানুষকে দুঃখ-কষ্ট স্পর্শ করে, তখন সে একাগ্রচিত্তে তার পালনকর্তাকে ডাকে, অতঃপর তিনি যখন তাকে নেয়ামত দান করেন, তখন সে কষ্টের কথা বিস্মৃত হয়ে যায়, যার জন্যে পূর্বে ডেকেছিল এবং আল্লাহর সমকক্ষ স্থির করে; যাতে করে অপরকে আল্লাহর পথ থেকে বিভ্রান্ত করে। বলুন, তুমি তোমার কুফর সহকারে কিছুকাল জীবনোপভোগ করে নাও। নিশ্চয় তুমি জাহান্নামীদের অন্তর্ভূক্ত।",
              "numberInSurah": 8,
              "juz": 23,
              "manzil": 6,
              "page": 459,
              "ruku": 396,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাছছালইনছা-না দুররুন দা‘আ-রাব্বাহূ মুনীবানইলাইহি ছুম্মা ইযাখাওওয়ালাহূনি‘মাতাম্মিনহু নাছিয়া মা-কা-না ইয়াদ‘ঊইলাইহি মিন কাবলুওয়া জা‘আলা লিল্লা-হি আনদাদালিলইউদিল্লা ‘আন ছাবীলিহী কুল তামাত্তা‘ বিকুফরিকা কালীলান ইন্নাকা মিন আসহা-বিন্না-র।\r\n",
              "words_arabic": "وَ اِذَا/۞وَإِذَا/wa-idha//مَسَّ/مَسَّ/massa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//ضُرٌّ/ضُرّٞ/durrun//دَعَا/دَعَا/da'a//رَبَّهٗ/رَبَّهُۥ/rabbahu//مُنِیْبًا/مُنِيبًا/muniban//اِلَیْهِ/إِلَيۡهِ/ilayhi//ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//خَوَّلَهٗ/خَوَّلَهُۥ/khawwalahu//نِعْمَةً/نِعۡمَةٗ/ni'matan//مِّنْهُ/مِّنۡهُ/min'hu//نَسِیَ/نَسِيَ/nasiya//مَا/مَا/ma//كَانَ/كَانَ/kana//یَدْعُوْۤا/يَدۡعُوٓاْ/yad'u//اِلَیْهِ/إِلَيۡهِ/ilayhi//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//وَ جَعَلَ/وَجَعَلَ/waja'ala//لِلّٰهِ/لِلَّهِ/lillahi//اَنْدَادًا/أَندَادٗا/andadan//لِّیُضِلَّ/لِّيُضِلَّ/liyudilla//عَنْ/عَن/an//سَبِیْلِهٖ ؕ/سَبِيلِهِۦۚ/sabilihi//قُلْ/قُلۡ/qul//تَمَتَّعْ/تَمَتَّعۡ/tamatta'//بِكُفْرِكَ/بِكُفۡرِكَ/bikuf'rika//قَلِیْلًا ۖۗ/قَلِيلًا/qalilan//اِنَّكَ/إِنَّكَ/innaka//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "এবং যখন//স্পর্শ করে//মানুষকে//কোনো দুঃখদৈন্য//সে ডাকে//তার রবকে//একাগ্রচিত্তে//তাঁর দিকে//এরপর//যখন//তাকে দান করেন//অনুগ্রহ//তাঁর পক্ষ হতে//সে ভুলে যায়//যার(জন্য)//সে//ডাকছিলো//তার দিকে (একনিষ্ঠভাবে)//হ'তে//পূর্বে//এবং দাঁড় করায়//আল্লাহর জন্যে//সমকক্ষ//বিভ্রান্ত করে যেন//হ'তে//তাঁর পথ//(হে নাবী) বলো//\"উপভোগ করো//তোমার অকৃতজ্ঞ অবস্থার (স্বাদ)//কিছুক্ষণ//তুমি নিশ্চয়ই//অন্তর্ভুক্ত//অধিবাসীদের//জাহান্নামের\""
            },
            {
              "number": 4067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4067.mp3"
              ],
              "text": "أَمَّنْ هُوَ قَٰنِتٌ ءَانَآءَ ٱلَّيْلِ سَاجِدًۭا وَقَآئِمًۭا يَحْذَرُ ٱلْءَاخِرَةَ وَيَرْجُوا۟ رَحْمَةَ رَبِّهِۦ ۗ قُلْ هَلْ يَسْتَوِى ٱلَّذِينَ يَعْلَمُونَ وَٱلَّذِينَ لَا يَعْلَمُونَ ۗ إِنَّمَا يَتَذَكَّرُ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "যে ব্যক্তি রাত্রিকালে সেজদার মাধ্যমে অথবা দাঁড়িয়ে এবাদত করে, পরকালের আশংকা রাখে এবং তার পালনকর্তার রহমত প্রত্যাশা করে, সে কি তার সমান, যে এরূপ করে না; বলুন, যারা জানে এবং যারা জানে না; তারা কি সমান হতে পারে? চিন্তা-ভাবনা কেবল তারাই করে, যারা বুদ্ধিমান।",
              "numberInSurah": 9,
              "juz": 23,
              "manzil": 6,
              "page": 459,
              "ruku": 396,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আম্মান হুওয়া কা-নিতুন আ-নাআল্লাইলি ছা-জিদাওঁ ওয়া কাইমাইঁ ইয়াহযারুল আখিরাতা ওয়া ইয়ারজূরাহমাতা রাব্বিহী কুল হাল ইয়াছতাবিল্লাযীনা ইয়া‘লামূনা ওয়াল্লাযীনা লা-ইয়া‘লামূনা ইন্নামা-ইয়াতাযাক্কারূ উলুল আলবা-ব।",
              "words_arabic": "اَمَّنْ/أَمَّنۡ/amman//هُوَ/هُوَ/huwa//قَانِتٌ/قَٰنِتٌ/qanitun//اٰنَآءَ/ءَانَآءَ/anaa//الَّیْلِ/ٱلَّيۡلِ/al-layli//سَاجِدًا/سَاجِدٗا/sajidan//وَّ قَآىِٕمًا/وَقَآئِمٗا/waqaiman//یَّحْذَرُ/يَحۡذَرُ/yahdharu//الْاٰخِرَةَ/ٱلۡأٓخِرَةَ/al-akhirata//وَ یَرْجُوْا/وَيَرۡجُواْ/wayarju//رَحْمَةَ/رَحۡمَةَ/rahmata//رَبِّهٖ ؕ/رَبِّهِۦۗ/rabbihi//قُلْ/قُلۡ/qul//هَلْ/هَلۡ/hal//یَسْتَوِی/يَسۡتَوِي/yastawi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یَعْلَمُوْنَ ؕ/يَعۡلَمُونَۗ/ya'lamuna//اِنَّمَا/إِنَّمَا/innama//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ۠/ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "সে কি সমান//যে//আনুগত্য প্রকাশকারী//বেলায়//রাতের//অথবা সিজদারত অবস্হায়//দাঁড়ানো অবস্হায়//ভয় করে//পরকালকে//ও প্রত্যাশা করে//অনুগ্রহের//তার রবের//বলো//\"কি//সমান হয়//যারা//জানে//ও যারা//না//জানে\"//প্রকৃতপক্ষে//শিক্ষা গ্রহণ করে//সম্পন্নরাই//বোধ-বুদ্ধি"
            },
            {
              "number": 4068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4068.mp3"
              ],
              "text": "قُلْ يَٰعِبَادِ ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ رَبَّكُمْ ۚ لِلَّذِينَ أَحْسَنُوا۟ فِى هَٰذِهِ ٱلدُّنْيَا حَسَنَةٌۭ ۗ وَأَرْضُ ٱللَّهِ وَٰسِعَةٌ ۗ إِنَّمَا يُوَفَّى ٱلصَّٰبِرُونَ أَجْرَهُم بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "বলুন, হে আমার বিশ্বাসী বান্দাগণ! তোমরা তোমাদের পালনকর্তাকে ভয় কর। যারা এ দুনিয়াতে সৎকাজ করে, তাদের জন্যে রয়েছে পুণ্য। আল্লাহর পৃথিবী প্রশস্ত। যারা সবরকারী, তারাই তাদের পুরস্কার পায় অগণিত।",
              "numberInSurah": 10,
              "juz": 23,
              "manzil": 6,
              "page": 459,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়া-‘ইবা-দিল্লাযীনা আ-মানুত্তাকূরাব্বাকুম লিল্লাযীনা আহছানূফী হাযিহিদ্দুনইয়া-হাছানাতুওঁ ওয়াআরদুল্লা-হি ওয়া-ছি‘আতুন ইন্নামাইউওয়াফফাসসা-বিরূনা আজরাহুম বিগাইরি হিছা-ব।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰعِبَادِ/يَٰعِبَادِ/ya'ibadi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوْا/ٱتَّقُواْ/ittaqu//رَبَّكُمْ ؕ/رَبَّكُمۡۚ/rabbakum//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اَحْسَنُوْا/أَحۡسَنُواْ/ahsanu//فِیْ/فِي/fi//هٰذِهِ/هَٰذِهِ/hadhihi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//حَسَنَةٌ ؕ/حَسَنَةٞۗ/hasanatun//وَ اَرْضُ/وَأَرۡضُ/wa-ardu//اللّٰهِ/ٱللَّهِ/al-lahi//وَاسِعَةٌ ؕ/وَٰسِعَةٌۗ/wasi'atun//اِنَّمَا/إِنَّمَا/innama//یُوَفَّی/يُوَفَّى/yuwaffa//الصّٰبِرُوْنَ/ٱلصَّـٰبِرُونَ/al-sabiruna//اَجْرَهُمْ/أَجۡرَهُم/ajrahum//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "বলো//\"হে আমার দাসগণ//যারা//ঈমান এনেছো//তোমরা ভয় করো//তোমাদের রবকে//(তাদের) জন্যে যারা//উত্তম কাজ করেছে//মধ্যে//এই//পৃথিবীতে//কল্যাণ (রয়েছে)//এবং পৃথিবী//আল্লাহর//প্রশস্ত//মূলতঃ//পূর্ণ দেওয়া হবে//ধৈর্য্যশীলদেরকে//প্রতিফল তাদের//ব্যতীতই//কোনো হিসাব\""
            },
            {
              "number": 4069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4069.mp3"
              ],
              "text": "قُلْ إِنِّىٓ أُمِرْتُ أَنْ أَعْبُدَ ٱللَّهَ مُخْلِصًۭا لَّهُ ٱلدِّينَ",
              "translate_bn": "বলুন, আমি নিষ্ঠার সাথে আল্লাহর এবাদত করতে আদিষ্ট হয়েছি।",
              "numberInSurah": 11,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নীউমিরতুআন আ‘বুদাল্লা-হা মুখলিসাল্লাহুদ্দীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْۤ/إِنِّيٓ/inni//اُمِرْتُ/أُمِرۡتُ/umir'tu//اَنْ/أَنۡ/an//اَعْبُدَ/أَعۡبُدَ/a'buda//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصًا/مُخۡلِصٗا/mukh'lisan//لَّهُ/لَّهُ/lahu//الدِّیْنَۙ/ٱلدِّينَ/al-dina",
              "words_bangla": "(হে নাবী) বলো//\"নিশ্চয়ই আমি//আমি আদিষ্ট হয়েছি//যে//আমি (যেন) ইবাদত করি//আল্লাহর//একনিষ্ঠভাবে//তাঁরই জন্যে//আনুগত্যকে (নির্দিষ্ট করে)"
            },
            {
              "number": 4070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4070.mp3"
              ],
              "text": "وَأُمِرْتُ لِأَنْ أَكُونَ أَوَّلَ ٱلْمُسْلِمِينَ",
              "translate_bn": "আরও আদিষ্ট হয়েছি, সর্ব প্রথম নির্দেশ পালনকারী হওয়ার জন্যে।",
              "numberInSurah": 12,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ওয়া উমিরতুলিআন আকূনা আওওয়ালাল মুছলিমীন।",
              "words_arabic": "وَ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//لِاَنْ/لِأَنۡ/li-an//اَكُوْنَ/أَكُونَ/akuna//اَوَّلَ/أَوَّلَ/awwala//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "এবং আমি আদিষ্ট হয়েছি//এজন্যেও যে//আমি হই (যেন)//প্রথম//মুসলমানদের\""
            },
            {
              "number": 4071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4071.mp3"
              ],
              "text": "قُلْ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "বলুন, আমি আমার পালনকর্তার অবাধ্য হলে এক মহাদিবসের শাস্তির ভয় করি।",
              "numberInSurah": 13,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নীআখা-ফুইন ‘আসাইতুরাববী ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اِنْ/إِنۡ/in//عَصَیْتُ/عَصَيۡتُ/asaytu//رَبِّیْ/رَبِّي/rabbi//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "বলো//\"আমি নিশ্চয়ই//ভয় করি//যদি//আমি অবাধ্য হই//আমার রবের//শাস্তির//দিনের//কঠিন\""
            },
            {
              "number": 4072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4072.mp3"
              ],
              "text": "قُلِ ٱللَّهَ أَعْبُدُ مُخْلِصًۭا لَّهُۥ دِينِى",
              "translate_bn": "বলুন, আমি নিষ্ঠার সাথে আল্লাহ তা’আলারই এবাদত করি।",
              "numberInSurah": 14,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হা আ‘বুদুমুখলিসাল্লাহূদীনী।",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهَ/ٱللَّهَ/al-laha//اَعْبُدُ/أَعۡبُدُ/a'budu//مُخْلِصًا/مُخۡلِصٗا/mukh'lisan//لَّهٗ/لَّهُۥ/lahu//دِیْنِیْۙ/دِينِي/dini",
              "words_bangla": "বলো//\"আল্লাহকে//\"ইবাদাত করি আমি//একনিষ্ঠভাবে//তাঁরই জন্যে//আমার আনুগত্যকে (নির্দিষ্ট করে)"
            },
            {
              "number": 4073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4073.mp3"
              ],
              "text": "فَٱعْبُدُوا۟ مَا شِئْتُم مِّن دُونِهِۦ ۗ قُلْ إِنَّ ٱلْخَٰسِرِينَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَأَهْلِيهِمْ يَوْمَ ٱلْقِيَٰمَةِ ۗ أَلَا ذَٰلِكَ هُوَ ٱلْخُسْرَانُ ٱلْمُبِينُ",
              "translate_bn": "অতএব, তোমরা আল্লাহর পরিবর্তে যার ইচ্ছা তার এবাদত কর। বলুন, কেয়ামতের দিন তারাই বেশী ক্ষতিগ্রস্ত হবে, যারা নিজেদের ও পরিবারবর্গের তরফ থেকে ক্ষতিগ্রস্ত হবে। জেনে রাখ, এটাই সুস্পষ্ট ক্ষতি।",
              "numberInSurah": 15,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ফা‘বুদূমা-শি’তুম মিন দূ নিহী কুল ইন্নাল খা-ছিরীনাল্লাযীনা খাছিরূআনফুছাহুম ওয়া আহলীহিম ইয়াওমাল কিয়া-মাতি ‘আলা-যা-লিকা হুওয়াল খুছরা-নুল মুবীন।",
              "words_arabic": "فَاعْبُدُوْا/فَٱعۡبُدُواْ/fa-u'budu//مَا/مَا/ma//شِئْتُمْ/شِئۡتُم/shi'tum//مِّنْ/مِّن/min//دُوْنِهٖ ؕ/دُونِهِۦۗ/dunihi//قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْخٰسِرِیْنَ/ٱلۡخَٰسِرِينَ/al-khasirina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ اَهْلِیْهِمْ/وَأَهۡلِيهِمۡ/wa-ahlihim//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//اَلَا/أَلَا/ala//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْخُسْرَانُ/ٱلۡخُسۡرَانُ/al-khus'ranu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "তোমরা দাসত্ব করো//যাকে//তোমরা চাও//\"//তাঁকে ছাড়া\"//বলো//\"নিশ্চয়ই//ক্ষতিগ্রস্ত হবে (তারাই)//যারা//ক্ষতিগ্রস্ত করেছে//তাদের নিজেদেরকে//ও তাদের পরিবারকে//দিনে//ক্বিয়ামাতের//জেনে রাখো//এটাই//সেই//ক্ষতি//সুস্পষ্ট\""
            },
            {
              "number": 4074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4074.mp3"
              ],
              "text": "لَهُم مِّن فَوْقِهِمْ ظُلَلٌۭ مِّنَ ٱلنَّارِ وَمِن تَحْتِهِمْ ظُلَلٌۭ ۚ ذَٰلِكَ يُخَوِّفُ ٱللَّهُ بِهِۦ عِبَادَهُۥ ۚ يَٰعِبَادِ فَٱتَّقُونِ",
              "translate_bn": "তাদের জন্যে উপর দিক থেকে এবং নীচের দিক থেকে আগুনের মেঘমালা থাকবে। এ শাস্তি দ্বারা আল্লাহ তাঁর বান্দাদেরকে সতর্ক করেন যে, হে আমার বান্দাগণ, আমাকে ভয় কর।",
              "numberInSurah": 16,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "লাহুম মিন ফাওকিহিম জু লালুম মিনান্না-রি ওয়া মিন তাহতিহিম জু লালুন যা-লিকা ইউখাওবিফুল্লা-হু বিহী ‘ইবা-দাহূ ইয়া-‘ইবাদি ফাত্তাকূন।",
              "words_arabic": "لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//فَوْقِهِمْ/فَوۡقِهِمۡ/fawqihim//ظُلَلٌ/ظُلَلٞ/zulalun//مِّنَ/مِّنَ/mina//النَّارِ/ٱلنَّارِ/al-nari//وَ مِنْ/وَمِن/wamin//تَحْتِهِمْ/تَحۡتِهِمۡ/tahtihim//ظُلَلٌ ؕ/ظُلَلٞۚ/zulalun//ذٰلِكَ/ذَٰلِكَ/dhalika//یُخَوِّفُ/يُخَوِّفُ/yukhawwifu//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٖ/بِهِۦ/bihi//عِبَادَهٗ ؕ/عِبَادَهُۥۚ/ibadahu//یٰعِبَادِ/يَٰعِبَادِ/ya'ibadi//فَاتَّقُوْنِ /فَٱتَّقُونِ/fa-ittaquni",
              "words_bangla": "তাদের জন্যে (রয়েছে)//হ'তে//তাদের উপর (দিক)//আচ্ছাদন//তৈরী//আগুনের//ও হ'তে//তাদের নীচ//(আগুনের) আচ্ছাদন//এটা//সতর্ক করেন (ভয় দেখান)//আল্লাহ//এ দিয়ে//তাঁর দাসদেরকে//\"হে আমার দাসগণ//তাই তোমরা আমাকে ভয় করো\""
            },
            {
              "number": 4075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4075.mp3"
              ],
              "text": "وَٱلَّذِينَ ٱجْتَنَبُوا۟ ٱلطَّٰغُوتَ أَن يَعْبُدُوهَا وَأَنَابُوٓا۟ إِلَى ٱللَّهِ لَهُمُ ٱلْبُشْرَىٰ ۚ فَبَشِّرْ عِبَادِ",
              "translate_bn": "যারা শয়তানী শক্তির পূজা-অর্চনা থেকে দূরে থাকে এবং আল্লাহ অভিমুখী হয়, তাদের জন্যে রয়েছে সুসংবাদ। অতএব, সুসংবাদ দিন আমার বান্দাদেরকে।",
              "numberInSurah": 17,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনাজ তানাবুত্তা-গূতা আইঁ ইয়া‘বুদূ হা-ওয়া আনাবূইল্লাল্লা-হি লাহুমুল বুশরা- ফাবাশশির ‘ইবা-দ।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اجْتَنَبُوا/ٱجۡتَنَبُواْ/ij'tanabu//الطَّاغُوْتَ/ٱلطَّـٰغُوتَ/al-taghuta//اَنْ/أَن/an//یَّعْبُدُوْهَا/يَعۡبُدُوهَا/ya'buduha//وَ اَنَابُوْۤا/وَأَنَابُوٓاْ/wa-anabu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//لَهُمُ/لَهُمُ/lahumu//الْبُشْرٰی ۚ/ٱلۡبُشۡرَىٰۚ/al-bush'ra//فَبَشِّرْ/فَبَشِّرۡ/fabashir//عِبَادِۙ/عِبَادِ/ibadi",
              "words_bangla": "এবং যারা//দূরে থাকে//তাগুত (থেকে)//যে//দাসত্ব করে তারা তার//এবং অনুরাগী হয়//দিকে//আল্লাহর//তাদের জন্যে (রয়েছে)//সুসংবাদ//সুতরাং সুসংবাদ দাও//আমার দাসদেরকে"
            },
            {
              "number": 4076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4076.mp3"
              ],
              "text": "ٱلَّذِينَ يَسْتَمِعُونَ ٱلْقَوْلَ فَيَتَّبِعُونَ أَحْسَنَهُۥٓ ۚ أُو۟لَٰٓئِكَ ٱلَّذِينَ هَدَىٰهُمُ ٱللَّهُ ۖ وَأُو۟لَٰٓئِكَ هُمْ أُو۟لُوا۟ ٱلْأَلْبَٰبِ",
              "translate_bn": "যারা মনোনিবেশ সহকারে কথা শুনে, অতঃপর যা উত্তম, তার অনুসরণ করে। তাদেরকেই আল্লাহ সৎপথ প্রদর্শন করেন এবং তারাই বুদ্ধিমান।",
              "numberInSurah": 18,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াছতামি‘ঊনাল কাওলা ফাইয়াত্তাবি‘ঊনা আহছানাহূ উলাইকাল্লাযীনা হাদা-হুমুল্লা-হু ওয়া উলাইকা হুম ঊলুল আলবা-ব।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//الْقَوْلَ/ٱلۡقَوۡلَ/al-qawla//فَیَتَّبِعُوْنَ/فَيَتَّبِعُونَ/fayattabi'una//اَحْسَنَهٗ ؕ/أَحۡسَنَهُۥٓۚ/ahsanahu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَدٰىهُمُ/هَدَىٰهُمُ/hadahumu//اللّٰهُ/ٱللَّهُۖ/al-lahu//وَ اُولٰٓىِٕكَ/وَأُوْلَـٰٓئِكَ/wa-ulaika//هُمْ/هُمۡ/hum//اُولُوا/أُوْلُواْ/ulu//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "যারা//মনোযোগ দিয়ে শুনে//কথা//অতঃপর অনুসরণ করে//তার উত্তম (সবদিকগুলোর)//ঐ সবলোক//(তারাই) যাদেরকে//সৎপথে পরিচালনা করেন তাদের//আল্লাহ//এবং ঐ সবলোক//তারাই//সম্পন্ন//বিবেক বুদ্ধি"
            },
            {
              "number": 4077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4077.mp3"
              ],
              "text": "أَفَمَنْ حَقَّ عَلَيْهِ كَلِمَةُ ٱلْعَذَابِ أَفَأَنتَ تُنقِذُ مَن فِى ٱلنَّارِ",
              "translate_bn": "যার জন্যে শাস্তির হুকুম অবধারিত হয়ে গেছে আপনি কি সে জাহান্নামীকে মুক্ত করতে পারবেন?",
              "numberInSurah": 19,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আফামান হাক্কা ‘আলাইহি কালিমাতুল ‘আযা-ব আফাআনতা তুনকিযুমান ফিন্না-র।",
              "words_arabic": "اَفَمَنْ/أَفَمَنۡ/afaman//حَقَّ/حَقَّ/haqqa//عَلَیْهِ/عَلَيۡهِ/alayhi//كَلِمَةُ/كَلِمَةُ/kalimatu//الْعَذَابِ ؕ/ٱلۡعَذَابِ/al-'adhabi//اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تُنْقِذُ/تُنقِذُ/tunqidhu//مَنْ/مَن/man//فِی/فِي/fi//النَّارِۚ/ٱلنَّارِ/al-nari",
              "words_bangla": "তবে কি যে//অবধারিত হয়েছে//তার উপর//বাণী//শাস্তির (পরিত্রাণ পেতে পারে?)//তবে কি তুমি//উদ্ধার করতে পারবে//যে//মধ্যে (পড়েছে)//আগুনের"
            },
            {
              "number": 4078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4078.mp3"
              ],
              "text": "لَٰكِنِ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ لَهُمْ غُرَفٌۭ مِّن فَوْقِهَا غُرَفٌۭ مَّبْنِيَّةٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ وَعْدَ ٱللَّهِ ۖ لَا يُخْلِفُ ٱللَّهُ ٱلْمِيعَادَ",
              "translate_bn": "কিন্তু যারা তাদের পালনকর্তাকে ভয় করে, তাদের জন্যে নির্মিত রয়েছে প্রাসাদের উপর প্রাসাদ। এগুলোর তলদেশে নদী প্রবাহিত। আল্লাহ প্রতিশ্রুতি দিয়েছেন। আল্লাহ প্রতিশ্রুতির খেলাফ করেন না।",
              "numberInSurah": 20,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "লা-কিনিল্লাযীনাত্তাকাও রাব্বাহুম লাহুম গুরাফুম মিন ফাওকিহা-গুরাফুম মাবনিইয়াতুন তাজরী মিন তাহতিহাল আনহা-রু ওয়া‘দাল্লা-হি লা-ইউখলিফুল্লা-হুল মী‘আদ।",
              "words_arabic": "لٰكِنِ/لَٰكِنِ/lakini//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//لَهُمْ/لَهُمۡ/lahum//غُرَفٌ/غُرَفٞ/ghurafun//مِّنْ/مِّن/min//فَوْقِهَا/فَوۡقِهَا/fawqiha//غُرَفٌ/غُرَفٞ/ghurafun//مَّبْنِیَّةٌ ۙ/مَّبۡنِيَّةٞ/mabniyyatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؕ۬/ٱلۡأَنۡهَٰرُۖ/al-anharu//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//لَا/لَا/la//یُخْلِفُ/يُخۡلِفُ/yukh'lifu//اللّٰهُ/ٱللَّهُ/al-lahu//الْمِیْعَادَ /ٱلۡمِيعَادَ/al-mi'ada",
              "words_bangla": "কিন্তু//যারা//ভয় করে//তাদের রবকে//তাদের জন্যে (রয়েছে)//প্রাসাদ//থেকে//তার উপর//প্রাসাদ//নির্মিত//বইবে//থেকে//তার নীচ//ঝর্ণাসমূহ//প্রতিশ্রুতি//আল্লাহর//না//ভঙ্গ করেন//আল্লাহ//প্রতিশ্রুতি"
            },
            {
              "number": 4079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4079.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءًۭ فَسَلَكَهُۥ يَنَٰبِيعَ فِى ٱلْأَرْضِ ثُمَّ يُخْرِجُ بِهِۦ زَرْعًۭا مُّخْتَلِفًا أَلْوَٰنُهُۥ ثُمَّ يَهِيجُ فَتَرَىٰهُ مُصْفَرًّۭا ثُمَّ يَجْعَلُهُۥ حُطَٰمًا ۚ إِنَّ فِى ذَٰلِكَ لَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَٰبِ",
              "translate_bn": "তুমি কি দেখনি যে, আল্লাহ আকাশ থেকে পানি বর্ষণ করেছেন, অতঃপর সে পানি যমীনের ঝর্ণাসমূহে প্রবাহিত করেছেন, এরপর তদ্দ্বারা বিভিন্ন রঙের ফসল উৎপন্ন করেন, অতঃপর তা শুকিয়ে যায়, ফলে তোমরা তা পীতবর্ণ দেখতে পাও। এরপর আল্লাহ তাকে খড়-কুটায় পরিণত করে দেন। নিশ্চয় এতে বুদ্ধিমানদের জন্যে উপদেশ রয়েছে।",
              "numberInSurah": 21,
              "juz": 23,
              "manzil": 6,
              "page": 460,
              "ruku": 397,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা আনঝালা মিনাছছামাই মাআন ফাছালাকাহূইয়ানা-বী‘আ ফিল আরদিছুম্মা ইউখরিজূবিহী ঝার‘আম মুখতালিফান আলওয়া-নুহূছু ম্মা ইয়াহীজুফাতারাঁ-হু মুসফাররান ছুম্মা ইয়াজ‘আলুহূহুতা-মা- ইন্না ফী যা-লিকা লাযিকরা-লিঊলিল আলবা-ব।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//اَنْزَلَ/أَنزَلَ/anzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//فَسَلَكَهٗ/فَسَلَكَهُۥ/fasalakahu//یَنَابِیْعَ/يَنَٰبِيعَ/yanabi'a//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//ثُمَّ/ثُمَّ/thumma//یُخْرِجُ/يُخۡرِجُ/yukh'riju//بِهٖ/بِهِۦ/bihi//زَرْعًا/زَرۡعٗا/zar'an//مُّخْتَلِفًا/مُّخۡتَلِفًا/mukh'talifan//اَلْوَانُهٗ/أَلۡوَٰنُهُۥ/alwanuhu//ثُمَّ/ثُمَّ/thumma//یَهِیْجُ/يَهِيجُ/yahiju//فَتَرٰىهُ/فَتَرَىٰهُ/fatarahu//مُصْفَرًّا/مُصۡفَرّٗا/mus'farran//ثُمَّ/ثُمَّ/thumma//یَجْعَلُهٗ/يَجۡعَلُهُۥ/yaj'aluhu//حُطَامًا ؕ/حُطَٰمًاۚ/hutaman//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَذِكْرٰی/لَذِكۡرَىٰ/ladhik'ra//لِاُولِی/لِأُوْلِي/li-uli//الْاَلْبَابِ۠/ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "তুমি কি//দেখো না//যে//আল্লাহ//বর্ষণ করেন//হ'তে//আকাশ//পানি//তা অতঃপর প্রবাহিত করেন//স্রোতধারা//মধ্যে//ভূমির//এরপর//বের করেন//তা দিয়ে//ফসল//বিভিন্ন প্রকার//তার রংসমূহও//এরপর//শুকিয়ে যায়//তা তখন তুমি দেখো//হলুদবর্ণ//এরপর//তা পরিণত করেন//খড়কুটায়//নিশ্চয়ই//মধ্যে//(রয়েছে) এর//শিক্ষা অবশ্যই//সম্পন্নদের জন্যে//জ্ঞান-বুদ্ধির"
            },
            {
              "number": 4080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4080.mp3"
              ],
              "text": "أَفَمَن شَرَحَ ٱللَّهُ صَدْرَهُۥ لِلْإِسْلَٰمِ فَهُوَ عَلَىٰ نُورٍۢ مِّن رَّبِّهِۦ ۚ فَوَيْلٌۭ لِّلْقَٰسِيَةِ قُلُوبُهُم مِّن ذِكْرِ ٱللَّهِ ۚ أُو۟لَٰٓئِكَ فِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "আল্লাহ যার বক্ষ ইসলামের জন্যে উম্মুক্ত করে দিয়েছেন, অতঃপর সে তার পালনকর্তার পক্ষ থেকে আগত আলোর মাঝে রয়েছে। (সে কি তার সমান, যে এরূপ নয়) যাদের অন্তর আল্লাহ স্মরণের ব্যাপারে কঠোর, তাদের জন্যে দূর্ভোগ। তারা সুস্পষ্ঠ গোমরাহীতে রয়েছে।",
              "numberInSurah": 22,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আফামান শারাহাল্লা-হু সাদরাহূলিলইছলা-মি ফাহুওয়া ‘আলা-নূরিম মিররাব্বিহী ফাওয়াইলুলিললকা-ছিয়াতি কু লূবুহুম মিন যিকরিল্লা-হি উলাইকা ফী দালা-লিম মুবীন।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//شَرَحَ/شَرَحَ/sharaha//اللّٰهُ/ٱللَّهُ/al-lahu//صَدْرَهٗ/صَدۡرَهُۥ/sadrahu//لِلْاِسْلَامِ/لِلۡإِسۡلَٰمِ/lil'is'lami//فَهُوَ/فَهُوَ/fahuwa//عَلٰی/عَلَىٰ/ala//نُوْرٍ/نُورٖ/nurin//مِّنْ/مِّن/min//رَّبِّهٖ ؕ/رَّبِّهِۦۚ/rabbihi//فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلْقٰسِیَةِ/لِّلۡقَٰسِيَةِ/lil'qasiyati//قُلُوْبُهُمْ/قُلُوبُهُم/qulubuhum//مِّنْ/مِّن/min//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "তবে কি যার//খুলে দিয়েছেন//আল্লাহ//তার হৃদয়কে//ইসলামের জন্যে//অতঃপর সে//(চলে)উপর//আলোর//পক্ষ হ'তে//তার রবের (সে অন্যদের মতো কি?)//সুতরাং দুর্ভোগ//(সেই লোকদের) জন্যে পাষাণের//যাদের অন্তরসমূহ//হ'তে//স্মরণ//আল্লাহর//ঐসব লোক//মধ্যে (রয়েছে)//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 4081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4081.mp3"
              ],
              "text": "ٱللَّهُ نَزَّلَ أَحْسَنَ ٱلْحَدِيثِ كِتَٰبًۭا مُّتَشَٰبِهًۭا مَّثَانِىَ تَقْشَعِرُّ مِنْهُ جُلُودُ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُمْ ثُمَّ تَلِينُ جُلُودُهُمْ وَقُلُوبُهُمْ إِلَىٰ ذِكْرِ ٱللَّهِ ۚ ذَٰلِكَ هُدَى ٱللَّهِ يَهْدِى بِهِۦ مَن يَشَآءُ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍ",
              "translate_bn": "আল্লাহ উত্তম বাণী তথা কিতাব নাযিল করেছেন, যা সামঞ্জস্যপূর্ণ, পূনঃ পূনঃ পঠিত। এতে তাদের লোম কাঁটা দিয়ে উঠে চামড়ার উপর, যারা তাদের পালনকর্তাকে ভয় করে, এরপর তাদের চামড়া ও অন্তর আল্লাহর স্মরণে বিনম্র হয়। এটাই আল্লাহর পথ নির্দেশ, এর মাধ্যমে আল্লাহ যাকে ইচ্ছা পথ প্রদর্শন করেন। আর আল্লাহ যাকে গোমরাহ করেন, তার কোন পথপ্রদর্শক নেই।",
              "numberInSurah": 23,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু নাঝঝালা আহছানাল হাদীছিকিতা-বাম মুতাশা-বিহাম মাছা-নিয়া তাকশা‘ইররু মিনহু জূলূদুল্লাযীনা ইয়াখশাওনা রাব্বাহুম ছু ম্মা তালীনুজুলূদুহুম ওয়াকু লূবুহুম ইলা-যিকরিল্লা-হি যা-লিকা হুদাল্লা-হি ইয়াহদী বিহী মাইঁ ইয়াশাউ ওয়া মাইঁ ইউদলিলিল্লা-হু ফামা-লাহূমিন হা-দ।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//نَزَّلَ/نَزَّلَ/nazzala//اَحْسَنَ/أَحۡسَنَ/ahsana//الْحَدِیْثِ/ٱلۡحَدِيثِ/al-hadithi//كِتٰبًا/كِتَٰبٗا/kitaban//مُّتَشَابِهًا/مُّتَشَٰبِهٗا/mutashabihan//مَّثَانِیَ ۖۗ/مَّثَانِيَ/mathaniya//تَقْشَعِرُّ/تَقۡشَعِرُّ/taqsha'irru//مِنْهُ/مِنۡهُ/min'hu//جُلُوْدُ/جُلُودُ/juludu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//رَبَّهُمْ ۚ/رَبَّهُمۡ/rabbahum//ثُمَّ/ثُمَّ/thumma//تَلِیْنُ/تَلِينُ/talinu//جُلُوْدُهُمْ/جُلُودُهُمۡ/juluduhum//وَ قُلُوْبُهُمْ/وَقُلُوبُهُمۡ/waqulubuhum//اِلٰی/إِلَىٰ/ila//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//هُدَی/هُدَى/huda//اللّٰهِ/ٱللَّهِ/al-lahi//یَهْدِیْ/يَهۡدِي/yahdi//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//هَادٍ /هَادٍ/hadin",
              "words_bangla": "আল্লাহ//অবতীর্ণ করেছেন//উত্তম//বাণী (সম্বলিত)//কিতাব//সুসামঞ্জস্যপূর্ণ//পুনরাবৃত্ত//রোমাঞ্চিত হয়//তা থেকে//দেহ//(তাদের) যারা//ভয় করে//তাদের রবকে//এরপর//নরম হয়//তাদের দেহ (সারা দেহ)//ও তাদের মনগুলো//প্রতি//স্মরণের//আল্লাহর//এটা//পথনির্দেশ//আল্লাহর//সৎপথে চালান তিনি//এ দিয়ে//যাকে//তিনি চান//এবং যাকে//বিভ্রান্ত করেন//আল্লাহ//তখন নেই//তার//কোনো//পথ প্রদর্শক"
            },
            {
              "number": 4082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4082.mp3"
              ],
              "text": "أَفَمَن يَتَّقِى بِوَجْهِهِۦ سُوٓءَ ٱلْعَذَابِ يَوْمَ ٱلْقِيَٰمَةِ ۚ وَقِيلَ لِلظَّٰلِمِينَ ذُوقُوا۟ مَا كُنتُمْ تَكْسِبُونَ",
              "translate_bn": "যে ব্যক্তি কেয়ামতের দিন তার মুখ দ্বারা অশুভ আযাব ঠেকাবে এবং এরূপ জালেমদেরকে বলা হবে, তোমরা যা করতে তার স্বাদ আস্বাদন কর,-সে কি তার সমান, যে এরূপ নয়?",
              "numberInSurah": 24,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "আফামাইঁ ইয়াত্তাকী বিওয়াজহিহী ছূআল ‘আযা-ব ইয়াওমাল কিয়া-মাতি ওয়া কীলা লিজ্জা-লিমীনা যূকূমা-কুনতুম তাকছিবূন।\r\n",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//یَّتَّقِیْ/يَتَّقِي/yattaqi//بِوَجْهِهٖ/بِوَجۡهِهِۦ/biwajhihi//سُوْٓءَ/سُوٓءَ/sua//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//وَ قِیْلَ/وَقِيلَ/waqila//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//ذُوْقُوْا/ذُوقُواْ/dhuqu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْسِبُوْنَ /تَكۡسِبُونَ/taksibuna",
              "words_bangla": "তবে কি যে//ঠেকাতে চাইবে//তার চেহারা দিয়ে//কঠিন//শাস্তিকে//দিনে//ক্বিয়ামাতের (বাঁচতে পারবে?)//এবং বলা হবে//সীমালঙ্ঘনকারীদেরকে//\"তোমরা স্বাদ নাও//যা//তোমরা//অর্জন করেছিলে\""
            },
            {
              "number": 4083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4083.mp3"
              ],
              "text": "كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ فَأَتَىٰهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ",
              "translate_bn": "তাদের পূর্ববর্তীরাও মিথ্যারোপ করেছিল, ফলে তাদের কাছে আযাব এমনভাবে আসল, যা তারা কল্পনাও করত না।",
              "numberInSurah": 25,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাল্লাযীনা মিন কাবলিহিম ফাআতা-হুমুল ‘আযা-বুমিন হাইছুলা-ইয়াশ‘ঊরূন।",
              "words_arabic": "كَذَّبَ/كَذَّبَ/kadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//فَاَتٰىهُمُ/فَأَتَىٰهُمُ/fa-atahumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "মিথ্যারোপ করেছিলো//যারা (ছিলো)//পূর্বেও//তাদের//তাদের উপর অতঃপর এসেছিলো//শাস্তি//(এমনদিক) হ'তে//যেদিকে//না//তারা কল্পনাও করে"
            },
            {
              "number": 4084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4084.mp3"
              ],
              "text": "فَأَذَاقَهُمُ ٱللَّهُ ٱلْخِزْىَ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْءَاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "অতঃপর আল্লাহ তাদেরকে পার্থিব জীবনে লাঞ্ছনার স্বাদ আস্বাদন করালেন, আর পরকালের আযাব হবে আরও গুরুতর, যদি তারা জানত!",
              "numberInSurah": 26,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ফাআযা-কাহুমুল্লা-হুল খিঝইয়া ফিল হায়া-তিদ্দুনইয়া- ওয়ালা ‘আযা-বুল আখিরাতি আকবারু । লাও কা-নূইয়া‘লামূন।",
              "words_arabic": "فَاَذَاقَهُمُ/فَأَذَاقَهُمُ/fa-adhaqahumu//اللّٰهُ/ٱللَّهُ/al-lahu//الْخِزْیَ/ٱلۡخِزۡيَ/al-khiz'ya//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَعَذَابُ/وَلَعَذَابُ/wala'adhabu//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَكْبَرُ ۘ/أَكۡبَرُۚ/akbaru//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তাদেরকে ফলে আস্বাদন করালেন//আল্লাহ//অপমানের//মধ্যে//জীবনের//পার্থিব//আর শাস্তি অবশ্যই//আখিরাতের//কঠিন//(হায়) যদি//তারা//জানতো"
            },
            {
              "number": 4085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4085.mp3"
              ],
              "text": "وَلَقَدْ ضَرَبْنَا لِلنَّاسِ فِى هَٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍۢ لَّعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আমি এ কোরআনে মানুষের জন্যে সব দৃষ্টান্তই বর্ণনা করেছি, যাতে তারা অনুধাবন করে;",
              "numberInSurah": 27,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ্দারাবনা-লিন্না-ছি ফীহা-যাল কুরআ-নি মিন কুল্লি মাছালিল লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//ضَرَبْنَا/ضَرَبۡنَا/darabna//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//فِیْ/فِي/fi//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//مَثَلٍ/مَثَلٖ/mathalin//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَۚ/يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পেশ করেছি//লোকদের জন্যে//মধ্যে//এই//কোরআনের//থেকে//প্রত্যেক রকম//দৃষ্টান্ত//তারা যাতে//উপদেশ গ্রহণ করে"
            },
            {
              "number": 4086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4086.mp3"
              ],
              "text": "قُرْءَانًا عَرَبِيًّا غَيْرَ ذِى عِوَجٍۢ لَّعَلَّهُمْ يَتَّقُونَ",
              "translate_bn": "আরবী ভাষায় এ কোরআন বক্রতামুক্ত, যাতে তারা সাবধান হয়ে চলে।",
              "numberInSurah": 28,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "কুরআ-নান ‘আরাবিইয়ান গাইরা যী ‘ইওয়াজিল লা‘আল্লাহুম ইয়াত্তাকূন।",
              "words_arabic": "قُرْاٰنًا/قُرۡءَانًا/qur'anan//عَرَبِیًّا/عَرَبِيًّا/arabiyyan//غَیْرَ/غَيۡرَ/ghayra//ذِیْ/ذِي/dhi//عِوَجٍ/عِوَجٖ/iwajin//لَّعَلَّهُمْ/لَّعَلَّهُمۡ/la'allahum//یَتَّقُوْنَ /يَتَّقُونَ/yattaquna",
              "words_bangla": "(এই) কোরআন//আরবী (ভাষায়)//(তা) মুক্ত//আছে//বক্রতা বিশিষ্ট//তারা যাতে//সতর্ক হয়"
            },
            {
              "number": 4087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4087.mp3"
              ],
              "text": "ضَرَبَ ٱللَّهُ مَثَلًۭا رَّجُلًۭا فِيهِ شُرَكَآءُ مُتَشَٰكِسُونَ وَرَجُلًۭا سَلَمًۭا لِّرَجُلٍ هَلْ يَسْتَوِيَانِ مَثَلًا ۚ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "আল্লাহ এক দৃষ্টান্ত বর্ণনা করেছেনঃ একটি লোকের উপর পরস্পর বিরোধী কয়জন মালিক রয়েছে, আরেক ব্যক্তির প্রভু মাত্র একজন-তাদের উভয়ের অবস্থা কি সমান? সমস্ত প্রশংসা আল্লাহর। কিন্তু তাদের অধিকাংশই জানে না।",
              "numberInSurah": 29,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "দারাবাল্লা-হু মাছালার রাজূলান ফীহি শুরাকাউ মুতাশা-কিছূনা ওয়া রাজূলান ছালামাল লিরাজুলিন হাল ইয়াছতাবিইয়া-নি মাছালান আলহামদুলিল্লা-হি বাল আকছারুহুম লা-ইয়া‘লামূন।",
              "words_arabic": "ضَرَبَ/ضَرَبَ/daraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//رَّجُلًا/رَّجُلٗا/rajulan//فِیْهِ/فِيهِ/fihi//شُرَكَآءُ/شُرَكَآءُ/shurakau//مُتَشٰكِسُوْنَ/مُتَشَٰكِسُونَ/mutashakisuna//وَ رَجُلًا/وَرَجُلٗا/warajulan//سَلَمًا/سَلَمٗا/salaman//لِّرَجُلٍ ؕ/لِّرَجُلٍ/lirajulin//هَلْ/هَلۡ/hal//یَسْتَوِیٰنِ/يَسۡتَوِيَانِ/yastawiyani//مَثَلًا ؕ/مَثَلًاۚ/mathalan//اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ ۚ/لِلَّهِۚ/lillahi//بَلْ/بَلۡ/bal//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "পেশ করেন//আল্লাহ//একটি দৃষ্টান্ত//এক ব্যক্তির//তার আছে//অনেক অংশীদার (মনিব)//পরস্পরকে দেখতে পারে না//এবং এক ব্যক্তি//সম্পূর্ণরূপে//এক(জনের) (মালিকানায়)//কি//দু'জনের (অবস্থা) সমান//দৃষ্টান্তে//সব প্রশংসাই//আল্লাহর জন্যে//কিন্তু//অধিকাংশই তাদের//না//জানে"
            },
            {
              "number": 4088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4088.mp3"
              ],
              "text": "إِنَّكَ مَيِّتٌۭ وَإِنَّهُم مَّيِّتُونَ",
              "translate_bn": "নিশ্চয় তোমারও মৃত্যু হবে এবং তাদেরও মৃত্যু হবে।",
              "numberInSurah": 30,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা মাইয়িতুওঁ ওয়া ইন্নাহুম মাইয়িতূন।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//مَیِّتٌ/مَيِّتٞ/mayyitun//وَّ اِنَّهُمْ/وَإِنَّهُم/wa-innahum//مَّیِّتُوْنَؗ/مَّيِّتُونَ/mayyituna",
              "words_bangla": "তুমি নিশ্চয়ই//মৃত্যুবরণ করবে//এবং তারা নিশ্চয়ই//মৃত্যুবরণ করবে"
            },
            {
              "number": 4089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4089.mp3"
              ],
              "text": "ثُمَّ إِنَّكُمْ يَوْمَ ٱلْقِيَٰمَةِ عِندَ رَبِّكُمْ تَخْتَصِمُونَ",
              "translate_bn": "অতঃপর কেয়ামতের দিন তোমরা সবাই তোমাদের পালনকর্তার সামনে কথা কাটাকাটি করবে।",
              "numberInSurah": 31,
              "juz": 23,
              "manzil": 6,
              "page": 461,
              "ruku": 398,
              "hizbQuarter": 184,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নাকুম ইয়াওমাল কিয়া-মাতি ‘ইনদা রাব্বিকুম তাখতাসিমূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّكُمْ/إِنَّكُمۡ/innakum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//عِنْدَ/عِندَ/inda//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//تَخْتَصِمُوْنَ۠/تَخۡتَصِمُونَ/takhtasimuna",
              "words_bangla": "এরপর//তোমরা নিশ্চয়ই//দিনে//ক্বিয়ামাতের//কাছে//তোমাদের রবের//তর্কাতর্কি করবে"
            },
            {
              "number": 4090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4090.mp3"
              ],
              "text": "۞ فَمَنْ أَظْلَمُ مِمَّن كَذَبَ عَلَى ٱللَّهِ وَكَذَّبَ بِٱلصِّدْقِ إِذْ جَآءَهُۥٓ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًۭى لِّلْكَٰفِرِينَ",
              "translate_bn": "যে ব্যক্তি আল্লাহর বিরুদ্ধে মিথ্যা বলে এবং তার কাছে সত্য আগমন করার পর তাকে মিথ্যা সাব্যস্ত করে, তার চেয়ে অধিক যালেম আর কে হবে? কাফেরদের বাসস্থান জাহান্নামে নয় কি?",
              "numberInSurah": 32,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ফামান আজলামুমিম্মান কাযাবা ‘আলাল্লা-হি ওয়া কাযযাবা বিসসিদকিইযজাআহূ আলাইছা ফী জাহান্নামা মাছওয়ালিললকা-ফিরীন।",
              "words_arabic": "فَمَنْ/۞فَمَنۡ/faman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنْ/مِمَّن/mimman//كَذَبَ/كَذَبَ/kadhaba//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَذَّبَ/وَكَذَّبَ/wakadhaba//بِالصِّدْقِ/بِٱلصِّدۡقِ/bil-sid'qi//اِذْ/إِذۡ/idh//جَآءَهٗ ؕ/جَآءَهُۥٓۚ/jaahu//اَلَیْسَ/أَلَيۡسَ/alaysa//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//مَثْوًی/مَثۡوٗى/mathwan//لِّلْكٰفِرِیْنَ /لِّلۡكَٰفِرِينَ/lil'kafirina",
              "words_bangla": "অতঃপর কে//বড় সীমালঙ্ঘনকারী (হতে পারে)//(তার) চেয়ে যে//মিথ্যা বলে//সম্পর্কে//আল্লাহ//ও প্রত্যাখ্যান করে//পরম সত্যকে//যখন//তার কাছে এসেছে//নয় কি//মধ্যে//জাহান্নামের//আবাসস্থল//(এমন সব) কাফেরদের জন্যে"
            },
            {
              "number": 4091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4091.mp3"
              ],
              "text": "وَٱلَّذِى جَآءَ بِٱلصِّدْقِ وَصَدَّقَ بِهِۦٓ ۙ أُو۟لَٰٓئِكَ هُمُ ٱلْمُتَّقُونَ",
              "translate_bn": "যারা সত্য নিয়ে আগমন করছে এবং সত্যকে সত্য মেনে নিয়েছে; তারাই তো খোদাভীরু।",
              "numberInSurah": 33,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী জাআ বিসসিদকিওয়া সাদ্দাকা বিহীউলাইকা হুমুল মুত্তাকূন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//جَآءَ/جَآءَ/jaa//بِالصِّدْقِ/بِٱلصِّدۡقِ/bil-sid'qi//وَ صَدَّقَ/وَصَدَّقَ/wasaddaqa//بِهٖۤ/بِهِۦٓ/bihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْمُتَّقُوْنَ /ٱلۡمُتَّقُونَ/al-mutaquna",
              "words_bangla": "এবং যে//এসেছে//পরম সত্যসহ//এবং (যারা) সত্য বলে মেনে নিয়েছে//তাঁকে//ঐসব লোক//তারাই//মুত্তাকী"
            },
            {
              "number": 4092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4092.mp3"
              ],
              "text": "لَهُم مَّا يَشَآءُونَ عِندَ رَبِّهِمْ ۚ ذَٰلِكَ جَزَآءُ ٱلْمُحْسِنِينَ",
              "translate_bn": "তাদের জন্যে পালনকর্তার কাছে তাই রয়েছে, যা তারা চাইবে। এটা সৎকর্মীদের পুরস্কার।",
              "numberInSurah": 34,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "লাহুম মা-ইয়াশাঊনা ‘ইনদা রাব্বিহিম যা-লিকা জাঝাউল মুহছিনীন।",
              "words_arabic": "لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//یَشَآءُوْنَ/يَشَآءُونَ/yashauna//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؕ/رَبِّهِمۡۚ/rabbihim//ذٰلِكَ/ذَٰلِكَ/dhalika//جَزٰٓؤُا/جَزَآءُ/jazau//الْمُحْسِنِیْنَۚۖ/ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "তাদের জন্যে//(থাকবে) যা//তারা ইচ্ছে করবে//কাছে//তাদের রবের//এটা//পুরস্কার//সৎকর্মপরায়ণদের"
            },
            {
              "number": 4093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4093.mp3"
              ],
              "text": "لِيُكَفِّرَ ٱللَّهُ عَنْهُمْ أَسْوَأَ ٱلَّذِى عَمِلُوا۟ وَيَجْزِيَهُمْ أَجْرَهُم بِأَحْسَنِ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "যাতে আল্লাহ তাদের মন্দ কর্মসমূহ মার্জনা করেন এবং তাদের উত্তম কর্মের পুরস্কার তাদেরকে দান করেন।",
              "numberInSurah": 35,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "লিইউকাফফিরাল্লা-হু ‘আনহুম আছওয়া আল্লাযী ‘আমিলূওয়া ইয়াজঝিয়াহুম আজরাহুম বিআহছানিল্লাযী কা-নূইয়া‘মালূন।",
              "words_arabic": "لِیُكَفِّرَ/لِيُكَفِّرَ/liyukaffira//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ/عَنۡهُمۡ/anhum//اَسْوَاَ/أَسۡوَأَ/aswa-a//الَّذِیْ/ٱلَّذِي/alladhi//عَمِلُوْا/عَمِلُواْ/amilu//وَ یَجْزِیَهُمْ/وَيَجۡزِيَهُمۡ/wayajziyahum//اَجْرَهُمْ/أَجۡرَهُم/ajrahum//بِاَحْسَنِ/بِأَحۡسَنِ/bi-ahsani//الَّذِیْ/ٱلَّذِي/alladhi//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "মোচন করেন যেন//আল্লাহ//তাদের থেকে//মন্দকাজ//যা//তারা কাজ করেছিলো//এবং তাদের প্রতিফল দেন (যেন)//পুরস্কার তাদের//উত্তমভাবে//(ঐ বিষয়ের) যা//তারা//কাজ করেছিলো"
            },
            {
              "number": 4094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4094.mp3"
              ],
              "text": "أَلَيْسَ ٱللَّهُ بِكَافٍ عَبْدَهُۥ ۖ وَيُخَوِّفُونَكَ بِٱلَّذِينَ مِن دُونِهِۦ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍۢ",
              "translate_bn": "আল্লাহ কি তাঁর বান্দার পক্ষে যথেষ্ট নন? অথচ তারা আপনাকে আল্লাহর পরিবর্তে অন্যান্য উপাস্যদের ভয় দেখায়। আল্লাহ যাকে গোমরাহ করেন, তার কোন পথপ্রদর্শক নেই।",
              "numberInSurah": 36,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "আলাইছাল্লা-হু বিকা-ফিন ‘আবদাহূ; ওয়া ইউখাওবিফূনাকা বিল্লাযীনা মিন দূ নিহী ওয়া মাইঁ ইউদলিলিল্লা-হু ফামা-লাহূমিন হা-দ।\r\n",
              "words_arabic": "اَلَیْسَ/أَلَيۡسَ/alaysa//اللّٰهُ/ٱللَّهُ/al-lahu//بِكَافٍ/بِكَافٍ/bikafin//عَبْدَهٗ ؕ/عَبۡدَهُۥۖ/abdahu//وَ یُخَوِّفُوْنَكَ/وَيُخَوِّفُونَكَ/wayukhawwifunaka//بِالَّذِیْنَ/بِٱلَّذِينَ/bi-alladhina//مِنْ/مِن/min//دُوْنِهٖ ؕ/دُونِهِۦۚ/dunihi//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//هَادٍۚ/هَادٖ/hadin",
              "words_bangla": "কি নন//আল্লাহ//যথেষ্ট//তাঁর দাসের (জন্যে)//এবং তোমাকে  তারা ভয় দেখায়//অন্যদের সম্পর্কে//মধ্য হতে//তিনি ছাড়া//অথচ যাকে//পথভ্রষ্ট করেন//আল্লাহ//অতঃপর নেই//তার জন্যে//কোনো//পথ প্রদর্শক"
            },
            {
              "number": 4095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4095.mp3"
              ],
              "text": "وَمَن يَهْدِ ٱللَّهُ فَمَا لَهُۥ مِن مُّضِلٍّ ۗ أَلَيْسَ ٱللَّهُ بِعَزِيزٍۢ ذِى ٱنتِقَامٍۢ",
              "translate_bn": "আর আল্লাহ যাকে পথপ্রদর্শন করেন, তাকে পথভ্রষ্টকারী কেউ নেই। আল্লাহ কি পরাক্রমশালী, প্রতিশোধ গ্রহণকারী নন?",
              "numberInSurah": 37,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়াহদিল্লা-হু ফামা-লাহূমিম মুদিলিলন আলাইছাল্লা-হু বি‘আঝীঝিন যিন তিকাম।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّهْدِ/يَهۡدِ/yahdi//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//مُّضِلٍّ ؕ/مُّضِلٍّۗ/mudillin//اَلَیْسَ/أَلَيۡسَ/alaysa//اللّٰهُ/ٱللَّهُ/al-lahu//بِعَزِیْزٍ/بِعَزِيزٖ/bi'azizin//ذِی/ذِي/dhi//انْتِقَامٍ /ٱنتِقَامٖ/intiqamin",
              "words_bangla": "এবং যাকে//পথ দেখান//আল্লাহ//তখন নেই//তার জন্যে//কোনো//বিভ্রান্তকারী//নন কি//আল্লাহ//মহাপরাক্রমশালী//আছে//প্রতিশোধ গ্রহণকারী"
            },
            {
              "number": 4096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4096.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ ٱللَّهُ ۚ قُلْ أَفَرَءَيْتُم مَّا تَدْعُونَ مِن دُونِ ٱللَّهِ إِنْ أَرَادَنِىَ ٱللَّهُ بِضُرٍّ هَلْ هُنَّ كَٰشِفَٰتُ ضُرِّهِۦٓ أَوْ أَرَادَنِى بِرَحْمَةٍ هَلْ هُنَّ مُمْسِكَٰتُ رَحْمَتِهِۦ ۚ قُلْ حَسْبِىَ ٱللَّهُ ۖ عَلَيْهِ يَتَوَكَّلُ ٱلْمُتَوَكِّلُونَ",
              "translate_bn": "যদি আপনি তাদেরকে জিজ্ঞেস করেন, আসমান ও যমীন কে সৃষ্টি করেছে? তারা অবশ্যই বলবে-আল্লাহ। বলুন, তোমরা ভেবে দেখেছ কি, যদি আল্লাহ আমার অনিষ্ট করার ইচ্ছা করেন, তবে তোমরা আল্লাহ ব্যতীত যাদেরকে ডাক, তারা কি সে অনিষ্ট দূর করতে পারবে? অথবা তিনি আমার প্রতি রহমত করার ইচ্ছা করলে তারা কি সে রহমত রোধ করতে পারবে? বলুন, আমার পক্ষে আল্লাহই যথেষ্ট। নির্ভরকারীরা তাঁরই উপর নির্ভর করে।",
              "numberInSurah": 38,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম মান খালাকাছ ছামা-ওয়া-তি ওয়াল আরদা লাইয়াকূলুন্নাল্লা-হু কুল আফারাআইতুম মা-তাদ‘ঊনা মিন দূ নিল্লা-হি ইন আরা-দানিয়াল্লা-হু বিদুররিন হাল হুন্না কা-শিফা-তুদুররিহীআও আরা-দানী বিরাহমাতিন হাল হুন্না মুমছিকা-তুরাহমাতিহী কুল হাছবিয়াল্লা-হু ‘আলাইহি ইয়াতাওয়াক্কালুল মুতাওয়াক্কিলূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّنۡ/man//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//قُلْ/قُلۡ/qul//اَفَرَءَیْتُمْ/أَفَرَءَيۡتُم/afara-aytum//مَّا/مَّا/ma//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِنۡ/in//اَرَادَنِیَ/أَرَادَنِيَ/aradaniya//اللّٰهُ/ٱللَّهُ/al-lahu//بِضُرٍّ/بِضُرٍّ/bidurrin//هَلْ/هَلۡ/hal//هُنَّ/هُنَّ/hunna//كٰشِفٰتُ/كَٰشِفَٰتُ/kashifatu//ضُرِّهٖۤ/ضُرِّهِۦٓ/durrihi//اَوْ/أَوۡ/aw//اَرَادَنِیْ/أَرَادَنِي/aradani//بِرَحْمَةٍ/بِرَحۡمَةٍ/birahmatin//هَلْ/هَلۡ/hal//هُنَّ/هُنَّ/hunna//مُمْسِكٰتُ/مُمۡسِكَٰتُ/mum'sikatu//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦۚ/rahmatihi//قُلْ/قُلۡ/qul//حَسْبِیَ/حَسۡبِيَ/hasbiya//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//عَلَیْهِ/عَلَيۡهِ/alayhi//یَتَوَكَّلُ/يَتَوَكَّلُ/yatawakkalu//الْمُتَوَكِّلُوْنَ /ٱلۡمُتَوَكِّلُونَ/al-mutawakiluna",
              "words_bangla": "এবং অবশ্যই যদি//তাদের তুমি প্রশ্ন করো//কে//সৃষ্টি করেছে//আকাশকে//ও পৃথিবীকে//অবশ্যই  তারা বলবে//\"আল্লাহ\"//বলো//\"তবে তোমরা (ভেবে) দেখেছো কি//যাদেরকে//তোমরা ডাকো//মধ্য হতে//ছাড়া//আল্লাহ//যদি//আমাকে চান//আল্লাহ//কোনো অনিষ্ট (করতে)//কি//তারা//রক্ষাকারী (হতে পারবে)//তার অনিষ্ট (হ'তে)//অথবা//তিনি আমাকে চান//অনুগ্রহ (করতে)//কি//তারা//বাধাদানকারী (হতে পারবে)//তার অনুগ্রহকে\"//বলো//\"আমার জন্যে যথেষ্ট//\"আল্লাহ//তাঁরই উপর//নির্ভর করে থাকে//নির্ভরকারীরা\""
            },
            {
              "number": 4097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4097.mp3"
              ],
              "text": "قُلْ يَٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَٰمِلٌۭ ۖ فَسَوْفَ تَعْلَمُونَ",
              "translate_bn": "বলুন, হে আমার কওম, তোমরা তোমাদের জায়গায় কাজ কর, আমিও কাজ করছি। সত্ত্বরই জানতে পারবে।",
              "numberInSurah": 39,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়া-কাওমি‘মালূ‘আলা-মাকা-নাতিকুম ইন্নী ‘আ-মিলুন ফাছাওফা তা‘লামূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اعْمَلُوْا/ٱعۡمَلُواْ/i'malu//عَلٰی/عَلَىٰ/ala//مَكَانَتِكُمْ/مَكَانَتِكُمۡ/makanatikum//اِنِّیْ/إِنِّي/inni//عَامِلٌ ۚ/عَٰمِلٞۖ/amilun//فَسَوْفَ/فَسَوۡفَ/fasawfa//تَعْلَمُوْنَۙ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "বলো//\"হে আমার জাতি//তোমরা কাজ করো//উপর//তোমাদের অবস্থার//নিশ্চয়ই আমি//কাজ করে যাচ্ছি//শীঘ্রই অতঃপর//তোমরা জানবে"
            },
            {
              "number": 4098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4098.mp3"
              ],
              "text": "مَن يَأْتِيهِ عَذَابٌۭ يُخْزِيهِ وَيَحِلُّ عَلَيْهِ عَذَابٌۭ مُّقِيمٌ",
              "translate_bn": "কার কাছে অবমাননাকর আযাব এবং চিরস্থায়ী শাস্তি নেমে আসে।",
              "numberInSurah": 40,
              "juz": 24,
              "manzil": 6,
              "page": 462,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "মাইঁ ইয়া’তীহি ‘আযা-বুইঁ ইউখঝীহি ওয়া ইয়াহিল্লু‘আলাইহি ‘আযা-বুম মুকীম।",
              "words_arabic": "مَنْ/مَن/man//یَّاْتِیْهِ/يَأۡتِيهِ/yatihi//عَذَابٌ/عَذَابٞ/adhabun//یُّخْزِیْهِ/يُخۡزِيهِ/yukh'zihi//وَ یَحِلُّ/وَيَحِلُّ/wayahillu//عَلَیْهِ/عَلَيۡهِ/alayhi//عَذَابٌ/عَذَابٞ/adhabun//مُّقِیْمٌ /مُّقِيمٌ/muqimun",
              "words_bangla": "কার উপর//আসবে//শাস্তি//তাকে লাঞ্ছিত করবে//ও আপতিত হবে//তার উপর//শাস্তি//স্থায়ী\""
            },
            {
              "number": 4099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4099.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَٰبَ لِلنَّاسِ بِٱلْحَقِّ ۖ فَمَنِ ٱهْتَدَىٰ فَلِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۖ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍ",
              "translate_bn": "আমি আপনার প্রতি সত্য ধর্মসহ কিতাব নাযিল করেছি মানুষের কল্যাণকল্পে। অতঃপর যে সৎপথে আসে, সে নিজের কল্যাণের জন্যেই আসে, আর যে পথভ্রষ্ট হয়, সে নিজেরই অনিষ্টের জন্যে পথভ্রষ্ট হয়। আপনি তাদের জন্যে দায়ী নন।",
              "numberInSurah": 41,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 399,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনা-‘আলাইকাল কিতা-বা লিন্না-ছি বিলহাক্কি ফামানিহতাদাফালিনাফছিহী ওয়া মান দাল্লা ফাইন্নামা-ইয়াদিল্লু‘আলাইহা- ওয়ামাআনতা ‘আলাইহিম বিওয়াকীল।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//بِالْحَقِّ ۚ/بِٱلۡحَقِّۖ/bil-haqi//فَمَنِ/فَمَنِ/famani//اهْتَدٰی/ٱهۡتَدَىٰ/ih'tada//فَلِنَفْسِهٖ ۚ/فَلِنَفۡسِهِۦۖ/falinafsihi//وَ مَنْ/وَمَن/waman//ضَلَّ/ضَلَّ/dalla//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَضِلُّ/يَضِلُّ/yadillu//عَلَیْهَا ۚ/عَلَيۡهَاۖ/alayha//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِوَكِیْلٍ۠/بِوَكِيلٍ/biwakilin",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা অবতীর্ণ করেছি//তোমার উপর//(এই) কিতাব//মানুষের জন্যে//সত্যসহ//অতঃপর যে//সৎপথ গ্রহন করে//তা তার নিজের জন্যে//এবং যে//পথভ্রষ্ট হয়//মূলতঃ তখন//সে বিপথে চলে//তার নিজের বিরুদ্ধে//এবং নও//তুমি//তাদের উপর//তত্ত্বাবধায়ক"
            },
            {
              "number": 4100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4100.mp3"
              ],
              "text": "ٱللَّهُ يَتَوَفَّى ٱلْأَنفُسَ حِينَ مَوْتِهَا وَٱلَّتِى لَمْ تَمُتْ فِى مَنَامِهَا ۖ فَيُمْسِكُ ٱلَّتِى قَضَىٰ عَلَيْهَا ٱلْمَوْتَ وَيُرْسِلُ ٱلْأُخْرَىٰٓ إِلَىٰٓ أَجَلٍۢ مُّسَمًّى ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "আল্লাহ মানুষের প্রাণ হরণ করেন তার মৃত্যুর সময়, আর যে মরে না, তার নিদ্রাকালে। অতঃপর যার মৃত্যু অবধারিত করেন, তার প্রাণ ছাড়েন না এবং অন্যান্যদের ছেড়ে দেন এক নির্দিষ্ট সময়ের জন্যে। নিশ্চয় এতে চিন্তাশীল লোকদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 42,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু ইয়াতাওয়াফফাল আনফুছা হীনা মাওতিহা-ওয়াল্লাতী লাম তামুত ফী মানা-মিহা- ফাইউমছিকুল্লাতী কাদা-‘আলাইহাল মাওতা ওয়া ইউরছিলুল উখরাইলাআজালিম মুছাম্মান ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//یَتَوَفَّی/يَتَوَفَّى/yatawaffa//الْاَنْفُسَ/ٱلۡأَنفُسَ/al-anfusa//حِیْنَ/حِينَ/hina//مَوْتِهَا/مَوۡتِهَا/mawtiha//وَ الَّتِیْ/وَٱلَّتِي/wa-allati//لَمْ/لَمۡ/lam//تَمُتْ/تَمُتۡ/tamut//فِیْ/فِي/fi//مَنَامِهَا ۚ/مَنَامِهَاۖ/manamiha//فَیُمْسِكُ/فَيُمۡسِكُ/fayum'siku//الَّتِیْ/ٱلَّتِي/allati//قَضٰی/قَضَىٰ/qada//عَلَیْهَا/عَلَيۡهَا/alayha//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//وَ یُرْسِلُ/وَيُرۡسِلُ/wayur'silu//الْاُخْرٰۤی/ٱلۡأُخۡرَىٰٓ/al-ukh'ra//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی ؕ/مُّسَمًّىۚ/musamman//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "আল্লাই//হরণ করেন//প্রাণসমূহকে (রূহগুলোকে)//সময়//তার মৃত্যুর//এবং তারও (যে)//নাই//মরে (কিন্তু)//মধ্যে (থাকে)//তার ঘুমের//অতঃপর প্রাণকে ধরে রাখেন//যার//অবধারিত হয়েছে//তাদের উপর//মৃত্যু//এবং ফিরিয়ে দেন//অন্যদের (রূহগুলোকে)//পর্যন্ত//একটি মেয়াদ//নির্দিষ্ট//নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই নিদর্শনাবলী//লোকদের জন্যে//(যারা) চিন্তা ভাবনা করে"
            },
            {
              "number": 4101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4101.mp3"
              ],
              "text": "أَمِ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ شُفَعَآءَ ۚ قُلْ أَوَلَوْ كَانُوا۟ لَا يَمْلِكُونَ شَيْـًۭٔا وَلَا يَعْقِلُونَ",
              "translate_bn": "তারা কি আল্লাহ ব্যতীত সুপারিশকারী গ্রহণ করেছে? বলুন, তাদের কোন এখতিয়ার না থাকলেও এবং তারা না বুঝলেও?",
              "numberInSurah": 43,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "আমিত্তাখাযূমিন দূ নিল্লা-হি শুফা‘আআ কুল আওয়ালাও কা-নূলা-ইয়ামলিকূনা শাইআওঁ ওয়ালা-ইয়া‘কিলূন।",
              "words_arabic": "اَمِ/أَمِ/ami//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//شُفَعَآءَ ؕ/شُفَعَآءَۚ/shufa'aa//قُلْ/قُلۡ/qul//اَوَ لَوْ/أَوَلَوۡ/awalaw//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "কি//তারা গ্রহণ করেছে//মধ্য হতে//ছাড়া//আল্লাহ//(অন্যান্যদেরকে) সুপারিশকারী রূপে//বলো//\"যদিও তবুওকি//তারা হলো (এমন যে)//না//ক্ষমতা রাখে//কোনো কিছুরই//এবং না//তারা বুঝেও\""
            },
            {
              "number": 4102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4102.mp3"
              ],
              "text": "قُل لِّلَّهِ ٱلشَّفَٰعَةُ جَمِيعًۭا ۖ لَّهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ ثُمَّ إِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "বলুন, সমস্ত সুপারিশ আল্লাহরই ক্ষমতাধীন, আসমান ও যমীনে তাঁরই সাম্রাজ্য। অতঃপর তাঁরই কাছে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 44,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "কুল লিল্লা-হিশশাফা-‘আতুজামী‘আন লাহূমুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ছু ম্মা ইলাইহি তুর জা‘ঊন।",
              "words_arabic": "قُلْ/قُل/qul//لِّلّٰهِ/لِّلَّهِ/lillahi//الشَّفَاعَةُ/ٱلشَّفَٰعَةُ/al-shafa'atu//جَمِیْعًا ؕ/جَمِيعٗاۖ/jami'an//لَهٗ/لَّهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۖ/wal-ardi//ثُمَّ/ثُمَّ/thumma//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "বলো//\"আল্লাহরই (এখতিয়ারভুক্ত)//সুপারিশ//সকল//তাঁরই//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এরপর//তাঁরই দিকে//তোমাদেরকে ফিরিয়ে আনা হবে\""
            },
            {
              "number": 4103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4103.mp3"
              ],
              "text": "وَإِذَا ذُكِرَ ٱللَّهُ وَحْدَهُ ٱشْمَأَزَّتْ قُلُوبُ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ ۖ وَإِذَا ذُكِرَ ٱلَّذِينَ مِن دُونِهِۦٓ إِذَا هُمْ يَسْتَبْشِرُونَ",
              "translate_bn": "যখন খাঁটিভাবে আল্লাহর নাম উচ্চারণ করা হয়, তখন যারা পরকালে বিশ্বাস করে না, তাদের অন্তর সংকুচিত হয়ে যায়, আর যখন আল্লাহ ব্যতীত অন্য উপাস্যদের নাম উচ্চারণ করা হয়, তখন তারা আনন্দে উল্লসিত হয়ে উঠে।",
              "numberInSurah": 45,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-যুকিরাল্লা-হু ওয়াহদাহুশমাআঝঝাত কুলূবুল্লাযীনা লা-ইউ’মিনূনা বিলআখিরাতি ওয়া ইযা-যুকিরাল্লাযীনা মিন দূ নিহী ইযা-হুম ইয়াছতাবশিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//ذُكِرَ/ذُكِرَ/dhukira//اللّٰهُ/ٱللَّهُ/al-lahu//وَحْدَهُ/وَحۡدَهُ/wahdahu//اشْمَاَزَّتْ/ٱشۡمَأَزَّتۡ/ish'ma-azzat//قُلُوْبُ/قُلُوبُ/qulubu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ ۚ/بِٱلۡأٓخِرَةِۖ/bil-akhirati//وَ اِذَا/وَإِذَا/wa-idha//ذُكِرَ/ذُكِرَ/dhukira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَسْتَبْشِرُوْنَ /يَسۡتَبۡشِرُونَ/yastabshiruna",
              "words_bangla": "এবং যখন//উল্লেখ করা হয়//আল্লাহর//তাঁর একারই//সংকুচিত হয় বিতৃষ্ণায়//অন্তরসমূহ//(তাদের) যারা//না//বিশ্বাস করে//পরকালের উপর//এবং যখন//উল্লেখ করা হয়//(অন্যদেরকে) যারা (আছে)//ছাড়া//তিনি//তখন//তারা//আনন্দে উল্লসিত হয়"
            },
            {
              "number": 4104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4104.mp3"
              ],
              "text": "قُلِ ٱللَّهُمَّ فَاطِرَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ عَٰلِمَ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ أَنتَ تَحْكُمُ بَيْنَ عِبَادِكَ فِى مَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "বলুন, হে আল্লাহ আসমান ও যমীনের স্রষ্টা, দৃশ্য ও অদৃশ্যের জ্ঞানী, আপনিই আপনার বান্দাদের মধ্যে ফয়সালা করবেন, যে বিষয়ে তারা মত বিরোধ করত।",
              "numberInSurah": 46,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হুম্মা ফা-তিরাছ ছামা-ওয়া-তি ওয়াল আরদি‘আ-লিমাল গাইবি ওয়াশশাহা-দাতি আনতা তাহকুমুবাইনা ‘ইবা-দিকা ফী মা-কা-নূফীহি ইয়াখতালিফূন।\r\n",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهُمَّ/ٱللَّهُمَّ/al-lahuma//فَاطِرَ/فَاطِرَ/fatira//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//عٰلِمَ/عَٰلِمَ/alima//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//اَنْتَ/أَنتَ/anta//تَحْكُمُ/تَحۡكُمُ/tahkumu//بَیْنَ/بَيۡنَ/bayna//عِبَادِكَ/عِبَادِكَ/ibadika//فِیْ/فِي/fi//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "বলো//\"হে আল্লাহ//স্রষ্টা//আকাশের//ও পৃথিবীর//খুব অবহিত//অদৃশ্যের//ও দৃশ্যের//তুমিই//মীমাংসা করে দিও//মাঝে//তোমার দাসদের//মধ্যে//(ঐ বিষয়ের) যা//তারা ছিলো//তার মধ্যে//মতভেদ করতো\""
            },
            {
              "number": 4105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4105.mp3"
              ],
              "text": "وَلَوْ أَنَّ لِلَّذِينَ ظَلَمُوا۟ مَا فِى ٱلْأَرْضِ جَمِيعًۭا وَمِثْلَهُۥ مَعَهُۥ لَٱفْتَدَوْا۟ بِهِۦ مِن سُوٓءِ ٱلْعَذَابِ يَوْمَ ٱلْقِيَٰمَةِ ۚ وَبَدَا لَهُم مِّنَ ٱللَّهِ مَا لَمْ يَكُونُوا۟ يَحْتَسِبُونَ",
              "translate_bn": "যদি গোনাহগারদের কাছে পৃথিবীর সবকিছু থাকে এবং তার সাথে সমপরিমাণ আরও থাকে, তবে অবশ্যই তারা কেয়ামতের দিন সে সবকিছুই নিস্কৃতি পাওয়ার জন্যে মুক্তিপন হিসেবে দিয়ে দেবে। অথচ তারা দেখতে পাবে, আল্লাহর পক্ষ থেকে এমন শাস্তি, যা তারা কল্পনাও করত না।",
              "numberInSurah": 47,
              "juz": 24,
              "manzil": 6,
              "page": 463,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্না লিল্লাযীনা জালামূমা-ফিল আরদিজামী‘আওঁ ওয়া মিছলাহূমা‘আহূ লাফতাদাও বিহী মিন ছূইল ‘আযা-বি ইয়াওমাল কিয়া-মাতি ওয়া বাদা-লাহুম মিনাল্লা-হি মা-লাম ইয়াকূনূইয়াহতাছিবূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّ/أَنَّ/anna//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مَا/مَا/ma//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا/جَمِيعٗا/jami'an//وَّ مِثْلَهٗ/وَمِثۡلَهُۥ/wamith'lahu//مَعَهٗ/مَعَهُۥ/ma'ahu//لَافْتَدَوْا/لَٱفۡتَدَوۡاْ/la-if'tadaw//بِهٖ/بِهِۦ/bihi//مِنْ/مِن/min//سُوْٓءِ/سُوٓءِ/sui//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//وَ بَدَا/وَبَدَا/wabada//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مَا/مَا/ma//لَمْ/لَمۡ/lam//یَكُوْنُوْا/يَكُونُواْ/yakunu//یَحْتَسِبُوْنَ /يَحۡتَسِبُونَ/yahtasibuna",
              "words_bangla": "এবং (এমন) যে//যে//(তাদের) জন্যে যারা//সীমালঙ্ঘন করেছে//যা কিছু//মধ্যে আছে//পৃথিবীর//সবই (তাদের মালিকানায়)//এবং তারও সমপরিমাণ//তার সাথে//তারা অবশ্যই মুক্তিপণ দিতে চাইতো//তা দিয়ে//হ'তে//কঠিন//শাস্তি (বাঁচতে)//দিনে//ক্বিয়ামাতের//এবং প্রকাশিত হবে//তাদের জন্যে//পক্ষ হ'তে//আল্লাহর//যা//নি//তারা করেছিল//তারা ধারনাও করে"
            },
            {
              "number": 4106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4106.mp3"
              ],
              "text": "وَبَدَا لَهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "আর দেখবে, তাদের দুস্কর্মসমূহ এবং যে বিষয়ে তারা ঠাট্টা-বিদ্রুপ করত, তা তাদেরকে ঘিরে নেবে।",
              "numberInSurah": 48,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাদা-লাহুম ছাইয়িআ-তুমা-কাছাবূওয়াহা-কা বিহিম মা-কা-নূবিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "وَ بَدَا/وَبَدَا/wabada//لَهُمْ/لَهُمۡ/lahum//سَیِّاٰتُ/سَيِّـَٔاتُ/sayyiatu//مَا/مَا/ma//كَسَبُوْا/كَسَبُواْ/kasabu//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং প্রকাশ হয়ে যাবে//তাদের জন্যে//মন্দ (ফল) সমূহ//যা//তারা কামাই করতো//এবং ঘিরে রাখবে//তাদেরকে//যা//তারা ছিলো//সে সম্পর্কে//ঠাট্রা বিদ্রুপ করতো"
            },
            {
              "number": 4107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4107.mp3"
              ],
              "text": "فَإِذَا مَسَّ ٱلْإِنسَٰنَ ضُرٌّۭ دَعَانَا ثُمَّ إِذَا خَوَّلْنَٰهُ نِعْمَةًۭ مِّنَّا قَالَ إِنَّمَآ أُوتِيتُهُۥ عَلَىٰ عِلْمٍۭ ۚ بَلْ هِىَ فِتْنَةٌۭ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "মানুষকে যখন দুঃখ-কষ্ট স্পর্শ করে, তখন সে আমাকে ডাকতে শুরু করে, এরপর আমি যখন তাকে আমার পক্ষ থেকে নেয়ামত দান করি, তখন সে বলে, এটা তো আমি পূর্বের জানা মতেই প্রাপ্ত হয়েছি। অথচ এটা এক পরীক্ষা, কিন্তু তাদের অধিকাংশই বোঝে না।",
              "numberInSurah": 49,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-মাছছাল ইনছা-না দুররুন দা‘আ-না- ছু ম্মা ইযা-খাওওয়ালনা-হু নি‘মাতাম মিন্না- কা-লা ইন্নামাঊতীতুহূ‘আলা-‘ইলমিম বাল হিয়া ফিতনাতুওঁ ওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//مَسَّ/مَسَّ/massa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//ضُرٌّ/ضُرّٞ/durrun//دَعَانَا ؗ/دَعَانَا/da'ana//ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//خَوَّلْنٰهُ/خَوَّلۡنَٰهُ/khawwalnahu//نِعْمَةً/نِعۡمَةٗ/ni'matan//مِّنَّا ۙ/مِّنَّا/minna//قَالَ/قَالَ/qala//اِنَّمَاۤ/إِنَّمَآ/innama//اُوْتِیْتُهٗ/أُوتِيتُهُۥ/utituhu//عَلٰی/عَلَىٰ/ala//عِلْمٍ ؕ/عِلۡمِۭۚ/il'min//بَلْ/بَلۡ/bal//هِیَ/هِيَ/hiya//فِتْنَةٌ/فِتۡنَةٞ/fit'natun//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতঃপর যখন//স্পর্শ করে//মানুষকে//কোনো দুঃখদৈন্য//আমাদেরকে ডাকে//এরপর//যখন//তাকে আমরা দিয়েছি//অনুগ্রহ//আমাদের পক্ষ হ'তে//সে বলে//\"মূলতঃ//তা দেওয়া হয়েছিলো আমাকে//কারণে//জ্ঞানের\"//বরং//এটা//একটি পরীক্ষা//কিন্তু//তারা অধিকাংশই//না//জানে"
            },
            {
              "number": 4108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4108.mp3"
              ],
              "text": "قَدْ قَالَهَا ٱلَّذِينَ مِن قَبْلِهِمْ فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "তাদের পূর্ববর্তীরাও তাই বলত, অতঃপর তাদের কৃতকর্ম তাদের কোন উপকারে আসেনি।",
              "numberInSurah": 50,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "কাদ কা-লাহাল্লাযীনা মিন কাবলিহিম ফামাআগনা-‘আনহুম মা-কা-নূইয়াকছিবূন।\r\n",
              "words_arabic": "قَدْ/قَدۡ/qad//قَالَهَا/قَالَهَا/qalaha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//فَمَاۤ/فَمَآ/fama//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "নিশ্চয়ই//তা বলেছিলো//(তারাও) যারা//পূর্বে (ছিলো)//তাদের//কিন্তু না//কাছে এসেছে//তাদের জন্যে//যা//তারা//অর্জন করতেছিলো"
            },
            {
              "number": 4109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4109.mp3"
              ],
              "text": "فَأَصَابَهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ ۚ وَٱلَّذِينَ ظَلَمُوا۟ مِنْ هَٰٓؤُلَآءِ سَيُصِيبُهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ وَمَا هُم بِمُعْجِزِينَ",
              "translate_bn": "তাদের দুস্কর্ম তাদেরকে বিপদে ফেলেছে, এদের মধ্যেও যারা পাপী, তাদেরকেও অতি সত্ত্বর তাদের দুস্কর্ম বিপদে ফেলবে। তারা তা প্রতিহত করতে সক্ষম হবে না।",
              "numberInSurah": 51,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "ফাআসা-বাহুম ছাইয়িআ-তুমা-কাছাবূ ওয়াল্লাযীনা জালামূমিন হাউলাই ছাইউসীবুহুম ছাইয়িআ-তুমা-কাছাবূ ওয়া মা-হুম বিমু‘জিঝীন।",
              "words_arabic": "فَاَصَابَهُمْ/فَأَصَابَهُمۡ/fa-asabahum//سَیِّاٰتُ/سَيِّـَٔاتُ/sayyiatu//مَا/مَا/ma//كَسَبُوْا ؕ/كَسَبُواْۚ/kasabu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْ/مِنۡ/min//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//سَیُصِیْبُهُمْ/سَيُصِيبُهُمۡ/sayusibuhum//سَیِّاٰتُ/سَيِّـَٔاتُ/sayyiatu//مَا/مَا/ma//كَسَبُوْا ۙ/كَسَبُواْ/kasabu//وَ مَا/وَمَا/wama//هُمْ/هُم/hum//بِمُعْجِزِیْنَ /بِمُعۡجِزِينَ/bimu'jizina",
              "words_bangla": "তাদের উপর  এরপর আপতিত হয়েছে//মন্দ ফলসমূহ//যা//তারা কামাই করেছিলো//এবং যারা//সীমালঙ্ঘন করেছে//মধ্য হ'তে//এদের//তাদের উপর এসে পড়বে শীঘ্রই//মন্দ ফলসমূহ//যা//তারা কামাই করেছে//এবং না//তারা//(আমাকে) অক্ষম করতে পারবে"
            },
            {
              "number": 4110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4110.mp3"
              ],
              "text": "أَوَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يُؤْمِنُونَ",
              "translate_bn": "তারা কি জানেনি যে, আল্লাহ যার জন্যে ইচ্ছা রিযিক বৃদ্ধি করেন এবং পরিমিত দেন। নিশ্চয় এতে বিশ্বাসী সম্প্রদায়ের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 52,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 400,
              "hizbQuarter": 185,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়া‘লামূআন্নাল্লা-হা ইয়াবছুতু র রিঝকালিমাইঁ ইয়াশাউ ওয়াইয়াকদিরু ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকাওমিইঁ ইউ’মিনূন।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَعْلَمُوْۤا/يَعۡلَمُوٓاْ/ya'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ ؕ/وَيَقۡدِرُۚ/wayaqdiru//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি না//তারা জানে//যে//আল্লাহ//প্রশস্ত করে দেন//জীবনের উপকরণ//(তার) জন্যে যাকে//ইচ্ছে করেন//এবং সংকীর্ণ করেন (যাকে চান)//নিশ্চয়ই//মধ্যে (আছে)//এর//অবশ্যই নিদর্শনাবলী//লোকদের জন্যে//(যারা) ঈমান আনে"
            },
            {
              "number": 4111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4111.mp3"
              ],
              "text": "۞ قُلْ يَٰعِبَادِىَ ٱلَّذِينَ أَسْرَفُوا۟ عَلَىٰٓ أَنفُسِهِمْ لَا تَقْنَطُوا۟ مِن رَّحْمَةِ ٱللَّهِ ۚ إِنَّ ٱللَّهَ يَغْفِرُ ٱلذُّنُوبَ جَمِيعًا ۚ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "বলুন, হে আমার বান্দাগণ যারা নিজেদের উপর যুলুম করেছ তোমরা আল্লাহর রহমত থেকে নিরাশ হয়ো না। নিশ্চয় আল্লাহ সমস্ত গোনাহ মাফ করেন। তিনি ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 53,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়া-‘ইবা-দিয়াল্লাযীনা আছরাফূ‘আলাআনফুছিহিম লা-তাকনাতূমির রাহমাতিল্লাহি ইন্নাল্লা-হা ইয়াগফিরুয যুনূবা জামী‘আন ইন্নাহূহুওয়াল গাফূরুর রাহীম।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//یٰعِبَادِیَ/يَٰعِبَادِيَ/ya'ibadiya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَسْرَفُوْا/أَسۡرَفُواْ/asrafu//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//لَا/لَا/la//تَقْنَطُوْا/تَقۡنَطُواْ/taqnatu//مِنْ/مِن/min//رَّحْمَةِ/رَّحۡمَةِ/rahmati//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَغْفِرُ/يَغۡفِرُ/yaghfiru//الذُّنُوْبَ/ٱلذُّنُوبَ/al-dhunuba//جَمِیْعًا ؕ/جَمِيعًاۚ/jami'an//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "বলো//\"হে আমার দাসরা//যারা//বাড়াবাড়ি করেছো//উপর//তাদের নিজেদের//না//তোমরা নিরাশ হয়ো//হ'তে//অনুগ্রহ//আল্লাহর//নিশ্চয়ই//আল্লাহ//মাফ করেন//পাপসমূহকে//সমস্তই//নিশ্চয়ই তিনি//তিনিই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 4112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4112.mp3"
              ],
              "text": "وَأَنِيبُوٓا۟ إِلَىٰ رَبِّكُمْ وَأَسْلِمُوا۟ لَهُۥ مِن قَبْلِ أَن يَأْتِيَكُمُ ٱلْعَذَابُ ثُمَّ لَا تُنصَرُونَ",
              "translate_bn": "তোমরা তোমাদের পালনকর্তার অভিমূখী হও এবং তাঁর আজ্ঞাবহ হও তোমাদের কাছে আযাব আসার পূর্বে। এরপর তোমরা সাহায্যপ্রাপ্ত হবে না;",
              "numberInSurah": 54,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনীবূইলা-রাব্বিকুম ওয়া আছলিমূলাহূমিন কাবলি আইঁ ইয়া’তিয়াকুমুল ‘আযা-বু ছু ম্মা লা-তুনসারূন।",
              "words_arabic": "وَ اَنِیْبُوْۤا/وَأَنِيبُوٓاْ/wa-anibu//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//وَ اَسْلِمُوْا/وَأَسۡلِمُواْ/wa-aslimu//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَكُمُ/يَأۡتِيَكُمُ/yatiyakumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//تُنْصَرُوْنَ /تُنصَرُونَ/tunsaruna",
              "words_bangla": "এবং তোমরা অভিমুখী হও//দিকে//তোমার রবের//এবং তোমরা আত্মসমর্পণ করো//তাঁর কাছে//মধ্য হতে//(এর) পূর্বে//যে//তোমাদের উপর আসবে//শাস্তি//এরপর//না//তোমাদের সাহায্য করা হবে"
            },
            {
              "number": 4113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4113.mp3"
              ],
              "text": "وَٱتَّبِعُوٓا۟ أَحْسَنَ مَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُم مِّن قَبْلِ أَن يَأْتِيَكُمُ ٱلْعَذَابُ بَغْتَةًۭ وَأَنتُمْ لَا تَشْعُرُونَ",
              "translate_bn": "তোমাদের প্রতি অবতীর্ণ উত্তম বিষয়ের অনুসরণ কর তোমাদের কাছে অতর্কিতে ও অজ্ঞাতসারে আযাব আসার পূর্বে,",
              "numberInSurah": 55,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়াত্তাবি‘ঊআহছানা মাউনঝিলা ইলাকুম মির রাব্বিকুম মিন কাবলি আইঁ ইয়া’তিয়াকুমুল ‘আযা-বুবাগতাতাওঁ ওয়া আনতুম লা-তাশ‘ঊরূন।",
              "words_arabic": "وَ اتَّبِعُوْۤا/وَٱتَّبِعُوٓاْ/wa-ittabi'u//اَحْسَنَ/أَحۡسَنَ/ahsana//مَاۤ/مَآ/ma//اُنْزِلَ/أُنزِلَ/unzila//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُم/rabbikum//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَكُمُ/يَأۡتِيَكُمُ/yatiyakumu//الْعَذَابُ/ٱلۡعَذَابُ/al-'adhabu//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَشْعُرُوْنَۙ/تَشۡعُرُونَ/tash'uruna",
              "words_bangla": "এবং অনুসরণ করো//উত্তম//যা//অবতীর্ণ করা হয়েছে//তোমাদের প্রতি//পক্ষ হ'তে//তোমাদের রবের//থেকে//(এর) পূর্বে//যে//তোমাদের উপর আসবে//শাস্তি//হঠাৎ//যখন তোমরা//না//টেরই পাবে"
            },
            {
              "number": 4114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4114.mp3"
              ],
              "text": "أَن تَقُولَ نَفْسٌۭ يَٰحَسْرَتَىٰ عَلَىٰ مَا فَرَّطتُ فِى جَنۢبِ ٱللَّهِ وَإِن كُنتُ لَمِنَ ٱلسَّٰخِرِينَ",
              "translate_bn": "যাতে কেউ না বলে, হায়, হায়, আল্লাহ সকাশে আমি কর্তব্যে অবহেলা করেছি এবং আমি ঠাট্টা-বিদ্রুপকারীদের অন্তর্ভূক্ত ছিলাম।",
              "numberInSurah": 56,
              "juz": 24,
              "manzil": 6,
              "page": 464,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "আন তাকূলা নাফছুইঁ ইয়া-হাছরাতা-‘আলা-মা-ফাররাত্তুফী জামবিল্লা-হি ওয়া ইন কুনতু লামিনাছ ছা-খিরীন।",
              "words_arabic": "اَنْ/أَن/an//تَقُوْلَ/تَقُولَ/taqula//نَفْسٌ/نَفۡسٞ/nafsun//یّٰحَسْرَتٰی/يَٰحَسۡرَتَىٰ/yahasrata//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَرَّطْتُ/فَرَّطتُ/farrattu//فِیْ/فِي/fi//جَنْۢبِ/جَنۢبِ/janbi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اِنْ/وَإِن/wa-in//كُنْتُ/كُنتُ/kuntu//لَمِنَ/لَمِنَ/lamina//السّٰخِرِیْنَۙ/ٱلسَّـٰخِرِينَ/al-sakhirina",
              "words_bangla": "(এমন না হয়) যে//বলে//কেউ//\"হায়!//(এর) উপর//যা//আমি অবহেলা করেছি//ক্ষেত্রে//কর্তব্যের//আল্লাহর (প্রতি)//এবং নিশ্চয়ই//আমি ছিলাম//অবশ্যই অন্তর্ভুক্ত//বিদ্রুপকারীদের\""
            },
            {
              "number": 4115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4115.mp3"
              ],
              "text": "أَوْ تَقُولَ لَوْ أَنَّ ٱللَّهَ هَدَىٰنِى لَكُنتُ مِنَ ٱلْمُتَّقِينَ",
              "translate_bn": "অথবা না বলে, আল্লাহ যদি আমাকে পথপ্রদর্শন করতেন, তবে অবশ্যই আমি পরহেযগারদের একজন হতাম।",
              "numberInSurah": 57,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "আও তাকূলা লাও আন্নাল্লা-হা হাদা-নী লাকুনতুমিনাল মুত্তাকীন।",
              "words_arabic": "اَوْ/أَوۡ/aw//تَقُوْلَ/تَقُولَ/taqula//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//هَدٰىنِیْ/هَدَىٰنِي/hadani//لَكُنْتُ/لَكُنتُ/lakuntu//مِنَ/مِنَ/mina//الْمُتَّقِیْنَۙ/ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "অথবা//কেউ বলে//\"যদি (এমন হতো)//\"যে//আল্লাহ//আমাকে পথপ্রদর্শন করতেন//অবশ্যই আমি হতাম//অন্তর্ভুক্ত//মুত্তাকীদের\""
            },
            {
              "number": 4116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4116.mp3"
              ],
              "text": "أَوْ تَقُولَ حِينَ تَرَى ٱلْعَذَابَ لَوْ أَنَّ لِى كَرَّةًۭ فَأَكُونَ مِنَ ٱلْمُحْسِنِينَ",
              "translate_bn": "অথবা আযাব প্রত্যক্ষ করার সময় না বলে, যদি কোনরূপে একবার ফিরে যেতে পারি, তবে আমি সৎকর্মপরায়ণ হয়ে যাব।",
              "numberInSurah": 58,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "আও তাকূলা হীনা তারাল ‘আযা-বা লাও আন্না লী কাররাতান ফাআকূনা মিনাল মুহছিনীন।",
              "words_arabic": "اَوْ/أَوۡ/aw//تَقُوْلَ/تَقُولَ/taqula//حِیْنَ/حِينَ/hina//تَرَی/تَرَى/tara//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//لَوْ/لَوۡ/law//اَنَّ/أَنَّ/anna//لِیْ/لِي/li//كَرَّةً/كَرَّةٗ/karratan//فَاَكُوْنَ/فَأَكُونَ/fa-akuna//مِنَ/مِنَ/mina//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "অথবা//কেউ বলে//যখন//দেখবে//শাস্তি//\"যদি (সম্ভব হতো)//যে//আমার জন্যে//একবার প্রত্যাবর্তন//হতাম আমি তবে//অন্তর্ভুক্ত//সৎকর্মপরায়ণদের\""
            },
            {
              "number": 4117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4117.mp3"
              ],
              "text": "بَلَىٰ قَدْ جَآءَتْكَ ءَايَٰتِى فَكَذَّبْتَ بِهَا وَٱسْتَكْبَرْتَ وَكُنتَ مِنَ ٱلْكَٰفِرِينَ",
              "translate_bn": "হাঁ, তোমার কাছে আমার নির্দেশ এসেছিল; অতঃপর তুমি তাকে মিথ্যা বলেছিলে, অহংকার করেছিলে এবং কাফেরদের অন্তর্ভূক্ত হয়ে গিয়েছিলে।",
              "numberInSurah": 59,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "বালা-কাদ জাআতকা আ-য়া-তী ফাকাযযাবতা বিহা-ওয়াছতাকবারতা ওয়াকুনতা মিনাল কা-ফিরীন।",
              "words_arabic": "بَلٰی/بَلَىٰ/bala//قَدْ/قَدۡ/qad//جَآءَتْكَ/جَآءَتۡكَ/jaatka//اٰیٰتِیْ/ءَايَٰتِي/ayati//فَكَذَّبْتَ/فَكَذَّبۡتَ/fakadhabta//بِهَا/بِهَا/biha//وَ اسْتَكْبَرْتَ/وَٱسۡتَكۡبَرۡتَ/wa-is'takbarta//وَ كُنْتَ/وَكُنتَ/wakunta//مِنَ/مِنَ/mina//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "\"(বলা হবে) কেন নয়//নিশ্চয়ই//তোমার কাছে এসেছিলো//আমার নিদর্শনাবলী//তুমি তখন মিথ্যা বলেছিলে//তা//এবং তুমি অহংকার করেছিলে//এবং তুমি হয়েছিলে//অন্তর্ভুক্ত//কাফেরদের"
            },
            {
              "number": 4118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4118.mp3"
              ],
              "text": "وَيَوْمَ ٱلْقِيَٰمَةِ تَرَى ٱلَّذِينَ كَذَبُوا۟ عَلَى ٱللَّهِ وُجُوهُهُم مُّسْوَدَّةٌ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًۭى لِّلْمُتَكَبِّرِينَ",
              "translate_bn": "যারা আল্লাহর প্রতি মিথ্যা আরোপ করে, কেয়ামতের দিন আপনি তাদের মুখ কাল দেখবেন। অহংকারীদের আবাসস্থল জাহান্নামে নয় কি?",
              "numberInSurah": 60,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমাল কিয়া-মাতি তারাল্লাযীনা কাযাবূ‘আলাল্লা-হি ঊজূহুহুম মুছওয়াদ্দাতুন আলাইছা ফী জাহান্নামা মাছওয়াল লিলমুতাকাব্বিরীন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//تَرَی/تَرَى/tara//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَبُوْا/كَذَبُواْ/kadhabu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//وُجُوْهُهُمْ/وُجُوهُهُم/wujuhuhum//مُّسْوَدَّةٌ ؕ/مُّسۡوَدَّةٌۚ/mus'waddatun//اَلَیْسَ/أَلَيۡسَ/alaysa//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//مَثْوًی/مَثۡوٗى/mathwan//لِّلْمُتَكَبِّرِیْنَ /لِّلۡمُتَكَبِّرِينَ/lil'mutakabbirina",
              "words_bangla": "এবং দিনে//ক্বিয়ামাতের//তুমি দেখবে//(তাদেরকে) যারা//মিথ্যারোপ করেছে//উপর//আল্লাহর//তাদের মুখগুলো//কালো (হয়ে গিয়েছে)//নয় কি//মধ্যে//জাহান্নামের//আবাসস্থল (যথেষ্ঠ)//অহংকারকারীদের জন্যে"
            },
            {
              "number": 4119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4119.mp3"
              ],
              "text": "وَيُنَجِّى ٱللَّهُ ٱلَّذِينَ ٱتَّقَوْا۟ بِمَفَازَتِهِمْ لَا يَمَسُّهُمُ ٱلسُّوٓءُ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "আর যারা শিরক থেকে বেঁচে থাকত, আল্লাহ তাদেরকে সাফল্যের সাথে মুক্তি দেবেন, তাদেরকে অনিষ্ট স্পর্শ করবে না এবং তারা চিন্তিতও হবে না।",
              "numberInSurah": 61,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউনাজ্জিল্লা-হুল্লাযীনাত্তাকাও বিমাফা-ঝাতিহিম লা-ইয়ামাছছুহুমুছ ছূউ ওয়ালাহুম ইয়াহঝানূন।",
              "words_arabic": "وَ یُنَجِّی/وَيُنَجِّي/wayunajji//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//بِمَفَازَتِهِمْ ؗ/بِمَفَازَتِهِمۡ/bimafazatihim//لَا/لَا/la//یَمَسُّهُمُ/يَمَسُّهُمُ/yamassuhumu//السُّوْٓءُ/ٱلسُّوٓءُ/al-suu//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَ /يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "এবং উদ্ধার করবেন//আল্লাহ//(তাদেরকে) যারা//আত্মরক্ষা করেছিলো//তাদের সাফল্যসহ//না//তাদেরকে স্পর্শ করবে//অমঙ্গল//আর না//তারা//চিন্তিত হবে"
            },
            {
              "number": 4120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4120.mp3"
              ],
              "text": "ٱللَّهُ خَٰلِقُ كُلِّ شَىْءٍۢ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ وَكِيلٌۭ",
              "translate_bn": "আল্লাহ সর্বকিছুর স্রষ্টা এবং তিনি সবকিছুর দায়িত্ব গ্রহণ করেন।",
              "numberInSurah": 62,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু খা-লিকুকুল্লি শাইয়িওঁ ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িওঁ ওয়াকীল।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//خَالِقُ/خَٰلِقُ/khaliqu//كُلِّ/كُلِّ/kulli//شَیْءٍ ؗ/شَيۡءٖۖ/shayin//وَّ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//وَّكِیْلٌ /وَكِيلٞ/wakilun",
              "words_bangla": "আল্লাহ//স্রষ্টা//প্রত্যেক//জিনিসের//এবং তিনি//উপর//সব//জিনিসের//কর্মবিধায়ক"
            },
            {
              "number": 4121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4121.mp3"
              ],
              "text": "لَّهُۥ مَقَالِيدُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِ ٱللَّهِ أُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "আসমান ও যমীনের চাবি তাঁরই নিকট। যারা আল্লাহর আয়াতসমূহকে অস্বীকার করে, তারাই ক্ষতিগ্রস্ত।",
              "numberInSurah": 63,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 401,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "লাহূমাকা-লিদুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াল্লাযীনা কাফারূবিআ-য়া-তিল্লা-হি উলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "لَهٗ/لَّهُۥ/lahu//مَقَالِیْدُ/مَقَالِيدُ/maqalidu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۗ/wal-ardi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ۠/ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "তাঁরই (কাছে রক্ষিত)//চাবিসমূহ//আকাশের//ও পৃথিবীর//এবং যারা//অমান্য করেছে//আয়াতগুলোকে//আল্লাহর//ঐসব লোক//তারাই//ক্ষতিগ্রস্ত"
            },
            {
              "number": 4122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4122.mp3"
              ],
              "text": "قُلْ أَفَغَيْرَ ٱللَّهِ تَأْمُرُوٓنِّىٓ أَعْبُدُ أَيُّهَا ٱلْجَٰهِلُونَ",
              "translate_bn": "বলুন, হে মুর্খরা, তোমরা কি আমাকে আল্লাহ ব্যতীত অন্যের এবাদত করতে আদেশ করছ?",
              "numberInSurah": 64,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "কুল আফাগাইরাল্লা-হি তা’মুরূন্নীআ‘বুদুআইয়ুহাল জা-হিলূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَفَغَیْرَ/أَفَغَيۡرَ/afaghayra//اللّٰهِ/ٱللَّهِ/al-lahi//تَاْمُرُوْٓنِّیْۤ/تَأۡمُرُوٓنِّيٓ/tamurunni//اَعْبُدُ/أَعۡبُدُ/a'budu//اَیُّهَا/أَيُّهَا/ayyuha//الْجٰهِلُوْنَ /ٱلۡجَٰهِلُونَ/al-jahiluna",
              "words_bangla": "(হে নাবী) বলো//\"তবে কি ব্যতীত//আল্লাহ//আমাকে তোমরা নির্দেশ দিচ্ছো (যে)//ইবাদাত করবো আমি (অন্যকে)//ও হে//অজ্ঞ লোকেরা\""
            },
            {
              "number": 4123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4123.mp3"
              ],
              "text": "وَلَقَدْ أُوحِىَ إِلَيْكَ وَإِلَى ٱلَّذِينَ مِن قَبْلِكَ لَئِنْ أَشْرَكْتَ لَيَحْبَطَنَّ عَمَلُكَ وَلَتَكُونَنَّ مِنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "আপনার প্রতি এবং আপনার পূর্ববর্তীদের পতি প্রত্যাদেশ হয়েছে, যদি আল্লাহর শরীক স্থির করেন, তবে আপনার কর্ম নিষ্ফল হবে এবং আপনি ক্ষতিগ্রস্তদের একজন হবেন।",
              "numberInSurah": 65,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা কাদ ঊহিয়া ইলাইকা ওয়া ইলাল্লাযীনা মিন কাবলিকা লাইন আশরাকতা লাইয়াহবাতান্না ‘আমালুকা ওয়া লাতাকূনান্না মিনাল খা-ছিরীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اِلَی/وَإِلَى/wa-ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكَ ۚ/قَبۡلِكَ/qablika//لَىِٕنْ/لَئِنۡ/la-in//اَشْرَكْتَ/أَشۡرَكۡتَ/ashrakta//لَیَحْبَطَنَّ/لَيَحۡبَطَنَّ/layahbatanna//عَمَلُكَ/عَمَلُكَ/amaluka//وَ لَتَكُوْنَنَّ/وَلَتَكُونَنَّ/walatakunanna//مِنَ/مِنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "এবং নিশ্চয়ই//ওহী করা হয়েছে//তোমার প্রতি//এবং প্রতি//(তাদের) যারা//মধ্য হতে//তোমার পূর্বে (ছিলো)//অবশ্য যদি//তুমি শরিক করো//বিনষ্ট হবে যাবেই//তোমার কৃতকর্ম//এবং তুমি অবশ্যই হয়ে যাবে//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 4124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4124.mp3"
              ],
              "text": "بَلِ ٱللَّهَ فَٱعْبُدْ وَكُن مِّنَ ٱلشَّٰكِرِينَ",
              "translate_bn": "বরং আল্লাহরই এবাদত করুন এবং কৃতজ্ঞদের অন্তর্ভুক্ত থাকুন।",
              "numberInSurah": 66,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "বালিল্লা-হা ফা‘বুদ ওয়াকুম মিনাশশা-কিরীন।",
              "words_arabic": "بَلِ/بَلِ/bali//اللّٰهَ/ٱللَّهَ/al-laha//فَاعْبُدْ/فَٱعۡبُدۡ/fa-u'bud//وَ كُنْ/وَكُن/wakun//مِّنَ/مِّنَ/mina//الشّٰكِرِیْنَ /ٱلشَّـٰكِرِينَ/al-shakirina",
              "words_bangla": "বরং//আল্লাহরই//তুমি তাই  ইবাদাত করো//এবং হয়ে যাও//অন্তর্ভুক্ত//কৃতজ্ঞদের"
            },
            {
              "number": 4125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4125.mp3"
              ],
              "text": "وَمَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦ وَٱلْأَرْضُ جَمِيعًۭا قَبْضَتُهُۥ يَوْمَ ٱلْقِيَٰمَةِ وَٱلسَّمَٰوَٰتُ مَطْوِيَّٰتٌۢ بِيَمِينِهِۦ ۚ سُبْحَٰنَهُۥ وَتَعَٰلَىٰ عَمَّا يُشْرِكُونَ",
              "translate_bn": "তারা আল্লাহকে যথার্থরূপে বোঝেনি। কেয়ামতের দিন গোটা পৃথিবী থাকবে তাঁর হাতের মুঠোতে এবং আসমান সমূহ ভাঁজ করা অবস্থায় থাকবে তাঁর ডান হাতে। তিনি পবিত্র। আর এরা যাকে শরীক করে, তা থেকে তিনি অনেক উর্ধ্বে।",
              "numberInSurah": 67,
              "juz": 24,
              "manzil": 6,
              "page": 465,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কাদারুল্লা-হা হাক্কা কাদরিহী ওয়াল আরদুজামী‘আন কাবদাতুহূ ইয়াওমাল কিয়া-মাতি ওয়াছ ছামা-ওয়া-তুমাতবিইয়া-তুম বিয়ামীনিহী ছুবহা-নাহূ ওয়া তা‘আ-লা-‘আম্মা-ইউশরিকূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//قَدَرُوا/قَدَرُواْ/qadaru//اللّٰهَ/ٱللَّهَ/al-laha//حَقَّ/حَقَّ/haqqa//قَدْرِهٖ ۖۗ/قَدۡرِهِۦ/qadrihi//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//جَمِیْعًا/جَمِيعٗا/jami'an//قَبْضَتُهٗ/قَبۡضَتُهُۥ/qabdatuhu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ السَّمٰوٰتُ/وَٱلسَّمَٰوَٰتُ/wal-samawatu//مَطْوِیّٰتٌۢ/مَطۡوِيَّـٰتُۢ/matwiyyatun//بِیَمِیْنِهٖ ؕ/بِيَمِينِهِۦۚ/biyaminihi//سُبْحٰنَهٗ/سُبۡحَٰنَهُۥ/sub'hanahu//وَ تَعٰلٰی/وَتَعَٰلَىٰ/wata'ala//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "এবং না//তারা সম্মান করে//আল্লাহর//যথোচিত//তাঁর সম্মান//অথচ পৃথিবী//সবটাই//তাঁরই মুঠিতে হবে//দিনে//ক্বিয়ামাতের//ও আকাশ (থাকবে)//গুটানো অবস্থায়//তাঁর ডান হাতের মধ্যে//তিনি মহান পবিত্র//ও বহু ঊর্ধ্বে//তা হ'তে যা//তারা শরিক করে"
            },
            {
              "number": 4126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4126.mp3"
              ],
              "text": "وَنُفِخَ فِى ٱلصُّورِ فَصَعِقَ مَن فِى ٱلسَّمَٰوَٰتِ وَمَن فِى ٱلْأَرْضِ إِلَّا مَن شَآءَ ٱللَّهُ ۖ ثُمَّ نُفِخَ فِيهِ أُخْرَىٰ فَإِذَا هُمْ قِيَامٌۭ يَنظُرُونَ",
              "translate_bn": "শিংগায় ফুঁক দেয়া হবে, ফলে আসমান ও যমীনে যারা আছে সবাই বেহুঁশ হয়ে যাবে, তবে আল্লাহ যাকে ইচ্ছা করেন। অতঃপর আবার শিংগায় ফুঁক দেয়া হবে, তৎক্ষণাৎ তারা দন্ডায়মান হয়ে দেখতে থাকবে।",
              "numberInSurah": 68,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুফিখা ফিসসূরি ফাসা‘ইকা মান ফিছছামা-ওয়া-তি ওয়া মান ফিল আরদিইল্লা-মান শাআল্লা-হু ছু ম্মা নুফিখা ফীহি উখরা-ফাইযা-হুম কিয়া-মুইঁ ইয়ানজু রূন।\r\n",
              "words_arabic": "وَ نُفِخَ/وَنُفِخَ/wanufikha//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَصَعِقَ/فَصَعِقَ/fasa'iqa//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۖ/al-lahu//ثُمَّ/ثُمَّ/thumma//نُفِخَ/نُفِخَ/nufikha//فِیْهِ/فِيهِ/fihi//اُخْرٰی/أُخۡرَىٰ/ukh'ra//فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُمۡ/hum//قِیَامٌ/قِيَامٞ/qiyamun//یَّنْظُرُوْنَ /يَنظُرُونَ/yanzuruna",
              "words_bangla": "এবং ফুঁ দেওয়া হবে//মধ্যে//শিংগার//অতঃপর মূর্ছা যাবে//যারা//মধ্যে (আছে)//আকাশের//ও যারা//মধ্যে আছে//পৃথিবীর//এ ছাড়া//যাদেরকে//ইচ্ছে করবেন//আল্লাহ//এরপর//ফুঁ দেওয়া হবে//তার মধ্যে//আবার//ফলে তখন//তারা//দাঁড়িয়ে//দেখতে থাকবে"
            },
            {
              "number": 4127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4127.mp3"
              ],
              "text": "وَأَشْرَقَتِ ٱلْأَرْضُ بِنُورِ رَبِّهَا وَوُضِعَ ٱلْكِتَٰبُ وَجِا۟ىٓءَ بِٱلنَّبِيِّۦنَ وَٱلشُّهَدَآءِ وَقُضِىَ بَيْنَهُم بِٱلْحَقِّ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "পৃথিবী তার পালনকর্তার নূরে উদ্ভাসিত হবে, আমলনামা স্থাপন করা হবে, পয়গম্বরগণ ও সাক্ষীগণকে আনা হবে এবং সকলের মধ্যে ন্যায় বিচার করা হবে-তাদের প্রতি জুলুম করা হবে না।",
              "numberInSurah": 69,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া আশরাকাতিল আরদু বিনূরি রাব্বিহা- ওয়াউদি‘আল কিতা-বু ওয়াজীআ বিন্নাবিইয়ীনা ওয়াশশুহাদাই ওয়া কুদিয়া বাইনাহুম বিল হাক্কিওয়াহুম লা-ইউজলামূন।",
              "words_arabic": "وَ اَشْرَقَتِ/وَأَشۡرَقَتِ/wa-ashraqati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//بِنُوْرِ/بِنُورِ/binuri//رَبِّهَا/رَبِّهَا/rabbiha//وَ وُضِعَ/وَوُضِعَ/wawudi'a//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//وَ جِایْٓءَ/وَجِاْيٓءَ/wajia//بِالنَّبِیّٖنَ/بِٱلنَّبِيِّـۧنَ/bil-nabiyina//وَ الشُّهَدَآءِ/وَٱلشُّهَدَآءِ/wal-shuhadai//وَ قُضِیَ/وَقُضِيَ/waqudiya//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং উদ্ভাসিত হবে//পৃথিবী//দিয়ে আলো (আলোতে)//তাঁর রবের//এবং উপস্হিত করা হবে//আমলনামা//এবং উপস্থিত করা হবে//নাবী (রাসূল)গণকে//ও সাক্ষীদেরকে//এবং মীমাংসা করে দেওয়া হবে//তাদের মাঝে//ন্যায়ভাবে//এবং তাদের (উপর)//না//অবিচার করা হবে"
            },
            {
              "number": 4128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4128.mp3"
              ],
              "text": "وَوُفِّيَتْ كُلُّ نَفْسٍۢ مَّا عَمِلَتْ وَهُوَ أَعْلَمُ بِمَا يَفْعَلُونَ",
              "translate_bn": "প্রত্যেকে যা করেছে, তার পূর্ণ প্রতিফল দেয়া হবে। তারা যা কিছু করে, সে সম্পর্কে আল্লাহ সম্যক অবগত।",
              "numberInSurah": 70,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 402,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া উফফিয়াত কুল্লুনাফছিম মা-‘আমিলাত ওয়া হুওয়া আ‘লামুবিমা-ইয়াফ‘আলূন।",
              "words_arabic": "وَ وُفِّیَتْ/وَوُفِّيَتۡ/wawuffiyat//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّا/مَّا/ma//عَمِلَتْ/عَمِلَتۡ/amilat//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَفْعَلُوْنَ۠/يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "এবং পূর্ণ (প্রতিফল) দেওয়া হবে//প্রত্যেক//ব্যক্তিকে//যা//সে কর্মে করেছে//এবং তিনি//খুব জানেন//ঐ সম্পর্কে যা//তারা করে"
            },
            {
              "number": 4129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4129.mp3"
              ],
              "text": "وَسِيقَ ٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ جَهَنَّمَ زُمَرًا ۖ حَتَّىٰٓ إِذَا جَآءُوهَا فُتِحَتْ أَبْوَٰبُهَا وَقَالَ لَهُمْ خَزَنَتُهَآ أَلَمْ يَأْتِكُمْ رُسُلٌۭ مِّنكُمْ يَتْلُونَ عَلَيْكُمْ ءَايَٰتِ رَبِّكُمْ وَيُنذِرُونَكُمْ لِقَآءَ يَوْمِكُمْ هَٰذَا ۚ قَالُوا۟ بَلَىٰ وَلَٰكِنْ حَقَّتْ كَلِمَةُ ٱلْعَذَابِ عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "কাফেরদেরকে জাহান্নামের দিকে দলে দলে হাঁকিয়ে নেয়া হবে। তারা যখন সেখানে পৌছাবে, তখন তার দরজাসমূহ খুলে দেয়া হবে এবং জাহান্নামের রক্ষীরা তাদেরকে বলবে, তোমাদের কাছে কি তোমাদের মধ্য থেকে পয়গম্বর আসেনি, যারা তোমাদের কাছে তোমাদের পালনকর্তার আয়াতসমূহ আবৃত্তি করত এবং সতর্ক করত এ দিনের সাক্ষাতের ব্যাপারে? তারা বলবে, হঁ্যা, কিন্তু কাফেরদের প্রতি শাস্তির হুকুমই বাস্তবায়িত হয়েছে।",
              "numberInSurah": 71,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 403,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছীকাল্লাযীনা কাফারূইলা-জাহান্নামা ঝুমারা- হাত্তাইযা-জাঊহাফুতিহাত আবওয়া-বুহা-ওয়া কা-লা লাহুম খাঝানাতুহাআলাম ইয়া’তিকুম রুছুলুম মিনকুম ইয়াতলূনা ‘আলাইকুম আ-য়া-তি রাব্বিকুম ওয়া ইউনযিরূনাকুম লিকাআ ইয়াওমিকুম হাযা- কা-লূবালা-ওয়ালা-কিন হাক্কাত কালিমাতুল ‘আযা-বি ‘আলাল কা-ফিরীন।\r\n",
              "words_arabic": "وَ سِیْقَ/وَسِيقَ/wasiqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اِلٰی/إِلَىٰ/ila//جَهَنَّمَ/جَهَنَّمَ/jahannama//زُمَرًا ؕ/زُمَرًاۖ/zumaran//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءُوْهَا/جَآءُوهَا/jauha//فُتِحَتْ/فُتِحَتۡ/futihat//اَبْوَابُهَا/أَبۡوَٰبُهَا/abwabuha//وَ قَالَ/وَقَالَ/waqala//لَهُمْ/لَهُمۡ/lahum//خَزَنَتُهَاۤ/خَزَنَتُهَآ/khazanatuha//اَلَمْ/أَلَمۡ/alam//یَاْتِكُمْ/يَأۡتِكُمۡ/yatikum//رُسُلٌ/رُسُلٞ/rusulun//مِّنْكُمْ/مِّنكُمۡ/minkum//یَتْلُوْنَ/يَتۡلُونَ/yatluna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//وَ یُنْذِرُوْنَكُمْ/وَيُنذِرُونَكُمۡ/wayundhirunakum//لِقَآءَ/لِقَآءَ/liqaa//یَوْمِكُمْ/يَوۡمِكُمۡ/yawmikum//هٰذَا ؕ/هَٰذَاۚ/hadha//قَالُوْا/قَالُواْ/qalu//بَلٰی/بَلَىٰ/bala//وَ لٰكِنْ/وَلَٰكِنۡ/walakin//حَقَّتْ/حَقَّتۡ/haqqat//كَلِمَةُ/كَلِمَةُ/kalimatu//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং তাড়িয়ে নেওয়া হবে//(তাদেরকে) যারা//অস্বীকার করেছে//দিকে//জাহান্নামের//দলে দলে//শেষ পর্যন্ত//যখন//তার (কাছে) আসবে//খুলে দেওয়া হবে//তার ফটকগুলো//এবং বলবে//তাদেরকে//তার রক্ষীরা//\"নি কি//তোমাদের কাছে আসে//রাসূলগণ//তোমাদের মধ্য হ'তে//তারা আবৃত্তি করে শুনাতো//তোমাদের কাছে//আয়াতসমূহ//তোমাদের রবের//ও তোমাদেরকে সতর্ক করতো//সাক্ষাতের//তোমাদের দিনের//এই\"//তারা বলবে//\"অবশ্যই (এসেছিলো)\"//কিন্তু//অবধারিত হয়েছিলো//বাণী//শাস্তির//উপর//কাফেরদের"
            },
            {
              "number": 4130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4130.mp3"
              ],
              "text": "قِيلَ ٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَٰلِدِينَ فِيهَا ۖ فَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ",
              "translate_bn": "বলা হবে, তোমরা জাহান্নামের দরজা দিয়ে প্রবেশ কর, সেখানে চিরকাল অবস্থানের জন্যে। কত নিকৃষ্ট অহংকারীদের আবাসস্থল।",
              "numberInSurah": 72,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 403,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "কীলাদখুলূআবওয়া-বা জাহান্নামা খা-লিদীনা ফীহা- ফাবি’ছা মাছওয়াল মুতাকাব্বিরীন।",
              "words_arabic": "قِیْلَ/قِيلَ/qila//ادْخُلُوْۤا/ٱدۡخُلُوٓاْ/ud'khulu//اَبْوَابَ/أَبۡوَٰبَ/abwaba//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ۚ/فِيهَاۖ/fiha//فَبِئْسَ/فَبِئۡسَ/fabi'sa//مَثْوَی/مَثۡوَى/mathwa//الْمُتَكَبِّرِیْنَ /ٱلۡمُتَكَبِّرِينَ/al-mutakabirina",
              "words_bangla": "বলা হবে//\"তোমরা প্রবেশ করো//দরজাসমূহে//জাহান্নামের//চিরস্থায়ী হবে//তার মধ্যে//অতঃপর কত নিকৃষ্ট//আবাসস্থল//অহংকারীদের\""
            },
            {
              "number": 4131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4131.mp3"
              ],
              "text": "وَسِيقَ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ إِلَى ٱلْجَنَّةِ زُمَرًا ۖ حَتَّىٰٓ إِذَا جَآءُوهَا وَفُتِحَتْ أَبْوَٰبُهَا وَقَالَ لَهُمْ خَزَنَتُهَا سَلَٰمٌ عَلَيْكُمْ طِبْتُمْ فَٱدْخُلُوهَا خَٰلِدِينَ",
              "translate_bn": "যারা তাদের পালনকর্তাকে ভয় করত তাদেরকে দলে দলে জান্নাতের দিকে নিয়ে যাওয়া হবে। যখন তারা উম্মুক্ত দরজা দিয়ে জান্নাতে পৌছাবে এবং জান্নাতের রক্ষীরা তাদেরকে বলবে, তোমাদের প্রতি সালাম, তোমরা সুখে থাক, অতঃপর সদাসর্বদা বসবাসের জন্যে তোমরা জান্নাতে প্রবেশ কর।",
              "numberInSurah": 73,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 403,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়াছীকাল্লাযীনাত্তাকাও রাব্বাহুম ইলাল জান্নাতি ঝুমারা- হাত্তাইযা-জাঊহাওয়া ফুতিহাত আবওয়া-বুহা-ওয়াকালা-লাহুম খাঝানাতুহা-ছালা-মুন ‘আলাইকুম তিবতুম ফাদখুলূহা-খা-লিদীন।",
              "words_arabic": "وَ سِیْقَ/وَسِيقَ/wasiqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّقَوْا/ٱتَّقَوۡاْ/ittaqaw//رَبَّهُمْ/رَبَّهُمۡ/rabbahum//اِلَی/إِلَى/ila//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//زُمَرًا ؕ/زُمَرًاۖ/zumaran//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءُوْهَا/جَآءُوهَا/jauha//وَ فُتِحَتْ/وَفُتِحَتۡ/wafutihat//اَبْوَابُهَا/أَبۡوَٰبُهَا/abwabuha//وَ قَالَ/وَقَالَ/waqala//لَهُمْ/لَهُمۡ/lahum//خَزَنَتُهَا/خَزَنَتُهَا/khazanatuha//سَلٰمٌ/سَلَٰمٌ/salamun//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//طِبْتُمْ/طِبۡتُمۡ/tib'tum//فَادْخُلُوْهَا/فَٱدۡخُلُوهَا/fa-ud'khuluha//خٰلِدِیْنَ /خَٰلِدِينَ/khalidina",
              "words_bangla": "এবং নিয়ে যাওয়া হবে//(তাদেরকে) যারা//বেঁচে থাকতো//তাদের রবের//দিকে//জান্নাতের//দলে দলে//শেষ পর্যন্ত//যখন//তার (কাছে) আসবে//এবং খুলে দেওয়া হবে//তার দরজাগুলো//এবং বলবে//তাদেরকে//তার রক্ষীরা//\"সালাম//তোমাদের উপর//তোমরা সুখী হও//তাতে তোমরা অতঃপর প্রবেশ করো//তোমরা চিরস্থায়ী হবে (সেখানে).\""
            },
            {
              "number": 4132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4132.mp3"
              ],
              "text": "وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى صَدَقَنَا وَعْدَهُۥ وَأَوْرَثَنَا ٱلْأَرْضَ نَتَبَوَّأُ مِنَ ٱلْجَنَّةِ حَيْثُ نَشَآءُ ۖ فَنِعْمَ أَجْرُ ٱلْعَٰمِلِينَ",
              "translate_bn": "তারা বলবে, সমস্ত প্রশংসা আল্লাহর, যিনি আমাদের প্রতি তাঁর ওয়াদা পূর্ণ করেছেন এবং আমাদেরকে এ ভূমির উত্তরাধিকারী করেছেন। আমরা জান্নাতের যেখানে ইচ্ছা বসবাস করব। মেহনতকারীদের পুরস্কার কতই চমৎকার।",
              "numberInSurah": 74,
              "juz": 24,
              "manzil": 6,
              "page": 466,
              "ruku": 403,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লুল হামদুলিল্লা-হিল্লাযী সাদাকানা-ওয়া‘দাহূওয়া আওরাছানাল আরদা নাতাবাওওয়াউ মিনাল জান্নাতি হাইছুনাশাউ ফানি‘মা আজরুল ‘আ-মিলীন।",
              "words_arabic": "وَ قَالُوا/وَقَالُواْ/waqalu//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//صَدَقَنَا/صَدَقَنَا/sadaqana//وَعْدَهٗ/وَعۡدَهُۥ/wa'dahu//وَ اَوْرَثَنَا/وَأَوۡرَثَنَا/wa-awrathana//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//نَتَبَوَّاُ/نَتَبَوَّأُ/natabawwa-u//مِنَ/مِنَ/mina//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//حَیْثُ/حَيۡثُ/haythu//نَشَآءُ ۚ/نَشَآءُۖ/nashau//فَنِعْمَ/فَنِعۡمَ/fani'ma//اَجْرُ/أَجۡرُ/ajru//الْعٰمِلِیْنَ /ٱلۡعَٰمِلِينَ/al-'amilina",
              "words_bangla": "এবং তারা বলবে//\"সব প্রশংসা (ও শোকর)//আল্লাহর জন্যে//যিনি//আমাদেরকে সত্য করে দেখিয়েছেন//তাঁর প্রতিশ্রুতি//এবং আমাদেরকে অধিকারী করেছেন//এ-স্হানের//বসবাস করবো আমরা//মধ্য হ'তে//জান্নাতের//যেখানে//ইচ্ছে করবো আমরা//অতএব কত উত্তম//পুরস্কার//সৎকর্মসম্পাদনকারীদের\""
            },
            {
              "number": 4133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4133.mp3"
              ],
              "text": "وَتَرَى ٱلْمَلَٰٓئِكَةَ حَآفِّينَ مِنْ حَوْلِ ٱلْعَرْشِ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ ۖ وَقُضِىَ بَيْنَهُم بِٱلْحَقِّ وَقِيلَ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আপনি ফেরেশতাগণকে দেখবেন, তারা আরশের চার পাশ ঘিরে তাদের পালনকর্তার পবিত্রতা ঘোষনা করছে। তাদের সবার মাঝে ন্যায় বিচার করা হবে। বলা হবে, সমস্ত প্রশংসা বিশ্বপালক আল্লাহর।",
              "numberInSurah": 75,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 403,
              "hizbQuarter": 186,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারাল মালাইকাতা হাফফীনা মিন হাওলিল ‘আরশি ইউছাববিহূ না বিহামদি রাব্বিহিম, ওয়া কুদিয়া বাইনাহুম বিলহাক্কি ওয়াকীলাল হামদুলিল্লা-হি রাব্বিল ‘আলামীন।",
              "words_arabic": "وَ تَرَی/وَتَرَى/watara//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//حَآفِّیْنَ/حَآفِّينَ/haffina//مِنْ/مِنۡ/min//حَوْلِ/حَوۡلِ/hawli//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//یُسَبِّحُوْنَ/يُسَبِّحُونَ/yusabbihuna//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّهِمْ ۚ/رَبِّهِمۡۚ/rabbihim//وَ قُضِیَ/وَقُضِيَ/waqudiya//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِالْحَقِّ/بِٱلۡحَقِّۚ/bil-haqi//وَ قِیْلَ/وَقِيلَ/waqila//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং দেখবে তুমি//ফেরেশতাদেরকে//ঘিরে থাকতে//থেকে//পাশ//আরশের//তারা মহিমা ঘোষণা করতে থাকবে//প্রশংসাসহ//তাদের রবের//এবং বিচার করে দেওয়া হবে//তাদের মাঝে//ন্যায়ভাবে//এবং বলা হবে//\"সকল প্রশংসা//আল্লাহর জন্যে//(যিনি) রব//বিশ্বজগতের\""
            }
          ]
        },
        {
          "number": 40,
          "name": "سُورَةُ غَافِرٍ",
          "englishName": "Ghafir",
          "englishNameTranslation": "The Forgiver",
          "revelationType": "Meccan",
          "verse": 85,
          "words": 2449,
          "chars": 10388,
          "ayahs": [
            {
              "number": 4134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4134.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "হা-মীম",
              "words_arabic": "حٰمٓۚ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4135.mp3"
              ],
              "text": "تَنزِيلُ ٱلْكِتَٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْعَلِيمِ",
              "translate_bn": "কিতাব অবতীর্ণ হয়েছে আল্লাহর পক্ষ থেকে, যিনি পরাক্রমশালী, সর্বজ্ঞ।",
              "numberInSurah": 2,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুল কিতা-বি মিনাল্লা-হিল ‘আঝীঝিল ‘আলীম।",
              "words_arabic": "تَنْزِیْلُ/تَنزِيلُ/tanzilu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْعَلِیْمِۙ/ٱلۡعَلِيمِ/al-'alimi",
              "words_bangla": "অবতীর্ণ করা//(এই) কিতাব//পক্ষ হ'তে//আল্লাহর//(যিনি) পরাক্রমশালী//সর্বজ্ঞ"
            },
            {
              "number": 4136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4136.mp3"
              ],
              "text": "غَافِرِ ٱلذَّنۢبِ وَقَابِلِ ٱلتَّوْبِ شَدِيدِ ٱلْعِقَابِ ذِى ٱلطَّوْلِ ۖ لَآ إِلَٰهَ إِلَّا هُوَ ۖ إِلَيْهِ ٱلْمَصِيرُ",
              "translate_bn": "পাপ ক্ষমাকারী, তওবা কবুলকারী, কঠোর শাস্তিদাতা ও সামর্থ?476;ান। তিনি ব্যতীত কোন উপাস্য নেই। তাঁরই দিকে হবে প্রত্যাবর্তন।",
              "numberInSurah": 3,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "গাফিরিযযামবি ওয়া কাবিলিততাওবি শাদীদিল ‘ইকা-বি যিততাওলি লাইলাহা ইল্লা-হুওয়া, ইলাইহিল মাসীর।",
              "words_arabic": "غَافِرِ/غَافِرِ/ghafiri//الذَّنْۢبِ/ٱلذَّنۢبِ/al-dhanbi//وَ قَابِلِ/وَقَابِلِ/waqabili//التَّوْبِ/ٱلتَّوۡبِ/al-tawbi//شَدِیْدِ/شَدِيدِ/shadidi//الْعِقَابِ ۙ/ٱلۡعِقَابِ/al-'iqabi//ذِی/ذِي/dhi//الطَّوْلِ ؕ/ٱلطَّوۡلِۖ/al-tawli//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۖ/huwa//اِلَیْهِ/إِلَيۡهِ/ilayhi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "(যিনি) ক্ষমাকারী//পাপ//এবং কবুলকারী//তওবা//কঠোর//শাস্তিদানে//মালিক//অনুগ্রহের//নেই//কোনো ইলাহ//ছাড়া//তিনি//তাঁরই দিকে//প্রত্যাবর্তন (হবে সকলের)"
            },
            {
              "number": 4137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4137.mp3"
              ],
              "text": "مَا يُجَٰدِلُ فِىٓ ءَايَٰتِ ٱللَّهِ إِلَّا ٱلَّذِينَ كَفَرُوا۟ فَلَا يَغْرُرْكَ تَقَلُّبُهُمْ فِى ٱلْبِلَٰدِ",
              "translate_bn": "কাফেররাই কেবল আল্লাহর আয়াত সম্পর্কে বিতর্ক করে। কাজেই নগরীসমূহে তাদের বিচরণ যেন আপনাকে বিভ্রান্তিতে না ফেলে।",
              "numberInSurah": 4,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "মা-ইউজা-দিলুফীআ-য়া-তিল্লা-হি ইল্লাল্লাযীনা কাফারূফালা-ইয়াগরুরকা তাকাল্লুবুহুম ফিল বিলা-দ।",
              "words_arabic": "مَا/مَا/ma//یُجَادِلُ/يُجَٰدِلُ/yujadilu//فِیْۤ/فِيٓ/fi//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَلَا/فَلَا/fala//یَغْرُرْكَ/يَغۡرُرۡكَ/yaghrur'ka//تَقَلُّبُهُمْ/تَقَلُّبُهُمۡ/taqallubuhum//فِی/فِي/fi//الْبِلَادِ /ٱلۡبِلَٰدِ/al-biladi",
              "words_bangla": "না//তর্ক করে//ক্ষেত্রে//নিদর্শনাবলীর//আল্লাহর//এ ব্যতীত//যারা//অস্বীকার করেছে//সুতরাং না (যেন)//তোমাকে বিভ্রান্ত করে//তাদের বিচরণ//মধ্যে//দেশে-বিদেশে"
            },
            {
              "number": 4138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4138.mp3"
              ],
              "text": "كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍۢ وَٱلْأَحْزَابُ مِنۢ بَعْدِهِمْ ۖ وَهَمَّتْ كُلُّ أُمَّةٍۭ بِرَسُولِهِمْ لِيَأْخُذُوهُ ۖ وَجَٰدَلُوا۟ بِٱلْبَٰطِلِ لِيُدْحِضُوا۟ بِهِ ٱلْحَقَّ فَأَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ عِقَابِ",
              "translate_bn": "তাদের পূর্বে নূহের সম্প্রদায় মিথ্যারোপ করেছিল, আর তাদের পরে অন্য অনেক দল ও প্রত্যেক সম্প্রদায় নিজ নিজ পয়গম্বরকে আক্রমণ করার ইচ্ছা করেছিল এবং তারা মিথ্যা বিতর্কে প্রবৃত্ত হয়েছিল, যেন সত্যধর্মকে ব্যর্থ করে দিতে পারে। অতঃপর আমি তাদেরকে পাকড়াও করলাম। কেমন ছিল আমার শাস্তি।",
              "numberInSurah": 5,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাবলাহুম কাওমুনূহিওঁ ওয়াল আহঝা-বুমিম বা‘দিহিম ওয়া হাম্মাত কুল্লুউম্মাতিম বিরাছূলিহিম লিইয়া’খুযূহু ওয়া জা-দালূবিলবা-তিলি লিইউদহিদূ বিহিল হাক্কা ফাআখাযতুহুম ফাকাইফা কা-না ‘ইকা-ব।\r\n",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمُ/قَوۡمُ/qawmu//نُوْحٍ/نُوحٖ/nuhin//وَّ الْاَحْزَابُ/وَٱلۡأَحۡزَابُ/wal-ahzabu//مِنْۢ/مِنۢ/min//بَعْدِهِمْ ۪/بَعۡدِهِمۡۖ/ba'dihim//وَ هَمَّتْ/وَهَمَّتۡ/wahammat//كُلُّ/كُلُّ/kullu//اُمَّةٍۭ/أُمَّةِۭ/ummatin//بِرَسُوْلِهِمْ/بِرَسُولِهِمۡ/birasulihim//لِیَاْخُذُوْهُ/لِيَأۡخُذُوهُۖ/liyakhudhuhu//وَ جٰدَلُوْا/وَجَٰدَلُواْ/wajadalu//بِالْبَاطِلِ/بِٱلۡبَٰطِلِ/bil-batili//لِیُدْحِضُوْا/لِيُدۡحِضُواْ/liyud'hidu//بِهِ/بِهِ/bihi//الْحَقَّ/ٱلۡحَقَّ/al-haqa//فَاَخَذْتُهُمْ ۫/فَأَخَذۡتُهُمۡۖ/fa-akhadhtuhum//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عِقَابِ /عِقَابِ/iqabi",
              "words_bangla": "মিথ্যারোপ করেছিলো//তাদের পূর্বে//জাতি//নূহের//এবং (অন্যান্য) দলসমূহও//মধ্য হতে//পরে তাদের//এবং অভিসন্ধি করেছিলো//প্রত্যেক//জাতি//তাদের রাসূলের সম্পর্কে//তাকে পাকড়াও করার জন্যে//এবং তারা যুক্তিতর্কে মত্তে ছিলো//অসার (অস্ত্র) দিয়ে//ব্যর্থ করে দেয়ার জন্যে//তা দিয়ে//সত্যকে//ফলে আমি পাকড়াও করেছি তাদেরকে//সুতরাং (দেখো) কেমন//ছিলো//আমার শাস্তি"
            },
            {
              "number": 4139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4139.mp3"
              ],
              "text": "وَكَذَٰلِكَ حَقَّتْ كَلِمَتُ رَبِّكَ عَلَى ٱلَّذِينَ كَفَرُوٓا۟ أَنَّهُمْ أَصْحَٰبُ ٱلنَّارِ",
              "translate_bn": "এভাবে কাফেরদের বেলায় আপনার পালনকর্তার এ বাক্য সত্য হল যে, তারা জাহান্নামী।",
              "numberInSurah": 6,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা হাক্কাত কালিমাতুরাব্বিকা ‘আলাল্লাযীনা কাফারূআন্নাহুম আসহা-বুন্নার।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//حَقَّتْ/حَقَّتۡ/haqqat//كَلِمَتُ/كَلِمَتُ/kalimatu//رَبِّكَ/رَبِّكَ/rabbika//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنَّهُمْ/أَنَّهُمۡ/annahum//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ/ٱلنَّارِ/al-nari",
              "words_bangla": "এবং এরূপে//সত্য হলো//বাণী//তোমার রবের//উপর//(তাদের) যারা//অস্বীকার করেছিলো//তারা যে//অধিবাসী//জাহান্নামের"
            },
            {
              "number": 4140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4140.mp3"
              ],
              "text": "ٱلَّذِينَ يَحْمِلُونَ ٱلْعَرْشَ وَمَنْ حَوْلَهُۥ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ وَيُؤْمِنُونَ بِهِۦ وَيَسْتَغْفِرُونَ لِلَّذِينَ ءَامَنُوا۟ رَبَّنَا وَسِعْتَ كُلَّ شَىْءٍۢ رَّحْمَةًۭ وَعِلْمًۭا فَٱغْفِرْ لِلَّذِينَ تَابُوا۟ وَٱتَّبَعُوا۟ سَبِيلَكَ وَقِهِمْ عَذَابَ ٱلْجَحِيمِ",
              "translate_bn": "যারা আরশ বহন করে এবং যারা তার চারপাশে আছে, তারা তাদের পালনকর্তার সপ্রশংস পবিত্রতা বর্ণনা করে, তার প্রতি বিশ্বাস স্থাপন করে এবং মুমিনদের জন্যে ক্ষমা প্রার্থনা করে বলে, হে আমাদের পালনকর্তা, আপনার রহমত ও জ্ঞান সবকিছুতে পরিব্যাপ্ত। অতএব, যারা তওবা করে এবং আপনার পথে চলে, তাদেরকে ক্ষমা করুন এবং জাহান্নামের আযাব থেকে রক্ষা করুন।",
              "numberInSurah": 7,
              "juz": 24,
              "manzil": 6,
              "page": 467,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াহমিলূনাল‘আরশা ওয়া মান হাওলাহূইউছাব্বিহূনা বিহামদি রাব্বিহিমওয়া ইউ’মিনূনা বিহী ওয়া ইয়াছতাগফিরূনা লিল্লাযীনা আ-মানূ রাব্বানা-ওয়াছি‘তা কুল্লা শাইয়িররাহমাতাওঁ ওয়া ‘ইলমান ফাগফির লিল্লাযীনা তা-বূওয়াত্তাবা‘ঊ ছাবীলাকা ওয়াকিহিম ‘আযা-বাল জাহীম।\r\n",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَحْمِلُوْنَ/يَحۡمِلُونَ/yahmiluna//الْعَرْشَ/ٱلۡعَرۡشَ/al-'arsha//وَ مَنْ/وَمَنۡ/waman//حَوْلَهٗ/حَوۡلَهُۥ/hawlahu//یُسَبِّحُوْنَ/يُسَبِّحُونَ/yusabbihuna//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ یُؤْمِنُوْنَ/وَيُؤۡمِنُونَ/wayu'minuna//بِهٖ/بِهِۦ/bihi//وَ یَسْتَغْفِرُوْنَ/وَيَسۡتَغۡفِرُونَ/wayastaghfiruna//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا ۚ/ءَامَنُواْۖ/amanu//رَبَّنَا/رَبَّنَا/rabbana//وَسِعْتَ/وَسِعۡتَ/wasi'ta//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٖ/shayin//رَّحْمَةً/رَّحۡمَةٗ/rahmatan//وَّ عِلْمًا/وَعِلۡمٗا/wa'il'man//فَاغْفِرْ/فَٱغۡفِرۡ/fa-igh'fir//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//تَابُوْا/تَابُواْ/tabu//وَ اتَّبَعُوْا/وَٱتَّبَعُواْ/wa-ittaba'u//سَبِیْلَكَ/سَبِيلَكَ/sabilaka//وَ قِهِمْ/وَقِهِمۡ/waqihim//عَذَابَ/عَذَابَ/adhaba//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "যারা//ধারণ করছে//(আল্লাহর) আরশ//এবং যারা (আছে)//তার চার পাশে//তারা মহিমা ঘোষণা করছে//প্রশংসাসহ//তাদের রবের//এবং তারা ঈমান রাখে//তাঁর উপর//এবং তারা ক্ষমা প্রার্থনা করছে//(তাদের) জন্যে যারা//ঈমান আনে//\"(তারা বলে) হে আমাদের রব//তুমি ঘিরে রেখেছো//প্রত্যেক//জিনিস//অনুগ্রহে//ও জ্ঞানে//তাই মাফ করো//(তাদের)-কে যারা//তওবা করে//ও অনুসরণ করে//তোমার পথ//এবং তাদেরকে বাঁচাও//শাস্তি (হ'তে)//জাহান্নামের"
            },
            {
              "number": 4141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4141.mp3"
              ],
              "text": "رَبَّنَا وَأَدْخِلْهُمْ جَنَّٰتِ عَدْنٍ ٱلَّتِى وَعَدتَّهُمْ وَمَن صَلَحَ مِنْ ءَابَآئِهِمْ وَأَزْوَٰجِهِمْ وَذُرِّيَّٰتِهِمْ ۚ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "হে আমাদের পালনকর্তা, আর তাদেরকে দাখিল করুন চিরকাল বসবাসের জান্নাতে, যার ওয়াদা আপনি তাদেরকে দিয়েছেন এবং তাদের বাপ-দাদা, পতি-পত্নী ও সন্তানদের মধ্যে যারা সৎকর্ম করে তাদেরকে। নিশ্চয় আপনি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 8,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-ওয়া আদখিলহুম জান্না-তি ‘আদনি নিল্লাতী ওয়া ‘আত্তাহুম ওয়া মান সালাহা মিন আবাইহিম ওয়া আঝওয়া-জিহিম ওয়া যুররিইয়া-তিহিম ইন্নাকা আনতাল ‘আঝীঝুল হাকীম।\r\n",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//وَ اَدْخِلْهُمْ/وَأَدۡخِلۡهُمۡ/wa-adkhil'hum//جَنّٰتِ/جَنَّـٰتِ/jannati//عَدْنِ/عَدۡنٍ/adnin//ِ۟الَّتِیْ/ٱلَّتِي/allati//وَعَدْتَّهُمْ/وَعَدتَّهُمۡ/wa'adttahum//وَ مَنْ/وَمَن/waman//صَلَحَ/صَلَحَ/salaha//مِنْ/مِنۡ/min//اٰبَآىِٕهِمْ/ءَابَآئِهِمۡ/abaihim//وَ اَزْوَاجِهِمْ/وَأَزۡوَٰجِهِمۡ/wa-azwajihim//وَ ذُرِّیّٰتِهِمْ ؕ/وَذُرِّيَّـٰتِهِمۡۚ/wadhurriyyatihim//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُۙ/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "হে আমাদের রব//এবং তাদের প্রবেশ করাও//জান্নাত সমূহে//চিরস্থায়ী//যা//তাদের তুমি প্রতিশ্রুতি দিয়েছো//এবং যারা//সৎকর্ম করেছে//মধ্যে হ'তে//তাদের বাপ-দাদাদের//ও তাদের পতি-পত্নীদের//ও তাদের বংশধরদের//তুমি নিশ্চয়ই//তুমিই//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 4142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4142.mp3"
              ],
              "text": "وَقِهِمُ ٱلسَّيِّـَٔاتِ ۚ وَمَن تَقِ ٱلسَّيِّـَٔاتِ يَوْمَئِذٍۢ فَقَدْ رَحِمْتَهُۥ ۚ وَذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "এবং আপনি তাদেরকে অমঙ্গল থেকে রক্ষা করুন। আপনি যাকে সেদিন অমঙ্গল থেকে রক্ষা করবেন, তার প্রতি অনুগ্রহই করবেন। এটাই মহাসাফল্য।",
              "numberInSurah": 9,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 404,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ওয়া কিহিমুছ ছাইয়িআ-তি ওয়া মান তাকিছ ছাইয়িআ-তি ইয়াওমায়িযিন ফাকাদ রাহিমতাহূ ওয়া যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "وَ قِهِمُ/وَقِهِمُ/waqihimu//السَّیِّاٰتِ ؕ/ٱلسَّيِّـَٔاتِۚ/al-sayiati//وَ مَنْ/وَمَن/waman//تَقِ/تَقِ/taqi//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//فَقَدْ/فَقَدۡ/faqad//رَحِمْتَهٗ ؕ/رَحِمۡتَهُۥۚ/rahim'tahu//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ۠/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "এবং বাঁচাও তাদেরকে//(সব) মন্দ (হ'তে)//এবং যাকে//বাঁচাবে//(সব) মন্দ (হ'তে)//সেদিন//তাহ'লে নিশ্চয়ই//তাকে অনুগ্রহ করবে//এবং এটা//সেই//সাফল্য//মহা\""
            },
            {
              "number": 4143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4143.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ يُنَادَوْنَ لَمَقْتُ ٱللَّهِ أَكْبَرُ مِن مَّقْتِكُمْ أَنفُسَكُمْ إِذْ تُدْعَوْنَ إِلَى ٱلْإِيمَٰنِ فَتَكْفُرُونَ",
              "translate_bn": "যারা কাফের তাদেরকে উচ্চঃস্বরে বলা হবে, তোমাদের নিজেদের প্রতি তোমাদের আজকের এ ক্ষোভ অপেক্ষা আল্লার ক্ষোভ অধিক ছিল, যখন তোমাদেরকে ঈমান আনতে বলা হয়েছিল, অতঃপর তোমরা কুফরী করছিল।",
              "numberInSurah": 10,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূইউনা-দাওনা লামাকতুল্লা-হি আকবারু মিম্মাকতিকুম আনফুছাকুম ইয তুদ‘আওনা ইলাল ঈমা-নি ফাতাকফুরূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یُنَادَوْنَ/يُنَادَوۡنَ/yunadawna//لَمَقْتُ/لَمَقۡتُ/lamaqtu//اللّٰهِ/ٱللَّهِ/al-lahi//اَكْبَرُ/أَكۡبَرُ/akbaru//مِنْ/مِن/min//مَّقْتِكُمْ/مَّقۡتِكُمۡ/maqtikum//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//اِذْ/إِذۡ/idh//تُدْعَوْنَ/تُدۡعَوۡنَ/tud'awna//اِلَی/إِلَى/ila//الْاِیْمَانِ/ٱلۡإِيمَٰنِ/al-imani//فَتَكْفُرُوْنَ /فَتَكۡفُرُونَ/fatakfuruna",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করেছে//তাদের ডেকে বলা হবে//ক্ষোভ অবশ্যই (ছিলো)//আল্লাহর//অধিক (সেদিন)//চেয়ে//তোমাদের (আজকের) ক্ষোভের//তোমাদের নিজেদের (উপর)//যখন//তোমাদের ডাকা হতো//দিকে//ঈমানের//তখন তোমরা অস্বীকার করতে"
            },
            {
              "number": 4144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4144.mp3"
              ],
              "text": "قَالُوا۟ رَبَّنَآ أَمَتَّنَا ٱثْنَتَيْنِ وَأَحْيَيْتَنَا ٱثْنَتَيْنِ فَٱعْتَرَفْنَا بِذُنُوبِنَا فَهَلْ إِلَىٰ خُرُوجٍۢ مِّن سَبِيلٍۢ",
              "translate_bn": "তারা বলবে হে আমাদের পালনকর্তা! আপনি আমাদেরকে দু’বার মৃত্যু দিয়েছেন এবং দু’ বার জীবন দিয়েছেন। এখন আমাদের অপরাধ স্বীকার করছি। অতঃপর এখন ও নিস্কৃতির কোন উপায় আছে কি?",
              "numberInSurah": 11,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "কা-লূ রাব্বানা আমাত্তানাছনাতাইনি ওয়া আহয়াইতানাছনাতাইনি ফা‘তারাফনাবিযুনূবিনা ফাহাল ইলা-খুরূজিম মিন ছাবীল।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَمَتَّنَا/أَمَتَّنَا/amattana//اثْنَتَیْنِ/ٱثۡنَتَيۡنِ/ith'natayni//وَ اَحْیَیْتَنَا/وَأَحۡيَيۡتَنَا/wa-ahyaytana//اثْنَتَیْنِ/ٱثۡنَتَيۡنِ/ith'natayni//فَاعْتَرَفْنَا/فَٱعۡتَرَفۡنَا/fa-i'tarafna//بِذُنُوْبِنَا/بِذُنُوبِنَا/bidhunubina//فَهَلْ/فَهَلۡ/fahal//اِلٰی/إِلَىٰ/ila//خُرُوْجٍ/خُرُوجٖ/khurujin//مِّنْ/مِّن/min//سَبِیْلٍ /سَبِيلٖ/sabilin",
              "words_bangla": "তারা বলবে//\"হে আমাদের রব//আমাদেরকে তুমি  মৃত্যু দিয়েছো//দু'বার//ও আমাদেরকে তুমি জীবন দিয়েছো//দু'বার//আমরা স্বীকার করছি এখন//আমাদের পাপসমূহকে//এখন কি  (আছে)//দিকে//বের হওয়ার (পরিত্রাণের)//কোনো//পথ\""
            },
            {
              "number": 4145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4145.mp3"
              ],
              "text": "ذَٰلِكُم بِأَنَّهُۥٓ إِذَا دُعِىَ ٱللَّهُ وَحْدَهُۥ كَفَرْتُمْ ۖ وَإِن يُشْرَكْ بِهِۦ تُؤْمِنُوا۟ ۚ فَٱلْحُكْمُ لِلَّهِ ٱلْعَلِىِّ ٱلْكَبِيرِ",
              "translate_bn": "তোমাদের এ বিপদ এ কারণে যে, যখন এক আল্লাহকে ডাকা হত, তখন তোমরা কাফের হয়ে যেতে যখন তার সাথে শরীককে ডাকা হত তখন তোমরা বিশ্বাস স্থাপন করতে। এখন আদেশ তাই, যা আল্লাহ করবেন, যিনি সর্বোচ্চ, মহান।",
              "numberInSurah": 12,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুম বিআন্নাহূইযা-দু‘ইয়াল্লা-হু ওয়াহদাহূকাফারতুম ওয়া ইয়ঁইউশরাক বিহী তু’মিনূ ফালহুকমুলিল্লা-হিল ‘আলিইয়িল কাবীর।",
              "words_arabic": "ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بِاَنَّهٗ/بِأَنَّهُۥٓ/bi-annahu//اِذَا/إِذَا/idha//دُعِیَ/دُعِيَ/du'iya//اللّٰهُ/ٱللَّهُ/al-lahu//وَحْدَهٗ/وَحۡدَهُۥ/wahdahu//كَفَرْتُمْ ۚ/كَفَرۡتُمۡ/kafartum//وَ اِنْ/وَإِن/wa-in//یُّشْرَكْ/يُشۡرَكۡ/yush'rak//بِهٖ/بِهِۦ/bihi//تُؤْمِنُوْا ؕ/تُؤۡمِنُواْۚ/tu'minu//فَالْحُكْمُ/فَٱلۡحُكۡمُ/fal-huk'mu//لِلّٰهِ/لِلَّهِ/lillahi//الْعَلِیِّ/ٱلۡعَلِيِّ/al-'aliyi//الْكَبِیْرِ /ٱلۡكَبِيرِ/al-kabiri",
              "words_bangla": "\"(বলা হবে) তোমাদের এ (অবস্থা)//এ কারণে যে//যখন//ডাকা হতো//আল্লাহর (দিকে)//তাঁর একত্বের (প্রতি)//তোমরা অস্বীকার করতে//এবং যদি//শরিক করা হতো//তাঁর সাথে (অন্য কাউকে)//তোমরা ঈমান আনতে//বস্তুতঃ কর্তৃত্ব//আল্লাহরই//(যিনি) সমুচ্চ//মহান\""
            },
            {
              "number": 4146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4146.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُرِيكُمْ ءَايَٰتِهِۦ وَيُنَزِّلُ لَكُم مِّنَ ٱلسَّمَآءِ رِزْقًۭا ۚ وَمَا يَتَذَكَّرُ إِلَّا مَن يُنِيبُ",
              "translate_bn": "তিনিই তোমাদেরকে তাঁর নিদর্শনাবলী দেখান এবং তোমাদের জন্যে আকাশ থেকে নাযিল করেন রুযী। চিন্তা-ভাবনা তারাই করে, যারা আল্লাহর দিকে রুজু থাকে।",
              "numberInSurah": 13,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউরীকুম আ-য়া-তিহী ওয়া ইউনাঝঝিলুলাকুম মিনাছ ছামাই রিঝকাওঁ ওয়ামা-ইয়াতাযাক্কারু ইল্লা-মাইঁ ইউনীব।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُرِیْكُمْ/يُرِيكُمۡ/yurikum//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//وَ یُنَزِّلُ/وَيُنَزِّلُ/wayunazzilu//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//رِزْقًا ؕ/رِزۡقٗاۚ/riz'qan//وَ مَا/وَمَا/wama//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//یُّنِیْبُ /يُنِيبُ/yunibu",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//তোমাদেরকে দেখান//নিদর্শনাবলী তাঁর//ও নামান//তোমাদের জন্যে//হ'তে//আকাশ//জীবনের উপকরণ//এবং না//শিক্ষাগ্রহণ করে//এ ব্যতীত//যে//মুখ করে (আল্লাহর দিকে)"
            },
            {
              "number": 4147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4147.mp3"
              ],
              "text": "فَٱدْعُوا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ وَلَوْ كَرِهَ ٱلْكَٰفِرُونَ",
              "translate_bn": "অতএব, তোমরা আল্লাহকে খাঁটি বিশ্বাস সহকারে ডাক, যদিও কাফেররা তা অপছন্দ করে।",
              "numberInSurah": 14,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ফাদ‘উল্লা-হা মুখলিসীনা লাহুদ্দীনা ওয়ালাও কারিহাল কা-ফিরূন।",
              "words_arabic": "فَادْعُوا/فَٱدۡعُواْ/fa-id'u//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ/ٱلدِّينَ/al-dina//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "সুতরাং তোমরা ডাকো//আল্লাহকে//একনিষ্ঠ হয়ে//তাঁরই জন্যে//আনুগত্যকে (নির্দিষ্ট করে)//এবং যদিও//অপছন্দ করে//কাফেররা"
            },
            {
              "number": 4148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4148.mp3"
              ],
              "text": "رَفِيعُ ٱلدَّرَجَٰتِ ذُو ٱلْعَرْشِ يُلْقِى ٱلرُّوحَ مِنْ أَمْرِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ لِيُنذِرَ يَوْمَ ٱلتَّلَاقِ",
              "translate_bn": "তিনিই সুউচ্চ মর্যাদার অধিকারী, আরশের মালিক, তাঁর বান্দাদের মধ্যে যার প্রতি ইচ্ছা তত্ত্বপূর্ণ বিষয়াদি নাযিল করেন, যাতে সে সাক্ষাতের দিন সম্পর্কে সকলকে সতর্ক করে।",
              "numberInSurah": 15,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "রাফী’উদ্দাজা-তি যুল ‘আরশি ইউলকির রূহা মিন আমরিহী ‘আলা-মাইঁ ইয়াশাউ মিন ‘ইবা-দিহী লিইউনযিরা ইয়াওমাত্তালা-ক।",
              "words_arabic": "رَفِیْعُ/رَفِيعُ/rafi'u//الدَّرَجٰتِ/ٱلدَّرَجَٰتِ/al-darajati//ذُو/ذُو/dhu//الْعَرْشِ ۚ/ٱلۡعَرۡشِ/al-'arshi//یُلْقِی/يُلۡقِي/yul'qi//الرُّوْحَ/ٱلرُّوحَ/al-ruha//مِنْ/مِنۡ/min//اَمْرِهٖ/أَمۡرِهِۦ/amrihi//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//مِنْ/مِنۡ/min//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//لِیُنْذِرَ/لِيُنذِرَ/liyundhira//یَوْمَ/يَوۡمَ/yawma//التَّلَاقِۙ/ٱلتَّلَاقِ/al-talaqi",
              "words_bangla": "সমুচ্চ//মর্যাদাসমুহের (অধিকারী)//অধিপতি//আরশের//প্রেরণ করেন//রূহকে (অর্থাৎ ওহী)//মধ্য হতে//তাঁর নির্দেশে//উপর//যাকে//ইচ্ছে করেন//মধ্য হ'তে//তাঁর দাসদের//যেন সতর্ক করে//দিন (সম্পর্ক)//সাক্ষাতের"
            },
            {
              "number": 4149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4149.mp3"
              ],
              "text": "يَوْمَ هُم بَٰرِزُونَ ۖ لَا يَخْفَىٰ عَلَى ٱللَّهِ مِنْهُمْ شَىْءٌۭ ۚ لِّمَنِ ٱلْمُلْكُ ٱلْيَوْمَ ۖ لِلَّهِ ٱلْوَٰحِدِ ٱلْقَهَّارِ",
              "translate_bn": "যেদিন তারা বের হয়ে পড়বে, আল্লাহর কাছে তাদের কিছুই গোপন থাকবে না। আজ রাজত্ব কার? এক প্রবল পরাক্রান্ত আল্লাহর।",
              "numberInSurah": 16,
              "juz": 24,
              "manzil": 6,
              "page": 468,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা হুম বা-রিঝূনা লা-ইয়াখফা-‘আলাল্লা-হি মিনহুম শাইউল লিমানিল মুলকুল ইয়াওমা লিল্লা-হিল ওয়া-হিদিল কাহহা-র।\r\n",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//هُمْ/هُم/hum//بٰرِزُوْنَ ۚ۬/بَٰرِزُونَۖ/barizuna//لَا/لَا/la//یَخْفٰی/يَخۡفَىٰ/yakhfa//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْهُمْ/مِنۡهُمۡ/min'hum//شَیْءٌ ؕ/شَيۡءٞۚ/shayon//لِمَنِ/لِّمَنِ/limani//الْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//الْیَوْمَ ؕ/ٱلۡيَوۡمَۖ/al-yawma//لِلّٰهِ/لِلَّهِ/lillahi//الْوَاحِدِ/ٱلۡوَٰحِدِ/al-wahidi//الْقَهَّارِ /ٱلۡقَهَّارِ/al-qahari",
              "words_bangla": "সেদিন//তারা//বের হয়ে পড়বে//না//গোপন থাকবে//কাছে//আল্লাহর//তাদের মধ্যে হ'তে//কোনো কিছুই//(জিজ্ঞেস করা হবে) কার//কর্তৃত্ব//আজ//(সবাই বলবে) আল্লাহরই//(যিনি) এক ও একক//পরাক্রমশালী"
            },
            {
              "number": 4150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4150.mp3"
              ],
              "text": "ٱلْيَوْمَ تُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ ۚ لَا ظُلْمَ ٱلْيَوْمَ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ",
              "translate_bn": "আজ প্রত্যেকেই তার কৃতকর্মের প্রতিদান পাবে। আজ যুলুম নেই। নিশ্চয় আল্লাহ দ্রুত হিসাব গ্রহণকারী।",
              "numberInSurah": 17,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "আল ইয়াওমা তুজঝা-কুল্লুনাফছিম বিমা-কাছাবাত লা- জু ল মাল ইয়াওমা ইন্নাল্লাহা ছারী‘উল হিছা-ব।",
              "words_arabic": "اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//تُجْزٰی/تُجۡزَىٰ/tuj'za//كُلُّ/كُلُّ/kullu//نَفْسٍۭ/نَفۡسِۭ/nafsin//بِمَا/بِمَا/bima//كَسَبَتْ ؕ/كَسَبَتۡۚ/kasabat//لَا/لَا/la//ظُلْمَ/ظُلۡمَ/zul'ma//الْیَوْمَ ؕ/ٱلۡيَوۡمَۚ/al-yawma//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَرِیْعُ/سَرِيعُ/sari'u//الْحِسَابِ /ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "(বলা হবে) আজ//প্রতিফল দেওয়া হবে//প্রত্যেক//ব্যক্তিকে//ঐ বিষয়ের যা//সে কামাই করেছে//নেই//অত্যাচার//আজ//নিশ্চয়ই//আল্লাহ//তৎপর//হিসাব গ্রহণে"
            },
            {
              "number": 4151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4151.mp3"
              ],
              "text": "وَأَنذِرْهُمْ يَوْمَ ٱلْءَازِفَةِ إِذِ ٱلْقُلُوبُ لَدَى ٱلْحَنَاجِرِ كَٰظِمِينَ ۚ مَا لِلظَّٰلِمِينَ مِنْ حَمِيمٍۢ وَلَا شَفِيعٍۢ يُطَاعُ",
              "translate_bn": "আপনি তাদেরকে আসন্ন দিন সম্পর্কে সতর্ক করুন, যখন প্রাণ কন্ঠাগত হবে, দম বন্ধ হওয়ার উপক্রম হবে। পাপিষ্ঠদের জন্যে কোন বন্ধু নেই এবং সুপারিশকারীও নেই; যার সুপারিশ গ্রাহ্য হবে।",
              "numberInSurah": 18,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনযিরহুম ইয়াওমাল আ-ঝিফাতি ইযিল কুলূবুলাদাল হানা-জিরি কা-জিমীনা মা-লিজ্জা-লিমীনা মিন হামীমিওঁ ওয়ালা-শাফী‘ইঁ ইউতা-‘।\r\n",
              "words_arabic": "وَ اَنْذِرْهُمْ/وَأَنذِرۡهُمۡ/wa-andhir'hum//یَوْمَ/يَوۡمَ/yawma//الْاٰزِفَةِ/ٱلۡأٓزِفَةِ/al-azifati//اِذِ/إِذِ/idhi//الْقُلُوْبُ/ٱلۡقُلُوبُ/al-qulubu//لَدَی/لَدَى/lada//الْحَنَاجِرِ/ٱلۡحَنَاجِرِ/al-hanajiri//كٰظِمِیْنَ ؕ۬/كَٰظِمِينَۚ/kazimina//مَا/مَا/ma//لِلظّٰلِمِیْنَ/لِلظَّـٰلِمِينَ/lilzzalimina//مِنْ/مِنۡ/min//حَمِیْمٍ/حَمِيمٖ/hamimin//وَّ لَا/وَلَا/wala//شَفِیْعٍ/شَفِيعٖ/shafi'in//یُّطَاعُؕ/يُطَاعُ/yuta'u",
              "words_bangla": "এবং (হে নাবী) তাদেরকে সতর্ক করো//সেই দিন (সম্পর্কে)//(যা) আসন্ন//যখন//অন্তরসমূহ (কলিজাসমূহ)//নিকট (আসবে)//কন্ঠসমূহের//দুঃখ-কষ্টে//না//সীমালঙ্ঘনকারীদের জন্যে (থাকবে)//কোনো//অন্তরঙ্গ//আর না//কোনো সুপারিশকারী//মেনে নেওয়া হবে (যার কথা)"
            },
            {
              "number": 4152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4152.mp3"
              ],
              "text": "يَعْلَمُ خَآئِنَةَ ٱلْأَعْيُنِ وَمَا تُخْفِى ٱلصُّدُورُ",
              "translate_bn": "চোখের চুরি এবং অন্তরের গোপন বিষয় তিনি জানেন।",
              "numberInSurah": 19,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুখাইনাতাল আ‘ইউনি ওয়ামা-তুখফিস সুদূর।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//خَآىِٕنَةَ/خَآئِنَةَ/khainata//الْاَعْیُنِ/ٱلۡأَعۡيُنِ/al-a'yuni//وَ مَا/وَمَا/wama//تُخْفِی/تُخۡفِي/tukh'fi//الصُّدُوْرُ /ٱلصُّدُورُ/al-suduru",
              "words_bangla": "(আল্লাহ) জানেন//প্রতারণা//চোখের (অর্থাৎ চোখের চুরিও)//এবং যা//গোপন করে রাখে//অন্তরসমূহ"
            },
            {
              "number": 4153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4153.mp3"
              ],
              "text": "وَٱللَّهُ يَقْضِى بِٱلْحَقِّ ۖ وَٱلَّذِينَ يَدْعُونَ مِن دُونِهِۦ لَا يَقْضُونَ بِشَىْءٍ ۗ إِنَّ ٱللَّهَ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ",
              "translate_bn": "আল্লাহ ফয়সালা করেন সঠিকভাবে, আল্লাহর পরিবর্তে তারা যাদেরকে ডাকে, তারা কিছুই ফয়সালা করে না। নিশ্চয় আল্লাহ সবকিছু শুনেন, সবকিছু দেখেন।",
              "numberInSurah": 20,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 405,
              "hizbQuarter": 187,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু ইয়াকদী বিলহাক্কি ওয়াল্লাযীনা ইয়াদ‘ঊনা মিন দূ নিহী লা-ইয়াকদূ না বিশাইয়িন ইন্নাল্লা-হা হুওয়াছ ছামী‘উল বাসীর।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَقْضِیْ/يَقۡضِي/yaqdi//بِالْحَقِّ ؕ/بِٱلۡحَقِّۖ/bil-haqi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//لَا/لَا/la//یَقْضُوْنَ/يَقۡضُونَ/yaqduna//بِشَیْءٍ ؕ/بِشَيۡءٍۗ/bishayin//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْبَصِیْرُ۠/ٱلۡبَصِيرُ/al-basiru",
              "words_bangla": "এবং আল্লাহ//মীমাংসা করবেন//সঠিকভাবে//এবং যাদেরকে//তারা ডাকে//ছাড়া//তাঁকে//না//মীমাংসা করবে তারা//কোনো কিছুরই//নিশ্চয়ই//আল্লাহ//তিনিই//সবকিছু শুনেন//সবকিছু দেখেন"
            },
            {
              "number": 4154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4154.mp3"
              ],
              "text": "۞ أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ كَانُوا۟ مِن قَبْلِهِمْ ۚ كَانُوا۟ هُمْ أَشَدَّ مِنْهُمْ قُوَّةًۭ وَءَاثَارًۭا فِى ٱلْأَرْضِ فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ وَمَا كَانَ لَهُم مِّنَ ٱللَّهِ مِن وَاقٍۢ",
              "translate_bn": "তারা কি দেশ-বিদেশ ভ্রমণ করে না, যাতে দেখত তাদের পূর্বসুরিদের কি পরিণাম হয়েছে? তাদের শক্তি ও কীর্তি পৃথিবীতে এদের অপেক্ষা অধিকতর ছিল। অতঃপর আল্লাহ তাদেরকে তাদের গোনাহের কারণে ধৃত করেছিলেন এবং আল্লাহ থেকে তাদেরকে রক্ষাকারী কেউ হয়নি।",
              "numberInSurah": 21,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়াছীরূফিল আরদিফাইয়ানজুরূকাইফা কা-না ‘আ-কিবাতুল্লাযীনা কা-নূমিন কাবলিহিম কা-নূহুম আশাদ্দা মিনহুম কুওওয়াতাঁওয়া আ-ছা-রান ফিল আরদি ফাআখাযাহুমুল্লা-হু বিযুনূবিহিম ওয়ামা-কা-না লাহুম মিনাল্লা-হি মিওঁ ওয়া-ক।\r\n",
              "words_arabic": "اَوَ لَمْ/۞أَوَلَمۡ/awalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَانُوْا/كَانُواْ/kanu//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَانُوْا/كَانُواْ/kanu//هُمْ/هُمۡ/hum//اَشَدَّ/أَشَدَّ/ashadda//مِنْهُمْ/مِنۡهُمۡ/min'hum//قُوَّةً/قُوَّةٗ/quwwatan//وَّ اٰثَارًا/وَءَاثَارٗا/waatharan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//اللّٰهُ/ٱللَّهُ/al-lahu//بِذُنُوْبِهِمْ ؕ/بِذُنُوبِهِمۡ/bidhunubihim//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّاقٍ /وَاقٖ/waqin",
              "words_bangla": "কি নি//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//তাহ'লে তারা দেখতে পেতো//কেমন//ছিলো//পরিণাম//(তাদের) যারা//ছিলো//মধ্য হতে//তাদের পূর্বে//ছিলো//তারা//প্রবল//এদের চেয়েও//শক্তিতে//ও কীর্তিসমূহে//মধ্যে//পৃথিবীর//তাদেরকে অতঃপর পাকড়াও করলেন//আল্লাহ//তাদের পাপসমূহের কারণে//এবং না//ছিলো//তাদের জন্যে//হ'তে//আল্লাহ//কোনো//রক্ষাকারী"
            },
            {
              "number": 4155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4155.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ كَانَت تَّأْتِيهِمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ فَكَفَرُوا۟ فَأَخَذَهُمُ ٱللَّهُ ۚ إِنَّهُۥ قَوِىٌّۭ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "এর কারণ এই যে, তাদের কাছে তাদের রসূলগণ সুস্পষ্ট নিদর্শনাবলী নিয়ে আগমন করত, অতঃপর তারা কাফের হয়ে যায়, তখন আল্লাহ তাদের ধৃত করেন। নিশ্চয় তিনি শক্তিধর, কঠোর শাস্তিদাতা।",
              "numberInSurah": 22,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম কা-নাত্তা’তীহিম রুছুলুহুম বিলবাইয়িনা-তি ফাকাফারূফাআখাযাহুমুল্লা-হু ইন্নাহূকাবিওউন শাদীদুল ‘ইকা-ব।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَانَتْ/كَانَت/kanat//تَّاْتِیْهِمْ/تَّأۡتِيهِمۡ/tatihim//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَكَفَرُوْا/فَكَفَرُواْ/fakafaru//فَاَخَذَهُمُ/فَأَخَذَهُمُ/fa-akhadhahumu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّهٗ/إِنَّهُۥ/innahu//قَوِیٌّ/قَوِيّٞ/qawiyyun//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এটা//এ কারণে যে তারা//কাছে আসতো//তাদের//তাদের রাসূলগণ//নিদর্শনাবলীসহ//কিন্তু তারা অস্বীকার করতো//তখন তাদেরকে শাস্তি দিলেন//আল্লাহ//তিনি নিশ্চয়ই//শক্তিশালী//কঠোর//শাস্তিদানে"
            },
            {
              "number": 4156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4156.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَٰتِنَا وَسُلْطَٰنٍۢ مُّبِينٍ",
              "translate_bn": "আমি আমার নিদর্শনাবলী ও স্পষ্ট প্রমাণসহ মূসাকে প্রেরণ করেছি।",
              "numberInSurah": 23,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ আরছালনা-মূছা-বিআ-য়া-তিনা-ওয়া ছুলতা-নিম মুবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مُوْسٰی/مُوسَىٰ/musa//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ سُلْطٰنٍ/وَسُلۡطَٰنٖ/wasul'tanin//مُّبِیْنٍۙ/مُّبِينٍ/mubinin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//মূসাকে//আমাদের নিদর্শনাবলীসহ//ও প্রমাণ (সহ)//সুস্পষ্ট"
            },
            {
              "number": 4157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4157.mp3"
              ],
              "text": "إِلَىٰ فِرْعَوْنَ وَهَٰمَٰنَ وَقَٰرُونَ فَقَالُوا۟ سَٰحِرٌۭ كَذَّابٌۭ",
              "translate_bn": "ফেরাউন, হামান ও কারুণের কাছে, অতঃপর তারা বলল, সে তো জাদুকর, মিথ্যাবাদী।",
              "numberInSurah": 24,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ইলা-ফির‘আওনা ওয়া হা-মা-না ওয়া কা-রূনা ফাকা-লূছা-হিরুন কাযযা-ব।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ هَامٰنَ/وَهَٰمَٰنَ/wahamana//وَ قَارُوْنَ/وَقَٰرُونَ/waqaruna//فَقَالُوْا/فَقَالُواْ/faqalu//سٰحِرٌ/سَٰحِرٞ/sahirun//كَذَّابٌ /كَذَّابٞ/kadhabun",
              "words_bangla": "নিকটে//ফিরআউনের//ও হামানের//ও কারূনের//তারা কিন্তু বলেছিলো//\"(সে একজন) যাদুকর//মিথ্যাবাদী\""
            },
            {
              "number": 4158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4158.mp3"
              ],
              "text": "فَلَمَّا جَآءَهُم بِٱلْحَقِّ مِنْ عِندِنَا قَالُوا۟ ٱقْتُلُوٓا۟ أَبْنَآءَ ٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ وَٱسْتَحْيُوا۟ نِسَآءَهُمْ ۚ وَمَا كَيْدُ ٱلْكَٰفِرِينَ إِلَّا فِى ضَلَٰلٍۢ",
              "translate_bn": "অতঃপর মূসা যখন আমার কাছ থেকে সত্যসহ তাদের কাছে পৌঁছাল; তখন তারা বলল, যারা তার সঙ্গী হয়ে বিশ্বাস স্থাপন করেছে, তাদের পুত্র সন্তানদেরকে হত্যা কর, আর তাদের নারীদেরকে জীবিত রাখ। কাফেরদের চক্রান্ত ব্যর্থই হয়েছে।",
              "numberInSurah": 25,
              "juz": 24,
              "manzil": 6,
              "page": 469,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআ হুম বিলহাক্কিমিন ‘ইনদিনা-কা-লুকতুলূআবনাআল্লাযীনা আ-মানূ মা‘আহু ওয়াছতাহইঊ নিছাআহুম ওয়ামা-কাইদুল কা-ফিরীনা ইল্লা-ফী দালা-ল।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُم/jaahum//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//مِنْ/مِنۡ/min//عِنْدِنَا/عِندِنَا/indina//قَالُوا/قَالُواْ/qalu//اقْتُلُوْۤا/ٱقۡتُلُوٓاْ/uq'tulu//اَبْنَآءَ/أَبۡنَآءَ/abnaa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ/مَعَهُۥ/ma'ahu//وَ اسْتَحْیُوْا/وَٱسۡتَحۡيُواْ/wa-is'tahyu//نِسَآءَهُمْ ؕ/نِسَآءَهُمۡۚ/nisaahum//وَ مَا/وَمَا/wama//كَیْدُ/كَيۡدُ/kaydu//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//ضَلٰلٍ /ضَلَٰلٖ/dalalin",
              "words_bangla": "পরে যখন//তাদের কাছে নিয়ে এলো//প্রকৃত সত্যসহ//হ'তে//আমাদের নিকট//তারা বললো//\"তোমরা হত্যা করো//পুত্র সন্তানদেরকে//(তাদের) যারা//ঈমান এনেছে//তার সাথে//এবং তোমরা জীবিত রাখো//তাদের নারীদেরকে\"//এবং নয়//ষড়যন্ত্র//কাফেরদের//এ ব্যতীত//মধ্যে//ভ্রান্তির"
            },
            {
              "number": 4159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4159.mp3"
              ],
              "text": "وَقَالَ فِرْعَوْنُ ذَرُونِىٓ أَقْتُلْ مُوسَىٰ وَلْيَدْعُ رَبَّهُۥٓ ۖ إِنِّىٓ أَخَافُ أَن يُبَدِّلَ دِينَكُمْ أَوْ أَن يُظْهِرَ فِى ٱلْأَرْضِ ٱلْفَسَادَ",
              "translate_bn": "ফেরাউন বলল; তোমরা আমাকে ছাড়, মূসাকে হত্যা করতে দাও, ডাকুক সে তার পালনকর্তাকে! আমি আশংকা করি যে, সে তোমাদের ধর্ম পরিবর্তন করে দেবে অথবা সে দেশময় বিপর্যয় সৃষ্টি করবে।",
              "numberInSurah": 26,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ফির‘আওনুযারূনীআকতুল মুছা-ওয়াল ইয়াদ‘উ রাব্বাহূ ইন্নীআখা-ফু আইঁ ইউবাদ্দিলা দীনাকুম আও আইঁ ইউজহিরা ফিল আরদিল ফাছা-দ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//ذَرُوْنِیْۤ/ذَرُونِيٓ/dharuni//اَقْتُلْ/أَقۡتُلۡ/aqtul//مُوْسٰی/مُوسَىٰ/musa//وَ لْیَدْعُ/وَلۡيَدۡعُ/walyad'u//رَبَّهٗ ۚ/رَبَّهُۥٓۖ/rabbahu//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اَنْ/أَن/an//یُّبَدِّلَ/يُبَدِّلَ/yubaddila//دِیْنَكُمْ/دِينَكُمۡ/dinakum//اَوْ/أَوۡ/aw//اَنْ/أَن/an//یُّظْهِرَ/يُظۡهِرَ/yuz'hira//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//الْفَسَادَ /ٱلۡفَسَادَ/al-fasada",
              "words_bangla": "এবং বললো//ফিরআউন//\"আমাকে ছাড়ো//আমি হত্যা করে ফেলি//মূসাকে//এবং সে ডাকে যেন//তাঁর রবকে//নিশ্চয়ই আমি//আমি আশংকা করি//যে//সে পাল্টে দিবে//তোমাদের ধর্মকে//অথবা//যে//সৃষ্টি করবে//মধ্যে//দেশের//বিপর্যয়\""
            },
            {
              "number": 4160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4160.mp3"
              ],
              "text": "وَقَالَ مُوسَىٰٓ إِنِّى عُذْتُ بِرَبِّى وَرَبِّكُم مِّن كُلِّ مُتَكَبِّرٍۢ لَّا يُؤْمِنُ بِيَوْمِ ٱلْحِسَابِ",
              "translate_bn": "মূসা বলল, যারা হিসাব দিবসে বিশ্বাস করে না এমন প্রত্যেক অহংকারী থেকে আমি আমার ও তোমাদের পালনকর্তার আশ্রয় নিয়ে নিয়েছি।",
              "numberInSurah": 27,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 406,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা রাজুলুম মু’মিনুম মিন আ-লি ফির‘আওনা ইয়াকতুমুঈমা-নাহূ আতাকতুলূনা রাজূলান আইঁ ইয়াকূলা রাব্বিয়াল্লা-হু ওয়া কাদ জাআকুম বিলবাইয়িনা-তি মির রাব্বিকুম ওয়া ইয়ঁইয়াকুকা-যিবান ফা‘আলাইহি কাযিবুহূওয়া ইয়ঁইয়াকুসাদিকাইঁ ইউসিবকুম বা‘দুল্লাযী ইয়া‘ইদুকুম ইন্নাল্লা-হা লা-ইয়াহদী মান হুওয়া মুছরিফুন কাযযাব।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//مُوْسٰۤی/مُوسَىٰٓ/musa//اِنِّیْ/إِنِّي/inni//عُذْتُ/عُذۡتُ/udh'tu//بِرَبِّیْ/بِرَبِّي/birabbi//وَ رَبِّكُمْ/وَرَبِّكُم/warabbikum//مِّنْ/مِّن/min//كُلِّ/كُلِّ/kulli//مُتَكَبِّرٍ/مُتَكَبِّرٖ/mutakabbirin//لَّا/لَّا/la//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِیَوْمِ/بِيَوۡمِ/biyawmi//الْحِسَابِ۠/ٱلۡحِسَابِ/al-hisabi",
              "words_bangla": "এবং বললো//মূসা//\"নিশ্চয়ই আমি//আমি আশ্রয় চাই//আমার রবের কাছে//ও তোমাদের রবের (কাছে)//হ'তে//প্রত্যেক//অহংকারী ব্যক্তি//(যে) না//বিশ্বাস করে//দিনের প্রতি//বিচারের\""
            },
            {
              "number": 4161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4161.mp3"
              ],
              "text": "وَقَالَ رَجُلٌۭ مُّؤْمِنٌۭ مِّنْ ءَالِ فِرْعَوْنَ يَكْتُمُ إِيمَٰنَهُۥٓ أَتَقْتُلُونَ رَجُلًا أَن يَقُولَ رَبِّىَ ٱللَّهُ وَقَدْ جَآءَكُم بِٱلْبَيِّنَٰتِ مِن رَّبِّكُمْ ۖ وَإِن يَكُ كَٰذِبًۭا فَعَلَيْهِ كَذِبُهُۥ ۖ وَإِن يَكُ صَادِقًۭا يُصِبْكُم بَعْضُ ٱلَّذِى يَعِدُكُمْ ۖ إِنَّ ٱللَّهَ لَا يَهْدِى مَنْ هُوَ مُسْرِفٌۭ كَذَّابٌۭ",
              "translate_bn": "ফেরাউন গোত্রের এক মুমিন ব্যক্তি, যে তার ঈমান গোপন রাখত, সে বলল, তোমরা কি একজনকে এজন্যে হত্যা করবে যে, সে বলে, আমার পালনকর্তা আল্লাহ, অথচ সে তোমাদের পালনকর্তার নিকট থেকে স্পষ্ট প্রমাণসহ তোমাদের নিকট আগমন করেছে? যদি সে মিথ্যাবাদী হয়, তবে তার মিথ্যাবাদিতা তার উপরই চাপবে, আর যদি সে সত্যবাদী হয়, তবে সে যে শাস্তির কথা বলছে, তার কিছু না কিছু তোমাদের উপর পড়বেই। নিশ্চয় আল্লাহ সীমালংঘনকারী, মিথ্যাবাদীকে পথ প্রদর্শন করেন না।",
              "numberInSurah": 28,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা মূছাইন্নী ‘উযতুবিরাববী ওয়া রাব্বিকুম মিন কুল্লি মুতাকাব্বিরিল লা-ইউ’মিনু বিইয়াওমিল হিছা-ব।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//رَجُلٌ/رَجُلٞ/rajulun//مُّؤْمِنٌ ۖۗ/مُّؤۡمِنٞ/mu'minun//مِّنْ/مِّنۡ/min//اٰلِ/ءَالِ/ali//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//یَكْتُمُ/يَكۡتُمُ/yaktumu//اِیْمَانَهٗۤ/إِيمَٰنَهُۥٓ/imanahu//اَتَقْتُلُوْنَ/أَتَقۡتُلُونَ/ataqtuluna//رَجُلًا/رَجُلًا/rajulan//اَنْ/أَن/an//یَّقُوْلَ/يَقُولَ/yaqula//رَبِّیَ/رَبِّيَ/rabbiya//اللّٰهُ/ٱللَّهُ/al-lahu//وَ قَدْ/وَقَدۡ/waqad//جَآءَكُمْ/جَآءَكُم/jaakum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//مِنْ/مِن/min//رَّبِّكُمْ ؕ/رَّبِّكُمۡۖ/rabbikum//وَ اِنْ/وَإِن/wa-in//یَّكُ/يَكُ/yaku//كَاذِبًا/كَٰذِبٗا/kadhiban//فَعَلَیْهِ/فَعَلَيۡهِ/fa'alayhi//كَذِبُهٗ ۚ/كَذِبُهُۥۖ/kadhibuhu//وَ اِنْ/وَإِن/wa-in//یَّكُ/يَكُ/yaku//صَادِقًا/صَادِقٗا/sadiqan//یُّصِبْكُمْ/يُصِبۡكُم/yusib'kum//بَعْضُ/بَعۡضُ/ba'du//الَّذِیْ/ٱلَّذِي/alladhi//یَعِدُكُمْ ؕ/يَعِدُكُمۡۖ/ya'idukum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِیْ/يَهۡدِي/yahdi//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//مُسْرِفٌ/مُسۡرِفٞ/mus'rifun//كَذَّابٌ /كَذَّابٞ/kadhabun",
              "words_bangla": "এবং বললো//এক ব্যক্তি//মু'মিন//মধ্যে হ'তে//সম্প্রদায়ের//ফিরআউনের//যে গোপন রেখেছিলো//তার ঈমান//\"তোমরা হত্যা করবে কি//এক ব্যক্তিকে//(এ কারণে) যে//সে বলে//\"আমার রব//আল্লাহ\"//অথচ নিশ্চয়ই//তোমাদের কাছে এসেছে//সুস্পষ্ট প্রমাণ নিয়ে//পক্ষ হ'তে//তোমাদের রবের//এবং যদি//সে হয়//মিথ্যাবাদী//তবে তার উপর (বর্তিবে)//তার মিথ্যার দায়//কিন্তু যদি//সে হয়//সত্যবাদী//তোমাদের উপর আপতিত হবে//(তার) কিছু//যা//তোমাদেরকে সে ভয় দেখাচ্ছে//নিশ্চয়ই//আল্লাহ//না//পথ দেখান//(এমন) কাউকে//যে//সীমালংঘনকারী//ডাহা মিথ্যাবাদী"
            },
            {
              "number": 4162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4162.mp3"
              ],
              "text": "يَٰقَوْمِ لَكُمُ ٱلْمُلْكُ ٱلْيَوْمَ ظَٰهِرِينَ فِى ٱلْأَرْضِ فَمَن يَنصُرُنَا مِنۢ بَأْسِ ٱللَّهِ إِن جَآءَنَا ۚ قَالَ فِرْعَوْنُ مَآ أُرِيكُمْ إِلَّا مَآ أَرَىٰ وَمَآ أَهْدِيكُمْ إِلَّا سَبِيلَ ٱلرَّشَادِ",
              "translate_bn": "হে আমার কওম, আজ এদেশে তোমাদেরই রাজত্ব, দেশময় তোমরাই বিচরণ করছ; কিন্তু আমাদের আল্লাহর শাস্তি এসে গেলে কে আমাদেরকে সাহায্য করবে? ফেরাউন বলল, আমি যা বুঝি, তোমাদেরকে তাই বোঝাই, আর আমি তোমাদেরকে মঙ্গলের পথই দেখাই।",
              "numberInSurah": 29,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ইয়া-কাওমি লাকুমুল ইয়াওমা জা-হিরীনা ফিল আরদি ফামাইঁ ইয়ানসুরুনা-মিম বা’ছিল্লা-হি ইন জাআনা- কা-লা ফির‘আওনুমাউরীকুম ইল্লা-মাআরাওয়ামাআহদীকুম ইল্লা-ছাবীলার রাশা-দ।",
              "words_arabic": "یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لَكُمُ/لَكُمُ/lakumu//الْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//ظٰهِرِیْنَ/ظَٰهِرِينَ/zahirina//فِی/فِي/fi//الْاَرْضِ ؗ/ٱلۡأَرۡضِ/al-ardi//فَمَنْ/فَمَن/faman//یَّنْصُرُنَا/يَنصُرُنَا/yansuruna//مِنْۢ/مِنۢ/min//بَاْسِ/بَأۡسِ/basi//اللّٰهِ/ٱللَّهِ/al-lahi//اِنْ/إِن/in//جَآءَنَا ؕ/جَآءَنَاۚ/jaana//قَالَ/قَالَ/qala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//مَاۤ/مَآ/ma//اُرِیْكُمْ/أُرِيكُمۡ/urikum//اِلَّا/إِلَّا/illa//مَاۤ/مَآ/ma//اَرٰی/أَرَىٰ/ara//وَ مَاۤ/وَمَآ/wama//اَهْدِیْكُمْ/أَهۡدِيكُمۡ/ahdikum//اِلَّا/إِلَّا/illa//سَبِیْلَ/سَبِيلَ/sabila//الرَّشَادِ /ٱلرَّشَادِ/al-rashadi",
              "words_bangla": "হে আমার জাতি//তোমাদেরই//রাজত্ব//আজ//তোমরা বিজয়ী//মধ্যে//দেশের//কিন্তু কে//আমাদেরকে সাহায্য করবে//হ'তে//শাস্তি//আল্লাহর//যদি//আমাদের উপর (তা) আসে\"//বললো//ফিরআউন//\"না//তোমাদেরকে মতামত দিচ্ছি//এ ব্যতীত//যা//আমি ভালো মনে করি//আর না//তোমাদেরকে আমি পরিচালনা করছি//এ ব্যতীত//পথে//সঠিক\""
            },
            {
              "number": 4163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4163.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِىٓ ءَامَنَ يَٰقَوْمِ إِنِّىٓ أَخَافُ عَلَيْكُم مِّثْلَ يَوْمِ ٱلْأَحْزَابِ",
              "translate_bn": "সে মুমিন ব্যক্তি বললঃ হে আমার কওম, আমি তোমাদের জন্যে পূর্ববর্তী সম্প্রদায়সমূহের মতই বিপদসঙ্কুল দিনের আশংকা করি।",
              "numberInSurah": 30,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়াকালাল্লাযী আ-মানা ইয়াকাওমি ইন্নীআখা-ফু‘আলাইকুম মিছলা ইয়াওমিল আহঝা-ব।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اٰمَنَ/ءَامَنَ/amana//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّثْلَ/مِّثۡلَ/mith'la//یَوْمِ/يَوۡمِ/yawmi//الْاَحْزَابِۙ/ٱلۡأَحۡزَابِ/al-ahzabi",
              "words_bangla": "এবং বললো//যে//ঈমান এনেছিলো//\"হে আমার জাতি//নিশ্চয়ই আমি//আমি ভয় করছি//তোমাদের উপর//মতো//(শাস্তির) দিনের//(অতীতের দল বা) জাতিসমূহের"
            },
            {
              "number": 4164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4164.mp3"
              ],
              "text": "مِثْلَ دَأْبِ قَوْمِ نُوحٍۢ وَعَادٍۢ وَثَمُودَ وَٱلَّذِينَ مِنۢ بَعْدِهِمْ ۚ وَمَا ٱللَّهُ يُرِيدُ ظُلْمًۭا لِّلْعِبَادِ",
              "translate_bn": "যেমন, কওমে নূহ, আদ, সামুদ ও তাদের পরবর্তীদের অবস্থা হয়েছিল। আল্লাহ বান্দাদের প্রতি কোন যুলুম করার ইচ্ছা করেন না।",
              "numberInSurah": 31,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "মিছলা দা’বি কাওমি নূহিওঁ ওয়া ‘আ-দিওঁ ওয়া ছামূদা ওয়াল্লাযীনা মিম বা‘দিহিম ওয়া মাল্লা-হু ইউরীদুজুলমাল লিল‘ইবা-দ।",
              "words_arabic": "مِثْلَ/مِثۡلَ/mith'la//دَاْبِ/دَأۡبِ/dabi//قَوْمِ/قَوۡمِ/qawmi//نُوْحٍ/نُوحٖ/nuhin//وَّ عَادٍ/وَعَادٖ/wa'adin//وَّ ثَمُوْدَ/وَثَمُودَ/wathamuda//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْۢ/مِنۢ/min//بَعْدِهِمْ ؕ/بَعۡدِهِمۡۚ/ba'dihim//وَ مَا/وَمَا/wama//اللّٰهُ/ٱللَّهُ/al-lahu//یُرِیْدُ/يُرِيدُ/yuridu//ظُلْمًا/ظُلۡمٗا/zul'man//لِّلْعِبَادِ /لِّلۡعِبَادِ/lil'ibadi",
              "words_bangla": "মতো//কর্মপন্থা//জাতির//নূহের//ও আ'দের//ও সামূদের//এবং যারা (ছিলো)//থেকে//পরে তাদের//এবং না//আল্লাহ//চান//অত্যাচার//দাসদের জন্যে"
            },
            {
              "number": 4165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4165.mp3"
              ],
              "text": "وَيَٰقَوْمِ إِنِّىٓ أَخَافُ عَلَيْكُمْ يَوْمَ ٱلتَّنَادِ",
              "translate_bn": "হে আমার কওম, আমি তোমাদের জন্যে প্রচন্ড হাঁক-ডাকের দিনের আশংকা করি।",
              "numberInSurah": 32,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি ইন্নীআখা-ফু‘আলাইকুম ইয়াওমাততানা-দ।",
              "words_arabic": "وَ یٰقَوْمِ/وَيَٰقَوۡمِ/wayaqawmi//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//یَوْمَ/يَوۡمَ/yawma//التَّنَادِۙ/ٱلتَّنَادِ/al-tanadi",
              "words_bangla": "এবং হে আমার জাতি//নিশ্চয়ই আমি//আমি ভয় করছি//তোমাদের উপর//দিনের//আর্তনাদের"
            },
            {
              "number": 4166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4166.mp3"
              ],
              "text": "يَوْمَ تُوَلُّونَ مُدْبِرِينَ مَا لَكُم مِّنَ ٱللَّهِ مِنْ عَاصِمٍۢ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍۢ",
              "translate_bn": "যেদিন তোমরা পেছনে ফিরে পলায়ন করবে; কিন্তু আল্লাহ থেকে তোমাদেরকে রক্ষাকারী কেউ থাকবে না। আল্লাহ যাকে পথভ্রষ্ট করেন, তার কোন পথপ্রদর্শক নেই।",
              "numberInSurah": 33,
              "juz": 24,
              "manzil": 6,
              "page": 470,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তুওয়াললূনা মুদবিরীনা মা-লাকুম মিনাল্লা-হি মিন ‘আ-সিমিওঁ ওয়া মাইঁ ইউদলিলিল্লা -হু ফামা-লাহূমিন হা-দ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تُوَلُّوْنَ/تُوَلُّونَ/tuwalluna//مُدْبِرِیْنَ ۚ/مُدۡبِرِينَ/mud'birina//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِنۡ/min//عَاصِمٍ ۚ/عَاصِمٖۗ/asimin//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//هَادٍ /هَادٖ/hadin",
              "words_bangla": "যেদিন//তোমরা পালাবে//পিছনে//না (থাকবে)//তোমাদের জন্যে//হ'তে//আল্লাহ//কোনো//রক্ষাকারী//এবং যাকে//পথভ্রষ্ট করেন//আল্লাহ//তখন নাই//তার জন্যে//কোনো//পথ প্রদর্শক"
            },
            {
              "number": 4167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4167.mp3"
              ],
              "text": "وَلَقَدْ جَآءَكُمْ يُوسُفُ مِن قَبْلُ بِٱلْبَيِّنَٰتِ فَمَا زِلْتُمْ فِى شَكٍّۢ مِّمَّا جَآءَكُم بِهِۦ ۖ حَتَّىٰٓ إِذَا هَلَكَ قُلْتُمْ لَن يَبْعَثَ ٱللَّهُ مِنۢ بَعْدِهِۦ رَسُولًۭا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ مَنْ هُوَ مُسْرِفٌۭ مُّرْتَابٌ",
              "translate_bn": "ইতিপূর্বে তোমাদের কাছে ইউসুফ সুস্পষ্ট প্রামাণাদিসহ আগমন করেছিল, অতঃপর তোমরা তার আনীত বিষয়ে সন্দেহই পোষণ করতে। অবশেষে যখন সে মারা গেল, তখন তোমরা বলতে শুরু করলে, আল্লাহ ইউসুফের পরে আর কাউকে রসূলরূপে পাঠাবেন না। এমনিভাবে আল্লাহ সীমালংঘনকারী, সংশয়ী ব্যক্তিকে পথভ্রষ্ট করেন।",
              "numberInSurah": 34,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা কাদ জাআকুম ইঊছুফুমিন কাবলুবিলবাইয়িনা-তি ফামা-ঝিলতুম ফী শাক্কিম মিম্মাজাআকুম বিহী হাত্তাইযা-হালাকা কুলতুম লাইঁ ইয়াব‘আছাল্লা-হু মিম বা‘দিহী রাছূলান কাযা-লিকা ইউদিল্লুল্লা-হু মান হুওয়া মুছরিফুম মুরতা-ব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَكُمْ/جَآءَكُمۡ/jaakum//یُوْسُفُ/يُوسُفُ/yusufu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَمَا/فَمَا/fama//زِلْتُمْ/زِلۡتُمۡ/zil'tum//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//مِّمَّا/مِّمَّا/mimma//جَآءَكُمْ/جَآءَكُم/jaakum//بِهٖ ؕ/بِهِۦۖ/bihi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//هَلَكَ/هَلَكَ/halaka//قُلْتُمْ/قُلۡتُمۡ/qul'tum//لَنْ/لَن/lan//یَّبْعَثَ/يَبۡعَثَ/yab'atha//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْۢ/مِنۢ/min//بَعْدِهٖ/بَعۡدِهِۦ/ba'dihi//رَسُوْلًا ؕ/رَسُولٗاۚ/rasulan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُضِلُّ/يُضِلُّ/yudillu//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//مُسْرِفٌ/مُسۡرِفٞ/mus'rifun//مُّرْتَابُۚۖ/مُّرۡتَابٌ/mur'tabun",
              "words_bangla": "এবং নিশ্চয়ই//কাছে এসেছিলো তোমাদের//ইউসুফ//পূর্বে//ইতি//সুস্পষ্ট প্রমাণসহ//কিন্তু//তোমরা ছিলে সর্বদা//মধ্যে//সন্দেহের//ঐ বিষয়ে যা//তোমাদের কাছে এনেছিলো//সে সম্পর্কে//অবশেষে//যখন//সে মারা গেলো//তোমরা বলেছিলে//\"কখনও না//পাঠাবেন//আল্লাহ//পরে//তার//কোনো রাসূল\"//এভাবে//বিভ্রান্ত করেন//আল্লাহ//তাকে//যে//সীমালংঘন//সংশয়বাদী\""
            },
            {
              "number": 4168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4168.mp3"
              ],
              "text": "ٱلَّذِينَ يُجَٰدِلُونَ فِىٓ ءَايَٰتِ ٱللَّهِ بِغَيْرِ سُلْطَٰنٍ أَتَىٰهُمْ ۖ كَبُرَ مَقْتًا عِندَ ٱللَّهِ وَعِندَ ٱلَّذِينَ ءَامَنُوا۟ ۚ كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ كُلِّ قَلْبِ مُتَكَبِّرٍۢ جَبَّارٍۢ",
              "translate_bn": "যারা নিজেদের কাছে আগত কোন দলীল ছাড়াই আল্লাহর আয়াত সম্পর্কে বিতর্ক করে, তাদের একজন আল্লাহ ও মুমিনদের কাছে খুবই অসন্তোষজনক। এমনিভাবে আল্লাহ প্রত্যেক অহংকারী-স্বৈরাচারী ব্যক্তির অন্তরে মোহর এঁটে দেন।",
              "numberInSurah": 35,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউজা-দিলূনা ফীআ-য়া-তিল্লা-হি বিগাইরি ছুলতা-নিন আতা-হুম কাবুরা মাকতান ‘ইনদাল্লা-হি ওয়া ‘ইনদাল্লাযীনা আ-মানূ কাযা-লিকা ইয়াতবা‘উল্লা-হু ‘আলা-কুল্লি কালবি মুতাকাব্বিরিন জাব্বা-র।",
              "words_arabic": "ِ۟الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُجَادِلُوْنَ/يُجَٰدِلُونَ/yujadiluna//فِیْۤ/فِيٓ/fi//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//سُلْطٰنٍ/سُلۡطَٰنٍ/sul'tanin//اَتٰىهُمْ ؕ/أَتَىٰهُمۡۖ/atahum//كَبُرَ/كَبُرَ/kabura//مَقْتًا/مَقۡتًا/maqtan//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عِنْدَ/وَعِندَ/wa'inda//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ؕ/ءَامَنُواْۚ/amanu//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَطْبَعُ/يَطۡبَعُ/yatba'u//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//قَلْبِ/قَلۡبِ/qalbi//مُتَكَبِّرٍ/مُتَكَبِّرٖ/mutakabbirin//جَبَّارٍ /جَبَّارٖ/jabbarin",
              "words_bangla": "যারা//তর্কে লিপ্ত হয়//ক্ষেত্রে//নিদর্শনাবলীর//আল্লাহর//ব্যতীত//কোনো প্রমাণ (যা)//তাদের কাছে এসেছে//অতিশয় হয়েছে//ঘৃণা//কাছে//আল্লাহর//ও কাছে//(তাদের) যারা//ঈমান এনেছে//এভাবে//সীল মেরে দেন//আল্লাহ//উপর//প্রত্যেক//অন্তরের (উপর)//(যা) অহংকারী//স্বৈরাচারী\""
            },
            {
              "number": 4169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4169.mp3"
              ],
              "text": "وَقَالَ فِرْعَوْنُ يَٰهَٰمَٰنُ ٱبْنِ لِى صَرْحًۭا لَّعَلِّىٓ أَبْلُغُ ٱلْأَسْبَٰبَ",
              "translate_bn": "ফেরাউন বলল, হে হামান, তুমি আমার জন্যে একটি সুউচ্চ প্রাসাদ নির্মাণ কর, হয়তো আমি পৌঁছে যেতে পারব।",
              "numberInSurah": 36,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা ফির‘আওনুইয়া-হা-মা-নুবনি লী সারহাল্লা‘আললীআবলুগুল আছবা-ব।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//یٰهَامٰنُ/يَٰهَٰمَٰنُ/yahamanu//ابْنِ/ٱبۡنِ/ib'ni//لِیْ/لِي/li//صَرْحًا/صَرۡحٗا/sarhan//لَّعَلِّیْۤ/لَّعَلِّيٓ/la'alli//اَبْلُغُ/أَبۡلُغُ/ablughu//الْاَسْبَابَۙ/ٱلۡأَسۡبَٰبَ/al-asbaba",
              "words_bangla": "এবং বললো//ফিরআউন//\"হে হামান//নির্মাণ করো//আমার জন্যে//সুউচ্চ প্রাসাদ//যাতে//আমি পৌঁছি//পথসমূহে"
            },
            {
              "number": 4170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4170.mp3"
              ],
              "text": "أَسْبَٰبَ ٱلسَّمَٰوَٰتِ فَأَطَّلِعَ إِلَىٰٓ إِلَٰهِ مُوسَىٰ وَإِنِّى لَأَظُنُّهُۥ كَٰذِبًۭا ۚ وَكَذَٰلِكَ زُيِّنَ لِفِرْعَوْنَ سُوٓءُ عَمَلِهِۦ وَصُدَّ عَنِ ٱلسَّبِيلِ ۚ وَمَا كَيْدُ فِرْعَوْنَ إِلَّا فِى تَبَابٍۢ",
              "translate_bn": "আকাশের পথে, অতঃপর উঁকি মেরে দেখব মূসার আল্লাহকে। বস্তুতঃ আমি তো তাকে মিথ্যাবাদীই মনে করি। এভাবেই ফেরাউনের কাছে সুশোভিত করা হয়েছিল তার মন্দ কর্মকে এবং সোজা পথ থেকে তাকে বিরত রাখা হয়েছিল। ফেরাউনের চক্রান্ত ব্যর্থ হওয়ারই ছিল।",
              "numberInSurah": 37,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 407,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "আছবা-বাছছামা-ওয়া-তি ফাআত্তালি‘আ ইলাইলা-হি মূছা-ওয়া ইন্নী লাআজুন্নুহূকাযিবাওঁ ওয়া কাযা-লিকা ঝুইয়িনা লিফির‘আওনা ছূউ ‘আমালিহী ওয়াসুদ্দা ‘আনিছছাবীলি ওয়ামা-কাইদুফির‘আওনা ইল্লা-ফী তাবা-ব।",
              "words_arabic": "اَسْبَابَ/أَسۡبَٰبَ/asbaba//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//فَاَطَّلِعَ/فَأَطَّلِعَ/fa-attali'a//اِلٰۤی/إِلَىٰٓ/ila//اِلٰهِ/إِلَٰهِ/ilahi//مُوْسٰی/مُوسَىٰ/musa//وَ اِنِّیْ/وَإِنِّي/wa-inni//لَاَظُنُّهٗ/لَأَظُنُّهُۥ/la-azunnuhu//كَاذِبًا ؕ/كَٰذِبٗاۚ/kadhiban//وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//زُیِّنَ/زُيِّنَ/zuyyina//لِفِرْعَوْنَ/لِفِرۡعَوۡنَ/lifir'awna//سُوْٓءُ/سُوٓءُ/suu//عَمَلِهٖ/عَمَلِهِۦ/amalihi//وَ صُدَّ/وَصُدَّ/wasudda//عَنِ/عَنِ/ani//السَّبِیْلِ ؕ/ٱلسَّبِيلِۚ/al-sabili//وَ مَا/وَمَا/wama//كَیْدُ/كَيۡدُ/kaydu//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//تَبَابٍ۠/تَبَابٖ/tababin",
              "words_bangla": "পথসমূহ//আকাশের//আমি অতঃপর উঁকি মেরে দেখি//কাছে//ইলাহর//মূসার//এবং নিশ্চয়ই আমি//আমি অবশ্যই তাকে মনে করি//মিথ্যাবাদী\"//এবং এভাবে//শোভন করা হয়েছিলো//ফিরআউনের জন্যে//খারাপ//তার কাজ কর্ম//ও বিরত রাখা হয়েছিলো তাকে//হ'তে//(সঠিক) পথ//এবং না//ষড়যন্ত্র  (কাজে লাগলো)//ফিরআউনের//এ ব্যতীত//মধ্যে//ধংসের (পতিত হলো)"
            },
            {
              "number": 4171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4171.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِىٓ ءَامَنَ يَٰقَوْمِ ٱتَّبِعُونِ أَهْدِكُمْ سَبِيلَ ٱلرَّشَادِ",
              "translate_bn": "মুমিন লোকটি বললঃ হে আমার কওম, তোমরা আমার অনুসরণ কর। আমি তোমাদেরকে সৎপথ প্রদর্শন করব।",
              "numberInSurah": 38,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 408,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ওয়াকালাল্লাযীআ-মানা ইয়া-কাওমিততাবি‘ঊনি আহদিকুম ছাবীলার রাশা-দ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اٰمَنَ/ءَامَنَ/amana//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اتَّبِعُوْنِ/ٱتَّبِعُونِ/ittabi'uni//اَهْدِكُمْ/أَهۡدِكُمۡ/ahdikum//سَبِیْلَ/سَبِيلَ/sabila//الرَّشَادِۚ/ٱلرَّشَادِ/al-rashadi",
              "words_bangla": "এবং বললো//যে//ঈমান এনেছিলো//\"হে আমার জাতি//আমাকে তোমরা অনুসরণ করো//তোমাদেরকে আমি পরিচালিত করবো//পথে//সঠিক"
            },
            {
              "number": 4172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4172.mp3"
              ],
              "text": "يَٰقَوْمِ إِنَّمَا هَٰذِهِ ٱلْحَيَوٰةُ ٱلدُّنْيَا مَتَٰعٌۭ وَإِنَّ ٱلْءَاخِرَةَ هِىَ دَارُ ٱلْقَرَارِ",
              "translate_bn": "হে আমার কওম, পার্থিব এ জীবন তো কেবল উপভোগের বস্তু, আর পরকাল হচ্ছে স্থায়ী বসবাসের গৃহ।",
              "numberInSurah": 39,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 408,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "ইয়া-কাওমি ইন্নামা-হা-যিহিল হায়া-তুদ দুনইয়া-মাতা-‘উওঁ ওয়া ইন্নাল আ-খিরাতা হিয়া দা-রুল কারা-র।",
              "words_arabic": "یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنَّمَا/إِنَّمَا/innama//هٰذِهِ/هَٰذِهِ/hadhihi//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//مَتَاعٌ ؗ/مَتَٰعٞ/mata'un//وَّ اِنَّ/وَإِنَّ/wa-inna//الْاٰخِرَةَ/ٱلۡأٓخِرَةَ/al-akhirata//هِیَ/هِيَ/hiya//دَارُ/دَارُ/daru//الْقَرَارِ /ٱلۡقَرَارِ/al-qarari",
              "words_bangla": "হে আমার জাতি//মূলতঃ//এই//জীবন//পার্থিব//উপভোগের বস্তু (অস্থায়ী)//আর নিশ্চয়ই//পরকাল//তা//ঘর (স্থায়ী)//অবস্থানের"
            },
            {
              "number": 4173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4173.mp3"
              ],
              "text": "مَنْ عَمِلَ سَيِّئَةًۭ فَلَا يُجْزَىٰٓ إِلَّا مِثْلَهَا ۖ وَمَنْ عَمِلَ صَٰلِحًۭا مِّن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌۭ فَأُو۟لَٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ يُرْزَقُونَ فِيهَا بِغَيْرِ حِسَابٍۢ",
              "translate_bn": "যে মন্দ কর্ম করে, সে কেবল তার অনুরূপ প্রতিফল পাবে, আর যে, পুরুষ অথবা নারী মুমিন অবস্থায় সৎকর্ম করে তারাই জান্নাতে প্রবেশ করবে। তথায় তাদেরকে বে-হিসাব রিযিক দেয়া হবে।",
              "numberInSurah": 40,
              "juz": 24,
              "manzil": 6,
              "page": 471,
              "ruku": 408,
              "hizbQuarter": 188,
              "sajda": false,
              "pronunciation_bn": "মান ‘আমিলা ছাইয়িআতান ফালা-ইউজঝাইল্লা-মিছলাহা- ওয়ামান ‘আমিলা সালিহাম মিন যাকারিন আও উনছা-ওয়া হুওয়া মু’মিনুন ফাউলাইকা ইয়াদখুলূনাল জান্নাতা ইউরঝাকূনা ফীহা-বিগাইরি হিছা-ব।",
              "words_arabic": "مَنْ/مَنۡ/man//عَمِلَ/عَمِلَ/amila//سَیِّئَةً/سَيِّئَةٗ/sayyi-atan//فَلَا/فَلَا/fala//یُجْزٰۤی/يُجۡزَىٰٓ/yuj'za//اِلَّا/إِلَّا/illa//مِثْلَهَا ۚ/مِثۡلَهَاۖ/mith'laha//وَ مَنْ/وَمَنۡ/waman//عَمِلَ/عَمِلَ/amila//صَالِحًا/صَٰلِحٗا/salihan//مِّنْ/مِّن/min//ذَكَرٍ/ذَكَرٍ/dhakarin//اَوْ/أَوۡ/aw//اُنْثٰی/أُنثَىٰ/untha//وَ هُوَ/وَهُوَ/wahuwa//مُؤْمِنٌ/مُؤۡمِنٞ/mu'minun//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//یُرْزَقُوْنَ/يُرۡزَقُونَ/yur'zaquna//فِیْهَا/فِيهَا/fiha//بِغَیْرِ/بِغَيۡرِ/bighayri//حِسَابٍ /حِسَابٖ/hisabin",
              "words_bangla": "যে//কাজ করবে//মন্দ//অতঃপর না//প্রতিফল দেওয়া হবে//এ ব্যতীত//তার সমান//আর যে//কাজ করবে//সৎ//মধ্যে//পুরুষের//বা//নারীর//এমতাবস্হায় সে//মু'মিনও//অতঃপর ঐ সব লোক//প্রবেশ করবে//জান্নাতে//তাদের জীবনোপকরণ দেয়া হবে//তার মধ্যে//ছাড়াই//কোন হিসাব"
            },
            {
              "number": 4174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4174.mp3"
              ],
              "text": "۞ وَيَٰقَوْمِ مَا لِىٓ أَدْعُوكُمْ إِلَى ٱلنَّجَوٰةِ وَتَدْعُونَنِىٓ إِلَى ٱلنَّارِ",
              "translate_bn": "হে আমার কওম, ব্যাপার কি, আমি তোমাদেরকে দাওয়াত দেই মুক্তির দিকে, আর তোমরা আমাকে দাওয়াত দাও জাহান্নামের দিকে।",
              "numberInSurah": 41,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া-কাওমি মা-লীআদ‘ঊকুম ইলান নাজা-তি ওয়া তাদ‘ঊনানীইলান্না-র।",
              "words_arabic": "وَ یٰقَوْمِ/۞وَيَٰقَوۡمِ/wayaqawmi//مَا/مَا/ma//لِیْۤ/لِيٓ/li//اَدْعُوْكُمْ/أَدۡعُوكُمۡ/ad'ukum//اِلَی/إِلَى/ila//النَّجٰوةِ/ٱلنَّجَوٰةِ/al-najati//وَ تَدْعُوْنَنِیْۤ/وَتَدۡعُونَنِيٓ/watad'unani//اِلَی/إِلَى/ila//النَّارِؕ/ٱلنَّارِ/al-nari",
              "words_bangla": "এবং (সে বললো) হে আমার জাতি//(এটা)//আমার সাথে কেমন আচরণ//আমি তোমাদের ডাকছি//দিকে//পরিত্রাণের//অথচ আমাকে তোমরা ডাকছো//দিকে//জাহান্নামের"
            },
            {
              "number": 4175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4175.mp3"
              ],
              "text": "تَدْعُونَنِى لِأَكْفُرَ بِٱللَّهِ وَأُشْرِكَ بِهِۦ مَا لَيْسَ لِى بِهِۦ عِلْمٌۭ وَأَنَا۠ أَدْعُوكُمْ إِلَى ٱلْعَزِيزِ ٱلْغَفَّٰرِ",
              "translate_bn": "তোমরা আমাকে দাওয়াত দাও, যাতে আমি আল্লাহকে অস্বীকার করি এবং তাঁর সাথে শরীক করি এমন বস্তুকে, যার কোন প্রমাণ আমার কাছে নেই। আমি তোমাদেরকে দাওয়াত দেই পরাক্রমশালী, ক্ষমাশীল আল্লাহর দিকে।",
              "numberInSurah": 42,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "তাদ‘ঊনানী লিআকফুরা বিল্লা-হি ওয়া উশরিকা বিহী মা-লাইছা লী বিহী ‘ইলমুওঁ ওয়াআনা আদ‘ঊকুম ইলাল ‘আঝীঝিল গাফফা-র।",
              "words_arabic": "تَدْعُوْنَنِیْ/تَدۡعُونَنِي/tad'unani//لِاَكْفُرَ/لِأَكۡفُرَ/li-akfura//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ اُشْرِكَ/وَأُشۡرِكَ/wa-ush'rika//بِهٖ/بِهِۦ/bihi//مَا/مَا/ma//لَیْسَ/لَيۡسَ/laysa//لِیْ/لِي/li//بِهٖ/بِهِۦ/bihi//عِلْمٌ ؗ/عِلۡمٞ/il'mun//وَّ اَنَا/وَأَنَا۠/wa-ana//اَدْعُوْكُمْ/أَدۡعُوكُمۡ/ad'ukum//اِلَی/إِلَى/ila//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْغَفَّارِ /ٱلۡغَفَّـٰرِ/al-ghafari",
              "words_bangla": "আমাকে তোমরা ডাকছো//যেন আমি অস্বীকার করি//প্রতি আল্লাহর//ও  শরিক করি (যেন) আমি//তাঁর সাথে//যা//নেই//আমার কাছে//সে সম্পর্কে//কোনো জ্ঞান//এবং আমি//ডাকছি তোমাদেরকে//দিকে//পরাক্রমশালীর//(যিনি) পরম ক্ষমাশীলও"
            },
            {
              "number": 4176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4176.mp3"
              ],
              "text": "لَا جَرَمَ أَنَّمَا تَدْعُونَنِىٓ إِلَيْهِ لَيْسَ لَهُۥ دَعْوَةٌۭ فِى ٱلدُّنْيَا وَلَا فِى ٱلْءَاخِرَةِ وَأَنَّ مَرَدَّنَآ إِلَى ٱللَّهِ وَأَنَّ ٱلْمُسْرِفِينَ هُمْ أَصْحَٰبُ ٱلنَّارِ",
              "translate_bn": "এতে সন্দেহ নেই যে, তোমরা আমাকে যার দিকে দাওয়াত দাও, হইকালে ও পরকালে তার কোন দাওয়াত নেই! আমাদের প্রত্যাবর্তন আল্লাহর দিকে এবং সীমা লংঘকারীরাই জাহান্নামী।",
              "numberInSurah": 43,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "লা-জারামা আন্নামা-তাদ‘ঊনানীইলাইহি লাইছা লাহূদা‘ওয়াতুনফিদ্দুনইয়া-ওয়ালা-ফিল আ-খিরাতি ওয়া আন্না মারাদ্দানাইলাল্লা-হি ওয়া আন্নাল মুসরিফীনা হুম আসহা-বুন্না-র।",
              "words_arabic": "لَا/لَا/la//جَرَمَ/جَرَمَ/jarama//اَنَّمَا/أَنَّمَا/annama//تَدْعُوْنَنِیْۤ/تَدۡعُونَنِيٓ/tad'unani//اِلَیْهِ/إِلَيۡهِ/ilayhi//لَیْسَ/لَيۡسَ/laysa//لَهٗ/لَهُۥ/lahu//دَعْوَةٌ/دَعۡوَةٞ/da'watun//فِی/فِي/fi//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ لَا/وَلَا/wala//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//وَ اَنَّ/وَأَنَّ/wa-anna//مَرَدَّنَاۤ/مَرَدَّنَآ/maraddana//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَنَّ/وَأَنَّ/wa-anna//الْمُسْرِفِیْنَ/ٱلۡمُسۡرِفِينَ/al-mus'rifina//هُمْ/هُمۡ/hum//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "নেই//কোনো সন্দেহ//মূলতঃ//আমাকে তোমরা ডাকছো//যার দিকে//নেই//তার জন্যে//কোনো আহবান//মধ্যে//দুনিয়ার//আর না//মধ্যে//পরকালের//এবং (এও) যে//আমাদের প্রত্যাবর্তন হবে//দিকে//আল্লাহর//এবং (এও সত্য) যে//সীমালংঘনকারী//তারাই//অধিবাসী//জাহান্নামের"
            },
            {
              "number": 4177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4177.mp3"
              ],
              "text": "فَسَتَذْكُرُونَ مَآ أَقُولُ لَكُمْ ۚ وَأُفَوِّضُ أَمْرِىٓ إِلَى ٱللَّهِ ۚ إِنَّ ٱللَّهَ بَصِيرٌۢ بِٱلْعِبَادِ",
              "translate_bn": "আমি তোমাদেরকে যা বলছি, তোমরা একদিন তা স্মরণ করবে। আমি আমার ব্যাপার আল্লাহর কাছে সমর্পণ করছি। নিশ্চয় বান্দারা আল্লাহর দৃষ্টিতে রয়েছে।",
              "numberInSurah": 44,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ফাছাতাযকুরূনা মাআকূলুলাকুম ওয়া উফাওবিদুআমরীইলাল্লা-হি ইন্নাল্লাহা বাসীরুম বিল‘ইবা-দ।",
              "words_arabic": "فَسَتَذْكُرُوْنَ/فَسَتَذۡكُرُونَ/fasatadhkuruna//مَاۤ/مَآ/ma//اَقُوْلُ/أَقُولُ/aqulu//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اُفَوِّضُ/وَأُفَوِّضُ/wa-ufawwidu//اَمْرِیْۤ/أَمۡرِيٓ/amri//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِالْعِبَادِ /بِٱلۡعِبَادِ/bil-'ibadi",
              "words_bangla": "তোমরা অতঃপর শীঘ্রই স্মরণ করবে//যা//আমি বলছি//তোমাদেরকে//এবং সমর্পণ করছি আমি//আমার ব্যাপারে//কাছে//আল্লাহর//নিশ্চয়ই//আল্লাহ//সবিশেষ দৃষ্টি রাখেন//প্রতি দাসদের\""
            },
            {
              "number": 4178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4178.mp3"
              ],
              "text": "فَوَقَىٰهُ ٱللَّهُ سَيِّـَٔاتِ مَا مَكَرُوا۟ ۖ وَحَاقَ بِـَٔالِ فِرْعَوْنَ سُوٓءُ ٱلْعَذَابِ",
              "translate_bn": "অতঃপর আল্লাহ তাকে তাদের চক্রান্তের অনিষ্ট থেকে রক্ষা করলেন এবং ফেরাউন গোত্রকে শোচনীয় আযাব গ্রাস করল।",
              "numberInSurah": 45,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াকা-হুল্লা-হুছাইয়িআ-তি মা-মাকারূওয়া হা-কাবিআ-লি ফির‘আওনা ছূ উল ‘আযা-ব।",
              "words_arabic": "فَوَقٰىهُ/فَوَقَىٰهُ/fawaqahu//اللّٰهُ/ٱللَّهُ/al-lahu//سَیِّاٰتِ/سَيِّـَٔاتِ/sayyiati//مَا/مَا/ma//مَكَرُوْا/مَكَرُواْۖ/makaru//وَ حَاقَ/وَحَاقَ/wahaqa//بِاٰلِ/بِـَٔالِ/biali//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//سُوْٓءُ/سُوٓءُ/suu//الْعَذَابِۚ/ٱلۡعَذَابِ/al-'adhabi",
              "words_bangla": "অতঃপর তাকে বাঁচালেন//আল্লাহ//অনিষ্টসমূহ হ'তে//যা//তারা চক্রান্ত করেছিলো//এবং ঘিরে ফেললো//সম্প্রদায়কে//ফিরআউনের//কঠিন//শাস্তিতে"
            },
            {
              "number": 4179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4179.mp3"
              ],
              "text": "ٱلنَّارُ يُعْرَضُونَ عَلَيْهَا غُدُوًّۭا وَعَشِيًّۭا ۖ وَيَوْمَ تَقُومُ ٱلسَّاعَةُ أَدْخِلُوٓا۟ ءَالَ فِرْعَوْنَ أَشَدَّ ٱلْعَذَابِ",
              "translate_bn": "সকালে ও সন্ধ্যায় তাদেরকে আগুনের সামনে পেশ করা হয় এবং যেদিন কেয়ামত সংঘটিত হবে, সেদিন আদেশ করা হবে, ফেরাউন গোত্রকে কঠিনতর আযাবে দাখিল কর।",
              "numberInSurah": 46,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "আন্না-রু ইউ‘রাদূ না ‘আলাইহা-গুদুওওয়াওঁ ওয়া ‘আশিইইয়াওঁ ওয়া ইয়াওমা তাকূমুছ ছা‘আতু আদখিলূআ-লা ফির‘আওনা আশাদ্দাল ‘আযা-ব।",
              "words_arabic": "اَلنَّارُ/ٱلنَّارُ/al-naru//یُعْرَضُوْنَ/يُعۡرَضُونَ/yu'raduna//عَلَیْهَا/عَلَيۡهَا/alayha//غُدُوًّا/غُدُوّٗا/ghuduwwan//وَّ عَشِیًّا ۚ/وَعَشِيّٗاۚ/wa'ashiyyan//وَ یَوْمَ/وَيَوۡمَ/wayawma//تَقُوْمُ/تَقُومُ/taqumu//السَّاعَةُ ۫/ٱلسَّاعَةُ/al-sa'atu//اَدْخِلُوْۤا/أَدۡخِلُوٓاْ/adkhilu//اٰلَ/ءَالَ/ala//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اَشَدَّ/أَشَدَّ/ashadda//الْعَذَابِ /ٱلۡعَذَابِ/al-'adhabi",
              "words_bangla": "(দোজখের) আগুন//তাদের পেশ করা হয়//তার উপর//সকালে//ও সন্ধ্যায়//এবং যে দিন//ঘটবে//ক্বিয়ামাত//\"(তখন বলা হবে) প্রবেশ করাও//সম্প্রদায়কে//ফিরআউনের//কঠিন//শাস্তিতে\""
            },
            {
              "number": 4180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4180.mp3"
              ],
              "text": "وَإِذْ يَتَحَآجُّونَ فِى ٱلنَّارِ فَيَقُولُ ٱلضُّعَفَٰٓؤُا۟ لِلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُنَّا لَكُمْ تَبَعًۭا فَهَلْ أَنتُم مُّغْنُونَ عَنَّا نَصِيبًۭا مِّنَ ٱلنَّارِ",
              "translate_bn": "যখন তারা জাহান্নামে পরস্পর বিতর্ক করবে, অতঃপর দূর্বলরা অহংকারীদেরকে বলবে, আমরা তোমাদের অনুসারী ছিলাম। তোমরা এখন জাহান্নামের আগুনের কিছু অংশ আমাদের থেকে নিবৃত করবে কি?",
              "numberInSurah": 47,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযইয়াতাহাজ্জূনা ফিন্না-রি ফাইয়াকূলুদদু ‘আফাউ লিল্লাযীনাছতাকবারূইন্নাকুন্না-লাকুম তাবা‘আন ফাহাল আনতুম মুগনূনা ‘আন্না-নাসীবাম মিনান্না-র।\r\n",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//یَتَحَآجُّوْنَ/يَتَحَآجُّونَ/yatahajjuna//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//الضُّعَفٰٓؤُا/ٱلضُّعَفَـٰٓؤُاْ/al-du'afau//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اسْتَكْبَرُوْۤا/ٱسۡتَكۡبَرُوٓاْ/is'takbaru//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//لَكُمْ/لَكُمۡ/lakum//تَبَعًا/تَبَعٗا/taba'an//فَهَلْ/فَهَلۡ/fahal//اَنْتُمْ/أَنتُم/antum//مُّغْنُوْنَ/مُّغۡنُونَ/mugh'nuna//عَنَّا/عَنَّا/anna//نَصِیْبًا/نَصِيبٗا/nasiban//مِّنَ/مِّنَ/mina//النَّارِ/ٱلنَّارِ/al-nari",
              "words_bangla": "এবং (ভেবে দেখো) যখন//তারা তর্কাতর্কি করবে//মধ্যে//আগুনের//তখন বলবে//দুর্বলেরা//(তাদের)-কে যারা//অহংকার করে (বড় বনে) ছিলো//\"নিশ্চয়ই আমরা//ছিলাম//তোমাদের//অনুসারী//কি এখন//তোমরা//কাজে আসবে//আমাদের জন্যে//কিছু অংশ (কমাতে)//হ'তে//(দোযখের) আগুনের\""
            },
            {
              "number": 4181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4181.mp3"
              ],
              "text": "قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُلٌّۭ فِيهَآ إِنَّ ٱللَّهَ قَدْ حَكَمَ بَيْنَ ٱلْعِبَادِ",
              "translate_bn": "অহংকারীরা বলবে, আমরা সবাই তো জাহান্নামে আছি। আল্লাহ তাঁর বান্দাদের ফয়সালা করে দিয়েছেন।",
              "numberInSurah": 48,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "কা-লাল্লাযী নাছতাকরারূইন্না-কুল্লুন ফীহা ইন্নাল্লা-হা কাদ হাকামা বাইনাল ‘ইবা-দ।",
              "words_arabic": "قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اسْتَكْبَرُوْۤا/ٱسۡتَكۡبَرُوٓاْ/is'takbaru//اِنَّا/إِنَّا/inna//كُلٌّ/كُلّٞ/kullun//فِیْهَاۤ ۙ/فِيهَآ/fiha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَدْ/قَدۡ/qad//حَكَمَ/حَكَمَ/hakama//بَیْنَ/بَيۡنَ/bayna//الْعِبَادِ /ٱلۡعِبَادِ/al-'ibadi",
              "words_bangla": "বলবে//যারা//অহংকার করে (বড় বনে) ছিলো//\"নিশ্চয়ই আমরা//সবাই//তার মধ্যে (একই অবস্থায়)//নিশ্চয়ই//আল্লাহ//নিশ্চয়//মীমাংসা করে দিয়েছেন//মাঝে//দাসদের\""
            },
            {
              "number": 4182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4182.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ فِى ٱلنَّارِ لِخَزَنَةِ جَهَنَّمَ ٱدْعُوا۟ رَبَّكُمْ يُخَفِّفْ عَنَّا يَوْمًۭا مِّنَ ٱلْعَذَابِ",
              "translate_bn": "যারা জাহান্নামে আছে, তারা জাহান্নামের রক্ষীদেরকে বলবে, তোমরা তোমাদের পালনকর্তাকে বল, তিনি যেন আমাদের থেকে একদিনের আযাব লাঘব করে দেন।",
              "numberInSurah": 49,
              "juz": 24,
              "manzil": 6,
              "page": 472,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা ফিন্না-রি লিখাঝানাতি জাহান্নামাদ‘ঊ রাব্বাকুম ইউখাফফিফ ‘আন্নাইয়াওমাম মিনাল ‘আযা-ব।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//لِخَزَنَةِ/لِخَزَنَةِ/likhazanati//جَهَنَّمَ/جَهَنَّمَ/jahannama//ادْعُوْا/ٱدۡعُواْ/id'u//رَبَّكُمْ/رَبَّكُمۡ/rabbakum//یُخَفِّفْ/يُخَفِّفۡ/yukhaffif//عَنَّا/عَنَّا/anna//یَوْمًا/يَوۡمٗا/yawman//مِّنَ/مِّنَ/mina//الْعَذَابِ /ٱلۡعَذَابِ/al-'adhabi",
              "words_bangla": "এবং বলবে//যারা//মধ্যে (থাকবে)//আগুনের//প্রহরীদেরকে//জাহান্নামের//\"তোমরা প্রার্থনা করো//তোমাদের রবের কাছে//কমিয়ে দেন (যেন)//আমাদের থেকে//একদিন//থেকে//শাস্তির\""
            },
            {
              "number": 4183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4183.mp3"
              ],
              "text": "قَالُوٓا۟ أَوَلَمْ تَكُ تَأْتِيكُمْ رُسُلُكُم بِٱلْبَيِّنَٰتِ ۖ قَالُوا۟ بَلَىٰ ۚ قَالُوا۟ فَٱدْعُوا۟ ۗ وَمَا دُعَٰٓؤُا۟ ٱلْكَٰفِرِينَ إِلَّا فِى ضَلَٰلٍ",
              "translate_bn": "রক্ষীরা বলবে, তোমাদের কাছে কি সুস্পষ্ট প্রমাণাদিসহ তোমাদের রসূল আসেননি? তারা বলবে হঁ্যা। রক্ষীরা বলবে, তবে তোমরাই দোয়া কর। বস্তুতঃ কাফেরদের দোয়া নিস্ফলই হয়।",
              "numberInSurah": 50,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 408,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "কা-লূআওয়ালাম তাকুতা’তীকুম রুছুলুকুম বিলবাইয়িনা-তি কা-লূবালা- কালূফাদ‘ঊ ওয়ামা-দু‘আউল কা-ফিরীনা ইল্লা-ফী দালা-ল।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَوَ لَمْ/أَوَلَمۡ/awalam//تَكُ/تَكُ/taku//تَاْتِیْكُمْ/تَأۡتِيكُمۡ/tatikum//رُسُلُكُمْ/رُسُلُكُم/rusulukum//بِالْبَیِّنٰتِ ؕ/بِٱلۡبَيِّنَٰتِۖ/bil-bayinati//قَالُوْا/قَالُواْ/qalu//بَلٰی ؕ/بَلَىٰۚ/bala//قَالُوْا/قَالُواْ/qalu//فَادْعُوْا ۚ/فَٱدۡعُواْۗ/fa-id'u//وَ مَا/وَمَا/wama//دُعٰٓؤُا/دُعَـٰٓؤُاْ/du'au//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//ضَلٰلٍ۠/ضَلَٰلٍ/dalalin",
              "words_bangla": "তারা বলবে//\"নি কি//\"//তোমাদের কাছে আসে//তোমাদের রাসূলগণ//সুস্পষ্ট প্রমাণসহ\"//(দোযখীরা) বলবে//\"হ্যাঁ\"//(প্রহরীরা) বলবে//\"তোমরাই প্রার্থনা করো তাহ'লে//এবং নয়//প্রার্থনা//কাফেরদের//এ ব্যতীত//মধ্যে//ব্যর্থতার\""
            },
            {
              "number": 4184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4184.mp3"
              ],
              "text": "إِنَّا لَنَنصُرُ رُسُلَنَا وَٱلَّذِينَ ءَامَنُوا۟ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَيَوْمَ يَقُومُ ٱلْأَشْهَٰدُ",
              "translate_bn": "আমি সাহায্য করব রসূলগণকে ও মুমিনগণকে পার্থিব জীবনে ও সাক্ষীদের দন্ডায়মান হওয়ার দিবসে।",
              "numberInSurah": 51,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ইন্না- লানানসুরু রুছুলানা- ওয়াল্লাযীনা আ-মানূফিল হায়া-তিদ্দুনইয়া-ওয়া ইয়াওমা ইয়াকূ মুল আশহা-দ ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//لَنَنْصُرُ/لَنَنصُرُ/lanansuru//رُسُلَنَا/رُسُلَنَا/rusulana//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ یَوْمَ/وَيَوۡمَ/wayawma//یَقُوْمُ/يَقُومُ/yaqumu//الْاَشْهَادُۙ/ٱلۡأَشۡهَٰدُ/al-ashhadu",
              "words_bangla": "নিশ্চয়ই আমরা//অবশ্যই সাহায্য করবো//আমাদের রাসূলগণকে//এবং যারা//ঈমান এনেছে (তাদেরকে)//মধ্যে//জীবনের//পার্থিব//এবং যেদিনে//দাঁড়াবে//সাক্ষীরা"
            },
            {
              "number": 4185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4185.mp3"
              ],
              "text": "يَوْمَ لَا يَنفَعُ ٱلظَّٰلِمِينَ مَعْذِرَتُهُمْ ۖ وَلَهُمُ ٱللَّعْنَةُ وَلَهُمْ سُوٓءُ ٱلدَّارِ",
              "translate_bn": "সে দিন যালেমদের ওযর-আপত্তি কোন উপকারে আসবে না, তাদের জন্যে থাকবে অভিশাপ এবং তাদের জন্যে থাকবে মন্দ গৃহ।",
              "numberInSurah": 52,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা লা-ইয়ানফা‘উজ্জা-লিমীনা মা‘যিরাতুহুম ওয়ালাহুমুল লা‘নাতুওয়ালাহুম ছূ উদ্দা র।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//یَنْفَعُ/يَنفَعُ/yanfa'u//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//مَعْذِرَتُهُمْ/مَعۡذِرَتُهُمۡۖ/ma'dhiratuhum//وَ لَهُمُ/وَلَهُمُ/walahumu//اللَّعْنَةُ/ٱللَّعۡنَةُ/al-la'natu//وَ لَهُمْ/وَلَهُمۡ/walahum//سُوْٓءُ/سُوٓءُ/suu//الدَّارِ /ٱلدَّارِ/al-dari",
              "words_bangla": "সেদিন//না//উপকার দিবে//সীমালঙ্ঘনকারীদের (জন্য)//অযুহাত তাদের//আর তাদের জন্যে রয়েছে//অভিশাপ//এবং তাদের জন্যে//নিকৃষ্ট//আবাস (হবে জাহান্নাম)"
            },
            {
              "number": 4186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4186.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْهُدَىٰ وَأَوْرَثْنَا بَنِىٓ إِسْرَٰٓءِيلَ ٱلْكِتَٰبَ",
              "translate_bn": "নিশ্চয় আমি মূসাকে হেদায়েত দান করেছিলাম এবং বনী ইসরাঈলকে কিতাবের উত্তরাধিকারী করেছিলাম।",
              "numberInSurah": 53,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছাল হুদা-ওয়া আওরাছনা-বানীইছরাঈলাল কিতা-ব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//وَ اَوْرَثْنَا/وَأَوۡرَثۡنَا/wa-awrathna//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//الْكِتٰبَۙ/ٱلۡكِتَٰبَ/al-kitaba",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছি//মূসাকে//পথের দিশা//ও আমরা উত্তরাধিকারী করেছিলাম//সন্তানদেরকে//ইসরাঈলের//কিতাবের"
            },
            {
              "number": 4187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4187.mp3"
              ],
              "text": "هُدًۭى وَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَٰبِ",
              "translate_bn": "বুদ্ধিমানদের জন্যে উপদেশ ও হেদায়েত স্বরূপ।",
              "numberInSurah": 54,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "হুদাওঁ ওয়া যিকরা-লিউলিল আলবা-ব।\r\n",
              "words_arabic": "هُدًی/هُدٗى/hudan//وَّ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِاُولِی/لِأُوْلِي/li-uli//الْاَلْبَابِ /ٱلۡأَلۡبَٰبِ/al-albabi",
              "words_bangla": "পথ নির্দেশ//ও উপদেশ স্বরূপ//সম্পন্নদের জন্যে//বুদ্ধি-বিবেক"
            },
            {
              "number": 4188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4188.mp3"
              ],
              "text": "فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ وَٱسْتَغْفِرْ لِذَنۢبِكَ وَسَبِّحْ بِحَمْدِ رَبِّكَ بِٱلْعَشِىِّ وَٱلْإِبْكَٰرِ",
              "translate_bn": "অতএব, আপনি সবর করুন নিশ্চয় আল্লাহর ওয়াদা সত্য। আপনি আপনার গোনাহের জন্যে ক্ষমা প্রর্থনা করুন এবং সকাল-সন্ধ্যায় আপনার পালনকর্তার প্রশংসাসহ পবিত্রতা বর্ণনা করুন।",
              "numberInSurah": 55,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ফাসবির ইন্না ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়াছতাগফির লিযামবিকা ওয়া ছাব্বিহ বিহামদি রাব্বিকা বিল‘আশিইয়ি ওয়াল ইবকা-র।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞ/haqqun//وَّ اسْتَغْفِرْ/وَٱسۡتَغۡفِرۡ/wa-is'taghfir//لِذَنْۢبِكَ/لِذَنۢبِكَ/lidhanbika//وَ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//بِالْعَشِیِّ/بِٱلۡعَشِيِّ/bil-'ashiyi//وَ الْاِبْكَارِ /وَٱلۡإِبۡكَٰرِ/wal-ib'kari",
              "words_bangla": "সুতরাং ধৈর্য্য ধরো//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//এবং ক্ষমা চাও//তোমার পাপের জন্যে//ও পবিত্রতা ঘোষণা করো//প্রশংসাসহ//তোমার রবের//সন্ধ্যাসমূহে//ও সকালসমূহে"
            },
            {
              "number": 4189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4189.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُجَٰدِلُونَ فِىٓ ءَايَٰتِ ٱللَّهِ بِغَيْرِ سُلْطَٰنٍ أَتَىٰهُمْ ۙ إِن فِى صُدُورِهِمْ إِلَّا كِبْرٌۭ مَّا هُم بِبَٰلِغِيهِ ۚ فَٱسْتَعِذْ بِٱللَّهِ ۖ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ",
              "translate_bn": "নিশ্চয় যারা আল্লাহর আয়াত সম্পর্কে বিতর্ক করে তাদের কাছে আগত কোন দলীল ব্যতিরেকে, তাদের অন্তরে আছে কেবল আত্নম্ভরিতা, যা অর্জনে তারা সফল হবে না। অতএব, আপনি আল্লাহর আশ্রয় প্রার্থনা করুন। নিশ্চয় তিনি সবকিছু শুনেন, সবকিছু দেখেন।",
              "numberInSurah": 56,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউজা-দিলূনা ফীআ-য়া-তিল্লা-হি বিগাইরি ছুলতা-নিন আতা-হুম ইন ফী সূদূ রিহিম ইল্লা-কিবরুম মা-হুম ব্বিা-লিগীহি ফাছতা‘ইযবিল্লা-হি ইন্নাহূহুওয়াছ ছামী‘উল বাসীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُجَادِلُوْنَ/يُجَٰدِلُونَ/yujadiluna//فِیْۤ/فِيٓ/fi//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//بِغَیْرِ/بِغَيۡرِ/bighayri//سُلْطٰنٍ/سُلۡطَٰنٍ/sul'tanin//اَتٰىهُمْ ۙ/أَتَىٰهُمۡ/atahum//اِنْ/إِن/in//فِیْ/فِي/fi//صُدُوْرِهِمْ/صُدُورِهِمۡ/sudurihim//اِلَّا/إِلَّا/illa//كِبْرٌ/كِبۡرٞ/kib'run//مَّا/مَّا/ma//هُمْ/هُم/hum//بِبَالِغِیْهِ ۚ/بِبَٰلِغِيهِۚ/bibalighihi//فَاسْتَعِذْ/فَٱسۡتَعِذۡ/fa-is'ta'idh//بِاللّٰهِ ؕ/بِٱللَّهِۖ/bil-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْبَصِیْرُ /ٱلۡبَصِيرُ/al-basiru",
              "words_bangla": "নিশ্চয়ই//যারা//তর্ক করে//আছে//আয়াতসমূহে//আল্লাহর//ব্যতীত//কোনো প্রমাণ//তাদের কাছে (যা) এসেছে//নেই//মধ্যে//তাদের অন্তরসমূহের//এ ব্যতীত//(বড়ত্বের) অহংকার//(যাতে) না//তারা//পৌঁছিবে//সুতরাং আশ্রয় চাও//আল্লাহর (কাছে)//নিশ্চয়ই তিনি//তিনিই//সবকিছু শুনেন//সবকিছু দেখেন"
            },
            {
              "number": 4190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4190.mp3"
              ],
              "text": "لَخَلْقُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ أَكْبَرُ مِنْ خَلْقِ ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "মানুষের সৃষ্টি অপেক্ষা নভোমন্ডল ও ভূ-মন্ডলের সৃষ্টি কঠিনতর। কিন্তু অধিকাংশ মানুষ বোঝে না।",
              "numberInSurah": 57,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "লাখালকুছ ছামা-ওয়া-তি ওয়াল আরদি আকবারু মিন খালকিন্না-ছি ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "لَخَلْقُ/لَخَلۡقُ/lakhalqu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//اَكْبَرُ/أَكۡبَرُ/akbaru//مِنْ/مِنۡ/min//خَلْقِ/خَلۡقِ/khalqi//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অবশ্যই সৃষ্টি//আকাশের//ও পৃথিবীর//অনেক কঠিন//চেয়েও//সৃষ্টি//মানুষের//কিন্তু//অধিকাংশ//মানুষই//না//তারা জানে"
            },
            {
              "number": 4191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4191.mp3"
              ],
              "text": "وَمَا يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَلَا ٱلْمُسِىٓءُ ۚ قَلِيلًۭا مَّا تَتَذَكَّرُونَ",
              "translate_bn": "অন্ধ ও চক্ষুষ্মান সমান নয়, আর যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে এবং কুকর্মী। তোমরা অল্পই অনুধাবন করে থাক।",
              "numberInSurah": 58,
              "juz": 24,
              "manzil": 6,
              "page": 473,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াছতাবিল আ‘মা-ওয়াল বাসীরু ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসালিহা-তি ওয়ালাল মুছীউ কালীলাম মা-তাতাযাক্কারূন।\r\n",
              "words_arabic": "وَ مَا/وَمَا/wama//یَسْتَوِی/يَسۡتَوِي/yastawi//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//وَ الْبَصِیْرُ ۙ۬/وَٱلۡبَصِيرُ/wal-basiru//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ لَا/وَلَا/wala//الْمُسِیْٓءُ ؕ/ٱلۡمُسِيٓءُۚ/al-musiu//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَتَذَكَّرُوْنَ /تَتَذَكَّرُونَ/tatadhakkaruna",
              "words_bangla": "এবং না//সমান হয়//অন্ধ//আর চক্ষুষ্মান//এবং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ (তারা)//আর না//দুষ্কৃতিকারীরা (সমান হয়)//(খুব) কমই//যা//তোমরা উপদেশ গ্রহণ করো"
            },
            {
              "number": 4192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4192.mp3"
              ],
              "text": "إِنَّ ٱلسَّاعَةَ لَءَاتِيَةٌۭ لَّا رَيْبَ فِيهَا وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ",
              "translate_bn": "কেয়ামত অবশ্যই আসবে, এতে সন্দেহ নেই; কিন্ত অধিকাংশ লোক বিশ্বাস স্থাপন করে না।",
              "numberInSurah": 59,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ইন্নাছ ছা-‘আতা লা- আ-তিয়াতুল লা-রাইবা ফীহা-,ওয়ালা-কিন্না আকছারান্না-ছি লাইউ’মিনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//لَاٰتِیَةٌ/لَأٓتِيَةٞ/laatiyatun//لَّا/لَّا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهَا/فِيهَا/fiha//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "নিশ্চয়ই//ক্বিয়ামাত//আসবে অবশ্যই//নেই//কোনো সন্দেহ//তার মধ্যে//কিন্তু//অধিকাংশ//মানুষই//না//ঈমান আনে"
            },
            {
              "number": 4193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4193.mp3"
              ],
              "text": "وَقَالَ رَبُّكُمُ ٱدْعُونِىٓ أَسْتَجِبْ لَكُمْ ۚ إِنَّ ٱلَّذِينَ يَسْتَكْبِرُونَ عَنْ عِبَادَتِى سَيَدْخُلُونَ جَهَنَّمَ دَاخِرِينَ",
              "translate_bn": "তোমাদের পালনকর্তা বলেন, তোমরা আমাকে ডাক, আমি সাড়া দেব। যারা আমার এবাদতে অহংকার করে তারা সত্বরই জাহান্নামে দাখিল হবে লাঞ্ছিত হয়ে।",
              "numberInSurah": 60,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 409,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা রাব্বুকুমুদ ‘ঊনীআছতাজিব লাকুম ইন্নাল্লাযীনা ইয়াছতাকবিরূনা ‘আন ‘ইবা-দাতী ছাইয়াদখুলূনা জাহান্নামা দা-খিরীন।\r\n",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//رَبُّكُمُ/رَبُّكُمُ/rabbukumu//ادْعُوْنِیْۤ/ٱدۡعُونِيٓ/id'uni//اَسْتَجِبْ/أَسۡتَجِبۡ/astajib//لَكُمْ ؕ/لَكُمۡۚ/lakum//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَسْتَكْبِرُوْنَ/يَسۡتَكۡبِرُونَ/yastakbiruna//عَنْ/عَنۡ/an//عِبَادَتِیْ/عِبَادَتِي/ibadati//سَیَدْخُلُوْنَ/سَيَدۡخُلُونَ/sayadkhuluna//جَهَنَّمَ/جَهَنَّمَ/jahannama//دٰخِرِیْنَ۠/دَاخِرِينَ/dakhirina",
              "words_bangla": "এবং বলেন//তোমাদের রব//\"তোমরা ডাকো আমাকে//সাড়া দিবো আমি//তোমাদেরকে//নিশ্চয়ই//যারা//অহংকার করে (বিমুখ থাকে)//হ'তে//আমার ইবাদাত//অবশ্যই তারা প্রবেশ করবে//জাহান্নামে//অপমানিত হয়ে\""
            },
            {
              "number": 4194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4194.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِتَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ",
              "translate_bn": "তিনিই আল্লাহ যিনি রাত্র সৃষ্টি করেছেন তোমাদের বিশ্রামের জন্যে এবং দিবসকে করেছেন দেখার জন্যে। নিশ্চয় আল্লাহ মানুষের প্রতি অনুগ্রহশীল, কিন্তু অধিকাংশ মানুষ কৃতজ্ঞতা স্বীকার করে না।",
              "numberInSurah": 61,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী জা‘আলা লাকুমুল্লাইলা লিতাছকুনূফীহি ওয়ান্নাহা-রা মুবসিরান- ইন্নাল্লা-হা লাযূফাদলিন ‘আলান্না-ছি ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়াশকুরূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الَّیْلَ/ٱلَّيۡلَ/al-layla//لِتَسْكُنُوْا/لِتَسۡكُنُواْ/litaskunu//فِیْهِ/فِيهِ/fihi//وَ النَّهَارَ/وَٱلنَّهَارَ/wal-nahara//مُبْصِرًا ؕ/مُبۡصِرًاۚ/mub'siran//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَذُوْ/لَذُو/ladhu//فَضْلٍ/فَضۡلٍ/fadlin//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَشْكُرُوْنَ /يَشۡكُرُونَ/yashkuruna",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//সৃষ্টি করেছেন//তোমাদের জন্যে//রাতকে//তোমরা যেন শান্তি পাও//তার মধ্যে//এবং দিনকে//উজ্জ্বল (বানিয়েছেন)//নিশ্চয়ই//আল্লাহ//অবশ্যই//অনুগ্রহশীল//উপর//মানুষের//কিন্তু//অধিকাংশ//মানুষই//না//তারা কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 4195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4195.mp3"
              ],
              "text": "ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ خَٰلِقُ كُلِّ شَىْءٍۢ لَّآ إِلَٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُؤْفَكُونَ",
              "translate_bn": "তিনি আল্লাহ, তোমাদের পালনকর্তা, সব কিছুর স্রষ্টা। তিনি ব্যতীত কোন উপাস্য নেই। অতএব তোমরা কোথায় বিভ্রান্ত হচ্ছ?",
              "numberInSurah": 62,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুমুল্লা-হু রাব্বুকুম খা-লিকুকুল্লি শাইয় । লাইলা-হা ইল্লা-হুওয়া ফাআন্নাতু’ফাকূন।",
              "words_arabic": "ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//خَالِقُ/خَٰلِقُ/khaliqu//كُلِّ/كُلِّ/kulli//شَیْءٍ ۘ/شَيۡءٖ/shayin//لَاۤ/لَّآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚؗ/هُوَۖ/huwa//فَاَنّٰی/فَأَنَّىٰ/fa-anna//تُؤْفَكُوْنَ /تُؤۡفَكُونَ/tu'fakuna",
              "words_bangla": "তিনিই তোমাদের//আল্লাহই//তোমাদের রব//স্রষ্টা//সব//কিছুর//নেই//কোনো ইলাহ//ছাড়া//তিনি//তাহ'লে কোথায়//তোমাদের ফিরানো হচ্ছে"
            },
            {
              "number": 4196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4196.mp3"
              ],
              "text": "كَذَٰلِكَ يُؤْفَكُ ٱلَّذِينَ كَانُوا۟ بِـَٔايَٰتِ ٱللَّهِ يَجْحَدُونَ",
              "translate_bn": "এমনিভাবে তাদেরকে বিভ্রান্ত করা হয়, যারা আল্লাহর আয়াতসমূহকে অস্বীকার করে।",
              "numberInSurah": 63,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ইউ’ফাকুল্লাযীনা কা-নূবিআ-য়া-তিল্লা-হি ইয়াজহাদূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُؤْفَكُ/يُؤۡفَكُ/yu'faku//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَانُوْا/كَانُواْ/kanu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "এভাবেই//ফিরানো হয়েছে//(তাদেরকে) যারা//ছিলো//নির্দেশনাবলীকে//আল্লাহর//অস্বীকার করতো"
            },
            {
              "number": 4197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4197.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ قَرَارًۭا وَٱلسَّمَآءَ بِنَآءًۭ وَصَوَّرَكُمْ فَأَحْسَنَ صُوَرَكُمْ وَرَزَقَكُم مِّنَ ٱلطَّيِّبَٰتِ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ ۖ فَتَبَارَكَ ٱللَّهُ رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আল্লাহ, পৃথিবীকে করেছেন তোমাদের জন্যে বাসস্থান, আকাশকে করেছেন ছাদ এবং তিনি তোমাদেরকে আকৃতি দান করেছেন, অতঃপর তোমাদের আকৃতি সুন্দর করেছেন এবং তিনি তোমাদেরকে দান করেছেন পরিচ্ছন্ন রিযিক। তিনি আল্লাহ, তোমাদের পালনকর্তা। বিশ্বজগতের পালনকর্তা, আল্লাহ বরকতময়।",
              "numberInSurah": 64,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী জা‘আলা লাকুমুল আরদা কারা-রাওঁ ওয়াছ ছামাআ বিনাআওঁ ওয়া সাওওয়ারাকুম ফাআহছানা ছুওয়ারাকুম ওয়া রাঝাকাকুম মিনাত্তাইয়িবা-তি যালিকুমুল্লা-হু রাব্বাকুম ফাতাবা-রাকাল্লা-হু রাব্বুল ‘আ-লামীন।\r\n",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//قَرَارًا/قَرَارٗا/qararan//وَّ السَّمَآءَ/وَٱلسَّمَآءَ/wal-samaa//بِنَآءً/بِنَآءٗ/binaan//وَّ صَوَّرَكُمْ/وَصَوَّرَكُمۡ/wasawwarakum//فَاَحْسَنَ/فَأَحۡسَنَ/fa-ahsana//صُوَرَكُمْ/صُوَرَكُمۡ/suwarakum//وَ رَزَقَكُمْ/وَرَزَقَكُم/warazaqakum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ ؕ/ٱلطَّيِّبَٰتِۚ/al-tayibati//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّكُمْ ۖۚ/رَبُّكُمۡۖ/rabbukum//فَتَبٰرَكَ/فَتَبَارَكَ/fatabaraka//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//বানিয়েছেন//তোমাদের জন্যে//পৃথিবীকে//বাসস্থান//ও আকাশকে//এবং (চাঁদোয়ার মত) ছাদ//তোমাদেরকে আকৃতি দিয়েছেন//অতঃপর সুন্দর করেছেন//তোমাদের আকৃতিসমূহ//এবং তোমাদের জীবিকা দিয়েছেন//থেকে//পবিত্র জিনিস সমূহের//তিনিই তোমাদের//আল্লাহই//তোমাদের রব//অতএব কত মহান//আল্লাহ//রব//বিশ্ব জগতের"
            },
            {
              "number": 4198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4198.mp3"
              ],
              "text": "هُوَ ٱلْحَىُّ لَآ إِلَٰهَ إِلَّا هُوَ فَٱدْعُوهُ مُخْلِصِينَ لَهُ ٱلدِّينَ ۗ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "তিনি চিরঞ্জীব, তিনি ব্যতীত কোন উপাস্য নেই। অতএব, তাঁকে ডাক তাঁর খাঁটি এবাদতের মাধ্যমে। সমস্ত প্রশংসা বিশ্বজগতের পালনকর্তা আল্লাহর।",
              "numberInSurah": 65,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 189,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল হাইয়ুলাইলা-হা ইল্লা-হুওয়া ফাদ‘ঊহু মুখলিসীনা লাহুদ্দীনা আলহামদু লিল্লা হি রাব্বিল ‘আ-লামীন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الْحَیُّ/ٱلۡحَيُّ/al-hayu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//فَادْعُوْهُ/فَٱدۡعُوهُ/fa-id'uhu//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ؕ/ٱلدِّينَۗ/al-dina//اَلْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//لِلّٰهِ/لِلَّهِ/lillahi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "তিনি//চিরঞ্জীব//নেই//কোনো ইলাহ//ছাড়া//তিনি//সুতরাং তাঁকেই ডাকো//একনিষ্ঠ হয়ে//তাঁরই জন্যে//আনুগত্যকে (নির্দিষ্ট করে)//সব প্রশংসা//আল্লাহর জন্যে//রব//বিশ্বজগতের"
            },
            {
              "number": 4199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4199.mp3"
              ],
              "text": "۞ قُلْ إِنِّى نُهِيتُ أَنْ أَعْبُدَ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ لَمَّا جَآءَنِىَ ٱلْبَيِّنَٰتُ مِن رَّبِّى وَأُمِرْتُ أَنْ أُسْلِمَ لِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "বলুন, যখন আমার কাছে আমার পালনকর্তার পক্ষ থেকে স্পষ্ট প্রমাণাদি এসে গেছে, তখন আল্লাহ ব্যতীত তোমরা যার পূজা কর, তার এবাদত করতে আমাকে নিষেধ করা হয়েছে। আমাকে আদেশ করা হয়েছে বিশ্ব পালনকর্তার অনুগত থাকতে।",
              "numberInSurah": 66,
              "juz": 24,
              "manzil": 6,
              "page": 474,
              "ruku": 410,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নী নুহীতুআন আ‘বুদাল্লাযীনা তাদ‘ঊনা মিন দূ নিল্লা-হি লাম্মা-জাআনিয়াল বাইয়িনা-তুমিররাববী ওয়া উমিরতুআন উছলিমা লিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//اِنِّیْ/إِنِّي/inni//نُهِیْتُ/نُهِيتُ/nuhitu//اَنْ/أَنۡ/an//اَعْبُدَ/أَعۡبُدَ/a'buda//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//لَمَّا/لَمَّا/lamma//جَآءَنِیَ/جَآءَنِيَ/jaaniya//الْبَیِّنٰتُ/ٱلۡبَيِّنَٰتُ/al-bayinatu//مِنْ/مِن/min//رَّبِّیْ ؗ/رَّبِّي/rabbi//وَ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//اَنْ/أَنۡ/an//اُسْلِمَ/أُسۡلِمَ/us'lima//لِرَبِّ/لِرَبِّ/lirabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "(হে নাবী) বলো//\"নিশ্চয়ই আমাকে//নিষেধ করা হয়েছে//যেন (না)//ইবাদত করি আমি//(তাদেরকে) যাদের//তোমরা ডাকো//মধ্য হতে//ছাড়া//আল্লাহ//যখন//আমার কাছে এসেছে//সুস্পষ্ট নিদর্শন//থেকে//আমার রবের//এবং আমাকে আদেশ করা হয়েছে//যে//আত্মসমর্পণ করি আমি//রবের কাছে//বিশ্বজগতের"
            },
            {
              "number": 4200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4200.mp3"
              ],
              "text": "هُوَ ٱلَّذِى خَلَقَكُم مِّن تُرَابٍۢ ثُمَّ مِن نُّطْفَةٍۢ ثُمَّ مِنْ عَلَقَةٍۢ ثُمَّ يُخْرِجُكُمْ طِفْلًۭا ثُمَّ لِتَبْلُغُوٓا۟ أَشُدَّكُمْ ثُمَّ لِتَكُونُوا۟ شُيُوخًۭا ۚ وَمِنكُم مَّن يُتَوَفَّىٰ مِن قَبْلُ ۖ وَلِتَبْلُغُوٓا۟ أَجَلًۭا مُّسَمًّۭى وَلَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "তিনি তো তোমাদের সৃষ্টি করেছেন মাটির দ্বারা, অতঃপর শুক্রবিন্দু দ্বারা, অতঃপর জমাট রক্ত দ্বারা, অতঃপর তোমাদেরকে বের করেন শিশুরূপে, অতঃপর তোমরা যৌবনে পদর্পণ কর, অতঃপর বার্ধক্যে উপনীত হও। তোমাদের কারও কারও এর পূর্বেই মৃত্যু ঘটে এবং তোমরা নির্ধারিত কালে পৌঁছ এবং তোমরা যাতে অনুধাবন কর।",
              "numberInSurah": 67,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 410,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীখালাকাকুম মিন তুরা-বিন ছুম্মা মিন নুতফাতিন ছুম্মা মিন‘আলাকাতিন ছুম্মা ইউখরিজুকুম তিফলান ছুম্মা লিতাবলুগূআশুদ্দাকুম ছু ম্মা লিতাকূনূশুয়ূখাও ওয়া মিনকুম মাইঁ ইউতাওয়াফফা-মিন কাবলুওয়া লিতাবলুগূআজালাম মুছাম্মাওঁ ওয়া লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُم/khalaqakum//مِّنْ/مِّن/min//تُرَابٍ/تُرَابٖ/turabin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٖ/nut'fatin//ثُمَّ/ثُمَّ/thumma//مِنْ/مِنۡ/min//عَلَقَةٍ/عَلَقَةٖ/alaqatin//ثُمَّ/ثُمَّ/thumma//یُخْرِجُكُمْ/يُخۡرِجُكُمۡ/yukh'rijukum//طِفْلًا/طِفۡلٗا/tif'lan//ثُمَّ/ثُمَّ/thumma//لِتَبْلُغُوْۤا/لِتَبۡلُغُوٓاْ/litablughu//اَشُدَّكُمْ/أَشُدَّكُمۡ/ashuddakum//ثُمَّ/ثُمَّ/thumma//لِتَكُوْنُوْا/لِتَكُونُواْ/litakunu//شُیُوْخًا ۚ/شُيُوخٗاۚ/shuyukhan//وَ مِنْكُمْ/وَمِنكُم/waminkum//مَّنْ/مَّن/man//یُّتَوَفّٰی/يُتَوَفَّىٰ/yutawaffa//مِنْ/مِن/min//قَبْلُ/قَبۡلُۖ/qablu//وَ لِتَبْلُغُوْۤا/وَلِتَبۡلُغُوٓاْ/walitablughu//اَجَلًا/أَجَلٗا/ajalan//مُّسَمًّی/مُّسَمّٗى/musamman//وَّ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//তোমাদের সৃষ্টি করেছেন//থেকে//মাটি//এরপর//থেকে//শুক্রবিন্দু//এরপর//থেকে//জমাট রক্ত//এরপর//তোমাদের বের করেন//শিশুরূপে//এরপর (বৃদ্ধি দেন)//তোমরা যেন উপনীত হও//তোমাদের যৌবনে//এরপর//তোমরাও যেন হও//বৃদ্ধ//এবং তোমাদের মধ্য থেকে//কেউ//মৃত্যুবরণ করে (বৃদ্ধ হওয়ার)//মধ্য হতে//পূর্বেই//আর (এসব এজন্যে) যেন উপনীত হও//একটি মেয়াদে//নির্দিষ্ট//এবং যাতে তোমরা//অনুধাবন করো"
            },
            {
              "number": 4201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4201.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ ۖ فَإِذَا قَضَىٰٓ أَمْرًۭا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ",
              "translate_bn": "তিনিই জীবিত করেন এবং মৃত্যু দেন। যখন তিনি কোন কাজের আদেশ করেন, তখন একথাই বলেন, হয়ে যা’-তা হয়ে যায়।",
              "numberInSurah": 68,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 410,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউহয়ী ওয়া ইউমীতু ফাইযা-কাদাআমরান ফাইন্নামা-ইয়াকূলুলাহূ কুন ফাইয়াকূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ۚ/وَيُمِيتُۖ/wayumitu//فَاِذَا/فَإِذَا/fa-idha//قَضٰۤی/قَضَىٰٓ/qada//اَمْرًا/أَمۡرٗا/amran//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَقُوْلُ/يَقُولُ/yaqulu//لَهٗ/لَهُۥ/lahu//كُنْ/كُن/kun//فَیَكُوْنُ۠/فَيَكُونُ/fayakunu",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//জীবন দেন//ও মৃত্যু ঘটান//অতঃপর যখন//সিদ্ধান্ত নেন//কোনো ব্যাপারে//শুধু তখন//বলেন//তাকে//\"হও\"//তখনই তা হয়ে যায়"
            },
            {
              "number": 4202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4202.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ يُجَٰدِلُونَ فِىٓ ءَايَٰتِ ٱللَّهِ أَنَّىٰ يُصْرَفُونَ",
              "translate_bn": "আপনি কি তাদেরকে দেখেননি, যারা আল্লাহর আয়াত সম্পর্কে বিতর্ক করে, তারা কোথায় ফিরছে?",
              "numberInSurah": 69,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা ইউজা-দিলূনা ফীআ-য়া-তিল্লা-হি আন্না ইউসরাফূন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُجَادِلُوْنَ/يُجَٰدِلُونَ/yujadiluna//فِیْۤ/فِيٓ/fi//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//اَنّٰی/أَنَّىٰ/anna//یُصْرَفُوْنَ/يُصۡرَفُونَ/yus'rafuna",
              "words_bangla": "নি কি//তুমি দেখো//প্রতি//(তাদের) যারা//বিতর্ক করে//মধ্যে//নিদর্শনাবলীর//আল্লাহর//কোথায়//তাদেরকে ফিরানো হচ্ছে (অর্থাৎ বিভ্রান্ত করা হচ্ছে)"
            },
            {
              "number": 4203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4203.mp3"
              ],
              "text": "ٱلَّذِينَ كَذَّبُوا۟ بِٱلْكِتَٰبِ وَبِمَآ أَرْسَلْنَا بِهِۦ رُسُلَنَا ۖ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "যারা কিতাবের প্রতি এবং যে বিষয় দিয়ে আমি পয়গম্বরগণকে প্রেরণ করেছি, সে বিষয়ের প্রতি মিথ্যারোপ করে। অতএব, সত্বরই তারা জানতে পারবে।",
              "numberInSurah": 70,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কাযযাবূবিলকিতা-বি ওয়া বিমা আরছালনা- বিহী রুছুলানা- ফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِالْكِتٰبِ/بِٱلۡكِتَٰبِ/bil-kitabi//وَ بِمَاۤ/وَبِمَآ/wabima//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//بِهٖ/بِهِۦ/bihi//رُسُلَنَا ۛ۫/رُسُلَنَاۖ/rusulana//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "যারা//মিথ্যারোপ করে//(এই) কিতাবের প্রতি//এবং ঐ বিষয়ে যা//আমরা পাঠিয়েছি//যাসহ (অন্যান্য কিতাব)//আমাদের রাসূলগণকে//শীঘ্রই//তারা জানতে পারবে"
            },
            {
              "number": 4204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4204.mp3"
              ],
              "text": "إِذِ ٱلْأَغْلَٰلُ فِىٓ أَعْنَٰقِهِمْ وَٱلسَّلَٰسِلُ يُسْحَبُونَ",
              "translate_bn": "যখন বেড়িও শৃঙ্খল তাদের গলদেশে পড়বে। তাদেরকে টেনে নিয়ে যাওয়া হবে।",
              "numberInSurah": 71,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ইযিল আগলা-লুফীআ‘না-কিহিম ওয়াছ ছালা-ছিলু ইউসহাবূন।",
              "words_arabic": "اِذِ/إِذِ/idhi//الْاَغْلٰلُ/ٱلۡأَغۡلَٰلُ/al-aghlalu//فِیْۤ/فِيٓ/fi//اَعْنَاقِهِمْ/أَعۡنَٰقِهِمۡ/a'naqihim//وَ السَّلٰسِلُ ؕ/وَٱلسَّلَٰسِلُ/wal-salasilu//یُسْحَبُوْنَۙ/يُسۡحَبُونَ/yus'habuna",
              "words_bangla": "যখন//বেড়িসমূহ (পরানো হবে)//মধ্যে//তাদের গলায়//এবং শিকল (গলায় দেওয়া হবে)//তাদের টেনে নিয়ে যাওয়া হবে"
            },
            {
              "number": 4205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4205.mp3"
              ],
              "text": "فِى ٱلْحَمِيمِ ثُمَّ فِى ٱلنَّارِ يُسْجَرُونَ",
              "translate_bn": "ফুটন্ত পানিতে, অতঃপর তাদেরকে আগুনে জ্বালানো হবে।",
              "numberInSurah": 72,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ফিল হামীমি ছু ম্মা ফিন্না-রি ইউছজারূন।",
              "words_arabic": "فِی/فِي/fi//الْحَمِیْمِ ۙ۬/ٱلۡحَمِيمِ/al-hamimi//ثُمَّ/ثُمَّ/thumma//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//یُسْجَرُوْنَۚ/يُسۡجَرُونَ/yus'jaruna",
              "words_bangla": "মধ্যে//ফুটন্ত পানির//এরপর//মধ্যে//আগুনের//তাদেরকে পোড়ানো হবে"
            },
            {
              "number": 4206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4206.mp3"
              ],
              "text": "ثُمَّ قِيلَ لَهُمْ أَيْنَ مَا كُنتُمْ تُشْرِكُونَ",
              "translate_bn": "অতঃপর তাদেরকে বলা হবে, কোথায় গেল যাদেরকে তোমরা শরীক করতে।",
              "numberInSurah": 73,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কীলা লাহুম আইনা মা-কুনতুম তুশরিকূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تُشْرِكُوْنَۙ/تُشۡرِكُونَ/tush'rikuna",
              "words_bangla": "পরে//বলা হবে//তাদেরকে//\"কোথায় (এখন)//(তারা) যাদের//তোমরা//শরিক করছিলে"
            },
            {
              "number": 4207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4207.mp3"
              ],
              "text": "مِن دُونِ ٱللَّهِ ۖ قَالُوا۟ ضَلُّوا۟ عَنَّا بَل لَّمْ نَكُن نَّدْعُوا۟ مِن قَبْلُ شَيْـًۭٔا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ ٱلْكَٰفِرِينَ",
              "translate_bn": "আল্লাহ ব্যতীত? তারা বলবে, তারা আমাদের কাছ থেকে উধাও হয়ে গেছে; বরং আমরা তো ইতিপূর্বে কোন কিছুর পূজাই করতাম না। এমনি ভাবে আল্লাহ কাফেরদেরকে বিভ্রান্ত করেন।",
              "numberInSurah": 74,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "মিন দূ নিল্লা-হি কা-লূদাললূ‘আন্না-বাল লাম নাকুন নাদ‘ঊ মিন কাবলুশাইআন কাযা-লিকা ইউদিল্লুল্লা-হুল কা-ফিরীন।\r\n",
              "words_arabic": "مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالُوْا/قَالُواْ/qalu//ضَلُّوْا/ضَلُّواْ/dallu//عَنَّا/عَنَّا/anna//بَلْ/بَل/bal//لَّمْ/لَّمۡ/lam//نَكُنْ/نَكُن/nakun//نَّدْعُوْا/نَّدۡعُواْ/nad'u//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُضِلُّ/يُضِلُّ/yudillu//اللّٰهُ/ٱللَّهُ/al-lahu//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "মধ্য হতে//ছাড়া//আল্লাহ\"//তারা বলবে//\"তারা উধাও হয়েছে//আমাদের থেকে//বরং//না//আমরা ছিলাম//আমরা ডাকতাম//মধ্য হতে//পূর্বে//কোনো কিছুকেই\"//এভাবে//বিভ্রান্ত করবেন//আল্লাহ//কাফেরদেরকে"
            },
            {
              "number": 4208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4208.mp3"
              ],
              "text": "ذَٰلِكُم بِمَا كُنتُمْ تَفْرَحُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَبِمَا كُنتُمْ تَمْرَحُونَ",
              "translate_bn": "এটা একারণে যে, তোমরা দুনিয়াতে অন্যায়ভাবে আনন্দ-উল্লাস করতে এবং এ কারণে যে, তোমরা ঔদ্ধত্য করতে।",
              "numberInSurah": 75,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুমবিমা- কুনতুম তাফরাহূনা ফিল আরদি বিগাইরিল হাক্কি ওয়া বিমা-কুনতুম তামরাহূন।",
              "words_arabic": "ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَفْرَحُوْنَ/تَفۡرَحُونَ/tafrahuna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ بِمَا/وَبِمَا/wabima//كُنْتُمْ/كُنتُمۡ/kuntum//تَمْرَحُوْنَۚ/تَمۡرَحُونَ/tamrahuna",
              "words_bangla": "\"তোমাদের এ অবস্থা//এ কারণে যে//তোমরা//উল্লাস করছিলে//মধ্যে//পৃথিবীর//ছাড়া//(অন্যায় ভাবে)//এবং এ কারণে যে//তোমরা//দেমাক করছিলে"
            },
            {
              "number": 4209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4209.mp3"
              ],
              "text": "ٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَٰلِدِينَ فِيهَا ۖ فَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ",
              "translate_bn": "প্রবেশ কর তোমরা জাহান্নামের দরজা দিয়ে সেখানে চিরকাল বসবাসের জন্যে। কত নিকৃষ্ট দাম্ভিকদের আবাসস্থল।",
              "numberInSurah": 76,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "উদখুলূআবওয়া-বা জাহান্নামা খা-লিদীনা ফীহা- ফাবি’ছা মাছওয়াল মুতাকাববিরীন।",
              "words_arabic": "اُدْخُلُوْۤا/ٱدۡخُلُوٓاْ/ud'khulu//اَبْوَابَ/أَبۡوَٰبَ/abwaba//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ۚ/فِيهَاۖ/fiha//فَبِئْسَ/فَبِئۡسَ/fabi'sa//مَثْوَی/مَثۡوَى/mathwa//الْمُتَكَبِّرِیْنَ /ٱلۡمُتَكَبِّرِينَ/al-mutakabirina",
              "words_bangla": "(এখন যাও) তোমরা প্রবেশ করো//দরজা দিয়ে//জাহান্নামের//তোমরা স্থায়ী হবে//তার মধ্যে//অতএব কত নিকৃষ্ট//বাসস্থান//অহংকারীদের (জন্যে)\""
            },
            {
              "number": 4210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4210.mp3"
              ],
              "text": "فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ ۚ فَإِمَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِلَيْنَا يُرْجَعُونَ",
              "translate_bn": "অতএব আপনি সবর করুন। নিশ্চয় আল্লাহর ওয়াদা সত্য। অতঃপর আমি কাফেরদেরকে যে শাস্তির ওয়াদা দেই, তার কিয়দংশ যদি আপনাকে দেখিয়ে দেই অথবা আপনার প্রাণ হরণ করে নেই, সর্বাবস্থায় তারা তো আমারই কাছে ফিরে আসবে।",
              "numberInSurah": 77,
              "juz": 24,
              "manzil": 6,
              "page": 475,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ফাসবির ইন্না ওয়া‘দাল্লা-হি হাক্কুন ফাইম্মা-নুরিয়ান্নাকা বা‘দাল্লাযী না‘ইদুহুম আও নাতাওয়াফফাইয়ান্নাকা ফাইলাইনা-ইউরজা‘ঊন।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ ۚ/حَقّٞۚ/haqqun//فَاِمَّا/فَإِمَّا/fa-imma//نُرِیَنَّكَ/نُرِيَنَّكَ/nuriyannaka//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//نَعِدُهُمْ/نَعِدُهُمۡ/na'iduhum//اَوْ/أَوۡ/aw//نَتَوَفَّیَنَّكَ/نَتَوَفَّيَنَّكَ/natawaffayannaka//فَاِلَیْنَا/فَإِلَيۡنَا/fa-ilayna//یُرْجَعُوْنَ /يُرۡجَعُونَ/yur'ja'una",
              "words_bangla": "(হে নাবী) তাই ধৈর্য্য ধরো//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য//সুতরাং হয়//তোমাকে দেখাবো আমরা//কিছুটা//যা//প্রতিশ্রুতি দিই আমরা তাদেরকে//অথবা//তোমাকে মৃত্যু ঘটাই আমরা//তবে আমাদের দিকে//তাদের ফিরিয়ে আনা হবে"
            },
            {
              "number": 4211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4211.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا رُسُلًۭا مِّن قَبْلِكَ مِنْهُم مَّن قَصَصْنَا عَلَيْكَ وَمِنْهُم مَّن لَّمْ نَقْصُصْ عَلَيْكَ ۗ وَمَا كَانَ لِرَسُولٍ أَن يَأْتِىَ بِـَٔايَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ فَإِذَا جَآءَ أَمْرُ ٱللَّهِ قُضِىَ بِٱلْحَقِّ وَخَسِرَ هُنَالِكَ ٱلْمُبْطِلُونَ",
              "translate_bn": "আমি আপনার পূর্বে অনেক রসূল প্রেরণ করেছি, তাদের কারও কারও ঘটনা আপনার কাছে বিবৃত করেছি এবং কারও কারও ঘটনা আপনার কাছে বিবৃত করিনি। আল্লাহর অনুমতি ব্যতীত কোন নিদর্শন নিয়ে আসা কোন রসূলের কাজ নয়। যখন আল্লাহর আদেশ আসবে, তখন ন্যায় সঙ্গত ফয়সালা হয়ে যাবে। সেক্ষেত্রে মিথ্যাপন্থীরা ক্ষতিগ্রস্ত হবে।",
              "numberInSurah": 78,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 411,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-রুছুলাম মিন কাবলিকা মিনহুম মান কাসাসনা-‘আলাইকা ওয়া মিনহুম মাল্লাম নাকসুস ‘আলাইকা ওয়ামা-কা-না লিরাছূলিন আইঁ ইয়া’তিয়া বিআয়াতিন ইল্লা-বিইযনিল্লা-হি ফাইযা-জাআ আমরুল্লা-হি কুদিয়া বিলহাক্কিওয়া খাছিরা হুনা-লিকাল মুবতিলূন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//رُسُلًا/رُسُلٗا/rusulan//مِّنْ/مِّن/min//قَبْلِكَ/قَبۡلِكَ/qablika//مِنْهُمْ/مِنۡهُم/min'hum//مَّنْ/مَّن/man//قَصَصْنَا/قَصَصۡنَا/qasasna//عَلَیْكَ/عَلَيۡكَ/alayka//وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//لَّمْ/لَّمۡ/lam//نَقْصُصْ/نَقۡصُصۡ/naqsus//عَلَیْكَ ؕ/عَلَيۡكَۗ/alayka//وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لِرَسُوْلٍ/لِرَسُولٍ/lirasulin//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//بِاٰیَةٍ/بِـَٔايَةٍ/biayatin//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//فَاِذَا/فَإِذَا/fa-idha//جَآءَ/جَآءَ/jaa//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//قُضِیَ/قُضِيَ/qudiya//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ خَسِرَ/وَخَسِرَ/wakhasira//هُنَالِكَ/هُنَالِكَ/hunalika//الْمُبْطِلُوْنَ۠/ٱلۡمُبۡطِلُونَ/al-mub'tiluna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//(অনেক) রাসূলকে//থেকে//তোমার পূর্বে//তাদের মধ্যে//কারও (অবস্থা)//আমরা বর্ণনা করেছি//তোমার কাছে//আবার তাদের মধ্যে//কারও (অবস্থা)//নি//আমরা বর্ণনা করি//তোমার কাছে//এবং না//(সম্ভব) ছিলো//কোনো রাসূলের জন্যে//যে//আসবে//নিয়ে কোন নিদর্শন//ব্যতীত//অনুমতি//আল্লাহর//অতঃপর যখন//আসলো//আদেশ//আল্লাহর//মীমাংসা করে দেওয়া হলো//ন্যায়ভাবে//এবং ক্ষতিগ্রস্ত হলো//সেখানে//মিথ্যাশ্রয়ীরা (দুষ্কৃতিকারীরা)"
            },
            {
              "number": 4212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4212.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَنْعَٰمَ لِتَرْكَبُوا۟ مِنْهَا وَمِنْهَا تَأْكُلُونَ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে চতুস্পদ জন্তু সৃষ্টি করেছেন, যাতে কোন কোনটিই বাহন হিসাবে ব্যবহার কর এবং কোন কোনটিকে ভক্ষণ কর।",
              "numberInSurah": 79,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী জা‘আলা লাকুমুল আন‘আ-মা লিতারকাবূমিনহা-ওয়া মিনহা-তা’কুলূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَنْعَامَ/ٱلۡأَنۡعَٰمَ/al-an'ama//لِتَرْكَبُوْا/لِتَرۡكَبُواْ/litarkabu//مِنْهَا/مِنۡهَا/min'ha//وَ مِنْهَا/وَمِنۡهَا/wamin'ha//تَاْكُلُوْنَؗ/تَأۡكُلُونَ/takuluna",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//সৃষ্টি করেছেন//তোমাদের জন্যে//গবাদি পশুগুলো//তোমরা আরোহণ করতে পারো যেন//তার মধ্যে হ'তে (কোনটির উপর)//এবং তার মধ্যে হ'তে//তোমরা খাও (কোনটির গোশত)"
            },
            {
              "number": 4213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4213.mp3"
              ],
              "text": "وَلَكُمْ فِيهَا مَنَٰفِعُ وَلِتَبْلُغُوا۟ عَلَيْهَا حَاجَةًۭ فِى صُدُورِكُمْ وَعَلَيْهَا وَعَلَى ٱلْفُلْكِ تُحْمَلُونَ",
              "translate_bn": "তাতে তোমাদের জন্যে অনেক উপকারিতা রয়েছে আর এজন্যে সৃষ্টি করেছেন; যাতে সেগুলোতে আরোহণ করে তোমরা তোমাদের অভীষ্ট প্রয়োজন পূর্ণ করতে পার। এগুলোর উপর এবং নৌকার উপর তোমরা বাহিত হও।",
              "numberInSurah": 80,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকুম ফীহা-মানা-ফি‘উ ওয়ালিতাবলগূ ‘আলাইহা-হা-জাতান ফী সদূরিকুম ওয়া ‘আলাইহা-ওয়া ‘আলাল ফুলকি তুহমালূন।",
              "words_arabic": "وَ لَكُمْ/وَلَكُمۡ/walakum//فِیْهَا/فِيهَا/fiha//مَنَافِعُ/مَنَٰفِعُ/manafi'u//وَ لِتَبْلُغُوْا/وَلِتَبۡلُغُواْ/walitablughu//عَلَیْهَا/عَلَيۡهَا/alayha//حَاجَةً/حَاجَةٗ/hajatan//فِیْ/فِي/fi//صُدُوْرِكُمْ/صُدُورِكُمۡ/sudurikum//وَ عَلَیْهَا/وَعَلَيۡهَا/wa'alayha//وَ عَلَی/وَعَلَى/wa'ala//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//تُحْمَلُوْنَؕ/تُحۡمَلُونَ/tuh'maluna",
              "words_bangla": "এবং তোমাদের জন্যে//তার মধ্যে (রয়েছে)//(অনেক) উপকার//এবং তোমরা মেটাতে পারো যেন//তার সাহায্যে//প্রয়োজন (বোধ করলে)//মধ্যে//তোমাদের মনের//এবং তার উপর//এবং উপর//নৌযানের//তোমাদের বহন করা হয়"
            },
            {
              "number": 4214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4214.mp3"
              ],
              "text": "وَيُرِيكُمْ ءَايَٰتِهِۦ فَأَىَّ ءَايَٰتِ ٱللَّهِ تُنكِرُونَ",
              "translate_bn": "তিনি তোমাদেরকে তাঁর নিদর্শনাবলী দেখান। অতএব, তোমরা আল্লাহর কোন কোন নিদর্শনকে অস্বীকার করবে?",
              "numberInSurah": 81,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউরীকুম আ-য়া-তিহী ফাআইয়া আ-য়া-তিল্লা-হি তুনকিরূন।\r\n",
              "words_arabic": "وَ یُرِیْكُمْ/وَيُرِيكُمۡ/wayurikum//اٰیٰتِهٖ ۖۗ/ءَايَٰتِهِۦ/ayatihi//فَاَیَّ/فَأَيَّ/fa-ayya//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//تُنْكِرُوْنَ /تُنكِرُونَ/tunkiruna",
              "words_bangla": "এবং তোমাদের দেখান তিনি//তাঁর নিদর্শনাবলী//সুতরাং কোন//নিদর্শনাবলী//আল্লাহর//তোমরা অস্বীকার করবে"
            },
            {
              "number": 4215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4215.mp3"
              ],
              "text": "أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَانُوٓا۟ أَكْثَرَ مِنْهُمْ وَأَشَدَّ قُوَّةًۭ وَءَاثَارًۭا فِى ٱلْأَرْضِ فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "তারা কি পৃথিবীতে ভ্রমণ করেনি? করলে দেখত, তাদের পূর্ববর্তীদের কি পরিণাম হয়েছে। তারা তাদের চেয়ে সংখ্যায় বেশী এবং শক্তি ও কীর্তিতে অধিক প্রবল ছিল, অতঃপর তাদের কর্ম তাদেরকে কোন উপকার দেয়নি।",
              "numberInSurah": 82,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়াছীরূফিল আরদিফাইয়ানজুরূকাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলিহিম কা-নূআকছারা মিনহুম ওয়া আশাদ্দা কুওওয়াতাঁও ওয়া আছা-রান ফিল আরদিফামাআগনা-‘আনহুম মা-কা-নূইয়াকছিবূন।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۚ/qablihim//كَانُوْۤا/كَانُوٓاْ/kanu//اَكْثَرَ/أَكۡثَرَ/akthara//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ اَشَدَّ/وَأَشَدَّ/wa-ashadda//قُوَّةً/قُوَّةٗ/quwwatan//وَّ اٰثَارًا/وَءَاثَارٗا/waatharan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَمَاۤ/فَمَآ/fama//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "নি তবে কি//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//তারা অতঃপর দেখে (নি কি)//কেমন//ছিলো//পরিণতি//(তাদের) যারা//মধ্য হতে//তাদের পূর্বে (ছিলো)//তারা ছিলো//(সংখ্যায়) বেশী//এদের চেয়েও//ও প্রবল//শক্তিতে//ও কীর্তিতে//মধ্যে//পৃথিবীর//অতঃপর না//কাজে আসলো//তাদের জন্যে//যা//তারা//অর্জন করেছিলো"
            },
            {
              "number": 4216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4216.mp3"
              ],
              "text": "فَلَمَّا جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ فَرِحُوا۟ بِمَا عِندَهُم مِّنَ ٱلْعِلْمِ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "তাদের কাছে যখন তাদের রসূলগণ স্পষ্ট প্রমাণাদিসহ আগমন করেছিল, তখন তারা নিজেদের জ্ঞান-গরিমার দম্ভ প্রকাশ করেছিল। তারা যে বিষয় নিয়ে ঠাট্টাবিদ্রুপ করেছিল, তাই তাদেরকে গ্রাস করে নিয়েছিল।",
              "numberInSurah": 83,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআতহুম রুছুলুহুম বিলবাইয়িনা-তি ফারিহূবিমা-‘ইনদাহুম মিনাল ‘ইলমি ওয়া হা-কা বিহিম মা-কা-নূবিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَرِحُوْا/فَرِحُواْ/farihu//بِمَا/بِمَا/bima//عِنْدَهُمْ/عِندَهُم/indahum//مِّنَ/مِّنَ/mina//الْعِلْمِ/ٱلۡعِلۡمِ/al-'il'mi//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "অতঃপর যখন//তাদের কাছে আসলো//তাদের রাসূলগণ//সুস্পষ্ট প্রমাণসহ//তারা খুশীতে মগ্ন রইলো//ঐ বিষয়ে যা (ছিলো)//তাদের কাছে//অংশ বিশেষ//(নিজস্ব) জ্ঞানের//এবং ঘিরে ফেললো//তাদেরকে//তাই//তারা ছিলো//যে সম্পর্কে//ঠাট্টা-বিদ্রুপ করতো"
            },
            {
              "number": 4217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4217.mp3"
              ],
              "text": "فَلَمَّا رَأَوْا۟ بَأْسَنَا قَالُوٓا۟ ءَامَنَّا بِٱللَّهِ وَحْدَهُۥ وَكَفَرْنَا بِمَا كُنَّا بِهِۦ مُشْرِكِينَ",
              "translate_bn": "তারা যখন আমার শাস্তি প্রত্যক্ষ করল, তখন বলল, আমরা এক আল্লাহর প্রতি বিশ্বাস করলাম এবং যাদেরকে শরীক করতাম, তাদেরকে পরিহার করলাম।",
              "numberInSurah": 84,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআও বা’ছানা-কা-লূআ-মান্না-বিল্লা-হি ওয়াহদাহূওয়া কাফার না-বিমাকুন্না-বিহী মুশরিকীন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَوْا/رَأَوۡاْ/ra-aw//بَاْسَنَا/بَأۡسَنَا/basana//قَالُوْۤا/قَالُوٓاْ/qalu//اٰمَنَّا/ءَامَنَّا/amanna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَحْدَهٗ/وَحۡدَهُۥ/wahdahu//وَ كَفَرْنَا/وَكَفَرۡنَا/wakafarna//بِمَا/بِمَا/bima//كُنَّا/كُنَّا/kunna//بِهٖ/بِهِۦ/bihi//مُشْرِكِیْنَ /مُشۡرِكِينَ/mush'rikina",
              "words_bangla": "অতঃপর যখন//তারা দেখলো//আমাদের শাস্তি//তারা বললো//\"আমরা ঈমান এনেছি//আল্লাহর উপর//তাঁর একারই//এবং আমরা অস্বীকার করছি//তা সবকে//আমরা ছিলাম//যার সাথে//শরিককারী\""
            },
            {
              "number": 4218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4218.mp3"
              ],
              "text": "فَلَمْ يَكُ يَنفَعُهُمْ إِيمَٰنُهُمْ لَمَّا رَأَوْا۟ بَأْسَنَا ۖ سُنَّتَ ٱللَّهِ ٱلَّتِى قَدْ خَلَتْ فِى عِبَادِهِۦ ۖ وَخَسِرَ هُنَالِكَ ٱلْكَٰفِرُونَ",
              "translate_bn": "অতঃপর তাদের এ ঈমান তাদের কোন উপকারে আসল না যখন তারা শাস্তি প্রত্যক্ষ করল। আল্লাহর এ নিয়মই পূর্ব থেকে তাঁর বান্দাদের মধ্যে প্রচলিত হয়েছে। সেক্ষেত্রে কাফেররা ক্ষতিগ্রস্ত হয়।",
              "numberInSurah": 85,
              "juz": 24,
              "manzil": 6,
              "page": 476,
              "ruku": 412,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ফালাম ইয়াকুইয়ানফা‘উহুম ঈমা-নুহুম লাম্মা-রাআও বা’ছানা- ছুন্নাতাল্লা-হিল্লাতী কাদ খালাত ফী ‘ইবা-দিহী ওয়া খাছিরা হুনা-লিকাল কা-ফিরূন।",
              "words_arabic": "فَلَمْ/فَلَمۡ/falam//یَكُ/يَكُ/yaku//یَنْفَعُهُمْ/يَنفَعُهُمۡ/yanfa'uhum//اِیْمَانُهُمْ/إِيمَٰنُهُمۡ/imanuhum//لَمَّا/لَمَّا/lamma//رَاَوْا/رَأَوۡاْ/ra-aw//بَاْسَنَا ؕ/بَأۡسَنَاۖ/basana//سُنَّتَ/سُنَّتَ/sunnata//اللّٰهِ/ٱللَّهِ/al-lahi//الَّتِیْ/ٱلَّتِي/allati//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//فِیْ/فِي/fi//عِبَادِهٖ ۚ/عِبَادِهِۦۖ/ibadihi//وَ خَسِرَ/وَخَسِرَ/wakhasira//هُنَالِكَ/هُنَالِكَ/hunalika//الْكٰفِرُوْنَ۠/ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "অতঃপর//পারে নি//তাদের উপকার করতে//তাদের ঈমান//যখন//তারা দেখলো//আমাদের শাস্তি//বিধান//আল্লাহর (নির্ধারিত)//যা//নিশ্চয়ই//(চলে এসেছে)অতীত হয়েছে//ব্যাপারে//তাঁর দাসদের//এবং ক্ষতিগ্রস্ত হয়েছে//এমন অবস্হায়//কাফেররা"
            }
          ]
        },
        {
          "number": 41,
          "name": "سُورَةُ فُصِّلَتۡ",
          "englishName": "Fussilat",
          "englishNameTranslation": "Explained in detail",
          "revelationType": "Meccan",
          "verse": 54,
          "words": 1648,
          "chars": 6929,
          "ayahs": [
            {
              "number": 4219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4219.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।",
              "words_arabic": "حٰمٓۚ/حمٓ/Ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4220.mp3"
              ],
              "text": "تَنزِيلٌۭ مِّنَ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ",
              "translate_bn": "এটা অবতীর্ণ পরম করুণাময়, দয়ালুর পক্ষ থেকে।",
              "numberInSurah": 2,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুম মিনার রাহমা-নির রাহীম।",
              "words_arabic": "تَنْزِیْلٌ/تَنزِيلٞ/tanzilun//مِّنَ/مِّنَ/mina//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//الرَّحِیْمِۚ/ٱلرَّحِيمِ/al-rahimi",
              "words_bangla": "অবতরণ করা (হয়েছে এটা)//(আল্লাহর) পক্ষ হ'তে//(যিনি) অশেষ দয়াময়//পরম দয়ালু"
            },
            {
              "number": 4221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4221.mp3"
              ],
              "text": "كِتَٰبٌۭ فُصِّلَتْ ءَايَٰتُهُۥ قُرْءَانًا عَرَبِيًّۭا لِّقَوْمٍۢ يَعْلَمُونَ",
              "translate_bn": "এটা কিতাব, এর আয়াতসমূহ বিশদভাবে বিবৃত আরবী কোরআনরূপে জ্ঞানী লোকদের জন্য।",
              "numberInSurah": 3,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "কিতা-বুন ফুসসিলাত আ-য়া-তুহূকুরআ-নান ‘আরাবিইয়াল লিকাওমিইঁ ইয়া‘লামূন।",
              "words_arabic": "كِتٰبٌ/كِتَٰبٞ/kitabun//فُصِّلَتْ/فُصِّلَتۡ/fussilat//اٰیٰتُهٗ/ءَايَٰتُهُۥ/ayatuhu//قُرْاٰنًا/قُرۡءَانًا/qur'anan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এই কিতাব (এমন যে)//বিশদভাবে বিবৃত//তার আয়াতসমূহ//কুরআন//আরবী (ভাষার)//(এমন) সম্প্রদায়ের জন্যে//(যারা) জ্ঞান রাখে"
            },
            {
              "number": 4222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4222.mp3"
              ],
              "text": "بَشِيرًۭا وَنَذِيرًۭا فَأَعْرَضَ أَكْثَرُهُمْ فَهُمْ لَا يَسْمَعُونَ",
              "translate_bn": "সুসংবাদদাতা ও সতর্ককারীরূপে, অতঃপর তাদের অধিকাংশই মুখ ফিরিয়ে নিয়েছে, তারা শুনে না।",
              "numberInSurah": 4,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "বাশীরাওঁ ওয়া নাযীরান ফাআ‘রাদা আকছারুহুম ফাহুম লা-ইয়াছমা‘ঊন।",
              "words_arabic": "بَشِیْرًا/بَشِيرٗا/bashiran//وَّ نَذِیْرًا ۚ/وَنَذِيرٗا/wanadhiran//فَاَعْرَضَ/فَأَعۡرَضَ/fa-a'rada//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَسْمَعُوْنَ /يَسۡمَعُونَ/yasma'una",
              "words_bangla": "(এই কিতাব) সুসংবাদদাতা//ও সতর্ককারী//কিন্তু বিমুখ হয়েছে//তাদের অনেকেই//সুতরাং তারা//না//শুনে"
            },
            {
              "number": 4223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4223.mp3"
              ],
              "text": "وَقَالُوا۟ قُلُوبُنَا فِىٓ أَكِنَّةٍۢ مِّمَّا تَدْعُونَآ إِلَيْهِ وَفِىٓ ءَاذَانِنَا وَقْرٌۭ وَمِنۢ بَيْنِنَا وَبَيْنِكَ حِجَابٌۭ فَٱعْمَلْ إِنَّنَا عَٰمِلُونَ",
              "translate_bn": "তারা বলে আপনি যে বিষয়ের দিকে আমাদের কে দাওয়াত দেন, সে বিষয়ে আমাদের অন্তর আবরণে আবৃত, আমাদের কর্ণে আছে বোঝা এবং আমাদের ও আপনার মাঝখানে আছে অন্তরাল। অতএব, আপনি আপনার কাজ করুন এবং আমরা আমাদের কাজ করি।",
              "numberInSurah": 5,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লূকুলূবুনা-ফীআকিন্নাতিম মিম্মা-তাদ‘ঊনাইলাইহি ওয়া ফীআ-যা-নিনাওয়াকরুওঁ ওয়া মিম বাইনিনা-ওয়া বাইনিকা হিজা-বুন ফা‘মাল ইন্নানা-‘আ-মিলূন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//قُلُوْبُنَا/قُلُوبُنَا/qulubuna//فِیْۤ/فِيٓ/fi//اَكِنَّةٍ/أَكِنَّةٖ/akinnatin//مِّمَّا/مِّمَّا/mimma//تَدْعُوْنَاۤ/تَدۡعُونَآ/tad'una//اِلَیْهِ/إِلَيۡهِ/ilayhi//وَ فِیْۤ/وَفِيٓ/wafi//اٰذَانِنَا/ءَاذَانِنَا/adhanina//وَقْرٌ/وَقۡرٞ/waqrun//وَّ مِنْۢ/وَمِنۢ/wamin//بَیْنِنَا/بَيۡنِنَا/baynina//وَ بَیْنِكَ/وَبَيۡنِكَ/wabaynika//حِجَابٌ/حِجَابٞ/hijabun//فَاعْمَلْ/فَٱعۡمَلۡ/fa-i'mal//اِنَّنَا/إِنَّنَا/innana//عٰمِلُوْنَ /عَٰمِلُونَ/amiluna",
              "words_bangla": "এবং তারা বলে//\"আমাদের অন্তরগুলো//মধ্যে (আছে)//পর্দাসমূহের//তা থেকে যা//আমাদেরকে তোমরা ডাকছো//তার দিকে//এবং মধ্যে//আমাদের কানসমূহের//বধিরতা (রয়েছে)//মধ্য হতে//এবং আমাদের মাঝে//ও তোমার মাঝে//পর্দা (রয়েছে)//তুমি তাই কাজ করো//নিশ্চয়ই আমরা//কাজ করে যাচ্ছি\""
            },
            {
              "number": 4224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4224.mp3"
              ],
              "text": "قُلْ إِنَّمَآ أَنَا۠ بَشَرٌۭ مِّثْلُكُمْ يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَٰهُكُمْ إِلَٰهٌۭ وَٰحِدٌۭ فَٱسْتَقِيمُوٓا۟ إِلَيْهِ وَٱسْتَغْفِرُوهُ ۗ وَوَيْلٌۭ لِّلْمُشْرِكِينَ",
              "translate_bn": "বলুন, আমিও তোমাদের মতই মানুষ, আমার প্রতি ওহী আসে যে, তোমাদের মাবুদ একমাত্র মাবুদ, অতএব তাঁর দিকেই সোজা হয়ে থাক এবং তাঁর কাছে ক্ষমা প্রার্থনা কর। আর মুশরিকদের জন্যে রয়েছে দুর্ভোগ,",
              "numberInSurah": 6,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাআনা বাশারুম মিছলুকুম ইঊহাইলাইয়া আন্নামাইলা-হুকুম ইলা-হুওঁ ওয়াহিদুন ফাছতাকীমূইলাইহি ওয়াছতাগফিরূহু ওয়া ওয়াইলুলিলল মুশরিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَنَا/أَنَا۠/ana//بَشَرٌ/بَشَرٞ/basharun//مِّثْلُكُمْ/مِّثۡلُكُمۡ/mith'lukum//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//اَنَّمَاۤ/أَنَّمَآ/annama//اِلٰهُكُمْ/إِلَٰهُكُمۡ/ilahukum//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّاحِدٌ/وَٰحِدٞ/wahidun//فَاسْتَقِیْمُوْۤا/فَٱسۡتَقِيمُوٓاْ/fa-is'taqimu//اِلَیْهِ/إِلَيۡهِ/ilayhi//وَ اسْتَغْفِرُوْهُ ؕ/وَٱسۡتَغۡفِرُوهُۗ/wa-is'taghfiruhu//وَ وَیْلٌ/وَوَيۡلٞ/wawaylun//لِّلْمُشْرِكِیْنَۙ/لِّلۡمُشۡرِكِينَ/lil'mush'rikina",
              "words_bangla": "(হে নাবী) বলো//\"মূলতঃ//আমি//একজন মানুষ//তোমাদেরই মতো//ওহী করা হয়//আমার প্রতি//এই যে//তোমাদের ইলাহ//ইলাহ//একই//সুতরাং তোমরা দৃঢ় হয়ে থাকো//তাঁর দিকে//ও তোমরা তাঁর কাছে ক্ষমা চাও\"//এবং দুর্ভোগ (রয়েছে)//মুশরিকদের জন্যে"
            },
            {
              "number": 4225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4225.mp3"
              ],
              "text": "ٱلَّذِينَ لَا يُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْءَاخِرَةِ هُمْ كَٰفِرُونَ",
              "translate_bn": "যারা যাকাত দেয় না এবং পরকালকে অস্বীকার করে।",
              "numberInSurah": 7,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা লা-ইউ’তূনাঝঝাকা-তা ওয়া হুম বিলআ-খিরাতি হুম কা-ফিরূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْتُوْنَ/يُؤۡتُونَ/yu'tuna//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ هُمْ/وَهُم/wahum//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//هُمْ/هُمۡ/hum//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "যারা//না//দেয়//যাকাত//এবং তারা//পরকালকে//তারা//অস্বীকারকারী"
            },
            {
              "number": 4226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4226.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍۢ",
              "translate_bn": "নিশ্চয় যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, তাদের জন্যে রয়েছে অফুরন্ত পুরস্কার।",
              "numberInSurah": 8,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 413,
              "hizbQuarter": 190,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লাহুম আজরুন গাইরু মামনূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُمۡ/lahum//اَجْرٌ/أَجۡرٌ/ajrun//غَیْرُ/غَيۡرُ/ghayru//مَمْنُوْنٍ۠/مَمۡنُونٖ/mamnunin",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//ও কাজ করেছে//নেক//তাদের জন্যে//পুরস্কার রয়েছে//ব্যতীত//শেষ হওয়া (অফুরন্ত)"
            },
            {
              "number": 4227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4227.mp3"
              ],
              "text": "۞ قُلْ أَئِنَّكُمْ لَتَكْفُرُونَ بِٱلَّذِى خَلَقَ ٱلْأَرْضَ فِى يَوْمَيْنِ وَتَجْعَلُونَ لَهُۥٓ أَندَادًۭا ۚ ذَٰلِكَ رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "বলুন, তোমরা কি সে সত্তাকে অস্বীকার কর যিনি পৃথিবী সৃষ্টি করেছেন দু’দিনে এবং তোমরা কি তাঁর সমকক্ষ স্থীর কর? তিনি তো সমগ্র বিশ্বের পালনকর্তা।",
              "numberInSurah": 9,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "কুল আইন্নাকুম লাতাকফুরূনা বিল্লাযী খালাকাল আরদা ফী ইয়াওমাইনি ওয়া তাজ‘আলূনা লাহূআনদা-দান যা-লিকা রাব্বুল ‘আ-লামীন।",
              "words_arabic": "قُلْ/۞قُلۡ/qul//اَىِٕنَّكُمْ/أَئِنَّكُمۡ/a-innakum//لَتَكْفُرُوْنَ/لَتَكۡفُرُونَ/latakfuruna//بِالَّذِیْ/بِٱلَّذِي/bi-alladhi//خَلَقَ/خَلَقَ/khalaqa//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//فِیْ/فِي/fi//یَوْمَیْنِ/يَوۡمَيۡنِ/yawmayni//وَ تَجْعَلُوْنَ/وَتَجۡعَلُونَ/wataj'aluna//لَهٗۤ/لَهُۥٓ/lahu//اَنْدَادًا ؕ/أَندَادٗاۚ/andadan//ذٰلِكَ/ذَٰلِكَ/dhalika//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَۚ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "বলো//\"তোমরা নিশ্চিত কি//অস্বীকার করছো অবশ্যই//(তাকে) যিনি//সৃষ্টি করেছেন//পৃথিবীকে//মধ্যে//দু'দিনের//অথচ তোমরা দাঁড় করাচ্ছো//তাঁর জন্যে//সমকক্ষ (অন্যদেরকে)//তিনিই//রব//বিশ্বজগতের\""
            },
            {
              "number": 4228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4228.mp3"
              ],
              "text": "وَجَعَلَ فِيهَا رَوَٰسِىَ مِن فَوْقِهَا وَبَٰرَكَ فِيهَا وَقَدَّرَ فِيهَآ أَقْوَٰتَهَا فِىٓ أَرْبَعَةِ أَيَّامٍۢ سَوَآءًۭ لِّلسَّآئِلِينَ",
              "translate_bn": "তিনি পৃথিবীতে উপরিভাগে অটল পর্বতমালা স্থাপন করেছেন, তাতে কল্যাণ নিহিত রেখেছেন এবং চার দিনের মধ্যে তাতে তার খাদ্যের ব্যবস্থা করেছেন-পূর্ণ হল জিজ্ঞাসুদের জন্যে।",
              "numberInSurah": 10,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলা ফীহা-রাওয়া-ছিআ মিন ফাওকিহা- ওয়া বা-রাকাফীহা-ওয়াকাদ্দারাফীহা আকওয়া-তাহা- ফীআরবা‘আতি আইয়া-মিন ছাওয়াআললিছছাইলীন।",
              "words_arabic": "وَ جَعَلَ/وَجَعَلَ/waja'ala//فِیْهَا/فِيهَا/fiha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//مِنْ/مِن/min//فَوْقِهَا/فَوۡقِهَا/fawqiha//وَ بٰرَكَ/وَبَٰرَكَ/wabaraka//فِیْهَا/فِيهَا/fiha//وَ قَدَّرَ/وَقَدَّرَ/waqaddara//فِیْهَاۤ/فِيهَآ/fiha//اَقْوَاتَهَا/أَقۡوَٰتَهَا/aqwataha//فِیْۤ/فِيٓ/fi//اَرْبَعَةِ/أَرۡبَعَةِ/arba'ati//اَیَّامٍ ؕ/أَيَّامٖ/ayyamin//سَوَآءً/سَوَآءٗ/sawaan//لِّلسَّآىِٕلِیْنَ /لِّلسَّآئِلِينَ/lilssailina",
              "words_bangla": "এবং তিনি স্হাপন করেছেন//তার মধ্যে (অর্থাৎ পৃথিবীতে)//পর্বতমালা//থেকে//তার উপর//এবং কল্যাণ দিয়েছেন//তার মধ্যে//এবং নির্ধারণ করেছেন//তার মধ্যে//তার খাদ্য (অর্থাৎ খাদ্যসম্ভার)//মধ্যে//চার//দিনের//সমানভাবে//প্রার্থীদের জন্যে"
            },
            {
              "number": 4229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4229.mp3"
              ],
              "text": "ثُمَّ ٱسْتَوَىٰٓ إِلَى ٱلسَّمَآءِ وَهِىَ دُخَانٌۭ فَقَالَ لَهَا وَلِلْأَرْضِ ٱئْتِيَا طَوْعًا أَوْ كَرْهًۭا قَالَتَآ أَتَيْنَا طَآئِعِينَ",
              "translate_bn": "অতঃপর তিনি আকাশের দিকে মনোযোগ দিলেন যা ছিল ধুম্রকুঞ্জ, অতঃপর তিনি তাকে ও পৃথিবীকে বললেন, তোমরা উভয়ে আস ইচ্ছায় অথবা অনিচ্ছায়। তারা বলল, আমরা স্বেচ্ছায় আসলাম।",
              "numberInSurah": 11,
              "juz": 24,
              "manzil": 6,
              "page": 477,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মাছ তাওয়াইলাছ ছামাই ওয়াহিয়া দুখা-নুন ফাকা-লা লাহা-ওয়ালিল আরদি’তিয়া তাও‘আন আও কার হান কা-লাতাআতাইনা-তাই‘ঈন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اسْتَوٰۤی/ٱسۡتَوَىٰٓ/is'tawa//اِلَی/إِلَى/ila//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ هِیَ/وَهِيَ/wahiya//دُخَانٌ/دُخَانٞ/dukhanun//فَقَالَ/فَقَالَ/faqala//لَهَا/لَهَا/laha//وَ لِلْاَرْضِ/وَلِلۡأَرۡضِ/walil'ardi//ائْتِیَا/ٱئۡتِيَا/i'tiya//طَوْعًا/طَوۡعًا/taw'an//اَوْ/أَوۡ/aw//كَرْهًا ؕ/كَرۡهٗا/karhan//قَالَتَاۤ/قَالَتَآ/qalata//اَتَیْنَا/أَتَيۡنَا/atayna//طَآىِٕعِیْنَ /طَآئِعِينَ/tai'ina",
              "words_bangla": "এরপর//মনোযোগ দিলেন//দিকে//আকাশের//তখন তা (ছিলো)//ধোঁয়া//অতঃপর (আল্লাহ) বললেন//তাকে//ও পৃথিবীকে//\"উভয়ে আসো//ইচ্ছায়//বা//অনিচ্ছায়\"//উভয়ে বললো//\"আমরা আসলাম//স্বেচ্ছায়\""
            },
            {
              "number": 4230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4230.mp3"
              ],
              "text": "فَقَضَىٰهُنَّ سَبْعَ سَمَٰوَاتٍۢ فِى يَوْمَيْنِ وَأَوْحَىٰ فِى كُلِّ سَمَآءٍ أَمْرَهَا ۚ وَزَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِمَصَٰبِيحَ وَحِفْظًۭا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ",
              "translate_bn": "অতঃপর তিনি আকাশমন্ডলীকে দু’দিনে সপ্ত আকাশ করে দিলেন এবং প্রত্যেক আকাশে তার আদেশ প্রেরণ করলেন। আমি নিকটবর্তী আকাশকে প্রদীপমালা দ্বারা সুশোভিত ও সংরক্ষিত করেছি। এটা পরাক্রমশালী সর্বজ্ঞ আল্লাহর ব্যবস্থাপনা।",
              "numberInSurah": 12,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ফাকাদা-হুন্না ছাব ‘আ ছামা-ওয়া-তিন ফী ইয়াওমাইনি ওয়া আওহা-ফী কুল্লি ছামাইন আমরাহা- ওয়া ঝাইয়ান্নাছ ছামাআদ্দুনইয়া-বিমাসা-বীহা ওয়া হিফজান যালিকা তাকদীরুল ‘আঝীঝিল ‘আলীম।",
              "words_arabic": "فَقَضٰىهُنَّ/فَقَضَىٰهُنَّ/faqadahunna//سَبْعَ/سَبۡعَ/sab'a//سَمٰوَاتٍ/سَمَٰوَاتٖ/samawatin//فِیْ/فِي/fi//یَوْمَیْنِ/يَوۡمَيۡنِ/yawmayni//وَ اَوْحٰی/وَأَوۡحَىٰ/wa-awha//فِیْ/فِي/fi//كُلِّ/كُلِّ/kulli//سَمَآءٍ/سَمَآءٍ/samain//اَمْرَهَا ؕ/أَمۡرَهَاۚ/amraha//وَ زَیَّنَّا/وَزَيَّنَّا/wazayyanna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//بِمَصَابِیْحَ ۖۗ/بِمَصَٰبِيحَ/bimasabiha//وَ حِفْظًا ؕ/وَحِفۡظٗاۚ/wahif'zan//ذٰلِكَ/ذَٰلِكَ/dhalika//تَقْدِیْرُ/تَقۡدِيرُ/taqdiru//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْعَلِیْمِ /ٱلۡعَلِيمِ/al-'alimi",
              "words_bangla": "অতঃপর তাদেরকে পরিণত করলেন//সাত//আকাশে//মধ্যে//দু'দিনের//এবং ওহী করলেন//মধ্যে//প্রত্যেক//আকাশের//তাঁর বিধিবিধান//এবং আমরা সাজালাম//আকাশকে//নীচের//প্রদীপমালা দ্বারা//এবং সংরক্ষণ (করলাম)//এটা//ব্যবস্থাপনা//পরাক্রমশালীর//(যিনি) সবকিছু জানেন"
            },
            {
              "number": 4231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4231.mp3"
              ],
              "text": "فَإِنْ أَعْرَضُوا۟ فَقُلْ أَنذَرْتُكُمْ صَٰعِقَةًۭ مِّثْلَ صَٰعِقَةِ عَادٍۢ وَثَمُودَ",
              "translate_bn": "অতঃপর যদি তারা মুখ ফিরিয়ে নেয়, তবে বলুন, আমি তোমাদেরকে সতর্ক করলাম এক কঠোর আযাব সম্পর্কে আদ ও সামুদের আযাবের মত।",
              "numberInSurah": 13,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ফাইন আ‘রাদূ ফাকুলআনযারতুকুম সা-‘ইকাতাম মিছলা সা-‘ইকাতি ‘আ-দিওঁ ওয়া ছামূদ।",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//اَعْرَضُوْا/أَعۡرَضُواْ/a'radu//فَقُلْ/فَقُلۡ/faqul//اَنْذَرْتُكُمْ/أَنذَرۡتُكُمۡ/andhartukum//صٰعِقَةً/صَٰعِقَةٗ/sa'iqatan//مِّثْلَ/مِّثۡلَ/mith'la//صٰعِقَةِ/صَٰعِقَةِ/sa'iqati//عَادٍ/عَادٖ/adin//وَّ ثَمُوْدَؕ/وَثَمُودَ/wathamuda",
              "words_bangla": "এখন যদি//তারা মুখ ফিরায়//তবে বলো//\"তোমাদেরকে আমি সতর্ক করছি//বেহুশকারী শাস্তির//মতো//বেহুশকারী শাস্তি (এসেছিলো)//আ'দের//ও সামূদের (উপর)\""
            },
            {
              "number": 4232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4232.mp3"
              ],
              "text": "إِذْ جَآءَتْهُمُ ٱلرُّسُلُ مِنۢ بَيْنِ أَيْدِيهِمْ وَمِنْ خَلْفِهِمْ أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۖ قَالُوا۟ لَوْ شَآءَ رَبُّنَا لَأَنزَلَ مَلَٰٓئِكَةًۭ فَإِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَٰفِرُونَ",
              "translate_bn": "যখন তাদের কাছে রসূলগণ এসেছিলেন সম্মুখ দিক থেকে এবং পিছন দিক থেকে এ কথা বলতে যে, তোমরা আল্লাহ ব্যতীত কারও পূজা করো না। তারা বলেছিল, আমাদের পালনকর্তা ইচ্ছা করলে অবশ্যই ফেরেশতা প্রেরণ করতেন, অতএব, আমরা তোমাদের আনীত বিষয় অমান্য করলাম।",
              "numberInSurah": 14,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ইযজাআতহুমুর রুছুলুমিম বাইনি আইদীহিম ওয়া মিন খালফিহিম আল্লা-তা‘বুদূ ইল্লাল্লাহা কা-লূলাও শাআ রাব্বুনা-লাআনঝালা মালাইকাতান ফাইন্না-বিমাউরছিলতুম বিহী কা-ফিরূন।",
              "words_arabic": "اِذْ/إِذۡ/idh//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الرُّسُلُ/ٱلرُّسُلُ/al-rusulu//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مِنْ/وَمِنۡ/wamin//خَلْفِهِمْ/خَلۡفِهِمۡ/khalfihim//اَلَّا/أَلَّا/alla//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّا/إِلَّا/illa//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//قَالُوْا/قَالُواْ/qalu//لَوْ/لَوۡ/law//شَآءَ/شَآءَ/shaa//رَبُّنَا/رَبُّنَا/rabbuna//لَاَنْزَلَ/لَأَنزَلَ/la-anzala//مَلٰٓىِٕكَةً/مَلَـٰٓئِكَةٗ/malaikatan//فَاِنَّا/فَإِنَّا/fa-inna//بِمَاۤ/بِمَآ/bima//اُرْسِلْتُمْ/أُرۡسِلۡتُم/ur'sil'tum//بِهٖ/بِهِۦ/bihi//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "যখন//তাদের কাছে এসেছিলো//রাসূলগণ//মধ্য হতে//থেকে//সামনে তাদের//ও থেকে//তাদের পিছন//(এই বলে) যে না//তোমরা ইবাদত করো//ছাড়া//আল্লাহকে\"//তারা বলেছিলো//\"যদি//ইচ্ছে করতেন//আমাদের রব//অবশ্যই পাঠাতেন//ফেরেশতাদেরকে//সুতরাং নিশ্চয়ই আমরা//দিয়ে ঐ বিষয় যা//তোমাদেরকে পাঠানো হয়েছে//প্রতি তার//তোমরা অস্বীকারকারী\""
            },
            {
              "number": 4233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4233.mp3"
              ],
              "text": "فَأَمَّا عَادٌۭ فَٱسْتَكْبَرُوا۟ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَقَالُوا۟ مَنْ أَشَدُّ مِنَّا قُوَّةً ۖ أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَهُمْ هُوَ أَشَدُّ مِنْهُمْ قُوَّةًۭ ۖ وَكَانُوا۟ بِـَٔايَٰتِنَا يَجْحَدُونَ",
              "translate_bn": "যারা ছিল আদ, তারা পৃথিবীতে অযথা অহংকার করল এবং বলল, আমাদের অপেক্ষা অধিক শক্তিধর কে? তারা কি লক্ষ্য করেনি যে, যে আল্লাহ তাদেরকে সৃষ্টি করেছেন, তিনি তাদের অপেক্ষা অধিক শক্তিধর ? বস্তুতঃ তারা আমার নিদর্শনাবলী অস্বীকার করত।",
              "numberInSurah": 15,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-‘আ-দুন ফাছতাকবারূফিল আরদিবিগাইরিল হাক্কিওয়া কা-লূমান আশাদ্দা মিন্না-কুওওয়াতান আওয়ালাম ইয়ারাও আন্নাল্লা-হাল্লাযী খালাকাহুম হুওয়া আশাদ্দু মিনহুম কুওওয়াতাওঁ ওয়া কা-নূবিআ-য়া-তিনা-ইয়াজহাদূ ন।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//عَادٌ/عَادٞ/adun//فَاسْتَكْبَرُوْا/فَٱسۡتَكۡبَرُواْ/fa-is'takbaru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ قَالُوْا/وَقَالُواْ/waqalu//مَنْ/مَنۡ/man//اَشَدُّ/أَشَدُّ/ashaddu//مِنَّا/مِنَّا/minna//قُوَّةً ؕ/قُوَّةًۖ/quwwatan//اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَهُمْ/خَلَقَهُمۡ/khalaqahum//هُوَ/هُوَ/huwa//اَشَدُّ/أَشَدُّ/ashaddu//مِنْهُمْ/مِنۡهُمۡ/min'hum//قُوَّةً ؕ/قُوَّةٗۖ/quwwatan//وَ كَانُوْا/وَكَانُواْ/wakanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "আর অবস্থা (ছিলো)//আ'দের (এমন যে)//পরে তারা অহংকার করলো//মধ্যে//পৃথিবীর//ব্যতীত//কোন অধিকার//এবং তারা বললো//\"(আর) কে//অধিক শক্তিশালী//আমাদের চেয়ে//শক্তিতে\"//দেখে নি কি//তারা (ভেবে)//যে//আল্লাহ//যিনি//তাদের সৃষ্টি করেছেন//তিনিই//অধিক শক্তিশালী//তাদের চেয়ে//শক্তিতে//এবং তারা ছিলো//আমাদের নিদর্শনগুলোকে//অস্বীকার করতো"
            },
            {
              "number": 4234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4234.mp3"
              ],
              "text": "فَأَرْسَلْنَا عَلَيْهِمْ رِيحًۭا صَرْصَرًۭا فِىٓ أَيَّامٍۢ نَّحِسَاتٍۢ لِّنُذِيقَهُمْ عَذَابَ ٱلْخِزْىِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْءَاخِرَةِ أَخْزَىٰ ۖ وَهُمْ لَا يُنصَرُونَ",
              "translate_bn": "অতঃপর আমি তাদেরকে পার্থিব জীবনে লাঞ্ছনার আযাব আস্বাদন করানোর জন্যে তাদের উপর প্রেরণ করলাম ঝঞ্ঝাবায়ু বেশ কতিপয় অশুভ দিনে। আর পরকালের আযাব তো আরও লাঞ্ছনাকর এমতাবস্থায় যে, তারা সাহায্যপ্রাপ্ত হবে না।",
              "numberInSurah": 16,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ফাআরছালনা-‘আলাইহিম রীহান সারসারান ফীআইয়া-মিন নাহিছা-তিল লিনুযীকাহুম ‘আযা-বাল খিঝই ফিল হায়া-তিদ্দুইয়া- ওয়ালা‘আযা-বুল আ-খিরাতি আখঝাওয়াহুম লা-ইউনসারূন।",
              "words_arabic": "فَاَرْسَلْنَا/فَأَرۡسَلۡنَا/fa-arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رِیْحًا/رِيحٗا/rihan//صَرْصَرًا/صَرۡصَرٗا/sarsaran//فِیْۤ/فِيٓ/fi//اَیَّامٍ/أَيَّامٖ/ayyamin//نَّحِسَاتٍ/نَّحِسَاتٖ/nahisatin//لِّنُذِیْقَهُمْ/لِّنُذِيقَهُمۡ/linudhiqahum//عَذَابَ/عَذَابَ/adhaba//الْخِزْیِ/ٱلۡخِزۡيِ/al-khiz'yi//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؕ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَعَذَابُ/وَلَعَذَابُ/wala'adhabu//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَخْزٰی/أَخۡزَىٰۖ/akhza//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "আমরা তাই পাঠালাম//তাদের বিরুদ্ধে//বাতাস//ঝড়ো//মধ্যে//(কয়েক) দিনের//দুর্ভোগের//তাদেরকে আমরা ভোগ করাই যেন//শাস্তি//লাঞ্ছনার//মধ্যে//জীবনে//পার্থিব//এবং অবশ্যই শাস্তি//পরকালের//অধিক অপমানকর//এবং তাদের//না//সাহায্য করা হবে"
            },
            {
              "number": 4235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4235.mp3"
              ],
              "text": "وَأَمَّا ثَمُودُ فَهَدَيْنَٰهُمْ فَٱسْتَحَبُّوا۟ ٱلْعَمَىٰ عَلَى ٱلْهُدَىٰ فَأَخَذَتْهُمْ صَٰعِقَةُ ٱلْعَذَابِ ٱلْهُونِ بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "আর যারা সামূদ, আমি তাদেরকে প্রদর্শন করেছিলাম, অতঃপর তারা সৎপথের পরিবর্তে অন্ধ থাকাই পছন্দ করল। অতঃপর তাদের কৃতকর্মের কারণে তাদেরকে অবমাননাকর আযাবের বিপদ এসে ধৃত করল।",
              "numberInSurah": 17,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-ছামূদুফাহাদাইনা-হুম ফাছতাহাব্বুল ‘আমা-‘আলাল হুদা-ফাআখাযাতহুম সা-‘ইকাতুল ‘আযা-বিল হূনি বিমা-কা-নূইয়াকছিবূন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//ثَمُوْدُ/ثَمُودُ/thamudu//فَهَدَیْنٰهُمْ/فَهَدَيۡنَٰهُمۡ/fahadaynahum//فَاسْتَحَبُّوا/فَٱسۡتَحَبُّواْ/fa-is'tahabbu//الْعَمٰی/ٱلۡعَمَىٰ/al-'ama//عَلَی/عَلَى/ala//الْهُدٰی/ٱلۡهُدَىٰ/al-huda//فَاَخَذَتْهُمْ/فَأَخَذَتۡهُمۡ/fa-akhadhathum//صٰعِقَةُ/صَٰعِقَةُ/sa'iqatu//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْهُوْنِ/ٱلۡهُونِ/al-huni//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَۚ/يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "আর অবস্থা (ছিলো)//সামূদের (এমন যে)//তাদেরকে আমরা অতঃপর পথ নির্দেশ করেছিলাম//তারা কিন্তু পছন্দ করেছিলো//অন্ধতা//পরিবর্তে//সৎপথের//তখন তাদেরকে পাকড়াও  করলো//বেহুশকারী//শাস্তি//অপমানকর//এ কারণে যা//তারা//কামাই করেছিলো"
            },
            {
              "number": 4236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4236.mp3"
              ],
              "text": "وَنَجَّيْنَا ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছিল ও সাবধানে চলত, আমি তাদেরকে উদ্ধার করলাম।",
              "numberInSurah": 18,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 414,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাজ্জাইনাল্লাযীনা আ-মানূওয়াকা-নূইয়াত্তাকূন।\r\n",
              "words_arabic": "وَ نَجَّیْنَا/وَنَجَّيۡنَا/wanajjayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ كَانُوْا/وَكَانُواْ/wakanu//یَتَّقُوْنَ۠/يَتَّقُونَ/yattaquna",
              "words_bangla": "এবং আমরা উদ্ধার করেছিলাম//(তাদেরকে) যারা//ঈমান এনেছিলো//ও//(গুমরাহী হ'তে) ভয় করেছিলো"
            },
            {
              "number": 4237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4237.mp3"
              ],
              "text": "وَيَوْمَ يُحْشَرُ أَعْدَآءُ ٱللَّهِ إِلَى ٱلنَّارِ فَهُمْ يُوزَعُونَ",
              "translate_bn": "যেদিন আল্লাহর শত্রুদেরকে অগ্নিকুন্ডের দিকে ঠেলে নেওয়া হবে। এবং ওদের বিন্যস্ত করা হবে বিভিন্ন দলে।",
              "numberInSurah": 19,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউহশারু আ‘দাউল্লা-হি ইলান্না-রি ফাহুম ইউঝা‘ঊন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُحْشَرُ/يُحۡشَرُ/yuh'sharu//اَعْدَآءُ/أَعۡدَآءُ/a'dau//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَی/إِلَى/ila//النَّارِ/ٱلنَّارِ/al-nari//فَهُمْ/فَهُمۡ/fahum//یُوْزَعُوْنَ /يُوزَعُونَ/yuza'una",
              "words_bangla": "এবং (স্মরণ করো) যেদিন//সমবেত করা হবে//শত্রুদের//আল্লাহর//দিকে//জাহান্নামের//অতঃপর তাদেরকে//নানা দলে ভাগ করা হবে"
            },
            {
              "number": 4238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4238.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا مَا جَآءُوهَا شَهِدَ عَلَيْهِمْ سَمْعُهُمْ وَأَبْصَٰرُهُمْ وَجُلُودُهُم بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তারা যখন জাহান্নামের কাছে পৌঁছাবে, তখন তাদের কান, চক্ষু ও ত্বক তাদের কর্ম সম্পর্কে সাক্ষ্য দেবে।",
              "numberInSurah": 20,
              "juz": 24,
              "manzil": 6,
              "page": 478,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-মা-জাউহা-শাহিদা ‘আলাইহিম ছাম‘উহুম ওয়া আবসা-রুহম ওয়া জুলূদুহুম বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//مَا/مَا/ma//جَآءُوْهَا/جَآءُوهَا/jauha//شَهِدَ/شَهِدَ/shahida//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سَمْعُهُمْ/سَمۡعُهُمۡ/sam'uhum//وَ اَبْصَارُهُمْ/وَأَبۡصَٰرُهُمۡ/wa-absaruhum//وَ جُلُوْدُهُمْ/وَجُلُودُهُم/wajuluduhum//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "অবশেষে//যখন//যা//সেখানে তারা আসবে (সবাই)//সাক্ষ্য দিবে//তাদের বিরুদ্ধে//তাদের কান//ও তাদের চক্ষু//ও তাদের ত্বক//ঐ বিষয়ে যা//তারা//কাজ করেছিলো"
            },
            {
              "number": 4239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4239.mp3"
              ],
              "text": "وَقَالُوا۟ لِجُلُودِهِمْ لِمَ شَهِدتُّمْ عَلَيْنَا ۖ قَالُوٓا۟ أَنطَقَنَا ٱللَّهُ ٱلَّذِىٓ أَنطَقَ كُلَّ شَىْءٍۢ وَهُوَ خَلَقَكُمْ أَوَّلَ مَرَّةٍۢ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "তারা তাদের ত্বককে বলবে, তোমরা আমাদের বিপক্ষে সাক্ষ্য দিলে কেন? তারা বলবে, যে আল্লাহ সব কিছুকে বাকশক্তি দিয়েছেন, তিনি আমাদেরকেও বাকশক্তি দিয়েছেন। তিনিই তোমাদেরকে প্রথমবার সৃষ্টি করেছেন এবং তোমরা তাঁরই দিকে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 21,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লূলিজুলূদিহিম লিমা শাহিত্তুম ‘আলাইনা- কা-লূআনতাকানাল্লা-হুল্লাযী আনতাকা কুল্লা শাইয়িওঁ ওয়া হুওয়া খালাকাকুম আওওয়ালা মাররাতিওঁ ওয়া ইলাইহি তুর জা‘ঊন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لِجُلُوْدِهِمْ/لِجُلُودِهِمۡ/lijuludihim//لِمَ/لِمَ/lima//شَهِدْتُّمْ/شَهِدتُّمۡ/shahidttum//عَلَیْنَا ؕ/عَلَيۡنَاۖ/alayna//قَالُوْۤا/قَالُوٓاْ/qalu//اَنْطَقَنَا/أَنطَقَنَا/antaqana//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْطَقَ/أَنطَقَ/antaqa//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٖۚ/shayin//وَّ هُوَ/وَهُوَ/wahuwa//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//اَوَّلَ/أَوَّلَ/awwala//مَرَّةٍ/مَرَّةٖ/marratin//وَّ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "এবং তারা বলবে//তাদের ত্বকগুলোকে//\"কেন//তোমরা সাক্ষ্য দিয়েছো//আমাদের বিরুদ্ধে\"//তারা বলবে//\"আমাদের বাকশক্তি দিয়েছেন//\"(সেই) আল্লাহ-ই//যিনি//বাকশক্তি দিয়েছেন//সব//কিছুকে//এবং তিনি//তোমাদেরকে সৃষ্টি করেছেন//প্রথম//বার//এবং তাঁরই দিকে//তোমাদের ফিরিয়ে নেয়া হবে\""
            },
            {
              "number": 4240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4240.mp3"
              ],
              "text": "وَمَا كُنتُمْ تَسْتَتِرُونَ أَن يَشْهَدَ عَلَيْكُمْ سَمْعُكُمْ وَلَآ أَبْصَٰرُكُمْ وَلَا جُلُودُكُمْ وَلَٰكِن ظَنَنتُمْ أَنَّ ٱللَّهَ لَا يَعْلَمُ كَثِيرًۭا مِّمَّا تَعْمَلُونَ",
              "translate_bn": "তোমাদের কান, তোমাদের চক্ষু এবং তোমাদের ত্বক তোমাদের বিপক্ষে সাক্ষ্য দেবে না ধারণার বশবর্তী হয়ে তোমরা তাদের কাছে কিছু গোপন করতে না। তবে তোমাদের ধারণা ছিল যে, তোমরা যা কর তার অনেক কিছুই আল্লাহ জানেন না।",
              "numberInSurah": 22,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কুনতুম তাছতাতিরূনা আইঁ ইয়াশহাদা ‘আলাইকুম ছাম‘উকুম ওয়ালাআবসা-রুকুম ওয়ালা- জুলূদুকুম ওয়ালা- কিন জানানতুম আন্নাল্লা-হা লা- ইয়া‘লামুকাছীরাম মিম্মাতা‘মালূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//كُنْتُمْ/كُنتُمۡ/kuntum//تَسْتَتِرُوْنَ/تَسۡتَتِرُونَ/tastatiruna//اَنْ/أَن/an//یَّشْهَدَ/يَشۡهَدَ/yashhada//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//سَمْعُكُمْ/سَمۡعُكُمۡ/sam'ukum//وَ لَاۤ/وَلَآ/wala//اَبْصَارُكُمْ/أَبۡصَٰرُكُمۡ/absarukum//وَ لَا/وَلَا/wala//جُلُوْدُكُمْ/جُلُودُكُمۡ/juludukum//وَ لٰكِنْ/وَلَٰكِن/walakin//ظَنَنْتُمْ/ظَنَنتُمۡ/zanantum//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَعْلَمُ/يَعۡلَمُ/ya'lamu//كَثِیْرًا/كَثِيرٗا/kathiran//مِّمَّا/مِّمَّا/mimma//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "আর না//তোমরা//লুকাতে (তখন জানতেন)//যে//সাক্ষ্য দিবে//তোমাদের বিরুদ্ধে//তোমাদের কান//এবং না (জানতে)//তোমাদের চোখগুলো (সাক্ষ্য দিবে)//আর না (জানতে)//তোমাদের ত্বকগুলো (সাক্ষ্য দিবে)//কিন্তু//তোমরা মনে করতে//যে//আল্লাহ//না//জানেন কিছুই//অনেক//ঐ বিষয়কে যা//তোমরা কাজ করতে"
            },
            {
              "number": 4241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4241.mp3"
              ],
              "text": "وَذَٰلِكُمْ ظَنُّكُمُ ٱلَّذِى ظَنَنتُم بِرَبِّكُمْ أَرْدَىٰكُمْ فَأَصْبَحْتُم مِّنَ ٱلْخَٰسِرِينَ",
              "translate_bn": "তোমাদের পালনকর্তা সম্বন্ধে তোমাদের এ ধারণাই তোমাদেরকে ধ্বংস করেছে। ফলে তোমরা ক্ষতিগ্রস্তদের অন্তর্ভুক্ত হয়ে গেছ।",
              "numberInSurah": 23,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ওয়া যা-লিকুম জান্নুকুমুল্লাযীজানানতুম বিরাব্বিকুম আর দা-কুম ফাআসবাহতুম মিনাল খা-ছিরীন।",
              "words_arabic": "وَ ذٰلِكُمْ/وَذَٰلِكُمۡ/wadhalikum//ظَنُّكُمُ/ظَنُّكُمُ/zannukumu//الَّذِیْ/ٱلَّذِي/alladhi//ظَنَنْتُمْ/ظَنَنتُم/zanantum//بِرَبِّكُمْ/بِرَبِّكُمۡ/birabbikum//اَرْدٰىكُمْ/أَرۡدَىٰكُمۡ/ardakum//فَاَصْبَحْتُمْ/فَأَصۡبَحۡتُم/fa-asbahtum//مِّنَ/مِّنَ/mina//الْخٰسِرِیْنَ /ٱلۡخَٰسِرِينَ/al-khasirina",
              "words_bangla": "এবং সেটা (ছিলো)//তোমাদের ধারণা//যা//তোমরা ধারণা করেছিলে//সম্পর্কে রব তোমাদের//(এটাই) তোমাদেরকে ধ্বংস করেছে//এখন তোমরা হয়েছো//অন্তর্ভুক্ত//ক্ষতিগ্রস্তদের"
            },
            {
              "number": 4242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4242.mp3"
              ],
              "text": "فَإِن يَصْبِرُوا۟ فَٱلنَّارُ مَثْوًۭى لَّهُمْ ۖ وَإِن يَسْتَعْتِبُوا۟ فَمَا هُم مِّنَ ٱلْمُعْتَبِينَ",
              "translate_bn": "অতঃপর যদি তারা সবর করে, তবুও জাহান্নামই তাদের আবাসস্থল। আর যদি তারা ওযরখাহী করে, তবে তাদের ওযর কবুল করা হবে না।",
              "numberInSurah": 24,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 415,
              "hizbQuarter": 191,
              "sajda": false,
              "pronunciation_bn": "ফাইয়ঁইয়াসবিরূফান্না-রু মাছওয়াল লাহুম ওয়া ইয়ঁইয়াছতা‘তিবূফামা-হুম মিনাল মু‘তাবীন।\r\n",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//یَّصْبِرُوْا/يَصۡبِرُواْ/yasbiru//فَالنَّارُ/فَٱلنَّارُ/fal-naru//مَثْوًی/مَثۡوٗى/mathwan//لَّهُمْ ۚ/لَّهُمۡۖ/lahum//وَ اِنْ/وَإِن/wa-in//یَّسْتَعْتِبُوْا/يَسۡتَعۡتِبُواْ/yasta'tibu//فَمَا/فَمَا/fama//هُمْ/هُم/hum//مِّنَ/مِّنَ/mina//الْمُعْتَبِیْنَ /ٱلۡمُعۡتَبِينَ/al-mu'tabina",
              "words_bangla": "সুতরাং যদি//তারা ধৈর্য্য ধরে (আর নাই ধরে)//জাহান্নাম তবুও//আবাস//তাদের জন্যে//এবং যদি//তারা অনুগ্রহ করতে চায়ও//তবুও না//তারা (হবে)//অন্তর্ভুক্ত//অনুগ্রহ প্রাপ্তদের"
            },
            {
              "number": 4243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4243.mp3"
              ],
              "text": "۞ وَقَيَّضْنَا لَهُمْ قُرَنَآءَ فَزَيَّنُوا۟ لَهُم مَّا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَحَقَّ عَلَيْهِمُ ٱلْقَوْلُ فِىٓ أُمَمٍۢ قَدْ خَلَتْ مِن قَبْلِهِم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ إِنَّهُمْ كَانُوا۟ خَٰسِرِينَ",
              "translate_bn": "আমি তাদের পেছনে সঙ্গী লাগিয়ে দিয়েছিলাম, অতঃপর সঙ্গীরা তাদের অগ্র-পশ্চাতের আমল তাদের দৃষ্টিতে শোভনীয় করে দিয়েছিল। তাদের ব্যাপারেও শাস্তির আদেশ বাস্তবায়িত হল, যা বাস্তবায়িত হয়েছিল তাদের পূর্ববতী জিন ও মানুষের ব্যাপারে। নিশ্চয় তারা ক্ষতিগ্রস্ত।",
              "numberInSurah": 25,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 415,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাইয়াদনা-লাহুম কুরানাআ ফাঝাইয়ানূলাহুম মা-বাইনা আইদীহিম ওয়ামাখালফাহুম ওয়াহাক্কা ‘আলাইহিমুল কাওলুফীউমামিন কাদ খালাত মিন কাবলিহিম মিনাল জিন্নি ওয়ালইনছি ইন্নাহুম কা-নূখা-ছিরীন।\r\n",
              "words_arabic": "وَ قَیَّضْنَا/۞وَقَيَّضۡنَا/waqayyadna//لَهُمْ/لَهُمۡ/lahum//قُرَنَآءَ/قُرَنَآءَ/quranaa//فَزَیَّنُوْا/فَزَيَّنُواْ/fazayyanu//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ مَا/وَمَا/wama//خَلْفَهُمْ/خَلۡفَهُمۡ/khalfahum//وَ حَقَّ/وَحَقَّ/wahaqqa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//فِیْۤ/فِيٓ/fi//اُمَمٍ/أُمَمٖ/umamin//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ ۚ/وَٱلۡإِنسِۖ/wal-insi//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//خٰسِرِیْنَ۠/خَٰسِرِينَ/khasirina",
              "words_bangla": "এবং আমরা নির্ধারণ করেছি//তাদের জন্যে//(পথভ্রষ্ট) সঙ্গীদেরকে//আর তারা শোভন করে দেখায়//তাদেরকে//যা কিছু (আছে)//সামনে//তাদের//এবং যা কিছু আছে//তাদের পিছনে//এবং বাস্তব হলো//তাদের উপর//সেই বাণী (যা কার্যকর হয়েছে)//উপর//জাতিসমূহের (যারা)//নিশ্চয়ই//অতীত হয়েছে//পূর্বের//তাদের//মধ্য হ'তে//জিনের//ও মানুষের//তারা নিশ্চয়ই//ছিলো//ক্ষতিগ্রস্ত"
            },
            {
              "number": 4244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4244.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَا تَسْمَعُوا۟ لِهَٰذَا ٱلْقُرْءَانِ وَٱلْغَوْا۟ فِيهِ لَعَلَّكُمْ تَغْلِبُونَ",
              "translate_bn": "আর কাফেররা বলে, তোমরা এ কোরআন শ্রবণ করো না এবং এর আবৃত্তিতে হঞ্জগোল সৃষ্টি কর, যাতে তোমরা জয়ী হও।",
              "numberInSurah": 26,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূ লা-তাছমা‘ঊ লিহা-যাল কুরআ-নি ওয়ালগাও ফীহি লা‘আল্লাকুম তাগলিবূন।\r\n",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَا/لَا/la//تَسْمَعُوْا/تَسۡمَعُواْ/tasma'u//لِهٰذَا/لِهَٰذَا/lihadha//الْقُرْاٰنِ/ٱلۡقُرۡءَانِ/al-qur'ani//وَ الْغَوْا/وَٱلۡغَوۡاْ/wal-ghaw//فِیْهِ/فِيهِ/fihi//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَغْلِبُوْنَ /تَغۡلِبُونَ/taghlibuna",
              "words_bangla": "এবং বলে//যারা//অবিশ্বাস করেছে//\"না//তোমরা শুনো//এই//কুরআন//এবং গোলমাল সৃষ্টি করো তোমরা//তার মধ্যে//তোমরা সম্ভবতঃ//জয়ী হবে\""
            },
            {
              "number": 4245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4245.mp3"
              ],
              "text": "فَلَنُذِيقَنَّ ٱلَّذِينَ كَفَرُوا۟ عَذَابًۭا شَدِيدًۭا وَلَنَجْزِيَنَّهُمْ أَسْوَأَ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আমি অবশ্যই কাফেরদেরকে কঠিন আযাব আস্বাদন করাব এবং আমি অবশ্যই তাদেরকে তাদের মন্দ ও হীন কাজের প্রতিফল দেব।",
              "numberInSurah": 27,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ফালানুযী কান্নাল্লাযীনা কাফারূ‘আযা-বান শাদীদাওঁ ওয়ালা নাজঝিয়ান্নাহুম আছওয়াল্লাযী কা-নূইয়া‘মালূন।",
              "words_arabic": "فَلَنُذِیْقَنَّ/فَلَنُذِيقَنَّ/falanudhiqanna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا ۙ/شَدِيدٗا/shadidan//وَّ لَنَجْزِیَنَّهُمْ/وَلَنَجۡزِيَنَّهُمۡ/walanajziyannahum//اَسْوَاَ/أَسۡوَأَ/aswa-a//الَّذِیْ/ٱلَّذِي/alladhi//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "সুতরাং আমরা আস্বাদন করাবোই//(তাদেরকে) যারা//অবিশ্বাস করেছে//শাস্তি//কঠোর//এবং আমরা তাদেরকে প্রতিফল দিবোই//নিকৃষ্ট কাজের//যা//তারা//কাজ করেছিলো"
            },
            {
              "number": 4246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4246.mp3"
              ],
              "text": "ذَٰلِكَ جَزَآءُ أَعْدَآءِ ٱللَّهِ ٱلنَّارُ ۖ لَهُمْ فِيهَا دَارُ ٱلْخُلْدِ ۖ جَزَآءًۢ بِمَا كَانُوا۟ بِـَٔايَٰتِنَا يَجْحَدُونَ",
              "translate_bn": "এটা আল্লাহর শত্রুদের শাস্তি-জাহান্নাম। তাতে তাদের জন্যে রয়েছে স্থায়ী আবাস, আমার আয়াতসমূহ অস্বীকার করার প্রতিফলস্বরূপ।",
              "numberInSurah": 28,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা জাঝাউ আ‘দাইল্লা-হিন্না-রু লাহুম ফীহা-দা-রুল খুলদি জাঝাআম বিমা-কা-নূবিআ-য়া-তিনা-ইয়াজহাদূ ন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//جَزَآءُ/جَزَآءُ/jazau//اَعْدَآءِ/أَعۡدَآءِ/a'dai//اللّٰهِ/ٱللَّهِ/al-lahi//النَّارُ ۚ/ٱلنَّارُۖ/al-naru//لَهُمْ/لَهُمۡ/lahum//فِیْهَا/فِيهَا/fiha//دَارُ/دَارُ/daru//الْخُلْدِ ؕ/ٱلۡخُلۡدِ/al-khul'di//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//یَجْحَدُوْنَ /يَجۡحَدُونَ/yajhaduna",
              "words_bangla": "সেটা//প্রতিফল//শত্রুদের//আল্লাহর//জাহান্নাম//এদের জন্যে (রয়েছে)//তার মধ্যে//আবাস//স্থায়ী//প্রতিফলস্বরূপ//এ কারণে যা//তারা ছিলো//আমাদের নিদর্শনগুলোকে//অস্বীকার করতো"
            },
            {
              "number": 4247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4247.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ رَبَّنَآ أَرِنَا ٱلَّذَيْنِ أَضَلَّانَا مِنَ ٱلْجِنِّ وَٱلْإِنسِ نَجْعَلْهُمَا تَحْتَ أَقْدَامِنَا لِيَكُونَا مِنَ ٱلْأَسْفَلِينَ",
              "translate_bn": "কাফেররা বলবে, হে আমাদের পালনকর্তা! যেসব জিন ও মানুষ আমাদেরকে পথভ্রষ্ট করেছিল, তাদেরকে দেখিয়ে দাও, আমরা তাদেরকে পদদলিত করব, যাতে তারা যথেষ্ট অপমানিত হয়।",
              "numberInSurah": 29,
              "juz": 24,
              "manzil": 6,
              "page": 479,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূরাব্বানাআরিনাল্লাযাইনি আদাল্লা-না-মিনাল জিন্নি ওয়াল ইনছি নাজ‘আলহুমা-তাহতা আকদা-মিনা-লিইয়াকূনা মিনাল আছফালীন।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَرِنَا/أَرِنَا/arina//الَّذَیْنِ/ٱلَّذَيۡنِ/alladhayni//اَضَلّٰنَا/أَضَلَّانَا/adallana//مِنَ/مِنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ/وَٱلۡإِنسِ/wal-insi//نَجْعَلْهُمَا/نَجۡعَلۡهُمَا/naj'alhuma//تَحْتَ/تَحۡتَ/tahta//اَقْدَامِنَا/أَقۡدَامِنَا/aqdamina//لِیَكُوْنَا/لِيَكُونَا/liyakuna//مِنَ/مِنَ/mina//الْاَسْفَلِیْنَ /ٱلۡأَسۡفَلِينَ/al-asfalina",
              "words_bangla": "এবং বলবে//যারা//অস্বীকার করেছিলো//\"হে আমাদের রব//আমাদেরকে দেখিয়ে দিন//(সেই দুই প্রজাতির লোকদেরকে) যারা//আমাদেরকে পথভ্রষ্ট করেছে//মধ্যে থেকে//জিনদের//এবং মানুষদের//উভয়কে আমরা পিষে ফেলবো//তলায়//আমাদের পায়ের//উভয়ে হয় যেন//অন্তর্ভুক্ত//অপমানিতদের (সর্বনিম্নের)\""
            },
            {
              "number": 4248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4248.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ قَالُوا۟ رَبُّنَا ٱللَّهُ ثُمَّ ٱسْتَقَٰمُوا۟ تَتَنَزَّلُ عَلَيْهِمُ ٱلْمَلَٰٓئِكَةُ أَلَّا تَخَافُوا۟ وَلَا تَحْزَنُوا۟ وَأَبْشِرُوا۟ بِٱلْجَنَّةِ ٱلَّتِى كُنتُمْ تُوعَدُونَ",
              "translate_bn": "নিশ্চয় যারা বলে, আমাদের পালনকর্তা আল্লাহ, অতঃপর তাতেই অবিচল থাকে, তাদের কাছে ফেরেশতা অবতীর্ণ হয় এবং বলে, তোমরা ভয় করো না, চিন্তা করো না এবং তোমাদের প্রতিশ্রুত জান্নাতের সুসংবাদ শোন।",
              "numberInSurah": 30,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কা-লূরাব্বুনাল্লা-হুছু ম্মাছতাকা-মূতাতানাঝঝালু‘আলাইহিমুল মালাইকাতু আল্লা-তাখা-ফূওয়ালা-তাহঝানূওয়াআবশিরূবিলজান্নাতিল্লাতী কুনতুম তূ‘আদূন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْا/قَالُواْ/qalu//رَبُّنَا/رَبُّنَا/rabbuna//اللّٰهُ/ٱللَّهُ/al-lahu//ثُمَّ/ثُمَّ/thumma//اسْتَقَامُوْا/ٱسۡتَقَٰمُواْ/is'taqamu//تَتَنَزَّلُ/تَتَنَزَّلُ/tatanazzalu//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//اَلَّا/أَلَّا/alla//تَخَافُوْا/تَخَافُواْ/takhafu//وَ لَا/وَلَا/wala//تَحْزَنُوْا/تَحۡزَنُواْ/tahzanu//وَ اَبْشِرُوْا/وَأَبۡشِرُواْ/wa-abshiru//بِالْجَنَّةِ/بِٱلۡجَنَّةِ/bil-janati//الَّتِیْ/ٱلَّتِي/allati//كُنْتُمْ/كُنتُمۡ/kuntum//تُوْعَدُوْنَ /تُوعَدُونَ/tu'aduna",
              "words_bangla": "নিশ্চয়ই//যারা//বলে//\"আমাদের রব//আল্লাহ-ই\"//অতঃপর//তারা অবিচল থাকে//অবতীর্ণ হয়//তাদের উপর//ফেরেশতারা (আর বলে)//\"যে না//তোমরা ভয় করো//আর না//তোমরা চিন্তা করো//এবং তোমরা সুসংবাদ শুনে খুশি হও//(সেই) জান্নাতের//যা//তোমাদের//প্রতিশ্রুতি দেয়া হয়েছিলো"
            },
            {
              "number": 4249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4249.mp3"
              ],
              "text": "نَحْنُ أَوْلِيَآؤُكُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْءَاخِرَةِ ۖ وَلَكُمْ فِيهَا مَا تَشْتَهِىٓ أَنفُسُكُمْ وَلَكُمْ فِيهَا مَا تَدَّعُونَ",
              "translate_bn": "ইহকালে ও পরকালে আমরা তোমাদের বন্ধু। সেখানে তোমাদের জন্য আছে যা তোমাদের মন চায় এবং সেখানে তোমাদের জন্যে আছে তোমরা দাবী কর।",
              "numberInSurah": 31,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "নাহনুআওলিয়াউকুম ফিল হায়া-তিদ্দুইয়া-ওয়া ফিল আ-খিরাতি ওয়ালাকুম ফীহামা-তাশতাহীআনফুছুকুম ওয়ালাকুম ফীহা-মা-তাদ্দা‘ঊন।",
              "words_arabic": "نَحْنُ/نَحۡنُ/nahnu//اَوْلِیٰٓؤُكُمْ/أَوۡلِيَآؤُكُمۡ/awliyaukum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ فِی/وَفِي/wafi//الْاٰخِرَةِ ۚ/ٱلۡأٓخِرَةِۖ/al-akhirati//وَ لَكُمْ/وَلَكُمۡ/walakum//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//تَشْتَهِیْۤ/تَشۡتَهِيٓ/tashtahi//اَنْفُسُكُمْ/أَنفُسُكُمۡ/anfusukum//وَ لَكُمْ/وَلَكُمۡ/walakum//فِیْهَا/فِيهَا/fiha//مَا/مَا/ma//تَدَّعُوْنَؕ/تَدَّعُونَ/tadda'una",
              "words_bangla": "আমরা//তোমাদের বন্ধু//মধ্যে//জীবনের//দুনিয়ার//এবং মধ্যে//পরকালের//এবং তোমাদের জন্যে (রয়েছে)//তার মধ্যে//যা//চায়//তোমাদের মন//এবং তোমাদের জন্যে//তার মধ্যে (রয়েছে)//যা//তোমরা দাবি করবে"
            },
            {
              "number": 4250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4250.mp3"
              ],
              "text": "نُزُلًۭا مِّنْ غَفُورٍۢ رَّحِيمٍۢ",
              "translate_bn": "এটা ক্ষমাশীল করুনাময়ের পক্ষ থেকে সাদর আপ্যায়ন।",
              "numberInSurah": 32,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 416,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "নুঝুলাম মিন গাফূরির রাহীম।",
              "words_arabic": "نُزُلًا/نُزُلٗا/nuzulan//مِّنْ/مِّنۡ/min//غَفُوْرٍ/غَفُورٖ/ghafurin//رَّحِیْمٍ۠/رَّحِيمٖ/rahimin",
              "words_bangla": "আপ্যায়ন//(আল্লাহর) পক্ষ থেকে//(যিনি) ক্ষমাশীল//পরম দয়ালু\""
            },
            {
              "number": 4251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4251.mp3"
              ],
              "text": "وَمَنْ أَحْسَنُ قَوْلًۭا مِّمَّن دَعَآ إِلَى ٱللَّهِ وَعَمِلَ صَٰلِحًۭا وَقَالَ إِنَّنِى مِنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "যে আল্লাহর দিকে দাওয়াত দেয়, সৎকর্ম করে এবং বলে, আমি একজন আজ্ঞাবহ, তার কথা অপেক্ষা উত্তম কথা আর কার?",
              "numberInSurah": 33,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আহছানুকাওলাম মিম্মান দা‘আইলাল্লা-হি ওয়া‘আমিলা সা-লিহাওঁ ওয়াকা-লা ইন্নানী মিনাল মুছলিমীন।",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَحْسَنُ/أَحۡسَنُ/ahsanu//قَوْلًا/قَوۡلٗا/qawlan//مِّمَّنْ/مِّمَّن/mimman//دَعَاۤ/دَعَآ/da'a//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//وَ عَمِلَ/وَعَمِلَ/wa'amila//صَالِحًا/صَٰلِحٗا/salihan//وَّ قَالَ/وَقَالَ/waqala//اِنَّنِیْ/إِنَّنِي/innani//مِنَ/مِنَ/mina//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "এবং কার//উত্তম//কথা (হতে পারে)//তার চেয়ে যে//ডাকে//দিকে//আল্লাহর//ও কাজ করে//সৎ//এবং বলে//\"নিশ্চয়ই আমি//অন্তর্ভুক্ত//আত্মসমর্পণকারীদের (অর্থাৎ মুসলমানদের)\""
            },
            {
              "number": 4252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4252.mp3"
              ],
              "text": "وَلَا تَسْتَوِى ٱلْحَسَنَةُ وَلَا ٱلسَّيِّئَةُ ۚ ٱدْفَعْ بِٱلَّتِى هِىَ أَحْسَنُ فَإِذَا ٱلَّذِى بَيْنَكَ وَبَيْنَهُۥ عَدَٰوَةٌۭ كَأَنَّهُۥ وَلِىٌّ حَمِيمٌۭ",
              "translate_bn": "সমান নয় ভাল ও মন্দ। জওয়াবে তাই বলুন যা উৎকৃষ্ট। তখন দেখবেন আপনার সাথে যে ব্যক্তির শুত্রুতা রয়েছে, সে যেন অন্তরঙ্গ বন্ধু।",
              "numberInSurah": 34,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাছতাবিল হাছানাতুওয়ালাছ ছাইয়িআতু ইদফা‘ বিল্লাতী হিয়া আহছানু ফাইযাল্লাযী বাইনাকা ওয়া বাইনাহূ‘আদা-ওয়াতুন কাআন্নাহূওয়ালিইউন হামীম।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَسْتَوِی/تَسۡتَوِي/tastawi//الْحَسَنَةُ/ٱلۡحَسَنَةُ/al-hasanatu//وَ لَا/وَلَا/wala//السَّیِّئَةُ ؕ/ٱلسَّيِّئَةُۚ/al-sayi-atu//اِدْفَعْ/ٱدۡفَعۡ/id'fa'//بِالَّتِیْ/بِٱلَّتِي/bi-allati//هِیَ/هِيَ/hiya//اَحْسَنُ/أَحۡسَنُ/ahsanu//فَاِذَا/فَإِذَا/fa-idha//الَّذِیْ/ٱلَّذِي/alladhi//بَیْنَكَ/بَيۡنَكَ/baynaka//وَ بَیْنَهٗ/وَبَيۡنَهُۥ/wabaynahu//عَدَاوَةٌ/عَدَٰوَةٞ/adawatun//كَاَنَّهٗ/كَأَنَّهُۥ/ka-annahu//وَلِیٌّ/وَلِيٌّ/waliyyun//حَمِیْمٌ /حَمِيمٞ/hamimun",
              "words_bangla": "এবং না//সমান হয়//ভালো//আর না//মন্দ//প্রতিহত করো//সেই (জ্ঞান) দ্বারা//যা//উত্তম//ফলে (দেখবে) তখন//যে//তোমার মাঝে//ও তার মাঝে//শত্রুতা (আছে)//সে যেন (হয়ে যাবে)//বন্ধু//অন্তরঙ্গ"
            },
            {
              "number": 4253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4253.mp3"
              ],
              "text": "وَمَا يُلَقَّىٰهَآ إِلَّا ٱلَّذِينَ صَبَرُوا۟ وَمَا يُلَقَّىٰهَآ إِلَّا ذُو حَظٍّ عَظِيمٍۢ",
              "translate_bn": "এ চরিত্র তারাই লাভ করে, যারা সবর করে এবং এ চরিত্রের অধিকারী তারাই হয়, যারা অত্যন্ত ভাগ্যবান।",
              "numberInSurah": 35,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইউলাক্কা-হাইল্লাল্লাযীনা সাবারূ ওয়ামা-ইউলাক্কা-হাইল্লা-যূহাজ্জিন ‘আজীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//یُلَقّٰىهَاۤ/يُلَقَّىٰهَآ/yulaqqaha//اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//صَبَرُوْا ۚ/صَبَرُواْ/sabaru//وَ مَا/وَمَا/wama//یُلَقّٰىهَاۤ/يُلَقَّىٰهَآ/yulaqqaha//اِلَّا/إِلَّا/illa//ذُوْ/ذُو/dhu//حَظٍّ/حَظٍّ/hazzin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "এবং না//তা (জুটে) লাভ করে//এ ব্যতীত//যারা//ধৈর্য্য ধরে//এবং না//তা (জুটে) লাভ করে//এ ব্যতীত//অধিকারী//ভাগ্যের//মহা"
            },
            {
              "number": 4254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4254.mp3"
              ],
              "text": "وَإِمَّا يَنزَغَنَّكَ مِنَ ٱلشَّيْطَٰنِ نَزْغٌۭ فَٱسْتَعِذْ بِٱللَّهِ ۖ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "যদি শয়তানের পক্ষ থেকে আপনি কিছু কুমন্ত্রণা অনুভব করেন, তবে আল্লাহর শরণাপন্ন হোন। নিশ্চয় তিনি সর্বশ্রোতা, সর্বজ্ঞ।",
              "numberInSurah": 36,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইম্মা-ইয়ানঝাগান্নাকা মিনাশশাইতা-নি নাঝগুন ফাছতা‘ইযবিল্লা -হি ইন্নাহূহুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "وَ اِمَّا/وَإِمَّا/wa-imma//یَنْزَغَنَّكَ/يَنزَغَنَّكَ/yanzaghannaka//مِنَ/مِنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//نَزْغٌ/نَزۡغٞ/nazghun//فَاسْتَعِذْ/فَٱسۡتَعِذۡ/fa-is'ta'idh//بِاللّٰهِ ؕ/بِٱللَّهِۖ/bil-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "আর যদি//তোমাকে উস্কানি দেয়//পক্ষ হতে//শয়তানের//(যে কোন) কুমন্ত্রণা//তবে  আশ্রয় চাও//আল্লাহর//তিনি নিশ্চয়ই//তিনিই//সবকিছু শুনেন//সবকিছুু জানেন"
            },
            {
              "number": 4255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4255.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِ ٱلَّيْلُ وَٱلنَّهَارُ وَٱلشَّمْسُ وَٱلْقَمَرُ ۚ لَا تَسْجُدُوا۟ لِلشَّمْسِ وَلَا لِلْقَمَرِ وَٱسْجُدُوا۟ لِلَّهِ ٱلَّذِى خَلَقَهُنَّ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ",
              "translate_bn": "তাঁর নিদর্শনসমূহের মধ্যে রয়েছে দিবস, রজনী, সূর্য ও চন্দ্র। তোমরা সূর্যকে সেজদা করো না, চন্দ্রকেও না; আল্লাহকে সেজদা কর, যিনি এগুলো সৃষ্টি করেছেন, যদি তোমরা নিষ্ঠার সাথে শুধুমাত্র তাঁরই এবাদত কর।",
              "numberInSurah": 37,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহিল্লাইলুওয়ান্নাহা-রু ওয়াশশামছুওয়াল কামারু লা-তাছজু দূ লিশশামছি ওয়ালা-লিলকামারি ওয়াছজু দূ লিল্লা-হিল্লাযী খালাকাহুন্না ইন কুনতুম ইয়্যা-হু তা‘বুদূ ন।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهِ/ءَايَٰتِهِ/ayatihi//الَّیْلُ/ٱلَّيۡلُ/al-laylu//وَ النَّهَارُ/وَٱلنَّهَارُ/wal-naharu//وَ الشَّمْسُ/وَٱلشَّمۡسُ/wal-shamsu//وَ الْقَمَرُ ؕ/وَٱلۡقَمَرُۚ/wal-qamaru//لَا/لَا/la//تَسْجُدُوْا/تَسۡجُدُواْ/tasjudu//لِلشَّمْسِ/لِلشَّمۡسِ/lilshamsi//وَ لَا/وَلَا/wala//لِلْقَمَرِ/لِلۡقَمَرِ/lil'qamari//وَ اسْجُدُوْا/وَٱسۡجُدُواْۤ/wa-us'judu//لِلّٰهِ/لِلَّهِۤ/lillahi//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَهُنَّ/خَلَقَهُنَّ/khalaqahunna//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//اِیَّاهُ/إِيَّاهُ/iyyahu//تَعْبُدُوْنَ /تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "এবং মধ্যে হ'তে//তাঁর নিদর্শনাবলীর//(রয়েছে) রাত//ও দিন//এবং সূর্য//ও চাঁদ//না//তোমরা সিজদা করো//সূর্যকে//আর না//চাঁদকে//এবং তোমরা সিজদা করো//আল্লাহর-ই//যিনি//তাদেরকে সৃষ্টি করেছেন//যদি//তোমরা হও (বাস্তবিকই)//তাঁরই শুধু//তোমরা ইবাদত করো"
            },
            {
              "number": 4256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4256.mp3"
              ],
              "text": "فَإِنِ ٱسْتَكْبَرُوا۟ فَٱلَّذِينَ عِندَ رَبِّكَ يُسَبِّحُونَ لَهُۥ بِٱلَّيْلِ وَٱلنَّهَارِ وَهُمْ لَا يَسْـَٔمُونَ ۩",
              "translate_bn": "অতঃপর তারা যদি অহংকার করে, তবে যারা আপনার পালনকর্তার কাছে আছে, তারা দিবারাত্রি তাঁর পবিত্রতা ঘোষণা করে এবং তারা ক্লান্ত হয় না।",
              "numberInSurah": 38,
              "juz": 24,
              "manzil": 6,
              "page": 480,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": {
                "id": 12,
                "recommended": false,
                "obligatory": true
              },
              "pronunciation_bn": "ফাইনিছতাকবারূফাল্লাযীনা ‘ইনদা রাব্বিকাইউছাব্বিহূনালাহূবিল্লাইলি ওয়ান্নাহা-রি ওয়াহুম লা-ইয়াছআমূন (ছিজদাহ-১১)।",
              "words_arabic": "فَاِنِ/فَإِنِ/fa-ini//اسْتَكْبَرُوْا/ٱسۡتَكۡبَرُواْ/is'takbaru//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//یُسَبِّحُوْنَ/يُسَبِّحُونَ/yusabbihuna//لَهٗ/لَهُۥ/lahu//بِالَّیْلِ/بِٱلَّيۡلِ/bi-al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَسْـَٔمُوْنَ۩/يَسۡـَٔمُونَ۩/yasamuna",
              "words_bangla": "অতঃপর যদি//তোমরা অহংকার করো (তবে কোন পরোয়া নেই)//কারণ যারা (আছে)//কাছে//তোমার রবের//তারা মহিমা ঘোষণা করছে//তাঁরই//রাতে//ও দিনে//এবং তারা//না//ক্লান্ত হয়"
            },
            {
              "number": 4257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4257.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦٓ أَنَّكَ تَرَى ٱلْأَرْضَ خَٰشِعَةًۭ فَإِذَآ أَنزَلْنَا عَلَيْهَا ٱلْمَآءَ ٱهْتَزَّتْ وَرَبَتْ ۚ إِنَّ ٱلَّذِىٓ أَحْيَاهَا لَمُحْىِ ٱلْمَوْتَىٰٓ ۚ إِنَّهُۥ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "তাঁর এক নিদর্শন এই যে, তুমি ভূমিকে দেখবে অনুর্বর পড়ে আছে। অতঃপর আমি যখন তার উপর বৃষ্টি বর্ষণ করি, তখন সে শস্যশ্যামল ও স্ফীত হয়। নিশ্চয় যিনি একে জীবিত করেন, তিনি জীবিত করবেন মৃতদেরকেও। নিশ্চয় তিনি সবকিছু করতে সক্ষম।",
              "numberInSurah": 39,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহীআন্নাকা তারাল আরদা খা-শি‘আতান ফাইযাআনঝালনা‘আলাইহাল মাআহতাঝঝাত ওয়া রাবাত ইন্নাল্লাযীআহইয়া-হা-লামুহইল মাওতা ইন্নাহূ‘আলা-কুল্লি শাইয়িন কাদীর।\r\n",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖۤ/ءَايَٰتِهِۦٓ/ayatihi//اَنَّكَ/أَنَّكَ/annaka//تَرَی/تَرَى/tara//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//خَاشِعَةً/خَٰشِعَةٗ/khashi'atan//فَاِذَاۤ/فَإِذَآ/fa-idha//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//عَلَیْهَا/عَلَيۡهَا/alayha//الْمَآءَ/ٱلۡمَآءَ/al-maa//اهْتَزَّتْ/ٱهۡتَزَّتۡ/ih'tazzat//وَ رَبَتْ ؕ/وَرَبَتۡۚ/warabat//اِنَّ/إِنَّ/inna//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَحْیَاهَا/أَحۡيَاهَا/ahyaha//لَمُحْیِ/لَمُحۡيِ/lamuh'yi//الْمَوْتٰی ؕ/ٱلۡمَوۡتَىٰٓۚ/al-mawta//اِنَّهٗ/إِنَّهُۥ/innahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "এবং মধ্য হ'তে//তাঁর নিদর্শনাবলীর//(এগুলোও) যে//তুমি দেখো//জমিকে//ঊষর (তৃণলতাহীন)//অতঃপর যখন//আমরা বর্ষণ করি//তার উপর//পানি//উথলিয়ে  উঠে//ও স্ফীত হয় (আর শস্য জন্মে)//নিশ্চয়ই//যিনি//তা (অর্থাৎ যমীনকে) জীবিত করেন//অবশ্যই জীবন দানকারী//মৃতদেরকে//নিশ্চয়ই তিনি//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 4258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4258.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُلْحِدُونَ فِىٓ ءَايَٰتِنَا لَا يَخْفَوْنَ عَلَيْنَآ ۗ أَفَمَن يُلْقَىٰ فِى ٱلنَّارِ خَيْرٌ أَم مَّن يَأْتِىٓ ءَامِنًۭا يَوْمَ ٱلْقِيَٰمَةِ ۚ ٱعْمَلُوا۟ مَا شِئْتُمْ ۖ إِنَّهُۥ بِمَا تَعْمَلُونَ بَصِيرٌ",
              "translate_bn": "নিশ্চয় যারা আমার আয়াতসমূহের ব্যাপারে বক্রতা অবলম্বন করে, তারা আমার কাছে গোপন নয়। যে ব্যক্তি জাহান্নামে নিক্ষিপ্ত হবে সে শ্রেষ্ঠ, না যে কেয়ামতের দিন নিরাপদে আসবে? তোমরা যা ইচ্ছা কর, নিশ্চয় তিনি দেখেন যা তোমরা কর।",
              "numberInSurah": 40,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউলহিদূ না ফীআ-য়া-তিনা-লা-ইয়াখফাওনা ‘আলাইনা- আফামাইঁ ইউলকা-ফিন্না-রি খাইরুন আমমাইঁ ইয়া’তী আ-মিনাইঁ ইয়াওমাল কিয়া-মাতি ই‘মালূ মা-শি’তুম ইন্নাহূবিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُلْحِدُوْنَ/يُلۡحِدُونَ/yul'hiduna//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//لَا/لَا/la//یَخْفَوْنَ/يَخۡفَوۡنَ/yakhfawna//عَلَیْنَا ؕ/عَلَيۡنَآۗ/alayna//اَفَمَنْ/أَفَمَن/afaman//یُّلْقٰی/يُلۡقَىٰ/yul'qa//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//خَیْرٌ/خَيۡرٌ/khayrun//اَمْ/أَم/am//مَّنْ/مَّن/man//یَّاْتِیْۤ/يَأۡتِيٓ/yati//اٰمِنًا/ءَامِنٗا/aminan//یَّوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//اِعْمَلُوْا/ٱعۡمَلُواْ/i'malu//مَا/مَا/ma//شِئْتُمْ ۙ/شِئۡتُمۡ/shi'tum//اِنَّهٗ/إِنَّهُۥ/innahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "নিশ্চয়ই//যারা//বিকৃত অর্থ নেয়//মধ্যে//আমাদের আয়াতগুলোর//নয়//তারা অগোচরে//আমাদের কাছে//তবে কি যাকে//ফেলা হবে//মধ্যে//আগুনের//উত্তম//নাকি//যে//আসবে//নিরাপদ অবস্থায়//দিনে//ক্বিয়ামাতের//তোমরা কাজ করো//যা//তোমরা ইচ্ছে করো//নিশ্চয়ই তিনি//ঐ বিষয়ে যা//তোমরা কাজ করছো//খুব দেখছেন"
            },
            {
              "number": 4259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4259.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِٱلذِّكْرِ لَمَّا جَآءَهُمْ ۖ وَإِنَّهُۥ لَكِتَٰبٌ عَزِيزٌۭ",
              "translate_bn": "নিশ্চয় যারা কোরআন আসার পর তা অস্বীকার করে, তাদের মধ্যে চিন্তা-ভাবনার অভাব রয়েছে। এটা অবশ্যই এক সম্মানিত গ্রন্থ।",
              "numberInSurah": 41,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূবিযযি করি লাম্মা-জাআহুম ওয়া ইন্নাহূলাকিতা-বুন ‘আঝীঝ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِالذِّكْرِ/بِٱلذِّكۡرِ/bil-dhik'ri//لَمَّا/لَمَّا/lamma//جَآءَهُمْ ۚ/جَآءَهُمۡۖ/jaahum//وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَكِتٰبٌ/لَكِتَٰبٌ/lakitabun//عَزِیْزٌۙ/عَزِيزٞ/azizun",
              "words_bangla": "নিশ্চয়ই//(তারা সেই লোক) যারা//মেনে নিতে অস্বীকার করেছে//কুরআনকে//যখন//এসেছে তাদের কাছে//এবং নিশ্চয়ই তা//অবশ্যই কিতাব//শক্তিমান"
            },
            {
              "number": 4260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4260.mp3"
              ],
              "text": "لَّا يَأْتِيهِ ٱلْبَٰطِلُ مِنۢ بَيْنِ يَدَيْهِ وَلَا مِنْ خَلْفِهِۦ ۖ تَنزِيلٌۭ مِّنْ حَكِيمٍ حَمِيدٍۢ",
              "translate_bn": "এতে মিথ্যার প্রভাব নেই, সামনের দিক থেকেও নেই এবং পেছন দিক থেকেও নেই। এটা প্রজ্ঞাময়, প্রশংসিত আল্লাহর পক্ষ থেকে অবতীর্ণ।",
              "numberInSurah": 42,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়া’তীহিল বা-তিলুমিম বাইনি ইয়াদাইহি ওয়ালা-মিন খালফীহি তানঝীলুম মিন হাকীমিন হামীদ।",
              "words_arabic": "لَّا/لَّا/la//یَاْتِیْهِ/يَأۡتِيهِ/yatihi//الْبَاطِلُ/ٱلۡبَٰطِلُ/al-batilu//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ لَا/وَلَا/wala//مِنْ/مِنۡ/min//خَلْفِهٖ ؕ/خَلۡفِهِۦۖ/khalfihi//تَنْزِیْلٌ/تَنزِيلٞ/tanzilun//مِّنْ/مِّنۡ/min//حَكِیْمٍ/حَكِيمٍ/hakimin//حَمِیْدٍ /حَمِيدٖ/hamidin",
              "words_bangla": "না//তার কাছে আসতে পারে//অসত্য//থেকে//সামনে//তার//আর না//থেকে//তার পিছন//অবতীর্ণ করা (এই কুরআন)//(আল্লাহর) পক্ষ হ'তে//(যিনি) প্রজ্ঞাময়//সুপ্রশংসিত"
            },
            {
              "number": 4261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4261.mp3"
              ],
              "text": "مَّا يُقَالُ لَكَ إِلَّا مَا قَدْ قِيلَ لِلرُّسُلِ مِن قَبْلِكَ ۚ إِنَّ رَبَّكَ لَذُو مَغْفِرَةٍۢ وَذُو عِقَابٍ أَلِيمٍۢ",
              "translate_bn": "আপনাকে তো তাই বলা হয়, যা বলা হত পূর্ববর্তী রসূলগনকে। নিশ্চয় আপনার পালনকর্তার কাছে রয়েছে ক্ষমা এবং রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 43,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "মা-ইউকা-লুলাকা ইল্লা-মা-কাদ কীলা লিররুছুলি মিন কাবলিকা ইন্না রাব্বাকা লাযূ মাগফীরাতিওঁ ওয়া যূ‘ইকা-বিন আলীম।",
              "words_arabic": "مَا/مَّا/ma//یُقَالُ/يُقَالُ/yuqalu//لَكَ/لَكَ/laka//اِلَّا/إِلَّا/illa//مَا/مَا/ma//قَدْ/قَدۡ/qad//قِیْلَ/قِيلَ/qila//لِلرُّسُلِ/لِلرُّسُلِ/lilrrusuli//مِنْ/مِن/min//قَبْلِكَ ؕ/قَبۡلِكَۚ/qablika//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//لَذُوْ/لَذُو/ladhu//مَغْفِرَةٍ/مَغۡفِرَةٖ/maghfiratin//وَّ ذُوْ/وَذُو/wadhu//عِقَابٍ/عِقَابٍ/iqabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "(হে নাবী) না//বলা হচ্ছে//তোমাকে//এ ব্যতীত//যা//নিশ্চয়ই//বলা হয়েছে//রাসূলগণকে//পূর্বে//তোমার//নিশ্চয়ই//তোমার রব//অধিকারী//ক্ষমার অবশ্যই//আবার অধিকারী//শাস্তিদানের//কষ্টদায়ক"
            },
            {
              "number": 4262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4262.mp3"
              ],
              "text": "وَلَوْ جَعَلْنَٰهُ قُرْءَانًا أَعْجَمِيًّۭا لَّقَالُوا۟ لَوْلَا فُصِّلَتْ ءَايَٰتُهُۥٓ ۖ ءَا۬عْجَمِىٌّۭ وَعَرَبِىٌّۭ ۗ قُلْ هُوَ لِلَّذِينَ ءَامَنُوا۟ هُدًۭى وَشِفَآءٌۭ ۖ وَٱلَّذِينَ لَا يُؤْمِنُونَ فِىٓ ءَاذَانِهِمْ وَقْرٌۭ وَهُوَ عَلَيْهِمْ عَمًى ۚ أُو۟لَٰٓئِكَ يُنَادَوْنَ مِن مَّكَانٍۭ بَعِيدٍۢ",
              "translate_bn": "আমি যদি একে অনারব ভাষায় কোরআন করতাম, তবে অবশ্যই তারা বলত, এর আয়াতসমূহ পরিস্কার ভাষায় বিবৃত হয়নি কেন? কি আশ্চর্য যে, কিতাব অনারব ভাষায় আর রসূল আরবী ভাষী! বলুন, এটা বিশ্বাসীদের জন্য হেদায়েত ও রোগের প্রতিকার। যারা মুমিন নয়, তাদের কানে আছে ছিপি, আর কোরআন তাদের জন্যে অন্ধত্ব। তাদেরকে যেন দূরবর্তী স্থান থেকে আহবান করা হয়।",
              "numberInSurah": 44,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 417,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও জা‘আলনা-হু কুরআ-নান আ‘জামিয়াল লাকা-লূলাওলা-ফুসসিলাত আ-য়া-তুহূ আ আ‘জামিইয়ুওঁ ওয়া ‘আরাবীইয়ুন কুল হুওয়া লিল্লাযীনা আ-মানূহুদাওঁ ওয়া শিফাউরঁ ওয়াল্লাযীনা লা-ইউ’মিনূনা ফীআ-যা-নিহিম ওয়াকরুওঁ ওয়া হুওয়া ‘আলাইহিম ‘আমা- উলাইকা ইউনা-দাওনা মিম মাকা-নিম বা‘ঈদ।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//قُرْاٰنًا/قُرۡءَانًا/qur'anan//اَعْجَمِیًّا/أَعۡجَمِيّٗا/a'jamiyyan//لَّقَالُوْا/لَّقَالُواْ/laqalu//لَوْ لَا/لَوۡلَا/lawla//فُصِّلَتْ/فُصِّلَتۡ/fussilat//اٰیٰتُهٗ ؕ/ءَايَٰتُهُۥٓۖ/ayatuhu//ءَؔاَعْجَمِیٌّ/ءَا۬عۡجَمِيّٞ/a'jamiyyun//وَّ عَرَبِیٌّ ؕ/وَعَرَبِيّٞۗ/wa'arabiyyun//قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//هُدًی/هُدٗى/hudan//وَّ شِفَآءٌ ؕ/وَشِفَآءٞۚ/washifaon//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//فِیْۤ/فِيٓ/fi//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//وَقْرٌ/وَقۡرٞ/waqrun//وَّ هُوَ/وَهُوَ/wahuwa//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//عَمًی ؕ/عَمًىۚ/aman//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//یُنَادَوْنَ/يُنَادَوۡنَ/yunadawna//مِنْ/مِن/min//مَّكَانٍۭ/مَّكَانِۭ/makanin//بَعِیْدٍ۠/بَعِيدٖ/ba'idin",
              "words_bangla": "এবং যদি//তা আমরা অবতীর্ণ করতাম//(অর্থাৎ) কুরআন//অনারবী (ভাষায়)//অবশ্যই তারা বলতো//\"কেন না//বিশদভাবে বিবৃত হলো//তার আয়াতগুলো//(আশ্চর্য নয়) কি অনারবী (কুরআন)//আর আরবী (রাসূল ও তাঁর জাতি)\"//বলো//\"তা (অর্থাৎ কুরআন)//(তাদের) জন্যে যারা//ঈমান এনেছে//পথনির্দেশনা//ও ব্যাধির প্রতিকার\"//এবং যারা//না//ঈমান আনে//মধ্যে (আছে)//তাদের কানগুলোর//এবং বধিরতা//এবং তা//তাদের উপর (আছে)//অন্ধত্ব//ঐ সব লোককে//ডাকা হচ্ছে তাদেরকে যেন//হ'তে//স্থান//দূরবর্তী\""
            },
            {
              "number": 4263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4263.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَٰبَ فَٱخْتُلِفَ فِيهِ ۗ وَلَوْلَا كَلِمَةٌۭ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ ۚ وَإِنَّهُمْ لَفِى شَكٍّۢ مِّنْهُ مُرِيبٍۢ",
              "translate_bn": "আমি মূসাকে কিতাব দিয়েছিলাম, অতঃপর তাতে মতভেদ সৃষ্টি হয়। আপনার পালনকর্তার পক্ষ থেকে পূর্ব সিদ্ধান্ত না থাকলে তাদের মধ্যে ফয়সালা হয়ে যেত। তারা কোরআন সমন্ধে এক অস্বস্তিকর সন্দেহে লিপ্ত।",
              "numberInSurah": 45,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 418,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-মূছাল কিতা-বা ফাখতুলিফা ফীহি ওয়া লাওলা-কালিমাতুন ছাবাকাত মিররাব্বিকা লাকুদিয়া বাইনাহুম ওয়া ইন্নাহুম লাফী শাক্কিম মিনহু মুরীব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//مُوْسَی/مُوسَى/musa//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//فَاخْتُلِفَ/فَٱخۡتُلِفَ/fa-ukh'tulifa//فِیْهِ ؕ/فِيهِۚ/fihi//وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةٌ/كَلِمَةٞ/kalimatun//سَبَقَتْ/سَبَقَتۡ/sabaqat//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//لَقُضِیَ/لَقُضِيَ/laqudiya//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّنْهُ/مِّنۡهُ/min'hu//مُرِیْبٍ /مُرِيبٖ/muribin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছিলাম//মূসাকে//কিতাব//অতঃপর মতভেদ ঘটেছিলো//তার মধ্যে//এবং না যদি (হতো)//একটি কথা//পূর্ব নির্ধারিত//পক্ষ হ'তে//তোমার রবের//মীমাংসা করেই দেওয়া হতো//তাদের মাঝে//এবং তারা নিশ্চয়ই//অবশ্যই মধ্যে আছে//সন্দেহের//তা সম্বন্ধে//বিভ্রান্তিকর"
            },
            {
              "number": 4264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4264.mp3"
              ],
              "text": "مَّنْ عَمِلَ صَٰلِحًۭا فَلِنَفْسِهِۦ ۖ وَمَنْ أَسَآءَ فَعَلَيْهَا ۗ وَمَا رَبُّكَ بِظَلَّٰمٍۢ لِّلْعَبِيدِ",
              "translate_bn": "যে সৎকর্ম করে, সে নিজের উপকারের জন্যেই করে, আর যে অসৎকর্ম করে, তা তার উপরই বর্তাবে। আপনার পালনকর্তা বান্দাদের প্রতি মোটেই যুলুম করেন না।",
              "numberInSurah": 46,
              "juz": 24,
              "manzil": 6,
              "page": 481,
              "ruku": 418,
              "hizbQuarter": 192,
              "sajda": false,
              "pronunciation_bn": "মান ‘আমিলা সা-লিহান ফালিনাফছিহী ওয়ামান আছাআ ফা‘আলাইহা- ওয়ামারাব্বুকা বিজাল্লা-মিল লিল‘আবীদ।",
              "words_arabic": "مَنْ/مَّنۡ/man//عَمِلَ/عَمِلَ/amila//صَالِحًا/صَٰلِحٗا/salihan//فَلِنَفْسِهٖ/فَلِنَفۡسِهِۦۖ/falinafsihi//وَ مَنْ/وَمَنۡ/waman//اَسَآءَ/أَسَآءَ/asaa//فَعَلَیْهَا ؕ/فَعَلَيۡهَاۗ/fa'alayha//وَ مَا/وَمَا/wama//رَبُّكَ/رَبُّكَ/rabbuka//بِظَلَّامٍ/بِظَلَّـٰمٖ/bizallamin//لِّلْعَبِیْدِ /لِّلۡعَبِيدِ/lil'abidi",
              "words_bangla": "যে//কাজ করবে//সৎ//(সে করবে) তা নিজের জন্যে//এবং যে//মন্দকর্ম করবে//(পড়বে) তা তার উপর//আর নন//তোমার রব//অত্যাচারী//দাসদের উপর"
            },
            {
              "number": 4265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4265.mp3"
              ],
              "text": "۞ إِلَيْهِ يُرَدُّ عِلْمُ ٱلسَّاعَةِ ۚ وَمَا تَخْرُجُ مِن ثَمَرَٰتٍۢ مِّنْ أَكْمَامِهَا وَمَا تَحْمِلُ مِنْ أُنثَىٰ وَلَا تَضَعُ إِلَّا بِعِلْمِهِۦ ۚ وَيَوْمَ يُنَادِيهِمْ أَيْنَ شُرَكَآءِى قَالُوٓا۟ ءَاذَنَّٰكَ مَا مِنَّا مِن شَهِيدٍۢ",
              "translate_bn": "কেয়ামতের জ্ঞান একমাত্র তাঁরই জানা। তাঁর জ্ঞানের বাইরে কোন ফল আবরণমুক্ত হয় না। এবং কোন নারী গর্ভধারণ ও সন্তান প্রসব করে না। যেদিন আল্লাহ তাদেরকে ডেকে বলবেন, আমার শরীকরা কোথায়? সেদিন তারা বলবে, আমরা আপনাকে বলে দিয়েছি যে, আমাদের কেউ এটা স্বীকার করে না।",
              "numberInSurah": 47,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ইলাইহি ইউরাদ্দু‘ইলমুছ ছা-‘আতি ওয়া মা-তাখরুজুমিন ছামারা-তিম মিন আকমামিহা-ওয়ামা-তাহমিলুমিন উনছা-ওয়ালা তাদা‘উ ইল্লা-বি‘ইলমিহী ওয়া ইয়াওমা ইউনা-দীহিম আইনা শুরাকাঈ কা-লূ আ-যান্না-কা মা-মিন্না-মিন শাহীদ।",
              "words_arabic": "اِلَیْهِ/۞إِلَيۡهِ/ilayhi//یُرَدُّ/يُرَدُّ/yuraddu//عِلْمُ/عِلۡمُ/il'mu//السَّاعَةِ ؕ/ٱلسَّاعَةِۚ/al-sa'ati//وَ مَا/وَمَا/wama//تَخْرُجُ/تَخۡرُجُ/takhruju//مِنْ/مِن/min//ثَمَرٰتٍ/ثَمَرَٰتٖ/thamaratin//مِّنْ/مِّنۡ/min//اَكْمَامِهَا/أَكۡمَامِهَا/akmamiha//وَ مَا/وَمَا/wama//تَحْمِلُ/تَحۡمِلُ/tahmilu//مِنْ/مِنۡ/min//اُنْثٰی/أُنثَىٰ/untha//وَ لَا/وَلَا/wala//تَضَعُ/تَضَعُ/tada'u//اِلَّا/إِلَّا/illa//بِعِلْمِهٖ ؕ/بِعِلۡمِهِۦۚ/bi'il'mihi//وَ یَوْمَ/وَيَوۡمَ/wayawma//یُنَادِیْهِمْ/يُنَادِيهِمۡ/yunadihim//اَیْنَ/أَيۡنَ/ayna//شُرَكَآءِیْ ۙ/شُرَكَآءِي/shurakai//قَالُوْۤا/قَالُوٓاْ/qalu//اٰذَنّٰكَ ۙ/ءَاذَنَّـٰكَ/adhannaka//مَا/مَا/ma//مِنَّا/مِنَّا/minna//مِنْ/مِن/min//شَهِیْدٍۚ/شَهِيدٖ/shahidin",
              "words_bangla": "তাঁরই কাছে//ন্যস্ত রয়েছে//জ্ঞান//ক্বিয়ামাতের (অর্থাৎ তিনিই জানেন কখন তা হবে)//এবং না//বের হয়//কোনো//ফলসমূহ//হ'তে//তার আবরণ//আর না//গর্ভধারণ করে//কোন//নারী//আর না//প্রসব করে সে//এ ব্যতীত//তাঁর জানা (আছে)//এবং যে দিন//তাদের তিনি ডেকে বলবেন//\"কোথায়//আমার শরিকরা//তারা বলবে//\"আপনাকে নিবেদন করছি//(আজ) নেই//আমাদের মধ্যে//কোনো//সাক্ষী (শরিকের পক্ষে)\""
            },
            {
              "number": 4266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4266.mp3"
              ],
              "text": "وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَدْعُونَ مِن قَبْلُ ۖ وَظَنُّوا۟ مَا لَهُم مِّن مَّحِيصٍۢ",
              "translate_bn": "পূর্বে তারা যাদের পূজা করত, তারা উধাও হয়ে যাবে এবং তারা বুঝে নেবে যে, তাদের কোন নিস্কৃতি নেই।",
              "numberInSurah": 48,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়া দাল্লা ‘আনহুম মা-কা-নূইয়াদ‘ঊনা মিন কাবলুওয়া জান্নূমা-লাহুম মিম মাহীছ।",
              "words_arabic": "وَ ضَلَّ/وَضَلَّ/wadalla//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//قَبْلُ/قَبۡلُۖ/qablu//وَ ظَنُّوْا/وَظَنُّواْ/wazannu//مَا/مَا/ma//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//مَّحِیْصٍ /مَّحِيصٖ/mahisin",
              "words_bangla": "এবং হারিয়ে যাবে//তাদের থেকে//(ঐসব ইলাহ) যাদেরকে//তারা//ডাকতে থাকতো//পূর্বে//ইতি//এবং তারা ভাববে//নেই//তাদের জন্যে (আছে)//কোনো//নিষ্কৃতি"
            },
            {
              "number": 4267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4267.mp3"
              ],
              "text": "لَّا يَسْـَٔمُ ٱلْإِنسَٰنُ مِن دُعَآءِ ٱلْخَيْرِ وَإِن مَّسَّهُ ٱلشَّرُّ فَيَـُٔوسٌۭ قَنُوطٌۭ",
              "translate_bn": "মানুষ উন্নতি কামনায় ক্লান্ত হয় না; যদি তাকে অমঙ্গল স্পর্শ করে, তবে সে সম্পূর্ণ রূপে নিরাশ হয়ে পড়ে।",
              "numberInSurah": 49,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছআমুল ইনছা-নুমিন দু‘আইল খাইরি ওয়াইম মাছছাহুশ শাররু ফাইয়াঊছুন কানূত।",
              "words_arabic": "لَا/لَّا/la//یَسْـَٔمُ/يَسۡـَٔمُ/yasamu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مِنْ/مِن/min//دُعَآءِ/دُعَآءِ/du'ai//الْخَیْرِ ؗ/ٱلۡخَيۡرِ/al-khayri//وَ اِنْ/وَإِن/wa-in//مَّسَّهُ/مَّسَّهُ/massahu//الشَّرُّ/ٱلشَّرُّ/al-sharu//فَیَـُٔوْسٌ/فَيَـُٔوسٞ/fayausun//قَنُوْطٌ /قَنُوطٞ/qanutun",
              "words_bangla": "না//ক্লান্ত হয়//মানুষ//থেকে//দুআ//ধন-সম্পদের (অথবা কল্যাণের)//আর যদি//তাকে স্পর্শ করে//দুঃখদৈন্য//তখন হতাশ হয়//নিরাশ (হয়)"
            },
            {
              "number": 4268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4268.mp3"
              ],
              "text": "وَلَئِنْ أَذَقْنَٰهُ رَحْمَةًۭ مِّنَّا مِنۢ بَعْدِ ضَرَّآءَ مَسَّتْهُ لَيَقُولَنَّ هَٰذَا لِى وَمَآ أَظُنُّ ٱلسَّاعَةَ قَآئِمَةًۭ وَلَئِن رُّجِعْتُ إِلَىٰ رَبِّىٓ إِنَّ لِى عِندَهُۥ لَلْحُسْنَىٰ ۚ فَلَنُنَبِّئَنَّ ٱلَّذِينَ كَفَرُوا۟ بِمَا عَمِلُوا۟ وَلَنُذِيقَنَّهُم مِّنْ عَذَابٍ غَلِيظٍۢ",
              "translate_bn": "বিপদাপদ স্পর্শ করার পর আমি যদি তাকে আমার অনুগ্রহ আস্বাদন করাই, তখন সে বলতে থাকে, এটা যে আমার যোগ্য প্রাপ্য; আমি মনে করি না যে, কেয়ামত সংঘটিত হবে। আমি যদি আমার পালনকর্তার কাছে ফিরে যাই, তবে অবশ্যই তার কাছে আমার জন্য কল্যাণ রয়েছে। অতএব, আমি কাফেরদেরকে তাদের কর্ম সম্পর্কে অবশ্যই অবহিত করব এবং তাদেরকে অবশ্যই আস্বাদন করাব কঠিন শাস্তি।",
              "numberInSurah": 50,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাইন আযাকনা-হু রাহমাতাম মিন্না-মিম বা‘দি দাররাআ মাছছাতহু লাইয়াকূলান্না হা-যা-লী ওয়ামাআজুন্নুছ ছা‘আতা কাইমাতাওঁ ওয়ালাইর রুজি‘তুইলারাববীইন্না লী ‘ইনদাহূলালহুছনা- ফালানুনাব্বিআন্নাল্লাযীনা কাফারূবিমা-‘আমিলূ ওয়া লানুযীকান্নাহুম মিন ‘আযা-বিন গালীজ।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِنۡ/wala-in//اَذَقْنٰهُ/أَذَقۡنَٰهُ/adhaqnahu//رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنَّا/مِّنَّا/minna//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//ضَرَّآءَ/ضَرَّآءَ/darraa//مَسَّتْهُ/مَسَّتۡهُ/massathu//لَیَقُوْلَنَّ/لَيَقُولَنَّ/layaqulanna//هٰذَا/هَٰذَا/hadha//لِیْ ۙ/لِي/li//وَ مَاۤ/وَمَآ/wama//اَظُنُّ/أَظُنُّ/azunnu//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//قَآىِٕمَةً ۙ/قَآئِمَةٗ/qaimatan//وَّ لَىِٕنْ/وَلَئِن/wala-in//رُّجِعْتُ/رُّجِعۡتُ/ruji'tu//اِلٰی/إِلَىٰ/ila//رَبِّیْۤ/رَبِّيٓ/rabbi//اِنَّ/إِنَّ/inna//لِیْ/لِي/li//عِنْدَهٗ/عِندَهُۥ/indahu//لَلْحُسْنٰی ۚ/لَلۡحُسۡنَىٰۚ/lalhus'na//فَلَنُنَبِّئَنَّ/فَلَنُنَبِّئَنَّ/falanunabbi-anna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِمَا/بِمَا/bima//عَمِلُوْا ؗ/عَمِلُواْ/amilu//وَ لَنُذِیْقَنَّهُمْ/وَلَنُذِيقَنَّهُم/walanudhiqannahum//مِّنْ/مِّنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//غَلِیْظٍ /غَلِيظٖ/ghalizin",
              "words_bangla": "কিন্তু অবশ্য যদি//আমরা তাকে আস্বাদন করাই//অনুগ্রহের//আমাদের পক্ষ হতে//মধ্য হতে//পরে//বিপদাপদের//(যা) তাকে স্পর্শ করেছিলো//সে বলে অবশ্যই//\"এটা//আমারই (প্রাপ্য)//এবং (বলে) না//মনে করি আমি//ক্বিয়ামাত//ঘটবে//এবং অবশ্যই যদি//প্রত্যাবর্তিত হই আমি//দিকে//আমার রবের//নিশ্চয়ই//আমার জন্যে//তাঁর কাছে (থাকবে)//অবশ্যই খুব কল্যাণ\"//আমরা অথচ জানিয়ে দিবোই//যারা//অস্বীকার করেছে//ঐ বিষয়ে যা//তারা কাজ করেছিলো//এবং তাদেরকে আমরা অবশ্যই আস্বাদন করাবোই//থেকে//শাস্তি//কঠিন"
            },
            {
              "number": 4269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4269.mp3"
              ],
              "text": "وَإِذَآ أَنْعَمْنَا عَلَى ٱلْإِنسَٰنِ أَعْرَضَ وَنَـَٔا بِجَانِبِهِۦ وَإِذَا مَسَّهُ ٱلشَّرُّ فَذُو دُعَآءٍ عَرِيضٍۢ",
              "translate_bn": "আমি যখন মানুষের প্রতি অনুগ্রহ করি তখন সে মুখ ফিরিয়ে নেয় এবং পার্শ্ব পরিবর্তন করে। আর যখন তাকে অনিষ্ট স্পর্শ করে, তখন সুদীর্ঘ দোয়া করতে থাকে।",
              "numberInSurah": 51,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা আন‘আমনা-‘আলাল ইনছা-নি আ‘রাদা ওয়া নাআ-বিজা-নিবিহী ওয়া ইযা-মাছছাহুশ শাররু ফাযূদুআইন ‘আরীদ।",
              "words_arabic": "وَ اِذَاۤ/وَإِذَآ/wa-idha//اَنْعَمْنَا/أَنۡعَمۡنَا/an'amna//عَلَی/عَلَى/ala//الْاِنْسَانِ/ٱلۡإِنسَٰنِ/al-insani//اَعْرَضَ/أَعۡرَضَ/a'rada//وَ نَاٰ/وَنَـَٔا/wanaa//بِجَانِبِهٖ ۚ/بِجَانِبِهِۦ/bijanibihi//وَ اِذَا/وَإِذَا/wa-idha//مَسَّهُ/مَسَّهُ/massahu//الشَّرُّ/ٱلشَّرُّ/al-sharu//فَذُوْ/فَذُو/fadhu//دُعَآءٍ/دُعَآءٍ/du'ain//عَرِیْضٍ /عَرِيضٖ/aridin",
              "words_bangla": "এবং যখন//আমরা অনুগ্রহ করি//উপর//মানুষের//সে মুখ ফিরিয়ে নেয়//এবং এড়িয়ে চলে//তার পাশ দিয়ে (অহংকার বশতঃ)//এবং যখন//তাকে স্পর্শ করে//দুঃখদৈন্য//তখন//প্রার্থনার//দীর্ঘ (করে)"
            },
            {
              "number": 4270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4270.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِن كَانَ مِنْ عِندِ ٱللَّهِ ثُمَّ كَفَرْتُم بِهِۦ مَنْ أَضَلُّ مِمَّنْ هُوَ فِى شِقَاقٍۭ بَعِيدٍۢ",
              "translate_bn": "বলুন, তোমরা ভেবে দেখেছ কি, যদি এটা আল্লাহর পক্ষ থেকে হয়, অতঃপর তোমরা একে অমান্য কর, তবে যে ব্যক্তি ঘোর বিরোধিতায় লিপ্ত, তার চাইতে অধিক পথভ্রষ্ট আর কে?",
              "numberInSurah": 52,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন কা-না মিন ‘ইনদিল্লা-হি ছু ম্মা কাফারতুম বিহী মান আদাল্লুমিম্মান হুওয়া ফী শিকা-কিম বা‘ঈদ।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//كَفَرْتُمْ/كَفَرۡتُم/kafartum//بِهٖ/بِهِۦ/bihi//مَنْ/مَنۡ/man//اَضَلُّ/أَضَلُّ/adallu//مِمَّنْ/مِمَّنۡ/mimman//هُوَ/هُوَ/huwa//فِیْ/فِي/fi//شِقَاقٍۭ/شِقَاقِۭ/shiqaqin//بَعِیْدٍ /بَعِيدٖ/ba'idin",
              "words_bangla": "(হে নাবী) বলো//\"তোমরা (ভেবে) দেখেছো কি//যদি//হয় (এই কুরআন)//হতে//নিকট//আল্লাহর//এরপর//তোমরা অস্বীকার করছো//তা//কে//অধিক ভ্রান্ত (হতে পারে)//তার চেয়ে//যে//মধ্যে//বিরোধীতার//ঘোর (চলে গিয়েছে)\""
            },
            {
              "number": 4271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4271.mp3"
              ],
              "text": "سَنُرِيهِمْ ءَايَٰتِنَا فِى ٱلْءَافَاقِ وَفِىٓ أَنفُسِهِمْ حَتَّىٰ يَتَبَيَّنَ لَهُمْ أَنَّهُ ٱلْحَقُّ ۗ أَوَلَمْ يَكْفِ بِرَبِّكَ أَنَّهُۥ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌ",
              "translate_bn": "এখন আমি তাদেরকে আমার নিদর্শনাবলী প্রদর্শন করাব পৃথিবীর দিগন্তে এবং তাদের নিজেদের মধ্যে; ফলে তাদের কাছে ফুটে উঠবে যে, এ কোরআন সত্য। আপনার পালনকর্তা সর্ববিষয়ে সাক্ষ্যদাতা, এটা কি যথেষ্ট নয়?",
              "numberInSurah": 53,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ছানুরীহিম আ-য়া-তিনা-ফিল আ-ফা-কিওয়া ফীআনফুছিহিম হাত্তা-ইয়াতাবাইইয়ানা লাহুম আন্নাহুল হাক্কু আওয়ালাম ইয়াকফি বিরাব্বিকা আন্নাহূ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "سَنُرِیْهِمْ/سَنُرِيهِمۡ/sanurihim//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//فِی/فِي/fi//الْاٰفَاقِ/ٱلۡأٓفَاقِ/al-afaqi//وَ فِیْۤ/وَفِيٓ/wafi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//حَتّٰی/حَتَّىٰ/hatta//یَتَبَیَّنَ/يَتَبَيَّنَ/yatabayyana//لَهُمْ/لَهُمۡ/lahum//اَنَّهُ/أَنَّهُ/annahu//الْحَقُّ ؕ/ٱلۡحَقُّۗ/al-haqu//اَوَ لَمْ/أَوَلَمۡ/awalam//یَكْفِ/يَكۡفِ/yakfi//بِرَبِّكَ/بِرَبِّكَ/birabbika//اَنَّهٗ/أَنَّهُۥ/annahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌ /شَهِيدٌ/shahidun",
              "words_bangla": "তাদের আমরা শীঘ্রই দেখাবো//আমাদের নিদর্শন//মধ্যে//দিগন্তসমূহের//এবং মধ্যে//তাদের নিজেদের//যতক্ষণ না//সুস্পষ্ট হয়ে যায়//তাদের কাছে//(এ কথা) যে তা//বাস্তবিকই সত্য//নয় কি//যথেষ্ট//তোমার রব//যে তিনি//উপর//সব//কিছুর//সাক্ষী"
            },
            {
              "number": 4272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4272.mp3"
              ],
              "text": "أَلَآ إِنَّهُمْ فِى مِرْيَةٍۢ مِّن لِّقَآءِ رَبِّهِمْ ۗ أَلَآ إِنَّهُۥ بِكُلِّ شَىْءٍۢ مُّحِيطٌۢ",
              "translate_bn": "শুনে রাখ, তারা তাদের পালনকর্তার সাথে সাক্ষাতের ব্যাপারে সন্দেহে পতিত রয়েছে। শুনে রাখ, তিনি সবকিছুকে পরিবেষ্টন করে রয়েছেন।",
              "numberInSurah": 54,
              "juz": 25,
              "manzil": 6,
              "page": 482,
              "ruku": 418,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "আলাইন্নাহুম ফী মিরইয়াতিম মিলিলকাই, রাব্বিহিম আলাইন্নাহূবিকুল্লি শাইয়িম মুহীত।",
              "words_arabic": "اَلَاۤ/أَلَآ/ala//اِنَّهُمْ/إِنَّهُمۡ/innahum//فِیْ/فِي/fi//مِرْیَةٍ/مِرۡيَةٖ/mir'yatin//مِّنْ/مِّن/min//لِّقَآءِ/لِّقَآءِ/liqai//رَبِّهِمْ ؕ/رَبِّهِمۡۗ/rabbihim//اَلَاۤ/أَلَآ/ala//اِنَّهٗ/إِنَّهُۥ/innahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٖ/shayin//مُّحِیْطٌ۠/مُّحِيطُۢ/muhitun",
              "words_bangla": "জেনে রাখো//তারা নিশ্চয়ই//মধ্যে (আছে)//সন্দেহের//বিষয়ে//সাক্ষাতের//তাদের রবের//জেনে রাখো//নিশ্চয়ই তিনি//সব//কিছুকে//পরিবেষ্টনকারী (অর্থাৎ ঘিরে রেখেছেন)"
            }
          ]
        },
        {
          "number": 42,
          "name": "سُورَةُ الشُّورَىٰ",
          "englishName": "Ash-Shura",
          "englishNameTranslation": "Consultation",
          "revelationType": "Meccan",
          "verse": 53,
          "words": 1682,
          "chars": 7227,
          "ayahs": [
            {
              "number": 4273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4273.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।\r\n",
              "words_arabic": "حٰمٓۚ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4274.mp3"
              ],
              "text": "عٓسٓقٓ",
              "translate_bn": "আইন, সীন ক্বা-ফ।",
              "numberInSurah": 2,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "‘আইূন ছীন কাফ।",
              "words_arabic": "عٓسٓقٓ /عٓسٓقٓ/ain-seen-qaf",
              "words_bangla": "আইন - সীন-ক্কাফ"
            },
            {
              "number": 4275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4275.mp3"
              ],
              "text": "كَذَٰلِكَ يُوحِىٓ إِلَيْكَ وَإِلَى ٱلَّذِينَ مِن قَبْلِكَ ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "এমনিভাবে পরাক্রমশালী, প্রজ্ঞাময় আল্লাহ আপনার প্রতি ও আপনার পূর্ববর্তীদের প্রতি ওহী প্রেরণ করেন।",
              "numberInSurah": 3,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ইউহীইলাইকা ওয়া ইলাল্লাযীনা মিন কাবলিকাল্লা-হুল ‘আঝীঝুল হাকীম।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُوْحِیْۤ/يُوحِيٓ/yuhi//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اِلَی/وَإِلَى/wa-ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِكَ ۙ/قَبۡلِكَ/qablika//اللّٰهُ/ٱللَّهُ/al-lahu//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এভাবে//ওহী পাঠান (আল্লাহ)//তোমার প্রতি//এবং প্রতি//(তাদের) যারা//মধ্য হতে//তোমার পূর্বে (নাবী-রাসূল ছিলো)//আল্লাহ//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 4276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4276.mp3"
              ],
              "text": "لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَلِىُّ ٱلْعَظِيمُ",
              "translate_bn": "নভোমন্ডলে যা কিছু আছে এবং ভূমন্ডলে যা কিছু আছে, সমস্তই তাঁর। তিনি সমুন্নত, মহান।",
              "numberInSurah": 4,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "লাহূমা-ফিছছামা-ওয়া-তি ওয়ামা ফিল আরদি ওয়াহুয়াল ‘আলিইয়ুল ‘আজীম।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۖ/al-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَلِیُّ/ٱلۡعَلِيُّ/al-'aliyu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "তাঁরই//যা কিছু//মধ্যে (আছে)//আকাশের//এবং যা কিছু//মধ্যে আছে//পৃথিবীর//এবং তিনিই//সমুন্নত//সুমহান"
            },
            {
              "number": 4277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4277.mp3"
              ],
              "text": "تَكَادُ ٱلسَّمَٰوَٰتُ يَتَفَطَّرْنَ مِن فَوْقِهِنَّ ۚ وَٱلْمَلَٰٓئِكَةُ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ وَيَسْتَغْفِرُونَ لِمَن فِى ٱلْأَرْضِ ۗ أَلَآ إِنَّ ٱللَّهَ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "আকাশ উপর থেকে ফেটে পড়ার উপক্রম হয় আর তখন ফেরেশতাগণ তাদের পালনকর্তার প্রশংসাসহ পবিত্রতা বর্ণনা করে এবং পৃথিবীবাসীদের জন্যে ক্ষমা প্রার্থনা করে। শুনে রাখ, আল্লাহই ক্ষমাশীল, পরম করুনাময়।",
              "numberInSurah": 5,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "তাকা-দুছছামা-ওয়া-তুইয়াতাফাত্তারনা মিন ফাওকিহিন্না ওয়াল মালাইকাতুইউছাব্বিহূনা বিহামদি রাব্বিহিম ওয়া ইয়াছতাগফিরূনা লিমান ফিল আরদি আলাইন্নাল্লা-হা হুওয়াল গাফূরুর রাহীম।",
              "words_arabic": "تَكَادُ/تَكَادُ/takadu//السَّمٰوٰتُ/ٱلسَّمَٰوَٰتُ/al-samawatu//یَتَفَطَّرْنَ/يَتَفَطَّرۡنَ/yatafattarna//مِنْ/مِن/min//فَوْقِهِنَّ/فَوۡقِهِنَّۚ/fawqihinna//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//یُسَبِّحُوْنَ/يُسَبِّحُونَ/yusabbihuna//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ یَسْتَغْفِرُوْنَ/وَيَسۡتَغۡفِرُونَ/wayastaghfiruna//لِمَنْ/لِمَن/liman//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "(তাঁর সাথে শরিক করায়) উপক্রম হয়//আকাশ//ভেঙে পড়ার//থেকে//তাদের উপর//এবং ফেরেশতারা//পবিত্রতা ঘোষণা করে//প্রশংসাসহ//তাদের রবের//এবং ক্ষমা প্রার্থনা করে//(তাদের) জন্যে যারা//মধ্যে (আছে)//পৃথিবীর//জেনে রাখো//নিশ্চয়ই//আল্লাহ//তিনিই//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 4278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4278.mp3"
              ],
              "text": "وَٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ٱللَّهُ حَفِيظٌ عَلَيْهِمْ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍۢ",
              "translate_bn": "যারা আল্লাহ ব্যতীত অপরকে অভিভাবক হিসাবে গ্রহণ করে, আল্লাহ তাদের প্রতি লক্ষ্য রাখেন। আপনার উপর নয় তাদের দায়-দায়িত্ব।",
              "numberInSurah": 6,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনাত্তাখাযূমিন দূ নিহীআওলিয়াআল্লা-হু হাফীজুন ‘আলাইহিম ওয়ামা আনতা ‘আলাইহিম বিওয়াকীল।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//اللّٰهُ/ٱللَّهُ/al-lahu//حَفِیْظٌ/حَفِيظٌ/hafizun//عَلَیْهِمْ ۖؗ/عَلَيۡهِمۡ/alayhim//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِوَكِیْلٍ /بِوَكِيلٖ/biwakilin",
              "words_bangla": "এবং যারা//গ্রহণ করেছে//ছাড়া//তাঁকে//অভিভাবকরূপে//আল্লাহ-ই//সংরক্ষক//তাদের উপর//এবং নও//তুমি//তাদের উপর (নিযুক্ত হয়েছে)//কর্ম বিধায়ক"
            },
            {
              "number": 4279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4279.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَوْحَيْنَآ إِلَيْكَ قُرْءَانًا عَرَبِيًّۭا لِّتُنذِرَ أُمَّ ٱلْقُرَىٰ وَمَنْ حَوْلَهَا وَتُنذِرَ يَوْمَ ٱلْجَمْعِ لَا رَيْبَ فِيهِ ۚ فَرِيقٌۭ فِى ٱلْجَنَّةِ وَفَرِيقٌۭ فِى ٱلسَّعِيرِ",
              "translate_bn": "এমনি ভাবে আমি আপনার প্রতি আরবী ভাষায় কোরআন নাযিল করেছি, যাতে আপনি মক্কা ও তার আশ-পাশের লোকদের সতর্ক করেন এবং সতর্ক করেন সমাবেশের দিন সম্পর্কে, যাতে কোন সন্দেহ নেই। একদল জান্নাতে এবং একদল জাহান্নামে প্রবেশ করবে।",
              "numberInSurah": 7,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আওহাইনাইলাইকা কুরআ-নান ‘আরাবিইইয়াল লিতুনযিরা উম্মাল কুরা-ওয়া মান হাওলাহা-ওয়া তুনযিরা ইয়াওমাল জাম‘ই লা-রাইবা ফীহি ফারীকুন ফিল জান্নাতি ওয়া ফারীকুন ফিছ ছা‘ঈর।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//قُرْاٰنًا/قُرۡءَانًا/qur'anan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//لِّتُنْذِرَ/لِّتُنذِرَ/litundhira//اُمَّ/أُمَّ/umma//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//وَ مَنْ/وَمَنۡ/waman//حَوْلَهَا/حَوۡلَهَا/hawlaha//وَ تُنْذِرَ/وَتُنذِرَ/watundhira//یَوْمَ/يَوۡمَ/yawma//الْجَمْعِ/ٱلۡجَمۡعِ/al-jam'i//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ ؕ/فِيهِۚ/fihi//فَرِیْقٌ/فَرِيقٞ/fariqun//فِی/فِي/fi//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//وَ فَرِیْقٌ/وَفَرِيقٞ/wafariqun//فِی/فِي/fi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এবং এভাবে//আমরা ওহী করেছি//তোমার প্রতি//কুরআনকে//আরবী (ভাষায়)//সতর্ক করো তুমি যেনো//কেন্দ্রকে//জনপদসমূহের (অর্থাৎ মাক্কাবাসীদেরকে)//এবং যারা//তার চার পাশে (আছে)//এবং সতর্ক করো তুমি (যেনো)//দিন (সম্পর্কে)//সমবেত হওয়ার (অর্থাৎ ক্বিয়ামাতের)//নেই//কোনো সন্দেহ//তার মধ্যে//একদল (সেদিন হবে)//মধ্যে//জান্নাতের//এবং একদল (হবে)//মধ্যে//জাহান্নামের"
            },
            {
              "number": 4280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4280.mp3"
              ],
              "text": "وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَهُمْ أُمَّةًۭ وَٰحِدَةًۭ وَلَٰكِن يُدْخِلُ مَن يَشَآءُ فِى رَحْمَتِهِۦ ۚ وَٱلظَّٰلِمُونَ مَا لَهُم مِّن وَلِىٍّۢ وَلَا نَصِيرٍ",
              "translate_bn": "আল্লাহ ইচ্ছা করলে সমস্ত লোককে এক দলে পরিণত করতে পারেন। কিন্তু তিনি যাকে ইচ্ছা স্বীয় রহমতে দাখিল করেন। আর যালেমদের কোন অভিভাবক ও সাহায্যকারী নেই।",
              "numberInSurah": 8,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও শাআল্লা-হু লাজা‘আলাহুম উম্মাতাওঁ ওয়া-হিদাতাওঁ ওয়ালা-কিইঁ ইউদ খিলুমাইঁ ইয়াশাউ ফী রাহমাতিহী ওয়াজ্জা-লিমূনা মা-লাহুম মিওঁ ওয়ালিইয়িওঁ ওয়ালা-নাসীর।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//لَجَعَلَهُمْ/لَجَعَلَهُمۡ/laja'alahum//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//وَّ لٰكِنْ/وَلَٰكِن/walakin//یُّدْخِلُ/يُدۡخِلُ/yud'khilu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//فِیْ/فِي/fi//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦۚ/rahmatihi//وَ الظّٰلِمُوْنَ/وَٱلظَّـٰلِمُونَ/wal-zalimuna//مَا/مَا/ma//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ /نَصِيرٍ/nasirin",
              "words_bangla": "এবং যদি//চাইতেন//আল্লাহ//তাদেরকে অবশ্যই করতেন//জাতি//একই//কিন্তু//প্রবেশ করান//যাকে//ইচ্ছে করেন (আল্লাহ)//মধ্যে//তাঁর অনুগ্রহের//এবং সীমালঙ্ঘনকারীদের (অবস্থা হলো)//নেই//তাদের জন্যে//কোনো//অভিভাবক//আর নেই//কোনো সাহায্যকারী"
            },
            {
              "number": 4281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4281.mp3"
              ],
              "text": "أَمِ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ۖ فَٱللَّهُ هُوَ ٱلْوَلِىُّ وَهُوَ يُحْىِ ٱلْمَوْتَىٰ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "তারা কি আল্লাহ ব্যতীত অপরকে অভিভাবক স্থির করেছে? পরন্তু আল্লাহই তো একমাত্র অভিভাবক। তিনি মৃতদেরকে জীবিত করেন। তিনি সর্ববিষয়ে ক্ষমতাবান।",
              "numberInSurah": 9,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 419,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "আমিত্তাখাযূমিন দূ নিহীআওলিয়াআ ফাল্লা-হু হুওয়াল ওয়ালিইয়ুওয়া হুওয়া ইউহয়িল মাওতা- ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "اَمِ/أَمِ/ami//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءَ ۚ/أَوۡلِيَآءَۖ/awliyaa//فَاللّٰهُ/فَٱللَّهُ/fal-lahu//هُوَ/هُوَ/huwa//الْوَلِیُّ/ٱلۡوَلِيُّ/al-waliyu//وَ هُوَ/وَهُوَ/wahuwa//یُحْیِ/يُحۡيِ/yuh'yi//الْمَوْتٰی ؗ/ٱلۡمَوۡتَىٰ/al-mawta//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ۠/قَدِيرٞ/qadirun",
              "words_bangla": "তবে কি//তারা গ্রহণ করেছে//মধ্য হতে//তাঁকে ছাড়া//অভিভাবকরূপে (অন্যান্যদেরকে)//অথচ আল্লাহ//তিনিই//অভিভাবক//এবং তিনিই//জীবিত করেন//মৃতদেরকে//এবং তিনি//উপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 4282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4282.mp3"
              ],
              "text": "وَمَا ٱخْتَلَفْتُمْ فِيهِ مِن شَىْءٍۢ فَحُكْمُهُۥٓ إِلَى ٱللَّهِ ۚ ذَٰلِكُمُ ٱللَّهُ رَبِّى عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ أُنِيبُ",
              "translate_bn": "তোমরা যে বিষয়েই মতভেদ কর, তার ফয়সালা আল্লাহর কাছে সোপর্দ। ইনিই আল্লাহ আমার পালনকর্তা আমি তাঁরই উপর নির্ভর করি এবং তাঁরই অভিমুখী হই।",
              "numberInSurah": 10,
              "juz": 25,
              "manzil": 6,
              "page": 483,
              "ruku": 420,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাখ তালাফতুম ফীহি মিন শাইয়িন ফাহুকমুহূইলাল্লা-হি যা-লিকুমুল্লা-হু রাববী ‘আলাইহি তাওয়াক্কালতু ওয়া ইলাইহি উনীব।",
              "words_arabic": "وَ مَا/وَمَا/wama//اخْتَلَفْتُمْ/ٱخۡتَلَفۡتُمۡ/ikh'talaftum//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//شَیْءٍ/شَيۡءٖ/shayin//فَحُكْمُهٗۤ/فَحُكۡمُهُۥٓ/fahuk'muhu//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكُمُ/ذَٰلِكُمُ/dhalikumu//اللّٰهُ/ٱللَّهُ/al-lahu//رَبِّیْ/رَبِّي/rabbi//عَلَیْهِ/عَلَيۡهِ/alayhi//تَوَكَّلْتُ ۖۗ/تَوَكَّلۡتُ/tawakkaltu//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//اُنِیْبُ /أُنِيبُ/unibu",
              "words_bangla": "এবং যা//তোমরা মতভেদ করো//সেক্ষেত্রে//কোনো//কিছু//তার অতঃপর  মীমাংসা (হবে)//কাছে//আল্লাহ্‌র//তিনিই//আল্লাহ-ই//আমার রব//তাঁর উপর//আমি নির্ভর করি//এবং তাঁরই দিকে//মুখ ফিরিয়েছি আমি"
            },
            {
              "number": 4283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4283.mp3"
              ],
              "text": "فَاطِرُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ جَعَلَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًۭا وَمِنَ ٱلْأَنْعَٰمِ أَزْوَٰجًۭا ۖ يَذْرَؤُكُمْ فِيهِ ۚ لَيْسَ كَمِثْلِهِۦ شَىْءٌۭ ۖ وَهُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ",
              "translate_bn": "তিনি নভোমন্ডল ও ভূমন্ডলের স্রষ্টা। তিনি তোমাদের মধ্য থেকে তোমাদের জন্যে যুগল সৃষ্টি করেছেন এবং চতুস্পদ জন্তুদের মধ্য থেকে জোড়া সৃষ্টি করেছেন। এভাবে তিনি তোমাদের বংশ বিস্তার করেন। কোন কিছুই তাঁর অনুরূপ নয়। তিনি সব শুনেন, সব দেখেন।",
              "numberInSurah": 11,
              "juz": 25,
              "manzil": 6,
              "page": 484,
              "ruku": 420,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "ফা-তিরুছ ছামা-ওয়া-তি ওয়াল আরদি জা‘আলা লাকুম মিন আনফুছিকুম আঝওয়া-জাওঁ ওয়া মিনাল আন‘আ-মি আঝওয়া-জাইঁ ইয়াযরাঊকুম ফীহি লাইছা কামিছলিহী শাইউওঁ ওয়া হুওয়াছ ছামী‘উল বাসীর।",
              "words_arabic": "فَاطِرُ/فَاطِرُ/fatiru//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//جَعَلَ/جَعَلَ/ja'ala//لَكُمْ/لَكُم/lakum//مِّنْ/مِّنۡ/min//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//وَّ مِنَ/وَمِنَ/wamina//الْاَنْعَامِ/ٱلۡأَنۡعَٰمِ/al-an'ami//اَزْوَاجًا ۚ/أَزۡوَٰجٗا/azwajan//یَذْرَؤُكُمْ/يَذۡرَؤُكُمۡ/yadhra-ukum//فِیْهِ ؕ/فِيهِۚ/fihi//لَیْسَ/لَيۡسَ/laysa//كَمِثْلِهٖ/كَمِثۡلِهِۦ/kamith'lihi//شَیْءٌ ۚ/شَيۡءٞۖ/shayon//وَ هُوَ/وَهُوَ/wahuwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْبَصِیْرُ /ٱلۡبَصِيرُ/al-basiru",
              "words_bangla": "(আল্লাহ-ই) সৃষ্টিকর্তা//আকাশের//এবং পৃথিবীর//তিনি সৃষ্টি করেছেন//তোমাদের জন্যে//মধ্য হ'তে//তোমাদের নিজেদের//জোড়া জোড়া//এবং মধ্য হতে//গবাদি পশুর//জোড়া জোড়া//তোমাদের বিস্তার করেন (বংশ)//তার মধ্যে//নেই//তাঁর মতো//কোনো কিছুই//এবং তিনি//সবকিছু শুনেন//সবকিছুই দেখেন"
            },
            {
              "number": 4284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4284.mp3"
              ],
              "text": "لَهُۥ مَقَالِيدُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّهُۥ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "আকাশ ও পৃথিবীর চাবি তাঁর কাছে। তিনি যার জন্যে ইচ্ছা রিযিক বৃদ্ধি করেন এবং পরিমিত করেন। তিনি সর্ব বিষয়ে জ্ঞানী।",
              "numberInSurah": 12,
              "juz": 25,
              "manzil": 6,
              "page": 484,
              "ruku": 420,
              "hizbQuarter": 193,
              "sajda": false,
              "pronunciation_bn": "লাহূমাকা-লীদুছ ছামা-ওয়া-তি ওয়াল আরদি ইয়াবছুতু র রিঝকা লিমাইঁ ইয়াশাউ ওয়া ইয়াকদিরু ইন্নাহূবিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//مَقَالِیْدُ/مَقَالِيدُ/maqalidu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//یَبْسُطُ/يَبۡسُطُ/yabsutu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَقْدِرُ ؕ/وَيَقۡدِرُۚ/wayaqdiru//اِنَّهٗ/إِنَّهُۥ/innahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "তাঁরই (নিয়ন্ত্রণে)//চাবিসমূহ//আকাশের//ও পৃথিবীর//প্রশস্ত করে দেন//জীবনের উপকরণ//(তার) জন্যে যাকে//তিনি ইচ্ছে করেন//এবং পরিমিত দেন (যাকে ইচ্ছে করেন)//তিনি নিশ্চয়ই//সম্পর্কে সব//কিছু//খুব অবহিত"
            },
            {
              "number": 4285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4285.mp3"
              ],
              "text": "۞ شَرَعَ لَكُم مِّنَ ٱلدِّينِ مَا وَصَّىٰ بِهِۦ نُوحًۭا وَٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ وَمَا وَصَّيْنَا بِهِۦٓ إِبْرَٰهِيمَ وَمُوسَىٰ وَعِيسَىٰٓ ۖ أَنْ أَقِيمُوا۟ ٱلدِّينَ وَلَا تَتَفَرَّقُوا۟ فِيهِ ۚ كَبُرَ عَلَى ٱلْمُشْرِكِينَ مَا تَدْعُوهُمْ إِلَيْهِ ۚ ٱللَّهُ يَجْتَبِىٓ إِلَيْهِ مَن يَشَآءُ وَيَهْدِىٓ إِلَيْهِ مَن يُنِيبُ",
              "translate_bn": "তিনি তোমাদের জন্যে দ্বীনের ক্ষেত্রে সে পথই নিধারিত করেছেন, যার আদেশ দিয়েছিলেন নূহকে, যা আমি প্রত্যাদেশ করেছি আপনার প্রতি এবং যার আদেশ দিয়েছিলাম ইব্রাহীম, মূসা ও ঈসাকে এই মর্মে যে, তোমরা দ্বীনকে প্রতিষ্ঠিত কর এবং তাতে অনৈক্য সৃষ্টি করো না। আপনি মূশরেকদেরকে যে বিষয়ের প্রতি আমন্ত্রণ জানান, তা তাদের কাছে দুঃসাধ্য বলে মনে হয়। আল্লাহ যাকে ইচ্ছা মনোনীত করেন এবং যে তাঁর অভিমুখী হয়, তাকে পথ প্রদর্শন করেন।",
              "numberInSurah": 13,
              "juz": 25,
              "manzil": 6,
              "page": 484,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "শারা‘আ লাকুম মিনাদ্দীনি মা-ওয়াসসা-বিহী নূহাওঁ ওয়াল্লাযীআওহাইনাইলাইকা ওয়ামা-ওয়াসসাইনা-বিহীইবরা-হীমা ওয়া মূছা-ওয়া ‘ঈছাআন আকীমুদ্দীনা ওয়া লাতাতাফাররাকূফীহি কাবুরা ‘আলাল মুশরিকীনা মা-তাদ‘ঊহুম ইলাইহি আল্লা-হু ইয়াজতাবীইলাইহি মাইঁ ইয়াশাউ ওয়া ইয়াহদীইলাইহি মাইঁ ইউনীব।\r\n",
              "words_arabic": "شَرَعَ/۞شَرَعَ/shara'a//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الدِّیْنِ/ٱلدِّينِ/al-dini//مَا/مَا/ma//وَصّٰی/وَصَّىٰ/wassa//بِهٖ/بِهِۦ/bihi//نُوْحًا/نُوحٗا/nuhan//وَّ الَّذِیْۤ/وَٱلَّذِيٓ/wa-alladhi//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ مَا/وَمَا/wama//وَصَّیْنَا/وَصَّيۡنَا/wassayna//بِهٖۤ/بِهِۦٓ/bihi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ مُوْسٰی/وَمُوسَىٰ/wamusa//وَ عِیْسٰۤی/وَعِيسَىٰٓۖ/wa'isa//اَنْ/أَنۡ/an//اَقِیْمُوا/أَقِيمُواْ/aqimu//الدِّیْنَ/ٱلدِّينَ/al-dina//وَ لَا/وَلَا/wala//تَتَفَرَّقُوْا/تَتَفَرَّقُواْ/tatafarraqu//فِیْهِ ؕ/فِيهِۚ/fihi//كَبُرَ/كَبُرَ/kabura//عَلَی/عَلَى/ala//الْمُشْرِكِیْنَ/ٱلۡمُشۡرِكِينَ/al-mush'rikina//مَا/مَا/ma//تَدْعُوْهُمْ/تَدۡعُوهُمۡ/tad'uhum//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//اَللّٰهُ/ٱللَّهُ/al-lahu//یَجْتَبِیْۤ/يَجۡتَبِيٓ/yajtabi//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْۤ/وَيَهۡدِيٓ/wayahdi//اِلَیْهِ/إِلَيۡهِ/ilayhi//مَنْ/مَن/man//یُّنِیْبُ /يُنِيبُ/yunibu",
              "words_bangla": "তিনি বিধান দিয়েছেন//তোমাদের জন্যে (একমাত্র)//থেকে//দ্বীনের//যা//আদেশ দিয়েছিলেন//সে সম্পর্কে//নূহকে//এবং (হে নাবী) যা//আমরা ওহী করেছি//তোমার প্রতিও//এবং যা//আমরা আদেশ দিয়েছি//সে সম্পর্কে//ইব্রাহীমকে//ও মূসাকে//ও ঈসাকে//(এ তাগিদসহ) যে//তোমরা প্রতিষ্ঠিত করো//দ্বীনকে//এবং না//তোমরা মতবিরোধ করো//তার মধ্যে//বড় কঠিন হয়েছে//কাছে//মুশরিকদের//যার//তুমি আহবান করছো তাদেরকে//তাঁর দিকে//আল্লাহ//বেছে নেন//তাঁর দিকে//যাকে//তিনি ইচ্ছে করেন//এবং পথ দেখান//তাঁর দিকে//যে//মুখ ফিরায় (তাঁর দিকে)"
            },
            {
              "number": 4286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4286.mp3"
              ],
              "text": "وَمَا تَفَرَّقُوٓا۟ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۚ وَلَوْلَا كَلِمَةٌۭ سَبَقَتْ مِن رَّبِّكَ إِلَىٰٓ أَجَلٍۢ مُّسَمًّۭى لَّقُضِىَ بَيْنَهُمْ ۚ وَإِنَّ ٱلَّذِينَ أُورِثُوا۟ ٱلْكِتَٰبَ مِنۢ بَعْدِهِمْ لَفِى شَكٍّۢ مِّنْهُ مُرِيبٍۢ",
              "translate_bn": "তাদের কাছে জ্ঞান আসার পরই তারা পারস্পরিক বিভেদের কারণে মতভেদ করেছে। যদি আপনার পালনকর্তার পক্ষ থেকে নির্দিষ্ট সময় পর্যন্ত অবকাশের পূর্ব সিদ্ধান্ত না থাকত, তবে তাদের ফয়সালা হয়ে যেত। তাদের পর যারা কিতাব প্রাপ্ত হয়েছে, তারা অস্বস্তিকর সন্দেহে পতিত রয়েছে।",
              "numberInSurah": 14,
              "juz": 25,
              "manzil": 6,
              "page": 484,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তাফাররাকূইল্লা-মিম বা‘দি মা-জাআহুমুল ‘ইলমুবাগইয়াম বাইনাহুম ওয়া লাওলা-কালিমাতুন ছাবাকাত মির রাব্বিকা ইলাআজালিম মুছাম্মাল লাকুদিয়া বাইনাহুম ওয়া ইন্নাল্লাযীনা ঊরিছুল কিতা-বা মিম বা‘দিহিম লাফী শাক্কিম মিনহু মুরীব।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَفَرَّقُوْۤا/تَفَرَّقُوٓاْ/tafarraqu//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْعِلْمُ/ٱلۡعِلۡمُ/al-'il'mu//بَغْیًۢا/بَغۡيَۢا/baghyan//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةٌ/كَلِمَةٞ/kalimatun//سَبَقَتْ/سَبَقَتۡ/sabaqat//مِنْ/مِن/min//رَّبِّكَ/رَّبِّكَ/rabbika//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی/مُّسَمّٗى/musamman//لَّقُضِیَ/لَّقُضِيَ/laqudiya//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//وَ اِنَّ/وَإِنَّ/wa-inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْرِثُوا/أُورِثُواْ/urithu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//لَفِیْ/لَفِي/lafi//شَكٍّ/شَكّٖ/shakkin//مِّنْهُ/مِّنۡهُ/min'hu//مُرِیْبٍ /مُرِيبٖ/muribin",
              "words_bangla": "এবং না//তারা মতবিরোধ করেছে//এ ব্যতীত//মধ্য হতে//পরে//যা//(কাছে) এসেছিলো তাদের//(অর্থাৎ) জ্ঞান//(এমন করেছে) বিদ্বেষ বশতঃ//তাদের মাঝে//এবং যদি না//একটি বাণী (ফায়সালার)//অতীতে সিদ্ধান্ত করা হতো//পক্ষ হতে//তোমার রবের//পর্যন্ত//সময় (অবকাশের)//নির্ধারিত//মীমাংসা অবশ্যই করে দেওয়া হতো//তাদের মাঝে//এবং নিশ্চয়ই//যাদের//উত্তরাধিকারী করা হয়েছিলো//কিতাবের//মধ্য হতে//তাদের পরে//অবশ্যই মধ্যে আছে//সন্দেহের//তা সম্পর্কে//বিভ্রান্তিকর"
            },
            {
              "number": 4287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4287.mp3"
              ],
              "text": "فَلِذَٰلِكَ فَٱدْعُ ۖ وَٱسْتَقِمْ كَمَآ أُمِرْتَ ۖ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ ۖ وَقُلْ ءَامَنتُ بِمَآ أَنزَلَ ٱللَّهُ مِن كِتَٰبٍۢ ۖ وَأُمِرْتُ لِأَعْدِلَ بَيْنَكُمُ ۖ ٱللَّهُ رَبُّنَا وَرَبُّكُمْ ۖ لَنَآ أَعْمَٰلُنَا وَلَكُمْ أَعْمَٰلُكُمْ ۖ لَا حُجَّةَ بَيْنَنَا وَبَيْنَكُمُ ۖ ٱللَّهُ يَجْمَعُ بَيْنَنَا ۖ وَإِلَيْهِ ٱلْمَصِيرُ",
              "translate_bn": "সুতরাং আপনি এর প্রতিই দাওয়াত দিন এবং হুকুম অনুযায়ী অবিচল থাকুন; আপনি তাদের খেয়ালখুশীর অনুসরণ করবেন না। বলুন, আল্লাহ যে কিতাব নাযিল করেছেন, আমি তাতে বিশ্বাস স্থাপন করেছি। আমি তোমাদের মধ্যে ন্যায় বিচার করতে আদিষ্ট হয়েছি। আল্লাহ আমাদের পালনকর্তা ও তোমাদের পালনকর্তা। আমাদের জন্যে আমাদের কর্ম এবং তোমাদের জন্যে তোমাদের কর্ম। আমাদের মধ্যে ও তোমাদের মধ্যে বিবাদ নেই। আল্লাহ আমাদেরকে সমবেত করবেন এবং তাঁরই দিকে প্রত্যাবর্তণ হবে।",
              "numberInSurah": 15,
              "juz": 25,
              "manzil": 6,
              "page": 484,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ফালিযা-লিকা ফাদ‘উ ওয়াছতাকিম কামাউমিরতা ওয়ালা-তাত্তাবি‘ আহওয়াআহুম ওয়া কুল আ-মানতুবিমাআনঝালাল্লা-হু মিন কিতা-বিওঁ ওয়া উমিরতুলিআ‘দিলা বাইনাকুম আল্লা-হু রাব্বুনা-ওয়া রাব্বাকুম লানাআ‘মা-লুনাওয়ালাকুম আ‘মা-লুকুম লা-হুজ্জাতা বাইনানা-ওয়া বাইনাকুম আল্লা-হু ইয়াজমা‘উ বাইনানা- ওয়া ইলাইহিল মাসীর।",
              "words_arabic": "فَلِذٰلِكَ/فَلِذَٰلِكَ/falidhalika//فَادْعُ ۚ/فَٱدۡعُۖ/fa-ud'u//وَ اسْتَقِمْ/وَٱسۡتَقِمۡ/wa-is'taqim//كَمَاۤ/كَمَآ/kama//اُمِرْتَ ۚ/أُمِرۡتَۖ/umir'ta//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//اَهْوَآءَهُمْ ۚ/أَهۡوَآءَهُمۡۖ/ahwaahum//وَ قُلْ/وَقُلۡ/waqul//اٰمَنْتُ/ءَامَنتُ/amantu//بِمَاۤ/بِمَآ/bima//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//كِتٰبٍ ۚ/كِتَٰبٖۖ/kitabin//وَ اُمِرْتُ/وَأُمِرۡتُ/wa-umir'tu//لِاَعْدِلَ/لِأَعۡدِلَ/li-a'dila//بَیْنَكُمْ ؕ/بَيۡنَكُمُۖ/baynakumu//اَللّٰهُ/ٱللَّهُ/al-lahu//رَبُّنَا/رَبُّنَا/rabbuna//وَ رَبُّكُمْ ؕ/وَرَبُّكُمۡۖ/warabbukum//لَنَاۤ/لَنَآ/lana//اَعْمَالُنَا/أَعۡمَٰلُنَا/a'maluna//وَ لَكُمْ/وَلَكُمۡ/walakum//اَعْمَالُكُمْ ؕ/أَعۡمَٰلُكُمۡۖ/a'malukum//لَا/لَا/la//حُجَّةَ/حُجَّةَ/hujjata//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَكُمْ ؕ/وَبَيۡنَكُمُۖ/wabaynakumu//اَللّٰهُ/ٱللَّهُ/al-lahu//یَجْمَعُ/يَجۡمَعُ/yajma'u//بَیْنَنَا ۚ/بَيۡنَنَاۖ/baynana//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//الْمَصِیْرُؕ/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "(হে নাবী) এজন্যে//তাই আহবান করো//এবং অবিচল থাকো//যেমন//তোমাকে আদেশ করা হয়েছে//এবং না//অনুসরণ করো//তাদের খেয়ালখুশীর//এবং বলো//\"আমি ঈমান এনেছি//ঐ বিষয়ে যা//অবতীর্ণ করেছেন//আল্লাহ//থেকে//(অর্থাৎ) কিতাব//এবং আমাকে আদেশ করা হয়েছে//আমি যেন ন্যায় বিচার করি//তোমাদের মাঝে//আল্লাহ//আমাদের রব//ও তোমাদের রব//আমাদের জন্যে//আমাদের কাজসমূহ//ও তোমাদের জন্যে//তোমাদের কাজসমূহ//নেই//কোনো বিবাদ//আমাদের মাঝে//ও তোমাদের মাঝে//আল্লাহ//একত্র করবেন//আমাদেরকে//এবং তাঁরই দিকে//প্রত্যাবর্তন (হবে সবার)\""
            },
            {
              "number": 4288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4288.mp3"
              ],
              "text": "وَٱلَّذِينَ يُحَآجُّونَ فِى ٱللَّهِ مِنۢ بَعْدِ مَا ٱسْتُجِيبَ لَهُۥ حُجَّتُهُمْ دَاحِضَةٌ عِندَ رَبِّهِمْ وَعَلَيْهِمْ غَضَبٌۭ وَلَهُمْ عَذَابٌۭ شَدِيدٌ",
              "translate_bn": "আল্লাহর দ্বীন মেনে নেয়ার পর যারা সে সম্পর্কে বিতর্কে প্রবৃত্ত হয়, তাদের বিতর্ক তাদের পালনকর্তার কাছে বাতিল, তাদের প্রতি আল্লাহর গযব এবং তাদের জন্যে রয়েছে কঠোর আযাব।",
              "numberInSurah": 16,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইঊহাজ্জূনা ফিল্লা-হি মিম বা‘দি মাছতুজীবা লাহূহুজ্জাতুহুম দা-হিদাতুন ‘ইনদা রাব্বিহিম ওয়া ‘আলাইহিম গাদাবুওঁ ওয়া লাহুম ‘আযা-বুন শাদীদ।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُحَآجُّوْنَ/يُحَآجُّونَ/yuhajjuna//فِی/فِي/fi//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//اسْتُجِیْبَ/ٱسۡتُجِيبَ/us'tujiba//لَهٗ/لَهُۥ/lahu//حُجَّتُهُمْ/حُجَّتُهُمۡ/hujjatuhum//دَاحِضَةٌ/دَاحِضَةٌ/dahidatun//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ عَلَیْهِمْ/وَعَلَيۡهِمۡ/wa'alayhim//غَضَبٌ/غَضَبٞ/ghadabun//وَّ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ /شَدِيدٌ/shadidun",
              "words_bangla": "এবং যারা//বিতর্ক করে//সম্পর্কে//আল্লাহ্‌র দ্বীনের//মধ্য হতে//পরেও//যা//সাড়া দেওয়া হয়েছে (অর্থাৎ দ্বীন গ্রহণের পরেও)//তাকে//তাদের যুক্তিতর্ক//নিরর্থক//কাছে//তাদের রবের//এবং তাদের উপর//অভিসম্পাত//এবং তাদের জন্যে//শাস্তি (রয়েছে)//কঠিন"
            },
            {
              "number": 4289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4289.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِىٓ أَنزَلَ ٱلْكِتَٰبَ بِٱلْحَقِّ وَٱلْمِيزَانَ ۗ وَمَا يُدْرِيكَ لَعَلَّ ٱلسَّاعَةَ قَرِيبٌۭ",
              "translate_bn": "আল্লাহই সত্যসহ কিতাব ও ইনসাফের মানদন্ড নাযিল করেছেন। আপনি কি জানেন, সম্ভবতঃ কেয়ামত নিকটবর্তী।",
              "numberInSurah": 17,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযীআনঝালাল কিতা-বা বিলহাক্কিওয়াল মীযা-না ওয়ামা ইউদরীকা লা‘আল্লাছছা-‘আতা কারীব।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ الْمِیْزَانَ ؕ/وَٱلۡمِيزَانَۗ/wal-mizana//وَ مَا/وَمَا/wama//یُدْرِیْكَ/يُدۡرِيكَ/yud'rika//لَعَلَّ/لَعَلَّ/la'alla//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//قَرِیْبٌ /قَرِيبٞ/qaribun",
              "words_bangla": "(তিনিই) আল্লাহ্‌//যিনি//অবতীর্ণ করেছেন//কিতাব//সত্যসহ//এবং মীযান//এবং কিসে//তোমাকে জানাবে//সম্ভবতঃ//ক্বিয়ামাত//আসন্ন"
            },
            {
              "number": 4290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4290.mp3"
              ],
              "text": "يَسْتَعْجِلُ بِهَا ٱلَّذِينَ لَا يُؤْمِنُونَ بِهَا ۖ وَٱلَّذِينَ ءَامَنُوا۟ مُشْفِقُونَ مِنْهَا وَيَعْلَمُونَ أَنَّهَا ٱلْحَقُّ ۗ أَلَآ إِنَّ ٱلَّذِينَ يُمَارُونَ فِى ٱلسَّاعَةِ لَفِى ضَلَٰلٍۭ بَعِيدٍ",
              "translate_bn": "যারা তাতে বিশ্বাস করে না তারা তাকে তড়িৎ কামনা করে। আর যারা বিশ্বাস করে, তারা তাকে ভয় করে এবং জানে যে, তা সত্য। জেনে রাখ, যারা কেয়ামত সম্পর্কে বিতর্ক করে, তারা দূরবর্তী পথ ভ্রষ্টতায় লিপ্ত রয়েছে।",
              "numberInSurah": 18,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ইয়াছতা‘জিলূবিহাল্লাযীনা লা-ইউ’মিনূনা বিহা- ওয়াল্লাযীনা আ-মানূমুশফিকূনা মিনহা- ওয়া ইয়া‘লামূনা আন্নাহাল হাক্কু আলাইন্নাল্লাযীনা ইউমা-রূনা ফিছছা‘আতি লাফী দালা-লিম বা‘ঈদ।",
              "words_arabic": "یَسْتَعْجِلُ/يَسۡتَعۡجِلُ/yasta'jilu//بِهَا/بِهَا/biha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِهَا ۚ/بِهَاۖ/biha//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مُشْفِقُوْنَ/مُشۡفِقُونَ/mush'fiquna//مِنْهَا ۙ/مِنۡهَا/min'ha//وَ یَعْلَمُوْنَ/وَيَعۡلَمُونَ/waya'lamuna//اَنَّهَا/أَنَّهَا/annaha//الْحَقُّ ؕ/ٱلۡحَقُّۗ/al-haqu//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُمَارُوْنَ/يُمَارُونَ/yumaruna//فِی/فِي/fi//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//لَفِیْ/لَفِي/lafi//ضَلٰلٍۭ/ضَلَٰلِۭ/dalalin//بَعِیْدٍ /بَعِيدٍ/ba'idin",
              "words_bangla": "তাড়াহুড়া করে//তা সম্পর্কে//(তারাই) যারা//না//ঈমান আনে//তা সম্পর্কে//কিন্তু যারা//ঈমান এনেছে//তারা ভয় করে//তা থেকে//এবং তারা জানে//তা যে//মহাসত্য//জেনে রাখো//নিশ্চয়ই//যারা//কুতর্ক করে//সম্পর্কে//ক্বিয়ামাতের//অবশ্যই মধ্যে//বিভ্রান্তির//বহুদূরে (চলে গিয়েছে)"
            },
            {
              "number": 4291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4291.mp3"
              ],
              "text": "ٱللَّهُ لَطِيفٌۢ بِعِبَادِهِۦ يَرْزُقُ مَن يَشَآءُ ۖ وَهُوَ ٱلْقَوِىُّ ٱلْعَزِيزُ",
              "translate_bn": "আল্লাহ তাঁর বান্দাদের প্রতি দয়ালু। তিনি যাকে ইচ্ছা, রিযিক দান করেন। তিনি প্রবল, পরাক্রমশালী।",
              "numberInSurah": 19,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 420,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লাতীফুম বি‘ইবা-দিহী ইয়ারঝুকুমাইঁ ইয়াশাউ ওয়া হুওয়াল কাবিইয়ুল ‘আঝীঝ।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَطِیْفٌۢ/لَطِيفُۢ/latifun//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//یَرْزُقُ/يَرۡزُقُ/yarzuqu//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۖ/yashau//وَ هُوَ/وَهُوَ/wahuwa//الْقَوِیُّ/ٱلۡقَوِيُّ/al-qawiyu//الْعَزِیْزُ۠ /ٱلۡعَزِيزُ/al-'azizu",
              "words_bangla": "আল্লাহ্‌//অতি দয়ালু//তার দাসদের উপর//তিনি জীবিকা দান করেন//যাকে//ইচ্ছে করেন//এবং তিনি//প্রবল শক্তিমান//পরাক্রমশালী"
            },
            {
              "number": 4292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4292.mp3"
              ],
              "text": "مَن كَانَ يُرِيدُ حَرْثَ ٱلْءَاخِرَةِ نَزِدْ لَهُۥ فِى حَرْثِهِۦ ۖ وَمَن كَانَ يُرِيدُ حَرْثَ ٱلدُّنْيَا نُؤْتِهِۦ مِنْهَا وَمَا لَهُۥ فِى ٱلْءَاخِرَةِ مِن نَّصِيبٍ",
              "translate_bn": "যে কেউ পরকালের ফসল কামনা করে, আমি তার জন্যে সেই ফসল বাড়িয়ে দেই। আর যে ইহকালের ফসল কামনা করে, আমি তাকে তার কিছু দিয়ে দেই এবং পরকালে তার কোন অংশ থাকবে না।",
              "numberInSurah": 20,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "মান কা-না ইউরীদুহারছাল আ-খিরাতি নাঝিদ লাহূফী হারছিহী ওয়ামান কা-না ইউরীদুহারছাদ্দুনইয়া-নু’তিহী মিনহা-ওয়ামা-লাহূফিল আ-খিরাতি মিন নাসীব।",
              "words_arabic": "مَنْ/مَن/man//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//حَرْثَ/حَرۡثَ/hartha//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//نَزِدْ/نَزِدۡ/nazid//لَهٗ/لَهُۥ/lahu//فِیْ/فِي/fi//حَرْثِهٖ ۚ/حَرۡثِهِۦۖ/harthihi//وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//یُرِیْدُ/يُرِيدُ/yuridu//حَرْثَ/حَرۡثَ/hartha//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//نُؤْتِهٖ/نُؤۡتِهِۦ/nu'tihi//مِنْهَا/مِنۡهَا/min'ha//وَ مَا/وَمَا/wama//لَهٗ/لَهُۥ/lahu//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//مِنْ/مِن/min//نَّصِیْبٍ /نَّصِيبٍ/nasibin",
              "words_bangla": "যে//ছিল//কামনা করে//ফসল//পরকালের//বাড়িয়ে দিই আমরা//তার জন্যে//মধ্যে//তার ফসলের//এবং যে//ছিল//কামনা করে//ফসল//দুনিয়ার//তাকে দিই আমরা//তা থেকে কিছু//এবং নেই//তার জন্যে//মধ্যে//পরকালের//কোনো//অংশ"
            },
            {
              "number": 4293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4293.mp3"
              ],
              "text": "أَمْ لَهُمْ شُرَكَٰٓؤُا۟ شَرَعُوا۟ لَهُم مِّنَ ٱلدِّينِ مَا لَمْ يَأْذَنۢ بِهِ ٱللَّهُ ۚ وَلَوْلَا كَلِمَةُ ٱلْفَصْلِ لَقُضِىَ بَيْنَهُمْ ۗ وَإِنَّ ٱلظَّٰلِمِينَ لَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তাদের কি এমন শরীক দেবতা আছে, যারা তাদের জন্যে সে ধর্ম সিদ্ধ করেছে, যার অনুমতি আল্লাহ দেননি ? যদি চুড়ান্ত সিন্ধান্ত না থাকত, তবে তাদের ব্যাপারে ফয়সালা হয়ে যেত। নিশ্চয় যালেমদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 21,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম শুরাকাউ শারা‘ঊ লাহুম মিনাদ্দীনি মা -লাম ইয়া’যাম বিহিল্লা-হু ওয়া লাওলা-কালিমাতুল ফাসলি লাকুদিয়া বাইনাহুম ওয়া ইন্নাজ্জা-লিমীনা লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//شُرَكٰٓؤُا/شُرَكَـٰٓؤُاْ/shurakau//شَرَعُوْا/شَرَعُواْ/shara'u//لَهُمْ/لَهُم/lahum//مِّنَ/مِّنَ/mina//الدِّیْنِ/ٱلدِّينِ/al-dini//مَا/مَا/ma//لَمْ/لَمۡ/lam//یَاْذَنْۢ/يَأۡذَنۢ/yadhan//بِهِ/بِهِ/bihi//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ لَوْ لَا/وَلَوۡلَا/walawla//كَلِمَةُ/كَلِمَةُ/kalimatu//الْفَصْلِ/ٱلۡفَصۡلِ/al-fasli//لَقُضِیَ/لَقُضِيَ/laqudiya//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۗ/baynahum//وَ اِنَّ/وَإِنَّ/wa-inna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "তবে কি//তাদের জন্যে আছে//(কতক) শরিক//(যারা) বিধান দিয়েছে//তাদের জন্যে (ভিন্ন কিছু)//থেকে//ধর্মের//যার//না//অনুমতি দেন নি//সে সম্পর্কে//আল্লাহ//এবং যদি না (নির্ধারিত হতো)//একটি কথা//মীমাংসার//চুড়ান্ত করে দেওয়া হতো অবশ্যই//তাদের মাঝে//এবং নিশ্চয়ই//সীমালঙ্ঘনকারীরা//তাদের জন্যে (রয়েছে)//শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 4294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4294.mp3"
              ],
              "text": "تَرَى ٱلظَّٰلِمِينَ مُشْفِقِينَ مِمَّا كَسَبُوا۟ وَهُوَ وَاقِعٌۢ بِهِمْ ۗ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فِى رَوْضَاتِ ٱلْجَنَّاتِ ۖ لَهُم مَّا يَشَآءُونَ عِندَ رَبِّهِمْ ۚ ذَٰلِكَ هُوَ ٱلْفَضْلُ ٱلْكَبِيرُ",
              "translate_bn": "আপনি কাফেরদেরকে তাদের কৃতকর্মের জন্যে ভীতসন্ত্রস্ত দেখবেন। তাদের কর্মের শাস্তি অবশ্যই তাদের উপর পতিত হবে। আর যারা মুমিন ও সৎকর্মী, তারা জান্নাতের উদ্যানে থাকবে। তারা যা চাইবে, তাই তাদের জন্যে তাদের পালনকর্তার কাছে রয়েছে। এটাই বড় পুরস্কার।",
              "numberInSurah": 22,
              "juz": 25,
              "manzil": 6,
              "page": 485,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "তারাজ্জা-লিমীনা মুশফিকীনা মিম্মা-কাছাবূওয়া হুওয়া ওয়া-কি‘উম বিহিম ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফী রাওদা-তিল জান্না-তি লাহুম মাইয়াশাঊনা ‘ইনদা রাব্বিহিম যা-লিকা হুওয়াল ফাদলুল কাবীর।",
              "words_arabic": "تَرَی/تَرَى/tara//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//مُشْفِقِیْنَ/مُشۡفِقِينَ/mush'fiqina//مِمَّا/مِمَّا/mimma//كَسَبُوْا/كَسَبُواْ/kasabu//وَ هُوَ/وَهُوَ/wahuwa//وَاقِعٌۢ/وَاقِعُۢ/waqi'un//بِهِمْ ؕ/بِهِمۡۗ/bihim//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فِیْ/فِي/fi//رَوْضٰتِ/رَوۡضَاتِ/rawdati//الْجَنّٰتِ ۚ/ٱلۡجَنَّاتِۖ/al-janati//لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//یَشَآءُوْنَ/يَشَآءُونَ/yashauna//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؕ/رَبِّهِمۡۚ/rabbihim//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَضْلُ/ٱلۡفَضۡلُ/al-fadlu//الْكَبِیْرُ /ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "দেখবে তুমি//সীমালঙ্ঘনকারীদেরকে//ভীত অবস্থায়//ঐ বিষয়ে যা//তারা কামাই করেছে//এবং তা//পতিত হবেই//তাদের উপর//এবং যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//মধ্যে (হবে)//বাগানসমূহের//জান্নাতের//তাদের জন্যে রয়েছে//যা//তারা ইচ্ছে করবে//কাছে//তাদের রবের//এটাই//সেই//অনুগ্রহ//মহা"
            },
            {
              "number": 4295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4295.mp3"
              ],
              "text": "ذَٰلِكَ ٱلَّذِى يُبَشِّرُ ٱللَّهُ عِبَادَهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ ۗ قُل لَّآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا إِلَّا ٱلْمَوَدَّةَ فِى ٱلْقُرْبَىٰ ۗ وَمَن يَقْتَرِفْ حَسَنَةًۭ نَّزِدْ لَهُۥ فِيهَا حُسْنًا ۚ إِنَّ ٱللَّهَ غَفُورٌۭ شَكُورٌ",
              "translate_bn": "এরই সুসংবাদ দেন আল্লাহ তার সেসব বান্দাকে, যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে। বলুন, আমি আমার দাওয়াতের জন্যে তোমাদের কাছে কেবল আত্নীয়তাজনিত সৌহার্দ চাই। যে কেউ উত্তম কাজ করে, আমি তার জন্যে তাতে পুণ্য বাড়িয়ে দেই। নিশ্চয় আল্লাহ ক্ষমাকারী, গুণগ্রাহী।",
              "numberInSurah": 23,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "যা-লিকাল্লাযী ইয়ুবাশশিরুল্লা-হু ‘ইবা-দাহুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি কুল লাআছআলুকুম ‘আলাইহি আজরান ইল্লাল মাওয়াদ্দাতা ফিল কুরবা- ওয়া মাইঁ ইয়াকতারিফ হাছানাতান নাঝিদ লাহূফীহা-হুছনান ইন্নাল্লা-হা গাফূরুন শাকূর।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//الَّذِیْ/ٱلَّذِي/alladhi//یُبَشِّرُ/يُبَشِّرُ/yubashiru//اللّٰهُ/ٱللَّهُ/al-lahu//عِبَادَهُ/عِبَادَهُ/ibadahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ؕ/ٱلصَّـٰلِحَٰتِۗ/al-salihati//قُلْ/قُل/qul//لَّاۤ/لَّآ/la//اَسْـَٔلُكُمْ/أَسۡـَٔلُكُمۡ/asalukum//عَلَیْهِ/عَلَيۡهِ/alayhi//اَجْرًا/أَجۡرًا/ajran//اِلَّا/إِلَّا/illa//الْمَوَدَّةَ/ٱلۡمَوَدَّةَ/al-mawadata//فِی/فِي/fi//الْقُرْبٰی ؕ/ٱلۡقُرۡبَىٰۗ/al-qur'ba//وَ مَنْ/وَمَن/waman//یَّقْتَرِفْ/يَقۡتَرِفۡ/yaqtarif//حَسَنَةً/حَسَنَةٗ/hasanatan//نَّزِدْ/نَّزِدۡ/nazid//لَهٗ/لَهُۥ/lahu//فِیْهَا/فِيهَا/fiha//حُسْنًا ؕ/حُسۡنًاۚ/hus'nan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//شَكُوْرٌ /شَكُورٌ/shakurun",
              "words_bangla": "এটাই//যার//সুসংবাদ দিয়েছেন//আল্লাহ//তাঁর দাসদেরকে//যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//(হে নাবী) বলো//\"না//তোমাদের কাছে চাই আমি//তার উপর//কোনো পারিশ্রমিক//কিন্তু//ভালোবাসা//আছে//আত্মীয়ের\"//এবং যে//অর্জন করবে//ভালো কাজ//বাড়িয়ে দিই আমরা//তার জন্যে//তার মধ্যে//কল্যাণ//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//গুণগ্রাহী"
            },
            {
              "number": 4296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4296.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًۭا ۖ فَإِن يَشَإِ ٱللَّهُ يَخْتِمْ عَلَىٰ قَلْبِكَ ۗ وَيَمْحُ ٱللَّهُ ٱلْبَٰطِلَ وَيُحِقُّ ٱلْحَقَّ بِكَلِمَٰتِهِۦٓ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "নাকি তারা একথা বলে যে, তিনি আল্লাহর বিরুদ্ধে মিথ্যা রটনা করেছেন? আল্লাহ ইচ্ছা করলে আপনার অন্তরে মোহর এঁটে দিতেন। বস্তুতঃ তিনি মিথ্যাকে মিটিয়ে দেন এবং নিজ বাক্য দ্বারা সত্যকে প্রতিষ্ঠিত করেন। নিশ্চয় তিনি অন্তর্নিহিত বিষয় সম্পর্কে সর্বিশেষ জ্ঞাত।",
              "numberInSurah": 24,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনাফ তারা-‘আলাল্লা-হি কাযিবান ফাইয়ঁইয়াশাইল্লা-হু ইয়াখতিম ‘আলাকালবিকা ওয়া ইয়ামহুল্লা-হুল বা-তিলা ওয়া ইউহিক্কুল হাক্কা বিকালিমা-তিহী ইন্নাহূ‘আলীমুম বিযা-তিসসুদূ র।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًا ۚ/كَذِبٗاۖ/kadhiban//فَاِنْ/فَإِن/fa-in//یَّشَاِ/يَشَإِ/yasha-i//اللّٰهُ/ٱللَّهُ/al-lahu//یَخْتِمْ/يَخۡتِمۡ/yakhtim//عَلٰی/عَلَىٰ/ala//قَلْبِكَ ؕ/قَلۡبِكَۗ/qalbika//وَ یَمْحُ/وَيَمۡحُ/wayamhu//اللّٰهُ/ٱللَّهُ/al-lahu//الْبَاطِلَ/ٱلۡبَٰطِلَ/al-batila//وَ یُحِقُّ/وَيُحِقُّ/wayuhiqqu//الْحَقَّ/ٱلۡحَقَّ/al-haqa//بِكَلِمٰتِهٖ ؕ/بِكَلِمَٰتِهِۦٓۚ/bikalimatihi//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "তবে কি//(এই লোকেরা) বলে//\"সে রচনা করেছে//উপর//আল্লাহর//মিথ্যা\"//তবে যদি//ইচ্ছে করতেন//আল্লাহ//সীল করে দিতেন//উপর//তোমার অন্তরের//আর মুছে দেন//আল্লাহ//অসত্যকে//এবং প্রতিষ্ঠিত করেন//সত্যকে//তাঁর বাণী দিয়ে//তিনি নিশ্চয়ই//খুব অবহিত//অবস্থা সম্পর্কে//অন্তরসমূহের"
            },
            {
              "number": 4297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4297.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يَقْبَلُ ٱلتَّوْبَةَ عَنْ عِبَادِهِۦ وَيَعْفُوا۟ عَنِ ٱلسَّيِّـَٔاتِ وَيَعْلَمُ مَا تَفْعَلُونَ",
              "translate_bn": "তিনি তাঁর বান্দাদের তওবা কবুল করেন পাপসমূহ মার্জনা করেন এবং তোমাদের কৃত বিষয় সম্পর্কে অবগত রয়েছেন।",
              "numberInSurah": 25,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযীইয়াকবালুত্তাওবাতা ‘আন ‘ইবা-দিহী ওয়া ইয়া‘ফূ‘আনিছ ছাইয়িআ-তি ওয়া ইয়া‘লামুমা-তাফ‘আলূন।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یَقْبَلُ/يَقۡبَلُ/yaqbalu//التَّوْبَةَ/ٱلتَّوۡبَةَ/al-tawbata//عَنْ/عَنۡ/an//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//وَ یَعْفُوْا/وَيَعۡفُواْ/waya'fu//عَنِ/عَنِ/ani//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//تَفْعَلُوْنَۙ/تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//কবুল করেন//তওবা//থেকে//তাঁর দাসদের//এবং মোচন করেন//থেকে//পাপসমূহ//অথচ তিনি জানেন//যা কিছু//তোমরা করছো"
            },
            {
              "number": 4298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4298.mp3"
              ],
              "text": "وَيَسْتَجِيبُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَيَزِيدُهُم مِّن فَضْلِهِۦ ۚ وَٱلْكَٰفِرُونَ لَهُمْ عَذَابٌۭ شَدِيدٌۭ",
              "translate_bn": "তিনি মুমিন ও সৎকর্মীদের দোয়া শোনেন এবং তাদের প্রতি স্বীয় অনুগ্রহ বাড়িয়ে দেন। আর কাফেরদের জন্যে রয়েছে কঠোর শাস্তি।",
              "numberInSurah": 26,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 194,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছতাজীবুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া ইয়াঝীদুহুম মিন ফাদলিহী ওয়াল কা-ফিরূনা লাহুম ‘আযা-বুন শাদীদ।",
              "words_arabic": "وَ یَسْتَجِیْبُ/وَيَسۡتَجِيبُ/wayastajibu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ یَزِیْدُهُمْ/وَيَزِيدُهُم/wayaziduhum//مِّنْ/مِّن/min//فَضْلِهٖ ؕ/فَضۡلِهِۦۚ/fadlihi//وَ الْكٰفِرُوْنَ/وَٱلۡكَٰفِرُونَ/wal-kafiruna//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ /شَدِيدٞ/shadidun",
              "words_bangla": "এবং তিনি ডাকে সাড়া দেন//(তাদের) যারা//ঈমান আনে//ও কাজ করে//সৎ//এবং বৃদ্ধি করেন তাদেরকে//হ'তে//তাঁর অনুগ্রহ//এবং কাফেরদের (অবস্থা হলো)//তাদের জন্যে রয়েছে//শাস্তি//কঠিন"
            },
            {
              "number": 4299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4299.mp3"
              ],
              "text": "۞ وَلَوْ بَسَطَ ٱللَّهُ ٱلرِّزْقَ لِعِبَادِهِۦ لَبَغَوْا۟ فِى ٱلْأَرْضِ وَلَٰكِن يُنَزِّلُ بِقَدَرٍۢ مَّا يَشَآءُ ۚ إِنَّهُۥ بِعِبَادِهِۦ خَبِيرٌۢ بَصِيرٌۭ",
              "translate_bn": "যদি আল্লাহ তাঁর সকল বান্দাকে প্রচুর রিযিক দিতেন, তবে তারা পৃথিবীতে বিপর্যয় সৃষ্টি করত। কিন্তু তিনি যে পরিমাণ ইচ্ছা সে পরিমাণ নাযিল করেন। নিশ্চয় তিনি তাঁর বান্দাদের খবর রাখেন ও সবকিছু দেখেন।",
              "numberInSurah": 27,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও বাছাতাল্লা-হুর রিঝকালি‘ইবা-দিহী লাবাগাও ফিল আরদিওয়ালা-কিইঁ ইউনাঝঝিলুবিকাদারিম মা-ইয়াশাউ ইন্নাহূবি‘ইবা-দিহী খাবীরুম বাসীর।",
              "words_arabic": "وَ لَوْ/۞وَلَوۡ/walaw//بَسَطَ/بَسَطَ/basata//اللّٰهُ/ٱللَّهُ/al-lahu//الرِّزْقَ/ٱلرِّزۡقَ/al-riz'qa//لِعِبَادِهٖ/لِعِبَادِهِۦ/li'ibadihi//لَبَغَوْا/لَبَغَوۡاْ/labaghaw//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لٰكِنْ/وَلَٰكِن/walakin//یُّنَزِّلُ/يُنَزِّلُ/yunazzilu//بِقَدَرٍ/بِقَدَرٖ/biqadarin//مَّا/مَّا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّهٗ/إِنَّهُۥ/innahu//بِعِبَادِهٖ/بِعِبَادِهِۦ/bi'ibadihi//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "এবং যদি//প্রচুর দিতেন//আল্লাহ//জীবিকা//তাঁর দাসদের জন্যে//তারা অবশ্যই বিপর্যয় সৃষ্টি করতো//মধ্যে//পৃথিবীর//কিন্তু//দেন//একটি পরিমাণ মত//যা//তিনি ইচ্ছে করেন//নিশ্চয়ই তিনি//তাঁর দাসদের সম্পর্কে//খুব অবহিত//সবকিছুই দেখেন"
            },
            {
              "number": 4300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4300.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى يُنَزِّلُ ٱلْغَيْثَ مِنۢ بَعْدِ مَا قَنَطُوا۟ وَيَنشُرُ رَحْمَتَهُۥ ۚ وَهُوَ ٱلْوَلِىُّ ٱلْحَمِيدُ",
              "translate_bn": "মানুষ নিরাশ হয়ে যাওয়ার পরে তিনি বৃষ্টি বর্ষণ করেন এবং স্বীয় রহমত ছড়িয়ে দেন। তিনিই কার্যনির্বাহী, প্রশংসিত।",
              "numberInSurah": 28,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী ইউনাঝঝিলুল গাইছা মিম বা‘দি মা-কানাতূওয়া ইয়ানশুরু রাহমাতাহূ ওয়া হুওয়াল ওয়ালিইয়ুল হামীদ।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//یُنَزِّلُ/يُنَزِّلُ/yunazzilu//الْغَیْثَ/ٱلۡغَيۡثَ/al-ghaytha//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//قَنَطُوْا/قَنَطُواْ/qanatu//وَ یَنْشُرُ/وَيَنشُرُ/wayanshuru//رَحْمَتَهٗ ؕ/رَحۡمَتَهُۥۚ/rahmatahu//وَ هُوَ/وَهُوَ/wahuwa//الْوَلِیُّ/ٱلۡوَلِيُّ/al-waliyu//الْحَمِیْدُ /ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "এবং তিনিই(আল্লাহ)//যিনি//বর্ষণ করেন//বৃষ্টি//মধ্য হতে//পরে//যখন//তারা নিরাশ হয়//এবং বিস্তার করেন//তাঁর করুণা//এবং তিনিই//অভিভাবক (ওলী)//প্রশংসিত"
            },
            {
              "number": 4301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4301.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِۦ خَلْقُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَثَّ فِيهِمَا مِن دَآبَّةٍۢ ۚ وَهُوَ عَلَىٰ جَمْعِهِمْ إِذَا يَشَآءُ قَدِيرٌۭ",
              "translate_bn": "তাঁর এক নিদর্শন নভোমন্ডল ও ভূমন্ডলের সৃষ্টি এবং এতদুভয়ের মধ্যে তিনি যেসব জীব-জন্তু ছড়িয়ে দিয়েছেন। তিনি যখন ইচ্ছা এগুলোকে একত্রিত করতে সক্ষম।",
              "numberInSurah": 29,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 421,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহী খালকুছ ছামা-ওয়া-তি ওয়ালআরদিওয়ামা-বাছছা ফীহিমা-মিন দাব্বাতিওঁ ওয়া হুওয়া ‘আলা-জাম‘ইহিম ইযা-ইয়াশাউ কাদীর।\r\n",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//خَلْقُ/خَلۡقُ/khalqu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَثَّ/بَثَّ/batha//فِیْهِمَا/فِيهِمَا/fihima//مِنْ/مِن/min//دَآبَّةٍ ؕ/دَآبَّةٖۚ/dabbatin//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//جَمْعِهِمْ/جَمۡعِهِمۡ/jam'ihim//اِذَا/إِذَا/idha//یَشَآءُ/يَشَآءُ/yashau//قَدِیْرٌ۠/قَدِيرٞ/qadirun",
              "words_bangla": "এবং মধ্য হ'তে (রয়েছে)//তাঁর নিদর্শনাবলীর//সৃষ্টি//আকাশের//ও পৃথিবীর//এবং যা কিছু//ছড়িয়ে দিয়েছেন//তার উভয়ের মধ্যে//(বিভিন্ন) ধরণের//জীবজন্তু//এবং তিনি//উপর//তাদের একত্রিত করার//যখন//তিনি ইচ্ছে করবেন//সক্ষম"
            },
            {
              "number": 4302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4302.mp3"
              ],
              "text": "وَمَآ أَصَٰبَكُم مِّن مُّصِيبَةٍۢ فَبِمَا كَسَبَتْ أَيْدِيكُمْ وَيَعْفُوا۟ عَن كَثِيرٍۢ",
              "translate_bn": "তোমাদের উপর যেসব বিপদ-আপদ পতিত হয়, তা তোমাদের কর্মেরই ফল এবং তিনি তোমাদের অনেক গোনাহ ক্ষমা করে দেন।",
              "numberInSurah": 30,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআসা-বাকুম মিম মুসীবাতিন ফাবিমা-কাছাবাত আইদীকুম ওয়া ইয়া‘ফূ‘আন কাছীর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَصَابَكُمْ/أَصَٰبَكُم/asabakum//مِّنْ/مِّن/min//مُّصِیْبَةٍ/مُّصِيبَةٖ/musibatin//فَبِمَا/فَبِمَا/fabima//كَسَبَتْ/كَسَبَتۡ/kasabat//اَیْدِیْكُمْ/أَيۡدِيكُمۡ/aydikum//وَ یَعْفُوْا/وَيَعۡفُواْ/waya'fu//عَنْ/عَن/an//كَثِیْرٍؕ/كَثِيرٖ/kathirin",
              "words_bangla": "এবং যা//তোমাদের পৌঁছে//কোনো//বিপদ//তা এ কারণে যা//কামাই করেছে//তোমাদের হাতগুলো//এবং তিনি ক্ষমা করেন//থেকে//অনেককিছু (নিজের থেকে)"
            },
            {
              "number": 4303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4303.mp3"
              ],
              "text": "وَمَآ أَنتُم بِمُعْجِزِينَ فِى ٱلْأَرْضِ ۖ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّۢ وَلَا نَصِيرٍۢ",
              "translate_bn": "তোমরা পৃথিবীতে পলায়ন করে আল্লাহকে অক্ষম করতে পার না এবং আল্লাহ ব্যতীত তোমাদের কোন কার্যনির্বাহী নেই, সাহায্যকারীও নেই।",
              "numberInSurah": 31,
              "juz": 25,
              "manzil": 6,
              "page": 486,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআনতুম বিমু‘জিঝীনা ফিল আরদি ওয়ামা-লাকুম মিন দূ নিল্লা-হি মিওঁ ওয়ালিইয়িওঁ ওয়ালা-নাসীর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَنْتُمْ/أَنتُم/antum//بِمُعْجِزِیْنَ/بِمُعۡجِزِينَ/bimu'jizina//فِی/فِي/fi//الْاَرْضِ ۖۚ/ٱلۡأَرۡضِۖ/al-ardi//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//وَّ لَا/وَلَا/wala//نَصِیْرٍ /نَصِيرٖ/nasirin",
              "words_bangla": "এবং নও//তোমরা//অক্ষমকারী (আল্লাহকে)//মধ্যে//পৃথিবীর//আর নেই (আছে)//তোমাদের জন্যে//থেকে//ছাড়া//আল্লাহ//কোনো//অভিভাবক//আর নেই//কোন সাহায্যকারী"
            },
            {
              "number": 4304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4304.mp3"
              ],
              "text": "وَمِنْ ءَايَٰتِهِ ٱلْجَوَارِ فِى ٱلْبَحْرِ كَٱلْأَعْلَٰمِ",
              "translate_bn": "সমুদ্রে ভাসমান পর্বতসম জাহাজসমূহ তাঁর অন্যতম নিদর্শন।",
              "numberInSurah": 32,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন আ-য়া-তিহিল জাওয়া-রি ফিল বাহরি কালআ‘লা-ম।",
              "words_arabic": "وَ مِنْ/وَمِنۡ/wamin//اٰیٰتِهِ/ءَايَٰتِهِ/ayatihi//الْجَوَارِ/ٱلۡجَوَارِ/al-jawari//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//كَالْاَعْلَامِؕ/كَٱلۡأَعۡلَٰمِ/kal-a'lami",
              "words_bangla": "এবং মধ্যে রয়েছে//তাঁর নিদর্শনাবলী//নৌযানসমূহ//মধ্যে//সাগরের//পাহাড়ের মতো"
            },
            {
              "number": 4305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4305.mp3"
              ],
              "text": "إِن يَشَأْ يُسْكِنِ ٱلرِّيحَ فَيَظْلَلْنَ رَوَاكِدَ عَلَىٰ ظَهْرِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّكُلِّ صَبَّارٍۢ شَكُورٍ",
              "translate_bn": "তিনি ইচ্ছা করলে বাতাসকে থামিয়ে দেন। তখন জাহাজসমূহ সমুদ্রপৃষ্ঠে নিশ্চল হয়ে পড়ে যেন পাহাড়। নিশ্চয় এতে প্রত্যেক সবরকারী, কৃতজ্ঞের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 33,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াশা’ ইউছকিনিররীহা ফাইয়াজলালনা রাওয়া-কিদা ‘আলা-জাহরিহী ইন্না ফী যা-লিকা লাআ-য়া-তিল লিকুল্লি সাব্বা-রিন শাকূর।\r\n",
              "words_arabic": "اِنْ/إِن/in//یَّشَاْ/يَشَأۡ/yasha//یُسْكِنِ/يُسۡكِنِ/yus'kini//الرِّیْحَ/ٱلرِّيحَ/al-riha//فَیَظْلَلْنَ/فَيَظۡلَلۡنَ/fayazlalna//رَوَاكِدَ/رَوَاكِدَ/rawakida//عَلٰی/عَلَىٰ/ala//ظَهْرِهٖ ؕ/ظَهۡرِهِۦٓۚ/zahrihi//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّكُلِّ/لِّكُلِّ/likulli//صَبَّارٍ/صَبَّارٖ/sabbarin//شَكُوْرٍۙ/شَكُورٍ/shakurin",
              "words_bangla": "যদি//ইচ্ছে করেন তিনি//(থামিয়ে দিবেন) ধরে রাখবেন//বাতাসকে//ফলে তা হয়ে যাবে//নিশ্চল//উপর//তার উপরিভাগের//নিশ্চয়ই//মধ্যে রয়েছে//এর//অবশ্যই নিদর্শনাবলী//জন্যে প্রত্যেক//পূর্ণ ধৈর্য্যশীলের//কৃতজ্ঞতা প্রকাশকারীর"
            },
            {
              "number": 4306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4306.mp3"
              ],
              "text": "أَوْ يُوبِقْهُنَّ بِمَا كَسَبُوا۟ وَيَعْفُ عَن كَثِيرٍۢ",
              "translate_bn": "অথবা তাদের কৃতকর্মের জন্যে সেগুলোকে ধ্বংস করে দেন এবং অনেককে ক্ষমাও করে দেন।",
              "numberInSurah": 34,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "আও ইঊবিকহুন্না বিমা-কাছাবূওয়া ইয়া‘ফু‘আন কাছীর।",
              "words_arabic": "اَوْ/أَوۡ/aw//یُوْبِقْهُنَّ/يُوبِقۡهُنَّ/yubiq'hunna//بِمَا/بِمَا/bima//كَسَبُوْا/كَسَبُواْ/kasabu//وَ یَعْفُ/وَيَعۡفُ/waya'fu//عَنْ/عَن/an//كَثِیْرٍؗ/كَثِيرٖ/kathirin",
              "words_bangla": "বা//সেগুলো (ডুবিয়ে দিতে) ধ্বংস করতে পারেন//এ কারণে যা//তারা কামাই করেছে//এ অবস্থায় যখন মাফ করেও দেন//থেকে//অনেক কিছু"
            },
            {
              "number": 4307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4307.mp3"
              ],
              "text": "وَيَعْلَمَ ٱلَّذِينَ يُجَٰدِلُونَ فِىٓ ءَايَٰتِنَا مَا لَهُم مِّن مَّحِيصٍۢ",
              "translate_bn": "এবং যারা আমার ক্ষমতা সম্পর্কে বিতর্ক করে, তারা যেন জানে যে, তাদের কোন পলায়নের জায়গা নেই।",
              "numberInSurah": 35,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া‘লামাল্লাযীনা ইউজা-দিলূনা ফীআ-য়া-তিনা- মা-লাহুম মিম মাহীস।",
              "words_arabic": "وَّ یَعْلَمَ/وَيَعۡلَمَ/waya'lama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُجَادِلُوْنَ/يُجَٰدِلُونَ/yujadiluna//فِیْۤ/فِيٓ/fi//اٰیٰتِنَا ؕ/ءَايَٰتِنَا/ayatina//مَا/مَا/ma//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//مَّحِیْصٍ /مَّحِيصٖ/mahisin",
              "words_bangla": "এবং (তখন) জানতে পারবে//যারা//বিতর্ক করে//সম্পর্কে//আমাদের নিদর্শনাবলী//নেই//তাদের জন্যে//কোনো//আশ্রয়স্থল"
            },
            {
              "number": 4308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4308.mp3"
              ],
              "text": "فَمَآ أُوتِيتُم مِّن شَىْءٍۢ فَمَتَٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَمَا عِندَ ٱللَّهِ خَيْرٌۭ وَأَبْقَىٰ لِلَّذِينَ ءَامَنُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ",
              "translate_bn": "অতএব, তোমাদেরকে যা দেয়া হয়েছে তা পার্থিব জীবনের ভোগ মাত্র। আর আল্লাহর কাছে যা রয়েছে, তা উৎকৃষ্ট ও স্থায়ী তাদের জন্যে যারা বিশ্বাস স্থাপন করে ও তাদের পালনকর্তার উপর ভরসা করে।",
              "numberInSurah": 36,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ফামাঊতীতুম মিন শাইয়িন ফমাতা-‘উল হায়া-তিদ্দুনইয়া- ওয়ামা-‘ইনদাল্লা-হি খাইরুওঁ ওয়া আব কা-লিল্লাযীনা আ-মানূওয়া ‘আলা-রাব্বিহিম ইয়াতাওয়াক্কালূন।",
              "words_arabic": "فَمَاۤ/فَمَآ/fama//اُوْتِیْتُمْ/أُوتِيتُم/utitum//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٖ/shayin//فَمَتَاعُ/فَمَتَٰعُ/famata'u//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ۚ/ٱلدُّنۡيَاۚ/al-dun'ya//وَ مَا/وَمَا/wama//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَبْقٰی/وَأَبۡقَىٰ/wa-abqa//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَلٰی/وَعَلَىٰ/wa'ala//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//یَتَوَكَّلُوْنَۚ/يَتَوَكَّلُونَ/yatawakkaluna",
              "words_bangla": "বস্তুতঃ যা//তোমাদের দেওয়া হয়েছে//কোনো//কিছু//তা ভোগসামগ্রী//জীবনের//পার্থিব//এবং যা কিছূ//কাছে আছে//আল্লাহর//(তাই) উত্তম//এবং অধিক স্থায়ী//(তাদের) জন্যে যারা//ঈমান এনেছে//এবং উপর//তাদের রবের//তারা নির্ভর করে"
            },
            {
              "number": 4309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4309.mp3"
              ],
              "text": "وَٱلَّذِينَ يَجْتَنِبُونَ كَبَٰٓئِرَ ٱلْإِثْمِ وَٱلْفَوَٰحِشَ وَإِذَا مَا غَضِبُوا۟ هُمْ يَغْفِرُونَ",
              "translate_bn": "যারা বড় গোনাহ ও অশ্লীল কার্য থেকে বেঁচে থাকে এবং ক্রোধাম্বিত হয়েও ক্ষমা করে,",
              "numberInSurah": 37,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইয়াজতানিবূনা কাবাইরাল ইছমি ওয়াল ফাওয়া-হিশা ওয়া ইযা- মাগাদিবূহুম ইয়াগফিরূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یَجْتَنِبُوْنَ/يَجۡتَنِبُونَ/yajtanibuna//كَبٰٓىِٕرَ/كَبَـٰٓئِرَ/kabaira//الْاِثْمِ/ٱلۡإِثۡمِ/al-ith'mi//وَ الْفَوَاحِشَ/وَٱلۡفَوَٰحِشَ/wal-fawahisha//وَ اِذَا/وَإِذَا/wa-idha//مَا/مَا/ma//غَضِبُوْا/غَضِبُواْ/ghadibu//هُمْ/هُمۡ/hum//یَغْفِرُوْنَۚ/يَغۡفِرُونَ/yaghfiruna",
              "words_bangla": "এবং যারা//বেঁচে থাকে//গুরুতর//পাপ//ও অশ্লীল কার্য সমূহ (হ'তে)//এবং যখন//যা//তারা রাগান্বিত হয়//তারা//মাফ করে দেয়"
            },
            {
              "number": 4310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4310.mp3"
              ],
              "text": "وَٱلَّذِينَ ٱسْتَجَابُوا۟ لِرَبِّهِمْ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَمْرُهُمْ شُورَىٰ بَيْنَهُمْ وَمِمَّا رَزَقْنَٰهُمْ يُنفِقُونَ",
              "translate_bn": "যারা তাদের পালনকর্তার আদেশ মান্য করে, নামায কায়েম করে; পারস্পরিক পরামর্শক্রমে কাজ করে এবং আমি তাদেরকে যে রিযিক দিয়েছি, তা থেকে ব্যয় করে,",
              "numberInSurah": 38,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনাছ তাজা-বূলিরাব্বিহিম ওয়া আকা-মুসসালা-তা ওয়া আমরুহুম শূরাবাইনাহুম ওয়া মিম্মা-রাঝাকনা-হুম ইউনফিকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اسْتَجَابُوْا/ٱسۡتَجَابُواْ/is'tajabu//لِرَبِّهِمْ/لِرَبِّهِمۡ/lirabbihim//وَ اَقَامُوا/وَأَقَامُواْ/wa-aqamu//الصَّلٰوةَ ۪/ٱلصَّلَوٰةَ/al-salata//وَ اَمْرُهُمْ/وَأَمۡرُهُمۡ/wa-amruhum//شُوْرٰی/شُورَىٰ/shura//بَیْنَهُمْ ۪/بَيۡنَهُمۡ/baynahum//وَ مِمَّا/وَمِمَّا/wamimma//رَزَقْنٰهُمْ/رَزَقۡنَٰهُمۡ/razaqnahum//یُنْفِقُوْنَۚ/يُنفِقُونَ/yunfiquna",
              "words_bangla": "এবং যারা//সাড়া দেয় ডাকে//তাদের রবের//প্রতিষ্ঠা করে//সালাত//এবং তাদের কাজ (সম্পন্ন করে)//পরামর্শেরর মাধ্যমে//তাদের মাঝে//এবং তা হতে যা//তাদের আমরা জীবিকা দিয়েছি//তারা ব্যয় করে"
            },
            {
              "number": 4311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4311.mp3"
              ],
              "text": "وَٱلَّذِينَ إِذَآ أَصَابَهُمُ ٱلْبَغْىُ هُمْ يَنتَصِرُونَ",
              "translate_bn": "যারা আক্রান্ত হলে প্রতিশোধ গ্রহণ করে।",
              "numberInSurah": 39,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইযাআসা-বাহুমুল বাগইউহুম ইয়ানতাসিরূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اِذَاۤ/إِذَآ/idha//اَصَابَهُمُ/أَصَابَهُمُ/asabahumu//الْبَغْیُ/ٱلۡبَغۡيُ/al-baghyu//هُمْ/هُمۡ/hum//یَنْتَصِرُوْنَ /يَنتَصِرُونَ/yantasiruna",
              "words_bangla": "এবং যারা (এমন যে)//যখন//তাদের পৌঁছে//নির্যাতন (বাড়াবাড়ি)//তারা//প্রতিশোধ গ্রহণ করে (মোকাবেলা করে)"
            },
            {
              "number": 4312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4312.mp3"
              ],
              "text": "وَجَزَٰٓؤُا۟ سَيِّئَةٍۢ سَيِّئَةٌۭ مِّثْلُهَا ۖ فَمَنْ عَفَا وَأَصْلَحَ فَأَجْرُهُۥ عَلَى ٱللَّهِ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلظَّٰلِمِينَ",
              "translate_bn": "আর মন্দের প্রতিফল তো অনুরূপ মন্দই। যে ক্ষমা করে ও আপোষ করে তার পুরস্কার আল্লাহর কাছে রয়েছে; নিশ্চয় তিনি অত্যাচারীদেরকে পছন্দ করেন নাই।",
              "numberInSurah": 40,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাঝাউ ছাইয়িআতিন ছাইয়িআতুম মিছলুহা- ফামান ‘আফা-ওয়া আসলাহা ফাআজরুহূ‘আলাল্লা-হি ইন্নাহূলা-ইউহিবজ জা-লিমীন।",
              "words_arabic": "وَ جَزٰٓؤُا/وَجَزَـٰٓؤُاْ/wajazau//سَیِّئَةٍ/سَيِّئَةٖ/sayyi-atin//سَیِّئَةٌ/سَيِّئَةٞ/sayyi-atun//مِّثْلُهَا ۚ/مِّثۡلُهَاۖ/mith'luha//فَمَنْ/فَمَنۡ/faman//عَفَا/عَفَا/afa//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//فَاَجْرُهٗ/فَأَجۡرُهُۥ/fa-ajruhu//عَلَی/عَلَى/ala//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّهٗ/إِنَّهُۥ/innahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং প্রতিফল//মন্দের//মন্দ//তার সমান//তবে যে//ক্ষমা করবে//ও আপোষ  নিষ্পত্তি করবে//তবে তার পুরষ্কার (রয়েছে)//কাছে//আল্লাহর//তিনি নিশ্চয়ই//না//ভালোবাসেন//সীমালঙ্ঘনকারীদেরকে"
            },
            {
              "number": 4313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4313.mp3"
              ],
              "text": "وَلَمَنِ ٱنتَصَرَ بَعْدَ ظُلْمِهِۦ فَأُو۟لَٰٓئِكَ مَا عَلَيْهِم مِّن سَبِيلٍ",
              "translate_bn": "নিশ্চয় যে অত্যাচারিত হওয়ার পর প্রতিশোধ গ্রহণ করে, তাদের বিরুদ্ধেও কোন অভিযোগ নেই।",
              "numberInSurah": 41,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া লামানিন তাসারা বা‘দা জুলমিহী ফাউলাইকা মা-‘আলাইহিম মিন ছাবীল।",
              "words_arabic": "وَ لَمَنِ/وَلَمَنِ/walamani//انْتَصَرَ/ٱنتَصَرَ/intasara//بَعْدَ/بَعۡدَ/ba'da//ظُلْمِهٖ/ظُلۡمِهِۦ/zul'mihi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//مَا/مَا/ma//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مِّنْ/مِّن/min//سَبِیْلٍؕ/سَبِيلٍ/sabilin",
              "words_bangla": "এবং অবশ্য যে//প্রতিশোধ নেয়//পরে//তার নির্যাতনের//তাদের তবে//নেই//তাদের বিরুদ্ধে//কোনো//ব্যবস্থা"
            },
            {
              "number": 4314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4314.mp3"
              ],
              "text": "إِنَّمَا ٱلسَّبِيلُ عَلَى ٱلَّذِينَ يَظْلِمُونَ ٱلنَّاسَ وَيَبْغُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ ۚ أُو۟لَٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "অভিযোগ কেবল তাদের বিরুদ্ধে, যারা মানুষের উপর অত্যাচার চালায় এবং পৃথিবীতে অন্যায়ভাবে বিদ্রোহ করে বেড়ায়। তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 42,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাছ ছাবীলু‘আলাল্লাযীনা ইয়াজলিমূনান্না-ছা ওয়া ইয়াবগূনা ফিল আরদিবিগাইরিল হাক্কি উলাইকা লাহুম ‘আযা-বুন আলীম।\r\n",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//السَّبِیْلُ/ٱلسَّبِيلُ/al-sabilu//عَلَی/عَلَى/ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَظْلِمُوْنَ/يَظۡلِمُونَ/yazlimuna//النَّاسَ/ٱلنَّاسَ/al-nasa//وَ یَبْغُوْنَ/وَيَبۡغُونَ/wayabghuna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ ؕ/ٱلۡحَقِّۚ/al-haqi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "কেবল//ব্যবস্থা গ্রহণ//বিরুদ্ধে//(তাদের) যারা//অত্যাচার করে//মানুষের (উপর)//এবং বিদ্রোহ করে//মধ্যে//পৃথিবীর//ছাড়া//অহেতুক//ঐসব লোক//তাদের জন্যে (রয়েছে)//শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 4315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4315.mp3"
              ],
              "text": "وَلَمَن صَبَرَ وَغَفَرَ إِنَّ ذَٰلِكَ لَمِنْ عَزْمِ ٱلْأُمُورِ",
              "translate_bn": "অবশ্যই যে সবর করে ও ক্ষমা করে নিশ্চয় এটা সাহসিকতার কাজ।",
              "numberInSurah": 43,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 422,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়ালামান সাবারা ওয়া গাফারা ইন্না যা-লিকা লামিন ‘আঝমিল উমূর।",
              "words_arabic": "وَ لَمَنْ/وَلَمَن/walaman//صَبَرَ/صَبَرَ/sabara//وَ غَفَرَ/وَغَفَرَ/waghafara//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//لَمِنْ/لَمِنۡ/lamin//عَزْمِ/عَزۡمِ/azmi//الْاُمُوْرِ۠/ٱلۡأُمُورِ/al-umuri",
              "words_bangla": "এবং যে অবশ্য//ধৈর্য্য ধরে//ও মাফ করে//নিশ্চয়ই//এটা//অবশ্যই অন্তর্ভুক্ত//দৃঢ়সংকল্পের (উচ্চমানের)//কাজসমুহের"
            },
            {
              "number": 4316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4316.mp3"
              ],
              "text": "وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِن وَلِىٍّۢ مِّنۢ بَعْدِهِۦ ۗ وَتَرَى ٱلظَّٰلِمِينَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ يَقُولُونَ هَلْ إِلَىٰ مَرَدٍّۢ مِّن سَبِيلٍۢ",
              "translate_bn": "আল্লাহ যাকে পথ ভ্রষ্ট করেন, তার জন্যে তিনি ব্যতীত কোন কার্যনির্বাহী নেই। পাপাচারীরা যখন আযাব প্রত্যক্ষ করবে, তখন আপনি তাদেরকে দেখবেন যে, তারা বলছে আমাদের ফিরে যাওয়ার কোন উপায় আছে কি?",
              "numberInSurah": 44,
              "juz": 25,
              "manzil": 6,
              "page": 487,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইউদলিলিল্লা-হু ফামা-লাহূমিওঁ ওয়ালিইয়িম মিম বা‘দিহী ওয়াতারাজ্জালিমীনা লাম্মা-রায়াউল ‘আযা-বা ইয়াকূলূনা হাল ইলা-মারাদ্দিম মিন ছাবীল।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//وَّلِیٍّ/وَلِيّٖ/waliyyin//مِّنْۢ/مِّنۢ/min//بَعْدِهٖ ؕ/بَعۡدِهِۦۗ/ba'dihi//وَ تَرَی/وَتَرَى/watara//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//لَمَّا/لَمَّا/lamma//رَاَوُا/رَأَوُاْ/ra-awu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//هَلْ/هَلۡ/hal//اِلٰی/إِلَىٰ/ila//مَرَدٍّ/مَرَدّٖ/maraddin//مِّنْ/مِّن/min//سَبِیْلٍۚ/سَبِيلٖ/sabilin",
              "words_bangla": "এবং যাকে//পথভ্রষ্ট করেন//আল্লাহ//তখন নেই//তার জন্যে//কোনো//অভিভাবক//থেকে//পরে তাঁর//এবং তুমি দেখবে//সীমালঙ্ঘনকারীদেরকে//যখন//তারা দেখবে//শাস্তি//তারা বলবে//\"কি (আছে)//দিকে//ফেরার//কোনো//উপায়\""
            },
            {
              "number": 4317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4317.mp3"
              ],
              "text": "وَتَرَىٰهُمْ يُعْرَضُونَ عَلَيْهَا خَٰشِعِينَ مِنَ ٱلذُّلِّ يَنظُرُونَ مِن طَرْفٍ خَفِىٍّۢ ۗ وَقَالَ ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ ٱلْخَٰسِرِينَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَأَهْلِيهِمْ يَوْمَ ٱلْقِيَٰمَةِ ۗ أَلَآ إِنَّ ٱلظَّٰلِمِينَ فِى عَذَابٍۢ مُّقِيمٍۢ",
              "translate_bn": "জাহান্নামের সামনে উপস্থিত করার সময় আপনি তাদেরকে দেখবেন, অপমানে অবনত এবং অর্ধ নিমীলিত দৃষ্টিতে তাকায়। মুমিনরা বলবে, কেয়ামতের দিন ক্ষতিগ্রস্ত তারাই, যারা নিজেদের ও তাদের পরিবার-পরিজনের ক্ষতি সাধন করেছে। শুনে রাখ, পাপাচারীরা স্থায়ী আযাবে থাকবে।",
              "numberInSurah": 45,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারা-হুম ইউ‘রাদূনা ‘আলাইহা-খা-শি‘ঈনা মিনাযযুলিল ইয়ানজু রূনা মিন তারফিন খাফীইয়িওঁ ওয়াকা-লাল্লাযীনা আমানূইন্নাল খা-ছিরীনাল্লাযীনা খাছিরূআনফুছাহুম ওয়া আহলীহিম ইয়াওমাল কিয়া-মাতি আলাইন্নাজ্জা-লিমীনা ফী ‘আযা-বিম মুকীম।",
              "words_arabic": "وَ تَرٰىهُمْ/وَتَرَىٰهُمۡ/watarahum//یُعْرَضُوْنَ/يُعۡرَضُونَ/yu'raduna//عَلَیْهَا/عَلَيۡهَا/alayha//خٰشِعِیْنَ/خَٰشِعِينَ/khashi'ina//مِنَ/مِنَ/mina//الذُّلِّ/ٱلذُّلِّ/al-dhuli//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//مِنْ/مِن/min//طَرْفٍ/طَرۡفٍ/tarfin//خَفِّیٍ ؕ/خَفِيّٖۗ/khafiyyin//وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّ/إِنَّ/inna//الْخٰسِرِیْنَ/ٱلۡخَٰسِرِينَ/al-khasirina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//خَسِرُوْۤا/خَسِرُوٓاْ/khasiru//اَنْفُسَهُمْ/أَنفُسَهُمۡ/anfusahum//وَ اَهْلِیْهِمْ/وَأَهۡلِيهِمۡ/wa-ahlihim//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۗ/al-qiyamati//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//فِیْ/فِي/fi//عَذَابٍ/عَذَابٖ/adhabin//مُّقِیْمٍ /مُّقِيمٖ/muqimin",
              "words_bangla": "এবং  তাদের দেখবে তুমি//উপস্থিত করা হচ্ছে//তার (অর্থাৎ জাহান্নামের) কাছে//অবনত হয়ে থাকবে//কারণে//অপমানের//তারা দেখবে//দিয়ে//দৃষ্টি//গোপন//এবং বলবে//যারা//ঈমান এনেছে//\"নিশ্চয়ই//ক্ষতিগ্রস্ত (তারাই)//যারা//ক্ষতি সাধন করেছে//তাদের নিজেদেরকে//এবং তাদের পরিবারকে (সঙ্গী-সাথীদেরকে)//দিনে//ক্বিয়ামাতের//জেনে রাখো//নিশ্চয়ই//সীমালঙ্ঘনকারীরা//মধ্যে (থাকবে)//শাস্তির//স্থায়ী"
            },
            {
              "number": 4318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4318.mp3"
              ],
              "text": "وَمَا كَانَ لَهُم مِّنْ أَوْلِيَآءَ يَنصُرُونَهُم مِّن دُونِ ٱللَّهِ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِن سَبِيلٍ",
              "translate_bn": "আল্লাহ তা’আলা ব্যতীত তাদের কোন সাহায্যকারী থাকবে না, যে তাদেরকে সাহায্য করবে। আল্লাহ তা’আলা যাকে পথভ্রষ্ট করেন, তার কোন গতি নেই।",
              "numberInSurah": 46,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লাহুম মিন আওলিয়াআ ইয়ানসুরূনাহুম মিন দূ নিল্লা-হি ওয়া মাইঁ ইউদলিলিল্লা-হু; ফামা-লাহূমিন ছাবীল।",
              "words_arabic": "وَ مَا/وَمَا/wama//كَانَ/كَانَ/kana//لَهُمْ/لَهُم/lahum//مِّنْ/مِّنۡ/min//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//یَنْصُرُوْنَهُمْ/يَنصُرُونَهُم/yansurunahum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ مَنْ/وَمَن/waman//یُّضْلِلِ/يُضۡلِلِ/yud'lili//اللّٰهُ/ٱللَّهُ/al-lahu//فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//سَبِیْلٍؕ/سَبِيلٍ/sabilin",
              "words_bangla": "এবং না//হবে//তাদের জন্যে//কোনো//অভিভাবক//তাদেরকে সাহায্য করতে//থেকে//ছাড়া//আল্লাহ//এবং যাকে//পথভ্রষ্ট করেন//আল্লাহ//তখন নেই//তার জন্যে//কোনো//পথ"
            },
            {
              "number": 4319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4319.mp3"
              ],
              "text": "ٱسْتَجِيبُوا۟ لِرَبِّكُم مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌۭ لَّا مَرَدَّ لَهُۥ مِنَ ٱللَّهِ ۚ مَا لَكُم مِّن مَّلْجَإٍۢ يَوْمَئِذٍۢ وَمَا لَكُم مِّن نَّكِيرٍۢ",
              "translate_bn": "আল্লাহ তা’আলার পক্ষ থেকে অবশ্যম্ভাবী দিবস আসার পূর্বে তোমরা তোমাদের পালনকর্তার আদেশ মান্য কর। সেদিন তোমাদের কোন আশ্রয়স্থল থাকবে না এবং তা নিরোধকারী কেউ থাকবে না।",
              "numberInSurah": 47,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ইছতাজীবূলিরাব্বিকুম মিন কাবলি আইঁ ইয়া’তিয়া ইয়াওমুল্লা-মারাদ্দা লাহূমিনাল্লা-হি মালাকুম মিম মালজায়িইঁ ইয়াওমায়িযিওঁ ওয়ামা-লাকুম মিন নাকীর।\r\n",
              "words_arabic": "اِسْتَجِیْبُوْا/ٱسۡتَجِيبُواْ/is'tajibu//لِرَبِّكُمْ/لِرَبِّكُم/lirabbikum//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//یَوْمٌ/يَوۡمٞ/yawmun//لَّا/لَّا/la//مَرَدَّ/مَرَدَّ/maradda//لَهٗ/لَهُۥ/lahu//مِنَ/مِنَ/mina//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//مَا/مَا/ma//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//مَّلْجَاٍ/مَّلۡجَإٖ/malja-in//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//وَّ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//نَّكِیْرٍ /نَّكِيرٖ/nakirin",
              "words_bangla": "তোমরা ডাকে সাড়া দাও (মেনে নাও)//তোমাদের রবের (কথা)//থেকে//(এর) পূর্বেই//যে//আসবে//(এমন) দিন//নেই//প্রতিরোধ//তার জন্যে//থেকে//আল্লাহর//নেই//তোমাদের জন্যে//কোনো//আশ্রয়স্থল//সেদিন//আর নেই//তোমাদের জন্যে//কোনো//প্রতিরোধকারী"
            },
            {
              "number": 4320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4320.mp3"
              ],
              "text": "فَإِنْ أَعْرَضُوا۟ فَمَآ أَرْسَلْنَٰكَ عَلَيْهِمْ حَفِيظًا ۖ إِنْ عَلَيْكَ إِلَّا ٱلْبَلَٰغُ ۗ وَإِنَّآ إِذَآ أَذَقْنَا ٱلْإِنسَٰنَ مِنَّا رَحْمَةًۭ فَرِحَ بِهَا ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ فَإِنَّ ٱلْإِنسَٰنَ كَفُورٌۭ",
              "translate_bn": "যদি তারা মুখ ফিরিয়ে নেয়, তবে আপনাকে আমি তাদের রক্ষক করে পাঠাইনি। আপনার কর্তব্য কেবল প্রচার করা। আমি তাদের রক্ষক করে পাঠাইনি। আপনার কর্তব্য কেবল প্রচার করা। আমি যখন মানুষকে আমার রহমত আস্বাদন করাই, তখন সে উল্লসিত, আর যখন তাদের কৃতকর্মের কারণে তাদের কোন অনিষ্ট ঘটে, তখন মানুষ খুব অকৃতজ্ঞ হয়ে যায়।",
              "numberInSurah": 48,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "ফাইন আ‘রাদূফামাআরছালনা-কা ‘আলাইহিম হাফীজান ইন ‘আলাইকা ইল্লাল বালা-গু ওয়া ইন্নাইযাআযাকনাল ইনছা-না মিন্না-রাহমাতান ফারিহা বিহা- ওয়া ইন তুসিবহুম ছাইয়িআতুম বিমা-কাদ্দামাত আইদীহিম ফাইন্নাল ইনছা-না কাফূর।\r\n",
              "words_arabic": "فَاِنْ/فَإِنۡ/fa-in//اَعْرَضُوْا/أَعۡرَضُواْ/a'radu//فَمَاۤ/فَمَآ/fama//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَفِیْظًا ؕ/حَفِيظًاۖ/hafizan//اِنْ/إِنۡ/in//عَلَیْكَ/عَلَيۡكَ/alayka//اِلَّا/إِلَّا/illa//الْبَلٰغُ ؕ/ٱلۡبَلَٰغُۗ/al-balaghu//وَ اِنَّاۤ/وَإِنَّآ/wa-inna//اِذَاۤ/إِذَآ/idha//اَذَقْنَا/أَذَقۡنَا/adhaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنَّا/مِنَّا/minna//رَحْمَةً/رَحۡمَةٗ/rahmatan//فَرِحَ/فَرِحَ/fariha//بِهَا ۚ/بِهَاۖ/biha//وَ اِنْ/وَإِن/wa-in//تُصِبْهُمْ/تُصِبۡهُمۡ/tusib'hum//سَیِّئَةٌۢ/سَيِّئَةُۢ/sayyi-atun//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//فَاِنَّ/فَإِنَّ/fa-inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//كَفُوْرٌ /كَفُورٞ/kafurun",
              "words_bangla": "অতএব যদি//তারা মুখ ফেরায়//তবে না//তোমাকে আমরা পাঠিয়েছি//তাদের উপর//রক্ষক করে//নেই//তোমার উপর (দায়িত্ব)//এ ব্যতীত//পৌঁছানো//এবং নিশ্চয়ই আমরা//যখন//আস্বাদন করাই//মানুষকে//আমাদের থেকে//অনুগ্রহ//উৎফুল্ল হয়//তা দ্বারা//এবং যদি//তাদের পৌঁছে//অনিষ্ট//এ কারণে যা//আগে করেছে//তাদের হাতগুলো//নিশ্চয়ই তখন//মানুষ//অকৃতজ্ঞ হয়"
            },
            {
              "number": 4321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4321.mp3"
              ],
              "text": "لِّلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ يَخْلُقُ مَا يَشَآءُ ۚ يَهَبُ لِمَن يَشَآءُ إِنَٰثًۭا وَيَهَبُ لِمَن يَشَآءُ ٱلذُّكُورَ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের রাজত্ব আল্লাহ তা’আলারই। তিনি যা ইচ্ছা, সৃষ্টি করেন, যাকে ইচ্ছা কন্যা-সন্তান এবং যাকে ইচ্ছা পুত্র সন্তান দান করেন।",
              "numberInSurah": 49,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "লিল্লা-হি মুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ইয়াখলুকুমা-ইয়াশাউ ইয়াহাবু লিমাইঁ ইয়াশাউ ইনা-ছাওঁ ওয়া ইয়াহাবুলিমাইঁ ইয়াশাউযযুকূর।",
              "words_arabic": "لِلّٰهِ/لِّلَّهِ/lillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//یَخْلُقُ/يَخۡلُقُ/yakhluqu//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//یَهَبُ/يَهَبُ/yahabu//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//اِنَاثًا/إِنَٰثٗا/inathan//وَّ یَهَبُ/وَيَهَبُ/wayahabu//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//الذُّكُوْرَۙ/ٱلذُّكُورَ/al-dhukura",
              "words_bangla": "আল্লাহরই জন্যে//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//তিনি সৃষ্টি করেন//যা//ইচ্ছে করেন//তিনি দেন//যাকে//ইচ্ছে করেন//কন্যাসমূহ//এবং তিনি দেন//যাকে//ইচ্ছে করেন//পুত্রসমূহ"
            },
            {
              "number": 4322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4322.mp3"
              ],
              "text": "أَوْ يُزَوِّجُهُمْ ذُكْرَانًۭا وَإِنَٰثًۭا ۖ وَيَجْعَلُ مَن يَشَآءُ عَقِيمًا ۚ إِنَّهُۥ عَلِيمٌۭ قَدِيرٌۭ",
              "translate_bn": "অথবা তাদেরকে দান করেন পুত্র ও কন্যা উভয়ই এবং যাকে ইচ্ছা বন্ধ্যা করে দেন। নিশ্চয় তিনি সর্বজ্ঞ, ক্ষমতাশীল।",
              "numberInSurah": 50,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 195,
              "sajda": false,
              "pronunciation_bn": "আও ইউঝাওবিজুহুম যুকরা-নাওঁ ওয়া ইনা-ছাওঁ ওয়া ইয়াজ‘আলুমাইঁ ইয়াশাউ ‘আকীমান ইন্নাহূ‘আলীমুন কাদীর।\r\n",
              "words_arabic": "اَوْ/أَوۡ/aw//یُزَوِّجُهُمْ/يُزَوِّجُهُمۡ/yuzawwijuhum//ذُكْرَانًا/ذُكۡرَانٗا/dhuk'ranan//وَّ اِنَاثًا ۚ/وَإِنَٰثٗاۖ/wa-inathan//وَ یَجْعَلُ/وَيَجۡعَلُ/wayaj'alu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//عَقِیْمًا ؕ/عَقِيمًاۚ/aqiman//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌ/عَلِيمٞ/alimun//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "অথবা//তাদেরকে মিলিয়ে দেন//পুত্রসমূহ//ও কন্যাসমূহ//এবং করে দেন//যাকে//ইচ্ছে করেন//বন্ধ্যা//তিনি নিশ্চয়ই//সর্বজ্ঞ (সবকিছু জানেন)//সর্বশক্তিমান"
            },
            {
              "number": 4323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4323.mp3"
              ],
              "text": "۞ وَمَا كَانَ لِبَشَرٍ أَن يُكَلِّمَهُ ٱللَّهُ إِلَّا وَحْيًا أَوْ مِن وَرَآئِ حِجَابٍ أَوْ يُرْسِلَ رَسُولًۭا فَيُوحِىَ بِإِذْنِهِۦ مَا يَشَآءُ ۚ إِنَّهُۥ عَلِىٌّ حَكِيمٌۭ",
              "translate_bn": "কোন মানুষের জন্য এমন হওয়ার নয় যে, আল্লাহ তার সাথে কথা বলবেন। কিন্তু ওহীর মাধ্যমে অথবা পর্দার অন্তরাল থেকে অথবা তিনি কোন দূত প্রেরণ করবেন, অতঃপর আল্লাহ যা চান, সে তা তাঁর অনুমতিক্রমে পৌঁছে দেবে। নিশ্চয় তিনি সর্বোচ্চ প্রজ্ঞাময়।",
              "numberInSurah": 51,
              "juz": 25,
              "manzil": 6,
              "page": 488,
              "ruku": 423,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-কা-না লিবাশারিন আইঁ ইউকালিলমাহুল্লা-হু ইল্লা-ওয়াহইয়ান আও মিওঁ ওয়ারাই হিজা-বিন আও ইউরছিলা রাছূলান ফাইঊহিয়া বিইযনিহী মা ইয়াশাউ ইন্নাহূ ‘আলিইয়ুন হাকীম।",
              "words_arabic": "وَ مَا/۞وَمَا/wama//كَانَ/كَانَ/kana//لِبَشَرٍ/لِبَشَرٍ/libasharin//اَنْ/أَن/an//یُّكَلِّمَهُ/يُكَلِّمَهُ/yukallimahu//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَّا/إِلَّا/illa//وَحْیًا/وَحۡيًا/wahyan//اَوْ/أَوۡ/aw//مِنْ/مِن/min//وَّرَآئِ/وَرَآيِٕ/warai//حِجَابٍ/حِجَابٍ/hijabin//اَوْ/أَوۡ/aw//یُرْسِلَ/يُرۡسِلَ/yur'sila//رَسُوْلًا/رَسُولٗا/rasulan//فَیُوْحِیَ/فَيُوحِيَ/fayuhiya//بِاِذْنِهٖ/بِإِذۡنِهِۦ/bi-idh'nihi//مَا/مَا/ma//یَشَآءُ ؕ/يَشَآءُۚ/yashau//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیٌّ/عَلِيٌّ/aliyyun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "এবং নয় (মর্যাদা)//ছিল//মানুষের জন্যে//যে//তার সাথে কথা বলবেন//আল্লাহ//ছাড়া//ওহী//বা//থেকে//আড়াল//পর্দার//অথবা//প্রেরণ করেন//দূত হিসেবে (ফেরেশতা)//অতঃপর ওহী করে//তাঁর অনুমতিক্রমে//যা//তিনি ইচ্ছে করেন//তিনি নিশ্চয়ই//মহান//প্রজ্ঞাময়"
            },
            {
              "number": 4324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4324.mp3"
              ],
              "text": "وَكَذَٰلِكَ أَوْحَيْنَآ إِلَيْكَ رُوحًۭا مِّنْ أَمْرِنَا ۚ مَا كُنتَ تَدْرِى مَا ٱلْكِتَٰبُ وَلَا ٱلْإِيمَٰنُ وَلَٰكِن جَعَلْنَٰهُ نُورًۭا نَّهْدِى بِهِۦ مَن نَّشَآءُ مِنْ عِبَادِنَا ۚ وَإِنَّكَ لَتَهْدِىٓ إِلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "এমনিভাবে আমি আপনার কাছে এক ফেরেশতা প্রেরণ করেছি আমার আদেশক্রমে। আপনি জানতেন না, কিতাব কি এবং ঈমান কি? কিন্তু আমি একে করেছি নূর, যাদ্দ্বারা আমি আমার বান্দাদের মধ্য থেকে যাকে ইচ্ছা পথ প্রদর্শন করি। নিশ্চয় আপনি সরল পথ প্রদর্শন করেন-",
              "numberInSurah": 52,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 423,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা আওহাইনাইলাইকা রূহাম মিন আমরিনা- মা-কুনতা তাদরী মাল কিতা-বুওয়ালাল ঈমা-নুওয়ালা-কিন জা‘আলনা-হু নূরান নাহদী বিহী মান নাশাউ মিন ‘ইবা-দিনা- ওয়া ইন্নাকা লা তাহদীইলা সিরা-তিম মুছতাকীম।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//اَوْحَیْنَاۤ/أَوۡحَيۡنَآ/awhayna//اِلَیْكَ/إِلَيۡكَ/ilayka//رُوْحًا/رُوحٗا/ruhan//مِّنْ/مِّنۡ/min//اَمْرِنَا ؕ/أَمۡرِنَاۚ/amrina//مَا/مَا/ma//كُنْتَ/كُنتَ/kunta//تَدْرِیْ/تَدۡرِي/tadri//مَا/مَا/ma//الْكِتٰبُ/ٱلۡكِتَٰبُ/al-kitabu//وَ لَا/وَلَا/wala//الْاِیْمَانُ/ٱلۡإِيمَٰنُ/al-imanu//وَ لٰكِنْ/وَلَٰكِن/walakin//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//نُوْرًا/نُورٗا/nuran//نَّهْدِیْ/نَّهۡدِي/nahdi//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//نَّشَآءُ/نَّشَآءُ/nashau//مِنْ/مِنۡ/min//عِبَادِنَا ؕ/عِبَادِنَاۚ/ibadina//وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَتَهْدِیْۤ/لَتَهۡدِيٓ/latahdi//اِلٰی/إِلَىٰ/ila//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍۙ/مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "এবং এভাবে//আমরা ওহী পাঠিয়েছি//তোমার প্রতি//রূহ (অর্থাৎ ওহী) বা কোরআন//থেকে//আমাদের নির্দেশ//না//তুমি//জানতে//কি//কিতাব//আর না (জানতে)//ঈমান//কিন্তু//তাকে আমরা করেছি//আলো'//পথ দেখাই আমরা//তা দিয়ে//যাকে//ইচ্ছে করি আমরা//মধ্য হ'তে//আমাদের দাসদের//এবং তুমি নিশ্চয়ই//পথ দেখাচ্ছো তুমি অবশ্যই//দিকে//পথের//সরল-সঠিক"
            },
            {
              "number": 4325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4325.mp3"
              ],
              "text": "صِرَٰطِ ٱللَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ أَلَآ إِلَى ٱللَّهِ تَصِيرُ ٱلْأُمُورُ",
              "translate_bn": "আল্লাহর পথ। নভোমন্ডল ও ভূমন্ডল যা কিছু আছে, সব তাঁরই। শুনে রাখ, আল্লাহ তা’আলার কাছেই সব বিষয়ে পৌঁছে।",
              "numberInSurah": 53,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 423,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "সিরাতিল্লা-হিল্লাযী লাহূমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি আলাইলাল্লা-হি তাসীরুল উমূর।",
              "words_arabic": "صِرَاطِ/صِرَٰطِ/sirati//اللّٰهِ/ٱللَّهِ/al-lahi//الَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۗ/al-ardi//اَلَاۤ/أَلَآ/ala//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//تَصِیْرُ/تَصِيرُ/tasiru//الْاُمُوْرُ۠/ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "পথ//আল্লাহর//যিনি (এমন সত্ত্বা যে)//তাঁরই জন্যে//যা কিছু//মধ্যে আছে//আকাশের//এবং যা কিছু//মধ্যে আছে//পৃথিবীর//জেনে রাখো//দিকে//আল্লাহরই//ফিরে যায়//সকল বিষয়"
            }
          ]
        },
        {
          "number": 43,
          "name": "سُورَةُ الزُّخۡرُفِ",
          "englishName": "Az-Zukhruf",
          "englishNameTranslation": "Ornaments of gold",
          "revelationType": "Meccan",
          "verse": 89,
          "words": 1785,
          "chars": 7486,
          "ayahs": [
            {
              "number": 4326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4326.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।",
              "words_arabic": "حٰمٓۚۛ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4327.mp3"
              ],
              "text": "وَٱلْكِتَٰبِ ٱلْمُبِينِ",
              "translate_bn": "শপথ সুস্পষ্ট কিতাবের,",
              "numberInSurah": 2,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কিতা-বিল মুবীন।",
              "words_arabic": "وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//الْمُبِیْنِۙۛ/ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "শপথ (এই) কিতাবের//সুস্পষ্ট"
            },
            {
              "number": 4328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4328.mp3"
              ],
              "text": "إِنَّا جَعَلْنَٰهُ قُرْءَٰنًا عَرَبِيًّۭا لَّعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "আমি একে করেছি কোরআন, আরবী ভাষায়, যাতে তোমরা বুঝ।",
              "numberInSurah": 3,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ইন্না-জা‘আলনা-হু কুরআ-নান ‘আরাবিইইয়াল লা‘আল্লাকুম তা‘কিলূন।\r\n",
              "words_arabic": "اِنَّا/إِنَّا/inna//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//قُرْءٰنًا/قُرۡءَٰنًا/qur'anan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَۚ/تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "নিশ্চয়ই আমরা//তা আমরা বানিয়েছি//(অর্থাৎ) কুরআন//আরবী (ভাষায়)//তোমরা যাতে//বুঝতে পারো"
            },
            {
              "number": 4329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4329.mp3"
              ],
              "text": "وَإِنَّهُۥ فِىٓ أُمِّ ٱلْكِتَٰبِ لَدَيْنَا لَعَلِىٌّ حَكِيمٌ",
              "translate_bn": "নিশ্চয় এ কোরআন আমার কাছে সমুন্নত অটল রয়েছে লওহে মাহফুযে।",
              "numberInSurah": 4,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূফীউম্মিল কিতা-বি লাদাইনা-লা‘আলিইয়ুন হাকীম।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//فِیْۤ/فِيٓ/fi//اُمِّ/أُمِّ/ummi//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَدَیْنَا/لَدَيۡنَا/ladayna//لَعَلِیٌّ/لَعَلِيٌّ/la'aliyyun//حَكِیْمٌؕ/حَكِيمٌ/hakimun",
              "words_bangla": "এবং তা নিশ্চয়ই//মধ্যে আছে//মূল//কিতাবের//আমাদের কাছে//অতীব উচ্চ মর্যাদার//অবশ্যই মহান"
            },
            {
              "number": 4330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4330.mp3"
              ],
              "text": "أَفَنَضْرِبُ عَنكُمُ ٱلذِّكْرَ صَفْحًا أَن كُنتُمْ قَوْمًۭا مُّسْرِفِينَ",
              "translate_bn": "তোমরা সীমাতিক্রমকারী সম্প্রদায়-এ কারণে কি আমি তোমাদের কাছ থেকে কোরআন প্রত্যাহার করে নেব?",
              "numberInSurah": 5,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "আফানাদরিবু‘আনকুমুযযিকরা সাফহান আন কুনতুম কাওমাম মুছরিফীন।",
              "words_arabic": "اَفَنَضْرِبُ/أَفَنَضۡرِبُ/afanadribu//عَنْكُمُ/عَنكُمُ/ankumu//الذِّكْرَ/ٱلذِّكۡرَ/al-dhik'ra//صَفْحًا/صَفۡحًا/safhan//اَنْ/أَن/an//كُنْتُمْ/كُنتُمۡ/kuntum//قَوْمًا/قَوۡمٗا/qawman//مُّسْرِفِیْنَ /مُّسۡرِفِينَ/mus'rifina",
              "words_bangla": "তবে কি আমরা করবো//তোমাদের থেকে//উপদেশ//প্রত্যাহার//(এ জন্যে) যে//তোমরা হ'লে//সম্প্রদায়//অসংযমী"
            },
            {
              "number": 4331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4331.mp3"
              ],
              "text": "وَكَمْ أَرْسَلْنَا مِن نَّبِىٍّۢ فِى ٱلْأَوَّلِينَ",
              "translate_bn": "পূর্ববর্তী লোকদের কাছে আমি অনেক রসূলই প্রেরণ করেছি।",
              "numberInSurah": 6,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাম আরছালনা-মিন নাবিইয়িন ফিল আওওয়ালীন।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//نَّبِیٍّ/نَّبِيّٖ/nabiyyin//فِی/فِي/fi//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং কত (বার)//আমরা পাঠিয়েছি//থেকে//নাবী//মধ্যে//পূর্ববর্তীদের"
            },
            {
              "number": 4332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4332.mp3"
              ],
              "text": "وَمَا يَأْتِيهِم مِّن نَّبِىٍّ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "যখনই তাদের কাছে কোন রসূল আগমন করেছেন, তখনই তারা তাঁর সাথে ঠাট্টা-বিদ্রুপ করেছে।",
              "numberInSurah": 7,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়া’তীহিম মিন নাবিইয়িন ইল্লা-কা-নূবিহী ইয়াছতাহঝি’ঊন।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَاْتِیْهِمْ/يَأۡتِيهِم/yatihim//مِّنْ/مِّن/min//نَّبِیٍّ/نَّبِيٍّ/nabiyyin//اِلَّا/إِلَّا/illa//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং না//তাদের কাছে এসেছে//(এমন) কোনো//নাবী//এ ব্যতীত যে//তারা ছিলো//তার সাথে//ঠাট্টা-বিদ্রুপ করতো"
            },
            {
              "number": 4333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4333.mp3"
              ],
              "text": "فَأَهْلَكْنَآ أَشَدَّ مِنْهُم بَطْشًۭا وَمَضَىٰ مَثَلُ ٱلْأَوَّلِينَ",
              "translate_bn": "সুতরাং আমি তাদের চেয়ে অধিক শক্তি সম্পন্নদেরকে ধ্বংস করে দিয়েছি। পূর্ববর্তীদের এ ঘটনা অতীত হয়ে গেছে।",
              "numberInSurah": 8,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ফাআহলাকনাআশাদ্দা মিনহুম বাতশাওঁ ওয়া মাদা-মাছালুল আওওয়ালীন।",
              "words_arabic": "فَاَهْلَكْنَاۤ/فَأَهۡلَكۡنَآ/fa-ahlakna//اَشَدَّ/أَشَدَّ/ashadda//مِنْهُمْ/مِنۡهُم/min'hum//بَطْشًا/بَطۡشٗا/batshan//وَّ مَضٰی/وَمَضَىٰ/wamada//مَثَلُ/مَثَلُ/mathalu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "আমরা তাই ধ্বংস করে দিয়েছি//(যারা ছিলো) প্রবল//তাদের মধ্য থেকে//শক্তিতে//এবং অতীত হয়েছে//অনুরূপ দৃষ্টান্ত//পূর্ববর্তীদের"
            },
            {
              "number": 4334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4334.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ خَلَقَهُنَّ ٱلْعَزِيزُ ٱلْعَلِيمُ",
              "translate_bn": "আপনি যদি তাদেরকে জিজ্ঞাসা করেন কে নভোমন্ডল ও ভূ-মন্ডল সৃষ্টি করেছে? তারা অবশ্যই বলবে, এগুলো সৃষ্টি করেছেন পরাক্রমশালী সর্বজ্ঞ আল্লাহ।",
              "numberInSurah": 9,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইন ছাআলতাহুম মান খালাকাছ ছামা-ওয়া-তি ওয়ালআরদালাইয়াকূলুন্না খালাকাহুন্নাল ‘আঝীঝুল ‘আলীম।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّنۡ/man//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//خَلَقَهُنَّ/خَلَقَهُنَّ/khalaqahunna//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْعَلِیْمُۙ/ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং অবশ্যই যদি//তাদের তুমি প্রশ্ন করো//\"কে//সৃষ্টি করেছেন//আকাশকে//ও পৃথিবীকে\"//তারা বলবে অবশ্যই//\"তাদের সৃষ্টি করেছেন//পরাক্রমশালী//মহাজ্ঞানী (আল্লাহ)\""
            },
            {
              "number": 4335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4335.mp3"
              ],
              "text": "ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ مَهْدًۭا وَجَعَلَ لَكُمْ فِيهَا سُبُلًۭا لَّعَلَّكُمْ تَهْتَدُونَ",
              "translate_bn": "যিনি তোমাদের জন্যে পৃথিবীকে করেছেন বিছানা এবং তাতে তোমাদের জন্যে করেছেন পথ, যাতে তোমরা গন্তব্যস্থলে পৌঁছতে পার।",
              "numberInSurah": 10,
              "juz": 25,
              "manzil": 6,
              "page": 489,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জা‘আলা লাকুমুল আরদা মাহদাওঁ ওয়া জা‘আলা লাকুম ফীহা-ছুবুলাল লা‘আল্লাকুম তাহতাদূন।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مَهْدًا/مَهۡدٗا/mahdan//وَّ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//سُبُلًا/سُبُلٗا/subulan//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تَهْتَدُوْنَۚ/تَهۡتَدُونَ/tahtaduna",
              "words_bangla": "যিনি//করেছেন//তোমাদের জন্যে//জমিকে//শয্যা (আশ্রয়স্থল)//এবং করে দিয়েছেন//তোমাদের জন্যে//তার মধ্যে//পথসমূহ//তোমরা যাতে//(গন্তব্যস্থলের) পথ পেতে পারো"
            },
            {
              "number": 4336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4336.mp3"
              ],
              "text": "وَٱلَّذِى نَزَّلَ مِنَ ٱلسَّمَآءِ مَآءًۢ بِقَدَرٍۢ فَأَنشَرْنَا بِهِۦ بَلْدَةًۭ مَّيْتًۭا ۚ كَذَٰلِكَ تُخْرَجُونَ",
              "translate_bn": "এবং যিনি আকাশ থেকে পানি বর্ষণ করেছেন পরিমিত। আতঃপর তদ্দ্বারা আমি মৃত ভূ-ভাগকে পুনরুজ্জীবিত করেছি। তোমরা এমনিভাবে উত্থিত হবে।",
              "numberInSurah": 11,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী নাঝঝালা মিনাছ ছামাই মাআম বিকাদারিন ফাআনশারনা-বিহী বালদাতাম মাইতান কাযা-লিকা তুখরাজুন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//نَزَّلَ/نَزَّلَ/nazzala//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءًۢ/مَآءَۢ/maan//بِقَدَرٍ ۚ/بِقَدَرٖ/biqadarin//فَاَنْشَرْنَا/فَأَنشَرۡنَا/fa-ansharna//بِهٖ/بِهِۦ/bihi//بَلْدَةً/بَلۡدَةٗ/baldatan//مَّیْتًا ۚ/مَّيۡتٗاۚ/maytan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//تُخْرَجُوْنَ /تُخۡرَجُونَ/tukh'rajuna",
              "words_bangla": "এবং যিনি//বর্ষণ করেছেন//থেকে//আকাশ//পানি//পরিমিতভাবে//আমরা অতঃপর জীবিত করি//তা দিয়ে//ভূমিকে//মৃত (নিষ্প্রাণ)//এভাবেই//তোমাদের ওঠানো হবে"
            },
            {
              "number": 4337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4337.mp3"
              ],
              "text": "وَٱلَّذِى خَلَقَ ٱلْأَزْوَٰجَ كُلَّهَا وَجَعَلَ لَكُم مِّنَ ٱلْفُلْكِ وَٱلْأَنْعَٰمِ مَا تَرْكَبُونَ",
              "translate_bn": "এবং যিনি সবকিছুর যুগল সৃষ্টি করেছেন এবং নৌকা ও চতুস্পদ জন্তুকে তোমাদের জন্যে যানবাহনে পরিণত করেছেন,",
              "numberInSurah": 12,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী খালাকাল আঝওয়া-জা কুল্লাহা- ওয়াজা‘আলা লাকুম মিনাল আন‘আমি মাতারকাবূন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//خَلَقَ/خَلَقَ/khalaqa//الْاَزْوَاجَ/ٱلۡأَزۡوَٰجَ/al-azwaja//كُلَّهَا/كُلَّهَا/kullaha//وَ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//الْفُلْكِ/ٱلۡفُلۡكِ/al-ful'ki//وَ الْاَنْعَامِ/وَٱلۡأَنۡعَٰمِ/wal-an'ami//مَا/مَا/ma//تَرْكَبُوْنَۙ/تَرۡكَبُونَ/tarkabuna",
              "words_bangla": "এবং যিনি//সৃষ্টি করেছেন//জোড়া জোড়া//তার প্রত্যেকটি (জিনিসকে)//এবং সৃষ্টি করেছেন//তোমাদের জন্যে//কিছু//নৌযান//ও চতুষ্পদ জন্তু//যার (উপর)//তোমরা চড়তে পারো"
            },
            {
              "number": 4338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4338.mp3"
              ],
              "text": "لِتَسْتَوُۥا۟ عَلَىٰ ظُهُورِهِۦ ثُمَّ تَذْكُرُوا۟ نِعْمَةَ رَبِّكُمْ إِذَا ٱسْتَوَيْتُمْ عَلَيْهِ وَتَقُولُوا۟ سُبْحَٰنَ ٱلَّذِى سَخَّرَ لَنَا هَٰذَا وَمَا كُنَّا لَهُۥ مُقْرِنِينَ",
              "translate_bn": "যাতে তোমরা তাদের পিঠের উপর আরোহণ কর। অতঃপর তোমাদের পালনকর্তার নেয়ামত স্মরণ কর এবং বল পবিত্র তিনি, যিনি এদেরকে আমাদের বশীভূত করে দিয়েছেন এবং আমরা এদেরকে বশীভূত করতে সক্ষম ছিলাম না।",
              "numberInSurah": 13,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "লিতাছতায়ূ‘আলা-জু হূরিহী ছু ম্মা তাযকুরূনি‘মাতা রাব্বিকুম ইযাছতাওয়াইতুম ‘আলাইহি ওয়া তাকূলূছুবহা-নাল্লাযী ছাখখারা লানা-হাযা-ওয়ামা-কুন্না-লাহূমুকরিনীন।",
              "words_arabic": "لِتَسْتَوٗا/لِتَسۡتَوُۥاْ/litastawu//عَلٰی/عَلَىٰ/ala//ظُهُوْرِهٖ/ظُهُورِهِۦ/zuhurihi//ثُمَّ/ثُمَّ/thumma//تَذْكُرُوْا/تَذۡكُرُواْ/tadhkuru//نِعْمَةَ/نِعۡمَةَ/ni'mata//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//اِذَا/إِذَا/idha//اسْتَوَیْتُمْ/ٱسۡتَوَيۡتُمۡ/is'tawaytum//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ تَقُوْلُوْا/وَتَقُولُواْ/wataqulu//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//الَّذِیْ/ٱلَّذِي/alladhi//سَخَّرَ/سَخَّرَ/sakhara//لَنَا/لَنَا/lana//هٰذَا/هَٰذَا/hadha//وَ مَا/وَمَا/wama//كُنَّا/كُنَّا/kunna//لَهٗ/لَهُۥ/lahu//مُقْرِنِیْنَۙ/مُقۡرِنِينَ/muq'rinina",
              "words_bangla": "তোমরা যেন স্হির হয়ে বসতে পারো//উপর//তাদের পিঠের//এরপর//তোমরা স্মরণ করো//অনুগ্রহের (কথা)//তোমাদের রবের//যখন//তোমরা চড়ে বসো//তার উপর//এবং তোমরা বলো//\"মহান পবিত্র (আল্লাহ)//যিনি//বশ করে দিয়েছেন//আমাদের জন্যে//এটা//এবং না//আমরা ছিলাম//তাকে//বশীভূতকারী"
            },
            {
              "number": 4339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4339.mp3"
              ],
              "text": "وَإِنَّآ إِلَىٰ رَبِّنَا لَمُنقَلِبُونَ",
              "translate_bn": "আমরা অবশ্যই আমাদের পালনকর্তার দিকে ফিরে যাব।",
              "numberInSurah": 14,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাইলা-রাব্বিনা লামুনকালিবূন।",
              "words_arabic": "وَ اِنَّاۤ/وَإِنَّآ/wa-inna//اِلٰی/إِلَىٰ/ila//رَبِّنَا/رَبِّنَا/rabbina//لَمُنْقَلِبُوْنَ /لَمُنقَلِبُونَ/lamunqalibuna",
              "words_bangla": "এবং নিশ্চয়ই আমরা//দিকে//আমাদের রবের//অবশ্যই প্রত্যাবর্তনকারী\""
            },
            {
              "number": 4340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4340.mp3"
              ],
              "text": "وَجَعَلُوا۟ لَهُۥ مِنْ عِبَادِهِۦ جُزْءًا ۚ إِنَّ ٱلْإِنسَٰنَ لَكَفُورٌۭ مُّبِينٌ",
              "translate_bn": "তারা আল্লাহর বান্দাদের মধ্য থেকে আল্লাহর অংশ স্থির করেছে। বাস্তবিক মানুষ স্পষ্ট অকৃতজ্ঞ।",
              "numberInSurah": 15,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 424,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলূলাহূমিন ‘ইবা-দিহী জুঝআন ইন্নাল ইনছা-না লাকাফূরুম মুবীন।",
              "words_arabic": "وَ جَعَلُوْا/وَجَعَلُواْ/waja'alu//لَهٗ/لَهُۥ/lahu//مِنْ/مِنۡ/min//عِبَادِهٖ/عِبَادِهِۦ/ibadihi//جُزْءًا ؕ/جُزۡءًاۚ/juz'an//اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لَكَفُوْرٌ/لَكَفُورٞ/lakafurun//مُّبِیْنٌؕ۠/مُّبِينٌ/mubinun",
              "words_bangla": "এবং (এ সত্ত্বেও) সাব্যস্ত করেছে তারা//তাঁর জন্যে//মধ্য হ'তে (কতককে)//তাঁর দাসদের//একটি অংশ//নিশ্চয়ই//মানুষ//অকৃতজ্ঞ অবশ্যই//স্পষ্টই"
            },
            {
              "number": 4341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4341.mp3"
              ],
              "text": "أَمِ ٱتَّخَذَ مِمَّا يَخْلُقُ بَنَاتٍۢ وَأَصْفَىٰكُم بِٱلْبَنِينَ",
              "translate_bn": "তিনি কি তাঁর সৃষ্টি থেকে কন্যা সন্তান গ্রহণ করেছেন এবং তোমাদের জন্য মনোনীত করেছেন পুত্র সন্তান?",
              "numberInSurah": 16,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "আমিত্তাখাযা মিম্মা-ইয়াখলুকুবানাতিওঁ ওয়া আসফা-কুম বিলবানীন।",
              "words_arabic": "اَمِ/أَمِ/ami//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//مِمَّا/مِمَّا/mimma//یَخْلُقُ/يَخۡلُقُ/yakhluqu//بَنٰتٍ/بَنَاتٖ/banatin//وَّ اَصْفٰىكُمْ/وَأَصۡفَىٰكُم/wa-asfakum//بِالْبَنِیْنَ /بِٱلۡبَنِينَ/bil-banina",
              "words_bangla": "তবে কি//তিনি গ্রহণ করেছেন//তা হ'তে যা//তিনি সৃষ্টি করেন//অথচ কন্যারূপে//তোমাদেরকে নির্ধারণ করেছেন//পুত্রদের দিয়ে"
            },
            {
              "number": 4342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4342.mp3"
              ],
              "text": "وَإِذَا بُشِّرَ أَحَدُهُم بِمَا ضَرَبَ لِلرَّحْمَٰنِ مَثَلًۭا ظَلَّ وَجْهُهُۥ مُسْوَدًّۭا وَهُوَ كَظِيمٌ",
              "translate_bn": "তারা রহমান আল্লাহর জন্যে যে, কন্যা-সন্তান বর্ণনা করে, যখন তাদের কাউকে তার সংবাদ দেয়া হয়, তখন তার মুখমন্ডল কালো হয়ে যায় এবং ভীষণ মনস্তাপ ভোগ করে।",
              "numberInSurah": 17,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-বুশশিরা আহাদুহুম বিমা-দারাবা লিররাহমা-নি মাছালান জাল্লা ওয়াজহুহূ মুছওয়াদ্দাওঁ ওয়া হুওয়া কাজীম।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//بُشِّرَ/بُشِّرَ/bushira//اَحَدُهُمْ/أَحَدُهُم/ahaduhum//بِمَا/بِمَا/bima//ضَرَبَ/ضَرَبَ/daraba//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//مَثَلًا/مَثَلٗا/mathalan//ظَلَّ/ظَلَّ/zalla//وَجْهُهٗ/وَجۡهُهُۥ/wajhuhu//مُسْوَدًّا/مُسۡوَدّٗا/mus'waddan//وَّ هُوَ/وَهُوَ/wahuwa//كَظِیْمٌ /كَظِيمٌ/kazimun",
              "words_bangla": "অথচ যখন//সুসংবাদ দেওয়া হয়//তাদের কাউকে//ঐ বিষয়ে যা//সে আরোপ করে//দয়াময়ের জন্যে//(কন্যা গ্রহণের) দৃষ্টান্ত হিসেবে//হয়ে যায়//তার মুখমন্ডল//কালো//এ অবস্থায় সে//দুশ্চিন্তাগ্রস্তও (হয়ে যায়)"
            },
            {
              "number": 4343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4343.mp3"
              ],
              "text": "أَوَمَن يُنَشَّؤُا۟ فِى ٱلْحِلْيَةِ وَهُوَ فِى ٱلْخِصَامِ غَيْرُ مُبِينٍۢ",
              "translate_bn": "তারা কি এমন ব্যক্তিকে আল্লাহর জন্যে বর্ণনা করে, যে অলংকারে লালিত-পালিত হয় এবং বিতর্কে কথা বলতে অক্ষম।",
              "numberInSurah": 18,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "আওয়া মাইঁ ইউনাশশাউ ফিল হিলয়াতি ওয়া হুওয়া ফিল খিসা-মি গাইরু মুবীন।",
              "words_arabic": "اَوَ مَنْ/أَوَمَن/awaman//یُّنَشَّؤُا/يُنَشَّؤُاْ/yunasha-u//فِی/فِي/fi//الْحِلْیَةِ/ٱلۡحِلۡيَةِ/al-hil'yati//وَ هُوَ/وَهُوَ/wahuwa//فِی/فِي/fi//الْخِصَامِ/ٱلۡخِصَامِ/al-khisami//غَیْرُ/غَيۡرُ/ghayru//مُبِیْنٍ /مُبِينٖ/mubinin",
              "words_bangla": "কি (আল্লাহর ভাগে সে সন্তান) যে//লালিত পালিত হয়//মধ্যে//অলংকারের//এবং সে//মধ্যে//বিতর্কের//নয়//সুস্পষ্ট"
            },
            {
              "number": 4344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4344.mp3"
              ],
              "text": "وَجَعَلُوا۟ ٱلْمَلَٰٓئِكَةَ ٱلَّذِينَ هُمْ عِبَٰدُ ٱلرَّحْمَٰنِ إِنَٰثًا ۚ أَشَهِدُوا۟ خَلْقَهُمْ ۚ سَتُكْتَبُ شَهَٰدَتُهُمْ وَيُسْـَٔلُونَ",
              "translate_bn": "তারা নারী স্থির করে ফেরেশতাগণকে, যারা আল্লাহর বান্দা। তারা কি তাদের সৃষ্টি প্রত্যক্ষ করেছে? এখন তাদের দাবী লিপিবদ্ধ করা হবে এবং তাদের জিজ্ঞাসা করা হবে।",
              "numberInSurah": 19,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়াজা‘আলুল মালাইকাতাল্লাযীনা হুম ‘ইবা-দুররাহমা-নি ইনা-ছান আশাহিদূ খালকাহুম ছাতুকতাবুশাহা-দাতুহুম ওয়া ইউছআলূন।",
              "words_arabic": "وَ جَعَلُوا/وَجَعَلُواْ/waja'alu//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//عِبٰدُ/عِبَٰدُ/ibadu//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//اِنَاثًا ؕ/إِنَٰثًاۚ/inathan//اَشَهِدُوْا/أَشَهِدُواْ/ashahidu//خَلْقَهُمْ ؕ/خَلۡقَهُمۡۚ/khalqahum//سَتُكْتَبُ/سَتُكۡتَبُ/satuk'tabu//شَهَادَتُهُمْ/شَهَٰدَتُهُمۡ/shahadatuhum//وَ یُسْـَٔلُوْنَ /وَيُسۡـَٔلُونَ/wayus'aluna",
              "words_bangla": "এবং তারা গণ্য করে//ফেরেশতাগণকে//যারা (এমন যে)//তারা//দাস//দয়াময়ের//নারীরূপে//কি তারা প্রত্যক্ষ করেছে//তাদের সৃষ্টি//অচিরেই লিখে রাখা হবে//তাদের সাক্ষ্য//এবং তাদের জিজ্ঞেস করা হবে"
            },
            {
              "number": 4345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4345.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْ شَآءَ ٱلرَّحْمَٰنُ مَا عَبَدْنَٰهُم ۗ مَّا لَهُم بِذَٰلِكَ مِنْ عِلْمٍ ۖ إِنْ هُمْ إِلَّا يَخْرُصُونَ",
              "translate_bn": "তারা বলে, রহমান আল্লাহ ইচছা না করলে আমরা ওদের পূজা করতাম না। এ বিষয়ে তারা কিছুই জানে না। তারা কেবল অনুমানে কথা বলে।",
              "numberInSurah": 20,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাও শাআররাহমা-নুমা-‘আবাদনা-হুম মা-লাহুম বিযা-লিকা মিন ‘ইলমিন ইন হুম ইল্লা-ইয়াখরুসূন।\r\n",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ/لَوۡ/law//شَآءَ/شَآءَ/shaa//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//مَا/مَا/ma//عَبَدْنٰهُمْ ؕ/عَبَدۡنَٰهُمۗ/abadnahum//مَا/مَّا/ma//لَهُمْ/لَهُم/lahum//بِذٰلِكَ/بِذَٰلِكَ/bidhalika//مِنْ/مِنۡ/min//عِلْمٍ ۗ/عِلۡمٍۖ/il'min//اِنْ/إِنۡ/in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//یَخْرُصُوْنَؕ/يَخۡرُصُونَ/yakhrusuna",
              "words_bangla": "এবং তারা বলে//\"যদি//ইচ্ছে করতেন//দয়াময়//না\"//তাদের আমরা পূজা করতাম\"//নেই//তাদের জন্যে//এই সম্পর্কে//কোনো//জ্ঞান//না//তারা//এ ব্যতীত//আন্দাজ অনুমান করে"
            },
            {
              "number": 4346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4346.mp3"
              ],
              "text": "أَمْ ءَاتَيْنَٰهُمْ كِتَٰبًۭا مِّن قَبْلِهِۦ فَهُم بِهِۦ مُسْتَمْسِكُونَ",
              "translate_bn": "আমি কি তাদেরকে কোরআনের পূর্বে কোন কিতাব দিয়েছি, অতঃপর তারা তাকে আঁকড়ে রেখেছে?",
              "numberInSurah": 21,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "আম আ-তাইনা-হুম কিতা-বাম মিন কাবলিহী ফাহুম বিহী মুছতামছিকূন।",
              "words_arabic": "اَمْ/أَمۡ/am//اٰتَیْنٰهُمْ/ءَاتَيۡنَٰهُمۡ/ataynahum//كِتٰبًا/كِتَٰبٗا/kitaban//مِّنْ/مِّن/min//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//فَهُمْ/فَهُم/fahum//بِهٖ/بِهِۦ/bihi//مُسْتَمْسِكُوْنَ /مُسۡتَمۡسِكُونَ/mus'tamsikuna",
              "words_bangla": "তবে কি//তাদেরকে আমরা দিয়েছি//কোন কিতাব (তার স্বপক্ষে)//থেকে//এর পূর্বে//অতঃপর তারা//তাকে//দৃঢ়ভাবে ধারণকারী"
            },
            {
              "number": 4347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4347.mp3"
              ],
              "text": "بَلْ قَالُوٓا۟ إِنَّا وَجَدْنَآ ءَابَآءَنَا عَلَىٰٓ أُمَّةٍۢ وَإِنَّا عَلَىٰٓ ءَاثَٰرِهِم مُّهْتَدُونَ",
              "translate_bn": "বরং তারা বলে, আমরা আমাদের পূর্বপুরুষদেরকে পেয়েছি এক পথের পথিক এবং আমরা তাদেরই পদাংক অনুসরণ করে পথপ্রাপ্ত।",
              "numberInSurah": 22,
              "juz": 25,
              "manzil": 6,
              "page": 490,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "বাল কা-লূইন্না-ওয়াজাদনাআ-বাআনা ‘আলাউম্মাতিওঁ ওয়া ইন্না-‘আলাআছা-রিহিম মুহতাদূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//وَجَدْنَاۤ/وَجَدۡنَآ/wajadna//اٰبَآءَنَا/ءَابَآءَنَا/abaana//عَلٰۤی/عَلَىٰٓ/ala//اُمَّةٍ/أُمَّةٖ/ummatin//وَّ اِنَّا/وَإِنَّا/wa-inna//عَلٰۤی/عَلَىٰٓ/ala//اٰثٰرِهِمْ/ءَاثَٰرِهِم/atharihim//مُّهْتَدُوْنَ /مُّهۡتَدُونَ/muh'taduna",
              "words_bangla": "(না) বরং//তারা বলে//\"নিশ্চয়ই আমরা//আমরা পেয়েছি//আমাদের বাপ-দাদাদেরকে//উপর//(এই) মতাদর্শের//ও নিশ্চয়ই আমরা//উপর//তাদের পদাঙ্কসমূহের//সঠিক পথপ্রাপ্ত\""
            },
            {
              "number": 4348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4348.mp3"
              ],
              "text": "وَكَذَٰلِكَ مَآ أَرْسَلْنَا مِن قَبْلِكَ فِى قَرْيَةٍۢ مِّن نَّذِيرٍ إِلَّا قَالَ مُتْرَفُوهَآ إِنَّا وَجَدْنَآ ءَابَآءَنَا عَلَىٰٓ أُمَّةٍۢ وَإِنَّا عَلَىٰٓ ءَاثَٰرِهِم مُّقْتَدُونَ",
              "translate_bn": "এমনিভাবে আপনার পূর্বে আমি যখন কোন জনপদে কোন সতর্ককারী প্রেরণ করেছি, তখনই তাদের বিত্তশালীরা বলেছে, আমরা আমাদের পূর্বপুরুষদেরকে পেয়েছি এক পথের পথিক এবং আমরা তাদেরই পদাংক অনুসরণ করে চলছি।",
              "numberInSurah": 23,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 425,
              "hizbQuarter": 196,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযা-লিকা মাআরছালনা-মিন কাবলিকা ফী কারইয়াতিম মিন নাযীরিন ইল্লা-কালা মুতরাফূহা ইন্না-ওয়াজাদনাআ-বাআনা ‘আলাউম্মাতিওঁ ওয়া ইন্না-‘আলা আ-ছা-রিহিম মুকতাদূ ন।",
              "words_arabic": "وَ كَذٰلِكَ/وَكَذَٰلِكَ/wakadhalika//مَاۤ/مَآ/ma//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//فِیْ/فِي/fi//قَرْیَةٍ/قَرۡيَةٖ/qaryatin//مِّنْ/مِّن/min//نَّذِیْرٍ/نَّذِيرٍ/nadhirin//اِلَّا/إِلَّا/illa//قَالَ/قَالَ/qala//مُتْرَفُوْهَاۤ ۙ/مُتۡرَفُوهَآ/mut'rafuha//اِنَّا/إِنَّا/inna//وَجَدْنَاۤ/وَجَدۡنَآ/wajadna//اٰبَآءَنَا/ءَابَآءَنَا/abaana//عَلٰۤی/عَلَىٰٓ/ala//اُمَّةٍ/أُمَّةٖ/ummatin//وَّ اِنَّا/وَإِنَّا/wa-inna//عَلٰۤی/عَلَىٰٓ/ala//اٰثٰرِهِمْ/ءَاثَٰرِهِم/atharihim//مُّقْتَدُوْنَ /مُّقۡتَدُونَ/muq'taduna",
              "words_bangla": "এবং এভাবে//না//আমরা পাঠিয়েছি//মধ্য হতে//তোমার পূর্বে//মধ্যে//কোন জনপদের//কোনো//সতর্ককারী//এ ব্যতীত যে//বলেছিলো//তার বিত্তশালীরা//\"নিশ্চয়ই আমরা//আমরা পেয়েছি//আমাদের বাপ-দাদাদেরকে//উপর//(এই) মতাদর্শের//এবং নিশ্চয়ই আমরা//উপর//তাদের পদাঙ্কসমূহের//অনুসরণকারী\""
            },
            {
              "number": 4349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4349.mp3"
              ],
              "text": "۞ قَٰلَ أَوَلَوْ جِئْتُكُم بِأَهْدَىٰ مِمَّا وَجَدتُّمْ عَلَيْهِ ءَابَآءَكُمْ ۖ قَالُوٓا۟ إِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَٰفِرُونَ",
              "translate_bn": "সে বলত, তোমরা তোমাদের পূর্বপুরুষদেরকে যে বিষয়ের উপর পেয়েছ, আমি যদি তদপেক্ষা উত্তম বিষয় নিয়ে তোমাদের কাছে এসে থাকি, তবুও কি তোমরা তাই বলবে? তারা বলত তোমরা যে বিষয়সহ প্রেরিত হয়েছ, তা আমরা মানব না।",
              "numberInSurah": 24,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 425,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "কা-লা আওয়ালাও জি’তুকুম বিআহ দা-মিম্মা-ওয়াজাত্তুম ‘আলাইহি আ-বাআকুম কালূইন্না-বিমাউরছিলতুম বিহী কা-ফিরূন।",
              "words_arabic": "قٰلَ/۞قَٰلَ/qala//اَوَ لَوْ/أَوَلَوۡ/awalaw//جِئْتُكُمْ/جِئۡتُكُم/ji'tukum//بِاَهْدٰی/بِأَهۡدَىٰ/bi-ahda//مِمَّا/مِمَّا/mimma//وَجَدْتُّمْ/وَجَدتُّمۡ/wajadttum//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰبَآءَكُمْ ؕ/ءَابَآءَكُمۡۖ/abaakum//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//بِمَاۤ/بِمَآ/bima//اُرْسِلْتُمْ/أُرۡسِلۡتُم/ur'sil'tum//بِهٖ/بِهِۦ/bihi//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "(প্রত্যেক নাবী) বলতো//\"যদিও কি//তোমাদের কাছে আসি//নিয়ে অধিক নির্ভুল পথ//তার চেয়ে যা//তোমরা পেয়েছো//যার উপর//তোমাদের বাপ-দাদাদেরকে\"//তারা বলতো//\"নিশ্চয়ই আমরা//যা নিয়ে//তোমরা প্রেরিত হয়েছো//তাকে//প্রত্যাখানকারী\""
            },
            {
              "number": 4350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4350.mp3"
              ],
              "text": "فَٱنتَقَمْنَا مِنْهُمْ ۖ فَٱنظُرْ كَيْفَ كَانَ عَٰقِبَةُ ٱلْمُكَذِّبِينَ",
              "translate_bn": "অতঃপর আমি তাদের কাছ থেকে প্রতিশোধ নিয়েছি। অতএব দেখুন, মিথ্যারোপকারীদের পরিণাম কিরূপ হয়েছে।",
              "numberInSurah": 25,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 425,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফানতাকামনা-মিনহুম ফানজুর কাইফা কা-না ‘আ-কিবাতুল মুকাযযিবীন।",
              "words_arabic": "فَانْتَقَمْنَا/فَٱنتَقَمۡنَا/fa-intaqamna//مِنْهُمْ/مِنۡهُمۡۖ/min'hum//فَانْظُرْ/فَٱنظُرۡ/fa-unzur//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الْمُكَذِّبِیْنَ۠/ٱلۡمُكَذِّبِينَ/al-mukadhibina",
              "words_bangla": "আমরা তখন প্রতিশোধ নিয়েছি//তাদের থেকে//অতঃপর দেখো//কেমন//ছিলো//পরিণাম//মিথ্যারোপকারীদের (সত্য অমান্যকারীদের)"
            },
            {
              "number": 4351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4351.mp3"
              ],
              "text": "وَإِذْ قَالَ إِبْرَٰهِيمُ لِأَبِيهِ وَقَوْمِهِۦٓ إِنَّنِى بَرَآءٌۭ مِّمَّا تَعْبُدُونَ",
              "translate_bn": "যখন ইব্রাহীম তার পিতা ও সম্প্রদায়কে বলল, তোমরা যাদের পূজা কর, তাদের সাথে আমার কোন সম্পর্ক নেই।",
              "numberInSurah": 26,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা ইবরাহীমুলিআবীহি ওয়া কাওমিহীইন্নানী বারাউম মিম্মা-তা‘বুদূন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//اِبْرٰهِیْمُ/إِبۡرَٰهِيمُ/ib'rahimu//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//وَ قَوْمِهٖۤ/وَقَوۡمِهِۦٓ/waqawmihi//اِنَّنِیْ/إِنَّنِي/innani//بَرَآءٌ/بَرَآءٞ/baraon//مِّمَّا/مِّمَّا/mimma//تَعْبُدُوْنَۙ/تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "এবং (স্মরণ করো) যখন//বলেছিলো//ইব্রাহীম//তার পিতাকে//ও তার জাতিকে//\"আমি নিশ্চয়ই//সম্পর্কমুক্ত//তা হ'তে যার//পূজা করছো তোমরা"
            },
            {
              "number": 4352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4352.mp3"
              ],
              "text": "إِلَّا ٱلَّذِى فَطَرَنِى فَإِنَّهُۥ سَيَهْدِينِ",
              "translate_bn": "তবে আমার সম্পর্ক তাঁর সাথে যিনি আমাকে সৃষ্টি করেছেন। অতএব, তিনিই আমাকে সৎপথ প্রদর্শন করবেন।",
              "numberInSurah": 27,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযী ফাতারানী ফাইন্নাহূছাইয়াহদীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْ/ٱلَّذِي/alladhi//فَطَرَنِیْ/فَطَرَنِي/fatarani//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//سَیَهْدِیْنِ /سَيَهۡدِينِ/sayahdini",
              "words_bangla": "কিন্তু (এবাদত করি)//(তার) যিনি//আমাকে সৃষ্টি করেছেন//সুতরাং নিশ্চয়ই তিনি//শীঘ্রই আমাকে পথ দেখাবেন\""
            },
            {
              "number": 4353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4353.mp3"
              ],
              "text": "وَجَعَلَهَا كَلِمَةًۢ بَاقِيَةًۭ فِى عَقِبِهِۦ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "এ কথাটিকে সে অক্ষয় বাণীরূপে তার সন্তানদের মধ্যে রেখে গেছে, যাতে তারা আল্লাহর দিকেই আকৃষ্ট থাকে।",
              "numberInSurah": 28,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলাহা-কালিমাতাম বা-কিয়াতান ফী ‘আকিবিহী লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ جَعَلَهَا/وَجَعَلَهَا/waja'alaha//كَلِمَةًۢ/كَلِمَةَۢ/kalimatan//بَاقِیَةً/بَاقِيَةٗ/baqiyatan//فِیْ/فِي/fi//عَقِبِهٖ/عَقِبِهِۦ/aqibihi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং তা সে রেখে গিয়েছে//একটি বাণী হিসেবে//চিরন্তন//মধ্যে//তার পরবর্তীদের//তারা যেন//ফিরে আসে"
            },
            {
              "number": 4354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4354.mp3"
              ],
              "text": "بَلْ مَتَّعْتُ هَٰٓؤُلَآءِ وَءَابَآءَهُمْ حَتَّىٰ جَآءَهُمُ ٱلْحَقُّ وَرَسُولٌۭ مُّبِينٌۭ",
              "translate_bn": "পরন্ত আমিই এদেরকে ও এদের পূর্বপুরুষদেরকে জীবনোপভোগ করতে দিয়েছি, অবশেষে তাদের কাছে সত্য ও স্পষ্ট বর্ণনাকারী রসূল আগমন করেছে।",
              "numberInSurah": 29,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "বাল মাত্তা‘তুহাউলাইওয়াআ-বাআহুম হাত্তা-জাআহুমুল হাক্কু ওয়া রাছুলুম মুবীন।",
              "words_arabic": "بَلْ/بَلۡ/bal//مَتَّعْتُ/مَتَّعۡتُ/matta'tu//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//وَ اٰبَآءَهُمْ/وَءَابَآءَهُمۡ/waabaahum//حَتّٰی/حَتَّىٰ/hatta//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//وَ رَسُوْلٌ/وَرَسُولٞ/warasulun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "বরং//আমি ভোগের সুযোগ দিয়েছি//তাদেরকে//ও তাদের পূর্বপুরুষদেরকে//অবশেষে//এসেছে তাদের (কাছে)//প্রকৃত সত্য//এবং রাসূল//সুস্পষ্ট"
            },
            {
              "number": 4355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4355.mp3"
              ],
              "text": "وَلَمَّا جَآءَهُمُ ٱلْحَقُّ قَالُوا۟ هَٰذَا سِحْرٌۭ وَإِنَّا بِهِۦ كَٰفِرُونَ",
              "translate_bn": "যখন সত্য তাদের কাছে আগমন করল, তখন তারা বলল, এটা যাদু, আমরা একে মানি না।",
              "numberInSurah": 30,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআহুমুল হাক্কুকা-লূহা-যা-ছিহরুওঁ ওয়া ইন্না-বিহী কা-ফিরূন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْحَقُّ/ٱلۡحَقُّ/al-haqu//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//سِحْرٌ/سِحۡرٞ/sih'run//وَّ اِنَّا/وَإِنَّا/wa-inna//بِهٖ/بِهِۦ/bihi//كٰفِرُوْنَ /كَٰفِرُونَ/kafiruna",
              "words_bangla": "এবং যখন//আসলো তাদের কাছে//প্রকৃত সত্য//তারা বললো//\"এটা//যাদু//এবং নিশ্চয়ই আমরা//সে বিষয়ে//অস্বীকারকারী\""
            },
            {
              "number": 4356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4356.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْلَا نُزِّلَ هَٰذَا ٱلْقُرْءَانُ عَلَىٰ رَجُلٍۢ مِّنَ ٱلْقَرْيَتَيْنِ عَظِيمٍ",
              "translate_bn": "তারা বলে, কোরআন কেন দুই জনপদের কোন প্রধান ব্যক্তির উপর অবতীর্ণ হল না?",
              "numberInSurah": 31,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাওলা-নুঝঝিলা হা-যাল কুরআন-নু‘আলা-রাজুলিম মিনাল কারইয়াতাইনি ‘আজীম।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ لَا/لَوۡلَا/lawla//نُزِّلَ/نُزِّلَ/nuzzila//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//عَلٰی/عَلَىٰ/ala//رَجُلٍ/رَجُلٖ/rajulin//مِّنَ/مِّنَ/mina//الْقَرْیَتَیْنِ/ٱلۡقَرۡيَتَيۡنِ/al-qaryatayni//عَظِیْمٍ /عَظِيمٍ/azimin",
              "words_bangla": "এবং তারা বললো//\"কেন না//অবতীর্ণ হলো//এই//কুরআন//উপর//এক ব্যক্তির//মধ্য হ'তে//(মাক্কা ও তায়েফের) দু'টি জনপদের//(যে) বড় বা প্রতিপত্তিশালীর\""
            },
            {
              "number": 4357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4357.mp3"
              ],
              "text": "أَهُمْ يَقْسِمُونَ رَحْمَتَ رَبِّكَ ۚ نَحْنُ قَسَمْنَا بَيْنَهُم مَّعِيشَتَهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَرَفَعْنَا بَعْضَهُمْ فَوْقَ بَعْضٍۢ دَرَجَٰتٍۢ لِّيَتَّخِذَ بَعْضُهُم بَعْضًۭا سُخْرِيًّۭا ۗ وَرَحْمَتُ رَبِّكَ خَيْرٌۭ مِّمَّا يَجْمَعُونَ",
              "translate_bn": "তারা কি আপনার পালনকর্তার রহমত বন্টন করে? আমি তাদের মধ্যে তাদের জীবিকা বন্টন করেছি পার্থিব জীবনে এবং একের মর্যাদাকে অপরের উপর উন্নীত করেছি, যাতে একে অপরকে সেবক রূপে গ্রহণ করে। তারা যা সঞ্চয় করে, আপনার পালনকর্তার রহমত তদপেক্ষা উত্তম।",
              "numberInSurah": 32,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "আহুম ইয়াকছিমূনা রাহমাতা রাব্বিকা নাহনুকাছামনা-বাইনাহুম মা‘ঈশাতাহুম ফিল হায়া-তিদ্দুনইয়া-ওয়া রাফা‘না-বা‘দাহুম ফাওকা বা‘দিন দারাজা-তিল লিইয়াত্তাখিযা বা‘দুহুম বা‘দান ছুখরিইইয়াওঁ ওয়া রাহমাতুরাব্বিকা খাইরুম মিম্মা-ইয়াজমা‘ঊন।",
              "words_arabic": "اَهُمْ/أَهُمۡ/ahum//یَقْسِمُوْنَ/يَقۡسِمُونَ/yaqsimuna//رَحْمَتَ/رَحۡمَتَ/rahmata//رَبِّكَ ؕ/رَبِّكَۚ/rabbika//نَحْنُ/نَحۡنُ/nahnu//قَسَمْنَا/قَسَمۡنَا/qasamna//بَیْنَهُمْ/بَيۡنَهُم/baynahum//مَّعِیْشَتَهُمْ/مَّعِيشَتَهُمۡ/ma'ishatahum//فِی/فِي/fi//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا/ٱلدُّنۡيَاۚ/al-dun'ya//وَ رَفَعْنَا/وَرَفَعۡنَا/warafa'na//بَعْضَهُمْ/بَعۡضَهُمۡ/ba'dahum//فَوْقَ/فَوۡقَ/fawqa//بَعْضٍ/بَعۡضٖ/ba'din//دَرَجٰتٍ/دَرَجَٰتٖ/darajatin//لِّیَتَّخِذَ/لِّيَتَّخِذَ/liyattakhidha//بَعْضُهُمْ/بَعۡضُهُم/ba'duhum//بَعْضًا/بَعۡضٗا/ba'dan//سُخْرِیًّا ؕ/سُخۡرِيّٗاۗ/sukh'riyyan//وَ رَحْمَتُ/وَرَحۡمَتُ/warahmatu//رَبِّكَ/رَبِّكَ/rabbika//خَیْرٌ/خَيۡرٞ/khayrun//مِّمَّا/مِّمَّا/mimma//یَجْمَعُوْنَ /يَجۡمَعُونَ/yajma'una",
              "words_bangla": "(তাদেরকে বলো) তারা কি//বণ্টন করে//(দয়া-করুণা) অনুগ্রহ//তোমার রবের//আমরা//বণ্টন করি//তাদের মাঝে//তাদের জীবিকা//মধ্যে//জীবনের//পার্থিব//ও আমরা উন্নত করি//তাদের কাউকে//উপর//কারও//মর্যাদাসমূহে//গ্রহণ করে যেন//তাদের একে//অপরকে//সেবকরূপে//আর অনুগ্রহ//তোমার রবের//উত্তম//তা হ'তে যা//তারা জমা করছে"
            },
            {
              "number": 4358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4358.mp3"
              ],
              "text": "وَلَوْلَآ أَن يَكُونَ ٱلنَّاسُ أُمَّةًۭ وَٰحِدَةًۭ لَّجَعَلْنَا لِمَن يَكْفُرُ بِٱلرَّحْمَٰنِ لِبُيُوتِهِمْ سُقُفًۭا مِّن فِضَّةٍۢ وَمَعَارِجَ عَلَيْهَا يَظْهَرُونَ",
              "translate_bn": "যদি সব মানুষের এক মতাবলম্বী হয়ে যাওয়ার আশংকা না থাকত, তবে যারা দয়াময় আল্লাহকে অস্বীকার করে আমি তাদেরকে দিতাম তাদের গৃহের জন্যে রৌপ্য নির্মিত ছাদ ও সিঁড়ি, যার উপর তারা চড়ত।",
              "numberInSurah": 33,
              "juz": 25,
              "manzil": 6,
              "page": 491,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলাআইঁ ইয়াকূনান্না-ছুউম্মাতাওঁ ওয়া-হিদাতাল লাজা‘আলনা-লিমাইঁ ইয়াকফুরু বিররাহমা-নি লিবুইঊতিহিম ছুকু ফাম মিন ফিদ্দাতিওঁ ওয়া মা‘আ-রিজা ‘আলাইহাইয়াজহারূন।",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اَنْ/أَن/an//یَّكُوْنَ/يَكُونَ/yakuna//النَّاسُ/ٱلنَّاسُ/al-nasu//اُمَّةً/أُمَّةٗ/ummatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//لَّجَعَلْنَا/لَّجَعَلۡنَا/laja'alna//لِمَنْ/لِمَن/liman//یَّكْفُرُ/يَكۡفُرُ/yakfuru//بِالرَّحْمٰنِ/بِٱلرَّحۡمَٰنِ/bil-rahmani//لِبُیُوْتِهِمْ/لِبُيُوتِهِمۡ/libuyutihim//سُقُفًا/سُقُفٗا/suqufan//مِّنْ/مِّن/min//فِضَّةٍ/فِضَّةٖ/fiddatin//وَّ مَعَارِجَ/وَمَعَارِجَ/wama'arija//عَلَیْهَا/عَلَيۡهَا/alayha//یَظْهَرُوْنَۙ/يَظۡهَرُونَ/yazharuna",
              "words_bangla": "এবং না যদি (আশংকা থাকতো)//যে//হবে//সব মানুষ//মতাবলম্বী//একই (কুফরীর ক্ষেত্রে)//দিতাম অবশ্যই আমরা বানিয়ে//(তাদের) জন্যে যারা//অস্বীকার করে//দয়াময়কে//জন্যে তাদের ঘরগুলোর//ছাদসমূহকে//দিয়ে//রূপা//ও সিঁড়িগুলো//যার উপর//তারা চড়ে"
            },
            {
              "number": 4359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4359.mp3"
              ],
              "text": "وَلِبُيُوتِهِمْ أَبْوَٰبًۭا وَسُرُرًا عَلَيْهَا يَتَّكِـُٔونَ",
              "translate_bn": "এবং তাদের গৃহের জন্যে দরজা দিতাম এবং পালংক দিতাম যাতে তারা হেলান দিয়ে বসত।",
              "numberInSurah": 34,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিবুইউতিহিম আবওয়া-বাওঁ ওয়া ছুরুরান ‘আলাইহা-ইয়াত্তাকিঊন।",
              "words_arabic": "وَ لِبُیُوْتِهِمْ/وَلِبُيُوتِهِمۡ/walibuyutihim//اَبْوَابًا/أَبۡوَٰبٗا/abwaban//وَّ سُرُرًا/وَسُرُرًا/wasururan//عَلَیْهَا/عَلَيۡهَا/alayha//یَتَّكِـُٔوْنَۙ/يَتَّكِـُٔونَ/yattakiuna",
              "words_bangla": "ও জন্যে তাদের ঘরগুলোর//দরজাসমূহকে//ও পালঙ্কসমূহকে//যার উপর//তারা হেলান দেয়"
            },
            {
              "number": 4360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4360.mp3"
              ],
              "text": "وَزُخْرُفًۭا ۚ وَإِن كُلُّ ذَٰلِكَ لَمَّا مَتَٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَٱلْءَاخِرَةُ عِندَ رَبِّكَ لِلْمُتَّقِينَ",
              "translate_bn": "এবং স্বর্ণনির্মিতও দিতাম। এগুলো সবই তো পার্থিব জীবনের ভোগ সামগ্রী মাত্র। আর পরকাল আপনার পালনকর্তার কাছে তাঁদের জন্যেই যারা ভয় করে।",
              "numberInSurah": 35,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 426,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া যুখরুফাওঁ ওয়া ইন কুল্লুযা-লিকা লাম্মা-মাতা‘উল হায়াতিদ্দুনইয়া- ওয়াল আ-খিরাতু‘ইনদা রাব্বিকা লিলমুত্তাকীন।",
              "words_arabic": "وَ زُخْرُفًا ؕ/وَزُخۡرُفٗاۚ/wazukh'rufan//وَ اِنْ/وَإِن/wa-in//كُلُّ/كُلُّ/kullu//ذٰلِكَ/ذَٰلِكَ/dhalika//لَمَّا/لَمَّا/lamma//مَتَاعُ/مَتَٰعُ/mata'u//الْحَیٰوةِ/ٱلۡحَيَوٰةِ/al-hayati//الدُّنْیَا ؕ/ٱلدُّنۡيَاۚ/al-dun'ya//وَ الْاٰخِرَةُ/وَٱلۡأٓخِرَةُ/wal-akhiratu//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//لِلْمُتَّقِیْنَ۠/لِلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "ও সোনার (বানাতাম)//এবং নয়//প্রতি//এসব//এ ব্যতীত//ভোগসম্ভার//জীবনের//পার্থিব//আর পরকালই//কাছে//তোমার রবের//মুত্তাকীদের জন্য (নির্দিষ্ট)"
            },
            {
              "number": 4361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4361.mp3"
              ],
              "text": "وَمَن يَعْشُ عَن ذِكْرِ ٱلرَّحْمَٰنِ نُقَيِّضْ لَهُۥ شَيْطَٰنًۭا فَهُوَ لَهُۥ قَرِينٌۭ",
              "translate_bn": "যে ব্যক্তি দয়াময় আল্লাহর স্মরণ থেকে চোখ ফিরিয়ে নেয়, আমি তার জন্যে এক শয়তান নিয়োজিত করে দেই, অতঃপর সে-ই হয় তার সঙ্গী।",
              "numberInSurah": 36,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়া‘শু ‘আন যিকরির রাহমা-নি নুকাইয়িদ লাহূশাইতা-নান ফাহুওয়া লাহূ কারীন।\r\n",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْشُ/يَعۡشُ/ya'shu//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//نُقَیِّضْ/نُقَيِّضۡ/nuqayyid//لَهٗ/لَهُۥ/lahu//شَیْطٰنًا/شَيۡطَٰنٗا/shaytanan//فَهُوَ/فَهُوَ/fahuwa//لَهٗ/لَهُۥ/lahu//قَرِیْنٌ /قَرِينٞ/qarinun",
              "words_bangla": "এবং যে//বিমুখ হয়//হ'তে//স্মরণ//দয়াময়ের//নিয়োজিত করি আমরা//তার জন্যে//শয়তানকে//তখন সে//তার জন্যে হয়//সঙ্গী"
            },
            {
              "number": 4362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4362.mp3"
              ],
              "text": "وَإِنَّهُمْ لَيَصُدُّونَهُمْ عَنِ ٱلسَّبِيلِ وَيَحْسَبُونَ أَنَّهُم مُّهْتَدُونَ",
              "translate_bn": "শয়তানরাই মানুষকে সৎপথে বাধা দান করে, আর মানুষ মনে করে যে, তারা সৎপথে রয়েছে।",
              "numberInSurah": 37,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহুম লাইয়াসুদ্দূনাহুম ‘আনিছছাবীলি ওয়া ইয়াহছাবূনা আন্নাহুম মুহতাদূন।",
              "words_arabic": "وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَیَصُدُّوْنَهُمْ/لَيَصُدُّونَهُمۡ/layasuddunahum//عَنِ/عَنِ/ani//السَّبِیْلِ/ٱلسَّبِيلِ/al-sabili//وَ یَحْسَبُوْنَ/وَيَحۡسَبُونَ/wayahsabuna//اَنَّهُمْ/أَنَّهُم/annahum//مُّهْتَدُوْنَ /مُّهۡتَدُونَ/muh'taduna",
              "words_bangla": "এবং নিশ্চয়ই তারা//তাদেরকে বাধা দেয় অবশ্যই//হ'তে//(হেদায়াতের) পথ//ও তারা মনে করে//যে তারা//সঠিক পথপ্রাপ্ত"
            },
            {
              "number": 4363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4363.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا جَآءَنَا قَالَ يَٰلَيْتَ بَيْنِى وَبَيْنَكَ بُعْدَ ٱلْمَشْرِقَيْنِ فَبِئْسَ ٱلْقَرِينُ",
              "translate_bn": "অবশেষে যখন সে আমার কাছে আসবে, তখন সে শয়তানকে বলবে, হায়, আমার ও তোমার মধ্যে যদি পূর্ব-পশ্চিমের দূরত্ব থাকত। কত হীন সঙ্গী সে।",
              "numberInSurah": 38,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "হাত্তাইযা-জাআনা কা-লা ইয়া-লাইতা বাইনী ওয়া বাইনাকা বু‘দাল মাশরিকাইনি ফাবি‘ছাল কারীন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//جَآءَنَا/جَآءَنَا/jaana//قَالَ/قَالَ/qala//یٰلَیْتَ/يَٰلَيۡتَ/yalayta//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكَ/وَبَيۡنَكَ/wabaynaka//بُعْدَ/بُعۡدَ/bu'da//الْمَشْرِقَیْنِ/ٱلۡمَشۡرِقَيۡنِ/al-mashriqayni//فَبِئْسَ/فَبِئۡسَ/fabi'sa//الْقَرِیْنُ /ٱلۡقَرِينُ/al-qarinu",
              "words_bangla": "শেষপর্যন্ত//যখন//আমাদের কাছে আসবে//বলবে (শয়তানকে)//\"হায়//আমার মাঝে//ও তোমার মাঝে (থাকতো)//দুরত্ব//পূর্ব ও পশ্চিমের\"//অতএব কত নিকৃষ্ট//সঙ্গী (শয়তান)"
            },
            {
              "number": 4364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4364.mp3"
              ],
              "text": "وَلَن يَنفَعَكُمُ ٱلْيَوْمَ إِذ ظَّلَمْتُمْ أَنَّكُمْ فِى ٱلْعَذَابِ مُشْتَرِكُونَ",
              "translate_bn": "তোমরা যখন কুফর করছিলে, তখন তোমাদের আজকের আযাবে শরীক হওয়া কোন কাজে আসবে না।",
              "numberInSurah": 39,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইঁ ইয়ানফা‘আকুমুল ইয়াওমা ইযজালামতুম আন্নাকুম ফিল ‘আযা-বি মুশতারিকূন।",
              "words_arabic": "وَ لَنْ/وَلَن/walan//یَّنْفَعَكُمُ/يَنفَعَكُمُ/yanfa'akumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//اِذْ/إِذ/idh//ظَّلَمْتُمْ/ظَّلَمۡتُمۡ/zalamtum//اَنَّكُمْ/أَنَّكُمۡ/annakum//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//مُشْتَرِكُوْنَ /مُشۡتَرِكُونَ/mush'tarikuna",
              "words_bangla": "এবং (বলা হবে) কখনও না//তোমাদের কল্যাণ দিবে//আজ (তোমাদের অনুতাপ)//যখন//তোমরা সীমালঙ্ঘন করেছো//(এও) যে তোমরা//মধ্যে হবে//শাস্তির//(তোমরা ও শয়তান) সমঅংশ গ্রহণকারী"
            },
            {
              "number": 4365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4365.mp3"
              ],
              "text": "أَفَأَنتَ تُسْمِعُ ٱلصُّمَّ أَوْ تَهْدِى ٱلْعُمْىَ وَمَن كَانَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "আপনি কি বধিরকে শোনাতে পারবেন? অথবা যে অন্ধ ও যে স্পষ্ট পথ ভ্রষ্টতায় লিপ্ত, তাকে পথ প্রদর্শণ করতে পারবেন?",
              "numberInSurah": 40,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "আফাআনতা তুছমি‘উস সুম্মা আও তাহ দিল ‘উমইয়া ওয়া মান কা-না ফী দালা-লিম মুবীন।\r\n",
              "words_arabic": "اَفَاَنْتَ/أَفَأَنتَ/afa-anta//تُسْمِعُ/تُسۡمِعُ/tus'mi'u//الصُّمَّ/ٱلصُّمَّ/al-suma//اَوْ/أَوۡ/aw//تَهْدِی/تَهۡدِي/tahdi//الْعُمْیَ/ٱلۡعُمۡيَ/al-'um'ya//وَ مَنْ/وَمَن/waman//كَانَ/كَانَ/kana//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "(হে নাবী) তুমি তবে কি//শুনাবে//বধিরকে//বা//পথ দেখাবে//অন্ধকে//এবং (তাকে) যে//আছে//মধ্যে//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 4366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4366.mp3"
              ],
              "text": "فَإِمَّا نَذْهَبَنَّ بِكَ فَإِنَّا مِنْهُم مُّنتَقِمُونَ",
              "translate_bn": "অতঃপর আমি যদি আপনাকে নিয়ে যাই, তবু আমি তাদের কাছে থেকে প্রতিশোধ নেব।",
              "numberInSurah": 41,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফাইম্মা-নাযহাবান্না বিকা ফাইন্না-মিনহুম মুনতাকিমূন।",
              "words_arabic": "فَاِمَّا/فَإِمَّا/fa-imma//نَذْهَبَنَّ/نَذۡهَبَنَّ/nadhhabanna//بِكَ/بِكَ/bika//فَاِنَّا/فَإِنَّا/fa-inna//مِنْهُمْ/مِنۡهُم/min'hum//مُّنْتَقِمُوْنَۙ/مُّنتَقِمُونَ/muntaqimuna",
              "words_bangla": "সুতরাং যদি//আমরা উঠিয়ে নিই//তোমাকে//নিশ্চয় তবুও আমরা//তাদের হাতে//প্রতিশোধ গ্রহণকারী (অর্থাৎ শাস্তি দিবো)"
            },
            {
              "number": 4367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4367.mp3"
              ],
              "text": "أَوْ نُرِيَنَّكَ ٱلَّذِى وَعَدْنَٰهُمْ فَإِنَّا عَلَيْهِم مُّقْتَدِرُونَ",
              "translate_bn": "অথবা যদি আমি তাদেরকে যে আযাবের ওয়াদা দিয়েছি, তা আপনাকে দেখিয়ে দেই, তবু তাদের উপর আমার পূর্ণ ক্ষমতা রয়েছে।",
              "numberInSurah": 42,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "আও নুরিইয়ান্নাকাল্লাযী ওয়া ‘আদনা-হুম ফাইন্না ‘আলাইহিম মুকতাদিরূন।",
              "words_arabic": "اَوْ/أَوۡ/aw//نُرِیَنَّكَ/نُرِيَنَّكَ/nuriyannaka//الَّذِیْ/ٱلَّذِي/alladhi//وَعَدْنٰهُمْ/وَعَدۡنَٰهُمۡ/wa'adnahum//فَاِنَّا/فَإِنَّا/fa-inna//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مُّقْتَدِرُوْنَ /مُّقۡتَدِرُونَ/muq'tadiruna",
              "words_bangla": "অথবা//তোমাকে দেখাই আমরা//যা//তাদেরকে আমরা প্রতিশ্রুতি দিয়েছি//তবুও আমরা নিশ্চয়ই//তাদের উপর//পূর্ণ ক্ষমতাবান"
            },
            {
              "number": 4368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4368.mp3"
              ],
              "text": "فَٱسْتَمْسِكْ بِٱلَّذِىٓ أُوحِىَ إِلَيْكَ ۖ إِنَّكَ عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "অতএব, আপনার প্রতি যে ওহী নাযিল করা হয়, তা দৃঢ়ভাবে অবলম্বন করুন। নিঃসন্দেহে আপনি সরল পথে রয়েছেন।",
              "numberInSurah": 43,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফাছতামছিক বিল্লাযীঊহিয়া ইলাইকা ইন্নাকা ‘আলা-সিরা-তিম মুছতাকীম।",
              "words_arabic": "فَاسْتَمْسِكْ/فَٱسۡتَمۡسِكۡ/fa-is'tamsik//بِالَّذِیْۤ/بِٱلَّذِيٓ/bi-alladhi//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیْكَ ۚ/إِلَيۡكَۖ/ilayka//اِنَّكَ/إِنَّكَ/innaka//عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "তুমি অতএব দৃঢ়ভাবে ধারণ করো//তার ওপর যা//ওহী করা হয়েছে//তোমার প্রতি//তুমি নিশ্চয়ই (আছো)//উপর//পথের//সরল সঠিক"
            },
            {
              "number": 4369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4369.mp3"
              ],
              "text": "وَإِنَّهُۥ لَذِكْرٌۭ لَّكَ وَلِقَوْمِكَ ۖ وَسَوْفَ تُسْـَٔلُونَ",
              "translate_bn": "এটা আপনার ও আপনার সম্প্রদায়ের জন্যে উল্লেখিত থাকবে এবং শীঘ্রই আপনারা জিজ্ঞাসিত হবেন।",
              "numberInSurah": 44,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাযিকরুল্লাকা ওয়া লিকাওমিকা ওয়া ছাওফা তুছআলূন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَذِكْرٌ/لَذِكۡرٞ/ladhik'run//لَّكَ/لَّكَ/laka//وَ لِقَوْمِكَ ۚ/وَلِقَوۡمِكَۖ/waliqawmika//وَ سَوْفَ/وَسَوۡفَ/wasawfa//تُسْـَٔلُوْنَ /تُسۡـَٔلُونَ/tus'aluna",
              "words_bangla": "এবং তা নিশ্চয়ই//অবশ্যই সম্মানের বিষয়//তোমার জন্যে//এবং তোমার জাতির জন্যে//এবং শীঘ্রই//তোমরা জিজ্ঞাসিত হবে"
            },
            {
              "number": 4370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4370.mp3"
              ],
              "text": "وَسْـَٔلْ مَنْ أَرْسَلْنَا مِن قَبْلِكَ مِن رُّسُلِنَآ أَجَعَلْنَا مِن دُونِ ٱلرَّحْمَٰنِ ءَالِهَةًۭ يُعْبَدُونَ",
              "translate_bn": "আপনার পূর্বে আমি যেসব রসূল প্রেরণ করেছি, তাদেরকে জিজ্ঞেস করুন, দয়াময় আল্লাহ ব্যতীত আমি কি কোন উপাস্য স্থির করেছিলাম এবাদতের জন্যে?",
              "numberInSurah": 45,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 427,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়াছআল মান আরছালনা-মিন কাবলিকা মিররুছুলিনাআজা‘আলনা-মিন দূনিররাহমা-নি আ-লিহাতাইঁ ইউ‘বাদূন।",
              "words_arabic": "وَ سْـَٔلْ/وَسۡـَٔلۡ/wasal//مَنْ/مَنۡ/man//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مِنْ/مِن/min//قَبْلِكَ/قَبۡلِكَ/qablika//مِنْ/مِن/min//رُّسُلِنَاۤ/رُّسُلِنَآ/rusulina//اَجَعَلْنَا/أَجَعَلۡنَا/aja'alna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//اٰلِهَةً/ءَالِهَةٗ/alihatan//یُّعْبَدُوْنَ۠/يُعۡبَدُونَ/yu'baduna",
              "words_bangla": "এবং জিজ্ঞেস করো//যাদেরকে//আমরা পাঠিয়েছি//মধ্য হতে//তোমার পূর্বে//মধ্য হ'তে//আমাদের রাসূলগণের//আমরা  নির্দিষ্ট করেছি কি//মধ্য হতে//ব্যতীত//দয়াময়//(অন্য কোন) উপাস্যকে//উপাসনা করা হবে (যার)"
            },
            {
              "number": 4371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4371.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَٰتِنَآ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَقَالَ إِنِّى رَسُولُ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি মূসাকে আমার নিদর্শনাবলী দিয়ে ফেরাউন ও তার পরিষদবর্গের কাছে প্রেরণ করেছিলাম, অতঃপর সে বলেছিল, আমি বিশ্ব পালনকর্তার রসূল।",
              "numberInSurah": 46,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-মূছা-বিআ-য়া-তিনাইলা-ফিরআ‘ওনা ওয়া মালাইহী ফাকা-লা ইন্নী রাছূলুরাব্বিল ‘আ-লামীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//مُوْسٰی/مُوسَىٰ/musa//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ مَلَاۡىِٕهٖ/وَمَلَإِيْهِۦ/wamala-ihi//فَقَالَ/فَقَالَ/faqala//اِنِّیْ/إِنِّي/inni//رَسُوْلُ/رَسُولُ/rasulu//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//মূসাকে//আমাদের নির্দেশনাবলীসহ//প্রতি//ফিরআউনের//ও তার পারিষদবর্গের//তখন সে বললো//\"আমি নিশ্চয়ই//রাসূল//রবের//বিশ্ব জগতের\""
            },
            {
              "number": 4372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4372.mp3"
              ],
              "text": "فَلَمَّا جَآءَهُم بِـَٔايَٰتِنَآ إِذَا هُم مِّنْهَا يَضْحَكُونَ",
              "translate_bn": "অতঃপর সে যখন তাদের কাছে আমার নিদর্শনাবলী উপস্থাপন করল, তখন তারা হাস্যবিদ্রুপ করতে লাগল।",
              "numberInSurah": 47,
              "juz": 25,
              "manzil": 6,
              "page": 492,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-জাআহুম বিআ-য়া-তিনাইযা হুম মিনহা-ইয়াদহাকূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُم/jaahum//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اِذَا/إِذَا/idha//هُمْ/هُم/hum//مِّنْهَا/مِّنۡهَا/min'ha//یَضْحَكُوْنَ /يَضۡحَكُونَ/yadhakuna",
              "words_bangla": "অতঃপর যখন//তাদের কাছে আসলো//আমাদের নির্দেশনাবলীসহ//তখন//তারা//তা হ'তে//হাসিঠাট্টা করতে লাগলো"
            },
            {
              "number": 4373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4373.mp3"
              ],
              "text": "وَمَا نُرِيهِم مِّنْ ءَايَةٍ إِلَّا هِىَ أَكْبَرُ مِنْ أُخْتِهَا ۖ وَأَخَذْنَٰهُم بِٱلْعَذَابِ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "আমি তাদেরকে যে নিদর্শনই দেখাতাম, তাই হত পূর্ববর্তী নিদর্শন অপেক্ষা বৃহৎ এবং আমি তাদেরকে শাস্তি দ্বারা পাকড়াও করলাম, যাতে তারা ফিরে আসে।",
              "numberInSurah": 48,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-নূরীহিম মিন আ-য়া-তিন ইল্লা-হিয়া আকবারু মিন উখতিহা- ওয়া আখাযনা-হুম বিল ‘আযা-বি লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ مَا/وَمَا/wama//نُرِیْهِمْ/نُرِيهِم/nurihim//مِّنْ/مِّنۡ/min//اٰیَةٍ/ءَايَةٍ/ayatin//اِلَّا/إِلَّا/illa//هِیَ/هِيَ/hiya//اَكْبَرُ/أَكۡبَرُ/akbaru//مِنْ/مِنۡ/min//اُخْتِهَا ؗ/أُخۡتِهَاۖ/ukh'tiha//وَ اَخَذْنٰهُمْ/وَأَخَذۡنَٰهُم/wa-akhadhnahum//بِالْعَذَابِ/بِٱلۡعَذَابِ/bil-'adhabi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং না//তাদের দেখাই আমরা//কোনো//নিদর্শন//এছাড়া যে//তা ছিলো//উৎকৃষ্ট//চেয়ে//তার (পূর্বেকার) অনুরূপ//এবং তাদেরকে আমরা ধরেছিলাম//শাস্তি দিয়ে//তারা যাতে//ফিরে আসে"
            },
            {
              "number": 4374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4374.mp3"
              ],
              "text": "وَقَالُوا۟ يَٰٓأَيُّهَ ٱلسَّاحِرُ ٱدْعُ لَنَا رَبَّكَ بِمَا عَهِدَ عِندَكَ إِنَّنَا لَمُهْتَدُونَ",
              "translate_bn": "তারা বলল, হে যাদুকর, তুমি আমাদের জন্যে তোমার পালনকর্তার কাছে সে বিষয় প্রার্থনা কর, যার ওয়াদা তিনি তোমাকে দিয়েছেন; আমরা অবশ্যই সৎপথ অবলম্বন করব।",
              "numberInSurah": 49,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-লূইয়াআইয়ুহাছছা-হিরুদ‘উলানা-রাব্বাকা বিমা-‘আহিদা ‘ইনদাকা ইন্নানালামুহতাদূ ন।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//یٰۤاَیُّهَ/يَـٰٓأَيُّهَ/yaayyuha//السّٰحِرُ/ٱلسَّاحِرُ/al-sahiru//ادْعُ/ٱدۡعُ/ud'u//لَنَا/لَنَا/lana//رَبَّكَ/رَبَّكَ/rabbaka//بِمَا/بِمَا/bima//عَهِدَ/عَهِدَ/ahida//عِنْدَكَ ۚ/عِندَكَ/indaka//اِنَّنَا/إِنَّنَا/innana//لَمُهْتَدُوْنَ /لَمُهۡتَدُونَ/lamuh'taduna",
              "words_bangla": "এবং (প্রত্যেকবার) তারা বলেছিলো//\"হে//যাদুকর//দু'আ করো//আমাদের জন্যে//তোমার রবের কাছে//তার ভিত্তিতে যা//অঙ্গীকার করেছেন//তোমাকে//আমরা নিশ্চয়ই//সৎপথপ্রাপ্ত হবো অবশ্যই\""
            },
            {
              "number": 4375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4375.mp3"
              ],
              "text": "فَلَمَّا كَشَفْنَا عَنْهُمُ ٱلْعَذَابَ إِذَا هُمْ يَنكُثُونَ",
              "translate_bn": "অতঃপর যখন আমি তাদের থেকে আযাব প্রত্যাহার করে নিলাম, তখনই তারা অঙ্গীকার ভঙ্গ করতে লাগলো।",
              "numberInSurah": 50,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-কাশাফনা-‘আনহুমুল ‘আযা-বা ইযা-হুম ইয়ানকুছূ ন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//كَشَفْنَا/كَشَفۡنَا/kashafna//عَنْهُمُ/عَنۡهُمُ/anhumu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//اِذَا/إِذَا/idha//هُمْ/هُمۡ/hum//یَنْكُثُوْنَ /يَنكُثُونَ/yankuthuna",
              "words_bangla": "কিন্তু যখন//আমরা দূর করলাম//তাদের হ'তে//শাস্তি//তখনই//তারা//অঙ্গীকার ভঙ্গ করে"
            },
            {
              "number": 4376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4376.mp3"
              ],
              "text": "وَنَادَىٰ فِرْعَوْنُ فِى قَوْمِهِۦ قَالَ يَٰقَوْمِ أَلَيْسَ لِى مُلْكُ مِصْرَ وَهَٰذِهِ ٱلْأَنْهَٰرُ تَجْرِى مِن تَحْتِىٓ ۖ أَفَلَا تُبْصِرُونَ",
              "translate_bn": "ফেরাউন তার সম্প্রদায়কে ডেকে বলল, হে আমার কওম, আমি কি মিসরের অধিপতি নই? এই নদী গুলো আমার নিম্নদেশে প্রবাহিত হয়, তোমরা কি দেখ না?",
              "numberInSurah": 51,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ওয়ানা-দা-ফির‘আওনুফী কাওমিহী কা-লা ইয়া-কাওমি আলাইছা লী মুলকুমিসরা ওয়া হাযিহিল আনহা-রু তাজরী মিন তাহতী আফালা-তুবসিরূন।\r\n",
              "words_arabic": "وَ نَادٰی/وَنَادَىٰ/wanada//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//فِیْ/فِي/fi//قَوْمِهٖ/قَوۡمِهِۦ/qawmihi//قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اَلَیْسَ/أَلَيۡسَ/alaysa//لِیْ/لِي/li//مُلْكُ/مُلۡكُ/mul'ku//مِصْرَ/مِصۡرَ/mis'ra//وَ هٰذِهِ/وَهَٰذِهِ/wahadhihi//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِیْ ۚ/تَحۡتِيٓۚ/tahti//اَفَلَا/أَفَلَا/afala//تُبْصِرُوْنَؕ/تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "এবং (একদিন) ডেকে বললো//ফিরআউন//মধ্যে//তার জাতির//সে বললো//\"হে জাতি আমার//নয় কি//আমারই//রাজত্ব//মিসরে//এবং এই//নদীগুলো//বয়ে যায় (নাকি)//থেকে//আমার অধীনে//তবে কি না//তোমরা দেখতে পাও"
            },
            {
              "number": 4377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4377.mp3"
              ],
              "text": "أَمْ أَنَا۠ خَيْرٌۭ مِّنْ هَٰذَا ٱلَّذِى هُوَ مَهِينٌۭ وَلَا يَكَادُ يُبِينُ",
              "translate_bn": "আমি যে শ্রেষ্ট এ ব্যক্তি থেকে, যে নীচ এবং কথা বলতেও সক্ষম নয়।",
              "numberInSurah": 52,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "আম আনা খাইরুম মিন হা-যাল্লাযী হুওয়া মাহীনুওঁ ওয়ালা-ইয়াকা-দুইউবীন।",
              "words_arabic": "اَمْ/أَمۡ/am//اَنَا/أَنَا۠/ana//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّنۡ/min//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//هُوَ/هُوَ/huwa//مَهِیْنٌ ۙ۬/مَهِينٞ/mahinun//وَّ لَا/وَلَا/wala//یَكَادُ/يَكَادُ/yakadu//یُبِیْنُ /يُبِينُ/yubinu",
              "words_bangla": "অথবা//আমি (নই কি)//উত্তম//চেয়ে//এই (মুসার)//(এমন) যে//সে//হীন//এবং না//প্রায়//স্পষ্ট বর্ণনা করতে পারে (কথা)"
            },
            {
              "number": 4378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4378.mp3"
              ],
              "text": "فَلَوْلَآ أُلْقِىَ عَلَيْهِ أَسْوِرَةٌۭ مِّن ذَهَبٍ أَوْ جَآءَ مَعَهُ ٱلْمَلَٰٓئِكَةُ مُقْتَرِنِينَ",
              "translate_bn": "তাকে কেন স্বর্ণবলয় পরিধান করানো হল না, অথবা কেন আসল না তার সঙ্গে ফেরেশতাগণ দল বেঁধে?",
              "numberInSurah": 53,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফালাওলাউলকিয়া ‘আলাইহি আছবিরাতুমমিনযাহাবিন আও জাআ মা‘আহুল মালাইকাতুমুকতারিনীন।",
              "words_arabic": "فَلَوْ لَاۤ/فَلَوۡلَآ/falawla//اُلْقِیَ/أُلۡقِيَ/ul'qiya//عَلَیْهِ/عَلَيۡهِ/alayhi//اَسْوِرَةٌ/أَسۡوِرَةٞ/aswiratun//مِّنْ/مِّن/min//ذَهَبٍ/ذَهَبٍ/dhahabin//اَوْ/أَوۡ/aw//جَآءَ/جَآءَ/jaa//مَعَهُ/مَعَهُ/ma'ahu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//مُقْتَرِنِیْنَ /مُقۡتَرِنِينَ/muq'tarinina",
              "words_bangla": "না তবে কেন//দেওয়া হলো//তার উপর//বালা//তৈরী//সোনার//বা//আসলো (না কেন)//তার সাথে//ফেরেশতারা//দলবেঁধে\""
            },
            {
              "number": 4379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4379.mp3"
              ],
              "text": "فَٱسْتَخَفَّ قَوْمَهُۥ فَأَطَاعُوهُ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًۭا فَٰسِقِينَ",
              "translate_bn": "অতঃপর সে তার সম্প্রদায়কে বোকা বানিয়ে দিল, ফলে তারা তার কথা মেনে নিল। নিশ্চয় তারা ছিল পাপাচারী সম্প্রদায়।",
              "numberInSurah": 54,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফাছতাখাফফা কাওমাহূফাআতা-‘ঊহু ইন্নাহুম কা-নূকাওমান ফা-ছিকীন।",
              "words_arabic": "فَاسْتَخَفَّ/فَٱسۡتَخَفَّ/fa-is'takhaffa//قَوْمَهٗ/قَوۡمَهُۥ/qawmahu//فَاَطَاعُوْهُ ؕ/فَأَطَاعُوهُۚ/fa-ata'uhu//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمًا/قَوۡمٗا/qawman//فٰسِقِیْنَ /فَٰسِقِينَ/fasiqina",
              "words_bangla": "সে এভাবে বোকা বানালো//তার জাতিকে//তখন তাকে তারা মেনে নিলো//তারা নিশ্চয়ই//ছিলো//সম্প্রদায়//সত্যত্যাগী"
            },
            {
              "number": 4380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4380.mp3"
              ],
              "text": "فَلَمَّآ ءَاسَفُونَا ٱنتَقَمْنَا مِنْهُمْ فَأَغْرَقْنَٰهُمْ أَجْمَعِينَ",
              "translate_bn": "অতঃপর যখন আমাকে রাগাম্বিত করল তখন আমি তাদের কাছ থেকে প্রতিশোধ নিলাম এবং নিমজ্জত করলাম। তাদের সবাইকে।",
              "numberInSurah": 55,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মাআ-ছাফূনানতাকামনা-মিনহুম ফাআগরাকনা-হুম আজমা‘ঈন।",
              "words_arabic": "فَلَمَّاۤ/فَلَمَّآ/falamma//اٰسَفُوْنَا/ءَاسَفُونَا/asafuna//انْتَقَمْنَا/ٱنتَقَمۡنَا/intaqamna//مِنْهُمْ/مِنۡهُمۡ/min'hum//فَاَغْرَقْنٰهُمْ/فَأَغۡرَقۡنَٰهُمۡ/fa-aghraqnahum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "অতঃপর যখন//আমাদেরকে বিরক্ত করলো//আমরা প্রতিশোধ নিলাম//তাদের থেকে//তখন তাদেরকে আমরা ডুবিয়ে দিলাম//সকলকেই"
            },
            {
              "number": 4381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4381.mp3"
              ],
              "text": "فَجَعَلْنَٰهُمْ سَلَفًۭا وَمَثَلًۭا لِّلْءَاخِرِينَ",
              "translate_bn": "অতঃপর আমি তাদেরকে করে দিলাম অতীত লোক ও দৃষ্টান্ত পরবর্তীদের জন্যে।",
              "numberInSurah": 56,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 428,
              "hizbQuarter": 197,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলনা-হুম ছালাফাওঁ ওয়া মাছালালিলল আ-খিরীন।",
              "words_arabic": "فَجَعَلْنٰهُمْ/فَجَعَلۡنَٰهُمۡ/faja'alnahum//سَلَفًا/سَلَفٗا/salafan//وَّ مَثَلًا/وَمَثَلٗا/wamathalan//لِّلْاٰخِرِیْنَ۠/لِّلۡأٓخِرِينَ/lil'akhirina",
              "words_bangla": "এরপর তাদেরকে আমরা রেখে দিলাম//অতীতের ইতিহাস//ও (শিক্ষার) দৃষ্টান্ত করে//পরবর্তীদের জন্যে"
            },
            {
              "number": 4382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4382.mp3"
              ],
              "text": "۞ وَلَمَّا ضُرِبَ ٱبْنُ مَرْيَمَ مَثَلًا إِذَا قَوْمُكَ مِنْهُ يَصِدُّونَ",
              "translate_bn": "যখনই মরিয়ম তনয়ের দৃষ্টান্ত বর্ণনা করা হল, তখনই আপনার সম্প্রদায় হঞ্জগোল শুরু করে দিল",
              "numberInSurah": 57,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাম্মা-দুরিবাবনুমারইয়ামা মাছালান ইযা-কাওমুকা মিনহু ইয়াসিদ্দূন।",
              "words_arabic": "وَ لَمَّا/۞وَلَمَّا/walamma//ضُرِبَ/ضُرِبَ/duriba//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//مَثَلًا/مَثَلًا/mathalan//اِذَا/إِذَا/idha//قَوْمُكَ/قَوۡمُكَ/qawmuka//مِنْهُ/مِنۡهُ/min'hu//یَصِدُّوْنَ /يَصِدُّونَ/yasidduna",
              "words_bangla": "এবং যখন//পেশ করা হলো//পুত্রকে//মারইয়ামের//দৃষ্টান্তরূপে//তখনই//তোমার জাতি//তা হ'তে//হৈ চৈ শুরু করলো"
            },
            {
              "number": 4383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4383.mp3"
              ],
              "text": "وَقَالُوٓا۟ ءَأَٰلِهَتُنَا خَيْرٌ أَمْ هُوَ ۚ مَا ضَرَبُوهُ لَكَ إِلَّا جَدَلًۢا ۚ بَلْ هُمْ قَوْمٌ خَصِمُونَ",
              "translate_bn": "এবং বলল, আমাদের উপাস্যরা শ্রেষ্ঠ, না সে? তারা আপনার সামনে যে উদাহরণ উপস্থাপন করে তা কেবল বিতর্কের জন্যেই করে। বস্তুতঃ তারা হল এক বিতর্ককারী সম্প্রদায়।",
              "numberInSurah": 58,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূআ আ-লিহাতুনা-খাইরুন আম হুওয়া মা-দারাবূহু লাকা ইল্লা-জাদালান বাল হুম কাওমুন খাসিমূন।",
              "words_arabic": "وَ قَالُوْۤا/وَقَالُوٓاْ/waqalu//ءَاٰلِهَتُنَا/ءَأَٰلِهَتُنَا/aalihatuna//خَیْرٌ/خَيۡرٌ/khayrun//اَمْ/أَمۡ/am//هُوَ ؕ/هُوَۚ/huwa//مَا/مَا/ma//ضَرَبُوْهُ/ضَرَبُوهُ/darabuhu//لَكَ/لَكَ/laka//اِلَّا/إِلَّا/illa//جَدَلًا ؕ/جَدَلَۢاۚ/jadalan//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//قَوْمٌ/قَوۡمٌ/qawmun//خَصِمُوْنَ /خَصِمُونَ/khasimuna",
              "words_bangla": "এবং বললো//\"আমাদের দেবতারা কি//উত্তম//না কি//সে\"//না//তারা পেশ করেছে তা//তোমার জন্যে//এ ব্যতীত যে//বিতর্ক করার (উদ্দেশ্যে)//বরং//তারা//সম্প্রদায়//ঝগড়াটে"
            },
            {
              "number": 4384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4384.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا عَبْدٌ أَنْعَمْنَا عَلَيْهِ وَجَعَلْنَٰهُ مَثَلًۭا لِّبَنِىٓ إِسْرَٰٓءِيلَ",
              "translate_bn": "সে তো এক বান্দাই বটে আমি তার প্রতি অনুগ্রহ করেছি এবং তাকে করেছি বণী-ইসরাঈলের জন্যে আদর্শ।",
              "numberInSurah": 59,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা- ‘আবদুন আন‘আমনা- ‘আলাইহি ওয়া জা‘আলনা-হুমাছালাল লিবানীইছরাঈল।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//عَبْدٌ/عَبۡدٌ/abdun//اَنْعَمْنَا/أَنۡعَمۡنَا/an'amna//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ جَعَلْنٰهُ/وَجَعَلۡنَٰهُ/waja'alnahu//مَثَلًا/مَثَلٗا/mathalan//لِّبَنِیْۤ/لِّبَنِيٓ/libani//اِسْرَآءِیْلَؕ/إِسۡرَـٰٓءِيلَ/is'raila",
              "words_bangla": "নয়//সে (অর্থাৎ ঈসা আঃ)//এ ব্যতীত//এক দাস//আমরা অনুগ্রহ করেছিলাম//তার উপর//এবং তাকে আমরা করেছিলাম//আদর্শস্বরূপ//সন্তানদের জন্যে//ইসরাঈলের"
            },
            {
              "number": 4385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4385.mp3"
              ],
              "text": "وَلَوْ نَشَآءُ لَجَعَلْنَا مِنكُم مَّلَٰٓئِكَةًۭ فِى ٱلْأَرْضِ يَخْلُفُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তোমাদের থেকে ফেরেশতা সৃষ্টি করতাম, যারা পৃথিবীতে একের পর এক বসবাস করত।",
              "numberInSurah": 60,
              "juz": 25,
              "manzil": 6,
              "page": 493,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও নাশাউ লাজা‘আলনা-মিনকুম মালাইকাতান ফিল আরদিইয়াখলুফূন।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَشَآءُ/نَشَآءُ/nashau//لَجَعَلْنَا/لَجَعَلۡنَا/laja'alna//مِنْكُمْ/مِنكُم/minkum//مَّلٰٓىِٕكَةً/مَّلَـٰٓئِكَةٗ/malaikatan//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//یَخْلُفُوْنَ /يَخۡلُفُونَ/yakhlufuna",
              "words_bangla": "এবং যদি//আমরা চাইতাম//আমরা অবশ্যই সৃষ্টি করতাম//তোমাদের মধ্য থেকে//ফেরেশতা//মধ্যে//পৃথিবীর//তারা স্থলাভিষিক্ত হতো (তোমাদের)"
            },
            {
              "number": 4386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4386.mp3"
              ],
              "text": "وَإِنَّهُۥ لَعِلْمٌۭ لِّلسَّاعَةِ فَلَا تَمْتَرُنَّ بِهَا وَٱتَّبِعُونِ ۚ هَٰذَا صِرَٰطٌۭ مُّسْتَقِيمٌۭ",
              "translate_bn": "সুতরাং তা হল কেয়ামতের নিদর্শন। কাজেই তোমরা কেয়ামতে সন্দেহ করো না এবং আমার কথা মান। এটা এক সরল পথ।",
              "numberInSurah": 61,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলা‘ইলমুল লিছছা-‘আতি ফালা-তামতারুন্না বিহা-ওয়াত্তাবি‘ঊনি হা-যাসিরাতুম মুছতাকীম।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَعِلْمٌ/لَعِلۡمٞ/la'il'mun//لِّلسَّاعَةِ/لِّلسَّاعَةِ/lilssa'ati//فَلَا/فَلَا/fala//تَمْتَرُنَّ/تَمۡتَرُنَّ/tamtarunna//بِهَا/بِهَا/biha//وَ اتَّبِعُوْنِ ؕ/وَٱتَّبِعُونِۚ/wa-ittabi'uni//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٞ/siratun//مُّسْتَقِیْمٌ /مُّسۡتَقِيمٞ/mus'taqimun",
              "words_bangla": "এবং নিশ্চয়ই সে//অবশ্যই নিদর্শন//ক্বিয়ামাতের জন্যে//সুতরাং না//তোমরা সন্দেহ করো//তা সম্বন্ধে//এবং আমাকে তোমরা অনুসরণ করো//এটাই//পথ//সরল সঠিক"
            },
            {
              "number": 4387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4387.mp3"
              ],
              "text": "وَلَا يَصُدَّنَّكُمُ ٱلشَّيْطَٰنُ ۖ إِنَّهُۥ لَكُمْ عَدُوٌّۭ مُّبِينٌۭ",
              "translate_bn": "শয়তান যেন তোমাদেরকে নিবৃত্ত না করে। সে তোমাদের প্রকাশ্য শুত্রু।",
              "numberInSurah": 62,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াসুদ্দান্নাকুমুশ শাইতা-নু ইন্নাহূলাকুম ‘আদুওউম মুবীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَصُدَّنَّكُمُ/يَصُدَّنَّكُمُ/yasuddannakumu//الشَّیْطٰنُ ۚ/ٱلشَّيۡطَٰنُۖ/al-shaytanu//اِنَّهٗ/إِنَّهُۥ/innahu//لَكُمْ/لَكُمۡ/lakum//عَدُوٌّ/عَدُوّٞ/aduwwun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং না//তোমাদেরকে বাঁধা দিতে পারে (যেন)//শয়তান//নিশ্চয়ই সে//তোমাদের জন্যে//শত্রু//প্রকাশ্য"
            },
            {
              "number": 4388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4388.mp3"
              ],
              "text": "وَلَمَّا جَآءَ عِيسَىٰ بِٱلْبَيِّنَٰتِ قَالَ قَدْ جِئْتُكُم بِٱلْحِكْمَةِ وَلِأُبَيِّنَ لَكُم بَعْضَ ٱلَّذِى تَخْتَلِفُونَ فِيهِ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ",
              "translate_bn": "ঈসা যখন স্পষ্ট নিদর্শনসহ আগমন করল, তখন বলল, আমি তোমাদের কাছে প্রজ্ঞা নিয়ে এসেছি এবং তোমরা যে, কোন কোন বিষয়ে মতভেদ করছ তা ব্যক্ত করার জন্যে এসেছি, অতএব, তোমরা আল্লাহকে ভয় কর এবং আমার কথা মান।",
              "numberInSurah": 63,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম্মা-জাআ ‘ঈছা-বিলবাইয়িনা-তি কা-লা কাদ জি’তুকুম বিলহিকমাতি ওয়া লিউবাইয়িনা লাকুম বা‘দাল্লাযী তাখতালিফূনা ফীহি ফাত্তাকুল্লা-হা ওয়াআতী‘ঊন।",
              "words_arabic": "وَ لَمَّا/وَلَمَّا/walamma//جَآءَ/جَآءَ/jaa//عِیْسٰی/عِيسَىٰ/isa//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//قَالَ/قَالَ/qala//قَدْ/قَدۡ/qad//جِئْتُكُمْ/جِئۡتُكُم/ji'tukum//بِالْحِكْمَةِ/بِٱلۡحِكۡمَةِ/bil-hik'mati//وَ لِاُبَیِّنَ/وَلِأُبَيِّنَ/wali-ubayyina//لَكُمْ/لَكُم/lakum//بَعْضَ/بَعۡضَ/ba'da//الَّذِیْ/ٱلَّذِي/alladhi//تَخْتَلِفُوْنَ/تَخۡتَلِفُونَ/takhtalifuna//فِیْهِ ۚ/فِيهِۖ/fihi//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوْنِ /وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "এবং যখন//এসেছিলো//ঈসা//সুস্পষ্ট নিদর্শনাবলীসহ//সে বলেছিলো//\"নিশ্চয়ই//আমি তোমাদের কাছে এসেছি//প্রজ্ঞাসহ//এবং আমি সুস্পষ্ট করার জন্যে//তোমাদের কাছে//এমন কিছু//যা//তোমরা মতভেদ করছো//তার মধ্যে//সুতরাং তোমরা ভয় করো//আল্লাহকে//এবং তোমরা আনুগত্য করো আমার"
            },
            {
              "number": 4389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4389.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ هُوَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۚ هَٰذَا صِرَٰطٌۭ مُّسْتَقِيمٌۭ",
              "translate_bn": "নিশ্চয় আল্লাহই আমার পালনকর্তা ও তোমাদের পালনকর্তা। অতএব, তাঁর এবাদত কর। এটা হল সরল পথ।",
              "numberInSurah": 64,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা হুওয়া রাববী ওয়া রাব্বুকুম ফা‘বুদূ হু হা-যা-সিরাতুম মুছতাকীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//رَبِّیْ/رَبِّي/rabbi//وَ رَبُّكُمْ/وَرَبُّكُمۡ/warabbukum//فَاعْبُدُوْهُ ؕ/فَٱعۡبُدُوهُۚ/fa-u'buduhu//هٰذَا/هَٰذَا/hadha//صِرَاطٌ/صِرَٰطٞ/siratun//مُّسْتَقِیْمٌ /مُّسۡتَقِيمٞ/mus'taqimun",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//তিনিই//আমার রব//ও তোমাদের রব//সুতরাং তাঁরই তোমরা ইবাদত করো//এটা//পথ//সরল সঠিক\""
            },
            {
              "number": 4390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4390.mp3"
              ],
              "text": "فَٱخْتَلَفَ ٱلْأَحْزَابُ مِنۢ بَيْنِهِمْ ۖ فَوَيْلٌۭ لِّلَّذِينَ ظَلَمُوا۟ مِنْ عَذَابِ يَوْمٍ أَلِيمٍ",
              "translate_bn": "অতঃপর তাদের মধ্যে থেকে বিভিন্ন দল মতভেদ সৃষ্টি করল। সুতরাং যালেমদের জন্যে রয়েছে যন্ত্রণাদায়ক দিবসের আযাবের দুর্ভোগ।",
              "numberInSurah": 65,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ফাখতালাফাল আহঝা-বুমিম বাইনিহিম ফাওয়াইলুলিলল্লাযীনা জালামূমিন ‘আযা-বি ইয়াওমিন আলীম।",
              "words_arabic": "فَاخْتَلَفَ/فَٱخۡتَلَفَ/fa-ikh'talafa//الْاَحْزَابُ/ٱلۡأَحۡزَابُ/al-ahzabu//مِنْۢ/مِنۢ/min//بَیْنِهِمْ ۚ/بَيۡنِهِمۡۖ/baynihim//فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//یَوْمٍ/يَوۡمٍ/yawmin//اَلِیْمٍ /أَلِيمٍ/alimin",
              "words_bangla": "অতঃপর মতভেদ করলো//বিভিন্ন দল//থেকে//তাদের মাঝ//সুতরাং দুর্ভোগ//(তাদের) জন্যে যারা//সীমালঙ্ঘন করেছে//থেকে//শাস্তির//দিনের//নিদারুণ"
            },
            {
              "number": 4391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4391.mp3"
              ],
              "text": "هَلْ يَنظُرُونَ إِلَّا ٱلسَّاعَةَ أَن تَأْتِيَهُم بَغْتَةًۭ وَهُمْ لَا يَشْعُرُونَ",
              "translate_bn": "তারা কেবল কেয়ামতেরই অপেক্ষা করছে যে, আকস্মিকভাবে তাদের কাছে এসে যাবে এবং তারা খবর ও রাখবে না।",
              "numberInSurah": 66,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "হাল ইয়ানজুরূনা ইল্লাছছা-‘আতা আন তা’তিয়াহুম বাগতাতাওঁ ওয়া হুম লা-ইয়াশ‘উরূন।\r\n",
              "words_arabic": "هَلْ/هَلۡ/hal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّا/إِلَّا/illa//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//اَنْ/أَن/an//تَاْتِیَهُمْ/تَأۡتِيَهُم/tatiyahum//بَغْتَةً/بَغۡتَةٗ/baghtatan//وَّ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یَشْعُرُوْنَ /يَشۡعُرُونَ/yash'uruna",
              "words_bangla": "কি//তারা অপেক্ষা করছে//এ ব্যতীত//ক্বিয়ামাতের (দিনের)//যে//তাদের উপর আসবে//হঠাৎ//এবং তারা//না//টেরও পাবে"
            },
            {
              "number": 4392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4392.mp3"
              ],
              "text": "ٱلْأَخِلَّآءُ يَوْمَئِذٍۭ بَعْضُهُمْ لِبَعْضٍ عَدُوٌّ إِلَّا ٱلْمُتَّقِينَ",
              "translate_bn": "বন্ধুবর্গ সেদিন একে অপরের শত্রু হবে, তবে খোদাভীরুরা নয়।",
              "numberInSurah": 67,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 429,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আলআখিল্লাউ ইয়াওমাইযিম বা‘দুহুম লিবা‘দিন ‘আদুওউন ইল্লাল মুত্তাকীন।",
              "words_arabic": "اَلْاَخِلَّآءُ/ٱلۡأَخِلَّآءُ/al-akhilau//یَوْمَىِٕذٍۭ/يَوۡمَئِذِۭ/yawma-idhin//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//لِبَعْضٍ/لِبَعۡضٍ/liba'din//عَدُوٌّ/عَدُوٌّ/aduwwun//اِلَّا/إِلَّا/illa//الْمُتَّقِیْنَؕ۠/ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "বন্ধুরা//সেদিন//তাদের একে//অপরের জন্যে//শত্রু (হবে)//ব্যতীত//মুত্তাকীরা"
            },
            {
              "number": 4393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4393.mp3"
              ],
              "text": "يَٰعِبَادِ لَا خَوْفٌ عَلَيْكُمُ ٱلْيَوْمَ وَلَآ أَنتُمْ تَحْزَنُونَ",
              "translate_bn": "হে আমার বান্দাগণ, তোমাদের আজ কোন ভয় নেই এবং তোমরা দুঃখিতও হবে না।",
              "numberInSurah": 68,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইয়া-‘ইবাদি লা-খাওফুন ‘আলাইকুমুল ইয়াওমা ওয়ালাআনতুম তাহঝানূন।",
              "words_arabic": "یٰعِبَادِ/يَٰعِبَادِ/ya'ibadi//لَا/لَا/la//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْكُمُ/عَلَيۡكُمُ/alaykumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//وَ لَاۤ/وَلَآ/wala//اَنْتُمْ/أَنتُمۡ/antum//تَحْزَنُوْنَۚ/تَحۡزَنُونَ/tahzanuna",
              "words_bangla": "\"(বলা হবে) হে আমার দাসরা//নেই//কোনো ভয়//তোমাদের উপর//আজ//আর না//তোমরা//চিন্তা করবে"
            },
            {
              "number": 4394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4394.mp3"
              ],
              "text": "ٱلَّذِينَ ءَامَنُوا۟ بِـَٔايَٰتِنَا وَكَانُوا۟ مُسْلِمِينَ",
              "translate_bn": "তোমরা আমার আয়াতসমূহে বিশ্বাস স্থাপন করেছিলে এবং তোমরা আজ্ঞাবহ ছিলে।",
              "numberInSurah": 69,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা আ-মানূবিআ-য়া-তিনা-ওয়া কা-নূমুছলিমীন।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//وَ كَانُوْا/وَكَانُواْ/wakanu//مُسْلِمِیْنَۚ/مُسۡلِمِينَ/mus'limina",
              "words_bangla": "যারা//ঈমান এনেছিলো//আমাদের আয়াতগুলোর উপর//এবং তারা ছিলো//আত্মসমর্পণকারী (অর্থাৎ মুসলমান)"
            },
            {
              "number": 4395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4395.mp3"
              ],
              "text": "ٱدْخُلُوا۟ ٱلْجَنَّةَ أَنتُمْ وَأَزْوَٰجُكُمْ تُحْبَرُونَ",
              "translate_bn": "জান্নাতের প্রবেশ কর তোমরা এবং তোমাদের বিবিগণ সানন্দে।",
              "numberInSurah": 70,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "উদখুলুল জান্নাতা আনতুম ওয়া আঝওয়া-জুকুম তুহবারূন।",
              "words_arabic": "اُدْخُلُوا/ٱدۡخُلُواْ/ud'khulu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//اَنْتُمْ/أَنتُمۡ/antum//وَ اَزْوَاجُكُمْ/وَأَزۡوَٰجُكُمۡ/wa-azwajukum//تُحْبَرُوْنَ /تُحۡبَرُونَ/tuh'baruna",
              "words_bangla": "(তাদেরকে বলা হবে) তোমরা প্রবেশ করো//জান্নাতে//তোমরা//ও তোমাদের স্ত্রীরা//তোমাদের সন্তুষ্ট করে দেওয়া হবে\""
            },
            {
              "number": 4396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4396.mp3"
              ],
              "text": "يُطَافُ عَلَيْهِم بِصِحَافٍۢ مِّن ذَهَبٍۢ وَأَكْوَابٍۢ ۖ وَفِيهَا مَا تَشْتَهِيهِ ٱلْأَنفُسُ وَتَلَذُّ ٱلْأَعْيُنُ ۖ وَأَنتُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "তাদের কাছে পরিবেশন করা হবে স্বর্ণের থালা ও পানপাত্র এবং তথায় রয়েছে মনে যা চায় এবং নয়ন যাতে তৃপ্ত হয়। তোমরা তথায় চিরকাল অবস্থান করবে।",
              "numberInSurah": 71,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইউতা-ফু‘আলাইহিম বিসিহা-ফিম মিন যাহাবিওঁ ওয়া আকওয়া-বিওঁ ওয়া ফীহা-মাতাশতাহীহিল আনফুছুওয়া তালাযযুল আ‘ইউনু ওয়া আনতুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "یُطَافُ/يُطَافُ/yutafu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِصِحَافٍ/بِصِحَافٖ/bisihafin//مِّنْ/مِّن/min//ذَهَبٍ/ذَهَبٖ/dhahabin//وَّ اَكْوَابٍ ۚ/وَأَكۡوَابٖۖ/wa-akwabin//وَ فِیْهَا/وَفِيهَا/wafiha//مَا/مَا/ma//تَشْتَهِیْهِ/تَشۡتَهِيهِ/tashtahihi//الْاَنْفُسُ/ٱلۡأَنفُسُ/al-anfusu//وَ تَلَذُّ/وَتَلَذُّ/wataladhu//الْاَعْیُنُ ۚ/ٱلۡأَعۡيُنُۖ/al-a'yunu//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَۚ/خَٰلِدُونَ/khaliduna",
              "words_bangla": "পরিবেশন করা হবে//তাদের কাছে//থালাসমূহকে//তৈরী//স্বর্ণের//এবং পানপাত্রসমুহও (স্বর্ণের)//এবং তার মধ্যে থাকবে//যা কিছু//তা চাইবে//(তাদের) অন্তরগুলো//এবং তৃপ্ত হবে (তা দেখে)//(তাদের) চোখগুলো//এবং (বলা হবে) তোমরা//তার মধ্যে//চিরকাল"
            },
            {
              "number": 4397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4397.mp3"
              ],
              "text": "وَتِلْكَ ٱلْجَنَّةُ ٱلَّتِىٓ أُورِثْتُمُوهَا بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "এই যে, জান্নাতের উত্তরাধিকারী তোমরা হয়েছ, এটা তোমাদের কর্মের ফল।",
              "numberInSurah": 72,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া তিলকাল জান্নাতুল্লাতীঊরিছতুমূহা-বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "وَ تِلْكَ/وَتِلۡكَ/watil'ka//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//الَّتِیْۤ/ٱلَّتِيٓ/allati//اُوْرِثْتُمُوْهَا/أُورِثۡتُمُوهَا/urith'tumuha//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং এই//জান্নাত//(সেই) যা//তোমাদেরকে তার উত্তরাধিকারী করা হয়েছে//বিনিময়ে যা//তোমরা//কাজ করেছিলে"
            },
            {
              "number": 4398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4398.mp3"
              ],
              "text": "لَكُمْ فِيهَا فَٰكِهَةٌۭ كَثِيرَةٌۭ مِّنْهَا تَأْكُلُونَ",
              "translate_bn": "তথায় তোমাদের জন্যে আছে প্রচুর ফল-মূল, তা থেকে তোমরা আহার করবে।",
              "numberInSurah": 73,
              "juz": 25,
              "manzil": 6,
              "page": 494,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "লাকুম ফীহা-ফা-কিহাতুন কাছীরাতুম মিনহা-তা’কুলূন।",
              "words_arabic": "لَكُمْ/لَكُمۡ/lakum//فِیْهَا/فِيهَا/fiha//فَاكِهَةٌ/فَٰكِهَةٞ/fakihatun//كَثِیْرَةٌ/كَثِيرَةٞ/kathiratun//مِّنْهَا/مِّنۡهَا/min'ha//تَاْكُلُوْنَ /تَأۡكُلُونَ/takuluna",
              "words_bangla": "তোমাদের জন্যে//তার মধ্যে (থাকবে)//ফলমূল//প্রচুর//তা থেকে//তোমরা খাবে"
            },
            {
              "number": 4399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4399.mp3"
              ],
              "text": "إِنَّ ٱلْمُجْرِمِينَ فِى عَذَابِ جَهَنَّمَ خَٰلِدُونَ",
              "translate_bn": "নিশ্চয় অপরাধীরা জাহান্নামের আযাবে চিরকাল থাকবে।",
              "numberInSurah": 74,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুজরিমীনা ফী ‘আযা-বি জাহান্নামা খা-লিদূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//فِیْ/فِي/fi//عَذَابِ/عَذَابِ/adhabi//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدُوْنَۚۖ/خَٰلِدُونَ/khaliduna",
              "words_bangla": "নিশ্চয়ই//অপরাধীরা//(হবে) মধ্যে//শাস্তির//জাহান্নামের//তারা স্থায়ী হবে (সেখানে)"
            },
            {
              "number": 4400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4400.mp3"
              ],
              "text": "لَا يُفَتَّرُ عَنْهُمْ وَهُمْ فِيهِ مُبْلِسُونَ",
              "translate_bn": "তাদের থেকে আযাব লাঘব করা হবে না এবং তারা তাতেই থাকবে হতাশ হয়ে।",
              "numberInSurah": 75,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "লা-ইউফাত্তারু ‘আনহুম ওয়া হুম ফীহি মুবলিছূন।",
              "words_arabic": "لَا/لَا/la//یُفَتَّرُ/يُفَتَّرُ/yufattaru//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ هُمْ/وَهُمۡ/wahum//فِیْهِ/فِيهِ/fihi//مُبْلِسُوْنَۚ/مُبۡلِسُونَ/mub'lisuna",
              "words_bangla": "না//কম করা হবে//তাদের থেকে (শাস্তি)//এবং তারা//তার মধ্যে//হতাশ হয়ে পড়ে থাকবে"
            },
            {
              "number": 4401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4401.mp3"
              ],
              "text": "وَمَا ظَلَمْنَٰهُمْ وَلَٰكِن كَانُوا۟ هُمُ ٱلظَّٰلِمِينَ",
              "translate_bn": "আমি তাদের প্রতি জুলুম করিনি; কিন্তু তারাই ছিল জালেম।",
              "numberInSurah": 76,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-জালামনা-হুম ওয়ালা-কিন কা-নূহুমুজ্জা-লিমীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//ظَلَمْنٰهُمْ/ظَلَمۡنَٰهُمۡ/zalamnahum//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانُوْا/كَانُواْ/kanu//هُمُ/هُمُ/humu//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং না//তাদেরকে আমরা অত্যাচার করেছি//কিন্তু//ছিলো//তারা//সীমালঙ্ঘনকারী (তাদের নিজেদের উপর)"
            },
            {
              "number": 4402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4402.mp3"
              ],
              "text": "وَنَادَوْا۟ يَٰمَٰلِكُ لِيَقْضِ عَلَيْنَا رَبُّكَ ۖ قَالَ إِنَّكُم مَّٰكِثُونَ",
              "translate_bn": "তারা ডেকে বলবে, হে মালেক, পালনকর্তা আমাদের কিসসাই শেষ করে দিন। সে বলবে, নিশ্চয় তোমরা চিরকাল থাকবে।",
              "numberInSurah": 77,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়ানা-দাও ইয়া-মা-লিকুলিইয়াকদি ‘আলাইনা-রাব্বুকা কা-লা ইন্নাকুম মা-কিছূন।",
              "words_arabic": "وَ نَادَوْا/وَنَادَوۡاْ/wanadaw//یٰمٰلِكُ/يَٰمَٰلِكُ/yamaliku//لِیَقْضِ/لِيَقۡضِ/liyaqdi//عَلَیْنَا/عَلَيۡنَا/alayna//رَبُّكَ ؕ/رَبُّكَۖ/rabbuka//قَالَ/قَالَ/qala//اِنَّكُمْ/إِنَّكُم/innakum//مّٰكِثُوْنَ /مَّـٰكِثُونَ/makithuna",
              "words_bangla": "এবং তারা ডেকে বলবে//\"হে মালিক (জাহান্নামের প্রহরী)//শেষ করে দিক//আমাদের উপর (ব্যাপারটা)//তোমার রব\"//সে বলবে//\"তোমরা নিশ্চয়ই//অবস্থানকারী (এভাবেই)\""
            },
            {
              "number": 4403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4403.mp3"
              ],
              "text": "لَقَدْ جِئْنَٰكُم بِٱلْحَقِّ وَلَٰكِنَّ أَكْثَرَكُمْ لِلْحَقِّ كَٰرِهُونَ",
              "translate_bn": "আমি তোমাদের কাছে সত্যধর্ম পৌঁছিয়েছি; কিন্তু তোমাদের অধিকাংশই সত্যধর্মে নিস্পৃহ!",
              "numberInSurah": 78,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "লাকাদ জি’না-কুম বিল হাক্কিওয়ালা-কিন্না আকছারাকুম লিলহাক্কিকা-রিহূন।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//جِئْنٰكُمْ/جِئۡنَٰكُم/ji'nakum//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَكُمْ/أَكۡثَرَكُمۡ/aktharakum//لِلْحَقِّ/لِلۡحَقِّ/lil'haqqi//كٰرِهُوْنَ /كَٰرِهُونَ/karihuna",
              "words_bangla": "নিশ্চয়ই//তোমাদের কাছে আমরা এসেছিলাম//সত্যসহ//কিন্তু//তোমাদের বেশীর ভাগই (ছিলে)//সত্যের প্রতি//বিমুখ"
            },
            {
              "number": 4404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4404.mp3"
              ],
              "text": "أَمْ أَبْرَمُوٓا۟ أَمْرًۭا فَإِنَّا مُبْرِمُونَ",
              "translate_bn": "তারা কি কোন ব্যবস্থা চুড়ান্ত করেছে? তাহলে আমিও এক ব্যবস্থা চুড়ান্ত করেছি।",
              "numberInSurah": 79,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আম আবরামূআমরান ফাইন্না মুবরিমুন।",
              "words_arabic": "اَمْ/أَمۡ/am//اَبْرَمُوْۤا/أَبۡرَمُوٓاْ/abramu//اَمْرًا/أَمۡرٗا/amran//فَاِنَّا/فَإِنَّا/fa-inna//مُبْرِمُوْنَۚ/مُبۡرِمُونَ/mub'rimuna",
              "words_bangla": "তবে কি//তারা সিদ্ধান্ত নিয়েছে//একটি বিষয়ে//নিশ্চয়ই তবে আমরাও//সিদ্ধান্ত গ্রহণকারী (তাদের ব্যাপারে)"
            },
            {
              "number": 4405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4405.mp3"
              ],
              "text": "أَمْ يَحْسَبُونَ أَنَّا لَا نَسْمَعُ سِرَّهُمْ وَنَجْوَىٰهُم ۚ بَلَىٰ وَرُسُلُنَا لَدَيْهِمْ يَكْتُبُونَ",
              "translate_bn": "তারা কি মনে করে যে, আমি তাদের গোপন বিষয় ও গোপন পরামর্শ শুনি না? হঁ্যা, শুনি। আমার ফেরেশতাগণ তাদের নিকটে থেকে লিপিবদ্ধ করে।",
              "numberInSurah": 80,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াহছাবূনা আন্না-লা-নাছমা‘উ ছির রাহুম ওয়া নাজওয়া-হুম বালা-ওয়া রুছুলুনালাদাইহিম ইয়াকতুবূন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَحْسَبُوْنَ/يَحۡسَبُونَ/yahsabuna//اَنَّا/أَنَّا/anna//لَا/لَا/la//نَسْمَعُ/نَسۡمَعُ/nasma'u//سِرَّهُمْ/سِرَّهُمۡ/sirrahum//وَ نَجْوٰىهُمْ ؕ/وَنَجۡوَىٰهُمۚ/wanajwahum//بَلٰی/بَلَىٰ/bala//وَ رُسُلُنَا/وَرُسُلُنَا/warusuluna//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//یَكْتُبُوْنَ /يَكۡتُبُونَ/yaktubuna",
              "words_bangla": "না কি//তারা মনে করেছে//যে আমরা//না//আমরা শুনি//তাদের গোপন কথাবার্তা//ও তাদের গোপন পরামর্শ//হ্যাঁ (সবই শুনি)//এবং আমাদের ফেরেশতারা//তাদের কাছে আছে//তারা লিখছে"
            },
            {
              "number": 4406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4406.mp3"
              ],
              "text": "قُلْ إِن كَانَ لِلرَّحْمَٰنِ وَلَدٌۭ فَأَنَا۠ أَوَّلُ ٱلْعَٰبِدِينَ",
              "translate_bn": "বলুন, দয়াময় আল্লাহর কোন সন্তান থাকলে আমি সর্ব প্রথম তার এবাদত করব।",
              "numberInSurah": 81,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "কুল ইন কা-না লিররাহমা-নি ওয়ালাদুন ফাআনা-আওওয়ালুল ‘আ-বিদীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِن/in//كَانَ/كَانَ/kana//لِلرَّحْمٰنِ/لِلرَّحۡمَٰنِ/lilrrahmani//وَلَدٌ ۖۗ/وَلَدٞ/waladun//فَاَنَا/فَأَنَا۠/fa-ana//اَوَّلُ/أَوَّلُ/awwalu//الْعٰبِدِیْنَ /ٱلۡعَٰبِدِينَ/al-'abidina",
              "words_bangla": "বলো//\"যদি//থাকতো//দয়াময়ের জন্যে//কোনো ছেলে//তবে আমি//প্রথম (হতাম)//উপাসকদের মধ্যে\""
            },
            {
              "number": 4407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4407.mp3"
              ],
              "text": "سُبْحَٰنَ رَبِّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ رَبِّ ٱلْعَرْشِ عَمَّا يَصِفُونَ",
              "translate_bn": "তারা যা বর্ণনা করে, তা থেকে নভোমন্ডল ও ভূমন্ডলের পালনকর্তা, আরশের পালনকর্তা পবিত্র।",
              "numberInSurah": 82,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ছুবহা-না রাব্বিছ ছামা-ওয়া-তি ওয়াল আরদিরাব্বিল ‘আরশি ‘আম্মা-ইয়াসিফূন।",
              "words_arabic": "سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//رَبِّ/رَبِّ/rabbi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//رَبِّ/رَبِّ/rabbi//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//عَمَّا/عَمَّا/amma//یَصِفُوْنَ /يَصِفُونَ/yasifuna",
              "words_bangla": "মহান পবিত্র//রব//আকাশের//ও পৃথিবীর//রব//আরশের//তা হ'তে যা//তারা আরোপ করে"
            },
            {
              "number": 4408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4408.mp3"
              ],
              "text": "فَذَرْهُمْ يَخُوضُوا۟ وَيَلْعَبُوا۟ حَتَّىٰ يُلَٰقُوا۟ يَوْمَهُمُ ٱلَّذِى يُوعَدُونَ",
              "translate_bn": "অতএব, তাদেরকে বাকচাতুরী ও ক্রীড়া-কৌতুক করতে দিন সেই দিবসের সাক্ষাত পর্যন্ত, যার ওয়াদা তাদেরকে দেয়া হয়।",
              "numberInSurah": 83,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ফাযারহুম ইয়াখূদূওয়া ইয়াল‘আবূহাত্তা-ইউলা-কূইয়াওমা হুমুল্লাযী ইঊ‘আদূন।",
              "words_arabic": "فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//یَخُوْضُوْا/يَخُوضُواْ/yakhudu//وَ یَلْعَبُوْا/وَيَلۡعَبُواْ/wayal'abu//حَتّٰی/حَتَّىٰ/hatta//یُلٰقُوْا/يُلَٰقُواْ/yulaqu//یَوْمَهُمُ/يَوۡمَهُمُ/yawmahumu//الَّذِیْ/ٱلَّذِي/alladhi//یُوْعَدُوْنَ /يُوعَدُونَ/yu'aduna",
              "words_bangla": "সুতরাং ছেড়ে দাও তাদেরকে//বাকবিতন্ডা করতে//ও ক্রীড়া-কৌতুক করতে//যতক্ষণ না//তারা সাক্ষাত পায়//তাদের দিনের//যা//তাদের প্রতিশ্রুতি দেয়া হচ্ছে"
            },
            {
              "number": 4409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4409.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى فِى ٱلسَّمَآءِ إِلَٰهٌۭ وَفِى ٱلْأَرْضِ إِلَٰهٌۭ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْعَلِيمُ",
              "translate_bn": "তিনিই উপাস্য নভোমন্ডলে এবং তিনিই উপাস্য ভুমন্ডলে। তিনি প্রজ্ঞাময়, সর্বজ্ঞ,",
              "numberInSurah": 84,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল্লাযী ফিছ ছামাই ইলা-হুওঁ ওয়া ফিল আরদিইলা-হুওঁ ওয়া হুওয়াল হাকীমুল ‘আলীম।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اِلٰهٌ/إِلَٰهٞ/ilahun//وَّ فِی/وَفِي/wafi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اِلٰهٌ ؕ/إِلَٰهٞۚ/ilahun//وَ هُوَ/وَهُوَ/wahuwa//الْحَكِیْمُ/ٱلۡحَكِيمُ/al-hakimu//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "এবং তিনিই (আল্লাহ)//যিনি//আছেন//আকাশে//ইলাহ//এবং আছেন//পৃথিবীতেও//ইলাহ//এবং তিনিই//মহাজ্ঞানী//মহাবিজ্ঞ"
            },
            {
              "number": 4410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4410.mp3"
              ],
              "text": "وَتَبَارَكَ ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا وَعِندَهُۥ عِلْمُ ٱلسَّاعَةِ وَإِلَيْهِ تُرْجَعُونَ",
              "translate_bn": "বরকতময় তিনিই, নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু যার। তাঁরই কাছে আছে কেয়ামতের জ্ঞান এবং তাঁরই দিকে তোমরা প্রত্যাবর্তিত হবে।",
              "numberInSurah": 85,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাবা-রাকাল্লাযী লাহূমুলকুছ ছামা-ওয়া-তি ওয়াল আরদিওয়ামা-বাইনাহুমা- ওয়া ‘ইনদাহূ‘ইল মুছ ছা-‘আতি ওয়া ইলাইহি তুর জা‘ঊন।\r\n",
              "words_arabic": "وَ تَبٰرَكَ/وَتَبَارَكَ/watabaraka//الَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ۚ/بَيۡنَهُمَا/baynahuma//وَ عِنْدَهٗ/وَعِندَهُۥ/wa'indahu//عِلْمُ/عِلۡمُ/il'mu//السَّاعَةِ ۚ/ٱلسَّاعَةِ/al-sa'ati//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "এবং মহান তিনি//যিনি (এমন সত্ত্বা যে)//তাঁরই//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এবং যা কিছু//তাদের উভয়ের মাঝে আছে//এবং তাঁরই কাছে আছে//জ্ঞান//ক্বিয়ামাতের//এবং তাঁরই দিকে//তোমাদেরকে ফিরে যেতে হবে"
            },
            {
              "number": 4411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4411.mp3"
              ],
              "text": "وَلَا يَمْلِكُ ٱلَّذِينَ يَدْعُونَ مِن دُونِهِ ٱلشَّفَٰعَةَ إِلَّا مَن شَهِدَ بِٱلْحَقِّ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "তিনি ব্যতীত তারা যাদের পুজা করে, তারা সুপারিশের অধিকারী হবে না, তবে যারা সত্য স্বীকার করত ও বিশ্বাস করত।",
              "numberInSurah": 86,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়ামলিকুল্লাযীনা ইয়াদ‘ঊনা মিন দূনিহিশশাফা-‘আতা ইল্লা-মান শাহিদা বিলহাক্কি ওয়া হুম ইয়া‘লামূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَمْلِكُ/يَمۡلِكُ/yamliku//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَدْعُوْنَ/يَدۡعُونَ/yad'una//مِنْ/مِن/min//دُوْنِهِ/دُونِهِ/dunihi//الشَّفَاعَةَ/ٱلشَّفَٰعَةَ/al-shafa'ata//اِلَّا/إِلَّا/illa//مَنْ/مَن/man//شَهِدَ/شَهِدَ/shahida//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং না//ক্ষমতা রাখে//যাদেরকে//তারা ডাকে//মধ্য হতে//তাঁকে ছাড়া//সুপারিশের//কিন্তু//যে//সাক্ষ্য দেয়//সত্যের//তারা যখন//জানেও"
            },
            {
              "number": 4412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4412.mp3"
              ],
              "text": "وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَهُمْ لَيَقُولُنَّ ٱللَّهُ ۖ فَأَنَّىٰ يُؤْفَكُونَ",
              "translate_bn": "যদি আপনি তাদেরকে জিজ্ঞাসা করেন, কে তাদেরকে সৃষ্টি করেছেন, তবে অবশ্যই তারা বলবে, আল্লাহ, অতঃপর তারা কোথায় ফিরে যাচ্ছে ?",
              "numberInSurah": 87,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া লায়িন ছাআলতাহুম মান খালাকাহুম লা ইয়াকূলুন্নাল্লা-হু ফাআন্না-ইউ’ফাকূন।",
              "words_arabic": "وَ لَىِٕنْ/وَلَئِن/wala-in//سَاَلْتَهُمْ/سَأَلۡتَهُم/sa-altahum//مَّنْ/مَّنۡ/man//خَلَقَهُمْ/خَلَقَهُمۡ/khalaqahum//لَیَقُوْلُنَّ/لَيَقُولُنَّ/layaqulunna//اللّٰهُ/ٱللَّهُۖ/al-lahu//فَاَنّٰی/فَأَنَّىٰ/fa-anna//یُؤْفَكُوْنَۙ/يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "এবং অবশ্যই যদি//তাদেরকে তুমি জিজ্ঞেস করো//কে//তাদের সৃষ্টি করেছে//অবশ্যই তারা বলবে//\"আল্লাহ\"//তাহ'লে কোথায়//তাদের ফিরানো হচ্ছে"
            },
            {
              "number": 4413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4413.mp3"
              ],
              "text": "وَقِيلِهِۦ يَٰرَبِّ إِنَّ هَٰٓؤُلَآءِ قَوْمٌۭ لَّا يُؤْمِنُونَ",
              "translate_bn": "রসূলের এই উক্তির কসম, হে আমার পালনকর্তা, এ সম্প্রদায় তো বিশ্বাস স্থাপন করে না।",
              "numberInSurah": 88,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলিহী ইয়া-রাব্বি ইন্না হাউলাই কাওমুল লা-ইউ’মিনূন।",
              "words_arabic": "وَ قِیْلِهٖ/وَقِيلِهِۦ/waqilihi//یٰرَبِّ/يَٰرَبِّ/yarabbi//اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یُؤْمِنُوْنَۘ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "শপথ তার (অর্থাৎ নাবীর) কথার//\"হে আমার রব//নিশ্চয়ই//এসব//সম্প্রদায়//না//ঈমান আনবে\""
            },
            {
              "number": 4414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4414.mp3"
              ],
              "text": "فَٱصْفَحْ عَنْهُمْ وَقُلْ سَلَٰمٌۭ ۚ فَسَوْفَ يَعْلَمُونَ",
              "translate_bn": "অতএব, আপনি তাদের থেকে মুখ ফিরিয়ে নিন এবং বলুন, ‘সালাম’। তারা শীঘ্রই জানতে পারবে।",
              "numberInSurah": 89,
              "juz": 25,
              "manzil": 6,
              "page": 495,
              "ruku": 430,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ফাসফাহ‘আনহুম ওয়া কুল ছালা-মুন ফাছাওফা ইয়া‘লামূন।",
              "words_arabic": "فَاصْفَحْ/فَٱصۡفَحۡ/fa-is'fah//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ قُلْ/وَقُلۡ/waqul//سَلٰمٌ ؕ/سَلَٰمٞۚ/salamun//فَسَوْفَ/فَسَوۡفَ/fasawfa//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "সুতরাং উপেক্ষা করো//থেকে তাদের//এবং বলো//\"সালাম\"//অতঃপর শীঘ্রই//তারা জানতে পারবে"
            }
          ]
        },
        {
          "number": 44,
          "name": "سُورَةُ الدُّخَانِ",
          "englishName": "Ad-Dukhaan",
          "englishNameTranslation": "The Smoke",
          "revelationType": "Meccan",
          "verse": 59,
          "words": 710,
          "chars": 3023,
          "ayahs": [
            {
              "number": 4415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4415.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।",
              "words_arabic": "حٰمٓۚۛ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4416.mp3"
              ],
              "text": "وَٱلْكِتَٰبِ ٱلْمُبِينِ",
              "translate_bn": "শপথ সুস্পষ্ট কিতাবের।",
              "numberInSurah": 2,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কিতা-বিল মুবীন।",
              "words_arabic": "وَ الْكِتٰبِ/وَٱلۡكِتَٰبِ/wal-kitabi//الْمُبِیْنِۙۛ/ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "শপথ (এই) কিতাবের//সুস্পষ্ট"
            },
            {
              "number": 4417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4417.mp3"
              ],
              "text": "إِنَّآ أَنزَلْنَٰهُ فِى لَيْلَةٍۢ مُّبَٰرَكَةٍ ۚ إِنَّا كُنَّا مُنذِرِينَ",
              "translate_bn": "আমি একে নাযিল করেছি। এক বরকতময় রাতে, নিশ্চয় আমি সতর্ককারী।",
              "numberInSurah": 3,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনা-হূফী লাইলাতিম মুবা-রাকাতিন ইন্না-কুন্না-মুনযিরীন।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//فِیْ/فِي/fi//لَیْلَةٍ/لَيۡلَةٖ/laylatin//مُّبٰرَكَةٍ/مُّبَٰرَكَةٍۚ/mubarakatin//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//مُنْذِرِیْنَ /مُنذِرِينَ/mundhirina",
              "words_bangla": "নিশ্চয়ই আমরা//তা আমরা অবতীর্ণ করেছি//মধ্যে//এক রাতের//সৌভাগ্যময়//নিশ্চয়ই আমরা//আমরা ছিলাম//সতর্ককারী"
            },
            {
              "number": 4418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4418.mp3"
              ],
              "text": "فِيهَا يُفْرَقُ كُلُّ أَمْرٍ حَكِيمٍ",
              "translate_bn": "এ রাতে প্রত্যেক প্রজ্ঞাপূর্ণ বিষয় স্থিরীকৃত হয়।",
              "numberInSurah": 4,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ফীহা-ইউফরাকুকুল্লুআমরিন হাকীম।",
              "words_arabic": "فِیْهَا/فِيهَا/fiha//یُفْرَقُ/يُفۡرَقُ/yuf'raqu//كُلُّ/كُلُّ/kullu//اَمْرٍ/أَمۡرٍ/amrin//حَكِیْمٍۙ/حَكِيمٍ/hakimin",
              "words_bangla": "তার মধ্যে(অর্থাৎ সেই রাতে)//স্থির করা হয়//প্রত্যেক//বিষয়//বিজ্ঞতাপূর্ণ"
            },
            {
              "number": 4419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4419.mp3"
              ],
              "text": "أَمْرًۭا مِّنْ عِندِنَآ ۚ إِنَّا كُنَّا مُرْسِلِينَ",
              "translate_bn": "আমার পক্ষ থেকে আদেশক্রমে, আমিই প্রেরণকারী।",
              "numberInSurah": 5,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আমরাম মিন ‘ইনদিনা- ইন্না-কুন্না-মুরছিলীন।",
              "words_arabic": "اَمْرًا/أَمۡرٗا/amran//مِّنْ/مِّنۡ/min//عِنْدِنَا ؕ/عِندِنَآۚ/indina//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//مُرْسِلِیْنَۚ/مُرۡسِلِينَ/mur'silina",
              "words_bangla": "নির্দেশক্রমে//থেকে//আমাদের নিকট//নিশ্চয়ই আমরা//আমরা ছিলাম//(এক রাসূল) প্রেরণকারী"
            },
            {
              "number": 4420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4420.mp3"
              ],
              "text": "رَحْمَةًۭ مِّن رَّبِّكَ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ",
              "translate_bn": "আপনার পালনকর্তার পক্ষ থেকে রহমতস্বরূপ। তিনি সর্বশ্রোতা, সর্বজ্ঞ।",
              "numberInSurah": 6,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "রাহমাতাম মির রাব্বিকা ইন্নাহূহুওয়াছ ছামী‘উল ‘আলীম।",
              "words_arabic": "رَحْمَةً/رَحۡمَةٗ/rahmatan//مِّنْ/مِّن/min//رَّبِّكَ ؕ/رَّبِّكَۚ/rabbika//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//السَّمِیْعُ/ٱلسَّمِيعُ/al-sami'u//الْعَلِیْمُۙ/ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "অনুগ্রহস্বরূপ//পক্ষ হ'তে//তোমার রবের//নিশ্চয়ই তিনি//তিনিই//সব কিছুই শুনেন//সবকিছু জানেন"
            },
            {
              "number": 4421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4421.mp3"
              ],
              "text": "رَبِّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُم مُّوقِنِينَ",
              "translate_bn": "যদি তোমাদের বিশ্বাস থাকে দেখতে পাবে। তিনি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যেবর্তী সবকিছুর পালনকর্তা।",
              "numberInSurah": 7,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "রাব্বিছ ছামা-ওয়া-তি ওয়াল আরদিওয়া মা-বাইনাহুমা- । ইন কনতুম মূকিনীন।",
              "words_arabic": "رَبِّ/رَبِّ/rabbi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا ۘ/بَيۡنَهُمَآۖ/baynahuma//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّوْقِنِیْنَ /مُّوقِنِينَ/muqinina",
              "words_bangla": "(তিনি) রব//আকাশের//ও পৃথিবীর//এবং যা কিছু//উভয়ের মাঝে আছে//যদি//তোমরা হয়ে থাকো//নিশ্চিত বিশ্বাসী"
            },
            {
              "number": 4422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4422.mp3"
              ],
              "text": "لَآ إِلَٰهَ إِلَّا هُوَ يُحْىِۦ وَيُمِيتُ ۖ رَبُّكُمْ وَرَبُّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ",
              "translate_bn": "তিনি ব্যতীত কোন উপাস্য নেই। তিনি জীবন দান করেন ও মৃত্যু দেন। তিনি তোমাদের পালনকর্তা এবং তোমাদের পূর্ববর্তী পিতৃ-পুরুষদেরও পালনকর্তা।",
              "numberInSurah": 8,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "লাইলা-হা ইল্লা-হুওয়া ইউহয়ী ওয়া ইউমীতু রাব্বুকুম ওয়া রাব্বুআ-বাইকুমুল আওওয়ালীন।",
              "words_arabic": "لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ؕ/وَيُمِيتُۖ/wayumitu//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//وَ رَبُّ/وَرَبُّ/warabbu//اٰبَآىِٕكُمُ/ءَابَآئِكُمُ/abaikumu//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "নেই//কোনো ইলাহ//ছাড়া//তিনি//তিনি জীবন দেন//এবং মৃত্যুও ঘটান//তোমাদের রব//ও রব//তোমাদের পিতৃপুরুষদের//পূর্বকালের"
            },
            {
              "number": 4423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4423.mp3"
              ],
              "text": "بَلْ هُمْ فِى شَكٍّۢ يَلْعَبُونَ",
              "translate_bn": "এতদসত্ত্বেও এরা সন্দেহে পতিত হয়ে ক্রীড়া-কৌতুক করছে।",
              "numberInSurah": 9,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "বালহুম ফী শাক্কিইঁ ইয়াল‘আবূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//شَكٍّ/شَكّٖ/shakkin//یَّلْعَبُوْنَ /يَلۡعَبُونَ/yal'abuna",
              "words_bangla": "বরং//তারা//মধ্যে//সন্দেহের//খেলা করছে"
            },
            {
              "number": 4424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4424.mp3"
              ],
              "text": "فَٱرْتَقِبْ يَوْمَ تَأْتِى ٱلسَّمَآءُ بِدُخَانٍۢ مُّبِينٍۢ",
              "translate_bn": "অতএব আপনি সেই দিনের অপেক্ষা করুন, যখন আকাশ ধূয়ায় ছেয়ে যাবে।",
              "numberInSurah": 10,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ফারতাকিব ইয়াওমা তা’তিছ ছামাউ বিদুখা-নিম মুবীন।",
              "words_arabic": "فَارْتَقِبْ/فَٱرۡتَقِبۡ/fa-ir'taqib//یَوْمَ/يَوۡمَ/yawma//تَاْتِی/تَأۡتِي/tati//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//بِدُخَانٍ/بِدُخَانٖ/bidukhanin//مُّبِیْنٍۙ/مُّبِينٖ/mubinin",
              "words_bangla": "সুতরাং অপেক্ষা করো//সেই দিনের (যখন)//আসবে//আকাশ//নিয়ে ধোঁয়া (আচ্ছন্ন হয়ে)//সুস্পষ্ট"
            },
            {
              "number": 4425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4425.mp3"
              ],
              "text": "يَغْشَى ٱلنَّاسَ ۖ هَٰذَا عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "যা মানুষকে ঘিরে ফেলবে। এটা যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 11,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইয়াগশান্না-ছা হা-যা-‘আযা-বুন আলীম।",
              "words_arabic": "یَّغْشَی/يَغۡشَى/yaghsha//النَّاسَ ؕ/ٱلنَّاسَۖ/al-nasa//هٰذَا/هَٰذَا/hadha//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "ঢেকে নিবে//মানুষকে//এটাই//শাস্তি//নিদারুণ"
            },
            {
              "number": 4426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4426.mp3"
              ],
              "text": "رَّبَّنَا ٱكْشِفْ عَنَّا ٱلْعَذَابَ إِنَّا مُؤْمِنُونَ",
              "translate_bn": "হে আমাদের পালনকর্তা আমাদের উপর থেকে শাস্তি প্রত্যাহার করুন, আমরা বিশ্বাস স্থাপন করছি।",
              "numberInSurah": 12,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "রাব্বানাকশিফ ‘আন্নাল ‘আযা-বা ইন্না-মু’মিনূন।",
              "words_arabic": "رَبَّنَا/رَّبَّنَا/rabbana//اكْشِفْ/ٱكۡشِفۡ/ik'shif//عَنَّا/عَنَّا/anna//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//اِنَّا/إِنَّا/inna//مُؤْمِنُوْنَ /مُؤۡمِنُونَ/mu'minuna",
              "words_bangla": "\"(এখন তারা বলে) হে আমাদের রব//দূর করো//আমাদের থেকে//শাস্তি//নিশ্চয়ই আমরা//বিশ্বাসী হবো (ঈমান আনবো)\""
            },
            {
              "number": 4427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4427.mp3"
              ],
              "text": "أَنَّىٰ لَهُمُ ٱلذِّكْرَىٰ وَقَدْ جَآءَهُمْ رَسُولٌۭ مُّبِينٌۭ",
              "translate_bn": "তারা কি করে বুঝবে, অথচ তাদের কাছে এসেছিলেন স্পষ্ট বর্ণনাকারী রসূল।",
              "numberInSurah": 13,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "আন্না-লাহুমুযযিকরা-ওয়াকাদ জাআহুম রাছূলুম মুবীন।",
              "words_arabic": "اَنّٰی/أَنَّىٰ/anna//لَهُمُ/لَهُمُ/lahumu//الذِّكْرٰی/ٱلذِّكۡرَىٰ/al-dhik'ra//وَ قَدْ/وَقَدۡ/waqad//جَآءَهُمْ/جَآءَهُمۡ/jaahum//رَسُوْلٌ/رَسُولٞ/rasulun//مُّبِیْنٌۙ/مُّبِينٞ/mubinun",
              "words_bangla": "কেমন করে হবে//তাদের জন্যে//উপদেশ গ্রহণ (সম্ভব হবে)//অথচ নিশ্চয়ই//তাদের কাছে এসেছে//একজন রাসূল//সুস্পষ্ট"
            },
            {
              "number": 4428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4428.mp3"
              ],
              "text": "ثُمَّ تَوَلَّوْا۟ عَنْهُ وَقَالُوا۟ مُعَلَّمٌۭ مَّجْنُونٌ",
              "translate_bn": "অতঃপর তারা তাকে পৃষ্ঠপ্রদর্শন করে এবং বলে, সে তো উম্মাদ-শিখানো কথা বলে।",
              "numberInSurah": 14,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা তাওয়াল্লাও ‘আনহু ওয়া কা-লূমু‘আল্লামুম মাজনূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//عَنْهُ/عَنۡهُ/anhu//وَ قَالُوْا/وَقَالُواْ/waqalu//مُعَلَّمٌ/مُعَلَّمٞ/mu'allamun//مَّجْنُوْنٌۘ/مَّجۡنُونٌ/majnunun",
              "words_bangla": "এরপরও//তারা ফিরে যায়//তা হ'তে//এবং তারা বললো//\"(সে একজন) প্রশিক্ষণপ্রাপ্ত//পাগল\""
            },
            {
              "number": 4429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4429.mp3"
              ],
              "text": "إِنَّا كَاشِفُوا۟ ٱلْعَذَابِ قَلِيلًا ۚ إِنَّكُمْ عَآئِدُونَ",
              "translate_bn": "আমি তোমাদের উপর থেকে আযাব কিছুটা প্রত্যাহার করব, কিন্তু তোমরা পুনরায় পুনর্বস্থায় ফিরে যাবে।",
              "numberInSurah": 15,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কা-শিফুল ‘আযা-বি কালীলান ইন্নাকুম ‘আইদূন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَاشِفُوا/كَاشِفُواْ/kashifu//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//قَلِیْلًا/قَلِيلًاۚ/qalilan//اِنَّكُمْ/إِنَّكُمۡ/innakum//عَآىِٕدُوْنَۘ/عَآئِدُونَ/aiduna",
              "words_bangla": "নিশ্চয়ই আমরা//দূর করে দিই//শাস্তি//কিছুটা (তবুও)//তোমরা নিশ্চয়ই//আগের অবস্হায় ফিরে যাও (যা পূর্বে করতে)"
            },
            {
              "number": 4430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4430.mp3"
              ],
              "text": "يَوْمَ نَبْطِشُ ٱلْبَطْشَةَ ٱلْكُبْرَىٰٓ إِنَّا مُنتَقِمُونَ",
              "translate_bn": "যেদিন আমি প্রবলভাবে ধৃত করব, সেদিন পুরোপুরি প্রতিশোধ গ্রহণ করবই।",
              "numberInSurah": 16,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 198,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা নাবতিশুল বাতশাতাল কুবরা- ইন্না-মুনতাকিমূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//نَبْطِشُ/نَبۡطِشُ/nabtishu//الْبَطْشَةَ/ٱلۡبَطۡشَةَ/al-batshata//الْكُبْرٰی ۚ/ٱلۡكُبۡرَىٰٓ/al-kub'ra//اِنَّا/إِنَّا/inna//مُنْتَقِمُوْنَ /مُنتَقِمُونَ/muntaqimuna",
              "words_bangla": "যেদিন//আমরা পাকড়াও করবো//পাকড়াও//কঠিনভাবে//নিশ্চয়ই আমরা//প্রতিশোধ গ্রহণকারী(সেহদিন)"
            },
            {
              "number": 4431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4431.mp3"
              ],
              "text": "۞ وَلَقَدْ فَتَنَّا قَبْلَهُمْ قَوْمَ فِرْعَوْنَ وَجَآءَهُمْ رَسُولٌۭ كَرِيمٌ",
              "translate_bn": "তাদের পূর্বে আমি ফেরাউনের সম্প্রদায়কে পরীক্ষা করেছি এবং তাদের কাছে আগমন করেছেন একজন সম্মানিত রসূল,",
              "numberInSurah": 17,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ফাতান্না-কাবলাহুম কাওমা ফির‘আওনা ওয়া জাআহুম রাছূলুন কারীম।",
              "words_arabic": "وَ لَقَدْ/۞وَلَقَدۡ/walaqad//فَتَنَّا/فَتَنَّا/fatanna//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمَ/قَوۡمَ/qawma//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ جَآءَهُمْ/وَجَآءَهُمۡ/wajaahum//رَسُوْلٌ/رَسُولٞ/rasulun//كَرِیْمٌۙ/كَرِيمٌ/karimun",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পরীক্ষা করেছি//তাদের পুর্বে//জাতিকে//ফিরআউনের//এবং তাদের কাছে এসেছিলো//একজন রাসূল//মহান"
            },
            {
              "number": 4432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4432.mp3"
              ],
              "text": "أَنْ أَدُّوٓا۟ إِلَىَّ عِبَادَ ٱللَّهِ ۖ إِنِّى لَكُمْ رَسُولٌ أَمِينٌۭ",
              "translate_bn": "এই মর্মে যে, আল্লাহর বান্দাদেরকে আমার কাছে অর্পণ কর। আমি তোমাদের জন্য প্রেরীত বিশ্বস্ত রসূল।",
              "numberInSurah": 18,
              "juz": 25,
              "manzil": 6,
              "page": 496,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "আন আদ্দূইলাইইয়া ‘ইবা-দাল্লা-হি ইন্নী লাকুম রাছূলুন আমীন।\r\n",
              "words_arabic": "اَنْ/أَنۡ/an//اَدُّوْۤا/أَدُّوٓاْ/addu//اِلَیَّ/إِلَيَّ/ilayya//عِبَادَ/عِبَادَ/ibada//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//رَسُوْلٌ/رَسُولٌ/rasulun//اَمِیْنٌۙ/أَمِينٞ/aminun",
              "words_bangla": "(সে বলেছিলো) যে//\"তোমরা সমর্পণ করো//আমার কাছে//দাসদেরকে//আল্লাহ্‌র//নিশ্চয়ই আমি//তোমাদের জন্যে//রাসূল//বিশ্বস্ত"
            },
            {
              "number": 4433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4433.mp3"
              ],
              "text": "وَأَن لَّا تَعْلُوا۟ عَلَى ٱللَّهِ ۖ إِنِّىٓ ءَاتِيكُم بِسُلْطَٰنٍۢ مُّبِينٍۢ",
              "translate_bn": "আর তোমরা আল্লাহর বিরুদ্ধে ঔদ্ধত্য প্রকাশ করো না। আমি তোমাদের কাছে প্রকাশ্য প্রমাণ উপস্থিত করছি।",
              "numberInSurah": 19,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল্লা-তা‘লূ‘আল্লাল্লা-হি ইন্নীআ-তীকুম বিছুলতা-নিম মুবীন।",
              "words_arabic": "وَّ اَنْ/وَأَن/wa-an//لَّا/لَّا/la//تَعْلُوْا/تَعۡلُواْ/ta'lu//عَلَی/عَلَى/ala//اللّٰهِ ۚ/ٱللَّهِۖ/al-lahi//اِنِّیْۤ/إِنِّيٓ/inni//اٰتِیْكُمْ/ءَاتِيكُم/atikum//بِسُلْطٰنٍ/بِسُلۡطَٰنٖ/bisul'tanin//مُّبِیْنٍۚ/مُّبِينٖ/mubinin",
              "words_bangla": "এবং (এও বলেছিল) যে//না//বড়াই করো//উপর//আল্লাহ্‌র//আমি নিশ্চয়ই//তোমাদের কাছে এসেছি//নিয়ে প্রমাণ//সুস্পষ্ট"
            },
            {
              "number": 4434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4434.mp3"
              ],
              "text": "وَإِنِّى عُذْتُ بِرَبِّى وَرَبِّكُمْ أَن تَرْجُمُونِ",
              "translate_bn": "তোমরা যাতে আমাকে প্রস্তরবর্ষণে হত্যা না কর, তজ্জন্যে আমি আমার পালনকর্তা ও তোমাদের পালনকর্তার শরনাপন্ন হয়েছি।",
              "numberInSurah": 20,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নী ‘উযতুবিরাববী ওয়া রাব্বিকুম আন তার জুমূন।",
              "words_arabic": "وَ اِنِّیْ/وَإِنِّي/wa-inni//عُذْتُ/عُذۡتُ/udh'tu//بِرَبِّیْ/بِرَبِّي/birabbi//وَ رَبِّكُمْ/وَرَبِّكُمۡ/warabbikum//اَنْ/أَن/an//تَرْجُمُوْنِؗ/تَرۡجُمُونِ/tarjumuni",
              "words_bangla": "এবং নিশ্চয়ই আমি//আশ্রয় নিয়েছি//আমার রবের (কাছে)//এবং তোমাদের (প্রকৃত রবের)//(এ হ'তে) যে//আমাকে তোমরা পাথর মেরে হত্যা করবে"
            },
            {
              "number": 4435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4435.mp3"
              ],
              "text": "وَإِن لَّمْ تُؤْمِنُوا۟ لِى فَٱعْتَزِلُونِ",
              "translate_bn": "তোমরা যদি আমার প্রতি বিশ্বাস স্থাপন না কর, তবে আমার কাছ থেকে দূরে থাক।",
              "numberInSurah": 21,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইল্লাম তু’মিনূলী ফা‘তাঝিলূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//لَّمْ/لَّمۡ/lam//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//لِیْ/لِي/li//فَاعْتَزِلُوْنِ /فَٱعۡتَزِلُونِ/fa-i'taziluni",
              "words_bangla": "আর যদি//না//তোমরা ঈমান আনো//আমার উপর//তবে আমার থেকে দূরে থাকো\""
            },
            {
              "number": 4436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4436.mp3"
              ],
              "text": "فَدَعَا رَبَّهُۥٓ أَنَّ هَٰٓؤُلَآءِ قَوْمٌۭ مُّجْرِمُونَ",
              "translate_bn": "অতঃপর সে তার পালনকর্তার কাছে দোয়া করল যে, এরা অপরাধী সম্প্রদায়।",
              "numberInSurah": 22,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফাদা‘আ-রাব্বাহূআন্না হাউলাই কাওমুম মুজরিমূন।",
              "words_arabic": "فَدَعَا/فَدَعَا/fada'a//رَبَّهٗۤ/رَبَّهُۥٓ/rabbahu//اَنَّ/أَنَّ/anna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//قَوْمٌ/قَوۡمٞ/qawmun//مُّجْرِمُوْنَ /مُّجۡرِمُونَ/muj'rimuna",
              "words_bangla": "অবশেষে সে ডাকলো//তার রবকে//\"(এবং বললো) যে//এসব//সম্প্রদায়//অপরাধী (তাদের মীমাংসা করো)\""
            },
            {
              "number": 4437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4437.mp3"
              ],
              "text": "فَأَسْرِ بِعِبَادِى لَيْلًا إِنَّكُم مُّتَّبَعُونَ",
              "translate_bn": "তাহলে তুমি আমার বান্দাদেরকে নিয়ে রাত্রিবেলায় বের হয়ে পড়। নিশ্চয় তোমাদের পশ্চাদ্ধবন করা হবে।",
              "numberInSurah": 23,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফাআছরি বি‘ইবা-দী লাইলান ইন্নাকুম মুত্তাবা‘ঊন।\r\n",
              "words_arabic": "فَاَسْرِ/فَأَسۡرِ/fa-asri//بِعِبَادِیْ/بِعِبَادِي/bi'ibadi//لَیْلًا/لَيۡلًا/laylan//اِنَّكُمْ/إِنَّكُم/innakum//مُّتَّبَعُوْنَۙ/مُّتَّبَعُونَ/muttaba'una",
              "words_bangla": "(বলা হলো) রওনা হও তাহ'লে//আমার দাসদের নিয়ে//রাতে//নিশ্চয়ই তোমাদের//পিছনে (ধাওয়া) করা হবে"
            },
            {
              "number": 4438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4438.mp3"
              ],
              "text": "وَٱتْرُكِ ٱلْبَحْرَ رَهْوًا ۖ إِنَّهُمْ جُندٌۭ مُّغْرَقُونَ",
              "translate_bn": "এবং সমুদ্রকে অচল থাকতে দাও। নিশ্চয় ওরা নিমজ্জত বাহিনী।",
              "numberInSurah": 24,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়াতরুকিল বাহরা রাহওয়া- ইন্নাহুম জনদুম মুগরাকূন।",
              "words_arabic": "وَ اتْرُكِ/وَٱتۡرُكِ/wa-ut'ruki//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//رَهْوًا ؕ/رَهۡوًاۖ/rahwan//اِنَّهُمْ/إِنَّهُمۡ/innahum//جُنْدٌ/جُندٞ/jundun//مُّغْرَقُوْنَ /مُّغۡرَقُونَ/mugh'raquna",
              "words_bangla": "এবং ছেড়ে দাও//সাগরকে//শান্ত অবস্হায়//তারা নিশ্চয়ই//(অর্থাৎ ধাওয়াকারী) সৈন্যবাহিনী//ডুবে যাবে\""
            },
            {
              "number": 4439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4439.mp3"
              ],
              "text": "كَمْ تَرَكُوا۟ مِن جَنَّٰتٍۢ وَعُيُونٍۢ",
              "translate_bn": "তারা ছেড়ে গিয়েছিল কত উদ্যান ও প্রস্রবন,",
              "numberInSurah": 25,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "কাম তারাকূমিন জান্না-তিওঁ ওয়া ‘উইয়ূন।",
              "words_arabic": "كَمْ/كَمۡ/kam//تَرَكُوْا/تَرَكُواْ/taraku//مِنْ/مِن/min//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍۙ/وَعُيُونٖ/wa'uyunin",
              "words_bangla": "কতই না//তারা ছেড়েছিলো//মধ্য হতে//বাগান//ও ঝর্ণাসমূহ"
            },
            {
              "number": 4440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4440.mp3"
              ],
              "text": "وَزُرُوعٍۢ وَمَقَامٍۢ كَرِيمٍۢ",
              "translate_bn": "কত শস্যক্ষেত্র ও সূরম্য স্থান।",
              "numberInSurah": 26,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঝুরূ‘ইওঁ ওয়া মাকা-মিন কারীম।",
              "words_arabic": "وَّ زُرُوْعٍ/وَزُرُوعٖ/wazuru'in//وَّ مَقَامٍ/وَمَقَامٖ/wamaqamin//كَرِیْمٍۙ/كَرِيمٖ/karimin",
              "words_bangla": "এবং শস্যক্ষেত//ও বাসস্থান//সুন্দর"
            },
            {
              "number": 4441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4441.mp3"
              ],
              "text": "وَنَعْمَةٍۢ كَانُوا۟ فِيهَا فَٰكِهِينَ",
              "translate_bn": "কত সুখের উপকরণ, যাতে তারা খোশগল্প করত।",
              "numberInSurah": 27,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া না‘মাতিন কা-নূফীহা-ফা-কিহীন।",
              "words_arabic": "وَّ نَعْمَةٍ/وَنَعۡمَةٖ/wana'matin//كَانُوْا/كَانُواْ/kanu//فِیْهَا/فِيهَا/fiha//فٰكِهِیْنَۙ/فَٰكِهِينَ/fakihina",
              "words_bangla": "এবং বিলাস//তারা ছিলো//যার মধ্যে//আনন্দকারী (সব ছেড়ে চলে গেলো)"
            },
            {
              "number": 4442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4442.mp3"
              ],
              "text": "كَذَٰلِكَ ۖ وَأَوْرَثْنَٰهَا قَوْمًا ءَاخَرِينَ",
              "translate_bn": "এমনিই হয়েছিল এবং আমি ওগুলোর মালিক করেছিলাম ভিন্ন সম্প্রদায়কে।",
              "numberInSurah": 28,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ওয়া আওরাছনা-হা-কাওমান আ-খারীন।",
              "words_arabic": "كَذٰلِكَ ۫/كَذَٰلِكَۖ/kadhalika//وَ اَوْرَثْنٰهَا/وَأَوۡرَثۡنَٰهَا/wa-awrathnaha//قَوْمًا/قَوۡمًا/qawman//اٰخَرِیْنَ /ءَاخَرِينَ/akharina",
              "words_bangla": "এভাবেই (পরিণাম হয়েছিলো)//এবং তার আমরা উত্তরাধিকারী করেছিলাম//সম্প্রদায়কে//অন্য"
            },
            {
              "number": 4443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4443.mp3"
              ],
              "text": "فَمَا بَكَتْ عَلَيْهِمُ ٱلسَّمَآءُ وَٱلْأَرْضُ وَمَا كَانُوا۟ مُنظَرِينَ",
              "translate_bn": "তাদের জন্যে ক্রন্দন করেনি আকাশ ও পৃথিবী এবং তারা অবকাশও পায়নি।",
              "numberInSurah": 29,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 431,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফামা-বাকাত ‘আলাইহিমুছ ছামাউ ওয়াল আরদুওয়ামা-কা-নূমুনজারীন।",
              "words_arabic": "فَمَا/فَمَا/fama//بَكَتْ/بَكَتۡ/bakat//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//وَ الْاَرْضُ/وَٱلۡأَرۡضُ/wal-ardu//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُنْظَرِیْنَ۠/مُنظَرِينَ/munzarina",
              "words_bangla": "না অতঃপর//কাঁদলো//তাদের উপর//আকাশ//আর (না) পৃথিবী//এবং না//তারা ছিলো//অবকাশপ্রাপ্ত"
            },
            {
              "number": 4444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4444.mp3"
              ],
              "text": "وَلَقَدْ نَجَّيْنَا بَنِىٓ إِسْرَٰٓءِيلَ مِنَ ٱلْعَذَابِ ٱلْمُهِينِ",
              "translate_bn": "আমি বনী-ইসরাঈলকে অপমানজনক শাস্তি থেকে উদ্ধার করছি।",
              "numberInSurah": 30,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ নাজ্জাইনা-বানীইছরাঈলা মিনাল ‘আযা-বিল মুহীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//نَجَّیْنَا/نَجَّيۡنَا/najjayna//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//مِنَ/مِنَ/mina//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الْمُهِیْنِۙ/ٱلۡمُهِينِ/al-muhini",
              "words_bangla": "এবং নিশ্চয়ই//আমরা উদ্ধার করেছিলাম//বনী//ইসরাঈলকে//থেকে//শাস্তি//অপমানজনক"
            },
            {
              "number": 4445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4445.mp3"
              ],
              "text": "مِن فِرْعَوْنَ ۚ إِنَّهُۥ كَانَ عَالِيًۭا مِّنَ ٱلْمُسْرِفِينَ",
              "translate_bn": "ফেরাউন সে ছিল সীমালংঘনকারীদের মধ্যে শীর্ষস্থানীয়।",
              "numberInSurah": 31,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "মিন ফির‘আওনা ইন্নাহূকা-না ‘আ-লিয়াম্মিনাল মুছরিফীন।",
              "words_arabic": "مِنْ/مِن/min//فِرْعَوْنَ ؕ/فِرۡعَوۡنَۚ/fir'awna//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//عَالِیًا/عَالِيٗا/aliyan//مِّنَ/مِّنَ/mina//الْمُسْرِفِیْنَ /ٱلۡمُسۡرِفِينَ/al-mus'rifina",
              "words_bangla": "দেওয়া//ফিরআউনের//সে নিশ্চয়ই//ছিলো//পরাক্রান্ত//মধ্য হতে//সীমালংঘনকারীদের"
            },
            {
              "number": 4446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4446.mp3"
              ],
              "text": "وَلَقَدِ ٱخْتَرْنَٰهُمْ عَلَىٰ عِلْمٍ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি জেনেশুনে তাদেরকে বিশ্ববাসীদের উপর শ্রেষ্ঠত্ব দিয়েছিলাম।",
              "numberInSurah": 32,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদিখতারনা-হুম ‘আলা-‘ইলমিন ‘আলাল ‘আ-লামীন।",
              "words_arabic": "وَ لَقَدِ/وَلَقَدِ/walaqadi//اخْتَرْنٰهُمْ/ٱخۡتَرۡنَٰهُمۡ/ikh'tarnahum//عَلٰی/عَلَىٰ/ala//عِلْمٍ/عِلۡمٍ/il'min//عَلَی/عَلَى/ala//الْعٰلَمِیْنَۚ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং নিশ্চয়ই//তাদেরকে (বনী ইসরাঈলকে) আমরা মনোনীত করেছিলাম//ভিত্তিতে//জ্ঞানের//উপর//বিশ্ববাসীর (অন্যান্য জাতির)"
            },
            {
              "number": 4447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4447.mp3"
              ],
              "text": "وَءَاتَيْنَٰهُم مِّنَ ٱلْءَايَٰتِ مَا فِيهِ بَلَٰٓؤٌۭا۟ مُّبِينٌ",
              "translate_bn": "এবং আমি তাদেরকে এমন নিদর্শনাবলী দিয়েছিলাম যাতে ছিল স্পষ্ট সাহায্য।",
              "numberInSurah": 33,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-হুম মিনাল আ-য়া-তি মা-ফীহি বালাউম মুবীন।",
              "words_arabic": "وَ اٰتَیْنٰهُمْ/وَءَاتَيۡنَٰهُم/waataynahum//مِّنَ/مِّنَ/mina//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//مَا/مَا/ma//فِیْهِ/فِيهِ/fihi//بَلٰٓؤٌا/بَلَـٰٓؤٞاْ/balaon//مُّبِیْنٌ /مُّبِينٌ/mubinun",
              "words_bangla": "এবং তাদেরকে আমরা দিয়েছিলাম//কিছু//নিদর্শনাবলী//যার//মধ্যে ছিলো//পরীক্ষা//সুস্পষ্ট"
            },
            {
              "number": 4448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4448.mp3"
              ],
              "text": "إِنَّ هَٰٓؤُلَآءِ لَيَقُولُونَ",
              "translate_bn": "কাফেররা বলেই থাকে,",
              "numberInSurah": 34,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্না হাউলাই লাইয়াকূলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//لَیَقُوْلُوْنَۙ/لَيَقُولُونَ/layaquluna",
              "words_bangla": "নিশ্চয়ই//এসব লোক//অবশ্যই বলে"
            },
            {
              "number": 4449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4449.mp3"
              ],
              "text": "إِنْ هِىَ إِلَّا مَوْتَتُنَا ٱلْأُولَىٰ وَمَا نَحْنُ بِمُنشَرِينَ",
              "translate_bn": "প্রথম মৃত্যুর মাধ্যমেই আমাদের সবকিছুর অবসান হবে এবং আমরা পুনরুত্থিত হব না।",
              "numberInSurah": 35,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন হিয়া ইল্লা-মাওতাতুনাল ঊলা-ওয়ামা-নাহনুবিমুনশারীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//مَوْتَتُنَا/مَوۡتَتُنَا/mawtatuna//الْاُوْلٰی/ٱلۡأُولَىٰ/al-ula//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمُنْشَرِیْنَ /بِمُنشَرِينَ/bimunsharina",
              "words_bangla": "\"নেই//তা//এ ব্যতীত//আমাদের মৃত্যু//প্রথম (অর্থাৎ মৃতই শেষ)//এবং না//আমরা//উত্থিত হবো"
            },
            {
              "number": 4450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4450.mp3"
              ],
              "text": "فَأْتُوا۟ بِـَٔابَآئِنَآ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তোমরা যদি সত্যবাদী হও, তবে আমাদের পূর্বপুরুষদেরকে নিয়ে এস।",
              "numberInSurah": 36,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফা’তূবিআ-বাইনাইন কনতুম সা-দিকীন।",
              "words_arabic": "فَاْتُوْا/فَأۡتُواْ/fatu//بِاٰبَآىِٕنَاۤ/بِـَٔابَآئِنَآ/biabaina//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "তোমরা তবে আসো//নিয়ে আমাদের পিতৃপুরুষদেরকে//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 4451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4451.mp3"
              ],
              "text": "أَهُمْ خَيْرٌ أَمْ قَوْمُ تُبَّعٍۢ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ أَهْلَكْنَٰهُمْ ۖ إِنَّهُمْ كَانُوا۟ مُجْرِمِينَ",
              "translate_bn": "ওরা শ্রেষ্ঠ, না তুব্বার সম্প্রদায় ও তাদের পূর্ববর্তীরা? আমি ওদেরকে ধ্বংস করে দিয়েছি। ওরা ছিল অপরাধী।",
              "numberInSurah": 37,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "আহুম খাইরুন আম কাওমুতুব্বা‘ইওঁ ওয়াল্লাযীনা মিন কাবলিহিম আহলাকনা-হুম ইন্নাহুম কা-নূমুজরিমীন।",
              "words_arabic": "اَهُمْ/أَهُمۡ/ahum//خَیْرٌ/خَيۡرٌ/khayrun//اَمْ/أَمۡ/am//قَوْمُ/قَوۡمُ/qawmu//تُبَّعٍ ۙ/تُبَّعٖ/tubba'in//وَّ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡ/qablihim//اَهْلَكْنٰهُمْ ؗ/أَهۡلَكۡنَٰهُمۡۚ/ahlaknahum//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//مُجْرِمِیْنَ /مُجۡرِمِينَ/muj'rimina",
              "words_bangla": "(তাদেরকে বলো) তারা কি//উত্তম//অথবা//জাতি//তুব্বার//এবং যারা (ছিলো)//মধ্য হতে//তাদের পূর্বে//তাদেরকে আমরা ধ্বংস করেছি//তারা নিশ্চয়ই//ছিলো//অপরাধী"
            },
            {
              "number": 4452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4452.mp3"
              ],
              "text": "وَمَا خَلَقْنَا ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا لَٰعِبِينَ",
              "translate_bn": "আমি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু ক্রীড়াচ্ছলে সৃষ্টি করিনি।",
              "numberInSurah": 38,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকনাছছামা-ওয়া-তি ওয়াল আরদা ওয়ামা বাইনাহুমা-লা-‘ইবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//لٰعِبِیْنَ /لَٰعِبِينَ/la'ibina",
              "words_bangla": "এবং না//আমরা সৃষ্টি করেছি//আকাশকে//ও পৃথিবীকে//এবং যা কিছু//উভয়ের মাঝে আছে//খেলাচ্ছলে"
            },
            {
              "number": 4453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4453.mp3"
              ],
              "text": "مَا خَلَقْنَٰهُمَآ إِلَّا بِٱلْحَقِّ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "আমি এগুলো যথাযথ উদ্দেশ্যে সৃষ্টি করেছি; কিন্তু তাদের অধিকাংশই বোঝে না।",
              "numberInSurah": 39,
              "juz": 25,
              "manzil": 6,
              "page": 497,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "মা-খালাকনা-হুমাইল্লা বিলহাক্কিওয়ালা-কিন্না আকছারাহুম লা-ইয়া‘লামূন।",
              "words_arabic": "مَا/مَا/ma//خَلَقْنٰهُمَاۤ/خَلَقۡنَٰهُمَآ/khalaqnahuma//اِلَّا/إِلَّا/illa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "না//উভয়কে আমরা সৃষ্টি করেছি//এ ব্যতীত//সত্যসহ//কিন্তু//তাদের অধিকাংশই//না//জানে"
            },
            {
              "number": 4454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4454.mp3"
              ],
              "text": "إِنَّ يَوْمَ ٱلْفَصْلِ مِيقَٰتُهُمْ أَجْمَعِينَ",
              "translate_bn": "নিশ্চয় ফয়সালার দিন তাদের সবারই নির্ধারিত সময়।",
              "numberInSurah": 40,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইয়াওমাল ফাসলি মীকা-তুহুম আজমা‘ঈন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//یَوْمَ/يَوۡمَ/yawma//الْفَصْلِ/ٱلۡفَصۡلِ/al-fasli//مِیْقَاتُهُمْ/مِيقَٰتُهُمۡ/miqatuhum//اَجْمَعِیْنَۙ/أَجۡمَعِينَ/ajma'ina",
              "words_bangla": "নিশ্চয়ই (আসবে)//দিন//মীমাংসার//তাদের নির্ধারিত সময়ে//সকলেরই"
            },
            {
              "number": 4455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4455.mp3"
              ],
              "text": "يَوْمَ لَا يُغْنِى مَوْلًى عَن مَّوْلًۭى شَيْـًۭٔا وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "যেদিন কোন বন্ধুই কোন বন্ধুর উপকারে আসবে না এবং তারা সাহায্যপ্রাপ্তও হবে না।",
              "numberInSurah": 41,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা লা-ইউগনী মাওলান ‘আম মাওলান শাইআওঁ ওয়ালা-হুম ইউনসারূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//یُغْنِیْ/يُغۡنِي/yugh'ni//مَوْلًی/مَوۡلًى/mawlan//عَنْ/عَن/an//مَّوْلًی/مَّوۡلٗى/mawlan//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَۙ/يُنصَرُونَ/yunsaruna",
              "words_bangla": "যেদিন//না//কাজে লাগবে//কোনো বন্ধু//জন্যে//(অপর) কোনো বন্ধুর//কিছুমাত্র//আর না//তাদের//সাহায্য করা হবে"
            },
            {
              "number": 4456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4456.mp3"
              ],
              "text": "إِلَّا مَن رَّحِمَ ٱللَّهُ ۚ إِنَّهُۥ هُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ",
              "translate_bn": "তবে আল্লাহ যার প্রতি দয়া করেন, তার কথা ভিন্ন। নিশ্চয় তিনি পরাক্রমশালী দয়াময়।",
              "numberInSurah": 42,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 432,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মার রাহিমাল্লা-হু ইন্নাহূহুওয়াল ‘আঝীঝুর রাহীম।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//رَّحِمَ/رَّحِمَ/rahima//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّهُ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "কিন্তু//যাকে//দয়া করবেন//আল্লাহ (সেটা অন্য কথা)//তিনি নিশ্চয়ই//তিনিই//পরাক্রমশালী//দয়ালু"
            },
            {
              "number": 4457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4457.mp3"
              ],
              "text": "إِنَّ شَجَرَتَ ٱلزَّقُّومِ",
              "translate_bn": "নিশ্চয় যাক্কুম বৃক্ষ",
              "numberInSurah": 43,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্না শাজারাতাঝঝাক্কূম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//شَجَرَتَ/شَجَرَتَ/shajarata//الزَّقُّوْمِۙ/ٱلزَّقُّومِ/al-zaqumi",
              "words_bangla": "নিশ্চয়ই//গাছ//যাক্কুম'"
            },
            {
              "number": 4458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4458.mp3"
              ],
              "text": "طَعَامُ ٱلْأَثِيمِ",
              "translate_bn": "পাপীর খাদ্য হবে;",
              "numberInSurah": 44,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "তা‘আ-মুল আছীম।",
              "words_arabic": "طَعَامُ/طَعَامُ/ta'amu//الْاَثِیْمِ/ٱلۡأَثِيمِ/al-athimi",
              "words_bangla": "খাদ্য//পাপীদের"
            },
            {
              "number": 4459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4459.mp3"
              ],
              "text": "كَٱلْمُهْلِ يَغْلِى فِى ٱلْبُطُونِ",
              "translate_bn": "গলিত তাম্রের মত পেটে ফুটতে থাকবে।",
              "numberInSurah": 45,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "কালমুহলি ইয়াগলী ফিলবুতূন।",
              "words_arabic": "كَالْمُهْلِ ۛۚ/كَٱلۡمُهۡلِ/kal-muh'li//یَغْلِیْ/يَغۡلِي/yaghli//فِی/فِي/fi//الْبُطُوْنِۙ/ٱلۡبُطُونِ/al-butuni",
              "words_bangla": "গলিত তামার মতো//ফুটবে//মধ্যে//পেটের"
            },
            {
              "number": 4460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4460.mp3"
              ],
              "text": "كَغَلْىِ ٱلْحَمِيمِ",
              "translate_bn": "যেমন ফুটে পানি।",
              "numberInSurah": 46,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "কাগালইল হামীম।",
              "words_arabic": "كَغَلْیِ/كَغَلۡيِ/kaghalyi//الْحَمِیْمِ /ٱلۡحَمِيمِ/al-hamimi",
              "words_bangla": "ফুটে যেমন//ফুটন্ত পানি"
            },
            {
              "number": 4461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4461.mp3"
              ],
              "text": "خُذُوهُ فَٱعْتِلُوهُ إِلَىٰ سَوَآءِ ٱلْجَحِيمِ",
              "translate_bn": "একে ধর এবং টেনে নিয়ে যাও জাহান্নামের মধ্যস্থলে,",
              "numberInSurah": 47,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "খুযূহু ফা‘তিলূহু ইলা-ছাওয়াইল জাহীম।",
              "words_arabic": "خُذُوْهُ/خُذُوهُ/khudhuhu//فَاعْتِلُوْهُ/فَٱعۡتِلُوهُ/fa-i'tiluhu//اِلٰی/إِلَىٰ/ila//سَوَآءِ/سَوَآءِ/sawai//الْجَحِیْمِۗۖ/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "\"(বলা হবে) তাকে ধরো//এরপর তাকে টেনে নাও//দিকে//মধ্যস্থলে//জাহান্নামের"
            },
            {
              "number": 4462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4462.mp3"
              ],
              "text": "ثُمَّ صُبُّوا۟ فَوْقَ رَأْسِهِۦ مِنْ عَذَابِ ٱلْحَمِيمِ",
              "translate_bn": "অতঃপর তার মাথার উপর ফুটন্ত পানির আযাব ঢেলে দাও,",
              "numberInSurah": 48,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা সুববূফাওকা রা’ছিহী মিন ‘আযা-বিল হামীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//صُبُّوْا/صُبُّواْ/subbu//فَوْقَ/فَوۡقَ/fawqa//رَاْسِهٖ/رَأۡسِهِۦ/rasihi//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//الْحَمِیْمِؕ/ٱلۡحَمِيمِ/al-hamimi",
              "words_bangla": "এরপর//তোমরা ঢালো//উপর//তার মাথায়//থেকে//শাস্তি//ফুটন্ত পানির"
            },
            {
              "number": 4463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4463.mp3"
              ],
              "text": "ذُقْ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْكَرِيمُ",
              "translate_bn": "স্বাদ গ্রহণ কর, তুমি তো সম্মানিত, সম্ভ্রান্ত।",
              "numberInSurah": 49,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "যুক ইন্নাকা আনতাল ‘আঝীঝুল কারীম।",
              "words_arabic": "ذُقْ ۙۚ/ذُقۡ/dhuq//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْكَرِیْمُ /ٱلۡكَرِيمُ/al-karimu",
              "words_bangla": "(বলা হবে) স্বাদ নাও//তুমি নিশ্চয়ই//তুমিই (ছিলে)//পরাক্রমশালী(?)//সম্মানিত"
            },
            {
              "number": 4464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4464.mp3"
              ],
              "text": "إِنَّ هَٰذَا مَا كُنتُم بِهِۦ تَمْتَرُونَ",
              "translate_bn": "এ সম্পর্কে তোমরা সন্দেহে পতিত ছিলে।",
              "numberInSurah": 50,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-মা-কুনতুম বিহী তামতারূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تَمْتَرُوْنَ /تَمۡتَرُونَ/tamtaruna",
              "words_bangla": "নিশ্চয়ই//এটাই//(সেই জিনিষ) যা//তোমরা ছিলে//সে সম্বন্ধে//সন্দেহ করতে\""
            },
            {
              "number": 4465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4465.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى مَقَامٍ أَمِينٍۢ",
              "translate_bn": "নিশ্চয় খোদাভীরুরা নিরাপদ স্থানে থাকবে-",
              "numberInSurah": 51,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী মাকা-মিন আমীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//مَقَامٍ/مَقَامٍ/maqamin//اَمِیْنٍۙ/أَمِينٖ/aminin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা (থাকবে)//মধ্যে//স্থানের//নিরাপদ"
            },
            {
              "number": 4466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4466.mp3"
              ],
              "text": "فِى جَنَّٰتٍۢ وَعُيُونٍۢ",
              "translate_bn": "উদ্যানরাজি ও নির্ঝরিণীসমূহে।",
              "numberInSurah": 52,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফী জান্না-তিওঁ ওয়া ‘উইঊন।",
              "words_arabic": "فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍۚۙ/وَعُيُونٖ/wa'uyunin",
              "words_bangla": "মধ্যে//বাগানের//ও ঝর্ণাসমূহের"
            },
            {
              "number": 4467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4467.mp3"
              ],
              "text": "يَلْبَسُونَ مِن سُندُسٍۢ وَإِسْتَبْرَقٍۢ مُّتَقَٰبِلِينَ",
              "translate_bn": "তারা পরিধান করবে চিকন ও পুরু রেশমীবস্ত্র, মুখোমুখি হয়ে বসবে।",
              "numberInSurah": 53,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইয়ালবাছূনা মিন ছুনদুছিওঁ ওয়া ইছতাবরাকিম মুতাকা-বিলীন।",
              "words_arabic": "یَّلْبَسُوْنَ/يَلۡبَسُونَ/yalbasuna//مِنْ/مِن/min//سُنْدُسٍ/سُندُسٖ/sundusin//وَّ اِسْتَبْرَقٍ/وَإِسۡتَبۡرَقٖ/wa-is'tabraqin//مُّتَقٰبِلِیْنَۚۙ/مُّتَقَٰبِلِينَ/mutaqabilina",
              "words_bangla": "তারা পোশাক পরবে//তৈরী//মিহি রেশমের//ও পুরু রেশমের//মুখোমুখী (হয়ে বসবে)"
            },
            {
              "number": 4468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4468.mp3"
              ],
              "text": "كَذَٰلِكَ وَزَوَّجْنَٰهُم بِحُورٍ عِينٍۢ",
              "translate_bn": "এরূপই হবে এবং আমি তাদেরকে আনতলোচনা স্ত্রী দেব।",
              "numberInSurah": 54,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা ওয়া ঝাওওয়াজনা-হুম বিহূরিন ‘ঈন।",
              "words_arabic": "كَذٰلِكَ ۫/كَذَٰلِكَ/kadhalika//وَ زَوَّجْنٰهُمْ/وَزَوَّجۡنَٰهُم/wazawwajnahum//بِحُوْرٍ/بِحُورٍ/bihurin//عِیْنٍؕ/عِينٖ/inin",
              "words_bangla": "এভাবেই (ঘটবে)//এবং তাদের আমরা  বিয়ে দিবো//(সুন্দরী-রূপসী) সাথে হুরদের//আয়তলোচনা (হরিণ-নয়না)"
            },
            {
              "number": 4469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4469.mp3"
              ],
              "text": "يَدْعُونَ فِيهَا بِكُلِّ فَٰكِهَةٍ ءَامِنِينَ",
              "translate_bn": "তারা সেখানে শান্ত মনে বিভিন্ন ফল-মূল আনতে বলবে।",
              "numberInSurah": 55,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইয়াদ‘ঊনা ফীহা-বিকুল্লি ফা-কিহাতিন আ-মিনীন।",
              "words_arabic": "یَدْعُوْنَ/يَدۡعُونَ/yad'una//فِیْهَا/فِيهَا/fiha//بِكُلِّ/بِكُلِّ/bikulli//فَاكِهَةٍ/فَٰكِهَةٍ/fakihatin//اٰمِنِیْنَۙ/ءَامِنِينَ/aminina",
              "words_bangla": "তারা চেয়ে চেয়ে নিবে//তার মধ্যে//প্রত্যেক প্রকার//ফলমূল//প্রশান্ত মনে"
            },
            {
              "number": 4470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4470.mp3"
              ],
              "text": "لَا يَذُوقُونَ فِيهَا ٱلْمَوْتَ إِلَّا ٱلْمَوْتَةَ ٱلْأُولَىٰ ۖ وَوَقَىٰهُمْ عَذَابَ ٱلْجَحِيمِ",
              "translate_bn": "তারা সেখানে মৃত্যু আস্বাদন করবে না, প্রথম মৃত্যু ব্যতীত এবং আপনার পালনকর্তা তাদেরকে জাহান্নামের আযাব থেকে রক্ষা করবেন।",
              "numberInSurah": 56,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াযূকূনা ফীহাল মাওতা ইল্লাল মাওতাতাল ঊলা- ওয়া ওয়াকা-হুম ‘আযা-বাল জাহীম।",
              "words_arabic": "لَا/لَا/la//یَذُوْقُوْنَ/يَذُوقُونَ/yadhuquna//فِیْهَا/فِيهَا/fiha//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//اِلَّا/إِلَّا/illa//الْمَوْتَةَ/ٱلۡمَوۡتَةَ/al-mawtata//الْاُوْلٰی ۚ/ٱلۡأُولَىٰۖ/al-ula//وَ وَقٰىهُمْ/وَوَقَىٰهُمۡ/wawaqahum//عَذَابَ/عَذَابَ/adhaba//الْجَحِیْمِۙ/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "না//তারা স্বাদ গ্রহণ করবে//তার মধ্যে//মৃত্যুর//ব্যতীত//মৃত্যু//প্রথম//এবং তাদের তিনি রক্ষা করবেন//শাস্তি (হ'তে)//জাহান্নামের"
            },
            {
              "number": 4471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4471.mp3"
              ],
              "text": "فَضْلًۭا مِّن رَّبِّكَ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "আপনার পালনকর্তার কৃপায় এটাই মহা সাফল্য।",
              "numberInSurah": 57,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফাদলাম মির রাব্বিকা যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।\r\n",
              "words_arabic": "فَضْلًا/فَضۡلٗا/fadlan//مِّنْ/مِّن/min//رَّبِّكَ ؕ/رَّبِّكَۚ/rabbika//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "অনুগ্রহে//পক্ষ হ'তে//তোমার রবের//এটাই//সেই//সাফল্য//মহা"
            },
            {
              "number": 4472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4472.mp3"
              ],
              "text": "فَإِنَّمَا يَسَّرْنَٰهُ بِلِسَانِكَ لَعَلَّهُمْ يَتَذَكَّرُونَ",
              "translate_bn": "আমি আপনার ভাষায় কোরআনকে সহজ করে দিয়েছি, যাতে তারা স্মরণ রাখে।",
              "numberInSurah": 58,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নামা-ইয়াছছারনা-হু বিলিছা-নিকা লা‘আল্লাহুম ইয়াতাযাক্কারূন।",
              "words_arabic": "فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَسَّرْنٰهُ/يَسَّرۡنَٰهُ/yassarnahu//بِلِسَانِكَ/بِلِسَانِكَ/bilisanika//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَذَكَّرُوْنَ /يَتَذَكَّرُونَ/yatadhakkaruna",
              "words_bangla": "(হে নাবী) মূলতঃ//তা (অর্থাৎ এ কিতাবকে) আমরা সহজ করে দিয়েছি//তোমার ভাষায়//তারা যেন//উপদেশ গ্রহণ করে"
            },
            {
              "number": 4473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4473.mp3"
              ],
              "text": "فَٱرْتَقِبْ إِنَّهُم مُّرْتَقِبُونَ",
              "translate_bn": "অতএব, আপনি অপেক্ষা করুন, তারাও অপেক্ষা করছে।",
              "numberInSurah": 59,
              "juz": 25,
              "manzil": 6,
              "page": 498,
              "ruku": 433,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ফারতাকিব ইন্নাহুম মুরতাকিবূন।",
              "words_arabic": "فَارْتَقِبْ/فَٱرۡتَقِبۡ/fa-ir'taqib//اِنَّهُمْ/إِنَّهُم/innahum//مُّرْتَقِبُوْنَ۠/مُّرۡتَقِبُونَ/mur'taqibuna",
              "words_bangla": "সুতরাং অপেক্ষা করো তুমি//তারা নিশ্চয়ই//অপেক্ষামান"
            }
          ]
        },
        {
          "number": 45,
          "name": "سُورَةُ الجَاثِيَةِ",
          "englishName": "Al-Jaathiya",
          "englishNameTranslation": "Crouching",
          "revelationType": "Meccan",
          "verse": 37,
          "words": 999,
          "chars": 4167,
          "ayahs": [
            {
              "number": 4474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4474.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।",
              "words_arabic": "حٰمٓۚ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4475.mp3"
              ],
              "text": "تَنزِيلُ ٱلْكِتَٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ",
              "translate_bn": "পরাক্রান্ত, প্রজ্ঞাময় আল্লাহর পক্ষ থেকে অবতীর্ণ এ কিতাব।",
              "numberInSurah": 2,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুল কিতা-বি মিনাল্লা-হিল ‘আঝীঝিল হাকীম।",
              "words_arabic": "تَنْزِیْلُ/تَنزِيلُ/tanzilu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "অবতীর্ণ করা//এই কিতাব//পক্ষ হতে//আল্লাহর//(যিনি) পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 4476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4476.mp3"
              ],
              "text": "إِنَّ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ لَءَايَٰتٍۢ لِّلْمُؤْمِنِينَ",
              "translate_bn": "নিশ্চয় নভোমন্ডল ও ভূ-মন্ডলে মুমিনদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 3,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফিছছামা-ওয়া-তি ওয়াল আরদিলাআ-য়া-তিল লিলমু’মিনীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّلْمُؤْمِنِیْنَؕ/لِّلۡمُؤۡمِنِينَ/lil'mu'minina",
              "words_bangla": "নিশ্চয়ই//মধ্যে রয়েছে//আকাশমণ্ডলীর//ও পৃথিবীর//অবশ্যই নির্দশনাবলী//মু'মিনদের জন্যে"
            },
            {
              "number": 4477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4477.mp3"
              ],
              "text": "وَفِى خَلْقِكُمْ وَمَا يَبُثُّ مِن دَآبَّةٍ ءَايَٰتٌۭ لِّقَوْمٍۢ يُوقِنُونَ",
              "translate_bn": "আর তোমাদের সৃষ্টিতে এবং চারদিকে ছড়িয়ে রাখা জীব জন্তুর সৃজনের মধ্যেও নিদর্শনাবলী রয়েছে বিশ্বাসীদের জন্য।",
              "numberInSurah": 4,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়াফী খালকিকুম ওয়ামা-ইয়াবুছছু মিন দাব্বাতিন আ-য়া-তুল লিকাওমিইঁ ইউকিনূন।",
              "words_arabic": "وَ فِیْ/وَفِي/wafi//خَلْقِكُمْ/خَلۡقِكُمۡ/khalqikum//وَ مَا/وَمَا/wama//یَبُثُّ/يَبُثُّ/yabuthu//مِنْ/مِن/min//دَآبَّةٍ/دَآبَّةٍ/dabbatin//اٰیٰتٌ/ءَايَٰتٞ/ayatun//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّوْقِنُوْنَۙ/يُوقِنُونَ/yuqinuna",
              "words_bangla": "এবং মধ্যেও//তোমাদের সৃষ্টির//এবং যা কিছু//তিনি (যমীনে) ছড়িয়ে দিয়েছেন//থেকে//জীবজন্তু//নিদর্শনাবলী (রয়েছে)//লোকদের জন্যে//(যারা) দৃঢ় বিশ্বাস করে"
            },
            {
              "number": 4478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4478.mp3"
              ],
              "text": "وَٱخْتِلَٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَمَآ أَنزَلَ ٱللَّهُ مِنَ ٱلسَّمَآءِ مِن رِّزْقٍۢ فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا وَتَصْرِيفِ ٱلرِّيَٰحِ ءَايَٰتٌۭ لِّقَوْمٍۢ يَعْقِلُونَ",
              "translate_bn": "দিবারাত্রির পরিবর্তনে, আল্লাহ আকাশ থেকে যে রিযিক (বৃষ্টি) বর্ষণ করেন অতঃপর পৃথিবীকে তার মৃত্যুর পর পুনরুজ্জীবিত করেন, তাতে এবং বায়ুর পরিবর্তনে বুদ্ধিমানদের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 5,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়াখতিলা-ফিল্লাইলি ওয়া ন্নাহা-রি ওয়ামাআনঝালাল্লা-হু মিনাছ ছামাই মির রিঝকিন ফাআহইয়া- বিহিল আরদা বা‘দা মাওতিহা- ওয়া তাসরীফির রিয়া-হি আ-য়া-তুল লিকাওমিইঁ ইয়া‘কিলূন।",
              "words_arabic": "وَ اخْتِلَافِ/وَٱخۡتِلَٰفِ/wa-ikh'tilafi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//وَ مَاۤ/وَمَآ/wama//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مِنْ/مِن/min//رِّزْقٍ/رِّزۡقٖ/riz'qin//فَاَحْیَا/فَأَحۡيَا/fa-ahya//بِهِ/بِهِ/bihi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا/مَوۡتِهَا/mawtiha//وَ تَصْرِیْفِ/وَتَصۡرِيفِ/watasrifi//الرِّیٰحِ/ٱلرِّيَٰحِ/al-riyahi//اٰیٰتٌ/ءَايَٰتٞ/ayatun//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "এবং পরিবর্তনে//রাতের//ও দিনের//এবং যা কিছু//অবতীর্ণ করেন//আল্লাহ//থেকে//আকাশ//মধ্য থেকে//আহার্য (অর্থাৎ পানি)//অতঃপর জীবন্ত করেন//তা দিয়ে//পৃথিবীকে//পরে//তার মৃত্যুর//এবং আবর্তনে//বায়ুর//নির্দশনাবলী (রয়েছে)//লোকদের জন্যে (যারা)//বুদ্ধিবিবেক কাজে লাগায়"
            },
            {
              "number": 4479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4479.mp3"
              ],
              "text": "تِلْكَ ءَايَٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۖ فَبِأَىِّ حَدِيثٍۭ بَعْدَ ٱللَّهِ وَءَايَٰتِهِۦ يُؤْمِنُونَ",
              "translate_bn": "এগুলো আল্লাহর আয়াত, যা আমি আপনার কাছে আবৃত্তি করি যথাযথরূপে। অতএব, আল্লাহ ও তাঁর আয়াতের পর তারা কোন কথায় বিশ্বাস স্থাপন করবে।",
              "numberInSurah": 6,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "তিলকা আ-য়া-তুল্লা-হি নাতলূহা-‘আলাইকা বিলহাক্কিফাবিআইয়ি হাদীছিম বা‘দাল্লা-হি ওয়া আ-য়া-তিহী ইউ’মিনূন।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اٰیٰتُ/ءَايَٰتُ/ayatu//اللّٰهِ/ٱللَّهِ/al-lahi//نَتْلُوْهَا/نَتۡلُوهَا/natluha//عَلَیْكَ/عَلَيۡكَ/alayka//بِالْحَقِّ ۚ/بِٱلۡحَقِّۖ/bil-haqi//فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//حَدِیْثٍۭ/حَدِيثِۭ/hadithin//بَعْدَ/بَعۡدَ/ba'da//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اٰیٰتِهٖ/وَءَايَٰتِهِۦ/waayatihi//یُؤْمِنُوْنَ /يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "এসব//নির্দশনাবলী//আল্লাহর//তার আবৃত্তি/ তিলাওয়াত করছি আমরা//তোমার কাছে//যথাযথভাবে//সুতরাং কোন//কথার (উপর)//পরে//আল্লাহর//ও তাঁর আয়াত গুলোর//তারা বিশ্বাস করবে?"
            },
            {
              "number": 4480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4480.mp3"
              ],
              "text": "وَيْلٌۭ لِّكُلِّ أَفَّاكٍ أَثِيمٍۢ",
              "translate_bn": "প্রত্যেক মিথ্যাবাদী পাপাচারীর দুর্ভোগ।",
              "numberInSurah": 7,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুলিল কুল্লি আফফা-কিন আছীম।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//لِّكُلِّ/لِّكُلِّ/likulli//اَفَّاكٍ/أَفَّاكٍ/affakin//اَثِیْمٍۙ/أَثِيمٖ/athimin",
              "words_bangla": "দুর্ভোগ//প্রত্যেকের জন্য//ঘোর মিথ্যাবাদীর//পাপীর"
            },
            {
              "number": 4481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4481.mp3"
              ],
              "text": "يَسْمَعُ ءَايَٰتِ ٱللَّهِ تُتْلَىٰ عَلَيْهِ ثُمَّ يُصِرُّ مُسْتَكْبِرًۭا كَأَن لَّمْ يَسْمَعْهَا ۖ فَبَشِّرْهُ بِعَذَابٍ أَلِيمٍۢ",
              "translate_bn": "সে আল্লাহর আয়াতসমূহ শুনে, অতঃপর অহংকারী হয়ে জেদ ধরে, যেন সে আয়াত শুনেনি। অতএব, তাকে যন্ত্রণাদায়ক শাস্তির সুসংবাদ দিন।",
              "numberInSurah": 8,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ইয়াছমা‘উ আ-য়া-তিল্লা-হি তুতলা-‘আলাইহি ছুম্মা ইউসিররু মুছতাকবিরান কাআল্লাম ইয়াছমা‘হা- ফাবাশশিরহু বি‘আযা-বিন আলীম।",
              "words_arabic": "یَّسْمَعُ/يَسۡمَعُ/yasma'u//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِ/عَلَيۡهِ/alayhi//ثُمَّ/ثُمَّ/thumma//یُصِرُّ/يُصِرُّ/yusirru//مُسْتَكْبِرًا/مُسۡتَكۡبِرٗا/mus'takbiran//كَاَنْ/كَأَن/ka-an//لَّمْ/لَّمۡ/lam//یَسْمَعْهَا ۚ/يَسۡمَعۡهَاۖ/yasma'ha//فَبَشِّرْهُ/فَبَشِّرۡهُ/fabashir'hu//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "(যে) শুনে//আয়াত সমূহ//আল্লাহর//পাঠ করা হয় (যা)//তার কাছে//এরপর//অটল থাকে//ঔদ্ধত্যের সাথে//যেন//নি//তা শুনেই//তাই তাকে সুসংবাদ দাও//শাস্তির//যন্ত্রণাদায়ক"
            },
            {
              "number": 4482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4482.mp3"
              ],
              "text": "وَإِذَا عَلِمَ مِنْ ءَايَٰتِنَا شَيْـًٔا ٱتَّخَذَهَا هُزُوًا ۚ أُو۟لَٰٓئِكَ لَهُمْ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "যখন সে আমার কোন আয়াত অবগত হয়, তখন তাকে ঠাট্টারূপে গ্রহণ করে। এদের জন্যই রয়েছে লাঞ্ছনাদায়ক শাস্তি।",
              "numberInSurah": 9,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-‘আলিমা মিন আ-য়া-তিনা-শাইআনিত্তাখাযাহা-হুঝুওয়া- উলাইকা লাহুম ‘আযা-বুম মুহীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//عَلِمَ/عَلِمَ/alima//مِنْ/مِنۡ/min//اٰیٰتِنَا/ءَايَٰتِنَا/ayatina//شَیْـَٔا/شَيۡـًٔا/shayan//ِ۟اتَّخَذَهَا/ٱتَّخَذَهَا/ittakhadhaha//هُزُوًا ؕ/هُزُوًاۚ/huzuwan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌؕ/مُّهِينٞ/muhinun",
              "words_bangla": "এবং যখন//সে অবগত হয়//মধ্য হতে//আমাদের আয়াত সমূহের//কোনো কিছু//সে গ্রহণ করে তা//বিদ্রুপ রূপে//ঐসব লোক//তাদের জন্যে রয়েছে//শাস্তি//অপমানকর"
            },
            {
              "number": 4483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4483.mp3"
              ],
              "text": "مِّن وَرَآئِهِمْ جَهَنَّمُ ۖ وَلَا يُغْنِى عَنْهُم مَّا كَسَبُوا۟ شَيْـًۭٔا وَلَا مَا ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ أَوْلِيَآءَ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌ",
              "translate_bn": "তাদের সামনে রয়েছে জাহান্নাম। তারা যা উপার্জন করেছে, তা তাদের কোন কাজে আসবে না, তারা আল্লাহর পরিবর্তে যাদেরকে বন্ধুরূপে গ্রহণ করেছে তারাও নয়। তাদের জন্যে রয়েছে মহাশাস্তি।",
              "numberInSurah": 10,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "মিওঁ ওয়ারাইহিম জাহান্নামু ওয়ালা-ইউগনী ‘আনহুম মা-কাছাবূশাইআওঁ ওয়ালামাত্তাখাযূমিন দূ নিল্লা-হি আওলিয়াআ ওয়া লাহুম ‘আযা-বুন ‘আজীম।\r\n",
              "words_arabic": "مِنْ/مِّن/min//وَّرَآىِٕهِمْ/وَرَآئِهِمۡ/waraihim//جَهَنَّمُ ۚ/جَهَنَّمُۖ/jahannamu//وَ لَا/وَلَا/wala//یُغْنِیْ/يُغۡنِي/yugh'ni//عَنْهُمْ/عَنۡهُم/anhum//مَّا/مَّا/ma//كَسَبُوْا/كَسَبُواْ/kasabu//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//مَا/مَا/ma//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَوْلِیَآءَ ۚ/أَوۡلِيَآءَۖ/awliyaa//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//عَظِیْمٌؕ/عَظِيمٌ/azimun",
              "words_bangla": "থেকে//তাদের পিছনে (রয়েছে)//জাহান্নাম//এবং না//কাজে আসবে//তাদের জন্যে//যা কিছু//তারা অর্জন করেছে//(তার) কোন কিছুই//এবং না//যা কিছু//তারা গ্রহণ করেছে//মধ্য হতে//ছাড়া/ পরিবর্তে//আল্লাহকে//অভিভাবক রূপে//এবং তাদের জন্যে রয়েছে//শাস্তি//ভয়ানক"
            },
            {
              "number": 4484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4484.mp3"
              ],
              "text": "هَٰذَا هُدًۭى ۖ وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِ رَبِّهِمْ لَهُمْ عَذَابٌۭ مِّن رِّجْزٍ أَلِيمٌ",
              "translate_bn": "এটা সৎপথ প্রদর্শন, আর যারা তাদের পালনকর্তার আয়াতসমূহ অস্বীকার করে, তাদের জন্যে রয়েছে কঠোর যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 11,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 434,
              "hizbQuarter": 199,
              "sajda": false,
              "pronunciation_bn": "হা-যা-হুদাওঁ ওয়াল্লাযীনা কাফারূবিআ-য়া-তি রাব্বিহিম লাহুম ‘আযা-বুম মির রিজঝিন আলীম।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//هُدًی ۚ/هُدٗىۖ/hudan//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//لَهُمْ/لَهُمۡ/lahum//عَذَابٌ/عَذَابٞ/adhabun//مِّنْ/مِّن/min//رِّجْزٍ/رِّجۡزٍ/rij'zin//اَلِیْمٌ۠/أَلِيمٌ/alimun",
              "words_bangla": "এই (কুরআন)//সৎপথের দিশারি//এবং যারা//অস্বীকার করেছে//নিদর্শনাবলীকে//তাদের রবের//তাদের জন্যে রয়েছে//শাস্তি//থেকে//(বড় কঠিন) শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 4485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4485.mp3"
              ],
              "text": "۞ ٱللَّهُ ٱلَّذِى سَخَّرَ لَكُمُ ٱلْبَحْرَ لِتَجْرِىَ ٱلْفُلْكُ فِيهِ بِأَمْرِهِۦ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ",
              "translate_bn": "তিনি আল্লাহ যিনি সমুদ্রকে তোমাদের উপকারার্থে আয়ত্বাধীন করে দিয়েছেন, যাতে তাঁর আদেশক্রমে তাতে জাহাজ চলাচল করে এবং যাতে তোমরা তাঁর অনুগ্রহ তালাশ কর ও তাঁর প্রতি কৃতজ্ঞ হও।",
              "numberInSurah": 12,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী ছাখখারা লাকুমুল বাহরা লিতাজরিয়াল ফুলকুফীহি বিআমরিহী ওয়ালিতাবতাগূ মিন ফাদলিহী ওয়া লা‘আল্লাকুম তাশকুরূন।",
              "words_arabic": "اَللّٰهُ/۞ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//سَخَّرَ/سَخَّرَ/sakhara//لَكُمُ/لَكُمُ/lakumu//الْبَحْرَ/ٱلۡبَحۡرَ/al-bahra//لِتَجْرِیَ/لِتَجۡرِيَ/litajriya//الْفُلْكُ/ٱلۡفُلۡكُ/al-ful'ku//فِیْهِ/فِيهِ/fihi//بِاَمْرِهٖ/بِأَمۡرِهِۦ/bi-amrihi//وَ لِتَبْتَغُوْا/وَلِتَبۡتَغُواْ/walitabtaghu//مِنْ/مِن/min//فَضْلِهٖ/فَضۡلِهِۦ/fadlihi//وَ لَعَلَّكُمْ/وَلَعَلَّكُمۡ/wala'allakum//تَشْكُرُوْنَۚ/تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "(তিনিই) আল্লাহ//যিনি//অধীন করে দিয়েছেন//তোমাদের জন্যে//সমুদ্রকে//যেন চলাচল করতে থাকে//নৌযানসমূহ//তার মধ্যে//তাঁর নির্দেশের মাধ্যমে//এবং যেন তোমরা সন্ধান করতে পার//হতে//তাঁর অনুগ্রহ//এবং যাতে তোমরা//কৃতজ্ঞ হও"
            },
            {
              "number": 4486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4486.mp3"
              ],
              "text": "وَسَخَّرَ لَكُم مَّا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ جَمِيعًۭا مِّنْهُ ۚ إِنَّ فِى ذَٰلِكَ لَءَايَٰتٍۢ لِّقَوْمٍۢ يَتَفَكَّرُونَ",
              "translate_bn": "এবং আয়ত্ত্বাধীন করে দিয়েছেন তোমাদের, যা আছে নভোমন্ডলে ও যা আছে ভূমন্ডলে; তাঁর পক্ষ থেকে। নিশ্চয় এতে চিন্তাশীল সম্প্রদায়ের জন্যে নিদর্শনাবলী রয়েছে।",
              "numberInSurah": 13,
              "juz": 25,
              "manzil": 6,
              "page": 499,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাখখারা লাকুম মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদিজামী‘আম মিনহু ইন্না ফী যা-লিকা লাআ-য়া-তিলিলকাওমিইঁ ইয়াতাফাক্কারূন।",
              "words_arabic": "وَ سَخَّرَ/وَسَخَّرَ/wasakhara//لَكُمْ/لَكُم/lakum//مَّا/مَّا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا/جَمِيعٗا/jami'an//مِّنْهُ ؕ/مِّنۡهُۚ/min'hu//اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَاٰیٰتٍ/لَأٓيَٰتٖ/laayatin//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یَّتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "এবং অধীন করে দিয়েছেন//তোমাদের জন্যে//যা কিছু//মধ্যে আছে//আকাশের//ও যা কিছু//মধ্যে আছে//পৃথিবীর//সবকিছুকেই//তাঁর নিকট হতে//নিশ্চয়ই//মধ্যে রয়েছে//এর//অবশ্যই নিদর্শনাবলী//লোকদের জন্যে (যারা)//চিন্তাভাবনা করে"
            },
            {
              "number": 4487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4487.mp3"
              ],
              "text": "قُل لِّلَّذِينَ ءَامَنُوا۟ يَغْفِرُوا۟ لِلَّذِينَ لَا يَرْجُونَ أَيَّامَ ٱللَّهِ لِيَجْزِىَ قَوْمًۢا بِمَا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "মুমিনদেরকে বলুন, তারা যেন তাদেরকে ক্ষমা করে, যারা আল্লাহর সে দিনগুলো সম্পর্কে বিশ্বাস রাখে না যাতে তিনি কোন সম্প্রদায়কে কৃতকর্মের প্রতিফল দেন।",
              "numberInSurah": 14,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "কুল লিল্লাযীনা আ-মানূইয়াগফিরূলিল্লাযীনা লা-ইয়ারজূনা আইয়া-মাল্লা-হি লিইয়াজঝিয়া কাওমাম বিমা-কা-নূইয়াকছিবূন।",
              "words_arabic": "قُلْ/قُل/qul//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//یَغْفِرُوْا/يَغۡفِرُواْ/yaghfiru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//اَیَّامَ/أَيَّامَ/ayyama//اللّٰهِ/ٱللَّهِ/al-lahi//لِیَجْزِیَ/لِيَجۡزِيَ/liyajziya//قَوْمًۢا/قَوۡمَۢا/qawman//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "(হে নাবী) বলো//(তাদের)-কে যারা//ঈমান এনেছে//তারা যেন ক্ষমা করে//(তাদের)-কে যারা//না//প্রত্যাশা করে//(খারাপ) দিনগুলোর//আল্লাহর//যেন প্রতিদান দেন তিনি//লোকদেরকে//এ বিষয়ে যা//তারা//অর্জন করছিল"
            },
            {
              "number": 4488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4488.mp3"
              ],
              "text": "مَنْ عَمِلَ صَٰلِحًۭا فَلِنَفْسِهِۦ ۖ وَمَنْ أَسَآءَ فَعَلَيْهَا ۖ ثُمَّ إِلَىٰ رَبِّكُمْ تُرْجَعُونَ",
              "translate_bn": "যে সৎকাজ করছে, সে নিজের কল্যাণার্থেই তা করছে, আর যে অসৎকাজ করছে, তা তার উপরই বর্তাবে। অতঃপর তোমরা তোমাদের পালনকর্তার দিকে প্রত্যাবর্তিত হবে।",
              "numberInSurah": 15,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "মান ‘আমিলা সা-লিহান ফালিনাফছিহী ওয়ামান আছাআ ফা‘আলাইহা- ছু ম্মা ইলা-রাব্বিকুম তুর জা‘ঊন।",
              "words_arabic": "مَنْ/مَنۡ/man//عَمِلَ/عَمِلَ/amila//صَالِحًا/صَٰلِحٗا/salihan//فَلِنَفْسِهٖ ۚ/فَلِنَفۡسِهِۦۖ/falinafsihi//وَ مَنْ/وَمَنۡ/waman//اَسَآءَ/أَسَآءَ/asaa//فَعَلَیْهَا ؗ/فَعَلَيۡهَاۖ/fa'alayha//ثُمَّ/ثُمَّ/thumma//اِلٰی/إِلَىٰ/ila//رَبِّكُمْ/رَبِّكُمۡ/rabbikum//تُرْجَعُوْنَ /تُرۡجَعُونَ/tur'ja'una",
              "words_bangla": "যে//কাজ করবে//সৎ//তা তার নিজের জন্যে//এবং যে//মন্দ করবে//তা তার উপর পড়বে//এরপর//দিকে//তোমার রবের//তোমাদেরকে ফিরিয়ে আনা হবে"
            },
            {
              "number": 4489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4489.mp3"
              ],
              "text": "وَلَقَدْ ءَاتَيْنَا بَنِىٓ إِسْرَٰٓءِيلَ ٱلْكِتَٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ وَرَزَقْنَٰهُم مِّنَ ٱلطَّيِّبَٰتِ وَفَضَّلْنَٰهُمْ عَلَى ٱلْعَٰلَمِينَ",
              "translate_bn": "আমি বনী ইসরাঈলকে কিতাব, রাজত্ব ও নবুওয়ত দান করেছিলাম এবং তাদেরকে পরিচ্ছন্ন রিযিক দিয়েছিলাম এবং বিশ্ববাসীর উপর শ্রেষ্ঠত্ব দিয়েছিলাম।",
              "numberInSurah": 16,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আ-তাইনা-বানীইছরাঈলাল কিতা-বা ওয়াল হুকমা ওয়ান নুবুওওয়াতা ওয়া রাঝাকনা-হুম মিনাত্তাইয়িবা-তি ওয়া ফাদ্দালনা-হুম ‘আলাল ‘আ-লামীন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اٰتَیْنَا/ءَاتَيۡنَا/atayna//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحُكْمَ/وَٱلۡحُكۡمَ/wal-huk'ma//وَ النُّبُوَّةَ/وَٱلنُّبُوَّةَ/wal-nubuwata//وَ رَزَقْنٰهُمْ/وَرَزَقۡنَٰهُم/warazaqnahum//مِّنَ/مِّنَ/mina//الطَّیِّبٰتِ/ٱلطَّيِّبَٰتِ/al-tayibati//وَ فَضَّلْنٰهُمْ/وَفَضَّلۡنَٰهُمۡ/wafaddalnahum//عَلَی/عَلَى/ala//الْعٰلَمِیْنَۚ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং নিশ্চয়ই//আমরা দিয়েছিলাম//বনী//ইসরাইলকে//কিতাব//ও কর্তৃত্ব//ও নবুয়ত//এবং তাদের আমরা জীবিকা দিয়েছিলাম//হতে//উত্তম বস্তু//এবং আমরা তাদেরকে মর্যাদা দিয়েছিলাম//উপর//সারা দুনিয়ার (মানুষের)"
            },
            {
              "number": 4490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4490.mp3"
              ],
              "text": "وَءَاتَيْنَٰهُم بَيِّنَٰتٍۢ مِّنَ ٱلْأَمْرِ ۖ فَمَا ٱخْتَلَفُوٓا۟ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۚ إِنَّ رَبَّكَ يَقْضِى بَيْنَهُمْ يَوْمَ ٱلْقِيَٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ",
              "translate_bn": "আরও দিয়েছিলাম তাদেরকে ধর্মের সুস্পষ্ট প্রমাণাদি। অতঃপর তারা জ্ঞান লাভ করার পর শুধু পারস্পরিক জেদের বশবর্তী হয়ে মতভেদ সৃষ্টি করেছে। তারা যে বিষয়ে মতভেদ করত, আপনার পালনকর্তা কেয়ামতের দিন তার ফয়সালা করে দেবেন।",
              "numberInSurah": 17,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-তাইনা-হুম বাইয়িনা-তিম মিনাল আমরি ফামাখ তালাফূইল্লা-মিম বা‘দি মাজাআহুমুল ‘ইলমু বাগইয়াম বাইনাহুম ইন্না রাব্বাকা ইয়াকদী বাইনাহুম ইয়াওমাল কিয়া-মাতি ফীমা-কা-নূফীহি ইয়াখতালিফূন।",
              "words_arabic": "وَ اٰتَیْنٰهُمْ/وَءَاتَيۡنَٰهُم/waataynahum//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//مِّنَ/مِّنَ/mina//الْاَمْرِ ۚ/ٱلۡأَمۡرِۖ/al-amri//فَمَا/فَمَا/fama//اخْتَلَفُوْۤا/ٱخۡتَلَفُوٓاْ/ikh'talafu//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَهُمُ/جَآءَهُمُ/jaahumu//الْعِلْمُ ۙ/ٱلۡعِلۡمُ/al-'il'mu//بَغْیًۢا/بَغۡيَۢا/baghyan//بَیْنَهُمْ ؕ/بَيۡنَهُمۡۚ/baynahum//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//یَقْضِیْ/يَقۡضِي/yaqdi//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//فِیْمَا/فِيمَا/fima//كَانُوْا/كَانُواْ/kanu//فِیْهِ/فِيهِ/fihi//یَخْتَلِفُوْنَ /يَخۡتَلِفُونَ/yakhtalifuna",
              "words_bangla": "এবং তাদেরকে আমরা দিয়েছি//সুস্পষ্ট প্রমাণ//সম্পর্কে//(দ্বীনের) নির্দেশ//অতঃপর নি//(মতবিরোধ করেছিল) বাড়াবাড়ি করে//কিন্তু//মধ্য হতে//এরপরে//যা//তাদের কাছে এসেছিল//(নির্ভুল) জ্ঞান//বাড়াবাড়ি করে//তাদের মাঝে//নিশ্চয়ই//তোমার রব//মীমাংসা করে দিবেন//তাদের মাঝে//দিনে//কিয়ামতের//সে বিষয়ে//তারা ছিল//যার মধ্যে//মতবিরোধ করত"
            },
            {
              "number": 4491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4491.mp3"
              ],
              "text": "ثُمَّ جَعَلْنَٰكَ عَلَىٰ شَرِيعَةٍۢ مِّنَ ٱلْأَمْرِ فَٱتَّبِعْهَا وَلَا تَتَّبِعْ أَهْوَآءَ ٱلَّذِينَ لَا يَعْلَمُونَ",
              "translate_bn": "এরপর আমি আপনাকে রেখেছি ধর্মের এক বিশেষ শরীয়তের উপর। অতএব, আপনি এর অনুসরণ করুন এবং অজ্ঞানদের খেয়াল-খুশীর অনুসরণ করবেন না।",
              "numberInSurah": 18,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা জা‘আল না-কা ‘আলা- শারী‘আতিম মিনাল আমরি ফাত্তাবি‘হা- ওয়ালা-তাত্তাবি‘ আহওয়াআল্লাযীনা লা-ইয়া‘লামূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//جَعَلْنٰكَ/جَعَلۡنَٰكَ/ja'alnaka//عَلٰی/عَلَىٰ/ala//شَرِیْعَةٍ/شَرِيعَةٖ/shari'atin//مِّنَ/مِّنَ/mina//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//فَاتَّبِعْهَا/فَٱتَّبِعۡهَا/fa-ittabi'ha//وَ لَا/وَلَا/wala//تَتَّبِعْ/تَتَّبِعۡ/tattabi'//اَهْوَآءَ/أَهۡوَآءَ/ahwaa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এরপর//তোমাকে আমরা প্রতিষ্ঠিত করেছি//উপর//শরীয়তের//সম্পর্কিত//(দ্বীনের) নির্দেশ//তাই তার অনুসরণ করো//এবং না//অনুসরণ করো//খেয়াল খুশির//(তাদের) যারা//না//জানে"
            },
            {
              "number": 4492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4492.mp3"
              ],
              "text": "إِنَّهُمْ لَن يُغْنُوا۟ عَنكَ مِنَ ٱللَّهِ شَيْـًۭٔا ۚ وَإِنَّ ٱلظَّٰلِمِينَ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍۢ ۖ وَٱللَّهُ وَلِىُّ ٱلْمُتَّقِينَ",
              "translate_bn": "আল্লাহর সামনে তারা আপনার কোন উপকারে আসবে না। যালেমরা একে অপরের বন্ধু। আর আল্লাহ পরহেযগারদের বন্ধু।",
              "numberInSurah": 19,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম লাইঁ ইউগনূ‘আনকা মিনাল্লা-হি শাইআওঁ ওয়া ইন্নাজ্জা-লিমীনা বা‘দুহুম আওলিয়াউ বা‘দিওঁ ওয়াল্লা-হু ওয়ালিইয়ুল মুত্তাকীন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//لَنْ/لَن/lan//یُّغْنُوْا/يُغۡنُواْ/yugh'nu//عَنْكَ/عَنكَ/anka//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـٔٗاۚ/shayan//وَ اِنَّ/وَإِنَّ/wa-inna//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//بَعْضٍ ۚ/بَعۡضٖۖ/ba'din//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//وَلِیُّ/وَلِيُّ/waliyyu//الْمُتَّقِیْنَ /ٱلۡمُتَّقِينَ/al-mutaqina",
              "words_bangla": "তারা নিশ্চয়ই//কখনও না//তারা কাজে আসবে//তোমার জন্যে//(পাকড়াও) হতে//আল্লাহর//কিছুমাত্র//এবং নিশ্চয়ই//সীমালঙ্ঘনকারীরা//তাদের একে//বন্ধু//অপরের//এবং আল্লাহ//বন্ধু//মুত্তাকীদের"
            },
            {
              "number": 4493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4493.mp3"
              ],
              "text": "هَٰذَا بَصَٰٓئِرُ لِلنَّاسِ وَهُدًۭى وَرَحْمَةٌۭ لِّقَوْمٍۢ يُوقِنُونَ",
              "translate_bn": "এটা মানুষের জন্যে জ্ঞানের কথা এবং বিশ্বাসী সম্প্রদায়ের জন্য হেদায়েত ও রহমত।",
              "numberInSurah": 20,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "হা-যা-বাসাইরু লিন্না-ছি ওয়া হুদাওঁ ওয়া রাহমাতুল লিকাওমিইঁ ইউকিনূন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//بَصَآىِٕرُ/بَصَـٰٓئِرُ/basairu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ هُدًی/وَهُدٗى/wahudan//وَّ رَحْمَةٌ/وَرَحۡمَةٞ/warahmatun//لِّقَوْمٍ/لِّقَوۡمٖ/liqawmin//یُّوْقِنُوْنَ /يُوقِنُونَ/yuqinuna",
              "words_bangla": "এটা//(সঠিক পথের) আলো//সব লোকের জন্যে//এবং পথনির্দেশ//ও অনুগ্রহ//(এমন) লোকদের জন্যে//(যারা) দৃঢ় বিশ্বাস করে"
            },
            {
              "number": 4494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4494.mp3"
              ],
              "text": "أَمْ حَسِبَ ٱلَّذِينَ ٱجْتَرَحُوا۟ ٱلسَّيِّـَٔاتِ أَن نَّجْعَلَهُمْ كَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ سَوَآءًۭ مَّحْيَاهُمْ وَمَمَاتُهُمْ ۚ سَآءَ مَا يَحْكُمُونَ",
              "translate_bn": "যারা দুস্কর্ম উপার্জন করেছে তারা কি মনে করে যে, আমি তাদেরকে সে লোকদের মত করে দেব, যারা ঈমান আনে ও সৎকর্ম করে এবং তাদের জীবন ও মুত্যু কি সমান হবে? তাদের দাবী কত মন্দ।",
              "numberInSurah": 21,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 435,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবাল্লাযীনাজ তারাহুছ ছাইয়িআ-তি আন নাজ‘আলাহুম কাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ছাওয়াআম মাহইয়া-হুম ওয়া মামা-তুহুম ছাআমাইয়াহকুমূন।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبَ/حَسِبَ/hasiba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اجْتَرَحُوا/ٱجۡتَرَحُواْ/ij'tarahu//السَّیِّاٰتِ/ٱلسَّيِّـَٔاتِ/al-sayiati//اَنْ/أَن/an//نَّجْعَلَهُمْ/نَّجۡعَلَهُمۡ/naj'alahum//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ۙ/ٱلصَّـٰلِحَٰتِ/al-salihati//سَوَآءً/سَوَآءٗ/sawaan//مَّحْیَاهُمْ/مَّحۡيَاهُمۡ/mahyahum//وَ مَمَاتُهُمْ ؕ/وَمَمَاتُهُمۡۚ/wamamatuhum//سَآءَ/سَآءَ/saa//مَا/مَا/ma//یَحْكُمُوْنَ۠/يَحۡكُمُونَ/yahkumuna",
              "words_bangla": "কি//মনে করেছে//যারা//লিপ্ত রয়েছে//পাপকাজ//যে//তাদেরকে করব আমরা//(তাদের) মতো যারা//ঈমান এনেছে//ও কাজ করেছে//সৎ//(উভয়ে) সমান//তাদের জীবন//ও তাদের মৃত্যু (এক রকম হবে)//কত মন্দ//যা//তারা মীমাংসা করে"
            },
            {
              "number": 4495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4495.mp3"
              ],
              "text": "وَخَلَقَ ٱللَّهُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ وَلِتُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "আল্লাহ নভোমন্ডল ও ভূ-মন্ডল যথাযথভাবে সৃষ্টি করেছেন, যাতে প্রত্যেক ব্যক্তি তার উপার্জনের ফল পায়। তাদের প্রতি যুলুম করা হবে না।",
              "numberInSurah": 22,
              "juz": 25,
              "manzil": 6,
              "page": 500,
              "ruku": 436,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া খালাকাল্লা-হুছ ছামা-ওয়াতি ওয়াল আরদাবিলহাক্কি ওয়া লিতুজঝা-কুল্লুনাফছিম বিমা-কাছাবাত ওয়া হুম লা-ইউজলামূন।",
              "words_arabic": "وَ خَلَقَ/وَخَلَقَ/wakhalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ لِتُجْزٰی/وَلِتُجۡزَىٰ/walituj'za//كُلُّ/كُلُّ/kullu//نَفْسٍۭ/نَفۡسِۭ/nafsin//بِمَا/بِمَا/bima//كَسَبَتْ/كَسَبَتۡ/kasabat//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং সৃষ্টি করেছেন//আল্লাহ//আকাশ//ও পৃথিবী//যথাযথভাবে//এবং যেন প্রতিদান দেওয়া যায়//প্রত্যেক//ব্যক্তিকে//ঐ বিষয়ে যা//সে অর্জন করেছে//এবং তাদের (উপর)//না//যুলুম করা হবে"
            },
            {
              "number": 4496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4496.mp3"
              ],
              "text": "أَفَرَءَيْتَ مَنِ ٱتَّخَذَ إِلَٰهَهُۥ هَوَىٰهُ وَأَضَلَّهُ ٱللَّهُ عَلَىٰ عِلْمٍۢ وَخَتَمَ عَلَىٰ سَمْعِهِۦ وَقَلْبِهِۦ وَجَعَلَ عَلَىٰ بَصَرِهِۦ غِشَٰوَةًۭ فَمَن يَهْدِيهِ مِنۢ بَعْدِ ٱللَّهِ ۚ أَفَلَا تَذَكَّرُونَ",
              "translate_bn": "আপনি কি তার প্রতি লক্ষ্য করেছেন, যে তার খেয়াল-খুশীকে স্বীয় উপাস্য স্থির করেছে? আল্লাহ জেনে শুনে তাকে পথভ্রষ্ট করেছেন, তার কান ও অন্তরে মহর এঁটে দিয়েছেন এবং তার চোখের উপর রেখেছেন পর্দা। অতএব, আল্লাহর পর কে তাকে পথ প্রদর্শন করবে? তোমরা কি চিন্তাভাবনা কর না?",
              "numberInSurah": 23,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 436,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতা মানিত্তাখাযা ইলা-হাহূহাওয়া-হু ওয়া আদাল্লাহুল্লা-হু ‘আলা-‘ইলমিওঁ ওয়াখাতামা ‘আলা-ছাম‘ইহী ওয়া কালবিহী ওয়া জা‘আলা ‘আলা-বাসারিহী গিশা-ওয়াতান ফামাইঁ ইয়াহদীহি মিম বা‘দিল্লা-হি আফালা-তাযাক্কারূন।",
              "words_arabic": "اَفَرَءَیْتَ/أَفَرَءَيۡتَ/afara-ayta//مَنِ/مَنِ/mani//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اِلٰهَهٗ/إِلَٰهَهُۥ/ilahahu//هَوٰىهُ/هَوَىٰهُ/hawahu//وَ اَضَلَّهُ/وَأَضَلَّهُ/wa-adallahu//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//عِلْمٍ/عِلۡمٖ/il'min//وَّ خَتَمَ/وَخَتَمَ/wakhatama//عَلٰی/عَلَىٰ/ala//سَمْعِهٖ/سَمۡعِهِۦ/sam'ihi//وَ قَلْبِهٖ/وَقَلۡبِهِۦ/waqalbihi//وَ جَعَلَ/وَجَعَلَ/waja'ala//عَلٰی/عَلَىٰ/ala//بَصَرِهٖ/بَصَرِهِۦ/basarihi//غِشٰوَةً ؕ/غِشَٰوَةٗ/ghishawatan//فَمَنْ/فَمَن/faman//یَّهْدِیْهِ/يَهۡدِيهِ/yahdihi//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اَفَلَا/أَفَلَا/afala//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "তুমি (ভেবে) দেখেছ কি//যে//বানিয়েছে//তার ইলাহ//নিজ প্রবৃত্তিকে//এবং তাকে পথভ্রষ্ট করেছে//আল্লাহ//ভিত্তিতে//জ্ঞানের//এবং মোহর মেরে দিয়েছেন//উপর//তার কানের//ও তার অন্তরের//ও রেখে দিয়েছেন//উপর//তার চোখের//আবরণ//সুতরাং কে//তাকে সৎপথ দেখাবে//মধ্য হতে//পরে//আল্লাহর//তবুও কি না//তোমরা শিক্ষা গ্রহণ করবে"
            },
            {
              "number": 4497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4497.mp3"
              ],
              "text": "وَقَالُوا۟ مَا هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا نَمُوتُ وَنَحْيَا وَمَا يُهْلِكُنَآ إِلَّا ٱلدَّهْرُ ۚ وَمَا لَهُم بِذَٰلِكَ مِنْ عِلْمٍ ۖ إِنْ هُمْ إِلَّا يَظُنُّونَ",
              "translate_bn": "তারা বলে, আমাদের পার্থিব জীবনই তো শেষ; আমরা মরি ও বাঁচি মহাকালই আমাদেরকে ধ্বংস করে। তাদের কাছে এ ব্যাপারে কোন জ্ঞান নেই। তারা কেবল অনুমান করে কথা বলে।",
              "numberInSurah": 24,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 436,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূমা-হিয়া ইল্লা-হায়া-তুনাদ্দুনইয়া-নামূতুওয়া নাহইয়া-ওয়ামা-ইউহলিকুনা ইল্লাদ্দাহরু ওয়ামা-লাহুম বিযা-লিকা মিন ‘ইলমিন ইনহুম ইল্লা-ইয়াজু ন্নূন।\r\n",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//مَا/مَا/ma//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//حَیَاتُنَا/حَيَاتُنَا/hayatuna//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//نَمُوْتُ/نَمُوتُ/namutu//وَ نَحْیَا/وَنَحۡيَا/wanahya//وَ مَا/وَمَا/wama//یُهْلِكُنَاۤ/يُهۡلِكُنَآ/yuh'likuna//اِلَّا/إِلَّا/illa//الدَّهْرُ ۚ/ٱلدَّهۡرُۚ/al-dahru//وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//بِذٰلِكَ/بِذَٰلِكَ/bidhalika//مِنْ/مِنۡ/min//عِلْمٍ ۚ/عِلۡمٍۖ/il'min//اِنْ/إِنۡ/in//هُمْ/هُمۡ/hum//اِلَّا/إِلَّا/illa//یَظُنُّوْنَ /يَظُنُّونَ/yazunnuna",
              "words_bangla": "এবং তারা বলে//\"না//সেটা (অর্থাৎ পূনরুত্থান)//(যদি থাকে) তবে//আমাদের এ জীবন//দুনিয়ার//আমরা মরি//ও আমরা বাঁচি (তা সব এখানেই)//এবং না//আমাদের ধ্বংস করে//এ ব্যতীত//কালের (আবর্তন)\"//এবং নেই//তাদের কাছে//এ সম্বন্ধে//কোনো//জ্ঞান//না//তারা//এ ব্যতীত//অনুমান করে"
            },
            {
              "number": 4498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4498.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا بَيِّنَٰتٍۢ مَّا كَانَ حُجَّتَهُمْ إِلَّآ أَن قَالُوا۟ ٱئْتُوا۟ بِـَٔابَآئِنَآ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তাদের কাছে যখন আমার সুস্পষ্ট আয়াতসমূহ পাঠ করা হয়, তখন একথা বলা ছাড়া তাদের কোন মুক্তিই থাকে না যে, তোমরা সত্যবাদী হলে আমাদের পূর্বপুরুষদেরকে নিয়ে আস।",
              "numberInSurah": 25,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 436,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা ‘আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিম মা-কা-না হুজ্জাতাহুম ইল্লা আন কা-লু’তূবিআ-বাইনাইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//مَّا/مَّا/ma//كَانَ/كَانَ/kana//حُجَّتَهُمْ/حُجَّتَهُمۡ/hujjatahum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//قَالُوا/قَالُواْ/qalu//ائْتُوْا/ٱئۡتُواْ/i'tu//بِاٰبَآىِٕنَاۤ/بِـَٔابَآئِنَآ/biabaina//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং যখন//আবৃত্তি করা হয়//তাদের কাছে//আমাদের আয়াতসমূহকে//সুস্পষ্ট//না//থাকে//তাদের যুক্তি//এ ব্যতীত//যে//তারা বলে//\"তোমরা উপস্থিত হও//আমাদের পিতৃপুরুষদেরকে নিয়ে//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 4499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4499.mp3"
              ],
              "text": "قُلِ ٱللَّهُ يُحْيِيكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يَجْمَعُكُمْ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ لَا رَيْبَ فِيهِ وَلَٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ",
              "translate_bn": "আপনি বলুন, আল্লাহই তোমাদেরকে জীবন দান করেন, অতঃপর মৃত্যু দেন, অতঃপর তোমাদেরকে কেয়ামতের দিন একত্রিত করবেন, যাতে কোন সন্দেহ নেই। কিন্তু অধিকাংশ মানুষ বোঝে না।",
              "numberInSurah": 26,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 436,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "কুল্লিলা-হু ইউহঈকুম ছু ম্মা ইয়াজমা‘উকুম ইলা-ইয়াওমিল কিয়া-মাতি লা-রাইবা ফীহি ওয়ালা-কিন্না আকছারান্না-ছি লা-ইয়া‘লামূন।",
              "words_arabic": "قُلِ/قُلِ/quli//اللّٰهُ/ٱللَّهُ/al-lahu//یُحْیِیْكُمْ/يُحۡيِيكُمۡ/yuh'yikum//ثُمَّ/ثُمَّ/thumma//یُمِیْتُكُمْ/يُمِيتُكُمۡ/yumitukum//ثُمَّ/ثُمَّ/thumma//یَجْمَعُكُمْ/يَجۡمَعُكُمۡ/yajma'ukum//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهِ/فِيهِ/fihi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَ/أَكۡثَرَ/akthara//النَّاسِ/ٱلنَّاسِ/al-nasi//لَا/لَا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "বলো//\"আল্লাহই//তোমাদেরকে জীবন দেন//এরপর//তোমাদেরকে মৃত্যু দেন//এরপর//তোমাদেরকে একত্র করবেন//দিকে//দিনের//কিয়ামতের//নেই//কোন সন্দেহ//তার মধ্যে\"//কিন্তু//অধিকাংশ//মানুষই//না//তারা জানে"
            },
            {
              "number": 4500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4500.mp3"
              ],
              "text": "وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يَوْمَئِذٍۢ يَخْسَرُ ٱلْمُبْطِلُونَ",
              "translate_bn": "নভোমন্ডল ও ভূ-মন্ডলের রাজত্ব আল্লাহরই। যেদিন কেয়ামত সংঘটিত হবে, সেদিন মিথ্যাপন্থীরা ক্ষতিগ্রস্ত হবে।",
              "numberInSurah": 27,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি মুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়া ইয়াওমা তাকূমুছছা-‘আতু ইয়াওমাইযিইঁ ইয়াখছারুল মুবতিলূন।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ یَوْمَ/وَيَوۡمَ/wayawma//تَقُوْمُ/تَقُومُ/taqumu//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّخْسَرُ/يَخۡسَرُ/yakhsaru//الْمُبْطِلُوْنَ /ٱلۡمُبۡطِلُونَ/al-mub'tiluna",
              "words_bangla": "এবং আল্লাহরই জন্য//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এবং যেদিন//সংঘটিত হবে//কিয়ামত//সেদিন//ক্ষতিগ্রস্ত হবে//মিথ্যাশ্রয়ীরা"
            },
            {
              "number": 4501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4501.mp3"
              ],
              "text": "وَتَرَىٰ كُلَّ أُمَّةٍۢ جَاثِيَةًۭ ۚ كُلُّ أُمَّةٍۢ تُدْعَىٰٓ إِلَىٰ كِتَٰبِهَا ٱلْيَوْمَ تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আপনি প্রত্যেক উম্মতকে দেখবেন নতজানু অবস্থায়। প্রত্যেক উম্মতকে তাদের আমলনামা দেখতে বলা হবে। তোমরা যা করতে, অদ্য তোমারদেরকে তার প্রতিফল দেয়া হবে।",
              "numberInSurah": 28,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া তারা-কুল্লা উম্মাতিন জা-ছিয়াতান কুল্লুউম্মাতিন তুদ ‘আইলা-কিতা-বিহা- আলইয়াওমা তুজঝাওনা মা-কুন তুম তা‘লামূন।",
              "words_arabic": "وَ تَرٰی/وَتَرَىٰ/watara//كُلَّ/كُلَّ/kulla//اُمَّةٍ/أُمَّةٖ/ummatin//جَاثِیَةً ۫/جَاثِيَةٗۚ/jathiyatan//كُلُّ/كُلُّ/kullu//اُمَّةٍ/أُمَّةٖ/ummatin//تُدْعٰۤی/تُدۡعَىٰٓ/tud'a//اِلٰی/إِلَىٰ/ila//كِتٰبِهَا ؕ/كِتَٰبِهَا/kitabiha//اَلْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এবং তুমি দেখবে//প্রত্যেক//দলকে//নতজানু অবস্থায়//প্রত্যেক//দলকে//ডাকা হবে//প্রতি//তার আমলনামার//\"(বলা হবে) আজ//তোমাদের প্রতিফল দেওয়া হবে//যা//তোমরা//কাজ করছিলে"
            },
            {
              "number": 4502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4502.mp3"
              ],
              "text": "هَٰذَا كِتَٰبُنَا يَنطِقُ عَلَيْكُم بِٱلْحَقِّ ۚ إِنَّا كُنَّا نَسْتَنسِخُ مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "আমার কাছে রক্ষিত এই আমলনামা তোমাদের সম্পর্কে সত্য কথা বলবে। তোমরা যা করতে আমি তা লিপিবদ্ধ করতাম।",
              "numberInSurah": 29,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "হা-যা-কিতা-বুনা-ইয়ানতিকু‘আলাইকুম বিলহাক্কি ইন্না-কুন্না-নাছতানছিখুমাকুনতুম তা‘মালূন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//كِتٰبُنَا/كِتَٰبُنَا/kitabuna//یَنْطِقُ/يَنطِقُ/yantiqu//عَلَیْكُمْ/عَلَيۡكُم/alaykum//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//نَسْتَنْسِخُ/نَسۡتَنسِخُ/nastansikhu//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "এই//আমাদের (তৈরী করা) আমলনামা//কথা বলছে//তোমাদের বিরুদ্ধে//যথাযথভাবে//আমরা নিশ্চয়ই//আমরা ছিলাম//আমরা সংরক্ষণ করি//যা কিছু//তোমরা ছিলে//তোমরা কাজ করতে\""
            },
            {
              "number": 4503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4503.mp3"
              ],
              "text": "فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَيُدْخِلُهُمْ رَبُّهُمْ فِى رَحْمَتِهِۦ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْمُبِينُ",
              "translate_bn": "যারা বিশ্বাস স্থাপন করেছে ও সৎকর্ম করেছে, তাদেরকে তাদের পালনকর্তা স্বীয় রহমতে দাখিল করবেন। এটাই প্রকাশ্য সাফল্য।",
              "numberInSurah": 30,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ফাইউদখিলুহুম রাব্বুহুম ফী রাহমাতিহী যা-লিকা হুওয়াল ফাওঝুল মুবীন।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَیُدْخِلُهُمْ/فَيُدۡخِلُهُمۡ/fayud'khiluhum//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//فِیْ/فِي/fi//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦۚ/rahmatihi//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "আর//যারা//ঈমান আনবে//ও কাজ করবে//নেকীর//তখন তাদের প্রবেশ করাবেন//তাদের রব//মধ্যে//তাঁর রহমতের//এটাাই//সেই//সাফল্য//সুস্পষ্ট"
            },
            {
              "number": 4504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4504.mp3"
              ],
              "text": "وَأَمَّا ٱلَّذِينَ كَفَرُوٓا۟ أَفَلَمْ تَكُنْ ءَايَٰتِى تُتْلَىٰ عَلَيْكُمْ فَٱسْتَكْبَرْتُمْ وَكُنتُمْ قَوْمًۭا مُّجْرِمِينَ",
              "translate_bn": "আর যারা কুফর করেছে, তাদেরকে জিজ্ঞাসা করা হবে, তোমাদের কাছে কি আয়াতসমূহ পঠিত হত না? কিন্তু তোমরা অহংকার করছিলে এবং তোমরা ছিলে এক অপরাধী সম্প্রদায়।",
              "numberInSurah": 31,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল্লাযীনা কাফারূ আফালাম তাকুন আ-য়া-তী তুতলা-‘আলাইকুম ফাছতাকবারতুম ওয়া কুনতুম কাওমাম মুজরিমীন।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ۫/كَفَرُوٓاْ/kafaru//اَفَلَمْ/أَفَلَمۡ/afalam//تَكُنْ/تَكُنۡ/takun//اٰیٰتِیْ/ءَايَٰتِي/ayati//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَاسْتَكْبَرْتُمْ/فَٱسۡتَكۡبَرۡتُمۡ/fa-is'takbartum//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//قَوْمًا/قَوۡمٗا/qawman//مُّجْرِمِیْنَ /مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "আর//যারা//অস্বীকার করেছিল//\"(তাদের বলা হবে) তবে কি//\"হয় নি//আমার নিদর্শনগুলো//পঠিত//তোমাদের নিকট//কিন্তু তোমরা অহংকার করেছিলে//এবং তোমরা ছিলে//সম্প্রদায়//অপরাধী\""
            },
            {
              "number": 4505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4505.mp3"
              ],
              "text": "وَإِذَا قِيلَ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ وَٱلسَّاعَةُ لَا رَيْبَ فِيهَا قُلْتُم مَّا نَدْرِى مَا ٱلسَّاعَةُ إِن نَّظُنُّ إِلَّا ظَنًّۭا وَمَا نَحْنُ بِمُسْتَيْقِنِينَ",
              "translate_bn": "যখন বলা হত, আল্লাহর ওয়াদা সত্য এবং কেয়ামতে কোন সন্দেহ নেই, তখন তোমরা বলতে আমরা জানি না কেয়ামত কি ? আমরা কেবল ধারণাই করি এবং এ বিষয়ে আমরা নিশ্চিত নই।",
              "numberInSurah": 32,
              "juz": 25,
              "manzil": 6,
              "page": 501,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কীলা ইন্না ওয়া‘দাল্লা-হি হাক্কুওঁ ওয়াছছা-‘আতুলা-রাইবা ফীহা-কুলতুম মানাদরী মাছ ছা-‘আতু ইন নাজুন্নুইল্লা-জান্নাওঁ ওয়ামা-নাহনুবিমুছতাইকিনীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ/حَقّٞ/haqqun//وَّ السَّاعَةُ/وَٱلسَّاعَةُ/wal-sa'atu//لَا/لَا/la//رَیْبَ/رَيۡبَ/rayba//فِیْهَا/فِيهَا/fiha//قُلْتُمْ/قُلۡتُم/qul'tum//مَّا/مَّا/ma//نَدْرِیْ/نَدۡرِي/nadri//مَا/مَا/ma//السَّاعَةُ ۙ/ٱلسَّاعَةُ/al-sa'atu//اِنْ/إِن/in//نَّظُنُّ/نَّظُنُّ/nazunnu//اِلَّا/إِلَّا/illa//ظَنًّا/ظَنّٗا/zannan//وَّ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمُسْتَیْقِنِیْنَ /بِمُسۡتَيۡقِنِينَ/bimus'tayqinina",
              "words_bangla": "এবং যখন//বলা হতো//\"নিশ্চয়ই//ওয়াদা//আল্লাহর//সত্য//এবং কিয়ামত (এমন যে)//নেই//কোনো সন্দেহ//তার মধ্যে//তোমরা বলতে//\"না//আমরা জানি//কি (জিনিস)//কিয়ামত//না//আমরা ধারণা করি//এ ব্যতীত//(সাধারণ) অনুমান নির্ভর কথা//এবং নই//আমরা//দৃঢ় বিশ্বাসী\""
            },
            {
              "number": 4506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4506.mp3"
              ],
              "text": "وَبَدَا لَهُمْ سَيِّـَٔاتُ مَا عَمِلُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "তাদের মন্দ কর্ম গুলো তাদের সামনে প্রকাশ হয়ে পড়বে এবং যে আযাব নিয়ে তারা ঠাট্টা-বিদ্রুপ করত, তা তাদেরকে গ্রাস করবে।",
              "numberInSurah": 33,
              "juz": 25,
              "manzil": 6,
              "page": 502,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া বাদা- লাহুম ছাইয়িআ-তু মা-‘আমিলূ ওয়া হা-কাবিহিমমা-কা-নূ বিহী ইয়াছতাহঝিঊন।",
              "words_arabic": "وَ بَدَا/وَبَدَا/wabada//لَهُمْ/لَهُمۡ/lahum//سَیِّاٰتُ/سَيِّـَٔاتُ/sayyiatu//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ /يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং প্রকাশ হবে//তাদের কাছে//মন্দ কাজগুলো//যা কিছু//তারা করেছিলো//এবং ঘিরে ফেলবে//তাদেরকে//যা//তারা ছিল//সে সম্বন্ধে//বিদ্রুপ করত"
            },
            {
              "number": 4507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4507.mp3"
              ],
              "text": "وَقِيلَ ٱلْيَوْمَ نَنسَىٰكُمْ كَمَا نَسِيتُمْ لِقَآءَ يَوْمِكُمْ هَٰذَا وَمَأْوَىٰكُمُ ٱلنَّارُ وَمَا لَكُم مِّن نَّٰصِرِينَ",
              "translate_bn": "বলা হবে, আজ আমি তোমাদেরকে ভুলে যাব, যেমন তোমরা এ দিনের সাক্ষাৎকে ভুলে গিয়েছিলে। তোমাদের আবাসস্থল জাহান্নাম এবং তোমাদের সাহায্যকারী নেই।",
              "numberInSurah": 34,
              "juz": 25,
              "manzil": 6,
              "page": 502,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলাল ইয়াওমা নানছা-কুম কামা-নাছীতুম লিকাআ ইয়াওমিকুম হা-যা-ওয়ামা’ ওয়া-কুমুন্না-রু ওয়া মা-লাকুম মিন না-সিরীন।",
              "words_arabic": "وَ قِیْلَ/وَقِيلَ/waqila//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//نَنْسٰىكُمْ/نَنسَىٰكُمۡ/nansakum//كَمَا/كَمَا/kama//نَسِیْتُمْ/نَسِيتُمۡ/nasitum//لِقَآءَ/لِقَآءَ/liqaa//یَوْمِكُمْ/يَوۡمِكُمۡ/yawmikum//هٰذَا/هَٰذَا/hadha//وَ مَاْوٰىكُمُ/وَمَأۡوَىٰكُمُ/wamawakumu//النَّارُ/ٱلنَّارُ/al-naru//وَ مَا/وَمَا/wama//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//نّٰصِرِیْنَ /نَّـٰصِرِينَ/nasirina",
              "words_bangla": "এবং বলা হবে//\"আজ//তোমাদেরকে ভুলে যাব আমরা//যেমন//তোমরা ভুলে গিয়েছিলে//সাক্ষাতকে//তোমাদের দিনের//এই//এবং তোমাদের আশ্রয়স্থল//আগুন//এবং নেই//তোমাদের জন্য//কেউ//সাহায্যকারীদের"
            },
            {
              "number": 4508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4508.mp3"
              ],
              "text": "ذَٰلِكُم بِأَنَّكُمُ ٱتَّخَذْتُمْ ءَايَٰتِ ٱللَّهِ هُزُوًۭا وَغَرَّتْكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ فَٱلْيَوْمَ لَا يُخْرَجُونَ مِنْهَا وَلَا هُمْ يُسْتَعْتَبُونَ",
              "translate_bn": "এটা এজন্যে যে, তোমরা আল্লাহর আয়াতসমূহকে ঠাট্টারূপে গ্রহণ করেছিলে এবং পার্থিব জীবন তোমাদেরকে প্রতারিত করেছিল। সুতরাং আজ তাদেরকে জাহান্নাম থেকে বের করা হবে না এবং তাদের কাছে তওবা চাওয়া হবে না।",
              "numberInSurah": 35,
              "juz": 25,
              "manzil": 6,
              "page": 502,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "যা-লিকুম বিআন্নাকুমুত্তাখাযতুম আ-য়া-তিল্লা-হি হুঝুওয়াওঁ ওয়াগাররাতকুমুল হা-য়াতুদ্দুনইয়া- ফালইয়াওমা লা-ইউখরাজূনা মিনহা-ওয়ালা-হুম ইউছতা‘তাবূন।",
              "words_arabic": "ذٰلِكُمْ/ذَٰلِكُم/dhalikum//بِاَنَّكُمُ/بِأَنَّكُمُ/bi-annakumu//اتَّخَذْتُمْ/ٱتَّخَذۡتُمۡ/ittakhadhtum//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//هُزُوًا/هُزُوٗا/huzuwan//وَّ غَرَّتْكُمُ/وَغَرَّتۡكُمُ/wagharratkumu//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا ۚ/ٱلدُّنۡيَاۚ/al-dun'ya//فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//لَا/لَا/la//یُخْرَجُوْنَ/يُخۡرَجُونَ/yukh'rajuna//مِنْهَا/مِنۡهَا/min'ha//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُسْتَعْتَبُوْنَ /يُسۡتَعۡتَبُونَ/yus'ta'tabuna",
              "words_bangla": "এটা তোমাদের//এ কারণে যে//তোমরা গ্রহণ করেছিলে//নিদর্শনাবলীকে//আল্লাহর//বিদ্রুপরূপে//ও তোমাদেরকে ধোঁকা দিয়েছিল//জীবন//পার্থিব\"//সুতরাং আজ//না//তাদের বের করা হবে//তা থেকে//এবং না//তাদেরকে//সন্তুষ্টি লাভের সুযোগ দেওয়া হবে"
            },
            {
              "number": 4509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4509.mp3"
              ],
              "text": "فَلِلَّهِ ٱلْحَمْدُ رَبِّ ٱلسَّمَٰوَٰتِ وَرَبِّ ٱلْأَرْضِ رَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "অতএব, বিশ্বজগতের পালনকর্তা, ভূ-মন্ডলের পালনকর্তা ও নভোমন্ডলের পালনকর্তা আল্লাহর-ই প্রশংসা।",
              "numberInSurah": 36,
              "juz": 25,
              "manzil": 6,
              "page": 502,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ফালিল্লা-হিল হামদুরাব্বিছ ছামা-ওয়া-তি ওয়া রাব্বিল আরদিরাব্বিল ‘আ-লামীন।\r\n",
              "words_arabic": "فَلِلّٰهِ/فَلِلَّهِ/falillahi//الْحَمْدُ/ٱلۡحَمۡدُ/al-hamdu//رَبِّ/رَبِّ/rabbi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ رَبِّ/وَرَبِّ/warabbi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//رَبِّ/رَبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "সুতরাং আল্লাহর জন্যে//সকল প্রশংসা//(যিনি) রব//আকাশের//ও রব//পৃথিবীর//রব//বিশ্বজগতের"
            },
            {
              "number": 4510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4510.mp3"
              ],
              "text": "وَلَهُ ٱلْكِبْرِيَآءُ فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "নভোমন্ডলে ও ভূ-মন্ডলে তাঁরই গৌরব। তিনি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 37,
              "juz": 25,
              "manzil": 6,
              "page": 502,
              "ruku": 437,
              "hizbQuarter": 200,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাহুল কিবরিয়াউ ফিছছামা-ওয়া-তি ওয়াল আরদি ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "وَ لَهُ/وَلَهُ/walahu//الْكِبْرِیَآءُ/ٱلۡكِبۡرِيَآءُ/al-kib'riyau//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۪/وَٱلۡأَرۡضِۖ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এবং তাঁরই জন্যে//গৌরব-গরিমা//মধ্যে//আকাশের//এবং পৃথিবীর//এবং তিনিই//পরাক্রমশালী//প্রজ্ঞাময়"
            }
          ]
        },
        {
          "number": 46,
          "name": "سُورَةُ الأَحۡقَافِ",
          "englishName": "Al-Ahqaf",
          "englishNameTranslation": "The Dunes",
          "revelationType": "Meccan",
          "verse": 35,
          "words": 1311,
          "chars": 5561,
          "ayahs": [
            {
              "number": 4511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4511.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ حمٓ",
              "translate_bn": "হা-মীম।",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 6,
              "page": 502,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "হা-মীম।",
              "words_arabic": "حٰمٓۚ/حمٓ/ha-meem",
              "words_bangla": "হা-মীম"
            },
            {
              "number": 4512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4512.mp3"
              ],
              "text": "تَنزِيلُ ٱلْكِتَٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ",
              "translate_bn": "এই কিতাব পরাক্রমশালী, প্রজ্ঞাময় আল্লাহর পক্ষ থেকে অবতীর্ণ।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 6,
              "page": 502,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুল কিতা-বি মিনাল্লা-হিল ‘আঝীঝিল হাকীম।",
              "words_arabic": "تَنْزِیْلُ/تَنزِيلُ/tanzilu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "অবতীর্ণ করা//এই কিতাব//পক্ষ হতে//আল্লাহর//(যিনি) পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 4513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4513.mp3"
              ],
              "text": "مَا خَلَقْنَا ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ وَأَجَلٍۢ مُّسَمًّۭى ۚ وَٱلَّذِينَ كَفَرُوا۟ عَمَّآ أُنذِرُوا۟ مُعْرِضُونَ",
              "translate_bn": "নভোমন্ডল, ভূ-মন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু আমি যথাযথভাবেই এবং নির্দিষ্ট সময়ের জন্যেই সৃষ্টি করেছি। আর কাফেররা যে বিষয়ে তাদেরকে সতর্ক করা হয়েছে, তা থেকে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 6,
              "page": 502,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "মা-খালাকনাছ ছামা-ওয়া-তি ওয়াল আরদা ওয়ামা-বাইনাহুমাইল্লা-বিলহাক্কি ওয়াআজালিম মুছাম্মাওঁ ওয়াল্লাযীনা কাফারূ‘আম্মাউনযিরূমু‘রিদূন।",
              "words_arabic": "مَا/مَا/ma//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَاۤ/بَيۡنَهُمَآ/baynahuma//اِلَّا/إِلَّا/illa//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ اَجَلٍ/وَأَجَلٖ/wa-ajalin//مُّسَمًّی ؕ/مُّسَمّٗىۚ/musamman//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//عَمَّاۤ/عَمَّآ/amma//اُنْذِرُوْا/أُنذِرُواْ/undhiru//مُعْرِضُوْنَ /مُعۡرِضُونَ/mu'riduna",
              "words_bangla": "না//আমরা সৃষ্টি করেছি//আকাশ//আর (না)পৃথিবীকে//এবং যা কিছু (আছে)//উভয়ের মাঝে//ব্যতীত//যথাযথভাবে//এবং একটা সময়ের (জন্যে)//সুনির্দিষ্ট//কিন্তু যারা//অস্বীকার করেছে//সে সম্পর্কে যার//তাদেরকে সতর্ক করা হয়েছে//(তা হতে) তারা মুখ ফিরিয়ে নিয়েছে"
            },
            {
              "number": 4514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4514.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُم مَّا تَدْعُونَ مِن دُونِ ٱللَّهِ أَرُونِى مَاذَا خَلَقُوا۟ مِنَ ٱلْأَرْضِ أَمْ لَهُمْ شِرْكٌۭ فِى ٱلسَّمَٰوَٰتِ ۖ ٱئْتُونِى بِكِتَٰبٍۢ مِّن قَبْلِ هَٰذَآ أَوْ أَثَٰرَةٍۢ مِّنْ عِلْمٍ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বলুন, তোমরা আল্লাহ ব্যতীত যাদের পূজা কর, তাদের বিষয়ে ভেবে দেখেছ কি? দেখাও আমাকে তারা পৃথিবীতে কি সৃষ্টি করেছে? অথবা নভোমন্ডল সৃজনে তাদের কি কোন অংশ আছে? এর পূর্ববর্তী কোন কিতাব অথবা পরস্পরাগত কোন জ্ঞান আমার কাছে উপস্থিত কর, যদি তোমরা সত্যবাদী হও।",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 6,
              "page": 502,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম মা-তাদ‘ঊনা মিন দূ নিল্লা-হি আরূনী মা-যা-খালাকূমিনাল আরদিআম লাহুম শিরকুন ফিছ ছামা-ওয়া-তি ঈতূনী বিকিতা-বিম মিন কাবলি হা-যাআও আছারাতিম মিন ‘ইলমিন ইন কুনতুম সা-দিকীন।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُم/ara-aytum//مَّا/مَّا/ma//تَدْعُوْنَ/تَدۡعُونَ/tad'una//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَرُوْنِیْ/أَرُونِي/aruni//مَا ذَا/مَاذَا/madha//خَلَقُوْا/خَلَقُواْ/khalaqu//مِنَ/مِنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//شِرْكٌ/شِرۡكٞ/shir'kun//فِی/فِي/fi//السَّمٰوٰتِ ؕ/ٱلسَّمَٰوَٰتِۖ/al-samawati//اِیْتُوْنِیْ/ٱئۡتُونِي/i'tuni//بِكِتٰبٍ/بِكِتَٰبٖ/bikitabin//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//هٰذَاۤ/هَٰذَآ/hadha//اَوْ/أَوۡ/aw//اَثٰرَةٍ/أَثَٰرَةٖ/atharatin//مِّنْ/مِّنۡ/min//عِلْمٍ/عِلۡمٍ/il'min//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "(হে নাবী) বলো//\"তোমরা কি (ভেবে) দেখেছ//যাদেরকে//তোমরা ডাক//মধ্য হতে//ছাড়া//আল্লাহকে (তারা কারা?)//আমাকে দেখাও//কি//তারা সৃষ্টি করেছে//মধ্য হতে//পৃথিবীর//অথবা কি//তাদের জন্যে আছে//কোন অংশ//মধ্যে//আকাশসমূহের//আমার কাছে আন//কোন বই নিয়ে (এর সমর্থনে)//থেকে//পূর্বের//এর//অথবা//ঐতিহ্যগত//কোনো//জ্ঞান//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 4515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4515.mp3"
              ],
              "text": "وَمَنْ أَضَلُّ مِمَّن يَدْعُوا۟ مِن دُونِ ٱللَّهِ مَن لَّا يَسْتَجِيبُ لَهُۥٓ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ وَهُمْ عَن دُعَآئِهِمْ غَٰفِلُونَ",
              "translate_bn": "যে ব্যক্তি আল্লাহর পরিবর্তে এমন বস্তুর পূজা করে, যে কেয়ামত পর্যন্তও তার ডাকে সাড়া দেবে না, তার চেয়ে অধিক পথভ্রষ্ট আর কে? তারা তো তাদের পুজা সম্পর্কেও বেখবর।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 6,
              "page": 502,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়ামান আদাল্লুমিম্মাইঁ ইয়াদ‘ঊ মিন দূনিল্লা-হি মাল্লা-ইয়াছতাজীবুলাহূইলা-ইয়াওমিল কিয়া-মাতি ওয়াহুম ‘আন দু‘আইহিম গা-ফিলূন।\r\n",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَضَلُّ/أَضَلُّ/adallu//مِمَّنْ/مِمَّن/mimman//یَّدْعُوْا/يَدۡعُواْ/yad'u//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//مَنْ/مَن/man//لَّا/لَّا/la//یَسْتَجِیْبُ/يَسۡتَجِيبُ/yastajibu//لَهٗۤ/لَهُۥٓ/lahu//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ/ٱلۡقِيَٰمَةِ/al-qiyamati//وَ هُمْ/وَهُمۡ/wahum//عَنْ/عَن/an//دُعَآىِٕهِمْ/دُعَآئِهِمۡ/du'aihim//غٰفِلُوْنَ /غَٰفِلُونَ/ghafiluna",
              "words_bangla": "এবং কে//অধিক বিভ্রান্ত (হতে পারে)//তার চেয়ে যে//ডাকে//মধ্য হতে//ছাড়া//আল্লাহ//(এমন সত্তাকে) যা//না//ডাকে সাড়া দেবে//তাকে//পর্যন্ত//দিন//কিয়ামতের//এবং তারা//সম্বন্ধে//তাদের প্রার্থনা//অনবহিত"
            },
            {
              "number": 4516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4516.mp3"
              ],
              "text": "وَإِذَا حُشِرَ ٱلنَّاسُ كَانُوا۟ لَهُمْ أَعْدَآءًۭ وَكَانُوا۟ بِعِبَادَتِهِمْ كَٰفِرِينَ",
              "translate_bn": "যখন মানুষকে হাশরে একত্রিত করা হবে, তখন তারা তাদের শত্রু হবে এবং তাদের এবাদত অস্বীকার করবে।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-হুশিরান্না-ছুকা-নূলাহুম আ‘দাআওঁ ওয়া কা-নূবি‘ইবা-দাতিহিম কা-ফিরীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//حُشِرَ/حُشِرَ/hushira//النَّاسُ/ٱلنَّاسُ/al-nasu//كَانُوْا/كَانُواْ/kanu//لَهُمْ/لَهُمۡ/lahum//اَعْدَآءً/أَعۡدَآءٗ/a'daan//وَّ كَانُوْا/وَكَانُواْ/wakanu//بِعِبَادَتِهِمْ/بِعِبَادَتِهِمۡ/bi'ibadatihim//كٰفِرِیْنَ /كَٰفِرِينَ/kafirina",
              "words_bangla": "এবং যখন//একত্র করা হবে//সব মানুষকে//তারা হবে//তাদের জন্যে//শত্রু//এবং তারা হবে//তাদের উপাসনা সম্বন্ধে//অস্বীকারকারী"
            },
            {
              "number": 4517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4517.mp3"
              ],
              "text": "وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَٰتُنَا بَيِّنَٰتٍۢ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلْحَقِّ لَمَّا جَآءَهُمْ هَٰذَا سِحْرٌۭ مُّبِينٌ",
              "translate_bn": "যখন তাদেরকে আমার সুস্পষ্ট আয়াতসমূহ পাঠ করে শুনানো হয়, তখন সত্য আগমন করার পর কাফেররা বলে, এ তো প্রকাশ্য জাদু।",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-তুতলা ‘আলাইহিম আ-য়া-তুনা-বাইয়িনা-তিন কা-লাল্লাযীনা কাফারূ লিলহাক্কিলাম্মা-জাআহুম হা-যা-ছিহরুম মুবীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//قَالَ/قَالَ/qala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلْحَقِّ/لِلۡحَقِّ/lil'haqqi//لَمَّا/لَمَّا/lamma//جَآءَهُمْ ۙ/جَآءَهُمۡ/jaahum//هٰذَا/هَٰذَا/hadha//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌؕ/مُّبِينٌ/mubinun",
              "words_bangla": "এবং যখন//আবৃত্তি করা হয়//তাদের নিকট//আমাদের আয়াতগুলোকে//সুস্পষ্ট//(তখন) বলে//যারা//অস্বীকার করেছে//মহাসত্যকে//যখন//তাদের কাছে এসেছে//\"এটা//জাদু//সুস্পষ্ট\""
            },
            {
              "number": 4518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4518.mp3"
              ],
              "text": "أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ إِنِ ٱفْتَرَيْتُهُۥ فَلَا تَمْلِكُونَ لِى مِنَ ٱللَّهِ شَيْـًٔا ۖ هُوَ أَعْلَمُ بِمَا تُفِيضُونَ فِيهِ ۖ كَفَىٰ بِهِۦ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ ۖ وَهُوَ ٱلْغَفُورُ ٱلرَّحِيمُ",
              "translate_bn": "তারা কি বলে যে, রসূল একে রচনা করেছে? বলুন, যদি আমি রচনা করে থাকি, তবে তোমরা আল্লাহর শাস্তি থেকে আমাকে রক্ষা করার অধিকারী নও। তোমরা এ সম্পর্কে যা আলোচনা কর, সে বিষয়ে আল্লাহ সম্যক অবগত। আমার ও তোমাদের মধ্যে তিনি সাক্ষী হিসাবে যথেষ্ট। তিনি ক্ষমাশীল, দয়াময়।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনাফতারা-হূ কুল ইনিফতারাইতুহূফালা-তামলিকূনা লী মিনাল্লা-হি শাইআন হুওয়া আ‘লামুবিমা-তুফীদূ না ফীহি কাফা-বিহী শাহীদাম বাইনী ওয়া বাইনাকুম ওয়া হুওয়াল গাফূরুর রাহীম।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//افْتَرٰىهُ ؕ/ٱفۡتَرَىٰهُۖ/if'tarahu//قُلْ/قُلۡ/qul//اِنِ/إِنِ/ini//افْتَرَیْتُهٗ/ٱفۡتَرَيۡتُهُۥ/if'taraytuhu//فَلَا/فَلَا/fala//تَمْلِكُوْنَ/تَمۡلِكُونَ/tamlikuna//لِیْ/لِي/li//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـًٔاۖ/shayan//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//تُفِیْضُوْنَ/تُفِيضُونَ/tufiduna//فِیْهِ ؕ/فِيهِۚ/fihi//كَفٰی/كَفَىٰ/kafa//بِهٖ/بِهِۦ/bihi//شَهِیْدًۢا/شَهِيدَۢا/shahidan//بَیْنِیْ/بَيۡنِي/bayni//وَ بَیْنَكُمْ ؕ/وَبَيۡنَكُمۡۖ/wabaynakum//وَ هُوَ/وَهُوَ/wahuwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "অথবা//তারা বলে//\"সে তা রচনা করেছে\"//বলো//\"যদি//তা আমি রচনা করে থাকি//না তবে//তোমরা সক্ষম//আমাকে (রক্ষা করতে)//হতে//আল্লাহ//কিছুমাত্র//তিনি//খুব জানেন//ঐ বিষয়ে//তোমরা আলোচনা করে বেড়াচ্ছ//যে সম্বন্ধে//(তিনিই) যথেষ্ট//সে বিষয়ে//সাক্ষী (হিসাবে)//আমার মাঝে//ও তোমাদের মাঝে//এবং তিনিই//ক্ষমাশীল//দয়াময়"
            },
            {
              "number": 4519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4519.mp3"
              ],
              "text": "قُلْ مَا كُنتُ بِدْعًۭا مِّنَ ٱلرُّسُلِ وَمَآ أَدْرِى مَا يُفْعَلُ بِى وَلَا بِكُمْ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ وَمَآ أَنَا۠ إِلَّا نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "বলুন, আমি তো কোন নতুন রসূল নই। আমি জানি না, আমার ও তোমাদের সাথে কি ব্যবহার করা হবে। আমি কেবল তারই অনুসরণ করি, যা আমার প্রতি ওহী করা হয়। আমি স্পষ্ট সতর্ক কারী বৈ নই।",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "কুল মা-কুনতুবিদ‘আম মিনার রুছুলি ওয়ামাআদরী মা-ইউফ‘আলুবী ওয়ালা-বিকুম ইন আত্তাবি‘উ ইল্লা-মা-ইউহাইলাইইয়া ওয়ামাআনা ইল্লা-নাযীরুম মুবীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//مَا/مَا/ma//كُنْتُ/كُنتُ/kuntu//بِدْعًا/بِدۡعٗا/bid'an//مِّنَ/مِّنَ/mina//الرُّسُلِ/ٱلرُّسُلِ/al-rusuli//وَ مَاۤ/وَمَآ/wama//اَدْرِیْ/أَدۡرِي/adri//مَا/مَا/ma//یُفْعَلُ/يُفۡعَلُ/yuf'alu//بِیْ/بِي/bi//وَ لَا/وَلَا/wala//بِكُمْ ؕ/بِكُمۡۖ/bikum//اِنْ/إِنۡ/in//اَتَّبِعُ/أَتَّبِعُ/attabi'u//اِلَّا/إِلَّا/illa//مَا/مَا/ma//یُوْحٰۤی/يُوحَىٰٓ/yuha//اِلَیَّ/إِلَيَّ/ilayya//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//اِلَّا/إِلَّا/illa//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "বলো//\"নই//আমি (কোন রাসূল)//অভিনব//মধ্য হতে//রাসূলগণের//এবং না//আমি জানি//কি//(আচরণ) করা হবে//আমার সাথে//আর না//তোমাদের সাথে//না//আমি অনুসরণ করি//এ ব্যতীত//যা//ওহী করা হয়//আমার প্রতি//এবং নই//আমি (আর কিছু)//এ ব্যতীত//একজন সতর্ককারী//সুস্পষ্ট\""
            },
            {
              "number": 4520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4520.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِن كَانَ مِنْ عِندِ ٱللَّهِ وَكَفَرْتُم بِهِۦ وَشَهِدَ شَاهِدٌۭ مِّنۢ بَنِىٓ إِسْرَٰٓءِيلَ عَلَىٰ مِثْلِهِۦ فَـَٔامَنَ وَٱسْتَكْبَرْتُمْ ۖ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "বলুন, তোমরা ভেবে দেখেছ কি, যদি এটা আল্লাহর পক্ষ থেকে হয় এবং তোমরা একে অমান্য কর এবং বনী ইসরাঈলের একজন সাক্ষী এর পক্ষে সাক্ষ্য দিয়ে এতে বিশ্বাস স্থাপন করে; আর তোমরা অহংকার কর, তবে তোমাদের চেয়ে অবিবেচক আর কে হবে? নিশ্চয় আল্লাহ অবিবেচকদেরকে পথ দেখান না।",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 438,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন কা-না মিন ‘ইনদিল্লা-হি ওয়া কাফারতুম বিহী ওয়া শাহিদা শা-হিদুম মিম বানীইছরাঈলা ‘আলা-মিছলিহী ফাআ-মানা ওয়াছতাকবারতুম ইন্নাল্লা-হা লাইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنْ/مِنۡ/min//عِنْدِ/عِندِ/indi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ كَفَرْتُمْ/وَكَفَرۡتُم/wakafartum//بِهٖ/بِهِۦ/bihi//وَ شَهِدَ/وَشَهِدَ/washahida//شَاهِدٌ/شَاهِدٞ/shahidun//مِّنْۢ/مِّنۢ/min//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//عَلٰی/عَلَىٰ/ala//مِثْلِهٖ/مِثۡلِهِۦ/mith'lihi//فَاٰمَنَ/فَـَٔامَنَ/faamana//وَ اسْتَكْبَرْتُمْ ؕ/وَٱسۡتَكۡبَرۡتُمۡۚ/wa-is'takbartum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "বলো//\"তোমরা (ভেবে) দেখেছ কি//যদি//হয় (এটা)//হতে//নিকট//আল্লাহর//আর তোমরা অস্বীকার করছ (তবে কি পরিণতি হবে)//তা//এবং সাক্ষ্য দিয়েছে//একজন সাক্ষী//মধ্য হতে//বনী//ইসরাঈলের//উপর//তার অনুরূপ (কালামের)//এরপরে সে ঈমান আনল//অথচ তোমরা অহংকার করলে\"//নিশ্চয়ই//আল্লাহ//না//পথ দেখান//সম্প্রদায়কে//সীমালঙ্ঘনকারী"
            },
            {
              "number": 4521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4521.mp3"
              ],
              "text": "وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوا۟ لَوْ كَانَ خَيْرًۭا مَّا سَبَقُونَآ إِلَيْهِ ۚ وَإِذْ لَمْ يَهْتَدُوا۟ بِهِۦ فَسَيَقُولُونَ هَٰذَآ إِفْكٌۭ قَدِيمٌۭ",
              "translate_bn": "আর কাফেররা মুমিনদের বলতে লাগল যে, যদি এ দ্বীন ভাল হত তবে এরা আমাদেরকে পেছনে ফেলে এগিয়ে যেতে পারত না। তারা যখন এর মাধ্যমে সুপথ পায়নি, তখন শীঘ্রই বলবে, এ তো এক পুরাতন মিথ্যা।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল্লাযীনা কাফারূলিল্লাযীনা আ-মানূলাও কা-না খাইরাম মা-ছাবাকূনা ইলাইহি ওয়া ইযলাম ইয়াহতাদূবিহী ফাছাইয়াকূলূনা হা-যাইফকুন কাদীম।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَوْ/لَوۡ/law//كَانَ/كَانَ/kana//خَیْرًا/خَيۡرٗا/khayran//مَّا/مَّا/ma//سَبَقُوْنَاۤ/سَبَقُونَآ/sabaquna//اِلَیْهِ ؕ/إِلَيۡهِۚ/ilayhi//وَ اِذْ/وَإِذۡ/wa-idh//لَمْ/لَمۡ/lam//یَهْتَدُوْا/يَهۡتَدُواْ/yahtadu//بِهٖ/بِهِۦ/bihi//فَسَیَقُوْلُوْنَ/فَسَيَقُولُونَ/fasayaquluna//هٰذَاۤ/هَٰذَآ/hadha//اِفْكٌ/إِفۡكٞ/if'kun//قَدِیْمٌ /قَدِيمٞ/qadimun",
              "words_bangla": "এবং বলে//যারা//অস্বীকার করেছে//(তাদের)-কে যারা//ঈমান এনেছে//\"যদি//হতো//উত্তম//না//তারা আমাদের আগে যেতে পারত//তার প্রতি\"//এবং যখন//নি//পথ পায়//তার দ্বারা//তখন অচিরেই তারা বলবেই//\"এটা//মিথ্যা//পুরাতন\""
            },
            {
              "number": 4522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4522.mp3"
              ],
              "text": "وَمِن قَبْلِهِۦ كِتَٰبُ مُوسَىٰٓ إِمَامًۭا وَرَحْمَةًۭ ۚ وَهَٰذَا كِتَٰبٌۭ مُّصَدِّقٌۭ لِّسَانًا عَرَبِيًّۭا لِّيُنذِرَ ٱلَّذِينَ ظَلَمُوا۟ وَبُشْرَىٰ لِلْمُحْسِنِينَ",
              "translate_bn": "এর আগে মূসার কিতাব ছিল পথপ্রদর্শক ও রহমতস্বরূপ। আর এই কিতাব তার সমর্থক আরবী ভাষায়, যাতে যালেমদেরকে সতর্ক করে এবং সৎকর্মপরায়ণদেরকে সুসংবাদ দেয়।",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন কাবলিহী কিতা-বুমূছাইমা-মাওঁ ওয়া রাহমাতাওঁ ওয়া হা-যা-কিতাবুম মুসাদ্দিকুল্লিছা-নান ‘আরাবিইইয়াল লিইউনযিরাল্লাযীনা জালামূ ওয়াবুশরালিলমুহছিনীন।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//قَبْلِهٖ/قَبۡلِهِۦ/qablihi//كِتٰبُ/كِتَٰبُ/kitabu//مُوْسٰۤی/مُوسَىٰٓ/musa//اِمَامًا/إِمَامٗا/imaman//وَّ رَحْمَةً ؕ/وَرَحۡمَةٗۚ/warahmatan//وَ هٰذَا/وَهَٰذَا/wahadha//كِتٰبٌ/كِتَٰبٞ/kitabun//مُّصَدِّقٌ/مُّصَدِّقٞ/musaddiqun//لِّسَانًا/لِّسَانًا/lisanan//عَرَبِیًّا/عَرَبِيّٗا/arabiyyan//لِّیُنْذِرَ/لِّيُنذِرَ/liyundhira//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ظَلَمُوْا ۖۗ/ظَلَمُواْ/zalamu//وَ بُشْرٰی/وَبُشۡرَىٰ/wabush'ra//لِلْمُحْسِنِیْنَۚ/لِلۡمُحۡسِنِينَ/lil'muh'sinina",
              "words_bangla": "এবং//তার পূর্বে//কিতাব (এসেছে)//মুসার//পথ প্রদর্শক//ও অনুগ্রহ (স্বরূপ)//এবং এই//কিতাব//(তার) সত্যায়নকারী/ সমর্থক//ভাষায়//আরবী//যেন সতর্ক করে//(তাদেরকে) যারা//যুলুম করেছে//এবং সুসংবাদ (দেয়)//সৎকর্মশীলদের জন্যে"
            },
            {
              "number": 4523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4523.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ قَالُوا۟ رَبُّنَا ٱللَّهُ ثُمَّ ٱسْتَقَٰمُوا۟ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ",
              "translate_bn": "নিশ্চয় যারা বলে, আমাদের পালনকর্তা আল্লাহ অতঃপর অবিচল থাকে, তাদের কোন ভয় নেই এবং তারা চিন্তিত হবে না।",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কা-লূরাব্বুনাল্লা-হুছু ম্মাছতাকা-মূফালা-খাওফুন ‘আলাইহিম ওয়ালা-হুম ইয়াহঝানূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قَالُوْا/قَالُواْ/qalu//رَبُّنَا/رَبُّنَا/rabbuna//اللّٰهُ/ٱللَّهُ/al-lahu//ثُمَّ/ثُمَّ/thumma//اسْتَقَامُوْا/ٱسۡتَقَٰمُواْ/is'taqamu//فَلَا/فَلَا/fala//خَوْفٌ/خَوۡفٌ/khawfun//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحْزَنُوْنَۚ/يَحۡزَنُونَ/yahzanuna",
              "words_bangla": "নিশ্চয়ই//যারা//বলে//\"আমাদের রব//আল্লাহই\"//এরপর//তারা অবিচল থাকে//নেইতখন//কোনো ভয়//তাদের উপর//আর না//তারা//দুঃখিত হবে"
            },
            {
              "number": 4524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4524.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَنَّةِ خَٰلِدِينَ فِيهَا جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তারাই জান্নাতের অধিকারী! তারা তথায় চিরকাল থাকবে। তারা যে কর্ম করত, এটা তারই প্রতিফল।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 6,
              "page": 503,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "উলাইকা আসহা-বুল জান্নাতি খা-লিদীনা ফীহা- জাঝাআম বিমা-কা-নূ ইয়া‘মালূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ۚ/فِيهَا/fiha//جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "ঐসব লোক//অধিবাসী (হবে)//জান্নাতের//তারা চিরস্থায়ী হবে//তার মধ্যে//পুরস্কার//বিনিময়ে যা//তারা ছিল//তারা কাজ করে"
            },
            {
              "number": 4525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4525.mp3"
              ],
              "text": "وَوَصَّيْنَا ٱلْإِنسَٰنَ بِوَٰلِدَيْهِ إِحْسَٰنًا ۖ حَمَلَتْهُ أُمُّهُۥ كُرْهًۭا وَوَضَعَتْهُ كُرْهًۭا ۖ وَحَمْلُهُۥ وَفِصَٰلُهُۥ ثَلَٰثُونَ شَهْرًا ۚ حَتَّىٰٓ إِذَا بَلَغَ أَشُدَّهُۥ وَبَلَغَ أَرْبَعِينَ سَنَةًۭ قَالَ رَبِّ أَوْزِعْنِىٓ أَنْ أَشْكُرَ نِعْمَتَكَ ٱلَّتِىٓ أَنْعَمْتَ عَلَىَّ وَعَلَىٰ وَٰلِدَىَّ وَأَنْ أَعْمَلَ صَٰلِحًۭا تَرْضَىٰهُ وَأَصْلِحْ لِى فِى ذُرِّيَّتِىٓ ۖ إِنِّى تُبْتُ إِلَيْكَ وَإِنِّى مِنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "আমি মানুষকে তার পিতা-মাতার সাথে সদ্ব্যবহারের আদেশ দিয়েছি। তার জননী তাকে কষ্টসহকারে গর্ভে ধারণ করেছে এবং কষ্টসহকারে প্রসব করেছে। তাকে গর্ভে ধারণ করতে ও তার স্তন্য ছাড়তে লেগেছে ত্রিশ মাস। অবশেষে সে যখন শক্তি-সামর্থে?480; বয়সে ও চল্লিশ বছরে পৌছেছে, তখন বলতে লাগল, হে আমার পালনকর্তা, আমাকে এরূপ ভাগ্য দান কর, যাতে আমি তোমার নেয়ামতের শোকর করি, যা তুমি দান করেছ আমাকে ও আমার পিতা-মাতাকে এবং যাতে আমি তোমার পছন্দনীয় সৎকাজ করি। আমার সন্তানদেরকে সৎকর্মপরায়ণ কর, আমি তোমার প্রতি তওবা করলাম এবং আমি আজ্ঞাবহদের অন্যতম।",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াসসাইনালইনছা-না বিওয়া-লিদাইহি ইহছা-নান হামালাতহু উম্মুহূ কুরহাওঁ ওয়া ওয়াদা‘আতহু কুরহাওঁ ওয়া হামলুহূওয়া ফিসা-লুহূছালা-ছূনা শাহরান হাত্তা ইযা-বালাগা আশুদ্দাহূওয়া বালাগা আরবা‘ঈনা ছানাতান কা-লা রাব্বি আওঝি‘নীআন আশকুরা নি‘মাতাকাল্লাতীআন‘আমতা ‘আলাইইয়া ওয়া ‘আলা-ওয়া-লিদাইইয়া ওয়া আন আ‘মালা সা-লিহান তারদা-হু ওয়া আসলিহলী ফী যুররিইইয়াতী ইন্নী তুবতুইলাইকা ওয়া ইন্নী মিনাল মুছলিমীন।",
              "words_arabic": "وَ وَصَّیْنَا/وَوَصَّيۡنَا/wawassayna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//بِوَالِدَیْهِ/بِوَٰلِدَيۡهِ/biwalidayhi//اِحْسٰنًا ؕ/إِحۡسَٰنًاۖ/ih'sanan//حَمَلَتْهُ/حَمَلَتۡهُ/hamalathu//اُمُّهٗ/أُمُّهُۥ/ummuhu//كُرْهًا/كُرۡهٗا/kur'han//وَّ وَضَعَتْهُ/وَوَضَعَتۡهُ/wawada'athu//كُرْهًا ؕ/كُرۡهٗاۖ/kur'han//وَ حَمْلُهٗ/وَحَمۡلُهُۥ/wahamluhu//وَ فِصٰلُهٗ/وَفِصَٰلُهُۥ/wafisaluhu//ثَلٰثُوْنَ/ثَلَٰثُونَ/thalathuna//شَهْرًا ؕ/شَهۡرًاۚ/shahran//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//بَلَغَ/بَلَغَ/balagha//اَشُدَّهٗ/أَشُدَّهُۥ/ashuddahu//وَ بَلَغَ/وَبَلَغَ/wabalagha//اَرْبَعِیْنَ/أَرۡبَعِينَ/arba'ina//سَنَةً ۙ/سَنَةٗ/sanatan//قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اَوْزِعْنِیْۤ/أَوۡزِعۡنِيٓ/awzi'ni//اَنْ/أَنۡ/an//اَشْكُرَ/أَشۡكُرَ/ashkura//نِعْمَتَكَ/نِعۡمَتَكَ/ni'mataka//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَنْعَمْتَ/أَنۡعَمۡتَ/an'amta//عَلَیَّ/عَلَيَّ/alayya//وَ عَلٰی/وَعَلَىٰ/wa'ala//وَالِدَیَّ/وَٰلِدَيَّ/walidayya//وَ اَنْ/وَأَنۡ/wa-an//اَعْمَلَ/أَعۡمَلَ/a'mala//صَالِحًا/صَٰلِحٗا/salihan//تَرْضٰىهُ/تَرۡضَىٰهُ/tardahu//وَ اَصْلِحْ/وَأَصۡلِحۡ/wa-aslih//لِیْ/لِي/li//فِیْ/فِي/fi//ذُرِّیَّتِیْ ؕۚ/ذُرِّيَّتِيٓۖ/dhurriyyati//اِنِّیْ/إِنِّي/inni//تُبْتُ/تُبۡتُ/tub'tu//اِلَیْكَ/إِلَيۡكَ/ilayka//وَ اِنِّیْ/وَإِنِّي/wa-inni//مِنَ/مِنَ/mina//الْمُسْلِمِیْنَ /ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "এবং আমরা নির্দেশ দিয়েছি//মানুষকে//তার পিতামাতার সাথে//ভালো ব্যবহারের//তাকে গর্ভেধারণ করেছে//তার মা//কষ্ট করে//ও তাকে প্রসব করেছে//কষ্টে//এবং তার গর্ভধারণ//ও তার দুধ ছাড়ানোর মেয়াদ//ত্রিশ//মাস//এমনকি//যখন//সে পৌঁছে//তার পূর্ণশক্তিতে/ তার যৌবন বয়সে//ও পৌঁছে (বয়স)//চল্লিশ//বছরে//সে বলে//\"হে আমার রব//আমাকে সামর্থ্য দাও//যেন//আমি কৃতজ্ঞতা প্রকাশ করি//তোমার অনুগ্রহের//যা//তুমি অনুগ্রহ দান করেছ//আমার উপর//ও উপর//আমার পিতা-মাতার//এবং যেন//আমি কাজ করি//সৎকর্ম//যা পছন্দ কর তুমি//এবং যোগ্যতা সৃষ্টি করে দাও//আমার জন্যে//মধ্যে//আমার সন্তানদের//আমি নিশ্চয়ই//তওবা করছি//তোমার কাছে//এবং আমি নিশ্চয়ই//অন্তর্ভুক্ত//আত্মসমর্পণকারীদের\""
            },
            {
              "number": 4526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4526.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ نَتَقَبَّلُ عَنْهُمْ أَحْسَنَ مَا عَمِلُوا۟ وَنَتَجَاوَزُ عَن سَيِّـَٔاتِهِمْ فِىٓ أَصْحَٰبِ ٱلْجَنَّةِ ۖ وَعْدَ ٱلصِّدْقِ ٱلَّذِى كَانُوا۟ يُوعَدُونَ",
              "translate_bn": "আমি এমন লোকদের সুকর্মগুলো কবুল করি এবং মন্দকর্মগুলো মার্জনা করি। তারা জান্নাতীদের তালিকাভুক্ত সেই সত্য ওয়াদার কারণে যা তাদেরকে দেওয়া হত।",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা নাতাকাব্বালু‘আনহুম আহছানা মা-‘আমিলূওয়া নাতাজা-ওয়াঝু‘আন ছাইয়িআ-তিহিম ফীআছহা-বিল জান্নাতি ওয়া‘দাসসিদকিল্লাযী কা-নূইঊ‘আদূ ন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//نَتَقَبَّلُ/نَتَقَبَّلُ/nataqabbalu//عَنْهُمْ/عَنۡهُمۡ/anhum//اَحْسَنَ/أَحۡسَنَ/ahsana//مَا/مَا/ma//عَمِلُوْا/عَمِلُواْ/amilu//وَ نَتَجَاوَزُ/وَنَتَجَاوَزُ/wanatajawazu//عَنْ/عَن/an//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//فِیْۤ/فِيٓ/fi//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//الْجَنَّةِ ؕ/ٱلۡجَنَّةِۖ/al-janati//وَعْدَ/وَعۡدَ/wa'da//الصِّدْقِ/ٱلصِّدۡقِ/al-sid'qi//الَّذِیْ/ٱلَّذِي/alladhi//كَانُوْا/كَانُواْ/kanu//یُوْعَدُوْنَ /يُوعَدُونَ/yu'aduna",
              "words_bangla": "ঐসব লোক//(তারাই) যাদের//আমরা গ্রহণ করি//তাদের থেকে//সর্বোত্তম//যা//তারা কাজ করেছে//এবং আমরা মার্জনা করি//যে//তাদের মন্দকাজগুলোকে//হতে//অধিবাসীদের//জান্নাতের//প্রতিশ্রুতি//সত্য//যা//দেওয়া হয়েছিল//তাদের প্রতিশ্রুতি"
            },
            {
              "number": 4527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4527.mp3"
              ],
              "text": "وَٱلَّذِى قَالَ لِوَٰلِدَيْهِ أُفٍّۢ لَّكُمَآ أَتَعِدَانِنِىٓ أَنْ أُخْرَجَ وَقَدْ خَلَتِ ٱلْقُرُونُ مِن قَبْلِى وَهُمَا يَسْتَغِيثَانِ ٱللَّهَ وَيْلَكَ ءَامِنْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّۭ فَيَقُولُ مَا هَٰذَآ إِلَّآ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "আর যে ব্যক্তি তার পিতা-মাতাকে বলে, ধিক তোমাদেরকে, তোমরা কি আমাকে খবর দাও যে, আমি পুনরুত্থিত হব, অথচ আমার পূর্বে বহু লোক গত হয়ে গেছে? আর পিতা-মাতা আল্লাহর কাছে ফরিযাদ করে বলে, দুর্ভোগ তোমার তুমি বিশ্বাস স্থাপন কর। নিশ্চয় আল্লাহর ওয়াদা সত্য। তখন সে বলে, এটা তো পূর্ববর্তীদের উপকথা বৈ নয়।",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী কা-লা লিওয়া-লিদাইহি উফফিল্লাকুমাআতা‘ইদা-নিনীআন উখরাজা ওয়াকাদ খালাতিল কুরূনুমিন কাবলী ওয়া হুমা-ইয়াছতাগীছা-নিল্লা-হা ওয়াইলাকা আ-মিন ইন্না ওয়া‘দাল্লা-হি হাক্কুন ফাইয়াকূলুমা-হা-যাইল্লাআছা-তীরুল আওওয়ালীন।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//قَالَ/قَالَ/qala//لِوَالِدَیْهِ/لِوَٰلِدَيۡهِ/liwalidayhi//اُفٍّ/أُفّٖ/uffin//لَّكُمَاۤ/لَّكُمَآ/lakuma//اَتَعِدٰنِنِیْۤ/أَتَعِدَانِنِيٓ/ata'idanini//اَنْ/أَنۡ/an//اُخْرَجَ/أُخۡرَجَ/ukh'raja//وَ قَدْ/وَقَدۡ/waqad//خَلَتِ/خَلَتِ/khalati//الْقُرُوْنُ/ٱلۡقُرُونُ/al-qurunu//مِنْ/مِن/min//قَبْلِیْ ۚ/قَبۡلِي/qabli//وَ هُمَا/وَهُمَا/wahuma//یَسْتَغِیْثٰنِ/يَسۡتَغِيثَانِ/yastaghithani//اللّٰهَ/ٱللَّهَ/al-laha//وَیْلَكَ/وَيۡلَكَ/waylaka//اٰمِنْ ۖۗ/ءَامِنۡ/amin//اِنَّ/إِنَّ/inna//وَعْدَ/وَعۡدَ/wa'da//اللّٰهِ/ٱللَّهِ/al-lahi//حَقٌّ ۖۚ/حَقّٞ/haqqun//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//مَا/مَا/ma//هٰذَاۤ/هَٰذَآ/hadha//اِلَّاۤ/إِلَّآ/illa//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "এবং যে//বলে//তার পিতামাতাকে//\"ধিক (আফসোস)//তোমাদের দু'জনের জন্যে//আমাকে কি তোমরা ভয় দেখাচ্ছ//যে//আমাকে বের করে আনা হবে//অথচ নিশ্চয়ই//অতীত হয়েছে//বহু জনগোষ্ঠী//\"//আমার পূর্বে\"//এবং তারা দু'জন//ফরিয়াদ করে//আল্লাহর কাছে (এবং বলে)//\"তোমার জন্যে দুর্ভোগ//ঈমান আন//নিশ্চয়ই//প্রতিশ্রুতি//আল্লাহর//সত্য\"//অতঃপর সে বলে//\"নয়//এটা//এ ব্যতীত//উপকথা সমূহ//পুরাতনকালের লোকদের\""
            },
            {
              "number": 4528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4528.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ حَقَّ عَلَيْهِمُ ٱلْقَوْلُ فِىٓ أُمَمٍۢ قَدْ خَلَتْ مِن قَبْلِهِم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ إِنَّهُمْ كَانُوا۟ خَٰسِرِينَ",
              "translate_bn": "তাদের পূর্বে যে সব জ্বিন ও মানুষ গত হয়েছে, তাদের মধ্যে এ ধরনের লোকদের প্রতিও শাস্তিবানী অবধারিত হয়ে গেছে। নিশ্চয় তারা ছিল ক্ষতিগ্রস্থ।",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা হাক্কা ‘আলাইহিমুল কাওলুফীউমামিন কাদ খালাত মিন কাবলিহিম মিনাল জিন্নি ওয়াল ইনছি ইন্নাহুম কা-নূখা-ছিরীন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//حَقَّ/حَقَّ/haqqa//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//فِیْۤ/فِيٓ/fi//اُمَمٍ/أُمَمٖ/umamin//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ ؕ/وَٱلۡإِنسِۖ/wal-insi//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//خٰسِرِیْنَ /خَٰسِرِينَ/khasirina",
              "words_bangla": "ঐসব লোক//তারাই//অবধারিত হয়েছে//তাদের উপর//(আল্লাহর) বাণী//(তারা হবে) অন্তর্ভুক্ত//(শাস্তিপ্রাপ্ত) সম্প্রদায়গুলোর//অবশ্যই//(যারা) অতীত হয়েছে//মধ্য হতে//তাদের পূর্বে//মধ্য হতে//জিন//ও মানুষের//তারা নিশ্চয়ই//তারা ছিল//ক্ষতিগ্রস্ত"
            },
            {
              "number": 4529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4529.mp3"
              ],
              "text": "وَلِكُلٍّۢ دَرَجَٰتٌۭ مِّمَّا عَمِلُوا۟ ۖ وَلِيُوَفِّيَهُمْ أَعْمَٰلَهُمْ وَهُمْ لَا يُظْلَمُونَ",
              "translate_bn": "প্রত্যেকের জন্যে তাদের কৃতকর্ম অনুযায়ী বিভিন্ন স্তর রয়েছে, যাতে আল্লাহ তাদের কর্মের পূর্ণ প্রতিফল দেন। বস্তুতঃ তাদের প্রতি যুলুম করা হবে না।",
              "numberInSurah": 19,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিকুল্লিন দারাজা-তুমমিম্মা-‘আমিলূ ওয়া লিইউওয়াফফিয়াহুম আ‘মা-লাহুম ওয়া হুম লা-ইউজলামূন।\r\n",
              "words_arabic": "وَ لِكُلٍّ/وَلِكُلّٖ/walikullin//دَرَجٰتٌ/دَرَجَٰتٞ/darajatun//مِّمَّا/مِّمَّا/mimma//عَمِلُوْا ۚ/عَمِلُواْۖ/amilu//وَ لِیُوَفِّیَهُمْ/وَلِيُوَفِّيَهُمۡ/waliyuwaffiyahum//اَعْمَالَهُمْ/أَعۡمَٰلَهُمۡ/a'malahum//وَ هُمْ/وَهُمۡ/wahum//لَا/لَا/la//یُظْلَمُوْنَ /يُظۡلَمُونَ/yuz'lamuna",
              "words_bangla": "এবং প্রত্যেকের জন্যে//মর্যাদা (রয়েছে)//তা হতে যা//তারা কাজ করেছে//এবং তাদেরকে যেন পূর্ণ দেন//তাদের কাজের (প্রতিফল)//এবং তাদের (উপর)//না//অবিচার করা হবে"
            },
            {
              "number": 4530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4530.mp3"
              ],
              "text": "وَيَوْمَ يُعْرَضُ ٱلَّذِينَ كَفَرُوا۟ عَلَى ٱلنَّارِ أَذْهَبْتُمْ طَيِّبَٰتِكُمْ فِى حَيَاتِكُمُ ٱلدُّنْيَا وَٱسْتَمْتَعْتُم بِهَا فَٱلْيَوْمَ تُجْزَوْنَ عَذَابَ ٱلْهُونِ بِمَا كُنتُمْ تَسْتَكْبِرُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَبِمَا كُنتُمْ تَفْسُقُونَ",
              "translate_bn": "যেদিন কাফেরদেরকে জাহান্নামের কাছে উপস্থিত করা হবে সেদিন বলা হবে, তোমরা তোমাদের সুখ পার্থিব জীবনেই নিঃশেষ করেছ এবং সেগুলো ভোগ করেছ সুতরাং আজ তোমাদেরকে অপমানকর আযাবের শাস্তি দেয়া হবে; কারণ, তোমরা পৃথিবীতে অন্যায় ভাবে অহংকার করতে এবং তোমরা পাপাচার করতে।",
              "numberInSurah": 20,
              "juz": 26,
              "manzil": 6,
              "page": 504,
              "ruku": 439,
              "hizbQuarter": 201,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউ‘রাদুল্লায ীনা কাফারূ‘আলান্না-রি আযহাবতুম তাইয়িবা-তিকুম ফী হায়া-তিকুমুদ্দুনইয়া-ওয়াছতামতা‘তুম বিহা- ফালইয়াওমা তুজঝাওনা ‘আযা-বাল হূনি বিমা-কুনতুম তাছতাকবিরূনা ফিল আরদিবিগাইরিল হাক্কিওয়া বিমা-কুনতুম তাফ ছুকূন।\r\n",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُعْرَضُ/يُعۡرَضُ/yu'radu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//عَلَی/عَلَى/ala//النَّارِ ؕ/ٱلنَّارِ/al-nari//اَذْهَبْتُمْ/أَذۡهَبۡتُمۡ/adhhabtum//طَیِّبٰتِكُمْ/طَيِّبَٰتِكُمۡ/tayyibatikum//فِیْ/فِي/fi//حَیَاتِكُمُ/حَيَاتِكُمُ/hayatikumu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//وَ اسْتَمْتَعْتُمْ/وَٱسۡتَمۡتَعۡتُم/wa-is'tamta'tum//بِهَا ۚ/بِهَا/biha//فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//عَذَابَ/عَذَابَ/adhaba//الْهُوْنِ/ٱلۡهُونِ/al-huni//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَسْتَكْبِرُوْنَ/تَسۡتَكۡبِرُونَ/tastakbiruna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//بِغَیْرِ/بِغَيۡرِ/bighayri//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ بِمَا/وَبِمَا/wabima//كُنْتُمْ/كُنتُمۡ/kuntum//تَفْسُقُوْنَ۠/تَفۡسُقُونَ/tafsuquna",
              "words_bangla": "এবং যেদিন//উপস্থিত করা হবে//(তাদেরকে) যারা//অস্বীকার করেছিল//নিকট//আগুনের (বলা হবে)//\"তোমরা নিঃশেষ করেছ//তোমাদের সুখ-সুবিধাগুলোকে//মধ্যে//তোমাদের জীবনের//দুনিয়ার//এবং তোমরা ভোগ করেছ//তার দ্বারা//অতএব আজ//তোমাদের প্রতিফল দেওয়া হবে//শাস্তি//অপমানের//এ কারণে যা//তোমরা করছিলে//অহংকার//মধ্যে//পৃথিবীর//ব্যতীত//অধিকার//এবং এ কারণে যা//তোমরা করছিলে//পাপাচার\""
            },
            {
              "number": 4531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4531.mp3"
              ],
              "text": "۞ وَٱذْكُرْ أَخَا عَادٍ إِذْ أَنذَرَ قَوْمَهُۥ بِٱلْأَحْقَافِ وَقَدْ خَلَتِ ٱلنُّذُرُ مِنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦٓ أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍۢ",
              "translate_bn": "আ’দ সম্প্রদায়ের ভাইয়ের কথা স্মরণ করুন, তার পূর্বে ও পরে অনেক সতর্ককারী গত হয়েছিল সে তার সম্প্রদায়কে বালুকাময় উচ্চ উপত্যকায় এ মর্মে সতর্ক করেছিল যে, তোমরা আল্লাহ ব্যতীত কারও এবাদত করো না। আমি তোমাদের জন্যে এক মহাদিবসের শাস্তির আশংকা করি।",
              "numberInSurah": 21,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুর আখা-‘আ-দিন ইয আনযারা কাওমাহূবিলআহকা-ফি ওয়াকাদ খালাতিন্নুযূরু মিম বাইনি ইয়াদাইহি ওয়া মিন খালফিহীআল্লা-তা‘বুদূ ইল্লাল্লা-হা ইন্নীআখা-ফু‘আলাইকুম ‘আযা-বা ইয়াওমিন ‘আজীম।",
              "words_arabic": "وَ اذْكُرْ/۞وَٱذۡكُرۡ/wa-udh'kur//اَخَا/أَخَا/akha//عَادٍ ؕ/عَادٍ/adin//اِذْ/إِذۡ/idh//اَنْذَرَ/أَنذَرَ/andhara//قَوْمَهٗ/قَوۡمَهُۥ/qawmahu//بِالْاَحْقَافِ/بِٱلۡأَحۡقَافِ/bil-ahqafi//وَ قَدْ/وَقَدۡ/waqad//خَلَتِ/خَلَتِ/khalati//النُّذُرُ/ٱلنُّذُرُ/al-nudhuru//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ مِنْ/وَمِنۡ/wamin//خَلْفِهٖۤ/خَلۡفِهِۦٓ/khalfihi//اَلَّا/أَلَّا/alla//تَعْبُدُوْۤا/تَعۡبُدُوٓاْ/ta'budu//اِلَّا/إِلَّا/illa//اللّٰهَ ؕ/ٱللَّهَ/al-laha//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//عَذَابَ/عَذَابَ/adhaba//یَوْمٍ/يَوۡمٍ/yawmin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "এবং স্মরণ করো//ভাই//আ'দের (অর্থাৎ হুদের কথা)//যখন//সে সতর্ক করেছিল//তার জাতিকে//আহকাফ (উপত্যকায়)//এবং নিশ্চয়ই//অতীত হয়েছে//সতর্ককারীরা//মধ্য হতে//মধ্য হতে//তার নিকট অতীতেও//এবং//তার পরেও (এই বলে)//\"যে না//তোমরা এবাদত করো (অন্য কারো)//ব্যতীত//আল্লাহ//আমি নিশ্চয়ই//ভয় করি//তোমাদের উপর//শাস্তির//(এমন এক) দিনের//(যা) বড় কঠিন\""
            },
            {
              "number": 4532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4532.mp3"
              ],
              "text": "قَالُوٓا۟ أَجِئْتَنَا لِتَأْفِكَنَا عَنْ ءَالِهَتِنَا فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّٰدِقِينَ",
              "translate_bn": "তারা বলল, তুমি কি আমাদেরকে আমাদের উপাস্য দেব-দেবী থেকে নিবৃত্ত করতে আগমন করেছ? তুমি সত্যবাদী হলে আমাদেরকে যে বিষয়ের ওয়াদা দাও, তা নিয়ে আস।",
              "numberInSurah": 22,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "কা-লূআজি’তানা-লিতা’ফিকানা-‘আন আ-লিহাতিনা- ফা’তিনা-বিমা-তা‘ইদুনা ইন কুনতা মিনাসসা-দিকীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اَجِئْتَنَا/أَجِئۡتَنَا/aji'tana//لِتَاْفِكَنَا/لِتَأۡفِكَنَا/litafikana//عَنْ/عَنۡ/an//اٰلِهَتِنَا ۚ/ءَالِهَتِنَا/alihatina//فَاْتِنَا/فَأۡتِنَا/fatina//بِمَا/بِمَا/bima//تَعِدُنَاۤ/تَعِدُنَآ/ta'iduna//اِنْ/إِن/in//كُنْتَ/كُنتَ/kunta//مِنَ/مِنَ/mina//الصّٰدِقِیْنَ /ٱلصَّـٰدِقِينَ/al-sadiqina",
              "words_bangla": "তারা বলেছিল//\"তুমি আমাদের কাছে এসেছ কি//আমাদেরকে ফিরাবে তুমি//হতে//আমাদের উপাস্যগুলো//আমাদের কাছে আন তাহলে//ঐ বিষয় নিয়ে যার//তুমি আমাদেরকে ভয় দেখাচ্ছ//যদি//তুমি হও//অন্তর্ভুক্ত//সত্যবাদীদের\""
            },
            {
              "number": 4533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4533.mp3"
              ],
              "text": "قَالَ إِنَّمَا ٱلْعِلْمُ عِندَ ٱللَّهِ وَأُبَلِّغُكُم مَّآ أُرْسِلْتُ بِهِۦ وَلَٰكِنِّىٓ أَرَىٰكُمْ قَوْمًۭا تَجْهَلُونَ",
              "translate_bn": "সে বলল, এ জ্ঞান তো আল্লাহর কাছেই রয়েছে। আমি যে বিষয়সহ প্রেরিত হয়েছি, তা তোমাদের কাছে পৌঁছাই। কিন্তু আমি দেখছি তোমরা এক মুর্খ সম্প্রদায়।",
              "numberInSurah": 23,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইন্নামাল ‘ইলমু‘ইনদাল্লা-হি ওয়া উবালিলগুকুম মাউরছিলতুবিহী ওয়ালা-কিন্নী আরা-কুম কাওমান তাজহালূন।\r\n",
              "words_arabic": "قَالَ/قَالَ/qala//اِنَّمَا/إِنَّمَا/innama//الْعِلْمُ/ٱلۡعِلۡمُ/al-'il'mu//عِنْدَ/عِندَ/inda//اللّٰهِ ۖؗ/ٱللَّهِ/al-lahi//وَ اُبَلِّغُكُمْ/وَأُبَلِّغُكُم/wa-uballighukum//مَّاۤ/مَّآ/ma//اُرْسِلْتُ/أُرۡسِلۡتُ/ur'sil'tu//بِهٖ/بِهِۦ/bihi//وَ لٰكِنِّیْۤ/وَلَٰكِنِّيٓ/walakinni//اَرٰىكُمْ/أَرَىٰكُمۡ/arakum//قَوْمًا/قَوۡمٗا/qawman//تَجْهَلُوْنَ /تَجۡهَلُونَ/tajhaluna",
              "words_bangla": "সে বলল//\"প্রকৃতপক্ষে//এ জ্ঞান (আছে)//(শুধুমাত্র) নিকট//আল্লাহরই//এবং আমি তোমাদের পৌঁছাই//সেই (পয়গাম)//আমি প্রেরিত হয়েছি//যা নিয়ে//কিন্তু আমি//তোমাদেরকে দেখছি//(এমন) লোক//(যারা) মূর্খতা করছ\""
            },
            {
              "number": 4534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4534.mp3"
              ],
              "text": "فَلَمَّا رَأَوْهُ عَارِضًۭا مُّسْتَقْبِلَ أَوْدِيَتِهِمْ قَالُوا۟ هَٰذَا عَارِضٌۭ مُّمْطِرُنَا ۚ بَلْ هُوَ مَا ٱسْتَعْجَلْتُم بِهِۦ ۖ رِيحٌۭ فِيهَا عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "(অতঃপর) তারা যখন শাস্তিকে মেঘরূপে তাদের উপত্যকা অভিমুখী দেখল, তখন বলল, এ তো মেঘ, আমাদেরকে বৃষ্টি দেবে। বরং এটা সেই বস্তু, যা তোমরা তাড়াতাড়ি চেয়েছিলে। এটা বায়ু এতে রয়েছে মর্মন্তুদ শাস্তি।",
              "numberInSurah": 24,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআওহু ‘আ-রিদামমুছতাকবিলা আও দিয়াতিহিম কা-লূহা-যা-‘আরিদুমমুম তিরুনা- বাল হুওয়া মাছ তা‘জালতুম বিহী রীহুন ফীহা-‘আযা-বুন আলীম।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَوْهُ/رَأَوۡهُ/ra-awhu//عَارِضًا/عَارِضٗا/aridan//مُّسْتَقْبِلَ/مُّسۡتَقۡبِلَ/mus'taqbila//اَوْدِیَتِهِمْ ۙ/أَوۡدِيَتِهِمۡ/awdiyatihim//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//عَارِضٌ/عَارِضٞ/aridun//مُّمْطِرُنَا ؕ/مُّمۡطِرُنَاۚ/mum'tiruna//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//مَا/مَا/ma//اسْتَعْجَلْتُمْ/ٱسۡتَعۡجَلۡتُم/is'ta'jaltum//بِهٖ ؕ/بِهِۦۖ/bihi//رِیْحٌ/رِيحٞ/rihun//فِیْهَا/فِيهَا/fiha//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌۙ/أَلِيمٞ/alimun",
              "words_bangla": "অতঃপর যখন//তারা তা দেখলো//মেঘমালারূপে//আগ্রসরমান//তাদের উপত্যকাগুলোর (দিকে)//তারা বলল//\"এটা//মেঘমালা//আমাদেরকে বৃষ্টি দিবে\"//বরং না//সেই (জিনিস)//যা//তোমরা তাড়াতাড়ি চেয়েছিলে//তার//(এটা) ঝড়ো বাতাস//তার মধ্যে আছে//শাস্তি//বড় যন্ত্রণাদায়ক"
            },
            {
              "number": 4535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4535.mp3"
              ],
              "text": "تُدَمِّرُ كُلَّ شَىْءٍۭ بِأَمْرِ رَبِّهَا فَأَصْبَحُوا۟ لَا يُرَىٰٓ إِلَّا مَسَٰكِنُهُمْ ۚ كَذَٰلِكَ نَجْزِى ٱلْقَوْمَ ٱلْمُجْرِمِينَ",
              "translate_bn": "তার পালনকর্তার আদেশে সে সব কিছুকে ধ্বংস করে দেবে। অতঃপর তারা ভোর বেলায় এমন হয়ে গেল যে, তাদের বসতিগুলো ছাড়া কিছুই দৃষ্টিগোচর হল না। আমি অপরাধী সম্প্রদায়কে এমনিভাবে শাস্তি দিয়ে থাকি।",
              "numberInSurah": 25,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "তুদাম্মিরু কুল্লা শাইয়িম বিআমরি রাব্বিহা-ফাআসবাহূলা-ইউরাইল্লা-মাছা-কিনুহুম কাযা-লিকা নাজঝিল কাওমাল মুজরিমীন।",
              "words_arabic": "تُدَمِّرُ/تُدَمِّرُ/tudammiru//كُلَّ/كُلَّ/kulla//شَیْءٍۭ/شَيۡءِۭ/shayin//بِاَمْرِ/بِأَمۡرِ/bi-amri//رَبِّهَا/رَبِّهَا/rabbiha//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//لَا/لَا/la//یُرٰۤی/يُرَىٰٓ/yura//اِلَّا/إِلَّا/illa//مَسٰكِنُهُمْ ؕ/مَسَٰكِنُهُمۡۚ/masakinuhum//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْمُجْرِمِیْنَ /ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "ধ্বংস করে দিবে//প্রত্যেক//জিনিসকে//নির্দেশের মাধ্যমে//তার রবের//তখন তারা হয়ে গেল (এমন যে)//না//দেখা যাচ্ছিল (আর কিছু)//এ ব্যতীত//তাদের বসতিগুলো//এভাবে//আমরা কর্মফল দিই//সম্প্রদায়কে//(যারা) অপরাধী"
            },
            {
              "number": 4536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4536.mp3"
              ],
              "text": "وَلَقَدْ مَكَّنَّٰهُمْ فِيمَآ إِن مَّكَّنَّٰكُمْ فِيهِ وَجَعَلْنَا لَهُمْ سَمْعًۭا وَأَبْصَٰرًۭا وَأَفْـِٔدَةًۭ فَمَآ أَغْنَىٰ عَنْهُمْ سَمْعُهُمْ وَلَآ أَبْصَٰرُهُمْ وَلَآ أَفْـِٔدَتُهُم مِّن شَىْءٍ إِذْ كَانُوا۟ يَجْحَدُونَ بِـَٔايَٰتِ ٱللَّهِ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ",
              "translate_bn": "আমি তাদেরকে এমন বিষয়ে ক্ষমতা দিয়েছিলাম, যে বিষয়ে তোমাদেরকে ক্ষমতা দেইনি। আমি তাদের দিয়েছিলাম, কর্ণ, চক্ষু ও হৃদয়, কিন্তু তাদের কর্ণ, চক্ষু ও হৃদয় তাদের কোন কাজে আসল না, যখন তারা আল্লাহর আয়াতসমূহকে অস্বীকার করল এবং তাদেরকে সেই শাস্তি গ্রাস করে নিল, যা নিয়ে তারা ঠাট্টা বিদ্রুপ করত।",
              "numberInSurah": 26,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 440,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ মাক্কান্না-হুমফীমাইম্মাক্কান্না-কুমফীহি ওয়া জা‘আলনা-লাহুমছাম‘আওঁ ওয়া আবসা-রাওঁ ওয়া আফইদাতান ফামাআগনা-‘আনহুম ছাম‘উহুম ওয়ালাআবসা-রুহুম ওয়ালাআফইদাতুহুম মিন শাইয়িন ইযকা-নূইয়াজহাদূ না বিআ-য়া-তিল্লা-হি ওয়া হাকা বিহিম মা-কা-নূবিহী ইয়াছতাহঝিউন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//مَكَّنّٰهُمْ/مَكَّنَّـٰهُمۡ/makkannahum//فِیْمَاۤ/فِيمَآ/fima//اِنْ/إِن/in//مَّكَّنّٰكُمْ/مَّكَّنَّـٰكُمۡ/makkannakum//فِیْهِ/فِيهِ/fihi//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//لَهُمْ/لَهُمۡ/lahum//سَمْعًا/سَمۡعٗا/sam'an//وَّ اَبْصَارًا/وَأَبۡصَٰرٗا/wa-absaran//وَّ اَفْـِٕدَةً ۖؗ/وَأَفۡـِٔدَةٗ/wa-afidatan//فَمَاۤ/فَمَآ/fama//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُمْ/عَنۡهُمۡ/anhum//سَمْعُهُمْ/سَمۡعُهُمۡ/sam'uhum//وَ لَاۤ/وَلَآ/wala//اَبْصَارُهُمْ/أَبۡصَٰرُهُمۡ/absaruhum//وَ لَاۤ/وَلَآ/wala//اَفْـِٕدَتُهُمْ/أَفۡـِٔدَتُهُم/afidatuhum//مِّنْ/مِّن/min//شَیْءٍ/شَيۡءٍ/shayin//اِذْ/إِذۡ/idh//كَانُوْا/كَانُواْ/kanu//یَجْحَدُوْنَ ۙ/يَجۡحَدُونَ/yajhaduna//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ/ٱللَّهِ/al-lahi//وَ حَاقَ/وَحَاقَ/wahaqa//بِهِمْ/بِهِم/bihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//بِهٖ/بِهِۦ/bihi//یَسْتَهْزِءُوْنَ۠/يَسۡتَهۡزِءُونَ/yastahziuna",
              "words_bangla": "এবং নিশ্চয়ই//তাদেরকে আমরা ক্ষমতা দিয়েছিলাম//এমন বিষয়ে যার//না//তোমাদেরকে আমরা ক্ষমতা দিয়েছি//সেসব বিষয়ে//এবং আমরা দিয়েছিলাম//তাদেরকে//কান//ও চোখ//ও হৃদয়//অতঃপর না//কাজে আসল//তাদের জন্যে//তাদের কান//এবং না//তাদের চোখ//আর না//তাদের অন্তর//কোনো//কিছুই//যখন//করছিল//তারা অস্বীকার//আয়াতগুলোকে//আল্লাহর//এবং ঘিরে নিল//তাদেরকে//তাই//তারা ছিল//যে সম্পর্কে//ঠাট্টা-বিদ্রুপ করত"
            },
            {
              "number": 4537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4537.mp3"
              ],
              "text": "وَلَقَدْ أَهْلَكْنَا مَا حَوْلَكُم مِّنَ ٱلْقُرَىٰ وَصَرَّفْنَا ٱلْءَايَٰتِ لَعَلَّهُمْ يَرْجِعُونَ",
              "translate_bn": "আমি তোমাদের আশপাশের জনপদ সমূহ ধ্বংস করে দিয়েছি এবং বার বার আয়াতসমূহ শুনিয়েছি, যাতে তারা ফিরে আসে।",
              "numberInSurah": 27,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আহলাকনা- মা-হাওলাকুমমিনাল কুরা- ওয়াসাররাফনাল আ-য়া-তি লা‘আল্লাহুম ইয়ারজি‘ঊন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//مَا/مَا/ma//حَوْلَكُمْ/حَوۡلَكُم/hawlakum//مِّنَ/مِّنَ/mina//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//وَ صَرَّفْنَا/وَصَرَّفۡنَا/wasarrafna//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَرْجِعُوْنَ /يَرۡجِعُونَ/yarji'una",
              "words_bangla": "এবং নিশ্চয়ই//আমরা ধ্বংস করেছি//যা//তোমাদের চারপাশে (আজ দেখছ)//মধ্য হতে//জনপদ সমূহের//এবং আমরা বিভিন্নভাবে বর্ণনা করেছি//আমার নিদর্শন সমূহকে//যাতে তারা//ফিরে আসে"
            },
            {
              "number": 4538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4538.mp3"
              ],
              "text": "فَلَوْلَا نَصَرَهُمُ ٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ قُرْبَانًا ءَالِهَةًۢ ۖ بَلْ ضَلُّوا۟ عَنْهُمْ ۚ وَذَٰلِكَ إِفْكُهُمْ وَمَا كَانُوا۟ يَفْتَرُونَ",
              "translate_bn": "অতঃপর আল্লাহর পরিবর্তে তারা যাদেরকে সান্নিধ্য লাভের জন্যে উপাস্যরূপে গ্রহণ করেছিল, তারা তাদেরকে সাহায্য করল না কেন? বরং তারা তাদের কাছ থেকে উধাও হয়ে গেল। এটা ছিল তাদের মিথ্যা ও মনগড়া বিষয়।",
              "numberInSurah": 28,
              "juz": 26,
              "manzil": 6,
              "page": 505,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ফালাওলা-নাসারাহুমুল্লাযীনাত্তাখাযূমিন দূ নিল্লা-হি কুরবা-নান আ-লিহাতান বাল দাললূ ‘আনহুম ওয়া যা-লিকা ইফকুহুম ওয়ামা-কা-নূইয়াফতারূন।\r\n",
              "words_arabic": "فَلَوْ لَا/فَلَوۡلَا/falawla//نَصَرَهُمُ/نَصَرَهُمُ/nasarahumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّخَذُوْا/ٱتَّخَذُواْ/ittakhadhu//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//قُرْبَانًا/قُرۡبَانًا/qur'banan//اٰلِهَةً ؕ/ءَالِهَةَۢۖ/alihatan//بَلْ/بَلۡ/bal//ضَلُّوْا/ضَلُّواْ/dallu//عَنْهُمْ ۚ/عَنۡهُمۡۚ/anhum//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//اِفْكُهُمْ/إِفۡكُهُمۡ/if'kuhum//وَ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//یَفْتَرُوْنَ /يَفۡتَرُونَ/yaftaruna",
              "words_bangla": "অতঃপর কেন না//তাদেরকে সাহায্য করল//(সেসব সত্তা) যাদেরকে//তারা গ্রহণ করেছিল//মধ্য হতে//ছাড়া//আল্লাহকে//নৈকট্যের মাধ্যম//উপাস্যরূপে//বরং//তারা হারিয়ে গেল//তাদের থেকে//এবং এটাই (পরিণতি)//তাদের মিথ্যার//এবং যা//তারা//রচনা করছিল"
            },
            {
              "number": 4539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4539.mp3"
              ],
              "text": "وَإِذْ صَرَفْنَآ إِلَيْكَ نَفَرًۭا مِّنَ ٱلْجِنِّ يَسْتَمِعُونَ ٱلْقُرْءَانَ فَلَمَّا حَضَرُوهُ قَالُوٓا۟ أَنصِتُوا۟ ۖ فَلَمَّا قُضِىَ وَلَّوْا۟ إِلَىٰ قَوْمِهِم مُّنذِرِينَ",
              "translate_bn": "যখন আমি একদল জিনকে আপনার প্রতি আকৃষ্ট করেছিলাম, তারা কোরআন পাঠ শুনছিল,। তারা যখন কোরআন পাঠের জায়গায় উপস্থিত হল, তখন পরস্পর বলল, চুপ থাক। অতঃপর যখন পাঠ সমাপ্ত হল, তখন তারা তাদের সম্প্রদায়ের কাছে সতর্ককারীরূপে ফিরে গেল।",
              "numberInSurah": 29,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযসারাফনাইলাকা নাফারাম মিনাল জিন্নি ইয়াছতামি‘ঊনাল কুরআ-না ফালাম্মাহাদারূহু কা-লূআনছিতূ ফালাম্মা-কুদিয়া ওয়াল্লাও ইলা-কাওমিহিম মুনযিরীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//صَرَفْنَاۤ/صَرَفۡنَآ/sarafna//اِلَیْكَ/إِلَيۡكَ/ilayka//نَفَرًا/نَفَرٗا/nafaran//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//یَسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//الْقُرْاٰنَ ۚ/ٱلۡقُرۡءَانَ/al-qur'ana//فَلَمَّا/فَلَمَّا/falamma//حَضَرُوْهُ/حَضَرُوهُ/hadaruhu//قَالُوْۤا/قَالُوٓاْ/qalu//اَنْصِتُوْا ۚ/أَنصِتُواْۖ/ansitu//فَلَمَّا/فَلَمَّا/falamma//قُضِیَ/قُضِيَ/qudiya//وَ لَّوْ/وَلَّوۡاْ/wallaw//اِلٰی/إِلَىٰ/ila//قَوْمِهِمْ/قَوۡمِهِم/qawmihim//مُّنْذِرِیْنَ /مُّنذِرِينَ/mundhirina",
              "words_bangla": "এবং (স্মরণ কর)যখন//আমরা আকৃষ্ট করে দিয়েছিলাম//তোমার দিকে//এক দলকে//মধ্য হতে//জিনদের//তারা শুনতে পায়//কুরআন (তেলাওয়াত)//অতঃপর যখন//তারা সেখানে উপস্থিত হলো//তারা বলল//\"তোমরা চুপ করে শোনো\"//অতঃপর যখন//শেষ হল//তারা ফিরে গেল//দিকে//তাদের জাতির//সতর্ককারী হয়ে"
            },
            {
              "number": 4540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4540.mp3"
              ],
              "text": "قَالُوا۟ يَٰقَوْمَنَآ إِنَّا سَمِعْنَا كِتَٰبًا أُنزِلَ مِنۢ بَعْدِ مُوسَىٰ مُصَدِّقًۭا لِّمَا بَيْنَ يَدَيْهِ يَهْدِىٓ إِلَى ٱلْحَقِّ وَإِلَىٰ طَرِيقٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "তারা বলল, হে আমাদের সম্প্রদায়, আমরা এমন এক কিতাব শুনেছি, যা মূসার পর অবর্তীণ হয়েছে। এ কিতাব পূর্ববর্তী সব কিতাবের প্রত্যায়ন করে, সত্যধর্ম ও সরলপথের দিকে পরিচালিত করে।",
              "numberInSurah": 30,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া-কাওমানাইন্না-ছামি‘না-কিতা-বান উনঝিলা মিম বা‘দি মূছা-মুসাদ্দিকালিলমাবাইনা ইয়াদাইহি ইয়াহদীইলাল হাক্কিওয়া ইলা-তারীকিম মুছতাকীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰقَوْمَنَاۤ/يَٰقَوۡمَنَآ/yaqawmana//اِنَّا/إِنَّا/inna//سَمِعْنَا/سَمِعۡنَا/sami'na//كِتٰبًا/كِتَٰبًا/kitaban//اُنْزِلَ/أُنزِلَ/unzila//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مُوْسٰی/مُوسَىٰ/musa//مُصَدِّقًا/مُصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیْهِ/يَدَيۡهِ/yadayhi//یَهْدِیْۤ/يَهۡدِيٓ/yahdi//اِلَی/إِلَى/ila//الْحَقِّ/ٱلۡحَقِّ/al-haqi//وَ اِلٰی/وَإِلَىٰ/wa-ila//طَرِیْقٍ/طَرِيقٖ/tariqin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "তারা বলল//\"হে আমাদের জাতি//আমরা নিশ্চয়ই//আমরা শুনেছি//এক কিতাব//অবতীর্ণ করা হয়েছে//মধ্য হতে//পরে//মুসার//সত্যায়নকারী/ সমর্থনকারী//তার যা//তার পূর্বে (এসেছে)//তার পূর্বে (এসেছে)//(এই কিতাব) পথ দেখায়//দিকে//সত্যের//এবং দিকে//পথের//সরল সঠিক"
            },
            {
              "number": 4541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4541.mp3"
              ],
              "text": "يَٰقَوْمَنَآ أَجِيبُوا۟ دَاعِىَ ٱللَّهِ وَءَامِنُوا۟ بِهِۦ يَغْفِرْ لَكُم مِّن ذُنُوبِكُمْ وَيُجِرْكُم مِّنْ عَذَابٍ أَلِيمٍۢ",
              "translate_bn": "হে আমাদের সম্প্রদায়, তোমরা আল্লাহর দিকে আহবানকারীর কথা মান্য কর এবং তাঁর প্রতি বিশ্বাস স্থাপন কর। তিনি তোমাদের গোনাহ মার্জনা করবেন।",
              "numberInSurah": 31,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ইয়া-কাওমানাআজীবূদা-‘ইয়াল্লা-হি ওয়াআ-মিনূবিহী ইয়াগফিরলাকুম মিন যুনূবিকুম ওয়া ইউজিরকুম মিন ‘আযা-বিন আলীম।",
              "words_arabic": "یٰقَوْمَنَاۤ/يَٰقَوۡمَنَآ/yaqawmana//اَجِیْبُوْا/أَجِيبُواْ/ajibu//دَاعِیَ/دَاعِيَ/da'iya//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اٰمِنُوْا/وَءَامِنُواْ/waaminu//بِهٖ/بِهِۦ/bihi//یَغْفِرْ/يَغۡفِرۡ/yaghfir//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//ذُنُوْبِكُمْ/ذُنُوبِكُمۡ/dhunubikum//وَ یُجِرْكُمْ/وَيُجِرۡكُم/wayujir'kum//مِّنْ/مِّنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "হে আমাদের জাতি//তোমরা সাড়া দাও//আহবানকারীর (ডাকে)//আল্লাহর (দিকে)//এবং ঈমান আন//তার উপর//ক্ষমা করবেন (আল্লাহ)//তোমাদের জন্যে//থেকে//তোমাদের পাপ গুলোকে//এবং তোমাদের রক্ষা করবেন//হতে//শাস্তি//নিদারুণ কষ্টকর"
            },
            {
              "number": 4542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4542.mp3"
              ],
              "text": "وَمَن لَّا يُجِبْ دَاعِىَ ٱللَّهِ فَلَيْسَ بِمُعْجِزٍۢ فِى ٱلْأَرْضِ وَلَيْسَ لَهُۥ مِن دُونِهِۦٓ أَوْلِيَآءُ ۚ أُو۟لَٰٓئِكَ فِى ضَلَٰلٍۢ مُّبِينٍ",
              "translate_bn": "আর যে ব্যক্তি আল্লাহর দিকে আহবানকারীর কথা মানবে না, সে পৃথিবীতে আল্লাহকে অপারক করতে পারবে না এবং আল্লাহ ব্যতীত তার কোন সাহায্যকারী থাকবে না। এ ধরনের লোকই প্রকাশ্য পথভ্রষ্টতায় লিপ্ত।",
              "numberInSurah": 32,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাল লা-ইউজিব দা-‘ইয়াল্লা-হি ফালাইছা বিমু‘জিঝিন ফিল আরদিওয়া লাইছা লাহূমিন দূ নিহীআওলিূআউ উলাইকা ফী দালা-লিমমুবীন।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//لَّا/لَّا/la//یُجِبْ/يُجِبۡ/yujib//دَاعِیَ/دَاعِيَ/da'iya//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَیْسَ/فَلَيۡسَ/falaysa//بِمُعْجِزٍ/بِمُعۡجِزٖ/bimu'jizin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَیْسَ/وَلَيۡسَ/walaysa//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//دُوْنِهٖۤ/دُونِهِۦٓ/dunihi//اَوْلِیَآءُ ؕ/أَوۡلِيَآءُۚ/awliyau//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٍ/mubinin",
              "words_bangla": "আর যে//না//সাড়া দেয়//আহবানকারীর (ডাকে)//আল্লাহর (দিকে)//তবে সে নয়//(আল্লাহকে) ব্যর্থ করে দিতে সক্ষম//মধ্যে//পৃথিবীর//আর নেই//তার জন্যে//ব্যতীত//তিনি//কোন পৃষ্ঠপোষক//ঐসব লোক//(পড়ে আছে) মধ্যে//বিভ্রান্তির//সুস্পষ্ট\""
            },
            {
              "number": 4543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4543.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَلَمْ يَعْىَ بِخَلْقِهِنَّ بِقَٰدِرٍ عَلَىٰٓ أَن يُحْۦِىَ ٱلْمَوْتَىٰ ۚ بَلَىٰٓ إِنَّهُۥ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "তারা কি জানে না যে, আল্লাহ যিনি নভোমন্ডল ও ভূমন্ডল সৃষ্টি করেছেন এবং এগুলোর সৃষ্টিতে কোন ক্লান্তিবোধ করেননি, তিনি মৃতকে জীবিত করতে সক্ষম? কেন নয়, নিশ্চয় তিনি সর্ব বিষয়ে সর্বশক্তিমান।",
              "numberInSurah": 33,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও আন্নাল্লা-হাল্লাযী খালাকাছ ছামা-ওয়া-তি ওয়াল আরদা ওয়ালাম ইয়া‘ইয়া বিখালকিহিন্না বিকা-দিরিন ‘আলাআইঁ ইউহইয়াল মাওতা- বালাইন্নাহূ ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ لَمْ/وَلَمۡ/walam//یَعْیَ/يَعۡيَ/ya'ya//بِخَلْقِهِنَّ/بِخَلۡقِهِنَّ/bikhalqihinna//بِقٰدِرٍ/بِقَٰدِرٍ/biqadirin//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یُّحْیِ َۧ/يُحۡـِۧيَ/yuh'yiya//الْمَوْتٰی ؕ/ٱلۡمَوۡتَىٰۚ/al-mawta//بَلٰۤی/بَلَىٰٓۚ/bala//اِنَّهٗ/إِنَّهُۥ/innahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "কি না//তারা অনুধাবন করে//যে//আল্লাহ//যিনি//সৃষ্টি করেছেন//আকাশ//ও পৃথিবীকে//এবং নি//ক্লান্তি বোধ করেন//তাদের সৃষ্টিতে//(তিনিই তো) সক্ষম//(এর) উপর//যে//তিনি জীবিত করবেন//মৃতদেরকে//কেন নয়?//তিনি নিশ্চয়ই//উপর//সব//কিছুর//সর্বশক্তিমান"
            },
            {
              "number": 4544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4544.mp3"
              ],
              "text": "وَيَوْمَ يُعْرَضُ ٱلَّذِينَ كَفَرُوا۟ عَلَى ٱلنَّارِ أَلَيْسَ هَٰذَا بِٱلْحَقِّ ۖ قَالُوا۟ بَلَىٰ وَرَبِّنَا ۚ قَالَ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ",
              "translate_bn": "যেদিন কাফেরদেরকে জাহান্নামের সামনে পেশ করা হবে, সেদিন বলা হবে, এটা কি সত্য নয়? তারা বলবে, হঁ্যা আমাদের পালনকর্তার শপথ। আল্লাহ বলবেন, আযাব আস্বাদন কর। কারণ, তোমরা কুফরী করতে।",
              "numberInSurah": 34,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াওমা ইউ‘রাদুল্লাযীনা কাফারূ‘আলান্না-রি আলাইছা হা-যা-বিলহাক্কি কা-লূবালা-ওয়া রাব্বিনা- কা-লা ফাযূকুল ‘আযা-বা বিমা-কুনতুম তাক ফুরূন।",
              "words_arabic": "وَ یَوْمَ/وَيَوۡمَ/wayawma//یُعْرَضُ/يُعۡرَضُ/yu'radu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//عَلَی/عَلَى/ala//النَّارِ ؕ/ٱلنَّارِ/al-nari//اَلَیْسَ/أَلَيۡسَ/alaysa//هٰذَا/هَٰذَا/hadha//بِالْحَقِّ ؕ/بِٱلۡحَقِّۖ/bil-haqi//قَالُوْا/قَالُواْ/qalu//بَلٰی/بَلَىٰ/bala//وَ رَبِّنَا ؕ/وَرَبِّنَاۚ/warabbina//قَالَ/قَالَ/qala//فَذُوْقُوا/فَذُوقُواْ/fadhuqu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَكْفُرُوْنَ /تَكۡفُرُونَ/takfuruna",
              "words_bangla": "এবং যেদিন//উপস্থিত করা হবে//(তাদেরকে যারা)//অস্বীকার করেছে//নিকট//আগুনের//\"(বলা হবে) নয় কি//এটা//সত্য\"//তারা বলবে//\"হ্যাঁ নিশ্চয়ই//আমাদের রবের শপথ (এটা সত্য)\"//(আল্লাহ) বলবেন//\"এখন তোমরা স্বাদ নাও//শাস্তির//এ কারণে যা//তোমরা করছিলে//অস্বীকার\""
            },
            {
              "number": 4545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4545.mp3"
              ],
              "text": "فَٱصْبِرْ كَمَا صَبَرَ أُو۟لُوا۟ ٱلْعَزْمِ مِنَ ٱلرُّسُلِ وَلَا تَسْتَعْجِل لَّهُمْ ۚ كَأَنَّهُمْ يَوْمَ يَرَوْنَ مَا يُوعَدُونَ لَمْ يَلْبَثُوٓا۟ إِلَّا سَاعَةًۭ مِّن نَّهَارٍۭ ۚ بَلَٰغٌۭ ۚ فَهَلْ يُهْلَكُ إِلَّا ٱلْقَوْمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "অতএব, আপনি সবর করুন, যেমন উচ্চ সাহসী পয়গম্বরগণ সবর করেছেন এবং ওদের বিষয়ে তড়িঘড়ি করবেন না। ওদেরকে যে বিষয়ে ওয়াদা দেয়া হত, তা যেদিন তারা প্রত্যক্ষ করবে, সেদিন তাদের মনে হবে যেন তারা দিনের এক মুহুর্তের বেশী পৃথিবীতে অবস্থান করেনি। এটা সুস্পষ্ট অবগতি। এখন তারাই ধ্বংসপ্রাপ্ত হবে, যারা পাপাচারী সম্প্রদায়।",
              "numberInSurah": 35,
              "juz": 26,
              "manzil": 6,
              "page": 506,
              "ruku": 441,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ফাসবির কামা-সাবারা ঊলুল ‘আঝমি মিনাররুছুলি ওয়ালা-তাছতা‘জিল লাহুম কাআন্নাহুম ইয়াওমা ইয়ারাওনা মা-ইঊ‘আদূ না লাম ইয়ালবাছূদ্ম ইল্লা-ছা-‘আতাম মিন নাহা-রিন বালা-গুন ফাহাল ইউহলাকুইল্লাল কাওমুল ফা-ছিকূন।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//كَمَا/كَمَا/kama//صَبَرَ/صَبَرَ/sabara//اُولُوا/أُوْلُواْ/ulu//الْعَزْمِ/ٱلۡعَزۡمِ/al-'azmi//مِنَ/مِنَ/mina//الرُّسُلِ/ٱلرُّسُلِ/al-rusuli//وَ لَا/وَلَا/wala//تَسْتَعْجِلْ/تَسۡتَعۡجِل/tasta'jil//لَّهُمْ ؕ/لَّهُمۡۚ/lahum//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//یَوْمَ/يَوۡمَ/yawma//یَرَوْنَ/يَرَوۡنَ/yarawna//مَا/مَا/ma//یُوْعَدُوْنَ ۙ/يُوعَدُونَ/yu'aduna//لَمْ/لَمۡ/lam//یَلْبَثُوْۤا/يَلۡبَثُوٓاْ/yalbathu//اِلَّا/إِلَّا/illa//سَاعَةً/سَاعَةٗ/sa'atan//مِّنْ/مِّن/min//نَّهَارٍ ؕ/نَّهَارِۭۚ/naharin//بَلٰغٌ ۚ/بَلَٰغٞۚ/balaghun//فَهَلْ/فَهَلۡ/fahal//یُهْلَكُ/يُهۡلَكُ/yuh'laku//اِلَّا/إِلَّا/illa//الْقَوْمُ/ٱلۡقَوۡمُ/al-qawmu//الْفٰسِقُوْنَ۠/ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "অতএব (হে নবী) ধৈর্য ধরো//যেমন//ধৈর্য ধরেছে//তারা//দৃঢ়সংকল্পসম্পন্ন//মধ্য থেকে//রাসূলগণের//এবং না//তাড়াহুড়া করো//তাদের জন্যে//তারা যেন (ভাববে)//যেদিন//তারা দেখবে//যা (আজ)//তাদেরকে ভয় দেখানো হচ্ছে//নি//তারা অবস্থান করে//এ ব্যতীত//একদণ্ড//থেকে//দিনের//এ এক ঘোষণা (কথা)//অতঃপর কি//ধ্বংস করা হবে (অন্য কাউকে)//এ ব্যতীত//(যারা) সম্প্রদায়//সত্যত্যাগী"
            }
          ]
        },
        {
          "number": 47,
          "name": "سُورَةُ مُحَمَّدٍ",
          "englishName": "Muhammad",
          "englishNameTranslation": "Muhammad",
          "revelationType": "Medinan",
          "verse": 38,
          "words": 1099,
          "chars": 4853,
          "ayahs": [
            {
              "number": 4546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4546.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ أَضَلَّ أَعْمَٰلَهُمْ",
              "translate_bn": "যারা কুফরী করে এবং আল্লাহর পথে বাধা সৃষ্টি করে, আল্লাহ তাদের সকল কর্ম ব্যর্থ করে দেন।",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা কাফারূওয়াছাদ্দূ‘আন ছাবীলিল্লা-হি আদাল্লা আ‘মা-লাহুম।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْا/وَصَدُّواْ/wasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//اَضَلَّ/أَضَلَّ/adalla//اَعْمَالَهُمْ /أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "যারা//অস্বীকার করেছে//ও বাধা দিয়েছে (লোকদেরকে)//হতে//পথ//আল্লাহর//ব্যর্থ করে দিয়েছেন তিনি//তাদের কর্ম সমূহকে"
            },
            {
              "number": 4547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4547.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَءَامَنُوا۟ بِمَا نُزِّلَ عَلَىٰ مُحَمَّدٍۢ وَهُوَ ٱلْحَقُّ مِن رَّبِّهِمْ ۙ كَفَّرَ عَنْهُمْ سَيِّـَٔاتِهِمْ وَأَصْلَحَ بَالَهُمْ",
              "translate_bn": "আর যারা বিশ্বাস স্থাপন করে, সৎকর্ম সম্পাদন করে এবং তাদের পালনকর্তার পক্ষ থেকে মুহাম্মদের প্রতি অবতীর্ণ সত্যে বিশ্বাস করে, আল্লাহ তাদের মন্দ কর্মসমূহ মার্জনা করেন এবং তাদের অবস্থা ভাল করে দেন।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া মা-মানূবিমা-নুঝঝিলা ‘আলামুহাম্মাদিওঁ ওয়াহুওয়াল হাক্কুমির রাব্বিহিম কাফফারা ‘আনহুম ছাইয়িআ-তিহিম ওয়া আসলাহা বা-লাহুম।\r\n",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ اٰمَنُوْا/وَءَامَنُواْ/waamanu//بِمَا/بِمَا/bima//نُزِّلَ/نُزِّلَ/nuzzila//عَلٰی/عَلَىٰ/ala//مُحَمَّدٍ/مُحَمَّدٖ/muhammadin//وَّ هُوَ/وَهُوَ/wahuwa//الْحَقُّ/ٱلۡحَقُّ/al-haqu//مِنْ/مِن/min//رَّبِّهِمْ ۙ/رَّبِّهِمۡ/rabbihim//كَفَّرَ/كَفَّرَ/kaffara//عَنْهُمْ/عَنۡهُمۡ/anhum//سَیِّاٰتِهِمْ/سَيِّـَٔاتِهِمۡ/sayyiatihim//وَ اَصْلَحَ/وَأَصۡلَحَ/wa-aslaha//بَالَهُمْ /بَالَهُمۡ/balahum",
              "words_bangla": "আর যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকর্মের//এবং ঈমান এনেছে//(তার উপর) যা//অবতীর্ণ করা হয়েছে//উপর//মুহাম্মাদের//এবং তা//সত্য//পক্ষ হতে//তাদের রবের//(আল্লাহ্‌) মিটিয়ে দিয়েছেন//তাদের হতে//তাদের ত্রুটি সমুহ//ও শুধরে দিবেন//তাদের অবস্থা"
            },
            {
              "number": 4548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4548.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱلَّذِينَ كَفَرُوا۟ ٱتَّبَعُوا۟ ٱلْبَٰطِلَ وَأَنَّ ٱلَّذِينَ ءَامَنُوا۟ ٱتَّبَعُوا۟ ٱلْحَقَّ مِن رَّبِّهِمْ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ لِلنَّاسِ أَمْثَٰلَهُمْ",
              "translate_bn": "এটা এ কারণে যে, যারা কাফের, তারা বাতিলের অনুসরণ করে এবং যারা বিশ্বাসী, তারা তাদের পালনকর্তার নিকট থেকে আগত সত্যের অনুসরণ করে। এমনিভাবে আল্লাহ মানুষের জন্যে তাদের দৃষ্টান্তসমূহ বর্ণনা করেন।",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লাযীনা কাফারুত্তাবা‘উল বা-তিলা ওয়া আন্নাল্লাযীনা আ-মানুত্তাবা‘উল হাক্কা মির রাব্বিহিম কাযা-লিকা ইয়াদরিবুল্লা-হু লিন্না-ছি আমছা-লাহুম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//اتَّبَعُوا/ٱتَّبَعُواْ/ittaba'u//الْبَاطِلَ/ٱلۡبَٰطِلَ/al-batila//وَ اَنَّ/وَأَنَّ/wa-anna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّبَعُوا/ٱتَّبَعُواْ/ittaba'u//الْحَقَّ/ٱلۡحَقَّ/al-haqa//مِنْ/مِن/min//رَّبِّهِمْ ؕ/رَّبِّهِمۡۚ/rabbihim//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یَضْرِبُ/يَضۡرِبُ/yadribu//اللّٰهُ/ٱللَّهُ/al-lahu//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//اَمْثَالَهُمْ /أَمۡثَٰلَهُمۡ/amthalahum",
              "words_bangla": "এটা//এ কারণে যে//যারা//অস্বীকার করেছে//তারা অনুসরণ করেছে//মিথ্যাকে//আর নিশ্চয়ই//যারা//ঈমান এনেছে//তারা অনুসরণ করেছে//সত্যকে//(আগত) পক্ষ হতে//তাদের রবের//এভাবে//বর্ণনা করেন//আল্লাহ্‌//লোকদের জন্যে//তাদের দৃষ্টান্ত সমুহ"
            },
            {
              "number": 4549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4549.mp3"
              ],
              "text": "فَإِذَا لَقِيتُمُ ٱلَّذِينَ كَفَرُوا۟ فَضَرْبَ ٱلرِّقَابِ حَتَّىٰٓ إِذَآ أَثْخَنتُمُوهُمْ فَشُدُّوا۟ ٱلْوَثَاقَ فَإِمَّا مَنًّۢا بَعْدُ وَإِمَّا فِدَآءً حَتَّىٰ تَضَعَ ٱلْحَرْبُ أَوْزَارَهَا ۚ ذَٰلِكَ وَلَوْ يَشَآءُ ٱللَّهُ لَٱنتَصَرَ مِنْهُمْ وَلَٰكِن لِّيَبْلُوَا۟ بَعْضَكُم بِبَعْضٍۢ ۗ وَٱلَّذِينَ قُتِلُوا۟ فِى سَبِيلِ ٱللَّهِ فَلَن يُضِلَّ أَعْمَٰلَهُمْ",
              "translate_bn": "অতঃপর যখন তোমরা কাফেরদের সাথে যুদ্ধে অবতীর্ণ হও, তখন তাদের গর্দার মার, অবশেষে যখন তা˦#2503;দরকে পূর্ণরূপে পরাভূত কর তখন তাদেরকে শক্ত করে বেধে ফেল। অতঃপর হয় তাদের প্রতি অনুগ্রহ কর, না হয় তাদের নিকট হতে মুক্তিপণ লও। তোমরা যুদ্ধ চালিয়ে যাবে যে পর্যন্ত না শত্রুপক্ষ অস্ত্র সমর্পণ করবে! একথা শুনলে। আল্লাহ ইচ্ছা করলে তাদের কাছ থেকে প্রতিশোধ নিতে পারতেন। কিন্তু তিনি তোমাদের কতককে কতকের দ্বারা পরীক্ষা করতে চান। যারা আল্লাহর পথে শহীদ হয়, আল্লাহ কখনই তাদের কর্ম বিনষ্ট করবেন না।",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-লাকীতুমুল্লাযীনা কাফারূফাদারবার রিকা-ব হাত্তাইযা আছখানতুমূহুম ফাশুদ্দুল ওয়াছা-কা ফাইম্মা-মান্নাম বা‘দুওয়াইম্মা-ফিদাআন হাত্তা-তাদা‘আল হারবুআওঝা-রাহা-যা-লিকা ওয়ালাও ইয়াশাউল্লা-হু লানতাসারা মিনহুম ওয়ালা-কিল লিইয়াবলুওয়া বা‘দাকুম ব্বিা‘দিওঁ ওয়াল্লাযীনা কুতিলূফী ছাবীলিল্লা-হি ফালাইঁ ইউদিল্লা আ‘মা-লাহুম।\r\n",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//لَقِیْتُمُ/لَقِيتُمُ/laqitumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَضَرْبَ/فَضَرۡبَ/fadarba//الرِّقَابِ ؕ/ٱلرِّقَابِ/al-riqabi//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَاۤ/إِذَآ/idha//اَثْخَنْتُمُوْهُمْ/أَثۡخَنتُمُوهُمۡ/athkhantumuhum//فَشُدُّوا/فَشُدُّواْ/fashuddu//الْوَثَاقَ ۙۗ/ٱلۡوَثَاقَ/al-wathaqa//فَاِمَّا/فَإِمَّا/fa-imma//مَنًّۢا/مَنَّۢا/mannan//بَعْدُ/بَعۡدُ/ba'du//وَ اِمَّا/وَإِمَّا/wa-imma//فِدَآءً/فِدَآءً/fidaan//حَتّٰی/حَتَّىٰ/hatta//تَضَعَ/تَضَعَ/tada'a//الْحَرْبُ/ٱلۡحَرۡبُ/al-harbu//اَوْزَارَهَا /أَوۡزَارَهَاۚ/awzaraha//ذٰؔلِكَ ۛؕ/ذَٰلِكَۖ/dhalika//وَ لَوْ/وَلَوۡ/walaw//یَشَآءُ/يَشَآءُ/yashau//اللّٰهُ/ٱللَّهُ/al-lahu//لَانْتَصَرَ/لَٱنتَصَرَ/la-intasara//مِنْهُمْ/مِنۡهُمۡ/min'hum//وَ لٰكِنْ/وَلَٰكِن/walakin//لِّیَبْلُوَاۡ/لِّيَبۡلُوَاْ/liyabluwa//بَعْضَكُمْ/بَعۡضَكُم/ba'dakum//بِبَعْضٍ ؕ/بِبَعۡضٖۗ/biba'din//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//قُتِلُوْا/قُتِلُواْ/qutilu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَنْ/فَلَن/falan//یُّضِلَّ/يُضِلَّ/yudilla//اَعْمَالَهُمْ /أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "অতঃপর যখন//তোমরা যুদ্ধে অবতীর্ণ হবে//তাদের সাথে (যারা)//অস্বীকার করেছে//তখন আঘাত করা(প্রথম কাজ)//(তাদের) ঘাড়ে-গর্দানে//এমনকি//যখন//তাদেরকে সম্পূর্ণভাবে পরাজিত করবে//তোমরা তখন শক্ত করে বাঁধবে//(বন্দীদের) বাঁধন//অতঃপর হয়তো//অনুকম্পা করবে//পরে//নাহয়//মুক্তিপণ নেবে//যতক্ষণ না//সংবরণ করবে//যুদ্ধ//তার অস্ত্রসমূহকে//এটা (বিধান)//এবং যদি//ইচ্ছে করতেন//আল্লাহ্‌ (তবে)//অবশ্যই প্রতিশোধ গ্রহণ করতেন//তাদের হতে//কিন্তু//(এ পন্থা নিয়েছেন) যাতে তিনি পরীক্ষা করতে পারেন//তোমাদের এককে//অপরকে দিয়ে//এবং যারা//নিহত হয়//মধ্যে//পথের//আল্লাহ্‌র//সেক্ষেত্রে কখনও না//তিনি নিষ্ফল করবেন//তাদের কর্ম সমুহকে"
            },
            {
              "number": 4550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4550.mp3"
              ],
              "text": "سَيَهْدِيهِمْ وَيُصْلِحُ بَالَهُمْ",
              "translate_bn": "তিনি তাদেরকে পথ প্রদর্শন করবেন এবং তাদের অবস্থা ভাল করবেন।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াহদীহিম ওয়া ইউসলিহুবা-লাহুম।\r\n",
              "words_arabic": "سَیَهْدِیْهِمْ/سَيَهۡدِيهِمۡ/sayahdihim//وَ یُصْلِحُ/وَيُصۡلِحُ/wayus'lihu//بَالَهُمْۚ/بَالَهُمۡ/balahum",
              "words_bangla": "তিনি অচিরেই তাদেরকে পরিচালিত করবেন সৎ পথে//ও ভালো করবেন//তাদের অবস্থা"
            },
            {
              "number": 4551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4551.mp3"
              ],
              "text": "وَيُدْخِلُهُمُ ٱلْجَنَّةَ عَرَّفَهَا لَهُمْ",
              "translate_bn": "অতঃপর তিনি তাদেরকে জান্নাতে দাখিল করবেন, যা তাদেরকে জানিয়ে দিয়েছেন।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়াইউদখিলুহুম জান্নাতা ‘আররাফাহা-লাহুম।",
              "words_arabic": "وَ یُدْخِلُهُمُ/وَيُدۡخِلُهُمُ/wayud'khiluhumu//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//عَرَّفَهَا/عَرَّفَهَا/arrafaha//لَهُمْ /لَهُمۡ/lahum",
              "words_bangla": "এবং তাদের প্রবেশ করাবেন//জান্নাতে//তার পরিচয় তিনি জানিয়েছেন//তাদেরকে"
            },
            {
              "number": 4552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4552.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تَنصُرُوا۟ ٱللَّهَ يَنصُرْكُمْ وَيُثَبِّتْ أَقْدَامَكُمْ",
              "translate_bn": "হে বিশ্বাসীগণ! যদি তোমরা আল্লাহকে সাহায্য কর, আল্লাহ তোমাদেরকে সাহায্য করবেন এবং তোমাদের পা দৃঢ়প্রতিষ্ঠ করবেন।",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন তানসরুল্লা-হা ইয়ানসুরকুম ওয়া ইউছাব্বিত আকদামাকুম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنْ/إِن/in//تَنْصُرُوا/تَنصُرُواْ/tansuru//اللّٰهَ/ٱللَّهَ/al-laha//یَنْصُرْكُمْ/يَنصُرۡكُمۡ/yansur'kum//وَ یُثَبِّتْ/وَيُثَبِّتۡ/wayuthabbit//اَقْدَامَكُمْ /أَقۡدَامَكُمۡ/aqdamakum",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যদি//তোমরা সাহায্য কর//আল্লাহকে//তিনি তোমাদেরকে সাহায্য করবেন//ও সুদৃঢ় করবেন//তোমাদের পা গুলোকে"
            },
            {
              "number": 4553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4553.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ فَتَعْسًۭا لَّهُمْ وَأَضَلَّ أَعْمَٰلَهُمْ",
              "translate_bn": "আর যারা কাফের, তাদের জন্যে আছে দুর্গতি এবং তিনি তাদের কর্ম বিনষ্ট করে দিবেন।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূফাতা‘ছাল্লাহুম ওয়া আদাল্লা আ‘মা-লাহুম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فَتَعْسًا/فَتَعۡسٗا/fata'san//لَّهُمْ/لَّهُمۡ/lahum//وَ اَضَلَّ/وَأَضَلَّ/wa-adalla//اَعْمَالَهُمْ /أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "এবং যারা//অস্বীকার করেছে//দুর্গতি সেক্ষেত্রে//তাদের জন্যে//এবং তিনি পণ্ড করে দিয়েছেন//তাদের কর্মসমূহকে"
            },
            {
              "number": 4554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4554.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ كَرِهُوا۟ مَآ أَنزَلَ ٱللَّهُ فَأَحْبَطَ أَعْمَٰلَهُمْ",
              "translate_bn": "এটা এজন্যে যে, আল্লাহ যা নাযিল করেছেন, তারা তা পছন্দ করে না। অতএব, আল্লাহ তাদের কর্ম ব্যর্থ করে দিবেন।",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 202,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম কারিহূমাআনঝালল্লা-হু ফাআহবাতা আ‘মা-লাহুম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//كَرِهُوْا/كَرِهُواْ/karihu//مَاۤ/مَآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//فَاَحْبَطَ/فَأَحۡبَطَ/fa-ahbata//اَعْمَالَهُمْ /أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "এটা//এ কারণে যে তারা//অপছন্দ করেছে//যা//নাযিল করেছেন//আল্লাহ্‌//অতএব তিনি নষ্ট করে দিয়েছেন//তাদের কর্মসমূহকে"
            },
            {
              "number": 4555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4555.mp3"
              ],
              "text": "۞ أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ دَمَّرَ ٱللَّهُ عَلَيْهِمْ ۖ وَلِلْكَٰفِرِينَ أَمْثَٰلُهَا",
              "translate_bn": "তারা কি পৃথিবীতে ভ্রমণ করেনি অতঃপর দেখেনি যে, তাদের পূর্ববর্তীদের পরিণাম কি হয়েছে? আল্লাহ তাদেরকে ধ্বংস করে দিয়েছেন এবং কাফেরদের অবস্থা এরূপই হবে।",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়াছীরূফিল আরদিফাইয়ানজুরূকাইফা কা-না ‘আ-কিবাতুল্লাযীনা মিন কাবলিহিম দাম্মারাল্লা-হু ‘আলাইহিম ওয়া লিল কা-ফিরীনা আমছা-লুহা-।",
              "words_arabic": "اَفَلَمْ/۞أَفَلَمۡ/afalam//یَسِیْرُوْا/يَسِيرُواْ/yasiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//فَیَنْظُرُوْا/فَيَنظُرُواْ/fayanzuru//كَیْفَ/كَيۡفَ/kayfa//كَانَ/كَانَ/kana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ ؕ/قَبۡلِهِمۡۖ/qablihim//دَمَّرَ/دَمَّرَ/dammara//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ ؗ/عَلَيۡهِمۡۖ/alayhim//وَ لِلْكٰفِرِیْنَ/وَلِلۡكَٰفِرِينَ/walil'kafirina//اَمْثَالُهَا /أَمۡثَٰلُهَا/amthaluha",
              "words_bangla": "নি তবে কি//তারা ভ্রমণ করে//মধ্যে//পৃথিবীর//তারা দেখে তখন (নাই)//কেমন//ছিল//পরিণাম//(তাদের) যারা//মধ্য হতে//তাদের পূর্বে (ছিল)//ধ্বংস করে দিয়েছেন//আল্লাহ্‌//তাদেরকে//এবং কাফেরদের জন্য (নির্দিষ্ট হয়ে আছে)//তার অনুরূপ পরিণতি"
            },
            {
              "number": 4556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4556.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّ ٱللَّهَ مَوْلَى ٱلَّذِينَ ءَامَنُوا۟ وَأَنَّ ٱلْكَٰفِرِينَ لَا مَوْلَىٰ لَهُمْ",
              "translate_bn": "এটা এজন্যে যে, আল্লাহ মুমিনদের হিতৈষী বন্ধু এবং কাফেরদের কোন হিতৈষী বন্ধু নাই।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 6,
              "page": 507,
              "ruku": 442,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাল্লা-হা মাওলাল্লাযীনা আ-মানূওয়া আন্নাল কা-ফিরীনা লা-মাওলা-লাহুম।\r\n",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//مَوْلَی/مَوۡلَى/mawla//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ اَنَّ/وَأَنَّ/wa-anna//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//لَا/لَا/la//مَوْلٰی/مَوۡلَىٰ/mawla//لَهُمْ۠/لَهُمۡ/lahum",
              "words_bangla": "এটা//এ জন্যে যে//আল্লাহ্‌//অভিভাবক//(তাদের) যারা//ঈমান এনেছে//এবং (এও) যে//কাফেরদের//নেই//কোনো অভিভাবক//তাদের জন্যে"
            },
            {
              "number": 4557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4557.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ وَٱلَّذِينَ كَفَرُوا۟ يَتَمَتَّعُونَ وَيَأْكُلُونَ كَمَا تَأْكُلُ ٱلْأَنْعَٰمُ وَٱلنَّارُ مَثْوًۭى لَّهُمْ",
              "translate_bn": "যারা বিশ্বাস করে ও সৎকর্ম করে, আল্লাহ তাদেরকে জান্নাতে দাখিল করবেন, যার নিম্নদেশে নির্ঝরিণীসমূহ প্রবাহিত হয়। আর যারা কাফের, তারা ভোগ-বিলাসে মত্ত থাকে এবং চতুস্পদ জন্তুর মত আহার করে। তাদের বাসস্থান জাহান্নাম।",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউদখিলুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ওয়াল্লাযীনা কাফারূইয়াতামাত্তা‘ঊনা ওয়া ইয়া’কুলূনা কামাতা’কুলুল আন‘আ-মুওয়ান্না-রু মাছওয়াল্লাহুম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُدْخِلُ/يُدۡخِلُ/yud'khilu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؕ/ٱلۡأَنۡهَٰرُۖ/al-anharu//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یَتَمَتَّعُوْنَ/يَتَمَتَّعُونَ/yatamatta'una//وَ یَاْكُلُوْنَ/وَيَأۡكُلُونَ/wayakuluna//كَمَا/كَمَا/kama//تَاْكُلُ/تَأۡكُلُ/takulu//الْاَنْعَامُ/ٱلۡأَنۡعَٰمُ/al-an'amu//وَ النَّارُ/وَٱلنَّارُ/wal-naru//مَثْوًی/مَثۡوٗى/mathwan//لَّهُمْ /لَّهُمۡ/lahum",
              "words_bangla": "নিশ্চয়ই//আল্লাহ্‌//প্রবেশ করাবেন//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকর্ম//জান্নাতে//প্র্রবাহিত হয়//থেকে//তার নিচ//ঝর্না ধারাসমুহ//এবং যারা//অস্বীকার করেছে//তারা ভোগবিলাস করছে//ও তারা খাচ্ছে//যেমন//খায়//চতুষ্পদ জন্তু//এবং জাহান্নামই//নিবাস//তাদের জন্যে"
            },
            {
              "number": 4558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4558.mp3"
              ],
              "text": "وَكَأَيِّن مِّن قَرْيَةٍ هِىَ أَشَدُّ قُوَّةًۭ مِّن قَرْيَتِكَ ٱلَّتِىٓ أَخْرَجَتْكَ أَهْلَكْنَٰهُمْ فَلَا نَاصِرَ لَهُمْ",
              "translate_bn": "যে জনপদ আপনাকে বহিস্কার করেছে, তদপেক্ষা কত শক্তিশালী জনপদকে আমি ধ্বংস করেছি, অতঃপর তাদেরকে সাহায্য করার কেউ ছিল না।",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন কারইয়াতিন হিয়া আশাদ্দুকুওওয়াতাম মিন কারয়াতিকাল্লাতী আখরাজাতকা আহলাকনা-হুম ফালা-না-সিরা লাহুম।\r\n",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//هِیَ/هِيَ/hiya//اَشَدُّ/أَشَدُّ/ashaddu//قُوَّةً/قُوَّةٗ/quwwatan//مِّنْ/مِّن/min//قَرْیَتِكَ/قَرۡيَتِكَ/qaryatika//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَخْرَجَتْكَ ۚ/أَخۡرَجَتۡكَ/akhrajatka//اَهْلَكْنٰهُمْ/أَهۡلَكۡنَٰهُمۡ/ahlaknahum//فَلَا/فَلَا/fala//نَاصِرَ/نَاصِرَ/nasira//لَهُمْ /لَهُمۡ/lahum",
              "words_bangla": "এবং কতই না//থেকে//জনপদ (বিলীন হয়েছে)//যা (ছিল)//অধিকতর দৃঢ়//শক্তিতে//চেয়েও//তোমার জনপদের//যা (হতে)//তোমাকে বের করেছে//আমরা তাদেরকে ধ্বংস করে দিয়েছি//অতঃপর না  (ছিল)//কোনো সাহায্যকারী//তাদের জন্যে"
            },
            {
              "number": 4559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4559.mp3"
              ],
              "text": "أَفَمَن كَانَ عَلَىٰ بَيِّنَةٍۢ مِّن رَّبِّهِۦ كَمَن زُيِّنَ لَهُۥ سُوٓءُ عَمَلِهِۦ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُم",
              "translate_bn": "যে ব্যক্তি তার পালনকর্তার পক্ষ থেকে আগত নিদর্শন অনুসরণ করে, সে কি তার সমান, যার কাছে তার মন্দ কর্ম শোভনীয় করা হয়েছে এবং যে তার খেয়াল-খুশীর অনুসরণ করে।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "আফামান কা-না ‘আলা-বাইয়িনাতিম মির রাব্বিহী কামান ঝুইয়িনা লাহূছূ উআ‘মালিহী ওয়াত্তাবা‘ঊআহওয়া-আহুম।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//كَانَ/كَانَ/kana//عَلٰی/عَلَىٰ/ala//بَیِّنَةٍ/بَيِّنَةٖ/bayyinatin//مِّنْ/مِّن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//كَمَنْ/كَمَن/kaman//زُیِّنَ/زُيِّنَ/zuyyina//لَهٗ/لَهُۥ/lahu//سُوْٓءُ/سُوٓءُ/suu//عَمَلِهٖ/عَمَلِهِۦ/amalihi//وَ اتَّبَعُوْۤا/وَٱتَّبَعُوٓاْ/wa-ittaba'u//اَهْوَآءَهُمْ /أَهۡوَآءَهُم/ahwaahum",
              "words_bangla": "তবে কি যে//হয়//(হেদায়াতের) উপর//সুস্পষ্ট//পক্ষ হতে//তার রবের//(তার) মতো যাকে//শোভনীয় করা হয়েছে//তার জন্যে//খারাপ//তার কাজকে//এবং তারা অনুসরণ করেছে//তাদের খেয়াল খুশির"
            },
            {
              "number": 4560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4560.mp3"
              ],
              "text": "مَّثَلُ ٱلْجَنَّةِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۖ فِيهَآ أَنْهَٰرٌۭ مِّن مَّآءٍ غَيْرِ ءَاسِنٍۢ وَأَنْهَٰرٌۭ مِّن لَّبَنٍۢ لَّمْ يَتَغَيَّرْ طَعْمُهُۥ وَأَنْهَٰرٌۭ مِّنْ خَمْرٍۢ لَّذَّةٍۢ لِّلشَّٰرِبِينَ وَأَنْهَٰرٌۭ مِّنْ عَسَلٍۢ مُّصَفًّۭى ۖ وَلَهُمْ فِيهَا مِن كُلِّ ٱلثَّمَرَٰتِ وَمَغْفِرَةٌۭ مِّن رَّبِّهِمْ ۖ كَمَنْ هُوَ خَٰلِدٌۭ فِى ٱلنَّارِ وَسُقُوا۟ مَآءً حَمِيمًۭا فَقَطَّعَ أَمْعَآءَهُمْ",
              "translate_bn": "পরহেযগারদেরকে যে জান্নাতের ওয়াদা দেয়া হয়েছে, তার অবস্থা নিম্নরূপঃ তাতে আছে পানির নহর, নির্মল দুধের নহর যারা স্বাদ অপরিবর্তনীয়, পানকারীদের জন্যে সুস্বাদু শরাবের নহর এবং পরিশোধিত মধুর নহর। তথায় তাদের জন্যে আছে রকমারি ফল-মূল ও তাদের পালনকর্তার ক্ষমা। পরহেযগাররা কি তাদের সমান, যারা জাহান্নামে অনন্তকাল থাকবে এবং যাদেরকে পান করতে দেয়া হবে ফুটন্ত পানি অতঃপর তা তাদের নাড়িভূঁড়ি ছিন্ন বিচ্ছিন্ন করে দেবে?",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "মাছালুল জান্নাতিল্লাতী উ‘ইদাল মুত্তাকূনা ফীহাআনহা-রুম মিম্মাইন গাইরি আ-ছিনিও ওয়া আন হা-রুম মিল্লাবানিল লাম ইয়াতাগাইইয়ার তা‘মুহূ ওয়া আন হা-রুম মিন খামরিল লাযযাতিল লিশশা-রিবীনা ওয়া আন হা-রুম মিন ‘আছালিম মুসাফফাওঁ ওয়ালাহুম ফীহা-মিন কুলিছছামারা-তি ওয়া মাগফিরাতুমমির রাব্বিহিম কামান হুওয়া খা-লিদুন ফিন্না-রি ওয়া ছুকূমাআন হামীমান ফাকাত্তা‘আ আম‘আআহুম।\r\n",
              "words_arabic": "مَثَلُ/مَّثَلُ/mathalu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//الَّتِیْ/ٱلَّتِي/allati//وُعِدَ/وُعِدَ/wu'ida//الْمُتَّقُوْنَ ؕ/ٱلۡمُتَّقُونَۖ/al-mutaquna//فِیْهَاۤ/فِيهَآ/fiha//اَنْهٰرٌ/أَنۡهَٰرٞ/anharun//مِّنْ/مِّن/min//مَّآءٍ/مَّآءٍ/main//غَیْرِ/غَيۡرِ/ghayri//اٰسِنٍ ۚ/ءَاسِنٖ/asinin//وَ اَنْهٰرٌ/وَأَنۡهَٰرٞ/wa-anharun//مِّنْ/مِّن/min//لَّبَنٍ/لَّبَنٖ/labanin//لَّمْ/لَّمۡ/lam//یَتَغَیَّرْ/يَتَغَيَّرۡ/yataghayyar//طَعْمُهٗ ۚ/طَعۡمُهُۥ/ta'muhu//وَ اَنْهٰرٌ/وَأَنۡهَٰرٞ/wa-anharun//مِّنْ/مِّنۡ/min//خَمْرٍ/خَمۡرٖ/khamrin//لَّذَّةٍ/لَّذَّةٖ/ladhatin//لِّلشّٰرِبِیْنَ ۚ۬/لِّلشَّـٰرِبِينَ/lilsharibina//وَ اَنْهٰرٌ/وَأَنۡهَٰرٞ/wa-anharun//مِّنْ/مِّنۡ/min//عَسَلٍ/عَسَلٖ/asalin//مُّصَفًّی ؕ/مُّصَفّٗىۖ/musaffan//وَ لَهُمْ/وَلَهُمۡ/walahum//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//الثَّمَرٰتِ/ٱلثَّمَرَٰتِ/al-thamarati//وَ مَغْفِرَةٌ/وَمَغۡفِرَةٞ/wamaghfiratun//مِّنْ/مِّن/min//رَّبِّهِمْ ؕ/رَّبِّهِمۡۖ/rabbihim//كَمَنْ/كَمَنۡ/kaman//هُوَ/هُوَ/huwa//خَالِدٌ/خَٰلِدٞ/khalidun//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//وَ سُقُوْا/وَسُقُواْ/wasuqu//مَآءً/مَآءً/maan//حَمِیْمًا/حَمِيمٗا/hamiman//فَقَطَّعَ/فَقَطَّعَ/faqatta'a//اَمْعَآءَهُمْ /أَمۡعَآءَهُمۡ/am'aahum",
              "words_bangla": "একটি দৃষ্টান্ত//জান্নাতের//যা//প্রতিশ্রুতি দেওয়া হয়েছে//মুত্তাকীদের (জন্যে)//তার মধ্যে আছে//ঝর্নাধারাসমূহ//থেকে//পানির//নয়/ অ//পরিবর্তনীয় (তার রং গন্ধ)//এবং ঝর্ণাসমূহ//থেকে//দুধের//না//পরিবর্তন হয়//তার স্বাদ//এবং ঝর্ণাসমূহ//থেকে//সুধার//সুস্বাদু//পানকারীদের জন্যে//এবং ঝর্ণাসমূহ//থেকে//মধুর//পরিশোধিত পরিচ্ছন্ন//এবং তাদের জন্যে (রয়েছে)//তার মধ্যে//থেকে//সব (ধরনের)//ফলমূল//এবং ক্ষমা//পক্ষ হতে//তাদের রবের//(এসবের অধিকারী কি) তার মতো//যে//স্থায়ী হবে//মধ্যে//জাহান্নামের//ও যাদেরকে পান করানো হবে//পানি//উত্তপ্ত/ ফুটন্ত//ছিন্নবিচ্ছিন্ন করে দেবে//তাদের নাড়িভুঁড়ি"
            },
            {
              "number": 4561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4561.mp3"
              ],
              "text": "وَمِنْهُم مَّن يَسْتَمِعُ إِلَيْكَ حَتَّىٰٓ إِذَا خَرَجُوا۟ مِنْ عِندِكَ قَالُوا۟ لِلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ مَاذَا قَالَ ءَانِفًا ۚ أُو۟لَٰٓئِكَ ٱلَّذِينَ طَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُمْ",
              "translate_bn": "তাদের মধ্যে কতক আপনার দিকে কান পাতে, অতঃপর যখন আপনার কাছ থেকে বাইরে যায়, তখন যারা শিক্ষিত, তাদেরকে বলেঃ এইমাত্র তিনি কি বললেন ? এদের অন্তরে আল্লাহ মোহর মেরে দিয়েছেন এবং তারা নিজেদের খেয়াল-খুশীর অনুসরণ করে।",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনহুম মাইঁ ইয়াছতামি‘উ ইলাইকা হাত্তা-ইযাখারাজূমিন ‘ইনদিকা কা-লূ লিল্লাযীনা ঊতুল ‘ইল মা মা-যা কা-লা আ-নিফান উলাইকাল্লাযীনা তাবা‘আল্লাহু ‘আলা-কুলূবিহিম ওয়াত্তাবা‘ঊআহওয়াআহুম।",
              "words_arabic": "وَ مِنْهُمْ/وَمِنۡهُم/wamin'hum//مَّنْ/مَّن/man//یَّسْتَمِعُ/يَسۡتَمِعُ/yastami'u//اِلَیْكَ ۚ/إِلَيۡكَ/ilayka//حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//خَرَجُوْا/خَرَجُواْ/kharaju//مِنْ/مِنۡ/min//عِنْدِكَ/عِندِكَ/indika//قَالُوْا/قَالُواْ/qalu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//مَا ذَا/مَاذَا/madha//قَالَ/قَالَ/qala//اٰنِفًا ۫/ءَانِفًاۚ/anifan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//طَبَعَ/طَبَعَ/taba'a//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//وَ اتَّبَعُوْۤا/وَٱتَّبَعُوٓاْ/wa-ittaba'u//اَهْوَآءَهُمْ /أَهۡوَآءَهُمۡ/ahwaahum",
              "words_bangla": "এবং তাদের মধ্যে//কেউ কেউ (এমন আছে)//যে শুনে//তোমার দিকে মনোযোগ দিয়ে//এমন কি//যখন//তারা বের হয়ে যায়//হতে//তোমার নিকট//তারা বলে//যাদের (আহলে-কিতাবদেরকে)//দেওয়া হয়েছে//জ্ঞান//\"কি//বলল//এইমাত্র\"//ঐসব লোক//(তারাই) যাদের//মোহর মেরে দিয়েছেন//আল্লাহ্‌//উপর//তাদের অন্তর গুলোর//এবং তারা অনুসরণ করে//তাদের খেয়াল খুশির"
            },
            {
              "number": 4562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4562.mp3"
              ],
              "text": "وَٱلَّذِينَ ٱهْتَدَوْا۟ زَادَهُمْ هُدًۭى وَءَاتَىٰهُمْ تَقْوَىٰهُمْ",
              "translate_bn": "যারা সৎপথপ্রাপ্ত হয়েছে, তাদের সৎপথপ্রাপ্তি আরও বেড়ে যায় এবং আল্লাহ তাদেরকে তাকওয়া দান করেন।",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযিনাহতাদাও ঝা-দাহুম হুদাওঁ ওয়া আ-তা-হুম তাকওয়া-হুম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اهْتَدَوْا/ٱهۡتَدَوۡاْ/ih'tadaw//زَادَهُمْ/زَادَهُمۡ/zadahum//هُدًی/هُدٗى/hudan//وَّ اٰتٰىهُمْ/وَءَاتَىٰهُمۡ/waatahum//تَقْوٰىهُمْ /تَقۡوَىٰهُمۡ/taqwahum",
              "words_bangla": "এবং যারা//সৎপথ অবলম্বন করেছে//তাদেরকে (আল্লাহ্‌) বাড়িয়ে দেন//সৎপথে চলার শক্তি//এবং তাদের দান করেন//তাদের তাকওয়া"
            },
            {
              "number": 4563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4563.mp3"
              ],
              "text": "فَهَلْ يَنظُرُونَ إِلَّا ٱلسَّاعَةَ أَن تَأْتِيَهُم بَغْتَةًۭ ۖ فَقَدْ جَآءَ أَشْرَاطُهَا ۚ فَأَنَّىٰ لَهُمْ إِذَا جَآءَتْهُمْ ذِكْرَىٰهُمْ",
              "translate_bn": "তারা শুধু এই অপেক্ষাই করছে যে, কেয়ামত অকস্মাৎ তাদের কাছে এসে পড়ুক। বস্তুতঃ কেয়ামতের লক্ষণসমূহ তো এসেই পড়েছে। সুতরাং কেয়ামত এসে পড়লে তারা উপদেশ গ্রহণ করবে কেমন করে ?",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ফাহাল ইয়ানজু রূনা ইল্লাছছা-‘আতা আন তা’তিয়াহুম বাগতাতান ফাকাদ জাআ আশরাতুহা- ফাআন্না- লাহুম ইযা- জাআতহুম যিকরা-হুম।",
              "words_arabic": "فَهَلْ/فَهَلۡ/fahal//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَّا/إِلَّا/illa//السَّاعَةَ/ٱلسَّاعَةَ/al-sa'ata//اَنْ/أَن/an//تَاْتِیَهُمْ/تَأۡتِيَهُم/tatiyahum//بَغْتَةً ۚ/بَغۡتَةٗۖ/baghtatan//فَقَدْ/فَقَدۡ/faqad//جَآءَ/جَآءَ/jaa//اَشْرَاطُهَا ۚ/أَشۡرَاطُهَاۚ/ashratuha//فَاَنّٰی/فَأَنَّىٰ/fa-anna//لَهُمْ/لَهُمۡ/lahum//اِذَا/إِذَا/idha//جَآءَتْهُمْ/جَآءَتۡهُمۡ/jaathum//ذِكْرٰىهُمْ /ذِكۡرَىٰهُمۡ/dhik'rahum",
              "words_bangla": "তবে (কি)//তারা অপেক্ষা করছে//এছাড়া//কিয়ামতের//যে//তাদের কাছে আসবে//হঠাৎ করে//নিশ্চয়ই//এসেছে//তার লক্ষণসমূহ//অতএব কেমন করে//তাদের জন্যে//যখন//তা তাদের কাছে আসবে (কিয়ামত)//তাদের উপদেশ (গ্রহণ সম্ভব হবে?)"
            },
            {
              "number": 4564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4564.mp3"
              ],
              "text": "فَٱعْلَمْ أَنَّهُۥ لَآ إِلَٰهَ إِلَّا ٱللَّهُ وَٱسْتَغْفِرْ لِذَنۢبِكَ وَلِلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ ۗ وَٱللَّهُ يَعْلَمُ مُتَقَلَّبَكُمْ وَمَثْوَىٰكُمْ",
              "translate_bn": "জেনে রাখুন, আল্লাহ ব্যতীত কোন উপাস্য নেই। ক্ষমাপ্রার্থনা করুন, আপনার ক্রটির জন্যে এবং মুমিন পুরুষ ও নারীদের জন্যে। আল্লাহ, তোমাদের গতিবিধি ও অবস্থান সম্পর্কে জ্ঞাত।",
              "numberInSurah": 19,
              "juz": 26,
              "manzil": 6,
              "page": 508,
              "ruku": 443,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ফা‘লাম আন্নাহূলাইলা-হা ইল্লাল্লা-হু ওয়াছতাগফির লিযামবিকা ওয়ালিলমু’মিনীনা ওয়ালমু’মিনা-তি ওয়াল্লা-হু ইয়া‘লামুমুতাকাল্লাবাকুম ওয়া মাছওয়া-কুম।",
              "words_arabic": "فَاعْلَمْ/فَٱعۡلَمۡ/fa-i'lam//اَنَّهٗ/أَنَّهُۥ/annahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//اللّٰهُ/ٱللَّهُ/al-lahu//وَ اسْتَغْفِرْ/وَٱسۡتَغۡفِرۡ/wa-is'taghfir//لِذَنْۢبِكَ/لِذَنۢبِكَ/lidhanbika//وَ لِلْمُؤْمِنِیْنَ/وَلِلۡمُؤۡمِنِينَ/walil'mu'minina//وَ الْمُؤْمِنٰتِ ؕ/وَٱلۡمُؤۡمِنَٰتِۗ/wal-mu'minati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مُتَقَلَّبَكُمْ/مُتَقَلَّبَكُمۡ/mutaqallabakum//وَ مَثْوٰىكُمْ۠/وَمَثۡوَىٰكُمۡ/wamathwakum",
              "words_bangla": "অতএব জেনে রাখো//যে//নেই//কোনো ইলাহ (যে ইবাদাত পেতে পারে)//ছাড়া//আল্লাহ্‌//এবং ক্ষমা প্রার্থনা করো//তোমার পাপের জন্যে//এবং মু'মিন পুরুষদের জন্যে//এবং মু'মিন নারীদের জন্যে//এবং আল্লাহ্‌//জানেন//তোমাদের গতিবিধি//এবং তোমাদের অবস্থান"
            },
            {
              "number": 4565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4565.mp3"
              ],
              "text": "وَيَقُولُ ٱلَّذِينَ ءَامَنُوا۟ لَوْلَا نُزِّلَتْ سُورَةٌۭ ۖ فَإِذَآ أُنزِلَتْ سُورَةٌۭ مُّحْكَمَةٌۭ وَذُكِرَ فِيهَا ٱلْقِتَالُ ۙ رَأَيْتَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ يَنظُرُونَ إِلَيْكَ نَظَرَ ٱلْمَغْشِىِّ عَلَيْهِ مِنَ ٱلْمَوْتِ ۖ فَأَوْلَىٰ لَهُمْ",
              "translate_bn": "যারা মুমিন, তারা বলেঃ একটি সূরা নাযিল হয় না কেন? অতঃপর যখন কোন দ্ব্যর্থহীন সূরা নাযিল হয় এবং তাতে জেহাদের উল্লেখ করা হয়, তখন যাদের অন্তরে রোগ আছে, আপনি তাদেরকে মৃত্যুভয়ে মূর্ছাপ্রাপ্ত মানুষের মত আপনার দিকে তাকিয়ে থাকতে দেখবেন। সুতরাং ধ্বংস তাদের জন্যে।",
              "numberInSurah": 20,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলুল্লাযীনা আ-মানূলাওলা-নুঝঝিলাত ছূরাতুন ফাইযাউনঝিলাত ছূরাতুমমুহকামাতুওঁ ওয়া যুকিরা ফীহাল কিতা-লু রাআইতাল্লাযীনা ফী কুলূবিহিম মারাদুইঁ ইয়ানজু রূনা ইলাইকা নাজারাল মাগশিইয়ি ‘আলাইহি মিনাল মাওতি ফাআওলালাহুম।",
              "words_arabic": "وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَوْ لَا/لَوۡلَا/lawla//نُزِّلَتْ/نُزِّلَتۡ/nuzzilat//سُوْرَةٌ ۚ/سُورَةٞۖ/suratun//فَاِذَاۤ/فَإِذَآ/fa-idha//اُنْزِلَتْ/أُنزِلَتۡ/unzilat//سُوْرَةٌ/سُورَةٞ/suratun//مُّحْكَمَةٌ/مُّحۡكَمَةٞ/muh'kamatun//وَّ ذُكِرَ/وَذُكِرَ/wadhukira//فِیْهَا/فِيهَا/fiha//الْقِتَالُ ۙ/ٱلۡقِتَالُ/al-qitalu//رَاَیْتَ/رَأَيۡتَ/ra-ayta//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//یَّنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَیْكَ/إِلَيۡكَ/ilayka//نَظَرَ/نَظَرَ/nazara//الْمَغْشِیِّ/ٱلۡمَغۡشِيِّ/al-maghshiyi//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنَ/مِنَ/mina//الْمَوْتِ ؕ/ٱلۡمَوۡتِۖ/al-mawti//فَاَوْلٰی/فَأَوۡلَىٰ/fa-awla//لَهُمْۚ/لَهُمۡ/lahum",
              "words_bangla": "এবং বলে//যারা//ঈমান এনেছে//\"কেন না//নাযিল করা হয়//একটি সূরাহ (যুদ্ধাদেশ দিয়ে)\"//অতঃপর যখন//নাযিল করা হলো//একটি সূরাহ//দ্ব্যর্থহীন//এবং উল্লেখ করা ছিল//তার মধ্যে//যুদ্ধের (নির্দেশ)//তুমি দেখলে//তাদেরকে (যাদের)//আছে//তাদের অন্তরসমূহে//রোগ//তারা তাকাচ্ছে//তোমার দিকে//(এমন) দৃষ্টিতে//ছেয়ে গেছে//যার উপর//থেকে//মৃত্যু//সুতরাং দুর্ভোগ//তাদের জন্যে"
            },
            {
              "number": 4566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4566.mp3"
              ],
              "text": "طَاعَةٌۭ وَقَوْلٌۭ مَّعْرُوفٌۭ ۚ فَإِذَا عَزَمَ ٱلْأَمْرُ فَلَوْ صَدَقُوا۟ ٱللَّهَ لَكَانَ خَيْرًۭا لَّهُمْ",
              "translate_bn": "তাদের আনুগত্য ও মিষ্ট বাক্য জানা আছে। অতএব, জেহাদের সিন্ধান্ত হলে যদি তারা আল্লাহর প্রতি পদত্ত অংগীকার পূর্ণ করে, তবে তাদের জন্যে তা মঙ্গলজনক হবে।",
              "numberInSurah": 21,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "তা-‘আতুওঁ ওয়া কাওলুম মা‘রূফুন ফাইযা-‘আঝামাল আমরু ফালাও সাদাকুল্লা-হা লাকা-না খাইরাল্লাহুম।",
              "words_arabic": "طَاعَةٌ/طَاعَةٞ/ta'atun//وَّ قَوْلٌ/وَقَوۡلٞ/waqawlun//مَّعْرُوْفٌ ۫/مَّعۡرُوفٞۚ/ma'rufun//فَاِذَا/فَإِذَا/fa-idha//عَزَمَ/عَزَمَ/azama//الْاَمْرُ ۫/ٱلۡأَمۡرُ/al-amru//فَلَوْ/فَلَوۡ/falaw//صَدَقُوا/صَدَقُواْ/sadaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَكَانَ/لَكَانَ/lakana//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْۚ/لَّهُمۡ/lahum",
              "words_bangla": "(তাদের মুখে তো) আনুগত্য//ও কথা//ন্যায়সংগত / ভালো ভালো//কিন্তু যখন//চূড়ান্ত হলো//(জিহাদের) বিষয়টি//তখন যদি//তারা সত্য প্রমাণ করত//আল্লাহকে( দেওয়া ওয়াদা)//অবশই হতো//উত্তম//তাদের জন্যে"
            },
            {
              "number": 4567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4567.mp3"
              ],
              "text": "فَهَلْ عَسَيْتُمْ إِن تَوَلَّيْتُمْ أَن تُفْسِدُوا۟ فِى ٱلْأَرْضِ وَتُقَطِّعُوٓا۟ أَرْحَامَكُمْ",
              "translate_bn": "ক্ষমতা লাভ করলে, সম্ভবতঃ তোমরা পৃথিবীতে অনর্থ সৃষ্টি করবে এবং আত্নীয়তা বন্ধন ছিন্ন করবে।",
              "numberInSurah": 22,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ফাহাল ‘আছাইতুম ইন তাওয়াল্লাইতুম আন তুফছিদূফিল আরদি ওয়া তুকাত্তি‘ঊআরহামাকুম।",
              "words_arabic": "فَهَلْ/فَهَلۡ/fahal//عَسَیْتُمْ/عَسَيۡتُمۡ/asaytum//اِنْ/إِن/in//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//اَنْ/أَن/an//تُفْسِدُوْا/تُفۡسِدُواْ/tuf'sidu//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ تُقَطِّعُوْۤا/وَتُقَطِّعُوٓاْ/watuqatti'u//اَرْحَامَكُمْ /أَرۡحَامَكُمۡ/arhamakum",
              "words_bangla": "তবে কি//তোমাদের হতে  এ সম্ভাবনা আছে?//যদি//তোমরা ক্ষমতায় অধিষ্ঠিত হও//যে//তোমরা বিপর্যয় সৃষ্টি করবে//মধ্যে//পৃথিবীর//এবং তোমরা ছিন্ন করবে//তোমাদের আত্মীয়তার বন্ধনসমূহকে"
            },
            {
              "number": 4568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4568.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلَّذِينَ لَعَنَهُمُ ٱللَّهُ فَأَصَمَّهُمْ وَأَعْمَىٰٓ أَبْصَٰرَهُمْ",
              "translate_bn": "এদের প্রতিই আল্লাহ অভিসম্পাত করেন, অতঃপর তাদেরকে বধির ও দৃষ্টিশক্তিহীন করেন।",
              "numberInSurah": 23,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল্লাযীনা লা‘আনাহুমুল্লা-হু ফাআসাম্মাহুম ওয়া আ‘মাআবসা-রাহুম।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَعَنَهُمُ/لَعَنَهُمُ/la'anahumu//اللّٰهُ/ٱللَّهُ/al-lahu//فَاَصَمَّهُمْ/فَأَصَمَّهُمۡ/fa-asammahum//وَ اَعْمٰۤی/وَأَعۡمَىٰٓ/wa-a'ma//اَبْصَارَهُمْ /أَبۡصَٰرَهُمۡ/absarahum",
              "words_bangla": "ঐসব লোক//তারাই//যাদেরকে অভিশাপ দিয়েছেন//আল্লাহ্‌//এরপর তাদেরকে বধির করে দিয়েছেন//ও অন্ধ করে দিয়েছেন//তাদের দৃষ্টি শক্তিকে"
            },
            {
              "number": 4569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4569.mp3"
              ],
              "text": "أَفَلَا يَتَدَبَّرُونَ ٱلْقُرْءَانَ أَمْ عَلَىٰ قُلُوبٍ أَقْفَالُهَآ",
              "translate_bn": "তারা কি কোরআন সম্পর্কে গভীর চিন্তা করে না? না তাদের অন্তর তালাবদ্ধ?",
              "numberInSurah": 24,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়াতাদাব্বারূনাল কুরআ-না আম ‘আলা-কুলূবিন আকফা-লুহা-।",
              "words_arabic": "اَفَلَا/أَفَلَا/afala//یَتَدَبَّرُوْنَ/يَتَدَبَّرُونَ/yatadabbaruna//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//اَمْ/أَمۡ/am//عَلٰی/عَلَىٰ/ala//قُلُوْبٍ/قُلُوبٍ/qulubin//اَقْفَالُهَا /أَقۡفَالُهَآ/aqfaluha",
              "words_bangla": "না তবে কি//তারা চিন্তা গবেষণা করে//কুরআন (সম্বন্ধে)//অথবা//উপর//অন্তরসমূহের//তাদের তালা (পড়েছে)"
            },
            {
              "number": 4570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4570.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ٱرْتَدُّوا۟ عَلَىٰٓ أَدْبَٰرِهِم مِّنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْهُدَى ۙ ٱلشَّيْطَٰنُ سَوَّلَ لَهُمْ وَأَمْلَىٰ لَهُمْ",
              "translate_bn": "নিশ্চয় যারা সোজা পথ ব্যক্ত হওয়ার পর তৎপ্রতি পৃষ্ঠপ্রদর্শন করে, শয়তান তাদের জন্যে তাদের কাজকে সুন্দর করে দেখায় এবং তাদেরকে মিথ্যা আশা দেয়।",
              "numberInSurah": 25,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনারতাদ্দূ‘আলাআদবা-রিহিম মিম বা‘দি মা-তাবাইয়ানা লাহুমুল হুদাশশাইতা-নু ছাওওয়ালা লাহুম ওয়াআমলা-লাহুম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ارْتَدُّوْا/ٱرۡتَدُّواْ/ir'taddu//عَلٰۤی/عَلَىٰٓ/ala//اَدْبَارِهِمْ/أَدۡبَٰرِهِم/adbarihim//مِّنْۢ/مِّنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهُمُ/لَهُمُ/lahumu//الْهُدَی ۙ/ٱلۡهُدَى/al-huda//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//سَوَّلَ/سَوَّلَ/sawwala//لَهُمْ ؕ/لَهُمۡ/lahum//وَ اَمْلٰی/وَأَمۡلَىٰ/wa-amla//لَهُمْ /لَهُمۡ/lahum",
              "words_bangla": "নিশ্চয়ই//যারা//ফিরে যায়//দিকে//তাদের পিছনের//থেকে//এরপরেও//যা//সুস্পষ্ট হয়েছে//তাদের কাছে//(অর্থাৎ) সৎপথ//শয়তান//শোভন করে দেখায়//তাদের জন্যে (একাজ)//মিথ্যা আশা দেয়//তাদের জন্যে"
            },
            {
              "number": 4571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4571.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لِلَّذِينَ كَرِهُوا۟ مَا نَزَّلَ ٱللَّهُ سَنُطِيعُكُمْ فِى بَعْضِ ٱلْأَمْرِ ۖ وَٱللَّهُ يَعْلَمُ إِسْرَارَهُمْ",
              "translate_bn": "এটা এজন্য যে, তারা তাদেরকে বলে, যারা আল্লাহর অবতীর্ণ কিতাব অপছন্দ করেঃ আমরা কোন কোন ব্যাপারে তোমাদের কথা মান্য করব। আল্লাহ তাদের গোপন পরামর্শ অবগত আছেন।",
              "numberInSurah": 26,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম কা-লূলিল্লাযীনা কারিহূমা-নাঝঝাল্লা-হু ছানুতী‘উকুম ফী বা‘দিল আমরি ওয়াল্লা-হু ইয়া‘লামুইছরা-রাহুম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَالُوْا/قَالُواْ/qalu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//كَرِهُوْا/كَرِهُواْ/karihu//مَا/مَا/ma//نَزَّلَ/نَزَّلَ/nazzala//اللّٰهُ/ٱللَّهُ/al-lahu//سَنُطِیْعُكُمْ/سَنُطِيعُكُمۡ/sanuti'ukum//فِیْ/فِي/fi//بَعْضِ/بَعۡضِ/ba'di//الْاَمْرِ ۖۚ/ٱلۡأَمۡرِۖ/al-amri//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اِسْرَارَهُمْ /إِسۡرَارَهُمۡ/is'rarahum",
              "words_bangla": "এটা//এ কারণে যে তারা//বলে//(তাদের)-কে যারা//অপছন্দ করেছে//যা//অবতরণ করেছেন//আল্লাহ্‌//\"অচিরেই আমরা তোমাদের আনুগত্য করব//ক্ষেত্রে//কিছু//বিষয়ের\"//এবং আল্লাহ্‌//জানেন//তাদের গোপন অভিসন্ধি (সম্পর্কে)"
            },
            {
              "number": 4572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4572.mp3"
              ],
              "text": "فَكَيْفَ إِذَا تَوَفَّتْهُمُ ٱلْمَلَٰٓئِكَةُ يَضْرِبُونَ وُجُوهَهُمْ وَأَدْبَٰرَهُمْ",
              "translate_bn": "ফেরেশতা যখন তাদের মুখমন্ডল ও পৃষ্ঠদেশে আঘাত করতে করতে প্রাণ হরণ করবে, তখন তাদের অবস্থা কেমন হবে?",
              "numberInSurah": 27,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা ইযা-তাওয়াফফাতহুমুল মালাইকাতুইয়াদরিবূনা উজূহাহুম ওয়াআদবা-রাহুম।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//اِذَا/إِذَا/idha//تَوَفَّتْهُمُ/تَوَفَّتۡهُمُ/tawaffathumu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//یَضْرِبُوْنَ/يَضۡرِبُونَ/yadribuna//وُجُوْهَهُمْ/وُجُوهَهُمۡ/wujuhahum//وَ اَدْبَارَهُمْ /وَأَدۡبَٰرَهُمۡ/wa-adbarahum",
              "words_bangla": "অতঃপর কেমন হবে//(তখন) যখন//তাদের প্রান হরণ করবে//ফেরেশতারা//তারা মারবে//তাদের মুখমন্ডলগুলোতে//ও তাদের পিঠে"
            },
            {
              "number": 4573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4573.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمُ ٱتَّبَعُوا۟ مَآ أَسْخَطَ ٱللَّهَ وَكَرِهُوا۟ رِضْوَٰنَهُۥ فَأَحْبَطَ أَعْمَٰلَهُمْ",
              "translate_bn": "এটা এজন্যে যে, তারা সেই বিষয়ের অনুসরণ করে, যা আল্লাহর অসন্তোষ সৃষ্টি করে এবং আল্লাহর সন্তুষ্টিকে অপছন্দ করে। ফলে তিনি তাদের কর্মসমূহ ব্যর্থ করে দেন।",
              "numberInSurah": 28,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 444,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুমুত্তাবা‘ঊ মাআছখাতাল্লা-হা ওয়া কারিহূরিদওয়া-নাহূফাআহবাতা আ‘মা-লাহুম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمُ/بِأَنَّهُمُ/bi-annahumu//اتَّبَعُوْا/ٱتَّبَعُواْ/ittaba'u//مَاۤ/مَآ/ma//اَسْخَطَ/أَسۡخَطَ/askhata//اللّٰهَ/ٱللَّهَ/al-laha//وَ كَرِهُوْا/وَكَرِهُواْ/wakarihu//رِضْوَانَهٗ/رِضۡوَٰنَهُۥ/rid'wanahu//فَاَحْبَطَ/فَأَحۡبَطَ/fa-ahbata//اَعْمَالَهُمْ۠/أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "এটা//এ কারণে যে তারা//অনুসরণ করেছিল (সেই পথের)//যা//অসন্তুষ্ট করেছে//আল্লাহকে//ও তারা অপছন্দ করেছে//তাঁর সন্তুষ্টির (পথ)//ফলে তিনি নষ্ট করে দিয়েছেন//তাদের কর্মসমূহকে"
            },
            {
              "number": 4574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4574.mp3"
              ],
              "text": "أَمْ حَسِبَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ أَن لَّن يُخْرِجَ ٱللَّهُ أَضْغَٰنَهُمْ",
              "translate_bn": "যাদের অন্তরে রোগ আছে, তারা কি মনে করে যে, আল্লাহ তাদের অন্তরের বিদ্বেষ প্রকাশ করে দেবেন না?",
              "numberInSurah": 29,
              "juz": 26,
              "manzil": 6,
              "page": 509,
              "ruku": 445,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "আম হাছিবাল্লাযীনা ফী কুলূবিহিম মারাদুন আল্লাইঁ ইউখরিজাল্লা-হু আদগা-নাহুম।",
              "words_arabic": "اَمْ/أَمۡ/am//حَسِبَ/حَسِبَ/hasiba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٌ/maradun//اَنْ/أَن/an//لَّنْ/لَّن/lan//یُّخْرِجَ/يُخۡرِجَ/yukh'rija//اللّٰهُ/ٱللَّهُ/al-lahu//اَضْغَانَهُمْ /أَضۡغَٰنَهُمۡ/adghanahum",
              "words_bangla": "কি//মনে করেছে//তারা//আছে//যাদের অন্তরসমূহে//রোগ (আছে)//যে//কখনও না//প্রকাশ করবেন//আল্লাহ্‌//তাদের বিদ্বেষগুলোকে"
            },
            {
              "number": 4575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4575.mp3"
              ],
              "text": "وَلَوْ نَشَآءُ لَأَرَيْنَٰكَهُمْ فَلَعَرَفْتَهُم بِسِيمَٰهُمْ ۚ وَلَتَعْرِفَنَّهُمْ فِى لَحْنِ ٱلْقَوْلِ ۚ وَٱللَّهُ يَعْلَمُ أَعْمَٰلَكُمْ",
              "translate_bn": "আমি ইচ্ছা করলে আপনাকে তাদের সাথে পরিচিত করে দিতাম। তখন আপনি তাদের চেহারা দেখে তাদেরকে চিনতে পারতেন এবং আপনি অবশ্যই কথার ভঙ্গিতে তাদেরকে চিনতে পারবেন। আল্লাহ তোমাদের কর্মসমূহের খবর রাখেন।",
              "numberInSurah": 30,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও নাশাউ লাআরাইনা-কাহুম ফালা‘আরাফতাহুম বিছীমা-হুম ওয়া লাতা‘রিফান্নাহুম ফী লাহনিল কাওলি ওয়াল্লা-হু ইয়া‘লামুআ‘মা-লাকুম।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//نَشَآءُ/نَشَآءُ/nashau//لَاَرَیْنٰكَهُمْ/لَأَرَيۡنَٰكَهُمۡ/la-araynakahum//فَلَعَرَفْتَهُمْ/فَلَعَرَفۡتَهُم/fala'araftahum//بِسِیْمٰىهُمْ ؕ/بِسِيمَٰهُمۡۚ/bisimahum//وَ لَتَعْرِفَنَّهُمْ/وَلَتَعۡرِفَنَّهُمۡ/walata'rifannahum//فِیْ/فِي/fi//لَحْنِ/لَحۡنِ/lahni//الْقَوْلِ ؕ/ٱلۡقَوۡلِۚ/al-qawli//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اَعْمَالَكُمْ /أَعۡمَٰلَكُمۡ/a'malakum",
              "words_bangla": "এবং যদি//আমরা ইচ্ছে করি//আমরা অবশ্যই তাদের দেখাতে পারি//তুমি তখন তাদের চিনবেই//দ্বারা তাদের লক্ষণগুলো//এবং তাদেরকে তুমি অবশ্যই চিনবে//আছে//ভংগিতে//কথা (বলার)//এবং আল্লাহ্‌ই//জানেন//তোমাদের কর্মসমূহকে"
            },
            {
              "number": 4576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4576.mp3"
              ],
              "text": "وَلَنَبْلُوَنَّكُمْ حَتَّىٰ نَعْلَمَ ٱلْمُجَٰهِدِينَ مِنكُمْ وَٱلصَّٰبِرِينَ وَنَبْلُوَا۟ أَخْبَارَكُمْ",
              "translate_bn": "আমি অবশ্যই তোমাদেরকে পরীক্ষা করব যে পর্যন্ত না ফুটিয়ে তুলি তোমাদের জেহাদকারীদেরকে এবং সবরকারীদেরকে এবং যতক্ষণ না আমি তোমাদের অবস্থান সমূহ যাচাই করি।",
              "numberInSurah": 31,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ওয়া লানাবলুওয়ান্নাকুম হাত্তা-না‘লামাল মুজা-হিদীনা মিনকুম ওয়াসসা-বিরীনা ওয়া নাবলুওয়া আখবা-রাকুম।\r\n",
              "words_arabic": "وَ لَنَبْلُوَنَّكُمْ/وَلَنَبۡلُوَنَّكُمۡ/walanabluwannakum//حَتّٰی/حَتَّىٰ/hatta//نَعْلَمَ/نَعۡلَمَ/na'lama//الْمُجٰهِدِیْنَ/ٱلۡمُجَٰهِدِينَ/al-mujahidina//مِنْكُمْ/مِنكُمۡ/minkum//وَ الصّٰبِرِیْنَ ۙ/وَٱلصَّـٰبِرِينَ/wal-sabirina//وَ نَبْلُوَاۡ/وَنَبۡلُوَاْ/wanabluwa//اَخْبَارَكُمْ /أَخۡبَارَكُمۡ/akhbarakum",
              "words_bangla": "এবং তোমাদের পরীক্ষা করব  আমরা অবশ্যই//যতক্ষণ না//আমরা জানবো//মুজাহিদদেরকে//তোমাদের মধ্যকার//ও ধৈর্যশীলদেরকে//এবং আমরা পরীক্ষা করবো//তোমাদের খবরাদি"
            },
            {
              "number": 4577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4577.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ وَشَآقُّوا۟ ٱلرَّسُولَ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْهُدَىٰ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًۭٔا وَسَيُحْبِطُ أَعْمَٰلَهُمْ",
              "translate_bn": "নিশ্চয় যারা কাফের এবং আল্লাহর পথ থেকে মানুষকে ফিরিয়ে রাখে এবং নিজেদের জন্যে সৎপথ ব্যক্ত হওয়ার পর রসূলের (সঃ) বিরোধিতা করে, তারা আল্লাহর কোনই ক্ষতি করতে পারবে না এবং তিনি ব্যর্থ করে দিবেন তাদের কর্মসমূহকে।",
              "numberInSurah": 32,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 203,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূওয়াসাদ্দূ‘আন ছাবীলিল্লা-হি ওয়া শাক্কুর রাছূলা মিম বা‘দি মাতাবাইয়ানা লাহুমুল হুদা- লাইঁ ইয়াদুররুল্লা-হা শাইআওঁ ওয়া ছাইউহবিতুআ‘মালাহুম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْا/وَصَدُّواْ/wasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ شَآقُّوا/وَشَآقُّواْ/washaqqu//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//تَبَیَّنَ/تَبَيَّنَ/tabayyana//لَهُمُ/لَهُمُ/lahumu//الْهُدٰی ۙ/ٱلۡهُدَىٰ/al-huda//لَنْ/لَن/lan//یَّضُرُّوا/يَضُرُّواْ/yadurru//اللّٰهَ/ٱللَّهَ/al-laha//شَیْـًٔا ؕ/شَيۡـٔٗا/shayan//وَ سَیُحْبِطُ/وَسَيُحۡبِطُ/wasayuh'bitu//اَعْمَالَهُمْ /أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করেছে//ও বাধা দিয়েছে (লোকদেরকে)//হতে//পথ//আল্লাহ্‌র//এবং বিরোধিতা করেছে//রাসুলের//মধ্য হতে//এরপরেও//যা//সুস্পষ্ট হয়েছে//তাদের কাছে//(অর্থাৎ) সৎপথ//কখনও না//তারা ক্ষতি করতে পারবে//আল্লাহকে//কিছুমাত্রও//এবং অচিরেই তিনি বিনষ্ট করে দিবেন//তাদের কর্মসমূহকে"
            },
            {
              "number": 4578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4578.mp3"
              ],
              "text": "۞ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَلَا تُبْطِلُوٓا۟ أَعْمَٰلَكُمْ",
              "translate_bn": "হে মুমিনগণ! তোমরা আল্লাহর আনুগত্য কর, রসূলের (সাঃ) আনুগত্য কর এবং নিজেদের কর্ম বিনষ্ট করো না।",
              "numberInSurah": 33,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূ আতী‘উল্লা-হা ওয়া আতী‘উর রাছূলা ওয়ালাতুবতিলূআ‘মা-লাকুম।",
              "words_arabic": "یٰۤاَیُّهَا/۞يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَطِیْعُوا/أَطِيعُواْ/ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//وَ لَا/وَلَا/wala//تُبْطِلُوْۤا/تُبۡطِلُوٓاْ/tub'tilu//اَعْمَالَكُمْ /أَعۡمَٰلَكُمۡ/a'malakum",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা আনুগত্য করো//আল্লাহ্‌র//ও আনুগত্য করো//রাসুলের//এবং না//তোমরা বিনষ্ট করো//তোমাদের কর্মসমূহকে"
            },
            {
              "number": 4579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4579.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ ثُمَّ مَاتُوا۟ وَهُمْ كُفَّارٌۭ فَلَن يَغْفِرَ ٱللَّهُ لَهُمْ",
              "translate_bn": "নিশ্চয় যারা কাফের এবং আল্লাহর পথ থেকে মানুষকে ফিরিয়ে রাখে, অতঃপর কাফের অবস্থায় মারা যায়, আল্লাহ কখনই তাদেরকে ক্ষমা করবেন না।",
              "numberInSurah": 34,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূওয়াসাদ্দূ‘আন ছাবীলিল্লা-হি ছু ম্মা মা-তূওয়াহুম কুফফা-রুন ফালাইঁ ইয়াগফিরাল্লা-হু লাহুম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْا/وَصَدُّواْ/wasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//ثُمَّ/ثُمَّ/thumma//مَاتُوْا/مَاتُواْ/matu//وَ هُمْ/وَهُمۡ/wahum//كُفَّارٌ/كُفَّارٞ/kuffarun//فَلَنْ/فَلَن/falan//یَّغْفِرَ/يَغۡفِرَ/yaghfira//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ /لَهُمۡ/lahum",
              "words_bangla": "নিশ্চয়ই//যারা//অস্বীকার করেছে//ও বাধা দিয়েছে (লোকদেরকে)//হতে//পথ//আল্লাহ্‌র//তারপর//তারা মারা গেছে//এমতাবস্থায় যে//কাফের (ছিল)//ফলে কখনও না//ক্ষমা করবেন//আল্লাহ্‌//তাদেরকে"
            },
            {
              "number": 4580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4580.mp3"
              ],
              "text": "فَلَا تَهِنُوا۟ وَتَدْعُوٓا۟ إِلَى ٱلسَّلْمِ وَأَنتُمُ ٱلْأَعْلَوْنَ وَٱللَّهُ مَعَكُمْ وَلَن يَتِرَكُمْ أَعْمَٰلَكُمْ",
              "translate_bn": "অতএব, তোমরা হীনবল হয়ো না এবং সন্ধির আহবান জানিও না, তোমরাই হবে প্রবল। আল্লাহই তোমাদের সাথে আছেন। তিনি কখনও তোমাদের কর্ম হ্রাস করবেন না।",
              "numberInSurah": 35,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ফালা-তাহিনূওয়া তাদ‘ঊইলাছছালমি ওয়া আনতুমুল আ‘লাওনা ওয়াল্লা-হু মা‘আকুম ওয়ালাইঁ ইয়াতিরাকুম আ‘মা-লাকুম।",
              "words_arabic": "فَلَا/فَلَا/fala//تَهِنُوْا/تَهِنُواْ/tahinu//وَ تَدْعُوْۤا/وَتَدۡعُوٓاْ/watad'u//اِلَی/إِلَى/ila//السَّلْمِ ۖۗ/ٱلسَّلۡمِ/al-salmi//وَاَنْتُمُ/وَأَنتُمُ/wa-antumu//الْاَعْلَوْنَ ۖۗ/ٱلۡأَعۡلَوۡنَ/al-a'lawna//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مَعَكُمْ/مَعَكُمۡ/ma'akum//وَ لَنْ/وَلَن/walan//یَّتِرَكُمْ/يَتِرَكُمۡ/yatirakum//اَعْمَالَكُمْ /أَعۡمَٰلَكُمۡ/a'malakum",
              "words_bangla": "অতএব না//তোমরা সাহস হারিয়ো না//এবং তোমরা আহবান করো (না)//দিকে//সন্ধির//এবং তোমরাই (হবে)//বিজয়ী//এবং আল্লাহ্‌//তোমাদের সাথে (আছেন)//এবং কখনও না//তোমাদের কমাবেন//তোমাদের কর্মসমূহকে"
            },
            {
              "number": 4581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4581.mp3"
              ],
              "text": "إِنَّمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا لَعِبٌۭ وَلَهْوٌۭ ۚ وَإِن تُؤْمِنُوا۟ وَتَتَّقُوا۟ يُؤْتِكُمْ أُجُورَكُمْ وَلَا يَسْـَٔلْكُمْ أَمْوَٰلَكُمْ",
              "translate_bn": "পার্থিব জীবন তো কেবল খেলাধুলা, যদি তোমরা বিশ্বাসী হও এবং সংযম অবলম্বন কর, আল্লাহ তোমাদেরকে তোমাদের প্রতিদান দেবেন এবং তিনি তোমাদের ধন-সম্পদ চাইবেন না।",
              "numberInSurah": 36,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাল হায়া-তুদ্দুনইয়া-লা‘ইবুওঁ ওয়া লাহ উওঁ ওয়া ইন তু’মিনূওয়া তাত্তাকূইউ’তিকুম উজূরাকুম ওয়ালা-ইয়াছআলকুম আম ওয়া-লাকুম।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//لَعِبٌ/لَعِبٞ/la'ibun//وَّ لَهْوٌ ؕ/وَلَهۡوٞۚ/walahwun//وَ اِنْ/وَإِن/wa-in//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//وَ تَتَّقُوْا/وَتَتَّقُواْ/watattaqu//یُؤْتِكُمْ/يُؤۡتِكُمۡ/yu'tikum//اُجُوْرَكُمْ/أُجُورَكُمۡ/ujurakum//وَ لَا/وَلَا/wala//یَسْـَٔلْكُمْ/يَسۡـَٔلۡكُمۡ/yasalkum//اَمْوَالَكُمْ /أَمۡوَٰلَكُمۡ/amwalakum",
              "words_bangla": "প্রকৃতপক্ষে//জীবন//পার্থিব//খেলা//ও তামাশা (মাত্র)//এবং যদি//তোমরা ঈমান আন//ও তোমরা ভয় করে চল//তিনি তোমাদের দান করবেন//তোমাদের কর্মফলসমূহকে//এবং না//তোমাদের থেকে তিনি চান//তোমাদের সম্পদগুলোকে"
            },
            {
              "number": 4582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4582.mp3"
              ],
              "text": "إِن يَسْـَٔلْكُمُوهَا فَيُحْفِكُمْ تَبْخَلُوا۟ وَيُخْرِجْ أَضْغَٰنَكُمْ",
              "translate_bn": "তিনি তোমাদের কাছে ধন-সম্পদ চাইলে অতঃপর তোমাদেরকে অতিষ্ঠ করলে তোমরা কার্পণ্য করবে এবং তিনি তোমাদের মনের সংকীর্ণতা প্রকাশ করে দেবেন।",
              "numberInSurah": 37,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াছআলকুমূহা-ফাইউহফিকুম তাবখালূওয়া ইউখরিজ আদগা-নাকুম।",
              "words_arabic": "اِنْ/إِن/in//یَّسْـَٔلْكُمُوْهَا/يَسۡـَٔلۡكُمُوهَا/yasalkumuha//فَیُحْفِكُمْ/فَيُحۡفِكُمۡ/fayuh'fikum//تَبْخَلُوْا/تَبۡخَلُواْ/tabkhalu//وَ یُخْرِجْ/وَيُخۡرِجۡ/wayukh'rij//اَضْغَانَكُمْ /أَضۡغَٰنَكُمۡ/adghanakum",
              "words_bangla": "যদি//তা তোমাদের থেকে চান তিনি//অতঃপর তোমাদেরকে  চাপ দেন//তোমরা কৃপণতা করবে//এবং তিনি প্রকাশ করবেন//তোমাদের গোপন ত্রুটিকে"
            },
            {
              "number": 4583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4583.mp3"
              ],
              "text": "هَٰٓأَنتُمْ هَٰٓؤُلَآءِ تُدْعَوْنَ لِتُنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ فَمِنكُم مَّن يَبْخَلُ ۖ وَمَن يَبْخَلْ فَإِنَّمَا يَبْخَلُ عَن نَّفْسِهِۦ ۚ وَٱللَّهُ ٱلْغَنِىُّ وَأَنتُمُ ٱلْفُقَرَآءُ ۚ وَإِن تَتَوَلَّوْا۟ يَسْتَبْدِلْ قَوْمًا غَيْرَكُمْ ثُمَّ لَا يَكُونُوٓا۟ أَمْثَٰلَكُم",
              "translate_bn": "শুন, তোমরাই তো তারা, যাদেরকে আল্লাহর পথে ব্যয় করার আহবান জানানো হচ্ছে, অতঃপর তোমাদের কেউ কেউ কৃপণতা করছে। যারা কৃপণতা করছে, তারা নিজেদের প্রতিই কৃপণতা করছে। আল্লাহ অভাবমুক্ত এবং তোমরা অভাবগ্রস্থ। যদি তোমরা মুখ ফিরিয়ে নাও, তবে তিনি তোমাদের পরিবর্তে অন্য জাতিকে প্রতিষ্ঠিত করবেন, এরপর তারা তোমাদের মত হবে না।",
              "numberInSurah": 38,
              "juz": 26,
              "manzil": 6,
              "page": 510,
              "ruku": 445,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "হাআনতুমহাউলাই তুদ‘আওনা লিতুনফিকূফী ছাবীলিল্লা-হি ফামিনকুম মাইঁ ইয়াব খালু ওয়া মাইঁ ইয়াবখাল ফাইন্নামা-ইয়াব খালু‘আন নাফছিহী ওয়াল্লা-হুল গানিইয়ুওয়া আনতুমুল ফুকারাউ ওয়া ইন তাতাওয়াল্লাও ইয়াছতাবদিল কাওমান গাইরাকুম ছু ম্মা লা-ইয়াকূনূআমছা-লাকুম।",
              "words_arabic": "هٰۤاَنْتُمْ/هَـٰٓأَنتُمۡ/haantum//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//تُدْعَوْنَ/تُدۡعَوۡنَ/tud'awna//لِتُنْفِقُوْا/لِتُنفِقُواْ/litunfiqu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۚ/ٱللَّهِ/al-lahi//فَمِنْكُمْ/فَمِنكُم/faminkum//مَّنْ/مَّن/man//یَّبْخَلُ ۚ/يَبۡخَلُۖ/yabkhalu//وَ مَنْ/وَمَن/waman//یَّبْخَلْ/يَبۡخَلۡ/yabkhal//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَبْخَلُ/يَبۡخَلُ/yabkhalu//عَنْ/عَن/an//نَّفْسِهٖ ؕ/نَّفۡسِهِۦۚ/nafsihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//وَ اَنْتُمُ/وَأَنتُمُ/wa-antumu//الْفُقَرَآءُ ۚ/ٱلۡفُقَرَآءُۚ/al-fuqarau//وَ اِنْ/وَإِن/wa-in//تَتَوَلَّوْا/تَتَوَلَّوۡاْ/tatawallaw//یَسْتَبْدِلْ/يَسۡتَبۡدِلۡ/yastabdil//قَوْمًا/قَوۡمًا/qawman//غَیْرَكُمْ ۙ/غَيۡرَكُمۡ/ghayrakum//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَكُوْنُوْۤا/يَكُونُوٓاْ/yakunu//اَمْثَالَكُمْ۠/أَمۡثَٰلَكُم/amthalakum",
              "words_bangla": "তোমরা দেখ//ঐসব লোক (যাদের)//আহবান করা হচ্ছে//তোমরা খরচ কর যেন//মধ্যে//পথের//আল্লাহ্‌র//তখন তোমাদের মধ্য হতে//কেউ কেউ//কৃপণতা করে//অথচ যে//কৃপণতা করে//প্রকৃতপক্ষে//সে কৃপণতা করে//প্রতি//তার নিজের//এবং আলাহ//অভাবমুক্ত//কিন্তু তোমরা//অভাবগ্রস্ত//আর যদি//তোমরা মুখ ফিরাও (তবে)//তিনি পরিবর্তন করে আনবেন//(অন্য এক) জাতিকে//তোমাদের ব্যতীত//এরপর//না//তারা হবে//তোমাদের মতো"
            }
          ]
        },
        {
          "number": 48,
          "name": "سُورَةُ الفَتۡحِ",
          "englishName": "Al-Fath",
          "englishNameTranslation": "The Victory",
          "revelationType": "Medinan",
          "verse": 29,
          "words": 1169,
          "chars": 5157,
          "ayahs": [
            {
              "number": 4584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4584.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِنَّا فَتَحْنَا لَكَ فَتْحًۭا مُّبِينًۭا",
              "translate_bn": "নিশ্চয় আমি আপনার জন্যে এমন একটা ফয়সালা করে দিয়েছি, যা সুস্পষ্ট।",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইন্না-ফাতাহনা-লাকা ফাতহাম মুবীনা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//فَتَحْنَا/فَتَحۡنَا/fatahna//لَكَ/لَكَ/laka//فَتْحًا/فَتۡحٗا/fathan//مُّبِیْنًاۙ/مُّبِينٗا/mubinan",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা বিজয় দিয়েছি//তোমাকে (হে নবী)//বিজয়//সুস্পষ্ট"
            },
            {
              "number": 4585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4585.mp3"
              ],
              "text": "لِّيَغْفِرَ لَكَ ٱللَّهُ مَا تَقَدَّمَ مِن ذَنۢبِكَ وَمَا تَأَخَّرَ وَيُتِمَّ نِعْمَتَهُۥ عَلَيْكَ وَيَهْدِيَكَ صِرَٰطًۭا مُّسْتَقِيمًۭا",
              "translate_bn": "যাতে আল্লাহ আপনার অতীত ও ভবিষ্যত ত্রুটিসমূহ মার্জনা করে দেন এবং আপনার প্রতি তাঁর নেয়ামত পূর্ণ করেন ও আপনাকে সরল পথে পরিচালিত করেন।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "লিয়াগফিরা লাকাল্লা-হুমা- তাকাদ্দামা মিন যামবিকা ওয়ামা- তাআখখারা ওয়াইউতিম্মা নি‘মাতাহূ‘আলাইকা ওয়া ইয়াহদিয়াকা সিরা-তামমুছতাকীমা-।",
              "words_arabic": "لِّیَغْفِرَ/لِّيَغۡفِرَ/liyaghfira//لَكَ/لَكَ/laka//اللّٰهُ/ٱللَّهُ/al-lahu//مَا/مَا/ma//تَقَدَّمَ/تَقَدَّمَ/taqaddama//مِنْ/مِن/min//ذَنْۢبِكَ/ذَنۢبِكَ/dhanbika//وَ مَا/وَمَا/wama//تَاَخَّرَ/تَأَخَّرَ/ta-akhara//وَ یُتِمَّ/وَيُتِمَّ/wayutimma//نِعْمَتَهٗ/نِعۡمَتَهُۥ/ni'matahu//عَلَیْكَ/عَلَيۡكَ/alayka//وَ یَهْدِیَكَ/وَيَهۡدِيَكَ/wayahdiyaka//صِرَاطًا/صِرَٰطٗا/siratan//مُّسْتَقِیْمًاۙ/مُّسۡتَقِيمٗا/mus'taqiman",
              "words_bangla": "তিনি ক্ষমা করেন যেন//তোমাকে//আল্লাহ//যা//পূর্বে হয়েছে//থেকে//তোমার পাপ//ও যা//পরে হয়েছে//এবং সম্পূর্ণ করেন (যেন)//তাঁর অনুগ্রহ//তোমার প্রতি//ও তোমাকে পরিচালনা করেন//পথে//সরল সঠিক"
            },
            {
              "number": 4586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4586.mp3"
              ],
              "text": "وَيَنصُرَكَ ٱللَّهُ نَصْرًا عَزِيزًا",
              "translate_bn": "এবং আপনাকে দান করেন বলিষ্ঠ সাহায্য।",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ানসুরাকাল্লা-হু নাসরান ‘আঝীঝা-।",
              "words_arabic": "وَّ یَنْصُرَكَ/وَيَنصُرَكَ/wayansuraka//اللّٰهُ/ٱللَّهُ/al-lahu//نَصْرًا/نَصۡرًا/nasran//عَزِیْزًا /عَزِيزًا/azizan",
              "words_bangla": "এবং তোমাকে সাহায্য করেন যেন//আল্লাহ//সাহায্য//বলিষ্ঠ/ জোর"
            },
            {
              "number": 4587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4587.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَنزَلَ ٱلسَّكِينَةَ فِى قُلُوبِ ٱلْمُؤْمِنِينَ لِيَزْدَادُوٓا۟ إِيمَٰنًۭا مَّعَ إِيمَٰنِهِمْ ۗ وَلِلَّهِ جُنُودُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "তিনি মুমিনদের অন্তরে প্রশান্তি নাযিল করেন, যাতে তাদের ঈমানের সাথে আরও ঈমান বেড়ে যায়। নভোমন্ডল ও ভূমন্ডলের বাহিনীসমূহ আল্লাহরই এবং আল্লাহ সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীআনঝালাছ ছাকীনাতা ফী কুলূবিল মু’মিনীনা লিইয়াঝদা-দূ ঈমা-নাম মা‘আ ঈমা-নিহিম ওয়া লিল্লা-হি জনূদুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াকা-নাল্লা-হু ‘আলীমান হাকীমা-।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلَ/أَنزَلَ/anzala//السَّكِیْنَةَ/ٱلسَّكِينَةَ/al-sakinata//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//لِیَزْدَادُوْۤا/لِيَزۡدَادُوٓاْ/liyazdadu//اِیْمَانًا/إِيمَٰنٗا/imanan//مَّعَ/مَّعَ/ma'a//اِیْمَانِهِمْ ؕ/إِيمَٰنِهِمۡۗ/imanihim//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//جُنُوْدُ/جُنُودُ/junudu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًاۙ/حَكِيمٗا/hakiman",
              "words_bangla": "তিনিই (আল্লাহ)//যিনি//অবতীর্ণ করেছেন//প্রশান্তি//মধ্যে//অন্তর সমূহের//মু'মিনদের//তারা বৃদ্ধি করে যেন//(আরও) ঈমান//সাথে//তাদের ঈমানের//এবং আল্লাহরই জন্য//সৈন্যসমূহ//আকাশের//ও পৃথিবীর//এবং হলেন//আল্লাহ//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 4588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4588.mp3"
              ],
              "text": "لِّيُدْخِلَ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا وَيُكَفِّرَ عَنْهُمْ سَيِّـَٔاتِهِمْ ۚ وَكَانَ ذَٰلِكَ عِندَ ٱللَّهِ فَوْزًا عَظِيمًۭا",
              "translate_bn": "ঈমান এজন্যে বেড়ে যায়, যাতে তিনি ঈমানদার পুরুষ ও ঈমানদার নারীদেরকে জান্নাতে প্রবেশ করান, যার তলদেশে নদী প্রবাহিত। সেথায় তারা চিরকাল বসবাস করবে এবং যাতে তিনি তাদের পাপ মোচন করেন। এটাই আল্লাহর কাছে মহাসাফল্য।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "লিইউদখিলাল মু’মিনীনা ওয়াল মু’মিনা-তি জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খালিদীনা ফীহা-ওয়া ইউকাফফিরা ‘আনহুম ছাইয়িআ-তিহিম ওয়া কা-না যা-লিকা ‘ইনদাল্লা-হি ফাওঝান ‘আজীমা-।",
              "words_arabic": "لِّیُدْخِلَ/لِّيُدۡخِلَ/liyud'khila//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا/فِيهَا/fiha//وَ یُكَفِّرَ/وَيُكَفِّرَ/wayukaffira//عَنْهُمْ/عَنۡهُمۡ/anhum//سَیِّاٰتِهِمْ ؕ/سَيِّـَٔاتِهِمۡۚ/sayyiatihim//وَ كَانَ/وَكَانَ/wakana//ذٰلِكَ/ذَٰلِكَ/dhalika//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//فَوْزًا/فَوۡزًا/fawzan//عَظِیْمًاۙ/عَظِيمٗا/aziman",
              "words_bangla": "প্রবেশ করান যেন//মু'মিন পুরুষদেরকে//ও মু'মিন নারীদেরকে//জান্নাতে//প্রবাহিত হয়//থেকে//তার (যার) নিচ//ঝর্ণাধারা সমূহ//তারা চিরস্থায়ী হবে//তার মধ্যে//এবং মিটিয়ে দেবেন//তাদের হতে//তাদের দোষত্রুটি সমূহকে//এবং হল//এটা//নিকট//আল্লাহর//সাফল্য//বিরাট"
            },
            {
              "number": 4589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4589.mp3"
              ],
              "text": "وَيُعَذِّبَ ٱلْمُنَٰفِقِينَ وَٱلْمُنَٰفِقَٰتِ وَٱلْمُشْرِكِينَ وَٱلْمُشْرِكَٰتِ ٱلظَّآنِّينَ بِٱللَّهِ ظَنَّ ٱلسَّوْءِ ۚ عَلَيْهِمْ دَآئِرَةُ ٱلسَّوْءِ ۖ وَغَضِبَ ٱللَّهُ عَلَيْهِمْ وَلَعَنَهُمْ وَأَعَدَّ لَهُمْ جَهَنَّمَ ۖ وَسَآءَتْ مَصِيرًۭا",
              "translate_bn": "এবং যাতে তিনি কপট বিশ্বাসী পুরুষ ও কপট বিশ্বাসিনী নারী এবং অংশীবাদী পুরুষ ও অংশীবাদিনী নারীদেরকে শাস্তি দেন, যারা আল্লাহ সম্পর্কে মন্দ ধারণা পোষন করে। তাদের জন্য মন্দ পরিনাম। আল্লাহ তাদের প্রতি ক্রুদ্ধ হয়েছেন, তাদেরকে অভিশপ্ত করেছেন। এবং তাহাদের জন্যে জাহান্নাম প্রস্তুত রেখেছেন। তাদের প্রত্যাবর্তন স্থল অত্যন্ত মন্দ।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউ‘আযযিবাল মুনা-ফিকীনা ওয়াল মুনা-ফিকা-তি ওয়াল মুশরিকীনা ওয়াল মুশরিকা-তিজ্জান্নীনা বিল্লা-হি জান্নাছছাওই ‘আলাইহিম দাইরাতুছ ছাওই ওয়া গাদিবাল্লা-হু ‘আলাইহিম ওয়া লা‘আনাহুম ওয়া আ‘আদ্দালাহুম জাহান্নামা ওয়া ছাআত মাসীরা-।",
              "words_arabic": "وَّ یُعَذِّبَ/وَيُعَذِّبَ/wayu'adhiba//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//وَ الْمُنٰفِقٰتِ/وَٱلۡمُنَٰفِقَٰتِ/wal-munafiqati//وَ الْمُشْرِكِیْنَ/وَٱلۡمُشۡرِكِينَ/wal-mush'rikina//وَ الْمُشْرِكٰتِ/وَٱلۡمُشۡرِكَٰتِ/wal-mush'rikati//الظَّآنِّیْنَ/ٱلظَّآنِّينَ/al-zanina//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//ظَنَّ/ظَنَّ/zanna//السَّوْءِ ؕ/ٱلسَّوۡءِۚ/al-sawi//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//دَآىِٕرَةُ/دَآئِرَةُ/dairatu//السَّوْءِ ۚ/ٱلسَّوۡءِۖ/al-sawi//وَ غَضِبَ/وَغَضِبَ/waghadiba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ لَعَنَهُمْ/وَلَعَنَهُمۡ/wala'anahum//وَ اَعَدَّ/وَأَعَدَّ/wa-a'adda//لَهُمْ/لَهُمۡ/lahum//جَهَنَّمَ ؕ/جَهَنَّمَۖ/jahannama//وَ سَآءَتْ/وَسَآءَتۡ/wasaat//مَصِیْرًا /مَصِيرٗا/masiran",
              "words_bangla": "এবং তিনি শাস্তি দেবেন//মুনাফেক পুরুষদেরকে//ও মুনাফেক নারীদেরকে//এবং মুশরিক পুরুষদেরকে//ও মুশরিক নারীদেরকে//(যারা) ধারণাকারী//আল্লাহ সম্পর্কে//ধারণা//খারাপ/ ভ্রান্ত//তাদের উপর (পড়েছে)//আবর্তন//অকল্যাণকর//এবং রুষ্ট হয়েছেন//আল্লাহ//তাদের উপর//ও তাদেরকে অভিশাপ দিয়েছেন//এবং প্রস্তুত করে রেখেছেন//তাদের জন্যে//জাহান্নাম//এবং তা অতিনিকৃষ্ট//গন্তব্য"
            },
            {
              "number": 4590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4590.mp3"
              ],
              "text": "وَلِلَّهِ جُنُودُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًا",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের বাহিনীসমূহ আল্লাহরই। আল্লাহ পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি জুনূদুছ ছা-মা-ওয়াতি ওয়াল আর দি ওয়া কা-নাল্লা-হু ‘আঝীঝান হাকীমা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//جُنُوْدُ/جُنُودُ/junudu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَزِیْزًا/عَزِيزًا/azizan//حَكِیْمًا /حَكِيمًا/hakiman",
              "words_bangla": "এবং আল্লাহরই//সৈন্যসমূহ//আকাশের//ও পৃথিবীর//এবং হলেন//আল্লাহ//মহাপরাক্রমশালী//মহাজ্ঞানী"
            },
            {
              "number": 4591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4591.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَٰكَ شَٰهِدًۭا وَمُبَشِّرًۭا وَنَذِيرًۭا",
              "translate_bn": "আমি আপনাকে প্রেরণ করেছি অবস্থা ব্যক্তকারীরূপে, সুসংবাদদাতা ও ভয় প্রদর্শনকারীরূপে।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-কা শা-হিদাওঁ ওয়া মুবাশশিরাওঁ ওয়া নাযীরা-।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنٰكَ/أَرۡسَلۡنَٰكَ/arsalnaka//شَاهِدًا/شَٰهِدٗا/shahidan//وَّ مُبَشِّرًا/وَمُبَشِّرٗا/wamubashiran//وَّ نَذِیْرًاۙ/وَنَذِيرٗا/wanadhiran",
              "words_bangla": "নিশ্চয়ই আমরা//তোমাকে আমরা প্রেরণ করেছি//সাক্ষ্যদাতা//ও সুসংবাদদাতা হিসেবে//এবং সতর্ককারীরূপে"
            },
            {
              "number": 4592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4592.mp3"
              ],
              "text": "لِّتُؤْمِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَتُعَزِّرُوهُ وَتُوَقِّرُوهُ وَتُسَبِّحُوهُ بُكْرَةًۭ وَأَصِيلًا",
              "translate_bn": "যাতে তোমরা আল্লাহ ও রসূলের প্রতি বিশ্বাস স্থাপন কর এবং তাঁকে সাহায্য ও সম্মান কর এবং সকাল-সন্ধ্যায় আল্লাহর পবিত্রতা ঘোষণা কর।",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 6,
              "page": 511,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "লিতু’মিনূবিল্লা-হি ওয়া রাছূলিহী ওয়া তু‘আঝাঝিরূহু ওয়া তুওয়াক্কিরূহু ওয়া তুছাববিহূহু বুকরাতাওঁ ওয়া আসীলা-।\r\n",
              "words_arabic": "لِّتُؤْمِنُوْا/لِّتُؤۡمِنُواْ/litu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ تُعَزِّرُوْهُ/وَتُعَزِّرُوهُ/watu'azziruhu//وَ تُوَقِّرُوْهُ ؕ/وَتُوَقِّرُوهُۚ/watuwaqqiruhu//وَ تُسَبِّحُوْهُ/وَتُسَبِّحُوهُ/watusabbihuhu//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ اَصِیْلًا /وَأَصِيلًا/wa-asilan",
              "words_bangla": "যাতে তোমরা ঈমান আন//আল্লাহর উপর//ও তাঁর রাসূলের উপর//এবং তাঁকে তোমরা সাহায্য কর//ও তাঁকে তোমরা সম্মান কর//এবং তাঁর (অর্থাৎ আল্লাহর) পবিত্রতা ঘোষণা কর//সকালে//ও সন্ধ্যায়"
            },
            {
              "number": 4593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4593.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُبَايِعُونَكَ إِنَّمَا يُبَايِعُونَ ٱللَّهَ يَدُ ٱللَّهِ فَوْقَ أَيْدِيهِمْ ۚ فَمَن نَّكَثَ فَإِنَّمَا يَنكُثُ عَلَىٰ نَفْسِهِۦ ۖ وَمَنْ أَوْفَىٰ بِمَا عَٰهَدَ عَلَيْهُ ٱللَّهَ فَسَيُؤْتِيهِ أَجْرًا عَظِيمًۭا",
              "translate_bn": "যারা আপনার কাছে আনুগত্যের শপথ করে, তারা তো আল্লাহর কাছে আনুগত্যের শপথ করে। আল্লাহর হাত তাদের হাতের উপর রয়েছে। অতএব, যে শপথ ভঙ্গ করে; অতি অবশ্যই সে তা নিজের ক্ষতির জন্যেই করে এবং যে আল্লাহর সাথে কৃত অঙ্গীকার পূর্ণ করে; আল্লাহ সত্ত্বরই তাকে মহাপুরস্কার দান করবেন।",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 446,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউবা-ই‘ঊনাকা ইন্নামা-ইউবা-ই‘ঊনাল্লা-হা ইয়াদুল্লা-হি ফাওকা আইদীহিম ফামান্নাকাছা ফাইন্নামা-ইয়ানকুছু ‘আলা-নাফছিহী ওয়া মান আওফাবিমা-‘আ-হাদা ‘আলাইহুল্লা-হা ফাছাইউ’তীহি আজরান ‘আজীমা-।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُبَایِعُوْنَكَ/يُبَايِعُونَكَ/yubayi'unaka//اِنَّمَا/إِنَّمَا/innama//یُبَایِعُوْنَ/يُبَايِعُونَ/yubayi'una//اللّٰهَ ؕ/ٱللَّهَ/al-laha//یَدُ/يَدُ/yadu//اللّٰهِ/ٱللَّهِ/al-lahi//فَوْقَ/فَوۡقَ/fawqa//اَیْدِیْهِمْ ۚ/أَيۡدِيهِمۡۚ/aydihim//فَمَنْ/فَمَن/faman//نَّكَثَ/نَّكَثَ/nakatha//فَاِنَّمَا/فَإِنَّمَا/fa-innama//یَنْكُثُ/يَنكُثُ/yankuthu//عَلٰی/عَلَىٰ/ala//نَفْسِهٖ ۚ/نَفۡسِهِۦۖ/nafsihi//وَ مَنْ/وَمَنۡ/waman//اَوْفٰی/أَوۡفَىٰ/awfa//بِمَا/بِمَا/bima//عٰهَدَ/عَٰهَدَ/ahada//عَلَیْهُ/عَلَيۡهُ/alayhu//اللّٰهَ/ٱللَّهَ/al-laha//فَسَیُؤْتِیْهِ/فَسَيُؤۡتِيهِ/fasayu'tihi//اَجْرًا/أَجۡرًا/ajran//عَظِیْمًا۠/عَظِيمٗا/aziman",
              "words_bangla": "নিশ্চয়ই//যারা//তোমার কাছে আনুগত্যের শপথ নেয়//প্রকৃতপক্ষে//তারা আনুগত্যের শপথ নেয়//আল্লাহর (নিকট)//(ছিল) হাত//আল্লাহর//উপর//তাদের হাতগুলোর//সুতরাং যে//ভঙ্গ করবে (তার ওয়াদা)//প্রকৃতপক্ষে//সে ভঙ্গ করবে//উপর//তার নিজের (কৃত ওয়াদা)//এবং যে//পূর্ণ করবে//ঐ বিষয়ে যা//সে অঙ্গীকার করেছে//তার উপর//আল্লাহর সাথে//তবে তাকে শীঘ্রই দিবেন তিনি//পুরস্কার//বিরাট"
            },
            {
              "number": 4594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4594.mp3"
              ],
              "text": "سَيَقُولُ لَكَ ٱلْمُخَلَّفُونَ مِنَ ٱلْأَعْرَابِ شَغَلَتْنَآ أَمْوَٰلُنَا وَأَهْلُونَا فَٱسْتَغْفِرْ لَنَا ۚ يَقُولُونَ بِأَلْسِنَتِهِم مَّا لَيْسَ فِى قُلُوبِهِمْ ۚ قُلْ فَمَن يَمْلِكُ لَكُم مِّنَ ٱللَّهِ شَيْـًٔا إِنْ أَرَادَ بِكُمْ ضَرًّا أَوْ أَرَادَ بِكُمْ نَفْعًۢا ۚ بَلْ كَانَ ٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرًۢا",
              "translate_bn": "মরুবাসীদের মধ্যে যারা গৃহে বসে রয়েছে, তারা আপনাকে বলবেঃ আমরা আমাদের ধন-সম্পদ ও পরিবার-পরিজনের কাজে ব্যস্ত ছিলাম। অতএব, আমাদের পাপ মার্জনা করান। তারা মুখে এমন কথা বলবে, যা তাদের অন্তরে নেই। বলুনঃ আল্লাহ তোমাদের ক্ষতি অথবা উপকার সাধনের ইচ্ছা করলে কে তাকে বিরত রাখতে পারে? বরং তোমরা যা কর, আল্লাহ সে বিষয় পরিপূর্ণ জ্ঞাত।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলুলাকাল মুখাল্লাফূনা মিনাল আ‘রা-বি শাগালাতনাআমওয়া-লুনা-ওয়া আহ লূনাফাছতাগফিরলানা- ইয়াকূলূনা বিআলছিনাতিহিম মা-লাইছা ফী কুলূবিহিম কুল ফামাইঁ ইয়ামলিকুলাকুম মিনাল্লা-হি শাইয়ান ইন আরা-দাবিকুম দাররান আও আরা-দাবিকুম নাফ‘আন বাল কা-নাল্লা-হু বিমা-তা‘মালূনা খাবীরা-।",
              "words_arabic": "سَیَقُوْلُ/سَيَقُولُ/sayaqulu//لَكَ/لَكَ/laka//الْمُخَلَّفُوْنَ/ٱلۡمُخَلَّفُونَ/al-mukhalafuna//مِنَ/مِنَ/mina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//شَغَلَتْنَاۤ/شَغَلَتۡنَآ/shaghalatna//اَمْوَالُنَا/أَمۡوَٰلُنَا/amwaluna//وَ اَهْلُوْنَا/وَأَهۡلُونَا/wa-ahluna//فَاسْتَغْفِرْ/فَٱسۡتَغۡفِرۡ/fa-is'taghfir//لَنَا ۚ/لَنَاۚ/lana//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//بِاَلْسِنَتِهِمْ/بِأَلۡسِنَتِهِم/bi-alsinatihim//مَّا/مَّا/ma//لَیْسَ/لَيۡسَ/laysa//فِیْ/فِي/fi//قُلُوْبِهِمْ ؕ/قُلُوبِهِمۡۚ/qulubihim//قُلْ/قُلۡ/qul//فَمَنْ/فَمَن/faman//یَّمْلِكُ/يَمۡلِكُ/yamliku//لَكُمْ/لَكُم/lakum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا/شَيۡـًٔا/shayan//اِنْ/إِنۡ/in//اَرَادَ/أَرَادَ/arada//بِكُمْ/بِكُمۡ/bikum//ضَرًّا/ضَرًّا/darran//اَوْ/أَوۡ/aw//اَرَادَ/أَرَادَ/arada//بِكُمْ/بِكُمۡ/bikum//نَفْعًا ؕ/نَفۡعَۢاۚ/naf 'an//بَلْ/بَلۡ/bal//كَانَ/كَانَ/kana//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرًا /خَبِيرَۢا/khabiran",
              "words_bangla": "(হে নবী) বলবে শীঘ্রই//তোমাকে//পিছনে থেকে যাওয়া লোকেরা//মধ্যহতে//মরুবাসীদের//\"আমাদেরকে ব্যস্ত রেখেছিল//আমাদের ধনসম্পদ//ও পরিবার পরিজন//তাই ক্ষমাপ্রার্থনা করুন//আমাদের জন্যে\"//তারা বলে//তাদের জিহ্বা দিয়ে (এমন কথা)//যা//না//মধ্যে আছে//তাদের অন্তরে//বলো//\"কে তবে//ক্ষমতা রাখে//তোমাদের জন্যে//হতে//আল্লাহর//কিছুমাত্র (বাঁচাতে)//যদি//ইচ্ছে করেন তিনি//তোমাদেরকে//ক্ষতি করতে//অথবা//ইচ্ছে করেন//তোমাদেরকে//কল্যাণের (কে রুখতে পারে)//বরং//হলেন//আল্লাহ//ঐ বিষয়ে যা//তোমরা কাজকর্ম করছ//খুব অবহিত"
            },
            {
              "number": 4595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4595.mp3"
              ],
              "text": "بَلْ ظَنَنتُمْ أَن لَّن يَنقَلِبَ ٱلرَّسُولُ وَٱلْمُؤْمِنُونَ إِلَىٰٓ أَهْلِيهِمْ أَبَدًۭا وَزُيِّنَ ذَٰلِكَ فِى قُلُوبِكُمْ وَظَنَنتُمْ ظَنَّ ٱلسَّوْءِ وَكُنتُمْ قَوْمًۢا بُورًۭا",
              "translate_bn": "বরং তোমরা ধারণ করেছিলে যে, রসূল ও মুমিনগণ তাদের বাড়ী-ঘরে কিছুতেই ফিরে আসতে পারবে না এবং এই ধারণা তোমাদের জন্যে খুবই সুখকর ছিল। তোমরা মন্দ ধারণার বশবর্তী হয়েছিলে। তোমরা ছিলে ধ্বংসমুখী এক সম্প্রদায়।",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "বাল জানানতুম আল্লাইঁ ইয়ানকালিবার রাছূলুওয়ালমু’মিনূনা ইলাআহলীহিম আবাদাওঁ ওয়া ঝুইঁনিয়া যা-লিকা ফী কুলূবিকুম ওয়া জানানতুন জান্নাছছাওই ওয়া কুনতুম কাওমাম বূরা-।",
              "words_arabic": "بَلْ/بَلۡ/bal//ظَنَنْتُمْ/ظَنَنتُمۡ/zanantum//اَنْ/أَن/an//لَّنْ/لَّن/lan//یَّنْقَلِبَ/يَنقَلِبَ/yanqaliba//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//وَ الْمُؤْمِنُوْنَ/وَٱلۡمُؤۡمِنُونَ/wal-mu'minuna//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِیْهِمْ/أَهۡلِيهِمۡ/ahlihim//اَبَدًا/أَبَدٗا/abadan//وَّ زُیِّنَ/وَزُيِّنَ/wazuyyina//ذٰلِكَ/ذَٰلِكَ/dhalika//فِیْ/فِي/fi//قُلُوْبِكُمْ/قُلُوبِكُمۡ/qulubikum//وَ ظَنَنْتُمْ/وَظَنَنتُمۡ/wazanantum//ظَنَّ/ظَنَّ/zanna//السَّوْءِ ۖۚ/ٱلسَّوۡءِ/al-sawi//وَ كُنْتُمْ/وَكُنتُمۡ/wakuntum//قَوْمًۢا/قَوۡمَۢا/qawman//بُوْرًا /بُورٗا/buran",
              "words_bangla": "বরং//তোমরা ধারণা করেছিলে//যে//কখনও না//ফিরে আসতে পারবে//রাসূল//ও মু'মিনরা//কাছে//তাদের পরিবারের//কখনও//এবং সুখকর লেগেছিল//এটা//মধ্যে//তোমাদের অন্তরের//এবং তোমরা ধারণা করেছিলে//একটা ধারণা//খারাপ/ ভুল//এবং তোমরা ছিলে//সম্প্রদায়//বড় (খারাপ মানসিকতার)\""
            },
            {
              "number": 4596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4596.mp3"
              ],
              "text": "وَمَن لَّمْ يُؤْمِنۢ بِٱللَّهِ وَرَسُولِهِۦ فَإِنَّآ أَعْتَدْنَا لِلْكَٰفِرِينَ سَعِيرًۭا",
              "translate_bn": "যারা আল্লাহ ও তাঁর রসূলে বিশ্বাস করে না, আমি সেসব কাফেরের জন্যে জ্বলন্ত অগ্নি প্রস্তুত রেখেছি।",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাল্লাম ইউ’মিম বিল্লা-হি ওয়া রাছূলিহী ফাইন্নাআ‘তাদনা-লিলকা-ফিরীনা ছা‘ঈরা-।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یُؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//فَاِنَّاۤ/فَإِنَّآ/fa-inna//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//سَعِیْرًا /سَعِيرٗا/sa'iran",
              "words_bangla": "এবং যে//না//ঈমান আনে//আল্লাহর উপর//ও তাঁর রাসূলের উপর//নিশ্চয়ই সেক্ষেত্রে আমরা//আমরা প্রস্তুত করে রেখেছি//কাফেরদের জন্য//জ্বলন্ত আগুন"
            },
            {
              "number": 4597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4597.mp3"
              ],
              "text": "وَلِلَّهِ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَكَانَ ٱللَّهُ غَفُورًۭا رَّحِيمًۭا",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের রাজত্ব আল্লাহরই। তিনি যাকে ইচ্ছা ক্ষমা করেন এবং যাকে ইচ্ছা শাস্তি দেন। তিনি ক্ষমাশীল, পরম মেহেরবান।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ওয়ালিল্লা-হি মুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ইয়াগফিরু লিমাইঁ ইয়াশাউ ওয়াইউ‘আযযিবুমাইঁ ইয়াশাউ ওয়া কা-নাল্লা-হু গাফূরার রাহীমা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//یَغْفِرُ/يَغۡفِرُ/yaghfiru//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یُعَذِّبُ/وَيُعَذِّبُ/wayu'adhibu//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//غَفُوْرًا/غَفُورٗا/ghafuran//رَّحِیْمًا /رَّحِيمٗا/rahiman",
              "words_bangla": "এবং আল্লাহরই জন্য//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//তিনি মাফ করেন//যাকে//তিনি ইচ্ছে করেন//ও তিনি শাস্তি দেন//যাকে//তিনি ইচ্ছে করেন//আর হলেন//আল্লাহ//ক্ষমাশীল//দয়ালু"
            },
            {
              "number": 4598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4598.mp3"
              ],
              "text": "سَيَقُولُ ٱلْمُخَلَّفُونَ إِذَا ٱنطَلَقْتُمْ إِلَىٰ مَغَانِمَ لِتَأْخُذُوهَا ذَرُونَا نَتَّبِعْكُمْ ۖ يُرِيدُونَ أَن يُبَدِّلُوا۟ كَلَٰمَ ٱللَّهِ ۚ قُل لَّن تَتَّبِعُونَا كَذَٰلِكُمْ قَالَ ٱللَّهُ مِن قَبْلُ ۖ فَسَيَقُولُونَ بَلْ تَحْسُدُونَنَا ۚ بَلْ كَانُوا۟ لَا يَفْقَهُونَ إِلَّا قَلِيلًۭا",
              "translate_bn": "তোমরা যখন যুদ্ধলব্ধ ধন-সম্পদ সংগ্রহের জন্য যাবে, তখন যারা পশ্চাতে থেকে গিয়েছিল, তারা বলবেঃ আমাদেরকেও তোমাদের সঙ্গে যেতে দাও। তারা আল্লাহর কালাম পরিবর্তন করতে চায়। বলুনঃ তোমরা কখনও আমাদের সঙ্গে যেতে পারবে না। আল্লাহ পূর্ব থেকেই এরূপ বলে দিয়েছেন। তারা বলবেঃ বরং তোমরা আমাদের প্রতি বিদ্বেষ পোষণ করছ। পরন্তু তারা সামান্যই বোঝে।",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 6,
              "page": 512,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াকূলুল মুখাল্লাফূনা ইযানতালাকতুমইলা-মাগা-নিমা লিতা’খুযূহা-যারূনানাত্তাবি‘কুম ইউরীদূ না আইঁ ইউবাদ্দিলূকালা-মাল্লা-হি কুল্লান তাত্তাবি‘ঊনা-কাযালিকুম কা-লাল্লা-হু মিন কাবলু ফাছাইয়াকূলূনা বাল তাহছু দূ নানা- বাল কা-না লাইয়াফকাহূনা ইল্লা-কালীলা-।\r\n",
              "words_arabic": "سَیَقُوْلُ/سَيَقُولُ/sayaqulu//الْمُخَلَّفُوْنَ/ٱلۡمُخَلَّفُونَ/al-mukhalafuna//اِذَا/إِذَا/idha//انْطَلَقْتُمْ/ٱنطَلَقۡتُمۡ/intalaqtum//اِلٰی/إِلَىٰ/ila//مَغَانِمَ/مَغَانِمَ/maghanima//لِتَاْخُذُوْهَا/لِتَأۡخُذُوهَا/litakhudhuha//ذَرُوْنَا/ذَرُونَا/dharuna//نَتَّبِعْكُمْ ۚ/نَتَّبِعۡكُمۡۖ/nattabi'kum//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//اَنْ/أَن/an//یُّبَدِّلُوْا/يُبَدِّلُواْ/yubaddilu//كَلٰمَ/كَلَٰمَ/kalama//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//قُلْ/قُل/qul//لَّنْ/لَّن/lan//تَتَّبِعُوْنَا/تَتَّبِعُونَا/tattabi'una//كَذٰلِكُمْ/كَذَٰلِكُمۡ/kadhalikum//قَالَ/قَالَ/qala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//قَبْلُ ۚ/قَبۡلُۖ/qablu//فَسَیَقُوْلُوْنَ/فَسَيَقُولُونَ/fasayaquluna//بَلْ/بَلۡ/bal//تَحْسُدُوْنَنَا ؕ/تَحۡسُدُونَنَاۚ/tahsudunana//بَلْ/بَلۡ/bal//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَفْقَهُوْنَ/يَفۡقَهُونَ/yafqahuna//اِلَّا/إِلَّا/illa//قَلِیْلًا /قَلِيلٗا/qalilan",
              "words_bangla": "বলবে শীঘ্রই//পিছনে থেকে যাওয়া লোকেরা//যখন//তোমরা চলবে//দিকে//যুদ্ধলব্ধ সম্পদের//তা গ্রহণ করার জন্য//\"আমাদেরও যেতে দাও//তোমাদেরকে অনুসরণ করব আমরা\"//তারা চায়//যে//পরিবর্তন করতে//প্রতিশ্রুতি//আল্লাহ্‌র//বলো (তাদেরকে)//\"কখনও না//আমাদের অনুসরণ করবে তোমরা//তোমাদের সম্পর্কে এরূপ//বলে দিয়েছেন//আল্লাহ্‌//\"থেকে//পূর্বেই (একথা)\"//অতঃপর তারা বলবে অবশ্যই//\"বরং//আমাদেরকে তোমরা হিংসা করছ\"//আসলে//তারা হলো (এমন লোক যে)//না//তারা বুঝে//এছাড়া//অতি সামান্য"
            },
            {
              "number": 4599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4599.mp3"
              ],
              "text": "قُل لِّلْمُخَلَّفِينَ مِنَ ٱلْأَعْرَابِ سَتُدْعَوْنَ إِلَىٰ قَوْمٍ أُو۟لِى بَأْسٍۢ شَدِيدٍۢ تُقَٰتِلُونَهُمْ أَوْ يُسْلِمُونَ ۖ فَإِن تُطِيعُوا۟ يُؤْتِكُمُ ٱللَّهُ أَجْرًا حَسَنًۭا ۖ وَإِن تَتَوَلَّوْا۟ كَمَا تَوَلَّيْتُم مِّن قَبْلُ يُعَذِّبْكُمْ عَذَابًا أَلِيمًۭا",
              "translate_bn": "গৃহে অবস্থানকারী মরুবাসীদেরকে বলে দিনঃ আগামীতে তোমরা এক প্রবল পরাক্রান্ত জাতির সাথে যুদ্ধ করতে আহুত হবে। তোমরা তাদের সাথে যুদ্ধ করবে, যতক্ষণ না তারা মুসলমান হয়ে যায়। তখন যদি তোমরা নির্দেশ পালন কর, তবে আল্লাহ তোমাদেরকে উত্তম পুরস্কার দিবেন। আর যদি পৃষ্ঠপ্রদর্শন কর যেমন ইতিপূর্বে পৃষ্ঠপ্রদর্শন করেছ, তবে তিনি তোমাদেরকে যন্ত্রনাদায়ক শাস্তি দিবেন।",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "কুল লিলমুখাল্লাফীনা মিনাল আ‘রা-বি ছাতুদ‘আওনা ইলা-কাওমিন ঊলী বা’ছিন শাদীদিন তুকা-তিলূনাহুম আও ইউছলিমূনা ফাইন তুতী‘ঊ ইউ’তিকুমুল্লা-হু আজরান হাছানাওঁ ওয়া ইন তাতাওয়াল্লাও কামা-তাওয়াল্লাইতুম মিন কাবলুইউ‘আযযি বকুম ‘আযা-বান আলীমা-।",
              "words_arabic": "قُلْ/قُل/qul//لِّلْمُخَلَّفِیْنَ/لِّلۡمُخَلَّفِينَ/lil'mukhallafina//مِنَ/مِنَ/mina//الْاَعْرَابِ/ٱلۡأَعۡرَابِ/al-a'rabi//سَتُدْعَوْنَ/سَتُدۡعَوۡنَ/satud'awna//اِلٰی/إِلَىٰ/ila//قَوْمٍ/قَوۡمٍ/qawmin//اُولِیْ/أُوْلِي/uli//بَاْسٍ/بَأۡسٖ/basin//شَدِیْدٍ/شَدِيدٖ/shadidin//تُقَاتِلُوْنَهُمْ/تُقَٰتِلُونَهُمۡ/tuqatilunahum//اَوْ/أَوۡ/aw//یُسْلِمُوْنَ ۚ/يُسۡلِمُونَۖ/yus'limuna//فَاِنْ/فَإِن/fa-in//تُطِیْعُوْا/تُطِيعُواْ/tuti'u//یُؤْتِكُمُ/يُؤۡتِكُمُ/yu'tikumu//اللّٰهُ/ٱللَّهُ/al-lahu//اَجْرًا/أَجۡرًا/ajran//حَسَنًا ۚ/حَسَنٗاۖ/hasanan//وَ اِنْ/وَإِن/wa-in//تَتَوَلَّوْا/تَتَوَلَّوۡاْ/tatawallaw//كَمَا/كَمَا/kama//تَوَلَّیْتُمْ/تَوَلَّيۡتُم/tawallaytum//مِّنْ/مِّن/min//قَبْلُ/قَبۡلُ/qablu//یُعَذِّبْكُمْ/يُعَذِّبۡكُمۡ/yu'adhib'kum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا /أَلِيمٗا/aliman",
              "words_bangla": "বলো//পিছে থেকে যাওয়া লোকদেরকে//মধ্য হতে//মরুবাসীদের//\"তোমাদের ডাকা হবে শীঘ্রই (যুদ্ধ করতে)//দিকে//এক জাতির//সম্পন্ন//শক্তি//প্রবল//তাদের সাথে তোমাদের যুদ্ধ করতে হবে//অথবা//তারা আত্নসমর্পণ করবে//যদি অতঃপর//তোমরা আনুগত্য কর//তোমাদেরকে দিবেন//আল্লাহ্‌//পুরস্কার//উত্তম//আর যদি//তোমরা পিছে ফের//যেমন//তোমরা পিছে ফিরেছ//থেকে//ইতিপূর্বে//তিনি তোমাদের শাস্তি দিবেন//শাস্তি//যন্ত্রণাদায়ক\""
            },
            {
              "number": 4600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4600.mp3"
              ],
              "text": "لَّيْسَ عَلَى ٱلْأَعْمَىٰ حَرَجٌۭ وَلَا عَلَى ٱلْأَعْرَجِ حَرَجٌۭ وَلَا عَلَى ٱلْمَرِيضِ حَرَجٌۭ ۗ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ يُدْخِلْهُ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۖ وَمَن يَتَوَلَّ يُعَذِّبْهُ عَذَابًا أَلِيمًۭا",
              "translate_bn": "অন্ধের জন্যে, খঞ্জের জন্যে ও রুগ্নের জন্যে কোন অপরাধ নাই এবং যে কেউ আল্লাহ ও তাঁর রসূলের অনুগত্য করবে তাকে তিনি জান্নাতে দাখিল করবেন, যার তলদেশে নদী প্রবাহিত হয়। পক্ষান্তরে যে, ব্যক্তি পৃষ্ঠপ্রদর্শন করবে, তাকে যন্ত্রণাদায়ক শাস্তি দিবেন।",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 447,
              "hizbQuarter": 204,
              "sajda": false,
              "pronunciation_bn": "লাইছা ‘আলাল ‘আমা-হারাজূওঁ ওয়ালা-‘আলাল আ‘রাজি হারাজূওঁ ওয়ালা-‘আলাল মারীদিহারাজূও ওয়া মাইঁ ইউতি‘ইল্লা-হা ওয়া রাছূলাহূইউদখিলহু জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ওয়া মাইঁ ইয়াতাওয়াল্লা ইউ’আযযিবহু ‘আযা-বান আলীমা-।",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//عَلَی/عَلَى/ala//الْاَعْمٰی/ٱلۡأَعۡمَىٰ/al-a'ma//حَرَجٌ/حَرَجٞ/harajun//وَّ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الْاَعْرَجِ/ٱلۡأَعۡرَجِ/al-a'raji//حَرَجٌ/حَرَجٞ/harajun//وَّ لَا/وَلَا/wala//عَلَی/عَلَى/ala//الْمَرِیْضِ/ٱلۡمَرِيضِ/al-maridi//حَرَجٌ ؕ/حَرَجٞۗ/harajun//وَ مَنْ/وَمَن/waman//یُّطِعِ/يُطِعِ/yuti'i//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//یُدْخِلْهُ/يُدۡخِلۡهُ/yud'khil'hu//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۚ/ٱلۡأَنۡهَٰرُۖ/al-anharu//وَ مَنْ/وَمَن/waman//یَّتَوَلَّ/يَتَوَلَّ/yatawalla//یُعَذِّبْهُ/يُعَذِّبۡهُ/yu'adhib'hu//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا۠/أَلِيمٗا/aliman",
              "words_bangla": "নেই//জন্যে//অন্ধের//কোনো অপরাধ (জিহাদে না গেলে)//আর নেই//জন্যে//পঙ্গুর//কোনো অপরাধ//এবং না//জন্যে//রোগীর//কোনো অপরাধ//এবং যে//আনুগত্য করে//আল্লাহ্‌র//ও তাঁর রাসুলের//তাকে প্রবেশ করাবেন তিনি//জান্নাতে//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাধারাসমূহ//এবং যে//পিঠ ফিরাবে//তাকে তিনি শাস্তি দিবেন//শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 4601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4601.mp3"
              ],
              "text": "۞ لَّقَدْ رَضِىَ ٱللَّهُ عَنِ ٱلْمُؤْمِنِينَ إِذْ يُبَايِعُونَكَ تَحْتَ ٱلشَّجَرَةِ فَعَلِمَ مَا فِى قُلُوبِهِمْ فَأَنزَلَ ٱلسَّكِينَةَ عَلَيْهِمْ وَأَثَٰبَهُمْ فَتْحًۭا قَرِيبًۭا",
              "translate_bn": "আল্লাহ মুমিনদের প্রতি সন্তুষ্ট হলেন, যখন তারা বৃক্ষের নীচে আপনার কাছে শপথ করল। আল্লাহ অবগত ছিলেন যা তাদের অন্তরে ছিল। অতঃপর তিনি তাদের প্রতি প্রশান্তি নাযিল করলেন এবং তাদেরকে আসন্ন বিজয় পুরস্কার দিলেন।",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "লাকাদ রাদিয়াল্লা-হু ‘আনিল মু’মিনীনা ইযইউবা-ই‘ঊনাকা তাহতাশশাজারাতি ফা‘আলিমা মা-ফী কুলূবিহিম ফাআনঝালাছ ছাকীনাতা ‘আলাইহিম ওয়া আছা-বাহুম ফাতহান কারীবা-।",
              "words_arabic": "لَقَدْ/۞لَّقَدۡ/laqad//رَضِیَ/رَضِيَ/radiya//اللّٰهُ/ٱللَّهُ/al-lahu//عَنِ/عَنِ/ani//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اِذْ/إِذۡ/idh//یُبَایِعُوْنَكَ/يُبَايِعُونَكَ/yubayi'unaka//تَحْتَ/تَحۡتَ/tahta//الشَّجَرَةِ/ٱلشَّجَرَةِ/al-shajarati//فَعَلِمَ/فَعَلِمَ/fa'alima//مَا/مَا/ma//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَاَنْزَلَ/فَأَنزَلَ/fa-anzala//السَّكِیْنَةَ/ٱلسَّكِينَةَ/al-sakinata//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وَ اَثَابَهُمْ/وَأَثَٰبَهُمۡ/wa-athabahum//فَتْحًا/فَتۡحٗا/fathan//قَرِیْبًاۙ/قَرِيبٗا/qariban",
              "words_bangla": "নিশ্চয়ই//সন্তুষ্ট হয়েছেন//আল্লাহ্‌//প্রতি//মু'মিনদের//যখন//তোমার কাছে বায়'আত গ্রহণ করে তারা//নিচে//গাছটির//তিনি তখন জানতেন//যা//মধ্যে (ছিল)//তাদের অন্তরসমূহের//অতঃপর অবতীর্ণ করলেন//প্রশান্তি//তাদের উপর//এবং তাদের পুরস্কার দিলেন//বিজয়ের//আসন্ন"
            },
            {
              "number": 4602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4602.mp3"
              ],
              "text": "وَمَغَانِمَ كَثِيرَةًۭ يَأْخُذُونَهَا ۗ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًۭا",
              "translate_bn": "এবং বিপুল পরিমাণে যুদ্ধলব্ধ সম্পদ, যা তারা লাভ করবে। আল্লাহ পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 19,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাগা-নিমা কাছীরাতাইঁ ইয়া’খুযূনাহা- ওয়া কা-নাল্লা-হু ‘আঝীঝান হাকীমা-।\r\n",
              "words_arabic": "وَّ مَغَانِمَ/وَمَغَانِمَ/wamaghanima//كَثِیْرَةً/كَثِيرَةٗ/kathiratan//یَّاْخُذُوْنَهَا ؕ/يَأۡخُذُونَهَاۗ/yakhudhunaha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَزِیْزًا/عَزِيزًا/azizan//حَكِیْمًا /حَكِيمٗا/hakiman",
              "words_bangla": "এবং যুদ্ধলব্ধ সম্পদসমূহ//বিপুল পরিমাণে//তা তারা গ্রহণ করবে//এবং হলেন//আল্লাহ্‌//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 4603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4603.mp3"
              ],
              "text": "وَعَدَكُمُ ٱللَّهُ مَغَانِمَ كَثِيرَةًۭ تَأْخُذُونَهَا فَعَجَّلَ لَكُمْ هَٰذِهِۦ وَكَفَّ أَيْدِىَ ٱلنَّاسِ عَنكُمْ وَلِتَكُونَ ءَايَةًۭ لِّلْمُؤْمِنِينَ وَيَهْدِيَكُمْ صِرَٰطًۭا مُّسْتَقِيمًۭا",
              "translate_bn": "আল্লাহ তোমাদেরকে বিপুল পরিমাণ যুদ্ধলব্ধ সম্পদের ওয়াদা দিয়েছেন, যা তোমরা লাভ করবে। তিনি তা তোমাদের জন্যে ত্বরান্বিত করবেন। তিনি তোমাদের থেকে শত্রুদের স্তব্দ করে দিয়েছেন-যাতে এটা মুমিনদের জন্যে এক নিদর্শন হয় এবং তোমাদেরকে সরল পথে পরিচালিত করেন।",
              "numberInSurah": 20,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আদাকুমুল্লা-হুমাগা-নিমা কাছীরাতান তা’খুযূনাহা-ফা‘আজ্জালা লাকুম হা-যিহী ওয়া কাফফা আইদিয়ান্না-ছি ‘আনকুম ওয়া লিতাকূনা আ-ইয়াতালিললমু’মিনীনা ওয়া ইয়াহদিইয়াকুম সিরা-তাম মুছতাকীমা-।",
              "words_arabic": "وَعَدَكُمُ/وَعَدَكُمُ/wa'adakumu//اللّٰهُ/ٱللَّهُ/al-lahu//مَغَانِمَ/مَغَانِمَ/maghanima//كَثِیْرَةً/كَثِيرَةٗ/kathiratan//تَاْخُذُوْنَهَا/تَأۡخُذُونَهَا/takhudhunaha//فَعَجَّلَ/فَعَجَّلَ/fa'ajjala//لَكُمْ/لَكُمۡ/lakum//هٰذِهٖ/هَٰذِهِۦ/hadhihi//وَ كَفَّ/وَكَفَّ/wakaffa//اَیْدِیَ/أَيۡدِيَ/aydiya//النَّاسِ/ٱلنَّاسِ/al-nasi//عَنْكُمْ ۚ/عَنكُمۡ/ankum//وَ لِتَكُوْنَ/وَلِتَكُونَ/walitakuna//اٰیَةً/ءَايَةٗ/ayatan//لِّلْمُؤْمِنِیْنَ/لِّلۡمُؤۡمِنِينَ/lil'mu'minina//وَ یَهْدِیَكُمْ/وَيَهۡدِيَكُمۡ/wayahdiyakum//صِرَاطًا/صِرَٰطٗا/siratan//مُّسْتَقِیْمًاۙ/مُّسۡتَقِيمٗا/mus'taqiman",
              "words_bangla": "তোমাদেরকে প্রতিশ্রুতি দিয়েছেন//আল্লাহ্‌//যুদ্ধলব্ধ সম্পদ সমুহের//বিপুল পরিমাণ//তা তোমরা গ্রহণ করবে//এখন তিনি ত্বরান্বিত করেছেন//তোমাদের জন্য//এটা//এবং বিরত রাখলেন//হাতগুলোকে//লোকদের//তোমাদের থেকে//এবং এটা হয় যেন//একটি নিদর্শন//মু'মিনদের জন্যে//ও তিনি তোমাদের পরিচালনা করেন//পথে//সরল সঠিক"
            },
            {
              "number": 4604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4604.mp3"
              ],
              "text": "وَأُخْرَىٰ لَمْ تَقْدِرُوا۟ عَلَيْهَا قَدْ أَحَاطَ ٱللَّهُ بِهَا ۚ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرًۭا",
              "translate_bn": "আর ও একটি বিজয় রয়েছে যা এখনও তোমাদের অধিকারে আসেনি, আল্লাহ তা বেষ্টন করে আছেন। আল্লাহ সর্ববিষয়ে ক্ষমতাবান।",
              "numberInSurah": 21,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ওয়া উখরা-লাম তাকদিরূ‘আলাইহা-কাদ আহা-তাল্লা-হু বিহা- ওয়াকা-নাল্লা-হু ‘আলা-কুল্লি শাইয়িন কাদীরা-।\r\n",
              "words_arabic": "وَّ اُخْرٰی/وَأُخۡرَىٰ/wa-ukh'ra//لَمْ/لَمۡ/lam//تَقْدِرُوْا/تَقۡدِرُواْ/taqdiru//عَلَیْهَا/عَلَيۡهَا/alayha//قَدْ/قَدۡ/qad//اَحَاطَ/أَحَاطَ/ahata//اللّٰهُ/ٱللَّهُ/al-lahu//بِهَا ؕ/بِهَاۚ/biha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرًا /قَدِيرٗا/qadiran",
              "words_bangla": "এবং অন্যটি//নি//তোমরা সক্ষম হও//তার উপর//নিশ্চয়ই//পরিবেষ্টন করে রেখেছেন//আল্লাহ্‌//তা//এবং হলেন//আল্লাহ্‌//উপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 4605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4605.mp3"
              ],
              "text": "وَلَوْ قَٰتَلَكُمُ ٱلَّذِينَ كَفَرُوا۟ لَوَلَّوُا۟ ٱلْأَدْبَٰرَ ثُمَّ لَا يَجِدُونَ وَلِيًّۭا وَلَا نَصِيرًۭا",
              "translate_bn": "যদি কাফেররা তোমাদের মোকাবেলা করত, তবে অবশ্যই তারা পৃষ্ঠপ্রদর্শন করত। তখন তারা কোন অভিভাবক ও সাহায্যকারী পেত না।",
              "numberInSurah": 22,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও কা-তালাকুমুল্লাযীনা কাফারূলাওয়াল্লাউল আদবা-রা ছু ম্মা লা-ইয়াজিদূনা ওয়ালিয়াওঁ ওয়ালা-নাসীরা-।\r\n",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//قٰتَلَكُمُ/قَٰتَلَكُمُ/qatalakumu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَوَلَّوُا/لَوَلَّوُاْ/lawallawu//الْاَدْبَارَ/ٱلۡأَدۡبَٰرَ/al-adbara//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَجِدُوْنَ/يَجِدُونَ/yajiduna//وَلِیًّا/وَلِيّٗا/waliyyan//وَّ لَا/وَلَا/wala//نَصِیْرًا /نَصِيرٗا/nasiran",
              "words_bangla": "এবং যদি//তোমাদের সাথে যুদ্ধ করত//যারা//অস্বীকার করেছে//অবশ্যই ফিরত তারা//পিঠ সমূহকে//এরপর//না//তারা পেত//কোনো অভিভাবক//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 4606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4606.mp3"
              ],
              "text": "سُنَّةَ ٱللَّهِ ٱلَّتِى قَدْ خَلَتْ مِن قَبْلُ ۖ وَلَن تَجِدَ لِسُنَّةِ ٱللَّهِ تَبْدِيلًۭا",
              "translate_bn": "এটাই আল্লাহর রীতি, যা পূর্ব থেকে চালু আছে। তুমি আল্লাহর রীতিতে কোন পরিবর্তন পাবে না।",
              "numberInSurah": 23,
              "juz": 26,
              "manzil": 6,
              "page": 513,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ছুন্নাতাল্লা-হিল্লাতী কাদ খালাত মিন কাবলু ওয়া লান তাজিদা লিছুন্নাতিল্লা-হি তাবদীলা-।",
              "words_arabic": "سُنَّةَ/سُنَّةَ/sunnata//اللّٰهِ/ٱللَّهِ/al-lahi//الَّتِیْ/ٱلَّتِي/allati//قَدْ/قَدۡ/qad//خَلَتْ/خَلَتۡ/khalat//مِنْ/مِن/min//قَبْلُ ۖۚ/قَبۡلُۖ/qablu//وَ لَنْ/وَلَن/walan//تَجِدَ/تَجِدَ/tajida//لِسُنَّةِ/لِسُنَّةِ/lisunnati//اللّٰهِ/ٱللَّهِ/al-lahi//تَبْدِیْلًا /تَبۡدِيلٗا/tabdilan",
              "words_bangla": "বিধান//আল্লাহ্‌র//যা//নিশ্চয়ই//অতীত হয়েছে//থেকে//পূর্বেও//এবং কখনো না//পাবে তুমি//বিধানে//আল্লাহ্‌র//কোনো পরিবর্তন"
            },
            {
              "number": 4607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4607.mp3"
              ],
              "text": "وَهُوَ ٱلَّذِى كَفَّ أَيْدِيَهُمْ عَنكُمْ وَأَيْدِيَكُمْ عَنْهُم بِبَطْنِ مَكَّةَ مِنۢ بَعْدِ أَنْ أَظْفَرَكُمْ عَلَيْهِمْ ۚ وَكَانَ ٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرًا",
              "translate_bn": "তিনি মক্কা শহরে তাদের হাত তোমাদের থেকে এবং তোমাদের হাত তাদের থেকে নিবারিত করেছেন তাদের উপর তোমাদেরকে বিজয়ী করার পর। তোমরা যা কিছু কর, আল্লাহ তা দেখেন।",
              "numberInSurah": 24,
              "juz": 26,
              "manzil": 6,
              "page": 514,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ওয়াহুওয়াল্লাযী কাফফা আইদিয়াহুম ‘আনকুম ওয়াআইদিয়াকুম ‘আনহুম ব্বিাতনি মাক্কাতা মিম বা‘দি আন আজফারাকুম ‘আলাইহিম ওয়া কা-নাল্লা-হু বিমা-তা‘মালূনা বাসীরা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الَّذِیْ/ٱلَّذِي/alladhi//كَفَّ/كَفَّ/kaffa//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//عَنْكُمْ/عَنكُمۡ/ankum//وَ اَیْدِیَكُمْ/وَأَيۡدِيَكُمۡ/wa-aydiyakum//عَنْهُمْ/عَنۡهُم/anhum//بِبَطْنِ/بِبَطۡنِ/bibatni//مَكَّةَ/مَكَّةَ/makkata//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اَنْ/أَنۡ/an//اَظْفَرَكُمْ/أَظۡفَرَكُمۡ/azfarakum//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرًا /بَصِيرًا/basiran",
              "words_bangla": "এবং তিনিই//যিনি//বিরত রেখেছিলেন//তাদের হাতগুলোকে//তোমাদের হতে//ও তোমাদের হাতগুলোকে//তাদের হতে//উপকণ্ঠে//মক্কার//থেকে//এরপরেও//যে//তোমাদের বিজয় দিয়েছিলেন//তাদের বিরুদ্ধে//এবং হলেন//আল্লাহ্‌//ঐ বিষয়ে যা//তোমরা কাজ কর//খুব দেখছেন"
            },
            {
              "number": 4608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4608.mp3"
              ],
              "text": "هُمُ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوكُمْ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ وَٱلْهَدْىَ مَعْكُوفًا أَن يَبْلُغَ مَحِلَّهُۥ ۚ وَلَوْلَا رِجَالٌۭ مُّؤْمِنُونَ وَنِسَآءٌۭ مُّؤْمِنَٰتٌۭ لَّمْ تَعْلَمُوهُمْ أَن تَطَـُٔوهُمْ فَتُصِيبَكُم مِّنْهُم مَّعَرَّةٌۢ بِغَيْرِ عِلْمٍۢ ۖ لِّيُدْخِلَ ٱللَّهُ فِى رَحْمَتِهِۦ مَن يَشَآءُ ۚ لَوْ تَزَيَّلُوا۟ لَعَذَّبْنَا ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابًا أَلِيمًا",
              "translate_bn": "তারাই তো কুফরী করেছে এবং বাধা দিয়েছে তোমাদেরকে মসজিদে হারাম থেকে এবং অবস্থানরত কোরবানীর জন্তুদেরকে যথাস্থানে পৌছতে। যদি মক্কায় কিছুসংখ্যক ঈমানদার পুরুষ ও ঈমানদার নারী না থাকত, যাদেরকে তোমরা জানতে না। অর্থাৎ তাদের পিষ্ট হয়ে যাওয়ার আশংকা না থাকত, অতঃপর তাদের কারণে তোমরা অজ্ঞাতসারে ক্ষতিগ্রস্ত হতে, তবে সব কিছু চুকিয়ে দেয়া হত; কিন্তু এ কারণে চুকানো হয়নি, যাতে আল্লাহ তা’আলা যাকে ইচ্ছা স্বীয় রহমতে দাখিল করে নেন। যদি তারা সরে যেত, তবে আমি অবশ্যই তাদের মধ্যে যারা কাফের তাদেরকে যন্ত্রনাদায়ক শস্তি দিতাম।",
              "numberInSurah": 25,
              "juz": 26,
              "manzil": 6,
              "page": 514,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "হুমুল্লাযীনা কাফারূওয়া সাদ্দূকুম ‘আনিল মাছজিদিল হারা-মি ওয়াল হাদইয়া মা‘কূফান আইঁ ইয়াবলুগা মাহিল্লাহূ ওয়ালাও লা-রিজা-লুম মু’মিনূনা ওয়া নিছাউম মু’মিনা-তুল্লাম তা‘লামূহুম আন তাতাঊহুম ফাতুসীবাকুম মিনহুম মা‘আররাতুম বিগাইরি ‘ইলমিন লিইউদখিলাল্লা-হু ফী রাহমাতিহী মাইঁ ইয়াশাউ লাও তাঝাইয়ালূলা‘আযযাবনাল্লাযীনা কাফারূমিনহুম ‘আযা-বান আলীমা-।\r\n",
              "words_arabic": "هُمُ/هُمُ/humu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ صَدُّوْكُمْ/وَصَدُّوكُمۡ/wasaddukum//عَنِ/عَنِ/ani//الْمَسْجِدِ/ٱلۡمَسۡجِدِ/al-masjidi//الْحَرَامِ/ٱلۡحَرَامِ/al-harami//وَ الْهَدْیَ/وَٱلۡهَدۡيَ/wal-hadya//مَعْكُوْفًا/مَعۡكُوفًا/ma'kufan//اَنْ/أَن/an//یَّبْلُغَ/يَبۡلُغَ/yablugha//مَحِلَّهٗ ؕ/مَحِلَّهُۥۚ/mahillahu//وَ لَوْ لَا/وَلَوۡلَا/walawla//رِجَالٌ/رِجَالٞ/rijalun//مُّؤْمِنُوْنَ/مُّؤۡمِنُونَ/mu'minuna//وَ نِسَآءٌ/وَنِسَآءٞ/wanisaon//مُّؤْمِنٰتٌ/مُّؤۡمِنَٰتٞ/mu'minatun//لَّمْ/لَّمۡ/lam//تَعْلَمُوْهُمْ/تَعۡلَمُوهُمۡ/ta'lamuhum//اَنْ/أَن/an//تَطَـُٔوْهُمْ/تَطَـُٔوهُمۡ/tatauhum//فَتُصِیْبَكُمْ/فَتُصِيبَكُم/fatusibakum//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّعَرَّةٌۢ/مَّعَرَّةُۢ/ma'arratun//بِغَیْرِ/بِغَيۡرِ/bighayri//عِلْمٍ ۚ/عِلۡمٖۖ/il'min//لِیُدْخِلَ/لِّيُدۡخِلَ/liyud'khila//اللّٰهُ/ٱللَّهُ/al-lahu//فِیْ/فِي/fi//رَحْمَتِهٖ/رَحۡمَتِهِۦ/rahmatihi//مَنْ/مَن/man//یَّشَآءُ ۚ/يَشَآءُۚ/yashau//لَوْ/لَوۡ/law//تَزَیَّلُوْا/تَزَيَّلُواْ/tazayyalu//لَعَذَّبْنَا/لَعَذَّبۡنَا/la'adhabna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْهُمْ/مِنۡهُمۡ/min'hum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا /أَلِيمًا/aliman",
              "words_bangla": "তিনিই//যারা//অস্বীকার করেছে//ও তোমাদের বাধা দিয়েছে//হতে//মসজিদে//হারাম//এবং কুরবানির পশুগুলোকে//(যা ছিল) 'আবদ্ধ'//যে//পৌঁছবে//তার কুরবানির জায়গায়//এবং যদি না (আশংকা থাকত)//(এমন কিছু) পুরুষ//মু'মিন//ও নারী//মু'মিন//না//যাদেরকে তোমরা জানতে//যে//তাদেরকে পদদলিত করতে তোমরা//ফলে তোমাদের পৌছুত//তাদের কারণে//ক্ষতির সম্মুখীন//না//জেনে//(এটা করেছেন এজন্যে) প্রবেশ করান যেন//আল্লাহ্‌//মধ্যে//তাঁর অনুগ্রহের//যাকে//তিনি ইচ্ছে করেন//যদি//তারা পৃথক হত//আমরা শাস্তি দিতাম অবশ্যই//(তাদেরকে) যারা//অস্বীকার করেছে//তাদের মধ্য হতে//শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 4609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4609.mp3"
              ],
              "text": "إِذْ جَعَلَ ٱلَّذِينَ كَفَرُوا۟ فِى قُلُوبِهِمُ ٱلْحَمِيَّةَ حَمِيَّةَ ٱلْجَٰهِلِيَّةِ فَأَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَىٰ رَسُولِهِۦ وَعَلَى ٱلْمُؤْمِنِينَ وَأَلْزَمَهُمْ كَلِمَةَ ٱلتَّقْوَىٰ وَكَانُوٓا۟ أَحَقَّ بِهَا وَأَهْلَهَا ۚ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمًۭا",
              "translate_bn": "কেননা, কাফেররা তাদের অন্তরে মূর্খতাযুগের জেদ পোষণ করত। অতঃপর আল্লাহ তাঁর রসূল ও মুমিনদের উপর স্বীয় প্রশান্তি নাযিল করলেন এবং তাদের জন্যে সংযমের দায়িত্ব অপরিহার্য করে দিলেন। বস্তুতঃ তারাই ছিল এর অধিকতর যোগ্য ও উপযুক্ত। আল্লাহ সর্ববিষয়ে সম্যক জ্ঞাত।",
              "numberInSurah": 26,
              "juz": 26,
              "manzil": 6,
              "page": 514,
              "ruku": 448,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "ইযজা‘আলাল্লাযীনা কাফারূফী কুলূবিহিমুল হামিইইয়াতা হামিইয়াতালজা-হিলিইইয়াতি ফাআনঝালাল্লা-হু ছাকীনাতাহূ‘আলা-রাছূলিহী ওয়া আলাল মু’মিনীনা ওয়া আলঝামাহুম কালিমাতাততাকওয়া-ওয়া কা-নূআহাক্কা বিহা-ওয়া আহ লাহা- ওয়া কা-নাল্লা-হু বিকুল্লি শাইয়িন ‘আলীমা-।\r\n",
              "words_arabic": "اِذْ/إِذۡ/idh//جَعَلَ/جَعَلَ/ja'ala//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فِیْ/فِي/fi//قُلُوْبِهِمُ/قُلُوبِهِمُ/qulubihimu//الْحَمِیَّةَ/ٱلۡحَمِيَّةَ/al-hamiyata//حَمِیَّةَ/حَمِيَّةَ/hamiyyata//الْجَاهِلِیَّةِ/ٱلۡجَٰهِلِيَّةِ/al-jahiliyati//فَاَنْزَلَ/فَأَنزَلَ/fa-anzala//اللّٰهُ/ٱللَّهُ/al-lahu//سَكِیْنَتَهٗ/سَكِينَتَهُۥ/sakinatahu//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//وَ عَلَی/وَعَلَى/wa'ala//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ اَلْزَمَهُمْ/وَأَلۡزَمَهُمۡ/wa-alzamahum//كَلِمَةَ/كَلِمَةَ/kalimata//التَّقْوٰی/ٱلتَّقۡوَىٰ/al-taqwa//وَ كَانُوْۤا/وَكَانُوٓاْ/wakanu//اَحَقَّ/أَحَقَّ/ahaqqa//بِهَا/بِهَا/biha//وَ اَهْلَهَا ؕ/وَأَهۡلَهَاۚ/wa-ahlaha//وَ كَانَ/وَكَانَ/wakana//اللّٰهُ/ٱللَّهُ/al-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمًا۠/عَلِيمٗا/aliman",
              "words_bangla": "যখন//পোষণ করল//যারা//অস্বীকার করেছিল//মধ্যে//তাদের অন্তরগুলোর//হঠকারিতা//হঠকারিতা//অজ্ঞতার//তখন অবতীর্ণ করলেন//আল্লাহ্‌//তাঁর প্রশান্তি//উপর//তাঁর রাসূলের//ও উপর//মু'মিনদের//এবং তাদেরকে সংহত করলেন//(কথায়) নীতিতে//তাকওয়ার//এবং তারা ছিল//অধিক যোগ্য//এর//ও তার উপযুক্ত//এবং হলেন//আল্লাহ্‌//সম্পর্কে//সবকিছু//খুব জ্ঞাত"
            },
            {
              "number": 4610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4610.mp3"
              ],
              "text": "لَّقَدْ صَدَقَ ٱللَّهُ رَسُولَهُ ٱلرُّءْيَا بِٱلْحَقِّ ۖ لَتَدْخُلُنَّ ٱلْمَسْجِدَ ٱلْحَرَامَ إِن شَآءَ ٱللَّهُ ءَامِنِينَ مُحَلِّقِينَ رُءُوسَكُمْ وَمُقَصِّرِينَ لَا تَخَافُونَ ۖ فَعَلِمَ مَا لَمْ تَعْلَمُوا۟ فَجَعَلَ مِن دُونِ ذَٰلِكَ فَتْحًۭا قَرِيبًا",
              "translate_bn": "আল্লাহ তাঁর রসূলকে সত্য স্বপ্ন দেখিয়েছেন। আল্লাহ চাহেন তো তোমরা অবশ্যই মসজিদে হারামে প্রবেশ করবে নিরাপদে মস্তকমুন্ডিত অবস্থায় এবং কেশ কর্তিত অবস্থায়। তোমরা কাউকে ভয় করবে না। অতঃপর তিনি জানেন যা তোমরা জান না। এছাড়াও তিনি দিয়েছেন তোমাদেরকে একটি আসন্ন বিজয়।",
              "numberInSurah": 27,
              "juz": 26,
              "manzil": 6,
              "page": 514,
              "ruku": 449,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "লাকাদ সাদাকাল্লা-হু রাছূলাহুর রু’ইয়া-বিলহাক্কি লাতাদখুলুন্নাল মাছজিদাল হারা-মা ইন শাআল্লা-হু আ-মিনীনা মুহালিলকীনা রুঊ’ছাকুম ওয়া মুকাসসিরীনা লা-তাখাফূনা ফা‘আলিমা মা-লাম তা‘লামূফাজা‘আলা মিন দূ নি যা-লিকা ফাতহান কারীবা-।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//صَدَقَ/صَدَقَ/sadaqa//اللّٰهُ/ٱللَّهُ/al-lahu//رَسُوْلَهُ/رَسُولَهُ/rasulahu//الرُّءْیَا/ٱلرُّءۡيَا/al-ru'ya//بِالْحَقِّ ۚ/بِٱلۡحَقِّۖ/bil-haqi//لَتَدْخُلُنَّ/لَتَدۡخُلُنَّ/latadkhulunna//الْمَسْجِدَ/ٱلۡمَسۡجِدَ/al-masjida//الْحَرَامَ/ٱلۡحَرَامَ/al-harama//اِنْ/إِن/in//شَآءَ/شَآءَ/shaa//اللّٰهُ/ٱللَّهُ/al-lahu//اٰمِنِیْنَ ۙ/ءَامِنِينَ/aminina//مُحَلِّقِیْنَ/مُحَلِّقِينَ/muhalliqina//رُءُوْسَكُمْ/رُءُوسَكُمۡ/ruusakum//وَ مُقَصِّرِیْنَ ۙ/وَمُقَصِّرِينَ/wamuqassirina//لَا/لَا/la//تَخَافُوْنَ ؕ/تَخَافُونَۖ/takhafuna//فَعَلِمَ/فَعَلِمَ/fa'alima//مَا/مَا/ma//لَمْ/لَمۡ/lam//تَعْلَمُوْا/تَعۡلَمُواْ/ta'lamu//فَجَعَلَ/فَجَعَلَ/faja'ala//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//ذٰلِكَ/ذَٰلِكَ/dhalika//فَتْحًا/فَتۡحٗا/fathan//قَرِیْبًا /قَرِيبًا/qariban",
              "words_bangla": "নিশ্চয়ই//সত্য করে দেখিয়েছেন//আল্লাহ্‌//তাঁর রাসুলের//স্বপ্নকে//সঠিকভাবে//অবশ্যই তোমরা প্রবেশ করবে//মসজিদে//হারামে//যদি//ইচ্ছে করেন//আল্লাহ্‌//নিরাপদে//(কেউ কেউ) মুণ্ডনকারী//তোমাদের মাথা//ও (কেউ কেউ) চুল ছোটকারী হয়ে//না//তোমরা ভয় পাবে//তিনি বস্তুতঃ জানেন//যা//না//তোমরা জান//তাই তিনি দিয়েছেন//থেকে//ছাড়া//সেটা//একটি বিজয়//আসন্ন"
            },
            {
              "number": 4611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4611.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًۭا",
              "translate_bn": "তিনিই তাঁর রসূলকে হেদায়েত ও সত্য ধর্মসহ প্রেরণ করেছেন, যাতে একে অন্য সমস্ত ধর্মের উপর জয়যুক্ত করেন। সত্য প্রতিষ্ঠাতারূপে আল্লাহ যথেষ্ট।",
              "numberInSurah": 28,
              "juz": 26,
              "manzil": 6,
              "page": 514,
              "ruku": 449,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "হুওল্লাযীআরছালা রাছূলাহূবিলহুদা-ওয়া দীনিল হাক্কিলিইউজহিরাহূ‘আলাদ্দীনি কুল্লিহী ওয়া কাফা-বিল্লা-হি শাহীদা-।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَرْسَلَ/أَرۡسَلَ/arsala//رَسُوْلَهٗ/رَسُولَهُۥ/rasulahu//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//وَ دِیْنِ/وَدِينِ/wadini//الْحَقِّ/ٱلۡحَقِّ/al-haqi//لِیُظْهِرَهٗ/لِيُظۡهِرَهُۥ/liyuz'hirahu//عَلَی/عَلَى/ala//الدِّیْنِ/ٱلدِّينِ/al-dini//كُلِّهٖ ؕ/كُلِّهِۦۚ/kullihi//وَ كَفٰی/وَكَفَىٰ/wakafa//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَهِیْدًاؕ/شَهِيدٗا/shahidan",
              "words_bangla": "তিনিই//যিনি//প্রেরণ করেছেন//তাঁর রাসুলকে//দিয়ে দিক-নির্দেশনা//ও দীন//সত্য (দিয়ে)//তা বিজয়ী করার জন্যে//উপর//দীনের//অন্যান্য সব//এবং যথেষ্ট//আল্লাহই এ বিষয়ে//সাক্ষী হিসেবে"
            },
            {
              "number": 4612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4612.mp3"
              ],
              "text": "مُّحَمَّدٌۭ رَّسُولُ ٱللَّهِ ۚ وَٱلَّذِينَ مَعَهُۥٓ أَشِدَّآءُ عَلَى ٱلْكُفَّارِ رُحَمَآءُ بَيْنَهُمْ ۖ تَرَىٰهُمْ رُكَّعًۭا سُجَّدًۭا يَبْتَغُونَ فَضْلًۭا مِّنَ ٱللَّهِ وَرِضْوَٰنًۭا ۖ سِيمَاهُمْ فِى وُجُوهِهِم مِّنْ أَثَرِ ٱلسُّجُودِ ۚ ذَٰلِكَ مَثَلُهُمْ فِى ٱلتَّوْرَىٰةِ ۚ وَمَثَلُهُمْ فِى ٱلْإِنجِيلِ كَزَرْعٍ أَخْرَجَ شَطْـَٔهُۥ فَـَٔازَرَهُۥ فَٱسْتَغْلَظَ فَٱسْتَوَىٰ عَلَىٰ سُوقِهِۦ يُعْجِبُ ٱلزُّرَّاعَ لِيَغِيظَ بِهِمُ ٱلْكُفَّارَ ۗ وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ مِنْهُم مَّغْفِرَةًۭ وَأَجْرًا عَظِيمًۢا",
              "translate_bn": "মুহাম্মদ আল্লাহর রসূল এবং তাঁর সহচরগণ কাফেরদের প্রতি কঠোর, নিজেদের মধ্যে পরস্পর সহানুভূতিশীল। আল্লাহর অনুগ্রহ ও সন্তুষ্টি কামনায় আপনি তাদেরকে রুকু ও সেজদারত দেখবেন। তাদের মুখমন্ডলে রয়েছে সেজদার চিহ্ন । তওরাতে তাদের অবস্থা এরূপ এবং ইঞ্জিলে তাদের অবস্থা যেমন একটি চারা গাছ যা থেকে নির্গত হয় কিশলয়, অতঃপর তা শক্ত ও মজবুত হয় এবং কান্ডের উপর দাঁড়ায় দৃঢ়ভাবে-চাষীকে আনন্দে অভিভুত করে-যাতে আল্লাহ তাদের দ্বারা কাফেরদের অন্তর্জালা সৃষ্টি করেন। তাদের মধ্যে যারা বিশ্বাস স্থাপন করে এবং সৎকর্ম করে, আল্লাহ তাদেরকে ক্ষমা ও মহাপুরস্কারের ওয়াদা দিয়েছেন।",
              "numberInSurah": 29,
              "juz": 26,
              "manzil": 6,
              "page": 515,
              "ruku": 449,
              "hizbQuarter": 205,
              "sajda": false,
              "pronunciation_bn": "মুহাম্মাদুর রাছূলুল্লা-হি ওয়াল্লাযীনা মা‘আহূআশিদ্দাউ ‘আলাল কুফফা-রি রুহামাউ বাইনাহুম তারা-হুম রুক্কা‘আন ছুজ্জাদাইঁ ইয়াবতাগূনা ফাদলাম মিনাল্লা-হি ওয়া রিদওয়ানান ছীমা-হুম ফী উজূহিহিম মিন আছারিছছু জূদ যা-লিকা মাছালুহুম ফিততাওরা-তি ওয়া মাছালুহুম ফিল ইনজিলি কাঝার ‘ইন আখরাজা শাতআহূ ফাআ-ঝারাহূফাছতাগলাজা ফাছতাওয়া-‘আলা-ছূকিহী ইউ’জিবুঝঝুররা-‘আ লিইয়াগীজা বিহিমুল কুফফা-রা ওয়া ‘আদাল্লা-হুল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি মিনহুম মাগফিরাতাওঁ ওয়া আজরান ‘আজীমা-।",
              "words_arabic": "مُحَمَّدٌ/مُّحَمَّدٞ/muhammadun//رَّسُوْلُ/رَّسُولُ/rasulu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مَعَهٗۤ/مَعَهُۥٓ/ma'ahu//اَشِدَّآءُ/أَشِدَّآءُ/ashiddau//عَلَی/عَلَى/ala//الْكُفَّارِ/ٱلۡكُفَّارِ/al-kufari//رُحَمَآءُ/رُحَمَآءُ/ruhamau//بَیْنَهُمْ/بَيۡنَهُمۡۖ/baynahum//تَرٰىهُمْ/تَرَىٰهُمۡ/tarahum//رُكَّعًا/رُكَّعٗا/rukka'an//سُجَّدًا/سُجَّدٗا/sujjadan//یَّبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//فَضْلًا/فَضۡلٗا/fadlan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رِضْوَانًا ؗ/وَرِضۡوَٰنٗاۖ/warid'wanan//سِیْمَاهُمْ/سِيمَاهُمۡ/simahum//فِیْ/فِي/fi//وُجُوْهِهِمْ/وُجُوهِهِم/wujuhihim//مِّنْ/مِّنۡ/min//اَثَرِ/أَثَرِ/athari//السُّجُوْدِ ؕ/ٱلسُّجُودِۚ/al-sujudi//ذٰلِكَ/ذَٰلِكَ/dhalika//مَثَلُهُمْ/مَثَلُهُمۡ/mathaluhum//فِی/فِي/fi//التَّوْرٰىةِ ۛۖۚ/ٱلتَّوۡرَىٰةِۚ/al-tawrati//وَ مَثَلُهُمْ/وَمَثَلُهُمۡ/wamathaluhum//فِی/فِي/fi//الْاِنْجِیْلِ ۛ۫ۚ/ٱلۡإِنجِيلِ/al-injili//كَزَرْعٍ/كَزَرۡعٍ/kazar'in//اَخْرَجَ/أَخۡرَجَ/akhraja//شَطْـَٔهٗ/شَطۡـَٔهُۥ/shatahu//فَاٰزَرَهٗ/فَـَٔازَرَهُۥ/faazarahu//فَاسْتَغْلَظَ/فَٱسۡتَغۡلَظَ/fa-is'taghlaza//فَاسْتَوٰی/فَٱسۡتَوَىٰ/fa-is'tawa//عَلٰی/عَلَىٰ/ala//سُوْقِهٖ/سُوقِهِۦ/suqihi//یُعْجِبُ/يُعۡجِبُ/yu'jibu//الزُّرَّاعَ/ٱلزُّرَّاعَ/al-zura'a//لِیَغِیْظَ/لِيَغِيظَ/liyaghiza//بِهِمُ/بِهِمُ/bihimu//الْكُفَّارَ ؕ/ٱلۡكُفَّارَۗ/al-kufara//وَعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//مِنْهُمْ/مِنۡهُم/min'hum//مَّغْفِرَةً/مَّغۡفِرَةٗ/maghfiratan//وَّ اَجْرًا/وَأَجۡرًا/wa-ajran//عَظِیْمًا۠/عَظِيمَۢا/aziman",
              "words_bangla": "মুহাম্মাদ//রাসুল//আল্লাহ্‌র//এবং যারা//তাঁর সাথে (আছে)//তারা কঠোর//বিরুদ্ধে//কাফিরদের//তারা সহানুভূতিশীল//তাদের (নিজেদের) মাঝে//তাদের দেখবে তুমি//রুকুকারী//সিজদাকারী হিসেবে//তারা সন্ধান করে//অনুগ্রহ//নিকট হতে//আল্লাহ্‌র//ও (তাঁর) সন্তুষ্টি//তাদের চিহ্ন (উজ্জ্বল হয়ে আছে)//মধ্যে//তাদের চেহারার//থেকে//প্রভাবে//সিজদাসমূহের//এই//তাদের গুণ পরিচয়//মধ্যে (রয়েছে)//তাওরাতের//এবং তাদের গুণ পরিচয়//মধ্যে (রয়েছে)//ইনজিলেরও//(তাদের) উপমা একটি চারাগাছের//(যা) নির্গত করে//তার অংকুর//এরপর তাকে শক্তিশালী করে//অতঃপর মোটা হয়//অতঃপর দৃঢ়ভাবে দাঁড়ায়//উপর//তার কাণ্ডের//আনন্দ দেয়//চাষীদেরকে//তিনি জ্বালা সৃষ্টি করেন যেন//তাদের কারণে//কাফিরদের//প্রতিশ্রুতি দিয়েছেন//আল্লাহ্‌//(তাদেরকে) যারা//ঈমান এনেছে//ও কাজ করেছে//সৎকর্ম//তাদের মধ্য হতে//ক্ষমা//ও পুরস্কার//মহা"
            }
          ]
        },
        {
          "number": 49,
          "name": "سُورَةُ الحُجُرَاتِ",
          "englishName": "Al-Hujuraat",
          "englishNameTranslation": "The Inner Apartments",
          "revelationType": "Medinan",
          "verse": 18,
          "words": 663,
          "chars": 2889,
          "ayahs": [
            {
              "number": 4613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4613.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُقَدِّمُوا۟ بَيْنَ يَدَىِ ٱللَّهِ وَرَسُولِهِۦ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌۭ",
              "translate_bn": "মুমিনগণ! তোমরা আল্লাহ ও রসূলের সামনে অগ্রণী হয়ো না এবং আল্লাহকে ভয় কর। নিশ্চয় আল্লাহ সবকিছু শুনেন ও জানেন।",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 6,
              "page": 515,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তুকাদ্দিমূবাইনা ইয়াদাইল্লা-হি ওয়া রাছূলিহী ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা ছামী‘উন ‘আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تُقَدِّمُوْا/تُقَدِّمُواْ/tuqaddimu//بَیْنَ/بَيۡنَ/bayna//یَدَیِ/يَدَيِ/yadayi//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦۖ/warasulihi//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌ/سَمِيعٌ/sami'un//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//না//তোমরা অগ্রসর হয়ো (কোন বিষয়ে)//আগে//আগে//আল্লাহর//ও তাঁর রাসুলের//এবং ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//সবকিছু শুনেন//সবকিছু জানেন"
            },
            {
              "number": 4614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4614.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَرْفَعُوٓا۟ أَصْوَٰتَكُمْ فَوْقَ صَوْتِ ٱلنَّبِىِّ وَلَا تَجْهَرُوا۟ لَهُۥ بِٱلْقَوْلِ كَجَهْرِ بَعْضِكُمْ لِبَعْضٍ أَن تَحْبَطَ أَعْمَٰلُكُمْ وَأَنتُمْ لَا تَشْعُرُونَ",
              "translate_bn": "মুমিনগণ! তোমরা নবীর কন্ঠস্বরের উপর তোমাদের কন্ঠস্বর উঁচু করো না এবং তোমরা একে অপরের সাথে যেরূপ উঁচুস্বরে কথা বল, তাঁর সাথে সেরূপ উঁচুস্বরে কথা বলো না। এতে তোমাদের কর্ম নিস্ফল হয়ে যাবে এবং তোমরা টেরও পাবে না।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 6,
              "page": 515,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূলা তারফা‘ঊআসওয়া-তাকুম ফাওকা সাওতিন্নাবিইয়ি ওয়ালা-তাজহারূলাহূবিলকাওলি কাজাহরি বা‘দিকুম লিবা‘দিন আন তাহবাতাআ‘মালুকুম ওয়া আনতুম লা-তাশ‘ঊরূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَرْفَعُوْۤا/تَرۡفَعُوٓاْ/tarfa'u//اَصْوَاتَكُمْ/أَصۡوَٰتَكُمۡ/aswatakum//فَوْقَ/فَوۡقَ/fawqa//صَوْتِ/صَوۡتِ/sawti//النَّبِیِّ/ٱلنَّبِيِّ/al-nabiyi//وَ لَا/وَلَا/wala//تَجْهَرُوْا/تَجۡهَرُواْ/tajharu//لَهٗ/لَهُۥ/lahu//بِالْقَوْلِ/بِٱلۡقَوۡلِ/bil-qawli//كَجَهْرِ/كَجَهۡرِ/kajahri//بَعْضِكُمْ/بَعۡضِكُمۡ/ba'dikum//لِبَعْضٍ/لِبَعۡضٍ/liba'din//اَنْ/أَن/an//تَحْبَطَ/تَحۡبَطَ/tahbata//اَعْمَالُكُمْ/أَعۡمَٰلُكُمۡ/a'malukum//وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//لَا/لَا/la//تَشْعُرُوْنَ /تَشۡعُرُونَ/tash'uruna",
              "words_bangla": "হে//যারা//ঈমান এনেছ//না//তোমরা উঁচু করো//তোমাদের কন্ঠস্বরকে//উপর//কন্ঠস্বরের//নবীর//এবং না//তোমরা উচ্চ করো (আওয়াজ)//তাঁর সাথে//কথা বলার ক্ষেত্রে//যেমন উচ্চ হয় (আওয়াজ)//তোমাদের একে//অপরের (সাথে)//(এমন না হয়) যে//নষ্ট হয়ে যায়//তোমাদের আমলগুলো//এবং তোমরা//না//টেরও পাবে"
            },
            {
              "number": 4615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4615.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَغُضُّونَ أَصْوَٰتَهُمْ عِندَ رَسُولِ ٱللَّهِ أُو۟لَٰٓئِكَ ٱلَّذِينَ ٱمْتَحَنَ ٱللَّهُ قُلُوبَهُمْ لِلتَّقْوَىٰ ۚ لَهُم مَّغْفِرَةٌۭ وَأَجْرٌ عَظِيمٌ",
              "translate_bn": "যারা আল্লাহর রসূলের সামনে নিজেদের কন্ঠস্বর নীচু করে, আল্লাহ তাদের অন্তরকে শিষ্টাচারের জন্যে শোধিত করেছেন। তাদের জন্যে রয়েছে ক্ষমা ও মহাপুরস্কার।",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 6,
              "page": 515,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াগুদ্দূনা আসওয়া-তাহুম ‘ইনদা রাছূলিল্লা-হি উলাইকাল্লাযীনাম তাহানাল্লাহু কুলূবাহুম লিত্তাকওয়া- লাহুম মাগফিরাতুওঁ ওয়া আজরুন ‘আজীম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَغُضُّوْنَ/يَغُضُّونَ/yaghudduna//اَصْوَاتَهُمْ/أَصۡوَٰتَهُمۡ/aswatahum//عِنْدَ/عِندَ/inda//رَسُوْلِ/رَسُولِ/rasuli//اللّٰهِ/ٱللَّهِ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الَّذِیْنَ/ٱلَّذِينَ/alladhina//امْتَحَنَ/ٱمۡتَحَنَ/im'tahana//اللّٰهُ/ٱللَّهُ/al-lahu//قُلُوْبَهُمْ/قُلُوبَهُمۡ/qulubahum//لِلتَّقْوٰی ؕ/لِلتَّقۡوَىٰۚ/lilttaqwa//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ اَجْرٌ/وَأَجۡرٌ/wa-ajrun//عَظِیْمٌ /عَظِيمٌ/azimun",
              "words_bangla": "নিশ্চয়ই//যারা//নিচু রাখে//তাদের আওয়াজ//নিকট//রাসুলের//আল্লাহর//ঐসব লোক//(তারাই) যাদের//যাচাই করে নিয়েছেন//আল্লাহ্//তাদের অন্তরসমূহকে//তাকওয়ার জন্য//তাদের জন্যে রয়েছে//ক্ষমা//ও পুরস্কার//মহা"
            },
            {
              "number": 4616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4616.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُنَادُونَكَ مِن وَرَآءِ ٱلْحُجُرَٰتِ أَكْثَرُهُمْ لَا يَعْقِلُونَ",
              "translate_bn": "যারা প্রাচীরের আড়াল থেকে আপনাকে উচুস্বরে ডাকে, তাদের অধিকাংশই অবুঝ।",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 6,
              "page": 515,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউনা-দূনাকা মিওঁ ওরাইল হুজূরা-তি আকছারুহুম লা-ইয়া‘কিলূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُنَادُوْنَكَ/يُنَادُونَكَ/yunadunaka//مِنْ/مِن/min//وَّرَآءِ/وَرَآءِ/warai//الْحُجُرٰتِ/ٱلۡحُجُرَٰتِ/al-hujurati//اَكْثَرُهُمْ/أَكۡثَرُهُمۡ/aktharuhum//لَا/لَا/la//یَعْقِلُوْنَ /يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "নিশ্চয়ই//যারা//তোমাকে ডাকাডাকি করে//হতে//পেছন//কক্ষের//তাদের অধিকাংশই//না//জ্ঞানবুদ্ধি রাখে"
            },
            {
              "number": 4617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4617.mp3"
              ],
              "text": "وَلَوْ أَنَّهُمْ صَبَرُوا۟ حَتَّىٰ تَخْرُجَ إِلَيْهِمْ لَكَانَ خَيْرًۭا لَّهُمْ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যদি তারা আপনার বের হয়ে তাদের কাছে আসা পর্যন্ত সবর করত, তবে তা-ই তাদের জন্যে মঙ্গলজনক হত। আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও আন্নাহুম সাবারূহাত্তা-তাখরুজা ইলাইহিম লাকা-না খাইরাল্লাহুম ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//اَنَّهُمْ/أَنَّهُمۡ/annahum//صَبَرُوْا/صَبَرُواْ/sabaru//حَتّٰی/حَتَّىٰ/hatta//تَخْرُجَ/تَخۡرُجَ/takhruja//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//لَكَانَ/لَكَانَ/lakana//خَیْرًا/خَيۡرٗا/khayran//لَّهُمْ ؕ/لَّهُمۡۚ/lahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "এবং যদি (এমন হতো)//যে তারা//ধৈর্য ধরত//যতক্ষণ না//তুমি বের হতে//তাদের দিকে//হতো অবশ্যই//উত্তম//তাদের জন্যে//এবং আল্লাহ্//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 4618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4618.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن جَآءَكُمْ فَاسِقٌۢ بِنَبَإٍۢ فَتَبَيَّنُوٓا۟ أَن تُصِيبُوا۟ قَوْمًۢا بِجَهَٰلَةٍۢ فَتُصْبِحُوا۟ عَلَىٰ مَا فَعَلْتُمْ نَٰدِمِينَ",
              "translate_bn": "মুমিনগণ! যদি কোন পাপাচারী ব্যক্তি তোমাদের কাছে কোন সংবাদ আনয়ন করে, তবে তোমরা পরীক্ষা করে দেখবে, যাতে অজ্ঞতাবশতঃ তোমরা কোন সম্প্রদায়ের ক্ষতিসাধনে প্রবৃত্ত না হও এবং পরে নিজেদের কৃতকর্মের জন্যে অনুতপ্ত না হও।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইন জাআকুম ফা-ছিকু ম বিনাবাইন ফাতাবাইয়ানূআন তুসীবূকাওমাম বিজাহা-লাতিন ফাতুসবিহূ‘আলা-মা-ফা‘আলতুম না-দিমীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنْ/إِن/in//جَآءَكُمْ/جَآءَكُمۡ/jaakum//فَاسِقٌۢ/فَاسِقُۢ/fasiqun//بِنَبَاٍ/بِنَبَإٖ/binaba-in//فَتَبَیَّنُوْۤا/فَتَبَيَّنُوٓاْ/fatabayyanu//اَنْ/أَن/an//تُصِیْبُوْا/تُصِيبُواْ/tusibu//قَوْمًۢا/قَوۡمَۢا/qawman//بِجَهَالَةٍ/بِجَهَٰلَةٖ/bijahalatin//فَتُصْبِحُوْا/فَتُصۡبِحُواْ/fatus'bihu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَعَلْتُمْ/فَعَلۡتُمۡ/fa'altum//نٰدِمِیْنَ /نَٰدِمِينَ/nadimina",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যদি//তোমাদের কাছে আসে//কোনো সত্যত্যাগী//কোনো খবর নিয়ে//তোমরা তখন পরীক্ষা করো//(এমন না হয়) যে//তোমরা ক্ষতি করে বস//সম্প্রদায়কে//অজ্ঞতার কারণে//তাহলে//জন্য//যা//তোমরা করেছ//অনুতাপকারী/ লজ্জিত"
            },
            {
              "number": 4619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4619.mp3"
              ],
              "text": "وَٱعْلَمُوٓا۟ أَنَّ فِيكُمْ رَسُولَ ٱللَّهِ ۚ لَوْ يُطِيعُكُمْ فِى كَثِيرٍۢ مِّنَ ٱلْأَمْرِ لَعَنِتُّمْ وَلَٰكِنَّ ٱللَّهَ حَبَّبَ إِلَيْكُمُ ٱلْإِيمَٰنَ وَزَيَّنَهُۥ فِى قُلُوبِكُمْ وَكَرَّهَ إِلَيْكُمُ ٱلْكُفْرَ وَٱلْفُسُوقَ وَٱلْعِصْيَانَ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلرَّٰشِدُونَ",
              "translate_bn": "তোমরা জেনে রাখ তোমাদের মধ্যে আল্লাহর রসূল রয়েছেন। তিনি যদি অনেক বিষয়ে তোমাদের আবদার মেনে নেন, তবে তোমরাই কষ্ট পাবে। কিন্তু আল্লাহ তোমাদের অন্তরে ঈমানের মহব্বত সৃষ্টি করে দিয়েছেন এবং তা হৃদয়গ্রাহী করে দিয়েছেন। পক্ষান্তরে কুফর, পাপাচার ও নাফরমানীর প্রতি ঘৃণা সৃষ্টি করে দিয়েছেন। তারাই সৎপথ অবলম্বনকারী।",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ওয়া‘লামূআন্না ফীকুম রাছূলল্লা-হি লাও ইউতী‘উকুম ফী কাছীরিম মিনাল আমরি লা‘আনিত্তুম ওয়ালা-কিন্নাল্লা-হা হাব্বাবা ইলাইকুমুল ঈমা-না ওয়া ঝাইয়ানাহূফী কুলূবিকুম ওয়া কাররাহা ইলাইকুমুল কুফরা ওয়ালফুছূকা ওয়াল ‘ইসইয়া-না উলাইকা হুমুররাশিদূ ন।",
              "words_arabic": "وَ اعْلَمُوْۤا/وَٱعۡلَمُوٓاْ/wa-i'lamu//اَنَّ/أَنَّ/anna//فِیْكُمْ/فِيكُمۡ/fikum//رَسُوْلَ/رَسُولَ/rasula//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//لَوْ/لَوۡ/law//یُطِیْعُكُمْ/يُطِيعُكُمۡ/yuti'ukum//فِیْ/فِي/fi//كَثِیْرٍ/كَثِيرٖ/kathirin//مِّنَ/مِّنَ/mina//الْاَمْرِ/ٱلۡأَمۡرِ/al-amri//لَعَنِتُّمْ/لَعَنِتُّمۡ/la'anittum//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//حَبَّبَ/حَبَّبَ/habbaba//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//الْاِیْمَانَ/ٱلۡإِيمَٰنَ/al-imana//وَ زَیَّنَهٗ/وَزَيَّنَهُۥ/wazayyanahu//فِیْ/فِي/fi//قُلُوْبِكُمْ/قُلُوبِكُمۡ/qulubikum//وَ كَرَّهَ/وَكَرَّهَ/wakarraha//اِلَیْكُمُ/إِلَيۡكُمُ/ilaykumu//الْكُفْرَ/ٱلۡكُفۡرَ/al-kuf'ra//وَ الْفُسُوْقَ/وَٱلۡفُسُوقَ/wal-fusuqa//وَ الْعِصْیَانَ ؕ/وَٱلۡعِصۡيَانَۚ/wal-'is'yana//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الرّٰشِدُوْنَۙ/ٱلرَّـٰشِدُونَ/al-rashiduna",
              "words_bangla": "এবং তোমরা জেনে রাখ//যে//তোমাদের মধ্যে (আছে)//রাসুল//আল্লাহর//যদি//তোমাদের মেনে নেয় সে//ভাগ//বেশির//থেকে//ব্যাপারে//তোমরা অবশ্যই কষ্ট পাবে//কিন্তু//আল্লাহ//প্রিয় করেছেন//তোমাদের কাছে//ঈমানকে//এবং তা শোভন করে দিয়েছেন//মধ্যে//তোমাদের অন্তরের//এবং অপ্রিয় করে দিয়েছেন//তোমাদের কাছে//কুফরী/ অবিশ্বাস//ও সত্যত্যাগ//এবং অবাধ্যতা (প্রতি)//এসব লোক//তারাই//সঠিক পথগামী"
            },
            {
              "number": 4620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4620.mp3"
              ],
              "text": "فَضْلًۭا مِّنَ ٱللَّهِ وَنِعْمَةًۭ ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "এটা আল্লাহর কৃপা ও নিয়ামতঃ আল্লাহ সর্বজ্ঞ প্রজ্ঞাময়।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ফাদলাম মিনাল্লা-হি ওয়া নি‘মাতাওঁ ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "فَضْلًا/فَضۡلٗا/fadlan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ نِعْمَةً ؕ/وَنِعۡمَةٗۚ/wani'matan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "অনুগ্রহে//পক্ষ হতে//আল্লাহর//ও (তাঁর) অনুগ্রহ//এবং আল্লাহ//সবকিছু জানেন//প্রজ্ঞাময়"
            },
            {
              "number": 4621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4621.mp3"
              ],
              "text": "وَإِن طَآئِفَتَانِ مِنَ ٱلْمُؤْمِنِينَ ٱقْتَتَلُوا۟ فَأَصْلِحُوا۟ بَيْنَهُمَا ۖ فَإِنۢ بَغَتْ إِحْدَىٰهُمَا عَلَى ٱلْأُخْرَىٰ فَقَٰتِلُوا۟ ٱلَّتِى تَبْغِى حَتَّىٰ تَفِىٓءَ إِلَىٰٓ أَمْرِ ٱللَّهِ ۚ فَإِن فَآءَتْ فَأَصْلِحُوا۟ بَيْنَهُمَا بِٱلْعَدْلِ وَأَقْسِطُوٓا۟ ۖ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ",
              "translate_bn": "যদি মুমিনদের দুই দল যুদ্ধে লিপ্ত হয়ে পড়ে, তবে তোমরা তাদের মধ্যে মীমাংসা করে দিবে। অতঃপর যদি তাদের একদল অপর দলের উপর চড়াও হয়, তবে তোমরা আক্রমণকারী দলের বিরুদ্ধে যুদ্ধ করবে; যে পর্যন্ত না তারা আল্লাহর নির্দেশের দিকে ফিরে আসে। যদি ফিরে আসে, তবে তোমরা তাদের মধ্যে ন্যায়ানুগ পন্থায় মীমাংসা করে দিবে এবং ইনছাফ করবে। নিশ্চয় আল্লাহ ইনছাফকারীদেরকে পছন্দ করেন।",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন তাইফাতা-নি মিনাল মু‘মিনীনাকতাতালূফাআসলিহূ বাইনাহুমা- ফাইম বাগাত ‘ইহদা-হুমা-‘আলাল উখরা-ফাকা-তিলুল্লাতী তাবগী হাত্তা তাফীআ ইলা আমরিল্লা-হি ফাইন ফাআত ফাআসলিহূবাইনাহুমা-বিল ‘আদলি ওয়া আকছিতূ ইন্নাল্লা-হা ইউহিব্বুল মুকছিতীন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//طَآىِٕفَتٰنِ/طَآئِفَتَانِ/taifatani//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//اقْتَتَلُوْا/ٱقۡتَتَلُواْ/iq'tatalu//فَاَصْلِحُوْا/فَأَصۡلِحُواْ/fa-aslihu//بَیْنَهُمَا ۚ/بَيۡنَهُمَاۖ/baynahuma//فَاِنْۢ/فَإِنۢ/fa-in//بَغَتْ/بَغَتۡ/baghat//اِحْدٰىهُمَا/إِحۡدَىٰهُمَا/ih'dahuma//عَلَی/عَلَى/ala//الْاُخْرٰی/ٱلۡأُخۡرَىٰ/al-ukh'ra//فَقَاتِلُوا/فَقَٰتِلُواْ/faqatilu//الَّتِیْ/ٱلَّتِي/allati//تَبْغِیْ/تَبۡغِي/tabghi//حَتّٰی/حَتَّىٰ/hatta//تَفِیْٓءَ/تَفِيٓءَ/tafia//اِلٰۤی/إِلَىٰٓ/ila//اَمْرِ/أَمۡرِ/amri//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//فَاِنْ/فَإِن/fa-in//فَآءَتْ/فَآءَتۡ/faat//فَاَصْلِحُوْا/فَأَصۡلِحُواْ/fa-aslihu//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//بِالْعَدْلِ/بِٱلۡعَدۡلِ/bil-'adli//وَ اَقْسِطُوْا ؕ/وَأَقۡسِطُوٓاْۖ/wa-aqsitu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُقْسِطِیْنَ /ٱلۡمُقۡسِطِينَ/al-muq'sitina",
              "words_bangla": "এবং যদি//দুটি দল//মধ্য হতে//মু'মিনদের//পরস্পরে যুদ্ধে লিপ্ত হয়//তবে তোমরা  মীমাংসা করে দাও//তাদের উভয়ের মাঝে//যদি অতঃপর//সীমালংঘন করে//তাদের একদল//বিরুদ্ধে//অন্যের//তবে তোমরা  যুদ্ধ করো//(তার বিরুদ্ধে) যে//সীমালংঘন করে//যতক্ষণ না//ফিরে আসে//দিকে//নির্দেশের//আল্লাহর//যদি অতঃপর//ফিরে আসে//তবে তোমরা মীমাংসা করে দাও//তাদের উভয়ের মাঝে//ন্যায়ানুগভাবে//এবং তোমরা সুবিচার করো//নিশ্চয়ই//আল্লাহ//পছন্দ করেন//সুবিচারকারীদেরকে"
            },
            {
              "number": 4622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4622.mp3"
              ],
              "text": "إِنَّمَا ٱلْمُؤْمِنُونَ إِخْوَةٌۭ فَأَصْلِحُوا۟ بَيْنَ أَخَوَيْكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُرْحَمُونَ",
              "translate_bn": "মুমিনরা তো পরস্পর ভাই-ভাই। অতএব, তোমরা তোমাদের দুই ভাইয়ের মধ্যে মীমাংসা করবে এবং আল্লাহকে ভয় করবে-যাতে তোমরা অনুগ্রহপ্রাপ্ত হও।",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 450,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাল মু’মিনূনা ইখওয়াতুন ফাআসলিহূবাইনা আখাওয়াইকুম ওয়াত্তাকুল্লা-হা লা‘আল্লাকুম তুরহামূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//اِخْوَةٌ/إِخۡوَةٞ/ikh'watun//فَاَصْلِحُوْا/فَأَصۡلِحُواْ/fa-aslihu//بَیْنَ/بَيۡنَ/bayna//اَخَوَیْكُمْ/أَخَوَيۡكُمۡۚ/akhawaykum//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تُرْحَمُوْنَ۠/تُرۡحَمُونَ/tur'hamuna",
              "words_bangla": "প্রকৃতপক্ষে//মু'মিনরা//(পরস্পরে) ভাই ভাই//অতএব তোমরা  মীমাংসা করে দাও//মাঝে//তোমাদের দুই ভাইয়ের//এবং তোমরা ভয় করো//আল্লাহকে//তোমাদের উপর সম্ভবতঃ//অনুগ্রহ করা হবে"
            },
            {
              "number": 4623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4623.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا يَسْخَرْ قَوْمٌۭ مِّن قَوْمٍ عَسَىٰٓ أَن يَكُونُوا۟ خَيْرًۭا مِّنْهُمْ وَلَا نِسَآءٌۭ مِّن نِّسَآءٍ عَسَىٰٓ أَن يَكُنَّ خَيْرًۭا مِّنْهُنَّ ۖ وَلَا تَلْمِزُوٓا۟ أَنفُسَكُمْ وَلَا تَنَابَزُوا۟ بِٱلْأَلْقَٰبِ ۖ بِئْسَ ٱلِٱسْمُ ٱلْفُسُوقُ بَعْدَ ٱلْإِيمَٰنِ ۚ وَمَن لَّمْ يَتُبْ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "মুমিনগণ, কেউ যেন অপর কাউকে উপহাস না করে। কেননা, সে উপহাসকারী অপেক্ষা উত্তম হতে পারে এবং কোন নারী অপর নারীকেও যেন উপহাস না করে। কেননা, সে উপহাসকারিণী অপেক্ষা শ্রেষ্ঠ হতে পারে। তোমরা একে অপরের প্রতি দোষারোপ করো না এবং একে অপরকে মন্দ নামে ডেকো না। কেউ বিশ্বাস স্থাপন করলে তাদের মন্দ নামে ডাকা গোনাহ। যারা এহেন কাজ থেকে তওবা না করে তারাই যালেম।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 6,
              "page": 516,
              "ruku": 451,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূলা ইয়াছখার কাওমুম মিন কাওমিন ‘আছাআইঁ ইয়াকূনূ খাইরামমিনহুম ওয়ালা-নিছাউম মিননিছাইন ‘আছাআইঁ ইয়াকুন্না খাইরাম মিনহুন্না ওয়ালা-তালমিঝূআনফুছাকুম ওয়ালা-তানা-বাঝূবিলআলকা-ব বি’ছাল ইছমুল ফুছূকুবা‘দাল ঈমা-নি ওয়া মাল্লাম ইয়াতুব ফাউলাইকা হুমুজ্জা-লিমূন।\r\n",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//یَسْخَرْ/يَسۡخَرۡ/yaskhar//قَوْمٌ/قَوۡمٞ/qawmun//مِّنْ/مِّن/min//قَوْمٍ/قَوۡمٍ/qawmin//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّكُوْنُوْا/يَكُونُواْ/yakunu//خَیْرًا/خَيۡرٗا/khayran//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//وَ لَا/وَلَا/wala//نِسَآءٌ/نِسَآءٞ/nisaon//مِّنْ/مِّن/min//نِّسَآءٍ/نِّسَآءٍ/nisain//عَسٰۤی/عَسَىٰٓ/asa//اَنْ/أَن/an//یَّكُنَّ/يَكُنَّ/yakunna//خَیْرًا/خَيۡرٗا/khayran//مِّنْهُنَّ ۚ/مِّنۡهُنَّۖ/min'hunna//وَ لَا/وَلَا/wala//تَلْمِزُوْۤا/تَلۡمِزُوٓاْ/talmizu//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//وَ لَا/وَلَا/wala//تَنَابَزُوْا/تَنَابَزُواْ/tanabazu//بِالْاَلْقَابِ ؕ/بِٱلۡأَلۡقَٰبِۖ/bil-alqabi//بِئْسَ/بِئۡسَ/bi'sa//الِاسْمُ/ٱلِٱسۡمُ/al-s'mu//الْفُسُوْقُ/ٱلۡفُسُوقُ/al-fusuqu//بَعْدَ/بَعۡدَ/ba'da//الْاِیْمَانِ ۚ/ٱلۡإِيمَٰنِۚ/al-imani//وَ مَنْ/وَمَن/waman//لَّمْ/لَّمۡ/lam//یَتُبْ/يَتُبۡ/yatub//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "হে//যারা//ঈমান এনেছ//না//উপহাস করে (যেন)//কোনো পুরুষ//মধ্য থেকে//(অন্য) কোনো পুরুষের//হয়তো (যাদের বিদ্রুপ করা হচ্ছে)//যে//তারা হবে//উত্তম//তাদের চেয়ে//আর না//মহিলারা//মধ্য থেকে//(অন্য) মহিলাদের//হয়তো//যে//তারা হবে//উত্তম//তাদের চেয়ে//এবং না//তোমরা দোষারোপ করো//তোমাদের নিজেদেরকে//এবং না//তোমরা ডেকো পরস্পরে//(মন্দ) উপনামে//অত্যন্ত খারাপ ব্যাপার//নামযুক্ত হওয়া//অন্যায় (কাজে)//পরে//ঈমান (গ্রহণের)//এবং যে//না//বিরত থাকে//তবে ঐসব লোক//তারাই//সীমালঙ্ঘঙ্কারী"
            },
            {
              "number": 4624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4624.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱجْتَنِبُوا۟ كَثِيرًۭا مِّنَ ٱلظَّنِّ إِنَّ بَعْضَ ٱلظَّنِّ إِثْمٌۭ ۖ وَلَا تَجَسَّسُوا۟ وَلَا يَغْتَب بَّعْضُكُم بَعْضًا ۚ أَيُحِبُّ أَحَدُكُمْ أَن يَأْكُلَ لَحْمَ أَخِيهِ مَيْتًۭا فَكَرِهْتُمُوهُ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ تَوَّابٌۭ رَّحِيمٌۭ",
              "translate_bn": "মুমিনগণ, তোমরা অনেক ধারণা থেকে বেঁচে থাক। নিশ্চয় কতক ধারণা গোনাহ। এবং গোপনীয় বিষয় সন্ধান করো না। তোমাদের কেউ যেন কারও পশ্চাতে নিন্দা না করে। তোমাদের কেউ কি তারা মৃত ভ্রাতার মাংস ভক্ষণ করা পছন্দ করবে? বস্তুতঃ তোমরা তো একে ঘৃণাই কর। আল্লাহকে ভয় কর। নিশ্চয় আল্লাহ তওবা কবুলকারী, পরম দয়ালু।",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুজতানিবূ কাছীরাম মিনাজ্জান্নি ইন্না বা‘দাজ্জান্নি ইছমুওঁ ওয়ালা-তাজাছছাছূওয়ালা-ইয়াছতাব বা‘দুকুম বা‘দান আইউহিব্বু আহাদুকুম আইঁ ইয়া’কুলা লাহমা আখীহি মাইতান ফাকারিহতুমূহু ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা তাওওয়া-বুর রাহীম।\r\n",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اجْتَنِبُوْا/ٱجۡتَنِبُواْ/ij'tanibu//كَثِیْرًا/كَثِيرٗا/kathiran//مِّنَ/مِّنَ/mina//الظَّنِّ ؗ/ٱلظَّنِّ/al-zani//اِنَّ/إِنَّ/inna//بَعْضَ/بَعۡضَ/ba'da//الظَّنِّ/ٱلظَّنِّ/al-zani//اِثْمٌ/إِثۡمٞۖ/ith'mun//وَّ لَا/وَلَا/wala//تَجَسَّسُوْا/تَجَسَّسُواْ/tajassasu//وَ لَا/وَلَا/wala//یَغْتَبْ/يَغۡتَب/yaghtab//بَّعْضُكُمْ/بَّعۡضُكُم/ba'dukum//بَعْضًا ؕ/بَعۡضًاۚ/ba'dan//اَیُحِبُّ/أَيُحِبُّ/ayuhibbu//اَحَدُكُمْ/أَحَدُكُمۡ/ahadukum//اَنْ/أَن/an//یَّاْكُلَ/يَأۡكُلَ/yakula//لَحْمَ/لَحۡمَ/lahma//اَخِیْهِ/أَخِيهِ/akhihi//مَیْتًا/مَيۡتٗا/maytan//فَكَرِهْتُمُوْهُ ؕ/فَكَرِهۡتُمُوهُۚ/fakarih'tumuhu//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//تَوَّابٌ/تَوَّابٞ/tawwabun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//দূরে থাক//অত্যাধিক//হতে//অনুমান করা//নিশ্চয়ই//কিছু//অনুমান//পাপ//এবং না//তোমরা দোষ খোঁজ করো//এবং না//নিন্দা করো//তোমাদের কেউ//কাউকে//পছন্দ করে কি//তোমাদের কেউ//যে//সে খাবে//গোশত//তার ভাইয়ের//(যে) মৃত//বস্তুতঃ তা তোমরা ঘৃণাই কর//এবং তোমরা ভয় করো//আল্লাহকে//নিশ্চয়ই//আল্লাহ//তওবা কবুলকারী//পরম দয়ালু"
            },
            {
              "number": 4625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4625.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّاسُ إِنَّا خَلَقْنَٰكُم مِّن ذَكَرٍۢ وَأُنثَىٰ وَجَعَلْنَٰكُمْ شُعُوبًۭا وَقَبَآئِلَ لِتَعَارَفُوٓا۟ ۚ إِنَّ أَكْرَمَكُمْ عِندَ ٱللَّهِ أَتْقَىٰكُمْ ۚ إِنَّ ٱللَّهَ عَلِيمٌ خَبِيرٌۭ",
              "translate_bn": "হে মানব, আমি তোমাদেরকে এক পুরুষ ও এক নারী থেকে সৃষ্টি করেছি এবং তোমাদেরকে বিভিন্ন জাতি ও গোত্রে বিভক্ত করেছি, যাতে তোমরা পরস্পরে পরিচিতি হও। নিশ্চয় আল্লাহর কাছে সে-ই সর্বাধিক সম্ভ্রান্ত যে সর্বাধিক পরহেযগার। নিশ্চয় আল্লাহ সর্বজ্ঞ, সবকিছুর খবর রাখেন।",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 206,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্না-ছুইন্না-খালাকনা-কুম মিন যাকারিওঁ ওয়া উনছা-ওয়া জা‘আলনা-কুম শু‘ঊবাওঁ ওয়া কাবাইলা লিতা‘আ-রাফূ ইন্না আকরামাকুম ‘ইনদাল্লা-হি আতকা-কুম ইন্নাল্লা-হা ‘আলীমুন খাবীর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّاسُ/ٱلنَّاسُ/al-nasu//اِنَّا/إِنَّا/inna//خَلَقْنٰكُمْ/خَلَقۡنَٰكُم/khalaqnakum//مِّنْ/مِّن/min//ذَكَرٍ/ذَكَرٖ/dhakarin//وَّ اُنْثٰی/وَأُنثَىٰ/wa-untha//وَ جَعَلْنٰكُمْ/وَجَعَلۡنَٰكُمۡ/waja'alnakum//شُعُوْبًا/شُعُوبٗا/shu'uban//وَّ قَبَآىِٕلَ/وَقَبَآئِلَ/waqabaila//لِتَعَارَفُوْا ؕ/لِتَعَارَفُوٓاْۚ/lita'arafu//اِنَّ/إِنَّ/inna//اَكْرَمَكُمْ/أَكۡرَمَكُمۡ/akramakum//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//اَتْقٰىكُمْ ؕ/أَتۡقَىٰكُمۡۚ/atqakum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//عَلِیْمٌ/عَلِيمٌ/alimun//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "হে//মানুষ//নিশ্চয়ই//আমরা তোমাদেরকে সৃষ্টি করেছি//হতে//এক পুরুষ//ও এক মহিলা//এবং আমরা তোমাদেরকে  বিভক্ত করেছি//বিভিন্ন সম্প্রদায়//ও (বিভিন্ন) গোত্রে//যাতে তোমরা একে অপরের সাথে পরিচিত হতে পার//নিশ্চয়ই//তোমাদের মধ্যে বেশি মর্যাদাসম্পন্ন//নিকট//আল্লাহর//তোমাদের মধ্যে যে সর্বাধিক মুত্তাকি//নিশ্চয়ই//আল্লাহ//সবকিছু জানেন//খুব অবহিত"
            },
            {
              "number": 4626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4626.mp3"
              ],
              "text": "۞ قَالَتِ ٱلْأَعْرَابُ ءَامَنَّا ۖ قُل لَّمْ تُؤْمِنُوا۟ وَلَٰكِن قُولُوٓا۟ أَسْلَمْنَا وَلَمَّا يَدْخُلِ ٱلْإِيمَٰنُ فِى قُلُوبِكُمْ ۖ وَإِن تُطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ لَا يَلِتْكُم مِّنْ أَعْمَٰلِكُمْ شَيْـًٔا ۚ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "মরুবাসীরা বলেঃ আমরা বিশ্বাস স্থাপন করেছি। বলুনঃ তোমরা বিশ্বাস স্থাপন করনি; বরং বল, আমরা বশ্যতা স্বীকার করেছি। এখনও তোমাদের অন্তরে বিশ্বাস জন্মেনি। যদি তোমরা আল্লাহ ও তাঁর রসূলের আনুগত্য কর, তবে তোমাদের কর্ম বিন্দুমাত্রও নিস্ফল করা হবে না। নিশ্চয়, আল্লাহ ক্ষমাশীল, পরম মেহেরবান।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "কা-লাতিল আ‘রা-বুআ-মান্না- কুল লাম তু’মিনূওয়ালা-কিন কু লূআছলামনাওয়ালাম্মা-ইয়াদখুলিল ঈমা-নুফী কুলূবিকুম ওয়াইন তুতী‘উল্লা-হা ওয়া রাছূলাহূলাইয়ালিতকুম মিন আ‘মা-লিকুম শাইয়ান ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "قَالَتِ/۞قَالَتِ/qalati//الْاَعْرَابُ/ٱلۡأَعۡرَابُ/al-a'rabu//اٰمَنَّا ؕ/ءَامَنَّاۖ/amanna//قُلْ/قُل/qul//لَّمْ/لَّمۡ/lam//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//وَ لٰكِنْ/وَلَٰكِن/walakin//قُوْلُوْۤا/قُولُوٓاْ/qulu//اَسْلَمْنَا/أَسۡلَمۡنَا/aslamna//وَ لَمَّا/وَلَمَّا/walamma//یَدْخُلِ/يَدۡخُلِ/yadkhuli//الْاِیْمَانُ/ٱلۡإِيمَٰنُ/al-imanu//فِیْ/فِي/fi//قُلُوْبِكُمْ ؕ/قُلُوبِكُمۡۖ/qulubikum//وَ اِنْ/وَإِن/wa-in//تُطِیْعُوا/تُطِيعُواْ/tuti'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//لَا/لَا/la//یَلِتْكُمْ/يَلِتۡكُم/yalit'kum//مِّنْ/مِّنۡ/min//اَعْمَالِكُمْ/أَعۡمَٰلِكُمۡ/a'malikum//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "বলে//মরুবাসীরা//\"আমরা ঈমান এনেছি\"//বলো//\"নি//তোমরা ঈমান আনো//বরং//তোমরা বলো//\"আমরা বশ্যতা স্বীকার করেছি\"//এবং এখনও না//প্রবেশ করেছে//ঈমান//মধ্যে//তোমাদের অন্তরসমূহের//এবং যদি//তোমরা আনুগত্য করো//আল্লাহর//ও তাঁর রাসুলের//না//তোমাদের কম করবেন (প্রতিফল দানে)//থেকে//তোমাদের কর্মসমূহের//কিছুমাত্র//নিশ্চয়ই//আল্লাহ//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 4627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4627.mp3"
              ],
              "text": "إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ثُمَّ لَمْ يَرْتَابُوا۟ وَجَٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلصَّٰدِقُونَ",
              "translate_bn": "তারাই মুমিন, যারা আল্লাহ ও তাঁর রসূলের প্রতি ঈমান আনার পর সন্দেহ পোষণ করে না এবং আল্লাহর পথে প্রাণ ও ধন-সম্পদ দ্বারা জেহাদ করে। তারাই সত্যনিষ্ঠ।",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাল মু’মিনূনাল্লাযীনা আ-মানূবিল্লা-হি ওয়া রাছূলিহী ছুম্মা লাম ইয়ারতা-বূওয়া জাহাদূবিআমওয়া-লিহিম ওয়া আনফুছিহিম ফী ছাবিলিল্লা-হি উলাইকা হুমুসসা-দিকূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//الْمُؤْمِنُوْنَ/ٱلۡمُؤۡمِنُونَ/al-mu'minuna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//یَرْتَابُوْا/يَرۡتَابُواْ/yartabu//وَ جٰهَدُوْا/وَجَٰهَدُواْ/wajahadu//بِاَمْوَالِهِمْ/بِأَمۡوَٰلِهِمۡ/bi-amwalihim//وَ اَنْفُسِهِمْ/وَأَنفُسِهِمۡ/wa-anfusihim//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الصّٰدِقُوْنَ /ٱلصَّـٰدِقُونَ/al-sadiquna",
              "words_bangla": "প্রকৃতপক্ষে//(তারাই) মু'মিন//যারা//ঈমান এনেছে//আল্লাহর উপর//ও তাঁর রাসুলের (উপর)//পরে//নি//তারা সন্দেহ করে//এবং তারা জিহাদ করেছে//তাদের ধনসম্পদ দিয়ে//এবং তাদের জানজীবন (দিয়ে)//মধ্যে//পথের//আল্লাহর//ঐসব লোক//তারাই//সত্যবাদী\""
            },
            {
              "number": 4628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4628.mp3"
              ],
              "text": "قُلْ أَتُعَلِّمُونَ ٱللَّهَ بِدِينِكُمْ وَٱللَّهُ يَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "বলুনঃ তোমরা কি তোমাদের ধর্ম পরায়ণতা সম্পর্কে আল্লাহকে অবহিত করছ? অথচ আল্লাহ জানেন যা কিছু আছে ভূমন্ডলে এবং যা কিছু আছে নভোমন্ডলে। আল্লাহ সর্ববিষয়ে সম্যক জ্ঞাত।",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "কুল আতু‘আলিল মূনাল্লা-হা বিদীনিকুম ওয়াল্লা-হু ইয়া‘লামুমা-ফিছ ছামা-ওয়া-তি ওয়ামাফিল আরদি ওয়াল্লা-হু বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَتُعَلِّمُوْنَ/أَتُعَلِّمُونَ/atu'allimuna//اللّٰهَ/ٱللَّهَ/al-laha//بِدِیْنِكُمْ ؕ/بِدِينِكُمۡ/bidinikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۚ/al-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "(হে নবী) বলো//\"তোমরা কি জানাচ্ছ//আল্লাহকে//তোমাদের দীন (পালন) সম্পর্কে//অথচ আল্লাহ//জানেন//যা কিছু//মধ্যে (আছে)//আকাশসমূহের//ও যা কিছু//মধ্যে (আছে)//পৃথিবীর//এবং আল্লাহ//সম্পর্কে//সব জিনিসের//খুব জানেন\""
            },
            {
              "number": 4629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4629.mp3"
              ],
              "text": "يَمُنُّونَ عَلَيْكَ أَنْ أَسْلَمُوا۟ ۖ قُل لَّا تَمُنُّوا۟ عَلَىَّ إِسْلَٰمَكُم ۖ بَلِ ٱللَّهُ يَمُنُّ عَلَيْكُمْ أَنْ هَدَىٰكُمْ لِلْإِيمَٰنِ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তারা মুসলমান হয়ে আপনাকে ধন্য করেছে মনে করে। বলুন, তোমরা মুসলমান হয়ে আমাকে ধন্য করেছ মনে করো না। বরং আল্লাহ ঈমানের পথে পরিচালিত করে তোমাদেরকে ধন্য করেছেন, যদি তোমরা সত্যনিষ্ঠ হয়ে থাক।",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ইয়ামুন্নুনা ‘আলাইকা আন আছলামূ কুল লা-তামুন্নূ‘আলাইইয়া ইছলা-মাকুম বালিল্লাহু ইয়ামুন্নু‘আলাইকুম আন হাদা-কুম লিলঈমা-নি ইন কুনতুম সা-দিকীন।",
              "words_arabic": "یَمُنُّوْنَ/يَمُنُّونَ/yamunnuna//عَلَیْكَ/عَلَيۡكَ/alayka//اَنْ/أَنۡ/an//اَسْلَمُوْا ؕ/أَسۡلَمُواْۖ/aslamu//قُلْ/قُل/qul//لَّا/لَّا/la//تَمُنُّوْا/تَمُنُّواْ/tamunnu//عَلَیَّ/عَلَيَّ/alayya//اِسْلَامَكُمْ ۚ/إِسۡلَٰمَكُمۖ/is'lamakum//بَلِ/بَلِ/bali//اللّٰهُ/ٱللَّهُ/al-lahu//یَمُنُّ/يَمُنُّ/yamunnu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَنْ/أَنۡ/an//هَدٰىكُمْ/هَدَىٰكُمۡ/hadakum//لِلْاِیْمَانِ/لِلۡإِيمَٰنِ/lil'imani//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "তারা অনুগ্রহ প্রকাশ করে//তোমার প্রতি//যে//তারা ইসলাম গ্রহণ করেছে//বলো//\"না//তোমরা অনুগ্রহ বলে মনে করো//আমার প্রতি//তোমাদের ইসলাম গ্রহণের//বরং//আল্লাহ//অনুগ্রহ করেছেন//তোমাদের উপর//যে//তিনি তোমাদেরকে পথ দেখিয়েছেন//ঈমানের দিকে//যদি//তোমরা হও//সত্যবাদী (ঈমানের দাবিতে)"
            },
            {
              "number": 4630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4630.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يَعْلَمُ غَيْبَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَٱللَّهُ بَصِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "আল্লাহ নভোমন্ডল ও ভূমন্ডলের অদৃশ্য বিষয় জানেন, তোমরা যা কর আল্লাহ তা দেখেন।",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 6,
              "page": 517,
              "ruku": 451,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইয়া‘লামুগাইবাছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াল্লা-হু বাসীরুম বিমাতা‘মালূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//غَیْبَ/غَيۡبَ/ghayba//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بَصِیْرٌۢ/بَصِيرُۢ/basirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//জানেন//অদৃশ্য (সম্পর্কে)//আকাশসমূহের//ও পৃথিবীর//এবং আল্লাহ//সবকিছু দেখেন//ঐ বিষয়েও যা//তোমরা করছ\""
            }
          ]
        },
        {
          "number": 50,
          "name": "سُورَةُ قٓ",
          "englishName": "Qaaf",
          "englishNameTranslation": "The letter Qaaf",
          "revelationType": "Meccan",
          "verse": 45,
          "words": 762,
          "chars": 3150,
          "ayahs": [
            {
              "number": 4631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4631.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قٓ ۚ وَٱلْقُرْءَانِ ٱلْمَجِيدِ",
              "translate_bn": "ক্বাফ! সম্মানিত কোরআনের শপথ;",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "কাফ ; ওয়াল কুরআ-নিল মাজীদ।",
              "words_arabic": "قٓ ۚ۫/قٓۚ/qaf//وَ الْقُرْاٰنِ/وَٱلۡقُرۡءَانِ/wal-qur'ani//الْمَجِیْدِۚ/ٱلۡمَجِيدِ/al-majidi",
              "words_bangla": "কা-ফ//শপথ কুরআনের//সম্মানিত"
            },
            {
              "number": 4632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4632.mp3"
              ],
              "text": "بَلْ عَجِبُوٓا۟ أَن جَآءَهُم مُّنذِرٌۭ مِّنْهُمْ فَقَالَ ٱلْكَٰفِرُونَ هَٰذَا شَىْءٌ عَجِيبٌ",
              "translate_bn": "বরং তারা তাদের মধ্য থেকেই একজন ভয় প্রদর্শনকারী আগমন করেছে দেখে বিস্ময় বোধ করে। অতঃপর কাফেররা বলেঃ এটা আশ্চর্যের ব্যাপার।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "বাল ‘আজিবূআন জাআহুম মুনযিরুম্মিনহুম ফাকা-লাল কা-ফিরূনা হা-যা- শাইউন ‘আজীব।",
              "words_arabic": "بَلْ/بَلۡ/bal//عَجِبُوْۤا/عَجِبُوٓاْ/ajibu//اَنْ/أَن/an//جَآءَهُمْ/جَآءَهُم/jaahum//مُّنْذِرٌ/مُّنذِرٞ/mundhirun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فَقَالَ/فَقَالَ/faqala//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//هٰذَا/هَٰذَا/hadha//شَیْءٌ/شَيۡءٌ/shayon//عَجِیْبٌۚ/عَجِيبٌ/ajibun",
              "words_bangla": "বরং//তারা অবাক হয়েছে//যে//তাদের কাছে এসেছে//একজন সতর্ককারী//তাদের মধ্য হতে//বলে তাই//অস্বীকারকারীরা//\"এটা//ব্যাপার//আজব"
            },
            {
              "number": 4633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4633.mp3"
              ],
              "text": "أَءِذَا مِتْنَا وَكُنَّا تُرَابًۭا ۖ ذَٰلِكَ رَجْعٌۢ بَعِيدٌۭ",
              "translate_bn": "আমরা মরে গেলে এবং মৃত্তিকায় পরিণত হয়ে গেলেও কি পুনরুত্থিত হব? এ প্রত্যাবর্তন সুদূরপরাহত।",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "আ ইযা-মিতনা-ওয়াকুন্না-তুরা-বান যা-লিকা রাজ‘উম বা‘ঈদ।",
              "words_arabic": "ءَاِذَا/أَءِذَا/a-idha//مِتْنَا/مِتۡنَا/mit'na//وَ كُنَّا/وَكُنَّا/wakunna//تُرَابًا ۚ/تُرَابٗاۖ/turaban//ذٰلِكَ/ذَٰلِكَ/dhalika//رَجْعٌۢ/رَجۡعُۢ/raj'un//بَعِیْدٌ /بَعِيدٞ/ba'idun",
              "words_bangla": "যখন কি//আমরা মারা যাব//এবংআমরা হব//মাটি (তখন পুনরুথিত হব)//সেই//প্রত্যাবর্তন (হবে)//সুদূর পরাহত\""
            },
            {
              "number": 4634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4634.mp3"
              ],
              "text": "قَدْ عَلِمْنَا مَا تَنقُصُ ٱلْأَرْضُ مِنْهُمْ ۖ وَعِندَنَا كِتَٰبٌ حَفِيظٌۢ",
              "translate_bn": "মৃত্তিকা তাদের কতটুকু গ্রাস করবে, তা আমার জানা আছে এবং আমার কাছে আছে সংরক্ষিত কিতাব।",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "কাদ ‘আলিমনা-মা-তানকুসুল আরদুমিনহুম ওয়া ‘ইনদানা-কিতা-বুন হাফীজ।",
              "words_arabic": "قَدْ/قَدۡ/qad//عَلِمْنَا/عَلِمۡنَا/alim'na//مَا/مَا/ma//تَنْقُصُ/تَنقُصُ/tanqusu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//مِنْهُمْ ۚ/مِنۡهُمۡۖ/min'hum//وَ عِنْدَنَا/وَعِندَنَا/wa'indana//كِتٰبٌ/كِتَٰبٌ/kitabun//حَفِیْظٌ /حَفِيظُۢ/hafizun",
              "words_bangla": "নিশ্চয়ই//আমরা জানি//যা//ক্ষয় করে//মাটি//তাদের যে অংশ//এবং আমাদের কাছে আছে//একটি কিতাব//সংরক্ষণকারী"
            },
            {
              "number": 4635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4635.mp3"
              ],
              "text": "بَلْ كَذَّبُوا۟ بِٱلْحَقِّ لَمَّا جَآءَهُمْ فَهُمْ فِىٓ أَمْرٍۢ مَّرِيجٍ",
              "translate_bn": "বরং তাদের কাছে সত্য আগমন করার পর তারা তাকে মিথ্যা বলছে। ফলে তারা সংশয়ে পতিত রয়েছে।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "বাল কাযযাবূবিলহাকিলাম্মা-জাআহুম ফাহুম ফীআমরীম মারীজ।",
              "words_arabic": "بَلْ/بَلۡ/bal//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//لَمَّا/لَمَّا/lamma//جَآءَهُمْ/جَآءَهُمۡ/jaahum//فَهُمْ/فَهُمۡ/fahum//فِیْۤ/فِيٓ/fi//اَمْرٍ/أَمۡرٖ/amrin//مَّرِیْجٍ /مَّرِيجٍ/marijin",
              "words_bangla": "বরং//তারা প্রত্যাখ্যান করেছে//মহাসত্যকে//যখন//তাদের কাছে এসেছে//তারা অতএব//মধ্যে//এ বিষয়ের//সংশয়ে দোদুল্যমান"
            },
            {
              "number": 4636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4636.mp3"
              ],
              "text": "أَفَلَمْ يَنظُرُوٓا۟ إِلَى ٱلسَّمَآءِ فَوْقَهُمْ كَيْفَ بَنَيْنَٰهَا وَزَيَّنَّٰهَا وَمَا لَهَا مِن فُرُوجٍۢ",
              "translate_bn": "তারা কি তাদের উপরস্থিত আকাশের পানে দৃষ্টিপাত করে না আমি কিভাবে তা নির্মাণ করেছি এবং সুশোভিত করেছি? তাতে কোন ছিদ্রও নেই।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "আফালাম ইয়ানজু রূইলাছ ছামাইফাওকাহুম কাইফা বানাইনা-হা-ওয়া ঝাইয়ান্না-হাওয়ামা-লাহা-মিন ফুরূজ।",
              "words_arabic": "اَفَلَمْ/أَفَلَمۡ/afalam//یَنْظُرُوْۤا/يَنظُرُوٓاْ/yanzuru//اِلَی/إِلَى/ila//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//كَیْفَ/كَيۡفَ/kayfa//بَنَیْنٰهَا/بَنَيۡنَٰهَا/banaynaha//وَ زَیَّنّٰهَا/وَزَيَّنَّـٰهَا/wazayyannaha//وَ مَا/وَمَا/wama//لَهَا/لَهَا/laha//مِنْ/مِن/min//فُرُوْجٍ /فُرُوجٖ/furujin",
              "words_bangla": "নি তবে কি//তারা লক্ষ্য করে//প্রতি//আকাশের//তাদের উপরে//কিভাবে//তা আমরা নির্মাণ করেছি//ও তা আমরা সুশোভিত করেছি//এবং নেই//তাতে//কোনো//ফাটল"
            },
            {
              "number": 4637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4637.mp3"
              ],
              "text": "وَٱلْأَرْضَ مَدَدْنَٰهَا وَأَلْقَيْنَا فِيهَا رَوَٰسِىَ وَأَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍۭ بَهِيجٍۢ",
              "translate_bn": "আমি ভূমিকে বিস্তৃত করেছি, তাতে পর্বতমালার ভার স্থাপন করেছি এবং তাতে সর্বপ্রকার নয়নাভিরাম উদ্ভিদ উদগত করেছি।",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আরদা মাদাদনা-হা-ওয়া আলকাইনা-ফীহা-রাওয়া-ছিয়া ওয়া আমবাতনা-ফীহামিন কুল্লি ঝাওজিম বাহীজ।",
              "words_arabic": "وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//مَدَدْنٰهَا/مَدَدۡنَٰهَا/madadnaha//وَ اَلْقَیْنَا/وَأَلۡقَيۡنَا/wa-alqayna//فِیْهَا/فِيهَا/fiha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//وَ اَنْۢبَتْنَا/وَأَنۢبَتۡنَا/wa-anbatna//فِیْهَا/فِيهَا/fiha//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//زَوْجٍۭ/زَوۡجِۭ/zawjin//بَهِیْجٍۙ/بَهِيجٖ/bahijin",
              "words_bangla": "এবং ভূমিকে//তা আমরা বিস্তৃত করেছি//এবং আমরা স্থাপন করেছি//তাতে//পর্বতমালা//এবং আমরা উৎপন্ন করেছি//তাতে//ধরণের//প্রত্যেক//(উদ্ভিদ) জোড়া জোড়া//নয়নজুড়ানো"
            },
            {
              "number": 4638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4638.mp3"
              ],
              "text": "تَبْصِرَةًۭ وَذِكْرَىٰ لِكُلِّ عَبْدٍۢ مُّنِيبٍۢ",
              "translate_bn": "এটা জ্ঞান আহরণ ও স্মরণ করার মত ব্যাপার প্রত্যেক অনুরাগী বান্দার জন্যে।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "তাবসিরাতাওঁ ওয়াযিকরা-লিকুল্লি ‘আবদিম মুনীব।",
              "words_arabic": "تَبْصِرَةً/تَبۡصِرَةٗ/tabsiratan//وَّ ذِكْرٰی/وَذِكۡرَىٰ/wadhik'ra//لِكُلِّ/لِكُلِّ/likulli//عَبْدٍ/عَبۡدٖ/abdin//مُّنِیْبٍ /مُّنِيبٖ/munibin",
              "words_bangla": "ও (এসব কিছু) দৃষ্টিপ্রসারণকারী//ও শিক্ষাপ্রদ//প্রত্যেকের জন্যে//বান্দার/ দাসের//যে প্রত্যাবর্তনকারী (আল্লাহর দিকে)"
            },
            {
              "number": 4639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4639.mp3"
              ],
              "text": "وَنَزَّلْنَا مِنَ ٱلسَّمَآءِ مَآءًۭ مُّبَٰرَكًۭا فَأَنۢبَتْنَا بِهِۦ جَنَّٰتٍۢ وَحَبَّ ٱلْحَصِيدِ",
              "translate_bn": "আমি আকাশ থেকে কল্যাণময় বৃষ্টি বর্ষণ করি এবং তদ্বারা বাগান ও শস্য উদগত করি, যেগুলোর ফসল আহরণ করা হয়।",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাঝঝালনা-মিনাছ ছামাইমাআম মুবা-রাকান ফাআমবাতনা-বিহী জান্না-তিওঁ ওয়া হাব্বাল হাসীদ।",
              "words_arabic": "وَ نَزَّلْنَا/وَنَزَّلۡنَا/wanazzalna//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//مَآءً/مَآءٗ/maan//مُّبٰرَكًا/مُّبَٰرَكٗا/mubarakan//فَاَنْۢبَتْنَا/فَأَنۢبَتۡنَا/fa-anbatna//بِهٖ/بِهِۦ/bihi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ حَبَّ/وَحَبَّ/wahabba//الْحَصِیْدِۙ/ٱلۡحَصِيدِ/al-hasidi",
              "words_bangla": "এবং আমরা অবতীর্ণ করেছি//থেকে//আকাশ//পানি//উপকারী//এরপর আমরা  উৎপন্ন করেছি//তা দিয়ে//বাগানসমূহ//ও শস্যাদি//কৃষিজাত"
            },
            {
              "number": 4640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4640.mp3"
              ],
              "text": "وَٱلنَّخْلَ بَاسِقَٰتٍۢ لَّهَا طَلْعٌۭ نَّضِيدٌۭ",
              "translate_bn": "এবং লম্বমান খর্জুর বৃক্ষ, যাতে আছে গুচ্ছ গুচ্ছ খর্জুর,",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্নাখলা বা-ছিকা-তিল্লাহা-তাল‘উন্নাদীদ।",
              "words_arabic": "وَ النَّخْلَ/وَٱلنَّخۡلَ/wal-nakhla//بٰسِقٰتٍ/بَاسِقَٰتٖ/basiqatin//لَّهَا/لَّهَا/laha//طَلْعٌ/طَلۡعٞ/tal'un//نَّضِیْدٌۙ/نَّضِيدٞ/nadidun",
              "words_bangla": "এবং খেজুর গাছসমূহ//উঁচু//তার আছে//খেজুর গুচ্ছ//থরে থরে সাজানো"
            },
            {
              "number": 4641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4641.mp3"
              ],
              "text": "رِّزْقًۭا لِّلْعِبَادِ ۖ وَأَحْيَيْنَا بِهِۦ بَلْدَةًۭ مَّيْتًۭا ۚ كَذَٰلِكَ ٱلْخُرُوجُ",
              "translate_bn": "বান্দাদের জীবিকাস্বরূপ এবং বৃষ্টি দ্বারা আমি মৃত জনপদকে সঞ্জীবিত করি। এমনিভাবে পুনরুত্থান ঘটবে।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "রিঝকালিলল‘ইবা-দি ওয়া আহইয়াইনা-বিহী বালদাতাম্মাইতান কাযা-লিকাল খুরূজ।",
              "words_arabic": "رِّزْقًا/رِّزۡقٗا/riz'qan//لِّلْعِبَادِ ۙ/لِّلۡعِبَادِۖ/lil'ibadi//وَ اَحْیَیْنَا/وَأَحۡيَيۡنَا/wa-ahyayna//بِهٖ/بِهِۦ/bihi//بَلْدَةً/بَلۡدَةٗ/baldatan//مَّیْتًا ؕ/مَّيۡتٗاۚ/maytan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//الْخُرُوْجُ /ٱلۡخُرُوجُ/al-khuruju",
              "words_bangla": "জীবিকা//দাসদের/ বান্দাদের জন্যে//এবং আমরা জীবিত করি//তা দিয়ে//ভূমিকে//মৃত//এভাবেই//উত্থান (হবে)"
            },
            {
              "number": 4642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4642.mp3"
              ],
              "text": "كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍۢ وَأَصْحَٰبُ ٱلرَّسِّ وَثَمُودُ",
              "translate_bn": "তাদের পূর্বে মিথ্যাবাদী বলেছে নূহের সম্প্রদায়, কুপবাসীরা এবং সামুদ সম্প্রদায়।",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাবলাহুম কাওমুনুহিওঁ ওয়া আসহা-বুর রাছছি ওয়া ছামূদ।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمُ/قَوۡمُ/qawmu//نُوْحٍ/نُوحٖ/nuhin//وَّ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الرَّسِّ/ٱلرَّسِّ/al-rasi//وَ ثَمُوْدُۙ/وَثَمُودُ/wathamudu",
              "words_bangla": "মিথ্যা বলে  অস্বীকার করেছে//তাদের পূর্বে//জাতি//নূহের//ও অধিবাসীরা//কূপ//ও সামুদ"
            },
            {
              "number": 4643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4643.mp3"
              ],
              "text": "وَعَادٌۭ وَفِرْعَوْنُ وَإِخْوَٰنُ لُوطٍۢ",
              "translate_bn": "আদ, ফেরাউন, ও লূতের সম্প্রদায়,",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘আ-দুওঁ ওয়া ফির ‘আউনুওয়া ইখওয়া-নুলূত।",
              "words_arabic": "وَ عَادٌ/وَعَادٞ/wa'adun//وَّ فِرْعَوْنُ/وَفِرۡعَوۡنُ/wafir'awnu//وَ اِخْوَانُ/وَإِخۡوَٰنُ/wa-ikh'wanu//لُوْطٍۙ/لُوطٖ/lutin",
              "words_bangla": "এবং আদ//ও ফিরআউন//ও ভাইয়েরা//লূতের"
            },
            {
              "number": 4644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4644.mp3"
              ],
              "text": "وَأَصْحَٰبُ ٱلْأَيْكَةِ وَقَوْمُ تُبَّعٍۢ ۚ كُلٌّۭ كَذَّبَ ٱلرُّسُلَ فَحَقَّ وَعِيدِ",
              "translate_bn": "বনবাসীরা এবং তোব্বা সম্প্রদায়। প্রত্যেকেই রসূলগণকে মিথ্যা বলেছে, অতঃপর আমার শাস্তির যোগ্য হয়েছে।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসহা-বুল আইকাতি ওয়া কাওমুতুব্বা‘ইন কুল্লুন কাযযাবার রুছুলা ফাহাক্কা ওয়া‘ঈদ।",
              "words_arabic": "وَّ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الْاَیْكَةِ/ٱلۡأَيۡكَةِ/al-aykati//وَ قَوْمُ/وَقَوۡمُ/waqawmu//تُبَّعٍ ؕ/تُبَّعٖۚ/tubba'in//كُلٌّ/كُلّٞ/kullun//كَذَّبَ/كَذَّبَ/kadhaba//الرُّسُلَ/ٱلرُّسُلَ/al-rusula//فَحَقَّ/فَحَقَّ/fahaqqa//وَعِیْدِ /وَعِيدِ/wa'idi",
              "words_bangla": "এবং অধিবাসীরা//আইকার//ও জাতি//তুব্বা//প্রত্যেকে//মিথ্যা বলে অমান্য করেছে//রাসূলদেরকে//ফলে সত্য হয়েছে//আমার ভীতিপ্রদর্শন (শাস্তি পেয়েছে)"
            },
            {
              "number": 4645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4645.mp3"
              ],
              "text": "أَفَعَيِينَا بِٱلْخَلْقِ ٱلْأَوَّلِ ۚ بَلْ هُمْ فِى لَبْسٍۢ مِّنْ خَلْقٍۢ جَدِيدٍۢ",
              "translate_bn": "আমি কি প্রথমবার সৃষ্টি করেই ক্লান্ত হয়ে পড়েছি? বরং তারা নতুন সৃষ্টির ব্যাপারে সন্দেহ পোষন করেছে।",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 7,
              "page": 518,
              "ruku": 452,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "আফা‘আঈনা-বিলখালকিল আওওয়ালি বাল হুম ফী লাবছিম মিন খালকিন জাদীদ।",
              "words_arabic": "اَفَعَیِیْنَا/أَفَعَيِينَا/afa'ayina//بِالْخَلْقِ/بِٱلۡخَلۡقِ/bil-khalqi//الْاَوَّلِ ؕ/ٱلۡأَوَّلِۚ/al-awali//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//لَبْسٍ/لَبۡسٖ/labsin//مِّنْ/مِّنۡ/min//خَلْقٍ/خَلۡقٖ/khalqin//جَدِیْدٍ۠/جَدِيدٖ/jadidin",
              "words_bangla": "আমরা তবে অক্ষম হয়ে পড়েছি কি//সৃষ্টিতে//প্রথম//বরং//তারা//মধ্যে আছে//সন্দেহের//সম্পর্কে//সৃষ্টি//নতুন"
            },
            {
              "number": 4646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4646.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَا ٱلْإِنسَٰنَ وَنَعْلَمُ مَا تُوَسْوِسُ بِهِۦ نَفْسُهُۥ ۖ وَنَحْنُ أَقْرَبُ إِلَيْهِ مِنْ حَبْلِ ٱلْوَرِيدِ",
              "translate_bn": "আমি মানুষ সৃষ্টি করেছি এবং তার মন নিভৃতে যে কুচিন্তা করে, সে সম্বন্ধেও আমি অবগত আছি। আমি তার গ্রীবাস্থিত ধমনী থেকেও অধিক নিকটবর্তী।",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ খালাকনাল ইনছা-না ওয়ানা‘লামুমা-তুওয়াছবিছুবিহী নাফছুহূ ওয়া নাহনু আকরাবুইলাইহি মিন হাবলিল ওয়ারীদ।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//وَ نَعْلَمُ/وَنَعۡلَمُ/wana'lamu//مَا/مَا/ma//تُوَسْوِسُ/تُوَسۡوِسُ/tuwaswisu//بِهٖ/بِهِۦ/bihi//نَفْسُهٗ ۖۚ/نَفۡسُهُۥۖ/nafsuhu//وَ نَحْنُ/وَنَحۡنُ/wanahnu//اَقْرَبُ/أَقۡرَبُ/aqrabu//اِلَیْهِ/إِلَيۡهِ/ilayhi//مِنْ/مِنۡ/min//حَبْلِ/حَبۡلِ/habli//الْوَرِیْدِ /ٱلۡوَرِيدِ/al-waridi",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সৃষ্টি করেছি//মানুষকে//এবং  আমরা জানি//যা//কুমন্ত্রণা দেয়//তা সম্পর্কে//(অর্থাৎ) তার প্রবৃত্তি//এবং আমরা//অধিক নিকটে//তার//চেয়েও//ধমনী/ শিরার//ঘাড়ের"
            },
            {
              "number": 4647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4647.mp3"
              ],
              "text": "إِذْ يَتَلَقَّى ٱلْمُتَلَقِّيَانِ عَنِ ٱلْيَمِينِ وَعَنِ ٱلشِّمَالِ قَعِيدٌۭ",
              "translate_bn": "যখন দুই ফেরেশতা ডানে ও বামে বসে তার আমল গ্রহণ করে।",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ইযইয়াতালাক্কাল মুতালাক্কিইয়া-নি ‘আনিল ইয়ামীনি ওয়া ‘আনিশশিমা-লি কা‘ঈদ।",
              "words_arabic": "اِذْ/إِذۡ/idh//یَتَلَقَّی/يَتَلَقَّى/yatalaqqa//الْمُتَلَقِّیٰنِ/ٱلۡمُتَلَقِّيَانِ/al-mutalaqiyani//عَنِ/عَنِ/ani//الْیَمِیْنِ/ٱلۡيَمِينِ/al-yamini//وَ عَنِ/وَعَنِ/wa'ani//الشِّمَالِ/ٱلشِّمَالِ/al-shimali//قَعِیْدٌ /قَعِيدٞ/qa'idun",
              "words_bangla": "যখন//গ্রহণ করে (অর্থাৎ লিখে)//দুজন গ্রহণকারী (লেখক)//থেকে//ডান দিক//ও থেকে//ও বাম দিক//বসে"
            },
            {
              "number": 4648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4648.mp3"
              ],
              "text": "مَّا يَلْفِظُ مِن قَوْلٍ إِلَّا لَدَيْهِ رَقِيبٌ عَتِيدٌۭ",
              "translate_bn": "সে যে কথাই উচ্চারণ করে, তাই গ্রহণ করার জন্যে তার কাছে সদা প্রস্তুত প্রহরী রয়েছে।",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "মা-ইয়ালফিজুমিন কাওলিন ইল্লা-লাদাইহি রাকীবুন ‘আতীদ।",
              "words_arabic": "مَا/مَّا/ma//یَلْفِظُ/يَلۡفِظُ/yalfizu//مِنْ/مِن/min//قَوْلٍ/قَوۡلٍ/qawlin//اِلَّا/إِلَّا/illa//لَدَیْهِ/لَدَيۡهِ/ladayhi//رَقِیْبٌ/رَقِيبٌ/raqibun//عَتِیْدٌ /عَتِيدٞ/atidun",
              "words_bangla": "না//সে উচ্চারণ করে//কোনো//কথা//এছাড়া যে//তার কাছে (থাকে)//প্রহরী//তৎপর"
            },
            {
              "number": 4649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4649.mp3"
              ],
              "text": "وَجَآءَتْ سَكْرَةُ ٱلْمَوْتِ بِٱلْحَقِّ ۖ ذَٰلِكَ مَا كُنتَ مِنْهُ تَحِيدُ",
              "translate_bn": "মৃত্যুযন্ত্রণা নিশ্চিতই আসবে। এ থেকেই তুমি টালবাহানা করতে।",
              "numberInSurah": 19,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআত ছাকরাতুল মাওতি বিলহাক্কি যা-লিকা মা-কুনতা মিনহু তাহীদ।",
              "words_arabic": "وَ جَآءَتْ/وَجَآءَتۡ/wajaat//سَكْرَةُ/سَكۡرَةُ/sakratu//الْمَوْتِ/ٱلۡمَوۡتِ/al-mawti//بِالْحَقِّ ؕ/بِٱلۡحَقِّۖ/bil-haqi//ذٰلِكَ/ذَٰلِكَ/dhalika//مَا/مَا/ma//كُنْتَ/كُنتَ/kunta//مِنْهُ/مِنۡهُ/min'hu//تَحِیْدُ /تَحِيدُ/tahidu",
              "words_bangla": "এবং আসবে//যন্ত্রণা//মৃত্যুর//সত্য সহকারে//\"(বলা হবে এটা) তাই//যা//তুমি ছিলে//তা হতে//পাশ কাটাতে/ পালিয়ে থাকতে\""
            },
            {
              "number": 4650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4650.mp3"
              ],
              "text": "وَنُفِخَ فِى ٱلصُّورِ ۚ ذَٰلِكَ يَوْمُ ٱلْوَعِيدِ",
              "translate_bn": "এবং শিঙ্গায় ফুঁৎকার দেয়া হবে এটা হবে ভয় প্রদর্শনের দিন।",
              "numberInSurah": 20,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুফিখা ফিসসূরি যা-লিকা ইয়াওমুল ওয়া‘ঈদ।",
              "words_arabic": "وَ نُفِخَ/وَنُفِخَ/wanufikha//فِی/فِي/fi//الصُّوْرِ ؕ/ٱلصُّورِۚ/al-suri//ذٰلِكَ/ذَٰلِكَ/dhalika//یَوْمُ/يَوۡمُ/yawmu//الْوَعِیْدِ /ٱلۡوَعِيدِ/al-wa'idi",
              "words_bangla": "এবং ফুঁ দেওয়া হবে//মধ্যে//শিঙার//(এটাই) সেই//দিন (যার)//ভয় দেখানো হতো"
            },
            {
              "number": 4651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4651.mp3"
              ],
              "text": "وَجَآءَتْ كُلُّ نَفْسٍۢ مَّعَهَا سَآئِقٌۭ وَشَهِيدٌۭ",
              "translate_bn": "প্রত্যেক ব্যক্তি আগমন করবে। তার সাথে থাকবে চালক ও কর্মের সাক্ষী।",
              "numberInSurah": 21,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআত কুল্লুনাফছিম্মা‘আহা-ছাইকূ ওঁ ওয়া শাহীদ।\r\n",
              "words_arabic": "وَ جَآءَتْ/وَجَآءَتۡ/wajaat//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//مَّعَهَا/مَّعَهَا/ma'aha//سَآىِٕقٌ/سَآئِقٞ/saiqun//وَّ شَهِیْدٌ /وَشَهِيدٞ/washahidun",
              "words_bangla": "এবং আসবে//প্রত্যেক//ব্যক্তি//তার সাথে (থাকবে)//একজন চালক//ও একজন সাক্ষী"
            },
            {
              "number": 4652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4652.mp3"
              ],
              "text": "لَّقَدْ كُنتَ فِى غَفْلَةٍۢ مِّنْ هَٰذَا فَكَشَفْنَا عَنكَ غِطَآءَكَ فَبَصَرُكَ ٱلْيَوْمَ حَدِيدٌۭ",
              "translate_bn": "তুমি তো এই দিন সম্পর্কে উদাসীন ছিলে। এখন তোমার কাছ থেকে যবনিকা সরিয়ে দিয়েছি। ফলে আজ তোমার দৃষ্টি সুতীক্ষ্ন।",
              "numberInSurah": 22,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কুনতা ফী গাফলাতিম মিন হা-যা- ফাকাশাফনা- ‘আনকা গিতাআকা ফাবাসারুকাল ইয়াওমা হাদীদ।",
              "words_arabic": "لَقَدْ/لَّقَدۡ/laqad//كُنْتَ/كُنتَ/kunta//فِیْ/فِي/fi//غَفْلَةٍ/غَفۡلَةٖ/ghaflatin//مِّنْ/مِّنۡ/min//هٰذَا/هَٰذَا/hadha//فَكَشَفْنَا/فَكَشَفۡنَا/fakashafna//عَنْكَ/عَنكَ/anka//غِطَآءَكَ/غِطَآءَكَ/ghitaaka//فَبَصَرُكَ/فَبَصَرُكَ/fabasaruka//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//حَدِیْدٌ /حَدِيدٞ/hadidun",
              "words_bangla": "\"নিশ্চয়ই//তুমি ছিলে//মধ্যে//উদাসীনতার//হতে//এটা//আমরা এখন সরিয়ে নিয়েছি//তোমার হতে//তোমার পর্দা//ফলে তোমার দৃষ্টি//আজ//প্রখর\""
            },
            {
              "number": 4653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4653.mp3"
              ],
              "text": "وَقَالَ قَرِينُهُۥ هَٰذَا مَا لَدَىَّ عَتِيدٌ",
              "translate_bn": "তার সঙ্গী ফেরেশতা বলবেঃ আমার কাছে যে, আমলনামা ছিল, তা এই।",
              "numberInSurah": 23,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা কারীনুহূহা-যা-মা-লাদাইইয়া ‘আতীদ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//قَرِیْنُهٗ/قَرِينُهُۥ/qarinuhu//هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//لَدَیَّ/لَدَيَّ/ladayya//عَتِیْدٌؕ/عَتِيدٌ/atidun",
              "words_bangla": "এবং বলবে//তার সঙ্গী//\"এই//যে (ছিল)//আমার কাছে//প্রস্তুত\""
            },
            {
              "number": 4654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4654.mp3"
              ],
              "text": "أَلْقِيَا فِى جَهَنَّمَ كُلَّ كَفَّارٍ عَنِيدٍۢ",
              "translate_bn": "তোমরা উভয়েই নিক্ষেপ কর জাহান্নামে প্রত্যেক অকৃতজ্ঞ বিরুদ্ধবাদীকে,",
              "numberInSurah": 24,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "আলকিয়া-ফী জাহান্নামা কুল্লা কাফফা-রিন ‘আনীদ।",
              "words_arabic": "اَلْقِیَا/أَلۡقِيَا/alqiya//فِیْ/فِي/fi//جَهَنَّمَ/جَهَنَّمَ/jahannama//كُلَّ/كُلَّ/kulla//كَفَّارٍ/كَفَّارٍ/kaffarin//عَنِیْدٍۙ/عَنِيدٖ/anidin",
              "words_bangla": "\"(বলা হবে) নিক্ষেপ কর দু'জনে//মধ্যে//জাহান্নামের//প্রত্যেক//কট্টর কাফিরকে//(যে ছিল) উদ্ধত"
            },
            {
              "number": 4655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4655.mp3"
              ],
              "text": "مَّنَّاعٍۢ لِّلْخَيْرِ مُعْتَدٍۢ مُّرِيبٍ",
              "translate_bn": "যে বাধা দিত মঙ্গলজনক কাজে, সীমালঙ্ঘনকারী, সন্দেহ পোষণকারীকে।",
              "numberInSurah": 25,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "মান্না-‘ইলিলল খাইরি মু‘তাদিমমুরীব।",
              "words_arabic": "مَّنَّاعٍ/مَّنَّاعٖ/manna'in//لِّلْخَیْرِ/لِّلۡخَيۡرِ/lil'khayri//مُعْتَدٍ/مُعۡتَدٖ/mu'tadin//مُّرِیْبِۙ/مُّرِيبٍ/muribin",
              "words_bangla": "প্রবল বাধাদান কারী//কল্যাণ (কাজের)//সীমা লংঘনকারী//সন্দেহপোষণকারী"
            },
            {
              "number": 4656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4656.mp3"
              ],
              "text": "ٱلَّذِى جَعَلَ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ فَأَلْقِيَاهُ فِى ٱلْعَذَابِ ٱلشَّدِيدِ",
              "translate_bn": "যে ব্যক্তি আল্লাহর সাথে অন্য উপাস্য গ্রহণ করত, তাকে তোমরা কঠিন শাস্তিতে নিক্ষেপ কর।",
              "numberInSurah": 26,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 207,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জা‘আলা মা‘আল্লা-হি ইলা-হান আ-খারা ফাআলকিয়া-হু ফিল ‘আযা-বিশশাদীদ।",
              "words_arabic": "ِ۟الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ/ءَاخَرَ/akhara//فَاَلْقِیٰهُ/فَأَلۡقِيَاهُ/fa-alqiyahu//فِی/فِي/fi//الْعَذَابِ/ٱلۡعَذَابِ/al-'adhabi//الشَّدِیْدِ /ٱلشَّدِيدِ/al-shadidi",
              "words_bangla": "যে//বানিয়েছিল//সাথে//আল্লাহর//উপাস্য//অন্যকেও//তাকে তাই দু'জনে নিক্ষেপ কর//মধ্যে//শাস্তির//কঠিন\""
            },
            {
              "number": 4657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4657.mp3"
              ],
              "text": "۞ قَالَ قَرِينُهُۥ رَبَّنَا مَآ أَطْغَيْتُهُۥ وَلَٰكِن كَانَ فِى ضَلَٰلٍۭ بَعِيدٍۢ",
              "translate_bn": "তার সঙ্গী শয়তান বলবেঃ হে আমাদের পালনকর্তা, আমি তাকে অবাধ্যতায় লিপ্ত করিনি। বস্তুতঃ সে নিজেই ছিল সুদূর পথভ্রান্তিতে লিপ্ত।",
              "numberInSurah": 27,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "কা-লা কারীনুহূরাব্বানা-মাআতগাইতুহূওয়ালা-কিন কা-না ফী দালা-লিম বা‘ঈদ।",
              "words_arabic": "قَالَ/۞قَالَ/qala//قَرِیْنُهٗ/قَرِينُهُۥ/qarinuhu//رَبَّنَا/رَبَّنَا/rabbana//مَاۤ/مَآ/ma//اَطْغَیْتُهٗ/أَطۡغَيۡتُهُۥ/atghaytuhu//وَ لٰكِنْ/وَلَٰكِن/walakin//كَانَ/كَانَ/kana//فِیْ/فِي/fi//ضَلٰلٍۭ/ضَلَٰلِۭ/dalalin//بَعِیْدٍ /بَعِيدٖ/ba'idin",
              "words_bangla": "বলবে//তার সঙ্গী (অর্থাৎ শয়তান)//\"হে আমাদের রব//না//তাকে আমি অবাধ্য করি//কিন্তু//(নিজেই) সে ছিল//মধ্যে//বিভ্রান্তির//(অনেক) ঘোর\""
            },
            {
              "number": 4658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4658.mp3"
              ],
              "text": "قَالَ لَا تَخْتَصِمُوا۟ لَدَىَّ وَقَدْ قَدَّمْتُ إِلَيْكُم بِٱلْوَعِيدِ",
              "translate_bn": "আল্লাহ বলবেনঃ আমার সামনে বাকবিতন্ডা করো না আমি তো পূর্বেই তোমাদেরকে আযাব দ্বারা ভয় প্রদর্শন করেছিলাম।",
              "numberInSurah": 28,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "কা-লা লা-তাখতাছিমূলাদাইয়া ওয়া কাদ কাদ্দামতুইলাইকুম বিলওয়া‘ঈদ।",
              "words_arabic": "قَالَ/قَالَ/qala//لَا/لَا/la//تَخْتَصِمُوْا/تَخۡتَصِمُواْ/takhtasimu//لَدَیَّ/لَدَيَّ/ladayya//وَ قَدْ/وَقَدۡ/waqad//قَدَّمْتُ/قَدَّمۡتُ/qaddamtu//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//بِالْوَعِیْدِ /بِٱلۡوَعِيدِ/bil-wa'idi",
              "words_bangla": "(আল্লাহ) বলবেন//\"না//তোমরা তর্কাতর্কি করো//আমার কাছে//এবং নিশ্চয়ই//আমি পূর্বে পাঠিয়েছি//তোমাদের প্রতি//(খারাপ পরিণতির) সতর্কবাণী"
            },
            {
              "number": 4659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4659.mp3"
              ],
              "text": "مَا يُبَدَّلُ ٱلْقَوْلُ لَدَىَّ وَمَآ أَنَا۠ بِظَلَّٰمٍۢ لِّلْعَبِيدِ",
              "translate_bn": "আমার কাছে কথা রদবদল হয় না এবং আমি বান্দাদের প্রতি জুলুমকারী নই।",
              "numberInSurah": 29,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 453,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "মা-ইউবাদ্দালুল কাওলুলাদাইয়া ওয়ামাআনা-বিজাল্লা-মিলিলল‘আবীদ।",
              "words_arabic": "مَا/مَا/ma//یُبَدَّلُ/يُبَدَّلُ/yubaddalu//الْقَوْلُ/ٱلۡقَوۡلُ/al-qawlu//لَدَیَّ/لَدَيَّ/ladayya//وَ مَاۤ/وَمَآ/wama//اَنَا/أَنَا۠/ana//بِظَلَّامٍ/بِظَلَّـٰمٖ/bizallamin//لِّلْعَبِیْدِ۠/لِّلۡعَبِيدِ/lil'abidi",
              "words_bangla": "না//পরিবর্তন হয়//কথার//আমার কাছে//এবং না//আমি//অবিচারক//বান্দাদেরকে/ দাসদেরকে\""
            },
            {
              "number": 4660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4660.mp3"
              ],
              "text": "يَوْمَ نَقُولُ لِجَهَنَّمَ هَلِ ٱمْتَلَأْتِ وَتَقُولُ هَلْ مِن مَّزِيدٍۢ",
              "translate_bn": "যেদিন আমি জাহান্নামকে জিজ্ঞাসা করব; তুমি কি পূর্ণ হয়ে গেছ? সে বলবেঃ আরও আছে কি?",
              "numberInSurah": 30,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা নাকূলুলিজাহান্নামা হালিম তালা’তি ওয়া তাকূলুহাল মিম্মাঝীদ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//نَقُوْلُ/نَقُولُ/naqulu//لِجَهَنَّمَ/لِجَهَنَّمَ/lijahannama//هَلِ/هَلِ/hali//امْتَلَاْتِ/ٱمۡتَلَأۡتِ/im'talati//وَ تَقُوْلُ/وَتَقُولُ/wataqulu//هَلْ/هَلۡ/hal//مِنْ/مِن/min//مَّزِیْدٍ /مَّزِيدٖ/mazidin",
              "words_bangla": "সেদিন//বলব আমরা//জাহান্নামকে//\"কি//তুমি পূর্ণ হয়েছ\"//এবং সে বলবে//\"(আছে) কি//কিছু//আরও\""
            },
            {
              "number": 4661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4661.mp3"
              ],
              "text": "وَأُزْلِفَتِ ٱلْجَنَّةُ لِلْمُتَّقِينَ غَيْرَ بَعِيدٍ",
              "translate_bn": "জান্নাতকে উপস্থিত করা হবে খোদাভীরুদের অদূরে।",
              "numberInSurah": 31,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া উঝলিফাতিল জান্নাতুলিলমুত্তাকীনা গাইরা বা‘ঈদ।",
              "words_arabic": "وَ اُزْلِفَتِ/وَأُزۡلِفَتِ/wa-uz'lifati//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//لِلْمُتَّقِیْنَ/لِلۡمُتَّقِينَ/lil'muttaqina//غَیْرَ/غَيۡرَ/ghayra//بَعِیْدٍ /بَعِيدٍ/ba'idin",
              "words_bangla": "নিকটে আনা হবে//জান্নাত//মুত্তাকীদের জন্যে//না//দূরত্বে (থাকবে)"
            },
            {
              "number": 4662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4662.mp3"
              ],
              "text": "هَٰذَا مَا تُوعَدُونَ لِكُلِّ أَوَّابٍ حَفِيظٍۢ",
              "translate_bn": "তোমাদের প্রত্যেক অনুরাগী ও স্মরণকারীকে এরই প্রতিশ্রুতি দেয়া হয়েছিল।",
              "numberInSurah": 32,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "হা-যা-মা-তূ‘আদূনা লিকুল্লি আওওয়া-বিন হাফীজ।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//مَا/مَا/ma//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//لِكُلِّ/لِكُلِّ/likulli//اَوَّابٍ/أَوَّابٍ/awwabin//حَفِیْظٍۚ/حَفِيظٖ/hafizin",
              "words_bangla": "\"(বলা হবে) এটা//(তাই) যার//তোমাদেরকে প্রতিশ্রুতি দেওয়া হয়েছিল//জন্যে প্রত্যেক//প্রত্যাবর্তনকারীর (আল্লাহর দিকে)//সংরক্ষণকারীর (আল্লাহর সীমার)"
            },
            {
              "number": 4663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4663.mp3"
              ],
              "text": "مَّنْ خَشِىَ ٱلرَّحْمَٰنَ بِٱلْغَيْبِ وَجَآءَ بِقَلْبٍۢ مُّنِيبٍ",
              "translate_bn": "যে না দেখে দয়াময় আল্লাহ তা’আলাকে ভয় করত এবং বিনীত অন্তরে উপস্থিত হত।",
              "numberInSurah": 33,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "মান খাশিয়ার রাহমা-না বিলগাইবি ওয়া জাআ বিকালবিম মুনীব।",
              "words_arabic": "مَنْ/مَّنۡ/man//خَشِیَ/خَشِيَ/khashiya//الرَّحْمٰنَ/ٱلرَّحۡمَٰنَ/al-rahmana//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//وَ جَآءَ/وَجَآءَ/wajaa//بِقَلْبٍ/بِقَلۡبٖ/biqalbin//مُّنِیْبِۙ/مُّنِيبٍ/munibin",
              "words_bangla": "যে//ভয় করত//দয়াময়কে//না দেখেই//এবং এসেছে//অন্তরসহ//বিনীত"
            },
            {
              "number": 4664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4664.mp3"
              ],
              "text": "ٱدْخُلُوهَا بِسَلَٰمٍۢ ۖ ذَٰلِكَ يَوْمُ ٱلْخُلُودِ",
              "translate_bn": "তোমরা এতে শান্তিতে প্রবেশ কর। এটাই অনন্তকাল বসবাসের জন্য প্রবেশ করার দিন।",
              "numberInSurah": 34,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "উদখুলূহা-বিছালা-মিন যা-লিকা ইয়াওমুল খুলূদ ।\r\n",
              "words_arabic": "ِ۟ادْخُلُوْهَا/ٱدۡخُلُوهَا/ud'khuluha//بِسَلٰمٍ ؕ/بِسَلَٰمٖۖ/bisalamin//ذٰلِكَ/ذَٰلِكَ/dhalika//یَوْمُ/يَوۡمُ/yawmu//الْخُلُوْدِ /ٱلۡخُلُودِ/al-khuludi",
              "words_bangla": "প্রবেশ করো তাতে//শান্তি ও নিরাপত্তা সহ//(এটা) সেই//দিন//চিরন্তন (জীবনের)\""
            },
            {
              "number": 4665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4665.mp3"
              ],
              "text": "لَهُم مَّا يَشَآءُونَ فِيهَا وَلَدَيْنَا مَزِيدٌۭ",
              "translate_bn": "তারা তথায় যা চাইবে, তাই পাবে এবং আমার কাছে রয়েছে আরও অধিক।",
              "numberInSurah": 35,
              "juz": 26,
              "manzil": 7,
              "page": 519,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "লাহুম মা-ইয়াশাঊনা ফীহা-ওয়ালাদাইনা-মাঝীদ।",
              "words_arabic": "لَهُمْ/لَهُم/lahum//مَّا/مَّا/ma//یَشَآءُوْنَ/يَشَآءُونَ/yashauna//فِیْهَا/فِيهَا/fiha//وَ لَدَیْنَا/وَلَدَيۡنَا/waladayna//مَزِیْدٌ /مَزِيدٞ/mazidun",
              "words_bangla": "তাদের জন্যে (থাকবে)//(তাই) যা//তারা চাইবে//তার মধ্যে//এবং আমাদের কাছে (আছে)//আরও অনেক"
            },
            {
              "number": 4666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4666.mp3"
              ],
              "text": "وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هُمْ أَشَدُّ مِنْهُم بَطْشًۭا فَنَقَّبُوا۟ فِى ٱلْبِلَٰدِ هَلْ مِن مَّحِيصٍ",
              "translate_bn": "আমি তাদের পূর্বে বহু সম্প্রদায়কে ধ্বংস করেছি, তারা এদের অপেক্ষা অধিক শক্তিশালী ছিল এবং দেশে-বিদেশে বিচরণ করে ফিরত। তাদের কোন পলায়ন স্থান ছিল না।",
              "numberInSurah": 36,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাম আহলাকনা-কাবলাহুম মিন কারনিন হুম আশাদ্দুমিনহুম বাতশান ফানাক্কাবূফিল বিলা-দি হাল মিম্মাহীস।",
              "words_arabic": "وَ كَمْ/وَكَمۡ/wakam//اَهْلَكْنَا/أَهۡلَكۡنَا/ahlakna//قَبْلَهُمْ/قَبۡلَهُم/qablahum//مِّنْ/مِّن/min//قَرْنٍ/قَرۡنٍ/qarnin//هُمْ/هُمۡ/hum//اَشَدُّ/أَشَدُّ/ashaddu//مِنْهُمْ/مِنۡهُم/min'hum//بَطْشًا/بَطۡشٗا/batshan//فَنَقَّبُوْا/فَنَقَّبُواْ/fanaqqabu//فِی/فِي/fi//الْبِلَادِ ؕ/ٱلۡبِلَٰدِ/al-biladi//هَلْ/هَلۡ/hal//مِنْ/مِن/min//مَّحِیْصٍ /مَّحِيصٍ/mahisin",
              "words_bangla": "এবং কত//আমরা ধ্বংস করেছি//তাদের পূর্বে//থেকে//জনগোষ্ঠী//তারা (ছিল)//অধিক প্রবল//তাদের চেয়েও//শক্তিতে//অতঃপর তারা  ভ্রমণ করত//মধ্যে//দেশ বিদেশের//(ছিল) কি//কোনো//আশ্রয়স্থল (তাদের জন্যে)"
            },
            {
              "number": 4667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4667.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَذِكْرَىٰ لِمَن كَانَ لَهُۥ قَلْبٌ أَوْ أَلْقَى ٱلسَّمْعَ وَهُوَ شَهِيدٌۭ",
              "translate_bn": "এতে উপদেশ রয়েছে তার জন্যে, যার অনুধাবন করার মত অন্তর রয়েছে। অথবা সে নিবিষ্ট মনে শ্রবণ করে।",
              "numberInSurah": 37,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লাযিকরা-লিমান কা-না লাহূকালবুন আও আলকাছ ছাম‘আ ওয়া হুওয়া শাহীদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَذِكْرٰی/لَذِكۡرَىٰ/ladhik'ra//لِمَنْ/لِمَن/liman//كَانَ/كَانَ/kana//لَهٗ/لَهُۥ/lahu//قَلْبٌ/قَلۡبٌ/qalbun//اَوْ/أَوۡ/aw//اَلْقَی/أَلۡقَى/alqa//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ هُوَ/وَهُوَ/wahuwa//شَهِیْدٌ /شَهِيدٞ/shahidun",
              "words_bangla": "নিশ্চয়ই//মধ্যে (রয়েছে)//এর//অবশ্যই উপদেশ//তার জন্যে//আছে//যার//অন্তর//অথবা//নিবিষ্ট করে//কান//এমতাবস্থায় সে//উপস্থিত (মনেপ্রাণে)"
            },
            {
              "number": 4668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4668.mp3"
              ],
              "text": "وَلَقَدْ خَلَقْنَا ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍۢ وَمَا مَسَّنَا مِن لُّغُوبٍۢ",
              "translate_bn": "আমি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছু ছয়দিনে সৃষ্টি করেছি এবং আমাকে কোনরূপ ক্লান্তি স্পর্শ করেনি।",
              "numberInSurah": 38,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ খালাকনাছছামা-ওয়া-তি ওয়াল আরদা ওয়ামা-বাইনাহুমা-ফী ছিত্তাতি আইয়ামিওঁ ওয়ামা-মাছছানা-মিল্লুগূব।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ ۖۗ/أَيَّامٖ/ayyamin//وَّ مَا/وَمَا/wama//مَسَّنَا/مَسَّنَا/massana//مِنْ/مِن/min//لُّغُوْبٍ /لُّغُوبٖ/lughubin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সৃষ্টি করেছি//আকাশ//এবং পৃথিবীকে//এবং যা কিছু (আছে)//উভয়ের মাঝে//মধ্যে//ছয়//দিনের//এবং না//আমাদের স্পর্শ করেছে//কোনো//ক্লান্তি"
            },
            {
              "number": 4669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4669.mp3"
              ],
              "text": "فَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَسَبِّحْ بِحَمْدِ رَبِّكَ قَبْلَ طُلُوعِ ٱلشَّمْسِ وَقَبْلَ ٱلْغُرُوبِ",
              "translate_bn": "অতএব, তারা যা কিছু বলে, তজ্জন্যে আপনি ছবর করুন এবং, সূর্যোদয় ও সূর্যাস্তের পূর্বে আপনার পালনকর্তার সপ্রশংস পবিত্রতা ঘোষণা করুন।",
              "numberInSurah": 39,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাসবির ‘আলা-মা-ইয়াকূ লূনা ওয়া ছাববিহ বিহামদি রাব্বিকা কাবলা তুলূ‘ইশশামছি ওয়া কাবলাল গুরূব।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//وَ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//قَبْلَ/قَبۡلَ/qabla//طُلُوْعِ/طُلُوعِ/tulu'i//الشَّمْسِ/ٱلشَّمۡسِ/al-shamsi//وَ قَبْلَ/وَقَبۡلَ/waqabla//الْغُرُوْبِۚ/ٱلۡغُرُوبِ/al-ghurubi",
              "words_bangla": "অতএব ধৈর্য ধরো//উপর//যা//তারা বলছে//এবং পবিত্রতা ঘোষণা করো//প্রশংসাসহ//তোমার রবের//পূর্বে//উদয়ের//সূর্যের//ও পূর্বে//(সূর্য) অস্তের"
            },
            {
              "number": 4670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4670.mp3"
              ],
              "text": "وَمِنَ ٱلَّيْلِ فَسَبِّحْهُ وَأَدْبَٰرَ ٱلسُّجُودِ",
              "translate_bn": "রাত্রির কিছু অংশে তাঁর পবিত্রতা ঘোষণা করুন এবং নামাযের পশ্চাতেও।",
              "numberInSurah": 40,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল্লাইলি ফাছাববিহহু ওয়া আদবা-রাছছুজূদ।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الَّیْلِ/ٱلَّيۡلِ/al-layli//فَسَبِّحْهُ/فَسَبِّحۡهُ/fasabbih'hu//وَ اَدْبَارَ/وَأَدۡبَٰرَ/wa-adbara//السُّجُوْدِ /ٱلسُّجُودِ/al-sujudi",
              "words_bangla": "এবং কিছু অংশে//রাতের//অতঃপর তাঁর পবিত্রতা ঘোষণা করো//এবং পরে//(নামাজের) সিজদাসমূহেরও"
            },
            {
              "number": 4671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4671.mp3"
              ],
              "text": "وَٱسْتَمِعْ يَوْمَ يُنَادِ ٱلْمُنَادِ مِن مَّكَانٍۢ قَرِيبٍۢ",
              "translate_bn": "শুন, যে দিন এক আহবানকারী নিকটবর্তী স্থান থেকে আহবান করবে।",
              "numberInSurah": 41,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়াছতামি‘ ইয়াওমা ইউনা-দিল মুনা-দি মিম মাকা-নিন কারীব।",
              "words_arabic": "وَ اسْتَمِعْ/وَٱسۡتَمِعۡ/wa-is'tami'//یَوْمَ/يَوۡمَ/yawma//یُنَادِ/يُنَادِ/yunadi//الْمُنَادِ/ٱلۡمُنَادِ/al-munadi//مِنْ/مِن/min//مَّكَانٍ/مَّكَانٖ/makanin//قَرِیْبٍۙ/قَرِيبٖ/qaribin",
              "words_bangla": "এবং শোনো//যে দিন//ডাকবে//একজন ঘোষণাকারী//হতে//স্থান//নিকটবর্তী"
            },
            {
              "number": 4672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4672.mp3"
              ],
              "text": "يَوْمَ يَسْمَعُونَ ٱلصَّيْحَةَ بِٱلْحَقِّ ۚ ذَٰلِكَ يَوْمُ ٱلْخُرُوجِ",
              "translate_bn": "যেদিন মানুষ নিশ্চিত সেই ভয়াবহ আওয়াজ শুনতে পাবে, সেদিনই পুনরত্থান দিবস।",
              "numberInSurah": 42,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াছমা‘ঊনাসসাইহাতা বিলহাক্কি যা-লিকা ইয়াওমুল খুরূজ।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//الصَّیْحَةَ/ٱلصَّيۡحَةَ/al-sayhata//بِالْحَقِّ ؕ/بِٱلۡحَقِّۚ/bil-haqi//ذٰلِكَ/ذَٰلِكَ/dhalika//یَوْمُ/يَوۡمُ/yawmu//الْخُرُوْجِ /ٱلۡخُرُوجِ/al-khuruji",
              "words_bangla": "সেদিন//তারা শুনতে পারবে//মহাগর্জন//যথাযথভাবে//এটা//দিন//(কবর হতে) বের হওয়ার"
            },
            {
              "number": 4673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4673.mp3"
              ],
              "text": "إِنَّا نَحْنُ نُحْىِۦ وَنُمِيتُ وَإِلَيْنَا ٱلْمَصِيرُ",
              "translate_bn": "আমি জীবন দান করি, মৃত্যু ঘটাই এবং আমারই দিকে সকলের প্রত্যাবর্তন।",
              "numberInSurah": 43,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইন্না নাহনুনুহয়ী ওয়ানুমীতুওয়া ইলাইনাল মাসীর।",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَحْنُ/نَحۡنُ/nahnu//نُحْیٖ/نُحۡيِۦ/nuh'yi//وَ نُمِیْتُ/وَنُمِيتُ/wanumitu//وَ اِلَیْنَا/وَإِلَيۡنَا/wa-ilayna//الْمَصِیْرُۙ/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "নিশ্চয়ই আমরা//আমরাই//জীবন দিই//এবং মৃত্যু দিই আমরাই//এবং আমাদের দিকেই//প্রত্যাবর্তনস্থল"
            },
            {
              "number": 4674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4674.mp3"
              ],
              "text": "يَوْمَ تَشَقَّقُ ٱلْأَرْضُ عَنْهُمْ سِرَاعًۭا ۚ ذَٰلِكَ حَشْرٌ عَلَيْنَا يَسِيرٌۭ",
              "translate_bn": "যেদিন ভূমন্ডল বিদীর্ণ হয়ে মানুষ ছুটাছুটি করে বের হয়ে আসবে। এটা এমন সমবেত করা, যা আমার জন্যে অতি সহজ।",
              "numberInSurah": 44,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তাশাক্কাকুল আরদু‘আনহুম ছিরা-‘আন যা-লিকা হাশরুন ‘আলাইনাইয়াছীর।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَشَقَّقُ/تَشَقَّقُ/tashaqqaqu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//عَنْهُمْ/عَنۡهُمۡ/anhum//سِرَاعًا ؕ/سِرَاعٗاۚ/sira'an//ذٰلِكَ/ذَٰلِكَ/dhalika//حَشْرٌ/حَشۡرٌ/hashrun//عَلَیْنَا/عَلَيۡنَا/alayna//یَسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "যেদিন//বিদীর্ণ হবে//পৃথিবী//তাদের ভিতর হতে//ত্রস্তব্যস্ত//এই//সমবেত করা//আমাদের উপর//খুবই সহজ"
            },
            {
              "number": 4675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4675.mp3"
              ],
              "text": "نَّحْنُ أَعْلَمُ بِمَا يَقُولُونَ ۖ وَمَآ أَنتَ عَلَيْهِم بِجَبَّارٍۢ ۖ فَذَكِّرْ بِٱلْقُرْءَانِ مَن يَخَافُ وَعِيدِ",
              "translate_bn": "তারা যা বলে, তা আমি সম্যক অবগত আছি। আপনি তাদের উপর জোরজবরকারী নন। অতএব, যে আমার শাস্তিকে ভয় করে, তাকে কোরআনের মাধ্যমে উপদেশ দান করুন।",
              "numberInSurah": 45,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 454,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "নাহনুআ‘আলামুবিমা-ইয়াকূলূনা ওয়ামাআনতা ‘আলাইহিম বিজাব্বা-রিন ফাযাক্কির বিলকুরআ-নি মাইঁ ইয়াখা-ফুওয়া‘ঈদ।",
              "words_arabic": "نَحْنُ/نَّحۡنُ/nahnu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یَقُوْلُوْنَ/يَقُولُونَۖ/yaquluna//وَ مَاۤ/وَمَآ/wama//اَنْتَ/أَنتَ/anta//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِجَبَّارٍ ۫/بِجَبَّارٖۖ/bijabbarin//فَذَكِّرْ/فَذَكِّرۡ/fadhakkir//بِالْقُرْاٰنِ/بِٱلۡقُرۡءَانِ/bil-qur'ani//مَنْ/مَن/man//یَّخَافُ/يَخَافُ/yakhafu//وَعِیْدِ۠/وَعِيدِ/wa'idi",
              "words_bangla": "(হে নবী) আমরা//খুব জানি//ঐ বিষয়ে যা//তারা বলেছে//এবং না//তুমি//তাদের উপর//জবরদস্তিকারী//সুতরাং উপদেশ দাও//কুরআনের সাহায্যে//(তাকে) যে//ভয় করে//আমার সতর্কীকরণকে"
            }
          ]
        },
        {
          "number": 51,
          "name": "سُورَةُ الذَّارِيَاتِ",
          "englishName": "Adh-Dhaariyat",
          "englishNameTranslation": "The Winnowing Winds",
          "revelationType": "Meccan",
          "verse": 60,
          "words": 753,
          "chars": 3182,
          "ayahs": [
            {
              "number": 4676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4676.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلذَّٰرِيَٰتِ ذَرْوًۭا",
              "translate_bn": "কসম ঝঞ্ঝাবায়ুর।",
              "numberInSurah": 1,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়াযযা-রিয়া-তি যারওয়া-।",
              "words_arabic": "وَ الذّٰرِیٰتِ/وَٱلذَّـٰرِيَٰتِ/wal-dhariyati//ذَرْوًاۙ/ذَرۡوٗا/dharwan",
              "words_bangla": "শপথ বিক্ষিপ্তকারীদের (অর্থাৎ বাতাসের)//বিক্ষিপ্ত করার মতো (যা ধুলাবালি)"
            },
            {
              "number": 4677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4677.mp3"
              ],
              "text": "فَٱلْحَٰمِلَٰتِ وِقْرًۭا",
              "translate_bn": "অতঃপর বোঝা বহনকারী মেঘের।",
              "numberInSurah": 2,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাল হা-মিলা-তি বিকরা-।",
              "words_arabic": "فَالْحٰمِلٰتِ/فَٱلۡحَٰمِلَٰتِ/fal-hamilati//وِقْرًاۙ/وِقۡرٗا/wiq'ran",
              "words_bangla": "অতঃপর বহনকারীর//ভার (অর্থাৎ মেঘ)"
            },
            {
              "number": 4678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4678.mp3"
              ],
              "text": "فَٱلْجَٰرِيَٰتِ يُسْرًۭا",
              "translate_bn": "অতঃপর মৃদু চলমান জলযানের,",
              "numberInSurah": 3,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফালজা-রিয়া-তি ইউছরা-।",
              "words_arabic": "فَالْجٰرِیٰتِ/فَٱلۡجَٰرِيَٰتِ/fal-jariyati//یُسْرًاۙ/يُسۡرٗا/yus'ran",
              "words_bangla": "অতঃপর বয়ে যাওয়া বাতাসের//সহজে/ স্বচ্ছন্দে"
            },
            {
              "number": 4679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4679.mp3"
              ],
              "text": "فَٱلْمُقَسِّمَٰتِ أَمْرًا",
              "translate_bn": "অতঃপর কর্ম বন্টনকারী ফেরেশতাগণের,",
              "numberInSurah": 4,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাল মুকাছছিমা-তি আমরা-।",
              "words_arabic": "فَالْمُقَسِّمٰتِ/فَٱلۡمُقَسِّمَٰتِ/fal-muqasimati//اَمْرًاۙ/أَمۡرًا/amran",
              "words_bangla": "অতঃপর বণ্টনকারীর//একটি বিষয়ের (অর্থাৎ বৃষ্টির)"
            },
            {
              "number": 4680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4680.mp3"
              ],
              "text": "إِنَّمَا تُوعَدُونَ لَصَادِقٌۭ",
              "translate_bn": "তোমাদের প্রদত্ত ওয়াদা অবশ্যই সত্য।",
              "numberInSurah": 5,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-তূ‘আদূনা লাসা-দিক।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//لَصَادِقٌۙ/لَصَادِقٞ/lasadiqun",
              "words_bangla": "প্রকৃতপক্ষে (যা)//তোমাদের প্রতিশ্রুতি দেওয়া হচ্ছে//সত্য অবশ্যই"
            },
            {
              "number": 4681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4681.mp3"
              ],
              "text": "وَإِنَّ ٱلدِّينَ لَوَٰقِعٌۭ",
              "translate_bn": "ইনসাফ অবশ্যম্ভাবী।",
              "numberInSurah": 6,
              "juz": 26,
              "manzil": 7,
              "page": 520,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাদ দীনা লাওয়া-কি‘উ।",
              "words_arabic": "وَّ اِنَّ/وَإِنَّ/wa-inna//الدِّیْنَ/ٱلدِّينَ/al-dina//لَوَاقِعٌؕ/لَوَٰقِعٞ/lawaqi'un",
              "words_bangla": "এবং নিশ্চয়ই//কর্মফল দিবস//অবশ্যই ঘটবে"
            },
            {
              "number": 4682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4682.mp3"
              ],
              "text": "وَٱلسَّمَآءِ ذَاتِ ٱلْحُبُكِ",
              "translate_bn": "পথবিশিষ্ট আকাশের কসম,",
              "numberInSurah": 7,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছামাই যা-তিল হুবুক।",
              "words_arabic": "وَ السَّمَآءِ/وَٱلسَّمَآءِ/wal-samai//ذَاتِ/ذَاتِ/dhati//الْحُبُكِۙ/ٱلۡحُبُكِ/al-hubuki",
              "words_bangla": "শপথ আকাশের//সম্পন্ন//বিভিন্নরূপ"
            },
            {
              "number": 4683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4683.mp3"
              ],
              "text": "إِنَّكُمْ لَفِى قَوْلٍۢ مُّخْتَلِفٍۢ",
              "translate_bn": "তোমরা তো বিরোধপূর্ণ কথা বলছ।",
              "numberInSurah": 8,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকুম লাফী কাওলিম মুখতালিফ।",
              "words_arabic": "اِنَّكُمْ/إِنَّكُمۡ/innakum//لَفِیْ/لَفِي/lafi//قَوْلٍ/قَوۡلٖ/qawlin//مُّخْتَلِفٍۙ/مُّخۡتَلِفٖ/mukh'talifin",
              "words_bangla": "নিশ্চয়ই তোমরা//মধ্যে অবশ্যই (লিপ্ত)//কথার//বিভিন্ন"
            },
            {
              "number": 4684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4684.mp3"
              ],
              "text": "يُؤْفَكُ عَنْهُ مَنْ أُفِكَ",
              "translate_bn": "যে ভ্রষ্ট, সেই এ থেকে মুখ ফিরায়,",
              "numberInSurah": 9,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইউ’ফাকু‘আনহু মান উফিক।",
              "words_arabic": "یُّؤْفَكُ/يُؤۡفَكُ/yu'faku//عَنْهُ/عَنۡهُ/anhu//مَنْ/مَنۡ/man//اُفِكَؕ/أُفِكَ/ufika",
              "words_bangla": "মুখ ফিরিয়ে নেয়//তা হতে//যে//বিমুখ হয়েছে"
            },
            {
              "number": 4685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4685.mp3"
              ],
              "text": "قُتِلَ ٱلْخَرَّٰصُونَ",
              "translate_bn": "অনুমানকারীরা ধ্বংস হোক,",
              "numberInSurah": 10,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "কুতিলাল খাররা-ছূন।",
              "words_arabic": "قُتِلَ/قُتِلَ/qutila//الْخَرّٰصُوْنَۙ/ٱلۡخَرَّـٰصُونَ/al-kharasuna",
              "words_bangla": "ধ্বংস হয়েছে//অনুমানকারীরা"
            },
            {
              "number": 4686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4686.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ فِى غَمْرَةٍۢ سَاهُونَ",
              "translate_bn": "যারা উদাসীন, ভ্রান্ত।",
              "numberInSurah": 11,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা হুম ফী গামরাতিন ছা-হূন।\r\n",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//غَمْرَةٍ/غَمۡرَةٖ/ghamratin//سَاهُوْنَۙ/سَاهُونَ/sahuna",
              "words_bangla": "যারা (এমন যে)//তারা//মধ্যে আছে//মূর্খতার//উদাসীন হয়ে"
            },
            {
              "number": 4687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4687.mp3"
              ],
              "text": "يَسْـَٔلُونَ أَيَّانَ يَوْمُ ٱلدِّينِ",
              "translate_bn": "তারা জিজ্ঞাসা করে, কেয়ামত কবে হবে?",
              "numberInSurah": 12,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলূনা আইয়া-না ইয়াওমুদ্দীন।",
              "words_arabic": "یَسْـَٔلُوْنَ/يَسۡـَٔلُونَ/yasaluna//اَیَّانَ/أَيَّانَ/ayyana//یَوْمُ/يَوۡمُ/yawmu//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "তারা প্রশ্ন করে//\"কখন (হবে)//দিবস//কর্মফলের\""
            },
            {
              "number": 4688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4688.mp3"
              ],
              "text": "يَوْمَ هُمْ عَلَى ٱلنَّارِ يُفْتَنُونَ",
              "translate_bn": "যেদিন তারা অগ্নিতে পতিত হবে,",
              "numberInSurah": 13,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা হুম ‘আলান্না-রি ইউফতানূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//هُمْ/هُمۡ/hum//عَلَی/عَلَى/ala//النَّارِ/ٱلنَّارِ/al-nari//یُفْتَنُوْنَ /يُفۡتَنُونَ/yuf'tanuna",
              "words_bangla": "(সেদিন হবে) যেদিন//তাদেরকে//উপর//আগুনের//শাস্তি দেওয়া হবে"
            },
            {
              "number": 4689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4689.mp3"
              ],
              "text": "ذُوقُوا۟ فِتْنَتَكُمْ هَٰذَا ٱلَّذِى كُنتُم بِهِۦ تَسْتَعْجِلُونَ",
              "translate_bn": "তোমরা তোমাদের শাস্তি আস্বাদন কর। তোমরা একেই ত্বরান্বিত করতে চেয়েছিল।",
              "numberInSurah": 14,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "যূকূফিতনাতাকুম হা-যাল্লাযী কনতুম বিহী তাছতা‘জিলূন।",
              "words_arabic": "ذُوْقُوْا/ذُوقُواْ/dhuqu//فِتْنَتَكُمْ ؕ/فِتۡنَتَكُمۡ/fit'natakum//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تَسْتَعْجِلُوْنَ /تَسۡتَعۡجِلُونَ/tasta'jiluna",
              "words_bangla": "\"(বলা হবে) তোমরা স্বাদ নাও//তোমাদের বিপর্যয়ের//এটা//(সেই জিনিস) যা//তোমরা ছিলে//সেটাকে//তাড়াতাড়ি চাইতে\""
            },
            {
              "number": 4690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4690.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى جَنَّٰتٍۢ وَعُيُونٍ",
              "translate_bn": "খোদাভীরুরা জান্নাতে ও প্রস্রবণে থাকবে।",
              "numberInSurah": 15,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী জান্না-তিওঁ ওয়া উ‘ইয়ূন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ عُیُوْنٍۙ/وَعُيُونٍ/wa'uyunin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা//(থাকবে) মধ্যে//জান্নাতের//ও ঝর্ণাধারাসমূহের"
            },
            {
              "number": 4691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4691.mp3"
              ],
              "text": "ءَاخِذِينَ مَآ ءَاتَىٰهُمْ رَبُّهُمْ ۚ إِنَّهُمْ كَانُوا۟ قَبْلَ ذَٰلِكَ مُحْسِنِينَ",
              "translate_bn": "এমতাবস্থায় যে, তারা গ্রহণ করবে যা তাদের পালনকর্তা তাদেরকে দেবেন। নিশ্চয় ইতিপূর্বে তারা ছিল সৎকর্মপরায়ণ,",
              "numberInSurah": 16,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "আ-খিযীনা মাআ-তা-হুম রাব্বুহুম ইন্নাহুম কা-নূকাবলা যা-লিকা মুহছিনীন।",
              "words_arabic": "اٰخِذِیْنَ/ءَاخِذِينَ/akhidhina//مَاۤ/مَآ/ma//اٰتٰىهُمْ/ءَاتَىٰهُمۡ/atahum//رَبُّهُمْ ؕ/رَبُّهُمۡۚ/rabbuhum//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَبْلَ/قَبۡلَ/qabla//ذٰلِكَ/ذَٰلِكَ/dhalika//مُحْسِنِیْنَؕ/مُحۡسِنِينَ/muh'sinina",
              "words_bangla": "গ্রহণকারী হয়ে//যা//তাদেরকে দিবেন//তাদের রব//তারা নিশ্চয়ই//ছিল//পূর্বে//এর//সত্কর্মশীল লোক"
            },
            {
              "number": 4692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4692.mp3"
              ],
              "text": "كَانُوا۟ قَلِيلًۭا مِّنَ ٱلَّيْلِ مَا يَهْجَعُونَ",
              "translate_bn": "তারা রাত্রির সামান্য অংশেই নিদ্রা যেত,",
              "numberInSurah": 17,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "কা-নূকালীলাম মিনাল্লাইলি মা-ইয়াহজা‘ঊন।",
              "words_arabic": "كَانُوْا/كَانُواْ/kanu//قَلِیْلًا/قَلِيلٗا/qalilan//مِّنَ/مِّنَ/mina//الَّیْلِ/ٱلَّيۡلِ/al-layli//مَا/مَا/ma//یَهْجَعُوْنَ /يَهۡجَعُونَ/yahja'una",
              "words_bangla": "তারা ছিল (এমন যে)//সামান্য (অংশ)//কিছু অংশ//রাতের//যাতে//তারা নিদ্রা যেত"
            },
            {
              "number": 4693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4693.mp3"
              ],
              "text": "وَبِٱلْأَسْحَارِ هُمْ يَسْتَغْفِرُونَ",
              "translate_bn": "রাতের শেষ প্রহরে তারা ক্ষমাপ্রার্থনা করত,",
              "numberInSurah": 18,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া বিলআছহা-রিহুম ইয়াছতাগফিরূন।",
              "words_arabic": "وَ بِالْاَسْحَارِ/وَبِٱلۡأَسۡحَارِ/wabil-ashari//هُمْ/هُمۡ/hum//یَسْتَغْفِرُوْنَ /يَسۡتَغۡفِرُونَ/yastaghfiruna",
              "words_bangla": "এবং রাতের শেষ প্রহরে//তারা//ক্ষমা প্রার্থনা করত"
            },
            {
              "number": 4694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4694.mp3"
              ],
              "text": "وَفِىٓ أَمْوَٰلِهِمْ حَقٌّۭ لِّلسَّآئِلِ وَٱلْمَحْرُومِ",
              "translate_bn": "এবং তাদের ধন-সম্পদে প্রার্থী ও বঞ্চিতের হক ছিল।",
              "numberInSurah": 19,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফীআমওয়া-লিহিম হাক্কুল লিছছাইলি ওয়াল মাহরূম।",
              "words_arabic": "وَ فِیْۤ/وَفِيٓ/wafi//اَمْوَالِهِمْ/أَمۡوَٰلِهِمۡ/amwalihim//حَقٌّ/حَقّٞ/haqqun//لِّلسَّآىِٕلِ/لِّلسَّآئِلِ/lilssaili//وَ الْمَحْرُوْمِ /وَٱلۡمَحۡرُومِ/wal-mahrumi",
              "words_bangla": "এবং মধ্যে (আছে)//তাদের সম্পদ সমূহের//অধিকার//প্রার্থনাকারীর জন্যে//ও বঞ্চিতের"
            },
            {
              "number": 4695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4695.mp3"
              ],
              "text": "وَفِى ٱلْأَرْضِ ءَايَٰتٌۭ لِّلْمُوقِنِينَ",
              "translate_bn": "বিশ্বাসকারীদের জন্যে পৃথিবীতে নিদর্শনাবলী রয়েছে,",
              "numberInSurah": 20,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফিল আরদিআ-য়া-তুলিলল মূ’কিনীন।",
              "words_arabic": "وَ فِی/وَفِي/wafi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اٰیٰتٌ/ءَايَٰتٞ/ayatun//لِّلْمُوْقِنِیْنَۙ/لِّلۡمُوقِنِينَ/lil'muqinina",
              "words_bangla": "এবং মধ্যে (আছে)//পৃথিবীর//নিদর্শন সমূহ//দৃঢ় বিশ্বাসীদের জন্যে"
            },
            {
              "number": 4696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4696.mp3"
              ],
              "text": "وَفِىٓ أَنفُسِكُمْ ۚ أَفَلَا تُبْصِرُونَ",
              "translate_bn": "এবং তোমাদের নিজেদের মধ্যেও, তোমরা কি অনুধাবন করবে না?",
              "numberInSurah": 21,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফীআনফুছিকুম আফালা-তুবসিরূন।",
              "words_arabic": "وَ فِیْۤ/وَفِيٓ/wafi//اَنْفُسِكُمْ ؕ/أَنفُسِكُمۡۚ/anfusikum//اَفَلَا/أَفَلَا/afala//تُبْصِرُوْنَ /تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "এবং মধ্যে আছে//তোমাদের নিজেদের//না তবে কি//তোমরা (ভেবে) দেখ"
            },
            {
              "number": 4697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4697.mp3"
              ],
              "text": "وَفِى ٱلسَّمَآءِ رِزْقُكُمْ وَمَا تُوعَدُونَ",
              "translate_bn": "আকাশে রয়েছে তোমাদের রিযিক ও প্রতিশ্রুত সবকিছু।",
              "numberInSurah": 22,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফিছছামাই রিঝকুকুম ওয়ামা-তূ‘আদূন।",
              "words_arabic": "وَ فِی/وَفِي/wafi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//رِزْقُكُمْ/رِزۡقُكُمۡ/riz'qukum//وَ مَا/وَمَا/wama//تُوْعَدُوْنَ /تُوعَدُونَ/tu'aduna",
              "words_bangla": "এবং মধ্যে আছে//আকাশের//তোমাদের জীবিকা//এবং যা//তোমাদের প্রতিশ্রুতি দেওয়া হয়েছে"
            },
            {
              "number": 4698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4698.mp3"
              ],
              "text": "فَوَرَبِّ ٱلسَّمَآءِ وَٱلْأَرْضِ إِنَّهُۥ لَحَقٌّۭ مِّثْلَ مَآ أَنَّكُمْ تَنطِقُونَ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের পালনকর্তার কসম, তোমাদের কথাবার্তার মতই এটা সত্য।",
              "numberInSurah": 23,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 455,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাওয়ারাব্বিছ ছামাই ওয়াল আরদিইন্নাহূলাহাক্কুম মিছলা মাআন্নাকুম তানতিকূন।",
              "words_arabic": "فَوَرَبِّ/فَوَرَبِّ/fawarabbi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//اِنَّهٗ/إِنَّهُۥ/innahu//لَحَقٌّ/لَحَقّٞ/lahaqqun//مِّثْلَ/مِّثۡلَ/mith'la//مَاۤ/مَآ/ma//اَنَّكُمْ/أَنَّكُمۡ/annakum//تَنْطِقُوْنَ۠/تَنطِقُونَ/tantiquna",
              "words_bangla": "অতএব রবের শপথ//আকাশের//ও পৃথিবীর//তা নিশ্চয়//সত্য অবশ্যই//(তার) মত//যেমন//তোমরা//কথাবার্তা বল"
            },
            {
              "number": 4699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4699.mp3"
              ],
              "text": "هَلْ أَتَىٰكَ حَدِيثُ ضَيْفِ إِبْرَٰهِيمَ ٱلْمُكْرَمِينَ",
              "translate_bn": "আপনার কাছে ইব্রাহীমের সম্মানিত মেহমানদের বৃত্তান্ত এসেছে কি?",
              "numberInSurah": 24,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "হাল আতা-কা হাদীছুদাইফি ইবরা-হীমাল মুকরামীন।",
              "words_arabic": "هَلْ/هَلۡ/hal//اَتٰىكَ/أَتَىٰكَ/ataka//حَدِیْثُ/حَدِيثُ/hadithu//ضَیْفِ/ضَيۡفِ/dayfi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//الْمُكْرَمِیْنَۘ/ٱلۡمُكۡرَمِينَ/al-muk'ramina",
              "words_bangla": "(হে নবী) কি//তোমার কাছে এসেছে//বৃত্তান্ত//মেহমানদের//ইবরাহীমের//(যারা ছিল বড়) সন্মানিত"
            },
            {
              "number": 4700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4700.mp3"
              ],
              "text": "إِذْ دَخَلُوا۟ عَلَيْهِ فَقَالُوا۟ سَلَٰمًۭا ۖ قَالَ سَلَٰمٌۭ قَوْمٌۭ مُّنكَرُونَ",
              "translate_bn": "যখন তারা তাঁর কাছে উপস্থিত হয়ে বললঃ সালাম, তখন সে বললঃ সালাম। এরা তো অপরিচিত লোক।",
              "numberInSurah": 25,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ইয দাখালূ‘আলাইহি ফাকা-লূছালা-মান কা-লা ছালা-মুন কাওমুম মুনকারূন।\r\n",
              "words_arabic": "اِذْ/إِذۡ/idh//دَخَلُوْا/دَخَلُواْ/dakhalu//عَلَیْهِ/عَلَيۡهِ/alayhi//فَقَالُوْا/فَقَالُواْ/faqalu//سَلٰمًا ؕ/سَلَٰمٗاۖ/salaman//قَالَ/قَالَ/qala//سَلٰمٌ ۚ/سَلَٰمٞ/salamun//قَوْمٌ/قَوۡمٞ/qawmun//مُّنْكَرُوْنَۚ/مُّنكَرُونَ/munkaruna",
              "words_bangla": "যখন//তারা প্রবেশ করল//তার কাছে//তারা তখন বলল//\"সালাম (বর্ষিত হউক)\"//(ইবরাহীম) বলল//\"সালাম (বর্ষিত হউক)//(এসব) লোকজন//অপরিচিত (মনে হচ্ছে)\""
            },
            {
              "number": 4701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4701.mp3"
              ],
              "text": "فَرَاغَ إِلَىٰٓ أَهْلِهِۦ فَجَآءَ بِعِجْلٍۢ سَمِينٍۢ",
              "translate_bn": "অতঃপর সে গ্রহে গেল এবং একটি ঘৃতেপক্ক মোটা গোবৎস নিয়ে হাযির হল।",
              "numberInSurah": 26,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফারা-গা ইলাআহলিহী ফাজাআ বি‘ইজলিন ছামীন।",
              "words_arabic": "فَرَاغَ/فَرَاغَ/faragha//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//فَجَآءَ/فَجَآءَ/fajaa//بِعِجْلٍ/بِعِجۡلٖ/bi'ij'lin//سَمِیْنٍۙ/سَمِينٖ/saminin",
              "words_bangla": "অতঃপর সে চলে গেল//নিকট//তার স্ত্রীর//অতঃপর আনল//একটি বাছুর নিয়ে (তাজা)//মোটা তাজা"
            },
            {
              "number": 4702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4702.mp3"
              ],
              "text": "فَقَرَّبَهُۥٓ إِلَيْهِمْ قَالَ أَلَا تَأْكُلُونَ",
              "translate_bn": "সে গোবৎসটি তাদের সামনে রেখে বললঃ তোমরা আহার করছ না কেন?",
              "numberInSurah": 27,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাকাররাবাহূইলাইহিম কা-লা আলা-তা’কুলূন।",
              "words_arabic": "فَقَرَّبَهٗۤ/فَقَرَّبَهُۥٓ/faqarrabahu//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//قَالَ/قَالَ/qala//اَلَا/أَلَا/ala//تَاْكُلُوْنَؗ/تَأۡكُلُونَ/takuluna",
              "words_bangla": "তা অতঃপর কাছে আনল//তাদের//সে বলল//\"না কেন//তোমরা খাচ্ছ\""
            },
            {
              "number": 4703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4703.mp3"
              ],
              "text": "فَأَوْجَسَ مِنْهُمْ خِيفَةًۭ ۖ قَالُوا۟ لَا تَخَفْ ۖ وَبَشَّرُوهُ بِغُلَٰمٍ عَلِيمٍۢ",
              "translate_bn": "অতঃপর তাদের সম্পর্কে সে মনে মনে ভীত হলঃ তারা বললঃ ভীত হবেন না। তারা তাঁকে একট জ্ঞানীগুণী পুত্র সন্তানের সুসংবাদ দিল।",
              "numberInSurah": 28,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাআওজাছা মিন হুম খীফাতান কা-লূলা-তাখাফ ওয়াবাশশারূহু বিগুলা-মিন ‘আলীম।",
              "words_arabic": "فَاَوْجَسَ/فَأَوۡجَسَ/fa-awjasa//مِنْهُمْ/مِنۡهُمۡ/min'hum//خِیْفَةً ؕ/خِيفَةٗۖ/khifatan//قَالُوْا/قَالُواْ/qalu//لَا/لَا/la//تَخَفْ ؕ/تَخَفۡۖ/takhaf//وَ بَشَّرُوْهُ/وَبَشَّرُوهُ/wabasharuhu//بِغُلٰمٍ/بِغُلَٰمٍ/bighulamin//عَلِیْمٍ /عَلِيمٖ/alimin",
              "words_bangla": "ফলে তিনি অনুভব করলেন//তাদের থেকে//ভয়//তারা বলল//\"না//ভয় করো\"//এবং তাকে তারা সুসংবাদ দিল//একটি ছেলের (জন্মের)//(যে হবে) জ্ঞানী"
            },
            {
              "number": 4704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4704.mp3"
              ],
              "text": "فَأَقْبَلَتِ ٱمْرَأَتُهُۥ فِى صَرَّةٍۢ فَصَكَّتْ وَجْهَهَا وَقَالَتْ عَجُوزٌ عَقِيمٌۭ",
              "translate_bn": "অতঃপর তাঁর স্ত্রী চীৎকার করতে করতে সামনে এল এবং মুখ চাপড়িয়ে বললঃ আমি তো বৃদ্ধা, বন্ধ্যা।",
              "numberInSurah": 29,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "ফাআকবালাতিম রাআতুহূফী সাররাতিন ফাসাক্কাত ওয়াজহাহা- ওয়াকা-লাত ‘আজূঝুন ‘আকীম।",
              "words_arabic": "فَاَقْبَلَتِ/فَأَقۡبَلَتِ/fa-aqbalati//امْرَاَتُهٗ/ٱمۡرَأَتُهُۥ/im'ra-atuhu//فِیْ/فِي/fi//صَرَّةٍ/صَرَّةٖ/sarratin//فَصَكَّتْ/فَصَكَّتۡ/fasakkat//وَجْهَهَا/وَجۡهَهَا/wajhaha//وَ قَالَتْ/وَقَالَتۡ/waqalat//عَجُوْزٌ/عَجُوزٌ/ajuzun//عَقِیْمٌ /عَقِيمٞ/aqimun",
              "words_bangla": "তখন সামনে এল//তার স্ত্রী//অবস্থায়//চিৎকার//এরপর চাপড়াল//তার (নিজের) গালে//এবং বলল//\"(এই) বৃদ্ধা//বন্ধ্যার (সন্তান হবে!)\""
            },
            {
              "number": 4705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4705.mp3"
              ],
              "text": "قَالُوا۟ كَذَٰلِكِ قَالَ رَبُّكِ ۖ إِنَّهُۥ هُوَ ٱلْحَكِيمُ ٱلْعَلِيمُ",
              "translate_bn": "তারা বললঃ তোমার পালনকর্তা এরূপই বলেছেন। নিশ্চয় তিনি প্রজ্ঞাময়, সর্বজ্ঞ।",
              "numberInSurah": 30,
              "juz": 26,
              "manzil": 7,
              "page": 521,
              "ruku": 456,
              "hizbQuarter": 208,
              "sajda": false,
              "pronunciation_bn": "কা-লূকাযা-লিকি কা-লা রাব্বুকি ইন্নাহূহুওয়াল হাকীমুল ‘আলীম।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//كَذٰلِكِ ۙ/كَذَٰلِكِ/kadhaliki//قَالَ/قَالَ/qala//رَبُّكِ ؕ/رَبُّكِۖ/rabbuki//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْحَكِیْمُ/ٱلۡحَكِيمُ/al-hakimu//الْعَلِیْمُ /ٱلۡعَلِيمُ/al-'alimu",
              "words_bangla": "তারা বলল//\"এরূপই//বলেছেন//তোমার রব//নিশ্চয়ই তিনি//তিনিই//প্রজ্ঞাময়//সবকিছু জানেন\""
            },
            {
              "number": 4706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4706.mp3"
              ],
              "text": "۞ قَالَ فَمَا خَطْبُكُمْ أَيُّهَا ٱلْمُرْسَلُونَ",
              "translate_bn": "ইব্রাহীম বললঃ হে প্রেরিত ফেরেশতাগণ, তোমাদের উদ্দেশ্য কি?",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "কা-লা ফামা-খাতবুকুম আইয়ুহাল মুরছালূন।",
              "words_arabic": "قَالَ/۞قَالَ/qala//فَمَا/فَمَا/fama//خَطْبُكُمْ/خَطۡبُكُمۡ/khatbukum//اَیُّهَا/أَيُّهَا/ayyuha//الْمُرْسَلُوْنَ /ٱلۡمُرۡسَلُونَ/al-mur'saluna",
              "words_bangla": "সে বলল//\"কি তাহলে//তোমাদের উদ্দেশ্য//হে\"//প্রেরিত (ফেরেশতা) গণ\""
            },
            {
              "number": 4707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4707.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمٍۢ مُّجْرِمِينَ",
              "translate_bn": "তারা বললঃ আমরা এক অপরাধী সম্প্রদায়ের প্রতি প্রেরিত হয়েছি,",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্নাউরছিলনাইলা-কাওমিম মুজরিমীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّاۤ/إِنَّآ/inna//اُرْسِلْنَاۤ/أُرۡسِلۡنَآ/ur'sil'na//اِلٰی/إِلَىٰ/ila//قَوْمٍ/قَوۡمٖ/qawmin//مُّجْرِمِیْنَۙ/مُّجۡرِمِينَ/muj'rimina",
              "words_bangla": "তারা বলল//\"নিশ্চয়ই আমরা//আমরা প্রেরিত হয়েছি//প্রতি//জাতির//অপরাধী"
            },
            {
              "number": 4708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4708.mp3"
              ],
              "text": "لِنُرْسِلَ عَلَيْهِمْ حِجَارَةًۭ مِّن طِينٍۢ",
              "translate_bn": "যাতে তাদের উপর মাটির ঢিলা নিক্ষেপ করি।",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "লিনুরছিলা ‘আলাইহিম হিজা-রাতাম মিন তীন।",
              "words_arabic": "لِنُرْسِلَ/لِنُرۡسِلَ/linur'sila//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حِجَارَةً/حِجَارَةٗ/hijaratan//مِّنْ/مِّن/min//طِیْنٍۙ/طِينٖ/tinin",
              "words_bangla": "যেন আমরা নিক্ষেপ করি//তাদের উপর//পাথর//তৈরি//(পাকা) মাটির"
            },
            {
              "number": 4709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4709.mp3"
              ],
              "text": "مُّسَوَّمَةً عِندَ رَبِّكَ لِلْمُسْرِفِينَ",
              "translate_bn": "যা সীমাতিক্রমকারীদের জন্যে আপনার পালনকর্তার কাছে চিহিߦ#2468; আছে।",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "মুছাওয়ামাতান ‘ইন্দা রাব্বিকা লিলমুছরিফীন।",
              "words_arabic": "مُّسَوَّمَةً/مُّسَوَّمَةً/musawwamatan//عِنْدَ/عِندَ/inda//رَبِّكَ/رَبِّكَ/rabbika//لِلْمُسْرِفِیْنَ /لِلۡمُسۡرِفِينَ/lil'mus'rifina",
              "words_bangla": "চিহ্নিত (হয়ে আছে)//কাছে//তোমার রবের//সীমা লঙ্ঘনকারীদের জন্যে\""
            },
            {
              "number": 4710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4710.mp3"
              ],
              "text": "فَأَخْرَجْنَا مَن كَانَ فِيهَا مِنَ ٱلْمُؤْمِنِينَ",
              "translate_bn": "অতঃপর সেখানে যারা ঈমানদার ছিল, আমি তাদেরকে উদ্ধার করলাম।",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাআখরাজনা-মান কা-না ফীহা-মিনাল মু’মিনীন।",
              "words_arabic": "فَاَخْرَجْنَا/فَأَخۡرَجۡنَا/fa-akhrajna//مَنْ/مَن/man//كَانَ/كَانَ/kana//فِیْهَا/فِيهَا/fiha//مِنَ/مِنَ/mina//الْمُؤْمِنِیْنَۚ/ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এরপর আমরা বের করলাম//(তাদেরকে) যারা//ছিল//তার মধ্যে//মধ্য হতে//মু'মিনদের"
            },
            {
              "number": 4711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4711.mp3"
              ],
              "text": "فَمَا وَجَدْنَا فِيهَا غَيْرَ بَيْتٍۢ مِّنَ ٱلْمُسْلِمِينَ",
              "translate_bn": "এবং সেখানে একটি গৃহ ব্যতীত কোন মুসলমান আমি পাইনি।",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফামা-ওয়াজাদনা-ফীহা-গাইরা বাইতিম মিনাল মুছলিমীন।",
              "words_arabic": "فَمَا/فَمَا/fama//وَجَدْنَا/وَجَدۡنَا/wajadna//فِیْهَا/فِيهَا/fiha//غَیْرَ/غَيۡرَ/ghayra//بَیْتٍ/بَيۡتٖ/baytin//مِّنَ/مِّنَ/mina//الْمُسْلِمِیْنَۚ/ٱلۡمُسۡلِمِينَ/al-mus'limina",
              "words_bangla": "না অতঃপর//আমরা পেয়েছি//তার মধ্যে//এ ব্যতীত//একটি ঘর//থেকে//মুসলমানদের"
            },
            {
              "number": 4712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4712.mp3"
              ],
              "text": "وَتَرَكْنَا فِيهَآ ءَايَةًۭ لِّلَّذِينَ يَخَافُونَ ٱلْعَذَابَ ٱلْأَلِيمَ",
              "translate_bn": "যারা যন্ত্রণাদায়ক শাস্তিকে ভয় করে, আমি তাদের জন্যে সেখানে একটি নিদর্শন রেখেছি।",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াতারাকনা-ফীহাআ-য়াতালিলল্লাযীনা ইয়াখা-ফূনাল ‘আযা-বাল আলীম।",
              "words_arabic": "وَ تَرَكْنَا/وَتَرَكۡنَا/watarakna//فِیْهَاۤ/فِيهَآ/fiha//اٰیَةً/ءَايَةٗ/ayatan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الْاَلِیْمَؕ/ٱلۡأَلِيمَ/al-alima",
              "words_bangla": "এবং আমরা রেখেছি//সেখানে//একটি নিদর্শন//(তাদের) জন্যে যারা//ভয় করে//শাস্তির//যন্ত্রণাদায়ক"
            },
            {
              "number": 4713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4713.mp3"
              ],
              "text": "وَفِى مُوسَىٰٓ إِذْ أَرْسَلْنَٰهُ إِلَىٰ فِرْعَوْنَ بِسُلْطَٰنٍۢ مُّبِينٍۢ",
              "translate_bn": "এবং নিদর্শন রয়েছে মূসার বৃত্তান্তে; যখন আমি তাকে সুস্পষ্ট প্রমাণসহ ফেরাউনের কাছে প্রেরণ করেছিলাম।",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফী মূছাইয আরছালনা -হু ইলা-ফির‘আওনা বিছুলতা-নিম মুবীন।",
              "words_arabic": "وَ فِیْ/وَفِي/wafi//مُوْسٰۤی/مُوسَىٰٓ/musa//اِذْ/إِذۡ/idh//اَرْسَلْنٰهُ/أَرۡسَلۡنَٰهُ/arsalnahu//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//بِسُلْطٰنٍ/بِسُلۡطَٰنٖ/bisul'tanin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "এবং মধ্যে ( নিদর্শন আছে)//মুসার (কাহিনীর)//যখন//তাকে আমরা প্রেরণ করেছিলাম//প্রতি//ফিরআউনের//প্রমাণসহ//সুস্পষ্ট"
            },
            {
              "number": 4714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4714.mp3"
              ],
              "text": "فَتَوَلَّىٰ بِرُكْنِهِۦ وَقَالَ سَٰحِرٌ أَوْ مَجْنُونٌۭ",
              "translate_bn": "অতঃপর সে শক্তিবলে মুখ ফিরিয়ে নিল এবং বললঃ সে হয় যাদুকর, না হয় পাগল।",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা-বিরুকনিহী ওয়াকা-লা ছা-হিরুন আও মাজনূন।",
              "words_arabic": "فَتَوَلّٰی/فَتَوَلَّىٰ/fatawalla//بِرُكْنِهٖ/بِرُكۡنِهِۦ/biruk'nihi//وَ قَالَ/وَقَالَ/waqala//سٰحِرٌ/سَٰحِرٌ/sahirun//اَوْ/أَوۡ/aw//مَجْنُوْنٌ /مَجۡنُونٞ/majnunun",
              "words_bangla": "অতঃপর সে মুখ ফিরায়//তার সভাসদগণসহ//এবং বলেছিল//\"(সে একজন) জাদুকর//অথবা//পাগল (জ্বিন আশ্রিত)\""
            },
            {
              "number": 4715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4715.mp3"
              ],
              "text": "فَأَخَذْنَٰهُ وَجُنُودَهُۥ فَنَبَذْنَٰهُمْ فِى ٱلْيَمِّ وَهُوَ مُلِيمٌۭ",
              "translate_bn": "অতঃপর আমি তাকে ও তার সেনাবাহিনীকে পাকড়াও করলাম এবং তাদেরকে সমুদ্রে নিক্ষেপ করলাম। সে ছিল অভিযুক্ত।",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযনা-হু ওয়া জুনূদাহূফানাবাযনা-হুম ফিল ইয়াম্মি ওয়া হুওয়া মুলীম।",
              "words_arabic": "فَاَخَذْنٰهُ/فَأَخَذۡنَٰهُ/fa-akhadhnahu//وَ جُنُوْدَهٗ/وَجُنُودَهُۥ/wajunudahu//فَنَبَذْنٰهُمْ/فَنَبَذۡنَٰهُمۡ/fanabadhnahum//فِی/فِي/fi//الْیَمِّ/ٱلۡيَمِّ/al-yami//وَ هُوَ/وَهُوَ/wahuwa//مُلِیْمٌؕ/مُلِيمٞ/mulimun",
              "words_bangla": "অবশেষে তাকে আমরা পাকড়াও করলাম//ও তার সৈন্যদেরকে//এরপর তাদের আমরা নিক্ষেপ করেছিলাম//মধ্যে//সমুদ্রের//এবং সে (হয়েছিল)//নিন্দিত"
            },
            {
              "number": 4716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4716.mp3"
              ],
              "text": "وَفِى عَادٍ إِذْ أَرْسَلْنَا عَلَيْهِمُ ٱلرِّيحَ ٱلْعَقِيمَ",
              "translate_bn": "এবং নিদর্শন রয়েছে তাদের কাহিনীতে; যখন আমি তাদের উপর প্রেরণ করেছিলাম অশুভ বায়ু।",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফী ‘আ-দিন ইযআরছালনা-‘আলাইহিমুররী হাল ‘আকীম।",
              "words_arabic": "وَ فِیْ/وَفِي/wafi//عَادٍ/عَادٍ/adin//اِذْ/إِذۡ/idh//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الرِّیْحَ/ٱلرِّيحَ/al-riha//الْعَقِیْمَۚ/ٱلۡعَقِيمَ/al-'aqima",
              "words_bangla": "এবং (আছে) মধ্যে (নিদর্শন)//আ'দ জাতির (ঘটনায়)//যখন//আমরা পাঠিয়ে ছিলাম//তাদের বিরুদ্ধে//বায়ুপ্রবাহ//অকল্যাণকর/ বিধ্বংসী"
            },
            {
              "number": 4717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4717.mp3"
              ],
              "text": "مَا تَذَرُ مِن شَىْءٍ أَتَتْ عَلَيْهِ إِلَّا جَعَلَتْهُ كَٱلرَّمِيمِ",
              "translate_bn": "এই বায়ু যার উপর দিয়ে প্রবাহিত হয়েছিলঃ তাকেই চুর্ণ-বিচুর্ণ করে দিয়েছিল।",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "মা-তাযারু মিন শাইয়িন আতাত ‘আলাইহি ইল্লা-জা‘আলাতহু কার রামীম।",
              "words_arabic": "مَا/مَا/ma//تَذَرُ/تَذَرُ/tadharu//مِنْ/مِن/min//شَیْءٍ/شَيۡءٍ/shayin//اَتَتْ/أَتَتۡ/atat//عَلَیْهِ/عَلَيۡهِ/alayhi//اِلَّا/إِلَّا/illa//جَعَلَتْهُ/جَعَلَتۡهُ/ja'alathu//كَالرَّمِیْمِؕ/كَٱلرَّمِيمِ/kal-ramimi",
              "words_bangla": "না//ছেড়েছিল//কোনো//কিছুই//বয়ে গিয়েছিল//যার উপর (দিয়ে)//এছাড়া//তাকে করেছিল//যেন চূর্ণবিচূর্ণ"
            },
            {
              "number": 4718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4718.mp3"
              ],
              "text": "وَفِى ثَمُودَ إِذْ قِيلَ لَهُمْ تَمَتَّعُوا۟ حَتَّىٰ حِينٍۢ",
              "translate_bn": "আরও নিদর্শন রয়েছে সামূদের ঘটনায়; যখন তাদেরকে বলা হয়েছিল, কিছুকাল মজা লুটে নাও।",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফী ছামূদা ইযকীলা লাহুম তামাত্তা‘ঊ হাত্তা-হীন।",
              "words_arabic": "وَ فِیْ/وَفِي/wafi//ثَمُوْدَ/ثَمُودَ/thamuda//اِذْ/إِذۡ/idh//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//تَمَتَّعُوْا/تَمَتَّعُواْ/tamatta'u//حَتّٰی/حَتَّىٰ/hatta//حِیْنٍ /حِينٖ/hinin",
              "words_bangla": "এবং (আছে) মধ্যে (নিদর্শন)//সামূদ জাতির (ঘটনায়)//যখন//বলা হয়েছিল//তাদেরকে//\"তোমরা উপভোগ করো//পর্যন্ত//একটি নির্দিষ্ট সময়\""
            },
            {
              "number": 4719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4719.mp3"
              ],
              "text": "فَعَتَوْا۟ عَنْ أَمْرِ رَبِّهِمْ فَأَخَذَتْهُمُ ٱلصَّٰعِقَةُ وَهُمْ يَنظُرُونَ",
              "translate_bn": "অতঃপর তারা তাদের পালনকর্তার আদেশ অমান্য করল এবং তাদের প্রতি বজ্রঘাত হল এমতাবস্থায় যে, তারা তা দেখেছিল।",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফা‘আতাও ‘আন আমরি রাব্বিহিম ফাআখাযাতহুমুসসা-‘ইকাতুওয়া হুম ইয়ানজুরূন।",
              "words_arabic": "فَعَتَوْا/فَعَتَوۡاْ/fa'ataw//عَنْ/عَنۡ/an//اَمْرِ/أَمۡرِ/amri//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//فَاَخَذَتْهُمُ/فَأَخَذَتۡهُمُ/fa-akhadhathumu//الصّٰعِقَةُ/ٱلصَّـٰعِقَةُ/al-sa'iqatu//وَ هُمْ/وَهُمۡ/wahum//یَنْظُرُوْنَ /يَنظُرُونَ/yanzuruna",
              "words_bangla": "এরপরও তারা সীমালংঘন করল//ব্যাপারে//নির্দেশের//তাদের রবের//অবশেষে তাদেরকে পাকড়াও করল//(আমার) বজ্রাঘাতে//এ অবস্থায় যে তারা//দেখছিল"
            },
            {
              "number": 4720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4720.mp3"
              ],
              "text": "فَمَا ٱسْتَطَٰعُوا۟ مِن قِيَامٍۢ وَمَا كَانُوا۟ مُنتَصِرِينَ",
              "translate_bn": "অতঃপর তারা দাঁড়াতে সক্ষম হল না এবং কোন প্রতিকারও করতে পারল না।",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফামাছতাতা-‘ঊ মিন কিয়া-মিওঁ ওয়ামা-কা-নূমুনতাসিরীন।",
              "words_arabic": "فَمَا/فَمَا/fama//اسْتَطَاعُوْا/ٱسۡتَطَٰعُواْ/is'tata'u//مِنْ/مِن/min//قِیَامٍ/قِيَامٖ/qiyamin//وَّ مَا/وَمَا/wama//كَانُوْا/كَانُواْ/kanu//مُنْتَصِرِیْنَۙ/مُنتَصِرِينَ/muntasirina",
              "words_bangla": "অতঃপর না//তারা পেরেছিল//থেকে//উঠে দাঁড়াতে//আর না//তারা ছিল//আত্মরক্ষা করতে সক্ষম"
            },
            {
              "number": 4721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4721.mp3"
              ],
              "text": "وَقَوْمَ نُوحٍۢ مِّن قَبْلُ ۖ إِنَّهُمْ كَانُوا۟ قَوْمًۭا فَٰسِقِينَ",
              "translate_bn": "আমি ইতিপূর্বে নূহের সম্প্রদায়কে ধ্বংস করেছি। নিশ্চিতই তারা ছিল পাপাচারী সম্প্রদায়।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 456,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাওমা নূহিম মিন কাবলু ইন্নাহুম কা-নূকাওমান ফা-ছিকীন।",
              "words_arabic": "وَ قَوْمَ/وَقَوۡمَ/waqawma//نُوْحٍ/نُوحٖ/nuhin//مِّنْ/مِّن/min//قَبْلُ ؕ/قَبۡلُۖ/qablu//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَوْمًا/قَوۡمٗا/qawman//فٰسِقِیْنَ۠/فَٰسِقِينَ/fasiqina",
              "words_bangla": "এবং জাতিকে//নূহের//থেকে//ইতিপূর্বে (ধ্বংস করেছি)//তারা নিশ্চয়ই//তারা ছিল//জাতি//সত্যত্যাগী"
            },
            {
              "number": 4722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4722.mp3"
              ],
              "text": "وَٱلسَّمَآءَ بَنَيْنَٰهَا بِأَيْي۟دٍۢ وَإِنَّا لَمُوسِعُونَ",
              "translate_bn": "আমি স্বীয় ক্ষমতাবলে আকাশ নির্মাণ করেছি এবং আমি অবশ্যই ব্যাপক ক্ষমতাশালী।",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাআ বানাইনা-হা-বিআইদিওঁ ওয়া ইন্না-লামূছি‘ঊন।",
              "words_arabic": "وَ السَّمَآءَ/وَٱلسَّمَآءَ/wal-samaa//بَنَیْنٰهَا/بَنَيۡنَٰهَا/banaynaha//بِاَیْىدٍ/بِأَيۡيْدٖ/bi-aydin//وَّ اِنَّا/وَإِنَّا/wa-inna//لَمُوْسِعُوْنَ /لَمُوسِعُونَ/lamusi'una",
              "words_bangla": "এবং আকাশ//তা আমরা সৃষ্টি করেছি//(নিজের) হাত দিয়ে//এবং আমরা নিশ্চয়ই//অবশ্যই সপ্রসারণকারী"
            },
            {
              "number": 4723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4723.mp3"
              ],
              "text": "وَٱلْأَرْضَ فَرَشْنَٰهَا فَنِعْمَ ٱلْمَٰهِدُونَ",
              "translate_bn": "আমি ভূমিকে বিছিয়েছি। আমি কত সুন্দরভাবেই না বিছাতে সক্ষম।",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আর দা ফারাশ-হা-ফানি‘মাল মা-হিদূন।",
              "words_arabic": "وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//فَرَشْنٰهَا/فَرَشۡنَٰهَا/farashnaha//فَنِعْمَ/فَنِعۡمَ/fani'ma//الْمٰهِدُوْنَ /ٱلۡمَٰهِدُونَ/al-mahiduna",
              "words_bangla": "এবং ভূমিকে//তা আমরা সমতল করে দিয়েছি//আর কতই না উত্তম//সমতলকারী (আমরা)"
            },
            {
              "number": 4724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4724.mp3"
              ],
              "text": "وَمِن كُلِّ شَىْءٍ خَلَقْنَا زَوْجَيْنِ لَعَلَّكُمْ تَذَكَّرُونَ",
              "translate_bn": "আমি প্রত্যেক বস্তু জোড়ায় জোড়ায় সৃষ্টি করেছি, যাতে তোমরা হৃদয়ঙ্গম কর।",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন কুল্লি শাইয়িন খালাকনা-ঝাওজাইনি লা‘আল্লাকুম তাযাক্কারূন।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٍ/shayin//خَلَقْنَا/خَلَقۡنَا/khalaqna//زَوْجَیْنِ/زَوۡجَيۡنِ/zawjayni//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "এবং থেকে//প্রত্যেক//বস্তুকে//আমরা সৃষ্টি করেছি//জোড়ায় জোড়ায়//তোমরা যাতে//শিক্ষা গ্রহণ কর"
            },
            {
              "number": 4725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4725.mp3"
              ],
              "text": "فَفِرُّوٓا۟ إِلَى ٱللَّهِ ۖ إِنِّى لَكُم مِّنْهُ نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "অতএব, আল্লাহর দিকে ধাবিত হও। আমি তাঁর তরফ থেকে তোমাদের জন্যে সুস্পষ্ট সতর্ককারী।",
              "numberInSurah": 50,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাফিররূইলাল্লা-হি ইন্নী লাকুম মিনহু নাযীরুম মুবীন।",
              "words_arabic": "فَفِرُّوْۤا/فَفِرُّوٓاْ/fafirru//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُم/lakum//مِّنْهُ/مِّنۡهُ/min'hu//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌۚ/مُّبِينٞ/mubinun",
              "words_bangla": "অতএব তোমরা দৌড়াও//দিকে//আল্লাহর//নিশ্চয়ই আমি//তোমাদের জন্যে//তার পক্ষ হতে//একজন সতর্ককারী//সুস্পষ্ট"
            },
            {
              "number": 4726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4726.mp3"
              ],
              "text": "وَلَا تَجْعَلُوا۟ مَعَ ٱللَّهِ إِلَٰهًا ءَاخَرَ ۖ إِنِّى لَكُم مِّنْهُ نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "তোমরা আল্লাহর সাথে কোন উপাস্য সাব্যস্ত করো না। আমি তাঁর পক্ষ থেকে তোমাদের জন্য সুস্পষ্ট সতর্ককারী।",
              "numberInSurah": 51,
              "juz": 27,
              "manzil": 7,
              "page": 522,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাজ‘আলূমা‘আল্লা-হি ইলা-হান আ-খারা ইন্নী লাকুম মিনহু নাযীরুম মুবীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَجْعَلُوْا/تَجۡعَلُواْ/taj'alu//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اِلٰهًا/إِلَٰهًا/ilahan//اٰخَرَ ؕ/ءَاخَرَۖ/akhara//اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُم/lakum//مِّنْهُ/مِّنۡهُ/min'hu//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌۚ/مُّبِينٞ/mubinun",
              "words_bangla": "এবং না//তোমরা বানাবে//সাথে//আল্লাহর//উপাস্য//অন্য কোনো//নিশ্চয়ই আমি//তোমাদের জন্যে//তাঁর পক্ষ হতে//একজন সতর্ককারী//সুস্পষ্ট"
            },
            {
              "number": 4727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4727.mp3"
              ],
              "text": "كَذَٰلِكَ مَآ أَتَى ٱلَّذِينَ مِن قَبْلِهِم مِّن رَّسُولٍ إِلَّا قَالُوا۟ سَاحِرٌ أَوْ مَجْنُونٌ",
              "translate_bn": "এমনিভাবে, তাদের পূর্ববর্তীদের কাছে যখনই কোন রসূল আগমন করেছে, তারা বলছেঃ যাদুকর, না হয় উম্মাদ।",
              "numberInSurah": 52,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা মাআতাল্লাযীনা মিন কাবলিহিম মির রাছূলিন ইল্লা-কা-লূছা-হিরুন আও মাজনূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//مَاۤ/مَآ/ma//اَتَی/أَتَى/ata//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِم/qablihim//مِّنْ/مِّن/min//رَّسُوْلٍ/رَّسُولٍ/rasulin//اِلَّا/إِلَّا/illa//قَالُوْا/قَالُواْ/qalu//سَاحِرٌ/سَاحِرٌ/sahirun//اَوْ/أَوۡ/aw//مَجْنُوْنٌۚ/مَجۡنُونٌ/majnunun",
              "words_bangla": "এভাবেই//না//এসেছে//(তাদের কাছে) যারা//থেকে//তাদের পূর্বে (ছিল)//কোনো//রাসূল//এছাড়া যে//তারা বলে ছিল//\"(সে একজন) জাদুকর//বা//পাগল\""
            },
            {
              "number": 4728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4728.mp3"
              ],
              "text": "أَتَوَاصَوْا۟ بِهِۦ ۚ بَلْ هُمْ قَوْمٌۭ طَاغُونَ",
              "translate_bn": "তারা কি একে অপরকে এই উপদেশই দিয়ে গেছে? বস্তুতঃ ওরা দুষ্ট সম্প্রদায়।",
              "numberInSurah": 53,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "আতাওয়া-সাও বিহী বাল হুম কাওমুন তা-গূন।",
              "words_arabic": "اَتَوَاصَوْا/أَتَوَاصَوۡاْ/atawasaw//بِهٖ ۚ/بِهِۦۚ/bihi//بَلْ/بَلۡ/bal//هُمْ/هُمۡ/hum//قَوْمٌ/قَوۡمٞ/qawmun//طَاغُوْنَۚ/طَاغُونَ/taghuna",
              "words_bangla": "তারা পরস্পরে কি পরামর্শ করে নিয়েছে//সে বিষয়ে//(না) বরং//তারা(ছিল)//জাতি//দুর্বিনীত"
            },
            {
              "number": 4729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4729.mp3"
              ],
              "text": "فَتَوَلَّ عَنْهُمْ فَمَآ أَنتَ بِمَلُومٍۢ",
              "translate_bn": "অতএব, আপনি ওদের থেকে মুখ ফিরিয়ে নিন। এতে আপনি অপরাধী হবেন না।",
              "numberInSurah": 54,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা ‘আনহুম ফামাআনতা বিমালূম।",
              "words_arabic": "فَتَوَلَّ/فَتَوَلَّ/fatawalla//عَنْهُمْ/عَنۡهُمۡ/anhum//فَمَاۤ/فَمَآ/fama//اَنْتَ/أَنتَ/anta//بِمَلُوْمٍ/بِمَلُومٖ/bimalumin",
              "words_bangla": "তাই তুমি উপেক্ষা করো//তাদের হতে//আর নও//তুমি//তিরস্কৃত"
            },
            {
              "number": 4730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4730.mp3"
              ],
              "text": "وَذَكِّرْ فَإِنَّ ٱلذِّكْرَىٰ تَنفَعُ ٱلْمُؤْمِنِينَ",
              "translate_bn": "এবং বোঝাতে থাকুন; কেননা, বোঝানো মুমিনদের উপকারে আসবে।",
              "numberInSurah": 55,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া যাক্কির ফাইন্নাযযিকরা-তানফা‘উল মু’মিনীন।",
              "words_arabic": "وَّ ذَكِّرْ/وَذَكِّرۡ/wadhakkir//فَاِنَّ/فَإِنَّ/fa-inna//الذِّكْرٰی/ٱلذِّكۡرَىٰ/al-dhik'ra//تَنْفَعُ/تَنفَعُ/tanfa'u//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং উপদেশ দাও//কেননা নিশ্চয়ই//উপদেশ//উপকার দিবে//মু'মিনদেরকে"
            },
            {
              "number": 4731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4731.mp3"
              ],
              "text": "وَمَا خَلَقْتُ ٱلْجِنَّ وَٱلْإِنسَ إِلَّا لِيَعْبُدُونِ",
              "translate_bn": "আমার এবাদত করার জন্যই আমি মানব ও জিন জাতি সৃষ্টি করেছি।",
              "numberInSurah": 56,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকতুল জিন্না ওয়াল ইনছা ইল্লা-লিইয়া‘বুদূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقْتُ/خَلَقۡتُ/khalaqtu//الْجِنَّ/ٱلۡجِنَّ/al-jina//وَ الْاِنْسَ/وَٱلۡإِنسَ/wal-insa//اِلَّا/إِلَّا/illa//لِیَعْبُدُوْنِ /لِيَعۡبُدُونِ/liya'buduni",
              "words_bangla": "এবং না//আমি সৃষ্টি করেছি//জিনকে//ও মানুষকে//এছাড়া যে//যেন আমাকে তারা ইবাদত করে"
            },
            {
              "number": 4732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4732.mp3"
              ],
              "text": "مَآ أُرِيدُ مِنْهُم مِّن رِّزْقٍۢ وَمَآ أُرِيدُ أَن يُطْعِمُونِ",
              "translate_bn": "আমি তাদের কাছে জীবিকা চাই না এবং এটাও চাই না যে, তারা আমাকে আহার্য যোগাবে।",
              "numberInSurah": 57,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "মাউরীদুমিনহুম মির রিঝকিওঁ ওয়ামাউরীদুআইঁ ইয়ুত‘ইমূন।",
              "words_arabic": "مَاۤ/مَآ/ma//اُرِیْدُ/أُرِيدُ/uridu//مِنْهُمْ/مِنۡهُم/min'hum//مِّنْ/مِّن/min//رِّزْقٍ/رِّزۡقٖ/riz'qin//وَّ مَاۤ/وَمَآ/wama//اُرِیْدُ/أُرِيدُ/uridu//اَنْ/أَن/an//یُّطْعِمُوْنِ /يُطۡعِمُونِ/yut'imuni",
              "words_bangla": "না//চাই আমি//তাদের নিকট হতে//কোনো//জীবিকা//আর না//চাই আমি//যে//আমাকে তারা খাওয়াবে"
            },
            {
              "number": 4733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4733.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ هُوَ ٱلرَّزَّاقُ ذُو ٱلْقُوَّةِ ٱلْمَتِينُ",
              "translate_bn": "আল্লাহ তা’আলাই তো জীবিকাদাতা শক্তির আধার, পরাক্রান্ত।",
              "numberInSurah": 58,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা হুওয়াররাঝঝা-কুযুল কুওওয়াতিল মাতীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الرَّزَّاقُ/ٱلرَّزَّاقُ/al-razaqu//ذُو/ذُو/dhu//الْقُوَّةِ/ٱلۡقُوَّةِ/al-quwati//الْمَتِیْنُ /ٱلۡمَتِينُ/al-matinu",
              "words_bangla": "নিশ্চয়ই//আল্লাহ//তিনিই//রিযকদাতা//আছে//শক্তিসম্পন্ন//প্রবল পরাক্রান্ত"
            },
            {
              "number": 4734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4734.mp3"
              ],
              "text": "فَإِنَّ لِلَّذِينَ ظَلَمُوا۟ ذَنُوبًۭا مِّثْلَ ذَنُوبِ أَصْحَٰبِهِمْ فَلَا يَسْتَعْجِلُونِ",
              "translate_bn": "অতএব, এই যালেমদের প্রাপ্য তাই, যা ওদের অতীত সহচরদের প্রাপ্য ছিল। কাজেই ওরা যেন আমার কাছে তা তাড়াতাড়ি না চায়।",
              "numberInSurah": 59,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাইন্না লিল্লাযীনা জালামূযানূবাম মিছলা যানূবি আসহা-বিহিম ফালা-ইয়াছতা‘জিলূন।",
              "words_arabic": "فَاِنَّ/فَإِنَّ/fa-inna//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//ذَنُوْبًا/ذَنُوبٗا/dhanuban//مِّثْلَ/مِّثۡلَ/mith'la//ذَنُوْبِ/ذَنُوبِ/dhanubi//اَصْحٰبِهِمْ/أَصۡحَٰبِهِمۡ/ashabihim//فَلَا/فَلَا/fala//یَسْتَعْجِلُوْنِ /يَسۡتَعۡجِلُونِ/yasta'jiluni",
              "words_bangla": "অতএব নিশ্চয়ই//তাদের জন্যে//(যারা) সীমালঙ্ঘন করেছে//(তাদের আছে) শাস্তির অংশ//যেমনি//(প্রাপ্য ছিল) শাস্তির অংশ//তাদের সাথীদের//না তাই (যেন)//আমার কাছে তারা তাড়াহুড়া করে"
            },
            {
              "number": 4735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4735.mp3"
              ],
              "text": "فَوَيْلٌۭ لِّلَّذِينَ كَفَرُوا۟ مِن يَوْمِهِمُ ٱلَّذِى يُوعَدُونَ",
              "translate_bn": "অতএব, কাফেরদের জন্যে দুর্ভোগ সেই দিনের, যেদিনের প্রতিশ্রুতি ওদেরকে দেয়া হয়েছে।",
              "numberInSurah": 60,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 457,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াইলুলিলল্লাযীনা কাফারূমিইঁ ইয়াওমিহিমুল্লাযী ইঊ‘আদুন।",
              "words_arabic": "فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//یَّوْمِهِمُ/يَوۡمِهِمُ/yawmihimu//الَّذِیْ/ٱلَّذِي/alladhi//یُوْعَدُوْنَ۠/يُوعَدُونَ/yu'aduna",
              "words_bangla": "অতঃপর দুর্ভোগ//(তাদের) জন্যে যারা//অস্বীকার করেছে//ব্যাপারে//তাদের (সেই) দিনের//যার//ভয় তাদের দেখান হয়েছে"
            }
          ]
        },
        {
          "number": 52,
          "name": "سُورَةُ الطُّورِ",
          "englishName": "At-Tur",
          "englishNameTranslation": "The Mount",
          "revelationType": "Meccan",
          "verse": 49,
          "words": 680,
          "chars": 2852,
          "ayahs": [
            {
              "number": 4736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4736.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلطُّورِ",
              "translate_bn": "কসম তূরপর্বতের,",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াততূরি।",
              "words_arabic": "وَ الطُّوْرِۙ/وَٱلطُّورِ/wal-turi",
              "words_bangla": "শপথ তূর (পাহাড়ের)"
            },
            {
              "number": 4737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4737.mp3"
              ],
              "text": "وَكِتَٰبٍۢ مَّسْطُورٍۢ",
              "translate_bn": "এবং লিখিত কিতাবের,",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া কিতা-বিম মাছতূর।",
              "words_arabic": "وَ كِتٰبٍ/وَكِتَٰبٖ/wakitabin//مَّسْطُوْرٍۙ/مَّسۡطُورٖ/masturin",
              "words_bangla": "এবং (শপথ) কিতাবের//(যা) লিখিত"
            },
            {
              "number": 4738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4738.mp3"
              ],
              "text": "فِى رَقٍّۢ مَّنشُورٍۢ",
              "translate_bn": "প্রশস্ত পত্রে,",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফী-রাক্কিম মানশূর।",
              "words_arabic": "فِیْ/فِي/fi//رَقٍّ/رَقّٖ/raqqin//مَّنْشُوْرٍۙ/مَّنشُورٖ/manshurin",
              "words_bangla": "মধ্যে//চামড়ার কাগজের//উন্মুক্ত"
            },
            {
              "number": 4739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4739.mp3"
              ],
              "text": "وَٱلْبَيْتِ ٱلْمَعْمُورِ",
              "translate_bn": "কসম বায়তুল-মামুর তথা আবাদ গৃহের,",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াল বাইতিল মা‘মূর।",
              "words_arabic": "وَّ الْبَیْتِ/وَٱلۡبَيۡتِ/wal-bayti//الْمَعْمُوْرِۙ/ٱلۡمَعۡمُورِ/al-ma'muri",
              "words_bangla": "এবং (শপথ) ঘরের//চির আবাদ"
            },
            {
              "number": 4740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4740.mp3"
              ],
              "text": "وَٱلسَّقْفِ ٱلْمَرْفُوعِ",
              "translate_bn": "এবং সমুন্নত ছাদের,",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছাকফিল মারফূ‘।",
              "words_arabic": "وَ السَّقْفِ/وَٱلسَّقۡفِ/wal-saqfi//الْمَرْفُوْعِۙ/ٱلۡمَرۡفُوعِ/al-marfu'i",
              "words_bangla": "এবং (শপথ) ছাদের (অর্থাৎ আকাশের)//সুউচ্চ"
            },
            {
              "number": 4741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4741.mp3"
              ],
              "text": "وَٱلْبَحْرِ ٱلْمَسْجُورِ",
              "translate_bn": "এবং উত্তাল সমুদ্রের,",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াল বাহরিল মাছজূর।",
              "words_arabic": "وَ الْبَحْرِ/وَٱلۡبَحۡرِ/wal-bahri//الْمَسْجُوْرِۙ/ٱلۡمَسۡجُورِ/al-masjuri",
              "words_bangla": "এবং (শপথ) সাগরের//উত্তাল"
            },
            {
              "number": 4742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4742.mp3"
              ],
              "text": "إِنَّ عَذَابَ رَبِّكَ لَوَٰقِعٌۭ",
              "translate_bn": "আপনার পালনকর্তার শাস্তি অবশ্যম্ভাবী,",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘আযা-বা রাব্বিকা লাওয়া-কি‘।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//عَذَابَ/عَذَابَ/adhaba//رَبِّكَ/رَبِّكَ/rabbika//لَوَاقِعٌۙ/لَوَٰقِعٞ/lawaqi'un",
              "words_bangla": "নিশ্চয়ই//শাস্তি//তোমার রবের//অবশ্যই ঘটবে"
            },
            {
              "number": 4743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4743.mp3"
              ],
              "text": "مَّا لَهُۥ مِن دَافِعٍۢ",
              "translate_bn": "তা কেউ প্রতিরোধ করতে পারবে না।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "মা-লাহূমিন দা-ফি‘।",
              "words_arabic": "مَّا/مَّا/ma//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//دَافِعٍۙ/دَافِعٖ/dafi'in",
              "words_bangla": "নেই//তার জন্যে//কোনো//প্রতিরোধকারী"
            },
            {
              "number": 4744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4744.mp3"
              ],
              "text": "يَوْمَ تَمُورُ ٱلسَّمَآءُ مَوْرًۭا",
              "translate_bn": "সেদিন আকাশ প্রকম্পিত হবে প্রবলভাবে।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তামূরুছ ছামাউ মাওরা-।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//تَمُوْرُ/تَمُورُ/tamuru//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//مَوْرًاۙ/مَوۡرٗا/mawran",
              "words_bangla": "সেদিন//কাঁপবে//আকাশ//প্রবল কম্পনে"
            },
            {
              "number": 4745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4745.mp3"
              ],
              "text": "وَتَسِيرُ ٱلْجِبَالُ سَيْرًۭا",
              "translate_bn": "এবং পর্বতমালা হবে চলমান,",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাছীরুল জিবা-লুছাইরা-।",
              "words_arabic": "وَّ تَسِیْرُ/وَتَسِيرُ/watasiru//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//سَیْرًاؕ/سَيۡرٗا/sayran",
              "words_bangla": "এবং চলবে//পাহাড়গুলো//(দ্রুত) চলার মতো"
            },
            {
              "number": 4746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4746.mp3"
              ],
              "text": "فَوَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে,",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াইলুইঁ ইয়াওমাইযিলিললমুকাযযিবীন।",
              "words_arabic": "فَوَیْلٌ/فَوَيۡلٞ/fawaylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَۙ/لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "অতঃপর দুর্ভোগ//সেদিন//মিথ্যারোপকারীদের জন্যে"
            },
            {
              "number": 4747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4747.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ فِى خَوْضٍۢ يَلْعَبُونَ",
              "translate_bn": "যারা ক্রীড়াচ্ছলে মিছেমিছি কথা বানায়।",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা হুম ফী খাওদিইঁ ইয়াল‘আবূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//فِیْ/فِي/fi//خَوْضٍ/خَوۡضٖ/khawdin//یَّلْعَبُوْنَۘ/يَلۡعَبُونَ/yal'abuna",
              "words_bangla": "যারা (এমন যে)//তারা//মধ্যে//অর্থহীন যুক্তি প্রদানের//খেলায় মেতে আছে"
            },
            {
              "number": 4748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4748.mp3"
              ],
              "text": "يَوْمَ يُدَعُّونَ إِلَىٰ نَارِ جَهَنَّمَ دَعًّا",
              "translate_bn": "সেদিন তোমাদেরকে জাহান্নামের অগ্নির দিকে ধাক্কা মেরে মেরে নিয়ে যাওয়া হবে।",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউদা‘‘ঊনা ইলা-না-রি জাহান্নামা দা‘‘আ-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یُدَعُّوْنَ/يُدَعُّونَ/yuda'una//اِلٰی/إِلَىٰ/ila//نَارِ/نَارِ/nari//جَهَنَّمَ/جَهَنَّمَ/jahannama//دَعًّاؕ/دَعًّا/da'an",
              "words_bangla": "সেদিন//তাদেরকে ধাক্কা দেওয়া হবে//দিকে//আগুনের//জাহান্নামের//জোর ধাক্কা"
            },
            {
              "number": 4749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4749.mp3"
              ],
              "text": "هَٰذِهِ ٱلنَّارُ ٱلَّتِى كُنتُم بِهَا تُكَذِّبُونَ",
              "translate_bn": "এবং বলা হবেঃ এই সেই অগ্নি, যাকে তোমরা মিথ্যা বলতে,",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 523,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "হা-যিহিন্না-রুল্লাতী কুনতুম বিহা-তুকাযযিবূন।",
              "words_arabic": "هٰذِهِ/هَٰذِهِ/hadhihi//النَّارُ/ٱلنَّارُ/al-naru//الَّتِیْ/ٱلَّتِي/allati//كُنْتُمْ/كُنتُم/kuntum//بِهَا/بِهَا/biha//تُكَذِّبُوْنَ /تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "\"(বলা হবে) সেই এই//আগুন//যা//তোমরা ছিলে//সে বিষয়ে//মিথ্যা মনে করতে"
            },
            {
              "number": 4750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4750.mp3"
              ],
              "text": "أَفَسِحْرٌ هَٰذَآ أَمْ أَنتُمْ لَا تُبْصِرُونَ",
              "translate_bn": "এটা কি জাদু, না তোমরা চোখে দেখছ না?",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "আফাছিহরুন হা-যাআম আনতুম লা-তুবসিরূন।",
              "words_arabic": "اَفَسِحْرٌ/أَفَسِحۡرٌ/afasih'run//هٰذَاۤ/هَٰذَآ/hadha//اَمْ/أَمۡ/am//اَنْتُمْ/أَنتُمۡ/antum//لَا/لَا/la//تُبْصِرُوْنَۚ/تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "জাদু তবে কি//এটা//নাকি//তোমরা//না//চোখে দেখছ"
            },
            {
              "number": 4751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4751.mp3"
              ],
              "text": "ٱصْلَوْهَا فَٱصْبِرُوٓا۟ أَوْ لَا تَصْبِرُوا۟ سَوَآءٌ عَلَيْكُمْ ۖ إِنَّمَا تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "এতে প্রবেশ কর অতঃপর তোমরা সবর কর অথবা না কর, উভয়ই তোমাদের জন্য সমান। তোমরা যা করতে তোমাদেরকে কেবল তারই প্রতিফল দেয়া হবে।",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইসলাওহা-ফাসবিরূআওলা-তাসবিরূ ছাওয়াউন ‘আলাইকুম ইন্নামা-তুজঝাওনা মা-কুনতুম তা‘মালূন।",
              "words_arabic": "اِصْلَوْهَا/ٱصۡلَوۡهَا/is'lawha//فَاصْبِرُوْۤا/فَٱصۡبِرُوٓاْ/fa-is'biru//اَوْ/أَوۡ/aw//لَا/لَا/la//تَصْبِرُوْا ۚ/تَصۡبِرُواْ/tasbiru//سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْكُمْ ؕ/عَلَيۡكُمۡۖ/alaykum//اِنَّمَا/إِنَّمَا/innama//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তাতে তোমরা প্রবেশ করো//অতঃপর তোমরা সহ্য করতে পার//বা//না//তোমরা সহ্য করতে পার//(সবই) সমান//তোমাদের জন্যে//প্রকৃতপক্ষে (আজ)//তোমাদেরকে প্রতিফল দেয়া হচ্ছে//যা//তোমরা ছিলে//কাজ করছ\""
            },
            {
              "number": 4752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4752.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى جَنَّٰتٍۢ وَنَعِيمٍۢ",
              "translate_bn": "নিশ্চয় খোদাভীরুরা থাকবে জান্নাতে ও নেয়ামতে।",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী জান্না-তিওঁ ওয়া না‘ঈম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ نَعِیْمٍۙ/وَنَعِيمٖ/wana'imin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা (অবস্থিত হবে)//মধ্যে//জান্নাতের//ও আরাম আয়েশে"
            },
            {
              "number": 4753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4753.mp3"
              ],
              "text": "فَٰكِهِينَ بِمَآ ءَاتَىٰهُمْ رَبُّهُمْ وَوَقَىٰهُمْ رَبُّهُمْ عَذَابَ ٱلْجَحِيمِ",
              "translate_bn": "তারা উপভোগ করবে যা তাদের পালনকর্তা তাদের দেবেন এবং তিনি জাহান্নামের আযাব থেকে তাদেরকে রক্ষা করবেন।",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ফা-কিহীনা বিমাআ-তা-হুম রাব্বুহুম ওয়া ওয়াকা-হুম রাব্বুহুম ‘আযা-বাল জাহীম।",
              "words_arabic": "فٰكِهِیْنَ/فَٰكِهِينَ/fakihina//بِمَاۤ/بِمَآ/bima//اٰتٰىهُمْ/ءَاتَىٰهُمۡ/atahum//رَبُّهُمْ ۚ/رَبُّهُمۡ/rabbuhum//وَ وَقٰىهُمْ/وَوَقَىٰهُمۡ/wawaqahum//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//عَذَابَ/عَذَابَ/adhaba//الْجَحِیْمِ /ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "সানন্দে উপভোগকারী হবে তারা//ঐ জিনিসের যা//তাদের দান করবেন//তাদের রব//এবং তাদের রক্ষা করবেন//তাদের রব//শাস্তি (হতে)//জাহান্নামের"
            },
            {
              "number": 4754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4754.mp3"
              ],
              "text": "كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "তাদেরকে বলা হবেঃ তোমরা যা করতে তার প্রতিফলস্বরূপ তোমরা তৃপ্ত হয়ে পানাহার কর।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "কুলূওয়াশরাবূহানীআম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//هَنِیْٓـًٔۢا/هَنِيٓـَٔۢا/hanian//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَۙ/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "\"(বলা হবে) তোমরা খাও//ও তোমরা পান করো//তৃপ্তির সাথে//তার বদলে যা//তোমরা করছিলে//তোমরা কাজ করছিলে\""
            },
            {
              "number": 4755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4755.mp3"
              ],
              "text": "مُتَّكِـِٔينَ عَلَىٰ سُرُرٍۢ مَّصْفُوفَةٍۢ ۖ وَزَوَّجْنَٰهُم بِحُورٍ عِينٍۢ",
              "translate_bn": "তারা শ্রেণীবদ্ধ সিংহাসনে হেলান দিয়ে বসবে। আমি তাদেরকে আয়তলোচনা হুরদের সাথে বিবাহবন্ধনে আবদ্ধ করে দেব।",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "মুত্তাকিঈনা ‘আলা-ছুরুরিম মাসফূফাতিওঁ ওয়াঝাওওয়াজনা-হুম বিহূরিন ‘ঈন।",
              "words_arabic": "مُتَّكِـِٕیْنَ/مُتَّكِـِٔينَ/muttakiina//عَلٰی/عَلَىٰ/ala//سُرُرٍ/سُرُرٖ/sururin//مَّصْفُوْفَةٍ ۚ/مَّصۡفُوفَةٖۖ/masfufatin//وَ زَوَّجْنٰهُمْ/وَزَوَّجۡنَٰهُم/wazawwajnahum//بِحُوْرٍ/بِحُورٍ/bihurin//عِیْنٍ /عِينٖ/inin",
              "words_bangla": "তারা হেলান দিয়ে বসবে//উপর//আসনসমূহের//সারিবদ্ধভাবে//এবং তাদেরকে আমরা বিয়ে দিব//হূরদের সাথে//(যারা হবে) আয়তলোচনা"
            },
            {
              "number": 4756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4756.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ وَٱتَّبَعَتْهُمْ ذُرِّيَّتُهُم بِإِيمَٰنٍ أَلْحَقْنَا بِهِمْ ذُرِّيَّتَهُمْ وَمَآ أَلَتْنَٰهُم مِّنْ عَمَلِهِم مِّن شَىْءٍۢ ۚ كُلُّ ٱمْرِئٍۭ بِمَا كَسَبَ رَهِينٌۭ",
              "translate_bn": "যারা ঈমানদার এবং যাদের সন্তানরা ঈমানে তাদের অনুগামী, আমি তাদেরকে তাদের পিতৃপুরুষদের সাথে মিলিত করে দেব এবং তাদের আমল বিন্দুমাত্রও হ্রাস করব না। প্রত্যেক ব্যক্তি নিজ কৃত কর্মের জন্য দায়ী।",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূওয়াত্তাবা‘আতহুম যুররিইইয়াতুহুম বিঈমা-নিন আলহাকনা-বিহিম যুররিইইয়াতাহুম ওয়ামাআলাতনা-হুম মিন ‘আমালিহিম মিন শাইয়িন কুল্লুমরিইম বিমাকাছাবা রাহীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ اتَّبَعَتْهُمْ/وَٱتَّبَعَتۡهُمۡ/wa-ittaba'athum//ذُرِّیَّتُهُمْ/ذُرِّيَّتُهُم/dhurriyyatuhum//بِاِیْمَانٍ/بِإِيمَٰنٍ/biimanin//اَلْحَقْنَا/أَلۡحَقۡنَا/alhaqna//بِهِمْ/بِهِمۡ/bihim//ذُرِّیَّتَهُمْ/ذُرِّيَّتَهُمۡ/dhurriyyatahum//وَ مَاۤ/وَمَآ/wama//اَلَتْنٰهُمْ/أَلَتۡنَٰهُم/alatnahum//مِّنْ/مِّنۡ/min//عَمَلِهِمْ/عَمَلِهِم/amalihim//مِّنْ/مِّن/min//شَیْءٍ ؕ/شَيۡءٖۚ/shayin//كُلُّ/كُلُّ/kullu//امْرِئٍۭ/ٱمۡرِيِٕۭ/im'ri-in//بِمَا/بِمَا/bima//كَسَبَ/كَسَبَ/kasaba//رَهِیْنٌ /رَهِينٞ/rahinun",
              "words_bangla": "এবং যারা//ঈমান এনেছে//ও তাদেরকে অনুসরণ করেছে//তাদের সন্তানরা//ঈমানসহ//আমরা মিলিত করব//তাদের সাথে//তাদের সন্তানদেরকে//এবং না//তাদের আমরা কম করব//হতে//তাদের আমল//কোনো//কিছুই//প্রত্যেক//ব্যক্তি//ঐ বিষয়ে যা//সে অর্জন করেছে//দায়ী/ বন্ধক (আছে)"
            },
            {
              "number": 4757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4757.mp3"
              ],
              "text": "وَأَمْدَدْنَٰهُم بِفَٰكِهَةٍۢ وَلَحْمٍۢ مِّمَّا يَشْتَهُونَ",
              "translate_bn": "আমি তাদেরকে দেব ফল-মূল এবং মাংস যা তারা চাইবে।",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম দাদ না-হুম বিফা-কিহাতিওঁ ওয়া লাহমিম মিম্মা-ইয়াশতাহূন।\r\n",
              "words_arabic": "وَ اَمْدَدْنٰهُمْ/وَأَمۡدَدۡنَٰهُم/wa-amdadnahum//بِفَاكِهَةٍ/بِفَٰكِهَةٖ/bifakihatin//وَّ لَحْمٍ/وَلَحۡمٖ/walahmin//مِّمَّا/مِّمَّا/mimma//یَشْتَهُوْنَ /يَشۡتَهُونَ/yashtahuna",
              "words_bangla": "এবং তাদেরকে আমরা বেশি করে দেব//ফল মূল//ও গোশত//তা হতে যা//তারা পছন্দ করবে"
            },
            {
              "number": 4758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4758.mp3"
              ],
              "text": "يَتَنَٰزَعُونَ فِيهَا كَأْسًۭا لَّا لَغْوٌۭ فِيهَا وَلَا تَأْثِيمٌۭ",
              "translate_bn": "সেখানে তারা একে অপরকে পানপাত্র দেবে; যাতে অসার বকাবকি নেই এবং পাপকর্মও নেই।",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 209,
              "sajda": false,
              "pronunciation_bn": "ইয়াতানা-ঝা‘ঊনা ফীহা-কা’ছাল লা-লাগউন ফীহা-ওয়ালা-তা’ছীম।",
              "words_arabic": "یَتَنَازَعُوْنَ/يَتَنَٰزَعُونَ/yatanaza'una//فِیْهَا/فِيهَا/fiha//كَاْسًا/كَأۡسٗا/kasan//لَّا/لَّا/la//لَغْوٌ/لَغۡوٞ/laghwun//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//تَاْثِیْمٌ /تَأۡثِيمٞ/tathimun",
              "words_bangla": "তারা পরস্পরে নেবে//তার মধ্যে//পানপাত্র//না//অসার কথা (হবে)//তার মধ্যে//এবং না//পাপকর্ম"
            },
            {
              "number": 4759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4759.mp3"
              ],
              "text": "۞ وَيَطُوفُ عَلَيْهِمْ غِلْمَانٌۭ لَّهُمْ كَأَنَّهُمْ لُؤْلُؤٌۭ مَّكْنُونٌۭ",
              "translate_bn": "সুরক্ষিত মোতিসদৃশ কিশোররা তাদের সেবায় ঘুরাফেরা করবে।",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াতূফু‘আলাইহিম গিলমা-নুল্লাহুম কাআন্নাহুম লু’লুউম মাকনূন।",
              "words_arabic": "وَ یَطُوْفُ/۞وَيَطُوفُ/wayatufu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//غِلْمَانٌ/غِلۡمَانٞ/ghil'manun//لَّهُمْ/لَّهُمۡ/lahum//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//لُؤْلُؤٌ/لُؤۡلُؤٞ/lu'lu-on//مَّكْنُوْنٌ /مَّكۡنُونٞ/maknunun",
              "words_bangla": "এবং ঘুরতে থাকবে//তাদের কাছে//কিশোরেরা (সেবা করতে)//তাদের জন্যে//(এত সুন্দর হবে) তারা যেন//মুক্তা//লুকিয়ে রাখা"
            },
            {
              "number": 4760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4760.mp3"
              ],
              "text": "وَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍۢ يَتَسَآءَلُونَ",
              "translate_bn": "তারা একে অপরের দিকে মুখ করে জিজ্ঞাসাবাদ করবে।",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকবালা বা‘দুহুম ‘আলা-বা‘দিইঁ ইয়াতাছাআলূন।",
              "words_arabic": "وَ اَقْبَلَ/وَأَقۡبَلَ/wa-aqbala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//یَّتَسَآءَلُوْنَ /يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "এবং সামনাসামনি হয়ে//তাদের একে//কাছে//অপরের//পরস্পরের জিজ্ঞাসাবাদ করবে (অতীত সম্পর্কে)"
            },
            {
              "number": 4761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4761.mp3"
              ],
              "text": "قَالُوٓا۟ إِنَّا كُنَّا قَبْلُ فِىٓ أَهْلِنَا مُشْفِقِينَ",
              "translate_bn": "তারা বলবেঃ আমরা ইতিপূর্বে নিজেদের বাসগৃহে ভীত-কম্পিত ছিলাম।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "কা-লূইন্না-কুন্না-কাবলুফীআহলিনা-মুশফিকীন।",
              "words_arabic": "قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//قَبْلُ/قَبۡلُ/qablu//فِیْۤ/فِيٓ/fi//اَهْلِنَا/أَهۡلِنَا/ahlina//مُشْفِقِیْنَ /مُشۡفِقِينَ/mush'fiqina",
              "words_bangla": "তারা বলবে//\"নিশ্চয়ই আমরা//ছিলাম//পূর্বে//মধ্যে//আমাদের পরিবারের//শঙ্কিত অবস্থায়"
            },
            {
              "number": 4762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4762.mp3"
              ],
              "text": "فَمَنَّ ٱللَّهُ عَلَيْنَا وَوَقَىٰنَا عَذَابَ ٱلسَّمُومِ",
              "translate_bn": "অতঃপর আল্লাহ আমাদের প্রতি অনুগ্রহ করেছেন এবং আমাদেরকে আগুনের শাস্তি থেকে রক্ষা করেছেন।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফামান্নাল্লা-হু ‘আলাইনা-ওয়া ওয়াকা-না ‘আযা-বাছছামূম।",
              "words_arabic": "فَمَنَّ/فَمَنَّ/famanna//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْنَا/عَلَيۡنَا/alayna//وَ وَقٰىنَا/وَوَقَىٰنَا/wawaqana//عَذَابَ/عَذَابَ/adhaba//السَّمُوْمِ /ٱلسَّمُومِ/al-samumi",
              "words_bangla": "অবশেষে অনুগ্রহ করেছেন//আল্লাহ//আমাদের উপর//এবং আমাদেরকে রক্ষা করেছেন//শাস্তি (হতে)//দগ্ধকারী হাওয়ার (যা ঝলসে দেয়)"
            },
            {
              "number": 4763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4763.mp3"
              ],
              "text": "إِنَّا كُنَّا مِن قَبْلُ نَدْعُوهُ ۖ إِنَّهُۥ هُوَ ٱلْبَرُّ ٱلرَّحِيمُ",
              "translate_bn": "আমরা পূর্বেও আল্লাহকে ডাকতাম। তিনি সৌজন্যশীল, পরম দয়ালু।",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 458,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কুন্না-মিন কাবলুনাদ‘ঊহু ইন্নাহূহুওয়াল বাররুর রাহীম।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//نَدْعُوْهُ ؕ/نَدۡعُوهُۖ/nad'uhu//اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//الْبَرُّ/ٱلۡبَرُّ/al-baru//الرَّحِیْمُ۠/ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "নিশ্চয়ই আমরা//ছিলাম//থেকে//পূর্বেও//তাঁকে ডাকতাম আমরা//নিশ্চয়ই তিনি//তিনিই//বড় অনুগ্রহকারী//পরম দয়ালু\""
            },
            {
              "number": 4764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4764.mp3"
              ],
              "text": "فَذَكِّرْ فَمَآ أَنتَ بِنِعْمَتِ رَبِّكَ بِكَاهِنٍۢ وَلَا مَجْنُونٍ",
              "translate_bn": "অতএব, আপনি উপদেশ দান করুন। আপনার পালনকর্তার কৃপায় আপনি অতীন্দ্রিয়বাদী নন এবং উম্মাদও নন।",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফাযাক্কির ফামাআনতা বিনি‘মাতি রাব্বিকা বিকা-হিনিওঁ ওয়ালা-মাজনূন।",
              "words_arabic": "فَذَكِّرْ/فَذَكِّرۡ/fadhakkir//فَمَاۤ/فَمَآ/fama//اَنْتَ/أَنتَ/anta//بِنِعْمَتِ/بِنِعۡمَتِ/bini'mati//رَبِّكَ/رَبِّكَ/rabbika//بِكَاهِنٍ/بِكَاهِنٖ/bikahinin//وَّ لَا/وَلَا/wala//مَجْنُوْنٍؕ/مَجۡنُونٍ/majnunin",
              "words_bangla": "(হে নবী) তাই উপদেশ দাও//না আর//তুমি//অনুগ্রহের কারণে//তোমার রবের//কোনো গণক//আর না//পাগল"
            },
            {
              "number": 4765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4765.mp3"
              ],
              "text": "أَمْ يَقُولُونَ شَاعِرٌۭ نَّتَرَبَّصُ بِهِۦ رَيْبَ ٱلْمَنُونِ",
              "translate_bn": "তারা কি বলতে চায়ঃ সে একজন কবি আমরা তার মৃত্যু-দুর্ঘটনার প্রতীক্ষা করছি।",
              "numberInSurah": 30,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনা শা-‘ইরুন নাতারাব্বাসুবিহী রাইবাল মানূন।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//شَاعِرٌ/شَاعِرٞ/sha'irun//نَّتَرَبَّصُ/نَّتَرَبَّصُ/natarabbasu//بِهٖ/بِهِۦ/bihi//رَیْبَ/رَيۡبَ/rayba//الْمَنُوْنِ /ٱلۡمَنُونِ/al-manuni",
              "words_bangla": "কি//তারা বলে//\"(সে) একজন কবি//অপেক্ষা করছি আমরা//এ ব্যাপারে//বিপর্যয়ের\"//মৃত্যুর\""
            },
            {
              "number": 4766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4766.mp3"
              ],
              "text": "قُلْ تَرَبَّصُوا۟ فَإِنِّى مَعَكُم مِّنَ ٱلْمُتَرَبِّصِينَ",
              "translate_bn": "বলুনঃ তোমরা প্রতীক্ষা কর, আমিও তোমাদের সাথে প্রতীক্ষারত আছি।",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 524,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "কুল তারাব্বাসূফাইন্নী মা‘আকুম মিনাল মুতারাব্বিসীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//تَرَبَّصُوْا/تَرَبَّصُواْ/tarabbasu//فَاِنِّیْ/فَإِنِّي/fa-inni//مَعَكُمْ/مَعَكُم/ma'akum//مِّنَ/مِّنَ/mina//الْمُتَرَبِّصِیْنَؕ/ٱلۡمُتَرَبِّصِينَ/al-mutarabisina",
              "words_bangla": "(তুমি) বলো//\"তোমরা অপেক্ষা করো//আর নিশ্চয়ই আমি//তোমাদের সাথে//অন্তর্ভুক্ত//অপেক্ষাকারীদের\""
            },
            {
              "number": 4767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4767.mp3"
              ],
              "text": "أَمْ تَأْمُرُهُمْ أَحْلَٰمُهُم بِهَٰذَآ ۚ أَمْ هُمْ قَوْمٌۭ طَاغُونَ",
              "translate_bn": "তাদের বুদ্ধি কি এ বিষয়ে তাদেরকে আদেশ করে, না তারা সীমালংঘনকারী সম্প্রদায়?",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম তা’মুরুহুম আহলা-মুহুম বিহা-যাআম হুম কাওমুন তা-গূন।",
              "words_arabic": "اَمْ/أَمۡ/am//تَاْمُرُهُمْ/تَأۡمُرُهُمۡ/tamuruhum//اَحْلَامُهُمْ/أَحۡلَٰمُهُم/ahlamuhum//بِهٰذَاۤ/بِهَٰذَآۚ/bihadha//اَمْ/أَمۡ/am//هُمْ/هُمۡ/hum//قَوْمٌ/قَوۡمٞ/qawmun//طَاغُوْنَۚ/طَاغُونَ/taghuna",
              "words_bangla": "(তবে) কি//নির্দেশ দেয় তাদেরকে//তাদের বিবেকবুদ্ধি//এটা সম্বন্ধে//না কি (প্রকৃতপক্ষে)//তারা//জাতি//সীমালঙ্ঘনকারী"
            },
            {
              "number": 4768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4768.mp3"
              ],
              "text": "أَمْ يَقُولُونَ تَقَوَّلَهُۥ ۚ بَل لَّا يُؤْمِنُونَ",
              "translate_bn": "না তারা বলেঃ এই কোরআন সে নিজে রচনা করেছে? বরং তারা অবিশ্বাসী।",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনা তাকাওওয়ালাহূ বাল্লা-ইউ’মিনূন।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//تَقَوَّلَهٗ ۚ/تَقَوَّلَهُۥۚ/taqawwalahu//بَلْ/بَل/bal//لَّا/لَّا/la//یُؤْمِنُوْنَۚ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "কি//তারা বলে//\"তা সে রচনা করেছে\"//আসল কথা হল//না//তারা ঈমান আনতে চায়"
            },
            {
              "number": 4769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4769.mp3"
              ],
              "text": "فَلْيَأْتُوا۟ بِحَدِيثٍۢ مِّثْلِهِۦٓ إِن كَانُوا۟ صَٰدِقِينَ",
              "translate_bn": "যদি তারা সত্যবাদী হয়ে থাকে, তবেএর অনুরূপ কোন রচনা উপস্থিত করুক।",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফালইয়া’তূবিহাদীছিম মিছলিহীইন কা-নূসা-দিকীন।",
              "words_arabic": "فَلْیَاْتُوْا/فَلۡيَأۡتُواْ/falyatu//بِحَدِیْثٍ/بِحَدِيثٖ/bihadithin//مِّثْلِهٖۤ/مِّثۡلِهِۦٓ/mith'lihi//اِنْ/إِن/in//كَانُوْا/كَانُواْ/kanu//صٰدِقِیْنَؕ/صَٰدِقِينَ/sadiqina",
              "words_bangla": "তারা আনুক তাহলে  (রচনা করে)//নিয়ে কোনো বাণী//তার মতো (মর্যাদাবান)//যদি//তারা হয়//সত্যবাদী"
            },
            {
              "number": 4770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4770.mp3"
              ],
              "text": "أَمْ خُلِقُوا۟ مِنْ غَيْرِ شَىْءٍ أَمْ هُمُ ٱلْخَٰلِقُونَ",
              "translate_bn": "তারা কি আপনা-আপনিই সৃজিত হয়ে গেছে, না তারা নিজেরাই স্রষ্টা?",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম খুলিকূমিন গাইরি শাইয়িন আম হুমুল খা-লিকূন।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//خُلِقُوْا/خُلِقُواْ/khuliqu//مِنْ/مِنۡ/min//غَیْرِ/غَيۡرِ/ghayri//شَیْءٍ/شَيۡءٍ/shayin//اَمْ/أَمۡ/am//هُمُ/هُمُ/humu//الْخٰلِقُوْنَؕ/ٱلۡخَٰلِقُونَ/al-khaliquna",
              "words_bangla": "কি//তারা সৃষ্টি হয়েছে//কোনো//ব্যতীতই//কিছু (কোনো স্রষ্টা)//অথবা//তারা (নিজেরাই)//(নিজেদের) সৃষ্টিকারী"
            },
            {
              "number": 4771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4771.mp3"
              ],
              "text": "أَمْ خَلَقُوا۟ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ ۚ بَل لَّا يُوقِنُونَ",
              "translate_bn": "না তারা নভোমন্ডল ও ভূমন্ডল সৃষ্টি করেছে? বরং তারা বিশ্বাস করে না।",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম খালাকুছ ছামা-ওয়া-তি ওয়াল আরদা বাল্লা-ইঊকিনূন।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//خَلَقُوا/خَلَقُواْ/khalaqu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ ۚ/وَٱلۡأَرۡضَۚ/wal-arda//بَلْ/بَل/bal//لَّا/لَّا/la//یُوْقِنُوْنَؕ/يُوقِنُونَ/yuqinuna",
              "words_bangla": "অথবা//তারা সৃষ্টি করেছে//আকাশ//ও পৃথিবী//বরং//না//(কোনো কথায়) তারা বিশ্বাস করে"
            },
            {
              "number": 4772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4772.mp3"
              ],
              "text": "أَمْ عِندَهُمْ خَزَآئِنُ رَبِّكَ أَمْ هُمُ ٱلْمُصَۣيْطِرُونَ",
              "translate_bn": "তাদের কাছে কি আপনার পালনকর্তার ভান্ডার রয়েছে, না তারাই সবকিছুর তত্ত্বাবধায়ক?",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম ‘ইনদাহুম খাঝাইনুরাব্বিকা আম হুমুল মুসাইতিরূন।",
              "words_arabic": "اَمْ/أَمۡ/am//عِنْدَهُمْ/عِندَهُمۡ/indahum//خَزَآىِٕنُ/خَزَآئِنُ/khazainu//رَبِّكَ/رَبِّكَ/rabbika//اَمْ/أَمۡ/am//هُمُ/هُمُ/humu//الْمُصَۜیْطِرُوْنَؕ/ٱلۡمُصَۜيۡطِرُونَ/al-musaytiruna",
              "words_bangla": "তবে কি//তাদের আছে//ধনভাণ্ডারসমূহ//তোমার রবের//নাকি//তারা//(তার উপর) নিয়ন্তা"
            },
            {
              "number": 4773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4773.mp3"
              ],
              "text": "أَمْ لَهُمْ سُلَّمٌۭ يَسْتَمِعُونَ فِيهِ ۖ فَلْيَأْتِ مُسْتَمِعُهُم بِسُلْطَٰنٍۢ مُّبِينٍ",
              "translate_bn": "না তাদের কোন সিঁড়ি আছে, যাতে আরোহণ করে তারা শ্রবণ করে? থাকলে তাদের শ্রোতা সুস্পষ্ট প্রমাণ উপস্থিত করুক।",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম ছুল্লামুইঁ ইয়াছতামি‘ঊনা ফীহি ফালইয়া’তি মুছতামি‘উহুম বিছুলতা-নিম মুবীন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//سُلَّمٌ/سُلَّمٞ/sullamun//یَّسْتَمِعُوْنَ/يَسۡتَمِعُونَ/yastami'una//فِیْهِ ۚ/فِيهِۖ/fihi//فَلْیَاْتِ/فَلۡيَأۡتِ/falyati//مُسْتَمِعُهُمْ/مُسۡتَمِعُهُم/mus'tami'uhum//بِسُلْطٰنٍ/بِسُلۡطَٰنٖ/bisul'tanin//مُّبِیْنٍؕ/مُّبِينٍ/mubinin",
              "words_bangla": "তবে কি//তাদের আছে//কোনো সিঁড়ি//(তা চড়ে গোপন খবর) তারা শুনে নেয়//সেখানকার//আসুক তাহলে//তাদের কোনো শ্রোতা//নিয়ে প্রমাণসহ//সুস্পষ্ট"
            },
            {
              "number": 4774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4774.mp3"
              ],
              "text": "أَمْ لَهُ ٱلْبَنَٰتُ وَلَكُمُ ٱلْبَنُونَ",
              "translate_bn": "না তার কন্যা-সন্তান আছে আর তোমাদের আছে পুত্রসন্তান?",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম লাহুল বানা-তুওয়া লাকুমুল বানূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُ/لَهُ/lahu//الْبَنٰتُ/ٱلۡبَنَٰتُ/al-banatu//وَ لَكُمُ/وَلَكُمُ/walakumu//الْبَنُوْنَؕ/ٱلۡبَنُونَ/al-banuna",
              "words_bangla": "না কি//তাঁর জন্যে (নির্ধারণ করে)//কন্যাসমূহ//ও তোমাদের জন্যে (চাও)//পুত্রসমূহ"
            },
            {
              "number": 4775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4775.mp3"
              ],
              "text": "أَمْ تَسْـَٔلُهُمْ أَجْرًۭا فَهُم مِّن مَّغْرَمٍۢ مُّثْقَلُونَ",
              "translate_bn": "না আপনি তাদের কাছে পারিশ্রমিক চান যে, তাদের উপর জরিমানার বোঝা চেপে বসে?",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম তাছআলূহুম আজরান ফাহুম মিম মাগরামিম মুছকালূন।",
              "words_arabic": "اَمْ/أَمۡ/am//تَسْـَٔلُهُمْ/تَسۡـَٔلُهُمۡ/tasaluhum//اَجْرًا/أَجۡرٗا/ajran//فَهُمْ/فَهُم/fahum//مِّنْ/مِّن/min//مَّغْرَمٍ/مَّغۡرَمٖ/maghramin//مُّثْقَلُوْنَؕ/مُّثۡقَلُونَ/muth'qaluna",
              "words_bangla": "তবে কি//তাদের কাছে চাচ্ছ তুমি//কোনো পারিশ্রমিক//তারা তাই//কারণে//জরিমানার//ভারগ্রস্ত হয়ে আছে"
            },
            {
              "number": 4776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4776.mp3"
              ],
              "text": "أَمْ عِندَهُمُ ٱلْغَيْبُ فَهُمْ يَكْتُبُونَ",
              "translate_bn": "না তাদের কাছে অদৃশ্য বিষয়ের জ্ঞান আছে যে, তারাই তা লিপিবদ্ধ করে?",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম ‘ইনদা হুমুল গাইবুফাহুম ইয়াকতুবূন।",
              "words_arabic": "اَمْ/أَمۡ/am//عِنْدَهُمُ/عِندَهُمُ/indahumu//الْغَیْبُ/ٱلۡغَيۡبُ/al-ghaybu//فَهُمْ/فَهُمۡ/fahum//یَكْتُبُوْنَؕ/يَكۡتُبُونَ/yaktubuna",
              "words_bangla": "নাকি//আছে তাদের কাছে//অদৃশ্যের জ্ঞান//তারা ফলে//লিখে দিতে পারে"
            },
            {
              "number": 4777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4777.mp3"
              ],
              "text": "أَمْ يُرِيدُونَ كَيْدًۭا ۖ فَٱلَّذِينَ كَفَرُوا۟ هُمُ ٱلْمَكِيدُونَ",
              "translate_bn": "না তারা চক্রান্ত করতে চায়? অতএব যারা কাফের, তারই চক্রান্তের শিকার হবে।",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম ইউরীদূ না কাইদান ফাল্লাযীনা কাফারূহুমুল মাকীদূ ন।",
              "words_arabic": "اَمْ/أَمۡ/am//یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//كَیْدًا ؕ/كَيۡدٗاۖ/kaydan//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//هُمُ/هُمُ/humu//الْمَكِیْدُوْنَؕ/ٱلۡمَكِيدُونَ/al-makiduna",
              "words_bangla": "তবে কি//তারা চাচ্ছে//কোনো ষড়যন্ত্র (করতে)//যারা তাহলে//অস্বীকার করেছে//তারাই//ষড়যন্ত্রের শিকার হবে"
            },
            {
              "number": 4778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4778.mp3"
              ],
              "text": "أَمْ لَهُمْ إِلَٰهٌ غَيْرُ ٱللَّهِ ۚ سُبْحَٰنَ ٱللَّهِ عَمَّا يُشْرِكُونَ",
              "translate_bn": "না তাদের আল্লাহ তা’আলা ব্যতীত কোন উপাস্য আছে? তারা যাকে শরীক করে, আল্লাহ তা’আলা তা থেকে পবিত্র।",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম ইলা-হুন গাইরুল্লা-হি ছুবহা-নাল্লা-হি ‘আম্মা-ইউশরিকূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//اِلٰهٌ/إِلَٰهٌ/ilahun//غَیْرُ/غَيۡرُ/ghayru//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "নাকি//তাদের আছে//কোনো উপাস্য//ব্যতীত//আল্লাহ//মহান পবিত্র//আল্লাহ//তা হতে যার//তারা শরিক করছে"
            },
            {
              "number": 4779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4779.mp3"
              ],
              "text": "وَإِن يَرَوْا۟ كِسْفًۭا مِّنَ ٱلسَّمَآءِ سَاقِطًۭا يَقُولُوا۟ سَحَابٌۭ مَّرْكُومٌۭ",
              "translate_bn": "তারা যদি আকাশের কোন খন্ডকে পতিত হতে দেখে, তবে বলে এটা তো পুঞ্জীভুত মেঘ।",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইয়ারাও কিছফাম মিনাছছামাই ছা-কিতাইঁ ইয়াকূলূছাহা-বুম মার কূম।\r\n",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//كِسْفًا/كِسۡفٗا/kis'fan//مِّنَ/مِّنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//سَاقِطًا/سَاقِطٗا/saqitan//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//سَحَابٌ/سَحَابٞ/sahabun//مَّرْكُوْمٌ /مَّرۡكُومٞ/markumun",
              "words_bangla": "এবং যদি//তারা দেখে//এক অংশ//হতে//আকাশ//ভেঙে পড়তে//(তবুও) তারা বলবে//\"(সেটা) মেঘ//পুঞ্জীভূত\""
            },
            {
              "number": 4780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4780.mp3"
              ],
              "text": "فَذَرْهُمْ حَتَّىٰ يُلَٰقُوا۟ يَوْمَهُمُ ٱلَّذِى فِيهِ يُصْعَقُونَ",
              "translate_bn": "তাদেরকে ছেড়ে দিন সেদিন পর্যন্ত, যেদিন তাদের উপর বজ্রাঘাত পতিত হবে।",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফাযারহুম হাত্তা-ইউলা-কূইয়াওমাহুমুল্লাযী ফীহি ইউস‘আকূন।",
              "words_arabic": "فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//حَتّٰی/حَتَّىٰ/hatta//یُلٰقُوْا/يُلَٰقُواْ/yulaqu//یَوْمَهُمُ/يَوۡمَهُمُ/yawmahumu//الَّذِیْ/ٱلَّذِي/alladhi//فِیْهِ/فِيهِ/fihi//یُصْعَقُوْنَۙ/يُصۡعَقُونَ/yus'aquna",
              "words_bangla": "(হে নবী) অতএব তাদেরকে ছেড়ে দাও//যতক্ষণ না//তারা সাক্ষাৎ করবে//তাদের সেই দিনের//যা (এমন যে)//তার মধ্যে//তাদেরকে শাস্তির মধ্যে নিক্ষেপ করা হবে"
            },
            {
              "number": 4781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4781.mp3"
              ],
              "text": "يَوْمَ لَا يُغْنِى عَنْهُمْ كَيْدُهُمْ شَيْـًۭٔا وَلَا هُمْ يُنصَرُونَ",
              "translate_bn": "সেদিন তাদের চক্রান্ত তাদের কোন উপকারে আসবে না এবং তারা সাহায্যপ্রাপ্তও হবে না।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা লা-ইউগনী ‘আনহুম কাইদুহুম শাইআওঁ ওয়ালা-হুম ইউনসারূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//یُغْنِیْ/يُغۡنِي/yugh'ni//عَنْهُمْ/عَنۡهُمۡ/anhum//كَیْدُهُمْ/كَيۡدُهُمۡ/kayduhum//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یُنْصَرُوْنَؕ/يُنصَرُونَ/yunsaruna",
              "words_bangla": "সেদিন//না//কাজে আসবে//তাদের জন্যে//তাদের ষড়যন্ত্র//কিছুমাত্রও//এবং না//তাদের//সাহায্য করা হবে"
            },
            {
              "number": 4782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4782.mp3"
              ],
              "text": "وَإِنَّ لِلَّذِينَ ظَلَمُوا۟ عَذَابًۭا دُونَ ذَٰلِكَ وَلَٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ",
              "translate_bn": "গোনাহগারদের জন্যে এছাড়া আরও শাস্তি রয়েছে, কিন্তু তাদের অধিকাংশই তা জানে না।",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লিল্লাযীনা জালামূ‘আযা-বান দূনা যা-লিকা ওয়ালা-কিন্না আকছারাহুম লাইয়া‘লামূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//ظَلَمُوْا/ظَلَمُواْ/zalamu//عَذَابًا/عَذَابٗا/adhaban//دُوْنَ/دُونَ/duna//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اَكْثَرَهُمْ/أَكۡثَرَهُمۡ/aktharahum//لَا/لَا/la//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এবং নিশ্চয়ই//(তাদের) জন্যে যারা//সীমালঙ্ঘন করেছে//শাস্তি (রয়েছে)//ছাড়াও//এটা//কিন্তু//তাদের অধিকাংশই//না//তারা জানে"
            },
            {
              "number": 4783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4783.mp3"
              ],
              "text": "وَٱصْبِرْ لِحُكْمِ رَبِّكَ فَإِنَّكَ بِأَعْيُنِنَا ۖ وَسَبِّحْ بِحَمْدِ رَبِّكَ حِينَ تَقُومُ",
              "translate_bn": "আপনি আপনার পালনকর্তার নির্দেশের অপেক্ষায় সবর করুন। আপনি আমার দৃষ্টির সামনে আছেন এবং আপনি আপনার পালনকর্তꦣ2494;র সপ্রশংস পবিত্রতা ঘোষণা করুন যখন আপনি গাত্রোত্থান করেন।",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়াসবির লিহূকমি রাব্বিকা ফাইন্নাকা বিআ‘ইউনিনা-ওয়াছাব্বিহবিহামদি রাব্বিকা হীনা তাকূম।",
              "words_arabic": "وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//لِحُكْمِ/لِحُكۡمِ/lihuk'mi//رَبِّكَ/رَبِّكَ/rabbika//فَاِنَّكَ/فَإِنَّكَ/fa-innaka//بِاَعْیُنِنَا/بِأَعۡيُنِنَاۖ/bi-a'yunina//وَ سَبِّحْ/وَسَبِّحۡ/wasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//حِیْنَ/حِينَ/hina//تَقُوْمُۙ/تَقُومُ/taqumu",
              "words_bangla": "এবং (হে নবী) ধৈর্য ধর//সিদ্ধান্তের জন্যে//তোমার রবের//অতঃপর তুমি নিশ্চয়ই//আমাদের চোখে (আছ)//এবং পবিত্রতা ঘোষণা করো//প্রশংসার সাথে//তোমার রবের//যখন//তুমি উঠবে"
            },
            {
              "number": 4784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4784.mp3"
              ],
              "text": "وَمِنَ ٱلَّيْلِ فَسَبِّحْهُ وَإِدْبَٰرَ ٱلنُّجُومِ",
              "translate_bn": "এবং রাত্রির কিছু অংশে এবং তারকা অস্তমিত হওয়ার সময় তাঁর পবিত্রতা ঘোষণা করুন।",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 525,
              "ruku": 459,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল্লাইলি ফাছাব্বিহহু ওয়া ইদবা-রান নুজূম।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الَّیْلِ/ٱلَّيۡلِ/al-layli//فَسَبِّحْهُ/فَسَبِّحۡهُ/fasabbih'hu//وَ اِدْبَارَ/وَإِدۡبَٰرَ/wa-id'bara//النُّجُوْمِ۠/ٱلنُّجُومِ/al-nujumi",
              "words_bangla": "এবং কিছু অংশে//রাতের//অতঃপর তার পবিত্র মহিমা ঘোষণা করো//এবং অস্তগমনেও//তারাদের"
            }
          ]
        },
        {
          "number": 53,
          "name": "سُورَةُ النَّجۡمِ",
          "englishName": "An-Najm",
          "englishNameTranslation": "The Star",
          "revelationType": "Meccan",
          "verse": 62,
          "words": 738,
          "chars": 3072,
          "ayahs": [
            {
              "number": 4785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4785.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلنَّجْمِ إِذَا هَوَىٰ",
              "translate_bn": "নক্ষত্রের কসম, যখন অস্তমিত হয়।",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্নাজমি ইযা-হাওয়া-।",
              "words_arabic": "وَ النَّجْمِ/وَٱلنَّجۡمِ/wal-najmi//اِذَا/إِذَا/idha//هَوٰیۙ/هَوَىٰ/hawa",
              "words_bangla": "শপথ তারকার//যখন//অস্তমিত হয়"
            },
            {
              "number": 4786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4786.mp3"
              ],
              "text": "مَا ضَلَّ صَاحِبُكُمْ وَمَا غَوَىٰ",
              "translate_bn": "তোমাদের সংগী পথভ্রষ্ট হননি এবং বিপথগামীও হননি।",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "মা-দাল্লা সা-হিবুকুম ওয়ামা-গাওয়া-।",
              "words_arabic": "مَا/مَا/ma//ضَلَّ/ضَلَّ/dalla//صَاحِبُكُمْ/صَاحِبُكُمۡ/sahibukum//وَ مَا/وَمَا/wama//غَوٰیۚ/غَوَىٰ/ghawa",
              "words_bangla": "না//পথভ্রষ্ট হয়েছে//তোমাদের সঙ্গী//আর না//বিপথগামী হয়েছে"
            },
            {
              "number": 4787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4787.mp3"
              ],
              "text": "وَمَا يَنطِقُ عَنِ ٱلْهَوَىٰٓ",
              "translate_bn": "এবং প্রবৃত্তির তাড়নায় কথা বলেন না।",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়ানতিকু‘আনিল হাওয়া-।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَنْطِقُ/يَنطِقُ/yantiqu//عَنِ/عَنِ/ani//الْهَوٰیؕ/ٱلۡهَوَىٰٓ/al-hawa",
              "words_bangla": "এবং না//সে কথা বলে//হতে//প্রবৃত্তির তাড়না"
            },
            {
              "number": 4788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4788.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا وَحْىٌۭ يُوحَىٰ",
              "translate_bn": "কোরআন ওহী, যা প্রত্যাদেশ হয়।",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা-ওয়াহইঊ ইয়ূহা-।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//وَحْیٌ/وَحۡيٞ/wahyun//یُّوْحٰیۙ/يُوحَىٰ/yuha",
              "words_bangla": "নয়//তা//এছাড়া//ওহী//অবতীর্ণ করা হয় (যা)"
            },
            {
              "number": 4789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4789.mp3"
              ],
              "text": "عَلَّمَهُۥ شَدِيدُ ٱلْقُوَىٰ",
              "translate_bn": "তাঁকে শিক্ষা দান করে এক শক্তিশালী ফেরেশতা,",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "‘আল্লামাহূশাদীদুল কুওয়া-।",
              "words_arabic": "عَلَّمَهٗ/عَلَّمَهُۥ/allamahu//شَدِیْدُ/شَدِيدُ/shadidu//الْقُوٰیۙ/ٱلۡقُوَىٰ/al-quwa",
              "words_bangla": "তাকে শিক্ষা দিয়েছে//(জিবরাইল) অত্যন্তপ্রবল//শক্তিতে"
            },
            {
              "number": 4790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4790.mp3"
              ],
              "text": "ذُو مِرَّةٍۢ فَٱسْتَوَىٰ",
              "translate_bn": "সহজাত শক্তিসম্পন্ন, সে নিজ আকৃতিতে প্রকাশ পেল।",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "যূ মিররাতিন ফাছতাওয়া",
              "words_arabic": "ذُوْ/ذُو/dhu//مِرَّةٍ ؕ/مِرَّةٖ/mirratin//فَاسْتَوٰیۙ/فَٱسۡتَوَىٰ/fa-is'tawa",
              "words_bangla": "আছে//কৌশলসম্পন্ন//অতঃপর সে স্থির হয়ে (দাঁড়িয়ে) ছিল"
            },
            {
              "number": 4791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4791.mp3"
              ],
              "text": "وَهُوَ بِٱلْأُفُقِ ٱلْأَعْلَىٰ",
              "translate_bn": "উর্ধ্ব দিগন্তে,",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়া বিলউফুকিল আ‘লা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//بِالْاُفُقِ/بِٱلۡأُفُقِ/bil-ufuqi//الْاَعْلٰیؕ/ٱلۡأَعۡلَىٰ/al-a'la",
              "words_bangla": "এমতাবস্থায় সে (ছিল)//দিগন্তে//ঊর্ধ্ব"
            },
            {
              "number": 4792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4792.mp3"
              ],
              "text": "ثُمَّ دَنَا فَتَدَلَّىٰ",
              "translate_bn": "অতঃপর নিকটবর্তী হল ও ঝুলে গেল।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা দানা-ফাতাদাল্লা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//دَنَا/دَنَا/dana//فَتَدَلّٰیۙ/فَتَدَلَّىٰ/fatadalla",
              "words_bangla": "এরপর//সে কাছে এল//অতঃপর শূন্যে ভেসে রইল"
            },
            {
              "number": 4793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4793.mp3"
              ],
              "text": "فَكَانَ قَابَ قَوْسَيْنِ أَوْ أَدْنَىٰ",
              "translate_bn": "তখন দুই ধনুকের ব্যবধান ছিল অথবা আরও কম।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফাকা-না কা-বা কাওছাইনি আও আদনা-।",
              "words_arabic": "فَكَانَ/فَكَانَ/fakana//قَابَ/قَابَ/qaba//قَوْسَیْنِ/قَوۡسَيۡنِ/qawsayni//اَوْ/أَوۡ/aw//اَدْنٰیۚ/أَدۡنَىٰ/adna",
              "words_bangla": "ফলে সে হল//দূরত্বে//দুই ধনুকের//বা//(তারও) কিছু কম"
            },
            {
              "number": 4794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4794.mp3"
              ],
              "text": "فَأَوْحَىٰٓ إِلَىٰ عَبْدِهِۦ مَآ أَوْحَىٰ",
              "translate_bn": "তখন আল্লাহ তাঁর দাসের প্রতি যা প্রত্যাদেশ করবার, তা প্রত্যাদেশ করলেন।",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফাআওহাইলা-‘আবদিহী মাআওহা-।",
              "words_arabic": "فَاَوْحٰۤی/فَأَوۡحَىٰٓ/fa-awha//اِلٰی/إِلَىٰ/ila//عَبْدِهٖ/عَبۡدِهِۦ/abdihi//مَاۤ/مَآ/ma//اَوْحٰیؕ/أَوۡحَىٰ/awha",
              "words_bangla": "অতঃপর সে ওহী পৌঁছাল//কাছে//তাঁর (অর্থাৎ আল্লাহর) বান্দার/ দাসের//যা//ওহী পৌঁছানোর"
            },
            {
              "number": 4795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4795.mp3"
              ],
              "text": "مَا كَذَبَ ٱلْفُؤَادُ مَا رَأَىٰٓ",
              "translate_bn": "রসূলের অন্তর মিথ্যা বলেনি যা সে দেখেছে।",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "মা-কাযাবাল ফুআ-দুমা-রাআ-।",
              "words_arabic": "مَا/مَا/ma//كَذَبَ/كَذَبَ/kadhaba//الْفُؤَادُ/ٱلۡفُؤَادُ/al-fuadu//مَا/مَا/ma//رَاٰی /رَأَىٰٓ/raa",
              "words_bangla": "না//মিথ্যা বলেছে//(তার) অন্তর//যা//সে দেখেছে"
            },
            {
              "number": 4796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4796.mp3"
              ],
              "text": "أَفَتُمَٰرُونَهُۥ عَلَىٰ مَا يَرَىٰ",
              "translate_bn": "তোমরা কি বিষয়ে বিতর্ক করবে যা সে দেখেছে?",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আফাতুমা-রূনাহূ‘আলা-মা-ইয়ারা-।",
              "words_arabic": "اَفَتُمٰرُوْنَهٗ/أَفَتُمَٰرُونَهُۥ/afatumarunahu//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَرٰی /يَرَىٰ/yara",
              "words_bangla": "তার সাথে তোমরা এখন কি তর্ক করছ//(তার) উপর//যা//সে দেখেছে"
            },
            {
              "number": 4797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4797.mp3"
              ],
              "text": "وَلَقَدْ رَءَاهُ نَزْلَةً أُخْرَىٰ",
              "translate_bn": "নিশ্চয় সে তাকে আরেকবার দেখেছিল,",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ রাআ-হু নাঝলাতান উখরা-।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//رَاٰهُ/رَءَاهُ/raahu//نَزْلَةً/نَزۡلَةً/nazlatan//اُخْرٰیۙ/أُخۡرَىٰ/ukh'ra",
              "words_bangla": "এবং নিশ্চয়ই//সে তাকে দেখেছে//অবতরণে//আরও একবার (আসল আকৃতিতে)"
            },
            {
              "number": 4798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4798.mp3"
              ],
              "text": "عِندَ سِدْرَةِ ٱلْمُنتَهَىٰ",
              "translate_bn": "সিদরাতুলমুন্তাহার নিকটে,",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "‘ইনদা ছিদ রাতিল মুনতাহা-।",
              "words_arabic": "عِنْدَ/عِندَ/inda//سِدْرَةِ/سِدۡرَةِ/sid'rati//الْمُنْتَهٰی /ٱلۡمُنتَهَىٰ/al-muntaha",
              "words_bangla": "কাছে//কুলগাছের//(জড়জগতের) শেষপ্রান্তে"
            },
            {
              "number": 4799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4799.mp3"
              ],
              "text": "عِندَهَا جَنَّةُ ٱلْمَأْوَىٰٓ",
              "translate_bn": "যার কাছে অবস্থিত বসবাসের জান্নাত।",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "‘ইনদাহা-জান্নাতুল মা’ওয়া-।\r\n",
              "words_arabic": "عِنْدَهَا/عِندَهَا/indaha//جَنَّةُ/جَنَّةُ/jannatu//الْمَاْوٰیؕ/ٱلۡمَأۡوَىٰٓ/al-mawa",
              "words_bangla": "তার কাছেই আছে//জান্নাত//বসবাসের/ মাওয়া"
            },
            {
              "number": 4800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4800.mp3"
              ],
              "text": "إِذْ يَغْشَى ٱلسِّدْرَةَ مَا يَغْشَىٰ",
              "translate_bn": "যখন বৃক্ষটি দ্বারা আচ্ছন্ন হওয়ার, তদ্দ্বারা আচ্ছন্ন ছিল।",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ইয ইয়াগশাসসিদরাতা মা -ইয়াগশা-।",
              "words_arabic": "اِذْ/إِذۡ/idh//یَغْشَی/يَغۡشَى/yaghsha//السِّدْرَةَ/ٱلسِّدۡرَةَ/al-sid'rata//مَا/مَا/ma//یَغْشٰیۙ/يَغۡشَىٰ/yaghsha",
              "words_bangla": "যখন//আচ্ছন্ন করেছিল//কুলগাছটিকে//যা কিছু//আচ্ছন্ন করেছিল"
            },
            {
              "number": 4801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4801.mp3"
              ],
              "text": "مَا زَاغَ ٱلْبَصَرُ وَمَا طَغَىٰ",
              "translate_bn": "তাঁর দৃষ্টিবিভ্রম হয় নি এবং সীমালংঘনও করেনি।",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "মা-যা-গাল বাসারু ওয়ামা-তাগা-।",
              "words_arabic": "مَا/مَا/ma//زَاغَ/زَاغَ/zagha//الْبَصَرُ/ٱلۡبَصَرُ/al-basaru//وَ مَا/وَمَا/wama//طَغٰی /طَغَىٰ/tagha",
              "words_bangla": "না//বিভ্রম হয়েছে//দৃষ্টি//আর না//সীমালঙ্ঘন করেছে"
            },
            {
              "number": 4802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4802.mp3"
              ],
              "text": "لَقَدْ رَأَىٰ مِنْ ءَايَٰتِ رَبِّهِ ٱلْكُبْرَىٰٓ",
              "translate_bn": "নিশ্চয় সে তার পালনকর্তার মহান নিদর্শনাবলী অবলোকন করেছে।",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "লাকাদ রাআ-মিন আ-য়া-তি রাব্বিহিল কুবরা-।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//رَاٰی/رَأَىٰ/raa//مِنْ/مِنۡ/min//اٰیٰتِ/ءَايَٰتِ/ayati//رَبِّهِ/رَبِّهِ/rabbihi//الْكُبْرٰی /ٱلۡكُبۡرَىٰٓ/al-kub'ra",
              "words_bangla": "নিশ্চয়ই//সে দেখেছে//কিছু//নিদর্শন//তার রবের//বড় বড়"
            },
            {
              "number": 4803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4803.mp3"
              ],
              "text": "أَفَرَءَيْتُمُ ٱللَّٰتَ وَٱلْعُزَّىٰ",
              "translate_bn": "তোমরা কি ভেবে দেখেছ লাত ও ওযযা সম্পর্কে।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতুমুল্লা-তা ওয়াল ‘উঝঝা-।\r\n",
              "words_arabic": "اَفَرَءَیْتُمُ/أَفَرَءَيۡتُمُ/afara-aytumu//اللّٰتَ/ٱللَّـٰتَ/al-lata//وَ الْعُزّٰیۙ/وَٱلۡعُزَّىٰ/wal-'uza",
              "words_bangla": "তোমরা তবে কি (ভেবে) দেখেছ//লাত//ও উযযা (সম্বন্ধে)"
            },
            {
              "number": 4804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4804.mp3"
              ],
              "text": "وَمَنَوٰةَ ٱلثَّالِثَةَ ٱلْأُخْرَىٰٓ",
              "translate_bn": "এবং তৃতীয় আরেকটি মানাত সম্পর্কে?",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ওয়া মানা-তাছছা-লিছাতাল উখরা-।",
              "words_arabic": "وَ مَنٰوةَ/وَمَنَوٰةَ/wamanata//الثَّالِثَةَ/ٱلثَّالِثَةَ/al-thalithata//الْاُخْرٰی /ٱلۡأُخۡرَىٰٓ/al-ukh'ra",
              "words_bangla": "এবং মানাত//তৃতীয়//অপর (একটি দেবী)"
            },
            {
              "number": 4805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4805.mp3"
              ],
              "text": "أَلَكُمُ ٱلذَّكَرُ وَلَهُ ٱلْأُنثَىٰ",
              "translate_bn": "পুত্র-সন্তান কি তোমাদের জন্যে এবং কন্যা-সন্তান আল্লাহর জন্য?",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আলাকুমুযযাকারু ওয়ালাহুল উনছা-।",
              "words_arabic": "اَلَكُمُ/أَلَكُمُ/alakumu//الذَّكَرُ/ٱلذَّكَرُ/al-dhakaru//وَ لَهُ/وَلَهُ/walahu//الْاُنْثٰی /ٱلۡأُنثَىٰ/al-untha",
              "words_bangla": "তোমাদের জন্যে কি (চাও)//পুত্রসন্তান//অথচ তাঁর জন্য//কন্যাসন্তান (নির্ধারণ কর)"
            },
            {
              "number": 4806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4806.mp3"
              ],
              "text": "تِلْكَ إِذًۭا قِسْمَةٌۭ ضِيزَىٰٓ",
              "translate_bn": "এমতাবস্থায় এটা তো হবে খুবই অসংগত বন্টন।",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "তিলকা ইযান কিছমাতুন দীঝা-।",
              "words_arabic": "تِلْكَ/تِلۡكَ/til'ka//اِذًا/إِذٗا/idhan//قِسْمَةٌ/قِسۡمَةٞ/qis'matun//ضِیْزٰی /ضِيزَىٰٓ/diza",
              "words_bangla": "এটা//তাহলে//বণ্টন//বড় প্রতারণাপূর্ণ"
            },
            {
              "number": 4807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4807.mp3"
              ],
              "text": "إِنْ هِىَ إِلَّآ أَسْمَآءٌۭ سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّآ أَنزَلَ ٱللَّهُ بِهَا مِن سُلْطَٰنٍ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَمَا تَهْوَى ٱلْأَنفُسُ ۖ وَلَقَدْ جَآءَهُم مِّن رَّبِّهِمُ ٱلْهُدَىٰٓ",
              "translate_bn": "এগুলো কতগুলো নাম বৈ নয়, যা তোমরা এবং তোমাদের পূর্ব-পুরুষদের রেখেছ। এর সমর্থনে আল্লাহ কোন দলীল নাযিল করেননি। তারা অনুমান এবং প্রবৃত্তিরই অনুসরণ করে। অথচ তাদের কাছে তাদের পালনকর্তার পক্ষ থেকে পথ নির্দেশ এসেছে।",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ইন হিয়া ইল্লাআছমাউন ছাম্মাইতুমূহাআনতুম ওয়া আ-বাউকুম মাআনঝালাল্লা-হু বিহা-মিন ছুলতা-নিন ইয়ঁইয়াত্তাবি‘ঊনা ইল্লাজ্জান্না ওয়ামা-তাহওয়াল আনফুছু ওয়া লাকাদ জাআহুম মিররাব্বিহিমুল হুদা-।",
              "words_arabic": "اِنْ/إِنۡ/in//هِیَ/هِيَ/hiya//اِلَّاۤ/إِلَّآ/illa//اَسْمَآءٌ/أَسۡمَآءٞ/asmaon//سَمَّیْتُمُوْهَاۤ/سَمَّيۡتُمُوهَآ/sammaytumuha//اَنْتُمْ/أَنتُمۡ/antum//وَ اٰبَآؤُكُمْ/وَءَابَآؤُكُم/waabaukum//مَّاۤ/مَّآ/ma//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//بِهَا/بِهَا/biha//مِنْ/مِن/min//سُلْطٰنٍ ؕ/سُلۡطَٰنٍۚ/sul'tanin//اِنْ/إِن/in//یَّتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//اِلَّا/إِلَّا/illa//الظَّنَّ/ٱلظَّنَّ/al-zana//وَ مَا/وَمَا/wama//تَهْوَی/تَهۡوَى/tahwa//الْاَنْفُسُ ۚ/ٱلۡأَنفُسُۖ/al-anfusu//وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَهُمْ/جَآءَهُم/jaahum//مِّنْ/مِّن/min//رَّبِّهِمُ/رَّبِّهِمُ/rabbihimu//الْهُدٰیؕ/ٱلۡهُدَىٰٓ/al-huda",
              "words_bangla": "নয়//তা//এছাড়া//নামসমূহ//তোমরা নাম দিয়েছ তা//তোমরা//ও তোমাদের পূর্বপুরুষরা//না//অবতীর্ণ করেছেন//আল্লাহ//সে সম্বন্ধে//কোনো//সনদ/ প্রমাণ//না//তারা অনুসরণ করে//এছাড়া//অনুমানকে//এবং তার (যা)//কামনা করে//(তাদের)প্রবৃত্তিসমূহ//অথচ নিশ্চয়ই//তাদের কাছে এসেছে//পক্ষ হতে//তাদের রবের//পথনির্দেশ"
            },
            {
              "number": 4808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4808.mp3"
              ],
              "text": "أَمْ لِلْإِنسَٰنِ مَا تَمَنَّىٰ",
              "translate_bn": "মানুষ যা চায়, তাই কি পায়?",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "আম লিলইনছা-নি মা-তামান্না-।\r\n",
              "words_arabic": "اَمْ/أَمۡ/am//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//مَا/مَا/ma//تَمَنّٰیؗۖ/تَمَنَّىٰ/tamanna",
              "words_bangla": "কি//মানুষের জন্য (প্রাপ্য হয়)//যা//সে কামনা করে"
            },
            {
              "number": 4809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4809.mp3"
              ],
              "text": "فَلِلَّهِ ٱلْءَاخِرَةُ وَٱلْأُولَىٰ",
              "translate_bn": "অতএব, পরবর্তী ও পূর্ববর্তী সব মঙ্গলই আল্লাহর হাতে।",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 460,
              "hizbQuarter": 210,
              "sajda": false,
              "pronunciation_bn": "ফালিল্লা-হিল আ-খিরাতুওয়াল উলা-।",
              "words_arabic": "فَلِلّٰهِ/فَلِلَّهِ/falillahi//الْاٰخِرَةُ/ٱلۡأٓخِرَةُ/al-akhiratu//وَ الْاُوْلٰی۠/وَٱلۡأُولَىٰ/wal-ula",
              "words_bangla": "আল্লাহর বস্তুত জন্য//পরকাল//ও ইহকাল"
            },
            {
              "number": 4810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4810.mp3"
              ],
              "text": "۞ وَكَم مِّن مَّلَكٍۢ فِى ٱلسَّمَٰوَٰتِ لَا تُغْنِى شَفَٰعَتُهُمْ شَيْـًٔا إِلَّا مِنۢ بَعْدِ أَن يَأْذَنَ ٱللَّهُ لِمَن يَشَآءُ وَيَرْضَىٰٓ",
              "translate_bn": "আকাশে অনেক ফেরেশতা রয়েছে। তাদের কোন সুপারিশ ফলপ্রসূ হয় না যতক্ষণ আল্লাহ যার জন্যে ইচ্ছা ও যাকে পছন্দ করেন, অনুমতি না দেন।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 526,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাম মিম মালাকিন ফিছ ছামা-ওয়া-তি লা-তুগনী শাফা-‘আতুহুম শাইআন ইল্লা-মিম বা‘দিআইঁ ইয়া’যানাল্লা-হু লিমাইঁ ইয়াশাউ ওয়া ইয়ারদা-।",
              "words_arabic": "وَ كَمْ/۞وَكَم/wakam//مِّنْ/مِّن/min//مَّلَكٍ/مَّلَكٖ/malakin//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//لَا/لَا/la//تُغْنِیْ/تُغۡنِي/tugh'ni//شَفَاعَتُهُمْ/شَفَٰعَتُهُمۡ/shafa'atuhum//شَیْـًٔا/شَيۡـًٔا/shayan//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//اَنْ/أَن/an//یَّاْذَنَ/يَأۡذَنَ/yadhana//اللّٰهُ/ٱللَّهُ/al-lahu//لِمَنْ/لِمَن/liman//یَّشَآءُ/يَشَآءُ/yashau//وَ یَرْضٰی /وَيَرۡضَىٰٓ/wayarda",
              "words_bangla": "এবং কতইনা//থেকে//ফেরেশতা আছে//মধ্যে//আকাশের//না//কাজে আসবে//তাদের সুপারিশ//কিছুই//এছাড়া যে//মধ্য হতে//পরে (যখন)//যে//অনুমতি দিবেন//আল্লাহ//যার জন্য//ইচ্ছা করবেন তিনি//ও পছন্দ করবেন (যাকে)"
            },
            {
              "number": 4811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4811.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْءَاخِرَةِ لَيُسَمُّونَ ٱلْمَلَٰٓئِكَةَ تَسْمِيَةَ ٱلْأُنثَىٰ",
              "translate_bn": "যারা পরকালে বিশ্বাস করে না, তারাই ফেরেশতাকে নারীবাচক নাম দিয়ে থাকে।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা লা- ইউ’মিনূনা বিলআ-খিরাতি লাইউছাম্মূনাল মালাইকাতা তাছমিয়াতাল উনছা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَا/لَا/la//یُؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِالْاٰخِرَةِ/بِٱلۡأٓخِرَةِ/bil-akhirati//لَیُسَمُّوْنَ/لَيُسَمُّونَ/layusammuna//الْمَلٰٓىِٕكَةَ/ٱلۡمَلَـٰٓئِكَةَ/al-malaikata//تَسْمِیَةَ/تَسۡمِيَةَ/tasmiyata//الْاُنْثٰی /ٱلۡأُنثَىٰ/al-untha",
              "words_bangla": "নিশ্চয়ই//যারা//না//ঈমান আনে//আখিরাতের উপর//তারা অবশ্য নাম রাখে//ফেরেশতাদের//নামকরণ//নারীবাচক"
            },
            {
              "number": 4812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4812.mp3"
              ],
              "text": "وَمَا لَهُم بِهِۦ مِنْ عِلْمٍ ۖ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ ۖ وَإِنَّ ٱلظَّنَّ لَا يُغْنِى مِنَ ٱلْحَقِّ شَيْـًۭٔا",
              "translate_bn": "অথচ এ বিষয়ে তাদের কোন জ্ঞান নেই। তারা কেবল অনুমানের উপর চলে। অথচ সত্যের ব্যাপারে অনুমান মোটেই ফলপ্রসূ নয়।",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাহুম বিহী মিন ‘ইলমিন ইয়ঁইয়াত্তাবি‘ঊনা ইল্লাজ্জান্না ওয়া ইন্নাজ্জান্না লাইউগনী মিনাল হাক্কিশাইআ-।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَهُمْ/لَهُم/lahum//بِهٖ/بِهِۦ/bihi//مِنْ/مِنۡ/min//عِلْمٍ ؕ/عِلۡمٍۖ/il'min//اِنْ/إِن/in//یَّتَّبِعُوْنَ/يَتَّبِعُونَ/yattabi'una//اِلَّا/إِلَّا/illa//الظَّنَّ ۚ/ٱلظَّنَّۖ/al-zana//وَ اِنَّ/وَإِنَّ/wa-inna//الظَّنَّ/ٱلظَّنَّ/al-zana//لَا/لَا/la//یُغْنِیْ/يُغۡنِي/yugh'ni//مِنَ/مِنَ/mina//الْحَقِّ/ٱلۡحَقِّ/al-haqi//شَیْـًٔاۚ/شَيۡـٔٗا/shayan",
              "words_bangla": "অথচ নেই//তাদের জন্য//সে সম্বন্ধে//কোনো//জ্ঞান//না//তারা অনুসরণ করে//এছাড়া//ধারণা/ অনুমানের//এবং নিশ্চয়ই//অনুমানই//না//কাজে আসে//পরিবর্তে//সত্যের//কোনো কিছুই"
            },
            {
              "number": 4813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4813.mp3"
              ],
              "text": "فَأَعْرِضْ عَن مَّن تَوَلَّىٰ عَن ذِكْرِنَا وَلَمْ يُرِدْ إِلَّا ٱلْحَيَوٰةَ ٱلدُّنْيَا",
              "translate_bn": "অতএব যে আমার স্মরণে বিমুখ এবং কেবল পার্থিব জীবনই কামনা করে তার তরফ থেকে আপনি মুখ ফিরিয়ে নিন।",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ফাআ‘রিদ‘আম্মান তাওয়াল্লা- ‘আন যিকরিনা-ওয়া লাম ইউরিদ ইল্লাল হায়াতাদ্দুনইয়া-।",
              "words_arabic": "فَاَعْرِضْ/فَأَعۡرِضۡ/fa-a'rid//عَنْ/عَن/an//مَّنْ/مَّن/man//تَوَلّٰی ۙ۬/تَوَلَّىٰ/tawalla//عَنْ/عَن/an//ذِكْرِنَا/ذِكۡرِنَا/dhik'rina//وَ لَمْ/وَلَمۡ/walam//یُرِدْ/يُرِدۡ/yurid//اِلَّا/إِلَّا/illa//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَاؕ/ٱلدُّنۡيَا/al-dun'ya",
              "words_bangla": "(হে নবী) অতএব উপেক্ষা করো//থেকে//তার (তাকে) যে//মুখ ফিরায়//হতে//আমাদের স্মরণ//এবং না//চায়//এছাড়া//জীবন//পার্থিব"
            },
            {
              "number": 4814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4814.mp3"
              ],
              "text": "ذَٰلِكَ مَبْلَغُهُم مِّنَ ٱلْعِلْمِ ۚ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ وَهُوَ أَعْلَمُ بِمَنِ ٱهْتَدَىٰ",
              "translate_bn": "তাদের জ্ঞানের পরিধি এ পর্যন্তই। নিশ্চয় আপনার পালনকর্তা ভাল জানেন, কে তাঁর পথ থেকে বিচ্যুত হয়েছে এবং তিনিই ভাল জানেন কে সুপথপ্রাপ্ত হয়েছে।",
              "numberInSurah": 30,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা মাবলাগুহুম মিনাল ‘ইলমি ইন্না রাব্বাকা হুওয়া আ‘লামুবিমান দাল্লা ‘আন ছাবীলিহী ওয়া হুওয়া আ‘লামুবিমানিহতাদা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//مَبْلَغُهُمْ/مَبۡلَغُهُم/mablaghuhum//مِّنَ/مِّنَ/mina//الْعِلْمِ ؕ/ٱلۡعِلۡمِۚ/al-'il'mi//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//ضَلَّ/ضَلَّ/dalla//عَنْ/عَن/an//سَبِیْلِهٖ ۙ/سَبِيلِهِۦ/sabilihi//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنِ/بِمَنِ/bimani//اهْتَدٰی /ٱهۡتَدَىٰ/ih'tada",
              "words_bangla": "এটা//তাদের সীমা//থেকে//জ্ঞানের//নিশ্চয়ই//তোমার রব//তিনিই//খুব জানেন//(তার) সম্বন্ধে কে//বিচ্যুত হয়েছে//হতে//তাঁর পথ//এবং তিনিই//খুব জানেন//(তার সম্বন্ধে) কে//সৎপথ পেয়েছে"
            },
            {
              "number": 4815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4815.mp3"
              ],
              "text": "وَلِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ لِيَجْزِىَ ٱلَّذِينَ أَسَٰٓـُٔوا۟ بِمَا عَمِلُوا۟ وَيَجْزِىَ ٱلَّذِينَ أَحْسَنُوا۟ بِٱلْحُسْنَى",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলে যা কিছু আছে, সবই আল্লাহর, যাতে তিনি মন্দকর্মীদেরকে তাদের কর্মের প্রতিফল দেন এবং সৎকর্মীদেরকে দেন ভাল ফল।",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি লিইয়াজঝিইয়াল্লাযীনা আছাউ বিমা-‘আমিলূওয়া ইয়াজঝিইয়াল্লাযীনা আহছানূবিলহুছনা-।",
              "words_arabic": "وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ۙ/ٱلۡأَرۡضِ/al-ardi//لِیَجْزِیَ/لِيَجۡزِيَ/liyajziya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَسَآءُوْا/أَسَـٰٓـُٔواْ/asau//بِمَا/بِمَا/bima//عَمِلُوْا/عَمِلُواْ/amilu//وَ یَجْزِیَ/وَيَجۡزِيَ/wayajziya//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَحْسَنُوْا/أَحۡسَنُواْ/ahsanu//بِالْحُسْنٰیۚ/بِٱلۡحُسۡنَى/bil-hus'na",
              "words_bangla": "এবং আল্লাহরই মালিকানায়//যা কিছু//মধ্যে আছে//আকাশের//এবং যা কিছু//মধ্যে আছে//পৃথিবীর//প্রতিফল যেন দেন//(তাদেরকে) যারা//মন্দ করেছে//ঐ বিষয়ে যা//তারা কাজ করেছে//এবং প্রতিফল দেন (যেন)//(তাদেরকে) যারা//সৎকর্ম করেছে//উত্তমভাবে (প্রতিফল)"
            },
            {
              "number": 4816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4816.mp3"
              ],
              "text": "ٱلَّذِينَ يَجْتَنِبُونَ كَبَٰٓئِرَ ٱلْإِثْمِ وَٱلْفَوَٰحِشَ إِلَّا ٱللَّمَمَ ۚ إِنَّ رَبَّكَ وَٰسِعُ ٱلْمَغْفِرَةِ ۚ هُوَ أَعْلَمُ بِكُمْ إِذْ أَنشَأَكُم مِّنَ ٱلْأَرْضِ وَإِذْ أَنتُمْ أَجِنَّةٌۭ فِى بُطُونِ أُمَّهَٰتِكُمْ ۖ فَلَا تُزَكُّوٓا۟ أَنفُسَكُمْ ۖ هُوَ أَعْلَمُ بِمَنِ ٱتَّقَىٰٓ",
              "translate_bn": "যারা বড় বড় গোনাহ ও অশ্লীলকার্য থেকে বেঁচে থাকে ছোটখাট অপরাধ করলেও নিশ্চয় আপনার পালনকর্তার ক্ষমা সুদূর বিস্তৃত। তিনি তোমাদের সম্পর্কে ভাল জানেন, যখন তিনি তোমাদেরকে সৃষ্টি করেছেন মৃত্তিকা থেকে এবং যখন তোমরা মাতৃগর্ভে কচি শিশু ছিলে। অতএব তোমরা আত্নপ্রশংসা করো না। তিনি ভাল জানেন কে সংযমী।",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 461,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াজতানিবূনা কাবাইরালইছমি ওয়ালফাওয়া-হিশা ইল্লাল লামামা ইন্না রাব্বাকা ওয়া-ছি‘উল মাগফিরাতি হুওয়া আ‘লামুবিকুম ইয আনশাআকুম মিনাল আরদি ওয়া ইয আনতুম আজিন্নাতুন ফী বুতূনি উম্মাহা-তিকুম ফালা-তুঝাক্কুআনফুছাকুম হুওয়া আ‘লামুবিমানিত্তাকা-।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یَجْتَنِبُوْنَ/يَجۡتَنِبُونَ/yajtanibuna//كَبٰٓىِٕرَ/كَبَـٰٓئِرَ/kabaira//الْاِثْمِ/ٱلۡإِثۡمِ/al-ith'mi//وَ الْفَوَاحِشَ/وَٱلۡفَوَٰحِشَ/wal-fawahisha//اِلَّا/إِلَّا/illa//اللَّمَمَ ؕ/ٱللَّمَمَۚ/al-lamama//اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//وَاسِعُ/وَٰسِعُ/wasi'u//الْمَغْفِرَةِ ؕ/ٱلۡمَغۡفِرَةِۚ/al-maghfirati//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِكُمْ/بِكُمۡ/bikum//اِذْ/إِذۡ/idh//اَنْشَاَكُمْ/أَنشَأَكُم/ansha-akum//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اِذْ/وَإِذۡ/wa-idh//اَنْتُمْ/أَنتُمۡ/antum//اَجِنَّةٌ/أَجِنَّةٞ/ajinnatun//فِیْ/فِي/fi//بُطُوْنِ/بُطُونِ/butuni//اُمَّهٰتِكُمْ ۚ/أُمَّهَٰتِكُمۡۖ/ummahatikum//فَلَا/فَلَا/fala//تُزَكُّوْۤا/تُزَكُّوٓاْ/tuzakku//اَنْفُسَكُمْ ؕ/أَنفُسَكُمۡۖ/anfusakum//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنِ/بِمَنِ/bimani//اتَّقٰی۠/ٱتَّقَىٰٓ/ittaqa",
              "words_bangla": "যারা//বিরত থাকে//বড় বড়//পাপ (হতে)//ও অশ্লীল কাজসমূহ (হতে)//কিন্তু//ছোট অপরাধ(হয়ে যায়)//নিশ্চয়ই//তোমার রব (সে ক্ষেত্রে)//ব্যাপক বিশাল//ক্ষমায়//তিনি//খুব জানেন//তোমাদের ব্যাপারে//যখন//তোমাদেরকে সৃষ্টি করেছেন//হতে//মাটি//এবং যখন//তোমরা(ছিলে)//ভ্রূণ অবস্থায়//মধ্যে//গর্ভসমূহের//তোমাদের মা দের//না তাই//তোমরা পবিত্র মনে করো//তোমাদের নিজেদের//তিনি//খুব জানেন//(তার) সম্বন্ধে যে//সংযমী হয়েছে"
            },
            {
              "number": 4817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4817.mp3"
              ],
              "text": "أَفَرَءَيْتَ ٱلَّذِى تَوَلَّىٰ",
              "translate_bn": "আপনি কি তাকে দেখেছেন, যে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতাল্লাযী তাওয়াল্লা-।",
              "words_arabic": "اَفَرَءَیْتَ/أَفَرَءَيۡتَ/afara-ayta//الَّذِیْ/ٱلَّذِي/alladhi//تَوَلّٰیۙ/تَوَلَّىٰ/tawalla",
              "words_bangla": "তবে কি তুমি দেখেছ//(তাকে) যে//মুখ ফিরায়(সত্য দ্বীন হতে)"
            },
            {
              "number": 4818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4818.mp3"
              ],
              "text": "وَأَعْطَىٰ قَلِيلًۭا وَأَكْدَىٰٓ",
              "translate_bn": "এবং দেয় সামান্যই ও পাষাণ হয়ে যায়।",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ‘তা-কালীলাওঁ ওয়া আকদা-।",
              "words_arabic": "وَ اَعْطٰی/وَأَعۡطَىٰ/wa-a'ta//قَلِیْلًا/قَلِيلٗا/qalilan//وَّ اَكْدٰی /وَأَكۡدَىٰٓ/wa-akda",
              "words_bangla": "এবং (অর্থ) দেয়//সামান্যই//ও ক্ষান্ত হয়"
            },
            {
              "number": 4819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4819.mp3"
              ],
              "text": "أَعِندَهُۥ عِلْمُ ٱلْغَيْبِ فَهُوَ يَرَىٰٓ",
              "translate_bn": "তার কাছে কি অদৃশ্যের জ্ঞান আছে যে, সে দেখে?",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আ ‘ইনদাহূ‘ইলমুল গাইবি ফাহুওয়া ইয়ারা-।",
              "words_arabic": "اَعِنْدَهٗ/أَعِندَهُۥ/a'indahu//عِلْمُ/عِلۡمُ/il'mu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//فَهُوَ/فَهُوَ/fahuwa//یَرٰی /يَرَىٰٓ/yara",
              "words_bangla": "তার কাছে আছে কি//কোনো জ্ঞান//অদৃশ্যের//তাই সে//দেখেছে (প্রকৃত সত্যকে)"
            },
            {
              "number": 4820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4820.mp3"
              ],
              "text": "أَمْ لَمْ يُنَبَّأْ بِمَا فِى صُحُفِ مُوسَىٰ",
              "translate_bn": "তাকে কি জানানো হয়নি যা আছে মূসার কিতাবে,",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আম লাম ইউনাব্বা’ বিমা-ফী সুহুফি মুছা-।",
              "words_arabic": "اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//یُنَبَّاْ/يُنَبَّأۡ/yunabba//بِمَا/بِمَا/bima//فِیْ/فِي/fi//صُحُفِ/صُحُفِ/suhufi//مُوْسٰیۙ/مُوسَىٰ/musa",
              "words_bangla": "কি//নি//তাকে অবহিত করা হয়//(সে) সম্বন্ধে যা//মধ্যে আছে//সহীফাসমূহের//মূসার"
            },
            {
              "number": 4821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4821.mp3"
              ],
              "text": "وَإِبْرَٰهِيمَ ٱلَّذِى وَفَّىٰٓ",
              "translate_bn": "এবং ইব্রাহীমের কিতাবে, যে তার দায়িত্ব পালন করেছিল?",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইবরা-হীমাল্লাযী ওয়াফফা।",
              "words_arabic": "وَ اِبْرٰهِیْمَ/وَإِبۡرَٰهِيمَ/wa-ib'rahima//الَّذِیْ/ٱلَّذِي/alladhi//وَفّٰۤیۙ/وَفَّىٰٓ/waffa",
              "words_bangla": "ও ইবরাহীমের//যে//পূর্ণ করেছে (তার দায়িত্ব)"
            },
            {
              "number": 4822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4822.mp3"
              ],
              "text": "أَلَّا تَزِرُ وَازِرَةٌۭ وِزْرَ أُخْرَىٰ",
              "translate_bn": "কিতাবে এই আছে যে, কোন ব্যক্তি কারও গোনাহ নিজে বহন করবে না।",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আল্লা-তাঝিরু ওয়া-ঝিরাতুওঁবিঝরা উখরা-।",
              "words_arabic": "اَلَّا/أَلَّا/alla//تَزِرُ/تَزِرُ/taziru//وَازِرَةٌ/وَازِرَةٞ/waziratun//وِّزْرَ/وِزۡرَ/wiz'ra//اُخْرٰیۙ/أُخۡرَىٰ/ukh'ra",
              "words_bangla": "(তা এই ) যে না//বহন করবে//কোনো বহনকারী//বোঝা//অন্যের"
            },
            {
              "number": 4823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4823.mp3"
              ],
              "text": "وَأَن لَّيْسَ لِلْإِنسَٰنِ إِلَّا مَا سَعَىٰ",
              "translate_bn": "এবং মানুষ তাই পায়, যা সে করে,",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়াআল লাইছা লিলইনছা-নি ইল্লা-মা-ছা‘আ-।",
              "words_arabic": "وَ اَنْ/وَأَن/wa-an//لَّیْسَ/لَّيۡسَ/laysa//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//اِلَّا/إِلَّا/illa//مَا/مَا/ma//سَعٰیۙ/سَعَىٰ/sa'a",
              "words_bangla": "এবং (এও) যে//নেই//মানুষের জন্যে//এছাড়া//যা//সে চেষ্টা করে"
            },
            {
              "number": 4824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4824.mp3"
              ],
              "text": "وَأَنَّ سَعْيَهُۥ سَوْفَ يُرَىٰ",
              "translate_bn": "তার কর্ম শীঘ্রই দেখা হবে।",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না ছা‘ইয়াহূছাওফা ইউরা-।",
              "words_arabic": "وَ اَنَّ/وَأَنَّ/wa-anna//سَعْیَهٗ/سَعۡيَهُۥ/sa'yahu//سَوْفَ/سَوۡفَ/sawfa//یُرٰی۪/يُرَىٰ/yura",
              "words_bangla": "এবং (এও) যে//তার চেষ্টা//শীঘ্রই//তাকে দেখান হবে"
            },
            {
              "number": 4825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4825.mp3"
              ],
              "text": "ثُمَّ يُجْزَىٰهُ ٱلْجَزَآءَ ٱلْأَوْفَىٰ",
              "translate_bn": "অতঃপর তাকে পূর্ণ প্রতিদান দেয়া হবে।",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইউজঝা-হুল জাঝাআল আওফা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یُجْزٰىهُ/يُجۡزَىٰهُ/yuj'zahu//الْجَزَآءَ/ٱلۡجَزَآءَ/al-jazaa//الْاَوْفٰیۙ/ٱلۡأَوۡفَىٰ/al-awfa",
              "words_bangla": "এরপর//তাকে প্রতিফল দেয়া হবে//প্রতিফল//পূর্ণ"
            },
            {
              "number": 4826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4826.mp3"
              ],
              "text": "وَأَنَّ إِلَىٰ رَبِّكَ ٱلْمُنتَهَىٰ",
              "translate_bn": "তোমার পালনকর্তার কাছে সবকিছুর সমাপ্তি,",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না ইলা-রাব্বিকাল মুনতাহা-।",
              "words_arabic": "وَ اَنَّ/وَأَنَّ/wa-anna//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//الْمُنْتَهٰیۙ/ٱلۡمُنتَهَىٰ/al-muntaha",
              "words_bangla": "এবং (এও) যে//কাছেই//তোমার রবের//সমাপ্তি(সবকিছুর)"
            },
            {
              "number": 4827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4827.mp3"
              ],
              "text": "وَأَنَّهُۥ هُوَ أَضْحَكَ وَأَبْكَىٰ",
              "translate_bn": "এবং তিনিই হাসান ও কাঁদান",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূহুওয়া আদহাকা ওয়া আবকা-।",
              "words_arabic": "وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//هُوَ/هُوَ/huwa//اَضْحَكَ/أَضۡحَكَ/adhaka//وَ اَبْكٰیۙ/وَأَبۡكَىٰ/wa-abka",
              "words_bangla": "এবং (এও) যে//তিনিই//হাসান//এবং তিনিই কাঁদান"
            },
            {
              "number": 4828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4828.mp3"
              ],
              "text": "وَأَنَّهُۥ هُوَ أَمَاتَ وَأَحْيَا",
              "translate_bn": "এবং তিনিই মারেন ও বাঁচান,",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 527,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূহুওয়া আমা-তা ওয়া আহইয়া-।",
              "words_arabic": "وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//هُوَ/هُوَ/huwa//اَمَاتَ/أَمَاتَ/amata//وَ اَحْیَاۙ/وَأَحۡيَا/wa-ahya",
              "words_bangla": "এবং (এও) যে//তিনিই//মারেন//এবং তিনিই বাঁচান"
            },
            {
              "number": 4829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4829.mp3"
              ],
              "text": "وَأَنَّهُۥ خَلَقَ ٱلزَّوْجَيْنِ ٱلذَّكَرَ وَٱلْأُنثَىٰ",
              "translate_bn": "এবং তিনিই সৃষ্টি করেন যুগল-পুরুষ ও নারী।",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূখালাকাঝ ঝাওজাইনিযযাকারা ওয়াল উনছা-।",
              "words_arabic": "وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//خَلَقَ/خَلَقَ/khalaqa//الزَّوْجَیْنِ/ٱلزَّوۡجَيۡنِ/al-zawjayni//الذَّكَرَ/ٱلذَّكَرَ/al-dhakara//وَ الْاُنْثٰیۙ/وَٱلۡأُنثَىٰ/wal-untha",
              "words_bangla": "এবং (এও) যে//তিনি সৃষ্টি করেছেন//দুই যুগল//পুরুষ//ও নারী"
            },
            {
              "number": 4830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4830.mp3"
              ],
              "text": "مِن نُّطْفَةٍ إِذَا تُمْنَىٰ",
              "translate_bn": "একবিন্দু বীর্য থেকে যখন স্খলিত করা হয়।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "মিন নুতফাতিন ইযা-তুমনা।",
              "words_arabic": "مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٍ/nut'fatin//اِذَا/إِذَا/idha//تُمْنٰی۪/تُمۡنَىٰ/tum'na",
              "words_bangla": "হতে//এক ফোঁটা শুক্রবিন্দু//যখন//স্খলিত হয়"
            },
            {
              "number": 4831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4831.mp3"
              ],
              "text": "وَأَنَّ عَلَيْهِ ٱلنَّشْأَةَ ٱلْأُخْرَىٰ",
              "translate_bn": "পুনরুত্থানের দায়িত্ব তাঁরই,",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না ‘আলাইহিন্নাশআতাল উখরা-।",
              "words_arabic": "وَ اَنَّ/وَأَنَّ/wa-anna//عَلَیْهِ/عَلَيۡهِ/alayhi//النَّشْاَةَ/ٱلنَّشۡأَةَ/al-nashata//الْاُخْرٰیۙ/ٱلۡأُخۡرَىٰ/al-ukh'ra",
              "words_bangla": "এবং (এও) যে//তাঁরই উপর দায়িত্ব//উঠানোর//পুনরায়"
            },
            {
              "number": 4832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4832.mp3"
              ],
              "text": "وَأَنَّهُۥ هُوَ أَغْنَىٰ وَأَقْنَىٰ",
              "translate_bn": "এবং তিনিই ধনবান করেন ও সম্পদ দান করেন।",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূহুওয়া আগনা-ওয়া আকনা-।",
              "words_arabic": "وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//هُوَ/هُوَ/huwa//اَغْنٰی/أَغۡنَىٰ/aghna//وَ اَقْنٰیۙ/وَأَقۡنَىٰ/wa-aqna",
              "words_bangla": "এবং (এও) যে//তিনিই//অভাব দূর করেন//ও সম্পদ দান করেন"
            },
            {
              "number": 4833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4833.mp3"
              ],
              "text": "وَأَنَّهُۥ هُوَ رَبُّ ٱلشِّعْرَىٰ",
              "translate_bn": "তিনি শিরা নক্ষত্রের মালিক।",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূহুওয়া রাব্বুশ শি‘রা-।\r\n",
              "words_arabic": "وَ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//هُوَ/هُوَ/huwa//رَبُّ/رَبُّ/rabbu//الشِّعْرٰیۙ/ٱلشِّعۡرَىٰ/al-shi'ra",
              "words_bangla": "এবং (এও) যে//তিনিই//রব//শি'রা (নক্ষত্রের)"
            },
            {
              "number": 4834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4834.mp3"
              ],
              "text": "وَأَنَّهُۥٓ أَهْلَكَ عَادًا ٱلْأُولَىٰ",
              "translate_bn": "তিনিই প্রথম আদ সম্প্রদায়কে ধ্বংস করেছেন,",
              "numberInSurah": 50,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূআহলাকা ‘আ-দানিল ঊলা-।",
              "words_arabic": "وَ اَنَّهٗۤ/وَأَنَّهُۥٓ/wa-annahu//اَهْلَكَ/أَهۡلَكَ/ahlaka//عَادَا/عَادًا/adan//ِ۟الْاُوْلٰیۙ/ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "এবং (এও) যে//তিনি ধ্বংস করেছেন//আদকে//প্রথম"
            },
            {
              "number": 4835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4835.mp3"
              ],
              "text": "وَثَمُودَا۟ فَمَآ أَبْقَىٰ",
              "translate_bn": "এবং সামুদকেও; অতঃপর কাউকে অব্যহতি দেননি।",
              "numberInSurah": 51,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছামূদা ফামাআবকা-।",
              "words_arabic": "وَ ثَمُوْدَاۡ/وَثَمُودَاْ/wathamuda//فَمَاۤ/فَمَآ/fama//اَبْقٰیۙ/أَبۡقَىٰ/abqa",
              "words_bangla": "এবং সামুদকেও//অতঃপর না//অবশিষ্ট রেখেছেন"
            },
            {
              "number": 4836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4836.mp3"
              ],
              "text": "وَقَوْمَ نُوحٍۢ مِّن قَبْلُ ۖ إِنَّهُمْ كَانُوا۟ هُمْ أَظْلَمَ وَأَطْغَىٰ",
              "translate_bn": "এবং তাদের পূর্বে নূহের সম্প্রদায়কে, তারা ছিল আরও জালেম ও অবাধ্য।",
              "numberInSurah": 52,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাওমা নূহিম মিন কাবলু ইন্নাহুম কা-নূহুম আজলামা ওয়া আতগা-।",
              "words_arabic": "وَ قَوْمَ/وَقَوۡمَ/waqawma//نُوْحٍ/نُوحٖ/nuhin//مِّنْ/مِّن/min//قَبْلُ ؕ/قَبۡلُۖ/qablu//اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//هُمْ/هُمۡ/hum//اَظْلَمَ/أَظۡلَمَ/azlama//وَ اَطْغٰیؕ/وَأَطۡغَىٰ/wa-atgha",
              "words_bangla": "এবং জাতিকে//নূহের//থেকে//ইতিপূর্বে(ধংস করেছেন)//তারা নিশ্চয়ই//ছিল//তারা//বড়ই সীমালঙ্ঘনকারী//ও অতি অবাধ্য"
            },
            {
              "number": 4837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4837.mp3"
              ],
              "text": "وَٱلْمُؤْتَفِكَةَ أَهْوَىٰ",
              "translate_bn": "তিনিই জনপদকে শুন্যে উত্তোলন করে নিক্ষেপ করেছেন।",
              "numberInSurah": 53,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মু’তাফিকাতা আহওয়া-।",
              "words_arabic": "وَ الْمُؤْتَفِكَةَ/وَٱلۡمُؤۡتَفِكَةَ/wal-mu'tafikata//اَهْوٰیۙ/أَهۡوَىٰ/ahwa",
              "words_bangla": "এবং উল্টে দেওয়া জনবসতিসমূহকে//শূন্যে তুলে নিক্ষেপ করেছিলেন"
            },
            {
              "number": 4838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4838.mp3"
              ],
              "text": "فَغَشَّىٰهَا مَا غَشَّىٰ",
              "translate_bn": "অতঃপর তাকে আচ্ছন্ন করে নেয় যা আচ্ছন্ন করার।",
              "numberInSurah": 54,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ফাগাশশা-হা-মা-গাশশা-।",
              "words_arabic": "فَغَشّٰىهَا/فَغَشَّىٰهَا/faghashaha//مَا/مَا/ma//غَشّٰیۚ/غَشَّىٰ/ghasha",
              "words_bangla": "তাকে অতঃপর ঢেকে দিল//যা//ঢেকে দেওয়ার ছিল"
            },
            {
              "number": 4839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4839.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكَ تَتَمَارَىٰ",
              "translate_bn": "অতঃপর তুমি তোমার পালনকর্তার কোন অনুগ্রহকে মিথ্যা বলবে?",
              "numberInSurah": 55,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকা তাতামা-রা-।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكَ/رَبِّكَ/rabbika//تَتَمَارٰی /تَتَمَارَىٰ/tatamara",
              "words_bangla": "অতএব কোন//অনুগ্রহ সমূহকে//তোমার রবের//তুমি সন্দেহ করবে"
            },
            {
              "number": 4840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4840.mp3"
              ],
              "text": "هَٰذَا نَذِيرٌۭ مِّنَ ٱلنُّذُرِ ٱلْأُولَىٰٓ",
              "translate_bn": "অতীতের সতর্ককারীদের মধ্যে সে-ও একজন সতর্ককারী।",
              "numberInSurah": 56,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "হা-যা-নাযীরুম মিনান নুযুরিল ঊলা-।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//نَذِیْرٌ/نَذِيرٞ/nadhirun//مِّنَ/مِّنَ/mina//النُّذُرِ/ٱلنُّذُرِ/al-nudhuri//الْاُوْلٰی /ٱلۡأُولَىٰٓ/al-ula",
              "words_bangla": "এই//সতর্কবাণীও (অন্যতম)//মধ্য হতে//সতর্কবাণী সমূহের//অতীতের (আসা)"
            },
            {
              "number": 4841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4841.mp3"
              ],
              "text": "أَزِفَتِ ٱلْءَازِفَةُ",
              "translate_bn": "কেয়ামত নিকটে এসে গেছে।",
              "numberInSurah": 57,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আ-ঝিফাতিল আ-ঝিফাহ।",
              "words_arabic": "اَزِفَتِ/أَزِفَتِ/azifati//الْاٰزِفَةُۚ/ٱلۡأٓزِفَةُ/al-azifatu",
              "words_bangla": "নিকটে এসেছে//নিকটে আগমনকারী (মুহূর্ত অর্থাৎ কিয়ামাত)"
            },
            {
              "number": 4842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4842.mp3"
              ],
              "text": "لَيْسَ لَهَا مِن دُونِ ٱللَّهِ كَاشِفَةٌ",
              "translate_bn": "আল্লাহ ব্যতীত কেউ একে প্রকাশ করতে সক্ষম নয়।",
              "numberInSurah": 58,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "লাইছা লাহা-মিন দূনিল্লা-হি কা-শিফাহ।",
              "words_arabic": "لَیْسَ/لَيۡسَ/laysa//لَهَا/لَهَا/laha//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//كَاشِفَةٌؕ/كَاشِفَةٌ/kashifatun",
              "words_bangla": "নেই//তার জন্যে//মধ্য হতে//ছাড়া//আল্লাহ//কোনো প্রকাশকারী"
            },
            {
              "number": 4843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4843.mp3"
              ],
              "text": "أَفَمِنْ هَٰذَا ٱلْحَدِيثِ تَعْجَبُونَ",
              "translate_bn": "তোমরা কি এই বিষয়ে আশ্চর্যবোধ করছ?",
              "numberInSurah": 59,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "আফামিন হা-যাল হাদীছিতা‘জাবূন।\r\n",
              "words_arabic": "اَفَمِنْ/أَفَمِنۡ/afamin//هٰذَا/هَٰذَا/hadha//الْحَدِیْثِ/ٱلۡحَدِيثِ/al-hadithi//تَعْجَبُوْنَۙ/تَعۡجَبُونَ/ta'jabuna",
              "words_bangla": "তবে কি হতে//এই//কথা//তোমরা অবাক হচ্ছ"
            },
            {
              "number": 4844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4844.mp3"
              ],
              "text": "وَتَضْحَكُونَ وَلَا تَبْكُونَ",
              "translate_bn": "এবং হাসছ-ক্রন্দন করছ না?",
              "numberInSurah": 60,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাদহাকূনা ওয়ালা-তাবকূন।",
              "words_arabic": "وَ تَضْحَكُوْنَ/وَتَضۡحَكُونَ/watadhakuna//وَ لَا/وَلَا/wala//تَبْكُوْنَۙ/تَبۡكُونَ/tabkuna",
              "words_bangla": "এবং তোমরা হাসি ঠাট্টা করছ//অথচ না//তোমরা কাঁদছ"
            },
            {
              "number": 4845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4845.mp3"
              ],
              "text": "وَأَنتُمْ سَٰمِدُونَ",
              "translate_bn": "তোমরা ক্রীড়া-কৌতুক করছ,",
              "numberInSurah": 61,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনতুম ছা-মিদূন।",
              "words_arabic": "وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//سٰمِدُوْنَ /سَٰمِدُونَ/samiduna",
              "words_bangla": "এবং তোমরা//উদাসীন হয়ে আছ"
            },
            {
              "number": 4846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4846.mp3"
              ],
              "text": "فَٱسْجُدُوا۟ لِلَّهِ وَٱعْبُدُوا۟ ۩",
              "translate_bn": "অতএব আল্লাহকে সেজদা কর এবং তাঁর এবাদত কর।",
              "numberInSurah": 62,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 462,
              "hizbQuarter": 211,
              "sajda": {
                "id": 13,
                "recommended": false,
                "obligatory": true
              },
              "pronunciation_bn": "ফাছজূদূলিল্লা-হি ওয়া‘বুদূ(ছিজদাহ-১২)।",
              "words_arabic": "فَاسْجُدُوْا/فَٱسۡجُدُواْۤ/fa-us'judu//لِلّٰهِ/لِلَّهِۤ/lillahi//وَ اعْبُدُوْا۠۩/وَٱعۡبُدُواْ۩/wa-u'budu",
              "words_bangla": "অতএব তোমরা সিজদা করো//আল্লাহরই জন্যে//এবং তোমরা ইবাদত (সিজদা) করো (তাঁরই)"
            }
          ]
        },
        {
          "number": 54,
          "name": "سُورَةُ القَمَرِ",
          "englishName": "Al-Qamar",
          "englishNameTranslation": "The Moon",
          "revelationType": "Meccan",
          "verse": 55,
          "words": 723,
          "chars": 3155,
          "ayahs": [
            {
              "number": 4847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4847.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱقْتَرَبَتِ ٱلسَّاعَةُ وَٱنشَقَّ ٱلْقَمَرُ",
              "translate_bn": "কেয়ামত আসন্ন, চন্দ্র বিদীর্ণ হয়েছে।",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ইকতারাবাতিছছা-‘আতুওয়ানশাক্কাল কামার।",
              "words_arabic": "اِقْتَرَبَتِ/ٱقۡتَرَبَتِ/iq'tarabati//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//وَ انْشَقَّ/وَٱنشَقَّ/wa-inshaqqa//الْقَمَرُ /ٱلۡقَمَرُ/al-qamaru",
              "words_bangla": "নিকটবর্তী হয়েছে//কিয়ামত//এবং বিদীর্ণ হয়েছে//চাঁদ"
            },
            {
              "number": 4848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4848.mp3"
              ],
              "text": "وَإِن يَرَوْا۟ ءَايَةًۭ يُعْرِضُوا۟ وَيَقُولُوا۟ سِحْرٌۭ مُّسْتَمِرٌّۭ",
              "translate_bn": "তারা যদি কোন নিদর্শন দেখে তবে মুখ ফিরিয়ে নেয় এবং বলে, এটা তো চিরাগত জাদু।",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁইয়ারাও আ-য়াতাইঁ ইউ‘রিদূ ওয়া ইয়াকূলূছিহরুম মুছতামির।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّرَوْا/يَرَوۡاْ/yaraw//اٰیَةً/ءَايَةٗ/ayatan//یُّعْرِضُوْا/يُعۡرِضُواْ/yu'ridu//وَ یَقُوْلُوْا/وَيَقُولُواْ/wayaqulu//سِحْرٌ/سِحۡرٞ/sih'run//مُّسْتَمِرٌّ /مُّسۡتَمِرّٞ/mus'tamirrun",
              "words_bangla": "কিন্তু যদি//তারা দেখে//কোনো নিদর্শন//তারা মুখ ফিরিয়ে নেয়//এবং তারা বলে//\"(এটা) জাদু//চিরাচরিত\""
            },
            {
              "number": 4849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4849.mp3"
              ],
              "text": "وَكَذَّبُوا۟ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُمْ ۚ وَكُلُّ أَمْرٍۢ مُّسْتَقِرٌّۭ",
              "translate_bn": "তারা মিথ্যারোপ করছে এবং নিজেদের খেয়াল-খুশীর অনুসরণ করছে। প্রত্যেক কাজ যথাসময়ে স্থিরীকৃত হয়।",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়াকাযযাবূওয়াত্তাবা‘ঊআহওয়াআহুম ওয়াকুল্লুআমরিম মুছতাকির।",
              "words_arabic": "وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//وَ اتَّبَعُوْۤا/وَٱتَّبَعُوٓاْ/wa-ittaba'u//اَهْوَآءَهُمْ/أَهۡوَآءَهُمۡۚ/ahwaahum//وَ كُلُّ/وَكُلُّ/wakullu//اَمْرٍ/أَمۡرٖ/amrin//مُّسْتَقِرٌّ /مُّسۡتَقِرّٞ/mus'taqirrun",
              "words_bangla": "এবং তারা মিথ্যারোপ করেছে//ও অনুসরণ করেছে//তাদের খেয়ালখুশির//এবং প্রত্যেক//কাজই//লক্ষ্যে পৌঁছুবে"
            },
            {
              "number": 4850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4850.mp3"
              ],
              "text": "وَلَقَدْ جَآءَهُم مِّنَ ٱلْأَنۢبَآءِ مَا فِيهِ مُزْدَجَرٌ",
              "translate_bn": "তাদের কাছে এমন সংবাদ এসে গেছে, যাতে সাবধানবাণী রয়েছে।",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জাআহুম মিনাল আমবাই মা-ফীহি মুঝদাজার।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَهُمْ/جَآءَهُم/jaahum//مِّنَ/مِّنَ/mina//الْاَنْۢبَآءِ/ٱلۡأَنۢبَآءِ/al-anbai//مَا/مَا/ma//فِیْهِ/فِيهِ/fihi//مُزْدَجَرٌۙ/مُزۡدَجَرٌ/muz'dajarun",
              "words_bangla": "এবং নিশ্চয়ই//তাদের কাছে এসেছে//হতে//সংবাদ গুলো(অতীত জাতিসমূহের)//যার//মধ্যে আছে//সতর্কবাণী"
            },
            {
              "number": 4851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4851.mp3"
              ],
              "text": "حِكْمَةٌۢ بَٰلِغَةٌۭ ۖ فَمَا تُغْنِ ٱلنُّذُرُ",
              "translate_bn": "এটা পরিপূর্ণ জ্ঞান, তবে সতর্ককারীগণ তাদের কোন উপকারে আসে না।",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "হিকমাতুম বা-লিগাতুন ফামা-তুগনিন নুযুর।",
              "words_arabic": "حِكْمَةٌۢ/حِكۡمَةُۢ/hik'matun//بَالِغَةٌ/بَٰلِغَةٞۖ/balighatun//فَمَا/فَمَا/fama//تُغْنِ/تُغۡنِ/tugh'ni//النُّذُرُۙ/ٱلنُّذُرُ/al-nudhuru",
              "words_bangla": "প্রজ্ঞা//পরিপূর্ণ//না কিন্তু//কাজে আসে//সতর্কবাণী (তাদের জন্য)"
            },
            {
              "number": 4852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4852.mp3"
              ],
              "text": "فَتَوَلَّ عَنْهُمْ ۘ يَوْمَ يَدْعُ ٱلدَّاعِ إِلَىٰ شَىْءٍۢ نُّكُرٍ",
              "translate_bn": "অতএব, আপনি তাদের থেকে মুখ ফিরিয়ে নিন। যেদিন আহবানকারী আহবান করবে এক অপ্রিয় পরিণামের দিকে,",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 528,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "ফাতাওয়াল্লা ‘আনহুম । ইয়াওমা ইয়াদ‘উদ্দা-‘ই ইলা-শাইয়িন নুকুর।",
              "words_arabic": "فَتَوَلَّ/فَتَوَلَّ/fatawalla//عَنْهُمْ ۘ/عَنۡهُمۡۘ/anhum//یَوْمَ/يَوۡمَ/yawma//یَدْعُ/يَدۡعُ/yad'u//الدَّاعِ/ٱلدَّاعِ/al-da'i//اِلٰی/إِلَىٰ/ila//شَیْءٍ/شَيۡءٖ/shayin//نُّكُرٍۙ/نُّكُرٍ/nukurin",
              "words_bangla": "(হে নবী) অতএব মুখ ফিরাও/ উপেক্ষা করো//তাদের হতে//যেদিন//আহ্বান করবে//এক আহ্বানকারী//দিকে//একটা জিনিসের//অপ্রীতিকর"
            },
            {
              "number": 4853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4853.mp3"
              ],
              "text": "خُشَّعًا أَبْصَٰرُهُمْ يَخْرُجُونَ مِنَ ٱلْأَجْدَاثِ كَأَنَّهُمْ جَرَادٌۭ مُّنتَشِرٌۭ",
              "translate_bn": "তারা তখন অবনমিত নেত্রে কবর থেকে বের হবে বিক্ষিপ্ত পংগপাল সদৃশ।",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "খুশশা‘আন আবসা-রুহুম ইয়াখরুজূনা মিনাল আজদা-ছিকাআন্নাহুম জারা-দুম মুনতাশির।",
              "words_arabic": "خُشَّعًا/خُشَّعًا/khusha'an//اَبْصَارُهُمْ/أَبۡصَٰرُهُمۡ/absaruhum//یَخْرُجُوْنَ/يَخۡرُجُونَ/yakhrujuna//مِنَ/مِنَ/mina//الْاَجْدَاثِ/ٱلۡأَجۡدَاثِ/al-ajdathi//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//جَرَادٌ/جَرَادٞ/jaradun//مُّنْتَشِرٌۙ/مُّنتَشِرٞ/muntashirun",
              "words_bangla": "অবনমিত অবস্থায়(থাকবে)//তাদের দৃষ্টি//তারা বের হবে (সেদিন)//হতে//কবরসমূহ//(মনে হবে) তারা যেন//পঙ্গপাল//বিক্ষিপ্ত"
            },
            {
              "number": 4854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4854.mp3"
              ],
              "text": "مُّهْطِعِينَ إِلَى ٱلدَّاعِ ۖ يَقُولُ ٱلْكَٰفِرُونَ هَٰذَا يَوْمٌ عَسِرٌۭ",
              "translate_bn": "তারা আহবানকারীর দিকে দৌড়াতে থাকবে। কাফেরা বলবেঃ এটা কঠিন দিন।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 211,
              "sajda": false,
              "pronunciation_bn": "মুহতি‘ঈনা ইলাদ্দা-‘ই ইয়াকূলুল কা-ফিরূনা হা-যা-ইয়াওমুন ‘আছির।",
              "words_arabic": "مُّهْطِعِیْنَ/مُّهۡطِعِينَ/muh'ti'ina//اِلَی/إِلَى/ila//الدَّاعِ ؕ/ٱلدَّاعِۖ/al-da'i//یَقُوْلُ/يَقُولُ/yaqulu//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//هٰذَا/هَٰذَا/hadha//یَوْمٌ/يَوۡمٌ/yawmun//عَسِرٌ /عَسِرٞ/asirun",
              "words_bangla": "তারা দৌড়াবে (ভীতবিহ্বল হয়ে)//দিকে//আহ্বানকারীর//বলবে//কাফিররা//\"এটা//দিন//কঠিন\""
            },
            {
              "number": 4855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4855.mp3"
              ],
              "text": "۞ كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍۢ فَكَذَّبُوا۟ عَبْدَنَا وَقَالُوا۟ مَجْنُونٌۭ وَٱزْدُجِرَ",
              "translate_bn": "তাদের পূর্বে নূহের সম্প্রদায়ও মিথ্যারোপ করেছিল। তারা মিথ্যারোপ করেছিল আমার বান্দা নূহের প্রতি এবং বলেছিলঃ এ তো উম্মাদ। তাঁরা তাকে হুমকি প্রদর্শন করেছিল।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাবলাহুম কাওমু নূহিন ফাকাযযাবূ ‘আবদানা-ওয়াকা-লূ মাজনূনুওঁ ওয়াঝদুজির।",
              "words_arabic": "كَذَّبَتْ/۞كَذَّبَتۡ/kadhabat//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//قَوْمُ/قَوۡمُ/qawmu//نُوْحٍ/نُوحٖ/nuhin//فَكَذَّبُوْا/فَكَذَّبُواْ/fakadhabu//عَبْدَنَا/عَبۡدَنَا/abdana//وَ قَالُوْا/وَقَالُواْ/waqalu//مَجْنُوْنٌ/مَجۡنُونٞ/majnunun//وَّ ازْدُجِرَ /وَٱزۡدُجِرَ/wa-uz'dujira",
              "words_bangla": "মিথ্যারোপ করেছিল//তাদের পূর্বে//জাতি//নূহের//আর তারা মিথ্যা আরোপ করেছিল//আমাদের বান্দাকে/ দাসকে//এবং বলেছিল//\"সে পাগল\"//ও তাকে ধমকানো হয়েছিল"
            },
            {
              "number": 4856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4856.mp3"
              ],
              "text": "فَدَعَا رَبَّهُۥٓ أَنِّى مَغْلُوبٌۭ فَٱنتَصِرْ",
              "translate_bn": "অতঃপর সে তার পালনকর্তাকে ডেকে বললঃ আমি অক্ষম, অতএব, তুমি প্রতিবিধান কর।",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাদা‘আ-রাব্বাহূআন্নী মাগলূবুন ফানতাসির ।",
              "words_arabic": "فَدَعَا/فَدَعَا/fada'a//رَبَّهٗۤ/رَبَّهُۥٓ/rabbahu//اَنِّیْ/أَنِّي/anni//مَغْلُوْبٌ/مَغۡلُوبٞ/maghlubun//فَانْتَصِرْ /فَٱنتَصِرۡ/fa-intasir",
              "words_bangla": "সে তখন ডেকেছিল//তার রবকে//\"যে আমি//পরাজিত//অতএব তুমি প্রতিবিধান করো\""
            },
            {
              "number": 4857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4857.mp3"
              ],
              "text": "فَفَتَحْنَآ أَبْوَٰبَ ٱلسَّمَآءِ بِمَآءٍۢ مُّنْهَمِرٍۢ",
              "translate_bn": "তখন আমি খুলে দিলাম আকাশের দ্বার প্রবল বারিবর্ষণের মাধ্যমে।",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাফাতাহনাআবওয়া-বাছ ছামাই বিমাইম মুনহামির।",
              "words_arabic": "فَفَتَحْنَاۤ/فَفَتَحۡنَآ/fafatahna//اَبْوَابَ/أَبۡوَٰبَ/abwaba//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//بِمَآءٍ/بِمَآءٖ/bimain//مُّنْهَمِرٍؗۖ/مُّنۡهَمِرٖ/mun'hamirin",
              "words_bangla": "তখন আমরা খুলে দিয়েছিলাম//দরজাগুলোকে//আকাশের//বৃষ্টি দ্বারা//মুষলধারে"
            },
            {
              "number": 4858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4858.mp3"
              ],
              "text": "وَفَجَّرْنَا ٱلْأَرْضَ عُيُونًۭا فَٱلْتَقَى ٱلْمَآءُ عَلَىٰٓ أَمْرٍۢ قَدْ قُدِرَ",
              "translate_bn": "এবং ভুমি থেকে প্রবাহিত করলাম প্রস্রবণ। অতঃপর সব পানি মিলিত হল এক পরিকম্পিত কাজে।",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফাজ্জারনাল আরদা ‘উইঊনান ফালতাকাল মাউ ‘আলাআমরিন কাদ কুদির।",
              "words_arabic": "وَّ فَجَّرْنَا/وَفَجَّرۡنَا/wafajjarna//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//عُیُوْنًا/عُيُونٗا/uyunan//فَالْتَقَی/فَٱلۡتَقَى/fal-taqa//الْمَآءُ/ٱلۡمَآءُ/al-mau//عَلٰۤی/عَلَىٰٓ/ala//اَمْرٍ/أَمۡرٖ/amrin//قَدْ/قَدۡ/qad//قُدِرَۚ/قُدِرَ/qudira",
              "words_bangla": "এবং আমরা দীর্ণকরে বের করলাম//মাটি (হতে)//ফোয়ারা//অতঃপর মিলে গেল//(সমস্ত) পানি//উপর//এমন এক ব্যাপারে (সম্পূর্ণ করতে)//(যা ছিল)//নির্দিষ্ট করা"
            },
            {
              "number": 4859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4859.mp3"
              ],
              "text": "وَحَمَلْنَٰهُ عَلَىٰ ذَاتِ أَلْوَٰحٍۢ وَدُسُرٍۢ",
              "translate_bn": "আমি নূহকে আরোহণ করালাম এক কাষ্ঠ ও পেরেক নির্মিত জলযানে।",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া হামালনা-হু ‘আলা-যা-তি আলওয়া-হিওঁ ওয়াদুছুর।",
              "words_arabic": "وَ حَمَلْنٰهُ/وَحَمَلۡنَٰهُ/wahamalnahu//عَلٰی/عَلَىٰ/ala//ذَاتِ/ذَاتِ/dhati//اَلْوَاحٍ/أَلۡوَٰحٖ/alwahin//وَّ دُسُرٍۙ/وَدُسُرٖ/wadusurin",
              "words_bangla": "এবং তাকে আমরা আরোহণ করালাম//(নৌকার) উপর//(তৈরি) বিশিষ্ট//(অনেক) তক্তা//এবং (বহু) পেরেকের"
            },
            {
              "number": 4860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4860.mp3"
              ],
              "text": "تَجْرِى بِأَعْيُنِنَا جَزَآءًۭ لِّمَن كَانَ كُفِرَ",
              "translate_bn": "যা চলত আমার দৃষ্টি সামনে। এটা তার পক্ষ থেকে প্রতিশোধ ছিল, যাকে প্রত্যখ্যান করা হয়েছিল।",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "তাজরী বিআ‘ইউনিনা- জাঝাআল লিমান কা-না কুফির।",
              "words_arabic": "تَجْرِیْ/تَجۡرِي/tajri//بِاَعْیُنِنَا ۚ/بِأَعۡيُنِنَا/bi-a'yunina//جَزَآءً/جَزَآءٗ/jazaan//لِّمَنْ/لِّمَن/liman//كَانَ/كَانَ/kana//كُفِرَ /كُفِرَ/kufira",
              "words_bangla": "চলে//আমাদের পর্যবেক্ষণে//পুরস্কার//তার জন্য যে//হয়েছিল//প্রত্যাখ্যাত"
            },
            {
              "number": 4861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4861.mp3"
              ],
              "text": "وَلَقَد تَّرَكْنَٰهَآ ءَايَةًۭ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি একে এক নিদর্শনরূপে রেখে দিয়েছি। অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ তারাকনা-হাআ-য়াতান ফাহাল মিম মুদ্দাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَد/walaqad//تَّرَكْنٰهَاۤ/تَّرَكۡنَٰهَآ/taraknaha//اٰیَةً/ءَايَةٗ/ayatan//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ /مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//তা আমরা রেখেছি//একটি নিদর্শন হিসেবে//কি তবে (আছে)//কোনো//উপদেশ গ্রহণকারী"
            },
            {
              "number": 4862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4862.mp3"
              ],
              "text": "فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ",
              "translate_bn": "কেমন কঠোর ছিল আমার শাস্তি ও সতর্কবাণী।",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা কা-না ‘আযা-বী ওয়া নুযুর।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "তখন কেমন//ছিল//আমার শাস্তি(তা লক্ষ্য কর)//ও আমার সতর্ক বাণী"
            },
            {
              "number": 4863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4863.mp3"
              ],
              "text": "وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি কোরআনকে সহজ করে দিয়েছি বোঝার জন্যে। অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ ইয়াছছারনাল কুরআ-না লিযযি করি ফাহাল মিম মুদ্দাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//یَسَّرْنَا/يَسَّرۡنَا/yassarna//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لِلذِّكْرِ/لِلذِّكۡرِ/lildhik'ri//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ /مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সহজ করে দিয়েছি//কুরআনকে//উপদেশ গ্রহণের জন্য//তবে কি(আছে)//কোনো//উপদেশ গ্রহণকারী"
            },
            {
              "number": 4864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4864.mp3"
              ],
              "text": "كَذَّبَتْ عَادٌۭ فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ",
              "translate_bn": "আদ সম্প্রদায় মিথ্যারোপ করেছিল, অতঃপর কেমন কঠোর হয়েছিল আমার শাস্তি ও সতর্কবাণী।",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ‘আ-দুন ফাকাইফা কা-না ‘আযা-বী ওয়া নুযুর।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//عَادٌ/عَادٞ/adun//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "মিথ্যারোপ করেছিল//আদ'//কেমন অতঃপর//ছিল//আমার শাস্তি//ও আমার সতর্কবাণী(তা লক্ষ্যকর)"
            },
            {
              "number": 4865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4865.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَا عَلَيْهِمْ رِيحًۭا صَرْصَرًۭا فِى يَوْمِ نَحْسٍۢ مُّسْتَمِرٍّۢ",
              "translate_bn": "আমি তাদের উপর প্রেরণ করেছিলাম ঝঞ্জাবায়ু এক চিরাচরিত অশুভ দিনে।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-‘আলাইহিম রীহান সারসারান ফী ইয়াওমি নাহছিম মুছতামির।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رِیْحًا/رِيحٗا/rihan//صَرْصَرًا/صَرۡصَرٗا/sarsaran//فِیْ/فِي/fi//یَوْمِ/يَوۡمِ/yawmi//نَحْسٍ/نَحۡسٖ/nahsin//مُّسْتَمِرٍّۙ/مُّسۡتَمِرّٖ/mus'tamirrin",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা পাঠিয়েছি//তাদের উপর//বাতাস//প্রবল বেগে//(আছে)//দিনে//দুর্ভাগ্য//ক্রমাগত"
            },
            {
              "number": 4866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4866.mp3"
              ],
              "text": "تَنزِعُ ٱلنَّاسَ كَأَنَّهُمْ أَعْجَازُ نَخْلٍۢ مُّنقَعِرٍۢ",
              "translate_bn": "তা মানুষকে উৎখাত করছিল, যেন তারা উৎপাটিত খর্জুর বৃক্ষের কান্ড।",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "তানঝি‘উন্না-ছা কাআন্নাহুম আ‘জা-ঝুনাখলিম মুনকা‘ইর।",
              "words_arabic": "تَنْزِعُ/تَنزِعُ/tanzi'u//النَّاسَ ۙ/ٱلنَّاسَ/al-nasa//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//اَعْجَازُ/أَعۡجَازُ/a'jazu//نَخْلٍ/نَخۡلٖ/nakhlin//مُّنْقَعِرٍ /مُّنقَعِرٖ/munqa'irin",
              "words_bangla": "উৎখাত করে//মানুষকে//তারা যেন//কাণ্ডসমূহ//খেজুরগাছের//উপড়ানো (মূল হতে)"
            },
            {
              "number": 4867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4867.mp3"
              ],
              "text": "فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ",
              "translate_bn": "অতঃপর কেমন কঠোর ছিল আমার শাস্তি ও সতর্কবাণী।",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা কা-না ‘আযা-বী ওয়া নুযুর।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "কেমন অতএব//ছিল//আমার শাস্তি//ও আমার সতর্কবাণী (লক্ষ্যকর)"
            },
            {
              "number": 4868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4868.mp3"
              ],
              "text": "وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি কোরআনকে বোঝার জন্যে সহজ করে দিয়েছি। অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 463,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ইয়াছছারনাল কুরআ-না লিযযি করি ফাহাল মিম মুদ্দাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//یَسَّرْنَا/يَسَّرۡنَا/yassarna//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لِلذِّكْرِ/لِلذِّكۡرِ/lildhik'ri//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ۠/مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সহজ করেছি//কুরআনকে//উপদেশ গ্রহণের জন্যে//তবে কি (আছে)//কোনো//উপদেশ গ্রহণকারী"
            },
            {
              "number": 4869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4869.mp3"
              ],
              "text": "كَذَّبَتْ ثَمُودُ بِٱلنُّذُرِ",
              "translate_bn": "সামুদ সম্প্রদায় সতর্ককারীদের প্রতি মিথ্যারোপ করেছিল।",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ছামূদুবিন্নুযুর।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//ثَمُوْدُ/ثَمُودُ/thamudu//بِالنُّذُرِ /بِٱلنُّذُرِ/bil-nudhuri",
              "words_bangla": "মিথ্যারোপ করেছিল//সামুদ'//সতর্ককারীদেরকে"
            },
            {
              "number": 4870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4870.mp3"
              ],
              "text": "فَقَالُوٓا۟ أَبَشَرًۭا مِّنَّا وَٰحِدًۭا نَّتَّبِعُهُۥٓ إِنَّآ إِذًۭا لَّفِى ضَلَٰلٍۢ وَسُعُرٍ",
              "translate_bn": "তারা বলেছিলঃ আমরা কি আমাদেরই একজনের অনুসরণ করব? তবে তো আমরা বিপথগামী ও বিকার গ্রস্থরূপে গণ্য হব।",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লূআবাশারাম মিন্না-ওয়া-হিদান নাত্তাবি‘উহূ ইন্নাইযাল্লাফী দালা-লিওঁ ওয়াছু‘উর।",
              "words_arabic": "فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اَبَشَرًا/أَبَشَرٗا/abasharan//مِّنَّا/مِّنَّا/minna//وَاحِدًا/وَٰحِدٗا/wahidan//نَّتَّبِعُهٗۤ ۙ/نَّتَّبِعُهُۥٓ/nattabi'uhu//اِنَّاۤ/إِنَّآ/inna//اِذًا/إِذٗا/idhan//لَّفِیْ/لَّفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//وَّ سُعُرٍ /وَسُعُرٍ/wasu'urin",
              "words_bangla": "তারা তখন বলেছিল//\"মানুষ কি//আমাদের মধ্য হতে//একজন//যাকে আমরা অনুসরণ করবো//নিশ্চয়ই আমরা//তখন (হব)//অবশ্যই মধ্যে//ভ্রান্তির//ও বিকৃতবুদ্ধির"
            },
            {
              "number": 4871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4871.mp3"
              ],
              "text": "أَءُلْقِىَ ٱلذِّكْرُ عَلَيْهِ مِنۢ بَيْنِنَا بَلْ هُوَ كَذَّابٌ أَشِرٌۭ",
              "translate_bn": "আমাদের মধ্যে কি তারই প্রতি উপদেশ নাযিল করা হয়েছে? বরং সে একজন মিথ্যাবাদী, দাম্ভিক।",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "আ উলকিয়াযযিকরু ‘আলাইহি মিম বাইনিনা-বাল হুওয়া কাযযা-বুন আশির।",
              "words_arabic": "ءَاُلْقِیَ/أَءُلۡقِيَ/a-ul'qiya//الذِّكْرُ/ٱلذِّكۡرُ/al-dhik'ru//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْۢ/مِنۢ/min//بَیْنِنَا/بَيۡنِنَا/baynina//بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//كَذَّابٌ/كَذَّابٌ/kadhabun//اَشِرٌ /أَشِرٞ/ashirun",
              "words_bangla": "অবতীর্ণ করা হয়েছে কি//উপদেশ (আল্লাহর বিধান)//তার উপর//হতে//আমাদের মাঝে//বরং//সে//খুব মিথ্যাবাদী//দাম্ভিক\""
            },
            {
              "number": 4872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4872.mp3"
              ],
              "text": "سَيَعْلَمُونَ غَدًۭا مَّنِ ٱلْكَذَّابُ ٱلْأَشِرُ",
              "translate_bn": "এখন আগামীকল্যই তারা জানতে পারবে কে মিথ্যাবাদী, দাম্ভিক।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ছাইয়া‘লামূনা গাদাম মানিল কাযযা-বুল আশির।",
              "words_arabic": "سَیَعْلَمُوْنَ/سَيَعۡلَمُونَ/saya'lamuna//غَدًا/غَدٗا/ghadan//مَّنِ/مَّنِ/mani//الْكَذَّابُ/ٱلۡكَذَّابُ/al-kadhabu//الْاَشِرُ /ٱلۡأَشِرُ/al-ashiru",
              "words_bangla": "(বলা হল) অচিরেই তারা জানবে//আগামীকালই//কে//খুব মিথ্যাবাদী//দাম্ভিক"
            },
            {
              "number": 4873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4873.mp3"
              ],
              "text": "إِنَّا مُرْسِلُوا۟ ٱلنَّاقَةِ فِتْنَةًۭ لَّهُمْ فَٱرْتَقِبْهُمْ وَٱصْطَبِرْ",
              "translate_bn": "আমি তাদের পরীক্ষার জন্য এক উষ্ট্রী প্রেরণ করব, অতএব, তাদের প্রতি লক্ষ্য রাখ এবং সবর কর।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 529,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্না-মুরছিলুন্না-কাতি ফিতনাতাল্লাহুম ফারতাকিবহুম ওয়াসতাবির।",
              "words_arabic": "اِنَّا/إِنَّا/inna//مُرْسِلُوا/مُرۡسِلُواْ/mur'silu//النَّاقَةِ/ٱلنَّاقَةِ/al-naqati//فِتْنَةً/فِتۡنَةٗ/fit'natan//لَّهُمْ/لَّهُمۡ/lahum//فَارْتَقِبْهُمْ/فَٱرۡتَقِبۡهُمۡ/fa-ir'taqib'hum//وَ اصْطَبِرْؗ/وَٱصۡطَبِرۡ/wa-is'tabir",
              "words_bangla": "নিশ্চয়ই আমরা//প্রেরণকারী//একটি উটনী//পরীক্ষা হিসেবে//তাদের জন্যে//অতএব তুমি তাদের প্রতি লক্ষ্য রাখ//ও ধৈর্য ধরো"
            },
            {
              "number": 4874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4874.mp3"
              ],
              "text": "وَنَبِّئْهُمْ أَنَّ ٱلْمَآءَ قِسْمَةٌۢ بَيْنَهُمْ ۖ كُلُّ شِرْبٍۢ مُّحْتَضَرٌۭ",
              "translate_bn": "এবং তাদেরকে জানিয়ে দাও যে, তাদের মধ্যে পানির পালা নির্ধারিত হয়েছে এবং পালাক্রমে উপস্থিত হতে হবে।",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাব্বি’হুম আন্নাল মাআ কিছমাতুম বাইনাহুম কুল্লুশিরবিম মুহতাদার।",
              "words_arabic": "وَ نَبِّئْهُمْ/وَنَبِّئۡهُمۡ/wanabbi'hum//اَنَّ/أَنَّ/anna//الْمَآءَ/ٱلۡمَآءَ/al-maa//قِسْمَةٌۢ/قِسۡمَةُۢ/qis'matun//بَیْنَهُمْ ۚ/بَيۡنَهُمۡۖ/baynahum//كُلُّ/كُلُّ/kullu//شِرْبٍ/شِرۡبٖ/shir'bin//مُّحْتَضَرٌ /مُّحۡتَضَرٞ/muh'tadarun",
              "words_bangla": "এবং তাদের জানিয়ে দাও//যে//পানি//পালা করে দেওয়া হলো (হয়েছে)//তাদের মাঝে//প্রত্যেকে//পান করতে//উপস্থিত হবে (পালাক্রমে)"
            },
            {
              "number": 4875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4875.mp3"
              ],
              "text": "فَنَادَوْا۟ صَاحِبَهُمْ فَتَعَاطَىٰ فَعَقَرَ",
              "translate_bn": "অতঃপর তারা তাদের সঙ্গীকে ডাকল। সে তাকে ধরল এবং বধ করল।",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফানা-দাও সা-হিবাহুম ফাত‘আ-তা-ফা‘আকার।",
              "words_arabic": "فَنَادَوْا/فَنَادَوۡاْ/fanadaw//صَاحِبَهُمْ/صَاحِبَهُمۡ/sahibahum//فَتَعَاطٰی/فَتَعَاطَىٰ/fata'ata//فَعَقَرَ /فَعَقَرَ/fa'aqara",
              "words_bangla": "তারা অতঃপর ডাকল//তাদের এক সঙ্গীকে//সে তখন হস্তক্ষেপ করল//সে অতঃপর উটনী মেরে ফেলল"
            },
            {
              "number": 4876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4876.mp3"
              ],
              "text": "فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ",
              "translate_bn": "অতঃপর কেমন কঠোর ছিল আমার শাস্তি ও সতর্কবাণী।",
              "numberInSurah": 30,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা কা-না ‘আযা-বী ওয়ানুযুর।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "তখন কেমন//ছিল//আমার শাস্তি//ও আমার সতর্কবাণী (তা লক্ষ্যকর)"
            },
            {
              "number": 4877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4877.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَا عَلَيْهِمْ صَيْحَةًۭ وَٰحِدَةًۭ فَكَانُوا۟ كَهَشِيمِ ٱلْمُحْتَظِرِ",
              "translate_bn": "আমি তাদের প্রতি একটিমাত্র নিনাদ প্রেরণ করেছিলাম। এতেই তারা হয়ে গেল শুষ্ক শাখাপল্লব নির্মিত দলিত খোয়াড়ের ন্যায়।",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-‘আলাইহিম সাইহাতাওঁ ওয়া হিদাতান ফাকা-নূকাহাশীমিল মুহতাজির।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//صَیْحَةً/صَيۡحَةٗ/sayhatan//وَّاحِدَةً/وَٰحِدَةٗ/wahidatan//فَكَانُوْا/فَكَانُواْ/fakanu//كَهَشِیْمِ/كَهَشِيمِ/kahashimi//الْمُحْتَظِرِ /ٱلۡمُحۡتَظِرِ/al-muh'taziri",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা পাঠালাম//তাদের উপর//প্রচণ্ড গর্জন//একটি (মাত্র)//ফলে তারা হয়ে গেল//শুকনা খড়্রের মতো//খোঁয়াড় প্রস্তুতকারীর"
            },
            {
              "number": 4878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4878.mp3"
              ],
              "text": "وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি কোরআনকে বোঝার জন্যে সহজ করে দিয়েছি। অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ইয়াছছারনাল কুরআ-না লিযযি করি ফাহাল মিম মুদ্দাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//یَسَّرْنَا/يَسَّرۡنَا/yassarna//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لِلذِّكْرِ/لِلذِّكۡرِ/lildhik'ri//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ /مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সহজ করেছি//কুরআনকে//উপদেশ গ্রহনের জন্যে//কি তবে (আছে)//কোনো//উপদেশ গ্রহণকারী"
            },
            {
              "number": 4879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4879.mp3"
              ],
              "text": "كَذَّبَتْ قَوْمُ لُوطٍۭ بِٱلنُّذُرِ",
              "translate_bn": "লূত-সম্প্রদায় সতর্ককারীদের প্রতি মিথ্যারোপ করেছিল।",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত কাওমুলূতিম বিননুযুর।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//قَوْمُ/قَوۡمُ/qawmu//لُوْطٍۭ/لُوطِۭ/lutin//بِالنُّذُرِ /بِٱلنُّذُرِ/bil-nudhuri",
              "words_bangla": "মিথ্যারোপ করেছিল//জাতি//লূতের//সতর্কবাণীকে"
            },
            {
              "number": 4880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4880.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَا عَلَيْهِمْ حَاصِبًا إِلَّآ ءَالَ لُوطٍۢ ۖ نَّجَّيْنَٰهُم بِسَحَرٍۢ",
              "translate_bn": "আমি তাদের প্রতি প্রেরণ করেছিলাম প্রস্তর বর্ষণকারী প্রচন্ড ঘূর্ণিবায়ু; কিন্তু লূত পরিবারের উপর নয়। আমি তাদেরকে রাতের শেষপ্রহরে উদ্ধার করেছিলাম।",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-‘আলাইহিম হা-সিবান ইল্লাআ-লা লূতিন নাজ্জাইনা-হুম বিছাহার।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حَاصِبًا/حَاصِبًا/hasiban//اِلَّاۤ/إِلَّآ/illa//اٰلَ/ءَالَ/ala//لُوْطٍ ؕ/لُوطٖۖ/lutin//نَجَّیْنٰهُمْ/نَّجَّيۡنَٰهُم/najjaynahum//بِسَحَرٍۙ/بِسَحَرٖ/bisaharin",
              "words_bangla": "আমরা নিশ্চয়ই//আমরা পাঠিয়েছি//তাদের উপর//পাথরবর্ষণকারী ঝড়ো বাতাস//তবে//পরিবারকে//লূতের (রক্ষা করি)//তাদেরকে আমরা উদ্ধার করেছিলাম//রাতের শেষে"
            },
            {
              "number": 4881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4881.mp3"
              ],
              "text": "نِّعْمَةًۭ مِّنْ عِندِنَا ۚ كَذَٰلِكَ نَجْزِى مَن شَكَرَ",
              "translate_bn": "আমার পক্ষ থেকে অনুগ্রহ স্বরূপ। যারা কৃতজ্ঞতা স্বীকার করে, আমি তাদেরকে এভাবে পুরস্কৃত করে থকি।",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "নি‘মাতাম মিন ‘ইনদিনা- কাযা-লিকা নাজঝী মান শাকার।",
              "words_arabic": "نِّعْمَةً/نِّعۡمَةٗ/ni'matan//مِّنْ/مِّنۡ/min//عِنْدِنَا ؕ/عِندِنَاۚ/indina//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِیْ/نَجۡزِي/najzi//مَنْ/مَن/man//شَكَرَ /شَكَرَ/shakara",
              "words_bangla": "অনুগ্রহে//হতে//আমাদের নিকট//এভাবেই//পুরস্কার দেই আমরা//যে//কৃতজ্ঞতা প্রকাশ করে"
            },
            {
              "number": 4882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4882.mp3"
              ],
              "text": "وَلَقَدْ أَنذَرَهُم بَطْشَتَنَا فَتَمَارَوْا۟ بِٱلنُّذُرِ",
              "translate_bn": "লূত (আঃ) তাদেরকে আমার প্রচন্ড পাকড়াও সম্পর্কে সতর্ক করেছিল। অতঃপর তারা সতর্কবাণী সম্পর্কে বাকবিতন্ডা করেছিল।",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-কাদ আনযারাহুম বাতশাতানা-ফাতামা-রাও বিননুযুর।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَنْذَرَهُمْ/أَنذَرَهُم/andharahum//بَطْشَتَنَا/بَطۡشَتَنَا/batshatana//فَتَمَارَوْا/فَتَمَارَوۡاْ/fatamaraw//بِالنُّذُرِ /بِٱلنُّذُرِ/bil-nudhuri",
              "words_bangla": "এবং নিশ্চয়ই//তাদেরকে সতর্ক করেছিল সে//আমাদের পাকড়াও সম্পর্কে//তারা সন্দেহ তবে করেছিল//সতর্কবাণী সম্পর্কে"
            },
            {
              "number": 4883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4883.mp3"
              ],
              "text": "وَلَقَدْ رَٰوَدُوهُ عَن ضَيْفِهِۦ فَطَمَسْنَآ أَعْيُنَهُمْ فَذُوقُوا۟ عَذَابِى وَنُذُرِ",
              "translate_bn": "তারা লূতের (আঃ) কাছে তার মেহমানদেরকে দাবী করেছিল। তখন আমি তাদের চক্ষু লোপ করে দিলাম। অতএব, আস্বাদন কর আমার শাস্তি ও সতর্কবাণী।",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ রা-ওয়াদূহু‘আনদাইফিহী ফাতামাছনাআ‘ইউনাহুম ফাযূকূ‘আযা-বী ওয়া নুযুর।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//رَاوَدُوْهُ/رَٰوَدُوهُ/rawaduhu//عَنْ/عَن/an//ضَیْفِهٖ/ضَيۡفِهِۦ/dayfihi//فَطَمَسْنَاۤ/فَطَمَسۡنَآ/fatamasna//اَعْیُنَهُمْ/أَعۡيُنَهُمۡ/a'yunahum//فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "এবং নিশ্চয়ই//তারা তাকে ফুঁসলিয়েছিল//সম্পর্কে//তার মেহমান (দের)//আমরা তখন নিষ্প্রভ করেছিলাম//তাদের চোখগুলোকে//\"তোমরা এখন স্বাদ নাও//আমার শাস্তির//ও আমার সতর্কবাণীর\""
            },
            {
              "number": 4884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4884.mp3"
              ],
              "text": "وَلَقَدْ صَبَّحَهُم بُكْرَةً عَذَابٌۭ مُّسْتَقِرٌّۭ",
              "translate_bn": "তাদেরকে প্রত্যুষে নির্ধারিত শাস্তি আঘাত হেনেছিল।",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ সাব্বাহাহুম বুকরাতান ‘আযা-বুমমুছতাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//صَبَّحَهُمْ/صَبَّحَهُم/sabbahahum//بُكْرَةً/بُكۡرَةً/buk'ratan//عَذَابٌ/عَذَابٞ/adhabun//مُّسْتَقِرٌّۚ/مُّسۡتَقِرّٞ/mus'taqirrun",
              "words_bangla": "এবং নিশ্চয়ই//তাদের উপর আপতিত হলো//খুব ভোরে//শাস্তি//বিরামহীন"
            },
            {
              "number": 4885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4885.mp3"
              ],
              "text": "فَذُوقُوا۟ عَذَابِى وَنُذُرِ",
              "translate_bn": "অতএব, আমার শাস্তি ও সতর্কবাণী আস্বাদন কর।",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফাযূকূ‘আযা-বী ওয়ানুযুর।",
              "words_arabic": "فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//عَذَابِیْ/عَذَابِي/adhabi//وَ نُذُرِ /وَنُذُرِ/wanudhuri",
              "words_bangla": "তোমরা এখন স্বাদ নাও//আমার শাস্তির//ও আমার সতর্কবাণীর"
            },
            {
              "number": 4886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4886.mp3"
              ],
              "text": "وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি কোরআনকে বোঝবার জন্যে সহজ করে দিয়েছি। অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 464,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাকাদ ইয়াছছারনাল কুরআ-না লিযযি করি ফাহাল মিমমুদ্দাকির।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//یَسَّرْنَا/يَسَّرۡنَا/yassarna//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//لِلذِّكْرِ/لِلذِّكۡرِ/lildhik'ri//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ۠/مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা সহজ করেছি//কুরআনকে//উপদেশ গ্রহণের জন্য//কি তবে (আছে)//কোনো//উপদেশ গ্রহণকারী"
            },
            {
              "number": 4887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4887.mp3"
              ],
              "text": "وَلَقَدْ جَآءَ ءَالَ فِرْعَوْنَ ٱلنُّذُرُ",
              "translate_bn": "ফেরাউন সম্প্রদায়ের কাছেও সতর্ককারীগণ আগমন করেছিল।",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ জাআ আ-লা ফির‘আওনাননুযুর।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//جَآءَ/جَآءَ/jaa//اٰلَ/ءَالَ/ala//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//النُّذُرُۚ/ٱلنُّذُرُ/al-nudhuru",
              "words_bangla": "এবং নিশ্চয়ই//এসেছিল//সম্প্রদায়ের (কাছে)//ফিরআউনের//সতর্ককারীরা"
            },
            {
              "number": 4888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4888.mp3"
              ],
              "text": "كَذَّبُوا۟ بِـَٔايَٰتِنَا كُلِّهَا فَأَخَذْنَٰهُمْ أَخْذَ عَزِيزٍۢ مُّقْتَدِرٍ",
              "translate_bn": "তারা আমার সকল নিদর্শনের প্রতি মিথ্যারোপ করেছিল। অতঃপর আমি পরাভূতকারী, পরাক্রমশালীর ন্যায় তাদেরকে পাকড়াও করলাম।",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "কাযযাবূবিআ-য়া-তিনা-কুল্লিহা-ফাআখযনা -হুম আখযা ‘আঝীঝিমমুকতাদির।",
              "words_arabic": "كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//كُلِّهَا/كُلِّهَا/kulliha//فَاَخَذْنٰهُمْ/فَأَخَذۡنَٰهُمۡ/fa-akhadhnahum//اَخْذَ/أَخۡذَ/akhdha//عَزِیْزٍ/عَزِيزٖ/azizin//مُّقْتَدِرٍ /مُّقۡتَدِرٍ/muq'tadirin",
              "words_bangla": "তারা মিথ্যা বলেছিল//আমাদের নিদর্শনের//সবগুলোকেই//ফলে তাদেরকে আমরা পাকড়াও করলাম//পাকড়াও//পরাক্রমশালীর//মহাশক্তিমানের"
            },
            {
              "number": 4889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4889.mp3"
              ],
              "text": "أَكُفَّارُكُمْ خَيْرٌۭ مِّنْ أُو۟لَٰٓئِكُمْ أَمْ لَكُم بَرَآءَةٌۭ فِى ٱلزُّبُرِ",
              "translate_bn": "তোমাদের মধ্যকার কাফেররা কি তাদের চাইতে শ্রেষ্ঠ ? না তোমাদের মুক্তির সনদপত্র রয়েছে কিতাবসমূহে?",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "আকুফফা-রুকুম খাইরুম মিন উলাইকুম আম লাকুম বারাআতুন ফিঝঝুবুর।",
              "words_arabic": "اَكُفَّارُكُمْ/أَكُفَّارُكُمۡ/akuffarukum//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّنۡ/min//اُولٰٓىِٕكُمْ/أُوْلَـٰٓئِكُمۡ/ulaikum//اَمْ/أَمۡ/am//لَكُمْ/لَكُم/lakum//بَرَآءَةٌ/بَرَآءَةٞ/baraatun//فِی/فِي/fi//الزُّبُرِۚ/ٱلزُّبُرِ/al-zuburi",
              "words_bangla": "তোমাদের কাফিররা কি//উত্তম//চেয়ে//ঐসব লোকদের//কিংবা//তোমাদের জন্যে আছে//(লিখিত) মুক্তির সনদ//মধ্যে//(পূর্বের) গ্রন্থসমূহের"
            },
            {
              "number": 4890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4890.mp3"
              ],
              "text": "أَمْ يَقُولُونَ نَحْنُ جَمِيعٌۭ مُّنتَصِرٌۭ",
              "translate_bn": "না তারা বলে যে, আমারা এক অপরাজেয় দল?",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "আম ইয়াকূলূনা নাহনুজামী‘উমমুনতাসির।",
              "words_arabic": "اَمْ/أَمۡ/am//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//نَحْنُ/نَحۡنُ/nahnu//جَمِیْعٌ/جَمِيعٞ/jami'un//مُّنْتَصِرٌ /مُّنتَصِرٞ/muntasirun",
              "words_bangla": "অথবা (কি)//তারা বলে//\"আমরা//সংঘবদ্ধ দল//বিজয়ী\""
            },
            {
              "number": 4891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4891.mp3"
              ],
              "text": "سَيُهْزَمُ ٱلْجَمْعُ وَيُوَلُّونَ ٱلدُّبُرَ",
              "translate_bn": "এ দল তো সত্ত্বরই পরাজিত হবে এবং পৃষ্ঠপ্রদর্শন করবে।",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ছাইউহঝামুল জাম‘উ ওয়া ইউওয়াললূনাদ্দুবুর।",
              "words_arabic": "سَیُهْزَمُ/سَيُهۡزَمُ/sayuh'zamu//الْجَمْعُ/ٱلۡجَمۡعُ/al-jam'u//وَ یُوَلُّوْنَ/وَيُوَلُّونَ/wayuwalluna//الدُّبُرَ /ٱلدُّبُرَ/al-dubura",
              "words_bangla": "শীঘ্রই পরাজিত করা হবে//(এই) সংঘবদ্ধ দলকে//এবং তারা ফিরাবে//পিঠ"
            },
            {
              "number": 4892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4892.mp3"
              ],
              "text": "بَلِ ٱلسَّاعَةُ مَوْعِدُهُمْ وَٱلسَّاعَةُ أَدْهَىٰ وَأَمَرُّ",
              "translate_bn": "বরং কেয়ামত তাদের প্রতিশ্রুত সময় এবং কেয়ামত ঘোরতর বিপদ ও তিক্ততর।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "বালিছ ছা-‘আতুমাও‘ইদুহুম ওয়াছছা-‘আতুআদহা-ওয়া আমার।",
              "words_arabic": "بَلِ/بَلِ/bali//السَّاعَةُ/ٱلسَّاعَةُ/al-sa'atu//مَوْعِدُهُمْ/مَوۡعِدُهُمۡ/maw'iduhum//وَ السَّاعَةُ/وَٱلسَّاعَةُ/wal-sa'atu//اَدْهٰی/أَدۡهَىٰ/adha//وَ اَمَرُّ /وَأَمَرُّ/wa-amarru",
              "words_bangla": "বরং//কিয়ামত//তাদের নির্ধারিত সময় (বুঝাপড়ার)//এবং কিয়ামত//বড়ই ভয়াবহ//ও বড়ই তিক্ত"
            },
            {
              "number": 4893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4893.mp3"
              ],
              "text": "إِنَّ ٱلْمُجْرِمِينَ فِى ضَلَٰلٍۢ وَسُعُرٍۢ",
              "translate_bn": "নিশ্চয় অপরাধীরা পথভ্রষ্ট ও বিকারগ্রস্ত।",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুজরিমীনা ফী দালা-লিওঁ ওয়াছু‘উর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُجْرِمِیْنَ/ٱلۡمُجۡرِمِينَ/al-muj'rimina//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//وَّ سُعُرٍۘ/وَسُعُرٖ/wasu'urin",
              "words_bangla": "নিশ্চয়//অপরাধীরা (রয়েছে)//মধ্যে//বিভ্রান্তির//ও বিকৃতবুদ্ধির মধ্যে"
            },
            {
              "number": 4894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4894.mp3"
              ],
              "text": "يَوْمَ يُسْحَبُونَ فِى ٱلنَّارِ عَلَىٰ وُجُوهِهِمْ ذُوقُوا۟ مَسَّ سَقَرَ",
              "translate_bn": "যেদিন তাদেরকে মুখ হিঁচড়ে টেনে নেয়া হবে জাহান্নামে, বলা হবেঃ অগ্নির খাদ্য আস্বাদন কর।",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউছহাবূনা ফিন্না-রি ‘আলা-উজূহিহিম যূকূমাছছা ছাকার।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یُسْحَبُوْنَ/يُسۡحَبُونَ/yus'habuna//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//عَلٰی/عَلَىٰ/ala//وُجُوْهِهِمْ ؕ/وُجُوهِهِمۡ/wujuhihim//ذُوْقُوْا/ذُوقُواْ/dhuqu//مَسَّ/مَسَّ/massa//سَقَرَ /سَقَرَ/saqara",
              "words_bangla": "যেদিন//(তাদেরকে) টেনে নেওয়া হবে//মধ্যে//আগুনের//উপর//তাদের মুখের (ভর করে)//\"(বলা হবে) স্বাদ নাও//স্পর্শের//জাহান্নামের\""
            },
            {
              "number": 4895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4895.mp3"
              ],
              "text": "إِنَّا كُلَّ شَىْءٍ خَلَقْنَٰهُ بِقَدَرٍۢ",
              "translate_bn": "আমি প্রত্যেক বস্তুকে পরিমিতরূপে সৃষ্টি করেছি।",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 530,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্না-কুল্লা শাইয়িন খালাকনা-হু বিকাদার।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//خَلَقْنٰهُ/خَلَقۡنَٰهُ/khalaqnahu//بِقَدَرٍ /بِقَدَرٖ/biqadarin",
              "words_bangla": "নিশ্চয়ই আমরা//প্রত্যেক//জিনিসকে//তা আমরা সৃষ্টি করেছি//নির্ধারিত পরিমাণ দিয়ে"
            },
            {
              "number": 4896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4896.mp3"
              ],
              "text": "وَمَآ أَمْرُنَآ إِلَّا وَٰحِدَةٌۭ كَلَمْحٍۭ بِٱلْبَصَرِ",
              "translate_bn": "আমার কাজ তো এক মুহূর্তে চোখের পলকের মত।",
              "numberInSurah": 50,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআমরুনাইল্লা-ওয়া-হিদাতুন কালাম হিম বিলবাসার।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَمْرُنَاۤ/أَمۡرُنَآ/amruna//اِلَّا/إِلَّا/illa//وَاحِدَةٌ/وَٰحِدَةٞ/wahidatun//كَلَمْحٍۭ/كَلَمۡحِۭ/kalamhin//بِالْبَصَرِ /بِٱلۡبَصَرِ/bil-basari",
              "words_bangla": "এবং না//আমাদের নির্দেশ (দেওয়া হয়)//এছাড়া যে//একবারই//পলকের মতো//চোখের (তা কার্যকর হয়)"
            },
            {
              "number": 4897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4897.mp3"
              ],
              "text": "وَلَقَدْ أَهْلَكْنَآ أَشْيَاعَكُمْ فَهَلْ مِن مُّدَّكِرٍۢ",
              "translate_bn": "আমি তোমাদের সমমনা লোকদেরকে ধ্বংস করেছি, অতএব, কোন চিন্তাশীল আছে কি?",
              "numberInSurah": 51,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আহলাকনাআশইয়া-‘আকুম ফাহাল মিমমুদ্দাকির।",
              "words_arabic": "وَلَقَدْ/وَلَقَدۡ/walaqad//اَهْلَكْنَاۤ/أَهۡلَكۡنَآ/ahlakna//اَشْیَاعَكُمْ/أَشۡيَاعَكُمۡ/ashya'akum//فَهَلْ/فَهَلۡ/fahal//مِنْ/مِن/min//مُّدَّكِرٍ /مُّدَّكِرٖ/muddakirin",
              "words_bangla": "এবং নিশ্চয়ই//আমরা ধ্বংস করেছি//তোমাদের (মত) দলগুলোকে//কি তবে (আছে)//কোনো//উপদেশগ্রহণকারী (এ হতে)"
            },
            {
              "number": 4898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4898.mp3"
              ],
              "text": "وَكُلُّ شَىْءٍۢ فَعَلُوهُ فِى ٱلزُّبُرِ",
              "translate_bn": "তারা যা কিছু করেছে, সবই আমলনামায় লিপিবদ্ধ আছে।",
              "numberInSurah": 52,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লুশাইয়িন ফা‘আলূহু ফিঝ ঝুবুর।",
              "words_arabic": "وَ كُلُّ/وَكُلُّ/wakullu//شَیْءٍ/شَيۡءٖ/shayin//فَعَلُوْهُ/فَعَلُوهُ/fa'aluhu//فِی/فِي/fi//الزُّبُرِ /ٱلزُّبُرِ/al-zuburi",
              "words_bangla": "এবং প্রত্যেক//জিনিস//যা তারা করেছে//মধ্যে আছে//খাতাসমূহের (লিপিবদ্ধ)"
            },
            {
              "number": 4899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4899.mp3"
              ],
              "text": "وَكُلُّ صَغِيرٍۢ وَكَبِيرٍۢ مُّسْتَطَرٌ",
              "translate_bn": "ছোট ও বড় সবই লিপিবদ্ধ।",
              "numberInSurah": 53,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লুসাগীরিওঁ ওয়া কাবীরিমমুছতাতার।",
              "words_arabic": "وَ كُلُّ/وَكُلُّ/wakullu//صَغِیْرٍ/صَغِيرٖ/saghirin//وَّ كَبِیْرٍ/وَكَبِيرٖ/wakabirin//مُّسْتَطَرٌ /مُّسۡتَطَرٌ/mus'tatarun",
              "words_bangla": "এবং প্রত্যেক//ছোট//ও বড় (কথা)//লিখিত (আছে)"
            },
            {
              "number": 4900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4900.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى جَنَّٰتٍۢ وَنَهَرٍۢ",
              "translate_bn": "খোদাভীরুরা থাকবে জান্নাতে ও নির্ঝরিণীতে।",
              "numberInSurah": 54,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী জান্না-তিওঁ ওয়া নাহার।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ نَهَرٍۙ/وَنَهَرٖ/wanaharin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা (হবে)//মধ্যে//জান্নাতসমূহের//ও ঝর্ণাসমূহে"
            },
            {
              "number": 4901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4901.mp3"
              ],
              "text": "فِى مَقْعَدِ صِدْقٍ عِندَ مَلِيكٍۢ مُّقْتَدِرٍۭ",
              "translate_bn": "যোগ্য আসনে, সর্বাধিপতি সম্রাটের সান্নিধ্যে।",
              "numberInSurah": 55,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 465,
              "hizbQuarter": 212,
              "sajda": false,
              "pronunciation_bn": "ফী মাক‘আদি সিদকিন ‘ইনদা মালীকিমমুকতাদির।",
              "words_arabic": "فِیْ/فِي/fi//مَقْعَدِ/مَقۡعَدِ/maq'adi//صِدْقٍ/صِدۡقٍ/sid'qin//عِنْدَ/عِندَ/inda//مَلِیْكٍ/مَلِيكٖ/malikin//مُّقْتَدِرٍ۠/مُّقۡتَدِرِۭ/muq'tadirin",
              "words_bangla": "মধ্যে//আসনের//যোগ্য (মর্যাদায়)//নিকটে//সম্রাটের//মহাশক্তিমান"
            }
          ]
        },
        {
          "number": 55,
          "name": "سُورَةُ الرَّحۡمَٰن",
          "englishName": "Ar-Rahmaan",
          "englishNameTranslation": "The Beneficent",
          "revelationType": "Medinan",
          "verse": 78,
          "words": 815,
          "chars": 3278,
          "ayahs": [
            {
              "number": 4902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4902.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلرَّحْمَٰنُ",
              "translate_bn": "করুনাময় আল্লাহ।",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "আররাহমা-নু।",
              "words_arabic": "اَلرَّحْمٰنُۙ/ٱلرَّحۡمَٰنُ/al-rahmanu",
              "words_bangla": "অশেষ দয়ালু (আল্লাহ্‌)"
            },
            {
              "number": 4903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4903.mp3"
              ],
              "text": "عَلَّمَ ٱلْقُرْءَانَ",
              "translate_bn": "শিক্ষা দিয়েছেন কোরআন,",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "‘আল্লামাল কুরআ-ন।",
              "words_arabic": "عَلَّمَ/عَلَّمَ/allama//الْقُرْاٰنَؕ/ٱلۡقُرۡءَانَ/al-qur'ana",
              "words_bangla": "শিক্ষা দিয়েছেন//(এই) কুরআন"
            },
            {
              "number": 4904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4904.mp3"
              ],
              "text": "خَلَقَ ٱلْإِنسَٰنَ",
              "translate_bn": "সৃষ্টি করেছেন মানুষ,",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "খালাকাল ইনছা-ন।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//الْاِنْسَانَۙ/ٱلۡإِنسَٰنَ/al-insana",
              "words_bangla": "তিনি সৃষ্টি করেছেন//মানুষকে"
            },
            {
              "number": 4905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4905.mp3"
              ],
              "text": "عَلَّمَهُ ٱلْبَيَانَ",
              "translate_bn": "তাকে শিখিয়েছেন বর্ণনা।",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "‘আল্লামাহুল বায়া-ন।",
              "words_arabic": "عَلَّمَهُ/عَلَّمَهُ/allamahu//الْبَیَانَ /ٱلۡبَيَانَ/al-bayana",
              "words_bangla": "তাকে শিখিয়েছেন//ভাব প্রকাশ করতে"
            },
            {
              "number": 4906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4906.mp3"
              ],
              "text": "ٱلشَّمْسُ وَٱلْقَمَرُ بِحُسْبَانٍۢ",
              "translate_bn": "সূর্য ও চন্দ্র হিসাবমত চলে।",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "আশশামছুওয়ালকামারু বিহুছবা-ন।",
              "words_arabic": "اَلشَّمْسُ/ٱلشَّمۡسُ/al-shamsu//وَ الْقَمَرُ/وَٱلۡقَمَرُ/wal-qamaru//بِحُسْبَانٍ۪/بِحُسۡبَانٖ/bihus'banin",
              "words_bangla": "সূর্য//ও চাঁদ//একটি হিসাব অনুসরণ করেই চলে"
            },
            {
              "number": 4907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4907.mp3"
              ],
              "text": "وَٱلنَّجْمُ وَٱلشَّجَرُ يَسْجُدَانِ",
              "translate_bn": "এবং তৃণলতা ও বৃক্ষাদি সেজদারত আছে।",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্নাজমুওয়াশশাজারু ইয়াছজূদা-ন।",
              "words_arabic": "وَّ النَّجْمُ/وَٱلنَّجۡمُ/wal-najmu//وَ الشَّجَرُ/وَٱلشَّجَرُ/wal-shajaru//یَسْجُدٰنِ /يَسۡجُدَانِ/yasjudani",
              "words_bangla": "এবং তারকা//ও গাছপালা//উভয়ে সিজদারত"
            },
            {
              "number": 4908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4908.mp3"
              ],
              "text": "وَٱلسَّمَآءَ رَفَعَهَا وَوَضَعَ ٱلْمِيزَانَ",
              "translate_bn": "তিনি আকাশকে করেছেন সমুন্নত এবং স্থাপন করেছেন তুলাদন্ড।",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাআ রাফা‘আহা-ওয়া ওয়াদা‘আল মীঝা-ন।",
              "words_arabic": "وَ السَّمَآءَ/وَٱلسَّمَآءَ/wal-samaa//رَفَعَهَا/رَفَعَهَا/rafa'aha//وَ وَضَعَ/وَوَضَعَ/wawada'a//الْمِیْزَانَۙ/ٱلۡمِيزَانَ/al-mizana",
              "words_bangla": "এবং আকাশকে//তা সমুন্নত করেছেন তিনি//ও স্থাপন করেছেন//মানদণ্ড"
            },
            {
              "number": 4909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4909.mp3"
              ],
              "text": "أَلَّا تَطْغَوْا۟ فِى ٱلْمِيزَانِ",
              "translate_bn": "যাতে তোমরা সীমালংঘন না কর তুলাদন্ডে।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "আল্লা-তাতাগাও ফিল মীঝা-ন।",
              "words_arabic": "اَلَّا/أَلَّا/alla//تَطْغَوْا/تَطۡغَوۡاْ/tatghaw//فِی/فِي/fi//الْمِیْزَانِ /ٱلۡمِيزَانِ/al-mizani",
              "words_bangla": "(ঐকান্তিক দাবি) না যেন//তোমরা সীমা লঙ্ঘন কর//মধ্যে//মানদণ্ডের"
            },
            {
              "number": 4910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4910.mp3"
              ],
              "text": "وَأَقِيمُوا۟ ٱلْوَزْنَ بِٱلْقِسْطِ وَلَا تُخْسِرُوا۟ ٱلْمِيزَانَ",
              "translate_bn": "তোমরা ন্যায্য ওজন কায়েম কর এবং ওজনে কম দিয়ো না।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকীমুল ওয়াঝনা বিলকিছতিওয়ালা-তুখছিরুল মীঝা-ন।",
              "words_arabic": "وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الْوَزْنَ/ٱلۡوَزۡنَ/al-wazna//بِالْقِسْطِ/بِٱلۡقِسۡطِ/bil-qis'ti//وَ لَا/وَلَا/wala//تُخْسِرُوا/تُخۡسِرُواْ/tukh'siru//الْمِیْزَانَ /ٱلۡمِيزَانَ/al-mizana",
              "words_bangla": "এবং তোমরা প্রতিষ্ঠা করো//ওজন//ন্যায্য ভাবে//এবং না//তোমরা কম দিয়ো//দাঁড়িপাল্লায়/ পরিমাপে"
            },
            {
              "number": 4911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4911.mp3"
              ],
              "text": "وَٱلْأَرْضَ وَضَعَهَا لِلْأَنَامِ",
              "translate_bn": "তিনি পৃথিবীকে স্থাপন করেছেন সৃষ্টজীবের জন্যে।",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আরদা ওয়া দা‘আহা-লিলআনা-ম।",
              "words_arabic": "وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//وَ ضَعَهَا/وَضَعَهَا/wada'aha//لِلْاَنَامِۙ/لِلۡأَنَامِ/lil'anami",
              "words_bangla": "এবং পৃথিবীকে//তা তিনি স্থাপন করেছেন//সৃষ্ট জীবের জন্যে"
            },
            {
              "number": 4912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4912.mp3"
              ],
              "text": "فِيهَا فَٰكِهَةٌۭ وَٱلنَّخْلُ ذَاتُ ٱلْأَكْمَامِ",
              "translate_bn": "এতে আছে ফলমূল এবং বহিরাবরণবিশিষ্ট খর্জুর বৃক্ষ।",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহা-ফা-কিহাতুওঁ ওয়ান্নাখলুযা-তুল আকমা-ম।",
              "words_arabic": "فِیْهَا/فِيهَا/fiha//فَاكِهَةٌ ۪ۙ/فَٰكِهَةٞ/fakihatun//وَّ النَّخْلُ/وَٱلنَّخۡلُ/wal-nakhlu//ذَاتُ/ذَاتُ/dhatu//الْاَكْمَامِۖ/ٱلۡأَكۡمَامِ/al-akmami",
              "words_bangla": "তার মধ্যে (আছে)//ফলমূল//ও খেজুর গাছ//আছে//আবরণ বিশিষ্ট (যার ফল)"
            },
            {
              "number": 4913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4913.mp3"
              ],
              "text": "وَٱلْحَبُّ ذُو ٱلْعَصْفِ وَٱلرَّيْحَانُ",
              "translate_bn": "আর আছে খোসাবিশিষ্ট শস্য ও সুগন্ধি ফুল।",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়াল হাব্বুযুল‘আসফি ওয়াররাইহা-ন।",
              "words_arabic": "وَ الْحَبُّ/وَٱلۡحَبُّ/wal-habu//ذُو/ذُو/dhu//الْعَصْفِ/ٱلۡعَصۡفِ/al-'asfi//وَ الرَّیْحَانُۚ/وَٱلرَّيۡحَانُ/wal-rayhanu",
              "words_bangla": "এবং শস্য//আছে//ভুসি বিশিষ্ট (দানা)//ও সুগন্ধ (বিশিষ্ট উদ্ভিদ)"
            },
            {
              "number": 4914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4914.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অনুগ্রহকে অস্বীকার করবে?",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা-তুকাযযিবা-ন।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4915.mp3"
              ],
              "text": "خَلَقَ ٱلْإِنسَٰنَ مِن صَلْصَٰلٍۢ كَٱلْفَخَّارِ",
              "translate_bn": "তিনি মানুষকে সৃষ্টি করেছেন পোড়া মাটির ন্যায় শুষ্ক মৃত্তিকা থেকে।",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "খালাকাল ইনছা-না মিন সালসা-লিন কাল ফাখখা-র।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِن/min//صَلْصَالٍ/صَلۡصَٰلٖ/salsalin//كَالْفَخَّارِۙ/كَٱلۡفَخَّارِ/kal-fakhari",
              "words_bangla": "তিনি সৃষ্টি করেছেন//মানুষকে//থেকে//শুকনো ঠনঠনে মাটি//(যা) পোড়া মাটির মতো"
            },
            {
              "number": 4916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4916.mp3"
              ],
              "text": "وَخَلَقَ ٱلْجَآنَّ مِن مَّارِجٍۢ مِّن نَّارٍۢ",
              "translate_bn": "এবং জিনকে সৃষ্টি করেছেন অগ্নিশিখা থেকে।",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়া খালাকাল জান্না মিম্মা-রিজিমমিন্না-র।",
              "words_arabic": "وَ خَلَقَ/وَخَلَقَ/wakhalaqa//الْجَآنَّ/ٱلۡجَآنَّ/al-jana//مِنْ/مِن/min//مَّارِجٍ/مَّارِجٖ/marijin//مِّنْ/مِّن/min//نَّارٍۚ/نَّارٖ/narin",
              "words_bangla": "এবং সৃষ্টি করেছেন//জিনকে//থেকে//শিখা//থেকে//আগুনের"
            },
            {
              "number": 4917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4917.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অনুগ্রহ অস্বীকার করবে?",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 531,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4918.mp3"
              ],
              "text": "رَبُّ ٱلْمَشْرِقَيْنِ وَرَبُّ ٱلْمَغْرِبَيْنِ",
              "translate_bn": "তিনি দুই উদয়াচল ও দুই অস্তাচলের মালিক।",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "রাব্বুল মাশরিকাইনি ওয়া রাব্বুল মাগরিবাইন।",
              "words_arabic": "رَبُّ/رَبُّ/rabbu//الْمَشْرِقَیْنِ/ٱلۡمَشۡرِقَيۡنِ/al-mashriqayni//وَ رَبُّ/وَرَبُّ/warabbu//الْمَغْرِبَیْنِۚ/ٱلۡمَغۡرِبَيۡنِ/al-maghribayni",
              "words_bangla": "(তিনিই) মালিক//দুই উদয়াচলের//ও মালিক//দুই অস্তাচলের"
            },
            {
              "number": 4919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4919.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4920.mp3"
              ],
              "text": "مَرَجَ ٱلْبَحْرَيْنِ يَلْتَقِيَانِ",
              "translate_bn": "তিনি পাশাপাশি দুই দরিয়া প্রবাহিত করেছেন।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "মারাজাল বাহরাইনি ইয়ালতাকিয়া-ন।",
              "words_arabic": "مَرَجَ/مَرَجَ/maraja//الْبَحْرَیْنِ/ٱلۡبَحۡرَيۡنِ/al-bahrayni//یَلْتَقِیٰنِۙ/يَلۡتَقِيَانِ/yaltaqiyani",
              "words_bangla": "প্রবাহিত করেছেন//দুই সমুদ্রকে//পরস্পরে মিলিত হয়"
            },
            {
              "number": 4921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4921.mp3"
              ],
              "text": "بَيْنَهُمَا بَرْزَخٌۭ لَّا يَبْغِيَانِ",
              "translate_bn": "উভয়ের মাঝখানে রয়েছে এক অন্তরাল, যা তারা অতিক্রম করে না।",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "বাইনাহুমা-বারঝাখুল লা-ইয়াবগিয়া-ন।",
              "words_arabic": "بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//بَرْزَخٌ/بَرۡزَخٞ/barzakhun//لَّا/لَّا/la//یَبْغِیٰنِۚ/يَبۡغِيَانِ/yabghiyani",
              "words_bangla": "তাদের উভয়ের মাঝে (তবুও)//অন্তরাল (আছে)//(যার) না//উভয়ে সীমা অতিক্রম করে"
            },
            {
              "number": 4922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4922.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4923.mp3"
              ],
              "text": "يَخْرُجُ مِنْهُمَا ٱللُّؤْلُؤُ وَٱلْمَرْجَانُ",
              "translate_bn": "উভয় দরিয়া থেকে উৎপন্ন হয় মোতি ও প্রবাল।",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইয়াখরুজূমিনহুমাল লু’লূউ ওয়াল মার জা-ন।",
              "words_arabic": "یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْهُمَا/مِنۡهُمَا/min'huma//اللُّؤْلُؤُ/ٱللُّؤۡلُؤُ/al-u'lu-u//وَ الْمَرْجَانُۚ/وَٱلۡمَرۡجَانُ/wal-marjanu",
              "words_bangla": "বের হয়//তাদের উভয় হতে//মুক্তা//ও প্রবাল"
            },
            {
              "number": 4924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4924.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।\r\n",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4925.mp3"
              ],
              "text": "وَلَهُ ٱلْجَوَارِ ٱلْمُنشَـَٔاتُ فِى ٱلْبَحْرِ كَٱلْأَعْلَٰمِ",
              "translate_bn": "দরিয়ায় বিচরণশীল পর্বতদৃশ্য জাহাজসমূহ তাঁরই (নিয়ন্ত্রনাধীন)",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাহুল জাওয়া-রিল মুনশাআ-তুফিল বাহরি কালআ‘লা-ম।",
              "words_arabic": "وَ لَهُ/وَلَهُ/walahu//الْجَوَارِ/ٱلۡجَوَارِ/al-jawari//الْمُنْشَـٰٔتُ/ٱلۡمُنشَـَٔاتُ/al-munshaatu//فِی/فِي/fi//الْبَحْرِ/ٱلۡبَحۡرِ/al-bahri//كَالْاَعْلَامِۚ/كَٱلۡأَعۡلَٰمِ/kal-a'lami",
              "words_bangla": "এবং তাঁরই নিয়ন্ত্রণে//জাহাজ সমূহ//উঁচু উঁচু (পালসহ)//মধ্যে//সাগরের//পাহাড়ের মতো"
            },
            {
              "number": 4926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4926.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 466,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ۠/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4927.mp3"
              ],
              "text": "كُلُّ مَنْ عَلَيْهَا فَانٍۢ",
              "translate_bn": "ভূপৃষ্টের সবকিছুই ধ্বংসশীল।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "কুল্লুমান ‘আলাইহা-ফা-নিওঁ।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//مَنْ/مَنۡ/man//عَلَیْهَا/عَلَيۡهَا/alayha//فَانٍۚۖ/فَانٖ/fanin",
              "words_bangla": "প্রত্যেক (জিনিস)//যা কিছু//তার উপর (আছে)//নশ্বর"
            },
            {
              "number": 4928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4928.mp3"
              ],
              "text": "وَيَبْقَىٰ وَجْهُ رَبِّكَ ذُو ٱلْجَلَٰلِ وَٱلْإِكْرَامِ",
              "translate_bn": "একমাত্র আপনার মহিমায় ও মহানুভব পালনকর্তার সত্তা ছাড়া।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াবকা-ওয়াজহু রাব্বিকা যুল জালা-লি ওয়াল ইকরা-ম।",
              "words_arabic": "وَّ یَبْقٰی/وَيَبۡقَىٰ/wayabqa//وَجْهُ/وَجۡهُ/wajhu//رَبِّكَ/رَبِّكَ/rabbika//ذُو/ذُو/dhu//الْجَلٰلِ/ٱلۡجَلَٰلِ/al-jalali//وَ الْاِكْرَامِۚ/وَٱلۡإِكۡرَامِ/wal-ik'rami",
              "words_bangla": "এবং অবশিষ্ট থাকবেন//সত্তা//তোমার রবের//(যিনি) সম্পন্ন//মহিমা//মহানুভবতা"
            },
            {
              "number": 4929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4929.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4930.mp3"
              ],
              "text": "يَسْـَٔلُهُۥ مَن فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ كُلَّ يَوْمٍ هُوَ فِى شَأْنٍۢ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের সবাই তাঁর কাছে প্রার্থী। তিনি সর্বদাই কোন না কোন কাজে রত আছেন।",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলুহূমান ফিছ ছামা-ওয়া-তি ওয়াল আরদি কুল্লা ইয়াওমিন হুওয়া ফী শা’ন।",
              "words_arabic": "یَسْـَٔلُهٗ/يَسۡـَٔلُهُۥ/yasaluhu//مَنْ/مَن/man//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//كُلَّ/كُلَّ/kulla//یَوْمٍ/يَوۡمٍ/yawmin//هُوَ/هُوَ/huwa//فِیْ/فِي/fi//شَاْنٍۚ/شَأۡنٖ/shanin",
              "words_bangla": "তাঁরই কাছে প্রার্থনা করে//যা কিছু//মধ্যে (আছে)//আকাশ//ও পৃথিবীর//প্রত্যেক//দিন//তিনি//থাকেন//(এক বিশেষ) অবস্থায়"
            },
            {
              "number": 4931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4931.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 30,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4932.mp3"
              ],
              "text": "سَنَفْرُغُ لَكُمْ أَيُّهَ ٱلثَّقَلَانِ",
              "translate_bn": "হে জিন ও মানব! আমি শীঘ্রই তোমাদের জন্যে কর্মমুক্ত হয়ে যাব।",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ছানাফরুগু লাকুম আইয়ুহাছছাকালা-ন।",
              "words_arabic": "سَنَفْرُغُ/سَنَفۡرُغُ/sanafrughu//لَكُمْ/لَكُمۡ/lakum//اَیُّهَ/أَيُّهَ/ayyuha//الثَّقَلٰنِۚ/ٱلثَّقَلَانِ/al-thaqalani",
              "words_bangla": "অবসর হব আমরা শীঘ্রই//তোমাদের জন্যে//হে//দুই ভার (জিন ও মানব)"
            },
            {
              "number": 4933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4933.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//দয়া অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4934.mp3"
              ],
              "text": "يَٰمَعْشَرَ ٱلْجِنِّ وَٱلْإِنسِ إِنِ ٱسْتَطَعْتُمْ أَن تَنفُذُوا۟ مِنْ أَقْطَارِ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ فَٱنفُذُوا۟ ۚ لَا تَنفُذُونَ إِلَّا بِسُلْطَٰنٍۢ",
              "translate_bn": "হে জিন ও মানবকূল, নভোমন্ডল ও ভূমন্ডলের প্রান্ত অতিক্রম করা যদি তোমাদের সাধ্যে কুলায়, তবে অতিক্রম কর। কিন্তু ছাড়পত্র ব্যতীত তোমরা তা অতিক্রম করতে পারবে না।",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইয়া-মা‘শারাল জিন্নি ওয়াল ইনছি ইনিছতাতা‘তুম আন তানফুযূমিন আকতা-রিছ ছামাওয়া-তি ওয়াল আরদিফানফুযূ লা-তানফুযূনা ইল্লা-বিছুলতা-ন।",
              "words_arabic": "یٰمَعْشَرَ/يَٰمَعۡشَرَ/yama'shara//الْجِنِّ/ٱلۡجِنِّ/al-jini//وَ الْاِنْسِ/وَٱلۡإِنسِ/wal-insi//اِنِ/إِنِ/ini//اسْتَطَعْتُمْ/ٱسۡتَطَعۡتُمۡ/is'tata'tum//اَنْ/أَن/an//تَنْفُذُوْا/تَنفُذُواْ/tanfudhu//مِنْ/مِنۡ/min//اَقْطَارِ/أَقۡطَارِ/aqtari//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//فَانْفُذُوْا ؕ/فَٱنفُذُواْۚ/fa-unfudhu//لَا/لَا/la//تَنْفُذُوْنَ/تَنفُذُونَ/tanfudhuna//اِلَّا/إِلَّا/illa//بِسُلْطٰنٍۚ/بِسُلۡطَٰنٖ/bisul'tanin",
              "words_bangla": "হে সম্প্রদায়//জিনের//ও মানবের//যদি//তোমরা পার//যে//তোমরা অতিক্রম করে পালাও//থেকে//সীমা সমূহ//আকাশের//ও পৃথিবীর//তবে তোমরা অতিক্রম করো//না//তোমরা অতিক্রম করে পালাতে পারবে//ব্যতীত//শক্তি দিয়ে (যা তোমাদের নেই)"
            },
            {
              "number": 4935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4935.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4936.mp3"
              ],
              "text": "يُرْسَلُ عَلَيْكُمَا شُوَاظٌۭ مِّن نَّارٍۢ وَنُحَاسٌۭ فَلَا تَنتَصِرَانِ",
              "translate_bn": "ছাড়া হবে তোমাদের প্রতি অগ্নিস্ফুলিঙ্গ ও ধুম্রকুঞ্জ তখন তোমরা সেসব প্রতিহত করতে পারবে না।",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইউরছালু‘আলাইকুমা-শুওয়া-জু ম মিন্না-রিওঁ ওয়া নুহা-ছুন ফালা-তানতাসিরা-ন।",
              "words_arabic": "یُرْسَلُ/يُرۡسَلُ/yur'salu//عَلَیْكُمَا/عَلَيۡكُمَا/alaykuma//شُوَاظٌ/شُوَاظٞ/shuwazun//مِّنْ/مِّن/min//نَّارٍ ۙ۬/نَّارٖ/narin//وَّ نُحَاسٌ/وَنُحَاسٞ/wanuhasun//فَلَا/فَلَا/fala//تَنْتَصِرٰنِۚ/تَنتَصِرَانِ/tantasirani",
              "words_bangla": "পাঠানো হবে//তোমাদের উভয়ের উপর//শিখা//থেকে//আগুন//ও ধোঁয়া//না তখন//তোমরা প্রতিরোধ করতে পারবে"
            },
            {
              "number": 4937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4937.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4938.mp3"
              ],
              "text": "فَإِذَا ٱنشَقَّتِ ٱلسَّمَآءُ فَكَانَتْ وَرْدَةًۭ كَٱلدِّهَانِ",
              "translate_bn": "যেদিন আকাশ বিদীর্ণ হবে তখন সেটি রক্তবর্ণে রঞ্জিত চামড়ার মত হয়ে যাবে।",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাইযান শাককাতিছ ছামাউ ফাকা-নাত ওয়ারদাতান কাদ্দিহা-ন।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//انْشَقَّتِ/ٱنشَقَّتِ/inshaqqati//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//فَكَانَتْ/فَكَانَتۡ/fakanat//وَرْدَةً/وَرۡدَةٗ/wardatan//كَالدِّهَانِۚ/كَٱلدِّهَانِ/kal-dihani",
              "words_bangla": "যখন অতঃপর//ছিঁড়েফেটে//আকাশ//অতঃপর হবে (তা)//লাল//মতো লাল চামড়ার"
            },
            {
              "number": 4939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4939.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "তখন কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4940.mp3"
              ],
              "text": "فَيَوْمَئِذٍۢ لَّا يُسْـَٔلُ عَن ذَنۢبِهِۦٓ إِنسٌۭ وَلَا جَآنٌّۭ",
              "translate_bn": "সেদিন মানুষ না তার অপরাধ সম্পর্কে জিজ্ঞাসিত হবে, না জিন।",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াওমা ইযিল্লা-ইউছআলু‘আন যামবিহী ইনছুওঁ ওয়ালা-জান।",
              "words_arabic": "فَیَوْمَىِٕذٍ/فَيَوۡمَئِذٖ/fayawma-idhin//لَّا/لَّا/la//یُسْـَٔلُ/يُسۡـَٔلُ/yus'alu//عَنْ/عَن/an//ذَنْۢبِهٖۤ/ذَنۢبِهِۦٓ/dhanbihi//اِنْسٌ/إِنسٞ/insun//وَّ لَا/وَلَا/wala//جَآنٌّۚ/جَآنّٞ/jannun",
              "words_bangla": "সেদিন অতঃপর//না//জিজ্ঞেস করা হবে//সম্পর্কে//তার পাপ//কোনো মানবকে//আর না//কোনো জিনকে"
            },
            {
              "number": 4941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4941.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 532,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।\r\n",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "তখন কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4942.mp3"
              ],
              "text": "يُعْرَفُ ٱلْمُجْرِمُونَ بِسِيمَٰهُمْ فَيُؤْخَذُ بِٱلنَّوَٰصِى وَٱلْأَقْدَامِ",
              "translate_bn": "অপরাধীদের পরিচয় পাওয়া যাবে তাদের চেহারা থেকে; অতঃপর তাদের কপালের চুল ও পা ধরে টেনে নেয়া হবে।",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইউ‘রাফুল মুজরিমূনা বিছীমা-হুম ফাইউ’খাযুবিন্নাওয়া-ছী ওয়াল আকদা-ম।",
              "words_arabic": "یُعْرَفُ/يُعۡرَفُ/yu'rafu//الْمُجْرِمُوْنَ/ٱلۡمُجۡرِمُونَ/al-muj'rimuna//بِسِیْمٰهُمْ/بِسِيمَٰهُمۡ/bisimahum//فَیُؤْخَذُ/فَيُؤۡخَذُ/fayu'khadhu//بِالنَّوَاصِیْ/بِٱلنَّوَٰصِي/bil-nawasi//وَ الْاَقْدَامِۚ/وَٱلۡأَقۡدَامِ/wal-aqdami",
              "words_bangla": "চেনা যাবে//অপরাধীদেরকে//তাদের লক্ষণ দ্বারা//পাকড়াও করা হবে অতঃপর//সামনের চুল ধরে//ও পা সমূহকে"
            },
            {
              "number": 4943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4943.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "তখন কোন কোন//অনুগ্রহ//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4944.mp3"
              ],
              "text": "هَٰذِهِۦ جَهَنَّمُ ٱلَّتِى يُكَذِّبُ بِهَا ٱلْمُجْرِمُونَ",
              "translate_bn": "এটাই জাহান্নাম, যাকে অপরাধীরা মিথ্যা বলত।",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "হা-যিহী জাহান্নামুল্লাতী ইউকাযযি বুবিহাল মুজরিমূন।\r\n",
              "words_arabic": "هٰذِهٖ/هَٰذِهِۦ/hadhihi//جَهَنَّمُ/جَهَنَّمُ/jahannamu//الَّتِیْ/ٱلَّتِي/allati//یُكَذِّبُ/يُكَذِّبُ/yukadhibu//بِهَا/بِهَا/biha//الْمُجْرِمُوْنَۘ/ٱلۡمُجۡرِمُونَ/al-muj'rimuna",
              "words_bangla": "(বলা হবে) এই সেই//জাহান্নাম//যা//মিথ্যা মনে করত//যাকে//অপরাধীরা"
            },
            {
              "number": 4945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4945.mp3"
              ],
              "text": "يَطُوفُونَ بَيْنَهَا وَبَيْنَ حَمِيمٍ ءَانٍۢ",
              "translate_bn": "তারা জাহান্নামের অগ্নি ও ফুটন্ত পানির মাঝখানে প্রদক্ষিণ করবে।",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ইয়াতূ ফূনা বাইনাহা-ওয়া বাইনা হামীমিন আ-ন।",
              "words_arabic": "یَطُوْفُوْنَ/يَطُوفُونَ/yatufuna//بَیْنَهَا/بَيۡنَهَا/baynaha//وَ بَیْنَ/وَبَيۡنَ/wabayna//حَمِیْمٍ/حَمِيمٍ/hamimin//اٰنٍۚ/ءَانٖ/anin",
              "words_bangla": "তারা ছুটোছুটি করবে//তার মাঝে//ও মাঝে//গরম পানির//ফুটন্ত"
            },
            {
              "number": 4946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4946.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 467,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ۠/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "তখন কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4947.mp3"
              ],
              "text": "وَلِمَنْ خَافَ مَقَامَ رَبِّهِۦ جَنَّتَانِ",
              "translate_bn": "যে ব্যক্তি তার পালনকর্তার সামনে পেশ হওয়ার ভয় রাখে, তার জন্যে রয়েছে দু’টি উদ্যান।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিমান খা-ফা মাকা-মা রাব্বিহী জান্নাতা-ন।",
              "words_arabic": "وَ لِمَنْ/وَلِمَنۡ/waliman//خَافَ/خَافَ/khafa//مَقَامَ/مَقَامَ/maqama//رَبِّهٖ/رَبِّهِۦ/rabbihi//جَنَّتٰنِۚ/جَنَّتَانِ/jannatani",
              "words_bangla": "এবং তার জন্যে যে//ভয় করে//দাঁড়াতে//তার রবের (সামনে)//দুটো বাগান (রয়েছে)"
            },
            {
              "number": 4948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4948.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۙ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4949.mp3"
              ],
              "text": "ذَوَاتَآ أَفْنَانٍۢ",
              "translate_bn": "উভয় উদ্যানই ঘন শাখা-পল্লববিশিষ্ট।",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "যাওয়া-তা আফনা-ন।",
              "words_arabic": "ذَوَاتَاۤ/ذَوَاتَآ/dhawata//اَفْنَانٍۚ/أَفۡنَانٖ/afnanin",
              "words_bangla": "(উভয়ে) বিশিষ্ট//ঘন শাখা পল্লব"
            },
            {
              "number": 4950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4950.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4951.mp3"
              ],
              "text": "فِيهِمَا عَيْنَانِ تَجْرِيَانِ",
              "translate_bn": "উভয় উদ্যানে আছে বহমান দুই প্রস্রবন।",
              "numberInSurah": 50,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিমা-‘আইনা-নি তাজরিয়া-ন।",
              "words_arabic": "فِیْهِمَا/فِيهِمَا/fihima//عَیْنٰنِ/عَيۡنَانِ/aynani//تَجْرِیٰنِۚ/تَجۡرِيَانِ/tajriyani",
              "words_bangla": "উভয়ের মধ্যে থাকবে//দুটো ঝরনা//প্রবহমান (উভয়ে)"
            },
            {
              "number": 4952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4952.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 51,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4953.mp3"
              ],
              "text": "فِيهِمَا مِن كُلِّ فَٰكِهَةٍۢ زَوْجَانِ",
              "translate_bn": "উভয়ের মধ্যে প্রত্যেক ফল বিভিন্ন রকমের হবে।",
              "numberInSurah": 52,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিমা-মিন কুল্লি ফা-কিহাতিন ঝাওজা-ন।",
              "words_arabic": "فِیْهِمَا/فِيهِمَا/fihima//مِنْ/مِن/min//كُلِّ/كُلِّ/kulli//فَاكِهَةٍ/فَٰكِهَةٖ/fakihatin//زَوْجٰنِۚ/زَوۡجَانِ/zawjani",
              "words_bangla": "উভয়ের মধ্যে রয়েছে//ধরনের//প্রত্যেক//ফল//দুই রকম"
            },
            {
              "number": 4954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4954.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 53,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4955.mp3"
              ],
              "text": "مُتَّكِـِٔينَ عَلَىٰ فُرُشٍۭ بَطَآئِنُهَا مِنْ إِسْتَبْرَقٍۢ ۚ وَجَنَى ٱلْجَنَّتَيْنِ دَانٍۢ",
              "translate_bn": "তারা তথায় রেশমের আস্তরবিশিষ্ট বিছানায় হেলান দিয়ে বসবে। উভয় উদ্যানের ফল তাদের নিকট ঝুলবে।",
              "numberInSurah": 54,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "মুত্তাকিঈনা ‘আলা-ফুরুশিম বাতাইনুহা-মিন ইছতাবরাকিও ওয়া জানাল জান্নাতাইনি দা-ন।",
              "words_arabic": "مُتَّكِـِٕیْنَ/مُتَّكِـِٔينَ/muttakiina//عَلٰی/عَلَىٰ/ala//فُرُشٍۭ/فُرُشِۭ/furushin//بَطَآىِٕنُهَا/بَطَآئِنُهَا/batainuha//مِنْ/مِنۡ/min//اِسْتَبْرَقٍ ؕ/إِسۡتَبۡرَقٖۚ/is'tabraqin//وَ جَنَا/وَجَنَى/wajana//الْجَنَّتَیْنِ/ٱلۡجَنَّتَيۡنِ/al-janatayni//دَانٍۚ/دَانٖ/danin",
              "words_bangla": "হেলান দিয়ে বসবে//উপর//বিছানা সমূহের//তার আস্তরণ (হবে)//তৈরি//মোটা রেশমের//এবং ফল সমূহ//দুই বাগানের//নিকটে (ঝুঁকে পড়বে)"
            },
            {
              "number": 4956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4956.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 55,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4957.mp3"
              ],
              "text": "فِيهِنَّ قَٰصِرَٰتُ ٱلطَّرْفِ لَمْ يَطْمِثْهُنَّ إِنسٌۭ قَبْلَهُمْ وَلَا جَآنٌّۭ",
              "translate_bn": "তথায় থাকবে আনতনয়ন রমনীগন, কোন জিন ও মানব পূর্বে যাদের ব্যবহার করেনি।",
              "numberInSurah": 56,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিন্না কা-সিরা-তুত্তারফি লাম ইয়াতমিছহুন্না ইনছুন কাবলাহুম ওয়ালা-জান।",
              "words_arabic": "فِیْهِنَّ/فِيهِنَّ/fihinna//قٰصِرٰتُ/قَٰصِرَٰتُ/qasiratu//الطَّرْفِ ۙ/ٱلطَّرۡفِ/al-tarfi//لَمْ/لَمۡ/lam//یَطْمِثْهُنَّ/يَطۡمِثۡهُنَّ/yatmith'hunna//اِنْسٌ/إِنسٞ/insun//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//وَ لَا/وَلَا/wala//جَآنٌّۚ/جَآنّٞ/jannun",
              "words_bangla": "তাদের মধ্যে (থাকবে)//লজ্জাবনত//দৃষ্টির (রমণী)//নি//তাদেরকে স্পর্শ করেছে//কোনো মানুষ//তাদের পূর্বে//আর না//কোনো জিন"
            },
            {
              "number": 4958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4958.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 57,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।\r\n",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4959.mp3"
              ],
              "text": "كَأَنَّهُنَّ ٱلْيَاقُوتُ وَٱلْمَرْجَانُ",
              "translate_bn": "প্রবাল ও পদ্মরাগ সদৃশ রমণীগণ।",
              "numberInSurah": 58,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "কাআন্নাহুন্নাল ইয়া‘কূতুওয়াল মারজান-ন।",
              "words_arabic": "كَاَنَّهُنَّ/كَأَنَّهُنَّ/ka-annahunna//الْیَاقُوْتُ/ٱلۡيَاقُوتُ/al-yaqutu//وَ الْمَرْجَانُۚ/وَٱلۡمَرۡجَانُ/wal-marjanu",
              "words_bangla": "তারা যেন//হীরা//ও মুক্তার (মত সুন্দরী)"
            },
            {
              "number": 4960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4960.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 59,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//নিয়ামত সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4961.mp3"
              ],
              "text": "هَلْ جَزَآءُ ٱلْإِحْسَٰنِ إِلَّا ٱلْإِحْسَٰنُ",
              "translate_bn": "সৎকাজের প্রতিদান উত্তম পুরস্কার ব্যতীত কি হতে পারে?",
              "numberInSurah": 60,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "হাল জাঝাউল ইহছা-নি ইল্লাল ইহছা-ন।",
              "words_arabic": "هَلْ/هَلۡ/hal//جَزَآءُ/جَزَآءُ/jazau//الْاِحْسَانِ/ٱلۡإِحۡسَٰنِ/al-ih'sani//اِلَّا/إِلَّا/illa//الْاِحْسَانُۚ/ٱلۡإِحۡسَٰنُ/al-ih'sanu",
              "words_bangla": "কি (হতে পারে)//পুরস্কার//উত্তম (কাজের)//ব্যতীত//উত্তম"
            },
            {
              "number": 4962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4962.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 61,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "সুতরাং কোন কোন//অনুগ্রহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4963.mp3"
              ],
              "text": "وَمِن دُونِهِمَا جَنَّتَانِ",
              "translate_bn": "এই দু’টি ছাড়া আরও দু’টি উদ্যান রয়েছে।",
              "numberInSurah": 62,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন দূনিহিমা-জান্নাতা-ন।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//دُوْنِهِمَا/دُونِهِمَا/dunihima//جَنَّتٰنِۚ/جَنَّتَانِ/jannatani",
              "words_bangla": "এবং//সে দুটো ছাড়াও//দুটো বাগান (থাকবে)"
            },
            {
              "number": 4964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4964.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 63,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۙ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4965.mp3"
              ],
              "text": "مُدْهَآمَّتَانِ",
              "translate_bn": "কালোমত ঘন সবুজ।",
              "numberInSurah": 64,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "মুদ হূমমাতা-ন।",
              "words_arabic": "مُدْهَآ مَّتٰنِۚ/مُدۡهَآمَّتَانِ/mud'hammatani",
              "words_bangla": "(এ দুই) ঘন সবুজ বাগান"
            },
            {
              "number": 4966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4966.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 65,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4967.mp3"
              ],
              "text": "فِيهِمَا عَيْنَانِ نَضَّاخَتَانِ",
              "translate_bn": "তথায় আছে উদ্বেলিত দুই প্রস্রবণ।",
              "numberInSurah": 66,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিমা-‘আইনা-নি নাদ্দাখাতা-ন।",
              "words_arabic": "فِیْهِمَا/فِيهِمَا/fihima//عَیْنٰنِ/عَيۡنَانِ/aynani//نَضَّاخَتٰنِۚ/نَضَّاخَتَانِ/naddakhatani",
              "words_bangla": "উভয়ের মধ্যে রয়েছে//দুটো ঝরনা//উচ্ছলিত উভয়েই"
            },
            {
              "number": 4968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4968.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 67,
              "juz": 27,
              "manzil": 7,
              "page": 533,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4969.mp3"
              ],
              "text": "فِيهِمَا فَٰكِهَةٌۭ وَنَخْلٌۭ وَرُمَّانٌۭ",
              "translate_bn": "তথায় আছে ফল-মূল, খর্জুর ও আনার।",
              "numberInSurah": 68,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিমা-ফা-কিহাতুওঁ ওয়া নাখলুওঁ ওয়ারুম্মা-ন।",
              "words_arabic": "فِیْهِمَا/فِيهِمَا/fihima//فَاكِهَةٌ/فَٰكِهَةٞ/fakihatun//وَّ نَخْلٌ/وَنَخۡلٞ/wanakhlun//وَّ رُمَّانٌۚ/وَرُمَّانٞ/warummanun",
              "words_bangla": "তাদের উভয়ের মধ্যে রয়েছে//ফলমূল//ও খেজুর//ও ডালিম"
            },
            {
              "number": 4970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4970.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 69,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4971.mp3"
              ],
              "text": "فِيهِنَّ خَيْرَٰتٌ حِسَانٌۭ",
              "translate_bn": "সেখানে থাকবে সচ্চরিত্রা সুন্দরী রমণীগণ।",
              "numberInSurah": 70,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফীহিন্না খাইরা-তুন হিছা-ন।",
              "words_arabic": "فِیْهِنَّ/فِيهِنَّ/fihinna//خَیْرٰتٌ/خَيۡرَٰتٌ/khayratun//حِسَانٌۚ/حِسَانٞ/hisanun",
              "words_bangla": "তাদের মধ্যে (থাকবে)//সচ্চরিত্রা (স্ত্রীরা)//সুদর্শনা"
            },
            {
              "number": 4972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4972.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 71,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4973.mp3"
              ],
              "text": "حُورٌۭ مَّقْصُورَٰتٌۭ فِى ٱلْخِيَامِ",
              "translate_bn": "তাঁবুতে অবস্থানকারিণী হুরগণ।",
              "numberInSurah": 72,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "হূরুমমাকসূরা-তুন ফিল খিয়া-ম।",
              "words_arabic": "حُوْرٌ/حُورٞ/hurun//مَّقْصُوْرٰتٌ/مَّقۡصُورَٰتٞ/maqsuratun//فِی/فِي/fi//الْخِیَامِۚ/ٱلۡخِيَامِ/al-khiyami",
              "words_bangla": "হুর সমূহ (থাকবে)//সুরক্ষিতা//মধ্যে//তাঁবু সমূহের"
            },
            {
              "number": 4974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4974.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 73,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4975.mp3"
              ],
              "text": "لَمْ يَطْمِثْهُنَّ إِنسٌۭ قَبْلَهُمْ وَلَا جَآنٌّۭ",
              "translate_bn": "কোন জিন ও মানব পূর্বে তাদেরকে স্পর্শ করেনি।",
              "numberInSurah": 74,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "লাম ইয়াতমিছহুন্না ইনছুন কাবলাহুম ওয়ালা-জান।",
              "words_arabic": "لَمْ/لَمۡ/lam//یَطْمِثْهُنَّ/يَطۡمِثۡهُنَّ/yatmith'hunna//اِنْسٌ/إِنسٞ/insun//قَبْلَهُمْ/قَبۡلَهُمۡ/qablahum//وَ لَا/وَلَا/wala//جَآنٌّۚ/جَآنّٞ/jannun",
              "words_bangla": "নি//তাদের স্পর্শ করেছে//কোন মানুষ//তাদের পূর্বে//আর না//কোন জিন"
            },
            {
              "number": 4976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4976.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 75,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِۚ/تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4977.mp3"
              ],
              "text": "مُتَّكِـِٔينَ عَلَىٰ رَفْرَفٍ خُضْرٍۢ وَعَبْقَرِىٍّ حِسَانٍۢ",
              "translate_bn": "তারা সবুজ মসনদে এবং উৎকৃষ্ট মূল্যবান বিছানায় হেলান দিয়ে বসবে।",
              "numberInSurah": 76,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "মুত্তাকিঈনা ‘আলা-রাফরাফিন খুদরিওঁ ওয়া ‘আবকারিইয়িন হিছা-ন।",
              "words_arabic": "مُتَّكِـِٕیْنَ/مُتَّكِـِٔينَ/muttakiina//عَلٰی/عَلَىٰ/ala//رَفْرَفٍ/رَفۡرَفٍ/rafrafin//خُضْرٍ/خُضۡرٖ/khud'rin//وَّ عَبْقَرِیٍّ/وَعَبۡقَرِيٍّ/wa'abqariyyin//حِسَانٍۚ/حِسَانٖ/hisanin",
              "words_bangla": "(জান্নাতীরা) হেলান দিয়ে বসবে//উপর//গালিচার//সবুজ//ও অমূল্য চাদরের (উপর)//সুন্দর"
            },
            {
              "number": 4978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4978.mp3"
              ],
              "text": "فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ",
              "translate_bn": "অতএব, তোমরা উভয়ে তোমাদের পালনকর্তার কোন কোন অবদানকে অস্বীকার করবে?",
              "numberInSurah": 77,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি আ-লাই রাব্বিকুমা- তুকাযযিবা-ন ।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//اٰلَآءِ/ءَالَآءِ/alai//رَبِّكُمَا/رَبِّكُمَا/rabbikuma//تُكَذِّبٰنِ /تُكَذِّبَانِ/tukadhibani",
              "words_bangla": "অতএব কোন কোন//অনুগ্রহ সমূহকে//তোমাদের উভয়ের রবের//উভয়ে অস্বীকার করবে"
            },
            {
              "number": 4979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4979.mp3"
              ],
              "text": "تَبَٰرَكَ ٱسْمُ رَبِّكَ ذِى ٱلْجَلَٰلِ وَٱلْإِكْرَامِ",
              "translate_bn": "কত পূণ্যময় আপনার পালনকর্তার নাম, যিনি মহিমাময় ও মহানুভব।",
              "numberInSurah": 78,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 468,
              "hizbQuarter": 213,
              "sajda": false,
              "pronunciation_bn": "তাবা-রাকাছমুরাব্বিকা যিল জালা-লি ওয়াল ইকরা-ম।",
              "words_arabic": "تَبٰرَكَ/تَبَٰرَكَ/tabaraka//اسْمُ/ٱسۡمُ/us'mu//رَبِّكَ/رَبِّكَ/rabbika//ذِی/ذِي/dhi//الْجَلٰلِ/ٱلۡجَلَٰلِ/al-jalali//وَ الْاِكْرَامِ۠/وَٱلۡإِكۡرَامِ/wal-ik'rami",
              "words_bangla": "বড়ই মহান//নাম//তোমাদের রবের//সম্পন্ন//মহিম//ও মর্যাদা"
            }
          ]
        },
        {
          "number": 56,
          "name": "سُورَةُ الوَاقِعَةِ",
          "englishName": "Al-Waaqia",
          "englishNameTranslation": "The Inevitable",
          "revelationType": "Meccan",
          "verse": 96,
          "words": 849,
          "chars": 3538,
          "ayahs": [
            {
              "number": 4980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4980.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا وَقَعَتِ ٱلْوَاقِعَةُ",
              "translate_bn": "যখন কিয়ামতের ঘটনা ঘটবে,",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইযা-ওয়াকা‘আতিল ওয়া-কি‘আহ।",
              "words_arabic": "اِذَا/إِذَا/idha//وَقَعَتِ/وَقَعَتِ/waqa'ati//الْوَاقِعَةُۙ/ٱلۡوَاقِعَةُ/al-waqi'atu",
              "words_bangla": "যখন//ঘটবে//ঘটনাটি (কিয়ামত)"
            },
            {
              "number": 4981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4981.mp3"
              ],
              "text": "لَيْسَ لِوَقْعَتِهَا كَاذِبَةٌ",
              "translate_bn": "যার বাস্তবতায় কোন সংশয় নেই।",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লাইছা লিওয়াক‘আতিহা-কা-যিবাহ।",
              "words_arabic": "لَیْسَ/لَيۡسَ/laysa//لِوَقْعَتِهَا/لِوَقۡعَتِهَا/liwaq'atiha//كَاذِبَةٌۘ/كَاذِبَةٌ/kadhibatun",
              "words_bangla": "না (হবে)//তার সংঘটনের (ব্যাপারে)//কোনো অস্বীকারকারী"
            },
            {
              "number": 4982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4982.mp3"
              ],
              "text": "خَافِضَةٌۭ رَّافِعَةٌ",
              "translate_bn": "এটা নীচু করে দেবে, সমুন্নত করে দেবে।",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "খা-ফিদাতুর রাফি‘আহ।",
              "words_arabic": "خَافِضَةٌ/خَافِضَةٞ/khafidatun//رَّافِعَةٌۙ/رَّافِعَةٌ/rafi'atun",
              "words_bangla": "(তাহবে কাঊকে) অবনতকারী//(আবার কাঊকে)  সমুন্নতকারী"
            },
            {
              "number": 4983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4983.mp3"
              ],
              "text": "إِذَا رُجَّتِ ٱلْأَرْضُ رَجًّۭا",
              "translate_bn": "যখন প্রবলভাবে প্রকম্পিত হবে পৃথিবী।",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইযা-রুজ্জাতিল আরদুরাজ্জা-।",
              "words_arabic": "اِذَا/إِذَا/idha//رُجَّتِ/رُجَّتِ/rujjati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//رَجًّاۙ/رَجّٗا/rajjan",
              "words_bangla": "যখন//প্রকম্পিত করা হবে//পৃথিবী//(প্রবল) কম্পন"
            },
            {
              "number": 4984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4984.mp3"
              ],
              "text": "وَبُسَّتِ ٱلْجِبَالُ بَسًّۭا",
              "translate_bn": "এবং পর্বতমালা ভেঙ্গে চুরমার হয়ে যাবে।",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া বুছছাতিল জিবা-লুবাছছা-।",
              "words_arabic": "وَّ بُسَّتِ/وَبُسَّتِ/wabussati//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//بَسًّاۙ/بَسّٗا/bassan",
              "words_bangla": "এবং ছিন্নভিন্ন করা হবে//পাহারসমূহকে//ছিন্নভিন্ন করার মতো"
            },
            {
              "number": 4985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4985.mp3"
              ],
              "text": "فَكَانَتْ هَبَآءًۭ مُّنۢبَثًّۭا",
              "translate_bn": "অতঃপর তা হয়ে যাবে উৎক্ষিপ্ত ধূলিকণা।",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাকা-নাত হাবাআম মুমবাছছা-।",
              "words_arabic": "فَكَانَتْ/فَكَانَتۡ/fakanat//هَبَآءً/هَبَآءٗ/habaan//مُّنْۢبَثًّاۙ/مُّنۢبَثّٗا/munbathan",
              "words_bangla": "অতঃপর তা হবে//ধূলিকণা//বিক্ষিপ্ত"
            },
            {
              "number": 4986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4986.mp3"
              ],
              "text": "وَكُنتُمْ أَزْوَٰجًۭا ثَلَٰثَةًۭ",
              "translate_bn": "এবং তোমরা তিনভাবে বিভক্ত হয়ে পড়বে।",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুনতুম আঝওয়া-জান ছালা-ছাহ।",
              "words_arabic": "وَّ كُنْتُمْ/وَكُنتُمۡ/wakuntum//اَزْوَاجًا/أَزۡوَٰجٗا/azwajan//ثَلٰثَةًؕ/ثَلَٰثَةٗ/thalathatan",
              "words_bangla": "এবং তোমরা হবে বিভক্ত//ভাগে বিভক্ত//তিনটি"
            },
            {
              "number": 4987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4987.mp3"
              ],
              "text": "فَأَصْحَٰبُ ٱلْمَيْمَنَةِ مَآ أَصْحَٰبُ ٱلْمَيْمَنَةِ",
              "translate_bn": "যারা ডান দিকে, কত ভাগ্যবান তারা।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাআসহা-বুল মাইমানাতি মাআসহা-বুল মাইমানাহ।",
              "words_arabic": "فَاَصْحٰبُ/فَأَصۡحَٰبُ/fa-ashabu//الْمَیْمَنَةِ ۙ۬/ٱلۡمَيۡمَنَةِ/al-maymanati//مَاۤ/مَآ/ma//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْمَیْمَنَةِؕ/ٱلۡمَيۡمَنَةِ/al-maymanati",
              "words_bangla": "লোকগুলো অতঃপর//ডান হাতের //কি (ভাগ্যবান)//লোকগুলো//ডানহাতের"
            },
            {
              "number": 4988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4988.mp3"
              ],
              "text": "وَأَصْحَٰبُ ٱلْمَشْـَٔمَةِ مَآ أَصْحَٰبُ ٱلْمَشْـَٔمَةِ",
              "translate_bn": "এবং যারা বামদিকে, কত হতভাগা তারা।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসহা-বুল মাশআমাতি মাআসহা-বুল মাশআমাহ ।",
              "words_arabic": "وَ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الْمَشْـَٔمَةِ ۙ۬/ٱلۡمَشۡـَٔمَةِ/al-mashamati//مَاۤ/مَآ/ma//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْمَشْـَٔمَةِؕ/ٱلۡمَشۡـَٔمَةِ/al-mashamati",
              "words_bangla": "এবং লোকগুলো//বামহাতের//কি (দুর্ভাগা)//লোকগুলো //বামহাতের"
            },
            {
              "number": 4989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4989.mp3"
              ],
              "text": "وَٱلسَّٰبِقُونَ ٱلسَّٰبِقُونَ",
              "translate_bn": "অগ্রবর্তীগণ তো অগ্রবর্তীই।",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছা-বিকূনাছছা-বিকূন।",
              "words_arabic": "وَ السّٰبِقُوْنَ/وَٱلسَّـٰبِقُونَ/wal-sabiquna//السّٰبِقُوْنَۚۙ/ٱلسَّـٰبِقُونَ/al-sabiquna",
              "words_bangla": "এবং অগ্রবর্তীরা (তো)//অগ্রবর্তীই"
            },
            {
              "number": 4990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4990.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ ٱلْمُقَرَّبُونَ",
              "translate_bn": "তারাই নৈকট্যশীল,",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "উলাইকাল মুকাররাবূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//الْمُقَرَّبُوْنَۚ/ٱلۡمُقَرَّبُونَ/al-muqarabuna",
              "words_bangla": "তারাই//নৈকট্যপ্রাপ্ত"
            },
            {
              "number": 4991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4991.mp3"
              ],
              "text": "فِى جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "অবদানের উদ্যানসমূহে,",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফী জান্না-তিন না‘ঈম।",
              "words_arabic": "فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِ /ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "(তারা থাকবে) মধ্যে//জান্নাতের//সুখের"
            },
            {
              "number": 4992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4992.mp3"
              ],
              "text": "ثُلَّةٌۭ مِّنَ ٱلْأَوَّلِينَ",
              "translate_bn": "তারা একদল পূর্ববর্তীদের মধ্য থেকে।",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ছু ল্লাতুম মিনাল আওওয়ালীন।",
              "words_arabic": "ثُلَّةٌ/ثُلَّةٞ/thullatun//مِّنَ/مِّنَ/mina//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "বেশিসংখ্যক//মধ্য হতে//পূর্ববর্তীদের"
            },
            {
              "number": 4993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4993.mp3"
              ],
              "text": "وَقَلِيلٌۭ مِّنَ ٱلْءَاخِرِينَ",
              "translate_bn": "এবং অল্পসংখ্যক পরবর্তীদের মধ্যে থেকে।",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া কালীলুম মিনাল আ-খিরীন।\r\n",
              "words_arabic": "وَ قَلِیْلٌ/وَقَلِيلٞ/waqalilun//مِّنَ/مِّنَ/mina//الْاٰخِرِیْنَؕ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এবং অল্পসংখ্যক (হবে)//মধ্য হতে//পরবর্তীদের"
            },
            {
              "number": 4994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4994.mp3"
              ],
              "text": "عَلَىٰ سُرُرٍۢ مَّوْضُونَةٍۢ",
              "translate_bn": "স্বর্ণ খচিত সিংহাসন।",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "‘আলা-ছুরুরিমমাওদূ নাহ।",
              "words_arabic": "عَلٰی/عَلَىٰ/ala//سُرُرٍ/سُرُرٖ/sururin//مَّوْضُوْنَةٍۙ/مَّوۡضُونَةٖ/mawdunatin",
              "words_bangla": "(তারা বসবে) উপর//আসন সমূহের//স্বর্ণখচিত"
            },
            {
              "number": 4995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4995.mp3"
              ],
              "text": "مُّتَّكِـِٔينَ عَلَيْهَا مُتَقَٰبِلِينَ",
              "translate_bn": "তারা তাতে হেলান দিয়ে বসবে পরস্পর মুখোমুখি হয়ে।",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 534,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "মুত্তাকিঈনা ‘আলাইহা-মুতাকা-বিলীন।",
              "words_arabic": "مُّتَّكِـِٕیْنَ/مُّتَّكِـِٔينَ/muttakiina//عَلَیْهَا/عَلَيۡهَا/alayha//مُتَقٰبِلِیْنَ /مُتَقَٰبِلِينَ/mutaqabilina",
              "words_bangla": "হেলানদিয়ে বসবে//তার উপর//মুখোমুখি হয়ে"
            },
            {
              "number": 4996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4996.mp3"
              ],
              "text": "يَطُوفُ عَلَيْهِمْ وِلْدَٰنٌۭ مُّخَلَّدُونَ",
              "translate_bn": "তাদের কাছে ঘোরাফেরা করবে চির কিশোরেরা।",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইয়াতূ ফূ‘আলাইহিম বিলদা-নুমমুখাল্লাদূন।",
              "words_arabic": "یَطُوْفُ/يَطُوفُ/yatufu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وِلْدَانٌ/وِلۡدَٰنٞ/wil'danun//مُّخَلَّدُوْنَۙ/مُّخَلَّدُونَ/mukhalladuna",
              "words_bangla": "ঘুরাফিরা করবে//তাদের কাছে//কিশোররা//চির"
            },
            {
              "number": 4997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4997.mp3"
              ],
              "text": "بِأَكْوَابٍۢ وَأَبَارِيقَ وَكَأْسٍۢ مِّن مَّعِينٍۢ",
              "translate_bn": "পানপাত্র কুঁজা ও খাঁটি সূরাপূর্ণ পেয়ালা হাতে নিয়ে,",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "বিআকওয়া-বিওঁ ওয়া আবা-রীকা ওয়াকা’ছিম মিম্মা‘ঈন।",
              "words_arabic": "بِاَكْوَابٍ/بِأَكۡوَابٖ/bi-akwabin//وَّ اَبَارِیْقَ ۙ۬/وَأَبَارِيقَ/wa-abariqa//وَ كَاْسٍ/وَكَأۡسٖ/wakasin//مِّنْ/مِّن/min//مَّعِیْنٍۙ/مَّعِينٖ/ma'inin",
              "words_bangla": "পান পাত্রগুলো নিয়ে//ও কুঁজো//ও পেয়ালা (ভরা)//হতে//প্রবাহিত সূরারঝর্ণা"
            },
            {
              "number": 4998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4998.mp3"
              ],
              "text": "لَّا يُصَدَّعُونَ عَنْهَا وَلَا يُنزِفُونَ",
              "translate_bn": "যা পান করলে তাদের শিরঃপীড়া হবে না এবং বিকারগ্রস্ত ও হবে না।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লা-ইউসাদ্দা‘ঊনা ‘আনহা-ওয়ালা ইউনঝিফূন।",
              "words_arabic": "لَّا/لَّا/la//یُصَدَّعُوْنَ/يُصَدَّعُونَ/yusadda'una//عَنْهَا/عَنۡهَا/anha//وَ لَا/وَلَا/wala//یُنْزِفُوْنَۙ/يُنزِفُونَ/yunzifuna",
              "words_bangla": "না//মাথাঘুরাবে//তা থেকে//এবং না//তারা জ্ঞানহারা হবে"
            },
            {
              "number": 4999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/4999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/4999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/4999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/4999.mp3"
              ],
              "text": "وَفَٰكِهَةٍۢ مِّمَّا يَتَخَيَّرُونَ",
              "translate_bn": "আর তাদের পছন্দমত ফল-মুল নিয়ে,",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফা-কিহাতিম মিম্মা-ইয়াতাখাইয়ারূন।",
              "words_arabic": "وَ فَاكِهَةٍ/وَفَٰكِهَةٖ/wafakihatin//مِّمَّا/مِّمَّا/mimma//یَتَخَیَّرُوْنَۙ/يَتَخَيَّرُونَ/yatakhayyaruna",
              "words_bangla": "এবং ফলমূল (থাকবে)//তা হতে যা (চাইবে)//তারা বেছে নিবে"
            },
            {
              "number": 5000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5000.mp3"
              ],
              "text": "وَلَحْمِ طَيْرٍۢ مِّمَّا يَشْتَهُونَ",
              "translate_bn": "এবং রুচিমত পাখীর মাংস নিয়ে।",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাহমি তাইরিম মিম্মা-ইয়াশতাহূন।",
              "words_arabic": "وَ لَحْمِ/وَلَحۡمِ/walahmi//طَیْرٍ/طَيۡرٖ/tayrin//مِّمَّا/مِّمَّا/mimma//یَشْتَهُوْنَؕ/يَشۡتَهُونَ/yashtahuna",
              "words_bangla": "এবং গোশত (থাকবে)//পাখির//তাহতে যা //তারা চাইবে (নিতে পারবে)"
            },
            {
              "number": 5001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5001.mp3"
              ],
              "text": "وَحُورٌ عِينٌۭ",
              "translate_bn": "তথায় থাকবে আনতনয়না হুরগণ,",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া হূরুন ‘ঈন।",
              "words_arabic": "وَ حُوْرٌ/وَحُورٌ/wahurun//عِیْنٌۙ/عِينٞ/inun",
              "words_bangla": "এবং হুরসমূহ (থাকবে)//ডাগর চোখ বিশিষ্ট"
            },
            {
              "number": 5002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5002.mp3"
              ],
              "text": "كَأَمْثَٰلِ ٱللُّؤْلُؤِ ٱلْمَكْنُونِ",
              "translate_bn": "আবরণে রক্ষিত মোতির ন্যায়,",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "কাআমছা-লিল লু’লুয়িল মাকনূন।",
              "words_arabic": "كَاَمْثَالِ/كَأَمۡثَٰلِ/ka-amthali//اللُّؤْلُؤِ/ٱللُّؤۡلُوِٕ/al-u'lu-i//الْمَكْنُوْنِۚ/ٱلۡمَكۡنُونِ/al-maknuni",
              "words_bangla": "দৃষ্টান্ত মতো//মুক্তার//লুকিয়েরাখা"
            },
            {
              "number": 5003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5003.mp3"
              ],
              "text": "جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তারা যা কিছু করত, তার পুরস্কারস্বরূপ।",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "জাঝাআম বিমা-কা-নূইয়া‘মালূন।",
              "words_arabic": "جَزَآءًۢ/جَزَآءَۢ/jazaan//بِمَا/بِمَا/bima//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "পুরষ্কার//ঐ বিষয়ের যা//তারা ছিল//তারা কাজ করতে"
            },
            {
              "number": 5004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5004.mp3"
              ],
              "text": "لَا يَسْمَعُونَ فِيهَا لَغْوًۭا وَلَا تَأْثِيمًا",
              "translate_bn": "তারা তথায় অবান্তর ও কোন খারাপ কথা শুনবে না।",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছমা‘ঊনা ফীহা-লাগওয়াওঁ ওয়ালা-তা’ছীমা-।",
              "words_arabic": "لَا/لَا/la//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//فِیْهَا/فِيهَا/fiha//لَغْوًا/لَغۡوٗا/laghwan//وَّ لَا/وَلَا/wala//تَاْثِیْمًاۙ/تَأۡثِيمًا/tathiman",
              "words_bangla": "না//তারা শুনতেপাবে//তার মধ্যে//অসারকথা//এবং না//পাপের (কথা)"
            },
            {
              "number": 5005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5005.mp3"
              ],
              "text": "إِلَّا قِيلًۭا سَلَٰمًۭا سَلَٰمًۭا",
              "translate_bn": "কিন্তু শুনবে সালাম আর সালাম।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-কীলান ছালা-মান ছালা-মা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//قِیْلًا/قِيلٗا/qilan//سَلٰمًا/سَلَٰمٗا/salaman//سَلٰمًا /سَلَٰمٗا/salaman",
              "words_bangla": "তবে//বলা হবে//\"সালাম\"//\"(আর) সালাম\""
            },
            {
              "number": 5006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5006.mp3"
              ],
              "text": "وَأَصْحَٰبُ ٱلْيَمِينِ مَآ أَصْحَٰبُ ٱلْيَمِينِ",
              "translate_bn": "যারা ডান দিকে থাকবে, তারা কত ভাগ্যবান।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসহা-বুল ইয়ামীনি মাআসহা-বুল ইয়ামীন।",
              "words_arabic": "وَ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الْیَمِیْنِ ۙ۬/ٱلۡيَمِينِ/al-yamini//مَاۤ/مَآ/ma//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْیَمِیْنِؕ/ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "এবং লোকগুলো//ডানহাতের//কি (ভাগ্যবান)//লোকগুলো//ডানহাতের"
            },
            {
              "number": 5007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5007.mp3"
              ],
              "text": "فِى سِدْرٍۢ مَّخْضُودٍۢ",
              "translate_bn": "তারা থাকবে কাঁটাবিহীন বদরিকা বৃক্ষে।",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফী ছিদরিম মাখদূদ।",
              "words_arabic": "فِیْ/فِي/fi//سِدْرٍ/سِدۡرٖ/sid'rin//مَّخْضُوْدٍۙ/مَّخۡضُودٖ/makhdudin",
              "words_bangla": "মধ্যে//কুলবৃক্ষসমূহের//কাঁটাহীন"
            },
            {
              "number": 5008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5008.mp3"
              ],
              "text": "وَطَلْحٍۢ مَّنضُودٍۢ",
              "translate_bn": "এবং কাঁদি কাঁদি কলায়,",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া তালহিমমানদূ দ।",
              "words_arabic": "وَّ طَلْحٍ/وَطَلۡحٖ/watalhin//مَّنْضُوْدٍۙ/مَّنضُودٖ/mandudin",
              "words_bangla": "এবং কলাসমূহে//থরে থরে সাজানো"
            },
            {
              "number": 5009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5009.mp3"
              ],
              "text": "وَظِلٍّۢ مَّمْدُودٍۢ",
              "translate_bn": "এবং দীর্ঘ ছায়ায়।",
              "numberInSurah": 30,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া জিলিলমমামদুদ।",
              "words_arabic": "وَّ ظِلٍّ/وَظِلّٖ/wazillin//مَّمْدُوْدٍۙ/مَّمۡدُودٖ/mamdudin",
              "words_bangla": "ও ছায়ায়//বিস্তৃত"
            },
            {
              "number": 5010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5010.mp3"
              ],
              "text": "وَمَآءٍۢ مَّسْكُوبٍۢ",
              "translate_bn": "এবং প্রবাহিত পানিতে,",
              "numberInSurah": 31,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইমমাছকূব।",
              "words_arabic": "وَّ مَآءٍ/وَمَآءٖ/wamain//مَّسْكُوْبٍۙ/مَّسۡكُوبٖ/maskubin",
              "words_bangla": "এবং পানির (কাছে)//(সদা) প্রবহমান"
            },
            {
              "number": 5011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5011.mp3"
              ],
              "text": "وَفَٰكِهَةٍۢ كَثِيرَةٍۢ",
              "translate_bn": "ও প্রচুর ফল-মূলে,",
              "numberInSurah": 32,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফা-কিহাতিন কাছীরাহ।\r\n",
              "words_arabic": "وَّ فَاكِهَةٍ/وَفَٰكِهَةٖ/wafakihatin//كَثِیْرَةٍۙ/كَثِيرَةٖ/kathiratin",
              "words_bangla": "এবং ফলমূল//পর্যাপ্ত"
            },
            {
              "number": 5012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5012.mp3"
              ],
              "text": "لَّا مَقْطُوعَةٍۢ وَلَا مَمْنُوعَةٍۢ",
              "translate_bn": "যা শেষ হবার নয় এবং নিষিদ্ধ ও নয়,",
              "numberInSurah": 33,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লা-মাকতূ‘আতিওঁ ওয়ালা-মামনূ‘আহ।",
              "words_arabic": "لَّا/لَّا/la//مَقْطُوْعَةٍ/مَقۡطُوعَةٖ/maqtu'atin//وَّ لَا/وَلَا/wala//مَمْنُوْعَةٍۙ/مَمۡنُوعَةٖ/mamnu'atin",
              "words_bangla": "না//শেষ হবে//আর না//নিষিদ্ধ হবে"
            },
            {
              "number": 5013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5013.mp3"
              ],
              "text": "وَفُرُشٍۢ مَّرْفُوعَةٍ",
              "translate_bn": "আর থাকবে সমুন্নত শয্যায়।",
              "numberInSurah": 34,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফুরুশিমমারফূ‘আহ।",
              "words_arabic": "وَّ فُرُشٍ/وَفُرُشٖ/wafurushin//مَّرْفُوْعَةٍؕ/مَّرۡفُوعَةٍ/marfu'atin",
              "words_bangla": "এবং শয্যাসমূহে //সুউচ্চ"
            },
            {
              "number": 5014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5014.mp3"
              ],
              "text": "إِنَّآ أَنشَأْنَٰهُنَّ إِنشَآءًۭ",
              "translate_bn": "আমি জান্নাতী রমণীগণকে বিশেষরূপে সৃষ্টি করেছি।",
              "numberInSurah": 35,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনশা’না-হুন্না ইনশাআ।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْشَاْنٰهُنَّ/أَنشَأۡنَٰهُنَّ/anshanahunna//اِنْشَآءًۙ/إِنشَآءٗ/inshaan",
              "words_bangla": "নিশ্চয়ই আমরা//তাদের আমরা সৃষ্টি করব//সৃষ্টি (নতুন করে)"
            },
            {
              "number": 5015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5015.mp3"
              ],
              "text": "فَجَعَلْنَٰهُنَّ أَبْكَارًا",
              "translate_bn": "অতঃপর তাদেরকে করেছি চিরকুমারী।",
              "numberInSurah": 36,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলনা-হুন্না আবকা-রা।",
              "words_arabic": "فَجَعَلْنٰهُنَّ/فَجَعَلۡنَٰهُنَّ/faja'alnahunna//اَبْكَارًاۙ/أَبۡكَارًا/abkaran",
              "words_bangla": "তাদের অতঃপর আমরা বানানো//চিরকুমারী"
            },
            {
              "number": 5016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5016.mp3"
              ],
              "text": "عُرُبًا أَتْرَابًۭا",
              "translate_bn": "কামিনী, সমবয়স্কা।",
              "numberInSurah": 37,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "‘উরুবান আতরা-বা-।",
              "words_arabic": "عُرُبًا/عُرُبًا/uruban//اَتْرَابًاۙ/أَتۡرَابٗا/atraban",
              "words_bangla": "স্বামীসোহাগিনী//সমবয়স্কা"
            },
            {
              "number": 5017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5017.mp3"
              ],
              "text": "لِّأَصْحَٰبِ ٱلْيَمِينِ",
              "translate_bn": "ডান দিকের লোকদের জন্যে।",
              "numberInSurah": 38,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 469,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লিআসহা-বিল ইয়ামীন।",
              "words_arabic": "لِّاَصْحٰبِ/لِّأَصۡحَٰبِ/li-ashabi//الْیَمِیْنِؕ۠/ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "লোকদের জন্যে//ডানহাতের"
            },
            {
              "number": 5018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5018.mp3"
              ],
              "text": "ثُلَّةٌۭ مِّنَ ٱلْأَوَّلِينَ",
              "translate_bn": "তাদের একদল হবে পূর্ববর্তীদের মধ্য থেকে।",
              "numberInSurah": 39,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ছু ল্লাতুম মিনাল আওওয়ালীন।",
              "words_arabic": "ثُلَّةٌ/ثُلَّةٞ/thullatun//مِّنَ/مِّنَ/mina//الْاَوَّلِیْنَۙ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "বহুসংখ্যক//মধ্য হতে//পূর্ববর্তীদের"
            },
            {
              "number": 5019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5019.mp3"
              ],
              "text": "وَثُلَّةٌۭ مِّنَ ٱلْءَاخِرِينَ",
              "translate_bn": "এবং একদল পরবর্তীদের মধ্য থেকে।",
              "numberInSurah": 40,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছুল্লাতুম মিনাল আ-খিরীন।",
              "words_arabic": "وَ ثُلَّةٌ/وَثُلَّةٞ/wathullatun//مِّنَ/مِّنَ/mina//الْاٰخِرِیْنَؕ/ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "বহুসংখ্যক//মধ্য হতে//পরবর্তীদের"
            },
            {
              "number": 5020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5020.mp3"
              ],
              "text": "وَأَصْحَٰبُ ٱلشِّمَالِ مَآ أَصْحَٰبُ ٱلشِّمَالِ",
              "translate_bn": "বামপার্শ্বস্থ লোক, কত না হতভাগা তারা।",
              "numberInSurah": 41,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া আসহা-বুশশিমা-লি মাআসহা-বুশ শিমা-ল।",
              "words_arabic": "وَ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الشِّمَالِ ۙ۬/ٱلشِّمَالِ/al-shimali//مَاۤ/مَآ/ma//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الشِّمَالِؕ/ٱلشِّمَالِ/al-shimali",
              "words_bangla": "এবং লোকদের//বামহাতের//কি (দুর্ভাগ্য)//লোকদের//বামহাতের"
            },
            {
              "number": 5021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5021.mp3"
              ],
              "text": "فِى سَمُومٍۢ وَحَمِيمٍۢ",
              "translate_bn": "তারা থাকবে প্রখর বাষ্পে এবং উত্তপ্ত পানিতে,",
              "numberInSurah": 42,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফী ছামূমিওঁ ওয়া হামীম।",
              "words_arabic": "فِیْ/فِي/fi//سَمُوْمٍ/سَمُومٖ/samumin//وَّ حَمِیْمٍۙ/وَحَمِيمٖ/wahamimin",
              "words_bangla": "মধ্য (থাকবে)//উষ্ণবাতাস//ও ফুটন্ত পানির"
            },
            {
              "number": 5022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5022.mp3"
              ],
              "text": "وَظِلٍّۢ مِّن يَحْمُومٍۢ",
              "translate_bn": "এবং ধুম্রকুঞ্জের ছায়ায়।",
              "numberInSurah": 43,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া জিলিলম মিইঁ ইয়াহমূম।",
              "words_arabic": "وَّ ظِلٍّ/وَظِلّٖ/wazillin//مِّنْ/مِّن/min//یَّحْمُوْمٍۙ/يَحۡمُومٖ/yahmumin",
              "words_bangla": "এবং ছায়ায়//থেকে (সৃষ্টি)//কালো ধোঁয়ার"
            },
            {
              "number": 5023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5023.mp3"
              ],
              "text": "لَّا بَارِدٍۢ وَلَا كَرِيمٍ",
              "translate_bn": "যা শীতল নয় এবং আরামদায়কও নয়।",
              "numberInSurah": 44,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লা-বা-রিদিওঁ ওয়ালা-কারীম।",
              "words_arabic": "لَّا/لَّا/la//بَارِدٍ/بَارِدٖ/baridin//وَّ لَا/وَلَا/wala//كَرِیْمٍ /كَرِيمٍ/karimin",
              "words_bangla": "না//ঠাণ্ডা (হবে)//আর না//আনন্দদায়ক"
            },
            {
              "number": 5024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5024.mp3"
              ],
              "text": "إِنَّهُمْ كَانُوا۟ قَبْلَ ذَٰلِكَ مُتْرَفِينَ",
              "translate_bn": "তারা ইতিপূর্বে স্বাচ্ছন্দ্যশীল ছিল।",
              "numberInSurah": 45,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম কা-নূকাবলা যা-লিকা মুতরাফীন।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//قَبْلَ/قَبۡلَ/qabla//ذٰلِكَ/ذَٰلِكَ/dhalika//مُتْرَفِیْنَۚۖ/مُتۡرَفِينَ/mut'rafina",
              "words_bangla": "তারা নিশ্চয়ই//ছিল//পূর্বে//এর//বিলাসী জীবনের অধিকারী"
            },
            {
              "number": 5025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5025.mp3"
              ],
              "text": "وَكَانُوا۟ يُصِرُّونَ عَلَى ٱلْحِنثِ ٱلْعَظِيمِ",
              "translate_bn": "তারা সদাসর্বদা ঘোরতর পাপকর্মে ডুবে থাকত।",
              "numberInSurah": 46,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়াকা-নূইউসিররূনা ‘আলাল হিনছিল ‘আজীম।",
              "words_arabic": "وَ كَانُوْا/وَكَانُواْ/wakanu//یُصِرُّوْنَ/يُصِرُّونَ/yusirruna//عَلَی/عَلَى/ala//الْحِنْثِ/ٱلۡحِنثِ/al-hinthi//الْعَظِیْمِۚ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "এবং তারা ছিল//তারা অবিরত লিপ্ত থাকে//উপর//পাপের//ঘোরতর"
            },
            {
              "number": 5026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5026.mp3"
              ],
              "text": "وَكَانُوا۟ يَقُولُونَ أَئِذَا مِتْنَا وَكُنَّا تُرَابًۭا وَعِظَٰمًا أَءِنَّا لَمَبْعُوثُونَ",
              "translate_bn": "তারা বলতঃ আমরা যখন মরে অস্থি ও মৃত্তিকায় পরিণত হয়ে যাব, তখনও কি পুনরুত্থিত হব?",
              "numberInSurah": 47,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-নূইয়াকূলূনা আইযা-মিতনা-ওয়া কুন্না-তুরা-বাওঁ ওয়া ‘ইজা-মান আইন্নালামাব‘ঊছূন।",
              "words_arabic": "وَ كَانُوْا/وَكَانُواْ/wakanu//یَقُوْلُوْنَ ۙ۬/يَقُولُونَ/yaquluna//اَىِٕذَا/أَئِذَا/a-idha//مِتْنَا/مِتۡنَا/mit'na//وَ كُنَّا/وَكُنَّا/wakunna//تُرَابًا/تُرَابٗا/turaban//وَّ عِظَامًا/وَعِظَٰمًا/wa'izaman//ءَاِنَّا/أَءِنَّا/a-inna//لَمَبْعُوْثُوْنَۙ/لَمَبۡعُوثُونَ/lamab'uthuna",
              "words_bangla": "এবং তারা ছিল//তারা বলে//\"যখন কি//আমরা মরে যাব//ও আমরা হব//মাটি//ও হাড়//নিশ্চয়ই কি আমরা//উত্থিত হব অবশ্যই"
            },
            {
              "number": 5027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5027.mp3"
              ],
              "text": "أَوَءَابَآؤُنَا ٱلْأَوَّلُونَ",
              "translate_bn": "এবং আমাদের পূর্বপুরুষগণও!",
              "numberInSurah": 48,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আওয়া আ-বাউনাল আওওয়ালূন।",
              "words_arabic": "اَوَ اٰبَآؤُنَا/أَوَءَابَآؤُنَا/awaabauna//الْاَوَّلُوْنَ /ٱلۡأَوَّلُونَ/al-awaluna",
              "words_bangla": "অথবা আমাদের বাপদাদারও//পূর্বসূরী"
            },
            {
              "number": 5028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5028.mp3"
              ],
              "text": "قُلْ إِنَّ ٱلْأَوَّلِينَ وَٱلْءَاخِرِينَ",
              "translate_bn": "বলুনঃ পূর্ববর্তী ও পরবর্তীগণ,",
              "numberInSurah": 49,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নাল আওওয়ালীনা ওয়াল আ-খিরীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْاَوَّلِیْنَ/ٱلۡأَوَّلِينَ/al-awalina//وَ الْاٰخِرِیْنَۙ/وَٱلۡأٓخِرِينَ/wal-akhirina",
              "words_bangla": "বলো//\"নিশ্চয়ই//পূর্বসূরীকে//এবং উত্তরসূরীকে"
            },
            {
              "number": 5029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5029.mp3"
              ],
              "text": "لَمَجْمُوعُونَ إِلَىٰ مِيقَٰتِ يَوْمٍۢ مَّعْلُومٍۢ",
              "translate_bn": "সবাই একত্রিত হবে এক নির্দিষ্ট দিনের নির্দিষ্ট সময়ে।",
              "numberInSurah": 50,
              "juz": 27,
              "manzil": 7,
              "page": 535,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লামাজমূ‘ঊনা ইলা-মীকা-তি ইয়াওমিম মা‘লূম।",
              "words_arabic": "لَمَجْمُوْعُوْنَ ۙ۬/لَمَجۡمُوعُونَ/lamajmu'una//اِلٰی/إِلَىٰ/ila//مِیْقَاتِ/مِيقَٰتِ/miqati//یَوْمٍ/يَوۡمٖ/yawmin//مَّعْلُوْمٍ /مَّعۡلُومٖ/ma'lumin",
              "words_bangla": "অবশ্যই একত্র করা হবে//দিকে//(নির্দিষ্ট) সময়ে//দিনে//নির্ধারিত\""
            },
            {
              "number": 5030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5030.mp3"
              ],
              "text": "ثُمَّ إِنَّكُمْ أَيُّهَا ٱلضَّآلُّونَ ٱلْمُكَذِّبُونَ",
              "translate_bn": "অতঃপর হে পথভ্রষ্ট, মিথ্যারোপকারীগণ।",
              "numberInSurah": 51,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নাকুম আইইয়ুহাদ্দাললূনাল মুকাযযি বূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّكُمْ/إِنَّكُمۡ/innakum//اَیُّهَا/أَيُّهَا/ayyuha//الضَّآلُّوْنَ/ٱلضَّآلُّونَ/al-daluna//الْمُكَذِّبُوْنَۙ/ٱلۡمُكَذِّبُونَ/al-mukadhibuna",
              "words_bangla": "\"এরপর//নিশ্চয়ই তোমরা//হে//পথভ্রষ্টরা//মিথ্যারোপকারীরা"
            },
            {
              "number": 5031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5031.mp3"
              ],
              "text": "لَءَاكِلُونَ مِن شَجَرٍۢ مِّن زَقُّومٍۢ",
              "translate_bn": "তোমরা অবশ্যই ভক্ষণ করবে যাক্কুম বৃক্ষ থেকে,",
              "numberInSurah": 52,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লাআ-কিলূনা মিন শাজারিম মিন ঝাক্কূম।",
              "words_arabic": "لَاٰكِلُوْنَ/لَأٓكِلُونَ/laakiluna//مِنْ/مِن/min//شَجَرٍ/شَجَرٖ/shajarin//مِّنْ/مِّن/min//زَقُّوْمٍۙ/زَقُّومٖ/zaqqumin",
              "words_bangla": "অবশ্যই আহার করবে//থেকে//গাছ//থেকে//যাক্কুমের"
            },
            {
              "number": 5032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5032.mp3"
              ],
              "text": "فَمَالِـُٔونَ مِنْهَا ٱلْبُطُونَ",
              "translate_bn": "অতঃপর তা দ্বারা উদর পূর্ণ করবে,",
              "numberInSurah": 53,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফামা-লিঊনা মিনহাল বুতূন।",
              "words_arabic": "فَمَالِـُٔوْنَ/فَمَالِـُٔونَ/famaliuna//مِنْهَا/مِنۡهَا/min'ha//الْبُطُوْنَۚ/ٱلۡبُطُونَ/al-butuna",
              "words_bangla": "অতঃপর পূর্ণ করবে//তা দিয়ে//পেট সমূহকে"
            },
            {
              "number": 5033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5033.mp3"
              ],
              "text": "فَشَٰرِبُونَ عَلَيْهِ مِنَ ٱلْحَمِيمِ",
              "translate_bn": "অতঃপর তার উপর পান করবে উত্তপ্ত পানি।",
              "numberInSurah": 54,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাশা-রিবূনা ‘আলাইহি মিনাল হামীম।",
              "words_arabic": "فَشٰرِبُوْنَ/فَشَٰرِبُونَ/fasharibuna//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنَ/مِنَ/mina//الْحَمِیْمِۚ/ٱلۡحَمِيمِ/al-hamimi",
              "words_bangla": "অতঃপর পান করবে//তার উপর//থেকে//ফুটন্ত পানি"
            },
            {
              "number": 5034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5034.mp3"
              ],
              "text": "فَشَٰرِبُونَ شُرْبَ ٱلْهِيمِ",
              "translate_bn": "পান করবে পিপাসিত উটের ন্যায়।",
              "numberInSurah": 55,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাশা-রিবূনা শুরবাল হীম।",
              "words_arabic": "فَشٰرِبُوْنَ/فَشَٰرِبُونَ/fasharibuna//شُرْبَ/شُرۡبَ/shur'ba//الْهِیْمِؕ/ٱلۡهِيمِ/al-himi",
              "words_bangla": "অতঃপর পান করবে//পান করার (মত)//পিপাসার্ত উট সমূহের\""
            },
            {
              "number": 5035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5035.mp3"
              ],
              "text": "هَٰذَا نُزُلُهُمْ يَوْمَ ٱلدِّينِ",
              "translate_bn": "কেয়ামতের দিন এটাই হবে তাদের আপ্যায়ন।",
              "numberInSurah": 56,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "হা-যা-নুঝুলুহুম ইয়াওমাদ্দীন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//نُزُلُهُمْ/نُزُلُهُمۡ/nuzuluhum//یَوْمَ/يَوۡمَ/yawma//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "এটা//তাদের আপ্যায়ন (হবে)//দিনে//কিয়ামতের"
            },
            {
              "number": 5036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5036.mp3"
              ],
              "text": "نَحْنُ خَلَقْنَٰكُمْ فَلَوْلَا تُصَدِّقُونَ",
              "translate_bn": "আমি সৃষ্টি করেছি তোমাদেরকে। অতঃপর কেন তোমরা তা সত্য বলে বিশ্বাস কর না।",
              "numberInSurah": 57,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "নাহনুখালাকনা-কুম ফালাওলা-তুসাদ্দিকূন।",
              "words_arabic": "نَحْنُ/نَحۡنُ/nahnu//خَلَقْنٰكُمْ/خَلَقۡنَٰكُمۡ/khalaqnakum//فَلَوْ لَا/فَلَوۡلَا/falawla//تُصَدِّقُوْنَ /تُصَدِّقُونَ/tusaddiquna",
              "words_bangla": "আমরা//তোমাদেরকে সৃষ্টি করেছি//কেন তবুও না//তোমার বিশ্বাস কর"
            },
            {
              "number": 5037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5037.mp3"
              ],
              "text": "أَفَرَءَيْتُم مَّا تُمْنُونَ",
              "translate_bn": "তোমরা কি ভেবে দেখেছ, তোমাদের বীর্যপাত সম্পর্কে।",
              "numberInSurah": 58,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতুমমা-তুমনূন।",
              "words_arabic": "اَفَرَءَیْتُمْ/أَفَرَءَيۡتُم/afara-aytum//مَّا/مَّا/ma//تُمْنُوْنَؕ/تُمۡنُونَ/tum'nuna",
              "words_bangla": "তোমরা (ভেবে) দেখেছ কি তাহলে//যা//তোমরা বীর্যপাত কর"
            },
            {
              "number": 5038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5038.mp3"
              ],
              "text": "ءَأَنتُمْ تَخْلُقُونَهُۥٓ أَمْ نَحْنُ ٱلْخَٰلِقُونَ",
              "translate_bn": "তোমরা তাকে সৃষ্টি কর, না আমি সৃষ্টি করি?",
              "numberInSurah": 59,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আ আনতুম তাখলুকূনাহূআম নাহনুল খা-লিকূন।",
              "words_arabic": "ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//تَخْلُقُوْنَهٗۤ/تَخۡلُقُونَهُۥٓ/takhluqunahu//اَمْ/أَمۡ/am//نَحْنُ/نَحۡنُ/nahnu//الْخٰلِقُوْنَ /ٱلۡخَٰلِقُونَ/al-khaliquna",
              "words_bangla": "তোমরা কি//তা সৃষ্টি কর//না//আমরা//সৃষ্টিকারী"
            },
            {
              "number": 5039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5039.mp3"
              ],
              "text": "نَحْنُ قَدَّرْنَا بَيْنَكُمُ ٱلْمَوْتَ وَمَا نَحْنُ بِمَسْبُوقِينَ",
              "translate_bn": "আমি তোমাদের মৃত্যুকাল নির্ধারিত করেছি এবং আমি অক্ষম নই।",
              "numberInSurah": 60,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "নাহনুকাদ্দারনা-বাইনাকুমুল মাওতা ওয়ামা-নাহনুবিমাছবূকীন।",
              "words_arabic": "نَحْنُ/نَحۡنُ/nahnu//قَدَّرْنَا/قَدَّرۡنَا/qaddarna//بَیْنَكُمُ/بَيۡنَكُمُ/baynakumu//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمَسْبُوْقِیْنَۙ/بِمَسۡبُوقِينَ/bimasbuqina",
              "words_bangla": "আমরা//নির্ধারণ করেছি//তোমাদের মাঝে//মৃত্যু//এবং না//আমরা//অক্ষম"
            },
            {
              "number": 5040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5040.mp3"
              ],
              "text": "عَلَىٰٓ أَن نُّبَدِّلَ أَمْثَٰلَكُمْ وَنُنشِئَكُمْ فِى مَا لَا تَعْلَمُونَ",
              "translate_bn": "এ ব্যাপারে যে, তোমাদের পরিবর্তে তোমাদের মত লোককে নিয়ে আসি এবং তোমাদেরকে এমন করে দেই, যা তোমরা জান না।",
              "numberInSurah": 61,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "‘আলাআননুবাদ্দিলা আমছা-লাকুম ওয়া নুনশিআকুম ফী মা-লা-তা‘লামূন।",
              "words_arabic": "عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//نُّبَدِّلَ/نُّبَدِّلَ/nubaddila//اَمْثَالَكُمْ/أَمۡثَٰلَكُمۡ/amthalakum//وَ نُنْشِئَكُمْ/وَنُنشِئَكُمۡ/wanunshi-akum//فِیْ/فِي/fi//مَا/مَا/ma//لَا/لَا/la//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এক্ষেত্রে//যে//পরিবর্তন করব আমরা//তোমাদের আকৃতি//এবং তোমাদের সৃষ্টি করব আমরা//(এমন আকৃতির) মধ্যে//যা//না//তোমরা জান"
            },
            {
              "number": 5041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5041.mp3"
              ],
              "text": "وَلَقَدْ عَلِمْتُمُ ٱلنَّشْأَةَ ٱلْأُولَىٰ فَلَوْلَا تَذَكَّرُونَ",
              "translate_bn": "তোমরা অবগত হয়েছ প্রথম সৃষ্টি সম্পর্কে, তবে তোমরা অনুধাবন কর না কেন?",
              "numberInSurah": 62,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ‘আলিমতুমুন্নাশআতাল ঊলা-ফালাওলা-তাযাক্কারূন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//عَلِمْتُمُ/عَلِمۡتُمُ/alim'tumu//النَّشْاَةَ/ٱلنَّشۡأَةَ/al-nashata//الْاُوْلٰی/ٱلۡأُولَىٰ/al-ula//فَلَوْ لَا/فَلَوۡلَا/falawla//تَذَكَّرُوْنَ /تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "এবং নিশ্চয়ই//তোমরা জেনেছ//সৃষ্টিকে//প্রথমবার//কেন তবে না//তোমরা শিক্ষা গ্রহণ কর"
            },
            {
              "number": 5042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5042.mp3"
              ],
              "text": "أَفَرَءَيْتُم مَّا تَحْرُثُونَ",
              "translate_bn": "তোমরা যে বীজ বপন কর, সে সম্পর্কে ভেবে দেখেছ কি?",
              "numberInSurah": 63,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতুম মা-তাহরুছূন।",
              "words_arabic": "اَفَرَءَیْتُمْ/أَفَرَءَيۡتُم/afara-aytum//مَّا/مَّا/ma//تَحْرُثُوْنَؕ/تَحۡرُثُونَ/tahruthuna",
              "words_bangla": "তোমরা তবে কি (ভেবে) দেখেছ//যা//তোমরা বীজবপণ কর"
            },
            {
              "number": 5043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5043.mp3"
              ],
              "text": "ءَأَنتُمْ تَزْرَعُونَهُۥٓ أَمْ نَحْنُ ٱلزَّٰرِعُونَ",
              "translate_bn": "তোমরা তাকে উৎপন্ন কর, না আমি উৎপন্নকারী ?",
              "numberInSurah": 64,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আআনতুম তাঝরা‘ঊনাহূআম নাহনুঝঝা-রি‘ঊন।",
              "words_arabic": "ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//تَزْرَعُوْنَهٗۤ/تَزۡرَعُونَهُۥٓ/tazra'unahu//اَمْ/أَمۡ/am//نَحْنُ/نَحۡنُ/nahnu//الزّٰرِعُوْنَ /ٱلزَّـٰرِعُونَ/al-zari'una",
              "words_bangla": "তোমরা কি//সেই ফসল ফলাও//না//আমরা//উৎপাদনকারী"
            },
            {
              "number": 5044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5044.mp3"
              ],
              "text": "لَوْ نَشَآءُ لَجَعَلْنَٰهُ حُطَٰمًۭا فَظَلْتُمْ تَفَكَّهُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তাকে খড়কুটা করে দিতে পারি, অতঃপর হয়ে যাবে তোমরা বিস্ময়াবিষ্ট।",
              "numberInSurah": 65,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লাও নাশা-উ লাজা‘আলনা-হু হুতা-মান ফাজালতুম তাফাক্কাহূন।",
              "words_arabic": "لَوْ/لَوۡ/law//نَشَآءُ/نَشَآءُ/nashau//لَجَعَلْنٰهُ/لَجَعَلۡنَٰهُ/laja'alnahu//حُطَامًا/حُطَٰمٗا/hutaman//فَظَلْتُمْ/فَظَلۡتُمۡ/fazaltum//تَفَكَّهُوْنَ /تَفَكَّهُونَ/tafakkahuna",
              "words_bangla": "যদি//চাই আমরা//তা আমরা পরিণত করতে পারি অবশ্যই//খড়কুটায়//তোমরা তখন থাকবে//অবাক বোধ করতে"
            },
            {
              "number": 5045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5045.mp3"
              ],
              "text": "إِنَّا لَمُغْرَمُونَ",
              "translate_bn": "বলবেঃ আমরা তো ঋণের চাপে পড়ে গেলাম;",
              "numberInSurah": 66,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ইন্না-লামুগরামূন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//لَمُغْرَمُوْنَۙ/لَمُغۡرَمُونَ/lamugh'ramuna",
              "words_bangla": "\"(বলবে) আমরা নিশ্চয়ই//অবশ্যই ঋণগ্রস্ত হয়েছি"
            },
            {
              "number": 5046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5046.mp3"
              ],
              "text": "بَلْ نَحْنُ مَحْرُومُونَ",
              "translate_bn": "বরং আমরা হূত সর্বস্ব হয়ে পড়লাম।",
              "numberInSurah": 67,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "বাল নাহনুমাহরূমূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//نَحْنُ/نَحۡنُ/nahnu//مَحْرُوْمُوْنَ /مَحۡرُومُونَ/mahrumuna",
              "words_bangla": "বরং//আমরা//বঞ্চিত হয়েছি\""
            },
            {
              "number": 5047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5047.mp3"
              ],
              "text": "أَفَرَءَيْتُمُ ٱلْمَآءَ ٱلَّذِى تَشْرَبُونَ",
              "translate_bn": "তোমরা যে পানি পান কর, সে সম্পর্কে ভেবে দেখেছ কি?",
              "numberInSurah": 68,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতুমুল মাআল্লাযী তাশরাবূন।",
              "words_arabic": "اَفَرَءَیْتُمُ/أَفَرَءَيۡتُمُ/afara-aytumu//الْمَآءَ/ٱلۡمَآءَ/al-maa//الَّذِیْ/ٱلَّذِي/alladhi//تَشْرَبُوْنَؕ/تَشۡرَبُونَ/tashrabuna",
              "words_bangla": "তোমরা তবে কি (ভেবে) দেখেছ//পানি (সম্পর্কে)//যা//তোমরা পান কর"
            },
            {
              "number": 5048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5048.mp3"
              ],
              "text": "ءَأَنتُمْ أَنزَلْتُمُوهُ مِنَ ٱلْمُزْنِ أَمْ نَحْنُ ٱلْمُنزِلُونَ",
              "translate_bn": "তোমরা তা মেঘ থেকে নামিয়ে আন, না আমি বর্ষন করি?",
              "numberInSurah": 69,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আ আনতুম আনঝালতুমূহু মিনাল মুঝনি আম নাহনুল মুনঝিলূন।",
              "words_arabic": "ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//اَنْزَلْتُمُوْهُ/أَنزَلۡتُمُوهُ/anzaltumuhu//مِنَ/مِنَ/mina//الْمُزْنِ/ٱلۡمُزۡنِ/al-muz'ni//اَمْ/أَمۡ/am//نَحْنُ/نَحۡنُ/nahnu//الْمُنْزِلُوْنَ /ٱلۡمُنزِلُونَ/al-munziluna",
              "words_bangla": "তোমরা কি//তা নামিয়ে আন//থেকে//মেঘ//না//আমরা//বর্ষণকারী"
            },
            {
              "number": 5049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5049.mp3"
              ],
              "text": "لَوْ نَشَآءُ جَعَلْنَٰهُ أُجَاجًۭا فَلَوْلَا تَشْكُرُونَ",
              "translate_bn": "আমি ইচ্ছা করলে তাকে লোনা করে দিতে পারি, অতঃপর তোমরা কেন কৃতজ্ঞতা প্রকাশ কর না?",
              "numberInSurah": 70,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "লাও নাশাউ জা‘আলনা-হু উজা-জান ফালাওলা-তাশকুরূন।",
              "words_arabic": "لَوْ/لَوۡ/law//نَشَآءُ/نَشَآءُ/nashau//جَعَلْنٰهُ/جَعَلۡنَٰهُ/ja'alnahu//اُجَاجًا/أُجَاجٗا/ujajan//فَلَوْ لَا/فَلَوۡلَا/falawla//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "যদি//চাই আমরা//তা আমরা করতে পারি//লোনা//কেন তাহলে না//তোমরা কৃতজ্ঞতা প্রকাশ কর"
            },
            {
              "number": 5050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5050.mp3"
              ],
              "text": "أَفَرَءَيْتُمُ ٱلنَّارَ ٱلَّتِى تُورُونَ",
              "translate_bn": "তোমরা যে অগ্নি প্রজ্জ্বলিত কর, সে সম্পর্কে ভেবে দেখেছ কি?",
              "numberInSurah": 71,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আফারাআইতুমুন্না-রাল্লাতী তূরূন।",
              "words_arabic": "اَفَرَءَیْتُمُ/أَفَرَءَيۡتُمُ/afara-aytumu//النَّارَ/ٱلنَّارَ/al-nara//الَّتِیْ/ٱلَّتِي/allati//تُوْرُوْنَؕ/تُورُونَ/turuna",
              "words_bangla": "তোমরা তবে কি (ভেবে) দেখেছ//আগুন (সম্পর্কে)//যা//তোমরা জ্বালাও"
            },
            {
              "number": 5051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5051.mp3"
              ],
              "text": "ءَأَنتُمْ أَنشَأْتُمْ شَجَرَتَهَآ أَمْ نَحْنُ ٱلْمُنشِـُٔونَ",
              "translate_bn": "তোমরা কি এর বৃক্ষ সৃষ্টি করেছ, না আমি সৃষ্টি করেছি ?",
              "numberInSurah": 72,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "আ আনতুম আনশা’তুম শাজারাতাহাআম নাহনুল মুনশিঊন।",
              "words_arabic": "ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//اَنْشَاْتُمْ/أَنشَأۡتُمۡ/anshatum//شَجَرَتَهَاۤ/شَجَرَتَهَآ/shajarataha//اَمْ/أَمۡ/am//نَحْنُ/نَحۡنُ/nahnu//الْمُنْشِـُٔوْنَ /ٱلۡمُنشِـُٔونَ/al-munshiuna",
              "words_bangla": "তোমরা কি//তোমরাই সৃষ্টি করেছ//তার গাছকে//না//আমরা//স্রষ্টা"
            },
            {
              "number": 5052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5052.mp3"
              ],
              "text": "نَحْنُ جَعَلْنَٰهَا تَذْكِرَةًۭ وَمَتَٰعًۭا لِّلْمُقْوِينَ",
              "translate_bn": "আমি সেই বৃক্ষকে করেছি স্মরণিকা এবং মরুবাসীদের জন্য সামগ্রী।",
              "numberInSurah": 73,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "নাহনুজা‘আলনা-হা-তাযকিরাতাওঁওয়া মাতা-‘আল লিলমুকবিন।",
              "words_arabic": "نَحْنُ/نَحۡنُ/nahnu//جَعَلْنٰهَا/جَعَلۡنَٰهَا/ja'alnaha//تَذْكِرَةً/تَذۡكِرَةٗ/tadhkiratan//وَّ مَتَاعًا/وَمَتَٰعٗا/wamata'an//لِّلْمُقْوِیْنَۚ/لِّلۡمُقۡوِينَ/lil'muq'wina",
              "words_bangla": "আমরা//তা আমরা বানিয়েছি//স্মরণীয় নিদর্শন//ও জীবনোপকরণ (হিসেবে)//(মরুচারী) মুসাফিরদের জন্যে"
            },
            {
              "number": 5053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5053.mp3"
              ],
              "text": "فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ",
              "translate_bn": "অতএব, আপনি আপনার মহান পালনকর্তার নামে পবিত্রতা ঘোষণা করুন।",
              "numberInSurah": 74,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 470,
              "hizbQuarter": 214,
              "sajda": false,
              "pronunciation_bn": "ফাছাববিহবিছমি রাব্বিকাল ‘আজীম।",
              "words_arabic": "فَسَبِّحْ/فَسَبِّحۡ/fasabbih//بِاسْمِ/بِٱسۡمِ/bi-is'mi//رَبِّكَ/رَبِّكَ/rabbika//الْعَظِیْمِ۠/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "অতএব তুমি পবিত্রতা ঘোষণা করো//নামের//তোমার রবের//মহান"
            },
            {
              "number": 5054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5054.mp3"
              ],
              "text": "۞ فَلَآ أُقْسِمُ بِمَوَٰقِعِ ٱلنُّجُومِ",
              "translate_bn": "অতএব, আমি তারকারাজির অস্তাচলের শপথ করছি,",
              "numberInSurah": 75,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফালাউকছিমুবিমাওয়া-কি‘ইননুজূম।",
              "words_arabic": "فَلَاۤ/۞فَلَآ/fala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِمَوٰقِعِ/بِمَوَٰقِعِ/bimawaqi'i//النُّجُوْمِۙ/ٱلنُّجُومِ/al-nujumi",
              "words_bangla": "অতঃপর না//শপথ করছি আমি//অস্ত যাওয়ার স্থানের//তারকা গুলোর"
            },
            {
              "number": 5055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5055.mp3"
              ],
              "text": "وَإِنَّهُۥ لَقَسَمٌۭ لَّوْ تَعْلَمُونَ عَظِيمٌ",
              "translate_bn": "নিশ্চয় এটা এক মহা শপথ-যদি তোমরা জানতে।",
              "numberInSurah": 76,
              "juz": 27,
              "manzil": 7,
              "page": 536,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাকাছামুল লাও তা‘লামূনা ‘আজীম।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَقَسَمٌ/لَقَسَمٞ/laqasamun//لَّوْ/لَّوۡ/law//تَعْلَمُوْنَ/تَعۡلَمُونَ/ta'lamuna//عَظِیْمٌۙ/عَظِيمٌ/azimun",
              "words_bangla": "এবং তা নিশ্চয়ই//শপথ অবশ্যই//যদি//তোমরা জান//(শপথ) বিরাট"
            },
            {
              "number": 5056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5056.mp3"
              ],
              "text": "إِنَّهُۥ لَقُرْءَانٌۭ كَرِيمٌۭ",
              "translate_bn": "নিশ্চয় এটা সম্মানিত কোরআন,",
              "numberInSurah": 77,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূলাকুরআ-নুন কারীম।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//لَقُرْاٰنٌ/لَقُرۡءَانٞ/laqur'anun//كَرِیْمٌۙ/كَرِيمٞ/karimun",
              "words_bangla": "তা নিশ্চয়ই//অবশ্যই কুরআন//মহা সম্মানিত"
            },
            {
              "number": 5057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5057.mp3"
              ],
              "text": "فِى كِتَٰبٍۢ مَّكْنُونٍۢ",
              "translate_bn": "যা আছে এক গোপন কিতাবে,",
              "numberInSurah": 78,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফী কিতা-বিম মাকনূন।",
              "words_arabic": "فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مَّكْنُوْنٍۙ/مَّكۡنُونٖ/maknunin",
              "words_bangla": "মধ্যে//কিতাবের//সুরক্ষিত"
            },
            {
              "number": 5058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5058.mp3"
              ],
              "text": "لَّا يَمَسُّهُۥٓ إِلَّا ٱلْمُطَهَّرُونَ",
              "translate_bn": "যারা পাক-পবিত্র, তারা ব্যতীত অন্য কেউ একে স্পর্শ করবে না।",
              "numberInSurah": 79,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়ামাছছুহূইল্লাল মুতাহহারূন।",
              "words_arabic": "لَّا/لَّا/la//یَمَسُّهٗۤ/يَمَسُّهُۥٓ/yamassuhu//اِلَّا/إِلَّا/illa//الْمُطَهَّرُوْنَؕ/ٱلۡمُطَهَّرُونَ/al-mutaharuna",
              "words_bangla": "না//তা স্পর্শ করতে পারে//এছাড়া//(যারা) পবিত্র"
            },
            {
              "number": 5059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5059.mp3"
              ],
              "text": "تَنزِيلٌۭ مِّن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "এটা বিশ্ব-পালনকর্তার পক্ষ থেকে অবতীর্ণ।",
              "numberInSurah": 80,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুম মির রাব্বিল ‘আ-লামীন।",
              "words_arabic": "تَنْزِیْلٌ/تَنزِيلٞ/tanzilun//مِّنْ/مِّن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "অবতীর্ণ//পক্ষ হতে//রবের//বিশ্বজগতের"
            },
            {
              "number": 5060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5060.mp3"
              ],
              "text": "أَفَبِهَٰذَا ٱلْحَدِيثِ أَنتُم مُّدْهِنُونَ",
              "translate_bn": "তবুও কি তোমরা এই বাণীর প্রতি শৈথিল্য পদর্শন করবে?",
              "numberInSurah": 81,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "আফা বিহা-যাল হাদীছিআনতুম মুদহিনূন।",
              "words_arabic": "اَفَبِهٰذَا/أَفَبِهَٰذَا/afabihadha//الْحَدِیْثِ/ٱلۡحَدِيثِ/al-hadithi//اَنْتُمْ/أَنتُم/antum//مُّدْهِنُوْنَۙ/مُّدۡهِنُونَ/mud'hinuna",
              "words_bangla": "তবুও কি এই//বাণী (সম্পর্কে)//তোমরা//তুচ্ছজ্ঞান করবে"
            },
            {
              "number": 5061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5061.mp3"
              ],
              "text": "وَتَجْعَلُونَ رِزْقَكُمْ أَنَّكُمْ تُكَذِّبُونَ",
              "translate_bn": "এবং একে মিথ্যা বলাকেই তোমরা তোমাদের ভূমিকায় পরিণত করবে?",
              "numberInSurah": 82,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাজ‘আলূনা রিঝকাকুম আন্নাকুম তুকাযযি বূন।",
              "words_arabic": "وَ تَجْعَلُوْنَ/وَتَجۡعَلُونَ/wataj'aluna//رِزْقَكُمْ/رِزۡقَكُمۡ/riz'qakum//اَنَّكُمْ/أَنَّكُمۡ/annakum//تُكَذِّبُوْنَ /تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "এবং তোমরা বানিয়ে নেবে//তোমাদের জীবিকা (এই নিয়ামত)//(এভাবে) যে তোমরা//মিথ্যা মনে করছ"
            },
            {
              "number": 5062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5062.mp3"
              ],
              "text": "فَلَوْلَآ إِذَا بَلَغَتِ ٱلْحُلْقُومَ",
              "translate_bn": "অতঃপর যখন কারও প্রাণ কন্ঠাগত হয়।",
              "numberInSurah": 83,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফালাও লাইযা-বালাগাতিল হুলকূম।",
              "words_arabic": "فَلَوْ لَاۤ/فَلَوۡلَآ/falawla//اِذَا/إِذَا/idha//بَلَغَتِ/بَلَغَتِ/balaghati//الْحُلْقُوْمَۙ/ٱلۡحُلۡقُومَ/al-hul'quma",
              "words_bangla": "তবে কেন নয়//যখন//পৌঁছাবে (প্রাণ)//কণ্ঠনালীতে"
            },
            {
              "number": 5063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5063.mp3"
              ],
              "text": "وَأَنتُمْ حِينَئِذٍۢ تَنظُرُونَ",
              "translate_bn": "এবং তোমরা তাকিয়ে থাক,",
              "numberInSurah": 84,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনতুম হীনাইযিন তানজু রূন।",
              "words_arabic": "وَ اَنْتُمْ/وَأَنتُمۡ/wa-antum//حِیْنَىِٕذٍ/حِينَئِذٖ/hina-idhin//تَنْظُرُوْنَۙ/تَنظُرُونَ/tanzuruna",
              "words_bangla": "এবং তোমরা//সে সময়//তাকিয়ে থাকবে"
            },
            {
              "number": 5064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5064.mp3"
              ],
              "text": "وَنَحْنُ أَقْرَبُ إِلَيْهِ مِنكُمْ وَلَٰكِن لَّا تُبْصِرُونَ",
              "translate_bn": "তখন আমি তোমাদের অপেক্ষা তার অধিক নিকটে থাকি; কিন্তু তোমরা দেখ না।",
              "numberInSurah": 85,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাহনুআকরাবুইলাইহি মিনকুম ওয়ালা-কিল্লা-তুবসিরূন।",
              "words_arabic": "وَ نَحْنُ/وَنَحۡنُ/wanahnu//اَقْرَبُ/أَقۡرَبُ/aqrabu//اِلَیْهِ/إِلَيۡهِ/ilayhi//مِنْكُمْ/مِنكُمۡ/minkum//وَ لٰكِنْ/وَلَٰكِن/walakin//لَّا/لَّا/la//تُبْصِرُوْنَ /تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "এবং আমরা//অধিকতর নিকটে//তার কাছে//তোমাদের চেয়ে//কিন্তু//না//তোমরা দেখতে পাও"
            },
            {
              "number": 5065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5065.mp3"
              ],
              "text": "فَلَوْلَآ إِن كُنتُمْ غَيْرَ مَدِينِينَ",
              "translate_bn": "যদি তোমাদের হিসাব-কিতাব না হওয়াই ঠিক হয়,",
              "numberInSurah": 86,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফালাওলাইন কুনতুম গাইরা মাদীনিন।",
              "words_arabic": "فَلَوْ لَاۤ/فَلَوۡلَآ/falawla//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//غَیْرَ/غَيۡرَ/ghayra//مَدِیْنِیْنَۙ/مَدِينِينَ/madinina",
              "words_bangla": "অতঃপর কেন//যদি//তোমরা হয়ে থাক//(এমন যে) নও//অধিনস্ত (কারও)"
            },
            {
              "number": 5066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5066.mp3"
              ],
              "text": "تَرْجِعُونَهَآ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "তবে তোমরা এই আত্মাকে ফিরাও না কেন, যদি তোমরা সত্যবাদী হও ?",
              "numberInSurah": 87,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "তার জি‘ঊনাহাইন কুনতুম সা-দিকীন।",
              "words_arabic": "تَرْجِعُوْنَهَاۤ/تَرۡجِعُونَهَآ/tarji'unaha//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "তা তোমরা ফিরিয়ে আন//যদি//তোমরা হও//সত্যবাদী"
            },
            {
              "number": 5067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5067.mp3"
              ],
              "text": "فَأَمَّآ إِن كَانَ مِنَ ٱلْمُقَرَّبِينَ",
              "translate_bn": "যদি সে নৈকট্যশীলদের একজন হয়;",
              "numberInSurah": 88,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাইন কা-না মিনাল মুকাররাবীন।",
              "words_arabic": "فَاَمَّاۤ/فَأَمَّآ/fa-amma//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُقَرَّبِیْنَۙ/ٱلۡمُقَرَّبِينَ/al-muqarabina",
              "words_bangla": "আর//যদি//সে হয়//অন্তর্ভুক্ত//নৈকট্য প্রাপ্তদের"
            },
            {
              "number": 5068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5068.mp3"
              ],
              "text": "فَرَوْحٌۭ وَرَيْحَانٌۭ وَجَنَّتُ نَعِيمٍۢ",
              "translate_bn": "তবে তার জন্যে আছে সুখ, উত্তম রিযিক এবং নেয়ামতে ভরা উদ্যান।",
              "numberInSurah": 89,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফারাওহুওঁ ওয়া রাই হা-নুওঁ ওয়া জান্নাতুনা‘ঈম।",
              "words_arabic": "فَرَوْحٌ/فَرَوۡحٞ/farawhun//وَّ رَیْحَانٌ ۙ۬/وَرَيۡحَانٞ/warayhanun//وَّ جَنَّتُ/وَجَنَّتُ/wajannatu//نَعِیْمٍ /نَعِيمٖ/na'imin",
              "words_bangla": "(তার জন্যে) তবে আরাম//ও উত্তম জীবনোপকরণ//এবং জন্নাত//সুখকর"
            },
            {
              "number": 5069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5069.mp3"
              ],
              "text": "وَأَمَّآ إِن كَانَ مِنْ أَصْحَٰبِ ٱلْيَمِينِ",
              "translate_bn": "আর যদি সে ডান পার্শ্বস্থদের একজন হয়,",
              "numberInSurah": 90,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাইন কা-না মিন আসহা-বিল ইয়ামীন।",
              "words_arabic": "وَ اَمَّاۤ/وَأَمَّآ/wa-amma//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//الْیَمِیْنِۙ/ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "আর//যদি//সে হয়//অন্তর্ভুক্ত//লোকদের//ডান হাতের"
            },
            {
              "number": 5070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5070.mp3"
              ],
              "text": "فَسَلَٰمٌۭ لَّكَ مِنْ أَصْحَٰبِ ٱلْيَمِينِ",
              "translate_bn": "তবে তাকে বলা হবেঃ তোমার জন্যে ডানপার্শ্বসস্থদের পক্ষ থেকে সালাম।",
              "numberInSurah": 91,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফাছালা-মুল্লাকা মিন আসহা-বিল ইয়ামীন।",
              "words_arabic": "فَسَلٰمٌ/فَسَلَٰمٞ/fasalamun//لَّكَ/لَّكَ/laka//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//الْیَمِیْنِؕ/ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "তবে (বলা হবে) সালাম//তোমার জন্য//অন্তর্ভুক্ত//লোকদের//ডান হাতের"
            },
            {
              "number": 5071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5071.mp3"
              ],
              "text": "وَأَمَّآ إِن كَانَ مِنَ ٱلْمُكَذِّبِينَ ٱلضَّآلِّينَ",
              "translate_bn": "আর যদি সে পথভ্রষ্ট মিথ্যারোপকারীদের একজন হয়,",
              "numberInSurah": 92,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাইন কা-না মিনাল মুকাযযি বীনাদ্দাল্লীন।",
              "words_arabic": "وَ اَمَّاۤ/وَأَمَّآ/wa-amma//اِنْ/إِن/in//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الْمُكَذِّبِیْنَ/ٱلۡمُكَذِّبِينَ/al-mukadhibina//الضَّآلِّیْنَۙ/ٱلضَّآلِّينَ/al-dalina",
              "words_bangla": "আর//যদি//সে হয়//অন্তর্ভুক্ত//মিথ্যারোপকারীদের//পথভ্রষ্টদের"
            },
            {
              "number": 5072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5072.mp3"
              ],
              "text": "فَنُزُلٌۭ مِّنْ حَمِيمٍۢ",
              "translate_bn": "তবে তার আপ্যায়ন হবে উত্তপ্ত পানি দ্বারা।",
              "numberInSurah": 93,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফানুঝুলুম মিন হামীম।",
              "words_arabic": "فَنُزُلٌ/فَنُزُلٞ/fanuzulun//مِّنْ/مِّنۡ/min//حَمِیْمٍۙ/حَمِيمٖ/hamimin",
              "words_bangla": "আপ্যায়ন তবে (হবে)//দিয়ে//ফুটন্ত পানির"
            },
            {
              "number": 5073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5073.mp3"
              ],
              "text": "وَتَصْلِيَةُ جَحِيمٍ",
              "translate_bn": "এবং সে নিক্ষিপ্ত হবে অগ্নিতে।",
              "numberInSurah": 94,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাসলিয়াতুজাহীম।",
              "words_arabic": "وَّ تَصْلِیَةُ/وَتَصۡلِيَةُ/watasliyatu//جَحِیْمٍ /جَحِيمٍ/jahimin",
              "words_bangla": "ও দগ্ধকরণ//জাহান্নামের"
            },
            {
              "number": 5074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5074.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَهُوَ حَقُّ ٱلْيَقِينِ",
              "translate_bn": "এটা ধ্রুব সত্য।",
              "numberInSurah": 95,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লাহুওয়া হাক্কুল ইয়াকীন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَهُوَ/لَهُوَ/lahuwa//حَقُّ/حَقُّ/haqqu//الْیَقِیْنِۚ/ٱلۡيَقِينِ/al-yaqini",
              "words_bangla": "নিশ্চয়ই//এটা//তা অবশ্যই//সত্য//ধ্রুব"
            },
            {
              "number": 5075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5075.mp3"
              ],
              "text": "فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ",
              "translate_bn": "অতএব, আপনি আপনার মহান পালনকর্তার নামে পবিত্রতা ঘোষণা করুন।",
              "numberInSurah": 96,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 471,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফাছাব্বিহবিছমি রাব্বিকাল ‘আজীম।",
              "words_arabic": "فَسَبِّحْ/فَسَبِّحۡ/fasabbih//بِاسْمِ/بِٱسۡمِ/bi-is'mi//رَبِّكَ/رَبِّكَ/rabbika//الْعَظِیْمِ۠/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "সুতরাং পবিত্রতা ঘোষণা করো//নামের//তোমার রবের//(যিনি) মহান"
            }
          ]
        },
        {
          "number": 57,
          "name": "سُورَةُ الحَدِيدِ",
          "englishName": "Al-Hadid",
          "englishNameTranslation": "The Iron",
          "revelationType": "Medinan",
          "verse": 29,
          "words": 1188,
          "chars": 5139,
          "ayahs": [
            {
              "number": 5076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5076.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলে যা কিছু আছে, সবাই আল্লাহর পবিত্রতা ঘোষণা করে। তিনি শক্তিধর; প্রজ্ঞাময়।",
              "numberInSurah": 1,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ছাব্বাহা লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়াল আরদি ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "سَبَّحَ/سَبَّحَ/sabbaha//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "মহিমা ঘোষণা করছে//আল্লাহ্‌রই জন্য//যা কিছু//মধ্যে আছে//আকাশের//ও পৃথিবীতে//এবং তিনি//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 5077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5077.mp3"
              ],
              "text": "لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ يُحْىِۦ وَيُمِيتُ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের রাজত্ব তাঁরই। তিনি জীবন দান করেন ও মৃত্যু ঘটান। তিনি সবকিছু করতে সক্ষম।",
              "numberInSurah": 2,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "লাহূমুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ইউহঈ ওয়া ইউমীতু ওয়া হুওয়া ‘আলাকুল্লি শাইয়িন কাদীর।",
              "words_arabic": "لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//یُحْیٖ/يُحۡيِۦ/yuh'yi//وَ یُمِیْتُ ۚ/وَيُمِيتُۖ/wayumitu//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "তাঁরই জন্যে//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//তিনি জীবন দান করেন//ও মৃত্যু ঘটান//এবং তিনিই//উপর//সব//কিছুরই//সর্বশক্তিমান"
            },
            {
              "number": 5078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5078.mp3"
              ],
              "text": "هُوَ ٱلْأَوَّلُ وَٱلْءَاخِرُ وَٱلظَّٰهِرُ وَٱلْبَاطِنُ ۖ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌ",
              "translate_bn": "তিনিই প্রথম, তিনিই সর্বশেষ, তিনিই প্রকাশমান ও অপ্রকাশমান এবং তিনি সব বিষয়ে সম্যক পরিজ্ঞাত।",
              "numberInSurah": 3,
              "juz": 27,
              "manzil": 7,
              "page": 537,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল আওওয়ালুওয়াল আ-খিরু ওয়াজ্জা-হিরুওয়াল বা-তিনু ওয়া হুওয়া বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "هُوَ/هُوَ/huwa//الْاَوَّلُ/ٱلۡأَوَّلُ/al-awalu//وَ الْاٰخِرُ/وَٱلۡأٓخِرُ/wal-akhiru//وَ الظَّاهِرُ/وَٱلظَّـٰهِرُ/wal-zahiru//وَ الْبَاطِنُ ۚ/وَٱلۡبَاطِنُۖ/wal-batinu//وَ هُوَ/وَهُوَ/wahuwa//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "তিনিই//প্রথম//ও (তিনিই) শেষ//এবং (তিনিই) ব্যক্ত//ও তিনিই অব্যক্ত//এবং তিনিই//সব সম্বন্ধে//কিছু//খুব অবহিত"
            },
            {
              "number": 5079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5079.mp3"
              ],
              "text": "هُوَ ٱلَّذِى خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍۢ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۚ يَعْلَمُ مَا يَلِجُ فِى ٱلْأَرْضِ وَمَا يَخْرُجُ مِنْهَا وَمَا يَنزِلُ مِنَ ٱلسَّمَآءِ وَمَا يَعْرُجُ فِيهَا ۖ وَهُوَ مَعَكُمْ أَيْنَ مَا كُنتُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "তিনি নভোমন্ডল ও ভূ-মন্ডল সৃষ্টি করেছেন ছয়দিনে, অতঃপর আরশের উপর সমাসীন হয়েছেন। তিনি জানেন যা ভূমিতে প্রবেশ করে ও যা ভূমি থেকে নির্গত হয় এবং যা আকাশ থেকে বর্ষিত হয় ও যা আকাশে উত্থিত হয়। তিনি তোমাদের সাথে আছেন তোমরা যেখানেই থাক। তোমরা যা কর, আল্লাহ তা দেখেন।",
              "numberInSurah": 4,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীখালাকাছছামা-ওয়া-তি ওয়াল আরদাফী ছিত্তাতি আইয়া-মিন ছু ম্মাছতাওয়া‘আলাল ‘আরশি ইয়া‘লামুমা-ইয়ালিজূফিল আরদিওয়ামা-ইয়াখরুজূমিনহা-ওয়ামাইয়ানঝিলুমিনাছ ছামাই ওয়ামা-ওয়া‘রুজূফীহা- ওয়া হুওয়া মা‘আকুম আইনামাকুনতুম ওয়াল্লা-হু বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//فِیْ/فِي/fi//سِتَّةِ/سِتَّةِ/sittati//اَیَّامٍ/أَيَّامٖ/ayyamin//ثُمَّ/ثُمَّ/thumma//اسْتَوٰی/ٱسۡتَوَىٰ/is'tawa//عَلَی/عَلَى/ala//الْعَرْشِ ؕ/ٱلۡعَرۡشِۖ/al-'arshi//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//یَلِجُ/يَلِجُ/yaliju//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ مَا/وَمَا/wama//یَخْرُجُ/يَخۡرُجُ/yakhruju//مِنْهَا/مِنۡهَا/min'ha//وَ مَا/وَمَا/wama//یَنْزِلُ/يَنزِلُ/yanzilu//مِنَ/مِنَ/mina//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ مَا/وَمَا/wama//یَعْرُجُ/يَعۡرُجُ/ya'ruju//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ هُوَ/وَهُوَ/wahuwa//مَعَكُمْ/مَعَكُمۡ/ma'akum//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كُنْتُمْ ؕ/كُنتُمۡۚ/kuntum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "তিনিই//যিনি//সৃষ্টি করেছেন//আকাশ সমুহকে//ও পৃথিবীকে//মধ্যে//ছয়//দিনের//অতঃপর//সমাসীন হন//উপর//আরশের//তিনি জানেন//যা কিছু//ঢোকে//মধ্যে//মাটির//এবং যা//বের হয়//তা থেকে//এবং যা কিছু//নামে//হতে//আকাশ//ও যা কিছু//উঠে//তার মধ্য হতে//এবং তিনি (আছেন)//তোমাদের সাথে//যেখানেই//যা//তোমরা থাক//এবং আল্লাহ্‌//ঐ সম্বন্ধে যা//তোমরা কাজ করছ//খুব দেখেন"
            },
            {
              "number": 5080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5080.mp3"
              ],
              "text": "لَّهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলের রাজত্ব তাঁরই। সবকিছু তাঁরই দিকে প্রত্যাবর্তন করবে।",
              "numberInSurah": 5,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "লাহূমুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়া ইলাল্লা-হি তুর জা‘উল উমূর।",
              "words_arabic": "لَهٗ/لَّهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ اِلَی/وَإِلَى/wa-ila//اللّٰهِ/ٱللَّهِ/al-lahi//تُرْجَعُ/تُرۡجَعُ/tur'ja'u//الْاُمُوْرُ /ٱلۡأُمُورُ/al-umuru",
              "words_bangla": "তাঁরই জন্যে//সার্বভৌমত্ব//আকাশের//ও পৃথিবীর//এবং দিকে//আল্লাহ্‌রই//প্রত্যাবর্তিত হয়//(সমস্ত) সব বিষয়"
            },
            {
              "number": 5081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5081.mp3"
              ],
              "text": "يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ ۚ وَهُوَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "তিনি রাত্রিকে দিবসে প্রবিষ্ট করেন এবং দিবসকে প্রবিষ্ট করেন রাত্রিতে। তিনি অন্তরের বিষয়াদি সম্পর্কেও সম্যক জ্ঞাত।",
              "numberInSurah": 6,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইঊলিজূল লাইলা ফিন্নাহা-রি ওয়া ইঊলিজূন্নাহা-রা ফিল্লাইলি ওয়া হুওয়া ‘আলীমুম বিযাতিসসুদূ র।",
              "words_arabic": "یُوْلِجُ/يُولِجُ/yuliju//الَّیْلَ/ٱلَّيۡلَ/al-layla//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//وَ یُوْلِجُ/وَيُولِجُ/wayuliju//النَّهَارَ/ٱلنَّهَارَ/al-nahara//فِی/فِي/fi//الَّیْلِ ؕ/ٱلَّيۡلِۚ/al-layli//وَ هُوَ/وَهُوَ/wahuwa//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "তিনি প্রবেশ করান//রাতকে//মধ্যে//দিনের//ও প্রবেশ করান//দিনকে//মধ্যে//রাতের//এবং তিনিই//খুব অবহিত//অবস্থা সম্বন্ধে//অন্তর সমূহের"
            },
            {
              "number": 5082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5082.mp3"
              ],
              "text": "ءَامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَأَنفِقُوا۟ مِمَّا جَعَلَكُم مُّسْتَخْلَفِينَ فِيهِ ۖ فَٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَأَنفَقُوا۟ لَهُمْ أَجْرٌۭ كَبِيرٌۭ",
              "translate_bn": "তোমরা আল্লাহ ও তাঁর রসূলের প্রতি বিশ্বাস স্থাপন কর এবং তিনি তোমাদেরকে যার উত্তরাধিকারী করেছেন, তা থেকে ব্যয় কর। অতএব, তোমাদের মধ্যে যারা বিশ্বাস স্থাপন করে ও ব্যয় করে, তাদের জন্যে রয়েছে মহাপুরস্কার।",
              "numberInSurah": 7,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "আ-মিনূবিল্লা-হি ওয়া রাছূলিহী ওয়া আনফিকূমিম্মা-জা‘আলাকুম মুছতাখলাফীনা ফীহি ফাল্লাযীনা আ-মানূমিনকুম ওয়া আনফাকূলাহুম আজরুন কাবীর।\r\n",
              "words_arabic": "اٰمِنُوْا/ءَامِنُواْ/aminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ اَنْفِقُوْا/وَأَنفِقُواْ/wa-anfiqu//مِمَّا/مِمَّا/mimma//جَعَلَكُمْ/جَعَلَكُم/ja'alakum//مُّسْتَخْلَفِیْنَ/مُّسۡتَخۡلَفِينَ/mus'takhlafina//فِیْهِ ؕ/فِيهِۖ/fihi//فَالَّذِیْنَ/فَٱلَّذِينَ/fa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْكُمْ/مِنكُمۡ/minkum//وَ اَنْفَقُوْا/وَأَنفَقُواْ/wa-anfaqu//لَهُمْ/لَهُمۡ/lahum//اَجْرٌ/أَجۡرٞ/ajrun//كَبِیْرٌ /كَبِيرٞ/kabirun",
              "words_bangla": "তোমরা ঈমান আন//আল্লাহ্‌র উপর//ও তাঁর রাসূলের উপর//এবং তোমরা খরচ করো//তা হতে//তোমাদের করেছেন//উত্তরাধিকারী//যাতে//অতঃএব যারা//ঈমান আনে//তোমাদের মধ্যে হতে//ও খরচ করে//তাদের জন্য (রয়েছে)//পুরস্কার//বড়"
            },
            {
              "number": 5083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5083.mp3"
              ],
              "text": "وَمَا لَكُمْ لَا تُؤْمِنُونَ بِٱللَّهِ ۙ وَٱلرَّسُولُ يَدْعُوكُمْ لِتُؤْمِنُوا۟ بِرَبِّكُمْ وَقَدْ أَخَذَ مِيثَٰقَكُمْ إِن كُنتُم مُّؤْمِنِينَ",
              "translate_bn": "তোমাদের কি হল যে, তোমরা আল্লাহর প্রতি বিশ্বাস স্থাপন করছ না, অথচ রসূল তোমাদেরকে তোমাদের পালনকর্তার প্রতি বিশ্বাস স্থাপন করার দাওয়াত দিচ্ছেন? আল্লাহ তো পূর্বেই তোমাদের অঙ্গীকার নিয়েছেন-যদি তোমরা বিশ্বাসী হও।",
              "numberInSurah": 8,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাকুম লা-তু’মিনূনা বিল্লা-হি ওয়াররাছূলুইয়াদ‘ঊকুম লিতু’মিনূবিরাব্বিকুম ওয়া কাদ আখাযা মীছা-কাকুম ইন কুনতুম মু’মিনীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَكُمْ/لَكُمۡ/lakum//لَا/لَا/la//تُؤْمِنُوْنَ/تُؤۡمِنُونَ/tu'minuna//بِاللّٰهِ ۚ/بِٱللَّهِ/bil-lahi//وَ الرَّسُوْلُ/وَٱلرَّسُولُ/wal-rasulu//یَدْعُوْكُمْ/يَدۡعُوكُمۡ/yad'ukum//لِتُؤْمِنُوْا/لِتُؤۡمِنُواْ/litu'minu//بِرَبِّكُمْ/بِرَبِّكُمۡ/birabbikum//وَ قَدْ/وَقَدۡ/waqad//اَخَذَ/أَخَذَ/akhadha//مِیْثَاقَكُمْ/مِيثَٰقَكُمۡ/mithaqakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُم/kuntum//مُّؤْمِنِیْنَ /مُّؤۡمِنِينَ/mu'minina",
              "words_bangla": "এবং কি হয়েছে//তোমাদের//(যে) না//তোমরা ঈমান আন//আল্লাহ্‌র উপর//অথচ রাসূল//তোমাদেরকে ডাকছেন//তোমরা ঈমান যেন আন//তোমার রবের উপর//এবং নিশ্চয়ই//তিনি নিয়েছেন//তোমাদের প্রতিশ্রুতি//যদি//তোমরা হও//মুমিন"
            },
            {
              "number": 5084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5084.mp3"
              ],
              "text": "هُوَ ٱلَّذِى يُنَزِّلُ عَلَىٰ عَبْدِهِۦٓ ءَايَٰتٍۭ بَيِّنَٰتٍۢ لِّيُخْرِجَكُم مِّنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ ۚ وَإِنَّ ٱللَّهَ بِكُمْ لَرَءُوفٌۭ رَّحِيمٌۭ",
              "translate_bn": "তিনিই তাঁর দাসের প্রতি প্রকাশ্য আয়াত অবতীর্ণ করেন, যাতে তোমাদেরকে অন্ধকার থেকে আলোকে আনয়ন করেন। নিশ্চয় আল্লাহ তোমাদের প্রতি করুণাময়, পরম দয়ালু।",
              "numberInSurah": 9,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী ইউনাঝঝিলু‘আলা-‘আবদিহীআ-য়া-তিম বাইয়িনা-তিল লিইউখরিজাকুম মিনাজ্জুলুমা-তি ইলান নূরি ওয়া ইন্নাল্লা-হা বিকুম লারাঊফুর রাহীম।\r\n",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//یُنَزِّلُ/يُنَزِّلُ/yunazzilu//عَلٰی/عَلَىٰ/ala//عَبْدِهٖۤ/عَبۡدِهِۦٓ/abdihi//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ/بَيِّنَٰتٖ/bayyinatin//لِّیُخْرِجَكُمْ/لِّيُخۡرِجَكُم/liyukh'rijakum//مِّنَ/مِّنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ؕ/ٱلنُّورِۚ/al-nuri//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُمْ/بِكُمۡ/bikum//لَرَءُوْفٌ/لَرَءُوفٞ/laraufun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "তিনিই (সেই আল্লাহ্‌)//যিনি//অবতীর্ণ করেছেন//উপর//তাঁর বান্দার/ দাসের//আয়াত সমূহ//সুস্পষ্ট//তোমাদের বের করার জন্যে//হতে//অন্ধকারসমূহ//দিকে//আলোর//এবং নিশ্চয়ই//আল্লাহ্‌//তোমাদের উপর//অবশ্যই করুণাময়//পরম দয়ালু"
            },
            {
              "number": 5085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5085.mp3"
              ],
              "text": "وَمَا لَكُمْ أَلَّا تُنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ وَلِلَّهِ مِيرَٰثُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ لَا يَسْتَوِى مِنكُم مَّنْ أَنفَقَ مِن قَبْلِ ٱلْفَتْحِ وَقَٰتَلَ ۚ أُو۟لَٰٓئِكَ أَعْظَمُ دَرَجَةًۭ مِّنَ ٱلَّذِينَ أَنفَقُوا۟ مِنۢ بَعْدُ وَقَٰتَلُوا۟ ۚ وَكُلًّۭا وَعَدَ ٱللَّهُ ٱلْحُسْنَىٰ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "তোমাদেরকে আল্লাহর পথে ব্যয় করতে কিসে বাধা দেয়, যখন আল্লাহই নভোমন্ডল ও ভূমন্ডলের উত্তরাধিকারী? তোমাদের মধ্যে যে মক্কা বিজয়ের পূর্বে ব্যয় করেছে ও জেহাদ করেছে, সে সমান নয়। এরূপ লোকদের মর্যদা বড় তাদের অপেক্ষা, যার পরে ব্যয় করেছে ও জেহাদ করেছে। তবে আল্লাহ উভয়কে কল্যাণের ওয়াদা দিয়েছেন। তোমরা যা কর, আল্লাহ সে সম্পর্কে সম্যক জ্ঞাত।",
              "numberInSurah": 10,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 472,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লাকুম আল্লা-তুনফিকূফী ছাবীলিল্লা-হি ওয়া লিল্লা-হি মীরা-ছু ছ ছামা-ওয়া-তি ওয়াল আরদি লা-ইয়াছতাবী মিনকুম মান আনফাকা মিন কাবলিল ফাতহিওয়া কাতালা উলাইকা আ‘জামুদারাজাতাম মিনাল্লাযীনা আনফাকূমিম বা‘দুওয়া কা-তালূ ওয়া কুল্লাওঁ ওয়া‘আদাল্লা-হুল হুছনা- ওয়াল্লা-হু বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَكُمْ/لَكُمۡ/lakum//اَلَّا/أَلَّا/alla//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//مِیْرَاثُ/مِيرَٰثُ/mirathu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//لَا/لَا/la//یَسْتَوِیْ/يَسۡتَوِي/yastawi//مِنْكُمْ/مِنكُم/minkum//مَّنْ/مَّنۡ/man//اَنْفَقَ/أَنفَقَ/anfaqa//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//الْفَتْحِ/ٱلۡفَتۡحِ/al-fathi//وَ قٰتَلَ ؕ/وَقَٰتَلَۚ/waqatala//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَعْظَمُ/أَعۡظَمُ/a'zamu//دَرَجَةً/دَرَجَةٗ/darajatan//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَنْفَقُوْا/أَنفَقُواْ/anfaqu//مِنْۢ/مِنۢ/min//بَعْدُ/بَعۡدُ/ba'du//وَ قٰتَلُوْاؕ/وَقَٰتَلُواْۚ/waqatalu//وَ كُلًّا/وَكُلّٗا/wakullan//وَّعَدَ/وَعَدَ/wa'ada//اللّٰهُ/ٱللَّهُ/al-lahu//الْحُسْنٰی ؕ/ٱلۡحُسۡنَىٰۚ/al-hus'na//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ۠/خَبِيرٞ/khabirun",
              "words_bangla": "এবং কি//তোমাদের হয়েছে//যে না//তোমরা ব্যয় করছ//মধ্যে//পথের//আল্লাহ্‌র//অথচ আল্লাহ্‌রই জন্য//উত্তারাধিকার (অর্থাৎ মালিকানা)//আকাশের//ও পৃথিবীর//নয়//সমান//তোমাদের মধ্য হতে//যে//ব্যয় করেছে//মধ্য হতে//পূর্বে//বিজয়ের//এবং জিহাদ করেছে//ঐসব লোক//শ্রেস্ততর//মর্যাদায়//(তাদের) চেয়ে//যারা//ব্যয় করেছে//মধ্য হতে//(বিজয়ের) পরে//ও যুদ্ধ করেছে//তবে প্রত্যেককে//প্রতিশ্রুতি দিয়েছেন//আল্লাহ্‌//কল্যাণকর//এবং আল্লাহ্‌//ঐ বিষয়ে যা//তোমরা কাজ করছ//খুব অবগত"
            },
            {
              "number": 5086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5086.mp3"
              ],
              "text": "مَّن ذَا ٱلَّذِى يُقْرِضُ ٱللَّهَ قَرْضًا حَسَنًۭا فَيُضَٰعِفَهُۥ لَهُۥ وَلَهُۥٓ أَجْرٌۭ كَرِيمٌۭ",
              "translate_bn": "কে সেই ব্যক্তি, যে আল্লাহকে উত্তম ধার দিবে, এরপর তিনি তার জন্যে তা বহুগুণে বৃদ্ধি করবেন এবং তার জন্যে রয়েছে সম্মানিত পুরস্কার।",
              "numberInSurah": 11,
              "juz": 27,
              "manzil": 7,
              "page": 538,
              "ruku": 473,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "মান যাল্লাযী ইউকরিদু ল্লা-হা কারদান হাছানান ফাইউদা-‘ইফাহূলাহূওয়া লাহূ আজরুন কারীম।",
              "words_arabic": "مَنْ/مَّن/man//ذَا/ذَا/dha//الَّذِیْ/ٱلَّذِي/alladhi//یُقْرِضُ/يُقۡرِضُ/yuq'ridu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا/حَسَنٗا/hasanan//فَیُضٰعِفَهٗ/فَيُضَٰعِفَهُۥ/fayuda'ifahu//لَهٗ/لَهُۥ/lahu//وَ لَهٗۤ/وَلَهُۥٓ/walahu//اَجْرٌ/أَجۡرٞ/ajrun//كَرِیْمٌۚ/كَرِيمٞ/karimun",
              "words_bangla": "কে (আছে)//সেই (ব্যক্তি)//যে//ঋণ দেবে//আল্লাহকে//ঋণ//উত্তম//অতঃপর তা বহুগুণ বৃদ্ধি করবেন//তার জন্যে//এবং তার জন্যে//পুরস্কার (আছে)//সম্মানজনক"
            },
            {
              "number": 5087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5087.mp3"
              ],
              "text": "يَوْمَ تَرَى ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ يَسْعَىٰ نُورُهُم بَيْنَ أَيْدِيهِمْ وَبِأَيْمَٰنِهِم بُشْرَىٰكُمُ ٱلْيَوْمَ جَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "যেদিন আপনি দেখবেন ঈমানদার পুরুষ ও ঈমানদার নারীদেরকে, তাদের সম্মুখ ভাগে ও ডানপার্শ্বে তাদের জ্যোতি ছুটোছুটি করবে বলা হবেঃ আজ তোমাদের জন্যে সুসংবাদ জান্নাতের, যার তলদেশে নদী প্রবাহিত, তাতে তারা চিরকাল থাকবে। এটাই মহাসাফল্য।",
              "numberInSurah": 12,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তারাল মু’মিনীনা ওয়াল মুমিনা-তি ইয়াছ‘আ-নূরুহুম বাইনা আইদীহিম ওয়া বিআইমানিহিম বুশরা-কুমুল ইয়াওমা জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা- যা-লিকা হুওয়াল ফাওঝুল ‘আজীম।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَرَی/تَرَى/tara//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//یَسْعٰی/يَسۡعَىٰ/yas'a//نُوْرُهُمْ/نُورُهُم/nuruhum//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ بِاَیْمَانِهِمْ/وَبِأَيۡمَٰنِهِمۖ/wabi-aymanihim//بُشْرٰىكُمُ/بُشۡرَىٰكُمُ/bush'rakumu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//جَنّٰتٌ/جَنَّـٰتٞ/jannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//ذٰلِكَ/ذَٰلِكَ/dhalika//هُوَ/هُوَ/huwa//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُۚ/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "সেদিন//তুমি দেখবে//মুমিন পুরুষকে//ও মুমিন নারীকে//ছুটে চলছে//তাদের আলো//তাদের সামনে//তাদের সামনে//ও তাদের ডানে//\"(বলা হবে) তোমাদের জন্যে সুসংবাদ//আজ//এক জান্নাতের//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাসমূহ//তারা স্থায়ী হবে//তার মধ্যে//এটাই//সেই//সাফল্য//মহা\""
            },
            {
              "number": 5088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5088.mp3"
              ],
              "text": "يَوْمَ يَقُولُ ٱلْمُنَٰفِقُونَ وَٱلْمُنَٰفِقَٰتُ لِلَّذِينَ ءَامَنُوا۟ ٱنظُرُونَا نَقْتَبِسْ مِن نُّورِكُمْ قِيلَ ٱرْجِعُوا۟ وَرَآءَكُمْ فَٱلْتَمِسُوا۟ نُورًۭا فَضُرِبَ بَيْنَهُم بِسُورٍۢ لَّهُۥ بَابٌۢ بَاطِنُهُۥ فِيهِ ٱلرَّحْمَةُ وَظَٰهِرُهُۥ مِن قِبَلِهِ ٱلْعَذَابُ",
              "translate_bn": "যেদিন কপট বিশ্বাসী পুরুষ ও কপট বিশ্বাসিনী নারীরা মুমিনদেরকে বলবেঃ তোমরা আমাদের জন্যে অপেক্ষা কর, আমরাও কিছু আলো নিব তোমাদের জ্যোতি থেকে। বলা হবেঃ তোমরা পিছনে ফিরে যাও ও আলোর খোঁজ কর। অতঃপর উভয় দলের মাঝখানে খাড়া করা হবে একটি প্রাচীর, যার একটি দরজা হবে। তার অভ্যন্তরে থাকবে রহমত এবং বাইরে থাকবে আযাব।",
              "numberInSurah": 13,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াকূলুল মুনা-ফিকূনা ওয়াল মুনা-ফিকা-তুলিল্লাযীনা আ-মানুনজুরূনানাকতাবিছ মিন নূরিকুম কীলারজি‘ঊ ওয়া রাআকুম ফালতামিছূনূরান ফাদুরিবা বাইনাহুম বিছূরিল লাহূবা-ব বা-তিনুহূফীহির রাহমাতুওয়া জা-হিরুহূমিন কিবালিহিল ‘আযা-ব।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَقُوْلُ/يَقُولُ/yaqulu//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//وَ الْمُنٰفِقٰتُ/وَٱلۡمُنَٰفِقَٰتُ/wal-munafiqatu//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوا/ءَامَنُواْ/amanu//انْظُرُوْنَا/ٱنظُرُونَا/unzuruna//نَقْتَبِسْ/نَقۡتَبِسۡ/naqtabis//مِنْ/مِن/min//نُّوْرِكُمْ ۚ/نُّورِكُمۡ/nurikum//قِیْلَ/قِيلَ/qila//ارْجِعُوْا/ٱرۡجِعُواْ/ir'ji'u//وَرَآءَكُمْ/وَرَآءَكُمۡ/waraakum//فَالْتَمِسُوْا/فَٱلۡتَمِسُواْ/fal-tamisu//نُوْرًا ؕ/نُورٗاۖ/nuran//فَضُرِبَ/فَضُرِبَ/faduriba//بَیْنَهُمْ/بَيۡنَهُم/baynahum//بِسُوْرٍ/بِسُورٖ/bisurin//لَّهٗ/لَّهُۥ/lahu//بَابٌ ؕ/بَابُۢ/babun//بَاطِنُهٗ/بَاطِنُهُۥ/batinuhu//فِیْهِ/فِيهِ/fihi//الرَّحْمَةُ/ٱلرَّحۡمَةُ/al-rahmatu//وَ ظَاهِرُهٗ/وَظَٰهِرُهُۥ/wazahiruhu//مِنْ/مِن/min//قِبَلِهِ/قِبَلِهِ/qibalihi//الْعَذَابُؕ/ٱلۡعَذَابُ/al-'adhabu",
              "words_bangla": "সেদিন//বলবে//মোনাফেক পুরুষরা//ও মোনাফেক নারীরা//(তাদের) কে যারা//ঈমান এনেছিল//\"আমাদের দিকে একটু দেখ//(আলো নিয়ে) আমরা উপকৃত হব//হতে//তোমাদের আলো\"//বলা হবে//\"তোমরা ফিরে যাও//তোমাদের পিছনে//তোমরা অতঃপর খোঁজ করো//আলো\"//অতঃপর খাড়া করে দেওয়া হবে//তাদের মাঝে//প্রাচীর//তার থাকবে//একটি দরজা//তার ভিতর দিকে//সেখানে আছে//অনুগ্রহ//এবং তার বাইরে//হতে//তার সামনের দিক//শাস্তি"
            },
            {
              "number": 5089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5089.mp3"
              ],
              "text": "يُنَادُونَهُمْ أَلَمْ نَكُن مَّعَكُمْ ۖ قَالُوا۟ بَلَىٰ وَلَٰكِنَّكُمْ فَتَنتُمْ أَنفُسَكُمْ وَتَرَبَّصْتُمْ وَٱرْتَبْتُمْ وَغَرَّتْكُمُ ٱلْأَمَانِىُّ حَتَّىٰ جَآءَ أَمْرُ ٱللَّهِ وَغَرَّكُم بِٱللَّهِ ٱلْغَرُورُ",
              "translate_bn": "তারা মুমিনদেরকে ডেকে বলবেঃ আমরা কি তোমাদের সাথে ছিলাম না? তারা বলবেঃ হঁ্যা কিন্তু তোমরা নিজেরাই নিজেদেরকে বিপদগ্রস্ত করেছ। প্রতীক্ষা করেছ, সন্দেহ পোষণ করেছ এবং অলীক আশার পেছনে বিভ্রান্ত হয়েছ, অবশেষে আল্লাহর আদেশ পৌঁছেছে। এই সবই তোমাদেরকে আল্লাহ সম্পর্কে প্রতারিত করেছে।",
              "numberInSurah": 14,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ইউনা-দূ নাহুম আলাম নাকুম মা‘আকুম কা-লূবালা-ওয়ালা-কিন্নাকুম ফাতানতুম আনফুছাকুম ওয়া তারাব্বাসতুম ওয়ারতাবতুম ওয়া গাররাতকুমুল আমা-নিইয়ুহাত্তা-জাআ আমরুল্লা-হি ওয়া গাররাকুম বিল্লা-হিল গারূর।",
              "words_arabic": "یُنَادُوْنَهُمْ/يُنَادُونَهُمۡ/yunadunahum//اَلَمْ/أَلَمۡ/alam//نَكُنْ/نَكُن/nakun//مَّعَكُمْ ؕ/مَّعَكُمۡۖ/ma'akum//قَالُوْا/قَالُواْ/qalu//بَلٰی/بَلَىٰ/bala//وَ لٰكِنَّكُمْ/وَلَٰكِنَّكُمۡ/walakinnakum//فَتَنْتُمْ/فَتَنتُمۡ/fatantum//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//وَ تَرَبَّصْتُمْ/وَتَرَبَّصۡتُمۡ/watarabbastum//وَ ارْتَبْتُمْ/وَٱرۡتَبۡتُمۡ/wa-ir'tabtum//وَ غَرَّتْكُمُ/وَغَرَّتۡكُمُ/wagharratkumu//الْاَمَانِیُّ/ٱلۡأَمَانِيُّ/al-amaniyu//حَتّٰی/حَتَّىٰ/hatta//جَآءَ/جَآءَ/jaa//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//وَ غَرَّكُمْ/وَغَرَّكُم/wagharrakum//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الْغَرُوْرُ /ٱلۡغَرُورُ/al-gharuru",
              "words_bangla": "তাদেরকে ডেকে বলবে তারা//\"নয় কি//আমরা ছিলাম//তোমাদের সাথে\"//তারা বলবে//\"হ্যাঁ (তোমরা ছিলে)//কিন্তু তোমরা//তোমরা বিপদে ফেলেছিলে//তোমাদের নিজেদেরকে//এবং তোমরা অপেক্ষা করেছিলে//ও তোমরা সন্দেহ করেছিলে//এবং তোমাদেরকে ধোঁকা দিয়েছিল//মিথ্যা আকাঙ্ক্ষা//যতক্ষণ না//আসল//নির্দেশ//আল্লাহর//এবং তোমাদেরকে ধোঁকা দিয়েছিল//আল্লাহ্‌ সম্পর্কে//প্রতারক (শয়তান)"
            },
            {
              "number": 5090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5090.mp3"
              ],
              "text": "فَٱلْيَوْمَ لَا يُؤْخَذُ مِنكُمْ فِدْيَةٌۭ وَلَا مِنَ ٱلَّذِينَ كَفَرُوا۟ ۚ مَأْوَىٰكُمُ ٱلنَّارُ ۖ هِىَ مَوْلَىٰكُمْ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "অতএব, আজ তোমাদের কাছ থেকে কোন মুক্তিপন গ্রহণ করা হবে না। এবং কাফেরদের কাছ থেকেও নয়। তোমাদের সবার আবাস্থল জাহান্নাম। সেটাই তোমাদের সঙ্গী। কতই না নিকৃষ্ট এই প্রত্যাবর্তন স্থল।",
              "numberInSurah": 15,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 215,
              "sajda": false,
              "pronunciation_bn": "ফাল ইয়াওমা লা-ইউ’খাযুমিনকুম ফিদ ইয়াতুওঁ ওয়ালা-মিনাল্লাযীনা কাফারূ মা’ওয়াকুমুন্না-রু হিয়া মাওলা-কুম ওয়াবি’ছাল মাসীর।",
              "words_arabic": "فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//لَا/لَا/la//یُؤْخَذُ/يُؤۡخَذُ/yu'khadhu//مِنْكُمْ/مِنكُمۡ/minkum//فِدْیَةٌ/فِدۡيَةٞ/fid'yatun//وَّ لَا/وَلَا/wala//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا ؕ/كَفَرُواْۚ/kafaru//مَاْوٰىكُمُ/مَأۡوَىٰكُمُ/mawakumu//النَّارُ ؕ/ٱلنَّارُۖ/al-naru//هِیَ/هِيَ/hiya//مَوْلٰىكُمْ ؕ/مَوۡلَىٰكُمۡۖ/mawlakum//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "অতঃএব আজ//না//নেওয়া হবে//তোমাদের হতে//কোনো মুক্তিপণ//আর না//হতে//যারা//অস্বীকার করেছিল//তোমাদের আবাসস্থল//জাহান্নাম//তা//তোমাদের সঙ্গী//এবং অতি নিকৃষ্ট//প্রত্যাবর্তনস্থল"
            },
            {
              "number": 5091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5091.mp3"
              ],
              "text": "۞ أَلَمْ يَأْنِ لِلَّذِينَ ءَامَنُوٓا۟ أَن تَخْشَعَ قُلُوبُهُمْ لِذِكْرِ ٱللَّهِ وَمَا نَزَلَ مِنَ ٱلْحَقِّ وَلَا يَكُونُوا۟ كَٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ مِن قَبْلُ فَطَالَ عَلَيْهِمُ ٱلْأَمَدُ فَقَسَتْ قُلُوبُهُمْ ۖ وَكَثِيرٌۭ مِّنْهُمْ فَٰسِقُونَ",
              "translate_bn": "যারা মুমিন, তাদের জন্যে কি আল্লাহর স্মরণে এবং যে সত্য অবর্তীর্ণ হয়েছে, তার কারণে হৃদয় বিগলিত হওয়ার সময় আসেনি? তারা তাদের মত যেন না হয়, যাদেরকে পূর্বে কিতাব দেয়া হয়েছিল। তাদের উপর সুদীর্ঘকাল অতিক্রান্ত হয়েছে, অতঃপর তাদের অন্তঃকরণ কঠিন হয়ে গেছে। তাদের অধিকাংশই পাপাচারী।",
              "numberInSurah": 16,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া’নি লিল্লাযীনা আ-মানূআন তাখশা‘আ কুলূবুহুম লিযিকরিল্লা-হি ওয়ামানাঝালা মিনাল হাক্কি ওয়ালা-ইয়াকূনূকাল্লাযীনা ঊতুল কিতা-বা মিন কাবলুফাতালা ‘আলাইহিমুল আমাদুফাকাছাত কুলূবুহুম ওয়া কাছীরুম মিনহুম ফা-ছিকূন।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//یَاْنِ/يَأۡنِ/yani//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اَنْ/أَن/an//تَخْشَعَ/تَخۡشَعَ/takhsha'a//قُلُوْبُهُمْ/قُلُوبُهُمۡ/qulubuhum//لِذِكْرِ/لِذِكۡرِ/lidhik'ri//اللّٰهِ/ٱللَّهِ/al-lahi//وَ مَا/وَمَا/wama//نَزَلَ/نَزَلَ/nazala//مِنَ/مِنَ/mina//الْحَقِّ ۙ/ٱلۡحَقِّ/al-haqi//وَ لَا/وَلَا/wala//یَكُوْنُوْا/يَكُونُواْ/yakunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//فَطَالَ/فَطَالَ/fatala//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْاَمَدُ/ٱلۡأَمَدُ/al-amadu//فَقَسَتْ/فَقَسَتۡ/faqasat//قُلُوْبُهُمْ ؕ/قُلُوبُهُمۡۖ/qulubuhum//وَ كَثِیْرٌ/وَكَثِيرٞ/wakathirun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "নি কি (সে সময়)//সময় আসে//(তাদের) জন্যে যারা//ঈমান এনেছে//যে//বিগলিত হওয়ার//তাদের অন্তর গুলো//স্মরণে//আল্লাহ্‌র//এবং যা//অবতীর্ণ হয়েছে//থেকে//সত্য//এবং না//তারা হবে//(তাদের) মত যাদের//দেওয়া হয়েছিল//কিতাব//মধ্য হতে//ইতি পূর্বে//অতঃপর অতিবাহিত হল//তাদের উপর//বহুকাল//এখন শক্ত হয়ে গিয়েছে//তাদের অন্তরগুলো//এবং অধিকাংশই//তাদের মধ্য হতে//সত্যত্যাগী"
            },
            {
              "number": 5092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5092.mp3"
              ],
              "text": "ٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ قَدْ بَيَّنَّا لَكُمُ ٱلْءَايَٰتِ لَعَلَّكُمْ تَعْقِلُونَ",
              "translate_bn": "তোমরা জেনে রাখ, আল্লাহই ভূ-ভাগকে তার মৃত্যুর পর পুনরুজ্জীবিত করেন। আমি পরিস্কারভাবে তোমাদের জন্যে আয়াতগুলো ব্যক্ত করেছি, যাতে তোমরা বোঝ।",
              "numberInSurah": 17,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ই‘লামূআন্নাল্লা-হা ইউহয়িল আরদা বা‘দা মাওতিহা- কাদ বাইয়ান্না-লাকুমুল আ-য়াতি লা‘আল্লাকুম তা‘কিলূন।",
              "words_arabic": "اِعْلَمُوْۤا/ٱعۡلَمُوٓاْ/i'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یُحْیِ/يُحۡيِ/yuh'yi//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بَعْدَ/بَعۡدَ/ba'da//مَوْتِهَا ؕ/مَوۡتِهَاۚ/mawtiha//قَدْ/قَدۡ/qad//بَیَّنَّا/بَيَّنَّا/bayyanna//لَكُمُ/لَكُمُ/lakumu//الْاٰیٰتِ/ٱلۡأٓيَٰتِ/al-ayati//لَعَلَّكُمْ/لَعَلَّكُمۡ/la'allakum//تَعْقِلُوْنَ /تَعۡقِلُونَ/ta'qiluna",
              "words_bangla": "তোমরা জেনে রাখ//যে//আল্লাহ//জীবিত করেন//মাটিকে//পরে//তার মৃত্যুর//নিশ্চয়ই//আমরা বর্ণনা করেছি//তোমাদের জন্য//নিদর্শনগুলোকে//তোমরা সম্ভবত//বুঝতে পারবে"
            },
            {
              "number": 5093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5093.mp3"
              ],
              "text": "إِنَّ ٱلْمُصَّدِّقِينَ وَٱلْمُصَّدِّقَٰتِ وَأَقْرَضُوا۟ ٱللَّهَ قَرْضًا حَسَنًۭا يُضَٰعَفُ لَهُمْ وَلَهُمْ أَجْرٌۭ كَرِيمٌۭ",
              "translate_bn": "নিশ্চয় দানশীল ব্যক্তি ও দানশীলা নারী, যারা আল্লাহকে উত্তমরূপে ধার দেয়, তাদেরকে দেয়া হবে বহুগুণ এবং তাদের জন্যে রয়েছে সম্মানজনক পুরস্কার।",
              "numberInSurah": 18,
              "juz": 27,
              "manzil": 7,
              "page": 539,
              "ruku": 473,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুসসাদ্দিকীনা ওয়াল মুসসাদ্দিকা-তি ওয়া আকরাদুল্লা-হা কারদান হাছানাইঁ ইউদা-‘আফুলাহুম ওয়া লাহুম আজরুন কারীম।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُصَّدِّقِیْنَ/ٱلۡمُصَّدِّقِينَ/al-musadiqina//وَ الْمُصَّدِّقٰتِ/وَٱلۡمُصَّدِّقَٰتِ/wal-musadiqati//وَ اَقْرَضُوا/وَأَقۡرَضُواْ/wa-aqradu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا/حَسَنٗا/hasanan//یُّضٰعَفُ/يُضَٰعَفُ/yuda'afu//لَهُمْ/لَهُمۡ/lahum//وَ لَهُمْ/وَلَهُمۡ/walahum//اَجْرٌ/أَجۡرٞ/ajrun//كَرِیْمٌ /كَرِيمٞ/karimun",
              "words_bangla": "নিশ্চয়ই//দানশীল পুরুষরা//ও দানশীল নারীরা//এবং যারা ঋণ দিয়েছে//আল্লাহ্কে//ঋণ//উত্তম//বহুগুণ বাড়িয়ে দেওয়া হবে//তাদের জন্যে//এবং তাদের জন্যে রয়েছে//পুরস্কার//সম্মানজনক"
            },
            {
              "number": 5094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5094.mp3"
              ],
              "text": "وَٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦٓ أُو۟لَٰٓئِكَ هُمُ ٱلصِّدِّيقُونَ ۖ وَٱلشُّهَدَآءُ عِندَ رَبِّهِمْ لَهُمْ أَجْرُهُمْ وَنُورُهُمْ ۖ وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْجَحِيمِ",
              "translate_bn": "আর যারা আল্লাহ ও তাঁর রসূলের প্রতি বিশ্বাস স্থাপন করে তারাই তাদের পালনকর্তার কাছে সিদ্দীক ও শহীদ বলে বিবেচিত। তাদের জন্যে রয়েছে পুরস্কার ও জ্যোতি এবং যারা কাফের ও আমার নিদর্শন অস্বীকারকারী তারাই জাহান্নামের অধিবাসী হবে।",
              "numberInSurah": 19,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 473,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা আ-মানূবিল্লা-হি ওয়া রুছুলিহীউলাইকা হুমুসসিদ্দীকূনা ওয়াশশুহাদাউ ‘ইনদা রাব্বিহিম লাহুম আজরুহুম ওয়া নূরুহুম ওয়াল্লাযীনা কাফারূ ওয়াকাযযাবূবিআ-য়া-তিনাউলাইকা আসহা-বুল জাহীম",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖۤ/وَرُسُلِهِۦٓ/warusulihi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الصِّدِّیْقُوْنَ ۖۗ/ٱلصِّدِّيقُونَۖ/al-sidiquna//وَ الشُّهَدَآءُ/وَٱلشُّهَدَآءُ/wal-shuhadau//عِنْدَ/عِندَ/inda//رَبِّهِمْ ؕ/رَبِّهِمۡ/rabbihim//لَهُمْ/لَهُمۡ/lahum//اَجْرُهُمْ/أَجۡرُهُمۡ/ajruhum//وَ نُوْرُهُمْ ؕ/وَنُورُهُمۡۖ/wanuruhum//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَحِیْمِ۠/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "এবং যারা//ঈমান এনেছে//আল্লাহ্‌র উপর//এবং তঁর রাসূলদের (উপর)//ঐসব লোক//তারাই//সিদ্দিক (সত্যনিষ্ঠ)//এবং (তারাই) শহীদ//কাছে//তাদের রবের//তাদের জন্যে রয়েছে//তাদের পুরস্কার//ও তাদের জ্যোতি//এবং যারা//অস্বীকার করেছে//ও মিথ্যা মনে করেছে//আমাদের আয়াত গুলোকে//ঐসব লোক//অধিবাসী (হবে)//জাহান্নামের"
            },
            {
              "number": 5095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5095.mp3"
              ],
              "text": "ٱعْلَمُوٓا۟ أَنَّمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا لَعِبٌۭ وَلَهْوٌۭ وَزِينَةٌۭ وَتَفَاخُرٌۢ بَيْنَكُمْ وَتَكَاثُرٌۭ فِى ٱلْأَمْوَٰلِ وَٱلْأَوْلَٰدِ ۖ كَمَثَلِ غَيْثٍ أَعْجَبَ ٱلْكُفَّارَ نَبَاتُهُۥ ثُمَّ يَهِيجُ فَتَرَىٰهُ مُصْفَرًّۭا ثُمَّ يَكُونُ حُطَٰمًۭا ۖ وَفِى ٱلْءَاخِرَةِ عَذَابٌۭ شَدِيدٌۭ وَمَغْفِرَةٌۭ مِّنَ ٱللَّهِ وَرِضْوَٰنٌۭ ۚ وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا مَتَٰعُ ٱلْغُرُورِ",
              "translate_bn": "তোমরা জেনে রাখ, পার্থিব জীবন ক্রীড়া-কৌতুক, সাজ-সজ্জা, পারস্পরিক অহমিকা এবং ধন ও জনের প্রাচুর্য ব্যতীত আর কিছু নয়, যেমন এক বৃষ্টির অবস্থা, যার সবুজ ফসল কৃষকদেরকে চমৎকৃত করে, এরপর তা শুকিয়ে যায়, ফলে তুমি তাকে পীতবর্ণ দেখতে পাও, এরপর তা খড়কুটা হয়ে যায়। আর পরকালে আছে কঠিন শাস্তি এবং আল্লাহর ক্ষমা ও সন্তুষ্টি। পার্থিব জীবন প্রতারণার উপকরণ বৈ কিছু নয়।",
              "numberInSurah": 20,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ই‘লামূআন্নামাল হায়া-তুদ্দুনইয়া-লা‘ইবুওঁ ওয়ালাহউওঁ ওয়া ঝীনাতুওঁ ওয়া তাফা-খুরুম বাইনাকুম ওয়া তাকা-ছু রুন ফিল আমওয়া-লি ওয়ালআওলা-দা কামাছালি গাইছিন আ‘জাবাল কুফফা-রা নাবাতুহূছু ম্মা ইয়াহীজুফাতারা-হু মুসফাররান ছুম্মা ইয়াকূনুহুতামাও ওয়া ফিল আ-খিরাতি ‘আযা-বুন শাদীদুওঁ ওয়া মাগফিরাতুম মিনাল্লা-হি ওয়া রিদওয়ানুওঁ ওয়ামাল হায়া-তুদ্দুনইয়াইল্লা মাতা-‘উল গুরূর।",
              "words_arabic": "اِعْلَمُوْۤا/ٱعۡلَمُوٓاْ/i'lamu//اَنَّمَا/أَنَّمَا/annama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//لَعِبٌ/لَعِبٞ/la'ibun//وَّ لَهْوٌ/وَلَهۡوٞ/walahwun//وَّ زِیْنَةٌ/وَزِينَةٞ/wazinatun//وَّ تَفَاخُرٌۢ/وَتَفَاخُرُۢ/watafakhurun//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ تَكَاثُرٌ/وَتَكَاثُرٞ/watakathurun//فِی/فِي/fi//الْاَمْوَالِ/ٱلۡأَمۡوَٰلِ/al-amwali//وَ الْاَوْلَادِ ؕ/وَٱلۡأَوۡلَٰدِۖ/wal-awladi//كَمَثَلِ/كَمَثَلِ/kamathali//غَیْثٍ/غَيۡثٍ/ghaythin//اَعْجَبَ/أَعۡجَبَ/a'jaba//الْكُفَّارَ/ٱلۡكُفَّارَ/al-kufara//نَبَاتُهٗ/نَبَاتُهُۥ/nabatuhu//ثُمَّ/ثُمَّ/thumma//یَهِیْجُ/يَهِيجُ/yahiju//فَتَرٰىهُ/فَتَرَىٰهُ/fatarahu//مُصْفَرًّا/مُصۡفَرّٗا/mus'farran//ثُمَّ/ثُمَّ/thumma//یَكُوْنُ/يَكُونُ/yakunu//حُطَامًا ؕ/حُطَٰمٗاۖ/hutaman//وَ فِی/وَفِي/wafi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//عَذَابٌ/عَذَابٞ/adhabun//شَدِیْدٌ ۙ/شَدِيدٞ/shadidun//وَّ مَغْفِرَةٌ/وَمَغۡفِرَةٞ/wamaghfiratun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رِضْوَانٌ ؕ/وَرِضۡوَٰنٞۚ/warid'wanun//وَ مَا/وَمَا/wama//الْحَیٰوةُ/ٱلۡحَيَوٰةُ/al-hayatu//الدُّنْیَاۤ/ٱلدُّنۡيَآ/al-dun'ya//اِلَّا/إِلَّا/illa//مَتَاعُ/مَتَٰعُ/mata'u//الْغُرُوْرِ /ٱلۡغُرُورِ/al-ghururi",
              "words_bangla": "তোমরা জেনে রাখ//প্রকৃতপক্ষে//জীবন//(এই) দুনিয়ার//ক্রীড়া//ও কৌতুক (মাত্র)//এবং জাঁকজমক//ও পারস্পরিক গৌরব অহংকার//তোমাদের মাঝে//ও পারস্পরিক প্রাচুর্য লাভের প্রতিযোগিতা//ক্ষেত্রে//সম্পদ সমুহের//ও সন্তানসন্ততিতে//(এর) উপমা যেমন//বৃষ্টি (হলে)//চমৎকৃত করে//কৃষককে//তার উদ্ভিদ সম্ভার//এরপর//শুকিয়ে  যায়//অতঃপর তুমি তা দেখ//হলুদবর্ণ (হতে)//এরপর//সেটা হয়ে যায়//খড়কুটা//আর মধ্যে আছে//আখেরাতের//শাস্তি//কঠোর//আর (আছে) ক্ষমা//পক্ষ হতে//আল্লাহ্‌র//এবং সন্তুষ্টিও//এবং নয়//জীবন//দুনিয়ার//এছাড়া//সামগ্রী//ছলনার"
            },
            {
              "number": 5096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5096.mp3"
              ],
              "text": "سَابِقُوٓا۟ إِلَىٰ مَغْفِرَةٍۢ مِّن رَّبِّكُمْ وَجَنَّةٍ عَرْضُهَا كَعَرْضِ ٱلسَّمَآءِ وَٱلْأَرْضِ أُعِدَّتْ لِلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۚ ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "তোমরা অগ্রে ধাবিত হও তোমাদের পালনকর্তার ক্ষমা ও সেই জান্নাতের দিকে, যা আকাশ ও পৃথিবীর মত প্রশস্ত। এটা প্রস্তুত করা হয়েছে আল্লাহ ও তাঁর রসূলগণের প্রতি বিশ্বাসস্থাপনকারীদের জন্যে। এটা আল্লাহর কৃপা, তিনি যাকে ইচ্ছা, এটা দান করেন। আল্লাহ মহান কৃপার অধিকারী।",
              "numberInSurah": 21,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ছা-বিকূইলা-মাগফিরাতিম মির রাব্বিকুম ওয়া জান্নাতিন ‘আরদুহা-কা‘আরদিছ ছামাই ওয়াল আরদি উ‘ইদ্দাত লিল্লাযীনা আ-মানূবিল্লা-হি ওয়া রুছুলিহী যা-লিকা ফাদলুল্লা-হি ইউ’তীহি মাইঁ ইয়াশাউ ওয়াল্লা-হু যুল ফাদলিল ‘আজীম।",
              "words_arabic": "سَابِقُوْۤا/سَابِقُوٓاْ/sabiqu//اِلٰی/إِلَىٰ/ila//مَغْفِرَةٍ/مَغۡفِرَةٖ/maghfiratin//مِّنْ/مِّن/min//رَّبِّكُمْ/رَّبِّكُمۡ/rabbikum//وَ جَنَّةٍ/وَجَنَّةٍ/wajannatin//عَرْضُهَا/عَرۡضُهَا/arduha//كَعَرْضِ/كَعَرۡضِ/ka'ardi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//وَ الْاَرْضِ ۙ/وَٱلۡأَرۡضِ/wal-ardi//اُعِدَّتْ/أُعِدَّتۡ/u'iddat//لِلَّذِیْنَ/لِلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رُسُلِهٖ ؕ/وَرُسُلِهِۦۚ/warusulihi//ذٰلِكَ/ذَٰلِكَ/dhalika//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//یُؤْتِیْهِ/يُؤۡتِيهِ/yu'tihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "তোমরা এগিয়ে যাও//দিকে//ক্ষমার//পক্ষ হতে//তোমাদের রবের//ও (এমন) জান্নাতের//যার প্রশস্ততা//প্রশস্ততার মতো//আকাশের//ও পৃথিবীর//প্রস্তুত করা হয়েছে//(তাদের) জন্যে যারা//ঈমান এনেছে//আল্লাহ্‌র উপর//ও তাঁর রাসূলদের (উপর)//এটা//অনুগ্রহ//আল্লাহর//তা দান করবেন//যাকে//তিনি চান//এবং আল্লাহ//অধিকারী//অনুগ্রহের//মহা"
            },
            {
              "number": 5097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5097.mp3"
              ],
              "text": "مَآ أَصَابَ مِن مُّصِيبَةٍۢ فِى ٱلْأَرْضِ وَلَا فِىٓ أَنفُسِكُمْ إِلَّا فِى كِتَٰبٍۢ مِّن قَبْلِ أَن نَّبْرَأَهَآ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌۭ",
              "translate_bn": "পৃথিবীতে এবং ব্যক্তিগতভাবে তোমাদের উপর কোন বিপদ আসে না; কিন্তু তা জগত সৃষ্টির পূর্বেই কিতাবে লিপিবদ্ধ আছে। নিশ্চয় এটা আল্লাহর পক্ষে সহজ।",
              "numberInSurah": 22,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "মাআসা-বা মিমমুসীবাতিন ফিল আরদিওয়ালা-ফীআনফুছিকুম ইল্লা-ফী কিতা-বিম মিন কাবলি আন্নাবরাআহা- ইন্না যা-লিকা ‘আলাল্লা-হি ইয়াছীর।",
              "words_arabic": "مَاۤ/مَآ/ma//اَصَابَ/أَصَابَ/asaba//مِنْ/مِن/min//مُّصِیْبَةٍ/مُّصِيبَةٖ/musibatin//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَا/وَلَا/wala//فِیْۤ/فِيٓ/fi//اَنْفُسِكُمْ/أَنفُسِكُمۡ/anfusikum//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//كِتٰبٍ/كِتَٰبٖ/kitabin//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//نَّبْرَاَهَا ؕ/نَّبۡرَأَهَآۚ/nabra-aha//اِنَّ/إِنَّ/inna//ذٰلِكَ/ذَٰلِكَ/dhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرٌۚۖ/يَسِيرٞ/yasirun",
              "words_bangla": "না//আপতিত//কোনো//বিপদ//মধ্যে//পৃথিবীর//আর না//উপর//তোমাদের নিজেদের//এছাড়া যা//আছে//একটি কিতাবে (লিখিত)//থেকে//পূর্বেই//যে//তা আমরা ঘটাব//নিশ্চয়ই//এটা//জন্যে//আল্লাহ্‌র//সহজ"
            },
            {
              "number": 5098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5098.mp3"
              ],
              "text": "لِّكَيْلَا تَأْسَوْا۟ عَلَىٰ مَا فَاتَكُمْ وَلَا تَفْرَحُوا۟ بِمَآ ءَاتَىٰكُمْ ۗ وَٱللَّهُ لَا يُحِبُّ كُلَّ مُخْتَالٍۢ فَخُورٍ",
              "translate_bn": "এটা এজন্যে বলা হয়, যাতে তোমরা যা হারাও তজ্জন্যে দুঃখিত না হও এবং তিনি তোমাদেরকে যা দিয়েছেন, তজ্জন্যে উল্লসিত না হও। আল্লাহ কোন উদ্ধত অহংকারীকে পছন্দ করেন না,",
              "numberInSurah": 23,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "লিকাইলা-তা’ছাও ‘আলা-মা-ফা-তাকুম ওয়ালা-তাফরাহূবিমাআ-তা-কুম ওয়াল্লা-হু লা-ইউহিব্বুকুল্লা মুখতা-লিন ফাখূর।",
              "words_arabic": "لِّكَیْلَا/لِّكَيۡلَا/likayla//تَاْسَوْا/تَأۡسَوۡاْ/tasaw//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//فَاتَكُمْ/فَاتَكُمۡ/fatakum//وَ لَا/وَلَا/wala//تَفْرَحُوْا/تَفۡرَحُواْ/tafrahu//بِمَاۤ/بِمَآ/bima//اٰتٰىكُمْ ؕ/ءَاتَىٰكُمۡۗ/atakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یُحِبُّ/يُحِبُّ/yuhibbu//كُلَّ/كُلَّ/kulla//مُخْتَالٍ/مُخۡتَالٖ/mukh'talin//فَخُوْرِۙ/فَخُورٍ/fakhurin",
              "words_bangla": "না এটা এজন্য যে//তোমরা বিমর্ষ হও//উপর//যা//তোমরা হারাও//এবং না//উল্লাসিত হও তোমরা//ঐ বিষয়ে যা//তোমাদের দান করেন তিনি//এবং আল্লাহ্‌‌//না//ভালবাসেন//প্রত্যেক//উদ্ধত//অহংকারীকে"
            },
            {
              "number": 5099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5099.mp3"
              ],
              "text": "ٱلَّذِينَ يَبْخَلُونَ وَيَأْمُرُونَ ٱلنَّاسَ بِٱلْبُخْلِ ۗ وَمَن يَتَوَلَّ فَإِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ",
              "translate_bn": "যারা কৃপণতা করে এবং মানুষকে কৃপণতার প্রতি উৎসাহ দেয়, যে মুখ ফিরিয়ে নেয়, তার জানা উচিত যে, আল্লাহ অভাবমুক্ত, প্রশংসিত।",
              "numberInSurah": 24,
              "juz": 27,
              "manzil": 7,
              "page": 540,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াবখালূনা ওয়া ইয়া’মুরূনান্না-ছা বিলবুখলি ওয়া মাইঁ ইয়াতাওয়াল্লা ফাইন্নাল্লাহা হুওয়াল গানিইয়ূল হামীদ।",
              "words_arabic": "ِ۟الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَبْخَلُوْنَ/يَبۡخَلُونَ/yabkhaluna//وَ یَاْمُرُوْنَ/وَيَأۡمُرُونَ/wayamuruna//النَّاسَ/ٱلنَّاسَ/al-nasa//بِالْبُخْلِ ؕ/بِٱلۡبُخۡلِۗ/bil-bukh'li//وَ مَنْ/وَمَن/waman//یَّتَوَلَّ/يَتَوَلَّ/yatawalla//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//الْحَمِیْدُ /ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "যারা//কৃপণতা করে//ও নির্দেশ দেয়//লোকদেরকে//কৃপণতার ব্যাপারে//এবং যে//মুখ ফিরিয়ে নেয় (সে জেনে রাখুক)//তবে নিশ্চয়ই//আল্লাহ্‌//তিনিই//অভাবমুক্ত//প্রশংসিত"
            },
            {
              "number": 5100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5100.mp3"
              ],
              "text": "لَقَدْ أَرْسَلْنَا رُسُلَنَا بِٱلْبَيِّنَٰتِ وَأَنزَلْنَا مَعَهُمُ ٱلْكِتَٰبَ وَٱلْمِيزَانَ لِيَقُومَ ٱلنَّاسُ بِٱلْقِسْطِ ۖ وَأَنزَلْنَا ٱلْحَدِيدَ فِيهِ بَأْسٌۭ شَدِيدٌۭ وَمَنَٰفِعُ لِلنَّاسِ وَلِيَعْلَمَ ٱللَّهُ مَن يَنصُرُهُۥ وَرُسُلَهُۥ بِٱلْغَيْبِ ۚ إِنَّ ٱللَّهَ قَوِىٌّ عَزِيزٌۭ",
              "translate_bn": "আমি আমার রসূলগণকে সুস্পষ্ট নিদর্শনসহ প্রেরণ করেছি এবং তাঁদের সাথে অবতীর্ণ করেছি কিতাব ও ন্যায়নীতি, যাতে মানুষ ইনসাফ প্রতিষ্ঠা করে। আর আমি নাযিল করেছি লৌহ, যাতে আছে প্রচন্ড রণশক্তি এবং মানুষের বহুবিধ উপকার। এটা এজন্যে যে, আল্লাহ জেনে নিবেন কে না দেখে তাঁকে ও তাঁর রসূলগণকে সাহায্য করে। আল্লাহ শক্তিধর, পরাক্রমশালী।",
              "numberInSurah": 25,
              "juz": 27,
              "manzil": 7,
              "page": 541,
              "ruku": 474,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "লাকাদ আরছালনা-রুছুলানা-বিলবাইয়িনা-তি ওয়া আনঝালনা-মা‘আহুমুল কিতা-বা ওয়াল মীঝা-না লিইয়াকূমান্না-ছুবিলকিছতি ওয়া আনঝালনাল হাদীদা ফীহি বা’ছুন শাদীদুওঁ ওয়া মানা-ফি‘উ লিন্না-ছি ওয়া লিইয়া‘লামাল্লা-হু মাইঁ ইয়ানসুরুহূওয়া রুছুলাহূবিলগাইবি ইন্নাল্লা-হা কাবিইয়ুন ‘আঝীঝ।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//رُسُلَنَا/رُسُلَنَا/rusulana//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//مَعَهُمُ/مَعَهُمُ/ma'ahumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْمِیْزَانَ/وَٱلۡمِيزَانَ/wal-mizana//لِیَقُوْمَ/لِيَقُومَ/liyaquma//النَّاسُ/ٱلنَّاسُ/al-nasu//بِالْقِسْطِ ۚ/بِٱلۡقِسۡطِۖ/bil-qis'ti//وَ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//الْحَدِیْدَ/ٱلۡحَدِيدَ/al-hadida//فِیْهِ/فِيهِ/fihi//بَاْسٌ/بَأۡسٞ/basun//شَدِیْدٌ/شَدِيدٞ/shadidun//وَّ مَنَافِعُ/وَمَنَٰفِعُ/wamanafi'u//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//وَ لِیَعْلَمَ/وَلِيَعۡلَمَ/waliya'lama//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّنْصُرُهٗ/يَنصُرُهُۥ/yansuruhu//وَ رُسُلَهٗ/وَرُسُلَهُۥ/warusulahu//بِالْغَیْبِ ؕ/بِٱلۡغَيۡبِۚ/bil-ghaybi//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَوِیٌّ/قَوِيٌّ/qawiyyun//عَزِیْزٌ۠/عَزِيزٞ/azizun",
              "words_bangla": "নিশ্চয়ই//আমরা পাঠিয়েছি//আমাদের রাসূলদেরকে//সুস্পষ্ট প্রমাণাদি সহ//এবং আমরা অবতীর্ণ করেছি//তাদের সাথে//কিতাব//ও ন্যায়দণ্ড//প্রতিষ্ঠিত হয় যেন//মানুষ//ন্যায়বিচারের সাথে//ও আমরা অবতীর্ণ করেছি//লোহা//যার মধ্যে রয়েছে//শক্তি//প্রচণ্ড//এবং নানা উপকার//মানুষের জন্য//এবং (এ উদ্দেশ্যে ) জানেন যেন//আল্লাহ্‌//কে//তাঁকে সাহায্য করে//ও তাঁর রাসূলদের//(তাঁকে) না দেখা অবস্থায়//নিশ্চয়ই//আল্লাহ্‌//শক্তিধর//পরাক্রমাশালী"
            },
            {
              "number": 5101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5101.mp3"
              ],
              "text": "وَلَقَدْ أَرْسَلْنَا نُوحًۭا وَإِبْرَٰهِيمَ وَجَعَلْنَا فِى ذُرِّيَّتِهِمَا ٱلنُّبُوَّةَ وَٱلْكِتَٰبَ ۖ فَمِنْهُم مُّهْتَدٍۢ ۖ وَكَثِيرٌۭ مِّنْهُمْ فَٰسِقُونَ",
              "translate_bn": "আমি নূহ ও ইব্রাহীমকে রসূলরূপে প্রেরণ করেছি এবং তাদের বংশধরের মধ্যে নবুওয়ত ও কিতাব অব্যাহত রেখেছি। অতঃপর তাদের কতক সৎপথপ্রাপ্ত হয়েছে এবং অধিকাংশই হয়েছে পাপাচারী।",
              "numberInSurah": 26,
              "juz": 27,
              "manzil": 7,
              "page": 541,
              "ruku": 475,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ আরছালনা-নূহাও ওয়া ইবরা-হীমা ওয়া জা‘আলনা-ফী যুররিইইয়াতিহিমান নুবুওয়াতা ওয়াল কিতা-বা ফামিনহুম মুহতাদিও ওয়া কাছীরুম মিনহুম ফা-ছিকূন।\r\n",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحٗا/nuhan//وَّ اِبْرٰهِیْمَ/وَإِبۡرَٰهِيمَ/wa-ib'rahima//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْ/فِي/fi//ذُرِّیَّتِهِمَا/ذُرِّيَّتِهِمَا/dhurriyyatihima//النُّبُوَّةَ/ٱلنُّبُوَّةَ/al-nubuwata//وَ الْكِتٰبَ/وَٱلۡكِتَٰبَۖ/wal-kitaba//فَمِنْهُمْ/فَمِنۡهُم/famin'hum//مُّهْتَدٍ ۚ/مُّهۡتَدٖۖ/muh'tadin//وَ كَثِیْرٌ/وَكَثِيرٞ/wakathirun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "এবং নিশ্চয়ই//আমরা পাঠিয়েছি//নূহকে//ও ইবরাহীমকে//এবং আমরা বজায় রেখেছি//মধ্যে//উভয়ের বংশধরদের//নবুয়্যত//ও কিতাব//অতঃপর তাদের মধ্য হতে//(কিছু হয়েছে) সৎ পথ প্রাপ্ত//আর অনেকেই//তাদের মধ্যে হতে//সত্যত্যাগী"
            },
            {
              "number": 5102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5102.mp3"
              ],
              "text": "ثُمَّ قَفَّيْنَا عَلَىٰٓ ءَاثَٰرِهِم بِرُسُلِنَا وَقَفَّيْنَا بِعِيسَى ٱبْنِ مَرْيَمَ وَءَاتَيْنَٰهُ ٱلْإِنجِيلَ وَجَعَلْنَا فِى قُلُوبِ ٱلَّذِينَ ٱتَّبَعُوهُ رَأْفَةًۭ وَرَحْمَةًۭ وَرَهْبَانِيَّةً ٱبْتَدَعُوهَا مَا كَتَبْنَٰهَا عَلَيْهِمْ إِلَّا ٱبْتِغَآءَ رِضْوَٰنِ ٱللَّهِ فَمَا رَعَوْهَا حَقَّ رِعَايَتِهَا ۖ فَـَٔاتَيْنَا ٱلَّذِينَ ءَامَنُوا۟ مِنْهُمْ أَجْرَهُمْ ۖ وَكَثِيرٌۭ مِّنْهُمْ فَٰسِقُونَ",
              "translate_bn": "অতঃপর আমি তাদের পশ্চাতে প্রেরণ করেছি আমার রসূলগণকে এবং তাদের অনুগামী করেছি মরিয়ম তনয় ঈসাকে ও তাকে দিয়েছি ইঞ্জিল। আমি তার অনুসারীদের অন্তরে স্থাপন করেছি নম্রতা ও দয়া। আর বৈরাগ্য, সে তো তারা নিজেরাই উদ্ভাবন করেছে; আমি এটা তাদের উপর ফরজ করিনি; কিন্তু তারা আল্লাহর সন্তুষ্টি লাভের জন্যে এটা অবলম্বন করেছে। অতঃপর তারা যথাযথভাবে তা পালন করেনি। তাদের মধ্যে যারা বিশ্বাসী ছিল, আমি তাদেরকে তাদের প্রাপ্য পুরস্কার দিয়েছি। আর তাদের অধিকাংশই পাপাচারী।",
              "numberInSurah": 27,
              "juz": 27,
              "manzil": 7,
              "page": 541,
              "ruku": 475,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কাফফাইনা-‘আলাআ-ছা-রিহিম বিরুছুলিনা-ওয়া কাফফাইনা-বি‘ঈছাবনি মারইয়ামা ওয়া আ-তাইনা-হুল ইনজীলা ওয়া জা‘আলনা-ফী কুলূবিল্লাযীনাত্তাবা‘ঊহু রা’ফাতাওঁ ওয়া রাহমাতাও ওয়া রাহবা-নিইয়াতানিব তাদা‘ঊহা-মা-কাতাবনা-হা‘আলাইহিম ইল্লাবতিগাআ রিদওয়া-নিল্লা-হি ফামা-রা‘আওহা-হাক্কা রি‘আ-ইয়াতিহা- ফাআ-তাইনাল্লাযীনা আ-মানূমিনহুম আজরাহুম ওয়া কাছীরুম মিনহুম ফাছিকূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قَفَّیْنَا/قَفَّيۡنَا/qaffayna//عَلٰۤی/عَلَىٰٓ/ala//اٰثَارِهِمْ/ءَاثَٰرِهِم/atharihim//بِرُسُلِنَا/بِرُسُلِنَا/birusulina//وَ قَفَّیْنَا/وَقَفَّيۡنَا/waqaffayna//بِعِیْسَی/بِعِيسَى/bi'isa//ابْنِ/ٱبۡنِ/ib'ni//مَرْیَمَ/مَرۡيَمَ/maryama//وَ اٰتَیْنٰهُ/وَءَاتَيۡنَٰهُ/waataynahu//الْاِنْجِیْلَ ۙ۬/ٱلۡإِنجِيلَۖ/al-injila//وَ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْ/فِي/fi//قُلُوْبِ/قُلُوبِ/qulubi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اتَّبَعُوْهُ/ٱتَّبَعُوهُ/ittaba'uhu//رَاْفَةً/رَأۡفَةٗ/rafatan//وَّ رَحْمَةً ؕ/وَرَحۡمَةٗۚ/warahmatan//وَ رَهْبَانِیَّةَ/وَرَهۡبَانِيَّةً/warahbaniyyatan//ِ۟ابْتَدَعُوْهَا/ٱبۡتَدَعُوهَا/ib'tada'uha//مَا/مَا/ma//كَتَبْنٰهَا/كَتَبۡنَٰهَا/katabnaha//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اِلَّا/إِلَّا/illa//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//رِضْوَانِ/رِضۡوَٰنِ/rid'wani//اللّٰهِ/ٱللَّهِ/al-lahi//فَمَا/فَمَا/fama//رَعَوْهَا/رَعَوۡهَا/ra'awha//حَقَّ/حَقَّ/haqqa//رِعَایَتِهَا ۚ/رِعَايَتِهَاۖ/ri'ayatiha//فَاٰتَیْنَا/فَـَٔاتَيۡنَا/faatayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْهُمْ/مِنۡهُمۡ/min'hum//اَجْرَهُمْ ۚ/أَجۡرَهُمۡۖ/ajrahum//وَ كَثِیْرٌ/وَكَثِيرٞ/wakathirun//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//فٰسِقُوْنَ /فَٰسِقُونَ/fasiquna",
              "words_bangla": "এরপর//আমরা অনুগামী করেছি//উপর//তাদের পদচিহ্নের//আমাদের  রাসূলদেরকে//এবং আমরা এরপর অনুগামী করেছি//ঈসাকে//পুত্র//মারইয়ামের//এবং আমরা তাকে দিয়েছি//ইনজিল//এবং আমরা দিয়েছিলাম//মধ্যে//অন্তরসমূহের//(তাদের) যারা//তা্র অনুসরণ করেছে//করুণা//ও দয়া//আর বৈরাগ্যবাদ/ সন্ন্যাসবাদ//তা তারা উদ্ভাবন করেছিল//না//তার আমরা বিধান দিয়েছি//তাদের উপর//কিন্তু//(তারা করেছিল) সন্ধানে//সন্তুষ্টির//আল্লাহ্‌র//কিন্তু না//তা পালন করেছিল//যথাযথ ভাবে//তা পালন করা (উচিৎ যেমন)//অতঃপর আমরা দিয়েছিলাম//(তাদেরকে) যারা//ঈমান এনেছিল//তাদের মধ্য হতে//তাদের পুরস্কার//এবং অধিকাংশ//তাদের মধ্যকার//সত্যত্যাগী (ফাসেক)"
            },
            {
              "number": 5103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5103.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَءَامِنُوا۟ بِرَسُولِهِۦ يُؤْتِكُمْ كِفْلَيْنِ مِن رَّحْمَتِهِۦ وَيَجْعَل لَّكُمْ نُورًۭا تَمْشُونَ بِهِۦ وَيَغْفِرْ لَكُمْ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "মুমিনগণ, তোমরা আল্লাহকে ভয় কর এবং তাঁর রসূলের প্রতি বিশ্বাস স্থাপন কর। তিনি নিজে অনুগ্রহের দ্বিগুণ অংশ তোমাদেরকে দিবেন, তোমাদেরকে দিবেন জ্যোতি, যার সাহায্যে তোমরা চলবে এবং তোমাদেরকে ক্ষমা করবেন। আল্লাহ ক্ষমাশীল, দয়াময়।",
              "numberInSurah": 28,
              "juz": 27,
              "manzil": 7,
              "page": 541,
              "ruku": 475,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা ওয়া আ-মিনূবিরাছুলিহী ইউ’তিকুম কিফলাইনি মির রাহমাতিহী ওয়া ইয়াজ‘আল্লাকুম নূরান তামশূনা বিহী ওয়া ইয়াগফির লাকুম ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اٰمِنُوْا/وَءَامِنُواْ/waaminu//بِرَسُوْلِهٖ/بِرَسُولِهِۦ/birasulihi//یُؤْتِكُمْ/يُؤۡتِكُمۡ/yu'tikum//كِفْلَیْنِ/كِفۡلَيۡنِ/kif'layni//مِنْ/مِن/min//رَّحْمَتِهٖ/رَّحۡمَتِهِۦ/rahmatihi//وَ یَجْعَلْ/وَيَجۡعَل/wayaj'al//لَّكُمْ/لَّكُمۡ/lakum//نُوْرًا/نُورٗا/nuran//تَمْشُوْنَ/تَمۡشُونَ/tamshuna//بِهٖ/بِهِۦ/bihi//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌۚۙ/رَّحِيمٞ/rahimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//তোমরা ভয় করো//আল্লাহকে//ও তোমরা ঈমান আন//তাঁর রাসূলের প্রতি//তিনি তোমাদের দিবেন//দ্বিগুণ অংশ//থেকে//তাঁর অনুগ্রহ//এবং দেবেন//তোমাদের জন্যে//জ্যোতি//তোমরা চলবে//তা দিয়ে//ও ক্ষমা করবেন//তোমাদেরকে//এবং আল্লাহ্‌//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 5104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5104.mp3"
              ],
              "text": "لِّئَلَّا يَعْلَمَ أَهْلُ ٱلْكِتَٰبِ أَلَّا يَقْدِرُونَ عَلَىٰ شَىْءٍۢ مِّن فَضْلِ ٱللَّهِ ۙ وَأَنَّ ٱلْفَضْلَ بِيَدِ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "যাতে কিতাবধারীরা জানে যে, আল্লাহর সামান্য অনুগ্রহের উপর ও তাদের কোন ক্ষমতা নেই, দয়া আল্লাহরই হাতে; তিনি যাকে ইচ্ছা, তা দান করেন। আল্লাহ মহা অনুগ্রহশীল।",
              "numberInSurah": 29,
              "juz": 27,
              "manzil": 7,
              "page": 541,
              "ruku": 475,
              "hizbQuarter": 216,
              "sajda": false,
              "pronunciation_bn": "লিয়াল্লা-ইয়া‘লামা আহলুল কিতা-বি আল্লা-ইয়াকদিরূনা ‘আলা-শাইয়িম মিন ফাদলিল্লা-হি ওয়া আন্নাল ফাদলা বিয়াদিল্লা-হি ইউ’তীহি মাইঁ ইয়াশাউ ওয়াল্লা-হু যুল ফাদলিল ‘আজীম।",
              "words_arabic": "لِّئَلَّا/لِّئَلَّا/li-alla//یَعْلَمَ/يَعۡلَمَ/ya'lama//اَهْلُ/أَهۡلُ/ahlu//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//اَلَّا/أَلَّا/alla//یَقْدِرُوْنَ/يَقۡدِرُونَ/yaqdiruna//عَلٰی/عَلَىٰ/ala//شَیْءٍ/شَيۡءٖ/shayin//مِّنْ/مِّن/min//فَضْلِ/فَضۡلِ/fadli//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اَنَّ/وَأَنَّ/wa-anna//الْفَضْلَ/ٱلۡفَضۡلَ/al-fadla//بِیَدِ/بِيَدِ/biyadi//اللّٰهِ/ٱللَّهِ/al-lahi//یُؤْتِیْهِ/يُؤۡتِيهِ/yu'tihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ۠/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "যেন//জানে//অধিকারীরা//কিতাবের//যে না//তারা অধিকার রাখে//উপর//কোনো কিছুই//মধ্যে হতে//অনুগ্রহের//আল্লাহর//এবং নিশ্চয়ই//(সমস্ত) অনুগ্রহ//হাতে//আল্লাহ্‌রই//তা দান করেন তিনি//যাকে//তিনি চান//এবং আল্লাহ//অধিকারী//অনুগ্রহের//মহা"
            }
          ]
        },
        {
          "number": 58,
          "name": "سُورَةُ المُجَادلَةِ",
          "englishName": "Al-Mujaadila",
          "englishNameTranslation": "The Pleading Woman",
          "revelationType": "Medinan",
          "verse": 22,
          "words": 920,
          "chars": 4111,
          "ayahs": [
            {
              "number": 5105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5105.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قَدْ سَمِعَ ٱللَّهُ قَوْلَ ٱلَّتِى تُجَٰدِلُكَ فِى زَوْجِهَا وَتَشْتَكِىٓ إِلَى ٱللَّهِ وَٱللَّهُ يَسْمَعُ تَحَاوُرَكُمَآ ۚ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ",
              "translate_bn": "যে নারী তার স্বামীর বিষয়ে আপনার সাথে বাদানুবাদ করছে এবং অভিযোগ পেশ করছে আল্লাহর দরবারে, আল্লাহ তার কথা শুনেছেন। আল্লাহ আপনাদের উভয়ের কথাবার্তা শুনেন। নিশ্চয় আল্লাহ সবকিছু শুনেন, সবকিছু দেখেন।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "কাদ ছামি‘আল্লা-হু কাওলাল্লাতী তুজা-দিলুকা ফী ঝাওজিহা-ওয়া তাশতাকীইলাল্লা-হি ওয়াল্লা-হু ইয়াছমা‘উ তাহা-উরাকুমা- ইন্নাল্লা-হা ছামী‘উম বাসীর।",
              "words_arabic": "قَدْ/قَدۡ/qad//سَمِعَ/سَمِعَ/sami'a//اللّٰهُ/ٱللَّهُ/al-lahu//قَوْلَ/قَوۡلَ/qawla//الَّتِیْ/ٱلَّتِي/allati//تُجَادِلُكَ/تُجَٰدِلُكَ/tujadiluka//فِیْ/فِي/fi//زَوْجِهَا/زَوۡجِهَا/zawjiha//وَ تَشْتَكِیْۤ/وَتَشۡتَكِيٓ/watashtaki//اِلَی/إِلَى/ila//اللّٰهِ ۖۗ/ٱللَّهِ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَسْمَعُ/يَسۡمَعُ/yasma'u//تَحَاوُرَكُمَا ؕ/تَحَاوُرَكُمَآۚ/tahawurakuma//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//سَمِیْعٌۢ/سَمِيعُۢ/sami'un//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "নিশ্চয়ই//শুনেছেন//আল্লাহ্‌//কথা//(সেই নারীর) যে//তোমার সাথে তর্কবিতর্ক করছে//ব্যাপারে//তার স্বামীর//এবং অভিযোগ করছে//কাছে//আল্লাহ্‌র//এবং আল্লাহ্‌//শুনছেন//তোমাদের দুজনের কথাবার্তা//নিশ্চয়ই//আল্লাহ্‌//সবকিছু শোনেন//সবকিছু দেখেন"
            },
            {
              "number": 5106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5106.mp3"
              ],
              "text": "ٱلَّذِينَ يُظَٰهِرُونَ مِنكُم مِّن نِّسَآئِهِم مَّا هُنَّ أُمَّهَٰتِهِمْ ۖ إِنْ أُمَّهَٰتُهُمْ إِلَّا ٱلَّٰٓـِٔى وَلَدْنَهُمْ ۚ وَإِنَّهُمْ لَيَقُولُونَ مُنكَرًۭا مِّنَ ٱلْقَوْلِ وَزُورًۭا ۚ وَإِنَّ ٱللَّهَ لَعَفُوٌّ غَفُورٌۭ",
              "translate_bn": "তোমাদের মধ্যে যারা তাদের স্ত্রীগণকে মাতা বলে ফেলে, তাদের স্ত্রীগণ তাদের মাতা নয়। তাদের মাতা কেবল তারাই, যারা তাদেরকে জন্মদান করেছে। তারা তো অসমীচীন ও ভিত্তিহীন কথাই বলে। নিশ্চয় আল্লাহ মার্জনাকারী, ক্ষমাশীল।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউজা-হিরূনা মিনকুম মিনিছাইহিম মা-হুন্না উম্মাহা-তিহিম ইন উম্মাহাতুহুম ইল্লাল লাঈ ওয়ালাদনাহুম ওয়া ইন্নাহুম লাইয়াকূলূনা মুনকারাম মিনাল কাওলি ওয়াঝূরা- ওয়া ইন্নাল্লা-হা লা‘আফুওউন গাফূর।",
              "words_arabic": "اَلَّذِیْنَ/ٱلَّذِينَ/alladhina//یُظٰهِرُوْنَ/يُظَٰهِرُونَ/yuzahiruna//مِنْكُمْ/مِنكُم/minkum//مِّنْ/مِّن/min//نِّسَآىِٕهِمْ/نِّسَآئِهِم/nisaihim//مَّا/مَّا/ma//هُنَّ/هُنَّ/hunna//اُمَّهٰتِهِمْ ؕ/أُمَّهَٰتِهِمۡۖ/ummahatihim//اِنْ/إِنۡ/in//اُمَّهٰتُهُمْ/أُمَّهَٰتُهُمۡ/ummahatuhum//اِلَّا/إِلَّا/illa//الّٰٓـِٔیْ/ٱلَّـٰٓـِٔي/allai//وَلَدْنَهُمْ ؕ/وَلَدۡنَهُمۡۚ/waladnahum//وَ اِنَّهُمْ/وَإِنَّهُمۡ/wa-innahum//لَیَقُوْلُوْنَ/لَيَقُولُونَ/layaquluna//مُنْكَرًا/مُنكَرٗا/munkaran//مِّنَ/مِّنَ/mina//الْقَوْلِ/ٱلۡقَوۡلِ/al-qawli//وَ زُوْرًا ؕ/وَزُورٗاۚ/wazuran//وَ اِنَّ/وَإِنَّ/wa-inna//اللّٰهَ/ٱللَّهَ/al-laha//لَعَفُوٌّ/لَعَفُوٌّ/la'afuwwun//غَفُوْرٌ /غَفُورٞ/ghafurun",
              "words_bangla": "যারা//যিহার করে//তোমাদের মধ্য থেকে//সাথে//তাদের স্ত্রীদের//না//তারা//তাদের মা (হয়ে যায়)//নয় (অন্যরা)//তাদের মা//এছাড়া//যারা//তাদের জন্ম দিয়েছে//এবং তারা নিশ্চয়ই//বলে অবশ্যই//অসঙ্গত//থেকে//কথা//ও মিথ্যা//এবং নিশ্চয়ই//আল্লাহ্‌//অবশ্যই মার্জনাকারী//ক্ষমাশীল"
            },
            {
              "number": 5107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5107.mp3"
              ],
              "text": "وَٱلَّذِينَ يُظَٰهِرُونَ مِن نِّسَآئِهِمْ ثُمَّ يَعُودُونَ لِمَا قَالُوا۟ فَتَحْرِيرُ رَقَبَةٍۢ مِّن قَبْلِ أَن يَتَمَآسَّا ۚ ذَٰلِكُمْ تُوعَظُونَ بِهِۦ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "যারা তাদের স্ত্রীগণকে মাতা বলে ফেলে, অতঃপর নিজেদের উক্তি প্রত্যাহার করে, তাদের কাফফারা এই একে অপরকে স্পর্শ করার পূর্বে একটি দাসকে মুক্তি দিবে। এটা তোমাদের জন্যে উপদেশ হবে। আল্লাহ খবর রাখেন তোমরা যা কর।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ইউজা-হিরূনা মিন্নিছাইহিম ছু ম্মা ইয়া‘ঊদূ না লিমা-কা-লূফাতাহরীরু রাকাবাতিম মিন কাবলি আইঁ ইয়াতামাছছা- যা-লিকুম তূ‘আজূনা বিহী ওয়াল্লাহু বিমা-তা‘মালূনা খাবীর।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُظٰهِرُوْنَ/يُظَٰهِرُونَ/yuzahiruna//مِنْ/مِن/min//نِّسَآىِٕهِمْ/نِّسَآئِهِمۡ/nisaihim//ثُمَّ/ثُمَّ/thumma//یَعُوْدُوْنَ/يَعُودُونَ/ya'uduna//لِمَا/لِمَا/lima//قَالُوْا/قَالُواْ/qalu//فَتَحْرِیْرُ/فَتَحۡرِيرُ/fatahriru//رَقَبَةٍ/رَقَبَةٖ/raqabatin//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّتَمَآسَّا ؕ/يَتَمَآسَّاۚ/yatamassa//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//تُوْعَظُوْنَ/تُوعَظُونَ/tu'azuna//بِهٖ ؕ/بِهِۦۚ/bihi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "এবং তারা যখন//যিহার করে//সাথে//তাদের স্ত্রীদের//এরপর//ফিরে যায়//(তা হতে) যা//তারা বলেছিল//মুক্ত করতে হবে//একজন দাস//থেকে//পূর্বে//যে//পরস্পরকে স্পর্শ করার//এসব//তোমাদের উপদেশ দেয়া হচ্ছে//এদ্বারা//এবং আল্লাহ্‌//ঐ বিষয়ে যা//তোমরা কাজ কর//খুব অবহিত"
            },
            {
              "number": 5108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5108.mp3"
              ],
              "text": "فَمَن لَّمْ يَجِدْ فَصِيَامُ شَهْرَيْنِ مُتَتَابِعَيْنِ مِن قَبْلِ أَن يَتَمَآسَّا ۖ فَمَن لَّمْ يَسْتَطِعْ فَإِطْعَامُ سِتِّينَ مِسْكِينًۭا ۚ ذَٰلِكَ لِتُؤْمِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ۚ وَتِلْكَ حُدُودُ ٱللَّهِ ۗ وَلِلْكَٰفِرِينَ عَذَابٌ أَلِيمٌ",
              "translate_bn": "যার এ সামর্থ্য নেই, সে একে অপরকে স্পর্শ করার পূর্বে একাদিক্রমে দুই মাস রোযা রাখবে। যে এতেও অক্ষম হয় সে ষাট জন মিসকীনকে আহার করাবে। এটা এজন্যে, যাতে তোমরা আল্লাহ ও তাঁর রসূলের প্রতি বিশ্বাস স্থাপন কর। এগুলো আল্লাহর নির্ধারিত শাস্তি। আর কাফেরদের জন্যে রয়েছে যন্ত্রণা দায়ক আযাব।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ফামাল্লাম ইয়াজিদ ফাসিয়া-মুশাহরাইনি মুতাতা-বি‘আইনি মিন কাবলি আইঁ ইয়াতামাছছা- ফামাল্লাম ইয়াছতাতি‘ ফাইত‘আ-মুছিত্তীনা মিছকীনা- যা-লিকা লিতু’মিনূবিল্লাহি ওয়া রাছূলিহী ওয়া তিলকা হুদূদুল্লা-হি ওয়া লিল কা-ফিরীনা ‘আযা-বুন আলীম।",
              "words_arabic": "فَمَنْ/فَمَن/faman//لَّمْ/لَّمۡ/lam//یَجِدْ/يَجِدۡ/yajid//فَصِیَامُ/فَصِيَامُ/fasiyamu//شَهْرَیْنِ/شَهۡرَيۡنِ/shahrayni//مُتَتَابِعَیْنِ/مُتَتَابِعَيۡنِ/mutatabi'ayni//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّتَمَآسَّا ۚ/يَتَمَآسَّاۖ/yatamassa//فَمَنْ/فَمَن/faman//لَّمْ/لَّمۡ/lam//یَسْتَطِعْ/يَسۡتَطِعۡ/yastati'//فَاِطْعَامُ/فَإِطۡعَامُ/fa-it'amu//سِتِّیْنَ/سِتِّينَ/sittina//مِسْكِیْنًا ؕ/مِسۡكِينٗاۚ/mis'kinan//ذٰلِكَ/ذَٰلِكَ/dhalika//لِتُؤْمِنُوْا/لِتُؤۡمِنُواْ/litu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ ؕ/وَرَسُولِهِۦۚ/warasulihi//وَ تِلْكَ/وَتِلۡكَ/watil'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ لِلْكٰفِرِیْنَ/وَلِلۡكَٰفِرِينَ/walil'kafirina//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٌ/alimun",
              "words_bangla": "যে অতঃপর//না//পায় (কোন দাস)//তবে রোজা রাখবে//দু'মাস//একটানা//থেকে//পূর্বে//যে//পরস্পরে স্পর্শ করার//যে অতঃপর//না//সমর্থ হবে//তবে খানা খাওয়াবে//ষাটজন//নিঃস্বকে//এটা (এজন্যে)//যেন তোমরা ঈমান আন//আল্লাহ্‌র উপর//এবং তাঁর রাসূলের (উপর)//এবং এটা//নির্ধারিত সীমাসমূহ//আল্লাহ্‌র//এবং কাফিরদের জন্য (রয়েছে)//শাস্তি//যন্ত্রণাদায়ক"
            },
            {
              "number": 5109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5109.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُحَآدُّونَ ٱللَّهَ وَرَسُولَهُۥ كُبِتُوا۟ كَمَا كُبِتَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ وَقَدْ أَنزَلْنَآ ءَايَٰتٍۭ بَيِّنَٰتٍۢ ۚ وَلِلْكَٰفِرِينَ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "যারা আল্লাহর তাঁর রসূলের বিরুদ্ধাচরণ করে, তারা অপদস্থ হয়েছে, যেমন অপদস্থ হয়েছে তাদের পূর্ববর্তীরা। আমি সুস্পষ্ট আয়াতসমূহ নাযিল করেছি। আর কাফেরদের জন্যে রয়েছে অপমানজনক শাস্তি।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউহাদ্দূনাল্লা-হা ওয়া রাছূলাহূকুবিতূকামা-কুবিতাল্লাযীনা মিন কাবলিহিম ওয়া কাদ আনঝালনাআ-য়া-তিম বাইয়িনা-তিওঁ ওয়ালিলকা-ফিরীনা ‘আযা-বুম মুহীন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُحَآدُّوْنَ/يُحَآدُّونَ/yuhadduna//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//كُبِتُوْا/كُبِتُواْ/kubitu//كَمَا/كَمَا/kama//كُبِتَ/كُبِتَ/kubita//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡۚ/qablihim//وَ قَدْ/وَقَدۡ/waqad//اَنْزَلْنَاۤ/أَنزَلۡنَآ/anzalna//اٰیٰتٍۭ/ءَايَٰتِۭ/ayatin//بَیِّنٰتٍ ؕ/بَيِّنَٰتٖۚ/bayyinatin//وَ لِلْكٰفِرِیْنَ/وَلِلۡكَٰفِرِينَ/walil'kafirina//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌۚ/مُّهِينٞ/muhinun",
              "words_bangla": "নিশ্চয়ই//যারা//বিরোধিতা করে//আল্লাহ্‌র//তাঁর রাসুলের//তাদের লাঞ্ছিত করা হবে//যেমন//লাঞ্ছিত করা হয়েছিল//(তাদেরকে) যারা//থেকে//তাদের পূর্বে (ছিল)//এবং নিশ্চয়ই//আমরা অবতীর্ণ করেছি//আয়াতসমূহ//সুস্পষ্ট//এবং কাফিরদের জন্যে রয়েছে//শাস্তি//অপমানকর"
            },
            {
              "number": 5110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5110.mp3"
              ],
              "text": "يَوْمَ يَبْعَثُهُمُ ٱللَّهُ جَمِيعًۭا فَيُنَبِّئُهُم بِمَا عَمِلُوٓا۟ ۚ أَحْصَىٰهُ ٱللَّهُ وَنَسُوهُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌ",
              "translate_bn": "সেদিন স্মরণীয়; যেদিন আল্লাহ তাদের সকলকে পুনরুত্থিত করবেন, অতঃপর তাদেরকে জানিয়ে দিবেন যা তারা করত। আল্লাহ তার হিসাব রেখেছেন, আর তারা তা ভুলে গেছে। আল্লাহর সামনে উপস্থিত আছে সব বস্তুই।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 542,
              "ruku": 476,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াব‘আছুহুমুল্লা-হু জামী‘আন ফাইউনাব্বিউহুম বিমা-‘আমিলূ আহসা-হুল্লা-হু ওয়া নাছূহু ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَبْعَثُهُمُ/يَبۡعَثُهُمُ/yab'athuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//جَمِیْعًا/جَمِيعٗا/jami'an//فَیُنَبِّئُهُمْ/فَيُنَبِّئُهُم/fayunabbi-uhum//بِمَا/بِمَا/bima//عَمِلُوْا ؕ/عَمِلُوٓاْۚ/amilu//اَحْصٰىهُ/أَحۡصَىٰهُ/ahsahu//اللّٰهُ/ٱللَّهُ/al-lahu//وَ نَسُوْهُ ؕ/وَنَسُوهُۚ/wanasuhu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌ۠/شَهِيدٌ/shahidun",
              "words_bangla": "যেদিন//তাদের উত্থিত করবেন//আল্লাহ্‌//সকলকেই//অতঃপর তাদের জানিয়ে দিবেন//যা//তারা কাজ করেছে//তা গুণে রেখেছেন//আল্লাহ্‌//অথচ তা তারা ভুলে গেছে//এবং আল্লাহ্‌//উপর//সব//কিছুরই//সাক্ষী"
            },
            {
              "number": 5111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5111.mp3"
              ],
              "text": "أَلَمْ تَرَ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ مَا يَكُونُ مِن نَّجْوَىٰ ثَلَٰثَةٍ إِلَّا هُوَ رَابِعُهُمْ وَلَا خَمْسَةٍ إِلَّا هُوَ سَادِسُهُمْ وَلَآ أَدْنَىٰ مِن ذَٰلِكَ وَلَآ أَكْثَرَ إِلَّا هُوَ مَعَهُمْ أَيْنَ مَا كَانُوا۟ ۖ ثُمَّ يُنَبِّئُهُم بِمَا عَمِلُوا۟ يَوْمَ ٱلْقِيَٰمَةِ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ",
              "translate_bn": "আপনি কি ভেবে দেখেননি যে, নভোমন্ডল ও ভূমন্ডলে যা কিছু আছে, আল্লাহ তা জানেন। তিন ব্যক্তির এমন কোন পরামর্শ হয় না যাতে তিনি চতুর্থ না থাকেন এবং পাঁচ জনেরও হয় না, যাতে তিনি ষষ্ঠ না থাকেন তারা এতদপেক্ষা কম হোক বা বেশী হোক তারা যেখানেই থাকুক না কেন তিনি তাদের সাথে আছেন, তারা যা করে, তিনি কেয়ামতের দিন তা তাদেরকে জানিয়ে দিবেন। নিশ্চয় আল্লাহ সর্ববিষয়ে সম্যক জ্ঞাত।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 543,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা আন্নাল্লা-হা ইয়া‘লামুমা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি মাইয়াকূনুমিন নাজওয়া-ছালা-ছাতিন ইল্লা-হুওয়া রা-বি‘উহুম ওয়ালা-খামছাতিন ইল্লাহুওয়া ছা-দিছুহুম ওয়ালাআদনা-মিন যা-লিকা ওয়ালাআকছারা ইল্লা-হুওয়া মা‘আহুম আইনা মা-কা-নূ ছু ম্মা ইউনাব্বিউহুম বিমা-‘আমিলূইয়াওমাল কিয়া-মাতি ইন্নাল্লা-হা বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ؕ/ٱلۡأَرۡضِۖ/al-ardi//مَا/مَا/ma//یَكُوْنُ/يَكُونُ/yakunu//مِنْ/مِن/min//نَّجْوٰی/نَّجۡوَىٰ/najwa//ثَلٰثَةٍ/ثَلَٰثَةٍ/thalathatin//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//رَابِعُهُمْ/رَابِعُهُمۡ/rabi'uhum//وَ لَا/وَلَا/wala//خَمْسَةٍ/خَمۡسَةٍ/khamsatin//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//سَادِسُهُمْ/سَادِسُهُمۡ/sadisuhum//وَ لَاۤ/وَلَآ/wala//اَدْنٰی/أَدۡنَىٰ/adna//مِنْ/مِن/min//ذٰلِكَ/ذَٰلِكَ/dhalika//وَ لَاۤ/وَلَآ/wala//اَكْثَرَ/أَكۡثَرَ/akthara//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//مَعَهُمْ/مَعَهُمۡ/ma'ahum//اَیْنَ/أَيۡنَ/ayna//مَا/مَا/ma//كَانُوْا ۚ/كَانُواْۖ/kanu//ثُمَّ/ثُمَّ/thumma//یُنَبِّئُهُمْ/يُنَبِّئُهُم/yunabbi-uhum//بِمَا/بِمَا/bima//عَمِلُوْا/عَمِلُواْ/amilu//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ؕ/ٱلۡقِيَٰمَةِۚ/al-qiyamati//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٌ/alimun",
              "words_bangla": "না কি//তুমি জানো//যে//আল্লাহ্‌//জানেন//যা কিছু//মধ্যে আছে//আকাশসমূহের//এবং যা কিছু//মধ্যে আছে//পৃথিবীর//না//হতে পারে//কোনো//গোপন পরামর্শ//তিনজনের//এছাড়া//তিনি (থাকেন)//তাদের চতুর্থজন//এবং না//পাঁচজনের//এছাড়া//তিনি (হবেন)//তাদের ষষ্ঠজন//এবং না//কম হোক//চেয়ে//এর//এবং না//বেশি (হোক)//এছাড়া//তিনি//তাদের সাথে (আছেন)//যেখানেই//না//তারা থাকুক//এরপর//তাদের জানাবেন//ঐ বিষয়ে যা//তারা কাজ করেছে//দিনে//কিয়ামতের//নিশ্চয়ই//আল্লাহ্‌//সব সম্পর্কে//কিছুর//খুব অবহিত"
            },
            {
              "number": 5112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5112.mp3"
              ],
              "text": "أَلَمْ تَرَ إِلَى ٱلَّذِينَ نُهُوا۟ عَنِ ٱلنَّجْوَىٰ ثُمَّ يَعُودُونَ لِمَا نُهُوا۟ عَنْهُ وَيَتَنَٰجَوْنَ بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَمَعْصِيَتِ ٱلرَّسُولِ وَإِذَا جَآءُوكَ حَيَّوْكَ بِمَا لَمْ يُحَيِّكَ بِهِ ٱللَّهُ وَيَقُولُونَ فِىٓ أَنفُسِهِمْ لَوْلَا يُعَذِّبُنَا ٱللَّهُ بِمَا نَقُولُ ۚ حَسْبُهُمْ جَهَنَّمُ يَصْلَوْنَهَا ۖ فَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "আপনি কি ভেবে দেখেননি, যাদেরকে কানাঘুষা করতে নিষেধ করা হয়েছিল অতঃপর তারা নিষিদ্ধ কাজেরই পুনরাবৃত্তি করে এবং পাপাচার, সীমালংঘন এবং রসূলের অবাধ্যতার বিষয়েই কানাঘুষা করে। তারা যখন আপনার কাছে আসে, তখন আপনাকে এমন ভাষায় সালাম করে, যদ্দ্বারা আল্লাহ আপনাকে সালাম করেননি। তারা মনে মনে বলেঃ আমরা যা বলি, তজ্জন্যে আল্লাহ আমাদেরকে শাস্তি দেন না কেন? জাহান্নামই তাদের জন্যে যথেষ্ট। তারা তাতে প্রবেশ করবে। কতই না নিকৃষ্ট সেই জায়গা।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 543,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা নুহূ‘আনিন্নাজওয়া-ছু ম্মা ইয়া‘ঊদূ না লিমা-নুহূ ‘আনহু ওয়া ইয়াতানা-জাওনা বিলইছমি ওয়াল ‘উদওয়া-নি ওয়া মা‘সিয়াতিররাছূলি ওয়া ইযাজাঊকা হাইইয়াওকা বিমা-লাম ইউহায়িকা বিহিল্লা-হু ওয়া ইয়াকূলূনা ফী আনফুছিহিম লাওলা-ইউ‘আযযি বুনাল্লা-হু বিমা-নাকূলু হাছবুহুম জাহান্নামু ইয়াসলাওনাহা- ফাবি’ছাল মাসীর।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//نُهُوْا/نُهُواْ/nuhu//عَنِ/عَنِ/ani//النَّجْوٰی/ٱلنَّجۡوَىٰ/al-najwa//ثُمَّ/ثُمَّ/thumma//یَعُوْدُوْنَ/يَعُودُونَ/ya'uduna//لِمَا/لِمَا/lima//نُهُوْا/نُهُواْ/nuhu//عَنْهُ/عَنۡهُ/anhu//وَ یَتَنٰجَوْنَ/وَيَتَنَٰجَوۡنَ/wayatanajawna//بِالْاِثْمِ/بِٱلۡإِثۡمِ/bil-ith'mi//وَ الْعُدْوَانِ/وَٱلۡعُدۡوَٰنِ/wal-'ud'wani//وَ مَعْصِیَتِ/وَمَعۡصِيَتِ/wama'siyati//الرَّسُوْلِ ؗ/ٱلرَّسُولِۖ/al-rasuli//وَ اِذَا/وَإِذَا/wa-idha//جَآءُوْكَ/جَآءُوكَ/jauka//حَیَّوْكَ/حَيَّوۡكَ/hayyawka//بِمَا/بِمَا/bima//لَمْ/لَمۡ/lam//یُحَیِّكَ/يُحَيِّكَ/yuhayyika//بِهِ/بِهِ/bihi//اللّٰهُ ۙ/ٱللَّهُ/al-lahu//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//فِیْۤ/فِيٓ/fi//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//لَوْ لَا/لَوۡلَا/lawla//یُعَذِّبُنَا/يُعَذِّبُنَا/yu'adhibuna//اللّٰهُ/ٱللَّهُ/al-lahu//بِمَا/بِمَا/bima//نَقُوْلُ ؕ/نَقُولُۚ/naqulu//حَسْبُهُمْ/حَسۡبُهُمۡ/hasbuhum//جَهَنَّمُ ۚ/جَهَنَّمُ/jahannamu//یَصْلَوْنَهَا ۚ/يَصۡلَوۡنَهَاۖ/yaslawnaha//فَبِئْسَ/فَبِئۡسَ/fabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "নি কি//তুমি দেখ//দিকে//(তাদেরকে) যাদের//নিষেধ করা হয়েছিল//হতে//গোপন পরামর্শ//এরপর//তারা পুনরাবৃত্তি করে//ঐ বিষয়ে যা//নিষেধ করা হয়েছিল//তা হতে//ও পরস্পর গোপন পরামর্শ করে//পাপের//ও বাড়াবাড়ির//এবং অবাধ্যতার (জন্যে)//রাসূলের//এবং যখন//তারা তোমার কাছে আসে//তোমাকে অভিবাদন করে//এমন ভাবে//নি//তোমাকে অভিবাদন করে//যেভাবে//আল্লাহ্‌//এবং তারা বলে//মধ্যে//তাদের নিজেদের (মনের)//\"না কেন//আমাদেরকে শাস্তি দেন//আল্লাহ্‌//একারনে যা//বলি আমরা\"//তাদের জন্যে যথেষ্ট//জাহান্নাম//তাতে তারা প্রবেশ করবে//অতি নিকৃষ্ট তা//আবাসস্থল (হিসেবে)"
            },
            {
              "number": 5113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5113.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا تَنَٰجَيْتُمْ فَلَا تَتَنَٰجَوْا۟ بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَمَعْصِيَتِ ٱلرَّسُولِ وَتَنَٰجَوْا۟ بِٱلْبِرِّ وَٱلتَّقْوَىٰ ۖ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "মুমিনগণ, তোমরা যখন কানাকানি কর, তখন পাপাচার, সীমালংঘন ও রসূলের অবাধ্যতার বিষয়ে কানাকানি করো না বরং অনুগ্রহ ও খোদাভীতির ব্যাপারে কানাকানি করো। আল্লাহকে ভয় কর, যাঁর কাছে তোমরা একত্রিত হবে।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 543,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-তানা-জাইতুম ফালা-তাতানা-জাও বিল ইছমি ওয়াল ‘উদওয়া-নি ওয়ামা‘সিয়াতির রাছূলি ওয়া তানা-জাও বিলবিররি ওয়াত্তাকওয়া- ওয়াত্তাকুল্লা-হাল্লাযীইলাইহি তুহশারূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//تَنَاجَیْتُمْ/تَنَٰجَيۡتُمۡ/tanajaytum//فَلَا/فَلَا/fala//تَتَنَاجَوْا/تَتَنَٰجَوۡاْ/tatanajaw//بِالْاِثْمِ/بِٱلۡإِثۡمِ/bil-ith'mi//وَ الْعُدْوَانِ/وَٱلۡعُدۡوَٰنِ/wal-'ud'wani//وَ مَعْصِیَتِ/وَمَعۡصِيَتِ/wama'siyati//الرَّسُوْلِ/ٱلرَّسُولِ/al-rasuli//وَ تَنَاجَوْا/وَتَنَٰجَوۡاْ/watanajaw//بِالْبِرِّ/بِٱلۡبِرِّ/bil-biri//وَ التَّقْوٰی ؕ/وَٱلتَّقۡوَىٰۖ/wal-taqwa//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اِلَیْهِ/إِلَيۡهِ/ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যখন//তোমরা গোপনে পরামর্শ করো//না তবে//পরস্পরে গোপন পরামর্শ করো//পাপের বিষয়ে//ও বাড়াবাড়ির//এবং অবাধ্যতার (ক্ষেত্রে)//রাসূলের//এবং তোমরা গোপনে পরামর্শ করো//কল্যাণকর কাজ সম্পর্কে//এবং তাকওয়ার (ক্ষেত্রে)//এবং তোমরা ভয় করো//আল্লাহকে//যিনি (এমন সত্তা যে)//তাঁর দিকে//তোমাদের সমবেত করা হবে"
            },
            {
              "number": 5114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5114.mp3"
              ],
              "text": "إِنَّمَا ٱلنَّجْوَىٰ مِنَ ٱلشَّيْطَٰنِ لِيَحْزُنَ ٱلَّذِينَ ءَامَنُوا۟ وَلَيْسَ بِضَآرِّهِمْ شَيْـًٔا إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "এই কানাঘুষা তো শয়তানের কাজ; মুমিনদেরকে দুঃখ দেয়ার দেয়ার জন্যে। তবে আল্লাহর অনুমতি ব্যতীত সে তাদের কোন ক্ষতি করতে পারবে না। মুমিনদের উচিত আল্লাহর উপর ভরসা করা।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 543,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইন্নামান্নাজওয়া-মিনাশশাইতা-নি লিয়াহঝুনাল্লাযীনা আ-মানূওয়া লাইছা বিদারিহিম শাইআন ইল্লা-বিইযনিল্লা -হি ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//النَّجْوٰی/ٱلنَّجۡوَىٰ/al-najwa//مِنَ/مِنَ/mina//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//لِیَحْزُنَ/لِيَحۡزُنَ/liyahzuna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ لَیْسَ/وَلَيۡسَ/walaysa//بِضَآرِّهِمْ/بِضَآرِّهِمۡ/bidarrihim//شَیْـًٔا/شَيۡـًٔا/shayan//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "মূলত//গোপন পরামর্শ (করা হয়)//পক্ষ হতে//শয়তানের//দুঃখ দেয়ার জন্যে//(তাদেরকে) যারা//ঈমান এনেছে//আর না (কেউ)//তাদেরকে ক্ষতি করতে পারবে//কিছুই//ব্যতীত//অনুমতি//আল্লাহ্‌র//এবং উপর//আল্লাহ্‌রই//ভরসা করা কর্তব্য//মু'মিনদের"
            },
            {
              "number": 5115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5115.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا قِيلَ لَكُمْ تَفَسَّحُوا۟ فِى ٱلْمَجَٰلِسِ فَٱفْسَحُوا۟ يَفْسَحِ ٱللَّهُ لَكُمْ ۖ وَإِذَا قِيلَ ٱنشُزُوا۟ فَٱنشُزُوا۟ يَرْفَعِ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ دَرَجَٰتٍۢ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "মুমিনগণ, যখন তোমাদেরকে বলা হয়ঃ মজলিসে স্থান প্রশস্ত করে দাও, তখন তোমরা স্থান প্রশস্ত করে দিও। আল্লাহর জন্যে তোমাদের জন্য প্রশস্ত করে দিবেন। যখন বলা হয়ঃ উঠে যাও, তখন উঠে যেয়ো। তোমাদের মধ্যে যারা ঈমানদার এবং যারা জ্ঞানপ্রাপ্ত, আল্লাহ তাদের মর্যাদা উচ্চ করে দিবেন। আল্লাহ খবর রাখেন যা কিছু তোমরা কর।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 543,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-কীলা লাকুম তাফাছ ছাহূফিল মাজা-লিছি ফাফছাহূ ইয়াফছাহিল্লা-হু লাকুম ওয়া ইযা-কীলানশুঝূফানশুঝূইয়ারফা‘ইল্লা-হুল্লাযীনা আমানূমিনকুম ওয়াল্লাযীনা ঊতুল ‘ইলমা দারাজা-তিও ওয়াল্লা-হু বিমা- তা‘মালূনা খাবীর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//قِیْلَ/قِيلَ/qila//لَكُمْ/لَكُمۡ/lakum//تَفَسَّحُوْا/تَفَسَّحُواْ/tafassahu//فِی/فِي/fi//الْمَجٰلِسِ/ٱلۡمَجَٰلِسِ/al-majalisi//فَافْسَحُوْا/فَٱفۡسَحُواْ/fa-if'sahu//یَفْسَحِ/يَفۡسَحِ/yafsahi//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ ۚ/لَكُمۡۖ/lakum//وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//انْشُزُوْا/ٱنشُزُواْ/unshuzu//فَانْشُزُوْا/فَٱنشُزُواْ/fa-unshuzu//یَرْفَعِ/يَرۡفَعِ/yarfa'i//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنْكُمْ ۙ/مِنكُمۡ/minkum//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اُوْتُوا/أُوتُواْ/utu//الْعِلْمَ/ٱلۡعِلۡمَ/al-'il'ma//دَرَجٰتٍ ؕ/دَرَجَٰتٖۚ/darajatin//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যখন//বলা হয়//তোমাদেরকে//\"তোমরা প্রশস্ত করে দাও\"//মধ্যে//বৈঠকের//তোমরা তখন প্রশস্ত করে দাও//প্রশস্থতা দেবেন//আল্লাহ্‌//তোমাদেরকে//এবং যখন//বলা হয়//\"তোমরা উঠে যাও\"//তোমরা তখন উঠে যেয়ো//উন্নত করবেন/ বাড়িয়ে দেবেন//আল্লাহ্‌//(তাদেরকে) যারা//ঈমান এনেছে//তোমাদের মধ্য হতে//এবং যাদের//দেয়া হয়েছে//জ্ঞান//মর্যাদায় (উন্নত করবেন)//এবং আল্লাহ্‌//সেবিষয়ে যা//তোমরা কাজ করছ//খুব অবহিত"
            },
            {
              "number": 5116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5116.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نَٰجَيْتُمُ ٱلرَّسُولَ فَقَدِّمُوا۟ بَيْنَ يَدَىْ نَجْوَىٰكُمْ صَدَقَةًۭ ۚ ذَٰلِكَ خَيْرٌۭ لَّكُمْ وَأَطْهَرُ ۚ فَإِن لَّمْ تَجِدُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "মুমিনগণ, তোমরা রসূলের কাছে কানকথা বলতে চাইলে তৎপূর্বে সদকা প্রদান করবে। এটা তোমাদের জন্যে শ্রেয়ঃ ও পবিত্র হওয়ার ভাল উপায়। যদি তাতে সক্ষম না হও, তবে আল্লাহ ক্ষমাশীল, পরম দয়ালু।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-না-জাইতুমুর রাছূলা ফাকাদ্দিমূবাইনা ইয়াদাই নাজওয়া-কুম সাদাকাতান যা-লিকা খাইরুল্লাকুম ওয়া আতহারু ফাইল্লাম তাজিদূ ফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//نَاجَیْتُمُ/نَٰجَيۡتُمُ/najaytumu//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//فَقَدِّمُوْا/فَقَدِّمُواْ/faqaddimu//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//نَجْوٰىكُمْ/نَجۡوَىٰكُمۡ/najwakum//صَدَقَةً ؕ/صَدَقَةٗۚ/sadaqatan//ذٰلِكَ/ذَٰلِكَ/dhalika//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//وَ اَطْهَرُ ؕ/وَأَطۡهَرُۚ/wa-atharu//فَاِنْ/فَإِن/fa-in//لَّمْ/لَّمۡ/lam//تَجِدُوْا/تَجِدُواْ/tajidu//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "হে//যারা//ঈমান এনেছ//যখন//তোমরা একান্তে কথা বলবে//রাসূলের সাথে//তোমরা পেশ করবে//(মাঝে)//পূর্বে//তোমার একান্তে কথা বলার//সদকা//এটা//উত্তম//তোমাদের জন্য//এবং পবিত্র//আর যদি//না//তোমরা পাও (কিছুই)//নিশ্চয়ই তবে//আল্লাহ্‌//ক্ষমাশীল//পরম দয়ালু"
            },
            {
              "number": 5117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5117.mp3"
              ],
              "text": "ءَأَشْفَقْتُمْ أَن تُقَدِّمُوا۟ بَيْنَ يَدَىْ نَجْوَىٰكُمْ صَدَقَٰتٍۢ ۚ فَإِذْ لَمْ تَفْعَلُوا۟ وَتَابَ ٱللَّهُ عَلَيْكُمْ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "তোমরা কি কানকথা বলার পূর্বে সদকা প্রদান করতে ভীত হয়ে গেলে? অতঃপর তোমরা যখন সদকা দিতে পারলে না এবং আল্লাহ তোমাদেরকে মাফ করে দিলেন তখন তোমরা নামায কায়েম কর, যাকাত প্রদান কর এবং আল্লাহ ও রসূলের আনুগত্য কর। আল্লাহ খবর রাখেন তোমরা যা কর।",
              "numberInSurah": 13,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 477,
              "hizbQuarter": 217,
              "sajda": false,
              "pronunciation_bn": "আ আশফাকতুম আন তুকাদ্দিমূবাইনা ইয়াদাই নাজওয়া-কুম সাদাকা-তিন ফাইযলাম তাফ‘আলূওয়া তা-বাল্লা-হু ‘আলাইকুম ফাআকীমুসসালা-তা ওয়া আ-তুঝঝাকা-তা ওয়া আতী‘উল্লা-হা ওয়া রাছূলাহূ ওয়াল্লা-হু খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "ءَاَشْفَقْتُمْ/ءَأَشۡفَقۡتُمۡ/a-ashfaqtum//اَنْ/أَن/an//تُقَدِّمُوْا/تُقَدِّمُواْ/tuqaddimu//بَیْنَ/بَيۡنَ/bayna//یَدَیْ/يَدَيۡ/yaday//نَجْوٰىكُمْ/نَجۡوَىٰكُمۡ/najwakum//صَدَقٰتٍ ؕ/صَدَقَٰتٖۚ/sadaqatin//فَاِذْ/فَإِذۡ/fa-idh//لَمْ/لَمۡ/lam//تَفْعَلُوْا/تَفۡعَلُواْ/taf 'alu//وَ تَابَ/وَتَابَ/wataba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//فَاَقِیْمُوا/فَأَقِيمُواْ/fa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ؕ/وَرَسُولَهُۥۚ/warasulahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "তোমরা কি ভয় পেয়ে গেছ//যে//তোমরা দিবে//(মাঝে)//পূর্বে//তোমাদের একান্তে কথা বলার//সদকা//যদি অতঃপর//না//তোমরা করতে পার//আর মাফ করে দিলেন//আল্লাহ্‌//তোমাদেরকে//তবে তোমরা প্রতিষ্ঠা কর//সালাত//এবং তোমরা দাও//জাকাত//এবং তোমরা আনুগত্য করো//আল্লাহ্‌র//ও তাঁর রাসূলের//এবং আল্লাহ্‌//খুব অবহিত//ঐ বিষয়ে যা//তোমরা কাজ কর"
            },
            {
              "number": 5118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5118.mp3"
              ],
              "text": "۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ تَوَلَّوْا۟ قَوْمًا غَضِبَ ٱللَّهُ عَلَيْهِم مَّا هُم مِّنكُمْ وَلَا مِنْهُمْ وَيَحْلِفُونَ عَلَى ٱلْكَذِبِ وَهُمْ يَعْلَمُونَ",
              "translate_bn": "আপনি কি তাদের প্রতি লক্ষ্য করেননি, যারা আল্লাহর গযবে নিপতিত সম্প্রদায়ের সাথে বন্ধুত্ব করে? তারা মুসলমানদের দলভুক্ত নয় এবং তাদেরও দলভূক্ত নয়। তারা জেনেশুনে মিথ্যা বিষয়ে শপথ করে।",
              "numberInSurah": 14,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা তাওয়াল্লাও কাওমান গাদিবাল্লা-হু ‘আলাইহিম মা-হুম মিনকুম ওয়ালা-মিনহুম ওয়া ইয়াহলিফূনা ‘আলাল কাযিবি ওয়া হুম ইয়া‘লামূন।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//تَوَلَّوْا/تَوَلَّوۡاْ/tawallaw//قَوْمًا/قَوۡمًا/qawman//غَضِبَ/غَضِبَ/ghadiba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ ؕ/عَلَيۡهِم/alayhim//مَا/مَّا/ma//هُمْ/هُم/hum//مِّنْكُمْ/مِّنكُمۡ/minkum//وَ لَا/وَلَا/wala//مِنْهُمْ ۙ/مِنۡهُمۡ/min'hum//وَ یَحْلِفُوْنَ/وَيَحۡلِفُونَ/wayahlifuna//عَلَی/عَلَى/ala//الْكَذِبِ/ٱلۡكَذِبِ/al-kadhibi//وَ هُمْ/وَهُمۡ/wahum//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "নি কি//তুমি দেখ//প্রতি//(তাদের) যারা//বন্ধু বানিয়ে নিয়েছে//(এমন) সম্প্রদায়//অভিশাপ দিয়েছেন//আল্লাহ্‌//যাদের উপর//না//তারা//তোমাদের অন্তর্ভুক্ত//এবং না//তাদের অন্তর্ভুক্ত//এবং তারা শপথ করে//উপর//মিথ্যার//অথচ তারা//জানেও"
            },
            {
              "number": 5119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5119.mp3"
              ],
              "text": "أَعَدَّ ٱللَّهُ لَهُمْ عَذَابًۭا شَدِيدًا ۖ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "আল্লাহ তাদের জন্যে কঠোর শাস্তি প্রস্তুত রেখেছেন। নিশ্চয় তারা যা করে, খুবই মন্দ।",
              "numberInSurah": 15,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "আ‘আদ্দাল্লা-হু লাহুম ‘আযা-বান শাদীদান ইন্নাহুম ছাআ মা-কা-নূইয়া‘মালূন।",
              "words_arabic": "اَعَدَّ/أَعَدَّ/a'adda//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا ؕ/شَدِيدًاۖ/shadidan//اِنَّهُمْ/إِنَّهُمۡ/innahum//سَآءَ/سَآءَ/saa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "প্রস্তুত রেখেছেন//আল্লাহ্‌//তাদের জন্যে//শাস্তি//কঠোর//নিশ্চয়ই তারা//অতি মন্দ//যা কিছু//তারা ছিল//তারা কাজ করে আসছে"
            },
            {
              "number": 5120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5120.mp3"
              ],
              "text": "ٱتَّخَذُوٓا۟ أَيْمَٰنَهُمْ جُنَّةًۭ فَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ فَلَهُمْ عَذَابٌۭ مُّهِينٌۭ",
              "translate_bn": "তারা তাদের শপথকে ঢাল করে রেখেছেন, অতঃপর তারা আল্লাহর পথ থেকে মানুষকে বাধা প্রদান করে। অতএব, তাদের জন্য রয়েছে অপমানজনক শাস্তি।",
              "numberInSurah": 16,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ইত্তাখাযূআইমা-নাহুম জূন্নাতান ফাসাদ্দূ‘আন ছাবীলিল্লা-হি ফালাহুম ‘আযা-বুম মুহীন।",
              "words_arabic": "اِتَّخَذُوْۤا/ٱتَّخَذُوٓاْ/ittakhadhu//اَیْمَانَهُمْ/أَيۡمَٰنَهُمۡ/aymanahum//جُنَّةً/جُنَّةٗ/junnatan//فَصَدُّوْا/فَصَدُّواْ/fasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//فَلَهُمْ/فَلَهُمۡ/falahum//عَذَابٌ/عَذَابٞ/adhabun//مُّهِیْنٌ /مُّهِينٞ/muhinun",
              "words_bangla": "তারা গ্রহণ করেছে//তাদের শপথগুলোকে//ঢালস্বরূপ//অতঃপর তারা বাধা দেয়//হতে//পথ//আল্লাহ্‌র//অতএব তাদের জন্য (রয়েছে)//শাস্তি//অপমানকর"
            },
            {
              "number": 5121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5121.mp3"
              ],
              "text": "لَّن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَٰدُهُم مِّنَ ٱللَّهِ شَيْـًٔا ۚ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَٰلِدُونَ",
              "translate_bn": "আল্লাহর কবল থেকে তাদের ধন-সম্পদ ও সন্তান-সন্ততি তাদেরকে মোটেই বাঁচাতে পারবেনা। তারাই জাহান্নামের অধিবাসী তথায় তারা চিরকাল থাকবে।",
              "numberInSurah": 17,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "লান তুগনিয়া ‘আনহুম আমওয়া-লুহুম ওয়ালাআওলা-দুহুম মিনাল্লা-হি শাইআন উলাইকা আসহা-বুন্না-রি হুম ফীহা-খা-লিদূ ন।",
              "words_arabic": "لَنْ/لَّن/lan//تُغْنِیَ/تُغۡنِيَ/tugh'niya//عَنْهُمْ/عَنۡهُمۡ/anhum//اَمْوَالُهُمْ/أَمۡوَٰلُهُمۡ/amwaluhum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُهُمْ/أَوۡلَٰدُهُم/awladuhum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا ؕ/شَيۡـًٔاۚ/shayan//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ ؕ/ٱلنَّارِۖ/al-nari//هُمْ/هُمۡ/hum//فِیْهَا/فِيهَا/fiha//خٰلِدُوْنَ /خَٰلِدُونَ/khaliduna",
              "words_bangla": "কখনই না//কাজে লাগবে//তাদের জন্যে//তাদের ধনসম্পদ//এবং না//তাদের সন্তানাদি (বাঁচার জন্য)//হতে//আল্লাহ্‌//কিছুমাত্র//ঐসব লোক//অধিবাসী//জাহান্নামের//তারা//তার মধ্যে//চিরকাল থাকবে"
            },
            {
              "number": 5122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5122.mp3"
              ],
              "text": "يَوْمَ يَبْعَثُهُمُ ٱللَّهُ جَمِيعًۭا فَيَحْلِفُونَ لَهُۥ كَمَا يَحْلِفُونَ لَكُمْ ۖ وَيَحْسَبُونَ أَنَّهُمْ عَلَىٰ شَىْءٍ ۚ أَلَآ إِنَّهُمْ هُمُ ٱلْكَٰذِبُونَ",
              "translate_bn": "যেদিন আল্লাহ তাদের সকলকে পুনরুত্থিত করবেন। অতঃপর তারা আল্লাহর সামনে শপথ করবে, যেমন তোমাদের সামনে শপথ করে। তারা মনে করবে যে, তারা কিছু সৎপথে আছে। সাবধান, তারাই তো আসল মিথ্যাবাদী।",
              "numberInSurah": 18,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াব‘আছুহুমুল্লা-হু জামী‘আন ফাইয়াহলিফূনা লাহূকামা-ইয়াহলিফূনা লাকুম ওয়া ইয়াহছাবূনা আন্নাহুম ‘আলা-শাইয়িন আলাইন্নাহুম হুমুল কা-যিবূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَبْعَثُهُمُ/يَبۡعَثُهُمُ/yab'athuhumu//اللّٰهُ/ٱللَّهُ/al-lahu//جَمِیْعًا/جَمِيعٗا/jami'an//فَیَحْلِفُوْنَ/فَيَحۡلِفُونَ/fayahlifuna//لَهٗ/لَهُۥ/lahu//كَمَا/كَمَا/kama//یَحْلِفُوْنَ/يَحۡلِفُونَ/yahlifuna//لَكُمْ/لَكُمۡ/lakum//وَ یَحْسَبُوْنَ/وَيَحۡسَبُونَ/wayahsabuna//اَنَّهُمْ/أَنَّهُمۡ/annahum//عَلٰی/عَلَىٰ/ala//شَیْءٍ ؕ/شَيۡءٍۚ/shayin//اَلَاۤ/أَلَآ/ala//اِنَّهُمْ/إِنَّهُمۡ/innahum//هُمُ/هُمُ/humu//الْكٰذِبُوْنَ /ٱلۡكَٰذِبُونَ/al-kadhibuna",
              "words_bangla": "যেদিন//তাদের উঠাবেন//আল্লাহ্‌//সকলকেই//তারা তখনও শপথ করবে//তাঁর কাছে//যেমন//তারা শপথ করে//তোমাদের কাছে//ও তারা মনে করে//যে তারা//(প্রতিষ্ঠিত) উপর//কোনো কিছুর//সাবধান//নিশ্চয়ই তারা//তারাই//মিথ্যাবাদী"
            },
            {
              "number": 5123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5123.mp3"
              ],
              "text": "ٱسْتَحْوَذَ عَلَيْهِمُ ٱلشَّيْطَٰنُ فَأَنسَىٰهُمْ ذِكْرَ ٱللَّهِ ۚ أُو۟لَٰٓئِكَ حِزْبُ ٱلشَّيْطَٰنِ ۚ أَلَآ إِنَّ حِزْبَ ٱلشَّيْطَٰنِ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "শয়তান তাদেরকে বশীভূত করে নিয়েছে, অতঃপর আল্লাহর স্মরণ ভূলিয়ে দিয়েছে। তারা শয়তানের দল। সাবধান, শয়তানের দলই ক্ষতিগ্রস্ত।",
              "numberInSurah": 19,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ইছতাহওয়াযা ‘আলাইহিমুশশাইতা-নুফাআনছা-হুম যিকরাল্লা-হি উলাইকা হিঝবুশশাইতা-নি আলাইন্না হিঝবাশশাইতা-নি হুমুল খা-ছিরূন।",
              "words_arabic": "اِسْتَحْوَذَ/ٱسۡتَحۡوَذَ/is'tahwadha//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الشَّیْطٰنُ/ٱلشَّيۡطَٰنُ/al-shaytanu//فَاَنْسٰىهُمْ/فَأَنسَىٰهُمۡ/fa-ansahum//ذِكْرَ/ذِكۡرَ/dhik'ra//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//حِزْبُ/حِزۡبُ/hiz'bu//الشَّیْطٰنِ ؕ/ٱلشَّيۡطَٰنِۚ/al-shaytani//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//حِزْبَ/حِزۡبَ/hiz'ba//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "প্রভুত্ব বিস্তার করেছে//তাদের উপর//শয়তান//অতঃপর তাদের ভুলিয়ে দিয়েছে//স্মরণ//আল্লাহ্‌র//ঐসব লোক (অন্তর্ভুক্ত)//দলের//শয়তানের//সাবধান//নিশ্চয়ই//দল//শয়তানের//তারাই//ক্ষতিগ্রস্ত হবে"
            },
            {
              "number": 5124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5124.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يُحَآدُّونَ ٱللَّهَ وَرَسُولَهُۥٓ أُو۟لَٰٓئِكَ فِى ٱلْأَذَلِّينَ",
              "translate_bn": "নিশ্চয় যারা আল্লাহ ও তাঁর রসূলের বিরুদ্ধাচারণ করে, তারাই লাঞ্ছিতদের দলভূক্ত।",
              "numberInSurah": 20,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইউহাদ্দূনাল্লা-হা ওয়া রাছূলাহূউলাইকা ফিল আযাল্লীন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُحَآدُّوْنَ/يُحَآدُّونَ/yuhadduna//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗۤ/وَرَسُولَهُۥٓ/warasulahu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِی/فِي/fi//الْاَذَلِّیْنَ /ٱلۡأَذَلِّينَ/al-adhalina",
              "words_bangla": "নিশ্চয়ই//যারা//বিরোধিতা করে//আল্লাহ্‌র//ও তাঁর রাসূলের//ঐসব লোক//অন্তর্ভুক্ত//চরম অপমানিতদের"
            },
            {
              "number": 5125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5125.mp3"
              ],
              "text": "كَتَبَ ٱللَّهُ لَأَغْلِبَنَّ أَنَا۠ وَرُسُلِىٓ ۚ إِنَّ ٱللَّهَ قَوِىٌّ عَزِيزٌۭ",
              "translate_bn": "আল্লাহ লিখে দিয়েছেনঃ আমি এবং আমার রসূলগণ অবশ্যই বিজয়ী হব। নিশ্চয় আল্লাহ শক্তিধর, পরাক্রমশালী।",
              "numberInSurah": 21,
              "juz": 28,
              "manzil": 7,
              "page": 544,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "কাতাবাল্লা-হু লাআগলিবান্না আনা ওয়া রুছুলী ইন্নাল্লা-হা কাবিইয়ুন ‘আঝীঝ।",
              "words_arabic": "كَتَبَ/كَتَبَ/kataba//اللّٰهُ/ٱللَّهُ/al-lahu//لَاَغْلِبَنَّ/لَأَغۡلِبَنَّ/la-aghlibanna//اَنَا/أَنَا۠/ana//وَ رُسُلِیْ ؕ/وَرُسُلِيٓۚ/warusuli//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//قَوِیٌّ/قَوِيٌّ/qawiyyun//عَزِیْزٌ /عَزِيزٞ/azizun",
              "words_bangla": "লিখে দিয়েছেন//আল্লাহ্‌//\"অবশ্যই বিজয়ী হব//আমি//ও আমার রাসূলরা\"//নিশ্চয়ই//আল্লাহ্‌//শক্তিধর//পরাক্রমশালী"
            },
            {
              "number": 5126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5126.mp3"
              ],
              "text": "لَّا تَجِدُ قَوْمًۭا يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ يُوَآدُّونَ مَنْ حَآدَّ ٱللَّهَ وَرَسُولَهُۥ وَلَوْ كَانُوٓا۟ ءَابَآءَهُمْ أَوْ أَبْنَآءَهُمْ أَوْ إِخْوَٰنَهُمْ أَوْ عَشِيرَتَهُمْ ۚ أُو۟لَٰٓئِكَ كَتَبَ فِى قُلُوبِهِمُ ٱلْإِيمَٰنَ وَأَيَّدَهُم بِرُوحٍۢ مِّنْهُ ۖ وَيُدْخِلُهُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَا ۚ رَضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ أُو۟لَٰٓئِكَ حِزْبُ ٱللَّهِ ۚ أَلَآ إِنَّ حِزْبَ ٱللَّهِ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "যারা আল্লাহ ও পরকালে বিশ্বাস করে, তাদেরকে আপনি আল্লাহ ও তাঁর রসূলের বিরুদ্ধাচরণকারীদের সাথে বন্ধুত্ব করতে দেখবেন না, যদিও তারা তাদের পিতা, পুত্র, ভ্রাতা অথবা জ্ঞাতি-গোষ্ঠী হয়। তাদের অন্তরে আল্লাহ ঈমান লিখে দিয়েছেন এবং তাদেরকে শক্তিশালী করেছেন তাঁর অদৃশ্য শক্তি দ্বারা। তিনি তাদেরকে জান্নাতে দাখিল করবেন, যার তলদেশে নদী প্রবাহিত। তারা তথায় চিরকাল থাকবে। আল্লাহ তাদের প্রতি সন্তুষ্ট এবং তারা আল্লাহর প্রতি সন্তুষ্ট। তারাই আল্লাহর দল। জেনে রাখ, আল্লাহর দলই সফলকাম হবে।",
              "numberInSurah": 22,
              "juz": 28,
              "manzil": 7,
              "page": 545,
              "ruku": 478,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "লা-তাজিদুকাওমাইঁ ইউ’মিনূনা বিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ইউওয়াদ্দূনা মান হাদ্দাল্লা-হা ওয়া রাছূলাহূওয়া লাও কা-নূআ-বাআহুম আও আবনাআহুম আও ইখওয়া-নাহুম আও ‘আশীরাতাহুম উলাইকা কাতাবা ফী কুলূবিহিমুল ঈমা-না ওয়া আইয়াদাহুম বিরূহিম মিন হু ওয়া ইউদখিলুহুম জান্না-তিন তাজরী মিন তাহতিহাল আনহারু খা-লিদীনা ফীহা- রাদিআল্লা-হু ‘আনহুম ওয়ারাদূ‘আনহু উলাইকা হিঝবুল্লাহি আলাইন্না হিঝবাল্লা-হি হুমুল মুফলিহূন।",
              "words_arabic": "لَا/لَّا/la//تَجِدُ/تَجِدُ/tajidu//قَوْمًا/قَوۡمٗا/qawman//یُّؤْمِنُوْنَ/يُؤۡمِنُونَ/yu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ/ٱلۡأٓخِرِ/al-akhiri//یُوَآدُّوْنَ/يُوَآدُّونَ/yuwadduna//مَنْ/مَنۡ/man//حَآدَّ/حَآدَّ/hadda//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//وَ لَوْ/وَلَوۡ/walaw//كَانُوْۤا/كَانُوٓاْ/kanu//اٰبَآءَهُمْ/ءَابَآءَهُمۡ/abaahum//اَوْ/أَوۡ/aw//اَبْنَآءَهُمْ/أَبۡنَآءَهُمۡ/abnaahum//اَوْ/أَوۡ/aw//اِخْوَانَهُمْ/إِخۡوَٰنَهُمۡ/ikh'wanahum//اَوْ/أَوۡ/aw//عَشِیْرَتَهُمْ ؕ/عَشِيرَتَهُمۡۚ/ashiratahum//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//كَتَبَ/كَتَبَ/kataba//فِیْ/فِي/fi//قُلُوْبِهِمُ/قُلُوبِهِمُ/qulubihimu//الْاِیْمَانَ/ٱلۡإِيمَٰنَ/al-imana//وَ اَیَّدَهُمْ/وَأَيَّدَهُم/wa-ayyadahum//بِرُوْحٍ/بِرُوحٖ/biruhin//مِّنْهُ ؕ/مِّنۡهُۖ/min'hu//وَ یُدْخِلُهُمْ/وَيُدۡخِلُهُمۡ/wayud'khiluhum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۚ/fiha//رَضِیَ/رَضِيَ/radiya//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ رَضُوْا/وَرَضُواْ/waradu//عَنْهُ ؕ/عَنۡهُۚ/anhu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//حِزْبُ/حِزۡبُ/hiz'bu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اَلَاۤ/أَلَآ/ala//اِنَّ/إِنَّ/inna//حِزْبَ/حِزۡبَ/hiz'ba//اللّٰهِ/ٱللَّهِ/al-lahi//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ۠/ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "না//পাবে তুমি//সম্প্রদায়কে (এমন যে)//বিশ্বাস করে//আল্লাহ্‌র উপর//ও উপর দিনের//শেষ//(আবার তারা) বন্ধুত্বও করে//(তাদের সাথে) যারা//বিরোধিতা করে//আল্লাহ্‌র//ও তাঁর রাসূলের//এবং যদিও//তারা হয়//তাদের পিতা//বা//তাদের পুত্র//বা//তাদের ভাইয়েরা//বা//তাদের জাতি-গোত্র//ঐসব লোক (আল্লাহ)//সুদৃঢ় করে দিয়েছেন//মধ্যে//তাদের অন্তর সমূহের//ঈমান//ও তাদের শক্তিশালী করেছেন//রূহ দিয়ে//তাঁর পক্ষ হতে//এবং তাদেরকে প্রবেশ করাবেন//জান্নাতে//প্রবাহিত হয়//থেকে//তার নিচ//ঝর্ণাধারা সমূহ//তারা চিরকাল থাকবে//তার মধ্যে//সন্তুষ্ট/ প্রসন্ন হয়েছেন//আল্লাহ//তাদের প্রতি//ও তারা সন্তুষ্ট হয়েছে//তাঁর প্রতি//ঐসব লোক(অন্তর্ভুক্ত)//দলের//আল্লাহর//জেনে রাখ//নিশ্চয়ই//দল//আল্লাহর//তারাই//সফলকাম"
            }
          ]
        },
        {
          "number": 59,
          "name": "سُورَةُ الحَشۡرِ",
          "englishName": "Al-Hashr",
          "englishNameTranslation": "The Exile",
          "revelationType": "Medinan",
          "verse": 24,
          "words": 897,
          "chars": 3971,
          "ayahs": [
            {
              "number": 5127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5127.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলে যা কিছু আছে, সবই আল্লাহর পবিত্রতা বর্ণনা করে। তিনি পরাক্রমশালী মহাজ্ঞানী।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 545,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ছাব্বাহা লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া হুয়াওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "سَبَّحَ/سَبَّحَ/sabbaha//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِۖ/al-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তাসবিহ করে//আল্লাহর জন্য//যা কিছু//মধ্যে//আকাশসমূহের//ও যা কিছু//মধ্যে//পৃথিবীর//এবং তিনিই//পরাক্রমশালী//মহাবিজ্ঞ"
            },
            {
              "number": 5128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5128.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَخْرَجَ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَٰبِ مِن دِيَٰرِهِمْ لِأَوَّلِ ٱلْحَشْرِ ۚ مَا ظَنَنتُمْ أَن يَخْرُجُوا۟ ۖ وَظَنُّوٓا۟ أَنَّهُم مَّانِعَتُهُمْ حُصُونُهُم مِّنَ ٱللَّهِ فَأَتَىٰهُمُ ٱللَّهُ مِنْ حَيْثُ لَمْ يَحْتَسِبُوا۟ ۖ وَقَذَفَ فِى قُلُوبِهِمُ ٱلرُّعْبَ ۚ يُخْرِبُونَ بُيُوتَهُم بِأَيْدِيهِمْ وَأَيْدِى ٱلْمُؤْمِنِينَ فَٱعْتَبِرُوا۟ يَٰٓأُو۟لِى ٱلْأَبْصَٰرِ",
              "translate_bn": "তিনিই কিতাবধারীদের মধ্যে যারা কাফের, তাদেরকে প্রথমবার একত্রিত করে তাদের বাড়ী-ঘর থেকে বহিস্কার করেছেন। তোমরা ধারণাও করতে পারনি যে, তারা বের হবে এবং তারা মনে করেছিল যে, তাদের দূর্গগুলো তাদেরকে আল্লাহর কবল থেকে রক্ষা করবে। অতঃপর আল্লাহর শাস্তি তাদের উপর এমনদিক থেকে আসল, যার কল্পনাও তারা করেনি। আল্লাহ তাদের অন্তরে ত্রাস সঞ্চার করে দিলেন। তারা তাদের বাড়ী-ঘর নিজেদের হাতে এবং মুসলমানদের হাতে ধ্বংস করছিল। অতএব, হে চক্ষুষ্মান ব্যক্তিগণ, তোমরা শিক্ষা গ্রহণ কর।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 545,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "হুয়াল্লাযীআখরাজাল্লাযীনা কাফারূ মিন আহলিল কিতা-বি মিন দিয়া-রিহিম লিআওওয়ালিল হাশরি মা-জানানতম আইঁ ইয়াখরুজুওয়া জান্নুআন্নাহুম মানি‘আতুহুম হুসূনুহুম মিনাল্লা-হি ফাআতা-হুমুল্লা-হু মিন হাইছুলাম ইয়াহতাছিবূ ওয়া কাযাফা ফী কুলূবিহিমুররু‘বা ইউখরিবূনা বুয়ূতাহুম বিআইদীহিম ওয়া আইদিল মু’মিনীনা ফা‘তাবিরূ ইয়াউলিল আবসা-র।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَخْرَجَ/أَخۡرَجَ/akhraja//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//لِاَوَّلِ/لِأَوَّلِ/li-awwali//الْحَشْرِ ؔؕ/ٱلۡحَشۡرِۚ/al-hashri//مَا/مَا/ma//ظَنَنْتُمْ/ظَنَنتُمۡ/zanantum//اَنْ/أَن/an//یَّخْرُجُوْا/يَخۡرُجُواْۖ/yakhruju//وَ ظَنُّوْۤا/وَظَنُّوٓاْ/wazannu//اَنَّهُمْ/أَنَّهُم/annahum//مَّانِعَتُهُمْ/مَّانِعَتُهُمۡ/mani'atuhum//حُصُوْنُهُمْ/حُصُونُهُم/husunuhum//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//فَاَتٰىهُمُ/فَأَتَىٰهُمُ/fa-atahumu//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَمْ/لَمۡ/lam//یَحْتَسِبُوْا ۗ/يَحۡتَسِبُواْۖ/yahtasibu//وَ قَذَفَ/وَقَذَفَ/waqadhafa//فِیْ/فِي/fi//قُلُوْبِهِمُ/قُلُوبِهِمُ/qulubihimu//الرُّعْبَ/ٱلرُّعۡبَۚ/al-ru'ba//یُخْرِبُوْنَ/يُخۡرِبُونَ/yukh'ribuna//بُیُوْتَهُمْ/بُيُوتَهُم/buyutahum//بِاَیْدِیْهِمْ/بِأَيۡدِيهِمۡ/bi-aydihim//وَ اَیْدِی/وَأَيۡدِي/wa-aydi//الْمُؤْمِنِیْنَ ۗ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//فَاعْتَبِرُوْا/فَٱعۡتَبِرُواْ/fa-i'tabiru//یٰۤاُولِی/يَـٰٓأُوْلِي/yauli//الْاَبْصَارِ /ٱلۡأَبۡصَٰرِ/al-absari",
              "words_bangla": "তিনিই//যিনি//বের করেছেন//যারা//কুফুরি করেছিল//মধ্যে//আহলে//কিতাবদের//হতে//ঘরবাড়ি গুলো তাদের//প্রথম//সমাবেশেই//নাই//তোমরা ধারণা কর//যে//তারা বের হবে//ও তারা ধারণা করেছিল//তারা যে//তাদের রক্ষাকারী//তাদের দুর্গগুলো//হতে//আল্লাহ//তাদের (কাছে) আসলেন কিন্তু//আল্লাহ//(এমনদিক) হতে//যেখানে//নাই//তারা ভাবেও//ও সঞ্চার করলেন//মধ্যে//তাদের অন্তর সমূহের//ক্রাস//তারা ধ্বংস করল//তাদের ঘরগুলো//তাদের হাত দিয়ে//ও হাতগুলো//মুমিনদের//তোমরা শিক্ষা অতএব গ্রহণ কর//হে//দৃষ্টিবানরা"
            },
            {
              "number": 5129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5129.mp3"
              ],
              "text": "وَلَوْلَآ أَن كَتَبَ ٱللَّهُ عَلَيْهِمُ ٱلْجَلَآءَ لَعَذَّبَهُمْ فِى ٱلدُّنْيَا ۖ وَلَهُمْ فِى ٱلْءَاخِرَةِ عَذَابُ ٱلنَّارِ",
              "translate_bn": "আল্লাহ যদি তাদের জন্যে নির্বাসন অবধারিত না করতেন, তবে তাদেরকে দুনিয়াতে শাস্তি দিতেন। আর পরকালে তাদের জন্যে রয়েছে জাহান্নামের আযাব।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 545,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাওলাআন কাতাবাল্লা-হু ‘আলাইহিমুল জালাআলাআযযাবাহুম ফিদ্দুনইয়া- ওয়া লাহুম আ-খিরাতি আযা-বুন্না-র।\r\n",
              "words_arabic": "وَ لَوْ لَاۤ/وَلَوۡلَآ/walawla//اَنْ/أَن/an//كَتَبَ/كَتَبَ/kataba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْجَلَآءَ/ٱلۡجَلَآءَ/al-jalaa//لَعَذَّبَهُمْ/لَعَذَّبَهُمۡ/la'adhabahum//فِی/فِي/fi//الدُّنْیَا ؕ/ٱلدُّنۡيَاۖ/al-dun'ya//وَ لَهُمْ/وَلَهُمۡ/walahum//فِی/فِي/fi//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//عَذَابُ/عَذَابُ/adhabu//النَّارِ /ٱلنَّارِ/al-nari",
              "words_bangla": "এবং যদি না//যে//লিখতেন//আল্লাহ//তাদের উপর//নির্বাসন//তাদের শাস্তি অবশ্যই দিতেন//মধ্যে//দুনিয়ার//এবং তাদের জন্য//(আছে)//আখেরাতে//শাস্তি//আগুনের"
            },
            {
              "number": 5130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5130.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ شَآقُّوا۟ ٱللَّهَ وَرَسُولَهُۥ ۖ وَمَن يُشَآقِّ ٱللَّهَ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "এটা এ কারণে যে, তারা আল্লাহ ও তাঁর রসূলের বিরুদ্ধাচরণ করেছে। যে আল্লাহর বিরুদ্ধাচরণ করে, তার জানা উচিত যে, আল্লাহ কঠোর শাস্তিদাতা।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম শাক্কুল্লা-হা ওয়া রাছূলাহু ওয়ামাই ইউশাক্কিল্লা-হা ফাইন্নাল্লাহা শাদীনুল ‘ইকা-ব।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//شَآقُّوا/شَآقُّواْ/shaqqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ۚ/وَرَسُولَهُۥۖ/warasulahu//وَ مَنْ/وَمَن/waman//یُّشَآقِّ/يُشَآقِّ/yushaqqi//اللّٰهَ/ٱللَّهَ/al-laha//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِ /ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "এটা//তারা যে এজন্যে//বিরুদ্ধচারণ করেছিল//আল্লাহর//ও তার রসুলের//এবং যে//বিরুদ্ধচারণ করে//আল্লাহর//নিশ্চয় অতঃপর//আল্লাহ//কঠোর//শাস্তিদানে"
            },
            {
              "number": 5131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5131.mp3"
              ],
              "text": "مَا قَطَعْتُم مِّن لِّينَةٍ أَوْ تَرَكْتُمُوهَا قَآئِمَةً عَلَىٰٓ أُصُولِهَا فَبِإِذْنِ ٱللَّهِ وَلِيُخْزِىَ ٱلْفَٰسِقِينَ",
              "translate_bn": "তোমরা যে কিছু কিছু খর্জুর বৃক্ষ কেটে দিয়েছ এবং কতক না কেটে ছেড়ে দিয়েছ, তা তো আল্লাহরই আদেশ এবং যাতে তিনি অবাধ্যদেরকে লাঞ্ছিত করেন।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "মা-কাতা‘তুম মিল লিনাতিন আও তারাকতুমূহা- কাইমাতান ‘আলা উসূলিহাফাবিইযনিল্লা-হি ওয়া লিইউখঝিয়াল ফা-ছিকীন।",
              "words_arabic": "مَا/مَا/ma//قَطَعْتُمْ/قَطَعۡتُم/qata'tum//مِّنْ/مِّن/min//لِّیْنَةٍ/لِّينَةٍ/linatin//اَوْ/أَوۡ/aw//تَرَكْتُمُوْهَا/تَرَكۡتُمُوهَا/taraktumuha//قَآىِٕمَةً/قَآئِمَةً/qaimatan//عَلٰۤی/عَلَىٰٓ/ala//اُصُوْلِهَا/أُصُولِهَا/usuliha//فَبِاِذْنِ/فَبِإِذۡنِ/fabi-idh'ni//اللّٰهِ/ٱللَّهِ/al-lahi//وَ لِیُخْزِیَ/وَلِيُخۡزِيَ/waliyukh'ziya//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "যা//তোমরা কেটেছ//মধ্য হতে//খেজুর গাছের//বা//তা তোমরা ছেড়ে দিয়েছ//দাঁড়ান অবস্থায়//উপর//তারা শিকড়গুলোর//অনুমতিক্রমে তা'তো//আল্লাহর//এবং লাঞ্ছিত করার জন্যে//ফাসেকদের"
            },
            {
              "number": 5132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5132.mp3"
              ],
              "text": "وَمَآ أَفَآءَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ مِنْهُمْ فَمَآ أَوْجَفْتُمْ عَلَيْهِ مِنْ خَيْلٍۢ وَلَا رِكَابٍۢ وَلَٰكِنَّ ٱللَّهَ يُسَلِّطُ رُسُلَهُۥ عَلَىٰ مَن يَشَآءُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "আল্লাহ বনু-বনুযায়রের কাছ থেকে তাঁর রসূলকে যে ধন-সম্পদ দিয়েছেন, তজ্জন্যে তোমরা ঘোড়ায় কিংবা উটে চড়ে যুদ্ধ করনি, কিন্তু আল্লাহ যার উপর ইচ্ছা, তাঁর রসূলগণকে প্রাধান্য দান করেন। আল্লাহ সবকিছুর উপর সর্বশক্তিমান।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআআল্লা-হু ‘আলা-রাছূলিহী মিনহুম ফামাআওজাফ তুম আলাইহি মিন খাইলিওঁ ওয়ালা-রিকা-বিওঁ ওয়ালা-কিন্নাল্লা-হা ইউছালিলতুরুছুলাহু আলা-মাইঁ ইয়াশাউ ওয়াল্লাহু ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَفَآءَ/أَفَآءَ/afaa//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//مِنْهُمْ/مِنۡهُمۡ/min'hum//فَمَاۤ/فَمَآ/fama//اَوْجَفْتُمْ/أَوۡجَفۡتُمۡ/awjaftum//عَلَیْهِ/عَلَيۡهِ/alayhi//مِنْ/مِنۡ/min//خَیْلٍ/خَيۡلٖ/khaylin//وَّ لَا/وَلَا/wala//رِكَابٍ/رِكَابٖ/rikabin//وَّ لٰكِنَّ/وَلَٰكِنَّ/walakinna//اللّٰهَ/ٱللَّهَ/al-laha//یُسَلِّطُ/يُسَلِّطُ/yusallitu//رُسُلَهٗ/رُسُلَهُۥ/rusulahu//عَلٰی/عَلَىٰ/ala//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "এবং যা//ফায় দিয়েছে//আল্লাহ//নিকট//তার রসূলের//তাদের থেকে//নাই এ জন্য//তোমরা দৌড়াও//তার উপর//কোন//ঘোড়া//এবং না//উট//কিন্তু//আল্লাহ//আধিপত্য দেন//তার রসূলদেরকে//উপর//যার//তিনি ইচ্ছে করেন//এবং আল্লাহ//উপর//সব//কিছুুর//ক্ষমতাবান"
            },
            {
              "number": 5133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5133.mp3"
              ],
              "text": "مَّآ أَفَآءَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ مِنْ أَهْلِ ٱلْقُرَىٰ فَلِلَّهِ وَلِلرَّسُولِ وَلِذِى ٱلْقُرْبَىٰ وَٱلْيَتَٰمَىٰ وَٱلْمَسَٰكِينِ وَٱبْنِ ٱلسَّبِيلِ كَىْ لَا يَكُونَ دُولَةًۢ بَيْنَ ٱلْأَغْنِيَآءِ مِنكُمْ ۚ وَمَآ ءَاتَىٰكُمُ ٱلرَّسُولُ فَخُذُوهُ وَمَا نَهَىٰكُمْ عَنْهُ فَٱنتَهُوا۟ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ",
              "translate_bn": "আল্লাহ জনপদবাসীদের কাছ থেকে তাঁর রসূলকে যা দিয়েছেন, তা আল্লাহর, রসূলের, তাঁর আত্নীয়-স্বজনের, ইয়াতীমদের, অভাবগ্রস্তদের এবং মুসাফিরদের জন্যে, যাতে ধনৈশ্বর্য্য কেবল তোমাদের বিত্তশালীদের মধ্যেই পুঞ্জীভূত না হয়। রসূল তোমাদেরকে যা দেন, তা গ্রহণ কর এবং যা নিষেধ করেন, তা থেকে বিরত থাক এবং আল্লাহকে ভয় কর। নিশ্চয় আল্লাহ কঠোর শাস্তিদাতা।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "মাআফাআল্লা-হু ‘আলা-রাছূলিহী মিন আহলিল কুরা-ফালিল্লা-হি ওয়া লিররাছূলি ওয়া লিযিল কুরবা-ওয়াল ইয়াতা-মা-ওয়াল মাছা-কীনি ওয়াবনিছছাবীলি কাইলা -ইয়াকূনা দূ লাতাম বাইনাল আগনিইয়াই মিনকুম ওয়ামাআ-তা-কুমুররাছূলুফাখুযূহু ওয়ামা-নাহা-কুম ‘আনহু ফানতাহূ ওয়াত্তাকুল্লা-হা শাদীদুল ‘ইকা-ব।",
              "words_arabic": "مَاۤ/مَّآ/ma//اَفَآءَ/أَفَآءَ/afaa//اللّٰهُ/ٱللَّهُ/al-lahu//عَلٰی/عَلَىٰ/ala//رَسُوْلِهٖ/رَسُولِهِۦ/rasulihi//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْقُرٰی/ٱلۡقُرَىٰ/al-qura//فَلِلّٰهِ/فَلِلَّهِ/falillahi//وَ لِلرَّسُوْلِ/وَلِلرَّسُولِ/walilrrasuli//وَ لِذِی/وَلِذِي/walidhi//الْقُرْبٰی/ٱلۡقُرۡبَىٰ/al-qur'ba//وَ الْیَتٰمٰی/وَٱلۡيَتَٰمَىٰ/wal-yatama//وَ الْمَسٰكِیْنِ/وَٱلۡمَسَٰكِينِ/wal-masakini//وَ ابْنِ/وَٱبۡنِ/wa-ib'ni//السَّبِیْلِ ۙ/ٱلسَّبِيلِ/al-sabili//كَیْ/كَيۡ/kay//لَا/لَا/la//یَكُوْنَ/يَكُونَ/yakuna//دُوْلَةًۢ/دُولَةَۢ/dulatan//بَیْنَ/بَيۡنَ/bayna//الْاَغْنِیَآءِ/ٱلۡأَغۡنِيَآءِ/al-aghniyai//مِنْكُمْ ؕ/مِنكُمۡۚ/minkum//وَ مَاۤ/وَمَآ/wama//اٰتٰىكُمُ/ءَاتَىٰكُمُ/atakumu//الرَّسُوْلُ/ٱلرَّسُولُ/al-rasulu//فَخُذُوْهُ ۗ/فَخُذُوهُ/fakhudhuhu//وَ مَا/وَمَا/wama//نَهٰىكُمْ/نَهَىٰكُمۡ/nahakum//عَنْهُ/عَنۡهُ/anhu//فَانْتَهُوْا ۚ/فَٱنتَهُواْۚ/fa-intahu//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//شَدِیْدُ/شَدِيدُ/shadidu//الْعِقَابِۘ/ٱلۡعِقَابِ/al-'iqabi",
              "words_bangla": "যা//ফায় দিয়েছেন//আল্লাহ//(উপর)//তার রাসূলকে//হতে//বাসীদের//জনপদ//আল্লাহর জন্যে তা//ও রসূলের জন্যে//এবং জন্যে//নিকট আত্মীয় স্বজনদের//ও য়াতীমদের//ও অভাবগ্রস্তদের//ও//পথিকদের//যাতে//না//হয়//আবর্তিত//মাঝে//ধনীদের//তোমাদের মধ্যে//এবং যা//তোমাদের দান করেন//রসূল//তা তোমরা গ্রহণ অতঃপর কর//এবং যা//তোমাদের নিষেধ করেন//তা থেকে//তোমরা বিরত অতঃপর হও//এবং তোমরা ভয়কর//আল্লাহকে//নিশ্চয়//আল্লাহ//কঠোর//শাস্তিদানে"
            },
            {
              "number": 5134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5134.mp3"
              ],
              "text": "لِلْفُقَرَآءِ ٱلْمُهَٰجِرِينَ ٱلَّذِينَ أُخْرِجُوا۟ مِن دِيَٰرِهِمْ وَأَمْوَٰلِهِمْ يَبْتَغُونَ فَضْلًۭا مِّنَ ٱللَّهِ وَرِضْوَٰنًۭا وَيَنصُرُونَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلصَّٰدِقُونَ",
              "translate_bn": "এই ধন-সম্পদ দেশত্যাগী নিঃস্বদের জন্যে, যারা আল্লাহর অনুগ্রহ ও সন্তুষ্টিলাভের অন্বেষণে এবং আল্লাহ তাঁর রসূলের সাহায্যার্থে নিজেদের বাস্তুভিটা ও ধন-সম্পদ থেকে বহিস্কৃত হয়েছে। তারাই সত্যবাদী।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "লিল ফুকারাইল মুহা-জিরীনাল্লাযীনা উখরিজূমিন দিয়া-রিহিম ওয়া আমওয়া-লিহিম ইয়াবতাগূনা ফাদলাম মিনাল্লা-হি ওয়া রিদওয়া-নাওঁ ওয়া ইয়ানসুরূনাল্লা-হা ওয়া রাছূলাহূ উলাইকা হুমুসসা-দিকূন।",
              "words_arabic": "لِلْفُقَرَآءِ/لِلۡفُقَرَآءِ/lil'fuqarai//الْمُهٰجِرِیْنَ/ٱلۡمُهَٰجِرِينَ/al-muhajirina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُخْرِجُوْا/أُخۡرِجُواْ/ukh'riju//مِنْ/مِن/min//دِیَارِهِمْ/دِيَٰرِهِمۡ/diyarihim//وَ اَمْوَالِهِمْ/وَأَمۡوَٰلِهِمۡ/wa-amwalihim//یَبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//فَضْلًا/فَضۡلٗا/fadlan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رِضْوَانًا/وَرِضۡوَٰنٗا/warid'wanan//وَّ یَنْصُرُوْنَ/وَيَنصُرُونَ/wayansuruna//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ ؕ/وَرَسُولَهُۥٓۚ/warasulahu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الصّٰدِقُوْنَۚ/ٱلصَّـٰدِقُونَ/al-sadiquna",
              "words_bangla": "অভাবগ্রস্তদের জন্যে//মাোহাজিরদের//যারা//বহিষ্কৃত হয়েছে//হতে//তাদের ঘোড়বাড়ী গুলো//ও তাদের সম্পদগুলো//তারা পেতে চা্য়//অনুগ্রহ//থেকে//আল্লাহ//ও সন্তুষ্টি//এবং তারা সাহায্য করে//আল্লাহকে//ও তার রসূলকে//ঐসবলোক//তারাই//সত্যবাদী"
            },
            {
              "number": 5135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5135.mp3"
              ],
              "text": "وَٱلَّذِينَ تَبَوَّءُو ٱلدَّارَ وَٱلْإِيمَٰنَ مِن قَبْلِهِمْ يُحِبُّونَ مَنْ هَاجَرَ إِلَيْهِمْ وَلَا يَجِدُونَ فِى صُدُورِهِمْ حَاجَةًۭ مِّمَّآ أُوتُوا۟ وَيُؤْثِرُونَ عَلَىٰٓ أَنفُسِهِمْ وَلَوْ كَانَ بِهِمْ خَصَاصَةٌۭ ۚ وَمَن يُوقَ شُحَّ نَفْسِهِۦ فَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "যারা মুহাজিরদের আগমনের পূর্বে মদীনায় বসবাস করেছিল এবং বিশ্বাস স্থাপন করেছিল, তারা মুহাজিরদের ভালবাসে, মুহাজিরদেরকে যা দেয়া হয়েছে, তজ্জন্যে তারা অন্তরে ঈর্ষাপোষণ করে না এবং নিজেরা অভাবগ্রস্ত হলেও তাদেরকে অগ্রাধিকার দান করে। যারা মনের কার্পণ্য থেকে মুক্ত, তারাই সফলকাম।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 546,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা তাবাওওয়াউদ্দা-রা ওয়াল ঈমা-না মিন কাবলিহিম ইউহিববূনা মান হা-জারা ইলাইহিম ওয়ালা-ইয়াজিদূ না ফী সুদূ রিহিম হা-জাতাম মিম্মাউতূওয়া ইউ’ছিরূনা ‘আলা আনফুছিহিম ওয়ালাও কা-না বিহিম খাসা-সাতুও ওয়া মাইঁ ইঊকা শুহহা নাফছিহী ফাউলাইকা হুমুল মুফলিহূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//تَبَوَّؤُ/تَبَوَّءُو/tabawwau//الدَّارَ/ٱلدَّارَ/al-dara//وَ الْاِیْمَانَ/وَٱلۡإِيمَٰنَ/wal-imana//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//یُحِبُّوْنَ/يُحِبُّونَ/yuhibbuna//مَنْ/مَنۡ/man//هَاجَرَ/هَاجَرَ/hajara//اِلَیْهِمْ/إِلَيۡهِمۡ/ilayhim//وَ لَا/وَلَا/wala//یَجِدُوْنَ/يَجِدُونَ/yajiduna//فِیْ/فِي/fi//صُدُوْرِهِمْ/صُدُورِهِمۡ/sudurihim//حَاجَةً/حَاجَةٗ/hajatan//مِّمَّاۤ/مِّمَّآ/mimma//اُوْتُوْا/أُوتُواْ/utu//وَ یُؤْثِرُوْنَ/وَيُؤۡثِرُونَ/wayu'thiruna//عَلٰۤی/عَلَىٰٓ/ala//اَنْفُسِهِمْ/أَنفُسِهِمۡ/anfusihim//وَ لَوْ/وَلَوۡ/walaw//كَانَ/كَانَ/kana//بِهِمْ/بِهِمۡ/bihim//خَصَاصَةٌ ۫ؕ/خَصَاصَةٞۚ/khasasatun//وَ مَنْ/وَمَن/waman//یُّوْقَ/يُوقَ/yuqa//شُحَّ/شُحَّ/shuhha//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَۚ/ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "এবং যারা//বসবাস করেছে//(এই) নগরীতে//এবং ঈমান (এনেছে)//মধ্য হতে//তাদের  পূর্বে//তারা ভালোবাসে//(তাদেরকে) যারা//হিজরত করেছে//তাদের দিকে//এবং না//তারাপায়//মধ্যে//তাদের অন্তরগুলোর//প্রয়োজনের (অনুভূতি)//(যা) তা থেকে//তাদের দেয়া হয়//এবং তারা প্রাধান্য দেয়//উপর//তাদের নিজেদের//এবং যদিও//আছে//তাদের সাথে//অঅভাব অনটন//এবং যে//রক্ষা করবে//কৃপণতা (থেকে)//তার নিজেকে//ঐসব অতঃপর লোক//তারাই//সফলকাম"
            },
            {
              "number": 5136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5136.mp3"
              ],
              "text": "وَٱلَّذِينَ جَآءُو مِنۢ بَعْدِهِمْ يَقُولُونَ رَبَّنَا ٱغْفِرْ لَنَا وَلِإِخْوَٰنِنَا ٱلَّذِينَ سَبَقُونَا بِٱلْإِيمَٰنِ وَلَا تَجْعَلْ فِى قُلُوبِنَا غِلًّۭا لِّلَّذِينَ ءَامَنُوا۟ رَبَّنَآ إِنَّكَ رَءُوفٌۭ رَّحِيمٌ",
              "translate_bn": "আর এই সম্পদ তাদের জন্যে, যারা তাদের পরে আগমন করেছে। তারা বলেঃ হে আমাদের পালনকর্তা, আমাদেরকে এবং ঈমানে আগ্রহী আমাদের ভ্রাতাগণকে ক্ষমা কর এবং ঈমানদারদের বিরুদ্ধে আমাদের অন্তরে কোন বিদ্বেষ রেখো না। হে আমাদের পালনকর্তা, আপনি দয়ালু, পরম করুণাময়।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 479,
              "hizbQuarter": 218,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা জাঊ মিম বা‘দিহিম ইয়াকূ লূনা রাব্বানাগফিরলানা-ওয়া লিইখওয়া-নিনাল্লাযীনা ছাবকূনা-বিল ঈমা-নি ওয়ালা-তাজ‘আল ফী কুলূবিনা-গিল্লাল লিল্লাযীনা আ-মানূ রাব্বানাইন্নাকা রাঊফুর রাহ ীম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//جَآءُوْ/جَآءُو/jau//مِنْۢ/مِنۢ/min//بَعْدِهِمْ/بَعۡدِهِمۡ/ba'dihim//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَا/رَبَّنَا/rabbana//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لَنَا/لَنَا/lana//وَ لِاِخْوَانِنَا/وَلِإِخۡوَٰنِنَا/wali-ikh'wanina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//سَبَقُوْنَا/سَبَقُونَا/sabaquna//بِالْاِیْمَانِ/بِٱلۡإِيمَٰنِ/bil-imani//وَ لَا/وَلَا/wala//تَجْعَلْ/تَجۡعَلۡ/taj'al//فِیْ/فِي/fi//قُلُوْبِنَا/قُلُوبِنَا/qulubina//غِلًّا/غِلّٗا/ghillan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//رَبَّنَاۤ/رَبَّنَآ/rabbana//اِنَّكَ/إِنَّكَ/innaka//رَءُوْفٌ/رَءُوفٞ/raufun//رَّحِیْمٌ۠/رَّحِيمٌ/rahimun",
              "words_bangla": "এবং যারা//এসেছে//মধ্য হতে//তাদের পরে//তারা বলে//\"হে আমাদের রব//ক্ষমা কর//আমাদের//ও আমাদের ভাই দেরকে//যারা//আমাদের অগ্রণী হয়েছে//ইমানের ক্ষেত্রে//এবং না//রেখো//মধ্যে//আমদের অন্তর গুলোর//হিংসা বিদ্বেষ//যারাা (তাদের) জন্য//ইমান এনেছে//হে আমাাদের রব//তুমি নিশ্চয়//দয়ালু//মেহেরবান\""
            },
            {
              "number": 5137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5137.mp3"
              ],
              "text": "۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ نَافَقُوا۟ يَقُولُونَ لِإِخْوَٰنِهِمُ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَٰبِ لَئِنْ أُخْرِجْتُمْ لَنَخْرُجَنَّ مَعَكُمْ وَلَا نُطِيعُ فِيكُمْ أَحَدًا أَبَدًۭا وَإِن قُوتِلْتُمْ لَنَنصُرَنَّكُمْ وَٱللَّهُ يَشْهَدُ إِنَّهُمْ لَكَٰذِبُونَ",
              "translate_bn": "আপনি কি মুনাফিকদেরকে দেখেন নি? তারা তাদের কিতাবধারী কাফের ভাইদেরকে বলেঃ তোমরা যদি বহিস্কৃত হও, তবে আমরা অবশ্যই তোমাদের সাথে দেশ থেকে বের হয়ে যাব এবং তোমাদের ব্যাপারে আমরা কখনও কারও কথা মানব না। আর যদি তোমরা আক্রান্ত হও, তবে আমরা অবশ্যই তোমাদেরকে সাহায্য করব। আল্লাহ তা’আলা সাক্ষ্য দেন যে, ওরা নিশ্চয়ই মিথ্যাবাদী।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা ইলাল্লাযীনা না-ফাকূইয়াকূলূনা লিইখওয়া-নিহিমুল্লাযীনা কাফারূ মিন আহলিল কিতা-বি লাইন উখরিজতুম লানাখরুজান্না মা‘আকুম ওয়ালা-নুতী‘উ ফীকুম আহাদান আবাদওঁ ওয়া ইন কুতিলতুম লানানসুরান্নাকুম ওয়াল্লা-হু ইয়াশহাদুইন্নাহুম লাকা-যিবুন।",
              "words_arabic": "اَلَمْ/۞أَلَمۡ/alam//تَرَ/تَرَ/tara//اِلَی/إِلَى/ila//الَّذِیْنَ/ٱلَّذِينَ/alladhina//نَافَقُوْا/نَافَقُواْ/nafaqu//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//لِاِخْوَانِهِمُ/لِإِخۡوَٰنِهِمُ/li-ikh'wanihimu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//لَىِٕنْ/لَئِنۡ/la-in//اُخْرِجْتُمْ/أُخۡرِجۡتُمۡ/ukh'rij'tum//لَنَخْرُجَنَّ/لَنَخۡرُجَنَّ/lanakhrujanna//مَعَكُمْ/مَعَكُمۡ/ma'akum//وَ لَا/وَلَا/wala//نُطِیْعُ/نُطِيعُ/nuti'u//فِیْكُمْ/فِيكُمۡ/fikum//اَحَدًا/أَحَدًا/ahadan//اَبَدًا ۙ/أَبَدٗا/abadan//وَّ اِنْ/وَإِن/wa-in//قُوْتِلْتُمْ/قُوتِلۡتُمۡ/qutil'tum//لَنَنْصُرَنَّكُمْ ؕ/لَنَنصُرَنَّكُمۡ/lanansurannakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَشْهَدُ/يَشۡهَدُ/yashhadu//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَكٰذِبُوْنَ /لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "নাইকি//তুমি দেখ//প্রতি//(তাদের) যারা//মুনাফেকী করেছে//তারা বলেে//তাদের ভাই দের//যারা//কুফুরি করেছে//মধ্যে//আহলে//কিতাবদের//\"যদি নিশ্চয়//তোমরা বহিষ্কৃত হও//আমরা বের হব অবশ্যই//তোমাদের সাথে//এবং না//আনুগত্য করব আমরা//তোমাদের ব্যাপারে//কারও//কখনও//এবং যদি//তোমাদের (বিরুদ্ধে) যুদ্ধ করা হয়//তোমাদের সাহায্য আমরা অবশ্যই করব\"//এবং আল্লাহ//সাক্ষ্য দিচ্ছেন//তারা নিশ্চয়//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 5138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5138.mp3"
              ],
              "text": "لَئِنْ أُخْرِجُوا۟ لَا يَخْرُجُونَ مَعَهُمْ وَلَئِن قُوتِلُوا۟ لَا يَنصُرُونَهُمْ وَلَئِن نَّصَرُوهُمْ لَيُوَلُّنَّ ٱلْأَدْبَٰرَ ثُمَّ لَا يُنصَرُونَ",
              "translate_bn": "যদি তারা বহিস্কৃত হয়, তবে মুনাফিকরা তাদের সাথে দেশত্যাগ করবে না আর যদি তারা আক্রান্ত হয়, তবে তারা তাদেরকে সাহায্য করবে না। যদি তাদেরকে সাহায্য করে, তবে অবশ্যই পৃষ্ঠপ্রদর্শন করে পলায়ন করবে। এরপর কাফেররা কোন সাহায্য পাবে না।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লাইন উখরিজূলা ইয়াখরুজূনা মা‘আহুম ওয়া লাইন কূতিলূলা-ইয়ানসুরূনাহুম ওয়ালাইন নাসারূহুম লাইঊওয়াল্লুন্নাল আদবা-রা ছু ম্মা লা-ইউনসারূন।",
              "words_arabic": "لَىِٕنْ/لَئِنۡ/la-in//اُخْرِجُوْا/أُخۡرِجُواْ/ukh'riju//لَا/لَا/la//یَخْرُجُوْنَ/يَخۡرُجُونَ/yakhrujuna//مَعَهُمْ ۚ/مَعَهُمۡ/ma'ahum//وَ لَىِٕنْ/وَلَئِن/wala-in//قُوْتِلُوْا/قُوتِلُواْ/qutilu//لَا/لَا/la//یَنْصُرُوْنَهُمْ ۚ/يَنصُرُونَهُمۡ/yansurunahum//وَ لَىِٕنْ/وَلَئِن/wala-in//نَّصَرُوْهُمْ/نَّصَرُوهُمۡ/nasaruhum//لَیُوَلُّنَّ/لَيُوَلُّنَّ/layuwallunna//الْاَدْبَارَ ۫/ٱلۡأَدۡبَٰرَ/al-adbara//ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یُنْصَرُوْنَ /يُنصَرُونَ/yunsaruna",
              "words_bangla": "যদি বস্তুত//তারা বহিষ্কৃত হয়//না//তারা বের হবে//তাদের সাথে//এবং যদি নিশ্চয়//তাদের (বিরুদ্ধে) যুদ্ধ করা হয়//না//তাদের সাহায্য তারা করবে//এবং যদি নিশ্চয়//তাদের তারা সাহায্য করেও//অবশ্যই//পৃষ্ঠ প্রদর্শন করবে//এরপর//না//তাদের  সাহায্য করা হবে"
            },
            {
              "number": 5139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5139.mp3"
              ],
              "text": "لَأَنتُمْ أَشَدُّ رَهْبَةًۭ فِى صُدُورِهِم مِّنَ ٱللَّهِ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌۭ لَّا يَفْقَهُونَ",
              "translate_bn": "নিশ্চয় তোমরা তাদের অন্তরে আল্লাহ তা’আলা অপেক্ষা অধিকতর ভয়াবহ। এটা এ কারণে যে, তারা এক নির্বোধ সম্প্রদায়।",
              "numberInSurah": 13,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লাআনতুম আশাদ্দুরাহবাতান ফী সুদূ রিহিম মিনাল্লা-হি যা-লিকা বিআন্নাহুম কাওমুল লাইয়াফকাহুন।",
              "words_arabic": "لَاَنْتُمْ/لَأَنتُمۡ/la-antum//اَشَدُّ/أَشَدُّ/ashaddu//رَهْبَةً/رَهۡبَةٗ/rahbatan//فِیْ/فِي/fi//صُدُوْرِهِمْ/صُدُورِهِم/sudurihim//مِّنَ/مِّنَ/mina//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "তোমরা প্রকৃত পক্ষে//অধিকতর//ভয়ংকর//মধ্যে//তাদের বুকের//চেয়েও//আল্লাহর//এটা//তারা যে একারণে//(এমন) একজাতি//না//তারা বুঝে"
            },
            {
              "number": 5140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5140.mp3"
              ],
              "text": "لَا يُقَٰتِلُونَكُمْ جَمِيعًا إِلَّا فِى قُرًۭى مُّحَصَّنَةٍ أَوْ مِن وَرَآءِ جُدُرٍۭ ۚ بَأْسُهُم بَيْنَهُمْ شَدِيدٌۭ ۚ تَحْسَبُهُمْ جَمِيعًۭا وَقُلُوبُهُمْ شَتَّىٰ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌۭ لَّا يَعْقِلُونَ",
              "translate_bn": "তারা সংঘবদ্ধভাবেও তোমাদের বিরুদ্ধে যুদ্ধ করতে পারবে না। তারা যুদ্ধ করবে কেবল সুরক্ষিত জনপদে অথবা দুর্গ প্রাচীরের আড়াল থেকে। তাদের পারস্পরিক যুদ্ধই প্রচন্ড হয়ে থাকে। আপনি তাদেরকে ঐক্যবদ্ধ মনে করবেন; কিন্তু তাদের অন্তর শতধাবিচ্ছিন্ন। এটা এ কারণে যে, তারা এক কান্ডজ্ঞানহীণ সম্প্রদায়।",
              "numberInSurah": 14,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লা-ইউকা-তিলূনাকুম জামী‘আন ইল্লা ফী কুরামমুহাসসনাতিন আও মিওঁ ওয়ারাই জুদুরিন বা’ছুহুম বাইনাহুম শাদীদুন তাহছাবুহুম জামি‘আওঁ ওয়া কুলূবুহুম শাত্তা- যালিকা বিআন্নাহুম কাওমুল লা-ইয়া‘কিলূন।",
              "words_arabic": "لَا/لَا/la//یُقَاتِلُوْنَكُمْ/يُقَٰتِلُونَكُمۡ/yuqatilunakum//جَمِیْعًا/جَمِيعًا/jami'an//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//قُرًی/قُرٗى/quran//مُّحَصَّنَةٍ/مُّحَصَّنَةٍ/muhassanatin//اَوْ/أَوۡ/aw//مِنْ/مِن/min//وَّرَآءِ/وَرَآءِ/warai//جُدُرٍ ؕ/جُدُرِۭۚ/judurin//بَاْسُهُمْ/بَأۡسُهُم/basuhum//بَیْنَهُمْ/بَيۡنَهُمۡ/baynahum//شَدِیْدٌ ؕ/شَدِيدٞۚ/shadidun//تَحْسَبُهُمْ/تَحۡسَبُهُمۡ/tahsabuhum//جَمِیْعًا/جَمِيعٗا/jami'an//وَّ قُلُوْبُهُمْ/وَقُلُوبُهُمۡ/waqulubuhum//شَتّٰی ؕ/شَتَّىٰۚ/shatta//ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//قَوْمٌ/قَوۡمٞ/qawmun//لَّا/لَّا/la//یَعْقِلُوْنَۚ/يَعۡقِلُونَ/ya'qiluna",
              "words_bangla": "না//তোমাদের সাথে লড়বে তারা//একত্রে//কিন্তু//মধ্যে//জনপদের//দুর্গ পরিবেষ্টিত//অথবা//থেকে//পিছনে//প্রাচীরসমূহের//তাদের বিরুদ্ধতা//তাদের মধ্য//প্রবল//তাদের মনে কর তুমি//ঐক্যবদ্ধ//তাদের অন্তরগুলো কিন্তু//দ্বিধাবিভক্ত//এটা//তারা যে কারণে//একজাতি//না//তারা জানে"
            },
            {
              "number": 5141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5141.mp3"
              ],
              "text": "كَمَثَلِ ٱلَّذِينَ مِن قَبْلِهِمْ قَرِيبًۭا ۖ ذَاقُوا۟ وَبَالَ أَمْرِهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তারা সেই লোকদের মত, যারা তাদের নিকট অতীতে নিজেদের কর্মের শাস্তিভোগ করেছে। তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 15,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "কামাছালিল্লাযীনা মিন কাবলিহিম কারীবান যা-কূওয়া বা-লা আমরিহিম ওয়া লাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "كَمَثَلِ/كَمَثَلِ/kamathali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//قَرِیْبًا/قَرِيبٗاۖ/qariban//ذَاقُوْا/ذَاقُواْ/dhaqu//وَبَالَ/وَبَالَ/wabala//اَمْرِهِمْ ۚ/أَمۡرِهِمۡ/amrihim//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌۚ/أَلِيمٞ/alimun",
              "words_bangla": "দৃষ্ঠান্ত যেমন//যারা//মধ্য হতে//তাদের পূর্বে ছিল//কিছুকাল//তারা স্বাদ নিয়েছে//কুফলের//তাদের কাজের//ও তাদের জন্যে//আজাব//কষ্টদায়ক"
            },
            {
              "number": 5142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5142.mp3"
              ],
              "text": "كَمَثَلِ ٱلشَّيْطَٰنِ إِذْ قَالَ لِلْإِنسَٰنِ ٱكْفُرْ فَلَمَّا كَفَرَ قَالَ إِنِّى بَرِىٓءٌۭ مِّنكَ إِنِّىٓ أَخَافُ ٱللَّهَ رَبَّ ٱلْعَٰلَمِينَ",
              "translate_bn": "তারা শয়তানের মত, যে মানুষকে কাফের হতে বলে। অতঃপর যখন সে কাফের হয়, তখন শয়তান বলেঃ তোমার সাথে আমার কোন সম্পর্ক নেই। আমি বিশ্বপালনকর্তা আল্লাহ তা’আলাকে ভয় করি।",
              "numberInSurah": 16,
              "juz": 28,
              "manzil": 7,
              "page": 547,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "কামাছালিশশাইতা-নি ইযকা-লা লিল ইনছা-নিকফুর ফালাম্মা-কাফারা কালা ইন্নী বারীউম মিনকা ইন্নীআখা-ফুল্লা-হা রাব্বাল ‘আ-লামীন।",
              "words_arabic": "كَمَثَلِ/كَمَثَلِ/kamathali//الشَّیْطٰنِ/ٱلشَّيۡطَٰنِ/al-shaytani//اِذْ/إِذۡ/idh//قَالَ/قَالَ/qala//لِلْاِنْسَانِ/لِلۡإِنسَٰنِ/lil'insani//اكْفُرْ ۚ/ٱكۡفُرۡ/uk'fur//فَلَمَّا/فَلَمَّا/falamma//كَفَرَ/كَفَرَ/kafara//قَالَ/قَالَ/qala//اِنِّیْ/إِنِّي/inni//بَرِیْٓءٌ/بَرِيٓءٞ/barion//مِّنْكَ/مِّنكَ/minka//اِنِّیْۤ/إِنِّيٓ/inni//اَخَافُ/أَخَافُ/akhafu//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّ/رَبَّ/rabba//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "দৃষ্ঠান্ত যেমন//শয়তানের//যখন//সে বলেছিল//মানুুষকে//\"তুমি কুফরিকর\"//যখন অতঃপর//কুফুরি করল//সে বলেল//\"আমি নিশ্চয়//দ্বায়িত্বমুক্ত//তোমার হতে//আমি নিশ্চয়//ভয়করি//আল্লাহকে//রব//সারা বিশ্বের\""
            },
            {
              "number": 5143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5143.mp3"
              ],
              "text": "فَكَانَ عَٰقِبَتَهُمَآ أَنَّهُمَا فِى ٱلنَّارِ خَٰلِدَيْنِ فِيهَا ۚ وَذَٰلِكَ جَزَٰٓؤُا۟ ٱلظَّٰلِمِينَ",
              "translate_bn": "অতঃপর উভয়ের পরিণতি হবে এই যে, তারা জাহান্নামে যাবে এবং চিরকাল তথায় বসবাস করবে। এটাই জালেমদের শাস্তি।",
              "numberInSurah": 17,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 480,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "ফাকা-না ‘আ-কিবাতাহুমাআন্নাহুমা-ফিন্না-রি খা-লিদাইনি ফীহা- ওয়া যা-লিকা জাঝাউজ্জা-লিমীন।",
              "words_arabic": "فَكَانَ/فَكَانَ/fakana//عَاقِبَتَهُمَاۤ/عَٰقِبَتَهُمَآ/aqibatahuma//اَنَّهُمَا/أَنَّهُمَا/annahuma//فِی/فِي/fi//النَّارِ/ٱلنَّارِ/al-nari//خَالِدَیْنِ/خَٰلِدَيۡنِ/khalidayni//فِیْهَا ؕ/فِيهَاۚ/fiha//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//جَزٰٓؤُا/جَزَـٰٓؤُاْ/jazau//الظّٰلِمِیْنَ۠/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "হল অতঃপর//তাদের দুজনের পরিনতি//দুজনই যে হবে//মধ্যে//জাহান্নামের//দুজনে চিরকাল থাকবে//তার মধ্যে//এবং এটা//প্রতিদান//যালিমদের"
            },
            {
              "number": 5144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5144.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَلْتَنظُرْ نَفْسٌۭ مَّا قَدَّمَتْ لِغَدٍۢ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "মুমিনগণ, তোমরা আল্লাহ তা’আলাকে ভয় কর। প্রত্যেক ব্যক্তির উচিত, আগামী কালের জন্যে সে কি প্রেরণ করে, তা চিন্তা করা। আল্লাহ তা’আলাকে ভয় করতে থাক। তোমরা যা কর, আল্লাহ তা’আলা সে সম্পর্কে খবর রাখেন।",
              "numberInSurah": 18,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানুত্তাকুল্লা-হা ওয়ালতানজুর নাফছুম মা-কাদ্দামাত লিগাদিও ওয়াত্তাকুল্লা-হা ইন্নাল্লা-হা খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوا/ءَامَنُواْ/amanu//اتَّقُوا/ٱتَّقُواْ/ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//وَ لْتَنْظُرْ/وَلۡتَنظُرۡ/waltanzur//نَفْسٌ/نَفۡسٞ/nafsun//مَّا/مَّا/ma//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//لِغَدٍ ۚ/لِغَدٖۖ/lighadin//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "ওহে//যারা//ইমান এনেছ//তোমরা ভয়কর//আল্লাহকে//এবং যেন লক্ষ্য করে//প্রত্যেক ব্যক্তি//যা//আগে পাঠিয়েছে//আগামীকালে জন্যে//ও তোমরা ভয়কর//আল্লাহকে//নিশ্চয়//আল্লাহ//খুব অবহিত//যা//তোমরা কাজ কর"
            },
            {
              "number": 5145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5145.mp3"
              ],
              "text": "وَلَا تَكُونُوا۟ كَٱلَّذِينَ نَسُوا۟ ٱللَّهَ فَأَنسَىٰهُمْ أَنفُسَهُمْ ۚ أُو۟لَٰٓئِكَ هُمُ ٱلْفَٰسِقُونَ",
              "translate_bn": "তোমরা তাদের মত হয়ো না, যারা আল্লাহ তা’আলাকে ভুলে গেছে। ফলে আল্লাহ তা’আলা তাদেরকে আত্ন বিস্মৃত করে দিয়েছেন। তারাই অবাধ্য।",
              "numberInSurah": 19,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তাকূনূকাল্লাযীনা নাছুল্লা-হা ফাআনছা-হুম আনফুছাহুম উলাইকা হুমুল ফাছিকূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَكُوْنُوْا/تَكُونُواْ/takunu//كَالَّذِیْنَ/كَٱلَّذِينَ/ka-alladhina//نَسُوا/نَسُواْ/nasu//اللّٰهَ/ٱللَّهَ/al-laha//فَاَنْسٰىهُمْ/فَأَنسَىٰهُمۡ/fa-ansahum//اَنْفُسَهُمْ ؕ/أَنفُسَهُمۡۚ/anfusahum//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْفٰسِقُوْنَ /ٱلۡفَٰسِقُونَ/al-fasiquna",
              "words_bangla": "এবং না//তোমরা হয়ো//(তাদের) মত যারা//ভূলে গিয়েছিল//আল্লাহকে//তাদের ভুলালেন অতঃপর তিনি//তারা নিজেদেরকে//ঐসব লোক//তারাই//ফাসেক"
            },
            {
              "number": 5146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5146.mp3"
              ],
              "text": "لَا يَسْتَوِىٓ أَصْحَٰبُ ٱلنَّارِ وَأَصْحَٰبُ ٱلْجَنَّةِ ۚ أَصْحَٰبُ ٱلْجَنَّةِ هُمُ ٱلْفَآئِزُونَ",
              "translate_bn": "জাহান্নামের অধিবাসী এবং জান্নাতের অধিবাসী সমান হতে পারে না। যারা জান্নাতের অধিবাসী, তারাই সফলকাম।",
              "numberInSurah": 20,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছতাবীআসহা-বুন্না-রি ওয়া আসহা-বুল জান্নাতি আসহা-বুল জান্নাতি হুমুল ফাইঝুন।",
              "words_arabic": "لَا/لَا/la//یَسْتَوِیْۤ/يَسۡتَوِيٓ/yastawi//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ/ٱلنَّارِ/al-nari//وَ اَصْحٰبُ/وَأَصۡحَٰبُ/wa-ashabu//الْجَنَّةِ ؕ/ٱلۡجَنَّةِۚ/al-janati//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//هُمُ/هُمُ/humu//الْفَآىِٕزُوْنَ /ٱلۡفَآئِزُونَ/al-faizuna",
              "words_bangla": "না//সমান হয়//অধিবাসীরা//দোজখের//ও অধিবাসীরা//জান্নাতের//অধধিবাসীরা//জান্নাতের//তারাই//সফলকাম"
            },
            {
              "number": 5147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5147.mp3"
              ],
              "text": "لَوْ أَنزَلْنَا هَٰذَا ٱلْقُرْءَانَ عَلَىٰ جَبَلٍۢ لَّرَأَيْتَهُۥ خَٰشِعًۭا مُّتَصَدِّعًۭا مِّنْ خَشْيَةِ ٱللَّهِ ۚ وَتِلْكَ ٱلْأَمْثَٰلُ نَضْرِبُهَا لِلنَّاسِ لَعَلَّهُمْ يَتَفَكَّرُونَ",
              "translate_bn": "যদি আমি এই কোরআন পাহাড়ের উপর অবতীর্ণ করতাম, তবে তুমি দেখতে যে, পাহাড় বিনীত হয়ে আল্লাহ তা’আলার ভয়ে বিদীর্ণ হয়ে গেছে। আমি এসব দৃষ্টান্ত মানুষের জন্যে বর্ণনা করি, যাতে তারা চিন্তা-ভাবনা করে।",
              "numberInSurah": 21,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লাও আনঝালনা-হা-যাল কুরআ-না ‘আলা-জাবালিল লারাআইতাহু খা-শি‘আম মুতাসাদ্দি‘ আম মিন খাশয়াতিল্লা-হি ওয়া তিলকাল আমছা-লুনাদরিবুহা-লিন্নাছি লা‘আল্লাহম ইয়াতাফাক্কারূন।",
              "words_arabic": "لَوْ/لَوۡ/law//اَنْزَلْنَا/أَنزَلۡنَا/anzalna//هٰذَا/هَٰذَا/hadha//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//عَلٰی/عَلَىٰ/ala//جَبَلٍ/جَبَلٖ/jabalin//لَّرَاَیْتَهٗ/لَّرَأَيۡتَهُۥ/lara-aytahu//خَاشِعًا/خَٰشِعٗا/khashi'an//مُّتَصَدِّعًا/مُّتَصَدِّعٗا/mutasaddi'an//مِّنْ/مِّنۡ/min//خَشْیَةِ/خَشۡيَةِ/khashyati//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ تِلْكَ/وَتِلۡكَ/watil'ka//الْاَمْثَالُ/ٱلۡأَمۡثَٰلُ/al-amthalu//نَضْرِبُهَا/نَضۡرِبُهَا/nadribuha//لِلنَّاسِ/لِلنَّاسِ/lilnnasi//لَعَلَّهُمْ/لَعَلَّهُمۡ/la'allahum//یَتَفَكَّرُوْنَ /يَتَفَكَّرُونَ/yatafakkaruna",
              "words_bangla": "যদি//আমরা অবতীর্ণ করতাম//এই//কুরআন//উপর//একটি পর্বতের//নিশ্চয় আপনি তা দেখতেন//বিনীত ,//দুভাগে বিভক্ত ভঙ্গ//থেকে//ভয়//আল্লাহর//আর এই//উদাহরণ ( সম্পূর্ণ ) ,//আমরা তাদের উপস্থাপন করি//মানুষের কাছে//যেন তারা//চিন্তা-ভাবনা করে"
            },
            {
              "number": 5148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5148.mp3"
              ],
              "text": "هُوَ ٱللَّهُ ٱلَّذِى لَآ إِلَٰهَ إِلَّا هُوَ ۖ عَٰلِمُ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ ۖ هُوَ ٱلرَّحْمَٰنُ ٱلرَّحِيمُ",
              "translate_bn": "তিনিই আল্লাহ তা’আলা, তিনি ব্যতীত কোন উপাস্য নেই; তিনি দৃশ্য ও অদৃশ্যকে জানেন তিনি পরম দয়ালু, অসীম দাতা।",
              "numberInSurah": 22,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লা-হুল্লাযী লাইলা-হা ইল্লা-হুওয়া ‘আ-লিমুল গাইবি ওয়াশশাহা-দাতি হুওয়াররাহমা-নুর রাহীম।",
              "words_arabic": "هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَۖ/huwa//عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ ۚ/وَٱلشَّهَٰدَةِۖ/wal-shahadati//هُوَ/هُوَ/huwa//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//الرَّحِیْمُ /ٱلرَّحِيمُ/al-rahimu",
              "words_bangla": "তিনিই//আল্লাহ//যে//নাই//কোনো ইলাহ//ব্যতীত//তাঁর,//জানেন//গোপন//ও প্রকাশ্য//তিনি//পরম করুণাময়//অসীম দয়ালু"
            },
            {
              "number": 5149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5149.mp3"
              ],
              "text": "هُوَ ٱللَّهُ ٱلَّذِى لَآ إِلَٰهَ إِلَّا هُوَ ٱلْمَلِكُ ٱلْقُدُّوسُ ٱلسَّلَٰمُ ٱلْمُؤْمِنُ ٱلْمُهَيْمِنُ ٱلْعَزِيزُ ٱلْجَبَّارُ ٱلْمُتَكَبِّرُ ۚ سُبْحَٰنَ ٱللَّهِ عَمَّا يُشْرِكُونَ",
              "translate_bn": "তিনিই আল্লাহ তিনি ব্যতিত কোন উপাস্য নেই। তিনিই একমাত্র মালিক, পবিত্র, শান্তি ও নিরাপত্তাদাতা, আশ্রয়দাতা, পরাক্রান্ত, প্রতাপান্বিত, মাহাত্ন?486;ীল। তারা যাকে অংশীদার করে আল্লাহ তা’ আলা তা থেকে পবিত্র।",
              "numberInSurah": 23,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লা-হুল্লাযী লাইলা-হা ইল্লা-হুওয়া আলমালিকুল কুদ্দূছুছ ছালা-মুল ম’মিনুল মুহাইমিনুল ‘আঝীঝুল জাব্বা-রুল মুতাকাব্বিরু ছুবহা-নাল্লা-হি ‘আম্মা-ইউশরিকূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ۚ/هُوَ/huwa//اَلْمَلِكُ/ٱلۡمَلِكُ/al-maliku//الْقُدُّوْسُ/ٱلۡقُدُّوسُ/al-qudusu//السَّلٰمُ/ٱلسَّلَٰمُ/al-salamu//الْمُؤْمِنُ/ٱلۡمُؤۡمِنُ/al-mu'minu//الْمُهَیْمِنُ/ٱلۡمُهَيۡمِنُ/al-muhayminu//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْجَبَّارُ/ٱلۡجَبَّارُ/al-jabaru//الْمُتَكَبِّرُ ؕ/ٱلۡمُتَكَبِّرُۚ/al-mutakabiru//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//اللّٰهِ/ٱللَّهِ/al-lahi//عَمَّا/عَمَّا/amma//یُشْرِكُوْنَ /يُشۡرِكُونَ/yush'rikuna",
              "words_bangla": "তিনিই//আল্লাহ//যে//নাই//কোনো ইলাহ//ব্যতীত//তাঁর,//বাদশাহ,//অতীব প্রবিত্র,//শান্তিদাতা,//নিরাপত্তাদাতা,//সংরক্ষক,//পরাক্রমশালী,//প্রবল,//মহিমান্বিত,//পবিত্র//আল্লাহ (র)//যা হতে//তারা শরীক করে"
            },
            {
              "number": 5150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5150.mp3"
              ],
              "text": "هُوَ ٱللَّهُ ٱلْخَٰلِقُ ٱلْبَارِئُ ٱلْمُصَوِّرُ ۖ لَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ ۚ يُسَبِّحُ لَهُۥ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "তিনিই আল্লাহ তা’আলা, স্রষ্টা, উদ্ভাবক, রূপদাতা, উত্তম নাম সমূহ তাঁরই। নভোমন্ডলে ও ভূমন্ডলে যা কিছু আছে, সবই তাঁর পবিত্রতা ঘোষণা করে। তিনি পরাক্রান্ত প্রজ্ঞাময়।",
              "numberInSurah": 24,
              "juz": 28,
              "manzil": 7,
              "page": 548,
              "ruku": 481,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লা-হুল খা-লিকুল বা-রিউল মুছাওবিরু লাহুল আছমাউল হুছনা-; ইউছাব্বিহুলাহূ মা-ফিছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াহুওয়াল ‘ আঝীঝুল হাকীম।",
              "words_arabic": "هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//الْخَالِقُ/ٱلۡخَٰلِقُ/al-khaliqu//الْبَارِئُ/ٱلۡبَارِئُ/al-bari-u//الْمُصَوِّرُ/ٱلۡمُصَوِّرُۖ/al-musawiru//لَهُ/لَهُ/lahu//الْاَسْمَآءُ/ٱلۡأَسۡمَآءُ/al-asmau//الْحُسْنٰی ؕ/ٱلۡحُسۡنَىٰۚ/al-hus'na//یُسَبِّحُ/يُسَبِّحُ/yusabbihu//لَهٗ/لَهُۥ/lahu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ۚ/وَٱلۡأَرۡضِۖ/wal-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তিনিই//আল্লাহ//সৃষ্টিকর্তা,//উদ্ভাবনকর্তা,//আকৃতিদাতা,//তাঁর জন্যই//নামসমুহ//উত্তম//গৌরব বর্ণনা করে//তারই//যা কিছু//আছে//আসমানে//এবং পৃথিবীতে//এবং তিনি//পরাক্রমশালী,//মহাবিজ্ঞ"
            }
          ]
        },
        {
          "number": 60,
          "name": "سُورَةُ المُمۡتَحنَةِ",
          "englishName": "Al-Mumtahana",
          "englishNameTranslation": "She that is to be examined",
          "revelationType": "Medinan",
          "verse": 13,
          "words": 715,
          "chars": 3129,
          "ayahs": [
            {
              "number": 5151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5151.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ عَدُوِّى وَعَدُوَّكُمْ أَوْلِيَآءَ تُلْقُونَ إِلَيْهِم بِٱلْمَوَدَّةِ وَقَدْ كَفَرُوا۟ بِمَا جَآءَكُم مِّنَ ٱلْحَقِّ يُخْرِجُونَ ٱلرَّسُولَ وَإِيَّاكُمْ ۙ أَن تُؤْمِنُوا۟ بِٱللَّهِ رَبِّكُمْ إِن كُنتُمْ خَرَجْتُمْ جِهَٰدًۭا فِى سَبِيلِى وَٱبْتِغَآءَ مَرْضَاتِى ۚ تُسِرُّونَ إِلَيْهِم بِٱلْمَوَدَّةِ وَأَنَا۠ أَعْلَمُ بِمَآ أَخْفَيْتُمْ وَمَآ أَعْلَنتُمْ ۚ وَمَن يَفْعَلْهُ مِنكُمْ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ",
              "translate_bn": "মুমিনগণ, তোমরা আমার ও তোমাদের শত্রুদেরকে বন্ধরূপে গ্রহণ করো না। তোমরা তো তাদের প্রতি বন্ধুত্বের বার্তা পাঠাও, অথচ তারা যে সত্য তোমাদের কাছে আগমন করেছে, তা অস্বীকার করছে। তারা রসূলকে ও তোমাদেরকে বহিস্কার করে এই অপরাধে যে, তোমরা তোমাদের পালনকর্তার প্রতি বিশ্বাস রাখ। যদি তোমরা আমার সন্তুষ্টিলাভের জন্যে এবং আমার পথে জেহাদ করার জন্যে বের হয়ে থাক, তবে কেন তাদের প্রতি গোপনে বন্ধুত্বের পয়গাম প্রেরণ করছ? তোমরা যা গোপন কর এবং যা প্রকাশ কর, ত আমি খুব জানি। তোমাদের মধ্যে যে এটা করে, সে সরলপথ থেকে বিচ্যুত হয়ে যায়।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 549,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাত্তাখিযূ‘আদুওবী ওয়া ‘আদুওওয়াকুম আওলিয়াআ তুলকূনা ইলাইহিম বিলমাওয়াদ্দাতি ওয়া কাদ কাফারূবিমা-জাআকুম মিনাল হাক্কি ইউখরিজুনার রাছূলা ওয়া ইয়্যা-কুম আন তু’মিনূবিল্লা-হি রাব্বিকুম ইন কুনতুম খারাজতুম জিহা-দান ফী ছাবীলী ওয়াব তিগাআ মারদা-তী তুছিররূনা ইলাইহিম বিলমাওয়াদ্দাতি ওয়া আনা আ‘লামুবিমাআখফাইতুম ওয়ামাআ‘লানতুম ওয়া মাইঁ ইয়াফ‘আলহু মিনকুম ফাকাদ দাল্লা ছাওয়াআছ ছাবীল।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَّخِذُوْا/تَتَّخِذُواْ/tattakhidhu//عَدُوِّیْ/عَدُوِّي/aduwwi//وَ عَدُوَّكُمْ/وَعَدُوَّكُمۡ/wa'aduwwakum//اَوْلِیَآءَ/أَوۡلِيَآءَ/awliyaa//تُلْقُوْنَ/تُلۡقُونَ/tul'quna//اِلَیْهِمْ/إِلَيۡهِم/ilayhim//بِالْمَوَدَّةِ/بِٱلۡمَوَدَّةِ/bil-mawadati//وَ قَدْ/وَقَدۡ/waqad//كَفَرُوْا/كَفَرُواْ/kafaru//بِمَا/بِمَا/bima//جَآءَكُمْ/جَآءَكُم/jaakum//مِّنَ/مِّنَ/mina//الْحَقِّ ۚ/ٱلۡحَقِّ/al-haqi//یُخْرِجُوْنَ/يُخۡرِجُونَ/yukh'rijuna//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//وَ اِیَّاكُمْ/وَإِيَّاكُمۡ/wa-iyyakum//اَنْ/أَن/an//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//رَبِّكُمْ ؕ/رَبِّكُمۡ/rabbikum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//خَرَجْتُمْ/خَرَجۡتُمۡ/kharajtum//جِهَادًا/جِهَٰدٗا/jihadan//فِیْ/فِي/fi//سَبِیْلِیْ/سَبِيلِي/sabili//وَ ابْتِغَآءَ/وَٱبۡتِغَآءَ/wa-ib'tighaa//مَرْضَاتِیْ ۖۗ/مَرۡضَاتِيۚ/mardati//تُسِرُّوْنَ/تُسِرُّونَ/tusirruna//اِلَیْهِمْ/إِلَيۡهِم/ilayhim//بِالْمَوَدَّةِ ۖۗ/بِٱلۡمَوَدَّةِ/bil-mawadati//وَ اَنَا/وَأَنَا۠/wa-ana//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَاۤ/بِمَآ/bima//اَخْفَیْتُمْ/أَخۡفَيۡتُمۡ/akhfaytum//وَ مَاۤ/وَمَآ/wama//اَعْلَنْتُمْ ؕ/أَعۡلَنتُمۡۚ/a'lantum//وَ مَنْ/وَمَن/waman//یَّفْعَلْهُ/يَفۡعَلۡهُ/yaf 'alhu//مِنْكُمْ/مِنكُمۡ/minkum//فَقَدْ/فَقَدۡ/faqad//ضَلَّ/ضَلَّ/dalla//سَوَآءَ/سَوَآءَ/sawaa//السَّبِیْلِ /ٱلسَّبِيلِ/al-sabili",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমরা গ্রহণ করো//আমার শত্রুকে//ও তোমাদের শত্রুকে//বন্ধুরূপে//তোমরা স্থাপন কর//তাদের সাথেে//বন্ধুত্ব//অথচ নিশ্চয়//ত্রা অস্বীকার করেছে//যা//তোমাদের কাছে এসেছে//থেকে//সত্য//তারা বহিষ্কার করেছে//রসূলকে//এবং তোমাদেরকেও//একারণে যে//তোমরা ঈমান এনেছো//আল্লাহর উপর//তোমাদের রব//যদি//তোমরা//বের হয়ে থাকো//জিহাদে//(মধ্যে)//আমার পথে//ও সন্ধানে//আমার সন্তুষ্টির//তোমরা গোপনে কর//তাদের সাথে//বন্ধুত্ব//আমি অথচ//সম্যক অবগত//যা কিছু//তোমরা গোপন কর//ও যা//তোমরা প্রকাশ কর//এবং যে//তা করবে//তোমাদের মধ্যে//অতঃপর নিশ্চয়//ভ্রষ্ট হয়েছে//সোজা//পথ থেকে"
            },
            {
              "number": 5152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5152.mp3"
              ],
              "text": "إِن يَثْقَفُوكُمْ يَكُونُوا۟ لَكُمْ أَعْدَآءًۭ وَيَبْسُطُوٓا۟ إِلَيْكُمْ أَيْدِيَهُمْ وَأَلْسِنَتَهُم بِٱلسُّوٓءِ وَوَدُّوا۟ لَوْ تَكْفُرُونَ",
              "translate_bn": "তোমাদেরকে করতলগত করতে পারলে তারা তোমাদের শত্রু হয়ে যাবে এবং মন্দ উদ্দেশ্যে তোমাদের প্রতি বাহু ও রসনা প্রসারিত করবে এবং চাইবে যে, কোনরূপে তোমরা ও কাফের হয়ে যাও।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 549,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "ইয়ঁইয়াছকাফূকুমইয়াকূনূলাকুমআ‘দাআওঁ ওয়া ইয়াবছুতূ ইলাইকুম আইদিয়াহুম ওয়া আলছিনাতাহুম বিছছূই ওয়া ওয়াদ্দূলাও তাকফুরূন।",
              "words_arabic": "اِنْ/إِن/in//یَّثْقَفُوْكُمْ/يَثۡقَفُوكُمۡ/yathqafukum//یَكُوْنُوْا/يَكُونُواْ/yakunu//لَكُمْ/لَكُمۡ/lakum//اَعْدَآءً/أَعۡدَآءٗ/a'daan//وَّ یَبْسُطُوْۤا/وَيَبۡسُطُوٓاْ/wayabsutu//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//اَیْدِیَهُمْ/أَيۡدِيَهُمۡ/aydiyahum//وَ اَلْسِنَتَهُمْ/وَأَلۡسِنَتَهُم/wa-alsinatahum//بِالسُّوْٓءِ/بِٱلسُّوٓءِ/bil-sui//وَ وَدُّوْا/وَوَدُّواْ/wawaddu//لَوْ/لَوۡ/law//تَكْفُرُوْنَؕ/تَكۡفُرُونَ/takfuruna",
              "words_bangla": "যদি//তোমাদের কাবু করতে পারে//তারা হয়//তোমাদের জন্য//শত্রু//ও তারা সম্প্রসারিত করে//তোমাদের দিবে//তাদের হাতগুলো//ও তাদের রসনাগুলো//মন্দের সাথে//ও তারা কামনা করে//যদি//তোমরা কাফির হও"
            },
            {
              "number": 5153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5153.mp3"
              ],
              "text": "لَن تَنفَعَكُمْ أَرْحَامُكُمْ وَلَآ أَوْلَٰدُكُمْ ۚ يَوْمَ ٱلْقِيَٰمَةِ يَفْصِلُ بَيْنَكُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌۭ",
              "translate_bn": "তোমাদের স্বজন-পরিজন ও সন্তান-সন্ততি কিয়ামতের দিন কোন উপকারে আসবে না। তিনি তোমাদের মধ্যে ফয়সালা করবেন। তোমরা যা কর, আল্লাহ তা দেখেন।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 549,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লান তানফা‘আকুম আরহা-মুকুম ওয়ালাআওলা-দুকুম ইয়াওমাল কিয়া-মাতি ইয়াফসিলুবাইনাকুম ওয়াল্লা-হু বিমা-তা‘মালূনা বাসীর।",
              "words_arabic": "لَنْ/لَن/lan//تَنْفَعَكُمْ/تَنفَعَكُمۡ/tanfa'akum//اَرْحَامُكُمْ/أَرۡحَامُكُمۡ/arhamukum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُكُمْ ۛۚ/أَوۡلَٰدُكُمۡۚ/awladukum//یَوْمَ/يَوۡمَ/yawma//الْقِیٰمَةِ ۛۚ/ٱلۡقِيَٰمَةِ/al-qiyamati//یَفْصِلُ/يَفۡصِلُ/yafsilu//بَیْنَكُمْ ؕ/بَيۡنَكُمۡۚ/baynakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٞ/basirun",
              "words_bangla": "কখনো না//তোমাদের উপকার দেবে//তোমাদের আত্মীয়দের//এবং না//তোমাদের সন্তানদের//দিনে//কিয়ামতের//বিচ্ছেদ করবেন তিনি//তোমাদের মাঝে//এবং আল্লাহ//যা//তোমরা কাজ কর//সব দেখেন"
            },
            {
              "number": 5154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5154.mp3"
              ],
              "text": "قَدْ كَانَتْ لَكُمْ أُسْوَةٌ حَسَنَةٌۭ فِىٓ إِبْرَٰهِيمَ وَٱلَّذِينَ مَعَهُۥٓ إِذْ قَالُوا۟ لِقَوْمِهِمْ إِنَّا بُرَءَٰٓؤُا۟ مِنكُمْ وَمِمَّا تَعْبُدُونَ مِن دُونِ ٱللَّهِ كَفَرْنَا بِكُمْ وَبَدَا بَيْنَنَا وَبَيْنَكُمُ ٱلْعَدَٰوَةُ وَٱلْبَغْضَآءُ أَبَدًا حَتَّىٰ تُؤْمِنُوا۟ بِٱللَّهِ وَحْدَهُۥٓ إِلَّا قَوْلَ إِبْرَٰهِيمَ لِأَبِيهِ لَأَسْتَغْفِرَنَّ لَكَ وَمَآ أَمْلِكُ لَكَ مِنَ ٱللَّهِ مِن شَىْءٍۢ ۖ رَّبَّنَا عَلَيْكَ تَوَكَّلْنَا وَإِلَيْكَ أَنَبْنَا وَإِلَيْكَ ٱلْمَصِيرُ",
              "translate_bn": "তোমাদের জন্যে ইব্রাহীম ও তাঁর সঙ্গীগণের মধ্যে চমৎকার আদর্শ রয়েছে। তারা তাদের সম্প্রদায়কে বলেছিলঃ তোমাদের সাথে এবং তোমরা আল্লাহর পরিবর্তে যার এবাদত কর, তার সাথে আমাদের কোন সম্পর্ক নেই। আমরা তোমাদের মানি না। তোমরা এক আল্লাহর প্রতি বিশ্বাস স্থাপন না করলে তোমাদের মধ্যে ও আমাদের মধ্যে চিরশত্রুতা থাকবে। কিন্তু ইব্রাহীমের উক্তি তাঁর পিতার উদ্দেশে এই আদর্শের ব্যতিক্রম। তিনি বলেছিলেনঃ আমি অবশ্যই তোমার জন্য ক্ষমাপ্রার্থনা করব। তোমার উপকারের জন্যে আল্লাহর কাছে আমার আর কিছু করার নেই। হে আমাদের পালনকর্তা! আমরা তোমারই উপর ভরসা করেছি, তোমারই দিকে মুখ করেছি এবং তোমারই নিকট আমাদের প্রত্যাবর্তন।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 549,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "কাদ কা-নাত লাকুম উছওয়াতুন হাছানাতুন ফীইবরা-হীমা ওয়াল্লাযীনা মা‘আহূ ইয কা-লূলিকাওমিহিম ইন্না-বুরাআউ মিনকুম ওয়া মিম্মা-তা‘বুদূ না মিন দূ নিল্লা-হি কাফারনাবিকুম ওয়া বাদা-বাইনানা-ওয়া বাইনাকুমুল ‘আদা-ওয়াতুওয়ালা বাগদা উ আবাদান হাত্তা-তু’মিনূবিল্লা-হি ওয়াহদাহূইল্লা-কাওলা ইবরা-হীমা লিআবীহি লাআছতাগফিরান্না লাকা ওয়ামাআমলিকুলাকা মিনাল্লা-হি মিন শাইয়িন রাব্বানা-‘আলাইকা তাওয়াক্কালনাওয়া ইলাইকা আনাবনা-ওয়া ইলাইকাল মাসীর।",
              "words_arabic": "قَدْ/قَدۡ/qad//كَانَتْ/كَانَتۡ/kanat//لَكُمْ/لَكُمۡ/lakum//اُسْوَةٌ/أُسۡوَةٌ/us'watun//حَسَنَةٌ/حَسَنَةٞ/hasanatun//فِیْۤ/فِيٓ/fi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//مَعَهٗ ۚ/مَعَهُۥٓ/ma'ahu//اِذْ/إِذۡ/idh//قَالُوْا/قَالُواْ/qalu//لِقَوْمِهِمْ/لِقَوۡمِهِمۡ/liqawmihim//اِنَّا/إِنَّا/inna//بُرَءٰٓؤُا/بُرَءَـٰٓؤُاْ/buraau//مِنْكُمْ/مِنكُمۡ/minkum//وَ مِمَّا/وَمِمَّا/wamimma//تَعْبُدُوْنَ/تَعۡبُدُونَ/ta'buduna//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//اللّٰهِ ؗ/ٱللَّهِ/al-lahi//كَفَرْنَا/كَفَرۡنَا/kafarna//بِكُمْ/بِكُمۡ/bikum//وَ بَدَا/وَبَدَا/wabada//بَیْنَنَا/بَيۡنَنَا/baynana//وَ بَیْنَكُمُ/وَبَيۡنَكُمُ/wabaynakumu//الْعَدَاوَةُ/ٱلۡعَدَٰوَةُ/al-'adawatu//وَ الْبَغْضَآءُ/وَٱلۡبَغۡضَآءُ/wal-baghdau//اَبَدًا/أَبَدًا/abadan//حَتّٰی/حَتَّىٰ/hatta//تُؤْمِنُوْا/تُؤۡمِنُواْ/tu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَحْدَهٗۤ/وَحۡدَهُۥٓ/wahdahu//اِلَّا/إِلَّا/illa//قَوْلَ/قَوۡلَ/qawla//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//لِاَبِیْهِ/لِأَبِيهِ/li-abihi//لَاَسْتَغْفِرَنَّ/لَأَسۡتَغۡفِرَنَّ/la-astaghfiranna//لَكَ/لَكَ/laka//وَ مَاۤ/وَمَآ/wama//اَمْلِكُ/أَمۡلِكُ/amliku//لَكَ/لَكَ/laka//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//مِنْ/مِن/min//شَیْءٍ ؕ/شَيۡءٖۖ/shayin//رَبَّنَا/رَّبَّنَا/rabbana//عَلَیْكَ/عَلَيۡكَ/alayka//تَوَكَّلْنَا/تَوَكَّلۡنَا/tawakkalna//وَ اِلَیْكَ/وَإِلَيۡكَ/wa-ilayka//اَنَبْنَا/أَنَبۡنَا/anabna//وَ اِلَیْكَ/وَإِلَيۡكَ/wa-ilayka//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "নিশ্চই//রয়েছে//তোমাদের জন্য//আদর্শ//উত্তম//মধ্যে//ইব্রাহীমের//ও যারা//তার সাথে//যখন//তারা বলেছিলো//তাদের জাতিকে//\"আমরা নিশ্চই//নিঃ সম্পর্ক//তোমাদের থেকে//ও যা থেকে//তোমরা ইবাদত কর//মধ্য হতে//ছাড়া//আল্লাহ//আমরা অস্বীকার করছি//তোমাদেরকে//ও সৃষ্টি হল//আমাদের মাঝে//ও তোমাদের মাঝে//শত্রুতা//ও বিদ্বেষ//চিরকালের//যতক্ষণ না//তোমরা ঈমান আনো//আল্লাহর উপর//তার একার\"//তবে ব্যাতিক্রম//উক্তি//ইব্রাহীমের//তার বাপের জন্য//\"আমি ক্ষমা চাইব অবশ্যই//তোমার জন্য//ও না//আমি সাধ্য রাখি//তোমার জন্য//হতে//আল্লাহ//কোন//কিছুই//হে আমাদের রব//তোমার উপর//আমরা ভরসা করেছি//ও তোমাার দিকে//আমরা অভিমুখী//ও তোমার কাছেই//প্রত্যাবর্তন স্থল"
            },
            {
              "number": 5155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5155.mp3"
              ],
              "text": "رَبَّنَا لَا تَجْعَلْنَا فِتْنَةًۭ لِّلَّذِينَ كَفَرُوا۟ وَٱغْفِرْ لَنَا رَبَّنَآ ۖ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "হে আমাদের পালনকর্তা! তুমি আমাদেরকে কাফেরদের জন্য পরীক্ষার পাত্র করো না। হে আমাদের পালনকর্তা! আমাদের ক্ষমা কর। নিশ্চয় তুমি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 549,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "রাব্বানা-লা-তাজ‘আলনা-ফিতনাতালিলল্লাযীনা কাফারূওয়াগফিরলানা-রাব্বানা- ইন্নাকা আনতাল ‘আঝীঝুল হাকীম।",
              "words_arabic": "رَبَّنَا/رَبَّنَا/rabbana//لَا/لَا/la//تَجْعَلْنَا/تَجۡعَلۡنَا/taj'alna//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ اغْفِرْ/وَٱغۡفِرۡ/wa-igh'fir//لَنَا/لَنَا/lana//رَبَّنَا ۚ/رَبَّنَآۖ/rabbana//اِنَّكَ/إِنَّكَ/innaka//اَنْتَ/أَنتَ/anta//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "হে আমাদের রব//না//আমাদের বানিও//ফিতনা//তাদের জান্য যারা//কুফরি করেছে//ও মাফ কর//আমাদের ,//হে আমাদের রব//তুমি নিশ্চই//তুমিই//পরাক্রমশালী//প্রজ্ঞাময়।\""
            },
            {
              "number": 5156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5156.mp3"
              ],
              "text": "لَقَدْ كَانَ لَكُمْ فِيهِمْ أُسْوَةٌ حَسَنَةٌۭ لِّمَن كَانَ يَرْجُوا۟ ٱللَّهَ وَٱلْيَوْمَ ٱلْءَاخِرَ ۚ وَمَن يَتَوَلَّ فَإِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ",
              "translate_bn": "তোমরা যারা আল্লাহ ও পরকাল প্রত্যাশা কর, তোমাদের জন্য তাদের মধ্যে উত্তম আদর্শ রয়েছে। আর যে মুখ ফিরিয়ে নেয়, তার জানা উচিত যে, আল্লাহ বেপরওয়া, প্রশংসার মালিক।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 482,
              "hizbQuarter": 219,
              "sajda": false,
              "pronunciation_bn": "লাকাদ কা-না লাকুম ফীহিম উছওয়াতুন হাছানাতুল লিমান কা-না ইয়ারজুল্লা-হা ওয়াল ইয়াওমাল আ-খিরা ওয়া মাইঁ ইয়াতাওয়াল্লা ফাইন্নাল্লা-হা হুওয়াল গানিইয়ুল হামীদ।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//فِیْهِمْ/فِيهِمۡ/fihim//اُسْوَةٌ/أُسۡوَةٌ/us'watun//حَسَنَةٌ/حَسَنَةٞ/hasanatun//لِّمَنْ/لِّمَن/liman//كَانَ/كَانَ/kana//یَرْجُوا/يَرۡجُواْ/yarju//اللّٰهَ/ٱللَّهَ/al-laha//وَ الْیَوْمَ/وَٱلۡيَوۡمَ/wal-yawma//الْاٰخِرَ ؕ/ٱلۡأٓخِرَۚ/al-akhira//وَ مَنْ/وَمَن/waman//یَّتَوَلَّ/يَتَوَلَّ/yatawalla//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//الْغَنِیُّ/ٱلۡغَنِيُّ/al-ghaniyu//الْحَمِیْدُ۠/ٱلۡحَمِيدُ/al-hamidu",
              "words_bangla": "নিশ্চই//আছে//তোমাদের জন্য//তাদের মধ্যে//আদর্শ//উত্তম//যে তার জন্য//ছিল//আকাঙ্খা রাখে//আল্লাহর//ও দিনের//শেষ//এবং যে//মুখ ফিরাবে//নিশ্চ্চই তবে//আল্লাহ//তিনিই//অভাভহীন//প্রসংসিত।"
            },
            {
              "number": 5157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5157.mp3"
              ],
              "text": "۞ عَسَى ٱللَّهُ أَن يَجْعَلَ بَيْنَكُمْ وَبَيْنَ ٱلَّذِينَ عَادَيْتُم مِّنْهُم مَّوَدَّةًۭ ۚ وَٱللَّهُ قَدِيرٌۭ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "যারা তোমাদের শত্রু আল্লাহ তাদের মধ্যে ও তোমাদের মধ্যে সম্ভবতঃ বন্ধুত্ব সৃষ্টি করে দেবেন। আল্লাহ সবই করতে পারেন এবং আল্লাহ ক্ষমাশীল, করুণাময়।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "‘আছাল্লা-হু আইঁ ইয়াজ‘আলা বাইনাকুম ওয়া বাইনাল্লাযীনা ‘আ-দাইতুম মিনহুম মাওয়াদ্দাতাও ওয়াল্লা-হু কাদীরুও ওয়াল্লা-হু গাফূরুর রাহীম।",
              "words_arabic": "عَسَی/۞عَسَى/asa//اللّٰهُ/ٱللَّهُ/al-lahu//اَنْ/أَن/an//یَّجْعَلَ/يَجۡعَلَ/yaj'ala//بَیْنَكُمْ/بَيۡنَكُمۡ/baynakum//وَ بَیْنَ/وَبَيۡنَ/wabayna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//عَادَیْتُمْ/عَادَيۡتُم/adaytum//مِّنْهُمْ/مِّنۡهُم/min'hum//مَّوَدَّةً ؕ/مَّوَدَّةٗۚ/mawaddatan//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//قَدِیْرٌ ؕ/قَدِيرٞۚ/qadirun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "সম্ভবত//আল্লাহ//যে//সৃষ্টি করে দিবেন//তোমাদের মাঝে//ও মাঝে//যাদের সাথে//তোমরা শত্রুতা করেছো//তাদের মধ্যে//বন্ধুত্ব//এবং আল্লাহ//সর্বশক্তিমান//ও আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 5158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5158.mp3"
              ],
              "text": "لَّا يَنْهَىٰكُمُ ٱللَّهُ عَنِ ٱلَّذِينَ لَمْ يُقَٰتِلُوكُمْ فِى ٱلدِّينِ وَلَمْ يُخْرِجُوكُم مِّن دِيَٰرِكُمْ أَن تَبَرُّوهُمْ وَتُقْسِطُوٓا۟ إِلَيْهِمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ",
              "translate_bn": "ধর্মের ব্যাপারে যারা তোমাদের বিরুদ্ধে লড়াই করেনি এবং তোমাদেরকে দেশ থেকে বহিস্কৃত করেনি, তাদের প্রতি সদাচরণ ও ইনসাফ করতে আল্লাহ তোমাদেরকে নিষেধ করেন না। নিশ্চয় আল্লাহ ইনসাফকারীদেরকে ভালবাসেন।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়ানহা-কুমুল্লা-হু ‘আনিল্লাযীনা লাম ইউকা-তিলূকুম ফিদ্দীনি ওয়ালাম ইউখরিজুকুম মিন দিয়া-রিকুম আন তাবাররূহুম ওয়া তুকছিতূইলাইহিম ইন্নাল্লা-হা ইউহিব্বুল মুকছিতীন।",
              "words_arabic": "لَا/لَّا/la//یَنْهٰىكُمُ/يَنۡهَىٰكُمُ/yanhakumu//اللّٰهُ/ٱللَّهُ/al-lahu//عَنِ/عَنِ/ani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//لَمْ/لَمۡ/lam//یُقَاتِلُوْكُمْ/يُقَٰتِلُوكُمۡ/yuqatilukum//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//وَ لَمْ/وَلَمۡ/walam//یُخْرِجُوْكُمْ/يُخۡرِجُوكُم/yukh'rijukum//مِّنْ/مِّن/min//دِیَارِكُمْ/دِيَٰرِكُمۡ/diyarikum//اَنْ/أَن/an//تَبَرُّوْهُمْ/تَبَرُّوهُمۡ/tabarruhum//وَ تُقْسِطُوْۤا/وَتُقۡسِطُوٓاْ/watuq'situ//اِلَیْهِمْ ؕ/إِلَيۡهِمۡۚ/ilayhim//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الْمُقْسِطِیْنَ /ٱلۡمُقۡسِطِينَ/al-muq'sitina",
              "words_bangla": "না//তোমাদের নিষেধ করেন//আল্লাহ//থেকে//তাদের যারা//নাই//যুদ্ধ করে তোমাদের সাথে//ব্যাপারে//দ্বীনের//এবং নাই//তোমাদের বহিষ্কৃত করে//থেকে//তোমাদের ঘরগুলোকে//যে//তোমরা তাদের সাথে নেকী কর//ও তোমরা ন্যায় বিচার কর//তাদের সহিত//নিশ্চয়//আল্লাহ//ভালোবাসেন//ন্যায়বিচারকারিদের"
            },
            {
              "number": 5159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5159.mp3"
              ],
              "text": "إِنَّمَا يَنْهَىٰكُمُ ٱللَّهُ عَنِ ٱلَّذِينَ قَٰتَلُوكُمْ فِى ٱلدِّينِ وَأَخْرَجُوكُم مِّن دِيَٰرِكُمْ وَظَٰهَرُوا۟ عَلَىٰٓ إِخْرَاجِكُمْ أَن تَوَلَّوْهُمْ ۚ وَمَن يَتَوَلَّهُمْ فَأُو۟لَٰٓئِكَ هُمُ ٱلظَّٰلِمُونَ",
              "translate_bn": "আল্লাহ কেবল তাদের সাথে বন্ধুত্ব করতে নিষেধ করেন, যারা ধর্মের ব্যাপারে তোমাদের বিরুদ্ধে যুদ্ধ করেছে, তোমাদেরকে দেশ থেকে বহিস্কৃত করেছে এবং বহিস্কারকার্যে সহায়তা করেছে। যারা তাদের সাথে বন্ধুত্ব করে তারাই জালেম।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা-ইয়ানহা-কুমুল্লা-হু ‘আনিল্লাযীনা কা-তালূকুম ফিদদীনি ওয়া আখরাজুকুম মিন দিয়ারিকুম ওয়া জা-হারূ‘আলাইখরা-জিকুম আন তাওয়াল্লাওহুম ওয়া মাইঁ ইয়াতাওয়াল্লাহুম ফাউলাইকা হুমুজ্জা-লিমূন।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//یَنْهٰىكُمُ/يَنۡهَىٰكُمُ/yanhakumu//اللّٰهُ/ٱللَّهُ/al-lahu//عَنِ/عَنِ/ani//الَّذِیْنَ/ٱلَّذِينَ/alladhina//قٰتَلُوْكُمْ/قَٰتَلُوكُمۡ/qatalukum//فِی/فِي/fi//الدِّیْنِ/ٱلدِّينِ/al-dini//وَ اَخْرَجُوْكُمْ/وَأَخۡرَجُوكُم/wa-akhrajukum//مِّنْ/مِّن/min//دِیَارِكُمْ/دِيَٰرِكُمۡ/diyarikum//وَ ظٰهَرُوْا/وَظَٰهَرُواْ/wazaharu//عَلٰۤی/عَلَىٰٓ/ala//اِخْرَاجِكُمْ/إِخۡرَاجِكُمۡ/ikh'rajikum//اَنْ/أَن/an//تَوَلَّوْهُمْ ۚ/تَوَلَّوۡهُمۡۚ/tawallawhum//وَ مَنْ/وَمَن/waman//یَّتَوَلَّهُمْ/يَتَوَلَّهُمۡ/yatawallahum//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الظّٰلِمُوْنَ /ٱلظَّـٰلِمُونَ/al-zalimuna",
              "words_bangla": "মূলতঃ//নিষেধ করেছেন//আল্লাহ//থেকে//যারা//যুদ্ধ করেছে তোমাদের বিরুদ্ধে//ব্যাপারে//দ্বীনের//ও যাদের বহিষ্কার করেছে//থেকে//তোমাদের ঘরগুুলো//এবং  তারা সাহায্য করেছে//ব্যাপারে//তোমাদের বহিিষ্কার//যে//তাদের সাথেে তোমরা বন্ধুত্ব কর//এবং যে//তাদের(সাথে) বন্ধুত্ব করে//অতঃপর ঐসব লোক//তারা//যালিম"
            },
            {
              "number": 5160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5160.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا جَآءَكُمُ ٱلْمُؤْمِنَٰتُ مُهَٰجِرَٰتٍۢ فَٱمْتَحِنُوهُنَّ ۖ ٱللَّهُ أَعْلَمُ بِإِيمَٰنِهِنَّ ۖ فَإِنْ عَلِمْتُمُوهُنَّ مُؤْمِنَٰتٍۢ فَلَا تَرْجِعُوهُنَّ إِلَى ٱلْكُفَّارِ ۖ لَا هُنَّ حِلٌّۭ لَّهُمْ وَلَا هُمْ يَحِلُّونَ لَهُنَّ ۖ وَءَاتُوهُم مَّآ أَنفَقُوا۟ ۚ وَلَا جُنَاحَ عَلَيْكُمْ أَن تَنكِحُوهُنَّ إِذَآ ءَاتَيْتُمُوهُنَّ أُجُورَهُنَّ ۚ وَلَا تُمْسِكُوا۟ بِعِصَمِ ٱلْكَوَافِرِ وَسْـَٔلُوا۟ مَآ أَنفَقْتُمْ وَلْيَسْـَٔلُوا۟ مَآ أَنفَقُوا۟ ۚ ذَٰلِكُمْ حُكْمُ ٱللَّهِ ۖ يَحْكُمُ بَيْنَكُمْ ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌۭ",
              "translate_bn": "মুমিনগণ, যখন তোমাদের কাছে ঈমানদার নারীরা হিজরত করে আগমন করে, তখন তাদেরকে পরীক্ষা কর। আল্লাহ তাদের ঈমান সম্পর্কে সম্যক অবগত আছেন। যদি তোমরা জান যে, তারা ঈমানদার, তবে আর তাদেরকে কাফেরদের কাছে ফেরত পাঠিও না। এরা কাফেরদের জন্যে হালাল নয় এবং কাফেররা এদের জন্যে হালাল নয়। কাফেররা যা ব্যয় করেছে, তা তাদের দিয়ে দাও। তোমরা, এই নারীদেরকে প্রাপ্য মোহরানা দিয়ে বিবাহ করলে তোমাদের অপরাধ হবে না। তোমরা কাফের নারীদের সাথে দাম্পত্য সম্পর্ক বজায় রেখো না। তোমরা যা ব্যয় করেছ, তা চেয়ে নাও এবং তারাও চেয়ে নিবে যা তারা ব্যয় করেছে। এটা আল্লাহর বিধান; তিনি তোমাদের মধ্যে ফয়সালা করেন। আল্লাহ সর্বজ্ঞ প্রজ্ঞাময়।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-জাআকুমুল মু’মিনা-তুমুহা-জিরা-তিন ফামতাহিনূহুন্না আল্লা-হু আ‘লামুবিঈমা-নিহিন্না ফাইন ‘আলিমতুমূহুন্না মু’মিনা-তিন ফালা-তারাজি‘ঊহুন্না ইলাল কুফফা-রি লা-হুন্না হিল্লুল্লাহুম ওয়ালা-হুম ইয়াহিললূনা লাহুন্না ওয়া আ-তূহুম মাআনফাকূ ওয়ালা-জুনা-হা ‘আলাইকুম আন তানকিহূহুন্না ইযা আ-তাইতুমূহুন্না উজূরাহুন্না ওয়ালা-তুমছিকূবি‘ইসামিল কাওয়া-ফিরি ওয়াছআলূমা আনফাকতুম ওয়ালয়াছআলূমাআনাকূ যা-লিকুম হুকমুল্লা-হি ইয়াহকুমু বাইনাকুম ওয়াল্লা-হু ‘আলীমুন হাকীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//جَآءَكُمُ/جَآءَكُمُ/jaakumu//الْمُؤْمِنٰتُ/ٱلۡمُؤۡمِنَٰتُ/al-mu'minatu//مُهٰجِرٰتٍ/مُهَٰجِرَٰتٖ/muhajiratin//فَامْتَحِنُوْهُنَّ ؕ/فَٱمۡتَحِنُوهُنَّۖ/fa-im'tahinuhunna//اَللّٰهُ/ٱللَّهُ/al-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِاِیْمَانِهِنَّ ۚ/بِإِيمَٰنِهِنَّۖ/biimanihinna//فَاِنْ/فَإِنۡ/fa-in//عَلِمْتُمُوْهُنَّ/عَلِمۡتُمُوهُنَّ/alim'tumuhunna//مُؤْمِنٰتٍ/مُؤۡمِنَٰتٖ/mu'minatin//فَلَا/فَلَا/fala//تَرْجِعُوْهُنَّ/تَرۡجِعُوهُنَّ/tarji'uhunna//اِلَی/إِلَى/ila//الْكُفَّارِ ؕ/ٱلۡكُفَّارِۖ/al-kufari//لَا/لَا/la//هُنَّ/هُنَّ/hunna//حِلٌّ/حِلّٞ/hillun//لَّهُمْ/لَّهُمۡ/lahum//وَ لَا/وَلَا/wala//هُمْ/هُمۡ/hum//یَحِلُّوْنَ/يَحِلُّونَ/yahilluna//لَهُنَّ ؕ/لَهُنَّۖ/lahunna//وَ اٰتُوْهُمْ/وَءَاتُوهُم/waatuhum//مَّاۤ/مَّآ/ma//اَنْفَقُوْا ؕ/أَنفَقُواْۚ/anfaqu//وَ لَا/وَلَا/wala//جُنَاحَ/جُنَاحَ/junaha//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اَنْ/أَن/an//تَنْكِحُوْهُنَّ/تَنكِحُوهُنَّ/tankihuhunna//اِذَاۤ/إِذَآ/idha//اٰتَیْتُمُوْهُنَّ/ءَاتَيۡتُمُوهُنَّ/ataytumuhunna//اُجُوْرَهُنَّ ؕ/أُجُورَهُنَّۚ/ujurahunna//وَ لَا/وَلَا/wala//تُمْسِكُوْا/تُمۡسِكُواْ/tum'siku//بِعِصَمِ/بِعِصَمِ/bi'isami//الْكَوَافِرِ/ٱلۡكَوَافِرِ/al-kawafiri//وَ سْـَٔلُوْا/وَسۡـَٔلُواْ/wasalu//مَاۤ/مَآ/ma//اَنْفَقْتُمْ/أَنفَقۡتُمۡ/anfaqtum//وَ لْیَسْـَٔلُوْا/وَلۡيَسۡـَٔلُواْ/walyasalu//مَاۤ/مَآ/ma//اَنْفَقُوْا ؕ/أَنفَقُواْۚ/anfaqu//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//حُكْمُ/حُكۡمُ/huk'mu//اللّٰهِ ؕ/ٱللَّهِ/al-lahi//یَحْكُمُ/يَحۡكُمُ/yahkumu//بَیْنَكُمْ ؕ/بَيۡنَكُمۡۖ/baynakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌ/عَلِيمٌ/alimun//حَكِیْمٌ /حَكِيمٞ/hakimun",
              "words_bangla": "ওহেে//যারা//ঈমান এনেছ//যখন//তোমাদের কাাছে আসবে//মুমিন মহিলারা//মুহাজির হয়ে//তাদের তোমরা পরীক্ষা তখন//আল্লাহ//খুব জানেন//তাদের ঈমান সম্পর্কে//যদিি অতএব//তাদের তোমরা জানতে পারো//মুমিন রূপে//না তখন//তাদেরকে ফেরত দিও//দিকে//কাফিরদের//না//তারা (মুমিন নারী)//হালাল//তাদের জন্য (কাফিরদের)//ও না//তারা//হালাল//তাদের জন্য(মুমিন নারী্দের)//তাদের দাও তোমরা//যা//তারা খরচ করেছে//এবং নাই//গুনাহ//তোমাদের উপর//যে//তাদের তোমরা বিবাহ কর//যখন//তাদের তোমরা দাও//তাদের মোহর//এবং না//তোমরা ধরে রেখ//বিবাহ বন্ধন//কাফির স্ত্রীদের//ও তোমরা চাও//যা//তোমরা খরচ করেছ//ও তারা চেয়ে নিবে//যা//তারা খরচ করেছে//এটা//নির্দেশ//আল্লাহর//তিনি ফয়সালা দেন//তোমাদের মাঝে//এবং আল্লাহ//সরবজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 5161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5161.mp3"
              ],
              "text": "وَإِن فَاتَكُمْ شَىْءٌۭ مِّنْ أَزْوَٰجِكُمْ إِلَى ٱلْكُفَّارِ فَعَاقَبْتُمْ فَـَٔاتُوا۟ ٱلَّذِينَ ذَهَبَتْ أَزْوَٰجُهُم مِّثْلَ مَآ أَنفَقُوا۟ ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ أَنتُم بِهِۦ مُؤْمِنُونَ",
              "translate_bn": "তোমাদের স্ত্রীদের মধ্যে যদি কেউ হাতছাড়া হয়ে কাফেরদের কাছে থেকে যায়, অতঃপর তোমরা সুযোগ পাও, তখন যাদের স্ত্রী হাতছাড়া হয়ে গেছে, তাদেরকে তাদের ব্যয়কৃত অর্থের সমপরিমাণ অর্থ প্রদান কর এবং আল্লাহকে ভয় কর, যার প্রতি তোমরা বিশ্বাস রাখ।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 550,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন ফা-তাকুম শাইউম মিন আঝওয়া-জিকুম ইলাল কুফফা-রি ফা‘আ-কাবতুম ফাআতুল্লাযীনা যাহাবাতা আঝওয়া-জুহুম মিছলা মাআনফাকূ ওয়াত্তাকুল্লা-হাল্লাযী আনতুম বিহী মু’মিনূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//فَاتَكُمْ/فَاتَكُمۡ/fatakum//شَیْءٌ/شَيۡءٞ/shayon//مِّنْ/مِّنۡ/min//اَزْوَاجِكُمْ/أَزۡوَٰجِكُمۡ/azwajikum//اِلَی/إِلَى/ila//الْكُفَّارِ/ٱلۡكُفَّارِ/al-kufari//فَعَاقَبْتُمْ/فَعَاقَبۡتُمۡ/fa'aqabtum//فَاٰتُوا/فَـَٔاتُواْ/faatu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//ذَهَبَتْ/ذَهَبَتۡ/dhahabat//اَزْوَاجُهُمْ/أَزۡوَٰجُهُم/azwajuhum//مِّثْلَ/مِّثۡلَ/mith'la//مَاۤ/مَآ/ma//اَنْفَقُوْا ؕ/أَنفَقُواْۚ/anfaqu//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْتُمْ/أَنتُم/antum//بِهٖ/بِهِۦ/bihi//مُؤْمِنُوْنَ /مُؤۡمِنُونَ/mu'minuna",
              "words_bangla": "এবং যদি//তোমাদের হাত ছাড়া হয়//কিছুু//থেকে//তোমাদের স্ত্রীদের//নিকট//কাফিরদের//তোমরা অতঃপর সুযোগ পাও//তবে তোমরা দাও//তাদের//চলে গেছে//যাদেের স্ত্রী//সমান//যা//তারা খরচ করেছে//এবং তোমরা ভয় কর//আল্লাহকে//যার//তোমরা//তার উপর//ঈমানদার"
            },
            {
              "number": 5162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5162.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ إِذَا جَآءَكَ ٱلْمُؤْمِنَٰتُ يُبَايِعْنَكَ عَلَىٰٓ أَن لَّا يُشْرِكْنَ بِٱللَّهِ شَيْـًۭٔا وَلَا يَسْرِقْنَ وَلَا يَزْنِينَ وَلَا يَقْتُلْنَ أَوْلَٰدَهُنَّ وَلَا يَأْتِينَ بِبُهْتَٰنٍۢ يَفْتَرِينَهُۥ بَيْنَ أَيْدِيهِنَّ وَأَرْجُلِهِنَّ وَلَا يَعْصِينَكَ فِى مَعْرُوفٍۢ ۙ فَبَايِعْهُنَّ وَٱسْتَغْفِرْ لَهُنَّ ٱللَّهَ ۖ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "হে নবী, ঈমানদার নারীরা যখন আপনার কাছে এসে আনুগত্যের শপথ করে যে, তারা আল্লাহর সাথে কাউকে শরীক করবে না, চুরি করবে না, ব্যভিচার করবে না, তাদের সন্তানদেরকে হত্যা করবে না, জারজ সন্তানকে স্বামীর ঔরস থেকে আপন গর্ভজাত সন্তান বলে মিথ্যা দাবী করবে না এবং ভাল কাজে আপনার অবাধ্যতা করবে না, তখন তাদের আনুগত্য গ্রহণ করুন এবং তাদের জন্যে আল্লাহর কাছে ক্ষমা প্রার্থনা করুন। নিশ্চয় আল্লাহ ক্ষমাশীল অত্যন্ত দয়ালু।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিয়ুইযা-জাআকাল মু’মিনা-তুইউবা-ই‘নাকা ‘আলাআল্লা-ইউশরিকনা বিল্লা-হি শাইআওঁ ওয়ালা-ইয়াছরিকনা ওয়ালা-ইয়াঝনীনা ওয়ালা-ইয়াকতুলনা আওলা-দাহুন্না ওয়ালা-ইয়া’তীনা ব্বিুহতা-নিইঁ ইয়াফতারীনাহূবাইনা আইদীহিন্না ওয়া আরজুলিহিন্না ওয়ালা-ইয়া‘সীনাকা ফী মা‘রূফিন ফাবা-ই‘হুন্না ওয়াছতাগফির লাহুন্নাল্লা-হা ইন্নাল্লা-হা গাফুরুর রাহীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اِذَا/إِذَا/idha//جَآءَكَ/جَآءَكَ/jaaka//الْمُؤْمِنٰتُ/ٱلۡمُؤۡمِنَٰتُ/al-mu'minatu//یُبَایِعْنَكَ/يُبَايِعۡنَكَ/yubayi'naka//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//لَّا/لَّا/la//یُشْرِكْنَ/يُشۡرِكۡنَ/yush'rik'na//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ لَا/وَلَا/wala//یَسْرِقْنَ/يَسۡرِقۡنَ/yasriq'na//وَ لَا/وَلَا/wala//یَزْنِیْنَ/يَزۡنِينَ/yaznina//وَ لَا/وَلَا/wala//یَقْتُلْنَ/يَقۡتُلۡنَ/yaqtul'na//اَوْلَادَهُنَّ/أَوۡلَٰدَهُنَّ/awladahunna//وَ لَا/وَلَا/wala//یَاْتِیْنَ/يَأۡتِينَ/yatina//بِبُهْتَانٍ/بِبُهۡتَٰنٖ/bibuh'tanin//یَّفْتَرِیْنَهٗ/يَفۡتَرِينَهُۥ/yaftarinahu//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِنَّ/أَيۡدِيهِنَّ/aydihinna//وَ اَرْجُلِهِنَّ/وَأَرۡجُلِهِنَّ/wa-arjulihinna//وَ لَا/وَلَا/wala//یَعْصِیْنَكَ/يَعۡصِينَكَ/ya'sinaka//فِیْ/فِي/fi//مَعْرُوْفٍ/مَعۡرُوفٖ/ma'rufin//فَبَایِعْهُنَّ/فَبَايِعۡهُنَّ/fabayi'hunna//وَ اسْتَغْفِرْ/وَٱسۡتَغۡفِرۡ/wa-is'taghfir//لَهُنَّ/لَهُنَّ/lahunna//اللّٰهَ ؕ/ٱللَّهَۚ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "হে//নবী//যখন//তোমার কাছে আসবে//মুমিন নারীরা//তোমার কাছে বয়াত করবে//(এ কথার) উপর//যে//না//তারা শিরক করবে//আল্লাহর সাথে//কোনকিছু//এবং না//তারা চুরি করবে//আর না//তারা জিনা করবে না//এবং না//তারা হত্যা করবে//তাআদের সন্তানদের//ও না//তারা আনবে//অপমান//তা তারা রচনা করে//মাঝে//তাদের হাতগুলো//ও তাদের পাগুলো//এবং না//তোমরা তারা অবাধ্য হবে//ক্ষেত্রে//সৎকাজের//তাদের বয়াত নাও তবে//ও ক্ষমা চাও//তাদের জন্য (কাফিরদের)//আল্লাহর (কাছে)//নিশ্চই//আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 5163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5163.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَوَلَّوْا۟ قَوْمًا غَضِبَ ٱللَّهُ عَلَيْهِمْ قَدْ يَئِسُوا۟ مِنَ ٱلْءَاخِرَةِ كَمَا يَئِسَ ٱلْكُفَّارُ مِنْ أَصْحَٰبِ ٱلْقُبُورِ",
              "translate_bn": "মুমিনগণ, আল্লাহ যে জাতির প্রতি রুষ্ট, তোমরা তাদের সাথে বন্ধুত্ব করো না। তারা পরকাল সম্পর্কে নিরাশ হয়ে গেছে যেমন কবরস্থ কাফেররা নিরাশ হয়ে গেছে।",
              "numberInSurah": 13,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 483,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলা-তাতওয়াল্লাও কাওমান গাদিবাল্লা-হু‘আলাইহিমকাদ ইয়াইছূমিনাল আ-খিরাতি কামা-ইয়াইছাল কুফফা-রু মিন আসহা-বিল কুবূর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تَتَوَلَّوْا/تَتَوَلَّوۡاْ/tatawallaw//قَوْمًا/قَوۡمًا/qawman//غَضِبَ/غَضِبَ/ghadiba//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//قَدْ/قَدۡ/qad//یَىِٕسُوْا/يَئِسُواْ/ya-isu//مِنَ/مِنَ/mina//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//كَمَا/كَمَا/kama//یَىِٕسَ/يَئِسَ/ya-isa//الْكُفَّارُ/ٱلۡكُفَّارُ/al-kufaru//مِنْ/مِنۡ/min//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//الْقُبُوْرِ۠/ٱلۡقُبُورِ/al-quburi",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//না//তোমতা বন্ধুত্ব করো//লোকদের (সংগে)//গযব দিয়েছেন//আল্লাহ//যাদের উপর//নিশ্চই//তারা নিরাশ হয়েছে//থেকে//পরকাল//যেমন//নিরাশ হয়েছে//কাফিররা//থেকে//অধিবাসীদের//কবরগু্লো"
            }
          ]
        },
        {
          "number": 61,
          "name": "سُورَةُ الصَّفِّ",
          "englishName": "As-Saff",
          "englishNameTranslation": "The Ranks",
          "revelationType": "Medinan",
          "verse": 14,
          "words": 425,
          "chars": 1828,
          "ayahs": [
            {
              "number": 5164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5164.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "নভোমন্ডলে ও ভূমন্ডলে যা কিছু আছে, সবই আল্লাহর পবিত্রতা ঘোষণা করে। তিনি পরাক্রান্ত প্রজ্ঞাবান।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ছাব্বাহা লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদি ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "سَبَّحَ/سَبَّحَ/sabbaha//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِۖ/al-ardi//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "তসবীহ করে//আল্লাহর//যা কিছু//মধ্যে//আসমানসমূহের//ও যা//মধ্যে//পৃথিবীর//এবং তিনিই//পরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 5165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5165.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لِمَ تَقُولُونَ مَا لَا تَفْعَلُونَ",
              "translate_bn": "মুমিনগণ! তোমরা যা কর না, তা কেন বল?",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূলিমা তাকূলূনা মা-লা-তাফ‘আলূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لِمَ/لِمَ/lima//تَقُوْلُوْنَ/تَقُولُونَ/taquluna//مَا/مَا/ma//لَا/لَا/la//تَفْعَلُوْنَ /تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//কেন//তোমরা বলো//যা//না//তোমরা করো"
            },
            {
              "number": 5166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5166.mp3"
              ],
              "text": "كَبُرَ مَقْتًا عِندَ ٱللَّهِ أَن تَقُولُوا۟ مَا لَا تَفْعَلُونَ",
              "translate_bn": "তোমরা যা কর না, তা বলা আল্লাহর কাছে খুবই অসন্তোষজনক।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "কাবুরা মাকতান ‘ইনদাল্লা-হি আন তাকূলূমা-লা-তাফ‘আলূন।",
              "words_arabic": "كَبُرَ/كَبُرَ/kabura//مَقْتًا/مَقۡتًا/maqtan//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْ/أَن/an//تَقُوْلُوْا/تَقُولُواْ/taqulu//مَا/مَا/ma//لَا/لَا/la//تَفْعَلُوْنَ /تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "অতিশয়//ক্রোধজনক//কাছে//আল্লাহর//যে//তোমরা বলো//যা//না//তোমরা করো"
            },
            {
              "number": 5167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5167.mp3"
              ],
              "text": "إِنَّ ٱللَّهَ يُحِبُّ ٱلَّذِينَ يُقَٰتِلُونَ فِى سَبِيلِهِۦ صَفًّۭا كَأَنَّهُم بُنْيَٰنٌۭ مَّرْصُوصٌۭ",
              "translate_bn": "আল্লাহ তাদেরকে ভালবাসেন, যারা তাঁর পথে সারিবদ্ধভাবে লড়াই করে, যেন তারা সীসাগালানো প্রাচীর।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লা-হা ইউহিব্বুল্লাযীনা ইউকা-তিলূনা ফী ছাবীলিহী সাফফান কাআন্নাহুম বুনয়া-নুম মারসূস।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//یُحِبُّ/يُحِبُّ/yuhibbu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُقَاتِلُوْنَ/يُقَٰتِلُونَ/yuqatiluna//فِیْ/فِي/fi//سَبِیْلِهٖ/سَبِيلِهِۦ/sabilihi//صَفًّا/صَفّٗا/saffan//كَاَنَّهُمْ/كَأَنَّهُم/ka-annahum//بُنْیَانٌ/بُنۡيَٰنٞ/bun'yanun//مَّرْصُوْصٌ /مَّرۡصُوصٞ/marsusun",
              "words_bangla": "নিশ্চয়//আল্লাহ//পছন্দ করেন//(তাদের) যারা//লড়াই করে//(পথে)//তাঁর পথে//সারিবদ্ধ হয়ে//তারা যেন//প্রাচীর//সুদৃঢ়"
            },
            {
              "number": 5168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5168.mp3"
              ],
              "text": "وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَٰقَوْمِ لِمَ تُؤْذُونَنِى وَقَد تَّعْلَمُونَ أَنِّى رَسُولُ ٱللَّهِ إِلَيْكُمْ ۖ فَلَمَّا زَاغُوٓا۟ أَزَاغَ ٱللَّهُ قُلُوبَهُمْ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَٰسِقِينَ",
              "translate_bn": "স্মরণ কর, যখন মূসা (আঃ) তাঁর সম্প্রদায়কে বললঃ হে আমার সম্প্রদায়, তোমরা কেন আমাকে কষ্ট দাও, অথচ তোমরা জান যে, আমি তোমাদের কাছে আল্লাহর রসূল। অতঃপর তারা যখন বক্রতা অবলম্বন করল, তখন আল্লাহ তাদের অন্তরকে বক্র করে দিলেন। আল্লাহ পাপাচারী সম্প্রদায়কে পথপ্রদর্শন করেন না।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 551,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা মূছা-লিকাওমিহী ইয়া-কাওমি লিমা তু’যূনানী ওয়া কাততা‘লামূনা আন্নী রাছূলুল্লা-হি ইলাইকুম ফালাম্মা-ঝা-গূআঝা-গাল্লা-হু কুলূবাহুম ওয়াল্লা-হু লাইয়াহদিল কাওমাল ফা-ছিকীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//مُوْسٰی/مُوسَىٰ/musa//لِقَوْمِهٖ/لِقَوۡمِهِۦ/liqawmihi//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//لِمَ/لِمَ/lima//تُؤْذُوْنَنِیْ/تُؤۡذُونَنِي/tu'dhunani//وَ قَدْ/وَقَد/waqad//تَّعْلَمُوْنَ/تَّعۡلَمُونَ/ta'lamuna//اَنِّیْ/أَنِّي/anni//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَیْكُمْ ؕ/إِلَيۡكُمۡۖ/ilaykum//فَلَمَّا/فَلَمَّا/falamma//زَاغُوْۤا/زَاغُوٓاْ/zaghu//اَزَاغَ/أَزَاغَ/azagha//اللّٰهُ/ٱللَّهُ/al-lahu//قُلُوْبَهُمْ ؕ/قُلُوبَهُمۡۚ/qulubahum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "এবং যখন//বলেছিল//মূসা//তার জাতিকে//\"হে আমার জাতি//কেন//তোমরা আমাকে কষ্ট দাও//অথচ নিশ্চয়//তোমরা জানো//যে আমি//রাসূল//আল্লাহর//তোমাদের প্রতি\"//অতঃপর যখন//তারা বক্রতা অবলম্বন করল//বক্র করে দিলেন//আল্লাহ//তাদের অন্তরসমূহকে//এবং আল্লাহ//না//পথ দেখান//জাতিকে//ফাসেক"
            },
            {
              "number": 5169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5169.mp3"
              ],
              "text": "وَإِذْ قَالَ عِيسَى ٱبْنُ مَرْيَمَ يَٰبَنِىٓ إِسْرَٰٓءِيلَ إِنِّى رَسُولُ ٱللَّهِ إِلَيْكُم مُّصَدِّقًۭا لِّمَا بَيْنَ يَدَىَّ مِنَ ٱلتَّوْرَىٰةِ وَمُبَشِّرًۢا بِرَسُولٍۢ يَأْتِى مِنۢ بَعْدِى ٱسْمُهُۥٓ أَحْمَدُ ۖ فَلَمَّا جَآءَهُم بِٱلْبَيِّنَٰتِ قَالُوا۟ هَٰذَا سِحْرٌۭ مُّبِينٌۭ",
              "translate_bn": "স্মরণ কর, যখন মরিয়ম-তনয় ঈসা (আঃ) বললঃ হে বনী ইসরাইল! আমি তোমাদের কাছে আল্লাহর প্রেরিত রসূল, আমার পূর্ববর্তী তওরাতের আমি সত্যায়নকারী এবং আমি এমন একজন রসূলের সুসংবাদদাতা, যিনি আমার পরে আগমন করবেন। তাঁর নাম আহমদ। অতঃপর যখন সে স্পষ্ট প্রমাণাদি নিয়ে আগমন করল, তখন তারা বললঃ এ তো এক প্রকাশ্য যাদু।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযকা-লা ‘ঈছাবুন মারইয়ামা ইয়া-বানীইছরাঈলা ইন্নী রাছূলুল্লা-হি ইলাকুম মুসাদ্দিকাল লিমা বাইনা ইয়াদাইইয়া মিনাত্তাওরা-তি ওয়া মুবাশশিরাম বিরাছূলিইঁ ইয়া’তী মিম বা‘দিছমূহূআহমাদু ফালাম্মা-জাআহুম বিলবাইয়িনা-তি কা-লূহা-যা-ছিহরুম মুবীন।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//قَالَ/قَالَ/qala//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//یٰبَنِیْۤ/يَٰبَنِيٓ/yabani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//اِنِّیْ/إِنِّي/inni//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//اِلَیْكُمْ/إِلَيۡكُم/ilaykum//مُّصَدِّقًا/مُّصَدِّقٗا/musaddiqan//لِّمَا/لِّمَا/lima//بَیْنَ/بَيۡنَ/bayna//یَدَیَّ/يَدَيَّ/yadayya//مِنَ/مِنَ/mina//التَّوْرٰىةِ/ٱلتَّوۡرَىٰةِ/al-tawrati//وَ مُبَشِّرًۢا/وَمُبَشِّرَۢا/wamubashiran//بِرَسُوْلٍ/بِرَسُولٖ/birasulin//یَّاْتِیْ/يَأۡتِي/yati//مِنْۢ/مِنۢ/min//بَعْدِی/بَعۡدِي/ba'di//اسْمُهٗۤ/ٱسۡمُهُۥٓ/us'muhu//اَحْمَدُ ؕ/أَحۡمَدُۖ/ahmadu//فَلَمَّا/فَلَمَّا/falamma//جَآءَهُمْ/جَآءَهُم/jaahum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//قَالُوْا/قَالُواْ/qalu//هٰذَا/هَٰذَا/hadha//سِحْرٌ/سِحۡرٞ/sih'run//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "এবং যখন//বলল//ঈসা//পুত্র//মারয়ামের//\"হে বনী//\"ইসরাইল//আমি নিশ্চয়//রাসূূল//আল্লাহর//তোমাদের প্রতি//সত্যায়নকারী//যা জন্যে//আমার পূর্বে (এসেছে)//আমার পূর্বে (এসেছে)//মধ্য হতে//তাওরাত//এবং সুসংবাদদাতা//একজন রাসূলের//আসবেন//মধ্য হতে//আমার পরে//তার নাম (হবে)//আহ্‌মদ\"//অতঃপর যখন//তাদের তিনি (কাছে) আসলেন//সুস্পষ্ট প্রমাণাদিসহ//তারা বলল//\"এটা//জাদু//প্রকাশ্য\""
            },
            {
              "number": 5170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5170.mp3"
              ],
              "text": "وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُوَ يُدْعَىٰٓ إِلَى ٱلْإِسْلَٰمِ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "যে ব্যক্তি ইসলামের দিকে আহুত হয়েও আল্লাহ সম্পর্কে মিথ্যা বলে; তার চাইতে অধিক যালেম আর কে? আল্লাহ যালেম সম্প্রদায়কে পথ প্রদর্শন করেন না।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান আজলামুমিম্মানিফ তারা-‘আলাল্লা-হিল কাযিবা ওয়া হুওয়া ইউদ‘আইলাল ইছলা-মি ওয়াল্লা-হু লা-ইয়াহদিল কাওমাজ্জা-লিমীন।\r\n",
              "words_arabic": "وَ مَنْ/وَمَنۡ/waman//اَظْلَمُ/أَظۡلَمُ/azlamu//مِمَّنِ/مِمَّنِ/mimmani//افْتَرٰی/ٱفۡتَرَىٰ/if'tara//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//الْكَذِبَ/ٱلۡكَذِبَ/al-kadhiba//وَ هُوَ/وَهُوَ/wahuwa//یُدْعٰۤی/يُدۡعَىٰٓ/yud'a//اِلَی/إِلَى/ila//الْاِسْلَامِ ؕ/ٱلۡإِسۡلَٰمِۚ/al-is'lami//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং কে//অধিক যালেম//(তার) অপেক্ষা//যে রচনা করে//উপর//আল্লাহর//মিথ্যা//অথচ তাকে//আহ্বান করা হয়//দিকে//ইসলামের//এবং আল্লাহ//না//পথ দেখান//লোকদের//যালেম"
            },
            {
              "number": 5171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5171.mp3"
              ],
              "text": "يُرِيدُونَ لِيُطْفِـُٔوا۟ نُورَ ٱللَّهِ بِأَفْوَٰهِهِمْ وَٱللَّهُ مُتِمُّ نُورِهِۦ وَلَوْ كَرِهَ ٱلْكَٰفِرُونَ",
              "translate_bn": "তারা মুখের ফুঁৎকারে আল্লাহর আলো নিভিয়ে দিতে চায়। আল্লাহ তাঁর আলোকে পূর্ণরূপে বিকশিত করবেন যদিও কাফেররা তা অপছন্দ করে।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইউরীদূনা লিইউতফিউ নূরাল্লা-হি বিআফওয়া-হিহিম ওয়াল্লা-হুমুতিম্মুনূরিহী ওয়ালাও কারিহাল কা-ফিরূন।",
              "words_arabic": "یُرِیْدُوْنَ/يُرِيدُونَ/yuriduna//لِیُطْفِـُٔوْا/لِيُطۡفِـُٔواْ/liyut'fiu//نُوْرَ/نُورَ/nura//اللّٰهِ/ٱللَّهِ/al-lahi//بِاَفْوَاهِهِمْ/بِأَفۡوَٰهِهِمۡ/bi-afwahihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مُتِمُّ/مُتِمُّ/mutimmu//نُوْرِهٖ/نُورِهِۦ/nurihi//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْكٰفِرُوْنَ /ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "তারা চায়//নিভিয়ে দিতে//নূর//আল্লাহর//তাদের মুখের (ফুঁৎকার) দিয়ে//এবং আল্লাহ//সম্পূর্নকারী//তাঁর নূর//এবং যদিও//অপছন্দ করে//কাফিররা"
            },
            {
              "number": 5172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5172.mp3"
              ],
              "text": "هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ وَلَوْ كَرِهَ ٱلْمُشْرِكُونَ",
              "translate_bn": "তিনি তাঁর রসূলকে পথ নির্দেশ ও সত্যধর্ম নিয়ে প্রেরণ করেছেন, যাতে একে সবধর্মের উপর প্রবল করে দেন যদিও মুশরিকরা তা অপছন্দ করে।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 484,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযীআরছালা রাছূলাহূবিলহুদা-ওয়া দীনিল হাক্কি লিইউজহিরাহূ‘আলাদ্দীনি কুল্লিহী ওয়া লাও কারিহাল মুশরিকূন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَرْسَلَ/أَرۡسَلَ/arsala//رَسُوْلَهٗ/رَسُولَهُۥ/rasulahu//بِالْهُدٰی/بِٱلۡهُدَىٰ/bil-huda//وَ دِیْنِ/وَدِينِ/wadini//الْحَقِّ/ٱلۡحَقِّ/al-haqi//لِیُظْهِرَهٗ/لِيُظۡهِرَهُۥ/liyuz'hirahu//عَلَی/عَلَى/ala//الدِّیْنِ/ٱلدِّينِ/al-dini//كُلِّهٖ/كُلِّهِۦ/kullihi//وَ لَوْ/وَلَوۡ/walaw//كَرِهَ/كَرِهَ/kariha//الْمُشْرِكُوْنَ۠/ٱلۡمُشۡرِكُونَ/al-mush'rikuna",
              "words_bangla": "তিনিই//যিনি//পাঠিয়েছেন//তাঁর রাসূলকে//হেদায়াতসহ//ও দ্বীন//সত্য//তা বিজয়ী করে যেন//উপর//দ্বীনের//সর্বপ্রকারের//এবং যদিও//অপছন্দ করে//মুশরিকরা"
            },
            {
              "number": 5173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5173.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ هَلْ أَدُلُّكُمْ عَلَىٰ تِجَٰرَةٍۢ تُنجِيكُم مِّنْ عَذَابٍ أَلِيمٍۢ",
              "translate_bn": "মুমিনগণ, আমি কি তোমাদেরকে এমন এক বানিজ্যের সন্ধান দিব, যা তোমাদেরকে যন্ত্রণাদায়ক শাস্তি থেকে মুক্তি দেবে?",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 485,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়া-আইয়ুহাল্লাযীনা আ-মানূহাল আদুল্লুকুমআলা-তিজা-রাতিন তুনজীকুমমিন‘আযা-বিন আলীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//هَلْ/هَلۡ/hal//اَدُلُّكُمْ/أَدُلُّكُمۡ/adullukum//عَلٰی/عَلَىٰ/ala//تِجَارَةٍ/تِجَٰرَةٖ/tijaratin//تُنْجِیْكُمْ/تُنجِيكُم/tunjikum//مِّنْ/مِّنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//কি//আমি তোমাদের সন্ধান দিবো//সম্বন্ধে//ব্যবসা (যা)//তোমাদের মুক্তি দিবে//থেকে//আযাব//কষ্টদায়ক"
            },
            {
              "number": 5174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5174.mp3"
              ],
              "text": "تُؤْمِنُونَ بِٱللَّهِ وَرَسُولِهِۦ وَتُجَٰهِدُونَ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِكُمْ وَأَنفُسِكُمْ ۚ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "তা এই যে, তোমরা আল্লাহ ও তাঁর রসূলের প্রতি বিশ্বাস স্থাপন করবে এবং আল্লাহর পথে নিজেদের ধন-সম্পদ ও জীবনপণ করে জেহাদ করবে। এটাই তোমাদের জন্যে উত্তম; যদি তোমরা বোঝ।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 485,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "তু’মিনূনা বিল্লা-হি ওয়া রাছূলিহী ওয়া তুজা-হিদূ না ফী ছাবীলিল্লা-হি বিআমওয়া-লিকুম ওয়া আনফুছিকুম যা-লিকুম খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "تُؤْمِنُوْنَ/تُؤۡمِنُونَ/tu'minuna//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ تُجَاهِدُوْنَ/وَتُجَٰهِدُونَ/watujahiduna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ/ٱللَّهِ/al-lahi//بِاَمْوَالِكُمْ/بِأَمۡوَٰلِكُمۡ/bi-amwalikum//وَ اَنْفُسِكُمْ ؕ/وَأَنفُسِكُمۡۚ/wa-anfusikum//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَۙ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "তোমরা ঈমান আনো//আল্লাহর উপর//ও তাঁর রাসূলের//এবং তোমরা জিহাদ করো//(মধ্যে)//পথে//আল্লাহর//তোমাদের মালসমূহ দিয়ে//ও তোমাদের জানপ্রাণ (দিয়ে)//এটাই//উত্তম//তোমাদের জন্যে//যদি//তোমরা//জানো"
            },
            {
              "number": 5175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5175.mp3"
              ],
              "text": "يَغْفِرْ لَكُمْ ذُنُوبَكُمْ وَيُدْخِلْكُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ وَمَسَٰكِنَ طَيِّبَةًۭ فِى جَنَّٰتِ عَدْنٍۢ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "তিনি তোমাদের পাপরাশি ক্ষমা করবেন এবং এমন জান্নাতে দাখিল করবেন, যার পাদদেশে নদী প্রবাহিত এবং বসবাসের জান্নাতে উত্তম বাসগৃহে। এটা মহাসাফল্য।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 485,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াগফিরলাকুম যুনূবাকুম ওয়া ইউদখিলকুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ওয়া মাছা-কিনা তাইয়িবাতান ফী জান্না-তি ‘আদনিন যা-লিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "یَغْفِرْ/يَغۡفِرۡ/yaghfir//لَكُمْ/لَكُمۡ/lakum//ذُنُوْبَكُمْ/ذُنُوبَكُمۡ/dhunubakum//وَ یُدْخِلْكُمْ/وَيُدۡخِلۡكُمۡ/wayud'khil'kum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//وَ مَسٰكِنَ/وَمَسَٰكِنَ/wamasakina//طَیِّبَةً/طَيِّبَةٗ/tayyibatan//فِیْ/فِي/fi//جَنّٰتِ/جَنَّـٰتِ/jannati//عَدْنٍ ؕ/عَدۡنٖۚ/adnin//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُۙ/ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "তিনি মাফ করবেন//তোমাদের//তোমাদের গুনাহসমূহকে//ও তোমাদের প্রবেশ করাবেন//জান্নাতে//প্রবাহিত হয়//মধ্য হতে//তার পাদদেশে//ঝর্ণাধারাসমূহ//এবং বাসগৃহসমূহ//উত্তম//মধ্যে//জান্নাতের//চিরস্থায়ী//এটা//সাফল্য//মহা"
            },
            {
              "number": 5176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5176.mp3"
              ],
              "text": "وَأُخْرَىٰ تُحِبُّونَهَا ۖ نَصْرٌۭ مِّنَ ٱللَّهِ وَفَتْحٌۭ قَرِيبٌۭ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ",
              "translate_bn": "এবং আরও একটি অনুগ্রহ দিবেন, যা তোমরা পছন্দ কর। আল্লাহর পক্ষ থেকে সাহায্য এবং আসন্ন বিজয়। মুমিনদেরকে এর সুসংবাদ দান করুন।",
              "numberInSurah": 13,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 485,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "উখরা-তুহিববূনাহা- নাসরুম মিনাল্লা-হি ওয়া ফাতহুন কারীব ওয়া বাশশিরিল মু’মিনীন।",
              "words_arabic": "وَ اُخْرٰی/وَأُخۡرَىٰ/wa-ukh'ra//تُحِبُّوْنَهَا ؕ/تُحِبُّونَهَاۖ/tuhibbunaha//نَصْرٌ/نَصۡرٞ/nasrun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ فَتْحٌ/وَفَتۡحٞ/wafathun//قَرِیْبٌ ؕ/قَرِيبٞۗ/qaribun//وَ بَشِّرِ/وَبَشِّرِ/wabashiri//الْمُؤْمِنِیْنَ /ٱلۡمُؤۡمِنِينَ/al-mu'minina",
              "words_bangla": "এবং অন্যটি//যা তোমরা পছন্দ করো//সাহায্য//থেকে//আল্লাহর//ও বিজয়//আসন্ন//এবং সুসংবাদ দাও//মু'মিনদের"
            },
            {
              "number": 5177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5177.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوٓا۟ أَنصَارَ ٱللَّهِ كَمَا قَالَ عِيسَى ٱبْنُ مَرْيَمَ لِلْحَوَارِيِّۦنَ مَنْ أَنصَارِىٓ إِلَى ٱللَّهِ ۖ قَالَ ٱلْحَوَارِيُّونَ نَحْنُ أَنصَارُ ٱللَّهِ ۖ فَـَٔامَنَت طَّآئِفَةٌۭ مِّنۢ بَنِىٓ إِسْرَٰٓءِيلَ وَكَفَرَت طَّآئِفَةٌۭ ۖ فَأَيَّدْنَا ٱلَّذِينَ ءَامَنُوا۟ عَلَىٰ عَدُوِّهِمْ فَأَصْبَحُوا۟ ظَٰهِرِينَ",
              "translate_bn": "মুমিনগণ, তোমরা আল্লাহর সাহায্যকারী হয়ে যাও, যেমন ঈসা ইবনে-মরিয়ম তার শিষ্যবর্গকে বলেছিল, আল্লাহর পথে কে আমার সাহায্যকারী হবে? শিষ্যবর্গ বলেছিলঃ আমরা আল্লাহর পথে সাহায্যকারী। অতঃপর বনী-ইসরাঈলের একদল বিশ্বাস স্থাপন করল এবং একদল কাফের হয়ে গেল। যারা বিশ্বাস স্থাপন করেছিল, আমি তাদেরকে তাদের শত্রুদের মোকাবেলায় শক্তি যোগালাম, ফলে তারা বিজয়ী হল।",
              "numberInSurah": 14,
              "juz": 28,
              "manzil": 7,
              "page": 552,
              "ruku": 485,
              "hizbQuarter": 220,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূকূনূআনসা-রাল্লা-হি কামা-কা-লা ‘ঈছাবনুমারইয়ামা লিলহাওয়া-বিইয়ীনা মান আনসা-রী-ইলাল্লা-হি কা-লাল হাওয়া-রিইয়ূনা নাহনুআনসারুল্লা-হি ফাআ-মানাত্তাইফাতুমমিম বানীইছরাঈলা ওয়া কাফারাততাইফাতুন ফাআইঁয়াদনাল্লাযীনা আ-মানূ‘আলা-‘আদুওবিহিম ফাআসবাহূ জা-হিরীন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//كُوْنُوْۤا/كُونُوٓاْ/kunu//اَنْصَارَ/أَنصَارَ/ansara//اللّٰهِ/ٱللَّهِ/al-lahi//كَمَا/كَمَا/kama//قَالَ/قَالَ/qala//عِیْسَی/عِيسَى/isa//ابْنُ/ٱبۡنُ/ub'nu//مَرْیَمَ/مَرۡيَمَ/maryama//لِلْحَوَارِیّٖنَ/لِلۡحَوَارِيِّـۧنَ/lil'hawariyyina//مَنْ/مَنۡ/man//اَنْصَارِیْۤ/أَنصَارِيٓ/ansari//اِلَی/إِلَى/ila//اللّٰهِ ؕ/ٱللَّهِۖ/al-lahi//قَالَ/قَالَ/qala//الْحَوَارِیُّوْنَ/ٱلۡحَوَارِيُّونَ/al-hawariyuna//نَحْنُ/نَحۡنُ/nahnu//اَنْصَارُ/أَنصَارُ/ansaru//اللّٰهِ/ٱللَّهِۖ/al-lahi//فَاٰمَنَتْ/فَـَٔامَنَت/faamanat//طَّآىِٕفَةٌ/طَّآئِفَةٞ/taifatun//مِّنْۢ/مِّنۢ/min//بَنِیْۤ/بَنِيٓ/bani//اِسْرَآءِیْلَ/إِسۡرَـٰٓءِيلَ/is'raila//وَ كَفَرَتْ/وَكَفَرَت/wakafarat//طَّآىِٕفَةٌ ۚ/طَّآئِفَةٞۖ/taifatun//فَاَیَّدْنَا/فَأَيَّدۡنَا/fa-ayyadna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//عَلٰی/عَلَىٰ/ala//عَدُوِّهِمْ/عَدُوِّهِمۡ/aduwwihim//فَاَصْبَحُوْا/فَأَصۡبَحُواْ/fa-asbahu//ظٰهِرِیْنَ۠/ظَٰهِرِينَ/zahirina",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//তোমরা হও//সাহায্যকারী//আল্লাহর//যেমন//বলেছিল//ঈসা//তনয়//মারয়ামের//হাওয়ারীদেরকে//\"কে//আমার সাহায্যকারী//দিকে//আল্লাহর\"//বলেছিল//হাওয়ারীরা//\"আমরা//সাহায্যকারী//আল্লাহর\"//অতঃপর ঈমান আনল//এক দল//মধ্যে//বনী//ইসরাইল//এবং কুফরি করল//এক দল//অতঃপর আমরা সাহায্য করলাম//(তাদেরকে) যারা//ঈমান এনেছিল//উপর//তাদের দুশমনের//অতঃপর তারা হলো//বিজয়ী"
            }
          ]
        },
        {
          "number": 62,
          "name": "سُورَةُ الجُمُعَةِ",
          "englishName": "Al-Jumu'a",
          "englishNameTranslation": "Friday",
          "revelationType": "Medinan",
          "verse": 11,
          "words": 341,
          "chars": 1406,
          "ayahs": [
            {
              "number": 5178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5178.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يُسَبِّحُ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ٱلْمَلِكِ ٱلْقُدُّوسِ ٱلْعَزِيزِ ٱلْحَكِيمِ",
              "translate_bn": "রাজ্যাধিপতি, পবিত্র, পরাক্রমশালী ও প্রজ্ঞাময় আল্লাহর পবিত্রতা ঘোষণা করে, যা কিছু আছে নভোমন্ডলে ও যা কিছু আছে ভূমন্ডলে।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ইউছাব্বিহু লিল্লা-হি মা-ফিছছামা-ওয়া-তি ওয়ামা-ফিল আরদিলমালিকিলকুদ্দূছিল ‘আঝঝিল হাকীম।",
              "words_arabic": "یُسَبِّحُ/يُسَبِّحُ/yusabbihu//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//الْمَلِكِ/ٱلۡمَلِكِ/al-maliki//الْقُدُّوْسِ/ٱلۡقُدُّوسِ/al-qudusi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَكِیْمِ /ٱلۡحَكِيمِ/al-hakimi",
              "words_bangla": "মহিমা ঘোষণা করে//আল্লাহরই//যা//মধ্যে (আছে)//আকাশ জগতের//ও যা//মধ্যে (আছে)//পৃথিবীর//অধিপতি//মহান পবিত্র//মহাপরাক্রমশালী//প্রজ্ঞাময়"
            },
            {
              "number": 5179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5179.mp3"
              ],
              "text": "هُوَ ٱلَّذِى بَعَثَ فِى ٱلْأُمِّيِّۦنَ رَسُولًۭا مِّنْهُمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَٰتِهِۦ وَيُزَكِّيهِمْ وَيُعَلِّمُهُمُ ٱلْكِتَٰبَ وَٱلْحِكْمَةَ وَإِن كَانُوا۟ مِن قَبْلُ لَفِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "তিনিই নিরক্ষরদের মধ্য থেকে একজন রসূল প্রেরণ করেছেন, যিনি তাদের কাছে পাঠ করেন তার আয়াতসমূহ, তাদেরকে পবিত্র করেন এবং শিক্ষা দেন কিতাব ও হিকমত। ইতিপূর্বে তারা ছিল ঘোর পথভ্রষ্টতায় লিপ্ত।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী বা‘আছা ফিল উম্মিইয়ীনা রাছূলাম মিনহুম ইয়াতলূ‘আলাইহিম আ-য়া-তিহী ওয়া ইউঝাক্কীহিম ওয়া ইউ‘আলিলমুহুমুল কিতা-বা ওয়াল হিকমাতা ওয়া ইন কা-নূমিন কাবলু লাফী দালা-লিম্মুবীন।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//بَعَثَ/بَعَثَ/ba'atha//فِی/فِي/fi//الْاُمِّیّٖنَ/ٱلۡأُمِّيِّـۧنَ/al-umiyina//رَسُوْلًا/رَسُولٗا/rasulan//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اٰیٰتِهٖ/ءَايَٰتِهِۦ/ayatihi//وَ یُزَكِّیْهِمْ/وَيُزَكِّيهِمۡ/wayuzakkihim//وَ یُعَلِّمُهُمُ/وَيُعَلِّمُهُمُ/wayu'allimuhumu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْحِكْمَةَ ۗ/وَٱلۡحِكۡمَةَ/wal-hik'mata//وَ اِنْ/وَإِن/wa-in//كَانُوْا/كَانُواْ/kanu//مِنْ/مِن/min//قَبْلُ/قَبۡلُ/qablu//لَفِیْ/لَفِي/lafi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍۙ/مُّبِينٖ/mubinin",
              "words_bangla": "তিনিই//যিনি//পাঠিয়েছেন//মধ্যে//নিরক্ষরদের//একজন রাসূল//তাদের মধ্য থেকে//যে আবৃত্তি করে//তাদের নিকট//তাঁর আয়াতগুলো//ও তাদের পরিশুদ্ধ করে//ও তাদের শিক্ষা দেয়//কিতাব//হিকমত//এবং যদিও//তারা ছিল//মধ্য হতে//ইতিপূর্বে//মধ্যে অবশ্যই//বিভ্রান্তির//সুস্পষ্ট"
            },
            {
              "number": 5180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5180.mp3"
              ],
              "text": "وَءَاخَرِينَ مِنْهُمْ لَمَّا يَلْحَقُوا۟ بِهِمْ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "এই রসূল প্রেরিত হয়েছেন অন্য আরও লোকদের জন্যে, যারা এখনও তাদের সাথে মিলিত হয়নি। তিনি পরাক্রমশালী, প্রজ্ঞাময়।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-খারীনা মিনহুম লাম্মা-ইয়ালহাকূবিহিম ওয়া হুওয়াল ‘আঝীঝুল হাকীম।",
              "words_arabic": "وَّ اٰخَرِیْنَ/وَءَاخَرِينَ/waakharina//مِنْهُمْ/مِنۡهُمۡ/min'hum//لَمَّا/لَمَّا/lamma//یَلْحَقُوْا/يَلۡحَقُواْ/yalhaqu//بِهِمْ ؕ/بِهِمۡۚ/bihim//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "এবং অন্যান্যদের (জন্যেও)//তাদের থেকে (যারা)//নাই এখনও//মিলে//তাদের সাথে//এবং তিনি//পরাক্রমশীল//প্রজ্ঞাময়"
            },
            {
              "number": 5181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5181.mp3"
              ],
              "text": "ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ",
              "translate_bn": "এটা আল্লাহর কৃপা, যাকে ইচ্ছা তিনি তা দান করেন। আল্লাহ মহাকৃপাশীল।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা ফাদলুল্লা-হি ইউ’তীহি মাইঁ ইয়াশূউ ওয়াল্লা-হু যুল ফাদলিল ‘আজীম।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//فَضْلُ/فَضۡلُ/fadlu//اللّٰهِ/ٱللَّهِ/al-lahi//یُؤْتِیْهِ/يُؤۡتِيهِ/yu'tihi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//ذُو/ذُو/dhu//الْفَضْلِ/ٱلۡفَضۡلِ/al-fadli//الْعَظِیْمِ /ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "এটা//অনুগ্রহ//আল্লাহর//তাকে দেন//যাকে//তিনি চান//এবং আল্লাহ//(আছে)//অনুগ্রহকারী//মহান"
            },
            {
              "number": 5182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5182.mp3"
              ],
              "text": "مَثَلُ ٱلَّذِينَ حُمِّلُوا۟ ٱلتَّوْرَىٰةَ ثُمَّ لَمْ يَحْمِلُوهَا كَمَثَلِ ٱلْحِمَارِ يَحْمِلُ أَسْفَارًۢا ۚ بِئْسَ مَثَلُ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَٰتِ ٱللَّهِ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّٰلِمِينَ",
              "translate_bn": "যাদেরকে তওরাত দেয়া হয়েছিল, অতঃপর তারা তার অনুসরণ করেনি, তাদের দৃষ্টান্ত সেই গাধা, যে পুস্তক বহন করে, যারা আল্লাহর আয়াতসমূহকে মিথ্যা বলে, তাদের দৃষ্টান্ত কত নিকৃষ্ট। আল্লাহ জালেম সম্প্রদায়কে পথ প্রদর্শন করেন না।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "মাছালুল্লাযীনা হুম্মিলুত্তাওরা-তা ছুম্মা লাম ইয়াহমিলূহা-কামাছালিল হিমা-রি ইয়াহমিলুআছফা-রান বি’ছা মাছালুল কাওমিল্লাযীনা কাযযাবূবিআ-য়া-তিল্লা-হি ওয়াল্লা-হু লা-ইয়াহদিল কাওমাজ্জা-লিমীন।",
              "words_arabic": "مَثَلُ/مَثَلُ/mathalu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//حُمِّلُوا/حُمِّلُواْ/hummilu//التَّوْرٰىةَ/ٱلتَّوۡرَىٰةَ/al-tawrata//ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//یَحْمِلُوْهَا/يَحۡمِلُوهَا/yahmiluha//كَمَثَلِ/كَمَثَلِ/kamathali//الْحِمَارِ/ٱلۡحِمَارِ/al-himari//یَحْمِلُ/يَحۡمِلُ/yahmilu//اَسْفَارًا ؕ/أَسۡفَارَۢاۚ/asfaran//بِئْسَ/بِئۡسَ/bi'sa//مَثَلُ/مَثَلُ/mathalu//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَذَّبُوْا/كَذَّبُواْ/kadhabu//بِاٰیٰتِ/بِـَٔايَٰتِ/biayati//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الظّٰلِمِیْنَ /ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "দৃষ্টান্ত//যাদের//ভার দেয়া হয়েছিল//তাওরাতের (দায়িত্ব)//এরপর//নাই//তা বহন করে//দৃষ্টান্ত যেমন//গাধার//বহন করে//কিতাবসমূহ//কত নিকৃষ্ট//দৃষ্টান্ত//(সেই) লোকদের//যারা//মিথ্যারোপ করেছে//আয়াতগুলোকে//আল্লাহর//এবং আল্লাহ//না//হেদায়াত দেন//লোকদের//যালেম"
            },
            {
              "number": 5183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5183.mp3"
              ],
              "text": "قُلْ يَٰٓأَيُّهَا ٱلَّذِينَ هَادُوٓا۟ إِن زَعَمْتُمْ أَنَّكُمْ أَوْلِيَآءُ لِلَّهِ مِن دُونِ ٱلنَّاسِ فَتَمَنَّوُا۟ ٱلْمَوْتَ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "বলুন হে ইহুদীগণ, যদি তোমরা দাবী কর যে, তোমরাই আল্লাহর বন্ধু-অন্য কোন মানব নয়, তবে তোমরা মৃত্যু কামনা কর যদি তোমরা সত্যবাদী হও।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআইয়ুহাল্লাযীনা হা-দূ ইন ঝা‘আমতুম আন্নাকুম আওলিয়াউ লিল্লা-হি মিন দূনিন্না-ছি ফাতামান্নাউল মাওতা ইন কুনতুম সা-দিকীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//هَادُوْۤا/هَادُوٓاْ/hadu//اِنْ/إِن/in//زَعَمْتُمْ/زَعَمۡتُمۡ/za'amtum//اَنَّكُمْ/أَنَّكُمۡ/annakum//اَوْلِیَآءُ/أَوۡلِيَآءُ/awliyau//لِلّٰهِ/لِلَّهِ/lillahi//مِنْ/مِن/min//دُوْنِ/دُونِ/duni//النَّاسِ/ٱلنَّاسِ/al-nasi//فَتَمَنَّوُا/فَتَمَنَّوُاْ/fatamannawu//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "বল//\"ওহে//\"যারা//\"ইহুদী হয়েছো//যদি//তোমরা দাবি করো//তোমরাই যে//বন্ধু//আল্লাহরই//মধ্য হতে//ছাড়া//(অন্য) মানবগোষ্ঠী//তবে তোমরা কামনা করো//মৃত্যু//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 5184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5184.mp3"
              ],
              "text": "وَلَا يَتَمَنَّوْنَهُۥٓ أَبَدًۢا بِمَا قَدَّمَتْ أَيْدِيهِمْ ۚ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّٰلِمِينَ",
              "translate_bn": "তারা নিজেদের কৃতকর্মের কারণে কখনও মৃত্যু কামনা করবে না। আল্লাহ জালেমদের সম্পর্কে সম্যক অবগত আছেন।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াতামান্নাওনাহূ আবাদাম বিমা-কাদ্দামাত আইদীহিম ওয়াল্লা-হু ‘আলীমুম বিজ্জা-লিমীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَتَمَنَّوْنَهٗۤ/يَتَمَنَّوۡنَهُۥٓ/yatamannawnahu//اَبَدًۢا/أَبَدَۢا/abadan//بِمَا/بِمَا/bima//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//اَیْدِیْهِمْ ؕ/أَيۡدِيهِمۡۚ/aydihim//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِالظّٰلِمِیْنَ /بِٱلظَّـٰلِمِينَ/bil-zalimina",
              "words_bangla": "এবং না//তারা তা কামনা করবে//কখনও//এ কারণে যা//আগে পাঠিয়েছে//তাদের হাতগুলো//এবং আল্লাহ//খুব অবহিত//যালিমদের সম্পর্কে"
            },
            {
              "number": 5185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5185.mp3"
              ],
              "text": "قُلْ إِنَّ ٱلْمَوْتَ ٱلَّذِى تَفِرُّونَ مِنْهُ فَإِنَّهُۥ مُلَٰقِيكُمْ ۖ ثُمَّ تُرَدُّونَ إِلَىٰ عَٰلِمِ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "বলুন, তোমরা যে মৃত্যু থেকে পলায়নপর, সেই মৃত্যু অবশ্যই তোমাদের মুখামুখি হবে, অতঃপর তোমরা অদৃশ্য, দৃশ্যের জ্ঞানী আল্লাহর কাছে উপস্থিত হবে। তিনি তোমাদেরকে জানিয়ে দিবেন সেসব কর্ম, যা তোমরা করতে।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 553,
              "ruku": 486,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নাল মাওতাল্লাযী তাফিররূনা মিনহু ফাইন্নাহূমুলা-কীকুম ছু ম্মা তুরাদ্দূনা ইলা-‘আলিমিল গাইবি ওয়াশ শাহা-দাতি ফাইউনাব্বিউকুম বিমা-কুনতুম তা‘মালূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّ/إِنَّ/inna//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//الَّذِیْ/ٱلَّذِي/alladhi//تَفِرُّوْنَ/تَفِرُّونَ/tafirruna//مِنْهُ/مِنۡهُ/min'hu//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//مُلٰقِیْكُمْ/مُلَٰقِيكُمۡۖ/mulaqikum//ثُمَّ/ثُمَّ/thumma//تُرَدُّوْنَ/تُرَدُّونَ/turadduna//اِلٰی/إِلَىٰ/ila//عٰلِمِ/عَٰلِمِ/alimi//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//فَیُنَبِّئُكُمْ/فَيُنَبِّئُكُم/fayunabbi-ukum//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "বলো//\"নিশ্চয়//মৃত্যু//যা (থেকে)//তোমরা পলায়ন কর//তা থেকে//অতঃপর নিশ্চয় তা//তোমাদের মিলবে//এরপর//তোমরা প্রত্যানীত হবে//দিকে//পরিজ্ঞাতার//অদৃশ্যের//ও দৃশ্যের//অতঃপর তোমাদের জানিয়ে দিবেন//যা কিছু//তোমরা//কাজ করতেছিলে\""
            },
            {
              "number": 5186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5186.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نُودِىَ لِلصَّلَوٰةِ مِن يَوْمِ ٱلْجُمُعَةِ فَٱسْعَوْا۟ إِلَىٰ ذِكْرِ ٱللَّهِ وَذَرُوا۟ ٱلْبَيْعَ ۚ ذَٰلِكُمْ خَيْرٌۭ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "মুমিনগণ, জুমআর দিনে যখন নামাযের আযান দেয়া হয়, তখন তোমরা আল্লাহর স্মরণের পানে ত্বরা কর এবং বেচাকেনা বন্ধ কর। এটা তোমাদের জন্যে উত্তম যদি তোমরা বুঝ।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 487,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূইযা-নূদিয়া লিসসালা-তি মিইঁ ইয়াওমিল জুমু‘আতি ফাছ‘আও ইলা-যিকরিল্লা-হি ওয়া যারুল বাই‘আ যা-লিকুম খাইরুল্লাকুম ইন কুনতুম তা‘লামূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِذَا/إِذَا/idha//نُوْدِیَ/نُودِيَ/nudiya//لِلصَّلٰوةِ/لِلصَّلَوٰةِ/lilssalati//مِنْ/مِن/min//یَّوْمِ/يَوۡمِ/yawmi//الْجُمُعَةِ/ٱلۡجُمُعَةِ/al-jumu'ati//فَاسْعَوْا/فَٱسۡعَوۡاْ/fa-is'aw//اِلٰی/إِلَىٰ/ila//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ/ٱللَّهِ/al-lahi//وَ ذَرُوا/وَذَرُواْ/wadharu//الْبَیْعَ ؕ/ٱلۡبَيۡعَۚ/al-bay'a//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//خَیْرٌ/خَيۡرٞ/khayrun//لَّكُمْ/لَّكُمۡ/lakum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//যখন//ডাকা হয়//নামাজের জন্যে//মধ্য হতে//দিনে//জুমুয়া'র//তখন তোমরা ধাবিত  হও//দিকে//স্মরণের//আল্লাহর//ও ত্যাগ করো//কেনাবেচা//এটা//উত্তম//তোমাদের জন্যে//যদি//তোমরা//জানো"
            },
            {
              "number": 5187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5187.mp3"
              ],
              "text": "فَإِذَا قُضِيَتِ ٱلصَّلَوٰةُ فَٱنتَشِرُوا۟ فِى ٱلْأَرْضِ وَٱبْتَغُوا۟ مِن فَضْلِ ٱللَّهِ وَٱذْكُرُوا۟ ٱللَّهَ كَثِيرًۭا لَّعَلَّكُمْ تُفْلِحُونَ",
              "translate_bn": "অতঃপর নামায সমাপ্ত হলে তোমরা পৃথিবীতে ছড়িয়ে পড় এবং আল্লাহর অনুগ্রহ তালাশ কর ও আল্লাহকে অধিক স্মরণ কর, যাতে তোমরা সফলকাম হও।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 487,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ফাইযা- কুদিয়াতিসসালা-তুফানতাশিরূ ফিল আরদি ওয়াবতাগূমিন ফাদলিল্লা -হি ওয়াযকুরুল্লা-হা কাছীরাল লা‘আল্লাকুম তুফলিহূন।\r\n",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//قُضِیَتِ/قُضِيَتِ/qudiyati//الصَّلٰوةُ/ٱلصَّلَوٰةُ/al-salatu//فَانْتَشِرُوْا/فَٱنتَشِرُواْ/fa-intashiru//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ ابْتَغُوْا/وَٱبۡتَغُواْ/wa-ib'taghu//مِنْ/مِن/min//فَضْلِ/فَضۡلِ/fadli//اللّٰهِ/ٱللَّهِ/al-lahi//وَ اذْكُرُوا/وَٱذۡكُرُواْ/wa-udh'kuru//اللّٰهَ/ٱللَّهَ/al-laha//كَثِیْرًا/كَثِيرٗا/kathiran//لَّعَلَّكُمْ/لَّعَلَّكُمۡ/la'allakum//تُفْلِحُوْنَ /تُفۡلِحُونَ/tuf'lihuna",
              "words_bangla": "অতঃপর যখন//সমাপ্ত হয়//নামাজ//তখন তোমরা ছড়িয়ে পড়ো//উপর//পৃথিবীর//ও তোমরা সন্ধান করো//মধ্য হতে//অনুগ্রহ//আল্লাহর//এবং তোমরা স্মরণ করো//আল্লাহকে//অধিক//সম্ভবতঃ//তোমরা সফল হবে"
            },
            {
              "number": 5188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5188.mp3"
              ],
              "text": "وَإِذَا رَأَوْا۟ تِجَٰرَةً أَوْ لَهْوًا ٱنفَضُّوٓا۟ إِلَيْهَا وَتَرَكُوكَ قَآئِمًۭا ۚ قُلْ مَا عِندَ ٱللَّهِ خَيْرٌۭ مِّنَ ٱللَّهْوِ وَمِنَ ٱلتِّجَٰرَةِ ۚ وَٱللَّهُ خَيْرُ ٱلرَّٰزِقِينَ",
              "translate_bn": "তারা যখন কোন ব্যবসায়ের সুযোগ অথবা ক্রীড়াকৌতুক দেখে তখন আপনাকে দাঁড়ানো অবস্থায় রেখে তারা সেদিকে ছুটে যায়। বলুনঃ আল্লাহর কাছে যা আছে, তা ক্রীড়াকৌতুক ও ব্যবসায় অপেক্ষা উৎকৃষ্ট। আল্লাহ সর্বোত্তম রিযিকদাতা।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 487,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআও তিজা-রাতান আও লাহওয়ানিনফাদ্দূ ইলাইহা-ওয়া তারাকূকাকাইমা- কুল মা-‘ইনদাল্লা-হি খাইরুম মিনাল্লাহবিওয়া মিনাত্তিজা-রাতি ওয়াল্লা-হু খাইরুর রা-ঝিকীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَوْا/رَأَوۡاْ/ra-aw//تِجَارَةً/تِجَٰرَةً/tijaratan//اَوْ/أَوۡ/aw//لَهْوَا/لَهۡوًا/lahwan//ِ۟انْفَضُّوْۤا/ٱنفَضُّوٓاْ/infaddu//اِلَیْهَا/إِلَيۡهَا/ilayha//وَ تَرَكُوْكَ/وَتَرَكُوكَ/watarakuka//قَآىِٕمًا ؕ/قَآئِمٗاۚ/qaiman//قُلْ/قُلۡ/qul//مَا/مَا/ma//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//خَیْرٌ/خَيۡرٞ/khayrun//مِّنَ/مِّنَ/mina//اللَّهْوِ/ٱللَّهۡوِ/al-lahwi//وَ مِنَ/وَمِنَ/wamina//التِّجَارَةِ ؕ/ٱلتِّجَٰرَةِۚ/al-tijarati//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَیْرُ/خَيۡرُ/khayru//الرّٰزِقِیْنَ۠/ٱلرَّـٰزِقِينَ/al-raziqina",
              "words_bangla": "এবং যখন//তারা দেখল//ব্যবসা//বা//খেলা-তামাশা//তারা ছুটে গেল//তার দিকে//ও তোমাকে ছেড়ে গেল//দাঁড়ানো অবস্থায়//বলো//\"যা কিছুু//কাছে//আল্লাহর//উত্তম//অপেক্ষা//খেলা-তামাশা//ও থেকে//ব্যবসা//এবং আল্লাহই//উত্তম//রিযিকদাতাদের\""
            }
          ]
        },
        {
          "number": 63,
          "name": "سُورَةُ المُنَافِقُونَ",
          "englishName": "Al-Munaafiqoon",
          "englishNameTranslation": "The Hypocrites",
          "revelationType": "Medinan",
          "verse": 11,
          "words": 367,
          "chars": 1558,
          "ayahs": [
            {
              "number": 5189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5189.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا جَآءَكَ ٱلْمُنَٰفِقُونَ قَالُوا۟ نَشْهَدُ إِنَّكَ لَرَسُولُ ٱللَّهِ ۗ وَٱللَّهُ يَعْلَمُ إِنَّكَ لَرَسُولُهُۥ وَٱللَّهُ يَشْهَدُ إِنَّ ٱلْمُنَٰفِقِينَ لَكَٰذِبُونَ",
              "translate_bn": "মুনাফিকরা আপনার কাছে এসে বলেঃ আমরা সাক্ষ্য দিচ্ছি যে আপনি নিশ্চয়ই আল্লাহর রসূল। আল্লাহ জানেন যে, আপনি অবশ্যই আল্লাহর রসূল এবং আল্লাহ সাক্ষ্য দিচ্ছেন যে, মুনাফিকরা অবশ্যই মিথ্যাবাদী।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 488,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ইযা-জাআকাল মুনা-ফিকূনা কা-লূনাশহাদুইন্নাকা লারাছূলুল্লা-হ । ওয়াল্লা-হু ইয়া‘লামুইন্নাকা লারাছূলুহূ ওয়াল্লা-হু ইয়াশহাদুইন্নাল মুনা-ফিকীনা লাকা-যিবূন।",
              "words_arabic": "اِذَا/إِذَا/idha//جَآءَكَ/جَآءَكَ/jaaka//الْمُنٰفِقُوْنَ/ٱلۡمُنَٰفِقُونَ/al-munafiquna//قَالُوْا/قَالُواْ/qalu//نَشْهَدُ/نَشۡهَدُ/nashhadu//اِنَّكَ/إِنَّكَ/innaka//لَرَسُوْلُ/لَرَسُولُ/larasulu//اللّٰهِ ۘ/ٱللَّهِۗ/al-lahi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اِنَّكَ/إِنَّكَ/innaka//لَرَسُوْلُهٗ ؕ/لَرَسُولُهُۥ/larasuluhu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یَشْهَدُ/يَشۡهَدُ/yashhadu//اِنَّ/إِنَّ/inna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//لَكٰذِبُوْنَۚ/لَكَٰذِبُونَ/lakadhibuna",
              "words_bangla": "যখন//তোমার  কাছে আসে//মুনাফিকরা//তারা বলে//\"আমরা সাক্ষ্য দিচ্ছি//আপনি নিশ্চয়//অবশ্যই রাসূল//আল্লাহর\"//এবং আল্লাহ//জানেন//তুমি নিশ্চয়//অবশ্যই তাঁর রাসূল//এবং আল্লাহ//সাক্ষ্য দিচ্ছেন//নিশ্চয়//মুনাফিকরা//অবশ্যই মিথ্যাবাদী"
            },
            {
              "number": 5190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5190.mp3"
              ],
              "text": "ٱتَّخَذُوٓا۟ أَيْمَٰنَهُمْ جُنَّةًۭ فَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ ۚ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ",
              "translate_bn": "তারা তাদের শপথসমূহকে ঢালরূপে ব্যবহার করে। অতঃপর তারা আল্লাহর পথে বাধা সৃষ্টি করে। তারা যা করছে, তা খুবই মন্দ।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 488,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "ইত্তাখাযূ আইমা-নাহুম জুন্নাতান ফাসাদ্দূ‘আন ছাবীলিল্লা-হি ইন্নাহুম ছাআ মা-কা-নূ ইয়া‘মালূন।",
              "words_arabic": "اِتَّخَذُوْۤا/ٱتَّخَذُوٓاْ/ittakhadhu//اَیْمَانَهُمْ/أَيۡمَٰنَهُمۡ/aymanahum//جُنَّةً/جُنَّةٗ/junnatan//فَصَدُّوْا/فَصَدُّواْ/fasaddu//عَنْ/عَن/an//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//اِنَّهُمْ/إِنَّهُمۡ/innahum//سَآءَ/سَآءَ/saa//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَعْمَلُوْنَ /يَعۡمَلُونَ/ya'maluna",
              "words_bangla": "তারা গ্রহণ করেছে//তাদের শপথগুলোকে//ঢাল (স্বরূপ)//অতঃপর তারা বাধা সৃষ্টি করে//থেকে//পথ//আল্লাহর//তারা নিশ্চয়//কত মন্দ//যা//(ছিল)//তারা করছে"
            },
            {
              "number": 5191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5191.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُمْ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ فَطُبِعَ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَفْقَهُونَ",
              "translate_bn": "এটা এজন্য যে, তারা বিশ্বাস করার পর পুনরায় কাফের হয়েছে। ফলে তাদের অন্তরে মোহর মেরে দেয়া হয়েছে। অতএব তারা বুঝে না।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 488,
              "hizbQuarter": 221,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহুম আ-মানূছুম্মা কাফারূফাতুবি‘আ ‘আলা- কুলূবিহিম ফাহুম লাইয়াফকাহূন।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهُمْ/بِأَنَّهُمۡ/bi-annahum//اٰمَنُوْا/ءَامَنُواْ/amanu//ثُمَّ/ثُمَّ/thumma//كَفَرُوْا/كَفَرُواْ/kafaru//فَطُبِعَ/فَطُبِعَ/fatubi'a//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِمۡ/qulubihim//فَهُمْ/فَهُمۡ/fahum//لَا/لَا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "এটা//এ কারণে যে তারা//ঈমান এনেছে//আবার তোমাদের মধ্যে//কুফুরি করেছে//অতঃপর মোহর করা হয়েছে//উপর//তাদের অন্তরসমূহের//অতঃপর তারা//না//তারা বুঝে"
            },
            {
              "number": 5192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5192.mp3"
              ],
              "text": "۞ وَإِذَا رَأَيْتَهُمْ تُعْجِبُكَ أَجْسَامُهُمْ ۖ وَإِن يَقُولُوا۟ تَسْمَعْ لِقَوْلِهِمْ ۖ كَأَنَّهُمْ خُشُبٌۭ مُّسَنَّدَةٌۭ ۖ يَحْسَبُونَ كُلَّ صَيْحَةٍ عَلَيْهِمْ ۚ هُمُ ٱلْعَدُوُّ فَٱحْذَرْهُمْ ۚ قَٰتَلَهُمُ ٱللَّهُ ۖ أَنَّىٰ يُؤْفَكُونَ",
              "translate_bn": "আপনি যখন তাদেরকে দেখেন, তখন তাদের দেহাবয়ব আপনার কাছে প্রীতিকর মনে হয়। আর যদি তারা কথা বলে, তবে আপনি তাদের কথা শুনেন। তারা প্রাচীরে ঠেকানো কাঠসদৃশ্য। প্রত্যেক শোরগোলকে তারা নিজেদের বিরুদ্ধে মনে করে। তারাই শত্রু, অতএব তাদের সম্পর্কে সতর্ক হোন। ধ্বংস করুন আল্লাহ তাদেরকে। তারা কোথায় বিভ্রান্ত হচ্ছে ?",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 554,
              "ruku": 488,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআইতাহুম তু‘জিবুকা আজছা-মুহুম ওয়াইঁয় ইয়াকূলূতাছমা‘ লিকাওলিহিম কাআন্নাহুম খুশুবুমমুছান্নাদাতুইঁ ইয়াহছাবূনা কুল্লা সাইহাতিন ‘আলাইহিম হুমুল ‘আদুওউ ফাহ যারহুম কা-তালাহুমুল্লা-হু আন্না-ইউ’ফাকূন।",
              "words_arabic": "وَ اِذَا/۞وَإِذَا/wa-idha//رَاَیْتَهُمْ/رَأَيۡتَهُمۡ/ra-aytahum//تُعْجِبُكَ/تُعۡجِبُكَ/tu'jibuka//اَجْسَامُهُمْ ؕ/أَجۡسَامُهُمۡۖ/ajsamuhum//وَ اِنْ/وَإِن/wa-in//یَّقُوْلُوْا/يَقُولُواْ/yaqulu//تَسْمَعْ/تَسۡمَعۡ/tasma'//لِقَوْلِهِمْ ؕ/لِقَوۡلِهِمۡۖ/liqawlihim//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//خُشُبٌ/خُشُبٞ/khushubun//مُّسَنَّدَةٌ ؕ/مُّسَنَّدَةٞۖ/musannadatun//یَحْسَبُوْنَ/يَحۡسَبُونَ/yahsabuna//كُلَّ/كُلَّ/kulla//صَیْحَةٍ/صَيۡحَةٍ/sayhatin//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//هُمُ/هُمُ/humu//الْعَدُوُّ/ٱلۡعَدُوُّ/al-'aduwu//فَاحْذَرْهُمْ ؕ/فَٱحۡذَرۡهُمۡۚ/fa-ih'dharhum//قٰتَلَهُمُ/قَٰتَلَهُمُ/qatalahumu//اللّٰهُ ؗ/ٱللَّهُۖ/al-lahu//اَنّٰی/أَنَّىٰ/anna//یُؤْفَكُوْنَ /يُؤۡفَكُونَ/yu'fakuna",
              "words_bangla": "এবং যখন//তাদের তুমি দেখ//তোমার প্রীতিকর মনে হয়//তাদের দেহগুলো//এবং যদি//তারা কথা বলে//তুমি শুনবে//তাদের কথাকে//তারা যেন (আসলে)//কাষ্ঠখণ্ডসমূহ//ঠেকান দেয়া//তারা মনে করে//প্রত্যেক//উঁচু আওয়াজ//তাদের বিরুদ্ধে//তারাই//শত্রু//অতএব সতর্ক হও তাদের (থেকে)//তাদের উপর মার//আল্লাহর//কোথায়//তাদের ফিরিয়ে নেয়া হচ্ছে"
            },
            {
              "number": 5193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5193.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ يَسْتَغْفِرْ لَكُمْ رَسُولُ ٱللَّهِ لَوَّوْا۟ رُءُوسَهُمْ وَرَأَيْتَهُمْ يَصُدُّونَ وَهُم مُّسْتَكْبِرُونَ",
              "translate_bn": "যখন তাদেরকে বলা হয়ঃ তোমরা এস, আল্লাহর রসূল তোমাদের জন্য ক্ষমাপ্রার্থনা করবেন, তখন তারা মাথা ঘুরিয়ে নেয় এবং আপনি তাদেরকে দেখেন যে, তারা অহংকার করে মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 488,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়াইযা-কীলালাহুম তা‘আ-লাও ইয়াছতাগফিরলাকুমরাছূলুল্লা-হি লাওওয়াও রুঊছাহুম ওয়া রাআইতাহুম ইয়াসুদ্দূনা ওয়া হুম মুছতাকবিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمْ/لَهُمۡ/lahum//تَعَالَوْا/تَعَالَوۡاْ/ta'alaw//یَسْتَغْفِرْ/يَسۡتَغۡفِرۡ/yastaghfir//لَكُمْ/لَكُمۡ/lakum//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//لَوَّوْا/لَوَّوۡاْ/lawwaw//رُءُوْسَهُمْ/رُءُوسَهُمۡ/ruusahum//وَ رَاَیْتَهُمْ/وَرَأَيۡتَهُمۡ/wara-aytahum//یَصُدُّوْنَ/يَصُدُّونَ/yasudduna//وَ هُمْ/وَهُم/wahum//مُّسْتَكْبِرُوْنَ /مُّسۡتَكۡبِرُونَ/mus'takbiruna",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা আসো//ক্ষমা প্রার্থনা করবেন//তোমাদের জন্যে//রাসূূল\"//আল্লাহর\"//তারা ফিরিয়ে নেয়//তাদের মাথাগুলো//এবং তুমি তাদের দেখো//বিরত থাকে (আসা থেকে)//এবং তারা//অহংকারী"
            },
            {
              "number": 5194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5194.mp3"
              ],
              "text": "سَوَآءٌ عَلَيْهِمْ أَسْتَغْفَرْتَ لَهُمْ أَمْ لَمْ تَسْتَغْفِرْ لَهُمْ لَن يَغْفِرَ ٱللَّهُ لَهُمْ ۚ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَٰسِقِينَ",
              "translate_bn": "আপনি তাদের জন্যে ক্ষমাপ্রার্থনা করুন অথবা না করুন, উভয়ই সমান। আল্লাহ কখনও তাদেরকে ক্ষমা করবেন না। আল্লাহ পাপাচারী সম্প্রদায়কে পথপ্রদর্শন করেন না।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 488,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ছাওয়াউন ‘আলাইহিম আছতাগফারতা লাহুম আম লাম তাছতাগফিরলাহুম লাই ইয়াগফিরাল্লা-হু লাহুম ইন্নাল্লা-হা লা-ইয়াহদিল কাওমাল ফা-ছিকীন।",
              "words_arabic": "سَوَآءٌ/سَوَآءٌ/sawaon//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//اَسْتَغْفَرْتَ/أَسۡتَغۡفَرۡتَ/astaghfarta//لَهُمْ/لَهُمۡ/lahum//اَمْ/أَمۡ/am//لَمْ/لَمۡ/lam//تَسْتَغْفِرْ/تَسۡتَغۡفِرۡ/tastaghfir//لَهُمْ ؕ/لَهُمۡ/lahum//لَنْ/لَن/lan//یَّغْفِرَ/يَغۡفِرَ/yaghfira//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ ؕ/لَهُمۡۚ/lahum//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//لَا/لَا/la//یَهْدِی/يَهۡدِي/yahdi//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//الْفٰسِقِیْنَ /ٱلۡفَٰسِقِينَ/al-fasiqina",
              "words_bangla": "সমান//তাদের জন্যে//তুমি ক্ষমা প্রার্থনা কর//তাদের জন্য//অথবা//প্রার্থনা নাই করো//তুমি ক্ষমা//তাদের জন্যে//কক্ষনো না//ক্ষমা করবেন//আল্লাহ//তাদেরকে//নিশ্চয়//আল্লাহ//না//পথ দেখান//লোকদের//ফাসেক"
            },
            {
              "number": 5195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5195.mp3"
              ],
              "text": "هُمُ ٱلَّذِينَ يَقُولُونَ لَا تُنفِقُوا۟ عَلَىٰ مَنْ عِندَ رَسُولِ ٱللَّهِ حَتَّىٰ يَنفَضُّوا۟ ۗ وَلِلَّهِ خَزَآئِنُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَلَٰكِنَّ ٱلْمُنَٰفِقِينَ لَا يَفْقَهُونَ",
              "translate_bn": "তারাই বলেঃ আল্লাহর রাসূলের সাহচর্যে যারা আছে তাদের জন্যে ব্যয় করো না। পরিণামে তারা আপনা-আপনি সরে যাবে। ভূ ও নভোমন্ডলের ধন-ভান্ডার আল্লাহরই কিন্তু মুনাফিকরা তা বোঝে না।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 488,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "হুমুল্লাযীনা ইয়াকূলূনা লা-তুনফিকূ‘আলা-মান ‘ইনদা রাছূলিল্লা-হি হাত্তা-ইয়ানফাদ্দূ ওয়া লিল্লা-হি খাঝাইনুছ ছামা-ওয়া-তি ওয়াল আরদিওয়ালা-কিন্নাল মুনা-ফিকীনা লাইয়াফকাহূন।\r\n",
              "words_arabic": "هُمُ/هُمُ/humu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//لَا/لَا/la//تُنْفِقُوْا/تُنفِقُواْ/tunfiqu//عَلٰی/عَلَىٰ/ala//مَنْ/مَنۡ/man//عِنْدَ/عِندَ/inda//رَسُوْلِ/رَسُولِ/rasuli//اللّٰهِ/ٱللَّهِ/al-lahi//حَتّٰی/حَتَّىٰ/hatta//یَنْفَضُّوْا ؕ/يَنفَضُّواْۗ/yanfaddu//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//خَزَآىِٕنُ/خَزَآئِنُ/khazainu//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//لَا/لَا/la//یَفْقَهُوْنَ /يَفۡقَهُونَ/yafqahuna",
              "words_bangla": "তারা (ঐ লোক)//যারা//বলে//\"না//তোমরা খরচ করো//(তাদের) জন্য//যারা (আছে)//কাছে//রাসূলের//আল্লাহর//যতক্ষণ না//তারা ছিন্নভিন্ন হয়ে যায়\"//অথচ আল্লাহরই//ধনভাণ্ডারসমূহ//আসমানসমূহের//ও যমীনের//কিন্তু//মুনাফিকরা//না//তারা বুঝে"
            },
            {
              "number": 5196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5196.mp3"
              ],
              "text": "يَقُولُونَ لَئِن رَّجَعْنَآ إِلَى ٱلْمَدِينَةِ لَيُخْرِجَنَّ ٱلْأَعَزُّ مِنْهَا ٱلْأَذَلَّ ۚ وَلِلَّهِ ٱلْعِزَّةُ وَلِرَسُولِهِۦ وَلِلْمُؤْمِنِينَ وَلَٰكِنَّ ٱلْمُنَٰفِقِينَ لَا يَعْلَمُونَ",
              "translate_bn": "তারাই বলেঃ আমরা যদি মদীনায় প্রত্যাবর্তন করি তবে সেখান থেকে সবল অবশ্যই দুর্বলকে বহিস্কৃত করবে। শক্তি তো আল্লাহ তাঁর রসূল ও মুমিনদেরই কিন্তু মুনাফিকরা তা জানে না।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 488,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূলূনা লাইর রাজা‘নাইলাল মাদীনাতি লাইউখরিজান্নাল আ‘আঝঝুমিনহাল আযাল্লা ওয়া লিল্লা-হিল ‘ইঝঝাতুওয়া লিরাছূলিহী ওয়া লিলমু’মিনীনা ওয়ালা-কিন্নাল মুনা-ফিকীনা লা-ইয়া‘লামূন।",
              "words_arabic": "یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//لَىِٕنْ/لَئِن/la-in//رَّجَعْنَاۤ/رَّجَعۡنَآ/raja'na//اِلَی/إِلَى/ila//الْمَدِیْنَةِ/ٱلۡمَدِينَةِ/al-madinati//لَیُخْرِجَنَّ/لَيُخۡرِجَنَّ/layukh'rijanna//الْاَعَزُّ/ٱلۡأَعَزُّ/al-a'azu//مِنْهَا/مِنۡهَا/min'ha//الْاَذَلَّ ؕ/ٱلۡأَذَلَّۚ/al-adhala//وَ لِلّٰهِ/وَلِلَّهِ/walillahi//الْعِزَّةُ/ٱلۡعِزَّةُ/al-'izatu//وَ لِرَسُوْلِهٖ/وَلِرَسُولِهِۦ/walirasulihi//وَ لِلْمُؤْمِنِیْنَ/وَلِلۡمُؤۡمِنِينَ/walil'mu'minina//وَ لٰكِنَّ/وَلَٰكِنَّ/walakinna//الْمُنٰفِقِیْنَ/ٱلۡمُنَٰفِقِينَ/al-munafiqina//لَا/لَا/la//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "তারা বলে//\"অবশ্যই যদি//আমরা ফিরে যেতে পারি//দিকে//মদীনার//বহিস্কার করবেই//অধিক সম্মানিত//তা থেকে//হীনতরকে\"//অথচ আল্লাহরই জন্যে//সম্মান//ও তাঁর রাসূলের//ও মু'মিনদের//কিন্তু//মুনাফিকরা//না//তারা জানে"
            },
            {
              "number": 5197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5197.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُلْهِكُمْ أَمْوَٰلُكُمْ وَلَآ أَوْلَٰدُكُمْ عَن ذِكْرِ ٱللَّهِ ۚ وَمَن يَفْعَلْ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلْخَٰسِرُونَ",
              "translate_bn": "মুমিনগণ! তোমাদের ধন-সম্পদ ও সন্তান-সন্ততি যেন তোমাদেরকে আল্লাহর স্মরণ থেকে গাফেল না করে। যারা এ কারণে গাফেল হয়, তারাই তো ক্ষতিগ্রস্ত।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 489,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইয়া আইয়ুহাল্লাযীনা আ-মানূলা-তুলহিকুম আমওয়া-লুকুম ওয়ালাআওলা-দুকুম ‘আন যিকরিল্লা-হি ওয়া মাইঁ ইয়াফ‘আল যা-লিকা ফাউলাইকা হুমুল খা-ছিরূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//لَا/لَا/la//تُلْهِكُمْ/تُلۡهِكُمۡ/tul'hikum//اَمْوَالُكُمْ/أَمۡوَٰلُكُمۡ/amwalukum//وَ لَاۤ/وَلَآ/wala//اَوْلَادُكُمْ/أَوۡلَٰدُكُمۡ/awladukum//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//اللّٰهِ ۚ/ٱللَّهِۚ/al-lahi//وَ مَنْ/وَمَن/waman//یَّفْعَلْ/يَفۡعَلۡ/yaf 'al//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْخٰسِرُوْنَ /ٱلۡخَٰسِرُونَ/al-khasiruna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//না//তোমাদের (যেন) গাফিল করে//তোমাদের সম্পদগুলো//ও না//তোমাদের সন্তানরা//থেকে//স্মরণ//আল্লাহর//এবং যে//করবে//এটা//অতঃপর ঐসব লোক//তারাই//ক্ষতিগ্রস্ত"
            },
            {
              "number": 5198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5198.mp3"
              ],
              "text": "وَأَنفِقُوا۟ مِن مَّا رَزَقْنَٰكُم مِّن قَبْلِ أَن يَأْتِىَ أَحَدَكُمُ ٱلْمَوْتُ فَيَقُولَ رَبِّ لَوْلَآ أَخَّرْتَنِىٓ إِلَىٰٓ أَجَلٍۢ قَرِيبٍۢ فَأَصَّدَّقَ وَأَكُن مِّنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "আমি তোমাদেরকে যা দিয়েছি, তা থেকে মৃত্যু আসার আগেই ব্যয় কর। অন্যথায় সে বলবেঃ হে আমার পালনকর্তা, আমাকে আরও কিছুকাল অবকাশ দিলে না কেন? তাহলে আমি সদকা করতাম এবং সৎকর্মীদের অন্তর্ভুক্ত হতাম।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 489,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনফিকূমিম্মা-রাঝাকনা-কুম মিন কাবলি আইঁ ইয়া’তিয়া আহাদাকুমুল মাওতু ফাইয়াকূলা রাব্বি লাওলা আখখারতানী ইলা আজালিন কারীবিন ফাআসসাদ্দাকা ওয়া আকুম মিনাসসা-লিহীন।",
              "words_arabic": "وَ اَنْفِقُوْا/وَأَنفِقُواْ/wa-anfiqu//مِنْ/مِن/min//مَّا/مَّا/ma//رَزَقْنٰكُمْ/رَزَقۡنَٰكُم/razaqnakum//مِّنْ/مِّن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَ/يَأۡتِيَ/yatiya//اَحَدَكُمُ/أَحَدَكُمُ/ahadakumu//الْمَوْتُ/ٱلۡمَوۡتُ/al-mawtu//فَیَقُوْلَ/فَيَقُولَ/fayaqula//رَبِّ/رَبِّ/rabbi//لَوْ لَاۤ/لَوۡلَآ/lawla//اَخَّرْتَنِیْۤ/أَخَّرۡتَنِيٓ/akhartani//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//قَرِیْبٍ ۙ/قَرِيبٖ/qaribin//فَاَصَّدَّقَ/فَأَصَّدَّقَ/fa-assaddaqa//وَ اَكُنْ/وَأَكُن/wa-akun//مِّنَ/مِّنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "এবং তোমরা খরচ করো//থেকে//তা (যা)//তোমাদের আমরা রিজিক দিয়েছি//থেকে//পূর্বে//যে//আসে//তোমাদের কারও//মৃত্যু//অতঃপর সে বলবে//\"হে আমার রব//কেন না//তুমি আমাকে অবকাশ দিলে//পর্যন্ত//কাল//কিছু//আমি তা হলে সদকা করতাম//এবং হতাম আমি//অন্তর্ভুক্ত//সৎকর্মশীলদের\""
            },
            {
              "number": 5199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5199.mp3"
              ],
              "text": "وَلَن يُؤَخِّرَ ٱللَّهُ نَفْسًا إِذَا جَآءَ أَجَلُهَا ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ",
              "translate_bn": "প্রত্যেক ব্যক্তির নির্ধারিত সময় যখন উপস্থিত হবে, তখন আল্লাহ কাউকে অবকাশ দেবেন না। তোমরা যা কর, আল্লাহ সে বিষয়ে খবর রাখেন।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 555,
              "ruku": 489,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাইঁ ইউআখখিরাল্লা-হু নাফছান ইযা-জাআ আজালুহা- ওয়াল্লা-হু খাবীরুম বিমা-তা‘মালূন।",
              "words_arabic": "وَ لَنْ/وَلَن/walan//یُّؤَخِّرَ/يُؤَخِّرَ/yu-akhira//اللّٰهُ/ٱللَّهُ/al-lahu//نَفْسًا/نَفۡسًا/nafsan//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//اَجَلُهَا ؕ/أَجَلُهَاۚ/ajaluha//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//خَبِیْرٌۢ/خَبِيرُۢ/khabirun//بِمَا/بِمَا/bima//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "অথচ কক্ষনো না//অবকাশ দেন//আল্লাহ//কোন ব্যক্তিকে//যখন//আসে//তার নির্ধারিত মেয়াদ//আর আল্লাহ//সবিশেষ অবহিত//যা কিছু//তোমরা কাজ করো"
            }
          ]
        },
        {
          "number": 64,
          "name": "سُورَةُ التَّغَابُنِ",
          "englishName": "At-Taghaabun",
          "englishNameTranslation": "Mutual Disillusion",
          "revelationType": "Medinan",
          "verse": 18,
          "words": 503,
          "chars": 2182,
          "ayahs": [
            {
              "number": 5200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5200.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يُسَبِّحُ لِلَّهِ مَا فِى ٱلسَّمَٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ لَهُ ٱلْمُلْكُ وَلَهُ ٱلْحَمْدُ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলে যা কিছু আছে, সবই আল্লাহর পবিত্রতা ঘোষণা করে। রাজত্ব তাঁরই এবং প্রশংসা তাঁরই। তিনি সর্ববিষয়ে সর্বশক্তিমান।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইউছাব্বিহু লিল্লা-হি মা-ফিছ ছামা-ওয়া-তি ওয়ামা-ফিল আরদি লাহুল মুলকুওয়া লাহুল হামদু ওয়া হুওয়া ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "یُسَبِّحُ/يُسَبِّحُ/yusabbihu//لِلّٰهِ/لِلَّهِ/lillahi//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ مَا/وَمَا/wama//فِی/فِي/fi//الْاَرْضِ ۚ/ٱلۡأَرۡضِۖ/al-ardi//لَهُ/لَهُ/lahu//الْمُلْكُ/ٱلۡمُلۡكُ/al-mul'ku//وَ لَهُ/وَلَهُ/walahu//الْحَمْدُ ؗ/ٱلۡحَمۡدُۖ/al-hamdu//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٌ/qadirun",
              "words_bangla": "মহিমা ঘোষণা করে//আল্লাহ্‌র জন্যে//যা//মধ্যে//আসমানসমূহের//ও যা//মধ্যে (আছে)//পৃথিবীর//তাঁরই জন্যে//সার্বভৌমত্ব//ও তাঁর জন্যেই//সব প্রশংসা//ও তিনিই//উপর//সব//কিছুর//ক্ষমতাবান"
            },
            {
              "number": 5201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5201.mp3"
              ],
              "text": "هُوَ ٱلَّذِى خَلَقَكُمْ فَمِنكُمْ كَافِرٌۭ وَمِنكُم مُّؤْمِنٌۭ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ",
              "translate_bn": "তিনিই তোমাদেরকে সৃষ্টি করেছেন, অতঃপর তোমাদের মধ্যে কেউ কাফের এবং কেউ মুমিন। তোমরা যা কর, আল্লাহ তা দেখেন।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী খালাকাকুম ফামিনকুম কা-ফিরুওঁ ওয়া মিনকুম মু’মিনুন ওয়াল্লা-হু বিমাতা‘মালূনা বাসীর।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//فَمِنْكُمْ/فَمِنكُمۡ/faminkum//كَافِرٌ/كَافِرٞ/kafirun//وَّ مِنْكُمْ/وَمِنكُم/waminkum//مُّؤْمِنٌ ؕ/مُّؤۡمِنٞۚ/mu'minun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "তিনিই//যিনি//তোমাদের সৃষ্টি করেছেন//অতঃপর তোমাদের  মধ্যে//(কেউ) কাফির//আবার তোমাদের মধ্যে//(কেউ) মু'মিন//এবং আল্লাহ্‌//যা কিছু//তোমরা কাজ কর//সব দেখেন"
            },
            {
              "number": 5202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5202.mp3"
              ],
              "text": "خَلَقَ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ وَصَوَّرَكُمْ فَأَحْسَنَ صُوَرَكُمْ ۖ وَإِلَيْهِ ٱلْمَصِيرُ",
              "translate_bn": "তিনি নভোমন্ডল ও ভূমন্ডলকে যথাযথভাবে সৃষ্টি করেছেন এবং তোমাদেরকে আকৃতি দান করেছেন, অতঃপর সুন্দর করেছেন তোমাদের আকৃতি। তাঁরই কাছে প্রত্যাবর্তন।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "খালাকাছছামা-ওয়া-তি ওয়াল আরদা বিলহাক্কিওয়া সাওওয়ারাকুম ফাআহছানা সুওয়ারাকুম ওয়া ইলাইহিল মাসীর।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بِالْحَقِّ/بِٱلۡحَقِّ/bil-haqi//وَ صَوَّرَكُمْ/وَصَوَّرَكُمۡ/wasawwarakum//فَاَحْسَنَ/فَأَحۡسَنَ/fa-ahsana//صُوَرَكُمْ ۚ/صُوَرَكُمۡۖ/suwarakum//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "তিনি সৃষ্টি করেছেন//আকাশসমূহ//ও পৃথিবীকে//যথাযথভাবে//ও তোমাদের আকৃতি দিয়েছেন//অতঃপর অতি উত্তম  করেছেন//তোমাদের আকৃতি গুলো//এবং তাঁরই নিকট//প্রত্যাবর্তন স্থল"
            },
            {
              "number": 5203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5203.mp3"
              ],
              "text": "يَعْلَمُ مَا فِى ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَيَعْلَمُ مَا تُسِرُّونَ وَمَا تُعْلِنُونَ ۚ وَٱللَّهُ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "নভোমন্ডল ও ভূমন্ডলে যা আছে, তিনি তা জানেন। তিনি আরও জানেন তোমরা যা গোপনে কর এবং যা প্রকাশ্যে কর। আল্লাহ অন্তরের বিষয়াদি সম্পর্কে সম্যক জ্ঞাত।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামুমা-ফিছ ছামা-ওয়া-তি ওয়াল আরদিওয়া ইয়া‘লামুমা-তুছিররূনা ওয়ামাতু‘লিনূনা ওয়াল্লা-হু ‘আলীমুম বিযা-তিসসুদূ র।",
              "words_arabic": "یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَا/مَا/ma//فِی/فِي/fi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ یَعْلَمُ/وَيَعۡلَمُ/waya'lamu//مَا/مَا/ma//تُسِرُّوْنَ/تُسِرُّونَ/tusirruna//وَ مَا/وَمَا/wama//تُعْلِنُوْنَ ؕ/تُعۡلِنُونَۚ/tu'linuna//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "তিনি জানেন//যা//মধ্যে//আকাশ জগতের//ও পৃৃথিবীর//ও তিনি জানেন//যা//তোমরা গোপন//ও যা//তোমরা প্রকাশ কর//এবং আল্লাহ্‌//খুব জানেন//অবস্থা সম্পর্কে//অন্তরসমূহের"
            },
            {
              "number": 5204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5204.mp3"
              ],
              "text": "أَلَمْ يَأْتِكُمْ نَبَؤُا۟ ٱلَّذِينَ كَفَرُوا۟ مِن قَبْلُ فَذَاقُوا۟ وَبَالَ أَمْرِهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "তোমাদের পুর্বে যারা কাফের ছিল, তাদের বৃত্তান্ত কি তোমাদের কাছে পৌছেনি? তারা তাদের কর্মের শাস্তি আস্বাদন করেছে, এবং তাদের জন্যে রয়েছে যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া’তিকুম নাবাউল্লাযীনা কাফারূমিন কাবলু ফাযা-কূওয়া বা-লা আমরিহিম ওয়ালাহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَاْتِكُمْ/يَأۡتِكُمۡ/yatikum//نَبَؤُا/نَبَؤُاْ/naba-u//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِن/min//قَبْلُ ؗ/قَبۡلُ/qablu//فَذَاقُوْا/فَذَاقُواْ/fadhaqu//وَبَالَ/وَبَالَ/wabala//اَمْرِهِمْ/أَمۡرِهِمۡ/amrihim//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "নাই কি//তোমাদের কাছে আসে//খবর//যারা//কুফরি করেছিল//মধ্য হতে//ইতিপূর্বে//অতঃপর তারা স্বাদ নিয়েছে//কুফল//তাদের কাজের//এবং তাদের জন্যে//আযাব//যন্ত্রনাদায়ক"
            },
            {
              "number": 5205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5205.mp3"
              ],
              "text": "ذَٰلِكَ بِأَنَّهُۥ كَانَت تَّأْتِيهِمْ رُسُلُهُم بِٱلْبَيِّنَٰتِ فَقَالُوٓا۟ أَبَشَرٌۭ يَهْدُونَنَا فَكَفَرُوا۟ وَتَوَلَّوا۟ ۚ وَّٱسْتَغْنَى ٱللَّهُ ۚ وَٱللَّهُ غَنِىٌّ حَمِيدٌۭ",
              "translate_bn": "এটা এ কারণে যে, তাদের কাছে তাদের রসূলগণ প্রকাশ্য নিদর্শনাবলীসহ আগমন করলে তারা বলতঃ মানুষই কি আমাদেরকে পথপ্রদর্শন করবে? অতঃপর তারা কাফের হয়ে গেল এবং মুখ ফিরিয়ে নিল। এতে আল্লাহর কিছু আসে যায় না। আল্লাহ অমুখাপেক্ষী প্রশংসিত।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা বিআন্নাহূকা-নাত তা’তীহিম রুছুলুহুম বিলবাইয়িনা-তি ফাকা-লূ আবাশারুইঁ ইয়াহদূ নানা- ফাকাফারূ ওয়াতাওল্লাও ওয়াছতাগনাল্লাহু ওয়াল্লাহু গানিইয়ুন হামিদ।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//بِاَنَّهٗ/بِأَنَّهُۥ/bi-annahu//كَانَتْ/كَانَت/kanat//تَّاْتِیْهِمْ/تَّأۡتِيهِمۡ/tatihim//رُسُلُهُمْ/رُسُلُهُم/rusuluhum//بِالْبَیِّنٰتِ/بِٱلۡبَيِّنَٰتِ/bil-bayinati//فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اَبَشَرٌ/أَبَشَرٞ/abasharun//یَّهْدُوْنَنَا ؗ/يَهۡدُونَنَا/yahdunana//فَكَفَرُوْا/فَكَفَرُواْ/fakafaru//وَ تَوَلَّوْا/وَتَوَلَّواْۖ/watawallaw//وَّ اسْتَغْنَی/وَّٱسۡتَغۡنَى/wa-is'taghna//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَنِیٌّ/غَنِيٌّ/ghaniyyun//حَمِیْدٌ /حَمِيدٞ/hamidun",
              "words_bangla": "এটা//এ জন্যে যে//(ছিল)//তাদের কাছে আসতো//তাদের রাসূলগণ//স্পষ্ট নিদর্শনাদিসহ//অতঃপর তারা বলেছিল//\"মানুষই কি//আমাদেরকে পথ দেখাবে\"//এভাবে তারা কুফরি  করল//ও তারা মুখ ফিরালো//ও বেপরোয়া হলেন//আল্লাহ্‌//এবং আল্লাহ্‌//পরোয়াহীন//সুপ্রশংসিত"
            },
            {
              "number": 5206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5206.mp3"
              ],
              "text": "زَعَمَ ٱلَّذِينَ كَفَرُوٓا۟ أَن لَّن يُبْعَثُوا۟ ۚ قُلْ بَلَىٰ وَرَبِّى لَتُبْعَثُنَّ ثُمَّ لَتُنَبَّؤُنَّ بِمَا عَمِلْتُمْ ۚ وَذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌۭ",
              "translate_bn": "কাফেররা দাবী করে যে, তারা কখনও পুনরুত্থিত হবে না। বলুন, অবশ্যই হবে, আমার পালনকর্তার কসম, তোমরা নিশ্চয় পুরুত্থিত হবে। অতঃপর তোমাদেরকে অবহিত করা হবে যা তোমরা করতে। এটা আল্লাহর পক্ষে সহজ।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ঝা‘আমাল্লাযীনা কাফারূ আল্লাইঁ ইউব‘আছূ কুল বালা-ওয়া রাববী লাতুব‘আছুন্না ছু ম্মা লাতুনাব্বাউন্না বিমা-‘আমিলতুম ওয়া যা-লিকা ‘আলাল্লা-হি ইয়াছীর।",
              "words_arabic": "زَعَمَ/زَعَمَ/za'ama//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْۤا/كَفَرُوٓاْ/kafaru//اَنْ/أَن/an//لَّنْ/لَّن/lan//یُّبْعَثُوْا ؕ/يُبۡعَثُواْۚ/yub'athu//قُلْ/قُلۡ/qul//بَلٰی/بَلَىٰ/bala//وَ رَبِّیْ/وَرَبِّي/warabbi//لَتُبْعَثُنَّ/لَتُبۡعَثُنَّ/latub'athunna//ثُمَّ/ثُمَّ/thumma//لَتُنَبَّؤُنَّ/لَتُنَبَّؤُنَّ/latunabba-unna//بِمَا/بِمَا/bima//عَمِلْتُمْ ؕ/عَمِلۡتُمۡۚ/amil'tum//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//یَسِیْرٌ /يَسِيرٞ/yasirun",
              "words_bangla": "দাবী করে//যারা//কুফরি করেছে//যে//কক্ষনো না//তাদের পুনরায় উঠানো হবে//বলো//\"অবশ্যই হবে//কসম আমার রবের//অবশ্যই তোমাদের  উঠানো হবে//এরপর//অবশ্যই তোমাদের খবর দেয়া হবে//যা কিছুু//তোমরা কাজ করেছো//এবং এটা//পক্ষে//আল্লাহ্‌র//সহজ\""
            },
            {
              "number": 5207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5207.mp3"
              ],
              "text": "فَـَٔامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَٱلنُّورِ ٱلَّذِىٓ أَنزَلْنَا ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌۭ",
              "translate_bn": "অতএব তোমরা আল্লাহ তাঁর রসূল এবং অবতীর্ন নূরের প্রতি বিশ্বাস স্থাপন কর। তোমরা যা কর, সে বিষয়ে আল্লাহ সম্যক অবগত।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ফাআ-মিনূবিল্লা-হি ওয়া রাছূলিহী ওয়ান্নূরিল্লাযীআনঝালনা- ওয়াল্লা-হু বিমাতা‘মালূনা খাবীর।",
              "words_arabic": "فَاٰمِنُوْا/فَـَٔامِنُواْ/faaminu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ رَسُوْلِهٖ/وَرَسُولِهِۦ/warasulihi//وَ النُّوْرِ/وَٱلنُّورِ/wal-nuri//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْزَلْنَا ؕ/أَنزَلۡنَاۚ/anzalna//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِمَا/بِمَا/bima//تَعْمَلُوْنَ/تَعۡمَلُونَ/ta'maluna//خَبِیْرٌ /خَبِيرٞ/khabirun",
              "words_bangla": "অতএব তোমরা ঈমান আনো//আল্লাহ্‌র উপর//ও তাঁর রাসূলের//ও নূরের (কোরানের)//যা//আমরা নাযিল করেছি//এবং আল্লাহ্‌//যা কিছু//তোমরা কাজ করছ//খুব অবহিত"
            },
            {
              "number": 5208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5208.mp3"
              ],
              "text": "يَوْمَ يَجْمَعُكُمْ لِيَوْمِ ٱلْجَمْعِ ۖ ذَٰلِكَ يَوْمُ ٱلتَّغَابُنِ ۗ وَمَن يُؤْمِنۢ بِٱللَّهِ وَيَعْمَلْ صَٰلِحًۭا يُكَفِّرْ عَنْهُ سَيِّـَٔاتِهِۦ وَيُدْخِلْهُ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ",
              "translate_bn": "সেদিন অর্থাৎ, সমাবেশের দিন আল্লাহ তোমাদেরকে সমবেত করবেন। এ দিন হার-জিতের দিন। যে ব্যক্তি আল্লাহর প্রতি বিশ্বাস স্থাপন করে এবং সৎকর্ম সম্পাদন করে, আল্লাহ তার পাপসমূহ মোচন করবেন এবং তাকে জান্নাতে দাখিল করবেন। যার তলদেশে নির্ঝরিনীসমূহ প্রবাহিত হবে, তারা তথায় চিরকাল বসবাস করবে। এটাই মহাসাফল্য।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 556,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াজমা‘উকুম লিইয়াওমিল জাম‘ই যা-লিকা ইয়াওমুত্তাগা-বুন ওয়া মাইঁ ইউ’মিম বিল্লা-হি ওয়া ইয়া‘মাল সা-লিহাইঁ ইউকাফফির ‘আনহু ছাইয়িআ-তিহী ওয়া ইউদখিলহু জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহা-আবাদা- যা-লিকাল ফাওঝুল ‘আজীম।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَجْمَعُكُمْ/يَجۡمَعُكُمۡ/yajma'ukum//لِیَوْمِ/لِيَوۡمِ/liyawmi//الْجَمْعِ/ٱلۡجَمۡعِۖ/al-jam'i//ذٰلِكَ/ذَٰلِكَ/dhalika//یَوْمُ/يَوۡمُ/yawmu//التَّغَابُنِ ؕ/ٱلتَّغَابُنِۗ/al-taghabuni//وَ مَنْ/وَمَن/waman//یُّؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ یَعْمَلْ/وَيَعۡمَلۡ/waya'mal//صَالِحًا/صَٰلِحٗا/salihan//یُّكَفِّرْ/يُكَفِّرۡ/yukaffir//عَنْهُ/عَنۡهُ/anhu//سَیِّاٰتِهٖ/سَيِّـَٔاتِهِۦ/sayyiatihi//وَ یُدْخِلْهُ/وَيُدۡخِلۡهُ/wayud'khil'hu//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۚ/abadan//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْعَظِیْمُ /ٱلۡعَظِيمُ/al-'azimu",
              "words_bangla": "যেদিন//তোমাদের একত্রিত করবেন//দিনের জন্যে//সমাবেশের//সেই//দিন//হার-জিতের//এবং যে//ঈমান আনে//আল্লাহ্‌র উপর//ও কাজ করে//নেক//মোচন করবেন//তার থেকে//তার গুনাহগুলো//এবং তাকে প্রবেশ করাবেন//জান্নাতে//প্রবাহিত হয়//হতে//তার পাদদেশ//ঝর্ণাধারাগুলো//বসবাসকারী স্থায়ী//তার মধ্যে//চিরকাল//এটা//সাফল্য//বড়"
            },
            {
              "number": 5209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5209.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَٰتِنَآ أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلنَّارِ خَٰلِدِينَ فِيهَا ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "আর যারা কাফের এবং আমার আয়াতসমূহকে মিথ্যা বলে, তারাই জাহান্নামের অধিবাসী, তারা তথায় অনন্তকাল থাকবে। কতই না মন্দ প্রত্যাবর্তনস্থল এটা।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 490,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূওয়া কাযযাবূবিআ-য়া-তিনা উলাইকা আসহা-বুন্না-রি খা-লিদীনা ফীহা- ওয়া বি’ছাল মাসীর।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَاۤ/بِـَٔايَٰتِنَآ/biayatina//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//النَّارِ/ٱلنَّارِ/al-nari//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَاۖ/fiha//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ۠/ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং যারা//কুফরি করেছে//ও মিথ্যারোপ করেছে//আমাদের আয়াত গুলোকে//ঐসব লোক//অধিবাসী//দোজখের//বসবাসকারী স্থায়ী//তার মধ্যে//এবং কত নিকৃষ্ট//প্রত্যাবর্তন স্থল"
            },
            {
              "number": 5210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5210.mp3"
              ],
              "text": "مَآ أَصَابَ مِن مُّصِيبَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۗ وَمَن يُؤْمِنۢ بِٱللَّهِ يَهْدِ قَلْبَهُۥ ۚ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۭ",
              "translate_bn": "আল্লাহর নির্দেশ ব্যতিরেকে কোন বিপদ আসে না এবং যে আল্লাহর প্রতি বিশ্বাস করে, তিনি তার অন্তরকে সৎপথ প্রদর্শন করেন। আল্লাহ সর্ববিষয়ে সম্যক পরিজ্ঞাত।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "মাআসা-বা মিমমুসীবাতিন ইল্লা-বিইযনিল্লা -হি ওয়া মাইঁ ইউ’মিম বিল্লা-হি ইয়াহদি কালবাহূ ওয়াল্লা-হু বিকুল্লি শাইয়িন ‘আলীম।",
              "words_arabic": "مَاۤ/مَآ/ma//اَصَابَ/أَصَابَ/asaba//مِنْ/مِن/min//مُّصِیْبَةٍ/مُّصِيبَةٍ/musibatin//اِلَّا/إِلَّا/illa//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//اللّٰهِ ؕ/ٱللَّهِۗ/al-lahi//وَ مَنْ/وَمَن/waman//یُّؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//یَهْدِ/يَهۡدِ/yahdi//قَلْبَهٗ ؕ/قَلۡبَهُۥۚ/qalbahu//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عَلِیْمٌ /عَلِيمٞ/alimun",
              "words_bangla": "না//আপতিত হয়//কোন//মুসিবত//ব্যতিরেকে//অনুমতি//আল্লাহ্‌র//এবং যে//ঈমান আনে//আল্লাহ্‌র উপরে//হেদায়াত দেন তিনি//তার অন্তরকে//এবং আল্লাহ্‌//সব//কিছু (সম্পর্কে)//খুব অবগত"
            },
            {
              "number": 5211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5211.mp3"
              ],
              "text": "وَأَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ ۚ فَإِن تَوَلَّيْتُمْ فَإِنَّمَا عَلَىٰ رَسُولِنَا ٱلْبَلَٰغُ ٱلْمُبِينُ",
              "translate_bn": "তোমরা আল্লাহর আনুগত্য কর এবং রসূলুল্লাহর আনুগত্য কর। যদি তোমরা মুখ ফিরিয়ে নাও, তবে আমার রসূলের দায়িত্ব কেবল খোলাখুলি পৌছে দেয়া।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ওয়া আতী‘উল্লা-হা ওয়া আতী‘উর রাছূলা ফাইন তাওয়াল্লাইতুম ফাইন্নামা-‘আলারাছূলিনাল বালা-গুল মুবীন।",
              "words_arabic": "وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//اللّٰهَ/ٱللَّهَ/al-laha//وَ اَطِیْعُوا/وَأَطِيعُواْ/wa-ati'u//الرَّسُوْلَ ۚ/ٱلرَّسُولَۚ/al-rasula//فَاِنْ/فَإِن/fa-in//تَوَلَّیْتُمْ/تَوَلَّيۡتُمۡ/tawallaytum//فَاِنَّمَا/فَإِنَّمَا/fa-innama//عَلٰی/عَلَىٰ/ala//رَسُوْلِنَا/رَسُولِنَا/rasulina//الْبَلٰغُ/ٱلۡبَلَٰغُ/al-balaghu//الْمُبِیْنُ /ٱلۡمُبِينُ/al-mubinu",
              "words_bangla": "এবং তোমরা আনুগত্য কর//আল্লাহ্‌র//ও আনুগত্য কর//রাসূলের//অতঃপর যদি//তোমরা ফিরে যাও//তবে মূলতঃ//উপর//আমাদের রাসূলের//পৌঁছান (দায়িত্ব)//সুস্পষ্টভাবে"
            },
            {
              "number": 5212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5212.mp3"
              ],
              "text": "ٱللَّهُ لَآ إِلَٰهَ إِلَّا هُوَ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ",
              "translate_bn": "আল্লাহ তিনি ব্যতীত কোন মাবুদ নেই। অতএব মুমিনগণ আল্লাহর উপর ভরসা করুক।",
              "numberInSurah": 13,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হু লা ইলা-হা ইল্লা-হুওয়া ওয়া ‘আলাল্লা-হি ফালইয়াতাওয়াক্কালিল মু’মিনূন।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//وَ عَلَی/وَعَلَى/wa'ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَلْیَتَوَكَّلِ/فَلۡيَتَوَكَّلِ/falyatawakkali//الْمُؤْمِنُوْنَ /ٱلۡمُؤۡمِنُونَ/al-mu'minuna",
              "words_bangla": "আল্লাহ্‌//নেই//ইলাহ//ছাড়া//তিনি//এবং উপর//আল্লাহ্‌র//সুতরাং ভরসা করুক//মু'মিনগণ"
            },
            {
              "number": 5213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5213.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ مِنْ أَزْوَٰجِكُمْ وَأَوْلَٰدِكُمْ عَدُوًّۭا لَّكُمْ فَٱحْذَرُوهُمْ ۚ وَإِن تَعْفُوا۟ وَتَصْفَحُوا۟ وَتَغْفِرُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌ",
              "translate_bn": "হে মুমিনগণ, তোমাদের কোন কোন স্ত্রী ও সন্তান-সন্ততি তোমাদের দুশমন। অতএব তাদের ব্যাপারে সতর্ক থাক। যদি মার্জনা কর, উপেক্ষা কর, এবং ক্ষমা কর, তবে আল্লাহ ক্ষমাশীল, করুনাময়।",
              "numberInSurah": 14,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূ ইন্না মিন আঝওয়া-জিকুম ওয়া আওলা-দিকুম ‘আদুওওয়াল লাকুম ফাহযারূহুম ওয়া ইন তা‘ফূওয়া তাসফাহূওয়া তাগফিরূফাইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِنَّ/إِنَّ/inna//مِنْ/مِنۡ/min//اَزْوَاجِكُمْ/أَزۡوَٰجِكُمۡ/azwajikum//وَ اَوْلَادِكُمْ/وَأَوۡلَٰدِكُمۡ/wa-awladikum//عَدُوًّا/عَدُوّٗا/aduwwan//لَّكُمْ/لَّكُمۡ/lakum//فَاحْذَرُوْهُمْ ۚ/فَٱحۡذَرُوهُمۡۚ/fa-ih'dharuhum//وَ اِنْ/وَإِن/wa-in//تَعْفُوْا/تَعۡفُواْ/ta'fu//وَ تَصْفَحُوْا/وَتَصۡفَحُواْ/watasfahu//وَ تَغْفِرُوْا/وَتَغۡفِرُواْ/wataghfiru//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٌ/rahimun",
              "words_bangla": "ওহে//যারা//ঈমান এনেছো//নিশ্চয়//মধ্যে//তোমাদের স্ত্রীদের//ও তোমাদের সন্তান সন্ততিদের (কেউ কেউ)//শত্রু//তোমাদের জন্যে//অতএব তাদের থেকে সতর্ক হও//এবং যদি//তোমরা মার্জনা কর//ও তোমরা উপেক্ষা কর//এবং তোমরা মাফ কর//তবে নিশ্চয়//আল্লাহ্‌//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 5214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5214.mp3"
              ],
              "text": "إِنَّمَآ أَمْوَٰلُكُمْ وَأَوْلَٰدُكُمْ فِتْنَةٌۭ ۚ وَٱللَّهُ عِندَهُۥٓ أَجْرٌ عَظِيمٌۭ",
              "translate_bn": "তোমাদের ধন-সম্পদ ও সন্তান-সন্ততি তো কেবল পরীক্ষাস্বরূপ। আর আল্লাহর কাছে রয়েছে মহাপুরস্কার।",
              "numberInSurah": 15,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা আমওয়া-লুকুম ওয়া আওলা-দুকুম ফিতনাতুওঁ ওয়াল্লা-হু ‘ইনদাহূ আজরুন ‘আজীম।",
              "words_arabic": "اِنَّمَاۤ/إِنَّمَآ/innama//اَمْوَالُكُمْ/أَمۡوَٰلُكُمۡ/amwalukum//وَ اَوْلَادُكُمْ/وَأَوۡلَٰدُكُمۡ/wa-awladukum//فِتْنَةٌ ؕ/فِتۡنَةٞۚ/fit'natun//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عِنْدَهٗۤ/عِندَهُۥٓ/indahu//اَجْرٌ/أَجۡرٌ/ajrun//عَظِیْمٌ /عَظِيمٞ/azimun",
              "words_bangla": "মূলতঃ//তোমাদের মালগুলো//ও তোমাদের সন্তান সন্ততিরা//পরীক্ষা//এবং আল্লাহ্‌//তাঁর কাছে (আছে)//প্রতিফল//বড়"
            },
            {
              "number": 5215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5215.mp3"
              ],
              "text": "فَٱتَّقُوا۟ ٱللَّهَ مَا ٱسْتَطَعْتُمْ وَٱسْمَعُوا۟ وَأَطِيعُوا۟ وَأَنفِقُوا۟ خَيْرًۭا لِّأَنفُسِكُمْ ۗ وَمَن يُوقَ شُحَّ نَفْسِهِۦ فَأُو۟لَٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ",
              "translate_bn": "অতএব তোমরা যথাসাধ্য আল্লাহকে ভয় কর, শুন, আনুগত্য কর এবং ব্যয় কর। এটা তোমাদের জন্যে কল্যাণকর। যারা মনের কার্পন্য থেকে মুক্ত, তারাই সফলকাম।",
              "numberInSurah": 16,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ফাত্তাকুল্লা-হা মাছতাতা‘তুম ওয়াছমা‘উ ওয়া আতী‘ঊ ওয়া আনফিকূখাইরাল লিআনফুছিকুম ওয়া মাইঁ ইঊকা শুহহা নাফছিহী ফাউলাইকা হুমুল মুফলিহূন।\r\n",
              "words_arabic": "فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//مَا/مَا/ma//اسْتَطَعْتُمْ/ٱسۡتَطَعۡتُمۡ/is'tata'tum//وَ اسْمَعُوْا/وَٱسۡمَعُواْ/wa-is'ma'u//وَ اَطِیْعُوْا/وَأَطِيعُواْ/wa-ati'u//وَ اَنْفِقُوْا/وَأَنفِقُواْ/wa-anfiqu//خَیْرًا/خَيۡرٗا/khayran//لِّاَنْفُسِكُمْ ؕ/لِّأَنفُسِكُمۡۗ/li-anfusikum//وَ مَنْ/وَمَن/waman//یُّوْقَ/يُوقَ/yuqa//شُحَّ/شُحَّ/shuhha//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْمُفْلِحُوْنَ /ٱلۡمُفۡلِحُونَ/al-muf'lihuna",
              "words_bangla": "অতএব তোমরা ভয় করো//আল্লাহকে//যতটা//তোমরা পারো//ও তোমরা শুনো//ও তোমরা আনুগত্য করো//তোমরা খরচ করো//উত্তম//তোমাদের নিজেদের জন্যে//এবং যে//রক্ষা পেল//সংকীর্ণতা (থেকে)//তার মনের//তবে ঐসব লোক//তারাই//সফলকাম"
            },
            {
              "number": 5216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5216.mp3"
              ],
              "text": "إِن تُقْرِضُوا۟ ٱللَّهَ قَرْضًا حَسَنًۭا يُضَٰعِفْهُ لَكُمْ وَيَغْفِرْ لَكُمْ ۚ وَٱللَّهُ شَكُورٌ حَلِيمٌ",
              "translate_bn": "যদি তোমরা আল্লাহকে উত্তম ঋণ দান কর, তিনি তোমাদের জন্যে তা দ্বিগুণ করে দেবেন এবং তোমাদেরকে ক্ষমা করবেন। আল্লাহ গুণগ্রাহী, সহনশীল।",
              "numberInSurah": 17,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "ইন তুকরিদুল্লা-হা কারদান হাছানাইঁ ইউদা-‘ইফহু লাকুম ওয়া ইয়াগফিরলাকুম ওয়াল্লা-হু শাকূরুন হালীম।",
              "words_arabic": "اِنْ/إِن/in//تُقْرِضُوا/تُقۡرِضُواْ/tuq'ridu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا/حَسَنٗا/hasanan//یُّضٰعِفْهُ/يُضَٰعِفۡهُ/yuda'if'hu//لَكُمْ/لَكُمۡ/lakum//وَ یَغْفِرْ/وَيَغۡفِرۡ/wayaghfir//لَكُمْ ؕ/لَكُمۡۚ/lakum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//شَكُوْرٌ/شَكُورٌ/shakurun//حَلِیْمٌۙ/حَلِيمٌ/halimun",
              "words_bangla": "যদি//তোমরা কর্জ দাও//আল্লাহকে//কর্জ//উত্তম//তা বহু গুণ করবেন//তোমাদের জন্যে//ও মাফ করবেন//তোমাদেরকে//এবং আল্লাহ্‌//গুণগ্রাহী//ধৈর্যশীল"
            },
            {
              "number": 5217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5217.mp3"
              ],
              "text": "عَٰلِمُ ٱلْغَيْبِ وَٱلشَّهَٰدَةِ ٱلْعَزِيزُ ٱلْحَكِيمُ",
              "translate_bn": "তিনি দৃশ্য ও অদৃশ্যের জ্ঞানী, পরাক্রান্ত, প্রজ্ঞাময়।",
              "numberInSurah": 18,
              "juz": 28,
              "manzil": 7,
              "page": 557,
              "ruku": 491,
              "hizbQuarter": 222,
              "sajda": false,
              "pronunciation_bn": "‘আ-লিমুল গাইবি ওয়াশশাহা-দাতিল ‘আঝীঝুল হাকীম।",
              "words_arabic": "عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//وَ الشَّهَادَةِ/وَٱلشَّهَٰدَةِ/wal-shahadati//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْحَكِیْمُ۠/ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "পরিজ্ঞাতা//অদৃশ্যের//ও দৃশ্যের//মহাপরাক্রমশালী//প্রজ্ঞাময়"
            }
          ]
        },
        {
          "number": 65,
          "name": "سُورَةُ الطَّلَاقِ",
          "englishName": "At-Talaaq",
          "englishNameTranslation": "Divorce",
          "revelationType": "Medinan",
          "verse": 12,
          "words": 562,
          "chars": 2511,
          "ayahs": [
            {
              "number": 5218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5218.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلنَّبِىُّ إِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَطَلِّقُوهُنَّ لِعِدَّتِهِنَّ وَأَحْصُوا۟ ٱلْعِدَّةَ ۖ وَٱتَّقُوا۟ ٱللَّهَ رَبَّكُمْ ۖ لَا تُخْرِجُوهُنَّ مِنۢ بُيُوتِهِنَّ وَلَا يَخْرُجْنَ إِلَّآ أَن يَأْتِينَ بِفَٰحِشَةٍۢ مُّبَيِّنَةٍۢ ۚ وَتِلْكَ حُدُودُ ٱللَّهِ ۚ وَمَن يَتَعَدَّ حُدُودَ ٱللَّهِ فَقَدْ ظَلَمَ نَفْسَهُۥ ۚ لَا تَدْرِى لَعَلَّ ٱللَّهَ يُحْدِثُ بَعْدَ ذَٰلِكَ أَمْرًۭا",
              "translate_bn": "হে নবী, তোমরা যখন স্ত্রীদেরকে তালাক দিতে চাও, তখন তাদেরকে তালাক দিয়ো ইদ্দতের প্রতি লক্ষ্য রেখে এবং ইদ্দত গণনা করো। তোমরা তোমাদের পালনকর্তা আল্লাহকে ভয় করো। তাদেরকে তাদের গৃহ থেকে বহিস্কার করো না এবং তারাও যেন বের না হয় যদি না তারা কোন সুস্পষ্ট নির্লজ্জ কাজে লিপ্ত হয়। এগুলো আল্লাহর নির্ধারিত সীমা। যে ব্যক্তি আল্লাহর সীমালংঘন করে, সে নিজেরই অনিষ্ট করে। সে জানে না, হয়তো আল্লাহ এই তালাকের পর কোন নতুন উপায় করে দেবেন।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 558,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুইযা-তাল্লাকতুমুন্নিছাআ ফাতালিলকূহুন্না লি‘ইদ্দাতিহিন্না ওয়া আহসুল ‘ইদ্দাতা ওয়াত্তাকুল্লা-হা রাব্বাকুম লা-তুখরিজুহুন্না মিম বুয়ূতিহিন্না ওয়ালাইয়াখরুজনা ইল্লাআইঁ ইয়া’তীনা বিফা-হিশাতিম মুবাইয়িনাতিওঁ ওয়া তিলকা হুদূদুল্লাহি ওয়া মাইঁ ইয়াতা‘আদ্দা হুদূদাল্লা-হি ফাকাদ জালামা নাফছাহূ লা-তাদরী লা‘আল্লাল্লা-হা ইউহদিছু বা‘দা যা-লিকা আমরা-।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اِذَا/إِذَا/idha//طَلَّقْتُمُ/طَلَّقۡتُمُ/tallaqtumu//النِّسَآءَ/ٱلنِّسَآءَ/al-nisaa//فَطَلِّقُوْهُنَّ/فَطَلِّقُوهُنَّ/fatalliquhunna//لِعِدَّتِهِنَّ/لِعِدَّتِهِنَّ/li'iddatihinna//وَ اَحْصُوا/وَأَحۡصُواْ/wa-ahsu//الْعِدَّةَ ۚ/ٱلۡعِدَّةَۖ/al-'idata//وَ اتَّقُوا/وَٱتَّقُواْ/wa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//رَبَّكُمْ ۚ/رَبَّكُمۡۖ/rabbakum//لَا/لَا/la//تُخْرِجُوْهُنَّ/تُخۡرِجُوهُنَّ/tukh'rijuhunna//مِنْۢ/مِنۢ/min//بُیُوْتِهِنَّ/بُيُوتِهِنَّ/buyutihinna//وَ لَا/وَلَا/wala//یَخْرُجْنَ/يَخۡرُجۡنَ/yakhruj'na//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّاْتِیْنَ/يَأۡتِينَ/yatina//بِفَاحِشَةٍ/بِفَٰحِشَةٖ/bifahishatin//مُّبَیِّنَةٍ ؕ/مُّبَيِّنَةٖۚ/mubayyinatin//وَ تِلْكَ/وَتِلۡكَ/watil'ka//حُدُوْدُ/حُدُودُ/hududu//اللّٰهِ ؕ/ٱللَّهِۚ/al-lahi//وَ مَنْ/وَمَن/waman//یَّتَعَدَّ/يَتَعَدَّ/yata'adda//حُدُوْدَ/حُدُودَ/hududa//اللّٰهِ/ٱللَّهِ/al-lahi//فَقَدْ/فَقَدۡ/faqad//ظَلَمَ/ظَلَمَ/zalama//نَفْسَهٗ ؕ/نَفۡسَهُۥۚ/nafsahu//لَا/لَا/la//تَدْرِیْ/تَدۡرِي/tadri//لَعَلَّ/لَعَلَّ/la'alla//اللّٰهَ/ٱللَّهَ/al-laha//یُحْدِثُ/يُحۡدِثُ/yuh'dithu//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//اَمْرًا /أَمۡرٗا/amran",
              "words_bangla": "হে//নবী//যখন//তোমরা তালাক দাও//স্ত্রীদের//অতঃপর তাদের তোমরা তালাক দাও//তাদের ইদ্দতের জন্য//ও তোমরা গণনা কর//ইদ্দত//এবং তোমরা ভয় কর//আল্লাহকে//তোমাদের রব//না//তাদের তোমরা বের করো//থেকে//তাদের ঘরগুলো//এবং না//তারা বের হবে//তবে//যদি//তারা লিপ্ত হয়//অশ্লীলতায়//সুস্পষ্ট (অন্য কথা)//ও এসব//সীমাসমূহ//আল্লাহর//এবং যে//লংঘন করে//সীমানাসমূহ//আল্লাহর//নিশ্চয় অতঃপর//যুলম করে//তার নিজের (উপর)//না//তুমি জান//সম্ভবতঃ//আল্লাহ//সৃষ্টি করবেন//পর//এর//(কোন) অবস্থা"
            },
            {
              "number": 5219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5219.mp3"
              ],
              "text": "فَإِذَا بَلَغْنَ أَجَلَهُنَّ فَأَمْسِكُوهُنَّ بِمَعْرُوفٍ أَوْ فَارِقُوهُنَّ بِمَعْرُوفٍۢ وَأَشْهِدُوا۟ ذَوَىْ عَدْلٍۢ مِّنكُمْ وَأَقِيمُوا۟ ٱلشَّهَٰدَةَ لِلَّهِ ۚ ذَٰلِكُمْ يُوعَظُ بِهِۦ مَن كَانَ يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْءَاخِرِ ۚ وَمَن يَتَّقِ ٱللَّهَ يَجْعَل لَّهُۥ مَخْرَجًۭا",
              "translate_bn": "অতঃপর তারা যখন তাদের ইদ্দতকালে পৌঁছে, তখন তাদেরকে যথোপযুক্ত পন্থায় রেখে দেবে অথবা যথোপযুক্ত পন্থায় ছেড়ে দেবে এবং তোমাদের মধ্য থেকে দু’জন নির্ভরযোগ্য লোককে সাক্ষী রাখবে। তোমরা আল্লাহর উদ্দেশ্যে সাক্ষ্য দিবে। এতদ্দ্বারা যে ব্যক্তি আল্লাহ ও পরকালে বিশ্বাস করে, তাকে উপদেশ দেয়া হচ্ছে। আর যে আল্লাহকে ভয় করে, আল্লাহ তার জন্যে নিস্কৃতির পথ করে দেবেন।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 558,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-বালাগনা আজালাহুন্না ফাআমছিকূহুন্না বিমা‘রূফিন আও ফা-রিকূহুন্না বিমা‘রূফিওঁ ওয়া আশহিদূযাওয়াই ‘আদলিম মিনকুম ওয়া আকীমুশশাহা-দাতা লিল্লা-হি যা-লিকুম ইঊ‘আজুবিহী মান কা-না ইউ’মিনুবিল্লা-হি ওয়াল ইয়াওমিল আ-খিরি ওয়া মাইঁ ইয়াত্তাকিল্লা-হা ইয়াজ‘আল্লাহূমাখরাজা-।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//بَلَغْنَ/بَلَغۡنَ/balaghna//اَجَلَهُنَّ/أَجَلَهُنَّ/ajalahunna//فَاَمْسِكُوْهُنَّ/فَأَمۡسِكُوهُنَّ/fa-amsikuhunna//بِمَعْرُوْفٍ/بِمَعۡرُوفٍ/bima'rufin//اَوْ/أَوۡ/aw//فَارِقُوْهُنَّ/فَارِقُوهُنَّ/fariquhunna//بِمَعْرُوْفٍ/بِمَعۡرُوفٖ/bima'rufin//وَّ اَشْهِدُوْا/وَأَشۡهِدُواْ/wa-ashhidu//ذَوَیْ/ذَوَيۡ/dhaway//عَدْلٍ/عَدۡلٖ/adlin//مِّنْكُمْ/مِّنكُمۡ/minkum//وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الشَّهَادَةَ/ٱلشَّهَٰدَةَ/al-shahadata//لِلّٰهِ ؕ/لِلَّهِۚ/lillahi//ذٰلِكُمْ/ذَٰلِكُمۡ/dhalikum//یُوْعَظُ/يُوعَظُ/yu'azu//بِهٖ/بِهِۦ/bihi//مَنْ/مَن/man//كَانَ/كَانَ/kana//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْاٰخِرِ ؕ۬/ٱلۡأٓخِرِۚ/al-akhiri//وَ مَنْ/وَمَن/waman//یَّتَّقِ/يَتَّقِ/yattaqi//اللّٰهَ/ٱللَّهَ/al-laha//یَجْعَلْ/يَجۡعَل/yaj'al//لَّهٗ/لَّهُۥ/lahu//مَخْرَجًاۙ/مَخۡرَجٗا/makhrajan",
              "words_bangla": "যখন অতঃপর//তারা পৌঁছে//তাদের সময়কালে//তাদের রাখতে তখন তোমরা//যথাবিধি//বা//তাদের তোমরা পৃথক করবে//যথাবিধি//ও তোমরা সাক্ষী রাখ//আছে//ন্যায়পরায়ণ দু'জন//তোমাদের মধ্য থেকে//ও তোমরা সঠিক দিও//সাক্ষী//আল্লাহর জন্যে//এসব//নসিহত করা হচ্ছে//এ দিয়ে//যে//ছিল//বিশ্বাস করে//আল্লাহর উপর//ও দিনের//শেষ//এবং যে//ভয় করে//আল্লাহকে//তিনি করে দেন//তার জন্যে//নিস্কৃতির পথ"
            },
            {
              "number": 5220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5220.mp3"
              ],
              "text": "وَيَرْزُقْهُ مِنْ حَيْثُ لَا يَحْتَسِبُ ۚ وَمَن يَتَوَكَّلْ عَلَى ٱللَّهِ فَهُوَ حَسْبُهُۥٓ ۚ إِنَّ ٱللَّهَ بَٰلِغُ أَمْرِهِۦ ۚ قَدْ جَعَلَ ٱللَّهُ لِكُلِّ شَىْءٍۢ قَدْرًۭا",
              "translate_bn": "এবং তাকে তার ধারণাতীত জায়গা থেকে রিযিক দেবেন। যে ব্যক্তি আল্লাহর উপর ভরসা করে তার জন্যে তিনিই যথেষ্ট। আল্লাহ তার কাজ পূর্ণ করবেন। আল্লাহ সবকিছুর জন্যে একটি পরিমাণ স্থির করে রেখেছেন।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 558,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ারঝুকহু মিন হাইছুলা-ইয়াহতাছিবু ওয়া মাইঁ ইয়াতাওয়াক্কাল ‘আলাল্লা-হি ফাহুওয়া হাছবুহূ ইন্নাল্লা-হা বা-লিগু আমরিহী কাদ জা‘আলাল্লা-হু লিকুল্লি শাইয়িন কাদরা-।",
              "words_arabic": "وَّ یَرْزُقْهُ/وَيَرۡزُقۡهُ/wayarzuq'hu//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَحْتَسِبُ ؕ/يَحۡتَسِبُۚ/yahtasibu//وَ مَنْ/وَمَن/waman//یَّتَوَكَّلْ/يَتَوَكَّلۡ/yatawakkal//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//فَهُوَ/فَهُوَ/fahuwa//حَسْبُهٗ ؕ/حَسۡبُهُۥٓۚ/hasbuhu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//بَالِغُ/بَٰلِغُ/balighu//اَمْرِهٖ ؕ/أَمۡرِهِۦۚ/amrihi//قَدْ/قَدۡ/qad//جَعَلَ/جَعَلَ/ja'ala//اللّٰهُ/ٱللَّهُ/al-lahu//لِكُلِّ/لِكُلِّ/likulli//شَیْءٍ/شَيۡءٖ/shayin//قَدْرًا /قَدۡرٗا/qadran",
              "words_bangla": "ও তাকে রিজিক দেন//থেকে//যেখান//না//সে ধারণাও করে//এবং যে//ভরসা করে//উপর//আল্লাহর//সে অতঃপর//তার জন্যে যথেষ্ট//নিশ্চয়//আল্লাহ//অর্জনকারী//তার কাজ//নিশ্চয়//বানিয়েছেন//আল্লাহ//সব জন্যে//কিছুর//নির্দিষ্ট মাত্রা"
            },
            {
              "number": 5221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5221.mp3"
              ],
              "text": "وَٱلَّٰٓـِٔى يَئِسْنَ مِنَ ٱلْمَحِيضِ مِن نِّسَآئِكُمْ إِنِ ٱرْتَبْتُمْ فَعِدَّتُهُنَّ ثَلَٰثَةُ أَشْهُرٍۢ وَٱلَّٰٓـِٔى لَمْ يَحِضْنَ ۚ وَأُو۟لَٰتُ ٱلْأَحْمَالِ أَجَلُهُنَّ أَن يَضَعْنَ حَمْلَهُنَّ ۚ وَمَن يَتَّقِ ٱللَّهَ يَجْعَل لَّهُۥ مِنْ أَمْرِهِۦ يُسْرًۭا",
              "translate_bn": "তোমাদের স্ত্রীদের মধ্যে যাদের ঋতুবর্তী হওয়ার আশা নেই, তাদের ব্যাপারে সন্দেহ হলে তাদের ইদ্দত হবে তিন মাস। আর যারা এখনও ঋতুর বয়সে পৌঁছেনি, তাদেরও অনুরূপ ইদ্দতকাল হবে। গর্ভবর্তী নারীদের ইদ্দতকাল সন্তানপ্রসব পর্যন্ত। যে আল্লাহকে ভয় করে, আল্লাহ তার কাজ সহজ করে দেন।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 558,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাঈইয়াইছনা মিনাল মাহীদিমিন্নিছাইকুম ইনিরতাবতুম ফা‘ইদ্দাতুহুন্না ছালাছাতুআশহুরিওঁ ওয়াল্লায়ী লাম ইয়াহিদনা ওয়া উলা-তুল আহমা-লি আজালুহুন্না আইঁ ইয়াদা‘না হামলাহুন্না ওয়া মাইঁ ইয়াত্তাকিল্লা-হা ইয়াজ‘আল লাহূমিন আমরিহী ইউছরা-",
              "words_arabic": "وَ الّٰٓـِٔیْ/وَٱلَّـٰٓـِٔي/wa-allai//یَىِٕسْنَ/يَئِسۡنَ/ya-is'na//مِنَ/مِنَ/mina//الْمَحِیْضِ/ٱلۡمَحِيضِ/al-mahidi//مِنْ/مِن/min//نِّسَآىِٕكُمْ/نِّسَآئِكُمۡ/nisaikum//اِنِ/إِنِ/ini//ارْتَبْتُمْ/ٱرۡتَبۡتُمۡ/ir'tabtum//فَعِدَّتُهُنَّ/فَعِدَّتُهُنَّ/fa'iddatuhunna//ثَلٰثَةُ/ثَلَٰثَةُ/thalathatu//اَشْهُرٍ ۙ/أَشۡهُرٖ/ashhurin//وَّ الّٰٓـِٔیْ/وَٱلَّـٰٓـِٔي/wa-allai//لَمْ/لَمۡ/lam//یَحِضْنَ ؕ/يَحِضۡنَۚ/yahid'na//وَ اُولَاتُ/وَأُوْلَٰتُ/wa-ulatu//الْاَحْمَالِ/ٱلۡأَحۡمَالِ/al-ahmali//اَجَلُهُنَّ/أَجَلُهُنَّ/ajaluhunna//اَنْ/أَن/an//یَّضَعْنَ/يَضَعۡنَ/yada'na//حَمْلَهُنَّ ؕ/حَمۡلَهُنَّۚ/hamlahunna//وَ مَنْ/وَمَن/waman//یَّتَّقِ/يَتَّقِ/yattaqi//اللّٰهَ/ٱللَّهَ/al-laha//یَجْعَلْ/يَجۡعَل/yaj'al//لَّهٗ/لَّهُۥ/lahu//مِنْ/مِنۡ/min//اَمْرِهٖ/أَمۡرِهِۦ/amrihi//یُسْرًا /يُسۡرٗا/yus'ran",
              "words_bangla": "এবং যারা//নিরাশ হয়েছে//হতে//হায়েয//মধ্য হতে//তোমাদের স্ত্রীদের//যদি//তোমরা সন্দেহ কর//তাদের ইদ্দত তবে//তিন//মাস//এবং (তাদের জন্যও) যাদের//নাই//হায়েজ হয়//এবং যারা//এবং গর্ভবতীদের//তাদের সময়কাল//পর্যন্ত//প্রসব করা//তাদের গর্ভ//এবং যে//ভয় করে//আল্লাহকে//করেছেন//তার জন্যে//মধ্য হতে//তার কাজ//সহজ"
            },
            {
              "number": 5222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5222.mp3"
              ],
              "text": "ذَٰلِكَ أَمْرُ ٱللَّهِ أَنزَلَهُۥٓ إِلَيْكُمْ ۚ وَمَن يَتَّقِ ٱللَّهَ يُكَفِّرْ عَنْهُ سَيِّـَٔاتِهِۦ وَيُعْظِمْ لَهُۥٓ أَجْرًا",
              "translate_bn": "এটা আল্লাহর নির্দেশ, যা তিনি তোমাদের প্রতি নাযিল করেছেন। যে আল্লাহকে ভয় করে, আল্লাহ তার পাপ মোচন করেন এবং তাকে মহাপুরস্কার দেন।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 558,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "যা-লিকা আমরুল্লা-হি আনঝালাহূইলাইকুম ওয়া মাইঁ ইয়াত্তাকিল্লা-হা ইউকাফফির ‘আনহু ছাইয়িআ-তিহী ওয়া ইউ‘জিম লাহূআজরা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//اَمْرُ/أَمۡرُ/amru//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْزَلَهٗۤ/أَنزَلَهُۥٓ/anzalahu//اِلَیْكُمْ ؕ/إِلَيۡكُمۡۚ/ilaykum//وَ مَنْ/وَمَن/waman//یَّتَّقِ/يَتَّقِ/yattaqi//اللّٰهَ/ٱللَّهَ/al-laha//یُكَفِّرْ/يُكَفِّرۡ/yukaffir//عَنْهُ/عَنۡهُ/anhu//سَیِّاٰتِهٖ/سَيِّـَٔاتِهِۦ/sayyiatihi//وَ یُعْظِمْ/وَيُعۡظِمۡ/wayu'zim//لَهٗۤ/لَهُۥٓ/lahu//اَجْرًا /أَجۡرًا/ajran",
              "words_bangla": "এটা//বিধান//আল্লাহর//তা নাযিল করেছেন//তোমাদের প্রতি//এবং যে//ভয় করে//আল্লাহকে//মোচন করবেন//তার থেকে//তার পাপসমূহ//ও মহান করবেন//তার জন্যে//পুরস্কার"
            },
            {
              "number": 5223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5223.mp3"
              ],
              "text": "أَسْكِنُوهُنَّ مِنْ حَيْثُ سَكَنتُم مِّن وُجْدِكُمْ وَلَا تُضَآرُّوهُنَّ لِتُضَيِّقُوا۟ عَلَيْهِنَّ ۚ وَإِن كُنَّ أُو۟لَٰتِ حَمْلٍۢ فَأَنفِقُوا۟ عَلَيْهِنَّ حَتَّىٰ يَضَعْنَ حَمْلَهُنَّ ۚ فَإِنْ أَرْضَعْنَ لَكُمْ فَـَٔاتُوهُنَّ أُجُورَهُنَّ ۖ وَأْتَمِرُوا۟ بَيْنَكُم بِمَعْرُوفٍۢ ۖ وَإِن تَعَاسَرْتُمْ فَسَتُرْضِعُ لَهُۥٓ أُخْرَىٰ",
              "translate_bn": "তোমরা তোমাদের সামর্থ?2437;নুযায়ী যেরূপ গৃহে বাস কর, তাদেরকেও বসবাসের জন্যে সেরূপ গৃহ দাও। তাদেরকে কষ্ট দিয়ে সংকটাপন্ন করো না। যদি তারা গর্ভবতী হয়, তবে সন্তানপ্রসব পর্যন্ত তাদের ব্যয়ভার বহন করবে। যদি তারা তোমাদের সন্তানদেরকে স্তন্যদান করে, তবে তাদেরকে প্রাপ্য পারিশ্রমিক দেবে এবং এ সম্পর্কে পরস্পর সংযতভাবে পরামর্শ করবে। তোমরা যদি পরস্পর জেদ কর, তবে অন্য নারী স্তন্যদান করবে।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "আছকিনূহুন্না মিন হাইছুছাকানতুম মিওঁউজদিকুম ওয়ালা-তুদাররূহুন্না লিতুদাইয়িকূ ‘আলাইহিন্না ওয়া ইন কুন্না ঊলা-তি হামলিন ফাআনফিকূ‘আলাইহিন্না হাত্তা-ইয়াদা‘না হামলাহুন্না ফাইন আরদা‘না লাকুম ফাআ-তূহুন্না উজূরাহুন্না ওয়া’তামিরূবাইনাকুম বিমা‘রূফিও ওয়া ইন তা‘আ-ছারতুম ফাছাতুরদি‘উ লাহূউখরা-।",
              "words_arabic": "اَسْكِنُوْهُنَّ/أَسۡكِنُوهُنَّ/askinuhunna//مِنْ/مِنۡ/min//حَیْثُ/حَيۡثُ/haythu//سَكَنْتُمْ/سَكَنتُم/sakantum//مِّنْ/مِّن/min//وُّجْدِكُمْ/وُجۡدِكُمۡ/wuj'dikum//وَ لَا/وَلَا/wala//تُضَآرُّوْهُنَّ/تُضَآرُّوهُنَّ/tudarruhunna//لِتُضَیِّقُوْا/لِتُضَيِّقُواْ/litudayyiqu//عَلَیْهِنَّ ؕ/عَلَيۡهِنَّۚ/alayhinna//وَ اِنْ/وَإِن/wa-in//كُنَّ/كُنَّ/kunna//اُولَاتِ/أُوْلَٰتِ/ulati//حَمْلٍ/حَمۡلٖ/hamlin//فَاَنْفِقُوْا/فَأَنفِقُواْ/fa-anfiqu//عَلَیْهِنَّ/عَلَيۡهِنَّ/alayhinna//حَتّٰی/حَتَّىٰ/hatta//یَضَعْنَ/يَضَعۡنَ/yada'na//حَمْلَهُنَّ ۚ/حَمۡلَهُنَّۚ/hamlahunna//فَاِنْ/فَإِنۡ/fa-in//اَرْضَعْنَ/أَرۡضَعۡنَ/arda'na//لَكُمْ/لَكُمۡ/lakum//فَاٰتُوْهُنَّ/فَـَٔاتُوهُنَّ/faatuhunna//اُجُوْرَهُنَّ ۚ/أُجُورَهُنَّ/ujurahunna//وَ اْتَمِرُوْا/وَأۡتَمِرُواْ/watamiru//بَیْنَكُمْ/بَيۡنَكُم/baynakum//بِمَعْرُوْفٍ ۚ/بِمَعۡرُوفٖۖ/bima'rufin//وَ اِنْ/وَإِن/wa-in//تَعَاسَرْتُمْ/تَعَاسَرۡتُمۡ/ta'asartum//فَسَتُرْضِعُ/فَسَتُرۡضِعُ/fasatur'di'u//لَهٗۤ/لَهُۥٓ/lahu//اُخْرٰیؕ/أُخۡرَىٰ/ukh'ra",
              "words_bangla": "তাদের বাস করতে দাও//মধ্য হতে//যেখানে//তোমরা বাস কর//থেকে//তোমাদের সামর্থ//এবং না//তাদের তোমরা কষ্ট দিও//সঙ্কটে ফেলবার জন্যে//তাদেরকে//এবং যদি//তারা হয়//যারা//গর্ভবতী//তোমরা খরচ তবে কর//তাদের উপর//যতক্ষণ না//প্রসব করে//তাদের গর্ভ//যদি অতঃপর//তারা দুধপান করায়//তোমাদের (বাচ্চাদের)কে//তাদের দাও তবে তোমরা//তাদের পারিশ্রমিকাদি//ও তোমরা পরামর্শ কর//তোমাদের মাঝে//সংগতভাবে//এবং যদি//তোমরা পরস্পরে কঠোরতা কর//স্তন্য দিবে তবে//তার জন্যে্যে//অন্য (নারী)"
            },
            {
              "number": 5224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5224.mp3"
              ],
              "text": "لِيُنفِقْ ذُو سَعَةٍۢ مِّن سَعَتِهِۦ ۖ وَمَن قُدِرَ عَلَيْهِ رِزْقُهُۥ فَلْيُنفِقْ مِمَّآ ءَاتَىٰهُ ٱللَّهُ ۚ لَا يُكَلِّفُ ٱللَّهُ نَفْسًا إِلَّا مَآ ءَاتَىٰهَا ۚ سَيَجْعَلُ ٱللَّهُ بَعْدَ عُسْرٍۢ يُسْرًۭا",
              "translate_bn": "বিত্তশালী ব্যক্তি তার বিত্ত অনুযায়ী ব্যয় করবে। যে ব্যক্তি সীমিত পরিমাণে রিযিকপ্রাপ্ত, সে আল্লাহ যা দিয়েছেন, তা থেকে ব্যয় করবে। আল্লাহ যাকে যা দিয়েছেন, তদপেক্ষা বেশী ব্যয় করার আদেশ কাউকে করেন না। আল্লাহ কষ্টের পর সুখ দেবেন।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 492,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "লিইয়ুনফিকযূছা‘আতিম মিন ছা‘আতিহী ওয়া মান কুদিরা ‘আলাইহি রিঝকুহূ ফালইউনফিকমিম্মাআ-তা-হুল্লা-হু লা-ইউকালিলফুল্লা-হু নাফছান ইল্লা-মাআ-তাহা- ছাইয়াজ‘আলুল্লা-হু বা‘দা ‘উছরিইঁ ইউছরা-।",
              "words_arabic": "لِیُنْفِقْ/لِيُنفِقۡ/liyunfiq//ذُوْ/ذُو/dhu//سَعَةٍ/سَعَةٖ/sa'atin//مِّنْ/مِّن/min//سَعَتِهٖ ؕ/سَعَتِهِۦۖ/sa'atihi//وَ مَنْ/وَمَن/waman//قُدِرَ/قُدِرَ/qudira//عَلَیْهِ/عَلَيۡهِ/alayhi//رِزْقُهٗ/رِزۡقُهُۥ/riz'quhu//فَلْیُنْفِقْ/فَلۡيُنفِقۡ/falyunfiq//مِمَّاۤ/مِمَّآ/mimma//اٰتٰىهُ/ءَاتَىٰهُ/atahu//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//لَا/لَا/la//یُكَلِّفُ/يُكَلِّفُ/yukallifu//اللّٰهُ/ٱللَّهُ/al-lahu//نَفْسًا/نَفۡسًا/nafsan//اِلَّا/إِلَّا/illa//مَاۤ/مَآ/ma//اٰتٰىهَا ؕ/ءَاتَىٰهَاۚ/ataha//سَیَجْعَلُ/سَيَجۡعَلُ/sayaj'alu//اللّٰهُ/ٱللَّهُ/al-lahu//بَعْدَ/بَعۡدَ/ba'da//عُسْرٍ/عُسۡرٖ/us'rin//یُّسْرًا۠/يُسۡرٗا/yus'ran",
              "words_bangla": "খরচ যেন করে//আছে//সচ্ছল ব্যক্তি//অনুযায়ী//তার সচ্ছলতা//এবং যার//সীমিত করা হয়েছে//তার উপর//তার রিযক//সে খরচ অতঃপর করবে//যা (তা) থেকে//তাকে দিয়েছেন//আল্লাহ//না//কষ্ট দেন//আল্লাহ//কোন ব্যক্তিকে//এছাড়া//যা//তাকে দিয়েছেন//দিবেন শীঘ্রই//আল্লাহ//পর//কষ্টের//স্বস্তি"
            },
            {
              "number": 5225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5225.mp3"
              ],
              "text": "وَكَأَيِّن مِّن قَرْيَةٍ عَتَتْ عَنْ أَمْرِ رَبِّهَا وَرُسُلِهِۦ فَحَاسَبْنَٰهَا حِسَابًۭا شَدِيدًۭا وَعَذَّبْنَٰهَا عَذَابًۭا نُّكْرًۭا",
              "translate_bn": "অনেক জনপদ তাদের পালনকর্তা ও তাঁর রসূলগণের আদেশ অমান্য করেছিল, অতঃপর আমি তাদেরকে কঠোর হিসাবে ধৃত করেছিলাম এবং তাদেরকে ভীষণ শাস্তি দিয়েছিলাম।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 493,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাআইয়িম মিন কারয়াতিন ‘আতাত ‘আন আমরি রাব্বিহা-ওয়া রুছুলিহী ফাহা-ছাব নাহা-হিছা-বান শাদীদাওঁ ওয়া ‘আযযাবনা-হা-‘আযা-বান নুকরা-।",
              "words_arabic": "وَ كَاَیِّنْ/وَكَأَيِّن/waka-ayyin//مِّنْ/مِّن/min//قَرْیَةٍ/قَرۡيَةٍ/qaryatin//عَتَتْ/عَتَتۡ/atat//عَنْ/عَنۡ/an//اَمْرِ/أَمۡرِ/amri//رَبِّهَا/رَبِّهَا/rabbiha//وَ رُسُلِهٖ/وَرُسُلِهِۦ/warusulihi//فَحَاسَبْنٰهَا/فَحَاسَبۡنَٰهَا/fahasabnaha//حِسَابًا/حِسَابٗا/hisaban//شَدِیْدًا ۙ/شَدِيدٗا/shadidan//وَّ عَذَّبْنٰهَا/وَعَذَّبۡنَٰهَا/wa'adhabnaha//عَذَابًا/عَذَابٗا/adhaban//نُّكْرًا /نُّكۡرٗا/nuk'ran",
              "words_bangla": "এবং কত//থেকে//জনপদ//অমান্য করেছিল//বিপক্ষে//নির্দেশ//তার রবের//ও তাঁর রসূলদের//তার আমরা হিসাব অতঃপর নিয়েছি//হিসাব//কঠোর//ও তার আমরা শাস্তি দিয়েছি//শাস্তি//ভীষণ"
            },
            {
              "number": 5226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5226.mp3"
              ],
              "text": "فَذَاقَتْ وَبَالَ أَمْرِهَا وَكَانَ عَٰقِبَةُ أَمْرِهَا خُسْرًا",
              "translate_bn": "অতঃপর তাদের কর্মের শাস্তি আস্বাদন করল এবং তাদের কর্মের পরিণাম ক্ষতিই ছিল।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 493,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "ফাযা-কাত ওয়া বা-লা আমরিহা-ওয়া কা-না ‘আ-কিবাতুআমরিহা-খুছরা-।",
              "words_arabic": "فَذَاقَتْ/فَذَاقَتۡ/fadhaqat//وَبَالَ/وَبَالَ/wabala//اَمْرِهَا/أَمۡرِهَا/amriha//وَ كَانَ/وَكَانَ/wakana//عَاقِبَةُ/عَٰقِبَةُ/aqibatu//اَمْرِهَا/أَمۡرِهَا/amriha//خُسْرًا /خُسۡرًا/khus'ran",
              "words_bangla": "স্বাদ নিয়েছে অতঃপর//কুফলের//তার কাজের//এবং হল//পরিণাম//তার কাজের//ক্ষতি"
            },
            {
              "number": 5227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5227.mp3"
              ],
              "text": "أَعَدَّ ٱللَّهُ لَهُمْ عَذَابًۭا شَدِيدًۭا ۖ فَٱتَّقُوا۟ ٱللَّهَ يَٰٓأُو۟لِى ٱلْأَلْبَٰبِ ٱلَّذِينَ ءَامَنُوا۟ ۚ قَدْ أَنزَلَ ٱللَّهُ إِلَيْكُمْ ذِكْرًۭا",
              "translate_bn": "আল্লাহ তাদের জন্যে যন্ত্রণাদায়ক শাস্তি প্রস্তত রেখেছেন অতএব, হে বুদ্ধিমানগণ, যারা ঈমান এনেছ, তোমরা আল্লাহকে ভয় কর। আল্লাহ তোমাদের প্রতি উপদেশ নাযিল করেছেন।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 493,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "আ‘আদ্দাল্লা-হু লাহুম ‘আযা-বান শাদীদান ফাত্তাকুল্লা-হা ইয়াউলিল আলবা-বিল্লাযীনা আ-মানূ কাদ আনঝালাল্লা-হু ইলাইকুম যিকরা-।",
              "words_arabic": "اَعَدَّ/أَعَدَّ/a'adda//اللّٰهُ/ٱللَّهُ/al-lahu//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابٗا/adhaban//شَدِیْدًا ۙ/شَدِيدٗاۖ/shadidan//فَاتَّقُوا/فَٱتَّقُواْ/fa-ittaqu//اللّٰهَ/ٱللَّهَ/al-laha//یٰۤاُولِی/يَـٰٓأُوْلِي/yauli//الْاَلْبَابِ ۛۖۚ۬/ٱلۡأَلۡبَٰبِ/al-albabi//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا ۛ۫ؕ/ءَامَنُواْۚ/amanu//قَدْ/قَدۡ/qad//اَنْزَلَ/أَنزَلَ/anzala//اللّٰهُ/ٱللَّهُ/al-lahu//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//ذِكْرًاۙ/ذِكۡرٗا/dhik'ran",
              "words_bangla": "প্রস্তুত রেখেছেন//আল্লাহ//তাদের জন্যে//আযাব//কঠিন//অতএব তোমরা ভয় কর//আল্লাহকে//হে//বোধসম্পন্নরা//যারা//ঈমান এনেছে//নিশ্চয়//অবতীর্ণ করেছেন//আল্লাহ//তোমাদের প্রতি//উপদেশ"
            },
            {
              "number": 5228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5228.mp3"
              ],
              "text": "رَّسُولًۭا يَتْلُوا۟ عَلَيْكُمْ ءَايَٰتِ ٱللَّهِ مُبَيِّنَٰتٍۢ لِّيُخْرِجَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ مِنَ ٱلظُّلُمَٰتِ إِلَى ٱلنُّورِ ۚ وَمَن يُؤْمِنۢ بِٱللَّهِ وَيَعْمَلْ صَٰلِحًۭا يُدْخِلْهُ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۖ قَدْ أَحْسَنَ ٱللَّهُ لَهُۥ رِزْقًا",
              "translate_bn": "একজন রসূল, যিনি তোমাদের কাছে আল্লাহর সুস্পষ্ট আয়াতসমূহ পাঠ করেন, যাতে বিশ্বাসী ও সৎকর্মপরায়ণদের অন্ধকার থেকে আলোতে আনয়ন করেন। যে আল্লাহর প্রতি বিশ্বাস স্থাপন করে ও সৎকর্ম সম্পাদন করে, তিনি তাকে দাখিল করবেন জান্নাতে, যার তলদেশে নদী প্রবাহিত, তথায় তারা চিরকাল থাকবে। আল্লাহ তাকে উত্তম রিযিক দেবেন।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 493,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "রাছূলাইঁ ইয়াতলূ‘আলাইকুম আ-য়া-তিল্লা-হি মুবাইয়িনা-তিল লিইউখরিজাল্লাযী না আ-মানূ ওয়া ‘আমিলুসসা-লিহা-তি মিনাজ্জুলুমা-তি ইলান্নূরি ওয়া মাইঁ ইউ’মিম বিল্লা-হি ওয়া ইয়া‘মাল সা-লিহাইঁ ইউদখিলহু জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহাআবাদা- কাদ আহছানাল্লা-হু লাহূরিঝকা-।",
              "words_arabic": "رَّسُوْلًا/رَّسُولٗا/rasulan//یَّتْلُوْا/يَتۡلُواْ/yatlu//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//اٰیٰتِ/ءَايَٰتِ/ayati//اللّٰهِ/ٱللَّهِ/al-lahi//مُبَیِّنٰتٍ/مُبَيِّنَٰتٖ/mubayyinatin//لِّیُخْرِجَ/لِّيُخۡرِجَ/liyukh'rija//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//مِنَ/مِنَ/mina//الظُّلُمٰتِ/ٱلظُّلُمَٰتِ/al-zulumati//اِلَی/إِلَى/ila//النُّوْرِ ؕ/ٱلنُّورِۚ/al-nuri//وَ مَنْ/وَمَن/waman//یُّؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//وَ یَعْمَلْ/وَيَعۡمَلۡ/waya'mal//صَالِحًا/صَٰلِحٗا/salihan//یُّدْخِلْهُ/يُدۡخِلۡهُ/yud'khil'hu//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۖ/abadan//قَدْ/قَدۡ/qad//اَحْسَنَ/أَحۡسَنَ/ahsana//اللّٰهُ/ٱللَّهُ/al-lahu//لَهٗ/لَهُۥ/lahu//رِزْقًا /رِزۡقًا/riz'qan",
              "words_bangla": "রসূল//পাঠ করেন//তোমাদের নিকট//আয়াতগুলো//আল্লাহর//সুস্পষ্ট//বের করার জন্যে//(তাদের) যারা//ঈমান এনেছে//ও কাজ করেছে//নেকীসমূহ//থেকে//অন্ধকারাদি//দিকে//আলোর//এবং যে//ঈমান আনবে//আল্লাহর উপর//ও কাজ করবে//নেক//তাকে প্রবেশ করাবেন তিনি//জান্নাতে//প্রবাহিত হয়//থেকে//তারা পাদদেশ//ঝর্ণাধারাসমূহ//বসবাসকারী স্থায়ীভাবে//তার মধ্যে//চিরকাল//নিশ্চয়//অতি উত্তম করেছেন//আল্লাহ//তার জন্যে//রিযক"
            },
            {
              "number": 5229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5229.mp3"
              ],
              "text": "ٱللَّهُ ٱلَّذِى خَلَقَ سَبْعَ سَمَٰوَٰتٍۢ وَمِنَ ٱلْأَرْضِ مِثْلَهُنَّ يَتَنَزَّلُ ٱلْأَمْرُ بَيْنَهُنَّ لِتَعْلَمُوٓا۟ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ وَأَنَّ ٱللَّهَ قَدْ أَحَاطَ بِكُلِّ شَىْءٍ عِلْمًۢا",
              "translate_bn": "আল্লাহ সপ্তাকাশ সৃষ্টি করেছেন এবং পৃথিবীও সেই পরিমাণে, এসবের মধ্যে তাঁর আদেশ অবতীর্ণ হয়, যাতে তোমরা জানতে পার যে, আল্লাহ সর্বশক্তিমান এবং সবকিছু তাঁর গোচরীভূত।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 559,
              "ruku": 493,
              "hizbQuarter": 223,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুল্লাযী খালাকা ছাব‘আ ছামা-ওয়া-তিওঁ ওয়া মিনাল আরদিমিছলাহুন্না ইয়াতানাঝঝালুল আমরু বাইনাহুন্না লিতা‘লামূআন্নাল্লা-হা ‘আলা-কুল্লি শাইয়িন কাদীরুওঁ ওয়া আন্নাল্লা-হা কাদ আহা-তা বিকুল্লি শাইয়িন ‘ইল মা-।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//سَبْعَ/سَبۡعَ/sab'a//سَمٰوٰتٍ/سَمَٰوَٰتٖ/samawatin//وَّ مِنَ/وَمِنَ/wamina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِثْلَهُنَّ ؕ/مِثۡلَهُنَّۖ/mith'lahunna//یَتَنَزَّلُ/يَتَنَزَّلُ/yatanazzalu//الْاَمْرُ/ٱلۡأَمۡرُ/al-amru//بَیْنَهُنَّ/بَيۡنَهُنَّ/baynahunna//لِتَعْلَمُوْۤا/لِتَعۡلَمُوٓاْ/lita'lamu//اَنَّ/أَنَّ/anna//اللّٰهَ/ٱللَّهَ/al-laha//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ ۙ۬/قَدِيرٞ/qadirun//وَّ اَنَّ/وَأَنَّ/wa-anna//اللّٰهَ/ٱللَّهَ/al-laha//قَدْ/قَدۡ/qad//اَحَاطَ/أَحَاطَ/ahata//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍ/شَيۡءٍ/shayin//عِلْمًا۠/عِلۡمَۢا/il'man",
              "words_bangla": "আল্লাহ//(তিনিই) যিনি//সৃষ্টি করেছেন//সাত//আসমান//ও পর্যায় হতে//পৃথিবীর//তাদের অনুরূপ//নাযিল হয়//নির্দেশ//তাদের মাঝে//তোমরা জান যেন//যে//আল্লাহ//উপর//সব//কিছুর//ক্ষমতাবান//ও বাস্তবিকই//আল্লাহ//নিশ্চয়//পরিবেষ্টন করে রেখেছেন//সব//কিছুকে//জ্ঞানে"
            }
          ]
        },
        {
          "number": 66,
          "name": "سُورَةُ التَّحۡرِيمِ",
          "englishName": "At-Tahrim",
          "englishNameTranslation": "The Prohibition",
          "revelationType": "Medinan",
          "verse": 12,
          "words": 478,
          "chars": 2115,
          "ayahs": [
            {
              "number": 5230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5230.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلنَّبِىُّ لِمَ تُحَرِّمُ مَآ أَحَلَّ ٱللَّهُ لَكَ ۖ تَبْتَغِى مَرْضَاتَ أَزْوَٰجِكَ ۚ وَٱللَّهُ غَفُورٌۭ رَّحِيمٌۭ",
              "translate_bn": "হে নবী, আল্লাহ আপনার জন্যে যা হালাল করছেন, আপনি আপনার স্ত্রীদেরকে খুশী করার জন্যে তা নিজের জন্যে হারাম করেছেন কেন? আল্লাহ ক্ষমাশীল, দয়াময়।",
              "numberInSurah": 1,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুলিমা তুহাররিমুমাআহাল্লাল্লা-হু লাকা তাবতাগী মারদা-তা আঝওয়া-জিকা ওয়াল্লা-হু গাফূরুর রাহীম।\r\n",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//لِمَ/لِمَ/lima//تُحَرِّمُ/تُحَرِّمُ/tuharrimu//مَاۤ/مَآ/ma//اَحَلَّ/أَحَلَّ/ahalla//اللّٰهُ/ٱللَّهُ/al-lahu//لَكَ ۚ/لَكَۖ/laka//تَبْتَغِیْ/تَبۡتَغِي/tabtaghi//مَرْضَاتَ/مَرۡضَاتَ/mardata//اَزْوَاجِكَ ؕ/أَزۡوَٰجِكَۚ/azwajika//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ /رَّحِيمٞ/rahimun",
              "words_bangla": "হে//নবী//কেন//হারাম কর তুমি//যা//হালাল করেছেন//আল্লাহ//তোমার জন্যে//তুমি চাও (কি)//সন্তুষ্টি//তোমার স্ত্রীদের//এবং আল্লাহ//ক্ষমাশীল//মেহেরবান"
            },
            {
              "number": 5231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5231.mp3"
              ],
              "text": "قَدْ فَرَضَ ٱللَّهُ لَكُمْ تَحِلَّةَ أَيْمَٰنِكُمْ ۚ وَٱللَّهُ مَوْلَىٰكُمْ ۖ وَهُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ",
              "translate_bn": "আল্লাহ তোমাদের জন্যে কসম থেকে অব্যহতি লাভের উপায় নির্ধারণ করে দিয়েছেন। আল্লাহ তোমাদের মালিক। তিনি সর্বজ্ঞ, প্রজ্ঞাময়।",
              "numberInSurah": 2,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "কাদ ফারাদাল্লা-হু লাকুম তাহিল্লাতা আইমা-নিকুম ওয়াল্লা-হু মাওলা-কুম ওয়া হুওয়াল ‘আলীমুল হাকীম।",
              "words_arabic": "قَدْ/قَدۡ/qad//فَرَضَ/فَرَضَ/farada//اللّٰهُ/ٱللَّهُ/al-lahu//لَكُمْ/لَكُمۡ/lakum//تَحِلَّةَ/تَحِلَّةَ/tahillata//اَیْمَانِكُمْ ۚ/أَيۡمَٰنِكُمۡۚ/aymanikum//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//مَوْلٰىكُمْ ۚ/مَوۡلَىٰكُمۡۖ/mawlakum//وَ هُوَ/وَهُوَ/wahuwa//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْحَكِیْمُ /ٱلۡحَكِيمُ/al-hakimu",
              "words_bangla": "নিশ্চয়//নির্দিষ্ট করেছেন//আল্লাহ//তোমাদের জন্যে//মুক্তির ব্যবস্থা//তোমাদের শপথগুলোর//এবং আল্লাহ//তোমাদের মনিব//এবং তিনিই//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 5232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5232.mp3"
              ],
              "text": "وَإِذْ أَسَرَّ ٱلنَّبِىُّ إِلَىٰ بَعْضِ أَزْوَٰجِهِۦ حَدِيثًۭا فَلَمَّا نَبَّأَتْ بِهِۦ وَأَظْهَرَهُ ٱللَّهُ عَلَيْهِ عَرَّفَ بَعْضَهُۥ وَأَعْرَضَ عَنۢ بَعْضٍۢ ۖ فَلَمَّا نَبَّأَهَا بِهِۦ قَالَتْ مَنْ أَنۢبَأَكَ هَٰذَا ۖ قَالَ نَبَّأَنِىَ ٱلْعَلِيمُ ٱلْخَبِيرُ",
              "translate_bn": "যখন নবী তাঁর একজন স্ত্রীর কাছে একটি কথা গোপনে বললেন, অতঃপর স্ত্রী যখন তা বলে দিল এবং আল্লাহ নবীকে তা জানিয়ে দিলেন, তখন নবী সে বিষয়ে স্ত্রীকে কিছু বললেন এবং কিছু বললেন না। নবী যখন তা স্ত্রীকে বললেন, তখন স্ত্রী বললেনঃ কে আপনাকে এ সম্পর্কে অবহিত করল? নবী বললেন,ঃ যিনি সর্বজ্ঞ, ওয়াকিফহাল, তিনি আমাকে অবহিত করেছেন।",
              "numberInSurah": 3,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযআছাররান্নাবিইয়ুইলা-বা‘দিআঝওয়া-জিহী হাদীছান ফালাম্মা-নাব্বাআত বিহী ওয়া আজহারাহুল্লা-হু আলাইহি ‘আররাফা বা‘দাহূওয়াআ‘রাদা ‘আম বা‘দিন ফালাম্মা-নাব্বাআহা-বিহী কা-লাত মান আম্বাআকা হা-যা- কা-লা নাব্বাআনিয়াল ‘আলীমুল খাবীর।",
              "words_arabic": "وَ اِذْ/وَإِذۡ/wa-idh//اَسَرَّ/أَسَرَّ/asarra//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//اِلٰی/إِلَىٰ/ila//بَعْضِ/بَعۡضِ/ba'di//اَزْوَاجِهٖ/أَزۡوَٰجِهِۦ/azwajihi//حَدِیْثًا ۚ/حَدِيثٗا/hadithan//فَلَمَّا/فَلَمَّا/falamma//نَبَّاَتْ/نَبَّأَتۡ/nabba-at//بِهٖ/بِهِۦ/bihi//وَ اَظْهَرَهُ/وَأَظۡهَرَهُ/wa-azharahu//اللّٰهُ/ٱللَّهُ/al-lahu//عَلَیْهِ/عَلَيۡهِ/alayhi//عَرَّفَ/عَرَّفَ/arrafa//بَعْضَهٗ/بَعۡضَهُۥ/ba'dahu//وَ اَعْرَضَ/وَأَعۡرَضَ/wa-a'rada//عَنْۢ/عَنۢ/an//بَعْضٍ ۚ/بَعۡضٖۖ/ba'din//فَلَمَّا/فَلَمَّا/falamma//نَبَّاَهَا/نَبَّأَهَا/nabba-aha//بِهٖ/بِهِۦ/bihi//قَالَتْ/قَالَتۡ/qalat//مَنْ/مَنۡ/man//اَنْۢبَاَكَ/أَنۢبَأَكَ/anba-aka//هٰذَا ؕ/هَٰذَاۖ/hadha//قَالَ/قَالَ/qala//نَبَّاَنِیَ/نَبَّأَنِيَ/nabba-aniya//الْعَلِیْمُ/ٱلۡعَلِيمُ/al-'alimu//الْخَبِیْرُ /ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "এবং যখন//গোপনে বলেছিল//নবী//নিকট//কারও//তার স্ত্রীদের//একটি কথা//যখন অতঃপর//সে বলে দেয় (অন্য স্ত্রীকে)//তা সম্পর্কে//ও তা প্রকাশ করলেন//আল্লাহ//তার নিকট//(নবী) ব্যক্ত করল//তার কিছুটা//ও এড়িয়ে গেল//(যে)//কিছু//যখন অতঃপর//তাকে জানাল//সে সম্পর্কে//সে বলল (স্ত্রী)//\"কে//আপনাকে খবর দিল//এটা\"//বলল (নবী)//\"আমাকে খবর দিয়েছেন//সর্বজ্ঞ//ওয়াকিবহাল\""
            },
            {
              "number": 5233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5233.mp3"
              ],
              "text": "إِن تَتُوبَآ إِلَى ٱللَّهِ فَقَدْ صَغَتْ قُلُوبُكُمَا ۖ وَإِن تَظَٰهَرَا عَلَيْهِ فَإِنَّ ٱللَّهَ هُوَ مَوْلَىٰهُ وَجِبْرِيلُ وَصَٰلِحُ ٱلْمُؤْمِنِينَ ۖ وَٱلْمَلَٰٓئِكَةُ بَعْدَ ذَٰلِكَ ظَهِيرٌ",
              "translate_bn": "তোমাদের অন্তর অন্যায়ের দিকে ঝুঁকে পড়েছে বলে যদি তোমরা উভয়ে তওবা কর, তবে ভাল কথা। আর যদি নবীর বিরুদ্ধে একে অপরকে সাহায্য কর, তবে জেনে রেখ আল্লাহ জিবরাঈল এবং সৎকর্মপরায়ণ মুমিনগণ তাঁর সহায়। উপরন্তুত ফেরেশতাগণও তাঁর সাহায্যকারী।",
              "numberInSurah": 4,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইন তাতূবাইলাল্লা-হি ফাকাদ সাগাত কুলূবুকুমা- ওয়া ইন তাজা-হারা-‘আলাইহি ফাইন্নাল্লা-হা হুওয়া মাওলা-হু ওয়া জিবরীলুওয়া সা-লিহুল মু’মিনীনা ওয়াল মালাইকাতুবা‘দা যা-লিকা জাহীর।",
              "words_arabic": "اِنْ/إِن/in//تَتُوْبَاۤ/تَتُوبَآ/tatuba//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//فَقَدْ/فَقَدۡ/faqad//صَغَتْ/صَغَتۡ/saghat//قُلُوْبُكُمَا ۚ/قُلُوبُكُمَاۖ/qulubukuma//وَ اِنْ/وَإِن/wa-in//تَظٰهَرَا/تَظَٰهَرَا/tazahara//عَلَیْهِ/عَلَيۡهِ/alayhi//فَاِنَّ/فَإِنَّ/fa-inna//اللّٰهَ/ٱللَّهَ/al-laha//هُوَ/هُوَ/huwa//مَوْلٰىهُ/مَوۡلَىٰهُ/mawlahu//وَ جِبْرِیْلُ/وَجِبۡرِيلُ/wajib'rilu//وَ صَالِحُ/وَصَٰلِحُ/wasalihu//الْمُؤْمِنِیْنَ ۚ/ٱلۡمُؤۡمِنِينَۖ/al-mu'minina//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//ظَهِیْرٌ /ظَهِيرٌ/zahirun",
              "words_bangla": "যদি//তোমরা দুজনে তওবা কর//নিকট//আল্লাহর//নিশ্চয় কেননা//ঝুঁকেছিল//তোমাদের দু'জনের অন্তর//এবং যদি//তোমরা দু'জনে পরস্পরকে সাহায্য কর//তার বিরুদ্ধে//নিশ্চয় তবে//আল্লাহ//তিনিই//তার মনিব//ও জিবরাঈল//ও নেককার//মু'মিনরা//ও ফেরেশতারা//পরে//উপরন্তু//সাহায্যকারী"
            },
            {
              "number": 5234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5234.mp3"
              ],
              "text": "عَسَىٰ رَبُّهُۥٓ إِن طَلَّقَكُنَّ أَن يُبْدِلَهُۥٓ أَزْوَٰجًا خَيْرًۭا مِّنكُنَّ مُسْلِمَٰتٍۢ مُّؤْمِنَٰتٍۢ قَٰنِتَٰتٍۢ تَٰٓئِبَٰتٍ عَٰبِدَٰتٍۢ سَٰٓئِحَٰتٍۢ ثَيِّبَٰتٍۢ وَأَبْكَارًۭا",
              "translate_bn": "যদি নবী তোমাদের সকলকে পরিত্যাগ করেন, তবে সম্ভবতঃ তাঁর পালনকর্তা তাঁকে পরিবর্তে দিবেন তোমাদের চাইতে উত্তম স্ত্রী, যারা হবে আজ্ঞাবহ, ঈমানদার, নামাযী তওবাকারিণী, এবাদতকারিণী, রোযাদার, অকুমারী ও কুমারী।",
              "numberInSurah": 5,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "‘আছা-রাব্বুহইন তাল্লাকাকুন্না আইঁ ইউবদিলাহূ আঝওয়া-জান খাইরাম মিনকুন্না মুছলিমাতিম মু’মিনা-তিন কা-নিতা-তিন তাইবা-তিন ‘আ-বিদা-তিন ছাইহা-তিন ছাইয়িবাতিওঁ ওয়া আবকা-রা-।",
              "words_arabic": "عَسٰی/عَسَىٰ/asa//رَبُّهٗۤ/رَبُّهُۥٓ/rabbuhu//اِنْ/إِن/in//طَلَّقَكُنَّ/طَلَّقَكُنَّ/tallaqakunna//اَنْ/أَن/an//یُّبْدِلَهٗۤ/يُبۡدِلَهُۥٓ/yub'dilahu//اَزْوَاجًا/أَزۡوَٰجًا/azwajan//خَیْرًا/خَيۡرٗا/khayran//مِّنْكُنَّ/مِّنكُنَّ/minkunna//مُسْلِمٰتٍ/مُسۡلِمَٰتٖ/mus'limatin//مُّؤْمِنٰتٍ/مُّؤۡمِنَٰتٖ/mu'minatin//قٰنِتٰتٍ/قَٰنِتَٰتٖ/qanitatin//تٰٓىِٕبٰتٍ/تَـٰٓئِبَٰتٍ/taibatin//عٰبِدٰتٍ/عَٰبِدَٰتٖ/abidatin//سٰٓىِٕحٰتٍ/سَـٰٓئِحَٰتٖ/saihatin//ثَیِّبٰتٍ/ثَيِّبَٰتٖ/thayyibatin//وَّ اَبْكَارًا /وَأَبۡكَارٗا/wa-abkaran",
              "words_bangla": "সম্ভবতঃ//তার রব//যদি//তোমাদের তালাক দেয় (নবী)//যে//তাকে বদলে দেবেন//(এমন সব) স্ত্রী//উত্তম//(যারা) তোমাদের চেয়ে//আত্নসমর্পণকারিণী//মুমিনা//আনুগত্যশীলা//তওবাকারিনী//ইবাদতকারিণী//রোজাদার//অকুমারী//ও কুমারী"
            },
            {
              "number": 5235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5235.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ قُوٓا۟ أَنفُسَكُمْ وَأَهْلِيكُمْ نَارًۭا وَقُودُهَا ٱلنَّاسُ وَٱلْحِجَارَةُ عَلَيْهَا مَلَٰٓئِكَةٌ غِلَاظٌۭ شِدَادٌۭ لَّا يَعْصُونَ ٱللَّهَ مَآ أَمَرَهُمْ وَيَفْعَلُونَ مَا يُؤْمَرُونَ",
              "translate_bn": "মুমিনগণ, তোমরা নিজেদেরকে এবং তোমাদের পরিবার-পরিজনকে সেই অগ্নি থেকে রক্ষা কর, যার ইন্ধন হবে মানুষ ও প্রস্তর, যাতে নিয়োজিত আছে পাষাণ হৃদয়, কঠোরস্বভাব ফেরেশতাগণ। তারা আল্লাহ তা’আলা যা আদেশ করেন, তা অমান্য করে না এবং যা করতে আদেশ করা হয়, তাই করে।",
              "numberInSurah": 6,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূকূআনফুছাকুমওয়াআহলীকুমনা-রাওঁ ওয়াকূ দুহান্না-ছু ওয়াল হিজা-রাতু‘আলাইহা-মালাইকাতুনগিলা-জু নশিদা-দুল লা-ইয়া‘সূনাল্লা-হা মা আমারাহুম ওয়া ইয়াফ‘আলূনা মা-ইউ’মারূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//قُوْۤا/قُوٓاْ/qu//اَنْفُسَكُمْ/أَنفُسَكُمۡ/anfusakum//وَ اَهْلِیْكُمْ/وَأَهۡلِيكُمۡ/wa-ahlikum//نَارًا/نَارٗا/naran//وَّ قُوْدُهَا/وَقُودُهَا/waquduha//النَّاسُ/ٱلنَّاسُ/al-nasu//وَ الْحِجَارَةُ/وَٱلۡحِجَارَةُ/wal-hijaratu//عَلَیْهَا/عَلَيۡهَا/alayha//مَلٰٓىِٕكَةٌ/مَلَـٰٓئِكَةٌ/malaikatun//غِلَاظٌ/غِلَاظٞ/ghilazun//شِدَادٌ/شِدَادٞ/shidadun//لَّا/لَّا/la//یَعْصُوْنَ/يَعۡصُونَ/ya'suna//اللّٰهَ/ٱللَّهَ/al-laha//مَاۤ/مَآ/ma//اَمَرَهُمْ/أَمَرَهُمۡ/amarahum//وَ یَفْعَلُوْنَ/وَيَفۡعَلُونَ/wayaf 'aluna//مَا/مَا/ma//یُؤْمَرُوْنَ /يُؤۡمَرُونَ/yu'maruna",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা রক্ষা কর//তোমাদের নিজেদের//ও তোমাদের পরিবারবর্গকে//আগুন (থেকে)//যার ইন্ধন//মানুষ//ও পাথর//তার উপর//ফেরেশতারা//নির্দয়//কঠোর//না//তারা অমান্য করে//আল্লাহকে//যা//তাদের নির্দেশ দেন তিনি//এবং তারা করে//যা//তাদের নির্দেশ দেয়া হয়"
            },
            {
              "number": 5236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5236.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ كَفَرُوا۟ لَا تَعْتَذِرُوا۟ ٱلْيَوْمَ ۖ إِنَّمَا تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "হে কাফের সম্প্রদায়, তোমরা আজ ওযর পেশ করো না। তোমাদেরকে তারই প্রতিফল দেয়া হবে, যা তোমরা করতে।",
              "numberInSurah": 7,
              "juz": 28,
              "manzil": 7,
              "page": 560,
              "ruku": 494,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা কাফারূলা-তা‘তাযিরুল ইয়াওমা ইন্নামা-তুজঝাওনা মা-কুনতুম তা‘মালূন।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَا/لَا/la//تَعْتَذِرُوا/تَعۡتَذِرُواْ/ta'tadhiru//الْیَوْمَ ؕ/ٱلۡيَوۡمَۖ/al-yawma//اِنَّمَا/إِنَّمَا/innama//تُجْزَوْنَ/تُجۡزَوۡنَ/tuj'zawna//مَا/مَا/ma//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ۠/تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "\"ওহে//\"যারা//\"কুফরী করেছ//না//তোমরা ওজর পেশ করো//আজ//প্রকৃতপক্ষে//তোমাদের প্রতিফল দেয়া হবে//যা//তোমরা//তোমরা কাজ করতেছিলে\""
            },
            {
              "number": 5237,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5237.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5237.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5237.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5237.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ تُوبُوٓا۟ إِلَى ٱللَّهِ تَوْبَةًۭ نَّصُوحًا عَسَىٰ رَبُّكُمْ أَن يُكَفِّرَ عَنكُمْ سَيِّـَٔاتِكُمْ وَيُدْخِلَكُمْ جَنَّٰتٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ يَوْمَ لَا يُخْزِى ٱللَّهُ ٱلنَّبِىَّ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ ۖ نُورُهُمْ يَسْعَىٰ بَيْنَ أَيْدِيهِمْ وَبِأَيْمَٰنِهِمْ يَقُولُونَ رَبَّنَآ أَتْمِمْ لَنَا نُورَنَا وَٱغْفِرْ لَنَآ ۖ إِنَّكَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌۭ",
              "translate_bn": "মুমিনগণ! তোমরা আল্লাহ তা’আলার কাছে তওবা কর-আন্তরিক তওবা। আশা করা যায়, তোমাদের পালনকর্তা তোমাদের মন্দ কর্মসমূহ মোচন করে দেবেন এবং তোমাদেরকে দাখিল করবেন জান্নাতে, যার তলদেশে নদী প্রবাহিত। সেদিন আল্লাহ নবী এবং তাঁর বিশ্বাসী সহচরদেরকে অপদস্থ করবেন না। তাদের নূর তাদের সামনে ও ডানদিকে ছুটোছুটি করবে। তারা বলবেঃ হে আমাদের পালনকর্তা, আমাদের নূরকে পূর্ণ করে দিন এবং আমাদেরকে ক্ষমা করুন। নিশ্চয় আপনি সবকিছুর উপর সর্ব শক্তিমান।",
              "numberInSurah": 8,
              "juz": 28,
              "manzil": 7,
              "page": 561,
              "ruku": 495,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল্লাযীনা আ-মানূতূবূইলাল্লা-হি তাওবাতান নাসূহা ‘আছা-রাব্বুকুম আইঁ ইউকাফফিরা ‘আনকুম ছাইয়িআ-তিকুম ওয়া ইউদখিলাকুম জান্না-তিন তাজরী মিন তাহতিহাল আনহা-রু ইয়াওমা লা-ইউখঝিল্লা-হুন নাবিইইয়া ওয়াল্লাযীনা আ-মানূ মা‘আহূ নূরুহুম ইয়াছ‘আ-বাইনা আইদীহিম ওয়া বিআইমা-নিহিম ইয়াকূলূনা রাব্বানা আতমিম লানা-নূরানা-ওয়াগফিরলানা- ইন্নাকা ‘আলা-কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//تُوْبُوْۤا/تُوبُوٓاْ/tubu//اِلَی/إِلَى/ila//اللّٰهِ/ٱللَّهِ/al-lahi//تَوْبَةً/تَوۡبَةٗ/tawbatan//نَّصُوْحًا ؕ/نَّصُوحًا/nasuhan//عَسٰی/عَسَىٰ/asa//رَبُّكُمْ/رَبُّكُمۡ/rabbukum//اَنْ/أَن/an//یُّكَفِّرَ/يُكَفِّرَ/yukaffira//عَنْكُمْ/عَنكُمۡ/ankum//سَیِّاٰتِكُمْ/سَيِّـَٔاتِكُمۡ/sayyiatikum//وَ یُدْخِلَكُمْ/وَيُدۡخِلَكُمۡ/wayud'khilakum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ۙ/ٱلۡأَنۡهَٰرُ/al-anharu//یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//یُخْزِی/يُخۡزِي/yukh'zi//اللّٰهُ/ٱللَّهُ/al-lahu//النَّبِیَّ/ٱلنَّبِيَّ/al-nabiya//وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مَعَهٗ ۚ/مَعَهُۥۖ/ma'ahu//نُوْرُهُمْ/نُورُهُمۡ/nuruhum//یَسْعٰی/يَسۡعَىٰ/yas'a//بَیْنَ/بَيۡنَ/bayna//اَیْدِیْهِمْ/أَيۡدِيهِمۡ/aydihim//وَ بِاَیْمَانِهِمْ/وَبِأَيۡمَٰنِهِمۡ/wabi-aymanihim//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//رَبَّنَاۤ/رَبَّنَآ/rabbana//اَتْمِمْ/أَتۡمِمۡ/atmim//لَنَا/لَنَا/lana//نُوْرَنَا/نُورَنَا/nurana//وَ اغْفِرْ/وَٱغۡفِرۡ/wa-igh'fir//لَنَا ۚ/لَنَآۖ/lana//اِنَّكَ/إِنَّكَ/innaka//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرٌ /قَدِيرٞ/qadirun",
              "words_bangla": "ওহে//যারা//ঈমান এনেছ//তোমরা তওবা কর//নিকট//আল্লাহর//তওবা//খালেস//সম্ভবতঃ//তোমাদের রব//যে//মোচন করবেন//তোমাদের থেকে//তোমাদের দোষগুলো//এবং তোমাদের প্রবেশ করাবেন//জান্নাতে//প্রবাহিত হয়//থেকে//তার পাদদেশ//ঝর্নাধারাসমূহ//সেদিন//না//লাঞ্চিত করবেন//আল্লাহ//নবীকে//ও যারা//ঈমান এনেছে//তার সাথে//তাদের নূর//দৌড়াবে//তাদের সামনে//তাদের সামনে//ও তাদের ডানে//তারা বলবে//\"হে আমাদের রব//পূর্ণ কর//জন্যে আমাদের//আমাদের নূর//ও মাফ কর//আমাদেরকে//তুমি নিশ্চয়//উপর//সব//কিছুর//ক্ষমতাবান\""
            },
            {
              "number": 5238,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5238.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5238.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5238.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5238.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلنَّبِىُّ جَٰهِدِ ٱلْكُفَّارَ وَٱلْمُنَٰفِقِينَ وَٱغْلُظْ عَلَيْهِمْ ۚ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "হে নবী! কাফের ও মুনাফিকদের বিরুদ্ধে জেহাদ করুন এবং তাদের প্রতি কঠোর হোন। তাদের ঠিকানা জাহান্নাম। সেটা কতই না নিকৃষ্ট স্থান।",
              "numberInSurah": 9,
              "juz": 28,
              "manzil": 7,
              "page": 561,
              "ruku": 495,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহান্নাবিইয়ুজা-হিদিল কুফফা-রা ওয়াল মুনা-ফিকীনা ওয়াগলুজ‘আলাইহিম ওয়া মা’ওয়া-হুম জাহান্নামু ওয়া বি’ছাল মাসীর।\r\n",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//النَّبِیُّ/ٱلنَّبِيُّ/al-nabiyu//جَاهِدِ/جَٰهِدِ/jahidi//الْكُفَّارَ/ٱلۡكُفَّارَ/al-kufara//وَ الْمُنٰفِقِیْنَ/وَٱلۡمُنَٰفِقِينَ/wal-munafiqina//وَ اغْلُظْ/وَٱغۡلُظۡ/wa-ugh'luz//عَلَیْهِمْ ؕ/عَلَيۡهِمۡۚ/alayhim//وَ مَاْوٰىهُمْ/وَمَأۡوَىٰهُمۡ/wamawahum//جَهَنَّمُ ؕ/جَهَنَّمُۖ/jahannamu//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "হে//নবী//জিহাদ কর//কাফেরদের (বিরুদ্ধে)//ও মুনাফিকদের//এবং কঠোর হও//তাদের উপর//এবং তাদের আশ্রয়স্থল//জাহান্নাম//ও কত নিকৃষ্ট//প্রত্যাবর্তনস্থল"
            },
            {
              "number": 5239,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5239.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5239.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5239.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5239.mp3"
              ],
              "text": "ضَرَبَ ٱللَّهُ مَثَلًۭا لِّلَّذِينَ كَفَرُوا۟ ٱمْرَأَتَ نُوحٍۢ وَٱمْرَأَتَ لُوطٍۢ ۖ كَانَتَا تَحْتَ عَبْدَيْنِ مِنْ عِبَادِنَا صَٰلِحَيْنِ فَخَانَتَاهُمَا فَلَمْ يُغْنِيَا عَنْهُمَا مِنَ ٱللَّهِ شَيْـًۭٔا وَقِيلَ ٱدْخُلَا ٱلنَّارَ مَعَ ٱلدَّٰخِلِينَ",
              "translate_bn": "আল্লাহ তা’আলা কাফেরদের জন্যে নূহ-পত্নী ও লূত-পত্নীর দৃষ্টান্ত বর্ণনা করেছেন। তারা ছিল আমার দুই ধর্মপরায়ণ বান্দার গৃহে। অতঃপর তারা তাদের সাথে বিশ্বাসঘাতকতা করল। ফলে নূহ ও লূত তাদেরকে আল্লাহ তা’আলার কবল থেকে রক্ষা করতে পারল না এবং তাদেরকে বলা হলঃ জাহান্নামীদের সাথে জাহান্নামে চলে যাও।",
              "numberInSurah": 10,
              "juz": 28,
              "manzil": 7,
              "page": 561,
              "ruku": 495,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "দারাবাল্লা-হু মাছালালিলল্লাযীনা কাফারুমরাআতা নূহিওঁ ওয়ামরাআতা লূতিন কানাতা-তাহতা ‘আবদাইনি মিন ‘ইবা-দিনা-ছা-লিহাইনি ফাখা-নাতা-হুমা-ফালাম ইউগনিয়া-‘আনহুমা-মিনাল্লা-হি শাইআওঁ ওয়া কীলাদ খুলান্না-রা মা‘আদ্দা-খিলীন।",
              "words_arabic": "ضَرَبَ/ضَرَبَ/daraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوا/كَفَرُواْ/kafaru//امْرَاَتَ/ٱمۡرَأَتَ/im'ra-ata//نُوْحٍ/نُوحٖ/nuhin//وَّ امْرَاَتَ/وَٱمۡرَأَتَ/wa-im'ra-ata//لُوْطٍ ؕ/لُوطٖۖ/lutin//كَانَتَا/كَانَتَا/kanata//تَحْتَ/تَحۡتَ/tahta//عَبْدَیْنِ/عَبۡدَيۡنِ/abdayni//مِنْ/مِنۡ/min//عِبَادِنَا/عِبَادِنَا/ibadina//صَالِحَیْنِ/صَٰلِحَيۡنِ/salihayni//فَخَانَتٰهُمَا/فَخَانَتَاهُمَا/fakhanatahuma//فَلَمْ/فَلَمۡ/falam//یُغْنِیَا/يُغۡنِيَا/yugh'niya//عَنْهُمَا/عَنۡهُمَا/anhuma//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//شَیْـًٔا/شَيۡـٔٗا/shayan//وَّ قِیْلَ/وَقِيلَ/waqila//ادْخُلَا/ٱدۡخُلَا/ud'khula//النَّارَ/ٱلنَّارَ/al-nara//مَعَ/مَعَ/ma'a//الدّٰخِلِیْنَ /ٱلدَّـٰخِلِينَ/al-dakhilina",
              "words_bangla": "পেশ করেন//আল্লাহ//দৃষ্টান্ত//যারা জন্যে (তাদের)//কুফরি করেছে//স্ত্রীর//নূহের//ও স্ত্রীর//লূতের//তারা দু'জনে ছিল//অধীন//দুই বান্দার//মধ্যে//আমাদের বান্দাদের//দুই নেককার//অতঃপর খিয়ানত করেছিল উভয়ে তাদের দু'জনের//নাই অতঃপর//কাজে আসে তারা দু'জন//তাদের (স্ত্রীদের) দু'জনের//মুকাবেলায়//আল্লাহর//কিছুই//ও বলা হল//\"দু'জনে প্রবেশ কর//আগুনে//সাথে//প্রবেশকারীদের\""
            },
            {
              "number": 5240,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5240.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5240.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5240.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5240.mp3"
              ],
              "text": "وَضَرَبَ ٱللَّهُ مَثَلًۭا لِّلَّذِينَ ءَامَنُوا۟ ٱمْرَأَتَ فِرْعَوْنَ إِذْ قَالَتْ رَبِّ ٱبْنِ لِى عِندَكَ بَيْتًۭا فِى ٱلْجَنَّةِ وَنَجِّنِى مِن فِرْعَوْنَ وَعَمَلِهِۦ وَنَجِّنِى مِنَ ٱلْقَوْمِ ٱلظَّٰلِمِينَ",
              "translate_bn": "আল্লাহ তা’আলা মুমিনদের জন্যে ফেরাউন-পত্নীর দৃষ্টান্ত বর্ণনা করেছেন। সে বললঃ হে আমার পালনকর্তা! আপনার সন্নিকটে জান্নাতে আমার জন্যে একটি গৃহ নির্মাণ করুন, আমাকে ফেরাউন ও তার দুস্কর্ম থেকে উদ্ধার করুন এবং আমাকে যালেম সম্প্রদায় থেকে মুক্তি দিন।",
              "numberInSurah": 11,
              "juz": 28,
              "manzil": 7,
              "page": 561,
              "ruku": 495,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ওয়া দারাবাল্লা-হু মাছালালিলল্লাযীনা আ-মানুমরাআতা ফির‘আওনা । ইযকা-লাত রাব্ব্বিনি লী ‘ইনদাকা বাইতান ফিল জান্নাতি ওয়া নাজ্জিনী মিন ফির‘আওনা ওয়া ‘আমালিহী ওয়া নাজ্জিনী মিনাল কাওমিজ্জা-লিমীন।",
              "words_arabic": "وَ ضَرَبَ/وَضَرَبَ/wadaraba//اللّٰهُ/ٱللَّهُ/al-lahu//مَثَلًا/مَثَلٗا/mathalan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//اٰمَنُوا/ءَامَنُواْ/amanu//امْرَاَتَ/ٱمۡرَأَتَ/im'ra-ata//فِرْعَوْنَ ۘ/فِرۡعَوۡنَ/fir'awna//اِذْ/إِذۡ/idh//قَالَتْ/قَالَتۡ/qalat//رَبِّ/رَبِّ/rabbi//ابْنِ/ٱبۡنِ/ib'ni//لِیْ/لِي/li//عِنْدَكَ/عِندَكَ/indaka//بَیْتًا/بَيۡتٗا/baytan//فِی/فِي/fi//الْجَنَّةِ/ٱلۡجَنَّةِ/al-janati//وَ نَجِّنِیْ/وَنَجِّنِي/wanajjini//مِنْ/مِن/min//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ عَمَلِهٖ/وَعَمَلِهِۦ/wa'amalihi//وَ نَجِّنِیْ/وَنَجِّنِي/wanajjini//مِنَ/مِنَ/mina//الْقَوْمِ/ٱلۡقَوۡمِ/al-qawmi//الظّٰلِمِیْنَۙ/ٱلظَّـٰلِمِينَ/al-zalimina",
              "words_bangla": "এবং পেশ করেন//আল্লাহ//দৃষ্টান্ত//যারা (তাদের) জন্যে//ঈমান এনেছে//স্ত্রীর//ফিরআউনের//যখন//বলেছিল//\"হে আমার রব//বানাও//আমার জন্যে//তোমার কাছে//ঘর//মধ্যে//জান্নাতের//এবং আমাকে উদ্ধার কর//হতে//ফিরআউন//ও তার কাজ//এবং আমাকে উদ্ধার কর//হতে//লোকদের//যালিম\""
            },
            {
              "number": 5241,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5241.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5241.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5241.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5241.mp3"
              ],
              "text": "وَمَرْيَمَ ٱبْنَتَ عِمْرَٰنَ ٱلَّتِىٓ أَحْصَنَتْ فَرْجَهَا فَنَفَخْنَا فِيهِ مِن رُّوحِنَا وَصَدَّقَتْ بِكَلِمَٰتِ رَبِّهَا وَكُتُبِهِۦ وَكَانَتْ مِنَ ٱلْقَٰنِتِينَ",
              "translate_bn": "আর দৃষ্টান্ত বর্ণনা করেছেন এমরান-তনয়া মরিয়মের, যে তার সতীত্ব বজায় রেখেছিল। অতঃপর আমি তার মধ্যে আমার পক্ষ থেকে জীবন ফুঁকে দিয়েছিলাম এবং সে তার পালনকর্তার বানী ও কিতাবকে সত্যে পরিণত করেছিল। সে ছিল বিনয় প্রকাশকারীনীদের একজন।",
              "numberInSurah": 12,
              "juz": 28,
              "manzil": 7,
              "page": 561,
              "ruku": 495,
              "hizbQuarter": 224,
              "sajda": false,
              "pronunciation_bn": "ওয়া মারইয়ামাবনাতা ‘ইমরা-নাল্লাতীআহসানাত ফারজাহা-ফানাফাখনা-ফীহি মিররূহিনাওয়া সাদ্দাকাত বিকালিমা-তি রাব্বিহা-ওয়া কুতুবিহী ওয়া কা-নাত মিনাল কা-নিতীন।",
              "words_arabic": "وَ مَرْیَمَ/وَمَرۡيَمَ/wamaryama//ابْنَتَ/ٱبۡنَتَ/ib'nata//عِمْرٰنَ/عِمۡرَٰنَ/im'rana//الَّتِیْۤ/ٱلَّتِيٓ/allati//اَحْصَنَتْ/أَحۡصَنَتۡ/ahsanat//فَرْجَهَا/فَرۡجَهَا/farjaha//فَنَفَخْنَا/فَنَفَخۡنَا/fanafakhna//فِیْهِ/فِيهِ/fihi//مِنْ/مِن/min//رُّوْحِنَا/رُّوحِنَا/ruhina//وَ صَدَّقَتْ/وَصَدَّقَتۡ/wasaddaqat//بِكَلِمٰتِ/بِكَلِمَٰتِ/bikalimati//رَبِّهَا/رَبِّهَا/rabbiha//وَ كُتُبِهٖ/وَكُتُبِهِۦ/wakutubihi//وَ كَانَتْ/وَكَانَتۡ/wakanat//مِنَ/مِنَ/mina//الْقٰنِتِیْنَ۠/ٱلۡقَٰنِتِينَ/al-qanitina",
              "words_bangla": "এবং মারয়াম//কন্যা//ইমরানের//যে//সংরক্ষণ করেছিল//তার লজ্জাস্থান//অতঃপর আমরা ফুঁকে দেই//তার মধ্যে//থেকে//আমাদের রুহ//এবং সে সত্যতা স্বীকার করেছিল//বাক্যগুলোর//তার রবের//ও তাঁর কিতাবগুলোর//এবং সে ছিল//মধ্যে (একজন)//অনুগতদের"
            }
          ]
        },
        {
          "number": 67,
          "name": "سُورَةُ المُلۡكِ",
          "englishName": "Al-Mulk",
          "englishNameTranslation": "The Sovereignty",
          "revelationType": "Meccan",
          "verse": 30,
          "words": 659,
          "chars": 2707,
          "ayahs": [
            {
              "number": 5242,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5242.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5242.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5242.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5242.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ تَبَٰرَكَ ٱلَّذِى بِيَدِهِ ٱلْمُلْكُ وَهُوَ عَلَىٰ كُلِّ شَىْءٍۢ قَدِيرٌ",
              "translate_bn": "পূণ্যময় তিনি, যাঁর হাতে রাজত্ব। তিনি সবকিছুর উপর সর্বশক্তিমান।",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "তাবা-রাকাল্লাযী বিয়াদিহিল মুলকু ওয়া হুওয়া ‘আলা- কুল্লি শাইয়িন কাদীর।",
              "words_arabic": "تَبٰرَكَ/تَبَٰرَكَ/tabaraka//الَّذِیْ/ٱلَّذِي/alladhi//بِیَدِهِ/بِيَدِهِ/biyadihi//الْمُلْكُ ؗ/ٱلۡمُلۡكُ/al-mul'ku//وَ هُوَ/وَهُوَ/wahuwa//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//قَدِیْرُۙ/قَدِيرٌ/qadirun",
              "words_bangla": "বড় বরকতময়//সেই(সত্তা)//যার হাতে//কর্তৃত্ব//এবং তিনিই//উপর//সব//কিছুর//ক্ষমতাবান"
            },
            {
              "number": 5243,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5243.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5243.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5243.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5243.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَ ٱلْمَوْتَ وَٱلْحَيَوٰةَ لِيَبْلُوَكُمْ أَيُّكُمْ أَحْسَنُ عَمَلًۭا ۚ وَهُوَ ٱلْعَزِيزُ ٱلْغَفُورُ",
              "translate_bn": "যিনি সৃষ্টি করেছেন মরণ ও জীবন, যাতে তোমাদেরকে পরীক্ষা করেন-কে তোমাদের মধ্যে কর্মে শ্রেষ্ঠ? তিনি পরাক্রমশালী, ক্ষমাময়।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকাল মাওতা ওয়াল হায়া-তা লিইয়াবলুওয়াকুম আইয়ুকুম আহছানু‘আমালাওঁ ওয়া হুওয়াল ‘আঝীঝুল গাফূর।",
              "words_arabic": "لَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//الْمَوْتَ/ٱلۡمَوۡتَ/al-mawta//وَ الْحَیٰوةَ/وَٱلۡحَيَوٰةَ/wal-hayata//لِیَبْلُوَكُمْ/لِيَبۡلُوَكُمۡ/liyabluwakum//اَیُّكُمْ/أَيُّكُمۡ/ayyukum//اَحْسَنُ/أَحۡسَنُ/ahsanu//عَمَلًا ؕ/عَمَلٗاۚ/amalan//وَ هُوَ/وَهُوَ/wahuwa//الْعَزِیْزُ/ٱلۡعَزِيزُ/al-'azizu//الْغَفُوْرُۙ/ٱلۡغَفُورُ/al-ghafuru",
              "words_bangla": "যিনি//সৃষ্টি করেছেন//মৃত্যু//এবং জীবন//তোমাদের পরীক্ষা করার জন্য//তোমাদের মধ্যে কে//সর্বোত্তম//আমলে//এবং তিনিই//পরাক্রমশালী//ক্ষমাশীল"
            },
            {
              "number": 5244,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5244.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5244.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5244.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5244.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَ سَبْعَ سَمَٰوَٰتٍۢ طِبَاقًۭا ۖ مَّا تَرَىٰ فِى خَلْقِ ٱلرَّحْمَٰنِ مِن تَفَٰوُتٍۢ ۖ فَٱرْجِعِ ٱلْبَصَرَ هَلْ تَرَىٰ مِن فُطُورٍۢ",
              "translate_bn": "তিনি সপ্ত আকাশ স্তরে স্তরে সৃষ্টি করেছেন। তুমি করুণাময় আল্লাহ তা’আলার সৃষ্টিতে কোন তফাত দেখতে পাবে না। আবার দৃষ্টিফেরাও; কোন ফাটল দেখতে পাও কি?",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকা ছাব‘আ ছামা-ওয়া-তিন তিবা-কান মা- তারা- ফী খালকির রাহমা-নি মিন তাফা-উত ফারজি‘ইল বাসারা হাল তারা- মিন ফুতূর।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//سَبْعَ/سَبۡعَ/sab'a//سَمٰوٰتٍ/سَمَٰوَٰتٖ/samawatin//طِبَاقًا ؕ/طِبَاقٗاۖ/tibaqan//مَا/مَّا/ma//تَرٰی/تَرَىٰ/tara//فِیْ/فِي/fi//خَلْقِ/خَلۡقِ/khalqi//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِ/al-rahmani//مِنْ/مِن/min//تَفٰوُتٍ ؕ/تَفَٰوُتٖۖ/tafawutin//فَارْجِعِ/فَٱرۡجِعِ/fa-ir'ji'i//الْبَصَرَ ۙ/ٱلۡبَصَرَ/al-basara//هَلْ/هَلۡ/hal//تَرٰی/تَرَىٰ/tara//مِنْ/مِن/min//فُطُوْرٍ /فُطُورٖ/futurin",
              "words_bangla": "তিনিই//সৃষ্টি করেছেন//সাত//আকাশ//স্তরে স্তরে//না//দেখতে পাবে//মধ্যে//সৃষ্টির//দয়াবানের//কোন//অসঙ্গতি//অতএব ফিরাও//দৃষ্টিশক্তি//কি//দেখতে পাও//কোন//ত্রুটি"
            },
            {
              "number": 5245,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5245.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5245.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5245.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5245.mp3"
              ],
              "text": "ثُمَّ ٱرْجِعِ ٱلْبَصَرَ كَرَّتَيْنِ يَنقَلِبْ إِلَيْكَ ٱلْبَصَرُ خَاسِئًۭا وَهُوَ حَسِيرٌۭ",
              "translate_bn": "অতঃপর তুমি বার বার তাকিয়ে দেখ-তোমার দৃষ্টি ব্যর্থ ও পরিশ্রান্ত হয়ে তোমার দিকে ফিরে আসবে।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মার জি‘ইলবাসারা কাররাতাইনি ইয়ানকালিব ইলাইকাল বাসারু খা-ছিআওঁ ওয়া হুওয়া হাছীর।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//ارْجِعِ/ٱرۡجِعِ/ir'ji'i//الْبَصَرَ/ٱلۡبَصَرَ/al-basara//كَرَّتَیْنِ/كَرَّتَيۡنِ/karratayni//یَنْقَلِبْ/يَنقَلِبۡ/yanqalib//اِلَیْكَ/إِلَيۡكَ/ilayka//الْبَصَرُ/ٱلۡبَصَرُ/al-basaru//خَاسِئًا/خَاسِئٗا/khasi-an//وَّ هُوَ/وَهُوَ/wahuwa//حَسِیْرٌ /حَسِيرٞ/hasirun",
              "words_bangla": "আবার//ফিরাও//দৃষ্টি//বার বার//ফিরে আসবে//তোমার দিকে//দৃষ্টি//ব্যর্থ হয়ে//এবং তা (হবে)//ক্লান্তশ্রান্ত"
            },
            {
              "number": 5246,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5246.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5246.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5246.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5246.mp3"
              ],
              "text": "وَلَقَدْ زَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِمَصَٰبِيحَ وَجَعَلْنَٰهَا رُجُومًۭا لِّلشَّيَٰطِينِ ۖ وَأَعْتَدْنَا لَهُمْ عَذَابَ ٱلسَّعِيرِ",
              "translate_bn": "আমি সর্বনিম্ন আকাশকে প্রদীপমালা দ্বারা সুসজ্জত করেছি; সেগুলোকে শয়তানদের জন্যে ক্ষেপণাস্ত্রবৎ করেছি এবং প্রস্তুত করে রেখেছি তাদের জন্যে জলন্ত অগ্নির শাস্তি।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ ঝাইয়ান্নাছ ছামাআদ্দুনইয়া- বিমাসা-বীহা ওয়াজা‘আলনা- হা- রুজূমাল লিশশায়া-তীনি ওয়া আ‘তাদনা- লাহুম ‘আযা- বাছছা‘ঈর।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//زَیَّنَّا/زَيَّنَّا/zayyanna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//الدُّنْیَا/ٱلدُّنۡيَا/al-dun'ya//بِمَصَابِیْحَ/بِمَصَٰبِيحَ/bimasabiha//وَ جَعَلْنٰهَا/وَجَعَلۡنَٰهَا/waja'alnaha//رُجُوْمًا/رُجُومٗا/rujuman//لِّلشَّیٰطِیْنِ/لِّلشَّيَٰطِينِۖ/lilshayatini//وَ اَعْتَدْنَا/وَأَعۡتَدۡنَا/wa-a'tadna//لَهُمْ/لَهُمۡ/lahum//عَذَابَ/عَذَابَ/adhaba//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এবং নিশ্চয়//আমরা সাজিয়েছি//আকাশকে//নিকটবর্তী//প্রদীপরাশি দিয়ে//এবং তা আমরা বানিয়েছি//নিক্ষেপ উপকরণ//শয়তানদের জন্য//এবং আমরা প্রস্তুত করে রেখেছি//তাদের জন্যে//শাস্তি//প্রজ্জ্বলিত আগুনের"
            },
            {
              "number": 5247,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5247.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5247.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5247.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5247.mp3"
              ],
              "text": "وَلِلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ عَذَابُ جَهَنَّمَ ۖ وَبِئْسَ ٱلْمَصِيرُ",
              "translate_bn": "যারা তাদের পালনকর্তাকে অস্বীকার করেছে তাদের জন্যে রয়েছে জাহান্নামের শাস্তি। সেটা কতই না নিকৃষ্ট স্থান।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিল্লাযীনা কাফারূবিরাব্বিহিম ‘আযা- বুজাহান্নামা ওয়াবি’ছাল মাসীর।",
              "words_arabic": "وَ لِلَّذِیْنَ/وَلِلَّذِينَ/walilladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِرَبِّهِمْ/بِرَبِّهِمۡ/birabbihim//عَذَابُ/عَذَابُ/adhabu//جَهَنَّمَ ؕ/جَهَنَّمَۖ/jahannama//وَ بِئْسَ/وَبِئۡسَ/wabi'sa//الْمَصِیْرُ /ٱلۡمَصِيرُ/al-masiru",
              "words_bangla": "এবং যারা জন্যে//অস্বীকার করেছে//তাদের রবকে//শাস্তি//জাহান্নামের//এবং অত্যন্ত খারাপ//প্রত্যাবর্তন স্থল"
            },
            {
              "number": 5248,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5248.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5248.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5248.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5248.mp3"
              ],
              "text": "إِذَآ أُلْقُوا۟ فِيهَا سَمِعُوا۟ لَهَا شَهِيقًۭا وَهِىَ تَفُورُ",
              "translate_bn": "যখন তারা তথায় নিক্ষিপ্ত হবে, তখন তার উৎক্ষিপ্ত গর্জন শুনতে পাবে।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ইযাউলকূফীহা- ছামি‘উ লাহা- শাহীকাওঁ ওয়াহিয়া তাফূর।\r\n",
              "words_arabic": "اِذَاۤ/إِذَآ/idha//اُلْقُوْا/أُلۡقُواْ/ul'qu//فِیْهَا/فِيهَا/fiha//سَمِعُوْا/سَمِعُواْ/sami'u//لَهَا/لَهَا/laha//شَهِیْقًا/شَهِيقٗا/shahiqan//وَّ هِیَ/وَهِيَ/wahiya//تَفُوْرُۙ/تَفُورُ/tafuru",
              "words_bangla": "যখন//নিক্ষিপ্ত হবে//তার মধ্যে//তারা শুনবে//তার জন্য//বিকট শব্দ//এবং তা//উদ্বেলিত হবে"
            },
            {
              "number": 5249,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5249.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5249.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5249.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5249.mp3"
              ],
              "text": "تَكَادُ تَمَيَّزُ مِنَ ٱلْغَيْظِ ۖ كُلَّمَآ أُلْقِىَ فِيهَا فَوْجٌۭ سَأَلَهُمْ خَزَنَتُهَآ أَلَمْ يَأْتِكُمْ نَذِيرٌۭ",
              "translate_bn": "ক্রোধে জাহান্নাম যেন ফেটে পড়বে। যখনই তাতে কোন সম্প্রদায় নিক্ষিপ্ত হবে তখন তাদেরকে তার সিপাহীরা জিজ্ঞাসা করবে। তোমাদের কাছে কি কোন সতর্ককারী আগমন করেনি?",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "তাকা- দুতামাইয়াঝুমিনাল গাইজি কুল্লামাউলকিয়া ফীহা- ফাওজুন ছাআলাহুম খাঝানাতুহাআলাম ইয়া’তিকুম নাযীর।",
              "words_arabic": "تَكَادُ/تَكَادُ/takadu//تَمَیَّزُ/تَمَيَّزُ/tamayyazu//مِنَ/مِنَ/mina//الْغَیْظِ ؕ/ٱلۡغَيۡظِۖ/al-ghayzi//كُلَّمَاۤ/كُلَّمَآ/kullama//اُلْقِیَ/أُلۡقِيَ/ul'qiya//فِیْهَا/فِيهَا/fiha//فَوْجٌ/فَوۡجٞ/fawjun//سَاَلَهُمْ/سَأَلَهُمۡ/sa-alahum//خَزَنَتُهَاۤ/خَزَنَتُهَآ/khazanatuha//اَلَمْ/أَلَمۡ/alam//یَاْتِكُمْ/يَأۡتِكُمۡ/yatikum//نَذِیْرٌ /نَذِيرٞ/nadhirun",
              "words_bangla": "উপক্রম হবে//ফেটে পড়ার//মধ্য হতে//রোষে//যখনই//নিক্ষিপ্ত হবে//তার মধ্যে//কোন দল//জিজ্ঞেস তাদের করবে//তার রক্ষীরা//\"নাই কি//তোমাদের কাছে আসে//সতর্ককারী\""
            },
            {
              "number": 5250,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5250.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5250.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5250.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5250.mp3"
              ],
              "text": "قَالُوا۟ بَلَىٰ قَدْ جَآءَنَا نَذِيرٌۭ فَكَذَّبْنَا وَقُلْنَا مَا نَزَّلَ ٱللَّهُ مِن شَىْءٍ إِنْ أَنتُمْ إِلَّا فِى ضَلَٰلٍۢ كَبِيرٍۢ",
              "translate_bn": "তারা বলবেঃ হ্যাঁ আমাদের কাছে সতর্ককারী আগমন করেছিল, অতঃপর আমরা মিথ্যারোপ করেছিলাম এবং বলেছিলামঃ আল্লাহ তা’আলা কোন কিছু নাজিল করেননি। তোমরা মহাবিভ্রান্তিতে পড়ে রয়েছ।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কা- লূবালা- কাদ জাআনা- নাযীরুন ফাকাযযাবনা- ওয়া কুলনা- মানাঝঝালাল্লা- হু মিন শাইয়িন ইন আনতুম ইল্লা- ফী দালা- লিন কাবীর।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//بَلٰی/بَلَىٰ/bala//قَدْ/قَدۡ/qad//جَآءَنَا/جَآءَنَا/jaana//نَذِیْرٌ ۙ۬/نَذِيرٞ/nadhirun//فَكَذَّبْنَا/فَكَذَّبۡنَا/fakadhabna//وَ قُلْنَا/وَقُلۡنَا/waqul'na//مَا/مَا/ma//نَزَّلَ/نَزَّلَ/nazzala//اللّٰهُ/ٱللَّهُ/al-lahu//مِنْ/مِن/min//شَیْءٍ ۖۚ/شَيۡءٍ/shayin//اِنْ/إِنۡ/in//اَنْتُمْ/أَنتُمۡ/antum//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//كَبِیْرٍ /كَبِيرٖ/kabirin",
              "words_bangla": "তারা বলবে//\"হ্যাঁ//অবশ্যই//এসেছিল আমাদের (কাছে)//সতর্ককারী//তবে আমরা মিথ্যারোপ করেছিলাম//এবং আমরা বলে ছিলাম//\"নাই//নাযিল করেন//আল্লাহ্‌//কোন//কিছু//নও//তোমরা//এছাড়া//মধ্যে//গুমরাহীর//বড়\""
            },
            {
              "number": 5251,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5251.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5251.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5251.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5251.mp3"
              ],
              "text": "وَقَالُوا۟ لَوْ كُنَّا نَسْمَعُ أَوْ نَعْقِلُ مَا كُنَّا فِىٓ أَصْحَٰبِ ٱلسَّعِيرِ",
              "translate_bn": "তারা আরও বলবেঃ যদি আমরা শুনতাম অথবা বুদ্ধি খাটাতাম, তবে আমরা জাহান্নামবাসীদের মধ্যে থাকতাম না।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লূলাও কুন্না- নাছমা‘উ আও না‘কিলুমা- কুন্না-ফীআসহা-বিছছা‘ঈর।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَوْ/لَوۡ/law//كُنَّا/كُنَّا/kunna//نَسْمَعُ/نَسۡمَعُ/nasma'u//اَوْ/أَوۡ/aw//نَعْقِلُ/نَعۡقِلُ/na'qilu//مَا/مَا/ma//كُنَّا/كُنَّا/kunna//فِیْۤ/فِيٓ/fi//اَصْحٰبِ/أَصۡحَٰبِ/ashabi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এবং তারা বলবে//\"'যদি//আমরা//শুনতাম//অথবা//আমরা বিবেচনা করতাম//না//আমরা হতাম//মধ্যে//অধিবাসীদের//প্রজ্বলিত আগুনের\""
            },
            {
              "number": 5252,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5252.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5252.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5252.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5252.mp3"
              ],
              "text": "فَٱعْتَرَفُوا۟ بِذَنۢبِهِمْ فَسُحْقًۭا لِّأَصْحَٰبِ ٱلسَّعِيرِ",
              "translate_bn": "অতঃপর তারা তাদের অপরাধ স্বীকার করবে। জাহান্নামীরা দূর হোক।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ফা‘তারাফূবিযামবিহিম ফাছুহকালিলআসহা-বিছ ছা‘ঈর।",
              "words_arabic": "فَاعْتَرَفُوْا/فَٱعۡتَرَفُواْ/fa-i'tarafu//بِذَنْۢبِهِمْ ۚ/بِذَنۢبِهِمۡ/bidhanbihim//فَسُحْقًا/فَسُحۡقٗا/fasuh'qan//لِّاَصْحٰبِ/لِّأَصۡحَٰبِ/li-ashabi//السَّعِیْرِ /ٱلسَّعِيرِ/al-sa'iri",
              "words_bangla": "এভাবে তারা স্বীকার করবে//তাদের অপরাধকে//অভিশাপ অতএব//অধিবাসীদের জন্য//প্রজ্বলিত আগুনের"
            },
            {
              "number": 5253,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5253.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5253.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5253.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5253.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ لَهُم مَّغْفِرَةٌۭ وَأَجْرٌۭ كَبِيرٌۭ",
              "translate_bn": "নিশ্চয় যারা তাদের পালনকর্তাকে না দেখে ভয় করে, তাদের জন্যে রয়েছে ক্ষমা ও মহাপুরস্কার।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 562,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ইয়াখশাওনা রাব্বাহুম বিলগাইবি লাহুম মাগফিরাতুওঁ ওয়া আজরুন কাবীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//یَخْشَوْنَ/يَخۡشَوۡنَ/yakhshawna//رَبَّهُمْ/رَبَّهُم/rabbahum//بِالْغَیْبِ/بِٱلۡغَيۡبِ/bil-ghaybi//لَهُمْ/لَهُم/lahum//مَّغْفِرَةٌ/مَّغۡفِرَةٞ/maghfiratun//وَّ اَجْرٌ/وَأَجۡرٞ/wa-ajrun//كَبِیْرٌ /كَبِيرٞ/kabirun",
              "words_bangla": "নিশ্চয়//যারা//ভয় করে//তাদের রবকে//অদেখা অবস্থায়//তাদের জন্য//ক্ষমা//এবং প্রতিদান//বড়"
            },
            {
              "number": 5254,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5254.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5254.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5254.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5254.mp3"
              ],
              "text": "وَأَسِرُّوا۟ قَوْلَكُمْ أَوِ ٱجْهَرُوا۟ بِهِۦٓ ۖ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ",
              "translate_bn": "তোমরা তোমাদের কথা গোপনে বল অথবা প্রকাশ্যে বল, তিনি তো অন্তরের বিষয়াদি সম্পর্কে সম্যক অবগত।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া আছিররূকাওলাকুম আবিজহারূবিহী ইন্নাহূ‘আলীমুম বিযা- তিসসুদূ র।",
              "words_arabic": "وَ اَسِرُّوْا/وَأَسِرُّواْ/wa-asirru//قَوْلَكُمْ/قَوۡلَكُمۡ/qawlakum//اَوِ/أَوِ/awi//اجْهَرُوْا/ٱجۡهَرُواْ/ij'haru//بِهٖ ؕ/بِهِۦٓۖ/bihi//اِنَّهٗ/إِنَّهُۥ/innahu//عَلِیْمٌۢ/عَلِيمُۢ/alimun//بِذَاتِ/بِذَاتِ/bidhati//الصُّدُوْرِ /ٱلصُّدُورِ/al-suduri",
              "words_bangla": "এবং তোমরা গোপন কর//তোমাদের কথা//অথবা//প্রকাশ কর//তাকে//তিনি নিশ্চয়ই//খুব জ্ঞাত//অবস্থা সম্পর্কে//অন্তরগুলোর"
            },
            {
              "number": 5255,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5255.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5255.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5255.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5255.mp3"
              ],
              "text": "أَلَا يَعْلَمُ مَنْ خَلَقَ وَهُوَ ٱللَّطِيفُ ٱلْخَبِيرُ",
              "translate_bn": "যিনি সৃষ্টি করেছেন, তিনি কি করে জানবেন না? তিনি সূক্ষ্নজ্ঞানী, সম্যক জ্ঞাত।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 496,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আলা- ইয়া‘লামুমান খালাকা ওয়া হুওয়াল্লাতীফুল খাবীর।",
              "words_arabic": "اَلَا/أَلَا/ala//یَعْلَمُ/يَعۡلَمُ/ya'lamu//مَنْ/مَنۡ/man//خَلَقَ ؕ/خَلَقَ/khalaqa//وَ هُوَ/وَهُوَ/wahuwa//اللَّطِیْفُ/ٱللَّطِيفُ/al-latifu//الْخَبِیْرُ۠/ٱلۡخَبِيرُ/al-khabiru",
              "words_bangla": "না কি//তিনি জানেন//যিনি//সৃষ্টি করেছেন//অথচ তিনি//সূক্ষ্মদর্শী//খুব অবগত"
            },
            {
              "number": 5256,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5256.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5256.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5256.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5256.mp3"
              ],
              "text": "هُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ ذَلُولًۭا فَٱمْشُوا۟ فِى مَنَاكِبِهَا وَكُلُوا۟ مِن رِّزْقِهِۦ ۖ وَإِلَيْهِ ٱلنُّشُورُ",
              "translate_bn": "তিনি তোমাদের জন্যে পৃথিবীকে সুগম করেছেন, অতএব, তোমরা তার কাঁধে বিচরণ কর এবং তাঁর দেয়া রিযিক আহার কর। তাঁরই কাছে পুনরুজ্জীবন হবে।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "হুওয়াল্লাযী জা‘আলা লাকুমুল আরদা যালূলান ফামশূফী মানা-কিবিহা- ওয়া কুলূমির রিঝকিহী ওয়া ইলাইহিন নুশূর।",
              "words_arabic": "هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//ذَلُوْلًا/ذَلُولٗا/dhalulan//فَامْشُوْا/فَٱمۡشُواْ/fa-im'shu//فِیْ/فِي/fi//مَنَاكِبِهَا/مَنَاكِبِهَا/manakibiha//وَ كُلُوْا/وَكُلُواْ/wakulu//مِنْ/مِن/min//رِّزْقِهٖ ؕ/رِّزۡقِهِۦۖ/riz'qihi//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//النُّشُوْرُ /ٱلنُّشُورُ/al-nushuru",
              "words_bangla": "তিনিই//যিনি//বানিয়েছেন//তোমাদের জন্য//ভূতলকে//অধীন//তোমরা অতঃপর চল//উপর//তার বক্ষের//এবং তোমরা খাও//হতে//তার রিযক//এবং তাঁরই দিকে//পুনরুত্থান"
            },
            {
              "number": 5257,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5257.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5257.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5257.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5257.mp3"
              ],
              "text": "ءَأَمِنتُم مَّن فِى ٱلسَّمَآءِ أَن يَخْسِفَ بِكُمُ ٱلْأَرْضَ فَإِذَا هِىَ تَمُورُ",
              "translate_bn": "তোমরা কি ভাবনামুক্ত হয়ে গেছ যে, আকাশে যিনি আছেন তিনি তোমাদেরকে ভূগর্ভে বিলীন করে দেবেন, অতঃপর তা কাঁপতে থাকবে।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আ আমিনতুম মান ফিছছামাই আইঁ ইয়াখছিফা বিকুমুল আরদা ফাইযা- হিয়া তামূর।",
              "words_arabic": "ءَاَمِنْتُمْ/ءَأَمِنتُم/a-amintum//مَّنْ/مَّن/man//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اَنْ/أَن/an//یَّخْسِفَ/يَخۡسِفَ/yakhsifa//بِكُمُ/بِكُمُ/bikumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//فَاِذَا/فَإِذَا/fa-idha//هِیَ/هِيَ/hiya//تَمُوْرُۙ/تَمُورُ/tamuru",
              "words_bangla": "তোমরা নিরাপদ কি হয়েছ//(তাঁর থেকে) যিনি//আছেন//আসমানে//যে//ধসিয়ে দেবেন//তোমাদের সহ//মাটিকে//অতঃপর//তা//কাঁপবে"
            },
            {
              "number": 5258,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5258.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5258.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5258.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5258.mp3"
              ],
              "text": "أَمْ أَمِنتُم مَّن فِى ٱلسَّمَآءِ أَن يُرْسِلَ عَلَيْكُمْ حَاصِبًۭا ۖ فَسَتَعْلَمُونَ كَيْفَ نَذِيرِ",
              "translate_bn": "না তোমরা নিশ্চিন্ত হয়ে গেছ যে, আকাশে যিনি আছেন, তিনি তোমাদের উপর প্রস্তর বৃষ্টি বর্ষণ করবেন, অতঃপর তোমরা জানতে পারবে কেমন ছিল আমার সতর্কবাণী।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আম আমিনতুম মান ফিছছামাই আইঁ ইউরছিলা ‘আলাইকুম হা-সিবান ফাছাতা‘লামূনা কাইফা নাযীর।",
              "words_arabic": "اَمْ/أَمۡ/am//اَمِنْتُمْ/أَمِنتُم/amintum//مَّنْ/مَّن/man//فِی/فِي/fi//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//اَنْ/أَن/an//یُّرْسِلَ/يُرۡسِلَ/yur'sila//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//حَاصِبًا ؕ/حَاصِبٗاۖ/hasiban//فَسَتَعْلَمُوْنَ/فَسَتَعۡلَمُونَ/fasata'lamuna//كَیْفَ/كَيۡفَ/kayfa//نَذِیْرِ /نَذِيرِ/nadhiri",
              "words_bangla": "অথবা//তোমরা নির্ভয় হয়েছ//(তাঁর থেকে) যিনি//আছেন//আসমানে//যে//পাঠাবেন//তোমাদের উপর//কঙ্করবর্ষী ঝঞ্ঝা//তোমরা জানবে তখন//কেমন//আমার সতর্কীকরণ"
            },
            {
              "number": 5259,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5259.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5259.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5259.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5259.mp3"
              ],
              "text": "وَلَقَدْ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ فَكَيْفَ كَانَ نَكِيرِ",
              "translate_bn": "তাদের পূর্ববর্তীরা মিথ্যারোপ করেছিল, অতঃপর কত কঠোর হয়েছিল আমার অস্বীকৃতি।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ কাযযাবাল্লাযীনা মিন কাবলিহিম ফাকাইফা কা- না নাকীর।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//كَذَّبَ/كَذَّبَ/kadhaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مِنْ/مِن/min//قَبْلِهِمْ/قَبۡلِهِمۡ/qablihim//فَكَیْفَ/فَكَيۡفَ/fakayfa//كَانَ/كَانَ/kana//نَكِیْرِ /نَكِيرِ/nakiri",
              "words_bangla": "এবং করে ছিল নিশ্চয়//মিথ্যারোপ//যারা//(ছিল)//তাদের পূর্বে//কেমন ফলে//ছিল//আমার পাক্‌ড়াও"
            },
            {
              "number": 5260,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5260.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5260.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5260.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5260.mp3"
              ],
              "text": "أَوَلَمْ يَرَوْا۟ إِلَى ٱلطَّيْرِ فَوْقَهُمْ صَٰٓفَّٰتٍۢ وَيَقْبِضْنَ ۚ مَا يُمْسِكُهُنَّ إِلَّا ٱلرَّحْمَٰنُ ۚ إِنَّهُۥ بِكُلِّ شَىْءٍۭ بَصِيرٌ",
              "translate_bn": "তারা কি লক্ষ্য করে না, তাদের মাথার উপর উড়ন্ত পক্ষীকুলের প্রতি পাখা বিস্তারকারী ও পাখা সংকোচনকারী? রহমান আল্লাহ-ই তাদেরকে স্থির রাখেন। তিনি সর্ব-বিষয় দেখেন।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আওয়ালাম ইয়ারাও ইলাত্তাইরি ফাওকাহুম সাফফা-তিওঁ ওয়াইয়াকবিদন । মাইউমছিকুহুন্না ইল্লাররাহমা-নু ইন্নাহূবিকুল্লি শাইয়িম বাসীর।",
              "words_arabic": "اَوَ لَمْ/أَوَلَمۡ/awalam//یَرَوْا/يَرَوۡاْ/yaraw//اِلَی/إِلَى/ila//الطَّیْرِ/ٱلطَّيۡرِ/al-tayri//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//صٰٓفّٰتٍ/صَـٰٓفَّـٰتٖ/saffatin//وَّ یَقْبِضْنَ ؕۘؔ/وَيَقۡبِضۡنَۚ/wayaqbid'na//مَا/مَا/ma//یُمْسِكُهُنَّ/يُمۡسِكُهُنَّ/yum'sikuhunna//اِلَّا/إِلَّا/illa//الرَّحْمٰنُ ؕ/ٱلرَّحۡمَٰنُۚ/al-rahmanu//اِنَّهٗ/إِنَّهُۥ/innahu//بِكُلِّ/بِكُلِّ/bikulli//شَیْءٍۭ/شَيۡءِۭ/shayin//بَصِیْرٌ /بَصِيرٌ/basirun",
              "words_bangla": "কি নাই//তারা দেখে//প্রতি//পাখিগুলির//তাদের উপরে//পাখা বিস্তার করে//ও গুটিয়ে নেয়//না//তাদের ধরে ধরে (অন্য কেউ)//ছাড়া//দয়াবান//তিনি নিশ্চয়//সব উপর//কিছুর//দৃষ্টিবান"
            },
            {
              "number": 5261,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5261.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5261.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5261.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5261.mp3"
              ],
              "text": "أَمَّنْ هَٰذَا ٱلَّذِى هُوَ جُندٌۭ لَّكُمْ يَنصُرُكُم مِّن دُونِ ٱلرَّحْمَٰنِ ۚ إِنِ ٱلْكَٰفِرُونَ إِلَّا فِى غُرُورٍ",
              "translate_bn": "রহমান আল্লাহ তা’আলা ব্যতীত তোমাদের কোন সৈন্য আছে কি, যে তোমাদেরকে সাহায্য করবে? কাফেররা বিভ্রান্তিতেই পতিত আছে।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আম্মান হা-যাল্লাযী হুওয়া জুনদুল্লাকুম ইয়ানসুরুকুম মিন দূ নিররাহমা-নি ইনিল কাফিরূনা ইল্লা- ফী গুরূর।",
              "words_arabic": "اَمَّنْ/أَمَّنۡ/amman//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//هُوَ/هُوَ/huwa//جُنْدٌ/جُندٞ/jundun//لَّكُمْ/لَّكُمۡ/lakum//یَنْصُرُكُمْ/يَنصُرُكُم/yansurukum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//الرَّحْمٰنِ ؕ/ٱلرَّحۡمَٰنِۚ/al-rahmani//اِنِ/إِنِ/ini//الْكٰفِرُوْنَ/ٱلۡكَٰفِرُونَ/al-kafiruna//اِلَّا/إِلَّا/illa//فِیْ/فِي/fi//غُرُوْرٍۚ/غُرُورٍ/ghururin",
              "words_bangla": "অথবা কোন//এমন//যা//সেই//সৈন্যবাহিনী//তোমাদের জন্য আছে//তোমাদের সাহায্য করবে//থেকে//ছাড়া//রহমান//নয়//আমান্যকারীরা//এ ছাড়া//মধ্যে//ধোঁকার"
            },
            {
              "number": 5262,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5262.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5262.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5262.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5262.mp3"
              ],
              "text": "أَمَّنْ هَٰذَا ٱلَّذِى يَرْزُقُكُمْ إِنْ أَمْسَكَ رِزْقَهُۥ ۚ بَل لَّجُّوا۟ فِى عُتُوٍّۢ وَنُفُورٍ",
              "translate_bn": "তিনি যদি রিযিক বন্ধ করে দেন, তবে কে আছে, যে তোমাদেরকে রিযিক দিবে বরং তারা অবাধ্যতা ও বিমুখতায় ডুবে রয়েছে।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আম্মান হা- যাল্লাযী ইয়ারঝকুকুম ইন আমছাকা রিঝকাহূ বাল্লাজ্জূফী ‘উতুওবিওয়া নুফূর।",
              "words_arabic": "اَمَّنْ/أَمَّنۡ/amman//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//یَرْزُقُكُمْ/يَرۡزُقُكُمۡ/yarzuqukum//اِنْ/إِنۡ/in//اَمْسَكَ/أَمۡسَكَ/amsaka//رِزْقَهٗ ۚ/رِزۡقَهُۥۚ/riz'qahu//بَلْ/بَل/bal//لَّجُّوْا/لَّجُّواْ/lajju//فِیْ/فِي/fi//عُتُوٍّ/عُتُوّٖ/utuwwin//وَّ نُفُوْرٍ /وَنُفُورٍ/wanufurin",
              "words_bangla": "কে অথবা আছে//এমন//যে//তোমাদের রিযক দেবে//যদি//তিনি বন্ধ করেন//তার রিযক//বরং//তারা অবিচল//মধ্যে//খোদাদ্রোহিতার//এবং সত্য পরিহারে"
            },
            {
              "number": 5263,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5263.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5263.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5263.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5263.mp3"
              ],
              "text": "أَفَمَن يَمْشِى مُكِبًّا عَلَىٰ وَجْهِهِۦٓ أَهْدَىٰٓ أَمَّن يَمْشِى سَوِيًّا عَلَىٰ صِرَٰطٍۢ مُّسْتَقِيمٍۢ",
              "translate_bn": "যে ব্যক্তি উপুড় হয়ে মুখে ভর দিয়ে চলে, সে-ই কি সৎ পথে চলে, না সে ব্যক্তি যে সোজা হয়ে সরলপথে চলে?",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "আফামাইঁ ইয়ামশী মুকিব্বান ‘আলা- ওয়াজহিহী আহদা আম্মাইঁ ইয়ামশী ছাবি ইয়ান ‘আলা-সিরা-তিমমুছতাকীম।",
              "words_arabic": "اَفَمَنْ/أَفَمَن/afaman//یَّمْشِیْ/يَمۡشِي/yamshi//مُكِبًّا/مُكِبًّا/mukibban//عَلٰی/عَلَىٰ/ala//وَجْهِهٖۤ/وَجۡهِهِۦٓ/wajhihi//اَهْدٰۤی/أَهۡدَىٰٓ/ahda//اَمَّنْ/أَمَّن/amman//یَّمْشِیْ/يَمۡشِي/yamshi//سَوِیًّا/سَوِيًّا/sawiyyan//عَلٰی/عَلَىٰ/ala//صِرَاطٍ/صِرَٰطٖ/siratin//مُّسْتَقِیْمٍ /مُّسۡتَقِيمٖ/mus'taqimin",
              "words_bangla": "যে অতএব কি//চলে//অধঃগতি//উপর//তার মুখের//অধিক সত্য পথপ্রাপ্ত//যে অথবা//চলে//সোজাসুজি//উপর//পথের//সরল"
            },
            {
              "number": 5264,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5264.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5264.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5264.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5264.mp3"
              ],
              "text": "قُلْ هُوَ ٱلَّذِىٓ أَنشَأَكُمْ وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَٰرَ وَٱلْأَفْـِٔدَةَ ۖ قَلِيلًۭا مَّا تَشْكُرُونَ",
              "translate_bn": "বলুন, তিনিই তোমাদেরকে সৃষ্টি করেছেন এবং দিয়েছেন কর্ণ, চক্ষু ও অন্তর। তোমরা অল্পই কৃতজ্ঞতা প্রকাশ কর।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়াল্লাযীআনশাআকুম ওয়া জা‘আলা লাকুমুছছাম‘আ ওয়াল আবসা-রা ওয়াল আফইদাতা কালীলাম মা-তাশকুরূন।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْشَاَكُمْ/أَنشَأَكُمۡ/ansha-akum//وَ جَعَلَ/وَجَعَلَ/waja'ala//لَكُمُ/لَكُمُ/lakumu//السَّمْعَ/ٱلسَّمۡعَ/al-sam'a//وَ الْاَبْصَارَ/وَٱلۡأَبۡصَٰرَ/wal-absara//وَ الْاَفْـِٕدَةَ ؕ/وَٱلۡأَفۡـِٔدَةَۚ/wal-afidata//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَشْكُرُوْنَ /تَشۡكُرُونَ/tashkuruna",
              "words_bangla": "বল//\"তিনিই//যিনি//তোমাদের সৃষ্টি করেছেন//এবং দিয়েছেন//তোমাদের জন্য//শ্রবণশক্তি//ও দৃষ্টিশক্তি//এবং অন্তঃকরণ//কমই//যা//তোমরা শোকর কর\""
            },
            {
              "number": 5265,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5265.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5265.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5265.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5265.mp3"
              ],
              "text": "قُلْ هُوَ ٱلَّذِى ذَرَأَكُمْ فِى ٱلْأَرْضِ وَإِلَيْهِ تُحْشَرُونَ",
              "translate_bn": "বলুন, তিনিই তোমাদেরকে পৃথিবীতে বিস্তৃত করেছেন এবং তাঁরই কাছে তোমরা সমবেত হবে।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়াল্লাযী যারাআকুম ফিল আরদিওয়া ইলাইহি তুহশারূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//الَّذِیْ/ٱلَّذِي/alladhi//ذَرَاَكُمْ/ذَرَأَكُمۡ/dhara-akum//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ اِلَیْهِ/وَإِلَيۡهِ/wa-ilayhi//تُحْشَرُوْنَ /تُحۡشَرُونَ/tuh'sharuna",
              "words_bangla": "বল//\"তিনিই//যিনি//তোমাদের ছড়িয়ে দিয়েছেন//মধ্যে//পৃথিবীর//এবং তাঁরই দিকে//তোমাদের একত্রিত করা হবে\""
            },
            {
              "number": 5266,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5266.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5266.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5266.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5266.mp3"
              ],
              "text": "وَيَقُولُونَ مَتَىٰ هَٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَٰدِقِينَ",
              "translate_bn": "কাফেররা বলেঃ এই প্রতিশ্রুতি কবে হবে, যদি তোমরা সত্যবাদী হও?",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াকূলূনা মাতা-হা-যাল ওয়া‘দুইন কুনতুম সা-দিকীন।",
              "words_arabic": "وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//مَتٰی/مَتَىٰ/mata//هٰذَا/هَٰذَا/hadha//الْوَعْدُ/ٱلۡوَعۡدُ/al-wa'du//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "এবং তারা বলে//\"কখন//এই//প্রতিশ্রুতি//যদি//তোমরা হও//সত্যবাদী\""
            },
            {
              "number": 5267,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5267.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5267.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5267.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5267.mp3"
              ],
              "text": "قُلْ إِنَّمَا ٱلْعِلْمُ عِندَ ٱللَّهِ وَإِنَّمَآ أَنَا۠ نَذِيرٌۭ مُّبِينٌۭ",
              "translate_bn": "বলুন, এর জ্ঞান আল্লাহ তা’আলার কাছেই আছে। আমি তো কেবল প্রকাশ্য সতর্ককারী।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 563,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাল ‘ইলমু‘ইনদাল্লা- হি ওয়া ইন্নামাআনা নাযীরুম মুবীন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَا/إِنَّمَا/innama//الْعِلْمُ/ٱلۡعِلۡمُ/al-'il'mu//عِنْدَ/عِندَ/inda//اللّٰهِ ۪/ٱللَّهِ/al-lahi//وَ اِنَّمَاۤ/وَإِنَّمَآ/wa-innama//اَنَا/أَنَا۠/ana//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌ /مُّبِينٞ/mubinun",
              "words_bangla": "তুমি বল//\"শুধুমাত্র//(তার) জ্ঞান//কাছে//আল্লাহর//এবং শুধুমাত্র//আমি//সাবধানকারী//স্পষ্ট\""
            },
            {
              "number": 5268,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5268.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5268.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5268.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5268.mp3"
              ],
              "text": "فَلَمَّا رَأَوْهُ زُلْفَةًۭ سِيٓـَٔتْ وُجُوهُ ٱلَّذِينَ كَفَرُوا۟ وَقِيلَ هَٰذَا ٱلَّذِى كُنتُم بِهِۦ تَدَّعُونَ",
              "translate_bn": "যখন তারা সেই প্রতিশ্রুতিকে আসন্ন দেখবে তখন কাফেরদের মুখমন্ডল মলিন হয়ে পড়বে এবং বলা হবেঃ এটাই তো তোমরা চাইতে।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা-রাআওহু ঝুলফাতান ছীআত ঊজূহুল্লাযীনা কাফারূওয়া কীলা হা-যাল্লাযী কুনতুম বিহী তাদ্দা‘ঊন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَوْهُ/رَأَوۡهُ/ra-awhu//زُلْفَةً/زُلۡفَةٗ/zul'fatan//سِیْٓـَٔتْ/سِيٓـَٔتۡ/siat//وُجُوْهُ/وُجُوهُ/wujuhu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//وَ قِیْلَ/وَقِيلَ/waqila//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تَدَّعُوْنَ /تَدَّعُونَ/tadda'una",
              "words_bangla": "যখন পরে//তা দেখবে//নিকটে//মলিন হবে//মুখগুলো//যারা (তাদের)//অস্বীকার করেছে//এবং বলা হবে//\"এই//যা (সেই)//তোমরা ছিলে//তা সম্পর্কে//দাবি করতে\""
            },
            {
              "number": 5269,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5269.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5269.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5269.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5269.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِنْ أَهْلَكَنِىَ ٱللَّهُ وَمَن مَّعِىَ أَوْ رَحِمَنَا فَمَن يُجِيرُ ٱلْكَٰفِرِينَ مِنْ عَذَابٍ أَلِيمٍۢ",
              "translate_bn": "বলুন, তোমরা কি ভেবে দেখেছ-যদি আল্লাহ তা’আলা আমাকে ও আমার সংগীদেরকে ধ্বংস করেন অথবা আমাদের প্রতি দয়া করেন, তবে কাফেরদেরকে কে যন্ত্রণাদায়ক শাস্তি থেকে রক্ষা করবে?",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন আহলাকানিয়াল্লা-হু ওয়া মাম্মা‘ইয়া আও রাহিমানা- ফামাইঁ ইউজীরুল কা-ফিরীনা মিন ‘আযা-বিন আলীম।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِنۡ/in//اَهْلَكَنِیَ/أَهۡلَكَنِيَ/ahlakaniya//اللّٰهُ/ٱللَّهُ/al-lahu//وَ مَنْ/وَمَن/waman//مَّعِیَ/مَّعِيَ/ma'iya//اَوْ/أَوۡ/aw//رَحِمَنَا ۙ/رَحِمَنَا/rahimana//فَمَنْ/فَمَن/faman//یُّجِیْرُ/يُجِيرُ/yujiru//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//مِنْ/مِنۡ/min//عَذَابٍ/عَذَابٍ/adhabin//اَلِیْمٍ /أَلِيمٖ/alimin",
              "words_bangla": "বল//\"তোমরা চিন্তা কি করেছ//যদি//আমাকে ধ্বংস করেন//আল্লাহ//এবং যারা//আমার সাথে//অথবা//আমাদের প্রতি দয়া করেন//কে কিন্তু//আশ্রয় দেবে//অস্বীকার কারীদের//থেকে//আযাব//অত্যন্ত পীড়াদায়ক\""
            },
            {
              "number": 5270,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5270.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5270.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5270.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5270.mp3"
              ],
              "text": "قُلْ هُوَ ٱلرَّحْمَٰنُ ءَامَنَّا بِهِۦ وَعَلَيْهِ تَوَكَّلْنَا ۖ فَسَتَعْلَمُونَ مَنْ هُوَ فِى ضَلَٰلٍۢ مُّبِينٍۢ",
              "translate_bn": "বলুন, তিনি পরম করুণাময়, আমরা তাতে বিশ্বাস রাখি এবং তাঁরই উপর ভরসা করি। সত্ত্বরই তোমরা জানতে পারবে, কে প্রকাশ্য পথ-ভ্রষ্টতায় আছে।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়াররাহমা-নুআ-মান্না-বিহী ওয়া‘আলাইহি তাওয়াক্কালনা-, ফাছাতা‘লামূনা মান হুওয়া ফী দালা-লিম মুবীন।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//اٰمَنَّا/ءَامَنَّا/amanna//بِهٖ/بِهِۦ/bihi//وَ عَلَیْهِ/وَعَلَيۡهِ/wa'alayhi//تَوَكَّلْنَا ۚ/تَوَكَّلۡنَاۖ/tawakkalna//فَسَتَعْلَمُوْنَ/فَسَتَعۡلَمُونَ/fasata'lamuna//مَنْ/مَنۡ/man//هُوَ/هُوَ/huwa//فِیْ/فِي/fi//ضَلٰلٍ/ضَلَٰلٖ/dalalin//مُّبِیْنٍ /مُّبِينٖ/mubinin",
              "words_bangla": "বল//\"তিনিই//পরম করুণাময়//আমরা ঈমান এনেছি//তার উপর//এবং তার উপর//আমরা নির্ভর করেছি//অতএব শীঘ্রই তোমরা জানতে পারবে//কে//সে//মধ্যে//গুমরাহীর//সুস্পষ্ট\""
            },
            {
              "number": 5271,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5271.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5271.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5271.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5271.mp3"
              ],
              "text": "قُلْ أَرَءَيْتُمْ إِنْ أَصْبَحَ مَآؤُكُمْ غَوْرًۭا فَمَن يَأْتِيكُم بِمَآءٍۢ مَّعِينٍۭ",
              "translate_bn": "বলুন, তোমরা ভেবে দেখেছ কি, যদি তোমাদের পানি ভূগর্ভের গভীরে চলে যায়, তবে কে তোমাদেরকে সরবরাহ করবে পানির স্রোতধারা?",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 497,
              "hizbQuarter": 225,
              "sajda": false,
              "pronunciation_bn": "কুল আরাআইতুম ইন আসবাহা মাউকুম গাওরান ফামাইঁ ইয়া’তীকুম বিমাইম মা‘ঈন।",
              "words_arabic": "قُلْ/قُلۡ/qul//اَرَءَیْتُمْ/أَرَءَيۡتُمۡ/ara-aytum//اِنْ/إِنۡ/in//اَصْبَحَ/أَصۡبَحَ/asbaha//مَآؤُكُمْ/مَآؤُكُمۡ/maukum//غَوْرًا/غَوۡرٗا/ghawran//فَمَنْ/فَمَن/faman//یَّاْتِیْكُمْ/يَأۡتِيكُم/yatikum//بِمَآءٍ/بِمَآءٖ/bimain//مَّعِیْنٍ۠/مَّعِينِۭ/ma'inin",
              "words_bangla": "বলো//\"তোমরা ভেবে কি দেখেছ//যদি//হয়ে যায়//তোমাদের পানি//ভূগর্ভস্থ//কে তবে//তোমাদের কাছে আনবে//পানি//প্রবহমান\""
            }
          ]
        },
        {
          "number": 68,
          "name": "سُورَةُ القَلَمِ",
          "englishName": "Al-Qalam",
          "englishNameTranslation": "The Pen",
          "revelationType": "Meccan",
          "verse": 52,
          "words": 650,
          "chars": 2760,
          "ayahs": [
            {
              "number": 5272,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5272.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5272.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5272.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5272.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ نٓ ۚ وَٱلْقَلَمِ وَمَا يَسْطُرُونَ",
              "translate_bn": "নূন। শপথ কলমের এবং সেই বিষয়ের যা তারা লিপিবদ্ধ করে,",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "নূন ওয়াল কালামি ওয়ামা- ইয়াছতুরূন।",
              "words_arabic": "نٓ/نٓۚ/noon//وَ الْقَلَمِ/وَٱلۡقَلَمِ/wal-qalami//وَ مَا/وَمَا/wama//یَسْطُرُوْنَۙ/يَسۡطُرُونَ/yasturuna",
              "words_bangla": "নুন//কলমের শপথ//এবং যা//তারা লিখছে"
            },
            {
              "number": 5273,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5273.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5273.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5273.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5273.mp3"
              ],
              "text": "مَآ أَنتَ بِنِعْمَةِ رَبِّكَ بِمَجْنُونٍۢ",
              "translate_bn": "আপনার পালনকর্তার অনুগ্রহে আপনি উম্মাদ নন।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "মাআনতা বিনি‘মাতি রাব্বিকা বিমাজনূন।",
              "words_arabic": "مَاۤ/مَآ/ma//اَنْتَ/أَنتَ/anta//بِنِعْمَةِ/بِنِعۡمَةِ/bini'mati//رَبِّكَ/رَبِّكَ/rabbika//بِمَجْنُوْنٍۚ/بِمَجۡنُونٖ/bimajnunin",
              "words_bangla": "না//তুমি//অনুগ্রহে//তোমার রবের//পাগল"
            },
            {
              "number": 5274,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5274.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5274.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5274.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5274.mp3"
              ],
              "text": "وَإِنَّ لَكَ لَأَجْرًا غَيْرَ مَمْنُونٍۢ",
              "translate_bn": "আপনার জন্যে অবশ্যই রয়েছে অশেষ পুরস্কার।",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লাকা লাআজরান গাইরা মামনূন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لَكَ/لَكَ/laka//لَاَجْرًا/لَأَجۡرًا/la-ajran//غَیْرَ/غَيۡرَ/ghayra//مَمْنُوْنٍۚ/مَمۡنُونٖ/mamnunin",
              "words_bangla": "এবং নিশ্চয়//তোমার জন্য//অবশ্যই(আছে) পুরস্কার//ছাড়া//শেষ"
            },
            {
              "number": 5275,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5275.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5275.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5275.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5275.mp3"
              ],
              "text": "وَإِنَّكَ لَعَلَىٰ خُلُقٍ عَظِيمٍۢ",
              "translate_bn": "আপনি অবশ্যই মহান চরিত্রের অধিকারী।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাকা লা‘আলা-খুলুকিন ‘আজীম।",
              "words_arabic": "وَ اِنَّكَ/وَإِنَّكَ/wa-innaka//لَعَلٰی/لَعَلَىٰ/la'ala//خُلُقٍ/خُلُقٍ/khuluqin//عَظِیْمٍ /عَظِيمٖ/azimin",
              "words_bangla": "এবং তুমি নিশ্চয়//উপর অবশ্যই(অথিষ্ঠিত)//চরিত্রের//মহান"
            },
            {
              "number": 5276,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5276.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5276.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5276.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5276.mp3"
              ],
              "text": "فَسَتُبْصِرُ وَيُبْصِرُونَ",
              "translate_bn": "সত্ত্বরই আপনি দেখে নিবেন এবং তারাও দেখে নিবে।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাছাতুবসিরু ওয়া ইউবসিরূন।",
              "words_arabic": "فَسَتُبْصِرُ/فَسَتُبۡصِرُ/fasatub'siru//وَ یُبْصِرُوْنَۙ/وَيُبۡصِرُونَ/wayub'siruna",
              "words_bangla": "অতএব তুমি শীঘ্রই দেখবে//এবং তারা দেখবে,"
            },
            {
              "number": 5277,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5277.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5277.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5277.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5277.mp3"
              ],
              "text": "بِأَييِّكُمُ ٱلْمَفْتُونُ",
              "translate_bn": "কে তোমাদের মধ্যে বিকারগ্রস্ত।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "বিআইয়িকুমুল মাফতূন।",
              "words_arabic": "بِاَىیِّكُمُ/بِأَييِّكُمُ/bi-ayyikumu//الْمَفْتُوْنُ /ٱلۡمَفۡتُونُ/al-maftunu",
              "words_bangla": "তোমাদের মধ্যে কে//বিকারগ্রস্ত"
            },
            {
              "number": 5278,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5278.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5278.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5278.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5278.mp3"
              ],
              "text": "إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ",
              "translate_bn": "আপনার পালনকর্তা সম্যক জানেন কে তাঁর পথ থেকে বিচ্যুত হয়েছে এবং তিনি জানেন যারা সৎপথ প্রাপ্ত।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা হুওয়া আ‘লামুবিমান দাল্লা ‘আন ছাবীলিহী ওয়াহুওয়া আ‘লামু বিলমুহতাদীন।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//هُوَ/هُوَ/huwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَنْ/بِمَن/biman//ضَلَّ/ضَلَّ/dalla//عَنْ/عَن/an//سَبِیْلِهٖ ۪/سَبِيلِهِۦ/sabilihi//وَ هُوَ/وَهُوَ/wahuwa//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِالْمُهْتَدِیْنَ /بِٱلۡمُهۡتَدِينَ/bil-muh'tadina",
              "words_bangla": "নিশ্চয়//তোমার রব,//তিনিই//সব জানেন//কে//ভ্রষ্ট হয়েছে//থেকে//তার পথ,//এবং তিনিই//সব জানেন//পথ প্রাপ্তদেরকে"
            },
            {
              "number": 5279,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5279.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5279.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5279.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5279.mp3"
              ],
              "text": "فَلَا تُطِعِ ٱلْمُكَذِّبِينَ",
              "translate_bn": "অতএব, আপনি মিথ্যারোপকারীদের আনুগত্য করবেন না।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফালা-তুতি‘ইল মুকাযযি বীন।",
              "words_arabic": "فَلَا/فَلَا/fala//تُطِعِ/تُطِعِ/tuti'i//الْمُكَذِّبِیْنَ /ٱلۡمُكَذِّبِينَ/al-mukadhibina",
              "words_bangla": "না অতএব//মেনো//মিথ্যারোপকারীদের।"
            },
            {
              "number": 5280,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5280.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5280.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5280.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5280.mp3"
              ],
              "text": "وَدُّوا۟ لَوْ تُدْهِنُ فَيُدْهِنُونَ",
              "translate_bn": "তারা চায় যদি আপনি নমনীয় হন, তবে তারাও নমনীয় হবে।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়াদ্দূলাও তুদহিনুফাইউদহিনূন।",
              "words_arabic": "وَدُّوْا/وَدُّواْ/waddu//لَوْ/لَوۡ/law//تُدْهِنُ/تُدۡهِنُ/tud'hinu//فَیُدْهِنُوْنَ /فَيُدۡهِنُونَ/fayud'hinuna",
              "words_bangla": "তারা চাই//যদি//তুমি নমনীয় হও//তবে তারা নমনীয় হবে"
            },
            {
              "number": 5281,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5281.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5281.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5281.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5281.mp3"
              ],
              "text": "وَلَا تُطِعْ كُلَّ حَلَّافٍۢ مَّهِينٍ",
              "translate_bn": "যে অধিক শপথ করে, যে লাঞ্ছিত, আপনি তার আনুগত্য করবেন না।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তুতি‘ কুল্লা হাল্লাফিম মাহীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تُطِعْ/تُطِعۡ/tuti'//كُلَّ/كُلَّ/kulla//حَلَّافٍ/حَلَّافٖ/hallafin//مَّهِیْنٍۙ/مَّهِينٍ/mahinin",
              "words_bangla": "এবং না//অনুসরণ করে!//প্রত্যেক//অত্যাধিক শপথকারী//গুরুত্বহীন(ব্যক্তির)"
            },
            {
              "number": 5282,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5282.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5282.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5282.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5282.mp3"
              ],
              "text": "هَمَّازٍۢ مَّشَّآءٍۭ بِنَمِيمٍۢ",
              "translate_bn": "যে পশ্চাতে নিন্দা করে একের কথা অপরের নিকট লাগিয়ে ফিরে।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "হাম্মা-ঝিম মাশশাইম বিনামীম।",
              "words_arabic": "هَمَّازٍ/هَمَّازٖ/hammazin//مَّشَّآءٍۭ/مَّشَّآءِۭ/mashain//بِنَمِیْمٍۙ/بِنَمِيمٖ/binamimin",
              "words_bangla": "নিন্দাকারী//ঘুরে বেড়াই//চোগলখুরীসহ"
            },
            {
              "number": 5283,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5283.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5283.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5283.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5283.mp3"
              ],
              "text": "مَّنَّاعٍۢ لِّلْخَيْرِ مُعْتَدٍ أَثِيمٍ",
              "translate_bn": "যে ভাল কাজে বাধা দেয়, সে সীমালংঘন করে, সে পাপিষ্ঠ,",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "মান্না-‘ইলিলল খাইরি মু‘তাদিন আছীম।",
              "words_arabic": "مَّنَّاعٍ/مَّنَّاعٖ/manna'in//لِّلْخَیْرِ/لِّلۡخَيۡرِ/lil'khayri//مُعْتَدٍ/مُعۡتَدٍ/mu'tadin//اَثِیْمٍۙ/أَثِيمٍ/athimin",
              "words_bangla": "প্রতিবন্ধক,//কল্যানের জন্য//সীমালংঘণকারী,//পাপিষ্ঠ"
            },
            {
              "number": 5284,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5284.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5284.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5284.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5284.mp3"
              ],
              "text": "عُتُلٍّۭ بَعْدَ ذَٰلِكَ زَنِيمٍ",
              "translate_bn": "কঠোর স্বভাব, তদুপরি কুখ্যাত;",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "‘উতুলিলম বা‘দা যা- লিকা ঝানীম।",
              "words_arabic": "عُتُلٍّۭ/عُتُلِّۭ/utullin//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//زَنِیْمٍۙ/زَنِيمٍ/zanimin",
              "words_bangla": "নিষ্ঠুর,//পরে//এর//(এ কারণে) বদজাতও"
            },
            {
              "number": 5285,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5285.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5285.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5285.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5285.mp3"
              ],
              "text": "أَن كَانَ ذَا مَالٍۢ وَبَنِينَ",
              "translate_bn": "এ কারণে যে, সে ধন-সম্পদ ও সন্তান সন্ততির অধিকারী।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আন কা-না যা- মা-লিওঁ ওয়া বানীন।",
              "words_arabic": "اَنْ/أَن/an//كَانَ/كَانَ/kana//ذَا/ذَا/dha//مَالٍ/مَالٖ/malin//وَّ بَنِیْنَؕ/وَبَنِينَ/wabanina",
              "words_bangla": "যে//সেছিলো//অধিকারী//মালের(ধন-সম্পদের)//এবং সন্তানসন্ততির"
            },
            {
              "number": 5286,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5286.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5286.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5286.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5286.mp3"
              ],
              "text": "إِذَا تُتْلَىٰ عَلَيْهِ ءَايَٰتُنَا قَالَ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "তার কাছে আমার আয়াত পাঠ করা হলে সে বলে; সেকালের উপকথা।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 564,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইযা-তুতলা- ‘আলাইহি আ-য়া-তুনা- কা- লা আছা-তীরুল আওওয়ালীন।",
              "words_arabic": "اِذَا/إِذَا/idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//قَالَ/قَالَ/qala//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَ /ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "যখন//আবৃত্তি করা হয়//তার নিকট//আমাদের আয়াতগুলো,//সে বলে,//\"গল্পকাহিনী সমুহ//আগেরকালের(লোকদের)\""
            },
            {
              "number": 5287,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5287.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5287.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5287.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5287.mp3"
              ],
              "text": "سَنَسِمُهُۥ عَلَى ٱلْخُرْطُومِ",
              "translate_bn": "আমি তার নাসিকা দাগিয়ে দিব।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ছানাছিমুহূ‘আলাল খুরতূম।",
              "words_arabic": "سَنَسِمُهٗ/سَنَسِمُهُۥ/sanasimuhu//عَلَی/عَلَى/ala//الْخُرْطُوْمِ /ٱلۡخُرۡطُومِ/al-khur'tumi",
              "words_bangla": "তাকে দাগাব শিঘ্র//উপর//শুড়ের"
            },
            {
              "number": 5288,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5288.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5288.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5288.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5288.mp3"
              ],
              "text": "إِنَّا بَلَوْنَٰهُمْ كَمَا بَلَوْنَآ أَصْحَٰبَ ٱلْجَنَّةِ إِذْ أَقْسَمُوا۟ لَيَصْرِمُنَّهَا مُصْبِحِينَ",
              "translate_bn": "আমি তাদেরকে পরীক্ষা করেছি, যেমন পরীক্ষা করেছি উদ্যানওয়ালাদের, যখন তারা শপথ করেছিল যে, সকালে বাগানের ফল আহরণ করবে,",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইন্না- বালাওনা- হুম কামা-বালাওনাআসাহা-বাল জান্নাতি ইযআকছামূ লাইয়াসরিমুন্নাহা- মুসবিহীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//بَلَوْنٰهُمْ/بَلَوۡنَٰهُمۡ/balawnahum//كَمَا/كَمَا/kama//بَلَوْنَاۤ/بَلَوۡنَآ/balawna//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْجَنَّةِ ۚ/ٱلۡجَنَّةِ/al-janati//اِذْ/إِذۡ/idh//اَقْسَمُوْا/أَقۡسَمُواْ/aqsamu//لَیَصْرِمُنَّهَا/لَيَصۡرِمُنَّهَا/layasrimunnaha//مُصْبِحِیْنَۙ/مُصۡبِحِينَ/mus'bihina",
              "words_bangla": "নিশ্চয়,আমরা//তাদের পরীক্ষায় ফেলেছি//যেমন//আমরা পরীক্ষা করেছিলাম//মালিকদের//বাগানটির//যখন//তারা শপথ করেছিল//তারা অবশ্যই তা কাটবে(পাড়িবে)//সকাল(হতে)"
            },
            {
              "number": 5289,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5289.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5289.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5289.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5289.mp3"
              ],
              "text": "وَلَا يَسْتَثْنُونَ",
              "translate_bn": "ইনশাআল্লাহ না বলে।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াছতাছনূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَسْتَثْنُوْنَ /يَسۡتَثۡنُونَ/yastathnuna",
              "words_bangla": "এবং না//তারা ব্যাতিক্রম রাখলো"
            },
            {
              "number": 5290,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5290.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5290.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5290.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5290.mp3"
              ],
              "text": "فَطَافَ عَلَيْهَا طَآئِفٌۭ مِّن رَّبِّكَ وَهُمْ نَآئِمُونَ",
              "translate_bn": "অতঃপর আপনার পালনকর্তার পক্ষ থেকে বাগানে এক বিপদ এসে পতিত হলো। যখন তারা নিদ্রিত ছিল।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাতা-ফা ‘আলাইহা- তাইফুম মিররাব্বিকা ওয়া হুম নাইমূন।",
              "words_arabic": "فَطَافَ/فَطَافَ/fatafa//عَلَیْهَا/عَلَيۡهَا/alayha//طَآىِٕفٌ/طَآئِفٞ/taifun//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//وَ هُمْ/وَهُمۡ/wahum//نَآىِٕمُوْنَ /نَآئِمُونَ/naimuna",
              "words_bangla": "অতএব বিপদ আসলো//তার উপর//বিপদ//থেকে//তোমার রবের,//এবং তারা(ছিল)//ঘুমন্ত অবস্থায়"
            },
            {
              "number": 5291,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5291.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5291.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5291.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5291.mp3"
              ],
              "text": "فَأَصْبَحَتْ كَٱلصَّرِيمِ",
              "translate_bn": "ফলে সকাল পর্যন্ত হয়ে গেল ছিন্নবিচ্ছিন্ন তৃণসম।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাআসবাহাত কাসসারীম।",
              "words_arabic": "فَاَصْبَحَتْ/فَأَصۡبَحَتۡ/fa-asbahat//كَالصَّرِیْمِۙ/كَٱلصَّرِيمِ/kal-sarimi",
              "words_bangla": "ফলে হয়ে গেল//কর্তিত ফসলের মত"
            },
            {
              "number": 5292,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5292.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5292.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5292.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5292.mp3"
              ],
              "text": "فَتَنَادَوْا۟ مُصْبِحِينَ",
              "translate_bn": "সকালে তারা একে অপরকে ডেকে বলল,",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাতানা-দাও মুসবিহীন।",
              "words_arabic": "فَتَنَادَوْا/فَتَنَادَوۡاْ/fatanadaw//مُصْبِحِیْنَۙ/مُصۡبِحِينَ/mus'bihina",
              "words_bangla": "অতঃপর পরস্পরে ডাকলো//সকাল(হতে)"
            },
            {
              "number": 5293,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5293.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5293.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5293.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5293.mp3"
              ],
              "text": "أَنِ ٱغْدُوا۟ عَلَىٰ حَرْثِكُمْ إِن كُنتُمْ صَٰرِمِينَ",
              "translate_bn": "তোমরা যদি ফল আহরণ করতে চাও, তবে সকাল সকাল ক্ষেতে চল।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আনিগদূ‘আলা-হারছিকুম ইন কুনতুম সা-রিমীন।",
              "words_arabic": "اَنِ/أَنِ/ani//اغْدُوْا/ٱغۡدُواْ/igh'du//عَلٰی/عَلَىٰ/ala//حَرْثِكُمْ/حَرۡثِكُمۡ/harthikum//اِنْ/إِن/in//كُنْتُمْ/كُنتُمۡ/kuntum//صٰرِمِیْنَ /صَٰرِمِينَ/sarimina",
              "words_bangla": "যে//\"সকালে চলো//দিকে//তোমাদের ক্ষেতের//যদি//তোমরা হও//ফসল কর্তনকারী\""
            },
            {
              "number": 5294,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5294.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5294.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5294.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5294.mp3"
              ],
              "text": "فَٱنطَلَقُوا۟ وَهُمْ يَتَخَٰفَتُونَ",
              "translate_bn": "অতঃপর তারা চলল ফিসফিস করে কথা বলতে বলতে,",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফানতালাকূওয়া হুম ইয়াতাখা-ফাতূন।",
              "words_arabic": "فَانْطَلَقُوْا/فَٱنطَلَقُواْ/fa-intalaqu//وَ هُمْ/وَهُمۡ/wahum//یَتَخَافَتُوْنَۙ/يَتَخَٰفَتُونَ/yatakhafatuna",
              "words_bangla": "অতঃপর তারা চললো//এবং তারা//নিচু স্বরে বলছিল"
            },
            {
              "number": 5295,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5295.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5295.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5295.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5295.mp3"
              ],
              "text": "أَن لَّا يَدْخُلَنَّهَا ٱلْيَوْمَ عَلَيْكُم مِّسْكِينٌۭ",
              "translate_bn": "অদ্য যেন কোন মিসকীন ব্যক্তি তোমাদের কাছে বাগানে প্রবেশ করতে না পারে।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আল্লা-ইয়াদখুলান্নাহাল ইয়াওমা ‘আলাইকুম মিছকীন।",
              "words_arabic": "اَنْ/أَن/an//لَّا/لَّا/la//یَدْخُلَنَّهَا/يَدۡخُلَنَّهَا/yadkhulannaha//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّسْكِیْنٌۙ/مِّسۡكِينٞ/mis'kinun",
              "words_bangla": "যে//\"না//এতে নিশ্চয়ই প্রবেশ করবে//আজ//তোমাদের কাছে//ভিখারী\""
            },
            {
              "number": 5296,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5296.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5296.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5296.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5296.mp3"
              ],
              "text": "وَغَدَوْا۟ عَلَىٰ حَرْدٍۢ قَٰدِرِينَ",
              "translate_bn": "তারা সকালে লাফিয়ে লাফিয়ে সজোরে রওয়ানা হল।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়া গাদাও ‘আলা- হার দিন কা- দিরীন।",
              "words_arabic": "وَّ غَدَوْا/وَغَدَوۡاْ/waghadaw//عَلٰی/عَلَىٰ/ala//حَرْدٍ/حَرۡدٖ/hardin//قٰدِرِیْنَ /قَٰدِرِينَ/qadirina",
              "words_bangla": "এবং তারা চললো//ব্যাপারে(যেন)//নিবৃত্ত করার//সক্ষম"
            },
            {
              "number": 5297,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5297.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5297.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5297.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5297.mp3"
              ],
              "text": "فَلَمَّا رَأَوْهَا قَالُوٓا۟ إِنَّا لَضَآلُّونَ",
              "translate_bn": "অতঃপর যখন তারা বাগান দেখল, তখন বললঃ আমরা তো পথ ভূলে গেছি।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফালাম্মা- রআওহা-কা- লূইন্না-লাদাললূন।",
              "words_arabic": "فَلَمَّا/فَلَمَّا/falamma//رَاَوْهَا/رَأَوۡهَا/ra-awha//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّا/إِنَّا/inna//لَضَآلُّوْنَۙ/لَضَآلُّونَ/ladalluna",
              "words_bangla": "কিন্তু যখন//তারা তা দেখলো//তারা বলল,//\"নিশ্চয় আমরা//অবশ্যই পথভ্রষ্ট"
            },
            {
              "number": 5298,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5298.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5298.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5298.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5298.mp3"
              ],
              "text": "بَلْ نَحْنُ مَحْرُومُونَ",
              "translate_bn": "বরং আমরা তো কপালপোড়া,",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "বাল নাহনূমাহরূমূন।",
              "words_arabic": "بَلْ/بَلۡ/bal//نَحْنُ/نَحۡنُ/nahnu//مَحْرُوْمُوْنَ /مَحۡرُومُونَ/mahrumuna",
              "words_bangla": "বরং//আমরা//বঞ্চিত\""
            },
            {
              "number": 5299,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5299.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5299.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5299.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5299.mp3"
              ],
              "text": "قَالَ أَوْسَطُهُمْ أَلَمْ أَقُل لَّكُمْ لَوْلَا تُسَبِّحُونَ",
              "translate_bn": "তাদের উত্তম ব্যক্তি বললঃ আমি কি তোমাদেরকে বলিনি? এখনও তোমরা আল্লাহ তা’আলার পবিত্রতা বর্ণনা করছো না কেন?",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "কা-লা আওছাতুহুম আলাম আকুল্লাকুম লাওলা-তুছাব্বিহূন",
              "words_arabic": "قَالَ/قَالَ/qala//اَوْسَطُهُمْ/أَوۡسَطُهُمۡ/awsatuhum//اَلَمْ/أَلَمۡ/alam//اَقُلْ/أَقُل/aqul//لَّكُمْ/لَّكُمۡ/lakum//لَوْ لَا/لَوۡلَا/lawla//تُسَبِّحُوْنَ /تُسَبِّحُونَ/tusabbihuna",
              "words_bangla": "বললো//তাদের শ্রেষ্ঠ ব্যাক্তি//\"নাই কি//আমি বলি//তোমাদেরকে//না কেন//তোমরা তসবিহ করো"
            },
            {
              "number": 5300,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5300.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5300.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5300.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5300.mp3"
              ],
              "text": "قَالُوا۟ سُبْحَٰنَ رَبِّنَآ إِنَّا كُنَّا ظَٰلِمِينَ",
              "translate_bn": "তারা বললঃ আমরা আমাদের পালনকর্তার পবিত্রতা ঘোষণা করছি, নিশ্চিতই আমরা সীমালংঘনকারী ছিলাম।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "কা-লূছুবহা- না রাব্বিনাইন্না-কুন্না- জা- লিমীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//سُبْحٰنَ/سُبۡحَٰنَ/sub'hana//رَبِّنَاۤ/رَبِّنَآ/rabbina//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//ظٰلِمِیْنَ /ظَٰلِمِينَ/zalimina",
              "words_bangla": "তারা বললো//\"পবিত্র//আমাদের রব//নিশ্চিত//(আমরা)ছিলাম//যালেম\""
            },
            {
              "number": 5301,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5301.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5301.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5301.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5301.mp3"
              ],
              "text": "فَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍۢ يَتَلَٰوَمُونَ",
              "translate_bn": "অতঃপর তারা একে অপরকে ভৎর্সনা করতে লাগল।",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাআকবালা বা‘দুহুম ‘আলা-বা‘দিইঁ ইয়াতালা-ওয়ামূন।\r\n",
              "words_arabic": "فَاَقْبَلَ/فَأَقۡبَلَ/fa-aqbala//بَعْضُهُمْ/بَعۡضُهُمۡ/ba'duhum//عَلٰی/عَلَىٰ/ala//بَعْضٍ/بَعۡضٖ/ba'din//یَّتَلَاوَمُوْنَ /يَتَلَٰوَمُونَ/yatalawamuna",
              "words_bangla": "অতএব তারা মুখোমুখি হলো//তাদের একে//প্রতি//অপরের//তিরস্কার করতে লাগলো"
            },
            {
              "number": 5302,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5302.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5302.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5302.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5302.mp3"
              ],
              "text": "قَالُوا۟ يَٰوَيْلَنَآ إِنَّا كُنَّا طَٰغِينَ",
              "translate_bn": "তারা বললঃ হায়! দুর্ভোগ আমাদের আমরা ছিলাম সীমাতিক্রমকারী।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "কা-লূইয়া- ওয়াইলানা ইন্না-কুন্না-তা-গীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//یٰوَیْلَنَاۤ/يَٰوَيۡلَنَآ/yawaylana//اِنَّا/إِنَّا/inna//كُنَّا/كُنَّا/kunna//طٰغِیْنَ /طَٰغِينَ/taghina",
              "words_bangla": "তারা বললো//\"আমাদের আফসোস//আমরা নিশ্চয়//ছিলাম//সিমালংঘনকারী"
            },
            {
              "number": 5303,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5303.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5303.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5303.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5303.mp3"
              ],
              "text": "عَسَىٰ رَبُّنَآ أَن يُبْدِلَنَا خَيْرًۭا مِّنْهَآ إِنَّآ إِلَىٰ رَبِّنَا رَٰغِبُونَ",
              "translate_bn": "সম্ভবতঃ আমাদের পালনকর্তা পরিবর্তে এর চাইতে উত্তম বাগান আমাদেরকে দিবেন। আমরা আমাদের পালনকর্তার কাছে আশাবাদী।",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "‘আছা-রাব্বুনাআইঁ ইউবদিলানা-খাইরাম মিনহাইন্নাইলা-রাব্বিনা-রা-গিবূন।",
              "words_arabic": "عَسٰی/عَسَىٰ/asa//رَبُّنَاۤ/رَبُّنَآ/rabbuna//اَنْ/أَن/an//یُّبْدِلَنَا/يُبۡدِلَنَا/yub'dilana//خَیْرًا/خَيۡرٗا/khayran//مِّنْهَاۤ/مِّنۡهَآ/min'ha//اِنَّاۤ/إِنَّآ/inna//اِلٰی/إِلَىٰ/ila//رَبِّنَا/رَبِّنَا/rabbina//رٰغِبُوْنَ /رَٰغِبُونَ/raghibuna",
              "words_bangla": "সম্ভবত//আমাদের রব//দেবেন//আমাদের বদলে//উত্তম//তা হতেও//আমরা নিশ্চত//দিকে//আমাদের রবের//অভিমুখী হলাম\""
            },
            {
              "number": 5304,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5304.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5304.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5304.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5304.mp3"
              ],
              "text": "كَذَٰلِكَ ٱلْعَذَابُ ۖ وَلَعَذَابُ ٱلْءَاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ",
              "translate_bn": "শাস্তি এভাবেই আসে এবং পরকালের শাস্তি আরও গুরুতর; যদি তারা জানত!",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 498,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকাল ‘আযা-বু ওয়ালা‘আযা-বুল আ-খিরাতি আকবারু । লাও কা-নূ ইয়া‘লামূন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//الْعَذَابُ ؕ/ٱلۡعَذَابُۖ/al-'adhabu//وَ لَعَذَابُ/وَلَعَذَابُ/wala'adhabu//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//اَكْبَرُ ۘ/أَكۡبَرُۚ/akbaru//لَوْ/لَوۡ/law//كَانُوْا/كَانُواْ/kanu//یَعْلَمُوْنَ۠/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "এমনই//আযাব//এবং আযাব অবশ্যই//আখিরাতের//অনেক বড়//যদি//তারা//জানত"
            },
            {
              "number": 5305,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5305.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5305.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5305.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5305.mp3"
              ],
              "text": "إِنَّ لِلْمُتَّقِينَ عِندَ رَبِّهِمْ جَنَّٰتِ ٱلنَّعِيمِ",
              "translate_bn": "মোত্তাকীদের জন্যে তাদের পালনকর্তার কাছে রয়েছে নেয়ামতের জান্নাত।",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইন্না লিলমুত্তাকীনা ‘ইনদা রাব্বিহিম জান্না-তিন না‘ঈম।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//لِلْمُتَّقِیْنَ/لِلۡمُتَّقِينَ/lil'muttaqina//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//جَنّٰتِ/جَنَّـٰتِ/jannati//النَّعِیْمِ /ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "নিশ্চয়//পরহেজগারদের জন্য//কাছে রয়েছে//তাদের রবের//জান্নাতসমূহ//নিয়ামতে ভরা"
            },
            {
              "number": 5306,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5306.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5306.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5306.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5306.mp3"
              ],
              "text": "أَفَنَجْعَلُ ٱلْمُسْلِمِينَ كَٱلْمُجْرِمِينَ",
              "translate_bn": "আমি কি আজ্ঞাবহদেরকে অপরাধীদের ন্যায় গণ্য করব?",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আফানাজ‘আলুল মুছলিমীনা কালমুজরিমীন।",
              "words_arabic": "اَفَنَجْعَلُ/أَفَنَجۡعَلُ/afanaj'alu//الْمُسْلِمِیْنَ/ٱلۡمُسۡلِمِينَ/al-mus'limina//كَالْمُجْرِمِیْنَؕ/كَٱلۡمُجۡرِمِينَ/kal-muj'rimina",
              "words_bangla": "অতএব আমরা কি বানাব//আত্মসমর্পণ কারীদের//যেমন অপরাধকারীদের"
            },
            {
              "number": 5307,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5307.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5307.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5307.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5307.mp3"
              ],
              "text": "مَا لَكُمْ كَيْفَ تَحْكُمُونَ",
              "translate_bn": "তোমাদের কি হল ? তোমরা কেমন সিদ্ধান্ত দিচ্ছ?",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "মা-লাকুম কাইফা তাহকুমূন।\r\n",
              "words_arabic": "مَا/مَا/ma//لَكُمْ ۥ/لَكُمۡ/lakum//كَیْفَ/كَيۡفَ/kayfa//تَحْكُمُوْنَۚ/تَحۡكُمُونَ/tahkumuna",
              "words_bangla": "কি//তোমাদের হয়েছে//কেমন//তোমরা বিচার কর"
            },
            {
              "number": 5308,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5308.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5308.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5308.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5308.mp3"
              ],
              "text": "أَمْ لَكُمْ كِتَٰبٌۭ فِيهِ تَدْرُسُونَ",
              "translate_bn": "তোমাদের কি কোন কিতাব আছে, যা তোমরা পাঠ কর।",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আম লাকুম কিতা-বুন ফীহি তাদরুছূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَكُمْ/لَكُمۡ/lakum//كِتٰبٌ/كِتَٰبٞ/kitabun//فِیْهِ/فِيهِ/fihi//تَدْرُسُوْنَۙ/تَدۡرُسُونَ/tadrusuna",
              "words_bangla": "অথবা//তোমাদের জন্যে//কিতাব(আছে)//তার মধ্যে//তোমরা পড়"
            },
            {
              "number": 5309,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5309.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5309.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5309.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5309.mp3"
              ],
              "text": "إِنَّ لَكُمْ فِيهِ لَمَا تَخَيَّرُونَ",
              "translate_bn": "তাতে তোমরা যা পছন্দ কর, তাই পাও?",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইন্না লাকুম ফীহি লামা- তাখাইইয়ারূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//لَكُمْ/لَكُمۡ/lakum//فِیْهِ/فِيهِ/fihi//لَمَا/لَمَا/lama//تَخَیَّرُوْنَۚ/تَخَيَّرُونَ/takhayyaruna",
              "words_bangla": "নিশ্চয়//তোমাদের জন্য//তার মধ্যে//যা//তোমরা পছন্দ কর"
            },
            {
              "number": 5310,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5310.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5310.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5310.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5310.mp3"
              ],
              "text": "أَمْ لَكُمْ أَيْمَٰنٌ عَلَيْنَا بَٰلِغَةٌ إِلَىٰ يَوْمِ ٱلْقِيَٰمَةِ ۙ إِنَّ لَكُمْ لَمَا تَحْكُمُونَ",
              "translate_bn": "না তোমরা আমার কাছ থেকেকেয়ামত পর্যন্ত বলবৎ কোন শপথ নিয়েছ যে, তোমরা তাই পাবে যা তোমরা সিদ্ধান্ত করবে?",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আম লাকুম আইমা-নুন ‘আলাইনা- বা-লিগাতুন ইলা-ইয়াওমিল কিয়া-মাতি ইন্না লাকুম লামা-তাহকুমূন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَكُمْ/لَكُمۡ/lakum//اَیْمَانٌ/أَيۡمَٰنٌ/aymanun//عَلَیْنَا/عَلَيۡنَا/alayna//بَالِغَةٌ/بَٰلِغَةٌ/balighatun//اِلٰی/إِلَىٰ/ila//یَوْمِ/يَوۡمِ/yawmi//الْقِیٰمَةِ ۙ/ٱلۡقِيَٰمَةِ/al-qiyamati//اِنَّ/إِنَّ/inna//لَكُمْ/لَكُمۡ/lakum//لَمَا/لَمَا/lama//تَحْكُمُوْنَۚ/تَحۡكُمُونَ/tahkumuna",
              "words_bangla": "অথবা//তোমাদের জন্যে রয়েছে//প্রতিশ্রুতি//আমাদের উপর//বলবৎ//পর্যন্ত//দিন//কিয়ামতের//নিশ্চয়//তোমাদের জন্যে আছে//যা//তোমরা সিদ্ধান্ত নিচ্ছ"
            },
            {
              "number": 5311,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5311.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5311.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5311.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5311.mp3"
              ],
              "text": "سَلْهُمْ أَيُّهُم بِذَٰلِكَ زَعِيمٌ",
              "translate_bn": "আপনি তাদেরকে জিজ্ঞাসা করুন তাদের কে এ বিষয়ে দায়িত্বশীল?",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ছালহুম আইয়ুহুম বিযা-লিকা ঝা‘ঈম।",
              "words_arabic": "سَلْهُمْ/سَلۡهُمۡ/salhum//اَیُّهُمْ/أَيُّهُم/ayyuhum//بِذٰلِكَ/بِذَٰلِكَ/bidhalika//زَعِیْمٌۚۛ/زَعِيمٌ/za'imun",
              "words_bangla": "তাদের জিজ্ঞেস কর//তাদের মধ্যে কে//এই ক্ষেত্রে//যিম্নাদার"
            },
            {
              "number": 5312,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5312.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5312.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5312.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5312.mp3"
              ],
              "text": "أَمْ لَهُمْ شُرَكَآءُ فَلْيَأْتُوا۟ بِشُرَكَآئِهِمْ إِن كَانُوا۟ صَٰدِقِينَ",
              "translate_bn": "না তাদের কোন শরীক উপাস্য আছে? থাকলে তাদের শরীক উপাস্যদেরকে উপস্থিত করুক যদি তারা সত্যবাদী হয়।",
              "numberInSurah": 41,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আম লাহুম শুরাকা-উ ফালইয়া’তূবিশুরাকাইহিম ইন কা-নূসা-দিকীন।",
              "words_arabic": "اَمْ/أَمۡ/am//لَهُمْ/لَهُمۡ/lahum//شُرَكَآءُ ۛۚ/شُرَكَآءُ/shurakau//فَلْیَاْتُوْا/فَلۡيَأۡتُواْ/falyatu//بِشُرَكَآىِٕهِمْ/بِشُرَكَآئِهِمۡ/bishurakaihim//اِنْ/إِن/in//كَانُوْا/كَانُواْ/kanu//صٰدِقِیْنَ /صَٰدِقِينَ/sadiqina",
              "words_bangla": "অথবা//তাদের জন্যে আছে//অংশীদার//অতএব তারা উপস্থিত করুক//তাদের শরীকদের//যদি//হয় তারা//সত্যবাদী"
            },
            {
              "number": 5313,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5313.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5313.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5313.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5313.mp3"
              ],
              "text": "يَوْمَ يُكْشَفُ عَن سَاقٍۢ وَيُدْعَوْنَ إِلَى ٱلسُّجُودِ فَلَا يَسْتَطِيعُونَ",
              "translate_bn": "গোছা পর্যন্ত পা খোলার দিনের কথা স্মরণ কর, সেদিন তাদেরকে সেজদা করতে আহবান জানানো হবে, অতঃপর তারা সক্ষম হবে না।",
              "numberInSurah": 42,
              "juz": 29,
              "manzil": 7,
              "page": 565,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউকশাফূ‘আন ছা-কিওঁ ওয়াইউদ‘আওনা ইলাছছুজূদি ফালা-ইয়াছতাতী‘ঊন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یُكْشَفُ/يُكۡشَفُ/yuk'shafu//عَنْ/عَن/an//سَاقٍ/سَاقٖ/saqin//وَّ یُدْعَوْنَ/وَيُدۡعَوۡنَ/wayud'awna//اِلَی/إِلَى/ila//السُّجُوْدِ/ٱلسُّجُودِ/al-sujudi//فَلَا/فَلَا/fala//یَسْتَطِیْعُوْنَۙ/يَسۡتَطِيعُونَ/yastati'una",
              "words_bangla": "সসেদিন//উন্মোচিত হবে//থেকে//পিণ্ডলী//এবং তাদের ডাকা হবে//দিকে//সিজদাসমূহের//না তখন//তারা পারবে"
            },
            {
              "number": 5314,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5314.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5314.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5314.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5314.mp3"
              ],
              "text": "خَٰشِعَةً أَبْصَٰرُهُمْ تَرْهَقُهُمْ ذِلَّةٌۭ ۖ وَقَدْ كَانُوا۟ يُدْعَوْنَ إِلَى ٱلسُّجُودِ وَهُمْ سَٰلِمُونَ",
              "translate_bn": "তাদের দৃষ্টি অবনত থাকবে; তারা লাঞ্ছনাগ্রস্ত হবে, অথচ যখন তারা সুস্থ ও স্বাভাবিক অবস্থায় ছিল, তখন তাদেরকে সেজদা করতে আহবান জানানো হত।",
              "numberInSurah": 43,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "খা-শি‘আতান আবসা-রুহুম তারহাকুহুম যিল্লাতুওঁ ওয়াকাদ কা-নূইউদ‘আওনা ইলাছছুজূদি ওয়াহুম ছা-লিমূন।",
              "words_arabic": "خَاشِعَةً/خَٰشِعَةً/khashi'atan//اَبْصَارُهُمْ/أَبۡصَٰرُهُمۡ/absaruhum//تَرْهَقُهُمْ/تَرۡهَقُهُمۡ/tarhaquhum//ذِلَّةٌ ؕ/ذِلَّةٞۖ/dhillatun//وَ قَدْ/وَقَدۡ/waqad//كَانُوْا/كَانُواْ/kanu//یُدْعَوْنَ/يُدۡعَوۡنَ/yud'awna//اِلَی/إِلَى/ila//السُّجُوْدِ/ٱلسُّجُودِ/al-sujudi//وَ هُمْ/وَهُمۡ/wahum//سٰلِمُوْنَ /سَٰلِمُونَ/salimuna",
              "words_bangla": "অবনত হবে//তাদের দৃষ্টিগুলো//তাদের আচ্ছাদিত করবে//অপমান//এবং নিশ্চয়//তারা ছিল//তাদের ডাকা হতো//দিকে//সিজদাসমূহের//অথচ তারা//নিরাপদ ছিল"
            },
            {
              "number": 5315,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5315.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5315.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5315.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5315.mp3"
              ],
              "text": "فَذَرْنِى وَمَن يُكَذِّبُ بِهَٰذَا ٱلْحَدِيثِ ۖ سَنَسْتَدْرِجُهُم مِّنْ حَيْثُ لَا يَعْلَمُونَ",
              "translate_bn": "অতএব, যারা এই কালামকে মিথ্যা বলে, তাদেরকে আমার হাতে ছেড়ে দিন, আমি এমন ধীরে ধীরে তাদেরকে জাহান্নামের দিকে নিয়ে যাব যে, তারা জানতে পারবে না।",
              "numberInSurah": 44,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাযারনী ওয়া মাইঁ ইউকাযযি বুবিহা-যাল হাদীছি ছানাছতাদরিজুহুম মিন হাইছুলাইয়া‘লামূন।",
              "words_arabic": "فَذَرْنِیْ/فَذَرۡنِي/fadharni//وَ مَنْ/وَمَن/waman//یُّكَذِّبُ/يُكَذِّبُ/yukadhibu//بِهٰذَا/بِهَٰذَا/bihadha//الْحَدِیْثِ ؕ/ٱلۡحَدِيثِۖ/al-hadithi//سَنَسْتَدْرِجُهُمْ/سَنَسۡتَدۡرِجُهُم/sanastadrijuhum//مِّنْ/مِّنۡ/min//حَیْثُ/حَيۡثُ/haythu//لَا/لَا/la//یَعْلَمُوْنَۙ/يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "অতএব আমাকে ছেড়ে দাও//এবং যে//মিথ্যারোপ করে//এর উপর//কথার//শীঘ্রয় আমরা তাদের ক্রমে ক্রমে নিয়ে যাব//থেকে//যেখান//না//তারা জানতেও পারবে"
            },
            {
              "number": 5316,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5316.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5316.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5316.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5316.mp3"
              ],
              "text": "وَأُمْلِى لَهُمْ ۚ إِنَّ كَيْدِى مَتِينٌ",
              "translate_bn": "আমি তাদেরকে সময় দেই। নিশ্চয় আমার কৌশল মজবুত।",
              "numberInSurah": 45,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়া উমলী লাহুম ইন্না কাইদী মাতীন।",
              "words_arabic": "وَ اُمْلِیْ/وَأُمۡلِي/wa-um'li//لَهُمْ ؕ/لَهُمۡۚ/lahum//اِنَّ/إِنَّ/inna//كَیْدِیْ/كَيۡدِي/kaydi//مَتِیْنٌ /مَتِينٌ/matinun",
              "words_bangla": "এবং আমি অবকাশ দিচ্ছি//তাদের জন্যে//নিশ্চয়//আমার কাইদা(কোশল)//বলিষ্ঠ"
            },
            {
              "number": 5317,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5317.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5317.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5317.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5317.mp3"
              ],
              "text": "أَمْ تَسْـَٔلُهُمْ أَجْرًۭا فَهُم مِّن مَّغْرَمٍۢ مُّثْقَلُونَ",
              "translate_bn": "আপনি কি তাদের কাছে পারিশ্রমিক চান? ফলে তাদের উপর জরিমানার বোঝা পড়ছে?",
              "numberInSurah": 46,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আম তাছআলুহুম আজরান ফাহুম মিম মাগরামিম মুছকালূন।",
              "words_arabic": "اَمْ/أَمۡ/am//تَسْـَٔلُهُمْ/تَسۡـَٔلُهُمۡ/tasaluhum//اَجْرًا/أَجۡرٗا/ajran//فَهُمْ/فَهُم/fahum//مِّنْ/مِّن/min//مَّغْرَمٍ/مَّغۡرَمٖ/maghramin//مُّثْقَلُوْنَۚ/مُّثۡقَلُونَ/muth'qaluna",
              "words_bangla": "কি//তাদের কাছে তুমি চাচ্ছ//কোন পারিশ্রমিক//অতএব তারা//থেকে//জরিমানা//বোঝাগ্রস্থ"
            },
            {
              "number": 5318,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5318.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5318.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5318.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5318.mp3"
              ],
              "text": "أَمْ عِندَهُمُ ٱلْغَيْبُ فَهُمْ يَكْتُبُونَ",
              "translate_bn": "না তাদের কাছে গায়বের খবর আছে? অতঃপর তারা তা লিপিবদ্ধ করে।",
              "numberInSurah": 47,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "আম ‘ইনদাহুমুল গাইবুফাহুম ইয়াকতুবূন।",
              "words_arabic": "اَمْ/أَمۡ/am//عِنْدَهُمُ/عِندَهُمُ/indahumu//الْغَیْبُ/ٱلۡغَيۡبُ/al-ghaybu//فَهُمْ/فَهُمۡ/fahum//یَكْتُبُوْنَ /يَكۡتُبُونَ/yaktubuna",
              "words_bangla": "কি//তাদের কাছে আছে//গায়েবের(জ্ঞান)//বা তারা//লিখে রাখে"
            },
            {
              "number": 5319,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5319.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5319.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5319.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5319.mp3"
              ],
              "text": "فَٱصْبِرْ لِحُكْمِ رَبِّكَ وَلَا تَكُن كَصَاحِبِ ٱلْحُوتِ إِذْ نَادَىٰ وَهُوَ مَكْظُومٌۭ",
              "translate_bn": "আপনি আপনার পালনকর্তার আদেশের অপেক্ষায় সবর করুন এবং মাছওয়ালা ইউনুসের মত হবেন না, যখন সে দুঃখাকুল মনে প্রার্থনা করেছিল।",
              "numberInSurah": 48,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাসবির লিহুকমি রাব্বিকা ওয়ালা-তাকুন কাসা-হিবিল হূত । ইয না -দা- ওযা হুওয়া মাকজূম।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//لِحُكْمِ/لِحُكۡمِ/lihuk'mi//رَبِّكَ/رَبِّكَ/rabbika//وَ لَا/وَلَا/wala//تَكُنْ/تَكُن/takun//كَصَاحِبِ/كَصَاحِبِ/kasahibi//الْحُوْتِ ۘ/ٱلۡحُوتِ/al-huti//اِذْ/إِذۡ/idh//نَادٰی/نَادَىٰ/nada//وَ هُوَ/وَهُوَ/wahuwa//مَكْظُوْمٌؕ/مَكۡظُومٞ/makzumun",
              "words_bangla": "অতএব সবর কর//ফয়সালার জন্যে//তোমার রবের//এবং না//হয়ো//ওঁয়ালার মতো//মাছ//যখন//শসে ডেকেছিল//এবং সে//বিষণ্ণ ছিল"
            },
            {
              "number": 5320,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5320.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5320.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5320.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5320.mp3"
              ],
              "text": "لَّوْلَآ أَن تَدَٰرَكَهُۥ نِعْمَةٌۭ مِّن رَّبِّهِۦ لَنُبِذَ بِٱلْعَرَآءِ وَهُوَ مَذْمُومٌۭ",
              "translate_bn": "যদি তার পালনকর্তার অনুগ্রহ তাকে সামাল না দিত, তবে সে নিন্দিত অবস্থায় জনশুন্য প্রান্তরে নিক্ষিপ্ত হত।",
              "numberInSurah": 49,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "লাওলা আন তাদা-রাকাহূনি‘মাতুম মিররাব্বিহী লানুবিযা বিল‘আরাইওযাহুওয়া মাযমূম।",
              "words_arabic": "لَوْ لَاۤ/لَّوۡلَآ/lawla//اَنْ/أَن/an//تَدٰرَكَهٗ/تَدَٰرَكَهُۥ/tadarakahu//نِعْمَةٌ/نِعۡمَةٞ/ni'matun//مِّنْ/مِّن/min//رَّبِّهٖ/رَّبِّهِۦ/rabbihi//لَنُبِذَ/لَنُبِذَ/lanubidha//بِالْعَرَآءِ/بِٱلۡعَرَآءِ/bil-'arai//وَ هُوَ/وَهُوَ/wahuwa//مَذْمُوْمٌ /مَذۡمُومٞ/madhmumun",
              "words_bangla": "যদি না//তাকে//পেতো//অনুগ্রহ//থেকে//তার রবের//অবশ্যই নিক্ষিপ্ত হতো//উন্মুক্ত প্রাস্তরে//এবং সে//নিন্দিত হতো"
            },
            {
              "number": 5321,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5321.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5321.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5321.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5321.mp3"
              ],
              "text": "فَٱجْتَبَٰهُ رَبُّهُۥ فَجَعَلَهُۥ مِنَ ٱلصَّٰلِحِينَ",
              "translate_bn": "অতঃপর তার পালনকর্তা তাকে মনোনীত করলেন এবং তাকে সৎকর্মীদের অন্তর্ভুক্ত করে নিলেন।",
              "numberInSurah": 50,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ফাজতাবা- হু রাব্বুহূফাজা‘আলাহূমিনাসসা-লিহীন।",
              "words_arabic": "فَاجْتَبٰىهُ/فَٱجۡتَبَٰهُ/fa-ij'tabahu//رَبُّهٗ/رَبُّهُۥ/rabbuhu//فَجَعَلَهٗ/فَجَعَلَهُۥ/faja'alahu//مِنَ/مِنَ/mina//الصّٰلِحِیْنَ /ٱلصَّـٰلِحِينَ/al-salihina",
              "words_bangla": "অতঃপর তাকে মনোনীত করলেন//তার রব//তাই তাকে করলেন//অন্তর্ভুক্ত//নেক বান্দাদের"
            },
            {
              "number": 5322,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5322.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5322.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5322.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5322.mp3"
              ],
              "text": "وَإِن يَكَادُ ٱلَّذِينَ كَفَرُوا۟ لَيُزْلِقُونَكَ بِأَبْصَٰرِهِمْ لَمَّا سَمِعُوا۟ ٱلذِّكْرَ وَيَقُولُونَ إِنَّهُۥ لَمَجْنُونٌۭ",
              "translate_bn": "কাফেররা যখন কোরআন শুনে, তখন তারা তাদের দৃষ্টি দ্বারা যেন আপনাকে আছাড় দিয়ে ফেলে দিবে এবং তারা বলেঃ সে তো একজন পাগল।",
              "numberInSurah": 51,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ঁ ইয়াকা- দুল্লাযীনা কাফারূ লাইউঝলিকূনাকা বিআবসা-রিহিম লাম্মাছামি‘উযযিকরা ওয়া ইয়াকূলূনা ইন্নাহূলামাজনূন।",
              "words_arabic": "وَ اِنْ/وَإِن/wa-in//یَّكَادُ/يَكَادُ/yakadu//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//لَیُزْلِقُوْنَكَ/لَيُزۡلِقُونَكَ/layuz'liqunaka//بِاَبْصَارِهِمْ/بِأَبۡصَٰرِهِمۡ/bi-absarihim//لَمَّا/لَمَّا/lamma//سَمِعُوا/سَمِعُواْ/sami'u//الذِّكْرَ/ٱلذِّكۡرَ/al-dhik'ra//وَ یَقُوْلُوْنَ/وَيَقُولُونَ/wayaquluna//اِنَّهٗ/إِنَّهُۥ/innahu//لَمَجْنُوْنٌۘ/لَمَجۡنُونٞ/lamajnunun",
              "words_bangla": "এবং যেন//মনে হয়//যারা//অস্বীকার করেছে//অবশ্যই তোমাকে পদংখলন করাবে//তাদের দৃষ্টিগুলো দিয়ে//যখন//তারা শুনে//উপদেশ(কুরআন)//এবং তারা বলে//\"সেনিশ্চয়//অবশ্যই পাগল\""
            },
            {
              "number": 5323,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5323.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5323.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5323.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5323.mp3"
              ],
              "text": "وَمَا هُوَ إِلَّا ذِكْرٌۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "অথচ এই কোরআন তো বিশ্বজগতের জন্যে উপদেশ বৈ নয়।",
              "numberInSurah": 52,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 499,
              "hizbQuarter": 226,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুওয়া ইল্লা- যিকরুলিলল‘আ- লামীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٌ/ذِكۡرٞ/dhik'run//لِّلْعٰلَمِیْنَ۠/لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "এবং নয়//তা//ছাড়া//উপদেশ//সারা বিশের জন্যে"
            }
          ]
        },
        {
          "number": 69,
          "name": "سُورَةُ الحَاقَّةِ",
          "englishName": "Al-Haaqqa",
          "englishNameTranslation": "The Reality",
          "revelationType": "Meccan",
          "verse": 52,
          "words": 575,
          "chars": 2318,
          "ayahs": [
            {
              "number": 5324,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5324.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5324.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5324.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5324.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْحَآقَّةُ",
              "translate_bn": "সুনিশ্চিত বিষয়।",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "আলহাক্কাহ।",
              "words_arabic": "اَلْحَآقَّةُۙ/ٱلۡحَآقَّةُ/al-haqatu",
              "words_bangla": "সুনিশ্চিত ঘটনা!"
            },
            {
              "number": 5325,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5325.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5325.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5325.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5325.mp3"
              ],
              "text": "مَا ٱلْحَآقَّةُ",
              "translate_bn": "সুনিশ্চিত বিষয় কি?",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "মাল হাক্কাহ ।",
              "words_arabic": "مَا/مَا/ma//الْحَآقَّةُۚ/ٱلۡحَآقَّةُ/al-haqatu",
              "words_bangla": "কি সেই?//সুনিশ্চিত ঘটনা"
            },
            {
              "number": 5326,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5326.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5326.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5326.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5326.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا ٱلْحَآقَّةُ",
              "translate_bn": "আপনি কি কিছু জানেন, সেই সুনিশ্চিত বিষয় কি?",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মাল হাক্কাহ ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//الْحَآقَّةُؕ/ٱلۡحَآقَّةُ/al-haqatu",
              "words_bangla": "এবং কি?//জান তুমি//কি সেই//সুনিশ্চিত ঘটনা"
            },
            {
              "number": 5327,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5327.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5327.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5327.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5327.mp3"
              ],
              "text": "كَذَّبَتْ ثَمُودُ وَعَادٌۢ بِٱلْقَارِعَةِ",
              "translate_bn": "আদ ও সামুদ গোত্র মহাপ্রলয়কে মিথ্যা বলেছিল।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ছামূদুওয়া ‘আ-দুম বিল কা-রি‘আহ।",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//ثَمُوْدُ/ثَمُودُ/thamudu//وَ عَادٌۢ/وَعَادُۢ/wa'adun//بِالْقَارِعَةِ /بِٱلۡقَارِعَةِ/bil-qari'ati",
              "words_bangla": "মিথারোপ করেছিল//সামুদ//এবং আদ//মহাপ্রলয়কে"
            },
            {
              "number": 5328,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5328.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5328.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5328.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5328.mp3"
              ],
              "text": "فَأَمَّا ثَمُودُ فَأُهْلِكُوا۟ بِٱلطَّاغِيَةِ",
              "translate_bn": "অতঃপর সমুদ গোত্রকে ধ্বংস করা হয়েছিল এক প্রলয়ংকর বিপর্যয় দ্বারা।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা- ছামূদুফাউহলিকূবিত্তা-গিয়াহ।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//ثَمُوْدُ/ثَمُودُ/thamudu//فَاُهْلِكُوْا/فَأُهۡلِكُواْ/fa-uh'liku//بِالطَّاغِیَةِ /بِٱلطَّاغِيَةِ/bil-taghiyati",
              "words_bangla": "আর//সামুদ//ধ্বংস করা হয়েছে অতঃপর//তাঁর ঝনঝা বায়ু দিয়ে"
            },
            {
              "number": 5329,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5329.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5329.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5329.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5329.mp3"
              ],
              "text": "وَأَمَّا عَادٌۭ فَأُهْلِكُوا۟ بِرِيحٍۢ صَرْصَرٍ عَاتِيَةٍۢ",
              "translate_bn": "এবং আদ গোত্রকে ধ্বংস করা হয়েছিল এক প্রচন্ড ঝঞ্জাবায়ূ,",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা- ‘আ-দুন ফাউহলিকূবিরীহিন সারসারিন ‘আ-তিয়াহ।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//عَادٌ/عَادٞ/adun//فَاُهْلِكُوْا/فَأُهۡلِكُواْ/fa-uh'liku//بِرِیْحٍ/بِرِيحٖ/birihin//صَرْصَرٍ/صَرۡصَرٍ/sarsarin//عَاتِیَةٍۙ/عَاتِيَةٖ/atiyatin",
              "words_bangla": "আর//আদ//অতঃপর ধ্বংস করা হয়েছে//বায়ু দিয়ে//ঝঞ্জা//প্রচন্ড"
            },
            {
              "number": 5330,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5330.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5330.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5330.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5330.mp3"
              ],
              "text": "سَخَّرَهَا عَلَيْهِمْ سَبْعَ لَيَالٍۢ وَثَمَٰنِيَةَ أَيَّامٍ حُسُومًۭا فَتَرَى ٱلْقَوْمَ فِيهَا صَرْعَىٰ كَأَنَّهُمْ أَعْجَازُ نَخْلٍ خَاوِيَةٍۢ",
              "translate_bn": "যা তিনি প্রবাহিত করেছিলেন তাদের উপর সাত রাত্রি ও আট দিবস পর্যন্ত অবিরাম। আপনি তাদেরকে দেখতেন যে, তারা অসার খর্জুর কান্ডের ন্যায় ভূপাতিত হয়ে রয়েছে।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ছাখখারাহা-‘আলাইহিম ছাব‘আ লাইয়া-লিওঁ ওয়া ছামা-নিয়াতা আইইয়া-মিন হুছূমান ফাতারাল কাওমা ফীহা-সার‘আ- কাআন্নাহুম আ‘জা-ঝুনাখলিন খা-বিয়াহ।",
              "words_arabic": "سَخَّرَهَا/سَخَّرَهَا/sakharaha//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//سَبْعَ/سَبۡعَ/sab'a//لَیَالٍ/لَيَالٖ/layalin//وَّ ثَمٰنِیَةَ/وَثَمَٰنِيَةَ/wathamaniyata//اَیَّامٍ ۙ/أَيَّامٍ/ayyamin//حُسُوْمًا ۙ/حُسُومٗاۖ/husuman//فَتَرَی/فَتَرَى/fatara//الْقَوْمَ/ٱلۡقَوۡمَ/al-qawma//فِیْهَا/فِيهَا/fiha//صَرْعٰی ۙ/صَرۡعَىٰ/sar'a//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//اَعْجَازُ/أَعۡجَازُ/a'jazu//نَخْلٍ/نَخۡلٍ/nakhlin//خَاوِیَةٍۚ/خَاوِيَةٖ/khawiyatin",
              "words_bangla": "তা প্রবাহিত করেন//তাদের উপর//সাত//রাত//এবং আট//দিন//ক্রমাগত//তুমি দেখতে তখন (তথায় থাকিলে)//সে জাতিকে//তার মধ্যে//পড়ে থাকা//তারা যেন//কাণ্ড সমূহ//খেজুর গাছের//পরিত্যাক্ত"
            },
            {
              "number": 5331,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5331.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5331.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5331.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5331.mp3"
              ],
              "text": "فَهَلْ تَرَىٰ لَهُم مِّنۢ بَاقِيَةٍۢ",
              "translate_bn": "আপনি তাদের কোন অস্তিত্ব দেখতে পান কি?",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 566,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাহাল তারা-লাহুম মিম বা-কিয়াহ।",
              "words_arabic": "فَهَلْ/فَهَلۡ/fahal//تَرٰی/تَرَىٰ/tara//لَهُمْ/لَهُم/lahum//مِّنْۢ/مِّنۢ/min//بَاقِیَةٍ /بَاقِيَةٖ/baqiyatin",
              "words_bangla": "কি এক্ষণে//তুমি দেখ//তদেরকে//কিছু//অবশিষ্ট"
            },
            {
              "number": 5332,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5332.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5332.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5332.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5332.mp3"
              ],
              "text": "وَجَآءَ فِرْعَوْنُ وَمَن قَبْلَهُۥ وَٱلْمُؤْتَفِكَٰتُ بِٱلْخَاطِئَةِ",
              "translate_bn": "ফেরাউন, তাঁর পূর্ববর্তীরা এবং উল্টে যাওয়া বস্তিবাসীরা গুরুতর পাপ করেছিল।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআ ফির‘আওনুওয়া মান কালাহূওয়াল মু’তাফিকা-তুবিল খা- তিআহ।",
              "words_arabic": "وَ جَآءَ/وَجَآءَ/wajaa//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//وَ مَنْ/وَمَن/waman//قَبْلَهٗ/قَبۡلَهُۥ/qablahu//وَ الْمُؤْتَفِكٰتُ/وَٱلۡمُؤۡتَفِكَٰتُ/wal-mu'tafikatu//بِالْخَاطِئَةِۚ/بِٱلۡخَاطِئَةِ/bil-khati-ati",
              "words_bangla": "এবং এসেছিল//ফিরাউন//ও যারা//তার পূর্বে//এবং উলটে দেয়া বস্তীবাসীদের//অপরাধের কারণে"
            },
            {
              "number": 5333,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5333.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5333.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5333.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5333.mp3"
              ],
              "text": "فَعَصَوْا۟ رَسُولَ رَبِّهِمْ فَأَخَذَهُمْ أَخْذَةًۭ رَّابِيَةً",
              "translate_bn": "তারা তাদের পালনকর্তার রসূলকে অমান্য করেছিল। ফলে তিনি তাদেরকে কঠোরহস্তে পাকড়াও করলেন।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফা‘আসাও রাছূলা রাব্বিহিম ফাআখাযাহুম আখযাতাররা-বিয়াহ।",
              "words_arabic": "فَعَصَوْا/فَعَصَوۡاْ/fa'asaw//رَسُوْلَ/رَسُولَ/rasula//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//فَاَخَذَهُمْ/فَأَخَذَهُمۡ/fa-akhadhahum//اَخْذَةً/أَخۡذَةٗ/akhdhatan//رَّابِیَةً /رَّابِيَةً/rabiyatan",
              "words_bangla": "অতঃপর তারা অমান্য করেছিল//রাসূলকে//তাদের রবের//ফলে তাদের ধরলেন//ধরা//শক্ত"
            },
            {
              "number": 5334,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5334.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5334.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5334.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5334.mp3"
              ],
              "text": "إِنَّا لَمَّا طَغَا ٱلْمَآءُ حَمَلْنَٰكُمْ فِى ٱلْجَارِيَةِ",
              "translate_bn": "যখন জলোচ্ছ্বাস হয়েছিল, তখন আমি তোমাদেরকে চলন্ত নৌযানে আরোহণ করিয়েছিলাম।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইন্না- লাম্মা-তাগালমাউ হামালনা-কুম ফিল জা-রিয়াহ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//لَمَّا/لَمَّا/lamma//طَغَا/طَغَا/tagha//الْمَآءُ/ٱلۡمَآءُ/al-mau//حَمَلْنٰكُمْ/حَمَلۡنَٰكُمۡ/hamalnakum//فِی/فِي/fi//الْجَارِیَةِۙ/ٱلۡجَارِيَةِ/al-jariyati",
              "words_bangla": "আমরা নিশ্চয়ই//যখন//জলোচ্ছ্বাস হয়েছিল//(পানি)//তোমাদের আমরা আরোহী করেছিলাম//মধ্যে//নৌযানের"
            },
            {
              "number": 5335,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5335.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5335.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5335.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5335.mp3"
              ],
              "text": "لِنَجْعَلَهَا لَكُمْ تَذْكِرَةًۭ وَتَعِيَهَآ أُذُنٌۭ وَٰعِيَةٌۭ",
              "translate_bn": "যাতে এ ঘটনা তোমাদের জন্যে স্মৃতির বিষয় এবং কান এটাকে উপদেশ গ্রহণের উপযোগী রূপে গ্রহণ করে।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "লিনাজ‘আলাহা-লাকুম তাযকিরাতাওঁ ওয়া তা‘ইয়াহাউযু নুওঁ ওয়া-‘ইয়াহ।",
              "words_arabic": "لِنَجْعَلَهَا/لِنَجۡعَلَهَا/linaj'alaha//لَكُمْ/لَكُمۡ/lakum//تَذْكِرَةً/تَذۡكِرَةٗ/tadhkiratan//وَّ تَعِیَهَاۤ/وَتَعِيَهَآ/wata'iyaha//اُذُنٌ/أُذُنٞ/udhunun//وَّاعِیَةٌ /وَٰعِيَةٞ/wa'iyatun",
              "words_bangla": "তা বানাই আমরা যেন//তোমাদের জন্যে//শিক্ষা//এবং তার ষ্মৃতি বহন করে//কান//স্মরন বাহক"
            },
            {
              "number": 5336,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5336.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5336.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5336.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5336.mp3"
              ],
              "text": "فَإِذَا نُفِخَ فِى ٱلصُّورِ نَفْخَةٌۭ وَٰحِدَةٌۭ",
              "translate_bn": "যখন শিংগায় ফুৎকার দেয়া হবে-একটি মাত্র ফুৎকার",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাইযা- নুফিখা ফিসসুরি নাফখাতুওঁ ওয়া- হিদাহ।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//نُفِخَ/نُفِخَ/nufikha//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//نَفْخَةٌ/نَفۡخَةٞ/nafkhatun//وَّاحِدَةٌۙ/وَٰحِدَةٞ/wahidatun",
              "words_bangla": "যখন অতঃপর//ফুক দেয়া হবে//মধ্যে//শিঙ্গায়//ফুক//একবার"
            },
            {
              "number": 5337,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5337.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5337.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5337.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5337.mp3"
              ],
              "text": "وَحُمِلَتِ ٱلْأَرْضُ وَٱلْجِبَالُ فَدُكَّتَا دَكَّةًۭ وَٰحِدَةًۭ",
              "translate_bn": "এবং পৃথিবী ও পর্বতমালা উত্তোলিত হবে ও চুর্ণ-বিচুর্ণ করে দেয়া হবে,",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুমিলাতিল আরদুওয়াল জিবা-লুফাদুক্কাতা- দাক্কাতাওঁ ওয়া-হিদাহ।\r\n",
              "words_arabic": "وَّ حُمِلَتِ/وَحُمِلَتِ/wahumilati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ الْجِبَالُ/وَٱلۡجِبَالُ/wal-jibalu//فَدُكَّتَا/فَدُكَّتَا/fadukkata//دَكَّةً/دَكَّةٗ/dakkatan//وَّاحِدَةًۙ/وَٰحِدَةٗ/wahidatan",
              "words_bangla": "এবং উঠানো হবে//যমীন//এবং পাহাড়গুলো//বিচূর্ণ করা হবে অতঃপর//চূর্ণ বিচূর্ণ//একবার"
            },
            {
              "number": 5338,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5338.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5338.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5338.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5338.mp3"
              ],
              "text": "فَيَوْمَئِذٍۢ وَقَعَتِ ٱلْوَاقِعَةُ",
              "translate_bn": "সেদিন কেয়ামত সংঘটিত হবে।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াওমাইযিওঁ ওয়াকা‘আতিল ওয়া-কি‘আহ।",
              "words_arabic": "فَیَوْمَىِٕذٍ/فَيَوۡمَئِذٖ/fayawma-idhin//وَّقَعَتِ/وَقَعَتِ/waqa'ati//الْوَاقِعَةُۙ/ٱلۡوَاقِعَةُ/al-waqi'atu",
              "words_bangla": "সেদিন অতঃপর//সংঘটিত হবে//মহাপ্রলয়"
            },
            {
              "number": 5339,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5339.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5339.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5339.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5339.mp3"
              ],
              "text": "وَٱنشَقَّتِ ٱلسَّمَآءُ فَهِىَ يَوْمَئِذٍۢ وَاهِيَةٌۭ",
              "translate_bn": "সেদিন আকাশ বিদীর্ণ হবে ও বিক্ষিপ্ত হবে।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ানশাক্কাতিছছামাউ ফাহিয়া ইয়াওমাইযিওঁ ওয়া-হিয়াহ।",
              "words_arabic": "وَ انْشَقَّتِ/وَٱنشَقَّتِ/wa-inshaqqati//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//فَهِیَ/فَهِيَ/fahiya//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//وَّاهِیَةٌۙ/وَاهِيَةٞ/wahiyatun",
              "words_bangla": "এবং বিদীর্ণ হবে//আসমান//তা অতঃপর//সেদিন//বিশ্লিষ্ট হবে"
            },
            {
              "number": 5340,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5340.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5340.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5340.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5340.mp3"
              ],
              "text": "وَٱلْمَلَكُ عَلَىٰٓ أَرْجَآئِهَا ۚ وَيَحْمِلُ عَرْشَ رَبِّكَ فَوْقَهُمْ يَوْمَئِذٍۢ ثَمَٰنِيَةٌۭ",
              "translate_bn": "এবং ফেরেশতাগণ আকাশের প্রান্তদেশে থাকবে ও আট জন ফেরেশতা আপনার পালনকর্তার আরশকে তাদের উর্ধ্বে বহন করবে।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মালাকু‘আলাআরজাইহা- ওয়া ইয়াহমিলু‘আরশা রাব্বিকা ফাওকাহুম ইয়াওমাইযিন ছামা-নিয়াহ।",
              "words_arabic": "وَّ الْمَلَكُ/وَٱلۡمَلَكُ/wal-malaku//عَلٰۤی/عَلَىٰٓ/ala//اَرْجَآىِٕهَا ؕ/أَرۡجَآئِهَاۚ/arjaiha//وَ یَحْمِلُ/وَيَحۡمِلُ/wayahmilu//عَرْشَ/عَرۡشَ/arsha//رَبِّكَ/رَبِّكَ/rabbika//فَوْقَهُمْ/فَوۡقَهُمۡ/fawqahum//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//ثَمٰنِیَةٌؕ/ثَمَٰنِيَةٞ/thamaniyatun",
              "words_bangla": "এবং ফেরেশতাগণ//উপর//(আসমানের) বিভিন্ন প্রান্তে থাকবে//এবং বহন করবে//আরশ//তোমার রবের//তাদের উপরে,//সেদিন//আট (ফেরেশতা)"
            },
            {
              "number": 5341,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5341.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5341.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5341.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5341.mp3"
              ],
              "text": "يَوْمَئِذٍۢ تُعْرَضُونَ لَا تَخْفَىٰ مِنكُمْ خَافِيَةٌۭ",
              "translate_bn": "সেদিন তোমাদেরকে উপস্থিত করা হবে। তোমাদের কোন কিছু গোপন থাকবে না।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমাইযিন তু‘রাদূনা লা- তাখফা- মিনকুম খা-ফিয়াহ।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//تُعْرَضُوْنَ/تُعۡرَضُونَ/tu'raduna//لَا/لَا/la//تَخْفٰی/تَخۡفَىٰ/takhfa//مِنْكُمْ/مِنكُمۡ/minkum//خَافِیَةٌ /خَافِيَةٞ/khafiyatun",
              "words_bangla": "সেদিন//পেশ করা হবে তোমাদের//না//আড়াল করা হবে//তোমাদের মধ্যে//কোন গোপন কিছুই"
            },
            {
              "number": 5342,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5342.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5342.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5342.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5342.mp3"
              ],
              "text": "فَأَمَّا مَنْ أُوتِىَ كِتَٰبَهُۥ بِيَمِينِهِۦ فَيَقُولُ هَآؤُمُ ٱقْرَءُوا۟ كِتَٰبِيَهْ",
              "translate_bn": "অতঃপর যার আমলনামা ডান হাতে দেয়া হবে, সে বলবেঃ নাও, তোমরাও আমলনামা পড়ে দেখ।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান ঊতিয়া কিতা-বাহূবিইয়ামীনিহী ফাইয়াকূলুহাউমুকরাঊ কিতা-বিয়াহ।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَنۡ/man//اُوْتِیَ/أُوتِيَ/utiya//كِتٰبَهٗ/كِتَٰبَهُۥ/kitabahu//بِیَمِیْنِهٖ ۙ/بِيَمِينِهِۦ/biyaminihi//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//هَآؤُمُ/هَآؤُمُ/haumu//اقْرَءُوْا/ٱقۡرَءُواْ/iq'rau//كِتٰبِیَهْۚ/كِتَٰبِيَهۡ/kitabiyah",
              "words_bangla": "আর//যাকে//দেয়া হবে//তার আমলনামা//তাঁর ডান হাতে//সে বলবে অতংপর//\"এখানে,//তোমরা পড়//আমার আমলনামা"
            },
            {
              "number": 5343,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5343.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5343.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5343.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5343.mp3"
              ],
              "text": "إِنِّى ظَنَنتُ أَنِّى مُلَٰقٍ حِسَابِيَهْ",
              "translate_bn": "আমি জানতাম যে, আমাকে হিসাবের সম্মুখীন হতে হবে।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইন্নী জানানতুআন্নী মুলা-কিন হিছা-বিয়াহ।",
              "words_arabic": "اِنِّیْ/إِنِّي/inni//ظَنَنْتُ/ظَنَنتُ/zanantu//اَنِّیْ/أَنِّي/anni//مُلٰقٍ/مُلَٰقٍ/mulaqin//حِسَابِیَهْۚ/حِسَابِيَهۡ/hisabiyah",
              "words_bangla": "নিশ্চয়ই, আমি//মনে করেছিলাম//আমি যে//সাক্ষাৎকারী//আমার হিসাবের\""
            },
            {
              "number": 5344,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5344.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5344.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5344.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5344.mp3"
              ],
              "text": "فَهُوَ فِى عِيشَةٍۢ رَّاضِيَةٍۢ",
              "translate_bn": "অতঃপর সে সুখী জীবন-যাপন করবে,",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাহুওয়া ফী ‘ঈশাতিররা-দিয়াহ।",
              "words_arabic": "فَهُوَ/فَهُوَ/fahuwa//فِیْ/فِي/fi//عِیْشَةٍ/عِيشَةٖ/ishatin//رَّاضِیَةٍۙ/رَّاضِيَةٖ/radiyatin",
              "words_bangla": "সে অতংপর//মধ্যে হবে//জীবনের//সন্তোষজনক"
            },
            {
              "number": 5345,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5345.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5345.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5345.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5345.mp3"
              ],
              "text": "فِى جَنَّةٍ عَالِيَةٍۢ",
              "translate_bn": "সুউচ্চ জান্নাতে।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফী জান্নাতিন ‘আ-লিয়াহ।",
              "words_arabic": "فِیْ/فِي/fi//جَنَّةٍ/جَنَّةٍ/jannatin//عَالِیَةٍۙ/عَالِيَةٖ/aliyatin",
              "words_bangla": "মধ্যে//জান্নাতের//সুউচ্চ"
            },
            {
              "number": 5346,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5346.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5346.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5346.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5346.mp3"
              ],
              "text": "قُطُوفُهَا دَانِيَةٌۭ",
              "translate_bn": "তার ফলসমূহ অবনমিত থাকবে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "কুতূফুহা- দা-নিয়াহ।",
              "words_arabic": "قُطُوْفُهَا/قُطُوفُهَا/qutufuha//دَانِیَةٌ /دَانِيَةٞ/daniyatun",
              "words_bangla": "তার ফলরাশি (থাকবে)//নিকটে"
            },
            {
              "number": 5347,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5347.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5347.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5347.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5347.mp3"
              ],
              "text": "كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَآ أَسْلَفْتُمْ فِى ٱلْأَيَّامِ ٱلْخَالِيَةِ",
              "translate_bn": "বিগত দিনে তোমরা যা প্রেরণ করেছিলে, তার প্রতিদানে তোমরা খাও এবং পান কর তৃপ্তি সহকারে।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "কুলূওয়াশরাবূহানীআম বিমাআছলাফতুম ফিল আইয়া-মিল খা-লিয়াহ।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//هَنِیْٓـًٔۢا/هَنِيٓـَٔۢا/hanian//بِمَاۤ/بِمَآ/bima//اَسْلَفْتُمْ/أَسۡلَفۡتُمۡ/aslaftum//فِی/فِي/fi//الْاَیَّامِ/ٱلۡأَيَّامِ/al-ayami//الْخَالِیَةِ /ٱلۡخَالِيَةِ/al-khaliyati",
              "words_bangla": "\"তোমরা খাও//ও পান কর//মজা করে//যা বদলে//তোমরা অতিবাহিত করেছ//মধ্যে//দিনগুলোর//বিগত\""
            },
            {
              "number": 5348,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5348.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5348.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5348.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5348.mp3"
              ],
              "text": "وَأَمَّا مَنْ أُوتِىَ كِتَٰبَهُۥ بِشِمَالِهِۦ فَيَقُولُ يَٰلَيْتَنِى لَمْ أُوتَ كِتَٰبِيَهْ",
              "translate_bn": "যার আমলনামা তার বাম হাতে দেয়া হবে, সে বলবেঃ হায় আমায় যদি আমার আমল নামা না দেয়া হতো।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান ঊতিয়া কিতা-বাহূবিশিমা-লিহী ফাইয়াকূলুইয়া- লাইতানী লাম ঊতা কিতা-বিয়াহ।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَنۡ/man//اُوْتِیَ/أُوتِيَ/utiya//كِتٰبَهٗ/كِتَٰبَهُۥ/kitabahu//بِشِمَالِهٖ ۙ۬/بِشِمَالِهِۦ/bishimalihi//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//یٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//لَمْ/لَمۡ/lam//اُوْتَ/أُوتَ/uta//كِتٰبِیَهْۚ/كِتَٰبِيَهۡ/kitabiyah",
              "words_bangla": "আর//যাকে//দেয়া হবে//তার আমলনামা//তার বাম হাতে//সে বলবে অতংপর//\"আমার আফসোস//না (যদি)//দেয়া হত//আমার আমলনামা"
            },
            {
              "number": 5349,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5349.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5349.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5349.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5349.mp3"
              ],
              "text": "وَلَمْ أَدْرِ مَا حِسَابِيَهْ",
              "translate_bn": "আমি যদি না জানতাম আমার হিসাব!",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম আদরি মা-হিছা-বিয়াহ।",
              "words_arabic": "وَ لَمْ/وَلَمۡ/walam//اَدْرِ/أَدۡرِ/adri//مَا/مَا/ma//حِسَابِیَهْۚ/حِسَابِيَهۡ/hisabiyah",
              "words_bangla": "এবং না//আমি জানতাম//যা//আমার হিসাব"
            },
            {
              "number": 5350,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5350.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5350.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5350.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5350.mp3"
              ],
              "text": "يَٰلَيْتَهَا كَانَتِ ٱلْقَاضِيَةَ",
              "translate_bn": "হায়, আমার মৃত্যুই যদি শেষ হত।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইয়া-লাইতাহা- কা-নাতিল কা-দিয়াহ।",
              "words_arabic": "یٰلَیْتَهَا/يَٰلَيۡتَهَا/yalaytaha//كَانَتِ/كَانَتِ/kanati//الْقَاضِیَةَۚ/ٱلۡقَاضِيَةَ/al-qadiyata",
              "words_bangla": "হায় তা//যদি হত//(মৃত্যু) চূড়ান্ত"
            },
            {
              "number": 5351,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5351.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5351.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5351.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5351.mp3"
              ],
              "text": "مَآ أَغْنَىٰ عَنِّى مَالِيَهْ ۜ",
              "translate_bn": "আমার ধন-সম্পদ আমার কোন উপকারে আসল না।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "মা আগনা- ‘আন্নী মা- লিয়াহ।",
              "words_arabic": "مَاۤ/مَآ/ma//اَغْنٰی/أَغۡنَىٰ/aghna//عَنِّیْ/عَنِّي/anni//مَالِیَهْۚ/مَالِيَهۡۜ/maliyah",
              "words_bangla": "না//কাজে আসল//আমার জন্যে//আমার ধন-সম্পদ,"
            },
            {
              "number": 5352,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5352.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5352.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5352.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5352.mp3"
              ],
              "text": "هَلَكَ عَنِّى سُلْطَٰنِيَهْ",
              "translate_bn": "আমার ক্ষমতাও বরবাদ হয়ে গেল।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "হালাকা ‘আন্নী ছুলতা-নিয়াহ।",
              "words_arabic": "هَلَكَ/هَلَكَ/halaka//عَنِّیْ/عَنِّي/anni//سُلْطٰنِیَهْۚ/سُلۡطَٰنِيَهۡ/sul'taniyah",
              "words_bangla": "বরবাদ হয়েছে//আমার থেকে//আমার ক্ষমতা\""
            },
            {
              "number": 5353,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5353.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5353.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5353.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5353.mp3"
              ],
              "text": "خُذُوهُ فَغُلُّوهُ",
              "translate_bn": "ফেরেশতাদেরকে বলা হবেঃ ধর একে গলায় বেড়ি পড়িয়ে দাও,",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "খুযূহু ফাগুললূহ।",
              "words_arabic": "خُذُوْهُ/خُذُوهُ/khudhuhu//فَغُلُّوْهُۙ/فَغُلُّوهُ/faghulluhu",
              "words_bangla": "\"তাকে ধর//তাকে বেড়ি অতংপর পরাও"
            },
            {
              "number": 5354,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5354.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5354.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5354.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5354.mp3"
              ],
              "text": "ثُمَّ ٱلْجَحِيمَ صَلُّوهُ",
              "translate_bn": "অতঃপর নিক্ষেপ কর জাহান্নামে।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মাল জাহীমা সাললূহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//الْجَحِیْمَ/ٱلۡجَحِيمَ/al-jahima//صَلُّوْهُۙ/صَلُّوهُ/salluhu",
              "words_bangla": "তারপর//জাহান্নামে//অগ্নিদগ্ধ কর."
            },
            {
              "number": 5355,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5355.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5355.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5355.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5355.mp3"
              ],
              "text": "ثُمَّ فِى سِلْسِلَةٍۢ ذَرْعُهَا سَبْعُونَ ذِرَاعًۭا فَٱسْلُكُوهُ",
              "translate_bn": "অতঃপর তাকে শৃঙ্খলিত কর সত্তর গজ দীর্ঘ এক শিকলে।",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ফী ছিলছিলাতিন যার‘উহা- ছাব‘ঊনা যিরা-‘আন ফাছলুকূহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//فِیْ/فِي/fi//سِلْسِلَةٍ/سِلۡسِلَةٖ/sil'silatin//ذَرْعُهَا/ذَرۡعُهَا/dhar'uha//سَبْعُوْنَ/سَبۡعُونَ/sab'una//ذِرَاعًا/ذِرَاعٗا/dhira'an//فَاسْلُكُوْهُؕ/فَٱسۡلُكُوهُ/fa-us'lukuhu",
              "words_bangla": "তারপর//মধ্যে//শিকল//তার দীর্ঘতা//সত্তর//হাত//অতংপর তাকে বেধে ফেল\""
            },
            {
              "number": 5356,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5356.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5356.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5356.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5356.mp3"
              ],
              "text": "إِنَّهُۥ كَانَ لَا يُؤْمِنُ بِٱللَّهِ ٱلْعَظِيمِ",
              "translate_bn": "নিশ্চয় সে মহান আল্লাহতে বিশ্বাসী ছিল না।",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূকা-না লা-ইউ’মিনুবিল্লা-হিল ‘আজীম।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//لَا/لَا/la//یُؤْمِنُ/يُؤۡمِنُ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الْعَظِیْمِۙ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "সে নিশ্চয়//ছিল//না//বিশ্বাসী//আল্লাহতে//মহান,"
            },
            {
              "number": 5357,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5357.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5357.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5357.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5357.mp3"
              ],
              "text": "وَلَا يَحُضُّ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ",
              "translate_bn": "এবং মিসকীনকে আহার্য দিতে উৎসাহিত করত না।",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 567,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহদ্দু ‘আলা- তা‘আ-মিল মিছকীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحُضُّ/يَحُضُّ/yahuddu//عَلٰی/عَلَىٰ/ala//طَعَامِ/طَعَامِ/ta'ami//الْمِسْكِیْنِؕ/ٱلۡمِسۡكِينِ/al-mis'kini",
              "words_bangla": "আর (করেনি) না//উৎসাহ দিত//উপর//খাওয়ানোর//মিসকিনকে"
            },
            {
              "number": 5358,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5358.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5358.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5358.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5358.mp3"
              ],
              "text": "فَلَيْسَ لَهُ ٱلْيَوْمَ هَٰهُنَا حَمِيمٌۭ",
              "translate_bn": "অতএব, আজকের দিন এখানে তার কোন সুহূদ নাই।",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফালাইছা লাহুল ইয়াওমা হা-হুনা- হামীম।",
              "words_arabic": "فَلَیْسَ/فَلَيۡسَ/falaysa//لَهُ/لَهُ/lahu//الْیَوْمَ/ٱلۡيَوۡمَ/al-yawma//هٰهُنَا/هَٰهُنَا/hahuna//حَمِیْمٌۙ/حَمِيمٞ/hamimun",
              "words_bangla": "নাই অতএব//তার জন্য//আজ//এখানে//কোন অন্তরঙ্গ বন্ধু,"
            },
            {
              "number": 5359,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5359.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5359.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5359.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5359.mp3"
              ],
              "text": "وَلَا طَعَامٌ إِلَّا مِنْ غِسْلِينٍۢ",
              "translate_bn": "এবং কোন খাদ্য নাই, ক্ষত-নিঃসৃত পুঁজ ব্যতীত।",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা- তা‘আ-মুন ইল্লা-মিন গিছলীন।",
              "words_arabic": "وَّ لَا/وَلَا/wala//طَعَامٌ/طَعَامٌ/ta'amun//اِلَّا/إِلَّا/illa//مِنْ/مِنۡ/min//غِسْلِیْنٍۙ/غِسۡلِينٖ/ghis'linin",
              "words_bangla": "এবং না//খাবার//ছাড়া//থেকে//ক্ষতনিংস্রিত রস"
            },
            {
              "number": 5360,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5360.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5360.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5360.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5360.mp3"
              ],
              "text": "لَّا يَأْكُلُهُۥٓ إِلَّا ٱلْخَٰطِـُٔونَ",
              "translate_bn": "গোনাহগার ব্যতীত কেউ এটা খাবে না।",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 500,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়া’কুলুহূইল্লাল খা-তিঊন।",
              "words_arabic": "لَّا/لَّا/la//یَاْكُلُهٗۤ/يَأۡكُلُهُۥٓ/yakuluhu//اِلَّا/إِلَّا/illa//الْخَاطِـُٔوْنَ۠/ٱلۡخَٰطِـُٔونَ/al-khatiuna",
              "words_bangla": "না//তা খায়//ছাড়া//অপরাধীরা"
            },
            {
              "number": 5361,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5361.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5361.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5361.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5361.mp3"
              ],
              "text": "فَلَآ أُقْسِمُ بِمَا تُبْصِرُونَ",
              "translate_bn": "তোমরা যা দেখ, আমি তার শপথ করছি।",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফালাউকছিমুবিমা-তুবসিরূন।",
              "words_arabic": "فَلَاۤ/فَلَآ/fala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِمَا/بِمَا/bima//تُبْصِرُوْنَۙ/تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "না অতংপর//আমি শপথ করে বলছি//যা//তুমি দেখো,"
            },
            {
              "number": 5362,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5362.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5362.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5362.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5362.mp3"
              ],
              "text": "وَمَا لَا تُبْصِرُونَ",
              "translate_bn": "এবং যা তোমরা দেখ না, তার-",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লা-তুবসিরূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//لَا/لَا/la//تُبْصِرُوْنَۙ/تُبۡصِرُونَ/tub'siruna",
              "words_bangla": "এবং যা//না//তুমি দেখো,"
            },
            {
              "number": 5363,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5363.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5363.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5363.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5363.mp3"
              ],
              "text": "إِنَّهُۥ لَقَوْلُ رَسُولٍۢ كَرِيمٍۢ",
              "translate_bn": "নিশ্চয়ই এই কোরআন একজন সম্মানিত রসূলের আনীত।",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূলাকাওলুরাছূলিন কারীম।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//لَقَوْلُ/لَقَوۡلُ/laqawlu//رَسُوْلٍ/رَسُولٖ/rasulin//كَرِیْمٍۚۙ/كَرِيمٖ/karimin",
              "words_bangla": "নিশ্চয় তা//বানী অবশ্যই//একজন রসূল (এর)//সম্মানিত"
            },
            {
              "number": 5364,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5364.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5364.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5364.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5364.mp3"
              ],
              "text": "وَمَا هُوَ بِقَوْلِ شَاعِرٍۢ ۚ قَلِيلًۭا مَّا تُؤْمِنُونَ",
              "translate_bn": "এবং এটা কোন কবির কালাম নয়; তোমরা কমই বিশ্বাস কর।",
              "numberInSurah": 41,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুওয়া বিকাওলি শা-‘ইরিন কালীলাম মা-তু’মিনূন।",
              "words_arabic": "وَّ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِقَوْلِ/بِقَوۡلِ/biqawli//شَاعِرٍ ؕ/شَاعِرٖۚ/sha'irin//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تُؤْمِنُوْنَۙ/تُؤۡمِنُونَ/tu'minuna",
              "words_bangla": "এবং না//তা//কথা//কবির//কমই//যা//তোমরা ইমান আন"
            },
            {
              "number": 5365,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5365.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5365.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5365.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5365.mp3"
              ],
              "text": "وَلَا بِقَوْلِ كَاهِنٍۢ ۚ قَلِيلًۭا مَّا تَذَكَّرُونَ",
              "translate_bn": "এবং এটা কোন অতীন্দ্রিয়বাদীর কথা নয়; তোমরা কমই অনুধাবন কর।",
              "numberInSurah": 42,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-বিকাওলি কা- হিনিন কালীলাম মা-তাযাক্কারূন।",
              "words_arabic": "وَ لَا/وَلَا/wala//بِقَوْلِ/بِقَوۡلِ/biqawli//كَاهِنٍ ؕ/كَاهِنٖۚ/kahinin//قَلِیْلًا/قَلِيلٗا/qalilan//مَّا/مَّا/ma//تَذَكَّرُوْنَؕ/تَذَكَّرُونَ/tadhakkaruna",
              "words_bangla": "এবং না//বানী//কোন গণকের//কমই//যা//তোমরা উপদেশ গ্রহণ কর"
            },
            {
              "number": 5366,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5366.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5366.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5366.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5366.mp3"
              ],
              "text": "تَنزِيلٌۭ مِّن رَّبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "এটা বিশ্বপালনকর্তার কাছ থেকে অবতীর্ণ।",
              "numberInSurah": 43,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "তানঝীলুম মিররাব্বিল ‘আ-লামীন।",
              "words_arabic": "تَنْزِیْلٌ/تَنزِيلٞ/tanzilun//مِّنْ/مِّن/min//رَّبِّ/رَّبِّ/rabbi//الْعٰلَمِیْنَ /ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "নাযিলকৃত//থেকে//রবের//মহাবিশ্বের"
            },
            {
              "number": 5367,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5367.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5367.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5367.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5367.mp3"
              ],
              "text": "وَلَوْ تَقَوَّلَ عَلَيْنَا بَعْضَ ٱلْأَقَاوِيلِ",
              "translate_bn": "সে যদি আমার নামে কোন কথা রচনা করত,",
              "numberInSurah": 44,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাও তাকাওওয়ালা ‘আলাইনা-বা‘দাল আকা-বীল।",
              "words_arabic": "وَ لَوْ/وَلَوۡ/walaw//تَقَوَّلَ/تَقَوَّلَ/taqawwala//عَلَیْنَا/عَلَيۡنَا/alayna//بَعْضَ/بَعۡضَ/ba'da//الْاَقَاوِیْلِۙ/ٱلۡأَقَاوِيلِ/al-aqawili",
              "words_bangla": "এবং যদি//কথা বানাত//আমাদের বিপক্ষে//কিছু//কথা"
            },
            {
              "number": 5368,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5368.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5368.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5368.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5368.mp3"
              ],
              "text": "لَأَخَذْنَا مِنْهُ بِٱلْيَمِينِ",
              "translate_bn": "তবে আমি তার দক্ষিণ হস্ত ধরে ফেলতাম,",
              "numberInSurah": 45,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "লাআখাযনা-মিনহু বিলইয়ামীন।",
              "words_arabic": "لَاَخَذْنَا/لَأَخَذۡنَا/la-akhadhna//مِنْهُ/مِنۡهُ/min'hu//بِالْیَمِیْنِۙ/بِٱلۡيَمِينِ/bil-yamini",
              "words_bangla": "অবশ্যই আমরা ধরতাম//তাকে//ডান হাত দ্বারা;"
            },
            {
              "number": 5369,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5369.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5369.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5369.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5369.mp3"
              ],
              "text": "ثُمَّ لَقَطَعْنَا مِنْهُ ٱلْوَتِينَ",
              "translate_bn": "অতঃপর কেটে দিতাম তার গ্রীবা।",
              "numberInSurah": 46,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লাকাতা‘না-মিনহুল ওয়াতীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَقَطَعْنَا/لَقَطَعۡنَا/laqata'na//مِنْهُ/مِنۡهُ/min'hu//الْوَتِیْنَؗۖ/ٱلۡوَتِينَ/al-watina",
              "words_bangla": "তারপর//অবশ্যই আমরা কাটতাম//তার থেকে//মহাধমনী."
            },
            {
              "number": 5370,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5370.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5370.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5370.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5370.mp3"
              ],
              "text": "فَمَا مِنكُم مِّنْ أَحَدٍ عَنْهُ حَٰجِزِينَ",
              "translate_bn": "তোমাদের কেউ তাকে রক্ষা করতে পারতে না।",
              "numberInSurah": 47,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফামা-মিনকুম মিন আহাদিন ‘আনহু হা-জিঝীন।",
              "words_arabic": "فَمَا/فَمَا/fama//مِنْكُمْ/مِنكُم/minkum//مِّنْ/مِّنۡ/min//اَحَدٍ/أَحَدٍ/ahadin//عَنْهُ/عَنۡهُ/anhu//حٰجِزِیْنَ /حَٰجِزِينَ/hajizina",
              "words_bangla": "এবং না//তোমাদের মধ্যে//কোন//কেও//[তার কাছ থেকে]//বিরতকারী"
            },
            {
              "number": 5371,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5371.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5371.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5371.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5371.mp3"
              ],
              "text": "وَإِنَّهُۥ لَتَذْكِرَةٌۭ لِّلْمُتَّقِينَ",
              "translate_bn": "এটা খোদাভীরুদের জন্যে অবশ্যই একটি উপদেশ।",
              "numberInSurah": 48,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাতাযকিরাতুল লিলমুত্তাকীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَتَذْكِرَةٌ/لَتَذۡكِرَةٞ/latadhkiratun//لِّلْمُتَّقِیْنَ /لِّلۡمُتَّقِينَ/lil'muttaqina",
              "words_bangla": "এবং তা//অবশ্যই উপদেশ//মুত্তাকীদের"
            },
            {
              "number": 5372,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5372.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5372.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5372.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5372.mp3"
              ],
              "text": "وَإِنَّا لَنَعْلَمُ أَنَّ مِنكُم مُّكَذِّبِينَ",
              "translate_bn": "আমি জানি যে, তোমাদের মধ্যে কেউ কেউ মিথ্যারোপ করবে।",
              "numberInSurah": 49,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না-লানা‘লামুআন্না মিনকুম মুকাযযিবীন।",
              "words_arabic": "وَ اِنَّا/وَإِنَّا/wa-inna//لَنَعْلَمُ/لَنَعۡلَمُ/lana'lamu//اَنَّ/أَنَّ/anna//مِنْكُمْ/مِنكُم/minkum//مُّكَذِّبِیْنَ /مُّكَذِّبِينَ/mukadhibina",
              "words_bangla": "এবং নিশ্চয় আমরা//অবশ্যই জানি//যে//তোমাদের মধ্যে//অস্বীকারকারীরা (সম্পূর্ণ)."
            },
            {
              "number": 5373,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5373.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5373.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5373.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5373.mp3"
              ],
              "text": "وَإِنَّهُۥ لَحَسْرَةٌ عَلَى ٱلْكَٰفِرِينَ",
              "translate_bn": "নিশ্চয় এটা কাফেরদের জন্যে অনুতাপের কারণ।",
              "numberInSurah": 50,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাহাছরাতুন ‘আলাল কা-ফিরীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَحَسْرَةٌ/لَحَسۡرَةٌ/lahasratun//عَلَی/عَلَى/ala//الْكٰفِرِیْنَ /ٱلۡكَٰفِرِينَ/al-kafirina",
              "words_bangla": "এবং নিশ্চয় তা//আক্ষেপের//উপর//কাফিরদের."
            },
            {
              "number": 5374,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5374.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5374.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5374.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5374.mp3"
              ],
              "text": "وَإِنَّهُۥ لَحَقُّ ٱلْيَقِينِ",
              "translate_bn": "নিশ্চয় এটা নিশ্চিত সত্য।",
              "numberInSurah": 51,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলাহাক্কুল ইয়াকীন।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لَحَقُّ/لَحَقُّ/lahaqqu//الْیَقِیْنِ /ٱلۡيَقِينِ/al-yaqini",
              "words_bangla": "ও নিশ্চয় তা//অবশ্যই সত্য//সুনিশ্চিত"
            },
            {
              "number": 5375,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5375.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5375.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5375.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5375.mp3"
              ],
              "text": "فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ",
              "translate_bn": "অতএব, আপনি আপনার মহান পালনকর্তার নামের পবিত্রতা বর্ননা করুন।",
              "numberInSurah": 52,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 501,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাছাব্বিহবিছমি রাব্বিকাল ‘আজীম।",
              "words_arabic": "فَسَبِّحْ/فَسَبِّحۡ/fasabbih//بِاسْمِ/بِٱسۡمِ/bi-is'mi//رَبِّكَ/رَبِّكَ/rabbika//الْعَظِیْمِ۠/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "অতএব তাসবীহ পাঠ কর//নামের//তোমার রবের//মহান"
            }
          ]
        },
        {
          "number": 70,
          "name": "سُورَةُ المَعَارِجِ",
          "englishName": "Al-Ma'aarij",
          "englishNameTranslation": "The Ascending Stairways",
          "revelationType": "Meccan",
          "verse": 44,
          "words": 448,
          "chars": 1945,
          "ayahs": [
            {
              "number": 5376,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5376.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5376.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5376.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5376.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سَأَلَ سَآئِلٌۢ بِعَذَابٍۢ وَاقِعٍۢ",
              "translate_bn": "একব্যক্তি চাইল, সেই আযাব সংঘটিত হোক যা অবধারিত-",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ছাআলা ছাইলুম বি‘আযা-বিওঁ ওয়াকি‘।",
              "words_arabic": "سَاَلَ/سَأَلَ/sa-ala//سَآىِٕلٌۢ/سَآئِلُۢ/sailun//بِعَذَابٍ/بِعَذَابٖ/bi'adhabin//وَّاقِعٍۙ/وَاقِعٖ/waqi'in",
              "words_bangla": "জিজ্ঞাসা করল//এক প্রশ্নকারী//এমন আযাব সম্পর্কে//যা আপতিত হবে"
            },
            {
              "number": 5377,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5377.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5377.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5377.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5377.mp3"
              ],
              "text": "لِّلْكَٰفِرِينَ لَيْسَ لَهُۥ دَافِعٌۭ",
              "translate_bn": "কাফেরদের জন্যে, যার প্রতিরোধকারী কেউ নেই।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "লিলকা-ফিরীনা লাইছা লাহূদা-ফি‘।",
              "words_arabic": "لِّلْكٰفِرِیْنَ/لِّلۡكَٰفِرِينَ/lil'kafirina//لَیْسَ/لَيۡسَ/laysa//لَهٗ/لَهُۥ/lahu//دَافِعٌۙ/دَافِعٞ/dafi'un",
              "words_bangla": "কাফিরদের উপর,//নেই//তার//কোন প্রতিরোধকারী"
            },
            {
              "number": 5378,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5378.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5378.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5378.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5378.mp3"
              ],
              "text": "مِّنَ ٱللَّهِ ذِى ٱلْمَعَارِجِ",
              "translate_bn": "তা আসবে আল্লাহ তা’আলার পক্ষ থেকে, যিনি সমুন্নত মর্তবার অধিকারী।",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "মিনাল্লা-হি যিল মা‘আ-রিজ।",
              "words_arabic": "مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//ذِی/ذِي/dhi//الْمَعَارِجِؕ/ٱلۡمَعَارِجِ/al-ma'ariji",
              "words_bangla": "থেকে//আল্লাহ,//মালিক//ঊর্ধ্বারোহণের সোপানসমূহের অধিকারী"
            },
            {
              "number": 5379,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5379.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5379.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5379.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5379.mp3"
              ],
              "text": "تَعْرُجُ ٱلْمَلَٰٓئِكَةُ وَٱلرُّوحُ إِلَيْهِ فِى يَوْمٍۢ كَانَ مِقْدَارُهُۥ خَمْسِينَ أَلْفَ سَنَةٍۢ",
              "translate_bn": "ফেরেশতাগণ এবং রূহ আল্লাহ তা’আলার দিকে উর্ধ্বগামী হয় এমন একদিনে, যার পরিমাণ পঞ্চাশ হাজার বছর।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "তা‘রুজুলমালাইকাতুওয়াররূহুইলাইহি ফী ইয়াওমিন কা-না মিকদা-রুহূখামছীনা আলফা ছানাহ।",
              "words_arabic": "تَعْرُجُ/تَعۡرُجُ/ta'ruju//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//وَ الرُّوْحُ/وَٱلرُّوحُ/wal-ruhu//اِلَیْهِ/إِلَيۡهِ/ilayhi//فِیْ/فِي/fi//یَوْمٍ/يَوۡمٖ/yawmin//كَانَ/كَانَ/kana//مِقْدَارُهٗ/مِقۡدَارُهُۥ/miq'daruhu//خَمْسِیْنَ/خَمۡسِينَ/khamsina//اَلْفَ/أَلۡفَ/alfa//سَنَةٍۚ/سَنَةٖ/sanatin",
              "words_bangla": "চড়ে//ফেরেশতাগণ//ও রূহ(জিবরাঈল)//তাকে//মধ্যে//একদিনের//[হয়]//তার পরিমাপ//পঞ্চাশ (হয়)//হাজার//বছর"
            },
            {
              "number": 5380,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5380.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5380.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5380.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5380.mp3"
              ],
              "text": "فَٱصْبِرْ صَبْرًۭا جَمِيلًا",
              "translate_bn": "অতএব, আপনি উত্তম সবর করুন।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ফাসবির সাবরান জামীলা-।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//صَبْرًا/صَبۡرٗا/sabran//جَمِیْلًا /جَمِيلًا/jamilan",
              "words_bangla": "সুতরাং, ধৈর্য ধরুন//ধৈর্য//উত্তম"
            },
            {
              "number": 5381,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5381.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5381.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5381.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5381.mp3"
              ],
              "text": "إِنَّهُمْ يَرَوْنَهُۥ بَعِيدًۭا",
              "translate_bn": "তারা এই আযাবকে সুদূরপরাহত মনে করে,",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম ইয়ারাওনাহূবা‘ঈদা।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//یَرَوْنَهٗ/يَرَوۡنَهُۥ/yarawnahu//بَعِیْدًاۙ/بَعِيدٗا/ba'idan",
              "words_bangla": "তারা নিশ্চয়//তা দেখে//বহুদূরে"
            },
            {
              "number": 5382,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5382.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5382.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5382.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5382.mp3"
              ],
              "text": "وَنَرَىٰهُ قَرِيبًۭا",
              "translate_bn": "আর আমি একে আসন্ন দেখছি।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া নারা-হু কারীবা- ।",
              "words_arabic": "وَّ نَرٰىهُ/وَنَرَىٰهُ/wanarahu//قَرِیْبًاؕ/قَرِيبٗا/qariban",
              "words_bangla": "কিন্তু আমরা তা দেখেছি//নিকটে"
            },
            {
              "number": 5383,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5383.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5383.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5383.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5383.mp3"
              ],
              "text": "يَوْمَ تَكُونُ ٱلسَّمَآءُ كَٱلْمُهْلِ",
              "translate_bn": "সেদিন আকাশ হবে গলিত তামার মত।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তাকূনুছ ছামা-উ কালমুহল, ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَكُوْنُ/تَكُونُ/takunu//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//كَالْمُهْلِۙ/كَٱلۡمُهۡلِ/kal-muh'li",
              "words_bangla": "সেদিন//হবে//আকাশ//গলিত ধাতুর মত,"
            },
            {
              "number": 5384,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5384.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5384.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5384.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5384.mp3"
              ],
              "text": "وَتَكُونُ ٱلْجِبَالُ كَٱلْعِهْنِ",
              "translate_bn": "এবং পর্বতসমূহ হবে রঙ্গীন পশমের মত,",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাকূনুল জিবা-লুকাল‘ইহন।",
              "words_arabic": "وَ تَكُوْنُ/وَتَكُونُ/watakunu//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//كَالْعِهْنِۙ/كَٱلۡعِهۡنِ/kal-'ih'ni",
              "words_bangla": "এবং হবে//পর্বতসমূহ//রঙিন পশমের মত,"
            },
            {
              "number": 5385,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5385.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5385.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5385.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5385.mp3"
              ],
              "text": "وَلَا يَسْـَٔلُ حَمِيمٌ حَمِيمًۭا",
              "translate_bn": "বন্ধু বন্ধুর খবর নিবে না।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 568,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াছআলুহামীমুন হামীমা- ।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَسْـَٔلُ/يَسۡـَٔلُ/yasalu//حَمِیْمٌ/حَمِيمٌ/hamimun//حَمِیْمًاۚۖ/حَمِيمٗا/hamiman",
              "words_bangla": "এবং না//জিজ্ঞাসা করবে//কোন বন্ধু//বন্ধুকে"
            },
            {
              "number": 5386,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5386.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5386.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5386.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5386.mp3"
              ],
              "text": "يُبَصَّرُونَهُمْ ۚ يَوَدُّ ٱلْمُجْرِمُ لَوْ يَفْتَدِى مِنْ عَذَابِ يَوْمِئِذٍۭ بِبَنِيهِ",
              "translate_bn": "যদিও একে অপরকে দেখতে পাবে। সেদিন গোনাহগার ব্যক্তি পনস্বরূপ দিতে চাইবে তার সন্তান-সন্ততিকে,",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ইউবাসসারূনাহুম ইয়াওয়াদ্দুল মুজরিমুলাও ইয়াফতাদী মিন ‘আযা- বি ইয়াওমিইযিম ব্বিানীহ।",
              "words_arabic": "یُّبَصَّرُوْنَهُمْ ؕ/يُبَصَّرُونَهُمۡۚ/yubassarunahum//یَوَدُّ/يَوَدُّ/yawaddu//الْمُجْرِمُ/ٱلۡمُجۡرِمُ/al-muj'rimu//لَوْ/لَوۡ/law//یَفْتَدِیْ/يَفۡتَدِي/yaftadi//مِنْ/مِنۡ/min//عَذَابِ/عَذَابِ/adhabi//یَوْمِىِٕذٍۭ/يَوۡمِئِذِۭ/yawmi-idhin//بِبَنِیْهِۙ/بِبَنِيهِ/bibanihi",
              "words_bangla": "তাদেরকে দেখানো হবে//ইচ্ছা করবে//অপরাধী//যদি//মুক্তিপন দিতে পারত//থেকে//আযাব//সেদিন//তার সন্তানদের দ্বারা"
            },
            {
              "number": 5387,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5387.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5387.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5387.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5387.mp3"
              ],
              "text": "وَصَٰحِبَتِهِۦ وَأَخِيهِ",
              "translate_bn": "তার স্ত্রীকে, তার ভ্রাতাকে,",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া সা-হিবাতিহী ওয়া আখীহ।",
              "words_arabic": "وَ صَاحِبَتِهٖ/وَصَٰحِبَتِهِۦ/wasahibatihi//وَ اَخِیْهِۙ/وَأَخِيهِ/wa-akhihi",
              "words_bangla": "এবং তার স্ত্রী//এবং তার ভাই,"
            },
            {
              "number": 5388,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5388.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5388.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5388.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5388.mp3"
              ],
              "text": "وَفَصِيلَتِهِ ٱلَّتِى تُـْٔوِيهِ",
              "translate_bn": "তার গোষ্ঠীকে, যারা তাকে আশ্রয় দিত।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফাসীলাতিহিল্লাতী তু’বীহ।",
              "words_arabic": "وَ فَصِیْلَتِهِ/وَفَصِيلَتِهِ/wafasilatihi//الَّتِیْ/ٱلَّتِي/allati//تُـْٔوِیْهِۙ/تُـٔۡوِيهِ/tu'wihi",
              "words_bangla": "আর তার জ্ঞাতি-গোষ্ঠীকে//যা//তাকে আশ্রয় দেয়"
            },
            {
              "number": 5389,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5389.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5389.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5389.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5389.mp3"
              ],
              "text": "وَمَن فِى ٱلْأَرْضِ جَمِيعًۭا ثُمَّ يُنجِيهِ",
              "translate_bn": "এবং পৃথিবীর সবকিছুকে, অতঃপর নিজেকে রক্ষা করতে চাইবে।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া মান ফিল আরদিজামী‘আন ছু ম্মা ইউনজীহ।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//جَمِیْعًا ۙ/جَمِيعٗا/jami'an//ثُمَّ/ثُمَّ/thumma//یُنْجِیْهِۙ/يُنجِيهِ/yunjihi",
              "words_bangla": "এবং যা//মধ্যে্//যমীনের//সবকিছুই//তারপর//তাকে মুক্তি দিত"
            },
            {
              "number": 5390,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5390.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5390.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5390.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5390.mp3"
              ],
              "text": "كَلَّآ ۖ إِنَّهَا لَظَىٰ",
              "translate_bn": "কখনই নয়। নিশ্চয় এটা লেলিহান অগ্নি।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "কাল্লা- ইন্নাহা-লাজা- ।",
              "words_arabic": "كَلَّا ؕ/كَلَّآۖ/kalla//اِنَّهَا/إِنَّهَا/innaha//لَظٰیۙ/لَظَىٰ/laza",
              "words_bangla": "অবশ্যই নহে!//নিশ্চয় তা//লেলিহান আগুন"
            },
            {
              "number": 5391,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5391.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5391.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5391.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5391.mp3"
              ],
              "text": "نَزَّاعَةًۭ لِّلشَّوَىٰ",
              "translate_bn": "যা চামড়া তুলে দিবে।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "নাঝঝা‘আতাল লিশশাওয়া-।",
              "words_arabic": "نَزَّاعَةً/نَزَّاعَةٗ/nazza'atan//لِّلشَّوٰیۚۖ/لِّلشَّوَىٰ/lilshawa",
              "words_bangla": "লেহনকারী//চামড়াকে"
            },
            {
              "number": 5392,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5392.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5392.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5392.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5392.mp3"
              ],
              "text": "تَدْعُوا۟ مَنْ أَدْبَرَ وَتَوَلَّىٰ",
              "translate_bn": "সে সেই ব্যক্তিকে ডাকবে যে সত্যের প্রতি পৃষ্ঠপ্রদর্শন করেছিল ও বিমুখ হয়েছিল।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "তাদ‘উ মান আদবারা ওয়া তাওয়াল্লা- ।",
              "words_arabic": "تَدْعُوْا/تَدۡعُواْ/tad'u//مَنْ/مَنۡ/man//اَدْبَرَ/أَدۡبَرَ/adbara//وَ تَوَلّٰیۙ/وَتَوَلَّىٰ/watawalla",
              "words_bangla": "আহবান করে//যে//পিঠ প্রদর্শন করে//ও মুখ ফিরিয়ে"
            },
            {
              "number": 5393,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5393.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5393.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5393.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5393.mp3"
              ],
              "text": "وَجَمَعَ فَأَوْعَىٰٓ",
              "translate_bn": "সম্পদ পুঞ্জীভূত করেছিল, অতঃপর আগলিয়ে রেখেছিল।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 227,
              "sajda": false,
              "pronunciation_bn": "ওয়া জামা‘আ ফাআও‘আ- ।",
              "words_arabic": "وَ جَمَعَ/وَجَمَعَ/wajama'a//فَاَوْعٰی /فَأَوۡعَىٰٓ/fa-aw'a",
              "words_bangla": "এবং জমা করেছে//অতঃপর তা সংরক্ষিত রেখেছে"
            },
            {
              "number": 5394,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5394.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5394.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5394.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5394.mp3"
              ],
              "text": "۞ إِنَّ ٱلْإِنسَٰنَ خُلِقَ هَلُوعًا",
              "translate_bn": "মানুষ তো সৃজিত হয়েছে ভীরুরূপে।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল ইনছা-না খুলিকা হালূ‘আ- ।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//خُلِقَ/خُلِقَ/khuliqa//هَلُوْعًاۙ/هَلُوعًا/halu'an",
              "words_bangla": "নিশ্চয়//মানুষকে//সৃষ্টি করা হয়েছে//অস্থির"
            },
            {
              "number": 5395,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5395.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5395.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5395.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5395.mp3"
              ],
              "text": "إِذَا مَسَّهُ ٱلشَّرُّ جَزُوعًۭا",
              "translate_bn": "যখন তাকে অনিষ্ট স্পর্শ করে, তখন সে হা-হুতাশ করে।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইযা- মাছছাহুশশাররু জাঝূ‘আ- ।",
              "words_arabic": "اِذَا/إِذَا/idha//مَسَّهُ/مَسَّهُ/massahu//الشَّرُّ/ٱلشَّرُّ/al-sharu//جَزُوْعًاۙ/جَزُوعٗا/jazu'an",
              "words_bangla": "কখন//তাকে স্পর্শ করে//মন্দ,//দুর্দশাগ্রস্ত."
            },
            {
              "number": 5396,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5396.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5396.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5396.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5396.mp3"
              ],
              "text": "وَإِذَا مَسَّهُ ٱلْخَيْرُ مَنُوعًا",
              "translate_bn": "আর যখন কল্যাণপ্রাপ্ত হয়, তখন কৃপণ হয়ে যায়।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাছছাহুল খাইরু মানূ‘আ- ।",
              "words_arabic": "وَّ اِذَا/وَإِذَا/wa-idha//مَسَّهُ/مَسَّهُ/massahu//الْخَیْرُ/ٱلۡخَيۡرُ/al-khayru//مَنُوْعًاۙ/مَنُوعًا/manu'an",
              "words_bangla": "এবং কখন//তাকে স্পর্শ করে//কল্যাণ//কৃপণ হয়"
            },
            {
              "number": 5397,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5397.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5397.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5397.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5397.mp3"
              ],
              "text": "إِلَّا ٱلْمُصَلِّينَ",
              "translate_bn": "তবে তারা স্বতন্ত্র, যারা নামায আদায় কারী।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল মুসাল্লীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الْمُصَلِّیْنَۙ/ٱلۡمُصَلِّينَ/al-musalina",
              "words_bangla": "ছাড়া//নামাযিরা"
            },
            {
              "number": 5398,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5398.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5398.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5398.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5398.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ عَلَىٰ صَلَاتِهِمْ دَآئِمُونَ",
              "translate_bn": "যারা তাদের নামাযে সার্বক্ষণিক কায়েম থাকে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা হুম ‘আলা-সালা-তিহিম দাইমূন।\r\n",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//عَلٰی/عَلَىٰ/ala//صَلَاتِهِمْ/صَلَاتِهِمۡ/salatihim//دَآىِٕمُوْنَ۪ۙ/دَآئِمُونَ/daimuna",
              "words_bangla": "যারা//[তারা]//উপর//তাদের নামযের//নিয়মিত"
            },
            {
              "number": 5399,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5399.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5399.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5399.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5399.mp3"
              ],
              "text": "وَٱلَّذِينَ فِىٓ أَمْوَٰلِهِمْ حَقٌّۭ مَّعْلُومٌۭ",
              "translate_bn": "এবং যাদের ধন-সম্পদে নির্ধারিত হক আছে",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা ফীআমওয়া-লিহিম হাক্কুম মা‘লূম।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//فِیْۤ/فِيٓ/fi//اَمْوَالِهِمْ/أَمۡوَٰلِهِمۡ/amwalihim//حَقٌّ/حَقّٞ/haqqun//مَّعْلُوْمٌ۪ۙ/مَّعۡلُومٞ/ma'lumun",
              "words_bangla": "এবং যারা//মধ্যে//তাদের সম্পদ//অধিকার//অবগত"
            },
            {
              "number": 5400,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5400.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5400.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5400.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5400.mp3"
              ],
              "text": "لِّلسَّآئِلِ وَٱلْمَحْرُومِ",
              "translate_bn": "যাঞ্ছাকারী ও বঞ্চিতের",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "লিছছাইলি ওয়াল মাহরূম।",
              "words_arabic": "لِّلسَّآىِٕلِ/لِّلسَّآئِلِ/lilssaili//وَ الْمَحْرُوْمِ۪ۙ/وَٱلۡمَحۡرُومِ/wal-mahrumi",
              "words_bangla": "প্রার্থনাকারীর জন্যে//এবং বঞ্চিতের"
            },
            {
              "number": 5401,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5401.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5401.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5401.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5401.mp3"
              ],
              "text": "وَٱلَّذِينَ يُصَدِّقُونَ بِيَوْمِ ٱلدِّينِ",
              "translate_bn": "এবং যারা প্রতিফল দিবসকে সত্য বলে বিশ্বাস করে।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লায়ীনা ইউসাদ্দিকূনা বিইয়াওমিদ্দীন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//یُصَدِّقُوْنَ/يُصَدِّقُونَ/yusaddiquna//بِیَوْمِ/بِيَوۡمِ/biyawmi//الدِّیْنِ۪ۙ/ٱلدِّينِ/al-dini",
              "words_bangla": "এবং যারা//সাক্ষ্য দেয়//দিনের//বিচার"
            },
            {
              "number": 5402,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5402.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5402.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5402.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5402.mp3"
              ],
              "text": "وَٱلَّذِينَ هُم مِّنْ عَذَابِ رَبِّهِم مُّشْفِقُونَ",
              "translate_bn": "এবং যারা তাদের পালনকর্তার শাস্তির সম্পর্কে ভীত-কম্পিত।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম মিন ‘আযা-বি রাব্বিহিম মুশফিকূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//مِّنْ/مِّنۡ/min//عَذَابِ/عَذَابِ/adhabi//رَبِّهِمْ/رَبِّهِم/rabbihim//مُّشْفِقُوْنَۚ/مُّشۡفِقُونَ/mush'fiquna",
              "words_bangla": "এবং যারা//[তারা]//থেকে//আযাব//তাদের রবের//ভয়কারী"
            },
            {
              "number": 5403,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5403.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5403.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5403.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5403.mp3"
              ],
              "text": "إِنَّ عَذَابَ رَبِّهِمْ غَيْرُ مَأْمُونٍۢ",
              "translate_bn": "নিশ্চয় তাদের পালনকর্তার শাস্তি থেকে নিঃশঙ্কা থাকা যায় না।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘আযা-বা রাব্বিহিম গাইরু মা’মূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عَذَابَ/عَذَابَ/adhaba//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//غَیْرُ/غَيۡرُ/ghayru//مَاْمُوْنٍ /مَأۡمُونٖ/mamunin",
              "words_bangla": "নিশ্চয়//আযাব//তাদের রবের//নয়//নিরাপদ"
            },
            {
              "number": 5404,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5404.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5404.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5404.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5404.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ لِفُرُوجِهِمْ حَٰفِظُونَ",
              "translate_bn": "এবং যারা তাদের যৌন-অঙ্গকে সংযত রাখে",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনাহুম লিফুরূজিহিম হা-ফিজূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//لِفُرُوْجِهِمْ/لِفُرُوجِهِمۡ/lifurujihim//حٰفِظُوْنَۙ/حَٰفِظُونَ/hafizuna",
              "words_bangla": "এবং যারা//[তারা]//তাদের যৌনাংগসমূহের//হিফাযতকারী"
            },
            {
              "number": 5405,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5405.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5405.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5405.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5405.mp3"
              ],
              "text": "إِلَّا عَلَىٰٓ أَزْوَٰجِهِمْ أَوْ مَا مَلَكَتْ أَيْمَٰنُهُمْ فَإِنَّهُمْ غَيْرُ مَلُومِينَ",
              "translate_bn": "কিন্তু তাদের স্ত্রী অথবা মালিকানাভূক্ত দাসীদের বেলায় তিরস্কৃত হবে না।",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-‘আলাআযওয়া-জিহিম আও মা-মালাকাত আইমা-নুহুম ফাইন্নাহুম গাইরু মালূমীন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//عَلٰۤی/عَلَىٰٓ/ala//اَزْوَاجِهِمْ/أَزۡوَٰجِهِمۡ/azwajihim//اَوْ/أَوۡ/aw//مَا/مَا/ma//مَلَكَتْ/مَلَكَتۡ/malakat//اَیْمَانُهُمْ/أَيۡمَٰنُهُمۡ/aymanuhum//فَاِنَّهُمْ/فَإِنَّهُمۡ/fa-innahum//غَیْرُ/غَيۡرُ/ghayru//مَلُوْمِیْنَۚ/مَلُومِينَ/malumina",
              "words_bangla": "ছাড়া//উপর//তাদের স্ত্রীদের//বা//যা//মালিক হয়েছে//তাদের ডান হাতসমূহ//তারপর নিশ্চয় তারা//নয়//নিন্দনীয়"
            },
            {
              "number": 5406,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5406.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5406.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5406.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5406.mp3"
              ],
              "text": "فَمَنِ ٱبْتَغَىٰ وَرَآءَ ذَٰلِكَ فَأُو۟لَٰٓئِكَ هُمُ ٱلْعَادُونَ",
              "translate_bn": "অতএব, যারা এদের ছাড়া অন্যকে কামনা করে, তারাই সীমালংঘনকারী।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফামানিবতাগা-ওয়ারা-আ যা-লিকা ফাউলাইকা হুমুল ‘আ-দূন।",
              "words_arabic": "فَمَنِ/فَمَنِ/famani//ابْتَغٰی/ٱبۡتَغَىٰ/ib'tagha//وَرَآءَ/وَرَآءَ/waraa//ذٰلِكَ/ذَٰلِكَ/dhalika//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//هُمُ/هُمُ/humu//الْعٰدُوْنَۚ/ٱلۡعَادُونَ/al-'aduna",
              "words_bangla": "তবে যে কেউ//চায়//ছাড়া//এটা//অতএব ঐসব লোক//[তারাই]//সীমালংঘনকারী"
            },
            {
              "number": 5407,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5407.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5407.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5407.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5407.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ لِأَمَٰنَٰتِهِمْ وَعَهْدِهِمْ رَٰعُونَ",
              "translate_bn": "এবং যারা তাদের আমানত ও অঙ্গীকার রক্ষা করে",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম লিআমা-না-তিহিম ওয়া ‘আহদিহিম রা-‘ঊন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//لِاَمٰنٰتِهِمْ/لِأَمَٰنَٰتِهِمۡ/li-amanatihim//وَ عَهْدِهِمْ/وَعَهۡدِهِمۡ/wa'ahdihim//رٰعُوْنَ۪ۙ/رَٰعُونَ/ra'una",
              "words_bangla": "এবং যারা//[তারা]//তাদের  আমানতের ক্ষেত্রে//ও তাদের ওয়াদার//পালনকারী"
            },
            {
              "number": 5408,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5408.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5408.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5408.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5408.mp3"
              ],
              "text": "وَٱلَّذِينَ هُم بِشَهَٰدَٰتِهِمْ قَآئِمُونَ",
              "translate_bn": "এবং যারা তাদের সাক্ষ্যদানে সরল-নিষ্ঠাবান",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম বিশাহা-দা-তিহিম কাইমূন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُم/hum//بِشَهٰدٰتِهِمْ/بِشَهَٰدَٰتِهِمۡ/bishahadatihim//قَآىِٕمُوْنَ۪ۙ/قَآئِمُونَ/qaimuna",
              "words_bangla": "এবং যারা//[তারা]//তাদের সাক্ষ্যদানে//অটল"
            },
            {
              "number": 5409,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5409.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5409.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5409.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5409.mp3"
              ],
              "text": "وَٱلَّذِينَ هُمْ عَلَىٰ صَلَاتِهِمْ يُحَافِظُونَ",
              "translate_bn": "এবং যারা তাদের নামাযে যত্নবান,",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা হুম ‘আলা-সালা-তিহিম ইউহা-ফিজূ ন।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//هُمْ/هُمۡ/hum//عَلٰی/عَلَىٰ/ala//صَلَاتِهِمْ/صَلَاتِهِمۡ/salatihim//یُحَافِظُوْنَؕ/يُحَافِظُونَ/yuhafizuna",
              "words_bangla": "এবং যারা,//[তারা]//উপর//তাদের নামাযের//সংরক্ষণ করে"
            },
            {
              "number": 5410,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5410.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5410.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5410.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5410.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ فِى جَنَّٰتٍۢ مُّكْرَمُونَ",
              "translate_bn": "তারাই জান্নাতে সম্মানিত হবে।",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 502,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "উলাইকা ফী জান্না-তিম মুকরামূন।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//فِیْ/فِي/fi//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//مُّكْرَمُوْنَؕ۠/مُّكۡرَمُونَ/muk'ramuna",
              "words_bangla": "ঐসব লোক//মধ্যে হবে//জান্নাতসমূহের//সম্মানিত."
            },
            {
              "number": 5411,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5411.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5411.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5411.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5411.mp3"
              ],
              "text": "فَمَالِ ٱلَّذِينَ كَفَرُوا۟ قِبَلَكَ مُهْطِعِينَ",
              "translate_bn": "অতএব, কাফেরদের কি হল যে, তারা আপনার দিকে উর্ধ্বশ্বাসে ছুটে আসছে।",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফামা-লিল্লাযীনা কাফারূ কিবালাকা মুহতি‘ঈন।",
              "words_arabic": "فَمَالِ/فَمَالِ/famali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//قِبَلَكَ/قِبَلَكَ/qibalaka//مُهْطِعِیْنَۙ/مُهۡطِعِينَ/muh'ti'ina",
              "words_bangla": "অতএব কি হয়েছে//যারা (তাদের)//কুফরি করেছে//তোমার সামনে//দৌড়ে আসছে"
            },
            {
              "number": 5412,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5412.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5412.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5412.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5412.mp3"
              ],
              "text": "عَنِ ٱلْيَمِينِ وَعَنِ ٱلشِّمَالِ عِزِينَ",
              "translate_bn": "ডান ও বামদিক থেকে দলে দলে।",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "‘আনিল ইয়ামীনি ওয়া‘আনিশশিমা-লি ‘ইঝীন।",
              "words_arabic": "عَنِ/عَنِ/ani//الْیَمِیْنِ/ٱلۡيَمِينِ/al-yamini//وَ عَنِ/وَعَنِ/wa'ani//الشِّمَالِ/ٱلشِّمَالِ/al-shimali//عِزِیْنَ /عِزِينَ/izina",
              "words_bangla": "থেকে//ডান দিক//ও থেকে//বামদিক//দলে দলে"
            },
            {
              "number": 5413,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5413.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5413.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5413.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5413.mp3"
              ],
              "text": "أَيَطْمَعُ كُلُّ ٱمْرِئٍۢ مِّنْهُمْ أَن يُدْخَلَ جَنَّةَ نَعِيمٍۢ",
              "translate_bn": "তাদের প্রত্যেকেই কি আশা করে যে, তাকে নেয়ামতের জান্নাতে দাখিল করা হবে?",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "আইয়াতমা‘উ কুল্লুম রিইম মিনহুম আইঁ ইউদখালা জান্নাতা না‘ঈম।",
              "words_arabic": "اَیَطْمَعُ/أَيَطۡمَعُ/ayatma'u//كُلُّ/كُلُّ/kullu//امْرِئٍ/ٱمۡرِيٕٖ/im'ri-in//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَنْ/أَن/an//یُّدْخَلَ/يُدۡخَلَ/yud'khala//جَنَّةَ/جَنَّةَ/jannata//نَعِیْمٍۙ/نَعِيمٖ/na'imin",
              "words_bangla": "লোভকরে কি//প্রত্যেক//ব্যক্তি//তাদের মধ্যে//যে//প্রবেশ করানো হবে//জান্নাতে//নিয়ামতের"
            },
            {
              "number": 5414,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5414.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5414.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5414.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5414.mp3"
              ],
              "text": "كَلَّآ ۖ إِنَّا خَلَقْنَٰهُم مِّمَّا يَعْلَمُونَ",
              "translate_bn": "কখনই নয়, আমি তাদেরকে এমন বস্তু দ্বারা সৃষ্টি করেছি, যা তারা জানে।",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 569,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "কাল্লা ইন্না- খালাকনা-হুম মিম্মা-ইয়া‘লামূন।",
              "words_arabic": "كَلَّا ؕ/كَلَّآۖ/kalla//اِنَّا/إِنَّا/inna//خَلَقْنٰهُمْ/خَلَقۡنَٰهُم/khalaqnahum//مِّمَّا/مِّمَّا/mimma//یَعْلَمُوْنَ /يَعۡلَمُونَ/ya'lamuna",
              "words_bangla": "কখনও নয়!//নিশ্চয় আমরা//[আমরা] তাদেরকে সৃষ্টি করেছি//যা থেকে//তারা জানে."
            },
            {
              "number": 5415,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5415.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5415.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5415.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5415.mp3"
              ],
              "text": "فَلَآ أُقْسِمُ بِرَبِّ ٱلْمَشَٰرِقِ وَٱلْمَغَٰرِبِ إِنَّا لَقَٰدِرُونَ",
              "translate_bn": "আমি শপথ করছি উদয়াচল ও অস্তাচলসমূহের পালনকর্তার, নিশ্চয়ই আমি সক্ষম!",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফালাউকছিমুবিরাব্বিল মাশা-রিকিওয়াল মাগা-রিবি ইন্না- লাকা-দিরূন।",
              "words_arabic": "فَلَاۤ/فَلَآ/fala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِرَبِّ/بِرَبِّ/birabbi//الْمَشٰرِقِ/ٱلۡمَشَٰرِقِ/al-mashariqi//وَ الْمَغٰرِبِ/وَٱلۡمَغَٰرِبِ/wal-magharibi//اِنَّا/إِنَّا/inna//لَقٰدِرُوْنَۙ/لَقَٰدِرُونَ/laqadiruna",
              "words_bangla": "অতএব, না//আমি কসম করছি যে//রবের//উদয়স্থল//ও অস্তাচলসমূহের//নিশ্চয় আমরা//সক্ষম"
            },
            {
              "number": 5416,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5416.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5416.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5416.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5416.mp3"
              ],
              "text": "عَلَىٰٓ أَن نُّبَدِّلَ خَيْرًۭا مِّنْهُمْ وَمَا نَحْنُ بِمَسْبُوقِينَ",
              "translate_bn": "তাদের পরিবর্তে উৎকৃষ্টতর মানুষ সৃষ্টি করতে এবং এটা আমার সাধ্যের অতীত নয়।",
              "numberInSurah": 41,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "‘আলাআন নুবাদ্দিলা খাইরাম মিনহুম ওয়ামা-নাহনুবিমাছবূকীন।",
              "words_arabic": "عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//نُّبَدِّلَ/نُّبَدِّلَ/nubaddila//خَیْرًا/خَيۡرٗا/khayran//مِّنْهُمْ ۙ/مِّنۡهُمۡ/min'hum//وَ مَا/وَمَا/wama//نَحْنُ/نَحۡنُ/nahnu//بِمَسْبُوْقِیْنَ /بِمَسۡبُوقِينَ/bimasbuqina",
              "words_bangla": "উপর//যে//বদলাব//আমরা//তাদের চেয়ে//এবং না//আমাদের//অতিক্রমকারী"
            },
            {
              "number": 5417,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5417.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5417.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5417.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5417.mp3"
              ],
              "text": "فَذَرْهُمْ يَخُوضُوا۟ وَيَلْعَبُوا۟ حَتَّىٰ يُلَٰقُوا۟ يَوْمَهُمُ ٱلَّذِى يُوعَدُونَ",
              "translate_bn": "অতএব, আপনি তাদেরকে ছেড়ে দিন, তারা বাকবিতন্ডা ও ক্রীড়া-কৌতুক করুক সেই দিবসের সম্মুখীন হওয়া পর্যন্ত, যে দিবসের ওয়াদা তাদের সাথে করা হচ্ছে।",
              "numberInSurah": 42,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফাযারহুম ইয়াখূদূওয়া ইয়াল‘আবূহাত্তা-ইউলা-কূইয়াওমাহুমুল্লাযী ইঊ‘আদূন।",
              "words_arabic": "فَذَرْهُمْ/فَذَرۡهُمۡ/fadharhum//یَخُوْضُوْا/يَخُوضُواْ/yakhudu//وَ یَلْعَبُوْا/وَيَلۡعَبُواْ/wayal'abu//حَتّٰی/حَتَّىٰ/hatta//یُلٰقُوْا/يُلَٰقُواْ/yulaqu//یَوْمَهُمُ/يَوۡمَهُمُ/yawmahumu//الَّذِیْ/ٱلَّذِي/alladhi//یُوْعَدُوْنَۙ/يُوعَدُونَ/yu'aduna",
              "words_bangla": "সুতরাং তাদের ছেড়ে দাও,//(করতে) বেহুদা কথায়//আর খেল-তামাশায়//যতক্ষণ না//দেখা পায়//সেদিনের,//যার//তাদের ওয়াদা করা হয়েছে"
            },
            {
              "number": 5418,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5418.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5418.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5418.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5418.mp3"
              ],
              "text": "يَوْمَ يَخْرُجُونَ مِنَ ٱلْأَجْدَاثِ سِرَاعًۭا كَأَنَّهُمْ إِلَىٰ نُصُبٍۢ يُوفِضُونَ",
              "translate_bn": "সে দিন তারা কবর থেকে দ্রুতবেগে বের হবে, যেন তারা কোন এক লক্ষ্যস্থলের দিকে ছুটে যাচ্ছে।",
              "numberInSurah": 43,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াখরুজূনা মিনাল আজদা-ছিছিরা-‘আন কাআন্নাহুম ইলা-নুসুবিইঁ ইঊফিদূন।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَخْرُجُوْنَ/يَخۡرُجُونَ/yakhrujuna//مِنَ/مِنَ/mina//الْاَجْدَاثِ/ٱلۡأَجۡدَاثِ/al-ajdathi//سِرَاعًا/سِرَاعٗا/sira'an//كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//اِلٰی/إِلَىٰ/ila//نُصُبٍ/نُصُبٖ/nusubin//یُّوْفِضُوْنَۙ/يُوفِضُونَ/yufiduna",
              "words_bangla": "যেদিন//তারা বের হবে//থেকে//কবরগুলো//দ্রুতভাবে//তারা যেন//দিকে//লক্ষ্যের//ছুটে যাচ্ছে"
            },
            {
              "number": 5419,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5419.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5419.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5419.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5419.mp3"
              ],
              "text": "خَٰشِعَةً أَبْصَٰرُهُمْ تَرْهَقُهُمْ ذِلَّةٌۭ ۚ ذَٰلِكَ ٱلْيَوْمُ ٱلَّذِى كَانُوا۟ يُوعَدُونَ",
              "translate_bn": "তাদের দৃষ্টি থাকবে অবনমিত; তারা হবে হীনতাগ্রস্ত। এটাই সেইদিন, যার ওয়াদা তাদেরকে দেয়া হত।",
              "numberInSurah": 44,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 503,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "খা-শি‘আতান আবসা-রুহুম তারহাকুহুম যিল্লাতুন যা-লিকাল ইয়াওমুল্লাযী কা-নূ ইঊ‘আদূ ন।",
              "words_arabic": "خَاشِعَةً/خَٰشِعَةً/khashi'atan//اَبْصَارُهُمْ/أَبۡصَٰرُهُمۡ/absaruhum//تَرْهَقُهُمْ/تَرۡهَقُهُمۡ/tarhaquhum//ذِلَّةٌ ؕ/ذِلَّةٞۚ/dhillatun//ذٰلِكَ/ذَٰلِكَ/dhalika//الْیَوْمُ/ٱلۡيَوۡمُ/al-yawmu//الَّذِیْ/ٱلَّذِي/alladhi//كَانُوْا/كَانُواْ/kanu//یُوْعَدُوْنَ۠/يُوعَدُونَ/yu'aduna",
              "words_bangla": "অবনত//তাদের চোখ//তাদেরকে আচ্ছন্ন করবে//লাঞ্ছনা//এটা//সেদিন//যার//তাদেরকে দেয়া হয়েছিল//যার ওয়াদা"
            }
          ]
        },
        {
          "number": 71,
          "name": "سُورَةُ نُوحٍ",
          "englishName": "Nooh",
          "englishNameTranslation": "Noah",
          "revelationType": "Meccan",
          "verse": 28,
          "words": 430,
          "chars": 1900,
          "ayahs": [
            {
              "number": 5420,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5420.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5420.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5420.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5420.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِنَّآ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦٓ أَنْ أَنذِرْ قَوْمَكَ مِن قَبْلِ أَن يَأْتِيَهُمْ عَذَابٌ أَلِيمٌۭ",
              "translate_bn": "আমি নূহকে প্রেরণ করেছিলাম তাঁর সম্প্রদায়ের প্রতি একথা বলেঃ তুমি তোমার সম্প্রদায়কে সতর্ক কর, তাদের প্রতি মর্মন্তদ শাস্তি আসার আগে।",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনা-নূহান ইলা-কাওমিহীআন আনযিরকাওমাকা মিন কাবলি আইঁ ইয়া’তিয়াহুম ‘আযা-বুন আলীম।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنَا/أَرۡسَلۡنَا/arsalna//نُوْحًا/نُوحًا/nuhan//اِلٰی/إِلَىٰ/ila//قَوْمِهٖۤ/قَوۡمِهِۦٓ/qawmihi//اَنْ/أَنۡ/an//اَنْذِرْ/أَنذِرۡ/andhir//قَوْمَكَ/قَوۡمَكَ/qawmaka//مِنْ/مِن/min//قَبْلِ/قَبۡلِ/qabli//اَنْ/أَن/an//یَّاْتِیَهُمْ/يَأۡتِيَهُمۡ/yatiyahum//عَذَابٌ/عَذَابٌ/adhabun//اَلِیْمٌ /أَلِيمٞ/alimun",
              "words_bangla": "আমরা নিশ্চয়//আমরা পাঠিয়েছি//নূহকে//প্রতি//তার জাতির//যে//\"তুমি সতর্ক কর//তোমার জাতিকে//মধ্য হতে//পূর্বে//যে//তাদের উপর আসবে//আযাব//কষ্টদায়ক\""
            },
            {
              "number": 5421,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5421.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5421.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5421.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5421.mp3"
              ],
              "text": "قَالَ يَٰقَوْمِ إِنِّى لَكُمْ نَذِيرٌۭ مُّبِينٌ",
              "translate_bn": "সে বলল, হে আমার সম্প্রদায়! আমি তোমাদের জন্যে স্পষ্ট সতর্ককারী।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "কা-লা ইয়া- কাওমি ইন্নী লাকুম নাযীরুম মুবীন।",
              "words_arabic": "قَالَ/قَالَ/qala//یٰقَوْمِ/يَٰقَوۡمِ/yaqawmi//اِنِّیْ/إِنِّي/inni//لَكُمْ/لَكُمۡ/lakum//نَذِیْرٌ/نَذِيرٞ/nadhirun//مُّبِیْنٌۙ/مُّبِينٌ/mubinun",
              "words_bangla": "বলেছিল//\"আমার জাতি হে//আমি নিশ্চয়//জন্যে তোমাদের//সতর্ককারী//সুস্পষ্ট"
            },
            {
              "number": 5422,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5422.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5422.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5422.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5422.mp3"
              ],
              "text": "أَنِ ٱعْبُدُوا۟ ٱللَّهَ وَٱتَّقُوهُ وَأَطِيعُونِ",
              "translate_bn": "এ বিষয়ে যে, তোমরা আল্লাহ তা’আলার এবাদত কর, তাঁকে ভয় কর এবং আমার আনুগত্য কর।",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "আনি‘বুদুল্লা-হা ওয়াত্তাকূহু ওয়া আতী‘ঊন।",
              "words_arabic": "اَنِ/أَنِ/ani//اعْبُدُوا/ٱعۡبُدُواْ/u'budu//اللّٰهَ/ٱللَّهَ/al-laha//وَ اتَّقُوْهُ/وَٱتَّقُوهُ/wa-ittaquhu//وَ اَطِیْعُوْنِۙ/وَأَطِيعُونِ/wa-ati'uni",
              "words_bangla": "যেন//তোমরা এবাদত কর//আল্লাহর//এবং তাঁকে ভয় কর//ও আমার আনুগত্য কর"
            },
            {
              "number": 5423,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5423.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5423.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5423.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5423.mp3"
              ],
              "text": "يَغْفِرْ لَكُم مِّن ذُنُوبِكُمْ وَيُؤَخِّرْكُمْ إِلَىٰٓ أَجَلٍۢ مُّسَمًّى ۚ إِنَّ أَجَلَ ٱللَّهِ إِذَا جَآءَ لَا يُؤَخَّرُ ۖ لَوْ كُنتُمْ تَعْلَمُونَ",
              "translate_bn": "আল্লাহ তা’আলা তোমাদের পাপসমূহ ক্ষমা করবেন এবং নির্দিষ্ট সময় পর্যন্ত অবকাশ দিবেন। নিশ্চয় আল্লাহ তা’আলার নির্দিষ্টকাল যখন হবে, তখন অবকাশ দেয়া হবে না, যদি তোমরা তা জানতে!",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইয়াগফিরলাকুম মিন যুনূবিকুম ওয়া ইউআখখিরকুম ইলাআজালিম মুছাম্মা- ইন্না আজালাল্লা-হি ইযা-জাআ লা-ইউআখখার । লাও কুনতুম তা‘লামূন।\r\n",
              "words_arabic": "یَغْفِرْ/يَغۡفِرۡ/yaghfir//لَكُمْ/لَكُم/lakum//مِّنْ/مِّن/min//ذُنُوْبِكُمْ/ذُنُوبِكُمۡ/dhunubikum//وَ یُؤَخِّرْكُمْ/وَيُؤَخِّرۡكُمۡ/wayu-akhir'kum//اِلٰۤی/إِلَىٰٓ/ila//اَجَلٍ/أَجَلٖ/ajalin//مُّسَمًّی ؕ/مُّسَمًّىۚ/musamman//اِنَّ/إِنَّ/inna//اَجَلَ/أَجَلَ/ajala//اللّٰهِ/ٱللَّهِ/al-lahi//اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//لَا/لَا/la//یُؤَخَّرُ ۘ/يُؤَخَّرُۚ/yu-akharu//لَوْ/لَوۡ/law//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْلَمُوْنَ /تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "মাফ তিনি করবেন//তোমাদের জন্য//থেকে//তোমাদের গুনাহ সমূহকে//এবং তোমাদের অবকাশ দেবেন//পর্যন্ত//সময়//নির্দিষ্ট//নিশ্চয়//নির্দধারিত কাল//আল্লাহর//যখন//আসে//না//বিলম্বিত করা হয়//যদি//তোমরা হতে//অবগত\""
            },
            {
              "number": 5424,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5424.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5424.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5424.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5424.mp3"
              ],
              "text": "قَالَ رَبِّ إِنِّى دَعَوْتُ قَوْمِى لَيْلًۭا وَنَهَارًۭا",
              "translate_bn": "সে বললঃ হে আমার পালনকর্তা! আমি আমার সম্প্রদায়কে দিবারাত্রি দাওয়াত দিয়েছি;",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "কা-লা রাব্বি ইন্নী দা‘আওতুকাওমী লাইলাওঁ ওয়া নাহা-রা- ।",
              "words_arabic": "قَالَ/قَالَ/qala//رَبِّ/رَبِّ/rabbi//اِنِّیْ/إِنِّي/inni//دَعَوْتُ/دَعَوۡتُ/da'awtu//قَوْمِیْ/قَوۡمِي/qawmi//لَیْلًا/لَيۡلٗا/laylan//وَّ نَهَارًاۙ/وَنَهَارٗا/wanaharan",
              "words_bangla": "সে বলল//\"আমার রব হে//আমি নিশ্চয়//আমি ডেকেছি//আমার জাতিকে//রাতে//ও দিনে"
            },
            {
              "number": 5425,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5425.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5425.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5425.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5425.mp3"
              ],
              "text": "فَلَمْ يَزِدْهُمْ دُعَآءِىٓ إِلَّا فِرَارًۭا",
              "translate_bn": "কিন্তু আমার দাওয়াত তাদের পলায়নকেই বৃদ্ধি করেছে।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফালাম ইয়াঝিদহুম দু‘আঈইল্লা-ফিরা-রা-।",
              "words_arabic": "فَلَمْ/فَلَمۡ/falam//یَزِدْهُمْ/يَزِدۡهُمۡ/yazid'hum//دُعَآءِیْۤ/دُعَآءِيٓ/du'ai//اِلَّا/إِلَّا/illa//فِرَارًا /فِرَارٗا/firaran",
              "words_bangla": "তাই অতঃপর//তাদের বৃদ্ধি পায়//আমার দাকে//ছাড়া//পলায়ন"
            },
            {
              "number": 5426,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5426.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5426.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5426.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5426.mp3"
              ],
              "text": "وَإِنِّى كُلَّمَا دَعَوْتُهُمْ لِتَغْفِرَ لَهُمْ جَعَلُوٓا۟ أَصَٰبِعَهُمْ فِىٓ ءَاذَانِهِمْ وَٱسْتَغْشَوْا۟ ثِيَابَهُمْ وَأَصَرُّوا۟ وَٱسْتَكْبَرُوا۟ ٱسْتِكْبَارًۭا",
              "translate_bn": "আমি যতবারই তাদেরকে দাওয়াত দিয়েছি, যাতে আপনি তাদেরকে ক্ষমা করেন, ততবারই তারা কানে অঙ্গুলি দিয়েছে, মুখমন্ডল বস্ত্রাবৃত করেছে, জেদ করেছে এবং খুব ঔদ্ধত্য প্রদর্শন করেছে।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নী কুল্লামা-দা‘আওতুহুম লিতাগফিরালাহুম জা‘আলূআসা-বি‘আহুম ফীআ-যানিহিম ওয়াছতাগশাও ছিয়া-বাহুম ওয়া আছাররূ ওয়াছতাকবারুছ তিকবা-রা- ।",
              "words_arabic": "وَ اِنِّیْ/وَإِنِّي/wa-inni//كُلَّمَا/كُلَّمَا/kullama//دَعَوْتُهُمْ/دَعَوۡتُهُمۡ/da'awtuhum//لِتَغْفِرَ/لِتَغۡفِرَ/litaghfira//لَهُمْ/لَهُمۡ/lahum//جَعَلُوْۤا/جَعَلُوٓاْ/ja'alu//اَصَابِعَهُمْ/أَصَٰبِعَهُمۡ/asabi'ahum//فِیْۤ/فِيٓ/fi//اٰذَانِهِمْ/ءَاذَانِهِمۡ/adhanihim//وَ اسْتَغْشَوْا/وَٱسۡتَغۡشَوۡاْ/wa-is'taghshaw//ثِیَابَهُمْ/ثِيَابَهُمۡ/thiyabahum//وَ اَصَرُّوْا/وَأَصَرُّواْ/wa-asarru//وَ اسْتَكْبَرُوا/وَٱسۡتَكۡبَرُواْ/wa-is'takbaru//اسْتِكْبَارًاۚ/ٱسۡتِكۡبَارٗا/is'tik'baran",
              "words_bangla": "এবং আমি নিশ্চয়//যখনই//তাদের আমি দেকেছি//তুমি মাফ যাতে কর//তাদেরকে//তারা রেখেছিল//তাদের আংগুলগুলোকে//মধ্যে//তাদের কানগুলোর//ও তারা ঢেকেছে//তাদের কাপড় (দ্বারা)//ও অনমনীয় হয়েছে//এবং অহংকার করেছে//বড়ই অহংকার"
            },
            {
              "number": 5427,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5427.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5427.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5427.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5427.mp3"
              ],
              "text": "ثُمَّ إِنِّى دَعَوْتُهُمْ جِهَارًۭا",
              "translate_bn": "অতঃপর আমি তাদেরকে প্রকাশ্যে দাওয়াত দিয়েছি,",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নী- দা‘আওতুহুম জিহা-রা- ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنِّیْ/إِنِّي/inni//دَعَوْتُهُمْ/دَعَوۡتُهُمۡ/da'awtuhum//جِهَارًاۙ/جِهَارٗا/jiharan",
              "words_bangla": "অতঃপর//আমি নিশ্চয়//তাদের ডেকেছি//প্রকাশ্যে"
            },
            {
              "number": 5428,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5428.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5428.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5428.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5428.mp3"
              ],
              "text": "ثُمَّ إِنِّىٓ أَعْلَنتُ لَهُمْ وَأَسْرَرْتُ لَهُمْ إِسْرَارًۭا",
              "translate_bn": "অতঃপর আমি ঘোষণা সহকারে প্রচার করেছি এবং গোপনে চুপিসারে বলেছি।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নীআ‘লানতুলাহুম ওয়া আছরারতুলাহুম ইছরা-রা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنِّیْۤ/إِنِّيٓ/inni//اَعْلَنْتُ/أَعۡلَنتُ/a'lantu//لَهُمْ/لَهُمۡ/lahum//وَ اَسْرَرْتُ/وَأَسۡرَرۡتُ/wa-asrartu//لَهُمْ/لَهُمۡ/lahum//اِسْرَارًاۙ/إِسۡرَارٗا/is'raran",
              "words_bangla": "এরপর//আমি নিশ্চয়//আমি ঘোষণা দিয়াছি//তাদের জন্যে//এবং আমি গোপনে বলেছি//তাদেরকে//গোপনে বলা"
            },
            {
              "number": 5429,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5429.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5429.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5429.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5429.mp3"
              ],
              "text": "فَقُلْتُ ٱسْتَغْفِرُوا۟ رَبَّكُمْ إِنَّهُۥ كَانَ غَفَّارًۭا",
              "translate_bn": "অতঃপর বলেছিঃ তোমরা তোমাদের পালনকর্তার ক্ষমা প্রার্থনা কর। তিনি অত্যন্ত ক্ষমাশীল।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 570,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ফাকুলতুছতাগফিরূ রাব্বাকুম ইন্নাহূকা-না গাফফা-রা-।",
              "words_arabic": "فَقُلْتُ/فَقُلۡتُ/faqul'tu//اسْتَغْفِرُوْا/ٱسۡتَغۡفِرُواْ/is'taghfiru//رَبَّكُمْ ؕ/رَبَّكُمۡ/rabbakum//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//غَفَّارًاۙ/غَفَّارٗا/ghaffaran",
              "words_bangla": "আমি বলেছি অতঃপর//\"তোমরা মাফ চাও//তোমাদের রবের (কাছে)//তিনি নিশ্চয়//হলেন//বড় ক্ষমাশীল"
            },
            {
              "number": 5430,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5430.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5430.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5430.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5430.mp3"
              ],
              "text": "يُرْسِلِ ٱلسَّمَآءَ عَلَيْكُم مِّدْرَارًۭا",
              "translate_bn": "তিনি তোমাদের উপর অজস্র বৃষ্টিধারা ছেড়ে দিবেন,",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইউরছিলিছ ছামাআ ‘আলাইকুম মিদরা-রা- ।",
              "words_arabic": "یُّرْسِلِ/يُرۡسِلِ/yur'sili//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//عَلَیْكُمْ/عَلَيۡكُم/alaykum//مِّدْرَارًاۙ/مِّدۡرَارٗا/mid'raran",
              "words_bangla": "পাঠাবেন তিনি//আকাশ (থেকে)//তোমাদের উপর//বৃষ্টি"
            },
            {
              "number": 5431,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5431.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5431.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5431.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5431.mp3"
              ],
              "text": "وَيُمْدِدْكُم بِأَمْوَٰلٍۢ وَبَنِينَ وَيَجْعَل لَّكُمْ جَنَّٰتٍۢ وَيَجْعَل لَّكُمْ أَنْهَٰرًۭا",
              "translate_bn": "তোমাদের ধন-সম্পদ ও সন্তান-সন্ততি বাড়িয়ে দিবেন, তোমাদের জন্যে উদ্যান স্থাপন করবেন এবং তোমাদের জন্যে নদীনালা প্রবাহিত করবেন।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউমদিদকুম বিআমওয়া-লিওঁ ওয়াবানীনা ওয়া ইয়াজ‘আল্লাকুমজান্না-তিওঁ ওয়া ইয়াজ‘আল্লাকুম আনহা-রা- ।",
              "words_arabic": "وَّ یُمْدِدْكُمْ/وَيُمۡدِدۡكُم/wayum'did'kum//بِاَمْوَالٍ/بِأَمۡوَٰلٖ/bi-amwalin//وَّ بَنِیْنَ/وَبَنِينَ/wabanina//وَ یَجْعَلْ/وَيَجۡعَل/wayaj'al//لَّكُمْ/لَّكُمۡ/lakum//جَنّٰتٍ/جَنَّـٰتٖ/jannatin//وَّ یَجْعَلْ/وَيَجۡعَل/wayaj'al//لَّكُمْ/لَّكُمۡ/lakum//اَنْهٰرًاؕ/أَنۡهَٰرٗا/anharan",
              "words_bangla": "এবং তোমাদের সাহায্য করবেন//মালসমূহ দিয়ে//ও সন্তান সন্ততি দিয়ে//এবং সৃষ্টি করবেন//তোমাদের জন্যে//বাগবাগিচাসমূহ//ও বানাবেন//তোমাদের জন্যে//ঝর্ণাসমূহ"
            },
            {
              "number": 5432,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5432.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5432.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5432.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5432.mp3"
              ],
              "text": "مَّا لَكُمْ لَا تَرْجُونَ لِلَّهِ وَقَارًۭا",
              "translate_bn": "তোমাদের কি হল যে, তোমরা আল্লাহ তা’আলার শ্রেষ্টত্ব আশা করছ না।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "মা-লাকুম লা-তারজূনা লিল্লা-হি ওয়াকা-রা- ।",
              "words_arabic": "مَا/مَّا/ma//لَكُمْ/لَكُمۡ/lakum//لَا/لَا/la//تَرْجُوْنَ/تَرۡجُونَ/tarjuna//لِلّٰهِ/لِلَّهِ/lillahi//وَقَارًاۚ/وَقَارٗا/waqaran",
              "words_bangla": "কী হয়েছে//তোমাদের//না//তোমরা আশা কর//আল্লাহর জন্যে//মর্যাদা"
            },
            {
              "number": 5433,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5433.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5433.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5433.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5433.mp3"
              ],
              "text": "وَقَدْ خَلَقَكُمْ أَطْوَارًا",
              "translate_bn": "অথচ তিনি তোমাদেরকে বিভিন্ন রকমে সৃষ্টি করেছেন।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ খালাকাকুম আতওয়া-রা- ।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//خَلَقَكُمْ/خَلَقَكُمۡ/khalaqakum//اَطْوَارًا /أَطۡوَارًا/atwaran",
              "words_bangla": "এবং নিশ্চয়//তোমাদের তিনি সৃষ্টি করেছেন//পর্যায়ক্রমে"
            },
            {
              "number": 5434,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5434.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5434.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5434.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5434.mp3"
              ],
              "text": "أَلَمْ تَرَوْا۟ كَيْفَ خَلَقَ ٱللَّهُ سَبْعَ سَمَٰوَٰتٍۢ طِبَاقًۭا",
              "translate_bn": "তোমরা কি লক্ষ্য কর না যে, আল্লাহ কিভাবে সপ্ত আকাশ স্তরে স্তরে সৃষ্টি করেছেন।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "আলাম তারাও কাইফা খালাকাল্লা-হু ছাব‘আ ছামা-ওয়া-তিন তিবা-কা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَوْا/تَرَوۡاْ/taraw//كَیْفَ/كَيۡفَ/kayfa//خَلَقَ/خَلَقَ/khalaqa//اللّٰهُ/ٱللَّهُ/al-lahu//سَبْعَ/سَبۡعَ/sab'a//سَمٰوٰتٍ/سَمَٰوَٰتٖ/samawatin//طِبَاقًاۙ/طِبَاقٗا/tibaqan",
              "words_bangla": "নাই কি//তোমরা দেখ//কেমনে//সৃষ্টি করেছেন//আল্লাহ//সাত//আসমান//স্তরে স্তরে"
            },
            {
              "number": 5435,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5435.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5435.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5435.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5435.mp3"
              ],
              "text": "وَجَعَلَ ٱلْقَمَرَ فِيهِنَّ نُورًۭا وَجَعَلَ ٱلشَّمْسَ سِرَاجًۭا",
              "translate_bn": "এবং সেখানে চন্দ্রকে রেখেছেন আলোরূপে এবং সূর্যকে রেখেছেন প্রদীপরূপে।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলাল কামারা ফীহিন্না নূরাওঁ ওয়া জা‘আলাশশামছা ছিরা-জা- ।",
              "words_arabic": "وَّ جَعَلَ/وَجَعَلَ/waja'ala//الْقَمَرَ/ٱلۡقَمَرَ/al-qamara//فِیْهِنَّ/فِيهِنَّ/fihinna//نُوْرًا/نُورٗا/nuran//وَّ جَعَلَ/وَجَعَلَ/waja'ala//الشَّمْسَ/ٱلشَّمۡسَ/al-shamsa//سِرَاجًا /سِرَاجٗا/sirajan",
              "words_bangla": "এবং বানিয়েছেন//চাঁদকে//তার মধ্যে//আলো//এবং বানিয়েছেন//সূর্যকে//প্রদীপ রূপে"
            },
            {
              "number": 5436,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5436.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5436.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5436.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5436.mp3"
              ],
              "text": "وَٱللَّهُ أَنۢبَتَكُم مِّنَ ٱلْأَرْضِ نَبَاتًۭا",
              "translate_bn": "আল্লাহ তা’আলা তোমাদেরকে মৃত্তিকা থেকে উদগত করেছেন।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা- হু আমবাতাকুম মিনাল আরদিনাবা-তা- ।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَنْۢبَتَكُمْ/أَنۢبَتَكُم/anbatakum//مِّنَ/مِّنَ/mina//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//نَبَاتًاۙ/نَبَاتٗا/nabatan",
              "words_bangla": "এবং আল্লাহ//তোমাদের উদ্ভুত করেছেন//থেকে//মৃত্তিকা//(বিস্ময়করভাবে উদ্ভুত)"
            },
            {
              "number": 5437,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5437.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5437.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5437.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5437.mp3"
              ],
              "text": "ثُمَّ يُعِيدُكُمْ فِيهَا وَيُخْرِجُكُمْ إِخْرَاجًۭا",
              "translate_bn": "অতঃপর তাতে ফিরিয়ে নিবেন এবং আবার পুনরুত্থিত করবেন।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইউ‘ঈদুকুম ফীহা- ওয়া ইউখরিজুকুম ইখরা-জা- ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یُعِیْدُكُمْ/يُعِيدُكُمۡ/yu'idukum//فِیْهَا/فِيهَا/fiha//وَ یُخْرِجُكُمْ/وَيُخۡرِجُكُمۡ/wayukh'rijukum//اِخْرَاجًا /إِخۡرَاجٗا/ikh'rajan",
              "words_bangla": "এরপর//তোমাদের ফিরিয়ে নেবেন//তার মধ্যে//এবং তোমাদেরকে বের করবেন//(সম্পূর্ণরূপে) বহিষ্কার"
            },
            {
              "number": 5438,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5438.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5438.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5438.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5438.mp3"
              ],
              "text": "وَٱللَّهُ جَعَلَ لَكُمُ ٱلْأَرْضَ بِسَاطًۭا",
              "translate_bn": "আল্লাহ তা’আলা তোমাদের জন্যে ভূমিকে করেছেন বিছানা।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু জা‘আলা লাকুমুল আরদা বিছা-তা- ।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//جَعَلَ/جَعَلَ/ja'ala//لَكُمُ/لَكُمُ/lakumu//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//بِسَاطًاۙ/بِسَاطٗا/bisatan",
              "words_bangla": "এবং আল্লাহ//বানিয়েছেন//তোমাদের জন্যে//যমীনকে//বিছানারুপে"
            },
            {
              "number": 5439,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5439.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5439.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5439.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5439.mp3"
              ],
              "text": "لِّتَسْلُكُوا۟ مِنْهَا سُبُلًۭا فِجَاجًۭا",
              "translate_bn": "যাতে তোমরা চলাফেরা কর প্রশস্ত পথে।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 504,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "লিতাছলুকূমিনহা-ছুবুলান ফিজা-জা- ।",
              "words_arabic": "لِّتَسْلُكُوْا/لِّتَسۡلُكُواْ/litasluku//مِنْهَا/مِنۡهَا/min'ha//سُبُلًا/سُبُلٗا/subulan//فِجَاجًا۠/فِجَاجٗا/fijajan",
              "words_bangla": "তোমরা চলো যেন//তা থেকে//রাস্তাসমূহে//প্রশস্ত\""
            },
            {
              "number": 5440,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5440.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5440.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5440.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5440.mp3"
              ],
              "text": "قَالَ نُوحٌۭ رَّبِّ إِنَّهُمْ عَصَوْنِى وَٱتَّبَعُوا۟ مَن لَّمْ يَزِدْهُ مَالُهُۥ وَوَلَدُهُۥٓ إِلَّا خَسَارًۭا",
              "translate_bn": "নূহ বললঃ হে আমার পালনকর্তা, আমার সম্প্রদায় আমাকে অমান্য করেছে আর অনুসরণ করছে এমন লোককে, যার ধন-সম্পদ ও সন্তান-সন্ততি কেবল তার ক্ষতিই বৃদ্ধি করছে।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "কা-লা নূহুররাব্বি ইন্নাহুম ‘আসাওনী ওয়াত্তাবা‘ঊ মাল্লাম ইয়াঝিদহু মা-লুহূওয়া ওয়ালাদুহূ ইল্লা- খাছা-রা- ।",
              "words_arabic": "قَالَ/قَالَ/qala//نُوْحٌ/نُوحٞ/nuhun//رَّبِّ/رَّبِّ/rabbi//اِنَّهُمْ/إِنَّهُمۡ/innahum//عَصَوْنِیْ/عَصَوۡنِي/asawni//وَ اتَّبَعُوْا/وَٱتَّبَعُواْ/wa-ittaba'u//مَنْ/مَن/man//لَّمْ/لَّمۡ/lam//یَزِدْهُ/يَزِدۡهُ/yazid'hu//مَالُهٗ/مَالُهُۥ/maluhu//وَ وَلَدُهٗۤ/وَوَلَدُهُۥٓ/wawaladuhu//اِلَّا/إِلَّا/illa//خَسَارًاۚ/خَسَارٗا/khasaran",
              "words_bangla": "বলল//নূহ//\"হে আমার রব//তারা নিশ্চয়//আমাকে অমান্য করেছে//এবং তারা অনুসরণ করেছে//(তার) যার//নাই//তাকে বাড়ায়//তার মাল//ও তার সন্তান//ব্যতীত//লোকসান (আর কিছুই)"
            },
            {
              "number": 5441,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5441.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5441.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5441.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5441.mp3"
              ],
              "text": "وَمَكَرُوا۟ مَكْرًۭا كُبَّارًۭا",
              "translate_bn": "আর তারা ভয়ানক চক্রান্ত করছে।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাকারূ মাকরান কুব্বা-রা- ।",
              "words_arabic": "وَ مَكَرُوْا/وَمَكَرُواْ/wamakaru//مَكْرًا/مَكۡرٗا/makran//كُبَّارًاۚ/كُبَّارٗا/kubbaran",
              "words_bangla": "এবং তারা ষড়যন্ত্র করেছে//ষড়যন্ত্র//অতি বড়"
            },
            {
              "number": 5442,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5442.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5442.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5442.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5442.mp3"
              ],
              "text": "وَقَالُوا۟ لَا تَذَرُنَّ ءَالِهَتَكُمْ وَلَا تَذَرُنَّ وَدًّۭا وَلَا سُوَاعًۭا وَلَا يَغُوثَ وَيَعُوقَ وَنَسْرًۭا",
              "translate_bn": "তারা বলছেঃ তোমরা তোমাদের উপাস্যদেরকে ত্যাগ করো না এবং ত্যাগ করো না ওয়াদ, সূয়া, ইয়াগুছ, ইয়াউক ও নসরকে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া কালূলা- তাযারুন্না আ-লিহাতাকুম ওয়ালা- তাযারুন্না ওয়াদ্দাওঁ ওয়ালা-ছুওয়া-‘আওঁ ওয়ালা- ইয়াগূছা ওয়া ইয়া‘ঊকা ওয়া নাছরা- ।",
              "words_arabic": "وَ قَالُوْا/وَقَالُواْ/waqalu//لَا/لَا/la//تَذَرُنَّ/تَذَرُنَّ/tadharunna//اٰلِهَتَكُمْ/ءَالِهَتَكُمۡ/alihatakum//وَ لَا/وَلَا/wala//تَذَرُنَّ/تَذَرُنَّ/tadharunna//وَدًّا/وَدّٗا/waddan//وَّ لَا/وَلَا/wala//سُوَاعًا ۙ۬/سُوَاعٗا/suwa'an//وَّ لَا/وَلَا/wala//یَغُوْثَ/يَغُوثَ/yaghutha//وَ یَعُوْقَ/وَيَعُوقَ/waya'uqa//وَ نَسْرًاۚ/وَنَسۡرٗا/wanasran",
              "words_bangla": "এবং তারা বলেছে//\"না//কখনোতোমরা ছেড়ো//তোমাদের ইলাহদেরকে//এবং না//কখনো তোমরা ছেড়ো//ওয়াদ্দাকে//ও না//সূয়া'আকে//এবং না//য়াগূছকে//আর ইয়াউক//ও নছরকে\""
            },
            {
              "number": 5443,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5443.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5443.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5443.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5443.mp3"
              ],
              "text": "وَقَدْ أَضَلُّوا۟ كَثِيرًۭا ۖ وَلَا تَزِدِ ٱلظَّٰلِمِينَ إِلَّا ضَلَٰلًۭا",
              "translate_bn": "অথচ তারা অনেককে পথভ্রষ্ট করেছে। অতএব আপনি জালেমদের পথভ্রষ্টতাই বাড়িয়ে দিন।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ আদাল্লুকাছীরাওঁ ওয়ালা-তাঝিদিজ্জা-লিমীনা ইল্লা-দালা-লা- ।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//اَضَلُّوْا/أَضَلُّواْ/adallu//كَثِیْرًا ۚ۬/كَثِيرٗاۖ/kathiran//وَ لَا/وَلَا/wala//تَزِدِ/تَزِدِ/tazidi//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//اِلَّا/إِلَّا/illa//ضَلٰلًا /ضَلَٰلٗا/dalalan",
              "words_bangla": "এবং নিশ্চয়//তারা পথভ্রষ্ট করেছে//অনেককে//এবং না//বারাবেন//জালেমদেরকে//ছাড়া//পথভ্রষ্টতা\""
            },
            {
              "number": 5444,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5444.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5444.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5444.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5444.mp3"
              ],
              "text": "مِّمَّا خَطِيٓـَٰٔتِهِمْ أُغْرِقُوا۟ فَأُدْخِلُوا۟ نَارًۭا فَلَمْ يَجِدُوا۟ لَهُم مِّن دُونِ ٱللَّهِ أَنصَارًۭا",
              "translate_bn": "তাদের গোনাহসমূহের দরুন তাদেরকে নিমজ্জিত করা হয়েছে, অতঃপর দাখিল করা হয়েছে জাহান্নামে। অতঃপর তারা আল্লাহ তা’আলা ব্যতীত কাউকে সাহায্যকারী পায়নি।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "মিম্মা খাতীআতিহিম উগরিকুফাউদখিলূনা-রান ফালাম ইয়াজিদূলাহুম মিন দূ নিল্লা- হি আনসা-রা- ।",
              "words_arabic": "مِمَّا/مِّمَّا/mimma//خَطِیْٓـٰٔتِهِمْ/خَطِيٓـَٰٔتِهِمۡ/khatiatihim//اُغْرِقُوْا/أُغۡرِقُواْ/ugh'riqu//فَاُدْخِلُوْا/فَأُدۡخِلُواْ/fa-ud'khilu//نَارًا ۙ۬/نَارٗا/naran//فَلَمْ/فَلَمۡ/falam//یَجِدُوْا/يَجِدُواْ/yajidu//لَهُمْ/لَهُم/lahum//مِّنْ/مِّن/min//دُوْنِ/دُونِ/duni//اللّٰهِ/ٱللَّهِ/al-lahi//اَنْصَارًا /أَنصَارٗا/ansaran",
              "words_bangla": "একারণে//তাদের অপরাধসমূহের//তাদের ডুবান হয়েছে//দাখিল করা হয়েছে অতঃপর কর//আগুনে//নাই অতঃপর//তারা পায়//তাদের জন্যে//থেকে//ছাড়া//আল্লাহ//সাহায্যকারী হিসেবে"
            },
            {
              "number": 5445,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5445.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5445.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5445.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5445.mp3"
              ],
              "text": "وَقَالَ نُوحٌۭ رَّبِّ لَا تَذَرْ عَلَى ٱلْأَرْضِ مِنَ ٱلْكَٰفِرِينَ دَيَّارًا",
              "translate_bn": "নূহ আরও বললঃ হে আমার পালনকর্তা, আপনি পৃথিবীতে কোন কাফের গৃহবাসীকে রেহাই দিবেন না।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লা নূহুররাব্বি লা-তাযার ‘আলাল আরদিমিনাল কা-ফিরীনা দাইইয়া-রা- ।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//نُوْحٌ/نُوحٞ/nuhun//رَّبِّ/رَّبِّ/rabbi//لَا/لَا/la//تَذَرْ/تَذَرۡ/tadhar//عَلَی/عَلَى/ala//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//مِنَ/مِنَ/mina//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//دَیَّارًا /دَيَّارًا/dayyaran",
              "words_bangla": "এবং বলল//ণুহ//\"হে আমার রব//না//ছাড়বেন//উপর//যমীনের//থেকে//কাফিরদের//কোন গৃহবাসী"
            },
            {
              "number": 5446,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5446.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5446.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5446.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5446.mp3"
              ],
              "text": "إِنَّكَ إِن تَذَرْهُمْ يُضِلُّوا۟ عِبَادَكَ وَلَا يَلِدُوٓا۟ إِلَّا فَاجِرًۭا كَفَّارًۭا",
              "translate_bn": "যদি আপনি তাদেরকে রেহাই দেন, তবে তারা আপনার বান্দাদেরকে পথভ্রষ্ট করবে এবং জন্ম দিতে থাকবে কেবল পাপাচারী, কাফের।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "ইন্নাকা ইন তাযারহুম ইউদিল্লু‘ইবা- দাকা ওয়ালা- ইয়ালিদূ ইল্লা- ফা-জিরান কাফফা-রা- ।",
              "words_arabic": "اِنَّكَ/إِنَّكَ/innaka//اِنْ/إِن/in//تَذَرْهُمْ/تَذَرۡهُمۡ/tadharhum//یُضِلُّوْا/يُضِلُّواْ/yudillu//عِبَادَكَ/عِبَادَكَ/ibadaka//وَ لَا/وَلَا/wala//یَلِدُوْۤا/يَلِدُوٓاْ/yalidu//اِلَّا/إِلَّا/illa//فَاجِرًا/فَاجِرٗا/fajiran//كَفَّارًا /كَفَّارٗا/kaffaran",
              "words_bangla": "আপনি নিশ্চয়//যদি//তাদের ছাড়েন//তারা গোমরাহ করবে//আপনার বান্দাদেরকে//এবং না//তারা জন্ম দেবে//ছাড়া//পাপাচারী//কট্টর কাফির"
            },
            {
              "number": 5447,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5447.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5447.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5447.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5447.mp3"
              ],
              "text": "رَّبِّ ٱغْفِرْ لِى وَلِوَٰلِدَىَّ وَلِمَن دَخَلَ بَيْتِىَ مُؤْمِنًۭا وَلِلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ وَلَا تَزِدِ ٱلظَّٰلِمِينَ إِلَّا تَبَارًۢا",
              "translate_bn": "হে আমার পালনকর্তা! আপনি আমাকে, আমার পিতা-মাতাকে, যারা মুমিন হয়ে আমার গৃহে প্রবেশ করে-তাদেরকে এবং মুমিন পুরুষ ও মুমিন নারীদেরকে ক্ষমা করুন এবং যালেমদের কেবল ধ্বংসই বৃদ্ধি করুন।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 571,
              "ruku": 505,
              "hizbQuarter": 228,
              "sajda": false,
              "pronunciation_bn": "রাব্বিগফিরলী ওয়ালিওয়া-লিদাইইয়া ওয়া লিমান দাখালা বাইতিয়া মু’মিনাওঁ ওয়া লিলমু’মিনীনা ওয়াল মু’মিনা-তি ওয়ালা- তাঝিদিজ্জা-লিমীনা ইল্লা-তাবা-রা-।",
              "words_arabic": "رَبِّ/رَّبِّ/rabbi//اغْفِرْ/ٱغۡفِرۡ/igh'fir//لِیْ/لِي/li//وَ لِوَالِدَیَّ/وَلِوَٰلِدَيَّ/waliwalidayya//وَ لِمَنْ/وَلِمَن/waliman//دَخَلَ/دَخَلَ/dakhala//بَیْتِیَ/بَيۡتِيَ/baytiya//مُؤْمِنًا/مُؤۡمِنٗا/mu'minan//وَّ لِلْمُؤْمِنِیْنَ/وَلِلۡمُؤۡمِنِينَ/walil'mu'minina//وَ الْمُؤْمِنٰتِ ؕ/وَٱلۡمُؤۡمِنَٰتِۖ/wal-mu'minati//وَ لَا/وَلَا/wala//تَزِدِ/تَزِدِ/tazidi//الظّٰلِمِیْنَ/ٱلظَّـٰلِمِينَ/al-zalimina//اِلَّا/إِلَّا/illa//تَبَارًا۠/تَبَارَۢا/tabaran",
              "words_bangla": "হে আমার রব//মাফ করুন//আমাকে//ও আমার পিতা-মাতাকে//ও যে (তার) জন্য//প্রবেশ করেছে//আমার ঘরে//মু'মিন রূপে//এবং মু'মিনপুরুষদের জন্যে//মুমিন স্ত্রীলোকদের//এবং না//বাড়াবেন//জালেমদের অন্যকিছু//ছাড়া//ধ্বংস\""
            }
          ]
        },
        {
          "number": 72,
          "name": "سُورَةُ الجِنِّ",
          "englishName": "Al-Jinn",
          "englishNameTranslation": "The Jinn",
          "revelationType": "Meccan",
          "verse": 28,
          "words": 573,
          "chars": 2424,
          "ayahs": [
            {
              "number": 5448,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5448.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5448.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5448.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5448.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قُلْ أُوحِىَ إِلَىَّ أَنَّهُ ٱسْتَمَعَ نَفَرٌۭ مِّنَ ٱلْجِنِّ فَقَالُوٓا۟ إِنَّا سَمِعْنَا قُرْءَانًا عَجَبًۭا",
              "translate_bn": "বলুনঃ আমার প্রতি ওহী নাযিল করা হয়েছে যে, জিনদের একটি দল কোরআন শ্রবণ করেছে, অতঃপর তারা বলেছেঃ আমরা বিস্ময়কর কোরআন শ্রবণ করেছি;",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুলঊহিয়া ইলাইইয়া আন্নাহুছতামা‘আ নাফারুম মিনাল জিন্নি ফাকা-লূইন্না-ছামি‘নাকুরআ-নান ‘আজাবা- ।",
              "words_arabic": "قُلْ/قُلۡ/qul//اُوْحِیَ/أُوحِيَ/uhiya//اِلَیَّ/إِلَيَّ/ilayya//اَنَّهُ/أَنَّهُ/annahu//اسْتَمَعَ/ٱسۡتَمَعَ/is'tama'a//نَفَرٌ/نَفَرٞ/nafarun//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//فَقَالُوْۤا/فَقَالُوٓاْ/faqalu//اِنَّا/إِنَّا/inna//سَمِعْنَا/سَمِعۡنَا/sami'na//قُرْاٰنًا/قُرۡءَانًا/qur'anan//عَجَبًاۙ/عَجَبٗا/ajaban",
              "words_bangla": "বল (হে নবী)//\"ওহী করা হয়েছে//আমার প্রতি//যে//মনযোগসহ শুনেছে//একটি দল//মধ্যে//জ্বীনদের//তারা বলেছে অতঃপর//\"আমরা নিশ্চয়ই//আমরা শুনেছি//কুরআন//বিস্ময়কর"
            },
            {
              "number": 5449,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5449.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5449.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5449.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5449.mp3"
              ],
              "text": "يَهْدِىٓ إِلَى ٱلرُّشْدِ فَـَٔامَنَّا بِهِۦ ۖ وَلَن نُّشْرِكَ بِرَبِّنَآ أَحَدًۭا",
              "translate_bn": "যা সৎপথ প্রদর্শন করে। ফলে আমরা তাতে বিশ্বাস স্থাপন করেছি। আমরা কখনও আমাদের পালনকর্তার সাথে কাউকে শরীক করব না।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইয়াহদীইলাররুশদি ফাআ-মান্না- বিহী ওয়া লান নুশরিকা বিরাব্বিনাআহাদা- ।",
              "words_arabic": "یَّهْدِیْۤ/يَهۡدِيٓ/yahdi//اِلَی/إِلَى/ila//الرُّشْدِ/ٱلرُّشۡدِ/al-rush'di//فَاٰمَنَّا/فَـَٔامَنَّا/faamanna//بِهٖ ؕ/بِهِۦۖ/bihi//وَ لَنْ/وَلَن/walan//نُّشْرِكَ/نُّشۡرِكَ/nush'rika//بِرَبِّنَاۤ/بِرَبِّنَآ/birabbina//اَحَدًاۙ/أَحَدٗا/ahadan",
              "words_bangla": "পথ দেখায়//দিকে//সত্যের//আমরা ঈমান অতঃপর এনেছি//তার উপর//এবং কক্ষণ না//শরীক আমরা করবো//আমাদের রবের সাথে//কাউকে"
            },
            {
              "number": 5450,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5450.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5450.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5450.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5450.mp3"
              ],
              "text": "وَأَنَّهُۥ تَعَٰلَىٰ جَدُّ رَبِّنَا مَا ٱتَّخَذَ صَٰحِبَةًۭ وَلَا وَلَدًۭا",
              "translate_bn": "এবং আরও বিশ্বাস করি যে, আমাদের পালনকর্তার মহান মর্যাদা সবার উর্ধ্বে। তিনি কোন পত্নী গ্রহণ করেননি এবং তাঁর কোন সন্তান নেই।",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূতা‘আ- জাদ্দুরাব্বিনা- মাত্তাখাযা সা-হিবাতাওঁ ওয়ালা- ওয়ালাদা- ।",
              "words_arabic": "وَّ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//تَعٰلٰی/تَعَٰلَىٰ/ta'ala//جَدُّ/جَدُّ/jaddu//رَبِّنَا/رَبِّنَا/rabbina//مَا/مَا/ma//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//صَاحِبَةً/صَٰحِبَةٗ/sahibatan//وَّ لَا/وَلَا/wala//وَلَدًاۙ/وَلَدٗا/waladan",
              "words_bangla": "এবং যে//অতি উচ্চ//মর্যাদা//আমাদের রবের//নাই//তিনি গ্রহণ করেন//স্ত্রী//আর না//পুত্র"
            },
            {
              "number": 5451,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5451.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5451.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5451.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5451.mp3"
              ],
              "text": "وَأَنَّهُۥ كَانَ يَقُولُ سَفِيهُنَا عَلَى ٱللَّهِ شَطَطًۭا",
              "translate_bn": "আমাদের মধ্যে নির্বোধেরা আল্লাহ তা’আলা সম্পর্কে বাড়াবাড়ির কথাবার্তা বলত।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূকা-না ইয়াকূলুছাফীহুনা- ‘আলাল্লা-হি শাতাতা- ।",
              "words_arabic": "وَّ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//كَانَ/كَانَ/kana//یَقُوْلُ/يَقُولُ/yaqulu//سَفِیْهُنَا/سَفِيهُنَا/safihuna//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//شَطَطًاۙ/شَطَطٗا/shatatan",
              "words_bangla": "এবং যে//ছিল//বলত//আমাদের নির্বোধরা//উপর//আল্লাহর//সীমাহীন মিথ্যা"
            },
            {
              "number": 5452,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5452.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5452.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5452.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5452.mp3"
              ],
              "text": "وَأَنَّا ظَنَنَّآ أَن لَّن تَقُولَ ٱلْإِنسُ وَٱلْجِنُّ عَلَى ٱللَّهِ كَذِبًۭا",
              "translate_bn": "অথচ আমরা মনে করতাম, মানুষ ও জিন কখনও আল্লাহ তা’আলা সম্পর্কে মিথ্যা বলতে পারে না।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না- জানান্নাআল্লান তাকূলাল ইনছুওয়াল জিন্নু‘আলাল্লা-হি কাযিবা- ।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//ظَنَنَّاۤ/ظَنَنَّآ/zananna//اَنْ/أَن/an//لَّنْ/لَّن/lan//تَقُوْلَ/تَقُولَ/taqula//الْاِنْسُ/ٱلۡإِنسُ/al-insu//وَ الْجِنُّ/وَٱلۡجِنُّ/wal-jinu//عَلَی/عَلَى/ala//اللّٰهِ/ٱللَّهِ/al-lahi//كَذِبًاۙ/كَذِبٗا/kadhiban",
              "words_bangla": "এবং আমরা যে//ভেবেছিলাম//যে//কখনও না//বলবে//মানুষ//ও জীন্ন//সম্পর্কে//আল্লাহ//মিথ্যা"
            },
            {
              "number": 5453,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5453.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5453.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5453.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5453.mp3"
              ],
              "text": "وَأَنَّهُۥ كَانَ رِجَالٌۭ مِّنَ ٱلْإِنسِ يَعُوذُونَ بِرِجَالٍۢ مِّنَ ٱلْجِنِّ فَزَادُوهُمْ رَهَقًۭا",
              "translate_bn": "অনেক মানুষ অনেক জিনের আশ্রয় নিত, ফলে তারা জিনদের আত্নম্ভরিতা বাড়িয়ে দিত।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূকা-না রিজা-লুম মিনাল ইনছি ইয়া‘ঊযূনা বিরিজা-লিম মিনাল জিন্নি ফাঝা-দূহুম রাহাকা- ।",
              "words_arabic": "وَّ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//كَانَ/كَانَ/kana//رِجَالٌ/رِجَالٞ/rijalun//مِّنَ/مِّنَ/mina//الْاِنْسِ/ٱلۡإِنسِ/al-insi//یَعُوْذُوْنَ/يَعُوذُونَ/ya'udhuna//بِرِجَالٍ/بِرِجَالٖ/birijalin//مِّنَ/مِّنَ/mina//الْجِنِّ/ٱلۡجِنِّ/al-jini//فَزَادُوْهُمْ/فَزَادُوهُمۡ/fazaduhum//رَهَقًاۙ/رَهَقٗا/rahaqan",
              "words_bangla": "এবং যে//ছিল//কিছু লোক//মধ্যে//মানুষের//আশ্রয় চাইত//কিছু লোকের//মধ্যের//জিন্নদের//তাদের বাড়িয়েছিল এভাবে//অহংকার"
            },
            {
              "number": 5454,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5454.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5454.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5454.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5454.mp3"
              ],
              "text": "وَأَنَّهُمْ ظَنُّوا۟ كَمَا ظَنَنتُمْ أَن لَّن يَبْعَثَ ٱللَّهُ أَحَدًۭا",
              "translate_bn": "তারা ধারণা করত, যেমন তোমরা মানবেরা ধারণা কর যে, মৃত্যুর পর আল্লাহ তা’আলা কখনও কাউকে পুনরুত্থিত করবেন না।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহুম জান্নুকামা-জানানতুম আল্লাইঁ ইয়াব‘আছাল্লা- হু আহাদা- ।",
              "words_arabic": "وَّ اَنَّهُمْ/وَأَنَّهُمۡ/wa-annahum//ظَنُّوْا/ظَنُّواْ/zannu//كَمَا/كَمَا/kama//ظَنَنْتُمْ/ظَنَنتُمۡ/zanantum//اَنْ/أَن/an//لَّنْ/لَّن/lan//یَّبْعَثَ/يَبۡعَثَ/yab'atha//اللّٰهُ/ٱللَّهُ/al-lahu//اَحَدًاۙ/أَحَدٗا/ahadan",
              "words_bangla": "এবং তারা যে//ভেবেছিল//যেমন//তোমরা ভেবেছ//যে//কখনও না//পাঠাবেন//আল্লাহ//কাউকে (রাসূলরূপে)"
            },
            {
              "number": 5455,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5455.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5455.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5455.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5455.mp3"
              ],
              "text": "وَأَنَّا لَمَسْنَا ٱلسَّمَآءَ فَوَجَدْنَٰهَا مُلِئَتْ حَرَسًۭا شَدِيدًۭا وَشُهُبًۭا",
              "translate_bn": "আমরা আকাশ পর্যবেক্ষণ করছি, অতঃপর দেখতে পেয়েছি যে, কঠোর প্রহরী ও উল্কাপিন্ড দ্বারা আকাশ পরিপূর্ণ।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না-লামাছনাছছামাআ ফাওয়াজাদনা-হা- মুলিইয়াত হারাছান শাদীদাওঁ ওয়া শুহুবা-।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//لَمَسْنَا/لَمَسۡنَا/lamasna//السَّمَآءَ/ٱلسَّمَآءَ/al-samaa//فَوَجَدْنٰهَا/فَوَجَدۡنَٰهَا/fawajadnaha//مُلِئَتْ/مُلِئَتۡ/muli-at//حَرَسًا/حَرَسٗا/harasan//شَدِیْدًا/شَدِيدٗا/shadidan//وَّ شُهُبًاۙ/وَشُهُبٗا/washuhuban",
              "words_bangla": "এবং আমরা যে//আমরা তালাশ করেছি//আসমানে//তা আমরা পেয়েছি ফলে//পরিপূর্ণ//পাহারাদারে//কঠোর//ও অগ্নিশিখা সমূহে"
            },
            {
              "number": 5456,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5456.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5456.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5456.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5456.mp3"
              ],
              "text": "وَأَنَّا كُنَّا نَقْعُدُ مِنْهَا مَقَٰعِدَ لِلسَّمْعِ ۖ فَمَن يَسْتَمِعِ ٱلْءَانَ يَجِدْ لَهُۥ شِهَابًۭا رَّصَدًۭا",
              "translate_bn": "আমরা আকাশের বিভিন্ন ঘাঁটিতে সংবাদ শ্রবণার্থে বসতাম। এখন কেউ সংবাদ শুনতে চাইলে সে জলন্ত উল্কাপিন্ড ওঁৎ পেতে থাকতে দেখে।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না- কুন্না- নাক‘উদুমিনহা- মাকা-‘ইদা লিছছামা‘ই ফামাইঁ ইয়াছতামি‘ইল আনা ইয়াজিদ লাহূশিহা-বাররাসাদা-।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//كُنَّا/كُنَّا/kunna//نَقْعُدُ/نَقۡعُدُ/naq'udu//مِنْهَا/مِنۡهَا/min'ha//مَقَاعِدَ/مَقَٰعِدَ/maqa'ida//لِلسَّمْعِ ؕ/لِلسَّمۡعِۖ/lilssam'i//فَمَنْ/فَمَن/faman//یَّسْتَمِعِ/يَسۡتَمِعِ/yastami'i//الْاٰنَ/ٱلۡأٓنَ/al-ana//یَجِدْ/يَجِدۡ/yajid//لَهٗ/لَهُۥ/lahu//شِهَابًا/شِهَابٗا/shihaban//رَّصَدًاۙ/رَّصَدٗا/rasadan",
              "words_bangla": "এবং যে//(আমরা)//আমরা বসতাম//সেখানে//আসনগুলোতে//শুনার জন্য//যে কিন্তু//শুনবে//এখন//সে পাবে//তার জন্য//অগ্নিশিখা//পেতে রাখা"
            },
            {
              "number": 5457,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5457.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5457.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5457.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5457.mp3"
              ],
              "text": "وَأَنَّا لَا نَدْرِىٓ أَشَرٌّ أُرِيدَ بِمَن فِى ٱلْأَرْضِ أَمْ أَرَادَ بِهِمْ رَبُّهُمْ رَشَدًۭا",
              "translate_bn": "আমরা জানি না পৃথিবীবাসীদের অমঙ্গল সাধন করা অভীষ্ট, না তাদের পালনকর্তা তাদের মঙ্গল সাধন করার ইচ্ছা রাখেন।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না-লা-নাদরীআশাররুন উরীদা বিমান ফিল আরদিআম আরা-দা বিহিম রাব্বুহুম রাশাদা- ।\r\n",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//لَا/لَا/la//نَدْرِیْۤ/نَدۡرِيٓ/nadri//اَشَرٌّ/أَشَرٌّ/asharrun//اُرِیْدَ/أُرِيدَ/urida//بِمَنْ/بِمَن/biman//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//اَمْ/أَمۡ/am//اَرَادَ/أَرَادَ/arada//بِهِمْ/بِهِمۡ/bihim//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//رَشَدًاۙ/رَشَدٗا/rashadan",
              "words_bangla": "এবং আমরা যে//না//জানি আমরা//অকল্যাণ//অভিপ্রেত//যারা সাথে//উপর//যমীনের//কিম্বা//চান//তাদের সাথে//তাদের রব//কল্যাণ"
            },
            {
              "number": 5458,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5458.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5458.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5458.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5458.mp3"
              ],
              "text": "وَأَنَّا مِنَّا ٱلصَّٰلِحُونَ وَمِنَّا دُونَ ذَٰلِكَ ۖ كُنَّا طَرَآئِقَ قِدَدًۭا",
              "translate_bn": "আমাদের কেউ কেউ সৎকর্মপরায়ণ এবং কেউ কেউ এরূপ নয়। আমরা ছিলাম বিভিন্ন পথে বিভক্ত।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না-মিন্নাসসা-লিহূনা ওয়া মিন্না-দূ না যা-লিকা কুন্না-তারাইকা কিদাদা- ।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//مِنَّا/مِنَّا/minna//الصّٰلِحُوْنَ/ٱلصَّـٰلِحُونَ/al-salihuna//وَ مِنَّا/وَمِنَّا/waminna//دُوْنَ/دُونَ/duna//ذٰلِكَ ؕ/ذَٰلِكَۖ/dhalika//كُنَّا/كُنَّا/kunna//طَرَآىِٕقَ/طَرَآئِقَ/taraiqa//قِدَدًاۙ/قِدَدٗا/qidadan",
              "words_bangla": "এবং যে//আমাদের মধ্যে (আছে)//সৎলোক (কিছু)//আবার আমাদের//ছাড়াও (আছে)//এ//আমরা ছিলাম//বিভিন্ন পথে//বিভক্ত"
            },
            {
              "number": 5459,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5459.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5459.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5459.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5459.mp3"
              ],
              "text": "وَأَنَّا ظَنَنَّآ أَن لَّن نُّعْجِزَ ٱللَّهَ فِى ٱلْأَرْضِ وَلَن نُّعْجِزَهُۥ هَرَبًۭا",
              "translate_bn": "আমরা বুঝতে পেরেছি যে, আমরা পৃথিবীতে আল্লাহ তা’আলাকে পরাস্ত করতে পারব না এবং পলায়ন করেও তাকে অপারক করত পরব না।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না-জানান্না আল্লান নু‘জিঝাল্লা-হা ফিল আরদিওয়া লান নু‘জিঝাহূহারাবা- ।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//ظَنَنَّاۤ/ظَنَنَّآ/zananna//اَنْ/أَن/an//لَّنْ/لَّن/lan//نُّعْجِزَ/نُّعۡجِزَ/nu'jiza//اللّٰهَ/ٱللَّهَ/al-laha//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//وَ لَنْ/وَلَن/walan//نُّعْجِزَهٗ/نُّعۡجِزَهُۥ/nu'jizahu//هَرَبًاۙ/هَرَبٗا/haraban",
              "words_bangla": "এবং আমরা যে//আমরা ভেবেছিলাম//যে//কখনও না//আক্ষম আমরা কএওতে পারবো//আল্লাহকে//মধ্যে//পৃথিবীর//এবং কখন না//আমরা পরাভূত করতে পারবো তাঁকে//পলায়ন করে"
            },
            {
              "number": 5460,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5460.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5460.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5460.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5460.mp3"
              ],
              "text": "وَأَنَّا لَمَّا سَمِعْنَا ٱلْهُدَىٰٓ ءَامَنَّا بِهِۦ ۖ فَمَن يُؤْمِنۢ بِرَبِّهِۦ فَلَا يَخَافُ بَخْسًۭا وَلَا رَهَقًۭا",
              "translate_bn": "আমরা যখন সুপথের নির্দেশ শুনলাম, তখন তাতে বিশ্বাস স্থাপন করলাম। অতএব, যে তার পালনকর্তার প্রতি বিশ্বাস করে, সে লোকসান ও জোর-জবরের আশংকা করে না।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 572,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না- লাম্মা- ছামি‘নাল হুদাআ-মান্না- বিহী ফামাইঁ ইউ’মিম বিরাব্বিহী ফালাইয়াখা-ফুবাখছাওঁ ওয়ালা- রাহাকা- ।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//لَمَّا/لَمَّا/lamma//سَمِعْنَا/سَمِعۡنَا/sami'na//الْهُدٰۤی/ٱلۡهُدَىٰٓ/al-huda//اٰمَنَّا/ءَامَنَّا/amanna//بِهٖ ؕ/بِهِۦۖ/bihi//فَمَنْ/فَمَن/faman//یُّؤْمِنْۢ/يُؤۡمِنۢ/yu'min//بِرَبِّهٖ/بِرَبِّهِۦ/birabbihi//فَلَا/فَلَا/fala//یَخَافُ/يَخَافُ/yakhafu//بَخْسًا/بَخۡسٗا/bakhsan//وَّ لَا/وَلَا/wala//رَهَقًاۙ/رَهَقٗا/rahaqan",
              "words_bangla": "এবং আমরা যে//যখন//আমরা শুনেছি//হেদায়াত//আমরা ঈমান এনেছি//তার উপর//যে অতএব//ঈমান আনবে//তার রবের উপর//না অতএব//সে ভয় করবে//অবিচারের//এবং না//জুলুমের"
            },
            {
              "number": 5461,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5461.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5461.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5461.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5461.mp3"
              ],
              "text": "وَأَنَّا مِنَّا ٱلْمُسْلِمُونَ وَمِنَّا ٱلْقَٰسِطُونَ ۖ فَمَنْ أَسْلَمَ فَأُو۟لَٰٓئِكَ تَحَرَّوْا۟ رَشَدًۭا",
              "translate_bn": "আমাদের কিছুসংখ্যক আজ্ঞাবহ এবং কিছুসংখ্যক অন্যায়কারী। যারা আজ্ঞাবহ হয়, তারা সৎপথ বেছে নিয়েছে।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্না- মিন্নাল মুছলিমূনা ওয়া মিন্নাল কা-ছিতূনা ফামান আছলামা ফাউলাইকা তাহররাওঁ ওাশাদা-।",
              "words_arabic": "وَّ اَنَّا/وَأَنَّا/wa-anna//مِنَّا/مِنَّا/minna//الْمُسْلِمُوْنَ/ٱلۡمُسۡلِمُونَ/al-mus'limuna//وَ مِنَّا/وَمِنَّا/waminna//الْقٰسِطُوْنَ ؕ/ٱلۡقَٰسِطُونَۖ/al-qasituna//فَمَنْ/فَمَنۡ/faman//اَسْلَمَ/أَسۡلَمَ/aslama//فَاُولٰٓىِٕكَ/فَأُوْلَـٰٓئِكَ/fa-ulaika//تَحَرَّوْا/تَحَرَّوۡاْ/taharraw//رَشَدًا /رَشَدٗا/rashadan",
              "words_bangla": "এবং যে//আমাদের মধ্যে//মুসলমান (আছে)//আবার আমাদের মধ্যে//সত্যবিমুখও (আছে)//যে অতএব//ইসলাম গ্রহণও করেছে//ঐসব লোক তবে//বেছে নিয়েছে//সত্য পথ"
            },
            {
              "number": 5462,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5462.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5462.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5462.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5462.mp3"
              ],
              "text": "وَأَمَّا ٱلْقَٰسِطُونَ فَكَانُوا۟ لِجَهَنَّمَ حَطَبًۭا",
              "translate_bn": "আর যারা অন্যায়কারী, তারা তো জাহান্নামের ইন্ধন।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাল কা-ছিতু না ফাকা-নূলিজাহান্নামা হাতাবা- ।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//الْقٰسِطُوْنَ/ٱلۡقَٰسِطُونَ/al-qasituna//فَكَانُوْا/فَكَانُواْ/fakanu//لِجَهَنَّمَ/لِجَهَنَّمَ/lijahannama//حَطَبًاۙ/حَطَبٗا/hataban",
              "words_bangla": "অপরপক্ষে//সত্য বিমুখরা//তারা অতঃপর হলো//জাহান্নামের জন্য//ইন্ধন\""
            },
            {
              "number": 5463,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5463.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5463.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5463.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5463.mp3"
              ],
              "text": "وَأَلَّوِ ٱسْتَقَٰمُوا۟ عَلَى ٱلطَّرِيقَةِ لَأَسْقَيْنَٰهُم مَّآءً غَدَقًۭا",
              "translate_bn": "আর এই প্রত্যাদেশ করা হয়েছে যে, তারা যদি সত্যপথে কায়েম থাকত, তবে আমি তাদেরকে প্রচুর পানি বর্ষণে সিক্ত করতাম।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল্লাবিছতাকা-মূ‘আলাত্তারীকাতি লাআছকাইনা-হুম মাআন গাদাকা-।",
              "words_arabic": "وَّ اَنْ لَّوِ/وَأَلَّوِ/wa-allawi//اسْتَقَامُوْا/ٱسۡتَقَٰمُواْ/is'taqamu//عَلَی/عَلَى/ala//الطَّرِیْقَةِ/ٱلطَّرِيقَةِ/al-tariqati//لَاَسْقَیْنٰهُمْ/لَأَسۡقَيۡنَٰهُم/la-asqaynahum//مَّآءً/مَّآءً/maan//غَدَقًاۙ/غَدَقٗا/ghadaqan",
              "words_bangla": "এবং যদি//তারা দৃঢ় থাকতো//উপর//সত্য পথের//তাদের আমরা পান অবশ্যই করাতাম//পানি//প্রচুর"
            },
            {
              "number": 5464,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5464.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5464.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5464.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5464.mp3"
              ],
              "text": "لِّنَفْتِنَهُمْ فِيهِ ۚ وَمَن يُعْرِضْ عَن ذِكْرِ رَبِّهِۦ يَسْلُكْهُ عَذَابًۭا صَعَدًۭا",
              "translate_bn": "যাতে এ ব্যাপারে তাদেরকে পরীক্ষা করি। পক্ষান্তরে যে ব্যক্তি তার পালনকর্তার স্মরণ থেকে মুখ ফিরিয়ে নেয়, তিনি তাকে উদীয়মান আযাবে পরিচালিত করবেন।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "লিনাফতিনাহুম ফীহি ওয়া মাইঁ ইউ‘রিদ‘আন যিকরি রাব্বিহী ইয়াছলুকহু ‘আযা-বান সা‘আদা- ।",
              "words_arabic": "لِّنَفْتِنَهُمْ/لِّنَفۡتِنَهُمۡ/linaftinahum//فِیْهِ ؕ/فِيهِۚ/fihi//وَ مَنْ/وَمَن/waman//یُّعْرِضْ/يُعۡرِضۡ/yu'rid//عَنْ/عَن/an//ذِكْرِ/ذِكۡرِ/dhik'ri//رَبِّهٖ/رَبِّهِۦ/rabbihi//یَسْلُكْهُ/يَسۡلُكۡهُ/yasluk'hu//عَذَابًا/عَذَابٗا/adhaban//صَعَدًاۙ/صَعَدٗا/sa'adan",
              "words_bangla": "তাদের পরীক্ষা আমরা যেন করি//তার মধ্যে//এবং যে//মুখ ফেরাবে//থেকে//স্মরণ//তার রবের উপর//তাকে প্রবেশ করাবে//আযাবে//দুঃসহ"
            },
            {
              "number": 5465,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5465.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5465.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5465.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5465.mp3"
              ],
              "text": "وَأَنَّ ٱلْمَسَٰجِدَ لِلَّهِ فَلَا تَدْعُوا۟ مَعَ ٱللَّهِ أَحَدًۭا",
              "translate_bn": "এবং এই ওহীও করা হয়েছে যে, মসজিদসমূহ আল্লাহ তা’আলাকে স্মরণ করার জন্য। অতএব, তোমরা আল্লাহ তা’আলার সাথে কাউকে ডেকো না।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাল মাছা-জিদা লিল্লা-হি ফালা- তাদ‘ঊ মা‘আল্লা-হি আহাদা-।",
              "words_arabic": "وَّ اَنَّ/وَأَنَّ/wa-anna//الْمَسٰجِدَ/ٱلۡمَسَٰجِدَ/al-masajida//لِلّٰهِ/لِلَّهِ/lillahi//فَلَا/فَلَا/fala//تَدْعُوْا/تَدۡعُواْ/tad'u//مَعَ/مَعَ/ma'a//اللّٰهِ/ٱللَّهِ/al-lahi//اَحَدًاۙ/أَحَدٗا/ahadan",
              "words_bangla": "এবং যে//মসজিদ সমূহ//আল্লাহর জন্যে//না অতএব//তোমরা ডেকো//সাথে//আল্লাহর//কাউকে"
            },
            {
              "number": 5466,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5466.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5466.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5466.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5466.mp3"
              ],
              "text": "وَأَنَّهُۥ لَمَّا قَامَ عَبْدُ ٱللَّهِ يَدْعُوهُ كَادُوا۟ يَكُونُونَ عَلَيْهِ لِبَدًۭا",
              "translate_bn": "আর যখন আল্লাহ তা’আলার বান্দা তাঁকে ডাকার জন্যে দন্ডায়মান হল, তখন অনেক জিন তার কাছে ভিড় জমাল।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 506,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া আন্নাহূলাম্মা-কা- মা ‘আবদুল্লা-হি ইয়াদ‘ঊহু কা-দূইয়াকূনূনা ‘আলাইহি লিবাদা-।",
              "words_arabic": "وَّ اَنَّهٗ/وَأَنَّهُۥ/wa-annahu//لَمَّا/لَمَّا/lamma//قَامَ/قَامَ/qama//عَبْدُ/عَبۡدُ/abdu//اللّٰهِ/ٱللَّهِ/al-lahi//یَدْعُوْهُ/يَدۡعُوهُ/yad'uhu//كَادُوْا/كَادُواْ/kadu//یَكُوْنُوْنَ/يَكُونُونَ/yakununa//عَلَیْهِ/عَلَيۡهِ/alayhi//لِبَدًاؕ۠/لِبَدٗا/libadan",
              "words_bangla": "এবং যে//যখন//দাঁড়াল//বান্দা//আল্লাহর//তাঁকে ডাকতে//করল (যেন)//তারা উপক্রম//তার উপর//ঘিরে ধরার"
            },
            {
              "number": 5467,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5467.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5467.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5467.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5467.mp3"
              ],
              "text": "قُلْ إِنَّمَآ أَدْعُوا۟ رَبِّى وَلَآ أُشْرِكُ بِهِۦٓ أَحَدًۭا",
              "translate_bn": "বলুনঃ আমি তো আমার পালনকর্তাকেই ডাকি এবং তাঁর সাথে কাউকে শরীক করি না।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নামাআদ‘ঊ রাববী ওয়ালাউশরিকুবিহীআহাদা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنَّمَاۤ/إِنَّمَآ/innama//اَدْعُوْا/أَدۡعُواْ/ad'u//رَبِّیْ/رَبِّي/rabbi//وَ لَاۤ/وَلَآ/wala//اُشْرِكُ/أُشۡرِكُ/ush'riku//بِهٖۤ/بِهِۦٓ/bihi//اَحَدًا /أَحَدٗا/ahadan",
              "words_bangla": "বল//\"মুলত//আমি ডাকি//আমার রবকে//এবং না//শরীক করি//তার সাথে//কাউকে\""
            },
            {
              "number": 5468,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5468.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5468.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5468.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5468.mp3"
              ],
              "text": "قُلْ إِنِّى لَآ أَمْلِكُ لَكُمْ ضَرًّۭا وَلَا رَشَدًۭا",
              "translate_bn": "বলুনঃ আমি তোমাদের ক্ষতি সাধন করার ও সুপথে আনয়ন করার মালিক নই।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নী লাআমলিকুলাকুম দাররাওঁ ওয়ালা-রাশাদা- ।\r\n",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْ/إِنِّي/inni//لَاۤ/لَآ/la//اَمْلِكُ/أَمۡلِكُ/amliku//لَكُمْ/لَكُمۡ/lakum//ضَرًّا/ضَرّٗا/darran//وَّ لَا/وَلَا/wala//رَشَدًا /رَشَدٗا/rashadan",
              "words_bangla": "বল//\"আমি নিশ্চয়//না//ক্ষমতা রাখি আমি//তোমাদের জন্যে//ক্ষতির//এবং না//কল্যাণের\""
            },
            {
              "number": 5469,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5469.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5469.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5469.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5469.mp3"
              ],
              "text": "قُلْ إِنِّى لَن يُجِيرَنِى مِنَ ٱللَّهِ أَحَدٌۭ وَلَنْ أَجِدَ مِن دُونِهِۦ مُلْتَحَدًا",
              "translate_bn": "বলুনঃ আল্লাহ তা’আলার কবল থেকে আমাকে কেউ রক্ষা করতে পারবে না এবং তিনি ব্যতীত আমি কোন আশ্রয়স্থল পাব না।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুল ইন্নী লাইঁ ইউজীরানী মিনাল্লা-হি আহাদুওঁ ওয়া লান আজিদা মিন দূ নিহী মুলতাহাদা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنِّیْ/إِنِّي/inni//لَنْ/لَن/lan//یُّجِیْرَنِیْ/يُجِيرَنِي/yujirani//مِنَ/مِنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//اَحَدٌ ۙ۬/أَحَدٞ/ahadun//وَّ لَنْ/وَلَنۡ/walan//اَجِدَ/أَجِدَ/ajida//مِنْ/مِن/min//دُوْنِهٖ/دُونِهِۦ/dunihi//مُلْتَحَدًاۙ/مُلۡتَحَدًا/mul'tahadan",
              "words_bangla": "বল//\"আমি নিশ্চয়//কখন না//আশ্রয় দিতে পারে আমাকে//থেকে//আল্লাহ//কেউ//এবং কখন না//পাব আমি//তাঁকে//ছাড়া//আশ্রয়স্থল"
            },
            {
              "number": 5470,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5470.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5470.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5470.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5470.mp3"
              ],
              "text": "إِلَّا بَلَٰغًۭا مِّنَ ٱللَّهِ وَرِسَٰلَٰتِهِۦ ۚ وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ فَإِنَّ لَهُۥ نَارَ جَهَنَّمَ خَٰلِدِينَ فِيهَآ أَبَدًا",
              "translate_bn": "কিন্তু আল্লাহ তা’আলার বাণী পৌছানো ও তাঁর পয়গাম প্রচার করাই আমার কাজ। যে আল্লাহ ও তাঁর রসূলকে অমান্য করে, তার জন্যে রয়েছে জাহান্নামের অগ্নি। তথায় তারা চিরকাল থাকবে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-বালা-গাম মিনাল্লা-হি ওয়া রিছা-লা-তিহী ওয়া মাইঁ ইয়া‘সিল্লা-হা ওয়া রাছূলাহূ ফাইন্না লাহূনা-রা জাহান্নামা খা-লিদীনা ফীহাআবাদা- ।",
              "words_arabic": "اِلَّا/إِلَّا/illa//بَلٰغًا/بَلَٰغٗا/balaghan//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//وَ رِسٰلٰتِهٖ ؕ/وَرِسَٰلَٰتِهِۦۚ/warisalatihi//وَ مَنْ/وَمَن/waman//یَّعْصِ/يَعۡصِ/ya'si//اللّٰهَ/ٱللَّهَ/al-laha//وَ رَسُوْلَهٗ/وَرَسُولَهُۥ/warasulahu//فَاِنَّ/فَإِنَّ/fa-inna//لَهٗ/لَهُۥ/lahu//نَارَ/نَارَ/nara//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًاؕ/أَبَدًا/abadan",
              "words_bangla": "এছাড়া নয় (আমার কাজ)//পৌঁছান//হতে//আল্লাহ//ও তাঁর পয়গাম সমূহ\"//এবং যে//অমান্য করবে//আল্লাহর//ও তাঁর রাসূলের//নিশ্চয় অতঃপর//তার জন্যে//আগুন//জাহান্নামের জন্য//তারা স্থায়ী হবে//তার মধ্যে//চিরকাল"
            },
            {
              "number": 5471,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5471.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5471.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5471.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5471.mp3"
              ],
              "text": "حَتَّىٰٓ إِذَا رَأَوْا۟ مَا يُوعَدُونَ فَسَيَعْلَمُونَ مَنْ أَضْعَفُ نَاصِرًۭا وَأَقَلُّ عَدَدًۭا",
              "translate_bn": "এমনকি যখন তারা প্রতিশ্রুত শাস্তি দেখতে পাবে, তখন তারা জানতে পারবে, কার সাহায্যকারী দূর্বল এবং কার সংখ্যা কম।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "হাত্তা ইয়া- রাআও মা- ইঊ‘আদূনা ফাছাইয়া‘লামূনা মান আদ‘আফুনা-সিরাওঁ ওয়া আকাল্লু‘আদাদা- ।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اِذَا/إِذَا/idha//رَاَوْا/رَأَوۡاْ/ra-aw//مَا/مَا/ma//یُوْعَدُوْنَ/يُوعَدُونَ/yu'aduna//فَسَیَعْلَمُوْنَ/فَسَيَعۡلَمُونَ/fasaya'lamuna//مَنْ/مَنۡ/man//اَضْعَفُ/أَضۡعَفُ/ad'afu//نَاصِرًا/نَاصِرٗا/nasiran//وَّ اَقَلُّ/وَأَقَلُّ/wa-aqallu//عَدَدًا /عَدَدٗا/adadan",
              "words_bangla": "যতক্ষণ না//যখন//তারা দেখবে//যা//তাদের ওয়াদা হয়েছে করা//তারা জানতে শীঘ্রই অতঃপর পারবে//কেউ//অধিক দুর্বল//সাহায্যকারী//এবং অতি কম//সংখ্যায়"
            },
            {
              "number": 5472,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5472.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5472.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5472.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5472.mp3"
              ],
              "text": "قُلْ إِنْ أَدْرِىٓ أَقَرِيبٌۭ مَّا تُوعَدُونَ أَمْ يَجْعَلُ لَهُۥ رَبِّىٓ أَمَدًا",
              "translate_bn": "বলুনঃ আমি জানি না তোমাদের প্রতিশ্রুত বিষয় আসন্ন না আমার পালনকর্তা এর জন্যে কোন মেয়াদ স্থির করে রেখেছেন।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুল ইন আদরীআকারীবুম মা-তূ‘আদূনা আম ইয়াজ‘আলুলাহূরাববীআমাদা-।",
              "words_arabic": "قُلْ/قُلۡ/qul//اِنْ/إِنۡ/in//اَدْرِیْۤ/أَدۡرِيٓ/adri//اَقَرِیْبٌ/أَقَرِيبٞ/aqaribun//مَّا/مَّا/ma//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//اَمْ/أَمۡ/am//یَجْعَلُ/يَجۡعَلُ/yaj'alu//لَهٗ/لَهُۥ/lahu//رَبِّیْۤ/رَبِّيٓ/rabbi//اَمَدًا /أَمَدًا/amadan",
              "words_bangla": "বল//\"না//জানি আমি//নিকটবর্তী কী//যা//তোমাদের ওয়াদা হচ্ছে করা//অথবা//করেছেন//তার জন্যে//আমার রব//দীর্ঘ মেয়াদ"
            },
            {
              "number": 5473,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5473.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5473.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5473.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5473.mp3"
              ],
              "text": "عَٰلِمُ ٱلْغَيْبِ فَلَا يُظْهِرُ عَلَىٰ غَيْبِهِۦٓ أَحَدًا",
              "translate_bn": "তিনি অদৃশ্যের জ্ঞানী। পরন্ত তিনি অদৃশ্য বিষয় কারও কাছে প্রকাশ করেন না।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "‘আ-লিমুলগাইবি ফালা-ইউজহিরু ‘আলা- গাইবিহীআহাদা-।",
              "words_arabic": "عٰلِمُ/عَٰلِمُ/alimu//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//فَلَا/فَلَا/fala//یُظْهِرُ/يُظۡهِرُ/yuz'hiru//عَلٰی/عَلَىٰ/ala//غَیْبِهٖۤ/غَيۡبِهِۦٓ/ghaybihi//اَحَدًاۙ/أَحَدًا/ahadan",
              "words_bangla": "আবহিত তিনি//গায়েব//না অতএব//তিনি প্রকাশ করেন//সম্পর্কে//তাঁর গায়েব//কাউকে"
            },
            {
              "number": 5474,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5474.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5474.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5474.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5474.mp3"
              ],
              "text": "إِلَّا مَنِ ٱرْتَضَىٰ مِن رَّسُولٍۢ فَإِنَّهُۥ يَسْلُكُ مِنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦ رَصَدًۭا",
              "translate_bn": "তাঁর মনোনীত রসূল ব্যতীত। তখন তিনি তার অগ্রে ও পশ্চাতে প্রহরী নিযুক্ত করেন",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মানিরতাদা-মিররাছূলিন ফাইন্নাহূইয়াছলুকুমিম বাইনি ইয়াদাইহি ওয়া মিন খালফিহী রাসাদা- ।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنِ/مَنِ/mani//ارْتَضٰی/ٱرۡتَضَىٰ/ir'tada//مِنْ/مِن/min//رَّسُوْلٍ/رَّسُولٖ/rasulin//فَاِنَّهٗ/فَإِنَّهُۥ/fa-innahu//یَسْلُكُ/يَسۡلُكُ/yasluku//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//یَدَیْهِ/يَدَيۡهِ/yadayhi//وَ مِنْ/وَمِنۡ/wamin//خَلْفِهٖ/خَلۡفِهِۦ/khalfihi//رَصَدًاۙ/رَصَدٗا/rasadan",
              "words_bangla": "কিন্তু//যাকে//তিনি রাজী হন//মধ্যে//রসূলের//তিনি নিশ্চয় অতঃপর//লাগিয়ে দেন//থেকে কর//তার আগে//তার আগে//এবং...//তার পিছনে//প্রহরা"
            },
            {
              "number": 5475,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5475.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5475.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5475.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5475.mp3"
              ],
              "text": "لِّيَعْلَمَ أَن قَدْ أَبْلَغُوا۟ رِسَٰلَٰتِ رَبِّهِمْ وَأَحَاطَ بِمَا لَدَيْهِمْ وَأَحْصَىٰ كُلَّ شَىْءٍ عَدَدًۢا",
              "translate_bn": "যাতে আল্লাহ তা’আলা জেনে নেন যে, রসূলগণ তাঁদের পালনকর্তার পয়গাম পৌছিয়েছেন কি না। রসূলগণের কাছে যা আছে, তা তাঁর জ্ঞান-গোচর। তিনি সবকিছুর সংখ্যার হিসাব রাখেন।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 573,
              "ruku": 507,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "লিইয়া‘লামা আন কাদ আবলাগূরিছা-লা-তি রাব্বিহিম ওয়া আহা-তাবিমা-লাদাইহিম ওয়াআহসা- কুল্লা শাইয়িন ‘আদাদা- ।",
              "words_arabic": "لِّیَعْلَمَ/لِّيَعۡلَمَ/liya'lama//اَنْ/أَن/an//قَدْ/قَدۡ/qad//اَبْلَغُوْا/أَبۡلَغُواْ/ablaghu//رِسٰلٰتِ/رِسَٰلَٰتِ/risalati//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//وَ اَحَاطَ/وَأَحَاطَ/wa-ahata//بِمَا/بِمَا/bima//لَدَیْهِمْ/لَدَيۡهِمۡ/ladayhim//وَ اَحْصٰی/وَأَحۡصَىٰ/wa-ahsa//كُلَّ/كُلَّ/kulla//شَیْءٍ/شَيۡءٍ/shayin//عَدَدًا۠/عَدَدَۢا/adadan",
              "words_bangla": "জানবার জন্য//যে//নিশ্চয়//তারা পৌঁছিয়েছে//পয়গামসমূহ//তাদের রবের//এবং তিনি ঘিরে রেখেছেন//যা ঐ বিষয়//তাদের কাছে আছে//এবং তিনি গুনে রেখেছেন//সব//কিছু//সংখ্যায়\""
            }
          ]
        },
        {
          "number": 73,
          "name": "سُورَةُ المُزَّمِّلِ",
          "englishName": "Al-Muzzammil",
          "englishNameTranslation": "The Enshrouded One",
          "revelationType": "Meccan",
          "verse": 20,
          "words": 422,
          "chars": 1750,
          "ayahs": [
            {
              "number": 5476,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5476.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5476.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5476.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5476.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلْمُزَّمِّلُ",
              "translate_bn": "হে বস্ত্রাবৃত!",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল মুঝঝাম্মিল।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمُزَّمِّلُۙ/ٱلۡمُزَّمِّلُ/al-muzamilu",
              "words_bangla": "হে//বস্ত্রাবৃত"
            },
            {
              "number": 5477,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5477.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5477.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5477.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5477.mp3"
              ],
              "text": "قُمِ ٱلَّيْلَ إِلَّا قَلِيلًۭا",
              "translate_bn": "রাত্রিতে দন্ডায়মান হোন কিছু অংশ বাদ দিয়ে;",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "কুমিল্লাইলা ইল্লা- কালীলা- ।",
              "words_arabic": "قُمِ/قُمِ/qumi//الَّیْلَ/ٱلَّيۡلَ/al-layla//اِلَّا/إِلَّا/illa//قَلِیْلًاۙ/قَلِيلٗا/qalilan",
              "words_bangla": "উঠো//রাতে (ইবাদত করো)//ব্যতীত//কিছু অংশ"
            },
            {
              "number": 5478,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5478.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5478.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5478.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5478.mp3"
              ],
              "text": "نِّصْفَهُۥٓ أَوِ ٱنقُصْ مِنْهُ قَلِيلًا",
              "translate_bn": "অর্ধরাত্রি অথবা তদপেক্ষা কিছু কম",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "নিসফাহূআবিনকু স মিনহু কালীলা- ।",
              "words_arabic": "نِّصْفَهٗۤ/نِّصۡفَهُۥٓ/nis'fahu//اَوِ/أَوِ/awi//انْقُصْ/ٱنقُصۡ/unqus//مِنْهُ/مِنۡهُ/min'hu//قَلِیْلًاۙ/قَلِيلًا/qalilan",
              "words_bangla": "তার অর্ধেক//বা//কম করো//তা থেকে//সামান্য"
            },
            {
              "number": 5479,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5479.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5479.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5479.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5479.mp3"
              ],
              "text": "أَوْ زِدْ عَلَيْهِ وَرَتِّلِ ٱلْقُرْءَانَ تَرْتِيلًا",
              "translate_bn": "অথবা তদপেক্ষা বেশী এবং কোরআন আবৃত্তি করুন সুবিন্যস্ত ভাবে ও স্পষ্টভাবে।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "আও ঝিদ ‘আলাইহি ওয়া রাত্তিলিল কুরআ-না তারতীলা- ।",
              "words_arabic": "اَوْ/أَوۡ/aw//زِدْ/زِدۡ/zid//عَلَیْهِ/عَلَيۡهِ/alayhi//وَ رَتِّلِ/وَرَتِّلِ/warattili//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//تَرْتِیْلًاؕ/تَرۡتِيلًا/tartilan",
              "words_bangla": "অথবা//বাড়াও//তার উপর//এবং আবৃতি করো ধীরে ধীরে//কুরআন//তারতিলসহ"
            },
            {
              "number": 5480,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5480.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5480.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5480.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5480.mp3"
              ],
              "text": "إِنَّا سَنُلْقِى عَلَيْكَ قَوْلًۭا ثَقِيلًا",
              "translate_bn": "আমি আপনার প্রতি অবতীর্ণ করেছি গুরুত্বপূর্ণ বাণী।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্না- ছানুলকী ‘আলাইকা কাওলান ছাকীলা-।",
              "words_arabic": "اِنَّا/إِنَّا/inna//سَنُلْقِیْ/سَنُلۡقِي/sanul'qi//عَلَیْكَ/عَلَيۡكَ/alayka//قَوْلًا/قَوۡلٗا/qawlan//ثَقِیْلًا /ثَقِيلًا/thaqilan",
              "words_bangla": "আমরা নিশ্চয়//অর্পণ আমরা শিঘ্রই করবো//তোমার উপর//বাণী//ভারী"
            },
            {
              "number": 5481,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5481.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5481.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5481.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5481.mp3"
              ],
              "text": "إِنَّ نَاشِئَةَ ٱلَّيْلِ هِىَ أَشَدُّ وَطْـًۭٔا وَأَقْوَمُ قِيلًا",
              "translate_bn": "নিশ্চয় এবাদতের জন্যে রাত্রিতে উঠা প্রবৃত্তি দলনে সহায়ক এবং স্পষ্ট উচ্চারণের অনুকূল।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্না না-শিআতাল্লাইলি হিয়া আশাদ্দুওয়াত‘আওঁ ওয়া আকওয়ামুকীলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//نَاشِئَةَ/نَاشِئَةَ/nashi-ata//الَّیْلِ/ٱلَّيۡلِ/al-layli//هِیَ/هِيَ/hiya//اَشَدُّ/أَشَدُّ/ashaddu//وَطْاً/وَطۡـٔٗا/watan//وَّ اَقْوَمُ/وَأَقۡوَمُ/wa-aqwamu//قِیْلًاؕ/قِيلًا/qilan",
              "words_bangla": "নিশ্চয়//উথান (শয্যা ত্যাগ)//রাত্রি কালের//তা//প্রবলতর//দলনে (প্রবৃত্তি)//এবং সঠিকতর//বাক্য স্ফুরণে"
            },
            {
              "number": 5482,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5482.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5482.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5482.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5482.mp3"
              ],
              "text": "إِنَّ لَكَ فِى ٱلنَّهَارِ سَبْحًۭا طَوِيلًۭا",
              "translate_bn": "নিশ্চয় দিবাভাগে রয়েছে আপনার দীর্ঘ কর্মব্যস্ততা।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্না লাকা ফিন্নাহা-রি ছাবহান তাবিলা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//لَكَ/لَكَ/laka//فِی/فِي/fi//النَّهَارِ/ٱلنَّهَارِ/al-nahari//سَبْحًا/سَبۡحٗا/sabhan//طَوِیْلًاؕ/طَوِيلٗا/tawilan",
              "words_bangla": "নিশ্চয়//তোমার জন্যে//মধ্যে//দিনে//ব্যস্ততা//দীর্ঘ"
            },
            {
              "number": 5483,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5483.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5483.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5483.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5483.mp3"
              ],
              "text": "وَٱذْكُرِ ٱسْمَ رَبِّكَ وَتَبَتَّلْ إِلَيْهِ تَبْتِيلًۭا",
              "translate_bn": "আপনি আপনার পালনকর্তার নাম স্মরণ করুন এবং একাগ্রচিত্তে তাতে মগ্ন হোন।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরিছমা রাব্বিকা ওয়া তাবাত্তাল ইলাইহি তাবতীলা-।",
              "words_arabic": "وَ اذْكُرِ/وَٱذۡكُرِ/wa-udh'kuri//اسْمَ/ٱسۡمَ/is'ma//رَبِّكَ/رَبِّكَ/rabbika//وَ تَبَتَّلْ/وَتَبَتَّلۡ/watabattal//اِلَیْهِ/إِلَيۡهِ/ilayhi//تَبْتِیْلًاؕ/تَبۡتِيلٗا/tabtilan",
              "words_bangla": "এবং তুমি স্মরণ করো//নাম//তোমার রবের//এবং নিমগ্ন হও//তার দিকে//খুব নিমগ্ন হয়ে"
            },
            {
              "number": 5484,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5484.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5484.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5484.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5484.mp3"
              ],
              "text": "رَّبُّ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ لَآ إِلَٰهَ إِلَّا هُوَ فَٱتَّخِذْهُ وَكِيلًۭا",
              "translate_bn": "তিনি পূর্ব ও পশ্চিমের অধিকর্তা। তিনি ব্যতীত কোন উপাস্য নেই। অতএব, তাঁকেই গ্রহণ করুন কর্মবিধায়করূপে।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "রাব্বুল মাশরিকিওয়াল মাগরিবি লাইলা-হা ইল্লা-হুওয়া ফাত্তাখিযহু ওয়াকীলা- ।",
              "words_arabic": "رَبُّ/رَّبُّ/rabbu//الْمَشْرِقِ/ٱلۡمَشۡرِقِ/al-mashriqi//وَ الْمَغْرِبِ/وَٱلۡمَغۡرِبِ/wal-maghribi//لَاۤ/لَآ/la//اِلٰهَ/إِلَٰهَ/ilaha//اِلَّا/إِلَّا/illa//هُوَ/هُوَ/huwa//فَاتَّخِذْهُ/فَٱتَّخِذۡهُ/fa-ittakhidh'hu//وَكِیْلًا /وَكِيلٗا/wakilan",
              "words_bangla": "রব//পূর্ব//ও পশ্চিমের//নেই//(কোন) ইলাহ//ছাড়া//তিনি//তাকেই গ্রহণ সুতরাং করো//কর্ম বিধায়ক রূপে"
            },
            {
              "number": 5485,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5485.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5485.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5485.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5485.mp3"
              ],
              "text": "وَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَٱهْجُرْهُمْ هَجْرًۭا جَمِيلًۭا",
              "translate_bn": "কাফেররা যা বলে, তজ্জন্যে আপনি সবর করুন এবং সুন্দরভাবে তাদেরকে পরিহার করে চলুন।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়াসবির ‘আলা-মা-ইয়াকূ লূনা ওয়াহজুরহুম হাজরান জামীলা- ।",
              "words_arabic": "وَ اصْبِرْ/وَٱصۡبِرۡ/wa-is'bir//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//وَ اهْجُرْهُمْ/وَٱهۡجُرۡهُمۡ/wa-uh'jur'hum//هَجْرًا/هَجۡرٗا/hajran//جَمِیْلًا /جَمِيلٗا/jamilan",
              "words_bangla": "এবং সবর করো//উপর//যা//তারা বলেছে//এবং তাদের পরিহার করো//পরিহার//উত্তম"
            },
            {
              "number": 5486,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5486.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5486.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5486.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5486.mp3"
              ],
              "text": "وَذَرْنِى وَٱلْمُكَذِّبِينَ أُو۟لِى ٱلنَّعْمَةِ وَمَهِّلْهُمْ قَلِيلًا",
              "translate_bn": "বিত্ত-বৈভবের অধিকারী মিথ্যারোপকারীদেরকে আমার হাতে ছেড়ে দিন এবং তাদেরকে কিছু অবকাশ দিন।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া যারনী ওয়াল মুকাযযিবীনা উলিন না‘মাতি ওয়া মাহহিলহুম কালীলা- ।",
              "words_arabic": "وَ ذَرْنِیْ/وَذَرۡنِي/wadharni//وَ الْمُكَذِّبِیْنَ/وَٱلۡمُكَذِّبِينَ/wal-mukadhibina//اُولِی/أُوْلِي/uli//النَّعْمَةِ/ٱلنَّعۡمَةِ/al-na'mati//وَ مَهِّلْهُمْ/وَمَهِّلۡهُمۡ/wamahhil'hum//قَلِیْلًا /قَلِيلًا/qalilan",
              "words_bangla": "এবং আমাকে ছাড়//ও মিথারপকারীদের//অধিকারী//নেয়ামতের//এবং তাদে্র অবকাশ দাও//সামান্য"
            },
            {
              "number": 5487,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5487.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5487.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5487.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5487.mp3"
              ],
              "text": "إِنَّ لَدَيْنَآ أَنكَالًۭا وَجَحِيمًۭا",
              "translate_bn": "নিশ্চয় আমার কাছে আছে শিকল ও অগ্নিকুন্ড।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্না লাদাইনাআনকা-লাওঁ ওয়া জাহীমা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//لَدَیْنَاۤ/لَدَيۡنَآ/ladayna//اَنْكَالًا/أَنكَالٗا/ankalan//وَّ جَحِیْمًاۙ/وَجَحِيمٗا/wajahiman",
              "words_bangla": "নিশ্চয়//আমাদের কাছে আছে//শৃংখল//এবং প্রজ্বলিত আগুন"
            },
            {
              "number": 5488,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5488.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5488.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5488.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5488.mp3"
              ],
              "text": "وَطَعَامًۭا ذَا غُصَّةٍۢ وَعَذَابًا أَلِيمًۭا",
              "translate_bn": "গলগ্রহ হয়ে যায় এমন খাদ্য এবং যন্ত্রণাদায়ক শাস্তি।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ওয়া তা‘আ-মান যা-গুসসাতিওঁ ওয়া‘আযা-বান আলীমা- ।",
              "words_arabic": "وَّ طَعَامًا/وَطَعَامٗا/wata'aman//ذَا/ذَا/dha//غُصَّةٍ/غُصَّةٖ/ghussatin//وَّ عَذَابًا/وَعَذَابًا/wa'adhaban//اَلِیْمًاۗ/أَلِيمٗا/aliman",
              "words_bangla": "এবং খাদ্য//যাওয়া//আটকে (গলায়ে)//ও আযাব//কষ্টকর"
            },
            {
              "number": 5489,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5489.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5489.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5489.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5489.mp3"
              ],
              "text": "يَوْمَ تَرْجُفُ ٱلْأَرْضُ وَٱلْجِبَالُ وَكَانَتِ ٱلْجِبَالُ كَثِيبًۭا مَّهِيلًا",
              "translate_bn": "যেদিন পৃথিবী পর্বতমালা প্রকম্পিত হবে এবং পর্বতসমূহ হয়ে যাবে বহমান বালুকাস্তুপ।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তারজুফুল আরদুওয়ালজিবা-লুওয়াকা-নাতিল জিবা-লুকাছীবাম মাহীলা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَرْجُفُ/تَرۡجُفُ/tarjufu//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//وَ الْجِبَالُ/وَٱلۡجِبَالُ/wal-jibalu//وَ كَانَتِ/وَكَانَتِ/wakanati//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//كَثِیْبًا/كَثِيبٗا/kathiban//مَّهِیْلًا /مَّهِيلًا/mahilan",
              "words_bangla": "সেদিন//কাঁপবে//জমিন//ও পাহাড়সমূহ//এবং হবে//পাহাড়গুলো//ধুলার স্তূপ//বিক্ষিপ্ত হয়ে পড়া"
            },
            {
              "number": 5490,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5490.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5490.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5490.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5490.mp3"
              ],
              "text": "إِنَّآ أَرْسَلْنَآ إِلَيْكُمْ رَسُولًۭا شَٰهِدًا عَلَيْكُمْ كَمَآ أَرْسَلْنَآ إِلَىٰ فِرْعَوْنَ رَسُولًۭا",
              "translate_bn": "আমি তোমাদের কাছে একজন রসূলকে তোমাদের জন্যে সাক্ষী করে প্রেরণ করেছি, যেমন প্রেরণ করেছিলাম ফেরাউনের কাছে একজন রসূল।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআরছালনাইলাইকুম রাছূলান শা-হিদান ‘আলাইকুম কামাআরছালনাইলাফির‘আওনা রাছূলা-।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلَیْكُمْ/إِلَيۡكُمۡ/ilaykum//رَسُوْلًا ۙ۬/رَسُولٗا/rasulan//شَاهِدًا/شَٰهِدًا/shahidan//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//كَمَاۤ/كَمَآ/kama//اَرْسَلْنَاۤ/أَرۡسَلۡنَآ/arsalna//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//رَسُوْلًاؕ/رَسُولٗا/rasulan",
              "words_bangla": "আমরা নিশ্চয়//আমরা পাঠিয়েছি//তোমাদের প্রতি//একজন রসূলকে//সাক্ষ্য দাতা রূপে//তোমাদের উপর//যেমন//আমরা পাঠিয়েছি//প্রতি//ফিরাআউনের//একজন রসূল"
            },
            {
              "number": 5491,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5491.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5491.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5491.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5491.mp3"
              ],
              "text": "فَعَصَىٰ فِرْعَوْنُ ٱلرَّسُولَ فَأَخَذْنَٰهُ أَخْذًۭا وَبِيلًۭا",
              "translate_bn": "অতঃপর ফেরাউন সেই রসূলকে অমান্য করল, ফলে আমি তাকে কঠিন শাস্তি দিয়েছি।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ফা‘আসা- ফির‘আওনুর রাছূলা ফাআখাযনা- হু আখযাওঁ ওয়া বীলা-।",
              "words_arabic": "فَعَصٰی/فَعَصَىٰ/fa'asa//فِرْعَوْنُ/فِرۡعَوۡنُ/fir'awnu//الرَّسُوْلَ/ٱلرَّسُولَ/al-rasula//فَاَخَذْنٰهُ/فَأَخَذۡنَٰهُ/fa-akhadhnahu//اَخْذًا/أَخۡذٗا/akhdhan//وَّبِیْلًا /وَبِيلٗا/wabilan",
              "words_bangla": "অমান্য করল অতঃপর//ফিরাআউন//রসূলকে//তাকে আমরা ধরেছি অতএব//ধরা//শক্ত"
            },
            {
              "number": 5492,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5492.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5492.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5492.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5492.mp3"
              ],
              "text": "فَكَيْفَ تَتَّقُونَ إِن كَفَرْتُمْ يَوْمًۭا يَجْعَلُ ٱلْوِلْدَٰنَ شِيبًا",
              "translate_bn": "অতএব, তোমরা কিরূপে আত্নরক্ষা করবে যদি তোমরা সেদিনকে অস্বীকার কর, যেদিন বালককে করে দিব বৃদ্ধ?",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ফাকাইফা তাত্তাকূনা ইন কাফারতুম ইয়াওমাইঁ ইয়াজ‘আলুল বিলদা-না শীবা- ।",
              "words_arabic": "فَكَیْفَ/فَكَيۡفَ/fakayfa//تَتَّقُوْنَ/تَتَّقُونَ/tattaquna//اِنْ/إِن/in//كَفَرْتُمْ/كَفَرۡتُمۡ/kafartum//یَوْمًا/يَوۡمٗا/yawman//یَّجْعَلُ/يَجۡعَلُ/yaj'alu//الْوِلْدَانَ/ٱلۡوِلۡدَٰنَ/al-wil'dana//شِیْبَاۗۖ/شِيبًا/shiban",
              "words_bangla": "কেমনে তখন//তোমরা রক্ষা পাবে//যদি//তোমরা কুফরি করো//সেদিন//বানিয়ে দিবে//বালকদেরকে//বৃদ্ধ"
            },
            {
              "number": 5493,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5493.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5493.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5493.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5493.mp3"
              ],
              "text": "ٱلسَّمَآءُ مُنفَطِرٌۢ بِهِۦ ۚ كَانَ وَعْدُهُۥ مَفْعُولًا",
              "translate_bn": "সেদিন আকাশ বিদীর্ণ হবে। তার প্রতিশ্রুতি অবশ্যই বাস্তবায়িত হবে।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "আছছামাউ মুনফাতিরুম বিহী কা-না ওয়া‘দুহূমাফ‘ঊলা-।",
              "words_arabic": "لسَّمَآءُ/ٱلسَّمَآءُ/al-samau//مُنْفَطِرٌۢ/مُنفَطِرُۢ/munfatirun//بِهٖ ؕ/بِهِۦۚ/bihi//كَانَ/كَانَ/kana//وَعْدُهٗ/وَعۡدُهُۥ/wa'duhu//مَفْعُوْلًا /مَفۡعُولًا/maf'ulan",
              "words_bangla": "আসমান//বিদীর্ণ হবে//এর সাথে//হবে//তার ওয়াদা//বাস্তবায়িত"
            },
            {
              "number": 5494,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5494.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5494.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5494.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5494.mp3"
              ],
              "text": "إِنَّ هَٰذِهِۦ تَذْكِرَةٌۭ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ سَبِيلًا",
              "translate_bn": "এটা উপদেশ। অতএব, যার ইচ্ছা, সে তার পালনকর্তার দিকে পথ অবলম্বন করুক।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 574,
              "ruku": 508,
              "hizbQuarter": 229,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা- যিহী তাযকিরাতুন ফামান শাআত্তাখাযা ইলা- রাব্বিহী ছাবীলা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذِهٖ/هَٰذِهِۦ/hadhihi//تَذْكِرَةٌ ۚ/تَذۡكِرَةٞۖ/tadhkiratun//فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اِلٰی/إِلَىٰ/ila//رَبِّهٖ/رَبِّهِۦ/rabbihi//سَبِیْلًا۠/سَبِيلًا/sabilan",
              "words_bangla": "নিশ্চয়//এটা//উপদেশ//সে অতএব//ইচ্ছা করে//ধরবে//দিকে//তার রবের//পথ"
            },
            {
              "number": 5495,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5495.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5495.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5495.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5495.mp3"
              ],
              "text": "۞ إِنَّ رَبَّكَ يَعْلَمُ أَنَّكَ تَقُومُ أَدْنَىٰ مِن ثُلُثَىِ ٱلَّيْلِ وَنِصْفَهُۥ وَثُلُثَهُۥ وَطَآئِفَةٌۭ مِّنَ ٱلَّذِينَ مَعَكَ ۚ وَٱللَّهُ يُقَدِّرُ ٱلَّيْلَ وَٱلنَّهَارَ ۚ عَلِمَ أَن لَّن تُحْصُوهُ فَتَابَ عَلَيْكُمْ ۖ فَٱقْرَءُوا۟ مَا تَيَسَّرَ مِنَ ٱلْقُرْءَانِ ۚ عَلِمَ أَن سَيَكُونُ مِنكُم مَّرْضَىٰ ۙ وَءَاخَرُونَ يَضْرِبُونَ فِى ٱلْأَرْضِ يَبْتَغُونَ مِن فَضْلِ ٱللَّهِ ۙ وَءَاخَرُونَ يُقَٰتِلُونَ فِى سَبِيلِ ٱللَّهِ ۖ فَٱقْرَءُوا۟ مَا تَيَسَّرَ مِنْهُ ۚ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَقْرِضُوا۟ ٱللَّهَ قَرْضًا حَسَنًۭا ۚ وَمَا تُقَدِّمُوا۟ لِأَنفُسِكُم مِّنْ خَيْرٍۢ تَجِدُوهُ عِندَ ٱللَّهِ هُوَ خَيْرًۭا وَأَعْظَمَ أَجْرًۭا ۚ وَٱسْتَغْفِرُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ غَفُورٌۭ رَّحِيمٌۢ",
              "translate_bn": "আপনার পালনকর্তা জানেন, আপনি এবাদতের জন্যে দন্ডায়মান হন রাত্রির প্রায় দু’তৃতীয়াংশ, অর্ধাংশ ও তৃতীয়াংশ এবং আপনার সঙ্গীদের একটি দলও দন্ডায়মান হয়। আল্লাহ দিবা ও রাত্রি পরিমাপ করেন। তিনি জানেন, তোমরা এর পূর্ণ হিসাব রাখতে পার না। অতএব তিনি তোমাদের প্রতি ক্ষমা পরায়ন হয়েছেন। কাজেই কোরআনের যতটুকু তোমাদের জন্যে সহজ, ততটুকু আবৃত্তি কর। তিনি জানেন তোমাদের মধ্যে কেউ কেউ অসুস্থ হবে, কেউ কেউ আল্লাহর অনুগ্রহ সন্ধানে দেশে-বিদেশে যাবে এবং কেউ কেউ আল্লাহর পথে জেহাদে লিপ্ত হবে। কাজেই কোরআনের যতটুকু তোমাদের জন্যে সহজ ততটুকু আবৃত্তি কর। তোমরা নামায কায়েম কর, যাকাত দাও এবং আল্লাহকে উত্তম ঋণ দাও। তোমরা নিজেদের জন্যে যা কিছু অগ্রে পাঠাবে, তা আল্লাহর কাছে উত্তম আকারে এবং পুরস্কার হিসেবে বর্ধিতরূপে পাবে। তোমরা আল্লাহর কাছে ক্ষমাপ্রার্থনা কর। নিশ্চয় আল্লাহ ক্ষমাশীল, দয়ালু।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 509,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা ইয়া‘লামুআন্নাকা তাকূমুআদনা- মিন ছু লুছাইল্লাইলি ওয়া নিসফাহূওয়া ছু লুছাহূওয়া তাইফাতুম মিনাল্লাযীনা মা‘আকা ওয়াল্লা-হু ইউকাদ্দিরুল্লাইলা ওয়ান্নাহা-রা ‘আলিমা আল্লান তুহসূহু ফাতা-বা ‘আলাইকুম ফাকরাঊ মা- তায়াছছারা মিনাল কুরআ-নি ‘আলিমা আন ছাইয়াকূনুমিনকুম মারদা- ওয়া আ-খারূনা ইয়াদরিবূনা ফিল আরদিইয়াবতাগূনা মিন ফাদলিল্লা-হি ওয়া আ- খারূনা ইউকাতিলূনা ফী ছাবীলিল্লা-হি ফাকরাঊ মা-তায়াছছারা মিনহু ওয়া আকীমুসসালা-তা ওয়া আ-তুঝঝাকা-তা ওয়া আকরিদূ ল্লা-হা কারদান হাছানাও ওয়ামা- তুকাদ্দিমূ লিআনফুছিকুম মিন খাইরিন তাজিদূ হু ‘ইনদাল্লা-হি হুওয়া খাইরাওঁ ওয়া আ‘জামা আজরাও ওয়াছতাগফিরুল্লা-হা ইন্নাল্লা-হা গাফূরুর রাহীম।",
              "words_arabic": "اِنَّ/۞إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اَنَّكَ/أَنَّكَ/annaka//تَقُوْمُ/تَقُومُ/taqumu//اَدْنٰی/أَدۡنَىٰ/adna//مِنْ/مِن/min//ثُلُثَیِ/ثُلُثَيِ/thuluthayi//الَّیْلِ/ٱلَّيۡلِ/al-layli//وَ نِصْفَهٗ/وَنِصۡفَهُۥ/wanis'fahu//وَ ثُلُثَهٗ/وَثُلُثَهُۥ/wathuluthahu//وَ طَآىِٕفَةٌ/وَطَآئِفَةٞ/wataifatun//مِّنَ/مِّنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//مَعَكَ ؕ/مَعَكَۚ/ma'aka//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//یُقَدِّرُ/يُقَدِّرُ/yuqaddiru//الَّیْلَ/ٱلَّيۡلَ/al-layla//وَ النَّهَارَ ؕ/وَٱلنَّهَارَۚ/wal-nahara//عَلِمَ/عَلِمَ/alima//اَنْ/أَن/an//لَّنْ/لَّن/lan//تُحْصُوْهُ/تُحۡصُوهُ/tuh'suhu//فَتَابَ/فَتَابَ/fataba//عَلَیْكُمْ/عَلَيۡكُمۡۖ/alaykum//فَاقْرَءُوْا/فَٱقۡرَءُواْ/fa-iq'rau//مَا/مَا/ma//تَیَسَّرَ/تَيَسَّرَ/tayassara//مِنَ/مِنَ/mina//الْقُرْاٰنِ ؕ/ٱلۡقُرۡءَانِۚ/al-qur'ani//عَلِمَ/عَلِمَ/alima//اَنْ/أَن/an//سَیَكُوْنُ/سَيَكُونُ/sayakunu//مِنْكُمْ/مِنكُم/minkum//مَّرْضٰی ۙ/مَّرۡضَىٰ/marda//وَ اٰخَرُوْنَ/وَءَاخَرُونَ/waakharuna//یَضْرِبُوْنَ/يَضۡرِبُونَ/yadribuna//فِی/فِي/fi//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//یَبْتَغُوْنَ/يَبۡتَغُونَ/yabtaghuna//مِنْ/مِن/min//فَضْلِ/فَضۡلِ/fadli//اللّٰهِ ۙ/ٱللَّهِ/al-lahi//وَ اٰخَرُوْنَ/وَءَاخَرُونَ/waakharuna//یُقَاتِلُوْنَ/يُقَٰتِلُونَ/yuqatiluna//فِیْ/فِي/fi//سَبِیْلِ/سَبِيلِ/sabili//اللّٰهِ ۖؗ/ٱللَّهِۖ/al-lahi//فَاقْرَءُوْا/فَٱقۡرَءُواْ/fa-iq'rau//مَا/مَا/ma//تَیَسَّرَ/تَيَسَّرَ/tayassara//مِنْهُ ۙ/مِنۡهُۚ/min'hu//وَ اَقِیْمُوا/وَأَقِيمُواْ/wa-aqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ اٰتُوا/وَءَاتُواْ/waatu//الزَّكٰوةَ/ٱلزَّكَوٰةَ/al-zakata//وَ اَقْرِضُوا/وَأَقۡرِضُواْ/wa-aqridu//اللّٰهَ/ٱللَّهَ/al-laha//قَرْضًا/قَرۡضًا/qardan//حَسَنًا ؕ/حَسَنٗاۚ/hasanan//وَ مَا/وَمَا/wama//تُقَدِّمُوْا/تُقَدِّمُواْ/tuqaddimu//لِاَنْفُسِكُمْ/لِأَنفُسِكُم/li-anfusikum//مِّنْ/مِّنۡ/min//خَیْرٍ/خَيۡرٖ/khayrin//تَجِدُوْهُ/تَجِدُوهُ/tajiduhu//عِنْدَ/عِندَ/inda//اللّٰهِ/ٱللَّهِ/al-lahi//هُوَ/هُوَ/huwa//خَیْرًا/خَيۡرٗا/khayran//وَّ اَعْظَمَ/وَأَعۡظَمَ/wa-a'zama//اَجْرًا ؕ/أَجۡرٗاۚ/ajran//وَ اسْتَغْفِرُوا/وَٱسۡتَغۡفِرُواْ/wa-is'taghfiru//اللّٰهَ ؕ/ٱللَّهَۖ/al-laha//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//غَفُوْرٌ/غَفُورٞ/ghafurun//رَّحِیْمٌ۠/رَّحِيمُۢ/rahimun",
              "words_bangla": "নিশ্চয়//তোমার রব//জানেন//তুমি যে//(ইবাদতে) দাঁড়াও//প্রায়//মধ্য হতে//দুই তৃিতীয়াংশ//রাতের//এবং তার অর্ধেক//এবং এক তৃিতীয়াংশ//এবং একদল//থেকে//যারা (তাদের)//তোমার সাথে//এবং আল্লাহই//নির্ধারণ করেন//রাত কে//ও দিনকে//তিনি জেনেছেন//যে//পারবে না//তা হিসাব রাখতে//তিনি মাফ অতএব করলেন//তোমাদেরকে//তোমরা পর অতএব//যা//সহজসাধ্য হয়//থেকে//কুরআন//তিনি জেনেছেন//যে//হবে//তোমাদের মধ্যে (বিতর্ক)//রোগী//এবং অন্য অনেকে//ভ্রমণ করবে//মধ্যে//পৃথিবীর//অনুসন্ধান করবে//থেকে//অনুগ্র্রহ//আল্লাহ্‌র//এবং অন্য অনেকে//যুদ্ধ করবে//মধ্যে//পথে//আল্লাহ্‌‌র//তোমরা পর সুতরাং//যা//সহজ হয়//তা থেকে//এবং তোমরা কায়েম করো//নামায//এবং তোমরা দাও//যাকাত//এবং তোমরা কর্জ দাও//আল্লাহ্‌কে//কর্জ//উত্তম//এবং যা//তোমরা আগে পাঠাবে//তোমাদের নিজেদের জন্যে//থেকে//ভালো//তা তোমরা পাবে//কাছে//আল্লাহ্‌র//তাই//উত্তম//এবং অতীব উত্তম//প্রতিফল//এবং তোমরা ক্ষমা চাও//আল্লাহ্‌র কাছে//নিশ্চয়//আল্লাহ্‌//বড় ক্ষমাশীল//অত্যন্ত মেহেরবান"
            }
          ]
        },
        {
          "number": 74,
          "name": "سُورَةُ المُدَّثِّرِ",
          "englishName": "Al-Muddaththir",
          "englishNameTranslation": "The Cloaked One",
          "revelationType": "Meccan",
          "verse": 56,
          "words": 526,
          "chars": 2274,
          "ayahs": [
            {
              "number": 5496,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5496.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5496.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5496.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5496.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ يَٰٓأَيُّهَا ٱلْمُدَّثِّرُ",
              "translate_bn": "হে চাদরাবৃত!",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল মুদ্দাছছির।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْمُدَّثِّرُۙ/ٱلۡمُدَّثِّرُ/al-mudathiru",
              "words_bangla": "হে//চাদরাবৃত"
            },
            {
              "number": 5497,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5497.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5497.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5497.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5497.mp3"
              ],
              "text": "قُمْ فَأَنذِرْ",
              "translate_bn": "উঠুন, সতর্ক করুন,",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কুম ফাআনযির।",
              "words_arabic": "قُمْ/قُمۡ/qum//فَاَنْذِرْ۪ۙ/فَأَنذِرۡ/fa-andhir",
              "words_bangla": "উঠ//সতর্ক কর অতঃপর"
            },
            {
              "number": 5498,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5498.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5498.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5498.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5498.mp3"
              ],
              "text": "وَرَبَّكَ فَكَبِّرْ",
              "translate_bn": "আপন পালনকর্তার মাহাত্ম্য ঘোষনা করুন,",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাব্বাকা ফাকাব্বির।",
              "words_arabic": "وَ رَبَّكَ/وَرَبَّكَ/warabbaka//فَكَبِّرْ۪ۙ/فَكَبِّرۡ/fakabbir",
              "words_bangla": "ও তোমার রবের//অতঃপর শ্রেষ্ঠত্ব ঘোষণা কর"
            },
            {
              "number": 5499,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5499.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5499.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5499.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5499.mp3"
              ],
              "text": "وَثِيَابَكَ فَطَهِّرْ",
              "translate_bn": "আপন পোশাক পবিত্র করুন",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছিইয়া-বাকা ফাতাহহির।",
              "words_arabic": "وَ ثِیَابَكَ/وَثِيَابَكَ/wathiyabaka//فَطَهِّرْ۪ۙ/فَطَهِّرۡ/fatahhir",
              "words_bangla": "এবং তোমার কাপড়//অতঃপর পবিত্র কর"
            },
            {
              "number": 5500,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5500.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5500.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5500.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5500.mp3"
              ],
              "text": "وَٱلرُّجْزَ فَٱهْجُرْ",
              "translate_bn": "এবং অপবিত্রতা থেকে দূরে থাকুন।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়াররুজঝা ফাহজুর।\r\n",
              "words_arabic": "وَ الرُّجْزَ/وَٱلرُّجۡزَ/wal-ruj'za//فَاهْجُرْ۪ۙ/فَٱهۡجُرۡ/fa-uh'jur",
              "words_bangla": "এবং অপবিত্রতা//অতএব দূরে থাক"
            },
            {
              "number": 5501,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5501.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5501.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5501.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5501.mp3"
              ],
              "text": "وَلَا تَمْنُن تَسْتَكْثِرُ",
              "translate_bn": "অধিক প্রতিদানের আশায় অন্যকে কিছু দিবেন না।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-তামনুন তাছতাকছির।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَمْنُنْ/تَمۡنُن/tamnun//تَسْتَكْثِرُ۪ۙ/تَسۡتَكۡثِرُ/tastakthiru",
              "words_bangla": "এবং না//অনুগ্রহ করো//বেশী পাওয়ার আশায়"
            },
            {
              "number": 5502,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5502.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5502.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5502.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5502.mp3"
              ],
              "text": "وَلِرَبِّكَ فَٱصْبِرْ",
              "translate_bn": "এবং আপনার পালনকর্তার উদ্দেশে সবর করুন।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিরাব্বিকা ফাসবির।",
              "words_arabic": "وَ لِرَبِّكَ/وَلِرَبِّكَ/walirabbika//فَاصْبِرْؕ/فَٱصۡبِرۡ/fa-is'bir",
              "words_bangla": "এবং তোমার রবের জন্যে//অতএব সবর কর"
            },
            {
              "number": 5503,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5503.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5503.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5503.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5503.mp3"
              ],
              "text": "فَإِذَا نُقِرَ فِى ٱلنَّاقُورِ",
              "translate_bn": "যেদিন শিংগায় ফুঁক দেয়া হবে;",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-নুকিরা ফিন্না-কূর।\r\n",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//نُقِرَ/نُقِرَ/nuqira//فِی/فِي/fi//النَّاقُوْرِۙ/ٱلنَّاقُورِ/al-naquri",
              "words_bangla": "অতঃপর যখন//ফুক দেয়া হবে//মধ্যে//সিঙ্গায়"
            },
            {
              "number": 5504,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5504.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5504.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5504.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5504.mp3"
              ],
              "text": "فَذَٰلِكَ يَوْمَئِذٍۢ يَوْمٌ عَسِيرٌ",
              "translate_bn": "সেদিন হবে কঠিন দিন,",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফাযা-লিকা ইয়াওমাইযিইঁ ইয়াওমুন ‘আছীর।",
              "words_arabic": "فَذٰلِكَ/فَذَٰلِكَ/fadhalika//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّوْمٌ/يَوۡمٌ/yawmun//عَسِیْرٌۙ/عَسِيرٌ/asirun",
              "words_bangla": "অতএব সেই//(হবে) দিন//দিন//কঠিন"
            },
            {
              "number": 5505,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5505.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5505.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5505.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5505.mp3"
              ],
              "text": "عَلَى ٱلْكَٰفِرِينَ غَيْرُ يَسِيرٍۢ",
              "translate_bn": "কাফেরদের জন্যে এটা সহজ নয়।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "‘আলাল কা-ফিরীনা গাইরু ইয়াছীর।",
              "words_arabic": "عَلَی/عَلَى/ala//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//غَیْرُ/غَيۡرُ/ghayru//یَسِیْرٍ /يَسِيرٖ/yasirin",
              "words_bangla": "উপর//কাফিরদের//নয়//সহজ"
            },
            {
              "number": 5506,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5506.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5506.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5506.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5506.mp3"
              ],
              "text": "ذَرْنِى وَمَنْ خَلَقْتُ وَحِيدًۭا",
              "translate_bn": "যাকে আমি অনন্য করে সৃষ্টি করেছি, তাকে আমার হাতে ছেড়ে দিন।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "যারনী ওয়া মান খালাকতুওয়া হীদা- ।",
              "words_arabic": "ذَرْنِیْ/ذَرۡنِي/dharni//وَ مَنْ/وَمَنۡ/waman//خَلَقْتُ/خَلَقۡتُ/khalaqtu//وَحِیْدًاۙ/وَحِيدٗا/wahidan",
              "words_bangla": "আমাকে ছাড়//আর যাকে//আমি সৃষ্টি করেছি//একেলা"
            },
            {
              "number": 5507,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5507.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5507.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5507.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5507.mp3"
              ],
              "text": "وَجَعَلْتُ لَهُۥ مَالًۭا مَّمْدُودًۭا",
              "translate_bn": "আমি তাকে বিপুল ধন-সম্পদ দিয়েছি।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলতুলাহূমা-লাম মামদূদা- ।",
              "words_arabic": "وَّ جَعَلْتُ/وَجَعَلۡتُ/waja'altu//لَهٗ/لَهُۥ/lahu//مَالًا/مَالٗا/malan//مَّمْدُوْدًاۙ/مَّمۡدُودٗا/mamdudan",
              "words_bangla": "এবং আমি বানিয়েছি//তার জন্যে//সম্পদ//বিপুল"
            },
            {
              "number": 5508,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5508.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5508.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5508.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5508.mp3"
              ],
              "text": "وَبَنِينَ شُهُودًۭا",
              "translate_bn": "এবং সদা সংগী পুত্রবর্গ দিয়েছি,",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া বানীনা শুহূদা- ।",
              "words_arabic": "وَّ بَنِیْنَ/وَبَنِينَ/wabanina//شُهُوْدًاۙ/شُهُودٗا/shuhudan",
              "words_bangla": "এবং সন্তানাদি//সদা উপস্থিত"
            },
            {
              "number": 5509,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5509.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5509.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5509.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5509.mp3"
              ],
              "text": "وَمَهَّدتُّ لَهُۥ تَمْهِيدًۭا",
              "translate_bn": "এবং তাকে খুব সচ্ছলতা দিয়েছি।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাহহাত্তুলাহূতামহীদা-।",
              "words_arabic": "وَّ مَهَّدْتُّ/وَمَهَّدتُّ/wamahhadttu//لَهٗ/لَهُۥ/lahu//تَمْهِیْدًاۙ/تَمۡهِيدٗا/tamhidan",
              "words_bangla": "এবং আমি সুগম করেছি//তার জন্যে//প্রচুর স্বচ্ছলতা"
            },
            {
              "number": 5510,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5510.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5510.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5510.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5510.mp3"
              ],
              "text": "ثُمَّ يَطْمَعُ أَنْ أَزِيدَ",
              "translate_bn": "এরপরও সে আশা করে যে, আমি তাকে আরও বেশী দেই।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইয়াতমা‘উ আন আঝীদা।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یَطْمَعُ/يَطۡمَعُ/yatma'u//اَنْ/أَنۡ/an//اَزِیْدَۗۙ/أَزِيدَ/azida",
              "words_bangla": "এরপর//লালসা সে করে//যে//অধিক দিব আমি"
            },
            {
              "number": 5511,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5511.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5511.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5511.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5511.mp3"
              ],
              "text": "كَلَّآ ۖ إِنَّهُۥ كَانَ لِءَايَٰتِنَا عَنِيدًۭا",
              "translate_bn": "কখনই নয়! সে আমার নিদর্শনসমূহের বিরুদ্ধাচরণকারী।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কাল্লা- ইন্নাহূকা-না লিআ-য়া-তিনা- ‘আনীদা- ।",
              "words_arabic": "كَلَّا ؕ/كَلَّآۖ/kalla//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//لِاٰیٰتِنَا/لِأٓيَٰتِنَا/liayatina//عَنِیْدًاؕ/عَنِيدٗا/anidan",
              "words_bangla": "কক্ষণও না//সে নিশ্চয়//হল//আমাদের নিদর্শনাদির প্রতি//শত্রুতা ভাবাপন্ন"
            },
            {
              "number": 5512,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5512.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5512.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5512.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5512.mp3"
              ],
              "text": "سَأُرْهِقُهُۥ صَعُودًا",
              "translate_bn": "আমি সত্ত্বরই তাকে শাস্তির পাহাড়ে আরোহণ করাব।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 575,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছাউরহিকু হূসা‘ঊদা- ।",
              "words_arabic": "سَاُرْهِقُهٗ/سَأُرۡهِقُهُۥ/sa-ur'hiquhu//صَعُوْدًاؕ/صَعُودًا/sa'udan",
              "words_bangla": "তাকে চড়াব আমি শীঘ্রই//কঠিন চড়াইয়ে"
            },
            {
              "number": 5513,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5513.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5513.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5513.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5513.mp3"
              ],
              "text": "إِنَّهُۥ فَكَّرَ وَقَدَّرَ",
              "translate_bn": "সে চিন্তা করেছে এবং মনঃস্থির করেছে,",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূফাক্কারা ওয়া কাদ্দার।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//فَكَّرَ/فَكَّرَ/fakkara//وَ قَدَّرَۙ/وَقَدَّرَ/waqaddara",
              "words_bangla": "সে নিশ্চয়ই//চিন্তা করল//এবং সে সিদ্ধান্ত নিল"
            },
            {
              "number": 5514,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5514.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5514.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5514.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5514.mp3"
              ],
              "text": "فَقُتِلَ كَيْفَ قَدَّرَ",
              "translate_bn": "ধ্বংস হোক সে, কিরূপে সে মনঃস্থির করেছে!",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফাকুতিলা কাইফা কাদ্দার,।",
              "words_arabic": "فَقُتِلَ/فَقُتِلَ/faqutila//كَیْفَ/كَيۡفَ/kayfa//قَدَّرَۙ/قَدَّرَ/qaddara",
              "words_bangla": "সে নস্যাৎ তাই হয়েছে//কেমন//সে সিদ্ধান্ত নিল"
            },
            {
              "number": 5515,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5515.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5515.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5515.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5515.mp3"
              ],
              "text": "ثُمَّ قُتِلَ كَيْفَ قَدَّرَ",
              "translate_bn": "আবার ধ্বংস হোক সে, কিরূপে সে মনঃস্থির করেছে!",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কুতিলা কাইফা কাদ্দার।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//قُتِلَ/قُتِلَ/qutila//كَیْفَ/كَيۡفَ/kayfa//قَدَّرَۙ/قَدَّرَ/qaddara",
              "words_bangla": "আবারও//মার পড়ল//কেমন//সিদ্ধান্ত নিল"
            },
            {
              "number": 5516,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5516.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5516.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5516.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5516.mp3"
              ],
              "text": "ثُمَّ نَظَرَ",
              "translate_bn": "সে আবার দৃষ্টিপাত করেছে,",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা নাজার।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//نَظَرَۙ/نَظَرَ/nazara",
              "words_bangla": "এরপর//সে তাকাল"
            },
            {
              "number": 5517,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5517.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5517.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5517.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5517.mp3"
              ],
              "text": "ثُمَّ عَبَسَ وَبَسَرَ",
              "translate_bn": "অতঃপর সে ভ্রূকুঞ্চিত করেছে ও মুখ বিকৃত করেছে,",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ‘আবাছা ওয়া বাছার।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//عَبَسَ/عَبَسَ/abasa//وَ بَسَرَۙ/وَبَسَرَ/wabasara",
              "words_bangla": "পরে//কপাল কুচড়াল//ও মুখ বাঁকাল"
            },
            {
              "number": 5518,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5518.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5518.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5518.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5518.mp3"
              ],
              "text": "ثُمَّ أَدْبَرَ وَٱسْتَكْبَرَ",
              "translate_bn": "অতঃপর পৃষ্ঠপ্রদশন করেছে ও অহংকার করেছে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আদবারা ওয়াছতাকবার।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَدْبَرَ/أَدۡبَرَ/adbara//وَ اسْتَكْبَرَۙ/وَٱسۡتَكۡبَرَ/wa-is'takbara",
              "words_bangla": "এরপর//সে ফিরল//এবং অহংকার করল"
            },
            {
              "number": 5519,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5519.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5519.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5519.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5519.mp3"
              ],
              "text": "فَقَالَ إِنْ هَٰذَآ إِلَّا سِحْرٌۭ يُؤْثَرُ",
              "translate_bn": "এরপর বলেছেঃ এতো লোক পরস্পরায় প্রাপ্ত জাদু বৈ নয়,",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফাকা- লা ইন হা- যাইল্লা-ছিহরুইঁ ইউ’ছার।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//سِحْرٌ/سِحۡرٞ/sih'run//یُّؤْثَرُۙ/يُؤۡثَرُ/yu'tharu",
              "words_bangla": "সে বলল অতঃপর//\"নয়//এটা//এছাড়া//জাদু//চলে আসা"
            },
            {
              "number": 5520,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5520.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5520.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5520.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5520.mp3"
              ],
              "text": "إِنْ هَٰذَآ إِلَّا قَوْلُ ٱلْبَشَرِ",
              "translate_bn": "এতো মানুষের উক্তি বৈ নয়।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইন হা-যাইল্লা-কাওলুল বাশার।",
              "words_arabic": "اِنْ/إِنۡ/in//هٰذَاۤ/هَٰذَآ/hadha//اِلَّا/إِلَّا/illa//قَوْلُ/قَوۡلُ/qawlu//الْبَشَرِؕ/ٱلۡبَشَرِ/al-bashari",
              "words_bangla": "নয়//এটা//এছাড়া//কথা//মানুুষের\""
            },
            {
              "number": 5521,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5521.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5521.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5521.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5521.mp3"
              ],
              "text": "سَأُصْلِيهِ سَقَرَ",
              "translate_bn": "আমি তাকে দাখিল করব অগ্নিতে।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ছাউসলীহি ছাকার।",
              "words_arabic": "سَاُصْلِیْهِ/سَأُصۡلِيهِ/sa-us'lihi//سَقَرَ/سَقَرَ/saqara",
              "words_bangla": "তাকে প্রবেশ আমি শীঘ্রই করাবো//দোযখে"
            },
            {
              "number": 5522,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5522.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5522.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5522.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5522.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا سَقَرُ",
              "translate_bn": "আপনি কি বুঝলেন অগ্নি কি?",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা- ছাকার।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//سَقَرُؕ/سَقَرُ/saqaru",
              "words_bangla": "এবং কি//তুমি জান//কি সেই//দোযখ"
            },
            {
              "number": 5523,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5523.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5523.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5523.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5523.mp3"
              ],
              "text": "لَا تُبْقِى وَلَا تَذَرُ",
              "translate_bn": "এটা অক্ষত রাখবে না এবং ছাড়বেও না।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "লা-তুবকী ওয়ালা-তাযার।",
              "words_arabic": "لَا/لَا/la//تُبْقِیْ/تُبۡقِي/tub'qi//وَ لَا/وَلَا/wala//تَذَرُۚ/تَذَرُ/tadharu",
              "words_bangla": "না//বাকী রাখে//এবং না//ছেড়ে দেয়"
            },
            {
              "number": 5524,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5524.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5524.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5524.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5524.mp3"
              ],
              "text": "لَوَّاحَةٌۭ لِّلْبَشَرِ",
              "translate_bn": "মানুষকে দগ্ধ করবে।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "লাওওয়া-হাতুল লিলবাশার।",
              "words_arabic": "لَوَّاحَةٌ/لَوَّاحَةٞ/lawwahatun//لِّلْبَشَرِۚۖ/لِّلۡبَشَرِ/lil'bashari",
              "words_bangla": "ঝলসে দেয়//চামড়াকে"
            },
            {
              "number": 5525,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5525.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5525.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5525.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5525.mp3"
              ],
              "text": "عَلَيْهَا تِسْعَةَ عَشَرَ",
              "translate_bn": "এর উপর নিয়োজিত আছে উনিশ (ফেরেশতা)।",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "‘আলাইহা-তিছ‘আতা ‘আশার।",
              "words_arabic": "عَلَیْهَا/عَلَيۡهَا/alayha//تِسْعَةَ/تِسۡعَةَ/tis'ata//عَشَرَؕ/عَشَرَ/ashara",
              "words_bangla": "তার উপর//উনিশ//(প্রহরী)"
            },
            {
              "number": 5526,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5526.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5526.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5526.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5526.mp3"
              ],
              "text": "وَمَا جَعَلْنَآ أَصْحَٰبَ ٱلنَّارِ إِلَّا مَلَٰٓئِكَةًۭ ۙ وَمَا جَعَلْنَا عِدَّتَهُمْ إِلَّا فِتْنَةًۭ لِّلَّذِينَ كَفَرُوا۟ لِيَسْتَيْقِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ وَيَزْدَادَ ٱلَّذِينَ ءَامَنُوٓا۟ إِيمَٰنًۭا ۙ وَلَا يَرْتَابَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ وَٱلْمُؤْمِنُونَ ۙ وَلِيَقُولَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌۭ وَٱلْكَٰفِرُونَ مَاذَآ أَرَادَ ٱللَّهُ بِهَٰذَا مَثَلًۭا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَمَا يَعْلَمُ جُنُودَ رَبِّكَ إِلَّا هُوَ ۚ وَمَا هِىَ إِلَّا ذِكْرَىٰ لِلْبَشَرِ",
              "translate_bn": "আমি জাহান্নামের তত্ত্বাবধায়ক ফেরেশতাই রেখেছি। আমি কাফেরদেরকে পরীক্ষা করার জন্যেই তার এই সংখ্যা করেছি-যাতে কিতাবীরা দৃঢ়বিশ্বাসী হয়, মুমিনদের ঈমান বৃদ্ধি পায় এবং কিতাবীরা ও মুমিনগণ সন্দেহ পোষণ না করে এবং যাতে যাদের অন্তরে রোগ আছে, তারা এবং কাফেররা বলে যে, আল্লাহ এর দ্বারা কি বোঝাতে চেয়েছেন। এমনিভাবে আল্লাহ যাকে ইচ্ছা পথভ্রষ্ট করেন এবং যাকে ইচ্ছা সৎপথে চালান। আপনার পালনকর্তার বাহিনী সম্পর্কে একমাত্র তিনিই জানেন এটা তো মানুষের জন্যে উপদেশ বৈ নয়।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 510,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা- জা‘আলনাআসহা-বান্না-রি ইল্লা-মালাইকাতাওঁ ওয়ামা-জা‘আলনা‘ইদ্দাতাহুম ইল্লা-ফিতনাতাল লিল্লাযীনা কাফারূ লিইয়াছতাইকিনাল্লাযীনা ঊতুল কিতাবা ওয়া ইয়াঝদা-দাল্লাযীনা আ-মানূঈমা-নাওঁ ওয়ালা- ইয়ারতা-বাল্লাযীনা ঊতুল কিতাবা ওয়াল মু’মিনূনা ওয়া লিয়াকূলাল্লাযীনা ফী কুলূবিহিম মারাদুওঁ ওয়াল কা-ফিরূনা মাযাআরা-দাল্লা-হু বিহা-যা- মাছালান কাযা-লিকা ইউদিল্লুল্লা-হু মাইঁ ইয়াশাউ ওয়া ইয়াহদী মাইঁ ইয়াশাউ ওয়ামা- ইয়া‘লামুজুনূদা রাব্বিকা ইল্লা- হুওয়া ওয়ামাহিয়া ইল্লা- যিকরা- লিলবাশার।",
              "words_arabic": "وَ مَا/وَمَا/wama//جَعَلْنَاۤ/جَعَلۡنَآ/ja'alna//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//النَّارِ/ٱلنَّارِ/al-nari//اِلَّا/إِلَّا/illa//مَلٰٓىِٕكَةً ۪/مَلَـٰٓئِكَةٗۖ/malaikatan//وَّ مَا/وَمَا/wama//جَعَلْنَا/جَعَلۡنَا/ja'alna//عِدَّتَهُمْ/عِدَّتَهُمۡ/iddatahum//اِلَّا/إِلَّا/illa//فِتْنَةً/فِتۡنَةٗ/fit'natan//لِّلَّذِیْنَ/لِّلَّذِينَ/lilladhina//كَفَرُوْا ۙ/كَفَرُواْ/kafaru//لِیَسْتَیْقِنَ/لِيَسۡتَيۡقِنَ/liyastayqina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ یَزْدَادَ/وَيَزۡدَادَ/wayazdada//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْۤا/ءَامَنُوٓاْ/amanu//اِیْمَانًا/إِيمَٰنٗا/imanan//وَّ لَا/وَلَا/wala//یَرْتَابَ/يَرۡتَابَ/yartaba//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//وَ الْمُؤْمِنُوْنَ ۙ/وَٱلۡمُؤۡمِنُونَ/wal-mu'minuna//وَ لِیَقُوْلَ/وَلِيَقُولَ/waliyaqula//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فِیْ/فِي/fi//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّرَضٌ/مَّرَضٞ/maradun//وَّ الْكٰفِرُوْنَ/وَٱلۡكَٰفِرُونَ/wal-kafiruna//مَا ذَاۤ/مَاذَآ/madha//اَرَادَ/أَرَادَ/arada//اللّٰهُ/ٱللَّهُ/al-lahu//بِهٰذَا/بِهَٰذَا/bihadha//مَثَلًا ؕ/مَثَلٗاۚ/mathalan//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//یُضِلُّ/يُضِلُّ/yudillu//اللّٰهُ/ٱللَّهُ/al-lahu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//وَ یَهْدِیْ/وَيَهۡدِي/wayahdi//مَنْ/مَن/man//یَّشَآءُ ؕ/يَشَآءُۚ/yashau//وَ مَا/وَمَا/wama//یَعْلَمُ/يَعۡلَمُ/ya'lamu//جُنُوْدَ/جُنُودَ/junuda//رَبِّكَ/رَبِّكَ/rabbika//اِلَّا/إِلَّا/illa//هُوَ ؕ/هُوَۚ/huwa//وَ مَا/وَمَا/wama//هِیَ/هِيَ/hiya//اِلَّا/إِلَّا/illa//ذِكْرٰی/ذِكۡرَىٰ/dhik'ra//لِلْبَشَرِ۠/لِلۡبَشَرِ/lil'bashari",
              "words_bangla": "এবং না//আমরা বানিয়েছি//কর্মচারীদেরকে//দোযখের//ছাড়া//ফেরেশতাদের//এবং না//আমরা বানিয়েছি//তাদের সংখ্যা//এছাড়া//পরীক্ষা//তাদের জন্য (যারা)//কুফরী করেছে//দৃঢ় বিশ্বাস করে যেন//যাদের (তারা)//দেয়া হয়েছে//গ্রন্থ//এবং বাড়ে//যারা//ঈমান এনেছে//ঈমান (তাদের)//এবং না//সন্দেহ করে//যাদের//দেয়া হয়েছে//কিতাব//এবং মুমিনরা//এবং বলে যেন//যারা//মধ্যে (রয়েছে)//তাদের অন্তরসমূহের//রোগ//এবং কাফিররা//\"কি//ইচ্ছে রাখেন//আল্লাহ//এই দ্বারা//উদাহরণ\"//এভাবে//গুমরাহ করেন//আল্লাহ//যাকে//ইচ্ছে করেন//এবং হিদায়াত দেন//যাকে//ইচ্ছে করেন//এবং না//কেউ জানে//সৈন্যদের//তোমার রবের//ছাড়া//তিনি//এবং নয়//তা//এছাড়া//উপদেশ//মানুষের জন্যে"
            },
            {
              "number": 5527,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5527.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5527.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5527.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5527.mp3"
              ],
              "text": "كَلَّا وَٱلْقَمَرِ",
              "translate_bn": "কখনই নয়। চন্দ্রের শপথ,",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কাল্লা- ওয়াল কামার।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//وَ الْقَمَرِۙ/وَٱلۡقَمَرِ/wal-qamari",
              "words_bangla": "কক্ষণও নয়//শপথ চাঁদের"
            },
            {
              "number": 5528,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5528.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5528.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5528.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5528.mp3"
              ],
              "text": "وَٱلَّيْلِ إِذْ أَدْبَرَ",
              "translate_bn": "শপথ রাত্রির যখন তার অবসান হয়,",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযআদবার।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذْ/إِذۡ/idh//اَدْبَرَۙ/أَدۡبَرَ/adbara",
              "words_bangla": "শপথ রাতের//যখন//প্রত্যাবর্তন করে"
            },
            {
              "number": 5529,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5529.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5529.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5529.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5529.mp3"
              ],
              "text": "وَٱلصُّبْحِ إِذَآ أَسْفَرَ",
              "translate_bn": "শপথ প্রভাতকালের যখন তা আলোকোদ্ভাসিত হয়,",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়াসসুবহিইযাআছফার।",
              "words_arabic": "وَ الصُّبْحِ/وَٱلصُّبۡحِ/wal-sub'hi//اِذَاۤ/إِذَآ/idha//اَسْفَرَۙ/أَسۡفَرَ/asfara",
              "words_bangla": "এবং প্রভাতের//যখন//উজ্জ্বল হয়"
            },
            {
              "number": 5530,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5530.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5530.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5530.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5530.mp3"
              ],
              "text": "إِنَّهَا لَإِحْدَى ٱلْكُبَرِ",
              "translate_bn": "নিশ্চয় জাহান্নাম গুরুতর বিপদসমূহের অন্যতম,",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহা-লাইহদাল কুবার।",
              "words_arabic": "اِنَّهَا/إِنَّهَا/innaha//لَاِحْدَی/لَإِحۡدَى/la-ih'da//الْكُبَرِۙ/ٱلۡكُبَرِ/al-kubari",
              "words_bangla": "তা নিশ্চয়//একটি নিশ্চয়//বড়গুলোর"
            },
            {
              "number": 5531,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5531.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5531.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5531.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5531.mp3"
              ],
              "text": "نَذِيرًۭا لِّلْبَشَرِ",
              "translate_bn": "মানুষের জন্যে সতর্ককারী।",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "নাযীরাল লিলবাশার।",
              "words_arabic": "نَذِیْرًا/نَذِيرٗا/nadhiran//لِّلْبَشَرِۙ/لِّلۡبَشَرِ/lil'bashari",
              "words_bangla": "সতর্ককারী//মানুষের জন্যে"
            },
            {
              "number": 5532,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5532.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5532.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5532.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5532.mp3"
              ],
              "text": "لِمَن شَآءَ مِنكُمْ أَن يَتَقَدَّمَ أَوْ يَتَأَخَّرَ",
              "translate_bn": "তোমাদের মধ্যে যে সামনে অগ্রসর হয় অথবা পশ্চাতে থাকে।",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "লিমান শাআ মিনকুম আইঁ ইয়াতাকাদ্দামা আও ইয়াতাআখখার।",
              "words_arabic": "لِمَنْ/لِمَن/liman//شَآءَ/شَآءَ/shaa//مِنْكُمْ/مِنكُمۡ/minkum//اَنْ/أَن/an//یَّتَقَدَّمَ/يَتَقَدَّمَ/yataqaddama//اَوْ/أَوۡ/aw//یَتَاَخَّرَؕ/يَتَأَخَّرَ/yata-akhara",
              "words_bangla": "(তার) যে জন্যে//ইচ্ছে করেে//তোমাদের মধ্যে//যে//অগ্রসর হবে//অথবা//পিছিয়ে যাবে"
            },
            {
              "number": 5533,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5533.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5533.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5533.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5533.mp3"
              ],
              "text": "كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ رَهِينَةٌ",
              "translate_bn": "প্রত্যেক ব্যক্তি তার কৃতকর্মের জন্য দায়ী;",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কুল্লুনাফছিম বিমা-কাছাবাত রাহীনাহ।",
              "words_arabic": "كُلُّ/كُلُّ/kullu//نَفْسٍۭ/نَفۡسِۭ/nafsin//بِمَا/بِمَا/bima//كَسَبَتْ/كَسَبَتۡ/kasabat//رَهِیْنَةٌۙ/رَهِينَةٌ/rahinatun",
              "words_bangla": "প্রত্যেক//ব্যক্তি//যা বিনিময়ে//অর্জন করেছে//দায়ে আবদ্ধ"
            },
            {
              "number": 5534,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5534.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5534.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5534.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5534.mp3"
              ],
              "text": "إِلَّآ أَصْحَٰبَ ٱلْيَمِينِ",
              "translate_bn": "কিন্তু ডানদিকস্থরা,",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ইল্লাআসহা- বাল ইয়ামীন।",
              "words_arabic": "اِلَّاۤ/إِلَّآ/illa//اَصْحٰبَ/أَصۡحَٰبَ/ashaba//الْیَمِیْنِؕۛ/ٱلۡيَمِينِ/al-yamini",
              "words_bangla": "ছাড়া//ব্যক্তিগণ//ডানদিকস্থ"
            },
            {
              "number": 5535,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5535.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5535.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5535.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5535.mp3"
              ],
              "text": "فِى جَنَّٰتٍۢ يَتَسَآءَلُونَ",
              "translate_bn": "তারা থাকবে জান্নাতে এবং পরস্পরে জিজ্ঞাসাবাদ করবে।",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফী জান্না-তিইঁ ইয়াতাছাআলূন।",
              "words_arabic": "فِیْ/فِي/fi//جَنّٰتٍ ۛؕ۫/جَنَّـٰتٖ/jannatin//یَتَسَآءَلُوْنَۙ/يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "মধ্যে//বেহেশতের//জিজ্ঞাসা পরস্পরে করবে"
            },
            {
              "number": 5536,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5536.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5536.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5536.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5536.mp3"
              ],
              "text": "عَنِ ٱلْمُجْرِمِينَ",
              "translate_bn": "অপরাধীদের সম্পর্কে",
              "numberInSurah": 41,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "‘আনিল মুজরিমীন।",
              "words_arabic": "عَنِ/عَنِ/ani//الْمُجْرِمِیْنَۙ/ٱلۡمُجۡرِمِينَ/al-muj'rimina",
              "words_bangla": "সম্পর্কে//অপরাধীদের"
            },
            {
              "number": 5537,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5537.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5537.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5537.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5537.mp3"
              ],
              "text": "مَا سَلَكَكُمْ فِى سَقَرَ",
              "translate_bn": "বলবেঃ তোমাদেরকে কিসে জাহান্নামে নীত করেছে?",
              "numberInSurah": 42,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "মা-ছালাকাকুম ফী ছাকার।",
              "words_arabic": "مَا/مَا/ma//سَلَكَكُمْ/سَلَكَكُمۡ/salakakum//فِیْ/فِي/fi//سَقَرَ /سَقَرَ/saqara",
              "words_bangla": "\"কিসে//তোমাদের প্রবেশ করিয়েছে//মধ্যে//দোযখের\""
            },
            {
              "number": 5538,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5538.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5538.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5538.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5538.mp3"
              ],
              "text": "قَالُوا۟ لَمْ نَكُ مِنَ ٱلْمُصَلِّينَ",
              "translate_bn": "তারা বলবেঃ আমরা নামায পড়তাম না,",
              "numberInSurah": 43,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কা-লূলাম নাকুমিনাল মুসাল্লীন।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//لَمْ/لَمۡ/lam//نَكُ/نَكُ/naku//مِنَ/مِنَ/mina//الْمُصَلِّیْنَۙ/ٱلۡمُصَلِّينَ/al-musalina",
              "words_bangla": "তারা বলবে//\"না//ছিলাম আমরা//অন্তর্ভূক্ত//নামাজীদের"
            },
            {
              "number": 5539,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5539.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5539.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5539.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5539.mp3"
              ],
              "text": "وَلَمْ نَكُ نُطْعِمُ ٱلْمِسْكِينَ",
              "translate_bn": "অভাবগ্রস্তকে আহার্য্য দিতাম না,",
              "numberInSurah": 44,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম নাকুনুত‘ইমুল মিছকীন।",
              "words_arabic": "وَلَمْ/وَلَمۡ/walam//نَكُ/نَكُ/naku//نُطْعِمُ/نُطۡعِمُ/nut'imu//الْمِسْكِیْنَۙ/ٱلۡمِسۡكِينَ/al-mis'kina",
              "words_bangla": "এবং না//আমরা//খাওয়াতাম//মিছকিনকে"
            },
            {
              "number": 5540,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5540.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5540.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5540.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5540.mp3"
              ],
              "text": "وَكُنَّا نَخُوضُ مَعَ ٱلْخَآئِضِينَ",
              "translate_bn": "আমরা সমালোচকদের সাথে সমালোচনা করতাম।",
              "numberInSurah": 45,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুন্না- নাখূদুমা‘আল খাইদীন।",
              "words_arabic": "وَ كُنَّا/وَكُنَّا/wakunna//نَخُوْضُ/نَخُوضُ/nakhudu//مَعَ/مَعَ/ma'a//الْخَآىِٕضِیْنَۙ/ٱلۡخَآئِضِينَ/al-khaidina",
              "words_bangla": "এবং আমরা আলোচনা করতাম//এবং আমরা আলোচনা করতাম//সাথে//আলোচনাকারীদের"
            },
            {
              "number": 5541,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5541.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5541.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5541.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5541.mp3"
              ],
              "text": "وَكُنَّا نُكَذِّبُ بِيَوْمِ ٱلدِّينِ",
              "translate_bn": "এবং আমরা প্রতিফল দিবসকে অস্বীকার করতাম।",
              "numberInSurah": 46,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুন্না-নুকাযযিবুবিইয়াওমিদ্দীন।",
              "words_arabic": "وَ كُنَّا/وَكُنَّا/wakunna//نُكَذِّبُ/نُكَذِّبُ/nukadhibu//بِیَوْمِ/بِيَوۡمِ/biyawmi//الدِّیْنِۙ/ٱلدِّينِ/al-dini",
              "words_bangla": "এবং মিথ্যারোপ করতাম আমরা//এবং মিথ্যারোপ করতাম আমরা//দিনকে//প্রতিদানের"
            },
            {
              "number": 5542,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5542.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5542.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5542.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5542.mp3"
              ],
              "text": "حَتَّىٰٓ أَتَىٰنَا ٱلْيَقِينُ",
              "translate_bn": "আমাদের মৃত্যু পর্যন্ত।",
              "numberInSurah": 47,
              "juz": 29,
              "manzil": 7,
              "page": 576,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "হাত্তাআতা-নাল ইয়াকীন।",
              "words_arabic": "حَتّٰۤی/حَتَّىٰٓ/hatta//اَتٰىنَا/أَتَىٰنَا/atana//الْیَقِیْنُؕ/ٱلۡيَقِينُ/al-yaqinu",
              "words_bangla": "শেষ পর্যন্ত//আমাদের কাছে আসল//দৃঢ়বিশ্বাস (মৃত্যু)\""
            },
            {
              "number": 5543,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5543.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5543.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5543.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5543.mp3"
              ],
              "text": "فَمَا تَنفَعُهُمْ شَفَٰعَةُ ٱلشَّٰفِعِينَ",
              "translate_bn": "অতএব, সুপারিশকারীদের সুপারিশ তাদের কোন উপকারে আসবে না।",
              "numberInSurah": 48,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফামা- তানফা‘উহুম শাফা- ‘আতুশশা-ফি‘ঈন।",
              "words_arabic": "فَمَا/فَمَا/fama//تَنْفَعُهُمْ/تَنفَعُهُمۡ/tanfa'uhum//شَفَاعَةُ/شَفَٰعَةُ/shafa'atu//الشّٰفِعِیْنَؕ/ٱلشَّـٰفِعِينَ/al-shafi'ina",
              "words_bangla": "না অতঃপর//তাদের কাজে আসবে//সুপারিশ//সুপারিশকারীদের"
            },
            {
              "number": 5544,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5544.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5544.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5544.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5544.mp3"
              ],
              "text": "فَمَا لَهُمْ عَنِ ٱلتَّذْكِرَةِ مُعْرِضِينَ",
              "translate_bn": "তাদের কি হল যে, তারা উপদেশ থেকে মুখ ফিরিয়ে নেয়?",
              "numberInSurah": 49,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফামা-লাহুম ‘আনিততাযকিরাতি মু‘রিদীন।",
              "words_arabic": "فَمَا/فَمَا/fama//لَهُمْ/لَهُمۡ/lahum//عَنِ/عَنِ/ani//التَّذْكِرَةِ/ٱلتَّذۡكِرَةِ/al-tadhkirati//مُعْرِضِیْنَۙ/مُعۡرِضِينَ/mu'ridina",
              "words_bangla": "অতঃপর//তাদের হয়েছে কি//থেকে//নসীহত//মুখ ফিরিয়ে নেয়"
            },
            {
              "number": 5545,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5545.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5545.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5545.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5545.mp3"
              ],
              "text": "كَأَنَّهُمْ حُمُرٌۭ مُّسْتَنفِرَةٌۭ",
              "translate_bn": "যেন তারা ইতস্ততঃ বিক্ষিপ্ত গর্দভ।",
              "numberInSurah": 50,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কাআন্নাহুম হুমুরুম মুছতানফিরাহ।",
              "words_arabic": "كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//حُمُرٌ/حُمُرٞ/humurun//مُّسْتَنْفِرَةٌۙ/مُّسۡتَنفِرَةٞ/mus'tanfiratun",
              "words_bangla": "তারা যেন//গর্দভসমূহ//ভীতত্রস্ত"
            },
            {
              "number": 5546,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5546.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5546.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5546.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5546.mp3"
              ],
              "text": "فَرَّتْ مِن قَسْوَرَةٍۭ",
              "translate_bn": "হট্টগোলের কারণে পলায়নপর।",
              "numberInSurah": 51,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফারাত মিন কাছওয়ারাহ।",
              "words_arabic": "فَرَّتْ/فَرَّتۡ/farrat//مِنْ/مِن/min//قَسْوَرَةٍؕ/قَسۡوَرَةِۭ/qaswaratin",
              "words_bangla": "পলায়ন করছে//থেকে//সিংহ"
            },
            {
              "number": 5547,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5547.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5547.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5547.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5547.mp3"
              ],
              "text": "بَلْ يُرِيدُ كُلُّ ٱمْرِئٍۢ مِّنْهُمْ أَن يُؤْتَىٰ صُحُفًۭا مُّنَشَّرَةًۭ",
              "translate_bn": "বরং তাদের প্রত্যেকেই চায় তাদের প্রত্যেককে একটি উম্মুক্ত গ্রন্থ দেয়া হোক।",
              "numberInSurah": 52,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "বাল ইউরীদুকুল্লুম রিইম মিনহুম আইঁ ইউ’তা- সুহুফাম মুনাশশারাহ।",
              "words_arabic": "بَلْ/بَلۡ/bal//یُرِیْدُ/يُرِيدُ/yuridu//كُلُّ/كُلُّ/kullu//امْرِئٍ/ٱمۡرِيٕٖ/im'ri-in//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//اَنْ/أَن/an//یُّؤْتٰی/يُؤۡتَىٰ/yu'ta//صُحُفًا/صُحُفٗا/suhufan//مُّنَشَّرَةًۙ/مُّنَشَّرَةٗ/munasharatan",
              "words_bangla": "বরং//চায়//প্রত্যেক//ব্যক্তি//তাদের মধ্যে//যে//দেয়া হোক//গ্রন্থসমূহ//উন্মুক্ত"
            },
            {
              "number": 5548,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5548.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5548.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5548.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5548.mp3"
              ],
              "text": "كَلَّا ۖ بَل لَّا يَخَافُونَ ٱلْءَاخِرَةَ",
              "translate_bn": "কখনও না, বরং তারা পরকালকে ভয় করে না।",
              "numberInSurah": 53,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কাল্লা বাল্লা- ইয়াখা-ফূনাল আ-খিরাহ।",
              "words_arabic": "كَلَّا ؕ/كَلَّاۖ/kalla//بَلْ/بَل/bal//لَّا/لَّا/la//یَخَافُوْنَ/يَخَافُونَ/yakhafuna//الْاٰخِرَةَؕ/ٱلۡأٓخِرَةَ/al-akhirata",
              "words_bangla": "কক্ষণও না//বরং//না//তারা ভয় করে না//আখেরাতকে"
            },
            {
              "number": 5549,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5549.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5549.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5549.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5549.mp3"
              ],
              "text": "كَلَّآ إِنَّهُۥ تَذْكِرَةٌۭ",
              "translate_bn": "কখনও না, এটা তো উপদেশ মাত্র।",
              "numberInSurah": 54,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্নাহূতাযকিরাহ।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّهٗ/إِنَّهُۥ/innahu//تَذْكِرَةٌۚ/تَذۡكِرَةٞ/tadhkiratun",
              "words_bangla": "কক্ষণও না//তা নিশ্চয়//উপদেশ"
            },
            {
              "number": 5550,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5550.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5550.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5550.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5550.mp3"
              ],
              "text": "فَمَن شَآءَ ذَكَرَهُۥ",
              "translate_bn": "অতএব, যার ইচ্ছা, সে একে স্মরণ করুক।",
              "numberInSurah": 55,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ফামান শাআ যাকারাহ।",
              "words_arabic": "فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//ذَكَرَهٗؕ/ذَكَرَهُۥ/dhakarahu",
              "words_bangla": "যে অতএব//ইচ্ছা করে//তার শিক্ষা নিক"
            },
            {
              "number": 5551,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5551.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5551.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5551.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5551.mp3"
              ],
              "text": "وَمَا يَذْكُرُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ هُوَ أَهْلُ ٱلتَّقْوَىٰ وَأَهْلُ ٱلْمَغْفِرَةِ",
              "translate_bn": "তারা স্মরণ করবে না, কিন্তু যদি আল্লাহ চান। তিনিই ভয়ের যোগ্য এবং ক্ষমার অধিকারী।",
              "numberInSurah": 56,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 511,
              "hizbQuarter": 230,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইয়াযকুরূনা ইল্লাআইঁ ইয়াশাআল্লা-হু হুওয়া আহলুত্তাকওয়া- ওয়া আহলুল মাগফিরাহ।",
              "words_arabic": "وَ مَا/وَمَا/wama//یَذْكُرُوْنَ/يَذۡكُرُونَ/yadhkuruna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//هُوَ/هُوَ/huwa//اَهْلُ/أَهۡلُ/ahlu//التَّقْوٰی/ٱلتَّقۡوَىٰ/al-taqwa//وَ اَهْلُ/وَأَهۡلُ/wa-ahlu//الْمَغْفِرَةِ۠/ٱلۡمَغۡفِرَةِ/al-maghfirati",
              "words_bangla": "এবং না//তারা শিক্ষা নেবে//এ ছাড়া//যে//ইচ্ছা করেন//আল্লাহ//তিনিই//যোগ্য//ভয়ের//এবং অধিকারী//মাফ করার"
            }
          ]
        },
        {
          "number": 75,
          "name": "سُورَةُ القِيَامَةِ",
          "englishName": "Al-Qiyaama",
          "englishNameTranslation": "The Resurrection",
          "revelationType": "Meccan",
          "verse": 40,
          "words": 353,
          "chars": 1445,
          "ayahs": [
            {
              "number": 5552,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5552.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5552.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5552.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5552.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ لَآ أُقْسِمُ بِيَوْمِ ٱلْقِيَٰمَةِ",
              "translate_bn": "আমি শপথ করি কেয়ামত দিবসের,",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "লাউকছিমুবিইয়াওমিল কিয়া-মাহ ।",
              "words_arabic": "لَاۤ/لَآ/la//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِیَوْمِ/بِيَوۡمِ/biyawmi//الْقِیٰمَةِۙ/ٱلۡقِيَٰمَةِ/al-qiyamati",
              "words_bangla": "না//কসম খাচ্ছি//দিনের//কিয়ামাতের"
            },
            {
              "number": 5553,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5553.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5553.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5553.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5553.mp3"
              ],
              "text": "وَلَآ أُقْسِمُ بِٱلنَّفْسِ ٱللَّوَّامَةِ",
              "translate_bn": "আরও শপথ করি সেই মনের, যে নিজেকে ধিক্কার দেয়-",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাউকছিমুবিন্নাফছিল লাওওয়া-মাহ।",
              "words_arabic": "وَ لَاۤ/وَلَآ/wala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِالنَّفْسِ/بِٱلنَّفۡسِ/bil-nafsi//اللَّوَّامَةِؕ/ٱللَّوَّامَةِ/al-lawamati",
              "words_bangla": "এবং না//শপথ করছি আমি//মনের//তিরস্কারকারী"
            },
            {
              "number": 5554,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5554.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5554.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5554.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5554.mp3"
              ],
              "text": "أَيَحْسَبُ ٱلْإِنسَٰنُ أَلَّن نَّجْمَعَ عِظَامَهُۥ",
              "translate_bn": "মানুষ কি মনে করে যে আমি তার অস্থিসমূহ একত্রিত করব না?",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আ ইয়াহছাবুল ইনছা-নুআল্লান নাজমা‘আ ‘ইজা-মাহ।",
              "words_arabic": "اَیَحْسَبُ/أَيَحۡسَبُ/ayahsabu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اَلَّنْ/أَلَّن/allan//نَّجْمَعَ/نَّجۡمَعَ/najma'a//عِظَامَهٗؕ/عِظَامَهُۥ/izamahu",
              "words_bangla": "মনে করেছে কি//মানুষ//কখন না//একত্রিত আমরা করব//তার অস্তিগুলকে"
            },
            {
              "number": 5555,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5555.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5555.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5555.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5555.mp3"
              ],
              "text": "بَلَىٰ قَٰدِرِينَ عَلَىٰٓ أَن نُّسَوِّىَ بَنَانَهُۥ",
              "translate_bn": "পরন্ত আমি তার অংগুলিগুলো পর্যন্ত সঠিকভাবে সন্নিবেশিত করতে সক্ষম।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "বালা-কা-দিরীনা ‘আলাআন নুছাওবিয়া বানা-নাহ।",
              "words_arabic": "بَلٰى/بَلَىٰ/bala//قٰدِرِیْنَ/قَٰدِرِينَ/qadirina//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//نُّسَوِّیَ/نُّسَوِّيَ/nusawwiya//بَنَانَهٗ /بَنَانَهُۥ/bananahu",
              "words_bangla": "কােনো না//সক্ষম//এতে//যে//পূর্ণবিন্যস্ত আমরা করবো//তার আঙ্গুলির অগ্রভাগ"
            },
            {
              "number": 5556,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5556.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5556.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5556.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5556.mp3"
              ],
              "text": "بَلْ يُرِيدُ ٱلْإِنسَٰنُ لِيَفْجُرَ أَمَامَهُۥ",
              "translate_bn": "বরং মানুষ তার ভবিষ্যত জীবনেও ধৃষ্টতা করতে চায়",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "বাল ইউরীদুল ইনছা-নুলিইয়াফজুরা আমা-মাহ।",
              "words_arabic": "بَلْ/بَلۡ/bal//یُرِیْدُ/يُرِيدُ/yuridu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//لِیَفْجُرَ/لِيَفۡجُرَ/liyafjura//اَمَامَهٗۚ/أَمَامَهُۥ/amamahu",
              "words_bangla": "বরং//চায়ে//মানুষ//কুকর্ম করার জন্য//তার ভবিষ্যতেও"
            },
            {
              "number": 5557,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5557.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5557.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5557.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5557.mp3"
              ],
              "text": "يَسْـَٔلُ أَيَّانَ يَوْمُ ٱلْقِيَٰمَةِ",
              "translate_bn": "সে প্রশ্ন করে-কেয়ামত দিবস কবে?",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইয়াছআলুআইইয়া-না ইয়াওমুল কিয়া-মাহ।",
              "words_arabic": "یَسْـَٔلُ/يَسۡـَٔلُ/yasalu//اَیَّانَ/أَيَّانَ/ayyana//یَوْمُ/يَوۡمُ/yawmu//الْقِیٰمَةِؕ/ٱلۡقِيَٰمَةِ/al-qiyamati",
              "words_bangla": "সে জিজ্ঞাস করে//\"কবে//দিন//কিয়ামাতের\""
            },
            {
              "number": 5558,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5558.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5558.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5558.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5558.mp3"
              ],
              "text": "فَإِذَا بَرِقَ ٱلْبَصَرُ",
              "translate_bn": "যখন দৃষ্টি চমকে যাবে,",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-বারিকাল বাসার।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//بَرِقَ/بَرِقَ/bariqa//الْبَصَرُۙ/ٱلۡبَصَرُ/al-basaru",
              "words_bangla": "যখন অতঃপর//স্থির হয়ে যাবে//চক্ষু"
            },
            {
              "number": 5559,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5559.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5559.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5559.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5559.mp3"
              ],
              "text": "وَخَسَفَ ٱلْقَمَرُ",
              "translate_bn": "চন্দ্র জ্যোতিহীন হয়ে যাবে।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া খাছাফাল কামার।",
              "words_arabic": "وَ خَسَفَ/وَخَسَفَ/wakhasafa//الْقَمَرُۙ/ٱلۡقَمَرُ/al-qamaru",
              "words_bangla": "এবং আলোকহীন হবে//চাঁদ"
            },
            {
              "number": 5560,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5560.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5560.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5560.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5560.mp3"
              ],
              "text": "وَجُمِعَ ٱلشَّمْسُ وَٱلْقَمَرُ",
              "translate_bn": "এবং সূর্য ও চন্দ্রকে একত্রিত করা হবে-",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া জুমি‘আশশামছুওয়াল কামার।",
              "words_arabic": "وَ جُمِعَ/وَجُمِعَ/wajumi'a//الشَّمْسُ/ٱلشَّمۡسُ/al-shamsu//وَ الْقَمَرُۙ/وَٱلۡقَمَرُ/wal-qamaru",
              "words_bangla": "এবং একত্রিত করা হবে//সূর্য//ও চাঁদ"
            },
            {
              "number": 5561,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5561.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5561.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5561.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5561.mp3"
              ],
              "text": "يَقُولُ ٱلْإِنسَٰنُ يَوْمَئِذٍ أَيْنَ ٱلْمَفَرُّ",
              "translate_bn": "সে দিন মানুষ বলবেঃ পলায়নের জায়গা কোথায় ?",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূ লুল ইনছা-নুইয়াওমাইযিন আইনাল মাফার।",
              "words_arabic": "یَقُوْلُ/يَقُولُ/yaqulu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//یَوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//اَیْنَ/أَيۡنَ/ayna//الْمَفَرُّۚ/ٱلۡمَفَرُّ/al-mafaru",
              "words_bangla": "বলবে//মানুষ//সেই দিন//\"কোথায়//পালাবার জায়গা\""
            },
            {
              "number": 5562,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5562.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5562.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5562.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5562.mp3"
              ],
              "text": "كَلَّا لَا وَزَرَ",
              "translate_bn": "না কোথাও আশ্রয়স্থল নেই।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-লা- ওয়াঝার।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//لَا/لَا/la//وَزَرَؕ/وَزَرَ/wazara",
              "words_bangla": "কক্ষন না//নাই//আশ্রয় স্থল"
            },
            {
              "number": 5563,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5563.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5563.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5563.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5563.mp3"
              ],
              "text": "إِلَىٰ رَبِّكَ يَوْمَئِذٍ ٱلْمُسْتَقَرُّ",
              "translate_bn": "আপনার পালনকর্তার কাছেই সেদিন ঠাঁই হবে।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইলা-রাব্বিকা ইয়াওমাইযিনিল মুছতাকার।",
              "words_arabic": "اِلٰى/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//یَوْمَىِٕذِ/يَوۡمَئِذٍ/yawma-idhin//لْمُسْتَقَرُّؕ/ٱلۡمُسۡتَقَرُّ/al-mus'taqaru",
              "words_bangla": "দিকে//তোমার রবের//সেদিন//অবস্থানহল"
            },
            {
              "number": 5564,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5564.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5564.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5564.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5564.mp3"
              ],
              "text": "يُنَبَّؤُا۟ ٱلْإِنسَٰنُ يَوْمَئِذٍۭ بِمَا قَدَّمَ وَأَخَّرَ",
              "translate_bn": "সেদিন মানুষকে অবহিত করা হবে সে যা সামনে প্রেরণ করেছে ও পশ্চাতে ছেড়ে দিয়েছে।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইউনাব্বাউল ইনছা-নুইয়াওমাইযিম বিমা-কাদ্দামা ওয়া আখখার।",
              "words_arabic": "یُنَبَّؤُا/يُنَبَّؤُاْ/yunabba-u//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//یَوْمَىِٕذٍۭ/يَوۡمَئِذِۭ/yawma-idhin//بِمَا/بِمَا/bima//قَدَّمَ/قَدَّمَ/qaddama//وَ اَخَّرَؕ/وَأَخَّرَ/wa-akhara",
              "words_bangla": "জানিয়ে দেয়া হবে//মানুষ কে//সেদিন//যা ওই বিষয়ে//সে আগে পাঠিয়েছে//এবং পিছে ছেড়েছে"
            },
            {
              "number": 5565,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5565.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5565.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5565.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5565.mp3"
              ],
              "text": "بَلِ ٱلْإِنسَٰنُ عَلَىٰ نَفْسِهِۦ بَصِيرَةٌۭ",
              "translate_bn": "বরং মানুষ নিজেই তার নিজের সম্পর্কে চক্ষুমান।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "বালিল ইনছা-নু‘আলা- নাফছিহী বাসীরাহ।",
              "words_arabic": "بَلِ/بَلِ/bali//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//عَلٰى/عَلَىٰ/ala//نَفْسِهٖ/نَفۡسِهِۦ/nafsihi//بَصِیْرَةٌۙ/بَصِيرَةٞ/basiratun",
              "words_bangla": "বরং//মানুষ//সম্পর্কে//তার নিজের//খুব অবগত"
            },
            {
              "number": 5566,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5566.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5566.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5566.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5566.mp3"
              ],
              "text": "وَلَوْ أَلْقَىٰ مَعَاذِيرَهُۥ",
              "translate_bn": "যদিও সে তার অজুহাত পেশ করতে চাইবে।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাও আলকা- মা‘আ-যীরাহ।",
              "words_arabic": "وَّ لَوْ/وَلَوۡ/walaw//اَلْقٰى/أَلۡقَىٰ/alqa//مَعَاذِیْرَهٗؕ/مَعَاذِيرَهُۥ/ma'adhirahu",
              "words_bangla": "এবং যদিও//পেশ করে সে//তার অজুহাত সমূহ"
            },
            {
              "number": 5567,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5567.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5567.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5567.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5567.mp3"
              ],
              "text": "لَا تُحَرِّكْ بِهِۦ لِسَانَكَ لِتَعْجَلَ بِهِۦٓ",
              "translate_bn": "তাড়াতাড়ি শিখে নেয়ার জন্যে আপনি দ্রুত ওহী আবৃত্তি করবেন না।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "লা-তুহাররিক বিহী লিছা-নাকা লিতা‘জালা বিহ।",
              "words_arabic": "لَا/لَا/la//تُحَرِّكْ/تُحَرِّكۡ/tuharrik//بِهٖ/بِهِۦ/bihi//لِسَانَكَ/لِسَانَكَ/lisanaka//لِتَعْجَلَ/لِتَعۡجَلَ/lita'jala//بِهٖؕ/بِهِۦٓ/bihi",
              "words_bangla": "না//নাড়াবে//এর সাথে//তোমার জিহ্বা//তাড়াতাড়ির জন্য//এর সাথে"
            },
            {
              "number": 5568,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5568.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5568.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5568.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5568.mp3"
              ],
              "text": "إِنَّ عَلَيْنَا جَمْعَهُۥ وَقُرْءَانَهُۥ",
              "translate_bn": "এর সংরক্ষণ ও পাঠ আমারই দায়িত্ব।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘আলাইনা-জাম‘আহূওয়া কুরআ-নাহ ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عَلَیْنَا/عَلَيۡنَا/alayna//جَمْعَهٗ/جَمۡعَهُۥ/jam'ahu//وَ قُرْاٰنَهٗۚۖ/وَقُرۡءَانَهُۥ/waqur'anahu",
              "words_bangla": "নিশ্চয়//আমাদের দায়িত্ব//তা মুখস্ত করান//এবং তা পাঠ করান"
            },
            {
              "number": 5569,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5569.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5569.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5569.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5569.mp3"
              ],
              "text": "فَإِذَا قَرَأْنَٰهُ فَٱتَّبِعْ قُرْءَانَهُۥ",
              "translate_bn": "অতঃপর আমি যখন তা পাঠ করি, তখন আপনি সেই পাঠের অনুসরণ করুন।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ফাইযা- কারা’না-হু ফাত্তাবি‘ কুরআ-নাহ।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//قَرَاْنٰهُ/قَرَأۡنَٰهُ/qaranahu//فَاتَّبِعْ/فَٱتَّبِعۡ/fa-ittabi'//قُرْاٰنَهٗۚ/قُرۡءَانَهُۥ/qur'anahu",
              "words_bangla": "যখন অতঃপর//তা আমরা পড়ি//অনিুসরণ তখন করো//তা পাঠের"
            },
            {
              "number": 5570,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5570.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5570.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5570.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5570.mp3"
              ],
              "text": "ثُمَّ إِنَّ عَلَيْنَا بَيَانَهُۥ",
              "translate_bn": "এরপর বিশদ বর্ণনা আমারই দায়িত্ব।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 577,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না ‘আলাইনা-বায়া-নাহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//عَلَیْنَا/عَلَيۡنَا/alayna//بَیَانَهٗؕ/بَيَانَهُۥ/bayanahu",
              "words_bangla": "অতঃপর//নিশ্চয়//আমাদের দায়িত্ব//তা ব্যাখ্যা দেয়া"
            },
            {
              "number": 5571,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5571.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5571.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5571.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5571.mp3"
              ],
              "text": "كَلَّا بَلْ تُحِبُّونَ ٱلْعَاجِلَةَ",
              "translate_bn": "কখনও না, বরং তোমরা পার্থিব জীবনকে ভালবাস",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-বাল তুহিববূনাল ‘আ-জিলাহ।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//بَلْ/بَلۡ/bal//تُحِبُّوْنَ/تُحِبُّونَ/tuhibbuna//الْعَاجِلَةَۙ/ٱلۡعَاجِلَةَ/al-'ajilata",
              "words_bangla": "কক্ষন না//বরং//তোমরা পছন্দ করো//পার্থিব জীবন"
            },
            {
              "number": 5572,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5572.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5572.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5572.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5572.mp3"
              ],
              "text": "وَتَذَرُونَ ٱلْءَاخِرَةَ",
              "translate_bn": "এবং পরকালকে উপেক্ষা কর।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাযারূনাল আ-খিরাহ।",
              "words_arabic": "وَ تَذَرُوْنَ/وَتَذَرُونَ/watadharuna//الْاٰخِرَةَؕ/ٱلۡأٓخِرَةَ/al-akhirata",
              "words_bangla": "এবং তোমরা উপেক্ষা করো//পরকাল"
            },
            {
              "number": 5573,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5573.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5573.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5573.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5573.mp3"
              ],
              "text": "وُجُوهٌۭ يَوْمَئِذٍۢ نَّاضِرَةٌ",
              "translate_bn": "সেদিন অনেক মুখমন্ডল উজ্জ্বল হবে।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "উজূহুইঁ ইয়াওমাইযিন না- দিরাহ।",
              "words_arabic": "وُجُوْهٌ/وُجُوهٞ/wujuhun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//نَّاضِرَةٌۙ/نَّاضِرَةٌ/nadiratun",
              "words_bangla": "কিছুু মুখ//সে দিন//উজ্জ্বল হবে"
            },
            {
              "number": 5574,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5574.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5574.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5574.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5574.mp3"
              ],
              "text": "إِلَىٰ رَبِّهَا نَاظِرَةٌۭ",
              "translate_bn": "তারা তার পালনকর্তার দিকে তাকিয়ে থাকবে।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইলা-রাব্বিহা-না-জিরাহ।",
              "words_arabic": "اِلٰى/إِلَىٰ/ila//رَبِّهَا/رَبِّهَا/rabbiha//نَاظِرَةٌۚ/نَاظِرَةٞ/naziratun",
              "words_bangla": "দিকে//তার রবের//দৃষ্টিমান হবে"
            },
            {
              "number": 5575,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5575.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5575.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5575.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5575.mp3"
              ],
              "text": "وَوُجُوهٌۭ يَوْمَئِذٍۭ بَاسِرَةٌۭ",
              "translate_bn": "আর অনেক মুখমন্ডল সেদিন উদাস হয়ে পড়বে।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া উজূহুইঁ ইয়াওমাইযিম বা-ছিরাহ।",
              "words_arabic": "وَ وُجُوْهٌ/وَوُجُوهٞ/wawujuhun//یَّوْمَىِٕذٍۭ/يَوۡمَئِذِۭ/yawma-idhin//بَاسِرَةٌۙ/بَاسِرَةٞ/basiratun",
              "words_bangla": "এবং কিছু মুখ//সে দিন//স্লান হবে"
            },
            {
              "number": 5576,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5576.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5576.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5576.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5576.mp3"
              ],
              "text": "تَظُنُّ أَن يُفْعَلَ بِهَا فَاقِرَةٌۭ",
              "translate_bn": "তারা ধারণা করবে যে, তাদের সাথে কোমর-ভাঙ্গা আচরণ করা হবে।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "তাজুন্নুআইঁ ইউফ‘আলা বিহা-ফা-কিরাহ।",
              "words_arabic": "تَظُنُّ/تَظُنُّ/tazunnu//اَنْ/أَن/an//یُّفْعَلَ/يُفۡعَلَ/yuf'ala//بِهَا/بِهَا/biha//فَاقِرَةٌؕ/فَاقِرَةٞ/faqiratun",
              "words_bangla": "ধারণা করবে//যে//করা হবে//তার সাথে//কোমর চূর্ণ আচরণ"
            },
            {
              "number": 5577,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5577.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5577.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5577.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5577.mp3"
              ],
              "text": "كَلَّآ إِذَا بَلَغَتِ ٱلتَّرَاقِىَ",
              "translate_bn": "কখনও না, যখন প্রাণ কন্ঠাগত হবে।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইযা-বালাগাতিত্তারা-কী।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِذَا/إِذَا/idha//بَلَغَتِ/بَلَغَتِ/balaghati//التَّرَاقِیَۙ/ٱلتَّرَاقِيَ/al-taraqiya",
              "words_bangla": "কক্ষন না//যখন//পৌছবে//কণ্ঠ দেশে (প্রাণ)"
            },
            {
              "number": 5578,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5578.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5578.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5578.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5578.mp3"
              ],
              "text": "وَقِيلَ مَنْ ۜ رَاقٍۢ",
              "translate_bn": "এবং বলা হবে, কে ঝাড়বে",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া কীলা মান রা-ক।",
              "words_arabic": "وَ قِیْلَ/وَقِيلَ/waqila//مَنْ ٚ/مَنۡۜ/man//رَاقٍۙ/رَاقٖ/raqin",
              "words_bangla": "এবং বলা হবে//\"কে//ঝাড়ফুককারী\""
            },
            {
              "number": 5579,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5579.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5579.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5579.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5579.mp3"
              ],
              "text": "وَظَنَّ أَنَّهُ ٱلْفِرَاقُ",
              "translate_bn": "এবং সে মনে করবে যে, বিদায়ের ক্ষণ এসে গেছে।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া জান্না আন্নাহুল ফিরা-ক।",
              "words_arabic": "وَّ ظَنَّ/وَظَنَّ/wazanna//اَنَّهُ/أَنَّهُ/annahu//الْفِرَاقُۙ/ٱلۡفِرَاقُ/al-firaqu",
              "words_bangla": "এবং সে মনে করবে//তার যে//বিদায়ক্ষণ"
            },
            {
              "number": 5580,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5580.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5580.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5580.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5580.mp3"
              ],
              "text": "وَٱلْتَفَّتِ ٱلسَّاقُ بِٱلسَّاقِ",
              "translate_bn": "এবং গোছা গোছার সাথে জড়িত হয়ে যাবে।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়াল তাফফাতিছছা-কুবিছছা-ক।",
              "words_arabic": "وَ الْتَفَّتِ/وَٱلۡتَفَّتِ/wal-tafati//السَّاقُ/ٱلسَّاقُ/al-saqu//بِالسَّاقِۙ/بِٱلسَّاقِ/bil-saqi",
              "words_bangla": "এবং জড়িয়ে যাবে//পিন্ডলির//পিন্ডলি সাথে"
            },
            {
              "number": 5581,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5581.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5581.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5581.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5581.mp3"
              ],
              "text": "إِلَىٰ رَبِّكَ يَوْمَئِذٍ ٱلْمَسَاقُ",
              "translate_bn": "সেদিন, আপনার পালনকর্তার নিকট সবকিছু নীত হবে।",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 512,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইলা-রাব্বিকা ইয়াওমাইযিনিল মাছা-ক।",
              "words_arabic": "اِلٰى/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//یَوْمَىِٕذِ/يَوۡمَئِذٍ/yawma-idhin//لْمَسَاقُؕ۠/ٱلۡمَسَاقُ/al-masaqu",
              "words_bangla": "দিকে//তোমার রবের//সে দিন//যাত্রা"
            },
            {
              "number": 5582,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5582.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5582.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5582.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5582.mp3"
              ],
              "text": "فَلَا صَدَّقَ وَلَا صَلَّىٰ",
              "translate_bn": "সে বিশ্বাস করেনি এবং নামায পড়েনি;",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ফালা- সাদ্দাকা ওয়ালা- সাল্লা- ।",
              "words_arabic": "فَلَا/فَلَا/fala//صَدَّقَ/صَدَّقَ/saddaqa//وَ لَا/وَلَا/wala//صَلّٰىۙ/صَلَّىٰ/salla",
              "words_bangla": "না অতঃপর//সত্য মানল//এবং না//নামায পড়ল"
            },
            {
              "number": 5583,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5583.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5583.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5583.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5583.mp3"
              ],
              "text": "وَلَٰكِن كَذَّبَ وَتَوَلَّىٰ",
              "translate_bn": "পরন্ত মিথ্যারোপ করেছে ও পৃষ্ঠ প্রদর্শন করেছে।",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া লা- কিন কাযযাবা ওয়া তাওয়াল্লা- ।",
              "words_arabic": "وَ لٰكِنْ/وَلَٰكِن/walakin//كَذَّبَ/كَذَّبَ/kadhaba//وَ تَوَلّٰىۙ/وَتَوَلَّىٰ/watawalla",
              "words_bangla": "বরং//মিথ্যারোপ করল//ও ফিরে গেল"
            },
            {
              "number": 5584,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5584.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5584.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5584.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5584.mp3"
              ],
              "text": "ثُمَّ ذَهَبَ إِلَىٰٓ أَهْلِهِۦ يَتَمَطَّىٰٓ",
              "translate_bn": "অতঃপর সে দম্ভভরে পরিবার-পরিজনের নিকট ফিরে গিয়েছে।",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা যাহাবা ইলাআহলিহী ইয়াতামাত্তা- ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//ذَهَبَ/ذَهَبَ/dhahaba//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//یَتَمَطّٰىؕ/يَتَمَطَّىٰٓ/yatamatta",
              "words_bangla": "পরে//গেল//দিকে//পরিবারের তার//সদম্ভে"
            },
            {
              "number": 5585,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5585.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5585.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5585.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5585.mp3"
              ],
              "text": "أَوْلَىٰ لَكَ فَأَوْلَىٰ",
              "translate_bn": "তোমার দুর্ভোগের উপর দুর্ভোগ।",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আওলা-লাকা ফাআওলা- ।",
              "words_arabic": "اَوْلٰى/أَوۡلَىٰ/awla//لَكَ/لَكَ/laka//فَاَوْلٰىۙ/فَأَوۡلَىٰ/fa-awla",
              "words_bangla": "দুর্ভোগ//তোমার জন্যে//অতঃপর দুর্ভোগ"
            },
            {
              "number": 5586,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5586.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5586.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5586.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5586.mp3"
              ],
              "text": "ثُمَّ أَوْلَىٰ لَكَ فَأَوْلَىٰٓ",
              "translate_bn": "অতঃপর, তোমার দুর্ভোগের উপর দূর্ভোগ।",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আওলা- লাকা ফাআওলা- ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَوْلٰى/أَوۡلَىٰ/awla//لَكَ/لَكَ/laka//فَاَوْلٰىؕ/فَأَوۡلَىٰٓ/fa-awla",
              "words_bangla": "এরপর//দুুর্ভোগ//তোমার জন্য//দুর্ভোগ অতঃপর"
            },
            {
              "number": 5587,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5587.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5587.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5587.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5587.mp3"
              ],
              "text": "أَيَحْسَبُ ٱلْإِنسَٰنُ أَن يُتْرَكَ سُدًى",
              "translate_bn": "মানুষ কি মনে করে যে, তাকে এমনি ছেড়ে দেয়া হবে?",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আ ইয়াহছাবুল ইনছা-নুআইঁ ইউতরাকা ছুদা- ।",
              "words_arabic": "اَیَحْسَبُ/أَيَحۡسَبُ/ayahsabu//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اَنْ/أَن/an//یُّتْرَكَ/يُتۡرَكَ/yut'raka//سُدًیؕ/سُدًى/sudan",
              "words_bangla": "মনে করেছ কি//মানুষ//যে//ছেড়ে দেয়া হবে//লাগামহিন"
            },
            {
              "number": 5588,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5588.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5588.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5588.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5588.mp3"
              ],
              "text": "أَلَمْ يَكُ نُطْفَةًۭ مِّن مَّنِىٍّۢ يُمْنَىٰ",
              "translate_bn": "সে কি স্খলিত বীর্য ছিল না?",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়াকুনুতফাতাম মিম মানিইয়িইঁ ইউমনা- ।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَكُ/يَكُ/yaku//نُطْفَةً/نُطۡفَةٗ/nut'fatan//مِّنْ/مِّن/min//مَّنِیٍّ/مَّنِيّٖ/maniyyin//یُّمْنٰىۙ/يُمۡنَىٰ/yum'na",
              "words_bangla": "না কি//সে ছিল//এক ফটা//থেকে//শুক্র//নির্গত"
            },
            {
              "number": 5589,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5589.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5589.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5589.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5589.mp3"
              ],
              "text": "ثُمَّ كَانَ عَلَقَةًۭ فَخَلَقَ فَسَوَّىٰ",
              "translate_bn": "অতঃপর সে ছিল রক্তপিন্ড, অতঃপর আল্লাহ তাকে সৃষ্টি করেছেন এবং সুবিন্যস্ত করেছেন।",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কা-না ‘আলাকাতান ফাখালাকা ফাছাওয়া-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كَانَ/كَانَ/kana//عَلَقَةً/عَلَقَةٗ/alaqatan//فَخَلَقَ/فَخَلَقَ/fakhalaqa//فَسَوّٰىۙ/فَسَوَّىٰ/fasawwa",
              "words_bangla": "পরে//হয়//জমাট রক্ত//তিনি আকৃতি অতঃপর দিলেন//সুঠাম অতঃপর করলেন"
            },
            {
              "number": 5590,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5590.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5590.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5590.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5590.mp3"
              ],
              "text": "فَجَعَلَ مِنْهُ ٱلزَّوْجَيْنِ ٱلذَّكَرَ وَٱلْأُنثَىٰٓ",
              "translate_bn": "অতঃপর তা থেকে সৃষ্টি করেছেন যুগল নর ও নারী।",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলা মিনহুঝঝাওজাইনিযযাকারা ওয়াল উনছা- ।",
              "words_arabic": "فَجَعَلَ/فَجَعَلَ/faja'ala//مِنْهُ/مِنۡهُ/min'hu//الزَّوْجَیْنِ/ٱلزَّوۡجَيۡنِ/al-zawjayni//الذَّكَرَ/ٱلذَّكَرَ/al-dhakara//وَ الْاُنْثٰىؕ/وَٱلۡأُنثَىٰٓ/wal-untha",
              "words_bangla": "বানালেন অতঃপর//তা থেকে//দুই জোড়া//পুরুষ//ও নাড়ি"
            },
            {
              "number": 5591,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5591.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5591.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5591.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5591.mp3"
              ],
              "text": "أَلَيْسَ ذَٰلِكَ بِقَٰدِرٍ عَلَىٰٓ أَن يُحْۦِىَ ٱلْمَوْتَىٰ",
              "translate_bn": "তবুও কি সেই আল্লাহ মৃতদেরকে জীবিত করতে সক্ষম নন?",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 513,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আলাইছা যা- লিকা বিকা-দিরিন ‘আলাআইঁ ইউ হইয়াল মাওতা- ।",
              "words_arabic": "اَلَیْسَ/أَلَيۡسَ/alaysa//ذٰلِكَ/ذَٰلِكَ/dhalika//بِقٰدِرٍ/بِقَٰدِرٍ/biqadirin//عَلٰۤی/عَلَىٰٓ/ala//اَنْ/أَن/an//یُّحْیِ َۧ/يُحۡـِۧيَ/yuh'yiya//الْمَوْتٰى۠/ٱلۡمَوۡتَىٰ/al-mawta",
              "words_bangla": "নয় কি//সেই//সক্ষম//এতে//যে//জীবিত করবেন//মৃত্যুকে"
            }
          ]
        },
        {
          "number": 76,
          "name": "سُورَةُ الإِنسَانِ",
          "englishName": "Al-Insaan",
          "englishNameTranslation": "Man",
          "revelationType": "Medinan",
          "verse": 31,
          "words": 520,
          "chars": 2252,
          "ayahs": [
            {
              "number": 5592,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5592.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5592.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5592.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5592.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ هَلْ أَتَىٰ عَلَى ٱلْإِنسَٰنِ حِينٌۭ مِّنَ ٱلدَّهْرِ لَمْ يَكُن شَيْـًۭٔا مَّذْكُورًا",
              "translate_bn": "মানুষের উপর এমন কিছু সময় অতিবাহিত হয়েছে যখন সে উল্লেখযোগ্য কিছু ছিল না।",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "হাল আতা- ‘আলাল ইনছা-নি হীনুম মিনাদ্দাহরি লাম ইয়াকুন শাইআম মাযকূরা- ।",
              "words_arabic": "هَلْ/هَلۡ/hal//اَتٰی/أَتَىٰ/ata//عَلَی/عَلَى/ala//الْاِنْسَانِ/ٱلۡإِنسَٰنِ/al-insani//حِیْنٌ/حِينٞ/hinun//مِّنَ/مِّنَ/mina//الدَّهْرِ/ٱلدَّهۡرِ/al-dahri//لَمْ/لَمۡ/lam//یَكُنْ/يَكُن/yakun//شَیْـًٔا/شَيۡـٔٗا/shayan//مَّذْكُوْرًا /مَّذۡكُورًا/madhkuran",
              "words_bangla": "কি//এসেছে//উপর//মানুষের//এক সময়//থেকে//সীমাহীন কালের//না//সে ছিল//কিছুই//উল্লেখযোগ্য"
            },
            {
              "number": 5593,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5593.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5593.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5593.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5593.mp3"
              ],
              "text": "إِنَّا خَلَقْنَا ٱلْإِنسَٰنَ مِن نُّطْفَةٍ أَمْشَاجٍۢ نَّبْتَلِيهِ فَجَعَلْنَٰهُ سَمِيعًۢا بَصِيرًا",
              "translate_bn": "আমি মানুষকে সৃষ্টি করেছি মিশ্র শুক্রবিন্দু থেকে, এভাবে যে, তাকে পরীক্ষা করব অতঃপর তাকে করে দিয়েছি শ্রবণ ও দৃষ্টিশক্তিসম্পন্ন।",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্না-খালাকানাল ইনছা-না মিন নুতফাতিন আমশা-জিন নাবতালীহি ফাজা‘আলনা-হু ছামী‘আম বাসীরা- ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِن/min//نُّطْفَةٍ/نُّطۡفَةٍ/nut'fatin//اَمْشَاجٍ ۖۗ/أَمۡشَاجٖ/amshajin//نَّبْتَلِیْهِ/نَّبۡتَلِيهِ/nabtalihi//فَجَعَلْنٰهُ/فَجَعَلۡنَٰهُ/faja'alnahu//سَمِیْعًۢا/سَمِيعَۢا/sami'an//بَصِیْرًا /بَصِيرًا/basiran",
              "words_bangla": "আমরা নিশ্চয়ই//আমরা সৃষ্টি করেছি//মানুষকে//থেকে//শুক্রের ফোটা//মিশ্রিত//তাকে পরীক্ষা আমরা করবো//অতঃপর তাকে আমরা বানিয়েছি//শ্রবণ শক্তি সম্পন্ন//দৃষ্টি শক্তি সম্পন্ন"
            },
            {
              "number": 5594,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5594.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5594.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5594.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5594.mp3"
              ],
              "text": "إِنَّا هَدَيْنَٰهُ ٱلسَّبِيلَ إِمَّا شَاكِرًۭا وَإِمَّا كَفُورًا",
              "translate_bn": "আমি তাকে পথ দেখিয়ে দিয়েছি। এখন সে হয় কৃতজ্ঞ হয়, না হয় অকৃতজ্ঞ হয়।",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্না-হাদাইনা- হুছছাবীলা ইম্মা- শা- কিরাওঁ ওয়া ইম্মা- কাফূরা- ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//هَدَیْنٰهُ/هَدَيۡنَٰهُ/hadaynahu//السَّبِیْلَ/ٱلسَّبِيلَ/al-sabila//اِمَّا/إِمَّا/imma//شَاكِرًا/شَاكِرٗا/shakiran//وَّ اِمَّا/وَإِمَّا/wa-imma//كَفُوْرًا /كَفُورًا/kafuran",
              "words_bangla": "আমরা নিশ্চয়ই//তাকে আমরা দেখিয়েছি//পথ//হয়//শুকুর কারি হবে//আর না হয়//অকৃতজ্ঞ হবে"
            },
            {
              "number": 5595,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5595.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5595.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5595.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5595.mp3"
              ],
              "text": "إِنَّآ أَعْتَدْنَا لِلْكَٰفِرِينَ سَلَٰسِلَا۟ وَأَغْلَٰلًۭا وَسَعِيرًا",
              "translate_bn": "আমি অবিশ্বাসীদের জন্যে প্রস্তুত রেখেছি শিকল, বেড়ি ও প্রজ্বলিত অগ্নি।",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআ‘তাদনা- লিলকা-ফিরীনা ছালা-ছিলা ওয়া আগলা-লাওঁ ওয়া ছা‘ঈরা- ।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَعْتَدْنَا/أَعۡتَدۡنَا/a'tadna//لِلْكٰفِرِیْنَ/لِلۡكَٰفِرِينَ/lil'kafirina//سَلٰسِلَاۡ/سَلَٰسِلَاْ/salasila//وَ اَغْلٰلًا/وَأَغۡلَٰلٗا/wa-aghlalan//وَّ سَعِیْرًا /وَسَعِيرًا/wasa'iran",
              "words_bangla": "আমরা নিশ্চয়ই//আমরা প্রস্তুত//কাফির দের জন্যে//শিকলসমূহ//এবং গলারবেড়ী সমূহ//এবং প্রজ্জলিত আগুন"
            },
            {
              "number": 5596,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5596.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5596.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5596.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5596.mp3"
              ],
              "text": "إِنَّ ٱلْأَبْرَارَ يَشْرَبُونَ مِن كَأْسٍۢ كَانَ مِزَاجُهَا كَافُورًا",
              "translate_bn": "নিশ্চয়ই সৎকর্মশীলরা পান করবে কাফুর মিশ্রিত পানপাত্র।",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 578,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল আবরা-রা ইয়াশরাবূনা মিন কা’ছিন কা-না মিঝা-জুহা- কা-ফূরা-",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْاَبْرَارَ/ٱلۡأَبۡرَارَ/al-abrara//یَشْرَبُوْنَ/يَشۡرَبُونَ/yashrabuna//مِنْ/مِن/min//كَاْسٍ/كَأۡسٖ/kasin//كَانَ/كَانَ/kana//مِزَاجُهَا/مِزَاجُهَا/mizajuha//كَافُوْرًاۚ/كَافُورًا/kafuran",
              "words_bangla": "নিশ্চয়ই//নেক বান্দারা//পান করবে//থেকে//পেয়ালা//হবে//তার সংমিশ্রণ//কর্পূরের"
            },
            {
              "number": 5597,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5597.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5597.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5597.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5597.mp3"
              ],
              "text": "عَيْنًۭا يَشْرَبُ بِهَا عِبَادُ ٱللَّهِ يُفَجِّرُونَهَا تَفْجِيرًۭا",
              "translate_bn": "এটা একটা ঝরণা, যা থেকে আল্লাহর বান্দাগণ পান করবে-তারা একে প্রবাহিত করবে।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "আইনাইঁ ইয়াশরাবুবিহা- ‘ইবা-দুল্লা-হি ইউফাজ্জিরূনাহা- তাফজীরা- ।",
              "words_arabic": "عَیْنًا/عَيۡنٗا/aynan//یَّشْرَبُ/يَشۡرَبُ/yashrabu//بِهَا/بِهَا/biha//عِبَادُ/عِبَادُ/ibadu//اللّٰهِ/ٱللَّهِ/al-lahi//یُفَجِّرُوْنَهَا/يُفَجِّرُونَهَا/yufajjirunaha//تَفْجِیْرًا /تَفۡجِيرٗا/tafjiran",
              "words_bangla": "একটি ঝর্না//পান করবে//তা থেকে//বান্দারা//আল্লাহ্‌র//তাকে তারা প্রবাহিত করবে//প্রবাহিত(যথা ইচ্ছা)"
            },
            {
              "number": 5598,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5598.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5598.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5598.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5598.mp3"
              ],
              "text": "يُوفُونَ بِٱلنَّذْرِ وَيَخَافُونَ يَوْمًۭا كَانَ شَرُّهُۥ مُسْتَطِيرًۭا",
              "translate_bn": "তারা মান্নত পূর্ণ করে এবং সেদিনকে ভয় করে, যেদিনের অনিষ্ট হবে সুদূরপ্রসারী।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইঊফূনা বিন্নাযরি ওয়া ইয়াখা-ফূনা ইয়াওমান কা-না শাররুহূমুছতাতীরা- ।",
              "words_arabic": "یُوْفُوْنَ/يُوفُونَ/yufuna//بِالنَّذْرِ/بِٱلنَّذۡرِ/bil-nadhri//وَ یَخَافُوْنَ/وَيَخَافُونَ/wayakhafuna//یَوْمًا/يَوۡمٗا/yawman//كَانَ/كَانَ/kana//شَرُّهٗ/شَرُّهُۥ/sharruhu//مُسْتَطِیْرًا /مُسۡتَطِيرٗا/mus'tatiran",
              "words_bangla": "তারা পূর্ণ করে//মানতকে//এবং তারা ভয় করে//একদিনের//হবে//তার বিপত্তি//সর্বত্রবিস্ত্রিত"
            },
            {
              "number": 5599,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5599.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5599.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5599.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5599.mp3"
              ],
              "text": "وَيُطْعِمُونَ ٱلطَّعَامَ عَلَىٰ حُبِّهِۦ مِسْكِينًۭا وَيَتِيمًۭا وَأَسِيرًا",
              "translate_bn": "তারা আল্লাহর প্রেমে অভাবগ্রস্ত, এতীম ও বন্দীকে আহার্য দান করে।",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউত‘ইমূনাত্তা‘আ-মা ‘আলা- হুব্বিহী মিছকীনাওঁ ওয়া ইয়াতীমাওঁ ওয়া আছীরা-।",
              "words_arabic": "وَ یُطْعِمُوْنَ/وَيُطۡعِمُونَ/wayut'imuna//الطَّعَامَ/ٱلطَّعَامَ/al-ta'ama//عَلٰی/عَلَىٰ/ala//حُبِّهٖ/حُبِّهِۦ/hubbihi//مِسْكِیْنًا/مِسۡكِينٗا/mis'kinan//وَّ یَتِیْمًا/وَيَتِيمٗا/wayatiman//وَّ اَسِیْرًا /وَأَسِيرًا/wa-asiran",
              "words_bangla": "এবং তারা খাওয়ায়//খাবার//জন্য//তাঁর ভালবাসার//অভাবগ্রস্থকে//ও ইয়াতীমকে//ও বন্দীকে"
            },
            {
              "number": 5600,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5600.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5600.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5600.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5600.mp3"
              ],
              "text": "إِنَّمَا نُطْعِمُكُمْ لِوَجْهِ ٱللَّهِ لَا نُرِيدُ مِنكُمْ جَزَآءًۭ وَلَا شُكُورًا",
              "translate_bn": "তারা বলেঃ কেবল আল্লাহর সন্তুষ্টির জন্যে আমরা তোমাদেরকে আহার্য দান করি এবং তোমাদের কাছে কোন প্রতিদান ও কৃতজ্ঞতা কামনা করি না।",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা- নুত‘ইমুকুম লিওয়াজহিল্লা-হি লা-নুরীদুমিনকুম জাঝাআওঁ ওয়ালা- শুকূরা- ।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//نُطْعِمُكُمْ/نُطۡعِمُكُمۡ/nut'imukum//لِوَجْهِ/لِوَجۡهِ/liwajhi//اللّٰهِ/ٱللَّهِ/al-lahi//لَا/لَا/la//نُرِیْدُ/نُرِيدُ/nuridu//مِنْكُمْ/مِنكُمۡ/minkum//جَزَآءً/جَزَآءٗ/jazaan//وَّ لَا/وَلَا/wala//شُكُوْرًا /شُكُورًا/shukuran",
              "words_bangla": "\"মূলত (আর বলে)//তোমাাদের আহার্য দেই আমরা//সন্তুষ্টির জন্যে//আল্লাহ্‌র//না//চাই আমরা//তোমাদের থেকে//প্রতিদান//এবং না//কৃতজ্ঞতা"
            },
            {
              "number": 5601,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5601.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5601.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5601.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5601.mp3"
              ],
              "text": "إِنَّا نَخَافُ مِن رَّبِّنَا يَوْمًا عَبُوسًۭا قَمْطَرِيرًۭا",
              "translate_bn": "আমরা আমাদের পালনকর্তার তরফ থেকে এক ভীতিপ্রদ ভয়ংকর দিনের ভয় রাখি।",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ইন্না- নাখা-ফুমির রাব্বিনা- ইয়াওমান ‘আবূছান কামতারীরা- ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَخَافُ/نَخَافُ/nakhafu//مِنْ/مِن/min//رَّبِّنَا/رَّبِّنَا/rabbina//یَوْمًا/يَوۡمًا/yawman//عَبُوْسًا/عَبُوسٗا/abusan//قَمْطَرِیْرًا /قَمۡطَرِيرٗا/qamtariran",
              "words_bangla": "নিশ্চয়//ভয় করি আমরা//থেকে//আমাদের রবের//সেই দিনের//ভয়ংকর (যা)//ক্লেশকর\""
            },
            {
              "number": 5602,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5602.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5602.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5602.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5602.mp3"
              ],
              "text": "فَوَقَىٰهُمُ ٱللَّهُ شَرَّ ذَٰلِكَ ٱلْيَوْمِ وَلَقَّىٰهُمْ نَضْرَةًۭ وَسُرُورًۭا",
              "translate_bn": "অতঃপর আল্লাহ তাদেরকে সেদিনের অনিষ্ট থেকে রক্ষা করবেন এবং তাদেরকে দিবেন সজীবতা ও আনন্দ।",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াকা- হুমুল্লা-হু শাররা যা-লিকাল ইয়াওমি ওয়া লাক্কা-হুম নাদরাতাওঁ ওয়া ছুরূরা- ।",
              "words_arabic": "فَوَقٰىهُمُ/فَوَقَىٰهُمُ/fawaqahumu//اللّٰهُ/ٱللَّهُ/al-lahu//شَرَّ/شَرَّ/sharra//ذٰلِكَ/ذَٰلِكَ/dhalika//الْیَوْمِ/ٱلۡيَوۡمِ/al-yawmi//وَ لَقّٰىهُمْ/وَلَقَّىٰهُمۡ/walaqqahum//نَضْرَةً/نَضۡرَةٗ/nadratan//وَّ سُرُوْرًاۚ/وَسُرُورٗا/wasururan",
              "words_bangla": "তাদের বাচাবেন অতএব//আল্লাহ//অনিষ্ঠতা (থেকে)//সেই//দিনের//এবং তাদের দান করবেন//উৎফুল্লতা//ও আনন্দ"
            },
            {
              "number": 5603,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5603.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5603.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5603.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5603.mp3"
              ],
              "text": "وَجَزَىٰهُم بِمَا صَبَرُوا۟ جَنَّةًۭ وَحَرِيرًۭا",
              "translate_bn": "এবং তাদের সবরের প্রতিদানে তাদেরকে দিবেন জান্নাত ও রেশমী পোশাক।",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাঝা-হুম বিমা-সাবারূ জান্নাতাওঁ ওয়া হারীরা- ।",
              "words_arabic": "وَ جَزٰىهُمْ/وَجَزَىٰهُم/wajazahum//بِمَا/بِمَا/bima//صَبَرُوْا/صَبَرُواْ/sabaru//جَنَّةً/جَنَّةٗ/jannatan//وَّ حَرِیْرًاۙ/وَحَرِيرٗا/wahariran",
              "words_bangla": "এবং তাদের প্রতিদান//যা বিনিময়ে//তারা সবর করেছে//জান্নাত//এবং রেশমীপোশাক"
            },
            {
              "number": 5604,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5604.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5604.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5604.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5604.mp3"
              ],
              "text": "مُّتَّكِـِٔينَ فِيهَا عَلَى ٱلْأَرَآئِكِ ۖ لَا يَرَوْنَ فِيهَا شَمْسًۭا وَلَا زَمْهَرِيرًۭا",
              "translate_bn": "তারা সেখানে সিংহাসনে হেলান দিয়ে বসবে। সেখানে রৌদ্র ও শৈত্য অনুভব করবে না।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "মুত্তাকিঈনা ফীহা- ‘আলাল আরাইকি লা- ইয়ারাওনা ফীহা- শামছাওঁ ওয়ালাঝামহারীরা- ।",
              "words_arabic": "مُّتَّكِـِٕیْنَ/مُّتَّكِـِٔينَ/muttakiina//فِیْهَا/فِيهَا/fiha//عَلَی/عَلَى/ala//الْاَرَآىِٕكِ ۚ/ٱلۡأَرَآئِكِۖ/al-araiki//لَا/لَا/la//یَرَوْنَ/يَرَوۡنَ/yarawna//فِیْهَا/فِيهَا/fiha//شَمْسًا/شَمۡسٗا/shamsan//وَّ لَا/وَلَا/wala//زَمْهَرِیْرًاۚ/زَمۡهَرِيرٗا/zamhariran",
              "words_bangla": "হেলান দিয়ে বসবে//তার মধ্যে//উপর//উচ্চাসনসমুহের//না//তারা দেখবে//তারমধ্যে//রোদ্রতাপ//এবং না//শীতের প্রকোপ"
            },
            {
              "number": 5605,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5605.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5605.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5605.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5605.mp3"
              ],
              "text": "وَدَانِيَةً عَلَيْهِمْ ظِلَٰلُهَا وَذُلِّلَتْ قُطُوفُهَا تَذْلِيلًۭا",
              "translate_bn": "তার বৃক্ষছায়া তাদের উপর ঝুঁকে থাকবে এবং তার ফলসমূহ তাদের আয়ত্তাধীন রাখা হবে।",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া দা- নিয়াতান ‘আলাইহিম জিলা- লুহা- ওয়া যুলিল্লাত কুতূফুহা- তাযলীলা- ।",
              "words_arabic": "وَ دَانِیَةً/وَدَانِيَةً/wadaniyatan//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//ظِلٰلُهَا/ظِلَٰلُهَا/zilaluha//وَ ذُلِّلَتْ/وَذُلِّلَتۡ/wadhullilat//قُطُوْفُهَا/قُطُوفُهَا/qutufuha//تَذْلِیْلًا /تَذۡلِيلٗا/tadhlilan",
              "words_bangla": "এবং নিকটে থাকবে//তাদের উপর//তার ছায়া//এবং আয়ত্তাধীন করা হবে//তার ফলসমূহ//আয়ত্তাধীন (পূর্ণ)"
            },
            {
              "number": 5606,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5606.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5606.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5606.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5606.mp3"
              ],
              "text": "وَيُطَافُ عَلَيْهِم بِـَٔانِيَةٍۢ مِّن فِضَّةٍۢ وَأَكْوَابٍۢ كَانَتْ قَوَارِيرَا۠",
              "translate_bn": "তাদেরকে পরিবেশন করা হবে রূপার পাত্রে এবং স্ফটিকের মত পানপাত্রে।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউতা-ফু‘আলাইহিম বিআ-নিয়াতিম মিন ফিদ্দাতিওঁ ওয়া আকওয়া-বিন কা-নাত কাওয়া-রীরা-।",
              "words_arabic": "وَ یُطَافُ/وَيُطَافُ/wayutafu//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِاٰنِیَةٍ/بِـَٔانِيَةٖ/bianiyatin//مِّنْ/مِّن/min//فِضَّةٍ/فِضَّةٖ/fiddatin//وَّ اَكْوَابٍ/وَأَكۡوَابٖ/wa-akwabin//كَانَتْ/كَانَتۡ/kanat//قَوَارِیْرَاۡؔ  ۙ/قَوَارِيرَا۠/qawarira",
              "words_bangla": "এবং আবর্তিত করানো হবে//তাদের উপর//পান পাত্রকে//(নির্মিত)//রোপ্যের//ও পেয়ালাগুলো//হবে//কাঁচের (মত)"
            },
            {
              "number": 5607,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5607.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5607.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5607.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5607.mp3"
              ],
              "text": "قَوَارِيرَا۟ مِن فِضَّةٍۢ قَدَّرُوهَا تَقْدِيرًۭا",
              "translate_bn": "রূপালী স্ফটিক পাত্রে, পরিবেশনকারীরা তা পরিমাপ করে পূর্ণ করবে।",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "কাওয়া-রীরা মিন ফিদ্দাতিন কাদ্দারূহা-তাকদীরা- ।",
              "words_arabic": "قَوَارِیْرَاۡؔ/قَوَارِيرَاْ/qawarira//مِنْ/مِن/min//فِضَّةٍ/فِضَّةٖ/fiddatin//قَدَّرُوْهَا/قَدَّرُوهَا/qaddaruha//تَقْدِیْرًا /تَقۡدِيرٗا/taqdiran",
              "words_bangla": "কাঁঁচ//(নির্মিত)//রোপ্যের//তা তারা পরিমাণ মত ভরবে//পরিমিত পরিমানে"
            },
            {
              "number": 5608,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5608.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5608.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5608.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5608.mp3"
              ],
              "text": "وَيُسْقَوْنَ فِيهَا كَأْسًۭا كَانَ مِزَاجُهَا زَنجَبِيلًا",
              "translate_bn": "তাদেরকে সেখানে পান করানো হবে ‘যানজাবীল’ মিশ্রিত পানপাত্র।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইউছকাওনা ফীহা- কা’ছান কা-না মিঝা-জুহা- ঝানজাবীলা- ।",
              "words_arabic": "وَ یُسْقَوْنَ/وَيُسۡقَوۡنَ/wayus'qawna//فِیْهَا/فِيهَا/fiha//كَاْسًا/كَأۡسٗا/kasan//كَانَ/كَانَ/kana//مِزَاجُهَا/مِزَاجُهَا/mizajuha//زَنْجَبِیْلًاۚ/زَنجَبِيلًا/zanjabilan",
              "words_bangla": "এবং পান করানো হবে তাদের//তার মধ্যে//সূরা//হবে//যার সংমিশ্রণ//আদার"
            },
            {
              "number": 5609,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5609.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5609.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5609.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5609.mp3"
              ],
              "text": "عَيْنًۭا فِيهَا تُسَمَّىٰ سَلْسَبِيلًۭا",
              "translate_bn": "এটা জান্নাতস্থিত ‘সালসাবীল’ নামক একটি ঝরণা।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 231,
              "sajda": false,
              "pronunciation_bn": "‘আইনান ফীহা- তুছাম্মা- ছালছাবীলা- ।",
              "words_arabic": "عَیْنًا/عَيۡنٗا/aynan//فِیْهَا/فِيهَا/fiha//تُسَمّٰی/تُسَمَّىٰ/tusamma//سَلْسَبِیْلًا /سَلۡسَبِيلٗا/salsabilan",
              "words_bangla": "ঝর্ণা (এমন এক)//তার মধ্যে//নাম দেয়া হয়েছে (যার)//সালসাবীল"
            },
            {
              "number": 5610,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5610.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5610.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5610.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5610.mp3"
              ],
              "text": "۞ وَيَطُوفُ عَلَيْهِمْ وِلْدَٰنٌۭ مُّخَلَّدُونَ إِذَا رَأَيْتَهُمْ حَسِبْتَهُمْ لُؤْلُؤًۭا مَّنثُورًۭا",
              "translate_bn": "তাদের কাছে ঘোরাফেরা করবে চির কিশোরগণ। আপনি তাদেরকে দেখে মনে করবেন যেন বিক্ষিপ্ত মনি-মুক্তা।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াতূফু‘আলাইহিম বিলদা-নুম মুখাল্লাদূ না ইযা-রাআইতাহুম হাছিবতাহুম ল’লুআম মানছূরা- ।",
              "words_arabic": "وَ یَطُوْفُ/۞وَيَطُوفُ/wayatufu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//وِلْدَانٌ/وِلۡدَٰنٞ/wil'danun//مُّخَلَّدُوْنَ ۚ/مُّخَلَّدُونَ/mukhalladuna//اِذَا/إِذَا/idha//رَاَیْتَهُمْ/رَأَيۡتَهُمۡ/ra-aytahum//حَسِبْتَهُمْ/حَسِبۡتَهُمۡ/hasib'tahum//لُؤْلُؤًا/لُؤۡلُؤٗا/lu'lu-an//مَّنْثُوْرًا /مَّنثُورٗا/manthuran",
              "words_bangla": "এবং ফিরতে থাকবে//তাদের নিকট//কিশোররা//চির//যখন//তাদের তুমি দেখবে//তাদের তুুমি মনে করবে//মুক্তা//বিক্ষিপ্ত"
            },
            {
              "number": 5611,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5611.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5611.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5611.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5611.mp3"
              ],
              "text": "وَإِذَا رَأَيْتَ ثَمَّ رَأَيْتَ نَعِيمًۭا وَمُلْكًۭا كَبِيرًا",
              "translate_bn": "আপনি যখন সেখানে দেখবেন, তখন নেয়ামতরাজি ও বিশাল রাজ্য দেখতে পাবেন।",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়া- রাআইতা ছাম্মা রআইতা না‘ঈমাওঁ ওয়া মুলকান কাবীরা- ।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَیْتَ/رَأَيۡتَ/ra-ayta//ثَمَّ/ثَمَّ/thamma//رَاَیْتَ/رَأَيۡتَ/ra-ayta//نَعِیْمًا/نَعِيمٗا/na'iman//وَّ مُلْكًا/وَمُلۡكٗا/wamul'kan//كَبِیْرًا /كَبِيرًا/kabiran",
              "words_bangla": "এবং যখন//তুমি দেখবে//সেখানে//দেখবে//নিয়ামত//এবং সম্রাজ্য//বিরাট"
            },
            {
              "number": 5612,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5612.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5612.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5612.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5612.mp3"
              ],
              "text": "عَٰلِيَهُمْ ثِيَابُ سُندُسٍ خُضْرٌۭ وَإِسْتَبْرَقٌۭ ۖ وَحُلُّوٓا۟ أَسَاوِرَ مِن فِضَّةٍۢ وَسَقَىٰهُمْ رَبُّهُمْ شَرَابًۭا طَهُورًا",
              "translate_bn": "তাদের আবরণ হবে চিকন সবুজ রেশম ও মোটা সবুজ রেশম এবং তাদেরকে পরিধান করোনো হবে রৌপ্য নির্মিত কংকণ এবং তাদের পালনকর্তা তাদেরকে পান করাবেন ‘শরাবান-তহুরা’।",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "‘আ-লিয়াহুম ছিয়া-বুছুনদুছিন খুদরুওঁ ওয়া ইছতাবরাকু ওঁ ওয়া হুললূআছা-বিরা মিন ফিদ্দাতিওঁ ওয়া ছাকা-হুম রাব্বুহুম শারা-বান তাহূরা- ।",
              "words_arabic": "عٰلِیَهُمْ/عَٰلِيَهُمۡ/aliyahum//ثِیَابُ/ثِيَابُ/thiyabu//سُنْدُسٍ/سُندُسٍ/sundusin//خُضْرٌ/خُضۡرٞ/khud'run//وَّ اِسْتَبْرَقٌ ؗ/وَإِسۡتَبۡرَقٞۖ/wa-is'tabraqun//وَّ حُلُّوْۤا/وَحُلُّوٓاْ/wahullu//اَسَاوِرَ/أَسَاوِرَ/asawira//مِنْ/مِن/min//فِضَّةٍ ۚ/فِضَّةٖ/fiddatin//وَ سَقٰىهُمْ/وَسَقَىٰهُمۡ/wasaqahum//رَبُّهُمْ/رَبُّهُمۡ/rabbuhum//شَرَابًا/شَرَابٗا/sharaban//طَهُوْرًا /طَهُورًا/tahuran",
              "words_bangla": "তাদের উপর//পোশাক//সুক্ষ রেশমের//সবুজ//এবং বুটিদার//এবং তাদের অলংকার//কংকনের//(নির্মিত)//রৌপ্য//এবং তাদের পান করাবেন//তাদের রব//পানীয়//পবিত্র"
            },
            {
              "number": 5613,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5613.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5613.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5613.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5613.mp3"
              ],
              "text": "إِنَّ هَٰذَا كَانَ لَكُمْ جَزَآءًۭ وَكَانَ سَعْيُكُم مَّشْكُورًا",
              "translate_bn": "এটা তোমাদের প্রতিদান। তোমাদের প্রচেষ্টা স্বীকৃতি লাভ করেছে।",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 514,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা- কা-না লাকুম জাঝাআওঁ ওয়া কা-না ছা‘ইউকুম মাশকূরা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//جَزَآءً/جَزَآءٗ/jazaan//وَّ كَانَ/وَكَانَ/wakana//سَعْیُكُمْ/سَعۡيُكُم/sa'yukum//مَّشْكُوْرًا۠/مَّشۡكُورًا/mashkuran",
              "words_bangla": "\"নিশ্চয়//এটা//হলো//তোমাদের জন্যে//প্রতিদান//এবং হবে//তোমাদের প্রচেষ্টা//প্রশংসীত\""
            },
            {
              "number": 5614,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5614.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5614.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5614.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5614.mp3"
              ],
              "text": "إِنَّا نَحْنُ نَزَّلْنَا عَلَيْكَ ٱلْقُرْءَانَ تَنزِيلًۭا",
              "translate_bn": "আমি আপনার প্রতি পর্যায়ক্রমে কোরআন নাযিল করেছি।",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্না-নাহনুনাঝঝালনা- ‘আলাইকাল কুরআ-না তানঝীলা- ।",
              "words_arabic": "اِنَّا/إِنَّا/inna//نَحْنُ/نَحۡنُ/nahnu//نَزَّلْنَا/نَزَّلۡنَا/nazzalna//عَلَیْكَ/عَلَيۡكَ/alayka//الْقُرْاٰنَ/ٱلۡقُرۡءَانَ/al-qur'ana//تَنْزِیْلًاۚ/تَنزِيلٗا/tanzilan",
              "words_bangla": "নিশ্চয়//আমরা//আমরা নাযিল করেছি//তোমার উপর//কুরআন//নাযিল (অল্প অল্প করে)"
            },
            {
              "number": 5615,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5615.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5615.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5615.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5615.mp3"
              ],
              "text": "فَٱصْبِرْ لِحُكْمِ رَبِّكَ وَلَا تُطِعْ مِنْهُمْ ءَاثِمًا أَوْ كَفُورًۭا",
              "translate_bn": "অতএব, আপনি আপনার পালনকর্তার আদেশের জন্যে ধৈর্য্য সহকারে অপেক্ষা করুন এবং ওদের মধ্যকার কোন পাপিষ্ঠ কাফেরের আনুগত্য করবেন না।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাসবির লিহুকমি রাব্বিকা ওয়ালা- তুতি‘ মিনহুম আ-ছিমান আও কাফূরা- ।",
              "words_arabic": "فَاصْبِرْ/فَٱصۡبِرۡ/fa-is'bir//لِحُكْمِ/لِحُكۡمِ/lihuk'mi//رَبِّكَ/رَبِّكَ/rabbika//وَ لَا/وَلَا/wala//تُطِعْ/تُطِعۡ/tuti'//مِنْهُمْ/مِنۡهُمۡ/min'hum//اٰثِمًا/ءَاثِمًا/athiman//اَوْ/أَوۡ/aw//كَفُوْرًاۚ/كَفُورٗا/kafuran",
              "words_bangla": "অতএব তুমি সবর কর//হুকুমের জন্য//তোমার রবের//এবং না//তুমি অনুসরন কর//তাদের মধ্যে//পাপিষ্ঠ (যারা)//বা//কাফির"
            },
            {
              "number": 5616,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5616.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5616.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5616.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5616.mp3"
              ],
              "text": "وَٱذْكُرِ ٱسْمَ رَبِّكَ بُكْرَةًۭ وَأَصِيلًۭا",
              "translate_bn": "এবং সকাল-সন্ধ্যায় আপন পালনকর্তার নাম স্মরণ করুন।",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 579,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াযকুরিছ মা রাব্বিকা বুকরাতাওঁ ওয়া আসীলা- ।",
              "words_arabic": "وَ اذْكُرِ/وَٱذۡكُرِ/wa-udh'kuri//اسْمَ/ٱسۡمَ/is'ma//رَبِّكَ/رَبِّكَ/rabbika//بُكْرَةً/بُكۡرَةٗ/buk'ratan//وَّ اَصِیْلًاۖۚ/وَأَصِيلٗا/wa-asilan",
              "words_bangla": "এবং স্মরন কর//নামের//তোমার রবের//সকাল//ও সন্ধ্যায়"
            },
            {
              "number": 5617,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5617.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5617.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5617.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5617.mp3"
              ],
              "text": "وَمِنَ ٱلَّيْلِ فَٱسْجُدْ لَهُۥ وَسَبِّحْهُ لَيْلًۭا طَوِيلًا",
              "translate_bn": "রাত্রির কিছু অংশে তাঁর উদ্দেশে সিজদা করুন এবং রাত্রির দীর্ঘ সময় তাঁর পবিত্রতা বর্ণনা করুন।",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিনাল্লাইলি ফাছজুদ লাহূওয়া ছাব্বিহহু লাইলান তাবিলা- ।",
              "words_arabic": "وَ مِنَ/وَمِنَ/wamina//الَّیْلِ/ٱلَّيۡلِ/al-layli//فَاسْجُدْ/فَٱسۡجُدۡ/fa-us'jud//لَهٗ/لَهُۥ/lahu//وَ سَبِّحْهُ/وَسَبِّحۡهُ/wasabbih'hu//لَیْلًا/لَيۡلٗا/laylan//طَوِیْلًا /طَوِيلًا/tawilan",
              "words_bangla": "মধ্য হতে//রাতে//সিজদা অতঃপর করো//তাকে//এবং তাঁর তসবিহ কর//রাতে//দীর্ঘ"
            },
            {
              "number": 5618,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5618.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5618.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5618.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5618.mp3"
              ],
              "text": "إِنَّ هَٰٓؤُلَآءِ يُحِبُّونَ ٱلْعَاجِلَةَ وَيَذَرُونَ وَرَآءَهُمْ يَوْمًۭا ثَقِيلًۭا",
              "translate_bn": "নিশ্চয় এরা পার্থিব জীবনকে ভালবাসে এবং এক কঠিন দিবসকে পশ্চাতে ফেলে রাখে।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্না হাউলাই ইউহিববূনাল ‘আ-জিলাতা ওয়া ইয়াযারূনা ওয়ারাআহুম ইয়াওমান ছাকীলা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//یُحِبُّوْنَ/يُحِبُّونَ/yuhibbuna//الْعَاجِلَةَ/ٱلۡعَاجِلَةَ/al-'ajilata//وَ یَذَرُوْنَ/وَيَذَرُونَ/wayadharuna//وَرَآءَهُمْ/وَرَآءَهُمۡ/waraahum//یَوْمًا/يَوۡمٗا/yawman//ثَقِیْلًا /ثَقِيلٗا/thaqilan",
              "words_bangla": "নিশ্চয়//ঐসব লোক//ভালবাসে//দ্রুত অর্জিত ( বৈষয়িক স্বার্থ)//এবং তারা উপেক্ষা করে//তাদের পিছনে//দিনকে//ভারী"
            },
            {
              "number": 5619,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5619.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5619.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5619.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5619.mp3"
              ],
              "text": "نَّحْنُ خَلَقْنَٰهُمْ وَشَدَدْنَآ أَسْرَهُمْ ۖ وَإِذَا شِئْنَا بَدَّلْنَآ أَمْثَٰلَهُمْ تَبْدِيلًا",
              "translate_bn": "আমি তাদেরকে সৃষ্টি করেছি এবং মজবুত করেছি তাদের গঠন। আমি যখন ইচ্ছা করব, তখন তাদের পরিবর্তে তাদের অনুরূপ লোক আনব।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "নাহনুখালাকনা-হুম ওয়াশাদাদনাআছরাহুম ওয়া ইযা- শি’না- বাদ্দালনাআমছালাহুম তাবদীলা-।",
              "words_arabic": "نَحْنُ/نَّحۡنُ/nahnu//خَلَقْنٰهُمْ/خَلَقۡنَٰهُمۡ/khalaqnahum//وَ شَدَدْنَاۤ/وَشَدَدۡنَآ/washadadna//اَسْرَهُمْ ۚ/أَسۡرَهُمۡۖ/asrahum//وَ اِذَا/وَإِذَا/wa-idha//شِئْنَا/شِئۡنَا/shi'na//بَدَّلْنَاۤ/بَدَّلۡنَآ/baddalna//اَمْثَالَهُمْ/أَمۡثَٰلَهُمۡ/amthalahum//تَبْدِیْلًا /تَبۡدِيلًا/tabdilan",
              "words_bangla": "আমরা//তাদের আমরা সৃষ্টি করেছি//এবং আমরা সুদৃঢ় করেছি//তাদের জোড়ন//এবং যখন//আমরা চাইবো//আমরা বদলে দেবো//তাদের আকৃতি সমূহ//পরিবর্তন করে"
            },
            {
              "number": 5620,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5620.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5620.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5620.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5620.mp3"
              ],
              "text": "إِنَّ هَٰذِهِۦ تَذْكِرَةٌۭ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ سَبِيلًۭا",
              "translate_bn": "এটা উপদেশ, অতএব যার ইচ্ছা হয় সে তার পালনকর্তার পথ অবলম্বন করুক।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যিহী তাযকিরাতুন ফামান শাআত্তাখাযা ইলা- রাব্বিহী ছাবীলা- ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذِهٖ/هَٰذِهِۦ/hadhihi//تَذْكِرَةٌ ۚ/تَذۡكِرَةٞۖ/tadhkiratun//فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اِلٰی/إِلَىٰ/ila//رَبِّهٖ/رَبِّهِۦ/rabbihi//سَبِیْلًا /سَبِيلٗا/sabilan",
              "words_bangla": "নিশ্চয়//এটা//নসীহত//যে অতএব//চায়//গ্রহন করবে//দিকে//তার রবের//পথ"
            },
            {
              "number": 5621,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5621.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5621.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5621.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5621.mp3"
              ],
              "text": "وَمَا تَشَآءُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًۭا",
              "translate_bn": "আল্লাহর অভিপ্রায় ব্যতিরেকে তোমরা অন্য কোন অভিপ্রায় পোষণ করবে না। আল্লাহ সর্বজ্ঞ প্রজ্ঞাময়।",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তাশাঊনা ইল্লাআইঁ ইয়াশাআল্লা-হ; ইন্নাল্লা-হা কা-না ‘আলীমান হাকীমা- ।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَشَآءُوْنَ/تَشَآءُونَ/tashauna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّ/إِنَّ/inna//اللّٰهَ/ٱللَّهَ/al-laha//كَانَ/كَانَ/kana//عَلِیْمًا/عَلِيمًا/aliman//حَكِیْمًاۗۖ/حَكِيمٗا/hakiman",
              "words_bangla": "এবং না//তোমরা চাও//এছাড়া//যে//চান//আল্লাহ//নিশ্চয়//আল্লাহ//হলেন//সর্বজ্ঞ//প্রজ্ঞাময়"
            },
            {
              "number": 5622,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5622.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5622.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5622.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5622.mp3"
              ],
              "text": "يُدْخِلُ مَن يَشَآءُ فِى رَحْمَتِهِۦ ۚ وَٱلظَّٰلِمِينَ أَعَدَّ لَهُمْ عَذَابًا أَلِيمًۢا",
              "translate_bn": "তিনি যাকে ইচ্ছা তাঁর রহমতে দাখিল করেন। আর যালেমদের জন্যে তো প্রস্তুত রেখেছেন মর্মন্তুদ শাস্তি।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 515,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইউদখিলুমাইঁ ইয়াশাউ ফী রাহমাতিহী ওয়াজ্জা-লিমীনা আ‘আদ্দা লাহুম ‘আযাবান আলীমা- ।",
              "words_arabic": "یُّدْخِلُ/يُدۡخِلُ/yud'khilu//مَنْ/مَن/man//یَّشَآءُ/يَشَآءُ/yashau//فِیْ/فِي/fi//رَحْمَتِهٖ ؕ/رَحۡمَتِهِۦۚ/rahmatihi//وَ الظّٰلِمِیْنَ/وَٱلظَّـٰلِمِينَ/wal-zalimina//اَعَدَّ/أَعَدَّ/a'adda//لَهُمْ/لَهُمۡ/lahum//عَذَابًا/عَذَابًا/adhaban//اَلِیْمًا۠/أَلِيمَۢا/aliman",
              "words_bangla": "প্রবেশ করান//যাকে//তিনি চান//মধ্যে//তাঁর রহমতের//এবং যালেমদের//প্রস্তুত রেখেছেন//তাদের জন্যে//আযাব//বড় পীড়াদায়ক"
            }
          ]
        },
        {
          "number": 77,
          "name": "سُورَةُ المُرۡسَلَاتِ",
          "englishName": "Al-Mursalaat",
          "englishNameTranslation": "The Emissaries",
          "revelationType": "Meccan",
          "verse": 50,
          "words": 402,
          "chars": 1653,
          "ayahs": [
            {
              "number": 5623,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5623.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5623.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5623.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5623.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلْمُرْسَلَٰتِ عُرْفًۭا",
              "translate_bn": "কল্যাণের জন্যে প্রেরিত বায়ুর শপথ,",
              "numberInSurah": 1,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াল মুরছালা- তি ‘উরফা- ।",
              "words_arabic": "وَ الْمُرْسَلٰتِ/وَٱلۡمُرۡسَلَٰتِ/wal-mur'salati//عُرْفًاۙ/عُرۡفٗا/ur'fan",
              "words_bangla": "শপথ প্রেরিত (বায়ুর)//কল্যাণ সুরূপ"
            },
            {
              "number": 5624,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5624.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5624.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5624.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5624.mp3"
              ],
              "text": "فَٱلْعَٰصِفَٰتِ عَصْفًۭا",
              "translate_bn": "সজোরে প্রবাহিত ঝটিকার শপথ,",
              "numberInSurah": 2,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাল ‘আ- সিফা- তি ‘আসফা- ।",
              "words_arabic": "فَالْعٰصِفٰتِ/فَٱلۡعَٰصِفَٰتِ/fal-'asifati//عَصْفًاۙ/عَصۡفٗا/asfan",
              "words_bangla": "অতঃপর ঝটিকার//প্রলংকরী"
            },
            {
              "number": 5625,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5625.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5625.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5625.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5625.mp3"
              ],
              "text": "وَٱلنَّٰشِرَٰتِ نَشْرًۭا",
              "translate_bn": "মেঘবিস্তৃতকারী বায়ুর শপথ",
              "numberInSurah": 3,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্না- শিরা- তি নাশরা- ।",
              "words_arabic": "وَّ النّٰشِرٰتِ/وَٱلنَّـٰشِرَٰتِ/wal-nashirati//نَشْرًاۙ/نَشۡرٗا/nashran",
              "words_bangla": "এবং (মেঘপুঞ্জ) বিস্তারকারী (বায়ুর)//বিস্তার করা"
            },
            {
              "number": 5626,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5626.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5626.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5626.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5626.mp3"
              ],
              "text": "فَٱلْفَٰرِقَٰتِ فَرْقًۭا",
              "translate_bn": "মেঘপুঞ্জ বিতরণকারী বায়ুর শপথ এবং",
              "numberInSurah": 4,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফালফা- রিকা- তি ফারকা- ।",
              "words_arabic": "فَالْفٰرِقٰتِ/فَٱلۡفَٰرِقَٰتِ/fal-fariqati//فَرْقًاۙ/فَرۡقٗا/farqan",
              "words_bangla": "প্রৃথককারী (বায়ুর) অতংপর//পৃথক করা (মেঘকে)"
            },
            {
              "number": 5627,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5627.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5627.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5627.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5627.mp3"
              ],
              "text": "فَٱلْمُلْقِيَٰتِ ذِكْرًا",
              "translate_bn": "ওহী নিয়ে অবতরণকারী ফেরেশতাগণের শপথ-",
              "numberInSurah": 5,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাল মুলকিয়া-তি যিকরা- ।",
              "words_arabic": "فَالْمُلْقِیٰتِ/فَٱلۡمُلۡقِيَٰتِ/fal-mul'qiyati//ذِكْرًاۙ/ذِكۡرًا/dhik'ran",
              "words_bangla": "অতংপর জাগ্রতকারীদের (অন্তরে)//উপদেশ"
            },
            {
              "number": 5628,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5628.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5628.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5628.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5628.mp3"
              ],
              "text": "عُذْرًا أَوْ نُذْرًا",
              "translate_bn": "ওযর-আপত্তির অবকাশ না রাখার জন্যে অথবা সতর্ক করার জন্যে।",
              "numberInSurah": 6,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "‘উযরান আও নুযরা- ।",
              "words_arabic": "عُذْرًا/عُذۡرًا/udh'ran//اَوْ/أَوۡ/aw//نُذْرًاۙ/نُذۡرًا/nudh'ran",
              "words_bangla": "অনুশোচনা করা//বা//সতর্কতা সুরূপ"
            },
            {
              "number": 5629,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5629.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5629.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5629.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5629.mp3"
              ],
              "text": "إِنَّمَا تُوعَدُونَ لَوَٰقِعٌۭ",
              "translate_bn": "নিশ্চয়ই তোমাদেরকে প্রদত্ত ওয়াদা বাস্তবায়িত হবে।",
              "numberInSurah": 7,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্নামা- তূ‘আদূনা লাওয়া-কি‘।",
              "words_arabic": "اِنَّمَا/إِنَّمَا/innama//تُوْعَدُوْنَ/تُوعَدُونَ/tu'aduna//لَوَاقِعٌؕ/لَوَٰقِعٞ/lawaqi'un",
              "words_bangla": "(যা) মূলতঃ//তোমাদের ওয়াদা করা হয়েছে//সংঘটিত হবে অবশ্যই"
            },
            {
              "number": 5630,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5630.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5630.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5630.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5630.mp3"
              ],
              "text": "فَإِذَا ٱلنُّجُومُ طُمِسَتْ",
              "translate_bn": "অতঃপর যখন নক্ষত্রসমুহ নির্বাপিত হবে,",
              "numberInSurah": 8,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাইযান নুজূমুতুমিছাত।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//النُّجُوْمُ/ٱلنُّجُومُ/al-nujumu//طُمِسَتْۙ/طُمِسَتۡ/tumisat",
              "words_bangla": "যখন অতঃপর//তারকাসমূহ//স্লান করা হবে"
            },
            {
              "number": 5631,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5631.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5631.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5631.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5631.mp3"
              ],
              "text": "وَإِذَا ٱلسَّمَآءُ فُرِجَتْ",
              "translate_bn": "যখন আকাশ ছিদ্রযুক্ত হবে,",
              "numberInSurah": 9,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাছছামাউ ফুরিজাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//فُرِجَتْۙ/فُرِجَتۡ/furijat",
              "words_bangla": "যখন এবং//আসমান//বিদীর্ণ করা হবে"
            },
            {
              "number": 5632,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5632.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5632.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5632.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5632.mp3"
              ],
              "text": "وَإِذَا ٱلْجِبَالُ نُسِفَتْ",
              "translate_bn": "যখন পর্বতমালাকে উড়িয়ে দেয়া হবে এবং",
              "numberInSurah": 10,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল জিবা-লুনুছিফাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//نُسِفَتْۙ/نُسِفَتۡ/nusifat",
              "words_bangla": "যখন এবং//পর্বত সমূহকে//ধুনে ফেলা হবে"
            },
            {
              "number": 5633,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5633.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5633.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5633.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5633.mp3"
              ],
              "text": "وَإِذَا ٱلرُّسُلُ أُقِّتَتْ",
              "translate_bn": "যখন রসূলগণের একত্রিত হওয়ার সময় নিরূপিত হবে,",
              "numberInSurah": 11,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাররুছুলুউককিতাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الرُّسُلُ/ٱلرُّسُلُ/al-rusulu//اُقِّتَتْؕ/أُقِّتَتۡ/uqqitat",
              "words_bangla": "যখন এবং//রসুলগণকে//নির্দিষ্ট সময় উপস্থিত করা হবে"
            },
            {
              "number": 5634,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5634.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5634.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5634.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5634.mp3"
              ],
              "text": "لِأَىِّ يَوْمٍ أُجِّلَتْ",
              "translate_bn": "এসব বিষয় কোন দিবসের জন্যে স্থগিত রাখা হয়েছে?",
              "numberInSurah": 12,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "লিআইয়ি ইয়াওমিন উজ্জিলাত।",
              "words_arabic": "لِاَیِّ/لِأَيِّ/li-ayyi//یَوْمٍ/يَوۡمٍ/yawmin//اُجِّلَتْؕ/أُجِّلَتۡ/ujjilat",
              "words_bangla": "কোন জন্য//দিনের//স্থগিত করা হয়েছে"
            },
            {
              "number": 5635,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5635.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5635.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5635.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5635.mp3"
              ],
              "text": "لِيَوْمِ ٱلْفَصْلِ",
              "translate_bn": "বিচার দিবসের জন্য।",
              "numberInSurah": 13,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "লিইয়াওমিল ফাসল;",
              "words_arabic": "لِیَوْمِ/لِيَوۡمِ/liyawmi//الْفَصْلِۚ/ٱلۡفَصۡلِ/al-fasli",
              "words_bangla": "দিনের জন্য//পৃৃথককারী (ফয়সালার)"
            },
            {
              "number": 5636,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5636.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5636.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5636.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5636.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا يَوْمُ ٱلْفَصْلِ",
              "translate_bn": "আপনি জানেন বিচার দিবস কি?",
              "numberInSurah": 14,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা- ইয়াওমুল ফাসল।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//یَوْمُ/يَوۡمُ/yawmu//الْفَصْلِؕ/ٱلۡفَصۡلِ/al-fasli",
              "words_bangla": "কি এবং//তুমি জানো//কি//দিন//পৃৃথককারী (ফয়সালার)"
            },
            {
              "number": 5637,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5637.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5637.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5637.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5637.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 15,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেইদিন//মিথ্যারোপকারীদের জন্য"
            },
            {
              "number": 5638,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5638.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5638.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5638.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5638.mp3"
              ],
              "text": "أَلَمْ نُهْلِكِ ٱلْأَوَّلِينَ",
              "translate_bn": "আমি কি পূর্ববর্তীদেরকে ধ্বংস করিনি?",
              "numberInSurah": 16,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "আলাম নুহলিকিল আওওয়ালীন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نُهْلِكِ/نُهۡلِكِ/nuh'liki//الْاَوَّلِیْنَؕ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "নাই কি//ধ্বংস আমরা করি//আগের লোকদের"
            },
            {
              "number": 5639,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5639.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5639.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5639.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5639.mp3"
              ],
              "text": "ثُمَّ نُتْبِعُهُمُ ٱلْءَاخِرِينَ",
              "translate_bn": "অতঃপর তাদের পশ্চাতে প্রেরণ করব পরবর্তীদেরকে।",
              "numberInSurah": 17,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা নুতবি‘উহুমুল আ-খিরীন।\r\n",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//نُتْبِعُهُمُ/نُتۡبِعُهُمُ/nut'bi'uhumu//الْاٰخِرِیْنَ /ٱلۡأٓخِرِينَ/al-akhirina",
              "words_bangla": "এরপর//তাদের অনুগামি আমরা করব//পর্ববর্তী লোকদের"
            },
            {
              "number": 5640,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5640.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5640.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5640.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5640.mp3"
              ],
              "text": "كَذَٰلِكَ نَفْعَلُ بِٱلْمُجْرِمِينَ",
              "translate_bn": "অপরাধীদের সাথে আমি এরূপই করে থাকি।",
              "numberInSurah": 18,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "কাযা-লিকা নাফ‘আলুবিলমুজরিমীন।",
              "words_arabic": "كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَفْعَلُ/نَفۡعَلُ/naf 'alu//بِالْمُجْرِمِیْنَ /بِٱلۡمُجۡرِمِينَ/bil-muj'rimina",
              "words_bangla": "এরূপ//করি আমরা//অপরাধিদের সাথে"
            },
            {
              "number": 5641,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5641.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5641.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5641.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5641.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 19,
              "juz": 29,
              "manzil": 7,
              "page": 580,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারোপকারীদের জন্য"
            },
            {
              "number": 5642,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5642.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5642.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5642.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5642.mp3"
              ],
              "text": "أَلَمْ نَخْلُقكُّم مِّن مَّآءٍۢ مَّهِينٍۢ",
              "translate_bn": "আমি কি তোমাদেরকে তুচ্ছ পানি থেকে সৃষ্টি করিনি?",
              "numberInSurah": 20,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "আলাম নাখলুককুম মিম মাইম্মাহীন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نَخْلُقْكُّمْ/نَخۡلُقكُّم/nakhluqkkum//مِّنْ/مِّن/min//مَّآءٍ/مَّآءٖ/main//مَّهِیْنٍۙ/مَّهِينٖ/mahinin",
              "words_bangla": "নাই কি//তোমাদেরকে সৃষ্টি আমরা করি//থেকে//পানি//তুচ্ছ"
            },
            {
              "number": 5643,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5643.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5643.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5643.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5643.mp3"
              ],
              "text": "فَجَعَلْنَٰهُ فِى قَرَارٍۢ مَّكِينٍ",
              "translate_bn": "অতঃপর আমি তা রেখেছি এক সংরক্ষিত আধারে,",
              "numberInSurah": 21,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলনা-হু ফী কারা-রিম মাকীন।",
              "words_arabic": "فَجَعَلْنٰهُ/فَجَعَلۡنَٰهُ/faja'alnahu//فِیْ/فِي/fi//قَرَارٍ/قَرَارٖ/qararin//مَّكِیْنٍۙ/مَّكِينٍ/makinin",
              "words_bangla": "তা আমরা আটকিয়ে অতঃপর রেখেছি//মধ্যে//স্থানের//সংরক্ষিত"
            },
            {
              "number": 5644,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5644.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5644.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5644.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5644.mp3"
              ],
              "text": "إِلَىٰ قَدَرٍۢ مَّعْلُومٍۢ",
              "translate_bn": "এক নির্দিষ্টকাল পর্যন্ত,",
              "numberInSurah": 22,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইলা- কাদারিমমা‘লূম।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//قَدَرٍ/قَدَرٖ/qadarin//مَّعْلُوْمٍۙ/مَّعۡلُومٖ/ma'lumin",
              "words_bangla": "পর্যন্ত//সময়//নির্দিষ্ট"
            },
            {
              "number": 5645,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5645.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5645.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5645.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5645.mp3"
              ],
              "text": "فَقَدَرْنَا فَنِعْمَ ٱلْقَٰدِرُونَ",
              "translate_bn": "অতঃপর আমি পরিমিত আকারে সৃষ্টি করেছি, আমি কত সক্ষম স্রষ্টা?",
              "numberInSurah": 23,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাকাদারনা- ফানি‘মাল কা-দিরূন।",
              "words_arabic": "فَقَدَرْنَا ۖۗ/فَقَدَرۡنَا/faqadarna//فَنِعْمَ/فَنِعۡمَ/fani'ma//الْقٰدِرُوْنَ /ٱلۡقَٰدِرُونَ/al-qadiruna",
              "words_bangla": "আমরা ক্ষমতাবান অতএব ছিলাম//কত উত্তম অতএব//ক্ষমতার অধিকারী"
            },
            {
              "number": 5646,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5646.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5646.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5646.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5646.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 24,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারোপকারীদের জন্য"
            },
            {
              "number": 5647,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5647.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5647.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5647.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5647.mp3"
              ],
              "text": "أَلَمْ نَجْعَلِ ٱلْأَرْضَ كِفَاتًا",
              "translate_bn": "আমি কি পৃথিবীকে সৃষ্টি করিনি ধারণকারিণীরূপে,",
              "numberInSurah": 25,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "আলাম নাজ ‘আলিল আরদা কিফা-তা- ।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نَجْعَلِ/نَجۡعَلِ/naj'ali//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//كِفَاتًاۙ/كِفَاتًا/kifatan",
              "words_bangla": "নাই কি//সৃষ্টি করি আমরা//পৃথিবী কে//ধারণকারী রূপে"
            },
            {
              "number": 5648,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5648.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5648.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5648.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5648.mp3"
              ],
              "text": "أَحْيَآءًۭ وَأَمْوَٰتًۭا",
              "translate_bn": "জীবিত ও মৃতদেরকে?",
              "numberInSurah": 26,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "আহইয়াআওঁ ওয়া আমওয়া-তা- ।",
              "words_arabic": "اَحْیَآءً/أَحۡيَآءٗ/ahyaan//وَّ اَمْوَاتًاۙ/وَأَمۡوَٰتٗا/wa-amwatan",
              "words_bangla": "জীবিিতদের//ও মৃতদের"
            },
            {
              "number": 5649,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5649.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5649.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5649.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5649.mp3"
              ],
              "text": "وَجَعَلْنَا فِيهَا رَوَٰسِىَ شَٰمِخَٰتٍۢ وَأَسْقَيْنَٰكُم مَّآءًۭ فُرَاتًۭا",
              "translate_bn": "আমি তাতে স্থাপন করেছি মজবুত সুউচ্চ পর্বতমালা এবং পান করিয়েছি তোমাদেরকে তৃষ্ণা নিবারণকারী সুপেয় পানি।",
              "numberInSurah": 27,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-ফীহা-রাওয়া-ছিয়া শা-মিখা-তিওঁ ওয়া আছকাইনা-কুমমাআন ফুরাতা- ।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//فِیْهَا/فِيهَا/fiha//رَوَاسِیَ/رَوَٰسِيَ/rawasiya//شٰمِخٰتٍ/شَٰمِخَٰتٖ/shamikhatin//وَّ اَسْقَیْنٰكُمْ/وَأَسۡقَيۡنَٰكُم/wa-asqaynakum//مَّآءً/مَّآءٗ/maan//فُرَاتًاؕ/فُرَاتٗا/furatan",
              "words_bangla": "এবং আমরা বাানিয়েছি//তার মধ্যে//পর্বতমালা//সুদৃৃঢ় উচ্চ//ও তোমাদেরকে পান করিয়েছি//পানি//সুমিষ্ট"
            },
            {
              "number": 5650,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5650.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5650.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5650.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5650.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 28,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারোপকারীদের জন্য"
            },
            {
              "number": 5651,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5651.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5651.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5651.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5651.mp3"
              ],
              "text": "ٱنطَلِقُوٓا۟ إِلَىٰ مَا كُنتُم بِهِۦ تُكَذِّبُونَ",
              "translate_bn": "চল তোমরা তারই দিকে, যাকে তোমরা মিথ্যা বলতে।",
              "numberInSurah": 29,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইনতালিকূইলা- মা- কুনতুম বিহী তুকাযযিবূন।",
              "words_arabic": "اِنْطَلِقُوْۤا/ٱنطَلِقُوٓاْ/intaliqu//اِلٰی/إِلَىٰ/ila//مَا/مَا/ma//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تُكَذِّبُوْنَۚ/تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "\"তোমরাা চলো//(তার) দিকে//যা//তোমরা//সে সম্পর্কে//মিথ্যারোপ করতে"
            },
            {
              "number": 5652,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5652.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5652.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5652.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5652.mp3"
              ],
              "text": "ٱنطَلِقُوٓا۟ إِلَىٰ ظِلٍّۢ ذِى ثَلَٰثِ شُعَبٍۢ",
              "translate_bn": "চল তোমরা তিন কুন্ডলীবিশিষ্ট ছায়ার দিকে,",
              "numberInSurah": 30,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইনতালিকূইলা-জিলিলন যী ছালা-ছিশু‘আব।",
              "words_arabic": "اِنْطَلِقُوْۤا/ٱنطَلِقُوٓاْ/intaliqu//اِلٰی/إِلَىٰ/ila//ظِلٍّ/ظِلّٖ/zillin//ذِیْ/ذِي/dhi//ثَلٰثِ/ثَلَٰثِ/thalathi//شُعَبٍۙ/شُعَبٖ/shu'abin",
              "words_bangla": "তোমরা চলো//দিকে//ছায়ার (সেই)//বিশিষ্ট//তিন//শাখা"
            },
            {
              "number": 5653,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5653.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5653.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5653.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5653.mp3"
              ],
              "text": "لَّا ظَلِيلٍۢ وَلَا يُغْنِى مِنَ ٱللَّهَبِ",
              "translate_bn": "যে ছায়া সুনিবিড় নয় এবং অগ্নির উত্তাপ থেকে রক্ষা করে না।",
              "numberInSurah": 31,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "লা- জালীলিওঁ ওয়ালা- ইউগনী মিনাল্লাহাব।",
              "words_arabic": "لَّا/لَّا/la//ظَلِیْلٍ/ظَلِيلٖ/zalilin//وَّ لَا/وَلَا/wala//یُغْنِیْ/يُغۡنِي/yugh'ni//مِنَ/مِنَ/mina//اللَّهَبِؕ/ٱللَّهَبِ/al-lahabi",
              "words_bangla": "না//শৈত্যদাতা//আর না//রক্ষা করবে//থেকে//আগুনের শিখা"
            },
            {
              "number": 5654,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5654.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5654.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5654.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5654.mp3"
              ],
              "text": "إِنَّهَا تَرْمِى بِشَرَرٍۢ كَٱلْقَصْرِ",
              "translate_bn": "এটা অট্টালিকা সদৃশ বৃহৎ স্ফুলিংগ নিক্ষেপ করবে।",
              "numberInSurah": 32,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহা- তারমী বিশারারিন কাল কাসরি।",
              "words_arabic": "اِنَّهَا/إِنَّهَا/innaha//تَرْمِیْ/تَرۡمِي/tarmi//بِشَرَرٍ/بِشَرَرٖ/bishararin//كَالْقَصْرِۚ/كَٱلۡقَصۡرِ/kal-qasri",
              "words_bangla": "তা নিশ্চয়//নিক্ষেপ করবে//স্কুলিংগকে//প্রাসাদের ন্যায়"
            },
            {
              "number": 5655,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5655.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5655.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5655.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5655.mp3"
              ],
              "text": "كَأَنَّهُۥ جِمَٰلَتٌۭ صُفْرٌۭ",
              "translate_bn": "যেন সে পীতবর্ণ উষ্ট্রশ্রেণী।",
              "numberInSurah": 33,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "কাআন্নাহূজিমা-লাতুন সুফর।",
              "words_arabic": "كَاَنَّهٗ/كَأَنَّهُۥ/ka-annahu//جِمٰلَتٌ/جِمَٰلَتٞ/jimalatun//صُفْرٌؕ/صُفۡرٞ/suf'run",
              "words_bangla": "তা যেন//উট সমূহ//হলুদ বর্ণের"
            },
            {
              "number": 5656,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5656.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5656.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5656.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5656.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 34,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।\r\n",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারোপকারিদের জন্যে"
            },
            {
              "number": 5657,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5657.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5657.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5657.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5657.mp3"
              ],
              "text": "هَٰذَا يَوْمُ لَا يَنطِقُونَ",
              "translate_bn": "এটা এমন দিন, যেদিন কেউ কথা বলবে না।",
              "numberInSurah": 35,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "হা-যা- ইয়াওমুলা- ইয়ানতিকূন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//یَوْمُ/يَوۡمُ/yawmu//لَا/لَا/la//یَنْطِقُوْنَۙ/يَنطِقُونَ/yantiquna",
              "words_bangla": "(সেই) এই//দিন//না//তোমরা কথা বলবে"
            },
            {
              "number": 5658,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5658.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5658.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5658.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5658.mp3"
              ],
              "text": "وَلَا يُؤْذَنُ لَهُمْ فَيَعْتَذِرُونَ",
              "translate_bn": "এবং কাউকে তওবা করার অনুমতি দেয়া হবে না।",
              "numberInSurah": 36,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা- ইউ’যানুলাহুম ফাইয়া‘তাযিরূন।\r\n",
              "words_arabic": "وَ لَا/وَلَا/wala//یُؤْذَنُ/يُؤۡذَنُ/yu'dhanu//لَهُمْ/لَهُمۡ/lahum//فَیَعْتَذِرُوْنَ /فَيَعۡتَذِرُونَ/faya'tadhiruna",
              "words_bangla": "না আর//অনুুমতি দেওয়া হবে//তাদের কে//তারা ওজর পেশ যে করবে"
            },
            {
              "number": 5659,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5659.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5659.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5659.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5659.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 37,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেই দিন//মিথ্যারপকারীদের জন্যে"
            },
            {
              "number": 5660,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5660.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5660.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5660.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5660.mp3"
              ],
              "text": "هَٰذَا يَوْمُ ٱلْفَصْلِ ۖ جَمَعْنَٰكُمْ وَٱلْأَوَّلِينَ",
              "translate_bn": "এটা বিচার দিবস, আমি তোমাদেরকে এবং তোমাদের পূর্ববর্তীদেরকে একত্রিত করেছি।",
              "numberInSurah": 38,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "হা-যা- ইয়াওমুল ফাসলি জামা‘না-কুম ওয়াল আওওয়ালীন।",
              "words_arabic": "هٰذَا/هَٰذَا/hadha//یَوْمُ/يَوۡمُ/yawmu//الْفَصْلِ ۚ/ٱلۡفَصۡلِۖ/al-fasli//جَمَعْنٰكُمْ/جَمَعۡنَٰكُمۡ/jama'nakum//وَ الْاَوَّلِیْنَ /وَٱلۡأَوَّلِينَ/wal-awalina",
              "words_bangla": "এটা//দিন//ফয়সালার//তোমাদেরকে আমরা একত্র করেছি//ও (তোমাদের) পূর্ববতীদেরকে"
            },
            {
              "number": 5661,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5661.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5661.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5661.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5661.mp3"
              ],
              "text": "فَإِن كَانَ لَكُمْ كَيْدٌۭ فَكِيدُونِ",
              "translate_bn": "অতএব, তোমাদের কোন অপকৌশল থাকলে তা প্রয়োগ কর আমার কাছে।",
              "numberInSurah": 39,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাইন কা-না লাকুম কাইদুন ফাকীদূন।",
              "words_arabic": "فَاِنْ/فَإِن/fa-in//كَانَ/كَانَ/kana//لَكُمْ/لَكُمۡ/lakum//كَیْدٌ/كَيۡدٞ/kaydun//فَكِیْدُوْنِ /فَكِيدُونِ/fakiduni",
              "words_bangla": "যদি এখন//হয় (সম্ভব)//তোমাদের পক্ষে//কোন কৌশল//তোমরা কৌশল করো তবে"
            },
            {
              "number": 5662,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5662.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5662.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5662.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5662.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 40,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 516,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ۠/لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারপকারিদের জন্যে"
            },
            {
              "number": 5663,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5663.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5663.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5663.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5663.mp3"
              ],
              "text": "إِنَّ ٱلْمُتَّقِينَ فِى ظِلَٰلٍۢ وَعُيُونٍۢ",
              "translate_bn": "নিশ্চয় খোদাভীরুরা থাকবে ছায়ায় এবং প্রস্রবণসমূহে-",
              "numberInSurah": 41,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল মুত্তাকীনা ফী জিলালিওঁ ওয়া‘উয়ূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْمُتَّقِیْنَ/ٱلۡمُتَّقِينَ/al-mutaqina//فِیْ/فِي/fi//ظِلٰلٍ/ظِلَٰلٖ/zilalin//وَّ عُیُوْنٍۙ/وَعُيُونٖ/wa'uyunin",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীরা//মধ্যে (হবে)//ছায়ার//ও প্রস্রবণে"
            },
            {
              "number": 5664,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5664.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5664.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5664.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5664.mp3"
              ],
              "text": "وَفَوَٰكِهَ مِمَّا يَشْتَهُونَ",
              "translate_bn": "এবং তাদের বাঞ্ছিত ফল-মূলের মধ্যে।",
              "numberInSurah": 42,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফাওয়া-কিহা মিম্মা- ইয়াশতাহূন।",
              "words_arabic": "وَّ فَوَاكِهَ/وَفَوَٰكِهَ/wafawakiha//مِمَّا/مِمَّا/mimma//یَشْتَهُوْنَؕ/يَشۡتَهُونَ/yashtahuna",
              "words_bangla": "এবং ফলমূল (পাবে)//যা (তা) থেকে//তারা চাইবে"
            },
            {
              "number": 5665,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5665.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5665.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5665.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5665.mp3"
              ],
              "text": "كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَا كُنتُمْ تَعْمَلُونَ",
              "translate_bn": "বলা হবেঃ তোমরা যা করতে তার বিনিময়ে তৃপ্তির সাথে পানাহার কর।",
              "numberInSurah": 43,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "কুলূওয়াশরাবূহানীআম বিমা- কুনতুম তা‘মালূন।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//وَ اشْرَبُوْا/وَٱشۡرَبُواْ/wa-ish'rabu//هَنِیْٓـًٔۢا/هَنِيٓـَٔۢا/hanian//بِمَا/بِمَا/bima//كُنْتُمْ/كُنتُمۡ/kuntum//تَعْمَلُوْنَ /تَعۡمَلُونَ/ta'maluna",
              "words_bangla": "\"তোমরা খাও//ও পান করো//স্বাদ নিয়ে//যা বিনিময়ে//তোমরা//(তোমরা) করতে\""
            },
            {
              "number": 5666,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5666.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5666.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5666.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5666.mp3"
              ],
              "text": "إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ",
              "translate_bn": "এভাবেই আমি সৎকর্মশীলদেরকে পুরস্কৃত করে থাকি।",
              "numberInSurah": 44,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ইন্না- কাযা-লিকা নাজঝিল মুহছিনীন।",
              "words_arabic": "اِنَّا/إِنَّا/inna//كَذٰلِكَ/كَذَٰلِكَ/kadhalika//نَجْزِی/نَجۡزِي/najzi//الْمُحْسِنِیْنَ /ٱلۡمُحۡسِنِينَ/al-muh'sinina",
              "words_bangla": "আমরা নিশ্চয়//এরূপে//প্রতিফল দেই আমরা//নেকলোকদের"
            },
            {
              "number": 5667,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5667.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5667.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5667.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5667.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 45,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারপকারিদের জন্যে"
            },
            {
              "number": 5668,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5668.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5668.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5668.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5668.mp3"
              ],
              "text": "كُلُوا۟ وَتَمَتَّعُوا۟ قَلِيلًا إِنَّكُم مُّجْرِمُونَ",
              "translate_bn": "কাফেরগণ, তোমরা কিছুদিন খেয়ে নাও এবং ভোগ করে নাও। তোমরা তো অপরাধী।",
              "numberInSurah": 46,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "কুলূওয়া তামাত্তা‘ঊ কালীলান ইন্নাকুম মুজরিমূন।",
              "words_arabic": "كُلُوْا/كُلُواْ/kulu//وَ تَمَتَّعُوْا/وَتَمَتَّعُواْ/watamatta'u//قَلِیْلًا/قَلِيلًا/qalilan//اِنَّكُمْ/إِنَّكُم/innakum//مُّجْرِمُوْنَ /مُّجۡرِمُونَ/muj'rimuna",
              "words_bangla": "তোমরা খাও//ও আস্বাদন করো//কিছুুকাল//তোমরা প্রকৃত পক্ষে//অপরাধী\""
            },
            {
              "number": 5669,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5669.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5669.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5669.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5669.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 47,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারপকারিদের জন্যে"
            },
            {
              "number": 5670,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5670.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5670.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5670.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5670.mp3"
              ],
              "text": "وَإِذَا قِيلَ لَهُمُ ٱرْكَعُوا۟ لَا يَرْكَعُونَ",
              "translate_bn": "যখন তাদেরকে বলা হয়, নত হও, তখন তারা নত হয় না।",
              "numberInSurah": 48,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা- কীলা লাহুমুরকা‘ঊ লা-ইয়ারকা‘ঊন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قِیْلَ/قِيلَ/qila//لَهُمُ/لَهُمُ/lahumu//ارْكَعُوْا/ٱرۡكَعُواْ/ir'ka'u//لَا/لَا/la//یَرْكَعُوْنَ /يَرۡكَعُونَ/yarka'una",
              "words_bangla": "এবং যখন//বলা হয়//তাদেরকে//\"তোমরা অবনত হও\"//না//তারা অবনত হয়"
            },
            {
              "number": 5671,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5671.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5671.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5671.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5671.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন মিথ্যারোপকারীদের দুর্ভোগ হবে।",
              "numberInSurah": 49,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَ /لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারপকারিদের জন্যে"
            },
            {
              "number": 5672,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5672.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5672.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5672.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5672.mp3"
              ],
              "text": "فَبِأَىِّ حَدِيثٍۭ بَعْدَهُۥ يُؤْمِنُونَ",
              "translate_bn": "এখন কোন কথায় তারা এরপর বিশ্বাস স্থাপন করবে?",
              "numberInSurah": 50,
              "juz": 29,
              "manzil": 7,
              "page": 581,
              "ruku": 517,
              "hizbQuarter": 232,
              "sajda": false,
              "pronunciation_bn": "ফাবিআইয়ি হাদীছিম বা‘দাহূইউ’মিনূন।",
              "words_arabic": "فَبِاَیِّ/فَبِأَيِّ/fabi-ayyi//حَدِیْثٍۭ/حَدِيثِۭ/hadithin//بَعْدَهٗ/بَعۡدَهُۥ/ba'dahu//یُؤْمِنُوْنَ۠/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "আর কোন তাহলে//কালাম (থাকতে পারে)//তার পর (কুরআনের)//তারা ইমান (যার উপর) আনবে"
            }
          ]
        },
        {
          "number": 78,
          "name": "سُورَةُ النَّبَإِ",
          "englishName": "An-Naba",
          "englishNameTranslation": "The Announcement",
          "revelationType": "Meccan",
          "verse": 40,
          "words": 374,
          "chars": 1618,
          "ayahs": [
            {
              "number": 5673,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5673.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5673.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5673.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5673.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ عَمَّ يَتَسَآءَلُونَ",
              "translate_bn": "তারা পরস্পরে কি বিষয়ে জিজ্ঞাসাবাদ করছে?",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "‘আম্মা ইয়াতাছাআলুন।",
              "words_arabic": "عَمَّ/عَمَّ/amma//یَتَسَآءَلُوْنَۚ/يَتَسَآءَلُونَ/yatasaaluna",
              "words_bangla": "কি সম্পর্কে//তারা পরস্পরকে জিজ্ঞাসা করছে"
            },
            {
              "number": 5674,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5674.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5674.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5674.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5674.mp3"
              ],
              "text": "عَنِ ٱلنَّبَإِ ٱلْعَظِيمِ",
              "translate_bn": "মহা সংবাদ সম্পর্কে,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "‘আনিন্নাবাইল ‘আজীম।",
              "words_arabic": "عَنِ/عَنِ/ani//النَّبَاِ/ٱلنَّبَإِ/al-naba-i//الْعَظِیْمِۙ/ٱلۡعَظِيمِ/al-'azimi",
              "words_bangla": "সম্পর্কে//সংবাদ//মহা (অর্থাৎ কিয়ামত)"
            },
            {
              "number": 5675,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5675.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5675.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5675.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5675.mp3"
              ],
              "text": "ٱلَّذِى هُمْ فِيهِ مُخْتَلِفُونَ",
              "translate_bn": "যে সম্পর্কে তারা মতানৈক্য করে।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী হুম ফীহি মুখতালিফূন।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//هُمْ/هُمۡ/hum//فِیْهِ/فِيهِ/fihi//مُخْتَلِفُوْنَؕ/مُخۡتَلِفُونَ/mukh'talifuna",
              "words_bangla": "তা (এমন যে)//তারা//সে বিষয়ে//(নিজেরাই) মতানৈক্যকারী"
            },
            {
              "number": 5676,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5676.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5676.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5676.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5676.mp3"
              ],
              "text": "كَلَّا سَيَعْلَمُونَ",
              "translate_bn": "না, সত্ত্বরই তারা জানতে পারবে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-ছাইয়া‘লামূন।\r\n",
              "words_arabic": "كَلَّا/كَلَّا/kalla//سَیَعْلَمُوْنَۙ/سَيَعۡلَمُونَ/saya'lamuna",
              "words_bangla": "কখনও না//তারা শীঘ্র জানবে"
            },
            {
              "number": 5677,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5677.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5677.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5677.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5677.mp3"
              ],
              "text": "ثُمَّ كَلَّا سَيَعْلَمُونَ",
              "translate_bn": "অতঃপর না, সত্বর তারা জানতে পারবে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কাল্লা-ছাইয়া‘লামূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كَلَّا/كَلَّا/kalla//سَیَعْلَمُوْنَ /سَيَعۡلَمُونَ/saya'lamuna",
              "words_bangla": "আবার (বলি)//কখনও না//তারা শীঘ্র জানবে"
            },
            {
              "number": 5678,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5678.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5678.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5678.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5678.mp3"
              ],
              "text": "أَلَمْ نَجْعَلِ ٱلْأَرْضَ مِهَٰدًۭا",
              "translate_bn": "আমি কি করিনি ভূমিকে বিছানা",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আলাম নাজ‘আলিল আরদা মিহা-দা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نَجْعَلِ/نَجۡعَلِ/naj'ali//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//مِهٰدًاۙ/مِهَٰدٗا/mihadan",
              "words_bangla": "নি কি//আমরা বানাই//ভূমিকে//বিছানা স্বরূপ"
            },
            {
              "number": 5679,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5679.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5679.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5679.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5679.mp3"
              ],
              "text": "وَٱلْجِبَالَ أَوْتَادًۭا",
              "translate_bn": "এবং পর্বতমালাকে পেরেক?",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়াল জিবা-লা আওতা-দা।",
              "words_arabic": "وَّ الْجِبَالَ/وَٱلۡجِبَالَ/wal-jibala//اَوْتَادًا۪ۙ/أَوۡتَادٗا/awtadan",
              "words_bangla": "এবং পাহাড়-পর্বতকে//কীলক স্বরূপ"
            },
            {
              "number": 5680,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5680.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5680.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5680.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5680.mp3"
              ],
              "text": "وَخَلَقْنَٰكُمْ أَزْوَٰجًۭا",
              "translate_bn": "আমি তোমাদেরকে জোড়া জোড়া সৃষ্টি করেছি,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া খালাকনা-কুম আঝওয়া-জা-",
              "words_arabic": "وَّ خَلَقْنٰكُمْ/وَخَلَقۡنَٰكُمۡ/wakhalaqnakum//اَزْوَاجًاۙ/أَزۡوَٰجٗا/azwajan",
              "words_bangla": "এবং তোমাদেরকে  আমরা সৃষ্টি করেছি//জোড়ায় জোড়ায়"
            },
            {
              "number": 5681,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5681.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5681.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5681.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5681.mp3"
              ],
              "text": "وَجَعَلْنَا نَوْمَكُمْ سُبَاتًۭا",
              "translate_bn": "তোমাদের নিদ্রাকে করেছি ক্লান্তি দূরকারী,",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-নাওমাকুম ছুবা-তা।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//نَوْمَكُمْ/نَوۡمَكُمۡ/nawmakum//سُبَاتًاۙ/سُبَاتٗا/subatan",
              "words_bangla": "এবং আমরা বানিয়েছি//তোমাদের ঘুমকে//বিশ্রাম (শান্তির বাহন)"
            },
            {
              "number": 5682,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5682.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5682.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5682.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5682.mp3"
              ],
              "text": "وَجَعَلْنَا ٱلَّيْلَ لِبَاسًۭا",
              "translate_bn": "রাত্রিকে করেছি আবরণ।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনাল্লাইলা লিবা-ছা।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//الَّیْلَ/ٱلَّيۡلَ/al-layla//لِبَاسًاۙ/لِبَاسٗا/libasan",
              "words_bangla": "এবং আমরা বানিয়েছি//রাতকে//আবরণ স্বরূপ"
            },
            {
              "number": 5683,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5683.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5683.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5683.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5683.mp3"
              ],
              "text": "وَجَعَلْنَا ٱلنَّهَارَ مَعَاشًۭا",
              "translate_bn": "দিনকে করেছি জীবিকা অর্জনের সময়,",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনান্নাহা-রা মা‘আ-শা-।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//النَّهَارَ/ٱلنَّهَارَ/al-nahara//مَعَاشًا۪/مَعَاشٗا/ma'ashan",
              "words_bangla": "এবং আমরা বানিয়েছি//দিনকে//জীবিকা অর্জনের সময়"
            },
            {
              "number": 5684,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5684.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5684.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5684.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5684.mp3"
              ],
              "text": "وَبَنَيْنَا فَوْقَكُمْ سَبْعًۭا شِدَادًۭا",
              "translate_bn": "নির্মান করেছি তোমাদের মাথার উপর মজবুত সপ্ত-আকাশ।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া বানাইনা-ফাওকাকুম ছাব‘আন শিদা-দা-।",
              "words_arabic": "وَّ بَنَیْنَا/وَبَنَيۡنَا/wabanayna//فَوْقَكُمْ/فَوۡقَكُمۡ/fawqakum//سَبْعًا/سَبۡعٗا/sab'an//شِدَادًاۙ/شِدَادٗا/shidadan",
              "words_bangla": "এবং আমরা নির্মাণ করেছি//তোমাদের উপর//সাত//সুদৃঢ় (আকাশ)"
            },
            {
              "number": 5685,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5685.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5685.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5685.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5685.mp3"
              ],
              "text": "وَجَعَلْنَا سِرَاجًۭا وَهَّاجًۭا",
              "translate_bn": "এবং একটি উজ্জ্বল প্রদীপ সৃষ্টি করেছি।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া জা‘আলনা-ছিরা-জাওঁ ওয়াহহা-জা-।",
              "words_arabic": "وَّ جَعَلْنَا/وَجَعَلۡنَا/waja'alna//سِرَاجًا/سِرَاجٗا/sirajan//وَّهَّاجًا۪ۙ/وَهَّاجٗا/wahhajan",
              "words_bangla": "এবং আমরা বানিয়েছি//প্রদীপ (সূর্য)//উজ্জ্বল"
            },
            {
              "number": 5686,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5686.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5686.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5686.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5686.mp3"
              ],
              "text": "وَأَنزَلْنَا مِنَ ٱلْمُعْصِرَٰتِ مَآءًۭ ثَجَّاجًۭا",
              "translate_bn": "আমি জলধর মেঘমালা থেকে প্রচুর বৃষ্টিপাত করি,",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনঝালনা-মিনাল মু‘সিরা-তি মাআন ছাজ্জা-জা-।",
              "words_arabic": "وَّ اَنْزَلْنَا/وَأَنزَلۡنَا/wa-anzalna//مِنَ/مِنَ/mina//الْمُعْصِرٰتِ/ٱلۡمُعۡصِرَٰتِ/al-mu'sirati//مَآءً/مَآءٗ/maan//ثَجَّاجًاۙ/ثَجَّاجٗا/thajjajan",
              "words_bangla": "আমরা বর্ষণ করেছি//হতে//মেঘমালা//পানি//মুষলধারে"
            },
            {
              "number": 5687,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5687.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5687.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5687.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5687.mp3"
              ],
              "text": "لِّنُخْرِجَ بِهِۦ حَبًّۭا وَنَبَاتًۭا",
              "translate_bn": "যাতে তদ্দ্বারা উৎপন্ন করি শস্য, উদ্ভিদ।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "লিনুখরিজা বিহী হাব্বাওঁ ওয়া নাবা-তা-।",
              "words_arabic": "لِّنُخْرِجَ/لِّنُخۡرِجَ/linukh'rija//بِهٖ/بِهِۦ/bihi//حَبًّا/حَبّٗا/habban//وَّ نَبَاتًاۙ/وَنَبَاتٗا/wanabatan",
              "words_bangla": "এজন্য যে আমরা বের করব//তা দিয়ে//শস্য//ও উদ্ভিদ"
            },
            {
              "number": 5688,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5688.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5688.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5688.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5688.mp3"
              ],
              "text": "وَجَنَّٰتٍ أَلْفَافًا",
              "translate_bn": "ও পাতাঘন উদ্যান।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া জান্না-তিন আলফা-ফা-।\r\n",
              "words_arabic": "وَّ جَنّٰتٍ/وَجَنَّـٰتٍ/wajannatin//اَلْفَافًاؕ/أَلۡفَافًا/alfafan",
              "words_bangla": "এবং বাগিচাসমূহ//ঘনসন্নিবিষ্ট"
            },
            {
              "number": 5689,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5689.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5689.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5689.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5689.mp3"
              ],
              "text": "إِنَّ يَوْمَ ٱلْفَصْلِ كَانَ مِيقَٰتًۭا",
              "translate_bn": "নিশ্চয় বিচার দিবস নির্ধারিত রয়েছে।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইয়াওমাল ফাসলি কা-না মীকাতা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//یَوْمَ/يَوۡمَ/yawma//الْفَصْلِ/ٱلۡفَصۡلِ/al-fasli//كَانَ/كَانَ/kana//مِیْقَاتًاۙ/مِيقَٰتٗا/miqatan",
              "words_bangla": "নিশ্চয়ই//দিন//বিচারের//আছে//নির্দিষ্ট"
            },
            {
              "number": 5690,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5690.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5690.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5690.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5690.mp3"
              ],
              "text": "يَوْمَ يُنفَخُ فِى ٱلصُّورِ فَتَأْتُونَ أَفْوَاجًۭا",
              "translate_bn": "যেদিন শিংগায় ফুঁক দেয়া হবে, তখন তোমরা দলে দলে সমাগত হবে।",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইউনফাখুফিসসুরি ফাতা’তূনা আফওয়া-জা।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//یُنْفَخُ/يُنفَخُ/yunfakhu//فِی/فِي/fi//الصُّوْرِ/ٱلصُّورِ/al-suri//فَتَاْتُوْنَ/فَتَأۡتُونَ/fatatuna//اَفْوَاجًاۙ/أَفۡوَاجٗا/afwajan",
              "words_bangla": "সেদিন//ফুঁ দেওয়া হবে//মধ্যে//শিঙ্গার//অতঃপর তোমরা আসবে//দলে দলে"
            },
            {
              "number": 5691,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5691.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5691.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5691.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5691.mp3"
              ],
              "text": "وَفُتِحَتِ ٱلسَّمَآءُ فَكَانَتْ أَبْوَٰبًۭا",
              "translate_bn": "আকাশ বিদীর্ণ হয়ে; তাতে বহু দরজা সৃষ্টি হবে।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফুতিহাতিছ ছামাউ ফাকা-নাত আবওয়া-বা-।",
              "words_arabic": "وَّ فُتِحَتِ/وَفُتِحَتِ/wafutihati//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//فَكَانَتْ/فَكَانَتۡ/fakanat//اَبْوَابًاۙ/أَبۡوَٰبٗا/abwaban",
              "words_bangla": "এবং সেদিন উন্মুক্ত করা হবে//আকাশ//অতঃপর তা হবে//অনেক দরজা"
            },
            {
              "number": 5692,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5692.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5692.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5692.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5692.mp3"
              ],
              "text": "وَسُيِّرَتِ ٱلْجِبَالُ فَكَانَتْ سَرَابًا",
              "translate_bn": "এবং পর্বতমালা চালিত হয়ে মরীচিকা হয়ে যাবে।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছুইয়িরাতিল জিরা-লুফাকা-নাত ছারা-বা-।",
              "words_arabic": "وَّ سُیِّرَتِ/وَسُيِّرَتِ/wasuyyirati//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//فَكَانَتْ/فَكَانَتۡ/fakanat//سَرَابًاؕ/سَرَابًا/saraban",
              "words_bangla": "এবং চালিয়ে দেয়া হবে//পাহাড়গুলো//অতঃপর তা হবে//মরীচিকা"
            },
            {
              "number": 5693,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5693.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5693.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5693.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5693.mp3"
              ],
              "text": "إِنَّ جَهَنَّمَ كَانَتْ مِرْصَادًۭا",
              "translate_bn": "নিশ্চয় জাহান্নাম প্রতীক্ষায় থাকবে,",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্না জাহান্নামা কা-নাত মিরসা-দা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//جَهَنَّمَ/جَهَنَّمَ/jahannama//كَانَتْ/كَانَتۡ/kanat//مِرْصَادًا۪ۙ/مِرۡصَادٗا/mir'sadan",
              "words_bangla": "নিশ্চয়ই//জাহান্নাম//হলো//ঘাঁটি"
            },
            {
              "number": 5694,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5694.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5694.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5694.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5694.mp3"
              ],
              "text": "لِّلطَّٰغِينَ مَـَٔابًۭا",
              "translate_bn": "সীমালংঘনকারীদের আশ্রয়স্থলরূপে।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "লিত্তা-গীনা মাআ-বা-।",
              "words_arabic": "لِّلطَّاغِیْنَ/لِّلطَّـٰغِينَ/lilttaghina//مَاٰبًاۙ/مَـَٔابٗا/maaban",
              "words_bangla": "সীমালঙ্ঘনকারীদের জন্য//প্রত্যাবর্তনস্থল"
            },
            {
              "number": 5695,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5695.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5695.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5695.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5695.mp3"
              ],
              "text": "لَّٰبِثِينَ فِيهَآ أَحْقَابًۭا",
              "translate_bn": "তারা তথায় শতাব্দীর পর শতাব্দী অবস্থান করবে।",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "লা-বিছীনা ফীহাআহকা-বা-।",
              "words_arabic": "لّٰبِثِیْنَ/لَّـٰبِثِينَ/labithina//فِیْهَاۤ/فِيهَآ/fiha//اَحْقَابًاۚ/أَحۡقَابٗا/ahqaban",
              "words_bangla": "তারা অবস্থানকারী হবে//তার মধ্যে//যুগ যুগ ধরে"
            },
            {
              "number": 5696,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5696.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5696.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5696.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5696.mp3"
              ],
              "text": "لَّا يَذُوقُونَ فِيهَا بَرْدًۭا وَلَا شَرَابًا",
              "translate_bn": "তথায় তারা কোন শীতল এবং পানীয় আস্বাদন করবে না;",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াযূকূনা ফীহা-বারদাওঁ ওয়ালা-শারা-বা-।",
              "words_arabic": "لَا/لَّا/la//یَذُوْقُوْنَ/يَذُوقُونَ/yadhuquna//فِیْهَا/فِيهَا/fiha//بَرْدًا/بَرۡدٗا/bardan//وَّ لَا/وَلَا/wala//شَرَابًاۙ/شَرَابًا/sharaban",
              "words_bangla": "না//তারা স্বাদ গ্রহণ করবে//তার মধ্যে//ঠাণ্ডা//আর না//পানীয়"
            },
            {
              "number": 5697,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5697.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5697.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5697.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5697.mp3"
              ],
              "text": "إِلَّا حَمِيمًۭا وَغَسَّاقًۭا",
              "translate_bn": "কিন্তু ফুটন্ত পানি ও পূঁজ পাবে।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-হামীমাওঁ ওয়াগাছছা-কা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//حَمِیْمًا/حَمِيمٗا/hamiman//وَّ غَسَّاقًاۙ/وَغَسَّاقٗا/waghassaqan",
              "words_bangla": "এ ব্যতীত//উত্তপ্ত পানি//ও পুঁজ"
            },
            {
              "number": 5698,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5698.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5698.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5698.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5698.mp3"
              ],
              "text": "جَزَآءًۭ وِفَاقًا",
              "translate_bn": "পরিপূর্ণ প্রতিফল হিসেবে।",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "জাঝাআওঁবিফা-কা-।",
              "words_arabic": "جَزَآءً/جَزَآءٗ/jazaan//وِّفَاقًاؕ/وِفَاقًا/wifaqan",
              "words_bangla": "(এটাই তাদের) প্রতিদান//উপযুক্ত"
            },
            {
              "number": 5699,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5699.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5699.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5699.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5699.mp3"
              ],
              "text": "إِنَّهُمْ كَانُوا۟ لَا يَرْجُونَ حِسَابًۭا",
              "translate_bn": "নিশ্চয় তারা হিসাব-নিকাশ আশা করত না।",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম কা-নূলা-ইয়ারজুনা হিছা-বা-।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//كَانُوْا/كَانُواْ/kanu//لَا/لَا/la//یَرْجُوْنَ/يَرۡجُونَ/yarjuna//حِسَابًاۙ/حِسَابٗا/hisaban",
              "words_bangla": "তারা নিশ্চয়ই//(এমন) ছিল যে//না//আশঙ্কা করতো//হিসাবের"
            },
            {
              "number": 5700,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5700.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5700.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5700.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5700.mp3"
              ],
              "text": "وَكَذَّبُوا۟ بِـَٔايَٰتِنَا كِذَّابًۭا",
              "translate_bn": "এবং আমার আয়াতসমূহে পুরোপুরি মিথ্যারোপ করত।",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযযাবূবিআ-য়া-তিনা-কিযযা-বা।",
              "words_arabic": "وَّ كَذَّبُوْا/وَكَذَّبُواْ/wakadhabu//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//كِذَّابًاؕ/كِذَّابٗا/kidhaban",
              "words_bangla": "এবং তারা মিথ্যারোপ করত//আমাদের নিদর্শনগুলোকে//(সম্পূর্ণভাবে) মিথ্যা"
            },
            {
              "number": 5701,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5701.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5701.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5701.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5701.mp3"
              ],
              "text": "وَكُلَّ شَىْءٍ أَحْصَيْنَٰهُ كِتَٰبًۭا",
              "translate_bn": "আমি সবকিছুই লিপিবদ্ধ করে সংরক্ষিত করেছি।",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া কুল্লা শাইয়িন আহসাইনা-হু কিতা-বা-।",
              "words_arabic": "وَ كُلَّ/وَكُلَّ/wakulla//شَیْءٍ/شَيۡءٍ/shayin//اَحْصَیْنٰهُ/أَحۡصَيۡنَٰهُ/ahsaynahu//كِتٰبًاۙ/كِتَٰبٗا/kitaban",
              "words_bangla": "এবং সব//কিছু//আমরা তা গুনে রেখেছি//লিখিত (আকারে)"
            },
            {
              "number": 5702,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5702.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5702.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5702.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5702.mp3"
              ],
              "text": "فَذُوقُوا۟ فَلَن نَّزِيدَكُمْ إِلَّا عَذَابًا",
              "translate_bn": "অতএব, তোমরা আস্বাদন কর, আমি কেবল তোমাদের শাস্তিই বৃদ্ধি করব।",
              "numberInSurah": 30,
              "juz": 30,
              "manzil": 7,
              "page": 582,
              "ruku": 518,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাযূকূফালান নাঝীদাকুম ইল্লা-‘আযা-বা-।",
              "words_arabic": "فَذُوْقُوْا/فَذُوقُواْ/fadhuqu//فَلَنْ/فَلَن/falan//نَّزِیْدَكُمْ/نَّزِيدَكُمۡ/nazidakum//اِلَّا/إِلَّا/illa//عَذَابًا۠/عَذَابًا/adhaban",
              "words_bangla": "অতএব তোমরা স্বাদ নাও//অতঃপর কখনও না//আমরা তোমাদের বাড়াবো (অন্যকিছু)//এ ছাড়া//শাস্তি"
            },
            {
              "number": 5703,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5703.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5703.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5703.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5703.mp3"
              ],
              "text": "إِنَّ لِلْمُتَّقِينَ مَفَازًا",
              "translate_bn": "পরহেযগারদের জন্যে রয়েছে সাফল্য।",
              "numberInSurah": 31,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্না লিলমুত্তাকীনা মাফা-ঝা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//لِلْمُتَّقِیْنَ/لِلۡمُتَّقِينَ/lil'muttaqina//مَفَازًاۙ/مَفَازًا/mafazan",
              "words_bangla": "নিশ্চয়ই//মুত্তাকীদের জন্যে//সাফল্য (রয়েছে)"
            },
            {
              "number": 5704,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5704.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5704.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5704.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5704.mp3"
              ],
              "text": "حَدَآئِقَ وَأَعْنَٰبًۭا",
              "translate_bn": "উদ্যান, আঙ্গুর,",
              "numberInSurah": 32,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "হাদাইকা ওয়া আ‘না-বা-।",
              "words_arabic": "حَدَآىِٕقَ/حَدَآئِقَ/hadaiqa//وَ اَعْنَابًاۙ/وَأَعۡنَٰبٗا/wa-a'naban",
              "words_bangla": "বাগিচাসমূহ//ও আঙুরসমূহ"
            },
            {
              "number": 5705,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5705.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5705.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5705.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5705.mp3"
              ],
              "text": "وَكَوَاعِبَ أَتْرَابًۭا",
              "translate_bn": "সমবয়স্কা, পূর্ণযৌবনা তরুণী।",
              "numberInSurah": 33,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাওয়া-‘ইবা আতরা-বা-।",
              "words_arabic": "وَّ كَوَاعِبَ/وَكَوَاعِبَ/wakawa'iba//اَتْرَابًاۙ/أَتۡرَابٗا/atraban",
              "words_bangla": "এবং নব্য যুবতীরা//সমবয়স্কা"
            },
            {
              "number": 5706,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5706.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5706.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5706.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5706.mp3"
              ],
              "text": "وَكَأْسًۭا دِهَاقًۭا",
              "translate_bn": "এবং পূর্ণ পানপাত্র।",
              "numberInSurah": 34,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা’ছান দিহা-কা-।",
              "words_arabic": "وَّ كَاْسًا/وَكَأۡسٗا/wakasan//دِهَاقًاؕ/دِهَاقٗا/dihaqan",
              "words_bangla": "এবং পানপাত্র//পূর্ণ"
            },
            {
              "number": 5707,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5707.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5707.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5707.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5707.mp3"
              ],
              "text": "لَّا يَسْمَعُونَ فِيهَا لَغْوًۭا وَلَا كِذَّٰبًۭا",
              "translate_bn": "তারা তথায় অসার ও মিথ্যা বাক্য শুনবে না।",
              "numberInSurah": 35,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াছমা‘উনা ফীহা-লাগওয়াওঁ ওয়ালা-কিযযা-বা-।",
              "words_arabic": "لَا/لَّا/la//یَسْمَعُوْنَ/يَسۡمَعُونَ/yasma'una//فِیْهَا/فِيهَا/fiha//لَغْوًا/لَغۡوٗا/laghwan//وَّ لَا/وَلَا/wala//كِذّٰبًاۚ/كِذَّـٰبٗا/kidhaban",
              "words_bangla": "না//তারা শুনবে//তার মধ্যে//কোনো অসার কথা//আর  না//মিথ্যা"
            },
            {
              "number": 5708,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5708.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5708.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5708.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5708.mp3"
              ],
              "text": "جَزَآءًۭ مِّن رَّبِّكَ عَطَآءً حِسَابًۭا",
              "translate_bn": "এটা আপনার পালনকর্তার তরফ থেকে যথোচিত দান,",
              "numberInSurah": 36,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "জাঝাআম মির রাব্বিকা ‘আতাআন হিছা-বা-।",
              "words_arabic": "جَزَآءً/جَزَآءٗ/jazaan//مِّنْ/مِّن/min//رَّبِّكَ/رَّبِّكَ/rabbika//عَطَآءً/عَطَآءً/ataan//حِسَابًاۙ/حِسَابٗا/hisaban",
              "words_bangla": "পুরস্কার//পক্ষ হতে//তোমার রবের//(এ ছাড়াও) দান//যথোচিত"
            },
            {
              "number": 5709,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5709.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5709.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5709.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5709.mp3"
              ],
              "text": "رَّبِّ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ٱلرَّحْمَٰنِ ۖ لَا يَمْلِكُونَ مِنْهُ خِطَابًۭا",
              "translate_bn": "যিনি নভোমন্ডল, ভূমন্ডল ও এতদুভয়ের মধ্যবর্তী সবকিছুর পালনকর্তা, দয়াময়, কেউ তাঁর সাথে কথার অধিকারী হবে না।",
              "numberInSurah": 37,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "রাব্বিছ ছামা-ওয়া-তি ওয়াল আরদি ওয়ামা-বাইনাহুমাররাহমা-নি লা-ইয়ামলিকূনা মিনহু খিতা-বা-।",
              "words_arabic": "رَّبِّ/رَّبِّ/rabbi//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//بَیْنَهُمَا/بَيۡنَهُمَا/baynahuma//الرَّحْمٰنِ/ٱلرَّحۡمَٰنِۖ/al-rahmani//لَا/لَا/la//یَمْلِكُوْنَ/يَمۡلِكُونَ/yamlikuna//مِنْهُ/مِنۡهُ/min'hu//خِطَابًاۚ/خِطَابٗا/khitaban",
              "words_bangla": "(পক্ষ হতে) রবের//আকাশসমূহের//এবং পৃথিবীর//এবং যা কিছু//তাদের দু'য়ের মাঝে আছে//অশেষ দয়াবানের (পক্ষ হতে)//না//তারা সক্ষম হবে//তাঁর সাথে//কথা বলতে"
            },
            {
              "number": 5710,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5710.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5710.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5710.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5710.mp3"
              ],
              "text": "يَوْمَ يَقُومُ ٱلرُّوحُ وَٱلْمَلَٰٓئِكَةُ صَفًّۭا ۖ لَّا يَتَكَلَّمُونَ إِلَّا مَنْ أَذِنَ لَهُ ٱلرَّحْمَٰنُ وَقَالَ صَوَابًۭا",
              "translate_bn": "যেদিন রূহ ও ফেরেশতাগণ সারিবদ্ধভাবে দাঁড়াবে। দয়াময় আল্লাহ যাকে অনুমতি দিবেন, সে ব্যতিত কেউ কথা বলতে পারবে না এবং সে সত্যকথা বলবে।",
              "numberInSurah": 38,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াকূমুর রূহুওয়াল মালাইকাতুসাফফাল লা-ইয়াতাকাল্লামূনা ইল্লা-মান আযিনা লাহুর রাহমা-নুওয়া কা-লা সাওয়া-বা-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَقُوْمُ/يَقُومُ/yaqumu//الرُّوْحُ/ٱلرُّوحُ/al-ruhu//وَ الْمَلٰٓىِٕكَةُ/وَٱلۡمَلَـٰٓئِكَةُ/wal-malaikatu//صَفًّا ۙۗؕ/صَفّٗاۖ/saffan//لَّا/لَّا/la//یَتَكَلَّمُوْنَ/يَتَكَلَّمُونَ/yatakallamuna//اِلَّا/إِلَّا/illa//مَنْ/مَنۡ/man//اَذِنَ/أَذِنَ/adhina//لَهُ/لَهُ/lahu//الرَّحْمٰنُ/ٱلرَّحۡمَٰنُ/al-rahmanu//وَ قَالَ/وَقَالَ/waqala//صَوَابًا /صَوَابٗا/sawaban",
              "words_bangla": "সেদিন//দাঁড়াবে//রূহ (জিবরাইল)//ও ফেরেশতারা//সারিবদ্ধ ভাবে//না//তারা কথা বলবে//(সে) ছাড়া//যাকে//অনুমতি দেবেন//তার জন্যে//দয়াময়//এবং বলবে//যথাযথ"
            },
            {
              "number": 5711,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5711.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5711.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5711.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5711.mp3"
              ],
              "text": "ذَٰلِكَ ٱلْيَوْمُ ٱلْحَقُّ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ مَـَٔابًا",
              "translate_bn": "এই দিবস সত্য। অতঃপর যার ইচ্ছা, সে তার পালনকর্তার কাছে ঠিকানা তৈরী করুক।",
              "numberInSurah": 39,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "যা-লিকাল ইয়াওমুল হাক্কু ফামান শাআত্তাখাযা ইলা-রাব্বিহী মাআ-বা-।",
              "words_arabic": "ذٰلِكَ/ذَٰلِكَ/dhalika//الْیَوْمُ/ٱلۡيَوۡمُ/al-yawmu//الْحَقُّ ۚ/ٱلۡحَقُّۖ/al-haqu//فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//اتَّخَذَ/ٱتَّخَذَ/ittakhadha//اِلٰی/إِلَىٰ/ila//رَبِّهٖ/رَبِّهِۦ/rabbihi//مَاٰبًا /مَـَٔابًا/maaban",
              "words_bangla": "সে-ই//দিন//সুনিশ্চিত//অতএব যে//চায়//গ্রহণ করুক (আজ)//দিকে//তার রবের//প্রত্যাবর্তনের (পথ)"
            },
            {
              "number": 5712,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5712.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5712.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5712.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5712.mp3"
              ],
              "text": "إِنَّآ أَنذَرْنَٰكُمْ عَذَابًۭا قَرِيبًۭا يَوْمَ يَنظُرُ ٱلْمَرْءُ مَا قَدَّمَتْ يَدَاهُ وَيَقُولُ ٱلْكَافِرُ يَٰلَيْتَنِى كُنتُ تُرَٰبًۢا",
              "translate_bn": "আমি তোমাদেরকে আসন্ন শাস্তি সম্পর্কে সতর্ক করলাম, যেদিন মানুষ প্রত্যেক্ষ করবে যা সে সামনে প্রেরণ করেছে এবং কাফের বলবেঃ হায়, আফসোস-আমি যদি মাটি হয়ে যেতাম।",
              "numberInSurah": 40,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 519,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনযারনা-কুম ‘আযা-বান কারীবাইঁ ইয়াওমা ইয়ানযু রুল মারউ মা-কাদ্দামাত ইয়াদা-হু ওয়া ইয়াকূলুল কা-ফিরু ইয়া-লাইতানী কুনতুতুরা-বা।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْذَرْنٰكُمْ/أَنذَرۡنَٰكُمۡ/andharnakum//عَذَابًا/عَذَابٗا/adhaban//قَرِیْبًا ۖۚ۬/قَرِيبٗا/qariban//یَّوْمَ/يَوۡمَ/yawma//یَنْظُرُ/يَنظُرُ/yanzuru//الْمَرْءُ/ٱلۡمَرۡءُ/al-maru//مَا/مَا/ma//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//یَدٰهُ/يَدَاهُ/yadahu//وَ یَقُوْلُ/وَيَقُولُ/wayaqulu//الْكٰفِرُ/ٱلۡكَافِرُ/al-kafiru//یٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//كُنْتُ/كُنتُ/kuntu//تُرٰبًا۠/تُرَٰبَۢا/turaban",
              "words_bangla": "নিশ্চয়ই আমরা//তোমাদেরকে আমরা সতর্ক করছি//শাস্তির//আসন্ন//সেদিন//দেখবে//মানুষ//যা//আগে পাঠিয়েছে//তার দু'হাত//এবং বলবে//কাফের//\"হায় আমার আফসোস//যদি আমি হতাম//মাটি\""
            }
          ]
        },
        {
          "number": 79,
          "name": "سُورَةُ النَّازِعَاتِ",
          "englishName": "An-Naazi'aat",
          "englishNameTranslation": "Those who drag forth",
          "revelationType": "Meccan",
          "verse": 46,
          "words": 418,
          "chars": 1783,
          "ayahs": [
            {
              "number": 5713,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5713.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5713.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5713.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5713.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلنَّٰزِعَٰتِ غَرْقًۭا",
              "translate_bn": "শপথ সেই ফেরেশতাগণের, যারা ডুব দিয়ে আত্মা উৎপাটন করে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্না-ঝি‘আ-তি গারকা-।",
              "words_arabic": "وَ النّٰزِعٰتِ/وَٱلنَّـٰزِعَٰتِ/wal-nazi'ati//غَرْقًاۙ/غَرۡقٗا/gharqan",
              "words_bangla": "শপথ সজোরে (প্রাণ) নির্গতকারী (ফেরেশতাদের)//(যারা নির্গত করে) ডুবে"
            },
            {
              "number": 5714,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5714.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5714.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5714.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5714.mp3"
              ],
              "text": "وَٱلنَّٰشِطَٰتِ نَشْطًۭا",
              "translate_bn": "শপথ তাদের, যারা আত্মার বাঁধন খুলে দেয় মৃদুভাবে;",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্না-শিতা-তি নাশতা-।",
              "words_arabic": "وَّ النّٰشِطٰتِ/وَٱلنَّـٰشِطَٰتِ/wal-nashitati//نَشْطًاۙ/نَشۡطٗا/nashtan",
              "words_bangla": "শপথ (আত্মার) বাঁধন উন্মুক্তকারী (ফেরেশতাদের)//(যারা মৃদুভাবে) উন্মুক্ত (করে)"
            },
            {
              "number": 5715,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5715.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5715.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5715.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5715.mp3"
              ],
              "text": "وَٱلسَّٰبِحَٰتِ سَبْحًۭا",
              "translate_bn": "শপথ তাদের, যারা সন্তরণ করে দ্রুতগতিতে,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়াছছা-বিহা-তি ছাবহা-।",
              "words_arabic": "وَّ السّٰبِحٰتِ/وَٱلسَّـٰبِحَٰتِ/wal-sabihati//سَبْحًاۙ/سَبۡحٗا/sabhan",
              "words_bangla": "শপথ সাঁতারকারী (ফেরেশতাদের)//(যারা তীব্র গতিতে) সাঁতরায়"
            },
            {
              "number": 5716,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5716.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5716.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5716.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5716.mp3"
              ],
              "text": "فَٱلسَّٰبِقَٰتِ سَبْقًۭا",
              "translate_bn": "শপথ তাদের, যারা দ্রুতগতিতে অগ্রসর হয় এবং",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাছছা-বিকা-তি ছাবকা-।",
              "words_arabic": "فَالسّٰبِقٰتِ/فَٱلسَّـٰبِقَٰتِ/fal-sabiqati//سَبْقًاۙ/سَبۡقٗا/sabqan",
              "words_bangla": "অতঃপর (শপথ) অগ্রগামী (ফেরেশতাদের)//দ্রুতবেগে"
            },
            {
              "number": 5717,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5717.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5717.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5717.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5717.mp3"
              ],
              "text": "فَٱلْمُدَبِّرَٰتِ أَمْرًۭا",
              "translate_bn": "শপথ তাদের, যারা সকল কর্মনির্বাহ করে, কেয়ামত অবশ্যই হবে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাল মুদাব্বিরা-তি আমরা-।",
              "words_arabic": "فَالْمُدَبِّرٰتِ/فَٱلۡمُدَبِّرَٰتِ/fal-mudabirati//اَمْرًاۘ/أَمۡرٗا/amran",
              "words_bangla": "অতঃপর (শপথ) কার্যনির্বাহী (ফেরেশতাদের)//(যারা পরিচালনা করে) কর্ম"
            },
            {
              "number": 5718,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5718.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5718.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5718.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5718.mp3"
              ],
              "text": "يَوْمَ تَرْجُفُ ٱلرَّاجِفَةُ",
              "translate_bn": "যেদিন প্রকম্পিত করবে প্রকম্পিতকারী,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তারজুফুররা-জিফাহ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تَرْجُفُ/تَرۡجُفُ/tarjufu//الرَّاجِفَةُۙ/ٱلرَّاجِفَةُ/al-rajifatu",
              "words_bangla": "সেদিন//প্রকম্পিত করবে//প্রথম শিংগাধ্বনি"
            },
            {
              "number": 5719,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5719.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5719.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5719.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5719.mp3"
              ],
              "text": "تَتْبَعُهَا ٱلرَّادِفَةُ",
              "translate_bn": "অতঃপর পশ্চাতে আসবে পশ্চাদগামী;",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "তাতবা‘উহার রা-দিফাহ।",
              "words_arabic": "تَتْبَعُهَا/تَتۡبَعُهَا/tatba'uha//الرَّادِفَةُؕ/ٱلرَّادِفَةُ/al-radifatu",
              "words_bangla": "তার অনুসরণ করবে//(আরো একটি) শিংগাধ্বনি"
            },
            {
              "number": 5720,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5720.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5720.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5720.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5720.mp3"
              ],
              "text": "قُلُوبٌۭ يَوْمَئِذٍۢ وَاجِفَةٌ",
              "translate_bn": "সেদিন অনেক হৃদয় ভীত-বিহবল হবে।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "কূলূবুইঁ ইয়াওমাইযিওঁ ওয়া-জিফাহ।",
              "words_arabic": "قُلُوْبٌ/قُلُوبٞ/qulubun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//وَّاجِفَةٌۙ/وَاجِفَةٌ/wajifatun",
              "words_bangla": "(কতিপয়) হৃদয়//সেদিন//ভীত-কম্পিত (হবে)"
            },
            {
              "number": 5721,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5721.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5721.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5721.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5721.mp3"
              ],
              "text": "أَبْصَٰرُهَا خَٰشِعَةٌۭ",
              "translate_bn": "তাদের দৃষ্টি নত হবে।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আবসা-রুহা-খা-শি‘আহ।",
              "words_arabic": "اَبْصَارُهَا/أَبۡصَٰرُهَا/absaruha//خَاشِعَةٌۘ/خَٰشِعَةٞ/khashi'atun",
              "words_bangla": "তার দৃষ্টি সমূহ//ভীতসন্ত্রস্ত (হবে)"
            },
            {
              "number": 5722,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5722.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5722.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5722.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5722.mp3"
              ],
              "text": "يَقُولُونَ أَءِنَّا لَمَرْدُودُونَ فِى ٱلْحَافِرَةِ",
              "translate_bn": "তারা বলেঃ আমরা কি উলটো পায়ে প্রত্যাবর্তিত হবই-",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূ লূনা আ ইন্না-লামারদূদূনা ফিল হা-ফিরাহ।",
              "words_arabic": "یَقُوْلُوْنَ/يَقُولُونَ/yaquluna//ءَاِنَّا/أَءِنَّا/a-inna//لَمَرْدُوْدُوْنَ/لَمَرۡدُودُونَ/lamarduduna//فِی/فِي/fi//الْحَافِرَةِؕ/ٱلۡحَافِرَةِ/al-hafirati",
              "words_bangla": "তারা বলে//\"অবশ্যই কি আমরা//অবশ্যই প্রত্যাবর্তিত হবো//মধ্যে//পূর্বাবস্থার"
            },
            {
              "number": 5723,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5723.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5723.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5723.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5723.mp3"
              ],
              "text": "أَءِذَا كُنَّا عِظَٰمًۭا نَّخِرَةًۭ",
              "translate_bn": "গলিত অস্থি হয়ে যাওয়ার পরও?",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আইযা-কুন্না-‘ইজা-মান নাখিরাহ।",
              "words_arabic": "ءَاِذَا/أَءِذَا/a-idha//كُنَّا/كُنَّا/kunna//عِظَامًا/عِظَٰمٗا/izaman//نَّخِرَةًؕ/نَّخِرَةٗ/nakhiratan",
              "words_bangla": "যখন কি//আমরা হবো (পরিণত)//হাড়গুলোয়//গলিত\""
            },
            {
              "number": 5724,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5724.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5724.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5724.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5724.mp3"
              ],
              "text": "قَالُوا۟ تِلْكَ إِذًۭا كَرَّةٌ خَاسِرَةٌۭ",
              "translate_bn": "তবে তো এ প্রত্যাবর্তন সর্বনাশা হবে!",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "কা-লূতিলকা ইযান কাররাতুন খা-ছিরাহ।",
              "words_arabic": "قَالُوْا/قَالُواْ/qalu//تِلْكَ/تِلۡكَ/til'ka//اِذًا/إِذٗا/idhan//كَرَّةٌ/كَرَّةٌ/karratun//خَاسِرَةٌۘ/خَاسِرَةٞ/khasiratun",
              "words_bangla": "তারা বলল//\"এটা//তা হলে//প্রত্যাবর্তন//বড়ই ক্ষতিকর (হবে)\""
            },
            {
              "number": 5725,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5725.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5725.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5725.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5725.mp3"
              ],
              "text": "فَإِنَّمَا هِىَ زَجْرَةٌۭ وَٰحِدَةٌۭ",
              "translate_bn": "অতএব, এটা তো কেবল এক মহা-নাদ,",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নামা-হিয়া ঝাজরাতুওঁ ওয়া-হিদাহ ।",
              "words_arabic": "فَاِنَّمَا/فَإِنَّمَا/fa-innama//هِیَ/هِيَ/hiya//زَجْرَةٌ/زَجۡرَةٞ/zajratun//وَّاحِدَةٌۙ/وَٰحِدَةٞ/wahidatun",
              "words_bangla": "প্রকৃতপক্ষে//তা//বিকট আওয়াজ//একটি মাত্র"
            },
            {
              "number": 5726,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5726.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5726.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5726.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5726.mp3"
              ],
              "text": "فَإِذَا هُم بِٱلسَّاهِرَةِ",
              "translate_bn": "তখনই তারা ময়দানে আবির্ভূত হবে।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-হুম বিছছা-হিরাহ।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//هُمْ/هُم/hum//بِالسَّاهِرَةِؕ/بِٱلسَّاهِرَةِ/bil-sahirati",
              "words_bangla": "অতঃপর তখনই//তারা//খোলা ময়দানে (হবে)"
            },
            {
              "number": 5727,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5727.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5727.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5727.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5727.mp3"
              ],
              "text": "هَلْ أَتَىٰكَ حَدِيثُ مُوسَىٰٓ",
              "translate_bn": "মূসার বৃত্তান্ত আপনার কাছে পৌছেছে কি?",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 583,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "হাল আতা-কা হাদীছুমূছা-।",
              "words_arabic": "هَلْ/هَلۡ/hal//اَتٰىكَ/أَتَىٰكَ/ataka//حَدِیْثُ/حَدِيثُ/hadithu//مُوْسٰیۘ/مُوسَىٰٓ/musa",
              "words_bangla": "কি//তোমার কাছে এসেছে//বৃত্তান্ত//মূসার"
            },
            {
              "number": 5728,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5728.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5728.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5728.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5728.mp3"
              ],
              "text": "إِذْ نَادَىٰهُ رَبُّهُۥ بِٱلْوَادِ ٱلْمُقَدَّسِ طُوًى",
              "translate_bn": "যখন তার পালনকর্তা তাকে পবিত্র তুয়া উপ্যকায় আহবান করেছিলেন,",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইযনা-দা-হু রাব্বুহূবিলওয়া-দিল মুকাদ্দাছি তুওয়া-।",
              "words_arabic": "اِذْ/إِذۡ/idh//نَادٰىهُ/نَادَىٰهُ/nadahu//رَبُّهٗ/رَبُّهُۥ/rabbuhu//بِالْوَادِ/بِٱلۡوَادِ/bil-wadi//الْمُقَدَّسِ/ٱلۡمُقَدَّسِ/al-muqadasi//طُوًیۚ/طُوًى/tuwan",
              "words_bangla": "যখন//তাকে ডেকেছিলেন//তার রব//উপত্যকায়//পবিত্র//তুয়ার"
            },
            {
              "number": 5729,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5729.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5729.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5729.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5729.mp3"
              ],
              "text": "ٱذْهَبْ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ",
              "translate_bn": "ফেরাউনের কাছে যাও, নিশ্চয় সে সীমালংঘন করেছে।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইযহাব ইলা-ফির‘আওনা ইন্নাহূতাগা-।",
              "words_arabic": "اِذْهَبْ/ٱذۡهَبۡ/idh'hab//اِلٰی/إِلَىٰ/ila//فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//اِنَّهٗ/إِنَّهُۥ/innahu//طَغٰیؗۖ/طَغَىٰ/tagha",
              "words_bangla": "\"(আল্লাহ বললেন তাকে) যাও//নিকট//ফিরআউনের//সে নিশ্চয়ই//সীমালঙ্ঘন করেছে"
            },
            {
              "number": 5730,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5730.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5730.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5730.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5730.mp3"
              ],
              "text": "فَقُلْ هَل لَّكَ إِلَىٰٓ أَن تَزَكَّىٰ",
              "translate_bn": "অতঃপর বলঃ তোমার পবিত্র হওয়ার আগ্রহ আছে কি?",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাকুল হাল্লাকা ইলাআন তাঝাক্কা-।",
              "words_arabic": "فَقُلْ/فَقُلۡ/faqul//هَلْ/هَل/hal//لَّكَ/لَّكَ/laka//اِلٰۤی/إِلَىٰٓ/ila//اَنْ/أَن/an//تَزَكّٰیۙ/تَزَكَّىٰ/tazakka",
              "words_bangla": "অতঃপর বল//\"(আছে) কি//তোমার (আগ্রহ)//(এর) প্রতি//যে//তুমি পবিত্র হবে"
            },
            {
              "number": 5731,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5731.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5731.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5731.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5731.mp3"
              ],
              "text": "وَأَهْدِيَكَ إِلَىٰ رَبِّكَ فَتَخْشَىٰ",
              "translate_bn": "আমি তোমাকে তোমার পালনকর্তার দিকে পথ দেখাব, যাতে তুমি তাকে ভয় কর।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া আহদিয়াকা ইলা-রাব্বিকা ফাতাখশা-।",
              "words_arabic": "وَ اَهْدِیَكَ/وَأَهۡدِيَكَ/wa-ahdiyaka//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//فَتَخْشٰیۚ/فَتَخۡشَىٰ/fatakhsha",
              "words_bangla": "এবং তোমাকে আমি পথ দেখাবো//দিকে//তোমার রবের//তুমি যেন ভয় করো\""
            },
            {
              "number": 5732,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5732.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5732.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5732.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5732.mp3"
              ],
              "text": "فَأَرَىٰهُ ٱلْءَايَةَ ٱلْكُبْرَىٰ",
              "translate_bn": "অতঃপর সে তাকে মহা-নিদর্শন দেখাল।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাআরা-হুল আ-য়াতাল কুবরা-।",
              "words_arabic": "فَاَرٰىهُ/فَأَرَىٰهُ/fa-arahu//الْاٰیَةَ/ٱلۡأٓيَةَ/al-ayata//الْكُبْرٰیؗۖ/ٱلۡكُبۡرَىٰ/al-kub'ra",
              "words_bangla": "অতঃপর  সে তাকে দেখালো//একটি নিদর্শন//বড়"
            },
            {
              "number": 5733,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5733.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5733.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5733.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5733.mp3"
              ],
              "text": "فَكَذَّبَ وَعَصَىٰ",
              "translate_bn": "কিন্তু সে মিথ্যারোপ করল এবং অমান্য করল।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবা ওয়া‘আসা-।",
              "words_arabic": "فَكَذَّبَ/فَكَذَّبَ/fakadhaba//وَعَصٰیؗۖ/وَعَصَىٰ/wa'asa",
              "words_bangla": "কিন্তু সে মিথ্যারোপ করলো//এবং অবাধ্য হলো"
            },
            {
              "number": 5734,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5734.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5734.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5734.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5734.mp3"
              ],
              "text": "ثُمَّ أَدْبَرَ يَسْعَىٰ",
              "translate_bn": "অতঃপর সে প্রতিকার চেষ্টায় প্রস্থান করল।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আদবারা ইয়াছ‘আ-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَدْبَرَ/أَدۡبَرَ/adbara//یَسْعٰیؗۖ/يَسۡعَىٰ/yas'a",
              "words_bangla": "এর পরে//পিঠ ফিরালো//(প্রতিকারে) সচেষ্ট হলো"
            },
            {
              "number": 5735,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5735.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5735.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5735.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5735.mp3"
              ],
              "text": "فَحَشَرَ فَنَادَىٰ",
              "translate_bn": "সে সকলকে সমবেত করল এবং সজোরে আহবান করল,",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাহাশারা ফানা-দা-।",
              "words_arabic": "فَحَشَرَ/فَحَشَرَ/fahashara//فَنَادٰیؗۖ/فَنَادَىٰ/fanada",
              "words_bangla": "পরে সমবেত করল//আর ঘোষণা করল"
            },
            {
              "number": 5736,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5736.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5736.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5736.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5736.mp3"
              ],
              "text": "فَقَالَ أَنَا۠ رَبُّكُمُ ٱلْأَعْلَىٰ",
              "translate_bn": "এবং বললঃ আমিই তোমাদের সেরা পালনকর্তা।",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লা আনা রাব্বুকুমুল আ‘লা-।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//اَنَا/أَنَا۠/ana//رَبُّكُمُ/رَبُّكُمُ/rabbukumu//الْاَعْلٰیؗۖ/ٱلۡأَعۡلَىٰ/al-a'la",
              "words_bangla": "অতঃপর বললো//\"আমি//তোমাদের রব//সর্বশ্রেষ্ঠ\""
            },
            {
              "number": 5737,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5737.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5737.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5737.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5737.mp3"
              ],
              "text": "فَأَخَذَهُ ٱللَّهُ نَكَالَ ٱلْءَاخِرَةِ وَٱلْأُولَىٰٓ",
              "translate_bn": "অতঃপর আল্লাহ তাকে পরকালের ও ইহকালের শাস্তি দিলেন।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাআখাযাহুল্লা-হু নাকা-লাল আ-খিরাতি ওয়াল ঊলা-।",
              "words_arabic": "فَاَخَذَهُ/فَأَخَذَهُ/fa-akhadhahu//اللّٰهُ/ٱللَّهُ/al-lahu//نَكَالَ/نَكَالَ/nakala//الْاٰخِرَةِ/ٱلۡأٓخِرَةِ/al-akhirati//وَ الْاُوْلٰیؕ/وَٱلۡأُولَىٰٓ/wal-ula",
              "words_bangla": "তখন তাকে ধরলেন//আল্লাহ//শাস্তি (দিয়ে)//আখেরাতের//ও দুনিয়ার"
            },
            {
              "number": 5738,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5738.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5738.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5738.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5738.mp3"
              ],
              "text": "إِنَّ فِى ذَٰلِكَ لَعِبْرَةًۭ لِّمَن يَخْشَىٰٓ",
              "translate_bn": "যে ভয় করে তার জন্যে অবশ্যই এতে শিক্ষা রয়েছে।",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 520,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্না ফী যা-লিকা লা‘ইবরাতাল লিমাইঁ ইয়াখশা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//لَعِبْرَةً/لَعِبۡرَةٗ/la'ib'ratan//لِّمَنْ/لِّمَن/liman//یَّخْشٰیؕ۠/يَخۡشَىٰٓ/yakhsha",
              "words_bangla": "নিশ্চয়ই//মধ্যে আছে//এর//অবশ্যই শিক্ষা//তার জন্যে যে//ভয় করে"
            },
            {
              "number": 5739,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5739.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5739.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5739.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5739.mp3"
              ],
              "text": "ءَأَنتُمْ أَشَدُّ خَلْقًا أَمِ ٱلسَّمَآءُ ۚ بَنَىٰهَا",
              "translate_bn": "তোমাদের সৃষ্টি অধিক কঠিন না আকাশের, যা তিনি নির্মাণ করেছেন?",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আ আনতুম আশাদ্দুখালকান আমিছ ছামাউ বানা-হা-।",
              "words_arabic": "ءَاَنْتُمْ/ءَأَنتُمۡ/a-antum//اَشَدُّ/أَشَدُّ/ashaddu//خَلْقًا/خَلۡقًا/khalqan//اَمِ/أَمِ/ami//السَّمَآءُ ؕ/ٱلسَّمَآءُۚ/al-samau//بَنٰىهَاۥ/بَنَىٰهَا/banaha",
              "words_bangla": "তোমরা কি//কঠিনতর//সৃষ্টি//নাকি//আকাশ//তা তিনি নির্মাণ করেছেন"
            },
            {
              "number": 5740,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5740.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5740.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5740.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5740.mp3"
              ],
              "text": "رَفَعَ سَمْكَهَا فَسَوَّىٰهَا",
              "translate_bn": "তিনি একে উচ্চ করেছেন ও সুবিন্যস্ত করেছেন।",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "রাফা‘আ ছামকাহা-ফাছাওয়া-হা-।",
              "words_arabic": "رَفَعَ/رَفَعَ/rafa'a//سَمْكَهَا/سَمۡكَهَا/samkaha//فَسَوّٰىهَاۙ/فَسَوَّىٰهَا/fasawwaha",
              "words_bangla": "তিনি উঁচু করেছেন//তার উচ্চতর স্তরকে (ছাদ)//অতঃপর তিনি তা সুবিন্যস্ত করেছেন"
            },
            {
              "number": 5741,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5741.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5741.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5741.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5741.mp3"
              ],
              "text": "وَأَغْطَشَ لَيْلَهَا وَأَخْرَجَ ضُحَىٰهَا",
              "translate_bn": "তিনি এর রাত্রিকে করেছেন অন্ধকারাচ্ছন্ন এবং এর সূর্যোলোক প্রকাশ করেছেন।",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া আগতাশা লাইলাহা-ওয়া আখরাজা দুহা-হা-।\r\n",
              "words_arabic": "وَ اَغْطَشَ/وَأَغۡطَشَ/wa-aghtasha//لَیْلَهَا/لَيۡلَهَا/laylaha//وَ اَخْرَجَ/وَأَخۡرَجَ/wa-akhraja//ضُحٰىهَا۪/ضُحَىٰهَا/duhaha",
              "words_bangla": "এবং অন্ধকারাচ্ছন্ন করেছেন//তার রাতকে//এবং বের করেছেন//তার সূর্যের আলো"
            },
            {
              "number": 5742,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5742.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5742.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5742.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5742.mp3"
              ],
              "text": "وَٱلْأَرْضَ بَعْدَ ذَٰلِكَ دَحَىٰهَآ",
              "translate_bn": "পৃথিবীকে এর পরে বিস্তৃত করেছেন।",
              "numberInSurah": 30,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আর দা বা‘দা যা-লিকা দাহা-হা-।",
              "words_arabic": "وَ الْاَرْضَ/وَٱلۡأَرۡضَ/wal-arda//بَعْدَ/بَعۡدَ/ba'da//ذٰلِكَ/ذَٰلِكَ/dhalika//دَحٰىهَاؕ/دَحَىٰهَآ/dahaha",
              "words_bangla": "এবং পৃথিবীকে//পরে//এর//তা বিস্তৃত করেছেন"
            },
            {
              "number": 5743,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5743.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5743.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5743.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5743.mp3"
              ],
              "text": "أَخْرَجَ مِنْهَا مَآءَهَا وَمَرْعَىٰهَا",
              "translate_bn": "তিনি এর মধ্য থেকে এর পানি ও ঘাম নির্গত করেছেন,",
              "numberInSurah": 31,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "আখরাজা মিনহা-মাআহা-ওয়া মার‘আ-হা-।",
              "words_arabic": "اَخْرَجَ/أَخۡرَجَ/akhraja//مِنْهَا/مِنۡهَا/min'ha//مَآءَهَا/مَآءَهَا/maaha//وَ مَرْعٰىهَا۪/وَمَرۡعَىٰهَا/wamar'aha",
              "words_bangla": "বের করেছেন//তা হতে//তার পানি//ও তার উদ্ভিদ/ তৃণ"
            },
            {
              "number": 5744,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5744.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5744.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5744.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5744.mp3"
              ],
              "text": "وَٱلْجِبَالَ أَرْسَىٰهَا",
              "translate_bn": "পর্বতকে তিনি দৃঢ়ভাবে প্রতিষ্ঠিত করেছেন,",
              "numberInSurah": 32,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়াল জিবা-লা আরছা-হা।\r\n",
              "words_arabic": "وَ الْجِبَالَ/وَٱلۡجِبَالَ/wal-jibala//اَرْسٰىهَاۙ/أَرۡسَىٰهَا/arsaha",
              "words_bangla": "এবং পর্বতমালাকে//তা দৃঢ়ভাবে প্রোথিত করেছেন"
            },
            {
              "number": 5745,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5745.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5745.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5745.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5745.mp3"
              ],
              "text": "مَتَٰعًۭا لَّكُمْ وَلِأَنْعَٰمِكُمْ",
              "translate_bn": "তোমাদের ও তোমাদের চতুস্পদ জন্তুদের উপকারার্থে।",
              "numberInSurah": 33,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "মাতা-‘আল্লাকুম ওয়ালি আন‘আ-মিকুম।\r\n",
              "words_arabic": "مَتَاعًا/مَتَٰعٗا/mata'an//لَّكُمْ/لَّكُمۡ/lakum//وَ لِاَنْعَامِكُمْؕ/وَلِأَنۡعَٰمِكُمۡ/wali-an'amikum",
              "words_bangla": "জীবিকা সামগ্রীরূপে//তোমাদের জন্য//এবং তোমাদের গৃহপালিত পশুর জন্য"
            },
            {
              "number": 5746,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5746.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5746.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5746.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5746.mp3"
              ],
              "text": "فَإِذَا جَآءَتِ ٱلطَّآمَّةُ ٱلْكُبْرَىٰ",
              "translate_bn": "অতঃপর যখন মহাসংকট এসে যাবে।",
              "numberInSurah": 34,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-জাআত্তিত্তাম্মাতুল কুবরা-।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//جَآءَتِ/جَآءَتِ/jaati//الطَّآمَّةُ/ٱلطَّآمَّةُ/al-tamatu//الْكُبْرٰیؗۖ/ٱلۡكُبۡرَىٰ/al-kub'ra",
              "words_bangla": "অতঃপর যখন//আসবে//মহাসংকট//মহা"
            },
            {
              "number": 5747,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5747.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5747.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5747.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5747.mp3"
              ],
              "text": "يَوْمَ يَتَذَكَّرُ ٱلْإِنسَٰنُ مَا سَعَىٰ",
              "translate_bn": "অর্থাৎ যেদিন মানুষ তার কৃতকর্ম স্মরণ করবে",
              "numberInSurah": 35,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াতাযাক্কারুল ইনছা-নুমা-ছা‘আ-।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مَا/مَا/ma//سَعٰیۙ/سَعَىٰ/sa'a",
              "words_bangla": "সেদিন//স্মরণ করবে//মানুষ//যা//সে চেষ্টা করেছিল"
            },
            {
              "number": 5748,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5748.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5748.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5748.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5748.mp3"
              ],
              "text": "وَبُرِّزَتِ ٱلْجَحِيمُ لِمَن يَرَىٰ",
              "translate_bn": "এবং দর্শকদের জন্যে জাহান্নাম প্রকাশ করা হবে,",
              "numberInSurah": 36,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া বুররিঝাতিল জাহীমুলিমাইঁ ইয়ারা-।",
              "words_arabic": "وَ بُرِّزَتِ/وَبُرِّزَتِ/waburrizati//الْجَحِیْمُ/ٱلۡجَحِيمُ/al-jahimu//لِمَنْ/لِمَن/liman//یَّرٰی /يَرَىٰ/yara",
              "words_bangla": "এবং প্রকাশ করা হবে//জাহান্নাম//তার জন্যে যে//দেখে"
            },
            {
              "number": 5749,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5749.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5749.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5749.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5749.mp3"
              ],
              "text": "فَأَمَّا مَن طَغَىٰ",
              "translate_bn": "তখন যে ব্যক্তি সীমালংঘন করেছে;",
              "numberInSurah": 37,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান তাগা-।\r\n",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَن/man//طَغٰیۙ/طَغَىٰ/tagha",
              "words_bangla": "অনন্তর//যে//সীমালঙ্ঘন করেছে"
            },
            {
              "number": 5750,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5750.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5750.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5750.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5750.mp3"
              ],
              "text": "وَءَاثَرَ ٱلْحَيَوٰةَ ٱلدُّنْيَا",
              "translate_bn": "এবং পার্থিব জীবনকে অগ্রাধিকার দিয়েছে,",
              "numberInSurah": 38,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া আ-ছারাল হায়া-তাদ্দুনইয়া-।",
              "words_arabic": "وَ اٰثَرَ/وَءَاثَرَ/waathara//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَاۙ/ٱلدُّنۡيَا/al-dun'ya",
              "words_bangla": "এবং অগ্রাধিকার দিয়েছে//জীবনকে//দুনিয়ার"
            },
            {
              "number": 5751,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5751.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5751.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5751.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5751.mp3"
              ],
              "text": "فَإِنَّ ٱلْجَحِيمَ هِىَ ٱلْمَأْوَىٰ",
              "translate_bn": "তার ঠিকানা হবে জাহান্নাম।",
              "numberInSurah": 39,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাল জাহীমা হিয়াল মা’ওয়া-।",
              "words_arabic": "فَاِنَّ/فَإِنَّ/fa-inna//الْجَحِیْمَ/ٱلۡجَحِيمَ/al-jahima//هِیَ/هِيَ/hiya//الْمَاْوٰیؕ/ٱلۡمَأۡوَىٰ/al-mawa",
              "words_bangla": "অতঃপর নিশ্চয়ই//দোযখই (হবে)//তাই//(তার) বাসস্থান"
            },
            {
              "number": 5752,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5752.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5752.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5752.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5752.mp3"
              ],
              "text": "وَأَمَّا مَنْ خَافَ مَقَامَ رَبِّهِۦ وَنَهَى ٱلنَّفْسَ عَنِ ٱلْهَوَىٰ",
              "translate_bn": "পক্ষান্তরে যে ব্যক্তি তার পালনকর্তার সামনে দন্ডায়মান হওয়াকে ভয় করেছে এবং খেয়াল-খুশী থেকে নিজেকে নিবৃত্ত রেখেছে,",
              "numberInSurah": 40,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান খা-ফা মাকা-মা রাব্বিহী ওয়া নাহান্নাফছা ‘আনিল হাওয়া-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَنۡ/man//خَافَ/خَافَ/khafa//مَقَامَ/مَقَامَ/maqama//رَبِّهٖ/رَبِّهِۦ/rabbihi//وَ نَهَی/وَنَهَى/wanaha//النَّفْسَ/ٱلنَّفۡسَ/al-nafsa//عَنِ/عَنِ/ani//الْهَوٰیۙ/ٱلۡهَوَىٰ/al-hawa",
              "words_bangla": "অপরদিকে//যে//ভয় করেছে//দাঁড়াতে//তার রবের সামনে//এবং বিরত রেখেছে//প্রবৃত্তিকে//হতে//খারাপ কামনা"
            },
            {
              "number": 5753,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5753.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5753.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5753.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5753.mp3"
              ],
              "text": "فَإِنَّ ٱلْجَنَّةَ هِىَ ٱلْمَأْوَىٰ",
              "translate_bn": "তার ঠিকানা হবে জান্নাত।",
              "numberInSurah": 41,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফাইন্নাল জান্নাতা হিয়াল মা’ওয়া।",
              "words_arabic": "فَاِنَّ/فَإِنَّ/fa-inna//الْجَنَّةَ/ٱلۡجَنَّةَ/al-janata//هِیَ/هِيَ/hiya//الْمَاْوٰیؕ/ٱلۡمَأۡوَىٰ/al-mawa",
              "words_bangla": "অতঃপর নিশ্চয়ই//জান্নাত (হবে)//তাই//(তার) বাসস্থান"
            },
            {
              "number": 5754,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5754.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5754.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5754.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5754.mp3"
              ],
              "text": "يَسْـَٔلُونَكَ عَنِ ٱلسَّاعَةِ أَيَّانَ مُرْسَىٰهَا",
              "translate_bn": "তারা আপনাকে জিজ্ঞাসা করে, কেয়ামত কখন হবে?",
              "numberInSurah": 42,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইয়াছা‘আলূনাকা ‘আনিছ ছা-‘আতি আইইয়া-না মুরছা-হা-।",
              "words_arabic": "یَسْـَٔلُوْنَكَ/يَسۡـَٔلُونَكَ/yasalunaka//عَنِ/عَنِ/ani//السَّاعَةِ/ٱلسَّاعَةِ/al-sa'ati//اَیَّانَ/أَيَّانَ/ayyana//مُرْسٰىهَاؕ/مُرۡسَىٰهَا/mur'saha",
              "words_bangla": "তারা তোমাকে জিজ্ঞাসা করে//সম্পর্কে//কিয়ামত//কখন//তা ঘটবে"
            },
            {
              "number": 5755,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5755.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5755.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5755.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5755.mp3"
              ],
              "text": "فِيمَ أَنتَ مِن ذِكْرَىٰهَآ",
              "translate_bn": "এর বর্ণনার সাথে আপনার কি সম্পর্ক ?",
              "numberInSurah": 43,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ফীমা আনতা মিন যিকরা-হা-।",
              "words_arabic": "فِیْمَ/فِيمَ/fima//اَنْتَ/أَنتَ/anta//مِنْ/مِن/min//ذِكْرٰىهَاؕ/ذِكۡرَىٰهَآ/dhik'raha",
              "words_bangla": "সে ব্যাপারে//তোমার (কী সম্পর্ক)//সঙ্গে//তার উল্লেখ করার"
            },
            {
              "number": 5756,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5756.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5756.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5756.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5756.mp3"
              ],
              "text": "إِلَىٰ رَبِّكَ مُنتَهَىٰهَآ",
              "translate_bn": "এর চরম জ্ঞান আপনার পালনকর্তার কাছে।",
              "numberInSurah": 44,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইলা-রাব্বিকা মুনতাহা-হা-।",
              "words_arabic": "اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//مُنْتَهٰىهَاؕ/مُنتَهَىٰهَآ/muntahaha",
              "words_bangla": "নিকট//তোমার রবের//তার চূড়ান্ত (জ্ঞান)"
            },
            {
              "number": 5757,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5757.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5757.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5757.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5757.mp3"
              ],
              "text": "إِنَّمَآ أَنتَ مُنذِرُ مَن يَخْشَىٰهَا",
              "translate_bn": "যে একে ভয় করে, আপনি তো কেবল তাকেই সতর্ক করবেন।",
              "numberInSurah": 45,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "ইন্নামাআনতা মুনযিরু মাইঁ ইয়াখশা-হা-।",
              "words_arabic": "اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مُنْذِرُ/مُنذِرُ/mundhiru//مَنْ/مَن/man//یَّخْشٰىهَاؕ/يَخۡشَىٰهَا/yakhshaha",
              "words_bangla": "কেবল//তুমি//সতর্ককারী (মাত্র)//যে//তা ভয় করে"
            },
            {
              "number": 5758,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5758.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5758.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5758.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5758.mp3"
              ],
              "text": "كَأَنَّهُمْ يَوْمَ يَرَوْنَهَا لَمْ يَلْبَثُوٓا۟ إِلَّا عَشِيَّةً أَوْ ضُحَىٰهَا",
              "translate_bn": "যেদিন তারা একে দেখবে, সেদিন মনে হবে যেন তারা দুনিয়াতে মাত্র এক সন্ধ্যা অথবা এক সকাল অবস্থান করেছে।",
              "numberInSurah": 46,
              "juz": 30,
              "manzil": 7,
              "page": 584,
              "ruku": 521,
              "hizbQuarter": 233,
              "sajda": false,
              "pronunciation_bn": "কাআন্নাহুম ইয়াওমা ইয়ারাওনাহা-লাম ইয়ালবাছূইল্লা-‘আশিইইয়াতান আও দুহা- হা।",
              "words_arabic": "كَاَنَّهُمْ/كَأَنَّهُمۡ/ka-annahum//یَوْمَ/يَوۡمَ/yawma//یَرَوْنَهَا/يَرَوۡنَهَا/yarawnaha//لَمْ/لَمۡ/lam//یَلْبَثُوْۤا/يَلۡبَثُوٓاْ/yalbathu//اِلَّا/إِلَّا/illa//عَشِیَّةً/عَشِيَّةً/ashiyyatan//اَوْ/أَوۡ/aw//ضُحٰىهَا۠/ضُحَىٰهَا/duhaha",
              "words_bangla": "তারা যেন//যেদিন//তা দেখবে (মনে করবে)//করে নি//তারা অবস্থান//এ ছাড়া//এক সন্ধ্যা//অথবা//তার এক সকাল"
            }
          ]
        },
        {
          "number": 80,
          "name": "سُورَةُ عَبَسَ",
          "englishName": "Abasa",
          "englishNameTranslation": "He frowned",
          "revelationType": "Meccan",
          "verse": 42,
          "words": 306,
          "chars": 1329,
          "ayahs": [
            {
              "number": 5759,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5759.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5759.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5759.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5759.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ عَبَسَ وَتَوَلَّىٰٓ",
              "translate_bn": "তিনি ভ্রূকুঞ্চিত করলেন এবং মুখ ফিরিয়ে নিলেন।",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "‘আবাছা ওয়া তাওয়াল্লা-।",
              "words_arabic": "عَبَسَ/عَبَسَ/abasa//وَ تَوَلّٰۤیۙ/وَتَوَلَّىٰٓ/watawalla",
              "words_bangla": "সে ভ্রুকুঞ্চিত করল//ও (মুখ ফিরালো) অনাগ্রহ দেখালো"
            },
            {
              "number": 5760,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5760.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5760.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5760.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5760.mp3"
              ],
              "text": "أَن جَآءَهُ ٱلْأَعْمَىٰ",
              "translate_bn": "কারণ, তাঁর কাছে এক অন্ধ আগমন করল।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "আন জাআহুল আ‘মা-।\r\n",
              "words_arabic": "اَنْ/أَن/an//جَآءَهُ/جَآءَهُ/jaahu//الْاَعْمٰىؕ/ٱلۡأَعۡمَىٰ/al-a'ma",
              "words_bangla": "(এ জন্যে) যে//তার (কাছে) এসেছে//এক অন্ধ"
            },
            {
              "number": 5761,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5761.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5761.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5761.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5761.mp3"
              ],
              "text": "وَمَا يُدْرِيكَ لَعَلَّهُۥ يَزَّكَّىٰٓ",
              "translate_bn": "আপনি কি জানেন, সে হয়তো পরিশুদ্ধ হত,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইউদরীকা লা‘আল্লাহু ইয়াঝঝাক্কা-।\r\n",
              "words_arabic": "وَ مَا/وَمَا/wama//یُدْرِیْكَ/يُدۡرِيكَ/yud'rika//لَعَلَّهٗ/لَعَلَّهُۥ/la'allahu//یَزَّكّٰۤیۙ/يَزَّكَّىٰٓ/yazzakka",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//সে হয়তো//পরিশুদ্ধ হতো"
            },
            {
              "number": 5762,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5762.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5762.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5762.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5762.mp3"
              ],
              "text": "أَوْ يَذَّكَّرُ فَتَنفَعَهُ ٱلذِّكْرَىٰٓ",
              "translate_bn": "অথবা উপদেশ গ্রহণ করতো এবং উপদেশ তার উপকার হত।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "আও ইয়াযযাক্কারু ফাতানফাআহুযযিকরা-।",
              "words_arabic": "اَوْ/أَوۡ/aw//یَذَّكَّرُ/يَذَّكَّرُ/yadhakkaru//فَتَنْفَعَهُ/فَتَنفَعَهُ/fatanfa'ahu//الذِّكْرٰىؕ/ٱلذِّكۡرَىٰٓ/al-dhik'ra",
              "words_bangla": "বা//উপদেশ গ্রহণ করতো//তাকে অতঃপর উপকার দিত//উপদেশ"
            },
            {
              "number": 5763,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5763.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5763.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5763.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5763.mp3"
              ],
              "text": "أَمَّا مَنِ ٱسْتَغْنَىٰ",
              "translate_bn": "পরন্তু যে বেপরোয়া,",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "আম্মা-মানিছ তাগনা-।",
              "words_arabic": "اَمَّا/أَمَّا/amma//مَنِ/مَنِ/mani//اسْتَغْنٰىۙ/ٱسۡتَغۡنَىٰ/is'taghna",
              "words_bangla": "পক্ষান্তরে//যে//বেপরোয়া হলো (উন্নাসিকতা দেখালো)"
            },
            {
              "number": 5764,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5764.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5764.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5764.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5764.mp3"
              ],
              "text": "فَأَنتَ لَهُۥ تَصَدَّىٰ",
              "translate_bn": "আপনি তার চিন্তায় মশগুল।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফাআনতা লাহূতাসাদ্দা-।",
              "words_arabic": "فَاَنْتَ/فَأَنتَ/fa-anta//لَهٗ/لَهُۥ/lahu//تَصَدّٰىؕ/تَصَدَّىٰ/tasadda",
              "words_bangla": "অথচ তুমি//তার জন্যে//মনযোগ দিচ্ছো"
            },
            {
              "number": 5765,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5765.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5765.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5765.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5765.mp3"
              ],
              "text": "وَمَا عَلَيْكَ أَلَّا يَزَّكَّىٰ",
              "translate_bn": "সে শুদ্ধ না হলে আপনার কোন দোষ নেই।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-‘আলাইকা আল্লা-ইয়াঝঝাক্কা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//عَلَیْكَ/عَلَيۡكَ/alayka//اَلَّا/أَلَّا/alla//یَزَّكّٰىؕ/يَزَّكَّىٰ/yazzakka",
              "words_bangla": "কিন্তু নাই//তোমার উপর (দায়িত্ব)//যদি না//সে পরিশুদ্ধ হয়"
            },
            {
              "number": 5766,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5766.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5766.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5766.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5766.mp3"
              ],
              "text": "وَأَمَّا مَن جَآءَكَ يَسْعَىٰ",
              "translate_bn": "যে আপনার কাছে দৌড়ে আসলো",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান জাআকা ইয়াছ‘আ-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَن/man//جَآءَكَ/جَآءَكَ/jaaka//یَسْعٰىۙ/يَسۡعَىٰ/yas'a",
              "words_bangla": "আর অন্যপক্ষে//যে//তোমার কাছে আসল//দৌড়ে"
            },
            {
              "number": 5767,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5767.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5767.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5767.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5767.mp3"
              ],
              "text": "وَهُوَ يَخْشَىٰ",
              "translate_bn": "এমতাবস্থায় যে, সে ভয় করে,",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়া ইয়াখশা-।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//یَخْشٰىۙ/يَخۡشَىٰ/yakhsha",
              "words_bangla": "এবং সে//ভয় করে"
            },
            {
              "number": 5768,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5768.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5768.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5768.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5768.mp3"
              ],
              "text": "فَأَنتَ عَنْهُ تَلَهَّىٰ",
              "translate_bn": "আপনি তাকে অবজ্ঞা করলেন।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফাআনতা ‘আনহু তালাহহা-।",
              "words_arabic": "فَاَنْتَ/فَأَنتَ/fa-anta//عَنْهُ/عَنۡهُ/anhu//تَلَهّٰىۚ/تَلَهَّىٰ/talahha",
              "words_bangla": "অথচ তুমি//তার থেকে//অনীহা প্রকাশ করছ"
            },
            {
              "number": 5769,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5769.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5769.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5769.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5769.mp3"
              ],
              "text": "كَلَّآ إِنَّهَا تَذْكِرَةٌۭ",
              "translate_bn": "কখনও এরূপ করবেন না, এটা উপদেশবানী।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্নাহা-তাযকিরাহ।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّهَا/إِنَّهَا/innaha//تَذْكِرَةٌۚ/تَذۡكِرَةٞ/tadhkiratun",
              "words_bangla": "কখনও না//নিশ্চয়ই তা//উপদেশ"
            },
            {
              "number": 5770,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5770.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5770.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5770.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5770.mp3"
              ],
              "text": "فَمَن شَآءَ ذَكَرَهُۥ",
              "translate_bn": "অতএব, যে ইচ্ছা করবে, সে একে গ্রহণ করবে।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফামান শাআ যাকরাহ ।",
              "words_arabic": "فَمَنْ/فَمَن/faman//شَآءَ/شَآءَ/shaa//ذَكَرَهٗۘ/ذَكَرَهُۥ/dhakarahu",
              "words_bangla": "অতএব যে//চায়//(তা স্মরণ করবে) তা গ্রহণ করবে"
            },
            {
              "number": 5771,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5771.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5771.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5771.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5771.mp3"
              ],
              "text": "فِى صُحُفٍۢ مُّكَرَّمَةٍۢ",
              "translate_bn": "এটা লিখিত আছে সম্মানিত,",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফী সুহুফিম মুকাররামাহ",
              "words_arabic": "فِیْ/فِي/fi//صُحُفٍ/صُحُفٖ/suhufin//مُّكَرَّمَةٍۙ/مُّكَرَّمَةٖ/mukarramatin",
              "words_bangla": "মধ্যে (লিপিবদ্ধ)//সহিফাসমূহের//(যা) সম্মানিত"
            },
            {
              "number": 5772,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5772.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5772.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5772.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5772.mp3"
              ],
              "text": "مَّرْفُوعَةٍۢ مُّطَهَّرَةٍۭ",
              "translate_bn": "উচ্চ পবিত্র পত্রসমূহে,",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "মারফূ‘আতিম মুতাহহারাহ।",
              "words_arabic": "مَّرْفُوْعَةٍ/مَّرۡفُوعَةٖ/marfu'atin//مُّطَهَّرَةٍۭۙ/مُّطَهَّرَةِۭ/mutahharatin",
              "words_bangla": "উচ্চ মর্যাদাসম্পন্ন//পবিত্র"
            },
            {
              "number": 5773,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5773.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5773.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5773.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5773.mp3"
              ],
              "text": "بِأَيْدِى سَفَرَةٍۢ",
              "translate_bn": "লিপিকারের হস্তে,",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "বিআইদী ছাফারাহ।",
              "words_arabic": "بِاَیْدِیْ/بِأَيۡدِي/bi-aydi//سَفَرَةٍۙ/سَفَرَةٖ/safaratin",
              "words_bangla": "হাতে//দূতদের"
            },
            {
              "number": 5774,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5774.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5774.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5774.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5774.mp3"
              ],
              "text": "كِرَامٍۭ بَرَرَةٍۢ",
              "translate_bn": "যারা মহৎ, পূত চরিত্র।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "কিরা-মিম বারারাহ।",
              "words_arabic": "كِرَامٍۭ/كِرَامِۭ/kiramin//بَرَرَةٍؕ/بَرَرَةٖ/bararatin",
              "words_bangla": "সম্মানিত//সততাসম্পন্ন"
            },
            {
              "number": 5775,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5775.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5775.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5775.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5775.mp3"
              ],
              "text": "قُتِلَ ٱلْإِنسَٰنُ مَآ أَكْفَرَهُۥ",
              "translate_bn": "মানুষ ধ্বংস হোক, সে কত অকৃতজ্ঞ!",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "কুতিলাল ইনছা-নুমা-আকফারাহ।",
              "words_arabic": "قُتِلَ/قُتِلَ/qutila//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مَاۤ/مَآ/ma//اَكْفَرَهٗؕ/أَكۡفَرَهُۥ/akfarahu",
              "words_bangla": "ধ্বংস হোক//মানুষ//কতই না//তা অমান্যকারী"
            },
            {
              "number": 5776,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5776.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5776.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5776.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5776.mp3"
              ],
              "text": "مِنْ أَىِّ شَىْءٍ خَلَقَهُۥ",
              "translate_bn": "তিনি তাকে কি বস্তু থেকে সৃষ্টি করেছেন?",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "মিন আইয়ি শাইয়িন খালাকাহ।",
              "words_arabic": "مِنْ/مِنۡ/min//اَیِّ/أَيِّ/ayyi//شَیْءٍ/شَيۡءٍ/shayin//خَلَقَهٗؕ/خَلَقَهُۥ/khalaqahu",
              "words_bangla": "থেকে//কোন//বস্তু//তিনি তাকে সৃষ্টি করেছেন"
            },
            {
              "number": 5777,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5777.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5777.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5777.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5777.mp3"
              ],
              "text": "مِن نُّطْفَةٍ خَلَقَهُۥ فَقَدَّرَهُۥ",
              "translate_bn": "শুক্র থেকে তাকে সৃষ্টি করেছেন, অতঃপর তাকে সুপরিমিত করেছেন।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "মিন নুতফাতিন খালাকাহূফাকাদ্দারাহ।",
              "words_arabic": "مِنْ/مِن/min//نُّطْفَةٍ ؕ/نُّطۡفَةٍ/nut'fatin//خَلَقَهٗ/خَلَقَهُۥ/khalaqahu//فَقَدَّرَهٗۙ/فَقَدَّرَهُۥ/faqaddarahu",
              "words_bangla": "হতে//শুক্র ফোঁটা//তিনি তাকে সৃষ্টি করেছেন//অতঃপর তার নিয়তি নির্দিষ্ট করেছেন"
            },
            {
              "number": 5778,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5778.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5778.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5778.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5778.mp3"
              ],
              "text": "ثُمَّ ٱلسَّبِيلَ يَسَّرَهُۥ",
              "translate_bn": "অতঃপর তার পথ সহজ করেছেন,",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মাছ ছাবীলা ইয়াছছরাহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//السَّبِیْلَ/ٱلسَّبِيلَ/al-sabila//یَسَّرَهٗۙ/يَسَّرَهُۥ/yassarahu",
              "words_bangla": "এরপর//পথ//তার (জন্যে) সহজ করেছেন"
            },
            {
              "number": 5779,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5779.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5779.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5779.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5779.mp3"
              ],
              "text": "ثُمَّ أَمَاتَهُۥ فَأَقْبَرَهُۥ",
              "translate_bn": "অতঃপর তার মৃত্যু ঘটান ও কবরস্থ করেন তাকে।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা আমা-তাহূফাআকবারাহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اَمَاتَهٗ/أَمَاتَهُۥ/amatahu//فَاَقْبَرَهٗۙ/فَأَقۡبَرَهُۥ/fa-aqbarahu",
              "words_bangla": "এরপর//তাকে মৃত্যু দেন//অতঃপর তাকে  কবরস্থ করেন"
            },
            {
              "number": 5780,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5780.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5780.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5780.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5780.mp3"
              ],
              "text": "ثُمَّ إِذَا شَآءَ أَنشَرَهُۥ",
              "translate_bn": "এরপর যখন ইচ্ছা করবেন তখন তাকে পুনরুজ্জীবিত করবেন।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইযা-শাআ আনশারাহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِذَا/إِذَا/idha//شَآءَ/شَآءَ/shaa//اَنْشَرَهٗؕ/أَنشَرَهُۥ/ansharahu",
              "words_bangla": "এরপর//যখন//চাইবেন//তাকে পুনরায়  জীবিত করবেন"
            },
            {
              "number": 5781,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5781.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5781.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5781.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5781.mp3"
              ],
              "text": "كَلَّا لَمَّا يَقْضِ مَآ أَمَرَهُۥ",
              "translate_bn": "সে কখনও কৃতজ্ঞ হয়নি, তিনি তাকে যা আদেশ করেছেন, সে তা পূর্ণ করেনি।",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-লাম্মা-ইয়াকদিমাআমারাহ।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//لَمَّا/لَمَّا/lamma//یَقْضِ/يَقۡضِ/yaqdi//مَاۤ/مَآ/ma//اَمَرَهٗؕ/أَمَرَهُۥ/amarahu",
              "words_bangla": "কখনও না//না যা//সে পালন করে//যা//তাকে আদেশ করেছেন তিনি"
            },
            {
              "number": 5782,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5782.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5782.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5782.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5782.mp3"
              ],
              "text": "فَلْيَنظُرِ ٱلْإِنسَٰنُ إِلَىٰ طَعَامِهِۦٓ",
              "translate_bn": "মানুষ তার খাদ্যের প্রতি লক্ষ্য করুক,",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফালাইয়ানজুরিল ইনছা-নুইলা-তা‘আ-মিহ।",
              "words_arabic": "فَلْیَنْظُرِ/فَلۡيَنظُرِ/falyanzuri//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اِلٰى/إِلَىٰ/ila//طَعَامِهٖۤۙ/طَعَامِهِۦٓ/ta'amihi",
              "words_bangla": "অতঃপর লক্ষ্য করুক//মানুষ//প্রতি//তার খাদ্যের"
            },
            {
              "number": 5783,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5783.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5783.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5783.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5783.mp3"
              ],
              "text": "أَنَّا صَبَبْنَا ٱلْمَآءَ صَبًّۭا",
              "translate_bn": "আমি আশ্চর্য উপায়ে পানি বর্ষণ করেছি,",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "আন্না-সাবাবনাল মাআ সাব্বা-।",
              "words_arabic": "اَنَّا/أَنَّا/anna//صَبَبْنَا/صَبَبۡنَا/sababna//الْمَآءَ/ٱلۡمَآءَ/al-maa//صَبًّاۙ/صَبّٗا/sabban",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা বর্ষণ করেছি//পানি//(প্রচুর) বর্ষণ"
            },
            {
              "number": 5784,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5784.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5784.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5784.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5784.mp3"
              ],
              "text": "ثُمَّ شَقَقْنَا ٱلْأَرْضَ شَقًّۭا",
              "translate_bn": "এরপর আমি ভূমিকে বিদীর্ণ করেছি,",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা শাকাকনাল আরদা শাক্কা-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//شَقَقْنَا/شَقَقۡنَا/shaqaqna//الْاَرْضَ/ٱلۡأَرۡضَ/al-arda//شَقًّاۙ/شَقّٗا/shaqqan",
              "words_bangla": "এরপর//আমরা বিদীর্ণ করেছি//মাটিকে//(খুব) বিদীর্ণ"
            },
            {
              "number": 5785,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5785.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5785.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5785.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5785.mp3"
              ],
              "text": "فَأَنۢبَتْنَا فِيهَا حَبًّۭا",
              "translate_bn": "অতঃপর তাতে উৎপন্ন করেছি শস্য,",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফাআমবাতনা-ফীহা-হাব্বা-।",
              "words_arabic": "فَاَنْۢبَتْنَا/فَأَنۢبَتۡنَا/fa-anbatna//فِیْهَا/فِيهَا/fiha//حَبًّاۙ/حَبّٗا/habban",
              "words_bangla": "অতঃপর আমরা উৎপন্ন করেছি//তার মধ্যে//শস্য"
            },
            {
              "number": 5786,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5786.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5786.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5786.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5786.mp3"
              ],
              "text": "وَعِنَبًۭا وَقَضْبًۭا",
              "translate_bn": "আঙ্গুর, শাক-সব্জি,",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ‘ইনাবাওঁ ওয়া কাদবা-।",
              "words_arabic": "وَّ عِنَبًا/وَعِنَبٗا/wa'inaban//وَّ قَضْبًاۙ/وَقَضۡبٗا/waqadban",
              "words_bangla": "ও আঙুর//ও শাকসবজি"
            },
            {
              "number": 5787,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5787.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5787.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5787.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5787.mp3"
              ],
              "text": "وَزَيْتُونًۭا وَنَخْلًۭا",
              "translate_bn": "যয়তুন, খর্জূর,",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঝাইতূনাওঁ ওয়া নাখলা-।",
              "words_arabic": "وَّ زَیْتُوْنًا/وَزَيۡتُونٗا/wazaytunan//وَّ نَخْلًاۙ/وَنَخۡلٗا/wanakhlan",
              "words_bangla": "এবং যয়তুন//ও খেজুর"
            },
            {
              "number": 5788,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5788.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5788.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5788.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5788.mp3"
              ],
              "text": "وَحَدَآئِقَ غُلْبًۭا",
              "translate_bn": "ঘন উদ্যান,",
              "numberInSurah": 30,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাদাইকা গুলবা-।",
              "words_arabic": "وَّ حَدَآىِٕقَ/وَحَدَآئِقَ/wahadaiqa//غُلْبًاۙ/غُلۡبٗا/ghul'ban",
              "words_bangla": "এবং বাগানসমূহ//ঘন গাছপালাবিশিষ্ট"
            },
            {
              "number": 5789,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5789.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5789.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5789.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5789.mp3"
              ],
              "text": "وَفَٰكِهَةًۭ وَأَبًّۭا",
              "translate_bn": "ফল এবং ঘাস",
              "numberInSurah": 31,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফা-কিহাতাওঁ ওয়া আব্বা-।",
              "words_arabic": "وَّ فَاكِهَةً/وَفَٰكِهَةٗ/wafakihatan//وَّ اَبًّاۙ/وَأَبّٗا/wa-abban",
              "words_bangla": "এবং ফল//গবাদি খাদ্য"
            },
            {
              "number": 5790,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5790.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5790.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5790.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5790.mp3"
              ],
              "text": "مَّتَٰعًۭا لَّكُمْ وَلِأَنْعَٰمِكُمْ",
              "translate_bn": "তোমাদেরও তোমাদের চতুস্পদ জন্তুদের উপাকারার্থে।",
              "numberInSurah": 32,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "মাতা-‘আল্লাকুম ওয়ালি আন‘আ-মিকুম।",
              "words_arabic": "مَّتَاعًا/مَّتَٰعٗا/mata'an//لَّكُمْ/لَّكُمۡ/lakum//وَ لِاَنْعَامِكُمْؕ/وَلِأَنۡعَٰمِكُمۡ/wali-an'amikum",
              "words_bangla": "ভোগ্য সামগ্রী (রূপে)//তোমাদের জন্যে//ও তোমাদের চতুষ্পদ জন্তুর জন্যে"
            },
            {
              "number": 5791,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5791.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5791.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5791.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5791.mp3"
              ],
              "text": "فَإِذَا جَآءَتِ ٱلصَّآخَّةُ",
              "translate_bn": "অতঃপর যেদিন কর্ণবিদারক নাদ আসবে,",
              "numberInSurah": 33,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-জাআতিসসা-খখাহ।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//جَآءَتِ/جَآءَتِ/jaati//الصَّآخَّةُؗ/ٱلصَّآخَّةُ/al-sakhatu",
              "words_bangla": "অতঃপর যখন//আসবে//কর্ণবিদারক ধ্বনি"
            },
            {
              "number": 5792,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5792.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5792.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5792.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5792.mp3"
              ],
              "text": "يَوْمَ يَفِرُّ ٱلْمَرْءُ مِنْ أَخِيهِ",
              "translate_bn": "সেদিন পলায়ন করবে মানুষ তার ভ্রাতার কাছ থেকে,",
              "numberInSurah": 34,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াফিররুল মারউ মিন আখীহ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَفِرُّ/يَفِرُّ/yafirru//الْمَرْءُ/ٱلۡمَرۡءُ/al-maru//مِنْ/مِنۡ/min//اَخِیْهِۙ/أَخِيهِ/akhihi",
              "words_bangla": "সেদিন//পালাবে//মানুষ//হতে//তার ভাই"
            },
            {
              "number": 5793,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5793.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5793.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5793.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5793.mp3"
              ],
              "text": "وَأُمِّهِۦ وَأَبِيهِ",
              "translate_bn": "তার মাতা, তার পিতা,",
              "numberInSurah": 35,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া উম্মিহী ওয়া আবীহ।",
              "words_arabic": "وَ اُمِّهٖ/وَأُمِّهِۦ/wa-ummihi//وَ اَبِیْهِۙ/وَأَبِيهِ/wa-abihi",
              "words_bangla": "ও তার মা//ও তার বাপ (হতে)"
            },
            {
              "number": 5794,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5794.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5794.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5794.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5794.mp3"
              ],
              "text": "وَصَٰحِبَتِهِۦ وَبَنِيهِ",
              "translate_bn": "তার পত্নী ও তার সন্তানদের কাছ থেকে।",
              "numberInSurah": 36,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া সা-হিবাতিহী ওয়া বানীহ।",
              "words_arabic": "وَ صَاحِبَتِهٖ/وَصَٰحِبَتِهِۦ/wasahibatihi//وَ بَنِیْهِؕ/وَبَنِيهِ/wabanihi",
              "words_bangla": "ও তার স্ত্রী//এবং তার সন্তানদের (হতে)"
            },
            {
              "number": 5795,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5795.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5795.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5795.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5795.mp3"
              ],
              "text": "لِكُلِّ ٱمْرِئٍۢ مِّنْهُمْ يَوْمَئِذٍۢ شَأْنٌۭ يُغْنِيهِ",
              "translate_bn": "সেদিন প্রত্যেকেরই নিজের এক চিন্তা থাকবে, যা তাকে ব্যতিব্যস্ত করে রাখবে।",
              "numberInSurah": 37,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "লিকুল্লিম রিইম মিনহুম ইয়াওমাইযিন শা’নুইঁ ইউগনীহ।",
              "words_arabic": "لِكُلِّ/لِكُلِّ/likulli//امْرِئٍ/ٱمۡرِيٕٖ/im'ri-in//مِّنْهُمْ/مِّنۡهُمۡ/min'hum//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//شَاْنٌ/شَأۡنٞ/shanun//یُّغْنِیْهِؕ/يُغۡنِيهِ/yugh'nihi",
              "words_bangla": "জন্যে প্রত্যেক//ব্যক্তির//তাদের মধ্যকার//সেদিন//(বিশেষ) অবস্থা//তাকে ব্যতিব্যস্ত করবে"
            },
            {
              "number": 5796,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5796.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5796.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5796.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5796.mp3"
              ],
              "text": "وُجُوهٌۭ يَوْمَئِذٍۢ مُّسْفِرَةٌۭ",
              "translate_bn": "অনেক মুখমন্ডল সেদিন হবে উজ্জ্বল,",
              "numberInSurah": 38,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "উজূহুইঁ ইয়াওমাইযিমমুছফিরাহ।",
              "words_arabic": "وُجُوْهٌ/وُجُوهٞ/wujuhun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//مُّسْفِرَةٌۙ/مُّسۡفِرَةٞ/mus'firatun",
              "words_bangla": "(অনেক) মুখ//সেদিন//উজ্জ্বল (হবে)"
            },
            {
              "number": 5797,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5797.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5797.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5797.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5797.mp3"
              ],
              "text": "ضَاحِكَةٌۭ مُّسْتَبْشِرَةٌۭ",
              "translate_bn": "সহাস্য ও প্রফুল্ল।",
              "numberInSurah": 39,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "দা-হিকাতুমমুছতাবশিরাহ।",
              "words_arabic": "ضَاحِكَةٌ/ضَاحِكَةٞ/dahikatun//مُّسْتَبْشِرَةٌۚ/مُّسۡتَبۡشِرَةٞ/mus'tabshiratun",
              "words_bangla": "সহাস্য//প্রফুল্ল (হবে)"
            },
            {
              "number": 5798,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5798.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5798.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5798.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5798.mp3"
              ],
              "text": "وَوُجُوهٌۭ يَوْمَئِذٍ عَلَيْهَا غَبَرَةٌۭ",
              "translate_bn": "এবং অনেক মুখমন্ডল সেদিন হবে ধুলি ধূসরিত।",
              "numberInSurah": 40,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া উজূহুইঁ ইয়াওমাইযিন ‘আলাইহা-গাবারাহ।",
              "words_arabic": "وَ وُجُوْهٌ/وَوُجُوهٞ/wawujuhun//یَّوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//عَلَیْهَا/عَلَيۡهَا/alayha//غَبَرَةٌۙ/غَبَرَةٞ/ghabaratun",
              "words_bangla": "এবং (অনেক) মুখ//সেদিন//তার উপর//মলিনতা (আসবে)"
            },
            {
              "number": 5799,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5799.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5799.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5799.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5799.mp3"
              ],
              "text": "تَرْهَقُهَا قَتَرَةٌ",
              "translate_bn": "তাদেরকে কালিমা আচ্ছন্ন করে রাখবে।",
              "numberInSurah": 41,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "তারহাকুহা-কাতারাহ।",
              "words_arabic": "تَرْهَقُهَا/تَرۡهَقُهَا/tarhaquha//قَتَرَةٌؕ/قَتَرَةٌ/qataratun",
              "words_bangla": "তাকে আচ্ছন্ন করবে//অন্ধকার"
            },
            {
              "number": 5800,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5800.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5800.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5800.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5800.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ هُمُ ٱلْكَفَرَةُ ٱلْفَجَرَةُ",
              "translate_bn": "তারাই কাফের পাপিষ্ঠের দল।",
              "numberInSurah": 42,
              "juz": 30,
              "manzil": 7,
              "page": 585,
              "ruku": 522,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "উলাইকা হুমুল কাফারাতুল ফাজারাহ।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمُ/هُمُ/humu//الْكَفَرَةُ/ٱلۡكَفَرَةُ/al-kafaratu//الْفَجَرَةُ۠/ٱلۡفَجَرَةُ/al-fajaratu",
              "words_bangla": "ঐসব লোক//তারাই (যারা)//কাফের//পাপী"
            }
          ]
        },
        {
          "number": 81,
          "name": "سُورَةُ التَّكۡوِيرِ",
          "englishName": "At-Takwir",
          "englishNameTranslation": "The Overthrowing",
          "revelationType": "Meccan",
          "verse": 29,
          "words": 243,
          "chars": 1005,
          "ayahs": [
            {
              "number": 5801,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5801.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5801.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5801.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5801.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا ٱلشَّمْسُ كُوِّرَتْ",
              "translate_bn": "যখন সূর্য আলোহীন হয়ে যাবে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ইযাশশামছুকুওবিরাত।",
              "words_arabic": "اِذَا/إِذَا/idha//الشَّمْسُ/ٱلشَّمۡسُ/al-shamsu//كُوِّرَتْ۪ۙ/كُوِّرَتۡ/kuwwirat",
              "words_bangla": "যখন//সূর্য//নিষ্প্রভ হবে"
            },
            {
              "number": 5802,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5802.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5802.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5802.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5802.mp3"
              ],
              "text": "وَإِذَا ٱلنُّجُومُ ٱنكَدَرَتْ",
              "translate_bn": "যখন নক্ষত্র মলিন হয়ে যাবে,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাননুজূমুন কাদারাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//النُّجُوْمُ/ٱلنُّجُومُ/al-nujumu//انْكَدَرَتْ۪ۙ/ٱنكَدَرَتۡ/inkadarat",
              "words_bangla": "এবং যখন//তারকাগুলো//খসে পড়বে"
            },
            {
              "number": 5803,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5803.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5803.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5803.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5803.mp3"
              ],
              "text": "وَإِذَا ٱلْجِبَالُ سُيِّرَتْ",
              "translate_bn": "যখন পর্বতমালা অপসারিত হবে,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল জিবা-লুছুইয়িরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//سُیِّرَتْ۪ۙ/سُيِّرَتۡ/suyyirat",
              "words_bangla": "এবং যখন//পাহাড়গুলো//চালানো হবে"
            },
            {
              "number": 5804,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5804.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5804.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5804.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5804.mp3"
              ],
              "text": "وَإِذَا ٱلْعِشَارُ عُطِّلَتْ",
              "translate_bn": "যখন দশ মাসের গর্ভবতী উষ্ট্রীসমূহ উপেক্ষিত হবে;",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল ‘ইশা-রু ‘উত্তিলাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْعِشَارُ/ٱلۡعِشَارُ/al-'isharu//عُطِّلَتْ۪ۙ/عُطِّلَتۡ/uttilat",
              "words_bangla": "এবং যখন//পূর্ণ গর্ভবতী উট//উপেক্ষিত হবে"
            },
            {
              "number": 5805,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5805.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5805.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5805.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5805.mp3"
              ],
              "text": "وَإِذَا ٱلْوُحُوشُ حُشِرَتْ",
              "translate_bn": "যখন বন্য পশুরা একত্রিত হয়ে যাবে,",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল উহূশু হুশিরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْوُحُوْشُ/ٱلۡوُحُوشُ/al-wuhushu//حُشِرَتْ۪ۙ/حُشِرَتۡ/hushirat",
              "words_bangla": "ও যখন//বন্য পশুদের//একত্র করা হবে"
            },
            {
              "number": 5806,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5806.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5806.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5806.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5806.mp3"
              ],
              "text": "وَإِذَا ٱلْبِحَارُ سُجِّرَتْ",
              "translate_bn": "যখন সমুদ্রকে উত্তাল করে তোলা হবে,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল বিহা-রু ছুজ্জিরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْبِحَارُ/ٱلۡبِحَارُ/al-biharu//سُجِّرَتْ۪ۙ/سُجِّرَتۡ/sujjirat",
              "words_bangla": "এবং যখন//সাগরগুলো//প্রজ্বলিত করা হবে"
            },
            {
              "number": 5807,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5807.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5807.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5807.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5807.mp3"
              ],
              "text": "وَإِذَا ٱلنُّفُوسُ زُوِّجَتْ",
              "translate_bn": "যখন আত্মাসমূহকে যুগল করা হবে,",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাননুফূছুঝুওবিজাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//النُّفُوْسُ/ٱلنُّفُوسُ/al-nufusu//زُوِّجَتْ۪ۙ/زُوِّجَتۡ/zuwwijat",
              "words_bangla": "এবং যখন//আত্মাগুলোকে//জুড়ে দেয়া হবে (শরীরের সাথে)"
            },
            {
              "number": 5808,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5808.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5808.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5808.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5808.mp3"
              ],
              "text": "وَإِذَا ٱلْمَوْءُۥدَةُ سُئِلَتْ",
              "translate_bn": "যখন জীবন্ত প্রোথিত কন্যাকে জিজ্ঞেস করা হবে,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল মাওঊদাতুছুইলাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْمَوْءٗدَةُ/ٱلۡمَوۡءُۥدَةُ/al-mawudatu//سُىِٕلَتْ۪ۙ/سُئِلَتۡ/su-ilat",
              "words_bangla": "এবং যখন//জীবন্ত কবর দেয়া কন্যাকে//জিজ্ঞাসা করা হবে"
            },
            {
              "number": 5809,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5809.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5809.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5809.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5809.mp3"
              ],
              "text": "بِأَىِّ ذَنۢبٍۢ قُتِلَتْ",
              "translate_bn": "কি অপরাধে তাকে হত্য করা হল?",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "বিআইয়ি যামবিন কুতিলাত।",
              "words_arabic": "بِاَیِّ/بِأَيِّ/bi-ayyi//ذَنْۢبٍ/ذَنۢبٖ/dhanbin//قُتِلَتْۚ/قُتِلَتۡ/qutilat",
              "words_bangla": "কোন কারণে//দোষের//তাকে হত্যা করা হয়েছে"
            },
            {
              "number": 5810,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5810.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5810.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5810.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5810.mp3"
              ],
              "text": "وَإِذَا ٱلصُّحُفُ نُشِرَتْ",
              "translate_bn": "যখন আমলনামা খোলা হবে,",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাসসুহুফুনুশিরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الصُّحُفُ/ٱلصُّحُفُ/al-suhufu//نُشِرَتْ۪ۙ/نُشِرَتۡ/nushirat",
              "words_bangla": "এবং যখন//আমলনামাগুলো//উন্মোচিত হবে"
            },
            {
              "number": 5811,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5811.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5811.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5811.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5811.mp3"
              ],
              "text": "وَإِذَا ٱلسَّمَآءُ كُشِطَتْ",
              "translate_bn": "যখন আকাশের আবরণ অপসারিত হবে,",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াছ ছামাউ কুশিতাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//كُشِطَتْ۪ۙ/كُشِطَتۡ/kushitat",
              "words_bangla": "এবং যখন//আকাশ//আবরণ অপসারিত হবে"
            },
            {
              "number": 5812,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5812.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5812.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5812.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5812.mp3"
              ],
              "text": "وَإِذَا ٱلْجَحِيمُ سُعِّرَتْ",
              "translate_bn": "যখন জাহান্নামের অগ্নি প্রজ্বলিত করা হবে",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল জাহীমুছু‘‘য়িরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْجَحِیْمُ/ٱلۡجَحِيمُ/al-jahimu//سُعِّرَتْ۪ۙ/سُعِّرَتۡ/su'irat",
              "words_bangla": "এবং যখন//জাহান্নাম//প্রজ্বলিত করা হবে"
            },
            {
              "number": 5813,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5813.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5813.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5813.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5813.mp3"
              ],
              "text": "وَإِذَا ٱلْجَنَّةُ أُزْلِفَتْ",
              "translate_bn": "এবং যখন জান্নাত সন্নিকটবর্তী হবে,",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল জান্নাতুউঝলিফাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْجَنَّةُ/ٱلۡجَنَّةُ/al-janatu//اُزْلِفَتْ۪ۙ/أُزۡلِفَتۡ/uz'lifat",
              "words_bangla": "এবং যখন//জান্নাত//নিকটে আনা হবে"
            },
            {
              "number": 5814,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5814.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5814.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5814.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5814.mp3"
              ],
              "text": "عَلِمَتْ نَفْسٌۭ مَّآ أَحْضَرَتْ",
              "translate_bn": "তখন প্রত্যেকেই জেনে নিবে সে কি উপস্থিত করেছে।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "‘আলিমাত নাফছুম মাআহদারাত।",
              "words_arabic": "عَلِمَتْ/عَلِمَتۡ/alimat//نَفْسٌ/نَفۡسٞ/nafsun//مَّاۤ/مَّآ/ma//اَحْضَرَتْؕ/أَحۡضَرَتۡ/ahdarat",
              "words_bangla": "জানবে//(প্রত্যেক) ব্যক্তি//যা//উপস্থিত করেছে"
            },
            {
              "number": 5815,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5815.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5815.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5815.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5815.mp3"
              ],
              "text": "فَلَآ أُقْسِمُ بِٱلْخُنَّسِ",
              "translate_bn": "আমি শপথ করি যেসব নক্ষত্রগুলো পশ্চাতে সরে যায়।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফালা উকছিমুবিলখুন্নাছ।",
              "words_arabic": "فَلَاۤ/فَلَآ/fala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِالْخُنَّسِۙ/بِٱلۡخُنَّسِ/bil-khunasi",
              "words_bangla": "অতঃপর না//আমি শপথ করছি//পশ্চাদপসরণকারী"
            },
            {
              "number": 5816,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5816.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5816.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5816.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5816.mp3"
              ],
              "text": "ٱلْجَوَارِ ٱلْكُنَّسِ",
              "translate_bn": "চলমান হয় ও অদৃশ্য হয়,",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "আল জাওয়া-রিল কুন্নাছ।",
              "words_arabic": "الْجَوَارِ/ٱلۡجَوَارِ/al-jawari//الْكُنَّسِۙ/ٱلۡكُنَّسِ/al-kunasi",
              "words_bangla": "চলমান//অদৃশ্যমান (নক্ষত্রগুলোর)"
            },
            {
              "number": 5817,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5817.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5817.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5817.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5817.mp3"
              ],
              "text": "وَٱلَّيْلِ إِذَا عَسْعَسَ",
              "translate_bn": "শপথ নিশাবসান ও",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযা-‘আছ‘আছ।\r\n",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذَا/إِذَا/idha//عَسْعَسَۙ/عَسۡعَسَ/as'asa",
              "words_bangla": "শপথ রাতের//যখন//শেষ হয়"
            },
            {
              "number": 5818,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5818.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5818.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5818.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5818.mp3"
              ],
              "text": "وَٱلصُّبْحِ إِذَا تَنَفَّسَ",
              "translate_bn": "প্রভাত আগমন কালের,",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়াসসুবহিইযা-তানাফফাছ।",
              "words_arabic": "وَ الصُّبْحِ/وَٱلصُّبۡحِ/wal-sub'hi//اِذَا/إِذَا/idha//تَنَفَّسَۙ/تَنَفَّسَ/tanaffasa",
              "words_bangla": "শপথ প্রভাতের//যখন//শ্বাস নেয়"
            },
            {
              "number": 5819,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5819.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5819.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5819.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5819.mp3"
              ],
              "text": "إِنَّهُۥ لَقَوْلُ رَسُولٍۢ كَرِيمٍۢ",
              "translate_bn": "নিশ্চয় কোরআন সম্মানিত রসূলের আনীত বাণী,",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূলাকাওলুরাছূলিন কারীম।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//لَقَوْلُ/لَقَوۡلُ/laqawlu//رَسُوْلٍ/رَسُولٖ/rasulin//كَرِیْمٍۙ/كَرِيمٖ/karimin",
              "words_bangla": "নিশ্চয়ই তা//অবশ্যই বাণী//বার্তা-বাহকের//সম্মানিত"
            },
            {
              "number": 5820,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5820.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5820.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5820.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5820.mp3"
              ],
              "text": "ذِى قُوَّةٍ عِندَ ذِى ٱلْعَرْشِ مَكِينٍۢ",
              "translate_bn": "যিনি শক্তিশালী, আরশের মালিকের নিকট মর্যাদাশালী,",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "যী কুওওয়াতিন ‘ইনদা যিল ‘আরশি মাকীন।",
              "words_arabic": "ذِیْ/ذِي/dhi//قُوَّةٍ/قُوَّةٍ/quwwatin//عِنْدَ/عِندَ/inda//ذِی/ذِي/dhi//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//مَكِیْنٍۙ/مَكِينٖ/makinin",
              "words_bangla": "সম্পন্ন//শক্তি//কাছে//অধিপতির//আরশের//সামর্থ্যশালী"
            },
            {
              "number": 5821,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5821.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5821.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5821.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5821.mp3"
              ],
              "text": "مُّطَاعٍۢ ثَمَّ أَمِينٍۢ",
              "translate_bn": "সবার মান্যবর, সেখানকার বিশ্বাসভাজন।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "মুতা-‘ইন ছাম্মা আমীন।",
              "words_arabic": "مُّطَاعٍ/مُّطَاعٖ/muta'in//ثَمَّ/ثَمَّ/thamma//اَمِیْنٍؕ/أَمِينٖ/aminin",
              "words_bangla": "মান্য করা হয়//সেখানে//(এবং সে) বিশ্বস্ত"
            },
            {
              "number": 5822,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5822.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5822.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5822.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5822.mp3"
              ],
              "text": "وَمَا صَاحِبُكُم بِمَجْنُونٍۢ",
              "translate_bn": "এবং তোমাদের সাথী পাগল নন।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-সা-হিবুকুম বিমাজনূন।",
              "words_arabic": "وَ مَا/وَمَا/wama//صَاحِبُكُمْ/صَاحِبُكُم/sahibukum//بِمَجْنُوْنٍۚ/بِمَجۡنُونٖ/bimajnunin",
              "words_bangla": "এবং না//তোমাদের সাথী//পাগল"
            },
            {
              "number": 5823,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5823.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5823.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5823.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5823.mp3"
              ],
              "text": "وَلَقَدْ رَءَاهُ بِٱلْأُفُقِ ٱلْمُبِينِ",
              "translate_bn": "তিনি সেই ফেরেশতাকে প্রকাশ্য দিগন্তে দেখেছেন।",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাকাদ রাআ-হু বিলউফুকিল মুবীন।",
              "words_arabic": "وَ لَقَدْ/وَلَقَدۡ/walaqad//رَاٰهُ/رَءَاهُ/raahu//بِالْاُفُقِ/بِٱلۡأُفُقِ/bil-ufuqi//الْمُبِیْنِۚ/ٱلۡمُبِينِ/al-mubini",
              "words_bangla": "এবং নিশ্চয়ই সে//তাকে দেখেছে//দিগন্তে//সুস্পষ্ট"
            },
            {
              "number": 5824,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5824.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5824.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5824.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5824.mp3"
              ],
              "text": "وَمَا هُوَ عَلَى ٱلْغَيْبِ بِضَنِينٍۢ",
              "translate_bn": "তিনি অদৃশ্য বিষয় বলতে কৃপনতা করেন না।",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুওয়া ‘আলাল গাইবি বিদানীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//عَلَی/عَلَى/ala//الْغَیْبِ/ٱلۡغَيۡبِ/al-ghaybi//بِضَنِیْنٍۚ/بِضَنِينٖ/bidaninin",
              "words_bangla": "এবং না//সে//ব্যাপারে//অদৃশ্যের//কৃপণ"
            },
            {
              "number": 5825,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5825.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5825.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5825.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5825.mp3"
              ],
              "text": "وَمَا هُوَ بِقَوْلِ شَيْطَٰنٍۢ رَّجِيمٍۢ",
              "translate_bn": "এটা বিতাড়িত শয়তানের উক্তি নয়।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুওয়া বিকাওলি শাইতা-নির রাজীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِقَوْلِ/بِقَوۡلِ/biqawli//شَیْطٰنٍ/شَيۡطَٰنٖ/shaytanin//رَّجِیْمٍۙ/رَّجِيمٖ/rajimin",
              "words_bangla": "এবং না//তা//কথা//শয়তানের//অভিশপ্ত"
            },
            {
              "number": 5826,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5826.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5826.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5826.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5826.mp3"
              ],
              "text": "فَأَيْنَ تَذْهَبُونَ",
              "translate_bn": "অতএব, তোমরা কোথায় যাচ্ছ?",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ফাআইনা তাযহাবূন।",
              "words_arabic": "فَاَیْنَ/فَأَيۡنَ/fa-ayna//تَذْهَبُوْنَؕ/تَذۡهَبُونَ/tadhhabuna",
              "words_bangla": "অতএব কোথায়//তোমরা চলেছ"
            },
            {
              "number": 5827,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5827.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5827.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5827.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5827.mp3"
              ],
              "text": "إِنْ هُوَ إِلَّا ذِكْرٌۭ لِّلْعَٰلَمِينَ",
              "translate_bn": "এটা তো কেবল বিশ্বাবাসীদের জন্যে উপদেশ,",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ইন হুওয়া ইল্লা-যিকরুল লিল‘আ-লামীন।",
              "words_arabic": "اِنْ/إِنۡ/in//هُوَ/هُوَ/huwa//اِلَّا/إِلَّا/illa//ذِكْرٌ/ذِكۡرٞ/dhik'run//لِّلْعٰلَمِیْنَۙ/لِّلۡعَٰلَمِينَ/lil'alamina",
              "words_bangla": "নয়//তা//এ ছাড়া//উপদেশ//বিশ্ব-জগতের জন্যে"
            },
            {
              "number": 5828,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5828.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5828.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5828.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5828.mp3"
              ],
              "text": "لِمَن شَآءَ مِنكُمْ أَن يَسْتَقِيمَ",
              "translate_bn": "তার জন্যে, যে তোমাদের মধ্যে সোজা চলতে চায়।",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "লিমান শাআ মিনকুম আইঁ ইয়াছতাকীম।",
              "words_arabic": "لِمَنْ/لِمَن/liman//شَآءَ/شَآءَ/shaa//مِنْكُمْ/مِنكُمۡ/minkum//اَنْ/أَن/an//یَّسْتَقِیْمَؕ/يَسۡتَقِيمَ/yastaqima",
              "words_bangla": "তার জন্যে//যে চায়//তোমাদের মধ্যে//যে//সোজা চলতে"
            },
            {
              "number": 5829,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5829.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5829.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5829.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5829.mp3"
              ],
              "text": "وَمَا تَشَآءُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ رَبُّ ٱلْعَٰلَمِينَ",
              "translate_bn": "তোমরা আল্লাহ রাব্বুল আলামীনের অভিপ্রায়ের বাইরে অন্য কিছুই ইচ্ছা করতে পার না।",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 586,
              "ruku": 523,
              "hizbQuarter": 234,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-তাশাঊনা ইল্লাআইঁ ইয়াশাআল্লা-হু রাব্বুল ‘আ-লামীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَشَآءُوْنَ/تَشَآءُونَ/tashauna//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یَّشَآءَ/يَشَآءَ/yashaa//اللّٰهُ/ٱللَّهُ/al-lahu//رَبُّ/رَبُّ/rabbu//الْعٰلَمِیْنَ۠/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "এবং না//(যা) তোমরা চাও (তা কিছু হয়)//এ ছাড়া//যে//চান//আল্লাহ//রব//জগতসমূহের"
            }
          ]
        },
        {
          "number": 82,
          "name": "سُورَةُ الانفِطَارِ",
          "englishName": "Al-Infitaar",
          "englishNameTranslation": "The Cleaving",
          "revelationType": "Meccan",
          "verse": 19,
          "words": 171,
          "chars": 730,
          "ayahs": [
            {
              "number": 5830,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5830.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5830.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5830.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5830.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا ٱلسَّمَآءُ ٱنفَطَرَتْ",
              "translate_bn": "যখন আকাশ বিদীর্ণ হবে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইযাছ ছামাউন ফাতারাত।",
              "words_arabic": "اِذَا/إِذَا/idha//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//انْفَطَرَتْۙ/ٱنفَطَرَتۡ/infatarat",
              "words_bangla": "যখন//আকাশ//ফেটে যাবে"
            },
            {
              "number": 5831,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5831.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5831.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5831.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5831.mp3"
              ],
              "text": "وَإِذَا ٱلْكَوَاكِبُ ٱنتَثَرَتْ",
              "translate_bn": "যখন নক্ষত্রসমূহ ঝরে পড়বে,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল কাওয়া-কিবুন তাছারাত।\r\n",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْكَوَاكِبُ/ٱلۡكَوَاكِبُ/al-kawakibu//انْتَثَرَتْۙ/ٱنتَثَرَتۡ/intatharat",
              "words_bangla": "এবং যখন//তারাগুলো//বিক্ষিপ্ত হবে"
            },
            {
              "number": 5832,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5832.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5832.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5832.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5832.mp3"
              ],
              "text": "وَإِذَا ٱلْبِحَارُ فُجِّرَتْ",
              "translate_bn": "যখন সমুদ্রকে উত্তাল করে তোলা হবে,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল বিহা-রু ফুজ্জিরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْبِحَارُ/ٱلۡبِحَارُ/al-biharu//فُجِّرَتْۙ/فُجِّرَتۡ/fujjirat",
              "words_bangla": "এবং যখন//সাগরগুলো//উথলে উঠবে"
            },
            {
              "number": 5833,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5833.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5833.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5833.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5833.mp3"
              ],
              "text": "وَإِذَا ٱلْقُبُورُ بُعْثِرَتْ",
              "translate_bn": "এবং যখন কবরসমূহ উম্মোচিত হবে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল কুবূরু বু‘ছিরাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْقُبُوْرُ/ٱلۡقُبُورُ/al-quburu//بُعْثِرَتْۙ/بُعۡثِرَتۡ/bu'thirat",
              "words_bangla": "এবং যখন//কবরগুলো//উন্মোচিত হবে"
            },
            {
              "number": 5834,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5834.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5834.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5834.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5834.mp3"
              ],
              "text": "عَلِمَتْ نَفْسٌۭ مَّا قَدَّمَتْ وَأَخَّرَتْ",
              "translate_bn": "তখন প্রত্যেকে জেনে নিবে সে কি অগ্রে প্রেরণ করেছে এবং কি পশ্চাতে ছেড়ে এসেছে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "‘আলিমাত নাফছুম মা-কাদ্দামাত ওয়া আখখারাত।",
              "words_arabic": "عَلِمَتْ/عَلِمَتۡ/alimat//نَفْسٌ/نَفۡسٞ/nafsun//مَّا/مَّا/ma//قَدَّمَتْ/قَدَّمَتۡ/qaddamat//وَ اَخَّرَتْؕ/وَأَخَّرَتۡ/wa-akharat",
              "words_bangla": "জানবে//প্রত্যেক ব্যক্তি//যা//সে আগে পাঠিয়েছে//এবং পিছনে ছেড়েছে"
            },
            {
              "number": 5835,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5835.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5835.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5835.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5835.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلْإِنسَٰنُ مَا غَرَّكَ بِرَبِّكَ ٱلْكَرِيمِ",
              "translate_bn": "হে মানুষ, কিসে তোমাকে তোমার মহামহিম পালনকর্তা সম্পর্কে বিভ্রান্ত করল?",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ূহাল ইনছা-নুমা-গাররাকা বিরাব্বিকাল কারীম।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مَا/مَا/ma//غَرَّكَ/غَرَّكَ/gharraka//بِرَبِّكَ/بِرَبِّكَ/birabbika//الْكَرِیْمِۙ/ٱلۡكَرِيمِ/al-karimi",
              "words_bangla": "হে//মানুষ//কিসে//তোমাকে ধোঁকা দিয়েছে//তোমার রবের ব্যাপারে//মহান"
            },
            {
              "number": 5836,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5836.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5836.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5836.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5836.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَكَ فَسَوَّىٰكَ فَعَدَلَكَ",
              "translate_bn": "যিনি তোমাকে সৃষ্টি করেছেন, অতঃপর তোমাকে সুবিন্যস্ত করেছেন এবং সুষম করেছেন।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকাকা ফাছাওওয়া-কা ফা‘আদালাক।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَكَ/خَلَقَكَ/khalaqaka//فَسَوّٰىكَ/فَسَوَّىٰكَ/fasawwaka//فَعَدَلَكَۙ/فَعَدَلَكَ/fa'adalaka",
              "words_bangla": "যিনি//তোমাকে সৃষ্টি করেছেন//অতঃপর তোমাকে সুঠাম করেছেন//অতঃপর তোমাকে  সুসামঞ্জস্য করেছেন"
            },
            {
              "number": 5837,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5837.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5837.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5837.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5837.mp3"
              ],
              "text": "فِىٓ أَىِّ صُورَةٍۢ مَّا شَآءَ رَكَّبَكَ",
              "translate_bn": "যিনি তোমাকে তাঁর ইচ্ছামত আকৃতিতে গঠন করেছেন।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ফীআইয়ি সূরাতিম মা- শাআ রাক্কাবাক।",
              "words_arabic": "فِیْۤ/فِيٓ/fi//اَیِّ/أَيِّ/ayyi//صُوْرَةٍ/صُورَةٖ/suratin//مَّا/مَّا/ma//شَآءَ/شَآءَ/shaa//رَكَّبَكَؕ/رَكَّبَكَ/rakkabaka",
              "words_bangla": "মধ্যে//যে//আকৃতিতে//(যা) যেমন//তিনি চেয়েছেন//তোমাকে গঠন করেছেন"
            },
            {
              "number": 5838,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5838.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5838.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5838.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5838.mp3"
              ],
              "text": "كَلَّا بَلْ تُكَذِّبُونَ بِٱلدِّينِ",
              "translate_bn": "কখনও বিভ্রান্ত হয়ো না; বরং তোমরা দান-প্রতিদানকে মিথ্যা মনে কর।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-বাল তুকাযযিবূনা বিদ্দীন।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//بَلْ/بَلۡ/bal//تُكَذِّبُوْنَ/تُكَذِّبُونَ/tukadhibuna//بِالدِّیْنِۙ/بِٱلدِّينِ/bil-dini",
              "words_bangla": "কখনও নয়//বরং//তোমারা মিথ্যা মনে করছ//শেষ বিচারকে"
            },
            {
              "number": 5839,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5839.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5839.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5839.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5839.mp3"
              ],
              "text": "وَإِنَّ عَلَيْكُمْ لَحَٰفِظِينَ",
              "translate_bn": "অবশ্যই তোমাদের উপর তত্ত্বাবধায়ক নিযুক্ত আছে।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না ‘আলাইকুম লাহা-ফিজীন।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//عَلَیْكُمْ/عَلَيۡكُمۡ/alaykum//لَحٰفِظِیْنَۙ/لَحَٰفِظِينَ/lahafizina",
              "words_bangla": "এবং নিশ্চয়ই//তোমাদের উপর//সংরক্ষক দল অবশ্যই (আছে)"
            },
            {
              "number": 5840,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5840.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5840.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5840.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5840.mp3"
              ],
              "text": "كِرَامًۭا كَٰتِبِينَ",
              "translate_bn": "সম্মানিত আমল লেখকবৃন্দ।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কিরা-মান কা-তিবীন।",
              "words_arabic": "كِرَامًا/كِرَامٗا/kiraman//كَاتِبِیْنَۙ/كَٰتِبِينَ/katibina",
              "words_bangla": "সম্মানিত//লেখকবৃন্দ"
            },
            {
              "number": 5841,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5841.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5841.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5841.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5841.mp3"
              ],
              "text": "يَعْلَمُونَ مَا تَفْعَلُونَ",
              "translate_bn": "তারা জানে যা তোমরা কর।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়া‘লামূনা মা-তাফ‘আলূন।",
              "words_arabic": "یَعْلَمُوْنَ/يَعۡلَمُونَ/ya'lamuna//مَا/مَا/ma//تَفْعَلُوْنَ /تَفۡعَلُونَ/taf 'aluna",
              "words_bangla": "তারা জানে//যা//তোমরা কর"
            },
            {
              "number": 5842,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5842.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5842.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5842.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5842.mp3"
              ],
              "text": "إِنَّ ٱلْأَبْرَارَ لَفِى نَعِيمٍۢ",
              "translate_bn": "সৎকর্মশীলগণ থাকবে জান্নাতে।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল আবরা-রা লাফী না‘ঈম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْاَبْرَارَ/ٱلۡأَبۡرَارَ/al-abrara//لَفِیْ/لَفِي/lafi//نَعِیْمٍۚ/نَعِيمٖ/na'imin",
              "words_bangla": "নিশ্চয়ই//সৎ ব্যক্তিরা//অবশ্যই মধ্যে(থাকবে)//স্বাচ্ছন্দ্যে (সুখে-শান্তিতে)"
            },
            {
              "number": 5843,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5843.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5843.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5843.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5843.mp3"
              ],
              "text": "وَإِنَّ ٱلْفُجَّارَ لَفِى جَحِيمٍۢ",
              "translate_bn": "এবং দুষ্কর্মীরা থাকবে জাহান্নামে;",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাল ফুজ্জা-রা লাফী জাহীম।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//الْفُجَّارَ/ٱلۡفُجَّارَ/al-fujara//لَفِیْ/لَفِي/lafi//جَحِیْمٍۚۖ/جَحِيمٖ/jahimin",
              "words_bangla": "এবং নিশ্চয়ই//পাপাচারীরা//অবশ্যই মধ্যে (যাবে)//দোজখের"
            },
            {
              "number": 5844,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5844.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5844.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5844.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5844.mp3"
              ],
              "text": "يَصْلَوْنَهَا يَوْمَ ٱلدِّينِ",
              "translate_bn": "তারা বিচার দিবসে তথায় প্রবেশ করবে।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়াসলাওনাহা-ইয়াওমাদ্দীন।",
              "words_arabic": "یَّصْلَوْنَهَا/يَصۡلَوۡنَهَا/yaslawnaha//یَوْمَ/يَوۡمَ/yawma//الدِّیْنِ /ٱلدِّينِ/al-dini",
              "words_bangla": "সেখানে তারা প্রবেশ করবে//দিনে//বিচার"
            },
            {
              "number": 5845,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5845.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5845.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5845.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5845.mp3"
              ],
              "text": "وَمَا هُمْ عَنْهَا بِغَآئِبِينَ",
              "translate_bn": "তারা সেখান থেকে পৃথক হবে না।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুম ‘আনহা-বিগাইবীন।",
              "words_arabic": "وَ مَا/وَمَا/wama//هُمْ/هُمۡ/hum//عَنْهَا/عَنۡهَا/anha//بِغَآىِٕبِیْنَؕ/بِغَآئِبِينَ/bighaibina",
              "words_bangla": "এবং না//তারা//তা থেকে//অনুপস্থিত (থাকতে সক্ষম হবে)"
            },
            {
              "number": 5846,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5846.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5846.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5846.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5846.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا يَوْمُ ٱلدِّينِ",
              "translate_bn": "আপনি জানেন, বিচার দিবস কি?",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা-ইয়াওমুদ্দীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//یَوْمُ/يَوۡمُ/yawmu//الدِّیْنِۙ/ٱلدِّينِ/al-dini",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//কি (সেই)//দিন//বিচারের"
            },
            {
              "number": 5847,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5847.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5847.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5847.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5847.mp3"
              ],
              "text": "ثُمَّ مَآ أَدْرَىٰكَ مَا يَوْمُ ٱلدِّينِ",
              "translate_bn": "অতঃপর আপনি জানেন, বিচার দিবস কি?",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা মাআদরা-কা মা-ইয়াওমুদ্দীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//مَاۤ/مَآ/ma//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//یَوْمُ/يَوۡمُ/yawmu//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "অতঃপর//কিসে//তোমাকে জানাবে//কি সেই//দিন//বিচারের"
            },
            {
              "number": 5848,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5848.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5848.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5848.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5848.mp3"
              ],
              "text": "يَوْمَ لَا تَمْلِكُ نَفْسٌۭ لِّنَفْسٍۢ شَيْـًۭٔا ۖ وَٱلْأَمْرُ يَوْمَئِذٍۢ لِّلَّهِ",
              "translate_bn": "যেদিন কেউ কারও কোন উপকার করতে পারবে না এবং সেদিন সব কতৃꦣ2468;্ব হবে আল্লাহর।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 524,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা লা-তামলিকুনাফছুল লিনাফছিন শাইআওঁ ওয়াল আমরু ইয়াওমাইযিল লিল্লা-হি।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//لَا/لَا/la//تَمْلِكُ/تَمۡلِكُ/tamliku//نَفْسٌ/نَفۡسٞ/nafsun//لِّنَفْسٍ/لِّنَفۡسٖ/linafsin//شَیْـًٔا ؕ/شَيۡـٔٗاۖ/shayan//وَ الْاَمْرُ/وَٱلۡأَمۡرُ/wal-amru//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلّٰهِ۠/لِّلَّهِ/lillahi",
              "words_bangla": "সেদিন//না//সক্ষম হবে//কেউ//কারও জন্যে//কিছু (করতে)//এবং কর্তৃত্ব//সেদিন (হবে কেবল)//আল্লাহর জন্যে"
            }
          ]
        },
        {
          "number": 83,
          "name": "سُورَةُ المُطَفِّفِينَ",
          "englishName": "Al-Mutaffifin",
          "englishNameTranslation": "Defrauding",
          "revelationType": "Meccan",
          "verse": 36,
          "words": 350,
          "chars": 1520,
          "ayahs": [
            {
              "number": 5849,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5849.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5849.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5849.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5849.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَيْلٌۭ لِّلْمُطَفِّفِينَ",
              "translate_bn": "যারা মাপে কম করে, তাদের জন্যে দুর্ভোগ,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুলিললমুতাফফিফীন।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//لِّلْمُطَفِّفِیْنَۙ/لِّلۡمُطَفِّفِينَ/lil'mutaffifina",
              "words_bangla": "দুর্ভোগ//যারা ওজনে/ মাপে কম দেয়"
            },
            {
              "number": 5850,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5850.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5850.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5850.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5850.mp3"
              ],
              "text": "ٱلَّذِينَ إِذَا ٱكْتَالُوا۟ عَلَى ٱلنَّاسِ يَسْتَوْفُونَ",
              "translate_bn": "যারা লোকের কাছ থেকে যখন মেপে নেয়, তখন পূর্ণ মাত্রায় নেয়",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইয়াকতা-লূ‘আলান্না-ছি ইয়াছতাওফূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//اِذَا/إِذَا/idha//اكْتَالُوْا/ٱكۡتَالُواْ/ik'talu//عَلَی/عَلَى/ala//النَّاسِ/ٱلنَّاسِ/al-nasi//یَسْتَوْفُوْنَؗۖ/يَسۡتَوۡفُونَ/yastawfuna",
              "words_bangla": "যারা//যখন//মেপে নেয়//থেকে//লোকদের//তারা পূর্ণমাত্রায় নেয়"
            },
            {
              "number": 5851,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5851.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5851.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5851.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5851.mp3"
              ],
              "text": "وَإِذَا كَالُوهُمْ أَو وَّزَنُوهُمْ يُخْسِرُونَ",
              "translate_bn": "এবং যখন লোকদেরকে মেপে দেয় কিংবা ওজন করে দেয়, তখন কম করে দেয়।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-কা-লূহুম আও ওয়াঝানূহুম ইউখছিরূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//كَالُوْهُمْ/كَالُوهُمۡ/kaluhum//اَوْ/أَو/aw//وَّ زَنُوْهُمْ/وَّزَنُوهُمۡ/wazanuhum//یُخْسِرُوْنَؕ/يُخۡسِرُونَ/yukh'siruna",
              "words_bangla": "কিন্তু যখন//তাদের মেপে দেয়//বা//তাদের ওজন করে দেয়//তারা কম করে দেয়"
            },
            {
              "number": 5852,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5852.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5852.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5852.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5852.mp3"
              ],
              "text": "أَلَا يَظُنُّ أُو۟لَٰٓئِكَ أَنَّهُم مَّبْعُوثُونَ",
              "translate_bn": "তারা কি চিন্তা করে না যে, তারা পুনরুত্থিত হবে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "আলা-ইয়াজু ননুউলাইকা আন্নাহুম মাব‘ঊছূন।",
              "words_arabic": "اَلَا/أَلَا/ala//یَظُنُّ/يَظُنُّ/yazunnu//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَنَّهُمْ/أَنَّهُم/annahum//مَّبْعُوْثُوْنَۙ/مَّبۡعُوثُونَ/mab'uthuna",
              "words_bangla": "না কি//চিন্তা করে//ঐসব লোকেরা//যে তারা//আবার ওঠানো হবে"
            },
            {
              "number": 5853,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5853.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5853.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5853.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5853.mp3"
              ],
              "text": "لِيَوْمٍ عَظِيمٍۢ",
              "translate_bn": "সেই মহাদিবসে,",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "লিয়াওমিন ‘আজীমি।",
              "words_arabic": "لِیَوْمٍ/لِيَوۡمٍ/liyawmin//عَظِیْمٍۙ/عَظِيمٖ/azimin",
              "words_bangla": "দিনের জন্যে//এক মহা"
            },
            {
              "number": 5854,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5854.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5854.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5854.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5854.mp3"
              ],
              "text": "يَوْمَ يَقُومُ ٱلنَّاسُ لِرَبِّ ٱلْعَٰلَمِينَ",
              "translate_bn": "যেদিন মানুষ দাঁড়াবে বিশ্ব পালনকর্তার সামনে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 587,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াকূমুন্না-ছূলিরাব্বিল ‘আ-লামীন।",
              "words_arabic": "یَّوْمَ/يَوۡمَ/yawma//یَقُوْمُ/يَقُومُ/yaqumu//النَّاسُ/ٱلنَّاسُ/al-nasu//لِرَبِّ/لِرَبِّ/lirabbi//الْعٰلَمِیْنَؕ/ٱلۡعَٰلَمِينَ/al-'alamina",
              "words_bangla": "যেদিন//দাঁড়াবে//মানুষ//রবের সামনে//বিশ্বজগতের"
            },
            {
              "number": 5855,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5855.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5855.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5855.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5855.mp3"
              ],
              "text": "كَلَّآ إِنَّ كِتَٰبَ ٱلْفُجَّارِ لَفِى سِجِّينٍۢ",
              "translate_bn": "এটা কিছুতেই উচিত নয়, নিশ্চয় পাপাচারীদের আমলনামা সিজ্জীনে আছে।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্না কিতা-বাল ফুজ্জা-রি লাফী ছিজ্জীন।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّ/إِنَّ/inna//كِتٰبَ/كِتَٰبَ/kitaba//الْفُجَّارِ/ٱلۡفُجَّارِ/al-fujari//لَفِیْ/لَفِي/lafi//سِجِّیْنٍؕ/سِجِّينٖ/sijjinin",
              "words_bangla": "কখনও না//নিশ্চয়ই//আমলনামা//পাপীদের//অবশ্যই মধ্যে (আছে)//কয়েদখানার"
            },
            {
              "number": 5856,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5856.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5856.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5856.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5856.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا سِجِّينٌۭ",
              "translate_bn": "আপনি জানেন, সিজ্জীন কি?",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা-ছিজ্জীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//سِجِّیْنٌؕ/سِجِّينٞ/sijjinun",
              "words_bangla": "এবং কিসে//তোমাকে বুঝাবে/ জানাবে//(কি) সেই//কয়েদখানা"
            },
            {
              "number": 5857,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5857.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5857.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5857.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5857.mp3"
              ],
              "text": "كِتَٰبٌۭ مَّرْقُومٌۭ",
              "translate_bn": "এটা লিপিবদ্ধ খাতা।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কিতা-বুমমারকুম।",
              "words_arabic": "كِتٰبٌ/كِتَٰبٞ/kitabun//مَّرْقُوْمٌؕ/مَّرۡقُومٞ/marqumun",
              "words_bangla": "খাতা/ আমলনামা//চিহ্নিত"
            },
            {
              "number": 5858,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5858.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5858.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5858.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5858.mp3"
              ],
              "text": "وَيْلٌۭ يَوْمَئِذٍۢ لِّلْمُكَذِّبِينَ",
              "translate_bn": "সেদিন দুর্ভোগ মিথ্যারোপকারীদের,",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুইঁ ইয়াওমাইযিল লিলমুকাযযিবীন।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لِّلْمُكَذِّبِیْنَۙ/لِّلۡمُكَذِّبِينَ/lil'mukadhibina",
              "words_bangla": "ধ্বংস//সেদিন//মিথ্যারোপকারীদের জন্যে"
            },
            {
              "number": 5859,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5859.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5859.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5859.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5859.mp3"
              ],
              "text": "ٱلَّذِينَ يُكَذِّبُونَ بِيَوْمِ ٱلدِّينِ",
              "translate_bn": "যারা প্রতিফল দিবসকে মিথ্যারোপ করে।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা ইউকাযযিবূনা বিইয়াওমিদ্দীন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//یُكَذِّبُوْنَ/يُكَذِّبُونَ/yukadhibuna//بِیَوْمِ/بِيَوۡمِ/biyawmi//الدِّیْنِؕ/ٱلدِّينِ/al-dini",
              "words_bangla": "যারা//মিথ্যারোপ করে//দিন সম্পর্কে//বিচারের"
            },
            {
              "number": 5860,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5860.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5860.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5860.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5860.mp3"
              ],
              "text": "وَمَا يُكَذِّبُ بِهِۦٓ إِلَّا كُلُّ مُعْتَدٍ أَثِيمٍ",
              "translate_bn": "প্রত্যেক সীমালংঘনকারী পাপিষ্ঠই কেবল একে মিথ্যারোপ করে।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইউকাযযিবুবিহীইল্লা-কুল্লুমু‘তাদিন আছীম।",
              "words_arabic": "وَ مَا/وَمَا/wama//یُكَذِّبُ/يُكَذِّبُ/yukadhibu//بِهٖۤ/بِهِۦٓ/bihi//اِلَّا/إِلَّا/illa//كُلُّ/كُلُّ/kullu//مُعْتَدٍ/مُعۡتَدٍ/mu'tadin//اَثِیْمٍۙ/أَثِيمٍ/athimin",
              "words_bangla": "এবং না//মিথ্যারোপ করে//এতে//এ ছাড়া//প্রত্যেক//সীমালঙ্ঘনকারী//পাপী"
            },
            {
              "number": 5861,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5861.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5861.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5861.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5861.mp3"
              ],
              "text": "إِذَا تُتْلَىٰ عَلَيْهِ ءَايَٰتُنَا قَالَ أَسَٰطِيرُ ٱلْأَوَّلِينَ",
              "translate_bn": "তার কাছে আমার আয়াতসমূহ পাঠ করা হলে সে বলে, পুরাকালের উপকথা।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইযা-তুতলা-‘আলাইহি আ-য়া-তুনা-কা-লা আছা-তীরুল আওওয়ালীন।",
              "words_arabic": "اِذَا/إِذَا/idha//تُتْلٰی/تُتۡلَىٰ/tut'la//عَلَیْهِ/عَلَيۡهِ/alayhi//اٰیٰتُنَا/ءَايَٰتُنَا/ayatuna//قَالَ/قَالَ/qala//اَسَاطِیْرُ/أَسَٰطِيرُ/asatiru//الْاَوَّلِیْنَؕ/ٱلۡأَوَّلِينَ/al-awalina",
              "words_bangla": "যখন//পাঠ করা হয়//তার উপর//আমাদের আয়াতসমূহ//সে বলে//\"(এসব) উপকথা//পূর্ববর্তীদের\""
            },
            {
              "number": 5862,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5862.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5862.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5862.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5862.mp3"
              ],
              "text": "كَلَّا ۖ بَلْ ۜ رَانَ عَلَىٰ قُلُوبِهِم مَّا كَانُوا۟ يَكْسِبُونَ",
              "translate_bn": "কখনও না, বরং তারা যা করে, তাই তাদের হৃদয় মরিচা ধরিয়ে দিয়েছে।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-বাল রা-না ‘আলা-কুলূবিহিম মা-কা-নূইয়াকছিবূন।",
              "words_arabic": "كَلَّا/كَلَّاۖ/kalla//بَلْ ٚ/بَلۡۜ/bal//رَانَ/رَانَ/rana//عَلٰی/عَلَىٰ/ala//قُلُوْبِهِمْ/قُلُوبِهِم/qulubihim//مَّا/مَّا/ma//كَانُوْا/كَانُواْ/kanu//یَكْسِبُوْنَ /يَكۡسِبُونَ/yaksibuna",
              "words_bangla": "কখনও না//বরং//মরচে ধরিয়েছে//উপর//তাদের অন্তরগুলোর//যা//করছিল//তারা অর্জন"
            },
            {
              "number": 5863,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5863.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5863.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5863.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5863.mp3"
              ],
              "text": "كَلَّآ إِنَّهُمْ عَن رَّبِّهِمْ يَوْمَئِذٍۢ لَّمَحْجُوبُونَ",
              "translate_bn": "কখনও না, তারা সেদিন তাদের পালনকর্তার থেকে পর্দার অন্তরালে থাকবে।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্নাহুম ‘আর রাব্বিহিম ইয়াওমাইযিল লামাহজূবূন।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّهُمْ/إِنَّهُمۡ/innahum//عَنْ/عَن/an//رَّبِّهِمْ/رَّبِّهِمۡ/rabbihim//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لَّمَحْجُوْبُوْنَؕ/لَّمَحۡجُوبُونَ/lamahjubuna",
              "words_bangla": "কখনও না//নিশ্চয়ই তারা//থেকে//তাদের রবের//সেদিন//তারা দর্শন বঞ্চিত হবেই"
            },
            {
              "number": 5864,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5864.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5864.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5864.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5864.mp3"
              ],
              "text": "ثُمَّ إِنَّهُمْ لَصَالُوا۟ ٱلْجَحِيمِ",
              "translate_bn": "অতঃপর তারা জাহান্নামে প্রবেশ করবে।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্নাহুম লাসা-লুল জাহীম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّهُمْ/إِنَّهُمۡ/innahum//لَصَالُوا/لَصَالُواْ/lasalu//الْجَحِیْمِؕ/ٱلۡجَحِيمِ/al-jahimi",
              "words_bangla": "অতঃপর//নিশ্চয়ই তারা//অবশ্যই প্রবেশ করবে//জাহান্নামে"
            },
            {
              "number": 5865,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5865.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5865.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5865.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5865.mp3"
              ],
              "text": "ثُمَّ يُقَالُ هَٰذَا ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ",
              "translate_bn": "এরপর বলা হবে, একেই তো তোমরা মিথ্যারোপ করতে।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইউকা-লূহা-যাল্লাযী কুনতুম বিহী তুকাযযিবূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//یُقَالُ/يُقَالُ/yuqalu//هٰذَا/هَٰذَا/hadha//الَّذِیْ/ٱلَّذِي/alladhi//كُنْتُمْ/كُنتُم/kuntum//بِهٖ/بِهِۦ/bihi//تُكَذِّبُوْنَؕ/تُكَذِّبُونَ/tukadhibuna",
              "words_bangla": "অতঃপর//(তাদেরকে) বলা হবে//\"এই//সেই (দিন)//তোমরা ছিলে//যে ব্যাপারে//মিথ্যারোপ করতে\""
            },
            {
              "number": 5866,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5866.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5866.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5866.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5866.mp3"
              ],
              "text": "كَلَّآ إِنَّ كِتَٰبَ ٱلْأَبْرَارِ لَفِى عِلِّيِّينَ",
              "translate_bn": "কখনও না, নিশ্চয় সৎলোকদের আমলনামা আছে ইল্লিয়্যীনে।",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্না কিতা-বাল আবরা-রি লাফী ‘ইলিলইঈন।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّ/إِنَّ/inna//كِتٰبَ/كِتَٰبَ/kitaba//الْاَبْرَارِ/ٱلۡأَبۡرَارِ/al-abrari//لَفِیْ/لَفِي/lafi//عِلِّیِّیْنَؕ/عِلِّيِّينَ/illiyyina",
              "words_bangla": "কখনও না//নিশ্চয়ই//আমলনামা//সৎ লোকদের//অবশ্যই মধ্যে//উচ্চ মর্যাদাসম্পন্ন (দফতরে)"
            },
            {
              "number": 5867,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5867.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5867.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5867.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5867.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا عِلِّيُّونَ",
              "translate_bn": "আপনি জানেন ইল্লিয়্যীন কি?",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা-‘ইলিলইয়ূন।\r\n",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//عِلِّیُّوْنَؕ/عِلِّيُّونَ/illiyyuna",
              "words_bangla": "এবং কিসে//তোমাকে বুঝাবে//কি সেই//উচ্চ মর্যাদাসম্পন্ন (দফতর)"
            },
            {
              "number": 5868,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5868.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5868.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5868.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5868.mp3"
              ],
              "text": "كِتَٰبٌۭ مَّرْقُومٌۭ",
              "translate_bn": "এটা লিপিবদ্ধ খাতা।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "কিতা-বুমমারকূম",
              "words_arabic": "كِتٰبٌ/كِتَٰبٞ/kitabun//مَّرْقُوْمٌۙ/مَّرۡقُومٞ/marqumun",
              "words_bangla": "খাতা/ আমলনামা//চিহ্নিত"
            },
            {
              "number": 5869,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5869.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5869.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5869.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5869.mp3"
              ],
              "text": "يَشْهَدُهُ ٱلْمُقَرَّبُونَ",
              "translate_bn": "আল্লাহর নৈকট্যপ্রাপ্ত ফেরেশতাগণ একে প্রত্যক্ষ করে।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইয়াশহাদুহুল মুকাররাবূন।",
              "words_arabic": "یَّشْهَدُهُ/يَشۡهَدُهُ/yashhaduhu//الْمُقَرَّبُوْنَۙ/ٱلۡمُقَرَّبُونَ/al-muqarabuna",
              "words_bangla": "তা অবলোকন করছে//নৈকট্যপ্রাপ্ত (ফেরেশতারা)"
            },
            {
              "number": 5870,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5870.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5870.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5870.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5870.mp3"
              ],
              "text": "إِنَّ ٱلْأَبْرَارَ لَفِى نَعِيمٍ",
              "translate_bn": "নিশ্চয় সৎলোকগণ থাকবে পরম আরামে,",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল আবরা-রা লাফী না‘ঈম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْاَبْرَارَ/ٱلۡأَبۡرَارَ/al-abrara//لَفِیْ/لَفِي/lafi//نَعِیْمٍۙ/نَعِيمٍ/na'imin",
              "words_bangla": "নিশ্চয়ই//সৎ লোকেরা//অবশ্যই মধ্যে (থাকবে)//স্বাচ্ছন্দ্যের"
            },
            {
              "number": 5871,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5871.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5871.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5871.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5871.mp3"
              ],
              "text": "عَلَى ٱلْأَرَآئِكِ يَنظُرُونَ",
              "translate_bn": "সিংহাসনে বসে অবলোকন করবে।",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "‘আলাল আরাইকি ইয়ানজু রুন।\r\n",
              "words_arabic": "عَلَی/عَلَى/ala//الْاَرَآىِٕكِ/ٱلۡأَرَآئِكِ/al-araiki//یَنْظُرُوْنَۙ/يَنظُرُونَ/yanzuruna",
              "words_bangla": "উপর//সুসজ্জিত আসন//তারা দেখবে"
            },
            {
              "number": 5872,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5872.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5872.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5872.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5872.mp3"
              ],
              "text": "تَعْرِفُ فِى وُجُوهِهِمْ نَضْرَةَ ٱلنَّعِيمِ",
              "translate_bn": "আপনি তাদের মুখমন্ডলে স্বাচ্ছন্দ্যের সজীবতা দেখতে পাবেন।",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "তা‘রিফুফী উজূহিহিম নাদরাতান্না‘ঈম।",
              "words_arabic": "تَعْرِفُ/تَعۡرِفُ/ta'rifu//فِیْ/فِي/fi//وُجُوْهِهِمْ/وُجُوهِهِمۡ/wujuhihim//نَضْرَةَ/نَضۡرَةَ/nadrata//النَّعِیْمِۚ/ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "তুমি চিনবে//মধ্যে//তাদের চেহারার//দীপ্তি//স্বাচ্ছন্দ্যের"
            },
            {
              "number": 5873,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5873.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5873.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5873.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5873.mp3"
              ],
              "text": "يُسْقَوْنَ مِن رَّحِيقٍۢ مَّخْتُومٍ",
              "translate_bn": "তাদেরকে মোহর করা বিশুদ্ধ পানীয় পান করানো হবে।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইউছকাওনা মির রাহীকিমমাখতূম।",
              "words_arabic": "یُسْقَوْنَ/يُسۡقَوۡنَ/yus'qawna//مِنْ/مِن/min//رَّحِیْقٍ/رَّحِيقٖ/rahiqin//مَّخْتُوْمٍۙ/مَّخۡتُومٍ/makhtumin",
              "words_bangla": "তাদের পান করানো হবে//হতে//বিশুদ্ধ পানীয়//মোহর করা"
            },
            {
              "number": 5874,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5874.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5874.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5874.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5874.mp3"
              ],
              "text": "خِتَٰمُهُۥ مِسْكٌۭ ۚ وَفِى ذَٰلِكَ فَلْيَتَنَافَسِ ٱلْمُتَنَٰفِسُونَ",
              "translate_bn": "তার মোহর হবে কস্তুরী। এ বিষয়ে প্রতিযোগীদের প্রতিযোগিতা করা উচিত।",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "খিতা-মুহূমিছকুওঁ ওয়া ফী যা-লিকা ফালইয়াতানা-ফাছিল মুতানা-ফিছূন।",
              "words_arabic": "خِتٰمُهٗ/خِتَٰمُهُۥ/khitamuhu//مِسْكٌ ؕ/مِسۡكٞۚ/mis'kun//وَ فِیْ/وَفِي/wafi//ذٰلِكَ/ذَٰلِكَ/dhalika//فَلْیَتَنَافَسِ/فَلۡيَتَنَافَسِ/falyatanafasi//الْمُتَنَافِسُوْنَؕ/ٱلۡمُتَنَٰفِسُونَ/al-mutanafisuna",
              "words_bangla": "তার মোহর (হবে)//কস্তুরির//এবং ক্ষেত্রে//এই//প্রতিযোগিতা করুক//প্রতিযোগীরা"
            },
            {
              "number": 5875,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5875.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5875.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5875.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5875.mp3"
              ],
              "text": "وَمِزَاجُهُۥ مِن تَسْنِيمٍ",
              "translate_bn": "তার মিশ্রণ হবে তসনীমের পানি।",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিঝা-জুহূমিন তাছনীম।",
              "words_arabic": "وَ مِزَاجُهٗ/وَمِزَاجُهُۥ/wamizajuhu//مِنْ/مِن/min//تَسْنِیْمٍۙ/تَسۡنِيمٍ/tasnimin",
              "words_bangla": "এবং তার মিশ্রণ হবে//এর//তাসনীম"
            },
            {
              "number": 5876,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5876.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5876.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5876.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5876.mp3"
              ],
              "text": "عَيْنًۭا يَشْرَبُ بِهَا ٱلْمُقَرَّبُونَ",
              "translate_bn": "এটা একটা ঝরণা, যার পানি পান করবে নৈকট্যশীলগণ।",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "‘আইনাইঁ ইয়াশরাবুবিহাল মুকাররাবূন।",
              "words_arabic": "عَیْنًا/عَيۡنٗا/aynan//یَّشْرَبُ/يَشۡرَبُ/yashrabu//بِهَا/بِهَا/biha//الْمُقَرَّبُوْنَؕ/ٱلۡمُقَرَّبُونَ/al-muqarabuna",
              "words_bangla": "(এই তাসনীম) একটি ঝর্ণা//পান করবে//তা থেকে//নৈকট্যপ্রাপ্তগণ"
            },
            {
              "number": 5877,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5877.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5877.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5877.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5877.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ أَجْرَمُوا۟ كَانُوا۟ مِنَ ٱلَّذِينَ ءَامَنُوا۟ يَضْحَكُونَ",
              "translate_bn": "যারা অপরাধী, তারা বিশ্বাসীদেরকে উপহাস করত।",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আজরামূকা-নূমিনাল্লাযীনা আ-মানূইয়াদহাকূন।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اَجْرَمُوْا/أَجۡرَمُواْ/ajramu//كَانُوْا/كَانُواْ/kanu//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//یَضْحَكُوْنَؗۖ/يَضۡحَكُونَ/yadhakuna",
              "words_bangla": "নিশ্চয়ই//যারা//অপরাধ করেছে//তারা ছিলো//সাথে//যারা//ঈমান এনেছে//বিদ্রুপ করত (তাদের সাথে)"
            },
            {
              "number": 5878,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5878.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5878.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5878.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5878.mp3"
              ],
              "text": "وَإِذَا مَرُّوا۟ بِهِمْ يَتَغَامَزُونَ",
              "translate_bn": "এবং তারা যখন তাদের কাছ দিয়ে গমন করত তখন পরস্পরে চোখ টিপে ইশারা করত।",
              "numberInSurah": 30,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-মাররূ বিহিম ইতাগা-মাঝূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//مَرُّوْا/مَرُّواْ/marru//بِهِمْ/بِهِمۡ/bihim//یَتَغَامَزُوْنَؗۖ/يَتَغَامَزُونَ/yataghamazuna",
              "words_bangla": "এবং যখন//অতিক্রম করত//তাদের কাছ দিয়ে//তারা কটাক্ষ করতো"
            },
            {
              "number": 5879,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5879.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5879.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5879.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5879.mp3"
              ],
              "text": "وَإِذَا ٱنقَلَبُوٓا۟ إِلَىٰٓ أَهْلِهِمُ ٱنقَلَبُوا۟ فَكِهِينَ",
              "translate_bn": "তারা যখন তাদের পরিবার-পরিজনের কাছে ফিরত, তখনও হাসাহাসি করে ফিরত।",
              "numberInSurah": 31,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযানকালাবূ-ইলাআহলিহিমুনকালাবূফাকিহীন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//انْقَلَبُوْۤا/ٱنقَلَبُوٓاْ/inqalabu//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهِمُ/أَهۡلِهِمُ/ahlihimu//انْقَلَبُوْا/ٱنقَلَبُواْ/inqalabu//فَكِهِیْنَؗۖ/فَكِهِينَ/fakihina",
              "words_bangla": "এবং যখন//ফিরে যেতো//কাছে//তাদের পরিজনের//তারা ফিরে যেতো//উৎফুল্ল হয়ে"
            },
            {
              "number": 5880,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5880.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5880.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5880.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5880.mp3"
              ],
              "text": "وَإِذَا رَأَوْهُمْ قَالُوٓا۟ إِنَّ هَٰٓؤُلَآءِ لَضَآلُّونَ",
              "translate_bn": "আর যখন তারা বিশ্বাসীদেরকে দেখত, তখন বলত, নিশ্চয় এরা বিভ্রান্ত।",
              "numberInSurah": 32,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযা-রাআওহুম কা-লূইন্না হাউলাই লাদাললূন।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//رَاَوْهُمْ/رَأَوۡهُمۡ/ra-awhum//قَالُوْۤا/قَالُوٓاْ/qalu//اِنَّ/إِنَّ/inna//هٰۤؤُلَآءِ/هَـٰٓؤُلَآءِ/haulai//لَضَآلُّوْنَۙ/لَضَآلُّونَ/ladalluna",
              "words_bangla": "এবং যখন//তাদেরকে দেখত//তারা বলত//\"নিশ্চয়ই//এসব লোক//অবশ্যই বিভ্রান্ত\""
            },
            {
              "number": 5881,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5881.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5881.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5881.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5881.mp3"
              ],
              "text": "وَمَآ أُرْسِلُوا۟ عَلَيْهِمْ حَٰفِظِينَ",
              "translate_bn": "অথচ তারা বিশ্বাসীদের তত্ত্বাবধায়করূপে প্রেরিত হয়নি।",
              "numberInSurah": 33,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাউরছিলূ‘আলাইহিম হা-ফিজীন।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اُرْسِلُوْا/أُرۡسِلُواْ/ur'silu//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//حٰفِظِیْنَؕ/حَٰفِظِينَ/hafizina",
              "words_bangla": "এবং না//পাঠানো হয়েছে (কাফেরদেরকে)//তাদের উপর//তত্ত্বাবধায়ক রূপে"
            },
            {
              "number": 5882,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5882.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5882.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5882.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5882.mp3"
              ],
              "text": "فَٱلْيَوْمَ ٱلَّذِينَ ءَامَنُوا۟ مِنَ ٱلْكُفَّارِ يَضْحَكُونَ",
              "translate_bn": "আজ যারা বিশ্বাসী, তারা কাফেরদেরকে উপহাস করছে।",
              "numberInSurah": 34,
              "juz": 30,
              "manzil": 7,
              "page": 588,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াওমাল্লাযীনা আ-মানূমিনাল কুফফা-রি ইয়াদহাকূন।",
              "words_arabic": "فَالْیَوْمَ/فَٱلۡيَوۡمَ/fal-yawma//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//مِنَ/مِنَ/mina//الْكُفَّارِ/ٱلۡكُفَّارِ/al-kufari//یَضْحَكُوْنَۙ/يَضۡحَكُونَ/yadhakuna",
              "words_bangla": "অতএব আজ//(সেদিন) যারা//ঈমান এনেছিলো//সাথে//কাফেরদের//উপহাস করবে"
            },
            {
              "number": 5883,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5883.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5883.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5883.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5883.mp3"
              ],
              "text": "عَلَى ٱلْأَرَآئِكِ يَنظُرُونَ",
              "translate_bn": "সিংহাসনে বসে, তাদেরকে অবলোকন করছে,",
              "numberInSurah": 35,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "‘আলাল আরাইকি ইয়ানজু রূন।",
              "words_arabic": "عَلَی/عَلَى/ala//الْاَرَآىِٕكِ ۙ/ٱلۡأَرَآئِكِ/al-araiki//یَنْظُرُوْنَؕ/يَنظُرُونَ/yanzuruna",
              "words_bangla": "উপর//সুসজ্জিত আসন সমূহের (বসে)//তারা দেখবে"
            },
            {
              "number": 5884,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5884.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5884.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5884.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5884.mp3"
              ],
              "text": "هَلْ ثُوِّبَ ٱلْكُفَّارُ مَا كَانُوا۟ يَفْعَلُونَ",
              "translate_bn": "কাফেররা যা করত, তার প্রতিফল পেয়েছে তো?",
              "numberInSurah": 36,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 525,
              "hizbQuarter": 235,
              "sajda": false,
              "pronunciation_bn": "হাল ছুওব্বিাল কুফফা-রু মা-কা-নূইয়াফ‘আলূন।",
              "words_arabic": "هَلْ/هَلۡ/hal//ثُوِّبَ/ثُوِّبَ/thuwwiba//الْكُفَّارُ/ٱلۡكُفَّارُ/al-kufaru//مَا/مَا/ma//كَانُوْا/كَانُواْ/kanu//یَفْعَلُوْنَ۠/يَفۡعَلُونَ/yaf 'aluna",
              "words_bangla": "কি//ফল দেয়া হলো//কাফেরদের//যা//(ছিল)//তারা করছিল"
            }
          ]
        },
        {
          "number": 84,
          "name": "سُورَةُ الانشِقَاقِ",
          "englishName": "Al-Inshiqaaq",
          "englishNameTranslation": "The Splitting Open",
          "revelationType": "Meccan",
          "verse": 25,
          "words": 243,
          "chars": 993,
          "ayahs": [
            {
              "number": 5885,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5885.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5885.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5885.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5885.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا ٱلسَّمَآءُ ٱنشَقَّتْ",
              "translate_bn": "যখন আকাশ বিদীর্ণ হবে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইযাছ ছামাউন শাক্কাত।",
              "words_arabic": "اِذَا/إِذَا/idha//السَّمَآءُ/ٱلسَّمَآءُ/al-samau//انْشَقَّتْۙ/ٱنشَقَّتۡ/inshaqqat",
              "words_bangla": "যখন//আকাশ//ফেটে পড়বে"
            },
            {
              "number": 5886,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5886.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5886.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5886.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5886.mp3"
              ],
              "text": "وَأَذِنَتْ لِرَبِّهَا وَحُقَّتْ",
              "translate_bn": "ও তার পালনকর্তার আদেশ পালন করবে এবং আকাশ এরই উপযুক্ত",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া আযিনাত লিরাব্বিহা-ওয়া হুক্কাত।",
              "words_arabic": "وَ اَذِنَتْ/وَأَذِنَتۡ/wa-adhinat//لِرَبِّهَا/لِرَبِّهَا/lirabbiha//وَ حُقَّتْۙ/وَحُقَّتۡ/wahuqqat",
              "words_bangla": "এবং সে নির্দেশ পালন করবে//তার রবের//ও এটাই তার করণীয়"
            },
            {
              "number": 5887,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5887.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5887.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5887.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5887.mp3"
              ],
              "text": "وَإِذَا ٱلْأَرْضُ مُدَّتْ",
              "translate_bn": "এবং যখন পৃথিবীকে সম্প্রসারিত করা হবে।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইযাল আরদুমুদ্দাত।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//مُدَّتْۙ/مُدَّتۡ/muddat",
              "words_bangla": "এবং যখন//পৃথিবী//সম্প্রসারিত করা হবে"
            },
            {
              "number": 5888,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5888.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5888.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5888.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5888.mp3"
              ],
              "text": "وَأَلْقَتْ مَا فِيهَا وَتَخَلَّتْ",
              "translate_bn": "এবং পৃথিবী তার গর্ভস্থিত সবকিছু বাইরে নিক্ষেপ করবে ও শুন্যগর্ভ হয়ে যাবে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া আল কাত মা-ফীহা-ওয়া তাখাল্লাত।",
              "words_arabic": "وَ اَلْقَتْ/وَأَلۡقَتۡ/wa-alqat//مَا/مَا/ma//فِیْهَا/فِيهَا/fiha//وَ تَخَلَّتْۙ/وَتَخَلَّتۡ/watakhallat",
              "words_bangla": "এবং নিক্ষেপ করবে//যা//তার মধ্যে আছে//এবং তা শূন্য হয়ে যাবে"
            },
            {
              "number": 5889,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5889.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5889.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5889.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5889.mp3"
              ],
              "text": "وَأَذِنَتْ لِرَبِّهَا وَحُقَّتْ",
              "translate_bn": "এবং তার পালনকর্তার আদেশ পালন করবে এবং পৃথিবী এরই উপযুক্ত।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া আযিনাত লিরাব্বিহা-ওয়া হুক্কাত।",
              "words_arabic": "وَ اَذِنَتْ/وَأَذِنَتۡ/wa-adhinat//لِرَبِّهَا/لِرَبِّهَا/lirabbiha//وَ حُقَّتْؕ/وَحُقَّتۡ/wahuqqat",
              "words_bangla": "এবং সে নির্দেশ পালন করবে//তার রবের//এবং এটাই তার জন্য করণীয়"
            },
            {
              "number": 5890,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5890.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5890.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5890.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5890.mp3"
              ],
              "text": "يَٰٓأَيُّهَا ٱلْإِنسَٰنُ إِنَّكَ كَادِحٌ إِلَىٰ رَبِّكَ كَدْحًۭا فَمُلَٰقِيهِ",
              "translate_bn": "হে মানুষ, তোমাকে তোমরা পালনকর্তা পর্যন্ত পৌছতে কষ্ট স্বীকার করতে হবে, অতঃপর তার সাক্ষাৎ ঘটবে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়ুহাল ইনছা-নুইন্নাকা কা-দিহুন ইলা-রাব্বিকা কাদহান ফামুলা-কীহ।",
              "words_arabic": "یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اِنَّكَ/إِنَّكَ/innaka//كَادِحٌ/كَادِحٌ/kadihun//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//كَدْحًا/كَدۡحٗا/kadhan//فَمُلٰقِیْهِۚ/فَمُلَٰقِيهِ/famulaqihi",
              "words_bangla": "হে//মানুষ//নিশ্চয়ই তুমি//পরিশ্রমকারী//দিকে//তোমার রবের//কঠোর পরিশ্রম//অতঃপর তাঁর (সাথে) সাক্ষাত করবে"
            },
            {
              "number": 5891,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5891.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5891.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5891.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5891.mp3"
              ],
              "text": "فَأَمَّا مَنْ أُوتِىَ كِتَٰبَهُۥ بِيَمِينِهِۦ",
              "translate_bn": "যাকে তার আমলনামা ডান হাতে দেয়া হবে",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান ঊতিয়া কিতা-বাহূবিয়ামীনিহ।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَنۡ/man//اُوْتِیَ/أُوتِيَ/utiya//كِتٰبَهٗ/كِتَٰبَهُۥ/kitabahu//بِیَمِیْنِهٖۙ/بِيَمِينِهِۦ/biyaminihi",
              "words_bangla": "অতঃপর (তার) ব্যাপার//যাকে//দেয়া হবে//তার আমলনামা//তার ডান হাতে"
            },
            {
              "number": 5892,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5892.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5892.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5892.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5892.mp3"
              ],
              "text": "فَسَوْفَ يُحَاسَبُ حِسَابًۭا يَسِيرًۭا",
              "translate_bn": "তার হিসাব-নিকাশ সহজে হয়ে যাবে",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফাছাওফা ইউহা-ছাবুহিছা-বাইঁ ইয়াছীরা-।",
              "words_arabic": "فَسَوْفَ/فَسَوۡفَ/fasawfa//یُحَاسَبُ/يُحَاسَبُ/yuhasabu//حِسَابًا/حِسَابٗا/hisaban//یَّسِیْرًاۙ/يَسِيرٗا/yasiran",
              "words_bangla": "অতঃপর শীঘ্র//হিসাব নেয়া হবে (তার)//হিসাব//সহজ"
            },
            {
              "number": 5893,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5893.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5893.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5893.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5893.mp3"
              ],
              "text": "وَيَنقَلِبُ إِلَىٰٓ أَهْلِهِۦ مَسْرُورًۭا",
              "translate_bn": "এবং সে তার পরিবার-পরিজনের কাছে হৃষ্টচিত্তে ফিরে যাবে",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ানকালিবুইলা-আহলিহী মাছরূরা-।",
              "words_arabic": "وَّ یَنْقَلِبُ/وَيَنقَلِبُ/wayanqalibu//اِلٰۤی/إِلَىٰٓ/ila//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//مَسْرُوْرًاؕ/مَسۡرُورٗا/masruran",
              "words_bangla": "এবং ফিরবে//কাছে//তার আপনজনের//আনন্দচিত্তে"
            },
            {
              "number": 5894,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5894.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5894.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5894.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5894.mp3"
              ],
              "text": "وَأَمَّا مَنْ أُوتِىَ كِتَٰبَهُۥ وَرَآءَ ظَهْرِهِۦ",
              "translate_bn": "এবং যাকে তার আমলনামা পিঠের পশ্চাদ্দিক থেকে দেয়া, হবে,",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান ঊতিয়া কিতা-বাহূওয়ারাআ জাহরিহ।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَنۡ/man//اُوْتِیَ/أُوتِيَ/utiya//كِتٰبَهٗ/كِتَٰبَهُۥ/kitabahu//وَرَآءَ/وَرَآءَ/waraa//ظَهْرِهٖۙ/ظَهۡرِهِۦ/zahrihi",
              "words_bangla": "আর (তার) ব্যাপার//যাকে//দেয়া হবে//তার আমলনামা//পিছনে//তার পিঠের"
            },
            {
              "number": 5895,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5895.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5895.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5895.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5895.mp3"
              ],
              "text": "فَسَوْفَ يَدْعُوا۟ ثُبُورًۭا",
              "translate_bn": "সে মৃত্যুকে আহবান করবে,",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফাছাওফা ইয়াদ‘ঊ ছুবূরা-।",
              "words_arabic": "فَسَوْفَ/فَسَوۡفَ/fasawfa//یَدْعُوْا/يَدۡعُواْ/yad'u//ثُبُوْرًاۙ/ثُبُورٗا/thuburan",
              "words_bangla": "শীঘ্র অতঃপর//সে ডাকবে//ধ্বংস (মৃত্যু)"
            },
            {
              "number": 5896,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5896.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5896.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5896.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5896.mp3"
              ],
              "text": "وَيَصْلَىٰ سَعِيرًا",
              "translate_bn": "এবং জাহান্নামে প্রবেশ করবে।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াসলা-ছা‘ঈরা-।",
              "words_arabic": "وَّ یَصْلٰی/وَيَصۡلَىٰ/wayasla//سَعِیْرًاؕ/سَعِيرًا/sa'iran",
              "words_bangla": "এবং প্রবেশ করবে//জ্বলন্ত আগুনে"
            },
            {
              "number": 5897,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5897.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5897.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5897.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5897.mp3"
              ],
              "text": "إِنَّهُۥ كَانَ فِىٓ أَهْلِهِۦ مَسْرُورًا",
              "translate_bn": "সে তার পরিবার-পরিজনের মধ্যে আনন্দিত ছিল।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূকা-না ফীআহলিহী মাছরূরা-।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//فِیْۤ/فِيٓ/fi//اَهْلِهٖ/أَهۡلِهِۦ/ahlihi//مَسْرُوْرًاؕ/مَسۡرُورًا/masruran",
              "words_bangla": "নিশ্চয়ই সে//ছিল//মধ্যে//তার স্বজনদের//আনন্দে"
            },
            {
              "number": 5898,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5898.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5898.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5898.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5898.mp3"
              ],
              "text": "إِنَّهُۥ ظَنَّ أَن لَّن يَحُورَ",
              "translate_bn": "সে মনে করত যে, সে কখনও ফিরে যাবে না।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূজান্না আল্লাইঁ ইয়াহূরা।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//ظَنَّ/ظَنَّ/zanna//اَنْ/أَن/an//لَّنْ/لَّن/lan//یَّحُوْرَۚۛ/يَحُورَ/yahura",
              "words_bangla": "নিশ্চয়ই সে//মনে করেছিল//যে//কখনও না//ফিরবে"
            },
            {
              "number": 5899,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5899.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5899.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5899.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5899.mp3"
              ],
              "text": "بَلَىٰٓ إِنَّ رَبَّهُۥ كَانَ بِهِۦ بَصِيرًۭا",
              "translate_bn": "কেন যাবে না, তার পালনকর্তা তো তাকে দেখতেন।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "বালা-ইন্না রাব্বাহূকা-না বিহী বাসীরা-।",
              "words_arabic": "بَلٰۤی ۛۚ/بَلَىٰٓۚ/bala//اِنَّ/إِنَّ/inna//رَبَّهٗ/رَبَّهُۥ/rabbahu//كَانَ/كَانَ/kana//بِهٖ/بِهِۦ/bihi//بَصِیْرًاؕ/بَصِيرٗا/basiran",
              "words_bangla": "হ্যাঁ//নিশ্চয়ই//তার রব//ছিলেন//তার উপর//দৃষ্টিবান"
            },
            {
              "number": 5900,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5900.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5900.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5900.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5900.mp3"
              ],
              "text": "فَلَآ أُقْسِمُ بِٱلشَّفَقِ",
              "translate_bn": "আমি শপথ করি সন্ধ্যাকালীন লাল আভার",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফালাউকছিমুবিশশাফাক।",
              "words_arabic": "فَلَاۤ/فَلَآ/fala//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِالشَّفَقِۙ/بِٱلشَّفَقِ/bil-shafaqi",
              "words_bangla": "অতএব না//আমি শপথ করছি//পশ্চিম দিগন্তের সান্ধ্য লালিমার"
            },
            {
              "number": 5901,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5901.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5901.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5901.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5901.mp3"
              ],
              "text": "وَٱلَّيْلِ وَمَا وَسَقَ",
              "translate_bn": "এবং রাত্রির, এবং তাতে যার সমাবেশ ঘটে",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ওয়ামা-ওয়াছাক।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//وَ مَا/وَمَا/wama//وَسَقَۙ/وَسَقَ/wasaqa",
              "words_bangla": "এবং শপথ রাতের//ও যা//সমাবেশ ঘটায়"
            },
            {
              "number": 5902,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5902.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5902.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5902.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5902.mp3"
              ],
              "text": "وَٱلْقَمَرِ إِذَا ٱتَّسَقَ",
              "translate_bn": "এবং চন্দ্রের, যখন তা পূর্ণরূপ লাভ করে,",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়ালকামারি ইযাত্তাছাক।",
              "words_arabic": "وَ الْقَمَرِ/وَٱلۡقَمَرِ/wal-qamari//اِذَا/إِذَا/idha//اتَّسَقَۙ/ٱتَّسَقَ/ittasaqa",
              "words_bangla": "এবং শপথ চাঁদের//যখন//পূর্ণ হয়"
            },
            {
              "number": 5903,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5903.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5903.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5903.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5903.mp3"
              ],
              "text": "لَتَرْكَبُنَّ طَبَقًا عَن طَبَقٍۢ",
              "translate_bn": "নিশ্চয় তোমরা এক সিঁড়ি থেকে আরেক সিঁড়িতে আরোহণ করবে।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "লাতারকাবুন্না তাবাকান ‘আন তাবাক।",
              "words_arabic": "لَتَرْكَبُنَّ/لَتَرۡكَبُنَّ/latarkabunna//طَبَقًا/طَبَقًا/tabaqan//عَنْ/عَن/an//طَبَقٍؕ/طَبَقٖ/tabaqin",
              "words_bangla": "তোমরা অবশ্যই আরোহণ করবে//স্তর//থেকে//স্তরে"
            },
            {
              "number": 5904,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5904.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5904.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5904.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5904.mp3"
              ],
              "text": "فَمَا لَهُمْ لَا يُؤْمِنُونَ",
              "translate_bn": "অতএব, তাদের কি হল যে, তারা ঈমান আনে না?",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফামা-লাহুম লা-ইউ’মিনূন।",
              "words_arabic": "فَمَا/فَمَا/fama//لَهُمْ/لَهُمۡ/lahum//لَا/لَا/la//یُؤْمِنُوْنَۙ/يُؤۡمِنُونَ/yu'minuna",
              "words_bangla": "অতএব হলো কি//তাদের//না//তারা ঈমান আনে"
            },
            {
              "number": 5905,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5905.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5905.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5905.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5905.mp3"
              ],
              "text": "وَإِذَا قُرِئَ عَلَيْهِمُ ٱلْقُرْءَانُ لَا يَسْجُدُونَ ۩",
              "translate_bn": "যখন তাদের কাছে কোরআন পাঠ করা হয়, তখন সেজদা করে না।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": {
                "id": 14,
                "recommended": true,
                "obligatory": false
              },
              "pronunciation_bn": "ওয়া ইযা-কুরিআ ‘আলাইহিমুল কুরআ-নুলা-ইয়াছজুদূন (ছিজদাহ-১৩)।",
              "words_arabic": "وَ اِذَا/وَإِذَا/wa-idha//قُرِئَ/قُرِئَ/quri-a//عَلَیْهِمُ/عَلَيۡهِمُ/alayhimu//الْقُرْاٰنُ/ٱلۡقُرۡءَانُ/al-qur'anu//لَا/لَا/la//یَسْجُدُوْنَؕ۩/يَسۡجُدُونَۤ۩/yasjuduna",
              "words_bangla": "এবং যখন//পাঠ করা হয়//তাদের কাছে//কুর'আন//না//তারা সিজদা করে"
            },
            {
              "number": 5906,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5906.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5906.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5906.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5906.mp3"
              ],
              "text": "بَلِ ٱلَّذِينَ كَفَرُوا۟ يُكَذِّبُونَ",
              "translate_bn": "বরং কাফেররা এর প্রতি মিথ্যারোপ করে।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "বালিল্লাযীনা কাফারূইউকাযযিবূন।",
              "words_arabic": "بَلِ/بَلِ/bali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//یُكَذِّبُوْنَؗۖ/يُكَذِّبُونَ/yukadhibuna",
              "words_bangla": "বরং//যারা//কুফরি করেছে//মিথ্যারোপ করছে"
            },
            {
              "number": 5907,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5907.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5907.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5907.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5907.mp3"
              ],
              "text": "وَٱللَّهُ أَعْلَمُ بِمَا يُوعُونَ",
              "translate_bn": "তারা যা সংরক্ষণ করে, আল্লাহ তা জানেন।",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু আ‘লামুবিমা-ইয়ূ‘ঊন।",
              "words_arabic": "وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//اَعْلَمُ/أَعۡلَمُ/a'lamu//بِمَا/بِمَا/bima//یُوْعُوْنَؗۖ/يُوعُونَ/yu'una",
              "words_bangla": "এবং আল্লাহ//ভালো জানেন//ঐ বিষয়ে যা//তারা পোষণ করছে"
            },
            {
              "number": 5908,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5908.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5908.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5908.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5908.mp3"
              ],
              "text": "فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍ",
              "translate_bn": "অতএব, তাদেরকে যন্ত্রণাদায়ক শাস্তির সুসংবাদ দিন।",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফাবাশশিরহুম বি‘আযা-বিন আলীম।",
              "words_arabic": "فَبَشِّرْهُمْ/فَبَشِّرۡهُم/fabashir'hum//بِعَذَابٍ/بِعَذَابٍ/bi'adhabin//اَلِیْمٍۙ/أَلِيمٍ/alimin",
              "words_bangla": "কাজেই তাদের সুসংবাদ দাও//শাস্তির//যন্ত্রণাদায়ক"
            },
            {
              "number": 5909,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5909.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5909.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5909.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5909.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍۭ",
              "translate_bn": "কিন্তু যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, তাদের জন্য রয়েছে অফুরন্ত পুরস্কার।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 589,
              "ruku": 526,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা আ-মানূওয়া ‘আমিলুস সা-লিহা-তি লাহুম আজরুন গাইরু মামনূন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُمۡ/lahum//اَجْرٌ/أَجۡرٌ/ajrun//غَیْرُ/غَيۡرُ/ghayru//مَمْنُوْنٍ۠/مَمۡنُونِۭ/mamnunin",
              "words_bangla": "তার ব্যতিক্রম//(ঐসব লোক) যারা//ঈমান এনেছে//ও করেছে//সৎকর্ম//তাদের জন্য রয়েছে//পুরস্কার//অশেষ//অশেষ"
            }
          ]
        },
        {
          "number": 85,
          "name": "سُورَةُ البُرُوجِ",
          "englishName": "Al-Burooj",
          "englishNameTranslation": "The Constellations",
          "revelationType": "Meccan",
          "verse": 22,
          "words": 211,
          "chars": 995,
          "ayahs": [
            {
              "number": 5910,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5910.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5910.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5910.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5910.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلسَّمَآءِ ذَاتِ ٱلْبُرُوجِ",
              "translate_bn": "শপথ গ্রহ-নক্ষত্র শোভিত আকাশের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাই যা-তিল বুরূজ।",
              "words_arabic": "وَ السَّمَآءِ/وَٱلسَّمَآءِ/wal-samai//ذَاتِ/ذَاتِ/dhati//الْبُرُوْجِۙ/ٱلۡبُرُوجِ/al-buruji",
              "words_bangla": "শপথ আকাশের//বিশিষ্ট//বুরুজ/ গ্রহ-নক্ষত্র"
            },
            {
              "number": 5911,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5911.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5911.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5911.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5911.mp3"
              ],
              "text": "وَٱلْيَوْمِ ٱلْمَوْعُودِ",
              "translate_bn": "এবং প্রতিশ্রুত দিবসের,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ইয়াওমিল মাও‘ঊদ।",
              "words_arabic": "وَ الْیَوْمِ/وَٱلۡيَوۡمِ/wal-yawmi//الْمَوْعُوْدِۙ/ٱلۡمَوۡعُودِ/al-maw'udi",
              "words_bangla": "এবং দিনের//প্রতিশ্রুত"
            },
            {
              "number": 5912,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5912.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5912.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5912.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5912.mp3"
              ],
              "text": "وَشَاهِدٍۢ وَمَشْهُودٍۢ",
              "translate_bn": "এবং সেই দিবসের, যে উপস্থিত হয় ও যাতে উপস্থিত হয়",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া শা-হিদিওঁ ওয়া মাশহূদ।",
              "words_arabic": "وَ شَاهِدٍ/وَشَاهِدٖ/washahidin//وَّ مَشْهُوْدٍؕ/وَمَشۡهُودٖ/wamashhudin",
              "words_bangla": "শপথ দর্শকের//ও যা পরিদৃষ্ট হয়"
            },
            {
              "number": 5913,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5913.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5913.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5913.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5913.mp3"
              ],
              "text": "قُتِلَ أَصْحَٰبُ ٱلْأُخْدُودِ",
              "translate_bn": "অভিশপ্ত হয়েছে গর্ত ওয়ালারা অর্থাৎ,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "কুতিলা আসহা-বুল উখদূদ ।",
              "words_arabic": "قُتِلَ/قُتِلَ/qutila//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْاُخْدُوْدِۙ/ٱلۡأُخۡدُودِ/al-ukh'dudi",
              "words_bangla": "ধ্বংস হয়েছে//কর্তারা/ অধিপতিরা//গর্তের"
            },
            {
              "number": 5914,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5914.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5914.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5914.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5914.mp3"
              ],
              "text": "ٱلنَّارِ ذَاتِ ٱلْوَقُودِ",
              "translate_bn": "অনেক ইন্ধনের অগ্নিসংযোগকারীরা;",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "আন্না-রি যা-তিল ওয়াকূদ।",
              "words_arabic": "النَّارِ/ٱلنَّارِ/al-nari//ذَاتِ/ذَاتِ/dhati//الْوَقُوْدِۙ/ٱلۡوَقُودِ/al-waqudi",
              "words_bangla": "আগুনের//বিশিষ্ট//(প্রজ্জ্বলিত) ইন্ধন"
            },
            {
              "number": 5915,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5915.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5915.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5915.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5915.mp3"
              ],
              "text": "إِذْ هُمْ عَلَيْهَا قُعُودٌۭ",
              "translate_bn": "যখন তারা তার কিনারায় বসেছিল।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইযহুম ‘আলাইহা-কু‘ঊদ।",
              "words_arabic": "اِذْ/إِذۡ/idh//هُمْ/هُمۡ/hum//عَلَیْهَا/عَلَيۡهَا/alayha//قُعُوْدٌۙ/قُعُودٞ/qu'udun",
              "words_bangla": "যখন//তারা (ছিল)//তার পাশে//উপবিষ্ট"
            },
            {
              "number": 5916,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5916.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5916.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5916.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5916.mp3"
              ],
              "text": "وَهُمْ عَلَىٰ مَا يَفْعَلُونَ بِٱلْمُؤْمِنِينَ شُهُودٌۭ",
              "translate_bn": "এবং তারা বিশ্বাসীদের সাথে যা করেছিল, তা নিরীক্ষণ করছিল।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুম ‘আলা-মা-ইয়াফ‘আলূনা বিলমু’মিনীনা শুহূদ।",
              "words_arabic": "وَّ هُمْ/وَهُمۡ/wahum//عَلٰی/عَلَىٰ/ala//مَا/مَا/ma//یَفْعَلُوْنَ/يَفۡعَلُونَ/yaf 'aluna//بِالْمُؤْمِنِیْنَ/بِٱلۡمُؤۡمِنِينَ/bil-mu'minina//شُهُوْدٌؕ/شُهُودٞ/shuhudun",
              "words_bangla": "এবং তারা (ছিল)//ঐ সম্পর্কে//যা//তারা করছিল//মু'মিনদের সাথে//প্রত্যক্ষকারী"
            },
            {
              "number": 5917,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5917.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5917.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5917.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5917.mp3"
              ],
              "text": "وَمَا نَقَمُوا۟ مِنْهُمْ إِلَّآ أَن يُؤْمِنُوا۟ بِٱللَّهِ ٱلْعَزِيزِ ٱلْحَمِيدِ",
              "translate_bn": "তারা তাদেরকে শাস্তি দিয়েছিল শুধু এ কারণে যে, তারা প্রশংসিত, পরাক্রান্ত আল্লাহর প্রতি বিশ্বাস স্থাপন করেছিল,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া মা-নাকামূমিনহুম ইল্লাআইঁ ইউ’মিনূবিল্লা-হিল ‘আঝীঝিল হামীদ।",
              "words_arabic": "وَ مَا/وَمَا/wama//نَقَمُوْا/نَقَمُواْ/naqamu//مِنْهُمْ/مِنۡهُمۡ/min'hum//اِلَّاۤ/إِلَّآ/illa//اَنْ/أَن/an//یُّؤْمِنُوْا/يُؤۡمِنُواْ/yu'minu//بِاللّٰهِ/بِٱللَّهِ/bil-lahi//الْعَزِیْزِ/ٱلۡعَزِيزِ/al-'azizi//الْحَمِیْدِۙ/ٱلۡحَمِيدِ/al-hamidi",
              "words_bangla": "এবং না//তারা প্রতিশোধ নিয়েছিল//তাদের থেকে (অন্য কারণে)//এ ছাড়া//যে//তারা ঈমান এনেছে//আল্লাহর উপর//পরাক্রমশালী//প্রশংসিত"
            },
            {
              "number": 5918,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5918.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5918.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5918.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5918.mp3"
              ],
              "text": "ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَٰوَٰتِ وَٱلْأَرْضِ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍۢ شَهِيدٌ",
              "translate_bn": "যিনি নভোমন্ডল ও ভূমন্ডলের ক্ষমতার মালিক, আল্লাহর সামনে রয়েছে সবকিছু।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী লাহূমুলকুছ ছামা-ওয়া-তি ওয়াল আরদি ওয়াল্লা-হু ‘আলা-কুল্লি শাইয়িন শাহীদ।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//لَهٗ/لَهُۥ/lahu//مُلْكُ/مُلۡكُ/mul'ku//السَّمٰوٰتِ/ٱلسَّمَٰوَٰتِ/al-samawati//وَ الْاَرْضِ ؕ/وَٱلۡأَرۡضِۚ/wal-ardi//وَ اللّٰهُ/وَٱللَّهُ/wal-lahu//عَلٰی/عَلَىٰ/ala//كُلِّ/كُلِّ/kulli//شَیْءٍ/شَيۡءٖ/shayin//شَهِیْدٌؕ/شَهِيدٌ/shahidun",
              "words_bangla": "যিনি (এমন সত্তা যে)//তাঁরই জন্য//রাজত্ব//আকাশমণ্ডলীর//ও পৃথিবীর//এবং আল্লাহই//উপর//সব//কিছুর//সূক্ষ্মদর্শী"
            },
            {
              "number": 5919,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5919.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5919.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5919.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5919.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ فَتَنُوا۟ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَٰتِ ثُمَّ لَمْ يَتُوبُوا۟ فَلَهُمْ عَذَابُ جَهَنَّمَ وَلَهُمْ عَذَابُ ٱلْحَرِيقِ",
              "translate_bn": "যারা মুমিন পুরুষ ও নারীকে নিপীড়ন করেছে, অতঃপর তওবা করেনি, তাদের জন্যে আছে জাহান্নামের শাস্তি, আর আছে দহন যন্ত্রণা,",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা ফাতানুলমু’মিনীন ওয়াল মু’মিনা-তি ছু ম্মা লাম ইয়াতূবূফালাহুম ‘আযা-বু জাহান্নামা ওয়া লাহুম ‘আযা-বুল হারীক।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//فَتَنُوا/فَتَنُواْ/fatanu//الْمُؤْمِنِیْنَ/ٱلۡمُؤۡمِنِينَ/al-mu'minina//وَ الْمُؤْمِنٰتِ/وَٱلۡمُؤۡمِنَٰتِ/wal-mu'minati//ثُمَّ/ثُمَّ/thumma//لَمْ/لَمۡ/lam//یَتُوْبُوْا/يَتُوبُواْ/yatubu//فَلَهُمْ/فَلَهُمۡ/falahum//عَذَابُ/عَذَابُ/adhabu//جَهَنَّمَ/جَهَنَّمَ/jahannama//وَ لَهُمْ/وَلَهُمۡ/walahum//عَذَابُ/عَذَابُ/adhabu//الْحَرِیْقِؕ/ٱلۡحَرِيقِ/al-hariqi",
              "words_bangla": "নিশ্চয়ই//যারা//নির্যাতন করেছিল//মু'মিনদের//ও মু'মিনাদের (উপর)//অতঃপর//নি//তওবা করে//তাদের জন্যে (রয়েছে) তাই//শাস্তি//জাহান্নামের//ও তাদের জন্যে (রয়েছে)//শাস্তি//দহনের"
            },
            {
              "number": 5920,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5920.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5920.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5920.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5920.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ لَهُمْ جَنَّٰتٌۭ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْكَبِيرُ",
              "translate_bn": "যারা ঈমান আনে ও সৎকর্ম করে তাদের জন্যে আছে জান্নাত, যার তলদেশে প্রবাহিত হয় নির্ঝরিণীসমূহ। এটাই মহাসাফল্য।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি লাহুম জান্না-তুন তাজরী মিন তাহতিহাল আনহা-রু যা-লিকাল ফাওঝুল কাবীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//لَهُمْ/لَهُمۡ/lahum//جَنّٰتٌ/جَنَّـٰتٞ/jannatun//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ ؔؕ۬/ٱلۡأَنۡهَٰرُۚ/al-anharu//ذٰلِكَ/ذَٰلِكَ/dhalika//الْفَوْزُ/ٱلۡفَوۡزُ/al-fawzu//الْكَبِیْرُؕ/ٱلۡكَبِيرُ/al-kabiru",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//এবং করেছে//সৎকর্ম//তাদের জন্য (রয়েছে)//জান্নাত//প্রবাহিত হচ্ছে//হতে//তার নীচ//ঝর্ণাসমূহ//সেটাই//সাফল্য//মহা"
            },
            {
              "number": 5921,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5921.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5921.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5921.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5921.mp3"
              ],
              "text": "إِنَّ بَطْشَ رَبِّكَ لَشَدِيدٌ",
              "translate_bn": "নিশ্চয় তোমার পালনকর্তার পাকড়াও অত্যন্ত কঠিন।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্না বাতশা রাব্বিকা লাশাদীদ।\r\n",
              "words_arabic": "اِنَّ/إِنَّ/inna//بَطْشَ/بَطۡشَ/batsha//رَبِّكَ/رَبِّكَ/rabbika//لَشَدِیْدٌؕ/لَشَدِيدٌ/lashadidun",
              "words_bangla": "নিশ্চয়//পাকড়াও//তোমার রবের//অবশ্যই কঠিন"
            },
            {
              "number": 5922,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5922.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5922.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5922.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5922.mp3"
              ],
              "text": "إِنَّهُۥ هُوَ يُبْدِئُ وَيُعِيدُ",
              "translate_bn": "তিনিই প্রথমবার অস্তিত্ব দান করেন এবং পুনরায় জীবিত করেন।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূহুওয়া ইউবদিউ ওয়া ইউ‘ঈদ।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//هُوَ/هُوَ/huwa//یُبْدِئُ/يُبۡدِئُ/yub'di-u//وَ یُعِیْدُۚ/وَيُعِيدُ/wayu'idu",
              "words_bangla": "নিশ্চয়ই তিনি//তিনিই//অস্তিত্ব দান করেন//ও তিনি পুনরাবর্তন ঘটান"
            },
            {
              "number": 5923,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5923.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5923.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5923.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5923.mp3"
              ],
              "text": "وَهُوَ ٱلْغَفُورُ ٱلْوَدُودُ",
              "translate_bn": "তিনি ক্ষমাশীল, প্রেমময়;",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুওয়াল গাফূরুল ওয়াদূদু।",
              "words_arabic": "وَ هُوَ/وَهُوَ/wahuwa//الْغَفُوْرُ/ٱلۡغَفُورُ/al-ghafuru//الْوَدُوْدُۙ/ٱلۡوَدُودُ/al-wadudu",
              "words_bangla": "এবং তিনিই//ক্ষমাশীল//প্রেমময়"
            },
            {
              "number": 5924,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5924.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5924.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5924.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5924.mp3"
              ],
              "text": "ذُو ٱلْعَرْشِ ٱلْمَجِيدُ",
              "translate_bn": "মহান আরশের অধিকারী।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "যুল ‘আরশিল মাজীদ।",
              "words_arabic": "ذُو/ذُو/dhu//الْعَرْشِ/ٱلۡعَرۡشِ/al-'arshi//الْمَجِیْدُۙ/ٱلۡمَجِيدُ/al-majidu",
              "words_bangla": "অধিকারী//আরশের//সম্মানিত"
            },
            {
              "number": 5925,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5925.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5925.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5925.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5925.mp3"
              ],
              "text": "فَعَّالٌۭ لِّمَا يُرِيدُ",
              "translate_bn": "তিনি যা চান, তাই করেন।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফা‘‘আ-লুলিলমা-ইউরীদ।",
              "words_arabic": "فَعَّالٌ/فَعَّالٞ/fa'alun//لِّمَا/لِّمَا/lima//یُرِیْدُؕ/يُرِيدُ/yuridu",
              "words_bangla": "সম্পন্নকারী//যা//তিনি চান"
            },
            {
              "number": 5926,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5926.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5926.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5926.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5926.mp3"
              ],
              "text": "هَلْ أَتَىٰكَ حَدِيثُ ٱلْجُنُودِ",
              "translate_bn": "আপনার কাছে সৈন্যবাহিনীর ইতিবৃত্ত পৌছেছে কি?",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "হাল আতা-কা হাদীছুল জুনূদ।",
              "words_arabic": "هَلْ/هَلۡ/hal//اَتٰىكَ/أَتَىٰكَ/ataka//حَدِیْثُ/حَدِيثُ/hadithu//الْجُنُوْدِۙ/ٱلۡجُنُودِ/al-junudi",
              "words_bangla": "কি//তোমার কাছে পৌঁছেছে//বৃত্তান্ত//সৈন্যদের"
            },
            {
              "number": 5927,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5927.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5927.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5927.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5927.mp3"
              ],
              "text": "فِرْعَوْنَ وَثَمُودَ",
              "translate_bn": "ফেরাউনের এবং সামুদের?",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফির‘আওনা ওয়া ছামূদ।",
              "words_arabic": "فِرْعَوْنَ/فِرۡعَوۡنَ/fir'awna//وَ ثَمُوْدَؕ/وَثَمُودَ/wathamuda",
              "words_bangla": "ফিরআউনের//ও সামূদের"
            },
            {
              "number": 5928,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5928.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5928.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5928.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5928.mp3"
              ],
              "text": "بَلِ ٱلَّذِينَ كَفَرُوا۟ فِى تَكْذِيبٍۢ",
              "translate_bn": "বরং যারা কাফের, তারা মিথ্যারোপে রত আছে।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "বালিল্লাযীনা কাফারূফী তাকযীব ।",
              "words_arabic": "بَلِ/بَلِ/bali//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//فِیْ/فِي/fi//تَكْذِیْبٍۙ/تَكۡذِيبٖ/takdhibin",
              "words_bangla": "বরং//যারা//অবিশ্বাস করেছে//মধ্যে (রত)//মিথ্যারোপে"
            },
            {
              "number": 5929,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5929.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5929.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5929.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5929.mp3"
              ],
              "text": "وَٱللَّهُ مِن وَرَآئِهِم مُّحِيطٌۢ",
              "translate_bn": "আল্লাহ তাদেরকে চতুর্দিক থেকে পরিবেষ্টন করে রেখেছেন।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লা-হু মিওঁ ওয়ারাইহিম মুহীত।",
              "words_arabic": "وَّ اللّٰهُ/وَٱللَّهُ/wal-lahu//مِنْ/مِن/min//وَّرَآىِٕهِمْ/وَرَآئِهِم/waraihim//مُّحِیْطٌۚ/مُّحِيطُۢ/muhitun",
              "words_bangla": "অথচ আল্লাহ//হতে//তাদের অলক্ষ্য//(তাদেরকে) পরিবেষ্টনকারী"
            },
            {
              "number": 5930,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5930.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5930.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5930.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5930.mp3"
              ],
              "text": "بَلْ هُوَ قُرْءَانٌۭ مَّجِيدٌۭ",
              "translate_bn": "বরং এটা মহান কোরআন,",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "বাল হুওয়া কুরআ-নুমমাজীদুন।",
              "words_arabic": "بَلْ/بَلۡ/bal//هُوَ/هُوَ/huwa//قُرْاٰنٌ/قُرۡءَانٞ/qur'anun//مَّجِیْدٌۙ/مَّجِيدٞ/majidun",
              "words_bangla": "বরং//তা//কুর'আন//সম্মানিত"
            },
            {
              "number": 5931,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5931.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5931.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5931.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5931.mp3"
              ],
              "text": "فِى لَوْحٍۢ مَّحْفُوظٍۭ",
              "translate_bn": "লওহে মাহফুযে লিপিবদ্ধ।",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 590,
              "ruku": 527,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফী লাওহিম মাহফূজ।",
              "words_arabic": "فِیْ/فِي/fi//لَوْحٍ/لَوۡحٖ/lawhin//مَّحْفُوْظٍ۠/مَّحۡفُوظِۭ/mahfuzin",
              "words_bangla": "মধ্যে//ফলকের//সুরক্ষিত"
            }
          ]
        },
        {
          "number": 86,
          "name": "سُورَةُ الطَّارِقِ",
          "englishName": "At-Taariq",
          "englishNameTranslation": "The Morning Star",
          "revelationType": "Meccan",
          "verse": 17,
          "words": 132,
          "chars": 523,
          "ayahs": [
            {
              "number": 5932,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5932.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5932.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5932.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5932.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلسَّمَآءِ وَٱلطَّارِقِ",
              "translate_bn": "শপথ আকাশের এবং রাত্রিতে আগমনকারীর।",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাই ওয়াততা-রিক।",
              "words_arabic": "وَ السَّمَآءِ/وَٱلسَّمَآءِ/wal-samai//وَ الطَّارِقِۙ/وَٱلطَّارِقِ/wal-tariqi",
              "words_bangla": "শপথ আকাশের//এবং রাত্রে আত্মপ্রকাশকারী (নক্ষত্রের)"
            },
            {
              "number": 5933,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5933.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5933.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5933.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5933.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا ٱلطَّارِقُ",
              "translate_bn": "আপনি জানেন, যে রাত্রিতে আসে সেটা কি?",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাআদরা-কা মাত্তা-রিক।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//الطَّارِقُۙ/ٱلطَّارِقُ/al-tariqu",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//কি সেই//রাতে আত্মপ্রকাশকারী"
            },
            {
              "number": 5934,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5934.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5934.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5934.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5934.mp3"
              ],
              "text": "ٱلنَّجْمُ ٱلثَّاقِبُ",
              "translate_bn": "সেটা এক উজ্জ্বল নক্ষত্র।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "আন্নাজমুছছা-কিব।",
              "words_arabic": "النَّجْمُ/ٱلنَّجۡمُ/al-najmu//الثَّاقِبُۙ/ٱلثَّاقِبُ/al-thaqibu",
              "words_bangla": "নক্ষত্র//উজ্জ্বল"
            },
            {
              "number": 5935,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5935.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5935.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5935.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5935.mp3"
              ],
              "text": "إِن كُلُّ نَفْسٍۢ لَّمَّا عَلَيْهَا حَافِظٌۭ",
              "translate_bn": "প্রত্যেকের উপর একজন তত্ত্বাবধায়ক রয়েছে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন কুল্লুনাফছিল লাম্মা-‘আলাইহা-হা-ফিজ।",
              "words_arabic": "اِنْ/إِن/in//كُلُّ/كُلُّ/kullu//نَفْسٍ/نَفۡسٖ/nafsin//لَّمَّا/لَّمَّا/lamma//عَلَیْهَا/عَلَيۡهَا/alayha//حَافِظٌؕ/حَافِظٞ/hafizun",
              "words_bangla": "নেই//কোন//ব্যক্তি//এ ছাড়া যে//তার উপর//তত্ত্বাবধায়ক"
            },
            {
              "number": 5936,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5936.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5936.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5936.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5936.mp3"
              ],
              "text": "فَلْيَنظُرِ ٱلْإِنسَٰنُ مِمَّ خُلِقَ",
              "translate_bn": "অতএব, মানুষের দেখা উচিত কি বস্তু থেকে সে সৃজিত হয়েছে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফালইয়ানযুরিল ইনছা-নুমিম্মা খুলিক।",
              "words_arabic": "فَلْیَنْظُرِ/فَلۡيَنظُرِ/falyanzuri//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مِمَّ/مِمَّ/mimma//خُلِقَؕ/خُلِقَ/khuliqa",
              "words_bangla": "অতএব লক্ষ করা উচিৎ//মানুষের//কি থেকে//সৃষ্টি করা হয়েছে (তাকে)"
            },
            {
              "number": 5937,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5937.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5937.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5937.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5937.mp3"
              ],
              "text": "خُلِقَ مِن مَّآءٍۢ دَافِقٍۢ",
              "translate_bn": "সে সৃজিত হয়েছে সবেগে স্খলিত পানি থেকে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "খুলিকা মিম্মাইন দা-ফিকি।",
              "words_arabic": "خُلِقَ/خُلِقَ/khuliqa//مِنْ/مِن/min//مَّآءٍ/مَّآءٖ/main//دَافِقٍۙ/دَافِقٖ/dafiqin",
              "words_bangla": "সৃষ্টি করা হয়েছে//থেকে//পানি//সবেগে স্খলিত"
            },
            {
              "number": 5938,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5938.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5938.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5938.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5938.mp3"
              ],
              "text": "يَخْرُجُ مِنۢ بَيْنِ ٱلصُّلْبِ وَٱلتَّرَآئِبِ",
              "translate_bn": "এটা নির্গত হয় মেরুদন্ড ও বক্ষপাজরের মধ্য থেকে।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইয়াখরুজুমিম বাইনিসসুলবি ওয়াত্তারাইব।",
              "words_arabic": "یَّخْرُجُ/يَخۡرُجُ/yakhruju//مِنْۢ/مِنۢ/min//بَیْنِ/بَيۡنِ/bayni//الصُّلْبِ/ٱلصُّلۡبِ/al-sul'bi//وَ التَّرَآىِٕبِؕ/وَٱلتَّرَآئِبِ/wal-taraibi",
              "words_bangla": "যা বের হয়//থেকে//মাঝ//মেরুদণ্ড//ও বক্ষপিঞ্জরের"
            },
            {
              "number": 5939,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5939.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5939.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5939.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5939.mp3"
              ],
              "text": "إِنَّهُۥ عَلَىٰ رَجْعِهِۦ لَقَادِرٌۭ",
              "translate_bn": "নিশ্চয় তিনি তাকে ফিরিয়ে নিতে সক্ষম।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূ‘আলা-রাজ‘ইহী লাকা-দির।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//عَلٰی/عَلَىٰ/ala//رَجْعِهٖ/رَجۡعِهِۦ/raj'ihi//لَقَادِرٌؕ/لَقَادِرٞ/laqadirun",
              "words_bangla": "নিশ্চয়ই তিনি//ব্যাপারে//তার প্রত্যাবর্তনে//অবশ্যই সক্ষম"
            },
            {
              "number": 5940,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5940.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5940.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5940.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5940.mp3"
              ],
              "text": "يَوْمَ تُبْلَى ٱلسَّرَآئِرُ",
              "translate_bn": "যেদিন গোপন বিষয়াদি পরীক্ষিত হবে,",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা তুবলাছ ছারাইর।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//تُبْلَی/تُبۡلَى/tub'la//السَّرَآىِٕرُۙ/ٱلسَّرَآئِرُ/al-sarairu",
              "words_bangla": "সেদিন//পরীক্ষা করা হবে//গোপন বিষয়াবলী"
            },
            {
              "number": 5941,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5941.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5941.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5941.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5941.mp3"
              ],
              "text": "فَمَا لَهُۥ مِن قُوَّةٍۢ وَلَا نَاصِرٍۢ",
              "translate_bn": "সেদিন তার কোন শক্তি থাকবে না এবং সাহায্যকারীও থাকবে না।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফামা-লাহূমিন কুওওয়াতিওঁ ওয়ালা-না-সির।",
              "words_arabic": "فَمَا/فَمَا/fama//لَهٗ/لَهُۥ/lahu//مِنْ/مِن/min//قُوَّةٍ/قُوَّةٖ/quwwatin//وَّ لَا/وَلَا/wala//نَاصِرٍؕ/نَاصِرٖ/nasirin",
              "words_bangla": "অতঃপর না//তার জন্য (থাকবে)//কোন//শক্তি//আর না//কোনো সাহায্যকারী"
            },
            {
              "number": 5942,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5942.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5942.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5942.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5942.mp3"
              ],
              "text": "وَٱلسَّمَآءِ ذَاتِ ٱلرَّجْعِ",
              "translate_bn": "শপথ চক্রশীল আকাশের",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাই যা-তির রাজ‘ই।",
              "words_arabic": "وَ السَّمَآءِ/وَٱلسَّمَآءِ/wal-samai//ذَاتِ/ذَاتِ/dhati//الرَّجْعِۙ/ٱلرَّجۡعِ/al-raj'i",
              "words_bangla": "শপথ আকাশের//ধারণকারী//বৃষ্টির"
            },
            {
              "number": 5943,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5943.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5943.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5943.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5943.mp3"
              ],
              "text": "وَٱلْأَرْضِ ذَاتِ ٱلصَّدْعِ",
              "translate_bn": "এবং বিদারনশীল পৃথিবীর",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আরদিযা-তিসসাদ‘ই।",
              "words_arabic": "وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//ذَاتِ/ذَاتِ/dhati//الصَّدْعِۙ/ٱلصَّدۡعِ/al-sad'i",
              "words_bangla": "শপথ পৃথিবীর (যা)//বিশিষ্ট//বিদীর্ণ (বক্ষ)"
            },
            {
              "number": 5944,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5944.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5944.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5944.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5944.mp3"
              ],
              "text": "إِنَّهُۥ لَقَوْلٌۭ فَصْلٌۭ",
              "translate_bn": "নিশ্চয় কোরআন সত্য-মিথ্যার ফয়সালা।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহূলাকাওলুন ফাসল।",
              "words_arabic": "اِنَّهٗ/إِنَّهُۥ/innahu//لَقَوْلٌ/لَقَوۡلٞ/laqawlun//فَصْلٌۙ/فَصۡلٞ/faslun",
              "words_bangla": "নিশ্চয় তা//অবশ্যই বাণী//মীমাংসাকারী"
            },
            {
              "number": 5945,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5945.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5945.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5945.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5945.mp3"
              ],
              "text": "وَمَا هُوَ بِٱلْهَزْلِ",
              "translate_bn": "এবং এটা উপহাস নয়।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-হুওয়া বিল হাঝলি।",
              "words_arabic": "وَّ مَا/وَمَا/wama//هُوَ/هُوَ/huwa//بِالْهَزْلِؕ/بِٱلۡهَزۡلِ/bil-hazli",
              "words_bangla": "এবং না//তা//হাসি-ঠাট্টার কথা"
            },
            {
              "number": 5946,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5946.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5946.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5946.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5946.mp3"
              ],
              "text": "إِنَّهُمْ يَكِيدُونَ كَيْدًۭا",
              "translate_bn": "তারা ভীষণ চক্রান্ত করে,",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহুম ইয়াকীদূনা কাইদাওঁ।",
              "words_arabic": "اِنَّهُمْ/إِنَّهُمۡ/innahum//یَكِیْدُوْنَ/يَكِيدُونَ/yakiduna//كَیْدًاۙ/كَيۡدٗا/kaydan",
              "words_bangla": "নিশ্চয়ই তারা//ষড়যন্ত্র করছে//ভীষণ ষড়যন্ত্র"
            },
            {
              "number": 5947,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5947.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5947.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5947.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5947.mp3"
              ],
              "text": "وَأَكِيدُ كَيْدًۭا",
              "translate_bn": "আর আমিও কৌশল করি।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকীদুকাইদা-।",
              "words_arabic": "وَّ اَكِیْدُ/وَأَكِيدُ/wa-akidu//كَیْدًاۚۖ/كَيۡدٗا/kaydan",
              "words_bangla": "এবং আমি কৌশল করছি//ভীষণ কৌশল"
            },
            {
              "number": 5948,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5948.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5948.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5948.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5948.mp3"
              ],
              "text": "فَمَهِّلِ ٱلْكَٰفِرِينَ أَمْهِلْهُمْ رُوَيْدًۢا",
              "translate_bn": "অতএব, কাফেরদেরকে অবকাশ দিন, তাদেরকে অবকাশ দিন, কিছু দিনের জন্যে।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 528,
              "hizbQuarter": 236,
              "sajda": false,
              "pronunciation_bn": "ফামাহহিলিল কা-ফিরীনা আমহিলহুম রুওয়াইদা-।",
              "words_arabic": "فَمَهِّلِ/فَمَهِّلِ/famahhili//الْكٰفِرِیْنَ/ٱلۡكَٰفِرِينَ/al-kafirina//اَمْهِلْهُمْ/أَمۡهِلۡهُمۡ/amhil'hum//رُوَیْدًا۠/رُوَيۡدَۢا/ruwaydan",
              "words_bangla": "তাই অবকাশ দাও//কাফেরদেরকে//তাদের অবকাশ দাও//কিছুক্ষণের"
            }
          ]
        },
        {
          "number": 87,
          "name": "سُورَةُ الأَعۡلَىٰ",
          "englishName": "Al-A'laa",
          "englishNameTranslation": "The Most High",
          "revelationType": "Meccan",
          "verse": 19,
          "words": 144,
          "chars": 638,
          "ayahs": [
            {
              "number": 5949,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5949.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5949.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5949.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5949.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ سَبِّحِ ٱسْمَ رَبِّكَ ٱلْأَعْلَى",
              "translate_bn": "আপনি আপনার মহান পালনকর্তার নামের পবিত্রতা বর্ণনা করুন",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ছাব্বিহিছমা রাব্বিকাল আ‘লা-।",
              "words_arabic": "سَبِّحِ/سَبِّحِ/sabbihi//اسْمَ/ٱسۡمَ/is'ma//رَبِّكَ/رَبِّكَ/rabbika//الْاَعْلَیۙ/ٱلۡأَعۡلَى/al-a'la",
              "words_bangla": "মহিমা ঘোষণা করো//নামের//তোমার রবের//সুমহান"
            },
            {
              "number": 5950,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5950.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5950.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5950.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5950.mp3"
              ],
              "text": "ٱلَّذِى خَلَقَ فَسَوَّىٰ",
              "translate_bn": "যিনি সৃষ্টি করেছেন ও সুবিন্যস্ত করেছেন।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী খালাকা ফাছওওয়া-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَ/خَلَقَ/khalaqa//فَسَوّٰی۪ۙ/فَسَوَّىٰ/fasawwa",
              "words_bangla": "যিনি//সৃষ্টি করেছেন//অতঃপর সুবিন্যস্ত করেছেন"
            },
            {
              "number": 5951,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5951.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5951.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5951.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5951.mp3"
              ],
              "text": "وَٱلَّذِى قَدَّرَ فَهَدَىٰ",
              "translate_bn": "এবং যিনি সুপরিমিত করেছেন ও পথ প্রদর্শন করেছেন",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযী কাদ্দারা ফাহাদা-।",
              "words_arabic": "وَ الَّذِیْ/وَٱلَّذِي/wa-alladhi//قَدَّرَ/قَدَّرَ/qaddara//فَهَدٰی۪ۙ/فَهَدَىٰ/fahada",
              "words_bangla": "এবং যিনি//নিয়তি নির্ধারণ করেছেন//অতঃপর পথ দেখিয়েছেন"
            },
            {
              "number": 5952,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5952.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5952.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5952.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5952.mp3"
              ],
              "text": "وَٱلَّذِىٓ أَخْرَجَ ٱلْمَرْعَىٰ",
              "translate_bn": "এবং যিনি তৃণাদি উৎপন্ন করেছেন,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীআখরাজাল মার‘আ-।",
              "words_arabic": "وَ الَّذِیْۤ/وَٱلَّذِيٓ/wa-alladhi//اَخْرَجَ/أَخۡرَجَ/akhraja//الْمَرْعٰی۪ۙ/ٱلۡمَرۡعَىٰ/al-mar'a",
              "words_bangla": "এবং যিনি//উৎপন্ন করেছেন//তৃণ"
            },
            {
              "number": 5953,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5953.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5953.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5953.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5953.mp3"
              ],
              "text": "فَجَعَلَهُۥ غُثَآءً أَحْوَىٰ",
              "translate_bn": "অতঃপর করেছেন তাকে কাল আবর্জনা।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলাহূগুছাআন আহওয়া-।",
              "words_arabic": "فَجَعَلَهٗ/فَجَعَلَهُۥ/faja'alahu//غُثَآءً/غُثَآءً/ghuthaan//اَحْوٰیؕ/أَحۡوَىٰ/ahwa",
              "words_bangla": "অতঃপর তা পরিণত করেছেন//আবর্জনায়//কালো"
            },
            {
              "number": 5954,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5954.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5954.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5954.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5954.mp3"
              ],
              "text": "سَنُقْرِئُكَ فَلَا تَنسَىٰٓ",
              "translate_bn": "আমি আপনাকে পাঠ করাতে থাকব, ফলে আপনি বিস্মৃত হবেন না",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ছানুকরিউকা ফালা-তানছা-।",
              "words_arabic": "سَنُقْرِئُكَ/سَنُقۡرِئُكَ/sanuq'ri-uka//فَلَا/فَلَا/fala//تَنْسٰۤیۙ/تَنسَىٰٓ/tansa",
              "words_bangla": "তোমাকে শীঘ্রই আমরা পড়িয়ে দেব//অতঃপর না//তুমি ভুলবে"
            },
            {
              "number": 5955,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5955.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5955.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5955.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5955.mp3"
              ],
              "text": "إِلَّا مَا شَآءَ ٱللَّهُ ۚ إِنَّهُۥ يَعْلَمُ ٱلْجَهْرَ وَمَا يَخْفَىٰ",
              "translate_bn": "আল্লাহ যা ইচ্ছা করেন তা ব্যতীত। নিশ্চয় তিনি জানেন প্রকাশ্য ও গোপন বিষয়।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মা-শাআল্লা-হু ইন্নাহূইয়া‘লামুল জাহরা ওয়ামা-ইয়াখফা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَا/مَا/ma//شَآءَ/شَآءَ/shaa//اللّٰهُ ؕ/ٱللَّهُۚ/al-lahu//اِنَّهٗ/إِنَّهُۥ/innahu//یَعْلَمُ/يَعۡلَمُ/ya'lamu//الْجَهْرَ/ٱلۡجَهۡرَ/al-jahra//وَ مَا/وَمَا/wama//یَخْفٰیؕ/يَخۡفَىٰ/yakhfa",
              "words_bangla": "এ ব্যতীত//যা//ইচ্ছা করেন//আল্লাহ্‌//নিশ্চয়ই তিনি//জানেন//প্রকাশ্য (বিষয়)//ও যা কিছু//কেউ গোপন করে"
            },
            {
              "number": 5956,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5956.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5956.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5956.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5956.mp3"
              ],
              "text": "وَنُيَسِّرُكَ لِلْيُسْرَىٰ",
              "translate_bn": "আমি আপনার জন্যে সহজ শরীয়ত সহজতর করে দেবো।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া নুইয়াছছিরুকা লিল ইউছরা-।",
              "words_arabic": "وَ نُیَسِّرُكَ/وَنُيَسِّرُكَ/wanuyassiruka//لِلْیُسْرٰیۚۖ/لِلۡيُسۡرَىٰ/lil'yus'ra",
              "words_bangla": "এবং আমরা তোমাকে সহজ করে দিবো//সহজ (পন্থাকে)"
            },
            {
              "number": 5957,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5957.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5957.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5957.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5957.mp3"
              ],
              "text": "فَذَكِّرْ إِن نَّفَعَتِ ٱلذِّكْرَىٰ",
              "translate_bn": "উপদেশ ফলপ্রসূ হলে উপদেশ দান করুন,",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাযাক্কির ইন নাফা‘আতিযযিকরা-।",
              "words_arabic": "فَذَكِّرْ/فَذَكِّرۡ/fadhakkir//اِنْ/إِن/in//نَّفَعَتِ/نَّفَعَتِ/nafa'ati//الذِّكْرٰیؕ/ٱلذِّكۡرَىٰ/al-dhik'ra",
              "words_bangla": "অতঃপর উপদেশ দাও//যদি//কল্যাণকর হয়//উপদেশ"
            },
            {
              "number": 5958,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5958.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5958.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5958.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5958.mp3"
              ],
              "text": "سَيَذَّكَّرُ مَن يَخْشَىٰ",
              "translate_bn": "যে ভয় করে, সে উপদেশ গ্রহণ করবে,",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াযযাক্কারু মাইঁ ইয়াখশা-।",
              "words_arabic": "سَیَذَّكَّرُ/سَيَذَّكَّرُ/sayadhakkaru//مَنْ/مَن/man//یَّخْشٰیۙ/يَخۡشَىٰ/yakhsha",
              "words_bangla": "সে শীঘ্রই শিক্ষা নেবে//যে//ভয় করে"
            },
            {
              "number": 5959,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5959.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5959.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5959.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5959.mp3"
              ],
              "text": "وَيَتَجَنَّبُهَا ٱلْأَشْقَى",
              "translate_bn": "আর যে, হতভাগা, সে তা উপেক্ষা করবে,",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াতাজান্নাবুহাল আশকা-।",
              "words_arabic": "وَ یَتَجَنَّبُهَا/وَيَتَجَنَّبُهَا/wayatajannabuha//الْاَشْقَیۙ/ٱلۡأَشۡقَى/al-ashqa",
              "words_bangla": "আর তা পাশ কাটাবে/ উপেক্ষা করবে//নিতান্তই হতভাগা"
            },
            {
              "number": 5960,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5960.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5960.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5960.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5960.mp3"
              ],
              "text": "ٱلَّذِى يَصْلَى ٱلنَّارَ ٱلْكُبْرَىٰ",
              "translate_bn": "সে মহা-অগ্নিতে প্রবেশ করবে।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী ইয়াসলান্না-রাল কুবরা-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//یَصْلَی/يَصۡلَى/yasla//النَّارَ/ٱلنَّارَ/al-nara//الْكُبْرٰیۚ/ٱلۡكُبۡرَىٰ/al-kub'ra",
              "words_bangla": "যে//প্রবেশ করবে//আগুনে//ভয়াবহ"
            },
            {
              "number": 5961,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5961.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5961.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5961.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5961.mp3"
              ],
              "text": "ثُمَّ لَا يَمُوتُ فِيهَا وَلَا يَحْيَىٰ",
              "translate_bn": "অতঃপর সেখানে সে মরবেও না, জীবিতও থাকবে না।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লা-ইয়ামূতুফীহা-ওয়ালা-ইয়াহইয়া-।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَا/لَا/la//یَمُوْتُ/يَمُوتُ/yamutu//فِیْهَا/فِيهَا/fiha//وَ لَا/وَلَا/wala//یَحْیٰیؕ/يَحۡيَىٰ/yahya",
              "words_bangla": "অতঃপর//না//সে মরবে//তার মধ্যে//আর না//বাঁচবে"
            },
            {
              "number": 5962,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5962.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5962.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5962.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5962.mp3"
              ],
              "text": "قَدْ أَفْلَحَ مَن تَزَكَّىٰ",
              "translate_bn": "নিশ্চয় সাফল্য লাভ করবে সে, যে শুদ্ধ হয়",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "কাদ আফলাহা মান তাঝাকা-।",
              "words_arabic": "قَدْ/قَدۡ/qad//اَفْلَحَ/أَفۡلَحَ/aflaha//مَنْ/مَن/man//تَزَكّٰیۙ/تَزَكَّىٰ/tazakka",
              "words_bangla": "নিশ্চয়ই//সে সাফল্য পেলো//যে//পবিত্র হলো"
            },
            {
              "number": 5963,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5963.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5963.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5963.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5963.mp3"
              ],
              "text": "وَذَكَرَ ٱسْمَ رَبِّهِۦ فَصَلَّىٰ",
              "translate_bn": "এবং তার পালনকর্তার নাম স্মরণ করে, অতঃপর নামায আদায় করে।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 591,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া যাকারাছমা রাব্বিহী ফাসাল্লা-।",
              "words_arabic": "وَ ذَكَرَ/وَذَكَرَ/wadhakara//اسْمَ/ٱسۡمَ/is'ma//رَبِّهٖ/رَبِّهِۦ/rabbihi//فَصَلّٰیؕ/فَصَلَّىٰ/fasalla",
              "words_bangla": "স্মরণ করল//নাম//তার রবের//অতঃপর সে  সালাত পড়ল"
            },
            {
              "number": 5964,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5964.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5964.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5964.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5964.mp3"
              ],
              "text": "بَلْ تُؤْثِرُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا",
              "translate_bn": "বস্তুতঃ তোমরা পার্থিব জীবনকে অগ্রাধিকার দাও,",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "বাল তু’ছিরূনাল হায়া-তাদ্দুনইয়া-।",
              "words_arabic": "بَلْ/بَلۡ/bal//تُؤْثِرُوْنَ/تُؤۡثِرُونَ/tu'thiruna//الْحَیٰوةَ/ٱلۡحَيَوٰةَ/al-hayata//الدُّنْیَاؗۖ/ٱلدُّنۡيَا/al-dun'ya",
              "words_bangla": "বরং//তোমরা প্রাধান্য দাও//জীবনকে//দুনিয়ার/ পার্থিব"
            },
            {
              "number": 5965,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5965.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5965.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5965.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5965.mp3"
              ],
              "text": "وَٱلْءَاخِرَةُ خَيْرٌۭ وَأَبْقَىٰٓ",
              "translate_bn": "অথচ পরকালের জীবন উৎকৃষ্ট ও স্থায়ী।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আ-খিরাতুখাইরুওঁ ওয়া আবকা-।",
              "words_arabic": "وَ الْاٰخِرَةُ/وَٱلۡأٓخِرَةُ/wal-akhiratu//خَیْرٌ/خَيۡرٞ/khayrun//وَّ اَبْقٰیؕ/وَأَبۡقَىٰٓ/wa-abqa",
              "words_bangla": "অথচ পরকাল//উত্তম//ও স্থায়ী"
            },
            {
              "number": 5966,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5966.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5966.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5966.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5966.mp3"
              ],
              "text": "إِنَّ هَٰذَا لَفِى ٱلصُّحُفِ ٱلْأُولَىٰ",
              "translate_bn": "এটা লিখিত রয়েছে পূর্ববতী কিতাবসমূহে;",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইন্না হা-যা-লাফিসসুহুফিল উলা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//هٰذَا/هَٰذَا/hadha//لَفِی/لَفِي/lafi//الصُّحُفِ/ٱلصُّحُفِ/al-suhufi//الْاُوْلٰیۙ/ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "নিশ্চয়ই//এটা (ছিল)//অবশ্যই মধ্যে//সহীফাসমূহের//পূর্ববর্তী"
            },
            {
              "number": 5967,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5967.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5967.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5967.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5967.mp3"
              ],
              "text": "صُحُفِ إِبْرَٰهِيمَ وَمُوسَىٰ",
              "translate_bn": "ইব্রাহীম ও মূসার কিতাবসমূহে।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 529,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "সুহুফি ইবরা-হীমা ওয়া মূছা।",
              "words_arabic": "صُحُفِ/صُحُفِ/suhufi//اِبْرٰهِیْمَ/إِبۡرَٰهِيمَ/ib'rahima//وَ مُوْسٰی۠/وَمُوسَىٰ/wamusa",
              "words_bangla": "সহীফাসমূহে//ইব্রাহীমের//ও মূসার"
            }
          ]
        },
        {
          "number": 88,
          "name": "سُورَةُ الغَاشِيَةِ",
          "englishName": "Al-Ghaashiya",
          "englishNameTranslation": "The Overwhelming",
          "revelationType": "Meccan",
          "verse": 26,
          "words": 191,
          "chars": 835,
          "ayahs": [
            {
              "number": 5968,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5968.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5968.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5968.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5968.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ هَلْ أَتَىٰكَ حَدِيثُ ٱلْغَٰشِيَةِ",
              "translate_bn": "আপনার কাছে আচ্ছন্নকারী কেয়ামতের বৃত্তান্ত পৌঁছেছে কি?",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "হাল আতা-কা হাদীছুল গা-শিয়াহ।",
              "words_arabic": "هَلْ/هَلۡ/hal//اَتٰىكَ/أَتَىٰكَ/ataka//حَدِیْثُ/حَدِيثُ/hadithu//الْغَاشِیَةِؕ/ٱلۡغَٰشِيَةِ/al-ghashiyati",
              "words_bangla": "কি//তোমার কাছে পৌঁছেছে//সংবাদ//আচ্ছন্নকারী (ক্বিয়ামাতের)"
            },
            {
              "number": 5969,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5969.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5969.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5969.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5969.mp3"
              ],
              "text": "وُجُوهٌۭ يَوْمَئِذٍ خَٰشِعَةٌ",
              "translate_bn": "অনেক মুখমন্ডল সেদিন হবে লাঞ্ছিত,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "উজূহুইঁ ইয়াওমাইযিন খা-শি‘আহ।",
              "words_arabic": "وُجُوْهٌ/وُجُوهٞ/wujuhun//یَّوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//خَاشِعَةٌۙ/خَٰشِعَةٌ/khashi'atun",
              "words_bangla": "(অনেকের) মুখমণ্ডল//সেদিন//অবনত (হবে)"
            },
            {
              "number": 5970,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5970.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5970.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5970.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5970.mp3"
              ],
              "text": "عَامِلَةٌۭ نَّاصِبَةٌۭ",
              "translate_bn": "ক্লিষ্ট, ক্লান্ত।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "‘আ-মিলাতুন না-সিবাহ।",
              "words_arabic": "عَامِلَةٌ/عَامِلَةٞ/amilatun//نَّاصِبَةٌۙ/نَّاصِبَةٞ/nasibatun",
              "words_bangla": "ক্লিষ্ট (হবে)//ক্লান্ত (হবে)"
            },
            {
              "number": 5971,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5971.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5971.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5971.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5971.mp3"
              ],
              "text": "تَصْلَىٰ نَارًا حَامِيَةًۭ",
              "translate_bn": "তারা জ্বলন্ত আগুনে পতিত হবে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "তাসলা-না-রান হা-মিয়াহ।",
              "words_arabic": "تَصْلٰی/تَصۡلَىٰ/tasla//نَارًا/نَارًا/naran//حَامِیَةًۙ/حَامِيَةٗ/hamiyatan",
              "words_bangla": "প্রবেশ করবে//আগুনে//উত্তপ্ত"
            },
            {
              "number": 5972,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5972.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5972.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5972.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5972.mp3"
              ],
              "text": "تُسْقَىٰ مِنْ عَيْنٍ ءَانِيَةٍۢ",
              "translate_bn": "তাদেরকে ফুটন্ত নহর থেকে পান করানো হবে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "তুছকা-মিন ‘আইনিন আ-নিয়াহ।",
              "words_arabic": "تُسْقٰی/تُسۡقَىٰ/tus'qa//مِنْ/مِنۡ/min//عَیْنٍ/عَيۡنٍ/aynin//اٰنِیَةٍؕ/ءَانِيَةٖ/aniyatin",
              "words_bangla": "পান করানো হবে (পানি)//থেকে//ঝর্ণা//ফুটন্ত"
            },
            {
              "number": 5973,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5973.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5973.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5973.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5973.mp3"
              ],
              "text": "لَّيْسَ لَهُمْ طَعَامٌ إِلَّا مِن ضَرِيعٍۢ",
              "translate_bn": "কন্টকপূর্ণ ঝাড় ব্যতীত তাদের জন্যে কোন খাদ্য নেই।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "লাইছা লাহুম তা‘আ-মুন ইল্লা-মিন দারী‘ই।",
              "words_arabic": "لَیْسَ/لَّيۡسَ/laysa//لَهُمْ/لَهُمۡ/lahum//طَعَامٌ/طَعَامٌ/ta'amun//اِلَّا/إِلَّا/illa//مِنْ/مِن/min//ضَرِیْعٍۙ/ضَرِيعٖ/dari'in",
              "words_bangla": "নেই//তাদের জন্যে//(অন্য কোনো) খাদ্য//এ ছাড়া//থেকে//শুকনো কাঁটাযুক্ত ঝাড়"
            },
            {
              "number": 5974,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5974.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5974.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5974.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5974.mp3"
              ],
              "text": "لَّا يُسْمِنُ وَلَا يُغْنِى مِن جُوعٍۢ",
              "translate_bn": "এটা তাদেরকে পুষ্ট করবে না এবং ক্ষুধায়ও উপকার করবে না।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "লা-ইউছমিনুওয়ালা-ইউগনী মিন জু‘ই।",
              "words_arabic": "لَّا/لَّا/la//یُسْمِنُ/يُسۡمِنُ/yus'minu//وَ لَا/وَلَا/wala//یُغْنِیْ/يُغۡنِي/yugh'ni//مِنْ/مِن/min//جُوْعٍؕ/جُوعٖ/ju'in",
              "words_bangla": "না//পুষ্ট করবে (তা)//আর না//মেটাবে//থেকে//ক্ষুধা"
            },
            {
              "number": 5975,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5975.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5975.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5975.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5975.mp3"
              ],
              "text": "وُجُوهٌۭ يَوْمَئِذٍۢ نَّاعِمَةٌۭ",
              "translate_bn": "অনেক মুখমন্ডল সেদিন হবে, সজীব,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "উজূহুইঁ ইয়াওমাইযিন না-‘ইমাহ।",
              "words_arabic": "وُجُوْهٌ/وُجُوهٞ/wujuhun//یَّوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//نَّاعِمَةٌۙ/نَّاعِمَةٞ/na'imatun",
              "words_bangla": "(অনেকের) মুখমণ্ডল//সেদিন//উজ্জ্বল হবে"
            },
            {
              "number": 5976,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5976.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5976.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5976.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5976.mp3"
              ],
              "text": "لِّسَعْيِهَا رَاضِيَةٌۭ",
              "translate_bn": "তাদের কর্মের কারণে সন্তুষ্ট।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "লিছা‘ইহা-রা-দিয়াহ।",
              "words_arabic": "لِّسَعْیِهَا/لِّسَعۡيِهَا/lisa'yiha//رَاضِیَةٌۙ/رَاضِيَةٞ/radiyatun",
              "words_bangla": "তার প্রচেষ্টার জন্যে//পরিতৃপ্ত হবে"
            },
            {
              "number": 5977,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5977.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5977.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5977.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5977.mp3"
              ],
              "text": "فِى جَنَّةٍ عَالِيَةٍۢ",
              "translate_bn": "তারা থাকবে, সুউচ্চ জান্নাতে।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফী জান্নাতিন ‘আ-লিয়াহ।",
              "words_arabic": "فِیْ/فِي/fi//جَنَّةٍ/جَنَّةٍ/jannatin//عَالِیَةٍۙ/عَالِيَةٖ/aliyatin",
              "words_bangla": "(তারা থাকবে) মধ্যে//জান্নাতের//সুমহান"
            },
            {
              "number": 5978,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5978.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5978.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5978.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5978.mp3"
              ],
              "text": "لَّا تَسْمَعُ فِيهَا لَٰغِيَةًۭ",
              "translate_bn": "তথায় শুনবে না কোন অসার কথাবার্তা।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "লা-তাছমা‘উ ফীহা-লা-গিয়াহ।",
              "words_arabic": "لَّا/لَّا/la//تَسْمَعُ/تَسۡمَعُ/tasma'u//فِیْهَا/فِيهَا/fiha//لَاغِیَةًؕ/لَٰغِيَةٗ/laghiyatan",
              "words_bangla": "না//শুনবে//তার মধ্যে//কোনো অর্থহীন কথা"
            },
            {
              "number": 5979,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5979.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5979.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5979.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5979.mp3"
              ],
              "text": "فِيهَا عَيْنٌۭ جَارِيَةٌۭ",
              "translate_bn": "তথায় থাকবে প্রবাহিত ঝরণা।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফীহা-‘আইনুন জা-রিয়াহ।",
              "words_arabic": "فِیْهَا/فِيهَا/fiha//عَیْنٌ/عَيۡنٞ/aynun//جَارِیَةٌۘ/جَارِيَةٞ/jariyatun",
              "words_bangla": "তার মধ্যে (থাকবে)//ঝর্ণা//প্রবহমান"
            },
            {
              "number": 5980,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5980.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5980.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5980.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5980.mp3"
              ],
              "text": "فِيهَا سُرُرٌۭ مَّرْفُوعَةٌۭ",
              "translate_bn": "তথায় থাকবে উন্নত সুসজ্জিত আসন।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফীহা-ছুরুরুমমারফূ‘আহ।",
              "words_arabic": "فِیْهَا/فِيهَا/fiha//سُرُرٌ/سُرُرٞ/sururun//مَّرْفُوْعَةٌۙ/مَّرۡفُوعَةٞ/marfu'atun",
              "words_bangla": "তার মধ্যে (থাকবে)//আসন সমূহ//সুউচ্চ"
            },
            {
              "number": 5981,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5981.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5981.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5981.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5981.mp3"
              ],
              "text": "وَأَكْوَابٌۭ مَّوْضُوعَةٌۭ",
              "translate_bn": "এবং সংরক্ষিত পানপাত্র",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া আকওয়া-বুম মাওদূ‘আহ।",
              "words_arabic": "وَّ اَكْوَابٌ/وَأَكۡوَابٞ/wa-akwabun//مَّوْضُوْعَةٌۙ/مَّوۡضُوعَةٞ/mawdu'atun",
              "words_bangla": "এবং পানপাত্রগুলো (হবে)//সুসজ্জিত/ প্রস্তুত"
            },
            {
              "number": 5982,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5982.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5982.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5982.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5982.mp3"
              ],
              "text": "وَنَمَارِقُ مَصْفُوفَةٌۭ",
              "translate_bn": "এবং সারি সারি গালিচা",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া নামা-রিকুমাসফূফাহ।",
              "words_arabic": "وَّ نَمَارِقُ/وَنَمَارِقُ/wanamariqu//مَصْفُوْفَةٌۙ/مَصۡفُوفَةٞ/masfufatun",
              "words_bangla": "এবং তাকিয়াসমূহ (থাকবে)//সারি সারি"
            },
            {
              "number": 5983,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5983.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5983.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5983.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5983.mp3"
              ],
              "text": "وَزَرَابِىُّ مَبْثُوثَةٌ",
              "translate_bn": "এবং বিস্তৃত বিছানো কার্পেট।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ঝারা-বিইয়ুমাবছূছাহ।",
              "words_arabic": "وَّ زَرَابِیُّ/وَزَرَابِيُّ/wazarabiyyu//مَبْثُوْثَةٌؕ/مَبۡثُوثَةٌ/mabthuthatun",
              "words_bangla": "এবং গালিচা//বিছানো (থাকবে)"
            },
            {
              "number": 5984,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5984.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5984.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5984.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5984.mp3"
              ],
              "text": "أَفَلَا يَنظُرُونَ إِلَى ٱلْإِبِلِ كَيْفَ خُلِقَتْ",
              "translate_bn": "তারা কি উষ্ট্রের প্রতি লক্ষ্য করে না যে, তা কিভাবে সৃষ্টি করা হয়েছে?",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়ানজু রুনা ইলাল ইবিলি কাইফা খুলিকাত।",
              "words_arabic": "اَفَلَا/أَفَلَا/afala//یَنْظُرُوْنَ/يَنظُرُونَ/yanzuruna//اِلَی/إِلَى/ila//الْاِبِلِ/ٱلۡإِبِلِ/al-ibili//كَیْفَ/كَيۡفَ/kayfa//خُلِقَتْۥ/خُلِقَتۡ/khuliqat",
              "words_bangla": "তবে কি না//তারা লক্ষ করে//প্রতি//উটের//কীভাবে//সৃষ্টি করা হয়েছে"
            },
            {
              "number": 5985,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5985.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5985.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5985.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5985.mp3"
              ],
              "text": "وَإِلَى ٱلسَّمَآءِ كَيْفَ رُفِعَتْ",
              "translate_bn": "এবং আকাশের প্রতি লক্ষ্য করে না যে, তা কিভাবে উচ্চ করা হয়েছে?",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলাছ ছামাই কাইফা রুফি‘আত।",
              "words_arabic": "وَ اِلَی/وَإِلَى/wa-ila//السَّمَآءِ/ٱلسَّمَآءِ/al-samai//كَیْفَ/كَيۡفَ/kayfa//رُفِعَتْۥ/رُفِعَتۡ/rufi'at",
              "words_bangla": "এবং দিকে//আকাশের//কীভাবে//উঁচু করা হয়েছে"
            },
            {
              "number": 5986,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5986.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5986.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5986.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5986.mp3"
              ],
              "text": "وَإِلَى ٱلْجِبَالِ كَيْفَ نُصِبَتْ",
              "translate_bn": "এবং পাহাড়ের দিকে যে, তা কিভাবে স্থাপন করা হয়েছে?",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলাল জিবা-লি কাইফা নুসিবাত।",
              "words_arabic": "وَ اِلَی/وَإِلَى/wa-ila//الْجِبَالِ/ٱلۡجِبَالِ/al-jibali//كَیْفَ/كَيۡفَ/kayfa//نُصِبَتْۥ/نُصِبَتۡ/nusibat",
              "words_bangla": "এবং দিকে//পর্বতমালার//কীভাবে//স্থাপন করা হয়েছে"
            },
            {
              "number": 5987,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5987.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5987.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5987.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5987.mp3"
              ],
              "text": "وَإِلَى ٱلْأَرْضِ كَيْفَ سُطِحَتْ",
              "translate_bn": "এবং পৃথিবীর দিকে যে, তা কিভাবে সমতল বিছানো হয়েছে?",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলাল আরদি কাইফা ছুতিহাত।",
              "words_arabic": "وَ اِلَی/وَإِلَى/wa-ila//الْاَرْضِ/ٱلۡأَرۡضِ/al-ardi//كَیْفَ/كَيۡفَ/kayfa//سُطِحَتْۥ/سُطِحَتۡ/sutihat",
              "words_bangla": "এবং দিকে//পৃথিবীর//কীভাবে//বিস্তৃত করা হয়েছে"
            },
            {
              "number": 5988,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5988.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5988.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5988.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5988.mp3"
              ],
              "text": "فَذَكِّرْ إِنَّمَآ أَنتَ مُذَكِّرٌۭ",
              "translate_bn": "অতএব, আপনি উপদেশ দিন, আপনি তো কেবল একজন উপদেশদাতা,",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাযাক্কির ইন্নামাআনতা মুযাক্কির।",
              "words_arabic": "فَذَكِّرْ ؕ۫/فَذَكِّرۡ/fadhakkir//اِنَّمَاۤ/إِنَّمَآ/innama//اَنْتَ/أَنتَ/anta//مُذَكِّرٌؕ/مُذَكِّرٞ/mudhakkirun",
              "words_bangla": "অতএব উপদেশ দাও//মূলতঃ//তুমি//উপদেশদাতা (মাত্র)"
            },
            {
              "number": 5989,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5989.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5989.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5989.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5989.mp3"
              ],
              "text": "لَّسْتَ عَلَيْهِم بِمُصَيْطِرٍ",
              "translate_bn": "আপনি তাদের শাসক নন,",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "লাছাতা ‘আলইহিম বিমুসাইতির।",
              "words_arabic": "لَسْتَ/لَّسۡتَ/lasta//عَلَیْهِمْ/عَلَيۡهِم/alayhim//بِمُصَۜیْطِرٍۙ/بِمُصَيۡطِرٍ/bimusaytirin",
              "words_bangla": "তুমি নও//তাদের উপর//কর্মের নিয়ন্তা"
            },
            {
              "number": 5990,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5990.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5990.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5990.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5990.mp3"
              ],
              "text": "إِلَّا مَن تَوَلَّىٰ وَكَفَرَ",
              "translate_bn": "কিন্তু যে মুখ ফিরিয়ে নেয় ও কাফের হয়ে যায়,",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইল্লা-মান তাওয়াল্লা-ওয়া কাফার।",
              "words_arabic": "اِلَّا/إِلَّا/illa//مَنْ/مَن/man//تَوَلّٰی/تَوَلَّىٰ/tawalla//وَ كَفَرَۙ/وَكَفَرَ/wakafara",
              "words_bangla": "তবে//যে//মুখ ফিরায়//ও অবিশ্বাস করে"
            },
            {
              "number": 5991,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5991.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5991.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5991.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5991.mp3"
              ],
              "text": "فَيُعَذِّبُهُ ٱللَّهُ ٱلْعَذَابَ ٱلْأَكْبَرَ",
              "translate_bn": "আল্লাহ তাকে মহা আযাব দেবেন।",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাইউ‘আযযিবুহুল্লা-হুল ‘আযা-বাল আকবার।",
              "words_arabic": "فَیُعَذِّبُهُ/فَيُعَذِّبُهُ/fayu'adhibuhu//اللّٰهُ/ٱللَّهُ/al-lahu//الْعَذَابَ/ٱلۡعَذَابَ/al-'adhaba//الْاَكْبَرَؕ/ٱلۡأَكۡبَرَ/al-akbara",
              "words_bangla": "অতঃপর তাকে শাস্তি দেবেন//আল্লাহ্‌//শাস্তি//মহা"
            },
            {
              "number": 5992,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5992.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5992.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5992.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5992.mp3"
              ],
              "text": "إِنَّ إِلَيْنَآ إِيَابَهُمْ",
              "translate_bn": "নিশ্চয় তাদের প্রত্যাবর্তন আমারই নিকট,",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইলাইনাইয়া-বাহুম।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اِلَیْنَاۤ/إِلَيۡنَآ/ilayna//اِیَابَهُمْۙ/إِيَابَهُمۡ/iyabahum",
              "words_bangla": "নিশ্চয়ই//আমাদের দিকে//তাদের প্রত্যাবর্তন হবে"
            },
            {
              "number": 5993,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5993.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5993.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5993.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5993.mp3"
              ],
              "text": "ثُمَّ إِنَّ عَلَيْنَا حِسَابَهُم",
              "translate_bn": "অতঃপর তাদের হিসাব-নিকাশ আমারই দায়িত্ব।",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 592,
              "ruku": 530,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা ইন্না ‘আলাইনা-হিছা-বাহুম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//اِنَّ/إِنَّ/inna//عَلَیْنَا/عَلَيۡنَا/alayna//حِسَابَهُمْ۠/حِسَابَهُم/hisabahum",
              "words_bangla": "অতঃপর//নিশ্চয়ই//আমাদের উপর (দায়িত্ব)//তাদের হিসাবের"
            }
          ]
        },
        {
          "number": 89,
          "name": "سُورَةُ الفَجۡرِ",
          "englishName": "Al-Fajr",
          "englishNameTranslation": "The Dawn",
          "revelationType": "Meccan",
          "verse": 30,
          "words": 293,
          "chars": 1211,
          "ayahs": [
            {
              "number": 5994,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5994.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5994.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5994.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5994.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلْفَجْرِ",
              "translate_bn": "শপথ ফজরের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ফাজর।",
              "words_arabic": "وَ الْفَجْرِۙ/وَٱلۡفَجۡرِ/wal-fajri",
              "words_bangla": "শপথ ঊষার"
            },
            {
              "number": 5995,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5995.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5995.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5995.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5995.mp3"
              ],
              "text": "وَلَيَالٍ عَشْرٍۢ",
              "translate_bn": "শপথ দশ রাত্রির, শপথ তার,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া লায়া-লিন ‘আশর",
              "words_arabic": "وَ لَیَالٍ/وَلَيَالٍ/walayalin//عَشْرٍۙ/عَشۡرٖ/ashrin",
              "words_bangla": "শপথ রাতের//দশ"
            },
            {
              "number": 5996,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5996.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5996.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5996.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5996.mp3"
              ],
              "text": "وَٱلشَّفْعِ وَٱلْوَتْرِ",
              "translate_bn": "যা জোড় ও যা বিজোড়",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াশশাফা‘ই ওয়াল ওয়াতর ।",
              "words_arabic": "وَّ الشَّفْعِ/وَٱلشَّفۡعِ/wal-shaf'i//وَ الْوَتْرِۙ/وَٱلۡوَتۡرِ/wal-watri",
              "words_bangla": "শপথ জোড়ের//ও বেজোড়ের"
            },
            {
              "number": 5997,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5997.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5997.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5997.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5997.mp3"
              ],
              "text": "وَٱلَّيْلِ إِذَا يَسْرِ",
              "translate_bn": "এবং শপথ রাত্রির যখন তা গত হতে থাকে",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযা-ইয়াছর।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذَا/إِذَا/idha//یَسْرِۚ/يَسۡرِ/yasri",
              "words_bangla": "শপথ রাতের//যখন//তা যেতে থাকে"
            },
            {
              "number": 5998,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5998.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5998.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5998.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5998.mp3"
              ],
              "text": "هَلْ فِى ذَٰلِكَ قَسَمٌۭ لِّذِى حِجْرٍ",
              "translate_bn": "এর মধ্যে আছে শপথ জ্ঞানী ব্যক্তির জন্যে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "হাল ফী যা-লিকা কাছামুল লিযী হিজর।",
              "words_arabic": "هَلْ/هَلۡ/hal//فِیْ/فِي/fi//ذٰلِكَ/ذَٰلِكَ/dhalika//قَسَمٌ/قَسَمٞ/qasamun//لِّذِیْ/لِّذِي/lidhi//حِجْرٍؕ/حِجۡرٍ/hij'rin",
              "words_bangla": "কি//মধ্যে (আছে)//এর//কোনো শপথ (কোনো প্রমাণ)//সম্পন্ন ব্যক্তির জন্য//বোধশক্তি"
            },
            {
              "number": 5999,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/5999.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/5999.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/5999.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/5999.mp3"
              ],
              "text": "أَلَمْ تَرَ كَيْفَ فَعَلَ رَبُّكَ بِعَادٍ",
              "translate_bn": "আপনি কি লক্ষ্য করেননি, আপনার পালনকর্তা আদ বংশের ইরাম গোত্রের সাথে কি আচরণ করেছিলেন,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা কাইফা ফা‘আলা রাব্বুকা বি‘আ-দ।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//كَیْفَ/كَيۡفَ/kayfa//فَعَلَ/فَعَلَ/fa'ala//رَبُّكَ/رَبُّكَ/rabbuka//بِعَادٍ۪ۙ/بِعَادٍ/bi'adin",
              "words_bangla": "নি কি//তুমি দেখ//কেমন//করেছেন//তোমার রব//আ'দ বংশের সাথে"
            },
            {
              "number": 6000,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6000.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6000.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6000.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6000.mp3"
              ],
              "text": "إِرَمَ ذَاتِ ٱلْعِمَادِ",
              "translate_bn": "যাদের দৈহিক গঠন স্তম্ভ ও খুঁটির ন্যায় দীর্ঘ ছিল এবং",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইরামা যা-তিল ‘ইমা-দ",
              "words_arabic": "اِرَمَ/إِرَمَ/irama//ذَاتِ/ذَاتِ/dhati//الْعِمَادِ۪ۙ/ٱلۡعِمَادِ/al-'imadi",
              "words_bangla": "ইরাম গোত্রের (প্রতি)//অধিকারী (ছিল)//সুউচ্চ প্রাসাদের"
            },
            {
              "number": 6001,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6001.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6001.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6001.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6001.mp3"
              ],
              "text": "ٱلَّتِى لَمْ يُخْلَقْ مِثْلُهَا فِى ٱلْبِلَٰدِ",
              "translate_bn": "যাদের সমান শক্তি ও বলবীর্যে সারা বিশ্বের শহরসমূহে কোন লোক সৃজিত হয়নি",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আল্লাতী লাম ইউখলাকমিছলুহা-ফিল বিলা-দ।",
              "words_arabic": "الَّتِیْ/ٱلَّتِي/allati//لَمْ/لَمۡ/lam//یُخْلَقْ/يُخۡلَقۡ/yukh'laq//مِثْلُهَا/مِثۡلُهَا/mith'luha//فِی/فِي/fi//الْبِلَادِ۪ۙ/ٱلۡبِلَٰدِ/al-biladi",
              "words_bangla": "যা (এমন ছিল যে)//নি//নির্মিত হয়//তার সমতুল্য (কোন জাতি)//হতে//দেশ সমূহে"
            },
            {
              "number": 6002,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6002.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6002.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6002.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6002.mp3"
              ],
              "text": "وَثَمُودَ ٱلَّذِينَ جَابُوا۟ ٱلصَّخْرَ بِٱلْوَادِ",
              "translate_bn": "এবং সামুদ গোত্রের সাথে, যারা উপত্যকায় পাথর কেটে গৃহ নির্মাণ করেছিল।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছামূদাল্লাযীনা জা-বুসসাখরা বিল ওয়া-দ।",
              "words_arabic": "وَ ثَمُوْدَ/وَثَمُودَ/wathamuda//الَّذِیْنَ/ٱلَّذِينَ/alladhina//جَابُوا/جَابُواْ/jabu//الصَّخْرَ/ٱلصَّخۡرَ/al-sakhra//بِالْوَادِ۪ۙ/بِٱلۡوَادِ/bil-wadi",
              "words_bangla": "এবং (কেমন করেছেন সামূদদের সাথে)//যারা//কেটেছিল//পাথর (ভূমি সমূহ)//উপত্যকার"
            },
            {
              "number": 6003,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6003.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6003.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6003.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6003.mp3"
              ],
              "text": "وَفِرْعَوْنَ ذِى ٱلْأَوْتَادِ",
              "translate_bn": "এবং বহু কীলকের অধিপতি ফেরাউনের সাথে",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া ফির‘আউনা যীল আওতা-দ।",
              "words_arabic": "وَ فِرْعَوْنَ/وَفِرۡعَوۡنَ/wafir'awna//ذِی/ذِي/dhi//الْاَوْتَادِ۪ۙ/ٱلۡأَوۡتَادِ/al-awtadi",
              "words_bangla": "এবং (কেমন করেছেন) ফিরআউনের সাথে//(যে ছিল) অধিপতি//কীলকসমূহের (সৈন্য শিবিরের)"
            },
            {
              "number": 6004,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6004.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6004.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6004.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6004.mp3"
              ],
              "text": "ٱلَّذِينَ طَغَوْا۟ فِى ٱلْبِلَٰدِ",
              "translate_bn": "যারা দেশে সীমালঙ্ঘন করেছিল।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা তাগাও ফিল বিলা-দ।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//طَغَوْا/طَغَوۡاْ/taghaw//فِی/فِي/fi//الْبِلَادِ۪ۙ/ٱلۡبِلَٰدِ/al-biladi",
              "words_bangla": "যারা//সীমালঙ্ঘন করেছিলো//মধ্যে//(বিভিন্ন) দেশে"
            },
            {
              "number": 6005,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6005.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6005.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6005.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6005.mp3"
              ],
              "text": "فَأَكْثَرُوا۟ فِيهَا ٱلْفَسَادَ",
              "translate_bn": "অতঃপর সেখানে বিস্তর অশান্তি সৃষ্টি করেছিল।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাআকছারূ ফীহাল ফাছা-দ।",
              "words_arabic": "فَاَكْثَرُوْا/فَأَكۡثَرُواْ/fa-aktharu//فِیْهَا/فِيهَا/fiha//الْفَسَادَ۪ۙ/ٱلۡفَسَادَ/al-fasada",
              "words_bangla": "আর বৃদ্ধি করেছিল//তার মধ্যে//বিপর্যয়/ অশান্তি"
            },
            {
              "number": 6006,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6006.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6006.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6006.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6006.mp3"
              ],
              "text": "فَصَبَّ عَلَيْهِمْ رَبُّكَ سَوْطَ عَذَابٍ",
              "translate_bn": "অতঃপর আপনার পালনকর্তা তাদেরকে শাস্তির কশাঘাত করলেন।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাসাব্বা ‘আলাইহিম রাব্বুকা ছাওতা ‘আযা-ব।",
              "words_arabic": "فَصَبَّ/فَصَبَّ/fasabba//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رَبُّكَ/رَبُّكَ/rabbuka//سَوْطَ/سَوۡطَ/sawta//عَذَابٍۚۙ/عَذَابٍ/adhabin",
              "words_bangla": "তারপর আঘাত করলেন//তাদের উপর//তোমার রব//চাবুকের//শাস্তির"
            },
            {
              "number": 6007,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6007.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6007.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6007.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6007.mp3"
              ],
              "text": "إِنَّ رَبَّكَ لَبِٱلْمِرْصَادِ",
              "translate_bn": "নিশ্চয় আপনার পালকর্তা সতর্ক দৃষ্টি রাখেন।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাকা লাবিলমিরসা-দ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّكَ/رَبَّكَ/rabbaka//لَبِالْمِرْصَادِؕ/لَبِٱلۡمِرۡصَادِ/labil-mir'sadi",
              "words_bangla": "নিশ্চয়ই//তোমার রব//অবশ্যই (ধরবেন) ঘাঁটিতে"
            },
            {
              "number": 6008,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6008.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6008.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6008.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6008.mp3"
              ],
              "text": "فَأَمَّا ٱلْإِنسَٰنُ إِذَا مَا ٱبْتَلَىٰهُ رَبُّهُۥ فَأَكْرَمَهُۥ وَنَعَّمَهُۥ فَيَقُولُ رَبِّىٓ أَكْرَمَنِ",
              "translate_bn": "মানুষ এরূপ যে, যখন তার পালনকর্তা তাকে পরীক্ষা করেন, অতঃপর সম্মান ও অনুগ্রহ দান করেন, তখন বলে, আমার পালনকর্তা আমাকে সম্মান দান করেছেন।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল ইনছা-নুইযা-মাবতালা-হু রাব্বুহু ফাআকরামাহূওয়া না‘‘আমাহূ ফাইয়াকূলু রাববীআকরামান।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//اِذَا/إِذَا/idha//مَا/مَا/ma//ابْتَلٰىهُ/ٱبۡتَلَىٰهُ/ib'talahu//رَبُّهٗ/رَبُّهُۥ/rabbuhu//فَاَكْرَمَهٗ/فَأَكۡرَمَهُۥ/fa-akramahu//وَ نَعَّمَهٗ ۙ۬/وَنَعَّمَهُۥ/wana'amahu//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//رَبِّیْۤ/رَبِّيٓ/rabbi//اَكْرَمَنِؕ/أَكۡرَمَنِ/akramani",
              "words_bangla": "অতঃপর ব্যাপার হলো//মানুষের//যখন//তাকে//পরীক্ষা করেন//তার রব//তাকে সম্মান দেন//ও তাকে অনুগ্রহ করেন//তখন সে বলে//\"আমার রব//আমাকে সম্মানিত করেছেন\""
            },
            {
              "number": 6009,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6009.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6009.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6009.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6009.mp3"
              ],
              "text": "وَأَمَّآ إِذَا مَا ٱبْتَلَىٰهُ فَقَدَرَ عَلَيْهِ رِزْقَهُۥ فَيَقُولُ رَبِّىٓ أَهَٰنَنِ",
              "translate_bn": "এবং যখন তাকে পরীক্ষা করেন, অতঃপর রিযিক সংকুচিত করে দেন, তখন বলেঃ আমার পালনকর্তা আমাকে হেয় করেছেন।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাইযা-মাবতালা-হু ফাকাদারা ‘আলাইহি রিঝকাহূ ফাইয়াকূলুরাববী আহা-নান।",
              "words_arabic": "وَ اَمَّاۤ/وَأَمَّآ/wa-amma//اِذَا/إِذَا/idha//مَا/مَا/ma//ابْتَلٰىهُ/ٱبۡتَلَىٰهُ/ib'talahu//فَقَدَرَ/فَقَدَرَ/faqadara//عَلَیْهِ/عَلَيۡهِ/alayhi//رِزْقَهٗ ۙ۬/رِزۡقَهُۥ/riz'qahu//فَیَقُوْلُ/فَيَقُولُ/fayaqulu//رَبِّیْۤ/رَبِّيٓ/rabbi//اَهَانَنِۚ/أَهَٰنَنِ/ahanani",
              "words_bangla": "আর//যখন//তাকে//পরীক্ষা করেন//সংকীর্ণ করেন//তার  উপর//তার রিযক//তখন সে বলে//\"আমার রব//আমাকে হেয় করেছেন\""
            },
            {
              "number": 6010,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6010.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6010.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6010.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6010.mp3"
              ],
              "text": "كَلَّا ۖ بَل لَّا تُكْرِمُونَ ٱلْيَتِيمَ",
              "translate_bn": "এটা অমূলক, বরং তোমরা এতীমকে সম্মান কর না।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-বাল্লা-তুকরিমূনাল ইয়াতীম।",
              "words_arabic": "كَلَّا/كَلَّاۖ/kalla//بَلْ/بَل/bal//لَّا/لَّا/la//تُكْرِمُوْنَ/تُكۡرِمُونَ/tuk'rimuna//الْیَتِیْمَۙ/ٱلۡيَتِيمَ/al-yatima",
              "words_bangla": "কখনও না//বরং//না//তোমরা সম্মান করো//ইয়াতীমের"
            },
            {
              "number": 6011,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6011.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6011.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6011.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6011.mp3"
              ],
              "text": "وَلَا تَحَٰٓضُّونَ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ",
              "translate_bn": "এবং মিসকীনকে অন্নদানে পরস্পরকে উৎসাহিত কর না।",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া লা-তাহাদ্দূ না ‘আলা-তা‘আ-মিল মিছকীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//تَحٰٓضُّوْنَ/تَحَـٰٓضُّونَ/tahadduna//عَلٰی/عَلَىٰ/ala//طَعَامِ/طَعَامِ/ta'ami//الْمِسْكِیْنِۙ/ٱلۡمِسۡكِينِ/al-mis'kini",
              "words_bangla": "এবং না//তোমরা পরস্পরকে উৎসাহিত করো//জন্য//খাদ্য দানের//অভাবগ্রস্তদের"
            },
            {
              "number": 6012,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6012.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6012.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6012.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6012.mp3"
              ],
              "text": "وَتَأْكُلُونَ ٱلتُّرَاثَ أَكْلًۭا لَّمًّۭا",
              "translate_bn": "এবং তোমরা মৃতের ত্যাজ্য সম্পত্তি সম্পূর্ণরূপে কুক্ষিগত করে ফেল",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া তা’কুলূনাত তুরা-ছা আকলাল্লাম্মা-।",
              "words_arabic": "وَ تَاْكُلُوْنَ/وَتَأۡكُلُونَ/watakuluna//التُّرَاثَ/ٱلتُّرَاثَ/al-turatha//اَكْلًا/أَكۡلٗا/aklan//لَّمًّاۙ/لَّمّٗا/lamman",
              "words_bangla": "এবং তোমরা খাও//উত্তরাধিকারীদের প্রাপ্য সম্পদ//খাওয়া//সম্পূর্ণরূপে"
            },
            {
              "number": 6013,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6013.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6013.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6013.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6013.mp3"
              ],
              "text": "وَتُحِبُّونَ ٱلْمَالَ حُبًّۭا جَمًّۭا",
              "translate_bn": "এবং তোমরা ধন-সম্পদকে প্রাণভরে ভালবাস।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া তুহিব্বুনাল মা-লা হুব্বান জাম্মা-।",
              "words_arabic": "وَّ تُحِبُّوْنَ/وَتُحِبُّونَ/watuhibbuna//الْمَالَ/ٱلۡمَالَ/al-mala//حُبًّا/حُبّٗا/hubban//جَمًّاؕ/جَمّٗا/jamman",
              "words_bangla": "এবং তোমরা ভালোবাস//ধনসম্পদ//ভালোবাসা//খুব বেশি"
            },
            {
              "number": 6014,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6014.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6014.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6014.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6014.mp3"
              ],
              "text": "كَلَّآ إِذَا دُكَّتِ ٱلْأَرْضُ دَكًّۭا دَكًّۭا",
              "translate_bn": "এটা অনুচিত। যখন পৃথিবী চুর্ণ-বিচুর্ণ হবে",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইযা-দুক্কাতিল আরদুদাক্কান দাক্কা-।",
              "words_arabic": "كَلَّاۤ/كَلَّآۖ/kalla//اِذَا/إِذَا/idha//دُكَّتِ/دُكَّتِ/dukkati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//دَكًّا/دَكّٗا/dakkan//دَكًّاۙ/دَكّٗا/dakkan",
              "words_bangla": "কখনও নয়//যখন//চূর্ণবিচূর্ণ করা হবে//পৃথিবী//চূর্ণ//বিচূর্ণ"
            },
            {
              "number": 6015,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6015.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6015.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6015.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6015.mp3"
              ],
              "text": "وَجَآءَ رَبُّكَ وَٱلْمَلَكُ صَفًّۭا صَفًّۭا",
              "translate_bn": "এবং আপনার পালনকর্তা ও ফেরেশতাগণ সারিবদ্ধভাবে উপস্থিত হবেন,",
              "numberInSurah": 22,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া জাআ রাব্বুকা ওয়াল মালাকুসাফফান সাফফা-।",
              "words_arabic": "وَّ جَآءَ/وَجَآءَ/wajaa//رَبُّكَ/رَبُّكَ/rabbuka//وَ الْمَلَكُ/وَٱلۡمَلَكُ/wal-malaku//صَفًّا/صَفّٗا/saffan//صَفًّاۚ/صَفّٗا/saffan",
              "words_bangla": "এবং আসবেন//তোমার রব//ও ফেরেশতারা//সারি//সারি"
            },
            {
              "number": 6016,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6016.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6016.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6016.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6016.mp3"
              ],
              "text": "وَجِا۟ىٓءَ يَوْمَئِذٍۭ بِجَهَنَّمَ ۚ يَوْمَئِذٍۢ يَتَذَكَّرُ ٱلْإِنسَٰنُ وَأَنَّىٰ لَهُ ٱلذِّكْرَىٰ",
              "translate_bn": "এবং সেদিন জাহান্নামকে আনা হবে, সেদিন মানুষ স্মরণ করবে, কিন্তু এই স্মরণ তার কি কাজে আসবে?",
              "numberInSurah": 23,
              "juz": 30,
              "manzil": 7,
              "page": 593,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়া জীআ ইয়াওমাইযিম বিজাহান্নামা ইয়াওমাইযিইঁ ইয়াতাযাক্কারুল ইনছা-নুওয়া আন্না-লাহুযযিকরা-।",
              "words_arabic": "وَ جِایْٓءَ/وَجِاْيٓءَ/wajia//یَوْمَىِٕذٍۭ/يَوۡمَئِذِۭ/yawma-idhin//بِجَهَنَّمَ ۙ۬/بِجَهَنَّمَۚ/bijahannama//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّتَذَكَّرُ/يَتَذَكَّرُ/yatadhakkaru//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//وَ اَنّٰی/وَأَنَّىٰ/wa-anna//لَهُ/لَهُ/lahu//الذِّكْرٰیؕ/ٱلذِّكۡرَىٰ/al-dhik'ra",
              "words_bangla": "এবং আনা হবে//সেদিন//জাহান্নামকে (সর্বসমক্ষে)//সেদিন//স্মরণ করবে//মানুষ//আর কোথায়//তার জন্য//এ স্মরণ (লাভজনক হবে)"
            },
            {
              "number": 6017,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6017.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6017.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6017.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6017.mp3"
              ],
              "text": "يَقُولُ يَٰلَيْتَنِى قَدَّمْتُ لِحَيَاتِى",
              "translate_bn": "সে বলবেঃ হায়, এ জীবনের জন্যে আমি যদি কিছু অগ্রে প্রেরণ করতাম!",
              "numberInSurah": 24,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূ লুইয়া-লাইতানী কাদ্দামতুলিহায়া-তী।",
              "words_arabic": "یَقُوْلُ/يَقُولُ/yaqulu//یٰلَیْتَنِیْ/يَٰلَيۡتَنِي/yalaytani//قَدَّمْتُ/قَدَّمۡتُ/qaddamtu//لِحَیَاتِیْۚ/لِحَيَاتِي/lihayati",
              "words_bangla": "সে বলবে//\"হায় আমার আফসোস//আমি আগে পাঠাতাম (যদি)//আমার এ জীবনের জন্য (কিছু নেকী)\""
            },
            {
              "number": 6018,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6018.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6018.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6018.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6018.mp3"
              ],
              "text": "فَيَوْمَئِذٍۢ لَّا يُعَذِّبُ عَذَابَهُۥٓ أَحَدٌۭ",
              "translate_bn": "সেদিন তার শাস্তির মত শাস্তি কেউ দিবে না।",
              "numberInSurah": 25,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাইয়াওমাইযিল লা-ইউ‘আযযি বু‘আযা-বাহূআহাদ।",
              "words_arabic": "فَیَوْمَىِٕذٍ/فَيَوۡمَئِذٖ/fayawma-idhin//لَّا/لَّا/la//یُعَذِّبُ/يُعَذِّبُ/yu'adhibu//عَذَابَهٗۤ/عَذَابَهُۥٓ/adhabahu//اَحَدٌۙ/أَحَدٞ/ahadun",
              "words_bangla": "অতঃপর সেদিন//না//শাস্তি দিতে পারবে//তাঁর শাস্তির মতো//(অন্য) কেউ"
            },
            {
              "number": 6019,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6019.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6019.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6019.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6019.mp3"
              ],
              "text": "وَلَا يُوثِقُ وَثَاقَهُۥٓ أَحَدٌۭ",
              "translate_bn": "এবং তার বন্ধনের মত বন্ধন কেউ দিবে না।",
              "numberInSurah": 26,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইঊছিকুওয়াছা-কাহূআহাদ।",
              "words_arabic": "وَّ لَا/وَلَا/wala//یُوْثِقُ/يُوثِقُ/yuthiqu//وَ ثَاقَهٗۤ/وَثَاقَهُۥٓ/wathaqahu//اَحَدٌؕ/أَحَدٞ/ahadun",
              "words_bangla": "এবং না//বাঁধতে পারবে//তাঁর বাঁধনের (মতো)//(অন্য) কেউ"
            },
            {
              "number": 6020,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6020.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6020.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6020.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6020.mp3"
              ],
              "text": "يَٰٓأَيَّتُهَا ٱلنَّفْسُ ٱلْمُطْمَئِنَّةُ",
              "translate_bn": "হে প্রশান্ত মন,",
              "numberInSurah": 27,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইয়াআইয়াতুহান্নাফছুল মুতমাইন্নাহ",
              "words_arabic": "یٰۤاَیَّتُهَا/يَـٰٓأَيَّتُهَا/yaayyatuha//النَّفْسُ/ٱلنَّفۡسُ/al-nafsu//الْمُطْمَىِٕنَّةُۗۖ/ٱلۡمُطۡمَئِنَّةُ/al-mut'ma-inatu",
              "words_bangla": "\"(বলা হবে) হে//আত্মা//প্রশান্ত"
            },
            {
              "number": 6021,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6021.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6021.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6021.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6021.mp3"
              ],
              "text": "ٱرْجِعِىٓ إِلَىٰ رَبِّكِ رَاضِيَةًۭ مَّرْضِيَّةًۭ",
              "translate_bn": "তুমি তোমার পালনকর্তার নিকট ফিরে যাও সন্তুষ্ট ও সন্তোষভাজন হয়ে।",
              "numberInSurah": 28,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ইরজি‘ঈইলা-রাব্বিকি রা-দিয়াতাম মারদিইয়াহ।",
              "words_arabic": "ارْجِعِیْۤ/ٱرۡجِعِيٓ/ir'ji'i//اِلٰی/إِلَىٰ/ila//رَبِّكِ/رَبِّكِ/rabbiki//رَاضِیَةً/رَاضِيَةٗ/radiyatan//مَّرْضِیَّةًۚ/مَّرۡضِيَّةٗ/mardiyyatan",
              "words_bangla": "তুমি ফিরে আস//দিকে//তোমার রবের (এ অবস্থায় যে)//(তুমি) সন্তুষ্ট//প্রিয় পাত্রও (তাঁর নিকট)"
            },
            {
              "number": 6022,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6022.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6022.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6022.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6022.mp3"
              ],
              "text": "فَٱدْخُلِى فِى عِبَٰدِى",
              "translate_bn": "অতঃপর আমার বান্দাদের অন্তর্ভুক্ত হয়ে যাও।",
              "numberInSurah": 29,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ফাদখুলী ফী ‘ইবা-দী।",
              "words_arabic": "فَادْخُلِیْ/فَٱدۡخُلِي/fa-ud'khuli//فِیْ/فِي/fi//عِبٰدِیْۙ/عِبَٰدِي/ibadi",
              "words_bangla": "অতঃপর শামিল হও//মধ্যে//আমার (নেক) বান্দাদের/ দাসদের"
            },
            {
              "number": 6023,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6023.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6023.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6023.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6023.mp3"
              ],
              "text": "وَٱدْخُلِى جَنَّتِى",
              "translate_bn": "এবং আমার জান্নাতে প্রবেশ কর।",
              "numberInSurah": 30,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 531,
              "hizbQuarter": 237,
              "sajda": false,
              "pronunciation_bn": "ওয়াদখুলী জান্নাতী।",
              "words_arabic": "وَ ادْخُلِیْ/وَٱدۡخُلِي/wa-ud'khuli//جَنَّتِیْ۠/جَنَّتِي/jannati",
              "words_bangla": "এবং তুমি প্রবেশ করো//আমার জান্নাতে\""
            }
          ]
        },
        {
          "number": 90,
          "name": "سُورَةُ البَلَدِ",
          "englishName": "Al-Balad",
          "englishNameTranslation": "The City",
          "revelationType": "Meccan",
          "verse": 20,
          "words": 177,
          "chars": 727,
          "ayahs": [
            {
              "number": 6024,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6024.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6024.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6024.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6024.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ لَآ أُقْسِمُ بِهَٰذَا ٱلْبَلَدِ",
              "translate_bn": "আমি এই নগরীর শপথ করি",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "লাউকছিমুবিহা-যাল বালাদ।",
              "words_arabic": "لَاۤ/لَآ/la//اُقْسِمُ/أُقۡسِمُ/uq'simu//بِهٰذَا/بِهَٰذَا/bihadha//الْبَلَدِۙ/ٱلۡبَلَدِ/al-baladi",
              "words_bangla": "না//আমি শপথ করছি//এই//নগরের (অর্থাৎ মক্কার)"
            },
            {
              "number": 6025,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6025.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6025.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6025.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6025.mp3"
              ],
              "text": "وَأَنتَ حِلٌّۢ بِهَٰذَا ٱلْبَلَدِ",
              "translate_bn": "এবং এই নগরীতে আপনার উপর কোন প্রতিবন্ধকতা নেই।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া আনতা হিল্লুম বিহা-যাল বালাদ।",
              "words_arabic": "وَ اَنْتَ/وَأَنتَ/wa-anta//حِلٌّۢ/حِلُّۢ/hillun//بِهٰذَا/بِهَٰذَا/bihadha//الْبَلَدِۙ/ٱلۡبَلَدِ/al-baladi",
              "words_bangla": "আর তুমি//হালাল/অধিবাসী (হয়েছে)//এই//নগরের"
            },
            {
              "number": 6026,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6026.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6026.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6026.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6026.mp3"
              ],
              "text": "وَوَالِدٍۢ وَمَا وَلَدَ",
              "translate_bn": "শপথ জনকের ও যা জন্ম দেয়।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়া-লিদিওঁ ওয়ামা-ওয়ালাদ।",
              "words_arabic": "وَ وَالِدٍ/وَوَالِدٖ/wawalidin//وَّ مَا/وَمَا/wama//وَلَدَۙ/وَلَدَ/walada",
              "words_bangla": "(আরও) শপথ পিতার (আদম আঃ)//এবং যা//জন্ম দিয়েছেন (সেই সন্তানের)"
            },
            {
              "number": 6027,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6027.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6027.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6027.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6027.mp3"
              ],
              "text": "لَقَدْ خَلَقْنَا ٱلْإِنسَٰنَ فِى كَبَدٍ",
              "translate_bn": "নিশ্চয় আমি মানুষকে শ্রমনির্ভররূপে সৃষ্টি করেছি।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "লাকাদ খালাকনাল ইনছা-না ফী কাবাদ।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//فِیْ/فِي/fi//كَبَدٍؕ/كَبَدٍ/kabadin",
              "words_bangla": "নিশ্চয়ই//আমরা সৃষ্টি করেছি//মানুষকে//মধ্যে//কষ্টের"
            },
            {
              "number": 6028,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6028.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6028.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6028.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6028.mp3"
              ],
              "text": "أَيَحْسَبُ أَن لَّن يَقْدِرَ عَلَيْهِ أَحَدٌۭ",
              "translate_bn": "সে কি মনে করে যে, তার উপর কেউ ক্ষমতাবান হবে না ?",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়াহছাবুআল্লাইঁ ইয়াকদিরা ‘আলাইহি আহাদ।",
              "words_arabic": "اَیَحْسَبُ/أَيَحۡسَبُ/ayahsabu//اَنْ/أَن/an//لَّنْ/لَّن/lan//یَّقْدِرَ/يَقۡدِرَ/yaqdira//عَلَیْهِ/عَلَيۡهِ/alayhi//اَحَدٌۘ/أَحَدٞ/ahadun",
              "words_bangla": "মনে করে কি সে//যে//কখনও না//ক্ষমতাবান হবে//তার উপর//কেউ"
            },
            {
              "number": 6029,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6029.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6029.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6029.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6029.mp3"
              ],
              "text": "يَقُولُ أَهْلَكْتُ مَالًۭا لُّبَدًا",
              "translate_bn": "সে বলেঃ আমি প্রচুর ধন-সম্পদ ব্যয় করেছি।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইয়াকূ লুআহলাকতুমা-লাল লুবাদা-।",
              "words_arabic": "یَقُوْلُ/يَقُولُ/yaqulu//اَهْلَكْتُ/أَهۡلَكۡتُ/ahlaktu//مَالًا/مَالٗا/malan//لُّبَدًاؕ/لُّبَدًا/lubadan",
              "words_bangla": "সে বলে//\"আমি নিঃশেষ করেছি//ধনসম্পদ//বিপুল (পরিমাণ)\""
            },
            {
              "number": 6030,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6030.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6030.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6030.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6030.mp3"
              ],
              "text": "أَيَحْسَبُ أَن لَّمْ يَرَهُۥٓ أَحَدٌ",
              "translate_bn": "সে কি মনে করে যে, তাকে কেউ দেখেনি?",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আইয়াহছাবুআল্লাম ইয়ারাহূআহাদ।",
              "words_arabic": "اَیَحْسَبُ/أَيَحۡسَبُ/ayahsabu//اَنْ/أَن/an//لَّمْ/لَّمۡ/lam//یَرَهٗۤ/يَرَهُۥٓ/yarahu//اَحَدٌؕ/أَحَدٌ/ahadun",
              "words_bangla": "সে মনে করে কি//যে//নি//তাকে দেখে//কেউ"
            },
            {
              "number": 6031,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6031.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6031.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6031.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6031.mp3"
              ],
              "text": "أَلَمْ نَجْعَل لَّهُۥ عَيْنَيْنِ",
              "translate_bn": "আমি কি তাকে দেইনি চক্ষুদ্বয়,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আলাম নাজ‘আল্লাহূ‘আইনাইন।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نَجْعَلْ/نَجۡعَل/naj'al//لَّهٗ/لَّهُۥ/lahu//عَیْنَیْنِۙ/عَيۡنَيۡنِ/aynayni",
              "words_bangla": "নি কি//আমরা দিই//তার জন্য//দু'চোখ"
            },
            {
              "number": 6032,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6032.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6032.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6032.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6032.mp3"
              ],
              "text": "وَلِسَانًۭا وَشَفَتَيْنِ",
              "translate_bn": "জিহবা ও ওষ্ঠদ্বয় ?",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া লিছা-নাওঁ ওয়া শাফাতাইন।",
              "words_arabic": "وَ لِسَانًا/وَلِسَانٗا/walisanan//وَّ شَفَتَیْنِۙ/وَشَفَتَيۡنِ/washafatayni",
              "words_bangla": "এবং জিহ্বা//ও দু'ঠোট"
            },
            {
              "number": 6033,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6033.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6033.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6033.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6033.mp3"
              ],
              "text": "وَهَدَيْنَٰهُ ٱلنَّجْدَيْنِ",
              "translate_bn": "বস্তুতঃ আমি তাকে দু’টি পথ প্রদর্শন করেছি।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া হাদাইনা-হুন্নাজদাঈন।",
              "words_arabic": "وَ هَدَیْنٰهُ/وَهَدَيۡنَٰهُ/wahadaynahu//النَّجْدَیْنِۚ/ٱلنَّجۡدَيۡنِ/al-najdayni",
              "words_bangla": "এবং আমরা তাকে  দেখিয়েছি//(ভাল মন্দ) দুই পথের"
            },
            {
              "number": 6034,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6034.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6034.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6034.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6034.mp3"
              ],
              "text": "فَلَا ٱقْتَحَمَ ٱلْعَقَبَةَ",
              "translate_bn": "অতঃপর সে ধর্মের ঘাঁটিতে প্রবেশ করেনি।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফালাকতাহামাল ‘আকাবাহ।",
              "words_arabic": "فَلَا/فَلَا/fala//اقْتَحَمَ/ٱقۡتَحَمَ/iq'tahama//الْعَقَبَةَؗۖ/ٱلۡعَقَبَةَ/al-'aqabata",
              "words_bangla": "কিন্তু না//সে অবলম্বন করেছে//কষ্টসাধ্য গিরিপথ"
            },
            {
              "number": 6035,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6035.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6035.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6035.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6035.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا ٱلْعَقَبَةُ",
              "translate_bn": "আপনি জানেন, সে ঘাঁটি কি?",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মাল ‘আকাবাহ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//الْعَقَبَةُؕ/ٱلۡعَقَبَةُ/al-'aqabatu",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//কি//সেই কষ্টসাধ্য গিরিপথ"
            },
            {
              "number": 6036,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6036.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6036.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6036.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6036.mp3"
              ],
              "text": "فَكُّ رَقَبَةٍ",
              "translate_bn": "তা হচ্ছে দাসমুক্তি",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাক্কুরাকাবাহ ।",
              "words_arabic": "فَكُّ/فَكُّ/fakku//رَقَبَةٍۙ/رَقَبَةٍ/raqabatin",
              "words_bangla": "মুক্তি//দাস"
            },
            {
              "number": 6037,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6037.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6037.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6037.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6037.mp3"
              ],
              "text": "أَوْ إِطْعَٰمٌۭ فِى يَوْمٍۢ ذِى مَسْغَبَةٍۢ",
              "translate_bn": "অথবা দুর্ভিক্ষের দিনে অন্নদান।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আও ইত‘আ-মুন ফী ইয়াওমিন যী মাছগাবাহ ।",
              "words_arabic": "اَوْ/أَوۡ/aw//اِطْعٰمٌ/إِطۡعَٰمٞ/it'amun//فِیْ/فِي/fi//یَوْمٍ/يَوۡمٖ/yawmin//ذِیْ/ذِي/dhi//مَسْغَبَةٍۙ/مَسۡغَبَةٖ/masghabatin",
              "words_bangla": "অথবা//খানা খাওয়ানো//মধ্যে//দিনে//এর//দুর্ভিক্ষ"
            },
            {
              "number": 6038,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6038.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6038.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6038.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6038.mp3"
              ],
              "text": "يَتِيمًۭا ذَا مَقْرَبَةٍ",
              "translate_bn": "এতীম আত্বীয়কে",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইয়াতীমান যা-মাকরাবাহ।",
              "words_arabic": "یَّتِیْمًا/يَتِيمٗا/yatiman//ذَا/ذَا/dha//مَقْرَبَةٍۙ/مَقۡرَبَةٍ/maqrabatin",
              "words_bangla": "ইয়াতীমকে//এর//নিকট আত্মীয় সম্পর্ক"
            },
            {
              "number": 6039,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6039.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6039.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6039.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6039.mp3"
              ],
              "text": "أَوْ مِسْكِينًۭا ذَا مَتْرَبَةٍۢ",
              "translate_bn": "অথবা ধুলি-ধুসরিত মিসকীনকে",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আও মিছকীনান যা-মাতরাবাহ।",
              "words_arabic": "اَوْ/أَوۡ/aw//مِسْكِیْنًا/مِسۡكِينٗا/mis'kinan//ذَا/ذَا/dha//مَتْرَبَةٍؕ/مَتۡرَبَةٖ/matrabatin",
              "words_bangla": "অথবা//নিঃস্বকে//মাখা/ যুক্ত//ধুলি/ দারিদ্র-নিষ্পেষিত"
            },
            {
              "number": 6040,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6040.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6040.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6040.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6040.mp3"
              ],
              "text": "ثُمَّ كَانَ مِنَ ٱلَّذِينَ ءَامَنُوا۟ وَتَوَاصَوْا۟ بِٱلصَّبْرِ وَتَوَاصَوْا۟ بِٱلْمَرْحَمَةِ",
              "translate_bn": "অতঃপর তাদের অন্তর্ভুক্ত হওয়া, যারা ঈমান আনে এবং পরস্পরকে উপদেশ দেয় সবরের ও উপদেশ দেয় দয়ার।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কা-না মিনাল্লাযীনা আ-মানূওয়াতাওয়া-সাও বিসসাবরি ওয়াতাওয়া-সাও বিল মারহামাহ।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كَانَ/كَانَ/kana//مِنَ/مِنَ/mina//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ تَوَاصَوْا/وَتَوَاصَوۡاْ/watawasaw//بِالصَّبْرِ/بِٱلصَّبۡرِ/bil-sabri//وَ تَوَاصَوْا/وَتَوَاصَوۡاْ/watawasaw//بِالْمَرْحَمَةِؕ/بِٱلۡمَرۡحَمَةِ/bil-marhamati",
              "words_bangla": "তদুপরি (এর সাথে)//সে হলো//শামিলও//(তাদের মধ্য) যারা//ঈমান এনেছে//ও তারা পরস্পরকে উপদেশ দিয়েছে//ধৈর্যধারণের//ও তারা পরস্পরকে উপদেশ দিয়েছে//দয়া প্রদর্শনের"
            },
            {
              "number": 6041,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6041.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6041.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6041.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6041.mp3"
              ],
              "text": "أُو۟لَٰٓئِكَ أَصْحَٰبُ ٱلْمَيْمَنَةِ",
              "translate_bn": "তারাই সৌভাগ্যশালী।",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "উলাইকা আসহা-বুল মাইমানাহ।",
              "words_arabic": "اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْمَیْمَنَةِؕ/ٱلۡمَيۡمَنَةِ/al-maymanati",
              "words_bangla": "ঐসব//লোক//ডান দিকের (অর্থাৎ সৌভাগ্যশীল)"
            },
            {
              "number": 6042,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6042.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6042.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6042.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6042.mp3"
              ],
              "text": "وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَٰتِنَا هُمْ أَصْحَٰبُ ٱلْمَشْـَٔمَةِ",
              "translate_bn": "আর যারা আমার আয়াতসমূহ অস্বীকার করে তারাই হতভাগা।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাযীনা কাফারূবিআ-য়া-তিনা-হুম আসহা-বুল মাশআমাহ।",
              "words_arabic": "وَ الَّذِیْنَ/وَٱلَّذِينَ/wa-alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//بِاٰیٰتِنَا/بِـَٔايَٰتِنَا/biayatina//هُمْ/هُمۡ/hum//اَصْحٰبُ/أَصۡحَٰبُ/ashabu//الْمَشْـَٔمَةِؕ/ٱلۡمَشۡـَٔمَةِ/al-mashamati",
              "words_bangla": "এবং যারা//অস্বীকার করেছে//আমাদের আয়াতগুলোকে//তারাই//লোক//বাম দিকের (অর্থাৎ হতভাগ্য)"
            },
            {
              "number": 6043,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6043.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6043.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6043.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6043.mp3"
              ],
              "text": "عَلَيْهِمْ نَارٌۭ مُّؤْصَدَةٌۢ",
              "translate_bn": "তারা অগ্নিপরিবেষ্টিত অবস্থায় বন্দী থাকবে।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 594,
              "ruku": 532,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "‘আলাইহিম না-রুম মু’সাদাহ।",
              "words_arabic": "عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//نَارٌ/نَارٞ/narun//مُّؤْصَدَةٌ۠/مُّؤۡصَدَةُۢ/mu'sadatun",
              "words_bangla": "তাদের উপর//আগুন//পরিবেষ্টনকারী (হয়ে থাকবে)"
            }
          ]
        },
        {
          "number": 91,
          "name": "سُورَةُ الشَّمۡسِ",
          "englishName": "Ash-Shams",
          "englishNameTranslation": "The Sun",
          "revelationType": "Meccan",
          "verse": 15,
          "words": 157,
          "chars": 655,
          "ayahs": [
            {
              "number": 6044,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6044.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6044.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6044.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6044.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلشَّمْسِ وَضُحَىٰهَا",
              "translate_bn": "শপথ সূর্যের ও তার কিরণের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াশ শামছি ওয়াদু হা-হা-।",
              "words_arabic": "وَ الشَّمْسِ/وَٱلشَّمۡسِ/wal-shamsi//وَ ضُحٰىهَا۪ۙ/وَضُحَىٰهَا/waduhaha",
              "words_bangla": "শপথ সূর্যের//এবং তার কিরণের"
            },
            {
              "number": 6045,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6045.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6045.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6045.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6045.mp3"
              ],
              "text": "وَٱلْقَمَرِ إِذَا تَلَىٰهَا",
              "translate_bn": "শপথ চন্দ্রের যখন তা সূর্যের পশ্চাতে আসে,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল কামারি ইযা-তালা-হা-।",
              "words_arabic": "وَ الْقَمَرِ/وَٱلۡقَمَرِ/wal-qamari//اِذَا/إِذَا/idha//تَلٰىهَا۪ۙ/تَلَىٰهَا/talaha",
              "words_bangla": "শপথ চাঁদের//যখন//তার পিছে আসে"
            },
            {
              "number": 6046,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6046.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6046.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6046.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6046.mp3"
              ],
              "text": "وَٱلنَّهَارِ إِذَا جَلَّىٰهَا",
              "translate_bn": "শপথ দিবসের যখন সে সূর্যকে প্রখরভাবে প্রকাশ করে,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্নাহা-রি ইযা জাল্লা-হা-।\r\n",
              "words_arabic": "وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//اِذَا/إِذَا/idha//جَلّٰىهَا۪ۙ/جَلَّىٰهَا/jallaha",
              "words_bangla": "শপথ দিনের//যখন//তাকে প্রকাশ করে"
            },
            {
              "number": 6047,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6047.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6047.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6047.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6047.mp3"
              ],
              "text": "وَٱلَّيْلِ إِذَا يَغْشَىٰهَا",
              "translate_bn": "শপথ রাত্রির যখন সে সূর্যকে আচ্ছাদিত করে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযা-ইয়াগশা-হা-।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذَا/إِذَا/idha//یَغْشٰىهَا۪ۙ/يَغۡشَىٰهَا/yaghshaha",
              "words_bangla": "শপথ রাতের//যখন//তাকে ঢেকে ফেলে"
            },
            {
              "number": 6048,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6048.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6048.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6048.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6048.mp3"
              ],
              "text": "وَٱلسَّمَآءِ وَمَا بَنَىٰهَا",
              "translate_bn": "শপথ আকাশের এবং যিনি তা নির্মাণ করেছেন, তাঁর।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াছ ছামাই ওয়ামা-বানা-হা-।",
              "words_arabic": "وَ السَّمَآءِ/وَٱلسَّمَآءِ/wal-samai//وَ مَا/وَمَا/wama//بَنٰىهَا۪ۙ/بَنَىٰهَا/banaha",
              "words_bangla": "শপথ আকাশের//এবং যিনি//তা তৈরি করেছেন"
            },
            {
              "number": 6049,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6049.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6049.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6049.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6049.mp3"
              ],
              "text": "وَٱلْأَرْضِ وَمَا طَحَىٰهَا",
              "translate_bn": "শপথ পৃথিবীর এবং যিনি তা বিস্তৃত করেছেন, তাঁর,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল আরদিওয়ামা-তাহা-হা-।",
              "words_arabic": "وَ الْاَرْضِ/وَٱلۡأَرۡضِ/wal-ardi//وَ مَا/وَمَا/wama//طَحٰىهَا۪ۙ/طَحَىٰهَا/tahaha",
              "words_bangla": "শপথ পৃথিবীর//এবং যিনি//তা বিস্তৃত করেছেন"
            },
            {
              "number": 6050,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6050.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6050.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6050.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6050.mp3"
              ],
              "text": "وَنَفْسٍۢ وَمَا سَوَّىٰهَا",
              "translate_bn": "শপথ প্রাণের এবং যিনি তা সুবিন্যস্ত করেছেন, তাঁর,",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া নাফছিওঁ ওয়া মা-ছাওওয়া-হা-।",
              "words_arabic": "وَ نَفْسٍ/وَنَفۡسٖ/wanafsin//وَّ مَا/وَمَا/wama//سَوّٰىهَا۪ۙ/سَوَّىٰهَا/sawwaha",
              "words_bangla": "শপথ মানুষের//এবং যিনি//তাকে সুঠাম করেছেন"
            },
            {
              "number": 6051,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6051.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6051.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6051.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6051.mp3"
              ],
              "text": "فَأَلْهَمَهَا فُجُورَهَا وَتَقْوَىٰهَا",
              "translate_bn": "অতঃপর তাকে তার অসৎকর্ম ও সৎকর্মের জ্ঞান দান করেছেন,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাআলহামাহা-ফুজূরাহা-ওয়া তাকওয়া-হা-।",
              "words_arabic": "فَاَلْهَمَهَا/فَأَلۡهَمَهَا/fa-alhamaha//فُجُوْرَهَا/فُجُورَهَا/fujuraha//وَ تَقْوٰىهَا۪ۙ/وَتَقۡوَىٰهَا/wataqwaha",
              "words_bangla": "অতঃপর তাকে জ্ঞান দিয়েছেন//তার মন্দকাজ//ও তার তাকওয়া (সম্পর্কে )"
            },
            {
              "number": 6052,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6052.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6052.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6052.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6052.mp3"
              ],
              "text": "قَدْ أَفْلَحَ مَن زَكَّىٰهَا",
              "translate_bn": "যে নিজেকে শুদ্ধ করে, সেই সফলকাম হয়।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "কাদ আফলাহা মান ঝাক্কা-হা-।",
              "words_arabic": "قَدْ/قَدۡ/qad//اَفْلَحَ/أَفۡلَحَ/aflaha//مَنْ/مَن/man//زَكّٰىهَا۪ۙ/زَكَّىٰهَا/zakkaha",
              "words_bangla": "নিশ্চয়ই//সফল হলো//যে//তাকে পবিত্র করলো"
            },
            {
              "number": 6053,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6053.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6053.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6053.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6053.mp3"
              ],
              "text": "وَقَدْ خَابَ مَن دَسَّىٰهَا",
              "translate_bn": "এবং যে নিজেকে কলুষিত করে, সে ব্যর্থ মনোরথ হয়।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাদ খা-বা মান দাছ ছা-হা-।",
              "words_arabic": "وَ قَدْ/وَقَدۡ/waqad//خَابَ/خَابَ/khaba//مَنْ/مَن/man//دَسّٰىهَاؕ/دَسَّىٰهَا/dassaha",
              "words_bangla": "এবং নিশ্চয়ই//ব্যর্থ হলো//যে//তাকে কলুষিত করলো"
            },
            {
              "number": 6054,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6054.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6054.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6054.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6054.mp3"
              ],
              "text": "كَذَّبَتْ ثَمُودُ بِطَغْوَىٰهَآ",
              "translate_bn": "সামুদ সম্প্রদায় অবাধ্যতা বশতঃ মিথ্যারোপ করেছিল।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "কাযযাবাত ছামূদুবিতাগওয়া-হা।\r\n",
              "words_arabic": "كَذَّبَتْ/كَذَّبَتۡ/kadhabat//ثَمُوْدُ/ثَمُودُ/thamudu//بِطَغْوٰىهَاۤ/بِطَغۡوَىٰهَآ/bitaghwaha",
              "words_bangla": "মিথ্যারোপ করেছিল//সামূদ জাতি//তার অবাধ্যতাবশতঃ"
            },
            {
              "number": 6055,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6055.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6055.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6055.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6055.mp3"
              ],
              "text": "إِذِ ٱنۢبَعَثَ أَشْقَىٰهَا",
              "translate_bn": "যখন তাদের সর্বাধিক হতভাগ্য ব্যক্তি তৎপর হয়ে উঠেছিল।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইযিম বা‘আছা আশকা-হা-।",
              "words_arabic": "اِذِ/إِذِ/idhi//انْۢبَعَثَ/ٱنۢبَعَثَ/inba'atha//اَشْقٰىهَا۪ۙ/أَشۡقَىٰهَا/ashqaha",
              "words_bangla": "যখন//(তৎপর হয়ে)উঠলো//তার সবচেয়ে হতভাগা ব্যক্তি"
            },
            {
              "number": 6056,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6056.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6056.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6056.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6056.mp3"
              ],
              "text": "فَقَالَ لَهُمْ رَسُولُ ٱللَّهِ نَاقَةَ ٱللَّهِ وَسُقْيَٰهَا",
              "translate_bn": "অতঃপর আল্লাহর রসূল তাদেরকে বলেছিলেনঃ আল্লাহর উষ্ট্রী ও তাকে পানি পান করানোর ব্যাপারে সতর্ক থাক।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাকা-লা লাহুম রাছূলুল্লা-হি না-কাতাল্লা-হি ওয়া ছুকইয়া-হা-।",
              "words_arabic": "فَقَالَ/فَقَالَ/faqala//لَهُمْ/لَهُمۡ/lahum//رَسُوْلُ/رَسُولُ/rasulu//اللّٰهِ/ٱللَّهِ/al-lahi//نَاقَةَ/نَاقَةَ/naqata//اللّٰهِ/ٱللَّهِ/al-lahi//وَ سُقْیٰهَاؕ/وَسُقۡيَٰهَا/wasuq'yaha",
              "words_bangla": "অতঃপর বললো//তাদেরকে//রাসূল//আল্লাহর//\"(সাবধান)উষ্ট্রীকে//আল্লাহর (স্পর্শ করো না)//ও তার পানি পান করায় (বাধা দিও না)\""
            },
            {
              "number": 6057,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6057.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6057.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6057.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6057.mp3"
              ],
              "text": "فَكَذَّبُوهُ فَعَقَرُوهَا فَدَمْدَمَ عَلَيْهِمْ رَبُّهُم بِذَنۢبِهِمْ فَسَوَّىٰهَا",
              "translate_bn": "অতঃপর ওরা তার প্রতি মিথ্যারোপ করেছিল এবং উষ্ট্রীর পা কর্তন করেছিল। তাদের পাপের কারণে তাদের পালনকর্তা তাদের উপর ধ্বংস নাযিল করে একাকার করে দিলেন।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাকাযযাবূহু ফা‘আকারূহা- ফাদামদামা ‘আলাইহিম রাব্বুহুম বিযামবিহিম ফাছাওওয়াহা-।",
              "words_arabic": "فَكَذَّبُوْهُ/فَكَذَّبُوهُ/fakadhabuhu//فَعَقَرُوْهَا ۪ۙ۬/فَعَقَرُوهَا/fa'aqaruha//فَدَمْدَمَ/فَدَمۡدَمَ/fadamdama//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//رَبُّهُمْ/رَبُّهُم/rabbuhum//بِذَنْۢبِهِمْ/بِذَنۢبِهِمۡ/bidhanbihim//فَسَوّٰىهَا۪ۙ/فَسَوَّىٰهَا/fasawwaha",
              "words_bangla": "কিন্তু তারা তাকে  মিথ্যা ভাবলো//অতঃপর তারা তাকে  হত্যা করলো//ফলে ধ্বংস করে দিলেন//তাদেরকে//তাদের রব//তাদের পাপের জন্য//অতঃপর তাদেরকে (মাটি) সমান করে দিলেন"
            },
            {
              "number": 6058,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6058.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6058.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6058.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6058.mp3"
              ],
              "text": "وَلَا يَخَافُ عُقْبَٰهَا",
              "translate_bn": "আল্লাহ তা’আলা এই ধ্বংসের কোন বিরূপ পরিণতির আশংকা করেন না।",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 533,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াখা-ফু‘উকবা-হা-।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَخَافُ/يَخَافُ/yakhafu//عُقْبٰهَا۠/عُقۡبَٰهَا/uq'baha",
              "words_bangla": "এবং না//ভয় করেন তিনি//তাঁর (কাজের) পরিণতির"
            }
          ]
        },
        {
          "number": 92,
          "name": "سُورَةُ اللَّيۡلِ",
          "englishName": "Al-Lail",
          "englishNameTranslation": "The Night",
          "revelationType": "Meccan",
          "verse": 21,
          "words": 172,
          "chars": 703,
          "ayahs": [
            {
              "number": 6059,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6059.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6059.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6059.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6059.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلَّيْلِ إِذَا يَغْشَىٰ",
              "translate_bn": "শপথ রাত্রির, যখন সে আচ্ছন্ন করে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযা-ইয়াগশা-।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذَا/إِذَا/idha//یَغْشٰیۙ/يَغۡشَىٰ/yaghsha",
              "words_bangla": "শপথ রাতের//যখন//আচ্ছন্ন করে"
            },
            {
              "number": 6060,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6060.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6060.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6060.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6060.mp3"
              ],
              "text": "وَٱلنَّهَارِ إِذَا تَجَلَّىٰ",
              "translate_bn": "শপথ দিনের, যখন সে আলোকিত হয়",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ান্নাহা-রি ইযা-তাজাল্লা-।",
              "words_arabic": "وَ النَّهَارِ/وَٱلنَّهَارِ/wal-nahari//اِذَا/إِذَا/idha//تَجَلّٰیۙ/تَجَلَّىٰ/tajalla",
              "words_bangla": "শপথ দিনের//যখন//আলোকিত হয়"
            },
            {
              "number": 6061,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6061.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6061.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6061.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6061.mp3"
              ],
              "text": "وَمَا خَلَقَ ٱلذَّكَرَ وَٱلْأُنثَىٰٓ",
              "translate_bn": "এবং তাঁর, যিনি নর ও নারী সৃষ্টি করেছেন,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-খালাকায যাকারা ওয়াল উনছা।",
              "words_arabic": "وَ مَا/وَمَا/wama//خَلَقَ/خَلَقَ/khalaqa//الذَّكَرَ/ٱلذَّكَرَ/al-dhakara//وَ الْاُنْثٰۤیۙ/وَٱلۡأُنثَىٰٓ/wal-untha",
              "words_bangla": "শপথ তাঁর (যিনি)//সৃষ্টি করেছেন//পুরুষ//ও নারী"
            },
            {
              "number": 6062,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6062.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6062.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6062.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6062.mp3"
              ],
              "text": "إِنَّ سَعْيَكُمْ لَشَتَّىٰ",
              "translate_bn": "নিশ্চয় তোমাদের কর্ম প্রচেষ্টা বিভিন্ন ধরনের।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইন্না ছা‘ইয়াকুম লাশাত্তা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//سَعْیَكُمْ/سَعۡيَكُمۡ/sa'yakum//لَشَتّٰیؕ/لَشَتَّىٰ/lashatta",
              "words_bangla": "নিশ্চয়ই//তোমাদের কর্মপ্রচেষ্টা//অবশ্যই বিভিন্ন প্রকৃতির"
            },
            {
              "number": 6063,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6063.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6063.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6063.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6063.mp3"
              ],
              "text": "فَأَمَّا مَنْ أَعْطَىٰ وَٱتَّقَىٰ",
              "translate_bn": "অতএব, যে দান করে এবং খোদাভীরু হয়,",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান আ‘তা-ওয়াত্তাকা-।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَنۡ/man//اَعْطٰی/أَعۡطَىٰ/a'ta//وَ اتَّقٰیۙ/وَٱتَّقَىٰ/wa-ittaqa",
              "words_bangla": "অতঃপর (তার) ক্ষেত্রে//যে//দান করলো//ও খোদাভীরু হলো"
            },
            {
              "number": 6064,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6064.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6064.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6064.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6064.mp3"
              ],
              "text": "وَصَدَّقَ بِٱلْحُسْنَىٰ",
              "translate_bn": "এবং উত্তম বিষয়কে সত্য মনে করে,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া সাদ্দাকা বিলহুছনা-।",
              "words_arabic": "وَ صَدَّقَ/وَصَدَّقَ/wasaddaqa//بِالْحُسْنٰیۙ/بِٱلۡحُسۡنَىٰ/bil-hus'na",
              "words_bangla": "এবং সত্য মানলো//উত্তমকে (ইসলামকে)"
            },
            {
              "number": 6065,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6065.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6065.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6065.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6065.mp3"
              ],
              "text": "فَسَنُيَسِّرُهُۥ لِلْيُسْرَىٰ",
              "translate_bn": "আমি তাকে সুখের বিষয়ের জন্যে সহজ পথ দান করব।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাছানুইয়াছছিরুহূলিল ইউছরা-।",
              "words_arabic": "فَسَنُیَسِّرُهٗ/فَسَنُيَسِّرُهُۥ/fasanuyassiruhu//لِلْیُسْرٰیؕ/لِلۡيُسۡرَىٰ/lil'yus'ra",
              "words_bangla": "আমরা তাকে সহজতা দিব//সহজ (পথের) জন্য"
            },
            {
              "number": 6066,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6066.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6066.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6066.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6066.mp3"
              ],
              "text": "وَأَمَّا مَنۢ بَخِلَ وَٱسْتَغْنَىٰ",
              "translate_bn": "আর যে কৃপণতা করে ও বেপরওয়া হয়",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মাম বাখিলা ওয়াছতাগনা-।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْۢ/مَنۢ/man//بَخِلَ/بَخِلَ/bakhila//وَ اسْتَغْنٰیۙ/وَٱسۡتَغۡنَىٰ/wa-is'taghna",
              "words_bangla": "আর (তার)ক্ষেত্রে//যে//কৃপণতা করলো//ও নিজেকে স্বয়ংসম্পূর্ণ মনে করলো"
            },
            {
              "number": 6067,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6067.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6067.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6067.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6067.mp3"
              ],
              "text": "وَكَذَّبَ بِٱلْحُسْنَىٰ",
              "translate_bn": "এবং উত্তম বিষয়কে মিথ্যা মনে করে,",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া কাযযাবা বিল হুছনা-।",
              "words_arabic": "وَ كَذَّبَ/وَكَذَّبَ/wakadhaba//بِالْحُسْنٰیۙ/بِٱلۡحُسۡنَىٰ/bil-hus'na",
              "words_bangla": "এবং অমান্য করলো//উত্তমকে (ইসলামকে)"
            },
            {
              "number": 6068,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6068.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6068.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6068.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6068.mp3"
              ],
              "text": "فَسَنُيَسِّرُهُۥ لِلْعُسْرَىٰ",
              "translate_bn": "আমি তাকে কষ্টের বিষয়ের জন্যে সহজ পথ দান করব।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাছানুইয়াছছিরুহূলিল‘উছরা-।",
              "words_arabic": "فَسَنُیَسِّرُهٗ/فَسَنُيَسِّرُهُۥ/fasanuyassiruhu//لِلْعُسْرٰیؕ/لِلۡعُسۡرَىٰ/lil'us'ra",
              "words_bangla": "ফলে আমরা তাকে সহজতা দিব//কঠোর পথের জন্য"
            },
            {
              "number": 6069,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6069.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6069.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6069.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6069.mp3"
              ],
              "text": "وَمَا يُغْنِى عَنْهُ مَالُهُۥٓ إِذَا تَرَدَّىٰٓ",
              "translate_bn": "যখন সে অধঃপতিত হবে, তখন তার সম্পদ তার কোনই কাজে আসবে না।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-ইউগনী ‘আনহু মা-লুহূইযা-তারাদ্দা-।",
              "words_arabic": "وَ مَا/وَمَا/wama//یُغْنِیْ/يُغۡنِي/yugh'ni//عَنْهُ/عَنۡهُ/anhu//مَالُهٗۤ/مَالُهُۥٓ/maluhu//اِذَا/إِذَا/idha//تَرَدّٰیؕ/تَرَدَّىٰٓ/taradda",
              "words_bangla": "এবং না//কাজে আসবে//তার জন্যে//তার ধনসম্পদ//যখন//সে ধ্বংস হবে"
            },
            {
              "number": 6070,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6070.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6070.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6070.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6070.mp3"
              ],
              "text": "إِنَّ عَلَيْنَا لَلْهُدَىٰ",
              "translate_bn": "আমার দায়িত্ব পথ প্রদর্শন করা।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইন্না ‘আলাইনা-লালহুদা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//عَلَیْنَا/عَلَيۡنَا/alayna//لَلْهُدٰیؗۖ/لَلۡهُدَىٰ/lalhuda",
              "words_bangla": "নিশ্চয়ই//আমাদের দায়িত্বে//পথ প্রদর্শন"
            },
            {
              "number": 6071,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6071.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6071.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6071.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6071.mp3"
              ],
              "text": "وَإِنَّ لَنَا لَلْءَاخِرَةَ وَٱلْأُولَىٰ",
              "translate_bn": "আর আমি মালিক ইহকালের ও পরকালের।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্না লানা-লালআ-খিরাতা ওয়ালঊলা-।",
              "words_arabic": "وَ اِنَّ/وَإِنَّ/wa-inna//لَنَا/لَنَا/lana//لَلْاٰخِرَةَ/لَلۡأٓخِرَةَ/lalakhirata//وَ الْاُوْلٰی /وَٱلۡأُولَىٰ/wal-ula",
              "words_bangla": "এবং নিশ্চয়ই//আমরা মালিক//পরকালের//ও ইহকালের"
            },
            {
              "number": 6072,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6072.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6072.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6072.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6072.mp3"
              ],
              "text": "فَأَنذَرْتُكُمْ نَارًۭا تَلَظَّىٰ",
              "translate_bn": "অতএব, আমি তোমাদেরকে প্রজ্বলিত অগ্নি সম্পর্কে সতর্ক করে দিয়েছি।",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 595,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাআনযারতুকুম না-রান তালাজ্জা-।",
              "words_arabic": "فَاَنْذَرْتُكُمْ/فَأَنذَرۡتُكُمۡ/fa-andhartukum//نَارًا/نَارٗا/naran//تَلَظّٰیۚ/تَلَظَّىٰ/talazza",
              "words_bangla": "অতএব তোমাদেরকে আমি সতর্ক করছি//অগ্নির//জ্বলন্ত"
            },
            {
              "number": 6073,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6073.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6073.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6073.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6073.mp3"
              ],
              "text": "لَا يَصْلَىٰهَآ إِلَّا ٱلْأَشْقَى",
              "translate_bn": "এতে নিতান্ত হতভাগ্য ব্যক্তিই প্রবেশ করবে,",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "লা-ইয়াসলা-হাইল্লাল আশকা-",
              "words_arabic": "لَا/لَا/la//یَصْلٰىهَاۤ/يَصۡلَىٰهَآ/yaslaha//اِلَّا/إِلَّا/illa//الْاَشْقَیۙ/ٱلۡأَشۡقَى/al-ashqa",
              "words_bangla": "না//এতে প্রবেশ করবে//এ ছাড়া//নিতান্ত হতভাগ্য"
            },
            {
              "number": 6074,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6074.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6074.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6074.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6074.mp3"
              ],
              "text": "ٱلَّذِى كَذَّبَ وَتَوَلَّىٰ",
              "translate_bn": "যে মিথ্যারোপ করে ও মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী কাযযাবা ওয়া তাওয়াল্লা-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//كَذَّبَ/كَذَّبَ/kadhaba//وَ تَوَلّٰیؕ/وَتَوَلَّىٰ/watawalla",
              "words_bangla": "যে//মিথ্যারোপ করলো//এবং মুখ ফিরালো"
            },
            {
              "number": 6075,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6075.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6075.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6075.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6075.mp3"
              ],
              "text": "وَسَيُجَنَّبُهَا ٱلْأَتْقَى",
              "translate_bn": "এ থেকে দূরে রাখা হবে খোদাভীরু ব্যক্তিকে,",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ছাইউজান্নাবুহাল আতকা-।",
              "words_arabic": "وَ سَیُجَنَّبُهَا/وَسَيُجَنَّبُهَا/wasayujannabuha//الْاَتْقَیۙ/ٱلۡأَتۡقَى/al-atqa",
              "words_bangla": "এবং এ থেকে দূরে রাখা হবে//পরম মুত্তাকীকে"
            },
            {
              "number": 6076,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6076.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6076.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6076.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6076.mp3"
              ],
              "text": "ٱلَّذِى يُؤْتِى مَالَهُۥ يَتَزَكَّىٰ",
              "translate_bn": "যে আত্নশুদ্ধির জন্যে তার ধন-সম্পদ দান করে।",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী ইউ’তী মা-লাহূইয়াতাঝাক্কা-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//یُؤْتِیْ/يُؤۡتِي/yu'ti//مَالَهٗ/مَالَهُۥ/malahu//یَتَزَكّٰیۚ/يَتَزَكَّىٰ/yatazakka",
              "words_bangla": "যে//দান করে//তার ধনসম্পদ//আত্মশুদ্ধির জন্য"
            },
            {
              "number": 6077,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6077.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6077.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6077.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6077.mp3"
              ],
              "text": "وَمَا لِأَحَدٍ عِندَهُۥ مِن نِّعْمَةٍۢ تُجْزَىٰٓ",
              "translate_bn": "এবং তার উপর কারও কোন প্রতিদানযোগ্য অনুগ্রহ থাকে না।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা-লিআহাদিন ‘ইনদাহূমিন নি‘মাতিন তুজঝা।",
              "words_arabic": "وَ مَا/وَمَا/wama//لِاَحَدٍ/لِأَحَدٍ/li-ahadin//عِنْدَهٗ/عِندَهُۥ/indahu//مِنْ/مِن/min//نِّعْمَةٍ/نِّعۡمَةٖ/ni'matin//تُجْزٰۤیۙ/تُجۡزَىٰٓ/tuj'za",
              "words_bangla": "এবং নাই//কারও//তার উপর//কোন//অনুগ্রহ (যার)//প্রতিদান দিতে হবে"
            },
            {
              "number": 6078,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6078.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6078.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6078.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6078.mp3"
              ],
              "text": "إِلَّا ٱبْتِغَآءَ وَجْهِ رَبِّهِ ٱلْأَعْلَىٰ",
              "translate_bn": "তার মহান পালনকর্তার সন্তুষ্টি অন্বেষণ ব্যতীত।",
              "numberInSurah": 20,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ইল্লাবতিগাআ ওয়াজহি রাব্বিহিল আ‘লা-।",
              "words_arabic": "اِلَّا/إِلَّا/illa//ابْتِغَآءَ/ٱبۡتِغَآءَ/ib'tighaa//وَجْهِ/وَجۡهِ/wajhi//رَبِّهِ/رَبِّهِ/rabbihi//الْاَعْلٰیۚ/ٱلۡأَعۡلَىٰ/al-a'la",
              "words_bangla": "কেবল//সে অন্বেষণ করে//সন্তুষ্টি//তার রবের//সর্বশ্রেষ্ঠ"
            },
            {
              "number": 6079,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6079.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6079.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6079.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6079.mp3"
              ],
              "text": "وَلَسَوْفَ يَرْضَىٰ",
              "translate_bn": "সে সত্বরই সন্তুষ্টি লাভ করবে।",
              "numberInSurah": 21,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 534,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাছাওফা ইয়ারদা-।",
              "words_arabic": "وَ لَسَوْفَ/وَلَسَوۡفَ/walasawfa//یَرْضٰی۠/يَرۡضَىٰ/yarda",
              "words_bangla": "এবং অচিরেই অবশ্যই//তিনি সন্তুষ্ট হবেন (তার প্রতি)"
            }
          ]
        },
        {
          "number": 93,
          "name": "سُورَةُ الضُّحَىٰ",
          "englishName": "Ad-Dhuhaa",
          "englishNameTranslation": "The Morning Hours",
          "revelationType": "Meccan",
          "verse": 11,
          "words": 108,
          "chars": 418,
          "ayahs": [
            {
              "number": 6080,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6080.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6080.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6080.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6080.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلضُّحَىٰ",
              "translate_bn": "শপথ পূর্বাহ্নের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াদদু হা-।",
              "words_arabic": "وَ الضُّحٰیۙ/وَٱلضُّحَىٰ/wal-duha",
              "words_bangla": "শপথ প্রথম প্রহরের"
            },
            {
              "number": 6081,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6081.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6081.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6081.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6081.mp3"
              ],
              "text": "وَٱلَّيْلِ إِذَا سَجَىٰ",
              "translate_bn": "শপথ রাত্রির যখন তা গভীর হয়,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়াল্লাইলি ইযা-ছাজা-।",
              "words_arabic": "وَ الَّیْلِ/وَٱلَّيۡلِ/wa-al-layli//اِذَا/إِذَا/idha//سَجٰیۙ/سَجَىٰ/saja",
              "words_bangla": "শপথ রাতের//যখন//নিঝুম হয়"
            },
            {
              "number": 6082,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6082.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6082.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6082.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6082.mp3"
              ],
              "text": "مَا وَدَّعَكَ رَبُّكَ وَمَا قَلَىٰ",
              "translate_bn": "আপনার পালনকর্তা আপনাকে ত্যাগ করেনি এবং আপনার প্রতি বিরূপও হননি।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "মা-ওয়াদ্দা‘আকা রাব্বুকা ওয়ামা-কালা-।",
              "words_arabic": "مَا/مَا/ma//وَدَّعَكَ/وَدَّعَكَ/wadda'aka//رَبُّكَ/رَبُّكَ/rabbuka//وَ مَا/وَمَا/wama//قَلٰیؕ/قَلَىٰ/qala",
              "words_bangla": "না//তোমাকে ত্যাগ করেছেন//তোমার রব//আর না//অসন্তুষ্ট হয়েছেন"
            },
            {
              "number": 6083,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6083.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6083.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6083.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6083.mp3"
              ],
              "text": "وَلَلْءَاخِرَةُ خَيْرٌۭ لَّكَ مِنَ ٱلْأُولَىٰ",
              "translate_bn": "আপনার জন্যে পরকাল ইহকাল অপেক্ষা শ্রেয়।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাল আ-খিরাতুখাইরুল্লাকা মিনাল ঊলা-।",
              "words_arabic": "وَ لَلْاٰخِرَةُ/وَلَلۡأٓخِرَةُ/walalakhiratu//خَیْرٌ/خَيۡرٞ/khayrun//لَّكَ/لَّكَ/laka//مِنَ/مِنَ/mina//الْاُوْلٰیؕ/ٱلۡأُولَىٰ/al-ula",
              "words_bangla": "এবং পরবর্তী (পরকাল) নিশ্চয়ই//উত্তম//তোমার জন্য//অপেক্ষা (সময়)//পূর্ববর্তী (ইহকাল)"
            },
            {
              "number": 6084,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6084.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6084.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6084.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6084.mp3"
              ],
              "text": "وَلَسَوْفَ يُعْطِيكَ رَبُّكَ فَتَرْضَىٰٓ",
              "translate_bn": "আপনার পালনকর্তা সত্বরই আপনাকে দান করবেন, অতঃপর আপনি সন্তুষ্ট হবেন।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাছাওফা ইউ‘তীকা রাব্বুকা ফাতারদা-।",
              "words_arabic": "وَ لَسَوْفَ/وَلَسَوۡفَ/walasawfa//یُعْطِیْكَ/يُعۡطِيكَ/yu'tika//رَبُّكَ/رَبُّكَ/rabbuka//فَتَرْضٰیؕ/فَتَرۡضَىٰٓ/fatarda",
              "words_bangla": "এবং শীঘ্রই অবশ্য//তোমাকে দান করবেন//তোমার রব//ফলে তুমি খুশী হবে"
            },
            {
              "number": 6085,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6085.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6085.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6085.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6085.mp3"
              ],
              "text": "أَلَمْ يَجِدْكَ يَتِيمًۭا فَـَٔاوَىٰ",
              "translate_bn": "তিনি কি আপনাকে এতীমরূপে পাননি? অতঃপর তিনি আশ্রয় দিয়েছেন।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়াজিদকা ইয়াতীমান ফাআ-ওয়া-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَجِدْكَ/يَجِدۡكَ/yajid'ka//یَتِیْمًا/يَتِيمٗا/yatiman//فَاٰوٰی۪/فَـَٔاوَىٰ/faawa",
              "words_bangla": "পান নি কি//তিনি তোমাকে//ইয়াতীমরূপে//অতঃপর আশ্রয় দিয়েছেন"
            },
            {
              "number": 6086,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6086.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6086.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6086.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6086.mp3"
              ],
              "text": "وَوَجَدَكَ ضَآلًّۭا فَهَدَىٰ",
              "translate_bn": "তিনি আপনাকে পেয়েছেন পথহারা, অতঃপর পথপ্রদর্শন করেছেন।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াজাদাকা দাল্লান ফাহাদা-।",
              "words_arabic": "وَ وَجَدَكَ/وَوَجَدَكَ/wawajadaka//ضَآلًّا/ضَآلّٗا/dallan//فَهَدٰی۪/فَهَدَىٰ/fahada",
              "words_bangla": "এবং  তিনি তোমাকে পেয়েছিলেন//পথ অনবহিত (রূপে)//অতঃপর তিনি পথের দিশা দেন"
            },
            {
              "number": 6087,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6087.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6087.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6087.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6087.mp3"
              ],
              "text": "وَوَجَدَكَ عَآئِلًۭا فَأَغْنَىٰ",
              "translate_bn": "তিনি আপনাকে পেয়েছেন নিঃস্ব, অতঃপর অভাবমুক্ত করেছেন।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াজাদাকা ‘আইলান ফাআগনা-।",
              "words_arabic": "وَ وَجَدَكَ/وَوَجَدَكَ/wawajadaka//عَآىِٕلًا/عَآئِلٗا/ailan//فَاَغْنٰیؕ/فَأَغۡنَىٰ/fa-aghna",
              "words_bangla": "এবং তোমাকে পেয়েছিলেন//অভাবী//অতঃপর অভাবমুক্ত করলেন"
            },
            {
              "number": 6088,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6088.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6088.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6088.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6088.mp3"
              ],
              "text": "فَأَمَّا ٱلْيَتِيمَ فَلَا تَقْهَرْ",
              "translate_bn": "সুতরাং আপনি এতীমের প্রতি কঠোর হবেন না;",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মাল ইয়াতীমা ফালা-তাকহার।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//الْیَتِیْمَ/ٱلۡيَتِيمَ/al-yatima//فَلَا/فَلَا/fala//تَقْهَرْؕ/تَقۡهَرۡ/taqhar",
              "words_bangla": "সুতরাং ক্ষেত্রে//ইয়াতীমের//তাই না//কঠোর হয়ো"
            },
            {
              "number": 6089,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6089.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6089.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6089.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6089.mp3"
              ],
              "text": "وَأَمَّا ٱلسَّآئِلَ فَلَا تَنْهَرْ",
              "translate_bn": "সওয়ালকারীকে ধমক দেবেন না।",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মাছ ছাইলা ফালা-তানহার।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//السَّآىِٕلَ/ٱلسَّآئِلَ/al-saila//فَلَا/فَلَا/fala//تَنْهَرْؕ/تَنۡهَرۡ/tanhar",
              "words_bangla": "আর ক্ষেত্রে//প্রার্থীর//তাই না//তিরস্কার করো"
            },
            {
              "number": 6090,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6090.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6090.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6090.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6090.mp3"
              ],
              "text": "وَأَمَّا بِنِعْمَةِ رَبِّكَ فَحَدِّثْ",
              "translate_bn": "এবং আপনার পালনকর্তার নেয়ামতের কথা প্রকাশ করুন।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 535,
              "hizbQuarter": 238,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-বিনি‘মাতি রাব্বিকা ফাহাদ্দিছ।",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//بِنِعْمَةِ/بِنِعۡمَةِ/bini'mati//رَبِّكَ/رَبِّكَ/rabbika//فَحَدِّثْ۠/فَحَدِّثۡ/fahaddith",
              "words_bangla": "আর প্রসঙ্গ//অনুগ্রহের//তোমার রবের//অতঃপর বর্ণনা করো"
            }
          ]
        },
        {
          "number": 94,
          "name": "سُورَةُ الشَّرۡحِ",
          "englishName": "Ash-Sharh",
          "englishNameTranslation": "The Consolation",
          "revelationType": "Meccan",
          "verse": 8,
          "words": 62,
          "chars": 265,
          "ayahs": [
            {
              "number": 6091,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6091.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6091.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6091.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6091.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ أَلَمْ نَشْرَحْ لَكَ صَدْرَكَ",
              "translate_bn": "আমি কি আপনার বক্ষ উম্মুক্ত করে দেইনি?",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আলাম নাশরাহলাকা সাদরাক।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//نَشْرَحْ/نَشۡرَحۡ/nashrah//لَكَ/لَكَ/laka//صَدْرَكَۙ/صَدۡرَكَ/sadraka",
              "words_bangla": "করি দিই নি?//আমরা উন্মুক্ত//তোমার জন্যে//তোমার বক্ষকে"
            },
            {
              "number": 6092,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6092.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6092.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6092.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6092.mp3"
              ],
              "text": "وَوَضَعْنَا عَنكَ وِزْرَكَ",
              "translate_bn": "আমি লাঘব করেছি আপনার বোঝা,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া ওয়াদা‘না-‘আনকা বিঝরাক",
              "words_arabic": "وَ وَضَعْنَا/وَوَضَعۡنَا/wawada'na//عَنْكَ/عَنكَ/anka//وِزْرَكَۙ/وِزۡرَكَ/wiz'raka",
              "words_bangla": "এবং আমরা নামিয়েছি//তোমার থেকে//তোমার ভার"
            },
            {
              "number": 6093,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6093.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6093.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6093.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6093.mp3"
              ],
              "text": "ٱلَّذِىٓ أَنقَضَ ظَهْرَكَ",
              "translate_bn": "যা ছিল আপনার জন্যে অতিশয় দুঃসহ।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীআনকাদা জাহরাক।",
              "words_arabic": "الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَنْقَضَ/أَنقَضَ/anqada//ظَهْرَكَۙ/ظَهۡرَكَ/zahraka",
              "words_bangla": "যা//ভেঙ্গে দিচ্ছিলো//তোমার পিঠ"
            },
            {
              "number": 6094,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6094.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6094.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6094.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6094.mp3"
              ],
              "text": "وَرَفَعْنَا لَكَ ذِكْرَكَ",
              "translate_bn": "আমি আপনার আলোচনাকে সমুচ্চ করেছি।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া রাফা‘না-লাকা যিকরাক।",
              "words_arabic": "وَ رَفَعْنَا/وَرَفَعۡنَا/warafa'na//لَكَ/لَكَ/laka//ذِكْرَكَؕ/ذِكۡرَكَ/dhik'raka",
              "words_bangla": "ও আমরা সুউচ্চ করেছি//তোমার জন্যে//তোমার খ্যাতি/ স্মরণকে"
            },
            {
              "number": 6095,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6095.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6095.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6095.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6095.mp3"
              ],
              "text": "فَإِنَّ مَعَ ٱلْعُسْرِ يُسْرًا",
              "translate_bn": "নিশ্চয় কষ্টের সাথে স্বস্তি রয়েছে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাইন্না মা‘আল ‘উছরি ইউছরা-।",
              "words_arabic": "فَاِنَّ/فَإِنَّ/fa-inna//مَعَ/مَعَ/ma'a//الْعُسْرِ/ٱلۡعُسۡرِ/al-'us'ri//یُسْرًاۙ/يُسۡرًا/yus'ran",
              "words_bangla": "অতএব নিশ্চয়ই//সাথে//কষ্টের//স্বস্তি (আছে)"
            },
            {
              "number": 6096,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6096.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6096.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6096.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6096.mp3"
              ],
              "text": "إِنَّ مَعَ ٱلْعُسْرِ يُسْرًۭا",
              "translate_bn": "নিশ্চয় কষ্টের সাথে স্বস্তি রয়েছে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্না মা‘আল ‘উছরি ইউছরা-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//مَعَ/مَعَ/ma'a//الْعُسْرِ/ٱلۡعُسۡرِ/al-'us'ri//یُسْرًاؕ/يُسۡرٗا/yus'ran",
              "words_bangla": "নিশ্চয়ই//সাথে//কষ্টের//স্বস্তি (আছে)"
            },
            {
              "number": 6097,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6097.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6097.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6097.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6097.mp3"
              ],
              "text": "فَإِذَا فَرَغْتَ فَٱنصَبْ",
              "translate_bn": "অতএব, যখন অবসর পান পরিশ্রম করুন।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাইযা-ফারাগতা ফানসাব।",
              "words_arabic": "فَاِذَا/فَإِذَا/fa-idha//فَرَغْتَ/فَرَغۡتَ/faraghta//فَانْصَبْۙ/فَٱنصَبۡ/fa-insab",
              "words_bangla": "অতএব যখনই//তুমি অবসর হও//তুমি তখন ইবাদাত করো"
            },
            {
              "number": 6098,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6098.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6098.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6098.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6098.mp3"
              ],
              "text": "وَإِلَىٰ رَبِّكَ فَٱرْغَب",
              "translate_bn": "এবং আপনার পালনকর্তার প্রতি মনোনিবেশ করুন।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 596,
              "ruku": 536,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইলা- রাব্বিকা ফারগাব।",
              "words_arabic": "وَ اِلٰی/وَإِلَىٰ/wa-ila//رَبِّكَ/رَبِّكَ/rabbika//فَارْغَبْ۠/فَٱرۡغَب/fa-ir'ghab",
              "words_bangla": "এবং প্রতি//তোমার রবের//তখন মনোনিবেশ করো"
            }
          ]
        },
        {
          "number": 95,
          "name": "سُورَةُ التِّينِ",
          "englishName": "At-Tin",
          "englishNameTranslation": "The Fig",
          "revelationType": "Meccan",
          "verse": 8,
          "words": 69,
          "chars": 280,
          "ayahs": [
            {
              "number": 6099,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6099.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6099.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6099.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6099.mp3"
              ],
              "text": "بِّسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلتِّينِ وَٱلزَّيْتُونِ",
              "translate_bn": "শপথ আঞ্জীর (ডুমুর) ও যয়তুনের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়াততীন ওয়াঝঝাইতূন।",
              "words_arabic": "وَ التِّیْنِ/وَٱلتِّينِ/wal-tini//وَ الزَّیْتُوْنِۙ/وَٱلزَّيۡتُونِ/wal-zaytuni",
              "words_bangla": "শপথ তীন (ডুমুর)//এবং যয়তুনের (জলপাই)"
            },
            {
              "number": 6100,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6100.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6100.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6100.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6100.mp3"
              ],
              "text": "وَطُورِ سِينِينَ",
              "translate_bn": "এবং সিনাই প্রান্তরস্থ তূর পর্বতের,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া তূরি ছীনীন।",
              "words_arabic": "وَ طُوْرِ/وَطُورِ/waturi//سِیْنِیْنَۙ/سِينِينَ/sinina",
              "words_bangla": "শপথ তুর পর্বতের//সিনাই"
            },
            {
              "number": 6101,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6101.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6101.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6101.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6101.mp3"
              ],
              "text": "وَهَٰذَا ٱلْبَلَدِ ٱلْأَمِينِ",
              "translate_bn": "এবং এই নিরাপদ নগরীর।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া হা-যাল বালাদিল আমীন।",
              "words_arabic": "وَ هٰذَا/وَهَٰذَا/wahadha//الْبَلَدِ/ٱلۡبَلَدِ/al-baladi//الْاَمِیْنِۙ/ٱلۡأَمِينِ/al-amini",
              "words_bangla": "শপথ এই//নগরীর//নিরাপদ"
            },
            {
              "number": 6102,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6102.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6102.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6102.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6102.mp3"
              ],
              "text": "لَقَدْ خَلَقْنَا ٱلْإِنسَٰنَ فِىٓ أَحْسَنِ تَقْوِيمٍۢ",
              "translate_bn": "আমি সৃষ্টি করেছি মানুষকে সুন্দরতর অবয়বে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "লাকাদ খালাকনাল ইনছা-না ফীআহছানি তাকবীম।",
              "words_arabic": "لَقَدْ/لَقَدۡ/laqad//خَلَقْنَا/خَلَقۡنَا/khalaqna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//فِیْۤ/فِيٓ/fi//اَحْسَنِ/أَحۡسَنِ/ahsani//تَقْوِیْمٍؗ/تَقۡوِيمٖ/taqwimin",
              "words_bangla": "নিশ্চয়ই//আমরা সৃষ্টি করেছি//মানুষকে//মধ্যে//সুন্দরতম//গঠনে"
            },
            {
              "number": 6103,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6103.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6103.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6103.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6103.mp3"
              ],
              "text": "ثُمَّ رَدَدْنَٰهُ أَسْفَلَ سَٰفِلِينَ",
              "translate_bn": "অতঃপর তাকে ফিরিয়ে দিয়েছি নীচ থেকে নীচে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা রাদাদ না-হু আছফালা ছা-ফিলীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//رَدَدْنٰهُ/رَدَدۡنَٰهُ/radadnahu//اَسْفَلَ/أَسۡفَلَ/asfala//سٰفِلِیْنَۙ/سَٰفِلِينَ/safilina",
              "words_bangla": "এরপরে//আমরা তাকে ফিরিয়ে দিয়েছি//অতি নীচে//সব নীচুর"
            },
            {
              "number": 6104,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6104.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6104.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6104.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6104.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ فَلَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍۢ",
              "translate_bn": "কিন্তু যারা বিশ্বাস স্থাপন করেছে ও সৎকর্ম করেছে, তাদের জন্যে রয়েছে অশেষ পুরস্কার।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা আ-মানূওয়া‘আমিলুসসা-লিহা-তি ফালাহুম আজরুন গাইরু মামনূন।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//فَلَهُمْ/فَلَهُمۡ/falahum//اَجْرٌ/أَجۡرٌ/ajrun//غَیْرُ/غَيۡرُ/ghayru//مَمْنُوْنٍؕ/مَمۡنُونٖ/mamnunin",
              "words_bangla": "(তবে) ব্যতিক্রম//(তাদের) যারা//ঈমান এনেছে//এবং করেছে//সৎকর্ম//তাদের জন্য (রয়েছে)//প্রতিফল//অশেষ//অশেষ"
            },
            {
              "number": 6105,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6105.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6105.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6105.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6105.mp3"
              ],
              "text": "فَمَا يُكَذِّبُكَ بَعْدُ بِٱلدِّينِ",
              "translate_bn": "অতঃপর কেন তুমি অবিশ্বাস করছ কেয়ামতকে?",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফামা-ইউকাযযি বুকা বা‘দুবিদ্দীন।",
              "words_arabic": "فَمَا/فَمَا/fama//یُكَذِّبُكَ/يُكَذِّبُكَ/yukadhibuka//بَعْدُ/بَعۡدُ/ba'du//بِالدِّیْنِؕ/بِٱلدِّينِ/bil-dini",
              "words_bangla": "সুতরাং কিসে//তোমাকে অস্বীকার করায়//এরপরে//বিচার দিনের ব্যাপারে"
            },
            {
              "number": 6106,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6106.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6106.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6106.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6106.mp3"
              ],
              "text": "أَلَيْسَ ٱللَّهُ بِأَحْكَمِ ٱلْحَٰكِمِينَ",
              "translate_bn": "আল্লাহ কি বিচারকদের মধ্যে শ্রেষ্টতম বিচারক নন?",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 537,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আলাইছাল্লা-হু বিআহকামিল হা-কিমীন।",
              "words_arabic": "اَلَیْسَ/أَلَيۡسَ/alaysa//اللّٰهُ/ٱللَّهُ/al-lahu//بِاَحْكَمِ/بِأَحۡكَمِ/bi-ahkami//الْحٰكِمِیْنَ۠/ٱلۡحَٰكِمِينَ/al-hakimina",
              "words_bangla": "নন কি//আল্লাহ//শ্রেষ্ঠ বিচারক//সব বিচারকের"
            }
          ]
        },
        {
          "number": 96,
          "name": "سُورَةُ العَلَقِ",
          "englishName": "Al-Alaq",
          "englishNameTranslation": "The Clot",
          "revelationType": "Meccan",
          "verse": 19,
          "words": 134,
          "chars": 557,
          "ayahs": [
            {
              "number": 6107,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6107.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6107.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6107.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6107.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱقْرَأْ بِٱسْمِ رَبِّكَ ٱلَّذِى خَلَقَ",
              "translate_bn": "পাঠ করুন আপনার পালনকর্তার নামে যিনি সৃষ্টি করেছেন",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইকরা বিছমি রাব্বিকাল্লাযী খালাক।",
              "words_arabic": "اِقْرَاْ/ٱقۡرَأۡ/iq'ra//بِاسْمِ/بِٱسۡمِ/bi-is'mi//رَبِّكَ/رَبِّكَ/rabbika//الَّذِیْ/ٱلَّذِي/alladhi//خَلَقَۚ/خَلَقَ/khalaqa",
              "words_bangla": "(হে নবী) পড়//নামে//তোমার রবের//যিনি//সৃষ্টি করেছেন"
            },
            {
              "number": 6108,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6108.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6108.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6108.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6108.mp3"
              ],
              "text": "خَلَقَ ٱلْإِنسَٰنَ مِنْ عَلَقٍ",
              "translate_bn": "সৃষ্টি করেছেন মানুষকে জমাট রক্ত থেকে।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "খালাকাল ইনছা-না মিন ‘আলাক।",
              "words_arabic": "خَلَقَ/خَلَقَ/khalaqa//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مِنْ/مِنۡ/min//عَلَقٍۚ/عَلَقٍ/alaqin",
              "words_bangla": "সৃষ্টি করেছেন//মানুষকে//থেকে//জমাট রক্তপিণ্ড"
            },
            {
              "number": 6109,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6109.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6109.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6109.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6109.mp3"
              ],
              "text": "ٱقْرَأْ وَرَبُّكَ ٱلْأَكْرَمُ",
              "translate_bn": "পাঠ করুন, আপনার পালনকর্তা মহা দয়ালু,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইকরা’ ওয়া রাব্বুকাল আকরাম",
              "words_arabic": "اِقْرَاْ/ٱقۡرَأۡ/iq'ra//وَ رَبُّكَ/وَرَبُّكَ/warabbuka//الْاَكْرَمُۙ/ٱلۡأَكۡرَمُ/al-akramu",
              "words_bangla": "পড়//আর তোমার রব//বড়ই অনুগ্রহশীল"
            },
            {
              "number": 6110,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6110.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6110.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6110.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6110.mp3"
              ],
              "text": "ٱلَّذِى عَلَّمَ بِٱلْقَلَمِ",
              "translate_bn": "যিনি কলমের সাহায্যে শিক্ষা দিয়েছেন,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "অল্লাযী ‘আল্লামা বিলকালাম।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//عَلَّمَ/عَلَّمَ/allama//بِالْقَلَمِۙ/بِٱلۡقَلَمِ/bil-qalami",
              "words_bangla": "যিনি//শিখিয়েছেন//কলম দিয়ে"
            },
            {
              "number": 6111,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6111.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6111.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6111.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6111.mp3"
              ],
              "text": "عَلَّمَ ٱلْإِنسَٰنَ مَا لَمْ يَعْلَمْ",
              "translate_bn": "শিক্ষা দিয়েছেন মানুষকে যা সে জানত না।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "‘আল্লামাল ইনছা-না-মা-লাম ইয়া‘লাম।",
              "words_arabic": "عَلَّمَ/عَلَّمَ/allama//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//مَا/مَا/ma//لَمْ/لَمۡ/lam//یَعْلَمْؕ/يَعۡلَمۡ/ya'lam",
              "words_bangla": "শিখিয়েছেন//মানুষকে (এমন জ্ঞান)//যা//না//সে জানতো"
            },
            {
              "number": 6112,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6112.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6112.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6112.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6112.mp3"
              ],
              "text": "كَلَّآ إِنَّ ٱلْإِنسَٰنَ لَيَطْغَىٰٓ",
              "translate_bn": "সত্যি সত্যি মানুষ সীমালংঘন করে,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "কাল্লাইন্নাল ইনছা-না লাইয়াতগা।",
              "words_arabic": "كَلَّاۤ/كَلَّآ/kalla//اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لَیَطْغٰۤیۙ/لَيَطۡغَىٰٓ/layatgha",
              "words_bangla": "কখনও নয়//নিশ্চয়ই//মানুষ//অবশ্যই সীমালঙ্ঘন করে"
            },
            {
              "number": 6113,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6113.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6113.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6113.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6113.mp3"
              ],
              "text": "أَن رَّءَاهُ ٱسْتَغْنَىٰٓ",
              "translate_bn": "এ কারণে যে, সে নিজেকে অভাবমুক্ত মনে করে।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আররাআ-হুছ তাগনা-।",
              "words_arabic": "اَنْ/أَن/an//رَّاٰهُ/رَّءَاهُ/raahu//اسْتَغْنٰیؕ/ٱسۡتَغۡنَىٰٓ/is'taghna",
              "words_bangla": "(এ কারণে) যে//নিজেকে মনে করে//অভাবমুক্ত"
            },
            {
              "number": 6114,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6114.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6114.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6114.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6114.mp3"
              ],
              "text": "إِنَّ إِلَىٰ رَبِّكَ ٱلرُّجْعَىٰٓ",
              "translate_bn": "নিশ্চয় আপনার পালনকর্তার দিকেই প্রত্যাবর্তন হবে।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্না ইলা-রাব্বিকার রুজ‘আ-।",
              "words_arabic": "اِنَّ/إِنَّ/inna//اِلٰی/إِلَىٰ/ila//رَبِّكَ/رَبِّكَ/rabbika//الرُّجْعٰیؕ/ٱلرُّجۡعَىٰٓ/al-ruj'a",
              "words_bangla": "নিশ্চয়ই//কাছে//তোমার রবের//প্রত্যাবর্তন হবে"
            },
            {
              "number": 6115,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6115.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6115.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6115.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6115.mp3"
              ],
              "text": "أَرَءَيْتَ ٱلَّذِى يَنْهَىٰ",
              "translate_bn": "আপনি কি তাকে দেখেছেন, যে নিষেধ করে",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আরাআইতাল্লাযী ইয়ানহা-",
              "words_arabic": "اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//الَّذِیْ/ٱلَّذِي/alladhi//یَنْهٰیۙ/يَنۡهَىٰ/yanha",
              "words_bangla": "তুমি দেখেছ কি//(তাকে) যে//বাধা দেয়"
            },
            {
              "number": 6116,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6116.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6116.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6116.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6116.mp3"
              ],
              "text": "عَبْدًا إِذَا صَلَّىٰٓ",
              "translate_bn": "এক বান্দাকে যখন সে নামায পড়ে?",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "‘আবদান ইযা-সাল্লা-।",
              "words_arabic": "عَبْدًا/عَبۡدًا/abdan//اِذَا/إِذَا/idha//صَلّٰیؕ/صَلَّىٰٓ/salla",
              "words_bangla": "এক বান্দাকে//যখন//সে সালাত পড়ে"
            },
            {
              "number": 6117,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6117.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6117.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6117.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6117.mp3"
              ],
              "text": "أَرَءَيْتَ إِن كَانَ عَلَى ٱلْهُدَىٰٓ",
              "translate_bn": "আপনি কি দেখেছেন যদি সে সৎপথে থাকে।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আরাআইতা ইন কা-না ‘আলাল হুদা।",
              "words_arabic": "اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//اِنْ/إِن/in//كَانَ/كَانَ/kana//عَلَی/عَلَى/ala//الْهُدٰۤیۙ/ٱلۡهُدَىٰٓ/al-huda",
              "words_bangla": "তুমি (ভেবে) দেখেছ কি//যদি//সে হয়//উপর//সঠিক পথের"
            },
            {
              "number": 6118,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6118.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6118.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6118.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6118.mp3"
              ],
              "text": "أَوْ أَمَرَ بِٱلتَّقْوَىٰٓ",
              "translate_bn": "অথবা খোদাভীতি শিক্ষা দেয়।",
              "numberInSurah": 12,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আও আমারা বিত্তাকাওয়া-।",
              "words_arabic": "اَوْ/أَوۡ/aw//اَمَرَ/أَمَرَ/amara//بِالتَّقْوٰیؕ/بِٱلتَّقۡوَىٰٓ/bil-taqwa",
              "words_bangla": "অথবা//নির্দেশ দেয়//তাকওয়ার"
            },
            {
              "number": 6119,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6119.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6119.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6119.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6119.mp3"
              ],
              "text": "أَرَءَيْتَ إِن كَذَّبَ وَتَوَلَّىٰٓ",
              "translate_bn": "আপনি কি দেখেছেন, যদি সে মিথ্যারোপ করে ও মুখ ফিরিয়ে নেয়।",
              "numberInSurah": 13,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আরাআইতা ইন কাযযাবা ওয়া তাওয়াল্লা-।",
              "words_arabic": "اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//اِنْ/إِن/in//كَذَّبَ/كَذَّبَ/kadhaba//وَ تَوَلّٰیؕ/وَتَوَلَّىٰٓ/watawalla",
              "words_bangla": "তুমি (ভেবে) দেখেছ কি//যদি//সে মিথ্যা আরোপ করে//ও মুখ ফিরায় (কি পরিণাম হবে)"
            },
            {
              "number": 6120,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6120.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6120.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6120.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6120.mp3"
              ],
              "text": "أَلَمْ يَعْلَم بِأَنَّ ٱللَّهَ يَرَىٰ",
              "translate_bn": "সে কি জানে না যে, আল্লাহ দেখেন?",
              "numberInSurah": 14,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়া‘লাম বিআন্নাল্লা-হা ইয়ারা-।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَعْلَمْ/يَعۡلَم/ya'lam//بِاَنَّ/بِأَنَّ/bi-anna//اللّٰهَ/ٱللَّهَ/al-laha//یَرٰیؕ/يَرَىٰ/yara",
              "words_bangla": "নাকি//সে জানে//যে//আল্লাহ//দেখেন (সব কিছু)"
            },
            {
              "number": 6121,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6121.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6121.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6121.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6121.mp3"
              ],
              "text": "كَلَّا لَئِن لَّمْ يَنتَهِ لَنَسْفَعًۢا بِٱلنَّاصِيَةِ",
              "translate_bn": "কখনই নয়, যদি সে বিরত না হয়, তবে আমি মস্তকের সামনের কেশগুচ্ছ ধরে হেঁচড়াবই-",
              "numberInSurah": 15,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-লাইল্লাম ইয়ানতাহি লানাছফা‘আম বিন্না-সিয়াহ।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//لَىِٕنْ/لَئِن/la-in//لَّمْ/لَّمۡ/lam//یَنْتَهِ ۙ۬/يَنتَهِ/yantahi//لَنَسْفَعًۢا/لَنَسۡفَعَۢا/lanasfa'an//بِالنَّاصِیَةِۙ/بِٱلنَّاصِيَةِ/bil-nasiyati",
              "words_bangla": "সাবধান//অবশ্যই যদি//না//সে বিরত হয়//আমরা অবশ্যই টানবো//মাথার সামনের চুল ধরে"
            },
            {
              "number": 6122,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6122.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6122.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6122.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6122.mp3"
              ],
              "text": "نَاصِيَةٍۢ كَٰذِبَةٍ خَاطِئَةٍۢ",
              "translate_bn": "মিথ্যাচারী, পাপীর কেশগুচ্ছ।",
              "numberInSurah": 16,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "না-সিয়াতিন কা-যিবাতিন খা-তিআহ।",
              "words_arabic": "نَاصِیَةٍ/نَاصِيَةٖ/nasiyatin//كَاذِبَةٍ/كَٰذِبَةٍ/kadhibatin//خَاطِئَةٍۚ/خَاطِئَةٖ/khati-atin",
              "words_bangla": "সামনের চুল (টানবো)//মিথ্যুকের//পাপীর"
            },
            {
              "number": 6123,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6123.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6123.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6123.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6123.mp3"
              ],
              "text": "فَلْيَدْعُ نَادِيَهُۥ",
              "translate_bn": "অতএব, সে তার সভাসদদেরকে আহবান করুক।",
              "numberInSurah": 17,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফালইয়াদ‘উ নাদিয়াহ,",
              "words_arabic": "فَلْیَدْعُ/فَلۡيَدۡعُ/falyad'u//نَادِیَهٗۙ/نَادِيَهُۥ/nadiyahu",
              "words_bangla": "অতএব সে যেন ডাকে//তার দোসরদেরকে"
            },
            {
              "number": 6124,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6124.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6124.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6124.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6124.mp3"
              ],
              "text": "سَنَدْعُ ٱلزَّبَانِيَةَ",
              "translate_bn": "আমিও আহবান করব জাহান্নামের প্রহরীদেরকে",
              "numberInSurah": 18,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ছানাদ‘উঝঝাবা-নিয়াহ।",
              "words_arabic": "سَنَدْعُ/سَنَدۡعُ/sanad'u//الزَّبَانِیَةَۙ/ٱلزَّبَانِيَةَ/al-zabaniyata",
              "words_bangla": "আমরা শীঘ্র ডাকবো//জাহান্নামের প্রহরীদেরকে"
            },
            {
              "number": 6125,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6125.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6125.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6125.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6125.mp3"
              ],
              "text": "كَلَّا لَا تُطِعْهُ وَٱسْجُدْ وَٱقْتَرِب ۩",
              "translate_bn": "কখনই নয়, আপনি তার আনুগত্য করবেন না। আপনি সেজদা করুন ও আমার নৈকট্য অর্জন করুন।",
              "numberInSurah": 19,
              "juz": 30,
              "manzil": 7,
              "page": 597,
              "ruku": 538,
              "hizbQuarter": 239,
              "sajda": {
                "id": 15,
                "recommended": false,
                "obligatory": true
              },
              "pronunciation_bn": "কাল্লা- লা-তুতি‘হু ওয়াছজু দ ওয়াকতারিব (ছিজদাহ-১৪)।",
              "words_arabic": "كَلَّا ؕ/كَلَّا/kalla//لَا/لَا/la//تُطِعْهُ/تُطِعۡهُ/tuti'hu//وَ اسْجُدْ/وَٱسۡجُدۡۤ/wa-us'jud//وَ اقْتَرِبْ۠۩/وَٱقۡتَرِب۩/wa-iq'tarib",
              "words_bangla": "কখনও নয় (সাবধান)//না//তাকে অনুসরণ করো//এবং তুমি সিজদা করো//ও নৈকট্য লাভ করো (তোমার রবের)"
            }
          ]
        },
        {
          "number": 97,
          "name": "سُورَةُ القَدۡرِ",
          "englishName": "Al-Qadr",
          "englishNameTranslation": "The Power, Fate",
          "revelationType": "Meccan",
          "verse": 5,
          "words": 56,
          "chars": 237,
          "ayahs": [
            {
              "number": 6126,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6126.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6126.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6126.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6126.mp3"
              ],
              "text": "بِّسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِنَّآ أَنزَلْنَٰهُ فِى لَيْلَةِ ٱلْقَدْرِ",
              "translate_bn": "আমি একে নাযিল করেছি শবে-কদরে।",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 539,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআনঝালনা-হু ফী লাইলাতিল কাদর।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَنْزَلْنٰهُ/أَنزَلۡنَٰهُ/anzalnahu//فِیْ/فِي/fi//لَیْلَةِ/لَيۡلَةِ/laylati//الْقَدْرِۚۖ/ٱلۡقَدۡرِ/al-qadri",
              "words_bangla": "নিশ্চয়ই//তা আমরা অবতীর্ণ করেছি//মধ্যে//রাতের//কদরের/ মহিমার"
            },
            {
              "number": 6127,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6127.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6127.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6127.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6127.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا لَيْلَةُ ٱلْقَدْرِ",
              "translate_bn": "শবে-কদর সমন্ধে আপনি কি জানেন?",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 539,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা-মা-লাইলাতুল কাদর।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//لَیْلَةُ/لَيۡلَةُ/laylatu//الْقَدْرِؕ/ٱلۡقَدۡرِ/al-qadri",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//কি সেই//রাত//কদরের"
            },
            {
              "number": 6128,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6128.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6128.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6128.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6128.mp3"
              ],
              "text": "لَيْلَةُ ٱلْقَدْرِ خَيْرٌۭ مِّنْ أَلْفِ شَهْرٍۢ",
              "translate_bn": "শবে-কদর হল এক হাজার মাস অপেক্ষা শ্রেষ্ঠ।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 539,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "লাইলাতুল কাদরি খাইরুম মিন আলফি শাহর।",
              "words_arabic": "لَیْلَةُ/لَيۡلَةُ/laylatu//الْقَدْرِ ۙ۬/ٱلۡقَدۡرِ/al-qadri//خَیْرٌ/خَيۡرٞ/khayrun//مِّنْ/مِّنۡ/min//اَلْفِ/أَلۡفِ/alfi//شَهْرٍؕؔ/شَهۡرٖ/shahrin",
              "words_bangla": "রাত//কদরের//শ্রেষ্ঠ//হতেও//হাজার//মাস"
            },
            {
              "number": 6129,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6129.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6129.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6129.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6129.mp3"
              ],
              "text": "تَنَزَّلُ ٱلْمَلَٰٓئِكَةُ وَٱلرُّوحُ فِيهَا بِإِذْنِ رَبِّهِم مِّن كُلِّ أَمْرٍۢ",
              "translate_bn": "এতে প্রত্যেক কাজের জন্যে ফেরেশতাগণ ও রূহ অবতীর্ণ হয় তাদের পালনকর্তার নির্দেশক্রমে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 539,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "তানাঝঝালুল মালাইকাতুওয়াররুহু ফীহা-বিইযনি রাব্বিহিম মিন কুল্লি আমর।",
              "words_arabic": "تَنَزَّلُ/تَنَزَّلُ/tanazzalu//الْمَلٰٓىِٕكَةُ/ٱلۡمَلَـٰٓئِكَةُ/al-malaikatu//وَ الرُّوْحُ/وَٱلرُّوحُ/wal-ruhu//فِیْهَا/فِيهَا/fiha//بِاِذْنِ/بِإِذۡنِ/bi-idh'ni//رَبِّهِمْ ۚ/رَبِّهِم/rabbihim//مِنْ/مِّن/min//كُلِّ/كُلِّ/kulli//اَمْرٍۙۛ/أَمۡرٖ/amrin",
              "words_bangla": "অবতীর্ণ হয়//ফেরেশতারা//এবং রূহ (জিব্রাঈল)//তার মধ্যে//অনুমতিক্রমে//তাদের রবের//প্রত্যেক//সব//কাজে"
            },
            {
              "number": 6130,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6130.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6130.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6130.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6130.mp3"
              ],
              "text": "سَلَٰمٌ هِىَ حَتَّىٰ مَطْلَعِ ٱلْفَجْرِ",
              "translate_bn": "এটা নিরাপত্তা, যা ফজরের উদয় পর্যন্ত অব্যাহত থাকে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 539,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ছালা-মুন ( ϣ ϊ)হিয়া হাত্তা-মাতলা‘ইল ফাজর।",
              "words_arabic": "سَلٰمٌ ۛ۫/سَلَٰمٌ/salamun//هِیَ/هِيَ/hiya//حَتّٰی/حَتَّىٰ/hatta//مَطْلَعِ/مَطۡلَعِ/matla'i//الْفَجْرِ۠/ٱلۡفَجۡرِ/al-fajri",
              "words_bangla": "শান্তির//সেই (রাত)//পর্যন্ত//উদয়//ঊষার"
            }
          ]
        },
        {
          "number": 98,
          "name": "سُورَةُ البَيِّنَةِ",
          "englishName": "Al-Bayyina",
          "englishNameTranslation": "The Evidence",
          "revelationType": "Medinan",
          "verse": 8,
          "words": 169,
          "chars": 822,
          "ayahs": [
            {
              "number": 6131,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6131.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6131.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6131.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6131.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ لَمْ يَكُنِ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَٰبِ وَٱلْمُشْرِكِينَ مُنفَكِّينَ حَتَّىٰ تَأْتِيَهُمُ ٱلْبَيِّنَةُ",
              "translate_bn": "আহলে-কিতাব ও মুশরেকদের মধ্যে যারা কাফের ছিল, তারা প্রত্যাবর্তন করত না যতক্ষণ না তাদের কাছে সুস্পষ্ট প্রমাণ আসত।",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "লাম ইয়াকুনিল্লাযীনা কাফারূমিন আহলিল কিতা-বি ওয়াল মুশরিকীনা মুনফাক্কীনা হাত্তাতা’তিয়াহুমুল বাইয়িনাহ।",
              "words_arabic": "لَمْ/لَمۡ/lam//یَكُنِ/يَكُنِ/yakuni//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ الْمُشْرِكِیْنَ/وَٱلۡمُشۡرِكِينَ/wal-mush'rikina//مُنْفَكِّیْنَ/مُنفَكِّينَ/munfakkina//حَتّٰی/حَتَّىٰ/hatta//تَاْتِیَهُمُ/تَأۡتِيَهُمُ/tatiyahumu//الْبَیِّنَةُۙ/ٱلۡبَيِّنَةُ/al-bayinatu",
              "words_bangla": "না//ছিল (প্রস্তুত)//যারা//কুফরি করেছে//মধ্য হতে//অধিকারী//কিতাবের//এবং মুশরিকদের (মধ্য হতে)//(কুফরী হতে) বিরত//যতক্ষণ না//তাদের কাছে আসবে//অকাট্য প্রমাণ (অর্থাৎ)"
            },
            {
              "number": 6132,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6132.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6132.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6132.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6132.mp3"
              ],
              "text": "رَسُولٌۭ مِّنَ ٱللَّهِ يَتْلُوا۟ صُحُفًۭا مُّطَهَّرَةًۭ",
              "translate_bn": "অর্থাৎ আল্লাহর একজন রসূল, যিনি আবৃত্তি করতেন পবিত্র সহীফা,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "রাছূলুম মিনাল্লা-হি ইয়াতলূসুহুফাম মুতাহহারাহ।",
              "words_arabic": "رَسُوْلٌ/رَسُولٞ/rasulun//مِّنَ/مِّنَ/mina//اللّٰهِ/ٱللَّهِ/al-lahi//یَتْلُوْا/يَتۡلُواْ/yatlu//صُحُفًا/صُحُفٗا/suhufan//مُّطَهَّرَةًۙ/مُّطَهَّرَةٗ/mutahharatan",
              "words_bangla": "একজন রাসূল//পক্ষ হতে//আল্লাহর//যে আবৃত্তি করবে//সহীফাসমূহ//পবিত্র"
            },
            {
              "number": 6133,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6133.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6133.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6133.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6133.mp3"
              ],
              "text": "فِيهَا كُتُبٌۭ قَيِّمَةٌۭ",
              "translate_bn": "যাতে আছে, সঠিক বিষয়বস্তু।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফীহা-কুতুবুন কাইয়িমাহ।",
              "words_arabic": "فِیْهَا/فِيهَا/fiha//كُتُبٌ/كُتُبٞ/kutubun//قَیِّمَةٌؕ/قَيِّمَةٞ/qayyimatun",
              "words_bangla": "তার মধ্যে (থাকবে)//বিধানাবলী//সঠিক"
            },
            {
              "number": 6134,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6134.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6134.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6134.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6134.mp3"
              ],
              "text": "وَمَا تَفَرَّقَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَٰبَ إِلَّا مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَةُ",
              "translate_bn": "অপর কিতাব প্রাপ্তরা যে বিভ্রান্ত হয়েছে, তা হয়েছে তাদের কাছে সুস্পষ্ট প্রমাণ আসার পরেই।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়ামা- তাফাররাকাল্লাযীনা ঊতুলকিতা-বা ইল্লা- মিম বা‘দি মা- জাআতহুমুল বাইয়িনাহ।",
              "words_arabic": "وَ مَا/وَمَا/wama//تَفَرَّقَ/تَفَرَّقَ/tafarraqa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اُوْتُوا/أُوتُواْ/utu//الْكِتٰبَ/ٱلۡكِتَٰبَ/al-kitaba//اِلَّا/إِلَّا/illa//مِنْۢ/مِنۢ/min//بَعْدِ/بَعۡدِ/ba'di//مَا/مَا/ma//جَآءَتْهُمُ/جَآءَتۡهُمُ/jaathumu//الْبَیِّنَةُؕ/ٱلۡبَيِّنَةُ/al-bayinatu",
              "words_bangla": "এবং না//বিভেদে লিপ্ত হয়েছে//(তারা) যাদের//দেয়া হয়েছিল//কিতাব//তবে//থেকে//পরে//যা//তাদের কাছে এসেছিল//সুস্পষ্ট প্রমাণ"
            },
            {
              "number": 6135,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6135.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6135.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6135.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6135.mp3"
              ],
              "text": "وَمَآ أُمِرُوٓا۟ إِلَّا لِيَعْبُدُوا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ حُنَفَآءَ وَيُقِيمُوا۟ ٱلصَّلَوٰةَ وَيُؤْتُوا۟ ٱلزَّكَوٰةَ ۚ وَذَٰلِكَ دِينُ ٱلْقَيِّمَةِ",
              "translate_bn": "তাদেরকে এছাড়া কোন নির্দেশ করা হয়নি যে, তারা খাঁটি মনে একনিষ্ঠভাবে আল্লাহর এবাদত করবে, নামায কায়েম করবে এবং যাকাত দেবে। এটাই সঠিক ধর্ম।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাউমিরূইল্লা-লিয়া‘বুদুল্লা-হা মুখলিসীনা লাহুদ্দীনা হুনাফাআ ওয়া ইউকীমুসসালা-তা ওয়া ইউ’তুঝঝাকা-তা ওয়া যা-লিকা দীনুল কাইয়িমাহ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اُمِرُوْۤا/أُمِرُوٓاْ/umiru//اِلَّا/إِلَّا/illa//لِیَعْبُدُوا/لِيَعۡبُدُواْ/liya'budu//اللّٰهَ/ٱللَّهَ/al-laha//مُخْلِصِیْنَ/مُخۡلِصِينَ/mukh'lisina//لَهُ/لَهُ/lahu//الدِّیْنَ ۙ۬/ٱلدِّينَ/al-dina//حُنَفَآءَ/حُنَفَآءَ/hunafaa//وَ یُقِیْمُوا/وَيُقِيمُواْ/wayuqimu//الصَّلٰوةَ/ٱلصَّلَوٰةَ/al-salata//وَ یُؤْتُوا/وَيُؤۡتُواْ/wayu'tu//الزَّكٰوةَ/ٱلزَّكَوٰةَۚ/al-zakata//وَ ذٰلِكَ/وَذَٰلِكَ/wadhalika//دِیْنُ/دِينُ/dinu//الْقَیِّمَةِؕ/ٱلۡقَيِّمَةِ/al-qayimati",
              "words_bangla": "এবং না//তারা আদিষ্ট হয়েছে//এ ছাড়া যে//তারা ইবাদত করুক//আল্লাহর//একনিষ্ঠভাবে//তাঁরই জন্যে//আনুগত্যকে//খাঁটি মনে//এবং তারা কায়েম করবে//সালাত//ও তারা দেবে//যাকাত//এবং এটাই//দীন//সঠিক"
            },
            {
              "number": 6136,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6136.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6136.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6136.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6136.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَٰبِ وَٱلْمُشْرِكِينَ فِى نَارِ جَهَنَّمَ خَٰلِدِينَ فِيهَآ ۚ أُو۟لَٰٓئِكَ هُمْ شَرُّ ٱلْبَرِيَّةِ",
              "translate_bn": "আহলে-কিতাব ও মুশরেকদের মধ্যে যারা কাফের, তারা জাহান্নামের আগুনে স্থায়ীভাবে থাকবে। তারাই সৃষ্টির অধম।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা কাফারূমিন আহলিল কিতা-বি ওয়াল মুশরিকীনা ফী না-রি জাহান্নামা খা-লিদীনা ফীহা- উলাইকা হুম শাররুল বারিইইয়াহ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//كَفَرُوْا/كَفَرُواْ/kafaru//مِنْ/مِنۡ/min//اَهْلِ/أَهۡلِ/ahli//الْكِتٰبِ/ٱلۡكِتَٰبِ/al-kitabi//وَ الْمُشْرِكِیْنَ/وَٱلۡمُشۡرِكِينَ/wal-mush'rikina//فِیْ/فِي/fi//نَارِ/نَارِ/nari//جَهَنَّمَ/جَهَنَّمَ/jahannama//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَا ؕ/فِيهَآۚ/fiha//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمْ/هُمۡ/hum//شَرُّ/شَرُّ/sharru//الْبَرِیَّةِؕ/ٱلۡبَرِيَّةِ/al-bariyati",
              "words_bangla": "নিশ্চয়ই//যারা//কুফরি করেছে//মধ্য হতে//অধিকারী//কিতাবের//এবং মুশরিকদের//মধ্যে (থাকবে)//আগুনের//জাহান্নামের//চিরস্থায়ী (হবে)//তার মধ্যে//ঐসব লোক//তারাই//অধম//সৃষ্টির"
            },
            {
              "number": 6137,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6137.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6137.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6137.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6137.mp3"
              ],
              "text": "إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ أُو۟لَٰٓئِكَ هُمْ خَيْرُ ٱلْبَرِيَّةِ",
              "translate_bn": "যারা ঈমান আনে ও সৎকর্ম করে, তারাই সৃষ্টির সেরা।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 598,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি উলাইকা হুম খাইরুল বারিইইয়াহ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ ۙ/ٱلصَّـٰلِحَٰتِ/al-salihati//اُولٰٓىِٕكَ/أُوْلَـٰٓئِكَ/ulaika//هُمْ/هُمۡ/hum//خَیْرُ/خَيۡرُ/khayru//الْبَرِیَّةِؕ/ٱلۡبَرِيَّةِ/al-bariyati",
              "words_bangla": "নিশ্চয়ই//যারা//ঈমান এনেছে//এবং করেছে//সৎকাজ//ঐসব লোক//তারাই//সেরা//সৃষ্টির"
            },
            {
              "number": 6138,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6138.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6138.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6138.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6138.mp3"
              ],
              "text": "جَزَآؤُهُمْ عِندَ رَبِّهِمْ جَنَّٰتُ عَدْنٍۢ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَٰرُ خَٰلِدِينَ فِيهَآ أَبَدًۭا ۖ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ ذَٰلِكَ لِمَنْ خَشِىَ رَبَّهُۥ",
              "translate_bn": "তাদের পালনকর্তার কাছে রয়েছে তাদের প্রতিদান চিরকাল বসবাসের জান্নাত, যার তলদেশে নির্ঝরিণী প্রবাহিত। তারা সেখানে থাকবে অনন্তকাল। আল্লাহ তাদের প্রতি সন্তুষ্ট এবং তারা আল্লাহর প্রতি সন্তুষ্ট। এটা তার জন্যে, যে তার পালনকর্তাকে ভয় কর।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 540,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "জাঝাউহুম ‘ইনদা রাব্বিহিম জান্না-তু‘আদনিন তাজরী মিন তাহতিহাল আনহা-রু খা-লিদীনা ফীহাআবাদার রাদিয়াল্লা-হু ‘আনহুম ওয়া রাদূ ‘আনহু যা-লিকা লিমান খাশিয়া রাব্বাহ।",
              "words_arabic": "جَزَآؤُهُمْ/جَزَآؤُهُمۡ/jazauhum//عِنْدَ/عِندَ/inda//رَبِّهِمْ/رَبِّهِمۡ/rabbihim//جَنّٰتُ/جَنَّـٰتُ/jannatu//عَدْنٍ/عَدۡنٖ/adnin//تَجْرِیْ/تَجۡرِي/tajri//مِنْ/مِن/min//تَحْتِهَا/تَحۡتِهَا/tahtiha//الْاَنْهٰرُ/ٱلۡأَنۡهَٰرُ/al-anharu//خٰلِدِیْنَ/خَٰلِدِينَ/khalidina//فِیْهَاۤ/فِيهَآ/fiha//اَبَدًا ؕ/أَبَدٗاۖ/abadan//رَضِیَ/رَّضِيَ/radiya//اللّٰهُ/ٱللَّهُ/al-lahu//عَنْهُمْ/عَنۡهُمۡ/anhum//وَ رَضُوْا/وَرَضُواْ/waradu//عَنْهُ ؕ/عَنۡهُۚ/anhu//ذٰلِكَ/ذَٰلِكَ/dhalika//لِمَنْ/لِمَنۡ/liman//خَشِیَ/خَشِيَ/khashiya//رَبَّهٗ۠/رَبَّهُۥ/rabbahu",
              "words_bangla": "তাদের পুরস্কার (রয়েছে)//কাছে//তাদের রবের//জান্নাত//চিরস্থায়ী//প্রবাহিত হয়//দিয়ে//তার তলদেশ//ঝর্ণা ধারা//চিরস্থায়ী হবে//তার মধ্যে//সর্বদা//সন্তুষ্ট হয়েছেন//আল্লাহ্‌//তাদের প্রতি//এবং তারা সন্তুষ্ট হয়েছে//তাঁর প্রতি//এটা//তাঁর জন্যে যে//ভয় করে//তার রবকে"
            }
          ]
        },
        {
          "number": 99,
          "name": "سُورَةُ الزَّلۡزَلَةِ",
          "englishName": "Az-Zalzala",
          "englishNameTranslation": "The Earthquake",
          "revelationType": "Medinan",
          "verse": 8,
          "words": 75,
          "chars": 319,
          "ayahs": [
            {
              "number": 6139,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6139.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6139.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6139.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6139.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا زُلْزِلَتِ ٱلْأَرْضُ زِلْزَالَهَا",
              "translate_bn": "যখন পৃথিবী তার কম্পনে প্রকম্পিত হবে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইযা-ঝুলঝিলাতিল আরদুঝিলঝা-লাহা-।",
              "words_arabic": "اِذَا/إِذَا/idha//زُلْزِلَتِ/زُلۡزِلَتِ/zul'zilati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//زِلْزَالَهَاۙ/زِلۡزَالَهَا/zil'zalaha",
              "words_bangla": "যখন//প্রকম্পিত হবে//পৃথিবী//তার (ভীষণ) কম্পনে"
            },
            {
              "number": 6140,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6140.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6140.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6140.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6140.mp3"
              ],
              "text": "وَأَخْرَجَتِ ٱلْأَرْضُ أَثْقَالَهَا",
              "translate_bn": "যখন সে তার বোঝা বের করে দেবে।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া আখরাজাতিল আরদুআছকা-লাহা-।",
              "words_arabic": "وَ اَخْرَجَتِ/وَأَخۡرَجَتِ/wa-akhrajati//الْاَرْضُ/ٱلۡأَرۡضُ/al-ardu//اَثْقَالَهَاۙ/أَثۡقَالَهَا/athqalaha",
              "words_bangla": "এবং বের করবে//পৃথিবী//বোঝাগুলোকে তার"
            },
            {
              "number": 6141,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6141.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6141.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6141.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6141.mp3"
              ],
              "text": "وَقَالَ ٱلْإِنسَٰنُ مَا لَهَا",
              "translate_bn": "এবং মানুষ বলবে, এর কি হল ?",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া কা-লাল ইনছা-নুমা-লাহা-।",
              "words_arabic": "وَ قَالَ/وَقَالَ/waqala//الْاِنْسَانُ/ٱلۡإِنسَٰنُ/al-insanu//مَا/مَا/ma//لَهَاۚ/لَهَا/laha",
              "words_bangla": "এবং বলবে//মানুষ//\"কি//হয়েছে তার\""
            },
            {
              "number": 6142,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6142.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6142.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6142.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6142.mp3"
              ],
              "text": "يَوْمَئِذٍۢ تُحَدِّثُ أَخْبَارَهَا",
              "translate_bn": "সেদিন সে তার বৃত্তান্ত বর্ণনা করবে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমাইযিন তুহাদ্দিছু আখবা-রাহা-।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//تُحَدِّثُ/تُحَدِّثُ/tuhaddithu//اَخْبَارَهَاۙ/أَخۡبَارَهَا/akhbaraha",
              "words_bangla": "সেদিন//সে বর্ণনা করবে//তার বৃত্তান্ত"
            },
            {
              "number": 6143,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6143.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6143.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6143.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6143.mp3"
              ],
              "text": "بِأَنَّ رَبَّكَ أَوْحَىٰ لَهَا",
              "translate_bn": "কারণ, আপনার পালনকর্তা তাকে আদেশ করবেন।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "বিআন্না রাব্বাকা আওহা-লাহা-।",
              "words_arabic": "بِاَنَّ/بِأَنَّ/bi-anna//رَبَّكَ/رَبَّكَ/rabbaka//اَوْحٰی/أَوۡحَىٰ/awha//لَهَاؕ/لَهَا/laha",
              "words_bangla": "কেননা//তোমার রব//আদেশ করবেন (এইরূপ করার)//তাকে"
            },
            {
              "number": 6144,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6144.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6144.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6144.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6144.mp3"
              ],
              "text": "يَوْمَئِذٍۢ يَصْدُرُ ٱلنَّاسُ أَشْتَاتًۭا لِّيُرَوْا۟ أَعْمَٰلَهُمْ",
              "translate_bn": "সেদিন মানুষ বিভিন্ন দলে প্রকাশ পাবে, যাতে তাদেরকে তাদের কৃতকর্ম দেখানো হয়।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমাইযিইঁ ইয়াসদুরুন্না-ছুআশতা-তাল লিউউরাও আ‘মা-লাহুম।",
              "words_arabic": "یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//یَّصْدُرُ/يَصۡدُرُ/yasduru//النَّاسُ/ٱلنَّاسُ/al-nasu//اَشْتَاتًا ۙ۬/أَشۡتَاتٗا/ashtatan//لِّیُرَوْا/لِّيُرَوۡاْ/liyuraw//اَعْمَالَهُمْؕ/أَعۡمَٰلَهُمۡ/a'malahum",
              "words_bangla": "সেদিন//বের হবে//মানুষ//দলে দলে ভাগ হয়ে//দেখানোর জন্য//তাদের কৃতকর্মকে"
            },
            {
              "number": 6145,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6145.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6145.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6145.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6145.mp3"
              ],
              "text": "فَمَن يَعْمَلْ مِثْقَالَ ذَرَّةٍ خَيْرًۭا يَرَهُۥ",
              "translate_bn": "অতঃপর কেউ অণু পরিমাণ সৎকর্ম করলে তা দেখতে পাবে",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফামাইঁ ইয়া‘মাল মিছকা-লা যাররাতিন খাইরাইঁ ইয়ারাহ।",
              "words_arabic": "فَمَنْ/فَمَن/faman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//مِثْقَالَ/مِثۡقَالَ/mith'qala//ذَرَّةٍ/ذَرَّةٍ/dharratin//خَیْرًا/خَيۡرٗا/khayran//یَّرَهٗؕ/يَرَهُۥ/yarahu",
              "words_bangla": "অতঃপর যে//করবে//পরিমাণ//অণু//সৎকর্ম//সে তা দেখবে"
            },
            {
              "number": 6146,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6146.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6146.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6146.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6146.mp3"
              ],
              "text": "وَمَن يَعْمَلْ مِثْقَالَ ذَرَّةٍۢ شَرًّۭا يَرَهُۥ",
              "translate_bn": "এবং কেউ অণু পরিমাণ অসৎকর্ম করলে তাও দেখতে পাবে।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 541,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া মাইঁ ইয়া‘মাল মিছকা-লা যাররাতিন শাররাইঁ ইয়ারাহ।",
              "words_arabic": "وَ مَنْ/وَمَن/waman//یَّعْمَلْ/يَعۡمَلۡ/ya'mal//مِثْقَالَ/مِثۡقَالَ/mith'qala//ذَرَّةٍ/ذَرَّةٖ/dharratin//شَرًّا/شَرّٗا/sharran//یَّرَهٗ۠/يَرَهُۥ/yarahu",
              "words_bangla": "এবং যে//করবে//পরিমাণ//অণু//অসৎকর্ম//সে তা  দেখবে"
            }
          ]
        },
        {
          "number": 100,
          "name": "سُورَةُ العَادِيَاتِ",
          "englishName": "Al-Aadiyaat",
          "englishNameTranslation": "The Chargers",
          "revelationType": "Meccan",
          "verse": 11,
          "words": 83,
          "chars": 373,
          "ayahs": [
            {
              "number": 6147,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6147.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6147.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6147.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6147.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلْعَٰدِيَٰتِ ضَبْحًۭا",
              "translate_bn": "শপথ উর্ধ্বশ্বাসে চলমান অশ্বসমূহের,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ‘আ-দিয়া-তি দাবহা-।",
              "words_arabic": "وَ الْعٰدِیٰتِ/وَٱلۡعَٰدِيَٰتِ/wal-'adiyati//ضَبْحًاۙ/ضَبۡحٗا/dabhan",
              "words_bangla": "শপথ ধাবমান (ঘোড়াগুলোর)//(যারা দৌঁড়ায়) উর্ধ্বশ্বাসে"
            },
            {
              "number": 6148,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6148.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6148.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6148.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6148.mp3"
              ],
              "text": "فَٱلْمُورِيَٰتِ قَدْحًۭا",
              "translate_bn": "অতঃপর ক্ষুরাঘাতে অগ্নিবিচ্ছুরক অশ্বসমূহের",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাল মূরিয়া-তি কাদহা-।",
              "words_arabic": "فَالْمُوْرِیٰتِ/فَٱلۡمُورِيَٰتِ/fal-muriyati//قَدْحًاۙ/قَدۡحٗا/qadhan",
              "words_bangla": "অতঃপর যারা বিচ্ছুরিত করে//(ক্ষুরাঘাতে) আগুনের ফুলকি"
            },
            {
              "number": 6149,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6149.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6149.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6149.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6149.mp3"
              ],
              "text": "فَٱلْمُغِيرَٰتِ صُبْحًۭا",
              "translate_bn": "অতঃপর প্রভাতকালে আক্রমণকারী অশ্বসমূহের",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাল মুগীরা-তি সুবহা-।",
              "words_arabic": "فَالْمُغِیْرٰتِ/فَٱلۡمُغِيرَٰتِ/fal-mughirati//صُبْحًاۙ/صُبۡحٗا/sub'han",
              "words_bangla": "অতঃপর যারা অভিযান চালায়//প্রভাতে"
            },
            {
              "number": 6150,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6150.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6150.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6150.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6150.mp3"
              ],
              "text": "فَأَثَرْنَ بِهِۦ نَقْعًۭا",
              "translate_bn": "ও যারা সে সময়ে ধুলি উৎক্ষিপ্ত করে",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাআছারনা বিহী নাক‘আ-।",
              "words_arabic": "فَاَثَرْنَ/فَأَثَرۡنَ/fa-atharna//بِهٖ/بِهِۦ/bihi//نَقْعًاۙ/نَقۡعٗا/naq'an",
              "words_bangla": "অতঃপর উড়ায়//এভাবে//ধুলোবালি"
            },
            {
              "number": 6151,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6151.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6151.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6151.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6151.mp3"
              ],
              "text": "فَوَسَطْنَ بِهِۦ جَمْعًا",
              "translate_bn": "অতঃপর যারা শক্রদলের অভ্যন্তরে ঢুকে পড়ে-",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াছাতানা বিহী জাম‘আ-।",
              "words_arabic": "فَوَسَطْنَ/فَوَسَطۡنَ/fawasatna//بِهٖ/بِهِۦ/bihi//جَمْعًاۙ/جَمۡعًا/jam'an",
              "words_bangla": "অতঃপর (ঢুকে পড়ে) অভ্যন্তরে//এভাবে//(শত্রু)দলে"
            },
            {
              "number": 6152,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6152.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6152.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6152.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6152.mp3"
              ],
              "text": "إِنَّ ٱلْإِنسَٰنَ لِرَبِّهِۦ لَكَنُودٌۭ",
              "translate_bn": "নিশ্চয় মানুষ তার পালনকর্তার প্রতি অকৃতজ্ঞ।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল ইনছা-না লিরাব্বিহী লাকানূদ।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لِرَبِّهٖ/لِرَبِّهِۦ/lirabbihi//لَكَنُوْدٌۚ/لَكَنُودٞ/lakanudun",
              "words_bangla": "নিশ্চয়ই//মানুষ//তার রবের প্রতি//অবশ্যই অকৃতজ্ঞ"
            },
            {
              "number": 6153,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6153.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6153.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6153.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6153.mp3"
              ],
              "text": "وَإِنَّهُۥ عَلَىٰ ذَٰلِكَ لَشَهِيدٌۭ",
              "translate_bn": "এবং সে অবশ্য এ বিষয়ে অবহিত",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূ‘আলা-যা-লিকা লাশাহীদ।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//عَلٰی/عَلَىٰ/ala//ذٰلِكَ/ذَٰلِكَ/dhalika//لَشَهِیْدٌۚ/لَشَهِيدٞ/lashahidun",
              "words_bangla": "এবং সে নিশ্চয়ই//বিষয়ে//এর//অবশ্যই সাক্ষী"
            },
            {
              "number": 6154,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6154.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6154.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6154.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6154.mp3"
              ],
              "text": "وَإِنَّهُۥ لِحُبِّ ٱلْخَيْرِ لَشَدِيدٌ",
              "translate_bn": "এবং সে নিশ্চিতই ধন-সম্পদের ভালবাসায় মত্ত।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 239,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইন্নাহূলিহুব্বিল খাইরি লাশাদীদ।",
              "words_arabic": "وَ اِنَّهٗ/وَإِنَّهُۥ/wa-innahu//لِحُبِّ/لِحُبِّ/lihubbi//الْخَیْرِ/ٱلۡخَيۡرِ/al-khayri//لَشَدِیْدٌؕ/لَشَدِيدٌ/lashadidun",
              "words_bangla": "এবং নিশ্চয়ই সে//মহব্বতের ক্ষেত্রে//ধন-সম্পদের//বড়ই প্রবল"
            },
            {
              "number": 6155,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6155.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6155.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6155.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6155.mp3"
              ],
              "text": "۞ أَفَلَا يَعْلَمُ إِذَا بُعْثِرَ مَا فِى ٱلْقُبُورِ",
              "translate_bn": "সে কি জানে না, যখন কবরে যা আছে, তা উত্থিত হবে",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 599,
              "ruku": 542,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আফালা-ইয়া‘লামুইযা-বু‘ছিরা মা-ফিল কুবূর।",
              "words_arabic": "اَفَلَا/۞أَفَلَا/afala//یَعْلَمُ/يَعۡلَمُ/ya'lamu//اِذَا/إِذَا/idha//بُعْثِرَ/بُعۡثِرَ/bu'thira//مَا/مَا/ma//فِی/فِي/fi//الْقُبُوْرِۙ/ٱلۡقُبُورِ/al-quburi",
              "words_bangla": "তবে কি না//সে জানে//যখন//উঠানো হবে//যা কিছু//মধ্যে আছে//কবরগুলোর"
            },
            {
              "number": 6156,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6156.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6156.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6156.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6156.mp3"
              ],
              "text": "وَحُصِّلَ مَا فِى ٱلصُّدُورِ",
              "translate_bn": "এবং অন্তরে যা আছে, তা অর্জন করা হবে?",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 542,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া হুসসিলা মা-ফিসসুদূর,",
              "words_arabic": "وَ حُصِّلَ/وَحُصِّلَ/wahussila//مَا/مَا/ma//فِی/فِي/fi//الصُّدُوْرِۙ/ٱلصُّدُورِ/al-suduri",
              "words_bangla": "এবং প্রকাশ করা হবে//যা কিছু//মধ্যে আছে//অন্তরসমূহের"
            },
            {
              "number": 6157,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6157.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6157.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6157.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6157.mp3"
              ],
              "text": "إِنَّ رَبَّهُم بِهِمْ يَوْمَئِذٍۢ لَّخَبِيرٌۢ",
              "translate_bn": "সেদিন তাদের কি হবে, সে সম্পর্কে তাদের পালনকর্তা সবিশেষ জ্ঞাত।",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 542,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইন্না রাব্বাহুম বিহিম ইয়াওমাইযিল্লাখাবীর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//رَبَّهُمْ/رَبَّهُم/rabbahum//بِهِمْ/بِهِمۡ/bihim//یَوْمَىِٕذٍ/يَوۡمَئِذٖ/yawma-idhin//لَّخَبِیْرٌ۠/لَّخَبِيرُۢ/lakhabirun",
              "words_bangla": "নিশ্চয়ই//তাদের রব//তাদের সাথে//সেদিন//অবশ্যই তা ভালো করেই জানেন"
            }
          ]
        },
        {
          "number": 101,
          "name": "سُورَةُ القَارِعَةِ",
          "englishName": "Al-Qaari'a",
          "englishNameTranslation": "The Calamity",
          "revelationType": "Meccan",
          "verse": 11,
          "words": 86,
          "chars": 343,
          "ayahs": [
            {
              "number": 6158,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6158.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6158.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6158.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6158.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ ٱلْقَارِعَةُ",
              "translate_bn": "করাঘাতকারী,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল কা-রি‘আহ ।",
              "words_arabic": "اَلْقَارِعَةُۙ/ٱلۡقَارِعَةُ/al-qari'atu",
              "words_bangla": "মহাপ্রলয়"
            },
            {
              "number": 6159,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6159.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6159.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6159.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6159.mp3"
              ],
              "text": "مَا ٱلْقَارِعَةُ",
              "translate_bn": "করাঘাতকারী কি?",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মাল কা-রি‘আহ।",
              "words_arabic": "مَا/مَا/ma//الْقَارِعَةُۚ/ٱلۡقَارِعَةُ/al-qari'atu",
              "words_bangla": "কি সেই//মহাপ্রলয়"
            },
            {
              "number": 6160,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6160.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6160.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6160.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6160.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا ٱلْقَارِعَةُ",
              "translate_bn": "করাঘাতকারী সম্পর্কে আপনি কি জানেন ?",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মাল কা-রি‘আহ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//الْقَارِعَةُؕ/ٱلۡقَارِعَةُ/al-qari'atu",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//মহাপ্রলয়//ভয়াবহ দুর্ঘটনা"
            },
            {
              "number": 6161,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6161.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6161.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6161.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6161.mp3"
              ],
              "text": "يَوْمَ يَكُونُ ٱلنَّاسُ كَٱلْفَرَاشِ ٱلْمَبْثُوثِ",
              "translate_bn": "যেদিন মানুষ হবে বিক্ষিপ্ত পতংগের মত",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইয়াওমা ইয়াকূনুন্না-ছুকাল ফারা-শিল মাবছূছ।",
              "words_arabic": "یَوْمَ/يَوۡمَ/yawma//یَكُوْنُ/يَكُونُ/yakunu//النَّاسُ/ٱلنَّاسُ/al-nasu//كَالْفَرَاشِ/كَٱلۡفَرَاشِ/kal-farashi//الْمَبْثُوْثِۙ/ٱلۡمَبۡثُوثِ/al-mabthuthi",
              "words_bangla": "সেদিন//হবে//মানুষ//পতঙ্গের মতো//বিক্ষিপ্ত"
            },
            {
              "number": 6162,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6162.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6162.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6162.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6162.mp3"
              ],
              "text": "وَتَكُونُ ٱلْجِبَالُ كَٱلْعِهْنِ ٱلْمَنفُوشِ",
              "translate_bn": "এবং পর্বতমালা হবে ধুনিত রঙ্গীন পশমের মত।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া তাকূনুল জিবা-লুকাল‘ইহনিল মানফূশ।",
              "words_arabic": "وَ تَكُوْنُ/وَتَكُونُ/watakunu//الْجِبَالُ/ٱلۡجِبَالُ/al-jibalu//كَالْعِهْنِ/كَٱلۡعِهۡنِ/kal-'ih'ni//الْمَنْفُوْشِؕ/ٱلۡمَنفُوشِ/al-manfushi",
              "words_bangla": "এবং হবে//পাহাড়সমূহ//রঙিন পশমের মতো//ধুনিত"
            },
            {
              "number": 6163,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6163.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6163.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6163.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6163.mp3"
              ],
              "text": "فَأَمَّا مَن ثَقُلَتْ مَوَٰزِينُهُۥ",
              "translate_bn": "অতএব যার পাল্লা ভারী হবে,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাআম্মা-মান ছাকুলাত মাওয়া-ঝীনুহূ।",
              "words_arabic": "فَاَمَّا/فَأَمَّا/fa-amma//مَنْ/مَن/man//ثَقُلَتْ/ثَقُلَتۡ/thaqulat//مَوَازِیْنُهٗۙ/مَوَٰزِينُهُۥ/mawazinuhu",
              "words_bangla": "অতঃপর তার (ব্যাপার)//যার//ভারী হবে//তার (পূণ্যের) পাল্লাসমূহ"
            },
            {
              "number": 6164,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6164.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6164.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6164.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6164.mp3"
              ],
              "text": "فَهُوَ فِى عِيشَةٍۢ رَّاضِيَةٍۢ",
              "translate_bn": "সে সুখীজীবন যাপন করবে।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাহুওয়া ফী ‘ঈশাতির রা-দিয়াহ।",
              "words_arabic": "فَهُوَ/فَهُوَ/fahuwa//فِیْ/فِي/fi//عِیْشَةٍ/عِيشَةٖ/ishatin//رَّاضِیَةٍؕ/رَّاضِيَةٖ/radiyatin",
              "words_bangla": "সে অতঃপর থাকবে//মধ্যে//জীবনের//সন্তোষজনক"
            },
            {
              "number": 6165,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6165.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6165.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6165.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6165.mp3"
              ],
              "text": "وَأَمَّا مَنْ خَفَّتْ مَوَٰزِينُهُۥ",
              "translate_bn": "আর যার পাল্লা হালকা হবে,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া আম্মা-মান খাফফাত মাওয়াঝীনুহূ",
              "words_arabic": "وَ اَمَّا/وَأَمَّا/wa-amma//مَنْ/مَنۡ/man//خَفَّتْ/خَفَّتۡ/khaffat//مَوَازِیْنُهٗۙ/مَوَٰزِينُهُۥ/mawazinuhu",
              "words_bangla": "আর (তার) ব্যাপার//যার//হালকা হবে//তার পাল্লাসমূহ নেকীর"
            },
            {
              "number": 6166,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6166.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6166.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6166.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6166.mp3"
              ],
              "text": "فَأُمُّهُۥ هَاوِيَةٌۭ",
              "translate_bn": "তার ঠিকানা হবে হাবিয়া।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাউম্মুহূহা-বিইয়াহ।",
              "words_arabic": "فَاُمُّهٗ/فَأُمُّهُۥ/fa-ummuhu//هَاوِیَةٌؕ/هَاوِيَةٞ/hawiyatun",
              "words_bangla": "অতঃপর তার বাসস্থান//গভীর গর্ত হবে"
            },
            {
              "number": 6167,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6167.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6167.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6167.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6167.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا هِيَهْ",
              "translate_bn": "আপনি জানেন তা কি?",
              "numberInSurah": 10,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মা-হিয়াহ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//هِیَهْؕ/هِيَهۡ/hiyah",
              "words_bangla": "এবং কিসে//তোমাকে জানাবে//কি//সেটা"
            },
            {
              "number": 6168,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6168.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6168.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6168.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6168.mp3"
              ],
              "text": "نَارٌ حَامِيَةٌۢ",
              "translate_bn": "প্রজ্জ্বলিত অগ্নি!",
              "numberInSurah": 11,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 543,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "না-রুন হা-মিয়াহ।",
              "words_arabic": "نَارٌ/نَارٌ/narun//حَامِیَةٌ۠/حَامِيَةُۢ/hamiyatun",
              "words_bangla": "(সেটা হলো) আগুন//গণগণে"
            }
          ]
        },
        {
          "number": 102,
          "name": "سُورَةُ التَّكَاثُرِ",
          "englishName": "At-Takaathur",
          "englishNameTranslation": "Competition",
          "revelationType": "Meccan",
          "verse": 8,
          "words": 60,
          "chars": 259,
          "ayahs": [
            {
              "number": 6169,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6169.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6169.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6169.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6169.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ أَلْهَىٰكُمُ ٱلتَّكَاثُرُ",
              "translate_bn": "প্রাচুর্যের লালসা তোমাদেরকে গাফেল রাখে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আলহা-কুমুত্তাকা-ছু র।",
              "words_arabic": "اَلْهٰىكُمُ/أَلۡهَىٰكُمُ/alhakumu//التَّكَاثُرُۙ/ٱلتَّكَاثُرُ/al-takathuru",
              "words_bangla": "তোমাদের মোহাচ্ছন্ন করে রেখেছে//প্রাচুর্যের প্রতিযোগিতা"
            },
            {
              "number": 6170,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6170.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6170.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6170.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6170.mp3"
              ],
              "text": "حَتَّىٰ زُرْتُمُ ٱلْمَقَابِرَ",
              "translate_bn": "এমনকি, তোমরা কবরস্থানে পৌছে যাও।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "হাত্তা-ঝুরতুমুল মাকা-বির।",
              "words_arabic": "حَتّٰی/حَتَّىٰ/hatta//زُرْتُمُ/زُرۡتُمُ/zur'tumu//الْمَقَابِرَؕ/ٱلۡمَقَابِرَ/al-maqabira",
              "words_bangla": "যতক্ষণ না//তোমরা উপস্থিত হও//কবরসমূহে"
            },
            {
              "number": 6171,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6171.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6171.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6171.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6171.mp3"
              ],
              "text": "كَلَّا سَوْفَ تَعْلَمُونَ",
              "translate_bn": "এটা কখনও উচিত নয়। তোমরা সত্ত্বরই জেনে নেবে।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-ছাওফা তা‘লামূন।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//سَوْفَ/سَوۡفَ/sawfa//تَعْلَمُوْنَۙ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "এটা সঙ্গত নয়//শীঘ্রই//তোমরা জানবে"
            },
            {
              "number": 6172,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6172.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6172.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6172.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6172.mp3"
              ],
              "text": "ثُمَّ كَلَّا سَوْفَ تَعْلَمُونَ",
              "translate_bn": "অতঃপর এটা কখনও উচিত নয়। তোমরা সত্ত্বরই জেনে নেবে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা কাল্লা-ছাওফা তা‘লামূন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//كَلَّا/كَلَّا/kalla//سَوْفَ/سَوۡفَ/sawfa//تَعْلَمُوْنَؕ/تَعۡلَمُونَ/ta'lamuna",
              "words_bangla": "আবার বলি//এটা সঙ্গত নয়//শীঘ্রই//তোমরা জানবে"
            },
            {
              "number": 6173,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6173.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6173.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6173.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6173.mp3"
              ],
              "text": "كَلَّا لَوْ تَعْلَمُونَ عِلْمَ ٱلْيَقِينِ",
              "translate_bn": "কখনই নয়; যদি তোমরা নিশ্চিত জানতে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-লাও তা‘লামূনা ‘ইলমাল ইয়াকীন।",
              "words_arabic": "كَلَّا/كَلَّا/kalla//لَوْ/لَوۡ/law//تَعْلَمُوْنَ/تَعۡلَمُونَ/ta'lamuna//عِلْمَ/عِلۡمَ/il'ma//الْیَقِیْنِؕ/ٱلۡيَقِينِ/al-yaqini",
              "words_bangla": "সাবধান!//যদি//তোমরা জানতে//জ্ঞানে//নিশ্চিত"
            },
            {
              "number": 6174,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6174.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6174.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6174.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6174.mp3"
              ],
              "text": "لَتَرَوُنَّ ٱلْجَحِيمَ",
              "translate_bn": "তোমরা অবশ্যই জাহান্নাম দেখবে,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "লাতারাউন্নাল জাহীমা",
              "words_arabic": "لَتَرَوُنَّ/لَتَرَوُنَّ/latarawunna//الْجَحِیْمَۙ/ٱلۡجَحِيمَ/al-jahima",
              "words_bangla": "অবশ্যই তোমরা দেখবে//দোযখ"
            },
            {
              "number": 6175,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6175.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6175.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6175.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6175.mp3"
              ],
              "text": "ثُمَّ لَتَرَوُنَّهَا عَيْنَ ٱلْيَقِينِ",
              "translate_bn": "অতঃপর তোমরা তা অবশ্যই দেখবে দিব্য প্রত্যয়ে,",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লাতারাউন্নাহা-‘আইনাল ইয়াকীন।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَتَرَوُنَّهَا/لَتَرَوُنَّهَا/latarawunnaha//عَیْنَ/عَيۡنَ/ayna//الْیَقِیْۙنِ/ٱلۡيَقِينِ/al-yaqini",
              "words_bangla": "আবার (শুনো)//অবশ্যই তা তোমরা দেখবে//চোখে//প্রত্যয়"
            },
            {
              "number": 6176,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6176.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6176.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6176.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6176.mp3"
              ],
              "text": "ثُمَّ لَتُسْـَٔلُنَّ يَوْمَئِذٍ عَنِ ٱلنَّعِيمِ",
              "translate_bn": "এরপর অবশ্যই সেদিন তোমরা নেয়ামত সম্পর্কে জিজ্ঞাসিত হবে।",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 600,
              "ruku": 544,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ছু ম্মা লাতুছআলুন্না ইয়াওমাইযিন ‘আনিন্না‘ঈম।",
              "words_arabic": "ثُمَّ/ثُمَّ/thumma//لَتُسْـَٔلُنَّ/لَتُسۡـَٔلُنَّ/latus'alunna//یَوْمَىِٕذٍ/يَوۡمَئِذٍ/yawma-idhin//عَنِ/عَنِ/ani//النَّعِیْمِ۠/ٱلنَّعِيمِ/al-na'imi",
              "words_bangla": "পরে//অবশ্যই তোমাদের জিজ্ঞেস করা হবেই//সেদিন//সম্পর্কে//নিয়ামতসমূহ"
            }
          ]
        },
        {
          "number": 103,
          "name": "سُورَةُ العَصۡرِ",
          "englishName": "Al-Asr",
          "englishNameTranslation": "The Declining Day, Epoch",
          "revelationType": "Meccan",
          "verse": 3,
          "words": 29,
          "chars": 132,
          "ayahs": [
            {
              "number": 6177,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6177.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6177.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6177.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6177.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَٱلْعَصْرِ",
              "translate_bn": "কসম যুগের (সময়ের),",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 545,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়াল ‘আসর।",
              "words_arabic": "وَ الْعَصْرِۙ/وَٱلۡعَصۡرِ/wal-'asri",
              "words_bangla": "শপথ মহাকালের"
            },
            {
              "number": 6178,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6178.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6178.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6178.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6178.mp3"
              ],
              "text": "إِنَّ ٱلْإِنسَٰنَ لَفِى خُسْرٍ",
              "translate_bn": "নিশ্চয় মানুষ ক্ষতিগ্রস্ত;",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 545,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইন্নাল ইনছা-না লাফী খুছর।",
              "words_arabic": "اِنَّ/إِنَّ/inna//الْاِنْسَانَ/ٱلۡإِنسَٰنَ/al-insana//لَفِیْ/لَفِي/lafi//خُسْرٍۙ/خُسۡرٍ/khus'rin",
              "words_bangla": "নিশ্চয়ই//মানুষ//অবশ্যই মধ্যে//ক্ষতির"
            },
            {
              "number": 6179,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6179.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6179.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6179.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6179.mp3"
              ],
              "text": "إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّٰلِحَٰتِ وَتَوَاصَوْا۟ بِٱلْحَقِّ وَتَوَاصَوْا۟ بِٱلصَّبْرِ",
              "translate_bn": "কিন্তু তারা নয়, যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে এবং পরস্পরকে তাকীদ করে সত্যের এবং তাকীদ করে সবরের।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 545,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইল্লাল্লাযীনা আ-মানূওয়া ‘আমিলুসসা-লিহা-তি ওয়া তাওয়া-সাওবিল হাক্কি ওয়া তাওয়া-সাও বিসসাবরি।",
              "words_arabic": "اِلَّا/إِلَّا/illa//الَّذِیْنَ/ٱلَّذِينَ/alladhina//اٰمَنُوْا/ءَامَنُواْ/amanu//وَ عَمِلُوا/وَعَمِلُواْ/wa'amilu//الصّٰلِحٰتِ/ٱلصَّـٰلِحَٰتِ/al-salihati//وَ تَوَاصَوْا/وَتَوَاصَوۡاْ/watawasaw//بِالْحَقِّ ۙ۬/بِٱلۡحَقِّ/bil-haqi//وَ تَوَاصَوْا/وَتَوَاصَوۡاْ/watawasaw//بِالصَّبْ۠رِ/بِٱلصَّبۡرِ/bil-sabri",
              "words_bangla": "(তাদের) ছাড়া//যারা//ঈমান এনেছে//এবং করেছে//সৎকর্মের//এবং পরস্পরকে উপদেশ দিয়েছে//সত্যের//ও পরস্পরকে উপদেশ দিয়েছে//ধৈর্যের"
            }
          ]
        },
        {
          "number": 104,
          "name": "سُورَةُ الهُمَزَةِ",
          "englishName": "Al-Humaza",
          "englishNameTranslation": "The Traducer",
          "revelationType": "Meccan",
          "verse": 9,
          "words": 66,
          "chars": 297,
          "ayahs": [
            {
              "number": 6180,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6180.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6180.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6180.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6180.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ وَيْلٌۭ لِّكُلِّ هُمَزَةٍۢ لُّمَزَةٍ",
              "translate_bn": "প্রত্যেক পশ্চাতে ও সম্মুখে পরনিন্দাকারীর দুর্ভোগ,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়াইলুলিলকুল্লি হুমাঝাতিল লুমাঝাহ ।",
              "words_arabic": "وَیْلٌ/وَيۡلٞ/waylun//لِّكُلِّ/لِّكُلِّ/likulli//هُمَزَةٍ/هُمَزَةٖ/humazatin//لُّمَزَةِۙ/لُّمَزَةٍ/lumazatin",
              "words_bangla": "দুর্ভোগ//প্রত্যেকের//সামনে নিন্দাকারীর//পিছনে দোষ প্রচারকারীর"
            },
            {
              "number": 6181,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6181.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6181.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6181.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6181.mp3"
              ],
              "text": "ٱلَّذِى جَمَعَ مَالًۭا وَعَدَّدَهُۥ",
              "translate_bn": "যে অর্থ সঞ্চিত করে ও গণনা করে",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী জামা‘আ মা-লাওঁ‘ওয়া ‘আদ্দাদাহ।",
              "words_arabic": "لَّذِیْ/ٱلَّذِي/alladhi//جَمَعَ/جَمَعَ/jama'a//مَالًا/مَالٗا/malan//وَّ عَدَّدَهٗۙ/وَعَدَّدَهُۥ/wa'addadahu",
              "words_bangla": "যে//জমা করেছে//অর্থ//এবং তা বারবার গণনা করে রেখেছে"
            },
            {
              "number": 6182,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6182.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6182.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6182.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6182.mp3"
              ],
              "text": "يَحْسَبُ أَنَّ مَالَهُۥٓ أَخْلَدَهُۥ",
              "translate_bn": "সে মনে করে যে, তার অর্থ চিরকাল তার সাথে থাকবে!",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইয়াহছাবুআন্না মা-লাহূআখলাদাহ।",
              "words_arabic": "یَحْسَبُ/يَحۡسَبُ/yahsabu//اَنَّ/أَنَّ/anna//مَالَهٗۤ/مَالَهُۥٓ/malahu//اَخْلَدَهٗۚ/أَخۡلَدَهُۥ/akhladahu",
              "words_bangla": "সে ধারণা করে//যে//তার অর্থ//তাকে অমর করবে"
            },
            {
              "number": 6183,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6183.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6183.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6183.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6183.mp3"
              ],
              "text": "كَلَّا ۖ لَيُنۢبَذَنَّ فِى ٱلْحُطَمَةِ",
              "translate_bn": "কখনও না, সে অবশ্যই নিক্ষিপ্ত হবে পিষ্টকারীর মধ্যে।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কাল্লা-লাইউমবাযান্না ফিল হুতামাহ।",
              "words_arabic": "كَلَّا/كَلَّاۖ/kalla//لَیُنْۢبَذَنَّ/لَيُنۢبَذَنَّ/layunbadhanna//فِی/فِي/fi//الْحُطَمَةِؗۖ/ٱلۡحُطَمَةِ/al-hutamati",
              "words_bangla": "কখনও না//সে নিক্ষিপ্ত হবে অবশ্যই//মধ্যে//বিচূর্ণকারী স্থানের"
            },
            {
              "number": 6184,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6184.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6184.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6184.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6184.mp3"
              ],
              "text": "وَمَآ أَدْرَىٰكَ مَا ٱلْحُطَمَةُ",
              "translate_bn": "আপনি কি জানেন, পিষ্টকারী কি?",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ামাআদরা-কা মাল হুতামাহ।",
              "words_arabic": "وَ مَاۤ/وَمَآ/wama//اَدْرٰىكَ/أَدۡرَىٰكَ/adraka//مَا/مَا/ma//الْحُطَمَةُؕ/ٱلۡحُطَمَةُ/al-hutamatu",
              "words_bangla": "এবং কি//তোমাকে জানাবে//কি//বিচূর্ণকারী স্থান"
            },
            {
              "number": 6185,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6185.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6185.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6185.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6185.mp3"
              ],
              "text": "نَارُ ٱللَّهِ ٱلْمُوقَدَةُ",
              "translate_bn": "এটা আল্লাহর প্রজ্জ্বলিত অগ্নি,",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "না-রুল্লা-হিল মূকাদাহ",
              "words_arabic": "نَارُ/نَارُ/naru//اللّٰهِ/ٱللَّهِ/al-lahi//الْمُوْقَدَةُۙ/ٱلۡمُوقَدَةُ/al-muqadatu",
              "words_bangla": "আগুন//আল্লাহর//প্রজ্জ্বলিত"
            },
            {
              "number": 6186,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6186.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6186.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6186.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6186.mp3"
              ],
              "text": "ٱلَّتِى تَطَّلِعُ عَلَى ٱلْأَفْـِٔدَةِ",
              "translate_bn": "যা হৃদয় পর্যন্ত পৌছবে।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাতী তাত্তালি‘উ আলাল আফইদাহ।",
              "words_arabic": "الَّتِیْ/ٱلَّتِي/allati//تَطَّلِعُ/تَطَّلِعُ/tattali'u//عَلَی/عَلَى/ala//الْاَفْـِٕدَةِؕ/ٱلۡأَفۡـِٔدَةِ/al-afidati",
              "words_bangla": "যা//পৌঁছে যাবে//উপর//অন্তরসমূহের"
            },
            {
              "number": 6187,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6187.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6187.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6187.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6187.mp3"
              ],
              "text": "إِنَّهَا عَلَيْهِم مُّؤْصَدَةٌۭ",
              "translate_bn": "এতে তাদেরকে বেঁধে দেয়া হবে,",
              "numberInSurah": 8,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইন্নাহা-‘আলাইহিম মু’সাদাহ",
              "words_arabic": "اِنَّهَا/إِنَّهَا/innaha//عَلَیْهِمْ/عَلَيۡهِم/alayhim//مُّؤْصَدَةٌۙ/مُّؤۡصَدَةٞ/mu'sadatun",
              "words_bangla": "নিশ্চয়ই তা//তাদের উপর//অবরুদ্ধ করে দেয়া হবে"
            },
            {
              "number": 6188,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6188.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6188.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6188.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6188.mp3"
              ],
              "text": "فِى عَمَدٍۢ مُّمَدَّدَةٍۭ",
              "translate_bn": "লম্বা লম্বা খুঁটিতে।",
              "numberInSurah": 9,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 546,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফী ‘আমাদিম মুমাদ্দাদাহ ।",
              "words_arabic": "فِیْ/فِي/fi//عَمَدٍ/عَمَدٖ/amadin//مُّمَدَّدَةٍ۠/مُّمَدَّدَةِۭ/mumaddadatin",
              "words_bangla": "মধ্যে//স্তম্ভসমূহের//দীর্ঘায়িত"
            }
          ]
        },
        {
          "number": 105,
          "name": "سُورَةُ الفِيلِ",
          "englishName": "Al-Fil",
          "englishNameTranslation": "The Elephant",
          "revelationType": "Meccan",
          "verse": 5,
          "words": 46,
          "chars": 203,
          "ayahs": [
            {
              "number": 6189,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6189.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6189.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6189.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6189.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ أَلَمْ تَرَ كَيْفَ فَعَلَ رَبُّكَ بِأَصْحَٰبِ ٱلْفِيلِ",
              "translate_bn": "আপনি কি দেখেননি আপনার পালনকর্তা হস্তীবাহিনীর সাথে কিরূপ ব্যবহার করেছেন?",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 547,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আলাম তারা কাইফা ফা‘আলা রাব্বুকা বিআসহা-বিল ফীল।",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//تَرَ/تَرَ/tara//كَیْفَ/كَيۡفَ/kayfa//فَعَلَ/فَعَلَ/fa'ala//رَبُّكَ/رَبُّكَ/rabbuka//بِاَصْحٰبِ/بِأَصۡحَٰبِ/bi-ashabi//الْفِیْلِؕ/ٱلۡفِيلِ/al-fili",
              "words_bangla": "নাই কি//তুমি দেখো//কেমন//করেছেন//তোমার রব//বাহিনীর সাথে//হাতি"
            },
            {
              "number": 6190,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6190.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6190.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6190.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6190.mp3"
              ],
              "text": "أَلَمْ يَجْعَلْ كَيْدَهُمْ فِى تَضْلِيلٍۢ",
              "translate_bn": "তিনি কি তাদের চক্রান্ত নস্যাৎ করে দেননি?",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 547,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আলাম ইয়াজ‘আল কাইদাহুম ফী তাদলীল",
              "words_arabic": "اَلَمْ/أَلَمۡ/alam//یَجْعَلْ/يَجۡعَلۡ/yaj'al//كَیْدَهُمْ/كَيۡدَهُمۡ/kaydahum//فِیْ/فِي/fi//تَضْلِیْلٍۙ/تَضۡلِيلٖ/tadlilin",
              "words_bangla": "নাই কি//তিনি পরণত করে//তাদের ষড়যন্ত্রকে//মধ্যে//নিষ্ফলতার"
            },
            {
              "number": 6191,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6191.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6191.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6191.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6191.mp3"
              ],
              "text": "وَأَرْسَلَ عَلَيْهِمْ طَيْرًا أَبَابِيلَ",
              "translate_bn": "তিনি তাদের উপর প্রেরণ করেছেন ঝাঁকে ঝাঁকে পাখী,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 547,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া আরছালা ‘আলাইহিম তাইরান আবা-বীল।",
              "words_arabic": "وَّ اَرْسَلَ/وَأَرۡسَلَ/wa-arsala//عَلَیْهِمْ/عَلَيۡهِمۡ/alayhim//طَیْرًا/طَيۡرًا/tayran//اَبَابِیْلَۙ/أَبَابِيلَ/ababila",
              "words_bangla": "এবং পাঠিয়েছেন//তাদের বিরুদ্ধে//পাখি//ঝাঁকে ঝাঁকে"
            },
            {
              "number": 6192,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6192.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6192.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6192.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6192.mp3"
              ],
              "text": "تَرْمِيهِم بِحِجَارَةٍۢ مِّن سِجِّيلٍۢ",
              "translate_bn": "যারা তাদের উপর পাথরের কংকর নিক্ষেপ করছিল।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 547,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "তারমীহিম বিহিজা-রাতিম মিন ছিজ্জীল।",
              "words_arabic": "تَرْمِیْهِمْ/تَرۡمِيهِم/tarmihim//بِحِجَارَةٍ/بِحِجَارَةٖ/bihijaratin//مِّنْ/مِّن/min//سِجِّیْلٍ۪ۙ/سِجِّيلٖ/sijjilin",
              "words_bangla": "তাদের উপর নিক্ষেপ করে//পাথরসমূহকে//হতে//কংকরের"
            },
            {
              "number": 6193,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6193.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6193.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6193.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6193.mp3"
              ],
              "text": "فَجَعَلَهُمْ كَعَصْفٍۢ مَّأْكُولٍۭ",
              "translate_bn": "অতঃপর তিনি তাদেরকে ভক্ষিত তৃণসদৃশ করে দেন।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 601,
              "ruku": 547,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাজা‘আলাহুম কা‘আসফিম মা’কূল।",
              "words_arabic": "فَجَعَلَهُمْ/فَجَعَلَهُمۡ/faja'alahum//كَعَصْفٍ/كَعَصۡفٖ/ka'asfin//مَّاْكُوْلٍ۠/مَّأۡكُولِۭ/makulin",
              "words_bangla": "অতঃপর তিনি তাদের করে দেন//ভুসির মতো//খাওয়া/ভক্ষিত"
            }
          ]
        },
        {
          "number": 106,
          "name": "سُورَةُ قُرَيۡشٍ",
          "englishName": "Quraish",
          "englishNameTranslation": "Quraysh",
          "revelationType": "Meccan",
          "verse": 4,
          "words": 41,
          "chars": 186,
          "ayahs": [
            {
              "number": 6194,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6194.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6194.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6194.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6194.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ لِإِيلَٰفِ قُرَيْشٍ",
              "translate_bn": "কোরাইশের আসক্তির কারণে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 548,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "লিঈলা-ফি কুরাইশ।",
              "words_arabic": "لِاِیْلٰفِ/لِإِيلَٰفِ/liilafi//قُرَیْشٍۙ/قُرَيۡشٍ/qurayshin",
              "words_bangla": "যেহেতু আসক্তি আছে//কুরাইশদের"
            },
            {
              "number": 6195,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6195.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6195.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6195.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6195.mp3"
              ],
              "text": "إِۦلَٰفِهِمْ رِحْلَةَ ٱلشِّتَآءِ وَٱلصَّيْفِ",
              "translate_bn": "আসক্তির কারণে তাদের শীত ও গ্রীষ্মকালীন সফরের।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 548,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ঈলা-ফিহিম রিহলাতাশশিতাই ওয়াসসাঈফ।",
              "words_arabic": "اٖلٰفِهِمْ/إِۦلَٰفِهِمۡ/ilafihim//رِحْلَةَ/رِحۡلَةَ/rih'lata//الشِّتَآءِ/ٱلشِّتَآءِ/al-shitai//وَ الصَّیْفِۚ/وَٱلصَّيۡفِ/wal-sayfi",
              "words_bangla": "আসক্তি আছে//ভ্রমণে//শীতের//ও গ্রীষ্মের"
            },
            {
              "number": 6196,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6196.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6196.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6196.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6196.mp3"
              ],
              "text": "فَلْيَعْبُدُوا۟ رَبَّ هَٰذَا ٱلْبَيْتِ",
              "translate_bn": "অতএব তারা যেন এবাদত করে এই ঘরের পালনকর্তার",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 548,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফালইয়া‘বুদূরাব্বা হা-যাল বাঈত।",
              "words_arabic": "فَلْیَعْبُدُوْا/فَلۡيَعۡبُدُواْ/falya'budu//رَبَّ/رَبَّ/rabba//هٰذَا/هَٰذَا/hadha//الْبَیْتِۙ/ٱلۡبَيۡتِ/al-bayti",
              "words_bangla": "অতএব তারা ইবাদত করুক//রবের//এই//ঘরের"
            },
            {
              "number": 6197,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6197.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6197.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6197.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6197.mp3"
              ],
              "text": "ٱلَّذِىٓ أَطْعَمَهُم مِّن جُوعٍۢ وَءَامَنَهُم مِّنْ خَوْفٍۭ",
              "translate_bn": "যিনি তাদেরকে ক্ষুধায় আহার দিয়েছেন এবং যুদ্ধভীতি থেকে তাদেরকে নিরাপদ করেছেন।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 548,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীআতা‘আমাহুম মিন জূ‘ইওঁ ওয়া আ-মানাহুম মিন খাওফ।",
              "words_arabic": "الَّذِیْۤ/ٱلَّذِيٓ/alladhi//اَطْعَمَهُمْ/أَطۡعَمَهُم/at'amahum//مِّنْ/مِّن/min//جُوْعٍ ۙ۬/جُوعٖ/ju'in//وَّ اٰمَنَهُمْ/وَءَامَنَهُم/waamanahum//مِّنْ/مِّنۡ/min//خَوْفٍ۠/خَوۡفِۭ/khawfin",
              "words_bangla": "যিনি//তাদেরকে খাবার দিয়েছেন//হতে//ক্ষুধা//এবং তাদের নিরাপত্তা দিয়েছেন//হতে//ভয়"
            }
          ]
        },
        {
          "number": 107,
          "name": "سُورَةُ المَاعُونِ",
          "englishName": "Al-Maa'un",
          "englishNameTranslation": "Almsgiving",
          "revelationType": "Meccan",
          "verse": 7,
          "words": 52,
          "chars": 218,
          "ayahs": [
            {
              "number": 6198,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6198.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6198.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6198.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6198.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ أَرَءَيْتَ ٱلَّذِى يُكَذِّبُ بِٱلدِّينِ",
              "translate_bn": "আপনি কি দেখেছেন তাকে, যে বিচারদিবসকে মিথ্যা বলে?",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আরাআইতাল্লাযী ইউকাযযি বুবিদ্দীন।",
              "words_arabic": "اَرَءَیْتَ/أَرَءَيۡتَ/ara-ayta//الَّذِیْ/ٱلَّذِي/alladhi//یُكَذِّبُ/يُكَذِّبُ/yukadhibu//بِالدِّیْنِؕ/بِٱلدِّينِ/bil-dini",
              "words_bangla": "তুমি কি দেখেছ//(তাকে) যে//মিথ্যা অভিহিত করে//বিচার দিনকে"
            },
            {
              "number": 6199,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6199.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6199.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6199.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6199.mp3"
              ],
              "text": "فَذَٰلِكَ ٱلَّذِى يَدُعُّ ٱلْيَتِيمَ",
              "translate_bn": "সে সেই ব্যক্তি, যে এতীমকে গলা ধাক্কা দেয়",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাযা-লিকাল্লাযী ইয়াদু‘‘উল ইয়াতীম।",
              "words_arabic": "فَذٰلِكَ/فَذَٰلِكَ/fadhalika//الَّذِیْ/ٱلَّذِي/alladhi//یَدُعُّ/يَدُعُّ/yadu'u//الْیَتِیْمَۙ/ٱلۡيَتِيمَ/al-yatima",
              "words_bangla": "সে তো সে-ই//যে//ধাক্কা দেয়//ইয়াতিমকে"
            },
            {
              "number": 6200,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6200.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6200.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6200.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6200.mp3"
              ],
              "text": "وَلَا يَحُضُّ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ",
              "translate_bn": "এবং মিসকীনকে অন্ন দিতে উৎসাহিত করে না।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ালা-ইয়াহুদ্দু‘আলা-তা‘আ-মিল মিছকীন।",
              "words_arabic": "وَ لَا/وَلَا/wala//یَحُضُّ/يَحُضُّ/yahuddu//عَلٰی/عَلَىٰ/ala//طَعَامِ/طَعَامِ/ta'ami//الْمِسْكِیْنِؕ/ٱلۡمِسۡكِينِ/al-mis'kini",
              "words_bangla": "এবং না//উৎসাহিত করে//ব্যাপারে//খাদ্যদানের//অভাবগ্রস্তকে"
            },
            {
              "number": 6201,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6201.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6201.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6201.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6201.mp3"
              ],
              "text": "فَوَيْلٌۭ لِّلْمُصَلِّينَ",
              "translate_bn": "অতএব দুর্ভোগ সেসব নামাযীর,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাওয়াইঁলুলিলল মুসাল্লীন।",
              "words_arabic": "فَوَیْلٌ/فَوَيۡلٞ/fawaylun//لِّلْمُصَلِّیْنَۙ/لِّلۡمُصَلِّينَ/lil'musallina",
              "words_bangla": "অতএব দুর্ভোগ//(ঐসব) সালাত আদায়কারীদের জন্য"
            },
            {
              "number": 6202,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6202.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6202.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6202.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6202.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ عَن صَلَاتِهِمْ سَاهُونَ",
              "translate_bn": "যারা তাদের নামায সম্বন্ধে বে-খবর;",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনাহুম ‘আন সালা-তিহিমি ছা-হূন।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//عَنْ/عَن/an//صَلَاتِهِمْ/صَلَاتِهِمۡ/salatihim//سَاهُوْنَۙ/سَاهُونَ/sahuna",
              "words_bangla": "যাদের (বৈশিষ্ট্য হলো)//তারা//সম্বন্ধে//তাদের সালাত//উদাসীন"
            },
            {
              "number": 6203,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6203.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6203.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6203.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6203.mp3"
              ],
              "text": "ٱلَّذِينَ هُمْ يُرَآءُونَ",
              "translate_bn": "যারা তা লোক-দেখানোর জন্য করে",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাযীনা হুম ইউরাঊনা।",
              "words_arabic": "الَّذِیْنَ/ٱلَّذِينَ/alladhina//هُمْ/هُمۡ/hum//یُرَآءُوْنَۙ/يُرَآءُونَ/yurauna",
              "words_bangla": "যাদের (বৈশিষ্ট্য হলো)//তারা//লোকদেখানোর (কাজ করে)"
            },
            {
              "number": 6204,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6204.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6204.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6204.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6204.mp3"
              ],
              "text": "وَيَمْنَعُونَ ٱلْمَاعُونَ",
              "translate_bn": "এবং নিত্য ব্যবহার্য্য বস্তু অন্যকে দেয় না।",
              "numberInSurah": 7,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 549,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া ইয়ামনা‘ঊনাল মা-‘ঊন।",
              "words_arabic": "وَ یَمْنَعُوْنَ/وَيَمۡنَعُونَ/wayamna'una//الْمَاعُوْنَ۠/ٱلۡمَاعُونَ/al-ma'una",
              "words_bangla": "এবং দেওয়া হতে বিরত থাকে//সংসারের প্রয়োজনীয় ছোটখাটো জিনিসের"
            }
          ]
        },
        {
          "number": 108,
          "name": "سُورَةُ الكَوۡثَرِ",
          "englishName": "Al-Kawthar",
          "englishNameTranslation": "Abundance",
          "revelationType": "Meccan",
          "verse": 3,
          "words": 26,
          "chars": 108,
          "ayahs": [
            {
              "number": 6205,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6205.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6205.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6205.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6205.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِنَّآ أَعْطَيْنَٰكَ ٱلْكَوْثَرَ",
              "translate_bn": "নিশ্চয় আমি আপনাকে কাওসার দান করেছি।",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 550,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইন্নাআ‘তাইনা-কাল কাওছার।",
              "words_arabic": "اِنَّاۤ/إِنَّآ/inna//اَعْطَیْنٰكَ/أَعۡطَيۡنَٰكَ/a'taynaka//الْكَوْثَرَؕ/ٱلۡكَوۡثَرَ/al-kawthara",
              "words_bangla": "নিশ্চয়ই আমরা//আমরা তোমাকে দিয়েছি//কাউসার"
            },
            {
              "number": 6206,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6206.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6206.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6206.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6206.mp3"
              ],
              "text": "فَصَلِّ لِرَبِّكَ وَٱنْحَرْ",
              "translate_bn": "অতএব আপনার পালনকর্তার উদ্দেশ্যে নামায পড়ুন এবং কোরবানী করুন।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 550,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাসালিল লিরাব্বিকা ওয়ানহার।",
              "words_arabic": "فَصَلِّ/فَصَلِّ/fasalli//لِرَبِّكَ/لِرَبِّكَ/lirabbika//وَ انْحَرْؕ/وَٱنۡحَرۡ/wa-in'har",
              "words_bangla": "সুতরাং তুমি সালাত পড়ো//তোমার রবের উদ্দেশ্যে//এবং তুমি কুরবানী করো"
            },
            {
              "number": 6207,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6207.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6207.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6207.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6207.mp3"
              ],
              "text": "إِنَّ شَانِئَكَ هُوَ ٱلْأَبْتَرُ",
              "translate_bn": "যে আপনার শত্রু, সেই তো লেজকাটা, নির্বংশ।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 602,
              "ruku": 550,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইন্না শা-নিআকা হুওয়াল আবতার।",
              "words_arabic": "اِنَّ/إِنَّ/inna//شَانِئَكَ/شَانِئَكَ/shani-aka//هُوَ/هُوَ/huwa//الْاَبْتَرُ۠/ٱلۡأَبۡتَرُ/al-abtaru",
              "words_bangla": "নিশ্চয়ই//তোমার দুশমন//সে-ই তো//নির্বংশ"
            }
          ]
        },
        {
          "number": 109,
          "name": "سُورَةُ الكَافِرُونَ",
          "englishName": "Al-Kaafiroon",
          "englishNameTranslation": "The Disbelievers",
          "revelationType": "Meccan",
          "verse": 6,
          "words": 48,
          "chars": 191,
          "ayahs": [
            {
              "number": 6208,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6208.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6208.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6208.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6208.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قُلْ يَٰٓأَيُّهَا ٱلْكَٰفِرُونَ",
              "translate_bn": "বলুন, হে কাফেরকূল,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কুল ইয়াআইয়ুহাল কা-ফিরূন।",
              "words_arabic": "قُلْ/قُلۡ/qul//یٰۤاَیُّهَا/يَـٰٓأَيُّهَا/yaayyuha//الْكٰفِرُوْنَۙ/ٱلۡكَٰفِرُونَ/al-kafiruna",
              "words_bangla": "বলো//\"হে//কাফিররা"
            },
            {
              "number": 6209,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6209.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6209.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6209.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6209.mp3"
              ],
              "text": "لَآ أَعْبُدُ مَا تَعْبُدُونَ",
              "translate_bn": "আমি এবাদত করিনা, তোমরা যার এবাদত কর।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "লাআ‘বুদুমা-তা‘বুদূন।",
              "words_arabic": "لَاۤ/لَآ/la//اَعْبُدُ/أَعۡبُدُ/a'budu//مَا/مَا/ma//تَعْبُدُوْنَۙ/تَعۡبُدُونَ/ta'buduna",
              "words_bangla": "না//আমি ইবাদাত করি//যার//তোমরা ইবাদাত কর"
            },
            {
              "number": 6210,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6210.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6210.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6210.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6210.mp3"
              ],
              "text": "وَلَآ أَنتُمْ عَٰبِدُونَ مَآ أَعْبُدُ",
              "translate_bn": "এবং তোমরাও এবাদতকারী নও, যার এবাদত আমি করি",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাআনতুম ‘আ-বিদূনা মাআ‘বুদ।",
              "words_arabic": "وَ لَاۤ/وَلَآ/wala//اَنْتُمْ/أَنتُمۡ/antum//عٰبِدُوْنَ/عَٰبِدُونَ/abiduna//مَاۤ/مَآ/ma//اَعْبُدُۚ/أَعۡبُدُ/a'budu",
              "words_bangla": "এবং না//তোমরা//ইবাদাতকারী//যার//আমি ইবাদাত করি"
            },
            {
              "number": 6211,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6211.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6211.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6211.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6211.mp3"
              ],
              "text": "وَلَآ أَنَا۠ عَابِدٌۭ مَّا عَبَدتُّمْ",
              "translate_bn": "এবং আমি এবাদতকারী নই, যার এবাদত তোমরা কর।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাআনা ‘আ-বিদুম মা-‘আবাত্তুম,",
              "words_arabic": "وَ لَاۤ/وَلَآ/wala//اَنَا/أَنَا۠/ana//عَابِدٌ/عَابِدٞ/abidun//مَّا/مَّا/ma//عَبَدْتُّمْۙ/عَبَدتُّمۡ/abadttum",
              "words_bangla": "আর না//আমি//ইবাদাতকারী//যার//তোমরা ইবাদাত করেছ"
            },
            {
              "number": 6212,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6212.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6212.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6212.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6212.mp3"
              ],
              "text": "وَلَآ أَنتُمْ عَٰبِدُونَ مَآ أَعْبُدُ",
              "translate_bn": "তোমরা এবাদতকারী নও, যার এবাদত আমি করি।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ালাআনতুম ‘আ-বিদূনা মাআ‘বুদ।",
              "words_arabic": "وَ لَاۤ/وَلَآ/wala//اَنْتُمْ/أَنتُمۡ/antum//عٰبِدُوْنَ/عَٰبِدُونَ/abiduna//مَاۤ/مَآ/ma//اَعْبُدُؕ/أَعۡبُدُ/a'budu",
              "words_bangla": "আর না//তোমরা//ইবাদাতকারী//যার//আমি ইবাদাত করি"
            },
            {
              "number": 6213,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6213.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6213.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6213.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6213.mp3"
              ],
              "text": "لَكُمْ دِينُكُمْ وَلِىَ دِينِ",
              "translate_bn": "তোমাদের কর্ম ও কর্মফল তোমাদের জন্যে এবং আমার কর্ম ও কর্মফল আমার জন্যে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 551,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "লাকুম দীনুকুম ওয়ালিয়া দীন।",
              "words_arabic": "لَكُمْ/لَكُمۡ/lakum//دِیْنُكُمْ/دِينُكُمۡ/dinukum//وَ لِیَ/وَلِيَ/waliya//دِیْنِ۠/دِينِ/dini",
              "words_bangla": "তোমাদের জন্য//তোমার ধর্ম//এবং আমার জন্য//আমার ধর্ম\""
            }
          ]
        },
        {
          "number": 110,
          "name": "سُورَةُ النَّصۡرِ",
          "englishName": "An-Nasr",
          "englishNameTranslation": "Divine Support",
          "revelationType": "Medinan",
          "verse": 3,
          "words": 43,
          "chars": 191,
          "ayahs": [
            {
              "number": 6214,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6214.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6214.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6214.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6214.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ إِذَا جَآءَ نَصْرُ ٱللَّهِ وَٱلْفَتْحُ",
              "translate_bn": "যখন আসবে আল্লাহর সাহায্য ও বিজয়",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 552,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইযা-জাআ নাসরুল্লা-হি ওয়াল ফাতহ।",
              "words_arabic": "اِذَا/إِذَا/idha//جَآءَ/جَآءَ/jaa//نَصْرُ/نَصۡرُ/nasru//اللّٰهِ/ٱللَّهِ/al-lahi//وَ الْفَتْحُۙ/وَٱلۡفَتۡحُ/wal-fathu",
              "words_bangla": "যখন//আসবে//সাহায্য//আল্লাহর//ও বিজয়"
            },
            {
              "number": 6215,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6215.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6215.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6215.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6215.mp3"
              ],
              "text": "وَرَأَيْتَ ٱلنَّاسَ يَدْخُلُونَ فِى دِينِ ٱللَّهِ أَفْوَاجًۭا",
              "translate_bn": "এবং আপনি মানুষকে দলে দলে আল্লাহর দ্বীনে প্রবেশ করতে দেখবেন,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 552,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ারাআইতান্না-ছা ইয়াদখুলূনা ফী দীনিল্লা-হি আফওয়া-জা-।",
              "words_arabic": "وَ رَاَیْتَ/وَرَأَيۡتَ/wara-ayta//النَّاسَ/ٱلنَّاسَ/al-nasa//یَدْخُلُوْنَ/يَدۡخُلُونَ/yadkhuluna//فِیْ/فِي/fi//دِیْنِ/دِينِ/dini//اللّٰهِ/ٱللَّهِ/al-lahi//اَفْوَاجًاۙ/أَفۡوَاجٗا/afwajan",
              "words_bangla": "এবং তুমি দেখবে//মানুষকে//প্রবেশ করছে//মধ্যে//দীনের//আল্লাহর//দলে দলে"
            },
            {
              "number": 6216,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6216.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6216.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6216.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6216.mp3"
              ],
              "text": "فَسَبِّحْ بِحَمْدِ رَبِّكَ وَٱسْتَغْفِرْهُ ۚ إِنَّهُۥ كَانَ تَوَّابًۢا",
              "translate_bn": "তখন আপনি আপনার পালনকর্তার পবিত্রতা বর্ণনা করুন এবং তাঁর কাছে ক্ষমা প্রার্থনা করুন। নিশ্চয় তিনি ক্ষমাকারী।",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 552,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফাছাব্বিহবিহামদি রাব্বিকা ওয়াছতাগফিরহু ইন্নাহূকা-না তাওওয়া-বা-।",
              "words_arabic": "فَسَبِّحْ/فَسَبِّحۡ/fasabbih//بِحَمْدِ/بِحَمۡدِ/bihamdi//رَبِّكَ/رَبِّكَ/rabbika//وَ اسْتَغْفِرْهُ ؔؕ/وَٱسۡتَغۡفِرۡهُۚ/wa-is'taghfir'hu//اِنَّهٗ/إِنَّهُۥ/innahu//كَانَ/كَانَ/kana//تَوَّابًا۠/تَوَّابَۢا/tawwaban",
              "words_bangla": "তখন তুমি গুণগান করবে//প্রশংসার সাথে//তোমার রবের//এবং তাঁর (নিকট) ক্ষমা চাও//নিশ্চয়ই//হলেন//ক্ষমাপরবশ"
            }
          ]
        },
        {
          "number": 111,
          "name": "سُورَةُ المَسَدِ",
          "englishName": "Al-Masad",
          "englishNameTranslation": "The Palm Fibre",
          "revelationType": "Meccan",
          "verse": 5,
          "words": 52,
          "chars": 193,
          "ayahs": [
            {
              "number": 6217,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6217.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6217.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6217.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6217.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ تَبَّتْ يَدَآ أَبِى لَهَبٍۢ وَتَبَّ",
              "translate_bn": "আবু লাহাবের হস্তদ্বয় ধ্বংস হোক এবং ধ্বংস হোক সে নিজে,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 553,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "তাব্বাত ইয়াদাআবী লাহাবিওঁ ওয়া তাবব।",
              "words_arabic": "تَبَّتْ/تَبَّتۡ/tabbat//یَدَاۤ/يَدَآ/yada//اَبِیْ/أَبِي/abi//لَهَبٍ/لَهَبٖ/lahabin//وَّ تَبَّؕ/وَتَبَّ/watabba",
              "words_bangla": "ধ্বংস হোক//দু'হাত//আবু//লাহাবের//এবং সেও ধ্বংস হোক"
            },
            {
              "number": 6218,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6218.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6218.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6218.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6218.mp3"
              ],
              "text": "مَآ أَغْنَىٰ عَنْهُ مَالُهُۥ وَمَا كَسَبَ",
              "translate_bn": "কোন কাজে আসেনি তার ধন-সম্পদ ও যা সে উপার্জন করেছে।",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 553,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মাআগনা-‘আনহু মা-লুহূওয়ামা-কাছাব।",
              "words_arabic": "مَاۤ/مَآ/ma//اَغْنٰی/أَغۡنَىٰ/aghna//عَنْهُ/عَنۡهُ/anhu//مَالُهٗ/مَالُهُۥ/maluhu//وَ مَا/وَمَا/wama//كَسَبَؕ/كَسَبَ/kasaba",
              "words_bangla": "না//কাজে আসলো//তার পক্ষে//তার সম্পদ//আর যা//সে  উপার্জন করেছিল"
            },
            {
              "number": 6219,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6219.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6219.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6219.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6219.mp3"
              ],
              "text": "سَيَصْلَىٰ نَارًۭا ذَاتَ لَهَبٍۢ",
              "translate_bn": "সত্বরই সে প্রবেশ করবে লেলিহান অগ্নিতে",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 553,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ছাইয়াসলা-না-রান যা-তা লাহাব।",
              "words_arabic": "سَیَصْلٰی/سَيَصۡلَىٰ/sayasla//نَارًا/نَارٗا/naran//ذَاتَ/ذَاتَ/dhata//لَهَبٍۚۖ/لَهَبٖ/lahabin",
              "words_bangla": "শীঘ্রই জ্বলবে//আগুনে//সমন্বিত//শিখা"
            },
            {
              "number": 6220,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6220.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6220.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6220.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6220.mp3"
              ],
              "text": "وَٱمْرَأَتُهُۥ حَمَّالَةَ ٱلْحَطَبِ",
              "translate_bn": "এবং তার স্ত্রীও-যে ইন্ধন বহন করে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 553,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়ামরাআতুহূ; হাম্মা-লাতাল হাতাব।",
              "words_arabic": "وَّ امْرَاَتُهٗ ؕ/وَٱمۡرَأَتُهُۥ/wa-im'ra-atuhu//حَمَّالَةَ/حَمَّالَةَ/hammalata//الْحَطَبِۚ/ٱلۡحَطَبِ/al-hatabi",
              "words_bangla": "এবং তার স্ত্রীও//বহনকারিণী//কাঠের"
            },
            {
              "number": 6221,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6221.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6221.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6221.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6221.mp3"
              ],
              "text": "فِى جِيدِهَا حَبْلٌۭ مِّن مَّسَدٍۭ",
              "translate_bn": "তার গলদেশে খর্জুরের রশি নিয়ে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 603,
              "ruku": 553,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ফী জীদিহা-হাবলুম মিম মাছাদ।",
              "words_arabic": "فِیْ/فِي/fi//جِیْدِهَا/جِيدِهَا/jidiha//حَبْلٌ/حَبۡلٞ/hablun//مِّنْ/مِّن/min//مَّسَدٍ۠/مَّسَدِۭ/masadin",
              "words_bangla": "মধ্যে//তার গলার//দড়ি//থেকে//পাকানো"
            }
          ]
        },
        {
          "number": 112,
          "name": "سُورَةُ الإِخۡلَاصِ",
          "englishName": "Al-Ikhlaas",
          "englishNameTranslation": "Sincerity",
          "revelationType": "Meccan",
          "verse": 4,
          "words": 24,
          "chars": 93,
          "ayahs": [
            {
              "number": 6222,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6222.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6222.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6222.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6222.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قُلْ هُوَ ٱللَّهُ أَحَدٌ",
              "translate_bn": "বলুন, তিনি আল্লাহ, এক,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 554,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কুল হুওয়াল্লা-হু আহাদ।",
              "words_arabic": "قُلْ/قُلۡ/qul//هُوَ/هُوَ/huwa//اللّٰهُ/ٱللَّهُ/al-lahu//اَحَدٌۚ/أَحَدٌ/ahadun",
              "words_bangla": "বলো//\"তিনি//আল্লাহ//এক-অদ্বিতীয়"
            },
            {
              "number": 6223,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6223.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6223.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6223.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6223.mp3"
              ],
              "text": "ٱللَّهُ ٱلصَّمَدُ",
              "translate_bn": "আল্লাহ অমুখাপেক্ষী,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 554,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লা-হুসসামাদ।",
              "words_arabic": "اَللّٰهُ/ٱللَّهُ/al-lahu//الصَّمَدُۚ/ٱلصَّمَدُ/al-samadu",
              "words_bangla": "আল্লাহ//অমুখাপেক্ষী"
            },
            {
              "number": 6224,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6224.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6224.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6224.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6224.mp3"
              ],
              "text": "لَمْ يَلِدْ وَلَمْ يُولَدْ",
              "translate_bn": "তিনি কাউকে জন্ম দেননি এবং কেউ তাকে জন্ম দেয়নি",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 554,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "লাম ইয়ালিদ ওয়ালাম ইঊলাদ।",
              "words_arabic": "لَمْ/لَمۡ/lam//یَلِدْ ۙ۬/يَلِدۡ/yalid//وَ لَمْ/وَلَمۡ/walam//یُوْلَدْۙ/يُولَدۡ/yulad",
              "words_bangla": "নি//তিনি (কাউকে) জন্ম দেন//এবং নি//তাঁকে জন্ম দেয়া হয়"
            },
            {
              "number": 6225,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6225.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6225.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6225.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6225.mp3"
              ],
              "text": "وَلَمْ يَكُن لَّهُۥ كُفُوًا أَحَدٌۢ",
              "translate_bn": "এবং তার সমতুল্য কেউ নেই।",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 554,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া লাম ইয়াকুল্লাহূকুফুওয়ান আহাদ।",
              "words_arabic": "وَ لَمْ/وَلَمۡ/walam//یَكُنْ/يَكُن/yakun//لَّهٗ/لَّهُۥ/lahu//كُفُوًا/كُفُوًا/kufuwan//اَحَدٌ۠/أَحَدُۢ/ahadun",
              "words_bangla": "এবং নাই//(হয়)//তাঁর//সমতুল্য/ সমান//কেউই\""
            }
          ]
        },
        {
          "number": 113,
          "name": "سُورَةُ الفَلَقِ",
          "englishName": "Al-Falaq",
          "englishNameTranslation": "The Dawn",
          "revelationType": "Meccan",
          "verse": 5,
          "words": 45,
          "chars": 170,
          "ayahs": [
            {
              "number": 6226,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6226.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6226.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6226.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6226.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قُلْ أَعُوذُ بِرَبِّ ٱلْفَلَقِ",
              "translate_bn": "বলুন, আমি আশ্রয় গ্রহণ করছি প্রভাতের পালনকর্তার,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 555,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কুল আ‘ঊযুবিরাব্বিল ফালাক",
              "words_arabic": "قُلْ/قُلۡ/qul//اَعُوْذُ/أَعُوذُ/a'udhu//بِرَبِّ/بِرَبِّ/birabbi//الْفَلَقِۙ/ٱلۡفَلَقِ/al-falaqi",
              "words_bangla": "বলো//\"আমি আশ্রয় চাই//স্রষ্টার নিকট//প্রভাতের"
            },
            {
              "number": 6227,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6227.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6227.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6227.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6227.mp3"
              ],
              "text": "مِن شَرِّ مَا خَلَقَ",
              "translate_bn": "তিনি যা সৃষ্টি করেছেন, তার অনিষ্ট থেকে,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 555,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মিন শাররি মা-খালাক।",
              "words_arabic": "مِنْ/مِن/min//شَرِّ/شَرِّ/sharri//مَا/مَا/ma//خَلَقَۙ/خَلَقَ/khalaqa",
              "words_bangla": "হতে//অনিষ্ট//যা//তিনি সৃষ্টি করেছেন"
            },
            {
              "number": 6228,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6228.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6228.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6228.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6228.mp3"
              ],
              "text": "وَمِن شَرِّ غَاسِقٍ إِذَا وَقَبَ",
              "translate_bn": "অন্ধকার রাত্রির অনিষ্ট থেকে, যখন তা সমাগত হয়,",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 555,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন শাররি গা-ছিকিন ইযা-ওয়াকাব।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//شَرِّ/شَرِّ/sharri//غَاسِقٍ/غَاسِقٍ/ghasiqin//اِذَا/إِذَا/idha//وَقَبَۙ/وَقَبَ/waqaba",
              "words_bangla": "এবং হতে//অনিষ্ট//রাতের অন্ধকারের//যখন//তা গভীর হয়"
            },
            {
              "number": 6229,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6229.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6229.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6229.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6229.mp3"
              ],
              "text": "وَمِن شَرِّ ٱلنَّفَّٰثَٰتِ فِى ٱلْعُقَدِ",
              "translate_bn": "গ্রন্থিতে ফুঁৎকার দিয়ে জাদুকারিনীদের অনিষ্ট থেকে",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 555,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন শাররিন নাফফা-ছা-তি ফিল ‘উকাদ।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//شَرِّ/شَرِّ/sharri//النَّفّٰثٰتِ/ٱلنَّفَّـٰثَٰتِ/al-nafathati//فِی/فِي/fi//الْعُقَدِۙ/ٱلۡعُقَدِ/al-'uqadi",
              "words_bangla": "এবং হতে//অনিষ্ট//ফুঁকদানকারীর (রাতের) অনিষ্ট//মধ্যে//গিঁটগুলোর"
            },
            {
              "number": 6230,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6230.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6230.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6230.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6230.mp3"
              ],
              "text": "وَمِن شَرِّ حَاسِدٍ إِذَا حَسَدَ",
              "translate_bn": "এবং হিংসুকের অনিষ্ট থেকে যখন সে হিংসা করে।",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 555,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ওয়া মিন শাররি হা-ছিদিন ইযা-হাছাদ।",
              "words_arabic": "وَ مِنْ/وَمِن/wamin//شَرِّ/شَرِّ/sharri//حَاسِدٍ/حَاسِدٍ/hasidin//اِذَا/إِذَا/idha//حَسَدَ۠/حَسَدَ/hasada",
              "words_bangla": "এবং হতে//অনিষ্ট//হিংসুকের//যখন//সে হিংসা করে\""
            }
          ]
        },
        {
          "number": 114,
          "name": "سُورَةُ النَّاسِ",
          "englishName": "An-Naas",
          "englishNameTranslation": "Mankind",
          "revelationType": "Meccan",
          "verse": 6,
          "words": 38,
          "chars": 167,
          "ayahs": [
            {
              "number": 6231,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6231.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6231.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6231.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6231.mp3"
              ],
              "text": "بِسْمِ ٱللَّهِ ٱلرَّحْمَٰنِ ٱلرَّحِيمِ قُلْ أَعُوذُ بِرَبِّ ٱلنَّاسِ",
              "translate_bn": "বলুন, আমি আশ্রয় গ্রহণ করিতেছি মানুষের পালনকর্তার,",
              "numberInSurah": 1,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "কুল আ‘ঊযুবিরাব্বিন্না-ছ,",
              "words_arabic": "قُلْ/قُلۡ/qul//اَعُوْذُ/أَعُوذُ/a'udhu//بِرَبِّ/بِرَبِّ/birabbi//النَّاسِۙ/ٱلنَّاسِ/al-nasi",
              "words_bangla": "বলো//\"আমি আশ্রয় চাই//রবের নিকট//মানুষের"
            },
            {
              "number": 6232,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6232.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6232.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6232.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6232.mp3"
              ],
              "text": "مَلِكِ ٱلنَّاسِ",
              "translate_bn": "মানুষের অধিপতির,",
              "numberInSurah": 2,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মালিকিন্না-ছ,",
              "words_arabic": "مَلِكِ/مَلِكِ/maliki//النَّاسِۙ/ٱلنَّاسِ/al-nasi",
              "words_bangla": "মহা অধিপতির (নিকট)//মানুষের"
            },
            {
              "number": 6233,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6233.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6233.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6233.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6233.mp3"
              ],
              "text": "إِلَٰهِ ٱلنَّاسِ",
              "translate_bn": "মানুষের মা’বুদের",
              "numberInSurah": 3,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "ইলা-হিন্না-ছ।",
              "words_arabic": "اِلٰهِ/إِلَٰهِ/ilahi//النَّاسِۙ/ٱلنَّاسِ/al-nasi",
              "words_bangla": "ইলাহ্‌র (নিকট)//মানুষের"
            },
            {
              "number": 6234,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6234.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6234.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6234.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6234.mp3"
              ],
              "text": "مِن شَرِّ ٱلْوَسْوَاسِ ٱلْخَنَّاسِ",
              "translate_bn": "তার অনিষ্ট থেকে, যে কুমন্ত্রণা দেয় ও আত্নগোপন করে,",
              "numberInSurah": 4,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মিন শাররিল ওয়াছ ওয়া-ছিল খান্না-ছ।",
              "words_arabic": "مِنْ/مِن/min//شَرِّ/شَرِّ/sharri//الْوَسْوَاسِ ۙ۬/ٱلۡوَسۡوَاسِ/al-waswasi//الْخَنَّاسِ۪ۙ/ٱلۡخَنَّاسِ/al-khanasi",
              "words_bangla": "হতে//অমঙ্গল//কুমন্ত্রণার//আত্নগোপনকারী"
            },
            {
              "number": 6235,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6235.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6235.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6235.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6235.mp3"
              ],
              "text": "ٱلَّذِى يُوَسْوِسُ فِى صُدُورِ ٱلنَّاسِ",
              "translate_bn": "যে কুমন্ত্রণা দেয় মানুষের অন্তরে",
              "numberInSurah": 5,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "আল্লাযী ইউওয়াছবিছুফী সুদূরিন্নাছ-।",
              "words_arabic": "الَّذِیْ/ٱلَّذِي/alladhi//یُوَسْوِسُ/يُوَسۡوِسُ/yuwaswisu//فِیْ/فِي/fi//صُدُوْرِ/صُدُورِ/suduri//النَّاسِۙ/ٱلنَّاسِ/al-nasi",
              "words_bangla": "যে//কুমন্ত্রণা দেয়//মধ্যে//অন্তরসমূহের//মানুষের"
            },
            {
              "number": 6236,
              "audio": "https://cdn.islamic.network/quran/audio/128/ar.alafasy/6236.mp3",
              "audioSecondary": [
                "https://cdn2.islamic.network/quran/audio/128/ar.alafasy/6236.mp3",
                "https://cdn.islamic.network/quran/audio/64/ar.alafasy/6236.mp3",
                "https://cdn2.islamic.network/quran/audio/64/ar.alafasy/6236.mp3"
              ],
              "text": "مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ",
              "translate_bn": "জ্বিনের মধ্য থেকে অথবা মানুষের মধ্য থেকে।",
              "numberInSurah": 6,
              "juz": 30,
              "manzil": 7,
              "page": 604,
              "ruku": 556,
              "hizbQuarter": 240,
              "sajda": false,
              "pronunciation_bn": "মিনাল জিন্নাতি ওয়ান্না-ছ।",
              "words_arabic": "مِنَ/مِنَ/mina//الْجِنَّةِ/ٱلۡجِنَّةِ/al-jinati//وَ النَّاسِ۠/وَٱلنَّاسِ/wal-nasi",
              "words_bangla": "মধ্য হতে//জিনের//ও মানুষের"
            }
          ]
        }
      ];
}